--
-- PostgreSQL database dump
--

-- Dumped from database version 13.2 (Ubuntu 13.2-1.pgdg20.10+1)
-- Dumped by pg_dump version 13.2 (Ubuntu 13.2-1.pgdg20.10+1)

SET statement_timeout = 0;
SET lock_timeout = 0;
SET idle_in_transaction_session_timeout = 0;
SET client_encoding = 'UTF8';
SET standard_conforming_strings = on;
SELECT pg_catalog.set_config('search_path', '', false);
SET check_function_bodies = false;
SET xmloption = content;
SET client_min_messages = warning;
SET row_security = off;

SET default_tablespace = '';

SET default_table_access_method = heap;

--
-- Name: application_date_reported; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.application_date_reported (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    year_week character varying(255) NOT NULL,
    datum date NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    day_of_month integer NOT NULL,
    day_of_week integer NOT NULL,
    week_of_year integer NOT NULL
);


ALTER TABLE public.application_date_reported OWNER TO covid19data;

--
-- Name: application_date_reported_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.application_date_reported_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.application_date_reported_id_seq OWNER TO covid19data;

--
-- Name: application_date_reported_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.application_date_reported_id_seq OWNED BY public.application_date_reported.id;


--
-- Name: application_region; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.application_region (
    id integer NOT NULL,
    region character varying(255) NOT NULL
);


ALTER TABLE public.application_region OWNER TO covid19data;

--
-- Name: application_region_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.application_region_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.application_region_id_seq OWNER TO covid19data;

--
-- Name: application_region_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.application_region_id_seq OWNED BY public.application_region.id;


--
-- Name: ecdc_continent; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.ecdc_continent (
    id integer NOT NULL,
    region character varying(255) NOT NULL
);


ALTER TABLE public.ecdc_continent OWNER TO covid19data;

--
-- Name: ecdc_continent_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.ecdc_continent_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ecdc_continent_id_seq OWNER TO covid19data;

--
-- Name: ecdc_continent_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.ecdc_continent_id_seq OWNED BY public.ecdc_continent.id;


--
-- Name: ecdc_country; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.ecdc_country (
    id integer NOT NULL,
    countries_and_territories character varying(255) NOT NULL,
    pop_data_2019 character varying(255) NOT NULL,
    geo_id character varying(255) NOT NULL,
    country_territory_code character varying(255) NOT NULL,
    continent_id integer NOT NULL
);


ALTER TABLE public.ecdc_country OWNER TO covid19data;

--
-- Name: ecdc_country_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.ecdc_country_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ecdc_country_id_seq OWNER TO covid19data;

--
-- Name: ecdc_country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.ecdc_country_id_seq OWNED BY public.ecdc_country.id;


--
-- Name: ecdc_data; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.ecdc_data (
    id integer NOT NULL,
    deaths integer NOT NULL,
    cases integer NOT NULL,
    cumulative_number_for_14_days_of_covid19_cases_per_100000 double precision NOT NULL,
    ecdc_country_id integer NOT NULL,
    ecdc_date_reported_id integer NOT NULL
);


ALTER TABLE public.ecdc_data OWNER TO covid19data;

--
-- Name: ecdc_data_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.ecdc_data_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ecdc_data_id_seq OWNER TO covid19data;

--
-- Name: ecdc_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.ecdc_data_id_seq OWNED BY public.ecdc_data.id;


--
-- Name: ecdc_date_reported; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.ecdc_date_reported (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    year_week character varying(255) NOT NULL,
    datum date NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    day_of_month integer NOT NULL,
    day_of_week integer NOT NULL,
    week_of_year integer NOT NULL
);


ALTER TABLE public.ecdc_date_reported OWNER TO covid19data;

--
-- Name: ecdc_date_reported_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.ecdc_date_reported_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ecdc_date_reported_id_seq OWNER TO covid19data;

--
-- Name: ecdc_date_reported_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.ecdc_date_reported_id_seq OWNED BY public.ecdc_date_reported.id;


--
-- Name: ecdc_import; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.ecdc_import (
    id integer NOT NULL,
    date_rep character varying(255) NOT NULL,
    day character varying(255) NOT NULL,
    month character varying(255) NOT NULL,
    year character varying(255) NOT NULL,
    cases character varying(255) NOT NULL,
    deaths character varying(255) NOT NULL,
    pop_data_2019 character varying(255) NOT NULL,
    countries_and_territories character varying(255) NOT NULL,
    geo_id character varying(255) NOT NULL,
    country_territory_code character varying(255) NOT NULL,
    continent_exp character varying(255) NOT NULL,
    cumulative_number_for_14_days_of_covid19_cases_per_100000 character varying(255) NOT NULL
);


ALTER TABLE public.ecdc_import OWNER TO covid19data;

--
-- Name: ecdc_import_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.ecdc_import_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.ecdc_import_id_seq OWNER TO covid19data;

--
-- Name: ecdc_import_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.ecdc_import_id_seq OWNED BY public.ecdc_import.id;


--
-- Name: owid_data; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.owid_data (
    id integer NOT NULL,
    date_reported_id integer NOT NULL,
    iso_code character varying(255) NOT NULL,
    continent character varying(255) NOT NULL,
    location character varying(255) NOT NULL,
    total_cases character varying(255) NOT NULL,
    new_cases character varying(255) NOT NULL,
    new_cases_smoothed character varying(255) NOT NULL,
    total_deaths character varying(255) NOT NULL,
    new_deaths character varying(255) NOT NULL,
    new_deaths_smoothed character varying(255) NOT NULL,
    total_cases_per_million character varying(255) NOT NULL,
    new_cases_per_million character varying(255) NOT NULL,
    new_cases_smoothed_per_million character varying(255) NOT NULL,
    total_deaths_per_million character varying(255) NOT NULL,
    new_deaths_per_million character varying(255) NOT NULL,
    new_deaths_smoothed_per_million character varying(255) NOT NULL,
    reproduction_rate character varying(255) NOT NULL,
    icu_patients character varying(255) NOT NULL,
    icu_patients_per_million character varying(255) NOT NULL,
    hosp_patients character varying(255) NOT NULL,
    hosp_patients_per_million character varying(255) NOT NULL,
    weekly_icu_admissions character varying(255) NOT NULL,
    weekly_icu_admissions_per_million character varying(255) NOT NULL,
    weekly_hosp_admissions character varying(255) NOT NULL,
    weekly_hosp_admissions_per_million character varying(255) NOT NULL,
    new_tests character varying(255) NOT NULL,
    total_tests character varying(255) NOT NULL,
    total_tests_per_thousand character varying(255) NOT NULL,
    new_tests_per_thousand character varying(255) NOT NULL,
    new_tests_smoothed character varying(255) NOT NULL,
    new_tests_smoothed_per_thousand character varying(255) NOT NULL,
    positive_rate character varying(255) NOT NULL,
    tests_per_case character varying(255) NOT NULL,
    tests_units character varying(255) NOT NULL,
    total_vaccinations character varying(255) NOT NULL,
    people_vaccinated character varying(255) NOT NULL,
    people_fully_vaccinated character varying(255) NOT NULL,
    new_vaccinations character varying(255) NOT NULL,
    new_vaccinations_smoothed character varying(255) NOT NULL,
    total_vaccinations_per_hundred character varying(255) NOT NULL,
    people_vaccinated_per_hundred character varying(255) NOT NULL,
    people_fully_vaccinated_per_hundred character varying(255) NOT NULL,
    new_vaccinations_smoothed_per_million character varying(255) NOT NULL,
    stringency_index character varying(255) NOT NULL,
    population character varying(255) NOT NULL,
    population_density character varying(255) NOT NULL,
    median_age character varying(255) NOT NULL,
    aged_65_older character varying(255) NOT NULL,
    aged_70_older character varying(255) NOT NULL,
    gdp_per_capita character varying(255) NOT NULL,
    extreme_poverty character varying(255) NOT NULL,
    cardiovasc_death_rate character varying(255) NOT NULL,
    diabetes_prevalence character varying(255) NOT NULL,
    female_smokers character varying(255) NOT NULL,
    male_smokers character varying(255) NOT NULL,
    handwashing_facilities character varying(255) NOT NULL,
    hospital_beds_per_thousand character varying(255) NOT NULL,
    life_expectancy character varying(255) NOT NULL,
    human_development_index character varying(255) NOT NULL
);


ALTER TABLE public.owid_data OWNER TO covid19data;

--
-- Name: owid_data_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.owid_data_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.owid_data_id_seq OWNER TO covid19data;

--
-- Name: owid_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.owid_data_id_seq OWNED BY public.owid_data.id;


--
-- Name: owid_date_reported; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.owid_date_reported (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    year_week character varying(255) NOT NULL,
    datum date NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    day_of_month integer NOT NULL,
    day_of_week integer NOT NULL,
    week_of_year integer NOT NULL
);


ALTER TABLE public.owid_date_reported OWNER TO covid19data;

--
-- Name: owid_date_reported_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.owid_date_reported_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.owid_date_reported_id_seq OWNER TO covid19data;

--
-- Name: owid_date_reported_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.owid_date_reported_id_seq OWNED BY public.owid_date_reported.id;


--
-- Name: owid_import; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.owid_import (
    id integer NOT NULL,
    iso_code character varying(255) NOT NULL,
    continent character varying(255) NOT NULL,
    location character varying(255) NOT NULL,
    date character varying(255) NOT NULL,
    total_cases character varying(255) NOT NULL,
    new_cases character varying(255) NOT NULL,
    new_cases_smoothed character varying(255) NOT NULL,
    total_deaths character varying(255) NOT NULL,
    new_deaths character varying(255) NOT NULL,
    new_deaths_smoothed character varying(255) NOT NULL,
    total_cases_per_million character varying(255) NOT NULL,
    new_cases_per_million character varying(255) NOT NULL,
    new_cases_smoothed_per_million character varying(255) NOT NULL,
    total_deaths_per_million character varying(255) NOT NULL,
    new_deaths_per_million character varying(255) NOT NULL,
    new_deaths_smoothed_per_million character varying(255) NOT NULL,
    reproduction_rate character varying(255) NOT NULL,
    icu_patients character varying(255) NOT NULL,
    icu_patients_per_million character varying(255) NOT NULL,
    hosp_patients character varying(255) NOT NULL,
    hosp_patients_per_million character varying(255) NOT NULL,
    weekly_icu_admissions character varying(255) NOT NULL,
    weekly_icu_admissions_per_million character varying(255) NOT NULL,
    weekly_hosp_admissions character varying(255) NOT NULL,
    weekly_hosp_admissions_per_million character varying(255) NOT NULL,
    new_tests character varying(255) NOT NULL,
    total_tests character varying(255) NOT NULL,
    total_tests_per_thousand character varying(255) NOT NULL,
    new_tests_per_thousand character varying(255) NOT NULL,
    new_tests_smoothed character varying(255) NOT NULL,
    new_tests_smoothed_per_thousand character varying(255) NOT NULL,
    positive_rate character varying(255) NOT NULL,
    tests_per_case character varying(255) NOT NULL,
    tests_units character varying(255) NOT NULL,
    total_vaccinations character varying(255) NOT NULL,
    people_vaccinated character varying(255) NOT NULL,
    people_fully_vaccinated character varying(255) NOT NULL,
    new_vaccinations character varying(255) NOT NULL,
    new_vaccinations_smoothed character varying(255) NOT NULL,
    total_vaccinations_per_hundred character varying(255) NOT NULL,
    people_vaccinated_per_hundred character varying(255) NOT NULL,
    people_fully_vaccinated_per_hundred character varying(255) NOT NULL,
    new_vaccinations_smoothed_per_million character varying(255) NOT NULL,
    stringency_index character varying(255) NOT NULL,
    population character varying(255) NOT NULL,
    population_density character varying(255) NOT NULL,
    median_age character varying(255) NOT NULL,
    aged_65_older character varying(255) NOT NULL,
    aged_70_older character varying(255) NOT NULL,
    gdp_per_capita character varying(255) NOT NULL,
    extreme_poverty character varying(255) NOT NULL,
    cardiovasc_death_rate character varying(255) NOT NULL,
    diabetes_prevalence character varying(255) NOT NULL,
    female_smokers character varying(255) NOT NULL,
    male_smokers character varying(255) NOT NULL,
    handwashing_facilities character varying(255) NOT NULL,
    hospital_beds_per_thousand character varying(255) NOT NULL,
    life_expectancy character varying(255) NOT NULL,
    human_development_index character varying(255) NOT NULL
);


ALTER TABLE public.owid_import OWNER TO covid19data;

--
-- Name: owid_import_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.owid_import_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.owid_import_id_seq OWNER TO covid19data;

--
-- Name: owid_import_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.owid_import_id_seq OWNED BY public.owid_import.id;


--
-- Name: rki_bundeslaender; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_bundeslaender (
    id integer NOT NULL,
    object_id_1 integer NOT NULL,
    lan_ew_ags integer NOT NULL,
    lan_ew_gen character varying(255) NOT NULL,
    lan_ew_bez character varying(255) NOT NULL,
    lan_ew_ewz integer NOT NULL,
    object_id integer NOT NULL,
    fallzahl integer NOT NULL,
    aktualisierung character varying(255) NOT NULL,
    ags_txt integer NOT NULL,
    global_id character varying(255) NOT NULL,
    faelle_100000_ew double precision NOT NULL,
    death integer NOT NULL,
    cases7_bl_per_100k double precision NOT NULL,
    cases7_bl integer NOT NULL,
    death7_bl integer NOT NULL,
    cases7_bl_per_100k_txt character varying(255) NOT NULL,
    adm_unit_id integer NOT NULL,
    shape_length double precision NOT NULL,
    shape_area double precision NOT NULL
);


ALTER TABLE public.rki_bundeslaender OWNER TO covid19data;

--
-- Name: rki_bundeslaender_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_bundeslaender_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_bundeslaender_id_seq OWNER TO covid19data;

--
-- Name: rki_bundeslaender_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_bundeslaender_id_seq OWNED BY public.rki_bundeslaender.id;


--
-- Name: rki_bundeslsaender_import; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_bundeslsaender_import (
    id integer NOT NULL,
    "OBJECTID_1" character varying(255) NOT NULL,
    "LAN_ew_AGS" character varying(255) NOT NULL,
    "LAN_ew_GEN" character varying(255) NOT NULL,
    "LAN_ew_BEZ" character varying(255) NOT NULL,
    "LAN_ew_EWZ" character varying(255) NOT NULL,
    "OBJECTID" character varying(255) NOT NULL,
    "Fallzahl" character varying(255) NOT NULL,
    "Aktualisierung" character varying(255) NOT NULL,
    "AGS_TXT" character varying(255) NOT NULL,
    "GlobalID" character varying(255) NOT NULL,
    "faelle_100000_EW" character varying(255) NOT NULL,
    "Death" character varying(255) NOT NULL,
    cases7_bl_per_100k character varying(255) NOT NULL,
    cases7_bl character varying(255) NOT NULL,
    death7_bl character varying(255) NOT NULL,
    cases7_bl_per_100k_txt character varying(255) NOT NULL,
    "AdmUnitId" character varying(255) NOT NULL,
    "SHAPE_Length" character varying(255) NOT NULL,
    "SHAPE_Area" character varying(255) NOT NULL
);


ALTER TABLE public.rki_bundeslsaender_import OWNER TO covid19data;

--
-- Name: rki_bundeslsaender_import_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_bundeslsaender_import_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_bundeslsaender_import_id_seq OWNER TO covid19data;

--
-- Name: rki_bundeslsaender_import_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_bundeslsaender_import_id_seq OWNED BY public.rki_bundeslsaender_import.id;


--
-- Name: rki_country; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_country (
    id integer NOT NULL,
    country_code character varying(255) NOT NULL,
    country character varying(255) NOT NULL,
    region_id integer NOT NULL
);


ALTER TABLE public.rki_country OWNER TO covid19data;

--
-- Name: rki_country_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_country_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_country_id_seq OWNER TO covid19data;

--
-- Name: rki_country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_country_id_seq OWNED BY public.rki_country.id;


--
-- Name: rki_date_reported; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_date_reported (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    year_week character varying(255) NOT NULL,
    datum date NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    day_of_month integer NOT NULL,
    day_of_week integer NOT NULL,
    week_of_year integer NOT NULL,
    time_of_date_str character varying(255) NOT NULL,
    time_of_date time without time zone NOT NULL,
    aktualisierung character varying(255) NOT NULL
);


ALTER TABLE public.rki_date_reported OWNER TO covid19data;

--
-- Name: rki_date_reported_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_date_reported_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_date_reported_id_seq OWNER TO covid19data;

--
-- Name: rki_date_reported_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_date_reported_id_seq OWNED BY public.rki_date_reported.id;


--
-- Name: rki_landkreise; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_landkreise (
    id integer NOT NULL,
    objectid integer NOT NULL,
    ade integer NOT NULL,
    gf integer NOT NULL,
    bsg integer NOT NULL,
    rs character varying(255) NOT NULL,
    ags character varying(255) NOT NULL,
    sdv_rs character varying(255) NOT NULL,
    gen character varying(255) NOT NULL,
    bez character varying(255) NOT NULL,
    ibz integer NOT NULL,
    bem character varying(255) NOT NULL,
    nbd character varying(255) NOT NULL,
    sn_l character varying(255) NOT NULL,
    sn_r integer NOT NULL,
    sn_k character varying(255) NOT NULL,
    sn_v1 character varying(255) NOT NULL,
    sn_v2 character varying(255) NOT NULL,
    sn_g character varying(255) NOT NULL,
    fk_s3 character varying(255) NOT NULL,
    nuts character varying(255) NOT NULL,
    rs_0 character varying(255) NOT NULL,
    ags_0 integer NOT NULL,
    wsk double precision NOT NULL,
    ewz integer NOT NULL,
    kfl double precision NOT NULL,
    debkg_id character varying(255) NOT NULL,
    death_rate double precision NOT NULL,
    cases integer NOT NULL,
    deaths integer NOT NULL,
    cases_per_100k double precision NOT NULL,
    cases_per_population double precision NOT NULL,
    bl character varying(255) NOT NULL,
    bl_id integer NOT NULL,
    county character varying(255) NOT NULL,
    last_update character varying(255) NOT NULL,
    cases7_per_100k double precision NOT NULL,
    recovered integer NOT NULL,
    ewz_bl integer NOT NULL,
    cases7_bl_per_100k double precision NOT NULL,
    cases7_bl integer NOT NULL,
    death7_bl integer NOT NULL,
    cases7_lk integer NOT NULL,
    death7_lk integer NOT NULL,
    cases7_per_100k_txt character varying(255) NOT NULL,
    adm_unit_id integer NOT NULL,
    shape_length double precision NOT NULL,
    shape_area double precision NOT NULL
);


ALTER TABLE public.rki_landkreise OWNER TO covid19data;

--
-- Name: rki_landkreise_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_landkreise_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_landkreise_id_seq OWNER TO covid19data;

--
-- Name: rki_landkreise_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_landkreise_id_seq OWNED BY public.rki_landkreise.id;


--
-- Name: rki_landkreise_import; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_landkreise_import (
    id integer NOT NULL,
    "OBJECTID" character varying(255) NOT NULL,
    "ADE" character varying(255) NOT NULL,
    "GF" character varying(255) NOT NULL,
    "BSG" character varying(255) NOT NULL,
    "RS" character varying(255) NOT NULL,
    "AGS" character varying(255) NOT NULL,
    "SDV_RS" character varying(255) NOT NULL,
    "GEN" character varying(255) NOT NULL,
    "BEZ" character varying(255) NOT NULL,
    "IBZ" character varying(255) NOT NULL,
    "BEM" character varying(255) NOT NULL,
    "NBD" character varying(255) NOT NULL,
    "SN_L" character varying(255) NOT NULL,
    "SN_R" character varying(255) NOT NULL,
    "SN_K" character varying(255) NOT NULL,
    "SN_V1" character varying(255) NOT NULL,
    "SN_V2" character varying(255) NOT NULL,
    "SN_G" character varying(255) NOT NULL,
    "FK_S3" character varying(255) NOT NULL,
    "NUTS" character varying(255) NOT NULL,
    "RS_0" character varying(255) NOT NULL,
    "AGS_0" character varying(255) NOT NULL,
    "WSK" character varying(255) NOT NULL,
    "EWZ" character varying(255) NOT NULL,
    "KFL" character varying(255) NOT NULL,
    "DEBKG_ID" character varying(255) NOT NULL,
    death_rate character varying(255) NOT NULL,
    cases character varying(255) NOT NULL,
    deaths character varying(255) NOT NULL,
    cases_per_100k character varying(255) NOT NULL,
    cases_per_population character varying(255) NOT NULL,
    "BL" character varying(255) NOT NULL,
    "BL_ID" character varying(255) NOT NULL,
    county character varying(255) NOT NULL,
    last_update character varying(255) NOT NULL,
    cases7_per_100k character varying(255) NOT NULL,
    recovered character varying(255) NOT NULL,
    "EWZ_BL" character varying(255) NOT NULL,
    cases7_bl_per_100k character varying(255) NOT NULL,
    cases7_bl character varying(255) NOT NULL,
    death7_bl character varying(255) NOT NULL,
    cases7_lk character varying(255) NOT NULL,
    death7_lk character varying(255) NOT NULL,
    cases7_per_100k_txt character varying(255) NOT NULL,
    "AdmUnitId" character varying(255) NOT NULL,
    "SHAPE_Length" character varying(255) NOT NULL,
    "SHAPE_Area" character varying(255) NOT NULL
);


ALTER TABLE public.rki_landkreise_import OWNER TO covid19data;

--
-- Name: rki_landkreise_import_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_landkreise_import_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_landkreise_import_id_seq OWNER TO covid19data;

--
-- Name: rki_landkreise_import_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_landkreise_import_id_seq OWNED BY public.rki_landkreise_import.id;


--
-- Name: rki_region; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_region (
    id integer NOT NULL,
    region character varying(255) NOT NULL
);


ALTER TABLE public.rki_region OWNER TO covid19data;

--
-- Name: rki_region_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_region_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_region_id_seq OWNER TO covid19data;

--
-- Name: rki_region_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_region_id_seq OWNED BY public.rki_region.id;


--
-- Name: rki_vaccination_data; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_vaccination_data (
    id integer NOT NULL,
    date_reported_id integer NOT NULL,
    dosen_kumulativ integer NOT NULL,
    dosen_differenz_zum_vortag integer NOT NULL,
    dosen_biontech_kumulativ integer NOT NULL,
    dosen_moderna_kumulativ integer NOT NULL,
    personen_erst_kumulativ integer NOT NULL,
    personen_voll_kumulativ integer NOT NULL,
    impf_quote_erst double precision NOT NULL,
    impf_quote_voll double precision NOT NULL,
    indikation_alter_dosen integer NOT NULL,
    indikation_beruf_dosen integer NOT NULL,
    indikation_medizinisch_dosen integer NOT NULL,
    indikation_pflegeheim_dosen integer NOT NULL,
    indikation_alter_erst integer NOT NULL,
    indikation_beruf_erst integer NOT NULL,
    indikation_medizinisch_erst integer NOT NULL,
    indikation_pflegeheim_erst integer NOT NULL,
    indikation_alter_voll integer NOT NULL,
    indikation_beruf_voll integer NOT NULL,
    indikation_medizinisch_voll integer NOT NULL,
    indikation_pflegeheim_voll integer NOT NULL
);


ALTER TABLE public.rki_vaccination_data OWNER TO covid19data;

--
-- Name: rki_vaccination_data_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_vaccination_data_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_vaccination_data_id_seq OWNER TO covid19data;

--
-- Name: rki_vaccination_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_vaccination_data_id_seq OWNED BY public.rki_vaccination_data.id;


--
-- Name: rki_vaccination_date_reported; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_vaccination_date_reported (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    year_week character varying(255) NOT NULL,
    datum date NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    day_of_month integer NOT NULL,
    day_of_week integer NOT NULL,
    week_of_year integer NOT NULL
);


ALTER TABLE public.rki_vaccination_date_reported OWNER TO covid19data;

--
-- Name: rki_vaccination_date_reported_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_vaccination_date_reported_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_vaccination_date_reported_id_seq OWNER TO covid19data;

--
-- Name: rki_vaccination_date_reported_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_vaccination_date_reported_id_seq OWNED BY public.rki_vaccination_date_reported.id;


--
-- Name: rki_vaccination_import; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.rki_vaccination_import (
    id integer NOT NULL,
    datum character varying(255) NOT NULL,
    dosen_kumulativ integer NOT NULL,
    dosen_differenz_zum_vortag integer NOT NULL,
    dosen_biontech_kumulativ integer NOT NULL,
    dosen_moderna_kumulativ integer NOT NULL,
    personen_erst_kumulativ integer NOT NULL,
    personen_voll_kumulativ integer NOT NULL,
    impf_quote_erst double precision NOT NULL,
    impf_quote_voll double precision NOT NULL,
    indikation_alter_dosen integer NOT NULL,
    indikation_beruf_dosen integer NOT NULL,
    indikation_medizinisch_dosen integer NOT NULL,
    indikation_pflegeheim_dosen integer NOT NULL,
    indikation_alter_erst integer NOT NULL,
    indikation_beruf_erst integer NOT NULL,
    indikation_medizinisch_erst integer NOT NULL,
    indikation_pflegeheim_erst integer NOT NULL,
    indikation_alter_voll integer NOT NULL,
    indikation_beruf_voll integer NOT NULL,
    indikation_medizinisch_voll integer NOT NULL,
    indikation_pflegeheim_voll integer NOT NULL
);


ALTER TABLE public.rki_vaccination_import OWNER TO covid19data;

--
-- Name: rki_vaccination_import_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.rki_vaccination_import_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.rki_vaccination_import_id_seq OWNER TO covid19data;

--
-- Name: rki_vaccination_import_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.rki_vaccination_import_id_seq OWNED BY public.rki_vaccination_import.id;


--
-- Name: who_country; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.who_country (
    id integer NOT NULL,
    country_code character varying(255) NOT NULL,
    country character varying(255) NOT NULL,
    region_id integer NOT NULL
);


ALTER TABLE public.who_country OWNER TO covid19data;

--
-- Name: who_country_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.who_country_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.who_country_id_seq OWNER TO covid19data;

--
-- Name: who_country_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.who_country_id_seq OWNED BY public.who_country.id;


--
-- Name: who_data; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.who_data (
    id integer NOT NULL,
    cases_new integer NOT NULL,
    cases_cumulative integer NOT NULL,
    deaths_new integer NOT NULL,
    deaths_cumulative integer NOT NULL,
    date_reported_id integer NOT NULL,
    country_id integer NOT NULL
);


ALTER TABLE public.who_data OWNER TO covid19data;

--
-- Name: who_data_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.who_data_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.who_data_id_seq OWNER TO covid19data;

--
-- Name: who_data_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.who_data_id_seq OWNED BY public.who_data.id;


--
-- Name: who_date_reported; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.who_date_reported (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    year_week character varying(255) NOT NULL,
    datum date NOT NULL,
    year integer NOT NULL,
    month integer NOT NULL,
    day_of_month integer NOT NULL,
    day_of_week integer NOT NULL,
    week_of_year integer NOT NULL
);


ALTER TABLE public.who_date_reported OWNER TO covid19data;

--
-- Name: who_date_reported_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.who_date_reported_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.who_date_reported_id_seq OWNER TO covid19data;

--
-- Name: who_date_reported_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.who_date_reported_id_seq OWNED BY public.who_date_reported.id;


--
-- Name: who_import; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.who_import (
    id integer NOT NULL,
    date_reported character varying(255) NOT NULL,
    country_code character varying(255) NOT NULL,
    country character varying(255) NOT NULL,
    who_region character varying(255) NOT NULL,
    new_cases character varying(255) NOT NULL,
    cumulative_cases character varying(255) NOT NULL,
    new_deaths character varying(255) NOT NULL,
    cumulative_deaths character varying(255) NOT NULL
);


ALTER TABLE public.who_import OWNER TO covid19data;

--
-- Name: who_import_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.who_import_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.who_import_id_seq OWNER TO covid19data;

--
-- Name: who_import_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.who_import_id_seq OWNED BY public.who_import.id;


--
-- Name: who_region; Type: TABLE; Schema: public; Owner: covid19data
--

CREATE TABLE public.who_region (
    id integer NOT NULL,
    region character varying(255) NOT NULL
);


ALTER TABLE public.who_region OWNER TO covid19data;

--
-- Name: who_region_id_seq; Type: SEQUENCE; Schema: public; Owner: covid19data
--

CREATE SEQUENCE public.who_region_id_seq
    AS integer
    START WITH 1
    INCREMENT BY 1
    NO MINVALUE
    NO MAXVALUE
    CACHE 1;


ALTER TABLE public.who_region_id_seq OWNER TO covid19data;

--
-- Name: who_region_id_seq; Type: SEQUENCE OWNED BY; Schema: public; Owner: covid19data
--

ALTER SEQUENCE public.who_region_id_seq OWNED BY public.who_region.id;


--
-- Name: application_date_reported id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_date_reported ALTER COLUMN id SET DEFAULT nextval('public.application_date_reported_id_seq'::regclass);


--
-- Name: application_region id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_region ALTER COLUMN id SET DEFAULT nextval('public.application_region_id_seq'::regclass);


--
-- Name: ecdc_continent id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_continent ALTER COLUMN id SET DEFAULT nextval('public.ecdc_continent_id_seq'::regclass);


--
-- Name: ecdc_country id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_country ALTER COLUMN id SET DEFAULT nextval('public.ecdc_country_id_seq'::regclass);


--
-- Name: ecdc_data id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_data ALTER COLUMN id SET DEFAULT nextval('public.ecdc_data_id_seq'::regclass);


--
-- Name: ecdc_date_reported id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_date_reported ALTER COLUMN id SET DEFAULT nextval('public.ecdc_date_reported_id_seq'::regclass);


--
-- Name: ecdc_import id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_import ALTER COLUMN id SET DEFAULT nextval('public.ecdc_import_id_seq'::regclass);


--
-- Name: owid_data id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_data ALTER COLUMN id SET DEFAULT nextval('public.owid_data_id_seq'::regclass);


--
-- Name: owid_date_reported id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_date_reported ALTER COLUMN id SET DEFAULT nextval('public.owid_date_reported_id_seq'::regclass);


--
-- Name: owid_import id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_import ALTER COLUMN id SET DEFAULT nextval('public.owid_import_id_seq'::regclass);


--
-- Name: rki_bundeslaender id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_bundeslaender ALTER COLUMN id SET DEFAULT nextval('public.rki_bundeslaender_id_seq'::regclass);


--
-- Name: rki_bundeslsaender_import id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_bundeslsaender_import ALTER COLUMN id SET DEFAULT nextval('public.rki_bundeslsaender_import_id_seq'::regclass);


--
-- Name: rki_country id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_country ALTER COLUMN id SET DEFAULT nextval('public.rki_country_id_seq'::regclass);


--
-- Name: rki_date_reported id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_date_reported ALTER COLUMN id SET DEFAULT nextval('public.rki_date_reported_id_seq'::regclass);


--
-- Name: rki_landkreise id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_landkreise ALTER COLUMN id SET DEFAULT nextval('public.rki_landkreise_id_seq'::regclass);


--
-- Name: rki_landkreise_import id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_landkreise_import ALTER COLUMN id SET DEFAULT nextval('public.rki_landkreise_import_id_seq'::regclass);


--
-- Name: rki_region id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_region ALTER COLUMN id SET DEFAULT nextval('public.rki_region_id_seq'::regclass);


--
-- Name: rki_vaccination_data id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_data ALTER COLUMN id SET DEFAULT nextval('public.rki_vaccination_data_id_seq'::regclass);


--
-- Name: rki_vaccination_date_reported id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_date_reported ALTER COLUMN id SET DEFAULT nextval('public.rki_vaccination_date_reported_id_seq'::regclass);


--
-- Name: rki_vaccination_import id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_import ALTER COLUMN id SET DEFAULT nextval('public.rki_vaccination_import_id_seq'::regclass);


--
-- Name: who_country id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_country ALTER COLUMN id SET DEFAULT nextval('public.who_country_id_seq'::regclass);


--
-- Name: who_data id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_data ALTER COLUMN id SET DEFAULT nextval('public.who_data_id_seq'::regclass);


--
-- Name: who_date_reported id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_date_reported ALTER COLUMN id SET DEFAULT nextval('public.who_date_reported_id_seq'::regclass);


--
-- Name: who_import id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_import ALTER COLUMN id SET DEFAULT nextval('public.who_import_id_seq'::regclass);


--
-- Name: who_region id; Type: DEFAULT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_region ALTER COLUMN id SET DEFAULT nextval('public.who_region_id_seq'::regclass);


--
-- Data for Name: application_date_reported; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: application_region; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: ecdc_continent; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.ecdc_continent VALUES (1, 'Africa');
INSERT INTO public.ecdc_continent VALUES (2, 'America');
INSERT INTO public.ecdc_continent VALUES (3, 'Asia');
INSERT INTO public.ecdc_continent VALUES (4, 'Europe');
INSERT INTO public.ecdc_continent VALUES (5, 'Oceania');
INSERT INTO public.ecdc_continent VALUES (6, 'Other');


--
-- Data for Name: ecdc_country; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.ecdc_country VALUES (1, 'Algeria', '43053054', 'DZ', 'DZA', 1);
INSERT INTO public.ecdc_country VALUES (2, 'Angola', '31825299', 'AO', 'AGO', 1);
INSERT INTO public.ecdc_country VALUES (3, 'Benin', '11801151', 'BJ', 'BEN', 1);
INSERT INTO public.ecdc_country VALUES (4, 'Botswana', '2303703', 'BW', 'BWA', 1);
INSERT INTO public.ecdc_country VALUES (5, 'Burkina_Faso', '20321383', 'BF', 'BFA', 1);
INSERT INTO public.ecdc_country VALUES (6, 'Burundi', '11530577', 'BI', 'BDI', 1);
INSERT INTO public.ecdc_country VALUES (7, 'Cameroon', '25876387', 'CM', 'CMR', 1);
INSERT INTO public.ecdc_country VALUES (8, 'Cape_Verde', '549936', 'CV', 'CPV', 1);
INSERT INTO public.ecdc_country VALUES (9, 'Central_African_Republic', '4745179', 'CF', 'CAF', 1);
INSERT INTO public.ecdc_country VALUES (10, 'Chad', '15946882', 'TD', 'TCD', 1);
INSERT INTO public.ecdc_country VALUES (11, 'Comoros', '850891', 'KM', 'COM', 1);
INSERT INTO public.ecdc_country VALUES (12, 'Congo', '5380504', 'CG', 'COG', 1);
INSERT INTO public.ecdc_country VALUES (13, 'Cote_dIvoire', '25716554', 'CI', 'CIV', 1);
INSERT INTO public.ecdc_country VALUES (14, 'Democratic_Republic_of_the_Congo', '86790568', 'CD', 'COD', 1);
INSERT INTO public.ecdc_country VALUES (15, 'Djibouti', '973557', 'DJ', 'DJI', 1);
INSERT INTO public.ecdc_country VALUES (16, 'Egypt', '100388076', 'EG', 'EGY', 1);
INSERT INTO public.ecdc_country VALUES (17, 'Equatorial_Guinea', '1355982', 'GQ', 'GNQ', 1);
INSERT INTO public.ecdc_country VALUES (18, 'Eritrea', '3497117', 'ER', 'ERI', 1);
INSERT INTO public.ecdc_country VALUES (19, 'Eswatini', '1148133', 'SZ', 'SWZ', 1);
INSERT INTO public.ecdc_country VALUES (20, 'Ethiopia', '112078727', 'ET', 'ETH', 1);
INSERT INTO public.ecdc_country VALUES (21, 'Gabon', '2172578', 'GA', 'GAB', 1);
INSERT INTO public.ecdc_country VALUES (22, 'Gambia', '2347696', 'GM', 'GMB', 1);
INSERT INTO public.ecdc_country VALUES (23, 'Ghana', '30417858', 'GH', 'GHA', 1);
INSERT INTO public.ecdc_country VALUES (24, 'Guinea', '12771246', 'GN', 'GIN', 1);
INSERT INTO public.ecdc_country VALUES (25, 'Guinea_Bissau', '1920917', 'GW', 'GNB', 1);
INSERT INTO public.ecdc_country VALUES (26, 'Kenya', '52573967', 'KE', 'KEN', 1);
INSERT INTO public.ecdc_country VALUES (27, 'Lesotho', '2125267', 'LS', 'LSO', 1);
INSERT INTO public.ecdc_country VALUES (28, 'Liberia', '4937374', 'LR', 'LBR', 1);
INSERT INTO public.ecdc_country VALUES (29, 'Libya', '6777453', 'LY', 'LBY', 1);
INSERT INTO public.ecdc_country VALUES (30, 'Madagascar', '26969306', 'MG', 'MDG', 1);
INSERT INTO public.ecdc_country VALUES (31, 'Malawi', '18628749', 'MW', 'MWI', 1);
INSERT INTO public.ecdc_country VALUES (32, 'Mali', '19658023', 'ML', 'MLI', 1);
INSERT INTO public.ecdc_country VALUES (33, 'Mauritania', '4525698', 'MR', 'MRT', 1);
INSERT INTO public.ecdc_country VALUES (34, 'Mauritius', '1269670', 'MU', 'MUS', 1);
INSERT INTO public.ecdc_country VALUES (35, 'Morocco', '36471766', 'MA', 'MAR', 1);
INSERT INTO public.ecdc_country VALUES (36, 'Mozambique', '30366043', 'MZ', 'MOZ', 1);
INSERT INTO public.ecdc_country VALUES (37, 'Namibia', '2494524', 'NA', 'NAM', 1);
INSERT INTO public.ecdc_country VALUES (38, 'Niger', '23310719', 'NE', 'NER', 1);
INSERT INTO public.ecdc_country VALUES (39, 'Nigeria', '200963603', 'NG', 'NGA', 1);
INSERT INTO public.ecdc_country VALUES (40, 'Rwanda', '12626938', 'RW', 'RWA', 1);
INSERT INTO public.ecdc_country VALUES (41, 'Sao_Tome_and_Principe', '215048', 'ST', 'STP', 1);
INSERT INTO public.ecdc_country VALUES (42, 'Senegal', '16296362', 'SN', 'SEN', 1);
INSERT INTO public.ecdc_country VALUES (43, 'Seychelles', '97741', 'SC', 'SYC', 1);
INSERT INTO public.ecdc_country VALUES (44, 'Sierra_Leone', '7813207', 'SL', 'SLE', 1);
INSERT INTO public.ecdc_country VALUES (45, 'Somalia', '15442906', 'SO', 'SOM', 1);
INSERT INTO public.ecdc_country VALUES (46, 'South_Africa', '58558267', 'ZA', 'ZAF', 1);
INSERT INTO public.ecdc_country VALUES (47, 'South_Sudan', '11062114', 'SS', 'SSD', 1);
INSERT INTO public.ecdc_country VALUES (48, 'Sudan', '42813237', 'SD', 'SDN', 1);
INSERT INTO public.ecdc_country VALUES (49, 'Togo', '8082359', 'TG', 'TGO', 1);
INSERT INTO public.ecdc_country VALUES (50, 'Tunisia', '11694721', 'TN', 'TUN', 1);
INSERT INTO public.ecdc_country VALUES (51, 'Uganda', '44269587', 'UG', 'UGA', 1);
INSERT INTO public.ecdc_country VALUES (52, 'United_Republic_of_Tanzania', '58005461', 'TZ', 'TZA', 1);
INSERT INTO public.ecdc_country VALUES (53, 'Western_Sahara', '582458', 'EH', 'ESH', 1);
INSERT INTO public.ecdc_country VALUES (54, 'Zambia', '17861034', 'ZM', 'ZMB', 1);
INSERT INTO public.ecdc_country VALUES (55, 'Zimbabwe', '14645473', 'ZW', 'ZWE', 1);
INSERT INTO public.ecdc_country VALUES (56, 'Anguilla', '14872', 'AI', 'AIA', 2);
INSERT INTO public.ecdc_country VALUES (57, 'Antigua_and_Barbuda', '97115', 'AG', 'ATG', 2);
INSERT INTO public.ecdc_country VALUES (58, 'Argentina', '44780675', 'AR', 'ARG', 2);
INSERT INTO public.ecdc_country VALUES (59, 'Aruba', '106310', 'AW', 'ABW', 2);
INSERT INTO public.ecdc_country VALUES (60, 'Bahamas', '389486', 'BS', 'BHS', 2);
INSERT INTO public.ecdc_country VALUES (61, 'Barbados', '287021', 'BB', 'BRB', 2);
INSERT INTO public.ecdc_country VALUES (62, 'Belize', '390351', 'BZ', 'BLZ', 2);
INSERT INTO public.ecdc_country VALUES (63, 'Bermuda', '62508', 'BM', 'BMU', 2);
INSERT INTO public.ecdc_country VALUES (64, 'Bolivia', '11513102', 'BO', 'BOL', 2);
INSERT INTO public.ecdc_country VALUES (65, 'Bonaire, Saint Eustatius and Saba', '25983', 'BQ', 'BES', 2);
INSERT INTO public.ecdc_country VALUES (66, 'Brazil', '211049519', 'BR', 'BRA', 2);
INSERT INTO public.ecdc_country VALUES (67, 'British_Virgin_Islands', '30033', 'VG', 'VGB', 2);
INSERT INTO public.ecdc_country VALUES (68, 'Canada', '37411038', 'CA', 'CAN', 2);
INSERT INTO public.ecdc_country VALUES (69, 'Cayman_Islands', '64948', 'KY', 'CYM', 2);
INSERT INTO public.ecdc_country VALUES (70, 'Chile', '18952035', 'CL', 'CHL', 2);
INSERT INTO public.ecdc_country VALUES (71, 'Colombia', '50339443', 'CO', 'COL', 2);
INSERT INTO public.ecdc_country VALUES (72, 'Costa_Rica', '5047561', 'CR', 'CRI', 2);
INSERT INTO public.ecdc_country VALUES (73, 'Cuba', '11333484', 'CU', 'CUB', 2);
INSERT INTO public.ecdc_country VALUES (74, 'Curaçao', '163423', 'CW', 'CUW', 2);
INSERT INTO public.ecdc_country VALUES (75, 'Dominica', '71808', 'DM', 'DMA', 2);
INSERT INTO public.ecdc_country VALUES (76, 'Dominican_Republic', '10738957', 'DO', 'DOM', 2);
INSERT INTO public.ecdc_country VALUES (77, 'Ecuador', '17373657', 'EC', 'ECU', 2);
INSERT INTO public.ecdc_country VALUES (78, 'El_Salvador', '6453550', 'SV', 'SLV', 2);
INSERT INTO public.ecdc_country VALUES (79, 'Falkland_Islands_(Malvinas)', '3372', 'FK', 'FLK', 2);
INSERT INTO public.ecdc_country VALUES (80, 'Greenland', '56660', 'GL', 'GRL', 2);
INSERT INTO public.ecdc_country VALUES (81, 'Grenada', '112002', 'GD', 'GRD', 2);
INSERT INTO public.ecdc_country VALUES (82, 'Guatemala', '17581476', 'GT', 'GTM', 2);
INSERT INTO public.ecdc_country VALUES (83, 'Guyana', '782775', 'GY', 'GUY', 2);
INSERT INTO public.ecdc_country VALUES (84, 'Haiti', '11263079', 'HT', 'HTI', 2);
INSERT INTO public.ecdc_country VALUES (85, 'Honduras', '9746115', 'HN', 'HND', 2);
INSERT INTO public.ecdc_country VALUES (86, 'Jamaica', '2948277', 'JM', 'JAM', 2);
INSERT INTO public.ecdc_country VALUES (87, 'Mexico', '127575529', 'MX', 'MEX', 2);
INSERT INTO public.ecdc_country VALUES (88, 'Montserrat', '4991', 'MS', 'MSF', 2);
INSERT INTO public.ecdc_country VALUES (89, 'Nicaragua', '6545503', 'NI', 'NIC', 2);
INSERT INTO public.ecdc_country VALUES (90, 'Panama', '4246440', 'PA', 'PAN', 2);
INSERT INTO public.ecdc_country VALUES (91, 'Paraguay', '7044639', 'PY', 'PRY', 2);
INSERT INTO public.ecdc_country VALUES (92, 'Peru', '32510462', 'PE', 'PER', 2);
INSERT INTO public.ecdc_country VALUES (93, 'Puerto_Rico', '2933404', 'PR', 'PRI', 2);
INSERT INTO public.ecdc_country VALUES (94, 'Saint_Kitts_and_Nevis', '52834', 'KN', 'KNA', 2);
INSERT INTO public.ecdc_country VALUES (95, 'Saint_Lucia', '182795', 'LC', 'LCA', 2);
INSERT INTO public.ecdc_country VALUES (96, 'Saint_Vincent_and_the_Grenadines', '110593', 'VC', 'VCT', 2);
INSERT INTO public.ecdc_country VALUES (97, 'Sint_Maarten', '42389', 'SX', 'SXM', 2);
INSERT INTO public.ecdc_country VALUES (98, 'Suriname', '581363', 'SR', 'SUR', 2);
INSERT INTO public.ecdc_country VALUES (99, 'Trinidad_and_Tobago', '1394969', 'TT', 'TTO', 2);
INSERT INTO public.ecdc_country VALUES (100, 'Turks_and_Caicos_islands', '38194', 'TC', 'TCA', 2);
INSERT INTO public.ecdc_country VALUES (101, 'United_States_of_America', '329064917', 'US', 'USA', 2);
INSERT INTO public.ecdc_country VALUES (102, 'United_States_Virgin_Islands', '104579', 'VI', 'VIR', 2);
INSERT INTO public.ecdc_country VALUES (103, 'Uruguay', '3461731', 'UY', 'URY', 2);
INSERT INTO public.ecdc_country VALUES (104, 'Venezuela', '28515829', 'VE', 'VEN', 2);
INSERT INTO public.ecdc_country VALUES (105, 'Afghanistan', '38041757', 'AF', 'AFG', 3);
INSERT INTO public.ecdc_country VALUES (106, 'Bahrain', '1641164', 'BH', 'BHR', 3);
INSERT INTO public.ecdc_country VALUES (107, 'Bangladesh', '163046173', 'BD', 'BGD', 3);
INSERT INTO public.ecdc_country VALUES (108, 'Bhutan', '763094', 'BT', 'BTN', 3);
INSERT INTO public.ecdc_country VALUES (109, 'Brunei_Darussalam', '433296', 'BN', 'BRN', 3);
INSERT INTO public.ecdc_country VALUES (110, 'Cambodia', '16486542', 'KH', 'KHM', 3);
INSERT INTO public.ecdc_country VALUES (111, 'China', '1433783692', 'CN', 'CHN', 3);
INSERT INTO public.ecdc_country VALUES (112, 'India', '1366417756', 'IN', 'IND', 3);
INSERT INTO public.ecdc_country VALUES (113, 'Indonesia', '270625567', 'ID', 'IDN', 3);
INSERT INTO public.ecdc_country VALUES (114, 'Iran', '82913893', 'IR', 'IRN', 3);
INSERT INTO public.ecdc_country VALUES (115, 'Iraq', '39309789', 'IQ', 'IRQ', 3);
INSERT INTO public.ecdc_country VALUES (116, 'Israel', '8519373', 'IL', 'ISR', 3);
INSERT INTO public.ecdc_country VALUES (117, 'Japan', '126860299', 'JP', 'JPN', 3);
INSERT INTO public.ecdc_country VALUES (118, 'Jordan', '10101697', 'JO', 'JOR', 3);
INSERT INTO public.ecdc_country VALUES (119, 'Kazakhstan', '18551428', 'KZ', 'KAZ', 3);
INSERT INTO public.ecdc_country VALUES (120, 'Kuwait', '4207077', 'KW', 'KWT', 3);
INSERT INTO public.ecdc_country VALUES (121, 'Kyrgyzstan', '6415851', 'KG', 'KGZ', 3);
INSERT INTO public.ecdc_country VALUES (122, 'Laos', '7169456', 'LA', 'LAO', 3);
INSERT INTO public.ecdc_country VALUES (123, 'Lebanon', '6855709', 'LB', 'LBN', 3);
INSERT INTO public.ecdc_country VALUES (124, 'Malaysia', '31949789', 'MY', 'MYS', 3);
INSERT INTO public.ecdc_country VALUES (125, 'Maldives', '530957', 'MV', 'MDV', 3);
INSERT INTO public.ecdc_country VALUES (126, 'Mongolia', '3225166', 'MN', 'MNG', 3);
INSERT INTO public.ecdc_country VALUES (127, 'Myanmar', '54045422', 'MM', 'MMR', 3);
INSERT INTO public.ecdc_country VALUES (128, 'Nepal', '28608715', 'NP', 'NPL', 3);
INSERT INTO public.ecdc_country VALUES (129, 'Oman', '4974992', 'OM', 'OMN', 3);
INSERT INTO public.ecdc_country VALUES (130, 'Pakistan', '216565317', 'PK', 'PAK', 3);
INSERT INTO public.ecdc_country VALUES (131, 'Palestine', '4981422', 'PS', 'PSE', 3);
INSERT INTO public.ecdc_country VALUES (132, 'Philippines', '108116622', 'PH', 'PHL', 3);
INSERT INTO public.ecdc_country VALUES (133, 'Qatar', '2832071', 'QA', 'QAT', 3);
INSERT INTO public.ecdc_country VALUES (134, 'Saudi_Arabia', '34268529', 'SA', 'SAU', 3);
INSERT INTO public.ecdc_country VALUES (135, 'Singapore', '5804343', 'SG', 'SGP', 3);
INSERT INTO public.ecdc_country VALUES (136, 'South_Korea', '51225321', 'KR', 'KOR', 3);
INSERT INTO public.ecdc_country VALUES (137, 'Sri_Lanka', '21323734', 'LK', 'LKA', 3);
INSERT INTO public.ecdc_country VALUES (138, 'Syria', '17070132', 'SY', 'SYR', 3);
INSERT INTO public.ecdc_country VALUES (139, 'Taiwan', '23773881', 'TW', 'CNG1925', 3);
INSERT INTO public.ecdc_country VALUES (140, 'Tajikistan', '9321023', 'TJ', 'TJK', 3);
INSERT INTO public.ecdc_country VALUES (141, 'Thailand', '69625581', 'TH', 'THA', 3);
INSERT INTO public.ecdc_country VALUES (142, 'Timor_Leste', '1293120', 'TL', 'TLS', 3);
INSERT INTO public.ecdc_country VALUES (143, 'United_Arab_Emirates', '9770526', 'AE', 'ARE', 3);
INSERT INTO public.ecdc_country VALUES (144, 'Uzbekistan', '32981715', 'UZ', 'UZB', 3);
INSERT INTO public.ecdc_country VALUES (145, 'Vietnam', '96462108', 'VN', 'VNM', 3);
INSERT INTO public.ecdc_country VALUES (146, 'Yemen', '29161922', 'YE', 'YEM', 3);
INSERT INTO public.ecdc_country VALUES (147, 'Albania', '2862427', 'AL', 'ALB', 4);
INSERT INTO public.ecdc_country VALUES (148, 'Andorra', '76177', 'AD', 'AND', 4);
INSERT INTO public.ecdc_country VALUES (149, 'Armenia', '2957728', 'AM', 'ARM', 4);
INSERT INTO public.ecdc_country VALUES (150, 'Austria', '8858775', 'AT', 'AUT', 4);
INSERT INTO public.ecdc_country VALUES (151, 'Azerbaijan', '10047719', 'AZ', 'AZE', 4);
INSERT INTO public.ecdc_country VALUES (152, 'Belarus', '9452409', 'BY', 'BLR', 4);
INSERT INTO public.ecdc_country VALUES (153, 'Belgium', '11455519', 'BE', 'BEL', 4);
INSERT INTO public.ecdc_country VALUES (154, 'Bosnia_and_Herzegovina', '3300998', 'BA', 'BIH', 4);
INSERT INTO public.ecdc_country VALUES (155, 'Bulgaria', '7000039', 'BG', 'BGR', 4);
INSERT INTO public.ecdc_country VALUES (156, 'Croatia', '4076246', 'HR', 'HRV', 4);
INSERT INTO public.ecdc_country VALUES (157, 'Cyprus', '875899', 'CY', 'CYP', 4);
INSERT INTO public.ecdc_country VALUES (158, 'Czechia', '10649800', 'CZ', 'CZE', 4);
INSERT INTO public.ecdc_country VALUES (159, 'Denmark', '5806081', 'DK', 'DNK', 4);
INSERT INTO public.ecdc_country VALUES (160, 'Estonia', '1324820', 'EE', 'EST', 4);
INSERT INTO public.ecdc_country VALUES (161, 'Faroe_Islands', '48677', 'FO', 'FRO', 4);
INSERT INTO public.ecdc_country VALUES (162, 'Finland', '5517919', 'FI', 'FIN', 4);
INSERT INTO public.ecdc_country VALUES (163, 'France', '67012883', 'FR', 'FRA', 4);
INSERT INTO public.ecdc_country VALUES (164, 'Georgia', '3996762', 'GE', 'GEO', 4);
INSERT INTO public.ecdc_country VALUES (165, 'Germany', '83019213', 'DE', 'DEU', 4);
INSERT INTO public.ecdc_country VALUES (166, 'Gibraltar', '33706', 'GI', 'GIB', 4);
INSERT INTO public.ecdc_country VALUES (167, 'Greece', '10724599', 'EL', 'GRC', 4);
INSERT INTO public.ecdc_country VALUES (168, 'Guernsey', '64468', 'GG', 'GGY', 4);
INSERT INTO public.ecdc_country VALUES (169, 'Holy_See', '815', 'VA', 'VAT', 4);
INSERT INTO public.ecdc_country VALUES (170, 'Hungary', '9772756', 'HU', 'HUN', 4);
INSERT INTO public.ecdc_country VALUES (171, 'Iceland', '356991', 'IS', 'ISL', 4);
INSERT INTO public.ecdc_country VALUES (172, 'Ireland', '4904240', 'IE', 'IRL', 4);
INSERT INTO public.ecdc_country VALUES (173, 'Isle_of_Man', '84589', 'IM', 'IMN', 4);
INSERT INTO public.ecdc_country VALUES (174, 'Italy', '60359546', 'IT', 'ITA', 4);
INSERT INTO public.ecdc_country VALUES (175, 'Jersey', '107796', 'JE', 'JEY', 4);
INSERT INTO public.ecdc_country VALUES (176, 'Kosovo', '1798506', 'XK', 'XKX', 4);
INSERT INTO public.ecdc_country VALUES (177, 'Latvia', '1919968', 'LV', 'LVA', 4);
INSERT INTO public.ecdc_country VALUES (178, 'Liechtenstein', '38378', 'LI', 'LIE', 4);
INSERT INTO public.ecdc_country VALUES (179, 'Lithuania', '2794184', 'LT', 'LTU', 4);
INSERT INTO public.ecdc_country VALUES (180, 'Luxembourg', '613894', 'LU', 'LUX', 4);
INSERT INTO public.ecdc_country VALUES (181, 'Malta', '493559', 'MT', 'MLT', 4);
INSERT INTO public.ecdc_country VALUES (182, 'Moldova', '4043258', 'MD', 'MDA', 4);
INSERT INTO public.ecdc_country VALUES (183, 'Monaco', '33085', 'MC', 'MCO', 4);
INSERT INTO public.ecdc_country VALUES (184, 'Montenegro', '622182', 'ME', 'MNE', 4);
INSERT INTO public.ecdc_country VALUES (185, 'Netherlands', '17282163', 'NL', 'NLD', 4);
INSERT INTO public.ecdc_country VALUES (186, 'North_Macedonia', '2077132', 'MK', 'MKD', 4);
INSERT INTO public.ecdc_country VALUES (187, 'Norway', '5328212', 'NO', 'NOR', 4);
INSERT INTO public.ecdc_country VALUES (188, 'Poland', '37972812', 'PL', 'POL', 4);
INSERT INTO public.ecdc_country VALUES (189, 'Portugal', '10276617', 'PT', 'PRT', 4);
INSERT INTO public.ecdc_country VALUES (190, 'Romania', '19414458', 'RO', 'ROU', 4);
INSERT INTO public.ecdc_country VALUES (191, 'Russia', '145872260', 'RU', 'RUS', 4);
INSERT INTO public.ecdc_country VALUES (192, 'San_Marino', '34453', 'SM', 'SMR', 4);
INSERT INTO public.ecdc_country VALUES (193, 'Serbia', '6963764', 'RS', 'SRB', 4);
INSERT INTO public.ecdc_country VALUES (194, 'Slovakia', '5450421', 'SK', 'SVK', 4);
INSERT INTO public.ecdc_country VALUES (195, 'Slovenia', '2080908', 'SI', 'SVN', 4);
INSERT INTO public.ecdc_country VALUES (196, 'Spain', '46937060', 'ES', 'ESP', 4);
INSERT INTO public.ecdc_country VALUES (197, 'Sweden', '10230185', 'SE', 'SWE', 4);
INSERT INTO public.ecdc_country VALUES (198, 'Switzerland', '8544527', 'CH', 'CHE', 4);
INSERT INTO public.ecdc_country VALUES (199, 'Turkey', '82003882', 'TR', 'TUR', 4);
INSERT INTO public.ecdc_country VALUES (200, 'Ukraine', '43993643', 'UA', 'UKR', 4);
INSERT INTO public.ecdc_country VALUES (201, 'United_Kingdom', '66647112', 'UK', 'GBR', 4);
INSERT INTO public.ecdc_country VALUES (202, 'Australia', '25203200', 'AU', 'AUS', 5);
INSERT INTO public.ecdc_country VALUES (203, 'Fiji', '889955', 'FJ', 'FJI', 5);
INSERT INTO public.ecdc_country VALUES (204, 'French_Polynesia', '279285', 'PF', 'PYF', 5);
INSERT INTO public.ecdc_country VALUES (205, 'Guam', '167295', 'GU', 'GUM', 5);
INSERT INTO public.ecdc_country VALUES (206, 'Marshall_Islands', '58791', 'MH', 'MHL', 5);
INSERT INTO public.ecdc_country VALUES (207, 'New_Caledonia', '282757', 'NC', 'NCL', 5);
INSERT INTO public.ecdc_country VALUES (208, 'New_Zealand', '4783062', 'NZ', 'NZL', 5);
INSERT INTO public.ecdc_country VALUES (209, 'Northern_Mariana_Islands', '57213', 'MP', 'MNP', 5);
INSERT INTO public.ecdc_country VALUES (210, 'Papua_New_Guinea', '8776119', 'PG', 'PNG', 5);
INSERT INTO public.ecdc_country VALUES (211, 'Solomon_Islands', '669821', 'SB', 'SLB', 5);
INSERT INTO public.ecdc_country VALUES (212, 'Vanuatu', '299882', 'VU', 'VUT', 5);
INSERT INTO public.ecdc_country VALUES (213, 'Wallis_and_Futuna', '', 'WF', '', 5);
INSERT INTO public.ecdc_country VALUES (214, 'Cases_on_an_international_conveyance_Japan', '', 'JPG11668', '', 6);


--
-- Data for Name: ecdc_data; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.ecdc_data VALUES (1, 0, 0, 0, 105, 1);
INSERT INTO public.ecdc_data VALUES (2, 0, 0, 0, 1, 1);
INSERT INTO public.ecdc_data VALUES (3, 0, 0, 0, 149, 1);
INSERT INTO public.ecdc_data VALUES (4, 0, 0, 0, 202, 1);
INSERT INTO public.ecdc_data VALUES (5, 0, 0, 0, 150, 1);
INSERT INTO public.ecdc_data VALUES (6, 0, 0, 0, 151, 1);
INSERT INTO public.ecdc_data VALUES (7, 0, 0, 0, 106, 1);
INSERT INTO public.ecdc_data VALUES (8, 0, 0, 0, 152, 1);
INSERT INTO public.ecdc_data VALUES (9, 0, 0, 0, 153, 1);
INSERT INTO public.ecdc_data VALUES (10, 0, 0, 0, 66, 1);
INSERT INTO public.ecdc_data VALUES (11, 0, 0, 0, 110, 1);
INSERT INTO public.ecdc_data VALUES (12, 0, 0, 0, 68, 1);
INSERT INTO public.ecdc_data VALUES (13, 0, 0, 0, 214, 1);
INSERT INTO public.ecdc_data VALUES (14, 0, 27, 0, 111, 1);
INSERT INTO public.ecdc_data VALUES (15, 0, 0, 0, 156, 1);
INSERT INTO public.ecdc_data VALUES (16, 0, 0, 0, 158, 1);
INSERT INTO public.ecdc_data VALUES (17, 0, 0, 0, 159, 1);
INSERT INTO public.ecdc_data VALUES (18, 0, 0, 0, 76, 1);
INSERT INTO public.ecdc_data VALUES (19, 0, 0, 0, 77, 1);
INSERT INTO public.ecdc_data VALUES (20, 0, 0, 0, 16, 1);
INSERT INTO public.ecdc_data VALUES (21, 0, 0, 0, 160, 1);
INSERT INTO public.ecdc_data VALUES (22, 0, 0, 0, 162, 1);
INSERT INTO public.ecdc_data VALUES (23, 0, 0, 0, 163, 1);
INSERT INTO public.ecdc_data VALUES (24, 0, 0, 0, 164, 1);
INSERT INTO public.ecdc_data VALUES (25, 0, 0, 0, 165, 1);
INSERT INTO public.ecdc_data VALUES (26, 0, 0, 0, 167, 1);
INSERT INTO public.ecdc_data VALUES (27, 0, 0, 0, 171, 1);
INSERT INTO public.ecdc_data VALUES (28, 0, 0, 0, 112, 1);
INSERT INTO public.ecdc_data VALUES (29, 0, 0, 0, 113, 1);
INSERT INTO public.ecdc_data VALUES (30, 0, 0, 0, 114, 1);
INSERT INTO public.ecdc_data VALUES (31, 0, 0, 0, 115, 1);
INSERT INTO public.ecdc_data VALUES (32, 0, 0, 0, 172, 1);
INSERT INTO public.ecdc_data VALUES (33, 0, 0, 0, 116, 1);
INSERT INTO public.ecdc_data VALUES (34, 0, 0, 0, 174, 1);
INSERT INTO public.ecdc_data VALUES (35, 0, 0, 0, 117, 1);
INSERT INTO public.ecdc_data VALUES (36, 0, 0, 0, 120, 1);
INSERT INTO public.ecdc_data VALUES (37, 0, 0, 0, 123, 1);
INSERT INTO public.ecdc_data VALUES (38, 0, 0, 0, 179, 1);
INSERT INTO public.ecdc_data VALUES (39, 0, 0, 0, 180, 1);
INSERT INTO public.ecdc_data VALUES (40, 0, 0, 0, 124, 1);
INSERT INTO public.ecdc_data VALUES (41, 0, 0, 0, 87, 1);
INSERT INTO public.ecdc_data VALUES (42, 0, 0, 0, 183, 1);
INSERT INTO public.ecdc_data VALUES (43, 0, 0, 0, 128, 1);
INSERT INTO public.ecdc_data VALUES (44, 0, 0, 0, 185, 1);
INSERT INTO public.ecdc_data VALUES (45, 0, 0, 0, 208, 1);
INSERT INTO public.ecdc_data VALUES (46, 0, 0, 0, 39, 1);
INSERT INTO public.ecdc_data VALUES (47, 0, 0, 0, 186, 1);
INSERT INTO public.ecdc_data VALUES (48, 0, 0, 0, 187, 1);
INSERT INTO public.ecdc_data VALUES (49, 0, 0, 0, 129, 1);
INSERT INTO public.ecdc_data VALUES (50, 0, 0, 0, 130, 1);
INSERT INTO public.ecdc_data VALUES (51, 0, 0, 0, 132, 1);
INSERT INTO public.ecdc_data VALUES (52, 0, 0, 0, 133, 1);
INSERT INTO public.ecdc_data VALUES (53, 0, 0, 0, 190, 1);
INSERT INTO public.ecdc_data VALUES (54, 0, 0, 0, 191, 1);
INSERT INTO public.ecdc_data VALUES (55, 0, 0, 0, 192, 1);
INSERT INTO public.ecdc_data VALUES (56, 0, 0, 0, 135, 1);
INSERT INTO public.ecdc_data VALUES (57, 0, 0, 0, 136, 1);
INSERT INTO public.ecdc_data VALUES (58, 0, 0, 0, 196, 1);
INSERT INTO public.ecdc_data VALUES (59, 0, 0, 0, 137, 1);
INSERT INTO public.ecdc_data VALUES (60, 0, 0, 0, 197, 1);
INSERT INTO public.ecdc_data VALUES (61, 0, 0, 0, 198, 1);
INSERT INTO public.ecdc_data VALUES (62, 0, 0, 0, 139, 1);
INSERT INTO public.ecdc_data VALUES (63, 0, 0, 0, 141, 1);
INSERT INTO public.ecdc_data VALUES (64, 0, 0, 0, 143, 1);
INSERT INTO public.ecdc_data VALUES (65, 0, 0, 0, 201, 1);
INSERT INTO public.ecdc_data VALUES (66, 0, 0, 0, 101, 1);
INSERT INTO public.ecdc_data VALUES (67, 0, 0, 0, 145, 1);
INSERT INTO public.ecdc_data VALUES (68, 4, 157, 3.55398937, 105, 2);
INSERT INTO public.ecdc_data VALUES (69, 3, 319, 144.38796168, 147, 2);
INSERT INTO public.ecdc_data VALUES (70, 7, 319, 8.50810723, 1, 2);
INSERT INTO public.ecdc_data VALUES (71, 2, 98, 1690.79906008, 148, 2);
INSERT INTO public.ecdc_data VALUES (72, 0, 195, 9.97005558, 2, 2);
INSERT INTO public.ecdc_data VALUES (73, 0, 0, 0, 56, 2);
INSERT INTO public.ecdc_data VALUES (74, 0, 3, 15.44560573, 57, 2);
INSERT INTO public.ecdc_data VALUES (75, 350, 13955, 427.79614197, 58, 2);
INSERT INTO public.ecdc_data VALUES (76, 41, 2381, 958.60741759, 149, 2);
INSERT INTO public.ecdc_data VALUES (77, 0, 17, 172.13808673, 59, 2);
INSERT INTO public.ecdc_data VALUES (78, 0, 13, 0.83719528, 202, 2);
INSERT INTO public.ecdc_data VALUES (79, 15, 5243, 440.1059966, 150, 2);
INSERT INTO public.ecdc_data VALUES (80, 10, 1022, 103.35679173, 151, 2);
INSERT INTO public.ecdc_data VALUES (81, 0, 0, 289.35571497, 60, 2);
INSERT INTO public.ecdc_data VALUES (82, 2, 204, 252.32091369, 106, 2);
INSERT INTO public.ecdc_data VALUES (83, 19, 1604, 12.43696778, 107, 2);
INSERT INTO public.ecdc_data VALUES (84, 0, 2, 5.92291156, 61, 2);
INSERT INTO public.ecdc_data VALUES (85, 4, 970, 117.50443723, 152, 2);
INSERT INTO public.ecdc_data VALUES (86, 185, 15401, 1800.45967363, 153, 2);
INSERT INTO public.ecdc_data VALUES (87, 2, 80, 188.0358959, 62, 2);
INSERT INTO public.ecdc_data VALUES (88, 0, 0, 1.24564121, 3, 2);
INSERT INTO public.ecdc_data VALUES (89, 0, 1, 22.39713317, 63, 2);
INSERT INTO public.ecdc_data VALUES (90, 0, 2, 4.19345454, 108, 2);
INSERT INTO public.ecdc_data VALUES (91, 10, 147, 17.9708301, 64, 2);
INSERT INTO public.ecdc_data VALUES (92, 0, 0, 11.54601085, 65, 2);
INSERT INTO public.ecdc_data VALUES (93, 30, 1485, 463.6476605, 154, 2);
INSERT INTO public.ecdc_data VALUES (94, 0, 0, 60.77172274, 4, 2);
INSERT INTO public.ecdc_data VALUES (95, 508, 22282, 149.89752239, 66, 2);
INSERT INTO public.ecdc_data VALUES (96, 0, 0, 3.3296707, 67, 2);
INSERT INTO public.ecdc_data VALUES (97, 0, 0, 0.23078911, 109, 2);
INSERT INTO public.ecdc_data VALUES (98, 29, 2891, 321.94106347, 155, 2);
INSERT INTO public.ecdc_data VALUES (99, 0, 0, 0.65940394, 5, 2);
INSERT INTO public.ecdc_data VALUES (100, 0, 22, 0.44230224, 6, 2);
INSERT INTO public.ecdc_data VALUES (101, 0, 0, 0.04245887, 110, 2);
INSERT INTO public.ecdc_data VALUES (102, 0, 0, 1.36031356, 7, 2);
INSERT INTO public.ecdc_data VALUES (103, 36, 3457, 101.28828823, 68, 2);
INSERT INTO public.ecdc_data VALUES (104, 1, 146, 212.38835064, 8, 2);
INSERT INTO public.ecdc_data VALUES (105, 0, 1, 10.77785305, 69, 2);
INSERT INTO public.ecdc_data VALUES (106, 0, 3, 0.23181423, 9, 2);
INSERT INTO public.ecdc_data VALUES (107, 1, 10, 0.76503984, 10, 2);
INSERT INTO public.ecdc_data VALUES (108, 40, 1521, 107.53990271, 70, 2);
INSERT INTO public.ecdc_data VALUES (109, 0, 33, 0.02608483, 111, 2);
INSERT INTO public.ecdc_data VALUES (110, 209, 10029, 234.0053703, 71, 2);
INSERT INTO public.ecdc_data VALUES (111, 0, 7, 4.11333532, 11, 2);
INSERT INTO public.ecdc_data VALUES (112, 0, 0, 2.49047301, 12, 2);
INSERT INTO public.ecdc_data VALUES (113, 14, 1296, 287.62406239, 72, 2);
INSERT INTO public.ecdc_data VALUES (114, 0, 64, 1.62152363, 13, 2);
INSERT INTO public.ecdc_data VALUES (115, 20, 2772, 561.34983021, 156, 2);
INSERT INTO public.ecdc_data VALUES (116, 0, 35, 6.02639047, 73, 2);
INSERT INTO public.ecdc_data VALUES (117, 0, 37, 150.52960722, 74, 2);
INSERT INTO public.ecdc_data VALUES (118, 0, 166, 209.84154566, 157, 2);
INSERT INTO public.ecdc_data VALUES (119, 216, 13605, 1535.81287912, 158, 2);
INSERT INTO public.ecdc_data VALUES (120, 1, 52, 0.35257287, 14, 2);
INSERT INTO public.ecdc_data VALUES (121, 3, 1191, 185.73629958, 159, 2);
INSERT INTO public.ecdc_data VALUES (122, 0, 1, 11.29877347, 15, 2);
INSERT INTO public.ecdc_data VALUES (123, 0, 0, 12.53342246, 75, 2);
INSERT INTO public.ecdc_data VALUES (124, 2, 419, 54.77254448, 76, 2);
INSERT INTO public.ecdc_data VALUES (125, 10, 845, 89.14645892, 77, 2);
INSERT INTO public.ecdc_data VALUES (126, 11, 167, 2.20842961, 16, 2);
INSERT INTO public.ecdc_data VALUES (127, 4, 0, 33.7798576, 78, 2);
INSERT INTO public.ecdc_data VALUES (128, 0, 5, 1.32745125, 17, 2);
INSERT INTO public.ecdc_data VALUES (129, 0, 0, 1.11520432, 18, 2);
INSERT INTO public.ecdc_data VALUES (130, 0, 100, 56.91339201, 160, 2);
INSERT INTO public.ecdc_data VALUES (131, 0, 10, 14.1969615, 19, 2);
INSERT INTO public.ecdc_data VALUES (132, 7, 488, 7.09768947, 20, 2);
INSERT INTO public.ecdc_data VALUES (133, 0, 0, 0, 79, 2);
INSERT INTO public.ecdc_data VALUES (134, 0, 0, 24.65229985, 161, 2);
INSERT INTO public.ecdc_data VALUES (135, 0, 0, 0.22473046, 203, 2);
INSERT INTO public.ecdc_data VALUES (136, 4, 344, 50.32694391, 162, 2);
INSERT INTO public.ecdc_data VALUES (137, 545, 49215, 741.96777954, 163, 2);
INSERT INTO public.ecdc_data VALUES (138, 0, 0, 1262.86767997, 204, 2);
INSERT INTO public.ecdc_data VALUES (139, 0, 11, 4.00445922, 21, 2);
INSERT INTO public.ecdc_data VALUES (140, 0, 4, 0.89449401, 22, 2);
INSERT INTO public.ecdc_data VALUES (141, 22, 1673, 590.70317422, 164, 2);
INSERT INTO public.ecdc_data VALUES (142, 103, 19059, 195.57641434, 165, 2);
INSERT INTO public.ecdc_data VALUES (143, 0, 0, 2.89961246, 23, 2);
INSERT INTO public.ecdc_data VALUES (144, 0, 5, 442.05779386, 166, 2);
INSERT INTO public.ecdc_data VALUES (145, 5, 1686, 118.84826649, 167, 2);
INSERT INTO public.ecdc_data VALUES (146, 0, 0, 1.76491352, 80, 2);
INSERT INTO public.ecdc_data VALUES (147, 0, 0, 2.6785236, 81, 2);
INSERT INTO public.ecdc_data VALUES (148, 1, 215, 636.00227144, 205, 2);
INSERT INTO public.ecdc_data VALUES (149, 10, 549, 39.29135415, 82, 2);
INSERT INTO public.ecdc_data VALUES (150, 0, 0, 13.96041447, 168, 2);
INSERT INTO public.ecdc_data VALUES (151, 1, 52, 5.55936359, 24, 2);
INSERT INTO public.ecdc_data VALUES (152, 0, 0, 0.72881858, 25, 2);
INSERT INTO public.ecdc_data VALUES (153, 1, 45, 60.17054709, 83, 2);
INSERT INTO public.ecdc_data VALUES (154, 0, 0, 1.14533513, 84, 2);
INSERT INTO public.ecdc_data VALUES (155, 0, 0, 0, 169, 2);
INSERT INTO public.ecdc_data VALUES (156, 8, 738, 104.62630494, 85, 2);
INSERT INTO public.ecdc_data VALUES (157, 51, 3908, 312.14326849, 170, 2);
INSERT INTO public.ecdc_data VALUES (158, 0, 78, 243.14338457, 171, 2);
INSERT INTO public.ecdc_data VALUES (159, 551, 48268, 51.55370654, 112, 2);
INSERT INTO public.ecdc_data VALUES (160, 81, 2897, 19.76309947, 113, 2);
INSERT INTO public.ecdc_data VALUES (161, 365, 8011, 99.57921045, 114, 2);
INSERT INTO public.ecdc_data VALUES (162, 47, 2878, 128.03426648, 115, 2);
INSERT INTO public.ecdc_data VALUES (163, 6, 762, 277.96355806, 172, 2);
INSERT INTO public.ecdc_data VALUES (164, 0, 1, 5.91093405, 173, 2);
INSERT INTO public.ecdc_data VALUES (165, 3, 111, 138.56653535, 116, 2);
INSERT INTO public.ecdc_data VALUES (166, 199, 31079, 424.22949967, 174, 2);
INSERT INTO public.ecdc_data VALUES (167, 3, 78, 29.61051489, 86, 2);
INSERT INTO public.ecdc_data VALUES (168, 11, 770, 6.56548981, 117, 2);
INSERT INTO public.ecdc_data VALUES (169, 0, 5, 77.92496939, 175, 2);
INSERT INTO public.ecdc_data VALUES (170, 32, 3921, 344.08080147, 118, 2);
INSERT INTO public.ecdc_data VALUES (171, 2, 633, 25.2271685, 119, 2);
INSERT INTO public.ecdc_data VALUES (172, 17, 1185, 19.43357251, 26, 2);
INSERT INTO public.ecdc_data VALUES (173, 4, 418, 151.34784093, 176, 2);
INSERT INTO public.ecdc_data VALUES (174, 6, 671, 251.79001953, 120, 2);
INSERT INTO public.ecdc_data VALUES (175, 3, 484, 115.15230014, 121, 2);
INSERT INTO public.ecdc_data VALUES (176, 0, 0, 0.01394806, 122, 2);
INSERT INTO public.ecdc_data VALUES (177, 5, 284, 128.90839847, 177, 2);
INSERT INTO public.ecdc_data VALUES (178, 15, 1751, 283.20922023, 123, 2);
INSERT INTO public.ecdc_data VALUES (179, 0, 0, 5.36403191, 27, 2);
INSERT INTO public.ecdc_data VALUES (180, 0, 0, 0.99243039, 28, 2);
INSERT INTO public.ecdc_data VALUES (181, 16, 972, 188.6106772, 29, 2);
INSERT INTO public.ecdc_data VALUES (182, 1, 37, 854.65631351, 178, 2);
INSERT INTO public.ecdc_data VALUES (183, 7, 735, 242.7184466, 179, 2);
INSERT INTO public.ecdc_data VALUES (184, 2, 778, 1085.36652908, 180, 2);
INSERT INTO public.ecdc_data VALUES (185, 0, 0, 0.79349465, 30, 2);
INSERT INTO public.ecdc_data VALUES (186, 0, 7, 0.43481181, 31, 2);
INSERT INTO public.ecdc_data VALUES (187, 3, 809, 38.00025096, 124, 2);
INSERT INTO public.ecdc_data VALUES (188, 0, 27, 92.0978535, 125, 2);
INSERT INTO public.ecdc_data VALUES (189, 0, 15, 0.90039573, 32, 2);
INSERT INTO public.ecdc_data VALUES (190, 2, 100, 314.85597467, 181, 2);
INSERT INTO public.ecdc_data VALUES (191, 0, 0, 0, 206, 2);
INSERT INTO public.ecdc_data VALUES (192, 0, 0, 2.0328356, 33, 2);
INSERT INTO public.ecdc_data VALUES (193, 0, 0, 2.67786118, 34, 2);
INSERT INTO public.ecdc_data VALUES (194, 516, 6000, 56.20513633, 87, 2);
INSERT INTO public.ecdc_data VALUES (195, 19, 968, 231.02656323, 182, 2);
INSERT INTO public.ecdc_data VALUES (196, 0, 8, 302.25177573, 183, 2);
INSERT INTO public.ecdc_data VALUES (197, 0, 6, 0.80616006, 126, 2);
INSERT INTO public.ecdc_data VALUES (198, 4, 320, 447.61822104, 184, 2);
INSERT INTO public.ecdc_data VALUES (199, 0, 0, 0, 88, 2);
INSERT INTO public.ecdc_data VALUES (200, 53, 3256, 132.00896277, 35, 2);
INSERT INTO public.ecdc_data VALUES (201, 0, 252, 7.12967442, 36, 2);
INSERT INTO public.ecdc_data VALUES (202, 20, 1093, 33.32012099, 127, 2);
INSERT INTO public.ecdc_data VALUES (203, 0, 49, 27.74076337, 37, 2);
INSERT INTO public.ecdc_data VALUES (204, 16, 3517, 147.15096431, 128, 2);
INSERT INTO public.ecdc_data VALUES (205, 87, 11102, 748.07765671, 185, 2);
INSERT INTO public.ecdc_data VALUES (206, 0, 0, 0.35366056, 207, 2);
INSERT INTO public.ecdc_data VALUES (207, 0, 7, 1.54712609, 208, 2);
INSERT INTO public.ecdc_data VALUES (208, 0, 0, 2.45970401, 89, 2);
INSERT INTO public.ecdc_data VALUES (209, 0, 1, 0.04718859, 38, 2);
INSERT INTO public.ecdc_data VALUES (210, 3, 170, 0.74491101, 39, 2);
INSERT INTO public.ecdc_data VALUES (211, 5, 890, 377.49165677, 186, 2);
INSERT INTO public.ecdc_data VALUES (212, 0, 0, 20.9742541, 209, 2);
INSERT INTO public.ecdc_data VALUES (213, 1, 497, 64.31801137, 187, 2);
INSERT INTO public.ecdc_data VALUES (214, 0, 0, 123.37708282, 129, 2);
INSERT INTO public.ecdc_data VALUES (215, 11, 807, 4.86735371, 130, 2);
INSERT INTO public.ecdc_data VALUES (216, 8, 505, 138.59496345, 131, 2);
INSERT INTO public.ecdc_data VALUES (217, 10, 822, 220.63187046, 90, 2);
INSERT INTO public.ecdc_data VALUES (218, 0, 0, 0.12534014, 210, 2);
INSERT INTO public.ecdc_data VALUES (219, 28, 1306, 129.37497578, 91, 2);
INSERT INTO public.ecdc_data VALUES (220, 49, 2586, 116.1564545, 92, 2);
INSERT INTO public.ecdc_data VALUES (221, 38, 1998, 25.14229496, 132, 2);
INSERT INTO public.ecdc_data VALUES (222, 202, 21629, 482.5189138, 188, 2);
INSERT INTO public.ecdc_data VALUES (223, 40, 4656, 402.56438476, 189, 2);
INSERT INTO public.ecdc_data VALUES (224, 6, 945, 318.09460954, 93, 2);
INSERT INTO public.ecdc_data VALUES (225, 1, 193, 118.32330475, 133, 2);
INSERT INTO public.ecdc_data VALUES (226, 103, 6546, 324.86098762, 190, 2);
INSERT INTO public.ecdc_data VALUES (227, 355, 18283, 158.1267062, 191, 2);
INSERT INTO public.ecdc_data VALUES (228, 0, 3, 1.33840841, 40, 2);
INSERT INTO public.ecdc_data VALUES (229, 0, 0, 0, 94, 2);
INSERT INTO public.ecdc_data VALUES (230, 0, 2, 25.1648021, 95, 2);
INSERT INTO public.ecdc_data VALUES (231, 0, 0, 8.13794725, 96, 2);
INSERT INTO public.ecdc_data VALUES (232, 0, 0, 490.52332163, 192, 2);
INSERT INTO public.ecdc_data VALUES (233, 0, 1, 6.04516201, 41, 2);
INSERT INTO public.ecdc_data VALUES (234, 20, 398, 15.71412651, 134, 2);
INSERT INTO public.ecdc_data VALUES (235, 0, 12, 1.45431232, 42, 2);
INSERT INTO public.ecdc_data VALUES (236, 5, 1545, 135.24295194, 193, 2);
INSERT INTO public.ecdc_data VALUES (237, 0, 0, 4.09244841, 43, 2);
INSERT INTO public.ecdc_data VALUES (238, 0, 3, 0.51195367, 44, 2);
INSERT INTO public.ecdc_data VALUES (239, 0, 9, 1.75730483, 135, 2);
INSERT INTO public.ecdc_data VALUES (240, 0, 0, 139.18705324, 97, 2);
INSERT INTO public.ecdc_data VALUES (241, 12, 3363, 528.23442446, 194, 2);
INSERT INTO public.ecdc_data VALUES (242, 10, 1805, 1008.79039342, 195, 2);
INSERT INTO public.ecdc_data VALUES (243, 0, 0, 0.74646809, 211, 2);
INSERT INTO public.ecdc_data VALUES (244, 0, 0, 0.49861082, 45, 2);
INSERT INTO public.ecdc_data VALUES (245, 66, 1912, 40.09510732, 46, 2);
INSERT INTO public.ecdc_data VALUES (246, 0, 126, 2.73887986, 136, 2);
INSERT INTO public.ecdc_data VALUES (247, 0, 0, 0.77742826, 47, 2);
INSERT INTO public.ecdc_data VALUES (248, 0, 0, 530.7490499, 196, 2);
INSERT INTO public.ecdc_data VALUES (249, 0, 633, 23.7763236, 137, 2);
INSERT INTO public.ecdc_data VALUES (250, 0, 0, 0.17284374, 48, 2);
INSERT INTO public.ecdc_data VALUES (251, 0, 4, 15.13684221, 98, 2);
INSERT INTO public.ecdc_data VALUES (252, 9, 4055, 210.04507739, 197, 2);
INSERT INTO public.ecdc_data VALUES (253, 51, 9170, 930.43184251, 198, 2);
INSERT INTO public.ecdc_data VALUES (254, 4, 50, 4.07729712, 138, 2);
INSERT INTO public.ecdc_data VALUES (255, 0, 1, 0.08412594, 139, 2);
INSERT INTO public.ecdc_data VALUES (256, 0, 38, 6.04010955, 140, 2);
INSERT INTO public.ecdc_data VALUES (257, 0, 5, 0.14506163, 141, 2);
INSERT INTO public.ecdc_data VALUES (258, 0, 0, 0.07733234, 142, 2);
INSERT INTO public.ecdc_data VALUES (259, 0, 16, 3.52619823, 49, 2);
INSERT INTO public.ecdc_data VALUES (260, 0, 32, 30.60999922, 99, 2);
INSERT INTO public.ecdc_data VALUES (261, 64, 1784, 213.96833665, 50, 2);
INSERT INTO public.ecdc_data VALUES (262, 78, 2322, 35.6068509, 199, 2);
INSERT INTO public.ecdc_data VALUES (263, 0, 0, 15.70927371, 100, 2);
INSERT INTO public.ecdc_data VALUES (264, 2, 209, 4.68944967, 51, 2);
INSERT INTO public.ecdc_data VALUES (265, 173, 8312, 207.98004839, 200, 2);
INSERT INTO public.ecdc_data VALUES (266, 2, 1172, 190.97231817, 143, 2);
INSERT INTO public.ecdc_data VALUES (267, 274, 24405, 450.8642475, 201, 2);
INSERT INTO public.ecdc_data VALUES (268, 0, 0, 0, 52, 2);
INSERT INTO public.ecdc_data VALUES (269, 1040, 101273, 303.06664384, 101, 2);
INSERT INTO public.ecdc_data VALUES (270, 0, 9, 31.55509232, 102, 2);
INSERT INTO public.ecdc_data VALUES (271, 1, 38, 18.2567623, 103, 2);
INSERT INTO public.ecdc_data VALUES (272, 1, 86, 12.26133935, 144, 2);
INSERT INTO public.ecdc_data VALUES (273, 4, 309, 21.46176427, 104, 2);
INSERT INTO public.ecdc_data VALUES (274, 0, 0, 0.05494385, 145, 2);
INSERT INTO public.ecdc_data VALUES (275, 0, 0, 0, 213, 2);
INSERT INTO public.ecdc_data VALUES (276, 0, 0, 0, 53, 2);
INSERT INTO public.ecdc_data VALUES (277, 0, 0, 0.02057478, 146, 2);
INSERT INTO public.ecdc_data VALUES (278, 1, 90, 4.23267768, 54, 2);
INSERT INTO public.ecdc_data VALUES (279, 0, 13, 1.79577676, 55, 2);
INSERT INTO public.ecdc_data VALUES (280, 0, 19, 1.48783875, 105, 3);
INSERT INTO public.ecdc_data VALUES (281, 5, 101, 69.87077749, 147, 3);
INSERT INTO public.ecdc_data VALUES (282, 10, 364, 12.92126686, 1, 3);
INSERT INTO public.ecdc_data VALUES (283, 0, 0, 177.21884558, 148, 3);
INSERT INTO public.ecdc_data VALUES (284, 0, 73, 2.34090495, 2, 3);
INSERT INTO public.ecdc_data VALUES (285, 0, 0, 0, 56, 3);
INSERT INTO public.ecdc_data VALUES (286, 0, 0, 1.02970705, 57, 3);
INSERT INTO public.ecdc_data VALUES (287, 96, 9217, 250.41828869, 58, 3);
INSERT INTO public.ecdc_data VALUES (288, 5, 124, 70.56091703, 149, 3);
INSERT INTO public.ecdc_data VALUES (289, 0, 22, 841.87752798, 59, 3);
INSERT INTO public.ecdc_data VALUES (290, 11, 123, 9.4511808, 202, 3);
INSERT INTO public.ecdc_data VALUES (291, 0, 281, 43.40329222, 150, 3);
INSERT INTO public.ecdc_data VALUES (292, 2, 135, 20.80074094, 151, 3);
INSERT INTO public.ecdc_data VALUES (293, 0, 32, 218.74983953, 60, 3);
INSERT INTO public.ecdc_data VALUES (294, 0, 183, 313.43607342, 106, 3);
INSERT INTO public.ecdc_data VALUES (295, 42, 1897, 21.02042591, 107, 3);
INSERT INTO public.ecdc_data VALUES (296, 0, 3, 7.66494438, 61, 3);
INSERT INTO public.ecdc_data VALUES (297, 5, 164, 22.96769004, 152, 3);
INSERT INTO public.ecdc_data VALUES (298, 1, 117, 57.51812729, 153, 3);
INSERT INTO public.ecdc_data VALUES (299, 0, 30, 138.84939452, 62, 3);
INSERT INTO public.ecdc_data VALUES (300, 0, 0, 0.69484748, 3, 3);
INSERT INTO public.ecdc_data VALUES (301, 0, 0, 11.19856658, 63, 3);
INSERT INTO public.ecdc_data VALUES (302, 0, 29, 10.87677272, 108, 3);
INSERT INTO public.ecdc_data VALUES (303, 28, 614, 135.70625883, 64, 3);
INSERT INTO public.ecdc_data VALUES (304, 0, 0, 7.69734057, 65, 3);
INSERT INTO public.ecdc_data VALUES (305, 4, 575, 128.87011746, 154, 3);
INSERT INTO public.ecdc_data VALUES (306, 0, 0, 18.18810845, 4, 3);
INSERT INTO public.ecdc_data VALUES (307, 366, 16158, 247.38933425, 66, 3);
INSERT INTO public.ecdc_data VALUES (308, 0, 2, 93.23077948, 67, 3);
INSERT INTO public.ecdc_data VALUES (309, 0, 0, 0.46157823, 109, 3);
INSERT INTO public.ecdc_data VALUES (310, 8, 26, 26.07128332, 155, 3);
INSERT INTO public.ecdc_data VALUES (311, 0, 6, 0.49701342, 5, 3);
INSERT INTO public.ecdc_data VALUES (312, 0, 6, 0.27752297, 6, 3);
INSERT INTO public.ecdc_data VALUES (313, 0, 1, 0.00606555, 110, 3);
INSERT INTO public.ecdc_data VALUES (314, 0, 0, 2.60082677, 7, 3);
INSERT INTO public.ecdc_data VALUES (315, 4, 267, 15.64511522, 68, 3);
INSERT INTO public.ecdc_data VALUES (316, 1, 74, 122.3778767, 8, 3);
INSERT INTO public.ecdc_data VALUES (317, 0, 0, 3.07938659, 69, 3);
INSERT INTO public.ecdc_data VALUES (318, 0, 0, 1.01155299, 9, 3);
INSERT INTO public.ecdc_data VALUES (319, 0, 4, 0.35116583, 10, 3);
INSERT INTO public.ecdc_data VALUES (320, 63, 1965, 126.78321879, 70, 3);
INSERT INTO public.ecdc_data VALUES (321, 1, 32, 0.03626767, 111, 3);
INSERT INTO public.ecdc_data VALUES (322, 300, 8024, 277.32925054, 71, 3);
INSERT INTO public.ecdc_data VALUES (323, 0, 1, 2.11542959, 11, 3);
INSERT INTO public.ecdc_data VALUES (324, 0, 0, 2.67632921, 12, 3);
INSERT INTO public.ecdc_data VALUES (325, 0, 0, 222.56293683, 72, 3);
INSERT INTO public.ecdc_data VALUES (326, 0, 55, 3.5852393, 13, 3);
INSERT INTO public.ecdc_data VALUES (327, 1, 262, 87.13899995, 156, 3);
INSERT INTO public.ecdc_data VALUES (328, 0, 48, 5.79698176, 73, 3);
INSERT INTO public.ecdc_data VALUES (329, 0, 0, 14.07390637, 74, 3);
INSERT INTO public.ecdc_data VALUES (330, 0, 4, 17.69610423, 157, 3);
INSERT INTO public.ecdc_data VALUES (331, 2, 273, 40.89278672, 158, 3);
INSERT INTO public.ecdc_data VALUES (332, 0, 37, 0.42516141, 14, 3);
INSERT INTO public.ecdc_data VALUES (333, 0, 0, 18.65285724, 159, 3);
INSERT INTO public.ecdc_data VALUES (334, 0, 0, 1.64345796, 15, 3);
INSERT INTO public.ecdc_data VALUES (335, 0, 0, 2.78520499, 75, 3);
INSERT INTO public.ecdc_data VALUES (336, 8, 509, 73.8619216, 76, 3);
INSERT INTO public.ecdc_data VALUES (337, 18, 742, 69.68020607, 77, 3);
INSERT INTO public.ecdc_data VALUES (338, 23, 230, 2.24329431, 16, 3);
INSERT INTO public.ecdc_data VALUES (339, 4, 94, 43.65039397, 78, 3);
INSERT INTO public.ecdc_data VALUES (340, 0, 0, 8.849675, 17, 3);
INSERT INTO public.ecdc_data VALUES (341, 0, 0, 0.94363443, 18, 3);
INSERT INTO public.ecdc_data VALUES (342, 0, 10, 13.81319726, 160, 3);
INSERT INTO public.ecdc_data VALUES (343, 0, 51, 62.88470064, 19, 3);
INSERT INTO public.ecdc_data VALUES (344, 23, 1468, 18.95631809, 20, 3);
INSERT INTO public.ecdc_data VALUES (345, 0, 0, 0, 79, 3);
INSERT INTO public.ecdc_data VALUES (346, 0, 0, 80.11997453, 161, 3);
INSERT INTO public.ecdc_data VALUES (347, 0, 0, 0, 203, 3);
INSERT INTO public.ecdc_data VALUES (348, 0, 28, 6.27047987, 162, 3);
INSERT INTO public.ecdc_data VALUES (349, 4, 5413, 88.65011822, 163, 3);
INSERT INTO public.ecdc_data VALUES (350, 0, 0, 81.63703743, 204, 3);
INSERT INTO public.ecdc_data VALUES (351, 0, 0, 12.88791473, 21, 3);
INSERT INTO public.ecdc_data VALUES (352, 0, 68, 46.47109336, 22, 3);
INSERT INTO public.ecdc_data VALUES (353, 0, 25, 3.65295707, 164, 3);
INSERT INTO public.ecdc_data VALUES (354, 3, 610, 22.1237944, 165, 3);
INSERT INTO public.ecdc_data VALUES (355, 6, 87, 5.50005855, 23, 3);
INSERT INTO public.ecdc_data VALUES (356, 0, 10, 207.67815819, 166, 3);
INSERT INTO public.ecdc_data VALUES (357, 2, 157, 28.52321098, 167, 3);
INSERT INTO public.ecdc_data VALUES (358, 0, 0, 0, 80, 3);
INSERT INTO public.ecdc_data VALUES (359, 0, 0, 0, 81, 3);
INSERT INTO public.ecdc_data VALUES (360, 0, 0, 471.62198512, 205, 3);
INSERT INTO public.ecdc_data VALUES (361, 12, 233, 64.55658217, 82, 3);
INSERT INTO public.ecdc_data VALUES (362, 0, 0, 0, 168, 3);
INSERT INTO public.ecdc_data VALUES (363, 0, 120, 6.96094962, 24, 3);
INSERT INTO public.ecdc_data VALUES (364, 1, 0, 4.58114536, 25, 3);
INSERT INTO public.ecdc_data VALUES (365, 2, 50, 67.06908115, 83, 3);
INSERT INTO public.ecdc_data VALUES (366, 0, 0, 2.92992707, 84, 3);
INSERT INTO public.ecdc_data VALUES (367, 0, 0, 0, 169, 3);
INSERT INTO public.ecdc_data VALUES (368, 16, 529, 99.23954314, 85, 3);
INSERT INTO public.ecdc_data VALUES (369, 0, 292, 10.69299182, 170, 3);
INSERT INTO public.ecdc_data VALUES (370, 0, 5, 26.33119602, 171, 3);
INSERT INTO public.ecdc_data VALUES (371, 971, 78512, 71.25068419, 112, 3);
INSERT INTO public.ecdc_data VALUES (372, 82, 2858, 12.01069077, 113, 3);
INSERT INTO public.ecdc_data VALUES (373, 103, 1754, 36.62474273, 114, 3);
INSERT INTO public.ecdc_data VALUES (374, 68, 3731, 137.99616172, 115, 3);
INSERT INTO public.ecdc_data VALUES (375, 0, 40, 30.64695039, 172, 3);
INSERT INTO public.ecdc_data VALUES (376, 0, 0, 0, 173, 3);
INSERT INTO public.ecdc_data VALUES (377, 13, 397, 250.48791736, 116, 3);
INSERT INTO public.ecdc_data VALUES (378, 4, 1365, 23.69633463, 174, 3);
INSERT INTO public.ecdc_data VALUES (379, 1, 244, 42.19413576, 86, 3);
INSERT INTO public.ecdc_data VALUES (380, 15, 601, 10.17891342, 117, 3);
INSERT INTO public.ecdc_data VALUES (381, 0, 0, 17.62588593, 175, 3);
INSERT INTO public.ecdc_data VALUES (382, 0, 73, 5.82080417, 118, 3);
INSERT INTO public.ecdc_data VALUES (383, 0, 0, 48.69705987, 119, 3);
INSERT INTO public.ecdc_data VALUES (384, 2, 263, 7.48849711, 26, 3);
INSERT INTO public.ecdc_data VALUES (385, 8, 119, 106.64407013, 176, 3);
INSERT INTO public.ecdc_data VALUES (386, 2, 412, 200.40042053, 120, 3);
INSERT INTO public.ecdc_data VALUES (387, 0, 78, 29.72325885, 121, 3);
INSERT INTO public.ecdc_data VALUES (388, 0, 0, 0.02789612, 122, 3);
INSERT INTO public.ecdc_data VALUES (389, 0, 18, 3.6979783, 177, 3);
INSERT INTO public.ecdc_data VALUES (390, 5, 595, 116.53061704, 123, 3);
INSERT INTO public.ecdc_data VALUES (391, 0, 15, 5.64634938, 27, 3);
INSERT INTO public.ecdc_data VALUES (392, 0, 0, 0.95192303, 28, 3);
INSERT INTO public.ecdc_data VALUES (393, 1, 465, 83.8810686, 29, 3);
INSERT INTO public.ecdc_data VALUES (394, 0, 1, 39.08489239, 178, 3);
INSERT INTO public.ecdc_data VALUES (395, 0, 35, 16.3911897, 179, 3);
INSERT INTO public.ecdc_data VALUES (396, 0, 45, -132.5961811, 180, 3);
INSERT INTO public.ecdc_data VALUES (397, 1, 52, 3.76724562, 30, 3);
INSERT INTO public.ecdc_data VALUES (398, 0, 8, 2.4907738, 31, 3);
INSERT INTO public.ecdc_data VALUES (399, 1, 17, 0.41940809, 124, 3);
INSERT INTO public.ecdc_data VALUES (400, 0, 89, 354.45431551, 125, 3);
INSERT INTO public.ecdc_data VALUES (401, 0, 16, 0.80883006, 32, 3);
INSERT INTO public.ecdc_data VALUES (402, 1, 21, 103.73633142, 181, 3);
INSERT INTO public.ecdc_data VALUES (403, 1, 10, 7.09282855, 33, 3);
INSERT INTO public.ecdc_data VALUES (404, 0, 0, 0, 34, 3);
INSERT INTO public.ecdc_data VALUES (405, 339, 2124, 58.29958189, 87, 3);
INSERT INTO public.ecdc_data VALUES (406, 2, 296, 161.18189836, 182, 3);
INSERT INTO public.ecdc_data VALUES (407, 0, 1, 96.72056823, 183, 3);
INSERT INTO public.ecdc_data VALUES (408, 0, 0, 0.09301847, 126, 3);
INSERT INTO public.ecdc_data VALUES (409, 5, 63, 121.34712994, 184, 3);
INSERT INTO public.ecdc_data VALUES (410, 0, 0, 0, 88, 3);
INSERT INTO public.ecdc_data VALUES (411, 33, 1343, 51.84832563, 35, 3);
INSERT INTO public.ecdc_data VALUES (412, 1, 61, 3.18118498, 36, 3);
INSERT INTO public.ecdc_data VALUES (413, 0, 38, 0.76232174, 127, 3);
INSERT INTO public.ecdc_data VALUES (414, 3, 249, 128.72195256, 37, 3);
INSERT INTO public.ecdc_data VALUES (415, 14, 1221, 41.59921199, 128, 3);
INSERT INTO public.ecdc_data VALUES (416, 0, 508, 41.24483723, 185, 3);
INSERT INTO public.ecdc_data VALUES (417, 0, 0, 0, 207, 3);
INSERT INTO public.ecdc_data VALUES (418, 0, 9, 2.23706069, 208, 3);
INSERT INTO public.ecdc_data VALUES (419, 0, 0, 5.79023491, 89, 3);
INSERT INTO public.ecdc_data VALUES (420, 0, 1, 0.03860885, 38, 3);
INSERT INTO public.ecdc_data VALUES (421, 2, 138, 2.3869994, 39, 3);
INSERT INTO public.ecdc_data VALUES (422, 0, 0, 57.19424668, 186, 3);
INSERT INTO public.ecdc_data VALUES (423, 0, 0, 10.48712705, 209, 3);
INSERT INTO public.ecdc_data VALUES (424, 0, 0, 13.00623924, 187, 3);
INSERT INTO public.ecdc_data VALUES (425, 27, 539, 49.40711462, 129, 3);
INSERT INTO public.ecdc_data VALUES (426, 6, 213, 3.06327906, 130, 3);
INSERT INTO public.ecdc_data VALUES (427, 2, 536, 143.09167141, 131, 3);
INSERT INTO public.ecdc_data VALUES (428, 12, 728, 238.43501851, 90, 3);
INSERT INTO public.ecdc_data VALUES (429, 0, 0, 1.54965994, 210, 3);
INSERT INTO public.ecdc_data VALUES (430, 14, 721, 105.10119823, 91, 3);
INSERT INTO public.ecdc_data VALUES (431, 181, 7731, 342.1052583, 92, 3);
INSERT INTO public.ecdc_data VALUES (432, 101, 4265, 51.92818547, 132, 3);
INSERT INTO public.ecdc_data VALUES (433, 1, 631, 26.82445535, 188, 3);
INSERT INTO public.ecdc_data VALUES (434, 1, 320, 35.67321814, 189, 3);
INSERT INTO public.ecdc_data VALUES (435, 6, 298, 233.24438093, 93, 3);
INSERT INTO public.ecdc_data VALUES (436, 1, 168, 123.40792304, 133, 3);
INSERT INTO public.ecdc_data VALUES (437, 39, 952, 84.08166738, 190, 3);
INSERT INTO public.ecdc_data VALUES (438, 68, 4980, 46.25485339, 191, 3);
INSERT INTO public.ecdc_data VALUES (439, 0, 177, 12.4099762, 40, 3);
INSERT INTO public.ecdc_data VALUES (440, 0, 0, 0, 94, 3);
INSERT INTO public.ecdc_data VALUES (441, 0, 0, 0.54706092, 95, 3);
INSERT INTO public.ecdc_data VALUES (442, 0, 0, 2.71264908, 96, 3);
INSERT INTO public.ecdc_data VALUES (443, 0, 0, 0, 192, 3);
INSERT INTO public.ecdc_data VALUES (444, 0, 1, 5.11513709, 41, 3);
INSERT INTO public.ecdc_data VALUES (445, 30, 910, 47.50422757, 134, 3);
INSERT INTO public.ecdc_data VALUES (446, 2, 100, 8.55405642, 42, 3);
INSERT INTO public.ecdc_data VALUES (447, 1, 83, 24.16796434, 193, 3);
INSERT INTO public.ecdc_data VALUES (448, 0, 0, 9.20800892, 43, 3);
INSERT INTO public.ecdc_data VALUES (449, 0, 3, 0.84472356, 44, 3);
INSERT INTO public.ecdc_data VALUES (450, 0, 54, 17.64196223, 135, 3);
INSERT INTO public.ecdc_data VALUES (451, 0, 3, 344.42897922, 97, 3);
INSERT INTO public.ecdc_data VALUES (452, 0, 34, 17.8701792, 194, 3);
INSERT INTO public.ecdc_data VALUES (453, 0, 31, 21.57711922, 195, 3);
INSERT INTO public.ecdc_data VALUES (454, 0, 0, 0.34967512, 45, 3);
INSERT INTO public.ecdc_data VALUES (455, 47, 2505, 64.39910525, 46, 3);
INSERT INTO public.ecdc_data VALUES (456, 1, 248, 8.65197116, 136, 3);
INSERT INTO public.ecdc_data VALUES (457, 0, 0, 0.2711959, 47, 3);
INSERT INTO public.ecdc_data VALUES (458, 83, 23572, 221.09608058, 196, 3);
INSERT INTO public.ecdc_data VALUES (459, 0, 17, 0.55806361, 137, 3);
INSERT INTO public.ecdc_data VALUES (460, 0, 0, 1.81953072, 48, 3);
INSERT INTO public.ecdc_data VALUES (461, 0, 55, 170.80550362, 98, 3);
INSERT INTO public.ecdc_data VALUES (462, 3, 48, 28.36703344, 197, 3);
INSERT INTO public.ecdc_data VALUES (463, 0, 291, 45.35066716, 198, 3);
INSERT INTO public.ecdc_data VALUES (464, 3, 75, 6.01049834, 138, 3);
INSERT INTO public.ecdc_data VALUES (465, 0, 0, 0.01261889, 139, 3);
INSERT INTO public.ecdc_data VALUES (466, 0, 69, 5.20329153, 140, 3);
INSERT INTO public.ecdc_data VALUES (467, 0, 1, 0.04883263, 141, 3);
INSERT INTO public.ecdc_data VALUES (468, 0, 0, 0.15466469, 142, 3);
INSERT INTO public.ecdc_data VALUES (469, 0, 6, 3.08078372, 49, 3);
INSERT INTO public.ecdc_data VALUES (470, 2, 38, 81.07707053, 99, 3);
INSERT INTO public.ecdc_data VALUES (471, 0, 113, 13.4932676, 50, 3);
INSERT INTO public.ecdc_data VALUES (472, 42, 1482, 23.45864553, 199, 3);
INSERT INTO public.ecdc_data VALUES (473, 0, 2, 547.20636749, 100, 3);
INSERT INTO public.ecdc_data VALUES (474, 1, 81, 3.22569081, 51, 3);
INSERT INTO public.ecdc_data VALUES (475, 35, 2096, 59.67680376, 200, 3);
INSERT INTO public.ecdc_data VALUES (476, 3, 362, 55.04309594, 143, 3);
INSERT INTO public.ecdc_data VALUES (477, 1, 1715, 23.98153426, 201, 3);
INSERT INTO public.ecdc_data VALUES (478, 0, 0, 0, 52, 3);
INSERT INTO public.ecdc_data VALUES (479, 290, 35581, 180.47928215, 101, 3);
INSERT INTO public.ecdc_data VALUES (480, 0, 5, 375.79246311, 102, 3);
INSERT INTO public.ecdc_data VALUES (481, 0, 15, 4.18865591, 103, 3);
INSERT INTO public.ecdc_data VALUES (482, 6, 348, 20.33551015, 144, 3);
INSERT INTO public.ecdc_data VALUES (483, 6, 922, 42.47816187, 104, 3);
INSERT INTO public.ecdc_data VALUES (484, 0, 0, 0.07878741, 145, 3);
INSERT INTO public.ecdc_data VALUES (485, 0, 0, 0, 53, 3);
INSERT INTO public.ecdc_data VALUES (486, 0, 6, 0.28804686, 146, 3);
INSERT INTO public.ecdc_data VALUES (487, 3, 123, 15.01592797, 54, 3);
INSERT INTO public.ecdc_data VALUES (488, 0, 6, 7.85908383, 55, 3);
INSERT INTO public.ecdc_data VALUES (489, 0, 71, 3.86943221, 105, 4);
INSERT INTO public.ecdc_data VALUES (490, 4, 92, 47.02303325, 147, 4);
INSERT INTO public.ecdc_data VALUES (491, 14, 602, 19.6873374, 1, 4);
INSERT INTO public.ecdc_data VALUES (492, 0, 4, 59.07294853, 148, 4);
INSERT INTO public.ecdc_data VALUES (493, 1, 78, 1.47995467, 2, 4);
INSERT INTO public.ecdc_data VALUES (494, 0, 0, 0, 56, 4);
INSERT INTO public.ecdc_data VALUES (495, 0, 0, 17.50501982, 57, 4);
INSERT INTO public.ecdc_data VALUES (496, 111, 5641, 151.48498766, 58, 4);
INSERT INTO public.ecdc_data VALUES (497, 10, 354, 153.8004847, 149, 4);
INSERT INTO public.ecdc_data VALUES (498, 0, 1, 11.28774339, 59, 4);
INSERT INTO public.ecdc_data VALUES (499, 13, 721, 21.79485145, 202, 4);
INSERT INTO public.ecdc_data VALUES (500, 2, 163, 19.6528301, 150, 4);
INSERT INTO public.ecdc_data VALUES (501, 3, 339, 53.69377866, 151, 4);
INSERT INTO public.ecdc_data VALUES (502, 3, 24, 98.59147697, 60, 4);
INSERT INTO public.ecdc_data VALUES (503, 2, 444, 345.54742853, 106, 4);
INSERT INTO public.ecdc_data VALUES (504, 48, 2695, 23.6534224, 107, 4);
INSERT INTO public.ecdc_data VALUES (505, 0, 0, 2.09043938, 61, 4);
INSERT INTO public.ecdc_data VALUES (506, 5, 147, 21.60295857, 152, 4);
INSERT INTO public.ecdc_data VALUES (507, 2, 635, 45.09616718, 153, 4);
INSERT INTO public.ecdc_data VALUES (508, 0, 0, 2.04943756, 62, 4);
INSERT INTO public.ecdc_data VALUES (509, 0, 0, 2.60144116, 3, 4);
INSERT INTO public.ecdc_data VALUES (510, 0, 0, 6.3991809, 63, 4);
INSERT INTO public.ecdc_data VALUES (511, 0, 0, 1.96568182, 108, 4);
INSERT INTO public.ecdc_data VALUES (512, 86, 1700, 183.07837453, 64, 4);
INSERT INTO public.ecdc_data VALUES (513, 0, 0, 3.84867028, 65, 4);
INSERT INTO public.ecdc_data VALUES (514, 0, 0, 12.2411613, 4, 4);
INSERT INTO public.ecdc_data VALUES (515, 31, 678, 113.99582793, 154, 4);
INSERT INTO public.ecdc_data VALUES (516, 1129, 57837, 283.32260734, 66, 4);
INSERT INTO public.ecdc_data VALUES (517, 0, 0, 0, 67, 4);
INSERT INTO public.ecdc_data VALUES (518, 0, 0, 0, 109, 4);
INSERT INTO public.ecdc_data VALUES (519, 6, 265, 46.79973926, 155, 4);
INSERT INTO public.ecdc_data VALUES (520, 0, 0, 0.38875307, 5, 4);
INSERT INTO public.ecdc_data VALUES (521, 0, 0, 0.7284978, 6, 4);
INSERT INTO public.ecdc_data VALUES (522, 0, 0, 0.38212986, 110, 4);
INSERT INTO public.ecdc_data VALUES (523, 0, 0, 4.24325081, 7, 4);
INSERT INTO public.ecdc_data VALUES (524, 12, 329, 17.46008758, 68, 4);
INSERT INTO public.ecdc_data VALUES (525, 0, 0, 87.10104449, 8, 4);
INSERT INTO public.ecdc_data VALUES (526, 0, 0, 0, 69, 4);
INSERT INTO public.ecdc_data VALUES (527, 0, 0, 4.88917278, 9, 4);
INSERT INTO public.ecdc_data VALUES (528, 0, 9, 0.3072701, 10, 4);
INSERT INTO public.ecdc_data VALUES (529, 99, 1961, 157.43955728, 70, 4);
INSERT INTO public.ecdc_data VALUES (530, 0, 276, 0.15106881, 111, 4);
INSERT INTO public.ecdc_data VALUES (531, 356, 9965, 224.10657186, 71, 4);
INSERT INTO public.ecdc_data VALUES (532, 0, 0, 5.87619331, 11, 4);
INSERT INTO public.ecdc_data VALUES (533, 2, 176, 18.92016064, 12, 4);
INSERT INTO public.ecdc_data VALUES (534, 7, 490, 153.42063226, 72, 4);
INSERT INTO public.ecdc_data VALUES (535, 1, 165, 9.4258352, 13, 4);
INSERT INTO public.ecdc_data VALUES (536, 3, 78, 25.31741215, 156, 4);
INSERT INTO public.ecdc_data VALUES (537, 0, 9, 1.3852757, 73, 4);
INSERT INTO public.ecdc_data VALUES (538, 0, 0, 1.83572692, 74, 4);
INSERT INTO public.ecdc_data VALUES (539, 0, 4, 6.05092596, 157, 4);
INSERT INTO public.ecdc_data VALUES (540, 5, 249, 25.63428421, 158, 4);
INSERT INTO public.ecdc_data VALUES (541, 1, 79, 0.93558554, 14, 4);
INSERT INTO public.ecdc_data VALUES (542, 1, 91, 10.35121625, 159, 4);
INSERT INTO public.ecdc_data VALUES (543, 0, 0, 9.03901877, 15, 4);
INSERT INTO public.ecdc_data VALUES (544, 0, 0, 0, 75, 4);
INSERT INTO public.ecdc_data VALUES (545, 23, 1733, 178.52757954, 76, 4);
INSERT INTO public.ecdc_data VALUES (546, 34, 1177, 74.85470676, 77, 4);
INSERT INTO public.ecdc_data VALUES (547, 46, 401, 7.95512806, 16, 4);
INSERT INTO public.ecdc_data VALUES (548, 9, 389, 81.70696748, 78, 4);
INSERT INTO public.ecdc_data VALUES (549, 0, 0, 0, 17, 4);
INSERT INTO public.ecdc_data VALUES (550, 0, 14, 0.80065951, 18, 4);
INSERT INTO public.ecdc_data VALUES (551, 0, 9, 2.64186833, 160, 4);
INSERT INTO public.ecdc_data VALUES (552, 0, 26, 89.27537141, 19, 4);
INSERT INTO public.ecdc_data VALUES (553, 10, 805, 7.26275201, 20, 4);
INSERT INTO public.ecdc_data VALUES (554, 0, 0, 0, 79, 4);
INSERT INTO public.ecdc_data VALUES (555, 0, 0, 65.73946628, 161, 4);
INSERT INTO public.ecdc_data VALUES (556, 0, 0, 0.11236523, 203, 4);
INSERT INTO public.ecdc_data VALUES (557, 0, 9, 2.35596064, 162, 4);
INSERT INTO public.ecdc_data VALUES (558, 16, 1377, 19.00380857, 163, 4);
INSERT INTO public.ecdc_data VALUES (559, 0, 0, 0, 204, 4);
INSERT INTO public.ecdc_data VALUES (560, 0, 0, 56.66079653, 21, 4);
INSERT INTO public.ecdc_data VALUES (561, 0, 77, 13.84335962, 22, 4);
INSERT INTO public.ecdc_data VALUES (562, 0, 5, 3.8531191, 164, 4);
INSERT INTO public.ecdc_data VALUES (563, 7, 870, 9.46166522, 165, 4);
INSERT INTO public.ecdc_data VALUES (564, 0, 0, 29.64377045, 23, 4);
INSERT INTO public.ecdc_data VALUES (565, 0, 1, 20.76781582, 166, 4);
INSERT INTO public.ecdc_data VALUES (566, 0, 65, 4.30785338, 167, 4);
INSERT INTO public.ecdc_data VALUES (567, 0, 0, 1.76491352, 80, 4);
INSERT INTO public.ecdc_data VALUES (568, 0, 0, 0.8928412, 81, 4);
INSERT INTO public.ecdc_data VALUES (569, 0, 2, 25.10535282, 205, 4);
INSERT INTO public.ecdc_data VALUES (570, 32, 1221, 90.36215162, 82, 4);
INSERT INTO public.ecdc_data VALUES (571, 0, 0, 0, 168, 4);
INSERT INTO public.ecdc_data VALUES (572, 0, 59, 7.56386652, 24, 4);
INSERT INTO public.ecdc_data VALUES (573, 0, 27, 2.81115738, 25, 4);
INSERT INTO public.ecdc_data VALUES (574, 0, 3, 11.11430488, 83, 4);
INSERT INTO public.ecdc_data VALUES (575, 2, 34, 4.11965503, 84, 4);
INSERT INTO public.ecdc_data VALUES (576, 0, 0, 0, 169, 4);
INSERT INTO public.ecdc_data VALUES (577, 53, 482, 108.34060546, 85, 4);
INSERT INTO public.ecdc_data VALUES (578, 0, 21, 2.31255134, 170, 4);
INSERT INTO public.ecdc_data VALUES (579, 0, 11, 10.08428784, 171, 4);
INSERT INTO public.ecdc_data VALUES (580, 779, 55078, 46.47465954, 112, 4);
INSERT INTO public.ecdc_data VALUES (581, 83, 1904, 9.11517721, 113, 4);
INSERT INTO public.ecdc_data VALUES (582, 226, 2621, 41.5720439, 114, 4);
INSERT INTO public.ecdc_data VALUES (583, 68, 2963, 89.32889464, 115, 4);
INSERT INTO public.ecdc_data VALUES (584, 0, 85, 6.70848082, 172, 4);
INSERT INTO public.ecdc_data VALUES (585, 0, 0, 0, 173, 4);
INSERT INTO public.ecdc_data VALUES (586, 12, 1823, 285.46701735, 116, 4);
INSERT INTO public.ecdc_data VALUES (587, 3, 382, 5.66936007, 174, 4);
INSERT INTO public.ecdc_data VALUES (588, 0, 8, 3.35789344, 86, 4);
INSERT INTO public.ecdc_data VALUES (589, 2, 1315, 8.11995564, 117, 4);
INSERT INTO public.ecdc_data VALUES (590, 0, 0, 3.71071283, 175, 4);
INSERT INTO public.ecdc_data VALUES (591, 0, 4, -0.1484899, 118, 4);
INSERT INTO public.ecdc_data VALUES (592, 0, 1414, 119.57570059, 119, 4);
INSERT INTO public.ecdc_data VALUES (593, 14, 788, 15.67315626, 26, 4);
INSERT INTO public.ecdc_data VALUES (594, 16, 258, 159.41008815, 176, 4);
INSERT INTO public.ecdc_data VALUES (595, 1, 626, 210.6212936, 120, 4);
INSERT INTO public.ecdc_data VALUES (596, 14, 582, 353.87355473, 121, 4);
INSERT INTO public.ecdc_data VALUES (597, 0, 0, 0.01394806, 122, 4);
INSERT INTO public.ecdc_data VALUES (598, 0, 4, 2.55212587, 177, 4);
INSERT INTO public.ecdc_data VALUES (599, 2, 129, 25.30737521, 123, 4);
INSERT INTO public.ecdc_data VALUES (600, 0, 28, 16.37441319, 27, 4);
INSERT INTO public.ecdc_data VALUES (601, 1, 2, 2.24815864, 28, 4);
INSERT INTO public.ecdc_data VALUES (602, 4, 205, 23.16504445, 29, 4);
INSERT INTO public.ecdc_data VALUES (603, 0, 1, 10.42263797, 178, 4);
INSERT INTO public.ecdc_data VALUES (604, 0, 19, 5.72617981, 179, 4);
INSERT INTO public.ecdc_data VALUES (605, 0, 83, 243.36448964, 180, 4);
INSERT INTO public.ecdc_data VALUES (606, 6, 431, 17.27519425, 30, 4);
INSERT INTO public.ecdc_data VALUES (607, 2, 123, 6.81205163, 31, 4);
INSERT INTO public.ecdc_data VALUES (608, 0, 8, 0.71048983, 124, 4);
INSERT INTO public.ecdc_data VALUES (609, 1, 152, 154.43811834, 125, 4);
INSERT INTO public.ecdc_data VALUES (610, 0, 1, 0.41713249, 32, 4);
INSERT INTO public.ecdc_data VALUES (611, 0, 9, 12.76443141, 181, 4);
INSERT INTO public.ecdc_data VALUES (612, 0, 21, 18.20713623, 33, 4);
INSERT INTO public.ecdc_data VALUES (613, 0, 0, 0.07876062, 34, 4);
INSERT INTO public.ecdc_data VALUES (614, 639, 7524, 75.43217791, 87, 4);
INSERT INTO public.ecdc_data VALUES (615, 12, 0, 91.08990819, 182, 4);
INSERT INTO public.ecdc_data VALUES (616, 0, 0, 24.18014206, 183, 4);
INSERT INTO public.ecdc_data VALUES (617, 0, 0, 0.89917852, 126, 4);
INSERT INTO public.ecdc_data VALUES (618, 1, 57, 233.85440273, 184, 4);
INSERT INTO public.ecdc_data VALUES (619, 0, 0, 20.03606492, 88, 4);
INSERT INTO public.ecdc_data VALUES (620, 12, 1046, 18.74052383, 35, 4);
INSERT INTO public.ecdc_data VALUES (621, 0, 60, 1.39958967, 36, 4);
INSERT INTO public.ecdc_data VALUES (622, 0, 0, 0.02590414, 127, 4);
INSERT INTO public.ecdc_data VALUES (623, 1, 66, 40.8895645, 37, 4);
INSERT INTO public.ecdc_data VALUES (624, 3, 274, 7.70045072, 128, 4);
INSERT INTO public.ecdc_data VALUES (625, 0, 342, 15.11384889, 185, 4);
INSERT INTO public.ecdc_data VALUES (626, 0, 0, 0, 207, 4);
INSERT INTO public.ecdc_data VALUES (627, 0, 0, 0.2299782, 208, 4);
INSERT INTO public.ecdc_data VALUES (628, 0, 0, 8.02077396, 89, 4);
INSERT INTO public.ecdc_data VALUES (629, 0, 0, 0.1372759, 38, 4);
INSERT INTO public.ecdc_data VALUES (630, 5, 481, 3.89871593, 39, 4);
INSERT INTO public.ecdc_data VALUES (631, 4, 119, 96.81618693, 186, 4);
INSERT INTO public.ecdc_data VALUES (632, 0, 0, 8.73927254, 209, 4);
INSERT INTO public.ecdc_data VALUES (633, 0, 22, 3.02165154, 187, 4);
INSERT INTO public.ecdc_data VALUES (634, 9, 590, 333.36737024, 129, 4);
INSERT INTO public.ecdc_data VALUES (635, 27, 903, 8.45287706, 130, 4);
INSERT INTO public.ecdc_data VALUES (636, 2, 380, 124.88401906, 131, 4);
INSERT INTO public.ecdc_data VALUES (637, 23, 922, 325.40198378, 90, 4);
INSERT INTO public.ecdc_data VALUES (638, 0, 9, 0.69506806, 210, 4);
INSERT INTO public.ecdc_data VALUES (639, 1, 341, 26.47403224, 91, 4);
INSERT INTO public.ecdc_data VALUES (640, 205, 6809, 202.7224344, 92, 4);
INSERT INTO public.ecdc_data VALUES (641, 21, 3888, 25.99785258, 132, 4);
INSERT INTO public.ecdc_data VALUES (642, 15, 615, 15.74020907, 188, 4);
INSERT INTO public.ecdc_data VALUES (643, 2, 255, 30.19476156, 189, 4);
INSERT INTO public.ecdc_data VALUES (644, 3, 511, 204.4723468, 93, 4);
INSERT INTO public.ecdc_data VALUES (645, 2, 307, 177.00827416, 133, 4);
INSERT INTO public.ecdc_data VALUES (646, 35, 1356, 75.13987771, 190, 4);
INSERT INTO public.ecdc_data VALUES (647, 129, 5509, 56.00927825, 191, 4);
INSERT INTO public.ecdc_data VALUES (648, 0, 58, 4.1260993, 40, 4);
INSERT INTO public.ecdc_data VALUES (649, 0, 0, 0, 94, 4);
INSERT INTO public.ecdc_data VALUES (650, 0, 1, 1.09412183, 95, 4);
INSERT INTO public.ecdc_data VALUES (651, 0, 0, 15.37167814, 96, 4);
INSERT INTO public.ecdc_data VALUES (652, 0, 0, 0, 192, 4);
INSERT INTO public.ecdc_data VALUES (653, 0, 2, 60.4516201, 41, 4);
INSERT INTO public.ecdc_data VALUES (654, 50, 1629, 90.40656516, 134, 4);
INSERT INTO public.ecdc_data VALUES (655, 4, 145, 9.97155071, 42, 4);
INSERT INTO public.ecdc_data VALUES (656, 7, 321, 78.92283541, 193, 4);
INSERT INTO public.ecdc_data VALUES (657, 0, 0, 14.32356943, 43, 4);
INSERT INTO public.ecdc_data VALUES (658, 0, 15, 1.79183785, 44, 4);
INSERT INTO public.ecdc_data VALUES (659, 0, 278, 80.68096596, 135, 4);
INSERT INTO public.ecdc_data VALUES (660, 0, 7, 115.59602727, 97, 4);
INSERT INTO public.ecdc_data VALUES (661, 0, 20, 5.76102286, 194, 4);
INSERT INTO public.ecdc_data VALUES (662, 0, 24, 11.62953864, 195, 4);
INSERT INTO public.ecdc_data VALUES (663, 0, 0, 0.83533501, 45, 4);
INSERT INTO public.ecdc_data VALUES (664, 315, 11046, 269.72792757, 46, 4);
INSERT INTO public.ecdc_data VALUES (665, 1, 36, 1.235717, 136, 4);
INSERT INTO public.ecdc_data VALUES (666, 0, 0, 1.36501938, 47, 4);
INSERT INTO public.ecdc_data VALUES (667, 2, 3092, 60.22320103, 196, 4);
INSERT INTO public.ecdc_data VALUES (668, 0, 3, 0.59558049, 137, 4);
INSERT INTO public.ecdc_data VALUES (669, 0, 0, 2.2633187, 48, 4);
INSERT INTO public.ecdc_data VALUES (670, 0, 43, 125.91100569, 98, 4);
INSERT INTO public.ecdc_data VALUES (671, 0, 302, 27.60458389, 197, 4);
INSERT INTO public.ecdc_data VALUES (672, 1, 219, 20.2234717, 198, 4);
INSERT INTO public.ecdc_data VALUES (673, 1, 21, 1.52898642, 138, 4);
INSERT INTO public.ecdc_data VALUES (674, 0, 0, 0.05468186, 139, 4);
INSERT INTO public.ecdc_data VALUES (675, 0, 46, 6.70527259, 140, 4);
INSERT INTO public.ecdc_data VALUES (676, 0, 6, 0.10197401, 141, 4);
INSERT INTO public.ecdc_data VALUES (677, 0, 0, 0, 142, 4);
INSERT INTO public.ecdc_data VALUES (678, 0, 31, 2.20232732, 49, 4);
INSERT INTO public.ecdc_data VALUES (679, 0, 8, 2.22227161, 99, 4);
INSERT INTO public.ecdc_data VALUES (680, 0, 26, 1.59901207, 50, 4);
INSERT INTO public.ecdc_data VALUES (681, 15, 967, 15.87485822, 199, 4);
INSERT INTO public.ecdc_data VALUES (682, 0, 5, 83.78279311, 100, 4);
INSERT INTO public.ecdc_data VALUES (683, 0, 7, 0.21685316, 51, 4);
INSERT INTO public.ecdc_data VALUES (684, 23, 1197, 28.04723401, 200, 4);
INSERT INTO public.ecdc_data VALUES (685, 4, 585, 44.79799757, 143, 4);
INSERT INTO public.ecdc_data VALUES (686, 0, 846, 12.55118151, 201, 4);
INSERT INTO public.ecdc_data VALUES (687, 0, 0, 0, 52, 4);
INSERT INTO public.ecdc_data VALUES (688, 1357, 68032, 279.21329578, 101, 4);
INSERT INTO public.ecdc_data VALUES (689, 0, 0, 116.6582201, 102, 4);
INSERT INTO public.ecdc_data VALUES (690, 0, 6, 6.75962401, 103, 4);
INSERT INTO public.ecdc_data VALUES (691, 5, 686, 24.88954865, 144, 4);
INSERT INTO public.ecdc_data VALUES (692, 7, 1288, 24.56530371, 104, 4);
INSERT INTO public.ecdc_data VALUES (693, 0, 50, 0.140988, 145, 4);
INSERT INTO public.ecdc_data VALUES (694, 0, 0, 0, 53, 4);
INSERT INTO public.ecdc_data VALUES (695, 2, 15, 0.59666849, 146, 4);
INSERT INTO public.ecdc_data VALUES (696, 3, 306, 18.31920817, 54, 4);
INSERT INTO public.ecdc_data VALUES (697, 12, 213, 11.81252391, 55, 4);
INSERT INTO public.ecdc_data VALUES (698, 3, 866, 21.35285181, 105, 5);
INSERT INTO public.ecdc_data VALUES (699, 0, 23, 6.60278847, 147, 5);
INSERT INTO public.ecdc_data VALUES (700, 8, 133, 5.68136235, 1, 5);
INSERT INTO public.ecdc_data VALUES (701, 0, 0, 3.93819657, 148, 5);
INSERT INTO public.ecdc_data VALUES (702, 0, 7, 0.11311755, 2, 5);
INSERT INTO public.ecdc_data VALUES (703, 0, 0, 0, 56, 5);
INSERT INTO public.ecdc_data VALUES (704, 0, 0, 0, 57, 5);
INSERT INTO public.ecdc_data VALUES (705, 8, 795, 18.77818948, 58, 5);
INSERT INTO public.ecdc_data VALUES (706, 4, 355, 162.62482554, 149, 5);
INSERT INTO public.ecdc_data VALUES (707, 0, 0, 0, 59, 5);
INSERT INTO public.ecdc_data VALUES (708, 0, 12, 0.59119477, 202, 5);
INSERT INTO public.ecdc_data VALUES (709, 0, 44, 5.62154474, 150, 5);
INSERT INTO public.ecdc_data VALUES (710, 3, 257, 20.97988608, 151, 5);
INSERT INTO public.ecdc_data VALUES (711, 0, 0, 1.54049183, 60, 5);
INSERT INTO public.ecdc_data VALUES (712, 2, 344, 246.53233924, 106, 5);
INSERT INTO public.ecdc_data VALUES (713, 28, 1764, 14.48240064, 107, 5);
INSERT INTO public.ecdc_data VALUES (714, 0, 0, 2.09043938, 61, 5);
INSERT INTO public.ecdc_data VALUES (715, 5, 894, 137.28775384, 152, 5);
INSERT INTO public.ecdc_data VALUES (716, 23, 61, 24.19794337, 153, 5);
INSERT INTO public.ecdc_data VALUES (717, 0, 0, 0, 62, 5);
INSERT INTO public.ecdc_data VALUES (718, 0, 8, -0.90669122, 3, 5);
INSERT INTO public.ecdc_data VALUES (719, 0, 0, 27.19651885, 63, 5);
INSERT INTO public.ecdc_data VALUES (720, 0, 10, 2.883, 108, 5);
INSERT INTO public.ecdc_data VALUES (721, 10, 861, 50.08207171, 64, 5);
INSERT INTO public.ecdc_data VALUES (722, 0, 0, 3.84867028, 65, 5);
INSERT INTO public.ecdc_data VALUES (723, 0, 9, 6.84641433, 154, 5);
INSERT INTO public.ecdc_data VALUES (724, 0, 0, 0.47749211, 4, 5);
INSERT INTO public.ecdc_data VALUES (725, 956, 33274, 125.70414813, 66, 5);
INSERT INTO public.ecdc_data VALUES (726, 0, 0, 0, 67, 5);
INSERT INTO public.ecdc_data VALUES (727, 0, 0, 0, 109, 5);
INSERT INTO public.ecdc_data VALUES (728, 1, 14, 4.31426168, 155, 5);
INSERT INTO public.ecdc_data VALUES (729, 0, 6, 0.34938567, 5, 5);
INSERT INTO public.ecdc_data VALUES (730, 0, 0, 0.13008889, 6, 5);
INSERT INTO public.ecdc_data VALUES (731, 0, 0, 0.01819666, 110, 5);
INSERT INTO public.ecdc_data VALUES (732, 14, 468, 10.09414491, 7, 5);
INSERT INTO public.ecdc_data VALUES (733, 94, 772, 38.29351113, 68, 5);
INSERT INTO public.ecdc_data VALUES (734, 0, 16, 16.91105874, 8, 5);
INSERT INTO public.ecdc_data VALUES (735, 0, 0, 72.36558478, 69, 5);
INSERT INTO public.ecdc_data VALUES (736, 0, 88, 13.38200308, 9, 5);
INSERT INTO public.ecdc_data VALUES (737, 0, 0, 1.78718322, 10, 5);
INSERT INTO public.ecdc_data VALUES (738, 53, 4220, 281.92223157, 70, 5);
INSERT INTO public.ecdc_data VALUES (739, 0, 5, 0.00585862, 111, 5);
INSERT INTO public.ecdc_data VALUES (740, 37, 1548, 26.41467447, 71, 5);
INSERT INTO public.ecdc_data VALUES (741, 0, 19, 11.16476729, 11, 5);
INSERT INTO public.ecdc_data VALUES (742, 0, 0, 3.25248341, 12, 5);
INSERT INTO public.ecdc_data VALUES (743, 0, 25, 3.84344043, 72, 5);
INSERT INTO public.ecdc_data VALUES (744, 1, 49, 2.86974686, 13, 5);
INSERT INTO public.ecdc_data VALUES (745, 0, 1, 0.53971227, 156, 5);
INSERT INTO public.ecdc_data VALUES (746, 1, 20, 1.43821617, 73, 5);
INSERT INTO public.ecdc_data VALUES (747, 0, 0, 1.83572692, 74, 5);
INSERT INTO public.ecdc_data VALUES (748, 0, 2, 3.31088402, 157, 5);
INSERT INTO public.ecdc_data VALUES (749, 0, 34, 7.27713196, 158, 5);
INSERT INTO public.ecdc_data VALUES (750, 0, 133, 1.74212479, 14, 5);
INSERT INTO public.ecdc_data VALUES (751, 3, 40, 13.3480742, 159, 5);
INSERT INTO public.ecdc_data VALUES (752, 2, 280, 191.36013608, 15, 5);
INSERT INTO public.ecdc_data VALUES (753, 0, 0, 0, 75, 5);
INSERT INTO public.ecdc_data VALUES (754, 10, 377, 46.69913475, 76, 5);
INSERT INTO public.ecdc_data VALUES (755, 0, 0, 33.42992209, 77, 5);
INSERT INTO public.ecdc_data VALUES (756, 34, 1367, 11.68465466, 16, 5);
INSERT INTO public.ecdc_data VALUES (757, 3, 239, 19.4001751, 78, 5);
INSERT INTO public.ecdc_data VALUES (758, 0, 263, 52.50807164, 17, 5);
INSERT INTO public.ecdc_data VALUES (759, 0, 0, 0, 18, 5);
INSERT INTO public.ecdc_data VALUES (760, 0, 6, 7.17078547, 160, 5);
INSERT INTO public.ecdc_data VALUES (761, 0, 4, 7.05493179, 19, 5);
INSERT INTO public.ecdc_data VALUES (762, 0, 95, 0.67541809, 20, 5);
INSERT INTO public.ecdc_data VALUES (763, 0, 0, 0, 79, 5);
INSERT INTO public.ecdc_data VALUES (764, 0, 0, 0, 161, 5);
INSERT INTO public.ecdc_data VALUES (765, 0, 0, 0, 203, 5);
INSERT INTO public.ecdc_data VALUES (766, 2, 50, 9.78629806, 162, 5);
INSERT INTO public.ecdc_data VALUES (767, 57, 1828, 13.73616473, 163, 5);
INSERT INTO public.ecdc_data VALUES (768, 0, 0, 0, 204, 5);
INSERT INTO public.ecdc_data VALUES (769, 2, 42, 61.44773628, 21, 5);
INSERT INTO public.ecdc_data VALUES (770, 0, 0, 0.08518991, 22, 5);
INSERT INTO public.ecdc_data VALUES (771, 0, 11, 1.55125574, 164, 5);
INSERT INTO public.ecdc_data VALUES (772, 11, 286, 8.58475977, 165, 5);
INSERT INTO public.ecdc_data VALUES (773, 1, 152, 6.68357384, 23, 5);
INSERT INTO public.ecdc_data VALUES (774, 0, 0, 41.53563164, 166, 5);
INSERT INTO public.ecdc_data VALUES (775, 0, 6, 0.89513836, 167, 5);
INSERT INTO public.ecdc_data VALUES (776, 0, 0, 3.52982704, 80, 5);
INSERT INTO public.ecdc_data VALUES (777, 0, 0, 0.8928412, 81, 5);
INSERT INTO public.ecdc_data VALUES (778, 0, 1, 11.35718342, 205, 5);
INSERT INTO public.ecdc_data VALUES (779, 12, 132, 16.92690648, 82, 5);
INSERT INTO public.ecdc_data VALUES (780, 0, 0, 0, 168, 5);
INSERT INTO public.ecdc_data VALUES (781, 1, 50, 8.20593386, 24, 5);
INSERT INTO public.ecdc_data VALUES (782, 0, 0, 17.85605521, 25, 5);
INSERT INTO public.ecdc_data VALUES (783, 1, 2, 4.47127208, 83, 5);
INSERT INTO public.ecdc_data VALUES (784, 6, 281, 13.38000026, 84, 5);
INSERT INTO public.ecdc_data VALUES (785, 0, 0, 0, 169, 5);
INSERT INTO public.ecdc_data VALUES (786, 2, 208, 25.94880114, 85, 5);
INSERT INTO public.ecdc_data VALUES (787, 7, 26, 3.66324505, 170, 5);
INSERT INTO public.ecdc_data VALUES (788, 0, 1, 1.12047643, 171, 5);
INSERT INTO public.ecdc_data VALUES (789, 193, 8380, 6.67555728, 112, 5);
INSERT INTO public.ecdc_data VALUES (790, 53, 557, 3.23251055, 113, 5);
INSERT INTO public.ecdc_data VALUES (791, 57, 2282, 36.8551022, 114, 5);
INSERT INTO public.ecdc_data VALUES (792, 10, 306, 7.42563131, 115, 5);
INSERT INTO public.ecdc_data VALUES (793, 5, 53, 17.96404744, 172, 5);
INSERT INTO public.ecdc_data VALUES (794, 0, 0, 1.18218681, 173, 5);
INSERT INTO public.ecdc_data VALUES (795, 0, 25, 4.74213302, 116, 5);
INSERT INTO public.ecdc_data VALUES (796, 111, 416, 13.09486324, 174, 5);
INSERT INTO public.ecdc_data VALUES (797, 0, 6, 2.1707594, 86, 5);
INSERT INTO public.ecdc_data VALUES (798, 5, 47, 0.44616007, 117, 5);
INSERT INTO public.ecdc_data VALUES (799, 0, 0, 5.56606924, 175, 5);
INSERT INTO public.ecdc_data VALUES (800, 0, 4, 1.25721451, 118, 5);
INSERT INTO public.ecdc_data VALUES (801, 1, 476, 25.34036733, 119, 5);
INSERT INTO public.ecdc_data VALUES (802, 1, 143, 2.01240283, 26, 5);
INSERT INTO public.ecdc_data VALUES (803, 0, 6, 5.11535686, 176, 5);
INSERT INTO public.ecdc_data VALUES (804, 11, 1008, 294.50376116, 120, 5);
INSERT INTO public.ecdc_data VALUES (805, 0, 26, 9.5077021, 121, 5);
INSERT INTO public.ecdc_data VALUES (806, 0, 0, 0, 122, 5);
INSERT INTO public.ecdc_data VALUES (807, 0, 1, 3.5417257, 177, 5);
INSERT INTO public.ecdc_data VALUES (808, 0, 19, 4.2154648, 123, 5);
INSERT INTO public.ecdc_data VALUES (809, 0, 0, 0.04705291, 27, 5);
INSERT INTO public.ecdc_data VALUES (810, 0, 7, 1.15445984, 28, 5);
INSERT INTO public.ecdc_data VALUES (811, 0, 12, 0.95906235, 29, 5);
INSERT INTO public.ecdc_data VALUES (812, 0, 0, 0, 178, 5);
INSERT INTO public.ecdc_data VALUES (813, 2, 8, 4.86725284, 179, 5);
INSERT INTO public.ecdc_data VALUES (814, 0, 4, 14.00893314, 180, 5);
INSERT INTO public.ecdc_data VALUES (815, 1, 60, 1.76126149, 30, 5);
INSERT INTO public.ecdc_data VALUES (816, 0, 6, 1.14876206, 31, 5);
INSERT INTO public.ecdc_data VALUES (817, 0, 30, 2.7856209, 124, 5);
INSERT INTO public.ecdc_data VALUES (818, 0, 81, 111.87346621, 125, 5);
INSERT INTO public.ecdc_data VALUES (819, 3, 24, 2.11109734, 32, 5);
INSERT INTO public.ecdc_data VALUES (820, 0, 0, 13.16965145, 181, 5);
INSERT INTO public.ecdc_data VALUES (821, 1, 60, 10.03160176, 33, 5);
INSERT INTO public.ecdc_data VALUES (822, 0, 0, 0.23628187, 34, 5);
INSERT INTO public.ecdc_data VALUES (823, 364, 2713, 38.99180383, 87, 5);
INSERT INTO public.ecdc_data VALUES (824, 3, 202, 53.52119504, 182, 5);
INSERT INTO public.ecdc_data VALUES (825, 0, 0, 3.02251776, 183, 5);
INSERT INTO public.ecdc_data VALUES (826, 0, 0, 1.33326471, 126, 5);
INSERT INTO public.ecdc_data VALUES (827, 0, 0, 0, 184, 5);
INSERT INTO public.ecdc_data VALUES (828, 0, 0, 0, 88, 5);
INSERT INTO public.ecdc_data VALUES (829, 2, 66, 2.84877897, 35, 5);
INSERT INTO public.ecdc_data VALUES (830, 0, 10, 0.3787125, 36, 5);
INSERT INTO public.ecdc_data VALUES (831, 0, 0, 0.07771241, 127, 5);
INSERT INTO public.ecdc_data VALUES (832, 0, 0, 0.28061466, 37, 5);
INSERT INTO public.ecdc_data VALUES (833, 0, 189, 3.87993659, 128, 5);
INSERT INTO public.ecdc_data VALUES (834, 20, 131, 13.81192852, 185, 5);
INSERT INTO public.ecdc_data VALUES (835, 0, 0, 0.35366056, 207, 5);
INSERT INTO public.ecdc_data VALUES (836, 0, 0, 0.10453555, 208, 5);
INSERT INTO public.ecdc_data VALUES (837, 0, 0, 11.21380588, 89, 5);
INSERT INTO public.ecdc_data VALUES (838, 0, 1, 0.28742142, 38, 5);
INSERT INTO public.ecdc_data VALUES (839, 12, 553, 2.10684917, 39, 5);
INSERT INTO public.ecdc_data VALUES (840, 5, 34, 19.35360873, 186, 5);
INSERT INTO public.ecdc_data VALUES (841, 0, 0, 1.74785451, 209, 5);
INSERT INTO public.ecdc_data VALUES (842, 0, 0, 4.01635671, 187, 5);
INSERT INTO public.ecdc_data VALUES (843, 2, 603, 108.4222849, 129, 5);
INSERT INTO public.ecdc_data VALUES (844, 88, 3039, 13.55018449, 130, 5);
INSERT INTO public.ecdc_data VALUES (845, 0, 1, 1.44537042, 131, 5);
INSERT INTO public.ecdc_data VALUES (846, 4, 487, 84.0468722, 90, 5);
INSERT INTO public.ecdc_data VALUES (847, 0, 0, 0, 210, 5);
INSERT INTO public.ecdc_data VALUES (848, 0, 47, 2.64030563, 91, 5);
INSERT INTO public.ecdc_data VALUES (849, 141, 7386, 206.48737628, 92, 5);
INSERT INTO public.ecdc_data VALUES (850, 8, 590, 4.54971669, 132, 5);
INSERT INTO public.ecdc_data VALUES (851, 10, 416, 13.99422302, 188, 5);
INSERT INTO public.ecdc_data VALUES (852, 13, 257, 33.0167019, 189, 5);
INSERT INTO public.ecdc_data VALUES (853, 1, 71, 38.48770916, 93, 5);
INSERT INTO public.ecdc_data VALUES (854, 0, 2355, 857.67623764, 133, 5);
INSERT INTO public.ecdc_data VALUES (855, 13, 151, 12.51129442, 190, 5);
INSERT INTO public.ecdc_data VALUES (856, 181, 8952, 85.37058382, 191, 5);
INSERT INTO public.ecdc_data VALUES (857, 1, 4, 0.55437035, 40, 5);
INSERT INTO public.ecdc_data VALUES (858, 0, 0, 0, 94, 5);
INSERT INTO public.ecdc_data VALUES (859, 0, 0, 0, 95, 5);
INSERT INTO public.ecdc_data VALUES (860, 0, 0, 8.13794725, 96, 5);
INSERT INTO public.ecdc_data VALUES (861, 0, 0, 52.24508751, 192, 5);
INSERT INTO public.ecdc_data VALUES (862, 0, 16, 113.46304081, 41, 5);
INSERT INTO public.ecdc_data VALUES (863, 22, 1618, 91.53588122, 134, 5);
INSERT INTO public.ecdc_data VALUES (864, 1, 106, 6.78679082, 42, 5);
INSERT INTO public.ecdc_data VALUES (865, 0, 27, 12.70864435, 193, 5);
INSERT INTO public.ecdc_data VALUES (866, 0, 0, 0, 43, 5);
INSERT INTO public.ecdc_data VALUES (867, 1, 23, 4.99154828, 44, 5);
INSERT INTO public.ecdc_data VALUES (868, 0, 506, 120.771636, 135, 5);
INSERT INTO public.ecdc_data VALUES (869, 0, 0, 0, 97, 5);
INSERT INTO public.ecdc_data VALUES (870, 0, 1, 0.51372178, 194, 5);
INSERT INTO public.ecdc_data VALUES (871, 0, 0, 0.33639161, 195, 5);
INSERT INTO public.ecdc_data VALUES (872, 1, 88, 3.61978503, 45, 5);
INSERT INTO public.ecdc_data VALUES (873, 32, 1727, 28.36832586, 46, 5);
INSERT INTO public.ecdc_data VALUES (874, 1, 27, 0.8160027, 136, 5);
INSERT INTO public.ecdc_data VALUES (875, 0, 0, 6.85221649, 47, 5);
INSERT INTO public.ecdc_data VALUES (876, 2, 201, 17.21241168, 196, 5);
INSERT INTO public.ecdc_data VALUES (877, 0, 62, 3.09514272, 137, 5);
INSERT INTO public.ecdc_data VALUES (878, 29, 279, 6.62411955, 48, 5);
INSERT INTO public.ecdc_data VALUES (879, 0, 2, 0.68803828, 98, 5);
INSERT INTO public.ecdc_data VALUES (880, 39, 432, 76.83145515, 197, 5);
INSERT INTO public.ecdc_data VALUES (881, 0, 17, 3.19502765, 198, 5);
INSERT INTO public.ecdc_data VALUES (882, 0, 0, 0.41593117, 138, 5);
INSERT INTO public.ecdc_data VALUES (883, 0, 0, 0.00841259, 139, 5);
INSERT INTO public.ecdc_data VALUES (884, 0, 244, 26.6601638, 140, 5);
INSERT INTO public.ecdc_data VALUES (885, 0, 5, 0.07612145, 141, 5);
INSERT INTO public.ecdc_data VALUES (886, 0, 0, 0, 142, 5);
INSERT INTO public.ecdc_data VALUES (887, 0, 5, 1.67030442, 49, 5);
INSERT INTO public.ecdc_data VALUES (888, 0, 1, 0.07168618, 99, 5);
INSERT INTO public.ecdc_data VALUES (889, 0, 5, 0.35058553, 50, 5);
INSERT INTO public.ecdc_data VALUES (890, 26, 983, 18.33571733, 199, 5);
INSERT INTO public.ecdc_data VALUES (891, 0, 0, 0, 100, 5);
INSERT INTO public.ecdc_data VALUES (892, 0, 84, 0.420153, 51, 5);
INSERT INTO public.ecdc_data VALUES (893, 17, 393, 12.15175565, 200, 5);
INSERT INTO public.ecdc_data VALUES (894, 2, 726, 115.33667686, 143, 5);
INSERT INTO public.ecdc_data VALUES (895, 154, 1527, 42.34392032, 201, 5);
INSERT INTO public.ecdc_data VALUES (896, 0, 0, 0, 52, 5);
INSERT INTO public.ecdc_data VALUES (897, 945, 23297, 91.92715005, 101, 5);
INSERT INTO public.ecdc_data VALUES (898, 0, 0, 0, 102, 5);
INSERT INTO public.ecdc_data VALUES (899, 0, 5, 2.54208083, 103, 5);
INSERT INTO public.ecdc_data VALUES (900, 0, 41, 2.4650022, 144, 5);
INSERT INTO public.ecdc_data VALUES (901, 0, 90, 3.34901714, 104, 5);
INSERT INTO public.ecdc_data VALUES (902, 0, 0, 0.00933009, 145, 5);
INSERT INTO public.ecdc_data VALUES (903, 0, 0, 2.91866538, 53, 5);
INSERT INTO public.ecdc_data VALUES (904, 11, 23, 0.63781804, 146, 5);
INSERT INTO public.ecdc_data VALUES (905, 0, 0, 2.11633884, 54, 5);
INSERT INTO public.ecdc_data VALUES (906, 0, 14, 0.88764631, 55, 5);
INSERT INTO public.ecdc_data VALUES (907, 0, 27, 0.31544284, 105, 6);
INSERT INTO public.ecdc_data VALUES (908, 2, 11, 6.00888686, 147, 6);
INSERT INTO public.ecdc_data VALUES (909, 4, 73, 1.2217484, 1, 6);
INSERT INTO public.ecdc_data VALUES (910, 2, 36, 467.33265946, 148, 6);
INSERT INTO public.ecdc_data VALUES (911, 0, 0, 0, 2, 6);
INSERT INTO public.ecdc_data VALUES (912, 0, 0, 0, 56, 6);
INSERT INTO public.ecdc_data VALUES (913, 0, 0, 0, 57, 6);
INSERT INTO public.ecdc_data VALUES (914, 4, 146, 2.01202863, 58, 6);
INSERT INTO public.ecdc_data VALUES (915, 0, 50, 16.46534096, 149, 6);
INSERT INTO public.ecdc_data VALUES (916, 3, 464, 16.59313103, 202, 6);
INSERT INTO public.ecdc_data VALUES (917, 22, 805, 97.10146155, 150, 6);
INSERT INTO public.ecdc_data VALUES (918, 0, 64, 2.52793694, 151, 6);
INSERT INTO public.ecdc_data VALUES (919, 0, 0, 3.59448093, 60, 6);
INSERT INTO public.ecdc_data VALUES (920, 0, 15, 17.91411462, 106, 6);
INSERT INTO public.ecdc_data VALUES (921, 0, 0, 0.02698622, 107, 6);
INSERT INTO public.ecdc_data VALUES (922, 0, 1, 11.84582313, 61, 6);
INSERT INTO public.ecdc_data VALUES (923, 0, 11, 0.72997265, 152, 6);
INSERT INTO public.ecdc_data VALUES (924, 170, 1739, 103.08568298, 153, 6);
INSERT INTO public.ecdc_data VALUES (925, 0, 1, 0, 62, 6);
INSERT INTO public.ecdc_data VALUES (926, 0, 0, 0.04236875, 3, 6);
INSERT INTO public.ecdc_data VALUES (927, 0, 5, 0, 63, 6);
INSERT INTO public.ecdc_data VALUES (928, 0, 0, 0.39313636, 108, 6);
INSERT INTO public.ecdc_data VALUES (929, 3, 11, 0.83383262, 64, 6);
INSERT INTO public.ecdc_data VALUES (930, 2, 30, 10.05756441, 154, 6);
INSERT INTO public.ecdc_data VALUES (931, 23, 323, 2.05875854, 66, 6);
INSERT INTO public.ecdc_data VALUES (932, 0, 1, 0, 67, 6);
INSERT INTO public.ecdc_data VALUES (933, 0, 1, 16.84760533, 109, 6);
INSERT INTO public.ecdc_data VALUES (934, 0, 13, 4.2428335, 155, 6);
INSERT INTO public.ecdc_data VALUES (935, 3, 42, 0.99402683, 5, 6);
INSERT INTO public.ecdc_data VALUES (936, 0, 2, 0.51557203, 110, 6);
INSERT INTO public.ecdc_data VALUES (937, 0, 43, 0.53330475, 7, 6);
INSERT INTO public.ecdc_data VALUES (938, 28, 1169, 18.71105528, 68, 6);
INSERT INTO public.ecdc_data VALUES (939, 0, 0, 0, 8, 6);
INSERT INTO public.ecdc_data VALUES (940, 0, 4, 0, 69, 6);
INSERT INTO public.ecdc_data VALUES (941, 0, 0, 0.1053701, 9, 6);
INSERT INTO public.ecdc_data VALUES (942, 0, 2, 0, 10, 6);
INSERT INTO public.ecdc_data VALUES (943, 1, 310, 12.09896457, 70, 6);
INSERT INTO public.ecdc_data VALUES (944, 3, 84, 0.08216023, 111, 6);
INSERT INTO public.ecdc_data VALUES (945, 4, 96, 1.47200675, 71, 6);
INSERT INTO public.ecdc_data VALUES (946, 0, 0, 0.33454115, 12, 6);
INSERT INTO public.ecdc_data VALUES (947, 0, 16, 5.72553754, 72, 6);
INSERT INTO public.ecdc_data VALUES (948, 0, 3, 0.63383298, 13, 6);
INSERT INTO public.ecdc_data VALUES (949, 0, 77, 18.00676407, 156, 6);
INSERT INTO public.ecdc_data VALUES (950, 1, 31, 1.46468641, 73, 6);
INSERT INTO public.ecdc_data VALUES (951, 1, 16, 21.69199874, 157, 6);
INSERT INTO public.ecdc_data VALUES (952, 8, 173, 24.95821518, 158, 6);
INSERT INTO public.ecdc_data VALUES (953, 0, 17, 0.1094589, 14, 6);
INSERT INTO public.ecdc_data VALUES (954, 5, 182, 28.33236395, 159, 6);
INSERT INTO public.ecdc_data VALUES (955, 0, 7, 0, 15, 6);
INSERT INTO public.ecdc_data VALUES (956, 0, 0, 0, 75, 6);
INSERT INTO public.ecdc_data VALUES (957, 3, 42, 8.28758324, 76, 6);
INSERT INTO public.ecdc_data VALUES (958, 4, 76, 10.98214383, 77, 6);
INSERT INTO public.ecdc_data VALUES (959, 4, 33, 0.48113284, 16, 6);
INSERT INTO public.ecdc_data VALUES (960, 0, 2, 0, 78, 6);
INSERT INTO public.ecdc_data VALUES (961, 0, 0, 0.95871479, 17, 6);
INSERT INTO public.ecdc_data VALUES (962, 0, 0, 0, 18, 6);
INSERT INTO public.ecdc_data VALUES (963, 0, 36, 38.49579566, 160, 6);
INSERT INTO public.ecdc_data VALUES (964, 0, 0, 0.69678339, 19, 6);
INSERT INTO public.ecdc_data VALUES (965, 0, 7, 0.01606014, 20, 6);
INSERT INTO public.ecdc_data VALUES (966, 0, 9, 322.53425643, 161, 6);
INSERT INTO public.ecdc_data VALUES (967, 0, 0, 0, 203, 6);
INSERT INTO public.ecdc_data VALUES (968, 2, 95, 18.86580793, 162, 6);
INSERT INTO public.ecdc_data VALUES (969, 418, 4376, 56.58165759, 163, 6);
INSERT INTO public.ecdc_data VALUES (970, 0, 1, 0, 204, 6);
INSERT INTO public.ecdc_data VALUES (971, 0, 0, 0.2761696, 21, 6);
INSERT INTO public.ecdc_data VALUES (972, 0, 1, 0.17037981, 22, 6);
INSERT INTO public.ecdc_data VALUES (973, 0, 8, 1.6263165, 164, 6);
INSERT INTO public.ecdc_data VALUES (974, 128, 4615, 67.33501557, 165, 6);
INSERT INTO public.ecdc_data VALUES (975, 0, 0, 0.4799812, 23, 6);
INSERT INTO public.ecdc_data VALUES (976, 0, 4, 0, 166, 6);
INSERT INTO public.ecdc_data VALUES (977, 5, 56, 8.01894784, 167, 6);
INSERT INTO public.ecdc_data VALUES (978, 0, 0, 0, 80, 6);
INSERT INTO public.ecdc_data VALUES (979, 0, 0, 0, 81, 6);
INSERT INTO public.ecdc_data VALUES (980, 0, 4, 0, 205, 6);
INSERT INTO public.ecdc_data VALUES (981, 0, 0, 0.17063414, 82, 6);
INSERT INTO public.ecdc_data VALUES (982, 0, 0, 0, 168, 6);
INSERT INTO public.ecdc_data VALUES (983, 0, 8, 0.11745134, 24, 6);
INSERT INTO public.ecdc_data VALUES (984, 0, 0, 0, 25, 6);
INSERT INTO public.ecdc_data VALUES (985, 0, 0, 0.51100252, 83, 6);
INSERT INTO public.ecdc_data VALUES (986, 0, 0, 0, 84, 6);
INSERT INTO public.ecdc_data VALUES (987, 0, 0, 613.49693252, 169, 6);
INSERT INTO public.ecdc_data VALUES (988, 4, 2, 1.36464632, 85, 6);
INSERT INTO public.ecdc_data VALUES (989, 1, 45, 4.5227774, 170, 6);
INSERT INTO public.ecdc_data VALUES (990, 0, 66, 248.46564759, 171, 6);
INSERT INTO public.ecdc_data VALUES (991, 3, 180, 0.08240525, 112, 6);
INSERT INTO public.ecdc_data VALUES (992, 8, 129, 0.47297822, 113, 6);
INSERT INTO public.ecdc_data VALUES (993, 117, 3186, 31.96569241, 114, 6);
INSERT INTO public.ecdc_data VALUES (994, 4, 83, 1.28721118, 115, 6);
INSERT INTO public.ecdc_data VALUES (995, 8, 295, 54.78932516, 172, 6);
INSERT INTO public.ecdc_data VALUES (996, 0, 0, 0, 173, 6);
INSERT INTO public.ecdc_data VALUES (997, 2, 226, 49.45199606, 116, 6);
INSERT INTO public.ecdc_data VALUES (998, 810, 4050, 122.19939494, 174, 6);
INSERT INTO public.ecdc_data VALUES (999, 0, 4, 0.94970724, 86, 6);
INSERT INTO public.ecdc_data VALUES (1000, 2, 87, 0.88995534, 117, 6);
INSERT INTO public.ecdc_data VALUES (1001, 0, 0, 0, 175, 6);
INSERT INTO public.ecdc_data VALUES (1002, 4, 9, 2.49463036, 118, 6);
INSERT INTO public.ecdc_data VALUES (1003, 0, 41, 1.69259207, 119, 6);
INSERT INTO public.ecdc_data VALUES (1004, 0, 8, 0.08939786, 26, 6);
INSERT INTO public.ecdc_data VALUES (1005, 0, 12, 5.22656027, 176, 6);
INSERT INTO public.ecdc_data VALUES (1006, 0, 11, 3.39903453, 120, 6);
INSERT INTO public.ecdc_data VALUES (1007, 0, 0, 0, 121, 6);
INSERT INTO public.ecdc_data VALUES (1008, 0, 3, 0, 122, 6);
INSERT INTO public.ecdc_data VALUES (1009, 0, 0, 17.70862848, 177, 6);
INSERT INTO public.ecdc_data VALUES (1010, 1, 8, 4.75516099, 123, 6);
INSERT INTO public.ecdc_data VALUES (1011, 0, 0, 0.04050736, 28, 6);
INSERT INTO public.ecdc_data VALUES (1012, 0, 0, 0, 29, 6);
INSERT INTO public.ecdc_data VALUES (1013, 0, 2, 148.52259107, 178, 6);
INSERT INTO public.ecdc_data VALUES (1014, 0, 0, 16.71328731, 179, 6);
INSERT INTO public.ecdc_data VALUES (1015, 1, 38, 310.63994761, 180, 6);
INSERT INTO public.ecdc_data VALUES (1016, 0, 7, 0, 30, 6);
INSERT INTO public.ecdc_data VALUES (1017, 3, 156, 6.48830576, 124, 6);
INSERT INTO public.ecdc_data VALUES (1018, 0, 0, 0.75335667, 125, 6);
INSERT INTO public.ecdc_data VALUES (1019, 0, 0, 0, 32, 6);
INSERT INTO public.ecdc_data VALUES (1020, 0, 13, 26.54191292, 181, 6);
INSERT INTO public.ecdc_data VALUES (1021, 0, 0, 0.08838416, 33, 6);
INSERT INTO public.ecdc_data VALUES (1022, 0, 18, 0, 34, 6);
INSERT INTO public.ecdc_data VALUES (1023, 8, 326, 1.67116689, 87, 6);
INSERT INTO public.ecdc_data VALUES (1024, 0, 35, 6.65305058, 182, 6);
INSERT INTO public.ecdc_data VALUES (1025, 0, 1, 81.60797945, 183, 6);
INSERT INTO public.ecdc_data VALUES (1026, 0, 0, 0.34106772, 126, 6);
INSERT INTO public.ecdc_data VALUES (1027, 0, 6, 14.62594546, 184, 6);
INSERT INTO public.ecdc_data VALUES (1028, 0, 0, 0, 88, 6);
INSERT INTO public.ecdc_data VALUES (1029, 7, 77, 1.42301856, 35, 6);
INSERT INTO public.ecdc_data VALUES (1030, 0, 0, 0, 36, 6);
INSERT INTO public.ecdc_data VALUES (1031, 0, 6, 0, 127, 6);
INSERT INTO public.ecdc_data VALUES (1032, 0, 0, 0.36079028, 37, 6);
INSERT INTO public.ecdc_data VALUES (1033, 0, 0, 0.01398175, 128, 6);
INSERT INTO public.ecdc_data VALUES (1034, 93, 884, 59.81311483, 185, 6);
INSERT INTO public.ecdc_data VALUES (1035, 0, 1, 0, 207, 6);
INSERT INTO public.ecdc_data VALUES (1036, 0, 95, 13.35964284, 208, 6);
INSERT INTO public.ecdc_data VALUES (1037, 0, 0, 0, 89, 6);
INSERT INTO public.ecdc_data VALUES (1038, 2, 10, 0, 38, 6);
INSERT INTO public.ecdc_data VALUES (1039, 1, 34, 0.06419073, 39, 6);
INSERT INTO public.ecdc_data VALUES (1040, 1, 26, 12.80611921, 186, 6);
INSERT INTO public.ecdc_data VALUES (1041, 0, 2, 0, 209, 6);
INSERT INTO public.ecdc_data VALUES (1042, 4, 124, 57.37384323, 187, 6);
INSERT INTO public.ecdc_data VALUES (1043, 0, 12, 3.1155829, 129, 6);
INSERT INTO public.ecdc_data VALUES (1044, 5, 99, 0.66400291, 130, 6);
INSERT INTO public.ecdc_data VALUES (1045, 0, 9, 1.52566877, 131, 6);
INSERT INTO public.ecdc_data VALUES (1046, 2, 86, 23.69043246, 90, 6);
INSERT INTO public.ecdc_data VALUES (1047, 0, 0, 0, 210, 6);
INSERT INTO public.ecdc_data VALUES (1048, 0, 1, 0.79493073, 91, 6);
INSERT INTO public.ecdc_data VALUES (1049, 6, 98, 2.65760603, 92, 6);
INSERT INTO public.ecdc_data VALUES (1050, 17, 666, 1.79620854, 132, 6);
INSERT INTO public.ecdc_data VALUES (1051, 9, 193, 4.94564374, 188, 6);
INSERT INTO public.ecdc_data VALUES (1052, 21, 446, 59.13424622, 189, 6);
INSERT INTO public.ecdc_data VALUES (1053, 1, 47, 0, 93, 6);
INSERT INTO public.ecdc_data VALUES (1054, 0, 59, 8.9687017, 133, 6);
INSERT INTO public.ecdc_data VALUES (1055, 4, 192, 9.10661529, 190, 6);
INSERT INTO public.ecdc_data VALUES (1056, 2, 302, 1.19488106, 191, 6);
INSERT INTO public.ecdc_data VALUES (1057, 0, 0, 0.51477247, 40, 6);
INSERT INTO public.ecdc_data VALUES (1058, 0, 0, 0, 94, 6);
INSERT INTO public.ecdc_data VALUES (1059, 0, 0, 3.82942641, 95, 6);
INSERT INTO public.ecdc_data VALUES (1060, 0, 0, 0, 96, 6);
INSERT INTO public.ecdc_data VALUES (1061, 1, 0, 368.61811744, 192, 6);
INSERT INTO public.ecdc_data VALUES (1062, 0, 224, 3.85193073, 134, 6);
INSERT INTO public.ecdc_data VALUES (1063, 0, 20, 0.82840575, 42, 6);
INSERT INTO public.ecdc_data VALUES (1064, 3, 44, 10.45411648, 193, 6);
INSERT INTO public.ecdc_data VALUES (1065, 0, 2, 6.13867261, 43, 6);
INSERT INTO public.ecdc_data VALUES (1066, 0, 0, 10.35431573, 135, 6);
INSERT INTO public.ecdc_data VALUES (1067, 0, 0, 4.62349606, 194, 6);
INSERT INTO public.ecdc_data VALUES (1068, 0, 33, 24.50853185, 195, 6);
INSERT INTO public.ecdc_data VALUES (1069, 0, 0, 0.01295093, 45, 6);
INSERT INTO public.ecdc_data VALUES (1070, 1, 46, 2.15853382, 46, 6);
INSERT INTO public.ecdc_data VALUES (1071, 5, 125, 2.86186591, 136, 6);
INSERT INTO public.ecdc_data VALUES (1072, 812, 8145, 192.32776829, 196, 6);
INSERT INTO public.ecdc_data VALUES (1073, 0, 0, 0.42675453, 137, 6);
INSERT INTO public.ecdc_data VALUES (1074, 1, 1, 0.01167863, 48, 6);
INSERT INTO public.ecdc_data VALUES (1075, 0, 0, 0, 98, 6);
INSERT INTO public.ecdc_data VALUES (1076, 45, 416, 28.16175856, 197, 6);
INSERT INTO public.ecdc_data VALUES (1077, 38, 1138, 154.62529406, 198, 6);
INSERT INTO public.ecdc_data VALUES (1078, 1, 1, 0, 138, 6);
INSERT INTO public.ecdc_data VALUES (1079, 0, 0, 1.00530494, 139, 6);
INSERT INTO public.ecdc_data VALUES (1080, 3, 263, 2.11703799, 141, 6);
INSERT INTO public.ecdc_data VALUES (1081, 0, 0, 0, 142, 6);
INSERT INTO public.ecdc_data VALUES (1082, 0, 4, 0.40829664, 49, 6);
INSERT INTO public.ecdc_data VALUES (1083, 0, 7, 5.73489447, 99, 6);
INSERT INTO public.ecdc_data VALUES (1084, 0, 34, 2.49685307, 50, 6);
INSERT INTO public.ecdc_data VALUES (1085, 37, 1610, 13.14571913, 199, 6);
INSERT INTO public.ecdc_data VALUES (1086, 0, 0, 0, 100, 6);
INSERT INTO public.ecdc_data VALUES (1087, 0, 0, 0, 51, 6);
INSERT INTO public.ecdc_data VALUES (1088, 2, 62, 1.07970145, 200, 6);
INSERT INTO public.ecdc_data VALUES (1089, 2, 41, 5.25048498, 143, 6);
INSERT INTO public.ecdc_data VALUES (1090, 374, 2858, 39.96272187, 201, 6);
INSERT INTO public.ecdc_data VALUES (1091, 0, 5, 0.03103156, 52, 6);
INSERT INTO public.ecdc_data VALUES (1092, 661, 21595, 48.61016527, 101, 6);
INSERT INTO public.ecdc_data VALUES (1093, 0, 29, 8.52174822, 103, 6);
INSERT INTO public.ecdc_data VALUES (1094, 1, 4, 0.42750961, 144, 6);
INSERT INTO public.ecdc_data VALUES (1095, 2, 16, 0.35769607, 104, 6);
INSERT INTO public.ecdc_data VALUES (1096, 0, 3, 0.15031809, 145, 6);
INSERT INTO public.ecdc_data VALUES (1097, 0, 6, 0, 54, 6);
INSERT INTO public.ecdc_data VALUES (1098, 0, 0, 0, 55, 6);
INSERT INTO public.ecdc_data VALUES (1099, 0, 0, 0, 105, 7);
INSERT INTO public.ecdc_data VALUES (1100, 0, 0, 0, 1, 7);
INSERT INTO public.ecdc_data VALUES (1101, 0, 0, 0, 149, 7);
INSERT INTO public.ecdc_data VALUES (1102, 0, 1, 0.02777425, 202, 7);
INSERT INTO public.ecdc_data VALUES (1103, 0, 0, 0, 150, 7);
INSERT INTO public.ecdc_data VALUES (1104, 0, 0, 0, 151, 7);
INSERT INTO public.ecdc_data VALUES (1105, 0, 0, 0, 106, 7);
INSERT INTO public.ecdc_data VALUES (1106, 0, 0, 0, 152, 7);
INSERT INTO public.ecdc_data VALUES (1107, 0, 0, 0, 153, 7);
INSERT INTO public.ecdc_data VALUES (1108, 0, 0, 0, 66, 7);
INSERT INTO public.ecdc_data VALUES (1109, 0, 0, 0.00606555, 110, 7);
INSERT INTO public.ecdc_data VALUES (1110, 0, 0, 0.00801902, 68, 7);
INSERT INTO public.ecdc_data VALUES (1111, 0, 0, 0, 214, 7);
INSERT INTO public.ecdc_data VALUES (1112, 43, 1980, 0.67311409, 111, 7);
INSERT INTO public.ecdc_data VALUES (1113, 0, 0, 0, 156, 7);
INSERT INTO public.ecdc_data VALUES (1114, 0, 0, 0, 158, 7);
INSERT INTO public.ecdc_data VALUES (1115, 0, 0, 0, 159, 7);
INSERT INTO public.ecdc_data VALUES (1116, 0, 0, 0, 76, 7);
INSERT INTO public.ecdc_data VALUES (1117, 0, 0, 0, 77, 7);
INSERT INTO public.ecdc_data VALUES (1118, 0, 0, 0, 16, 7);
INSERT INTO public.ecdc_data VALUES (1119, 0, 0, 0, 160, 7);
INSERT INTO public.ecdc_data VALUES (1120, 0, 0, 0.01812277, 162, 7);
INSERT INTO public.ecdc_data VALUES (1121, 0, 1, 0.0089535, 163, 7);
INSERT INTO public.ecdc_data VALUES (1122, 0, 0, 0, 164, 7);
INSERT INTO public.ecdc_data VALUES (1123, 0, 1, 0.0060227, 165, 7);
INSERT INTO public.ecdc_data VALUES (1124, 0, 0, 0, 167, 7);
INSERT INTO public.ecdc_data VALUES (1125, 0, 0, 0, 171, 7);
INSERT INTO public.ecdc_data VALUES (1126, 0, 0, 7.318e-05, 112, 7);
INSERT INTO public.ecdc_data VALUES (1127, 0, 0, 0, 113, 7);
INSERT INTO public.ecdc_data VALUES (1128, 0, 0, 0, 114, 7);
INSERT INTO public.ecdc_data VALUES (1129, 0, 0, 0, 115, 7);
INSERT INTO public.ecdc_data VALUES (1130, 0, 0, 0, 172, 7);
INSERT INTO public.ecdc_data VALUES (1131, 0, 0, 0, 116, 7);
INSERT INTO public.ecdc_data VALUES (1132, 0, 3, 0.00497022, 174, 7);
INSERT INTO public.ecdc_data VALUES (1133, 0, 3, 0.01024749, 117, 7);
INSERT INTO public.ecdc_data VALUES (1134, 0, 0, 0, 120, 7);
INSERT INTO public.ecdc_data VALUES (1135, 0, 0, 0, 123, 7);
INSERT INTO public.ecdc_data VALUES (1136, 0, 0, 0, 179, 7);
INSERT INTO public.ecdc_data VALUES (1137, 0, 0, 0, 180, 7);
INSERT INTO public.ecdc_data VALUES (1138, 0, 1, 0.02503929, 124, 7);
INSERT INTO public.ecdc_data VALUES (1139, 0, 0, 0.00078385, 87, 7);
INSERT INTO public.ecdc_data VALUES (1140, 0, 0, 0, 183, 7);
INSERT INTO public.ecdc_data VALUES (1141, 0, 0, 0.00349544, 128, 7);
INSERT INTO public.ecdc_data VALUES (1142, 0, 0, 0, 185, 7);
INSERT INTO public.ecdc_data VALUES (1143, 0, 0, 0, 208, 7);
INSERT INTO public.ecdc_data VALUES (1144, 0, 0, 0, 39, 7);
INSERT INTO public.ecdc_data VALUES (1145, 0, 0, 0, 186, 7);
INSERT INTO public.ecdc_data VALUES (1146, 0, 0, 0, 187, 7);
INSERT INTO public.ecdc_data VALUES (1147, 0, 0, 0, 129, 7);
INSERT INTO public.ecdc_data VALUES (1148, 0, 0, 0, 130, 7);
INSERT INTO public.ecdc_data VALUES (1149, 0, 0, 0.00092493, 132, 7);
INSERT INTO public.ecdc_data VALUES (1150, 0, 0, 0, 133, 7);
INSERT INTO public.ecdc_data VALUES (1151, 0, 0, 0, 190, 7);
INSERT INTO public.ecdc_data VALUES (1152, 0, 0, 0, 191, 7);
INSERT INTO public.ecdc_data VALUES (1153, 0, 0, 0, 192, 7);
INSERT INTO public.ecdc_data VALUES (1154, 0, 3, 0.22397022, 135, 7);
INSERT INTO public.ecdc_data VALUES (1155, 0, 3, 0.01366512, 136, 7);
INSERT INTO public.ecdc_data VALUES (1156, 0, 0, 0, 196, 7);
INSERT INTO public.ecdc_data VALUES (1157, 0, 0, 0.00468961, 137, 7);
INSERT INTO public.ecdc_data VALUES (1158, 0, 0, 0, 197, 7);
INSERT INTO public.ecdc_data VALUES (1159, 0, 0, 0, 198, 7);
INSERT INTO public.ecdc_data VALUES (1160, 0, 1, 0.03785667, 139, 7);
INSERT INTO public.ecdc_data VALUES (1161, 0, 0, 0.01723504, 141, 7);
INSERT INTO public.ecdc_data VALUES (1162, 0, 0, 0.04093945, 143, 7);
INSERT INTO public.ecdc_data VALUES (1163, 0, 0, 0, 201, 7);
INSERT INTO public.ecdc_data VALUES (1164, 0, 1, 0.00182335, 101, 7);
INSERT INTO public.ecdc_data VALUES (1165, 0, 3, 0.00518338, 145, 7);
INSERT INTO public.ecdc_data VALUES (1166, 0, 0, 6.41663317, 105, 8);
INSERT INTO public.ecdc_data VALUES (1167, 11, 835, 342.19213276, 147, 8);
INSERT INTO public.ecdc_data VALUES (1168, 17, 1009, 33.7769302, 1, 8);
INSERT INTO public.ecdc_data VALUES (1169, 0, 42, 1102.69503919, 148, 8);
INSERT INTO public.ecdc_data VALUES (1170, 1, 16, 5.43278478, 2, 8);
INSERT INTO public.ecdc_data VALUES (1171, 0, 0, 6.72404519, 56, 8);
INSERT INTO public.ecdc_data VALUES (1172, 0, 0, 7.20794934, 57, 8);
INSERT INTO public.ecdc_data VALUES (1173, 164, 5432, 241.88559016, 58, 8);
INSERT INTO public.ecdc_data VALUES (1174, 22, 356, 582.81221262, 149, 8);
INSERT INTO public.ecdc_data VALUES (1175, 0, 5, 165.55356975, 59, 8);
INSERT INTO public.ecdc_data VALUES (1176, 0, 8, 0.66658202, 202, 8);
INSERT INTO public.ecdc_data VALUES (1177, 82, 3907, 843.09625202, 150, 8);
INSERT INTO public.ecdc_data VALUES (1178, 38, 4170, 423.05124178, 151, 8);
INSERT INTO public.ecdc_data VALUES (1179, 0, 0, 79.59207776, 60, 8);
INSERT INTO public.ecdc_data VALUES (1180, 0, 142, 126.98304374, 106, 8);
INSERT INTO public.ecdc_data VALUES (1181, 29, 1788, 18.44508181, 107, 8);
INSERT INTO public.ecdc_data VALUES (1182, 0, 5, 8.71016406, 61, 8);
INSERT INTO public.ecdc_data VALUES (1183, 8, 1684, 220.29304911, 152, 8);
INSERT INTO public.ecdc_data VALUES (1184, 119, 560, 340.16791382, 153, 8);
INSERT INTO public.ecdc_data VALUES (1185, 3, 96, 225.95049071, 62, 8);
INSERT INTO public.ecdc_data VALUES (1186, 0, 0, 1.10158746, 3, 8);
INSERT INTO public.ecdc_data VALUES (1187, 0, 0, 46.39406156, 63, 8);
INSERT INTO public.ecdc_data VALUES (1188, 0, 0, 2.75195454, 108, 8);
INSERT INTO public.ecdc_data VALUES (1189, 3, 30, 11.95160088, 64, 8);
INSERT INTO public.ecdc_data VALUES (1190, 0, 0, 23.09202171, 65, 8);
INSERT INTO public.ecdc_data VALUES (1191, 78, 1943, 499.06119301, 154, 8);
INSERT INTO public.ecdc_data VALUES (1192, 0, 0, 76.70259578, 4, 8);
INSERT INTO public.ecdc_data VALUES (1193, 272, 24468, 214.00048772, 66, 8);
INSERT INTO public.ecdc_data VALUES (1194, 0, 1, 3.3296707, 67, 8);
INSERT INTO public.ecdc_data VALUES (1195, 0, 0, 0.46157823, 109, 8);
INSERT INTO public.ecdc_data VALUES (1196, 65, 739, 631.9250507, 155, 8);
INSERT INTO public.ecdc_data VALUES (1197, 0, 40, 1.05799886, 5, 8);
INSERT INTO public.ecdc_data VALUES (1198, 0, 0, 0.45964742, 6, 8);
INSERT INTO public.ecdc_data VALUES (1199, 0, 16, 0.12737662, 110, 8);
INSERT INTO public.ecdc_data VALUES (1200, 0, 0, 5.50695118, 7, 8);
INSERT INTO public.ecdc_data VALUES (1201, 56, 5468, 198.33985895, 68, 8);
INSERT INTO public.ecdc_data VALUES (1202, 0, 0, 128.01489628, 8, 8);
INSERT INTO public.ecdc_data VALUES (1203, 0, 0, 30.79386586, 69, 8);
INSERT INTO public.ecdc_data VALUES (1204, 0, 0, 0.27396227, 9, 8);
INSERT INTO public.ecdc_data VALUES (1205, 0, 19, 0.53301956, 10, 8);
INSERT INTO public.ecdc_data VALUES (1206, 34, 1489, 101.08149336, 70, 8);
INSERT INTO public.ecdc_data VALUES (1207, 0, 18, 0.0124147, 111, 8);
INSERT INTO public.ecdc_data VALUES (1208, 183, 8763, 217.78151181, 71, 8);
INSERT INTO public.ecdc_data VALUES (1209, 0, 0, 3.76076372, 11, 8);
INSERT INTO public.ecdc_data VALUES (1210, 0, 0, 7.3413197, 12, 8);
INSERT INTO public.ecdc_data VALUES (1211, 0, 0, 274.78617891, 72, 8);
INSERT INTO public.ecdc_data VALUES (1212, 0, 49, 1.29877432, 13, 8);
INSERT INTO public.ecdc_data VALUES (1213, 57, 2919, 1040.31994144, 156, 8);
INSERT INTO public.ecdc_data VALUES (1214, 1, 60, 5.67345399, 73, 8);
INSERT INTO public.ecdc_data VALUES (1215, 0, 106, 626.59478776, 74, 8);
INSERT INTO public.ecdc_data VALUES (1216, 0, 152, 365.90976814, 157, 8);
INSERT INTO public.ecdc_data VALUES (1217, 84, 1074, 559.70065166, 158, 8);
INSERT INTO public.ecdc_data VALUES (1218, 0, 94, 1.05080543, 14, 8);
INSERT INTO public.ecdc_data VALUES (1219, 6, 998, 296.51670378, 159, 8);
INSERT INTO public.ecdc_data VALUES (1220, 0, 1, 2.87605143, 15, 8);
INSERT INTO public.ecdc_data VALUES (1221, 0, 0, 23.67424242, 75, 8);
INSERT INTO public.ecdc_data VALUES (1222, 2, 820, 90.78162805, 76, 8);
INSERT INTO public.ecdc_data VALUES (1223, 52, 1208, 68.04554735, 77, 8);
INSERT INTO public.ecdc_data VALUES (1224, 15, 358, 4.75554487, 16, 8);
INSERT INTO public.ecdc_data VALUES (1225, 3, 0, 31.71897638, 78, 8);
INSERT INTO public.ecdc_data VALUES (1226, 0, 0, 3.61361729, 17, 8);
INSERT INTO public.ecdc_data VALUES (1227, 0, 0, 2.40197854, 18, 8);
INSERT INTO public.ecdc_data VALUES (1228, 3, 354, 333.25281925, 160, 8);
INSERT INTO public.ecdc_data VALUES (1229, 0, 4, 27.43584585, 19, 8);
INSERT INTO public.ecdc_data VALUES (1230, 5, 604, 6.07965506, 20, 8);
INSERT INTO public.ecdc_data VALUES (1231, 0, 0, 59.31198102, 79, 8);
INSERT INTO public.ecdc_data VALUES (1232, 0, 0, 8.21743328, 161, 8);
INSERT INTO public.ecdc_data VALUES (1233, 0, 4, 0.78655662, 203, 8);
INSERT INTO public.ecdc_data VALUES (1234, 0, 322, 96.30442201, 162, 8);
INSERT INTO public.ecdc_data VALUES (1235, 198, 9784, 353.1500055, 163, 8);
INSERT INTO public.ecdc_data VALUES (1236, 0, 0, 855.75666434, 204, 8);
INSERT INTO public.ecdc_data VALUES (1237, 0, 0, 5.93764643, 21, 8);
INSERT INTO public.ecdc_data VALUES (1238, 0, 0, 1.36303849, 22, 8);
INSERT INTO public.ecdc_data VALUES (1239, 37, 3216, 1319.79337274, 164, 8);
INSERT INTO public.ecdc_data VALUES (1240, 125, 11169, 304.19705376, 165, 8);
INSERT INTO public.ecdc_data VALUES (1241, 0, 190, 4.75378641, 23, 8);
INSERT INTO public.ecdc_data VALUES (1242, 0, 5, 332.28505311, 166, 8);
INSERT INTO public.ecdc_data VALUES (1243, 98, 1193, 279.93587453, 167, 8);
INSERT INTO public.ecdc_data VALUES (1244, 0, 0, 1.76491352, 80, 8);
INSERT INTO public.ecdc_data VALUES (1245, 0, 0, 8.03557079, 81, 8);
INSERT INTO public.ecdc_data VALUES (1246, 0, 36, 416.62930751, 205, 8);
INSERT INTO public.ecdc_data VALUES (1247, 5, 173, 40.30378337, 82, 8);
INSERT INTO public.ecdc_data VALUES (1248, 0, 0, 6.20462865, 168, 8);
INSERT INTO public.ecdc_data VALUES (1249, 0, 0, 3.35127833, 24, 8);
INSERT INTO public.ecdc_data VALUES (1250, 0, 0, 0.15617541, 25, 8);
INSERT INTO public.ecdc_data VALUES (1251, 1, 38, 70.64609882, 83, 8);
INSERT INTO public.ecdc_data VALUES (1252, 0, 0, 0.75467818, 84, 8);
INSERT INTO public.ecdc_data VALUES (1253, 0, 0, 0, 169, 8);
INSERT INTO public.ecdc_data VALUES (1254, 4, 375, 49.10674664, 85, 8);
INSERT INTO public.ecdc_data VALUES (1255, 151, 5595, 712.85929987, 170, 8);
INSERT INTO public.ecdc_data VALUES (1256, 0, 10, 53.78286848, 171, 8);
INSERT INTO public.ecdc_data VALUES (1257, 443, 38772, 42.92713538, 112, 8);
INSERT INTO public.ecdc_data VALUES (1258, 169, 6267, 24.81398958, 113, 8);
INSERT INTO public.ecdc_data VALUES (1259, 389, 12950, 225.15044614, 114, 8);
INSERT INTO public.ecdc_data VALUES (1260, 24, 1614, 79.58068663, 115, 8);
INSERT INTO public.ecdc_data VALUES (1261, 2, 299, 88.45407239, 172, 8);
INSERT INTO public.ecdc_data VALUES (1262, 0, 0, 7.09312085, 173, 8);
INSERT INTO public.ecdc_data VALUES (1263, 10, 982, 139.03605347, 116, 8);
INSERT INTO public.ecdc_data VALUES (1264, 541, 20646, 673.7111641, 174, 8);
INSERT INTO public.ecdc_data VALUES (1265, 5, 40, 27.98244534, 86, 8);
INSERT INTO public.ecdc_data VALUES (1266, 13, 2107, 23.7134866, 117, 8);
INSERT INTO public.ecdc_data VALUES (1267, 0, 0, 181.82492857, 175, 8);
INSERT INTO public.ecdc_data VALUES (1268, 68, 3598, 699.17955369, 118, 8);
INSERT INTO public.ecdc_data VALUES (1269, 0, 837, 67.69290213, 119, 8);
INSERT INTO public.ecdc_data VALUES (1270, 7, 711, 24.86211474, 26, 8);
INSERT INTO public.ecdc_data VALUES (1271, 16, 626, 552.68094741, 176, 8);
INSERT INTO public.ecdc_data VALUES (1272, 3, 231, 132.77627198, 120, 8);
INSERT INTO public.ecdc_data VALUES (1273, 5, 380, 90.77517542, 121, 8);
INSERT INTO public.ecdc_data VALUES (1274, 0, 0, 0.20922089, 122, 8);
INSERT INTO public.ecdc_data VALUES (1275, 4, 414, 334.79724662, 177, 8);
INSERT INTO public.ecdc_data VALUES (1276, 14, 1266, 313.81145262, 123, 8);
INSERT INTO public.ecdc_data VALUES (1277, 0, 0, 3.19959798, 27, 8);
INSERT INTO public.ecdc_data VALUES (1278, 0, 0, 1.78232396, 28, 8);
INSERT INTO public.ecdc_data VALUES (1279, 13, 1157, 130.25542191, 29, 8);
INSERT INTO public.ecdc_data VALUES (1280, 0, 0, 750.42993382, 178, 8);
INSERT INTO public.ecdc_data VALUES (1281, 13, 1132, 950.79636846, 179, 8);
INSERT INTO public.ecdc_data VALUES (1282, 6, 564, 1210.14377075, 180, 8);
INSERT INTO public.ecdc_data VALUES (1283, 0, 0, 0.40045524, 30, 8);
INSERT INTO public.ecdc_data VALUES (1284, 0, 0, 0.32208282, 31, 8);
INSERT INTO public.ecdc_data VALUES (1285, 7, 1309, 53.42132306, 124, 8);
INSERT INTO public.ecdc_data VALUES (1286, 0, 47, 148.78794328, 125, 8);
INSERT INTO public.ecdc_data VALUES (1287, 0, 0, 4.02380239, 32, 8);
INSERT INTO public.ecdc_data VALUES (1288, 1, 143, 329.44389627, 181, 8);
INSERT INTO public.ecdc_data VALUES (1289, 0, 0, 5.10282186, 206, 8);
INSERT INTO public.ecdc_data VALUES (1290, 3, 89, 14.67176997, 33, 8);
INSERT INTO public.ecdc_data VALUES (1291, 0, 0, 1.81149433, 34, 8);
INSERT INTO public.ecdc_data VALUES (1292, 196, 6388, 78.81527185, 87, 8);
INSERT INTO public.ecdc_data VALUES (1293, 21, 1165, 438.70561809, 182, 8);
INSERT INTO public.ecdc_data VALUES (1294, 0, 1, 181.35106544, 183, 8);
INSERT INTO public.ecdc_data VALUES (1295, 0, 7, 11.16221615, 126, 8);
INSERT INTO public.ecdc_data VALUES (1296, 6, 427, 1238.22289941, 184, 8);
INSERT INTO public.ecdc_data VALUES (1297, 0, 0, 0, 88, 8);
INSERT INTO public.ecdc_data VALUES (1298, 50, 4115, 166.22721258, 35, 8);
INSERT INTO public.ecdc_data VALUES (1299, 1, 27, 3.83652226, 36, 8);
INSERT INTO public.ecdc_data VALUES (1300, 31, 1509, 37.91625496, 127, 8);
INSERT INTO public.ecdc_data VALUES (1301, 1, 60, 33.55349558, 37, 8);
INSERT INTO public.ecdc_data VALUES (1302, 25, 1255, 77.60572259, 128, 8);
INSERT INTO public.ecdc_data VALUES (1303, 23, 5578, 410.46945339, 185, 8);
INSERT INTO public.ecdc_data VALUES (1304, 0, 0, 0.70732113, 207, 8);
INSERT INTO public.ecdc_data VALUES (1305, 0, 6, 1.14989101, 208, 8);
INSERT INTO public.ecdc_data VALUES (1306, 0, 0, 1.87915276, 89, 8);
INSERT INTO public.ecdc_data VALUES (1307, 0, 32, 0.89658324, 38, 8);
INSERT INTO public.ecdc_data VALUES (1308, 2, 82, 1.12657216, 39, 8);
INSERT INTO public.ecdc_data VALUES (1309, 32, 820, 697.74092354, 186, 8);
INSERT INTO public.ecdc_data VALUES (1310, 0, 2, 6.99141803, 209, 8);
INSERT INTO public.ecdc_data VALUES (1311, 0, 0, 141.15429341, 187, 8);
INSERT INTO public.ecdc_data VALUES (1312, 27, 905, 62.21115531, 129, 8);
INSERT INTO public.ecdc_data VALUES (1313, 40, 2839, 18.00472972, 130, 8);
INSERT INTO public.ecdc_data VALUES (1314, 44, 6056, 430.8408322, 131, 8);
INSERT INTO public.ecdc_data VALUES (1315, 21, 1276, 425.67421181, 90, 8);
INSERT INTO public.ecdc_data VALUES (1316, 0, 10, 0.62670071, 210, 8);
INSERT INTO public.ecdc_data VALUES (1317, 12, 775, 146.66471909, 91, 8);
INSERT INTO public.ecdc_data VALUES (1318, 44, 2162, 78.49473194, 92, 8);
INSERT INTO public.ecdc_data VALUES (1319, 40, 2067, 20.3724456, 132, 8);
INSERT INTO public.ecdc_data VALUES (1320, 283, 11482, 716.57321559, 188, 8);
INSERT INTO public.ecdc_data VALUES (1321, 64, 4093, 754.11976529, 189, 8);
INSERT INTO public.ecdc_data VALUES (1322, 11, 147, 428.54649411, 93, 8);
INSERT INTO public.ecdc_data VALUES (1323, 0, 171, 101.09209833, 133, 8);
INSERT INTO public.ecdc_data VALUES (1324, 148, 5554, 573.05230978, 190, 8);
INSERT INTO public.ecdc_data VALUES (1325, 459, 26683, 235.47383169, 191, 8);
INSERT INTO public.ecdc_data VALUES (1326, 1, 28, 3.67468344, 40, 8);
INSERT INTO public.ecdc_data VALUES (1327, 0, 0, 5.67816179, 94, 8);
INSERT INTO public.ecdc_data VALUES (1328, 0, 5, 47.04723871, 95, 8);
INSERT INTO public.ecdc_data VALUES (1329, 0, 0, 6.32951453, 96, 8);
INSERT INTO public.ecdc_data VALUES (1330, 0, 0, 966.53411894, 192, 8);
INSERT INTO public.ecdc_data VALUES (1331, 0, 4, 11.1602991, 41, 8);
INSERT INTO public.ecdc_data VALUES (1332, 14, 217, 11.30191494, 134, 8);
INSERT INTO public.ecdc_data VALUES (1333, 1, 48, 1.73044757, 42, 8);
INSERT INTO public.ecdc_data VALUES (1334, 65, 6179, 1215.52080168, 193, 8);
INSERT INTO public.ecdc_data VALUES (1335, 0, 0, 15.34668154, 43, 8);
INSERT INTO public.ecdc_data VALUES (1336, 0, 1, 0.25597684, 44, 8);
INSERT INTO public.ecdc_data VALUES (1337, 0, 8, 1.619477, 135, 8);
INSERT INTO public.ecdc_data VALUES (1338, 0, 4, 313.76064545, 97, 8);
INSERT INTO public.ecdc_data VALUES (1339, 18, 1101, 347.97311987, 194, 8);
INSERT INTO public.ecdc_data VALUES (1340, 14, 1117, 977.40986146, 195, 8);
INSERT INTO public.ecdc_data VALUES (1341, 0, 0, 0.14929362, 211, 8);
INSERT INTO public.ecdc_data VALUES (1342, 0, 0, 0.93246699, 45, 8);
INSERT INTO public.ecdc_data VALUES (1343, 38, 2563, 62.63505032, 46, 8);
INSERT INTO public.ecdc_data VALUES (1344, 3, 377, 10.60413072, 136, 8);
INSERT INTO public.ecdc_data VALUES (1345, 0, 5, 0.95822553, 47, 8);
INSERT INTO public.ecdc_data VALUES (1346, 401, 19979, 322.39556547, 196, 8);
INSERT INTO public.ecdc_data VALUES (1347, 7, 496, 29.06151427, 137, 8);
INSERT INTO public.ecdc_data VALUES (1348, 21, 559, 7.00951437, 48, 8);
INSERT INTO public.ecdc_data VALUES (1349, 0, 0, 6.53636368, 98, 8);
INSERT INTO public.ecdc_data VALUES (1350, 45, 2754, 648.43402148, 197, 8);
INSERT INTO public.ecdc_data VALUES (1351, 0, 0, 711.92940229, 198, 8);
INSERT INTO public.ecdc_data VALUES (1352, 4, 82, 6.52016048, 138, 8);
INSERT INTO public.ecdc_data VALUES (1353, 0, 24, 0.30285337, 139, 8);
INSERT INTO public.ecdc_data VALUES (1354, 0, 37, 5.8469977, 140, 8);
INSERT INTO public.ecdc_data VALUES (1355, 0, 0, 0.14649788, 141, 8);
INSERT INTO public.ecdc_data VALUES (1356, 0, 0, 0, 142, 8);
INSERT INTO public.ecdc_data VALUES (1357, 0, 16, 3.55094348, 49, 8);
INSERT INTO public.ecdc_data VALUES (1358, 2, 30, 41.57798489, 99, 8);
INSERT INTO public.ecdc_data VALUES (1359, 66, 1271, 135.5055841, 50, 8);
INSERT INTO public.ecdc_data VALUES (1360, 185, 29281, 209.51812989, 199, 8);
INSERT INTO public.ecdc_data VALUES (1361, 0, 0, 73.30994397, 100, 8);
INSERT INTO public.ecdc_data VALUES (1362, 0, 201, 9.31790938, 51, 8);
INSERT INTO public.ecdc_data VALUES (1363, 120, 12978, 424.6568078, 200, 8);
INSERT INTO public.ecdc_data VALUES (1364, 1, 1251, 178.16850393, 143, 8);
INSERT INTO public.ecdc_data VALUES (1365, 215, 12155, 372.12265102, 201, 8);
INSERT INTO public.ecdc_data VALUES (1366, 0, 0, 0, 52, 8);
INSERT INTO public.ecdc_data VALUES (1367, 810, 136670, 713.00824816, 101, 8);
INSERT INTO public.ecdc_data VALUES (1368, 0, 6, 105.18364108, 102, 8);
INSERT INTO public.ecdc_data VALUES (1369, 1, 205, 48.70395764, 103, 8);
INSERT INTO public.ecdc_data VALUES (1370, 1, 461, 7.96501941, 144, 8);
INSERT INTO public.ecdc_data VALUES (1371, 0, 0, 0, 212, 8);
INSERT INTO public.ecdc_data VALUES (1372, 6, 516, 16.43999198, 104, 8);
INSERT INTO public.ecdc_data VALUES (1373, 0, 2, 0.06427394, 145, 8);
INSERT INTO public.ecdc_data VALUES (1374, 0, 0, 0, 213, 8);
INSERT INTO public.ecdc_data VALUES (1375, 0, 0, 0, 53, 8);
INSERT INTO public.ecdc_data VALUES (1376, 1, 3, 0.03086216, 146, 8);
INSERT INTO public.ecdc_data VALUES (1377, 0, 19, 2.7154083, 54, 8);
INSERT INTO public.ecdc_data VALUES (1378, 1, 128, 7.94784846, 55, 8);
INSERT INTO public.ecdc_data VALUES (1379, 3, 123, 3.26483343, 105, 9);
INSERT INTO public.ecdc_data VALUES (1380, 6, 275, 143.33990002, 147, 9);
INSERT INTO public.ecdc_data VALUES (1381, 8, 306, 8.25725395, 1, 9);
INSERT INTO public.ecdc_data VALUES (1382, 1, 50, 1807.63222495, 148, 9);
INSERT INTO public.ecdc_data VALUES (1383, 4, 203, 10.14287407, 2, 9);
INSERT INTO public.ecdc_data VALUES (1384, 0, 0, 0, 56, 9);
INSERT INTO public.ecdc_data VALUES (1385, 0, 0, 12.35648458, 57, 9);
INSERT INTO public.ecdc_data VALUES (1386, 371, 12691, 433.58211997, 58, 9);
INSERT INTO public.ecdc_data VALUES (1387, 28, 2398, 927.63770029, 149, 9);
INSERT INTO public.ecdc_data VALUES (1388, 1, 18, 159.90969805, 59, 9);
INSERT INTO public.ecdc_data VALUES (1389, 0, 15, 0.82132428, 202, 9);
INSERT INTO public.ecdc_data VALUES (1390, 24, 4305, 400.01015942, 150, 9);
INSERT INTO public.ecdc_data VALUES (1391, 9, 1015, 98.25115531, 151, 9);
INSERT INTO public.ecdc_data VALUES (1392, 6, 95, 323.24653518, 60, 9);
INSERT INTO public.ecdc_data VALUES (1393, 0, 240, 262.49661825, 106, 9);
INSERT INTO public.ecdc_data VALUES (1394, 25, 1681, 12.38974189, 107, 9);
INSERT INTO public.ecdc_data VALUES (1395, 0, 0, 5.574505, 61, 9);
INSERT INTO public.ecdc_data VALUES (1396, 4, 984, 114.20369136, 152, 9);
INSERT INTO public.ecdc_data VALUES (1397, 139, 15090, 1771.89702186, 153, 9);
INSERT INTO public.ecdc_data VALUES (1398, 4, 121, 179.32578628, 62, 9);
INSERT INTO public.ecdc_data VALUES (1399, 0, 0, 1.24564121, 3, 9);
INSERT INTO public.ecdc_data VALUES (1400, 0, 4, 20.79733794, 63, 9);
INSERT INTO public.ecdc_data VALUES (1401, 0, 0, 3.93136363, 108, 9);
INSERT INTO public.ecdc_data VALUES (1402, 11, 163, 18.80466272, 64, 9);
INSERT INTO public.ecdc_data VALUES (1403, 0, 0, 11.54601085, 65, 9);
INSERT INTO public.ecdc_data VALUES (1404, 21, 1910, 437.38287633, 154, 9);
INSERT INTO public.ecdc_data VALUES (1405, 3, 359, 60.77172274, 4, 9);
INSERT INTO public.ecdc_data VALUES (1406, 513, 26106, 153.98755777, 66, 9);
INSERT INTO public.ecdc_data VALUES (1407, 0, 0, 3.3296707, 67, 9);
INSERT INTO public.ecdc_data VALUES (1408, 0, 0, 0.23078911, 109, 9);
INSERT INTO public.ecdc_data VALUES (1409, 28, 2689, 294.89835699, 155, 9);
INSERT INTO public.ecdc_data VALUES (1410, 0, 11, 0.69877134, 5, 9);
INSERT INTO public.ecdc_data VALUES (1411, 0, 1, 0.26885038, 6, 9);
INSERT INTO public.ecdc_data VALUES (1412, 0, 0, 0.04245887, 110, 9);
INSERT INTO public.ecdc_data VALUES (1413, 0, 0, 1.36031356, 7, 9);
INSERT INTO public.ecdc_data VALUES (1414, 42, 2956, 98.39342068, 68, 9);
INSERT INTO public.ecdc_data VALUES (1415, 0, 0, 200.7506328, 8, 9);
INSERT INTO public.ecdc_data VALUES (1416, 0, 0, 21.5557061, 69, 9);
INSERT INTO public.ecdc_data VALUES (1417, 0, 0, 0.16859216, 9, 9);
INSERT INTO public.ecdc_data VALUES (1418, 0, 5, 0.77131065, 10, 9);
INSERT INTO public.ecdc_data VALUES (1419, 86, 1520, 108.45273344, 70, 9);
INSERT INTO public.ecdc_data VALUES (1420, 0, 25, 0.02517814, 111, 9);
INSERT INTO public.ecdc_data VALUES (1421, 173, 11187, 230.71371688, 71, 9);
INSERT INTO public.ecdc_data VALUES (1422, 0, 5, 3.99581145, 11, 9);
INSERT INTO public.ecdc_data VALUES (1423, 0, 37, 2.49047301, 12, 9);
INSERT INTO public.ecdc_data VALUES (1424, 17, 1017, 285.64290753, 72, 9);
INSERT INTO public.ecdc_data VALUES (1425, 0, 73, 1.44265052, 13, 9);
INSERT INTO public.ecdc_data VALUES (1426, 18, 2776, 521.09220101, 156, 9);
INSERT INTO public.ecdc_data VALUES (1427, 0, 39, 6.21168213, 73, 9);
INSERT INTO public.ecdc_data VALUES (1428, 0, 23, 143.18669955, 74, 9);
INSERT INTO public.ecdc_data VALUES (1429, 0, 234, 213.49493492, 157, 9);
INSERT INTO public.ecdc_data VALUES (1430, 187, 13055, 1512.31009033, 158, 9);
INSERT INTO public.ecdc_data VALUES (1431, 1, 43, 0.3272245, 14, 9);
INSERT INTO public.ecdc_data VALUES (1432, 1, 860, 172.42267202, 159, 9);
INSERT INTO public.ecdc_data VALUES (1433, 0, 3, 11.81235408, 15, 9);
INSERT INTO public.ecdc_data VALUES (1434, 0, 0, 12.53342246, 75, 9);
INSERT INTO public.ecdc_data VALUES (1435, 2, 343, 54.44662829, 76, 9);
INSERT INTO public.ecdc_data VALUES (1436, 14, 1394, 91.75961054, 77, 9);
INSERT INTO public.ecdc_data VALUES (1437, 13, 179, 2.16758811, 16, 9);
INSERT INTO public.ecdc_data VALUES (1438, 4, 520, 36.94090849, 78, 9);
INSERT INTO public.ecdc_data VALUES (1439, 0, 0, 1.10620937, 17, 9);
INSERT INTO public.ecdc_data VALUES (1440, 0, 0, 1.34396419, 18, 9);
INSERT INTO public.ecdc_data VALUES (1441, 0, 81, 52.15802902, 160, 9);
INSERT INTO public.ecdc_data VALUES (1442, 1, 13, 14.45825527, 19, 9);
INSERT INTO public.ecdc_data VALUES (1443, 6, 481, 7.25561417, 20, 9);
INSERT INTO public.ecdc_data VALUES (1444, 0, 0, 0, 79, 9);
INSERT INTO public.ecdc_data VALUES (1445, 0, 0, 28.7610165, 161, 9);
INSERT INTO public.ecdc_data VALUES (1446, 0, 1, 0.22473046, 203, 9);
INSERT INTO public.ecdc_data VALUES (1447, 0, 188, 46.6117752, 162, 9);
INSERT INTO public.ecdc_data VALUES (1448, 235, 47637, 705.96127016, 163, 9);
INSERT INTO public.ecdc_data VALUES (1449, 3, 769, 1320.87294341, 204, 9);
INSERT INTO public.ecdc_data VALUES (1450, 0, 0, 4.05048749, 21, 9);
INSERT INTO public.ecdc_data VALUES (1451, 0, 0, 0.93708896, 22, 9);
INSERT INTO public.ecdc_data VALUES (1452, 12, 1696, 571.03725466, 164, 9);
INSERT INTO public.ecdc_data VALUES (1453, 77, 18681, 182.05062965, 165, 9);
INSERT INTO public.ecdc_data VALUES (1454, 4, 280, 2.89961246, 23, 9);
INSERT INTO public.ecdc_data VALUES (1455, 0, 6, 465.79244052, 166, 9);
INSERT INTO public.ecdc_data VALUES (1456, 12, 1211, 107.81755103, 167, 9);
INSERT INTO public.ecdc_data VALUES (1457, 0, 0, 1.76491352, 80, 9);
INSERT INTO public.ecdc_data VALUES (1458, 0, 0, 2.6785236, 81, 9);
INSERT INTO public.ecdc_data VALUES (1459, 1, 0, 621.05860904, 205, 9);
INSERT INTO public.ecdc_data VALUES (1460, 22, 470, 39.95682729, 82, 9);
INSERT INTO public.ecdc_data VALUES (1461, 0, 0, 13.96041447, 168, 9);
INSERT INTO public.ecdc_data VALUES (1462, 0, 201, 5.99001852, 24, 9);
INSERT INTO public.ecdc_data VALUES (1463, 0, 0, 0.93705246, 25, 9);
INSERT INTO public.ecdc_data VALUES (1464, 0, 24, 61.06480151, 83, 9);
INSERT INTO public.ecdc_data VALUES (1465, 0, 8, 1.14533513, 84, 9);
INSERT INTO public.ecdc_data VALUES (1466, 0, 0, 0, 169, 9);
INSERT INTO public.ecdc_data VALUES (1467, 9, 951, 103.23087712, 85, 9);
INSERT INTO public.ecdc_data VALUES (1468, 65, 3286, 290.48100659, 170, 9);
INSERT INTO public.ecdc_data VALUES (1469, 0, 48, 247.06505206, 171, 9);
INSERT INTO public.ecdc_data VALUES (1470, 563, 48648, 52.57418508, 112, 9);
INSERT INTO public.ecdc_data VALUES (1471, 89, 3565, 20.28189746, 113, 9);
INSERT INTO public.ecdc_data VALUES (1472, 399, 8293, 95.4074126, 114, 9);
INSERT INTO public.ecdc_data VALUES (1473, 45, 3804, 129.61911345, 115, 9);
INSERT INTO public.ecdc_data VALUES (1474, 6, 863, 282.7757206, 172, 9);
INSERT INTO public.ecdc_data VALUES (1475, 0, 0, 4.72874724, 173, 9);
INSERT INTO public.ecdc_data VALUES (1476, 17, 803, 157.15945293, 116, 9);
INSERT INTO public.ecdc_data VALUES (1477, 217, 26829, 389.32201379, 174, 9);
INSERT INTO public.ecdc_data VALUES (1478, 4, 76, 29.16957938, 86, 9);
INSERT INTO public.ecdc_data VALUES (1479, 11, 770, 6.45670873, 117, 9);
INSERT INTO public.ecdc_data VALUES (1480, 0, 3, 73.28657835, 175, 9);
INSERT INTO public.ecdc_data VALUES (1481, 40, 3443, 320.500605, 118, 9);
INSERT INTO public.ecdc_data VALUES (1482, 2, 587, 23.20576076, 119, 9);
INSERT INTO public.ecdc_data VALUES (1483, 30, 761, 18.01081512, 26, 9);
INSERT INTO public.ecdc_data VALUES (1484, 1, 284, 133.88890557, 176, 9);
INSERT INTO public.ecdc_data VALUES (1485, 4, 760, 253.16864892, 120, 9);
INSERT INTO public.ecdc_data VALUES (1486, 3, 596, 114.93409058, 121, 9);
INSERT INTO public.ecdc_data VALUES (1487, 0, 0, 0.01394806, 122, 9);
INSERT INTO public.ecdc_data VALUES (1488, 1, 251, 121.82494708, 177, 9);
INSERT INTO public.ecdc_data VALUES (1489, 8, 1933, 277.62263538, 123, 9);
INSERT INTO public.ecdc_data VALUES (1490, 0, 0, 5.36403191, 27, 9);
INSERT INTO public.ecdc_data VALUES (1491, 0, 7, 1.05319143, 28, 9);
INSERT INTO public.ecdc_data VALUES (1492, 8, 782, 191.51737386, 29, 9);
INSERT INTO public.ecdc_data VALUES (1493, 0, 25, 805.14878316, 178, 9);
INSERT INTO public.ecdc_data VALUES (1494, 6, 950, 226.4704114, 179, 9);
INSERT INTO public.ecdc_data VALUES (1495, 3, 698, 995.61162025, 180, 9);
INSERT INTO public.ecdc_data VALUES (1496, 0, 0, 0.79349465, 30, 9);
INSERT INTO public.ecdc_data VALUES (1497, 0, 12, 0.42944376, 31, 9);
INSERT INTO public.ecdc_data VALUES (1498, 0, 679, 37.43686695, 124, 9);
INSERT INTO public.ecdc_data VALUES (1499, 0, 25, 94.73460186, 125, 9);
INSERT INTO public.ecdc_data VALUES (1500, 0, 0, 0.82409101, 32, 9);
INSERT INTO public.ecdc_data VALUES (1501, 1, 76, 335.92741699, 181, 9);
INSERT INTO public.ecdc_data VALUES (1502, 0, 0, 0, 206, 9);
INSERT INTO public.ecdc_data VALUES (1503, 0, 0, 2.47475638, 33, 9);
INSERT INTO public.ecdc_data VALUES (1504, 0, 0, 2.67786118, 34, 9);
INSERT INTO public.ecdc_data VALUES (1505, 464, 5948, 51.79990279, 87, 9);
INSERT INTO public.ecdc_data VALUES (1506, 18, 912, 226.4757777, 182, 9);
INSERT INTO public.ecdc_data VALUES (1507, 0, 10, 284.11666919, 183, 9);
INSERT INTO public.ecdc_data VALUES (1508, 0, 0, 0.62012312, 126, 9);
INSERT INTO public.ecdc_data VALUES (1509, 8, 354, 494.06765223, 184, 9);
INSERT INTO public.ecdc_data VALUES (1510, 0, 0, 0, 88, 9);
INSERT INTO public.ecdc_data VALUES (1511, 66, 4320, 132.67248973, 35, 9);
INSERT INTO public.ecdc_data VALUES (1512, 0, 110, 6.54678649, 36, 9);
INSERT INTO public.ecdc_data VALUES (1513, 27, 1331, 33.40153399, 127, 9);
INSERT INTO public.ecdc_data VALUES (1514, 0, 52, 30.26629529, 37, 9);
INSERT INTO public.ecdc_data VALUES (1515, 17, 2364, 150.20947288, 128, 9);
INSERT INTO public.ecdc_data VALUES (1516, 56, 10248, 730.0012157, 185, 9);
INSERT INTO public.ecdc_data VALUES (1517, 0, 1, 0.35366056, 207, 9);
INSERT INTO public.ecdc_data VALUES (1518, 0, 1, 1.46349765, 208, 9);
INSERT INTO public.ecdc_data VALUES (1519, 0, 0, 2.45970401, 89, 9);
INSERT INTO public.ecdc_data VALUES (1520, 0, 1, 0.05147846, 38, 9);
INSERT INTO public.ecdc_data VALUES (1521, 2, 150, 0.83945549, 39, 9);
INSERT INTO public.ecdc_data VALUES (1522, 14, 861, 355.68273947, 186, 9);
INSERT INTO public.ecdc_data VALUES (1523, 0, 0, 20.9742541, 209, 9);
INSERT INTO public.ecdc_data VALUES (1524, 1, 403, 58.42485246, 187, 9);
INSERT INTO public.ecdc_data VALUES (1525, 0, 0, 123.37708282, 129, 9);
INSERT INTO public.ecdc_data VALUES (1526, 20, 1078, 4.76022668, 130, 9);
INSERT INTO public.ecdc_data VALUES (1527, 8, 623, 136.42690782, 131, 9);
INSERT INTO public.ecdc_data VALUES (1528, 15, 798, 215.75719897, 90, 9);
INSERT INTO public.ecdc_data VALUES (1529, 0, 1, 0.12534014, 210, 9);
INSERT INTO public.ecdc_data VALUES (1530, 0, 0, 123.41299533, 91, 9);
INSERT INTO public.ecdc_data VALUES (1531, 47, 2666, 116.43636439, 92, 9);
INSERT INTO public.ecdc_data VALUES (1532, 33, 1755, 26.11716818, 132, 9);
INSERT INTO public.ecdc_data VALUES (1533, 298, 20156, 445.8505733, 188, 9);
INSERT INTO public.ecdc_data VALUES (1534, 33, 4224, 382.63564751, 189, 9);
INSERT INTO public.ecdc_data VALUES (1535, 1, 1211, 297.02693526, 93, 9);
INSERT INTO public.ecdc_data VALUES (1536, 1, 211, 118.18206535, 133, 9);
INSERT INTO public.ecdc_data VALUES (1537, 83, 6481, 311.88097036, 190, 9);
INSERT INTO public.ecdc_data VALUES (1538, 366, 17717, 155.97893664, 191, 9);
INSERT INTO public.ecdc_data VALUES (1539, 0, 2, 1.4096846, 40, 9);
INSERT INTO public.ecdc_data VALUES (1540, 0, 0, 0, 94, 9);
INSERT INTO public.ecdc_data VALUES (1541, 0, 3, 24.61774119, 95, 9);
INSERT INTO public.ecdc_data VALUES (1542, 0, 0, 9.04216361, 96, 9);
INSERT INTO public.ecdc_data VALUES (1543, 0, 1, 490.52332163, 192, 9);
INSERT INTO public.ecdc_data VALUES (1544, 1, 1, 6.97518694, 41, 9);
INSERT INTO public.ecdc_data VALUES (1545, 15, 435, 15.81626104, 134, 9);
INSERT INTO public.ecdc_data VALUES (1546, 1, 11, 1.50340303, 42, 9);
INSERT INTO public.ecdc_data VALUES (1547, 6, 1384, 116.8620878, 193, 9);
INSERT INTO public.ecdc_data VALUES (1548, 0, 0, 4.09244841, 43, 9);
INSERT INTO public.ecdc_data VALUES (1549, 0, 8, 0.49915483, 44, 9);
INSERT INTO public.ecdc_data VALUES (1550, 0, 7, 1.75730483, 135, 9);
INSERT INTO public.ecdc_data VALUES (1551, 0, 0, 160.41897662, 97, 9);
INSERT INTO public.ecdc_data VALUES (1552, 16, 2785, 504.60322239, 194, 9);
INSERT INTO public.ecdc_data VALUES (1553, 10, 2490, 962.12807102, 195, 9);
INSERT INTO public.ecdc_data VALUES (1554, 0, 0, 0.8957617, 211, 9);
INSERT INTO public.ecdc_data VALUES (1555, 0, 0, 0.49861082, 45, 9);
INSERT INTO public.ecdc_data VALUES (1556, 53, 2056, 40.27783131, 46, 9);
INSERT INTO public.ecdc_data VALUES (1557, 2, 114, 2.6354154, 136, 9);
INSERT INTO public.ecdc_data VALUES (1558, 2, 13, 0.86782689, 47, 9);
INSERT INTO public.ecdc_data VALUES (1559, 239, 25595, 530.7490499, 196, 9);
INSERT INTO public.ecdc_data VALUES (1560, 0, 586, 21.32365748, 137, 9);
INSERT INTO public.ecdc_data VALUES (1561, 0, 0, 0.17284374, 48, 9);
INSERT INTO public.ecdc_data VALUES (1562, 0, 10, 17.71698577, 98, 9);
INSERT INTO public.ecdc_data VALUES (1563, 9, 3262, 186.97609085, 197, 9);
INSERT INTO public.ecdc_data VALUES (1564, 31, 9361, 859.24007262, 198, 9);
INSERT INTO public.ecdc_data VALUES (1565, 3, 53, 4.11244623, 138, 9);
INSERT INTO public.ecdc_data VALUES (1566, 0, 1, 0.07991964, 139, 9);
INSERT INTO public.ecdc_data VALUES (1567, 0, 39, 6.06156642, 140, 9);
INSERT INTO public.ecdc_data VALUES (1568, 0, 12, 0.15224289, 141, 9);
INSERT INTO public.ecdc_data VALUES (1569, 0, 0, 0.07733234, 142, 9);
INSERT INTO public.ecdc_data VALUES (1570, 1, 58, 3.71178761, 49, 9);
INSERT INTO public.ecdc_data VALUES (1571, 0, 42, 31.68529193, 99, 9);
INSERT INTO public.ecdc_data VALUES (1572, 100, 3751, 198.71359052, 50, 9);
INSERT INTO public.ecdc_data VALUES (1573, 72, 2319, 34.98492913, 199, 9);
INSERT INTO public.ecdc_data VALUES (1574, 0, 0, 18.32748599, 100, 9);
INSERT INTO public.ecdc_data VALUES (1575, 2, 434, 4.70752076, 51, 9);
INSERT INTO public.ecdc_data VALUES (1576, 113, 7342, 202.70655922, 200, 9);
INSERT INTO public.ecdc_data VALUES (1577, 3, 1312, 193.42868542, 143, 9);
INSERT INTO public.ecdc_data VALUES (1578, 280, 23065, 437.70538774, 201, 9);
INSERT INTO public.ecdc_data VALUES (1579, 0, 0, 0, 52, 9);
INSERT INTO public.ecdc_data VALUES (1580, 968, 88130, 293.64084413, 101, 9);
INSERT INTO public.ecdc_data VALUES (1581, 0, 0, 22.94915805, 102, 9);
INSERT INTO public.ecdc_data VALUES (1582, 2, 63, 18.11232589, 103, 9);
INSERT INTO public.ecdc_data VALUES (1583, 2, 229, 12.30378711, 144, 9);
INSERT INTO public.ecdc_data VALUES (1584, 5, 404, 20.37815559, 104, 9);
INSERT INTO public.ecdc_data VALUES (1585, 0, 4, 0.05494385, 145, 9);
INSERT INTO public.ecdc_data VALUES (1586, 0, 0, 0, 213, 9);
INSERT INTO public.ecdc_data VALUES (1587, 0, 0, 0, 53, 9);
INSERT INTO public.ecdc_data VALUES (1588, 0, 0, 0.02057478, 146, 9);
INSERT INTO public.ecdc_data VALUES (1589, 0, 0, 3.72878748, 54, 9);
INSERT INTO public.ecdc_data VALUES (1590, 0, 29, 1.87088529, 55, 9);
INSERT INTO public.ecdc_data VALUES (1591, 2, 15, 1.04884745, 105, 10);
INSERT INTO public.ecdc_data VALUES (1592, 4, 127, 64.49072762, 147, 10);
INSERT INTO public.ecdc_data VALUES (1593, 7, 155, 6.11803288, 1, 10);
INSERT INTO public.ecdc_data VALUES (1594, 0, 0, 693.12259606, 148, 10);
INSERT INTO public.ecdc_data VALUES (1595, 3, 108, 4.6063982, 2, 10);
INSERT INTO public.ecdc_data VALUES (1596, 0, 0, 0, 56, 10);
INSERT INTO public.ecdc_data VALUES (1597, 0, 0, 6.17824229, 57, 10);
INSERT INTO public.ecdc_data VALUES (1598, 406, 13477, 382.22737822, 58, 10);
INSERT INTO public.ecdc_data VALUES (1599, 1, 327, 127.86841792, 149, 10);
INSERT INTO public.ecdc_data VALUES (1600, 1, 62, 735.58461104, 59, 10);
INSERT INTO public.ecdc_data VALUES (1601, 7, 19, 1.28951879, 202, 10);
INSERT INTO public.ecdc_data VALUES (1602, 6, 722, 111.33593527, 150, 10);
INSERT INTO public.ecdc_data VALUES (1603, 2, 58, 15.94391722, 151, 10);
INSERT INTO public.ecdc_data VALUES (1604, 2, 65, 223.62806365, 60, 10);
INSERT INTO public.ecdc_data VALUES (1605, 1, 574, 576.23735349, 106, 10);
INSERT INTO public.ecdc_data VALUES (1606, 26, 1488, 12.87181392, 107, 10);
INSERT INTO public.ecdc_data VALUES (1607, 0, 0, 2.09043938, 61, 10);
INSERT INTO public.ecdc_data VALUES (1608, 6, 314, 39.22809519, 152, 10);
INSERT INTO public.ecdc_data VALUES (1609, 10, 2984, 195.94048947, 153, 10);
INSERT INTO public.ecdc_data VALUES (1610, 2, 52, 106.31457329, 62, 10);
INSERT INTO public.ecdc_data VALUES (1611, 0, 0, 0.61858373, 3, 10);
INSERT INTO public.ecdc_data VALUES (1612, 0, 0, 6.3991809, 63, 10);
INSERT INTO public.ecdc_data VALUES (1613, 0, 1, 4.5865909, 108, 10);
INSERT INTO public.ecdc_data VALUES (1614, 31, 333, 55.19798226, 64, 10);
INSERT INTO public.ecdc_data VALUES (1615, 0, 0, 300.19628218, 65, 10);
INSERT INTO public.ecdc_data VALUES (1616, 14, 225, 99.90917898, 154, 10);
INSERT INTO public.ecdc_data VALUES (1617, 0, 0, 30.77653673, 4, 10);
INSERT INTO public.ecdc_data VALUES (1618, 863, 32058, 187.28258746, 66, 10);
INSERT INTO public.ecdc_data VALUES (1619, 0, 0, 16.64835348, 67, 10);
INSERT INTO public.ecdc_data VALUES (1620, 0, 0, 0.23078911, 109, 10);
INSERT INTO public.ecdc_data VALUES (1621, 7, 276, 33.29981447, 155, 10);
INSERT INTO public.ecdc_data VALUES (1622, 1, 4, 1.47135655, 5, 10);
INSERT INTO public.ecdc_data VALUES (1623, 0, 4, 0.29486816, 6, 10);
INSERT INTO public.ecdc_data VALUES (1624, 0, 0, 0.01213111, 110, 10);
INSERT INTO public.ecdc_data VALUES (1625, 0, 0, 2.19118689, 7, 10);
INSERT INTO public.ecdc_data VALUES (1626, 13, 1660, 48.53647739, 68, 10);
INSERT INTO public.ecdc_data VALUES (1627, 0, 83, 181.11198394, 8, 10);
INSERT INTO public.ecdc_data VALUES (1628, 0, 0, 4.61907988, 69, 10);
INSERT INTO public.ecdc_data VALUES (1629, 0, 19, 1.11692309, 9, 10);
INSERT INTO public.ecdc_data VALUES (1630, 0, 8, 0.66470674, 10, 10);
INSERT INTO public.ecdc_data VALUES (1631, 27, 1629, 123.03164278, 70, 10);
INSERT INTO public.ecdc_data VALUES (1632, 0, 23, 0.01987748, 111, 10);
INSERT INTO public.ecdc_data VALUES (1633, 187, 5839, 189.61671864, 71, 10);
INSERT INTO public.ecdc_data VALUES (1634, 0, 1, 2.58552506, 11, 10);
INSERT INTO public.ecdc_data VALUES (1635, 0, 0, 2.88077102, 12, 10);
INSERT INTO public.ecdc_data VALUES (1636, 19, 890, 326.21695904, 72, 10);
INSERT INTO public.ecdc_data VALUES (1637, 0, 28, 2.2125826, 13, 10);
INSERT INTO public.ecdc_data VALUES (1638, 3, 135, 64.54468155, 156, 10);
INSERT INTO public.ecdc_data VALUES (1639, 0, 48, 6.42344402, 73, 10);
INSERT INTO public.ecdc_data VALUES (1640, 0, 6, 122.99370346, 74, 10);
INSERT INTO public.ecdc_data VALUES (1641, 0, 30, 23.17618812, 157, 10);
INSERT INTO public.ecdc_data VALUES (1642, 18, 1960, 271.80792128, 158, 10);
INSERT INTO public.ecdc_data VALUES (1643, 0, 6, 0.26385356, 14, 10);
INSERT INTO public.ecdc_data VALUES (1644, 1, 392, 126.33306356, 159, 10);
INSERT INTO public.ecdc_data VALUES (1645, 0, 6, 2.05432245, 15, 10);
INSERT INTO public.ecdc_data VALUES (1646, 0, 0, 0, 75, 10);
INSERT INTO public.ecdc_data VALUES (1647, 3, 234, 66.08649238, 76, 10);
INSERT INTO public.ecdc_data VALUES (1648, 32, 784, 93.22159405, 77, 10);
INSERT INTO public.ecdc_data VALUES (1649, 13, 124, 1.73227745, 16, 10);
INSERT INTO public.ecdc_data VALUES (1650, 12, 172, 28.17054179, 78, 10);
INSERT INTO public.ecdc_data VALUES (1651, 0, 2, 2.21241875, 17, 10);
INSERT INTO public.ecdc_data VALUES (1652, 0, 0, 0.40032976, 18, 10);
INSERT INTO public.ecdc_data VALUES (1653, 0, 48, 44.76079769, 160, 10);
INSERT INTO public.ecdc_data VALUES (1654, 0, 10, 29.09070639, 19, 10);
INSERT INTO public.ecdc_data VALUES (1655, 14, 640, 8.11750833, 20, 10);
INSERT INTO public.ecdc_data VALUES (1656, 0, 0, 0, 79, 10);
INSERT INTO public.ecdc_data VALUES (1657, 0, 3, 71.90254124, 161, 10);
INSERT INTO public.ecdc_data VALUES (1658, 0, 0, 0, 203, 10);
INSERT INTO public.ecdc_data VALUES (1659, 0, 158, 21.14927747, 162, 10);
INSERT INTO public.ecdc_data VALUES (1660, 85, 8051, 232.17326734, 163, 10);
INSERT INTO public.ecdc_data VALUES (1661, 0, 0, 199.43785022, 204, 10);
INSERT INTO public.ecdc_data VALUES (1662, 0, 0, 4.51077015, 21, 10);
INSERT INTO public.ecdc_data VALUES (1663, 1, 10, 6.43183785, 22, 10);
INSERT INTO public.ecdc_data VALUES (1664, 0, 0, 77.76294911, 164, 10);
INSERT INTO public.ecdc_data VALUES (1665, 17, 1798, 30.78323568, 165, 10);
INSERT INTO public.ecdc_data VALUES (1666, 0, 0, 2.71879762, 23, 10);
INSERT INTO public.ecdc_data VALUES (1667, 0, 9, 169.10935738, 166, 10);
INSERT INTO public.ecdc_data VALUES (1668, 5, 416, 40.9619045, 167, 10);
INSERT INTO public.ecdc_data VALUES (1669, 0, 0, 0, 80, 10);
INSERT INTO public.ecdc_data VALUES (1670, 0, 0, 0, 81, 10);
INSERT INTO public.ecdc_data VALUES (1671, 1, 53, 308.43719179, 205, 10);
INSERT INTO public.ecdc_data VALUES (1672, 4, 705, 47.11777327, 82, 10);
INSERT INTO public.ecdc_data VALUES (1673, 0, 0, 4.65347149, 168, 10);
INSERT INTO public.ecdc_data VALUES (1674, 0, 36, 4.09513684, 24, 10);
INSERT INTO public.ecdc_data VALUES (1675, 0, 0, 2.55086503, 25, 10);
INSERT INTO public.ecdc_data VALUES (1676, 0, 59, 113.44256012, 83, 10);
INSERT INTO public.ecdc_data VALUES (1677, 2, 7, 1.92664901, 84, 10);
INSERT INTO public.ecdc_data VALUES (1678, 0, 0, 0, 169, 10);
INSERT INTO public.ecdc_data VALUES (1679, 22, 561, 76.72800906, 85, 10);
INSERT INTO public.ecdc_data VALUES (1680, 8, 894, 122.80056926, 170, 10);
INSERT INTO public.ecdc_data VALUES (1681, 0, 32, 145.94205456, 171, 10);
INSERT INTO public.ecdc_data VALUES (1682, 1179, 80472, 88.21635951, 112, 10);
INSERT INTO public.ecdc_data VALUES (1683, 128, 4002, 21.31875441, 113, 10);
INSERT INTO public.ecdc_data VALUES (1684, 207, 3677, 55.82176681, 114, 10);
INSERT INTO public.ecdc_data VALUES (1685, 70, 4724, 151.58565211, 115, 10);
INSERT INTO public.ecdc_data VALUES (1686, 1, 362, 85.45666607, 172, 10);
INSERT INTO public.ecdc_data VALUES (1687, 0, 0, 1.18218681, 173, 10);
INSERT INTO public.ecdc_data VALUES (1688, 21, 3661, 823.20612092, 116, 10);
INSERT INTO public.ecdc_data VALUES (1689, 24, 1647, 38.13978323, 174, 10);
INSERT INTO public.ecdc_data VALUES (1690, 7, 239, 79.36839042, 86, 10);
INSERT INTO public.ecdc_data VALUES (1691, 7, 516, 5.17261906, 117, 10);
INSERT INTO public.ecdc_data VALUES (1692, 0, 1, 21.33659876, 175, 10);
INSERT INTO public.ecdc_data VALUES (1693, 6, 823, 63.07851047, 118, 10);
INSERT INTO public.ecdc_data VALUES (1694, 28, 374, 19.66964484, 119, 10);
INSERT INTO public.ecdc_data VALUES (1695, 7, 210, 4.13322434, 26, 10);
INSERT INTO public.ecdc_data VALUES (1696, 0, 54, 45.09298273, 176, 10);
INSERT INTO public.ecdc_data VALUES (1697, 2, 587, 196.50222708, 120, 10);
INSERT INTO public.ecdc_data VALUES (1698, 0, 147, 24.89147582, 121, 10);
INSERT INTO public.ecdc_data VALUES (1699, 0, 0, 0, 122, 10);
INSERT INTO public.ecdc_data VALUES (1700, 1, 32, 12.86479775, 177, 10);
INSERT INTO public.ecdc_data VALUES (1701, 10, 1105, 188.57276468, 123, 10);
INSERT INTO public.ecdc_data VALUES (1702, 0, 11, 15.5745137, 27, 10);
INSERT INTO public.ecdc_data VALUES (1703, 0, 1, 0.3240589, 28, 10);
INSERT INTO public.ecdc_data VALUES (1704, 13, 801, 145.62992912, 29, 10);
INSERT INTO public.ecdc_data VALUES (1705, 0, 2, 23.45093543, 178, 10);
INSERT INTO public.ecdc_data VALUES (1706, 0, 88, 40.65587664, 179, 10);
INSERT INTO public.ecdc_data VALUES (1707, 0, 55, 186.84007337, 180, 10);
INSERT INTO public.ecdc_data VALUES (1708, 0, 29, 2.12834546, 30, 10);
INSERT INTO public.ecdc_data VALUES (1709, 0, 2, 0.38113134, 31, 10);
INSERT INTO public.ecdc_data VALUES (1710, 0, 101, 3.64947637, 124, 10);
INSERT INTO public.ecdc_data VALUES (1711, 0, 37, 163.1017201, 125, 10);
INSERT INTO public.ecdc_data VALUES (1712, 0, 0, 0.76304723, 32, 10);
INSERT INTO public.ecdc_data VALUES (1713, 0, 23, 98.87369089, 181, 10);
INSERT INTO public.ecdc_data VALUES (1714, 0, 10, 3.42488606, 33, 10);
INSERT INTO public.ecdc_data VALUES (1715, 0, 14, 1.49645183, 34, 10);
INSERT INTO public.ecdc_data VALUES (1716, 560, 5741, 48.30158298, 87, 10);
INSERT INTO public.ecdc_data VALUES (1717, 9, 835, 205.1563368, 182, 10);
INSERT INTO public.ecdc_data VALUES (1718, 0, 2, 108.81063926, 183, 10);
INSERT INTO public.ecdc_data VALUES (1719, 0, 0, 0.06201231, 126, 10);
INSERT INTO public.ecdc_data VALUES (1720, 1, 134, 564.78650941, 184, 10);
INSERT INTO public.ecdc_data VALUES (1721, 0, 0, 0, 88, 10);
INSERT INTO public.ecdc_data VALUES (1722, 39, 2076, 84.61065472, 35, 10);
INSERT INTO public.ecdc_data VALUES (1723, 0, 268, 9.36243158, 36, 10);
INSERT INTO public.ecdc_data VALUES (1724, 28, 794, 16.26224697, 127, 10);
INSERT INTO public.ecdc_data VALUES (1725, 2, 19, 49.66879453, 37, 10);
INSERT INTO public.ecdc_data VALUES (1726, 10, 1513, 68.05618498, 128, 10);
INSERT INTO public.ecdc_data VALUES (1727, 13, 3001, 189.3455119, 185, 10);
INSERT INTO public.ecdc_data VALUES (1728, 0, 0, 0.35366056, 207, 10);
INSERT INTO public.ecdc_data VALUES (1729, 0, 1, 0.60630617, 208, 10);
INSERT INTO public.ecdc_data VALUES (1730, 2, 97, 3.19303192, 89, 10);
INSERT INTO public.ecdc_data VALUES (1731, 0, 0, 0.06863795, 38, 10);
INSERT INTO public.ecdc_data VALUES (1732, 0, 187, 1.07929992, 39, 10);
INSERT INTO public.ecdc_data VALUES (1733, 8, 112, 89.59469114, 186, 10);
INSERT INTO public.ecdc_data VALUES (1734, 0, 0, 15.73069058, 209, 10);
INSERT INTO public.ecdc_data VALUES (1735, 0, 90, 28.35848123, 187, 10);
INSERT INTO public.ecdc_data VALUES (1736, 11, 528, 159.29673857, 129, 10);
INSERT INTO public.ecdc_data VALUES (1737, 5, 747, 4.23613537, 130, 10);
INSERT INTO public.ecdc_data VALUES (1738, 7, 420, 174.68907473, 131, 10);
INSERT INTO public.ecdc_data VALUES (1739, 16, 576, 212.43677057, 90, 10);
INSERT INTO public.ecdc_data VALUES (1740, 0, 2, 0.26207484, 210, 10);
INSERT INTO public.ecdc_data VALUES (1741, 23, 669, 153.35065431, 91, 10);
INSERT INTO public.ecdc_data VALUES (1742, 72, 3054, 226.84390028, 92, 10);
INSERT INTO public.ecdc_data VALUES (1743, 67, 2015, 36.90089393, 132, 10);
INSERT INTO public.ecdc_data VALUES (1744, 36, 1326, 39.04899116, 188, 10);
INSERT INTO public.ecdc_data VALUES (1745, 6, 688, 94.35011541, 189, 10);
INSERT INTO public.ecdc_data VALUES (1746, 6, 1045, 350.95745421, 93, 10);
INSERT INTO public.ecdc_data VALUES (1747, 0, 222, 117.19338957, 133, 10);
INSERT INTO public.ecdc_data VALUES (1748, 44, 1470, 103.61350289, 190, 10);
INSERT INTO public.ecdc_data VALUES (1749, 160, 8232, 64.4097788, 191, 10);
INSERT INTO public.ecdc_data VALUES (1750, 0, 4, 1.67895019, 40, 10);
INSERT INTO public.ecdc_data VALUES (1751, 0, 0, 3.78544119, 94, 10);
INSERT INTO public.ecdc_data VALUES (1752, 0, 0, 0, 95, 10);
INSERT INTO public.ecdc_data VALUES (1753, 0, 0, 0, 96, 10);
INSERT INTO public.ecdc_data VALUES (1754, 0, 0, 11.61001945, 192, 10);
INSERT INTO public.ecdc_data VALUES (1755, 0, 0, 1.86004985, 41, 10);
INSERT INTO public.ecdc_data VALUES (1756, 27, 539, 21.17686464, 134, 10);
INSERT INTO public.ecdc_data VALUES (1757, 1, 26, 2.55271698, 42, 10);
INSERT INTO public.ecdc_data VALUES (1758, 1, 65, 13.90052851, 193, 10);
INSERT INTO public.ecdc_data VALUES (1759, 0, 0, 3.06933631, 43, 10);
INSERT INTO public.ecdc_data VALUES (1760, 0, 7, 1.22868881, 44, 10);
INSERT INTO public.ecdc_data VALUES (1761, 0, 27, 4.3760336, 135, 10);
INSERT INTO public.ecdc_data VALUES (1762, 0, 14, 259.50128571, 97, 10);
INSERT INTO public.ecdc_data VALUES (1763, 1, 231, 69.82946822, 194, 10);
INSERT INTO public.ecdc_data VALUES (1764, 2, 93, 79.29230893, 195, 10);
INSERT INTO public.ecdc_data VALUES (1765, 0, 0, 1.28861757, 45, 10);
INSERT INTO public.ecdc_data VALUES (1766, 81, 903, 35.94880976, 46, 10);
INSERT INTO public.ecdc_data VALUES (1767, 6, 113, 2.5534247, 136, 10);
INSERT INTO public.ecdc_data VALUES (1768, 0, 8, 0.97630525, 47, 10);
INSERT INTO public.ecdc_data VALUES (1769, 177, 11016, 329.8630123, 196, 10);
INSERT INTO public.ecdc_data VALUES (1770, 0, 11, 0.48302985, 137, 10);
INSERT INTO public.ecdc_data VALUES (1771, 0, 0, 0.16583656, 48, 10);
INSERT INTO public.ecdc_data VALUES (1772, 2, 27, 40.93827781, 98, 10);
INSERT INTO public.ecdc_data VALUES (1773, 2, 613, 50.39987058, 197, 10);
INSERT INTO public.ecdc_data VALUES (1774, 2, 223, 59.81606706, 198, 10);
INSERT INTO public.ecdc_data VALUES (1775, 3, 46, 3.12827106, 138, 10);
INSERT INTO public.ecdc_data VALUES (1776, 0, 1, 0.05888816, 139, 10);
INSERT INTO public.ecdc_data VALUES (1777, 0, 41, 6.40487637, 140, 10);
INSERT INTO public.ecdc_data VALUES (1778, 0, 5, 0.10628278, 141, 10);
INSERT INTO public.ecdc_data VALUES (1779, 0, 0, 0.07733234, 142, 10);
INSERT INTO public.ecdc_data VALUES (1780, 1, 10, 2.02911056, 49, 10);
INSERT INTO public.ecdc_data VALUES (1781, 2, 77, 88.89086424, 99, 10);
INSERT INTO public.ecdc_data VALUES (1782, 32, 1291, 83.64457775, 50, 10);
INSERT INTO public.ecdc_data VALUES (1783, 68, 1427, 27.62308253, 199, 10);
INSERT INTO public.ecdc_data VALUES (1784, 1, 4, 94.25564225, 100, 10);
INSERT INTO public.ecdc_data VALUES (1785, 0, 240, 6.53721933, 51, 10);
INSERT INTO public.ecdc_data VALUES (1786, 69, 3627, 96.0866096, 200, 10);
INSERT INTO public.ecdc_data VALUES (1787, 3, 995, 124.35359161, 143, 10);
INSERT INTO public.ecdc_data VALUES (1788, 71, 7143, 107.92365617, 201, 10);
INSERT INTO public.ecdc_data VALUES (1789, 0, 0, 0, 52, 10);
INSERT INTO public.ecdc_data VALUES (1790, 928, 43017, 177.70596918, 101, 10);
INSERT INTO public.ecdc_data VALUES (1791, 0, 0, 82.23448302, 102, 10);
INSERT INTO public.ecdc_data VALUES (1792, 1, 23, 5.95078012, 103, 10);
INSERT INTO public.ecdc_data VALUES (1793, 5, 451, 23.47664456, 144, 10);
INSERT INTO public.ecdc_data VALUES (1794, 7, 835, 41.05789805, 104, 10);
INSERT INTO public.ecdc_data VALUES (1795, 0, 17, 0.03213697, 145, 10);
INSERT INTO public.ecdc_data VALUES (1796, 0, 0, 0, 53, 10);
INSERT INTO public.ecdc_data VALUES (1797, 0, 0, 0.06515346, 146, 10);
INSERT INTO public.ecdc_data VALUES (1798, 0, 55, 5.01650688, 54, 10);
INSERT INTO public.ecdc_data VALUES (1799, 0, 21, 1.78212066, 55, 10);
INSERT INTO public.ecdc_data VALUES (1800, 0, 3, 1.55618469, 105, 11);
INSERT INTO public.ecdc_data VALUES (1801, 4, 84, 70.53454988, 147, 11);
INSERT INTO public.ecdc_data VALUES (1802, 8, 379, 13.1210204, 1, 11);
INSERT INTO public.ecdc_data VALUES (1803, 0, 0, 177.21884558, 148, 11);
INSERT INTO public.ecdc_data VALUES (1804, 1, 80, 2.19636585, 2, 11);
INSERT INTO public.ecdc_data VALUES (1805, 0, 0, 0, 56, 11);
INSERT INTO public.ecdc_data VALUES (1806, 0, 0, 1.02970705, 57, 11);
INSERT INTO public.ecdc_data VALUES (1807, 176, 11730, 244.71493563, 58, 11);
INSERT INTO public.ecdc_data VALUES (1808, 3, 175, 72.04854537, 149, 11);
INSERT INTO public.ecdc_data VALUES (1809, 1, 69, 871.97817703, 59, 11);
INSERT INTO public.ecdc_data VALUES (1810, 17, 99, 9.96698832, 202, 11);
INSERT INTO public.ecdc_data VALUES (1811, 0, 174, 42.05999136, 150, 11);
INSERT INTO public.ecdc_data VALUES (1812, 2, 188, 20.57183327, 151, 11);
INSERT INTO public.ecdc_data VALUES (1813, 3, 78, 226.70904731, 60, 11);
INSERT INTO public.ecdc_data VALUES (1814, 0, 278, 302.28545106, 106, 11);
INSERT INTO public.ecdc_data VALUES (1815, 32, 2131, 21.09831796, 107, 11);
INSERT INTO public.ecdc_data VALUES (1816, 0, 4, 6.96813125, 61, 11);
INSERT INTO public.ecdc_data VALUES (1817, 4, 177, 22.20597945, 152, 11);
INSERT INTO public.ecdc_data VALUES (1818, 6, 195, 57.23878595, 153, 11);
INSERT INTO public.ecdc_data VALUES (1819, 1, 94, 131.16400368, 62, 11);
INSERT INTO public.ecdc_data VALUES (1820, 0, 0, 0.69484748, 3, 11);
INSERT INTO public.ecdc_data VALUES (1821, 0, 1, 11.19856658, 63, 11);
INSERT INTO public.ecdc_data VALUES (1822, 0, 0, 8.12481817, 108, 11);
INSERT INTO public.ecdc_data VALUES (1823, 92, 945, 140.7787406, 64, 11);
INSERT INTO public.ecdc_data VALUES (1824, 0, 0, 7.69734057, 65, 11);
INSERT INTO public.ecdc_data VALUES (1825, 3, 0, 111.45114296, 154, 11);
INSERT INTO public.ecdc_data VALUES (1826, 0, 0, 18.18810845, 4, 11);
INSERT INTO public.ecdc_data VALUES (1827, 958, 41350, 250.67908352, 66, 11);
INSERT INTO public.ecdc_data VALUES (1828, 0, 0, 86.57143808, 67, 11);
INSERT INTO public.ecdc_data VALUES (1829, 0, 0, 0.46157823, 109, 11);
INSERT INTO public.ecdc_data VALUES (1830, 2, 99, 26.15699713, 155, 11);
INSERT INTO public.ecdc_data VALUES (1831, 0, 4, 0.55606452, 5, 11);
INSERT INTO public.ecdc_data VALUES (1832, 0, 6, 0.23416001, 6, 11);
INSERT INTO public.ecdc_data VALUES (1833, 0, 0, 0, 110, 11);
INSERT INTO public.ecdc_data VALUES (1834, 0, 0, 2.60082677, 7, 11);
INSERT INTO public.ecdc_data VALUES (1835, 5, 315, 15.46067767, 68, 11);
INSERT INTO public.ecdc_data VALUES (1836, 1, 33, 111.8311949, 8, 11);
INSERT INTO public.ecdc_data VALUES (1837, 0, 0, 3.07938659, 69, 11);
INSERT INTO public.ecdc_data VALUES (1838, 0, 0, 1.01155299, 9, 11);
INSERT INTO public.ecdc_data VALUES (1839, 0, 0, 0.35116583, 10, 11);
INSERT INTO public.ecdc_data VALUES (1840, 49, 2037, 127.20006057, 70, 11);
INSERT INTO public.ecdc_data VALUES (1841, 3, 27, 0.04073139, 111, 11);
INSERT INTO public.ecdc_data VALUES (1842, 297, 9394, 284.51844412, 71, 11);
INSERT INTO public.ecdc_data VALUES (1843, 0, 5, 2.23295346, 11, 11);
INSERT INTO public.ecdc_data VALUES (1844, 0, 0, 4.34903496, 12, 11);
INSERT INTO public.ecdc_data VALUES (1845, 11, 1214, 236.9857442, 72, 11);
INSERT INTO public.ecdc_data VALUES (1846, 0, 96, 3.49969129, 13, 11);
INSERT INTO public.ecdc_data VALUES (1847, 3, 312, 84.4159062, 156, 11);
INSERT INTO public.ecdc_data VALUES (1848, 2, 59, 5.58521987, 73, 11);
INSERT INTO public.ecdc_data VALUES (1849, 0, 0, 14.68581534, 74, 11);
INSERT INTO public.ecdc_data VALUES (1850, 0, 2, 17.23943057, 157, 11);
INSERT INTO public.ecdc_data VALUES (1851, 2, 317, 39.46552987, 158, 11);
INSERT INTO public.ecdc_data VALUES (1852, 3, 14, 0.42631361, 14, 11);
INSERT INTO public.ecdc_data VALUES (1853, 0, 0, 20.96078232, 159, 11);
INSERT INTO public.ecdc_data VALUES (1854, 0, 2, 1.8488902, 15, 11);
INSERT INTO public.ecdc_data VALUES (1855, 0, 0, 2.78520499, 75, 11);
INSERT INTO public.ecdc_data VALUES (1856, 25, 342, 76.23645388, 76, 11);
INSERT INTO public.ecdc_data VALUES (1857, 33, 765, 70.32486022, 77, 11);
INSERT INTO public.ecdc_data VALUES (1858, 14, 212, 2.1526461, 16, 11);
INSERT INTO public.ecdc_data VALUES (1859, 11, 220, 46.73396813, 78, 11);
INSERT INTO public.ecdc_data VALUES (1860, 0, 13, 8.849675, 17, 11);
INSERT INTO public.ecdc_data VALUES (1861, 0, 1, 0.94363443, 18, 11);
INSERT INTO public.ecdc_data VALUES (1862, 0, 20, 13.51126946, 160, 11);
INSERT INTO public.ecdc_data VALUES (1863, 0, 49, 66.62991134, 19, 11);
INSERT INTO public.ecdc_data VALUES (1864, 12, 1514, 18.52269432, 20, 11);
INSERT INTO public.ecdc_data VALUES (1865, 0, 0, 0, 79, 11);
INSERT INTO public.ecdc_data VALUES (1866, 0, 0, 84.22869117, 161, 11);
INSERT INTO public.ecdc_data VALUES (1867, 0, 0, 0.11236523, 203, 11);
INSERT INTO public.ecdc_data VALUES (1868, 0, 7, 5.96239271, 162, 11);
INSERT INTO public.ecdc_data VALUES (1869, 6, 5453, 85.07170181, 163, 11);
INSERT INTO public.ecdc_data VALUES (1870, 0, 0, 90.94652416, 204, 11);
INSERT INTO public.ecdc_data VALUES (1871, 0, 0, 12.88791473, 21, 11);
INSERT INTO public.ecdc_data VALUES (1872, 0, 98, 51.36951292, 22, 11);
INSERT INTO public.ecdc_data VALUES (1873, 0, 0, 3.5278558, 164, 11);
INSERT INTO public.ecdc_data VALUES (1874, 6, 785, 22.06477192, 165, 11);
INSERT INTO public.ecdc_data VALUES (1875, 0, 169, 6.27263103, 23, 11);
INSERT INTO public.ecdc_data VALUES (1876, 0, 1, 195.81083487, 166, 11);
INSERT INTO public.ecdc_data VALUES (1877, 1, 177, 29.08267246, 167, 11);
INSERT INTO public.ecdc_data VALUES (1878, 0, 0, 0, 80, 11);
INSERT INTO public.ecdc_data VALUES (1879, 0, 0, 0, 81, 11);
INSERT INTO public.ecdc_data VALUES (1880, 0, 60, 496.72733794, 205, 11);
INSERT INTO public.ecdc_data VALUES (1881, 19, 758, 64.64758704, 82, 11);
INSERT INTO public.ecdc_data VALUES (1882, 0, 0, 0, 168, 11);
INSERT INTO public.ecdc_data VALUES (1883, 0, 0, 7.10972132, 24, 11);
INSERT INTO public.ecdc_data VALUES (1884, 0, 56, 4.58114536, 25, 11);
INSERT INTO public.ecdc_data VALUES (1885, 0, 4, 65.15282169, 83, 11);
INSERT INTO public.ecdc_data VALUES (1886, 0, 48, 3.35609827, 84, 11);
INSERT INTO public.ecdc_data VALUES (1887, 0, 0, 0, 169, 11);
INSERT INTO public.ecdc_data VALUES (1888, 15, 835, 99.17798015, 85, 11);
INSERT INTO public.ecdc_data VALUES (1889, 0, 158, 8.10416222, 170, 11);
INSERT INTO public.ecdc_data VALUES (1890, 0, 8, 28.29202977, 171, 11);
INSERT INTO public.ecdc_data VALUES (1891, 948, 78761, 69.74814224, 112, 11);
INSERT INTO public.ecdc_data VALUES (1892, 92, 3308, 11.72357821, 113, 11);
INSERT INTO public.ecdc_data VALUES (1893, 110, 1905, 37.08184345, 114, 11);
INSERT INTO public.ecdc_data VALUES (1894, 77, 3834, 139.56574532, 115, 11);
INSERT INTO public.ecdc_data VALUES (1895, 0, 141, 31.17710389, 172, 11);
INSERT INTO public.ecdc_data VALUES (1896, 0, 0, 0, 173, 11);
INSERT INTO public.ecdc_data VALUES (1897, 12, 1623, 249.78364018, 116, 11);
INSERT INTO public.ecdc_data VALUES (1898, 1, 1444, 22.2251506, 174, 11);
INSERT INTO public.ecdc_data VALUES (1899, 1, 102, 34.96957715, 86, 11);
INSERT INTO public.ecdc_data VALUES (1900, 9, 841, 9.89277189, 117, 11);
INSERT INTO public.ecdc_data VALUES (1901, 0, 1, 17.62588593, 175, 11);
INSERT INTO public.ecdc_data VALUES (1902, 0, 24, 5.48422706, 118, 11);
INSERT INTO public.ecdc_data VALUES (1903, 0, 633, 51.27368093, 119, 11);
INSERT INTO public.ecdc_data VALUES (1904, 5, 164, 7.50371377, 26, 11);
INSERT INTO public.ecdc_data VALUES (1905, 9, 115, 107.86730764, 176, 11);
INSERT INTO public.ecdc_data VALUES (1906, 3, 646, 202.68228987, 120, 11);
INSERT INTO public.ecdc_data VALUES (1907, 1, 108, 30.61168347, 121, 11);
INSERT INTO public.ecdc_data VALUES (1908, 0, 0, 0.02789612, 122, 11);
INSERT INTO public.ecdc_data VALUES (1909, 0, 0, 3.12505208, 177, 11);
INSERT INTO public.ecdc_data VALUES (1910, 7, 662, 114.25514123, 123, 11);
INSERT INTO public.ecdc_data VALUES (1911, 0, 0, 6.9638309, 27, 11);
INSERT INTO public.ecdc_data VALUES (1912, 0, 6, 0.95192303, 28, 11);
INSERT INTO public.ecdc_data VALUES (1913, 5, 329, 77.02008409, 29, 11);
INSERT INTO public.ecdc_data VALUES (1914, 0, 1, 36.47923289, 178, 11);
INSERT INTO public.ecdc_data VALUES (1915, 0, 29, 16.21224658, 179, 11);
INSERT INTO public.ecdc_data VALUES (1916, 0, 0, -139.92643681, 180, 11);
INSERT INTO public.ecdc_data VALUES (1917, 3, 95, 3.95634949, 30, 11);
INSERT INTO public.ecdc_data VALUES (1918, 0, 5, 2.69475959, 31, 11);
INSERT INTO public.ecdc_data VALUES (1919, 0, 11, 0.44444738, 124, 11);
INSERT INTO public.ecdc_data VALUES (1920, 0, 109, 357.65608138, 125, 11);
INSERT INTO public.ecdc_data VALUES (1921, 0, 21, 0.72743836, 32, 11);
INSERT INTO public.ecdc_data VALUES (1922, 1, 15, 113.25900247, 181, 11);
INSERT INTO public.ecdc_data VALUES (1923, 0, 35, 8.61745525, 33, 11);
INSERT INTO public.ecdc_data VALUES (1924, 0, 0, 0.15752125, 34, 11);
INSERT INTO public.ecdc_data VALUES (1925, 673, 3017, 58.40853695, 87, 11);
INSERT INTO public.ecdc_data VALUES (1926, 9, 500, 160.73671282, 182, 11);
INSERT INTO public.ecdc_data VALUES (1927, 0, 5, 93.69805048, 183, 11);
INSERT INTO public.ecdc_data VALUES (1928, 0, 0, 0.09301847, 126, 11);
INSERT INTO public.ecdc_data VALUES (1929, 1, 64, 123.27582604, 184, 11);
INSERT INTO public.ecdc_data VALUES (1930, 0, 0, 0, 88, 11);
INSERT INTO public.ecdc_data VALUES (1931, 26, 1567, 52.20202389, 35, 11);
INSERT INTO public.ecdc_data VALUES (1932, 1, 63, 3.19106444, 36, 11);
INSERT INTO public.ecdc_data VALUES (1933, 0, 93, 0.6938608, 127, 11);
INSERT INTO public.ecdc_data VALUES (1934, 4, 210, 128.64177695, 37, 11);
INSERT INTO public.ecdc_data VALUES (1935, 12, 884, 39.57185774, 128, 11);
INSERT INTO public.ecdc_data VALUES (1936, 4, 500, 41.23326461, 185, 11);
INSERT INTO public.ecdc_data VALUES (1937, 0, 0, 0, 207, 11);
INSERT INTO public.ecdc_data VALUES (1938, 0, 2, 2.23706069, 208, 11);
INSERT INTO public.ecdc_data VALUES (1939, 0, 0, 5.79023491, 89, 11);
INSERT INTO public.ecdc_data VALUES (1940, 0, 0, 0.04289872, 38, 11);
INSERT INTO public.ecdc_data VALUES (1941, 0, 250, 2.46661581, 39, 11);
INSERT INTO public.ecdc_data VALUES (1942, 0, 0, 61.33457094, 186, 11);
INSERT INTO public.ecdc_data VALUES (1943, 0, 0, 10.48712705, 209, 11);
INSERT INTO public.ecdc_data VALUES (1944, 0, 0, 13.00623924, 187, 11);
INSERT INTO public.ecdc_data VALUES (1945, 0, 0, 41.82921299, 129, 11);
INSERT INTO public.ecdc_data VALUES (1946, 4, 264, 3.19487908, 130, 11);
INSERT INTO public.ecdc_data VALUES (1947, 4, 417, 139.9801101, 131, 11);
INSERT INTO public.ecdc_data VALUES (1948, 17, 713, 251.31639679, 90, 11);
INSERT INTO public.ecdc_data VALUES (1949, 0, 6, 2.14217697, 210, 11);
INSERT INTO public.ecdc_data VALUES (1950, 14, 600, 100.68649366, 91, 11);
INSERT INTO public.ecdc_data VALUES (1951, 136, 9474, 349.52440848, 92, 11);
INSERT INTO public.ecdc_data VALUES (1952, 94, 3587, 51.06800322, 132, 11);
INSERT INTO public.ecdc_data VALUES (1953, 14, 759, 26.72701721, 188, 11);
INSERT INTO public.ecdc_data VALUES (1954, 3, 374, 33.73678322, 189, 11);
INSERT INTO public.ecdc_data VALUES (1955, 4, 562, 233.68755207, 93, 11);
INSERT INTO public.ecdc_data VALUES (1956, 0, 211, 127.04483751, 133, 11);
INSERT INTO public.ecdc_data VALUES (1957, 32, 1365, 84.77702545, 190, 11);
INSERT INTO public.ecdc_data VALUES (1958, 111, 4941, 46.24731255, 191, 11);
INSERT INTO public.ecdc_data VALUES (1959, 0, 101, 11.80808839, 40, 11);
INSERT INTO public.ecdc_data VALUES (1960, 0, 0, 0, 94, 11);
INSERT INTO public.ecdc_data VALUES (1961, 0, 0, 0.54706092, 95, 11);
INSERT INTO public.ecdc_data VALUES (1962, 0, 0, 2.71264908, 96, 11);
INSERT INTO public.ecdc_data VALUES (1963, 0, 0, 0, 192, 11);
INSERT INTO public.ecdc_data VALUES (1964, 0, 0, 4.65012462, 41, 11);
INSERT INTO public.ecdc_data VALUES (1965, 27, 987, 48.42927457, 134, 11);
INSERT INTO public.ecdc_data VALUES (1966, 3, 72, 8.73814659, 42, 11);
INSERT INTO public.ecdc_data VALUES (1967, 1, 75, 26.00605075, 193, 11);
INSERT INTO public.ecdc_data VALUES (1968, 0, 0, 9.20800892, 43, 11);
INSERT INTO public.ecdc_data VALUES (1969, 0, 6, 0.83192471, 44, 11);
INSERT INTO public.ecdc_data VALUES (1970, 0, 51, 18.19327355, 135, 11);
INSERT INTO public.ecdc_data VALUES (1971, 0, 16, 377.45641558, 97, 11);
INSERT INTO public.ecdc_data VALUES (1972, 0, 114, 18.10869289, 194, 11);
INSERT INTO public.ecdc_data VALUES (1973, 0, 37, 20.8082241, 195, 11);
INSERT INTO public.ecdc_data VALUES (1974, 2, 35, 0.34967512, 45, 11);
INSERT INTO public.ecdc_data VALUES (1975, 238, 2428, 66.42614612, 46, 11);
INSERT INTO public.ecdc_data VALUES (1976, 2, 299, 8.55241102, 136, 11);
INSERT INTO public.ecdc_data VALUES (1977, 0, 1, 0.28023577, 47, 11);
INSERT INTO public.ecdc_data VALUES (1978, 0, 0, 205.53694671, 196, 11);
INSERT INTO public.ecdc_data VALUES (1979, 0, 6, 0.49240907, 137, 11);
INSERT INTO public.ecdc_data VALUES (1980, 0, 144, 2.04376044, 48, 11);
INSERT INTO public.ecdc_data VALUES (1981, 1, 106, 170.80550362, 98, 11);
INSERT INTO public.ecdc_data VALUES (1982, 1, 131, 29.2956579, 197, 11);
INSERT INTO public.ecdc_data VALUES (1983, 0, 375, 44.28565794, 198, 11);
INSERT INTO public.ecdc_data VALUES (1984, 3, 65, 6.06322201, 138, 11);
INSERT INTO public.ecdc_data VALUES (1985, 0, 0, 0.01682519, 139, 11);
INSERT INTO public.ecdc_data VALUES (1986, 0, 0, 4.84925313, 140, 11);
INSERT INTO public.ecdc_data VALUES (1987, 0, 0, 0.04883263, 141, 11);
INSERT INTO public.ecdc_data VALUES (1988, 0, 0, 0.15466469, 142, 11);
INSERT INTO public.ecdc_data VALUES (1989, 0, 25, 3.2168826, 49, 11);
INSERT INTO public.ecdc_data VALUES (1990, 0, 91, 83.94451776, 99, 11);
INSERT INTO public.ecdc_data VALUES (1991, 2, 111, 13.24529247, 50, 11);
INSERT INTO public.ecdc_data VALUES (1992, 39, 1549, 23.10500374, 199, 11);
INSERT INTO public.ecdc_data VALUES (1993, 0, 15, 541.96994292, 100, 11);
INSERT INTO public.ecdc_data VALUES (1994, 1, 91, 3.1918075, 51, 11);
INSERT INTO public.ecdc_data VALUES (1995, 54, 2481, 61.96122472, 200, 11);
INSERT INTO public.ecdc_data VALUES (1996, 0, 427, 53.48739669, 143, 11);
INSERT INTO public.ecdc_data VALUES (1997, 12, 1108, 22.96873719, 201, 11);
INSERT INTO public.ecdc_data VALUES (1998, 0, 0, 0, 52, 11);
INSERT INTO public.ecdc_data VALUES (1999, 1006, 44143, 182.46156578, 101, 11);
INSERT INTO public.ecdc_data VALUES (2000, 0, 54, 377.70489295, 102, 11);
INSERT INTO public.ecdc_data VALUES (2001, 1, 14, 3.92867037, 103, 11);
INSERT INTO public.ecdc_data VALUES (2002, 6, 350, 19.28038005, 144, 11);
INSERT INTO public.ecdc_data VALUES (2003, 17, 1067, 43.27070414, 104, 11);
INSERT INTO public.ecdc_data VALUES (2004, 1, 2, 0.10988771, 145, 11);
INSERT INTO public.ecdc_data VALUES (2005, 0, 0, 0, 53, 11);
INSERT INTO public.ecdc_data VALUES (2006, 1, 4, 0.29147599, 146, 11);
INSERT INTO public.ecdc_data VALUES (2007, 1, 123, 15.20628649, 54, 11);
INSERT INTO public.ecdc_data VALUES (2008, 1, 18, 8.39849966, 55, 11);
INSERT INTO public.ecdc_data VALUES (2009, 0, 0, 3.88257567, 105, 12);
INSERT INTO public.ecdc_data VALUES (2010, 2, 108, 47.26758097, 147, 12);
INSERT INTO public.ecdc_data VALUES (2011, 12, 614, 19.64785123, 1, 12);
INSERT INTO public.ecdc_data VALUES (2012, 0, 11, 73.51300261, 148, 12);
INSERT INTO public.ecdc_data VALUES (2013, 6, 50, 1.33227342, 2, 12);
INSERT INTO public.ecdc_data VALUES (2014, 0, 0, 0, 56, 12);
INSERT INTO public.ecdc_data VALUES (2015, 0, 5, 17.50501982, 57, 12);
INSERT INTO public.ecdc_data VALUES (2016, 118, 5939, 148.37873703, 58, 12);
INSERT INTO public.ecdc_data VALUES (2017, 5, 259, 156.77574138, 149, 12);
INSERT INTO public.ecdc_data VALUES (2018, 0, 0, 12.22838867, 59, 12);
INSERT INTO public.ecdc_data VALUES (2019, 9, 278, 20.1839449, 202, 12);
INSERT INTO public.ecdc_data VALUES (2020, 3, 164, 19.53994768, 150, 12);
INSERT INTO public.ecdc_data VALUES (2021, 8, 363, 55.22646483, 151, 12);
INSERT INTO public.ecdc_data VALUES (2022, 0, 37, 93.71325285, 60, 12);
INSERT INTO public.ecdc_data VALUES (2023, 3, 390, 350.42201754, 106, 12);
INSERT INTO public.ecdc_data VALUES (2024, 35, 3009, 23.67672868, 107, 12);
INSERT INTO public.ecdc_data VALUES (2025, 0, 0, 2.09043938, 61, 12);
INSERT INTO public.ecdc_data VALUES (2026, 5, 152, 21.95207592, 152, 12);
INSERT INTO public.ecdc_data VALUES (2027, 3, 703, 41.22903554, 153, 12);
INSERT INTO public.ecdc_data VALUES (2028, 0, 0, 2.30561725, 62, 12);
INSERT INTO public.ecdc_data VALUES (2029, 0, 0, 3.32170989, 3, 12);
INSERT INTO public.ecdc_data VALUES (2030, 0, 0, 9.59877136, 63, 12);
INSERT INTO public.ecdc_data VALUES (2031, 0, 2, 2.22777273, 108, 12);
INSERT INTO public.ecdc_data VALUES (2032, 88, 1207, 185.14558457, 64, 12);
INSERT INTO public.ecdc_data VALUES (2033, 0, 0, 7.69734057, 65, 12);
INSERT INTO public.ecdc_data VALUES (2034, 0, 0, 101.75710497, 154, 12);
INSERT INTO public.ecdc_data VALUES (2035, 0, 65, 17.58039122, 4, 12);
INSERT INTO public.ecdc_data VALUES (2036, 1595, 69074, 277.431099, 66, 12);
INSERT INTO public.ecdc_data VALUES (2037, 0, 0, 0, 67, 12);
INSERT INTO public.ecdc_data VALUES (2038, 0, 0, 0, 109, 12);
INSERT INTO public.ecdc_data VALUES (2039, 13, 284, 46.82831053, 155, 12);
INSERT INTO public.ecdc_data VALUES (2040, 0, 11, 0.38875307, 5, 12);
INSERT INTO public.ecdc_data VALUES (2041, 0, 9, 1.02336596, 6, 12);
INSERT INTO public.ecdc_data VALUES (2042, 0, 8, 0.41245763, 110, 12);
INSERT INTO public.ecdc_data VALUES (2043, 2, 547, 8.04594552, 7, 12);
INSERT INTO public.ecdc_data VALUES (2044, 5, 476, 17.74877243, 68, 12);
INSERT INTO public.ecdc_data VALUES (2045, 1, 19, 97.46588694, 8, 12);
INSERT INTO public.ecdc_data VALUES (2046, 0, 0, 0, 69, 12);
INSERT INTO public.ecdc_data VALUES (2047, 0, 6, 5.12098701, 9, 12);
INSERT INTO public.ecdc_data VALUES (2048, 0, 0, 0.25710355, 10, 12);
INSERT INTO public.ecdc_data VALUES (2049, 38, 1775, 160.2466437, 70, 12);
INSERT INTO public.ecdc_data VALUES (2050, 2, 223, 0.13718945, 111, 12);
INSERT INTO public.ecdc_data VALUES (2051, 380, 8670, 220.27657318, 71, 12);
INSERT INTO public.ecdc_data VALUES (2052, 0, 38, 6.69886037, 11, 12);
INSERT INTO public.ecdc_data VALUES (2053, 0, 0, 15.64909161, 12, 12);
INSERT INTO public.ecdc_data VALUES (2054, 8, 456, 154.80744066, 72, 12);
INSERT INTO public.ecdc_data VALUES (2055, 1, 100, 9.37139556, 13, 12);
INSERT INTO public.ecdc_data VALUES (2056, 1, 70, 25.51367116, 156, 12);
INSERT INTO public.ecdc_data VALUES (2057, 0, 33, 1.32351182, 73, 12);
INSERT INTO public.ecdc_data VALUES (2058, 0, 0, 1.83572692, 74, 12);
INSERT INTO public.ecdc_data VALUES (2059, 0, 13, 6.50759962, 157, 12);
INSERT INTO public.ecdc_data VALUES (2060, 1, 294, 24.58262127, 158, 12);
INSERT INTO public.ecdc_data VALUES (2061, 5, 58, 0.88604098, 14, 12);
INSERT INTO public.ecdc_data VALUES (2062, 1, 57, 9.33504028, 159, 12);
INSERT INTO public.ecdc_data VALUES (2063, 0, 13, 9.86074775, 15, 12);
INSERT INTO public.ecdc_data VALUES (2064, 0, 0, 0, 75, 12);
INSERT INTO public.ecdc_data VALUES (2065, 22, 1492, 172.37241941, 76, 12);
INSERT INTO public.ecdc_data VALUES (2066, 39, 914, 74.04313323, 77, 12);
INSERT INTO public.ecdc_data VALUES (2067, 37, 409, 8.4800908, 16, 12);
INSERT INTO public.ecdc_data VALUES (2068, 13, 395, 80.51382572, 78, 12);
INSERT INTO public.ecdc_data VALUES (2069, 0, 0, 0, 17, 12);
INSERT INTO public.ecdc_data VALUES (2070, 0, 0, 0.94363443, 18, 12);
INSERT INTO public.ecdc_data VALUES (2071, 0, 4, 1.96253076, 160, 12);
INSERT INTO public.ecdc_data VALUES (2072, 1, 147, 92.49799457, 19, 12);
INSERT INTO public.ecdc_data VALUES (2073, 14, 610, 6.80682249, 20, 12);
INSERT INTO public.ecdc_data VALUES (2074, 0, 0, 0, 79, 12);
INSERT INTO public.ecdc_data VALUES (2075, 0, 0, 65.73946628, 161, 12);
INSERT INTO public.ecdc_data VALUES (2076, 0, 0, 0.11236523, 203, 12);
INSERT INTO public.ecdc_data VALUES (2077, 0, 10, 2.19285568, 162, 12);
INSERT INTO public.ecdc_data VALUES (2078, 15, 1392, 17.7458415, 163, 12);
INSERT INTO public.ecdc_data VALUES (2079, 0, 0, 0, 204, 12);
INSERT INTO public.ecdc_data VALUES (2080, 0, 163, 56.66079653, 21, 12);
INSERT INTO public.ecdc_data VALUES (2081, 0, 0, 11.1598776, 22, 12);
INSERT INTO public.ecdc_data VALUES (2082, 1, 0, 3.72801783, 164, 12);
INSERT INTO public.ecdc_data VALUES (2083, 6, 902, 9.11596211, 165, 12);
INSERT INTO public.ecdc_data VALUES (2084, 7, 736, 31.92861246, 23, 12);
INSERT INTO public.ecdc_data VALUES (2085, 0, 0, 17.80098499, 166, 12);
INSERT INTO public.ecdc_data VALUES (2086, 0, 57, 3.97217649, 167, 12);
INSERT INTO public.ecdc_data VALUES (2087, 0, 0, 1.76491352, 80, 12);
INSERT INTO public.ecdc_data VALUES (2088, 0, 1, 0.8928412, 81, 12);
INSERT INTO public.ecdc_data VALUES (2089, 0, 3, 23.90985983, 205, 12);
INSERT INTO public.ecdc_data VALUES (2090, 74, 2546, 88.33729318, 82, 12);
INSERT INTO public.ecdc_data VALUES (2091, 0, 0, 0, 168, 12);
INSERT INTO public.ecdc_data VALUES (2092, 0, 57, 7.10189123, 24, 12);
INSERT INTO public.ecdc_data VALUES (2093, 0, 0, 2.70704044, 25, 12);
INSERT INTO public.ecdc_data VALUES (2094, 0, 2, 10.85880362, 83, 12);
INSERT INTO public.ecdc_data VALUES (2095, 1, 7, 4.22619783, 84, 12);
INSERT INTO public.ecdc_data VALUES (2096, 0, 0, 0, 169, 12);
INSERT INTO public.ecdc_data VALUES (2097, 45, 484, 111.9215195, 85, 12);
INSERT INTO public.ecdc_data VALUES (2098, 0, 19, 2.2613887, 170, 12);
INSERT INTO public.ecdc_data VALUES (2099, 0, 4, 7.28309677, 171, 12);
INSERT INTO public.ecdc_data VALUES (2100, 775, 52123, 45.00204987, 112, 12);
INSERT INTO public.ecdc_data VALUES (2101, 74, 2381, 8.99323751, 113, 12);
INSERT INTO public.ecdc_data VALUES (2102, 196, 2636, 41.42610937, 114, 12);
INSERT INTO public.ecdc_data VALUES (2103, 68, 2968, 87.59395783, 115, 12);
INSERT INTO public.ecdc_data VALUES (2104, 0, 13, 5.28114448, 172, 12);
INSERT INTO public.ecdc_data VALUES (2105, 0, 0, 0, 173, 12);
INSERT INTO public.ecdc_data VALUES (2106, 5, 2001, 279.85627581, 116, 12);
INSERT INTO public.ecdc_data VALUES (2107, 6, 288, 5.41753578, 174, 12);
INSERT INTO public.ecdc_data VALUES (2108, 0, 1, 3.15438475, 86, 12);
INSERT INTO public.ecdc_data VALUES (2109, 3, 1126, 7.54294297, 117, 12);
INSERT INTO public.ecdc_data VALUES (2110, 0, 0, 5.56606924, 175, 12);
INSERT INTO public.ecdc_data VALUES (2111, 0, 5, -0.13859058, 118, 12);
INSERT INTO public.ecdc_data VALUES (2112, 0, 1472, 121.15509383, 119, 12);
INSERT INTO public.ecdc_data VALUES (2113, 12, 544, 14.97509214, 26, 12);
INSERT INTO public.ecdc_data VALUES (2114, 4, 194, 145.06484827, 176, 12);
INSERT INTO public.ecdc_data VALUES (2115, 2, 754, 214.54325652, 120, 12);
INSERT INTO public.ecdc_data VALUES (2116, 17, 631, 354.20086907, 121, 12);
INSERT INTO public.ecdc_data VALUES (2117, 0, 0, 0.01394806, 122, 12);
INSERT INTO public.ecdc_data VALUES (2118, 0, 4, 2.39587326, 177, 12);
INSERT INTO public.ecdc_data VALUES (2119, 1, 182, 24.25715561, 123, 12);
INSERT INTO public.ecdc_data VALUES (2120, 1, 71, 15.05693167, 27, 12);
INSERT INTO public.ecdc_data VALUES (2121, 0, 2, 2.49120281, 28, 12);
INSERT INTO public.ecdc_data VALUES (2122, 3, 190, 21.06986209, 29, 12);
INSERT INTO public.ecdc_data VALUES (2123, 0, 1, 7.81697848, 178, 12);
INSERT INTO public.ecdc_data VALUES (2124, 0, 16, 5.76196843, 179, 12);
INSERT INTO public.ecdc_data VALUES (2125, 1, 158, 240.59528192, 180, 12);
INSERT INTO public.ecdc_data VALUES (2126, 6, 213, 17.47171396, 30, 12);
INSERT INTO public.ecdc_data VALUES (2127, 4, 149, 6.67785046, 31, 12);
INSERT INTO public.ecdc_data VALUES (2128, 0, 13, 0.69484027, 124, 12);
INSERT INTO public.ecdc_data VALUES (2129, 0, 61, 138.61762817, 125, 12);
INSERT INTO public.ecdc_data VALUES (2130, 0, 1, 0.44765438, 32, 12);
INSERT INTO public.ecdc_data VALUES (2131, 0, 9, 10.9409412, 181, 12);
INSERT INTO public.ecdc_data VALUES (2132, 0, 78, 17.7431194, 33, 12);
INSERT INTO public.ecdc_data VALUES (2133, 0, 0, 0.07876062, 34, 12);
INSERT INTO public.ecdc_data VALUES (2134, 485, 7617, 75.94559925, 87, 12);
INSERT INTO public.ecdc_data VALUES (2135, 6, 426, 96.62999492, 182, 12);
INSERT INTO public.ecdc_data VALUES (2136, 0, 2, 24.18014206, 183, 12);
INSERT INTO public.ecdc_data VALUES (2137, 0, 0, 0.93018468, 126, 12);
INSERT INTO public.ecdc_data VALUES (2138, 2, 67, 230.47918455, 184, 12);
INSERT INTO public.ecdc_data VALUES (2139, 0, 0, 20.03606492, 88, 12);
INSERT INTO public.ecdc_data VALUES (2140, 7, 826, 16.31673114, 35, 12);
INSERT INTO public.ecdc_data VALUES (2141, 0, 28, 1.3765376, 36, 12);
INSERT INTO public.ecdc_data VALUES (2142, 0, 2, 0.02960473, 127, 12);
INSERT INTO public.ecdc_data VALUES (2143, 1, 69, 41.13009135, 37, 12);
INSERT INTO public.ecdc_data VALUES (2144, 0, 210, 7.32643881, 128, 12);
INSERT INTO public.ecdc_data VALUES (2145, 0, 247, 13.70777489, 185, 12);
INSERT INTO public.ecdc_data VALUES (2146, 0, 0, 0, 207, 12);
INSERT INTO public.ecdc_data VALUES (2147, 0, 1, 0.25088531, 208, 12);
INSERT INTO public.ecdc_data VALUES (2148, 0, 0, 8.02077396, 89, 12);
INSERT INTO public.ecdc_data VALUES (2149, 0, 2, 0.14585565, 38, 12);
INSERT INTO public.ecdc_data VALUES (2150, 5, 404, 3.95544262, 39, 12);
INSERT INTO public.ecdc_data VALUES (2151, 5, 188, 95.42003108, 186, 12);
INSERT INTO public.ecdc_data VALUES (2152, 0, 2, 10.48712705, 209, 12);
INSERT INTO public.ecdc_data VALUES (2153, 0, 18, 2.79643528, 187, 12);
INSERT INTO public.ecdc_data VALUES (2154, 10, 665, 348.18146441, 129, 12);
INSERT INTO public.ecdc_data VALUES (2155, 32, 1114, 8.99867083, 130, 12);
INSERT INTO public.ecdc_data VALUES (2156, 1, 520, 126.55020996, 131, 12);
INSERT INTO public.ecdc_data VALUES (2157, 25, 1046, 330.30020441, 90, 12);
INSERT INTO public.ecdc_data VALUES (2158, 1, 0, 0.59251703, 210, 12);
INSERT INTO public.ecdc_data VALUES (2159, 1, 192, 23.6775795, 91, 12);
INSERT INTO public.ecdc_data VALUES (2160, 204, 5678, 193.65766011, 92, 12);
INSERT INTO public.ecdc_data VALUES (2161, 15, 1813, 24.6363598, 132, 12);
INSERT INTO public.ecdc_data VALUES (2162, 12, 512, 14.84219815, 188, 12);
INSERT INTO public.ecdc_data VALUES (2163, 3, 203, 31.01215118, 189, 12);
INSERT INTO public.ecdc_data VALUES (2164, 2, 221, 193.69987905, 93, 12);
INSERT INTO public.ecdc_data VALUES (2165, 2, 273, 182.55192049, 133, 12);
INSERT INTO public.ecdc_data VALUES (2166, 30, 1182, 72.15756422, 190, 12);
INSERT INTO public.ecdc_data VALUES (2167, 169, 5475, 56.63928152, 191, 12);
INSERT INTO public.ecdc_data VALUES (2168, 0, 10, 3.96770777, 40, 12);
INSERT INTO public.ecdc_data VALUES (2169, 0, 0, 0, 94, 12);
INSERT INTO public.ecdc_data VALUES (2170, 0, 0, 1.09412183, 95, 12);
INSERT INTO public.ecdc_data VALUES (2171, 0, 0, 15.37167814, 96, 12);
INSERT INTO public.ecdc_data VALUES (2172, 0, 0, 0, 192, 12);
INSERT INTO public.ecdc_data VALUES (2173, 1, 1, 60.91663257, 41, 12);
INSERT INTO public.ecdc_data VALUES (2174, 27, 1759, 93.71864196, 134, 12);
INSERT INTO public.ecdc_data VALUES (2175, 2, 156, 9.76905152, 42, 12);
INSERT INTO public.ecdc_data VALUES (2176, 7, 372, 79.81315852, 193, 12);
INSERT INTO public.ecdc_data VALUES (2177, 0, 0, 14.32356943, 43, 12);
INSERT INTO public.ecdc_data VALUES (2178, 1, 17, 1.72784364, 44, 12);
INSERT INTO public.ecdc_data VALUES (2179, 0, 334, 80.1641116, 135, 12);
INSERT INTO public.ecdc_data VALUES (2180, 0, 0, 101.44141169, 97, 12);
INSERT INTO public.ecdc_data VALUES (2181, 0, 41, 5.83441169, 194, 12);
INSERT INTO public.ecdc_data VALUES (2182, 0, 14, 11.38925892, 195, 12);
INSERT INTO public.ecdc_data VALUES (2183, 0, 16, 0.83533501, 45, 12);
INSERT INTO public.ecdc_data VALUES (2184, 240, 11362, 273.35849949, 46, 12);
INSERT INTO public.ecdc_data VALUES (2185, 0, 18, 1.28256883, 136, 12);
INSERT INTO public.ecdc_data VALUES (2186, 0, 0, 1.52773692, 47, 12);
INSERT INTO public.ecdc_data VALUES (2187, 2, 2789, 56.61837363, 196, 12);
INSERT INTO public.ecdc_data VALUES (2188, 0, 1, 0.64247659, 137, 12);
INSERT INTO public.ecdc_data VALUES (2189, 0, 0, 2.2633187, 48, 12);
INSERT INTO public.ecdc_data VALUES (2190, 2, 97, 130.38325452, 98, 12);
INSERT INTO public.ecdc_data VALUES (2191, 1, 301, 27.46773397, 197, 12);
INSERT INTO public.ecdc_data VALUES (2192, 0, 192, 19.32231006, 198, 12);
INSERT INTO public.ecdc_data VALUES (2193, 0, 23, 1.51727005, 138, 12);
INSERT INTO public.ecdc_data VALUES (2194, 0, 0, 0.06309445, 139, 12);
INSERT INTO public.ecdc_data VALUES (2195, 0, 44, 6.70527259, 140, 12);
INSERT INTO public.ecdc_data VALUES (2196, 0, 6, 0.09766525, 141, 12);
INSERT INTO public.ecdc_data VALUES (2197, 0, 0, 0, 142, 12);
INSERT INTO public.ecdc_data VALUES (2198, 0, 0, 1.93012956, 49, 12);
INSERT INTO public.ecdc_data VALUES (2199, 0, 2, 1.64878216, 99, 12);
INSERT INTO public.ecdc_data VALUES (2200, 0, 20, 1.44509647, 50, 12);
INSERT INTO public.ecdc_data VALUES (2201, 14, 942, 15.83339677, 199, 12);
INSERT INTO public.ecdc_data VALUES (2202, 0, 0, 70.69173169, 100, 12);
INSERT INTO public.ecdc_data VALUES (2203, 0, 5, 0.21911205, 51, 12);
INSERT INTO public.ecdc_data VALUES (2204, 21, 1022, 27.25393757, 200, 12);
INSERT INTO public.ecdc_data VALUES (2205, 0, 375, 41.68659906, 143, 12);
INSERT INTO public.ecdc_data VALUES (2206, 34, 763, 12.44014894, 201, 12);
INSERT INTO public.ecdc_data VALUES (2207, 0, 0, 0, 52, 12);
INSERT INTO public.ecdc_data VALUES (2208, 1457, 74985, 281.9173215, 101, 12);
INSERT INTO public.ecdc_data VALUES (2209, 0, 0, 130.04522897, 102, 12);
INSERT INTO public.ecdc_data VALUES (2210, 0, 19, 6.58630032, 103, 12);
INSERT INTO public.ecdc_data VALUES (2211, 5, 703, 24.51358275, 144, 12);
INSERT INTO public.ecdc_data VALUES (2212, 0, 0, 21.54242123, 104, 12);
INSERT INTO public.ecdc_data VALUES (2213, 0, 26, 0.08915418, 145, 12);
INSERT INTO public.ecdc_data VALUES (2214, 0, 0, 0, 53, 12);
INSERT INTO public.ecdc_data VALUES (2215, 1, 16, 0.63438891, 146, 12);
INSERT INTO public.ecdc_data VALUES (2216, 4, 247, 16.60598149, 54, 12);
INSERT INTO public.ecdc_data VALUES (2217, 1, 62, 12.22220682, 55, 12);
INSERT INTO public.ecdc_data VALUES (2218, 12, 271, 15.01245066, 105, 13);
INSERT INTO public.ecdc_data VALUES (2219, 3, 64, 30.60340054, 147, 13);
INSERT INTO public.ecdc_data VALUES (2220, 8, 298, 5.89969761, 1, 13);
INSERT INTO public.ecdc_data VALUES (2221, 0, 0, 2.62546438, 148, 13);
INSERT INTO public.ecdc_data VALUES (2222, 0, 9, 0.42104868, 2, 13);
INSERT INTO public.ecdc_data VALUES (2223, 0, 0, 0, 56, 13);
INSERT INTO public.ecdc_data VALUES (2224, 0, 1, 41.18828193, 57, 13);
INSERT INTO public.ecdc_data VALUES (2225, 63, 4524, 65.83866813, 58, 13);
INSERT INTO public.ecdc_data VALUES (2226, 10, 415, 272.26979628, 149, 13);
INSERT INTO public.ecdc_data VALUES (2227, 0, 2, 1.88129057, 59, 13);
INSERT INTO public.ecdc_data VALUES (2228, 0, 81, 1.71406805, 202, 13);
INSERT INTO public.ecdc_data VALUES (2229, 1, 41, 6.78423371, 150, 13);
INSERT INTO public.ecdc_data VALUES (2230, 8, 544, 66.12446069, 151, 13);
INSERT INTO public.ecdc_data VALUES (2231, 0, 0, 0, 60, 13);
INSERT INTO public.ecdc_data VALUES (2232, 1, 534, 440.29725244, 106, 13);
INSERT INTO public.ecdc_data VALUES (2233, 45, 4014, 31.39110784, 107, 13);
INSERT INTO public.ecdc_data VALUES (2234, 0, 0, 0, 61, 13);
INSERT INTO public.ecdc_data VALUES (2235, 4, 315, 75.21892038, 152, 13);
INSERT INTO public.ecdc_data VALUES (2236, 3, 127, 11.13000642, 153, 13);
INSERT INTO public.ecdc_data VALUES (2237, 0, 0, 0.76853908, 62, 13);
INSERT INTO public.ecdc_data VALUES (2238, 3, 38, 5.9655198, 3, 13);
INSERT INTO public.ecdc_data VALUES (2239, 0, 0, 3.19959045, 63, 13);
INSERT INTO public.ecdc_data VALUES (2240, 0, 1, 1.31045454, 108, 13);
INSERT INTO public.ecdc_data VALUES (2241, 57, 601, 113.36649324, 64, 13);
INSERT INTO public.ecdc_data VALUES (2242, 0, 0, 0, 65, 13);
INSERT INTO public.ecdc_data VALUES (2243, 1, 128, 39.50320479, 154, 13);
INSERT INTO public.ecdc_data VALUES (2244, 0, 50, 4.99196294, 4, 13);
INSERT INTO public.ecdc_data VALUES (2245, 692, 24052, 227.39876512, 66, 13);
INSERT INTO public.ecdc_data VALUES (2246, 0, 0, 0, 67, 13);
INSERT INTO public.ecdc_data VALUES (2247, 0, 0, 0, 109, 13);
INSERT INTO public.ecdc_data VALUES (2248, 4, 140, 21.28559569, 155, 13);
INSERT INTO public.ecdc_data VALUES (2249, 0, 0, 0.31986012, 5, 13);
INSERT INTO public.ecdc_data VALUES (2250, 0, 0, 0.57239113, 6, 13);
INSERT INTO public.ecdc_data VALUES (2251, 0, 0, 0.07885219, 110, 13);
INSERT INTO public.ecdc_data VALUES (2252, 0, 0, 10.54243005, 7, 13);
INSERT INTO public.ecdc_data VALUES (2253, 44, 668, 12.75292068, 68, 13);
INSERT INTO public.ecdc_data VALUES (2254, 0, 10, 73.64493323, 8, 13);
INSERT INTO public.ecdc_data VALUES (2255, 0, 3, 18.47631952, 69, 13);
INSERT INTO public.ecdc_data VALUES (2256, 2, 184, 27.90200328, 9, 13);
INSERT INTO public.ecdc_data VALUES (2257, 0, 0, 0.10033309, 10, 13);
INSERT INTO public.ecdc_data VALUES (2258, 66, 4017, 509.51256686, 70, 13);
INSERT INTO public.ecdc_data VALUES (2259, 0, 23, 0.0280377, 111, 13);
INSERT INTO public.ecdc_data VALUES (2260, 117, 3274, 83.39385082, 71, 13);
INSERT INTO public.ecdc_data VALUES (2261, 0, 0, 11.28229115, 11, 13);
INSERT INTO public.ecdc_data VALUES (2262, 0, 0, 6.72799425, 12, 13);
INSERT INTO public.ecdc_data VALUES (2263, 0, 139, 30.2126116, 72, 13);
INSERT INTO public.ecdc_data VALUES (2264, 0, 270, 14.67926068, 13, 13);
INSERT INTO public.ecdc_data VALUES (2265, 0, 34, 11.55474915, 156, 13);
INSERT INTO public.ecdc_data VALUES (2266, 0, 8, 0.68822614, 73, 13);
INSERT INTO public.ecdc_data VALUES (2267, 0, 0, 1.22381794, 74, 13);
INSERT INTO public.ecdc_data VALUES (2268, 0, 2, 1.25585256, 157, 13);
INSERT INTO public.ecdc_data VALUES (2269, 0, 202, 16.34772484, 158, 13);
INSERT INTO public.ecdc_data VALUES (2270, 10, 113, 2.42192216, 14, 13);
INSERT INTO public.ecdc_data VALUES (2271, 1, 76, 9.19725371, 159, 13);
INSERT INTO public.ecdc_data VALUES (2272, 1, 13, 15.92099898, 15, 13);
INSERT INTO public.ecdc_data VALUES (2273, 0, 0, 0, 75, 13);
INSERT INTO public.ecdc_data VALUES (2274, 7, 443, 79.57011095, 76, 13);
INSERT INTO public.ecdc_data VALUES (2275, 73, 410, 48.02097797, 77, 13);
INSERT INTO public.ecdc_data VALUES (2276, 83, 1566, 20.38588726, 16, 13);
INSERT INTO public.ecdc_data VALUES (2277, 0, 239, 36.36758063, 78, 13);
INSERT INTO public.ecdc_data VALUES (2278, 0, 0, 51.25436768, 17, 13);
INSERT INTO public.ecdc_data VALUES (2279, 0, 0, 2.34478858, 18, 13);
INSERT INTO public.ecdc_data VALUES (2280, 0, 0, 0.98126538, 160, 13);
INSERT INTO public.ecdc_data VALUES (2281, 0, 14, 25.17129984, 19, 13);
INSERT INTO public.ecdc_data VALUES (2282, 5, 157, 2.0744347, 20, 13);
INSERT INTO public.ecdc_data VALUES (2283, 0, 0, 0, 79, 13);
INSERT INTO public.ecdc_data VALUES (2284, 0, 0, 0, 161, 13);
INSERT INTO public.ecdc_data VALUES (2285, 0, 0, 0, 203, 13);
INSERT INTO public.ecdc_data VALUES (2286, 0, 18, 1.83040019, 162, 13);
INSERT INTO public.ecdc_data VALUES (2287, 35, 1324, 10.2786206, 163, 13);
INSERT INTO public.ecdc_data VALUES (2288, 0, 0, 0.71611436, 204, 13);
INSERT INTO public.ecdc_data VALUES (2289, 2, 185, 62.64447122, 21, 13);
INSERT INTO public.ecdc_data VALUES (2290, 0, 2, 0.7241142, 22, 13);
INSERT INTO public.ecdc_data VALUES (2291, 0, 2, 1.22599244, 164, 13);
INSERT INTO public.ecdc_data VALUES (2292, 12, 498, 8.93769012, 165, 13);
INSERT INTO public.ecdc_data VALUES (2293, 0, 0, 17.70999128, 23, 13);
INSERT INTO public.ecdc_data VALUES (2294, 0, 0, 2.96683083, 166, 13);
INSERT INTO public.ecdc_data VALUES (2295, 0, 14, 2.38703564, 167, 13);
INSERT INTO public.ecdc_data VALUES (2296, 0, 0, 0, 80, 13);
INSERT INTO public.ecdc_data VALUES (2297, 0, 0, 0, 81, 13);
INSERT INTO public.ecdc_data VALUES (2298, 0, 4, 42.4400012, 205, 13);
INSERT INTO public.ecdc_data VALUES (2299, 19, 479, 40.5938614, 82, 13);
INSERT INTO public.ecdc_data VALUES (2300, 0, 0, 0, 168, 13);
INSERT INTO public.ecdc_data VALUES (2301, 0, 9, 6.09963977, 24, 13);
INSERT INTO public.ecdc_data VALUES (2302, 0, 0, 8.01700438, 25, 13);
INSERT INTO public.ecdc_data VALUES (2303, 0, 5, 9.70904794, 83, 13);
INSERT INTO public.ecdc_data VALUES (2304, 1, 86, 13.24682176, 84, 13);
INSERT INTO public.ecdc_data VALUES (2305, 0, 0, 0, 169, 13);
INSERT INTO public.ecdc_data VALUES (2306, 6, 736, 98.91120718, 85, 13);
INSERT INTO public.ecdc_data VALUES (2307, 4, 3, 0.69581191, 170, 13);
INSERT INTO public.ecdc_data VALUES (2308, 0, 1, 3.08131017, 171, 13);
INSERT INTO public.ecdc_data VALUES (2309, 418, 18522, 16.3748604, 112, 13);
INSERT INTO public.ecdc_data VALUES (2310, 51, 1082, 5.83758592, 113, 13);
INSERT INTO public.ecdc_data VALUES (2311, 162, 2536, 42.60926453, 114, 13);
INSERT INTO public.ecdc_data VALUES (2312, 83, 1749, 65.7240872, 115, 13);
INSERT INTO public.ecdc_data VALUES (2313, 0, 23, 2.87506321, 172, 13);
INSERT INTO public.ecdc_data VALUES (2314, 0, 0, 0, 173, 13);
INSERT INTO public.ecdc_data VALUES (2315, 1, 686, 59.89877424, 116, 13);
INSERT INTO public.ecdc_data VALUES (2316, 6, 126, 5.21210017, 174, 13);
INSERT INTO public.ecdc_data VALUES (2317, 0, 2, 2.6116949, 86, 13);
INSERT INTO public.ecdc_data VALUES (2318, 0, 117, 0.79299829, 117, 13);
INSERT INTO public.ecdc_data VALUES (2319, 0, 0, 2.78303462, 175, 13);
INSERT INTO public.ecdc_data VALUES (2320, 0, 7, 1.4749997, 118, 13);
INSERT INTO public.ecdc_data VALUES (2321, 5, 492, 35.72231744, 119, 13);
INSERT INTO public.ecdc_data VALUES (2322, 1, 120, 4.68482814, 26, 13);
INSERT INTO public.ecdc_data VALUES (2323, 0, 122, 65.83241869, 176, 13);
INSERT INTO public.ecdc_data VALUES (2324, 2, 582, 216.13581116, 120, 13);
INSERT INTO public.ecdc_data VALUES (2325, 7, 279, 44.01598479, 121, 13);
INSERT INTO public.ecdc_data VALUES (2326, 0, 0, 0, 122, 13);
INSERT INTO public.ecdc_data VALUES (2327, 0, 1, 1.04168403, 177, 13);
INSERT INTO public.ecdc_data VALUES (2328, 0, 5, 4.09877374, 123, 13);
INSERT INTO public.ecdc_data VALUES (2329, 0, 0, 1.08221696, 27, 13);
INSERT INTO public.ecdc_data VALUES (2330, 2, 2, 5.50900134, 28, 13);
INSERT INTO public.ecdc_data VALUES (2331, 0, 0, 4.35266759, 29, 13);
INSERT INTO public.ecdc_data VALUES (2332, 0, 0, 0, 178, 13);
INSERT INTO public.ecdc_data VALUES (2333, 0, 0, 1.53891082, 179, 13);
INSERT INTO public.ecdc_data VALUES (2334, 0, 14, 29.97260113, 180, 13);
INSERT INTO public.ecdc_data VALUES (2335, 2, 60, 3.14431524, 30, 13);
INSERT INTO public.ecdc_data VALUES (2336, 1, 78, 3.58585539, 31, 13);
INSERT INTO public.ecdc_data VALUES (2337, 0, 3, 0.44757729, 124, 13);
INSERT INTO public.ecdc_data VALUES (2338, 0, 13, 51.03991472, 125, 13);
INSERT INTO public.ecdc_data VALUES (2339, 1, 26, 1.59222522, 32, 13);
INSERT INTO public.ecdc_data VALUES (2340, 0, 0, 2.83654031, 181, 13);
INSERT INTO public.ecdc_data VALUES (2341, 6, 242, 49.98124046, 33, 13);
INSERT INTO public.ecdc_data VALUES (2342, 0, 0, 0.31504249, 34, 13);
INSERT INTO public.ecdc_data VALUES (2343, 473, 7462, 60.28428853, 87, 13);
INSERT INTO public.ecdc_data VALUES (2344, 6, 107, 110.75226958, 182, 13);
INSERT INTO public.ecdc_data VALUES (2345, 0, 0, 9.06755327, 183, 13);
INSERT INTO public.ecdc_data VALUES (2346, 0, 0, 0.71314159, 126, 13);
INSERT INTO public.ecdc_data VALUES (2347, 0, 20, 28.1268182, 184, 13);
INSERT INTO public.ecdc_data VALUES (2348, 0, 0, 0, 88, 13);
INSERT INTO public.ecdc_data VALUES (2349, 4, 238, 9.46485564, 35, 13);
INSERT INTO public.ecdc_data VALUES (2350, 1, 24, 0.90232369, 36, 13);
INSERT INTO public.ecdc_data VALUES (2351, 0, 0, 0.06846093, 127, 13);
INSERT INTO public.ecdc_data VALUES (2352, 0, 13, 6.57440057, 37, 13);
INSERT INTO public.ecdc_data VALUES (2353, 1, 476, 24.59739978, 128, 13);
INSERT INTO public.ecdc_data VALUES (2354, 2, 76, 7.37754875, 185, 13);
INSERT INTO public.ecdc_data VALUES (2355, 0, 0, 0, 207, 13);
INSERT INTO public.ecdc_data VALUES (2356, 0, 0, 0.4599564, 208, 13);
INSERT INTO public.ecdc_data VALUES (2357, 0, 0, 7.86799731, 89, 13);
INSERT INTO public.ecdc_data VALUES (2358, 0, 1, 0.40753784, 38, 13);
INSERT INTO public.ecdc_data VALUES (2359, 8, 566, 4.21718156, 39, 13);
INSERT INTO public.ecdc_data VALUES (2360, 12, 132, 99.51221203, 186, 13);
INSERT INTO public.ecdc_data VALUES (2361, 0, 0, 0, 209, 13);
INSERT INTO public.ecdc_data VALUES (2362, 0, 40, 4.20403693, 187, 13);
INSERT INTO public.ecdc_data VALUES (2363, 6, 910, 292.18137436, 129, 13);
INSERT INTO public.ecdc_data VALUES (2364, 137, 2825, 27.89735717, 130, 13);
INSERT INTO public.ecdc_data VALUES (2365, 1, 195, 35.27105312, 131, 13);
INSERT INTO public.ecdc_data VALUES (2366, 16, 1099, 267.5888509, 90, 13);
INSERT INTO public.ecdc_data VALUES (2367, 0, 0, 0.03418368, 210, 13);
INSERT INTO public.ecdc_data VALUES (2368, 1, 64, 12.80406278, 91, 13);
INSERT INTO public.ecdc_data VALUES (2369, 187, 2946, 151.86803559, 92, 13);
INSERT INTO public.ecdc_data VALUES (2370, 11, 983, 9.26592028, 132, 13);
INSERT INTO public.ecdc_data VALUES (2371, 6, 247, 11.49769999, 188, 13);
INSERT INTO public.ecdc_data VALUES (2372, 4, 266, 47.44752091, 189, 13);
INSERT INTO public.ecdc_data VALUES (2373, 0, 61, 46.36251945, 93, 13);
INSERT INTO public.ecdc_data VALUES (2374, 3, 693, 502.45915445, 133, 13);
INSERT INTO public.ecdc_data VALUES (2375, 22, 269, 22.75108581, 190, 13);
INSERT INTO public.ecdc_data VALUES (2376, 93, 6719, 71.25823649, 191, 13);
INSERT INTO public.ecdc_data VALUES (2377, 0, 101, 3.08071521, 40, 13);
INSERT INTO public.ecdc_data VALUES (2378, 0, 0, 0, 94, 13);
INSERT INTO public.ecdc_data VALUES (2379, 0, 0, 0, 95, 13);
INSERT INTO public.ecdc_data VALUES (2380, 0, 0, 1.80843272, 96, 13);
INSERT INTO public.ecdc_data VALUES (2381, 0, 0, 11.61001945, 192, 13);
INSERT INTO public.ecdc_data VALUES (2382, 0, 0, 24.18064804, 41, 13);
INSERT INTO public.ecdc_data VALUES (2383, 48, 3943, 158.71121868, 134, 13);
INSERT INTO public.ecdc_data VALUES (2384, 3, 112, 9.35791682, 42, 13);
INSERT INTO public.ecdc_data VALUES (2385, 4, 242, 27.58565626, 193, 13);
INSERT INTO public.ecdc_data VALUES (2386, 0, 0, 0, 43, 13);
INSERT INTO public.ecdc_data VALUES (2387, 0, 23, 3.50688264, 44, 13);
INSERT INTO public.ecdc_data VALUES (2388, 0, 202, 48.98056507, 135, 13);
INSERT INTO public.ecdc_data VALUES (2389, 0, 0, 0, 97, 13);
INSERT INTO public.ecdc_data VALUES (2390, 0, 1, 2.07323434, 194, 13);
INSERT INTO public.ecdc_data VALUES (2391, 0, 4, 4.27697909, 195, 13);
INSERT INTO public.ecdc_data VALUES (2392, 0, 10, 1.69657188, 45, 13);
INSERT INTO public.ecdc_data VALUES (2393, 73, 6130, 120.78738601, 46, 13);
INSERT INTO public.ecdc_data VALUES (2394, 0, 43, 1.25914291, 136, 13);
INSERT INTO public.ecdc_data VALUES (2395, 1, 17, 2.26900573, 47, 13);
INSERT INTO public.ecdc_data VALUES (2396, 9, 301, 10.53112402, 196, 13);
INSERT INTO public.ecdc_data VALUES (2397, 0, 5, 0.64247659, 137, 13);
INSERT INTO public.ecdc_data VALUES (2398, 0, 0, 4.76021003, 48, 13);
INSERT INTO public.ecdc_data VALUES (2399, 2, 11, 46.78660321, 98, 13);
INSERT INTO public.ecdc_data VALUES (2400, 16, 727, 142.05999207, 197, 13);
INSERT INTO public.ecdc_data VALUES (2401, 0, 35, 6.09747035, 198, 13);
INSERT INTO public.ecdc_data VALUES (2402, 0, 13, 0.53895307, 138, 13);
INSERT INTO public.ecdc_data VALUES (2403, 0, 0, 0.00841259, 139, 13);
INSERT INTO public.ecdc_data VALUES (2404, 0, 51, 8.61493422, 140, 13);
INSERT INTO public.ecdc_data VALUES (2405, 0, 9, 0.05170513, 141, 13);
INSERT INTO public.ecdc_data VALUES (2406, 0, 0, 0, 142, 13);
INSERT INTO public.ecdc_data VALUES (2407, 0, 1, 1.37336142, 49, 13);
INSERT INTO public.ecdc_data VALUES (2408, 0, 0, 0.21505854, 99, 13);
INSERT INTO public.ecdc_data VALUES (2409, 0, 3, 0.53015373, 50, 13);
INSERT INTO public.ecdc_data VALUES (2410, 18, 1374, 22.90379375, 199, 13);
INSERT INTO public.ecdc_data VALUES (2411, 0, 13, 75.92815625, 100, 13);
INSERT INTO public.ecdc_data VALUES (2412, 0, 11, 0.37271638, 51, 13);
INSERT INTO public.ecdc_data VALUES (2413, 18, 646, 26.862972, 200, 13);
INSERT INTO public.ecdc_data VALUES (2414, 1, 449, 57.41758427, 143, 13);
INSERT INTO public.ecdc_data VALUES (2415, 21, 446, 17.32108062, 201, 13);
INSERT INTO public.ecdc_data VALUES (2416, 0, 0, 0, 52, 13);
INSERT INTO public.ecdc_data VALUES (2417, 336, 41556, 144.81215571, 101, 13);
INSERT INTO public.ecdc_data VALUES (2418, 0, 3, 10.51836411, 102, 13);
INSERT INTO public.ecdc_data VALUES (2419, 0, 3, 2.4265317, 103, 13);
INSERT INTO public.ecdc_data VALUES (2420, 2, 267, 9.11110899, 144, 13);
INSERT INTO public.ecdc_data VALUES (2421, 4, 233, 8.94941543, 104, 13);
INSERT INTO public.ecdc_data VALUES (2422, 0, 0, 0.02177021, 145, 13);
INSERT INTO public.ecdc_data VALUES (2423, 0, 0, 31.76194678, 53, 13);
INSERT INTO public.ecdc_data VALUES (2424, 2, 10, 0.97387271, 146, 13);
INSERT INTO public.ecdc_data VALUES (2425, 0, 11, 1.04137308, 54, 13);
INSERT INTO public.ecdc_data VALUES (2426, 1, 7, 1.27684507, 55, 13);
INSERT INTO public.ecdc_data VALUES (2427, 11, 623, 19.07640596, 105, 14);
INSERT INTO public.ecdc_data VALUES (2428, 0, 23, 6.39317614, 147, 14);
INSERT INTO public.ecdc_data VALUES (2429, 8, 137, 5.81840257, 1, 14);
INSERT INTO public.ecdc_data VALUES (2430, 0, 1, 3.93819657, 148, 14);
INSERT INTO public.ecdc_data VALUES (2431, 0, 4, 0.09112247, 2, 14);
INSERT INTO public.ecdc_data VALUES (2432, 0, 0, 0, 56, 14);
INSERT INTO public.ecdc_data VALUES (2433, 0, 0, 0, 57, 14);
INSERT INTO public.ecdc_data VALUES (2434, 12, 717, 17.7308627, 58, 14);
INSERT INTO public.ecdc_data VALUES (2435, 7, 251, 157.01240953, 149, 14);
INSERT INTO public.ecdc_data VALUES (2436, 0, 0, 0, 59, 14);
INSERT INTO public.ecdc_data VALUES (2437, 0, 23, 0.61103352, 202, 14);
INSERT INTO public.ecdc_data VALUES (2438, 0, 51, 5.93761553, 150, 14);
INSERT INTO public.ecdc_data VALUES (2439, 2, 230, 19.99458783, 151, 14);
INSERT INTO public.ecdc_data VALUES (2440, 0, 1, 1.54049183, 60, 14);
INSERT INTO public.ecdc_data VALUES (2441, 0, 397, 235.56451397, 106, 14);
INSERT INTO public.ecdc_data VALUES (2442, 23, 2523, 13.97088909, 107, 14);
INSERT INTO public.ecdc_data VALUES (2443, 0, 0, 2.43884594, 61, 14);
INSERT INTO public.ecdc_data VALUES (2444, 5, 906, 137.89077472, 152, 14);
INSERT INTO public.ecdc_data VALUES (2445, 16, 165, 25.78669722, 153, 14);
INSERT INTO public.ecdc_data VALUES (2446, 0, 0, 0, 62, 14);
INSERT INTO public.ecdc_data VALUES (2447, 0, 14, -0.97448122, 3, 14);
INSERT INTO public.ecdc_data VALUES (2448, 0, 0, 27.19651885, 63, 14);
INSERT INTO public.ecdc_data VALUES (2449, 0, 2, 1.57254545, 108, 14);
INSERT INTO public.ecdc_data VALUES (2450, 7, 344, 44.76638876, 64, 14);
INSERT INTO public.ecdc_data VALUES (2451, 0, 0, 3.84867028, 65, 14);
INSERT INTO public.ecdc_data VALUES (2452, 0, 22, 7.48258557, 154, 14);
INSERT INTO public.ecdc_data VALUES (2453, 0, 0, 0.47749211, 4, 14);
INSERT INTO public.ecdc_data VALUES (2454, 1124, 26928, 117.00713708, 66, 14);
INSERT INTO public.ecdc_data VALUES (2455, 0, 0, 0, 67, 14);
INSERT INTO public.ecdc_data VALUES (2456, 0, 0, 0, 109, 14);
INSERT INTO public.ecdc_data VALUES (2457, 3, 14, 5.15711412, 155, 14);
INSERT INTO public.ecdc_data VALUES (2458, 0, 0, 0.31986012, 5, 14);
INSERT INTO public.ecdc_data VALUES (2459, 0, 0, 0.13008889, 6, 14);
INSERT INTO public.ecdc_data VALUES (2460, 0, 1, 0.01819666, 110, 14);
INSERT INTO public.ecdc_data VALUES (2461, 0, 80, 9.00821278, 7, 14);
INSERT INTO public.ecdc_data VALUES (2462, 102, 906, 39.57388191, 68, 14);
INSERT INTO public.ecdc_data VALUES (2463, 0, 15, 14.36530796, 8, 14);
INSERT INTO public.ecdc_data VALUES (2464, 0, 1, 73.90527807, 69, 14);
INSERT INTO public.ecdc_data VALUES (2465, 0, 119, 12.0754138, 9, 14);
INSERT INTO public.ecdc_data VALUES (2466, 0, 33, 2.07564087, 10, 14);
INSERT INTO public.ecdc_data VALUES (2467, 54, 3695, 269.60693139, 70, 14);
INSERT INTO public.ecdc_data VALUES (2468, 0, 17, 0.00592837, 111, 14);
INSERT INTO public.ecdc_data VALUES (2469, 31, 1322, 24.77580056, 71, 14);
INSERT INTO public.ecdc_data VALUES (2470, 0, 0, 8.93181383, 11, 14);
INSERT INTO public.ecdc_data VALUES (2471, 0, 16, 3.64278142, 12, 14);
INSERT INTO public.ecdc_data VALUES (2472, 0, 22, 3.5462672, 72, 14);
INSERT INTO public.ecdc_data VALUES (2473, 0, 109, 2.85030413, 13, 14);
INSERT INTO public.ecdc_data VALUES (2474, 1, 0, 0.56424465, 156, 14);
INSERT INTO public.ecdc_data VALUES (2475, 0, 22, 1.455863, 73, 14);
INSERT INTO public.ecdc_data VALUES (2476, 0, 0, 1.83572692, 74, 14);
INSERT INTO public.ecdc_data VALUES (2477, 0, 0, 3.53922085, 157, 14);
INSERT INTO public.ecdc_data VALUES (2478, 0, 56, 7.41797968, 158, 14);
INSERT INTO public.ecdc_data VALUES (2479, 0, 1, 1.68681924, 14, 14);
INSERT INTO public.ecdc_data VALUES (2480, 0, 81, 13.81310388, 159, 14);
INSERT INTO public.ecdc_data VALUES (2481, 0, 0, 164.85937649, 15, 14);
INSERT INTO public.ecdc_data VALUES (2482, 0, 0, 0, 75, 14);
INSERT INTO public.ecdc_data VALUES (2483, 3, 463, 44.62258299, 76, 14);
INSERT INTO public.ecdc_data VALUES (2484, 21, 100, 40.88949149, 77, 14);
INSERT INTO public.ecdc_data VALUES (2485, 34, 1289, 10.81204106, 16, 14);
INSERT INTO public.ecdc_data VALUES (2486, 4, 84, 15.69678704, 78, 14);
INSERT INTO public.ecdc_data VALUES (2487, 0, 0, 33.11253394, 17, 14);
INSERT INTO public.ecdc_data VALUES (2488, 0, 0, 0, 18, 14);
INSERT INTO public.ecdc_data VALUES (2489, 0, 8, 7.01982156, 160, 14);
INSERT INTO public.ecdc_data VALUES (2490, 0, 0, 7.75171518, 19, 14);
INSERT INTO public.ecdc_data VALUES (2491, 1, 137, 0.60760861, 20, 14);
INSERT INTO public.ecdc_data VALUES (2492, 0, 0, 0, 79, 14);
INSERT INTO public.ecdc_data VALUES (2493, 0, 0, 0, 161, 14);
INSERT INTO public.ecdc_data VALUES (2494, 0, 0, 0, 203, 14);
INSERT INTO public.ecdc_data VALUES (2495, 1, 33, 9.93128025, 162, 14);
INSERT INTO public.ecdc_data VALUES (2496, 52, 597, 11.56344818, 163, 14);
INSERT INTO public.ecdc_data VALUES (2497, 0, 0, 0, 204, 14);
INSERT INTO public.ecdc_data VALUES (2498, 1, 182, 64.6236867, 21, 14);
INSERT INTO public.ecdc_data VALUES (2499, 0, 0, 0.08518991, 22, 14);
INSERT INTO public.ecdc_data VALUES (2500, 0, 8, 1.87651904, 164, 14);
INSERT INTO public.ecdc_data VALUES (2501, 39, 738, 8.94250828, 165, 14);
INSERT INTO public.ecdc_data VALUES (2502, 0, 313, 6.502759, 23, 14);
INSERT INTO public.ecdc_data VALUES (2503, 0, 4, 41.53563164, 166, 14);
INSERT INTO public.ecdc_data VALUES (2504, 0, 3, 0.92311144, 167, 14);
INSERT INTO public.ecdc_data VALUES (2505, 0, 0, 3.52982704, 80, 14);
INSERT INTO public.ecdc_data VALUES (2506, 0, 0, 0.8928412, 81, 14);
INSERT INTO public.ecdc_data VALUES (2507, 0, 0, 10.75943692, 205, 14);
INSERT INTO public.ecdc_data VALUES (2508, 10, 259, 16.85865282, 82, 14);
INSERT INTO public.ecdc_data VALUES (2509, 0, 0, 0, 168, 14);
INSERT INTO public.ecdc_data VALUES (2510, 0, 103, 8.80885076, 24, 14);
INSERT INTO public.ecdc_data VALUES (2511, 1, 78, 17.85605521, 25, 14);
INSERT INTO public.ecdc_data VALUES (2512, 0, 0, 4.34352145, 83, 14);
INSERT INTO public.ecdc_data VALUES (2513, 0, 141, 11.31129419, 84, 14);
INSERT INTO public.ecdc_data VALUES (2514, 0, 0, 0, 169, 14);
INSERT INTO public.ecdc_data VALUES (2515, 3, 134, 24.89196977, 85, 14);
INSERT INTO public.ecdc_data VALUES (2516, 0, 0, 3.76557033, 170, 14);
INSERT INTO public.ecdc_data VALUES (2517, 0, 0, 0.84035732, 171, 14);
INSERT INTO public.ecdc_data VALUES (2518, 265, 7964, 6.42724376, 112, 14);
INSERT INTO public.ecdc_data VALUES (2519, 24, 678, 3.22216415, 113, 14);
INSERT INTO public.ecdc_data VALUES (2520, 50, 2819, 36.22191519, 114, 14);
INSERT INTO public.ecdc_data VALUES (2521, 6, 416, 6.81764026, 115, 14);
INSERT INTO public.ecdc_data VALUES (2522, 6, 35, 18.75927769, 172, 14);
INSERT INTO public.ecdc_data VALUES (2523, 0, 0, 2.36437362, 173, 14);
INSERT INTO public.ecdc_data VALUES (2524, 0, 115, 4.6717053, 116, 14);
INSERT INTO public.ecdc_data VALUES (2525, 87, 516, 13.85530633, 174, 14);
INSERT INTO public.ecdc_data VALUES (2526, 0, 6, 2.1707594, 86, 14);
INSERT INTO public.ecdc_data VALUES (2527, 12, 85, 0.44694834, 117, 14);
INSERT INTO public.ecdc_data VALUES (2528, 0, 0, 10.20446028, 175, 14);
INSERT INTO public.ecdc_data VALUES (2529, 0, 2, 1.32650979, 118, 14);
INSERT INTO public.ecdc_data VALUES (2530, 0, 450, 24.42938624, 119, 14);
INSERT INTO public.ecdc_data VALUES (2531, 4, 127, 1.83360712, 26, 14);
INSERT INTO public.ecdc_data VALUES (2532, 0, 12, 6.06058584, 176, 14);
INSERT INTO public.ecdc_data VALUES (2533, 9, 1072, 292.93497599, 120, 14);
INSERT INTO public.ecdc_data VALUES (2534, 0, 60, 9.42977011, 121, 14);
INSERT INTO public.ecdc_data VALUES (2535, 0, 0, 0, 122, 14);
INSERT INTO public.ecdc_data VALUES (2536, 0, 3, 4.89591493, 177, 14);
INSERT INTO public.ecdc_data VALUES (2537, 0, 4, 4.09877374, 123, 14);
INSERT INTO public.ecdc_data VALUES (2538, 0, 0, 0.04705291, 27, 14);
INSERT INTO public.ecdc_data VALUES (2539, 0, 4, 1.0936988, 28, 14);
INSERT INTO public.ecdc_data VALUES (2540, 0, 13, 0.79675949, 29, 14);
INSERT INTO public.ecdc_data VALUES (2541, 0, 0, 0, 178, 14);
INSERT INTO public.ecdc_data VALUES (2542, 0, 6, 4.97461871, 179, 14);
INSERT INTO public.ecdc_data VALUES (2543, 0, 4, 14.49761685, 180, 14);
INSERT INTO public.ecdc_data VALUES (2544, 3, 42, 1.7056427, 30, 14);
INSERT INTO public.ecdc_data VALUES (2545, 0, 70, 1.12728987, 31, 14);
INSERT INTO public.ecdc_data VALUES (2546, 0, 103, 2.74493206, 124, 14);
INSERT INTO public.ecdc_data VALUES (2547, 0, 78, 105.46993448, 125, 14);
INSERT INTO public.ecdc_data VALUES (2548, 1, 32, 2.13653224, 32, 14);
INSERT INTO public.ecdc_data VALUES (2549, 2, 2, 14.58792161, 181, 14);
INSERT INTO public.ecdc_data VALUES (2550, 4, 131, 8.70583941, 33, 14);
INSERT INTO public.ecdc_data VALUES (2551, 0, 1, 0.23628187, 34, 14);
INSERT INTO public.ecdc_data VALUES (2552, 371, 4344, 38.55128047, 87, 14);
INSERT INTO public.ecdc_data VALUES (2553, 6, 171, 53.19967215, 182, 14);
INSERT INTO public.ecdc_data VALUES (2554, 0, 0, 3.02251776, 183, 14);
INSERT INTO public.ecdc_data VALUES (2555, 0, 0, 1.36427086, 126, 14);
INSERT INTO public.ecdc_data VALUES (2556, 0, 0, 0, 184, 14);
INSERT INTO public.ecdc_data VALUES (2557, 0, 0, 0, 88, 14);
INSERT INTO public.ecdc_data VALUES (2558, 0, 71, 2.91184145, 35, 14);
INSERT INTO public.ecdc_data VALUES (2559, 0, 1, 0.3787125, 36, 14);
INSERT INTO public.ecdc_data VALUES (2560, 0, 18, 0.07771241, 127, 14);
INSERT INTO public.ecdc_data VALUES (2561, 0, 1, 0.28061466, 37, 14);
INSERT INTO public.ecdc_data VALUES (2562, 1, 170, 3.27173031, 128, 14);
INSERT INTO public.ecdc_data VALUES (2563, 28, 176, 14.14753466, 185, 14);
INSERT INTO public.ecdc_data VALUES (2564, 0, 0, 0.35366056, 207, 14);
INSERT INTO public.ecdc_data VALUES (2565, 0, 0, 0.12544266, 208, 14);
INSERT INTO public.ecdc_data VALUES (2566, 0, 0, 11.21380588, 89, 14);
INSERT INTO public.ecdc_data VALUES (2567, 0, 0, 0.30029104, 38, 14);
INSERT INTO public.ecdc_data VALUES (2568, 2, 387, 1.91925301, 39, 14);
INSERT INTO public.ecdc_data VALUES (2569, 4, 52, 18.77588906, 186, 14);
INSERT INTO public.ecdc_data VALUES (2570, 0, 0, 5.24356353, 209, 14);
INSERT INTO public.ecdc_data VALUES (2571, 0, 10, 4.01635671, 187, 14);
INSERT INTO public.ecdc_data VALUES (2572, 0, 811, 104.42227847, 129, 14);
INSERT INTO public.ecdc_data VALUES (2573, 78, 2429, 12.77120473, 130, 14);
INSERT INTO public.ecdc_data VALUES (2574, 0, 0, 1.42529583, 131, 14);
INSERT INTO public.ecdc_data VALUES (2575, 6, 400, 76.84083609, 90, 14);
INSERT INTO public.ecdc_data VALUES (2576, 0, 0, 0, 210, 14);
INSERT INTO public.ecdc_data VALUES (2577, 0, 17, 2.24284026, 91, 14);
INSERT INTO public.ecdc_data VALUES (2578, 131, 6506, 196.21376036, 92, 14);
INSERT INTO public.ecdc_data VALUES (2579, 21, 1046, 4.20194408, 132, 14);
INSERT INTO public.ecdc_data VALUES (2580, 13, 330, 13.53336698, 188, 14);
INSERT INTO public.ecdc_data VALUES (2581, 14, 350, 32.72477704, 189, 14);
INSERT INTO public.ecdc_data VALUES (2582, 1, 161, 37.66954705, 93, 14);
INSERT INTO public.ecdc_data VALUES (2583, 3, 1993, 829.14587946, 133, 14);
INSERT INTO public.ecdc_data VALUES (2584, 11, 191, 13.10878728, 190, 14);
INSERT INTO public.ecdc_data VALUES (2585, 232, 8572, 85.54059559, 191, 14);
INSERT INTO public.ecdc_data VALUES (2586, 0, 6, 0.53853119, 40, 14);
INSERT INTO public.ecdc_data VALUES (2587, 0, 0, 0, 94, 14);
INSERT INTO public.ecdc_data VALUES (2588, 0, 0, 0, 95, 14);
INSERT INTO public.ecdc_data VALUES (2589, 0, 1, 8.13794725, 96, 14);
INSERT INTO public.ecdc_data VALUES (2590, 0, 1, 55.14759237, 192, 14);
INSERT INTO public.ecdc_data VALUES (2591, 0, 5, 106.02284141, 41, 14);
INSERT INTO public.ecdc_data VALUES (2592, 17, 1581, 95.10183527, 134, 14);
INSERT INTO public.ecdc_data VALUES (2593, 0, 81, 6.86656322, 42, 14);
INSERT INTO public.ecdc_data VALUES (2594, 1, 54, 13.1538059, 193, 14);
INSERT INTO public.ecdc_data VALUES (2595, 0, 0, 0, 43, 14);
INSERT INTO public.ecdc_data VALUES (2596, 0, 17, 4.88915755, 44, 14);
INSERT INTO public.ecdc_data VALUES (2597, 0, 611, 120.06526837, 135, 14);
INSERT INTO public.ecdc_data VALUES (2598, 0, 0, 0, 97, 14);
INSERT INTO public.ecdc_data VALUES (2599, 0, 0, 0.73388826, 194, 14);
INSERT INTO public.ecdc_data VALUES (2600, 0, 0, 0.38444756, 195, 14);
INSERT INTO public.ecdc_data VALUES (2601, 0, 0, 3.52265306, 45, 14);
INSERT INTO public.ecdc_data VALUES (2602, 34, 1837, 26.83822593, 46, 14);
INSERT INTO public.ecdc_data VALUES (2603, 0, 39, 0.78867246, 136, 14);
INSERT INTO public.ecdc_data VALUES (2604, 2, 188, 6.85221649, 47, 14);
INSERT INTO public.ecdc_data VALUES (2605, 4, 664, 18.17327289, 196, 14);
INSERT INTO public.ecdc_data VALUES (2606, 0, 28, 2.92162714, 137, 14);
INSERT INTO public.ecdc_data VALUES (2607, 38, 175, 5.97245193, 48, 14);
INSERT INTO public.ecdc_data VALUES (2608, 0, 0, 0.34401914, 98, 14);
INSERT INTO public.ecdc_data VALUES (2609, 41, 773, 76.00058063, 197, 14);
INSERT INTO public.ecdc_data VALUES (2610, 2, 32, 3.67486696, 198, 14);
INSERT INTO public.ecdc_data VALUES (2611, 0, 1, 0.42178936, 138, 14);
INSERT INTO public.ecdc_data VALUES (2612, 0, 1, 0.00841259, 139, 14);
INSERT INTO public.ecdc_data VALUES (2613, 0, 0, 26.23102636, 140, 14);
INSERT INTO public.ecdc_data VALUES (2614, 0, 11, 0.07324894, 141, 14);
INSERT INTO public.ecdc_data VALUES (2615, 0, 0, 0, 142, 14);
INSERT INTO public.ecdc_data VALUES (2616, 0, 6, 2.04148319, 49, 14);
INSERT INTO public.ecdc_data VALUES (2617, 0, 0, 0, 99, 14);
INSERT INTO public.ecdc_data VALUES (2618, 0, 3, 0.3078312, 50, 14);
INSERT INTO public.ecdc_data VALUES (2619, 28, 1141, 19.10031528, 199, 14);
INSERT INTO public.ecdc_data VALUES (2620, 0, 0, 0, 100, 14);
INSERT INTO public.ecdc_data VALUES (2621, 0, 12, 0.28461978, 51, 14);
INSERT INTO public.ecdc_data VALUES (2622, 10, 429, 12.45861817, 200, 14);
INSERT INTO public.ecdc_data VALUES (2623, 2, 638, 116.0531173, 143, 14);
INSERT INTO public.ecdc_data VALUES (2624, 274, 1760, 43.84285999, 201, 14);
INSERT INTO public.ecdc_data VALUES (2625, 0, 0, 0, 52, 14);
INSERT INTO public.ecdc_data VALUES (2626, 1219, 25337, 92.28878082, 101, 14);
INSERT INTO public.ecdc_data VALUES (2627, 0, 0, 0, 102, 14);
INSERT INTO public.ecdc_data VALUES (2628, 0, 5, 2.4265317, 103, 14);
INSERT INTO public.ecdc_data VALUES (2629, 0, 69, 2.49229005, 144, 14);
INSERT INTO public.ecdc_data VALUES (2630, 3, 42, 3.19121005, 104, 14);
INSERT INTO public.ecdc_data VALUES (2631, 0, 0, 0.01451347, 145, 14);
INSERT INTO public.ecdc_data VALUES (2632, 1, 17, 2.91866538, 53, 14);
INSERT INTO public.ecdc_data VALUES (2633, 9, 9, 0.6206724, 146, 14);
INSERT INTO public.ecdc_data VALUES (2634, 0, 0, 2.17792542, 54, 14);
INSERT INTO public.ecdc_data VALUES (2635, 0, 11, 0.80570972, 55, 14);
INSERT INTO public.ecdc_data VALUES (2636, 0, 122, 3.06242427, 105, 15);
INSERT INTO public.ecdc_data VALUES (2637, 1, 16, 9.50242574, 147, 15);
INSERT INTO public.ecdc_data VALUES (2638, 7, 199, 3.92074393, 1, 15);
INSERT INTO public.ecdc_data VALUES (2639, 1, 0, 91.89125327, 148, 15);
INSERT INTO public.ecdc_data VALUES (2640, 0, 0, 0.02513723, 2, 15);
INSERT INTO public.ecdc_data VALUES (2641, 0, 0, 0, 56, 15);
INSERT INTO public.ecdc_data VALUES (2642, 0, 0, 1.02970705, 57, 15);
INSERT INTO public.ecdc_data VALUES (2643, 7, 158, 4.10891529, 58, 15);
INSERT INTO public.ecdc_data VALUES (2644, 2, 134, 30.66542968, 149, 15);
INSERT INTO public.ecdc_data VALUES (2645, 0, 0, 6.58451698, 59, 15);
INSERT INTO public.ecdc_data VALUES (2646, 2, 8, 1.14271204, 202, 15);
INSERT INTO public.ecdc_data VALUES (2647, 11, 50, 11.22051299, 150, 15);
INSERT INTO public.ecdc_data VALUES (2648, 1, 49, 5.10563641, 151, 15);
INSERT INTO public.ecdc_data VALUES (2649, 0, 0, 6.93221322, 60, 15);
INSERT INTO public.ecdc_data VALUES (2650, 0, 110, 76.04358857, 106, 15);
INSERT INTO public.ecdc_data VALUES (2651, 8, 641, 3.60143381, 107, 15);
INSERT INTO public.ecdc_data VALUES (2652, 1, 0, 1.74203281, 61, 15);
INSERT INTO public.ecdc_data VALUES (2653, 5, 973, 100.00625237, 152, 15);
INSERT INTO public.ecdc_data VALUES (2654, 107, 522, 112.60074729, 153, 15);
INSERT INTO public.ecdc_data VALUES (2655, 0, 0, 0, 62, 15);
INSERT INTO public.ecdc_data VALUES (2656, 1, 5, 0.28810749, 3, 15);
INSERT INTO public.ecdc_data VALUES (2657, 0, 1, 47.99385679, 63, 15);
INSERT INTO public.ecdc_data VALUES (2658, 0, 0, 0.26209091, 108, 15);
INSERT INTO public.ecdc_data VALUES (2659, 4, 57, 5.81077107, 64, 15);
INSERT INTO public.ecdc_data VALUES (2660, 0, 0, 7.69734057, 65, 15);
INSERT INTO public.ecdc_data VALUES (2661, 2, 101, 17.84308867, 154, 15);
INSERT INTO public.ecdc_data VALUES (2662, 0, 0, 0.43408373, 4, 15);
INSERT INTO public.ecdc_data VALUES (2663, 449, 6276, 23.61625851, 66, 15);
INSERT INTO public.ecdc_data VALUES (2664, 0, 0, 9.98901209, 67, 15);
INSERT INTO public.ecdc_data VALUES (2665, 0, 0, 0.46157823, 109, 15);
INSERT INTO public.ecdc_data VALUES (2666, 6, 48, 9.99994429, 155, 15);
INSERT INTO public.ecdc_data VALUES (2667, 1, 3, 0.48717157, 5, 15);
INSERT INTO public.ecdc_data VALUES (2668, 0, 0, 0.08672593, 6, 15);
INSERT INTO public.ecdc_data VALUES (2669, 0, 0, 0, 110, 15);
INSERT INTO public.ecdc_data VALUES (2670, 2, 26, 3.77564302, 7, 15);
INSERT INTO public.ecdc_data VALUES (2671, 0, 0, 10.5466818, 8, 15);
INSERT INTO public.ecdc_data VALUES (2672, 137, 1572, 62.07526239, 68, 15);
INSERT INTO public.ecdc_data VALUES (2673, 0, 3, 20.01601281, 69, 15);
INSERT INTO public.ecdc_data VALUES (2674, 0, 0, 0.8218868, 9, 15);
INSERT INTO public.ecdc_data VALUES (2675, 0, 0, 0.15677046, 10, 15);
INSERT INTO public.ecdc_data VALUES (2676, 9, 520, 34.88807402, 70, 15);
INSERT INTO public.ecdc_data VALUES (2677, 0, 4, 0.03780208, 111, 15);
INSERT INTO public.ecdc_data VALUES (2678, 9, 262, 6.17011197, 71, 15);
INSERT INTO public.ecdc_data VALUES (2679, 1, 13, 1.91431881, 12, 15);
INSERT INTO public.ecdc_data VALUES (2680, 0, 8, 1.72360473, 72, 15);
INSERT INTO public.ecdc_data VALUES (2681, 0, 55, 2.27091079, 13, 15);
INSERT INTO public.ecdc_data VALUES (2682, 4, 15, 7.87489273, 156, 15);
INSERT INTO public.ecdc_data VALUES (2683, 0, 30, 5.76168811, 73, 15);
INSERT INTO public.ecdc_data VALUES (2684, 0, 0, 1.22381794, 74, 15);
INSERT INTO public.ecdc_data VALUES (2685, 0, 6, 14.61355704, 157, 15);
INSERT INTO public.ecdc_data VALUES (2686, 0, 75, 11.98144566, 158, 15);
INSERT INTO public.ecdc_data VALUES (2687, 1, 9, 0.26846235, 14, 15);
INSERT INTO public.ecdc_data VALUES (2688, 9, 157, 40.07866924, 159, 15);
INSERT INTO public.ecdc_data VALUES (2689, 0, 5, 65.9437506, 15, 15);
INSERT INTO public.ecdc_data VALUES (2690, 0, 0, 0, 75, 15);
INSERT INTO public.ecdc_data VALUES (2691, 7, 236, 28.2895257, 76, 15);
INSERT INTO public.ecdc_data VALUES (2692, 12, 417, 96.79597105, 77, 15);
INSERT INTO public.ecdc_data VALUES (2693, 21, 226, 2.75231891, 16, 15);
INSERT INTO public.ecdc_data VALUES (2694, 0, 32, 3.37798576, 78, 15);
INSERT INTO public.ecdc_data VALUES (2695, 0, 0, 19.46928499, 17, 15);
INSERT INTO public.ecdc_data VALUES (2696, 0, 0, 0.11437993, 18, 15);
INSERT INTO public.ecdc_data VALUES (2697, 0, 6, 19.9272354, 160, 15);
INSERT INTO public.ecdc_data VALUES (2698, 0, 20, 6.53234425, 19, 15);
INSERT INTO public.ecdc_data VALUES (2699, 0, 4, 0.04015035, 20, 15);
INSERT INTO public.ecdc_data VALUES (2700, 0, 0, 59.31198102, 79, 15);
INSERT INTO public.ecdc_data VALUES (2701, 0, 0, 6.16307496, 161, 15);
INSERT INTO public.ecdc_data VALUES (2702, 0, 0, 0.22473046, 203, 15);
INSERT INTO public.ecdc_data VALUES (2703, 7, 166, 30.24691011, 162, 15);
INSERT INTO public.ecdc_data VALUES (2704, 427, 1607, 33.18167941, 163, 15);
INSERT INTO public.ecdc_data VALUES (2705, 0, 0, 1.07417155, 204, 15);
INSERT INTO public.ecdc_data VALUES (2706, 0, 38, 8.69934244, 21, 15);
INSERT INTO public.ecdc_data VALUES (2707, 0, 1, 0.08518991, 22, 15);
INSERT INTO public.ecdc_data VALUES (2708, 0, 6, 5.27927357, 164, 15);
INSERT INTO public.ecdc_data VALUES (2709, 173, 1478, 34.5329701, 165, 15);
INSERT INTO public.ecdc_data VALUES (2710, 0, 0, 3.38616874, 23, 15);
INSERT INTO public.ecdc_data VALUES (2711, 0, 0, 29.66830831, 166, 15);
INSERT INTO public.ecdc_data VALUES (2712, 3, 42, 3.58055345, 167, 15);
INSERT INTO public.ecdc_data VALUES (2713, 0, 0, 0, 80, 15);
INSERT INTO public.ecdc_data VALUES (2714, 0, 2, 5.3570472, 81, 15);
INSERT INTO public.ecdc_data VALUES (2715, 0, 0, 5.97746496, 205, 15);
INSERT INTO public.ecdc_data VALUES (2716, 0, 28, 2.21255599, 82, 15);
INSERT INTO public.ecdc_data VALUES (2717, 0, 4, 43.43240057, 168, 15);
INSERT INTO public.ecdc_data VALUES (2718, 0, 111, 7.41509482, 24, 15);
INSERT INTO public.ecdc_data VALUES (2719, 0, 4, 1.76998798, 25, 15);
INSERT INTO public.ecdc_data VALUES (2720, 0, 3, 2.93826451, 83, 15);
INSERT INTO public.ecdc_data VALUES (2721, 0, 0, 0.31074984, 84, 15);
INSERT INTO public.ecdc_data VALUES (2722, 0, 1, 245.39877301, 169, 15);
INSERT INTO public.ecdc_data VALUES (2723, 5, 33, 3.53987204, 85, 15);
INSERT INTO public.ecdc_data VALUES (2724, 12, 48, 11.49112901, 170, 15);
INSERT INTO public.ecdc_data VALUES (2725, 0, 2, 19.60833747, 171, 15);
INSERT INTO public.ecdc_data VALUES (2726, 67, 1718, 1.51271453, 112, 15);
INSERT INTO public.ecdc_data VALUES (2727, 11, 260, 1.71269849, 113, 15);
INSERT INTO public.ecdc_data VALUES (2728, 80, 1073, 20.82642531, 114, 15);
INSERT INTO public.ecdc_data VALUES (2729, 4, 156, 1.49581062, 115, 15);
INSERT INTO public.ecdc_data VALUES (2730, 31, 376, 157.12934114, 172, 15);
INSERT INTO public.ecdc_data VALUES (2731, 0, 4, 69.74902174, 173, 15);
INSERT INTO public.ecdc_data VALUES (2732, 7, 245, 39.1225974, 116, 15);
INSERT INTO public.ecdc_data VALUES (2733, 323, 2086, 63.67841137, 174, 15);
INSERT INTO public.ecdc_data VALUES (2734, 0, 15, 9.19180932, 86, 15);
INSERT INTO public.ecdc_data VALUES (2735, 26, 236, 4.34020733, 117, 15);
INSERT INTO public.ecdc_data VALUES (2736, 1, 2, 64.00979628, 175, 15);
INSERT INTO public.ecdc_data VALUES (2737, 0, 2, 0.49496634, 118, 15);
INSERT INTO public.ecdc_data VALUES (2738, 0, 142, 10.10164824, 119, 15);
INSERT INTO public.ecdc_data VALUES (2739, 1, 10, 0.30243105, 26, 15);
INSERT INTO public.ecdc_data VALUES (2740, 0, 10, 20.68383425, 176, 15);
INSERT INTO public.ecdc_data VALUES (2741, 1, 300, 55.5017177, 120, 15);
INSERT INTO public.ecdc_data VALUES (2742, 0, 17, 4.36419113, 121, 15);
INSERT INTO public.ecdc_data VALUES (2743, 0, 0, 0, 122, 15);
INSERT INTO public.ecdc_data VALUES (2744, 2, 13, 9.53140886, 177, 15);
INSERT INTO public.ecdc_data VALUES (2745, 0, 4, 0.91894215, 123, 15);
INSERT INTO public.ecdc_data VALUES (2746, 0, 0, 1.66080188, 28, 15);
INSERT INTO public.ecdc_data VALUES (2747, 0, 0, 0.19181247, 29, 15);
INSERT INTO public.ecdc_data VALUES (2748, 0, 0, 5.21131898, 178, 15);
INSERT INTO public.ecdc_data VALUES (2749, 1, 31, 10.16396916, 179, 15);
INSERT INTO public.ecdc_data VALUES (2750, 0, 28, 64.50625026, 180, 15);
INSERT INTO public.ecdc_data VALUES (2751, 0, 0, 0.06674254, 30, 15);
INSERT INTO public.ecdc_data VALUES (2752, 0, 0, 0.10736094, 31, 15);
INSERT INTO public.ecdc_data VALUES (2753, 0, 94, 2.73241241, 124, 15);
INSERT INTO public.ecdc_data VALUES (2754, 0, 32, 48.21482719, 125, 15);
INSERT INTO public.ecdc_data VALUES (2755, 1, 58, 1.69905183, 32, 15);
INSERT INTO public.ecdc_data VALUES (2756, 0, 2, 10.53572116, 181, 15);
INSERT INTO public.ecdc_data VALUES (2757, 0, 0, 0, 33, 15);
INSERT INTO public.ecdc_data VALUES (2758, 0, 0, 0.63008498, 34, 15);
INSERT INTO public.ecdc_data VALUES (2759, 163, 1755, 14.08342191, 87, 15);
INSERT INTO public.ecdc_data VALUES (2760, 4, 133, 42.58941675, 182, 15);
INSERT INTO public.ecdc_data VALUES (2761, 0, 0, 6.04503551, 183, 15);
INSERT INTO public.ecdc_data VALUES (2762, 0, 0, 0.24804925, 126, 15);
INSERT INTO public.ecdc_data VALUES (2763, 0, 1, 5.46463896, 184, 15);
INSERT INTO public.ecdc_data VALUES (2764, 0, 0, 0, 88, 15);
INSERT INTO public.ecdc_data VALUES (2765, 3, 69, 6.29802242, 35, 15);
INSERT INTO public.ecdc_data VALUES (2766, 0, 0, 0.15477815, 36, 15);
INSERT INTO public.ecdc_data VALUES (2767, 1, 0, 0.14062246, 127, 15);
INSERT INTO public.ecdc_data VALUES (2768, 0, 0, 0, 37, 15);
INSERT INTO public.ecdc_data VALUES (2769, 0, 3, 0.14331297, 128, 15);
INSERT INTO public.ecdc_data VALUES (2770, 145, 386, 61.6184444, 185, 15);
INSERT INTO public.ecdc_data VALUES (2771, 0, 0, 0, 207, 15);
INSERT INTO public.ecdc_data VALUES (2772, 0, 3, 0.94081992, 208, 15);
INSERT INTO public.ecdc_data VALUES (2773, 1, 1, 0.07638832, 89, 15);
INSERT INTO public.ecdc_data VALUES (2774, 1, 4, 0.55339348, 38, 15);
INSERT INTO public.ecdc_data VALUES (2775, 7, 196, 0.65733296, 39, 15);
INSERT INTO public.ecdc_data VALUES (2776, 2, 21, 22.53106687, 186, 15);
INSERT INTO public.ecdc_data VALUES (2777, 0, 0, 1.74785451, 209, 15);
INSERT INTO public.ecdc_data VALUES (2778, 7, 62, 18.58034177, 187, 15);
INSERT INTO public.ecdc_data VALUES (2779, 0, 143, 27.41712951, 129, 15);
INSERT INTO public.ecdc_data VALUES (2780, 19, 874, 4.27307573, 130, 15);
INSERT INTO public.ecdc_data VALUES (2781, 0, 12, 4.33611125, 131, 15);
INSERT INTO public.ecdc_data VALUES (2782, 2, 178, 61.86358456, 90, 15);
INSERT INTO public.ecdc_data VALUES (2783, 0, 0, 0.06836735, 210, 15);
INSERT INTO public.ecdc_data VALUES (2784, 0, 10, 1.06463937, 91, 15);
INSERT INTO public.ecdc_data VALUES (2785, 89, 2741, 69.07314944, 92, 15);
INSERT INTO public.ecdc_data VALUES (2786, 28, 254, 2.55187403, 132, 15);
INSERT INTO public.ecdc_data VALUES (2787, 28, 422, 13.32005647, 188, 15);
INSERT INTO public.ecdc_data VALUES (2788, 16, 368, 64.23320048, 189, 15);
INSERT INTO public.ecdc_data VALUES (2789, 0, 33, 15.64735031, 93, 15);
INSERT INTO public.ecdc_data VALUES (2790, 0, 643, 312.59809517, 133, 15);
INSERT INTO public.ecdc_data VALUES (2791, 25, 362, 24.52811199, 190, 15);
INSERT INTO public.ecdc_data VALUES (2792, 105, 5841, 51.35246414, 191, 15);
INSERT INTO public.ecdc_data VALUES (2793, 0, 13, 0.7048423, 40, 15);
INSERT INTO public.ecdc_data VALUES (2794, 0, 0, 1.8927206, 94, 15);
INSERT INTO public.ecdc_data VALUES (2795, 0, 2, 1.09412183, 95, 15);
INSERT INTO public.ecdc_data VALUES (2796, 0, 0, 3.61686544, 96, 15);
INSERT INTO public.ecdc_data VALUES (2797, 0, 10, 496.32833135, 192, 15);
INSERT INTO public.ecdc_data VALUES (2798, 0, 3, 4.65012462, 41, 15);
INSERT INTO public.ecdc_data VALUES (2799, 5, 1325, 45.34772998, 134, 15);
INSERT INTO public.ecdc_data VALUES (2800, 0, 59, 3.48544049, 42, 15);
INSERT INTO public.ecdc_data VALUES (2801, 5, 227, 55.30055298, 193, 15);
INSERT INTO public.ecdc_data VALUES (2802, 0, 0, 0, 43, 15);
INSERT INTO public.ecdc_data VALUES (2803, 0, 12, 1.3182807, 44, 15);
INSERT INTO public.ecdc_data VALUES (2804, 0, 690, 205.74249316, 135, 15);
INSERT INTO public.ecdc_data VALUES (2805, 0, 1, 44.82294935, 97, 15);
INSERT INTO public.ecdc_data VALUES (2806, 2, 7, 9.68732507, 194, 15);
INSERT INTO public.ecdc_data VALUES (2807, 3, 10, 8.16951062, 195, 15);
INSERT INTO public.ecdc_data VALUES (2808, 0, 54, 3.25068352, 45, 15);
INSERT INTO public.ecdc_data VALUES (2809, 10, 354, 4.8567011, 46, 15);
INSERT INTO public.ecdc_data VALUES (2810, 1, 4, 0.29672825, 136, 15);
INSERT INTO public.ecdc_data VALUES (2811, 0, 0, 0.2711959, 47, 15);
INSERT INTO public.ecdc_data VALUES (2812, 268, 1241, 61.51216118, 196, 15);
INSERT INTO public.ecdc_data VALUES (2813, 0, 30, 1.93211939, 137, 15);
INSERT INTO public.ecdc_data VALUES (2814, 3, 57, 0.80115409, 48, 15);
INSERT INTO public.ecdc_data VALUES (2815, 0, 0, 0, 98, 15);
INSERT INTO public.ecdc_data VALUES (2816, 83, 799, 81.5332274, 197, 15);
INSERT INTO public.ecdc_data VALUES (2817, 28, 143, 34.96975315, 198, 15);
INSERT INTO public.ecdc_data VALUES (2818, 0, 0, 0.05858186, 138, 15);
INSERT INTO public.ecdc_data VALUES (2819, 0, 0, 0.14301409, 139, 15);
INSERT INTO public.ecdc_data VALUES (2820, 0, 16, 0.40502355, 141, 15);
INSERT INTO public.ecdc_data VALUES (2821, 0, 0, 1.39198218, 142, 15);
INSERT INTO public.ecdc_data VALUES (2822, 1, 10, 0.34643351, 49, 15);
INSERT INTO public.ecdc_data VALUES (2823, 0, 0, 0.14337236, 99, 15);
INSERT INTO public.ecdc_data VALUES (2824, 0, 5, 1.71017333, 50, 15);
INSERT INTO public.ecdc_data VALUES (2825, 89, 2936, 58.77404682, 199, 15);
INSERT INTO public.ecdc_data VALUES (2826, 0, 0, 2.61821228, 100, 15);
INSERT INTO public.ecdc_data VALUES (2827, 0, 2, 0.05873107, 51, 15);
INSERT INTO public.ecdc_data VALUES (2828, 11, 456, 13.87018574, 200, 15);
INSERT INTO public.ecdc_data VALUES (2829, 9, 549, 69.3002608, 143, 15);
INSERT INTO public.ecdc_data VALUES (2830, 769, 4729, 98.68694686, 201, 15);
INSERT INTO public.ecdc_data VALUES (2831, 6, 174, 0.67579844, 52, 15);
INSERT INTO public.ecdc_data VALUES (2832, 2611, 27326, 121.63101544, 101, 15);
INSERT INTO public.ecdc_data VALUES (2833, 0, 7, 14.34322378, 102, 15);
INSERT INTO public.ecdc_data VALUES (2834, 0, 5, 3.95755765, 103, 15);
INSERT INTO public.ecdc_data VALUES (2835, 1, 63, 2.12238812, 144, 15);
INSERT INTO public.ecdc_data VALUES (2836, 0, 2, 0.46991445, 104, 15);
INSERT INTO public.ecdc_data VALUES (2837, 0, 0, 0.00207335, 145, 15);
INSERT INTO public.ecdc_data VALUES (2838, 0, 0, 0, 53, 15);
INSERT INTO public.ecdc_data VALUES (2839, 0, 5, 0.01714565, 146, 15);
INSERT INTO public.ecdc_data VALUES (2840, 0, 2, 0.27434022, 54, 15);
INSERT INTO public.ecdc_data VALUES (2841, 0, 2, 0.07510853, 55, 15);
INSERT INTO public.ecdc_data VALUES (2842, 1, 8, 0.25761166, 105, 16);
INSERT INTO public.ecdc_data VALUES (2843, 0, 15, 5.93901609, 147, 16);
INSERT INTO public.ecdc_data VALUES (2844, 2, 57, 1.07541732, 1, 16);
INSERT INTO public.ecdc_data VALUES (2845, 2, 26, 431.88889035, 148, 16);
INSERT INTO public.ecdc_data VALUES (2846, 2, 3, 0, 2, 16);
INSERT INTO public.ecdc_data VALUES (2847, 0, 0, 0, 56, 16);
INSERT INTO public.ecdc_data VALUES (2848, 0, 0, 0, 57, 16);
INSERT INTO public.ecdc_data VALUES (2849, 1, 75, 1.70609309, 58, 16);
INSERT INTO public.ecdc_data VALUES (2850, 2, 58, 15.34961971, 149, 16);
INSERT INTO public.ecdc_data VALUES (2851, 0, 22, 0, 59, 16);
INSERT INTO public.ecdc_data VALUES (2852, 2, 284, 15.05761173, 202, 16);
INSERT INTO public.ecdc_data VALUES (2853, 18, 522, 89.7753922, 150, 16);
INSERT INTO public.ecdc_data VALUES (2854, 0, 27, 1.89097645, 151, 16);
INSERT INTO public.ecdc_data VALUES (2855, 0, 3, 0, 60, 16);
INSERT INTO public.ecdc_data VALUES (2856, 0, 27, 17.42665572, 106, 16);
INSERT INTO public.ecdc_data VALUES (2857, 0, 1, 0.02821287, 107, 16);
INSERT INTO public.ecdc_data VALUES (2858, 0, 7, 0, 61, 16);
INSERT INTO public.ecdc_data VALUES (2859, 0, 0, 0.70881402, 152, 16);
INSERT INTO public.ecdc_data VALUES (2860, 149, 685, 98.97412767, 153, 16);
INSERT INTO public.ecdc_data VALUES (2861, 0, 0, 0, 62, 16);
INSERT INTO public.ecdc_data VALUES (2862, 0, 0, 0.0508425, 3, 16);
INSERT INTO public.ecdc_data VALUES (2863, 0, 0, 0, 63, 16);
INSERT INTO public.ecdc_data VALUES (2864, 0, 0, 0.39313636, 108, 16);
INSERT INTO public.ecdc_data VALUES (2865, 3, 15, 0.74697506, 64, 16);
INSERT INTO public.ecdc_data VALUES (2866, 1, 66, 9.23962995, 154, 16);
INSERT INTO public.ecdc_data VALUES (2867, 22, 352, 1.92182385, 66, 16);
INSERT INTO public.ecdc_data VALUES (2868, 0, 0, 0, 67, 16);
INSERT INTO public.ecdc_data VALUES (2869, 0, 6, 17.53997267, 109, 16);
INSERT INTO public.ecdc_data VALUES (2870, 1, 15, 4.21426223, 155, 16);
INSERT INTO public.ecdc_data VALUES (2871, 0, 0, 0.87100371, 5, 16);
INSERT INTO public.ecdc_data VALUES (2872, 0, 4, 0.57622757, 110, 16);
INSERT INTO public.ecdc_data VALUES (2873, 0, 0, 0.36713008, 7, 16);
INSERT INTO public.ecdc_data VALUES (2874, 1, 869, 15.90706999, 68, 16);
INSERT INTO public.ecdc_data VALUES (2875, 0, 0, 0, 8, 16);
INSERT INTO public.ecdc_data VALUES (2876, 0, 0, 0, 69, 16);
INSERT INTO public.ecdc_data VALUES (2877, 0, 0, 0.1053701, 9, 16);
INSERT INTO public.ecdc_data VALUES (2878, 0, 0, 0, 10, 16);
INSERT INTO public.ecdc_data VALUES (2879, 1, 230, 10.89065106, 70, 16);
INSERT INTO public.ecdc_data VALUES (2880, 2, 98, 0.07930066, 111, 16);
INSERT INTO public.ecdc_data VALUES (2881, 4, 94, 1.30513959, 71, 16);
INSERT INTO public.ecdc_data VALUES (2882, 0, 0, 0.33454115, 12, 16);
INSERT INTO public.ecdc_data VALUES (2883, 0, 19, 5.52742206, 72, 16);
INSERT INTO public.ecdc_data VALUES (2884, 1, 25, 0.62605589, 13, 16);
INSERT INTO public.ecdc_data VALUES (2885, 1, 56, 16.31403011, 156, 16);
INSERT INTO public.ecdc_data VALUES (2886, 0, 20, 1.19116064, 73, 16);
INSERT INTO public.ecdc_data VALUES (2887, 0, 1, 0, 74, 16);
INSERT INTO public.ecdc_data VALUES (2888, 1, 35, 21.00698825, 157, 16);
INSERT INTO public.ecdc_data VALUES (2889, 5, 166, 23.76570452, 158, 16);
INSERT INTO public.ecdc_data VALUES (2890, 2, 23, 0.09102372, 14, 16);
INSERT INTO public.ecdc_data VALUES (2891, 7, 194, 26.17944875, 159, 16);
INSERT INTO public.ecdc_data VALUES (2892, 0, 4, 0, 15, 16);
INSERT INTO public.ecdc_data VALUES (2893, 0, 0, 0, 75, 16);
INSERT INTO public.ecdc_data VALUES (2894, 11, 140, 7.8964838, 76, 16);
INSERT INTO public.ecdc_data VALUES (2895, 10, 55, 10.6655726, 77, 16);
INSERT INTO public.ecdc_data VALUES (2896, 6, 40, 0.46419856, 16, 16);
INSERT INTO public.ecdc_data VALUES (2897, 0, 11, 0, 78, 16);
INSERT INTO public.ecdc_data VALUES (2898, 0, 1, 0.95871479, 17, 16);
INSERT INTO public.ecdc_data VALUES (2899, 0, 6, 0, 18, 16);
INSERT INTO public.ecdc_data VALUES (2900, 2, 39, 38.34483175, 160, 16);
INSERT INTO public.ecdc_data VALUES (2901, 0, 0, 0.69678339, 19, 16);
INSERT INTO public.ecdc_data VALUES (2902, 0, 0, 0.01070676, 20, 16);
INSERT INTO public.ecdc_data VALUES (2903, 0, 4, 308.15374818, 161, 16);
INSERT INTO public.ecdc_data VALUES (2904, 0, 0, 0, 203, 16);
INSERT INTO public.ecdc_data VALUES (2905, 2, 0, 17.23475825, 162, 16);
INSERT INTO public.ecdc_data VALUES (2906, 292, 2599, 51.85719289, 163, 16);
INSERT INTO public.ecdc_data VALUES (2907, 0, 1, 0, 204, 16);
INSERT INTO public.ecdc_data VALUES (2908, 0, 0, 0.2761696, 21, 16);
INSERT INTO public.ecdc_data VALUES (2909, 0, 0, 0, 22, 16);
INSERT INTO public.ecdc_data VALUES (2910, 0, 5, 1.50121523, 164, 16);
INSERT INTO public.ecdc_data VALUES (2911, 66, 4751, 63.19019189, 165, 16);
INSERT INTO public.ecdc_data VALUES (2912, 0, 11, 0.49313137, 23, 16);
INSERT INTO public.ecdc_data VALUES (2913, 0, 9, 0, 166, 16);
INSERT INTO public.ecdc_data VALUES (2914, 6, 95, 7.69259531, 167, 16);
INSERT INTO public.ecdc_data VALUES (2915, 0, 0, 0, 80, 16);
INSERT INTO public.ecdc_data VALUES (2916, 0, 0, 0, 81, 16);
INSERT INTO public.ecdc_data VALUES (2917, 0, 1, 0, 205, 16);
INSERT INTO public.ecdc_data VALUES (2918, 0, 2, 0.19907316, 82, 16);
INSERT INTO public.ecdc_data VALUES (2919, 0, 6, 0, 168, 16);
INSERT INTO public.ecdc_data VALUES (2920, 0, 0, 0.05481063, 24, 16);
INSERT INTO public.ecdc_data VALUES (2921, 0, 0, 0, 25, 16);
INSERT INTO public.ecdc_data VALUES (2922, 0, 0, 0.51100252, 83, 16);
INSERT INTO public.ecdc_data VALUES (2923, 0, 7, 0, 84, 16);
INSERT INTO public.ecdc_data VALUES (2924, 0, 0, 613.49693252, 169, 16);
INSERT INTO public.ecdc_data VALUES (2925, 1, 29, 1.36464632, 85, 16);
INSERT INTO public.ecdc_data VALUES (2926, 2, 39, 4.17487145, 170, 16);
INSERT INTO public.ecdc_data VALUES (2927, 0, 57, 235.86028779, 171, 16);
INSERT INTO public.ecdc_data VALUES (2928, 4, 92, 0.07157401, 112, 16);
INSERT INTO public.ecdc_data VALUES (2929, 12, 130, 0.43159263, 113, 16);
INSERT INTO public.ecdc_data VALUES (2930, 123, 2901, 29.39314404, 114, 16);
INSERT INTO public.ecdc_data VALUES (2931, 0, 41, 1.07606785, 115, 16);
INSERT INTO public.ecdc_data VALUES (2932, 10, 200, 49.87521002, 172, 16);
INSERT INTO public.ecdc_data VALUES (2933, 0, 10, 0, 173, 16);
INSERT INTO public.ecdc_data VALUES (2934, 3, 628, 46.91659821, 116, 16);
INSERT INTO public.ecdc_data VALUES (2935, 758, 5217, 122.116558, 174, 16);
INSERT INTO public.ecdc_data VALUES (2936, 0, 2, 0.81403477, 86, 16);
INSERT INTO public.ecdc_data VALUES (2937, 2, 173, 0.82925865, 117, 16);
INSERT INTO public.ecdc_data VALUES (2938, 1, 2, 0, 175, 16);
INSERT INTO public.ecdc_data VALUES (2939, 0, 24, 2.41543574, 118, 16);
INSERT INTO public.ecdc_data VALUES (2940, 1, 55, 1.48236567, 119, 16);
INSERT INTO public.ecdc_data VALUES (2941, 0, 4, 0.0741812, 26, 16);
INSERT INTO public.ecdc_data VALUES (2942, 0, 3, 4.72614492, 176, 16);
INSERT INTO public.ecdc_data VALUES (2943, 0, 20, 3.39903453, 120, 16);
INSERT INTO public.ecdc_data VALUES (2944, 0, 0, 0, 121, 16);
INSERT INTO public.ecdc_data VALUES (2945, 0, 0, 0, 122, 16);
INSERT INTO public.ecdc_data VALUES (2946, 0, 71, 17.96904948, 177, 16);
INSERT INTO public.ecdc_data VALUES (2947, 2, 26, 4.94478397, 123, 16);
INSERT INTO public.ecdc_data VALUES (2948, 0, 0, 0.06076104, 28, 16);
INSERT INTO public.ecdc_data VALUES (2949, 0, 7, 0, 29, 16);
INSERT INTO public.ecdc_data VALUES (2950, 0, 1, 143.31127208, 178, 16);
INSERT INTO public.ecdc_data VALUES (2951, 0, 90, 16.82065319, 179, 16);
INSERT INTO public.ecdc_data VALUES (2952, 3, 119, 305.10153219, 180, 16);
INSERT INTO public.ecdc_data VALUES (2953, 0, 9, 0, 30, 16);
INSERT INTO public.ecdc_data VALUES (2954, 7, 150, 6.39127852, 124, 16);
INSERT INTO public.ecdc_data VALUES (2955, 0, 1, 0.75335667, 125, 16);
INSERT INTO public.ecdc_data VALUES (2956, 0, 9, 0, 32, 16);
INSERT INTO public.ecdc_data VALUES (2957, 0, 5, 25.52886281, 181, 16);
INSERT INTO public.ecdc_data VALUES (2958, 0, 0, 0.08838416, 33, 16);
INSERT INTO public.ecdc_data VALUES (2959, 1, 8, 0, 34, 16);
INSERT INTO public.ecdc_data VALUES (2960, 4, 146, 1.4697176, 87, 16);
INSERT INTO public.ecdc_data VALUES (2961, 0, 32, 5.93580721, 182, 16);
INSERT INTO public.ecdc_data VALUES (2962, 0, 2, 78.58546169, 183, 16);
INSERT INTO public.ecdc_data VALUES (2963, 0, 0, 0.34106772, 126, 16);
INSERT INTO public.ecdc_data VALUES (2964, 0, 1, 0, 184, 16);
INSERT INTO public.ecdc_data VALUES (2965, 0, 0, 0, 88, 16);
INSERT INTO public.ecdc_data VALUES (2966, 3, 121, 1.23657297, 35, 16);
INSERT INTO public.ecdc_data VALUES (2967, 0, 0, 0, 36, 16);
INSERT INTO public.ecdc_data VALUES (2968, 0, 0, 0, 127, 16);
INSERT INTO public.ecdc_data VALUES (2969, 0, 3, 0.36079028, 37, 16);
INSERT INTO public.ecdc_data VALUES (2970, 0, 0, 0.01398175, 128, 16);
INSERT INTO public.ecdc_data VALUES (2971, 132, 1104, 56.30660931, 185, 16);
INSERT INTO public.ecdc_data VALUES (2972, 0, 0, 0, 207, 16);
INSERT INTO public.ecdc_data VALUES (2973, 0, 76, 11.41528168, 208, 16);
INSERT INTO public.ecdc_data VALUES (2974, 0, 0, 0, 89, 16);
INSERT INTO public.ecdc_data VALUES (2975, 0, 0, 0, 38, 16);
INSERT INTO public.ecdc_data VALUES (2976, 0, 0, 0.04727224, 39, 16);
INSERT INTO public.ecdc_data VALUES (2977, 2, 18, 11.8432531, 186, 16);
INSERT INTO public.ecdc_data VALUES (2978, 2, 257, 56.77326653, 187, 16);
INSERT INTO public.ecdc_data VALUES (2979, 0, 15, 2.91457755, 129, 16);
INSERT INTO public.ecdc_data VALUES (2980, 2, 118, 0.69032291, 130, 16);
INSERT INTO public.ecdc_data VALUES (2981, 0, 9, 1.36507206, 131, 16);
INSERT INTO public.ecdc_data VALUES (2982, 7, 88, 22.2774842, 90, 16);
INSERT INTO public.ecdc_data VALUES (2983, 0, 0, 0, 210, 16);
INSERT INTO public.ecdc_data VALUES (2984, 0, 5, 0.79493073, 91, 16);
INSERT INTO public.ecdc_data VALUES (2985, 2, 181, 2.4023036, 92, 16);
INSERT INTO public.ecdc_data VALUES (2986, 3, 343, 1.18205691, 132, 16);
INSERT INTO public.ecdc_data VALUES (2987, 4, 224, 4.57432544, 188, 16);
INSERT INTO public.ecdc_data VALUES (2988, 19, 792, 55.63114788, 189, 16);
INSERT INTO public.ecdc_data VALUES (2989, 2, 27, 0, 93, 16);
INSERT INTO public.ecdc_data VALUES (2990, 0, 44, 8.22719487, 133, 16);
INSERT INTO public.ecdc_data VALUES (2991, 11, 308, 8.34944761, 190, 16);
INSERT INTO public.ecdc_data VALUES (2992, 3, 270, 1.00841654, 191, 16);
INSERT INTO public.ecdc_data VALUES (2993, 0, 10, 0.51477247, 40, 16);
INSERT INTO public.ecdc_data VALUES (2994, 0, 5, 0, 94, 16);
INSERT INTO public.ecdc_data VALUES (2995, 0, 5, 3.82942641, 95, 16);
INSERT INTO public.ecdc_data VALUES (2996, 0, 0, 0, 96, 16);
INSERT INTO public.ecdc_data VALUES (2997, 2, 5, 380.22813688, 192, 16);
INSERT INTO public.ecdc_data VALUES (2998, 4, 26, 3.2420417, 134, 16);
INSERT INTO public.ecdc_data VALUES (2999, 0, 12, 0.71181531, 42, 16);
INSERT INTO public.ecdc_data VALUES (3000, 3, 82, 9.85099438, 193, 16);
INSERT INTO public.ecdc_data VALUES (3001, 0, 1, 5.11556051, 43, 16);
INSERT INTO public.ecdc_data VALUES (3002, 0, 41, 10.64719986, 135, 16);
INSERT INTO public.ecdc_data VALUES (3003, 0, 0, 0, 97, 16);
INSERT INTO public.ecdc_data VALUES (3004, 0, 41, 5.04548181, 194, 16);
INSERT INTO public.ecdc_data VALUES (3005, 2, 39, 24.5565878, 195, 16);
INSERT INTO public.ecdc_data VALUES (3006, 0, 0, 0.0194264, 45, 16);
INSERT INTO public.ecdc_data VALUES (3007, 0, 93, 2.0987643, 46, 16);
INSERT INTO public.ecdc_data VALUES (3008, 6, 78, 2.78182737, 136, 16);
INSERT INTO public.ecdc_data VALUES (3009, 838, 5813, 180.30741593, 196, 16);
INSERT INTO public.ecdc_data VALUES (3010, 0, 5, 0.47365063, 137, 16);
INSERT INTO public.ecdc_data VALUES (3011, 0, 0, 0.0093429, 48, 16);
INSERT INTO public.ecdc_data VALUES (3012, 0, 0, 0, 98, 16);
INSERT INTO public.ecdc_data VALUES (3013, 38, 280, 26.09923476, 197, 16);
INSERT INTO public.ecdc_data VALUES (3014, 22, 1122, 141.30682717, 198, 16);
INSERT INTO public.ecdc_data VALUES (3015, 1, 4, 0, 138, 16);
INSERT INTO public.ecdc_data VALUES (3016, 3, 23, 1.03895531, 139, 16);
INSERT INTO public.ecdc_data VALUES (3017, 1, 143, 1.82978724, 141, 16);
INSERT INTO public.ecdc_data VALUES (3018, 0, 0, 0, 142, 16);
INSERT INTO public.ecdc_data VALUES (3019, 0, 2, 0.35880614, 49, 16);
INSERT INTO public.ecdc_data VALUES (3020, 1, 4, 5.30477738, 99, 16);
INSERT INTO public.ecdc_data VALUES (3021, 2, 51, 2.22322533, 50, 16);
INSERT INTO public.ecdc_data VALUES (3022, 23, 1815, 11.21776162, 199, 16);
INSERT INTO public.ecdc_data VALUES (3023, 0, 0, 0, 100, 16);
INSERT INTO public.ecdc_data VALUES (3024, 0, 3, 0, 51, 16);
INSERT INTO public.ecdc_data VALUES (3025, 1, 107, 0.94331811, 200, 16);
INSERT INTO public.ecdc_data VALUES (3026, 1, 102, 4.83085558, 143, 16);
INSERT INTO public.ecdc_data VALUES (3027, 212, 2822, 36.33765856, 201, 16);
INSERT INTO public.ecdc_data VALUES (3028, 0, 1, 0.02413566, 52, 16);
INSERT INTO public.ecdc_data VALUES (3029, 318, 18360, 42.31718205, 101, 16);
INSERT INTO public.ecdc_data VALUES (3030, 0, 8, 0, 102, 16);
INSERT INTO public.ecdc_data VALUES (3031, 1, 36, 8.29064997, 103, 16);
INSERT INTO public.ecdc_data VALUES (3032, 0, 12, 0.42144564, 144, 16);
INSERT INTO public.ecdc_data VALUES (3033, 0, 0, 0.36470972, 104, 16);
INSERT INTO public.ecdc_data VALUES (3034, 0, 15, 0.15135477, 145, 16);
INSERT INTO public.ecdc_data VALUES (3035, 0, 1, 0, 54, 16);
INSERT INTO public.ecdc_data VALUES (3036, 0, 0, 0, 55, 16);
INSERT INTO public.ecdc_data VALUES (3037, 0, 0, 0, 105, 17);
INSERT INTO public.ecdc_data VALUES (3038, 0, 0, 0, 1, 17);
INSERT INTO public.ecdc_data VALUES (3039, 0, 0, 0, 149, 17);
INSERT INTO public.ecdc_data VALUES (3040, 0, 2, 0.0238065, 202, 17);
INSERT INTO public.ecdc_data VALUES (3041, 0, 0, 0, 150, 17);
INSERT INTO public.ecdc_data VALUES (3042, 0, 0, 0, 151, 17);
INSERT INTO public.ecdc_data VALUES (3043, 0, 0, 0, 106, 17);
INSERT INTO public.ecdc_data VALUES (3044, 0, 0, 0, 152, 17);
INSERT INTO public.ecdc_data VALUES (3045, 0, 0, 0, 153, 17);
INSERT INTO public.ecdc_data VALUES (3046, 0, 0, 0, 66, 17);
INSERT INTO public.ecdc_data VALUES (3047, 0, 0, 0.00606555, 110, 17);
INSERT INTO public.ecdc_data VALUES (3048, 0, 0, 0.00801902, 68, 17);
INSERT INTO public.ecdc_data VALUES (3049, 0, 0, 0, 214, 17);
INSERT INTO public.ecdc_data VALUES (3050, 38, 1740, 0.53529692, 111, 17);
INSERT INTO public.ecdc_data VALUES (3051, 0, 0, 0, 156, 17);
INSERT INTO public.ecdc_data VALUES (3052, 0, 0, 0, 158, 17);
INSERT INTO public.ecdc_data VALUES (3053, 0, 0, 0, 159, 17);
INSERT INTO public.ecdc_data VALUES (3054, 0, 0, 0, 76, 17);
INSERT INTO public.ecdc_data VALUES (3055, 0, 0, 0, 77, 17);
INSERT INTO public.ecdc_data VALUES (3056, 0, 0, 0, 16, 17);
INSERT INTO public.ecdc_data VALUES (3057, 0, 0, 0, 160, 17);
INSERT INTO public.ecdc_data VALUES (3058, 0, 1, 0.01812277, 162, 17);
INSERT INTO public.ecdc_data VALUES (3059, 0, 1, 0.00746125, 163, 17);
INSERT INTO public.ecdc_data VALUES (3060, 0, 0, 0, 164, 17);
INSERT INTO public.ecdc_data VALUES (3061, 0, 0, 0.00481816, 165, 17);
INSERT INTO public.ecdc_data VALUES (3062, 0, 0, 0, 167, 17);
INSERT INTO public.ecdc_data VALUES (3063, 0, 0, 0, 171, 17);
INSERT INTO public.ecdc_data VALUES (3064, 0, 1, 7.318e-05, 112, 17);
INSERT INTO public.ecdc_data VALUES (3065, 0, 0, 0, 113, 17);
INSERT INTO public.ecdc_data VALUES (3066, 0, 0, 0, 114, 17);
INSERT INTO public.ecdc_data VALUES (3067, 0, 0, 0, 115, 17);
INSERT INTO public.ecdc_data VALUES (3068, 0, 0, 0, 172, 17);
INSERT INTO public.ecdc_data VALUES (3069, 0, 0, 0, 116, 17);
INSERT INTO public.ecdc_data VALUES (3070, 0, 0, 0, 174, 17);
INSERT INTO public.ecdc_data VALUES (3071, 0, 4, 0.00788269, 117, 17);
INSERT INTO public.ecdc_data VALUES (3072, 0, 0, 0, 120, 17);
INSERT INTO public.ecdc_data VALUES (3073, 0, 0, 0, 123, 17);
INSERT INTO public.ecdc_data VALUES (3074, 0, 0, 0, 179, 17);
INSERT INTO public.ecdc_data VALUES (3075, 0, 0, 0, 180, 17);
INSERT INTO public.ecdc_data VALUES (3076, 0, 0, 0.02190938, 124, 17);
INSERT INTO public.ecdc_data VALUES (3077, 0, 1, 0.00078385, 87, 17);
INSERT INTO public.ecdc_data VALUES (3078, 0, 0, 0, 183, 17);
INSERT INTO public.ecdc_data VALUES (3079, 0, 0, 0.00349544, 128, 17);
INSERT INTO public.ecdc_data VALUES (3080, 0, 0, 0, 185, 17);
INSERT INTO public.ecdc_data VALUES (3081, 0, 0, 0, 208, 17);
INSERT INTO public.ecdc_data VALUES (3082, 0, 0, 0, 39, 17);
INSERT INTO public.ecdc_data VALUES (3083, 0, 0, 0, 186, 17);
INSERT INTO public.ecdc_data VALUES (3084, 0, 0, 0, 187, 17);
INSERT INTO public.ecdc_data VALUES (3085, 0, 0, 0, 129, 17);
INSERT INTO public.ecdc_data VALUES (3086, 0, 0, 0, 130, 17);
INSERT INTO public.ecdc_data VALUES (3087, 0, 1, 0.00092493, 132, 17);
INSERT INTO public.ecdc_data VALUES (3088, 0, 0, 0, 133, 17);
INSERT INTO public.ecdc_data VALUES (3089, 0, 0, 0, 190, 17);
INSERT INTO public.ecdc_data VALUES (3090, 0, 0, 0, 191, 17);
INSERT INTO public.ecdc_data VALUES (3091, 0, 0, 0, 192, 17);
INSERT INTO public.ecdc_data VALUES (3092, 0, 3, 0.17228479, 135, 17);
INSERT INTO public.ecdc_data VALUES (3093, 0, 0, 0.00780864, 136, 17);
INSERT INTO public.ecdc_data VALUES (3094, 0, 0, 0, 196, 17);
INSERT INTO public.ecdc_data VALUES (3095, 0, 0, 0.00468961, 137, 17);
INSERT INTO public.ecdc_data VALUES (3096, 0, 0, 0, 197, 17);
INSERT INTO public.ecdc_data VALUES (3097, 0, 0, 0, 198, 17);
INSERT INTO public.ecdc_data VALUES (3098, 0, 0, 0.03365037, 139, 17);
INSERT INTO public.ecdc_data VALUES (3099, 0, 0, 0.0186713, 141, 17);
INSERT INTO public.ecdc_data VALUES (3100, 0, 3, 0.04093945, 143, 17);
INSERT INTO public.ecdc_data VALUES (3101, 0, 0, 0, 201, 17);
INSERT INTO public.ecdc_data VALUES (3102, 0, 0, 0.00151946, 101, 17);
INSERT INTO public.ecdc_data VALUES (3103, 0, 0, 0.00207335, 145, 17);
INSERT INTO public.ecdc_data VALUES (3104, 11, 228, 6.8451097, 105, 18);
INSERT INTO public.ecdc_data VALUES (3105, 16, 545, 333.87751024, 147, 18);
INSERT INTO public.ecdc_data VALUES (3106, 21, 1044, 33.43084558, 1, 18);
INSERT INTO public.ecdc_data VALUES (3107, 0, 60, 1240.53191908, 148, 18);
INSERT INTO public.ecdc_data VALUES (3108, 4, 167, 5.84126484, 2, 18);
INSERT INTO public.ecdc_data VALUES (3109, 0, 0, 6.72404519, 56, 18);
INSERT INTO public.ecdc_data VALUES (3110, 0, 0, 7.20794934, 57, 18);
INSERT INTO public.ecdc_data VALUES (3111, 106, 6098, 242.36124176, 58, 18);
INSERT INTO public.ecdc_data VALUES (3112, 21, 1174, 589.33749148, 149, 18);
INSERT INTO public.ecdc_data VALUES (3113, 0, 25, 164.61292447, 59, 18);
INSERT INTO public.ecdc_data VALUES (3114, 0, 11, 0.69038852, 202, 18);
INSERT INTO public.ecdc_data VALUES (3115, 58, 4765, 858.57243242, 150, 18);
INSERT INTO public.ecdc_data VALUES (3116, 32, 4212, 404.0319997, 151, 18);
INSERT INTO public.ecdc_data VALUES (3117, 0, 0, 85.49729644, 60, 18);
INSERT INTO public.ecdc_data VALUES (3118, 0, 130, 129.29847352, 106, 18);
INSERT INTO public.ecdc_data VALUES (3119, 36, 1908, 18.47513465, 107, 18);
INSERT INTO public.ecdc_data VALUES (3120, 0, 0, 7.31653781, 61, 18);
INSERT INTO public.ecdc_data VALUES (3121, 7, 1691, 216.38928235, 152, 18);
INSERT INTO public.ecdc_data VALUES (3122, 114, 1004, 352.10102659, 153, 18);
INSERT INTO public.ecdc_data VALUES (3123, 3, 60, 221.33925621, 62, 18);
INSERT INTO public.ecdc_data VALUES (3124, 0, 0, 1.10158746, 3, 18);
INSERT INTO public.ecdc_data VALUES (3125, 0, 9, 46.39406156, 63, 18);
INSERT INTO public.ecdc_data VALUES (3126, 0, 1, 2.75195454, 108, 18);
INSERT INTO public.ecdc_data VALUES (3127, 6, 98, 12.25560236, 64, 18);
INSERT INTO public.ecdc_data VALUES (3128, 0, 0, 23.09202171, 65, 18);
INSERT INTO public.ecdc_data VALUES (3129, 0, 0, 440.20020612, 154, 18);
INSERT INTO public.ecdc_data VALUES (3130, 0, 0, 76.70259578, 4, 18);
INSERT INTO public.ecdc_data VALUES (3131, 587, 51922, 209.10400653, 66, 18);
INSERT INTO public.ecdc_data VALUES (3132, 0, 0, 0, 67, 18);
INSERT INTO public.ecdc_data VALUES (3133, 0, 0, 0.46157823, 109, 18);
INSERT INTO public.ecdc_data VALUES (3134, 69, 1792, 633.02504457, 155, 18);
INSERT INTO public.ecdc_data VALUES (3135, 0, 0, 0.89068741, 5, 18);
INSERT INTO public.ecdc_data VALUES (3136, 0, 0, 0.46832002, 6, 18);
INSERT INTO public.ecdc_data VALUES (3137, 0, 0, 0.03032777, 110, 18);
INSERT INTO public.ecdc_data VALUES (3138, 0, 0, 6.55423804, 7, 18);
INSERT INTO public.ecdc_data VALUES (3139, 82, 5746, 194.80614251, 68, 18);
INSERT INTO public.ecdc_data VALUES (3140, 0, 0, 135.65214861, 8, 18);
INSERT INTO public.ecdc_data VALUES (3141, 0, 5, 30.79386586, 69, 18);
INSERT INTO public.ecdc_data VALUES (3142, 0, 0, 0.35825835, 9, 18);
INSERT INTO public.ecdc_data VALUES (3143, 0, 0, 0.45149892, 10, 18);
INSERT INTO public.ecdc_data VALUES (3144, 44, 1718, 101.65135301, 70, 18);
INSERT INTO public.ecdc_data VALUES (3145, 0, 6, 0.0116475, 111, 18);
INSERT INTO public.ecdc_data VALUES (3146, 187, 9103, 215.75328118, 71, 18);
INSERT INTO public.ecdc_data VALUES (3147, 0, 1, 3.76076372, 11, 18);
INSERT INTO public.ecdc_data VALUES (3148, 0, 0, 7.3413197, 12, 18);
INSERT INTO public.ecdc_data VALUES (3149, 0, 0, 274.78617891, 72, 18);
INSERT INTO public.ecdc_data VALUES (3150, 0, 29, 1.2287805, 13, 18);
INSERT INTO public.ecdc_data VALUES (3151, 55, 3987, 1026.65540794, 156, 18);
INSERT INTO public.ecdc_data VALUES (3152, 0, 63, 5.33816433, 73, 18);
INSERT INTO public.ecdc_data VALUES (3153, 1, 101, 581.92543277, 74, 18);
INSERT INTO public.ecdc_data VALUES (3154, 0, 248, 363.05555778, 157, 18);
INSERT INTO public.ecdc_data VALUES (3155, 87, 2665, 567.33459783, 158, 18);
INSERT INTO public.ecdc_data VALUES (3156, 0, 67, 0.9770647, 14, 18);
INSERT INTO public.ecdc_data VALUES (3157, 7, 1636, 297.55010307, 159, 18);
INSERT INTO public.ecdc_data VALUES (3158, 0, 0, 3.1841998, 15, 18);
INSERT INTO public.ecdc_data VALUES (3159, 0, 0, 23.67424242, 75, 18);
INSERT INTO public.ecdc_data VALUES (3160, 4, 876, 87.79251095, 76, 18);
INSERT INTO public.ecdc_data VALUES (3161, 13, 1375, 64.93739343, 77, 18);
INSERT INTO public.ecdc_data VALUES (3162, 13, 351, 4.61807835, 16, 18);
INSERT INTO public.ecdc_data VALUES (3163, 4, 0, 31.71897638, 78, 18);
INSERT INTO public.ecdc_data VALUES (3164, 0, 0, 3.61361729, 17, 18);
INSERT INTO public.ecdc_data VALUES (3165, 0, 11, 2.40197854, 18, 18);
INSERT INTO public.ecdc_data VALUES (3166, 5, 375, 343.44288281, 160, 18);
INSERT INTO public.ecdc_data VALUES (3167, 1, 44, 27.26165, 19, 18);
INSERT INTO public.ecdc_data VALUES (3168, 9, 492, 5.89674792, 20, 18);
INSERT INTO public.ecdc_data VALUES (3169, 0, 0, 59.31198102, 79, 18);
INSERT INTO public.ecdc_data VALUES (3170, 0, 2, 10.27179161, 161, 18);
INSERT INTO public.ecdc_data VALUES (3171, 0, 0, 0.3370957, 203, 18);
INSERT INTO public.ecdc_data VALUES (3172, 0, 541, 94.32903963, 162, 18);
INSERT INTO public.ecdc_data VALUES (3173, 213, 12500, 379.1808211, 163, 18);
INSERT INTO public.ecdc_data VALUES (3174, 1, 213, 855.75666434, 204, 18);
INSERT INTO public.ecdc_data VALUES (3175, 0, 0, 5.93764643, 21, 18);
INSERT INTO public.ecdc_data VALUES (3176, 0, 3, 1.5334183, 22, 18);
INSERT INTO public.ecdc_data VALUES (3177, 35, 4426, 1318.31717776, 164, 18);
INSERT INTO public.ecdc_data VALUES (3178, 158, 14611, 303.7814873, 165, 18);
INSERT INTO public.ecdc_data VALUES (3179, 0, 154, 4.4743453, 23, 18);
INSERT INTO public.ecdc_data VALUES (3180, 0, 10, 361.95336142, 166, 18);
INSERT INTO public.ecdc_data VALUES (3181, 121, 1747, 284.61670222, 167, 18);
INSERT INTO public.ecdc_data VALUES (3182, 0, 0, 1.76491352, 80, 18);
INSERT INTO public.ecdc_data VALUES (3183, 0, 0, 8.03557079, 81, 18);
INSERT INTO public.ecdc_data VALUES (3184, 0, 0, 488.358887, 205, 18);
INSERT INTO public.ecdc_data VALUES (3185, 20, 666, 40.26396874, 82, 18);
INSERT INTO public.ecdc_data VALUES (3186, 0, 0, 6.20462865, 168, 18);
INSERT INTO public.ecdc_data VALUES (3187, 0, 0, 3.55486066, 24, 18);
INSERT INTO public.ecdc_data VALUES (3188, 0, 0, 0.15617541, 25, 18);
INSERT INTO public.ecdc_data VALUES (3189, 0, 28, 69.49634314, 83, 18);
INSERT INTO public.ecdc_data VALUES (3190, 0, 0, 0.85234242, 84, 18);
INSERT INTO public.ecdc_data VALUES (3191, 0, 0, 0, 169, 18);
INSERT INTO public.ecdc_data VALUES (3192, 6, 379, 50.87155241, 85, 18);
INSERT INTO public.ecdc_data VALUES (3193, 156, 6819, 722.06857513, 170, 18);
INSERT INTO public.ecdc_data VALUES (3194, 0, 25, 51.82203473, 171, 18);
INSERT INTO public.ecdc_data VALUES (3195, 496, 41810, 42.32526967, 112, 18);
INSERT INTO public.ecdc_data VALUES (3196, 125, 5418, 24.01546931, 113, 18);
INSERT INTO public.ecdc_data VALUES (3197, 391, 13402, 224.65957545, 114, 18);
INSERT INTO public.ecdc_data VALUES (3198, 33, 1606, 81.1655336, 115, 18);
INSERT INTO public.ecdc_data VALUES (3199, 7, 243, 90.04453289, 172, 18);
INSERT INTO public.ecdc_data VALUES (3200, 0, 0, 7.09312085, 173, 18);
INSERT INTO public.ecdc_data VALUES (3201, 15, 1196, 135.4325019, 116, 18);
INSERT INTO public.ecdc_data VALUES (3202, 686, 26315, 695.79714864, 174, 18);
INSERT INTO public.ecdc_data VALUES (3203, 1, 69, 30.15320474, 86, 18);
INSERT INTO public.ecdc_data VALUES (3204, 32, 2585, 22.0526045, 117, 18);
INSERT INTO public.ecdc_data VALUES (3205, 0, 0, 181.82492857, 175, 18);
INSERT INTO public.ecdc_data VALUES (3206, 56, 3108, 687.05287834, 118, 18);
INSERT INTO public.ecdc_data VALUES (3207, 3, 990, 66.60942759, 119, 18);
INSERT INTO public.ecdc_data VALUES (3208, 4, 949, 25.35855816, 26, 18);
INSERT INTO public.ecdc_data VALUES (3209, 14, 639, 545.73073429, 176, 18);
INSERT INTO public.ecdc_data VALUES (3210, 1, 319, 139.14649054, 120, 18);
INSERT INTO public.ecdc_data VALUES (3211, 4, 456, 92.31822871, 121, 18);
INSERT INTO public.ecdc_data VALUES (3212, 0, 0, 0.20922089, 122, 18);
INSERT INTO public.ecdc_data VALUES (3213, 3, 753, 329.69299488, 177, 18);
INSERT INTO public.ecdc_data VALUES (3214, 10, 1696, 312.30905512, 123, 18);
INSERT INTO public.ecdc_data VALUES (3215, 0, 0, 3.19959798, 27, 18);
INSERT INTO public.ecdc_data VALUES (3216, 0, 0, 1.9646071, 28, 18);
INSERT INTO public.ecdc_data VALUES (3217, 0, 0, 127.55529253, 29, 18);
INSERT INTO public.ecdc_data VALUES (3218, 0, 0, 789.5148262, 178, 18);
INSERT INTO public.ecdc_data VALUES (3219, 11, 1981, 959.34984954, 179, 18);
INSERT INTO public.ecdc_data VALUES (3220, 0, 0, 1218.12560475, 180, 18);
INSERT INTO public.ecdc_data VALUES (3221, 0, 0, 0.40045524, 30, 18);
INSERT INTO public.ecdc_data VALUES (3222, 0, 1, 0.32745087, 31, 18);
INSERT INTO public.ecdc_data VALUES (3223, 0, 1315, 53.10520204, 124, 18);
INSERT INTO public.ecdc_data VALUES (3224, 0, 14, 149.35296079, 125, 18);
INSERT INTO public.ecdc_data VALUES (3225, 0, 92, 4.33919525, 32, 18);
INSERT INTO public.ecdc_data VALUES (3226, 4, 108, 321.33949538, 181, 18);
INSERT INTO public.ecdc_data VALUES (3227, 0, 0, 5.10282186, 206, 18);
INSERT INTO public.ecdc_data VALUES (3228, 0, 34, 12.70522249, 33, 18);
INSERT INTO public.ecdc_data VALUES (3229, 0, 0, 2.44157931, 34, 18);
INSERT INTO public.ecdc_data VALUES (3230, 1217, 22089, 76.37044562, 87, 18);
INSERT INTO public.ecdc_data VALUES (3231, 19, 1712, 422.43161332, 182, 18);
INSERT INTO public.ecdc_data VALUES (3232, 0, 4, 187.39610095, 183, 18);
INSERT INTO public.ecdc_data VALUES (3233, 0, 24, 11.03819152, 126, 18);
INSERT INTO public.ecdc_data VALUES (3234, 7, 618, 1248.50927864, 184, 18);
INSERT INTO public.ecdc_data VALUES (3235, 0, 0, 0, 88, 18);
INSERT INTO public.ecdc_data VALUES (3236, 50, 4412, 168.56052432, 35, 18);
INSERT INTO public.ecdc_data VALUES (3237, 1, 80, 4.10326759, 36, 18);
INSERT INTO public.ecdc_data VALUES (3238, 22, 1344, 36.94299954, 127, 18);
INSERT INTO public.ecdc_data VALUES (3239, 1, 78, 33.51340777, 37, 18);
INSERT INTO public.ecdc_data VALUES (3240, 19, 1380, 78.38170991, 128, 18);
INSERT INTO public.ecdc_data VALUES (3241, 59, 4452, 409.48578022, 185, 18);
INSERT INTO public.ecdc_data VALUES (3242, 0, 0, 0.70732113, 207, 18);
INSERT INTO public.ecdc_data VALUES (3243, 0, 0, 1.02444836, 208, 18);
INSERT INTO public.ecdc_data VALUES (3244, 0, 0, 1.87915276, 89, 18);
INSERT INTO public.ecdc_data VALUES (3245, 0, 12, 0.78504657, 38, 18);
INSERT INTO public.ecdc_data VALUES (3246, 0, 110, 1.16140434, 39, 18);
INSERT INTO public.ecdc_data VALUES (3247, 41, 1022, 705.82899883, 186, 18);
INSERT INTO public.ecdc_data VALUES (3248, 0, 0, 6.99141803, 209, 18);
INSERT INTO public.ecdc_data VALUES (3249, 0, 0, 141.15429341, 187, 18);
INSERT INTO public.ecdc_data VALUES (3250, 0, 0, 63.05537778, 129, 18);
INSERT INTO public.ecdc_data VALUES (3251, 43, 2829, 17.67642231, 130, 18);
INSERT INTO public.ecdc_data VALUES (3252, 0, 0, 328.86191935, 131, 18);
INSERT INTO public.ecdc_data VALUES (3253, 9, 1709, 427.27555317, 90, 18);
INSERT INTO public.ecdc_data VALUES (3254, 0, 0, 0.51275513, 210, 18);
INSERT INTO public.ecdc_data VALUES (3255, 11, 695, 142.88879813, 91, 18);
INSERT INTO public.ecdc_data VALUES (3256, 40, 2044, 78.3409353, 92, 18);
INSERT INTO public.ecdc_data VALUES (3257, 78, 1879, 19.84893683, 132, 18);
INSERT INTO public.ecdc_data VALUES (3258, 599, 15177, 743.88749508, 188, 18);
INSERT INTO public.ecdc_data VALUES (3259, 87, 4868, 773.01703469, 189, 18);
INSERT INTO public.ecdc_data VALUES (3260, 7, 1195, 461.6138793, 93, 18);
INSERT INTO public.ecdc_data VALUES (3261, 0, 227, 95.05411411, 133, 18);
INSERT INTO public.ecdc_data VALUES (3262, 161, 8134, 580.99484415, 190, 18);
INSERT INTO public.ecdc_data VALUES (3263, 510, 27100, 232.65561252, 191, 18);
INSERT INTO public.ecdc_data VALUES (3264, 0, 19, 3.93602946, 40, 18);
INSERT INTO public.ecdc_data VALUES (3265, 0, 0, 5.67816179, 94, 18);
INSERT INTO public.ecdc_data VALUES (3266, 0, 6, 49.23548237, 95, 18);
INSERT INTO public.ecdc_data VALUES (3267, 0, 0, 6.32951453, 96, 18);
INSERT INTO public.ecdc_data VALUES (3268, 1, 32, 966.53411894, 192, 18);
INSERT INTO public.ecdc_data VALUES (3269, 0, 0, 9.76526171, 41, 18);
INSERT INTO public.ecdc_data VALUES (3270, 13, 220, 11.55871033, 134, 18);
INSERT INTO public.ecdc_data VALUES (3271, 0, 46, 1.52181205, 42, 18);
INSERT INTO public.ecdc_data VALUES (3272, 61, 7041, 1176.79174653, 193, 18);
INSERT INTO public.ecdc_data VALUES (3273, 0, 0, 15.34668154, 43, 18);
INSERT INTO public.ecdc_data VALUES (3274, 0, 0, 0.24317799, 44, 18);
INSERT INTO public.ecdc_data VALUES (3275, 1, 6, 1.53333461, 135, 18);
INSERT INTO public.ecdc_data VALUES (3276, 0, 9, 327.91526103, 97, 18);
INSERT INTO public.ecdc_data VALUES (3277, 27, 1526, 349.78949333, 194, 18);
INSERT INTO public.ecdc_data VALUES (3278, 30, 1590, 967.94284034, 195, 18);
INSERT INTO public.ecdc_data VALUES (3279, 0, 0, 0.14929362, 211, 18);
INSERT INTO public.ecdc_data VALUES (3280, 0, 0, 0.93246699, 45, 18);
INSERT INTO public.ecdc_data VALUES (3281, 61, 3198, 61.40379803, 46, 18);
INSERT INTO public.ecdc_data VALUES (3282, 1, 449, 10.30349815, 136, 18);
INSERT INTO public.ecdc_data VALUES (3283, 0, 12, 0.91302621, 47, 18);
INSERT INTO public.ecdc_data VALUES (3284, 0, 0, 361.37116385, 196, 18);
INSERT INTO public.ecdc_data VALUES (3285, 2, 487, 30.03695319, 137, 18);
INSERT INTO public.ecdc_data VALUES (3286, 5, 204, 6.22938181, 48, 18);
INSERT INTO public.ecdc_data VALUES (3287, 0, 1, 6.53636368, 98, 18);
INSERT INTO public.ecdc_data VALUES (3288, 42, 3825, 645.38422326, 197, 18);
INSERT INTO public.ecdc_data VALUES (3289, 0, 0, 711.92940229, 198, 18);
INSERT INTO public.ecdc_data VALUES (3290, 5, 80, 6.45572044, 138, 18);
INSERT INTO public.ecdc_data VALUES (3291, 0, 3, 0.20610854, 139, 18);
INSERT INTO public.ecdc_data VALUES (3292, 0, 36, 5.8469977, 140, 18);
INSERT INTO public.ecdc_data VALUES (3293, 0, 11, 0.14793413, 141, 18);
INSERT INTO public.ecdc_data VALUES (3294, 0, 0, 0, 142, 18);
INSERT INTO public.ecdc_data VALUES (3295, 0, 20, 3.64992448, 49, 18);
INSERT INTO public.ecdc_data VALUES (3296, 0, 44, 39.642458, 99, 18);
INSERT INTO public.ecdc_data VALUES (3297, 47, 1210, 133.74410557, 50, 18);
INSERT INTO public.ecdc_data VALUES (3298, 182, 30103, 177.74158545, 199, 18);
INSERT INTO public.ecdc_data VALUES (3299, 0, 0, 73.30994397, 100, 18);
INSERT INTO public.ecdc_data VALUES (3300, 4, 356, 10.25986531, 51, 18);
INSERT INTO public.ecdc_data VALUES (3301, 184, 16294, 419.43559891, 200, 18);
INSERT INTO public.ecdc_data VALUES (3302, 2, 1252, 177.74887452, 143, 18);
INSERT INTO public.ecdc_data VALUES (3303, 479, 15871, 391.33878749, 201, 18);
INSERT INTO public.ecdc_data VALUES (3304, 0, 0, 0, 52, 18);
INSERT INTO public.ecdc_data VALUES (3305, 1204, 154893, 711.64073683, 101, 18);
INSERT INTO public.ecdc_data VALUES (3306, 0, 17, 99.44635156, 102, 18);
INSERT INTO public.ecdc_data VALUES (3307, 1, 208, 44.89083641, 103, 18);
INSERT INTO public.ecdc_data VALUES (3308, 0, 0, 8.27428167, 144, 18);
INSERT INTO public.ecdc_data VALUES (3309, 0, 0, 0, 212, 18);
INSERT INTO public.ecdc_data VALUES (3310, 4, 309, 17.82518755, 104, 18);
INSERT INTO public.ecdc_data VALUES (3311, 0, 2, 0.07878741, 145, 18);
INSERT INTO public.ecdc_data VALUES (3312, 0, 0, 0, 213, 18);
INSERT INTO public.ecdc_data VALUES (3313, 0, 0, 0, 53, 18);
INSERT INTO public.ecdc_data VALUES (3314, 0, 0, 0.02057478, 146, 18);
INSERT INTO public.ecdc_data VALUES (3315, 0, 20, 2.75459976, 54, 18);
INSERT INTO public.ecdc_data VALUES (3316, 0, 108, 7.07385825, 55, 18);
INSERT INTO public.ecdc_data VALUES (3317, 0, 0, 2.94150452, 105, 19);
INSERT INTO public.ecdc_data VALUES (3318, 6, 311, 142.71106302, 147, 19);
INSERT INTO public.ecdc_data VALUES (3319, 10, 320, 7.99478708, 1, 19);
INSERT INTO public.ecdc_data VALUES (3320, 0, 107, 1741.99561547, 148, 19);
INSERT INTO public.ecdc_data VALUES (3321, 1, 227, 10.02661436, 2, 19);
INSERT INTO public.ecdc_data VALUES (3322, 0, 0, 0, 56, 19);
INSERT INTO public.ecdc_data VALUES (3323, 0, 0, 12.35648458, 57, 19);
INSERT INTO public.ecdc_data VALUES (3324, 341, 13924, 443.41895248, 58, 19);
INSERT INTO public.ecdc_data VALUES (3325, 29, 2383, 892.9151024, 149, 19);
INSERT INTO public.ecdc_data VALUES (3326, 0, 17, 171.19744144, 59, 19);
INSERT INTO public.ecdc_data VALUES (3327, 2, 13, 0.84513078, 202, 19);
INSERT INTO public.ecdc_data VALUES (3328, 34, 4149, 367.17266213, 150, 19);
INSERT INTO public.ecdc_data VALUES (3329, 11, 988, 93.42418911, 151, 19);
INSERT INTO public.ecdc_data VALUES (3330, 4, 47, 298.85541457, 60, 19);
INSERT INTO public.ecdc_data VALUES (3331, 1, 489, 268.16332798, 106, 19);
INSERT INTO public.ecdc_data VALUES (3332, 23, 1493, 12.34006271, 107, 19);
INSERT INTO public.ecdc_data VALUES (3333, 0, 1, 6.61972469, 61, 19);
INSERT INTO public.ecdc_data VALUES (3334, 4, 936, 110.27876597, 152, 19);
INSERT INTO public.ecdc_data VALUES (3335, 142, 17998, 1722.09569903, 153, 19);
INSERT INTO public.ecdc_data VALUES (3336, 1, 29, 164.46736399, 62, 19);
INSERT INTO public.ecdc_data VALUES (3337, 0, 86, 1.3981687, 3, 19);
INSERT INTO public.ecdc_data VALUES (3338, 0, 0, 14.39815704, 63, 19);
INSERT INTO public.ecdc_data VALUES (3339, 0, 1, 3.93136363, 108, 19);
INSERT INTO public.ecdc_data VALUES (3340, 22, 197, 18.93494907, 64, 19);
INSERT INTO public.ecdc_data VALUES (3341, 0, 3, 11.54601085, 65, 19);
INSERT INTO public.ecdc_data VALUES (3342, 36, 1584, 397.03144322, 154, 19);
INSERT INTO public.ecdc_data VALUES (3343, 0, 0, 54.0000165, 4, 19);
INSERT INTO public.ecdc_data VALUES (3344, 510, 28629, 155.13278663, 66, 19);
INSERT INTO public.ecdc_data VALUES (3345, 0, 0, 3.3296707, 67, 19);
INSERT INTO public.ecdc_data VALUES (3346, 0, 0, 0.23078911, 109, 19);
INSERT INTO public.ecdc_data VALUES (3347, 36, 2760, 269.54135541, 155, 19);
INSERT INTO public.ecdc_data VALUES (3348, 0, 0, 0.79226891, 5, 19);
INSERT INTO public.ecdc_data VALUES (3349, 0, 1, 0.26017779, 6, 19);
INSERT INTO public.ecdc_data VALUES (3350, 0, 0, 0.04245887, 110, 19);
INSERT INTO public.ecdc_data VALUES (3351, 0, 0, 1.36031356, 7, 19);
INSERT INTO public.ecdc_data VALUES (3352, 31, 2699, 96.76021285, 68, 19);
INSERT INTO public.ecdc_data VALUES (3353, 0, 76, 214.02490472, 8, 19);
INSERT INTO public.ecdc_data VALUES (3354, 0, 0, 21.5557061, 69, 19);
INSERT INTO public.ecdc_data VALUES (3355, 0, 0, 0.16859216, 9, 19);
INSERT INTO public.ecdc_data VALUES (3356, 1, 8, 0.87164375, 10, 19);
INSERT INTO public.ecdc_data VALUES (3357, 6, 1005, 106.36324806, 70, 19);
INSERT INTO public.ecdc_data VALUES (3358, 0, 24, 0.02594534, 111, 19);
INSERT INTO public.ecdc_data VALUES (3359, 188, 8717, 222.0445705, 71, 19);
INSERT INTO public.ecdc_data VALUES (3360, 0, 8, 3.40819212, 11, 19);
INSERT INTO public.ecdc_data VALUES (3361, 0, 0, 1.80280509, 12, 19);
INSERT INTO public.ecdc_data VALUES (3362, 11, 1231, 292.67600728, 72, 19);
INSERT INTO public.ecdc_data VALUES (3363, 2, 67, 1.31432851, 13, 19);
INSERT INTO public.ecdc_data VALUES (3364, 23, 2378, 472.44449918, 156, 19);
INSERT INTO public.ecdc_data VALUES (3365, 0, 49, 6.10580118, 73, 19);
INSERT INTO public.ecdc_data VALUES (3366, 0, 11, 146.24624441, 74, 19);
INSERT INTO public.ecdc_data VALUES (3367, 0, 0, 192.60211508, 157, 19);
INSERT INTO public.ecdc_data VALUES (3368, 128, 12980, 1480.99494826, 158, 19);
INSERT INTO public.ecdc_data VALUES (3369, 0, 20, 0.31800691, 14, 19);
INSERT INTO public.ecdc_data VALUES (3370, 6, 1017, 165.01664376, 159, 19);
INSERT INTO public.ecdc_data VALUES (3371, 0, 11, 11.81235408, 15, 19);
INSERT INTO public.ecdc_data VALUES (3372, 0, 4, 13.92602496, 75, 19);
INSERT INTO public.ecdc_data VALUES (3373, 6, 562, 55.01465366, 76, 19);
INSERT INTO public.ecdc_data VALUES (3374, 20, 1716, 91.08617719, 77, 19);
INSERT INTO public.ecdc_data VALUES (3375, 12, 153, 2.10682392, 16, 19);
INSERT INTO public.ecdc_data VALUES (3376, 5, 0, 33.4544553, 78, 19);
INSERT INTO public.ecdc_data VALUES (3377, 0, 0, 1.10620937, 17, 19);
INSERT INTO public.ecdc_data VALUES (3378, 0, 0, 1.34396419, 18, 19);
INSERT INTO public.ecdc_data VALUES (3379, 0, 125, 48.53489531, 160, 19);
INSERT INTO public.ecdc_data VALUES (3380, 0, 11, 14.89374489, 19, 19);
INSERT INTO public.ecdc_data VALUES (3381, 6, 602, 7.48580951, 20, 19);
INSERT INTO public.ecdc_data VALUES (3382, 0, 0, 0, 79, 19);
INSERT INTO public.ecdc_data VALUES (3383, 0, 0, 32.86973314, 161, 19);
INSERT INTO public.ecdc_data VALUES (3384, 0, 0, 0.11236523, 203, 19);
INSERT INTO public.ecdc_data VALUES (3385, 0, 215, 48.47842094, 162, 19);
INSERT INTO public.ecdc_data VALUES (3386, 244, 36437, 680.56913773, 163, 19);
INSERT INTO public.ecdc_data VALUES (3387, 0, 0, 1067.72651592, 204, 19);
INSERT INTO public.ecdc_data VALUES (3388, 1, 20, 4.05048749, 21, 19);
INSERT INTO public.ecdc_data VALUES (3389, 0, 1, 0.93708896, 22, 19);
INSERT INTO public.ecdc_data VALUES (3390, 20, 1709, 551.59651738, 164, 19);
INSERT INTO public.ecdc_data VALUES (3391, 89, 16774, 168.38270919, 165, 19);
INSERT INTO public.ecdc_data VALUES (3392, 0, 0, 2.13361506, 23, 19);
INSERT INTO public.ecdc_data VALUES (3393, 0, 3, 492.493918, 166, 19);
INSERT INTO public.ecdc_data VALUES (3394, 10, 1547, 100.74036335, 167, 19);
INSERT INTO public.ecdc_data VALUES (3395, 0, 0, 1.76491352, 80, 19);
INSERT INTO public.ecdc_data VALUES (3396, 0, 0, 2.6785236, 81, 19);
INSERT INTO public.ecdc_data VALUES (3397, 1, 34, 672.46480768, 205, 19);
INSERT INTO public.ecdc_data VALUES (3398, 17, 749, 41.10007601, 82, 19);
INSERT INTO public.ecdc_data VALUES (3399, 0, 1, 13.96041447, 168, 19);
INSERT INTO public.ecdc_data VALUES (3400, 0, 0, 4.94078651, 24, 19);
INSERT INTO public.ecdc_data VALUES (3401, 0, 0, 0.93705246, 25, 19);
INSERT INTO public.ecdc_data VALUES (3402, 4, 13, 61.95905592, 83, 19);
INSERT INTO public.ecdc_data VALUES (3403, 0, 20, 1.22524223, 84, 19);
INSERT INTO public.ecdc_data VALUES (3404, 0, 0, 858.89570552, 169, 19);
INSERT INTO public.ecdc_data VALUES (3405, 13, 576, 99.94751755, 85, 19);
INSERT INTO public.ecdc_data VALUES (3406, 56, 2194, 270.08757816, 170, 19);
INSERT INTO public.ecdc_data VALUES (3407, 1, 97, 256.02886347, 171, 19);
INSERT INTO public.ecdc_data VALUES (3408, 517, 49881, 53.65167401, 112, 19);
INSERT INTO public.ecdc_data VALUES (3409, 100, 4029, 20.5945065, 113, 19);
INSERT INTO public.ecdc_data VALUES (3410, 415, 6824, 90.97269139, 114, 19);
INSERT INTO public.ecdc_data VALUES (3411, 46, 4043, 129.0670881, 115, 19);
INSERT INTO public.ecdc_data VALUES (3412, 6, 667, 289.36185831, 172, 19);
INSERT INTO public.ecdc_data VALUES (3413, 0, 0, 4.72874724, 173, 19);
INSERT INTO public.ecdc_data VALUES (3414, 11, 763, 158.86145612, 116, 19);
INSERT INTO public.ecdc_data VALUES (3415, 205, 24988, 359.45764072, 174, 19);
INSERT INTO public.ecdc_data VALUES (3416, 2, 64, 29.23741562, 86, 19);
INSERT INTO public.ecdc_data VALUES (3417, 3, 736, 6.41808356, 117, 19);
INSERT INTO public.ecdc_data VALUES (3418, 0, 6, 73.28657835, 175, 19);
INSERT INTO public.ecdc_data VALUES (3419, 32, 3087, 310.75966741, 118, 19);
INSERT INTO public.ecdc_data VALUES (3420, 1, 442, 22.37563599, 119, 19);
INSERT INTO public.ecdc_data VALUES (3421, 0, 1018, 17.70838408, 26, 19);
INSERT INTO public.ecdc_data VALUES (3422, 4, 281, 122.37935264, 176, 19);
INSERT INTO public.ecdc_data VALUES (3423, 7, 814, 252.83587631, 120, 19);
INSERT INTO public.ecdc_data VALUES (3424, 1, 522, 112.3623351, 121, 19);
INSERT INTO public.ecdc_data VALUES (3425, 0, 0, 0.01394806, 122, 19);
INSERT INTO public.ecdc_data VALUES (3426, 0, 251, 114.68941149, 177, 19);
INSERT INTO public.ecdc_data VALUES (3427, 12, 1850, 271.29214498, 123, 19);
INSERT INTO public.ecdc_data VALUES (3428, 0, 0, 5.36403191, 27, 19);
INSERT INTO public.ecdc_data VALUES (3429, 0, 0, 0.95192303, 28, 19);
INSERT INTO public.ecdc_data VALUES (3430, 11, 899, 192.59447465, 29, 19);
INSERT INTO public.ecdc_data VALUES (3431, 0, 23, 797.33180468, 178, 19);
INSERT INTO public.ecdc_data VALUES (3432, 3, 776, 201.59731786, 179, 19);
INSERT INTO public.ecdc_data VALUES (3433, 0, 774, 916.7706477, 180, 19);
INSERT INTO public.ecdc_data VALUES (3434, 0, 0, 0.79349465, 30, 19);
INSERT INTO public.ecdc_data VALUES (3435, 1, 7, 0.40260352, 31, 19);
INSERT INTO public.ecdc_data VALUES (3436, 8, 771, 37.15517495, 124, 19);
INSERT INTO public.ecdc_data VALUES (3437, 0, 24, 99.63142025, 125, 19);
INSERT INTO public.ecdc_data VALUES (3438, 0, 15, 0.90548271, 32, 19);
INSERT INTO public.ecdc_data VALUES (3439, 0, 106, 345.24747801, 181, 19);
INSERT INTO public.ecdc_data VALUES (3440, 0, 1, 0, 206, 19);
INSERT INTO public.ecdc_data VALUES (3441, 0, 0, 2.47475638, 33, 19);
INSERT INTO public.ecdc_data VALUES (3442, 0, 2, 2.67786118, 34, 19);
INSERT INTO public.ecdc_data VALUES (3443, 495, 5595, 48.28982524, 87, 19);
INSERT INTO public.ecdc_data VALUES (3444, 19, 861, 220.04531989, 182, 19);
INSERT INTO public.ecdc_data VALUES (3445, 0, 17, 269.0040804, 183, 19);
INSERT INTO public.ecdc_data VALUES (3446, 0, 0, 0.62012312, 126, 19);
INSERT INTO public.ecdc_data VALUES (3447, 7, 301, 471.08402365, 184, 19);
INSERT INTO public.ecdc_data VALUES (3448, 0, 0, 0, 88, 19);
INSERT INTO public.ecdc_data VALUES (3449, 61, 3985, 129.92241725, 35, 19);
INSERT INTO public.ecdc_data VALUES (3450, 2, 142, 6.66204681, 36, 19);
INSERT INTO public.ecdc_data VALUES (3451, 25, 1406, 32.83719387, 127, 19);
INSERT INTO public.ecdc_data VALUES (3452, 0, 77, 29.54471474, 37, 19);
INSERT INTO public.ecdc_data VALUES (3453, 11, 1954, 155.05065502, 128, 19);
INSERT INTO public.ecdc_data VALUES (3454, 60, 8092, 715.71480954, 185, 19);
INSERT INTO public.ecdc_data VALUES (3455, 0, 0, 0, 207, 19);
INSERT INTO public.ecdc_data VALUES (3456, 0, 6, 1.52621898, 208, 19);
INSERT INTO public.ecdc_data VALUES (3457, 0, 0, 2.45970401, 89, 19);
INSERT INTO public.ecdc_data VALUES (3458, 0, 0, 0.05576834, 38, 19);
INSERT INTO public.ecdc_data VALUES (3459, 4, 147, 0.76481511, 39, 19);
INSERT INTO public.ecdc_data VALUES (3460, 30, 1498, 339.93987864, 186, 19);
INSERT INTO public.ecdc_data VALUES (3461, 0, 0, 26.21781763, 209, 19);
INSERT INTO public.ecdc_data VALUES (3462, 0, 322, 53.90175916, 187, 19);
INSERT INTO public.ecdc_data VALUES (3463, 5, 614, 133.82936093, 129, 19);
INSERT INTO public.ecdc_data VALUES (3464, 16, 908, 4.56675156, 130, 19);
INSERT INTO public.ecdc_data VALUES (3465, 8, 450, 132.79340718, 131, 19);
INSERT INTO public.ecdc_data VALUES (3466, 13, 825, 214.74458605, 90, 19);
INSERT INTO public.ecdc_data VALUES (3467, 0, 0, 0.11394558, 210, 19);
INSERT INTO public.ecdc_data VALUES (3468, 32, 733, 134.07358418, 91, 19);
INSERT INTO public.ecdc_data VALUES (3469, 58, 2431, 116.81470414, 92, 19);
INSERT INTO public.ecdc_data VALUES (3470, 61, 2036, 26.49361354, 132, 19);
INSERT INTO public.ecdc_data VALUES (3471, 236, 18820, 414.09890845, 188, 19);
INSERT INTO public.ecdc_data VALUES (3472, 24, 3960, 361.97709811, 189, 19);
INSERT INTO public.ecdc_data VALUES (3473, 5, 90, 275.14109887, 93, 19);
INSERT INTO public.ecdc_data VALUES (3474, 0, 250, 117.79365701, 133, 19);
INSERT INTO public.ecdc_data VALUES (3475, 107, 5343, 299.16879472, 190, 19);
INSERT INTO public.ecdc_data VALUES (3476, 346, 16202, 153.2621761, 191, 19);
INSERT INTO public.ecdc_data VALUES (3477, 0, 45, 1.49679994, 40, 19);
INSERT INTO public.ecdc_data VALUES (3478, 0, 0, 0, 94, 19);
INSERT INTO public.ecdc_data VALUES (3479, 0, 10, 22.97655844, 95, 19);
INSERT INTO public.ecdc_data VALUES (3480, 0, 0, 9.04216361, 96, 19);
INSERT INTO public.ecdc_data VALUES (3481, 0, 75, 507.9383508, 192, 19);
INSERT INTO public.ecdc_data VALUES (3482, 0, 2, 6.51017447, 41, 19);
INSERT INTO public.ecdc_data VALUES (3483, 19, 416, 15.92423182, 134, 19);
INSERT INTO public.ecdc_data VALUES (3484, 0, 11, 1.54022106, 42, 19);
INSERT INTO public.ecdc_data VALUES (3485, 5, 1328, 99.90286862, 193, 19);
INSERT INTO public.ecdc_data VALUES (3486, 0, 0, 5.11556051, 43, 19);
INSERT INTO public.ecdc_data VALUES (3487, 0, 4, 0.49915483, 44, 19);
INSERT INTO public.ecdc_data VALUES (3488, 0, 7, 1.68839092, 135, 19);
INSERT INTO public.ecdc_data VALUES (3489, 0, 16, 179.2917974, 97, 19);
INSERT INTO public.ecdc_data VALUES (3490, 8, 2887, 488.89801357, 194, 19);
INSERT INTO public.ecdc_data VALUES (3491, 13, 2612, 878.31850327, 195, 19);
INSERT INTO public.ecdc_data VALUES (3492, 0, 0, 1.19434894, 211, 19);
INSERT INTO public.ecdc_data VALUES (3493, 0, 0, 0.49861082, 45, 19);
INSERT INTO public.ecdc_data VALUES (3494, 58, 1863, 39.78942888, 46, 19);
INSERT INTO public.ecdc_data VALUES (3495, 1, 125, 2.50462071, 136, 19);
INSERT INTO public.ecdc_data VALUES (3496, 0, 0, 0.83166744, 47, 19);
INSERT INTO public.ecdc_data VALUES (3497, 173, 23580, 508.57254374, 196, 19);
INSERT INTO public.ecdc_data VALUES (3498, 0, 335, 18.92257707, 137, 19);
INSERT INTO public.ecdc_data VALUES (3499, 0, 0, 0.17284374, 48, 19);
INSERT INTO public.ecdc_data VALUES (3500, 0, 0, 17.88899534, 98, 19);
INSERT INTO public.ecdc_data VALUES (3501, 9, 3390, 163.30105467, 197, 19);
INSERT INTO public.ecdc_data VALUES (3502, 24, 8155, 781.16670472, 198, 19);
INSERT INTO public.ecdc_data VALUES (3503, 3, 52, 4.0831553, 138, 19);
INSERT INTO public.ecdc_data VALUES (3504, 0, 3, 0.09674483, 139, 19);
INSERT INTO public.ecdc_data VALUES (3505, 1, 40, 6.05083798, 140, 19);
INSERT INTO public.ecdc_data VALUES (3506, 0, 4, 0.14075286, 141, 19);
INSERT INTO public.ecdc_data VALUES (3507, 0, 0, 0.07733234, 142, 19);
INSERT INTO public.ecdc_data VALUES (3508, 0, 9, 3.15501947, 49, 19);
INSERT INTO public.ecdc_data VALUES (3509, 1, 26, 31.54191957, 99, 19);
INSERT INTO public.ecdc_data VALUES (3510, 170, 1879, 166.63928964, 50, 19);
INSERT INTO public.ecdc_data VALUES (3511, 77, 2305, 34.22155063, 199, 19);
INSERT INTO public.ecdc_data VALUES (3512, 0, 0, 18.32748599, 100, 19);
INSERT INTO public.ecdc_data VALUES (3513, 3, 146, 3.83559033, 51, 19);
INSERT INTO public.ecdc_data VALUES (3514, 165, 7474, 197.52399227, 200, 19);
INSERT INTO public.ecdc_data VALUES (3515, 3, 1400, 194.30888368, 143, 19);
INSERT INTO public.ecdc_data VALUES (3516, 310, 24700, 431.57308902, 201, 19);
INSERT INTO public.ecdc_data VALUES (3517, 0, 0, 0, 52, 19);
INSERT INTO public.ecdc_data VALUES (3518, 977, 78371, 286.24260787, 101, 19);
INSERT INTO public.ecdc_data VALUES (3519, 0, 0, 23.90537297, 102, 19);
INSERT INTO public.ecdc_data VALUES (3520, 1, 65, 18.5745224, 103, 19);
INSERT INTO public.ecdc_data VALUES (3521, 3, 276, 12.54634576, 144, 19);
INSERT INTO public.ecdc_data VALUES (3522, 4, 476, 20.58856504, 104, 19);
INSERT INTO public.ecdc_data VALUES (3523, 0, 1, 0.0528705, 145, 19);
INSERT INTO public.ecdc_data VALUES (3524, 0, 0, 0, 213, 19);
INSERT INTO public.ecdc_data VALUES (3525, 0, 0, 0, 53, 19);
INSERT INTO public.ecdc_data VALUES (3526, 1, 0, 0.02057478, 146, 19);
INSERT INTO public.ecdc_data VALUES (3527, 0, 82, 3.96953502, 54, 19);
INSERT INTO public.ecdc_data VALUES (3528, 0, 5, 1.80943285, 55, 19);
INSERT INTO public.ecdc_data VALUES (3529, 3, 12, 1.11456471, 105, 20);
INSERT INTO public.ecdc_data VALUES (3530, 3, 132, 65.36411234, 147, 20);
INSERT INTO public.ecdc_data VALUES (3531, 5, 146, 6.31081828, 1, 20);
INSERT INTO public.ecdc_data VALUES (3532, 0, 130, 693.12259606, 148, 20);
INSERT INTO public.ecdc_data VALUES (3533, 5, 125, 4.4272954, 2, 20);
INSERT INTO public.ecdc_data VALUES (3534, 0, 0, 0, 56, 20);
INSERT INTO public.ecdc_data VALUES (3535, 0, 0, 6.17824229, 57, 20);
INSERT INTO public.ecdc_data VALUES (3536, 364, 11807, 374.25742243, 58, 20);
INSERT INTO public.ecdc_data VALUES (3537, 6, 174, 121.88409482, 149, 20);
INSERT INTO public.ecdc_data VALUES (3538, 0, 28, 763.80396952, 59, 20);
INSERT INTO public.ecdc_data VALUES (3539, 3, 4, 1.39664804, 202, 20);
INSERT INTO public.ecdc_data VALUES (3540, 3, 419, 112.89371273, 150, 20);
INSERT INTO public.ecdc_data VALUES (3541, 2, 38, 16.50125765, 151, 20);
INSERT INTO public.ecdc_data VALUES (3542, 2, 48, 213.1013695, 60, 20);
INSERT INTO public.ecdc_data VALUES (3543, 3, 1073, 581.35567195, 106, 20);
INSERT INTO public.ecdc_data VALUES (3544, 32, 1407, 13.0165582, 107, 20);
INSERT INTO public.ecdc_data VALUES (3545, 0, 0, 2.43884594, 61, 20);
INSERT INTO public.ecdc_data VALUES (3546, 4, 337, 37.93741892, 152, 20);
INSERT INTO public.ecdc_data VALUES (3547, 13, 2782, 186.73095475, 153, 20);
INSERT INTO public.ecdc_data VALUES (3548, 0, 37, 99.91008093, 62, 20);
INSERT INTO public.ecdc_data VALUES (3549, 0, 0, 0.61858373, 3, 20);
INSERT INTO public.ecdc_data VALUES (3550, 0, 0, 6.3991809, 63, 20);
INSERT INTO public.ecdc_data VALUES (3551, 0, 7, 4.45554545, 108, 20);
INSERT INTO public.ecdc_data VALUES (3552, 42, 407, 58.09902492, 64, 20);
INSERT INTO public.ecdc_data VALUES (3553, 0, 21, 304.04495247, 65, 20);
INSERT INTO public.ecdc_data VALUES (3554, 12, 80, 101.99945592, 154, 20);
INSERT INTO public.ecdc_data VALUES (3555, 0, 251, 30.77653673, 4, 20);
INSERT INTO public.ecdc_data VALUES (3556, 317, 13155, 189.45980161, 66, 20);
INSERT INTO public.ecdc_data VALUES (3557, 0, 0, 16.64835348, 67, 20);
INSERT INTO public.ecdc_data VALUES (3558, 0, 0, 0.23078911, 109, 20);
INSERT INTO public.ecdc_data VALUES (3559, 11, 216, 31.57125267, 155, 20);
INSERT INTO public.ecdc_data VALUES (3560, 1, 20, 1.53040765, 5, 20);
INSERT INTO public.ecdc_data VALUES (3561, 0, 17, 0.26017779, 6, 20);
INSERT INTO public.ecdc_data VALUES (3562, 0, 1, 0.01213111, 110, 20);
INSERT INTO public.ecdc_data VALUES (3563, 0, 103, 2.35736156, 7, 20);
INSERT INTO public.ecdc_data VALUES (3564, 10, 2176, 46.21897954, 68, 20);
INSERT INTO public.ecdc_data VALUES (3565, 2, 46, 177.8388758, 8, 20);
INSERT INTO public.ecdc_data VALUES (3566, 0, 1, 4.61907988, 69, 20);
INSERT INTO public.ecdc_data VALUES (3567, 0, 0, 0.7165167, 9, 20);
INSERT INTO public.ecdc_data VALUES (3568, 1, 7, 0.62708183, 10, 20);
INSERT INTO public.ecdc_data VALUES (3569, 57, 1770, 122.614801, 70, 20);
INSERT INTO public.ecdc_data VALUES (3570, 0, 22, 0.01994722, 111, 20);
INSERT INTO public.ecdc_data VALUES (3571, 153, 5147, 191.32313403, 71, 20);
INSERT INTO public.ecdc_data VALUES (3572, 0, 0, 2.58552506, 11, 20);
INSERT INTO public.ecdc_data VALUES (3573, 0, 81, 2.88077102, 12, 20);
INSERT INTO public.ecdc_data VALUES (3574, 33, 1665, 324.17636954, 72, 20);
INSERT INTO public.ecdc_data VALUES (3575, 0, 12, 2.23591388, 13, 20);
INSERT INTO public.ecdc_data VALUES (3576, 0, 48, 64.93719957, 156, 20);
INSERT INTO public.ecdc_data VALUES (3577, 0, 26, 6.67932297, 73, 20);
INSERT INTO public.ecdc_data VALUES (3578, 0, 4, 126.66515729, 74, 20);
INSERT INTO public.ecdc_data VALUES (3579, 0, 17, 20.43614618, 157, 20);
INSERT INTO public.ecdc_data VALUES (3580, 12, 1286, 269.12242483, 158, 20);
INSERT INTO public.ecdc_data VALUES (3581, 1, 13, 0.27076675, 14, 20);
INSERT INTO public.ecdc_data VALUES (3582, 0, 435, 125.2479943, 159, 20);
INSERT INTO public.ecdc_data VALUES (3583, 0, 1, 1.43802571, 15, 20);
INSERT INTO public.ecdc_data VALUES (3584, 0, 0, 0, 75, 20);
INSERT INTO public.ecdc_data VALUES (3585, 3, 280, 70.36065048, 76, 20);
INSERT INTO public.ecdc_data VALUES (3586, 1, 218, 92.40426469, 77, 20);
INSERT INTO public.ecdc_data VALUES (3587, 18, 115, 1.77112668, 16, 20);
INSERT INTO public.ecdc_data VALUES (3588, 5, 179, 26.66749309, 78, 20);
INSERT INTO public.ecdc_data VALUES (3589, 0, 0, 2.06492417, 17, 20);
INSERT INTO public.ecdc_data VALUES (3590, 0, 0, 0.40032976, 18, 20);
INSERT INTO public.ecdc_data VALUES (3591, 0, 67, 42.94923084, 160, 20);
INSERT INTO public.ecdc_data VALUES (3592, 0, 21, 30.31007732, 19, 20);
INSERT INTO public.ecdc_data VALUES (3593, 7, 612, 8.17104213, 20, 20);
INSERT INTO public.ecdc_data VALUES (3594, 0, 0, 0, 79, 20);
INSERT INTO public.ecdc_data VALUES (3595, 0, 0, 76.01125788, 161, 20);
INSERT INTO public.ecdc_data VALUES (3596, 0, 0, 0, 203, 20);
INSERT INTO public.ecdc_data VALUES (3597, 0, 52, 20.06191102, 162, 20);
INSERT INTO public.ecdc_data VALUES (3598, 81, 4070, 231.87630951, 163, 20);
INSERT INTO public.ecdc_data VALUES (3599, 2, 334, 225.21796731, 204, 20);
INSERT INTO public.ecdc_data VALUES (3600, 0, 24, 4.51077015, 21, 20);
INSERT INTO public.ecdc_data VALUES (3601, 0, 0, 6.98557224, 22, 20);
INSERT INTO public.ecdc_data VALUES (3602, 5, 314, 86.92036203, 164, 20);
INSERT INTO public.ecdc_data VALUES (3603, 11, 2089, 30.90730335, 165, 20);
INSERT INTO public.ecdc_data VALUES (3604, 2, 95, 2.89632492, 23, 20);
INSERT INTO public.ecdc_data VALUES (3605, 0, 3, 154.27520323, 166, 20);
INSERT INTO public.ecdc_data VALUES (3606, 4, 263, 39.97352255, 167, 20);
INSERT INTO public.ecdc_data VALUES (3607, 0, 0, 0, 80, 20);
INSERT INTO public.ecdc_data VALUES (3608, 0, 0, 0, 81, 20);
INSERT INTO public.ecdc_data VALUES (3609, 4, 36, 276.75662751, 205, 20);
INSERT INTO public.ecdc_data VALUES (3610, 5, 171, 46.02002699, 82, 20);
INSERT INTO public.ecdc_data VALUES (3611, 0, 0, 4.65347149, 168, 20);
INSERT INTO public.ecdc_data VALUES (3612, 0, 18, 4.20475809, 24, 20);
INSERT INTO public.ecdc_data VALUES (3613, 0, 0, 2.55086503, 25, 20);
INSERT INTO public.ecdc_data VALUES (3614, 2, 15, 115.35881958, 83, 20);
INSERT INTO public.ecdc_data VALUES (3615, 0, 17, 2.13973461, 84, 20);
INSERT INTO public.ecdc_data VALUES (3616, 0, 0, 0, 169, 20);
INSERT INTO public.ecdc_data VALUES (3617, 12, 428, 70.9718693, 85, 20);
INSERT INTO public.ecdc_data VALUES (3618, 8, 851, 127.02660335, 170, 20);
INSERT INTO public.ecdc_data VALUES (3619, 0, 40, 138.65895779, 171, 20);
INSERT INTO public.ecdc_data VALUES (3620, 776, 70589, 88.92265888, 112, 20);
INSERT INTO public.ecdc_data VALUES (3621, 87, 3509, 21.13584486, 113, 20);
INSERT INTO public.ecdc_data VALUES (3622, 190, 3512, 54.64946628, 114, 20);
INSERT INTO public.ecdc_data VALUES (3623, 62, 4116, 150.3137043, 115, 20);
INSERT INTO public.ecdc_data VALUES (3624, 0, 388, 85.35471347, 172, 20);
INSERT INTO public.ecdc_data VALUES (3625, 0, 0, 1.18218681, 173, 20);
INSERT INTO public.ecdc_data VALUES (3626, 41, 2239, 855.66156101, 116, 20);
INSERT INTO public.ecdc_data VALUES (3627, 16, 1494, 37.44726642, 174, 20);
INSERT INTO public.ecdc_data VALUES (3628, 4, 150, 74.9590354, 86, 20);
INSERT INTO public.ecdc_data VALUES (3629, 9, 363, 5.15212407, 117, 20);
INSERT INTO public.ecdc_data VALUES (3630, 0, 8, 20.40892055, 175, 20);
INSERT INTO public.ecdc_data VALUES (3631, 6, 734, 56.4063642, 118, 20);
INSERT INTO public.ecdc_data VALUES (3632, 1, 68, 20.19790606, 119, 20);
INSERT INTO public.ecdc_data VALUES (3633, 9, 53, 3.82508704, 26, 20);
INSERT INTO public.ecdc_data VALUES (3634, 3, 48, 46.03821172, 176, 20);
INSERT INTO public.ecdc_data VALUES (3635, 4, 437, 202.25443936, 120, 20);
INSERT INTO public.ecdc_data VALUES (3636, 0, 167, 24.84471662, 121, 20);
INSERT INTO public.ecdc_data VALUES (3637, 0, 0, 0, 122, 20);
INSERT INTO public.ecdc_data VALUES (3638, 0, 21, 11.45852431, 177, 20);
INSERT INTO public.ecdc_data VALUES (3639, 4, 1018, 181.08995, 123, 20);
INSERT INTO public.ecdc_data VALUES (3640, 0, 7, 15.05693167, 27, 20);
INSERT INTO public.ecdc_data VALUES (3641, 0, 3, 0.42532731, 28, 20);
INSERT INTO public.ecdc_data VALUES (3642, 7, 849, 143.09210259, 29, 20);
INSERT INTO public.ecdc_data VALUES (3643, 0, 1, 18.23961645, 178, 20);
INSERT INTO public.ecdc_data VALUES (3644, 1, 105, 39.51064067, 179, 20);
INSERT INTO public.ecdc_data VALUES (3645, 0, 19, 184.3966548, 180, 20);
INSERT INTO public.ecdc_data VALUES (3646, 0, 63, 2.14688506, 30, 20);
INSERT INTO public.ecdc_data VALUES (3647, 0, 2, 0.39186743, 31, 20);
INSERT INTO public.ecdc_data VALUES (3648, 0, 115, 3.4053433, 124, 20);
INSERT INTO public.ecdc_data VALUES (3649, 0, 59, 172.1420002, 125, 20);
INSERT INTO public.ecdc_data VALUES (3650, 0, 4, 0.78848214, 32, 20);
INSERT INTO public.ecdc_data VALUES (3651, 2, 19, 115.69032274, 181, 20);
INSERT INTO public.ecdc_data VALUES (3652, 0, 2, 3.73423061, 33, 20);
INSERT INTO public.ecdc_data VALUES (3653, 0, 0, 0.47256374, 34, 20);
INSERT INTO public.ecdc_data VALUES (3654, 173, 5952, 47.01371844, 87, 20);
INSERT INTO public.ecdc_data VALUES (3655, 14, 319, 197.53871754, 182, 20);
INSERT INTO public.ecdc_data VALUES (3656, 0, 2, 105.78812151, 183, 20);
INSERT INTO public.ecdc_data VALUES (3657, 0, 0, 0.06201231, 126, 20);
INSERT INTO public.ecdc_data VALUES (3658, 5, 128, 569.12607565, 184, 20);
INSERT INTO public.ecdc_data VALUES (3659, 0, 0, 0, 88, 20);
INSERT INTO public.ecdc_data VALUES (3660, 44, 1422, 84.73403783, 35, 20);
INSERT INTO public.ecdc_data VALUES (3661, 1, 305, 9.24058495, 36, 20);
INSERT INTO public.ecdc_data VALUES (3662, 30, 897, 15.41666193, 127, 20);
INSERT INTO public.ecdc_data VALUES (3663, 0, 88, 52.23441426, 37, 20);
INSERT INTO public.ecdc_data VALUES (3664, 4, 1351, 67.86743131, 128, 20);
INSERT INTO public.ecdc_data VALUES (3665, 6, 2909, 179.94275369, 185, 20);
INSERT INTO public.ecdc_data VALUES (3666, 0, 0, 0.35366056, 207, 20);
INSERT INTO public.ecdc_data VALUES (3667, 0, 2, 0.60630617, 208, 20);
INSERT INTO public.ecdc_data VALUES (3668, 0, 0, 3.89580449, 89, 20);
INSERT INTO public.ecdc_data VALUES (3669, 0, 0, 0.06863795, 38, 20);
INSERT INTO public.ecdc_data VALUES (3670, 3, 136, 1.03103247, 39, 20);
INSERT INTO public.ecdc_data VALUES (3671, 4, 45, 90.65384386, 186, 20);
INSERT INTO public.ecdc_data VALUES (3672, 0, 0, 15.73069058, 209, 20);
INSERT INTO public.ecdc_data VALUES (3673, 4, 292, 28.95905794, 187, 20);
INSERT INTO public.ecdc_data VALUES (3674, 15, 607, 157.48769043, 129, 20);
INSERT INTO public.ecdc_data VALUES (3675, 8, 675, 4.19827151, 130, 20);
INSERT INTO public.ecdc_data VALUES (3676, 10, 502, 188.64091418, 131, 20);
INSERT INTO public.ecdc_data VALUES (3677, 8, 722, 213.66132572, 90, 20);
INSERT INTO public.ecdc_data VALUES (3678, 0, 0, 0.23928573, 210, 20);
INSERT INTO public.ecdc_data VALUES (3679, 15, 748, 157.06979449, 91, 20);
INSERT INTO public.ecdc_data VALUES (3680, 62, 3412, 230.24588208, 92, 20);
INSERT INTO public.ecdc_data VALUES (3681, 37, 3062, 38.29198437, 132, 20);
INSERT INTO public.ecdc_data VALUES (3682, 15, 1306, 37.15026425, 188, 20);
INSERT INTO public.ecdc_data VALUES (3683, 4, 425, 91.79090746, 189, 20);
INSERT INTO public.ecdc_data VALUES (3684, 4, 1118, 329.71932949, 93, 20);
INSERT INTO public.ecdc_data VALUES (3685, 0, 227, 117.79365701, 133, 20);
INSERT INTO public.ecdc_data VALUES (3686, 30, 1271, 101.76436551, 190, 20);
INSERT INTO public.ecdc_data VALUES (3687, 61, 8135, 62.5567877, 191, 20);
INSERT INTO public.ecdc_data VALUES (3688, 0, 12, 1.82150257, 40, 20);
INSERT INTO public.ecdc_data VALUES (3689, 0, 0, 3.78544119, 94, 20);
INSERT INTO public.ecdc_data VALUES (3690, 0, 0, 0, 95, 20);
INSERT INTO public.ecdc_data VALUES (3691, 0, 0, 0, 96, 20);
INSERT INTO public.ecdc_data VALUES (3692, 0, 0, 14.51252431, 192, 20);
INSERT INTO public.ecdc_data VALUES (3693, 0, 0, 2.32506231, 41, 20);
INSERT INTO public.ecdc_data VALUES (3694, 29, 455, 21.56497584, 134, 20);
INSERT INTO public.ecdc_data VALUES (3695, 1, 10, 3.76157574, 42, 20);
INSERT INTO public.ecdc_data VALUES (3696, 1, 30, 14.02976896, 193, 20);
INSERT INTO public.ecdc_data VALUES (3697, 0, 0, 3.06933631, 43, 20);
INSERT INTO public.ecdc_data VALUES (3698, 0, 0, 1.35667723, 44, 20);
INSERT INTO public.ecdc_data VALUES (3699, 0, 15, 4.49663295, 135, 20);
INSERT INTO public.ecdc_data VALUES (3700, 0, 1, 226.47384935, 97, 20);
INSERT INTO public.ecdc_data VALUES (3701, 0, 265, 69.04053834, 194, 20);
INSERT INTO public.ecdc_data VALUES (3702, 0, 44, 78.76369354, 195, 20);
INSERT INTO public.ecdc_data VALUES (3703, 0, 0, 1.28861757, 45, 20);
INSERT INTO public.ecdc_data VALUES (3704, 188, 903, 35.72510095, 46, 20);
INSERT INTO public.ecdc_data VALUES (3705, 1, 38, 2.5534247, 136, 20);
INSERT INTO public.ecdc_data VALUES (3706, 0, 6, 0.94918566, 47, 20);
INSERT INTO public.ecdc_data VALUES (3707, 203, 9906, 330.24011304, 196, 20);
INSERT INTO public.ecdc_data VALUES (3708, 0, 3, 0.47365063, 137, 20);
INSERT INTO public.ecdc_data VALUES (3709, 0, 0, 0.16583656, 48, 20);
INSERT INTO public.ecdc_data VALUES (3710, 0, 1, 38.70215339, 98, 20);
INSERT INTO public.ecdc_data VALUES (3711, 1, 378, 48.85542148, 197, 20);
INSERT INTO public.ecdc_data VALUES (3712, 1, 664, 60.89277967, 198, 20);
INSERT INTO public.ecdc_data VALUES (3713, 2, 30, 3.08140558, 138, 20);
INSERT INTO public.ecdc_data VALUES (3714, 0, 3, 0.05888816, 139, 20);
INSERT INTO public.ecdc_data VALUES (3715, 0, 39, 6.40487637, 140, 20);
INSERT INTO public.ecdc_data VALUES (3716, 0, 14, 0.11346404, 141, 20);
INSERT INTO public.ecdc_data VALUES (3717, 0, 1, 0.07733234, 142, 20);
INSERT INTO public.ecdc_data VALUES (3718, 1, 6, 2.11571894, 49, 20);
INSERT INTO public.ecdc_data VALUES (3719, 1, 24, 89.24929515, 99, 20);
INSERT INTO public.ecdc_data VALUES (3720, 0, 0, 74.66616775, 50, 20);
INSERT INTO public.ecdc_data VALUES (3721, 65, 1412, 28.00721068, 199, 20);
INSERT INTO public.ecdc_data VALUES (3722, 0, 0, 89.01921768, 100, 20);
INSERT INTO public.ecdc_data VALUES (3723, 2, 247, 6.72696585, 51, 20);
INSERT INTO public.ecdc_data VALUES (3724, 37, 2671, 101.1691621, 200, 20);
INSERT INTO public.ecdc_data VALUES (3725, 1, 626, 121.06820042, 143, 20);
INSERT INTO public.ecdc_data VALUES (3726, 13, 4044, 101.86187813, 201, 20);
INSERT INTO public.ecdc_data VALUES (3727, 0, 0, 0, 52, 20);
INSERT INTO public.ecdc_data VALUES (3728, 314, 32998, 180.27567491, 101, 20);
INSERT INTO public.ecdc_data VALUES (3729, 1, 1, 92.75284713, 102, 20);
INSERT INTO public.ecdc_data VALUES (3730, 0, 2, 5.71968186, 103, 20);
INSERT INTO public.ecdc_data VALUES (3731, 3, 475, 23.8798983, 144, 20);
INSERT INTO public.ecdc_data VALUES (3732, 8, 837, 41.93811093, 104, 20);
INSERT INTO public.ecdc_data VALUES (3733, 0, 3, 0.01451347, 145, 20);
INSERT INTO public.ecdc_data VALUES (3734, 0, 0, 0, 53, 20);
INSERT INTO public.ecdc_data VALUES (3735, 0, 1, 0.07544084, 146, 20);
INSERT INTO public.ecdc_data VALUES (3736, 0, 19, 5.2628532, 54, 20);
INSERT INTO public.ecdc_data VALUES (3737, 1, 4, 1.94599382, 55, 20);
INSERT INTO public.ecdc_data VALUES (3738, 1, 11, 1.86374147, 105, 21);
INSERT INTO public.ecdc_data VALUES (3739, 5, 112, 72.59573781, 147, 21);
INSERT INTO public.ecdc_data VALUES (3740, 8, 387, 13.33006481, 1, 21);
INSERT INTO public.ecdc_data VALUES (3741, 0, 26, 177.21884558, 148, 21);
INSERT INTO public.ecdc_data VALUES (3742, 1, 56, 2.06125322, 2, 21);
INSERT INTO public.ecdc_data VALUES (3743, 0, 0, 0, 56, 21);
INSERT INTO public.ecdc_data VALUES (3744, 0, 0, 1.02970705, 57, 21);
INSERT INTO public.ecdc_data VALUES (3745, 185, 10104, 232.73432122, 58, 21);
INSERT INTO public.ecdc_data VALUES (3746, 5, 181, 72.75854981, 149, 21);
INSERT INTO public.ecdc_data VALUES (3747, 1, 58, 877.62204873, 59, 21);
INSERT INTO public.ecdc_data VALUES (3748, 11, 126, 10.73276409, 202, 21);
INSERT INTO public.ecdc_data VALUES (3749, 0, 382, 43.03078022, 150, 21);
INSERT INTO public.ecdc_data VALUES (3750, 3, 142, 19.58653501, 151, 21);
INSERT INTO public.ecdc_data VALUES (3751, 0, 134, 240.8302224, 60, 21);
INSERT INTO public.ecdc_data VALUES (3752, 1, 357, 308.37868732, 106, 21);
INSERT INTO public.ecdc_data VALUES (3753, 47, 2211, 21.41295276, 107, 21);
INSERT INTO public.ecdc_data VALUES (3754, 0, 1, 6.27131813, 61, 21);
INSERT INTO public.ecdc_data VALUES (3755, 5, 181, 21.56064131, 152, 21);
INSERT INTO public.ecdc_data VALUES (3756, 4, 614, 57.0030917, 153, 21);
INSERT INTO public.ecdc_data VALUES (3757, 0, 52, 123.47861284, 62, 21);
INSERT INTO public.ecdc_data VALUES (3758, 0, 0, 1.22021996, 3, 21);
INSERT INTO public.ecdc_data VALUES (3759, 0, 0, 14.39815704, 63, 21);
INSERT INTO public.ecdc_data VALUES (3760, 0, 11, 8.12481817, 108, 21);
INSERT INTO public.ecdc_data VALUES (3761, 55, 1280, 155.90932835, 64, 21);
INSERT INTO public.ecdc_data VALUES (3762, 0, 1, 7.69734057, 65, 21);
INSERT INTO public.ecdc_data VALUES (3763, 3, 294, 111.48143683, 154, 21);
INSERT INTO public.ecdc_data VALUES (3764, 0, 0, 18.18810845, 4, 21);
INSERT INTO public.ecdc_data VALUES (3765, 855, 43412, 250.78616739, 66, 21);
INSERT INTO public.ecdc_data VALUES (3766, 0, 9, 86.57143808, 67, 21);
INSERT INTO public.ecdc_data VALUES (3767, 0, 0, 0.46157823, 109, 21);
INSERT INTO public.ecdc_data VALUES (3768, 9, 157, 26.02842641, 155, 21);
INSERT INTO public.ecdc_data VALUES (3769, 0, 1, 0.58066914, 5, 21);
INSERT INTO public.ecdc_data VALUES (3770, 0, 2, 0.18212445, 6, 21);
INSERT INTO public.ecdc_data VALUES (3771, 0, 0, 0, 110, 21);
INSERT INTO public.ecdc_data VALUES (3772, 0, 0, 2.60082677, 7, 21);
INSERT INTO public.ecdc_data VALUES (3773, 6, 510, 15.25218306, 68, 21);
INSERT INTO public.ecdc_data VALUES (3774, 0, 46, 110.74015885, 8, 21);
INSERT INTO public.ecdc_data VALUES (3775, 0, 0, 3.07938659, 69, 21);
INSERT INTO public.ecdc_data VALUES (3776, 0, 2, 1.01155299, 9, 21);
INSERT INTO public.ecdc_data VALUES (3777, 0, 4, 0.35743664, 10, 21);
INSERT INTO public.ecdc_data VALUES (3778, 60, 1870, 125.90204693, 70, 21);
INSERT INTO public.ecdc_data VALUES (3779, 3, 22, 0.04338172, 111, 21);
INSERT INTO public.ecdc_data VALUES (3780, 299, 8498, 288.85699033, 71, 21);
INSERT INTO public.ecdc_data VALUES (3781, 0, 0, 2.11542959, 11, 21);
INSERT INTO public.ecdc_data VALUES (3782, 0, 0, 4.34903496, 12, 21);
INSERT INTO public.ecdc_data VALUES (3783, 10, 1193, 228.90263238, 72, 21);
INSERT INTO public.ecdc_data VALUES (3784, 0, 95, 3.35192655, 13, 21);
INSERT INTO public.ecdc_data VALUES (3785, 3, 357, 80.73604979, 156, 21);
INSERT INTO public.ecdc_data VALUES (3786, 0, 60, 5.62051352, 73, 21);
INSERT INTO public.ecdc_data VALUES (3787, 0, 4, 15.29772431, 74, 21);
INSERT INTO public.ecdc_data VALUES (3788, 0, 0, 18.60945155, 157, 21);
INSERT INTO public.ecdc_data VALUES (3789, 1, 477, 38.34813799, 158, 21);
INSERT INTO public.ecdc_data VALUES (3790, 0, 79, 0.44820539, 14, 21);
INSERT INTO public.ecdc_data VALUES (3791, 0, 73, 22.75200777, 159, 21);
INSERT INTO public.ecdc_data VALUES (3792, 0, 0, 1.64345796, 15, 21);
INSERT INTO public.ecdc_data VALUES (3793, 0, 0, 2.78520499, 75, 21);
INSERT INTO public.ecdc_data VALUES (3794, 18, 426, 82.89445614, 76, 21);
INSERT INTO public.ecdc_data VALUES (3795, 33, 922, 73.28336228, 77, 21);
INSERT INTO public.ecdc_data VALUES (3796, 20, 223, 2.05701721, 16, 21);
INSERT INTO public.ecdc_data VALUES (3797, 8, 131, 48.05107267, 78, 21);
INSERT INTO public.ecdc_data VALUES (3798, 0, 0, 7.8909602, 17, 21);
INSERT INTO public.ecdc_data VALUES (3799, 0, 0, 0.91503945, 18, 21);
INSERT INTO public.ecdc_data VALUES (3800, 0, 18, 12.53000408, 160, 21);
INSERT INTO public.ecdc_data VALUES (3801, 2, 28, 68.89445735, 19, 21);
INSERT INTO public.ecdc_data VALUES (3802, 13, 1733, 18.64582206, 20, 21);
INSERT INTO public.ecdc_data VALUES (3803, 0, 0, 0, 79, 21);
INSERT INTO public.ecdc_data VALUES (3804, 0, 0, 100.66355774, 161, 21);
INSERT INTO public.ecdc_data VALUES (3805, 1, 0, 0.11236523, 203, 21);
INSERT INTO public.ecdc_data VALUES (3806, 0, 23, 6.19798877, 162, 21);
INSERT INTO public.ecdc_data VALUES (3807, 20, 7379, 81.87380925, 163, 21);
INSERT INTO public.ecdc_data VALUES (3808, 0, 67, 90.94652416, 204, 21);
INSERT INTO public.ecdc_data VALUES (3809, 0, 37, 12.88791473, 21, 21);
INSERT INTO public.ecdc_data VALUES (3810, 3, 54, 50.00647443, 22, 21);
INSERT INTO public.ecdc_data VALUES (3811, 0, 7, 3.90315961, 164, 21);
INSERT INTO public.ecdc_data VALUES (3812, 1, 1479, 21.87204545, 165, 21);
INSERT INTO public.ecdc_data VALUES (3813, 0, 108, 6.2003051, 23, 21);
INSERT INTO public.ecdc_data VALUES (3814, 0, 2, 201.74449653, 166, 21);
INSERT INTO public.ecdc_data VALUES (3815, 5, 269, 29.539566, 167, 21);
INSERT INTO public.ecdc_data VALUES (3816, 0, 0, 0, 80, 21);
INSERT INTO public.ecdc_data VALUES (3817, 0, 0, 0, 81, 21);
INSERT INTO public.ecdc_data VALUES (3818, 0, 55, 469.23099913, 205, 21);
INSERT INTO public.ecdc_data VALUES (3819, 24, 1065, 65.36993822, 82, 21);
INSERT INTO public.ecdc_data VALUES (3820, 0, 0, 0, 168, 21);
INSERT INTO public.ecdc_data VALUES (3821, 1, 38, 7.75961876, 24, 21);
INSERT INTO public.ecdc_data VALUES (3822, 0, 0, 1.66587104, 25, 21);
INSERT INTO public.ecdc_data VALUES (3823, 3, 40, 67.83558494, 83, 21);
INSERT INTO public.ecdc_data VALUES (3824, 1, 10, 2.92992707, 84, 21);
INSERT INTO public.ecdc_data VALUES (3825, 0, 0, 0, 169, 21);
INSERT INTO public.ecdc_data VALUES (3826, 24, 1141, 95.86383908, 85, 21);
INSERT INTO public.ecdc_data VALUES (3827, 0, 132, 6.73300346, 170, 21);
INSERT INTO public.ecdc_data VALUES (3828, 0, 5, 30.53298262, 171, 21);
INSERT INTO public.ecdc_data VALUES (3829, 1021, 76472, 68.63054845, 112, 21);
INSERT INTO public.ecdc_data VALUES (3830, 105, 3003, 11.367736, 113, 21);
INSERT INTO public.ecdc_data VALUES (3831, 112, 2115, 37.49190742, 114, 21);
INSERT INTO public.ecdc_data VALUES (3832, 74, 4177, 140.7333934, 115, 21);
INSERT INTO public.ecdc_data VALUES (3833, 0, 126, 32.29858245, 172, 21);
INSERT INTO public.ecdc_data VALUES (3834, 0, 0, 0, 173, 21);
INSERT INTO public.ecdc_data VALUES (3835, 10, 1597, 245.5579771, 116, 21);
INSERT INTO public.ecdc_data VALUES (3836, 9, 1460, 20.8749085, 174, 21);
INSERT INTO public.ecdc_data VALUES (3837, 0, 141, 31.50992936, 86, 21);
INSERT INTO public.ecdc_data VALUES (3838, 17, 850, 10.12609942, 117, 21);
INSERT INTO public.ecdc_data VALUES (3839, 0, 1, 16.69820773, 175, 21);
INSERT INTO public.ecdc_data VALUES (3840, 0, 68, 5.34563648, 118, 21);
INSERT INTO public.ecdc_data VALUES (3841, 0, 1422, 55.30032513, 119, 21);
INSERT INTO public.ecdc_data VALUES (3842, 0, 241, 8.17134457, 26, 21);
INSERT INTO public.ecdc_data VALUES (3843, 1, 119, 109.53535879, 176, 21);
INSERT INTO public.ecdc_data VALUES (3844, 3, 633, 199.49718058, 120, 21);
INSERT INTO public.ecdc_data VALUES (3845, 0, 125, 36.4565823, 121, 21);
INSERT INTO public.ecdc_data VALUES (3846, 0, 0, 0.02789612, 122, 21);
INSERT INTO public.ecdc_data VALUES (3847, 0, 9, 3.48964149, 177, 21);
INSERT INTO public.ecdc_data VALUES (3848, 2, 676, 110.38974962, 123, 21);
INSERT INTO public.ecdc_data VALUES (3849, 0, 0, 7.85783622, 27, 21);
INSERT INTO public.ecdc_data VALUES (3850, 0, 0, 0.93166934, 28, 21);
INSERT INTO public.ecdc_data VALUES (3851, 7, 355, 78.22997813, 29, 21);
INSERT INTO public.ecdc_data VALUES (3852, 0, 0, 39.08489239, 178, 21);
INSERT INTO public.ecdc_data VALUES (3853, 1, 48, 16.3911897, 179, 21);
INSERT INTO public.ecdc_data VALUES (3854, 0, 37, -134.38802138, 180, 21);
INSERT INTO public.ecdc_data VALUES (3855, 3, 104, 3.90443862, 30, 21);
INSERT INTO public.ecdc_data VALUES (3856, 1, 27, 2.87190514, 31, 21);
INSERT INTO public.ecdc_data VALUES (3857, 0, 10, 0.49139605, 124, 21);
INSERT INTO public.ecdc_data VALUES (3858, 0, 140, 357.27940304, 125, 21);
INSERT INTO public.ecdc_data VALUES (3859, 0, 6, 0.70709043, 32, 21);
INSERT INTO public.ecdc_data VALUES (3860, 0, 28, 122.98428354, 181, 21);
INSERT INTO public.ecdc_data VALUES (3861, 0, 0, 7.84409388, 33, 21);
INSERT INTO public.ecdc_data VALUES (3862, 0, 0, 0.15752125, 34, 21);
INSERT INTO public.ecdc_data VALUES (3863, 552, 6206, 58.50808583, 87, 21);
INSERT INTO public.ecdc_data VALUES (3864, 4, 358, 158.80757548, 182, 21);
INSERT INTO public.ecdc_data VALUES (3865, 0, 0, 78.58546169, 183, 21);
INSERT INTO public.ecdc_data VALUES (3866, 0, 0, 0.09301847, 126, 21);
INSERT INTO public.ecdc_data VALUES (3867, 3, 105, 117.81118708, 184, 21);
INSERT INTO public.ecdc_data VALUES (3868, 0, 0, 0, 88, 21);
INSERT INTO public.ecdc_data VALUES (3869, 41, 1404, 52.7750699, 35, 21);
INSERT INTO public.ecdc_data VALUES (3870, 0, 46, 3.25692748, 36, 21);
INSERT INTO public.ecdc_data VALUES (3871, 0, 28, 0.52178333, 127, 21);
INSERT INTO public.ecdc_data VALUES (3872, 5, 194, 127.47923051, 37, 21);
INSERT INTO public.ecdc_data VALUES (3873, 12, 927, 38.11775538, 128, 21);
INSERT INTO public.ecdc_data VALUES (3874, 2, 507, 42.11278415, 185, 21);
INSERT INTO public.ecdc_data VALUES (3875, 0, 0, 0, 207, 21);
INSERT INTO public.ecdc_data VALUES (3876, 0, 13, 2.4670389, 208, 21);
INSERT INTO public.ecdc_data VALUES (3877, 0, 0, 5.79023491, 89, 21);
INSERT INTO public.ecdc_data VALUES (3878, 0, 2, 0.04289872, 38, 21);
INSERT INTO public.ecdc_data VALUES (3879, 0, 160, 2.503936, 39, 21);
INSERT INTO public.ecdc_data VALUES (3880, 0, 0, 66.4859046, 186, 21);
INSERT INTO public.ecdc_data VALUES (3881, 0, 2, 10.48712705, 209, 21);
INSERT INTO public.ecdc_data VALUES (3882, 0, 38, 13.00623924, 187, 21);
INSERT INTO public.ecdc_data VALUES (3883, 0, 0, 45.4674098, 129, 21);
INSERT INTO public.ecdc_data VALUES (3884, 1, 319, 3.38235139, 130, 21);
INSERT INTO public.ecdc_data VALUES (3885, 2, 724, 141.60615182, 131, 21);
INSERT INTO public.ecdc_data VALUES (3886, 18, 642, 264.26842249, 90, 21);
INSERT INTO public.ecdc_data VALUES (3887, 1, 29, 2.07380962, 210, 21);
INSERT INTO public.ecdc_data VALUES (3888, 15, 584, 96.48471696, 91, 21);
INSERT INTO public.ecdc_data VALUES (3889, 194, 7964, 349.62591427, 92, 21);
INSERT INTO public.ecdc_data VALUES (3890, 91, 3963, 51.68862934, 132, 21);
INSERT INTO public.ecdc_data VALUES (3891, 8, 791, 26.75861877, 188, 21);
INSERT INTO public.ecdc_data VALUES (3892, 6, 401, 32.02415737, 189, 21);
INSERT INTO public.ecdc_data VALUES (3893, 12, 605, 233.85800251, 93, 21);
INSERT INTO public.ecdc_data VALUES (3894, 1, 208, 129.37528755, 133, 21);
INSERT INTO public.ecdc_data VALUES (3895, 48, 1318, 84.58644583, 190, 21);
INSERT INTO public.ecdc_data VALUES (3896, 110, 4829, 46.3295763, 191, 21);
INSERT INTO public.ecdc_data VALUES (3897, 1, 70, 11.47546618, 40, 21);
INSERT INTO public.ecdc_data VALUES (3898, 0, 0, 0, 94, 21);
INSERT INTO public.ecdc_data VALUES (3899, 0, 0, 0.54706092, 95, 21);
INSERT INTO public.ecdc_data VALUES (3900, 0, 0, 2.71264908, 96, 21);
INSERT INTO public.ecdc_data VALUES (3901, 0, 0, 0, 192, 21);
INSERT INTO public.ecdc_data VALUES (3902, 0, 1, 5.58014955, 41, 21);
INSERT INTO public.ecdc_data VALUES (3903, 28, 1069, 49.67239767, 134, 21);
INSERT INTO public.ecdc_data VALUES (3904, 2, 90, 9.27814441, 42, 21);
INSERT INTO public.ecdc_data VALUES (3905, 2, 108, 28.34673892, 193, 21);
INSERT INTO public.ecdc_data VALUES (3906, 0, 0, 9.20800892, 43, 21);
INSERT INTO public.ecdc_data VALUES (3907, 0, 0, 0.84472356, 44, 21);
INSERT INTO public.ecdc_data VALUES (3908, 0, 94, 18.71012792, 135, 21);
INSERT INTO public.ecdc_data VALUES (3909, 0, 0, 412.84295454, 97, 21);
INSERT INTO public.ecdc_data VALUES (3910, 0, 102, 17.00786049, 194, 21);
INSERT INTO public.ecdc_data VALUES (3911, 0, 42, 20.56794438, 195, 21);
INSERT INTO public.ecdc_data VALUES (3912, 0, 0, 0.16188663, 45, 21);
INSERT INTO public.ecdc_data VALUES (3913, 115, 1837, 69.9867023, 46, 21);
INSERT INTO public.ecdc_data VALUES (3914, 5, 323, 8.51336783, 136, 21);
INSERT INTO public.ecdc_data VALUES (3915, 0, 4, 0.32543508, 47, 21);
INSERT INTO public.ecdc_data VALUES (3916, 0, 0, 205.53694671, 196, 21);
INSERT INTO public.ecdc_data VALUES (3917, 0, 3, 0.48302985, 137, 21);
INSERT INTO public.ecdc_data VALUES (3918, 0, 0, 2.06244625, 48, 21);
INSERT INTO public.ecdc_data VALUES (3919, 0, 55, 173.72966632, 98, 21);
INSERT INTO public.ecdc_data VALUES (3920, 1, 179, 30.90853196, 197, 21);
INSERT INTO public.ecdc_data VALUES (3921, 1, 340, 42.83443659, 198, 21);
INSERT INTO public.ecdc_data VALUES (3922, 3, 59, 6.13937842, 138, 21);
INSERT INTO public.ecdc_data VALUES (3923, 0, 1, 0.02523778, 139, 21);
INSERT INTO public.ecdc_data VALUES (3924, 0, 32, 5.27839058, 140, 21);
INSERT INTO public.ecdc_data VALUES (3925, 0, 1, 0.05026888, 141, 21);
INSERT INTO public.ecdc_data VALUES (3926, 0, 0, 0.15466469, 142, 21);
INSERT INTO public.ecdc_data VALUES (3927, 0, 39, 2.98180271, 49, 21);
INSERT INTO public.ecdc_data VALUES (3928, 4, 78, 81.86561852, 99, 21);
INSERT INTO public.ecdc_data VALUES (3929, 1, 138, 13.32225027, 50, 21);
INSERT INTO public.ecdc_data VALUES (3930, 36, 1517, 22.74770358, 199, 21);
INSERT INTO public.ecdc_data VALUES (3931, 0, 8, 565.53385348, 100, 21);
INSERT INTO public.ecdc_data VALUES (3932, 0, 77, 3.09693425, 51, 21);
INSERT INTO public.ecdc_data VALUES (3933, 35, 2438, 60.52010742, 200, 21);
INSERT INTO public.ecdc_data VALUES (3934, 1, 390, 52.01357634, 143, 21);
INSERT INTO public.ecdc_data VALUES (3935, 9, 1276, 22.92222355, 201, 21);
INSERT INTO public.ecdc_data VALUES (3936, 0, 0, 0, 52, 21);
INSERT INTO public.ecdc_data VALUES (3937, 949, 49654, 183.6595057, 101, 21);
INSERT INTO public.ecdc_data VALUES (3938, 0, 0, 326.06928733, 102, 21);
INSERT INTO public.ecdc_data VALUES (3939, 0, 5, 3.89978309, 103, 21);
INSERT INTO public.ecdc_data VALUES (3940, 5, 340, 20.32035023, 144, 21);
INSERT INTO public.ecdc_data VALUES (3941, 0, 981, 43.82828919, 104, 21);
INSERT INTO public.ecdc_data VALUES (3942, 1, 2, 0.11196106, 145, 21);
INSERT INTO public.ecdc_data VALUES (3943, 0, 0, 0, 53, 21);
INSERT INTO public.ecdc_data VALUES (3944, 1, 9, 0.29147599, 146, 21);
INSERT INTO public.ecdc_data VALUES (3945, 1, 178, 15.44143525, 54, 21);
INSERT INTO public.ecdc_data VALUES (3946, 6, 96, 8.98571183, 55, 21);
INSERT INTO public.ecdc_data VALUES (3947, 1, 103, 4.55026302, 105, 22);
INSERT INTO public.ecdc_data VALUES (3948, 4, 117, 46.46406703, 147, 22);
INSERT INTO public.ecdc_data VALUES (3949, 11, 642, 19.50848829, 1, 22);
INSERT INTO public.ecdc_data VALUES (3950, 0, 0, 60.38568072, 148, 22);
INSERT INTO public.ecdc_data VALUES (3951, 1, 18, 1.33541558, 2, 22);
INSERT INTO public.ecdc_data VALUES (3952, 0, 0, 0, 56, 22);
INSERT INTO public.ecdc_data VALUES (3953, 0, 0, 12.35648458, 57, 22);
INSERT INTO public.ecdc_data VALUES (3954, 126, 4890, 143.25599156, 58, 22);
INSERT INTO public.ecdc_data VALUES (3955, 4, 308, 166.74961322, 149, 22);
INSERT INTO public.ecdc_data VALUES (3956, 0, 0, 12.22838867, 59, 22);
INSERT INTO public.ecdc_data VALUES (3957, 6, 369, 20.04904139, 202, 22);
INSERT INTO public.ecdc_data VALUES (3958, 0, 132, 18.30952925, 150, 22);
INSERT INTO public.ecdc_data VALUES (3959, 7, 412, 57.17715633, 151, 22);
INSERT INTO public.ecdc_data VALUES (3960, 0, 65, 84.98379916, 60, 22);
INSERT INTO public.ecdc_data VALUES (3961, 0, 439, 356.02779491, 106, 22);
INSERT INTO public.ecdc_data VALUES (3962, 35, 2960, 23.99811003, 107, 22);
INSERT INTO public.ecdc_data VALUES (3963, 0, 0, 2.43884594, 61, 22);
INSERT INTO public.ecdc_data VALUES (3964, 5, 115, 22.18482082, 152, 22);
INSERT INTO public.ecdc_data VALUES (3965, 1, 685, 37.05637431, 153, 22);
INSERT INTO public.ecdc_data VALUES (3966, 0, 0, 2.30561725, 62, 22);
INSERT INTO public.ecdc_data VALUES (3967, 0, 0, 3.32170989, 3, 22);
INSERT INTO public.ecdc_data VALUES (3968, 0, 2, 9.59877136, 63, 22);
INSERT INTO public.ecdc_data VALUES (3969, 0, 0, 1.96568182, 108, 22);
INSERT INTO public.ecdc_data VALUES (3970, 73, 516, 186.3963335, 64, 22);
INSERT INTO public.ecdc_data VALUES (3971, 0, 0, 7.69734057, 65, 22);
INSERT INTO public.ecdc_data VALUES (3972, 3, 268, 108.75498864, 154, 22);
INSERT INTO public.ecdc_data VALUES (3973, 0, 0, 14.75884695, 4, 22);
INSERT INTO public.ecdc_data VALUES (3974, 921, 40816, 263.61917461, 66, 22);
INSERT INTO public.ecdc_data VALUES (3975, 0, 0, 0, 67, 22);
INSERT INTO public.ecdc_data VALUES (3976, 0, 0, 0, 109, 22);
INSERT INTO public.ecdc_data VALUES (3977, 8, 250, 46.08545752, 155, 22);
INSERT INTO public.ecdc_data VALUES (3978, 0, 6, 0.33462289, 5, 22);
INSERT INTO public.ecdc_data VALUES (3979, 0, 0, 0.94531262, 6, 22);
INSERT INTO public.ecdc_data VALUES (3980, 0, 1, 0.36999875, 110, 22);
INSERT INTO public.ecdc_data VALUES (3981, 0, 0, 5.93204917, 7, 22);
INSERT INTO public.ecdc_data VALUES (3982, 11, 383, 17.38791637, 68, 22);
INSERT INTO public.ecdc_data VALUES (3983, 0, 26, 104.37578191, 8, 22);
INSERT INTO public.ecdc_data VALUES (3984, 0, 0, 0, 69, 22);
INSERT INTO public.ecdc_data VALUES (3985, 0, 0, 5.12098701, 9, 22);
INSERT INTO public.ecdc_data VALUES (3986, 0, 4, 0.26337437, 10, 22);
INSERT INTO public.ecdc_data VALUES (3987, 53, 1877, 159.91422557, 70, 22);
INSERT INTO public.ecdc_data VALUES (3988, 1, 207, 0.12303111, 111, 22);
INSERT INTO public.ecdc_data VALUES (3989, 297, 10284, 213.52441266, 71, 22);
INSERT INTO public.ecdc_data VALUES (3990, 0, 0, 2.70304892, 11, 22);
INSERT INTO public.ecdc_data VALUES (3991, 0, 0, 18.17673586, 12, 22);
INSERT INTO public.ecdc_data VALUES (3992, 10, 503, 155.758395, 72, 22);
INSERT INTO public.ecdc_data VALUES (3993, 2, 58, 10.40574876, 13, 22);
INSERT INTO public.ecdc_data VALUES (3994, 1, 42, 26.88748422, 156, 22);
INSERT INTO public.ecdc_data VALUES (3995, 0, 23, 1.08527969, 73, 22);
INSERT INTO public.ecdc_data VALUES (3996, 0, 0, 1.83572692, 74, 22);
INSERT INTO public.ecdc_data VALUES (3997, 0, 7, 5.13757865, 157, 22);
INSERT INTO public.ecdc_data VALUES (3998, 0, 283, 23.08024564, 158, 22);
INSERT INTO public.ecdc_data VALUES (3999, 0, 29, 0.85032281, 14, 22);
INSERT INTO public.ecdc_data VALUES (4000, 0, 30, 8.88723392, 159, 22);
INSERT INTO public.ecdc_data VALUES (4001, 0, 9, 9.1417349, 15, 22);
INSERT INTO public.ecdc_data VALUES (4002, 0, 0, 0, 75, 22);
INSERT INTO public.ecdc_data VALUES (4003, 18, 534, 171.19912111, 76, 22);
INSERT INTO public.ecdc_data VALUES (4004, 52, 1118, 73.15097794, 77, 22);
INSERT INTO public.ecdc_data VALUES (4005, 39, 465, 8.98214246, 16, 22);
INSERT INTO public.ecdc_data VALUES (4006, 9, 411, 79.69257231, 78, 22);
INSERT INTO public.ecdc_data VALUES (4007, 0, 0, 0, 17, 22);
INSERT INTO public.ecdc_data VALUES (4008, 0, 0, 0.94363443, 18, 22);
INSERT INTO public.ecdc_data VALUES (4009, 0, 0, 1.7360849, 160, 22);
INSERT INTO public.ecdc_data VALUES (4010, 5, 88, 84.48498562, 19, 22);
INSERT INTO public.ecdc_data VALUES (4011, 11, 653, 6.45171496, 20, 22);
INSERT INTO public.ecdc_data VALUES (4012, 0, 0, 0, 79, 22);
INSERT INTO public.ecdc_data VALUES (4013, 0, 6, 65.73946628, 161, 22);
INSERT INTO public.ecdc_data VALUES (4014, 0, 0, 0.11236523, 203, 22);
INSERT INTO public.ecdc_data VALUES (4015, 0, 6, 2.01162793, 162, 22);
INSERT INTO public.ecdc_data VALUES (4016, 14, 725, 17.05194507, 163, 22);
INSERT INTO public.ecdc_data VALUES (4017, 0, 0, 0, 204, 22);
INSERT INTO public.ecdc_data VALUES (4018, 0, 0, 53.53087438, 21, 22);
INSERT INTO public.ecdc_data VALUES (4019, 0, 0, 11.1598776, 22, 22);
INSERT INTO public.ecdc_data VALUES (4020, 0, 10, 3.80307859, 164, 22);
INSERT INTO public.ecdc_data VALUES (4021, 6, 684, 8.67269122, 165, 22);
INSERT INTO public.ecdc_data VALUES (4022, 0, 782, 30.96207498, 23, 22);
INSERT INTO public.ecdc_data VALUES (4023, 0, 1, 17.80098499, 166, 22);
INSERT INTO public.ecdc_data VALUES (4024, 1, 52, 3.69244575, 167, 22);
INSERT INTO public.ecdc_data VALUES (4025, 0, 1, 1.76491352, 80, 22);
INSERT INTO public.ecdc_data VALUES (4026, 0, 0, 0, 81, 22);
INSERT INTO public.ecdc_data VALUES (4027, 0, 2, 22.71436684, 205, 22);
INSERT INTO public.ecdc_data VALUES (4028, 27, 6, 80.69288381, 82, 22);
INSERT INTO public.ecdc_data VALUES (4029, 0, 0, 0, 168, 22);
INSERT INTO public.ecdc_data VALUES (4030, 1, 71, 7.71263822, 24, 22);
INSERT INTO public.ecdc_data VALUES (4031, 0, 0, 2.70704044, 25, 22);
INSERT INTO public.ecdc_data VALUES (4032, 0, 7, 11.24205551, 83, 22);
INSERT INTO public.ecdc_data VALUES (4033, 0, 31, 4.79442611, 84, 22);
INSERT INTO public.ecdc_data VALUES (4034, 0, 0, 0, 169, 22);
INSERT INTO public.ecdc_data VALUES (4035, 48, 719, 116.4977019, 85, 22);
INSERT INTO public.ecdc_data VALUES (4036, 0, 9, 2.06697067, 170, 22);
INSERT INTO public.ecdc_data VALUES (4037, 0, 3, 6.16262035, 171, 22);
INSERT INTO public.ecdc_data VALUES (4038, 768, 48513, 43.58022994, 112, 22);
INSERT INTO public.ecdc_data VALUES (4039, 63, 1748, 8.67582478, 113, 22);
INSERT INTO public.ecdc_data VALUES (4040, 235, 2667, 41.12700389, 114, 22);
INSERT INTO public.ecdc_data VALUES (4041, 77, 2747, 85.41129539, 115, 22);
INSERT INTO public.ecdc_data VALUES (4042, 0, 37, 5.28114448, 172, 22);
INSERT INTO public.ecdc_data VALUES (4043, 0, 0, 0, 173, 22);
INSERT INTO public.ecdc_data VALUES (4044, 12, 2097, 283.99977322, 116, 22);
INSERT INTO public.ecdc_data VALUES (4045, 11, 202, 5.20878669, 174, 22);
INSERT INTO public.ecdc_data VALUES (4046, 0, 2, 3.15438475, 86, 22);
INSERT INTO public.ecdc_data VALUES (4047, 4, 1344, 6.95647107, 117, 22);
INSERT INTO public.ecdc_data VALUES (4048, 0, 1, 5.56606924, 175, 22);
INSERT INTO public.ecdc_data VALUES (4049, 0, 6, -0.15838923, 118, 22);
INSERT INTO public.ecdc_data VALUES (4050, 208, 1544, 122.24395879, 119, 22);
INSERT INTO public.ecdc_data VALUES (4051, 14, 606, 14.81721933, 26, 22);
INSERT INTO public.ecdc_data VALUES (4052, 7, 239, 140.8947204, 176, 22);
INSERT INTO public.ecdc_data VALUES (4053, 4, 770, 213.33101343, 120, 22);
INSERT INTO public.ecdc_data VALUES (4054, 18, 748, 352.48636541, 121, 22);
INSERT INTO public.ecdc_data VALUES (4055, 0, 0, 0.01394806, 122, 22);
INSERT INTO public.ecdc_data VALUES (4056, 0, 0, 2.18753646, 177, 22);
INSERT INTO public.ecdc_data VALUES (4057, 3, 141, 22.92979472, 123, 22);
INSERT INTO public.ecdc_data VALUES (4058, 0, 0, 12.23375698, 27, 22);
INSERT INTO public.ecdc_data VALUES (4059, 0, 10, 3.09881326, 28, 22);
INSERT INTO public.ecdc_data VALUES (4060, 0, 0, 18.650074, 29, 22);
INSERT INTO public.ecdc_data VALUES (4061, 0, 0, 5.21131898, 178, 22);
INSERT INTO public.ecdc_data VALUES (4062, 0, 8, 5.43987082, 179, 22);
INSERT INTO public.ecdc_data VALUES (4063, 1, 54, 214.85793964, 180, 22);
INSERT INTO public.ecdc_data VALUES (4064, 2, 414, 17.65340198, 30, 22);
INSERT INTO public.ecdc_data VALUES (4065, 0, 0, 6.50607295, 31, 22);
INSERT INTO public.ecdc_data VALUES (4066, 0, 39, 0.66980098, 124, 22);
INSERT INTO public.ecdc_data VALUES (4067, 0, 137, 132.77911394, 125, 22);
INSERT INTO public.ecdc_data VALUES (4068, 0, 7, 0.49343721, 32, 22);
INSERT INTO public.ecdc_data VALUES (4069, 0, 13, 9.117451, 181, 22);
INSERT INTO public.ecdc_data VALUES (4070, 0, 0, 16.01962835, 33, 22);
INSERT INTO public.ecdc_data VALUES (4071, 0, 0, 0.15752125, 34, 22);
INSERT INTO public.ecdc_data VALUES (4072, 854, 8110, 76.82429441, 87, 22);
INSERT INTO public.ecdc_data VALUES (4073, 5, 367, 94.30513709, 182, 22);
INSERT INTO public.ecdc_data VALUES (4074, 0, 1, 18.13510654, 183, 22);
INSERT INTO public.ecdc_data VALUES (4075, 0, 2, 0.93018468, 126, 22);
INSERT INTO public.ecdc_data VALUES (4076, 2, 56, 229.35411182, 184, 22);
INSERT INTO public.ecdc_data VALUES (4077, 0, 0, 20.03606492, 88, 22);
INSERT INTO public.ecdc_data VALUES (4078, 11, 500, 14.50437031, 35, 22);
INSERT INTO public.ecdc_data VALUES (4079, 0, 19, 1.48850477, 36, 22);
INSERT INTO public.ecdc_data VALUES (4080, 0, 1, 0.02590414, 127, 22);
INSERT INTO public.ecdc_data VALUES (4081, 0, 74, 42.21246218, 37, 22);
INSERT INTO public.ecdc_data VALUES (4082, 1, 311, 6.99786761, 128, 22);
INSERT INTO public.ecdc_data VALUES (4083, 0, 223, 12.89190479, 185, 22);
INSERT INTO public.ecdc_data VALUES (4084, 0, 0, 0, 207, 22);
INSERT INTO public.ecdc_data VALUES (4085, 0, 2, 0.25088531, 208, 22);
INSERT INTO public.ecdc_data VALUES (4086, 8, 233, 8.02077396, 89, 22);
INSERT INTO public.ecdc_data VALUES (4087, 0, 0, 0.14156577, 38, 22);
INSERT INTO public.ecdc_data VALUES (4088, 8, 624, 4.07436963, 39, 22);
INSERT INTO public.ecdc_data VALUES (4089, 5, 102, 95.70889091, 186, 22);
INSERT INTO public.ecdc_data VALUES (4090, 0, 0, 6.99141803, 209, 22);
INSERT INTO public.ecdc_data VALUES (4091, 0, 15, 2.77766725, 187, 22);
INSERT INTO public.ecdc_data VALUES (4092, 9, 846, 368.56340674, 129, 22);
INSERT INTO public.ecdc_data VALUES (4093, 27, 1063, 9.47473967, 130, 22);
INSERT INTO public.ecdc_data VALUES (4094, 2, 481, 124.54275105, 131, 22);
INSERT INTO public.ecdc_data VALUES (4095, 27, 781, 332.67866731, 90, 22);
INSERT INTO public.ecdc_data VALUES (4096, 1, 1, 0.59251703, 210, 22);
INSERT INTO public.ecdc_data VALUES (4097, 2, 126, 22.71230648, 91, 22);
INSERT INTO public.ecdc_data VALUES (4098, 194, 5288, 188.05638628, 92, 22);
INSERT INTO public.ecdc_data VALUES (4099, 2, 1633, 24.1664968, 132, 22);
INSERT INTO public.ecdc_data VALUES (4100, 6, 502, 14.34447362, 188, 22);
INSERT INTO public.ecdc_data VALUES (4101, 3, 111, 32.68585372, 189, 22);
INSERT INTO public.ecdc_data VALUES (4102, 8, 399, 194.89303212, 93, 22);
INSERT INTO public.ecdc_data VALUES (4103, 2, 283, 188.8017638, 133, 22);
INSERT INTO public.ecdc_data VALUES (4104, 33, 1151, 69.37098115, 190, 22);
INSERT INTO public.ecdc_data VALUES (4105, 150, 5395, 57.28847966, 191, 22);
INSERT INTO public.ecdc_data VALUES (4106, 0, 47, 4.03898396, 40, 22);
INSERT INTO public.ecdc_data VALUES (4107, 0, 0, 0, 94, 22);
INSERT INTO public.ecdc_data VALUES (4108, 0, 0, 1.09412183, 95, 22);
INSERT INTO public.ecdc_data VALUES (4109, 0, 0, 15.37167814, 96, 22);
INSERT INTO public.ecdc_data VALUES (4110, 0, 0, 0, 192, 22);
INSERT INTO public.ecdc_data VALUES (4111, 0, 2, 62.77668242, 41, 22);
INSERT INTO public.ecdc_data VALUES (4112, 29, 1897, 96.37997592, 134, 22);
INSERT INTO public.ecdc_data VALUES (4113, 4, 41, 9.58496136, 42, 22);
INSERT INTO public.ecdc_data VALUES (4114, 8, 379, 79.51159746, 193, 22);
INSERT INTO public.ecdc_data VALUES (4115, 0, 0, 14.32356943, 43, 22);
INSERT INTO public.ecdc_data VALUES (4116, 0, 3, 1.72784364, 44, 22);
INSERT INTO public.ecdc_data VALUES (4117, 0, 359, 78.6996909, 135, 22);
INSERT INTO public.ecdc_data VALUES (4118, 0, 7, 101.44141169, 97, 22);
INSERT INTO public.ecdc_data VALUES (4119, 0, 23, 5.43077315, 194, 22);
INSERT INTO public.ecdc_data VALUES (4120, 0, 14, 11.62953864, 195, 22);
INSERT INTO public.ecdc_data VALUES (4121, 0, 18, 0.77705582, 45, 22);
INSERT INTO public.ecdc_data VALUES (4122, 190, 7232, 275.74074212, 46, 22);
INSERT INTO public.ecdc_data VALUES (4123, 0, 48, 1.36651169, 136, 22);
INSERT INTO public.ecdc_data VALUES (4124, 0, 17, 1.57293624, 47, 22);
INSERT INTO public.ecdc_data VALUES (4125, 5, 2031, 53.57600156, 196, 22);
INSERT INTO public.ecdc_data VALUES (4126, 0, 5, 0.67999348, 137, 22);
INSERT INTO public.ecdc_data VALUES (4127, 5, 72, 2.75615693, 48, 22);
INSERT INTO public.ecdc_data VALUES (4128, 0, 27, 121.95478556, 98, 22);
INSERT INTO public.ecdc_data VALUES (4129, 4, 283, 27.7512088, 197, 22);
INSERT INTO public.ecdc_data VALUES (4130, 2, 132, 18.62010618, 198, 22);
INSERT INTO public.ecdc_data VALUES (4131, 0, 20, 1.49383731, 138, 22);
INSERT INTO public.ecdc_data VALUES (4132, 0, 0, 0.06730075, 139, 22);
INSERT INTO public.ecdc_data VALUES (4133, 0, 41, 6.79110008, 140, 22);
INSERT INTO public.ecdc_data VALUES (4134, 0, 1, 0.09479275, 141, 22);
INSERT INTO public.ecdc_data VALUES (4135, 0, 0, 0, 142, 22);
INSERT INTO public.ecdc_data VALUES (4136, 0, 22, 2.04148319, 49, 22);
INSERT INTO public.ecdc_data VALUES (4137, 0, 6, 1.5054098, 99, 22);
INSERT INTO public.ecdc_data VALUES (4138, 0, 13, 1.3852404, 50, 22);
INSERT INTO public.ecdc_data VALUES (4139, 15, 963, 15.83949404, 199, 22);
INSERT INTO public.ecdc_data VALUES (4140, 0, 0, 70.69173169, 100, 22);
INSERT INTO public.ecdc_data VALUES (4141, 0, 7, 0.21459428, 51, 22);
INSERT INTO public.ecdc_data VALUES (4142, 13, 919, 26.83114922, 200, 22);
INSERT INTO public.ecdc_data VALUES (4143, 2, 369, 40.66311271, 143, 22);
INSERT INTO public.ecdc_data VALUES (4144, 21, 70, 12.32311462, 201, 22);
INSERT INTO public.ecdc_data VALUES (4145, 0, 0, 0, 52, 22);
INSERT INTO public.ecdc_data VALUES (4146, 1245, 61734, 279.70863877, 101, 22);
INSERT INTO public.ecdc_data VALUES (4147, 1, 21, 160.64410637, 102, 22);
INSERT INTO public.ecdc_data VALUES (4148, 0, 16, 6.38408935, 103, 22);
INSERT INTO public.ecdc_data VALUES (4149, 5, 663, 23.8798983, 144, 22);
INSERT INTO public.ecdc_data VALUES (4150, 5, 583, 23.00827376, 104, 22);
INSERT INTO public.ecdc_data VALUES (4151, 0, 2, 0.06220059, 145, 22);
INSERT INTO public.ecdc_data VALUES (4152, 0, 0, 0, 53, 22);
INSERT INTO public.ecdc_data VALUES (4153, 1, 4, 0.66182195, 146, 22);
INSERT INTO public.ecdc_data VALUES (4154, 2, 450, 15.22308283, 54, 22);
INSERT INTO public.ecdc_data VALUES (4155, 4, 113, 12.17441048, 55, 22);
INSERT INTO public.ecdc_data VALUES (4156, 18, 351, 16.30050894, 105, 23);
INSERT INTO public.ecdc_data VALUES (4157, 2, 72, 30.77807748, 147, 23);
INSERT INTO public.ecdc_data VALUES (4158, 5, 305, 5.46767251, 1, 23);
INSERT INTO public.ecdc_data VALUES (4159, 0, 0, 2.62546438, 148, 23);
INSERT INTO public.ecdc_data VALUES (4160, 1, 23, 0.3990536, 2, 23);
INSERT INTO public.ecdc_data VALUES (4161, 0, 0, 0, 56, 23);
INSERT INTO public.ecdc_data VALUES (4162, 0, 0, 40.15857489, 57, 23);
INSERT INTO public.ecdc_data VALUES (4163, 10, 0, 58.43368819, 58, 23);
INSERT INTO public.ecdc_data VALUES (4164, 7, 482, 272.60789363, 149, 23);
INSERT INTO public.ecdc_data VALUES (4165, 0, 0, 0, 59, 23);
INSERT INTO public.ecdc_data VALUES (4166, 0, 45, 1.45219655, 202, 23);
INSERT INTO public.ecdc_data VALUES (4167, 2, 63, 6.62619832, 150, 23);
INSERT INTO public.ecdc_data VALUES (4168, 5, 534, 64.36286684, 151, 23);
INSERT INTO public.ecdc_data VALUES (4169, 0, 0, 0.25674864, 60, 23);
INSERT INTO public.ecdc_data VALUES (4170, 5, 438, 436.33664887, 106, 23);
INSERT INTO public.ecdc_data VALUES (4171, 43, 3809, 30.82991712, 107, 23);
INSERT INTO public.ecdc_data VALUES (4172, 0, 0, 0.34840656, 61, 23);
INSERT INTO public.ecdc_data VALUES (4173, 6, 380, 79.36601135, 152, 23);
INSERT INTO public.ecdc_data VALUES (4174, 5, 24, 11.11254759, 153, 23);
INSERT INTO public.ecdc_data VALUES (4175, 0, 0, 0.76853908, 62, 23);
INSERT INTO public.ecdc_data VALUES (4176, 2, 25, 5.75367606, 3, 23);
INSERT INTO public.ecdc_data VALUES (4177, 0, 0, 3.19959045, 63, 23);
INSERT INTO public.ecdc_data VALUES (4178, 0, 0, 1.31045454, 108, 23);
INSERT INTO public.ecdc_data VALUES (4179, 44, 848, 113.47940807, 64, 23);
INSERT INTO public.ecdc_data VALUES (4180, 0, 0, 0, 65, 23);
INSERT INTO public.ecdc_data VALUES (4181, 3, 108, 36.77675661, 154, 23);
INSERT INTO public.ecdc_data VALUES (4182, 0, 0, 2.82154427, 4, 23);
INSERT INTO public.ecdc_data VALUES (4183, 552, 30476, 225.78539968, 66, 23);
INSERT INTO public.ecdc_data VALUES (4184, 0, 0, 0, 67, 23);
INSERT INTO public.ecdc_data VALUES (4185, 0, 0, 0, 109, 23);
INSERT INTO public.ecdc_data VALUES (4186, 3, 66, 20.01417421, 155, 23);
INSERT INTO public.ecdc_data VALUES (4187, 0, 18, 0.31986012, 5, 23);
INSERT INTO public.ecdc_data VALUES (4188, 0, 26, 0.65911706, 6, 23);
INSERT INTO public.ecdc_data VALUES (4189, 0, 0, 0.07885219, 110, 23);
INSERT INTO public.ecdc_data VALUES (4190, 0, 0, 10.54243005, 7, 23);
INSERT INTO public.ecdc_data VALUES (4191, 6, 218, 11.92963424, 68, 23);
INSERT INTO public.ecdc_data VALUES (4192, 0, 64, 73.64493323, 8, 23);
INSERT INTO public.ecdc_data VALUES (4193, 0, 0, 13.85723964, 69, 23);
INSERT INTO public.ecdc_data VALUES (4194, 0, 0, 25.43634287, 9, 23);
INSERT INTO public.ecdc_data VALUES (4195, 0, 1, 0.10033309, 10, 23);
INSERT INTO public.ecdc_data VALUES (4196, 162, 4216, 515.45388134, 70, 23);
INSERT INTO public.ecdc_data VALUES (4197, 0, 14, 0.02943261, 111, 23);
INSERT INTO public.ecdc_data VALUES (4198, 167, 3178, 81.10935991, 71, 23);
INSERT INTO public.ecdc_data VALUES (4199, 0, 25, 11.28229115, 11, 23);
INSERT INTO public.ecdc_data VALUES (4200, 0, 0, 8.66089868, 12, 23);
INSERT INTO public.ecdc_data VALUES (4201, 3, 151, 28.03334125, 72, 23);
INSERT INTO public.ecdc_data VALUES (4202, 2, 205, 15.00978708, 13, 23);
INSERT INTO public.ecdc_data VALUES (4203, 0, 67, 10.76971311, 156, 23);
INSERT INTO public.ecdc_data VALUES (4204, 0, 2, 0.74116662, 73, 23);
INSERT INTO public.ecdc_data VALUES (4205, 0, 0, 1.22381794, 74, 23);
INSERT INTO public.ecdc_data VALUES (4206, 0, 0, 1.25585256, 157, 23);
INSERT INTO public.ecdc_data VALUES (4207, 1, 305, 14.82656951, 158, 23);
INSERT INTO public.ecdc_data VALUES (4208, 8, 274, 2.36085562, 14, 23);
INSERT INTO public.ecdc_data VALUES (4209, 0, 0, 8.30164099, 159, 23);
INSERT INTO public.ecdc_data VALUES (4210, 0, 0, 18.28346979, 15, 23);
INSERT INTO public.ecdc_data VALUES (4211, 0, 0, 0, 75, 23);
INSERT INTO public.ecdc_data VALUES (4212, 8, 754, 78.32231752, 76, 23);
INSERT INTO public.ecdc_data VALUES (4213, 5, 681, 48.9476683, 77, 23);
INSERT INTO public.ecdc_data VALUES (4214, 81, 1265, 20.51040404, 16, 23);
INSERT INTO public.ecdc_data VALUES (4215, 12, 0, 34.30669941, 78, 23);
INSERT INTO public.ecdc_data VALUES (4216, 0, 0, 51.25436768, 17, 23);
INSERT INTO public.ecdc_data VALUES (4217, 0, 0, 2.71652335, 18, 23);
INSERT INTO public.ecdc_data VALUES (4218, 0, 1, 1.05674733, 160, 23);
INSERT INTO public.ecdc_data VALUES (4219, 3, 36, 25.34549569, 19, 23);
INSERT INTO public.ecdc_data VALUES (4220, 4, 119, 2.09138707, 20, 23);
INSERT INTO public.ecdc_data VALUES (4221, 0, 0, 0, 79, 23);
INSERT INTO public.ecdc_data VALUES (4222, 0, 0, 0, 161, 23);
INSERT INTO public.ecdc_data VALUES (4223, 0, 0, 0, 203, 23);
INSERT INTO public.ecdc_data VALUES (4224, 0, 0, 1.57668135, 162, 23);
INSERT INTO public.ecdc_data VALUES (4225, 0, 0, 8.52970316, 163, 23);
INSERT INTO public.ecdc_data VALUES (4226, 0, 0, 0.71611436, 204, 23);
INSERT INTO public.ecdc_data VALUES (4227, 0, 0, 80.36535397, 21, 23);
INSERT INTO public.ecdc_data VALUES (4228, 0, 0, 0.7241142, 22, 23);
INSERT INTO public.ecdc_data VALUES (4229, 0, 2, 1.17595193, 164, 23);
INSERT INTO public.ecdc_data VALUES (4230, 4, 262, 8.79314527, 165, 23);
INSERT INTO public.ecdc_data VALUES (4231, 9, 920, 17.70999128, 23, 23);
INSERT INTO public.ecdc_data VALUES (4232, 0, 1, 2.96683083, 166, 23);
INSERT INTO public.ecdc_data VALUES (4233, 0, 10, 2.37771128, 167, 23);
INSERT INTO public.ecdc_data VALUES (4234, 0, 0, 0, 80, 23);
INSERT INTO public.ecdc_data VALUES (4235, 0, 0, 0, 81, 23);
INSERT INTO public.ecdc_data VALUES (4236, 0, 5, 40.64676171, 205, 23);
INSERT INTO public.ecdc_data VALUES (4237, 21, 533, 40.29809556, 82, 23);
INSERT INTO public.ecdc_data VALUES (4238, 0, 0, 0, 168, 23);
INSERT INTO public.ecdc_data VALUES (4239, 1, 51, 6.34237255, 24, 23);
INSERT INTO public.ecdc_data VALUES (4240, 0, 0, 8.01700438, 25, 23);
INSERT INTO public.ecdc_data VALUES (4241, 0, 0, 9.07029478, 83, 23);
INSERT INTO public.ecdc_data VALUES (4242, 4, 70, 13.65523584, 84, 23);
INSERT INTO public.ecdc_data VALUES (4243, 0, 0, 0, 169, 23);
INSERT INTO public.ecdc_data VALUES (4244, 0, 1075, 94.64283974, 85, 23);
INSERT INTO public.ecdc_data VALUES (4245, 3, 4, 0.67534685, 170, 23);
INSERT INTO public.ecdc_data VALUES (4246, 0, 1, 3.08131017, 171, 23);
INSERT INTO public.ecdc_data VALUES (4247, 380, 19459, 15.7999996, 112, 23);
INSERT INTO public.ecdc_data VALUES (4248, 34, 1198, 5.8135675, 113, 23);
INSERT INTO public.ecdc_data VALUES (4249, 144, 2489, 42.5043364, 114, 23);
INSERT INTO public.ecdc_data VALUES (4250, 96, 2140, 64.08836232, 115, 23);
INSERT INTO public.ecdc_data VALUES (4251, 1, 2, 2.77311061, 172, 23);
INSERT INTO public.ecdc_data VALUES (4252, 0, 0, 0, 173, 23);
INSERT INTO public.ecdc_data VALUES (4253, 1, 334, 54.39367428, 116, 23);
INSERT INTO public.ecdc_data VALUES (4254, 22, 174, 5.50202946, 174, 23);
INSERT INTO public.ecdc_data VALUES (4255, 0, 6, 2.67953113, 86, 23);
INSERT INTO public.ecdc_data VALUES (4256, 1, 86, 0.76777369, 117, 23);
INSERT INTO public.ecdc_data VALUES (4257, 0, 0, 5.56606924, 175, 23);
INSERT INTO public.ecdc_data VALUES (4258, 0, 10, 1.58389229, 118, 23);
INSERT INTO public.ecdc_data VALUES (4259, 10, 547, 35.13476159, 119, 23);
INSERT INTO public.ecdc_data VALUES (4260, 2, 259, 4.70955521, 26, 23);
INSERT INTO public.ecdc_data VALUES (4261, 1, 87, 66.22163062, 176, 23);
INSERT INTO public.ecdc_data VALUES (4262, 4, 551, 214.44817863, 120, 23);
INSERT INTO public.ecdc_data VALUES (4263, 3, 269, 41.22601974, 121, 23);
INSERT INTO public.ecdc_data VALUES (4264, 0, 0, 0, 122, 23);
INSERT INTO public.ecdc_data VALUES (4265, 0, 1, 0.98959983, 177, 23);
INSERT INTO public.ecdc_data VALUES (4266, 1, 21, 4.28839672, 123, 23);
INSERT INTO public.ecdc_data VALUES (4267, 0, 3, 1.08221696, 27, 23);
INSERT INTO public.ecdc_data VALUES (4268, 0, 39, 6.27864124, 28, 23);
INSERT INTO public.ecdc_data VALUES (4269, 3, 49, 5.07565305, 29, 23);
INSERT INTO public.ecdc_data VALUES (4270, 0, 0, 0, 178, 23);
INSERT INTO public.ecdc_data VALUES (4271, 0, 3, 1.71785394, 179, 23);
INSERT INTO public.ecdc_data VALUES (4272, 0, 25, 28.01786628, 180, 23);
INSERT INTO public.ecdc_data VALUES (4273, 2, 73, 2.98858265, 30, 23);
INSERT INTO public.ecdc_data VALUES (4274, 0, 108, 3.21546015, 31, 23);
INSERT INTO public.ecdc_data VALUES (4275, 0, 18, 0.56651391, 124, 23);
INSERT INTO public.ecdc_data VALUES (4276, 0, 18, 54.24168059, 125, 23);
INSERT INTO public.ecdc_data VALUES (4277, 1, 29, 1.71939976, 32, 23);
INSERT INTO public.ecdc_data VALUES (4278, 0, 0, 4.05220045, 181, 23);
INSERT INTO public.ecdc_data VALUES (4279, 0, 0, 46.93198707, 33, 23);
INSERT INTO public.ecdc_data VALUES (4280, 0, 0, 0.31504249, 34, 23);
INSERT INTO public.ecdc_data VALUES (4281, 267, 2917, 59.54903781, 87, 23);
INSERT INTO public.ecdc_data VALUES (4282, 9, 170, 111.54371054, 182, 23);
INSERT INTO public.ecdc_data VALUES (4283, 0, 0, 9.06755327, 183, 23);
INSERT INTO public.ecdc_data VALUES (4284, 0, 1, 0.71314159, 126, 23);
INSERT INTO public.ecdc_data VALUES (4285, 2, 12, 25.07304936, 184, 23);
INSERT INTO public.ecdc_data VALUES (4286, 0, 0, 0, 88, 23);
INSERT INTO public.ecdc_data VALUES (4287, 1, 175, 9.09744815, 35, 23);
INSERT INTO public.ecdc_data VALUES (4288, 0, 20, 0.90891, 36, 23);
INSERT INTO public.ecdc_data VALUES (4289, 0, 3, 0.06846093, 127, 23);
INSERT INTO public.ecdc_data VALUES (4290, 0, 62, 6.05325906, 37, 23);
INSERT INTO public.ecdc_data VALUES (4291, 1, 1017, 24.51001382, 128, 23);
INSERT INTO public.ecdc_data VALUES (4292, 0, 73, 7.89253058, 185, 23);
INSERT INTO public.ecdc_data VALUES (4293, 0, 0, 0, 207, 23);
INSERT INTO public.ecdc_data VALUES (4294, 0, 2, 0.50177062, 208, 23);
INSERT INTO public.ecdc_data VALUES (4295, 0, 0, 7.86799731, 89, 23);
INSERT INTO public.ecdc_data VALUES (4296, 0, 6, 0.40324797, 38, 23);
INSERT INTO public.ecdc_data VALUES (4297, 7, 490, 4.22066477, 39, 23);
INSERT INTO public.ecdc_data VALUES (4298, 9, 176, 97.97162626, 186, 23);
INSERT INTO public.ecdc_data VALUES (4299, 0, 0, 0, 209, 23);
INSERT INTO public.ecdc_data VALUES (4300, 0, 0, 3.9225166, 187, 23);
INSERT INTO public.ecdc_data VALUES (4301, 4, 1197, 294.8547455, 129, 23);
INSERT INTO public.ecdc_data VALUES (4302, 49, 3557, 28.64447588, 130, 23);
INSERT INTO public.ecdc_data VALUES (4303, 1, 195, 31.6174779, 131, 23);
INSERT INTO public.ecdc_data VALUES (4304, 12, 1028, 259.04051394, 90, 23);
INSERT INTO public.ecdc_data VALUES (4305, 0, 0, 0.03418368, 210, 23);
INSERT INTO public.ecdc_data VALUES (4306, 0, 185, 11.89557052, 91, 23);
INSERT INTO public.ecdc_data VALUES (4307, 182, 3430, 152.82157479, 92, 23);
INSERT INTO public.ecdc_data VALUES (4308, 8, 652, 8.80993119, 132, 23);
INSERT INTO public.ecdc_data VALUES (4309, 3, 193, 11.89008599, 188, 23);
INSERT INTO public.ecdc_data VALUES (4310, 3, 457, 48.22598721, 189, 23);
INSERT INTO public.ecdc_data VALUES (4311, 1, 123, 46.97614103, 93, 23);
INSERT INTO public.ecdc_data VALUES (4312, 0, 750, 522.97417685, 133, 23);
INSERT INTO public.ecdc_data VALUES (4313, 23, 291, 22.22055336, 190, 23);
INSERT INTO public.ecdc_data VALUES (4314, 104, 6791, 72.30504278, 191, 23);
INSERT INTO public.ecdc_data VALUES (4315, 0, 22, 2.51842529, 40, 23);
INSERT INTO public.ecdc_data VALUES (4316, 0, 0, 0, 94, 23);
INSERT INTO public.ecdc_data VALUES (4317, 0, 0, 0, 95, 23);
INSERT INTO public.ecdc_data VALUES (4318, 0, 0, 1.80843272, 96, 23);
INSERT INTO public.ecdc_data VALUES (4319, 0, 0, 11.61001945, 192, 23);
INSERT INTO public.ecdc_data VALUES (4320, 0, 0, 24.18064804, 41, 23);
INSERT INTO public.ecdc_data VALUES (4321, 40, 3989, 160.35704363, 134, 23);
INSERT INTO public.ecdc_data VALUES (4322, 3, 127, 9.17996299, 42, 23);
INSERT INTO public.ecdc_data VALUES (4323, 3, 254, 24.92904699, 193, 23);
INSERT INTO public.ecdc_data VALUES (4324, 0, 0, 0, 43, 23);
INSERT INTO public.ecdc_data VALUES (4325, 1, 17, 3.30210117, 44, 23);
INSERT INTO public.ecdc_data VALUES (4326, 0, 213, 49.18730681, 135, 23);
INSERT INTO public.ecdc_data VALUES (4327, 0, 0, 0, 97, 23);
INSERT INTO public.ecdc_data VALUES (4328, 0, 7, 2.12827596, 194, 23);
INSERT INTO public.ecdc_data VALUES (4329, 0, 9, 4.13281125, 195, 23);
INSERT INTO public.ecdc_data VALUES (4330, 0, 16, 1.88436037, 45, 23);
INSERT INTO public.ecdc_data VALUES (4331, 43, 6334, 116.28759437, 46, 23);
INSERT INTO public.ecdc_data VALUES (4332, 0, 42, 1.24157348, 136, 23);
INSERT INTO public.ecdc_data VALUES (4333, 0, 31, 2.67579958, 47, 23);
INSERT INTO public.ecdc_data VALUES (4334, 3, 200, 10.35642198, 196, 23);
INSERT INTO public.ecdc_data VALUES (4335, 0, 4, 0.69406231, 137, 23);
INSERT INTO public.ecdc_data VALUES (4336, 0, 0, 4.76021003, 48, 23);
INSERT INTO public.ecdc_data VALUES (4337, 1, 99, 48.50669891, 98, 23);
INSERT INTO public.ecdc_data VALUES (4338, 23, 415, 142.08931706, 197, 23);
INSERT INTO public.ecdc_data VALUES (4339, 0, 62, 5.85169899, 198, 23);
INSERT INTO public.ecdc_data VALUES (4340, 0, 0, 0.46279666, 138, 23);
INSERT INTO public.ecdc_data VALUES (4341, 0, 0, 0.01682519, 139, 23);
INSERT INTO public.ecdc_data VALUES (4342, 0, 50, 8.73294702, 140, 23);
INSERT INTO public.ecdc_data VALUES (4343, 0, 0, 0.03877885, 141, 23);
INSERT INTO public.ecdc_data VALUES (4344, 0, 0, 0, 142, 23);
INSERT INTO public.ecdc_data VALUES (4345, 0, 27, 1.37336142, 49, 23);
INSERT INTO public.ecdc_data VALUES (4346, 0, 2, 0.21505854, 99, 23);
INSERT INTO public.ecdc_data VALUES (4347, 0, 1, 0.62421327, 50, 23);
INSERT INTO public.ecdc_data VALUES (4348, 15, 1356, 23.16963482, 199, 23);
INSERT INTO public.ecdc_data VALUES (4349, 0, 12, 41.89139655, 100, 23);
INSERT INTO public.ecdc_data VALUES (4350, 0, 11, 0.3681986, 51, 23);
INSERT INTO public.ecdc_data VALUES (4351, 19, 917, 26.88570255, 200, 23);
INSERT INTO public.ecdc_data VALUES (4352, 2, 437, 56.32245388, 143, 23);
INSERT INTO public.ecdc_data VALUES (4353, 31, 649, 17.8852461, 201, 23);
INSERT INTO public.ecdc_data VALUES (4354, 0, 0, 0, 52, 23);
INSERT INTO public.ecdc_data VALUES (4355, 265, 38673, 138.24840525, 101, 23);
INSERT INTO public.ecdc_data VALUES (4356, 0, 0, 7.64971935, 102, 23);
INSERT INTO public.ecdc_data VALUES (4357, 1, 5, 2.33986985, 103, 23);
INSERT INTO public.ecdc_data VALUES (4358, 2, 306, 8.8776463, 144, 23);
INSERT INTO public.ecdc_data VALUES (4359, 2, 167, 8.39183038, 104, 23);
INSERT INTO public.ecdc_data VALUES (4360, 0, 1, 0.02177021, 145, 23);
INSERT INTO public.ecdc_data VALUES (4361, 0, 0, 31.76194678, 53, 23);
INSERT INTO public.ecdc_data VALUES (4362, 6, 15, 1.33736041, 146, 23);
INSERT INTO public.ecdc_data VALUES (4363, 1, 26, 1.11415722, 54, 23);
INSERT INTO public.ecdc_data VALUES (4364, 0, 0, 1.25636092, 55, 23);
INSERT INTO public.ecdc_data VALUES (4365, 8, 580, 20.23302972, 105, 24);
INSERT INTO public.ecdc_data VALUES (4366, 0, 26, 6.2184992, 147, 24);
INSERT INTO public.ecdc_data VALUES (4367, 7, 140, 5.93453835, 1, 24);
INSERT INTO public.ecdc_data VALUES (4368, 0, 0, 2.62546438, 148, 24);
INSERT INTO public.ecdc_data VALUES (4369, 0, 2, 0.07855386, 2, 24);
INSERT INTO public.ecdc_data VALUES (4370, 0, 0, 0, 56, 24);
INSERT INTO public.ecdc_data VALUES (4371, 0, 0, 0, 57, 24);
INSERT INTO public.ecdc_data VALUES (4372, 8, 769, 16.90014722, 58, 24);
INSERT INTO public.ecdc_data VALUES (4373, 7, 460, 156.6066927, 149, 24);
INSERT INTO public.ecdc_data VALUES (4374, 0, 0, 0, 59, 24);
INSERT INTO public.ecdc_data VALUES (4375, 0, 11, 0.63880777, 202, 24);
INSERT INTO public.ecdc_data VALUES (4376, 23, 28, 6.07307444, 150, 24);
INSERT INTO public.ecdc_data VALUES (4377, 2, 191, 18.71071434, 151, 24);
INSERT INTO public.ecdc_data VALUES (4378, 0, 1, 1.28374319, 60, 24);
INSERT INTO public.ecdc_data VALUES (4379, 0, 419, 234.83332562, 106, 24);
INSERT INTO public.ecdc_data VALUES (4380, 15, 2029, 13.16068915, 107, 24);
INSERT INTO public.ecdc_data VALUES (4381, 0, 0, 2.43884594, 61, 24);
INSERT INTO public.ecdc_data VALUES (4382, 5, 902, 138.44089903, 152, 24);
INSERT INTO public.ecdc_data VALUES (4383, 26, 171, 26.95643908, 153, 24);
INSERT INTO public.ecdc_data VALUES (4384, 0, 0, 0, 62, 24);
INSERT INTO public.ecdc_data VALUES (4385, 0, 0, -1.09311371, 3, 24);
INSERT INTO public.ecdc_data VALUES (4386, 0, 1, 28.79631407, 63, 24);
INSERT INTO public.ecdc_data VALUES (4387, 0, 3, 1.4415, 108, 24);
INSERT INTO public.ecdc_data VALUES (4388, 13, 619, 43.55906862, 64, 24);
INSERT INTO public.ecdc_data VALUES (4389, 0, 0, 3.84867028, 65, 24);
INSERT INTO public.ecdc_data VALUES (4390, 2, 28, 7.4522917, 154, 24);
INSERT INTO public.ecdc_data VALUES (4391, 0, 0, 0.47749211, 4, 24);
INSERT INTO public.ecdc_data VALUES (4392, 1156, 26417, 111.49989875, 66, 24);
INSERT INTO public.ecdc_data VALUES (4393, 0, 0, 0, 67, 24);
INSERT INTO public.ecdc_data VALUES (4394, 0, 0, 0, 109, 24);
INSERT INTO public.ecdc_data VALUES (4395, 3, 25, 5.49996936, 155, 24);
INSERT INTO public.ecdc_data VALUES (4396, 0, 2, 0.36414844, 5, 24);
INSERT INTO public.ecdc_data VALUES (4397, 0, 0, 0.13008889, 6, 24);
INSERT INTO public.ecdc_data VALUES (4398, 0, 0, 0.01213111, 110, 24);
INSERT INTO public.ecdc_data VALUES (4399, 0, 0, 9.2825942, 7, 24);
INSERT INTO public.ecdc_data VALUES (4400, 112, 993, 40.36241924, 68, 24);
INSERT INTO public.ecdc_data VALUES (4401, 0, 0, 13.6379506, 8, 24);
INSERT INTO public.ecdc_data VALUES (4402, 0, 0, 72.36558478, 69, 24);
INSERT INTO public.ecdc_data VALUES (4403, 0, 53, 11.253527, 9, 24);
INSERT INTO public.ecdc_data VALUES (4404, 1, 11, 2.05055759, 10, 24);
INSERT INTO public.ecdc_data VALUES (4405, 49, 4654, 263.31209287, 70, 24);
INSERT INTO public.ecdc_data VALUES (4406, 0, 0, 0.00537041, 111, 24);
INSERT INTO public.ecdc_data VALUES (4407, 19, 1262, 23.35345665, 71, 24);
INSERT INTO public.ecdc_data VALUES (4408, 0, 0, 8.93181383, 11, 24);
INSERT INTO public.ecdc_data VALUES (4409, 0, 0, 3.34541151, 12, 24);
INSERT INTO public.ecdc_data VALUES (4410, 0, 16, 3.36796326, 72, 24);
INSERT INTO public.ecdc_data VALUES (4411, 1, 85, 2.60532574, 13, 24);
INSERT INTO public.ecdc_data VALUES (4412, 1, 1, 0.58877703, 156, 24);
INSERT INTO public.ecdc_data VALUES (4413, 0, 9, 1.34998205, 73, 24);
INSERT INTO public.ecdc_data VALUES (4414, 0, 1, 1.83572692, 74, 24);
INSERT INTO public.ecdc_data VALUES (4415, 0, 2, 3.88172609, 157, 24);
INSERT INTO public.ecdc_data VALUES (4416, 2, 54, 7.40858983, 158, 24);
INSERT INTO public.ecdc_data VALUES (4417, 1, 173, 1.76747317, 14, 24);
INSERT INTO public.ecdc_data VALUES (4418, 3, 32, 13.76143392, 159, 24);
INSERT INTO public.ecdc_data VALUES (4419, 2, 217, 167.42727955, 15, 24);
INSERT INTO public.ecdc_data VALUES (4420, 0, 0, 0, 75, 24);
INSERT INTO public.ecdc_data VALUES (4421, 11, 345, 44.21285978, 76, 24);
INSERT INTO public.ecdc_data VALUES (4422, 38, 368, 45.86829359, 77, 24);
INSERT INTO public.ecdc_data VALUES (4423, 29, 1127, 9.92548159, 16, 24);
INSERT INTO public.ecdc_data VALUES (4424, 0, 85, 15.24742196, 78, 24);
INSERT INTO public.ecdc_data VALUES (4425, 0, 0, 33.11253394, 17, 24);
INSERT INTO public.ecdc_data VALUES (4426, 0, 0, 0, 18, 24);
INSERT INTO public.ecdc_data VALUES (4427, 0, 11, 7.01982156, 160, 24);
INSERT INTO public.ecdc_data VALUES (4428, 0, 7, 8.01300895, 19, 24);
INSERT INTO public.ecdc_data VALUES (4429, 1, 100, 0.49875656, 20, 24);
INSERT INTO public.ecdc_data VALUES (4430, 0, 0, 0, 79, 24);
INSERT INTO public.ecdc_data VALUES (4431, 0, 0, 0, 161, 24);
INSERT INTO public.ecdc_data VALUES (4432, 0, 0, 0, 203, 24);
INSERT INTO public.ecdc_data VALUES (4433, 0, 51, 10.83741896, 162, 24);
INSERT INTO public.ecdc_data VALUES (4434, 66, 3325, 11.51271167, 163, 24);
INSERT INTO public.ecdc_data VALUES (4435, 0, 0, 0, 204, 24);
INSERT INTO public.ecdc_data VALUES (4436, 0, 112, 61.07951015, 21, 24);
INSERT INTO public.ecdc_data VALUES (4437, 0, 0, 0.08518991, 22, 24);
INSERT INTO public.ecdc_data VALUES (4438, 0, 3, 1.77643803, 164, 24);
INSERT INTO public.ecdc_data VALUES (4439, 39, 741, 8.80037251, 165, 24);
INSERT INTO public.ecdc_data VALUES (4440, 0, 0, 5.8288128, 23, 24);
INSERT INTO public.ecdc_data VALUES (4441, 0, 0, 29.66830831, 166, 24);
INSERT INTO public.ecdc_data VALUES (4442, 2, 3, 1.26811268, 167, 24);
INSERT INTO public.ecdc_data VALUES (4443, 0, 1, 3.52982704, 80, 24);
INSERT INTO public.ecdc_data VALUES (4444, 0, 0, 1.7856824, 81, 24);
INSERT INTO public.ecdc_data VALUES (4445, 0, 1, 10.75943692, 205, 24);
INSERT INTO public.ecdc_data VALUES (4446, 12, 203, 16.09648701, 82, 24);
INSERT INTO public.ecdc_data VALUES (4447, 0, 0, 0, 168, 24);
INSERT INTO public.ecdc_data VALUES (4448, 1, 107, 8.45649673, 24, 24);
INSERT INTO public.ecdc_data VALUES (4449, 0, 0, 13.79549455, 25, 24);
INSERT INTO public.ecdc_data VALUES (4450, 0, 11, 4.72677334, 83, 24);
INSERT INTO public.ecdc_data VALUES (4451, 1, 123, 10.38792323, 84, 24);
INSERT INTO public.ecdc_data VALUES (4452, 0, 0, 0, 169, 24);
INSERT INTO public.ecdc_data VALUES (4453, 2, 112, 24.97405376, 85, 24);
INSERT INTO public.ecdc_data VALUES (4454, 8, 25, 4.3385919, 170, 24);
INSERT INTO public.ecdc_data VALUES (4455, 0, 0, 0.84035732, 171, 24);
INSERT INTO public.ecdc_data VALUES (4456, 175, 7466, 6.13494662, 112, 24);
INSERT INTO public.ecdc_data VALUES (4457, 23, 687, 3.15269547, 113, 24);
INSERT INTO public.ecdc_data VALUES (4458, 63, 2258, 35.35716264, 114, 24);
INSERT INTO public.ecdc_data VALUES (4459, 4, 322, 5.88657446, 115, 24);
INSERT INTO public.ecdc_data VALUES (4460, 8, 38, 20.67598649, 172, 24);
INSERT INTO public.ecdc_data VALUES (4461, 0, 0, 4.72874724, 173, 24);
INSERT INTO public.ecdc_data VALUES (4462, 3, 79, 3.43922023, 116, 24);
INSERT INTO public.ecdc_data VALUES (4463, 70, 593, 14.30759602, 174, 24);
INSERT INTO public.ecdc_data VALUES (4464, 0, 0, 2.03508693, 86, 24);
INSERT INTO public.ecdc_data VALUES (4465, 16, 68, 0.41462932, 117, 24);
INSERT INTO public.ecdc_data VALUES (4466, 0, 0, 10.20446028, 175, 24);
INSERT INTO public.ecdc_data VALUES (4467, 0, 8, 1.40570441, 118, 24);
INSERT INTO public.ecdc_data VALUES (4468, 0, 356, 23.50762432, 119, 24);
INSERT INTO public.ecdc_data VALUES (4469, 3, 147, 1.63579058, 26, 24);
INSERT INTO public.ecdc_data VALUES (4470, 0, 4, 5.94938243, 176, 24);
INSERT INTO public.ecdc_data VALUES (4471, 10, 845, 288.49008468, 120, 24);
INSERT INTO public.ecdc_data VALUES (4472, 0, 68, 8.58810468, 121, 24);
INSERT INTO public.ecdc_data VALUES (4473, 0, 0, 0, 122, 24);
INSERT INTO public.ecdc_data VALUES (4474, 1, 4, 5.15633594, 177, 24);
INSERT INTO public.ecdc_data VALUES (4475, 0, 7, 4.11336012, 123, 24);
INSERT INTO public.ecdc_data VALUES (4476, 0, 0, 0.04705291, 27, 24);
INSERT INTO public.ecdc_data VALUES (4477, 0, 3, 1.0936988, 28, 24);
INSERT INTO public.ecdc_data VALUES (4478, 1, 6, 0.60494702, 29, 24);
INSERT INTO public.ecdc_data VALUES (4479, 0, 0, 0, 178, 24);
INSERT INTO public.ecdc_data VALUES (4480, 2, 9, 5.18935045, 179, 24);
INSERT INTO public.ecdc_data VALUES (4481, 0, 7, 15.14919514, 180, 24);
INSERT INTO public.ecdc_data VALUES (4482, 0, 44, 1.57957346, 30, 24);
INSERT INTO public.ecdc_data VALUES (4483, 0, 102, 0.75152658, 31, 24);
INSERT INTO public.ecdc_data VALUES (4484, 0, 10, 2.53522801, 124, 24);
INSERT INTO public.ecdc_data VALUES (4485, 0, 56, 100.00809858, 125, 24);
INSERT INTO public.ecdc_data VALUES (4486, 2, 78, 2.11109734, 32, 24);
INSERT INTO public.ecdc_data VALUES (4487, 0, 0, 17.01924187, 181, 24);
INSERT INTO public.ecdc_data VALUES (4488, 0, 0, 6.09850679, 33, 24);
INSERT INTO public.ecdc_data VALUES (4489, 0, 0, 0.15752125, 34, 24);
INSERT INTO public.ecdc_data VALUES (4490, 447, 4203, 37.84973527, 87, 24);
INSERT INTO public.ecdc_data VALUES (4491, 8, 188, 53.71905528, 182, 24);
INSERT INTO public.ecdc_data VALUES (4492, 0, 0, 3.02251776, 183, 24);
INSERT INTO public.ecdc_data VALUES (4493, 0, 18, 3.6587264, 126, 24);
INSERT INTO public.ecdc_data VALUES (4494, 0, 0, 0, 184, 24);
INSERT INTO public.ecdc_data VALUES (4495, 0, 0, 0, 88, 24);
INSERT INTO public.ecdc_data VALUES (4496, 0, 42, 2.84055343, 35, 24);
INSERT INTO public.ecdc_data VALUES (4497, 1, 6, 0.38859195, 36, 24);
INSERT INTO public.ecdc_data VALUES (4498, 0, 0, 0.04625739, 127, 24);
INSERT INTO public.ecdc_data VALUES (4499, 0, 0, 0.24052685, 37, 24);
INSERT INTO public.ecdc_data VALUES (4500, 1, 156, 2.74042368, 128, 24);
INSERT INTO public.ecdc_data VALUES (4501, 32, 182, 14.28640616, 185, 24);
INSERT INTO public.ecdc_data VALUES (4502, 0, 1, 0.35366056, 207, 24);
INSERT INTO public.ecdc_data VALUES (4503, 0, 0, 0.12544266, 208, 24);
INSERT INTO public.ecdc_data VALUES (4504, 0, 0, 11.21380588, 89, 24);
INSERT INTO public.ecdc_data VALUES (4505, 0, 0, 0.33889989, 38, 24);
INSERT INTO public.ecdc_data VALUES (4506, 5, 182, 1.86750235, 39, 24);
INSERT INTO public.ecdc_data VALUES (4507, 3, 38, 17.09087338, 186, 24);
INSERT INTO public.ecdc_data VALUES (4508, 0, 0, 5.24356353, 209, 24);
INSERT INTO public.ecdc_data VALUES (4509, 1, 18, 4.24157297, 187, 24);
INSERT INTO public.ecdc_data VALUES (4510, 2, 636, 93.82929661, 129, 24);
INSERT INTO public.ecdc_data VALUES (4511, 57, 2801, 12.37963695, 130, 24);
INSERT INTO public.ecdc_data VALUES (4512, 0, 12, 1.54574336, 131, 24);
INSERT INTO public.ecdc_data VALUES (4513, 5, 403, 70.95355168, 90, 24);
INSERT INTO public.ecdc_data VALUES (4514, 0, 0, 0, 210, 24);
INSERT INTO public.ecdc_data VALUES (4515, 0, 16, 2.07249797, 91, 24);
INSERT INTO public.ecdc_data VALUES (4516, 116, 5874, 188.1701958, 92, 24);
INSERT INTO public.ecdc_data VALUES (4517, 17, 539, 3.43332961, 132, 24);
INSERT INTO public.ecdc_data VALUES (4518, 10, 352, 13.72034286, 188, 24);
INSERT INTO public.ecdc_data VALUES (4519, 13, 304, 31.88792576, 189, 24);
INSERT INTO public.ecdc_data VALUES (4520, 2, 89, 36.10140301, 93, 24);
INSERT INTO public.ecdc_data VALUES (4521, 3, 1967, 799.48560612, 133, 24);
INSERT INTO public.ecdc_data VALUES (4522, 10, 197, 13.10363648, 190, 24);
INSERT INTO public.ecdc_data VALUES (4523, 174, 8371, 86.929482, 191, 24);
INSERT INTO public.ecdc_data VALUES (4524, 0, 3, 0.49101374, 40, 24);
INSERT INTO public.ecdc_data VALUES (4525, 0, 0, 0, 94, 24);
INSERT INTO public.ecdc_data VALUES (4526, 0, 0, 0, 95, 24);
INSERT INTO public.ecdc_data VALUES (4527, 0, 7, 7.23373089, 96, 24);
INSERT INTO public.ecdc_data VALUES (4528, 0, 3, 63.85510696, 192, 24);
INSERT INTO public.ecdc_data VALUES (4529, 0, 15, 103.6977791, 41, 24);
INSERT INTO public.ecdc_data VALUES (4530, 16, 1644, 97.22039718, 134, 24);
INSERT INTO public.ecdc_data VALUES (4531, 2, 95, 7.11201678, 42, 24);
INSERT INTO public.ecdc_data VALUES (4532, 1, 25, 13.2974064, 193, 24);
INSERT INTO public.ecdc_data VALUES (4533, 0, 0, 0, 43, 24);
INSERT INTO public.ecdc_data VALUES (4534, 0, 30, 5.17073207, 44, 24);
INSERT INTO public.ecdc_data VALUES (4535, 0, 373, 123.2008515, 135, 24);
INSERT INTO public.ecdc_data VALUES (4536, 0, 0, 0, 97, 24);
INSERT INTO public.ecdc_data VALUES (4537, 0, 5, 0.78892988, 194, 24);
INSERT INTO public.ecdc_data VALUES (4538, 1, 2, 0.38444756, 195, 24);
INSERT INTO public.ecdc_data VALUES (4539, 5, 97, 3.52265306, 45, 24);
INSERT INTO public.ecdc_data VALUES (4540, 25, 1466, 25.04172468, 46, 24);
INSERT INTO public.ecdc_data VALUES (4541, 0, 58, 0.74962927, 136, 24);
INSERT INTO public.ecdc_data VALUES (4542, 0, 0, 5.19792148, 47, 24);
INSERT INTO public.ecdc_data VALUES (4543, 2, 658, 17.8558265, 196, 24);
INSERT INTO public.ecdc_data VALUES (4544, 0, 61, 2.83721416, 137, 24);
INSERT INTO public.ecdc_data VALUES (4545, 11, 200, 5.56369984, 48, 24);
INSERT INTO public.ecdc_data VALUES (4546, 0, 0, 0.34401914, 98, 24);
INSERT INTO public.ecdc_data VALUES (4547, 40, 774, 74.8569063, 197, 24);
INSERT INTO public.ecdc_data VALUES (4548, 7, 35, 3.89723153, 198, 24);
INSERT INTO public.ecdc_data VALUES (4549, 0, 0, 0.42764754, 138, 24);
INSERT INTO public.ecdc_data VALUES (4550, 0, 0, 0.0042063, 139, 24);
INSERT INTO public.ecdc_data VALUES (4551, 1, 463, 28.49472638, 140, 24);
INSERT INTO public.ecdc_data VALUES (4552, 0, 11, 0.06750393, 141, 24);
INSERT INTO public.ecdc_data VALUES (4553, 0, 0, 0, 142, 24);
INSERT INTO public.ecdc_data VALUES (4554, 0, 27, 2.27656307, 49, 24);
INSERT INTO public.ecdc_data VALUES (4555, 0, 0, 0, 99, 24);
INSERT INTO public.ecdc_data VALUES (4556, 0, 17, 0.3078312, 50, 24);
INSERT INTO public.ecdc_data VALUES (4557, 30, 1182, 19.79174596, 199, 24);
INSERT INTO public.ecdc_data VALUES (4558, 0, 0, 0, 100, 24);
INSERT INTO public.ecdc_data VALUES (4559, 0, 36, 0.35464528, 51, 24);
INSERT INTO public.ecdc_data VALUES (4560, 11, 477, 12.58136318, 200, 24);
INSERT INTO public.ecdc_data VALUES (4561, 3, 563, 117.16871743, 143, 24);
INSERT INTO public.ecdc_data VALUES (4562, 343, 1835, 45.145242, 201, 24);
INSERT INTO public.ecdc_data VALUES (4563, 0, 0, 0, 52, 24);
INSERT INTO public.ecdc_data VALUES (4564, 1175, 21817, 92.34074625, 101, 24);
INSERT INTO public.ecdc_data VALUES (4565, 0, 0, 0, 102, 24);
INSERT INTO public.ecdc_data VALUES (4566, 0, 8, 2.51319354, 103, 24);
INSERT INTO public.ecdc_data VALUES (4567, 0, 111, 2.42255444, 144, 24);
INSERT INTO public.ecdc_data VALUES (4568, 0, 82, 3.05795073, 104, 24);
INSERT INTO public.ecdc_data VALUES (4569, 0, 0, 0.01555015, 145, 24);
INSERT INTO public.ecdc_data VALUES (4570, 0, 0, 0, 53, 24);
INSERT INTO public.ecdc_data VALUES (4571, 4, 23, 0.65496369, 146, 24);
INSERT INTO public.ecdc_data VALUES (4572, 0, 0, 2.25630834, 54, 24);
INSERT INTO public.ecdc_data VALUES (4573, 0, 17, 0.76474143, 55, 24);
INSERT INTO public.ecdc_data VALUES (4574, 3, 124, 2.92573237, 105, 25);
INSERT INTO public.ecdc_data VALUES (4575, 2, 14, 9.6072319, 147, 25);
INSERT INTO public.ecdc_data VALUES (4576, 5, 132, 3.66756793, 1, 25);
INSERT INTO public.ecdc_data VALUES (4577, 1, 0, 110.26950392, 148, 25);
INSERT INTO public.ecdc_data VALUES (4578, 0, 0, 0.02513723, 2, 25);
INSERT INTO public.ecdc_data VALUES (4579, 0, 0, 0, 56, 25);
INSERT INTO public.ecdc_data VALUES (4580, 0, 0, 1.02970705, 57, 25);
INSERT INTO public.ecdc_data VALUES (4581, 10, 124, 3.75608452, 58, 25);
INSERT INTO public.ecdc_data VALUES (4582, 0, 65, 27.75779247, 149, 25);
INSERT INTO public.ecdc_data VALUES (4583, 0, 0, 7.52516226, 59, 25);
INSERT INTO public.ecdc_data VALUES (4584, 4, 13, 1.27761554, 202, 25);
INSERT INTO public.ecdc_data VALUES (4585, 20, 58, 12.19130184, 150, 25);
INSERT INTO public.ecdc_data VALUES (4586, 0, 39, 5.17530397, 151, 25);
INSERT INTO public.ecdc_data VALUES (4587, 0, 0, 7.95920778, 60, 25);
INSERT INTO public.ecdc_data VALUES (4588, 0, 88, 78.17622127, 106, 25);
INSERT INTO public.ecdc_data VALUES (4589, 3, 549, 3.34261142, 107, 25);
INSERT INTO public.ecdc_data VALUES (4590, 0, 0, 2.43884594, 61, 25);
INSERT INTO public.ecdc_data VALUES (4591, 4, 919, 94.44153337, 152, 25);
INSERT INTO public.ecdc_data VALUES (4592, 110, 569, 121.26032876, 153, 25);
INSERT INTO public.ecdc_data VALUES (4593, 0, 0, 0, 62, 25);
INSERT INTO public.ecdc_data VALUES (4594, 0, 0, 0.24573874, 3, 25);
INSERT INTO public.ecdc_data VALUES (4595, 0, 0, 84.78914699, 63, 25);
INSERT INTO public.ecdc_data VALUES (4596, 0, 0, 0.26209091, 108, 25);
INSERT INTO public.ecdc_data VALUES (4597, 2, 39, 5.69785623, 64, 25);
INSERT INTO public.ecdc_data VALUES (4598, 0, 0, 7.69734057, 65, 25);
INSERT INTO public.ecdc_data VALUES (4599, 2, 24, 15.60134238, 154, 25);
INSERT INTO public.ecdc_data VALUES (4600, 0, 1, 0.43408373, 4, 25);
INSERT INTO public.ecdc_data VALUES (4601, 474, 5385, 22.09149787, 66, 25);
INSERT INTO public.ecdc_data VALUES (4602, 0, 0, 9.98901209, 67, 25);
INSERT INTO public.ecdc_data VALUES (4603, 0, 0, 0.46157823, 109, 25);
INSERT INTO public.ecdc_data VALUES (4604, 0, 36, 9.7999454, 155, 25);
INSERT INTO public.ecdc_data VALUES (4605, 0, 3, 0.54130174, 5, 25);
INSERT INTO public.ecdc_data VALUES (4606, 0, 0, 0.08672593, 6, 25);
INSERT INTO public.ecdc_data VALUES (4607, 0, 0, 0, 110, 25);
INSERT INTO public.ecdc_data VALUES (4608, 1, 185, 3.67516532, 7, 25);
INSERT INTO public.ecdc_data VALUES (4609, 152, 1526, 61.39631838, 68, 25);
INSERT INTO public.ecdc_data VALUES (4610, 0, 4, 18.54761281, 8, 25);
INSERT INTO public.ecdc_data VALUES (4611, 0, 0, 24.63509269, 69, 25);
INSERT INTO public.ecdc_data VALUES (4612, 0, 0, 0.8218868, 9, 25);
INSERT INTO public.ecdc_data VALUES (4613, 2, 6, 0.18185373, 10, 25);
INSERT INTO public.ecdc_data VALUES (4614, 9, 552, 34.0227316, 70, 25);
INSERT INTO public.ecdc_data VALUES (4615, 0, 2, 0.04101037, 111, 25);
INSERT INTO public.ecdc_data VALUES (4616, 16, 352, 5.89994609, 71, 25);
INSERT INTO public.ecdc_data VALUES (4617, 0, 0, 2.47188739, 12, 25);
INSERT INTO public.ecdc_data VALUES (4618, 0, 8, 1.72360473, 72, 25);
INSERT INTO public.ecdc_data VALUES (4619, 0, 19, 2.16592005, 13, 25);
INSERT INTO public.ecdc_data VALUES (4620, 4, 8, 8.41460501, 156, 25);
INSERT INTO public.ecdc_data VALUES (4621, 2, 48, 5.92050953, 73, 25);
INSERT INTO public.ecdc_data VALUES (4622, 0, 0, 1.22381794, 74, 25);
INSERT INTO public.ecdc_data VALUES (4623, 0, 15, 16.21191484, 157, 25);
INSERT INTO public.ecdc_data VALUES (4624, 4, 55, 12.79836241, 158, 25);
INSERT INTO public.ecdc_data VALUES (4625, 0, 20, 0.27307115, 14, 25);
INSERT INTO public.ecdc_data VALUES (4626, 7, 153, 40.30257242, 159, 25);
INSERT INTO public.ecdc_data VALUES (4627, 0, 37, 72.8257308, 15, 25);
INSERT INTO public.ecdc_data VALUES (4628, 0, 0, 0, 75, 25);
INSERT INTO public.ecdc_data VALUES (4629, 8, 281, 29.14621969, 76, 25);
INSERT INTO public.ecdc_data VALUES (4630, 208, 1018, 95.86352488, 77, 25);
INSERT INTO public.ecdc_data VALUES (4631, 22, 260, 2.68159338, 16, 25);
INSERT INTO public.ecdc_data VALUES (4632, 1, 22, 2.88213464, 78, 25);
INSERT INTO public.ecdc_data VALUES (4633, 0, 57, 20.20675791, 17, 25);
INSERT INTO public.ecdc_data VALUES (4634, 0, 0, 0.11437993, 18, 25);
INSERT INTO public.ecdc_data VALUES (4635, 0, 13, 21.6633203, 160, 25);
INSERT INTO public.ecdc_data VALUES (4636, 0, 6, 4.87748371, 19, 25);
INSERT INTO public.ecdc_data VALUES (4637, 0, 2, 0.03925812, 20, 25);
INSERT INTO public.ecdc_data VALUES (4638, 0, 0, 59.31198102, 79, 25);
INSERT INTO public.ecdc_data VALUES (4639, 0, 0, 6.16307496, 161, 25);
INSERT INTO public.ecdc_data VALUES (4640, 0, 0, 0.22473046, 203, 25);
INSERT INTO public.ecdc_data VALUES (4641, 6, 45, 28.61586044, 162, 25);
INSERT INTO public.ecdc_data VALUES (4642, 367, 1065, 34.7127283, 163, 25);
INSERT INTO public.ecdc_data VALUES (4643, 0, 0, 1.07417155, 204, 25);
INSERT INTO public.ecdc_data VALUES (4644, 0, 27, 7.5026075, 21, 25);
INSERT INTO public.ecdc_data VALUES (4645, 0, 0, 0.04259495, 22, 25);
INSERT INTO public.ecdc_data VALUES (4646, 0, 14, 5.27927357, 164, 25);
INSERT INTO public.ecdc_data VALUES (4647, 202, 1304, 36.20487224, 165, 25);
INSERT INTO public.ecdc_data VALUES (4648, 5, 121, 3.40260646, 23, 25);
INSERT INTO public.ecdc_data VALUES (4649, 0, 0, 35.60196998, 166, 25);
INSERT INTO public.ecdc_data VALUES (4650, 0, 0, 3.3940663, 167, 25);
INSERT INTO public.ecdc_data VALUES (4651, 0, 0, 0, 80, 25);
INSERT INTO public.ecdc_data VALUES (4652, 0, 0, 3.5713648, 81, 25);
INSERT INTO public.ecdc_data VALUES (4653, 0, 1, 5.97746496, 205, 25);
INSERT INTO public.ecdc_data VALUES (4654, 1, 27, 2.14430233, 82, 25);
INSERT INTO public.ecdc_data VALUES (4655, 0, 0, 37.22777192, 168, 25);
INSERT INTO public.ecdc_data VALUES (4656, 0, 77, 6.86698855, 24, 25);
INSERT INTO public.ecdc_data VALUES (4657, 0, 0, 1.71792951, 25, 25);
INSERT INTO public.ecdc_data VALUES (4658, 0, 1, 3.44926703, 83, 25);
INSERT INTO public.ecdc_data VALUES (4659, 0, 0, 0.31962841, 84, 25);
INSERT INTO public.ecdc_data VALUES (4660, 0, 0, 122.6993865, 169, 25);
INSERT INTO public.ecdc_data VALUES (4661, 5, 45, 3.27309908, 85, 25);
INSERT INTO public.ecdc_data VALUES (4662, 9, 78, 11.74694221, 170, 25);
INSERT INTO public.ecdc_data VALUES (4663, 0, 3, 21.008933, 171, 25);
INSERT INTO public.ecdc_data VALUES (4664, 73, 1897, 1.4559237, 112, 25);
INSERT INTO public.ecdc_data VALUES (4665, 8, 415, 1.72637052, 113, 25);
INSERT INTO public.ecdc_data VALUES (4666, 71, 1112, 21.35589026, 114, 25);
INSERT INTO public.ecdc_data VALUES (4667, 0, 0, 1.13712134, 115, 25);
INSERT INTO public.ecdc_data VALUES (4668, 57, 229, 171.23958044, 172, 25);
INSERT INTO public.ecdc_data VALUES (4669, 3, 1, 79.20651621, 173, 25);
INSERT INTO public.ecdc_data VALUES (4670, 6, 123, 41.58756754, 116, 25);
INSERT INTO public.ecdc_data VALUES (4671, 382, 2091, 64.64097659, 174, 25);
INSERT INTO public.ecdc_data VALUES (4672, 0, 17, 9.3613999, 86, 25);
INSERT INTO public.ecdc_data VALUES (4673, 13, 276, 4.53412143, 117, 25);
INSERT INTO public.ecdc_data VALUES (4674, 1, 1, 62.15443987, 175, 25);
INSERT INTO public.ecdc_data VALUES (4675, 1, 0, 0.51476499, 118, 25);
INSERT INTO public.ecdc_data VALUES (4676, 0, 203, 9.68119543, 119, 25);
INSERT INTO public.ecdc_data VALUES (4677, 0, 11, 0.30052897, 26, 25);
INSERT INTO public.ecdc_data VALUES (4678, 0, 12, 22.4074871, 176, 25);
INSERT INTO public.ecdc_data VALUES (4679, 1, 152, 49.55934964, 120, 25);
INSERT INTO public.ecdc_data VALUES (4680, 0, 21, 4.36419113, 121, 25);
INSERT INTO public.ecdc_data VALUES (4681, 0, 0, 0, 122, 25);
INSERT INTO public.ecdc_data VALUES (4682, 0, 18, 9.32307205, 177, 25);
INSERT INTO public.ecdc_data VALUES (4683, 0, 7, 1.10856514, 123, 25);
INSERT INTO public.ecdc_data VALUES (4684, 0, 8, 1.66080188, 28, 25);
INSERT INTO public.ecdc_data VALUES (4685, 0, 0, 0.38362494, 29, 25);
INSERT INTO public.ecdc_data VALUES (4686, 0, 0, 5.21131898, 178, 25);
INSERT INTO public.ecdc_data VALUES (4687, 3, -105, 9.80608292, 179, 25);
INSERT INTO public.ecdc_data VALUES (4688, 1, 12, 70.69624398, 180, 25);
INSERT INTO public.ecdc_data VALUES (4689, 0, 0, 0.07415838, 30, 25);
INSERT INTO public.ecdc_data VALUES (4690, 0, 0, 0.10736094, 31, 25);
INSERT INTO public.ecdc_data VALUES (4691, 1, 31, 2.70424321, 124, 25);
INSERT INTO public.ecdc_data VALUES (4692, 0, 31, 42.18797379, 125, 25);
INSERT INTO public.ecdc_data VALUES (4693, 1, 16, 1.42435483, 32, 25);
INSERT INTO public.ecdc_data VALUES (4694, 0, 5, 12.76443141, 181, 25);
INSERT INTO public.ecdc_data VALUES (4695, 0, 0, 0, 33, 25);
INSERT INTO public.ecdc_data VALUES (4696, 0, 0, 0.63008498, 34, 25);
INSERT INTO public.ecdc_data VALUES (4697, 135, 1797, 13.42263688, 87, 25);
INSERT INTO public.ecdc_data VALUES (4698, 5, 157, 42.14423121, 182, 25);
INSERT INTO public.ecdc_data VALUES (4699, 0, 0, 6.04503551, 183, 25);
INSERT INTO public.ecdc_data VALUES (4700, 0, 0, 0.24804925, 126, 25);
INSERT INTO public.ecdc_data VALUES (4701, 0, 0, 6.10753767, 184, 25);
INSERT INTO public.ecdc_data VALUES (4702, 0, 0, 0, 88, 25);
INSERT INTO public.ecdc_data VALUES (4703, 3, 132, 6.48172617, 35, 25);
INSERT INTO public.ecdc_data VALUES (4704, 0, 0, 0.1580713, 36, 25);
INSERT INTO public.ecdc_data VALUES (4705, 0, 4, 0.14062246, 127, 25);
INSERT INTO public.ecdc_data VALUES (4706, 0, 0, 0, 37, 25);
INSERT INTO public.ecdc_data VALUES (4707, 0, 2, 0.13282666, 128, 25);
INSERT INTO public.ecdc_data VALUES (4708, 48, 171, 63.63208124, 185, 25);
INSERT INTO public.ecdc_data VALUES (4709, 0, 0, 0, 207, 25);
INSERT INTO public.ecdc_data VALUES (4710, 0, 2, 1.00354125, 208, 25);
INSERT INTO public.ecdc_data VALUES (4711, 0, 0, 0.06111066, 89, 25);
INSERT INTO public.ecdc_data VALUES (4712, 2, 8, 0.5962922, 38, 25);
INSERT INTO public.ecdc_data VALUES (4713, 4, 195, 0.57672135, 39, 25);
INSERT INTO public.ecdc_data VALUES (4714, 6, 22, 24.69751561, 186, 25);
INSERT INTO public.ecdc_data VALUES (4715, 0, 0, 1.74785451, 209, 25);
INSERT INTO public.ecdc_data VALUES (4716, 2, 72, 19.49997485, 187, 25);
INSERT INTO public.ecdc_data VALUES (4717, 0, 82, 24.54275303, 129, 25);
INSERT INTO public.ecdc_data VALUES (4718, 26, 806, 4.10822939, 130, 25);
INSERT INTO public.ecdc_data VALUES (4719, 0, 0, 4.17551454, 131, 25);
INSERT INTO public.ecdc_data VALUES (4720, 9, 179, 61.84003542, 90, 25);
INSERT INTO public.ecdc_data VALUES (4721, 0, 0, 0.06836735, 210, 25);
INSERT INTO public.ecdc_data VALUES (4722, 0, 9, 1.10722494, 91, 25);
INSERT INTO public.ecdc_data VALUES (4723, 72, 2491, 64.2470107, 92, 25);
INSERT INTO public.ecdc_data VALUES (4724, 19, 181, 2.52967578, 132, 25);
INSERT INTO public.ecdc_data VALUES (4725, 34, 316, 13.20945101, 188, 25);
INSERT INTO public.ecdc_data VALUES (4726, 25, 180, 66.90917838, 189, 25);
INSERT INTO public.ecdc_data VALUES (4727, 2, 11, 16.26097189, 93, 25);
INSERT INTO public.ecdc_data VALUES (4728, 0, 677, 299.88654945, 133, 25);
INSERT INTO public.ecdc_data VALUES (4729, 19, 277, 24.39934197, 190, 25);
INSERT INTO public.ecdc_data VALUES (4730, 72, 6411, 49.67085586, 191, 25);
INSERT INTO public.ecdc_data VALUES (4731, 0, 5, 0.61772696, 40, 25);
INSERT INTO public.ecdc_data VALUES (4732, 0, 0, 1.8927206, 94, 25);
INSERT INTO public.ecdc_data VALUES (4733, 0, 0, 0, 95, 25);
INSERT INTO public.ecdc_data VALUES (4734, 0, 1, 3.61686544, 96, 25);
INSERT INTO public.ecdc_data VALUES (4735, 0, 15, 525.35337997, 192, 25);
INSERT INTO public.ecdc_data VALUES (4736, 0, 3, 3.25508724, 41, 25);
INSERT INTO public.ecdc_data VALUES (4737, 8, 1266, 42.91984637, 134, 25);
INSERT INTO public.ecdc_data VALUES (4738, 0, 88, 3.21544158, 42, 25);
INSERT INTO public.ecdc_data VALUES (4739, 6, 222, 57.89972205, 193, 25);
INSERT INTO public.ecdc_data VALUES (4740, 0, 0, 0, 43, 25);
INSERT INTO public.ecdc_data VALUES (4741, 0, 5, 1.19029228, 44, 25);
INSERT INTO public.ecdc_data VALUES (4742, 0, 528, 201.55597283, 135, 25);
INSERT INTO public.ecdc_data VALUES (4743, 0, 0, 54.25935974, 97, 25);
INSERT INTO public.ecdc_data VALUES (4744, 2, 3, 10.07261641, 194, 25);
INSERT INTO public.ecdc_data VALUES (4745, 3, 1, 9.03451762, 195, 25);
INSERT INTO public.ecdc_data VALUES (4746, 2, 48, 3.0305177, 45, 25);
INSERT INTO public.ecdc_data VALUES (4747, 3, 203, 4.40757579, 46, 25);
INSERT INTO public.ecdc_data VALUES (4748, 2, 9, 0.33186712, 136, 25);
INSERT INTO public.ecdc_data VALUES (4749, 0, 28, 0.2711959, 47, 25);
INSERT INTO public.ecdc_data VALUES (4750, 453, 847, 67.0067533, 196, 25);
INSERT INTO public.ecdc_data VALUES (4751, 0, 31, 1.81018953, 137, 25);
INSERT INTO public.ecdc_data VALUES (4752, 3, 43, 0.6680177, 48, 25);
INSERT INTO public.ecdc_data VALUES (4753, 0, 0, 0, 98, 25);
INSERT INTO public.ecdc_data VALUES (4754, 83, 742, 78.96240391, 197, 25);
INSERT INTO public.ecdc_data VALUES (4755, 27, 100, 40.11924826, 198, 25);
INSERT INTO public.ecdc_data VALUES (4756, 0, 0, 0.0820146, 138, 25);
INSERT INTO public.ecdc_data VALUES (4757, 0, 0, 0.14301409, 139, 25);
INSERT INTO public.ecdc_data VALUES (4758, 0, 0, 0.42369485, 141, 25);
INSERT INTO public.ecdc_data VALUES (4759, 0, 0, 1.39198218, 142, 25);
INSERT INTO public.ecdc_data VALUES (4760, 0, 0, 0.27219776, 49, 25);
INSERT INTO public.ecdc_data VALUES (4761, 0, 0, 0.21505854, 99, 25);
INSERT INTO public.ecdc_data VALUES (4762, 1, 8, 1.9495976, 50, 25);
INSERT INTO public.ecdc_data VALUES (4763, 92, 2392, 60.41421307, 199, 25);
INSERT INTO public.ecdc_data VALUES (4764, 0, 0, 5.23642457, 100, 25);
INSERT INTO public.ecdc_data VALUES (4765, 0, 0, 0.05421329, 51, 25);
INSERT INTO public.ecdc_data VALUES (4766, 19, 401, 13.72471018, 200, 25);
INSERT INTO public.ecdc_data VALUES (4767, 7, 541, 67.86737991, 143, 25);
INSERT INTO public.ecdc_data VALUES (4768, 969, 4706, 98.08226949, 201, 25);
INSERT INTO public.ecdc_data VALUES (4769, 0, 6, 0.43616583, 52, 25);
INSERT INTO public.ecdc_data VALUES (4770, 2110, 24132, 122.48859698, 101, 25);
INSERT INTO public.ecdc_data VALUES (4771, 0, 0, 7.64971935, 102, 25);
INSERT INTO public.ecdc_data VALUES (4772, 0, 5, 4.10199406, 103, 25);
INSERT INTO public.ecdc_data VALUES (4773, 0, 35, 2.34675486, 144, 25);
INSERT INTO public.ecdc_data VALUES (4774, 0, 0, 0.47692809, 104, 25);
INSERT INTO public.ecdc_data VALUES (4775, 0, 0, 0.00207335, 145, 25);
INSERT INTO public.ecdc_data VALUES (4776, 0, 0, 0, 53, 25);
INSERT INTO public.ecdc_data VALUES (4777, 0, 0, 0, 146, 25);
INSERT INTO public.ecdc_data VALUES (4778, 0, 6, 0.279939, 54, 25);
INSERT INTO public.ecdc_data VALUES (4779, 0, 0, 0.10242073, 55, 25);
INSERT INTO public.ecdc_data VALUES (4780, 1, 15, 0.25235427, 105, 26);
INSERT INTO public.ecdc_data VALUES (4781, 1, 11, 5.55472681, 147, 26);
INSERT INTO public.ecdc_data VALUES (4782, 3, 45, 0.9685724, 1, 26);
INSERT INTO public.ecdc_data VALUES (4783, 1, 41, 401.69604999, 148, 26);
INSERT INTO public.ecdc_data VALUES (4784, 0, 0, 0, 2, 26);
INSERT INTO public.ecdc_data VALUES (4785, 0, 0, 0, 56, 26);
INSERT INTO public.ecdc_data VALUES (4786, 0, 0, 0, 57, 26);
INSERT INTO public.ecdc_data VALUES (4787, 2, 55, 1.56317429, 58, 26);
INSERT INTO public.ecdc_data VALUES (4788, 0, 52, 13.65913296, 149, 26);
INSERT INTO public.ecdc_data VALUES (4789, 0, 0, 0, 59, 26);
INSERT INTO public.ecdc_data VALUES (4790, 1, 431, 14.12519045, 202, 26);
INSERT INTO public.ecdc_data VALUES (4791, 0, 594, 86.19701934, 150, 26);
INSERT INTO public.ecdc_data VALUES (4792, 1, 17, 1.62225874, 151, 26);
INSERT INTO public.ecdc_data VALUES (4793, 0, 2, 0, 60, 26);
INSERT INTO public.ecdc_data VALUES (4794, 0, 7, 15.96427901, 106, 26);
INSERT INTO public.ecdc_data VALUES (4795, 0, 0, 0.02759954, 107, 26);
INSERT INTO public.ecdc_data VALUES (4796, 0, 2, 0, 61, 26);
INSERT INTO public.ecdc_data VALUES (4797, 0, 0, 0.7722899, 152, 26);
INSERT INTO public.ecdc_data VALUES (4798, 141, 845, 93.16033608, 153, 26);
INSERT INTO public.ecdc_data VALUES (4799, 0, 0, 0, 62, 26);
INSERT INTO public.ecdc_data VALUES (4800, 0, 0, 0, 3, 26);
INSERT INTO public.ecdc_data VALUES (4801, 0, 5, 0, 63, 26);
INSERT INTO public.ecdc_data VALUES (4802, 0, 1, 0.39313636, 108, 26);
INSERT INTO public.ecdc_data VALUES (4803, 0, 7, 0.61668871, 64, 26);
INSERT INTO public.ecdc_data VALUES (4804, 1, 24, 7.69464265, 154, 26);
INSERT INTO public.ecdc_data VALUES (4805, 22, 487, 1.79247033, 66, 26);
INSERT INTO public.ecdc_data VALUES (4806, 0, 0, 0, 67, 26);
INSERT INTO public.ecdc_data VALUES (4807, 1, 5, 18.46312913, 109, 26);
INSERT INTO public.ecdc_data VALUES (4808, 4, 38, 4.14283406, 155, 26);
INSERT INTO public.ecdc_data VALUES (4809, 6, 34, 0.87100371, 5, 26);
INSERT INTO public.ecdc_data VALUES (4810, 0, 1, 0.58229312, 110, 26);
INSERT INTO public.ecdc_data VALUES (4811, 1, 11, 0.37099461, 7, 26);
INSERT INTO public.ecdc_data VALUES (4812, 7, 711, 13.74460661, 68, 26);
INSERT INTO public.ecdc_data VALUES (4813, 0, 0, 0, 8, 26);
INSERT INTO public.ecdc_data VALUES (4814, 0, 0, 0, 69, 26);
INSERT INTO public.ecdc_data VALUES (4815, 0, 1, 0.12644412, 9, 26);
INSERT INTO public.ecdc_data VALUES (4816, 0, 0, 0, 10, 26);
INSERT INTO public.ecdc_data VALUES (4817, 1, 299, 9.75093176, 70, 26);
INSERT INTO public.ecdc_data VALUES (4818, 5, 113, 0.07420924, 111, 26);
INSERT INTO public.ecdc_data VALUES (4819, 0, 69, 1.14025894, 71, 26);
INSERT INTO public.ecdc_data VALUES (4820, 0, 15, 0.35312677, 12, 26);
INSERT INTO public.ecdc_data VALUES (4821, 0, 32, 5.30949502, 72, 26);
INSERT INTO public.ecdc_data VALUES (4822, 0, 39, 0.52884224, 13, 26);
INSERT INTO public.ecdc_data VALUES (4823, 2, 71, 15.21007319, 156, 26);
INSERT INTO public.ecdc_data VALUES (4824, 1, 39, 1.02351581, 73, 26);
INSERT INTO public.ecdc_data VALUES (4825, 0, 0, 0, 74, 26);
INSERT INTO public.ecdc_data VALUES (4826, 0, 17, 18.03860947, 157, 26);
INSERT INTO public.ecdc_data VALUES (4827, 2, 384, 22.99573701, 158, 26);
INSERT INTO public.ecdc_data VALUES (4828, 2, 0, 0.06452314, 14, 26);
INSERT INTO public.ecdc_data VALUES (4829, 13, 155, 23.66484381, 159, 26);
INSERT INTO public.ecdc_data VALUES (4830, 0, 2, 0, 15, 26);
INSERT INTO public.ecdc_data VALUES (4831, 0, 0, 0, 75, 26);
INSERT INTO public.ecdc_data VALUES (4832, 8, 138, 6.59281902, 76, 26);
INSERT INTO public.ecdc_data VALUES (4833, 7, 208, 10.40080393, 77, 26);
INSERT INTO public.ecdc_data VALUES (4834, 6, 41, 0.44128747, 16, 26);
INSERT INTO public.ecdc_data VALUES (4835, 0, 6, 0, 78, 26);
INSERT INTO public.ecdc_data VALUES (4836, 0, 0, 0.8849675, 17, 26);
INSERT INTO public.ecdc_data VALUES (4837, 0, 0, 0, 18, 26);
INSERT INTO public.ecdc_data VALUES (4838, 0, 65, 39.62802494, 160, 26);
INSERT INTO public.ecdc_data VALUES (4839, 0, 0, 0.69678339, 19, 26);
INSERT INTO public.ecdc_data VALUES (4840, 0, 0, 0.01338345, 20, 26);
INSERT INTO public.ecdc_data VALUES (4841, 0, 11, 312.26246482, 161, 26);
INSERT INTO public.ecdc_data VALUES (4842, 0, 0, 0, 203, 26);
INSERT INTO public.ecdc_data VALUES (4843, 2, 193, 18.26775638, 162, 26);
INSERT INTO public.ecdc_data VALUES (4844, 319, 4611, 49.35767351, 163, 26);
INSERT INTO public.ecdc_data VALUES (4845, 0, 4, 0, 204, 26);
INSERT INTO public.ecdc_data VALUES (4846, 0, 0, 0.2761696, 21, 26);
INSERT INTO public.ecdc_data VALUES (4847, 0, 0, 0, 22, 26);
INSERT INTO public.ecdc_data VALUES (4848, 0, 4, 1.37611396, 164, 26);
INSERT INTO public.ecdc_data VALUES (4849, 64, 3965, 58.72375591, 165, 26);
INSERT INTO public.ecdc_data VALUES (4850, 2, 4, 0.4569684, 23, 26);
INSERT INTO public.ecdc_data VALUES (4851, 0, 1, 0, 166, 26);
INSERT INTO public.ecdc_data VALUES (4852, 4, 95, 7.76719018, 167, 26);
INSERT INTO public.ecdc_data VALUES (4853, 0, 1, 0, 80, 26);
INSERT INTO public.ecdc_data VALUES (4854, 0, 2, 0, 81, 26);
INSERT INTO public.ecdc_data VALUES (4855, 0, 4, 0, 205, 26);
INSERT INTO public.ecdc_data VALUES (4856, 0, 2, 0.18769755, 82, 26);
INSERT INTO public.ecdc_data VALUES (4857, 0, 3, 0, 168, 26);
INSERT INTO public.ecdc_data VALUES (4858, 0, 3, 0.05481063, 24, 26);
INSERT INTO public.ecdc_data VALUES (4859, 0, 0, 0, 25, 26);
INSERT INTO public.ecdc_data VALUES (4860, 0, 3, 0.89425442, 83, 26);
INSERT INTO public.ecdc_data VALUES (4861, 0, 0, 0, 84, 26);
INSERT INTO public.ecdc_data VALUES (4862, 0, 1, 613.49693252, 169, 26);
INSERT INTO public.ecdc_data VALUES (4863, 1, 15, 1.09787336, 85, 26);
INSERT INTO public.ecdc_data VALUES (4864, 2, 65, 3.85766308, 170, 26);
INSERT INTO public.ecdc_data VALUES (4865, 0, 73, 231.09826298, 171, 26);
INSERT INTO public.ecdc_data VALUES (4866, 6, 106, 0.06506063, 112, 26);
INSERT INTO public.ecdc_data VALUES (4867, 15, 109, 0.39131558, 113, 26);
INSERT INTO public.ecdc_data VALUES (4868, 139, 3076, 27.35247276, 114, 26);
INSERT INTO public.ecdc_data VALUES (4869, 2, 48, 1.07098006, 115, 26);
INSERT INTO public.ecdc_data VALUES (4870, 14, 294, 46.61272695, 172, 26);
INSERT INTO public.ecdc_data VALUES (4871, 0, 3, 0, 173, 26);
INSERT INTO public.ecdc_data VALUES (4872, 2, 584, 40.39029633, 116, 26);
INSERT INTO public.ecdc_data VALUES (4873, 887, 5974, 118.15032539, 174, 26);
INSERT INTO public.ecdc_data VALUES (4874, 0, 6, 0.81403477, 86, 26);
INSERT INTO public.ecdc_data VALUES (4875, 3, 194, 0.7196893, 117, 26);
INSERT INTO public.ecdc_data VALUES (4876, 0, 9, 0, 175, 26);
INSERT INTO public.ecdc_data VALUES (4877, 1, 23, 2.31644247, 118, 26);
INSERT INTO public.ecdc_data VALUES (4878, 0, 36, 1.2020638, 119, 26);
INSERT INTO public.ecdc_data VALUES (4879, 0, 7, 0.07037704, 26, 26);
INSERT INTO public.ecdc_data VALUES (4880, 0, 3, 5.00415345, 176, 26);
INSERT INTO public.ecdc_data VALUES (4881, 0, 10, 3.11380086, 120, 26);
INSERT INTO public.ecdc_data VALUES (4882, 0, 26, 0, 121, 26);
INSERT INTO public.ecdc_data VALUES (4883, 0, 0, 0, 122, 26);
INSERT INTO public.ecdc_data VALUES (4884, 0, 25, 14.53149219, 177, 26);
INSERT INTO public.ecdc_data VALUES (4885, 1, 21, 4.65305631, 123, 26);
INSERT INTO public.ecdc_data VALUES (4886, 0, 0, 0, 28, 26);
INSERT INTO public.ecdc_data VALUES (4887, 0, 0, 0, 29, 26);
INSERT INTO public.ecdc_data VALUES (4888, 0, 1, 148.52259107, 178, 26);
INSERT INTO public.ecdc_data VALUES (4889, 2, 36, 13.77862016, 179, 26);
INSERT INTO public.ecdc_data VALUES (4890, 3, 226, 292.06996648, 180, 26);
INSERT INTO public.ecdc_data VALUES (4891, 0, 4, 0, 30, 26);
INSERT INTO public.ecdc_data VALUES (4892, 1, 159, 6.51647496, 124, 26);
INSERT INTO public.ecdc_data VALUES (4893, 0, 2, 1.31837418, 125, 26);
INSERT INTO public.ecdc_data VALUES (4894, 0, 5, 0, 32, 26);
INSERT INTO public.ecdc_data VALUES (4895, 0, 2, 26.74452294, 181, 26);
INSERT INTO public.ecdc_data VALUES (4896, 0, 2, 0.08838416, 33, 26);
INSERT INTO public.ecdc_data VALUES (4897, 0, 8, 0, 34, 26);
INSERT INTO public.ecdc_data VALUES (4898, 4, 171, 1.38349417, 87, 26);
INSERT INTO public.ecdc_data VALUES (4899, 0, 32, 5.21856384, 182, 26);
INSERT INTO public.ecdc_data VALUES (4900, 0, 1, 78.58546169, 183, 26);
INSERT INTO public.ecdc_data VALUES (4901, 0, 1, 0.37207387, 126, 26);
INSERT INTO public.ecdc_data VALUES (4902, 0, 9, 0, 184, 26);
INSERT INTO public.ecdc_data VALUES (4903, 0, 0, 0, 88, 26);
INSERT INTO public.ecdc_data VALUES (4904, 0, 13, 0.93222796, 35, 26);
INSERT INTO public.ecdc_data VALUES (4905, 0, 1, 0, 36, 26);
INSERT INTO public.ecdc_data VALUES (4906, 0, 3, 0, 127, 26);
INSERT INTO public.ecdc_data VALUES (4907, 0, 0, 0.24052685, 37, 26);
INSERT INTO public.ecdc_data VALUES (4908, 0, 2, 0.01398175, 128, 26);
INSERT INTO public.ecdc_data VALUES (4909, 93, 1159, 50.93691108, 185, 26);
INSERT INTO public.ecdc_data VALUES (4910, 0, 0, 0, 207, 26);
INSERT INTO public.ecdc_data VALUES (4911, 1, 60, 9.84724848, 208, 26);
INSERT INTO public.ecdc_data VALUES (4912, 0, 2, 0, 89, 26);
INSERT INTO public.ecdc_data VALUES (4913, 0, 0, 0, 38, 26);
INSERT INTO public.ecdc_data VALUES (4914, 0, 16, 0.04727224, 39, 26);
INSERT INTO public.ecdc_data VALUES (4915, 1, 22, 10.97667361, 186, 26);
INSERT INTO public.ecdc_data VALUES (4916, 4, 264, 55.14044862, 187, 26);
INSERT INTO public.ecdc_data VALUES (4917, 0, 21, 2.6532706, 129, 26);
INSERT INTO public.ecdc_data VALUES (4918, 2, 211, 0.63629764, 130, 26);
INSERT INTO public.ecdc_data VALUES (4919, 0, 6, 1.18440076, 131, 26);
INSERT INTO public.ecdc_data VALUES (4920, 3, 115, 20.20516009, 90, 26);
INSERT INTO public.ecdc_data VALUES (4921, 0, 0, 0, 210, 26);
INSERT INTO public.ecdc_data VALUES (4922, 0, 3, 0.73814996, 91, 26);
INSERT INTO public.ecdc_data VALUES (4923, 5, 36, 1.93168587, 92, 26);
INSERT INTO public.ecdc_data VALUES (4924, 14, 272, 0.89162978, 132, 26);
INSERT INTO public.ecdc_data VALUES (4925, 2, 249, 4.03973243, 188, 26);
INSERT INTO public.ecdc_data VALUES (4926, 24, 902, 48.6638745, 189, 26);
INSERT INTO public.ecdc_data VALUES (4927, 1, 36, 0, 93, 26);
INSERT INTO public.ecdc_data VALUES (4928, 1, 28, 8.93339185, 133, 26);
INSERT INTO public.ecdc_data VALUES (4929, 5, 160, 6.89692187, 190, 26);
INSERT INTO public.ecdc_data VALUES (4930, 1, 228, 0.82606522, 191, 26);
INSERT INTO public.ecdc_data VALUES (4931, 0, 6, 0.46725501, 40, 26);
INSERT INTO public.ecdc_data VALUES (4932, 0, 0, 0, 94, 26);
INSERT INTO public.ecdc_data VALUES (4933, 0, 1, 1.09412183, 95, 26);
INSERT INTO public.ecdc_data VALUES (4934, 0, 0, 0, 96, 26);
INSERT INTO public.ecdc_data VALUES (4935, 1, 1, 383.13064174, 192, 26);
INSERT INTO public.ecdc_data VALUES (4936, 1, 99, 3.25955048, 134, 26);
INSERT INTO public.ecdc_data VALUES (4937, 0, 11, 0.66886094, 42, 26);
INSERT INTO public.ecdc_data VALUES (4938, 4, 202, 8.80271072, 193, 26);
INSERT INTO public.ecdc_data VALUES (4939, 0, 0, 5.11556051, 43, 26);
INSERT INTO public.ecdc_data VALUES (4940, 1, 71, 10.14757398, 135, 26);
INSERT INTO public.ecdc_data VALUES (4941, 0, 0, 0, 97, 26);
INSERT INTO public.ecdc_data VALUES (4942, 0, 0, 4.60514885, 194, 26);
INSERT INTO public.ecdc_data VALUES (4943, 0, 59, 24.50853185, 195, 26);
INSERT INTO public.ecdc_data VALUES (4944, 0, 0, 0, 45, 26);
INSERT INTO public.ecdc_data VALUES (4945, 0, 17, 1.98605604, 46, 26);
INSERT INTO public.ecdc_data VALUES (4946, 8, 105, 2.77401873, 136, 26);
INSERT INTO public.ecdc_data VALUES (4947, 832, 6424, 171.55740048, 196, 26);
INSERT INTO public.ecdc_data VALUES (4948, 1, 9, 0.48771946, 137, 26);
INSERT INTO public.ecdc_data VALUES (4949, 0, 2, 0.0093429, 48, 26);
INSERT INTO public.ecdc_data VALUES (4950, 0, 0, 0, 98, 26);
INSERT INTO public.ecdc_data VALUES (4951, 35, 300, 23.86076107, 197, 26);
INSERT INTO public.ecdc_data VALUES (4952, 38, 1048, 138.01817233, 198, 26);
INSERT INTO public.ecdc_data VALUES (4953, 0, 0, 0, 138, 26);
INSERT INTO public.ecdc_data VALUES (4954, 0, 16, 0.94221049, 139, 26);
INSERT INTO public.ecdc_data VALUES (4955, 1, 109, 1.67036308, 141, 26);
INSERT INTO public.ecdc_data VALUES (4956, 0, 0, 0, 142, 26);
INSERT INTO public.ecdc_data VALUES (4957, 0, 3, 0.33406088, 49, 26);
INSERT INTO public.ecdc_data VALUES (4958, 0, 8, 5.16140502, 99, 26);
INSERT INTO public.ecdc_data VALUES (4959, 0, 0, 1.80423287, 50, 26);
INSERT INTO public.ecdc_data VALUES (4960, 16, 1704, 9.02396304, 199, 26);
INSERT INTO public.ecdc_data VALUES (4961, 0, 3, 0, 100, 26);
INSERT INTO public.ecdc_data VALUES (4962, 0, 16, 0, 51, 26);
INSERT INTO public.ecdc_data VALUES (4963, 3, 93, 0.70010115, 200, 26);
INSERT INTO public.ecdc_data VALUES (4964, 0, 63, 3.90971786, 143, 26);
INSERT INTO public.ecdc_data VALUES (4965, 292, 3197, 32.64507545, 201, 26);
INSERT INTO public.ecdc_data VALUES (4966, 1, 0, 0, 52, 26);
INSERT INTO public.ecdc_data VALUES (4967, 484, 19979, 36.98783848, 101, 26);
INSERT INTO public.ecdc_data VALUES (4968, 0, 3, 0, 102, 26);
INSERT INTO public.ecdc_data VALUES (4969, 0, 21, 7.30848237, 103, 26);
INSERT INTO public.ecdc_data VALUES (4970, 1, 29, 0.40325374, 144, 26);
INSERT INTO public.ecdc_data VALUES (4971, 0, 0, 0.38224384, 104, 26);
INSERT INTO public.ecdc_data VALUES (4972, 0, 17, 0.13995133, 145, 26);
INSERT INTO public.ecdc_data VALUES (4973, 0, 12, 0, 54, 26);
INSERT INTO public.ecdc_data VALUES (4974, 0, 2, 0, 55, 26);
INSERT INTO public.ecdc_data VALUES (4975, 0, 0, 0.00262869, 105, 27);
INSERT INTO public.ecdc_data VALUES (4976, 0, 0, 0.00232272, 1, 27);
INSERT INTO public.ecdc_data VALUES (4977, 0, 0, 0, 149, 27);
INSERT INTO public.ecdc_data VALUES (4978, 0, 2, 0.0396775, 202, 27);
INSERT INTO public.ecdc_data VALUES (4979, 0, 2, 0.0790177, 150, 27);
INSERT INTO public.ecdc_data VALUES (4980, 0, 1, 0.00995251, 151, 27);
INSERT INTO public.ecdc_data VALUES (4981, 0, 5, 2.31542978, 106, 27);
INSERT INTO public.ecdc_data VALUES (4982, 0, 0, 0.01057931, 152, 27);
INSERT INTO public.ecdc_data VALUES (4983, 0, 0, 0, 153, 27);
INSERT INTO public.ecdc_data VALUES (4984, 0, 0, 0.00047382, 66, 27);
INSERT INTO public.ecdc_data VALUES (4985, 0, 0, 0, 110, 27);
INSERT INTO public.ecdc_data VALUES (4986, 0, 2, 0.02138406, 68, 27);
INSERT INTO public.ecdc_data VALUES (4987, 2, 0, 0, 214, 27);
INSERT INTO public.ecdc_data VALUES (4988, 47, 428, 0.89246377, 111, 27);
INSERT INTO public.ecdc_data VALUES (4989, 0, 2, 0.12266188, 156, 27);
INSERT INTO public.ecdc_data VALUES (4990, 0, 0, 0, 158, 27);
INSERT INTO public.ecdc_data VALUES (4991, 0, 1, 0.03444664, 159, 27);
INSERT INTO public.ecdc_data VALUES (4992, 0, 0, 0, 76, 27);
INSERT INTO public.ecdc_data VALUES (4993, 0, 0, 0, 77, 27);
INSERT INTO public.ecdc_data VALUES (4994, 0, 0, 0, 16, 27);
INSERT INTO public.ecdc_data VALUES (4995, 0, 0, 0.07548195, 160, 27);
INSERT INTO public.ecdc_data VALUES (4996, 0, 1, 0.03624555, 162, 27);
INSERT INTO public.ecdc_data VALUES (4997, 0, 19, 0.06864352, 163, 27);
INSERT INTO public.ecdc_data VALUES (4998, 0, 1, 0.05004051, 164, 27);
INSERT INTO public.ecdc_data VALUES (4999, 0, 10, 0.0505907, 165, 27);
INSERT INTO public.ecdc_data VALUES (5000, 0, 1, 0.03729743, 167, 27);
INSERT INTO public.ecdc_data VALUES (5001, 0, 1, 0.28011911, 171, 27);
INSERT INTO public.ecdc_data VALUES (5002, 0, 0, 0, 112, 27);
INSERT INTO public.ecdc_data VALUES (5003, 0, 0, 0, 113, 27);
INSERT INTO public.ecdc_data VALUES (5004, 8, 143, 0.46795535, 114, 27);
INSERT INTO public.ecdc_data VALUES (5005, 0, 1, 0.01780727, 115, 27);
INSERT INTO public.ecdc_data VALUES (5006, 0, 0, 0, 172, 27);
INSERT INTO public.ecdc_data VALUES (5007, 0, 4, 0.08216567, 116, 27);
INSERT INTO public.ecdc_data VALUES (5008, 4, 238, 1.46621381, 174, 27);
INSERT INTO public.ecdc_data VALUES (5009, 0, 20, 0.15134759, 117, 27);
INSERT INTO public.ecdc_data VALUES (5010, 0, 2, 1.06962625, 120, 27);
INSERT INTO public.ecdc_data VALUES (5011, 0, 0, 0.04375915, 123, 27);
INSERT INTO public.ecdc_data VALUES (5012, 0, 0, 0.03578862, 179, 27);
INSERT INTO public.ecdc_data VALUES (5013, 0, 0, 0, 180, 27);
INSERT INTO public.ecdc_data VALUES (5014, 0, 2, 0.01251964, 124, 27);
INSERT INTO public.ecdc_data VALUES (5015, 0, 3, 0.00862234, 87, 27);
INSERT INTO public.ecdc_data VALUES (5016, 0, 1, 3.02251776, 183, 27);
INSERT INTO public.ecdc_data VALUES (5017, 0, 0, 0, 128, 27);
INSERT INTO public.ecdc_data VALUES (5018, 0, 1, 0.01157263, 185, 27);
INSERT INTO public.ecdc_data VALUES (5019, 0, 0, 0.02090711, 208, 27);
INSERT INTO public.ecdc_data VALUES (5020, 0, 0, 0.0004976, 39, 27);
INSERT INTO public.ecdc_data VALUES (5021, 0, 0, 0.04814331, 186, 27);
INSERT INTO public.ecdc_data VALUES (5022, 0, 2, 0.11260813, 187, 27);
INSERT INTO public.ecdc_data VALUES (5023, 0, 0, 0.12060321, 129, 27);
INSERT INTO public.ecdc_data VALUES (5024, 0, 0, 0.00092351, 130, 27);
INSERT INTO public.ecdc_data VALUES (5025, 0, 0, 0, 132, 27);
INSERT INTO public.ecdc_data VALUES (5026, 0, 0, 0, 133, 27);
INSERT INTO public.ecdc_data VALUES (5027, 0, 2, 0.0154524, 190, 27);
INSERT INTO public.ecdc_data VALUES (5028, 0, 0, 0, 191, 27);
INSERT INTO public.ecdc_data VALUES (5029, 0, 0, 2.90250486, 192, 27);
INSERT INTO public.ecdc_data VALUES (5030, 0, 2, 0.53408284, 135, 27);
INSERT INTO public.ecdc_data VALUES (5031, 3, 909, 5.6671192, 136, 27);
INSERT INTO public.ecdc_data VALUES (5032, 0, 19, 0.11078666, 196, 27);
INSERT INTO public.ecdc_data VALUES (5033, 0, 0, 0, 137, 27);
INSERT INTO public.ecdc_data VALUES (5034, 0, 8, 0.01954999, 197, 27);
INSERT INTO public.ecdc_data VALUES (5035, 0, 4, 0.14044078, 198, 27);
INSERT INTO public.ecdc_data VALUES (5036, 0, 5, 0.08833223, 139, 27);
INSERT INTO public.ecdc_data VALUES (5037, 0, 2, 0.01149003, 141, 27);
INSERT INTO public.ecdc_data VALUES (5038, 0, 2, 0.13305323, 143, 27);
INSERT INTO public.ecdc_data VALUES (5039, 0, 8, 0.0300088, 201, 27);
INSERT INTO public.ecdc_data VALUES (5040, 0, 6, 0.01549846, 101, 27);
INSERT INTO public.ecdc_data VALUES (5041, 0, 0, 0, 145, 27);
INSERT INTO public.ecdc_data VALUES (5042, 0, 0, 0, 105, 28);
INSERT INTO public.ecdc_data VALUES (5043, 0, 0, 0, 1, 28);
INSERT INTO public.ecdc_data VALUES (5044, 0, 0, 0, 149, 28);
INSERT INTO public.ecdc_data VALUES (5045, 0, 0, 0.015871, 202, 28);
INSERT INTO public.ecdc_data VALUES (5046, 0, 0, 0, 150, 28);
INSERT INTO public.ecdc_data VALUES (5047, 0, 0, 0, 151, 28);
INSERT INTO public.ecdc_data VALUES (5048, 0, 0, 0, 106, 28);
INSERT INTO public.ecdc_data VALUES (5049, 0, 0, 0, 152, 28);
INSERT INTO public.ecdc_data VALUES (5050, 0, 0, 0, 153, 28);
INSERT INTO public.ecdc_data VALUES (5051, 0, 0, 0, 66, 28);
INSERT INTO public.ecdc_data VALUES (5052, 0, 0, 0.00606555, 110, 28);
INSERT INTO public.ecdc_data VALUES (5053, 0, 1, 0.00801902, 68, 28);
INSERT INTO public.ecdc_data VALUES (5054, 0, 0, 0, 214, 28);
INSERT INTO public.ecdc_data VALUES (5055, 26, 1466, 0.41393971, 111, 28);
INSERT INTO public.ecdc_data VALUES (5056, 0, 0, 0, 156, 28);
INSERT INTO public.ecdc_data VALUES (5057, 0, 0, 0, 158, 28);
INSERT INTO public.ecdc_data VALUES (5058, 0, 0, 0, 159, 28);
INSERT INTO public.ecdc_data VALUES (5059, 0, 0, 0, 76, 28);
INSERT INTO public.ecdc_data VALUES (5060, 0, 0, 0, 77, 28);
INSERT INTO public.ecdc_data VALUES (5061, 0, 0, 0, 16, 28);
INSERT INTO public.ecdc_data VALUES (5062, 0, 0, 0, 160, 28);
INSERT INTO public.ecdc_data VALUES (5063, 0, 0, 0, 162, 28);
INSERT INTO public.ecdc_data VALUES (5064, 0, 1, 0.005969, 163, 28);
INSERT INTO public.ecdc_data VALUES (5065, 0, 0, 0, 164, 28);
INSERT INTO public.ecdc_data VALUES (5066, 0, 3, 0.00481816, 165, 28);
INSERT INTO public.ecdc_data VALUES (5067, 0, 0, 0, 167, 28);
INSERT INTO public.ecdc_data VALUES (5068, 0, 0, 0, 171, 28);
INSERT INTO public.ecdc_data VALUES (5069, 0, 0, 0, 112, 28);
INSERT INTO public.ecdc_data VALUES (5070, 0, 0, 0, 113, 28);
INSERT INTO public.ecdc_data VALUES (5071, 0, 0, 0, 114, 28);
INSERT INTO public.ecdc_data VALUES (5072, 0, 0, 0, 115, 28);
INSERT INTO public.ecdc_data VALUES (5073, 0, 0, 0, 172, 28);
INSERT INTO public.ecdc_data VALUES (5074, 0, 0, 0, 116, 28);
INSERT INTO public.ecdc_data VALUES (5075, 0, 0, 0, 174, 28);
INSERT INTO public.ecdc_data VALUES (5076, 0, 3, 0.00472961, 117, 28);
INSERT INTO public.ecdc_data VALUES (5077, 0, 0, 0, 120, 28);
INSERT INTO public.ecdc_data VALUES (5078, 0, 0, 0, 123, 28);
INSERT INTO public.ecdc_data VALUES (5079, 0, 0, 0, 179, 28);
INSERT INTO public.ecdc_data VALUES (5080, 0, 0, 0, 180, 28);
INSERT INTO public.ecdc_data VALUES (5081, 0, 3, 0.02190938, 124, 28);
INSERT INTO public.ecdc_data VALUES (5082, 0, 0, 0, 87, 28);
INSERT INTO public.ecdc_data VALUES (5083, 0, 0, 0, 183, 28);
INSERT INTO public.ecdc_data VALUES (5084, 0, 0, 0.00349544, 128, 28);
INSERT INTO public.ecdc_data VALUES (5085, 0, 0, 0, 185, 28);
INSERT INTO public.ecdc_data VALUES (5086, 0, 0, 0, 208, 28);
INSERT INTO public.ecdc_data VALUES (5087, 0, 0, 0, 39, 28);
INSERT INTO public.ecdc_data VALUES (5088, 0, 0, 0, 186, 28);
INSERT INTO public.ecdc_data VALUES (5089, 0, 0, 0, 187, 28);
INSERT INTO public.ecdc_data VALUES (5090, 0, 0, 0, 129, 28);
INSERT INTO public.ecdc_data VALUES (5091, 0, 0, 0, 130, 28);
INSERT INTO public.ecdc_data VALUES (5092, 0, 0, 0, 132, 28);
INSERT INTO public.ecdc_data VALUES (5093, 0, 0, 0, 133, 28);
INSERT INTO public.ecdc_data VALUES (5094, 0, 0, 0, 190, 28);
INSERT INTO public.ecdc_data VALUES (5095, 0, 0, 0, 191, 28);
INSERT INTO public.ecdc_data VALUES (5096, 0, 0, 0, 192, 28);
INSERT INTO public.ecdc_data VALUES (5097, 0, 2, 0.12059935, 135, 28);
INSERT INTO public.ecdc_data VALUES (5098, 0, 0, 0.00780864, 136, 28);
INSERT INTO public.ecdc_data VALUES (5099, 0, 0, 0, 196, 28);
INSERT INTO public.ecdc_data VALUES (5100, 0, 0, 0.00468961, 137, 28);
INSERT INTO public.ecdc_data VALUES (5101, 0, 0, 0, 197, 28);
INSERT INTO public.ecdc_data VALUES (5102, 0, 0, 0, 198, 28);
INSERT INTO public.ecdc_data VALUES (5103, 0, 1, 0.03365037, 139, 28);
INSERT INTO public.ecdc_data VALUES (5104, 0, 0, 0.0186713, 141, 28);
INSERT INTO public.ecdc_data VALUES (5105, 0, 0, 0.01023486, 143, 28);
INSERT INTO public.ecdc_data VALUES (5106, 0, 0, 0, 201, 28);
INSERT INTO public.ecdc_data VALUES (5107, 0, 0, 0.00151946, 101, 28);
INSERT INTO public.ecdc_data VALUES (5108, 0, 0, 0.00207335, 145, 28);
INSERT INTO public.ecdc_data VALUES (5109, 15, 214, 6.78464983, 105, 29);
INSERT INTO public.ecdc_data VALUES (5110, 18, 645, 333.42335019, 147, 29);
INSERT INTO public.ecdc_data VALUES (5111, 20, 1058, 32.96630246, 1, 29);
INSERT INTO public.ecdc_data VALUES (5112, 0, 76, 1161.76798771, 148, 29);
INSERT INTO public.ecdc_data VALUES (5113, 1, 99, 5.85383345, 2, 29);
INSERT INTO public.ecdc_data VALUES (5114, 0, 0, 6.72404519, 56, 29);
INSERT INTO public.ecdc_data VALUES (5115, 0, 0, 8.23765639, 57, 29);
INSERT INTO public.ecdc_data VALUES (5116, 262, 7846, 247.6537033, 58, 29);
INSERT INTO public.ecdc_data VALUES (5117, 31, 1248, 599.75088987, 149, 29);
INSERT INTO public.ecdc_data VALUES (5118, 0, 17, 148.62195466, 59, 29);
INSERT INTO public.ecdc_data VALUES (5119, 0, 7, 0.67848527, 202, 29);
INSERT INTO public.ecdc_data VALUES (5120, 148, 4818, 885.96899684, 150, 29);
INSERT INTO public.ecdc_data VALUES (5121, 35, 3712, 380.51422417, 151, 29);
INSERT INTO public.ecdc_data VALUES (5122, 0, 14, 85.49729644, 60, 29);
INSERT INTO public.ecdc_data VALUES (5123, 0, 168, 131.97949748, 106, 29);
INSERT INTO public.ecdc_data VALUES (5124, 20, 2273, 18.2439118, 107, 29);
INSERT INTO public.ecdc_data VALUES (5125, 0, 4, 7.31653781, 61, 29);
INSERT INTO public.ecdc_data VALUES (5126, 8, 1621, 211.70264638, 152, 29);
INSERT INTO public.ecdc_data VALUES (5127, 124, 2700, 378.36784174, 153, 29);
INSERT INTO public.ecdc_data VALUES (5128, 10, 72, 223.38869377, 62, 29);
INSERT INTO public.ecdc_data VALUES (5129, 0, 0, 1.10158746, 3, 29);
INSERT INTO public.ecdc_data VALUES (5130, 0, 1, 31.99590452, 63, 29);
INSERT INTO public.ecdc_data VALUES (5131, 0, 6, 3.40718182, 108, 29);
INSERT INTO public.ecdc_data VALUES (5132, 4, 104, 12.37720295, 64, 29);
INSERT INTO public.ecdc_data VALUES (5133, 0, 0, 23.09202171, 65, 29);
INSERT INTO public.ecdc_data VALUES (5134, 62, 1179, 478.82488872, 154, 29);
INSERT INTO public.ecdc_data VALUES (5135, 0, 0, 76.70259578, 4, 29);
INSERT INTO public.ecdc_data VALUES (5136, 514, 34130, 202.65291389, 66, 29);
INSERT INTO public.ecdc_data VALUES (5137, 0, 0, 0, 67, 29);
INSERT INTO public.ecdc_data VALUES (5138, 0, 0, 0.46157823, 109, 29);
INSERT INTO public.ecdc_data VALUES (5139, 151, 3327, 643.11070267, 155, 29);
INSERT INTO public.ecdc_data VALUES (5140, 0, 39, 1.01863146, 5, 29);
INSERT INTO public.ecdc_data VALUES (5141, 0, 4, 0.49433779, 6, 29);
INSERT INTO public.ecdc_data VALUES (5142, 0, 0, 0.03032777, 110, 29);
INSERT INTO public.ecdc_data VALUES (5143, 0, 95, 6.55423804, 7, 29);
INSERT INTO public.ecdc_data VALUES (5144, 95, 5967, 191.77762456, 68, 29);
INSERT INTO public.ecdc_data VALUES (5145, 0, 0, 142.74388292, 8, 29);
INSERT INTO public.ecdc_data VALUES (5146, 0, 0, 23.0953994, 69, 29);
INSERT INTO public.ecdc_data VALUES (5147, 0, 0, 0.52685052, 9, 29);
INSERT INTO public.ecdc_data VALUES (5148, 0, 2, 0.46404056, 10, 29);
INSERT INTO public.ecdc_data VALUES (5149, 43, 1561, 101.27144658, 70, 29);
INSERT INTO public.ecdc_data VALUES (5150, 0, 6, 0.01199623, 111, 29);
INSERT INTO public.ecdc_data VALUES (5151, 195, 10023, 214.17201617, 71, 29);
INSERT INTO public.ecdc_data VALUES (5152, 0, 0, 4.23085918, 11, 29);
INSERT INTO public.ecdc_data VALUES (5153, 1, 142, 7.3413197, 12, 29);
INSERT INTO public.ecdc_data VALUES (5154, 11, 1351, 296.57888236, 72, 29);
INSERT INTO public.ecdc_data VALUES (5155, 0, 33, 1.29488578, 13, 29);
INSERT INTO public.ecdc_data VALUES (5156, 48, 4080, 999.15461432, 156, 29);
INSERT INTO public.ecdc_data VALUES (5157, 0, 35, 5.02052149, 73, 29);
INSERT INTO public.ecdc_data VALUES (5158, 0, 111, 548.27043929, 74, 29);
INSERT INTO public.ecdc_data VALUES (5159, 0, 310, 357.34713706, 157, 29);
INSERT INTO public.ecdc_data VALUES (5160, 188, 4464, 581.7386242, 158, 29);
INSERT INTO public.ecdc_data VALUES (5161, 0, 71, 0.9782169, 14, 29);
INSERT INTO public.ecdc_data VALUES (5162, 5, 1323, 287.93948965, 159, 29);
INSERT INTO public.ecdc_data VALUES (5163, 0, 0, 3.28691592, 15, 29);
INSERT INTO public.ecdc_data VALUES (5164, 0, 5, 23.67424242, 75, 29);
INSERT INTO public.ecdc_data VALUES (5165, 7, 855, 85.88357324, 76, 29);
INSERT INTO public.ecdc_data VALUES (5166, 42, 1396, 62.50842871, 77, 29);
INSERT INTO public.ecdc_data VALUES (5167, 12, 357, 4.49555383, 16, 29);
INSERT INTO public.ecdc_data VALUES (5168, 5, 0, 34.24471802, 78, 29);
INSERT INTO public.ecdc_data VALUES (5169, 0, 7, 3.61361729, 17, 29);
INSERT INTO public.ecdc_data VALUES (5170, 0, 0, 2.08743373, 18, 29);
INSERT INTO public.ecdc_data VALUES (5171, 5, 368, 315.13715071, 160, 29);
INSERT INTO public.ecdc_data VALUES (5172, 0, 33, 24.91000607, 19, 29);
INSERT INTO public.ecdc_data VALUES (5173, 14, 769, 5.96098848, 20, 29);
INSERT INTO public.ecdc_data VALUES (5174, 0, 1, 59.31198102, 79, 29);
INSERT INTO public.ecdc_data VALUES (5175, 0, 0, 6.16307496, 161, 29);
INSERT INTO public.ecdc_data VALUES (5176, 0, 0, 0.3370957, 203, 29);
INSERT INTO public.ecdc_data VALUES (5177, 5, 618, 88.94657569, 162, 29);
INSERT INTO public.ecdc_data VALUES (5178, 957, 12539, 408.42146726, 163, 29);
INSERT INTO public.ecdc_data VALUES (5179, 2, 100, 858.62112179, 204, 29);
INSERT INTO public.ecdc_data VALUES (5180, 0, 18, 5.93764643, 21, 29);
INSERT INTO public.ecdc_data VALUES (5181, 0, 3, 1.40563344, 22, 29);
INSERT INTO public.ecdc_data VALUES (5182, 34, 4472, 1283.13870078, 164, 29);
INSERT INTO public.ecdc_data VALUES (5183, 379, 21695, 306.59529379, 165, 29);
INSERT INTO public.ecdc_data VALUES (5184, 0, 0, 3.96806376, 23, 29);
INSERT INTO public.ecdc_data VALUES (5185, 0, 8, 364.92019225, 166, 29);
INSERT INTO public.ecdc_data VALUES (5186, 101, 1981, 294.76160367, 167, 29);
INSERT INTO public.ecdc_data VALUES (5187, 0, 0, 1.76491352, 80, 29);
INSERT INTO public.ecdc_data VALUES (5188, 0, 0, 8.03557079, 81, 29);
INSERT INTO public.ecdc_data VALUES (5189, 1, 34, 512.86649332, 205, 29);
INSERT INTO public.ecdc_data VALUES (5190, 8, 447, 39.86582241, 82, 29);
INSERT INTO public.ecdc_data VALUES (5191, 0, 0, 6.20462865, 168, 29);
INSERT INTO public.ecdc_data VALUES (5192, 0, 90, 3.93070496, 24, 29);
INSERT INTO public.ecdc_data VALUES (5193, 0, 0, 0.15617541, 25, 29);
INSERT INTO public.ecdc_data VALUES (5194, 0, 34, 74.86186963, 83, 29);
INSERT INTO public.ecdc_data VALUES (5195, 0, 8, 0.85234242, 84, 29);
INSERT INTO public.ecdc_data VALUES (5196, 0, 0, 0, 169, 29);
INSERT INTO public.ecdc_data VALUES (5197, 7, 453, 51.86682078, 85, 29);
INSERT INTO public.ecdc_data VALUES (5198, 152, 6268, 695.6584202, 170, 29);
INSERT INTO public.ecdc_data VALUES (5199, 0, 23, 49.30096277, 171, 29);
INSERT INTO public.ecdc_data VALUES (5200, 485, 41322, 42.27330898, 112, 29);
INSERT INTO public.ecdc_data VALUES (5201, 169, 5828, 23.96152024, 113, 29);
INSERT INTO public.ecdc_data VALUES (5202, 406, 14051, 222.00742643, 114, 29);
INSERT INTO public.ecdc_data VALUES (5203, 42, 2545, 83.23372074, 115, 29);
INSERT INTO public.ecdc_data VALUES (5204, 7, 205, 93.79638843, 172, 29);
INSERT INTO public.ecdc_data VALUES (5205, 0, 0, 7.09312085, 173, 29);
INSERT INTO public.ecdc_data VALUES (5206, 5, 359, 130.37344415, 116, 29);
INSERT INTO public.ecdc_data VALUES (5207, 827, 28342, 713.91193035, 174, 29);
INSERT INTO public.ecdc_data VALUES (5208, 2, 59, 29.74618735, 86, 29);
INSERT INTO public.ecdc_data VALUES (5209, 23, 2577, 21.3502571, 117, 29);
INSERT INTO public.ecdc_data VALUES (5210, 0, 31, 181.82492857, 175, 29);
INSERT INTO public.ecdc_data VALUES (5211, 61, 4580, 703.30757298, 118, 29);
INSERT INTO public.ecdc_data VALUES (5212, 1, 1010, 65.88711122, 119, 29);
INSERT INTO public.ecdc_data VALUES (5213, 14, 1554, 25.60773091, 26, 29);
INSERT INTO public.ecdc_data VALUES (5214, 12, 764, 552.73654911, 176, 29);
INSERT INTO public.ecdc_data VALUES (5215, 2, 329, 147.98873422, 120, 29);
INSERT INTO public.ecdc_data VALUES (5216, 6, 423, 93.79893642, 121, 29);
INSERT INTO public.ecdc_data VALUES (5217, 0, 1, 0.20922089, 122, 29);
INSERT INTO public.ecdc_data VALUES (5218, 2, 637, 311.04685078, 177, 29);
INSERT INTO public.ecdc_data VALUES (5219, 6, 1782, 311.78394532, 123, 29);
INSERT INTO public.ecdc_data VALUES (5220, 0, 17, 3.19959798, 27, 29);
INSERT INTO public.ecdc_data VALUES (5221, 0, 17, 2.10638287, 28, 29);
INSERT INTO public.ecdc_data VALUES (5222, 13, 866, 127.55529253, 29, 29);
INSERT INTO public.ecdc_data VALUES (5223, 1, 17, 844.23367554, 178, 29);
INSERT INTO public.ecdc_data VALUES (5224, 33, 4455, 942.45761911, 179, 29);
INSERT INTO public.ecdc_data VALUES (5225, 12, 1309, 1334.26943414, 180, 29);
INSERT INTO public.ecdc_data VALUES (5226, 0, 0, 0.40045524, 30, 29);
INSERT INTO public.ecdc_data VALUES (5227, 0, 4, 0.33281891, 31, 29);
INSERT INTO public.ecdc_data VALUES (5228, 2, 1109, 52.4760899, 124, 29);
INSERT INTO public.ecdc_data VALUES (5229, 0, 44, 154.62645751, 125, 29);
INSERT INTO public.ecdc_data VALUES (5230, 1, 106, 3.94241069, 32, 29);
INSERT INTO public.ecdc_data VALUES (5231, 6, 70, 323.16298558, 181, 29);
INSERT INTO public.ecdc_data VALUES (5232, 0, 0, 5.10282186, 206, 29);
INSERT INTO public.ecdc_data VALUES (5233, 1, 178, 11.95395716, 33, 29);
INSERT INTO public.ecdc_data VALUES (5234, 0, 4, 2.44157931, 34, 29);
INSERT INTO public.ecdc_data VALUES (5235, 0, 0, 63.64935394, 87, 29);
INSERT INTO public.ecdc_data VALUES (5236, 21, 1246, 414.98712177, 182, 29);
INSERT INTO public.ecdc_data VALUES (5237, 0, 3, 190.41861871, 183, 29);
INSERT INTO public.ecdc_data VALUES (5238, 0, 22, 10.66611765, 126, 29);
INSERT INTO public.ecdc_data VALUES (5239, 5, 520, 1241.91956694, 184, 29);
INSERT INTO public.ecdc_data VALUES (5240, 0, 0, 0, 88, 29);
INSERT INTO public.ecdc_data VALUES (5241, 70, 4592, 172.5718464, 35, 29);
INSERT INTO public.ecdc_data VALUES (5242, 0, 39, 4.21194161, 36, 29);
INSERT INTO public.ecdc_data VALUES (5243, 19, 1428, 36.81902974, 127, 29);
INSERT INTO public.ecdc_data VALUES (5244, 2, 52, 33.47331996, 37, 29);
INSERT INTO public.ecdc_data VALUES (5245, 23, 1703, 80.36012802, 128, 29);
INSERT INTO public.ecdc_data VALUES (5246, 83, 5733, 417.88172001, 185, 29);
INSERT INTO public.ecdc_data VALUES (5247, 0, 0, 0.70732113, 207, 29);
INSERT INTO public.ecdc_data VALUES (5248, 0, 3, 1.08716968, 208, 29);
INSERT INTO public.ecdc_data VALUES (5249, 0, 0, 1.87915276, 89, 29);
INSERT INTO public.ecdc_data VALUES (5250, 0, 29, 0.78504657, 38, 29);
INSERT INTO public.ecdc_data VALUES (5251, 2, 246, 1.16239954, 39, 29);
INSERT INTO public.ecdc_data VALUES (5252, 28, 1093, 712.66534818, 186, 29);
INSERT INTO public.ecdc_data VALUES (5253, 0, 0, 6.99141803, 209, 29);
INSERT INTO public.ecdc_data VALUES (5254, 12, 480, 141.15429341, 187, 29);
INSERT INTO public.ecdc_data VALUES (5255, 0, 0, 63.05537778, 129, 29);
INSERT INTO public.ecdc_data VALUES (5256, 45, 3045, 17.49818509, 130, 29);
INSERT INTO public.ecdc_data VALUES (5257, 0, 0, 341.97062606, 131, 29);
INSERT INTO public.ecdc_data VALUES (5258, 12, 1457, 406.62295947, 90, 29);
INSERT INTO public.ecdc_data VALUES (5259, 0, 0, 0.51275513, 210, 29);
INSERT INTO public.ecdc_data VALUES (5260, 16, 919, 142.57650392, 91, 29);
INSERT INTO public.ecdc_data VALUES (5261, 54, 1977, 78.97150154, 92, 29);
INSERT INTO public.ecdc_data VALUES (5262, 13, 1621, 19.6130804, 132, 29);
INSERT INTO public.ecdc_data VALUES (5263, 579, 17304, 771.25971076, 188, 29);
INSERT INTO public.ecdc_data VALUES (5264, 67, 5444, 789.89029172, 189, 29);
INSERT INTO public.ecdc_data VALUES (5265, 7, 1990, 452.13683489, 93, 29);
INSERT INTO public.ecdc_data VALUES (5266, 0, 184, 101.79829531, 133, 29);
INSERT INTO public.ecdc_data VALUES (5267, 172, 8499, 587.82480562, 190, 29);
INSERT INTO public.ecdc_data VALUES (5268, 496, 27543, 229.64064586, 191, 29);
INSERT INTO public.ecdc_data VALUES (5269, 0, 21, 4.03898396, 40, 29);
INSERT INTO public.ecdc_data VALUES (5270, 0, 0, 5.67816179, 94, 29);
INSERT INTO public.ecdc_data VALUES (5271, 0, 8, 47.04723871, 95, 29);
INSERT INTO public.ecdc_data VALUES (5272, 0, 1, 6.32951453, 96, 29);
INSERT INTO public.ecdc_data VALUES (5273, 0, 40, 873.65396337, 192, 29);
INSERT INTO public.ecdc_data VALUES (5274, 0, 0, 10.23027417, 41, 29);
INSERT INTO public.ecdc_data VALUES (5275, 17, 302, 11.93514901, 134, 29);
INSERT INTO public.ecdc_data VALUES (5276, 1, 21, 1.38681259, 42, 29);
INSERT INTO public.ecdc_data VALUES (5277, 57, 7780, 1130.56674523, 193, 29);
INSERT INTO public.ecdc_data VALUES (5278, 0, 2, 15.34668154, 43, 29);
INSERT INTO public.ecdc_data VALUES (5279, 0, 1, 0.26877568, 44, 29);
INSERT INTO public.ecdc_data VALUES (5280, 0, 4, 1.46442069, 135, 29);
INSERT INTO public.ecdc_data VALUES (5281, 0, 12, 306.68333766, 97, 29);
INSERT INTO public.ecdc_data VALUES (5282, 22, 1849, 354.28455894, 194, 29);
INSERT INTO public.ecdc_data VALUES (5283, 28, 1601, 975.00706422, 195, 29);
INSERT INTO public.ecdc_data VALUES (5284, 0, 0, 0.14929362, 211, 29);
INSERT INTO public.ecdc_data VALUES (5285, 0, 0, 0.93246699, 45, 29);
INSERT INTO public.ecdc_data VALUES (5286, 89, 3370, 59.76269755, 46, 29);
INSERT INTO public.ecdc_data VALUES (5287, 6, 488, 9.83302769, 136, 29);
INSERT INTO public.ecdc_data VALUES (5288, 0, 8, 1.01246471, 47, 29);
INSERT INTO public.ecdc_data VALUES (5289, 0, 0, 361.37116385, 196, 29);
INSERT INTO public.ecdc_data VALUES (5290, 8, 473, 29.59144022, 137, 29);
INSERT INTO public.ecdc_data VALUES (5291, 16, 677, 5.75289367, 48, 29);
INSERT INTO public.ecdc_data VALUES (5292, 0, 4, 7.39641154, 98, 29);
INSERT INTO public.ecdc_data VALUES (5293, 50, 6461, 648.02347172, 197, 29);
INSERT INTO public.ecdc_data VALUES (5294, 141, 4295, 711.92940229, 198, 29);
INSERT INTO public.ecdc_data VALUES (5295, 5, 93, 6.34441491, 138, 29);
INSERT INTO public.ecdc_data VALUES (5296, 0, 9, 0.20190225, 139, 29);
INSERT INTO public.ecdc_data VALUES (5297, 0, 38, 5.879183, 140, 29);
INSERT INTO public.ecdc_data VALUES (5298, 0, 5, 0.14362537, 141, 29);
INSERT INTO public.ecdc_data VALUES (5299, 0, 0, 0, 142, 29);
INSERT INTO public.ecdc_data VALUES (5300, 0, 22, 3.69941499, 49, 29);
INSERT INTO public.ecdc_data VALUES (5301, 2, 16, 43.44182559, 99, 29);
INSERT INTO public.ecdc_data VALUES (5302, 72, 1295, 137.6860551, 50, 29);
INSERT INTO public.ecdc_data VALUES (5303, 177, 29845, 144.83216782, 199, 29);
INSERT INTO public.ecdc_data VALUES (5304, 0, 2, 83.78279311, 100, 29);
INSERT INTO public.ecdc_data VALUES (5305, 6, 473, 9.4557015, 51, 29);
INSERT INTO public.ecdc_data VALUES (5306, 192, 16218, 410.86617901, 200, 29);
INSERT INTO public.ecdc_data VALUES (5307, 3, 1283, 176.95055517, 143, 29);
INSERT INTO public.ecdc_data VALUES (5308, 520, 14739, 407.82712385, 201, 29);
INSERT INTO public.ecdc_data VALUES (5309, 0, 0, 0, 52, 29);
INSERT INTO public.ecdc_data VALUES (5310, 1404, 207913, 714.79634518, 101, 29);
INSERT INTO public.ecdc_data VALUES (5311, 0, 0, 106.13985599, 102, 29);
INSERT INTO public.ecdc_data VALUES (5312, 0, 186, 41.0199406, 103, 29);
INSERT INTO public.ecdc_data VALUES (5313, 0, 0, 8.27428167, 144, 29);
INSERT INTO public.ecdc_data VALUES (5314, 0, 0, 0, 212, 29);
INSERT INTO public.ecdc_data VALUES (5315, 4, 398, 17.79713295, 104, 29);
INSERT INTO public.ecdc_data VALUES (5316, 0, 8, 0.08604415, 145, 29);
INSERT INTO public.ecdc_data VALUES (5317, 0, 0, 0, 213, 29);
INSERT INTO public.ecdc_data VALUES (5318, 0, 0, 0, 53, 29);
INSERT INTO public.ecdc_data VALUES (5319, 0, 0, 0.02057478, 146, 29);
INSERT INTO public.ecdc_data VALUES (5320, 0, 16, 2.66501928, 54, 29);
INSERT INTO public.ecdc_data VALUES (5321, 1, 91, 6.47981803, 55, 29);
INSERT INTO public.ecdc_data VALUES (5322, 7, 113, 3.02562261, 105, 30);
INSERT INTO public.ecdc_data VALUES (5323, 7, 284, 138.93804104, 147, 30);
INSERT INTO public.ecdc_data VALUES (5324, 9, 287, 7.68122048, 1, 30);
INSERT INTO public.ecdc_data VALUES (5325, 0, 85, 1857.51604815, 148, 30);
INSERT INTO public.ecdc_data VALUES (5326, 2, 263, 9.91663896, 2, 30);
INSERT INTO public.ecdc_data VALUES (5327, 0, 0, 0, 56, 30);
INSERT INTO public.ecdc_data VALUES (5328, 0, 0, 13.38619163, 57, 30);
INSERT INTO public.ecdc_data VALUES (5329, 429, 14308, 445.66992347, 58, 30);
INSERT INTO public.ecdc_data VALUES (5330, 21, 2241, 812.3465038, 149, 30);
INSERT INTO public.ecdc_data VALUES (5331, 0, 0, 179.66324899, 59, 30);
INSERT INTO public.ecdc_data VALUES (5332, 0, 14, 0.88877603, 202, 30);
INSERT INTO public.ecdc_data VALUES (5333, 18, 2698, 338.46666159, 150, 30);
INSERT INTO public.ecdc_data VALUES (5334, 9, 663, 87.26358689, 151, 30);
INSERT INTO public.ecdc_data VALUES (5335, 0, 36, 343.78642621, 60, 30);
INSERT INTO public.ecdc_data VALUES (5336, 0, 0, 259.63279721, 106, 30);
INSERT INTO public.ecdc_data VALUES (5337, 20, 1335, 12.45720744, 107, 30);
INSERT INTO public.ecdc_data VALUES (5338, 0, 0, 8.01335094, 61, 30);
INSERT INTO public.ecdc_data VALUES (5339, 4, 902, 106.69237863, 152, 30);
INSERT INTO public.ecdc_data VALUES (5340, 132, 22210, 1638.005227, 153, 30);
INSERT INTO public.ecdc_data VALUES (5341, 0, 32, 165.74826246, 62, 30);
INSERT INTO public.ecdc_data VALUES (5342, 0, 0, 1.23716746, 3, 30);
INSERT INTO public.ecdc_data VALUES (5343, 0, 1, 14.39815704, 63, 30);
INSERT INTO public.ecdc_data VALUES (5344, 0, 3, 4.19345454, 108, 30);
INSERT INTO public.ecdc_data VALUES (5345, 14, 172, 19.12603571, 64, 30);
INSERT INTO public.ecdc_data VALUES (5346, 0, 0, 0, 65, 30);
INSERT INTO public.ecdc_data VALUES (5347, 21, 1558, 363.5567183, 154, 30);
INSERT INTO public.ecdc_data VALUES (5348, 0, 0, 54.0000165, 4, 30);
INSERT INTO public.ecdc_data VALUES (5349, 549, 29787, 154.47227814, 66, 30);
INSERT INTO public.ecdc_data VALUES (5350, 0, 0, 3.3296707, 67, 30);
INSERT INTO public.ecdc_data VALUES (5351, 0, 0, 0.46157823, 109, 30);
INSERT INTO public.ecdc_data VALUES (5352, 25, 2569, 241.81293847, 155, 30);
INSERT INTO public.ecdc_data VALUES (5353, 0, 7, 0.79226891, 5, 30);
INSERT INTO public.ecdc_data VALUES (5354, 0, 1, 0.25150519, 6, 30);
INSERT INTO public.ecdc_data VALUES (5355, 0, 2, 0.04245887, 110, 30);
INSERT INTO public.ecdc_data VALUES (5356, 0, 0, 1.77768249, 7, 30);
INSERT INTO public.ecdc_data VALUES (5357, 28, 2674, 96.24432233, 68, 30);
INSERT INTO public.ecdc_data VALUES (5358, 0, 49, 221.48031771, 8, 30);
INSERT INTO public.ecdc_data VALUES (5359, 0, 0, 27.71447928, 69, 30);
INSERT INTO public.ecdc_data VALUES (5360, 0, 0, 0.16859216, 9, 30);
INSERT INTO public.ecdc_data VALUES (5361, 0, 19, 0.87164375, 10, 30);
INSERT INTO public.ecdc_data VALUES (5362, 23, 927, 106.82230167, 70, 30);
INSERT INTO public.ecdc_data VALUES (5363, 0, 42, 0.02503864, 111, 30);
INSERT INTO public.ecdc_data VALUES (5364, 217, 8166, 216.76838975, 71, 30);
INSERT INTO public.ecdc_data VALUES (5365, 0, 0, 2.46800119, 11, 30);
INSERT INTO public.ecdc_data VALUES (5366, 0, 0, 1.80280509, 12, 30);
INSERT INTO public.ecdc_data VALUES (5367, 17, 862, 298.83739889, 72, 30);
INSERT INTO public.ecdc_data VALUES (5368, 0, 2, 1.18600649, 13, 30);
INSERT INTO public.ecdc_data VALUES (5369, 18, 1413, 432.45672612, 156, 30);
INSERT INTO public.ecdc_data VALUES (5370, 0, 83, 5.83227541, 73, 30);
INSERT INTO public.ecdc_data VALUES (5371, 0, 0, 155.424879, 74, 30);
INSERT INTO public.ecdc_data VALUES (5372, 0, 181, 202.07809348, 157, 30);
INSERT INTO public.ecdc_data VALUES (5373, 182, 15663, 1448.72204173, 158, 30);
INSERT INTO public.ecdc_data VALUES (5374, 0, 17, 0.36755146, 14, 30);
INSERT INTO public.ecdc_data VALUES (5375, 1, 745, 155.97439994, 159, 30);
INSERT INTO public.ecdc_data VALUES (5376, 0, 3, 11.9150702, 15, 30);
INSERT INTO public.ecdc_data VALUES (5377, 0, 0, 8.35561497, 75, 30);
INSERT INTO public.ecdc_data VALUES (5378, 1, 165, 55.87134766, 76, 30);
INSERT INTO public.ecdc_data VALUES (5379, 15, 1014, 86.45848137, 77, 30);
INSERT INTO public.ecdc_data VALUES (5380, 11, 170, 2.08192057, 16, 30);
INSERT INTO public.ecdc_data VALUES (5381, 9, 0, 37.88612469, 78, 30);
INSERT INTO public.ecdc_data VALUES (5382, 0, 0, 1.25370396, 17, 30);
INSERT INTO public.ecdc_data VALUES (5383, 0, 0, 1.34396419, 18, 30);
INSERT INTO public.ecdc_data VALUES (5384, 0, 37, 42.04344741, 160, 30);
INSERT INTO public.ecdc_data VALUES (5385, 0, 12, 15.59052828, 19, 30);
INSERT INTO public.ecdc_data VALUES (5386, 8, 511, 7.5839548, 20, 30);
INSERT INTO public.ecdc_data VALUES (5387, 0, 0, 0, 79, 30);
INSERT INTO public.ecdc_data VALUES (5388, 0, 4, 34.92409146, 161, 30);
INSERT INTO public.ecdc_data VALUES (5389, 0, 0, 0.11236523, 203, 30);
INSERT INTO public.ecdc_data VALUES (5390, 0, 193, 48.27907042, 162, 30);
INSERT INTO public.ecdc_data VALUES (5391, 523, 33417, 659.90743899, 163, 30);
INSERT INTO public.ecdc_data VALUES (5392, 6, 634, 1183.02092844, 204, 30);
INSERT INTO public.ecdc_data VALUES (5393, 0, 0, 3.54417655, 21, 30);
INSERT INTO public.ecdc_data VALUES (5394, 0, 0, 1.23525363, 22, 30);
INSERT INTO public.ecdc_data VALUES (5395, 15, 1731, 525.85067612, 164, 30);
INSERT INTO public.ecdc_data VALUES (5396, 85, 14964, 156.17348721, 165, 30);
INSERT INTO public.ecdc_data VALUES (5397, 0, 0, 2.13361506, 23, 30);
INSERT INTO public.ecdc_data VALUES (5398, 0, 9, 534.02954964, 166, 30);
INSERT INTO public.ecdc_data VALUES (5399, 12, 1256, 90.3716773, 167, 30);
INSERT INTO public.ecdc_data VALUES (5400, 0, 0, 1.76491352, 80, 30);
INSERT INTO public.ecdc_data VALUES (5401, 0, 0, 2.6785236, 81, 30);
INSERT INTO public.ecdc_data VALUES (5402, 1, 96, 696.972414, 205, 30);
INSERT INTO public.ecdc_data VALUES (5403, 14, 677, 40.90100285, 82, 30);
INSERT INTO public.ecdc_data VALUES (5404, 0, 0, 12.40925731, 168, 30);
INSERT INTO public.ecdc_data VALUES (5405, 0, 150, 5.36361135, 24, 30);
INSERT INTO public.ecdc_data VALUES (5406, 0, 0, 0.93705246, 25, 30);
INSERT INTO public.ecdc_data VALUES (5407, 0, 35, 63.36431286, 83, 30);
INSERT INTO public.ecdc_data VALUES (5408, 0, 0, 1.23412079, 84, 30);
INSERT INTO public.ecdc_data VALUES (5409, 0, 0, 858.89570552, 169, 30);
INSERT INTO public.ecdc_data VALUES (5410, 6, 657, 100.25533251, 85, 30);
INSERT INTO public.ecdc_data VALUES (5411, 43, 2291, 257.35831325, 170, 30);
INSERT INTO public.ecdc_data VALUES (5412, 0, 70, 253.78791062, 171, 30);
INSERT INTO public.ecdc_data VALUES (5413, 508, 43893, 54.95632626, 112, 30);
INSERT INTO public.ecdc_data VALUES (5414, 101, 3520, 20.6307189, 113, 30);
INSERT INTO public.ecdc_data VALUES (5415, 346, 6968, 88.56778682, 114, 30);
INSERT INTO public.ecdc_data VALUES (5416, 53, 4510, 128.59392351, 115, 30);
INSERT INTO public.ecdc_data VALUES (5417, 5, 700, 297.86470483, 172, 30);
INSERT INTO public.ecdc_data VALUES (5418, 0, 1, 7.09312085, 173, 30);
INSERT INTO public.ecdc_data VALUES (5419, 30, 1173, 173.13480699, 116, 30);
INSERT INTO public.ecdc_data VALUES (5420, 221, 21989, 330.20626099, 174, 30);
INSERT INTO public.ecdc_data VALUES (5421, 4, 38, 29.74618735, 86, 30);
INSERT INTO public.ecdc_data VALUES (5422, 5, 618, 6.28723096, 117, 30);
INSERT INTO public.ecdc_data VALUES (5423, 0, 4, 71.43122194, 175, 30);
INSERT INTO public.ecdc_data VALUES (5424, 44, 3800, 304.1865144, 118, 30);
INSERT INTO public.ecdc_data VALUES (5425, 30, 422, 20.58601634, 119, 30);
INSERT INTO public.ecdc_data VALUES (5426, 14, 836, 16.9209221, 26, 30);
INSERT INTO public.ecdc_data VALUES (5427, 3, 197, 111.20340994, 176, 30);
INSERT INTO public.ecdc_data VALUES (5428, 7, 775, 246.13288514, 120, 30);
INSERT INTO public.ecdc_data VALUES (5429, 2, 538, 110.27375792, 121, 30);
INSERT INTO public.ecdc_data VALUES (5430, 0, 0, 0.01394806, 122, 30);
INSERT INTO public.ecdc_data VALUES (5431, 3, 136, 106.92886548, 177, 30);
INSERT INTO public.ecdc_data VALUES (5432, 11, 1809, 264.39278563, 123, 30);
INSERT INTO public.ecdc_data VALUES (5433, 0, 4, 6.68151343, 27, 30);
INSERT INTO public.ecdc_data VALUES (5434, 0, 3, 0.97217671, 28, 30);
INSERT INTO public.ecdc_data VALUES (5435, 11, 752, 191.66492191, 29, 30);
INSERT INTO public.ecdc_data VALUES (5436, 0, 25, 737.40163635, 178, 30);
INSERT INTO public.ecdc_data VALUES (5437, 5, 413, 178.7999645, 179, 30);
INSERT INTO public.ecdc_data VALUES (5438, 0, 485, 821.64021802, 180, 30);
INSERT INTO public.ecdc_data VALUES (5439, 0, 0, 0.79349465, 30, 30);
INSERT INTO public.ecdc_data VALUES (5440, 0, 3, 0.37576329, 31, 30);
INSERT INTO public.ecdc_data VALUES (5441, 2, 835, 36.80775482, 124, 30);
INSERT INTO public.ecdc_data VALUES (5442, 0, 35, 108.10668284, 125, 30);
INSERT INTO public.ecdc_data VALUES (5443, 3, 16, 1.11404896, 32, 30);
INSERT INTO public.ecdc_data VALUES (5444, 2, 76, 346.46313815, 181, 30);
INSERT INTO public.ecdc_data VALUES (5445, 0, 14, 2.71781281, 33, 30);
INSERT INTO public.ecdc_data VALUES (5446, 0, 0, 2.52033993, 34, 30);
INSERT INTO public.ecdc_data VALUES (5447, 643, 5942, 45.9735503, 87, 30);
INSERT INTO public.ecdc_data VALUES (5448, 10, 649, 227.16828854, 182, 30);
INSERT INTO public.ecdc_data VALUES (5449, 0, 10, 238.77890283, 183, 30);
INSERT INTO public.ecdc_data VALUES (5450, 0, 0, 0.62012312, 126, 30);
INSERT INTO public.ecdc_data VALUES (5451, 5, 182, 453.7257587, 184, 30);
INSERT INTO public.ecdc_data VALUES (5452, 0, 0, 0, 88, 30);
INSERT INTO public.ecdc_data VALUES (5453, 72, 3988, 128.28279278, 35, 30);
INSERT INTO public.ecdc_data VALUES (5454, 1, 112, 6.6357016, 36, 30);
INSERT INTO public.ecdc_data VALUES (5455, 25, 1466, 31.87874081, 127, 30);
INSERT INTO public.ecdc_data VALUES (5456, 0, 54, 29.22401228, 37, 30);
INSERT INTO public.ecdc_data VALUES (5457, 14, 570, 157.44153486, 128, 30);
INSERT INTO public.ecdc_data VALUES (5458, 70, 10283, 710.96424678, 185, 30);
INSERT INTO public.ecdc_data VALUES (5459, 0, 0, 0, 207, 30);
INSERT INTO public.ecdc_data VALUES (5460, 0, 2, 1.44259054, 208, 30);
INSERT INTO public.ecdc_data VALUES (5461, 1, 80, 2.45970401, 89, 30);
INSERT INTO public.ecdc_data VALUES (5462, 0, 3, 0.06434808, 38, 30);
INSERT INTO public.ecdc_data VALUES (5463, 3, 113, 0.78073839, 39, 30);
INSERT INTO public.ecdc_data VALUES (5464, 0, 0, 289.14869156, 186, 30);
INSERT INTO public.ecdc_data VALUES (5465, 0, 0, 26.21781763, 209, 30);
INSERT INTO public.ecdc_data VALUES (5466, 1, 433, 50.71119543, 187, 30);
INSERT INTO public.ecdc_data VALUES (5467, 13, 466, 132.80423366, 129, 30);
INSERT INTO public.ecdc_data VALUES (5468, 14, 825, 4.49610313, 130, 30);
INSERT INTO public.ecdc_data VALUES (5469, 10, 1118, 134.43952349, 131, 30);
INSERT INTO public.ecdc_data VALUES (5470, 12, 671, 214.90943002, 90, 30);
INSERT INTO public.ecdc_data VALUES (5471, 0, 0, 0.14812926, 210, 30);
INSERT INTO public.ecdc_data VALUES (5472, 18, 963, 132.8669929, 91, 30);
INSERT INTO public.ecdc_data VALUES (5473, 60, 1923, 118.49416351, 92, 30);
INSERT INTO public.ecdc_data VALUES (5474, 14, 1514, 26.29660405, 132, 30);
INSERT INTO public.ecdc_data VALUES (5475, 132, 16300, 381.72311284, 188, 30);
INSERT INTO public.ecdc_data VALUES (5476, 28, 3299, 343.60529345, 189, 30);
INSERT INTO public.ecdc_data VALUES (5477, 4, 375, 305.34491669, 93, 30);
INSERT INTO public.ecdc_data VALUES (5478, 0, 257, 115.95754485, 133, 30);
INSERT INTO public.ecdc_data VALUES (5479, 104, 4724, 292.33368245, 190, 30);
INSERT INTO public.ecdc_data VALUES (5480, 320, 16550, 151.91099391, 191, 30);
INSERT INTO public.ecdc_data VALUES (5481, 1, 11, 1.39384544, 40, 30);
INSERT INTO public.ecdc_data VALUES (5482, 0, 0, 0, 94, 30);
INSERT INTO public.ecdc_data VALUES (5483, 0, 0, 18.60007112, 95, 30);
INSERT INTO public.ecdc_data VALUES (5484, 0, 1, 9.04216361, 96, 30);
INSERT INTO public.ecdc_data VALUES (5485, 0, 0, 290.25048617, 192, 30);
INSERT INTO public.ecdc_data VALUES (5486, 0, 0, 5.58014955, 41, 30);
INSERT INTO public.ecdc_data VALUES (5487, 16, 399, 16.17227282, 134, 30);
INSERT INTO public.ecdc_data VALUES (5488, 0, 6, 1.61999347, 42, 30);
INSERT INTO public.ecdc_data VALUES (5489, 5, 1053, 84.35093435, 193, 30);
INSERT INTO public.ecdc_data VALUES (5490, 0, 0, 5.11556051, 43, 30);
INSERT INTO public.ecdc_data VALUES (5491, 0, 4, 0.52475251, 44, 30);
INSERT INTO public.ecdc_data VALUES (5492, 0, 7, 1.65393396, 135, 30);
INSERT INTO public.ecdc_data VALUES (5493, 0, 0, 165.13718182, 97, 30);
INSERT INTO public.ecdc_data VALUES (5494, 11, 901, 461.79918946, 194, 30);
INSERT INTO public.ecdc_data VALUES (5495, 4, 1523, 786.77192841, 195, 30);
INSERT INTO public.ecdc_data VALUES (5496, 0, 4, 0, 211, 30);
INSERT INTO public.ecdc_data VALUES (5497, 0, 0, 0.49861082, 45, 30);
INSERT INTO public.ecdc_data VALUES (5498, 45, 1092, 39.81333669, 46, 30);
INSERT INTO public.ecdc_data VALUES (5499, 1, 103, 2.45386456, 136, 30);
INSERT INTO public.ecdc_data VALUES (5500, 0, 7, 0.83166744, 47, 30);
INSERT INTO public.ecdc_data VALUES (5501, 168, 19765, 486.70922295, 196, 30);
INSERT INTO public.ecdc_data VALUES (5502, 3, 457, 17.9705862, 137, 30);
INSERT INTO public.ecdc_data VALUES (5503, 0, 18, 0.17284374, 48, 30);
INSERT INTO public.ecdc_data VALUES (5504, 1, 7, 19.78110062, 98, 30);
INSERT INTO public.ecdc_data VALUES (5505, 9, 2415, 148.64833823, 197, 30);
INSERT INTO public.ecdc_data VALUES (5506, 16, 6362, 717.60555031, 198, 30);
INSERT INTO public.ecdc_data VALUES (5507, 3, 67, 4.11244623, 138, 30);
INSERT INTO public.ecdc_data VALUES (5508, 0, 0, 0.08412594, 139, 30);
INSERT INTO public.ecdc_data VALUES (5509, 0, 41, 6.04010955, 140, 30);
INSERT INTO public.ecdc_data VALUES (5510, 0, 13, 0.15367915, 141, 30);
INSERT INTO public.ecdc_data VALUES (5511, 0, 0, 0.07733234, 142, 30);
INSERT INTO public.ecdc_data VALUES (5512, 1, 25, 3.17976472, 49, 30);
INSERT INTO public.ecdc_data VALUES (5513, 0, 33, 31.61360575, 99, 30);
INSERT INTO public.ecdc_data VALUES (5514, 0, 0, 169.67484731, 50, 30);
INSERT INTO public.ecdc_data VALUES (5515, 76, 2209, 33.4484165, 199, 30);
INSERT INTO public.ecdc_data VALUES (5516, 0, 2, 18.32748599, 100, 30);
INSERT INTO public.ecdc_data VALUES (5517, 2, 64, 3.78589482, 51, 30);
INSERT INTO public.ecdc_data VALUES (5518, 126, 6677, 193.24155538, 200, 30);
INSERT INTO public.ecdc_data VALUES (5519, 2, 1390, 194.62616445, 143, 30);
INSERT INTO public.ecdc_data VALUES (5520, 367, 22885, 424.10689904, 201, 30);
INSERT INTO public.ecdc_data VALUES (5521, 0, 0, 0, 52, 30);
INSERT INTO public.ecdc_data VALUES (5522, 988, 75129, 280.47322954, 101, 30);
INSERT INTO public.ecdc_data VALUES (5523, 0, 5, 23.90537297, 102, 30);
INSERT INTO public.ecdc_data VALUES (5524, 0, 44, 16.72573634, 103, 30);
INSERT INTO public.ecdc_data VALUES (5525, 3, 272, 12.66762508, 144, 30);
INSERT INTO public.ecdc_data VALUES (5526, 3, 353, 21.07250678, 104, 30);
INSERT INTO public.ecdc_data VALUES (5527, 0, 3, 0.06116391, 145, 30);
INSERT INTO public.ecdc_data VALUES (5528, 0, 0, 0, 213, 30);
INSERT INTO public.ecdc_data VALUES (5529, 0, 0, 0, 53, 30);
INSERT INTO public.ecdc_data VALUES (5530, 0, 0, 0.0240039, 146, 30);
INSERT INTO public.ecdc_data VALUES (5531, 0, 43, 3.67279968, 54, 30);
INSERT INTO public.ecdc_data VALUES (5532, 0, 12, 1.90502553, 55, 30);
INSERT INTO public.ecdc_data VALUES (5533, 0, 0, 1.34326078, 105, 31);
INSERT INTO public.ecdc_data VALUES (5534, 2, 106, 66.58685095, 147, 31);
INSERT INTO public.ecdc_data VALUES (5535, 3, 153, 6.53379897, 1, 31);
INSERT INTO public.ecdc_data VALUES (5536, 0, 0, 645.86423724, 148, 31);
INSERT INTO public.ecdc_data VALUES (5537, 4, 82, 4.20106029, 2, 31);
INSERT INTO public.ecdc_data VALUES (5538, 0, 0, 0, 56, 31);
INSERT INTO public.ecdc_data VALUES (5539, 0, 0, 6.17824229, 57, 31);
INSERT INTO public.ecdc_data VALUES (5540, 206, 8841, 368.11414745, 58, 31);
INSERT INTO public.ecdc_data VALUES (5541, 3, 328, 119.61884257, 149, 31);
INSERT INTO public.ecdc_data VALUES (5542, 0, 12, 750.63493557, 59, 31);
INSERT INTO public.ecdc_data VALUES (5543, 2, 24, 1.5434548, 202, 31);
INSERT INTO public.ecdc_data VALUES (5544, 0, 526, 114.36118425, 150, 31);
INSERT INTO public.ecdc_data VALUES (5545, 1, 128, 16.87945294, 151, 31);
INSERT INTO public.ecdc_data VALUES (5546, 0, 0, 221.31732591, 60, 31);
INSERT INTO public.ecdc_data VALUES (5547, 6, 585, 559.9074803, 106, 31);
INSERT INTO public.ecdc_data VALUES (5548, 32, 1275, 13.26495409, 107, 31);
INSERT INTO public.ecdc_data VALUES (5549, 0, 0, 3.13565906, 61, 31);
INSERT INTO public.ecdc_data VALUES (5550, 5, 320, 36.35052186, 152, 31);
INSERT INTO public.ecdc_data VALUES (5551, 12, 540, 184.64462413, 153, 31);
INSERT INTO public.ecdc_data VALUES (5552, 0, 29, 95.81120581, 62, 31);
INSERT INTO public.ecdc_data VALUES (5553, 0, 15, 0.61858373, 3, 31);
INSERT INTO public.ecdc_data VALUES (5554, 0, 0, 6.3991809, 63, 31);
INSERT INTO public.ecdc_data VALUES (5555, 0, 2, 3.66927272, 108, 31);
INSERT INTO public.ecdc_data VALUES (5556, 30, 309, 61.75572839, 64, 31);
INSERT INTO public.ecdc_data VALUES (5557, 0, 0, 227.07154678, 65, 31);
INSERT INTO public.ecdc_data VALUES (5558, 2, 122, 104.66531637, 154, 31);
INSERT INTO public.ecdc_data VALUES (5559, 0, 0, 29.0402018, 4, 31);
INSERT INTO public.ecdc_data VALUES (5560, 335, 14318, 190.40744651, 66, 31);
INSERT INTO public.ecdc_data VALUES (5561, 0, 0, 16.64835348, 67, 31);
INSERT INTO public.ecdc_data VALUES (5562, 0, 0, 0.23078911, 109, 31);
INSERT INTO public.ecdc_data VALUES (5563, 7, 58, 30.52840134, 155, 31);
INSERT INTO public.ecdc_data VALUES (5564, 0, 35, 1.4811984, 5, 31);
INSERT INTO public.ecdc_data VALUES (5565, 0, 0, 0.11274371, 6, 31);
INSERT INTO public.ecdc_data VALUES (5566, 0, 0, 0.00606555, 110, 31);
INSERT INTO public.ecdc_data VALUES (5567, 0, 0, 2.19505142, 7, 31);
INSERT INTO public.ecdc_data VALUES (5568, 6, 1454, 44.01374803, 68, 31);
INSERT INTO public.ecdc_data VALUES (5569, 1, 70, 174.20208897, 8, 31);
INSERT INTO public.ecdc_data VALUES (5570, 0, 0, 3.07938659, 69, 31);
INSERT INTO public.ecdc_data VALUES (5571, 0, 0, 1.20121917, 9, 31);
INSERT INTO public.ecdc_data VALUES (5572, 1, 1, 0.58945692, 10, 31);
INSERT INTO public.ecdc_data VALUES (5573, 50, 1922, 122.16630035, 70, 31);
INSERT INTO public.ecdc_data VALUES (5574, 0, 27, 0.01994722, 111, 31);
INSERT INTO public.ecdc_data VALUES (5575, 192, 7018, 192.16938892, 71, 31);
INSERT INTO public.ecdc_data VALUES (5576, 0, 0, 2.58552506, 11, 31);
INSERT INTO public.ecdc_data VALUES (5577, 0, 0, 1.37533584, 12, 31);
INSERT INTO public.ecdc_data VALUES (5578, 0, 0, 328.77264881, 72, 31);
INSERT INTO public.ecdc_data VALUES (5579, 0, 29, 2.39534426, 13, 31);
INSERT INTO public.ecdc_data VALUES (5580, 3, 190, 65.35424996, 156, 31);
INSERT INTO public.ecdc_data VALUES (5581, 2, 45, 6.82049756, 73, 31);
INSERT INTO public.ecdc_data VALUES (5582, 0, 23, 124.2175214, 74, 31);
INSERT INTO public.ecdc_data VALUES (5583, 0, 12, 19.40863045, 157, 31);
INSERT INTO public.ecdc_data VALUES (5584, 15, 1303, 266.75618321, 158, 31);
INSERT INTO public.ecdc_data VALUES (5585, 0, 19, 0.25578816, 14, 31);
INSERT INTO public.ecdc_data VALUES (5586, 1, 424, 127.81426921, 159, 31);
INSERT INTO public.ecdc_data VALUES (5587, 0, 0, 1.43802571, 15, 31);
INSERT INTO public.ecdc_data VALUES (5588, 0, 0, 0, 75, 31);
INSERT INTO public.ecdc_data VALUES (5589, 2, 429, 71.943672, 76, 31);
INSERT INTO public.ecdc_data VALUES (5590, 6, 766, 92.9740929, 77, 31);
INSERT INTO public.ecdc_data VALUES (5591, 14, 104, 1.8239218, 16, 31);
INSERT INTO public.ecdc_data VALUES (5592, 0, 215, 25.11795833, 78, 31);
INSERT INTO public.ecdc_data VALUES (5593, 0, 0, 2.35991333, 17, 31);
INSERT INTO public.ecdc_data VALUES (5594, 0, 0, 0.40032976, 18, 31);
INSERT INTO public.ecdc_data VALUES (5595, 0, 35, 39.55254299, 160, 31);
INSERT INTO public.ecdc_data VALUES (5596, 0, 12, 31.0068607, 19, 31);
INSERT INTO public.ecdc_data VALUES (5597, 5, 632, 8.05772892, 20, 31);
INSERT INTO public.ecdc_data VALUES (5598, 0, 0, 0, 79, 31);
INSERT INTO public.ecdc_data VALUES (5599, 0, 0, 76.01125788, 161, 31);
INSERT INTO public.ecdc_data VALUES (5600, 0, 0, 0, 203, 31);
INSERT INTO public.ecdc_data VALUES (5601, 0, 105, 19.97129715, 162, 31);
INSERT INTO public.ecdc_data VALUES (5602, 27, 11123, 234.9921283, 163, 31);
INSERT INTO public.ecdc_data VALUES (5603, 0, 0, 157.90321714, 204, 31);
INSERT INTO public.ecdc_data VALUES (5604, 0, 0, 3.91240268, 21, 31);
INSERT INTO public.ecdc_data VALUES (5605, 1, 14, 6.98557224, 22, 31);
INSERT INTO public.ecdc_data VALUES (5606, 0, 298, 79.06400231, 164, 31);
INSERT INTO public.ecdc_data VALUES (5607, 3, 1192, 30.08580676, 165, 31);
INSERT INTO public.ecdc_data VALUES (5608, 0, 165, 3.13302797, 23, 31);
INSERT INTO public.ecdc_data VALUES (5609, 0, 7, 145.37471073, 166, 31);
INSERT INTO public.ecdc_data VALUES (5610, 3, 216, 39.19960084, 167, 31);
INSERT INTO public.ecdc_data VALUES (5611, 0, 0, 0, 80, 31);
INSERT INTO public.ecdc_data VALUES (5612, 0, 0, 0, 81, 31);
INSERT INTO public.ecdc_data VALUES (5613, 0, 0, 276.75662751, 205, 31);
INSERT INTO public.ecdc_data VALUES (5614, 16, 390, 46.54330501, 82, 31);
INSERT INTO public.ecdc_data VALUES (5615, 0, 0, 4.65347149, 168, 31);
INSERT INTO public.ecdc_data VALUES (5616, 0, 32, 4.38485015, 24, 31);
INSERT INTO public.ecdc_data VALUES (5617, 0, 0, 2.55086503, 25, 31);
INSERT INTO public.ecdc_data VALUES (5618, 2, 47, 117.40282968, 83, 31);
INSERT INTO public.ecdc_data VALUES (5619, 0, 0, 2.04207038, 84, 31);
INSERT INTO public.ecdc_data VALUES (5620, 0, 0, 0, 169, 31);
INSERT INTO public.ecdc_data VALUES (5621, 1, 561, 75.10685027, 85, 31);
INSERT INTO public.ecdc_data VALUES (5622, 13, 702, 126.95497565, 170, 31);
INSERT INTO public.ecdc_data VALUES (5623, 0, 22, 128.29455084, 171, 31);
INSERT INTO public.ecdc_data VALUES (5624, 1039, 82170, 89.89015216, 112, 31);
INSERT INTO public.ecdc_data VALUES (5625, 78, 3874, 20.99986362, 113, 31);
INSERT INTO public.ecdc_data VALUES (5626, 195, 3362, 53.57244533, 114, 31);
INSERT INTO public.ecdc_data VALUES (5627, 55, 3481, 150.44853077, 115, 31);
INSERT INTO public.ecdc_data VALUES (5628, 0, 430, 81.66402949, 172, 31);
INSERT INTO public.ecdc_data VALUES (5629, 0, 0, 3.54656043, 173, 31);
INSERT INTO public.ecdc_data VALUES (5630, 25, 3926, 873.65584298, 116, 31);
INSERT INTO public.ecdc_data VALUES (5631, 17, 1766, 36.64209138, 174, 31);
INSERT INTO public.ecdc_data VALUES (5632, 1, 164, 75.36605278, 86, 31);
INSERT INTO public.ecdc_data VALUES (5633, 3, 441, 5.10325141, 117, 31);
INSERT INTO public.ecdc_data VALUES (5634, 0, 0, 18.55356414, 175, 31);
INSERT INTO public.ecdc_data VALUES (5635, 2, 431, 51.25871425, 118, 31);
INSERT INTO public.ecdc_data VALUES (5636, 1, 90, 20.22485816, 119, 31);
INSERT INTO public.ecdc_data VALUES (5637, 2, 244, 3.72427669, 26, 31);
INSERT INTO public.ecdc_data VALUES (5638, 3, 47, 46.42742365, 176, 31);
INSERT INTO public.ecdc_data VALUES (5639, 4, 345, 208.69596634, 120, 31);
INSERT INTO public.ecdc_data VALUES (5640, 1, 104, 22.24178835, 121, 31);
INSERT INTO public.ecdc_data VALUES (5641, 0, 0, 0, 122, 31);
INSERT INTO public.ecdc_data VALUES (5642, 0, 22, 10.52100868, 177, 31);
INSERT INTO public.ecdc_data VALUES (5643, 7, 1012, 174.21976341, 123, 31);
INSERT INTO public.ecdc_data VALUES (5644, 0, 0, 14.72756129, 27, 31);
INSERT INTO public.ecdc_data VALUES (5645, 0, 1, 0.40507363, 28, 31);
INSERT INTO public.ecdc_data VALUES (5646, 21, 536, 141.39529997, 29, 31);
INSERT INTO public.ecdc_data VALUES (5647, 0, 0, 15.63395695, 178, 31);
INSERT INTO public.ecdc_data VALUES (5648, 2, 90, 37.57805499, 179, 31);
INSERT INTO public.ecdc_data VALUES (5649, 0, 46, 189.44638651, 180, 31);
INSERT INTO public.ecdc_data VALUES (5650, 0, 28, 1.95778119, 30, 31);
INSERT INTO public.ecdc_data VALUES (5651, 0, 5, 0.41870767, 31, 31);
INSERT INTO public.ecdc_data VALUES (5652, 1, 150, 3.14243077, 124, 31);
INSERT INTO public.ecdc_data VALUES (5653, 0, 53, 174.21373106, 125, 31);
INSERT INTO public.ecdc_data VALUES (5654, 0, 6, 0.82409101, 32, 31);
INSERT INTO public.ecdc_data VALUES (5655, 1, 27, 121.76862341, 181, 31);
INSERT INTO public.ecdc_data VALUES (5656, 0, 5, 4.10986327, 33, 31);
INSERT INTO public.ecdc_data VALUES (5657, 0, 0, 0.47256374, 34, 31);
INSERT INTO public.ecdc_data VALUES (5658, 187, 1701, 47.03958547, 87, 31);
INSERT INTO public.ecdc_data VALUES (5659, 8, 341, 195.31278983, 182, 31);
INSERT INTO public.ecdc_data VALUES (5660, 0, 0, 117.87819253, 183, 31);
INSERT INTO public.ecdc_data VALUES (5661, 0, 0, 0.06201231, 126, 31);
INSERT INTO public.ecdc_data VALUES (5662, 0, 116, 578.76955617, 184, 31);
INSERT INTO public.ecdc_data VALUES (5663, 0, 0, 0, 88, 31);
INSERT INTO public.ecdc_data VALUES (5664, 28, 2444, 84.99451329, 35, 31);
INSERT INTO public.ecdc_data VALUES (5665, 4, 226, 8.93761495, 36, 31);
INSERT INTO public.ecdc_data VALUES (5666, 28, 743, 14.2824308, 127, 31);
INSERT INTO public.ecdc_data VALUES (5667, 0, 115, 52.67538015, 37, 31);
INSERT INTO public.ecdc_data VALUES (5668, 10, 1573, 67.23475696, 128, 31);
INSERT INTO public.ecdc_data VALUES (5669, 8, 2989, 170.62100386, 185, 31);
INSERT INTO public.ecdc_data VALUES (5670, 0, 0, 0.35366056, 207, 31);
INSERT INTO public.ecdc_data VALUES (5671, 0, 0, 0.62721328, 208, 31);
INSERT INTO public.ecdc_data VALUES (5672, 0, 0, 3.89580449, 89, 31);
INSERT INTO public.ecdc_data VALUES (5673, 0, 2, 0.06863795, 38, 31);
INSERT INTO public.ecdc_data VALUES (5674, 2, 126, 1.02904206, 39, 31);
INSERT INTO public.ecdc_data VALUES (5675, 3, 146, 93.15729573, 186, 31);
INSERT INTO public.ecdc_data VALUES (5676, 0, 1, 17.47854509, 209, 31);
INSERT INTO public.ecdc_data VALUES (5677, 0, 0, 28.90275387, 187, 31);
INSERT INTO public.ecdc_data VALUES (5678, 24, 1543, 154.85452037, 129, 31);
INSERT INTO public.ecdc_data VALUES (5679, 9, 566, 4.07313605, 130, 31);
INSERT INTO public.ecdc_data VALUES (5680, 9, 621, 194.38224668, 131, 31);
INSERT INTO public.ecdc_data VALUES (5681, 17, 447, 207.46790253, 90, 31);
INSERT INTO public.ecdc_data VALUES (5682, 0, 0, 0.23928573, 210, 31);
INSERT INTO public.ecdc_data VALUES (5683, 21, 762, 154.25914657, 91, 31);
INSERT INTO public.ecdc_data VALUES (5684, 120, 5160, 232.79583046, 92, 31);
INSERT INTO public.ecdc_data VALUES (5685, 60, 2970, 39.7811171, 132, 31);
INSERT INTO public.ecdc_data VALUES (5686, 8, 1350, 34.70377701, 188, 31);
INSERT INTO public.ecdc_data VALUES (5687, 9, 665, 93.62030326, 189, 31);
INSERT INTO public.ecdc_data VALUES (5688, 2, 891, 304.21994379, 93, 31);
INSERT INTO public.ecdc_data VALUES (5689, 0, 234, 118.0761358, 133, 31);
INSERT INTO public.ecdc_data VALUES (5690, 31, 1438, 98.78205202, 190, 31);
INSERT INTO public.ecdc_data VALUES (5691, 99, 7867, 60.75658251, 191, 31);
INSERT INTO public.ecdc_data VALUES (5692, 0, 9, 1.81358299, 40, 31);
INSERT INTO public.ecdc_data VALUES (5693, 0, 0, 3.78544119, 94, 31);
INSERT INTO public.ecdc_data VALUES (5694, 0, 0, 0, 95, 31);
INSERT INTO public.ecdc_data VALUES (5695, 0, 0, 0, 96, 31);
INSERT INTO public.ecdc_data VALUES (5696, 0, 0, 14.51252431, 192, 31);
INSERT INTO public.ecdc_data VALUES (5697, 0, 0, 2.32506231, 41, 31);
INSERT INTO public.ecdc_data VALUES (5698, 28, 403, 22.0085315, 134, 31);
INSERT INTO public.ecdc_data VALUES (5699, 2, 40, 3.85975717, 42, 31);
INSERT INTO public.ecdc_data VALUES (5700, 1, 72, 14.01540891, 193, 31);
INSERT INTO public.ecdc_data VALUES (5701, 0, 0, 4.09244841, 43, 31);
INSERT INTO public.ecdc_data VALUES (5702, 0, 7, 1.35667723, 44, 31);
INSERT INTO public.ecdc_data VALUES (5703, 0, 15, 5.06517275, 135, 31);
INSERT INTO public.ecdc_data VALUES (5704, 0, 11, 224.11474675, 97, 31);
INSERT INTO public.ecdc_data VALUES (5705, 0, 478, 65.05919451, 194, 31);
INSERT INTO public.ecdc_data VALUES (5706, 0, 159, 79.19619704, 195, 31);
INSERT INTO public.ecdc_data VALUES (5707, 0, 0, 1.28861757, 45, 31);
INSERT INTO public.ecdc_data VALUES (5708, 22, 1268, 35.81560909, 46, 31);
INSERT INTO public.ecdc_data VALUES (5709, 5, 50, 2.68617155, 136, 31);
INSERT INTO public.ecdc_data VALUES (5710, 0, 10, 0.97630525, 47, 31);
INSERT INTO public.ecdc_data VALUES (5711, 179, 31785, 329.2409026, 196, 31);
INSERT INTO public.ecdc_data VALUES (5712, 0, 11, 0.59089088, 137, 31);
INSERT INTO public.ecdc_data VALUES (5713, 0, 0, 0.31765877, 48, 31);
INSERT INTO public.ecdc_data VALUES (5714, 0, 4, 43.51842136, 98, 31);
INSERT INTO public.ecdc_data VALUES (5715, 1, 167, 48.25914683, 197, 31);
INSERT INTO public.ecdc_data VALUES (5716, 0, 0, 56.12949669, 198, 31);
INSERT INTO public.ecdc_data VALUES (5717, 4, 34, 3.11655469, 138, 31);
INSERT INTO public.ecdc_data VALUES (5718, 0, 0, 0.05047556, 139, 31);
INSERT INTO public.ecdc_data VALUES (5719, 0, 41, 6.40487637, 140, 31);
INSERT INTO public.ecdc_data VALUES (5720, 0, 22, 0.10053776, 141, 31);
INSERT INTO public.ecdc_data VALUES (5721, 0, 0, 0, 142, 31);
INSERT INTO public.ecdc_data VALUES (5722, 0, 7, 2.11571894, 49, 31);
INSERT INTO public.ecdc_data VALUES (5723, 1, 50, 94.62575871, 99, 31);
INSERT INTO public.ecdc_data VALUES (5724, 7, 936, 81.05366515, 50, 31);
INSERT INTO public.ecdc_data VALUES (5725, 68, 1467, 28.37792484, 199, 31);
INSERT INTO public.ecdc_data VALUES (5726, 0, 1, 94.25564225, 100, 31);
INSERT INTO public.ecdc_data VALUES (5727, 2, 166, 6.16902073, 51, 31);
INSERT INTO public.ecdc_data VALUES (5728, 56, 3130, 100.69409346, 200, 31);
INSERT INTO public.ecdc_data VALUES (5729, 1, 851, 122.61366481, 143, 31);
INSERT INTO public.ecdc_data VALUES (5730, 17, 5692, 99.72675185, 201, 31);
INSERT INTO public.ecdc_data VALUES (5731, 0, 0, 0, 52, 31);
INSERT INTO public.ecdc_data VALUES (5732, 259, 36248, 180.83574677, 101, 31);
INSERT INTO public.ecdc_data VALUES (5733, 0, 0, 92.75284713, 102, 31);
INSERT INTO public.ecdc_data VALUES (5734, 0, 10, 5.77745642, 103, 31);
INSERT INTO public.ecdc_data VALUES (5735, 6, 640, 24.17400065, 144, 31);
INSERT INTO public.ecdc_data VALUES (5736, 6, 751, 42.61142119, 104, 31);
INSERT INTO public.ecdc_data VALUES (5737, 0, 5, 0.01140344, 145, 31);
INSERT INTO public.ecdc_data VALUES (5738, 0, 0, 0, 53, 31);
INSERT INTO public.ecdc_data VALUES (5739, 0, 1, 0.07201171, 146, 31);
INSERT INTO public.ecdc_data VALUES (5740, 0, 29, 6.16985556, 54, 31);
INSERT INTO public.ecdc_data VALUES (5741, 0, 9, 1.95282187, 55, 31);
INSERT INTO public.ecdc_data VALUES (5742, 0, 3, 1.85322671, 105, 32);
INSERT INTO public.ecdc_data VALUES (5743, 3, 156, 73.78354103, 147, 32);
INSERT INTO public.ecdc_data VALUES (5744, 10, 397, 13.53910921, 1, 32);
INSERT INTO public.ecdc_data VALUES (5745, 0, 0, 153.58966617, 148, 32);
INSERT INTO public.ecdc_data VALUES (5746, 2, 83, 2.05182676, 2, 32);
INSERT INTO public.ecdc_data VALUES (5747, 0, 0, 0, 56, 32);
INSERT INTO public.ecdc_data VALUES (5748, 0, 0, 1.02970705, 57, 32);
INSERT INTO public.ecdc_data VALUES (5749, 283, 10550, 226.91484664, 58, 32);
INSERT INTO public.ecdc_data VALUES (5750, 3, 203, 75.97047463, 149, 32);
INSERT INTO public.ecdc_data VALUES (5751, 0, 88, 897.37559966, 59, 32);
INSERT INTO public.ecdc_data VALUES (5752, 23, 117, 11.76041138, 202, 32);
INSERT INTO public.ecdc_data VALUES (5753, 0, 227, 41.21337318, 150, 32);
INSERT INTO public.ecdc_data VALUES (5754, 2, 137, 19.19838722, 151, 32);
INSERT INTO public.ecdc_data VALUES (5755, 0, 110, 214.12836405, 60, 32);
INSERT INTO public.ecdc_data VALUES (5756, 2, 363, 306.48978408, 106, 32);
INSERT INTO public.ecdc_data VALUES (5757, 45, 2436, 21.75334713, 107, 32);
INSERT INTO public.ecdc_data VALUES (5758, 0, 0, 7.31653781, 61, 32);
INSERT INTO public.ecdc_data VALUES (5759, 5, 191, 20.75661347, 152, 32);
INSERT INTO public.ecdc_data VALUES (5760, 3, 535, 58.17283355, 153, 32);
INSERT INTO public.ecdc_data VALUES (5761, 1, 58, 118.35501894, 62, 32);
INSERT INTO public.ecdc_data VALUES (5762, 0, 0, 1.22021996, 3, 32);
INSERT INTO public.ecdc_data VALUES (5763, 0, 0, 14.39815704, 63, 32);
INSERT INTO public.ecdc_data VALUES (5764, 0, 1, 6.94540908, 108, 32);
INSERT INTO public.ecdc_data VALUES (5765, 65, 1035, 156.84739004, 64, 32);
INSERT INTO public.ecdc_data VALUES (5766, 0, 1, 3.84867028, 65, 32);
INSERT INTO public.ecdc_data VALUES (5767, 11, 311, 113.17789347, 154, 32);
INSERT INTO public.ecdc_data VALUES (5768, 0, 0, 18.18810845, 4, 32);
INSERT INTO public.ecdc_data VALUES (5769, 984, 44235, 254.21285135, 66, 32);
INSERT INTO public.ecdc_data VALUES (5770, 0, 0, 56.60440182, 67, 32);
INSERT INTO public.ecdc_data VALUES (5771, 0, 0, 0.46157823, 109, 32);
INSERT INTO public.ecdc_data VALUES (5772, 8, 157, 26.2712822, 155, 32);
INSERT INTO public.ecdc_data VALUES (5773, 0, 5, 0.58559007, 5, 32);
INSERT INTO public.ecdc_data VALUES (5774, 0, 1, 0.18212445, 6, 32);
INSERT INTO public.ecdc_data VALUES (5775, 0, 0, 0, 110, 32);
INSERT INTO public.ecdc_data VALUES (5776, 1, 169, 3.22301564, 7, 32);
INSERT INTO public.ecdc_data VALUES (5777, 8, 431, 15.00626633, 68, 32);
INSERT INTO public.ecdc_data VALUES (5778, 0, 69, 113.83142766, 8, 32);
INSERT INTO public.ecdc_data VALUES (5779, 0, 0, 3.07938659, 69, 32);
INSERT INTO public.ecdc_data VALUES (5780, 0, 0, 0.96940495, 9, 32);
INSERT INTO public.ecdc_data VALUES (5781, 0, 6, 0.34489501, 10, 32);
INSERT INTO public.ecdc_data VALUES (5782, 82, 1737, 126.99427792, 70, 32);
INSERT INTO public.ecdc_data VALUES (5783, 2, 30, 0.0467295, 111, 32);
INSERT INTO public.ecdc_data VALUES (5784, 284, 9752, 294.43512118, 71, 32);
INSERT INTO public.ecdc_data VALUES (5785, 0, 0, 2.11542959, 11, 32);
INSERT INTO public.ecdc_data VALUES (5786, 0, 0, 4.34903496, 12, 32);
INSERT INTO public.ecdc_data VALUES (5787, 11, 985, 221.15631688, 72, 32);
INSERT INTO public.ecdc_data VALUES (5788, 1, 99, 3.1613878, 13, 32);
INSERT INTO public.ecdc_data VALUES (5789, 2, 304, 77.08072575, 156, 32);
INSERT INTO public.ecdc_data VALUES (5790, 0, 47, 5.57639645, 73, 32);
INSERT INTO public.ecdc_data VALUES (5791, 0, 4, 12.85008842, 74, 32);
INSERT INTO public.ecdc_data VALUES (5792, 0, 0, 20.09364093, 157, 32);
INSERT INTO public.ecdc_data VALUES (5793, 0, 349, 36.61101617, 158, 32);
INSERT INTO public.ecdc_data VALUES (5794, 1, 3, 0.37561685, 14, 32);
INSERT INTO public.ecdc_data VALUES (5795, 1, 90, 24.33655335, 159, 32);
INSERT INTO public.ecdc_data VALUES (5796, 0, 0, 2.56790306, 15, 32);
INSERT INTO public.ecdc_data VALUES (5797, 0, 0, 2.78520499, 75, 32);
INSERT INTO public.ecdc_data VALUES (5798, 17, 407, 91.53589124, 76, 32);
INSERT INTO public.ecdc_data VALUES (5799, 61, 670, 74.11220332, 77, 32);
INSERT INTO public.ecdc_data VALUES (5800, 25, 237, 1.94644631, 16, 32);
INSERT INTO public.ecdc_data VALUES (5801, 7, 144, 50.99518869, 78, 32);
INSERT INTO public.ecdc_data VALUES (5802, 0, 2, 7.8909602, 17, 32);
INSERT INTO public.ecdc_data VALUES (5803, 0, 2, 0.91503945, 18, 32);
INSERT INTO public.ecdc_data VALUES (5804, 0, 14, 11.39777479, 160, 32);
INSERT INTO public.ecdc_data VALUES (5805, 1, 46, 72.63966805, 19, 32);
INSERT INTO public.ecdc_data VALUES (5806, 20, 1186, 18.02572222, 20, 32);
INSERT INTO public.ecdc_data VALUES (5807, 0, 0, 0, 79, 32);
INSERT INTO public.ecdc_data VALUES (5808, 0, 0, 100.66355774, 161, 32);
INSERT INTO public.ecdc_data VALUES (5809, 0, 0, 0.11236523, 203, 32);
INSERT INTO public.ecdc_data VALUES (5810, 0, 17, 6.08925213, 162, 32);
INSERT INTO public.ecdc_data VALUES (5811, 32, 6111, 75.10943829, 163, 32);
INSERT INTO public.ecdc_data VALUES (5812, 0, 0, 72.68560789, 204, 32);
INSERT INTO public.ecdc_data VALUES (5813, 0, 0, 17.99705235, 21, 32);
INSERT INTO public.ecdc_data VALUES (5814, 0, 35, 50.56020882, 22, 32);
INSERT INTO public.ecdc_data VALUES (5815, 0, 8, 3.72801783, 164, 32);
INSERT INTO public.ecdc_data VALUES (5816, 3, 1571, 21.79495486, 165, 32);
INSERT INTO public.ecdc_data VALUES (5817, 0, 0, 6.55535968, 23, 32);
INSERT INTO public.ecdc_data VALUES (5818, 0, 2, 198.7776657, 166, 32);
INSERT INTO public.ecdc_data VALUES (5819, 6, 251, 29.37172756, 167, 32);
INSERT INTO public.ecdc_data VALUES (5820, 0, 0, 0, 80, 32);
INSERT INTO public.ecdc_data VALUES (5821, 0, 0, 0, 81, 32);
INSERT INTO public.ecdc_data VALUES (5822, 1, 112, 451.29860426, 205, 32);
INSERT INTO public.ecdc_data VALUES (5823, 23, 1142, 65.81927479, 82, 32);
INSERT INTO public.ecdc_data VALUES (5824, 0, 0, 0, 168, 32);
INSERT INTO public.ecdc_data VALUES (5825, 1, 46, 7.94754091, 24, 32);
INSERT INTO public.ecdc_data VALUES (5826, 0, 0, 1.66587104, 25, 32);
INSERT INTO public.ecdc_data VALUES (5827, 1, 47, 65.02507106, 83, 32);
INSERT INTO public.ecdc_data VALUES (5828, 0, 0, 3.0275913, 84, 32);
INSERT INTO public.ecdc_data VALUES (5829, 0, 0, 0, 169, 32);
INSERT INTO public.ecdc_data VALUES (5830, 56, 1020, 88.51732203, 85, 32);
INSERT INTO public.ecdc_data VALUES (5831, 0, 91, 5.79161088, 170, 32);
INSERT INTO public.ecdc_data VALUES (5832, 0, 5, 31.09322084, 171, 32);
INSERT INTO public.ecdc_data VALUES (5833, 1057, 77266, 67.79112727, 112, 32);
INSERT INTO public.ecdc_data VALUES (5834, 120, 2719, 11.11055409, 113, 32);
INSERT INTO public.ecdc_data VALUES (5835, 236, 4433, 37.95745063, 114, 32);
INSERT INTO public.ecdc_data VALUES (5836, 72, 3651, 140.31619452, 115, 32);
INSERT INTO public.ecdc_data VALUES (5837, 0, 90, 31.0751513, 172, 32);
INSERT INTO public.ecdc_data VALUES (5838, 0, 0, 0, 173, 32);
INSERT INTO public.ecdc_data VALUES (5839, 9, 1439, 241.57881102, 116, 32);
INSERT INTO public.ecdc_data VALUES (5840, 5, 1409, 19.40703795, 174, 32);
INSERT INTO public.ecdc_data VALUES (5841, 0, 66, 27.10057434, 86, 32);
INSERT INTO public.ecdc_data VALUES (5842, 12, 905, 11.08305759, 117, 32);
INSERT INTO public.ecdc_data VALUES (5843, 0, 1, 18.55356414, 175, 32);
INSERT INTO public.ecdc_data VALUES (5844, 0, 45, 4.7615762, 118, 32);
INSERT INTO public.ecdc_data VALUES (5845, 0, 954, 54.46480993, 119, 32);
INSERT INTO public.ecdc_data VALUES (5846, 3, 373, 8.8161504, 26, 32);
INSERT INTO public.ecdc_data VALUES (5847, 6, 141, 110.81419801, 176, 32);
INSERT INTO public.ecdc_data VALUES (5848, 1, 674, 201.06596575, 120, 32);
INSERT INTO public.ecdc_data VALUES (5849, 0, 128, 39.24654734, 121, 32);
INSERT INTO public.ecdc_data VALUES (5850, 0, 0, 0.02789612, 122, 32);
INSERT INTO public.ecdc_data VALUES (5851, 1, 6, 3.07296788, 177, 32);
INSERT INTO public.ecdc_data VALUES (5852, 7, 689, 105.4012065, 123, 32);
INSERT INTO public.ecdc_data VALUES (5853, 0, 0, 11.10448711, 27, 32);
INSERT INTO public.ecdc_data VALUES (5854, 0, 0, 0.93166934, 28, 32);
INSERT INTO public.ecdc_data VALUES (5855, 9, 440, 77.07910332, 29, 32);
INSERT INTO public.ecdc_data VALUES (5856, 0, 1, 39.08489239, 178, 32);
INSERT INTO public.ecdc_data VALUES (5857, 0, 36, 15.46068548, 179, 32);
INSERT INTO public.ecdc_data VALUES (5858, 0, -1385, -134.38802138, 180, 32);
INSERT INTO public.ecdc_data VALUES (5859, 3, 38, 3.96747325, 30, 32);
INSERT INTO public.ecdc_data VALUES (5860, 0, 22, 3.13493944, 31, 32);
INSERT INTO public.ecdc_data VALUES (5861, 0, 5, 0.52269516, 124, 32);
INSERT INTO public.ecdc_data VALUES (5862, 0, 104, 345.60237458, 125, 32);
INSERT INTO public.ecdc_data VALUES (5863, 0, 13, 0.67656854, 32, 32);
INSERT INTO public.ecdc_data VALUES (5864, 0, 32, 131.89912452, 181, 32);
INSERT INTO public.ecdc_data VALUES (5865, 0, 17, 7.84409388, 33, 32);
INSERT INTO public.ecdc_data VALUES (5866, 0, 0, 0.15752125, 34, 32);
INSERT INTO public.ecdc_data VALUES (5867, 518, 6248, 58.38502147, 87, 32);
INSERT INTO public.ecdc_data VALUES (5868, 10, 564, 159.74741162, 182, 32);
INSERT INTO public.ecdc_data VALUES (5869, 0, 3, 78.58546169, 183, 32);
INSERT INTO public.ecdc_data VALUES (5870, 0, 0, 0.12402462, 126, 32);
INSERT INTO public.ecdc_data VALUES (5871, 1, 59, 112.66799747, 184, 32);
INSERT INTO public.ecdc_data VALUES (5872, 0, 0, 0, 88, 32);
INSERT INTO public.ecdc_data VALUES (5873, 27, 1221, 52.5063689, 35, 32);
INSERT INTO public.ecdc_data VALUES (5874, 0, 61, 3.33596313, 36, 32);
INSERT INTO public.ecdc_data VALUES (5875, 0, 42, 0.47922653, 127, 32);
INSERT INTO public.ecdc_data VALUES (5876, 1, 281, 126.99817681, 37, 32);
INSERT INTO public.ecdc_data VALUES (5877, 8, 1111, 36.9537744, 128, 32);
INSERT INTO public.ecdc_data VALUES (5878, 3, 510, 42.85921849, 185, 32);
INSERT INTO public.ecdc_data VALUES (5879, 0, 0, 0, 207, 32);
INSERT INTO public.ecdc_data VALUES (5880, 0, 12, 2.34159624, 208, 32);
INSERT INTO public.ecdc_data VALUES (5881, 0, 0, 5.79023491, 89, 32);
INSERT INTO public.ecdc_data VALUES (5882, 0, 0, 0.05147846, 38, 32);
INSERT INTO public.ecdc_data VALUES (5883, 1, 296, 2.58803083, 39, 32);
INSERT INTO public.ecdc_data VALUES (5884, 11, 128, 75.5849893, 186, 32);
INSERT INTO public.ecdc_data VALUES (5885, 0, 0, 8.73927254, 209, 32);
INSERT INTO public.ecdc_data VALUES (5886, 0, 51, 13.55051188, 187, 32);
INSERT INTO public.ecdc_data VALUES (5887, 4, 187, 49.72872318, 129, 32);
INSERT INTO public.ecdc_data VALUES (5888, 9, 415, 3.57998229, 130, 32);
INSERT INTO public.ecdc_data VALUES (5889, 7, 622, 137.73175611, 131, 32);
INSERT INTO public.ecdc_data VALUES (5890, 16, 900, 271.66285171, 90, 32);
INSERT INTO public.ecdc_data VALUES (5891, 0, 5, 1.74336743, 210, 32);
INSERT INTO public.ecdc_data VALUES (5892, 18, 418, 97.96101688, 91, 32);
INSERT INTO public.ecdc_data VALUES (5893, 153, 8619, 350.65942773, 92, 32);
INSERT INTO public.ecdc_data VALUES (5894, 97, 3220, 53.6966462, 132, 32);
INSERT INTO public.ecdc_data VALUES (5895, 16, 887, 26.86659076, 188, 32);
INSERT INTO public.ecdc_data VALUES (5896, 2, 399, 30.4088398, 189, 32);
INSERT INTO public.ecdc_data VALUES (5897, 8, 639, 236.48293927, 93, 32);
INSERT INTO public.ecdc_data VALUES (5898, 1, 246, 130.89361107, 133, 32);
INSERT INTO public.ecdc_data VALUES (5899, 38, 1504, 85.08607348, 190, 32);
INSERT INTO public.ecdc_data VALUES (5900, 121, 4711, 46.49136169, 191, 32);
INSERT INTO public.ecdc_data VALUES (5901, 0, 47, 11.65761644, 40, 32);
INSERT INTO public.ecdc_data VALUES (5902, 0, 0, 0, 94, 32);
INSERT INTO public.ecdc_data VALUES (5903, 0, 0, 0.54706092, 95, 32);
INSERT INTO public.ecdc_data VALUES (5904, 0, 2, 2.71264908, 96, 32);
INSERT INTO public.ecdc_data VALUES (5905, 0, 0, 0, 192, 32);
INSERT INTO public.ecdc_data VALUES (5906, 0, 2, 5.58014955, 41, 32);
INSERT INTO public.ecdc_data VALUES (5907, 30, 1019, 50.58869028, 134, 32);
INSERT INTO public.ecdc_data VALUES (5908, 2, 108, 9.53587064, 42, 32);
INSERT INTO public.ecdc_data VALUES (5909, 0, 125, 30.17046528, 193, 32);
INSERT INTO public.ecdc_data VALUES (5910, 0, 0, 9.20800892, 43, 32);
INSERT INTO public.ecdc_data VALUES (5911, 1, 10, 0.93431545, 44, 32);
INSERT INTO public.ecdc_data VALUES (5912, 0, 77, 18.52061465, 135, 32);
INSERT INTO public.ecdc_data VALUES (5913, 0, 2, 426.99757012, 97, 32);
INSERT INTO public.ecdc_data VALUES (5914, 0, 90, 16.27397223, 194, 32);
INSERT INTO public.ecdc_data VALUES (5915, 0, 33, 20.32766465, 195, 32);
INSERT INTO public.ecdc_data VALUES (5916, 0, 0, 0.31082233, 45, 32);
INSERT INTO public.ecdc_data VALUES (5917, 126, 2585, 77.5654785, 46, 32);
INSERT INTO public.ecdc_data VALUES (5918, 3, 371, 8.20687878, 136, 32);
INSERT INTO public.ecdc_data VALUES (5919, 0, 4, 0.32543508, 47, 32);
INSERT INTO public.ecdc_data VALUES (5920, 15, 9779, 205.53694671, 196, 32);
INSERT INTO public.ecdc_data VALUES (5921, 0, 2, 0.48771946, 137, 32);
INSERT INTO public.ecdc_data VALUES (5922, 4, 71, 2.17222538, 48, 32);
INSERT INTO public.ecdc_data VALUES (5923, 4, 69, 177.51387687, 98, 32);
INSERT INTO public.ecdc_data VALUES (5924, 1, 202, 32.48230604, 197, 32);
INSERT INTO public.ecdc_data VALUES (5925, 1, 360, 41.99179194, 198, 32);
INSERT INTO public.ecdc_data VALUES (5926, 2, 64, 6.27997487, 138, 32);
INSERT INTO public.ecdc_data VALUES (5927, 0, 0, 0.02523778, 139, 32);
INSERT INTO public.ecdc_data VALUES (5928, 1, 36, 5.35348963, 140, 32);
INSERT INTO public.ecdc_data VALUES (5929, 0, 6, 0.04883263, 141, 32);
INSERT INTO public.ecdc_data VALUES (5930, 0, 0, 0.15466469, 142, 32);
INSERT INTO public.ecdc_data VALUES (5931, 0, 0, 2.74672283, 49, 32);
INSERT INTO public.ecdc_data VALUES (5932, 0, 65, 76.84758586, 99, 32);
INSERT INTO public.ecdc_data VALUES (5933, 2, 117, 12.6210792, 50, 32);
INSERT INTO public.ecdc_data VALUES (5934, 26, 1491, 22.39284233, 199, 32);
INSERT INTO public.ecdc_data VALUES (5935, 0, 18, 586.47955176, 100, 32);
INSERT INTO public.ecdc_data VALUES (5936, 2, 155, 2.99528432, 51, 32);
INSERT INTO public.ecdc_data VALUES (5937, 0, 0, 54.97839767, 200, 32);
INSERT INTO public.ecdc_data VALUES (5938, 0, 491, 51.39948453, 143, 32);
INSERT INTO public.ecdc_data VALUES (5939, 12, 1522, 23.16829572, 201, 32);
INSERT INTO public.ecdc_data VALUES (5940, 0, 0, 0, 52, 32);
INSERT INTO public.ecdc_data VALUES (5941, 1110, 45909, 188.2737928, 101, 32);
INSERT INTO public.ecdc_data VALUES (5942, 0, 45, 354.7557349, 102, 32);
INSERT INTO public.ecdc_data VALUES (5943, 0, 8, 4.10199406, 103, 32);
INSERT INTO public.ecdc_data VALUES (5944, 5, 418, 21.38154429, 144, 32);
INSERT INTO public.ecdc_data VALUES (5945, 15, 1740, 43.93700074, 104, 32);
INSERT INTO public.ecdc_data VALUES (5946, 0, 2, 0.12958456, 145, 32);
INSERT INTO public.ecdc_data VALUES (5947, 0, 0, 0, 53, 32);
INSERT INTO public.ecdc_data VALUES (5948, 2, 4, 0.29833425, 146, 32);
INSERT INTO public.ecdc_data VALUES (5949, 0, 225, 16.44921565, 54, 32);
INSERT INTO public.ecdc_data VALUES (5950, 10, 41, 8.89011915, 55, 32);
INSERT INTO public.ecdc_data VALUES (5951, 1, 105, 5.02868466, 105, 33);
INSERT INTO public.ecdc_data VALUES (5952, 6, 117, 45.73042387, 147, 33);
INSERT INTO public.ecdc_data VALUES (5953, 8, 616, 19.241376, 1, 33);
INSERT INTO public.ecdc_data VALUES (5954, 0, 10, 64.32387729, 148, 33);
INSERT INTO public.ecdc_data VALUES (5955, 0, 2, 1.33855773, 2, 33);
INSERT INTO public.ecdc_data VALUES (5956, 0, 0, 0, 56, 33);
INSERT INTO public.ecdc_data VALUES (5957, 0, 4, 12.35648458, 57, 33);
INSERT INTO public.ecdc_data VALUES (5958, 17, 0, 139.25649848, 58, 33);
INSERT INTO public.ecdc_data VALUES (5959, 8, 239, 173.74822837, 149, 33);
INSERT INTO public.ecdc_data VALUES (5960, 0, 0, 13.16903396, 59, 33);
INSERT INTO public.ecdc_data VALUES (5961, 6, 532, 19.66020188, 202, 33);
INSERT INTO public.ecdc_data VALUES (5962, 1, 64, 19.08841798, 150, 33);
INSERT INTO public.ecdc_data VALUES (5963, 6, 396, 58.48093483, 151, 33);
INSERT INTO public.ecdc_data VALUES (5964, 0, 40, 69.06538361, 60, 33);
INSERT INTO public.ecdc_data VALUES (5965, 1, 351, 365.95977002, 106, 33);
INSERT INTO public.ecdc_data VALUES (5966, 37, 2772, 24.12261464, 107, 33);
INSERT INTO public.ecdc_data VALUES (5967, 0, 0, 2.43884594, 61, 33);
INSERT INTO public.ecdc_data VALUES (5968, 4, 119, 22.60799337, 152, 33);
INSERT INTO public.ecdc_data VALUES (5969, 4, 595, 33.81776068, 153, 33);
INSERT INTO public.ecdc_data VALUES (5970, 0, 0, 2.81797664, 62, 33);
INSERT INTO public.ecdc_data VALUES (5971, 0, 0, 3.32170989, 3, 33);
INSERT INTO public.ecdc_data VALUES (5972, 0, 0, 6.3991809, 63, 33);
INSERT INTO public.ecdc_data VALUES (5973, 0, 4, 1.96568182, 108, 33);
INSERT INTO public.ecdc_data VALUES (5974, 64, 2382, 195.95935135, 64, 33);
INSERT INTO public.ecdc_data VALUES (5975, 0, 0, 15.39468114, 65, 33);
INSERT INTO public.ecdc_data VALUES (5976, 11, 429, 106.60412396, 154, 33);
INSERT INTO public.ecdc_data VALUES (5977, 1, 53, 14.75884695, 4, 33);
INSERT INTO public.ecdc_data VALUES (5978, 614, 23284, 264.11242378, 66, 33);
INSERT INTO public.ecdc_data VALUES (5979, 0, 0, 0, 67, 33);
INSERT INTO public.ecdc_data VALUES (5980, 0, 0, 0, 109, 33);
INSERT INTO public.ecdc_data VALUES (5981, 7, 194, 45.85688737, 155, 33);
INSERT INTO public.ecdc_data VALUES (5982, 0, 0, 0.31493919, 5, 33);
INSERT INTO public.ecdc_data VALUES (5983, 0, 17, 0.94531262, 6, 33);
INSERT INTO public.ecdc_data VALUES (5984, 0, 0, 0.3639332, 110, 33);
INSERT INTO public.ecdc_data VALUES (5985, 0, 0, 5.93204917, 7, 33);
INSERT INTO public.ecdc_data VALUES (5986, 11, 699, 17.24891996, 68, 33);
INSERT INTO public.ecdc_data VALUES (5987, 0, 21, 110.19464083, 8, 33);
INSERT INTO public.ecdc_data VALUES (5988, 0, 0, 3.07938659, 69, 33);
INSERT INTO public.ecdc_data VALUES (5989, 0, 0, 5.85857773, 9, 33);
INSERT INTO public.ecdc_data VALUES (5990, 0, 7, 0.26337437, 10, 33);
INSERT INTO public.ecdc_data VALUES (5991, 75, 2133, 159.69788996, 70, 33);
INSERT INTO public.ecdc_data VALUES (5992, 4, 213, 0.11236004, 111, 33);
INSERT INTO public.ecdc_data VALUES (5993, 252, 8125, 204.36062433, 71, 33);
INSERT INTO public.ecdc_data VALUES (5994, 0, 0, 2.70304892, 11, 33);
INSERT INTO public.ecdc_data VALUES (5995, 3, 162, 20.38842458, 12, 33);
INSERT INTO public.ecdc_data VALUES (5996, 11, 612, 154.62913673, 72, 33);
INSERT INTO public.ecdc_data VALUES (5997, 0, 59, 10.82182317, 13, 33);
INSERT INTO public.ecdc_data VALUES (5998, 3, 24, 27.13280798, 156, 33);
INSERT INTO public.ecdc_data VALUES (5999, 0, 37, 0.91763486, 73, 33);
INSERT INTO public.ecdc_data VALUES (6000, 0, 0, 1.83572692, 74, 33);
INSERT INTO public.ecdc_data VALUES (6001, 0, 3, 4.33839975, 157, 33);
INSERT INTO public.ecdc_data VALUES (6002, 2, 192, 21.39007305, 158, 33);
INSERT INTO public.ecdc_data VALUES (6003, 4, 13, 0.88719318, 14, 33);
INSERT INTO public.ecdc_data VALUES (6004, 0, 109, 8.78389399, 159, 33);
INSERT INTO public.ecdc_data VALUES (6005, 0, 9, 8.42272204, 15, 33);
INSERT INTO public.ecdc_data VALUES (6006, 0, 0, 0, 75, 33);
INSERT INTO public.ecdc_data VALUES (6007, 20, 1248, 173.66677229, 76, 33);
INSERT INTO public.ecdc_data VALUES (6008, 17, 467, 73.11068706, 77, 33);
INSERT INTO public.ecdc_data VALUES (6009, 46, 420, 9.44434875, 16, 33);
INSERT INTO public.ecdc_data VALUES (6010, 0, 405, 78.35997242, 78, 33);
INSERT INTO public.ecdc_data VALUES (6011, 0, 0, 0, 17, 33);
INSERT INTO public.ecdc_data VALUES (6012, 0, 2, 0.94363443, 18, 33);
INSERT INTO public.ecdc_data VALUES (6013, 0, 4, 1.81156685, 160, 33);
INSERT INTO public.ecdc_data VALUES (6014, 2, 109, 80.73977492, 19, 33);
INSERT INTO public.ecdc_data VALUES (6015, 5, 579, 6.05021147, 20, 33);
INSERT INTO public.ecdc_data VALUES (6016, 0, 0, 0, 79, 33);
INSERT INTO public.ecdc_data VALUES (6017, 0, 23, 53.41331635, 161, 33);
INSERT INTO public.ecdc_data VALUES (6018, 0, 0, 0.11236523, 203, 33);
INSERT INTO public.ecdc_data VALUES (6019, 0, 5, 1.90289129, 162, 33);
INSERT INTO public.ecdc_data VALUES (6020, 17, 2551, 15.97006355, 163, 33);
INSERT INTO public.ecdc_data VALUES (6021, 0, 0, 0, 204, 33);
INSERT INTO public.ecdc_data VALUES (6022, 0, 205, 53.53087438, 21, 33);
INSERT INTO public.ecdc_data VALUES (6023, 2, 49, 11.1598776, 22, 33);
INSERT INTO public.ecdc_data VALUES (6024, 0, 8, 3.65295707, 164, 33);
INSERT INTO public.ecdc_data VALUES (6025, 4, 633, 8.27157925, 165, 33);
INSERT INTO public.ecdc_data VALUES (6026, 0, 655, 28.39121676, 23, 33);
INSERT INTO public.ecdc_data VALUES (6027, 0, 0, 14.83415416, 166, 33);
INSERT INTO public.ecdc_data VALUES (6028, 0, 34, 3.73906754, 167, 33);
INSERT INTO public.ecdc_data VALUES (6029, 0, 0, 0, 80, 33);
INSERT INTO public.ecdc_data VALUES (6030, 0, 0, 0, 81, 33);
INSERT INTO public.ecdc_data VALUES (6031, 0, 3, 22.11662034, 205, 33);
INSERT INTO public.ecdc_data VALUES (6032, 0, 0, 87.08597617, 82, 33);
INSERT INTO public.ecdc_data VALUES (6033, 0, 0, 0, 168, 33);
INSERT INTO public.ecdc_data VALUES (6034, 2, 47, 7.15670186, 24, 33);
INSERT INTO public.ecdc_data VALUES (6035, 0, 0, 5.83054864, 25, 33);
INSERT INTO public.ecdc_data VALUES (6036, 0, 19, 11.36980614, 83, 33);
INSERT INTO public.ecdc_data VALUES (6037, 1, 25, 5.44256149, 84, 33);
INSERT INTO public.ecdc_data VALUES (6038, 0, 0, 0, 169, 33);
INSERT INTO public.ecdc_data VALUES (6039, 50, 465, 114.52768616, 85, 33);
INSERT INTO public.ecdc_data VALUES (6040, 0, 8, 2.13859836, 170, 33);
INSERT INTO public.ecdc_data VALUES (6041, 0, 7, 5.88250124, 171, 33);
INSERT INTO public.ecdc_data VALUES (6042, 654, 47703, 42.18358533, 112, 33);
INSERT INTO public.ecdc_data VALUES (6043, 57, 1525, 8.61781104, 113, 33);
INSERT INTO public.ecdc_data VALUES (6044, 212, 2434, 40.9509176, 114, 33);
INSERT INTO public.ecdc_data VALUES (6045, 96, 2553, 83.56697107, 115, 33);
INSERT INTO public.ecdc_data VALUES (6046, 0, 11, 5.17919188, 172, 33);
INSERT INTO public.ecdc_data VALUES (6047, 0, 0, 0, 173, 33);
INSERT INTO public.ecdc_data VALUES (6048, 4, 2502, 279.66846856, 116, 33);
INSERT INTO public.ecdc_data VALUES (6049, 5, 168, 5.06299368, 174, 33);
INSERT INTO public.ecdc_data VALUES (6050, 0, 11, 3.18830286, 86, 33);
INSERT INTO public.ecdc_data VALUES (6051, 0, 0, 6.12405935, 117, 33);
INSERT INTO public.ecdc_data VALUES (6052, 0, 2, 4.63839103, 175, 33);
INSERT INTO public.ecdc_data VALUES (6053, 0, 8, -0.06929529, 118, 33);
INSERT INTO public.ecdc_data VALUES (6054, 0, 1526, 123.40289923, 119, 33);
INSERT INTO public.ecdc_data VALUES (6055, 5, 372, 14.60989238, 26, 33);
INSERT INTO public.ecdc_data VALUES (6056, 16, 496, 127.60591291, 176, 33);
INSERT INTO public.ecdc_data VALUES (6057, 5, 606, 210.85898832, 120, 33);
INSERT INTO public.ecdc_data VALUES (6058, 28, 548, 347.67016877, 121, 33);
INSERT INTO public.ecdc_data VALUES (6059, 0, 0, 0.01394806, 122, 33);
INSERT INTO public.ecdc_data VALUES (6060, 0, 1, 2.39587326, 177, 33);
INSERT INTO public.ecdc_data VALUES (6061, 0, 132, 21.33987892, 123, 33);
INSERT INTO public.ecdc_data VALUES (6062, 1, 59, 12.79839192, 27, 33);
INSERT INTO public.ecdc_data VALUES (6063, 0, 5, 2.89627644, 28, 33);
INSERT INTO public.ecdc_data VALUES (6064, 6, 280, 19.40256908, 29, 33);
INSERT INTO public.ecdc_data VALUES (6065, 0, 0, 5.21131898, 178, 33);
INSERT INTO public.ecdc_data VALUES (6066, 0, 11, 5.18935045, 179, 33);
INSERT INTO public.ecdc_data VALUES (6067, 0, 49, 222.35108993, 180, 33);
INSERT INTO public.ecdc_data VALUES (6068, 6, 395, 17.09350623, 30, 33);
INSERT INTO public.ecdc_data VALUES (6069, 4, 69, 6.8657321, 31, 33);
INSERT INTO public.ecdc_data VALUES (6070, 0, 7, 0.56025409, 124, 33);
INSERT INTO public.ecdc_data VALUES (6071, 0, 67, 114.32187541, 125, 33);
INSERT INTO public.ecdc_data VALUES (6072, 1, 3, 0.51378513, 32, 33);
INSERT INTO public.ecdc_data VALUES (6073, 0, 6, 6.48352071, 181, 33);
INSERT INTO public.ecdc_data VALUES (6074, 0, 0, 18.03036791, 33, 33);
INSERT INTO public.ecdc_data VALUES (6075, 0, 0, 0.15752125, 34, 33);
INSERT INTO public.ecdc_data VALUES (6076, 342, 8413, 77.06101693, 87, 33);
INSERT INTO public.ecdc_data VALUES (6077, 13, 120, 91.88134915, 182, 33);
INSERT INTO public.ecdc_data VALUES (6078, 0, 0, 15.11258879, 183, 33);
INSERT INTO public.ecdc_data VALUES (6079, 0, 1, 1.42628317, 126, 33);
INSERT INTO public.ecdc_data VALUES (6080, 3, 324, 231.4435326, 184, 33);
INSERT INTO public.ecdc_data VALUES (6081, 0, 0, 20.03606492, 88, 33);
INSERT INTO public.ecdc_data VALUES (6082, 3, 609, 13.5748842, 35, 33);
INSERT INTO public.ecdc_data VALUES (6083, 0, 32, 1.58729934, 36, 33);
INSERT INTO public.ecdc_data VALUES (6084, 0, 0, 0.02590414, 127, 33);
INSERT INTO public.ecdc_data VALUES (6085, 0, 68, 39.36622779, 37, 33);
INSERT INTO public.ecdc_data VALUES (6086, 3, 139, 6.31625713, 128, 33);
INSERT INTO public.ecdc_data VALUES (6087, 0, 205, 11.90823163, 185, 33);
INSERT INTO public.ecdc_data VALUES (6088, 0, 0, 0.35366056, 207, 33);
INSERT INTO public.ecdc_data VALUES (6089, 0, 1, 0.25088531, 208, 33);
INSERT INTO public.ecdc_data VALUES (6090, 0, 0, 9.05965516, 89, 33);
INSERT INTO public.ecdc_data VALUES (6091, 0, 0, 0.14156577, 38, 33);
INSERT INTO public.ecdc_data VALUES (6092, 2, 648, 3.99425562, 39, 33);
INSERT INTO public.ecdc_data VALUES (6093, 6, 128, 97.10504677, 186, 33);
INSERT INTO public.ecdc_data VALUES (6094, 0, 0, 12.23498156, 209, 33);
INSERT INTO public.ecdc_data VALUES (6095, 0, 32, 2.55245099, 187, 33);
INSERT INTO public.ecdc_data VALUES (6096, 9, 1053, 379.47799715, 129, 33);
INSERT INTO public.ecdc_data VALUES (6097, 23, 936, 9.98359308, 130, 33);
INSERT INTO public.ecdc_data VALUES (6098, 1, 328, 120.76872829, 131, 33);
INSERT INTO public.ecdc_data VALUES (6099, 28, 1146, 336.02264485, 90, 33);
INSERT INTO public.ecdc_data VALUES (6100, 0, 0, 0.58112248, 210, 33);
INSERT INTO public.ecdc_data VALUES (6101, 2, 104, 22.25806035, 91, 33);
INSERT INTO public.ecdc_data VALUES (6102, 189, 4920, 183.30714587, 92, 33);
INSERT INTO public.ecdc_data VALUES (6103, 13, 1592, 23.15462649, 132, 33);
INSERT INTO public.ecdc_data VALUES (6104, 5, 337, 13.72560979, 188, 33);
INSERT INTO public.ecdc_data VALUES (6105, 2, 135, 33.87301483, 189, 33);
INSERT INTO public.ecdc_data VALUES (6106, 0, 298, 185.143267, 93, 33);
INSERT INTO public.ecdc_data VALUES (6107, 0, 292, 197.06426852, 133, 33);
INSERT INTO public.ecdc_data VALUES (6108, 19, 1104, 66.72346969, 190, 33);
INSERT INTO public.ecdc_data VALUES (6109, 85, 5635, 57.87323786, 191, 33);
INSERT INTO public.ecdc_data VALUES (6110, 0, 58, 3.96770777, 40, 33);
INSERT INTO public.ecdc_data VALUES (6111, 0, 0, 0, 94, 33);
INSERT INTO public.ecdc_data VALUES (6112, 0, 0, 1.09412183, 95, 33);
INSERT INTO public.ecdc_data VALUES (6113, 0, 0, 15.37167814, 96, 33);
INSERT INTO public.ecdc_data VALUES (6114, 0, 0, 0, 192, 33);
INSERT INTO public.ecdc_data VALUES (6115, 0, 2, 61.84665749, 41, 33);
INSERT INTO public.ecdc_data VALUES (6116, 27, 1993, 98.69988875, 134, 33);
INSERT INTO public.ecdc_data VALUES (6117, 3, 83, 9.60950671, 42, 33);
INSERT INTO public.ecdc_data VALUES (6118, 9, 411, 79.00899571, 193, 33);
INSERT INTO public.ecdc_data VALUES (6119, 0, 0, 14.32356943, 43, 33);
INSERT INTO public.ecdc_data VALUES (6120, 0, 0, 1.80463669, 44, 33);
INSERT INTO public.ecdc_data VALUES (6121, 0, 469, 78.47572068, 135, 33);
INSERT INTO public.ecdc_data VALUES (6122, 0, 20, 84.92769351, 97, 33);
INSERT INTO public.ecdc_data VALUES (6123, 0, 2, 5.11887063, 194, 33);
INSERT INTO public.ecdc_data VALUES (6124, 2, 5, 11.43731486, 195, 33);
INSERT INTO public.ecdc_data VALUES (6125, 0, 0, 0.77058036, 45, 33);
INSERT INTO public.ecdc_data VALUES (6126, 298, 7096, 281.31467757, 46, 33);
INSERT INTO public.ecdc_data VALUES (6127, 1, 28, 1.34894225, 136, 33);
INSERT INTO public.ecdc_data VALUES (6128, 1, 43, 1.41925856, 47, 33);
INSERT INTO public.ecdc_data VALUES (6129, 2, 1828, 51.11312894, 196, 33);
INSERT INTO public.ecdc_data VALUES (6130, 0, 23, 0.74564802, 137, 33);
INSERT INTO public.ecdc_data VALUES (6131, 3, 39, 2.58798465, 48, 33);
INSERT INTO public.ecdc_data VALUES (6132, 1, 44, 120.92272814, 98, 33);
INSERT INTO public.ecdc_data VALUES (6133, 6, 71, 28.71893324, 197, 33);
INSERT INTO public.ecdc_data VALUES (6134, 0, 65, 17.89449551, 198, 33);
INSERT INTO public.ecdc_data VALUES (6135, 2, 24, 1.50555368, 138, 33);
INSERT INTO public.ecdc_data VALUES (6136, 0, 5, 0.06730075, 139, 33);
INSERT INTO public.ecdc_data VALUES (6137, 1, 43, 6.86619913, 140, 33);
INSERT INTO public.ecdc_data VALUES (6138, 0, 2, 0.10053776, 141, 33);
INSERT INTO public.ecdc_data VALUES (6139, 0, 0, 0, 142, 33);
INSERT INTO public.ecdc_data VALUES (6140, 0, 6, 1.89301168, 49, 33);
INSERT INTO public.ecdc_data VALUES (6141, 0, 1, 1.07529271, 99, 33);
INSERT INTO public.ecdc_data VALUES (6142, 0, 3, 1.3082826, 50, 33);
INSERT INTO public.ecdc_data VALUES (6143, 17, 919, 15.87485822, 199, 33);
INSERT INTO public.ecdc_data VALUES (6144, 0, 0, 70.69173169, 100, 33);
INSERT INTO public.ecdc_data VALUES (6145, 0, 13, 0.22362983, 51, 33);
INSERT INTO public.ecdc_data VALUES (6146, 11, 807, 26.19242057, 200, 33);
INSERT INTO public.ecdc_data VALUES (6147, 1, 264, 40.72452189, 143, 33);
INSERT INTO public.ecdc_data VALUES (6148, 3, 371, 13.30740333, 201, 33);
INSERT INTO public.ecdc_data VALUES (6149, 0, 0, 0, 52, 33);
INSERT INTO public.ecdc_data VALUES (6150, 1076, 56243, 281.77023806, 101, 33);
INSERT INTO public.ecdc_data VALUES (6151, 0, 3, 140.56359307, 102, 33);
INSERT INTO public.ecdc_data VALUES (6152, 1, 10, 6.15299109, 103, 33);
INSERT INTO public.ecdc_data VALUES (6153, 5, 686, 23.14615841, 144, 33);
INSERT INTO public.ecdc_data VALUES (6154, 4, 525, 22.02636297, 104, 33);
INSERT INTO public.ecdc_data VALUES (6155, 0, 11, 0.06012724, 145, 33);
INSERT INTO public.ecdc_data VALUES (6156, 0, 0, 0.85843099, 53, 33);
INSERT INTO public.ecdc_data VALUES (6157, 4, 10, 0.66182195, 146, 33);
INSERT INTO public.ecdc_data VALUES (6158, 1, 71, 14.87595847, 54, 33);
INSERT INTO public.ecdc_data VALUES (6159, 2, 192, 11.402841, 55, 33);
INSERT INTO public.ecdc_data VALUES (6160, 20, 165, 17.12328902, 105, 34);
INSERT INTO public.ecdc_data VALUES (6161, 2, 61, 30.25404665, 147, 34);
INSERT INTO public.ecdc_data VALUES (6162, 7, 283, 5.01242026, 1, 34);
INSERT INTO public.ecdc_data VALUES (6163, 0, 0, 2.62546438, 148, 34);
INSERT INTO public.ecdc_data VALUES (6164, 0, 32, 0.33306836, 2, 34);
INSERT INTO public.ecdc_data VALUES (6165, 0, 0, 0, 56, 34);
INSERT INTO public.ecdc_data VALUES (6166, 0, 0, 40.15857489, 57, 34);
INSERT INTO public.ecdc_data VALUES (6167, 40, 5287, 61.29653026, 58, 34);
INSERT INTO public.ecdc_data VALUES (6168, 6, 736, 269.73406615, 149, 34);
INSERT INTO public.ecdc_data VALUES (6169, 0, 0, 0, 59, 34);
INSERT INTO public.ecdc_data VALUES (6170, 0, 46, 1.34506729, 202, 34);
INSERT INTO public.ecdc_data VALUES (6171, 2, 64, 6.18595686, 150, 34);
INSERT INTO public.ecdc_data VALUES (6172, 6, 521, 62.89984821, 151, 34);
INSERT INTO public.ecdc_data VALUES (6173, 0, 0, 0.25674864, 60, 34);
INSERT INTO public.ecdc_data VALUES (6174, 0, 462, 428.96383299, 106, 34);
INSERT INTO public.ecdc_data VALUES (6175, 34, 3504, 30.42021722, 107, 34);
INSERT INTO public.ecdc_data VALUES (6176, 0, 0, 0.34840656, 61, 34);
INSERT INTO public.ecdc_data VALUES (6177, 4, 382, 83.08992977, 152, 34);
INSERT INTO public.ecdc_data VALUES (6178, 8, 41, 11.18238292, 153, 34);
INSERT INTO public.ecdc_data VALUES (6179, 0, 0, 1.02471878, 62, 34);
INSERT INTO public.ecdc_data VALUES (6180, 0, 71, 6.0333098, 3, 34);
INSERT INTO public.ecdc_data VALUES (6181, 0, 0, 3.19959045, 63, 34);
INSERT INTO public.ecdc_data VALUES (6182, 0, 1, 1.31045454, 108, 34);
INSERT INTO public.ecdc_data VALUES (6183, 36, 1253, 111.47299833, 64, 34);
INSERT INTO public.ecdc_data VALUES (6184, 0, 0, 0, 65, 34);
INSERT INTO public.ecdc_data VALUES (6185, 2, 173, 35.35294478, 154, 34);
INSERT INTO public.ecdc_data VALUES (6186, 0, 0, 2.82154427, 4, 34);
INSERT INTO public.ecdc_data VALUES (6187, 1109, 38693, 219.45228883, 66, 34);
INSERT INTO public.ecdc_data VALUES (6188, 0, 0, 0, 67, 34);
INSERT INTO public.ecdc_data VALUES (6189, 0, 0, 0, 109, 34);
INSERT INTO public.ecdc_data VALUES (6190, 1, 112, 19.41417755, 155, 34);
INSERT INTO public.ecdc_data VALUES (6191, 0, 0, 0.23128347, 5, 34);
INSERT INTO public.ecdc_data VALUES (6192, 0, 0, 0.43362964, 6, 34);
INSERT INTO public.ecdc_data VALUES (6193, 0, 2, 0.07885219, 110, 34);
INSERT INTO public.ecdc_data VALUES (6194, 0, 0, 11.67087198, 7, 34);
INSERT INTO public.ecdc_data VALUES (6195, 8, 238, 12.3546425, 68, 34);
INSERT INTO public.ecdc_data VALUES (6196, 2, 64, 66.37135958, 8, 34);
INSERT INTO public.ecdc_data VALUES (6197, 0, 0, 13.85723964, 69, 34);
INSERT INTO public.ecdc_data VALUES (6198, 5, 89, 28.91355626, 9, 34);
INSERT INTO public.ecdc_data VALUES (6199, 0, 0, 0.10660391, 10, 34);
INSERT INTO public.ecdc_data VALUES (6200, 279, 4406, 529.81645507, 70, 34);
INSERT INTO public.ecdc_data VALUES (6201, 0, 18, 0.03173422, 111, 34);
INSERT INTO public.ecdc_data VALUES (6202, 128, 4149, 79.15264378, 71, 34);
INSERT INTO public.ecdc_data VALUES (6203, 0, 0, 8.3441945, 11, 34);
INSERT INTO public.ecdc_data VALUES (6204, 2, 41, 8.66089868, 12, 34);
INSERT INTO public.ecdc_data VALUES (6205, 0, 143, 26.09180949, 72, 34);
INSERT INTO public.ecdc_data VALUES (6206, 4, 405, 15.130332, 13, 34);
INSERT INTO public.ecdc_data VALUES (6207, 0, 85, 9.15057629, 156, 34);
INSERT INTO public.ecdc_data VALUES (6208, 1, 5, 0.81175391, 73, 34);
INSERT INTO public.ecdc_data VALUES (6209, 0, 0, 1.22381794, 74, 34);
INSERT INTO public.ecdc_data VALUES (6210, 0, 2, 1.5983578, 157, 34);
INSERT INTO public.ecdc_data VALUES (6211, 2, 260, 12.27253094, 158, 34);
INSERT INTO public.ecdc_data VALUES (6212, 0, 0, 2.10737185, 14, 34);
INSERT INTO public.ecdc_data VALUES (6213, 0, 0, 9.23170035, 159, 34);
INSERT INTO public.ecdc_data VALUES (6214, 0, 0, 19.92692775, 15, 34);
INSERT INTO public.ecdc_data VALUES (6215, 0, 0, 0, 75, 34);
INSERT INTO public.ecdc_data VALUES (6216, 6, 855, 74.9327891, 76, 34);
INSERT INTO public.ecdc_data VALUES (6217, 18, 718, 47.30149789, 77, 34);
INSERT INTO public.ecdc_data VALUES (6218, 88, 1168, 20.86203943, 16, 34);
INSERT INTO public.ecdc_data VALUES (6219, 9, 417, 36.11965507, 78, 34);
INSERT INTO public.ecdc_data VALUES (6220, 0, 0, 51.25436768, 17, 34);
INSERT INTO public.ecdc_data VALUES (6221, 0, 24, 3.60296782, 18, 34);
INSERT INTO public.ecdc_data VALUES (6222, 0, 0, 0.98126538, 160, 34);
INSERT INTO public.ecdc_data VALUES (6223, 0, 17, 22.55836214, 19, 34);
INSERT INTO public.ecdc_data VALUES (6224, 5, 145, 2.14492086, 20, 34);
INSERT INTO public.ecdc_data VALUES (6225, 0, 0, 0, 79, 34);
INSERT INTO public.ecdc_data VALUES (6226, 0, 0, 0, 161, 34);
INSERT INTO public.ecdc_data VALUES (6227, 0, 0, 0, 203, 34);
INSERT INTO public.ecdc_data VALUES (6228, 0, 0, 1.88476852, 162, 34);
INSERT INTO public.ecdc_data VALUES (6229, 0, 0, 9.13704907, 163, 34);
INSERT INTO public.ecdc_data VALUES (6230, 0, 0, 0.71611436, 204, 34);
INSERT INTO public.ecdc_data VALUES (6231, 0, 0, 80.36535397, 21, 34);
INSERT INTO public.ecdc_data VALUES (6232, 0, 1, 0.7241142, 22, 34);
INSERT INTO public.ecdc_data VALUES (6233, 1, 3, 1.82647853, 164, 34);
INSERT INTO public.ecdc_data VALUES (6234, 3, 256, 8.70882744, 165, 34);
INSERT INTO public.ecdc_data VALUES (6235, 0, 597, 16.46730023, 23, 34);
INSERT INTO public.ecdc_data VALUES (6236, 0, 0, 0, 166, 34);
INSERT INTO public.ecdc_data VALUES (6237, 0, 23, 2.36838692, 167, 34);
INSERT INTO public.ecdc_data VALUES (6238, 0, 0, 0, 80, 34);
INSERT INTO public.ecdc_data VALUES (6239, 0, 0, 0, 81, 34);
INSERT INTO public.ecdc_data VALUES (6240, 0, 0, 37.65802923, 205, 34);
INSERT INTO public.ecdc_data VALUES (6241, 34, 569, 39.27997854, 82, 34);
INSERT INTO public.ecdc_data VALUES (6242, 0, 0, 0, 168, 34);
INSERT INTO public.ecdc_data VALUES (6243, 1, 31, 6.31888228, 24, 34);
INSERT INTO public.ecdc_data VALUES (6244, 2, 58, 8.01700438, 25, 34);
INSERT INTO public.ecdc_data VALUES (6245, 0, 0, 9.07029478, 83, 34);
INSERT INTO public.ecdc_data VALUES (6246, 2, 55, 14.31224979, 84, 34);
INSERT INTO public.ecdc_data VALUES (6247, 0, 0, 0, 169, 34);
INSERT INTO public.ecdc_data VALUES (6248, 8, 1013, 87.74778463, 85, 34);
INSERT INTO public.ecdc_data VALUES (6249, 0, 11, 0.75720708, 170, 34);
INSERT INTO public.ecdc_data VALUES (6250, 0, 0, 2.80119107, 171, 34);
INSERT INTO public.ecdc_data VALUES (6251, 410, 19906, 15.21767403, 112, 34);
INSERT INTO public.ecdc_data VALUES (6252, 37, 1385, 5.68756314, 113, 34);
INSERT INTO public.ecdc_data VALUES (6253, 234, 2456, 42.4838332, 114, 34);
INSERT INTO public.ecdc_data VALUES (6254, 101, 2069, 61.84719028, 115, 34);
INSERT INTO public.ecdc_data VALUES (6255, 4, 23, 2.89545373, 172, 34);
INSERT INTO public.ecdc_data VALUES (6256, 0, 0, 0, 173, 34);
INSERT INTO public.ecdc_data VALUES (6257, 3, 621, 51.79958666, 116, 34);
INSERT INTO public.ecdc_data VALUES (6258, 8, 175, 5.77373461, 174, 34);
INSERT INTO public.ecdc_data VALUES (6259, 0, 4, 2.54385867, 86, 34);
INSERT INTO public.ecdc_data VALUES (6260, 0, 93, 0.7575262, 117, 34);
INSERT INTO public.ecdc_data VALUES (6261, 0, 0, 5.56606924, 175, 34);
INSERT INTO public.ecdc_data VALUES (6262, 0, 7, 1.56409364, 118, 34);
INSERT INTO public.ecdc_data VALUES (6263, 23, 461, 33.87340317, 119, 34);
INSERT INTO public.ecdc_data VALUES (6264, 4, 278, 4.47750119, 26, 34);
INSERT INTO public.ecdc_data VALUES (6265, 4, 96, 64.10876583, 176, 34);
INSERT INTO public.ecdc_data VALUES (6266, 3, 688, 212.14253982, 120, 34);
INSERT INTO public.ecdc_data VALUES (6267, 1, 235, 38.38929551, 121, 34);
INSERT INTO public.ecdc_data VALUES (6268, 0, 0, 0, 122, 34);
INSERT INTO public.ecdc_data VALUES (6269, 0, 3, 0.93751563, 177, 34);
INSERT INTO public.ecdc_data VALUES (6270, 0, 22, 4.0404282, 123, 34);
INSERT INTO public.ecdc_data VALUES (6271, 0, 0, 0.94105823, 27, 34);
INSERT INTO public.ecdc_data VALUES (6272, 0, 45, 5.73179184, 28, 34);
INSERT INTO public.ecdc_data VALUES (6273, 0, 15, 4.35266759, 29, 34);
INSERT INTO public.ecdc_data VALUES (6274, 0, 0, 0, 178, 34);
INSERT INTO public.ecdc_data VALUES (6275, 0, 5, 1.78943119, 179, 34);
INSERT INTO public.ecdc_data VALUES (6276, 0, 44, 25.08576399, 180, 34);
INSERT INTO public.ecdc_data VALUES (6277, 0, 83, 2.79206295, 30, 34);
INSERT INTO public.ecdc_data VALUES (6278, 0, 33, 2.73233592, 31, 34);
INSERT INTO public.ecdc_data VALUES (6279, 0, 10, 0.5352148, 124, 34);
INSERT INTO public.ecdc_data VALUES (6280, 0, 22, 54.99503726, 125, 34);
INSERT INTO public.ecdc_data VALUES (6281, 0, 79, 1.73974768, 32, 34);
INSERT INTO public.ecdc_data VALUES (6282, 0, 0, 4.45742049, 181, 34);
INSERT INTO public.ecdc_data VALUES (6283, 1, 168, 54.53302452, 33, 34);
INSERT INTO public.ecdc_data VALUES (6284, 0, 0, 0.31504249, 34, 34);
INSERT INTO public.ecdc_data VALUES (6285, 602, 3629, 59.27469052, 87, 34);
INSERT INTO public.ecdc_data VALUES (6286, 6, 304, 114.28902138, 182, 34);
INSERT INTO public.ecdc_data VALUES (6287, 0, 1, 9.06755327, 183, 34);
INSERT INTO public.ecdc_data VALUES (6288, 0, 0, 0.68213543, 126, 34);
INSERT INTO public.ecdc_data VALUES (6289, 0, 30, 23.30507794, 184, 34);
INSERT INTO public.ecdc_data VALUES (6290, 0, 0, 0, 88, 34);
INSERT INTO public.ecdc_data VALUES (6291, 2, 244, 8.7327825, 35, 34);
INSERT INTO public.ecdc_data VALUES (6292, 0, 23, 0.94184152, 36, 34);
INSERT INTO public.ecdc_data VALUES (6293, 0, 3, 0.06476034, 127, 34);
INSERT INTO public.ecdc_data VALUES (6294, 0, 0, 3.56781494, 37, 34);
INSERT INTO public.ecdc_data VALUES (6295, 0, 0, 22.44071431, 128, 34);
INSERT INTO public.ecdc_data VALUES (6296, 2, 69, 8.29757247, 185, 34);
INSERT INTO public.ecdc_data VALUES (6297, 0, 0, 0, 207, 34);
INSERT INTO public.ecdc_data VALUES (6298, 0, 4, 0.4599564, 208, 34);
INSERT INTO public.ecdc_data VALUES (6299, 0, 0, 7.86799731, 89, 34);
INSERT INTO public.ecdc_data VALUES (6300, 0, 6, 0.37750873, 38, 34);
INSERT INTO public.ecdc_data VALUES (6301, 4, 779, 4.17737335, 39, 34);
INSERT INTO public.ecdc_data VALUES (6302, 9, 150, 96.96061685, 186, 34);
INSERT INTO public.ecdc_data VALUES (6303, 0, 0, 0, 209, 34);
INSERT INTO public.ecdc_data VALUES (6304, 0, 0, 3.9225166, 187, 34);
INSERT INTO public.ecdc_data VALUES (6305, 6, 919, 299.01555621, 129, 34);
INSERT INTO public.ecdc_data VALUES (6306, 83, 4072, 29.42530267, 130, 34);
INSERT INTO public.ecdc_data VALUES (6307, 1, 258, 27.70293302, 131, 34);
INSERT INTO public.ecdc_data VALUES (6308, 17, 753, 249.59730975, 90, 34);
INSERT INTO public.ecdc_data VALUES (6309, 0, 0, 0.03418368, 210, 34);
INSERT INTO public.ecdc_data VALUES (6310, 2, 231, 9.66692545, 91, 34);
INSERT INTO public.ecdc_data VALUES (6311, 196, 3625, 156.43272003, 92, 34);
INSERT INTO public.ecdc_data VALUES (6312, 12, 730, 8.70448949, 132, 34);
INSERT INTO public.ecdc_data VALUES (6313, 6, 319, 12.36937628, 188, 34);
INSERT INTO public.ecdc_data VALUES (6314, 6, 323, 45.9878966, 189, 34);
INSERT INTO public.ecdc_data VALUES (6315, 1, 144, 46.90796085, 93, 34);
INSERT INTO public.ecdc_data VALUES (6316, 1, 879, 538.36927111, 133, 34);
INSERT INTO public.ecdc_data VALUES (6317, 10, 325, 22.36992658, 190, 34);
INSERT INTO public.ecdc_data VALUES (6318, 188, 6852, 73.70626876, 191, 34);
INSERT INTO public.ecdc_data VALUES (6319, 0, 20, 2.66889724, 40, 34);
INSERT INTO public.ecdc_data VALUES (6320, 0, 0, 0, 94, 34);
INSERT INTO public.ecdc_data VALUES (6321, 0, 0, 0, 95, 34);
INSERT INTO public.ecdc_data VALUES (6322, 0, 0, 1.80843272, 96, 34);
INSERT INTO public.ecdc_data VALUES (6323, 0, 0, 11.61001945, 192, 34);
INSERT INTO public.ecdc_data VALUES (6324, 0, 1, 25.11067297, 41, 34);
INSERT INTO public.ecdc_data VALUES (6325, 37, 3927, 161.06906719, 134, 34);
INSERT INTO public.ecdc_data VALUES (6326, 4, 105, 8.9774638, 42, 34);
INSERT INTO public.ecdc_data VALUES (6327, 2, 227, 22.12883722, 193, 34);
INSERT INTO public.ecdc_data VALUES (6328, 0, 0, 0, 43, 34);
INSERT INTO public.ecdc_data VALUES (6329, 0, 16, 3.55807801, 44, 34);
INSERT INTO public.ecdc_data VALUES (6330, 0, 291, 52.52963169, 135, 34);
INSERT INTO public.ecdc_data VALUES (6331, 0, 0, 0, 97, 34);
INSERT INTO public.ecdc_data VALUES (6332, 0, 14, 2.05488714, 194, 34);
INSERT INTO public.ecdc_data VALUES (6333, 0, 14, 3.84447558, 195, 34);
INSERT INTO public.ecdc_data VALUES (6334, 0, 0, 1.93616409, 45, 34);
INSERT INTO public.ecdc_data VALUES (6335, 73, 7210, 112.81754633, 46, 34);
INSERT INTO public.ecdc_data VALUES (6336, 0, 62, 1.23181268, 136, 34);
INSERT INTO public.ecdc_data VALUES (6337, 0, 6, 2.39556381, 47, 34);
INSERT INTO public.ecdc_data VALUES (6338, 2, 301, 10.31594224, 196, 34);
INSERT INTO public.ecdc_data VALUES (6339, 0, 19, 0.69875192, 137, 34);
INSERT INTO public.ecdc_data VALUES (6340, 0, 1, 5.55669266, 48, 34);
INSERT INTO public.ecdc_data VALUES (6341, 0, 0, 33.54186627, 98, 34);
INSERT INTO public.ecdc_data VALUES (6342, 14, 755, 144.79699047, 197, 34);
INSERT INTO public.ecdc_data VALUES (6343, 0, 69, 5.39526647, 198, 34);
INSERT INTO public.ecdc_data VALUES (6344, 1, 1, 0.50380395, 138, 34);
INSERT INTO public.ecdc_data VALUES (6345, 0, 0, 0.01682519, 139, 34);
INSERT INTO public.ecdc_data VALUES (6346, 0, 52, 8.88314512, 140, 34);
INSERT INTO public.ecdc_data VALUES (6347, 0, 0, 0.0402151, 141, 34);
INSERT INTO public.ecdc_data VALUES (6348, 0, 0, 0, 142, 34);
INSERT INTO public.ecdc_data VALUES (6349, 0, 24, 1.05167316, 49, 34);
INSERT INTO public.ecdc_data VALUES (6350, 0, 0, 0.50180327, 99, 34);
INSERT INTO public.ecdc_data VALUES (6351, 0, 4, 0.63276413, 50, 34);
INSERT INTO public.ecdc_data VALUES (6352, 17, 1372, 23.42084244, 199, 34);
INSERT INTO public.ecdc_data VALUES (6353, 0, 1, 10.47284914, 100, 34);
INSERT INTO public.ecdc_data VALUES (6354, 0, 15, 0.3681986, 51, 34);
INSERT INTO public.ecdc_data VALUES (6355, 24, 948, 26.27425058, 200, 34);
INSERT INTO public.ecdc_data VALUES (6356, 1, 387, 54.96121703, 143, 34);
INSERT INTO public.ecdc_data VALUES (6357, 40, 671, 18.24685217, 201, 34);
INSERT INTO public.ecdc_data VALUES (6358, 0, 0, 0, 52, 34);
INSERT INTO public.ecdc_data VALUES (6359, 500, 42486, 132.43496267, 101, 34);
INSERT INTO public.ecdc_data VALUES (6360, 0, 0, 8.60593427, 102, 34);
INSERT INTO public.ecdc_data VALUES (6361, 0, 5, 2.22432072, 103, 34);
INSERT INTO public.ecdc_data VALUES (6362, 0, 235, 8.28034564, 144, 34);
INSERT INTO public.ecdc_data VALUES (6363, 1, 351, 7.89386134, 104, 34);
INSERT INTO public.ecdc_data VALUES (6364, 0, 1, 0.02073353, 145, 34);
INSERT INTO public.ecdc_data VALUES (6365, 0, 183, 31.76194678, 53, 34);
INSERT INTO public.ecdc_data VALUES (6366, 3, 14, 1.36479345, 146, 34);
INSERT INTO public.ecdc_data VALUES (6367, 0, 0, 0.97418772, 54, 34);
INSERT INTO public.ecdc_data VALUES (6368, 0, 6, 1.44071823, 55, 34);
INSERT INTO public.ecdc_data VALUES (6369, 7, 625, 19.00543132, 105, 35);
INSERT INTO public.ecdc_data VALUES (6370, 0, 21, 5.93901609, 147, 35);
INSERT INTO public.ecdc_data VALUES (6371, 6, 160, 6.04835141, 1, 35);
INSERT INTO public.ecdc_data VALUES (6372, 0, 0, 3.93819657, 148, 35);
INSERT INTO public.ecdc_data VALUES (6373, 0, 0, 0.08169601, 2, 35);
INSERT INTO public.ecdc_data VALUES (6374, 0, 0, 0, 56, 35);
INSERT INTO public.ecdc_data VALUES (6375, 0, 0, 0, 57, 35);
INSERT INTO public.ecdc_data VALUES (6376, 16, 705, 15.75233066, 58, 35);
INSERT INTO public.ecdc_data VALUES (6377, 15, 442, 147.27520583, 149, 35);
INSERT INTO public.ecdc_data VALUES (6378, 0, 0, 0, 59, 35);
INSERT INTO public.ecdc_data VALUES (6379, 0, 6, 0.65071102, 202, 35);
INSERT INTO public.ecdc_data VALUES (6380, 2, 18, 6.21982159, 150, 35);
INSERT INTO public.ecdc_data VALUES (6381, 2, 165, 18.01403881, 151, 35);
INSERT INTO public.ecdc_data VALUES (6382, 0, 0, 1.54049183, 60, 35);
INSERT INTO public.ecdc_data VALUES (6383, 1, 267, 232.5788282, 106, 35);
INSERT INTO public.ecdc_data VALUES (6384, 22, 1541, 12.55472583, 107, 35);
INSERT INTO public.ecdc_data VALUES (6385, 0, 0, 2.43884594, 61, 35);
INSERT INTO public.ecdc_data VALUES (6386, 6, 897, 138.91696815, 152, 35);
INSERT INTO public.ecdc_data VALUES (6387, 24, 182, 28.16982801, 153, 35);
INSERT INTO public.ecdc_data VALUES (6388, 0, 0, 0, 62, 35);
INSERT INTO public.ecdc_data VALUES (6389, 0, 2, -0.99142872, 3, 35);
INSERT INTO public.ecdc_data VALUES (6390, 0, 0, 28.79631407, 63, 35);
INSERT INTO public.ecdc_data VALUES (6391, 0, 1, 1.70359091, 108, 35);
INSERT INTO public.ecdc_data VALUES (6392, 6, 632, 40.12819482, 64, 35);
INSERT INTO public.ecdc_data VALUES (6393, 0, 0, 3.84867028, 65, 35);
INSERT INTO public.ecdc_data VALUES (6394, 1, 19, 7.66434878, 154, 35);
INSERT INTO public.ecdc_data VALUES (6395, 0, 0, 0.47749211, 4, 35);
INSERT INTO public.ecdc_data VALUES (6396, 1086, 20599, 105.58991134, 66, 35);
INSERT INTO public.ecdc_data VALUES (6397, 0, 0, 3.3296707, 67, 35);
INSERT INTO public.ecdc_data VALUES (6398, 1, 0, 0, 109, 35);
INSERT INTO public.ecdc_data VALUES (6399, 0, 0, 5.58568317, 155, 35);
INSERT INTO public.ecdc_data VALUES (6400, 0, 0, 0.35430659, 5, 35);
INSERT INTO public.ecdc_data VALUES (6401, 0, 0, 0.13008889, 6, 35);
INSERT INTO public.ecdc_data VALUES (6402, 0, 0, 0.01213111, 110, 35);
INSERT INTO public.ecdc_data VALUES (6403, 2, 0, 9.87773138, 7, 35);
INSERT INTO public.ecdc_data VALUES (6404, 126, 872, 40.70991027, 68, 35);
INSERT INTO public.ecdc_data VALUES (6405, 0, 0, 18.36577347, 8, 35);
INSERT INTO public.ecdc_data VALUES (6406, 0, 3, 84.68313112, 69, 35);
INSERT INTO public.ecdc_data VALUES (6407, 0, 31, 10.6423804, 9, 35);
INSERT INTO public.ecdc_data VALUES (6408, 2, 15, 2.15089069, 10, 35);
INSERT INTO public.ecdc_data VALUES (6409, 35, 4328, 252.78551881, 70, 35);
INSERT INTO public.ecdc_data VALUES (6410, 0, 3, 0.00571913, 111, 35);
INSERT INTO public.ecdc_data VALUES (6411, 27, 1101, 22.1973056, 71, 35);
INSERT INTO public.ecdc_data VALUES (6412, 1, 0, 8.93181383, 11, 35);
INSERT INTO public.ecdc_data VALUES (6413, 0, 2, 4.27469248, 12, 35);
INSERT INTO public.ecdc_data VALUES (6414, 0, 28, 3.34815171, 72, 35);
INSERT INTO public.ecdc_data VALUES (6415, 1, 79, 2.50422354, 13, 35);
INSERT INTO public.ecdc_data VALUES (6416, 0, 0, 0.76050366, 156, 35);
INSERT INTO public.ecdc_data VALUES (6417, 0, 11, 1.44703959, 73, 35);
INSERT INTO public.ecdc_data VALUES (6418, 0, 0, 1.22381794, 74, 35);
INSERT INTO public.ecdc_data VALUES (6419, 0, 0, 3.88172609, 157, 35);
INSERT INTO public.ecdc_data VALUES (6420, 0, 36, 7.67150557, 158, 35);
INSERT INTO public.ecdc_data VALUES (6421, 1, 114, 1.63266589, 14, 35);
INSERT INTO public.ecdc_data VALUES (6422, 2, 52, 14.00256042, 159, 35);
INSERT INTO public.ecdc_data VALUES (6423, 4, 229, 146.78133895, 15, 35);
INSERT INTO public.ecdc_data VALUES (6424, 0, 0, 0, 75, 35);
INSERT INTO public.ecdc_data VALUES (6425, 6, 459, 42.15493181, 76, 35);
INSERT INTO public.ecdc_data VALUES (6426, 72, 748, 43.84223771, 77, 35);
INSERT INTO public.ecdc_data VALUES (6427, 19, 910, 9.19929973, 16, 35);
INSERT INTO public.ecdc_data VALUES (6428, 3, 67, 15.44886148, 78, 35);
INSERT INTO public.ecdc_data VALUES (6429, 0, 0, 38.42233894, 17, 35);
INSERT INTO public.ecdc_data VALUES (6430, 0, 0, 0, 18, 35);
INSERT INTO public.ecdc_data VALUES (6431, 0, 6, 6.71789375, 160, 35);
INSERT INTO public.ecdc_data VALUES (6432, 0, 11, 7.40332348, 19, 35);
INSERT INTO public.ecdc_data VALUES (6433, 0, 30, 0.41756363, 20, 35);
INSERT INTO public.ecdc_data VALUES (6434, 0, 0, 0, 79, 35);
INSERT INTO public.ecdc_data VALUES (6435, 0, 0, 0, 161, 35);
INSERT INTO public.ecdc_data VALUES (6436, 0, 0, 0, 203, 35);
INSERT INTO public.ecdc_data VALUES (6437, 1, 64, 11.56232993, 162, 35);
INSERT INTO public.ecdc_data VALUES (6438, 66, 191, 7.4791589, 163, 35);
INSERT INTO public.ecdc_data VALUES (6439, 0, 0, 0, 204, 35);
INSERT INTO public.ecdc_data VALUES (6440, 0, 81, 60.52717095, 21, 35);
INSERT INTO public.ecdc_data VALUES (6441, 0, 0, 0.08518991, 22, 35);
INSERT INTO public.ecdc_data VALUES (6442, 0, 3, 2.20178234, 164, 35);
INSERT INTO public.ecdc_data VALUES (6443, 62, 353, 9.00755347, 165, 35);
INSERT INTO public.ecdc_data VALUES (6444, 0, 186, 6.22989298, 23, 35);
INSERT INTO public.ecdc_data VALUES (6445, 0, 2, 29.66830831, 166, 35);
INSERT INTO public.ecdc_data VALUES (6446, 0, 11, 1.33338319, 167, 35);
INSERT INTO public.ecdc_data VALUES (6447, 0, 0, 1.76491352, 80, 35);
INSERT INTO public.ecdc_data VALUES (6448, 0, 0, 1.7856824, 81, 35);
INSERT INTO public.ecdc_data VALUES (6449, 0, 2, 11.35718342, 205, 35);
INSERT INTO public.ecdc_data VALUES (6450, 5, 191, 15.94291628, 82, 35);
INSERT INTO public.ecdc_data VALUES (6451, 0, 0, 0, 168, 35);
INSERT INTO public.ecdc_data VALUES (6452, 1, 88, 8.39385601, 24, 35);
INSERT INTO public.ecdc_data VALUES (6453, 1, 5, 18.63693226, 25, 35);
INSERT INTO public.ecdc_data VALUES (6454, 0, 0, 3.3215164, 83, 35);
INSERT INTO public.ecdc_data VALUES (6455, 1, 146, 9.64212361, 84, 35);
INSERT INTO public.ecdc_data VALUES (6456, 0, 0, 0, 169, 35);
INSERT INTO public.ecdc_data VALUES (6457, 6, 239, 24.47128933, 85, 35);
INSERT INTO public.ecdc_data VALUES (6458, 4, 23, 4.46138223, 170, 35);
INSERT INTO public.ecdc_data VALUES (6459, 0, 1, 0.84035732, 171, 35);
INSERT INTO public.ecdc_data VALUES (6460, 194, 6566, 5.8788756, 112, 35);
INSERT INTO public.ecdc_data VALUES (6461, 55, 686, 3.10872328, 113, 35);
INSERT INTO public.ecdc_data VALUES (6462, 56, 2080, 34.81443092, 114, 35);
INSERT INTO public.ecdc_data VALUES (6463, 6, 287, 5.34981249, 115, 35);
INSERT INTO public.ecdc_data VALUES (6464, 16, 68, 28.58750795, 172, 35);
INSERT INTO public.ecdc_data VALUES (6465, 0, 0, 4.72874724, 173, 35);
INSERT INTO public.ecdc_data VALUES (6466, 0, 36, 2.87579849, 116, 35);
INSERT INTO public.ecdc_data VALUES (6467, 117, 584, 14.96863479, 174, 35);
INSERT INTO public.ecdc_data VALUES (6468, 0, 5, 2.03508693, 86, 35);
INSERT INTO public.ecdc_data VALUES (6469, 0, 0, 0.45088968, 117, 35);
INSERT INTO public.ecdc_data VALUES (6470, 0, 1, 11.13213848, 175, 35);
INSERT INTO public.ecdc_data VALUES (6471, 0, 2, 1.3661071, 118, 35);
INSERT INTO public.ecdc_data VALUES (6472, 0, 272, 21.58863458, 119, 35);
INSERT INTO public.ecdc_data VALUES (6473, 3, 123, 1.39612824, 26, 35);
INSERT INTO public.ecdc_data VALUES (6474, 0, 1, 6.7278063, 176, 35);
INSERT INTO public.ecdc_data VALUES (6475, 3, 692, 290.91457085, 120, 35);
INSERT INTO public.ecdc_data VALUES (6476, 0, 74, 7.9802352, 121, 35);
INSERT INTO public.ecdc_data VALUES (6477, 0, 0, 0, 122, 35);
INSERT INTO public.ecdc_data VALUES (6478, 1, 4, 5.52092535, 177, 35);
INSERT INTO public.ecdc_data VALUES (6479, 0, 21, 4.1279465, 123, 35);
INSERT INTO public.ecdc_data VALUES (6480, 0, 0, 0.09410582, 27, 35);
INSERT INTO public.ecdc_data VALUES (6481, 1, 0, 1.07344511, 28, 35);
INSERT INTO public.ecdc_data VALUES (6482, 1, 22, 0.51641819, 29, 35);
INSERT INTO public.ecdc_data VALUES (6483, 0, 0, 0, 178, 35);
INSERT INTO public.ecdc_data VALUES (6484, 1, 8, 5.08198458, 179, 35);
INSERT INTO public.ecdc_data VALUES (6485, 0, 6, 15.80077342, 180, 35);
INSERT INTO public.ecdc_data VALUES (6486, 0, 26, 1.48316757, 30, 35);
INSERT INTO public.ecdc_data VALUES (6487, 0, 0, 0.20398579, 31, 35);
INSERT INTO public.ecdc_data VALUES (6488, 0, 15, 2.62912534, 124, 35);
INSERT INTO public.ecdc_data VALUES (6489, 0, 19, 94.54626269, 125, 35);
INSERT INTO public.ecdc_data VALUES (6490, 0, 39, 1.82113939, 32, 35);
INSERT INTO public.ecdc_data VALUES (6491, 1, 4, 19.0453421, 181, 35);
INSERT INTO public.ecdc_data VALUES (6492, 7, 30, 6.25317907, 33, 35);
INSERT INTO public.ecdc_data VALUES (6493, 0, 0, 0.15752125, 34, 35);
INSERT INTO public.ecdc_data VALUES (6494, 463, 4457, 36.94595693, 87, 35);
INSERT INTO public.ecdc_data VALUES (6495, 7, 232, 52.70502154, 182, 35);
INSERT INTO public.ecdc_data VALUES (6496, 0, 0, 3.02251776, 183, 35);
INSERT INTO public.ecdc_data VALUES (6497, 0, 13, 3.1006156, 126, 35);
INSERT INTO public.ecdc_data VALUES (6498, 0, 0, 0, 184, 35);
INSERT INTO public.ecdc_data VALUES (6499, 0, 0, 0, 88, 35);
INSERT INTO public.ecdc_data VALUES (6500, 0, 24, 2.98587132, 35, 35);
INSERT INTO public.ecdc_data VALUES (6501, 0, 14, 0.39517826, 36, 35);
INSERT INTO public.ecdc_data VALUES (6502, 0, 0, 0.04625739, 127, 35);
INSERT INTO public.ecdc_data VALUES (6503, 0, 1, 0.24052685, 37, 35);
INSERT INTO public.ecdc_data VALUES (6504, 0, 114, 2.33145739, 128, 35);
INSERT INTO public.ecdc_data VALUES (6505, 15, 190, 14.79560168, 185, 35);
INSERT INTO public.ecdc_data VALUES (6506, 0, 0, 0, 207, 35);
INSERT INTO public.ecdc_data VALUES (6507, 1, 0, 0.14634977, 208, 35);
INSERT INTO public.ecdc_data VALUES (6508, 0, 0, 11.21380588, 89, 35);
INSERT INTO public.ecdc_data VALUES (6509, 1, 3, 0.40753784, 38, 35);
INSERT INTO public.ecdc_data VALUES (6510, 5, 389, 1.87198077, 39, 35);
INSERT INTO public.ecdc_data VALUES (6511, 3, 25, 16.65758363, 186, 35);
INSERT INTO public.ecdc_data VALUES (6512, 0, 0, 5.24356353, 209, 35);
INSERT INTO public.ecdc_data VALUES (6513, 0, 19, 4.22280495, 187, 35);
INSERT INTO public.ecdc_data VALUES (6514, 1, 255, 87.51772867, 129, 35);
INSERT INTO public.ecdc_data VALUES (6515, 35, 2076, 11.74657159, 130, 35);
INSERT INTO public.ecdc_data VALUES (6516, 0, 8, 1.30484829, 131, 35);
INSERT INTO public.ecdc_data VALUES (6517, 2, 281, 65.56079916, 90, 35);
INSERT INTO public.ecdc_data VALUES (6518, 0, 0, 0, 210, 35);
INSERT INTO public.ecdc_data VALUES (6519, 0, 7, 2.04410758, 91, 35);
INSERT INTO public.ecdc_data VALUES (6520, 195, 6154, 183.32252553, 92, 35);
INSERT INTO public.ecdc_data VALUES (6521, 18, 380, 3.17342508, 132, 35);
INSERT INTO public.ecdc_data VALUES (6522, 4, 399, 13.87571718, 188, 35);
INSERT INTO public.ecdc_data VALUES (6523, 14, 285, 30.7494188, 189, 35);
INSERT INTO public.ecdc_data VALUES (6524, 0, 73, 36.4082138, 93, 35);
INSERT INTO public.ecdc_data VALUES (6525, 2, 1740, 791.2231014, 133, 35);
INSERT INTO public.ecdc_data VALUES (6526, 9, 165, 13.3508749, 190, 35);
INSERT INTO public.ecdc_data VALUES (6527, 161, 8338, 88.02838867, 191, 35);
INSERT INTO public.ecdc_data VALUES (6528, 0, 7, 0.46725501, 40, 35);
INSERT INTO public.ecdc_data VALUES (6529, 0, 0, 0, 94, 35);
INSERT INTO public.ecdc_data VALUES (6530, 0, 0, 0, 95, 35);
INSERT INTO public.ecdc_data VALUES (6531, 0, 0, 0.90421636, 96, 35);
INSERT INTO public.ecdc_data VALUES (6532, 0, 1, 69.66011668, 192, 35);
INSERT INTO public.ecdc_data VALUES (6533, 0, 2, 96.72259217, 41, 35);
INSERT INTO public.ecdc_data VALUES (6534, 14, 1815, 98.37305827, 134, 35);
INSERT INTO public.ecdc_data VALUES (6535, 2, 92, 7.04451705, 42, 35);
INSERT INTO public.ecdc_data VALUES (6536, 1, 48, 14.07284911, 193, 35);
INSERT INTO public.ecdc_data VALUES (6537, 0, 0, 0, 43, 35);
INSERT INTO public.ecdc_data VALUES (6538, 1, 28, 5.05554249, 44, 35);
INSERT INTO public.ecdc_data VALUES (6539, 0, 533, 129.73044494, 135, 35);
INSERT INTO public.ecdc_data VALUES (6540, 0, 0, 0, 97, 35);
INSERT INTO public.ecdc_data VALUES (6541, 0, 2, 0.8439715, 194, 35);
INSERT INTO public.ecdc_data VALUES (6542, 1, 2, 0.33639161, 195, 35);
INSERT INTO public.ecdc_data VALUES (6543, 0, 20, 3.31543817, 45, 35);
INSERT INTO public.ecdc_data VALUES (6544, 28, 1673, 23.67385633, 46, 35);
INSERT INTO public.ecdc_data VALUES (6545, 0, 79, 0.68911232, 136, 35);
INSERT INTO public.ecdc_data VALUES (6546, 0, 0, 5.45103766, 47, 35);
INSERT INTO public.ecdc_data VALUES (6547, 1, 1137, 17.82386881, 196, 35);
INSERT INTO public.ecdc_data VALUES (6548, 0, 150, 2.59804404, 137, 35);
INSERT INTO public.ecdc_data VALUES (6549, 14, 170, 5.43757063, 48, 35);
INSERT INTO public.ecdc_data VALUES (6550, 0, 1, 0.34401914, 98, 35);
INSERT INTO public.ecdc_data VALUES (6551, 38, 800, 73.85985688, 197, 35);
INSERT INTO public.ecdc_data VALUES (6552, 0, 0, 4.0727825, 198, 35);
INSERT INTO public.ecdc_data VALUES (6553, 0, 0, 0.42764754, 138, 35);
INSERT INTO public.ecdc_data VALUES (6554, 0, 0, 0.0042063, 139, 35);
INSERT INTO public.ecdc_data VALUES (6555, 0, 0, 24.66467468, 140, 35);
INSERT INTO public.ecdc_data VALUES (6556, 0, 9, 0.05314139, 141, 35);
INSERT INTO public.ecdc_data VALUES (6557, 0, 0, 0, 142, 35);
INSERT INTO public.ecdc_data VALUES (6558, 0, 4, 2.17758206, 49, 35);
INSERT INTO public.ecdc_data VALUES (6559, 0, 0, 0, 99, 35);
INSERT INTO public.ecdc_data VALUES (6560, 0, 0, 0.16246647, 50, 35);
INSERT INTO public.ecdc_data VALUES (6561, 34, 1035, 20.34415883, 199, 35);
INSERT INTO public.ecdc_data VALUES (6562, 0, 0, 0, 100, 35);
INSERT INTO public.ecdc_data VALUES (6563, 0, 28, 0.32076197, 51, 35);
INSERT INTO public.ecdc_data VALUES (6564, 14, 321, 12.45634511, 200, 35);
INSERT INTO public.ecdc_data VALUES (6565, 2, 883, 118.550424, 143, 35);
INSERT INTO public.ecdc_data VALUES (6566, 422, 1672, 47.35388984, 201, 35);
INSERT INTO public.ecdc_data VALUES (6567, 0, 0, 0, 52, 35);
INSERT INTO public.ecdc_data VALUES (6568, 1526, 18721, 93.95927187, 101, 35);
INSERT INTO public.ecdc_data VALUES (6569, 0, 0, 0, 102, 35);
INSERT INTO public.ecdc_data VALUES (6570, 0, 14, 2.4265317, 103, 35);
INSERT INTO public.ecdc_data VALUES (6571, 0, 0, 2.18605976, 144, 35);
INSERT INTO public.ecdc_data VALUES (6572, 0, 34, 2.8229935, 104, 35);
INSERT INTO public.ecdc_data VALUES (6573, 0, 0, 0.04043038, 145, 35);
INSERT INTO public.ecdc_data VALUES (6574, 0, 0, 0, 53, 35);
INSERT INTO public.ecdc_data VALUES (6575, 4, 6, 0.63438891, 146, 35);
INSERT INTO public.ecdc_data VALUES (6576, 0, 137, 3.42085458, 54, 35);
INSERT INTO public.ecdc_data VALUES (6577, 0, 76, 0.64866461, 55, 35);
INSERT INTO public.ecdc_data VALUES (6578, 0, 172, 2.7285806, 105, 36);
INSERT INTO public.ecdc_data VALUES (6579, 0, 10, 9.39761957, 147, 36);
INSERT INTO public.ecdc_data VALUES (6580, 7, 135, 3.56304572, 1, 36);
INSERT INTO public.ecdc_data VALUES (6581, 0, 3, 127.33502238, 148, 36);
INSERT INTO public.ecdc_data VALUES (6582, 0, 1, 0.02513723, 2, 36);
INSERT INTO public.ecdc_data VALUES (6583, 0, 0, 0, 56, 36);
INSERT INTO public.ecdc_data VALUES (6584, 0, 0, 1.02970705, 57, 36);
INSERT INTO public.ecdc_data VALUES (6585, 11, 223, 3.83647634, 58, 36);
INSERT INTO public.ecdc_data VALUES (6586, 1, 59, 27.04778803, 149, 36);
INSERT INTO public.ecdc_data VALUES (6587, 0, 0, 7.52516226, 59, 36);
INSERT INTO public.ecdc_data VALUES (6588, 1, 12, 1.4244223, 202, 36);
INSERT INTO public.ecdc_data VALUES (6589, 7, 67, 13.69263809, 150, 36);
INSERT INTO public.ecdc_data VALUES (6590, 1, 33, 5.27482904, 151, 36);
INSERT INTO public.ecdc_data VALUES (6591, 0, 0, 7.95920778, 60, 36);
INSERT INTO public.ecdc_data VALUES (6592, 0, 76, 82.98987792, 106, 36);
INSERT INTO public.ecdc_data VALUES (6593, 7, 497, 3.13408153, 107, 36);
INSERT INTO public.ecdc_data VALUES (6594, 0, 1, 2.7872525, 61, 36);
INSERT INTO public.ecdc_data VALUES (6595, 3, 826, 88.54885564, 152, 36);
INSERT INTO public.ecdc_data VALUES (6596, 135, 755, 119.36604531, 153, 36);
INSERT INTO public.ecdc_data VALUES (6597, 0, 0, 0, 62, 36);
INSERT INTO public.ecdc_data VALUES (6598, 0, 0, 0.24573874, 3, 36);
INSERT INTO public.ecdc_data VALUES (6599, 1, 1, 84.78914699, 63, 36);
INSERT INTO public.ecdc_data VALUES (6600, 0, 0, 0.26209091, 108, 36);
INSERT INTO public.ecdc_data VALUES (6601, 3, 64, 5.73259926, 64, 36);
INSERT INTO public.ecdc_data VALUES (6602, 0, 0, 7.69734057, 65, 36);
INSERT INTO public.ecdc_data VALUES (6603, 2, 48, 16.23751362, 154, 36);
INSERT INTO public.ecdc_data VALUES (6604, 0, 0, 0.39067536, 4, 36);
INSERT INTO public.ecdc_data VALUES (6605, 338, 4613, 20.40800671, 66, 36);
INSERT INTO public.ecdc_data VALUES (6606, 0, 0, 9.98901209, 67, 36);
INSERT INTO public.ecdc_data VALUES (6607, 0, 0, 0.46157823, 109, 36);
INSERT INTO public.ecdc_data VALUES (6608, 2, 63, 9.68566032, 155, 36);
INSERT INTO public.ecdc_data VALUES (6609, 0, 3, 0.59051099, 5, 36);
INSERT INTO public.ecdc_data VALUES (6610, 0, 0, 0.08672593, 6, 36);
INSERT INTO public.ecdc_data VALUES (6611, 0, 0, 0, 110, 36);
INSERT INTO public.ecdc_data VALUES (6612, 2, 0, 3.09548624, 7, 36);
INSERT INTO public.ecdc_data VALUES (6613, 147, 1605, 61.01407825, 68, 36);
INSERT INTO public.ecdc_data VALUES (6614, 0, 3, 18.00209479, 8, 36);
INSERT INTO public.ecdc_data VALUES (6615, 0, 0, 26.17478598, 69, 36);
INSERT INTO public.ecdc_data VALUES (6616, 0, 31, 0.8218868, 9, 36);
INSERT INTO public.ecdc_data VALUES (6617, 0, 0, 0.14422882, 10, 36);
INSERT INTO public.ecdc_data VALUES (6618, 9, 482, 33.17849508, 70, 36);
INSERT INTO public.ecdc_data VALUES (6619, 0, 26, 0.04428841, 111, 36);
INSERT INTO public.ecdc_data VALUES (6620, 10, 218, 5.45298048, 71, 36);
INSERT INTO public.ecdc_data VALUES (6621, 0, 7, 2.54622987, 12, 36);
INSERT INTO public.ecdc_data VALUES (6622, 0, 2, 1.68398163, 72, 36);
INSERT INTO public.ecdc_data VALUES (6623, 0, 14, 2.09203768, 13, 36);
INSERT INTO public.ecdc_data VALUES (6624, 4, 9, 9.54309431, 156, 36);
INSERT INTO public.ecdc_data VALUES (6625, 2, 20, 5.84992223, 73, 36);
INSERT INTO public.ecdc_data VALUES (6626, 0, 0, 1.22381794, 74, 36);
INSERT INTO public.ecdc_data VALUES (6627, 1, 5, 18.2669463, 157, 36);
INSERT INTO public.ecdc_data VALUES (6628, 2, 45, 13.0518883, 158, 36);
INSERT INTO public.ecdc_data VALUES (6629, 2, 12, 0.27191895, 14, 36);
INSERT INTO public.ecdc_data VALUES (6630, 5, 123, 40.99150529, 159, 36);
INSERT INTO public.ecdc_data VALUES (6631, 0, 12, 75.70178223, 15, 36);
INSERT INTO public.ecdc_data VALUES (6632, 0, 0, 0, 75, 36);
INSERT INTO public.ecdc_data VALUES (6633, 0, 0, 27.63769331, 76, 36);
INSERT INTO public.ecdc_data VALUES (6634, 87, 521, 90.43001137, 77, 36);
INSERT INTO public.ecdc_data VALUES (6635, 30, 463, 2.58197996, 16, 36);
INSERT INTO public.ecdc_data VALUES (6636, 0, 25, 2.69619047, 78, 36);
INSERT INTO public.ecdc_data VALUES (6637, 0, 0, 17.47810812, 17, 36);
INSERT INTO public.ecdc_data VALUES (6638, 0, 0, 0.14297491, 18, 36);
INSERT INTO public.ecdc_data VALUES (6639, 1, 4, 23.77681496, 160, 36);
INSERT INTO public.ecdc_data VALUES (6640, 0, 6, 4.35489617, 19, 36);
INSERT INTO public.ecdc_data VALUES (6641, 0, 1, 0.0446115, 20, 36);
INSERT INTO public.ecdc_data VALUES (6642, 0, 0, 237.24792408, 79, 36);
INSERT INTO public.ecdc_data VALUES (6643, 0, 0, 6.16307496, 161, 36);
INSERT INTO public.ecdc_data VALUES (6644, 0, 0, 0.22473046, 203, 36);
INSERT INTO public.ecdc_data VALUES (6645, 3, 119, 29.55824469, 162, 36);
INSERT INTO public.ecdc_data VALUES (6646, 437, 1195, 41.32638197, 163, 36);
INSERT INTO public.ecdc_data VALUES (6647, 0, 1, 1.07417155, 204, 36);
INSERT INTO public.ecdc_data VALUES (6648, 0, 35, 7.0883531, 21, 36);
INSERT INTO public.ecdc_data VALUES (6649, 0, 0, 0.04259495, 22, 36);
INSERT INTO public.ecdc_data VALUES (6650, 0, 11, 5.62955713, 164, 36);
INSERT INTO public.ecdc_data VALUES (6651, 163, 1144, 37.62863905, 165, 36);
INSERT INTO public.ecdc_data VALUES (6652, 0, 0, 3.23494179, 23, 36);
INSERT INTO public.ecdc_data VALUES (6653, 0, 0, 35.60196998, 166, 36);
INSERT INTO public.ecdc_data VALUES (6654, 6, 28, 3.62717524, 167, 36);
INSERT INTO public.ecdc_data VALUES (6655, 0, 0, 0, 80, 36);
INSERT INTO public.ecdc_data VALUES (6656, 0, 0, 3.5713648, 81, 36);
INSERT INTO public.ecdc_data VALUES (6657, 0, 2, 5.97746496, 205, 36);
INSERT INTO public.ecdc_data VALUES (6658, 0, 30, 2.06467307, 82, 36);
INSERT INTO public.ecdc_data VALUES (6659, 0, 0, 43.43240057, 168, 36);
INSERT INTO public.ecdc_data VALUES (6660, 0, 69, 6.60859559, 24, 36);
INSERT INTO public.ecdc_data VALUES (6661, 0, 20, 1.76998798, 25, 36);
INSERT INTO public.ecdc_data VALUES (6662, 0, 0, 3.44926703, 83, 36);
INSERT INTO public.ecdc_data VALUES (6663, 0, 4, 0.31962841, 84, 36);
INSERT INTO public.ecdc_data VALUES (6664, 0, 0, 122.6993865, 169, 36);
INSERT INTO public.ecdc_data VALUES (6665, 0, 32, 2.93450262, 85, 36);
INSERT INTO public.ecdc_data VALUES (6666, 11, 66, 11.6343844, 170, 36);
INSERT INTO public.ecdc_data VALUES (6667, 0, 0, 22.68964764, 171, 36);
INSERT INTO public.ecdc_data VALUES (6668, 62, 1543, 1.39576641, 112, 36);
INSERT INTO public.ecdc_data VALUES (6669, 22, 214, 1.67722512, 113, 36);
INSERT INTO public.ecdc_data VALUES (6670, 96, 991, 21.91309483, 114, 36);
INSERT INTO public.ecdc_data VALUES (6671, 1, 27, 1.19308705, 115, 36);
INSERT INTO public.ecdc_data VALUES (6672, 15, 386, 183.53506354, 172, 36);
INSERT INTO public.ecdc_data VALUES (6673, 0, 0, 78.0243294, 173, 36);
INSERT INTO public.ecdc_data VALUES (6674, 3, 68, 45.5432577, 116, 36);
INSERT INTO public.ecdc_data VALUES (6675, 333, 1739, 66.10056345, 174, 36);
INSERT INTO public.ecdc_data VALUES (6676, 0, 14, 9.87017163, 86, 36);
INSERT INTO public.ecdc_data VALUES (6677, 25, 191, 4.67522152, 117, 36);
INSERT INTO public.ecdc_data VALUES (6678, 0, 2, 61.22676166, 175, 36);
INSERT INTO public.ecdc_data VALUES (6679, 0, 2, 0.57416096, 118, 36);
INSERT INTO public.ecdc_data VALUES (6680, 0, 143, 9.06129706, 119, 36);
INSERT INTO public.ecdc_data VALUES (6681, 0, 8, 0.29482272, 26, 36);
INSERT INTO public.ecdc_data VALUES (6682, 1, 22, 22.57429222, 176, 36);
INSERT INTO public.ecdc_data VALUES (6683, 2, 213, 47.25371083, 120, 36);
INSERT INTO public.ecdc_data VALUES (6684, 0, 13, 4.33301833, 121, 36);
INSERT INTO public.ecdc_data VALUES (6685, 0, 0, 0, 122, 36);
INSERT INTO public.ecdc_data VALUES (6686, 1, 6, 8.48972483, 177, 36);
INSERT INTO public.ecdc_data VALUES (6687, 0, 3, 1.13773791, 123, 36);
INSERT INTO public.ecdc_data VALUES (6688, 4, 9, 1.49877242, 28, 36);
INSERT INTO public.ecdc_data VALUES (6689, 0, 0, 0.51641819, 29, 36);
INSERT INTO public.ecdc_data VALUES (6690, 0, 0, 5.21131898, 178, 36);
INSERT INTO public.ecdc_data VALUES (6691, 0, 11, 13.56388842, 179, 36);
INSERT INTO public.ecdc_data VALUES (6692, 0, 6, 71.18492769, 180, 36);
INSERT INTO public.ecdc_data VALUES (6693, 0, 4, 0.08157422, 30, 36);
INSERT INTO public.ecdc_data VALUES (6694, 0, 2, 0.10736094, 31, 36);
INSERT INTO public.ecdc_data VALUES (6695, 1, 40, 3.13930086, 124, 36);
INSERT INTO public.ecdc_data VALUES (6696, 0, 0, 36.53779873, 125, 36);
INSERT INTO public.ecdc_data VALUES (6697, 0, 19, 1.44978974, 32, 36);
INSERT INTO public.ecdc_data VALUES (6698, 0, 8, 12.96704143, 181, 36);
INSERT INTO public.ecdc_data VALUES (6699, 0, 0, 0, 33, 36);
INSERT INTO public.ecdc_data VALUES (6700, 1, 0, 0.63008498, 34, 36);
INSERT INTO public.ecdc_data VALUES (6701, 83, 1805, 12.6928731, 87, 36);
INSERT INTO public.ecdc_data VALUES (6702, 6, 73, 43.75184567, 182, 36);
INSERT INTO public.ecdc_data VALUES (6703, 0, 1, 6.04503551, 183, 36);
INSERT INTO public.ecdc_data VALUES (6704, 0, 0, 0.68213543, 126, 36);
INSERT INTO public.ecdc_data VALUES (6705, 0, 0, 7.55405974, 184, 36);
INSERT INTO public.ecdc_data VALUES (6706, 0, 0, 0, 88, 36);
INSERT INTO public.ecdc_data VALUES (6707, 1, 55, 6.46253324, 35, 36);
INSERT INTO public.ecdc_data VALUES (6708, 0, 0, 0.16136446, 36, 36);
INSERT INTO public.ecdc_data VALUES (6709, 0, 0, 0.15542482, 127, 36);
INSERT INTO public.ecdc_data VALUES (6710, 0, 0, 0, 37, 36);
INSERT INTO public.ecdc_data VALUES (6711, 0, 0, 0.13282666, 128, 36);
INSERT INTO public.ecdc_data VALUES (6712, 43, 400, 67.66514122, 185, 36);
INSERT INTO public.ecdc_data VALUES (6713, 0, 0, 0, 207, 36);
INSERT INTO public.ecdc_data VALUES (6714, 0, 2, 1.08716968, 208, 36);
INSERT INTO public.ecdc_data VALUES (6715, 0, 0, 0.06111066, 89, 36);
INSERT INTO public.ecdc_data VALUES (6716, 0, 5, 0.65635041, 38, 36);
INSERT INTO public.ecdc_data VALUES (6717, 0, 64, 0.49461693, 39, 36);
INSERT INTO public.ecdc_data VALUES (6718, 4, 13, 26.23810138, 186, 36);
INSERT INTO public.ecdc_data VALUES (6719, 0, 0, 5.24356353, 209, 36);
INSERT INTO public.ecdc_data VALUES (6720, 0, 28, 19.61258298, 187, 36);
INSERT INTO public.ecdc_data VALUES (6721, 0, 51, 24.84426106, 129, 36);
INSERT INTO public.ecdc_data VALUES (6722, 20, 751, 3.86165251, 130, 36);
INSERT INTO public.ecdc_data VALUES (6723, 0, 0, 4.55693174, 131, 36);
INSERT INTO public.ecdc_data VALUES (6724, 2, 242, 60.02675182, 90, 36);
INSERT INTO public.ecdc_data VALUES (6725, 0, 0, 0.06836735, 210, 36);
INSERT INTO public.ecdc_data VALUES (6726, 0, 2, 1.0078586, 91, 36);
INSERT INTO public.ecdc_data VALUES (6727, 54, 1182, 65.14825904, 92, 36);
INSERT INTO public.ecdc_data VALUES (6728, 10, 198, 2.63141777, 132, 36);
INSERT INTO public.ecdc_data VALUES (6729, 27, 285, 13.08304478, 188, 36);
INSERT INTO public.ecdc_data VALUES (6730, 20, 298, 70.15927518, 189, 36);
INSERT INTO public.ecdc_data VALUES (6731, 0, 18, 16.56778269, 93, 36);
INSERT INTO public.ecdc_data VALUES (6732, 0, 957, 282.93782183, 133, 36);
INSERT INTO public.ecdc_data VALUES (6733, 23, 303, 24.23966716, 190, 36);
INSERT INTO public.ecdc_data VALUES (6734, 48, 6198, 47.17757852, 191, 36);
INSERT INTO public.ecdc_data VALUES (6735, 0, 16, 0.63356611, 40, 36);
INSERT INTO public.ecdc_data VALUES (6736, 0, 0, 5.67816179, 94, 36);
INSERT INTO public.ecdc_data VALUES (6737, 0, 0, 0, 95, 36);
INSERT INTO public.ecdc_data VALUES (6738, 0, 1, 2.71264908, 96, 36);
INSERT INTO public.ecdc_data VALUES (6739, 0, 0, 528.25588483, 192, 36);
INSERT INTO public.ecdc_data VALUES (6740, 0, 0, 1.86004985, 41, 36);
INSERT INTO public.ecdc_data VALUES (6741, 5, 1289, 40.49488089, 134, 36);
INSERT INTO public.ecdc_data VALUES (6742, 0, 64, 2.72453447, 42, 36);
INSERT INTO public.ecdc_data VALUES (6743, 6, 233, 60.61377152, 193, 36);
INSERT INTO public.ecdc_data VALUES (6744, 0, 0, 1.0231121, 43, 36);
INSERT INTO public.ecdc_data VALUES (6745, 0, 6, 1.12629807, 44, 36);
INSERT INTO public.ecdc_data VALUES (6746, 2, 799, 198.21364795, 135, 36);
INSERT INTO public.ecdc_data VALUES (6747, 0, 1, 54.25935974, 97, 36);
INSERT INTO public.ecdc_data VALUES (6748, 0, 2, 11.22849042, 194, 36);
INSERT INTO public.ecdc_data VALUES (6749, 1, 0, 9.37090924, 195, 36);
INSERT INTO public.ecdc_data VALUES (6750, 3, 44, 2.94633665, 45, 36);
INSERT INTO public.ecdc_data VALUES (6751, 3, 247, 4.30511374, 46, 36);
INSERT INTO public.ecdc_data VALUES (6752, 1, 14, 0.367006, 136, 36);
INSERT INTO public.ecdc_data VALUES (6753, 0, 0, 0.01807973, 47, 36);
INSERT INTO public.ecdc_data VALUES (6754, 632, 1525, 74.62759704, 196, 36);
INSERT INTO public.ecdc_data VALUES (6755, 0, 65, 1.73515577, 137, 36);
INSERT INTO public.ecdc_data VALUES (6756, 1, 38, 0.57458865, 48, 36);
INSERT INTO public.ecdc_data VALUES (6757, 0, 0, 0, 98, 36);
INSERT INTO public.ecdc_data VALUES (6758, 74, 563, 77.73075462, 197, 36);
INSERT INTO public.ecdc_data VALUES (6759, 16, 103, 41.92157155, 198, 36);
INSERT INTO public.ecdc_data VALUES (6760, 0, 0, 0.10544734, 138, 36);
INSERT INTO public.ecdc_data VALUES (6761, 0, 0, 0.15142669, 139, 36);
INSERT INTO public.ecdc_data VALUES (6762, 3, 16, 0.46678246, 141, 36);
INSERT INTO public.ecdc_data VALUES (6763, 0, 0, 1.54664687, 142, 36);
INSERT INTO public.ecdc_data VALUES (6764, 0, 1, 0.27219776, 49, 36);
INSERT INTO public.ecdc_data VALUES (6765, 0, 0, 0.21505854, 99, 36);
INSERT INTO public.ecdc_data VALUES (6766, 1, 18, 2.06075887, 50, 36);
INSERT INTO public.ecdc_data VALUES (6767, 95, 2131, 62.45070203, 199, 36);
INSERT INTO public.ecdc_data VALUES (6768, 0, 1, 5.23642457, 100, 36);
INSERT INTO public.ecdc_data VALUES (6769, 0, 0, 0.05647218, 51, 36);
INSERT INTO public.ecdc_data VALUES (6770, 11, 392, 13.42693989, 200, 36);
INSERT INTO public.ecdc_data VALUES (6771, 6, 490, 66.32191552, 143, 36);
INSERT INTO public.ecdc_data VALUES (6772, 320, 3473, 97.29003711, 201, 36);
INSERT INTO public.ecdc_data VALUES (6773, 0, 0, 0.4378898, 52, 36);
INSERT INTO public.ecdc_data VALUES (6774, 1369, 22541, 123.336454, 101, 36);
INSERT INTO public.ecdc_data VALUES (6775, 1, 4, 7.64971935, 102, 36);
INSERT INTO public.ecdc_data VALUES (6776, 0, 14, 4.27531775, 103, 36);
INSERT INTO public.ecdc_data VALUES (6777, 0, 17, 2.74697662, 144, 36);
INSERT INTO public.ecdc_data VALUES (6778, 0, 4, 0.49095539, 104, 36);
INSERT INTO public.ecdc_data VALUES (6779, 0, 0, 0.00311003, 145, 36);
INSERT INTO public.ecdc_data VALUES (6780, 0, 0, 0, 53, 36);
INSERT INTO public.ecdc_data VALUES (6781, 0, 0, 0, 146, 36);
INSERT INTO public.ecdc_data VALUES (6782, 0, 1, 0.24634632, 54, 36);
INSERT INTO public.ecdc_data VALUES (6783, 0, 1, 0.10242073, 55, 36);
INSERT INTO public.ecdc_data VALUES (6784, 1, 16, 0.22080999, 105, 37);
INSERT INTO public.ecdc_data VALUES (6785, 3, 12, 5.34511448, 147, 37);
INSERT INTO public.ecdc_data VALUES (6786, 1, 42, 0.88960007, 1, 37);
INSERT INTO public.ecdc_data VALUES (6787, 0, 43, 349.18676241, 148, 37);
INSERT INTO public.ecdc_data VALUES (6788, 0, 1, 0, 2, 37);
INSERT INTO public.ecdc_data VALUES (6789, 0, 0, 0, 56, 37);
INSERT INTO public.ecdc_data VALUES (6790, 0, 0, 0, 57, 37);
INSERT INTO public.ecdc_data VALUES (6791, 5, 101, 1.46491762, 58, 37);
INSERT INTO public.ecdc_data VALUES (6792, 0, 43, 12.13769488, 149, 37);
INSERT INTO public.ecdc_data VALUES (6793, 0, 0, 0, 59, 37);
INSERT INTO public.ecdc_data VALUES (6794, 0, 212, 12.62141315, 202, 37);
INSERT INTO public.ecdc_data VALUES (6795, 16, 668, 81.19632793, 150, 37);
INSERT INTO public.ecdc_data VALUES (6796, 0, 43, 1.51278116, 151, 37);
INSERT INTO public.ecdc_data VALUES (6797, 0, 0, 0, 60, 37);
INSERT INTO public.ecdc_data VALUES (6798, 0, 8, 15.59868484, 106, 37);
INSERT INTO public.ecdc_data VALUES (6799, 0, 0, 0.02943951, 107, 37);
INSERT INTO public.ecdc_data VALUES (6800, 0, 0, 0, 61, 37);
INSERT INTO public.ecdc_data VALUES (6801, 0, 8, 0.86750372, 152, 37);
INSERT INTO public.ecdc_data VALUES (6802, 128, 1520, 82.84216542, 153, 37);
INSERT INTO public.ecdc_data VALUES (6803, 0, 0, 0, 62, 37);
INSERT INTO public.ecdc_data VALUES (6804, 0, 0, 0, 3, 37);
INSERT INTO public.ecdc_data VALUES (6805, 0, 2, 0, 63, 37);
INSERT INTO public.ecdc_data VALUES (6806, 0, 0, 0.26209091, 108, 37);
INSERT INTO public.ecdc_data VALUES (6807, 0, 13, 0.61668871, 64, 37);
INSERT INTO public.ecdc_data VALUES (6808, 1, 20, 6.9675898, 154, 37);
INSERT INTO public.ecdc_data VALUES (6809, 15, 502, 1.57261671, 66, 37);
INSERT INTO public.ecdc_data VALUES (6810, 0, 0, 0, 67, 37);
INSERT INTO public.ecdc_data VALUES (6811, 0, 1, 18.0015509, 109, 37);
INSERT INTO public.ecdc_data VALUES (6812, 0, 29, 3.74283629, 155, 37);
INSERT INTO public.ecdc_data VALUES (6813, 0, 0, 0.70861319, 5, 37);
INSERT INTO public.ecdc_data VALUES (6814, 0, 4, 0.58835867, 110, 37);
INSERT INTO public.ecdc_data VALUES (6815, 0, 0, 0.33234933, 7, 37);
INSERT INTO public.ecdc_data VALUES (6816, 14, 657, 12.02586253, 68, 37);
INSERT INTO public.ecdc_data VALUES (6817, 0, 0, 0, 8, 37);
INSERT INTO public.ecdc_data VALUES (6818, 0, 2, 0, 69, 37);
INSERT INTO public.ecdc_data VALUES (6819, 0, 0, 0, 9, 37);
INSERT INTO public.ecdc_data VALUES (6820, 0, 0, 0, 10, 37);
INSERT INTO public.ecdc_data VALUES (6821, 1, 304, 8.26824138, 70, 37);
INSERT INTO public.ecdc_data VALUES (6822, 3, 119, 0.0678624, 111, 37);
INSERT INTO public.ecdc_data VALUES (6823, 0, 48, 1.03894674, 71, 37);
INSERT INTO public.ecdc_data VALUES (6824, 0, 0, 0, 12, 37);
INSERT INTO public.ecdc_data VALUES (6825, 0, 32, 4.69533702, 72, 37);
INSERT INTO public.ecdc_data VALUES (6826, 0, 5, 0.38885459, 13, 37);
INSERT INTO public.ecdc_data VALUES (6827, 1, 91, 13.61546874, 156, 37);
INSERT INTO public.ecdc_data VALUES (6828, 0, 13, 0.70587297, 73, 37);
INSERT INTO public.ecdc_data VALUES (6829, 0, 1, 0, 74, 37);
INSERT INTO public.ecdc_data VALUES (6830, 2, 16, 16.89692533, 157, 37);
INSERT INTO public.ecdc_data VALUES (6831, 0, 217, 19.99098575, 158, 37);
INSERT INTO public.ecdc_data VALUES (6832, 0, 4, 0.06452314, 14, 37);
INSERT INTO public.ecdc_data VALUES (6833, 11, 169, 21.39136536, 159, 37);
INSERT INTO public.ecdc_data VALUES (6834, 0, 1, 0, 15, 37);
INSERT INTO public.ecdc_data VALUES (6835, 0, 0, 0, 75, 37);
INSERT INTO public.ecdc_data VALUES (6836, 10, 93, 5.30777803, 76, 37);
INSERT INTO public.ecdc_data VALUES (6837, 7, 224, 9.23236829, 77, 37);
INSERT INTO public.ecdc_data VALUES (6838, 3, 39, 0.40044597, 16, 37);
INSERT INTO public.ecdc_data VALUES (6839, 0, 0, 0, 78, 37);
INSERT INTO public.ecdc_data VALUES (6840, 0, 1, 0.95871479, 17, 37);
INSERT INTO public.ecdc_data VALUES (6841, 0, 0, 0, 18, 37);
INSERT INTO public.ecdc_data VALUES (6842, 0, 37, 37.43904832, 160, 37);
INSERT INTO public.ecdc_data VALUES (6843, 0, 3, 0.78388131, 19, 37);
INSERT INTO public.ecdc_data VALUES (6844, 0, 4, 0.01338345, 20, 37);
INSERT INTO public.ecdc_data VALUES (6845, 0, 4, 289.66452329, 161, 37);
INSERT INTO public.ecdc_data VALUES (6846, 0, 0, 0, 203, 37);
INSERT INTO public.ecdc_data VALUES (6847, 3, 67, 15.25937586, 162, 37);
INSERT INTO public.ecdc_data VALUES (6848, 299, 3809, 43.72741283, 163, 37);
INSERT INTO public.ecdc_data VALUES (6849, 0, 0, 0, 204, 37);
INSERT INTO public.ecdc_data VALUES (6850, 0, 0, 0.2761696, 21, 37);
INSERT INTO public.ecdc_data VALUES (6851, 0, 0, 0, 22, 37);
INSERT INTO public.ecdc_data VALUES (6852, 0, 2, 1.27603295, 164, 37);
INSERT INTO public.ecdc_data VALUES (6853, 72, 6294, 54.83068118, 165, 37);
INSERT INTO public.ecdc_data VALUES (6854, 0, 5, 0.44381823, 23, 37);
INSERT INTO public.ecdc_data VALUES (6855, 0, 20, 0, 166, 37);
INSERT INTO public.ecdc_data VALUES (6856, 2, 74, 7.23570177, 167, 37);
INSERT INTO public.ecdc_data VALUES (6857, 0, 3, 0, 80, 37);
INSERT INTO public.ecdc_data VALUES (6858, 0, 0, 0, 81, 37);
INSERT INTO public.ecdc_data VALUES (6859, 0, 2, 0, 205, 37);
INSERT INTO public.ecdc_data VALUES (6860, 0, 7, 0.18200975, 82, 37);
INSERT INTO public.ecdc_data VALUES (6861, 0, 2, 0, 168, 37);
INSERT INTO public.ecdc_data VALUES (6862, 0, 0, 0.03915045, 24, 37);
INSERT INTO public.ecdc_data VALUES (6863, 0, 0, 0, 25, 37);
INSERT INTO public.ecdc_data VALUES (6864, 0, 0, 0.63875315, 83, 37);
INSERT INTO public.ecdc_data VALUES (6865, 0, 0, 0, 84, 37);
INSERT INTO public.ecdc_data VALUES (6866, 0, 0, 613.49693252, 169, 37);
INSERT INTO public.ecdc_data VALUES (6867, 0, 28, 0.95422638, 85, 37);
INSERT INTO public.ecdc_data VALUES (6868, 1, 43, 3.25394392, 170, 37);
INSERT INTO public.ecdc_data VALUES (6869, 0, 88, 216.53206944, 171, 37);
INSERT INTO public.ecdc_data VALUES (6870, 2, 149, 0.05781541, 112, 37);
INSERT INTO public.ecdc_data VALUES (6871, 9, 153, 0.36101541, 113, 37);
INSERT INTO public.ecdc_data VALUES (6872, 144, 2926, 25.28888615, 114, 37);
INSERT INTO public.ecdc_data VALUES (6873, 4, 76, 0.94887307, 115, 37);
INSERT INTO public.ecdc_data VALUES (6874, 3, 302, 41.39275403, 172, 37);
INSERT INTO public.ecdc_data VALUES (6875, 0, 3, 0, 173, 37);
INSERT INTO public.ecdc_data VALUES (6876, 2, 369, 34.26308485, 116, 37);
INSERT INTO public.ecdc_data VALUES (6877, 971, 5959, 114.04658345, 174, 37);
INSERT INTO public.ecdc_data VALUES (6878, 0, 0, 0.67836231, 86, 37);
INSERT INTO public.ecdc_data VALUES (6879, 3, 135, 0.60066073, 117, 37);
INSERT INTO public.ecdc_data VALUES (6880, 0, 20, 0, 175, 37);
INSERT INTO public.ecdc_data VALUES (6881, 0, 40, 2.08875796, 118, 37);
INSERT INTO public.ecdc_data VALUES (6882, 0, 73, 1.04035118, 119, 37);
INSERT INTO public.ecdc_data VALUES (6883, 0, 0, 0.05706246, 26, 37);
INSERT INTO public.ecdc_data VALUES (6884, 0, 6, 5.00415345, 176, 37);
INSERT INTO public.ecdc_data VALUES (6885, 0, 17, 2.97118403, 120, 37);
INSERT INTO public.ecdc_data VALUES (6886, 0, 14, 0, 121, 37);
INSERT INTO public.ecdc_data VALUES (6887, 0, 0, 0, 122, 37);
INSERT INTO public.ecdc_data VALUES (6888, 0, 36, 13.59397657, 177, 37);
INSERT INTO public.ecdc_data VALUES (6889, 1, 23, 4.74057461, 123, 37);
INSERT INTO public.ecdc_data VALUES (6890, 0, 0, 0, 28, 37);
INSERT INTO public.ecdc_data VALUES (6891, 0, 0, 0, 29, 37);
INSERT INTO public.ecdc_data VALUES (6892, 0, 4, 145.91693158, 178, 37);
INSERT INTO public.ecdc_data VALUES (6893, 1, 59, 12.59759558, 179, 37);
INSERT INTO public.ecdc_data VALUES (6894, 6, 152, 257.2105282, 180, 37);
INSERT INTO public.ecdc_data VALUES (6895, 0, 1, 0, 30, 37);
INSERT INTO public.ecdc_data VALUES (6896, 3, 130, 6.14714545, 124, 37);
INSERT INTO public.ecdc_data VALUES (6897, 0, 1, 0.94169584, 125, 37);
INSERT INTO public.ecdc_data VALUES (6898, 0, 0, 0, 32, 37);
INSERT INTO public.ecdc_data VALUES (6899, 0, 10, 26.54191292, 181, 37);
INSERT INTO public.ecdc_data VALUES (6900, 0, 0, 0.06628812, 33, 37);
INSERT INTO public.ecdc_data VALUES (6901, 0, 13, 0, 34, 37);
INSERT INTO public.ecdc_data VALUES (6902, 4, 223, 1.28864839, 87, 37);
INSERT INTO public.ecdc_data VALUES (6903, 1, 22, 4.72391324, 182, 37);
INSERT INTO public.ecdc_data VALUES (6904, 0, 6, 93.69805048, 183, 37);
INSERT INTO public.ecdc_data VALUES (6905, 0, 0, 0, 126, 37);
INSERT INTO public.ecdc_data VALUES (6906, 0, 8, 0, 184, 37);
INSERT INTO public.ecdc_data VALUES (6907, 0, 0, 0, 88, 37);
INSERT INTO public.ecdc_data VALUES (6908, 13, 70, 0.92674427, 35, 37);
INSERT INTO public.ecdc_data VALUES (6909, 0, 0, 0, 36, 37);
INSERT INTO public.ecdc_data VALUES (6910, 0, 0, 0, 127, 37);
INSERT INTO public.ecdc_data VALUES (6911, 0, 0, 0.32070247, 37, 37);
INSERT INTO public.ecdc_data VALUES (6912, 0, 0, 0.00699088, 128, 37);
INSERT INTO public.ecdc_data VALUES (6913, 112, 1172, 45.12745309, 185, 37);
INSERT INTO public.ecdc_data VALUES (6914, 0, 0, 0, 207, 37);
INSERT INTO public.ecdc_data VALUES (6915, 0, 78, 8.61372903, 208, 37);
INSERT INTO public.ecdc_data VALUES (6916, 1, 0, 0, 89, 37);
INSERT INTO public.ecdc_data VALUES (6917, 0, 0, 0, 38, 37);
INSERT INTO public.ecdc_data VALUES (6918, 0, 16, 0.0393106, 39, 37);
INSERT INTO public.ecdc_data VALUES (6919, 0, 18, 10.11009411, 186, 37);
INSERT INTO public.ecdc_data VALUES (6920, 2, 425, 55.5533451, 187, 37);
INSERT INTO public.ecdc_data VALUES (6921, 0, 22, 2.23115937, 129, 37);
INSERT INTO public.ecdc_data VALUES (6922, 0, 0, 0.54302324, 130, 37);
INSERT INTO public.ecdc_data VALUES (6923, 0, 7, 1.12417699, 131, 37);
INSERT INTO public.ecdc_data VALUES (6924, 5, 112, 17.66185322, 90, 37);
INSERT INTO public.ecdc_data VALUES (6925, 0, 0, 0, 210, 37);
INSERT INTO public.ecdc_data VALUES (6926, 0, 4, 0.70975958, 91, 37);
INSERT INTO public.ecdc_data VALUES (6927, 2, 55, 1.83633195, 92, 37);
INSERT INTO public.ecdc_data VALUES (6928, 9, 96, 0.68352117, 132, 37);
INSERT INTO public.ecdc_data VALUES (6929, 0, 168, 3.47880478, 188, 37);
INSERT INTO public.ecdc_data VALUES (6930, 16, 724, 40.44132422, 189, 37);
INSERT INTO public.ecdc_data VALUES (6931, 2, 64, 0, 93, 37);
INSERT INTO public.ecdc_data VALUES (6932, 0, 13, 8.54498351, 133, 37);
INSERT INTO public.ecdc_data VALUES (6933, 7, 263, 6.196413, 190, 37);
INSERT INTO public.ecdc_data VALUES (6934, 2, 196, 0.67936152, 191, 37);
INSERT INTO public.ecdc_data VALUES (6935, 0, 4, 0.42765712, 40, 37);
INSERT INTO public.ecdc_data VALUES (6936, 0, 0, 0, 94, 37);
INSERT INTO public.ecdc_data VALUES (6937, 0, 0, 1.64118275, 95, 37);
INSERT INTO public.ecdc_data VALUES (6938, 0, 0, 0, 96, 37);
INSERT INTO public.ecdc_data VALUES (6939, 0, 5, 435.37572925, 192, 37);
INSERT INTO public.ecdc_data VALUES (6940, 0, 92, 2.97065567, 134, 37);
INSERT INTO public.ecdc_data VALUES (6941, 0, 14, 0.61363389, 42, 37);
INSERT INTO public.ecdc_data VALUES (6942, 3, 73, 5.97378085, 193, 37);
INSERT INTO public.ecdc_data VALUES (6943, 0, 0, 7.16178472, 43, 37);
INSERT INTO public.ecdc_data VALUES (6944, 0, 138, 9.16555069, 135, 37);
INSERT INTO public.ecdc_data VALUES (6945, 0, 1, 0, 97, 37);
INSERT INTO public.ecdc_data VALUES (6946, 0, 69, 4.86200974, 194, 37);
INSERT INTO public.ecdc_data VALUES (6947, 4, 55, 23.5954689, 195, 37);
INSERT INTO public.ecdc_data VALUES (6948, 0, 1, 0, 45, 37);
INSERT INTO public.ecdc_data VALUES (6949, 0, 243, 1.95702513, 46, 37);
INSERT INTO public.ecdc_data VALUES (6950, 5, 146, 2.7174061, 136, 37);
INSERT INTO public.ecdc_data VALUES (6951, 769, 8244, 162.43880635, 196, 37);
INSERT INTO public.ecdc_data VALUES (6952, 0, 0, 0.46896102, 137, 37);
INSERT INTO public.ecdc_data VALUES (6953, 0, 0, 0.00467145, 48, 37);
INSERT INTO public.ecdc_data VALUES (6954, 0, 0, 0, 98, 37);
INSERT INTO public.ecdc_data VALUES (6955, 32, 365, 21.77868729, 197, 37);
INSERT INTO public.ecdc_data VALUES (6956, 36, 1390, 128.53841997, 198, 37);
INSERT INTO public.ecdc_data VALUES (6957, 0, 0, 0, 138, 37);
INSERT INTO public.ecdc_data VALUES (6958, 0, 15, 0.90014752, 139, 37);
INSERT INTO public.ecdc_data VALUES (6959, 0, 0, 1.51381143, 141, 37);
INSERT INTO public.ecdc_data VALUES (6960, 0, 0, 0, 142, 37);
INSERT INTO public.ecdc_data VALUES (6961, 1, 1, 0.29694301, 49, 37);
INSERT INTO public.ecdc_data VALUES (6962, 1, 1, 4.58791557, 99, 37);
INSERT INTO public.ecdc_data VALUES (6963, 1, 54, 1.80423287, 50, 37);
INSERT INTO public.ecdc_data VALUES (6964, 17, 2069, 6.94723208, 199, 37);
INSERT INTO public.ecdc_data VALUES (6965, 0, 0, 0, 100, 37);
INSERT INTO public.ecdc_data VALUES (6966, 0, 0, 0, 51, 37);
INSERT INTO public.ecdc_data VALUES (6967, 0, 62, 0.49325308, 200, 37);
INSERT INTO public.ecdc_data VALUES (6968, 0, 72, 3.27515632, 143, 37);
INSERT INTO public.ecdc_data VALUES (6969, 288, 3087, 28.5653788, 201, 37);
INSERT INTO public.ecdc_data VALUES (6970, 0, 0, 0, 52, 37);
INSERT INTO public.ecdc_data VALUES (6971, 411, 18695, 31.15251572, 101, 37);
INSERT INTO public.ecdc_data VALUES (6972, 0, 2, 0, 102, 37);
INSERT INTO public.ecdc_data VALUES (6973, 0, 0, 6.87517314, 103, 37);
INSERT INTO public.ecdc_data VALUES (6974, 0, 21, 0, 144, 37);
INSERT INTO public.ecdc_data VALUES (6975, 0, 12, 0.41731208, 104, 37);
INSERT INTO public.ecdc_data VALUES (6976, 0, 8, 0.12232783, 145, 37);
INSERT INTO public.ecdc_data VALUES (6977, 0, 2, 0, 54, 37);
INSERT INTO public.ecdc_data VALUES (6978, 0, 2, 0, 55, 37);
INSERT INTO public.ecdc_data VALUES (6979, 0, 0, 0.00262869, 105, 38);
INSERT INTO public.ecdc_data VALUES (6980, 0, 0, 0.00232272, 1, 38);
INSERT INTO public.ecdc_data VALUES (6981, 0, 0, 0, 149, 38);
INSERT INTO public.ecdc_data VALUES (6982, 0, 0, 0.031742, 202, 38);
INSERT INTO public.ecdc_data VALUES (6983, 0, 3, 0.05644121, 150, 38);
INSERT INTO public.ecdc_data VALUES (6984, 0, 0, 0, 151, 38);
INSERT INTO public.ecdc_data VALUES (6985, 0, 0, 2.01076797, 106, 38);
INSERT INTO public.ecdc_data VALUES (6986, 0, 1, 0.01057931, 152, 38);
INSERT INTO public.ecdc_data VALUES (6987, 0, 0, 0, 153, 38);
INSERT INTO public.ecdc_data VALUES (6988, 0, 0, 0.00047382, 66, 38);
INSERT INTO public.ecdc_data VALUES (6989, 0, 0, 0, 110, 38);
INSERT INTO public.ecdc_data VALUES (6990, 0, 2, 0.01871106, 68, 38);
INSERT INTO public.ecdc_data VALUES (6991, 0, 0, 0, 214, 38);
INSERT INTO public.ecdc_data VALUES (6992, 44, 329, 1.03962683, 111, 38);
INSERT INTO public.ecdc_data VALUES (6993, 0, 1, 0.07359713, 156, 38);
INSERT INTO public.ecdc_data VALUES (6994, 0, 0, 0, 158, 38);
INSERT INTO public.ecdc_data VALUES (6995, 0, 0, 0.01722332, 159, 38);
INSERT INTO public.ecdc_data VALUES (6996, 0, 0, 0, 76, 38);
INSERT INTO public.ecdc_data VALUES (6997, 0, 0, 0, 77, 38);
INSERT INTO public.ecdc_data VALUES (6998, 0, 0, 0.00099613, 16, 38);
INSERT INTO public.ecdc_data VALUES (6999, 0, 1, 0.07548195, 160, 38);
INSERT INTO public.ecdc_data VALUES (7000, 0, 0, 0.01812277, 162, 38);
INSERT INTO public.ecdc_data VALUES (7001, 0, 21, 0.04029076, 163, 38);
INSERT INTO public.ecdc_data VALUES (7002, 0, 0, 0.02502025, 164, 38);
INSERT INTO public.ecdc_data VALUES (7003, 0, 26, 0.03854529, 165, 38);
INSERT INTO public.ecdc_data VALUES (7004, 0, 2, 0.02797307, 167, 38);
INSERT INTO public.ecdc_data VALUES (7005, 0, 0, 0, 171, 38);
INSERT INTO public.ecdc_data VALUES (7006, 0, 0, 0, 112, 38);
INSERT INTO public.ecdc_data VALUES (7007, 0, 0, 0, 113, 38);
INSERT INTO public.ecdc_data VALUES (7008, 7, 106, 0.29548727, 114, 38);
INSERT INTO public.ecdc_data VALUES (7009, 0, 1, 0.01526337, 115, 38);
INSERT INTO public.ecdc_data VALUES (7010, 0, 0, 0, 172, 38);
INSERT INTO public.ecdc_data VALUES (7011, 0, 1, 0.03521386, 116, 38);
INSERT INTO public.ecdc_data VALUES (7012, 5, 250, 1.07190998, 174, 38);
INSERT INTO public.ecdc_data VALUES (7013, 0, 24, 0.14188836, 117, 38);
INSERT INTO public.ecdc_data VALUES (7014, 0, 17, 1.02208731, 120, 38);
INSERT INTO public.ecdc_data VALUES (7015, 0, 1, 0.04375915, 123, 38);
INSERT INTO public.ecdc_data VALUES (7016, 0, 1, 0.03578862, 179, 38);
INSERT INTO public.ecdc_data VALUES (7017, 0, 0, 0, 180, 38);
INSERT INTO public.ecdc_data VALUES (7018, 0, 1, 0.01251964, 124, 38);
INSERT INTO public.ecdc_data VALUES (7019, 0, 5, 0.0062708, 87, 38);
INSERT INTO public.ecdc_data VALUES (7020, 0, 0, 0, 183, 38);
INSERT INTO public.ecdc_data VALUES (7021, 0, 0, 0, 128, 38);
INSERT INTO public.ecdc_data VALUES (7022, 0, 1, 0.00578631, 185, 38);
INSERT INTO public.ecdc_data VALUES (7023, 0, 1, 0.02090711, 208, 38);
INSERT INTO public.ecdc_data VALUES (7024, 0, 1, 0.0004976, 39, 38);
INSERT INTO public.ecdc_data VALUES (7025, 0, 0, 0.04814331, 186, 38);
INSERT INTO public.ecdc_data VALUES (7026, 0, 3, 0.07507209, 187, 38);
INSERT INTO public.ecdc_data VALUES (7027, 0, 2, 0.12060321, 129, 38);
INSERT INTO public.ecdc_data VALUES (7028, 0, 0, 0.00092351, 130, 38);
INSERT INTO public.ecdc_data VALUES (7029, 0, 0, 0, 132, 38);
INSERT INTO public.ecdc_data VALUES (7030, 0, 0, 0, 133, 38);
INSERT INTO public.ecdc_data VALUES (7031, 0, 0, 0.0051508, 190, 38);
INSERT INTO public.ecdc_data VALUES (7032, 0, 0, 0, 191, 38);
INSERT INTO public.ecdc_data VALUES (7033, 0, 1, 2.90250486, 192, 38);
INSERT INTO public.ecdc_data VALUES (7034, 0, 3, 0.65468219, 135, 38);
INSERT INTO public.ecdc_data VALUES (7035, 1, 427, 3.89260616, 136, 38);
INSERT INTO public.ecdc_data VALUES (7036, 0, 18, 0.07030692, 196, 38);
INSERT INTO public.ecdc_data VALUES (7037, 0, 0, 0, 137, 38);
INSERT INTO public.ecdc_data VALUES (7038, 0, 1, 0.00977499, 197, 38);
INSERT INTO public.ecdc_data VALUES (7039, 0, 7, 0.09362718, 198, 38);
INSERT INTO public.ecdc_data VALUES (7040, 0, 2, 0.06730075, 139, 38);
INSERT INTO public.ecdc_data VALUES (7041, 0, 0, 0.01005378, 141, 38);
INSERT INTO public.ecdc_data VALUES (7042, 0, 6, 0.1125835, 143, 38);
INSERT INTO public.ecdc_data VALUES (7043, 0, 4, 0.01800528, 201, 38);
INSERT INTO public.ecdc_data VALUES (7044, 0, 1, 0.01367511, 101, 38);
INSERT INTO public.ecdc_data VALUES (7045, 0, 0, 0, 145, 38);
INSERT INTO public.ecdc_data VALUES (7046, 0, 0, 0, 105, 39);
INSERT INTO public.ecdc_data VALUES (7047, 0, 0, 0, 1, 39);
INSERT INTO public.ecdc_data VALUES (7048, 0, 0, 0, 149, 39);
INSERT INTO public.ecdc_data VALUES (7049, 0, 0, 0.015871, 202, 39);
INSERT INTO public.ecdc_data VALUES (7050, 0, 0, 0, 150, 39);
INSERT INTO public.ecdc_data VALUES (7051, 0, 0, 0, 151, 39);
INSERT INTO public.ecdc_data VALUES (7052, 0, 0, 0, 106, 39);
INSERT INTO public.ecdc_data VALUES (7053, 0, 0, 0, 152, 39);
INSERT INTO public.ecdc_data VALUES (7054, 0, 0, 0, 153, 39);
INSERT INTO public.ecdc_data VALUES (7055, 0, 0, 0, 66, 39);
INSERT INTO public.ecdc_data VALUES (7056, 0, 1, 0.00606555, 110, 39);
INSERT INTO public.ecdc_data VALUES (7057, 0, 1, 0.00534602, 68, 39);
INSERT INTO public.ecdc_data VALUES (7058, 0, 0, 0, 214, 39);
INSERT INTO public.ecdc_data VALUES (7059, 25, 1753, 0.31169276, 111, 39);
INSERT INTO public.ecdc_data VALUES (7060, 0, 0, 0, 156, 39);
INSERT INTO public.ecdc_data VALUES (7061, 0, 0, 0, 158, 39);
INSERT INTO public.ecdc_data VALUES (7062, 0, 0, 0, 159, 39);
INSERT INTO public.ecdc_data VALUES (7063, 0, 0, 0, 76, 39);
INSERT INTO public.ecdc_data VALUES (7064, 0, 0, 0, 77, 39);
INSERT INTO public.ecdc_data VALUES (7065, 0, 0, 0, 16, 39);
INSERT INTO public.ecdc_data VALUES (7066, 0, 0, 0, 160, 39);
INSERT INTO public.ecdc_data VALUES (7067, 0, 0, 0, 162, 39);
INSERT INTO public.ecdc_data VALUES (7068, 0, 0, 0.00447675, 163, 39);
INSERT INTO public.ecdc_data VALUES (7069, 0, 0, 0, 164, 39);
INSERT INTO public.ecdc_data VALUES (7070, 0, 1, 0.00120454, 165, 39);
INSERT INTO public.ecdc_data VALUES (7071, 0, 0, 0, 167, 39);
INSERT INTO public.ecdc_data VALUES (7072, 0, 0, 0, 171, 39);
INSERT INTO public.ecdc_data VALUES (7073, 0, 0, 0, 112, 39);
INSERT INTO public.ecdc_data VALUES (7074, 0, 0, 0, 113, 39);
INSERT INTO public.ecdc_data VALUES (7075, 0, 0, 0, 114, 39);
INSERT INTO public.ecdc_data VALUES (7076, 0, 0, 0, 115, 39);
INSERT INTO public.ecdc_data VALUES (7077, 0, 0, 0, 172, 39);
INSERT INTO public.ecdc_data VALUES (7078, 0, 0, 0, 116, 39);
INSERT INTO public.ecdc_data VALUES (7079, 0, 0, 0, 174, 39);
INSERT INTO public.ecdc_data VALUES (7080, 0, 1, 0.00315307, 117, 39);
INSERT INTO public.ecdc_data VALUES (7081, 0, 0, 0, 120, 39);
INSERT INTO public.ecdc_data VALUES (7082, 0, 0, 0, 123, 39);
INSERT INTO public.ecdc_data VALUES (7083, 0, 0, 0, 179, 39);
INSERT INTO public.ecdc_data VALUES (7084, 0, 0, 0, 180, 39);
INSERT INTO public.ecdc_data VALUES (7085, 0, 0, 0.01251964, 124, 39);
INSERT INTO public.ecdc_data VALUES (7086, 0, 0, 0, 87, 39);
INSERT INTO public.ecdc_data VALUES (7087, 0, 0, 0, 183, 39);
INSERT INTO public.ecdc_data VALUES (7088, 0, 0, 0.00349544, 128, 39);
INSERT INTO public.ecdc_data VALUES (7089, 0, 0, 0, 185, 39);
INSERT INTO public.ecdc_data VALUES (7090, 0, 0, 0, 208, 39);
INSERT INTO public.ecdc_data VALUES (7091, 0, 0, 0, 39, 39);
INSERT INTO public.ecdc_data VALUES (7092, 0, 0, 0, 186, 39);
INSERT INTO public.ecdc_data VALUES (7093, 0, 0, 0, 187, 39);
INSERT INTO public.ecdc_data VALUES (7094, 0, 0, 0, 129, 39);
INSERT INTO public.ecdc_data VALUES (7095, 0, 0, 0, 130, 39);
INSERT INTO public.ecdc_data VALUES (7096, 0, 0, 0, 132, 39);
INSERT INTO public.ecdc_data VALUES (7097, 0, 0, 0, 133, 39);
INSERT INTO public.ecdc_data VALUES (7098, 0, 0, 0, 190, 39);
INSERT INTO public.ecdc_data VALUES (7099, 0, 0, 0, 191, 39);
INSERT INTO public.ecdc_data VALUES (7100, 0, 0, 0, 192, 39);
INSERT INTO public.ecdc_data VALUES (7101, 0, 1, 0.08614239, 135, 39);
INSERT INTO public.ecdc_data VALUES (7102, 0, 0, 0.00780864, 136, 39);
INSERT INTO public.ecdc_data VALUES (7103, 0, 0, 0, 196, 39);
INSERT INTO public.ecdc_data VALUES (7104, 0, 1, 0.00468961, 137, 39);
INSERT INTO public.ecdc_data VALUES (7105, 0, 0, 0, 197, 39);
INSERT INTO public.ecdc_data VALUES (7106, 0, 0, 0, 198, 39);
INSERT INTO public.ecdc_data VALUES (7107, 0, 2, 0.02944408, 139, 39);
INSERT INTO public.ecdc_data VALUES (7108, 0, 6, 0.0186713, 141, 39);
INSERT INTO public.ecdc_data VALUES (7109, 0, 0, 0.01023486, 143, 39);
INSERT INTO public.ecdc_data VALUES (7110, 0, 0, 0, 201, 39);
INSERT INTO public.ecdc_data VALUES (7111, 0, 0, 0.00151946, 101, 39);
INSERT INTO public.ecdc_data VALUES (7112, 0, 0, 0.00207335, 145, 39);
INSERT INTO public.ecdc_data VALUES (7113, 0, 0, 6.39560365, 105, 40);
INSERT INTO public.ecdc_data VALUES (7114, 10, 656, 328.00836493, 147, 40);
INSERT INTO public.ecdc_data VALUES (7115, 23, 1085, 32.52266378, 1, 40);
INSERT INTO public.ecdc_data VALUES (7116, 0, 106, 1205.08814997, 148, 40);
INSERT INTO public.ecdc_data VALUES (7117, 2, 79, 5.86954423, 2, 40);
INSERT INTO public.ecdc_data VALUES (7118, 0, 0, 6.72404519, 56, 40);
INSERT INTO public.ecdc_data VALUES (7119, 0, 1, 10.29707048, 57, 40);
INSERT INTO public.ecdc_data VALUES (7120, 240, 9043, 256.61515821, 58, 40);
INSERT INTO public.ecdc_data VALUES (7121, 22, 1476, 607.32427052, 149, 40);
INSERT INTO public.ecdc_data VALUES (7122, 0, 13, 142.97808296, 59, 40);
INSERT INTO public.ecdc_data VALUES (7123, 0, 13, 0.67054977, 202, 40);
INSERT INTO public.ecdc_data VALUES (7124, 114, 5447, 932.74747355, 150, 40);
INSERT INTO public.ecdc_data VALUES (7125, 32, 3705, 357.14573626, 151, 40);
INSERT INTO public.ecdc_data VALUES (7126, 0, 13, 91.91601239, 60, 40);
INSERT INTO public.ecdc_data VALUES (7127, 1, 162, 131.30924149, 106, 40);
INSERT INTO public.ecdc_data VALUES (7128, 37, 2292, 17.93357027, 107, 40);
INSERT INTO public.ecdc_data VALUES (7129, 0, 3, 5.92291156, 61, 40);
INSERT INTO public.ecdc_data VALUES (7130, 9, 1563, 206.89963797, 152, 40);
INSERT INTO public.ecdc_data VALUES (7131, 118, 2413, 413.88783869, 153, 40);
INSERT INTO public.ecdc_data VALUES (7132, 2, 92, 235.42913942, 62, 40);
INSERT INTO public.ecdc_data VALUES (7133, 0, 0, 1.10158746, 3, 40);
INSERT INTO public.ecdc_data VALUES (7134, 0, 2, 33.59569975, 63, 40);
INSERT INTO public.ecdc_data VALUES (7135, 0, 3, 2.62090909, 108, 40);
INSERT INTO public.ecdc_data VALUES (7136, 6, 114, 13.03732044, 64, 40);
INSERT INTO public.ecdc_data VALUES (7137, 0, 0, 23.09202171, 65, 40);
INSERT INTO public.ecdc_data VALUES (7138, 51, 924, 483.45985063, 154, 40);
INSERT INTO public.ecdc_data VALUES (7139, 0, 0, 76.70259578, 4, 40);
INSERT INTO public.ecdc_data VALUES (7140, 691, 37614, 200.25537229, 66, 40);
INSERT INTO public.ecdc_data VALUES (7141, 0, 0, 0, 67, 40);
INSERT INTO public.ecdc_data VALUES (7142, 0, 0, 0.46157823, 109, 40);
INSERT INTO public.ecdc_data VALUES (7143, 162, 3568, 655.75348937, 155, 40);
INSERT INTO public.ecdc_data VALUES (7144, 0, 0, 0.93989666, 5, 40);
INSERT INTO public.ecdc_data VALUES (7145, 0, 4, 0.46832002, 6, 40);
INSERT INTO public.ecdc_data VALUES (7146, 0, 0, 0.03639332, 110, 40);
INSERT INTO public.ecdc_data VALUES (7147, 0, 107, 6.18710796, 7, 40);
INSERT INTO public.ecdc_data VALUES (7148, 89, 5631, 188.50051688, 68, 40);
INSERT INTO public.ecdc_data VALUES (7149, 0, 0, 151.29033197, 8, 40);
INSERT INTO public.ecdc_data VALUES (7150, 0, 3, 24.63509269, 69, 40);
INSERT INTO public.ecdc_data VALUES (7151, 0, 2, 0.52685052, 9, 40);
INSERT INTO public.ecdc_data VALUES (7152, 0, 6, 0.60199856, 10, 40);
INSERT INTO public.ecdc_data VALUES (7153, 97, 1570, 101.4350174, 70, 40);
INSERT INTO public.ecdc_data VALUES (7154, 0, 5, 0.01262394, 111, 40);
INSERT INTO public.ecdc_data VALUES (7155, 159, 9496, 211.51406065, 71, 40);
INSERT INTO public.ecdc_data VALUES (7156, 0, 3, 4.23085918, 11, 40);
INSERT INTO public.ecdc_data VALUES (7157, 1, 0, 4.70216173, 12, 40);
INSERT INTO public.ecdc_data VALUES (7158, 5, 1222, 293.27035374, 72, 40);
INSERT INTO public.ecdc_data VALUES (7159, 0, 31, 1.23266904, 13, 40);
INSERT INTO public.ecdc_data VALUES (7160, 51, 4009, 974.03346118, 156, 40);
INSERT INTO public.ecdc_data VALUES (7161, 0, 49, 5.18816632, 73, 40);
INSERT INTO public.ecdc_data VALUES (7162, 0, 117, 508.49635608, 74, 40);
INSERT INTO public.ecdc_data VALUES (7163, 1, 220, 345.58779037, 157, 40);
INSERT INTO public.ecdc_data VALUES (7164, 168, 6305, 608.88467389, 158, 40);
INSERT INTO public.ecdc_data VALUES (7165, 2, 105, 0.89641077, 14, 40);
INSERT INTO public.ecdc_data VALUES (7166, 9, 1191, 283.01361969, 159, 40);
INSERT INTO public.ecdc_data VALUES (7167, 0, 6, 3.59506428, 15, 40);
INSERT INTO public.ecdc_data VALUES (7168, 0, 3, 16.71122995, 75, 40);
INSERT INTO public.ecdc_data VALUES (7169, 2, 1526, 86.47022239, 76, 40);
INSERT INTO public.ecdc_data VALUES (7170, 28, 908, 61.15580617, 77, 40);
INSERT INTO public.ecdc_data VALUES (7171, 11, 368, 4.36306798, 16, 40);
INSERT INTO public.ecdc_data VALUES (7172, 4, 521, 36.80145036, 78, 40);
INSERT INTO public.ecdc_data VALUES (7173, 0, 0, 3.09738625, 17, 40);
INSERT INTO public.ecdc_data VALUES (7174, 0, 8, 2.1446237, 18, 40);
INSERT INTO public.ecdc_data VALUES (7175, 2, 414, 307.51347353, 160, 40);
INSERT INTO public.ecdc_data VALUES (7176, 0, 57, 23.42934137, 19, 40);
INSERT INTO public.ecdc_data VALUES (7177, 8, 560, 5.72900868, 20, 40);
INSERT INTO public.ecdc_data VALUES (7178, 0, 0, 29.65599051, 79, 40);
INSERT INTO public.ecdc_data VALUES (7179, 0, 0, 6.16307496, 161, 40);
INSERT INTO public.ecdc_data VALUES (7180, 0, 0, 0.3370957, 203, 40);
INSERT INTO public.ecdc_data VALUES (7181, 0, 496, 83.47349789, 162, 40);
INSERT INTO public.ecdc_data VALUES (7182, 339, 13563, 425.21674526, 163, 40);
INSERT INTO public.ecdc_data VALUES (7183, 0, 266, 883.32706733, 204, 40);
INSERT INTO public.ecdc_data VALUES (7184, 0, 0, 5.75353336, 21, 40);
INSERT INTO public.ecdc_data VALUES (7185, 0, 1, 1.32044353, 22, 40);
INSERT INTO public.ecdc_data VALUES (7186, 37, 4780, 1258.91909501, 164, 40);
INSERT INTO public.ecdc_data VALUES (7187, 426, 22806, 307.51797177, 165, 40);
INSERT INTO public.ecdc_data VALUES (7188, 0, 0, 3.96806376, 23, 40);
INSERT INTO public.ecdc_data VALUES (7189, 0, 0, 376.78751558, 166, 40);
INSERT INTO public.ecdc_data VALUES (7190, 99, 2018, 304.61745003, 167, 40);
INSERT INTO public.ecdc_data VALUES (7191, 0, 0, 1.76491352, 80, 40);
INSERT INTO public.ecdc_data VALUES (7192, 0, 0, 8.03557079, 81, 40);
INSERT INTO public.ecdc_data VALUES (7193, 2, 43, 536.77635315, 205, 40);
INSERT INTO public.ecdc_data VALUES (7194, 26, 696, 40.62230043, 82, 40);
INSERT INTO public.ecdc_data VALUES (7195, 0, 1, 6.20462865, 168, 40);
INSERT INTO public.ecdc_data VALUES (7196, 0, 0, 3.2259969, 24, 40);
INSERT INTO public.ecdc_data VALUES (7197, 0, 0, 0.41646776, 25, 40);
INSERT INTO public.ecdc_data VALUES (7198, 2, 87, 78.43888729, 83, 40);
INSERT INTO public.ecdc_data VALUES (7199, 0, 8, 0.92337095, 84, 40);
INSERT INTO public.ecdc_data VALUES (7200, 0, 0, 0, 169, 40);
INSERT INTO public.ecdc_data VALUES (7201, 4, 565, 53.48797957, 85, 40);
INSERT INTO public.ecdc_data VALUES (7202, 135, 6393, 681.00544002, 170, 40);
INSERT INTO public.ecdc_data VALUES (7203, 0, 11, 45.65941438, 171, 40);
INSERT INTO public.ecdc_data VALUES (7204, 492, 43082, 42.5193538, 112, 40);
INSERT INTO public.ecdc_data VALUES (7205, 127, 4917, 23.81962677, 113, 40);
INSERT INTO public.ecdc_data VALUES (7206, 482, 13961, 219.2165793, 114, 40);
INSERT INTO public.ecdc_data VALUES (7207, 39, 2483, 83.60258561, 115, 40);
INSERT INTO public.ecdc_data VALUES (7208, 3, 307, 99.13870447, 172, 40);
INSERT INTO public.ecdc_data VALUES (7209, 0, 0, 7.09312085, 173, 40);
INSERT INTO public.ecdc_data VALUES (7210, 8, 1126, 132.45106183, 116, 40);
INSERT INTO public.ecdc_data VALUES (7211, 822, 29001, 734.7205693, 174, 40);
INSERT INTO public.ecdc_data VALUES (7212, 1, 53, 30.76373082, 86, 40);
INSERT INTO public.ecdc_data VALUES (7213, 29, 2230, 20.64712144, 117, 40);
INSERT INTO public.ecdc_data VALUES (7214, 0, 35, 163.27136443, 175, 40);
INSERT INTO public.ecdc_data VALUES (7215, 67, 5000, 702.2087477, 118, 40);
INSERT INTO public.ecdc_data VALUES (7216, 5, 974, 65.31033622, 119, 40);
INSERT INTO public.ecdc_data VALUES (7217, 10, 780, 25.44795602, 26, 40);
INSERT INTO public.ecdc_data VALUES (7218, 15, 775, 563.8012884, 176, 40);
INSERT INTO public.ecdc_data VALUES (7219, 1, 330, 157.23505893, 120, 40);
INSERT INTO public.ecdc_data VALUES (7220, 5, 377, 94.98350258, 121, 40);
INSERT INTO public.ecdc_data VALUES (7221, 0, 0, 0.19527284, 122, 40);
INSERT INTO public.ecdc_data VALUES (7222, 4, 898, 301.56752613, 177, 40);
INSERT INTO public.ecdc_data VALUES (7223, 24, 1859, 313.5634841, 123, 40);
INSERT INTO public.ecdc_data VALUES (7224, 0, 0, 3.10549216, 27, 40);
INSERT INTO public.ecdc_data VALUES (7225, 1, 0, 2.22790496, 28, 40);
INSERT INTO public.ecdc_data VALUES (7226, 15, 610, 126.9355907, 29, 40);
INSERT INTO public.ecdc_data VALUES (7227, 0, 41, 862.47329199, 178, 40);
INSERT INTO public.ecdc_data VALUES (7228, 17, 2102, 856.95859686, 179, 40);
INSERT INTO public.ecdc_data VALUES (7229, 5, 616, 1237.1842696, 180, 40);
INSERT INTO public.ecdc_data VALUES (7230, 0, 0, 0.43753443, 30, 40);
INSERT INTO public.ecdc_data VALUES (7231, 0, 2, 0.33281891, 31, 40);
INSERT INTO public.ecdc_data VALUES (7232, 3, 935, 53.08642257, 124, 40);
INSERT INTO public.ecdc_data VALUES (7233, 0, 35, 151.42469164, 125, 40);
INSERT INTO public.ecdc_data VALUES (7234, 0, 0, 3.60158293, 32, 40);
INSERT INTO public.ecdc_data VALUES (7235, 0, 70, 333.49609672, 181, 40);
INSERT INTO public.ecdc_data VALUES (7236, 0, 0, 5.10282186, 206, 40);
INSERT INTO public.ecdc_data VALUES (7237, 2, 53, 8.0208622, 33, 40);
INSERT INTO public.ecdc_data VALUES (7238, 0, 0, 2.28405806, 34, 40);
INSERT INTO public.ecdc_data VALUES (7239, 645, 8107, 68.00598883, 87, 40);
INSERT INTO public.ecdc_data VALUES (7240, 20, 1691, 416.89152659, 182, 40);
INSERT INTO public.ecdc_data VALUES (7241, 0, 6, 205.5312075, 183, 40);
INSERT INTO public.ecdc_data VALUES (7242, 0, 26, 10.10800684, 126, 40);
INSERT INTO public.ecdc_data VALUES (7243, 10, 508, 1254.77754098, 184, 40);
INSERT INTO public.ecdc_data VALUES (7244, 0, 0, 0, 88, 40);
INSERT INTO public.ecdc_data VALUES (7245, 80, 4178, 175.10257112, 35, 40);
INSERT INTO public.ecdc_data VALUES (7246, 0, 165, 4.52149791, 36, 40);
INSERT INTO public.ecdc_data VALUES (7247, 36, 1639, 36.27874346, 127, 40);
INSERT INTO public.ecdc_data VALUES (7248, 2, 149, 32.47112475, 37, 40);
INSERT INTO public.ecdc_data VALUES (7249, 23, 1614, 81.78626688, 128, 40);
INSERT INTO public.ecdc_data VALUES (7250, 75, 4467, 419.92428841, 185, 40);
INSERT INTO public.ecdc_data VALUES (7251, 0, 0, 0.70732113, 207, 40);
INSERT INTO public.ecdc_data VALUES (7252, 0, 7, 1.08716968, 208, 40);
INSERT INTO public.ecdc_data VALUES (7253, 0, 0, 1.87915276, 89, 40);
INSERT INTO public.ecdc_data VALUES (7254, 0, 24, 0.69066939, 38, 40);
INSERT INTO public.ecdc_data VALUES (7255, 0, 169, 1.11761531, 39, 40);
INSERT INTO public.ecdc_data VALUES (7256, 30, 1157, 711.22104902, 186, 40);
INSERT INTO public.ecdc_data VALUES (7257, 0, 0, 6.99141803, 209, 40);
INSERT INTO public.ecdc_data VALUES (7258, 0, 553, 145.71492275, 187, 40);
INSERT INTO public.ecdc_data VALUES (7259, 0, 0, 63.05537778, 129, 40);
INSERT INTO public.ecdc_data VALUES (7260, 54, 3113, 17.09184116, 130, 40);
INSERT INTO public.ecdc_data VALUES (7261, 14, 1173, 356.62507613, 131, 40);
INSERT INTO public.ecdc_data VALUES (7262, 16, 1755, 398.80464577, 90, 40);
INSERT INTO public.ecdc_data VALUES (7263, 0, 15, 0.52414968, 210, 40);
INSERT INTO public.ecdc_data VALUES (7264, 13, 639, 140.02136944, 91, 40);
INSERT INTO public.ecdc_data VALUES (7265, 58, 1888, 80.31260829, 92, 40);
INSERT INTO public.ecdc_data VALUES (7266, 27, 1382, 19.86466059, 132, 40);
INSERT INTO public.ecdc_data VALUES (7267, 580, 16690, 789.02768644, 188, 40);
INSERT INTO public.ecdc_data VALUES (7268, 82, 6383, 801.65486366, 189, 40);
INSERT INTO public.ecdc_data VALUES (7269, 17, 652, 411.97871142, 93, 40);
INSERT INTO public.ecdc_data VALUES (7270, 0, 215, 103.59909762, 133, 40);
INSERT INTO public.ecdc_data VALUES (7271, 171, 9005, 592.92409811, 190, 40);
INSERT INTO public.ecdc_data VALUES (7272, 524, 25487, 225.82909184, 191, 40);
INSERT INTO public.ecdc_data VALUES (7273, 0, 72, 4.21321464, 40, 40);
INSERT INTO public.ecdc_data VALUES (7274, 0, 0, 5.67816179, 94, 40);
INSERT INTO public.ecdc_data VALUES (7275, 0, 3, 44.85899505, 95, 40);
INSERT INTO public.ecdc_data VALUES (7276, 0, 0, 6.32951453, 96, 40);
INSERT INTO public.ecdc_data VALUES (7277, 0, 22, 940.41157519, 192, 40);
INSERT INTO public.ecdc_data VALUES (7278, 0, 3, 10.23027417, 41, 40);
INSERT INTO public.ecdc_data VALUES (7279, 15, 322, 12.34076899, 134, 40);
INSERT INTO public.ecdc_data VALUES (7280, 0, 33, 1.3254492, 42, 40);
INSERT INTO public.ecdc_data VALUES (7281, 51, 7606, 1069.0913707, 193, 40);
INSERT INTO public.ecdc_data VALUES (7282, 0, 4, 13.30045733, 43, 40);
INSERT INTO public.ecdc_data VALUES (7283, 0, 1, 0.28157452, 44, 40);
INSERT INTO public.ecdc_data VALUES (7284, 0, 5, 1.60224852, 135, 40);
INSERT INTO public.ecdc_data VALUES (7285, 0, 5, 299.60602987, 97, 40);
INSERT INTO public.ecdc_data VALUES (7286, 17, 1953, 357.49532009, 194, 40);
INSERT INTO public.ecdc_data VALUES (7287, 78, 1767, 970.87425297, 195, 40);
INSERT INTO public.ecdc_data VALUES (7288, 0, 0, 0.14929362, 211, 40);
INSERT INTO public.ecdc_data VALUES (7289, 0, 0, 0.93246699, 45, 40);
INSERT INTO public.ecdc_data VALUES (7290, 88, 3069, 57.78688772, 46, 40);
INSERT INTO public.ecdc_data VALUES (7291, 1, 569, 9.28056654, 136, 40);
INSERT INTO public.ecdc_data VALUES (7292, 1, 37, 1.12094307, 47, 40);
INSERT INTO public.ecdc_data VALUES (7293, 294, 10853, 361.37116385, 196, 40);
INSERT INTO public.ecdc_data VALUES (7294, 3, 559, 29.56799217, 137, 40);
INSERT INTO public.ecdc_data VALUES (7295, 0, 0, 4.17160702, 48, 40);
INSERT INTO public.ecdc_data VALUES (7296, 0, 2, 7.91244025, 98, 40);
INSERT INTO public.ecdc_data VALUES (7297, 57, 6901, 634.95430435, 197, 40);
INSERT INTO public.ecdc_data VALUES (7298, 79, 4468, 740.2516254, 198, 40);
INSERT INTO public.ecdc_data VALUES (7299, 8, 83, 6.1862439, 138, 40);
INSERT INTO public.ecdc_data VALUES (7300, 0, 14, 0.17666447, 139, 40);
INSERT INTO public.ecdc_data VALUES (7301, 0, 36, 5.879183, 140, 40);
INSERT INTO public.ecdc_data VALUES (7302, 0, 19, 0.14362537, 141, 40);
INSERT INTO public.ecdc_data VALUES (7303, 0, 0, 0, 142, 40);
INSERT INTO public.ecdc_data VALUES (7304, 0, 15, 3.69941499, 49, 40);
INSERT INTO public.ecdc_data VALUES (7305, 0, 67, 45.87915574, 99, 40);
INSERT INTO public.ecdc_data VALUES (7306, 51, 1168, 139.9691365, 50, 40);
INSERT INTO public.ecdc_data VALUES (7307, 174, 29132, 112.15078818, 199, 40);
INSERT INTO public.ecdc_data VALUES (7308, 0, 0, 78.54636854, 100, 40);
INSERT INTO public.ecdc_data VALUES (7309, 0, 225, 8.805142, 51, 40);
INSERT INTO public.ecdc_data VALUES (7310, 225, 15331, 400.7942693, 200, 40);
INSERT INTO public.ecdc_data VALUES (7311, 1, 1305, 176.36716795, 143, 40);
INSERT INTO public.ecdc_data VALUES (7312, 498, 17555, 426.6756525, 201, 40);
INSERT INTO public.ecdc_data VALUES (7313, 0, 0, 0, 52, 40);
INSERT INTO public.ecdc_data VALUES (7314, 1189, 106091, 707.77645373, 101, 40);
INSERT INTO public.ecdc_data VALUES (7315, 0, 0, 106.13985599, 102, 40);
INSERT INTO public.ecdc_data VALUES (7316, 1, 129, 38.18898695, 103, 40);
INSERT INTO public.ecdc_data VALUES (7317, 1, 182, 8.4652966, 144, 40);
INSERT INTO public.ecdc_data VALUES (7318, 0, 0, 0, 212, 40);
INSERT INTO public.ecdc_data VALUES (7319, 0, 0, 16.40141691, 104, 40);
INSERT INTO public.ecdc_data VALUES (7320, 0, 10, 0.08086077, 145, 40);
INSERT INTO public.ecdc_data VALUES (7321, 0, 0, 0, 213, 40);
INSERT INTO public.ecdc_data VALUES (7322, 0, 0, 0, 53, 40);
INSERT INTO public.ecdc_data VALUES (7323, 0, 1, 0.02057478, 146, 40);
INSERT INTO public.ecdc_data VALUES (7324, 0, 18, 2.89456926, 54, 40);
INSERT INTO public.ecdc_data VALUES (7325, 0, 115, 6.32960096, 55, 40);
INSERT INTO public.ecdc_data VALUES (7326, 8, 199, 2.90207416, 105, 41);
INSERT INTO public.ecdc_data VALUES (7327, 3, 288, 135.37463139, 147, 41);
INSERT INTO public.ecdc_data VALUES (7328, 8, 276, 7.41875362, 1, 41);
INSERT INTO public.ecdc_data VALUES (7329, 3, 287, 1745.93381204, 148, 41);
INSERT INTO public.ecdc_data VALUES (7330, 1, 355, 9.4735952, 2, 41);
INSERT INTO public.ecdc_data VALUES (7331, 0, 0, 0, 56, 41);
INSERT INTO public.ecdc_data VALUES (7332, 0, 0, 13.38619163, 57, 41);
INSERT INTO public.ecdc_data VALUES (7333, 405, 11712, 443.43011801, 58, 41);
INSERT INTO public.ecdc_data VALUES (7334, 26, 1600, 772.34958725, 149, 41);
INSERT INTO public.ecdc_data VALUES (7335, 0, 0, 209.76389803, 59, 41);
INSERT INTO public.ecdc_data VALUES (7336, 0, 7, 0.95622778, 202, 41);
INSERT INTO public.ecdc_data VALUES (7337, 4, 2512, 321.22951537, 150, 41);
INSERT INTO public.ecdc_data VALUES (7338, 8, 527, 83.42191894, 151, 41);
INSERT INTO public.ecdc_data VALUES (7339, 0, 56, 334.54347525, 60, 41);
INSERT INTO public.ecdc_data VALUES (7340, 4, 278, 279.37488271, 106, 41);
INSERT INTO public.ecdc_data VALUES (7341, 15, 1436, 12.58109873, 107, 41);
INSERT INTO public.ecdc_data VALUES (7342, 0, 6, 8.71016406, 61, 41);
INSERT INTO public.ecdc_data VALUES (7343, 4, 884, 102.71455668, 152, 41);
INSERT INTO public.ecdc_data VALUES (7344, 121, 19868, 1549.55004658, 153, 41);
INSERT INTO public.ecdc_data VALUES (7345, 1, 55, 161.64938735, 62, 41);
INSERT INTO public.ecdc_data VALUES (7346, 0, 0, 1.23716746, 3, 41);
INSERT INTO public.ecdc_data VALUES (7347, 0, 2, 14.39815704, 63, 41);
INSERT INTO public.ecdc_data VALUES (7348, 0, 0, 4.3245, 108, 41);
INSERT INTO public.ecdc_data VALUES (7349, 13, 99, 19.60375232, 64, 41);
INSERT INTO public.ecdc_data VALUES (7350, 0, 0, 0, 65, 41);
INSERT INTO public.ecdc_data VALUES (7351, 18, 722, 326.62849235, 154, 41);
INSERT INTO public.ecdc_data VALUES (7352, 0, 360, 62.94214141, 4, 41);
INSERT INTO public.ecdc_data VALUES (7353, 263, 15726, 145.20099427, 66, 41);
INSERT INTO public.ecdc_data VALUES (7354, 0, 0, 3.3296707, 67, 41);
INSERT INTO public.ecdc_data VALUES (7355, 0, 0, 0.46157823, 109, 41);
INSERT INTO public.ecdc_data VALUES (7356, 42, 2243, 216.32736618, 155, 41);
INSERT INTO public.ecdc_data VALUES (7357, 2, 8, 0.81195261, 5, 41);
INSERT INTO public.ecdc_data VALUES (7358, 0, 1, 0.27752297, 6, 41);
INSERT INTO public.ecdc_data VALUES (7359, 0, 1, 0.03032777, 110, 41);
INSERT INTO public.ecdc_data VALUES (7360, 1, 223, 2.28007102, 7, 41);
INSERT INTO public.ecdc_data VALUES (7361, 27, 4109, 99.90099713, 68, 41);
INSERT INTO public.ecdc_data VALUES (7362, 0, 27, 230.57228477, 8, 41);
INSERT INTO public.ecdc_data VALUES (7363, 0, 0, 27.71447928, 69, 41);
INSERT INTO public.ecdc_data VALUES (7364, 0, 1, 0.18966619, 9, 41);
INSERT INTO public.ecdc_data VALUES (7365, 0, 4, 0.83401884, 10, 41);
INSERT INTO public.ecdc_data VALUES (7366, 59, 1535, 109.27586404, 70, 41);
INSERT INTO public.ecdc_data VALUES (7367, 0, 24, 0.02406221, 111, 41);
INSERT INTO public.ecdc_data VALUES (7368, 194, 9167, 210.50888465, 71, 41);
INSERT INTO public.ecdc_data VALUES (7369, 0, 0, 2.58552506, 11, 41);
INSERT INTO public.ecdc_data VALUES (7370, 0, 0, 2.50905863, 12, 41);
INSERT INTO public.ecdc_data VALUES (7371, 30, 1372, 301.86856583, 72, 41);
INSERT INTO public.ecdc_data VALUES (7372, 0, 16, 1.28710868, 13, 41);
INSERT INTO public.ecdc_data VALUES (7373, 15, 828, 406.91852258, 156, 41);
INSERT INTO public.ecdc_data VALUES (7374, 0, 29, 5.24993021, 73, 41);
INSERT INTO public.ecdc_data VALUES (7375, 0, 15, 176.22978406, 74, 41);
INSERT INTO public.ecdc_data VALUES (7376, 0, 91, 181.41361047, 157, 41);
INSERT INTO public.ecdc_data VALUES (7377, 164, 10273, 1379.82872918, 158, 41);
INSERT INTO public.ecdc_data VALUES (7378, 0, 31, 0.35142068, 14, 41);
INSERT INTO public.ecdc_data VALUES (7379, 6, 1056, 148.13778864, 159, 41);
INSERT INTO public.ecdc_data VALUES (7380, 0, 5, 11.81235408, 15, 41);
INSERT INTO public.ecdc_data VALUES (7381, 0, 0, 8.35561497, 75, 41);
INSERT INTO public.ecdc_data VALUES (7382, 2, 316, 55.87134766, 76, 41);
INSERT INTO public.ecdc_data VALUES (7383, 20, 543, 85.54905855, 77, 41);
INSERT INTO public.ecdc_data VALUES (7384, 12, 167, 2.0510404, 16, 41);
INSERT INTO public.ecdc_data VALUES (7385, 0, 340, 42.28680339, 78, 41);
INSERT INTO public.ecdc_data VALUES (7386, 0, 4, 1.25370396, 17, 41);
INSERT INTO public.ecdc_data VALUES (7387, 0, 0, 1.34396419, 18, 41);
INSERT INTO public.ecdc_data VALUES (7388, 0, 17, 41.13766398, 160, 41);
INSERT INTO public.ecdc_data VALUES (7389, 0, 9, 15.6776262, 19, 41);
INSERT INTO public.ecdc_data VALUES (7390, 11, 364, 7.64730313, 20, 41);
INSERT INTO public.ecdc_data VALUES (7391, 0, 0, 0, 79, 41);
INSERT INTO public.ecdc_data VALUES (7392, 0, 0, 26.70665818, 161, 41);
INSERT INTO public.ecdc_data VALUES (7393, 0, 0, 0.11236523, 203, 41);
INSERT INTO public.ecdc_data VALUES (7394, 1, 122, 49.9826112, 162, 41);
INSERT INTO public.ecdc_data VALUES (7395, 257, 26771, 629.42971727, 163, 41);
INSERT INTO public.ecdc_data VALUES (7396, 0, 62, 956.01267522, 204, 41);
INSERT INTO public.ecdc_data VALUES (7397, 0, 18, 3.54417655, 21, 41);
INSERT INTO public.ecdc_data VALUES (7398, 0, 5, 1.23525363, 22, 41);
INSERT INTO public.ecdc_data VALUES (7399, 23, 1824, 496.7771411, 164, 41);
INSERT INTO public.ecdc_data VALUES (7400, 42, 11409, 144.33044553, 165, 41);
INSERT INTO public.ecdc_data VALUES (7401, 0, 85, 2.44921914, 23, 41);
INSERT INTO public.ecdc_data VALUES (7402, 0, 3, 545.89687296, 166, 41);
INSERT INTO public.ecdc_data VALUES (7403, 7, 714, 82.46462175, 167, 41);
INSERT INTO public.ecdc_data VALUES (7404, 0, 0, 1.76491352, 80, 41);
INSERT INTO public.ecdc_data VALUES (7405, 0, 0, 2.6785236, 81, 41);
INSERT INTO public.ecdc_data VALUES (7406, 3, 120, 696.972414, 205, 41);
INSERT INTO public.ecdc_data VALUES (7407, 7, 107, 40.20140289, 82, 41);
INSERT INTO public.ecdc_data VALUES (7408, 0, 1, 12.40925731, 168, 41);
INSERT INTO public.ecdc_data VALUES (7409, 0, 0, 4.75286436, 24, 41);
INSERT INTO public.ecdc_data VALUES (7410, 0, 0, 0.93705246, 25, 41);
INSERT INTO public.ecdc_data VALUES (7411, 0, 3, 64.51406854, 83, 41);
INSERT INTO public.ecdc_data VALUES (7412, 0, 0, 1.27851363, 84, 41);
INSERT INTO public.ecdc_data VALUES (7413, 0, 0, 858.89570552, 169, 41);
INSERT INTO public.ecdc_data VALUES (7414, 10, 752, 98.0185438, 85, 41);
INSERT INTO public.ecdc_data VALUES (7415, 63, 2079, 243.32951728, 170, 41);
INSERT INTO public.ecdc_data VALUES (7416, 0, 56, 258.26981633, 171, 41);
INSERT INTO public.ecdc_data VALUES (7417, 488, 36470, 56.39190479, 112, 41);
INSERT INTO public.ecdc_data VALUES (7418, 112, 3222, 20.7733514, 113, 41);
INSERT INTO public.ecdc_data VALUES (7419, 337, 5960, 85.11842521, 114, 41);
INSERT INTO public.ecdc_data VALUES (7420, 48, 3691, 127.09556899, 115, 41);
INSERT INTO public.ecdc_data VALUES (7421, 3, 939, 300.0668809, 172, 41);
INSERT INTO public.ecdc_data VALUES (7422, 0, 3, 5.91093405, 173, 41);
INSERT INTO public.ecdc_data VALUES (7423, 56, 703, 185.623989, 116, 41);
INSERT INTO public.ecdc_data VALUES (7424, 141, 17007, 303.54767745, 174, 41);
INSERT INTO public.ecdc_data VALUES (7425, 4, 35, 31.74735617, 86, 41);
INSERT INTO public.ecdc_data VALUES (7426, 7, 424, 6.16820239, 117, 41);
INSERT INTO public.ecdc_data VALUES (7427, 0, 26, 71.43122194, 175, 41);
INSERT INTO public.ecdc_data VALUES (7428, 45, 1968, 286.90228978, 118, 41);
INSERT INTO public.ecdc_data VALUES (7429, 1, 152, 20.48898877, 119, 41);
INSERT INTO public.ecdc_data VALUES (7430, 18, 276, 15.93564359, 26, 41);
INSERT INTO public.ecdc_data VALUES (7431, 3, 205, 105.69884115, 176, 41);
INSERT INTO public.ecdc_data VALUES (7432, 3, 682, 247.77297872, 120, 41);
INSERT INTO public.ecdc_data VALUES (7433, 2, 568, 107.03178737, 121, 41);
INSERT INTO public.ecdc_data VALUES (7434, 0, 0, 0.01394806, 122, 41);
INSERT INTO public.ecdc_data VALUES (7435, 4, 79, 103.7517292, 177, 41);
INSERT INTO public.ecdc_data VALUES (7436, 14, 796, 256.16606539, 123, 41);
INSERT INTO public.ecdc_data VALUES (7437, 0, 3, 6.49330178, 27, 41);
INSERT INTO public.ecdc_data VALUES (7438, 0, 23, 0.91141566, 28, 41);
INSERT INTO public.ecdc_data VALUES (7439, 6, 1210, 197.74390173, 29, 41);
INSERT INTO public.ecdc_data VALUES (7440, 0, 48, 687.894106, 178, 41);
INSERT INTO public.ecdc_data VALUES (7441, 2, 765, 168.24232048, 179, 41);
INSERT INTO public.ecdc_data VALUES (7442, 2, 195, 760.39185918, 180, 41);
INSERT INTO public.ecdc_data VALUES (7443, 0, 0, 0.89731638, 30, 41);
INSERT INTO public.ecdc_data VALUES (7444, 0, 4, 0.37576329, 31, 41);
INSERT INTO public.ecdc_data VALUES (7445, 7, 1240, 36.26002037, 124, 41);
INSERT INTO public.ecdc_data VALUES (7446, 0, 27, 110.93177037, 125, 41);
INSERT INTO public.ecdc_data VALUES (7447, 0, 9, 1.03265725, 32, 41);
INSERT INTO public.ecdc_data VALUES (7448, 1, 107, 353.55448893, 181, 41);
INSERT INTO public.ecdc_data VALUES (7449, 0, 1, 2.49685242, 33, 41);
INSERT INTO public.ecdc_data VALUES (7450, 0, 4, 2.7566218, 34, 41);
INSERT INTO public.ecdc_data VALUES (7451, 247, 4166, 44.88086426, 87, 41);
INSERT INTO public.ecdc_data VALUES (7452, 15, 308, 227.36614878, 182, 41);
INSERT INTO public.ecdc_data VALUES (7453, 0, 4, 223.66631404, 183, 41);
INSERT INTO public.ecdc_data VALUES (7454, 0, 1, 0.62012312, 126, 41);
INSERT INTO public.ecdc_data VALUES (7455, 4, 112, 459.51184702, 184, 41);
INSERT INTO public.ecdc_data VALUES (7456, 0, 0, 0, 88, 41);
INSERT INTO public.ecdc_data VALUES (7457, 72, 2264, 126.08108968, 35, 41);
INSERT INTO public.ecdc_data VALUES (7458, 2, 175, 6.82670442, 36, 41);
INSERT INTO public.ecdc_data VALUES (7459, 27, 1426, 31.24408946, 127, 41);
INSERT INTO public.ecdc_data VALUES (7460, 0, 15, 27.50023652, 37, 41);
INSERT INTO public.ecdc_data VALUES (7461, 15, 1741, 167.87891382, 128, 41);
INSERT INTO public.ecdc_data VALUES (7462, 26, 10324, 694.09714513, 185, 41);
INSERT INTO public.ecdc_data VALUES (7463, 0, 0, 0, 207, 41);
INSERT INTO public.ecdc_data VALUES (7464, 0, 1, 1.44259054, 208, 41);
INSERT INTO public.ecdc_data VALUES (7465, 0, 0, 2.597203, 89, 41);
INSERT INTO public.ecdc_data VALUES (7466, 0, 0, 0.05576834, 38, 41);
INSERT INTO public.ecdc_data VALUES (7467, 2, 119, 0.83646988, 39, 41);
INSERT INTO public.ecdc_data VALUES (7468, 14, 245, 293.00015598, 186, 41);
INSERT INTO public.ecdc_data VALUES (7469, 0, 0, 26.21781763, 209, 41);
INSERT INTO public.ecdc_data VALUES (7470, 0, 676, 44.74296443, 187, 41);
INSERT INTO public.ecdc_data VALUES (7471, 16, 422, 136.26152565, 129, 41);
INSERT INTO public.ecdc_data VALUES (7472, 6, 773, 4.3991347, 130, 41);
INSERT INTO public.ecdc_data VALUES (7473, 0, 0, 122.35462083, 131, 41);
INSERT INTO public.ecdc_data VALUES (7474, 5, 551, 210.74123266, 90, 41);
INSERT INTO public.ecdc_data VALUES (7475, 0, 0, 0.26207484, 210, 41);
INSERT INTO public.ecdc_data VALUES (7476, 0, 0, 131.30552183, 91, 41);
INSERT INTO public.ecdc_data VALUES (7477, 48, 1859, 121.20098447, 92, 41);
INSERT INTO public.ecdc_data VALUES (7478, 62, 1602, 26.65085115, 132, 41);
INSERT INTO public.ecdc_data VALUES (7479, 45, 10241, 352.14405507, 188, 41);
INSERT INTO public.ecdc_data VALUES (7480, 27, 2447, 323.25813057, 189, 41);
INSERT INTO public.ecdc_data VALUES (7481, 3, 619, 302.99270063, 93, 41);
INSERT INTO public.ecdc_data VALUES (7482, 0, 262, 114.43922133, 133, 41);
INSERT INTO public.ecdc_data VALUES (7483, 79, 2844, 284.01513964, 190, 41);
INSERT INTO public.ecdc_data VALUES (7484, 219, 17347, 150.07239896, 191, 41);
INSERT INTO public.ecdc_data VALUES (7485, 0, 7, 1.33048883, 40, 41);
INSERT INTO public.ecdc_data VALUES (7486, 0, 0, 0, 94, 41);
INSERT INTO public.ecdc_data VALUES (7487, 0, 9, 18.60007112, 95, 41);
INSERT INTO public.ecdc_data VALUES (7488, 0, 0, 8.13794725, 96, 41);
INSERT INTO public.ecdc_data VALUES (7489, 0, 33, 290.25048617, 192, 41);
INSERT INTO public.ecdc_data VALUES (7490, 0, 1, 5.58014955, 41, 41);
INSERT INTO public.ecdc_data VALUES (7491, 17, 357, 16.39113252, 134, 41);
INSERT INTO public.ecdc_data VALUES (7492, 1, 14, 1.67522052, 42, 41);
INSERT INTO public.ecdc_data VALUES (7493, 1, 341, 71.4125292, 193, 41);
INSERT INTO public.ecdc_data VALUES (7494, 0, 0, 5.11556051, 43, 41);
INSERT INTO public.ecdc_data VALUES (7495, 0, 0, 0.51195367, 44, 41);
INSERT INTO public.ecdc_data VALUES (7496, 0, 3, 1.60224852, 135, 41);
INSERT INTO public.ecdc_data VALUES (7497, 0, 5, 186.36910519, 97, 41);
INSERT INTO public.ecdc_data VALUES (7498, 6, 1312, 455.01072302, 194, 41);
INSERT INTO public.ecdc_data VALUES (7499, 5, 1130, 732.75704644, 195, 41);
INSERT INTO public.ecdc_data VALUES (7500, 0, 0, 0, 211, 41);
INSERT INTO public.ecdc_data VALUES (7501, 0, 0, 0.49861082, 45, 41);
INSERT INTO public.ecdc_data VALUES (7502, 40, 891, 41.47663728, 46, 41);
INSERT INTO public.ecdc_data VALUES (7503, 3, 88, 2.41677353, 136, 41);
INSERT INTO public.ecdc_data VALUES (7504, 0, 0, 0.86782689, 47, 41);
INSERT INTO public.ecdc_data VALUES (7505, 267, 18418, 470.10187685, 196, 41);
INSERT INTO public.ecdc_data VALUES (7506, 1, 541, 16.73721873, 137, 41);
INSERT INTO public.ecdc_data VALUES (7507, 0, 5, 0.14481503, 48, 41);
INSERT INTO public.ecdc_data VALUES (7508, 1, 10, 20.98516761, 98, 41);
INSERT INTO public.ecdc_data VALUES (7509, 11, 1068, 144.43531569, 197, 41);
INSERT INTO public.ecdc_data VALUES (7510, 37, 17357, 659.98972208, 198, 41);
INSERT INTO public.ecdc_data VALUES (7511, 3, 53, 4.02457345, 138, 41);
INSERT INTO public.ecdc_data VALUES (7512, 0, 0, 0.08412594, 139, 41);
INSERT INTO public.ecdc_data VALUES (7513, 0, 43, 5.9971958, 140, 41);
INSERT INTO public.ecdc_data VALUES (7514, 0, 3, 0.14793413, 141, 41);
INSERT INTO public.ecdc_data VALUES (7515, 0, 1, 0.07733234, 142, 41);
INSERT INTO public.ecdc_data VALUES (7516, 1, 4, 3.15501947, 49, 41);
INSERT INTO public.ecdc_data VALUES (7517, 1, 24, 30.03650977, 99, 41);
INSERT INTO public.ecdc_data VALUES (7518, 164, 3600, 169.67484731, 50, 41);
INSERT INTO public.ecdc_data VALUES (7519, 75, 2198, 32.74479128, 199, 41);
INSERT INTO public.ecdc_data VALUES (7520, 0, 0, 13.09106142, 100, 41);
INSERT INTO public.ecdc_data VALUES (7521, 0, 114, 3.8242959, 51, 41);
INSERT INTO public.ecdc_data VALUES (7522, 73, 5435, 189.73195741, 200, 41);
INSERT INTO public.ecdc_data VALUES (7523, 3, 1111, 193.85854968, 143, 41);
INSERT INTO public.ecdc_data VALUES (7524, 102, 20890, 415.6249111, 201, 41);
INSERT INTO public.ecdc_data VALUES (7525, 0, 0, 0, 52, 41);
INSERT INTO public.ecdc_data VALUES (7526, 505, 68359, 273.60163709, 101, 41);
INSERT INTO public.ecdc_data VALUES (7527, 0, 0, 21.99294313, 102, 41);
INSERT INTO public.ecdc_data VALUES (7528, 1, 21, 16.1479907, 103, 41);
INSERT INTO public.ecdc_data VALUES (7529, 4, 285, 12.82832018, 144, 41);
INSERT INTO public.ecdc_data VALUES (7530, 4, 482, 22.06143121, 104, 41);
INSERT INTO public.ecdc_data VALUES (7531, 0, 1, 0.06116391, 145, 41);
INSERT INTO public.ecdc_data VALUES (7532, 0, 0, 0, 213, 41);
INSERT INTO public.ecdc_data VALUES (7533, 0, 0, 0, 53, 41);
INSERT INTO public.ecdc_data VALUES (7534, 0, 0, 0.0240039, 146, 41);
INSERT INTO public.ecdc_data VALUES (7535, 0, 83, 3.64480578, 54, 41);
INSERT INTO public.ecdc_data VALUES (7536, 5, 27, 1.92550968, 55, 41);
INSERT INTO public.ecdc_data VALUES (7537, 0, 35, 1.54041255, 105, 42);
INSERT INTO public.ecdc_data VALUES (7538, 2, 108, 68.75284505, 147, 42);
INSERT INTO public.ecdc_data VALUES (7539, 4, 160, 6.75213424, 1, 42);
INSERT INTO public.ecdc_data VALUES (7540, 0, 0, 645.86423724, 148, 42);
INSERT INTO public.ecdc_data VALUES (7541, 5, 115, 4.11936428, 2, 42);
INSERT INTO public.ecdc_data VALUES (7542, 0, 0, 0, 56, 42);
INSERT INTO public.ecdc_data VALUES (7543, 0, 3, 6.17824229, 57, 42);
INSERT INTO public.ecdc_data VALUES (7544, 335, 11249, 372.43967403, 58, 42);
INSERT INTO public.ecdc_data VALUES (7545, 1, 429, 114.85166993, 149, 42);
INSERT INTO public.ecdc_data VALUES (7546, 0, 33, 788.26074687, 59, 42);
INSERT INTO public.ecdc_data VALUES (7547, 1, 16, 1.6228098, 202, 42);
INSERT INTO public.ecdc_data VALUES (7548, 1, 623, 112.75825382, 150, 42);
INSERT INTO public.ecdc_data VALUES (7549, 2, 108, 17.14817064, 151, 42);
INSERT INTO public.ecdc_data VALUES (7550, 0, 0, 221.31732591, 60, 42);
INSERT INTO public.ecdc_data VALUES (7551, 1, 489, 569.77852305, 106, 42);
INSERT INTO public.ecdc_data VALUES (7552, 36, 1106, 13.38823206, 107, 42);
INSERT INTO public.ecdc_data VALUES (7553, 0, 0, 3.48406563, 61, 42);
INSERT INTO public.ecdc_data VALUES (7554, 6, 332, 35.05984559, 152, 42);
INSERT INTO public.ecdc_data VALUES (7555, 6, 944, 181.79010484, 153, 42);
INSERT INTO public.ecdc_data VALUES (7556, 1, 17, 94.01794795, 62, 42);
INSERT INTO public.ecdc_data VALUES (7557, 0, 0, 0.70332123, 3, 42);
INSERT INTO public.ecdc_data VALUES (7558, 0, 0, 6.3991809, 63, 42);
INSERT INTO public.ecdc_data VALUES (7559, 0, 8, 3.53822727, 108, 42);
INSERT INTO public.ecdc_data VALUES (7560, 28, 370, 66.09860661, 64, 42);
INSERT INTO public.ecdc_data VALUES (7561, 0, 0, 230.92021707, 65, 42);
INSERT INTO public.ecdc_data VALUES (7562, 0, 231, 110.90585332, 154, 42);
INSERT INTO public.ecdc_data VALUES (7563, 0, 0, 29.0402018, 4, 42);
INSERT INTO public.ecdc_data VALUES (7564, 869, 28378, 190.62066661, 66, 42);
INSERT INTO public.ecdc_data VALUES (7565, 0, 0, 16.64835348, 67, 42);
INSERT INTO public.ecdc_data VALUES (7566, 0, 1, 0.23078911, 109, 42);
INSERT INTO public.ecdc_data VALUES (7567, 0, 169, 30.08554667, 155, 42);
INSERT INTO public.ecdc_data VALUES (7568, 0, 11, 2.25870454, 5, 42);
INSERT INTO public.ecdc_data VALUES (7569, 0, 2, 0.1214163, 6, 42);
INSERT INTO public.ecdc_data VALUES (7570, 0, 1, 0.00606555, 110, 42);
INSERT INTO public.ecdc_data VALUES (7571, 0, 23, 2.80564671, 7, 42);
INSERT INTO public.ecdc_data VALUES (7572, 7, 1215, 41.51181264, 68, 42);
INSERT INTO public.ecdc_data VALUES (7573, 1, 73, 180.02094789, 8, 42);
INSERT INTO public.ecdc_data VALUES (7574, 0, 0, 3.07938659, 69, 42);
INSERT INTO public.ecdc_data VALUES (7575, 0, 0, 1.20121917, 9, 42);
INSERT INTO public.ecdc_data VALUES (7576, 0, 2, 0.58945692, 10, 42);
INSERT INTO public.ecdc_data VALUES (7577, 64, 2111, 123.01053686, 70, 42);
INSERT INTO public.ecdc_data VALUES (7578, 0, 15, 0.02008671, 111, 42);
INSERT INTO public.ecdc_data VALUES (7579, 193, 7721, 192.83884408, 71, 42);
INSERT INTO public.ecdc_data VALUES (7580, 0, 4, 2.58552506, 11, 42);
INSERT INTO public.ecdc_data VALUES (7581, 0, 3, 1.48684956, 12, 42);
INSERT INTO public.ecdc_data VALUES (7582, 16, 1233, 328.77264881, 72, 42);
INSERT INTO public.ecdc_data VALUES (7583, 0, 44, 2.38367862, 13, 42);
INSERT INTO public.ecdc_data VALUES (7584, 3, 212, 64.74094056, 156, 42);
INSERT INTO public.ecdc_data VALUES (7585, 2, 62, 6.69696979, 73, 42);
INSERT INTO public.ecdc_data VALUES (7586, 0, 8, 117.4865227, 74, 42);
INSERT INTO public.ecdc_data VALUES (7587, 0, 13, 18.38111472, 157, 42);
INSERT INTO public.ecdc_data VALUES (7588, 10, 1976, 261.9110218, 158, 42);
INSERT INTO public.ecdc_data VALUES (7589, 0, 15, 0.23965738, 14, 42);
INSERT INTO public.ecdc_data VALUES (7590, 1, 619, 120.51158088, 159, 42);
INSERT INTO public.ecdc_data VALUES (7591, 0, 0, 1.54074184, 15, 42);
INSERT INTO public.ecdc_data VALUES (7592, 0, 0, 0, 75, 42);
INSERT INTO public.ecdc_data VALUES (7593, 6, 360, 73.23802488, 76, 42);
INSERT INTO public.ecdc_data VALUES (7594, 37, 1506, 100.89988538, 77, 42);
INSERT INTO public.ecdc_data VALUES (7595, 16, 111, 1.87273238, 16, 42);
INSERT INTO public.ecdc_data VALUES (7596, 0, 0, 23.04158177, 78, 42);
INSERT INTO public.ecdc_data VALUES (7597, 0, 10, 2.35991333, 17, 42);
INSERT INTO public.ecdc_data VALUES (7598, 0, 6, 0.40032976, 18, 42);
INSERT INTO public.ecdc_data VALUES (7599, 0, 47, 38.49579566, 160, 42);
INSERT INTO public.ecdc_data VALUES (7600, 0, 20, 32.13913371, 19, 42);
INSERT INTO public.ecdc_data VALUES (7601, 10, 527, 7.86233056, 20, 42);
INSERT INTO public.ecdc_data VALUES (7602, 0, 0, 0, 79, 42);
INSERT INTO public.ecdc_data VALUES (7603, 0, 2, 86.28304949, 161, 42);
INSERT INTO public.ecdc_data VALUES (7604, 0, 0, 0, 203, 42);
INSERT INTO public.ecdc_data VALUES (7605, 0, 93, 18.48522967, 162, 42);
INSERT INTO public.ecdc_data VALUES (7606, 39, 14412, 229.11266181, 163, 42);
INSERT INTO public.ecdc_data VALUES (7607, 0, 0, 157.90321714, 204, 42);
INSERT INTO public.ecdc_data VALUES (7608, 0, 0, 3.91240268, 21, 42);
INSERT INTO public.ecdc_data VALUES (7609, 0, 0, 7.62449653, 22, 42);
INSERT INTO public.ecdc_data VALUES (7610, 1, 590, 79.53938713, 164, 42);
INSERT INTO public.ecdc_data VALUES (7611, 5, 1410, 29.76660355, 165, 42);
INSERT INTO public.ecdc_data VALUES (7612, 0, 0, 2.59058347, 23, 42);
INSERT INTO public.ecdc_data VALUES (7613, 0, 8, 133.50738741, 166, 42);
INSERT INTO public.ecdc_data VALUES (7614, 7, 315, 39.08770855, 167, 42);
INSERT INTO public.ecdc_data VALUES (7615, 0, 0, 0, 80, 42);
INSERT INTO public.ecdc_data VALUES (7616, 0, 0, 0, 81, 42);
INSERT INTO public.ecdc_data VALUES (7617, 0, 68, 276.75662751, 205, 42);
INSERT INTO public.ecdc_data VALUES (7618, 27, 824, 45.75270017, 82, 42);
INSERT INTO public.ecdc_data VALUES (7619, 0, 0, 4.65347149, 168, 42);
INSERT INTO public.ecdc_data VALUES (7620, 1, 70, 4.13428729, 24, 42);
INSERT INTO public.ecdc_data VALUES (7621, 0, 0, 2.55086503, 25, 42);
INSERT INTO public.ecdc_data VALUES (7622, 1, 16, 116.63632589, 83, 42);
INSERT INTO public.ecdc_data VALUES (7623, 0, 39, 2.17524888, 84, 42);
INSERT INTO public.ecdc_data VALUES (7624, 0, 0, 0, 169, 42);
INSERT INTO public.ecdc_data VALUES (7625, 17, 708, 76.05081615, 85, 42);
INSERT INTO public.ecdc_data VALUES (7626, 6, 937, 124.72428453, 170, 42);
INSERT INTO public.ecdc_data VALUES (7627, 0, 40, 122.97228782, 171, 42);
INSERT INTO public.ecdc_data VALUES (7628, 1124, 88600, 90.61474754, 112, 42);
INSERT INTO public.ecdc_data VALUES (7629, 90, 4494, 20.90785458, 113, 42);
INSERT INTO public.ecdc_data VALUES (7630, 172, 3204, 52.03711759, 114, 42);
INSERT INTO public.ecdc_data VALUES (7631, 68, 4270, 150.57572555, 115, 42);
INSERT INTO public.ecdc_data VALUES (7632, 5, 245, 78.09568863, 172, 42);
INSERT INTO public.ecdc_data VALUES (7633, 0, 0, 3.54656043, 173, 42);
INSERT INTO public.ecdc_data VALUES (7634, 36, 11827, 867.23518268, 116, 42);
INSERT INTO public.ecdc_data VALUES (7635, 17, 1869, 36.12850236, 174, 42);
INSERT INTO public.ecdc_data VALUES (7636, 8, 129, 74.82336293, 86, 42);
INSERT INTO public.ecdc_data VALUES (7637, 5, 635, 5.10167487, 117, 42);
INSERT INTO public.ecdc_data VALUES (7638, 0, 0, 18.55356414, 175, 42);
INSERT INTO public.ecdc_data VALUES (7639, 4, 850, 49.48673475, 118, 42);
INSERT INTO public.ecdc_data VALUES (7640, 2, 293, 20.43508457, 119, 42);
INSERT INTO public.ecdc_data VALUES (7641, 7, 164, 3.6177601, 26, 42);
INSERT INTO public.ecdc_data VALUES (7642, 2, 46, 47.76186457, 176, 42);
INSERT INTO public.ecdc_data VALUES (7643, 2, 758, 213.64001657, 120, 42);
INSERT INTO public.ecdc_data VALUES (7644, 0, 161, 21.35336372, 121, 42);
INSERT INTO public.ecdc_data VALUES (7645, 0, 0, 0, 122, 42);
INSERT INTO public.ecdc_data VALUES (7646, 0, 29, 9.89599827, 177, 42);
INSERT INTO public.ecdc_data VALUES (7647, 7, 1280, 168.80821517, 123, 42);
INSERT INTO public.ecdc_data VALUES (7648, 0, 0, 14.72756129, 27, 42);
INSERT INTO public.ecdc_data VALUES (7649, 0, 0, 0.44558099, 28, 42);
INSERT INTO public.ecdc_data VALUES (7650, 8, 538, 139.87555502, 29, 42);
INSERT INTO public.ecdc_data VALUES (7651, 0, 0, 20.84527594, 178, 42);
INSERT INTO public.ecdc_data VALUES (7652, 0, 111, 35.75283517, 179, 42);
INSERT INTO public.ecdc_data VALUES (7653, 0, 78, 187.65454622, 180, 42);
INSERT INTO public.ecdc_data VALUES (7654, 1, 36, 1.92811784, 30, 42);
INSERT INTO public.ecdc_data VALUES (7655, 0, 2, 0.45628399, 31, 42);
INSERT INTO public.ecdc_data VALUES (7656, 0, 193, 2.82004992, 124, 42);
INSERT INTO public.ecdc_data VALUES (7657, 0, 31, 187.02079453, 125, 42);
INSERT INTO public.ecdc_data VALUES (7658, 0, 16, 0.83426497, 32, 42);
INSERT INTO public.ecdc_data VALUES (7659, 1, 21, 127.03648399, 181, 42);
INSERT INTO public.ecdc_data VALUES (7660, 0, 24, 4.22034347, 33, 42);
INSERT INTO public.ecdc_data VALUES (7661, 0, 0, 0.86636685, 34, 42);
INSERT INTO public.ecdc_data VALUES (7662, 399, 2535, 47.11953811, 87, 42);
INSERT INTO public.ecdc_data VALUES (7663, 15, 868, 193.40838502, 182, 42);
INSERT INTO public.ecdc_data VALUES (7664, 0, 2, 123.92322805, 183, 42);
INSERT INTO public.ecdc_data VALUES (7665, 0, 0, 0.06201231, 126, 42);
INSERT INTO public.ecdc_data VALUES (7666, 3, 235, 589.37738475, 184, 42);
INSERT INTO public.ecdc_data VALUES (7667, 0, 0, 0, 88, 42);
INSERT INTO public.ecdc_data VALUES (7668, 43, 2719, 84.46533683, 35, 42);
INSERT INTO public.ecdc_data VALUES (7669, 1, 168, 8.94749441, 36, 42);
INSERT INTO public.ecdc_data VALUES (7670, 24, 879, 13.31287597, 127, 42);
INSERT INTO public.ecdc_data VALUES (7671, 0, 83, 52.67538015, 37, 42);
INSERT INTO public.ecdc_data VALUES (7672, 8, 1207, 65.36819287, 128, 42);
INSERT INTO public.ecdc_data VALUES (7673, 38, 2711, 159.60965071, 185, 42);
INSERT INTO public.ecdc_data VALUES (7674, 0, 0, 0.35366056, 207, 42);
INSERT INTO public.ecdc_data VALUES (7675, 0, 2, 0.64812039, 208, 42);
INSERT INTO public.ecdc_data VALUES (7676, 0, 0, 3.89580449, 89, 42);
INSERT INTO public.ecdc_data VALUES (7677, 0, 0, 0.06863795, 38, 42);
INSERT INTO public.ecdc_data VALUES (7678, 3, 136, 1.00565474, 39, 42);
INSERT INTO public.ecdc_data VALUES (7679, 1, 140, 92.8202926, 186, 42);
INSERT INTO public.ecdc_data VALUES (7680, 0, 0, 15.73069058, 209, 42);
INSERT INTO public.ecdc_data VALUES (7681, 0, 0, 28.90275387, 187, 42);
INSERT INTO public.ecdc_data VALUES (7682, 0, 0, 152.1610487, 129, 42);
INSERT INTO public.ecdc_data VALUES (7683, 6, 694, 4.06066868, 130, 42);
INSERT INTO public.ecdc_data VALUES (7684, 7, 290, 201.87006843, 131, 42);
INSERT INTO public.ecdc_data VALUES (7685, 12, 677, 213.5200309, 90, 42);
INSERT INTO public.ecdc_data VALUES (7686, 0, 0, 0.25068028, 210, 42);
INSERT INTO public.ecdc_data VALUES (7687, 21, 696, 150.44064004, 91, 42);
INSERT INTO public.ecdc_data VALUES (7688, 105, 5558, 237.80037331, 92, 42);
INSERT INTO public.ecdc_data VALUES (7689, 88, 1895, 40.1353642, 132, 42);
INSERT INTO public.ecdc_data VALUES (7690, 32, 1584, 32.47060028, 188, 42);
INSERT INTO public.ecdc_data VALUES (7691, 8, 884, 93.69814989, 189, 42);
INSERT INTO public.ecdc_data VALUES (7692, 7, 508, 283.66362083, 93, 42);
INSERT INTO public.ecdc_data VALUES (7693, 2, 200, 117.47586837, 133, 42);
INSERT INTO public.ecdc_data VALUES (7694, 54, 1552, 97.08743865, 190, 42);
INSERT INTO public.ecdc_data VALUES (7695, 169, 7523, 59.09896782, 191, 42);
INSERT INTO public.ecdc_data VALUES (7696, 0, 13, 1.94821579, 40, 42);
INSERT INTO public.ecdc_data VALUES (7697, 0, 0, 3.78544119, 94, 42);
INSERT INTO public.ecdc_data VALUES (7698, 0, 0, 0, 95, 42);
INSERT INTO public.ecdc_data VALUES (7699, 0, 0, 0, 96, 42);
INSERT INTO public.ecdc_data VALUES (7700, 0, 0, 14.51252431, 192, 42);
INSERT INTO public.ecdc_data VALUES (7701, 0, 0, 2.32506231, 41, 42);
INSERT INTO public.ecdc_data VALUES (7702, 30, 461, 22.58632111, 134, 42);
INSERT INTO public.ecdc_data VALUES (7703, 2, 53, 3.87816618, 42, 42);
INSERT INTO public.ecdc_data VALUES (7704, 0, 74, 14.53237071, 193, 42);
INSERT INTO public.ecdc_data VALUES (7705, 0, 0, 4.09244841, 43, 42);
INSERT INTO public.ecdc_data VALUES (7706, 0, 9, 1.43347028, 44, 42);
INSERT INTO public.ecdc_data VALUES (7707, 0, 20, 5.65094103, 135, 42);
INSERT INTO public.ecdc_data VALUES (7708, 0, 6, 235.91025974, 97, 42);
INSERT INTO public.ecdc_data VALUES (7709, 3, 552, 57.73865909, 194, 42);
INSERT INTO public.ecdc_data VALUES (7710, 1, 184, 76.31284036, 195, 42);
INSERT INTO public.ecdc_data VALUES (7711, 1, 123, 1.37279862, 45, 42);
INSERT INTO public.ecdc_data VALUES (7712, 64, 969, 36.34670404, 46, 42);
INSERT INTO public.ecdc_data VALUES (7713, 2, 95, 2.80134897, 136, 42);
INSERT INTO public.ecdc_data VALUES (7714, 0, 0, 0.88590662, 47, 42);
INSERT INTO public.ecdc_data VALUES (7715, 0, 0, 319.90712669, 196, 42);
INSERT INTO public.ecdc_data VALUES (7716, 0, 4, 0.71751036, 137, 42);
INSERT INTO public.ecdc_data VALUES (7717, 0, 14, 0.31765877, 48, 42);
INSERT INTO public.ecdc_data VALUES (7718, 0, 14, 43.34641179, 98, 42);
INSERT INTO public.ecdc_data VALUES (7719, 2, 325, 47.09592251, 197, 42);
INSERT INTO public.ecdc_data VALUES (7720, 1, 117, 61.66520394, 198, 42);
INSERT INTO public.ecdc_data VALUES (7721, 3, 37, 3.11655469, 138, 42);
INSERT INTO public.ecdc_data VALUES (7722, 0, 0, 0.05047556, 139, 42);
INSERT INTO public.ecdc_data VALUES (7723, 1, 43, 6.34050576, 140, 42);
INSERT INTO public.ecdc_data VALUES (7724, 0, 1, 0.07181269, 141, 42);
INSERT INTO public.ecdc_data VALUES (7725, 0, 0, 0, 142, 42);
INSERT INTO public.ecdc_data VALUES (7726, 2, 14, 2.23944519, 49, 42);
INSERT INTO public.ecdc_data VALUES (7727, 0, 35, 94.55407253, 99, 42);
INSERT INTO public.ecdc_data VALUES (7728, 16, 786, 73.05005395, 50, 42);
INSERT INTO public.ecdc_data VALUES (7729, 71, 1511, 28.45109211, 199, 42);
INSERT INTO public.ecdc_data VALUES (7730, 0, 1, 96.87385453, 100, 42);
INSERT INTO public.ecdc_data VALUES (7731, 0, 146, 6.01089863, 51, 42);
INSERT INTO public.ecdc_data VALUES (7732, 76, 3833, 99.20751505, 200, 42);
INSERT INTO public.ecdc_data VALUES (7733, 2, 1078, 120.45410861, 143, 42);
INSERT INTO public.ecdc_data VALUES (7734, 35, 6041, 96.18271231, 201, 42);
INSERT INTO public.ecdc_data VALUES (7735, 0, 0, 0, 52, 42);
INSERT INTO public.ecdc_data VALUES (7736, 723, 45368, 180.1133969, 101, 42);
INSERT INTO public.ecdc_data VALUES (7737, 0, 3, 92.75284713, 102, 42);
INSERT INTO public.ecdc_data VALUES (7738, 0, 31, 6.2974275, 103, 42);
INSERT INTO public.ecdc_data VALUES (7739, 4, 491, 23.98601771, 144, 42);
INSERT INTO public.ecdc_data VALUES (7740, 9, 667, 43.16900624, 104, 42);
INSERT INTO public.ecdc_data VALUES (7741, 0, 0, 0.00933009, 145, 42);
INSERT INTO public.ecdc_data VALUES (7742, 0, 0, 0, 53, 42);
INSERT INTO public.ecdc_data VALUES (7743, 1, 0, 0.07544084, 146, 42);
INSERT INTO public.ecdc_data VALUES (7744, 0, 97, 6.41620188, 54, 42);
INSERT INTO public.ecdc_data VALUES (7745, 0, 16, 2.01427431, 55, 42);
INSERT INTO public.ecdc_data VALUES (7746, 4, 55, 2.05300717, 105, 43);
INSERT INTO public.ecdc_data VALUES (7747, 4, 168, 73.71367025, 147, 43);
INSERT INTO public.ecdc_data VALUES (7748, 9, 391, 13.75047633, 1, 43);
INSERT INTO public.ecdc_data VALUES (7749, 0, 38, 158.84059493, 148, 43);
INSERT INTO public.ecdc_data VALUES (7750, 1, 49, 1.87586612, 2, 43);
INSERT INTO public.ecdc_data VALUES (7751, 0, 0, 0, 56, 43);
INSERT INTO public.ecdc_data VALUES (7752, 0, 0, 2.0594141, 57, 43);
INSERT INTO public.ecdc_data VALUES (7753, 259, 8771, 220.46786923, 58, 43);
INSERT INTO public.ecdc_data VALUES (7754, 3, 131, 76.84952775, 149, 43);
INSERT INTO public.ecdc_data VALUES (7755, 0, 90, 904.90076192, 59, 43);
INSERT INTO public.ecdc_data VALUES (7756, 24, 152, 12.21273489, 202, 43);
INSERT INTO public.ecdc_data VALUES (7757, 0, 316, 41.23594967, 150, 43);
INSERT INTO public.ecdc_data VALUES (7758, 1, 148, 18.74057187, 151, 43);
INSERT INTO public.ecdc_data VALUES (7759, 0, 0, 199.49369169, 60, 43);
INSERT INTO public.ecdc_data VALUES (7760, 0, 317, 312.52208798, 106, 43);
INSERT INTO public.ecdc_data VALUES (7761, 54, 2519, 21.86435863, 107, 43);
INSERT INTO public.ecdc_data VALUES (7762, 0, 1, 7.66494438, 61, 43);
INSERT INTO public.ecdc_data VALUES (7763, 5, 247, 19.80447524, 152, 43);
INSERT INTO public.ecdc_data VALUES (7764, 4, 526, 58.89737514, 153, 43);
INSERT INTO public.ecdc_data VALUES (7765, 1, 30, 118.86737833, 62, 43);
INSERT INTO public.ecdc_data VALUES (7766, 1, 30, 1.22021996, 3, 43);
INSERT INTO public.ecdc_data VALUES (7767, 0, 0, 14.39815704, 63, 43);
INSERT INTO public.ecdc_data VALUES (7768, 0, 10, 7.20749999, 108, 43);
INSERT INTO public.ecdc_data VALUES (7769, 62, 1095, 147.85763211, 64, 43);
INSERT INTO public.ecdc_data VALUES (7770, 0, 0, 0, 65, 43);
INSERT INTO public.ecdc_data VALUES (7771, 17, 285, 110.51203303, 154, 43);
INSERT INTO public.ecdc_data VALUES (7772, 3, 71, 24.61254771, 4, 43);
INSERT INTO public.ecdc_data VALUES (7773, 1085, 47161, 261.7257801, 66, 43);
INSERT INTO public.ecdc_data VALUES (7774, 0, 0, 56.60440182, 67, 43);
INSERT INTO public.ecdc_data VALUES (7775, 0, 0, 0.46157823, 109, 43);
INSERT INTO public.ecdc_data VALUES (7776, 14, 162, 26.54270926, 155, 43);
INSERT INTO public.ecdc_data VALUES (7777, 0, 0, 0.61019469, 5, 43);
INSERT INTO public.ecdc_data VALUES (7778, 0, 0, 0.17345186, 6, 43);
INSERT INTO public.ecdc_data VALUES (7779, 0, 0, 0.00606555, 110, 43);
INSERT INTO public.ecdc_data VALUES (7780, 0, 0, 2.74381427, 7, 43);
INSERT INTO public.ecdc_data VALUES (7781, 4, 448, 14.93676813, 68, 43);
INSERT INTO public.ecdc_data VALUES (7782, 1, 62, 114.55878502, 8, 43);
INSERT INTO public.ecdc_data VALUES (7783, 0, 0, 3.07938659, 69, 43);
INSERT INTO public.ecdc_data VALUES (7784, 0, 7, 0.96940495, 9, 43);
INSERT INTO public.ecdc_data VALUES (7785, 0, 3, 0.3072701, 10, 43);
INSERT INTO public.ecdc_data VALUES (7786, 32, 1380, 127.67494361, 70, 43);
INSERT INTO public.ecdc_data VALUES (7787, 1, 32, 0.05154194, 111, 43);
INSERT INTO public.ecdc_data VALUES (7788, 295, 10142, 297.48243341, 71, 43);
INSERT INTO public.ecdc_data VALUES (7789, 0, 0, 2.11542959, 11, 43);
INSERT INTO public.ecdc_data VALUES (7790, 0, 0, 4.34903496, 12, 43);
INSERT INTO public.ecdc_data VALUES (7791, 10, 1002, 222.87992161, 72, 43);
INSERT INTO public.ecdc_data VALUES (7792, 0, 41, 2.93974068, 13, 43);
INSERT INTO public.ecdc_data VALUES (7793, 0, 358, 74.03871111, 156, 43);
INSERT INTO public.ecdc_data VALUES (7794, 1, 15, 5.56757304, 73, 43);
INSERT INTO public.ecdc_data VALUES (7795, 0, 2, 10.40245253, 74, 43);
INSERT INTO public.ecdc_data VALUES (7796, 0, 7, 21.69199874, 157, 43);
INSERT INTO public.ecdc_data VALUES (7797, 2, 403, 36.39504967, 158, 43);
INSERT INTO public.ecdc_data VALUES (7798, 3, 21, 0.4309224, 14, 43);
INSERT INTO public.ecdc_data VALUES (7799, 0, 57, 25.26661271, 159, 43);
INSERT INTO public.ecdc_data VALUES (7800, 0, 0, 2.56790306, 15, 43);
INSERT INTO public.ecdc_data VALUES (7801, 0, 0, 2.78520499, 75, 43);
INSERT INTO public.ecdc_data VALUES (7802, 28, 340, 96.21977255, 76, 43);
INSERT INTO public.ecdc_data VALUES (7803, 42, 1519, 77.35274157, 77, 43);
INSERT INTO public.ecdc_data VALUES (7804, 19, 206, 1.85480196, 16, 43);
INSERT INTO public.ecdc_data VALUES (7805, 0, 154, 54.17173494, 78, 43);
INSERT INTO public.ecdc_data VALUES (7806, 0, 0, 7.74346562, 17, 43);
INSERT INTO public.ecdc_data VALUES (7807, 0, 0, 0.85784948, 18, 43);
INSERT INTO public.ecdc_data VALUES (7808, 0, 17, 10.34102746, 160, 43);
INSERT INTO public.ecdc_data VALUES (7809, 2, 60, 75.07840991, 19, 43);
INSERT INTO public.ecdc_data VALUES (7810, 16, 1533, 17.93649923, 20, 43);
INSERT INTO public.ecdc_data VALUES (7811, 0, 0, 0, 79, 43);
INSERT INTO public.ecdc_data VALUES (7812, 0, 0, 147.91379912, 161, 43);
INSERT INTO public.ecdc_data VALUES (7813, 0, 0, 0.11236523, 203, 43);
INSERT INTO public.ecdc_data VALUES (7814, 0, 21, 6.52419871, 162, 43);
INSERT INTO public.ecdc_data VALUES (7815, 0, 5429, 69.97311248, 163, 43);
INSERT INTO public.ecdc_data VALUES (7816, 0, 43, 76.62423689, 204, 43);
INSERT INTO public.ecdc_data VALUES (7817, 0, 59, 17.99705235, 21, 43);
INSERT INTO public.ecdc_data VALUES (7818, 3, 22, 52.43438673, 22, 43);
INSERT INTO public.ecdc_data VALUES (7819, 0, 11, 4.10332164, 164, 43);
INSERT INTO public.ecdc_data VALUES (7820, 5, 1507, 21.64800093, 165, 43);
INSERT INTO public.ecdc_data VALUES (7821, 0, 124, 6.95643987, 23, 43);
INSERT INTO public.ecdc_data VALUES (7822, 0, 14, 198.7776657, 166, 43);
INSERT INTO public.ecdc_data VALUES (7823, 5, 293, 28.93348273, 167, 43);
INSERT INTO public.ecdc_data VALUES (7824, 0, 0, 0, 80, 43);
INSERT INTO public.ecdc_data VALUES (7825, 0, 0, 0, 81, 43);
INSERT INTO public.ecdc_data VALUES (7826, 0, 136, 401.08789862, 205, 43);
INSERT INTO public.ecdc_data VALUES (7827, 32, 1063, 66.12072843, 82, 43);
INSERT INTO public.ecdc_data VALUES (7828, 0, 0, 0, 168, 43);
INSERT INTO public.ecdc_data VALUES (7829, 0, 39, 8.22942413, 24, 43);
INSERT INTO public.ecdc_data VALUES (7830, 0, 0, 5.04967159, 25, 43);
INSERT INTO public.ecdc_data VALUES (7831, 0, 33, 60.04279646, 83, 43);
INSERT INTO public.ecdc_data VALUES (7832, 4, 39, 3.62245528, 84, 43);
INSERT INTO public.ecdc_data VALUES (7833, 0, 0, 0, 169, 43);
INSERT INTO public.ecdc_data VALUES (7834, 64, 1170, 82.00190537, 85, 43);
INSERT INTO public.ecdc_data VALUES (7835, 0, 73, 5.32091459, 170, 43);
INSERT INTO public.ecdc_data VALUES (7836, 0, 5, 30.81310173, 171, 43);
INSERT INTO public.ecdc_data VALUES (7837, 1023, 75760, 66.86073831, 112, 43);
INSERT INTO public.ecdc_data VALUES (7838, 86, 2306, 10.88108575, 113, 43);
INSERT INTO public.ecdc_data VALUES (7839, 125, 2213, 35.77687517, 114, 43);
INSERT INTO public.ecdc_data VALUES (7840, 72, 3837, 140.79953469, 115, 43);
INSERT INTO public.ecdc_data VALUES (7841, 0, 162, 31.09554182, 172, 43);
INSERT INTO public.ecdc_data VALUES (7842, 0, 0, 0, 173, 43);
INSERT INTO public.ecdc_data VALUES (7843, 16, 1886, 239.57162106, 116, 43);
INSERT INTO public.ecdc_data VALUES (7844, 13, 1366, 17.93751066, 174, 43);
INSERT INTO public.ecdc_data VALUES (7845, 0, 72, 25.0654874, 86, 43);
INSERT INTO public.ecdc_data VALUES (7846, 17, 846, 11.21233366, 117, 43);
INSERT INTO public.ecdc_data VALUES (7847, 0, 3, 18.55356414, 175, 43);
INSERT INTO public.ecdc_data VALUES (7848, 1, 40, 4.48439505, 118, 43);
INSERT INTO public.ecdc_data VALUES (7849, 0, 202, 56.92284173, 119, 43);
INSERT INTO public.ecdc_data VALUES (7850, 5, 213, 9.34302713, 26, 43);
INSERT INTO public.ecdc_data VALUES (7851, 4, 157, 113.70548667, 176, 43);
INSERT INTO public.ecdc_data VALUES (7852, 2, 698, 201.7077415, 120, 43);
INSERT INTO public.ecdc_data VALUES (7853, 0, 101, 42.08327157, 121, 43);
INSERT INTO public.ecdc_data VALUES (7854, 0, 0, 0.02789612, 122, 43);
INSERT INTO public.ecdc_data VALUES (7855, 0, 18, 2.96879948, 177, 43);
INSERT INTO public.ecdc_data VALUES (7856, 1, 561, 99.69793059, 123, 43);
INSERT INTO public.ecdc_data VALUES (7857, 1, 2, 11.9043866, 27, 43);
INSERT INTO public.ecdc_data VALUES (7858, 0, 3, 0.93166934, 28, 43);
INSERT INTO public.ecdc_data VALUES (7859, 7, 553, 81.62358337, 29, 43);
INSERT INTO public.ecdc_data VALUES (7860, 0, 4, 39.08489239, 178, 43);
INSERT INTO public.ecdc_data VALUES (7861, 0, 32, 14.92385612, 179, 43);
INSERT INTO public.ecdc_data VALUES (7862, 0, 90, 102.29779082, 180, 43);
INSERT INTO public.ecdc_data VALUES (7863, 3, 79, 4.29006219, 30, 43);
INSERT INTO public.ecdc_data VALUES (7864, 3, 51, 3.87572993, 31, 43);
INSERT INTO public.ecdc_data VALUES (7865, 0, 6, 0.55399427, 124, 43);
INSERT INTO public.ecdc_data VALUES (7866, 0, 178, 350.12251463, 125, 43);
INSERT INTO public.ecdc_data VALUES (7867, 1, 4, 0.68674251, 32, 43);
INSERT INTO public.ecdc_data VALUES (7868, 0, 37, 131.6965145, 181, 43);
INSERT INTO public.ecdc_data VALUES (7869, 0, 32, 7.99876616, 33, 43);
INSERT INTO public.ecdc_data VALUES (7870, 0, 0, 0.15752125, 34, 43);
INSERT INTO public.ecdc_data VALUES (7871, 626, 6854, 58.38580532, 87, 43);
INSERT INTO public.ecdc_data VALUES (7872, 7, 624, 155.44395139, 182, 43);
INSERT INTO public.ecdc_data VALUES (7873, 0, 1, 75.56294393, 183, 43);
INSERT INTO public.ecdc_data VALUES (7874, 0, 1, 0.12402462, 126, 43);
INSERT INTO public.ecdc_data VALUES (7875, 1, 55, 110.25712734, 184, 43);
INSERT INTO public.ecdc_data VALUES (7876, 0, 0, 0, 88, 43);
INSERT INTO public.ecdc_data VALUES (7877, 29, 1336, 52.56120584, 35, 43);
INSERT INTO public.ecdc_data VALUES (7878, 0, 82, 3.39523987, 36, 43);
INSERT INTO public.ecdc_data VALUES (7879, 0, 82, 0.41631648, 127, 43);
INSERT INTO public.ecdc_data VALUES (7880, 2, 271, 121.26562021, 37, 43);
INSERT INTO public.ecdc_data VALUES (7881, 11, 885, 34.90544752, 128, 43);
INSERT INTO public.ecdc_data VALUES (7882, 8, 570, 43.24690144, 185, 43);
INSERT INTO public.ecdc_data VALUES (7883, 0, 0, 0, 207, 43);
INSERT INTO public.ecdc_data VALUES (7884, 0, 7, 2.36250335, 208, 43);
INSERT INTO public.ecdc_data VALUES (7885, 0, 0, 5.79023491, 89, 43);
INSERT INTO public.ecdc_data VALUES (7886, 0, 0, 0.05147846, 38, 43);
INSERT INTO public.ecdc_data VALUES (7887, 3, 221, 2.62634622, 39, 43);
INSERT INTO public.ecdc_data VALUES (7888, 5, 126, 76.16270897, 186, 43);
INSERT INTO public.ecdc_data VALUES (7889, 0, 0, 8.73927254, 209, 43);
INSERT INTO public.ecdc_data VALUES (7890, 0, 59, 13.21268748, 187, 43);
INSERT INTO public.ecdc_data VALUES (7891, 4, 166, 50.63324725, 129, 43);
INSERT INTO public.ecdc_data VALUES (7892, 7, 445, 3.67741248, 130, 43);
INSERT INTO public.ecdc_data VALUES (7893, 1, 602, 133.91758418, 131, 43);
INSERT INTO public.ecdc_data VALUES (7894, 13, 701, 275.64265597, 90, 43);
INSERT INTO public.ecdc_data VALUES (7895, 0, 0, 1.70918375, 210, 43);
INSERT INTO public.ecdc_data VALUES (7896, 16, 644, 97.29384288, 91, 43);
INSERT INTO public.ecdc_data VALUES (7897, 123, 5996, 353.18784458, 92, 43);
INSERT INTO public.ecdc_data VALUES (7898, 99, 5197, 54.21183063, 132, 43);
INSERT INTO public.ecdc_data VALUES (7899, 17, 729, 26.66644756, 188, 43);
INSERT INTO public.ecdc_data VALUES (7900, 2, 362, 29.68875847, 189, 43);
INSERT INTO public.ecdc_data VALUES (7901, 9, 24, 227.38088582, 93, 43);
INSERT INTO public.ecdc_data VALUES (7902, 0, 244, 134.31866645, 133, 43);
INSERT INTO public.ecdc_data VALUES (7903, 54, 1256, 84.82853346, 190, 43);
INSERT INTO public.ecdc_data VALUES (7904, 115, 4676, 46.72855552, 191, 43);
INSERT INTO public.ecdc_data VALUES (7905, 0, 88, 11.37251169, 40, 43);
INSERT INTO public.ecdc_data VALUES (7906, 0, 0, 0, 94, 43);
INSERT INTO public.ecdc_data VALUES (7907, 0, 0, 0.54706092, 95, 43);
INSERT INTO public.ecdc_data VALUES (7908, 0, 0, 0.90421636, 96, 43);
INSERT INTO public.ecdc_data VALUES (7909, 0, 0, 0, 192, 43);
INSERT INTO public.ecdc_data VALUES (7910, 0, 0, 4.65012462, 41, 43);
INSERT INTO public.ecdc_data VALUES (7911, 33, 1068, 51.93978417, 134, 43);
INSERT INTO public.ecdc_data VALUES (7912, 1, 130, 9.81200589, 42, 43);
INSERT INTO public.ecdc_data VALUES (7913, 2, 154, 31.9223914, 193, 43);
INSERT INTO public.ecdc_data VALUES (7914, 0, 0, 9.20800892, 43, 43);
INSERT INTO public.ecdc_data VALUES (7915, 0, 2, 0.84472356, 44, 43);
INSERT INTO public.ecdc_data VALUES (7916, 0, 60, 18.95132662, 135, 43);
INSERT INTO public.ecdc_data VALUES (7917, 0, 24, 457.66590389, 97, 43);
INSERT INTO public.ecdc_data VALUES (7918, 0, 84, 15.52173676, 194, 43);
INSERT INTO public.ecdc_data VALUES (7919, 0, 36, 20.13544087, 195, 43);
INSERT INTO public.ecdc_data VALUES (7920, 0, 0, 0.31082233, 45, 43);
INSERT INTO public.ecdc_data VALUES (7921, 194, 2684, 79.8896593, 46, 43);
INSERT INTO public.ecdc_data VALUES (7922, 1, 441, 7.68370002, 136, 43);
INSERT INTO public.ecdc_data VALUES (7923, 0, 3, 0.29831549, 47, 43);
INSERT INTO public.ecdc_data VALUES (7924, 25, 9658, 196.37574232, 196, 43);
INSERT INTO public.ecdc_data VALUES (7925, 0, 13, 0.48302985, 137, 43);
INSERT INTO public.ecdc_data VALUES (7926, 0, 0, 2.00638882, 48, 43);
INSERT INTO public.ecdc_data VALUES (7927, 1, 26, 184.22225013, 98, 43);
INSERT INTO public.ecdc_data VALUES (7928, 2, 244, 34.4275299, 197, 43);
INSERT INTO public.ecdc_data VALUES (7929, 0, 379, 40.5054604, 198, 43);
INSERT INTO public.ecdc_data VALUES (7930, 6, 147, 6.49086955, 138, 43);
INSERT INTO public.ecdc_data VALUES (7931, 0, 0, 0.02523778, 139, 43);
INSERT INTO public.ecdc_data VALUES (7932, 0, 34, 5.37494651, 140, 43);
INSERT INTO public.ecdc_data VALUES (7933, 0, 1, 0.06894018, 141, 43);
INSERT INTO public.ecdc_data VALUES (7934, 0, 1, 0.15466469, 142, 43);
INSERT INTO public.ecdc_data VALUES (7935, 0, 17, 2.89519434, 49, 43);
INSERT INTO public.ecdc_data VALUES (7936, 0, 159, 77.77950621, 99, 43);
INSERT INTO public.ecdc_data VALUES (7937, 0, 137, 12.19353587, 50, 43);
INSERT INTO public.ecdc_data VALUES (7938, 20, 1313, 22.09041762, 199, 43);
INSERT INTO public.ecdc_data VALUES (7939, 1, 33, 583.86133948, 100, 43);
INSERT INTO public.ecdc_data VALUES (7940, 1, 98, 2.69259345, 51, 43);
INSERT INTO public.ecdc_data VALUES (7941, 85, 1974, 58.91533011, 200, 43);
INSERT INTO public.ecdc_data VALUES (7942, 1, 399, 49.20922374, 143, 43);
INSERT INTO public.ecdc_data VALUES (7943, 16, 1048, 22.57862276, 201, 43);
INSERT INTO public.ecdc_data VALUES (7944, 0, 0, 0, 52, 43);
INSERT INTO public.ecdc_data VALUES (7945, 1228, 42848, 189.84946973, 101, 43);
INSERT INTO public.ecdc_data VALUES (7946, 0, 0, 373.88003328, 102, 43);
INSERT INTO public.ecdc_data VALUES (7947, 0, 7, 4.33309232, 103, 43);
INSERT INTO public.ecdc_data VALUES (7948, 6, 405, 22.30933109, 144, 43);
INSERT INTO public.ecdc_data VALUES (7949, 0, 0, 42.32736842, 104, 43);
INSERT INTO public.ecdc_data VALUES (7950, 3, 5, 0.15653815, 145, 43);
INSERT INTO public.ecdc_data VALUES (7951, 0, 0, 0, 53, 43);
INSERT INTO public.ecdc_data VALUES (7952, 3, 6, 0.3051925, 146, 43);
INSERT INTO public.ecdc_data VALUES (7953, 0, 91, 16.09649251, 54, 43);
INSERT INTO public.ecdc_data VALUES (7954, 13, 55, 9.27248987, 55, 43);
INSERT INTO public.ecdc_data VALUES (7955, 10, 106, 4.76318694, 105, 44);
INSERT INTO public.ecdc_data VALUES (7956, 4, 126, 45.73042387, 147, 44);
INSERT INTO public.ecdc_data VALUES (7957, 9, 593, 18.9580047, 1, 44);
INSERT INTO public.ecdc_data VALUES (7958, 0, 0, 55.13475196, 148, 44);
INSERT INTO public.ecdc_data VALUES (7959, 5, 50, 1.33227342, 2, 44);
INSERT INTO public.ecdc_data VALUES (7960, 0, 0, 0, 56, 44);
INSERT INTO public.ecdc_data VALUES (7961, 0, 0, 8.23765639, 57, 44);
INSERT INTO public.ecdc_data VALUES (7962, 92, 9006, 145.18986147, 58, 44);
INSERT INTO public.ecdc_data VALUES (7963, 6, 73, 177.12920187, 149, 44);
INSERT INTO public.ecdc_data VALUES (7964, 0, 0, 13.16903396, 59, 44);
INSERT INTO public.ecdc_data VALUES (7965, 10, 453, 18.27545708, 202, 44);
INSERT INTO public.ecdc_data VALUES (7966, 0, 137, 18.50142937, 150, 44);
INSERT INTO public.ecdc_data VALUES (7967, 9, 417, 59.80461834, 151, 44);
INSERT INTO public.ecdc_data VALUES (7968, 0, 16, 59.30893537, 60, 44);
INSERT INTO public.ecdc_data VALUES (7969, 3, 384, 377.17132474, 106, 44);
INSERT INTO public.ecdc_data VALUES (7970, 54, 2275, 24.32317133, 107, 44);
INSERT INTO public.ecdc_data VALUES (7971, 0, 2, 2.43884594, 61, 44);
INSERT INTO public.ecdc_data VALUES (7972, 4, 130, 23.27449013, 152, 44);
INSERT INTO public.ecdc_data VALUES (7973, 2, 184, 32.58691291, 153, 44);
INSERT INTO public.ecdc_data VALUES (7974, 0, 0, 2.81797664, 62, 44);
INSERT INTO public.ecdc_data VALUES (7975, 1, 76, 3.32170989, 3, 44);
INSERT INTO public.ecdc_data VALUES (7976, 0, 1, 6.3991809, 63, 44);
INSERT INTO public.ecdc_data VALUES (7977, 0, 2, 1.4415, 108, 44);
INSERT INTO public.ecdc_data VALUES (7978, 48, 1148, 184.50283859, 64, 44);
INSERT INTO public.ecdc_data VALUES (7979, 0, 0, 15.39468114, 65, 44);
INSERT INTO public.ecdc_data VALUES (7980, 5, 305, 96.48597182, 154, 44);
INSERT INTO public.ecdc_data VALUES (7981, 0, 0, 12.45820316, 4, 44);
INSERT INTO public.ecdc_data VALUES (7982, 555, 24578, 262.69190407, 66, 44);
INSERT INTO public.ecdc_data VALUES (7983, 0, 0, 0, 67, 44);
INSERT INTO public.ecdc_data VALUES (7984, 0, 0, 0, 109, 44);
INSERT INTO public.ecdc_data VALUES (7985, 2, 115, 45.35689015, 155, 44);
INSERT INTO public.ecdc_data VALUES (7986, 0, 14, 0.31493919, 5, 44);
INSERT INTO public.ecdc_data VALUES (7987, 0, 0, 0.96265781, 6, 44);
INSERT INTO public.ecdc_data VALUES (7988, 0, 0, 0.41852318, 110, 44);
INSERT INTO public.ecdc_data VALUES (7989, 0, 0, 5.93204917, 7, 44);
INSERT INTO public.ecdc_data VALUES (7990, 5, 355, 16.8907369, 68, 44);
INSERT INTO public.ecdc_data VALUES (7991, 0, 49, 110.74015885, 8, 44);
INSERT INTO public.ecdc_data VALUES (7992, 0, 0, 3.07938659, 69, 44);
INSERT INTO public.ecdc_data VALUES (7993, 0, 1, 6.55402041, 9, 44);
INSERT INTO public.ecdc_data VALUES (7994, 0, 0, 0.21947864, 10, 44);
INSERT INTO public.ecdc_data VALUES (7995, 92, 2198, 162.24642895, 70, 44);
INSERT INTO public.ecdc_data VALUES (7996, 0, 189, 0.10134025, 111, 44);
INSERT INTO public.ecdc_data VALUES (7997, 256, 8181, 195.73319474, 71, 44);
INSERT INTO public.ecdc_data VALUES (7998, 0, 0, 2.70304892, 11, 44);
INSERT INTO public.ecdc_data VALUES (7999, 0, 0, 17.37755422, 12, 44);
INSERT INTO public.ecdc_data VALUES (8000, 6, 629, 151.22155037, 72, 44);
INSERT INTO public.ecdc_data VALUES (8001, 2, 102, 11.00458483, 13, 44);
INSERT INTO public.ecdc_data VALUES (8002, 3, 65, 27.84424689, 156, 44);
INSERT INTO public.ecdc_data VALUES (8003, 0, 17, 0.60881544, 73, 44);
INSERT INTO public.ecdc_data VALUES (8004, 0, 0, 2.44763589, 74, 44);
INSERT INTO public.ecdc_data VALUES (8005, 0, 4, 4.11006292, 157, 44);
INSERT INTO public.ecdc_data VALUES (8006, 3, 112, 20.18817255, 158, 44);
INSERT INTO public.ecdc_data VALUES (8007, 1, 31, 0.92060695, 14, 44);
INSERT INTO public.ecdc_data VALUES (8008, 0, 0, 8.4738742, 159, 44);
INSERT INTO public.ecdc_data VALUES (8009, 0, 11, 8.01185755, 15, 44);
INSERT INTO public.ecdc_data VALUES (8010, 0, 0, 0, 75, 44);
INSERT INTO public.ecdc_data VALUES (8011, 8, 2012, 171.11531408, 76, 44);
INSERT INTO public.ecdc_data VALUES (8012, 8, 658, 73.81289961, 77, 44);
INSERT INTO public.ecdc_data VALUES (8013, 48, 479, 9.95337335, 16, 44);
INSERT INTO public.ecdc_data VALUES (8014, 18, 409, 76.79494232, 78, 44);
INSERT INTO public.ecdc_data VALUES (8015, 0, 0, 0, 17, 44);
INSERT INTO public.ecdc_data VALUES (8016, 0, 0, 0.88644446, 18, 44);
INSERT INTO public.ecdc_data VALUES (8017, 0, 1, 1.50963905, 160, 44);
INSERT INTO public.ecdc_data VALUES (8018, 4, 65, 74.55582237, 19, 44);
INSERT INTO public.ecdc_data VALUES (8019, 23, 1275, 5.71740969, 20, 44);
INSERT INTO public.ecdc_data VALUES (8020, 0, 0, 0, 79, 44);
INSERT INTO public.ecdc_data VALUES (8021, 0, 0, 6.16307496, 161, 44);
INSERT INTO public.ecdc_data VALUES (8022, 0, 0, 0.11236523, 203, 44);
INSERT INTO public.ecdc_data VALUES (8023, 0, 5, 1.83040019, 162, 44);
INSERT INTO public.ecdc_data VALUES (8024, 0, 0, 14.5882397, 163, 44);
INSERT INTO public.ecdc_data VALUES (8025, 0, 0, 0, 204, 44);
INSERT INTO public.ecdc_data VALUES (8026, 0, 0, 47.96145409, 21, 44);
INSERT INTO public.ecdc_data VALUES (8027, 0, 0, 9.07272492, 22, 44);
INSERT INTO public.ecdc_data VALUES (8028, 0, 6, 3.55287605, 164, 44);
INSERT INTO public.ecdc_data VALUES (8029, 0, 340, 8.00537582, 165, 44);
INSERT INTO public.ecdc_data VALUES (8030, 7, 1118, 27.78302141, 23, 44);
INSERT INTO public.ecdc_data VALUES (8031, 0, 0, 14.83415416, 166, 44);
INSERT INTO public.ecdc_data VALUES (8032, 1, 27, 3.6364996, 167, 44);
INSERT INTO public.ecdc_data VALUES (8033, 0, 0, 0, 80, 44);
INSERT INTO public.ecdc_data VALUES (8034, 0, 0, 0, 81, 44);
INSERT INTO public.ecdc_data VALUES (8035, 0, 9, 20.32338085, 205, 44);
INSERT INTO public.ecdc_data VALUES (8036, 65, 561, 89.28715655, 82, 44);
INSERT INTO public.ecdc_data VALUES (8037, 0, 0, 0, 168, 44);
INSERT INTO public.ecdc_data VALUES (8038, 1, 81, 6.78868765, 24, 44);
INSERT INTO public.ecdc_data VALUES (8039, 0, 0, 5.83054864, 25, 44);
INSERT INTO public.ecdc_data VALUES (8040, 0, 10, 9.32579605, 83, 44);
INSERT INTO public.ecdc_data VALUES (8041, 1, 18, 5.22059732, 84, 44);
INSERT INTO public.ecdc_data VALUES (8042, 0, 0, 0, 169, 44);
INSERT INTO public.ecdc_data VALUES (8043, 18, 838, 114.77393813, 85, 44);
INSERT INTO public.ecdc_data VALUES (8044, 0, 13, 2.189761, 170, 44);
INSERT INTO public.ecdc_data VALUES (8045, 0, 4, 3.92166749, 171, 44);
INSERT INTO public.ecdc_data VALUES (8046, 708, 49931, 40.77808544, 112, 44);
INSERT INTO public.ecdc_data VALUES (8047, 67, 1492, 8.52801908, 113, 44);
INSERT INTO public.ecdc_data VALUES (8048, 216, 2333, 40.84840161, 114, 44);
INSERT INTO public.ecdc_data VALUES (8049, 78, 2459, 82.74274889, 115, 44);
INSERT INTO public.ecdc_data VALUES (8050, 0, 12, 5.15880136, 172, 44);
INSERT INTO public.ecdc_data VALUES (8051, 0, 0, 0, 173, 44);
INSERT INTO public.ecdc_data VALUES (8052, 13, 1278, 273.32997393, 116, 44);
INSERT INTO public.ecdc_data VALUES (8053, 5, 254, 5.06465042, 174, 44);
INSERT INTO public.ecdc_data VALUES (8054, 0, 5, 2.84912171, 86, 44);
INSERT INTO public.ecdc_data VALUES (8055, 0, 607, 6.40152992, 117, 44);
INSERT INTO public.ecdc_data VALUES (8056, 0, 0, 6.49374745, 175, 44);
INSERT INTO public.ecdc_data VALUES (8057, 0, 14, -0.10889259, 118, 44);
INSERT INTO public.ecdc_data VALUES (8058, 0, 1402, 125.23564224, 119, 44);
INSERT INTO public.ecdc_data VALUES (8059, 2, 960, 14.26181136, 26, 44);
INSERT INTO public.ecdc_data VALUES (8060, 0, 0, 110.42498607, 176, 44);
INSERT INTO public.ecdc_data VALUES (8061, 4, 464, 211.0491441, 120, 44);
INSERT INTO public.ecdc_data VALUES (8062, 24, 483, 345.69069637, 121, 44);
INSERT INTO public.ecdc_data VALUES (8063, 0, 0, 0.01394806, 122, 44);
INSERT INTO public.ecdc_data VALUES (8064, 0, 13, 2.39587326, 177, 44);
INSERT INTO public.ecdc_data VALUES (8065, 4, 168, 20.6543189, 123, 44);
INSERT INTO public.ecdc_data VALUES (8066, 2, 27, 10.02227014, 27, 44);
INSERT INTO public.ecdc_data VALUES (8067, 1, 7, 3.07855957, 28, 44);
INSERT INTO public.ecdc_data VALUES (8068, 0, 0, 16.4368532, 29, 44);
INSERT INTO public.ecdc_data VALUES (8069, 0, 0, 5.21131898, 178, 44);
INSERT INTO public.ecdc_data VALUES (8070, 0, 7, 4.97461871, 179, 44);
INSERT INTO public.ecdc_data VALUES (8071, 0, 83, 219.41898764, 180, 44);
INSERT INTO public.ecdc_data VALUES (8072, 7, 429, 16.41866498, 30, 44);
INSERT INTO public.ecdc_data VALUES (8073, 12, 187, 6.84962796, 31, 44);
INSERT INTO public.ecdc_data VALUES (8074, 1, 13, 0.56025409, 124, 44);
INSERT INTO public.ecdc_data VALUES (8075, 0, 50, 107.54166533, 125, 44);
INSERT INTO public.ecdc_data VALUES (8076, 0, 7, 0.50361117, 32, 44);
INSERT INTO public.ecdc_data VALUES (8077, 0, 1, 5.26786058, 181, 44);
INSERT INTO public.ecdc_data VALUES (8078, 0, 104, 23.09036087, 33, 44);
INSERT INTO public.ecdc_data VALUES (8079, 0, 0, 0.15752125, 34, 44);
INSERT INTO public.ecdc_data VALUES (8080, 306, 2965, 77.35809585, 87, 44);
INSERT INTO public.ecdc_data VALUES (8081, 3, 206, 90.32319976, 182, 44);
INSERT INTO public.ecdc_data VALUES (8082, 0, 0, 15.11258879, 183, 44);
INSERT INTO public.ecdc_data VALUES (8083, 0, 0, 1.79835705, 126, 44);
INSERT INTO public.ecdc_data VALUES (8084, 0, 0, 216.65686246, 184, 44);
INSERT INTO public.ecdc_data VALUES (8085, 0, 0, 20.03606492, 88, 44);
INSERT INTO public.ecdc_data VALUES (8086, 8, 633, 12.42879218, 35, 44);
INSERT INTO public.ecdc_data VALUES (8087, 0, 53, 1.6860939, 36, 44);
INSERT INTO public.ecdc_data VALUES (8088, 0, 1, 0.03515561, 127, 44);
INSERT INTO public.ecdc_data VALUES (8089, 1, 88, 39.68693025, 37, 44);
INSERT INTO public.ecdc_data VALUES (8090, 0, 130, 6.33373432, 128, 44);
INSERT INTO public.ecdc_data VALUES (8091, 0, 214, 11.13286572, 185, 44);
INSERT INTO public.ecdc_data VALUES (8092, 0, 0, 0.35366056, 207, 44);
INSERT INTO public.ecdc_data VALUES (8093, 0, 0, 0.25088531, 208, 44);
INSERT INTO public.ecdc_data VALUES (8094, 0, 0, 9.05965516, 89, 44);
INSERT INTO public.ecdc_data VALUES (8095, 0, 8, 0.14156577, 38, 44);
INSERT INTO public.ecdc_data VALUES (8096, 2, 555, 3.96788268, 39, 44);
INSERT INTO public.ecdc_data VALUES (8097, 0, 152, 95.08302794, 186, 44);
INSERT INTO public.ecdc_data VALUES (8098, 0, 0, 12.23498156, 209, 44);
INSERT INTO public.ecdc_data VALUES (8099, 0, 0, 2.25216264, 187, 44);
INSERT INTO public.ecdc_data VALUES (8100, 13, 1147, 401.80969135, 129, 44);
INSERT INTO public.ecdc_data VALUES (8101, 20, 1176, 10.46520298, 130, 44);
INSERT INTO public.ecdc_data VALUES (8102, 4, 320, 122.27432247, 131, 44);
INSERT INTO public.ecdc_data VALUES (8103, 19, 1432, 345.30100508, 90, 44);
INSERT INTO public.ecdc_data VALUES (8104, 0, 23, 0.58112248, 210, 44);
INSERT INTO public.ecdc_data VALUES (8105, 1, 116, 21.23600656, 91, 44);
INSERT INTO public.ecdc_data VALUES (8106, 199, 4913, 179.85287321, 92, 44);
INSERT INTO public.ecdc_data VALUES (8107, 35, 2036, 22.37306304, 132, 44);
INSERT INTO public.ecdc_data VALUES (8108, 7, 443, 13.62553819, 188, 44);
INSERT INTO public.ecdc_data VALUES (8109, 1, 209, 35.53698654, 189, 44);
INSERT INTO public.ecdc_data VALUES (8110, 0, 603, 181.42744743, 93, 44);
INSERT INTO public.ecdc_data VALUES (8111, 1, 269, 201.51330952, 133, 44);
INSERT INTO public.ecdc_data VALUES (8112, 22, 1120, 63.16426655, 190, 44);
INSERT INTO public.ecdc_data VALUES (8113, 77, 5765, 58.49158709, 191, 44);
INSERT INTO public.ecdc_data VALUES (8114, 0, 69, 3.83307497, 40, 44);
INSERT INTO public.ecdc_data VALUES (8115, 0, 0, 0, 94, 44);
INSERT INTO public.ecdc_data VALUES (8116, 0, 0, 1.09412183, 95, 44);
INSERT INTO public.ecdc_data VALUES (8117, 0, 0, 15.37167814, 96, 44);
INSERT INTO public.ecdc_data VALUES (8118, 0, 0, 0, 192, 44);
INSERT INTO public.ecdc_data VALUES (8119, 0, 1, 62.31166995, 41, 44);
INSERT INTO public.ecdc_data VALUES (8120, 30, 1968, 101.20656186, 134, 44);
INSERT INTO public.ecdc_data VALUES (8121, 4, 129, 9.48677993, 42, 44);
INSERT INTO public.ecdc_data VALUES (8122, 8, 467, 77.1134691, 193, 44);
INSERT INTO public.ecdc_data VALUES (8123, 0, 0, 14.32356943, 43, 44);
INSERT INTO public.ecdc_data VALUES (8124, 0, 15, 1.89422858, 44, 44);
INSERT INTO public.ecdc_data VALUES (8125, 0, 481, 75.9431343, 135, 44);
INSERT INTO public.ecdc_data VALUES (8126, 0, 0, 37.74564156, 97, 44);
INSERT INTO public.ecdc_data VALUES (8127, 0, 38, 5.10052343, 194, 44);
INSERT INTO public.ecdc_data VALUES (8128, 0, 16, 11.5814827, 195, 44);
INSERT INTO public.ecdc_data VALUES (8129, 0, 0, 0.77058036, 45, 44);
INSERT INTO public.ecdc_data VALUES (8130, 114, 11233, 288.92760778, 46, 44);
INSERT INTO public.ecdc_data VALUES (8131, 1, 25, 1.35870305, 136, 44);
INSERT INTO public.ecdc_data VALUES (8132, 0, 4, 1.1119032, 47, 44);
INSERT INTO public.ecdc_data VALUES (8133, 2, 6361, 48.63747325, 196, 44);
INSERT INTO public.ecdc_data VALUES (8134, 0, 12, 0.77378568, 137, 44);
INSERT INTO public.ecdc_data VALUES (8135, 2, 83, 2.65104925, 48, 44);
INSERT INTO public.ecdc_data VALUES (8136, 0, 58, 120.06268029, 98, 44);
INSERT INTO public.ecdc_data VALUES (8137, 2, 42, 29.34453287, 197, 44);
INSERT INTO public.ecdc_data VALUES (8138, 1, 110, 17.87108871, 198, 44);
INSERT INTO public.ecdc_data VALUES (8139, 2, 23, 1.49969549, 138, 44);
INSERT INTO public.ecdc_data VALUES (8140, 0, 4, 0.04626926, 139, 44);
INSERT INTO public.ecdc_data VALUES (8141, 0, 42, 6.86619913, 140, 44);
INSERT INTO public.ecdc_data VALUES (8142, 0, 4, 0.10771903, 141, 44);
INSERT INTO public.ecdc_data VALUES (8143, 0, 0, 0, 142, 44);
INSERT INTO public.ecdc_data VALUES (8144, 1, 15, 1.83114855, 49, 44);
INSERT INTO public.ecdc_data VALUES (8145, 0, 0, 1.00360653, 99, 44);
INSERT INTO public.ecdc_data VALUES (8146, 0, 9, 1.6161138, 50, 44);
INSERT INTO public.ecdc_data VALUES (8147, 17, 927, 15.98338966, 199, 44);
INSERT INTO public.ecdc_data VALUES (8148, 0, 2, 70.69173169, 100, 44);
INSERT INTO public.ecdc_data VALUES (8149, 1, 12, 0.20329984, 51, 44);
INSERT INTO public.ecdc_data VALUES (8150, 15, 920, 25.74917472, 200, 44);
INSERT INTO public.ecdc_data VALUES (8151, 1, 351, 41.54331097, 143, 44);
INSERT INTO public.ecdc_data VALUES (8152, 8, 421, 13.29239893, 201, 44);
INSERT INTO public.ecdc_data VALUES (8153, 0, 0, 0, 52, 44);
INSERT INTO public.ecdc_data VALUES (8154, 475, 55993, 282.33881888, 101, 44);
INSERT INTO public.ecdc_data VALUES (8155, 0, 9, 172.1186854, 102, 44);
INSERT INTO public.ecdc_data VALUES (8156, 0, 18, 5.92189283, 103, 44);
INSERT INTO public.ecdc_data VALUES (8157, 5, 594, 23.12493453, 144, 44);
INSERT INTO public.ecdc_data VALUES (8158, 8, 1200, 21.03393172, 104, 44);
INSERT INTO public.ecdc_data VALUES (8159, 0, 5, 0.04976047, 145, 44);
INSERT INTO public.ecdc_data VALUES (8160, 0, 0, 42.40649111, 53, 44);
INSERT INTO public.ecdc_data VALUES (8161, 5, 7, 0.74069192, 146, 44);
INSERT INTO public.ecdc_data VALUES (8162, 9, 153, 14.47844509, 54, 44);
INSERT INTO public.ecdc_data VALUES (8163, 0, 78, 10.42643006, 55, 44);
INSERT INTO public.ecdc_data VALUES (8164, 8, 276, 18.15110695, 105, 45);
INSERT INTO public.ecdc_data VALUES (8165, 2, 77, 29.7998866, 147, 45);
INSERT INTO public.ecdc_data VALUES (8166, 7, 240, 4.61523589, 1, 45);
INSERT INTO public.ecdc_data VALUES (8167, 0, 0, 2.62546438, 148, 45);
INSERT INTO public.ecdc_data VALUES (8168, 0, 15, 0.25765665, 2, 45);
INSERT INTO public.ecdc_data VALUES (8169, 0, 0, 0, 56, 45);
INSERT INTO public.ecdc_data VALUES (8170, 0, 0, 40.15857489, 57, 45);
INSERT INTO public.ecdc_data VALUES (8171, 43, 0, 52.90898362, 58, 45);
INSERT INTO public.ecdc_data VALUES (8172, 10, 662, 267.26595549, 149, 45);
INSERT INTO public.ecdc_data VALUES (8173, 0, 0, 0, 59, 45);
INSERT INTO public.ecdc_data VALUES (8174, 0, 37, 1.21016379, 202, 45);
INSERT INTO public.ecdc_data VALUES (8175, 0, 67, 5.68927419, 150, 45);
INSERT INTO public.ecdc_data VALUES (8176, 7, 517, 61.21787443, 151, 45);
INSERT INTO public.ecdc_data VALUES (8177, 0, 0, 0.25674864, 60, 45);
INSERT INTO public.ecdc_data VALUES (8178, 7, 724, 432.13231584, 106, 45);
INSERT INTO public.ecdc_data VALUES (8179, 40, 3868, 30.02278379, 107, 45);
INSERT INTO public.ecdc_data VALUES (8180, 0, 0, 0.34840656, 61, 45);
INSERT INTO public.ecdc_data VALUES (8181, 6, 331, 86.67631712, 152, 45);
INSERT INTO public.ecdc_data VALUES (8182, 2, 113, 10.97287692, 153, 45);
INSERT INTO public.ecdc_data VALUES (8183, 0, 1, 1.02471878, 62, 45);
INSERT INTO public.ecdc_data VALUES (8184, 0, 36, 5.63504356, 3, 45);
INSERT INTO public.ecdc_data VALUES (8185, 0, 0, 6.3991809, 63, 45);
INSERT INTO public.ecdc_data VALUES (8186, 0, 5, 1.70359091, 108, 45);
INSERT INTO public.ecdc_data VALUES (8187, 21, 920, 108.51984113, 64, 45);
INSERT INTO public.ecdc_data VALUES (8188, 0, 0, 0, 65, 45);
INSERT INTO public.ecdc_data VALUES (8189, 3, 140, 31.56621119, 154, 45);
INSERT INTO public.ecdc_data VALUES (8190, 0, 36, 2.82154427, 4, 45);
INSERT INTO public.ecdc_data VALUES (8191, 990, 46860, 211.40251924, 66, 45);
INSERT INTO public.ecdc_data VALUES (8192, 0, 0, 0, 67, 45);
INSERT INTO public.ecdc_data VALUES (8193, 0, 0, 0, 109, 45);
INSERT INTO public.ecdc_data VALUES (8194, 4, 105, 18.88560907, 155, 45);
INSERT INTO public.ecdc_data VALUES (8195, 0, 0, 0.24112532, 5, 45);
INSERT INTO public.ecdc_data VALUES (8196, 0, 0, 0.43362964, 6, 45);
INSERT INTO public.ecdc_data VALUES (8197, 0, 9, 0.07885219, 110, 45);
INSERT INTO public.ecdc_data VALUES (8198, 0, 0, 13.12393419, 7, 45);
INSERT INTO public.ecdc_data VALUES (8199, 4, 172, 12.96676131, 68, 45);
INSERT INTO public.ecdc_data VALUES (8200, 2, 24, 60.00698263, 8, 45);
INSERT INTO public.ecdc_data VALUES (8201, 0, 0, 13.85723964, 69, 45);
INSERT INTO public.ecdc_data VALUES (8202, 0, 96, 27.03796843, 9, 45);
INSERT INTO public.ecdc_data VALUES (8203, 0, 2, 0.10660391, 10, 45);
INSERT INTO public.ecdc_data VALUES (8204, 165, 4296, 540.91288877, 70, 45);
INSERT INTO public.ecdc_data VALUES (8205, 0, 24, 0.03466353, 111, 45);
INSERT INTO public.ecdc_data VALUES (8206, 157, 3843, 74.661136, 71, 45);
INSERT INTO public.ecdc_data VALUES (8207, 0, 0, 9.98952862, 11, 45);
INSERT INTO public.ecdc_data VALUES (8208, 0, 0, 8.53079935, 12, 45);
INSERT INTO public.ecdc_data VALUES (8209, 0, 152, 24.24933547, 72, 45);
INSERT INTO public.ecdc_data VALUES (8210, 2, 170, 14.19319245, 13, 45);
INSERT INTO public.ecdc_data VALUES (8211, 0, 56, 7.11438907, 156, 45);
INSERT INTO public.ecdc_data VALUES (8212, 0, 4, 0.81175391, 73, 45);
INSERT INTO public.ecdc_data VALUES (8213, 0, 0, 1.22381794, 74, 45);
INSERT INTO public.ecdc_data VALUES (8214, 0, 0, 1.37002097, 157, 45);
INSERT INTO public.ecdc_data VALUES (8215, 0, 168, 10.32883247, 158, 45);
INSERT INTO public.ecdc_data VALUES (8216, 7, 141, 2.20761316, 14, 45);
INSERT INTO public.ecdc_data VALUES (8217, 1, 39, 9.92063321, 159, 45);
INSERT INTO public.ecdc_data VALUES (8218, 0, 8, 20.74865673, 15, 45);
INSERT INTO public.ecdc_data VALUES (8219, 0, 0, 0, 75, 45);
INSERT INTO public.ecdc_data VALUES (8220, 14, 623, 72.22302874, 76, 45);
INSERT INTO public.ecdc_data VALUES (8221, 63, 700, 46.49568021, 77, 45);
INSERT INTO public.ecdc_data VALUES (8222, 87, 1625, 21.36807563, 16, 45);
INSERT INTO public.ecdc_data VALUES (8223, 10, 181, 31.54852755, 78, 45);
INSERT INTO public.ecdc_data VALUES (8224, 0, 0, 51.25436768, 17, 45);
INSERT INTO public.ecdc_data VALUES (8225, 0, 23, 3.60296782, 18, 45);
INSERT INTO public.ecdc_data VALUES (8226, 0, 2, 1.20771124, 160, 45);
INSERT INTO public.ecdc_data VALUES (8227, 0, 22, 22.29706837, 19, 45);
INSERT INTO public.ecdc_data VALUES (8228, 8, 250, 2.23949724, 20, 45);
INSERT INTO public.ecdc_data VALUES (8229, 0, 0, 0, 79, 45);
INSERT INTO public.ecdc_data VALUES (8230, 0, 0, 0, 161, 45);
INSERT INTO public.ecdc_data VALUES (8231, 0, 0, 0, 203, 45);
INSERT INTO public.ecdc_data VALUES (8232, 1, 19, 2.13848735, 162, 45);
INSERT INTO public.ecdc_data VALUES (8233, 26, 1588, 9.92197276, 163, 45);
INSERT INTO public.ecdc_data VALUES (8234, 0, 2, 0.71611436, 204, 45);
INSERT INTO public.ecdc_data VALUES (8235, 0, 122, 80.36535397, 21, 45);
INSERT INTO public.ecdc_data VALUES (8236, 0, 1, 0.68151924, 22, 45);
INSERT INTO public.ecdc_data VALUES (8237, 0, 2, 1.9515798, 164, 45);
INSERT INTO public.ecdc_data VALUES (8238, 6, 687, 8.69798657, 165, 45);
INSERT INTO public.ecdc_data VALUES (8239, 8, 361, 15.50405029, 23, 45);
INSERT INTO public.ecdc_data VALUES (8240, 0, 0, 0, 166, 45);
INSERT INTO public.ecdc_data VALUES (8241, 0, 22, 2.19122412, 167, 45);
INSERT INTO public.ecdc_data VALUES (8242, 0, 0, 0, 80, 45);
INSERT INTO public.ecdc_data VALUES (8243, 0, 0, 0, 81, 45);
INSERT INTO public.ecdc_data VALUES (8244, 0, 1, 37.65802923, 205, 45);
INSERT INTO public.ecdc_data VALUES (8245, 49, 209, 38.93871027, 82, 45);
INSERT INTO public.ecdc_data VALUES (8246, 0, 0, 0, 168, 45);
INSERT INTO public.ecdc_data VALUES (8247, 0, 49, 6.53029469, 24, 45);
INSERT INTO public.ecdc_data VALUES (8248, 0, 0, 8.69376449, 25, 45);
INSERT INTO public.ecdc_data VALUES (8249, 0, 15, 9.07029478, 83, 45);
INSERT INTO public.ecdc_data VALUES (8250, 2, 179, 15.81272759, 84, 45);
INSERT INTO public.ecdc_data VALUES (8251, 0, 0, 0, 169, 45);
INSERT INTO public.ecdc_data VALUES (8252, 45, 628, 80.66804055, 85, 45);
INSERT INTO public.ecdc_data VALUES (8253, 1, 4, 0.75720708, 170, 45);
INSERT INTO public.ecdc_data VALUES (8254, 0, 2, 3.36142928, 171, 45);
INSERT INTO public.ecdc_data VALUES (8255, 384, 18552, 14.63388478, 112, 45);
INSERT INTO public.ecdc_data VALUES (8256, 63, 1240, 5.55047336, 113, 45);
INSERT INTO public.ecdc_data VALUES (8257, 0, 2628, 42.42835396, 114, 45);
INSERT INTO public.ecdc_data VALUES (8258, 122, 2054, 59.58566707, 115, 45);
INSERT INTO public.ecdc_data VALUES (8259, 3, 9, 3.34404515, 172, 45);
INSERT INTO public.ecdc_data VALUES (8260, 0, 0, 0, 173, 45);
INSERT INTO public.ecdc_data VALUES (8261, 5, 400, 46.05972763, 116, 45);
INSERT INTO public.ecdc_data VALUES (8262, 30, 255, 6.05703694, 174, 45);
INSERT INTO public.ecdc_data VALUES (8263, 0, 2, 2.44210432, 86, 45);
INSERT INTO public.ecdc_data VALUES (8264, 2, 100, 0.72126584, 117, 45);
INSERT INTO public.ecdc_data VALUES (8265, 0, 0, 5.56606924, 175, 45);
INSERT INTO public.ecdc_data VALUES (8266, 0, 18, 1.87097277, 118, 45);
INSERT INTO public.ecdc_data VALUES (8267, 3, 569, 32.77914778, 119, 45);
INSERT INTO public.ecdc_data VALUES (8268, 5, 149, 4.23783885, 26, 45);
INSERT INTO public.ecdc_data VALUES (8269, 2, 62, 61.71789252, 176, 45);
INSERT INTO public.ecdc_data VALUES (8270, 2, 915, 208.00665165, 120, 45);
INSERT INTO public.ecdc_data VALUES (8271, 3, 309, 35.9422312, 121, 45);
INSERT INTO public.ecdc_data VALUES (8272, 0, 0, 0, 122, 45);
INSERT INTO public.ecdc_data VALUES (8273, 0, 1, 0.83334722, 177, 45);
INSERT INTO public.ecdc_data VALUES (8274, 0, 35, 4.01125544, 123, 45);
INSERT INTO public.ecdc_data VALUES (8275, 0, 4, 0.94105823, 27, 45);
INSERT INTO public.ecdc_data VALUES (8276, 0, 3, 5.32671821, 28, 45);
INSERT INTO public.ecdc_data VALUES (8277, 0, 0, 4.26413876, 29, 45);
INSERT INTO public.ecdc_data VALUES (8278, 0, 0, 0, 178, 45);
INSERT INTO public.ecdc_data VALUES (8279, 0, 2, 1.86100844, 179, 45);
INSERT INTO public.ecdc_data VALUES (8280, 0, 22, 19.22155942, 180, 45);
INSERT INTO public.ecdc_data VALUES (8281, 0, 93, 2.56587989, 30, 45);
INSERT INTO public.ecdc_data VALUES (8282, 1, 45, 2.81285662, 31, 45);
INSERT INTO public.ecdc_data VALUES (8283, 0, 6, 0.63850187, 124, 45);
INSERT INTO public.ecdc_data VALUES (8284, 0, 6, 52.73496724, 125, 45);
INSERT INTO public.ecdc_data VALUES (8285, 0, 32, 1.4599637, 32, 45);
INSERT INTO public.ecdc_data VALUES (8286, 0, 0, 4.86264054, 181, 45);
INSERT INTO public.ecdc_data VALUES (8287, 0, 0, 50.82088995, 33, 45);
INSERT INTO public.ecdc_data VALUES (8288, 0, 0, 0.31504249, 34, 45);
INSERT INTO public.ecdc_data VALUES (8289, 719, 6469, 58.82162558, 87, 45);
INSERT INTO public.ecdc_data VALUES (8290, 13, 323, 115.82243824, 182, 45);
INSERT INTO public.ecdc_data VALUES (8291, 0, 0, 6.04503551, 183, 45);
INSERT INTO public.ecdc_data VALUES (8292, 0, 0, 0.68213543, 126, 45);
INSERT INTO public.ecdc_data VALUES (8293, 0, 25, 18.48333767, 184, 45);
INSERT INTO public.ecdc_data VALUES (8294, 0, 0, 0, 88, 45);
INSERT INTO public.ecdc_data VALUES (8295, 1, 295, 8.2886033, 35, 45);
INSERT INTO public.ecdc_data VALUES (8296, 0, 28, 1.01099771, 36, 45);
INSERT INTO public.ecdc_data VALUES (8297, 0, 0, 0.05920946, 127, 45);
INSERT INTO public.ecdc_data VALUES (8298, 0, 40, 3.60790275, 37, 45);
INSERT INTO public.ecdc_data VALUES (8299, 1, 593, 23.39496898, 128, 45);
INSERT INTO public.ecdc_data VALUES (8300, 3, 91, 8.93406688, 185, 45);
INSERT INTO public.ecdc_data VALUES (8301, 0, 0, 0, 207, 45);
INSERT INTO public.ecdc_data VALUES (8302, 0, 2, 0.37632797, 208, 45);
INSERT INTO public.ecdc_data VALUES (8303, 0, 0, 7.86799731, 89, 45);
INSERT INTO public.ecdc_data VALUES (8304, 0, 3, 0.36034925, 38, 45);
INSERT INTO public.ecdc_data VALUES (8305, 5, 684, 4.03903985, 39, 45);
INSERT INTO public.ecdc_data VALUES (8306, 3, 163, 99.17520889, 186, 45);
INSERT INTO public.ecdc_data VALUES (8307, 0, 0, 0, 209, 45);
INSERT INTO public.ecdc_data VALUES (8308, 0, 22, 3.9225166, 187, 45);
INSERT INTO public.ecdc_data VALUES (8309, 9, 1132, 300.76430274, 129, 45);
INSERT INTO public.ecdc_data VALUES (8310, 73, 3138, 30.69651268, 130, 45);
INSERT INTO public.ecdc_data VALUES (8311, 0, 207, 22.60398738, 131, 45);
INSERT INTO public.ecdc_data VALUES (8312, 11, 868, 251.83447782, 90, 45);
INSERT INTO public.ecdc_data VALUES (8313, 0, 0, 0.03418368, 210, 45);
INSERT INTO public.ecdc_data VALUES (8314, 0, 142, 6.48720254, 91, 45);
INSERT INTO public.ecdc_data VALUES (8315, 178, 3762, 158.76427717, 92, 45);
INSERT INTO public.ecdc_data VALUES (8316, 12, 1004, 8.5888736, 132, 45);
INSERT INTO public.ecdc_data VALUES (8317, 17, 276, 12.68802532, 188, 45);
INSERT INTO public.ecdc_data VALUES (8318, 6, 451, 45.59866345, 189, 45);
INSERT INTO public.ecdc_data VALUES (8319, 0, 45, 47.24886173, 93, 45);
INSERT INTO public.ecdc_data VALUES (8320, 3, 946, 571.87831802, 133, 45);
INSERT INTO public.ecdc_data VALUES (8321, 14, 411, 22.11238655, 190, 45);
INSERT INTO public.ecdc_data VALUES (8322, 176, 6800, 74.97724379, 191, 45);
INSERT INTO public.ecdc_data VALUES (8323, 0, 8, 2.75601258, 40, 45);
INSERT INTO public.ecdc_data VALUES (8324, 0, 0, 0, 94, 45);
INSERT INTO public.ecdc_data VALUES (8325, 0, 0, 0, 95, 45);
INSERT INTO public.ecdc_data VALUES (8326, 0, 0, 1.80843272, 96, 45);
INSERT INTO public.ecdc_data VALUES (8327, 0, 0, 11.61001945, 192, 45);
INSERT INTO public.ecdc_data VALUES (8328, 0, 1, 28.83077266, 41, 45);
INSERT INTO public.ecdc_data VALUES (8329, 46, 3938, 159.43199663, 134, 45);
INSERT INTO public.ecdc_data VALUES (8330, 4, 121, 9.22291736, 42, 45);
INSERT INTO public.ecdc_data VALUES (8331, 1, 193, 19.96046965, 193, 45);
INSERT INTO public.ecdc_data VALUES (8332, 0, 0, 0, 43, 45);
INSERT INTO public.ecdc_data VALUES (8333, 3, 13, 3.72446295, 44, 45);
INSERT INTO public.ecdc_data VALUES (8334, 0, 219, 53.4944265, 135, 45);
INSERT INTO public.ecdc_data VALUES (8335, 0, 0, 0, 97, 45);
INSERT INTO public.ecdc_data VALUES (8336, 0, 13, 1.85306786, 194, 45);
INSERT INTO public.ecdc_data VALUES (8337, 0, 11, 3.26780425, 195, 45);
INSERT INTO public.ecdc_data VALUES (8338, 0, 0, 2.36354479, 45, 45);
INSERT INTO public.ecdc_data VALUES (8339, 48, 6215, 107.00965587, 46, 45);
INSERT INTO public.ecdc_data VALUES (8340, 0, 51, 1.17520005, 136, 45);
INSERT INTO public.ecdc_data VALUES (8341, 0, 10, 2.54924149, 47, 45);
INSERT INTO public.ecdc_data VALUES (8342, 3, 564, 10.36281352, 196, 45);
INSERT INTO public.ecdc_data VALUES (8343, 0, 4, 0.62840776, 137, 45);
INSERT INTO public.ecdc_data VALUES (8344, 16, 273, 5.55435694, 48, 45);
INSERT INTO public.ecdc_data VALUES (8345, 0, 18, 35.0899524, 98, 45);
INSERT INTO public.ecdc_data VALUES (8346, 11, 1204, 146.01886476, 197, 45);
INSERT INTO public.ecdc_data VALUES (8347, 0, 58, 4.95053734, 198, 45);
INSERT INTO public.ecdc_data VALUES (8348, 1, 13, 0.53309488, 138, 45);
INSERT INTO public.ecdc_data VALUES (8349, 0, 0, 0.01682519, 139, 45);
INSERT INTO public.ecdc_data VALUES (8350, 0, 56, 9.06552854, 140, 45);
INSERT INTO public.ecdc_data VALUES (8351, 0, 4, 0.04739637, 141, 45);
INSERT INTO public.ecdc_data VALUES (8352, 0, 0, 0, 142, 45);
INSERT INTO public.ecdc_data VALUES (8353, 0, 3, 0.81659327, 49, 45);
INSERT INTO public.ecdc_data VALUES (8354, 0, 1, 0.50180327, 99, 45);
INSERT INTO public.ecdc_data VALUES (8355, 0, 2, 0.60711153, 50, 45);
INSERT INTO public.ecdc_data VALUES (8356, 19, 1396, 23.52693498, 199, 45);
INSERT INTO public.ecdc_data VALUES (8357, 0, 0, 7.85463685, 100, 45);
INSERT INTO public.ecdc_data VALUES (8358, 0, 12, 0.33431529, 51, 45);
INSERT INTO public.ecdc_data VALUES (8359, 19, 1109, 25.83100472, 200, 45);
INSERT INTO public.ecdc_data VALUES (8360, 2, 410, 56.02564284, 143, 45);
INSERT INTO public.ecdc_data VALUES (8361, 77, 721, 18.81851985, 201, 45);
INSERT INTO public.ecdc_data VALUES (8362, 0, 0, 0, 52, 45);
INSERT INTO public.ecdc_data VALUES (8363, 623, 45527, 127.28521892, 101, 45);
INSERT INTO public.ecdc_data VALUES (8364, 0, 0, 8.60593427, 102, 45);
INSERT INTO public.ecdc_data VALUES (8365, 0, 12, 2.07988431, 103, 45);
INSERT INTO public.ecdc_data VALUES (8366, 0, 262, 7.84980405, 144, 45);
INSERT INTO public.ecdc_data VALUES (8367, 2, 216, 6.89090961, 104, 45);
INSERT INTO public.ecdc_data VALUES (8368, 0, 1, 0.02073353, 145, 45);
INSERT INTO public.ecdc_data VALUES (8369, 0, 0, 0.3433724, 53, 45);
INSERT INTO public.ecdc_data VALUES (8370, 5, 13, 1.56711207, 146, 45);
INSERT INTO public.ecdc_data VALUES (8371, 3, 34, 1.1757438, 54, 45);
INSERT INTO public.ecdc_data VALUES (8372, 0, 10, 1.48851457, 55, 45);
INSERT INTO public.ecdc_data VALUES (8373, 1, 658, 18.04333065, 105, 46);
INSERT INTO public.ecdc_data VALUES (8374, 1, 25, 5.34511448, 147, 46);
INSERT INTO public.ecdc_data VALUES (8375, 8, 194, 6.10874202, 1, 46);
INSERT INTO public.ecdc_data VALUES (8376, 0, 0, 6.56366095, 148, 46);
INSERT INTO public.ecdc_data VALUES (8377, 0, 2, 0.08169601, 2, 46);
INSERT INTO public.ecdc_data VALUES (8378, 0, 0, 0, 56, 46);
INSERT INTO public.ecdc_data VALUES (8379, 0, 0, 0, 57, 46);
INSERT INTO public.ecdc_data VALUES (8380, 17, 600, 14.88365238, 58, 46);
INSERT INTO public.ecdc_data VALUES (8381, 7, 372, 137.13228532, 149, 46);
INSERT INTO public.ecdc_data VALUES (8382, 0, 0, 0, 59, 46);
INSERT INTO public.ecdc_data VALUES (8383, 0, 15, 0.67054977, 202, 46);
INSERT INTO public.ecdc_data VALUES (8384, 2, 38, 6.62619832, 150, 46);
INSERT INTO public.ecdc_data VALUES (8385, 1, 132, 17.01878805, 151, 46);
INSERT INTO public.ecdc_data VALUES (8386, 0, 0, 1.79724047, 60, 46);
INSERT INTO public.ecdc_data VALUES (8387, 0, 195, 233.67561073, 106, 46);
INSERT INTO public.ecdc_data VALUES (8388, 21, 1166, 12.32227634, 107, 46);
INSERT INTO public.ecdc_data VALUES (8389, 0, 0, 2.43884594, 61, 46);
INSERT INTO public.ecdc_data VALUES (8390, 4, 915, 139.4988304, 152, 46);
INSERT INTO public.ecdc_data VALUES (8391, 24, 202, 29.85460545, 153, 46);
INSERT INTO public.ecdc_data VALUES (8392, 0, 0, 0, 62, 46);
INSERT INTO public.ecdc_data VALUES (8393, 0, 17, -1.00837622, 3, 46);
INSERT INTO public.ecdc_data VALUES (8394, 0, 6, 28.79631407, 63, 46);
INSERT INTO public.ecdc_data VALUES (8395, 0, 0, 2.09672727, 108, 46);
INSERT INTO public.ecdc_data VALUES (8396, 13, 476, 36.23697593, 64, 46);
INSERT INTO public.ecdc_data VALUES (8397, 0, 0, 3.84867028, 65, 46);
INSERT INTO public.ecdc_data VALUES (8398, 4, 10, 7.78552426, 154, 46);
INSERT INTO public.ecdc_data VALUES (8399, 0, 0, 0.47749211, 4, 46);
INSERT INTO public.ecdc_data VALUES (8400, 1039, 16324, 101.22411129, 66, 46);
INSERT INTO public.ecdc_data VALUES (8401, 0, 0, 3.3296707, 67, 46);
INSERT INTO public.ecdc_data VALUES (8402, 0, 0, 0, 109, 46);
INSERT INTO public.ecdc_data VALUES (8403, 3, 27, 6.24282236, 155, 46);
INSERT INTO public.ecdc_data VALUES (8404, 1, 4, 0.38875307, 5, 46);
INSERT INTO public.ecdc_data VALUES (8405, 0, 0, 0.13008889, 6, 46);
INSERT INTO public.ecdc_data VALUES (8406, 0, 0, 0.01213111, 110, 46);
INSERT INTO public.ecdc_data VALUES (8407, 4, 312, 10.3066939, 7, 46);
INSERT INTO public.ecdc_data VALUES (8408, 94, 936, 41.37548923, 68, 46);
INSERT INTO public.ecdc_data VALUES (8409, 1, 0, 21.82072096, 8, 46);
INSERT INTO public.ecdc_data VALUES (8410, 0, 3, 80.06405124, 69, 46);
INSERT INTO public.ecdc_data VALUES (8411, 0, 19, 10.36841814, 9, 46);
INSERT INTO public.ecdc_data VALUES (8412, 1, 13, 2.15089069, 10, 46);
INSERT INTO public.ecdc_data VALUES (8413, 45, 3964, 243.98435313, 70, 46);
INSERT INTO public.ecdc_data VALUES (8414, 0, 1, 0.00592837, 111, 46);
INSERT INTO public.ecdc_data VALUES (8415, 26, 1022, 21.31727997, 71, 46);
INSERT INTO public.ecdc_data VALUES (8416, 0, 0, 8.93181383, 11, 46);
INSERT INTO public.ecdc_data VALUES (8417, 2, 38, 4.3862062, 12, 46);
INSERT INTO public.ecdc_data VALUES (8418, 0, 5, 3.01135539, 72, 46);
INSERT INTO public.ecdc_data VALUES (8419, 0, 54, 2.41089844, 13, 46);
INSERT INTO public.ecdc_data VALUES (8420, 1, 0, 0.90769792, 156, 46);
INSERT INTO public.ecdc_data VALUES (8421, 0, 16, 1.40292253, 73, 46);
INSERT INTO public.ecdc_data VALUES (8422, 0, 0, 1.22381794, 74, 46);
INSERT INTO public.ecdc_data VALUES (8423, 0, 2, 4.11006292, 157, 46);
INSERT INTO public.ecdc_data VALUES (8424, 0, 46, 7.78418374, 158, 46);
INSERT INTO public.ecdc_data VALUES (8425, 0, 248, 1.58542573, 14, 46);
INSERT INTO public.ecdc_data VALUES (8426, 0, 41, 14.41592014, 159, 46);
INSERT INTO public.ecdc_data VALUES (8427, 0, 0, 124.49194038, 15, 46);
INSERT INTO public.ecdc_data VALUES (8428, 0, 0, 0, 75, 46);
INSERT INTO public.ecdc_data VALUES (8429, 8, 191, 40.63709353, 76, 46);
INSERT INTO public.ecdc_data VALUES (8430, 0, 0, 39.92251027, 77, 46);
INSERT INTO public.ecdc_data VALUES (8431, 14, 789, 8.62951094, 16, 46);
INSERT INTO public.ecdc_data VALUES (8432, 0, 59, 15.57282426, 78, 46);
INSERT INTO public.ecdc_data VALUES (8433, 0, 0, 44.54336414, 17, 46);
INSERT INTO public.ecdc_data VALUES (8434, 0, 0, 0, 18, 46);
INSERT INTO public.ecdc_data VALUES (8435, 0, 10, 6.6424118, 160, 46);
INSERT INTO public.ecdc_data VALUES (8436, 0, 5, 6.7065401, 19, 46);
INSERT INTO public.ecdc_data VALUES (8437, 1, 46, 0.39258119, 20, 46);
INSERT INTO public.ecdc_data VALUES (8438, 0, 0, 0, 79, 46);
INSERT INTO public.ecdc_data VALUES (8439, 0, 0, 0, 161, 46);
INSERT INTO public.ecdc_data VALUES (8440, 0, 0, 0, 203, 46);
INSERT INTO public.ecdc_data VALUES (8441, 4, 29, 11.32673386, 162, 46);
INSERT INTO public.ecdc_data VALUES (8442, 98, 276, 7.95071001, 163, 46);
INSERT INTO public.ecdc_data VALUES (8443, 0, 0, 0, 204, 46);
INSERT INTO public.ecdc_data VALUES (8444, 0, 103, 63.28886696, 21, 46);
INSERT INTO public.ecdc_data VALUES (8445, 0, 0, 0.08518991, 22, 46);
INSERT INTO public.ecdc_data VALUES (8446, 0, 1, 2.25182285, 164, 46);
INSERT INTO public.ecdc_data VALUES (8447, 47, 362, 9.70618693, 165, 46);
INSERT INTO public.ecdc_data VALUES (8448, 2, 309, 6.54220951, 23, 46);
INSERT INTO public.ecdc_data VALUES (8449, 0, 0, 23.73464665, 166, 46);
INSERT INTO public.ecdc_data VALUES (8450, 1, 10, 1.38000498, 167, 46);
INSERT INTO public.ecdc_data VALUES (8451, 0, 0, 1.76491352, 80, 46);
INSERT INTO public.ecdc_data VALUES (8452, 0, 0, 1.7856824, 81, 46);
INSERT INTO public.ecdc_data VALUES (8453, 0, 3, 10.16169043, 205, 46);
INSERT INTO public.ecdc_data VALUES (8454, 4, 194, 15.66990166, 82, 46);
INSERT INTO public.ecdc_data VALUES (8455, 0, 0, 0, 168, 46);
INSERT INTO public.ecdc_data VALUES (8456, 0, 83, 8.96545255, 24, 46);
INSERT INTO public.ecdc_data VALUES (8457, 0, 0, 18.37663991, 25, 46);
INSERT INTO public.ecdc_data VALUES (8458, 0, 2, 3.3215164, 83, 46);
INSERT INTO public.ecdc_data VALUES (8459, 2, 111, 8.47903136, 84, 46);
INSERT INTO public.ecdc_data VALUES (8460, 0, 0, 0, 169, 46);
INSERT INTO public.ecdc_data VALUES (8461, 6, 212, 23.81461741, 85, 46);
INSERT INTO public.ecdc_data VALUES (8462, 6, 22, 4.62510268, 170, 46);
INSERT INTO public.ecdc_data VALUES (8463, 0, 0, 0.84035732, 171, 46);
INSERT INTO public.ecdc_data VALUES (8464, 170, 6387, 5.67074013, 112, 46);
INSERT INTO public.ecdc_data VALUES (8465, 27, 415, 3.10983182, 113, 46);
INSERT INTO public.ecdc_data VALUES (8466, 57, 1787, 34.66729032, 114, 46);
INSERT INTO public.ecdc_data VALUES (8467, 6, 216, 4.92243802, 115, 46);
INSERT INTO public.ecdc_data VALUES (8468, 9, 37, 30.4430452, 172, 46);
INSERT INTO public.ecdc_data VALUES (8469, 0, 0, 5.91093405, 173, 46);
INSERT INTO public.ecdc_data VALUES (8470, 0, 23, 2.67625329, 116, 46);
INSERT INTO public.ecdc_data VALUES (8471, 78, 397, 15.47228337, 174, 46);
INSERT INTO public.ecdc_data VALUES (8472, 0, 8, 1.93333259, 86, 46);
INSERT INTO public.ecdc_data VALUES (8473, 12, 28, 0.49424446, 117, 46);
INSERT INTO public.ecdc_data VALUES (8474, 0, 0, 11.13213848, 175, 46);
INSERT INTO public.ecdc_data VALUES (8475, 0, 7, 1.40570441, 118, 46);
INSERT INTO public.ecdc_data VALUES (8476, 2, 335, 20.95256495, 119, 46);
INSERT INTO public.ecdc_data VALUES (8477, 0, 62, 1.20401795, 26, 46);
INSERT INTO public.ecdc_data VALUES (8478, 0, 9, 7.11701824, 176, 46);
INSERT INTO public.ecdc_data VALUES (8479, 7, 608, 292.31696972, 120, 46);
INSERT INTO public.ecdc_data VALUES (8480, 0, 52, 7.41912491, 121, 46);
INSERT INTO public.ecdc_data VALUES (8481, 0, 0, 0, 122, 46);
INSERT INTO public.ecdc_data VALUES (8482, 0, 4, 5.36467274, 177, 46);
INSERT INTO public.ecdc_data VALUES (8483, 0, 21, 3.93832352, 123, 46);
INSERT INTO public.ecdc_data VALUES (8484, 0, 0, 0, 27, 46);
INSERT INTO public.ecdc_data VALUES (8485, 0, 1, 1.0936988, 28, 46);
INSERT INTO public.ecdc_data VALUES (8486, 0, 2, 0.19181247, 29, 46);
INSERT INTO public.ecdc_data VALUES (8487, 0, 0, 0, 178, 46);
INSERT INTO public.ecdc_data VALUES (8488, 2, 4, 5.29671632, 179, 46);
INSERT INTO public.ecdc_data VALUES (8489, 0, 2, 16.45235171, 180, 46);
INSERT INTO public.ecdc_data VALUES (8490, 0, 44, 1.46092005, 30, 46);
INSERT INTO public.ecdc_data VALUES (8491, 0, 0, 0.23082602, 31, 46);
INSERT INTO public.ecdc_data VALUES (8492, 0, 187, 2.69798339, 124, 46);
INSERT INTO public.ecdc_data VALUES (8493, 1, 43, 100.57311609, 125, 46);
INSERT INTO public.ecdc_data VALUES (8494, 3, 18, 1.76518259, 32, 46);
INSERT INTO public.ecdc_data VALUES (8495, 0, 1, 21.07144232, 181, 46);
INSERT INTO public.ecdc_data VALUES (8496, 3, 25, 5.61239393, 33, 46);
INSERT INTO public.ecdc_data VALUES (8497, 0, 0, 0.15752125, 34, 46);
INSERT INTO public.ecdc_data VALUES (8498, 501, 4314, 35.87835407, 87, 46);
INSERT INTO public.ecdc_data VALUES (8499, 6, 158, 53.19967215, 182, 46);
INSERT INTO public.ecdc_data VALUES (8500, 0, 0, 3.02251776, 183, 46);
INSERT INTO public.ecdc_data VALUES (8501, 0, 7, 3.28665253, 126, 46);
INSERT INTO public.ecdc_data VALUES (8502, 0, 0, 0, 184, 46);
INSERT INTO public.ecdc_data VALUES (8503, 0, 0, 0, 88, 46);
INSERT INTO public.ecdc_data VALUES (8504, 2, 45, 3.1778006, 35, 46);
INSERT INTO public.ecdc_data VALUES (8505, 0, 4, 0.35895359, 36, 46);
INSERT INTO public.ecdc_data VALUES (8506, 0, 3, 0.04810768, 127, 46);
INSERT INTO public.ecdc_data VALUES (8507, 0, 0, 0.20043904, 37, 46);
INSERT INTO public.ecdc_data VALUES (8508, 0, 90, 1.93996829, 128, 46);
INSERT INTO public.ecdc_data VALUES (8509, 26, 133, 15.00969526, 185, 46);
INSERT INTO public.ecdc_data VALUES (8510, 0, 0, 0, 207, 46);
INSERT INTO public.ecdc_data VALUES (8511, 0, 0, 0.14634977, 208, 46);
INSERT INTO public.ecdc_data VALUES (8512, 18, 480, 11.21380588, 89, 46);
INSERT INTO public.ecdc_data VALUES (8513, 1, 1, 0.42040745, 38, 46);
INSERT INTO public.ecdc_data VALUES (8514, 16, 276, 1.76997225, 39, 46);
INSERT INTO public.ecdc_data VALUES (8515, 3, 16, 16.4168671, 186, 46);
INSERT INTO public.ecdc_data VALUES (8516, 0, 0, 5.24356353, 209, 46);
INSERT INTO public.ecdc_data VALUES (8517, 0, 12, 4.29787704, 187, 46);
INSERT INTO public.ecdc_data VALUES (8518, 0, 348, 88.38205167, 129, 46);
INSERT INTO public.ecdc_data VALUES (8519, 28, 1446, 11.45843681, 130, 46);
INSERT INTO public.ecdc_data VALUES (8520, 0, 3, 1.16432617, 131, 46);
INSERT INTO public.ecdc_data VALUES (8521, 3, 264, 62.73490265, 90, 46);
INSERT INTO public.ecdc_data VALUES (8522, 0, 0, 0, 210, 46);
INSERT INTO public.ecdc_data VALUES (8523, 0, 12, 1.98732682, 91, 46);
INSERT INTO public.ecdc_data VALUES (8524, 159, 5772, 177.45672147, 92, 46);
INSERT INTO public.ecdc_data VALUES (8525, 13, 350, 3.06983324, 132, 46);
INSERT INTO public.ecdc_data VALUES (8526, 17, 443, 13.57023546, 188, 46);
INSERT INTO public.ecdc_data VALUES (8527, 12, 219, 30.10718411, 189, 46);
INSERT INTO public.ecdc_data VALUES (8528, 0, 64, 34.94234003, 93, 46);
INSERT INTO public.ecdc_data VALUES (8529, 2, 1742, 778.86465417, 133, 46);
INSERT INTO public.ecdc_data VALUES (8530, 13, 146, 13.65477213, 190, 46);
INSERT INTO public.ecdc_data VALUES (8531, 174, 8915, 89.18693657, 191, 46);
INSERT INTO public.ecdc_data VALUES (8532, 0, 3, 0.41973755, 40, 46);
INSERT INTO public.ecdc_data VALUES (8533, 0, 0, 0, 94, 46);
INSERT INTO public.ecdc_data VALUES (8534, 0, 0, 0, 95, 46);
INSERT INTO public.ecdc_data VALUES (8535, 0, 0, 0.90421636, 96, 46);
INSERT INTO public.ecdc_data VALUES (8536, 0, 0, 81.27013613, 192, 46);
INSERT INTO public.ecdc_data VALUES (8537, 1, 142, 102.76775418, 41, 46);
INSERT INTO public.ecdc_data VALUES (8538, 12, 1931, 98.63568991, 134, 46);
INSERT INTO public.ecdc_data VALUES (8539, 1, 31, 7.15497115, 42, 46);
INSERT INTO public.ecdc_data VALUES (8540, 0, 34, 14.13028931, 193, 46);
INSERT INTO public.ecdc_data VALUES (8541, 0, 0, 0, 43, 46);
INSERT INTO public.ecdc_data VALUES (8542, 2, 19, 5.32431817, 44, 46);
INSERT INTO public.ecdc_data VALUES (8543, 0, 383, 132.17688893, 135, 46);
INSERT INTO public.ecdc_data VALUES (8544, 0, 0, 0, 97, 46);
INSERT INTO public.ecdc_data VALUES (8545, 0, 2, 0.88066592, 194, 46);
INSERT INTO public.ecdc_data VALUES (8546, 0, 0, 0.28833567, 195, 46);
INSERT INTO public.ecdc_data VALUES (8547, 1, 22, 3.50322666, 45, 46);
INSERT INTO public.ecdc_data VALUES (8548, 43, 649, 22.05324826, 46, 46);
INSERT INTO public.ecdc_data VALUES (8549, 0, 40, 0.59150435, 136, 46);
INSERT INTO public.ecdc_data VALUES (8550, 0, 151, 5.53239643, 47, 46);
INSERT INTO public.ecdc_data VALUES (8551, 1, 510, 17.21028117, 196, 46);
INSERT INTO public.ecdc_data VALUES (8552, 0, 137, 2.01653238, 137, 46);
INSERT INTO public.ecdc_data VALUES (8553, 5, 150, 5.40720619, 48, 46);
INSERT INTO public.ecdc_data VALUES (8554, 0, 0, 0.17200957, 98, 46);
INSERT INTO public.ecdc_data VALUES (8555, 28, 746, 73.93805684, 197, 46);
INSERT INTO public.ecdc_data VALUES (8556, 6, 15, 4.45899463, 198, 46);
INSERT INTO public.ecdc_data VALUES (8557, 0, 15, 0.43350573, 138, 46);
INSERT INTO public.ecdc_data VALUES (8558, 0, 0, 0.0042063, 139, 46);
INSERT INTO public.ecdc_data VALUES (8559, 0, 0, 25.43712208, 140, 46);
INSERT INTO public.ecdc_data VALUES (8560, 0, 3, 0.0402151, 141, 46);
INSERT INTO public.ecdc_data VALUES (8561, 0, 0, 0, 142, 46);
INSERT INTO public.ecdc_data VALUES (8562, 0, 5, 2.37554407, 49, 46);
INSERT INTO public.ecdc_data VALUES (8563, 0, 0, 0, 99, 46);
INSERT INTO public.ecdc_data VALUES (8564, 0, 0, 0.16246647, 50, 46);
INSERT INTO public.ecdc_data VALUES (8565, 28, 948, 21.08070933, 199, 46);
INSERT INTO public.ecdc_data VALUES (8566, 0, 0, 0, 100, 46);
INSERT INTO public.ecdc_data VALUES (8567, 0, 31, 0.28687866, 51, 46);
INSERT INTO public.ecdc_data VALUES (8568, 21, 339, 12.64046262, 200, 46);
INSERT INTO public.ecdc_data VALUES (8569, 5, 779, 116.93331557, 143, 46);
INSERT INTO public.ecdc_data VALUES (8570, 131, 1624, 49.94965123, 201, 46);
INSERT INTO public.ecdc_data VALUES (8571, 0, 0, 0, 52, 46);
INSERT INTO public.ecdc_data VALUES (8572, 696, 18910, 94.58559206, 101, 46);
INSERT INTO public.ecdc_data VALUES (8573, 0, 0, 0, 102, 46);
INSERT INTO public.ecdc_data VALUES (8574, 0, 2, 2.07988431, 103, 46);
INSERT INTO public.ecdc_data VALUES (8575, 1, 72, 2.38313866, 144, 46);
INSERT INTO public.ecdc_data VALUES (8576, 1, 34, 2.76337749, 104, 46);
INSERT INTO public.ecdc_data VALUES (8577, 0, 1, 0.04043038, 145, 46);
INSERT INTO public.ecdc_data VALUES (8578, 0, 0, 0, 53, 46);
INSERT INTO public.ecdc_data VALUES (8579, 4, 12, 0.62410153, 146, 46);
INSERT INTO public.ecdc_data VALUES (8580, 0, 0, 2.68181562, 54, 46);
INSERT INTO public.ecdc_data VALUES (8581, 0, 0, 0.12973292, 55, 46);
INSERT INTO public.ecdc_data VALUES (8582, 10, 68, 2.42890989, 105, 47);
INSERT INTO public.ecdc_data VALUES (8583, 1, 14, 9.78190885, 147, 47);
INSERT INTO public.ecdc_data VALUES (8584, 6, 126, 3.4097465, 1, 47);
INSERT INTO public.ecdc_data VALUES (8585, 0, 7, 133.89868333, 148, 47);
INSERT INTO public.ecdc_data VALUES (8586, 0, 1, 0.02199508, 2, 47);
INSERT INTO public.ecdc_data VALUES (8587, 0, 0, 0, 56, 47);
INSERT INTO public.ecdc_data VALUES (8588, 0, 0, 3.08912115, 57, 47);
INSERT INTO public.ecdc_data VALUES (8589, 1, 0, 3.49257799, 58, 47);
INSERT INTO public.ecdc_data VALUES (8590, 1, 62, 25.99968625, 149, 47);
INSERT INTO public.ecdc_data VALUES (8591, 0, 0, 7.52516226, 59, 47);
INSERT INTO public.ecdc_data VALUES (8592, 2, 10, 1.5513903, 202, 47);
INSERT INTO public.ecdc_data VALUES (8593, 6, 55, 14.13287955, 150, 47);
INSERT INTO public.ecdc_data VALUES (8594, 0, 28, 5.44402167, 151, 47);
INSERT INTO public.ecdc_data VALUES (8595, 0, 2, 8.47270505, 60, 47);
INSERT INTO public.ecdc_data VALUES (8596, 0, 58, 92.06879995, 106, 47);
INSERT INTO public.ecdc_data VALUES (8597, 5, 418, 2.94088473, 107, 47);
INSERT INTO public.ecdc_data VALUES (8598, 0, 0, 2.7872525, 61, 47);
INSERT INTO public.ecdc_data VALUES (8599, 5, 873, 83.4178885, 152, 47);
INSERT INTO public.ecdc_data VALUES (8600, 154, 205, 122.15072927, 153, 47);
INSERT INTO public.ecdc_data VALUES (8601, 0, 0, 1.02471878, 62, 47);
INSERT INTO public.ecdc_data VALUES (8602, 0, 6, 0.24573874, 3, 47);
INSERT INTO public.ecdc_data VALUES (8603, 0, 10, 83.18935176, 63, 47);
INSERT INTO public.ecdc_data VALUES (8604, 0, 0, 0.26209091, 108, 47);
INSERT INTO public.ecdc_data VALUES (8605, 4, 84, 5.385169, 64, 47);
INSERT INTO public.ecdc_data VALUES (8606, 0, 0, 11.54601085, 65, 47);
INSERT INTO public.ecdc_data VALUES (8607, 2, 31, 15.41957917, 154, 47);
INSERT INTO public.ecdc_data VALUES (8608, 0, 0, 0.39067536, 4, 47);
INSERT INTO public.ecdc_data VALUES (8609, 189, 3379, 18.81975386, 66, 47);
INSERT INTO public.ecdc_data VALUES (8610, 0, 0, 9.98901209, 67, 47);
INSERT INTO public.ecdc_data VALUES (8611, 0, 0, 0.46157823, 109, 47);
INSERT INTO public.ecdc_data VALUES (8612, 1, 53, 8.92852168, 155, 47);
INSERT INTO public.ecdc_data VALUES (8613, 1, 3, 0.66432486, 5, 47);
INSERT INTO public.ecdc_data VALUES (8614, 0, 0, 0.08672593, 6, 47);
INSERT INTO public.ecdc_data VALUES (8615, 0, 0, 0, 110, 47);
INSERT INTO public.ecdc_data VALUES (8616, 3, 103, 3.09548624, 7, 47);
INSERT INTO public.ecdc_data VALUES (8617, 95, 1543, 60.19346483, 68, 47);
INSERT INTO public.ecdc_data VALUES (8618, 0, 16, 17.45657677, 8, 47);
INSERT INTO public.ecdc_data VALUES (8619, 0, 0, 26.17478598, 69, 47);
INSERT INTO public.ecdc_data VALUES (8620, 0, 0, 0.16859216, 9, 47);
INSERT INTO public.ecdc_data VALUES (8621, 0, 6, 0.19439537, 10, 47);
INSERT INTO public.ecdc_data VALUES (8622, 8, 473, 32.28149378, 70, 47);
INSERT INTO public.ecdc_data VALUES (8623, 1, 3, 0.04903111, 111, 47);
INSERT INTO public.ecdc_data VALUES (8624, 10, 237, 5.17089551, 71, 47);
INSERT INTO public.ecdc_data VALUES (8625, 0, 0, 2.41613053, 12, 47);
INSERT INTO public.ecdc_data VALUES (8626, 0, 2, 1.98115486, 72, 47);
INSERT INTO public.ecdc_data VALUES (8627, 0, 39, 2.23980242, 13, 47);
INSERT INTO public.ecdc_data VALUES (8628, 1, 14, 10.54892173, 156, 47);
INSERT INTO public.ecdc_data VALUES (8629, 3, 32, 6.17638848, 73, 47);
INSERT INTO public.ecdc_data VALUES (8630, 0, 0, 1.22381794, 74, 47);
INSERT INTO public.ecdc_data VALUES (8631, 0, 7, 21.00698825, 157, 47);
INSERT INTO public.ecdc_data VALUES (8632, 3, 52, 13.2678548, 158, 47);
INSERT INTO public.ecdc_data VALUES (8633, 0, 17, 0.25924476, 14, 47);
INSERT INTO public.ecdc_data VALUES (8634, 4, 130, 41.35319504, 159, 47);
INSERT INTO public.ecdc_data VALUES (8635, 0, 15, 83.09734304, 15, 47);
INSERT INTO public.ecdc_data VALUES (8636, 0, 0, 0, 75, 47);
INSERT INTO public.ecdc_data VALUES (8637, 5, 209, 29.50007156, 76, 47);
INSERT INTO public.ecdc_data VALUES (8638, 0, 11536, 87.79383638, 77, 47);
INSERT INTO public.ecdc_data VALUES (8639, 0, 0, 2.24528658, 16, 47);
INSERT INTO public.ecdc_data VALUES (8640, 0, 0, 2.68069512, 78, 47);
INSERT INTO public.ecdc_data VALUES (8641, 0, 44, 17.47810812, 17, 47);
INSERT INTO public.ecdc_data VALUES (8642, 0, 0, 0.14297491, 18, 47);
INSERT INTO public.ecdc_data VALUES (8643, 3, 8, 25.21097206, 160, 47);
INSERT INTO public.ecdc_data VALUES (8644, 0, 19, 3.91940655, 19, 47);
INSERT INTO public.ecdc_data VALUES (8645, 0, 1, 0.04639596, 20, 47);
INSERT INTO public.ecdc_data VALUES (8646, 0, 0, 237.24792408, 79, 47);
INSERT INTO public.ecdc_data VALUES (8647, 0, 0, 6.16307496, 161, 47);
INSERT INTO public.ecdc_data VALUES (8648, 0, 0, 0.22473046, 203, 47);
INSERT INTO public.ecdc_data VALUES (8649, 4, 101, 29.03268424, 162, 47);
INSERT INTO public.ecdc_data VALUES (8650, 242, 461, 43.53192803, 163, 47);
INSERT INTO public.ecdc_data VALUES (8651, 0, 0, 1.43222873, 204, 47);
INSERT INTO public.ecdc_data VALUES (8652, 0, 0, 5.47736376, 21, 47);
INSERT INTO public.ecdc_data VALUES (8653, 0, 0, 0.04259495, 22, 47);
INSERT INTO public.ecdc_data VALUES (8654, 1, 30, 5.72963814, 164, 47);
INSERT INTO public.ecdc_data VALUES (8655, 110, 1018, 38.75849799, 165, 47);
INSERT INTO public.ecdc_data VALUES (8656, 1, 271, 3.23494179, 23, 47);
INSERT INTO public.ecdc_data VALUES (8657, 0, 5, 35.60196998, 166, 47);
INSERT INTO public.ecdc_data VALUES (8658, 0, 0, 3.65514832, 167, 47);
INSERT INTO public.ecdc_data VALUES (8659, 0, 0, 0, 80, 47);
INSERT INTO public.ecdc_data VALUES (8660, 0, 0, 3.5713648, 81, 47);
INSERT INTO public.ecdc_data VALUES (8661, 0, 1, 5.37971846, 205, 47);
INSERT INTO public.ecdc_data VALUES (8662, 2, 27, 1.95660478, 82, 47);
INSERT INTO public.ecdc_data VALUES (8663, 1, 2, 44.98355773, 168, 47);
INSERT INTO public.ecdc_data VALUES (8664, 0, 98, 6.60859559, 24, 47);
INSERT INTO public.ecdc_data VALUES (8665, 1, 1, 0.72881858, 25, 47);
INSERT INTO public.ecdc_data VALUES (8666, 0, 0, 3.70476829, 83, 47);
INSERT INTO public.ecdc_data VALUES (8667, 0, 0, 0.34626411, 84, 47);
INSERT INTO public.ecdc_data VALUES (8668, 0, 0, 122.6993865, 169, 47);
INSERT INTO public.ecdc_data VALUES (8669, 2, 34, 2.70877165, 85, 47);
INSERT INTO public.ecdc_data VALUES (8670, 8, 83, 11.51159407, 170, 47);
INSERT INTO public.ecdc_data VALUES (8671, 0, 2, 25.4908387, 171, 47);
INSERT INTO public.ecdc_data VALUES (8672, 48, 1396, 1.3714693, 112, 47);
INSERT INTO public.ecdc_data VALUES (8673, 23, 275, 1.71491558, 113, 47);
INSERT INTO public.ecdc_data VALUES (8674, 60, 1153, 22.66809496, 114, 47);
INSERT INTO public.ecdc_data VALUES (8675, 1, 57, 1.19054315, 115, 47);
INSERT INTO public.ecdc_data VALUES (8676, 24, 701, 195.89171819, 172, 47);
INSERT INTO public.ecdc_data VALUES (8677, 0, 0, 94.57494473, 173, 47);
INSERT INTO public.ecdc_data VALUES (8678, 0, 100, 49.92151418, 116, 47);
INSERT INTO public.ecdc_data VALUES (8679, 260, 2324, 68.44319207, 174, 47);
INSERT INTO public.ecdc_data VALUES (8680, 0, 45, 9.42923613, 86, 47);
INSERT INTO public.ecdc_data VALUES (8681, 3, 203, 4.83208699, 117, 47);
INSERT INTO public.ecdc_data VALUES (8682, 0, 1, 63.08211807, 175, 47);
INSERT INTO public.ecdc_data VALUES (8683, 0, 3, 0.57416096, 118, 47);
INSERT INTO public.ecdc_data VALUES (8684, 0, 65, 9.46557861, 119, 47);
INSERT INTO public.ecdc_data VALUES (8685, 0, 12, 0.30052897, 26, 47);
INSERT INTO public.ecdc_data VALUES (8686, 2, 33, 22.3518854, 176, 47);
INSERT INTO public.ecdc_data VALUES (8687, 1, 183, 43.75959841, 120, 47);
INSERT INTO public.ecdc_data VALUES (8688, 0, 13, 4.30184554, 121, 47);
INSERT INTO public.ecdc_data VALUES (8689, 0, 0, 0, 122, 47);
INSERT INTO public.ecdc_data VALUES (8690, 0, 8, 8.38555643, 177, 47);
INSERT INTO public.ecdc_data VALUES (8691, 0, 3, 1.12315152, 123, 47);
INSERT INTO public.ecdc_data VALUES (8692, 1, 4, 1.49877242, 28, 47);
INSERT INTO public.ecdc_data VALUES (8693, 0, 0, 0.53117299, 29, 47);
INSERT INTO public.ecdc_data VALUES (8694, 0, 0, 7.81697848, 178, 47);
INSERT INTO public.ecdc_data VALUES (8695, 0, 12, 13.45652255, 179, 47);
INSERT INTO public.ecdc_data VALUES (8696, 3, 12, 71.99940055, 180, 47);
INSERT INTO public.ecdc_data VALUES (8697, 0, 0, 0.06674254, 30, 47);
INSERT INTO public.ecdc_data VALUES (8698, 0, 1, 0.11272899, 31, 47);
INSERT INTO public.ecdc_data VALUES (8699, 0, 38, 3.4335125, 124, 47);
INSERT INTO public.ecdc_data VALUES (8700, 0, 77, 36.53779873, 125, 47);
INSERT INTO public.ecdc_data VALUES (8701, 2, 19, 1.38874596, 32, 47);
INSERT INTO public.ecdc_data VALUES (8702, 0, 0, 13.16965145, 181, 47);
INSERT INTO public.ecdc_data VALUES (8703, 0, 0, 0, 33, 47);
INSERT INTO public.ecdc_data VALUES (8704, 0, 1, 0.63008498, 34, 47);
INSERT INTO public.ecdc_data VALUES (8705, 46, 992, 11.97408321, 87, 47);
INSERT INTO public.ecdc_data VALUES (8706, 2, 104, 43.18299747, 182, 47);
INSERT INTO public.ecdc_data VALUES (8707, 0, 0, 3.02251776, 183, 47);
INSERT INTO public.ecdc_data VALUES (8708, 0, 0, 0.68213543, 126, 47);
INSERT INTO public.ecdc_data VALUES (8709, 1, 1, 7.8755091, 184, 47);
INSERT INTO public.ecdc_data VALUES (8710, 0, 0, 0, 88, 47);
INSERT INTO public.ecdc_data VALUES (8711, 2, 168, 6.59140004, 35, 47);
INSERT INTO public.ecdc_data VALUES (8712, 0, 6, 0.18112337, 36, 47);
INSERT INTO public.ecdc_data VALUES (8713, 0, 0, 0.19428103, 127, 47);
INSERT INTO public.ecdc_data VALUES (8714, 0, 0, 0, 37, 47);
INSERT INTO public.ecdc_data VALUES (8715, 0, 3, 0.13981753, 128, 47);
INSERT INTO public.ecdc_data VALUES (8716, 66, 655, 70.92862161, 185, 47);
INSERT INTO public.ecdc_data VALUES (8717, 0, 0, 0, 207, 47);
INSERT INTO public.ecdc_data VALUES (8718, 1, 1, 1.21261234, 208, 47);
INSERT INTO public.ecdc_data VALUES (8719, 0, 1, 0.06111066, 89, 47);
INSERT INTO public.ecdc_data VALUES (8720, 2, 12, 0.71640862, 38, 47);
INSERT INTO public.ecdc_data VALUES (8721, 5, 91, 0.47272242, 39, 47);
INSERT INTO public.ecdc_data VALUES (8722, 2, 19, 26.86396435, 186, 47);
INSERT INTO public.ecdc_data VALUES (8723, 0, 0, 5.24356353, 209, 47);
INSERT INTO public.ecdc_data VALUES (8724, 0, 38, 20.45714397, 187, 47);
INSERT INTO public.ecdc_data VALUES (8725, 0, 93, 28.12064823, 129, 47);
INSERT INTO public.ecdc_data VALUES (8726, 12, 605, 3.67279494, 130, 47);
INSERT INTO public.ecdc_data VALUES (8727, 0, 153, 4.55693174, 131, 47);
INSERT INTO public.ecdc_data VALUES (8728, 6, 241, 56.02339842, 90, 47);
INSERT INTO public.ecdc_data VALUES (8729, 0, 0, 0.06836735, 210, 47);
INSERT INTO public.ecdc_data VALUES (8730, 0, 0, 1.14981052, 91, 47);
INSERT INTO public.ecdc_data VALUES (8731, 28, 2186, 61.51250634, 92, 47);
INSERT INTO public.ecdc_data VALUES (8732, 7, 285, 2.7109615, 132, 47);
INSERT INTO public.ecdc_data VALUES (8733, 11, 344, 13.01720821, 188, 47);
INSERT INTO public.ecdc_data VALUES (8734, 25, 163, 70.65554744, 189, 47);
INSERT INTO public.ecdc_data VALUES (8735, 1, 64, 16.15870163, 93, 47);
INSERT INTO public.ecdc_data VALUES (8736, 0, 929, 258.04437812, 133, 47);
INSERT INTO public.ecdc_data VALUES (8737, 33, 401, 24.39419117, 190, 47);
INSERT INTO public.ecdc_data VALUES (8738, 66, 6361, 44.68224459, 191, 47);
INSERT INTO public.ecdc_data VALUES (8739, 0, 8, 0.51477247, 40, 47);
INSERT INTO public.ecdc_data VALUES (8740, 0, 0, 5.67816179, 94, 47);
INSERT INTO public.ecdc_data VALUES (8741, 0, 0, 0, 95, 47);
INSERT INTO public.ecdc_data VALUES (8742, 0, 0, 1.80843272, 96, 47);
INSERT INTO public.ecdc_data VALUES (8743, 1, 25, 528.25588483, 192, 47);
INSERT INTO public.ecdc_data VALUES (8744, 0, 0, 1.86004985, 41, 47);
INSERT INTO public.ecdc_data VALUES (8745, 3, 1223, 38.11076921, 134, 47);
INSERT INTO public.ecdc_data VALUES (8746, 2, 57, 2.39930851, 42, 47);
INSERT INTO public.ecdc_data VALUES (8747, 5, 263, 63.35654109, 193, 47);
INSERT INTO public.ecdc_data VALUES (8748, 0, 0, 1.0231121, 43, 47);
INSERT INTO public.ecdc_data VALUES (8749, 1, 11, 1.06230387, 44, 47);
INSERT INTO public.ecdc_data VALUES (8750, 0, 931, 191.09828623, 135, 47);
INSERT INTO public.ecdc_data VALUES (8751, 1, 1, 56.61846234, 97, 47);
INSERT INTO public.ecdc_data VALUES (8752, 1, 6, 11.68717059, 194, 47);
INSERT INTO public.ecdc_data VALUES (8753, 1, 19, 9.70730085, 195, 47);
INSERT INTO public.ecdc_data VALUES (8754, 5, 46, 2.66141619, 45, 47);
INSERT INTO public.ecdc_data VALUES (8755, 1, 185, 4.05237402, 46, 47);
INSERT INTO public.ecdc_data VALUES (8756, 1, 10, 0.39238407, 136, 47);
INSERT INTO public.ecdc_data VALUES (8757, 0, 1, 0.01807973, 47, 47);
INSERT INTO public.ecdc_data VALUES (8758, 0, 1660, 78.01724266, 196, 47);
INSERT INTO public.ecdc_data VALUES (8759, 0, 61, 1.46784799, 137, 47);
INSERT INTO public.ecdc_data VALUES (8760, 4, 24, 0.50918831, 48, 47);
INSERT INTO public.ecdc_data VALUES (8761, 0, 0, 0, 98, 47);
INSERT INTO public.ecdc_data VALUES (8762, 74, 300, 79.33385369, 197, 47);
INSERT INTO public.ecdc_data VALUES (8763, 8, 167, 43.98136959, 198, 47);
INSERT INTO public.ecdc_data VALUES (8764, 0, 1, 0.10544734, 138, 47);
INSERT INTO public.ecdc_data VALUES (8765, 0, 0, 0.17245817, 139, 47);
INSERT INTO public.ecdc_data VALUES (8766, 0, 0, 0.49263503, 141, 47);
INSERT INTO public.ecdc_data VALUES (8767, 0, 0, 1.70131156, 142, 47);
INSERT INTO public.ecdc_data VALUES (8768, 0, 2, 0.27219776, 49, 47);
INSERT INTO public.ecdc_data VALUES (8769, 0, 1, 0.21505854, 99, 47);
INSERT INTO public.ecdc_data VALUES (8770, 0, 10, 2.06930973, 50, 47);
INSERT INTO public.ecdc_data VALUES (8771, 99, 2357, 64.84327169, 199, 47);
INSERT INTO public.ecdc_data VALUES (8772, 0, 0, 5.23642457, 100, 47);
INSERT INTO public.ecdc_data VALUES (8773, 0, 4, 0.05647218, 51, 47);
INSERT INTO public.ecdc_data VALUES (8774, 8, 492, 13.27464516, 200, 47);
INSERT INTO public.ecdc_data VALUES (8775, 5, 536, 65.16537595, 143, 47);
INSERT INTO public.ecdc_data VALUES (8776, 364, 3748, 97.31404416, 201, 47);
INSERT INTO public.ecdc_data VALUES (8777, 0, 0, 0.46202546, 52, 47);
INSERT INTO public.ecdc_data VALUES (8778, 1687, 26857, 124.09071247, 101, 47);
INSERT INTO public.ecdc_data VALUES (8779, 0, 0, 3.82485968, 102, 47);
INSERT INTO public.ecdc_data VALUES (8780, 1, 10, 4.07310678, 103, 47);
INSERT INTO public.ecdc_data VALUES (8781, 0, 22, 3.09868665, 144, 47);
INSERT INTO public.ecdc_data VALUES (8782, 0, 2, 0.50498269, 104, 47);
INSERT INTO public.ecdc_data VALUES (8783, 0, 0, 0.00622006, 145, 47);
INSERT INTO public.ecdc_data VALUES (8784, 0, 0, 0, 53, 47);
INSERT INTO public.ecdc_data VALUES (8785, 0, 0, 0, 146, 47);
INSERT INTO public.ecdc_data VALUES (8786, 0, 4, 0.2519451, 54, 47);
INSERT INTO public.ecdc_data VALUES (8787, 0, 0, 0.11607682, 55, 47);
INSERT INTO public.ecdc_data VALUES (8788, 0, 0, 0.18663702, 105, 48);
INSERT INTO public.ecdc_data VALUES (8789, 1, 28, 5.2752437, 147, 48);
INSERT INTO public.ecdc_data VALUES (8790, 4, 65, 0.79436873, 1, 48);
INSERT INTO public.ecdc_data VALUES (8791, 3, 36, 294.05201045, 148, 48);
INSERT INTO public.ecdc_data VALUES (8792, 0, 1, 0, 2, 48);
INSERT INTO public.ecdc_data VALUES (8793, 0, 2, 0, 56, 48);
INSERT INTO public.ecdc_data VALUES (8794, 0, 4, 0, 57, 48);
INSERT INTO public.ecdc_data VALUES (8795, 4, 87, 1.24607322, 58, 48);
INSERT INTO public.ecdc_data VALUES (8796, 1, 39, 10.92054442, 149, 48);
INSERT INTO public.ecdc_data VALUES (8797, 0, 9, 0, 59, 48);
INSERT INTO public.ecdc_data VALUES (8798, 2, 367, 11.94292788, 202, 48);
INSERT INTO public.ecdc_data VALUES (8799, 18, 1141, 75.27000065, 150, 48);
INSERT INTO public.ecdc_data VALUES (8800, 1, 29, 1.08482333, 151, 48);
INSERT INTO public.ecdc_data VALUES (8801, 0, 4, 0, 60, 48);
INSERT INTO public.ecdc_data VALUES (8802, 1, 39, 18.03597934, 106, 48);
INSERT INTO public.ecdc_data VALUES (8803, 0, 9, 0, 107, 48);
INSERT INTO public.ecdc_data VALUES (8804, 0, 6, 0, 61, 48);
INSERT INTO public.ecdc_data VALUES (8805, 0, 0, 0.81460715, 152, 48);
INSERT INTO public.ecdc_data VALUES (8806, 102, 1363, 73.13505394, 153, 48);
INSERT INTO public.ecdc_data VALUES (8807, 0, 0, 0, 62, 48);
INSERT INTO public.ecdc_data VALUES (8808, 0, 1, 0, 3, 48);
INSERT INTO public.ecdc_data VALUES (8809, 0, 9, 0, 63, 48);
INSERT INTO public.ecdc_data VALUES (8810, 0, 0, 0.39313636, 108, 48);
INSERT INTO public.ecdc_data VALUES (8811, 0, 22, 0.51245963, 64, 48);
INSERT INTO public.ecdc_data VALUES (8812, 0, 40, 6.3920063, 154, 48);
INSERT INTO public.ecdc_data VALUES (8813, 20, 482, 1.34470811, 66, 48);
INSERT INTO public.ecdc_data VALUES (8814, 0, 2, 0, 67, 48);
INSERT INTO public.ecdc_data VALUES (8815, 0, 7, 20.54023116, 109, 48);
INSERT INTO public.ecdc_data VALUES (8816, 0, 22, 3.44283796, 155, 48);
INSERT INTO public.ecdc_data VALUES (8817, 0, 32, 0.70861319, 5, 48);
INSERT INTO public.ecdc_data VALUES (8818, 0, 2, 0.57622757, 110, 48);
INSERT INTO public.ecdc_data VALUES (8819, 0, 16, 0.33621386, 7, 48);
INSERT INTO public.ecdc_data VALUES (8820, 4, 633, 10.37127064, 68, 48);
INSERT INTO public.ecdc_data VALUES (8821, 0, 1, 0, 8, 48);
INSERT INTO public.ecdc_data VALUES (8822, 0, 3, 0, 69, 48);
INSERT INTO public.ecdc_data VALUES (8823, 0, 1, 0, 9, 48);
INSERT INTO public.ecdc_data VALUES (8824, 0, 2, 0, 10, 48);
INSERT INTO public.ecdc_data VALUES (8825, 1, 164, 6.71695678, 70, 48);
INSERT INTO public.ecdc_data VALUES (8826, 5, 94, 0.06088785, 111, 48);
INSERT INTO public.ecdc_data VALUES (8827, 2, 21, 0.95749967, 71, 48);
INSERT INTO public.ecdc_data VALUES (8828, 0, 0, 0, 12, 48);
INSERT INTO public.ecdc_data VALUES (8829, 0, 30, 4.12080211, 72, 48);
INSERT INTO public.ecdc_data VALUES (8830, 0, 16, 0.3733004, 13, 48);
INSERT INTO public.ecdc_data VALUES (8831, 1, 77, 11.53021677, 156, 48);
INSERT INTO public.ecdc_data VALUES (8832, 1, 10, 0, 73, 48);
INSERT INTO public.ecdc_data VALUES (8833, 0, 1, 0, 74, 48);
INSERT INTO public.ecdc_data VALUES (8834, 0, 14, 15.98357802, 157, 48);
INSERT INTO public.ecdc_data VALUES (8835, 3, 408, 18.27264362, 158, 48);
INSERT INTO public.ecdc_data VALUES (8836, 1, 9, 0.06106654, 14, 48);
INSERT INTO public.ecdc_data VALUES (8837, 7, 153, 20.68520918, 159, 48);
INSERT INTO public.ecdc_data VALUES (8838, 0, 0, 0, 15, 48);
INSERT INTO public.ecdc_data VALUES (8839, 0, 4, 0, 75, 48);
INSERT INTO public.ecdc_data VALUES (8840, 0, 96, 4.49764349, 76, 48);
INSERT INTO public.ecdc_data VALUES (8841, 5, 192, 7.97759505, 77, 48);
INSERT INTO public.ecdc_data VALUES (8842, 0, 14, 0.37454648, 16, 48);
INSERT INTO public.ecdc_data VALUES (8843, 0, 0, 0, 78, 48);
INSERT INTO public.ecdc_data VALUES (8844, 0, 1, 0, 17, 48);
INSERT INTO public.ecdc_data VALUES (8845, 0, 2, 0, 18, 48);
INSERT INTO public.ecdc_data VALUES (8846, 0, 134, 38.57127761, 160, 48);
INSERT INTO public.ecdc_data VALUES (8847, 0, 2, 0, 19, 48);
INSERT INTO public.ecdc_data VALUES (8848, 0, 0, 0.01070676, 20, 48);
INSERT INTO public.ecdc_data VALUES (8849, 0, 8, 281.44709, 161, 48);
INSERT INTO public.ecdc_data VALUES (8850, 0, 0, 0, 203, 48);
INSERT INTO public.ecdc_data VALUES (8851, 1, 78, 14.55258767, 162, 48);
INSERT INTO public.ecdc_data VALUES (8852, 365, 3922, 39.21484769, 163, 48);
INSERT INTO public.ecdc_data VALUES (8853, 0, 5, 0, 204, 48);
INSERT INTO public.ecdc_data VALUES (8854, 0, 1, 0.32219787, 21, 48);
INSERT INTO public.ecdc_data VALUES (8855, 0, 0, 0, 22, 48);
INSERT INTO public.ecdc_data VALUES (8856, 0, 6, 1.35109371, 164, 48);
INSERT INTO public.ecdc_data VALUES (8857, 55, 5780, 48.08405013, 165, 48);
INSERT INTO public.ecdc_data VALUES (8858, 0, 64, 0.43395561, 23, 48);
INSERT INTO public.ecdc_data VALUES (8859, 0, 9, 0, 166, 48);
INSERT INTO public.ecdc_data VALUES (8860, 4, 71, 7.07718769, 167, 48);
INSERT INTO public.ecdc_data VALUES (8861, 0, 1, 0, 80, 48);
INSERT INTO public.ecdc_data VALUES (8862, 0, 6, 0, 81, 48);
INSERT INTO public.ecdc_data VALUES (8863, 0, 12, 0, 205, 48);
INSERT INTO public.ecdc_data VALUES (8864, 0, 1, 0, 82, 48);
INSERT INTO public.ecdc_data VALUES (8865, 0, 4, 0, 168, 48);
INSERT INTO public.ecdc_data VALUES (8866, 0, 1, 0, 24, 48);
INSERT INTO public.ecdc_data VALUES (8867, 0, 2, 0, 25, 48);
INSERT INTO public.ecdc_data VALUES (8868, 0, 0, 0, 83, 48);
INSERT INTO public.ecdc_data VALUES (8869, 0, 0, 0, 84, 48);
INSERT INTO public.ecdc_data VALUES (8870, 0, 4, 0, 169, 48);
INSERT INTO public.ecdc_data VALUES (8871, 1, 15, 0.68745341, 85, 48);
INSERT INTO public.ecdc_data VALUES (8872, 0, 39, 2.90603797, 170, 48);
INSERT INTO public.ecdc_data VALUES (8873, 0, 65, 191.88158805, 171, 48);
INSERT INTO public.ecdc_data VALUES (8874, 4, 75, 0.04749646, 112, 48);
INSERT INTO public.ecdc_data VALUES (8875, 20, 103, 0.31741273, 113, 48);
INSERT INTO public.ecdc_data VALUES (8876, 157, 2389, 23.31454875, 114, 48);
INSERT INTO public.ecdc_data VALUES (8877, 7, 36, 0.78351985, 115, 48);
INSERT INTO public.ecdc_data VALUES (8878, 10, 255, 35.66301812, 172, 48);
INSERT INTO public.ecdc_data VALUES (8879, 0, 3, 0, 173, 48);
INSERT INTO public.ecdc_data VALUES (8880, 3, 297, 30.16653925, 116, 48);
INSERT INTO public.ecdc_data VALUES (8881, 660, 6153, 108.39379077, 174, 48);
INSERT INTO public.ecdc_data VALUES (8882, 0, 1, 0.81403477, 86, 48);
INSERT INTO public.ecdc_data VALUES (8883, 1, 96, 0.54311712, 117, 48);
INSERT INTO public.ecdc_data VALUES (8884, 1, 14, 0, 175, 48);
INSERT INTO public.ecdc_data VALUES (8885, 0, 19, 1.69278489, 118, 48);
INSERT INTO public.ecdc_data VALUES (8886, 0, 32, 0, 119, 48);
INSERT INTO public.ecdc_data VALUES (8887, 1, 6, 0.05896454, 26, 48);
INSERT INTO public.ecdc_data VALUES (8888, 0, 15, 4.78174663, 176, 48);
INSERT INTO public.ecdc_data VALUES (8889, 0, 13, 3.04249245, 120, 48);
INSERT INTO public.ecdc_data VALUES (8890, 0, 0, 0, 121, 48);
INSERT INTO public.ecdc_data VALUES (8891, 0, 4, 0, 122, 48);
INSERT INTO public.ecdc_data VALUES (8892, 0, 23, 11.87519792, 177, 48);
INSERT INTO public.ecdc_data VALUES (8893, 2, 35, 4.47801971, 123, 48);
INSERT INTO public.ecdc_data VALUES (8894, 0, 0, 0, 28, 48);
INSERT INTO public.ecdc_data VALUES (8895, 0, 0, 0, 29, 48);
INSERT INTO public.ecdc_data VALUES (8896, 0, 5, 135.49429361, 178, 48);
INSERT INTO public.ecdc_data VALUES (8897, 0, 25, 10.59343264, 179, 48);
INSERT INTO public.ecdc_data VALUES (8898, 1, 120, 235.54555021, 180, 48);
INSERT INTO public.ecdc_data VALUES (8899, 0, 4, 0, 30, 48);
INSERT INTO public.ecdc_data VALUES (8900, 4, 235, 5.86232354, 124, 48);
INSERT INTO public.ecdc_data VALUES (8901, 0, 0, 0.94169584, 125, 48);
INSERT INTO public.ecdc_data VALUES (8902, 0, 2, 0, 32, 48);
INSERT INTO public.ecdc_data VALUES (8903, 0, 5, 26.54191292, 181, 48);
INSERT INTO public.ecdc_data VALUES (8904, 0, 1, 0, 33, 48);
INSERT INTO public.ecdc_data VALUES (8905, 0, 33, 0, 34, 48);
INSERT INTO public.ecdc_data VALUES (8906, 3, 203, 1.16166479, 87, 48);
INSERT INTO public.ecdc_data VALUES (8907, 0, 28, 4.22926264, 182, 48);
INSERT INTO public.ecdc_data VALUES (8908, 0, 3, 75.56294393, 183, 48);
INSERT INTO public.ecdc_data VALUES (8909, 0, 1, 0, 126, 48);
INSERT INTO public.ecdc_data VALUES (8910, 1, 14, 0, 184, 48);
INSERT INTO public.ecdc_data VALUES (8911, 0, 4, 0, 88, 48);
INSERT INTO public.ecdc_data VALUES (8912, 4, 50, 0.73755683, 35, 48);
INSERT INTO public.ecdc_data VALUES (8913, 0, 2, 0, 36, 48);
INSERT INTO public.ecdc_data VALUES (8914, 0, 2, 0, 127, 48);
INSERT INTO public.ecdc_data VALUES (8915, 0, 4, 0, 37, 48);
INSERT INTO public.ecdc_data VALUES (8916, 0, 0, 0.00699088, 128, 48);
INSERT INTO public.ecdc_data VALUES (8917, 78, 1019, 39.44529397, 185, 48);
INSERT INTO public.ecdc_data VALUES (8918, 0, 1, 0, 207, 48);
INSERT INTO public.ecdc_data VALUES (8919, 0, 76, 7.00388161, 208, 48);
INSERT INTO public.ecdc_data VALUES (8920, 0, 0, 0, 89, 48);
INSERT INTO public.ecdc_data VALUES (8921, 0, 3, 0, 38, 48);
INSERT INTO public.ecdc_data VALUES (8922, 0, 14, 0.03184656, 39, 48);
INSERT INTO public.ecdc_data VALUES (8923, 1, 24, 9.33980123, 186, 48);
INSERT INTO public.ecdc_data VALUES (8924, 2, 240, 47.57693575, 187, 48);
INSERT INTO public.ecdc_data VALUES (8925, 0, 10, 1.82914867, 129, 48);
INSERT INTO public.ecdc_data VALUES (8926, 1, 140, 0.54302324, 130, 48);
INSERT INTO public.ecdc_data VALUES (8927, 1, 22, 1.08402781, 131, 48);
INSERT INTO public.ecdc_data VALUES (8928, 3, 86, 15.23629205, 90, 48);
INSERT INTO public.ecdc_data VALUES (8929, 0, 0, 0, 210, 48);
INSERT INTO public.ecdc_data VALUES (8930, 0, 11, 0.667174, 91, 48);
INSERT INTO public.ecdc_data VALUES (8931, 1, 22, 1.71637056, 92, 48);
INSERT INTO public.ecdc_data VALUES (8932, 7, 71, 0.60582729, 132, 48);
INSERT INTO public.ecdc_data VALUES (8933, 2, 170, 3.08641878, 188, 48);
INSERT INTO public.ecdc_data VALUES (8934, 17, 549, 33.72705239, 189, 48);
INSERT INTO public.ecdc_data VALUES (8935, 0, 12, 10.13392673, 133, 48);
INSERT INTO public.ecdc_data VALUES (8936, 4, 123, 4.97052248, 190, 48);
INSERT INTO public.ecdc_data VALUES (8937, 2, 182, 0.55528035, 191, 48);
INSERT INTO public.ecdc_data VALUES (8938, 0, 9, 0, 40, 48);
INSERT INTO public.ecdc_data VALUES (8939, 0, 0, 0, 94, 48);
INSERT INTO public.ecdc_data VALUES (8940, 0, 0, 0, 95, 48);
INSERT INTO public.ecdc_data VALUES (8941, 0, 0, 0, 96, 48);
INSERT INTO public.ecdc_data VALUES (8942, 0, 10, 438.27823412, 192, 48);
INSERT INTO public.ecdc_data VALUES (8943, 1, 112, 2.77222288, 134, 48);
INSERT INTO public.ecdc_data VALUES (8944, 0, 6, 0.60749755, 42, 48);
INSERT INTO public.ecdc_data VALUES (8945, 1, 81, 5.16961804, 193, 48);
INSERT INTO public.ecdc_data VALUES (8946, 0, 0, 0, 43, 48);
INSERT INTO public.ecdc_data VALUES (8947, 0, 26, 7.01199085, 135, 48);
INSERT INTO public.ecdc_data VALUES (8948, 0, 0, 0, 97, 48);
INSERT INTO public.ecdc_data VALUES (8949, 0, 10, 3.76117735, 194, 48);
INSERT INTO public.ecdc_data VALUES (8950, 1, 49, 23.11490945, 195, 48);
INSERT INTO public.ecdc_data VALUES (8951, 0, 1, 0, 45, 48);
INSERT INTO public.ecdc_data VALUES (8952, 2, 218, 1.55400774, 46, 48);
INSERT INTO public.ecdc_data VALUES (8953, 8, 91, 2.64127188, 136, 48);
INSERT INTO public.ecdc_data VALUES (8954, 655, 9181, 148.46051287, 196, 48);
INSERT INTO public.ecdc_data VALUES (8955, 0, 4, 0.48302985, 137, 48);
INSERT INTO public.ecdc_data VALUES (8956, 0, 0, 0.00700718, 48, 48);
INSERT INTO public.ecdc_data VALUES (8957, 0, 0, 0, 98, 48);
INSERT INTO public.ecdc_data VALUES (8958, 31, 286, 20.45906306, 197, 48);
INSERT INTO public.ecdc_data VALUES (8959, 58, 1000, 115.39550405, 198, 48);
INSERT INTO public.ecdc_data VALUES (8960, 0, 4, 0, 138, 48);
INSERT INTO public.ecdc_data VALUES (8961, 0, 17, 0.85387825, 139, 48);
INSERT INTO public.ecdc_data VALUES (8962, 1, 91, 1.53104647, 141, 48);
INSERT INTO public.ecdc_data VALUES (8963, 0, 0, 0, 142, 48);
INSERT INTO public.ecdc_data VALUES (8964, 0, 1, 0.29694301, 49, 48);
INSERT INTO public.ecdc_data VALUES (8965, 0, 5, 4.58791557, 99, 48);
INSERT INTO public.ecdc_data VALUES (8966, 0, 0, 1.36813867, 50, 48);
INSERT INTO public.ecdc_data VALUES (8967, 16, 1196, 4.42540025, 199, 48);
INSERT INTO public.ecdc_data VALUES (8968, 0, 1, 0, 100, 48);
INSERT INTO public.ecdc_data VALUES (8969, 0, 0, 0, 51, 48);
INSERT INTO public.ecdc_data VALUES (8970, 1, 43, 0.35459669, 200, 48);
INSERT INTO public.ecdc_data VALUES (8971, 0, 0, 2.65082965, 143, 48);
INSERT INTO public.ecdc_data VALUES (8972, 181, 2692, 24.65973319, 201, 48);
INSERT INTO public.ecdc_data VALUES (8973, 0, 1, 0, 52, 48);
INSERT INTO public.ecdc_data VALUES (8974, 246, 16797, 25.62655441, 101, 48);
INSERT INTO public.ecdc_data VALUES (8975, 0, 0, 0, 102, 48);
INSERT INTO public.ecdc_data VALUES (8976, 0, 21, 0, 103, 48);
INSERT INTO public.ecdc_data VALUES (8977, 0, 18, 0, 144, 48);
INSERT INTO public.ecdc_data VALUES (8978, 1, 1, 0, 104, 48);
INSERT INTO public.ecdc_data VALUES (8979, 0, 10, 0.1233645, 145, 48);
INSERT INTO public.ecdc_data VALUES (8980, 0, 2, 0, 54, 48);
INSERT INTO public.ecdc_data VALUES (8981, 0, 0, 0, 55, 48);
INSERT INTO public.ecdc_data VALUES (8982, 0, 0, 0.00262869, 105, 49);
INSERT INTO public.ecdc_data VALUES (8983, 0, 0, 0.00232272, 1, 49);
INSERT INTO public.ecdc_data VALUES (8984, 0, 0, 0, 149, 49);
INSERT INTO public.ecdc_data VALUES (8985, 0, 1, 0.03570975, 202, 49);
INSERT INTO public.ecdc_data VALUES (8986, 0, 0, 0.02257648, 150, 49);
INSERT INTO public.ecdc_data VALUES (8987, 0, 0, 0, 151, 49);
INSERT INTO public.ecdc_data VALUES (8988, 0, 10, 2.01076797, 106, 49);
INSERT INTO public.ecdc_data VALUES (8989, 0, 0, 0, 152, 49);
INSERT INTO public.ecdc_data VALUES (8990, 0, 0, 0, 153, 49);
INSERT INTO public.ecdc_data VALUES (8991, 0, 0, 0.00047382, 66, 49);
INSERT INTO public.ecdc_data VALUES (8992, 0, 0, 0, 110, 49);
INSERT INTO public.ecdc_data VALUES (8993, 0, 1, 0.01336504, 68, 49);
INSERT INTO public.ecdc_data VALUES (8994, 0, 14, 0, 214, 49);
INSERT INTO public.ecdc_data VALUES (8995, 29, 439, 1.30654297, 111, 49);
INSERT INTO public.ecdc_data VALUES (8996, 0, 1, 0.04906475, 156, 49);
INSERT INTO public.ecdc_data VALUES (8997, 0, 0, 0, 158, 49);
INSERT INTO public.ecdc_data VALUES (8998, 0, 1, 0.01722332, 159, 49);
INSERT INTO public.ecdc_data VALUES (8999, 0, 0, 0, 76, 49);
INSERT INTO public.ecdc_data VALUES (9000, 0, 0, 0, 77, 49);
INSERT INTO public.ecdc_data VALUES (9001, 0, 0, 0.00099613, 16, 49);
INSERT INTO public.ecdc_data VALUES (9002, 0, 0, 0, 160, 49);
INSERT INTO public.ecdc_data VALUES (9003, 0, 1, 0.01812277, 162, 49);
INSERT INTO public.ecdc_data VALUES (9004, 1, 3, 0.0089535, 163, 49);
INSERT INTO public.ecdc_data VALUES (9005, 0, 1, 0.02502025, 164, 49);
INSERT INTO public.ecdc_data VALUES (9006, 0, 4, 0.00722724, 165, 49);
INSERT INTO public.ecdc_data VALUES (9007, 0, 1, 0.00932436, 167, 49);
INSERT INTO public.ecdc_data VALUES (9008, 0, 0, 0, 171, 49);
INSERT INTO public.ecdc_data VALUES (9009, 0, 0, 0, 112, 49);
INSERT INTO public.ecdc_data VALUES (9010, 0, 0, 0, 113, 49);
INSERT INTO public.ecdc_data VALUES (9011, 4, 44, 0.1676438, 114, 49);
INSERT INTO public.ecdc_data VALUES (9012, 0, 0, 0.01271948, 115, 49);
INSERT INTO public.ecdc_data VALUES (9013, 0, 0, 0, 172, 49);
INSERT INTO public.ecdc_data VALUES (9014, 0, 0, 0.02347591, 116, 49);
INSERT INTO public.ecdc_data VALUES (9015, 1, 78, 0.65772529, 174, 49);
INSERT INTO public.ecdc_data VALUES (9016, 2, 22, 0.12375818, 117, 49);
INSERT INTO public.ecdc_data VALUES (9017, 0, 15, 0.61800628, 120, 49);
INSERT INTO public.ecdc_data VALUES (9018, 0, 1, 0.02917277, 123, 49);
INSERT INTO public.ecdc_data VALUES (9019, 0, 0, 0, 179, 49);
INSERT INTO public.ecdc_data VALUES (9020, 0, 0, 0, 180, 49);
INSERT INTO public.ecdc_data VALUES (9021, 0, 0, 0.01251964, 124, 49);
INSERT INTO public.ecdc_data VALUES (9022, 0, 0, 0.00235155, 87, 49);
INSERT INTO public.ecdc_data VALUES (9023, 0, 0, 0, 183, 49);
INSERT INTO public.ecdc_data VALUES (9024, 0, 0, 0, 128, 49);
INSERT INTO public.ecdc_data VALUES (9025, 0, 0, 0, 185, 49);
INSERT INTO public.ecdc_data VALUES (9026, 0, 0, 0, 208, 49);
INSERT INTO public.ecdc_data VALUES (9027, 0, 0, 0, 39, 49);
INSERT INTO public.ecdc_data VALUES (9028, 0, 1, 0.04814331, 186, 49);
INSERT INTO public.ecdc_data VALUES (9029, 0, 1, 0.01876802, 187, 49);
INSERT INTO public.ecdc_data VALUES (9030, 0, 0, 0.08040214, 129, 49);
INSERT INTO public.ecdc_data VALUES (9031, 0, 2, 0.00092351, 130, 49);
INSERT INTO public.ecdc_data VALUES (9032, 0, 0, 0, 132, 49);
INSERT INTO public.ecdc_data VALUES (9033, 0, 0, 0, 133, 49);
INSERT INTO public.ecdc_data VALUES (9034, 0, 1, 0.0051508, 190, 49);
INSERT INTO public.ecdc_data VALUES (9035, 0, 0, 0, 191, 49);
INSERT INTO public.ecdc_data VALUES (9036, 0, 0, 0, 192, 49);
INSERT INTO public.ecdc_data VALUES (9037, 0, 2, 0.74082459, 135, 49);
INSERT INTO public.ecdc_data VALUES (9038, 1, 449, 3.05903403, 136, 49);
INSERT INTO public.ecdc_data VALUES (9039, 0, 8, 0.03195769, 196, 49);
INSERT INTO public.ecdc_data VALUES (9040, 0, 0, 0, 137, 49);
INSERT INTO public.ecdc_data VALUES (9041, 0, 1, 0, 197, 49);
INSERT INTO public.ecdc_data VALUES (9042, 0, 0, 0.0117034, 198, 49);
INSERT INTO public.ecdc_data VALUES (9043, 0, 1, 0.05888816, 139, 49);
INSERT INTO public.ecdc_data VALUES (9044, 0, 0, 0.01005378, 141, 49);
INSERT INTO public.ecdc_data VALUES (9045, 0, 0, 0.05117432, 143, 49);
INSERT INTO public.ecdc_data VALUES (9046, 0, 5, 0.01200352, 201, 49);
INSERT INTO public.ecdc_data VALUES (9047, 0, 6, 0.01367511, 101, 49);
INSERT INTO public.ecdc_data VALUES (9048, 0, 0, 0, 145, 49);
INSERT INTO public.ecdc_data VALUES (9049, 0, 0, 0, 105, 50);
INSERT INTO public.ecdc_data VALUES (9050, 0, 0, 0, 1, 50);
INSERT INTO public.ecdc_data VALUES (9051, 0, 0, 0, 149, 50);
INSERT INTO public.ecdc_data VALUES (9052, 0, 0, 0.015871, 202, 50);
INSERT INTO public.ecdc_data VALUES (9053, 0, 0, 0, 150, 50);
INSERT INTO public.ecdc_data VALUES (9054, 0, 0, 0, 151, 50);
INSERT INTO public.ecdc_data VALUES (9055, 0, 0, 0, 106, 50);
INSERT INTO public.ecdc_data VALUES (9056, 0, 0, 0, 152, 50);
INSERT INTO public.ecdc_data VALUES (9057, 0, 0, 0, 153, 50);
INSERT INTO public.ecdc_data VALUES (9058, 0, 0, 0, 66, 50);
INSERT INTO public.ecdc_data VALUES (9059, 0, 0, 0, 110, 50);
INSERT INTO public.ecdc_data VALUES (9060, 0, 0, 0.00267301, 68, 50);
INSERT INTO public.ecdc_data VALUES (9061, 0, 0, 0, 214, 50);
INSERT INTO public.ecdc_data VALUES (9062, 25, 787, 0.18942885, 111, 50);
INSERT INTO public.ecdc_data VALUES (9063, 0, 0, 0, 156, 50);
INSERT INTO public.ecdc_data VALUES (9064, 0, 0, 0, 158, 50);
INSERT INTO public.ecdc_data VALUES (9065, 0, 0, 0, 159, 50);
INSERT INTO public.ecdc_data VALUES (9066, 0, 0, 0, 76, 50);
INSERT INTO public.ecdc_data VALUES (9067, 0, 0, 0, 77, 50);
INSERT INTO public.ecdc_data VALUES (9068, 0, 0, 0, 16, 50);
INSERT INTO public.ecdc_data VALUES (9069, 0, 0, 0, 160, 50);
INSERT INTO public.ecdc_data VALUES (9070, 0, 0, 0, 162, 50);
INSERT INTO public.ecdc_data VALUES (9071, 0, 0, 0.00447675, 163, 50);
INSERT INTO public.ecdc_data VALUES (9072, 0, 0, 0, 164, 50);
INSERT INTO public.ecdc_data VALUES (9073, 0, 0, 0, 165, 50);
INSERT INTO public.ecdc_data VALUES (9074, 0, 0, 0, 167, 50);
INSERT INTO public.ecdc_data VALUES (9075, 0, 0, 0, 171, 50);
INSERT INTO public.ecdc_data VALUES (9076, 0, 0, 0, 112, 50);
INSERT INTO public.ecdc_data VALUES (9077, 0, 0, 0, 113, 50);
INSERT INTO public.ecdc_data VALUES (9078, 0, 0, 0, 114, 50);
INSERT INTO public.ecdc_data VALUES (9079, 0, 0, 0, 115, 50);
INSERT INTO public.ecdc_data VALUES (9080, 0, 0, 0, 172, 50);
INSERT INTO public.ecdc_data VALUES (9081, 0, 0, 0, 116, 50);
INSERT INTO public.ecdc_data VALUES (9082, 0, 0, 0, 174, 50);
INSERT INTO public.ecdc_data VALUES (9083, 0, 0, 0.00236481, 117, 50);
INSERT INTO public.ecdc_data VALUES (9084, 0, 0, 0, 120, 50);
INSERT INTO public.ecdc_data VALUES (9085, 0, 0, 0, 123, 50);
INSERT INTO public.ecdc_data VALUES (9086, 0, 0, 0, 179, 50);
INSERT INTO public.ecdc_data VALUES (9087, 0, 0, 0, 180, 50);
INSERT INTO public.ecdc_data VALUES (9088, 0, 0, 0.01251964, 124, 50);
INSERT INTO public.ecdc_data VALUES (9089, 0, 0, 0.00078385, 87, 50);
INSERT INTO public.ecdc_data VALUES (9090, 0, 0, 0, 183, 50);
INSERT INTO public.ecdc_data VALUES (9091, 0, 0, 0.00349544, 128, 50);
INSERT INTO public.ecdc_data VALUES (9092, 0, 0, 0, 185, 50);
INSERT INTO public.ecdc_data VALUES (9093, 0, 0, 0, 208, 50);
INSERT INTO public.ecdc_data VALUES (9094, 0, 0, 0, 39, 50);
INSERT INTO public.ecdc_data VALUES (9095, 0, 0, 0, 186, 50);
INSERT INTO public.ecdc_data VALUES (9096, 0, 0, 0, 187, 50);
INSERT INTO public.ecdc_data VALUES (9097, 0, 0, 0, 129, 50);
INSERT INTO public.ecdc_data VALUES (9098, 0, 0, 0, 130, 50);
INSERT INTO public.ecdc_data VALUES (9099, 0, 0, 0, 132, 50);
INSERT INTO public.ecdc_data VALUES (9100, 0, 0, 0, 133, 50);
INSERT INTO public.ecdc_data VALUES (9101, 0, 0, 0, 190, 50);
INSERT INTO public.ecdc_data VALUES (9102, 0, 0, 0, 191, 50);
INSERT INTO public.ecdc_data VALUES (9103, 0, 0, 0, 192, 50);
INSERT INTO public.ecdc_data VALUES (9104, 0, 0, 0.06891391, 135, 50);
INSERT INTO public.ecdc_data VALUES (9105, 0, 1, 0.00780864, 136, 50);
INSERT INTO public.ecdc_data VALUES (9106, 0, 0, 0, 196, 50);
INSERT INTO public.ecdc_data VALUES (9107, 0, 0, 0, 137, 50);
INSERT INTO public.ecdc_data VALUES (9108, 0, 0, 0, 197, 50);
INSERT INTO public.ecdc_data VALUES (9109, 0, 0, 0, 198, 50);
INSERT INTO public.ecdc_data VALUES (9110, 0, 2, 0.02103148, 139, 50);
INSERT INTO public.ecdc_data VALUES (9111, 0, 3, 0.01005378, 141, 50);
INSERT INTO public.ecdc_data VALUES (9112, 0, 1, 0.01023486, 143, 50);
INSERT INTO public.ecdc_data VALUES (9113, 0, 0, 0, 201, 50);
INSERT INTO public.ecdc_data VALUES (9114, 0, 3, 0.00151946, 101, 50);
INSERT INTO public.ecdc_data VALUES (9115, 0, 0, 0.00207335, 145, 50);
INSERT INTO public.ecdc_data VALUES (9116, 12, 200, 7.34193218, 105, 51);
INSERT INTO public.ecdc_data VALUES (9117, 8, 644, 319.4142593, 147, 51);
INSERT INTO public.ecdc_data VALUES (9118, 20, 1025, 31.97914833, 1, 51);
INSERT INTO public.ecdc_data VALUES (9119, 0, 77, 1130.26241516, 148, 51);
INSERT INTO public.ecdc_data VALUES (9120, 1, 108, 6.05178918, 2, 51);
INSERT INTO public.ecdc_data VALUES (9121, 0, 0, 6.72404519, 56, 51);
INSERT INTO public.ecdc_data VALUES (9122, 0, 0, 9.26736344, 57, 51);
INSERT INTO public.ecdc_data VALUES (9123, 269, 8593, 261.34711011, 58, 51);
INSERT INTO public.ecdc_data VALUES (9124, 28, 1785, 614.99908038, 149, 51);
INSERT INTO public.ecdc_data VALUES (9125, 0, 27, 138.27485655, 59, 51);
INSERT INTO public.ecdc_data VALUES (9126, 0, 6, 0.66658202, 202, 51);
INSERT INTO public.ecdc_data VALUES (9127, 94, 5896, 988.29691464, 150, 51);
INSERT INTO public.ecdc_data VALUES (9128, 30, 3469, 336.41466287, 151, 51);
INSERT INTO public.ecdc_data VALUES (9129, 0, 56, 105.01019292, 60, 51);
INSERT INTO public.ecdc_data VALUES (9130, 0, 169, 130.57805314, 106, 51);
INSERT INTO public.ecdc_data VALUES (9131, 39, 2156, 17.6594148, 107, 51);
INSERT INTO public.ecdc_data VALUES (9132, 0, 1, 4.87769188, 61, 51);
INSERT INTO public.ecdc_data VALUES (9133, 7, 1496, 201.9802571, 152, 51);
INSERT INTO public.ecdc_data VALUES (9134, 138, 2673, 408.04785885, 153, 51);
INSERT INTO public.ecdc_data VALUES (9135, 4, 88, 231.3302643, 62, 51);
INSERT INTO public.ecdc_data VALUES (9136, 0, 58, 1.10158746, 3, 51);
INSERT INTO public.ecdc_data VALUES (9137, 0, 0, 38.39508543, 63, 51);
INSERT INTO public.ecdc_data VALUES (9138, 0, 0, 2.883, 108, 51);
INSERT INTO public.ecdc_data VALUES (9139, 5, 129, 13.02863468, 64, 51);
INSERT INTO public.ecdc_data VALUES (9140, 0, 0, 26.94069199, 65, 51);
INSERT INTO public.ecdc_data VALUES (9141, 35, 1589, 507.81612106, 154, 51);
INSERT INTO public.ecdc_data VALUES (9142, 0, 0, 93.6318614, 4, 51);
INSERT INTO public.ecdc_data VALUES (9143, 654, 47898, 198.16723676, 66, 51);
INSERT INTO public.ecdc_data VALUES (9144, 0, 0, 0, 67, 51);
INSERT INTO public.ecdc_data VALUES (9145, 0, 1, 0.46157823, 109, 51);
INSERT INTO public.ecdc_data VALUES (9146, 141, 3712, 653.55350163, 155, 51);
INSERT INTO public.ecdc_data VALUES (9147, 0, 20, 0.93989666, 5, 51);
INSERT INTO public.ecdc_data VALUES (9148, 0, 0, 0.45964742, 6, 51);
INSERT INTO public.ecdc_data VALUES (9149, 0, 0, 0.03639332, 110, 51);
INSERT INTO public.ecdc_data VALUES (9150, 1, 46, 5.77360356, 7, 51);
INSERT INTO public.ecdc_data VALUES (9151, 92, 5022, 188.19312097, 68, 51);
INSERT INTO public.ecdc_data VALUES (9152, 0, 126, 175.6568037, 8, 51);
INSERT INTO public.ecdc_data VALUES (9153, 0, 1, 20.01601281, 69, 51);
INSERT INTO public.ecdc_data VALUES (9154, 0, 0, 0.56899856, 9, 51);
INSERT INTO public.ecdc_data VALUES (9155, 0, 6, 0.56437365, 10, 51);
INSERT INTO public.ecdc_data VALUES (9156, 7, 1005, 101.77271201, 70, 51);
INSERT INTO public.ecdc_data VALUES (9157, 0, 21, 0.01227521, 111, 51);
INSERT INTO public.ecdc_data VALUES (9158, 183, 8497, 209.90498445, 71, 51);
INSERT INTO public.ecdc_data VALUES (9159, 0, 0, 4.46590691, 11, 51);
INSERT INTO public.ecdc_data VALUES (9160, 0, 0, 4.70216173, 12, 51);
INSERT INTO public.ecdc_data VALUES (9161, 12, 1330, 292.25996476, 72, 51);
INSERT INTO public.ecdc_data VALUES (9162, 0, 12, 1.21711486, 13, 51);
INSERT INTO public.ecdc_data VALUES (9163, 56, 3603, 951.29194852, 156, 51);
INSERT INTO public.ecdc_data VALUES (9164, 0, 76, 5.26757703, 73, 51);
INSERT INTO public.ecdc_data VALUES (9165, 0, 102, 457.0960024, 74, 51);
INSERT INTO public.ecdc_data VALUES (9166, 1, 254, 341.59189587, 157, 51);
INSERT INTO public.ecdc_data VALUES (9167, 112, 2681, 623.57978554, 158, 51);
INSERT INTO public.ecdc_data VALUES (9168, 0, 55, 0.81690904, 14, 51);
INSERT INTO public.ecdc_data VALUES (9169, 5, 1183, 279.91342181, 159, 51);
INSERT INTO public.ecdc_data VALUES (9170, 0, 1, 3.59506428, 15, 51);
INSERT INTO public.ecdc_data VALUES (9171, 0, 0, 48.74108734, 75, 51);
INSERT INTO public.ecdc_data VALUES (9172, 2, 285, 75.71498796, 76, 51);
INSERT INTO public.ecdc_data VALUES (9173, 24, 794, 61.01191016, 77, 51);
INSERT INTO public.ecdc_data VALUES (9174, 12, 365, 4.20966331, 16, 51);
INSERT INTO public.ecdc_data VALUES (9175, 12, 0, 42.44175686, 78, 51);
INSERT INTO public.ecdc_data VALUES (9176, 0, 9, 3.09738625, 17, 51);
INSERT INTO public.ecdc_data VALUES (9177, 0, 0, 1.91586384, 18, 51);
INSERT INTO public.ecdc_data VALUES (9178, 3, 382, 304.41871349, 160, 51);
INSERT INTO public.ecdc_data VALUES (9179, 0, 25, 19.85832652, 19, 51);
INSERT INTO public.ecdc_data VALUES (9180, 3, 518, 5.69421171, 20, 51);
INSERT INTO public.ecdc_data VALUES (9181, 0, 0, 59.31198102, 79, 51);
INSERT INTO public.ecdc_data VALUES (9182, 0, 0, 6.16307496, 161, 51);
INSERT INTO public.ecdc_data VALUES (9183, 0, 0, 0.3370957, 203, 51);
INSERT INTO public.ecdc_data VALUES (9184, 4, 363, 78.05478841, 162, 51);
INSERT INTO public.ecdc_data VALUES (9185, 381, 16282, 454.47828293, 163, 51);
INSERT INTO public.ecdc_data VALUES (9186, 2, 231, 911.61358469, 204, 51);
INSERT INTO public.ecdc_data VALUES (9187, 0, 23, 5.75353336, 21, 51);
INSERT INTO public.ecdc_data VALUES (9188, 0, 1, 1.27784858, 22, 51);
INSERT INTO public.ecdc_data VALUES (9189, 39, 3801, 1226.21762317, 164, 51);
INSERT INTO public.ecdc_data VALUES (9190, 389, 22268, 308.40451354, 165, 51);
INSERT INTO public.ecdc_data VALUES (9191, 0, 41, 6.32194417, 23, 51);
INSERT INTO public.ecdc_data VALUES (9192, 0, 10, 442.05779386, 166, 51);
INSERT INTO public.ecdc_data VALUES (9193, 87, 2151, 316.72046666, 167, 51);
INSERT INTO public.ecdc_data VALUES (9194, 0, 0, 1.76491352, 80, 51);
INSERT INTO public.ecdc_data VALUES (9195, 0, 0, 8.03557079, 81, 51);
INSERT INTO public.ecdc_data VALUES (9196, 0, 0, 567.85917093, 205, 51);
INSERT INTO public.ecdc_data VALUES (9197, 8, 640, 40.82706139, 82, 51);
INSERT INTO public.ecdc_data VALUES (9198, 0, 2, 4.65347149, 168, 51);
INSERT INTO public.ecdc_data VALUES (9199, 0, 20, 3.39042878, 24, 51);
INSERT INTO public.ecdc_data VALUES (9200, 0, 0, 0.41646776, 25, 51);
INSERT INTO public.ecdc_data VALUES (9201, 0, 0, 72.94561017, 83, 51);
INSERT INTO public.ecdc_data VALUES (9202, 0, 19, 0.85234242, 84, 51);
INSERT INTO public.ecdc_data VALUES (9203, 0, 0, 0, 169, 51);
INSERT INTO public.ecdc_data VALUES (9204, 19, 905, 50.75868692, 85, 51);
INSERT INTO public.ecdc_data VALUES (9205, 115, 6360, 667.74408365, 170, 51);
INSERT INTO public.ecdc_data VALUES (9206, 0, 14, 47.62024813, 171, 51);
INSERT INTO public.ecdc_data VALUES (9207, 524, 44489, 42.65086555, 112, 51);
INSERT INTO public.ecdc_data VALUES (9208, 114, 5534, 23.54470818, 113, 51);
INSERT INTO public.ecdc_data VALUES (9209, 952, 27564, 216.26894301, 114, 51);
INSERT INTO public.ecdc_data VALUES (9210, 55, 2438, 85.67586053, 115, 51);
INSERT INTO public.ecdc_data VALUES (9211, 5, 257, 100.72916497, 172, 51);
INSERT INTO public.ecdc_data VALUES (9212, 0, 0, 9.45749447, 173, 51);
INSERT INTO public.ecdc_data VALUES (9213, 4, 1138, 129.0118416, 116, 51);
INSERT INTO public.ecdc_data VALUES (9214, 722, 25852, 749.5914565, 174, 51);
INSERT INTO public.ecdc_data VALUES (9215, 4, 66, 30.76373082, 86, 51);
INSERT INTO public.ecdc_data VALUES (9216, 21, 1861, 20.14026469, 117, 51);
INSERT INTO public.ecdc_data VALUES (9217, 0, 21, 146.5731567, 175, 51);
INSERT INTO public.ecdc_data VALUES (9218, 62, 5025, 708.98978657, 118, 51);
INSERT INTO public.ecdc_data VALUES (9219, 47, 988, 64.46404018, 119, 51);
INSERT INTO public.ecdc_data VALUES (9220, 8, 810, 28.02527723, 26, 51);
INSERT INTO public.ecdc_data VALUES (9221, 9, 704, 563.35647476, 176, 51);
INSERT INTO public.ecdc_data VALUES (9222, 1, 422, 167.76493513, 120, 51);
INSERT INTO public.ecdc_data VALUES (9223, 6, 427, 97.94491799, 121, 51);
INSERT INTO public.ecdc_data VALUES (9224, 0, 0, 0.19527284, 122, 51);
INSERT INTO public.ecdc_data VALUES (9225, 9, 580, 282.55679261, 177, 51);
INSERT INTO public.ecdc_data VALUES (9226, 16, 1636, 313.78227985, 123, 51);
INSERT INTO public.ecdc_data VALUES (9227, 0, 0, 3.10549216, 27, 51);
INSERT INTO public.ecdc_data VALUES (9228, 0, 24, 2.36968073, 28, 51);
INSERT INTO public.ecdc_data VALUES (9229, 15, 617, 131.49482556, 29, 51);
INSERT INTO public.ecdc_data VALUES (9230, 1, 14, 836.41669707, 178, 51);
INSERT INTO public.ecdc_data VALUES (9231, 23, 2262, 837.20327652, 179, 51);
INSERT INTO public.ecdc_data VALUES (9232, 10, 373, 1266.34239787, 180, 51);
INSERT INTO public.ecdc_data VALUES (9233, 0, 0, 0.43753443, 30, 51);
INSERT INTO public.ecdc_data VALUES (9234, 0, 1, 0.33818696, 31, 51);
INSERT INTO public.ecdc_data VALUES (9235, 4, 970, 53.036344, 124, 51);
INSERT INTO public.ecdc_data VALUES (9236, 0, 44, 149.72963912, 125, 51);
INSERT INTO public.ecdc_data VALUES (9237, 2, 135, 3.84067106, 32, 51);
INSERT INTO public.ecdc_data VALUES (9238, 5, 69, 349.7048985, 181, 51);
INSERT INTO public.ecdc_data VALUES (9239, 0, 0, 5.10282186, 206, 51);
INSERT INTO public.ecdc_data VALUES (9240, 0, 0, 7.66732557, 33, 51);
INSERT INTO public.ecdc_data VALUES (9241, 0, 0, 3.54422803, 34, 51);
INSERT INTO public.ecdc_data VALUES (9242, 858, 10335, 66.08634168, 87, 51);
INSERT INTO public.ecdc_data VALUES (9243, 21, 1570, 407.98781577, 182, 51);
INSERT INTO public.ecdc_data VALUES (9244, 0, 7, 211.57624301, 183, 51);
INSERT INTO public.ecdc_data VALUES (9245, 0, 13, 9.48788372, 126, 51);
INSERT INTO public.ecdc_data VALUES (9246, 9, 620, 1276.63609683, 184, 51);
INSERT INTO public.ecdc_data VALUES (9247, 0, 0, 0, 88, 51);
INSERT INTO public.ecdc_data VALUES (9248, 70, 4979, 180.6328764, 35, 51);
INSERT INTO public.ecdc_data VALUES (9249, 1, 71, 4.58077465, 36, 51);
INSERT INTO public.ecdc_data VALUES (9250, 26, 1330, 35.36469749, 127, 51);
INSERT INTO public.ecdc_data VALUES (9251, 0, 68, 28.62269515, 37, 51);
INSERT INTO public.ecdc_data VALUES (9252, 28, 1948, 82.83140295, 128, 51);
INSERT INTO public.ecdc_data VALUES (9253, 73, 4901, 426.63641119, 185, 51);
INSERT INTO public.ecdc_data VALUES (9254, 0, 0, 0.70732113, 207, 51);
INSERT INTO public.ecdc_data VALUES (9255, 0, 1, 1.02444836, 208, 51);
INSERT INTO public.ecdc_data VALUES (9256, 0, 0, 1.87915276, 89, 51);
INSERT INTO public.ecdc_data VALUES (9257, 0, 13, 0.66922003, 38, 51);
INSERT INTO public.ecdc_data VALUES (9258, 0, 198, 1.13901222, 39, 51);
INSERT INTO public.ecdc_data VALUES (9259, 39, 1287, 717.86482515, 186, 51);
INSERT INTO public.ecdc_data VALUES (9260, 0, 0, 6.99141803, 209, 51);
INSERT INTO public.ecdc_data VALUES (9261, 2, 531, 146.93484418, 187, 51);
INSERT INTO public.ecdc_data VALUES (9262, 0, 0, 68.2011147, 129, 51);
INSERT INTO public.ecdc_data VALUES (9263, 40, 3306, 16.71828181, 130, 51);
INSERT INTO public.ecdc_data VALUES (9264, 9, 1721, 349.59896993, 131, 51);
INSERT INTO public.ecdc_data VALUES (9265, 16, 1602, 378.36399431, 90, 51);
INSERT INTO public.ecdc_data VALUES (9266, 0, 18, 0.35323131, 210, 51);
INSERT INTO public.ecdc_data VALUES (9267, 14, 987, 138.71541182, 91, 51);
INSERT INTO public.ecdc_data VALUES (9268, 42, 2020, 81.36765328, 92, 51);
INSERT INTO public.ecdc_data VALUES (9269, 30, 1193, 19.88500899, 132, 51);
INSERT INTO public.ecdc_data VALUES (9270, 674, 15356, 804.81003092, 188, 51);
INSERT INTO public.ecdc_data VALUES (9271, 71, 5290, 796.36129283, 189, 51);
INSERT INTO public.ecdc_data VALUES (9272, 14, 161, 456.39809586, 93, 51);
INSERT INTO public.ecdc_data VALUES (9273, 1, 209, 104.6583931, 133, 51);
INSERT INTO public.ecdc_data VALUES (9274, 168, 9739, 598.78055828, 190, 51);
INSERT INTO public.ecdc_data VALUES (9275, 507, 23675, 223.16991593, 191, 51);
INSERT INTO public.ecdc_data VALUES (9276, 0, 29, 3.69844217, 40, 51);
INSERT INTO public.ecdc_data VALUES (9277, 0, 2, 5.67816179, 94, 51);
INSERT INTO public.ecdc_data VALUES (9278, 0, 9, 47.59429963, 95, 51);
INSERT INTO public.ecdc_data VALUES (9279, 0, 0, 6.32951453, 96, 51);
INSERT INTO public.ecdc_data VALUES (9280, 0, 64, 876.55646823, 192, 51);
INSERT INTO public.ecdc_data VALUES (9281, 0, 1, 9.30024925, 41, 51);
INSERT INTO public.ecdc_data VALUES (9282, 14, 326, 12.30866957, 134, 51);
INSERT INTO public.ecdc_data VALUES (9283, 0, 19, 1.17817707, 42, 51);
INSERT INTO public.ecdc_data VALUES (9284, 41, 7579, 1007.84575698, 193, 51);
INSERT INTO public.ecdc_data VALUES (9285, 0, 1, 9.20800892, 43, 51);
INSERT INTO public.ecdc_data VALUES (9286, 0, 2, 0.28157452, 44, 51);
INSERT INTO public.ecdc_data VALUES (9287, 0, 7, 1.7056194, 135, 51);
INSERT INTO public.ecdc_data VALUES (9288, 0, 16, 297.24692727, 97, 51);
INSERT INTO public.ecdc_data VALUES (9289, 23, 1811, 369.20083788, 194, 51);
INSERT INTO public.ecdc_data VALUES (9290, 52, 2226, 978.75542792, 195, 51);
INSERT INTO public.ecdc_data VALUES (9291, 0, 0, 0.14929362, 211, 51);
INSERT INTO public.ecdc_data VALUES (9292, 0, 0, 0.93246699, 45, 51);
INSERT INTO public.ecdc_data VALUES (9293, 118, 3250, 56.53855842, 46, 51);
INSERT INTO public.ecdc_data VALUES (9294, 2, 583, 8.54265023, 136, 51);
INSERT INTO public.ecdc_data VALUES (9295, 0, 0, 0.78646812, 47, 51);
INSERT INTO public.ecdc_data VALUES (9296, 337, 12289, 383.77989589, 196, 51);
INSERT INTO public.ecdc_data VALUES (9297, 2, 502, 28.69572468, 137, 51);
INSERT INTO public.ecdc_data VALUES (9298, 0, 0, 4.30007196, 48, 51);
INSERT INTO public.ecdc_data VALUES (9299, 0, 5, 8.7724881, 98, 51);
INSERT INTO public.ecdc_data VALUES (9300, 67, 6061, 631.51350635, 197, 51);
INSERT INTO public.ecdc_data VALUES (9301, 86, 4862, 768.63236549, 198, 51);
INSERT INTO public.ecdc_data VALUES (9302, 6, 90, 6.08079656, 138, 51);
INSERT INTO public.ecdc_data VALUES (9303, 0, 2, 0.15142669, 139, 51);
INSERT INTO public.ecdc_data VALUES (9304, 0, 37, 5.92209675, 140, 51);
INSERT INTO public.ecdc_data VALUES (9305, 0, 16, 0.12926284, 141, 51);
INSERT INTO public.ecdc_data VALUES (9306, 0, 0, 0, 142, 51);
INSERT INTO public.ecdc_data VALUES (9307, 0, 17, 3.66229711, 49, 51);
INSERT INTO public.ecdc_data VALUES (9308, 1, 15, 42.94002232, 99, 51);
INSERT INTO public.ecdc_data VALUES (9309, 48, 1094, 143.52629704, 50, 51);
INSERT INTO public.ecdc_data VALUES (9310, 168, 6814, 80.09011086, 199, 51);
INSERT INTO public.ecdc_data VALUES (9311, 0, 0, 78.54636854, 100, 51);
INSERT INTO public.ecdc_data VALUES (9312, 5, 484, 8.80288312, 51, 51);
INSERT INTO public.ecdc_data VALUES (9313, 229, 13882, 391.07922933, 200, 51);
INSERT INTO public.ecdc_data VALUES (9314, 4, 1297, 174.63747602, 143, 51);
INSERT INTO public.ecdc_data VALUES (9315, 695, 18213, 450.55515684, 201, 51);
INSERT INTO public.ecdc_data VALUES (9316, 0, 0, 0, 52, 51);
INSERT INTO public.ecdc_data VALUES (9317, 2341, 186589, 722.234999, 101, 51);
INSERT INTO public.ecdc_data VALUES (9318, 0, 0, 106.13985599, 102, 51);
INSERT INTO public.ecdc_data VALUES (9319, 1, 118, 37.20681936, 103, 51);
INSERT INTO public.ecdc_data VALUES (9320, 1, 188, 8.58051196, 144, 51);
INSERT INTO public.ecdc_data VALUES (9321, 0, 0, 0, 212, 51);
INSERT INTO public.ecdc_data VALUES (9322, 4, 319, 18.83865975, 104, 51);
INSERT INTO public.ecdc_data VALUES (9323, 0, 5, 0.07153068, 145, 51);
INSERT INTO public.ecdc_data VALUES (9324, 0, 1, 0, 213, 51);
INSERT INTO public.ecdc_data VALUES (9325, 0, 0, 0, 53, 51);
INSERT INTO public.ecdc_data VALUES (9326, 0, 1, 0.03429129, 146, 51);
INSERT INTO public.ecdc_data VALUES (9327, 0, 69, 2.79379122, 54, 51);
INSERT INTO public.ecdc_data VALUES (9328, 0, 110, 5.74238879, 55, 51);
INSERT INTO public.ecdc_data VALUES (9329, 3, 65, 2.71806583, 105, 52);
INSERT INTO public.ecdc_data VALUES (9330, 4, 299, 131.2871909, 147, 52);
INSERT INTO public.ecdc_data VALUES (9331, 7, 263, 7.1330596, 1, 52);
INSERT INTO public.ecdc_data VALUES (9332, 0, 0, 1761.68659832, 148, 52);
INSERT INTO public.ecdc_data VALUES (9333, 2, 197, 8.73518895, 2, 52);
INSERT INTO public.ecdc_data VALUES (9334, 0, 0, 0, 56, 52);
INSERT INTO public.ecdc_data VALUES (9335, 0, 0, 13.38619163, 57, 52);
INSERT INTO public.ecdc_data VALUES (9336, 283, 9253, 438.54408179, 58, 52);
INSERT INTO public.ecdc_data VALUES (9337, 16, 973, 755.95186576, 149, 52);
INSERT INTO public.ecdc_data VALUES (9338, 0, 10, 212.58583388, 59, 52);
INSERT INTO public.ecdc_data VALUES (9339, 0, 21, 1.01574403, 202, 52);
INSERT INTO public.ecdc_data VALUES (9340, 6, 2766, 299.73670174, 150, 52);
INSERT INTO public.ecdc_data VALUES (9341, 7, 946, 79.39115336, 151, 52);
INSERT INTO public.ecdc_data VALUES (9342, 0, 58, 341.98918575, 60, 52);
INSERT INTO public.ecdc_data VALUES (9343, 0, 280, 302.7119776, 106, 52);
INSERT INTO public.ecdc_data VALUES (9344, 23, 1308, 12.60317836, 107, 52);
INSERT INTO public.ecdc_data VALUES (9345, 0, 0, 6.61972469, 61, 52);
INSERT INTO public.ecdc_data VALUES (9346, 4, 845, 98.27124493, 152, 52);
INSERT INTO public.ecdc_data VALUES (9347, 94, 4895, 1527.79633991, 153, 52);
INSERT INTO public.ecdc_data VALUES (9348, 2, 39, 183.93702078, 62, 52);
INSERT INTO public.ecdc_data VALUES (9349, 0, 0, 1.23716746, 3, 52);
INSERT INTO public.ecdc_data VALUES (9350, 0, 0, 11.19856658, 63, 52);
INSERT INTO public.ecdc_data VALUES (9351, 0, 2, 4.3245, 108, 52);
INSERT INTO public.ecdc_data VALUES (9352, 18, 74, 19.79483896, 64, 52);
INSERT INTO public.ecdc_data VALUES (9353, 0, 0, 7.69734057, 65, 52);
INSERT INTO public.ecdc_data VALUES (9354, 15, 1136, 310.48186033, 154, 52);
INSERT INTO public.ecdc_data VALUES (9355, 0, 0, 60.90194786, 4, 52);
INSERT INTO public.ecdc_data VALUES (9356, 231, 13493, 141.7420904, 66, 52);
INSERT INTO public.ecdc_data VALUES (9357, 0, 0, 3.3296707, 67, 52);
INSERT INTO public.ecdc_data VALUES (9358, 0, 0, 0.46157823, 109, 52);
INSERT INTO public.ecdc_data VALUES (9359, 10, 327, 192.67035512, 155, 52);
INSERT INTO public.ecdc_data VALUES (9360, 0, 7, 0.84147816, 5, 52);
INSERT INTO public.ecdc_data VALUES (9361, 0, 1, 0.27752297, 6, 52);
INSERT INTO public.ecdc_data VALUES (9362, 0, 0, 0.02426221, 110, 52);
INSERT INTO public.ecdc_data VALUES (9363, 0, 0, 1.41828146, 7, 52);
INSERT INTO public.ecdc_data VALUES (9364, 24, 2145, 101.53955097, 68, 52);
INSERT INTO public.ecdc_data VALUES (9365, 0, 74, 240.75528789, 8, 52);
INSERT INTO public.ecdc_data VALUES (9366, 0, 0, 27.71447928, 69, 52);
INSERT INTO public.ecdc_data VALUES (9367, 0, 0, 0.16859216, 9, 52);
INSERT INTO public.ecdc_data VALUES (9368, 0, 3, 0.83401884, 10, 52);
INSERT INTO public.ecdc_data VALUES (9369, 52, 1521, 109.18088744, 70, 52);
INSERT INTO public.ecdc_data VALUES (9370, 0, 26, 0.02364373, 111, 52);
INSERT INTO public.ecdc_data VALUES (9371, 154, 8174, 207.72776528, 71, 52);
INSERT INTO public.ecdc_data VALUES (9372, 0, 0, 2.58552506, 11, 52);
INSERT INTO public.ecdc_data VALUES (9373, 0, 0, 2.50905863, 12, 52);
INSERT INTO public.ecdc_data VALUES (9374, 0, 0, 310.03092385, 72, 52);
INSERT INTO public.ecdc_data VALUES (9375, 1, 41, 1.2287805, 13, 52);
INSERT INTO public.ecdc_data VALUES (9376, 8, 2421, 391.04607524, 156, 52);
INSERT INTO public.ecdc_data VALUES (9377, 0, 32, 5.18816632, 73, 52);
INSERT INTO public.ecdc_data VALUES (9378, 0, 21, 168.27496742, 74, 52);
INSERT INTO public.ecdc_data VALUES (9379, 0, 101, 177.98855804, 157, 52);
INSERT INTO public.ecdc_data VALUES (9380, 124, 7300, 1323.84645721, 158, 52);
INSERT INTO public.ecdc_data VALUES (9381, 0, 0, 0.33644209, 14, 52);
INSERT INTO public.ecdc_data VALUES (9382, 2, 945, 136.64983317, 159, 52);
INSERT INTO public.ecdc_data VALUES (9383, 0, 6, 11.60692183, 15, 52);
INSERT INTO public.ecdc_data VALUES (9384, 0, 1, 8.35561497, 75, 52);
INSERT INTO public.ecdc_data VALUES (9385, 3, 509, 56.33694222, 76, 52);
INSERT INTO public.ecdc_data VALUES (9386, 11, 2021, 84.04678416, 77, 52);
INSERT INTO public.ecdc_data VALUES (9387, 12, 143, 2.14467702, 16, 52);
INSERT INTO public.ecdc_data VALUES (9388, 4, 0, 37.01838523, 78, 52);
INSERT INTO public.ecdc_data VALUES (9389, 0, 0, 1.17995667, 17, 52);
INSERT INTO public.ecdc_data VALUES (9390, 0, 0, 1.34396419, 18, 52);
INSERT INTO public.ecdc_data VALUES (9391, 0, 60, 41.21314594, 160, 52);
INSERT INTO public.ecdc_data VALUES (9392, 0, 7, 16.11311581, 19, 52);
INSERT INTO public.ecdc_data VALUES (9393, 7, 485, 8.07289683, 20, 52);
INSERT INTO public.ecdc_data VALUES (9394, 0, 0, 0, 79, 52);
INSERT INTO public.ecdc_data VALUES (9395, 0, 0, 26.70665818, 161, 52);
INSERT INTO public.ecdc_data VALUES (9396, 0, 0, 0.11236523, 203, 52);
INSERT INTO public.ecdc_data VALUES (9397, 0, 196, 51.64990642, 162, 52);
INSERT INTO public.ecdc_data VALUES (9398, 116, 52010, 602.17227186, 163, 52);
INSERT INTO public.ecdc_data VALUES (9399, 0, 0, 1111.76754928, 204, 52);
INSERT INTO public.ecdc_data VALUES (9400, 0, 0, 3.86637442, 21, 52);
INSERT INTO public.ecdc_data VALUES (9401, 0, 1, 1.19265867, 22, 52);
INSERT INTO public.ecdc_data VALUES (9402, 14, 1872, 463.09987935, 164, 52);
INSERT INTO public.ecdc_data VALUES (9403, 24, 8685, 135.55295929, 165, 52);
INSERT INTO public.ecdc_data VALUES (9404, 0, 0, 2.25196659, 23, 52);
INSERT INTO public.ecdc_data VALUES (9405, 0, 7, 539.9632113, 166, 52);
INSERT INTO public.ecdc_data VALUES (9406, 10, 790, 78.54839141, 167, 52);
INSERT INTO public.ecdc_data VALUES (9407, 0, 0, 1.76491352, 80, 52);
INSERT INTO public.ecdc_data VALUES (9408, 0, 0, 3.5713648, 81, 52);
INSERT INTO public.ecdc_data VALUES (9409, 1, 0, 680.23551212, 205, 52);
INSERT INTO public.ecdc_data VALUES (9410, 35, 155, 40.2241541, 82, 52);
INSERT INTO public.ecdc_data VALUES (9411, 0, 0, 10.85810014, 168, 52);
INSERT INTO public.ecdc_data VALUES (9412, 0, 0, 5.06606795, 24, 52);
INSERT INTO public.ecdc_data VALUES (9413, 0, 0, 0.93705246, 25, 52);
INSERT INTO public.ecdc_data VALUES (9414, 2, 29, 70.77384945, 83, 52);
INSERT INTO public.ecdc_data VALUES (9415, 1, 11, 1.27851363, 84, 52);
INSERT INTO public.ecdc_data VALUES (9416, 0, 0, 1717.79141104, 169, 52);
INSERT INTO public.ecdc_data VALUES (9417, 6, 490, 93.70913436, 85, 52);
INSERT INTO public.ecdc_data VALUES (9418, 47, 2316, 235.20489, 170, 52);
INSERT INTO public.ecdc_data VALUES (9419, 0, 54, 258.26981633, 171, 52);
INSERT INTO public.ecdc_data VALUES (9420, 480, 45148, 57.77303438, 112, 52);
INSERT INTO public.ecdc_data VALUES (9421, 94, 3732, 20.78997954, 113, 52);
INSERT INTO public.ecdc_data VALUES (9422, 296, 6191, 83.00297756, 114, 52);
INSERT INTO public.ecdc_data VALUES (9423, 55, 2554, 125.60993395, 115, 52);
INSERT INTO public.ecdc_data VALUES (9424, 0, 1020, 297.70158067, 172, 52);
INSERT INTO public.ecdc_data VALUES (9425, 0, 0, 2.36437362, 173, 52);
INSERT INTO public.ecdc_data VALUES (9426, 25, 735, 215.03929925, 116, 52);
INSERT INTO public.ecdc_data VALUES (9427, 128, 21273, 283.02399756, 174, 52);
INSERT INTO public.ecdc_data VALUES (9428, 2, 44, 33.7824431, 86, 52);
INSERT INTO public.ecdc_data VALUES (9429, 7, 540, 6.09095206, 117, 52);
INSERT INTO public.ecdc_data VALUES (9430, 0, 0, 75.14193477, 175, 52);
INSERT INTO public.ecdc_data VALUES (9431, 39, 2337, 278.77494247, 118, 52);
INSERT INTO public.ecdc_data VALUES (9432, 1, 166, 20.06853596, 119, 52);
INSERT INTO public.ecdc_data VALUES (9433, 6, 931, 15.54952093, 26, 52);
INSERT INTO public.ecdc_data VALUES (9434, 2, 186, 98.08140757, 176, 52);
INSERT INTO public.ecdc_data VALUES (9435, 2, 708, 250.03107858, 120, 52);
INSERT INTO public.ecdc_data VALUES (9436, 0, 420, 108.16959434, 121, 52);
INSERT INTO public.ecdc_data VALUES (9437, 0, 0, 0.01394806, 122, 52);
INSERT INTO public.ecdc_data VALUES (9438, 2, 211, 104.58507642, 177, 52);
INSERT INTO public.ecdc_data VALUES (9439, 3, 1484, 274.69077232, 123, 52);
INSERT INTO public.ecdc_data VALUES (9440, 0, 6, 6.35214305, 27, 52);
INSERT INTO public.ecdc_data VALUES (9441, 0, 0, 0.60761044, 28, 52);
INSERT INTO public.ecdc_data VALUES (9442, 5, 1639, 196.25366638, 29, 52);
INSERT INTO public.ecdc_data VALUES (9443, 0, 25, 591.48470478, 178, 52);
INSERT INTO public.ecdc_data VALUES (9444, 5, 606, 145.37338987, 179, 52);
INSERT INTO public.ecdc_data VALUES (9445, 1, 491, 789.06130374, 180, 52);
INSERT INTO public.ecdc_data VALUES (9446, 0, 0, 0.92697973, 30, 52);
INSERT INTO public.ecdc_data VALUES (9447, 0, 3, 0.37039524, 31, 52);
INSERT INTO public.ecdc_data VALUES (9448, 8, 823, 34.14107054, 124, 52);
INSERT INTO public.ecdc_data VALUES (9449, 0, 84, 115.07523208, 125, 52);
INSERT INTO public.ecdc_data VALUES (9450, 1, 18, 1.03774423, 32, 52);
INSERT INTO public.ecdc_data VALUES (9451, 2, 80, 350.92055864, 181, 52);
INSERT INTO public.ecdc_data VALUES (9452, 0, 0, 2.47475638, 33, 52);
INSERT INTO public.ecdc_data VALUES (9453, 0, 0, 3.15042491, 34, 52);
INSERT INTO public.ecdc_data VALUES (9454, 181, 4360, 45.79012955, 87, 52);
INSERT INTO public.ecdc_data VALUES (9455, 16, 414, 231.29862106, 182, 52);
INSERT INTO public.ecdc_data VALUES (9456, 0, 10, 217.62127853, 183, 52);
INSERT INTO public.ecdc_data VALUES (9457, 0, 1, 0.65112928, 126, 52);
INSERT INTO public.ecdc_data VALUES (9458, 3, 168, 470.60184962, 184, 52);
INSERT INTO public.ecdc_data VALUES (9459, 0, 0, 0, 88, 52);
INSERT INTO public.ecdc_data VALUES (9460, 46, 3020, 123.59423451, 35, 52);
INSERT INTO public.ecdc_data VALUES (9461, 1, 91, 6.53690703, 36, 52);
INSERT INTO public.ecdc_data VALUES (9462, 29, 986, 31.08496405, 127, 52);
INSERT INTO public.ecdc_data VALUES (9463, 0, 81, 29.02357323, 37, 52);
INSERT INTO public.ecdc_data VALUES (9464, 5, 2856, 175.93939469, 128, 52);
INSERT INTO public.ecdc_data VALUES (9465, 27, 10194, 673.96077678, 185, 52);
INSERT INTO public.ecdc_data VALUES (9466, 0, 0, 0, 207, 52);
INSERT INTO public.ecdc_data VALUES (9467, 0, 5, 1.44259054, 208, 52);
INSERT INTO public.ecdc_data VALUES (9468, 0, 0, 2.597203, 89, 52);
INSERT INTO public.ecdc_data VALUES (9469, 0, 0, 0.06005821, 38, 52);
INSERT INTO public.ecdc_data VALUES (9470, 1, 62, 0.85886199, 39, 52);
INSERT INTO public.ecdc_data VALUES (9471, 22, 560, 289.67826792, 186, 52);
INSERT INTO public.ecdc_data VALUES (9472, 0, 4, 26.21781763, 209, 52);
INSERT INTO public.ecdc_data VALUES (9473, 0, 0, 37.74249223, 187, 52);
INSERT INTO public.ecdc_data VALUES (9474, 27, 1095, 141.54796631, 129, 52);
INSERT INTO public.ecdc_data VALUES (9475, 3, 707, 4.46516558, 130, 52);
INSERT INTO public.ecdc_data VALUES (9476, 5, 453, 130.28408354, 131, 52);
INSERT INTO public.ecdc_data VALUES (9477, 5, 685, 209.28118612, 90, 52);
INSERT INTO public.ecdc_data VALUES (9478, 0, 5, 0.38741498, 210, 52);
INSERT INTO public.ecdc_data VALUES (9479, 16, 551, 140.80210498, 91, 52);
INSERT INTO public.ecdc_data VALUES (9480, 54, 2501, 121.01950443, 92, 52);
INSERT INTO public.ecdc_data VALUES (9481, 43, 2209, 28.38323972, 132, 52);
INSERT INTO public.ecdc_data VALUES (9482, 87, 11742, 336.7461962, 188, 52);
INSERT INTO public.ecdc_data VALUES (9483, 19, 2577, 311.60059775, 189, 52);
INSERT INTO public.ecdc_data VALUES (9484, 7, 1223, 301.08365571, 93, 52);
INSERT INTO public.ecdc_data VALUES (9485, 1, 205, 112.46186978, 133, 52);
INSERT INTO public.ecdc_data VALUES (9486, 73, 3855, 280.02326926, 190, 52);
INSERT INTO public.ecdc_data VALUES (9487, 229, 16710, 147.49822893, 191, 52);
INSERT INTO public.ecdc_data VALUES (9488, 0, 6, 1.34632799, 40, 52);
INSERT INTO public.ecdc_data VALUES (9489, 0, 0, 0, 94, 52);
INSERT INTO public.ecdc_data VALUES (9490, 0, 2, 13.67652288, 95, 52);
INSERT INTO public.ecdc_data VALUES (9491, 0, 0, 8.13794725, 96, 52);
INSERT INTO public.ecdc_data VALUES (9492, 0, 0, 194.46782573, 192, 52);
INSERT INTO public.ecdc_data VALUES (9493, 0, 0, 5.11513709, 41, 52);
INSERT INTO public.ecdc_data VALUES (9494, 15, 323, 16.36486935, 134, 52);
INSERT INTO public.ecdc_data VALUES (9495, 0, 8, 1.73658391, 42, 52);
INSERT INTO public.ecdc_data VALUES (9496, 3, 614, 67.47787547, 193, 52);
INSERT INTO public.ecdc_data VALUES (9497, 0, 0, 5.11556051, 43, 52);
INSERT INTO public.ecdc_data VALUES (9498, 0, 1, 0.51195367, 44, 52);
INSERT INTO public.ecdc_data VALUES (9499, 0, 5, 1.619477, 135, 52);
INSERT INTO public.ecdc_data VALUES (9500, 0, 4, 174.57359221, 97, 52);
INSERT INTO public.ecdc_data VALUES (9501, 0, 3042, 440.18618011, 194, 52);
INSERT INTO public.ecdc_data VALUES (9502, 2, 1673, 686.47917159, 195, 52);
INSERT INTO public.ecdc_data VALUES (9503, 0, 0, 0, 211, 52);
INSERT INTO public.ecdc_data VALUES (9504, 2, 44, 0.49861082, 45, 52);
INSERT INTO public.ecdc_data VALUES (9505, 24, 1622, 39.95507586, 46, 52);
INSERT INTO public.ecdc_data VALUES (9506, 0, 119, 2.44410377, 136, 52);
INSERT INTO public.ecdc_data VALUES (9507, 0, 5, 0.95822553, 47, 52);
INSERT INTO public.ecdc_data VALUES (9508, 279, 52188, 446.02708393, 196, 52);
INSERT INTO public.ecdc_data VALUES (9509, 0, 351, 14.63158376, 137, 52);
INSERT INTO public.ecdc_data VALUES (9510, 0, 0, 0.16817229, 48, 52);
INSERT INTO public.ecdc_data VALUES (9511, 0, 4, 20.4691389, 98, 52);
INSERT INTO public.ecdc_data VALUES (9512, 8, 514, 140.9847427, 197, 52);
INSERT INTO public.ecdc_data VALUES (9513, 0, 0, 504.33452899, 198, 52);
INSERT INTO public.ecdc_data VALUES (9514, 2, 49, 4.30576635, 138, 52);
INSERT INTO public.ecdc_data VALUES (9515, 0, 0, 0.09674483, 139, 52);
INSERT INTO public.ecdc_data VALUES (9516, 0, 40, 5.94355362, 140, 52);
INSERT INTO public.ecdc_data VALUES (9517, 0, 7, 0.14649788, 141, 52);
INSERT INTO public.ecdc_data VALUES (9518, 0, 0, 0.07733234, 142, 52);
INSERT INTO public.ecdc_data VALUES (9519, 0, 13, 3.2168826, 49, 52);
INSERT INTO public.ecdc_data VALUES (9520, 0, 8, 29.39133414, 99, 52);
INSERT INTO public.ecdc_data VALUES (9521, 0, 0, 149.98220137, 50, 52);
INSERT INTO public.ecdc_data VALUES (9522, 72, 2017, 32.03262987, 199, 52);
INSERT INTO public.ecdc_data VALUES (9523, 0, 0, 15.70927371, 100, 52);
INSERT INTO public.ecdc_data VALUES (9524, 2, 146, 3.70909266, 51, 52);
INSERT INTO public.ecdc_data VALUES (9525, 102, 6079, 187.4248059, 200, 52);
INSERT INTO public.ecdc_data VALUES (9526, 2, 1359, 193.3775111, 143, 52);
INSERT INTO public.ecdc_data VALUES (9527, 151, 19790, 405.24486642, 201, 52);
INSERT INTO public.ecdc_data VALUES (9528, 0, 0, 0, 52, 52);
INSERT INTO public.ecdc_data VALUES (9529, 331, 59440, 265.48591322, 101, 52);
INSERT INTO public.ecdc_data VALUES (9530, 0, 0, 21.99294313, 102, 52);
INSERT INTO public.ecdc_data VALUES (9531, 0, 44, 16.09021614, 103, 52);
INSERT INTO public.ecdc_data VALUES (9532, 3, 280, 13.28614961, 144, 52);
INSERT INTO public.ecdc_data VALUES (9533, 3, 423, 22.54186613, 104, 52);
INSERT INTO public.ecdc_data VALUES (9534, 0, 8, 0.06116391, 145, 52);
INSERT INTO public.ecdc_data VALUES (9535, 0, 0, 0, 213, 52);
INSERT INTO public.ecdc_data VALUES (9536, 0, 0, 0, 53, 52);
INSERT INTO public.ecdc_data VALUES (9537, 0, 0, 0.02743303, 146, 52);
INSERT INTO public.ecdc_data VALUES (9538, 0, 0, 3.68959602, 54, 52);
INSERT INTO public.ecdc_data VALUES (9539, 1, 7, 1.80943285, 55, 52);
INSERT INTO public.ecdc_data VALUES (9540, 2, 6, 1.54041255, 105, 53);
INSERT INTO public.ecdc_data VALUES (9541, 3, 124, 70.70922682, 147, 53);
INSERT INTO public.ecdc_data VALUES (9542, 4, 175, 6.97279222, 1, 53);
INSERT INTO public.ecdc_data VALUES (9543, 0, 83, 645.86423724, 148, 53);
INSERT INTO public.ecdc_data VALUES (9544, 3, 112, 3.95283011, 2, 53);
INSERT INTO public.ecdc_data VALUES (9545, 0, 0, 0, 56, 53);
INSERT INTO public.ecdc_data VALUES (9546, 0, 0, 3.08912115, 57, 53);
INSERT INTO public.ecdc_data VALUES (9547, 442, 12956, 373.0113492, 58, 53);
INSERT INTO public.ecdc_data VALUES (9548, 2, 392, 106.16256803, 149, 53);
INSERT INTO public.ecdc_data VALUES (9549, 0, 43, 847.52139968, 59, 53);
INSERT INTO public.ecdc_data VALUES (9550, 8, 17, 1.72597131, 202, 53);
INSERT INTO public.ecdc_data VALUES (9551, 3, 1071, 111.31335879, 150, 53);
INSERT INTO public.ecdc_data VALUES (9552, 2, 101, 17.41688835, 151, 53);
INSERT INTO public.ecdc_data VALUES (9553, 1, 91, 250.58667064, 60, 53);
INSERT INTO public.ecdc_data VALUES (9554, 4, 687, 578.49185091, 106, 53);
INSERT INTO public.ecdc_data VALUES (9555, 21, 1383, 13.49617694, 107, 53);
INSERT INTO public.ecdc_data VALUES (9556, 0, 1, 3.48406563, 61, 53);
INSERT INTO public.ecdc_data VALUES (9557, 5, 306, 33.56816236, 152, 53);
INSERT INTO public.ecdc_data VALUES (9558, 5, 1623, 178.83083254, 153, 53);
INSERT INTO public.ecdc_data VALUES (9559, 1, 50, 95.55502612, 62, 53);
INSERT INTO public.ecdc_data VALUES (9560, 0, 0, 0.70332123, 3, 53);
INSERT INTO public.ecdc_data VALUES (9561, 0, 0, 6.3991809, 63, 53);
INSERT INTO public.ecdc_data VALUES (9562, 0, 0, 2.883, 108, 53);
INSERT INTO public.ecdc_data VALUES (9563, 35, 604, 69.92033945, 64, 53);
INSERT INTO public.ecdc_data VALUES (9564, 0, 7, 230.92021707, 65, 53);
INSERT INTO public.ecdc_data VALUES (9565, 6, 248, 112.99613026, 154, 53);
INSERT INTO public.ecdc_data VALUES (9566, 0, 0, 29.0402018, 4, 53);
INSERT INTO public.ecdc_data VALUES (9567, 729, 31911, 193.05848311, 66, 53);
INSERT INTO public.ecdc_data VALUES (9568, 0, 0, 23.30769487, 67, 53);
INSERT INTO public.ecdc_data VALUES (9569, 0, 0, 0, 109, 53);
INSERT INTO public.ecdc_data VALUES (9570, 4, 255, 28.98555279, 155, 53);
INSERT INTO public.ecdc_data VALUES (9571, 0, 12, 2.27838824, 5, 53);
INSERT INTO public.ecdc_data VALUES (9572, 0, 6, 0.1214163, 6, 53);
INSERT INTO public.ecdc_data VALUES (9573, 0, 0, 0.00606555, 110, 53);
INSERT INTO public.ecdc_data VALUES (9574, 0, 0, 2.71676258, 7, 53);
INSERT INTO public.ecdc_data VALUES (9575, 6, 1362, 39.64070711, 68, 53);
INSERT INTO public.ecdc_data VALUES (9576, 0, 149, 177.65703646, 8, 53);
INSERT INTO public.ecdc_data VALUES (9577, 0, 0, 3.07938659, 69, 53);
INSERT INTO public.ecdc_data VALUES (9578, 0, 2, 1.20121917, 9, 53);
INSERT INTO public.ecdc_data VALUES (9579, 1, 4, 0.58945692, 10, 53);
INSERT INTO public.ecdc_data VALUES (9580, 58, 2234, 123.11606643, 70, 53);
INSERT INTO public.ecdc_data VALUES (9581, 1, 17, 0.02064468, 111, 53);
INSERT INTO public.ecdc_data VALUES (9582, 179, 7494, 191.16023989, 71, 53);
INSERT INTO public.ecdc_data VALUES (9583, 0, 0, 2.11542959, 11, 53);
INSERT INTO public.ecdc_data VALUES (9584, 0, 0, 1.4310927, 12, 53);
INSERT INTO public.ecdc_data VALUES (9585, 17, 1357, 333.76515905, 72, 53);
INSERT INTO public.ecdc_data VALUES (9586, 0, 55, 2.48866936, 13, 53);
INSERT INTO public.ecdc_data VALUES (9587, 5, 223, 65.94302699, 156, 53);
INSERT INTO public.ecdc_data VALUES (9588, 0, 40, 6.67932297, 73, 53);
INSERT INTO public.ecdc_data VALUES (9589, 0, 14, 118.71034065, 74, 53);
INSERT INTO public.ecdc_data VALUES (9590, 0, 8, 17.23943057, 157, 53);
INSERT INTO public.ecdc_data VALUES (9591, 14, 2944, 257.82643806, 158, 53);
INSERT INTO public.ecdc_data VALUES (9592, 0, 23, 0.25002717, 14, 53);
INSERT INTO public.ecdc_data VALUES (9593, 2, 678, 109.85034484, 159, 53);
INSERT INTO public.ecdc_data VALUES (9594, 0, 2, 1.54074184, 15, 53);
INSERT INTO public.ecdc_data VALUES (9595, 0, 0, 0, 75, 53);
INSERT INTO public.ecdc_data VALUES (9596, 11, 475, 77.89397052, 76, 53);
INSERT INTO public.ecdc_data VALUES (9597, 23, 1329, 102.12587943, 77, 53);
INSERT INTO public.ecdc_data VALUES (9598, 18, 112, 1.90958934, 16, 53);
INSERT INTO public.ecdc_data VALUES (9599, 3, 214, 24.23472352, 78, 53);
INSERT INTO public.ecdc_data VALUES (9600, 0, 0, 2.06492417, 17, 53);
INSERT INTO public.ecdc_data VALUES (9601, 0, 5, 0.22875986, 18, 53);
INSERT INTO public.ecdc_data VALUES (9602, 0, 42, 36.6842288, 160, 53);
INSERT INTO public.ecdc_data VALUES (9603, 0, 24, 32.57462332, 19, 53);
INSERT INTO public.ecdc_data VALUES (9604, 7, 486, 7.85697718, 20, 53);
INSERT INTO public.ecdc_data VALUES (9605, 0, 0, 0, 79, 53);
INSERT INTO public.ecdc_data VALUES (9606, 0, 3, 86.28304949, 161, 53);
INSERT INTO public.ecdc_data VALUES (9607, 0, 0, 0, 203, 53);
INSERT INTO public.ecdc_data VALUES (9608, 0, 105, 17.61533651, 162, 53);
INSERT INTO public.ecdc_data VALUES (9609, 150, 15797, 223.36600561, 163, 53);
INSERT INTO public.ecdc_data VALUES (9610, 0, 0, 157.90321714, 204, 53);
INSERT INTO public.ecdc_data VALUES (9611, 0, 12, 3.91240268, 21, 53);
INSERT INTO public.ecdc_data VALUES (9612, 0, 3, 8.22082587, 22, 53);
INSERT INTO public.ecdc_data VALUES (9613, 2, 265, 64.77743734, 164, 53);
INSERT INTO public.ecdc_data VALUES (9614, 9, 2507, 29.21010586, 165, 53);
INSERT INTO public.ecdc_data VALUES (9615, 0, 0, 2.74181042, 23, 53);
INSERT INTO public.ecdc_data VALUES (9616, 0, 3, 121.64006408, 166, 53);
INSERT INTO public.ecdc_data VALUES (9617, 3, 286, 38.96649189, 167, 53);
INSERT INTO public.ecdc_data VALUES (9618, 0, 0, 0, 80, 53);
INSERT INTO public.ecdc_data VALUES (9619, 0, 0, 0, 81, 53);
INSERT INTO public.ecdc_data VALUES (9620, 4, 51, 252.84676769, 205, 53);
INSERT INTO public.ecdc_data VALUES (9621, 16, 945, 44.75733437, 82, 53);
INSERT INTO public.ecdc_data VALUES (9622, 0, 0, 4.65347149, 168, 53);
INSERT INTO public.ecdc_data VALUES (9623, 0, 0, 3.90721469, 24, 53);
INSERT INTO public.ecdc_data VALUES (9624, 0, 21, 2.55086503, 25, 53);
INSERT INTO public.ecdc_data VALUES (9625, 2, 130, 120.85209671, 83, 53);
INSERT INTO public.ecdc_data VALUES (9626, 2, 38, 2.01543468, 84, 53);
INSERT INTO public.ecdc_data VALUES (9627, 0, 0, 0, 169, 53);
INSERT INTO public.ecdc_data VALUES (9628, 22, 647, 79.93954514, 85, 53);
INSERT INTO public.ecdc_data VALUES (9629, 12, 950, 124.50940144, 170, 53);
INSERT INTO public.ecdc_data VALUES (9630, 0, 49, 112.04764266, 171, 53);
INSERT INTO public.ecdc_data VALUES (9631, 1089, 85362, 91.03716594, 112, 53);
INSERT INTO public.ecdc_data VALUES (9632, 113, 4823, 20.65769344, 113, 53);
INSERT INTO public.ecdc_data VALUES (9633, 207, 3563, 50.75265251, 114, 53);
INSERT INTO public.ecdc_data VALUES (9634, 68, 4593, 150.15852667, 115, 53);
INSERT INTO public.ecdc_data VALUES (9635, 0, 321, 76.34210398, 172, 53);
INSERT INTO public.ecdc_data VALUES (9636, 0, 0, 3.54656043, 173, 53);
INSERT INTO public.ecdc_data VALUES (9637, 27, 815, 783.02710775, 116, 53);
INSERT INTO public.ecdc_data VALUES (9638, 20, 1912, 35.51882249, 174, 53);
INSERT INTO public.ecdc_data VALUES (9639, 3, 135, 74.24675497, 86, 53);
INSERT INTO public.ecdc_data VALUES (9640, 8, 558, 5.13241735, 117, 53);
INSERT INTO public.ecdc_data VALUES (9641, 0, 1, 18.55356414, 175, 53);
INSERT INTO public.ecdc_data VALUES (9642, 3, 620, 42.2305282, 118, 53);
INSERT INTO public.ecdc_data VALUES (9643, 0, 301, 21.11966798, 119, 53);
INSERT INTO public.ecdc_data VALUES (9644, 13, 218, 3.64058508, 26, 53);
INSERT INTO public.ecdc_data VALUES (9645, 1, 46, 49.09630549, 176, 53);
INSERT INTO public.ecdc_data VALUES (9646, 3, 590, 213.11708818, 120, 53);
INSERT INTO public.ecdc_data VALUES (9647, 0, 158, 19.67003286, 121, 53);
INSERT INTO public.ecdc_data VALUES (9648, 0, 0, 0, 122, 53);
INSERT INTO public.ecdc_data VALUES (9649, 0, 31, 8.64597743, 177, 53);
INSERT INTO public.ecdc_data VALUES (9650, 4, 1143, 160.14390342, 123, 53);
INSERT INTO public.ecdc_data VALUES (9651, 0, 51, 14.72756129, 27, 53);
INSERT INTO public.ecdc_data VALUES (9652, 0, 0, 0.46583467, 28, 53);
INSERT INTO public.ecdc_data VALUES (9653, 17, 658, 138.42958409, 29, 53);
INSERT INTO public.ecdc_data VALUES (9654, 0, 0, 20.84527594, 178, 53);
INSERT INTO public.ecdc_data VALUES (9655, 0, 114, 33.67709499, 179, 53);
INSERT INTO public.ecdc_data VALUES (9656, 0, 75, 174.94876966, 180, 53);
INSERT INTO public.ecdc_data VALUES (9657, 1, 30, 2.04677124, 30, 53);
INSERT INTO public.ecdc_data VALUES (9658, 0, 14, 0.49386032, 31, 53);
INSERT INTO public.ecdc_data VALUES (9659, 0, 0, 2.39751192, 124, 53);
INSERT INTO public.ecdc_data VALUES (9660, 0, 75, 192.85930876, 125, 53);
INSERT INTO public.ecdc_data VALUES (9661, 0, 23, 0.77322119, 32, 53);
INSERT INTO public.ecdc_data VALUES (9662, 2, 29, 138.58525526, 181, 53);
INSERT INTO public.ecdc_data VALUES (9663, 0, 0, 4.66226425, 33, 53);
INSERT INTO public.ecdc_data VALUES (9664, 0, 0, 0.86636685, 34, 53);
INSERT INTO public.ecdc_data VALUES (9665, 405, 5079, 47.22457392, 87, 53);
INSERT INTO public.ecdc_data VALUES (9666, 12, 713, 185.07352239, 182, 53);
INSERT INTO public.ecdc_data VALUES (9667, 0, 3, 120.90071029, 183, 53);
INSERT INTO public.ecdc_data VALUES (9668, 0, 0, 0.06201231, 126, 53);
INSERT INTO public.ecdc_data VALUES (9669, 1, 245, 574.91216396, 184, 53);
INSERT INTO public.ecdc_data VALUES (9670, 0, 0, 0, 88, 53);
INSERT INTO public.ecdc_data VALUES (9671, 42, 2423, 83.14650845, 35, 53);
INSERT INTO public.ecdc_data VALUES (9672, 2, 190, 8.79600941, 36, 53);
INSERT INTO public.ecdc_data VALUES (9673, 19, 597, 12.33591996, 127, 53);
INSERT INTO public.ecdc_data VALUES (9674, 0, 95, 56.04275605, 37, 53);
INSERT INTO public.ecdc_data VALUES (9675, 6, 1313, 65.34722024, 128, 53);
INSERT INTO public.ecdc_data VALUES (9676, 16, 2776, 151.04590785, 185, 53);
INSERT INTO public.ecdc_data VALUES (9677, 0, 1, 0.35366056, 207, 53);
INSERT INTO public.ecdc_data VALUES (9678, 0, 2, 0.64812039, 208, 53);
INSERT INTO public.ecdc_data VALUES (9679, 0, 0, 3.89580449, 89, 53);
INSERT INTO public.ecdc_data VALUES (9680, 0, 0, 0.06863795, 38, 53);
INSERT INTO public.ecdc_data VALUES (9681, 1, 213, 1.0175972, 39, 53);
INSERT INTO public.ecdc_data VALUES (9682, 9, 143, 92.8684359, 186, 53);
INSERT INTO public.ecdc_data VALUES (9683, 0, 0, 17.47854509, 209, 53);
INSERT INTO public.ecdc_data VALUES (9684, 0, 131, 28.90275387, 187, 53);
INSERT INTO public.ecdc_data VALUES (9685, 0, 0, 152.1610487, 129, 53);
INSERT INTO public.ecdc_data VALUES (9686, 7, 566, 3.98309393, 130, 53);
INSERT INTO public.ecdc_data VALUES (9687, 5, 452, 209.09692052, 131, 53);
INSERT INTO public.ecdc_data VALUES (9688, 14, 705, 214.32070158, 90, 53);
INSERT INTO public.ecdc_data VALUES (9689, 0, 1, 0.28486396, 210, 53);
INSERT INTO public.ecdc_data VALUES (9690, 18, 822, 152.08728226, 91, 53);
INSERT INTO public.ecdc_data VALUES (9691, 99, 5654, 239.65823679, 92, 53);
INSERT INTO public.ecdc_data VALUES (9692, 69, 2606, 42.91384538, 132, 53);
INSERT INTO public.ecdc_data VALUES (9693, 23, 1587, 29.88717296, 188, 53);
INSERT INTO public.ecdc_data VALUES (9694, 5, 899, 89.93231917, 189, 53);
INSERT INTO public.ecdc_data VALUES (9695, 8, 1063, 283.76589109, 93, 53);
INSERT INTO public.ecdc_data VALUES (9696, 0, 225, 118.74702294, 133, 53);
INSERT INTO public.ecdc_data VALUES (9697, 42, 1629, 95.84609573, 190, 53);
INSERT INTO public.ecdc_data VALUES (9698, 108, 7212, 57.70391163, 191, 53);
INSERT INTO public.ecdc_data VALUES (9699, 2, 9, 2.09076817, 40, 53);
INSERT INTO public.ecdc_data VALUES (9700, 0, 0, 3.78544119, 94, 53);
INSERT INTO public.ecdc_data VALUES (9701, 0, 0, 0, 95, 53);
INSERT INTO public.ecdc_data VALUES (9702, 0, 0, 0, 96, 53);
INSERT INTO public.ecdc_data VALUES (9703, 0, 0, 14.51252431, 192, 53);
INSERT INTO public.ecdc_data VALUES (9704, 0, 1, 2.32506231, 41, 53);
INSERT INTO public.ecdc_data VALUES (9705, 26, 472, 23.11742065, 134, 53);
INSERT INTO public.ecdc_data VALUES (9706, 0, 0, 3.82293913, 42, 53);
INSERT INTO public.ecdc_data VALUES (9707, 1, 75, 14.50365061, 193, 53);
INSERT INTO public.ecdc_data VALUES (9708, 0, 0, 6.13867261, 43, 53);
INSERT INTO public.ecdc_data VALUES (9709, 0, 11, 1.43347028, 44, 53);
INSERT INTO public.ecdc_data VALUES (9710, 0, 11, 6.02996756, 135, 53);
INSERT INTO public.ecdc_data VALUES (9711, 0, 9, 226.47384935, 97, 53);
INSERT INTO public.ecdc_data VALUES (9712, 0, 419, 51.29878958, 194, 53);
INSERT INTO public.ecdc_data VALUES (9713, 0, 191, 72.51642072, 195, 53);
INSERT INTO public.ecdc_data VALUES (9714, 0, 0, 0.5763164, 45, 53);
INSERT INTO public.ecdc_data VALUES (9715, 29, 1480, 37.79312663, 46, 53);
INSERT INTO public.ecdc_data VALUES (9716, 4, 61, 2.85210511, 136, 53);
INSERT INTO public.ecdc_data VALUES (9717, 0, 12, 0.97630525, 47, 53);
INSERT INTO public.ecdc_data VALUES (9718, 0, 0, 319.90712669, 196, 53);
INSERT INTO public.ecdc_data VALUES (9719, 0, 12, 0.82537139, 137, 53);
INSERT INTO public.ecdc_data VALUES (9720, 0, 0, 0.36203756, 48, 53);
INSERT INTO public.ecdc_data VALUES (9721, 0, 28, 49.53875634, 98, 53);
INSERT INTO public.ecdc_data VALUES (9722, 4, 630, 43.78219944, 197, 53);
INSERT INTO public.ecdc_data VALUES (9723, 1, 255, 65.73798643, 198, 53);
INSERT INTO public.ecdc_data VALUES (9724, 2, 35, 3.07554739, 138, 53);
INSERT INTO public.ecdc_data VALUES (9725, 0, 1, 0.05047556, 139, 53);
INSERT INTO public.ecdc_data VALUES (9726, 0, 42, 6.27613514, 140, 53);
INSERT INTO public.ecdc_data VALUES (9727, 0, 3, 0.08043021, 141, 53);
INSERT INTO public.ecdc_data VALUES (9728, 0, 0, 0, 142, 53);
INSERT INTO public.ecdc_data VALUES (9729, 0, 15, 2.15283681, 49, 53);
INSERT INTO public.ecdc_data VALUES (9730, 3, 42, 104.08833458, 99, 53);
INSERT INTO public.ecdc_data VALUES (9731, 11, 1087, 69.54419862, 50, 53);
INSERT INTO public.ecdc_data VALUES (9732, 73, 1665, 28.4486532, 199, 53);
INSERT INTO public.ecdc_data VALUES (9733, 0, 1, 102.1102791, 100, 53);
INSERT INTO public.ecdc_data VALUES (9734, 1, 154, 6.41749832, 51, 53);
INSERT INTO public.ecdc_data VALUES (9735, 70, 3565, 97.5481844, 200, 53);
INSERT INTO public.ecdc_data VALUES (9736, 2, 1008, 119.7274333, 143, 53);
INSERT INTO public.ecdc_data VALUES (9737, 34, 6873, 92.36559268, 201, 53);
INSERT INTO public.ecdc_data VALUES (9738, 0, 0, 0, 52, 53);
INSERT INTO public.ecdc_data VALUES (9739, 964, 55013, 178.73129879, 101, 53);
INSERT INTO public.ecdc_data VALUES (9740, 0, 18, 108.05228583, 102, 53);
INSERT INTO public.ecdc_data VALUES (9741, 0, 8, 5.60413273, 103, 53);
INSERT INTO public.ecdc_data VALUES (9742, 3, 496, 24.14671281, 144, 53);
INSERT INTO public.ecdc_data VALUES (9743, 10, 867, 44.22105351, 104, 53);
INSERT INTO public.ecdc_data VALUES (9744, 0, 0, 0.00933009, 145, 53);
INSERT INTO public.ecdc_data VALUES (9745, 0, 0, 0, 53, 53);
INSERT INTO public.ecdc_data VALUES (9746, 0, 0, 0.08915736, 146, 53);
INSERT INTO public.ecdc_data VALUES (9747, 0, 24, 6.67374576, 54, 53);
INSERT INTO public.ecdc_data VALUES (9748, 0, 35, 2.10303894, 55, 53);
INSERT INTO public.ecdc_data VALUES (9749, 0, 1, 2.10820967, 105, 54);
INSERT INTO public.ecdc_data VALUES (9750, 5, 154, 72.77041476, 147, 54);
INSERT INTO public.ecdc_data VALUES (9751, 10, 370, 13.99203875, 1, 54);
INSERT INTO public.ecdc_data VALUES (9752, 0, 0, 127.33502238, 148, 54);
INSERT INTO public.ecdc_data VALUES (9753, 2, 61, 1.8978612, 2, 54);
INSERT INTO public.ecdc_data VALUES (9754, 0, 0, 0, 56, 54);
INSERT INTO public.ecdc_data VALUES (9755, 0, 0, 2.0594141, 57, 54);
INSERT INTO public.ecdc_data VALUES (9756, 323, 8713, 216.60906183, 58, 54);
INSERT INTO public.ecdc_data VALUES (9757, 4, 111, 79.2162092, 149, 54);
INSERT INTO public.ecdc_data VALUES (9758, 1, 42, 896.43495438, 59, 54);
INSERT INTO public.ecdc_data VALUES (9759, 8, 137, 13.25228542, 202, 54);
INSERT INTO public.ecdc_data VALUES (9760, 0, 291, 40.38933148, 150, 54);
INSERT INTO public.ecdc_data VALUES (9761, 2, 133, 18.19318395, 151, 54);
INSERT INTO public.ecdc_data VALUES (9762, 0, 15, 211.56087767, 60, 54);
INSERT INTO public.ecdc_data VALUES (9763, 2, 746, 321.23541584, 106, 54);
INSERT INTO public.ecdc_data VALUES (9764, 45, 2545, 22.15630047, 107, 54);
INSERT INTO public.ecdc_data VALUES (9765, 0, 3, 7.31653781, 61, 54);
INSERT INTO public.ecdc_data VALUES (9766, 6, 82, 18.21757819, 152, 54);
INSERT INTO public.ecdc_data VALUES (9767, 5, 527, 60.56469375, 153, 54);
INSERT INTO public.ecdc_data VALUES (9768, 0, 17, 133.21344124, 62, 54);
INSERT INTO public.ecdc_data VALUES (9769, 0, 0, 0.96600747, 3, 54);
INSERT INTO public.ecdc_data VALUES (9770, 0, 0, 14.39815704, 63, 54);
INSERT INTO public.ecdc_data VALUES (9771, 0, 17, 7.86272727, 108, 54);
INSERT INTO public.ecdc_data VALUES (9772, 86, 851, 153.4860023, 64, 54);
INSERT INTO public.ecdc_data VALUES (9773, 0, 0, 0, 65, 54);
INSERT INTO public.ecdc_data VALUES (9774, 14, 297, 109.54262923, 154, 54);
INSERT INTO public.ecdc_data VALUES (9775, 0, 0, 21.5305532, 4, 54);
INSERT INTO public.ecdc_data VALUES (9776, 1271, 47134, 265.51351676, 66, 54);
INSERT INTO public.ecdc_data VALUES (9777, 0, 0, 56.60440182, 67, 54);
INSERT INTO public.ecdc_data VALUES (9778, 0, 1, 0.46157823, 109, 54);
INSERT INTO public.ecdc_data VALUES (9779, 9, 203, 26.67127997, 155, 54);
INSERT INTO public.ecdc_data VALUES (9780, 0, 14, 0.68400856, 5, 54);
INSERT INTO public.ecdc_data VALUES (9781, 0, 0, 0.19079704, 6, 54);
INSERT INTO public.ecdc_data VALUES (9782, 0, 0, 0.03032777, 110, 54);
INSERT INTO public.ecdc_data VALUES (9783, 2, 211, 2.93704063, 7, 54);
INSERT INTO public.ecdc_data VALUES (9784, 7, 322, 14.86994293, 68, 54);
INSERT INTO public.ecdc_data VALUES (9785, 0, 36, 117.83189317, 8, 54);
INSERT INTO public.ecdc_data VALUES (9786, 0, 0, 3.07938659, 69, 54);
INSERT INTO public.ecdc_data VALUES (9787, 0, 12, 0.92725691, 9, 54);
INSERT INTO public.ecdc_data VALUES (9788, 1, 8, 0.3072701, 10, 54);
INSERT INTO public.ecdc_data VALUES (9789, 42, 1417, 128.58249787, 70, 54);
INSERT INTO public.ecdc_data VALUES (9790, 1, 34, 0.05495948, 111, 54);
INSERT INTO public.ecdc_data VALUES (9791, 277, 10432, 301.30448603, 71, 54);
INSERT INTO public.ecdc_data VALUES (9792, 0, 0, 2.11542959, 11, 54);
INSERT INTO public.ecdc_data VALUES (9793, 1, 129, 4.34903496, 12, 54);
INSERT INTO public.ecdc_data VALUES (9794, 14, 842, 213.9052901, 72, 54);
INSERT INTO public.ecdc_data VALUES (9795, 0, 56, 2.7803103, 13, 54);
INSERT INTO public.ecdc_data VALUES (9796, 2, 219, 68.44532935, 156, 54);
INSERT INTO public.ecdc_data VALUES (9797, 0, 27, 5.74404129, 73, 54);
INSERT INTO public.ecdc_data VALUES (9798, 0, 0, 9.17863459, 74, 54);
INSERT INTO public.ecdc_data VALUES (9799, 0, 23, 22.49117764, 157, 54);
INSERT INTO public.ecdc_data VALUES (9800, 1, 367, 35.35277658, 158, 54);
INSERT INTO public.ecdc_data VALUES (9801, 0, 49, 0.45166198, 14, 54);
INSERT INTO public.ecdc_data VALUES (9802, 0, 83, 26.19667208, 159, 54);
INSERT INTO public.ecdc_data VALUES (9803, 0, 0, 3.59506428, 15, 54);
INSERT INTO public.ecdc_data VALUES (9804, 0, 0, 2.78520499, 75, 54);
INSERT INTO public.ecdc_data VALUES (9805, 12, 609, 103.57616666, 76, 54);
INSERT INTO public.ecdc_data VALUES (9806, 46, 741, 77.5139051, 77, 54);
INSERT INTO public.ecdc_data VALUES (9807, 18, 141, 1.77809962, 16, 54);
INSERT INTO public.ecdc_data VALUES (9808, 9, 175, 57.59620674, 78, 54);
INSERT INTO public.ecdc_data VALUES (9809, 0, 0, 7.74346562, 17, 54);
INSERT INTO public.ecdc_data VALUES (9810, 0, 9, 0.85784948, 18, 54);
INSERT INTO public.ecdc_data VALUES (9811, 0, 19, 9.58620794, 160, 54);
INSERT INTO public.ecdc_data VALUES (9812, 1, 23, 79.86879569, 19, 54);
INSERT INTO public.ecdc_data VALUES (9813, 17, 1545, 17.41008354, 20, 54);
INSERT INTO public.ecdc_data VALUES (9814, 0, 0, 0, 79, 54);
INSERT INTO public.ecdc_data VALUES (9815, 0, 1, 178.72917394, 161, 54);
INSERT INTO public.ecdc_data VALUES (9816, 0, 0, 0.11236523, 203, 54);
INSERT INTO public.ecdc_data VALUES (9817, 0, 43, 6.48795316, 162, 54);
INSERT INTO public.ecdc_data VALUES (9818, 16, 3304, 65.63812513, 163, 54);
INSERT INTO public.ecdc_data VALUES (9819, 0, 0, 63.37612117, 204, 54);
INSERT INTO public.ecdc_data VALUES (9820, 0, 0, 18.54939155, 21, 54);
INSERT INTO public.ecdc_data VALUES (9821, 3, 101, 57.07723658, 22, 54);
INSERT INTO public.ecdc_data VALUES (9822, 1, 15, 3.95320012, 164, 54);
INSERT INTO public.ecdc_data VALUES (9823, 3, 1576, 21.57331942, 165, 54);
INSERT INTO public.ecdc_data VALUES (9824, 7, 95, 7.60408573, 23, 54);
INSERT INTO public.ecdc_data VALUES (9825, 0, 8, 163.17569572, 166, 54);
INSERT INTO public.ecdc_data VALUES (9826, 1, 168, 28.39266997, 167, 54);
INSERT INTO public.ecdc_data VALUES (9827, 0, 0, 0, 80, 54);
INSERT INTO public.ecdc_data VALUES (9828, 0, 0, 0, 81, 54);
INSERT INTO public.ecdc_data VALUES (9829, 2, 77, 319.79437521, 205, 54);
INSERT INTO public.ecdc_data VALUES (9830, 19, 1118, 66.46199671, 82, 54);
INSERT INTO public.ecdc_data VALUES (9831, 0, 0, 0, 168, 54);
INSERT INTO public.ecdc_data VALUES (9832, 3, 115, 8.69139941, 24, 54);
INSERT INTO public.ecdc_data VALUES (9833, 0, 0, 5.04967159, 25, 54);
INSERT INTO public.ecdc_data VALUES (9834, 0, 105, 62.85331034, 83, 54);
INSERT INTO public.ecdc_data VALUES (9835, 0, 2, 4.11077646, 84, 54);
INSERT INTO public.ecdc_data VALUES (9836, 0, 0, 0, 169, 54);
INSERT INTO public.ecdc_data VALUES (9837, 0, 0, 72.60328859, 85, 54);
INSERT INTO public.ecdc_data VALUES (9838, 1, 24, 4.79905566, 170, 54);
INSERT INTO public.ecdc_data VALUES (9839, 0, 4, 30.53298262, 171, 54);
INSERT INTO public.ecdc_data VALUES (9840, 1059, 67151, 66.21957275, 112, 54);
INSERT INTO public.ecdc_data VALUES (9841, 99, 2447, 10.74658257, 113, 54);
INSERT INTO public.ecdc_data VALUES (9842, 133, 2245, 36.13507811, 114, 54);
INSERT INTO public.ecdc_data VALUES (9843, 77, 3962, 139.79215203, 115, 54);
INSERT INTO public.ecdc_data VALUES (9844, 0, 85, 28.54672691, 172, 54);
INSERT INTO public.ecdc_data VALUES (9845, 0, 0, 0, 173, 54);
INSERT INTO public.ecdc_data VALUES (9846, 12, 2015, 236.15587673, 116, 54);
INSERT INTO public.ecdc_data VALUES (9847, 4, 876, 16.46301316, 174, 54);
INSERT INTO public.ecdc_data VALUES (9848, 3, 120, 23.23390916, 86, 54);
INSERT INTO public.ecdc_data VALUES (9849, 13, 701, 11.28012476, 117, 54);
INSERT INTO public.ecdc_data VALUES (9850, 0, 4, 19.48124235, 175, 54);
INSERT INTO public.ecdc_data VALUES (9851, 0, 77, 4.28640851, 118, 54);
INSERT INTO public.ecdc_data VALUES (9852, 0, 0, 63.86031307, 119, 54);
INSERT INTO public.ecdc_data VALUES (9853, 5, 246, 10.22939737, 26, 54);
INSERT INTO public.ecdc_data VALUES (9854, 8, 136, 116.3743685, 176, 54);
INSERT INTO public.ecdc_data VALUES (9855, 1, 613, 202.15936148, 120, 54);
INSERT INTO public.ecdc_data VALUES (9856, 0, 113, 40.50904549, 121, 54);
INSERT INTO public.ecdc_data VALUES (9857, 0, 0, 0.02789612, 122, 54);
INSERT INTO public.ecdc_data VALUES (9858, 0, 5, 2.03128385, 177, 54);
INSERT INTO public.ecdc_data VALUES (9859, 12, 532, 95.77419345, 123, 54);
INSERT INTO public.ecdc_data VALUES (9860, 0, 34, 12.61018027, 27, 54);
INSERT INTO public.ecdc_data VALUES (9861, 0, 5, 0.91141566, 28, 54);
INSERT INTO public.ecdc_data VALUES (9862, 4, 272, 78.9677184, 29, 54);
INSERT INTO public.ecdc_data VALUES (9863, 0, 0, 31.26791391, 178, 54);
INSERT INTO public.ecdc_data VALUES (9864, 0, 21, 14.70912438, 179, 54);
INSERT INTO public.ecdc_data VALUES (9865, 0, 44, 97.08516454, 180, 54);
INSERT INTO public.ecdc_data VALUES (9866, 0, 73, 4.29377011, 30, 54);
INSERT INTO public.ecdc_data VALUES (9867, 1, 4, 3.81668141, 31, 54);
INSERT INTO public.ecdc_data VALUES (9868, 0, 11, 0.56964382, 124, 54);
INSERT INTO public.ecdc_data VALUES (9869, 1, 135, 343.53064372, 125, 54);
INSERT INTO public.ecdc_data VALUES (9870, 0, 5, 0.69182949, 32, 54);
INSERT INTO public.ecdc_data VALUES (9871, 0, 46, 135.3434949, 181, 54);
INSERT INTO public.ecdc_data VALUES (9872, 0, 23, 8.35230278, 33, 54);
INSERT INTO public.ecdc_data VALUES (9873, 0, 0, 0.15752125, 34, 54);
INSERT INTO public.ecdc_data VALUES (9874, 650, 6403, 57.95625586, 87, 54);
INSERT INTO public.ecdc_data VALUES (9875, 15, 530, 151.73407188, 182, 54);
INSERT INTO public.ecdc_data VALUES (9876, 0, 6, 78.58546169, 183, 54);
INSERT INTO public.ecdc_data VALUES (9877, 0, 2, 0.21704309, 126, 54);
INSERT INTO public.ecdc_data VALUES (9878, 3, 66, 111.86437409, 184, 54);
INSERT INTO public.ecdc_data VALUES (9879, 0, 0, 0, 88, 54);
INSERT INTO public.ecdc_data VALUES (9880, 35, 1276, 53.00812689, 35, 54);
INSERT INTO public.ecdc_data VALUES (9881, 0, 68, 3.38206727, 36, 54);
INSERT INTO public.ecdc_data VALUES (9882, 0, 30, 0.26644255, 127, 54);
INSERT INTO public.ecdc_data VALUES (9883, 1, 130, 117.49736623, 37, 54);
INSERT INTO public.ecdc_data VALUES (9884, 7, 855, 33.50377673, 128, 54);
INSERT INTO public.ecdc_data VALUES (9885, 5, 414, 43.73295171, 185, 54);
INSERT INTO public.ecdc_data VALUES (9886, 0, 0, 0, 207, 54);
INSERT INTO public.ecdc_data VALUES (9887, 0, 5, 2.59248155, 208, 54);
INSERT INTO public.ecdc_data VALUES (9888, 4, 183, 5.79023491, 89, 54);
INSERT INTO public.ecdc_data VALUES (9889, 0, 1, 0.06434808, 38, 54);
INSERT INTO public.ecdc_data VALUES (9890, 3, 252, 2.74179001, 39, 54);
INSERT INTO public.ecdc_data VALUES (9891, 4, 78, 82.22876543, 186, 54);
INSERT INTO public.ecdc_data VALUES (9892, 0, 0, 8.73927254, 209, 54);
INSERT INTO public.ecdc_data VALUES (9893, 0, 72, 13.34406364, 187, 54);
INSERT INTO public.ecdc_data VALUES (9894, 5, 143, 52.30159164, 129, 54);
INSERT INTO public.ecdc_data VALUES (9895, 12, 482, 3.81963285, 130, 54);
INSERT INTO public.ecdc_data VALUES (9896, 3, 574, 131.84990149, 131, 54);
INSERT INTO public.ecdc_data VALUES (9897, 13, 896, 280.63507314, 90, 54);
INSERT INTO public.ecdc_data VALUES (9898, 0, 18, 2.33588446, 210, 54);
INSERT INTO public.ecdc_data VALUES (9899, 12, 626, 95.2355401, 91, 54);
INSERT INTO public.ecdc_data VALUES (9900, 188, 6944, 362.04345543, 92, 54);
INSERT INTO public.ecdc_data VALUES (9901, 28, 2912, 53.29985245, 132, 54);
INSERT INTO public.ecdc_data VALUES (9902, 17, 763, 26.62957908, 188, 54);
INSERT INTO public.ecdc_data VALUES (9903, 4, 192, 28.87136886, 189, 54);
INSERT INTO public.ecdc_data VALUES (9904, 5, 102, 249.43717265, 93, 54);
INSERT INTO public.ecdc_data VALUES (9905, 0, 232, 136.01353921, 133, 54);
INSERT INTO public.ecdc_data VALUES (9906, 58, 1060, 85.64751074, 190, 54);
INSERT INTO public.ecdc_data VALUES (9907, 120, 4696, 47.02059185, 191, 54);
INSERT INTO public.ecdc_data VALUES (9908, 1, 231, 10.81814134, 40, 54);
INSERT INTO public.ecdc_data VALUES (9909, 0, 0, 0, 94, 54);
INSERT INTO public.ecdc_data VALUES (9910, 0, 0, 0.54706092, 95, 54);
INSERT INTO public.ecdc_data VALUES (9911, 0, 0, 0.90421636, 96, 54);
INSERT INTO public.ecdc_data VALUES (9912, 0, 0, 0, 192, 54);
INSERT INTO public.ecdc_data VALUES (9913, 0, 0, 5.11513709, 41, 54);
INSERT INTO public.ecdc_data VALUES (9914, 31, 1114, 53.40176697, 134, 54);
INSERT INTO public.ecdc_data VALUES (9915, 2, 43, 10.28450399, 42, 54);
INSERT INTO public.ecdc_data VALUES (9916, 4, 106, 33.35839641, 193, 54);
INSERT INTO public.ecdc_data VALUES (9917, 0, 4, 9.20800892, 43, 54);
INSERT INTO public.ecdc_data VALUES (9918, 0, 4, 0.88312008, 44, 54);
INSERT INTO public.ecdc_data VALUES (9919, 0, 31, 18.641214, 135, 54);
INSERT INTO public.ecdc_data VALUES (9920, 0, 10, 469.46141688, 97, 54);
INSERT INTO public.ecdc_data VALUES (9921, 0, 28, 15.3566119, 194, 54);
INSERT INTO public.ecdc_data VALUES (9922, 0, 21, 19.89516115, 195, 54);
INSERT INTO public.ecdc_data VALUES (9923, 2, 6, 0.31082233, 45, 54);
INSERT INTO public.ecdc_data VALUES (9924, 149, 1567, 80.10482961, 46, 54);
INSERT INTO public.ecdc_data VALUES (9925, 2, 320, 6.93211859, 136, 54);
INSERT INTO public.ecdc_data VALUES (9926, 0, 3, 0.31639522, 47, 54);
INSERT INTO public.ecdc_data VALUES (9927, 47, 7296, 191.88462166, 196, 54);
INSERT INTO public.ecdc_data VALUES (9928, 0, 12, 0.42675453, 137, 54);
INSERT INTO public.ecdc_data VALUES (9929, 4, 138, 2.19791837, 48, 54);
INSERT INTO public.ecdc_data VALUES (9930, 1, 66, 195.91890093, 98, 54);
INSERT INTO public.ecdc_data VALUES (9931, 1, 222, 36.33365379, 197, 54);
INSERT INTO public.ecdc_data VALUES (9932, 2, 202, 39.26490021, 198, 54);
INSERT INTO public.ecdc_data VALUES (9933, 0, 0, 5.65900721, 138, 54);
INSERT INTO public.ecdc_data VALUES (9934, 0, 0, 0.02523778, 139, 54);
INSERT INTO public.ecdc_data VALUES (9935, 0, 33, 5.45004556, 140, 54);
INSERT INTO public.ecdc_data VALUES (9936, 0, 1, 0.06750393, 141, 54);
INSERT INTO public.ecdc_data VALUES (9937, 0, 0, 0.07733234, 142, 54);
INSERT INTO public.ecdc_data VALUES (9938, 0, 14, 2.95705746, 49, 54);
INSERT INTO public.ecdc_data VALUES (9939, 0, 153, 68.60367506, 99, 54);
INSERT INTO public.ecdc_data VALUES (9940, 0, 176, 11.38120354, 50, 54);
INSERT INTO public.ecdc_data VALUES (9941, 24, 1502, 21.96725272, 199, 54);
INSERT INTO public.ecdc_data VALUES (9942, 0, 48, 541.96994292, 100, 54);
INSERT INTO public.ecdc_data VALUES (9943, 3, 64, 2.51414137, 51, 54);
INSERT INTO public.ecdc_data VALUES (9944, 25, 3331, 58.04702284, 200, 54);
INSERT INTO public.ecdc_data VALUES (9945, 1, 339, 47.64328962, 143, 54);
INSERT INTO public.ecdc_data VALUES (9946, 16, 1184, 22.5201056, 201, 54);
INSERT INTO public.ecdc_data VALUES (9947, 0, 0, 0, 52, 54);
INSERT INTO public.ecdc_data VALUES (9948, 1207, 38119, 193.8283199, 101, 54);
INSERT INTO public.ecdc_data VALUES (9949, 2, 32, 373.88003328, 102, 54);
INSERT INTO public.ecdc_data VALUES (9950, 1, 3, 4.3619796, 103, 54);
INSERT INTO public.ecdc_data VALUES (9951, 7, 284, 22.96727141, 144, 54);
INSERT INTO public.ecdc_data VALUES (9952, 6, 820, 46.36021629, 104, 54);
INSERT INTO public.ecdc_data VALUES (9953, 0, 7, 0.16897827, 145, 54);
INSERT INTO public.ecdc_data VALUES (9954, 0, 0, 0, 53, 54);
INSERT INTO public.ecdc_data VALUES (9955, 2, 8, 0.31890902, 146, 54);
INSERT INTO public.ecdc_data VALUES (9956, 2, 137, 16.85232781, 54, 54);
INSERT INTO public.ecdc_data VALUES (9957, 11, 126, 9.40905084, 55, 54);
INSERT INTO public.ecdc_data VALUES (9958, 13, 121, 4.48454576, 105, 55);
INSERT INTO public.ecdc_data VALUES (9959, 6, 67, 44.22820215, 147, 55);
INSERT INTO public.ecdc_data VALUES (9960, 10, 605, 18.70250598, 1, 55);
INSERT INTO public.ecdc_data VALUES (9961, 0, 8, 55.13475196, 148, 55);
INSERT INTO public.ecdc_data VALUES (9962, 2, 29, 1.24743526, 2, 55);
INSERT INTO public.ecdc_data VALUES (9963, 0, 0, 0, 56, 55);
INSERT INTO public.ecdc_data VALUES (9964, 0, 0, 8.23765639, 57, 55);
INSERT INTO public.ecdc_data VALUES (9965, 125, 5493, 132.78049069, 58, 55);
INSERT INTO public.ecdc_data VALUES (9966, 5, 321, 180.81446299, 149, 55);
INSERT INTO public.ecdc_data VALUES (9967, 0, 1, 13.16903396, 59, 55);
INSERT INTO public.ecdc_data VALUES (9968, 6, 355, 17.44619731, 202, 55);
INSERT INTO public.ecdc_data VALUES (9969, 1, 120, 17.54192877, 150, 55);
INSERT INTO public.ecdc_data VALUES (9970, 8, 321, 60.82972663, 151, 55);
INSERT INTO public.ecdc_data VALUES (9971, 0, 10, 55.20095716, 60, 55);
INSERT INTO public.ecdc_data VALUES (9972, 1, 289, 382.47244029, 106, 55);
INSERT INTO public.ecdc_data VALUES (9973, 38, 2520, 24.5629807, 107, 55);
INSERT INTO public.ecdc_data VALUES (9974, 0, 0, 1.74203281, 61, 55);
INSERT INTO public.ecdc_data VALUES (9975, 11, 156, 23.64476611, 152, 55);
INSERT INTO public.ecdc_data VALUES (9976, 1, 229, 31.12910031, 153, 55);
INSERT INTO public.ecdc_data VALUES (9977, 0, 0, 2.81797664, 62, 55);
INSERT INTO public.ecdc_data VALUES (9978, 0, 0, 2.67770491, 3, 55);
INSERT INTO public.ecdc_data VALUES (9979, 0, 0, 4.79938568, 63, 55);
INSERT INTO public.ecdc_data VALUES (9980, 0, 1, 1.4415, 108, 55);
INSERT INTO public.ecdc_data VALUES (9981, 62, 1825, 183.1044318, 64, 55);
INSERT INTO public.ecdc_data VALUES (9982, 0, 0, 15.39468114, 65, 55);
INSERT INTO public.ecdc_data VALUES (9983, 4, 302, 92.21453633, 154, 55);
INSERT INTO public.ecdc_data VALUES (9984, 0, 0, 16.1479149, 4, 55);
INSERT INTO public.ecdc_data VALUES (9985, 1211, 51147, 262.81178115, 66, 55);
INSERT INTO public.ecdc_data VALUES (9986, 0, 0, 0, 67, 55);
INSERT INTO public.ecdc_data VALUES (9987, 0, 0, 0, 109, 55);
INSERT INTO public.ecdc_data VALUES (9988, 1, 189, 44.81403604, 155, 55);
INSERT INTO public.ecdc_data VALUES (9989, 0, 5, 0.26080902, 5, 55);
INSERT INTO public.ecdc_data VALUES (9990, 0, 16, 0.96265781, 6, 55);
INSERT INTO public.ecdc_data VALUES (9991, 0, 23, 0.41852318, 110, 55);
INSERT INTO public.ecdc_data VALUES (9992, 0, 0, 6.92523265, 7, 55);
INSERT INTO public.ecdc_data VALUES (9993, 4, 350, 16.59403302, 68, 55);
INSERT INTO public.ecdc_data VALUES (9994, 0, 38, 121.28684065, 8, 55);
INSERT INTO public.ecdc_data VALUES (9995, 0, 0, 3.07938659, 69, 55);
INSERT INTO public.ecdc_data VALUES (9996, 0, 5, 6.53294639, 9, 55);
INSERT INTO public.ecdc_data VALUES (9997, 0, 0, 0.25710355, 10, 55);
INSERT INTO public.ecdc_data VALUES (9998, 106, 2288, 166.54148222, 70, 55);
INSERT INTO public.ecdc_data VALUES (9999, 2, 179, 0.09136664, 111, 55);
INSERT INTO public.ecdc_data VALUES (10000, 294, 7254, 189.57897488, 71, 55);
INSERT INTO public.ecdc_data VALUES (10001, 0, 0, 2.70304892, 11, 55);
INSERT INTO public.ecdc_data VALUES (10002, 0, 0, 18.77147568, 12, 55);
INSERT INTO public.ecdc_data VALUES (10003, 11, 931, 145.99130154, 72, 55);
INSERT INTO public.ecdc_data VALUES (10004, 0, 241, 11.86395347, 13, 55);
INSERT INTO public.ecdc_data VALUES (10005, 5, 77, 27.47626125, 156, 55);
INSERT INTO public.ecdc_data VALUES (10006, 0, 9, 0.5117579, 73, 55);
INSERT INTO public.ecdc_data VALUES (10007, 0, 0, 2.44763589, 74, 55);
INSERT INTO public.ecdc_data VALUES (10008, 0, 6, 4.45256816, 157, 55);
INSERT INTO public.ecdc_data VALUES (10009, 0, 131, 19.69051062, 158, 55);
INSERT INTO public.ecdc_data VALUES (10010, 3, 34, 0.95632512, 14, 55);
INSERT INTO public.ecdc_data VALUES (10011, 0, 0, 8.4738742, 159, 55);
INSERT INTO public.ecdc_data VALUES (10012, 0, 0, 8.62815428, 15, 55);
INSERT INTO public.ecdc_data VALUES (10013, 0, 0, 0, 75, 55);
INSERT INTO public.ecdc_data VALUES (10014, 19, 1819, 165.58405067, 76, 55);
INSERT INTO public.ecdc_data VALUES (10015, 39, 987, 73.83016713, 77, 55);
INSERT INTO public.ecdc_data VALUES (10016, 40, 511, 10.38469947, 16, 55);
INSERT INTO public.ecdc_data VALUES (10017, 0, 429, 74.84252853, 78, 55);
INSERT INTO public.ecdc_data VALUES (10018, 0, 0, 0, 17, 55);
INSERT INTO public.ecdc_data VALUES (10019, 0, 2, 0.88644446, 18, 55);
INSERT INTO public.ecdc_data VALUES (10020, 0, 5, 1.43415709, 160, 55);
INSERT INTO public.ecdc_data VALUES (10021, 0, 69, 72.37837428, 19, 55);
INSERT INTO public.ecdc_data VALUES (10022, 3, 760, 4.72078881, 20, 55);
INSERT INTO public.ecdc_data VALUES (10023, 0, 0, 0, 79, 55);
INSERT INTO public.ecdc_data VALUES (10024, 0, 0, 6.16307496, 161, 55);
INSERT INTO public.ecdc_data VALUES (10025, 0, 0, 0.67419139, 203, 55);
INSERT INTO public.ecdc_data VALUES (10026, 0, 8, 1.77603187, 162, 55);
INSERT INTO public.ecdc_data VALUES (10027, 0, 0, 14.5882397, 163, 55);
INSERT INTO public.ecdc_data VALUES (10028, 0, 0, 0, 204, 55);
INSERT INTO public.ecdc_data VALUES (10029, 0, 0, 47.96145409, 21, 55);
INSERT INTO public.ecdc_data VALUES (10030, 0, 61, 9.07272492, 22, 55);
INSERT INTO public.ecdc_data VALUES (10031, 0, 14, 3.62793681, 164, 55);
INSERT INTO public.ecdc_data VALUES (10032, 0, 305, 7.78735399, 165, 55);
INSERT INTO public.ecdc_data VALUES (10033, 0, 794, 24.99518539, 23, 55);
INSERT INTO public.ecdc_data VALUES (10034, 0, 1, 14.83415416, 166, 55);
INSERT INTO public.ecdc_data VALUES (10035, 0, 31, 3.67379703, 167, 55);
INSERT INTO public.ecdc_data VALUES (10036, 0, 0, 0, 80, 55);
INSERT INTO public.ecdc_data VALUES (10037, 0, 0, 0, 81, 55);
INSERT INTO public.ecdc_data VALUES (10038, 0, 0, 14.94366239, 205, 55);
INSERT INTO public.ecdc_data VALUES (10039, 0, 1209, 90.40196625, 82, 55);
INSERT INTO public.ecdc_data VALUES (10040, 0, 0, 0, 168, 55);
INSERT INTO public.ecdc_data VALUES (10041, 0, 60, 6.91396908, 24, 55);
INSERT INTO public.ecdc_data VALUES (10042, 0, 0, 5.83054864, 25, 55);
INSERT INTO public.ecdc_data VALUES (10043, 0, 8, 8.81479352, 83, 55);
INSERT INTO public.ecdc_data VALUES (10044, 0, 37, 5.38929009, 84, 55);
INSERT INTO public.ecdc_data VALUES (10045, 0, 0, 0, 169, 55);
INSERT INTO public.ecdc_data VALUES (10046, 37, 879, 111.37771307, 85, 55);
INSERT INTO public.ecdc_data VALUES (10047, 0, 11, 2.10790078, 170, 55);
INSERT INTO public.ecdc_data VALUES (10048, 0, 0, 2.80119107, 171, 55);
INSERT INTO public.ecdc_data VALUES (10049, 705, 48661, 39.22438783, 112, 55);
INSERT INTO public.ecdc_data VALUES (10050, 49, 1868, 8.59785727, 113, 55);
INSERT INTO public.ecdc_data VALUES (10051, 195, 2316, 40.67110924, 114, 55);
INSERT INTO public.ecdc_data VALUES (10052, 72, 2862, 82.36879623, 115, 55);
INSERT INTO public.ecdc_data VALUES (10053, 0, 24, 5.26075396, 172, 55);
INSERT INTO public.ecdc_data VALUES (10054, 0, 0, 0, 173, 55);
INSERT INTO public.ecdc_data VALUES (10055, 9, 1203, 272.49657927, 116, 55);
INSERT INTO public.ecdc_data VALUES (10056, 5, 274, 5.03151564, 174, 55);
INSERT INTO public.ecdc_data VALUES (10057, 0, 16, 2.67953113, 86, 55);
INSERT INTO public.ecdc_data VALUES (10058, 3, 596, 6.21155717, 117, 55);
INSERT INTO public.ecdc_data VALUES (10059, 0, 0, 6.49374745, 175, 55);
INSERT INTO public.ecdc_data VALUES (10060, 0, 8, -0.21778519, 118, 55);
INSERT INTO public.ecdc_data VALUES (10061, 0, 1494, 126.49700066, 119, 55);
INSERT INTO public.ecdc_data VALUES (10062, 4, 375, 13.15670168, 26, 55);
INSERT INTO public.ecdc_data VALUES (10063, 5, 237, 122.43495435, 176, 55);
INSERT INTO public.ecdc_data VALUES (10064, 4, 684, 219.89138777, 120, 55);
INSERT INTO public.ecdc_data VALUES (10065, 28, 1249, 345.76862835, 121, 55);
INSERT INTO public.ecdc_data VALUES (10066, 0, 0, 0.01394806, 122, 55);
INSERT INTO public.ecdc_data VALUES (10067, 0, 1, 1.71877865, 177, 55);
INSERT INTO public.ecdc_data VALUES (10068, 1, 175, 20.62514614, 123, 55);
INSERT INTO public.ecdc_data VALUES (10069, 3, 60, 11.0574342, 27, 55);
INSERT INTO public.ecdc_data VALUES (10070, 0, 20, 3.17982798, 28, 55);
INSERT INTO public.ecdc_data VALUES (10071, 1, 122, 17.08606463, 29, 55);
INSERT INTO public.ecdc_data VALUES (10072, 0, 0, 5.21131898, 178, 55);
INSERT INTO public.ecdc_data VALUES (10073, 0, 15, 4.86725284, 179, 55);
INSERT INTO public.ecdc_data VALUES (10074, 0, 133, 219.41898764, 180, 55);
INSERT INTO public.ecdc_data VALUES (10075, 2, 125, 15.89955633, 30, 55);
INSERT INTO public.ecdc_data VALUES (10076, 0, 0, 6.39871201, 31, 55);
INSERT INTO public.ecdc_data VALUES (10077, 0, 23, 0.563384, 124, 55);
INSERT INTO public.ecdc_data VALUES (10078, 0, 132, 110.7434312, 125, 55);
INSERT INTO public.ecdc_data VALUES (10079, 0, 0, 0.49343721, 32, 55);
INSERT INTO public.ecdc_data VALUES (10080, 0, 14, 5.06525056, 181, 55);
INSERT INTO public.ecdc_data VALUES (10081, 0, 0, 20.7923728, 33, 55);
INSERT INTO public.ecdc_data VALUES (10082, 0, 0, 0.15752125, 34, 55);
INSERT INTO public.ecdc_data VALUES (10083, 729, 4113, 77.52348807, 87, 55);
INSERT INTO public.ecdc_data VALUES (10084, 6, 345, 89.53175879, 182, 55);
INSERT INTO public.ecdc_data VALUES (10085, 0, 0, 15.11258879, 183, 55);
INSERT INTO public.ecdc_data VALUES (10086, 0, 0, 1.79835705, 126, 55);
INSERT INTO public.ecdc_data VALUES (10087, 0, 0, 225.81816896, 184, 55);
INSERT INTO public.ecdc_data VALUES (10088, 0, 1, 20.03606492, 88, 55);
INSERT INTO public.ecdc_data VALUES (10089, 6, 811, 11.24979799, 35, 55);
INSERT INTO public.ecdc_data VALUES (10090, 0, 26, 1.58400619, 36, 55);
INSERT INTO public.ecdc_data VALUES (10091, 0, 3, 0.03515561, 127, 55);
INSERT INTO public.ecdc_data VALUES (10092, 0, 69, 40.84947669, 37, 55);
INSERT INTO public.ecdc_data VALUES (10093, 1, 109, 6.16595328, 128, 55);
INSERT INTO public.ecdc_data VALUES (10094, 1, 137, 10.47901238, 185, 55);
INSERT INTO public.ecdc_data VALUES (10095, 0, 0, 0.35366056, 207, 55);
INSERT INTO public.ecdc_data VALUES (10096, 0, 0, 0.25088531, 208, 55);
INSERT INTO public.ecdc_data VALUES (10097, 0, 0, 9.05965516, 89, 55);
INSERT INTO public.ecdc_data VALUES (10098, 0, 0, 0.1072468, 38, 55);
INSERT INTO public.ecdc_data VALUES (10099, 11, 438, 3.97584432, 39, 55);
INSERT INTO public.ecdc_data VALUES (10100, 9, 137, 94.6978815, 186, 55);
INSERT INTO public.ecdc_data VALUES (10101, 0, 2, 12.23498156, 209, 55);
INSERT INTO public.ecdc_data VALUES (10102, 0, 0, 2.25216264, 187, 55);
INSERT INTO public.ecdc_data VALUES (10103, 12, 1067, 405.24688281, 129, 55);
INSERT INTO public.ecdc_data VALUES (10104, 35, 1226, 11.19338975, 130, 55);
INSERT INTO public.ecdc_data VALUES (10105, 3, 382, 122.69588884, 131, 55);
INSERT INTO public.ecdc_data VALUES (10106, 25, 871, 342.21606805, 90, 55);
INSERT INTO public.ecdc_data VALUES (10107, 0, 7, 0.31904763, 210, 55);
INSERT INTO public.ecdc_data VALUES (10108, 2, 104, 21.40634886, 91, 55);
INSERT INTO public.ecdc_data VALUES (10109, 187, 3923, 175.86338822, 92, 55);
INSERT INTO public.ecdc_data VALUES (10110, 18, 1968, 22.37398797, 132, 55);
INSERT INTO public.ecdc_data VALUES (10111, 9, 584, 13.43329538, 188, 55);
INSERT INTO public.ecdc_data VALUES (10112, 4, 263, 36.3349145, 189, 55);
INSERT INTO public.ecdc_data VALUES (10113, 10, 573, 170.68906976, 93, 55);
INSERT INTO public.ecdc_data VALUES (10114, 0, 398, 208.61058921, 133, 55);
INSERT INTO public.ecdc_data VALUES (10115, 15, 1284, 59.74413502, 190, 55);
INSERT INTO public.ecdc_data VALUES (10116, 146, 5871, 59.0742887, 191, 55);
INSERT INTO public.ecdc_data VALUES (10117, 0, 23, 3.5875681, 40, 55);
INSERT INTO public.ecdc_data VALUES (10118, 0, 0, 0, 94, 55);
INSERT INTO public.ecdc_data VALUES (10119, 0, 0, 1.09412183, 95, 55);
INSERT INTO public.ecdc_data VALUES (10120, 0, 0, 20.7969763, 96, 55);
INSERT INTO public.ecdc_data VALUES (10121, 0, 0, 0, 192, 55);
INSERT INTO public.ecdc_data VALUES (10122, 0, 2, 62.77668242, 41, 55);
INSERT INTO public.ecdc_data VALUES (10123, 31, 2201, 103.57316475, 134, 55);
INSERT INTO public.ecdc_data VALUES (10124, 5, 130, 9.43768922, 42, 55);
INSERT INTO public.ecdc_data VALUES (10125, 8, 411, 74.52866008, 193, 55);
INSERT INTO public.ecdc_data VALUES (10126, 0, 0, 14.32356943, 43, 55);
INSERT INTO public.ecdc_data VALUES (10127, 0, 16, 1.91982626, 44, 55);
INSERT INTO public.ecdc_data VALUES (10128, 0, 513, 70.72290525, 135, 55);
INSERT INTO public.ecdc_data VALUES (10129, 0, 0, 37.74564156, 97, 55);
INSERT INTO public.ecdc_data VALUES (10130, 0, 23, 4.55010723, 194, 55);
INSERT INTO public.ecdc_data VALUES (10131, 0, 14, 11.48537081, 195, 55);
INSERT INTO public.ecdc_data VALUES (10132, 0, 7, 0.82238408, 45, 55);
INSERT INTO public.ecdc_data VALUES (10133, 312, 12204, 290.33646095, 46, 55);
INSERT INTO public.ecdc_data VALUES (10134, 0, 58, 1.43093296, 136, 55);
INSERT INTO public.ecdc_data VALUES (10135, 0, 0, 1.16614238, 47, 55);
INSERT INTO public.ecdc_data VALUES (10136, 0, 0, 39.44218066, 196, 55);
INSERT INTO public.ecdc_data VALUES (10137, 0, 6, 1.21460904, 137, 55);
INSERT INTO public.ecdc_data VALUES (10138, 7, 65, 2.45718398, 48, 55);
INSERT INTO public.ecdc_data VALUES (10139, 0, 76, 110.08612519, 98, 55);
INSERT INTO public.ecdc_data VALUES (10140, 1, 138, 31.0062819, 197, 55);
INSERT INTO public.ecdc_data VALUES (10141, 0, 148, 17.57850376, 198, 55);
INSERT INTO public.ecdc_data VALUES (10142, 1, 43, 1.36495722, 138, 55);
INSERT INTO public.ecdc_data VALUES (10143, 0, 0, 0.02944408, 139, 55);
INSERT INTO public.ecdc_data VALUES (10144, 1, 46, 6.90911287, 140, 55);
INSERT INTO public.ecdc_data VALUES (10145, 0, 9, 0.10628278, 141, 55);
INSERT INTO public.ecdc_data VALUES (10146, 0, 0, 0, 142, 55);
INSERT INTO public.ecdc_data VALUES (10147, 0, 14, 1.67030442, 49, 55);
INSERT INTO public.ecdc_data VALUES (10148, 0, 5, 1.00360653, 99, 55);
INSERT INTO public.ecdc_data VALUES (10149, 0, 18, 1.6930716, 50, 55);
INSERT INTO public.ecdc_data VALUES (10150, 16, 921, 16.08704329, 199, 55);
INSERT INTO public.ecdc_data VALUES (10151, 0, 5, 81.16458082, 100, 55);
INSERT INTO public.ecdc_data VALUES (10152, 0, 14, 0.20329984, 51, 55);
INSERT INTO public.ecdc_data VALUES (10153, 19, 1106, 25.19909524, 200, 55);
INSERT INTO public.ecdc_data VALUES (10154, 0, 313, 42.05505415, 143, 55);
INSERT INTO public.ecdc_data VALUES (10155, 15, 667, 13.32390817, 201, 55);
INSERT INTO public.ecdc_data VALUES (10156, 0, 0, 0, 52, 55);
INSERT INTO public.ecdc_data VALUES (10157, 914, 65498, 282.72324151, 101, 55);
INSERT INTO public.ecdc_data VALUES (10158, 0, 0, 163.51275113, 102, 55);
INSERT INTO public.ecdc_data VALUES (10159, 0, 8, 5.43080904, 103, 55);
INSERT INTO public.ecdc_data VALUES (10160, 5, 573, 23.38568507, 144, 55);
INSERT INTO public.ecdc_data VALUES (10161, 0, 0, 17.8322012, 104, 55);
INSERT INTO public.ecdc_data VALUES (10162, 0, 0, 0.04665044, 145, 55);
INSERT INTO public.ecdc_data VALUES (10163, 0, 0, 42.40649111, 53, 55);
INSERT INTO public.ecdc_data VALUES (10164, 13, 20, 0.97730184, 146, 55);
INSERT INTO public.ecdc_data VALUES (10165, 0, 472, 13.62183175, 54, 55);
INSERT INTO public.ecdc_data VALUES (10166, 2, 138, 9.91432643, 55, 55);
INSERT INTO public.ecdc_data VALUES (10167, 36, 460, 19.15000929, 105, 56);
INSERT INTO public.ecdc_data VALUES (10168, 2, 78, 28.19285872, 147, 56);
INSERT INTO public.ecdc_data VALUES (10169, 9, 197, 4.31096015, 1, 56);
INSERT INTO public.ecdc_data VALUES (10170, 0, 0, 3.93819657, 148, 56);
INSERT INTO public.ecdc_data VALUES (10171, 0, 8, 0.24823019, 2, 56);
INSERT INTO public.ecdc_data VALUES (10172, 0, 0, 0, 56, 56);
INSERT INTO public.ecdc_data VALUES (10173, 0, 0, 40.15857489, 57, 56);
INSERT INTO public.ecdc_data VALUES (10174, 39, 2606, 56.01523425, 58, 56);
INSERT INTO public.ecdc_data VALUES (10175, 13, 759, 269.32834933, 149, 56);
INSERT INTO public.ecdc_data VALUES (10176, 0, 0, 0, 59, 56);
INSERT INTO public.ecdc_data VALUES (10177, 1, 37, 1.08319578, 202, 56);
INSERT INTO public.ecdc_data VALUES (10178, 5, 47, 5.27160922, 150, 56);
INSERT INTO public.ecdc_data VALUES (10179, 6, 547, 59.41647054, 151, 56);
INSERT INTO public.ecdc_data VALUES (10180, 0, 0, 0.25674864, 60, 56);
INSERT INTO public.ecdc_data VALUES (10181, 2, 511, 451.75253661, 106, 56);
INSERT INTO public.ecdc_data VALUES (10182, 39, 3946, 29.77929448, 107, 56);
INSERT INTO public.ecdc_data VALUES (10183, 0, 0, 0.34840656, 61, 56);
INSERT INTO public.ecdc_data VALUES (10184, 5, 437, 90.62240113, 152, 56);
INSERT INTO public.ecdc_data VALUES (10185, 5, 76, 11.13873584, 153, 56);
INSERT INTO public.ecdc_data VALUES (10186, 0, 0, 0.76853908, 62, 56);
INSERT INTO public.ecdc_data VALUES (10187, 1, 115, 6.0333098, 3, 56);
INSERT INTO public.ecdc_data VALUES (10188, 0, 0, 7.99897613, 63, 56);
INSERT INTO public.ecdc_data VALUES (10189, 0, 0, 1.04836364, 108, 56);
INSERT INTO public.ecdc_data VALUES (10190, 37, 1016, 107.16486313, 64, 56);
INSERT INTO public.ecdc_data VALUES (10191, 0, 0, 0, 65, 56);
INSERT INTO public.ecdc_data VALUES (10192, 2, 119, 29.17299556, 154, 56);
INSERT INTO public.ecdc_data VALUES (10193, 0, 0, 1.77974331, 4, 56);
INSERT INTO public.ecdc_data VALUES (10194, 1141, 39483, 201.51005414, 66, 56);
INSERT INTO public.ecdc_data VALUES (10195, 0, 0, 0, 67, 56);
INSERT INTO public.ecdc_data VALUES (10196, 0, 0, 0, 109, 56);
INSERT INTO public.ecdc_data VALUES (10197, 2, 166, 18.88560907, 155, 56);
INSERT INTO public.ecdc_data VALUES (10198, 0, 7, 0.24112532, 5, 56);
INSERT INTO public.ecdc_data VALUES (10199, 0, 0, 0.43362964, 6, 56);
INSERT INTO public.ecdc_data VALUES (10200, 0, 0, 0.02426221, 110, 56);
INSERT INTO public.ecdc_data VALUES (10201, 0, 322, 14.15576294, 7, 56);
INSERT INTO public.ecdc_data VALUES (10202, 20, 369, 13.61095621, 68, 56);
INSERT INTO public.ecdc_data VALUES (10203, 0, 4, 62.91641209, 8, 56);
INSERT INTO public.ecdc_data VALUES (10204, 0, 0, 24.63509269, 69, 56);
INSERT INTO public.ecdc_data VALUES (10205, 2, 145, 25.28882472, 9, 56);
INSERT INTO public.ecdc_data VALUES (10206, 0, 3, 0.09406227, 10, 56);
INSERT INTO public.ecdc_data VALUES (10207, 172, 4648, 553.88247225, 70, 56);
INSERT INTO public.ecdc_data VALUES (10208, 1, 28, 0.03382658, 111, 56);
INSERT INTO public.ecdc_data VALUES (10209, 163, 3486, 73.33613127, 71, 56);
INSERT INTO public.ecdc_data VALUES (10210, 0, 0, 9.98952862, 11, 56);
INSERT INTO public.ecdc_data VALUES (10211, 1, 117, 8.53079935, 12, 56);
INSERT INTO public.ecdc_data VALUES (10212, 0, 169, 22.70403468, 72, 56);
INSERT INTO public.ecdc_data VALUES (10213, 0, 260, 14.62093249, 13, 56);
INSERT INTO public.ecdc_data VALUES (10214, 0, 95, 5.74057601, 156, 56);
INSERT INTO public.ecdc_data VALUES (10215, 0, 2, 0.89998804, 73, 56);
INSERT INTO public.ecdc_data VALUES (10216, 0, 0, 1.22381794, 74, 56);
INSERT INTO public.ecdc_data VALUES (10217, 0, 1, 1.94086304, 157, 56);
INSERT INTO public.ecdc_data VALUES (10218, 2, 93, 9.23961013, 158, 56);
INSERT INTO public.ecdc_data VALUES (10219, 7, 384, 2.18572138, 14, 56);
INSERT INTO public.ecdc_data VALUES (10220, 0, 21, 10.35121625, 159, 56);
INSERT INTO public.ecdc_data VALUES (10221, 0, 5, 24.34372101, 15, 56);
INSERT INTO public.ecdc_data VALUES (10222, 0, 0, 0, 75, 56);
INSERT INTO public.ecdc_data VALUES (10223, 7, 510, 71.73881039, 76, 56);
INSERT INTO public.ecdc_data VALUES (10224, 34, 822, 50.1679065, 77, 56);
INSERT INTO public.ecdc_data VALUES (10225, 83, 1569, 21.32125732, 16, 56);
INSERT INTO public.ecdc_data VALUES (10226, 7, 186, 28.74386965, 78, 56);
INSERT INTO public.ecdc_data VALUES (10227, 0, 0, 51.25436768, 17, 56);
INSERT INTO public.ecdc_data VALUES (10228, 0, 1, 2.94528321, 18, 56);
INSERT INTO public.ecdc_data VALUES (10229, 0, 1, 1.43415709, 160, 56);
INSERT INTO public.ecdc_data VALUES (10230, 1, 16, 22.38416629, 19, 56);
INSERT INTO public.ecdc_data VALUES (10231, 3, 141, 2.23503609, 20, 56);
INSERT INTO public.ecdc_data VALUES (10232, 0, 0, 0, 79, 56);
INSERT INTO public.ecdc_data VALUES (10233, 0, 0, 0, 161, 56);
INSERT INTO public.ecdc_data VALUES (10234, 0, 0, 0, 203, 56);
INSERT INTO public.ecdc_data VALUES (10235, 0, 5, 1.95725961, 162, 56);
INSERT INTO public.ecdc_data VALUES (10236, 21, 0, 8.63565294, 163, 56);
INSERT INTO public.ecdc_data VALUES (10237, 0, 0, 0, 204, 56);
INSERT INTO public.ecdc_data VALUES (10238, 1, 131, 74.74990541, 21, 56);
INSERT INTO public.ecdc_data VALUES (10239, 0, 1, 0.63892429, 22, 56);
INSERT INTO public.ecdc_data VALUES (10240, 0, 2, 2.20178234, 164, 56);
INSERT INTO public.ecdc_data VALUES (10241, 21, 477, 8.28964736, 165, 56);
INSERT INTO public.ecdc_data VALUES (10242, 0, 460, 16.81577973, 23, 56);
INSERT INTO public.ecdc_data VALUES (10243, 0, 0, 0, 166, 56);
INSERT INTO public.ecdc_data VALUES (10244, 1, 11, 2.1725754, 167, 56);
INSERT INTO public.ecdc_data VALUES (10245, 0, 0, 0, 80, 56);
INSERT INTO public.ecdc_data VALUES (10246, 0, 0, 0, 81, 56);
INSERT INTO public.ecdc_data VALUES (10247, 0, 16, 38.85352222, 205, 56);
INSERT INTO public.ecdc_data VALUES (10248, 22, 800, 40.14452484, 82, 56);
INSERT INTO public.ecdc_data VALUES (10249, 0, 0, 0, 168, 56);
INSERT INTO public.ecdc_data VALUES (10250, 0, 37, 6.56944514, 24, 56);
INSERT INTO public.ecdc_data VALUES (10251, 0, 0, 8.69376449, 25, 56);
INSERT INTO public.ecdc_data VALUES (10252, 0, 6, 7.28178595, 83, 56);
INSERT INTO public.ecdc_data VALUES (10253, 4, 114, 14.22346412, 84, 56);
INSERT INTO public.ecdc_data VALUES (10254, 0, 0, 0, 169, 56);
INSERT INTO public.ecdc_data VALUES (10255, 9, 795, 78.97505827, 85, 56);
INSERT INTO public.ecdc_data VALUES (10256, 1, 9, 0.85953236, 170, 56);
INSERT INTO public.ecdc_data VALUES (10257, 0, 1, 3.08131017, 171, 56);
INSERT INTO public.ecdc_data VALUES (10258, 407, 17296, 14.11471705, 112, 56);
INSERT INTO public.ecdc_data VALUES (10259, 47, 1178, 5.50280602, 113, 56);
INSERT INTO public.ecdc_data VALUES (10260, 134, 2595, 42.1159817, 114, 56);
INSERT INTO public.ecdc_data VALUES (10261, 107, 2437, 57.14607117, 115, 56);
INSERT INTO public.ecdc_data VALUES (10262, 1, 9, 3.40521671, 172, 56);
INSERT INTO public.ecdc_data VALUES (10263, 0, 0, 0, 173, 56);
INSERT INTO public.ecdc_data VALUES (10264, 1, 356, 43.41868821, 116, 56);
INSERT INTO public.ecdc_data VALUES (10265, 34, 296, 5.90461698, 174, 56);
INSERT INTO public.ecdc_data VALUES (10266, 0, 6, 2.47602244, 86, 56);
INSERT INTO public.ecdc_data VALUES (10267, 1, 87, 0.68185241, 117, 56);
INSERT INTO public.ecdc_data VALUES (10268, 0, 0, 5.56606924, 175, 56);
INSERT INTO public.ecdc_data VALUES (10269, 0, 15, 1.94026806, 118, 56);
INSERT INTO public.ecdc_data VALUES (10270, 11, 465, 31.6848924, 119, 56);
INSERT INTO public.ecdc_data VALUES (10271, 2, 178, 4.12561601, 26, 56);
INSERT INTO public.ecdc_data VALUES (10272, 2, 69, 61.4954857, 176, 56);
INSERT INTO public.ecdc_data VALUES (10273, 2, 909, 198.61771011, 120, 56);
INSERT INTO public.ecdc_data VALUES (10274, 0, 250, 31.76507684, 121, 56);
INSERT INTO public.ecdc_data VALUES (10275, 0, 0, 0, 122, 56);
INSERT INTO public.ecdc_data VALUES (10276, 0, 0, 0.88543142, 177, 56);
INSERT INTO public.ecdc_data VALUES (10277, 0, 18, 3.79245969, 123, 56);
INSERT INTO public.ecdc_data VALUES (10278, 0, 3, 0.75284658, 27, 56);
INSERT INTO public.ecdc_data VALUES (10279, 0, 19, 5.48874766, 28, 56);
INSERT INTO public.ecdc_data VALUES (10280, 0, 59, 4.50021564, 29, 56);
INSERT INTO public.ecdc_data VALUES (10281, 0, 0, 0, 178, 56);
INSERT INTO public.ecdc_data VALUES (10282, 0, 2, 1.93258569, 179, 56);
INSERT INTO public.ecdc_data VALUES (10283, 0, 11, 16.12656257, 180, 56);
INSERT INTO public.ecdc_data VALUES (10284, 0, 42, 2.32115724, 30, 56);
INSERT INTO public.ecdc_data VALUES (10285, 1, 19, 2.57129451, 31, 56);
INSERT INTO public.ecdc_data VALUES (10286, 0, 4, 0.72300947, 124, 56);
INSERT INTO public.ecdc_data VALUES (10287, 0, 16, 56.69008978, 125, 56);
INSERT INTO public.ecdc_data VALUES (10288, 1, 6, 1.44978974, 32, 56);
INSERT INTO public.ecdc_data VALUES (10289, 0, 2, 5.06525056, 181, 56);
INSERT INTO public.ecdc_data VALUES (10290, 5, 447, 56.94149278, 33, 56);
INSERT INTO public.ecdc_data VALUES (10291, 0, 0, 0.31504249, 34, 56);
INSERT INTO public.ecdc_data VALUES (10292, 718, 6231, 58.12948657, 87, 56);
INSERT INTO public.ecdc_data VALUES (10293, 7, 375, 116.88593703, 182, 56);
INSERT INTO public.ecdc_data VALUES (10294, 0, 0, 6.04503551, 183, 56);
INSERT INTO public.ecdc_data VALUES (10295, 0, 3, 0.68213543, 126, 56);
INSERT INTO public.ecdc_data VALUES (10296, 0, 25, 14.46522079, 184, 56);
INSERT INTO public.ecdc_data VALUES (10297, 0, 0, 0, 88, 56);
INSERT INTO public.ecdc_data VALUES (10298, 1, 431, 7.67991328, 35, 56);
INSERT INTO public.ecdc_data VALUES (10299, 0, 26, 0.98465249, 36, 56);
INSERT INTO public.ecdc_data VALUES (10300, 0, 0, 0.05920946, 127, 56);
INSERT INTO public.ecdc_data VALUES (10301, 0, 5, 2.00439042, 37, 56);
INSERT INTO public.ecdc_data VALUES (10302, 3, 434, 22.88813042, 128, 56);
INSERT INTO public.ecdc_data VALUES (10303, 3, 110, 9.62263809, 185, 56);
INSERT INTO public.ecdc_data VALUES (10304, 0, 0, 0, 207, 56);
INSERT INTO public.ecdc_data VALUES (10305, 0, 1, 0.33451375, 208, 56);
INSERT INTO public.ecdc_data VALUES (10306, 0, 0, 10.78603126, 89, 56);
INSERT INTO public.ecdc_data VALUES (10307, 0, 3, 0.36463912, 38, 56);
INSERT INTO public.ecdc_data VALUES (10308, 7, 594, 4.0106765, 39, 56);
INSERT INTO public.ecdc_data VALUES (10309, 6, 153, 99.2233522, 186, 56);
INSERT INTO public.ecdc_data VALUES (10310, 0, 0, 0, 209, 56);
INSERT INTO public.ecdc_data VALUES (10311, 0, 16, 3.73483638, 187, 56);
INSERT INTO public.ecdc_data VALUES (10312, 2, 1366, 300.46279471, 129, 56);
INSERT INTO public.ecdc_data VALUES (10313, 59, 2775, 32.23600204, 130, 56);
INSERT INTO public.ecdc_data VALUES (10314, 0, 54, 18.4886966, 131, 56);
INSERT INTO public.ecdc_data VALUES (10315, 17, 1007, 246.11203738, 90, 56);
INSERT INTO public.ecdc_data VALUES (10316, 0, 1, 0.03418368, 210, 56);
INSERT INTO public.ecdc_data VALUES (10317, 0, 41, 4.81216994, 91, 56);
INSERT INTO public.ecdc_data VALUES (10318, 175, 3913, 165.52825364, 92, 56);
INSERT INTO public.ecdc_data VALUES (10319, 8, 774, 8.22630215, 132, 56);
INSERT INTO public.ecdc_data VALUES (10320, 16, 298, 12.95137163, 188, 56);
INSERT INTO public.ecdc_data VALUES (10321, 6, 311, 43.83738345, 189, 56);
INSERT INTO public.ecdc_data VALUES (10322, 2, 57, 51.98738394, 93, 56);
INSERT INTO public.ecdc_data VALUES (10323, 2, 1060, 592.04024193, 133, 56);
INSERT INTO public.ecdc_data VALUES (10324, 10, 460, 21.13888526, 190, 56);
INSERT INTO public.ecdc_data VALUES (10325, 92, 7113, 76.47650074, 191, 56);
INSERT INTO public.ecdc_data VALUES (10326, 0, 20, 2.81936919, 40, 56);
INSERT INTO public.ecdc_data VALUES (10327, 0, 0, 0, 94, 56);
INSERT INTO public.ecdc_data VALUES (10328, 0, 0, 0, 95, 56);
INSERT INTO public.ecdc_data VALUES (10329, 0, 0, 1.80843272, 96, 56);
INSERT INTO public.ecdc_data VALUES (10330, 0, 0, 20.31753403, 192, 56);
INSERT INTO public.ecdc_data VALUES (10331, 0, 1, 33.48089729, 41, 56);
INSERT INTO public.ecdc_data VALUES (10332, 41, 3372, 159.38238843, 134, 56);
INSERT INTO public.ecdc_data VALUES (10333, 1, 104, 9.04496353, 42, 56);
INSERT INTO public.ecdc_data VALUES (10334, 1, 137, 18.23726364, 193, 56);
INSERT INTO public.ecdc_data VALUES (10335, 0, 0, 0, 43, 56);
INSERT INTO public.ecdc_data VALUES (10336, 0, 27, 3.78845716, 44, 56);
INSERT INTO public.ecdc_data VALUES (10337, 0, 113, 57.69817531, 135, 56);
INSERT INTO public.ecdc_data VALUES (10338, 0, 0, 0, 97, 56);
INSERT INTO public.ecdc_data VALUES (10339, 0, 23, 1.63290139, 194, 56);
INSERT INTO public.ecdc_data VALUES (10340, 0, 6, 2.83530074, 195, 56);
INSERT INTO public.ecdc_data VALUES (10341, 0, 18, 2.36354479, 45, 56);
INSERT INTO public.ecdc_data VALUES (10342, 87, 6579, 102.13246236, 46, 56);
INSERT INTO public.ecdc_data VALUES (10343, 0, 39, 1.16934358, 136, 56);
INSERT INTO public.ecdc_data VALUES (10344, 0, 12, 3.05547385, 47, 56);
INSERT INTO public.ecdc_data VALUES (10345, 8, 419, 10.0048874, 196, 56);
INSERT INTO public.ecdc_data VALUES (10346, 0, 9, 0.62371815, 137, 56);
INSERT INTO public.ecdc_data VALUES (10347, 8, 95, 5.26472689, 48, 56);
INSERT INTO public.ecdc_data VALUES (10348, 0, 16, 35.26196198, 98, 56);
INSERT INTO public.ecdc_data VALUES (10349, 23, 1279, 146.15571468, 197, 56);
INSERT INTO public.ecdc_data VALUES (10350, 0, 52, 4.49410482, 198, 56);
INSERT INTO public.ecdc_data VALUES (10351, 0, 11, 0.45693847, 138, 56);
INSERT INTO public.ecdc_data VALUES (10352, 0, 1, 0.01682519, 139, 56);
INSERT INTO public.ecdc_data VALUES (10353, 0, 61, 9.19426977, 140, 56);
INSERT INTO public.ecdc_data VALUES (10354, 0, 0, 0.04739637, 141, 56);
INSERT INTO public.ecdc_data VALUES (10355, 0, 0, 0, 142, 56);
INSERT INTO public.ecdc_data VALUES (10356, 0, 5, 0.79184802, 49, 56);
INSERT INTO public.ecdc_data VALUES (10357, 0, 0, 0.43011709, 99, 56);
INSERT INTO public.ecdc_data VALUES (10358, 0, 2, 0.641315, 50, 56);
INSERT INTO public.ecdc_data VALUES (10359, 21, 1458, 23.28182463, 199, 56);
INSERT INTO public.ecdc_data VALUES (10360, 0, 0, 7.85463685, 100, 56);
INSERT INTO public.ecdc_data VALUES (10361, 0, 16, 0.32076197, 51, 56);
INSERT INTO public.ecdc_data VALUES (10362, 16, 994, 24.862683, 200, 56);
INSERT INTO public.ecdc_data VALUES (10363, 1, 430, 57.07983378, 143, 56);
INSERT INTO public.ecdc_data VALUES (10364, 99, 778, 19.26265012, 201, 56);
INSERT INTO public.ecdc_data VALUES (10365, 0, 0, 0, 52, 56);
INSERT INTO public.ecdc_data VALUES (10366, 2437, 40949, 121.24142666, 101, 56);
INSERT INTO public.ecdc_data VALUES (10367, 0, 1, 8.60593427, 102, 56);
INSERT INTO public.ecdc_data VALUES (10368, 0, 5, 1.73323693, 103, 56);
INSERT INTO public.ecdc_data VALUES (10369, 1, 238, 7.30404711, 144, 56);
INSERT INTO public.ecdc_data VALUES (10370, 1, 198, 6.39995421, 104, 56);
INSERT INTO public.ecdc_data VALUES (10371, 0, 0, 0.02073353, 145, 56);
INSERT INTO public.ecdc_data VALUES (10372, 0, 0, 0.3433724, 53, 56);
INSERT INTO public.ecdc_data VALUES (10373, 14, 61, 1.66312769, 146, 56);
INSERT INTO public.ecdc_data VALUES (10374, 0, 8, 1.3717011, 54, 56);
INSERT INTO public.ecdc_data VALUES (10375, 0, 21, 1.49534262, 55, 56);
INSERT INTO public.ecdc_data VALUES (10376, 1, 591, 17.04968569, 105, 57);
INSERT INTO public.ecdc_data VALUES (10377, 0, 6, 4.61147131, 147, 57);
INSERT INTO public.ecdc_data VALUES (10378, 9, 197, 6.06693314, 1, 57);
INSERT INTO public.ecdc_data VALUES (10379, 0, 0, 9.18912533, 148, 57);
INSERT INTO public.ecdc_data VALUES (10380, 0, 0, 0.0754117, 2, 57);
INSERT INTO public.ecdc_data VALUES (10381, 0, 0, 0, 56, 57);
INSERT INTO public.ecdc_data VALUES (10382, 0, 0, 0, 57, 57);
INSERT INTO public.ecdc_data VALUES (10383, 15, 552, 14.72510184, 58, 57);
INSERT INTO public.ecdc_data VALUES (10384, 4, 289, 130.64081619, 149, 57);
INSERT INTO public.ecdc_data VALUES (10385, 0, 0, 0, 59, 57);
INSERT INTO public.ecdc_data VALUES (10386, 0, 9, 0.67451752, 202, 57);
INSERT INTO public.ecdc_data VALUES (10387, 1, 20, 6.60362183, 150, 57);
INSERT INTO public.ecdc_data VALUES (10388, 2, 149, 16.74011783, 151, 57);
INSERT INTO public.ecdc_data VALUES (10389, 0, 0, 1.79724047, 60, 57);
INSERT INTO public.ecdc_data VALUES (10390, 0, 33, 239.76884699, 106, 57);
INSERT INTO public.ecdc_data VALUES (10391, 21, 1975, 12.20145167, 107, 57);
INSERT INTO public.ecdc_data VALUES (10392, 0, 0, 2.7872525, 61, 57);
INSERT INTO public.ecdc_data VALUES (10393, 5, 946, 140.04895472, 152, 57);
INSERT INTO public.ecdc_data VALUES (10394, 26, 314, 31.26877097, 153, 57);
INSERT INTO public.ecdc_data VALUES (10395, 0, 0, 0, 62, 57);
INSERT INTO public.ecdc_data VALUES (10396, 0, 0, -1.08463996, 3, 57);
INSERT INTO public.ecdc_data VALUES (10397, 0, 0, 22.39713317, 63, 57);
INSERT INTO public.ecdc_data VALUES (10398, 0, 0, 2.09672727, 108, 57);
INSERT INTO public.ecdc_data VALUES (10399, 11, 397, 33.25776146, 64, 57);
INSERT INTO public.ecdc_data VALUES (10400, 0, 0, 3.84867028, 65, 57);
INSERT INTO public.ecdc_data VALUES (10401, 2, 5, 7.96728747, 154, 57);
INSERT INTO public.ecdc_data VALUES (10402, 0, 0, 0.47749211, 4, 57);
INSERT INTO public.ecdc_data VALUES (10403, 807, 11687, 97.87608187, 66, 57);
INSERT INTO public.ecdc_data VALUES (10404, 0, 0, 3.3296707, 67, 57);
INSERT INTO public.ecdc_data VALUES (10405, 0, 0, 0, 109, 57);
INSERT INTO public.ecdc_data VALUES (10406, 0, 0, 6.32853617, 155, 57);
INSERT INTO public.ecdc_data VALUES (10407, 0, 9, 0.39859492, 5, 57);
INSERT INTO public.ecdc_data VALUES (10408, 0, 0, 0.19946964, 6, 57);
INSERT INTO public.ecdc_data VALUES (10409, 0, 0, 0.01213111, 110, 57);
INSERT INTO public.ecdc_data VALUES (10410, 6, 154, 9.10096143, 7, 57);
INSERT INTO public.ecdc_data VALUES (10411, 121, 1012, 42.01701113, 68, 57);
INSERT INTO public.ecdc_data VALUES (10412, 0, 10, 23.63911437, 8, 57);
INSERT INTO public.ecdc_data VALUES (10413, 0, 5, 76.98466465, 69, 57);
INSERT INTO public.ecdc_data VALUES (10414, 0, 48, 9.96801174, 9, 57);
INSERT INTO public.ecdc_data VALUES (10415, 1, 12, 2.28884869, 10, 57);
INSERT INTO public.ecdc_data VALUES (10416, 43, 4895, 231.81679434, 70, 57);
INSERT INTO public.ecdc_data VALUES (10417, 0, 7, 0.00634684, 111, 57);
INSERT INTO public.ecdc_data VALUES (10418, 23, 806, 20.59617545, 71, 57);
INSERT INTO public.ecdc_data VALUES (10419, 0, 0, 8.93181383, 11, 57);
INSERT INTO public.ecdc_data VALUES (10420, 1, 44, 3.67995266, 12, 57);
INSERT INTO public.ecdc_data VALUES (10421, 0, 21, 2.97173229, 72, 57);
INSERT INTO public.ecdc_data VALUES (10422, 0, 47, 2.69476229, 13, 57);
INSERT INTO public.ecdc_data VALUES (10423, 1, 0, 1.17755405, 156, 57);
INSERT INTO public.ecdc_data VALUES (10424, 0, 6, 1.44703959, 73, 57);
INSERT INTO public.ecdc_data VALUES (10425, 0, 1, 1.22381794, 74, 57);
INSERT INTO public.ecdc_data VALUES (10426, 0, 2, 4.11006292, 157, 57);
INSERT INTO public.ecdc_data VALUES (10427, 2, 47, 7.77479389, 158, 57);
INSERT INTO public.ecdc_data VALUES (10428, 0, 0, 1.37687773, 14, 57);
INSERT INTO public.ecdc_data VALUES (10429, 1, 27, 15.05318303, 159, 57);
INSERT INTO public.ecdc_data VALUES (10430, 4, 198, 127.47070793, 15, 57);
INSERT INTO public.ecdc_data VALUES (10431, 0, 0, 0, 75, 57);
INSERT INTO public.ecdc_data VALUES (10432, 2, 651, 41.33548537, 76, 57);
INSERT INTO public.ecdc_data VALUES (10433, 95, 599, 45.1603252, 77, 57);
INSERT INTO public.ecdc_data VALUES (10434, 19, 702, 8.1892196, 16, 57);
INSERT INTO public.ecdc_data VALUES (10435, 1, 68, 15.26291731, 78, 57);
INSERT INTO public.ecdc_data VALUES (10436, 0, 0, 44.54336414, 17, 57);
INSERT INTO public.ecdc_data VALUES (10437, 0, 0, 0, 18, 57);
INSERT INTO public.ecdc_data VALUES (10438, 0, 1, 6.26500204, 160, 57);
INSERT INTO public.ecdc_data VALUES (10439, 0, 6, 7.05493179, 19, 57);
INSERT INTO public.ecdc_data VALUES (10440, 0, 73, 0.36135314, 20, 57);
INSERT INTO public.ecdc_data VALUES (10441, 0, 0, 0, 79, 57);
INSERT INTO public.ecdc_data VALUES (10442, 0, 0, 0, 161, 57);
INSERT INTO public.ecdc_data VALUES (10443, 0, 0, 0, 203, 57);
INSERT INTO public.ecdc_data VALUES (10444, 1, 20, 11.14550612, 162, 57);
INSERT INTO public.ecdc_data VALUES (10445, 65, 358, 8.59536218, 163, 57);
INSERT INTO public.ecdc_data VALUES (10446, 0, 0, 0, 204, 57);
INSERT INTO public.ecdc_data VALUES (10447, 2, 201, 61.35567975, 21, 57);
INSERT INTO public.ecdc_data VALUES (10448, 0, 0, 0.12778486, 22, 57);
INSERT INTO public.ecdc_data VALUES (10449, 0, 1, 2.32688361, 164, 57);
INSERT INTO public.ecdc_data VALUES (10450, 45, 432, 10.23136656, 165, 57);
INSERT INTO public.ecdc_data VALUES (10451, 0, 125, 6.93013953, 23, 57);
INSERT INTO public.ecdc_data VALUES (10452, 0, 4, 23.73464665, 166, 57);
INSERT INTO public.ecdc_data VALUES (10453, 1, 4, 1.45459984, 167, 57);
INSERT INTO public.ecdc_data VALUES (10454, 0, 1, 1.76491352, 80, 57);
INSERT INTO public.ecdc_data VALUES (10455, 0, 1, 1.7856824, 81, 57);
INSERT INTO public.ecdc_data VALUES (10456, 0, 0, 8.36845094, 205, 57);
INSERT INTO public.ecdc_data VALUES (10457, 1, 336, 15.04993096, 82, 57);
INSERT INTO public.ecdc_data VALUES (10458, 0, 0, 0, 168, 57);
INSERT INTO public.ecdc_data VALUES (10459, 0, 0, 8.31555511, 24, 57);
INSERT INTO public.ecdc_data VALUES (10460, 0, 0, 21.44808964, 25, 57);
INSERT INTO public.ecdc_data VALUES (10461, 1, 2, 3.57701766, 83, 57);
INSERT INTO public.ecdc_data VALUES (10462, 4, 105, 7.5822961, 84, 57);
INSERT INTO public.ecdc_data VALUES (10463, 0, 0, 0, 169, 57);
INSERT INTO public.ecdc_data VALUES (10464, 2, 239, 22.3986686, 85, 57);
INSERT INTO public.ecdc_data VALUES (10465, 8, 15, 4.68649785, 170, 57);
INSERT INTO public.ecdc_data VALUES (10466, 0, 0, 0.84035732, 171, 57);
INSERT INTO public.ecdc_data VALUES (10467, 146, 6535, 5.46128735, 112, 57);
INSERT INTO public.ecdc_data VALUES (10468, 19, 479, 3.1353283, 113, 57);
INSERT INTO public.ecdc_data VALUES (10469, 34, 2023, 34.29823275, 114, 57);
INSERT INTO public.ecdc_data VALUES (10470, 3, 163, 4.61462665, 115, 57);
INSERT INTO public.ecdc_data VALUES (10471, 0, 59, 31.87038155, 172, 57);
INSERT INTO public.ecdc_data VALUES (10472, 0, 0, 7.09312085, 173, 57);
INSERT INTO public.ecdc_data VALUES (10473, 1, 14, 2.67625329, 116, 57);
INSERT INTO public.ecdc_data VALUES (10474, 92, 300, 17.13730584, 174, 57);
INSERT INTO public.ecdc_data VALUES (10475, 0, 4, 1.72982389, 86, 57);
INSERT INTO public.ecdc_data VALUES (10476, 16, 42, 0.59041324, 117, 57);
INSERT INTO public.ecdc_data VALUES (10477, 0, 1, 12.05981669, 175, 57);
INSERT INTO public.ecdc_data VALUES (10478, 0, 3, 1.4749997, 118, 57);
INSERT INTO public.ecdc_data VALUES (10479, 0, 438, 20.10087849, 119, 57);
INSERT INTO public.ecdc_data VALUES (10480, 1, 72, 1.11462009, 26, 57);
INSERT INTO public.ecdc_data VALUES (10481, 1, 6, 7.95104381, 176, 57);
INSERT INTO public.ecdc_data VALUES (10482, 9, 665, 301.42067759, 120, 57);
INSERT INTO public.ecdc_data VALUES (10483, 0, 35, 6.71773705, 121, 57);
INSERT INTO public.ecdc_data VALUES (10484, 0, 0, 0, 122, 57);
INSERT INTO public.ecdc_data VALUES (10485, 0, 2, 5.36467274, 177, 57);
INSERT INTO public.ecdc_data VALUES (10486, 0, 5, 3.79245969, 123, 57);
INSERT INTO public.ecdc_data VALUES (10487, 0, 0, 0, 27, 57);
INSERT INTO public.ecdc_data VALUES (10488, 0, 0, 1.0936988, 28, 57);
INSERT INTO public.ecdc_data VALUES (10489, 0, 0, 0.16230286, 29, 57);
INSERT INTO public.ecdc_data VALUES (10490, 0, 0, 0, 178, 57);
INSERT INTO public.ecdc_data VALUES (10491, 0, 12, 5.36829357, 179, 57);
INSERT INTO public.ecdc_data VALUES (10492, 0, 1, 17.10392999, 180, 57);
INSERT INTO public.ecdc_data VALUES (10493, 0, 15, 1.32001914, 30, 57);
INSERT INTO public.ecdc_data VALUES (10494, 0, 18, 0.23619407, 31, 57);
INSERT INTO public.ecdc_data VALUES (10495, 0, 172, 2.16276859, 124, 57);
INSERT INTO public.ecdc_data VALUES (10496, 0, 24, 93.79290602, 125, 57);
INSERT INTO public.ecdc_data VALUES (10497, 2, 29, 1.76518259, 32, 57);
INSERT INTO public.ecdc_data VALUES (10498, 0, 0, 21.27405234, 181, 57);
INSERT INTO public.ecdc_data VALUES (10499, 0, 0, 5.05999296, 33, 57);
INSERT INTO public.ecdc_data VALUES (10500, 0, 0, 0.15752125, 34, 57);
INSERT INTO public.ecdc_data VALUES (10501, 239, 4593, 34.77234259, 87, 57);
INSERT INTO public.ecdc_data VALUES (10502, 11, 54, 53.22440468, 182, 57);
INSERT INTO public.ecdc_data VALUES (10503, 0, 0, 3.02251776, 183, 57);
INSERT INTO public.ecdc_data VALUES (10504, 0, 0, 3.06960944, 126, 57);
INSERT INTO public.ecdc_data VALUES (10505, 0, 0, 0, 184, 57);
INSERT INTO public.ecdc_data VALUES (10506, 0, 0, 0, 88, 57);
INSERT INTO public.ecdc_data VALUES (10507, 1, 99, 3.43005052, 35, 57);
INSERT INTO public.ecdc_data VALUES (10508, 1, 15, 0.34907413, 36, 57);
INSERT INTO public.ecdc_data VALUES (10509, 0, 2, 0.0425568, 127, 57);
INSERT INTO public.ecdc_data VALUES (10510, 0, 0, 0.20043904, 37, 57);
INSERT INTO public.ecdc_data VALUES (10511, 1, 79, 1.91550022, 128, 57);
INSERT INTO public.ecdc_data VALUES (10512, 8, 209, 15.37423296, 185, 57);
INSERT INTO public.ecdc_data VALUES (10513, 0, 0, 0, 207, 57);
INSERT INTO public.ecdc_data VALUES (10514, 0, 0, 0.14634977, 208, 57);
INSERT INTO public.ecdc_data VALUES (10515, 0, 0, 4.01802581, 89, 57);
INSERT INTO public.ecdc_data VALUES (10516, 1, 6, 0.51049476, 38, 57);
INSERT INTO public.ecdc_data VALUES (10517, 7, 229, 1.70528392, 39, 57);
INSERT INTO public.ecdc_data VALUES (10518, 0, 21, 16.12800727, 186, 57);
INSERT INTO public.ecdc_data VALUES (10519, 0, 0, 5.24356353, 209, 57);
INSERT INTO public.ecdc_data VALUES (10520, 0, 43, 4.61693341, 187, 57);
INSERT INTO public.ecdc_data VALUES (10521, 0, 0, 84.34184417, 129, 57);
INSERT INTO public.ecdc_data VALUES (10522, 30, 1356, 11.83199616, 130, 57);
INSERT INTO public.ecdc_data VALUES (10523, 0, 0, 1.1041024, 131, 57);
INSERT INTO public.ecdc_data VALUES (10524, 4, 257, 60.4506363, 90, 57);
INSERT INTO public.ecdc_data VALUES (10525, 0, 0, 0, 210, 57);
INSERT INTO public.ecdc_data VALUES (10526, 0, 3, 2.00152201, 91, 57);
INSERT INTO public.ecdc_data VALUES (10527, 173, 4020, 169.65923154, 92, 57);
INSERT INTO public.ecdc_data VALUES (10528, 5, 284, 2.9902895, 132, 57);
INSERT INTO public.ecdc_data VALUES (10529, 11, 305, 13.97052186, 188, 57);
INSERT INTO public.ecdc_data VALUES (10530, 14, 165, 30.25314654, 189, 57);
INSERT INTO public.ecdc_data VALUES (10531, 2, 71, 34.22644818, 93, 57);
INSERT INTO public.ecdc_data VALUES (10532, 3, 1751, 771.23772674, 133, 57);
INSERT INTO public.ecdc_data VALUES (10533, 18, 213, 13.88140735, 190, 57);
INSERT INTO public.ecdc_data VALUES (10534, 92, 8946, 90.54703067, 191, 57);
INSERT INTO public.ecdc_data VALUES (10535, 0, 9, 0.4038984, 40, 57);
INSERT INTO public.ecdc_data VALUES (10536, 0, 0, 0, 94, 57);
INSERT INTO public.ecdc_data VALUES (10537, 0, 0, 0, 95, 57);
INSERT INTO public.ecdc_data VALUES (10538, 0, 0, 0.90421636, 96, 57);
INSERT INTO public.ecdc_data VALUES (10539, 0, 1, 110.29518474, 192, 57);
INSERT INTO public.ecdc_data VALUES (10540, 2, 0, 40.45608422, 41, 57);
INSERT INTO public.ecdc_data VALUES (10541, 9, 2235, 98.57732732, 134, 57);
INSERT INTO public.ecdc_data VALUES (10542, 1, 83, 7.63360559, 42, 57);
INSERT INTO public.ecdc_data VALUES (10543, 1, 34, 14.60417096, 193, 57);
INSERT INTO public.ecdc_data VALUES (10544, 0, 0, 0, 43, 57);
INSERT INTO public.ecdc_data VALUES (10545, 2, 28, 5.08114018, 44, 57);
INSERT INTO public.ecdc_data VALUES (10546, 0, 344, 140.80835678, 135, 57);
INSERT INTO public.ecdc_data VALUES (10547, 0, 0, 2.3591026, 97, 57);
INSERT INTO public.ecdc_data VALUES (10548, 0, 2, 0.99074915, 194, 57);
INSERT INTO public.ecdc_data VALUES (10549, 0, 0, 0.38444756, 195, 57);
INSERT INTO public.ecdc_data VALUES (10550, 5, 95, 3.8852791, 45, 57);
INSERT INTO public.ecdc_data VALUES (10551, 52, 1032, 22.1369256, 46, 57);
INSERT INTO public.ecdc_data VALUES (10552, 2, 19, 0.56417411, 136, 57);
INSERT INTO public.ecdc_data VALUES (10553, 2, 92, 4.51089186, 47, 57);
INSERT INTO public.ecdc_data VALUES (10554, 283, 859, 17.05901477, 196, 57);
INSERT INTO public.ecdc_data VALUES (10555, 1, 41, 1.46784799, 137, 57);
INSERT INTO public.ecdc_data VALUES (10556, 19, 192, 5.37217029, 48, 57);
INSERT INTO public.ecdc_data VALUES (10557, 0, 0, 0.17200957, 98, 57);
INSERT INTO public.ecdc_data VALUES (10558, 42, 491, 73.58615704, 197, 57);
INSERT INTO public.ecdc_data VALUES (10559, 0, 10, 4.70476599, 198, 57);
INSERT INTO public.ecdc_data VALUES (10560, 0, 20, 0.34563295, 138, 57);
INSERT INTO public.ecdc_data VALUES (10561, 0, 0, 0.0042063, 139, 57);
INSERT INTO public.ecdc_data VALUES (10562, 2, 362, 26.16665574, 140, 57);
INSERT INTO public.ecdc_data VALUES (10563, 0, 0, 0.03877885, 141, 57);
INSERT INTO public.ecdc_data VALUES (10564, 0, 0, 0, 142, 57);
INSERT INTO public.ecdc_data VALUES (10565, 1, 5, 2.5363882, 49, 57);
INSERT INTO public.ecdc_data VALUES (10566, 0, 0, 0, 99, 57);
INSERT INTO public.ecdc_data VALUES (10567, 0, 0, 0.16246647, 50, 57);
INSERT INTO public.ecdc_data VALUES (10568, 29, 987, 22.0026169, 199, 57);
INSERT INTO public.ecdc_data VALUES (10569, 0, 0, 0, 100, 57);
INSERT INTO public.ecdc_data VALUES (10570, 0, 10, 0.22588871, 51, 57);
INSERT INTO public.ecdc_data VALUES (10571, 6, 259, 12.72229263, 200, 57);
INSERT INTO public.ecdc_data VALUES (10572, 3, 822, 116.97425502, 143, 57);
INSERT INTO public.ecdc_data VALUES (10573, 104, 1364, 52.89351473, 201, 57);
INSERT INTO public.ecdc_data VALUES (10574, 0, 0, 0, 52, 57);
INSERT INTO public.ecdc_data VALUES (10575, 500, 19064, 95.53920329, 101, 57);
INSERT INTO public.ecdc_data VALUES (10576, 0, 0, 0, 102, 57);
INSERT INTO public.ecdc_data VALUES (10577, 0, 18, 2.19543344, 103, 57);
INSERT INTO public.ecdc_data VALUES (10578, 0, 97, 2.28005123, 144, 57);
INSERT INTO public.ecdc_data VALUES (10579, 0, 56, 2.64765229, 104, 57);
INSERT INTO public.ecdc_data VALUES (10580, 0, 1, 0.03939371, 145, 57);
INSERT INTO public.ecdc_data VALUES (10581, 0, 0, 0, 53, 57);
INSERT INTO public.ecdc_data VALUES (10582, 3, 15, 0.6206724, 146, 57);
INSERT INTO public.ecdc_data VALUES (10583, 0, 0, 3.65600334, 54, 57);
INSERT INTO public.ecdc_data VALUES (10584, 0, 0, 0.12973292, 55, 57);
INSERT INTO public.ecdc_data VALUES (10585, 4, 112, 2.38685085, 105, 58);
INSERT INTO public.ecdc_data VALUES (10586, 0, 34, 9.74697346, 147, 58);
INSERT INTO public.ecdc_data VALUES (10587, 4, 129, 3.32380602, 1, 58);
INSERT INTO public.ecdc_data VALUES (10588, 0, 2, 145.71327304, 148, 58);
INSERT INTO public.ecdc_data VALUES (10589, 0, 0, 0.01885293, 2, 58);
INSERT INTO public.ecdc_data VALUES (10590, 0, 0, 0, 56, 58);
INSERT INTO public.ecdc_data VALUES (10591, 0, 0, 3.08912115, 57, 58);
INSERT INTO public.ecdc_data VALUES (10592, 18, 344, 3.639963, 58, 58);
INSERT INTO public.ecdc_data VALUES (10593, 0, 69, 24.78253578, 149, 58);
INSERT INTO public.ecdc_data VALUES (10594, 0, 0, 7.52516226, 59, 58);
INSERT INTO public.ecdc_data VALUES (10595, 2, 16, 1.64264855, 202, 58);
INSERT INTO public.ecdc_data VALUES (10596, 23, 66, 14.97949773, 150, 58);
INSERT INTO public.ecdc_data VALUES (10597, 0, 25, 5.56345176, 151, 58);
INSERT INTO public.ecdc_data VALUES (10598, 0, 5, 8.21595641, 60, 58);
INSERT INTO public.ecdc_data VALUES (10599, 0, 71, 94.38422973, 106, 58);
INSERT INTO public.ecdc_data VALUES (10600, 9, 309, 2.76976756, 107, 58);
INSERT INTO public.ecdc_data VALUES (10601, 0, 3, 3.83247219, 61, 58);
INSERT INTO public.ecdc_data VALUES (10602, 4, 817, 77.90606606, 152, 58);
INSERT INTO public.ecdc_data VALUES (10603, 142, 388, 127.77247369, 153, 58);
INSERT INTO public.ecdc_data VALUES (10604, 0, 0, 1.28089847, 62, 58);
INSERT INTO public.ecdc_data VALUES (10605, 0, 0, 0.19489624, 3, 58);
INSERT INTO public.ecdc_data VALUES (10606, 0, 0, 78.38996608, 63, 58);
INSERT INTO public.ecdc_data VALUES (10607, 0, 0, 0.26209091, 108, 58);
INSERT INTO public.ecdc_data VALUES (10608, 2, 59, 4.91613815, 64, 58);
INSERT INTO public.ecdc_data VALUES (10609, 0, 0, 15.39468114, 65, 58);
INSERT INTO public.ecdc_data VALUES (10610, 2, 65, 16.26780749, 154, 58);
INSERT INTO public.ecdc_data VALUES (10611, 0, 0, 0.39067536, 4, 58);
INSERT INTO public.ecdc_data VALUES (10612, 346, 5514, 17.90195978, 66, 58);
INSERT INTO public.ecdc_data VALUES (10613, 0, 0, 9.98901209, 67, 58);
INSERT INTO public.ecdc_data VALUES (10614, 0, 0, 0.46157823, 109, 58);
INSERT INTO public.ecdc_data VALUES (10615, 1, 59, 8.37138193, 155, 58);
INSERT INTO public.ecdc_data VALUES (10616, 0, 3, 0.71353411, 5, 58);
INSERT INTO public.ecdc_data VALUES (10617, 0, 3, 0.08672593, 6, 58);
INSERT INTO public.ecdc_data VALUES (10618, 0, 0, 0, 110, 58);
INSERT INTO public.ecdc_data VALUES (10619, 4, 115, 2.69743995, 7, 58);
INSERT INTO public.ecdc_data VALUES (10620, 163, 1464, 58.91309404, 68, 58);
INSERT INTO public.ecdc_data VALUES (10621, 0, 2, 14.91082599, 8, 58);
INSERT INTO public.ecdc_data VALUES (10622, 0, 4, 26.17478598, 69, 58);
INSERT INTO public.ecdc_data VALUES (10623, 0, 0, 0.16859216, 9, 58);
INSERT INTO public.ecdc_data VALUES (10624, 0, 0, 0.18185373, 10, 58);
INSERT INTO public.ecdc_data VALUES (10625, 7, 552, 31.29479235, 70, 58);
INSERT INTO public.ecdc_data VALUES (10626, 0, 10, 0.05663337, 111, 58);
INSERT INTO public.ecdc_data VALUES (10627, 8, 261, 4.83318816, 71, 58);
INSERT INTO public.ecdc_data VALUES (10628, 2, 0, 2.60198673, 12, 58);
INSERT INTO public.ecdc_data VALUES (10629, 0, 6, 2.29813964, 72, 58);
INSERT INTO public.ecdc_data VALUES (10630, 0, 34, 2.24757952, 13, 58);
INSERT INTO public.ecdc_data VALUES (10631, 3, 7, 11.82460529, 156, 58);
INSERT INTO public.ecdc_data VALUES (10632, 2, 52, 6.32638648, 73, 58);
INSERT INTO public.ecdc_data VALUES (10633, 0, 0, 1.22381794, 74, 58);
INSERT INTO public.ecdc_data VALUES (10634, 0, 6, 22.14867239, 157, 58);
INSERT INTO public.ecdc_data VALUES (10635, 3, 79, 13.61527916, 158, 58);
INSERT INTO public.ecdc_data VALUES (10636, 0, 26, 0.23965738, 14, 58);
INSERT INTO public.ecdc_data VALUES (10637, 15, 235, 42.17991447, 159, 58);
INSERT INTO public.ecdc_data VALUES (10638, 0, 9, 84.32993651, 15, 58);
INSERT INTO public.ecdc_data VALUES (10639, 0, 0, 0, 75, 58);
INSERT INTO public.ecdc_data VALUES (10640, 6, 177, 29.49075967, 76, 58);
INSERT INTO public.ecdc_data VALUES (10641, 0, 0, 22.59743012, 77, 58);
INSERT INTO public.ecdc_data VALUES (10642, 13, 227, 2.3707995, 16, 58);
INSERT INTO public.ecdc_data VALUES (10643, 0, 37, 2.78916255, 78, 58);
INSERT INTO public.ecdc_data VALUES (10644, 0, 2, 14.45446916, 17, 58);
INSERT INTO public.ecdc_data VALUES (10645, 0, 0, 0.14297491, 18, 58);
INSERT INTO public.ecdc_data VALUES (10646, 0, 30, 24.9845262, 160, 58);
INSERT INTO public.ecdc_data VALUES (10647, 0, 0, 2.26454601, 19, 58);
INSERT INTO public.ecdc_data VALUES (10648, 0, 5, 0.04728819, 20, 58);
INSERT INTO public.ecdc_data VALUES (10649, 0, 1, 237.24792408, 79, 58);
INSERT INTO public.ecdc_data VALUES (10650, 0, 0, 6.16307496, 161, 58);
INSERT INTO public.ecdc_data VALUES (10651, 0, 0, 0.22473046, 203, 58);
INSERT INTO public.ecdc_data VALUES (10652, 9, 80, 28.45275547, 162, 58);
INSERT INTO public.ecdc_data VALUES (10653, 369, 1537, 45.25100047, 163, 58);
INSERT INTO public.ecdc_data VALUES (10654, 0, 0, 2.14834309, 204, 58);
INSERT INTO public.ecdc_data VALUES (10655, 0, 4, 5.84558989, 21, 58);
INSERT INTO public.ecdc_data VALUES (10656, 0, 0, 0.04259495, 22, 58);
INSERT INTO public.ecdc_data VALUES (10657, 0, 12, 5.35433433, 164, 58);
INSERT INTO public.ecdc_data VALUES (10658, 140, 1737, 40.58819493, 165, 58);
INSERT INTO public.ecdc_data VALUES (10659, 0, 0, 2.86344949, 23, 58);
INSERT INTO public.ecdc_data VALUES (10660, 0, 3, 20.76781582, 166, 58);
INSERT INTO public.ecdc_data VALUES (10661, 0, 16, 3.96285213, 167, 58);
INSERT INTO public.ecdc_data VALUES (10662, 0, 0, 0, 80, 58);
INSERT INTO public.ecdc_data VALUES (10663, 0, 3, 3.5713648, 81, 58);
INSERT INTO public.ecdc_data VALUES (10664, 0, 0, 4.78197197, 205, 58);
INSERT INTO public.ecdc_data VALUES (10665, 2, 43, 1.82009747, 82, 58);
INSERT INTO public.ecdc_data VALUES (10666, 1, 0, 55.84165788, 168, 58);
INSERT INTO public.ecdc_data VALUES (10667, 1, 42, 5.84124681, 24, 58);
INSERT INTO public.ecdc_data VALUES (10668, 0, 0, 0.72881858, 25, 58);
INSERT INTO public.ecdc_data VALUES (10669, 0, 1, 3.70476829, 83, 58);
INSERT INTO public.ecdc_data VALUES (10670, 1, 0, 0.34626411, 84, 58);
INSERT INTO public.ecdc_data VALUES (10671, 0, 0, 122.6993865, 169, 58);
INSERT INTO public.ecdc_data VALUES (10672, 12, 36, 2.40095669, 85, 58);
INSERT INTO public.ecdc_data VALUES (10673, 10, 57, 11.15345559, 170, 58);
INSERT INTO public.ecdc_data VALUES (10674, 0, 1, 28.29202977, 171, 58);
INSERT INTO public.ecdc_data VALUES (10675, 49, 1990, 1.32755886, 112, 58);
INSERT INTO public.ecdc_data VALUES (10676, 31, 396, 1.76073534, 113, 58);
INSERT INTO public.ecdc_data VALUES (10677, 76, 1134, 23.27595449, 114, 58);
INSERT INTO public.ecdc_data VALUES (10678, 0, 55, 1.13203355, 115, 58);
INSERT INTO public.ecdc_data VALUES (10679, 234, 377, 196.42187169, 172, 58);
INSERT INTO public.ecdc_data VALUES (10680, 0, 0, 96.93931835, 173, 58);
INSERT INTO public.ecdc_data VALUES (10681, 5, 240, 53.46637599, 116, 58);
INSERT INTO public.ecdc_data VALUES (10682, 415, 2357, 71.37230621, 174, 58);
INSERT INTO public.ecdc_data VALUES (10683, 0, 17, 8.00467527, 86, 58);
INSERT INTO public.ecdc_data VALUES (10684, 14, 290, 5.07172066, 117, 58);
INSERT INTO public.ecdc_data VALUES (10685, 0, 2, 76.06961297, 175, 58);
INSERT INTO public.ecdc_data VALUES (10686, 0, 3, 0.62365759, 118, 58);
INSERT INTO public.ecdc_data VALUES (10687, 0, 170, 9.55182534, 119, 58);
INSERT INTO public.ecdc_data VALUES (10688, 0, 7, 0.28911647, 26, 58);
INSERT INTO public.ecdc_data VALUES (10689, 0, 28, 24.90956383, 176, 58);
INSERT INTO public.ecdc_data VALUES (10690, 4, 278, 41.31134277, 120, 58);
INSERT INTO public.ecdc_data VALUES (10691, 0, 17, 4.75385105, 121, 58);
INSERT INTO public.ecdc_data VALUES (10692, 0, 0, 0.01394806, 122, 58);
INSERT INTO public.ecdc_data VALUES (10693, 0, 20, 9.06265104, 177, 58);
INSERT INTO public.ecdc_data VALUES (10694, 2, 8, 1.23984259, 123, 58);
INSERT INTO public.ecdc_data VALUES (10695, 3, 3, 1.45826506, 28, 58);
INSERT INTO public.ecdc_data VALUES (10696, 0, 0, 0.53117299, 29, 58);
INSERT INTO public.ecdc_data VALUES (10697, 0, 1, 7.81697848, 178, 58);
INSERT INTO public.ecdc_data VALUES (10698, 1, 16, 13.34915668, 179, 58);
INSERT INTO public.ecdc_data VALUES (10699, 0, 16, 71.83650598, 180, 58);
INSERT INTO public.ecdc_data VALUES (10700, 0, 2, 0.08157422, 30, 58);
INSERT INTO public.ecdc_data VALUES (10701, 0, 0, 0.11272899, 31, 58);
INSERT INTO public.ecdc_data VALUES (10702, 2, 51, 3.79345228, 124, 58);
INSERT INTO public.ecdc_data VALUES (10703, 0, 9, 22.22402191, 125, 58);
INSERT INTO public.ecdc_data VALUES (10704, 0, 45, 1.34805011, 32, 58);
INSERT INTO public.ecdc_data VALUES (10705, 1, 2, 14.38531158, 181, 58);
INSERT INTO public.ecdc_data VALUES (10706, 0, 0, 0, 33, 58);
INSERT INTO public.ecdc_data VALUES (10707, 0, 0, 0.94512747, 34, 58);
INSERT INTO public.ecdc_data VALUES (10708, 84, 1035, 11.5390468, 87, 58);
INSERT INTO public.ecdc_data VALUES (10709, 7, 194, 43.13353241, 182, 58);
INSERT INTO public.ecdc_data VALUES (10710, 0, 0, 6.04503551, 183, 58);
INSERT INTO public.ecdc_data VALUES (10711, 0, 2, 0.68213543, 126, 58);
INSERT INTO public.ecdc_data VALUES (10712, 0, 1, 9.1613065, 184, 58);
INSERT INTO public.ecdc_data VALUES (10713, 1, 0, 40.07212983, 88, 58);
INSERT INTO public.ecdc_data VALUES (10714, 1, 139, 6.448824, 35, 58);
INSERT INTO public.ecdc_data VALUES (10715, 0, 5, 0.16465761, 36, 58);
INSERT INTO public.ecdc_data VALUES (10716, 0, 2, 0.21278398, 127, 58);
INSERT INTO public.ecdc_data VALUES (10717, 0, 0, 0, 37, 58);
INSERT INTO public.ecdc_data VALUES (10718, 0, 0, 0.13981753, 128, 58);
INSERT INTO public.ecdc_data VALUES (10719, 120, 655, 73.93171792, 185, 58);
INSERT INTO public.ecdc_data VALUES (10720, 0, 0, 0, 207, 58);
INSERT INTO public.ecdc_data VALUES (10721, 0, 4, 1.50531187, 208, 58);
INSERT INTO public.ecdc_data VALUES (10722, 0, 1, 0.07638832, 89, 58);
INSERT INTO public.ecdc_data VALUES (10723, 3, 3, 0.82794529, 38, 58);
INSERT INTO public.ecdc_data VALUES (10724, 3, 87, 0.4299286, 39, 58);
INSERT INTO public.ecdc_data VALUES (10725, 2, 41, 29.22298631, 186, 58);
INSERT INTO public.ecdc_data VALUES (10726, 0, 0, 5.24356353, 209, 58);
INSERT INTO public.ecdc_data VALUES (10727, 2, 59, 21.52692123, 187, 58);
INSERT INTO public.ecdc_data VALUES (10728, 0, 115, 27.31662684, 129, 58);
INSERT INTO public.ecdc_data VALUES (10729, 16, 783, 3.54858299, 130, 58);
INSERT INTO public.ecdc_data VALUES (10730, 0, 2, 1.4855196, 131, 58);
INSERT INTO public.ecdc_data VALUES (10731, 5, 200, 54.2572131, 90, 58);
INSERT INTO public.ecdc_data VALUES (10732, 0, 0, 0.06836735, 210, 58);
INSERT INTO public.ecdc_data VALUES (10733, 0, 5, 1.33434801, 91, 58);
INSERT INTO public.ecdc_data VALUES (10734, 66, 3683, 56.85246798, 92, 58);
INSERT INTO public.ecdc_data VALUES (10735, 17, 102, 2.65084124, 132, 58);
INSERT INTO public.ecdc_data VALUES (10736, 30, 381, 12.94873817, 188, 58);
INSERT INTO public.ecdc_data VALUES (10737, 23, 412, 74.88845794, 189, 58);
INSERT INTO public.ecdc_data VALUES (10738, 6, 31, 17.69275558, 93, 58);
INSERT INTO public.ecdc_data VALUES (10739, 0, 833, 234.10430035, 133, 58);
INSERT INTO public.ecdc_data VALUES (10740, 23, 218, 23.92546833, 190, 58);
INSERT INTO public.ecdc_data VALUES (10741, 66, 5966, 41.82015141, 191, 58);
INSERT INTO public.ecdc_data VALUES (10742, 0, 7, 0.49893331, 40, 58);
INSERT INTO public.ecdc_data VALUES (10743, 0, 0, 5.67816179, 94, 58);
INSERT INTO public.ecdc_data VALUES (10744, 0, 0, 0, 95, 58);
INSERT INTO public.ecdc_data VALUES (10745, 0, 0, 1.80843272, 96, 58);
INSERT INTO public.ecdc_data VALUES (10746, 0, 0, 455.69326329, 192, 58);
INSERT INTO public.ecdc_data VALUES (10747, 0, 0, 1.86004985, 41, 58);
INSERT INTO public.ecdc_data VALUES (10748, 9, 1197, 35.79377452, 134, 58);
INSERT INTO public.ecdc_data VALUES (10749, 0, 69, 2.06180987, 42, 58);
INSERT INTO public.ecdc_data VALUES (10750, 7, 296, 63.16986044, 193, 58);
INSERT INTO public.ecdc_data VALUES (10751, 0, 0, 1.0231121, 43, 58);
INSERT INTO public.ecdc_data VALUES (10752, 0, 0, 0.92151661, 44, 58);
INSERT INTO public.ecdc_data VALUES (10753, 0, 618, 179.07280807, 135, 58);
INSERT INTO public.ecdc_data VALUES (10754, 0, 0, 54.25935974, 97, 58);
INSERT INTO public.ecdc_data VALUES (10755, 0, 13, 11.83394824, 194, 58);
INSERT INTO public.ecdc_data VALUES (10756, 1, 15, 9.61118896, 195, 58);
INSERT INTO public.ecdc_data VALUES (10757, 2, 62, 2.38944665, 45, 58);
INSERT INTO public.ecdc_data VALUES (10758, 7, 141, 3.98406599, 46, 58);
INSERT INTO public.ecdc_data VALUES (10759, 2, 10, 0.42166646, 136, 58);
INSERT INTO public.ecdc_data VALUES (10760, 0, 0, 0.00903986, 47, 58);
INSERT INTO public.ecdc_data VALUES (10761, 288, 1641, 80.93604499, 196, 58);
INSERT INTO public.ecdc_data VALUES (10762, 0, 42, 1.23336748, 137, 58);
INSERT INTO public.ecdc_data VALUES (10763, 1, 39, 0.45313089, 48, 58);
INSERT INTO public.ecdc_data VALUES (10764, 0, 0, 0, 98, 58);
INSERT INTO public.ecdc_data VALUES (10765, 73, 473, 78.57140413, 197, 58);
INSERT INTO public.ecdc_data VALUES (10766, 20, 216, 46.70826132, 198, 58);
INSERT INTO public.ecdc_data VALUES (10767, 0, 0, 0.09958915, 138, 58);
INSERT INTO public.ecdc_data VALUES (10768, 0, 1, 0.18507706, 139, 58);
INSERT INTO public.ecdc_data VALUES (10769, 1, 68, 0.53285013, 141, 58);
INSERT INTO public.ecdc_data VALUES (10770, 0, 0, 1.70131156, 142, 58);
INSERT INTO public.ecdc_data VALUES (10771, 0, 6, 0.24745251, 49, 58);
INSERT INTO public.ecdc_data VALUES (10772, 0, 0, 0.21505854, 99, 58);
INSERT INTO public.ecdc_data VALUES (10773, 0, 17, 2.17192013, 50, 58);
INSERT INTO public.ecdc_data VALUES (10774, 106, 2861, 67.80898495, 199, 58);
INSERT INTO public.ecdc_data VALUES (10775, 0, 0, 5.23642457, 100, 58);
INSERT INTO public.ecdc_data VALUES (10776, 0, 0, 0.04969552, 51, 58);
INSERT INTO public.ecdc_data VALUES (10777, 8, 478, 12.76093457, 200, 58);
INSERT INTO public.ecdc_data VALUES (10778, 7, 504, 63.42544915, 143, 58);
INSERT INTO public.ecdc_data VALUES (10779, 815, 4970, 97.06046978, 201, 58);
INSERT INTO public.ecdc_data VALUES (10780, 0, 0, 0.46202546, 52, 58);
INSERT INTO public.ecdc_data VALUES (10781, 2172, 48529, 124.32258161, 101, 58);
INSERT INTO public.ecdc_data VALUES (10782, 0, 1, 3.82485968, 102, 58);
INSERT INTO public.ecdc_data VALUES (10783, 2, 33, 4.13088134, 103, 58);
INSERT INTO public.ecdc_data VALUES (10784, 0, 29, 3.24118985, 144, 58);
INSERT INTO public.ecdc_data VALUES (10785, 0, 5, 0.51900999, 104, 58);
INSERT INTO public.ecdc_data VALUES (10786, 0, 0, 0.00829341, 145, 58);
INSERT INTO public.ecdc_data VALUES (10787, 0, 6, 0, 53, 58);
INSERT INTO public.ecdc_data VALUES (10788, 0, 0, 0, 146, 58);
INSERT INTO public.ecdc_data VALUES (10789, 0, 0, 0.24634632, 54, 58);
INSERT INTO public.ecdc_data VALUES (10790, 0, 2, 0.11607682, 55, 58);
INSERT INTO public.ecdc_data VALUES (10791, 0, 33, 0.19452309, 105, 59);
INSERT INTO public.ecdc_data VALUES (10792, 0, 23, 4.71627748, 147, 59);
INSERT INTO public.ecdc_data VALUES (10793, 2, 38, 0.6550058, 1, 59);
INSERT INTO public.ecdc_data VALUES (10794, 0, 24, 0, 148, 59);
INSERT INTO public.ecdc_data VALUES (10795, 0, 0, 0, 2, 59);
INSERT INTO public.ecdc_data VALUES (10796, 0, 0, 0, 57, 59);
INSERT INTO public.ecdc_data VALUES (10797, 2, 115, 1.07859026, 58, 59);
INSERT INTO public.ecdc_data VALUES (10798, 0, 25, 9.66958422, 149, 59);
INSERT INTO public.ecdc_data VALUES (10799, 0, 2, 0, 59, 59);
INSERT INTO public.ecdc_data VALUES (10800, 3, 376, 10.60579609, 202, 59);
INSERT INTO public.ecdc_data VALUES (10801, 4, 606, 63.6882639, 150, 59);
INSERT INTO public.ecdc_data VALUES (10802, 1, 6, 0.81610563, 151, 59);
INSERT INTO public.ecdc_data VALUES (10803, 0, 1, 0, 60, 59);
INSERT INTO public.ecdc_data VALUES (10804, 0, 29, 15.6596172, 106, 59);
INSERT INTO public.ecdc_data VALUES (10805, 1, 0, 0, 107, 59);
INSERT INTO public.ecdc_data VALUES (10806, 0, 0, 0, 61, 59);
INSERT INTO public.ecdc_data VALUES (10807, 0, 5, 0.8463451, 152, 59);
INSERT INTO public.ecdc_data VALUES (10808, 107, 1199, 64.18740172, 153, 59);
INSERT INTO public.ecdc_data VALUES (10809, 0, 1, 0, 62, 59);
INSERT INTO public.ecdc_data VALUES (10810, 0, 0, 0, 3, 59);
INSERT INTO public.ecdc_data VALUES (10811, 0, 0, 0, 63, 59);
INSERT INTO public.ecdc_data VALUES (10812, 0, 1, 0, 108, 59);
INSERT INTO public.ecdc_data VALUES (10813, 0, 7, 0.3387445, 64, 59);
INSERT INTO public.ecdc_data VALUES (10814, 1, 9, 5.24083929, 154, 59);
INSERT INTO public.ecdc_data VALUES (10815, 11, 232, 1.12817125, 66, 59);
INSERT INTO public.ecdc_data VALUES (10816, 0, 3, 22.15575496, 109, 59);
INSERT INTO public.ecdc_data VALUES (10817, 0, 22, 3.35712415, 155, 59);
INSERT INTO public.ecdc_data VALUES (10818, 0, 15, 0.56098544, 5, 59);
INSERT INTO public.ecdc_data VALUES (10819, 0, 5, 0.57016201, 110, 59);
INSERT INTO public.ecdc_data VALUES (10820, 0, 0, 0.27824595, 7, 59);
INSERT INTO public.ecdc_data VALUES (10821, 8, 1426, 8.77281192, 68, 59);
INSERT INTO public.ecdc_data VALUES (10822, 0, 1, 0, 8, 59);
INSERT INTO public.ecdc_data VALUES (10823, 0, 0, 0, 69, 59);
INSERT INTO public.ecdc_data VALUES (10824, 0, 0, 0, 9, 59);
INSERT INTO public.ecdc_data VALUES (10825, 0, 0, 0, 10, 59);
INSERT INTO public.ecdc_data VALUES (10826, 1, 220, 5.90437913, 70, 59);
INSERT INTO public.ecdc_data VALUES (10827, 6, 102, 0.05586617, 111, 59);
INSERT INTO public.ecdc_data VALUES (10828, 1, 92, 0.92770196, 71, 59);
INSERT INTO public.ecdc_data VALUES (10829, 0, 0, 0, 12, 59);
INSERT INTO public.ecdc_data VALUES (10830, 0, 24, 3.5462672, 72, 59);
INSERT INTO public.ecdc_data VALUES (10831, 0, 7, 0, 13, 59);
INSERT INTO public.ecdc_data VALUES (10832, 0, 36, 9.8620152, 156, 59);
INSERT INTO public.ecdc_data VALUES (10833, 0, 9, 0, 73, 59);
INSERT INTO public.ecdc_data VALUES (10834, 1, 0, 0, 74, 59);
INSERT INTO public.ecdc_data VALUES (10835, 0, 8, 14.84189387, 157, 59);
INSERT INTO public.ecdc_data VALUES (10836, 3, 260, 14.64816241, 158, 59);
INSERT INTO public.ecdc_data VALUES (10837, 0, 0, 0.05184895, 14, 59);
INSERT INTO public.ecdc_data VALUES (10838, 2, 133, 20.80577243, 159, 59);
INSERT INTO public.ecdc_data VALUES (10839, 0, 9, 0, 15, 59);
INSERT INTO public.ecdc_data VALUES (10840, 0, 5, 0, 75, 59);
INSERT INTO public.ecdc_data VALUES (10841, 4, 80, 3.6316376, 76, 59);
INSERT INTO public.ecdc_data VALUES (10842, 2, 129, 6.88398533, 77, 59);
INSERT INTO public.ecdc_data VALUES (10843, 2, 76, 0.38052328, 16, 59);
INSERT INTO public.ecdc_data VALUES (10844, 0, 4, 0, 78, 59);
INSERT INTO public.ecdc_data VALUES (10845, 0, 2, 0, 17, 59);
INSERT INTO public.ecdc_data VALUES (10846, 0, 3, 0, 18, 59);
INSERT INTO public.ecdc_data VALUES (10847, 1, 35, 29.28699748, 160, 59);
INSERT INTO public.ecdc_data VALUES (10848, 0, 0, 0, 19, 59);
INSERT INTO public.ecdc_data VALUES (10849, 0, 1, 0, 20, 59);
INSERT INTO public.ecdc_data VALUES (10850, 0, 10, 265.01222343, 161, 59);
INSERT INTO public.ecdc_data VALUES (10851, 0, 0, 0, 203, 59);
INSERT INTO public.ecdc_data VALUES (10852, 2, 88, 14.8787976, 162, 59);
INSERT INTO public.ecdc_data VALUES (10853, 231, 2931, 34.25013068, 163, 59);
INSERT INTO public.ecdc_data VALUES (10854, 0, 0, 0, 204, 59);
INSERT INTO public.ecdc_data VALUES (10855, 0, 0, 0, 21, 59);
INSERT INTO public.ecdc_data VALUES (10856, 0, 0, 0, 22, 59);
INSERT INTO public.ecdc_data VALUES (10857, 0, 3, 1.22599244, 164, 59);
INSERT INTO public.ecdc_data VALUES (10858, 49, 4954, 42.08784779, 165, 59);
INSERT INTO public.ecdc_data VALUES (10859, 1, 15, 0, 23, 59);
INSERT INTO public.ecdc_data VALUES (10860, 0, 11, 0, 166, 59);
INSERT INTO public.ecdc_data VALUES (10861, 2, 78, 6.73218644, 167, 59);
INSERT INTO public.ecdc_data VALUES (10862, 0, 1, 0, 80, 59);
INSERT INTO public.ecdc_data VALUES (10863, 0, 0, 0, 81, 59);
INSERT INTO public.ecdc_data VALUES (10864, 0, 5, 0, 205, 59);
INSERT INTO public.ecdc_data VALUES (10865, 0, 3, 0, 82, 59);
INSERT INTO public.ecdc_data VALUES (10866, 0, 7, 0, 168, 59);
INSERT INTO public.ecdc_data VALUES (10867, 0, 0, 0, 24, 59);
INSERT INTO public.ecdc_data VALUES (10868, 0, 0, 0, 83, 59);
INSERT INTO public.ecdc_data VALUES (10869, 0, 1, 0, 84, 59);
INSERT INTO public.ecdc_data VALUES (10870, 0, 0, 0, 169, 59);
INSERT INTO public.ecdc_data VALUES (10871, 0, 16, 0, 85, 59);
INSERT INTO public.ecdc_data VALUES (10872, 0, 35, 2.53766696, 170, 59);
INSERT INTO public.ecdc_data VALUES (10873, 0, 89, 182.63765753, 171, 59);
INSERT INTO public.ecdc_data VALUES (10874, 4, 87, 0.04215402, 112, 59);
INSERT INTO public.ecdc_data VALUES (10875, 3, 104, 0.28489548, 113, 59);
INSERT INTO public.ecdc_data VALUES (10876, 143, 2206, 21.72977211, 114, 59);
INSERT INTO public.ecdc_data VALUES (10877, 2, 30, 0.70211519, 115, 59);
INSERT INTO public.ecdc_data VALUES (10878, 2, 235, 31.01397974, 172, 59);
INSERT INTO public.ecdc_data VALUES (10879, 0, 0, 0, 173, 59);
INSERT INTO public.ecdc_data VALUES (10880, 2, 439, 26.84469855, 116, 59);
INSERT INTO public.ecdc_data VALUES (10881, 685, 5210, 102.5918916, 174, 59);
INSERT INTO public.ecdc_data VALUES (10882, 0, 4, 0.84795289, 86, 59);
INSERT INTO public.ecdc_data VALUES (10883, 2, 75, 0.51158637, 117, 59);
INSERT INTO public.ecdc_data VALUES (10884, 0, 0, 0, 175, 59);
INSERT INTO public.ecdc_data VALUES (10885, 0, 26, 1.514597, 118, 59);
INSERT INTO public.ecdc_data VALUES (10886, 0, 9, 0, 119, 59);
INSERT INTO public.ecdc_data VALUES (10887, 0, 0, 0, 26, 59);
INSERT INTO public.ecdc_data VALUES (10888, 0, 8, 0, 176, 59);
INSERT INTO public.ecdc_data VALUES (10889, 0, 4, 2.92364509, 120, 59);
INSERT INTO public.ecdc_data VALUES (10890, 0, 2, 0, 121, 59);
INSERT INTO public.ecdc_data VALUES (10891, 0, 0, 0, 122, 59);
INSERT INTO public.ecdc_data VALUES (10892, 0, 24, 10.9897665, 177, 59);
INSERT INTO public.ecdc_data VALUES (10893, 0, 29, 4.25922395, 123, 59);
INSERT INTO public.ecdc_data VALUES (10894, 0, 0, 0, 28, 59);
INSERT INTO public.ecdc_data VALUES (10895, 0, 0, 0, 29, 59);
INSERT INTO public.ecdc_data VALUES (10896, 0, 4, 125.07165564, 178, 59);
INSERT INTO public.ecdc_data VALUES (10897, 2, 65, 9.69871705, 179, 59);
INSERT INTO public.ecdc_data VALUES (10898, 0, 234, 215.99820164, 180, 59);
INSERT INTO public.ecdc_data VALUES (10899, 0, 0, 0, 30, 59);
INSERT INTO public.ecdc_data VALUES (10900, 4, 172, 5.15496362, 124, 59);
INSERT INTO public.ecdc_data VALUES (10901, 0, 0, 1.31837418, 125, 59);
INSERT INTO public.ecdc_data VALUES (10902, 0, 2, 0, 32, 59);
INSERT INTO public.ecdc_data VALUES (10903, 0, 5, 25.73147283, 181, 59);
INSERT INTO public.ecdc_data VALUES (10904, 0, 0, 0, 33, 59);
INSERT INTO public.ecdc_data VALUES (10905, 0, 6, 0, 34, 59);
INSERT INTO public.ecdc_data VALUES (10906, 0, 155, 1.02449115, 87, 59);
INSERT INTO public.ecdc_data VALUES (10907, 0, 24, 3.58621686, 182, 59);
INSERT INTO public.ecdc_data VALUES (10908, 0, 0, 66.49539066, 183, 59);
INSERT INTO public.ecdc_data VALUES (10909, 0, 0, 0, 126, 59);
INSERT INTO public.ecdc_data VALUES (10910, 0, 6, 0, 184, 59);
INSERT INTO public.ecdc_data VALUES (10911, 0, 0, 0, 88, 59);
INSERT INTO public.ecdc_data VALUES (10912, 1, 55, 0.60320633, 35, 59);
INSERT INTO public.ecdc_data VALUES (10913, 0, 4, 0, 36, 59);
INSERT INTO public.ecdc_data VALUES (10914, 0, 0, 0, 127, 59);
INSERT INTO public.ecdc_data VALUES (10915, 0, 1, 0, 37, 59);
INSERT INTO public.ecdc_data VALUES (10916, 0, 0, 0.00699088, 128, 59);
INSERT INTO public.ecdc_data VALUES (10917, 80, 852, 34.191322, 185, 59);
INSERT INTO public.ecdc_data VALUES (10918, 0, 5, 0, 207, 59);
INSERT INTO public.ecdc_data VALUES (10919, 0, 73, 5.43584842, 208, 59);
INSERT INTO public.ecdc_data VALUES (10920, 0, 0, 0, 89, 59);
INSERT INTO public.ecdc_data VALUES (10921, 0, 0, 0, 38, 59);
INSERT INTO public.ecdc_data VALUES (10922, 0, 7, 0.02488013, 39, 59);
INSERT INTO public.ecdc_data VALUES (10923, 0, 29, 8.37693512, 186, 59);
INSERT INTO public.ecdc_data VALUES (10924, 2, 350, 45.54998938, 187, 59);
INSERT INTO public.ecdc_data VALUES (10925, 0, 15, 1.62814332, 129, 59);
INSERT INTO public.ecdc_data VALUES (10926, 1, 66, 0.47883937, 130, 59);
INSERT INTO public.ecdc_data VALUES (10927, 0, 2, 0.66246144, 131, 59);
INSERT INTO public.ecdc_data VALUES (10928, 0, 145, 13.517205, 90, 59);
INSERT INTO public.ecdc_data VALUES (10929, 0, 0, 0, 210, 59);
INSERT INTO public.ecdc_data VALUES (10930, 0, 4, 0.56780766, 91, 59);
INSERT INTO public.ecdc_data VALUES (10931, 1, 142, 1.6640797, 92, 59);
INSERT INTO public.ecdc_data VALUES (10932, 3, 84, 0.54293224, 132, 59);
INSERT INTO public.ecdc_data VALUES (10933, 4, 150, 2.68613238, 188, 59);
INSERT INTO public.ecdc_data VALUES (10934, 10, 633, 28.56971317, 189, 59);
INSERT INTO public.ecdc_data VALUES (10935, 0, 11, 18.11395265, 133, 59);
INSERT INTO public.ecdc_data VALUES (10936, 2, 144, 4.43483923, 190, 59);
INSERT INTO public.ecdc_data VALUES (10937, 0, 163, 0.43394131, 191, 59);
INSERT INTO public.ecdc_data VALUES (10938, 0, 1, 0, 40, 59);
INSERT INTO public.ecdc_data VALUES (10939, 0, 2, 0, 94, 59);
INSERT INTO public.ecdc_data VALUES (10940, 0, 1, 0, 95, 59);
INSERT INTO public.ecdc_data VALUES (10941, 0, 0, 0, 96, 59);
INSERT INTO public.ecdc_data VALUES (10942, 0, 21, 412.15569036, 192, 59);
INSERT INTO public.ecdc_data VALUES (10943, 1, 133, 2.49500059, 134, 59);
INSERT INTO public.ecdc_data VALUES (10944, 0, 13, 0.5829522, 42, 59);
INSERT INTO public.ecdc_data VALUES (10945, 1, 54, 4.09261428, 193, 59);
INSERT INTO public.ecdc_data VALUES (10946, 0, 0, 0, 43, 59);
INSERT INTO public.ecdc_data VALUES (10947, 0, 10, 6.71910671, 135, 59);
INSERT INTO public.ecdc_data VALUES (10948, 0, 1, 0, 97, 59);
INSERT INTO public.ecdc_data VALUES (10949, 0, 12, 3.77952455, 194, 59);
INSERT INTO public.ecdc_data VALUES (10950, 1, 48, 22.63435, 195, 59);
INSERT INTO public.ecdc_data VALUES (10951, 0, 0, 0, 45, 59);
INSERT INTO public.ecdc_data VALUES (10952, 0, 152, 1.18855976, 46, 59);
INSERT INTO public.ecdc_data VALUES (10953, 5, 104, 2.67836291, 136, 59);
INSERT INTO public.ecdc_data VALUES (10954, 738, 8954, 132.16209111, 196, 59);
INSERT INTO public.ecdc_data VALUES (10955, 0, 0, 0.46896102, 137, 59);
INSERT INTO public.ecdc_data VALUES (10956, 0, 0, 0, 48, 59);
INSERT INTO public.ecdc_data VALUES (10957, 0, 0, 0, 98, 59);
INSERT INTO public.ecdc_data VALUES (10958, 22, 314, 19.30561373, 197, 59);
INSERT INTO public.ecdc_data VALUES (10959, 17, 925, 106.17322644, 198, 59);
INSERT INTO public.ecdc_data VALUES (10960, 0, 0, 0, 138, 59);
INSERT INTO public.ecdc_data VALUES (10961, 0, 19, 0.7865775, 139, 59);
INSERT INTO public.ecdc_data VALUES (10962, 0, 111, 1.41614617, 141, 59);
INSERT INTO public.ecdc_data VALUES (10963, 0, 0, 0, 142, 59);
INSERT INTO public.ecdc_data VALUES (10964, 0, 5, 0, 49, 59);
INSERT INTO public.ecdc_data VALUES (10965, 1, 3, 4.30117085, 99, 59);
INSERT INTO public.ecdc_data VALUES (10966, 2, 59, 1.41944387, 50, 59);
INSERT INTO public.ecdc_data VALUES (10967, 15, 561, 0, 199, 59);
INSERT INTO public.ecdc_data VALUES (10968, 0, 0, 0, 100, 59);
INSERT INTO public.ecdc_data VALUES (10969, 0, 5, 0, 51, 59);
INSERT INTO public.ecdc_data VALUES (10970, 1, 29, 0, 200, 59);
INSERT INTO public.ecdc_data VALUES (10971, 0, 85, 2.8043526, 143, 59);
INSERT INTO public.ecdc_data VALUES (10972, 191, 2375, 21.2297271, 201, 59);
INSERT INTO public.ecdc_data VALUES (10973, 0, 0, 0, 52, 59);
INSERT INTO public.ecdc_data VALUES (10974, 249, 13963, 20.62875636, 101, 59);
INSERT INTO public.ecdc_data VALUES (10975, 0, 0, 0, 102, 59);
INSERT INTO public.ecdc_data VALUES (10976, 0, 28, 0, 103, 59);
INSERT INTO public.ecdc_data VALUES (10977, 0, 10, 0, 144, 59);
INSERT INTO public.ecdc_data VALUES (10978, 0, 15, 0, 104, 59);
INSERT INTO public.ecdc_data VALUES (10979, 0, 16, 0.11818112, 145, 59);
INSERT INTO public.ecdc_data VALUES (10980, 0, 9, 0, 54, 59);
INSERT INTO public.ecdc_data VALUES (10981, 0, 1, 0, 55, 59);
INSERT INTO public.ecdc_data VALUES (10982, 0, 0, 0.00262869, 105, 60);
INSERT INTO public.ecdc_data VALUES (10983, 0, 1, 0.00232272, 1, 60);
INSERT INTO public.ecdc_data VALUES (10984, 0, 0, 0, 149, 60);
INSERT INTO public.ecdc_data VALUES (10985, 0, 0, 0.031742, 202, 60);
INSERT INTO public.ecdc_data VALUES (10986, 0, 2, 0.02257648, 150, 60);
INSERT INTO public.ecdc_data VALUES (10987, 0, 0, 0, 151, 60);
INSERT INTO public.ecdc_data VALUES (10988, 0, 21, 1.40144434, 106, 60);
INSERT INTO public.ecdc_data VALUES (10989, 0, 0, 0, 152, 60);
INSERT INTO public.ecdc_data VALUES (10990, 0, 0, 0, 153, 60);
INSERT INTO public.ecdc_data VALUES (10991, 0, 1, 0.00047382, 66, 60);
INSERT INTO public.ecdc_data VALUES (10992, 0, 0, 0, 110, 60);
INSERT INTO public.ecdc_data VALUES (10993, 0, 0, 0.01069203, 68, 60);
INSERT INTO public.ecdc_data VALUES (10994, 1, 0, 0, 214, 60);
INSERT INTO public.ecdc_data VALUES (10995, 52, 410, 2.33194171, 111, 60);
INSERT INTO public.ecdc_data VALUES (10996, 0, 1, 0.02453238, 156, 60);
INSERT INTO public.ecdc_data VALUES (10997, 0, 0, 0, 158, 60);
INSERT INTO public.ecdc_data VALUES (10998, 0, 0, 0, 159, 60);
INSERT INTO public.ecdc_data VALUES (10999, 0, 0, 0, 76, 60);
INSERT INTO public.ecdc_data VALUES (11000, 0, 0, 0, 77, 60);
INSERT INTO public.ecdc_data VALUES (11001, 0, 0, 0.00099613, 16, 60);
INSERT INTO public.ecdc_data VALUES (11002, 0, 0, 0, 160, 60);
INSERT INTO public.ecdc_data VALUES (11003, 0, 0, 0, 162, 60);
INSERT INTO public.ecdc_data VALUES (11004, 0, 2, 0.00447675, 163, 60);
INSERT INTO public.ecdc_data VALUES (11005, 0, 0, 0, 164, 60);
INSERT INTO public.ecdc_data VALUES (11006, 0, 2, 0.00240908, 165, 60);
INSERT INTO public.ecdc_data VALUES (11007, 0, 0, 0, 167, 60);
INSERT INTO public.ecdc_data VALUES (11008, 0, 0, 0, 171, 60);
INSERT INTO public.ecdc_data VALUES (11009, 0, 0, 0, 112, 60);
INSERT INTO public.ecdc_data VALUES (11010, 0, 0, 0, 113, 60);
INSERT INTO public.ecdc_data VALUES (11011, 3, 34, 0.1145767, 114, 60);
INSERT INTO public.ecdc_data VALUES (11012, 0, 4, 0.01271948, 115, 60);
INSERT INTO public.ecdc_data VALUES (11013, 0, 0, 0, 172, 60);
INSERT INTO public.ecdc_data VALUES (11014, 0, 0, 0.02347591, 116, 60);
INSERT INTO public.ecdc_data VALUES (11015, 5, 93, 0.52849967, 174, 60);
INSERT INTO public.ecdc_data VALUES (11016, 0, 20, 0.10956935, 117, 60);
INSERT INTO public.ecdc_data VALUES (11017, 0, 6, 0.26146419, 120, 60);
INSERT INTO public.ecdc_data VALUES (11018, 0, 0, 0.01458638, 123, 60);
INSERT INTO public.ecdc_data VALUES (11019, 0, 0, 0, 179, 60);
INSERT INTO public.ecdc_data VALUES (11020, 0, 0, 0, 180, 60);
INSERT INTO public.ecdc_data VALUES (11021, 0, 0, 0.01251964, 124, 60);
INSERT INTO public.ecdc_data VALUES (11022, 0, 0, 0.00235155, 87, 60);
INSERT INTO public.ecdc_data VALUES (11023, 0, 0, 0, 183, 60);
INSERT INTO public.ecdc_data VALUES (11024, 0, 0, 0, 128, 60);
INSERT INTO public.ecdc_data VALUES (11025, 0, 0, 0, 185, 60);
INSERT INTO public.ecdc_data VALUES (11026, 0, 0, 0, 208, 60);
INSERT INTO public.ecdc_data VALUES (11027, 0, 0, 0, 39, 60);
INSERT INTO public.ecdc_data VALUES (11028, 0, 0, 0, 186, 60);
INSERT INTO public.ecdc_data VALUES (11029, 0, 0, 0, 187, 60);
INSERT INTO public.ecdc_data VALUES (11030, 0, 2, 0.08040214, 129, 60);
INSERT INTO public.ecdc_data VALUES (11031, 0, 0, 0, 130, 60);
INSERT INTO public.ecdc_data VALUES (11032, 0, 0, 0, 132, 60);
INSERT INTO public.ecdc_data VALUES (11033, 0, 0, 0, 133, 60);
INSERT INTO public.ecdc_data VALUES (11034, 0, 0, 0, 190, 60);
INSERT INTO public.ecdc_data VALUES (11035, 0, 0, 0, 191, 60);
INSERT INTO public.ecdc_data VALUES (11036, 0, 0, 0, 192, 60);
INSERT INTO public.ecdc_data VALUES (11037, 0, 1, 0.75805306, 135, 60);
INSERT INTO public.ecdc_data VALUES (11038, 3, 254, 2.18251439, 136, 60);
INSERT INTO public.ecdc_data VALUES (11039, 0, 6, 0.01491359, 196, 60);
INSERT INTO public.ecdc_data VALUES (11040, 0, 0, 0, 137, 60);
INSERT INTO public.ecdc_data VALUES (11041, 0, 0, 0, 197, 60);
INSERT INTO public.ecdc_data VALUES (11042, 0, 1, 0.0117034, 198, 60);
INSERT INTO public.ecdc_data VALUES (11043, 0, 1, 0.05468186, 139, 60);
INSERT INTO public.ecdc_data VALUES (11044, 0, 3, 0.01005378, 141, 60);
INSERT INTO public.ecdc_data VALUES (11045, 0, 0, 0.05117432, 143, 60);
INSERT INTO public.ecdc_data VALUES (11046, 0, 2, 0.00600176, 201, 60);
INSERT INTO public.ecdc_data VALUES (11047, 0, 0, 0.01215566, 101, 60);
INSERT INTO public.ecdc_data VALUES (11048, 0, 0, 0.00103668, 145, 60);
INSERT INTO public.ecdc_data VALUES (11049, 0, 0, 0, 105, 61);
INSERT INTO public.ecdc_data VALUES (11050, 0, 0, 0, 1, 61);
INSERT INTO public.ecdc_data VALUES (11051, 0, 0, 0, 149, 61);
INSERT INTO public.ecdc_data VALUES (11052, 0, 3, 0.015871, 202, 61);
INSERT INTO public.ecdc_data VALUES (11053, 0, 0, 0, 150, 61);
INSERT INTO public.ecdc_data VALUES (11054, 0, 0, 0, 151, 61);
INSERT INTO public.ecdc_data VALUES (11055, 0, 0, 0, 106, 61);
INSERT INTO public.ecdc_data VALUES (11056, 0, 0, 0, 152, 61);
INSERT INTO public.ecdc_data VALUES (11057, 0, 0, 0, 153, 61);
INSERT INTO public.ecdc_data VALUES (11058, 0, 0, 0, 66, 61);
INSERT INTO public.ecdc_data VALUES (11059, 0, 0, 0, 110, 61);
INSERT INTO public.ecdc_data VALUES (11060, 0, 1, 0.00267301, 68, 61);
INSERT INTO public.ecdc_data VALUES (11061, 0, 0, 0, 214, 61);
INSERT INTO public.ecdc_data VALUES (11062, 15, 665, 0.13453912, 111, 61);
INSERT INTO public.ecdc_data VALUES (11063, 0, 0, 0, 156, 61);
INSERT INTO public.ecdc_data VALUES (11064, 0, 0, 0, 158, 61);
INSERT INTO public.ecdc_data VALUES (11065, 0, 0, 0, 159, 61);
INSERT INTO public.ecdc_data VALUES (11066, 0, 0, 0, 76, 61);
INSERT INTO public.ecdc_data VALUES (11067, 0, 0, 0, 77, 61);
INSERT INTO public.ecdc_data VALUES (11068, 0, 0, 0, 16, 61);
INSERT INTO public.ecdc_data VALUES (11069, 0, 0, 0, 160, 61);
INSERT INTO public.ecdc_data VALUES (11070, 0, 0, 0, 162, 61);
INSERT INTO public.ecdc_data VALUES (11071, 0, 0, 0.00447675, 163, 61);
INSERT INTO public.ecdc_data VALUES (11072, 0, 0, 0, 164, 61);
INSERT INTO public.ecdc_data VALUES (11073, 0, 0, 0, 165, 61);
INSERT INTO public.ecdc_data VALUES (11074, 0, 0, 0, 167, 61);
INSERT INTO public.ecdc_data VALUES (11075, 0, 0, 0, 171, 61);
INSERT INTO public.ecdc_data VALUES (11076, 0, 0, 0, 112, 61);
INSERT INTO public.ecdc_data VALUES (11077, 0, 0, 0, 113, 61);
INSERT INTO public.ecdc_data VALUES (11078, 0, 0, 0, 114, 61);
INSERT INTO public.ecdc_data VALUES (11079, 0, 0, 0, 115, 61);
INSERT INTO public.ecdc_data VALUES (11080, 0, 0, 0, 172, 61);
INSERT INTO public.ecdc_data VALUES (11081, 0, 0, 0, 116, 61);
INSERT INTO public.ecdc_data VALUES (11082, 0, 0, 0, 174, 61);
INSERT INTO public.ecdc_data VALUES (11083, 0, 1, 0.00236481, 117, 61);
INSERT INTO public.ecdc_data VALUES (11084, 0, 0, 0, 120, 61);
INSERT INTO public.ecdc_data VALUES (11085, 0, 0, 0, 123, 61);
INSERT INTO public.ecdc_data VALUES (11086, 0, 0, 0, 179, 61);
INSERT INTO public.ecdc_data VALUES (11087, 0, 0, 0, 180, 61);
INSERT INTO public.ecdc_data VALUES (11088, 0, 1, 0.01251964, 124, 61);
INSERT INTO public.ecdc_data VALUES (11089, 0, 0, 0.00078385, 87, 61);
INSERT INTO public.ecdc_data VALUES (11090, 0, 0, 0, 183, 61);
INSERT INTO public.ecdc_data VALUES (11091, 0, 0, 0.00349544, 128, 61);
INSERT INTO public.ecdc_data VALUES (11092, 0, 0, 0, 185, 61);
INSERT INTO public.ecdc_data VALUES (11093, 0, 0, 0, 208, 61);
INSERT INTO public.ecdc_data VALUES (11094, 0, 0, 0, 39, 61);
INSERT INTO public.ecdc_data VALUES (11095, 0, 0, 0, 186, 61);
INSERT INTO public.ecdc_data VALUES (11096, 0, 0, 0, 187, 61);
INSERT INTO public.ecdc_data VALUES (11097, 0, 0, 0, 129, 61);
INSERT INTO public.ecdc_data VALUES (11098, 0, 0, 0, 130, 61);
INSERT INTO public.ecdc_data VALUES (11099, 0, 0, 0, 132, 61);
INSERT INTO public.ecdc_data VALUES (11100, 0, 0, 0, 133, 61);
INSERT INTO public.ecdc_data VALUES (11101, 0, 0, 0, 190, 61);
INSERT INTO public.ecdc_data VALUES (11102, 0, 0, 0, 191, 61);
INSERT INTO public.ecdc_data VALUES (11103, 0, 0, 0, 192, 61);
INSERT INTO public.ecdc_data VALUES (11104, 0, 1, 0.06891391, 135, 61);
INSERT INTO public.ecdc_data VALUES (11105, 0, 1, 0.00585648, 136, 61);
INSERT INTO public.ecdc_data VALUES (11106, 0, 0, 0, 196, 61);
INSERT INTO public.ecdc_data VALUES (11107, 0, 0, 0, 137, 61);
INSERT INTO public.ecdc_data VALUES (11108, 0, 0, 0, 197, 61);
INSERT INTO public.ecdc_data VALUES (11109, 0, 0, 0, 198, 61);
INSERT INTO public.ecdc_data VALUES (11110, 0, 0, 0.01261889, 139, 61);
INSERT INTO public.ecdc_data VALUES (11111, 0, 0, 0.00718127, 141, 61);
INSERT INTO public.ecdc_data VALUES (11112, 0, 0, 0, 143, 61);
INSERT INTO public.ecdc_data VALUES (11113, 0, 0, 0, 201, 61);
INSERT INTO public.ecdc_data VALUES (11114, 0, 0, 0.00060778, 101, 61);
INSERT INTO public.ecdc_data VALUES (11115, 0, 0, 0.00207335, 145, 61);
INSERT INTO public.ecdc_data VALUES (11116, 13, 185, 7.1999829, 105, 62);
INSERT INTO public.ecdc_data VALUES (11117, 19, 744, 314.62811104, 147, 62);
INSERT INTO public.ecdc_data VALUES (11118, 15, 1133, 31.48208719, 1, 62);
INSERT INTO public.ecdc_data VALUES (11119, 0, 47, 1147.32793363, 148, 62);
INSERT INTO public.ecdc_data VALUES (11120, 0, 141, 6.1397695, 2, 62);
INSERT INTO public.ecdc_data VALUES (11121, 0, 0, 6.72404519, 56, 62);
INSERT INTO public.ecdc_data VALUES (11122, 0, 1, 9.26736344, 57, 62);
INSERT INTO public.ecdc_data VALUES (11123, 310, 7434, 266.45422384, 58, 62);
INSERT INTO public.ecdc_data VALUES (11124, 38, 1563, 622.03150526, 149, 62);
INSERT INTO public.ecdc_data VALUES (11125, 0, 14, 121.34324146, 59, 62);
INSERT INTO public.ecdc_data VALUES (11126, 0, 13, 0.67451752, 202, 62);
INSERT INTO public.ecdc_data VALUES (11127, 115, 4135, 1030.5939591, 150, 62);
INSERT INTO public.ecdc_data VALUES (11128, 34, 3646, 313.85232808, 151, 62);
INSERT INTO public.ecdc_data VALUES (11129, 0, 0, 110.14516568, 60, 62);
INSERT INTO public.ecdc_data VALUES (11130, 1, 130, 134.35585962, 106, 62);
INSERT INTO public.ecdc_data VALUES (11131, 32, 2230, 17.39997908, 107, 62);
INSERT INTO public.ecdc_data VALUES (11132, 0, 2, 6.61972469, 61, 62);
INSERT INTO public.ecdc_data VALUES (11133, 8, 1471, 197.33593838, 152, 62);
INSERT INTO public.ecdc_data VALUES (11134, 120, 2867, 450.24585966, 153, 62);
INSERT INTO public.ecdc_data VALUES (11135, 5, 86, 235.9414988, 62, 62);
INSERT INTO public.ecdc_data VALUES (11136, 0, 0, 1.14395621, 3, 62);
INSERT INTO public.ecdc_data VALUES (11137, 0, 12, 39.99488066, 63, 62);
INSERT INTO public.ecdc_data VALUES (11138, 0, 0, 2.883, 108, 62);
INSERT INTO public.ecdc_data VALUES (11139, 21, 169, 12.88097682, 64, 62);
INSERT INTO public.ecdc_data VALUES (11140, 0, 0, 26.94069199, 65, 62);
INSERT INTO public.ecdc_data VALUES (11141, 52, 1186, 506.36201537, 154, 62);
INSERT INTO public.ecdc_data VALUES (11142, 0, 398, 93.6318614, 4, 62);
INSERT INTO public.ecdc_data VALUES (11143, 630, 31100, 198.37240188, 66, 62);
INSERT INTO public.ecdc_data VALUES (11144, 0, 0, 0, 67, 62);
INSERT INTO public.ecdc_data VALUES (11145, 0, 1, 0.23078911, 109, 62);
INSERT INTO public.ecdc_data VALUES (11146, 157, 4382, 656.88205451, 155, 62);
INSERT INTO public.ecdc_data VALUES (11147, 0, 3, 0.86116186, 5, 62);
INSERT INTO public.ecdc_data VALUES (11148, 0, 9, 0.50301039, 6, 62);
INSERT INTO public.ecdc_data VALUES (11149, 0, 1, 0.04245887, 110, 62);
INSERT INTO public.ecdc_data VALUES (11150, 1, 341, 5.59583531, 7, 62);
INSERT INTO public.ecdc_data VALUES (11151, 97, 4889, 185.52545909, 68, 62);
INSERT INTO public.ecdc_data VALUES (11152, 0, 98, 163.83724652, 8, 62);
INSERT INTO public.ecdc_data VALUES (11153, 0, 0, 18.47631952, 69, 62);
INSERT INTO public.ecdc_data VALUES (11154, 0, 0, 0.56899856, 9, 62);
INSERT INTO public.ecdc_data VALUES (11155, 0, 1, 0.55183201, 10, 62);
INSERT INTO public.ecdc_data VALUES (11156, 25, 1007, 101.20285236, 70, 62);
INSERT INTO public.ecdc_data VALUES (11157, 0, 5, 0.01150801, 111, 62);
INSERT INTO public.ecdc_data VALUES (11158, 198, 7515, 210.21090758, 71, 62);
INSERT INTO public.ecdc_data VALUES (11159, 0, 11, 4.46590691, 11, 62);
INSERT INTO public.ecdc_data VALUES (11160, 0, 0, 4.70216173, 12, 62);
INSERT INTO public.ecdc_data VALUES (11161, 21, 895, 289.72408654, 72, 62);
INSERT INTO public.ecdc_data VALUES (11162, 0, 8, 1.20156068, 13, 62);
INSERT INTO public.ecdc_data VALUES (11163, 47, 2323, 926.61237815, 156, 62);
INSERT INTO public.ecdc_data VALUES (11164, 1, 71, 4.92346396, 73, 62);
INSERT INTO public.ecdc_data VALUES (11165, 0, 54, 425.88864481, 74, 62);
INSERT INTO public.ecdc_data VALUES (11166, 2, 252, 331.43090699, 157, 62);
INSERT INTO public.ecdc_data VALUES (11167, 139, 5896, 682.20999455, 158, 62);
INSERT INTO public.ecdc_data VALUES (11168, 3, 32, 0.76966889, 14, 62);
INSERT INTO public.ecdc_data VALUES (11169, 8, 1367, 276.65821403, 159, 62);
INSERT INTO public.ecdc_data VALUES (11170, 0, 1, 3.69778041, 15, 62);
INSERT INTO public.ecdc_data VALUES (11171, 0, 0, 48.74108734, 75, 62);
INSERT INTO public.ecdc_data VALUES (11172, 2, 282, 74.30889238, 76, 62);
INSERT INTO public.ecdc_data VALUES (11173, 39, 492, 61.73139023, 77, 62);
INSERT INTO public.ecdc_data VALUES (11174, 13, 361, 4.07219678, 16, 62);
INSERT INTO public.ecdc_data VALUES (11175, 0, 0, 42.44175686, 78, 62);
INSERT INTO public.ecdc_data VALUES (11176, 0, 0, 2.58115521, 17, 62);
INSERT INTO public.ecdc_data VALUES (11177, 0, 0, 1.91586384, 18, 62);
INSERT INTO public.ecdc_data VALUES (11178, 2, 203, 285.54822542, 160, 62);
INSERT INTO public.ecdc_data VALUES (11179, 0, 14, 19.4228369, 19, 62);
INSERT INTO public.ecdc_data VALUES (11180, 10, 388, 5.58892858, 20, 62);
INSERT INTO public.ecdc_data VALUES (11181, 0, 0, 59.31198102, 79, 62);
INSERT INTO public.ecdc_data VALUES (11182, 0, 0, 6.16307496, 161, 62);
INSERT INTO public.ecdc_data VALUES (11183, 0, 3, 0.3370957, 203, 62);
INSERT INTO public.ecdc_data VALUES (11184, 0, 353, 75.78944164, 162, 62);
INSERT INTO public.ecdc_data VALUES (11185, 1005, 9155, 483.72191359, 163, 62);
INSERT INTO public.ecdc_data VALUES (11186, 5, 308, 933.09701559, 204, 62);
INSERT INTO public.ecdc_data VALUES (11187, 0, 0, 5.56942029, 21, 62);
INSERT INTO public.ecdc_data VALUES (11188, 0, 0, 1.78898801, 22, 62);
INSERT INTO public.ecdc_data VALUES (11189, 34, 3071, 1209.17883026, 164, 62);
INSERT INTO public.ecdc_data VALUES (11190, 410, 18633, 307.92028828, 165, 62);
INSERT INTO public.ecdc_data VALUES (11191, 0, 243, 6.18715493, 23, 62);
INSERT INTO public.ecdc_data VALUES (11192, 0, 14, 495.46074883, 166, 62);
INSERT INTO public.ecdc_data VALUES (11193, 101, 2131, 322.31508143, 167, 62);
INSERT INTO public.ecdc_data VALUES (11194, 0, 0, 1.76491352, 80, 62);
INSERT INTO public.ecdc_data VALUES (11195, 0, 0, 8.03557079, 81, 62);
INSERT INTO public.ecdc_data VALUES (11196, 3, 103, 628.23156699, 205, 62);
INSERT INTO public.ecdc_data VALUES (11197, 7, 627, 41.06594918, 82, 62);
INSERT INTO public.ecdc_data VALUES (11198, 0, 0, 1.55115716, 168, 62);
INSERT INTO public.ecdc_data VALUES (11199, 1, 66, 3.48438986, 24, 62);
INSERT INTO public.ecdc_data VALUES (11200, 0, 1, 0.46852623, 25, 62);
INSERT INTO public.ecdc_data VALUES (11201, 4, 56, 84.18766568, 83, 62);
INSERT INTO public.ecdc_data VALUES (11202, 0, 5, 0.77243532, 84, 62);
INSERT INTO public.ecdc_data VALUES (11203, 0, 0, 0, 169, 62);
INSERT INTO public.ecdc_data VALUES (11204, 10, 296, 45.21801764, 85, 62);
INSERT INTO public.ecdc_data VALUES (11205, 106, 3806, 642.84834288, 170, 62);
INSERT INTO public.ecdc_data VALUES (11206, 0, 9, 51.54191562, 171, 62);
INSERT INTO public.ecdc_data VALUES (11207, 481, 44376, 42.9008623, 112, 62);
INSERT INTO public.ecdc_data VALUES (11208, 109, 4192, 22.89288506, 113, 62);
INSERT INTO public.ecdc_data VALUES (11209, 0, 0, 197.23232631, 114, 62);
INSERT INTO public.ecdc_data VALUES (11210, 35, 2292, 87.6092212, 115, 62);
INSERT INTO public.ecdc_data VALUES (11211, 6, 219, 102.78860741, 172, 62);
INSERT INTO public.ecdc_data VALUES (11212, 0, 0, 11.82186809, 173, 62);
INSERT INTO public.ecdc_data VALUES (11213, 11, 849, 121.25305466, 116, 62);
INSERT INTO public.ecdc_data VALUES (11214, 853, 23227, 761.36921242, 174, 62);
INSERT INTO public.ecdc_data VALUES (11215, 4, 79, 28.79648011, 86, 62);
INSERT INTO public.ecdc_data VALUES (11216, 12, 1471, 19.89905447, 117, 62);
INSERT INTO public.ecdc_data VALUES (11217, 0, 6, 140.07940925, 175, 62);
INSERT INTO public.ecdc_data VALUES (11218, 78, 4586, 712.89012133, 118, 62);
INSERT INTO public.ecdc_data VALUES (11219, 4, 944, 63.31588059, 119, 62);
INSERT INTO public.ecdc_data VALUES (11220, 17, 727, 26.48459075, 26, 62);
INSERT INTO public.ecdc_data VALUES (11221, 13, 609, 564.96892421, 176, 62);
INSERT INTO public.ecdc_data VALUES (11222, 2, 402, 176.22686725, 120, 62);
INSERT INTO public.ecdc_data VALUES (11223, 4, 378, 99.50355767, 121, 62);
INSERT INTO public.ecdc_data VALUES (11224, 0, 0, 0.19527284, 122, 62);
INSERT INTO public.ecdc_data VALUES (11225, 13, 457, 275.94209903, 177, 62);
INSERT INTO public.ecdc_data VALUES (11226, 23, 1188, 317.9539855, 123, 62);
INSERT INTO public.ecdc_data VALUES (11227, 0, 6, 3.10549216, 27, 62);
INSERT INTO public.ecdc_data VALUES (11228, 0, 3, 1.88359237, 28, 62);
INSERT INTO public.ecdc_data VALUES (11229, 8, 707, 135.30156535, 29, 62);
INSERT INTO public.ecdc_data VALUES (11230, 5, 20, 883.31856793, 178, 62);
INSERT INTO public.ecdc_data VALUES (11231, 17, 1167, 807.10504391, 179, 62);
INSERT INTO public.ecdc_data VALUES (11232, 7, 176, 1284.26080072, 180, 62);
INSERT INTO public.ecdc_data VALUES (11233, 0, 0, 0.43753443, 30, 62);
INSERT INTO public.ecdc_data VALUES (11234, 0, 8, 0.34355501, 31, 62);
INSERT INTO public.ecdc_data VALUES (11235, 4, 2188, 52.57311715, 124, 62);
INSERT INTO public.ecdc_data VALUES (11236, 0, 52, 146.90455159, 125, 62);
INSERT INTO public.ecdc_data VALUES (11237, 1, 71, 3.15392855, 32, 62);
INSERT INTO public.ecdc_data VALUES (11238, 3, 166, 357.80929939, 181, 62);
INSERT INTO public.ecdc_data VALUES (11239, 0, 0, 5.10282186, 206, 62);
INSERT INTO public.ecdc_data VALUES (11240, 0, 65, 8.28601467, 33, 62);
INSERT INTO public.ecdc_data VALUES (11241, 0, 3, 3.54422803, 34, 62);
INSERT INTO public.ecdc_data VALUES (11242, 813, 10794, 63.97857069, 87, 62);
INSERT INTO public.ecdc_data VALUES (11243, 19, 1215, 396.73451459, 182, 62);
INSERT INTO public.ecdc_data VALUES (11244, 0, 4, 226.6888318, 183, 62);
INSERT INTO public.ecdc_data VALUES (11245, 0, 27, 9.82895144, 126, 62);
INSERT INTO public.ecdc_data VALUES (11246, 6, 570, 1291.2620423, 184, 62);
INSERT INTO public.ecdc_data VALUES (11247, 0, 0, 0, 88, 62);
INSERT INTO public.ecdc_data VALUES (11248, 73, 3999, 181.95444663, 35, 62);
INSERT INTO public.ecdc_data VALUES (11249, 1, 122, 4.63675824, 36, 62);
INSERT INTO public.ecdc_data VALUES (11250, 19, 1731, 35.14636263, 127, 62);
INSERT INTO public.ecdc_data VALUES (11251, 0, 41, 27.46014871, 37, 62);
INSERT INTO public.ecdc_data VALUES (11252, 24, 1790, 85.00207017, 128, 62);
INSERT INTO public.ecdc_data VALUES (11253, 90, 3919, 429.52378125, 185, 62);
INSERT INTO public.ecdc_data VALUES (11254, 0, 0, 1.06098169, 207, 62);
INSERT INTO public.ecdc_data VALUES (11255, 0, 8, 1.06626257, 208, 62);
INSERT INTO public.ecdc_data VALUES (11256, 1, 59, 2.94858928, 89, 62);
INSERT INTO public.ecdc_data VALUES (11257, 0, 25, 0.6434808, 38, 62);
INSERT INTO public.ecdc_data VALUES (11258, 1, 168, 1.13005538, 39, 62);
INSERT INTO public.ecdc_data VALUES (11259, 15, 1037, 719.35726762, 186, 62);
INSERT INTO public.ecdc_data VALUES (11260, 0, 0, 6.99141803, 209, 62);
INSERT INTO public.ecdc_data VALUES (11261, 3, 416, 147.55418891, 187, 62);
INSERT INTO public.ecdc_data VALUES (11262, 5, 223, 74.27147622, 129, 62);
INSERT INTO public.ecdc_data VALUES (11263, 59, 3009, 16.02657364, 130, 62);
INSERT INTO public.ecdc_data VALUES (11264, 17, 1946, 327.95856284, 131, 62);
INSERT INTO public.ecdc_data VALUES (11265, 13, 1272, 368.02592289, 90, 62);
INSERT INTO public.ecdc_data VALUES (11266, 0, 8, 0.14812926, 210, 62);
INSERT INTO public.ecdc_data VALUES (11267, 12, 819, 133.34962941, 91, 62);
INSERT INTO public.ecdc_data VALUES (11268, 44, 1882, 83.07479605, 92, 62);
INSERT INTO public.ecdc_data VALUES (11269, 12, 1108, 20.32342446, 132, 62);
INSERT INTO public.ecdc_data VALUES (11270, 540, 32733, 830.78914461, 188, 62);
INSERT INTO public.ecdc_data VALUES (11271, 85, 3919, 792.90684863, 189, 62);
INSERT INTO public.ecdc_data VALUES (11272, 6, 397, 456.15946525, 93, 62);
INSERT INTO public.ecdc_data VALUES (11273, 0, 227, 105.18804084, 133, 62);
INSERT INTO public.ecdc_data VALUES (11274, 196, 7753, 599.08960631, 190, 62);
INSERT INTO public.ecdc_data VALUES (11275, 491, 24326, 220.54844423, 191, 62);
INSERT INTO public.ecdc_data VALUES (11276, 0, 24, 3.86475328, 40, 62);
INSERT INTO public.ecdc_data VALUES (11277, 0, 0, 1.8927206, 94, 62);
INSERT INTO public.ecdc_data VALUES (11278, 0, 3, 42.67075139, 95, 62);
INSERT INTO public.ecdc_data VALUES (11279, 0, 0, 7.23373089, 96, 62);
INSERT INTO public.ecdc_data VALUES (11280, 0, 0, 911.38652657, 192, 62);
INSERT INTO public.ecdc_data VALUES (11281, 0, 0, 8.83523678, 41, 62);
INSERT INTO public.ecdc_data VALUES (11282, 15, 252, 12.50710236, 134, 62);
INSERT INTO public.ecdc_data VALUES (11283, 1, 11, 1.15363171, 42, 62);
INSERT INTO public.ecdc_data VALUES (11284, 37, 6842, 949.78807438, 193, 62);
INSERT INTO public.ecdc_data VALUES (11285, 0, 0, 8.18489682, 43, 62);
INSERT INTO public.ecdc_data VALUES (11286, 0, 0, 0.25597684, 44, 62);
INSERT INTO public.ecdc_data VALUES (11287, 0, 18, 1.89513266, 135, 62);
INSERT INTO public.ecdc_data VALUES (11288, 0, 3, 264.21949091, 97, 62);
INSERT INTO public.ecdc_data VALUES (11289, 16, 1021, 373.7325979, 194, 62);
INSERT INTO public.ecdc_data VALUES (11290, 35, 1302, 978.56320414, 195, 62);
INSERT INTO public.ecdc_data VALUES (11291, 0, 1, 0.14929362, 211, 62);
INSERT INTO public.ecdc_data VALUES (11292, 0, 0, 0.93246699, 45, 62);
INSERT INTO public.ecdc_data VALUES (11293, 115, 2493, 54.64301052, 46, 62);
INSERT INTO public.ecdc_data VALUES (11294, 3, 382, 7.68370002, 136, 62);
INSERT INTO public.ecdc_data VALUES (11295, 0, 0, 0.78646812, 47, 62);
INSERT INTO public.ecdc_data VALUES (11296, 369, 10222, 399.16645823, 196, 62);
INSERT INTO public.ecdc_data VALUES (11297, 4, 459, 29.31944283, 137, 62);
INSERT INTO public.ecdc_data VALUES (11298, 0, 0, 4.74619567, 48, 62);
INSERT INTO public.ecdc_data VALUES (11299, 1, 3, 9.46052638, 98, 62);
INSERT INTO public.ecdc_data VALUES (11300, 68, 5674, 620.01811306, 197, 62);
INSERT INTO public.ecdc_data VALUES (11301, 150, 4221, 808.14303706, 198, 62);
INSERT INTO public.ecdc_data VALUES (11302, 5, 74, 5.95777467, 138, 62);
INSERT INTO public.ecdc_data VALUES (11303, 0, 5, 0.16404558, 139, 62);
INSERT INTO public.ecdc_data VALUES (11304, 0, 39, 5.94355362, 140, 62);
INSERT INTO public.ecdc_data VALUES (11305, 0, 6, 0.11346404, 141, 62);
INSERT INTO public.ecdc_data VALUES (11306, 0, 0, 0, 142, 62);
INSERT INTO public.ecdc_data VALUES (11307, 0, 18, 3.88500437, 49, 62);
INSERT INTO public.ecdc_data VALUES (11308, 0, 13, 43.58519795, 99, 62);
INSERT INTO public.ecdc_data VALUES (11309, 73, 1018, 147.24592404, 50, 62);
INSERT INTO public.ecdc_data VALUES (11310, 161, 7381, 75.06473901, 199, 62);
INSERT INTO public.ecdc_data VALUES (11311, 0, 0, 91.63742996, 100, 62);
INSERT INTO public.ecdc_data VALUES (11312, 5, 241, 8.36240013, 51, 62);
INSERT INTO public.ecdc_data VALUES (11313, 188, 12287, 383.64406421, 200, 62);
INSERT INTO public.ecdc_data VALUES (11314, 5, 1310, 173.78798235, 143, 62);
INSERT INTO public.ecdc_data VALUES (11315, 608, 11299, 457.66274164, 201, 62);
INSERT INTO public.ecdc_data VALUES (11316, 0, 0, 0, 52, 62);
INSERT INTO public.ecdc_data VALUES (11317, 2224, 170293, 709.08166731, 101, 62);
INSERT INTO public.ecdc_data VALUES (11318, 0, 14, 106.13985599, 102, 62);
INSERT INTO public.ecdc_data VALUES (11319, 1, 107, 36.10910264, 103, 62);
INSERT INTO public.ecdc_data VALUES (11320, 1, 192, 8.68966335, 144, 62);
INSERT INTO public.ecdc_data VALUES (11321, 0, 0, 0, 212, 62);
INSERT INTO public.ecdc_data VALUES (11322, 3, 355, 17.71998282, 104, 62);
INSERT INTO public.ecdc_data VALUES (11323, 0, 4, 0.09330088, 145, 62);
INSERT INTO public.ecdc_data VALUES (11324, 0, 0, 0, 213, 62);
INSERT INTO public.ecdc_data VALUES (11325, 0, 0, 0, 53, 62);
INSERT INTO public.ecdc_data VALUES (11326, 0, 0, 0.03086216, 146, 62);
INSERT INTO public.ecdc_data VALUES (11327, 0, 12, 2.62582782, 54, 62);
INSERT INTO public.ecdc_data VALUES (11328, 1, 90, 5.38050222, 55, 62);
INSERT INTO public.ecdc_data VALUES (11329, 4, 81, 2.79955524, 105, 63);
INSERT INTO public.ecdc_data VALUES (11330, 4, 302, 126.71065498, 147, 63);
INSERT INTO public.ecdc_data VALUES (11331, 10, 250, 6.82878385, 1, 63);
INSERT INTO public.ecdc_data VALUES (11332, 0, 0, 1761.68659832, 148, 63);
INSERT INTO public.ecdc_data VALUES (11333, 5, 247, 8.79174772, 2, 63);
INSERT INTO public.ecdc_data VALUES (11334, 0, 0, 0, 56, 63);
INSERT INTO public.ecdc_data VALUES (11335, 0, 2, 13.38619163, 57, 63);
INSERT INTO public.ecdc_data VALUES (11336, 275, 11968, 440.90447498, 58, 63);
INSERT INTO public.ecdc_data VALUES (11337, 35, 4527, 747.22895412, 149, 63);
INSERT INTO public.ecdc_data VALUES (11338, 0, 9, 208.82325275, 59, 63);
INSERT INTO public.ecdc_data VALUES (11339, 0, 15, 1.01177628, 202, 63);
INSERT INTO public.ecdc_data VALUES (11340, 6, 2989, 283.16556183, 150, 63);
INSERT INTO public.ecdc_data VALUES (11341, 8, 792, 72.26515789, 151, 63);
INSERT INTO public.ecdc_data VALUES (11342, 2, 84, 341.21893983, 60, 63);
INSERT INTO public.ecdc_data VALUES (11343, 0, 401, 285.65091606, 106, 63);
INSERT INTO public.ecdc_data VALUES (11344, 19, 1094, 12.5326462, 107, 63);
INSERT INTO public.ecdc_data VALUES (11345, 0, 0, 7.31653781, 61, 63);
INSERT INTO public.ecdc_data VALUES (11346, 8, 811, 100.57753531, 152, 63);
INSERT INTO public.ecdc_data VALUES (11347, 93, 11557, 1464.53425637, 153, 63);
INSERT INTO public.ecdc_data VALUES (11348, 2, 56, 173.94601269, 62, 63);
INSERT INTO public.ecdc_data VALUES (11349, 0, 0, 1.23716746, 3, 63);
INSERT INTO public.ecdc_data VALUES (11350, 0, 1, 11.19856658, 63, 63);
INSERT INTO public.ecdc_data VALUES (11351, 0, 4, 4.45554545, 108, 63);
INSERT INTO public.ecdc_data VALUES (11352, 19, 167, 20.11621195, 64, 63);
INSERT INTO public.ecdc_data VALUES (11353, 0, 0, 11.54601085, 65, 63);
INSERT INTO public.ecdc_data VALUES (11354, 6, 1258, 285.21677384, 154, 63);
INSERT INTO public.ecdc_data VALUES (11355, 0, 0, 60.90194786, 4, 63);
INSERT INTO public.ecdc_data VALUES (11356, 432, 26979, 141.19814222, 66, 63);
INSERT INTO public.ecdc_data VALUES (11357, 0, 0, 3.3296707, 67, 63);
INSERT INTO public.ecdc_data VALUES (11358, 0, 0, 0.46157823, 109, 63);
INSERT INTO public.ecdc_data VALUES (11359, 7, 1043, 195.5846246, 155, 63);
INSERT INTO public.ecdc_data VALUES (11360, 0, 11, 0.85132001, 5, 63);
INSERT INTO public.ecdc_data VALUES (11361, 0, 2, 0.32955853, 6, 63);
INSERT INTO public.ecdc_data VALUES (11362, 0, 0, 0.02426221, 110, 63);
INSERT INTO public.ecdc_data VALUES (11363, 0, 0, 1.41828146, 7, 63);
INSERT INTO public.ecdc_data VALUES (11364, 34, 2227, 95.80594904, 68, 63);
INSERT INTO public.ecdc_data VALUES (11365, 0, 124, 256.2116319, 8, 63);
INSERT INTO public.ecdc_data VALUES (11366, 0, 0, 27.71447928, 69, 63);
INSERT INTO public.ecdc_data VALUES (11367, 0, 0, 0.16859216, 9, 63);
INSERT INTO public.ecdc_data VALUES (11368, 0, 11, 0.89672702, 10, 63);
INSERT INTO public.ecdc_data VALUES (11369, 48, 1636, 110.52638938, 70, 63);
INSERT INTO public.ecdc_data VALUES (11370, 0, 19, 0.0242017, 111, 63);
INSERT INTO public.ecdc_data VALUES (11371, 198, 8769, 208.51243825, 71, 63);
INSERT INTO public.ecdc_data VALUES (11372, 0, 0, 2.58552506, 11, 63);
INSERT INTO public.ecdc_data VALUES (11373, 0, 97, 2.50905863, 12, 63);
INSERT INTO public.ecdc_data VALUES (11374, 17, 1262, 310.03092385, 72, 63);
INSERT INTO public.ecdc_data VALUES (11375, 0, 24, 1.17045231, 13, 63);
INSERT INTO public.ecdc_data VALUES (11376, 16, 2242, 344.11563973, 156, 63);
INSERT INTO public.ecdc_data VALUES (11377, 0, 55, 5.1705195, 73, 63);
INSERT INTO public.ecdc_data VALUES (11378, 0, 19, 162.76778666, 74, 63);
INSERT INTO public.ecdc_data VALUES (11379, 0, 130, 166.45754819, 157, 63);
INSERT INTO public.ecdc_data VALUES (11380, 106, 12474, 1284.43726643, 158, 63);
INSERT INTO public.ecdc_data VALUES (11381, 1, 21, 0.34796408, 14, 63);
INSERT INTO public.ecdc_data VALUES (11382, 3, 789, 126.22972363, 159, 63);
INSERT INTO public.ecdc_data VALUES (11383, 0, 2, 10.9906251, 15, 63);
INSERT INTO public.ecdc_data VALUES (11384, 0, 0, 6.96301248, 75, 63);
INSERT INTO public.ecdc_data VALUES (11385, 6, 634, 55.90859522, 76, 63);
INSERT INTO public.ecdc_data VALUES (11386, 14, 1344, 73.59417767, 77, 63);
INSERT INTO public.ecdc_data VALUES (11387, 11, 167, 2.00222983, 16, 63);
INSERT INTO public.ecdc_data VALUES (11388, 5, 164, 40.81474537, 78, 63);
INSERT INTO public.ecdc_data VALUES (11389, 0, 0, 1.17995667, 17, 63);
INSERT INTO public.ecdc_data VALUES (11390, 0, 0, 1.34396419, 18, 63);
INSERT INTO public.ecdc_data VALUES (11391, 0, 51, 38.11838589, 160, 63);
INSERT INTO public.ecdc_data VALUES (11392, 0, 16, 16.28731166, 19, 63);
INSERT INTO public.ecdc_data VALUES (11393, 19, 629, 8.41283645, 20, 63);
INSERT INTO public.ecdc_data VALUES (11394, 0, 0, 0, 79, 63);
INSERT INTO public.ecdc_data VALUES (11395, 0, 0, 26.70665818, 161, 63);
INSERT INTO public.ecdc_data VALUES (11396, 0, 0, 0.11236523, 203, 63);
INSERT INTO public.ecdc_data VALUES (11397, 0, 178, 50.79813604, 162, 63);
INSERT INTO public.ecdc_data VALUES (11398, 137, 45422, 548.58705303, 163, 63);
INSERT INTO public.ecdc_data VALUES (11399, 0, 0, 1111.76754928, 204, 63);
INSERT INTO public.ecdc_data VALUES (11400, 0, 0, 3.86637442, 21, 63);
INSERT INTO public.ecdc_data VALUES (11401, 0, 0, 1.32044353, 22, 63);
INSERT INTO public.ecdc_data VALUES (11402, 18, 3869, 429.34755685, 164, 63);
INSERT INTO public.ecdc_data VALUES (11403, 29, 11176, 128.06312678, 165, 63);
INSERT INTO public.ecdc_data VALUES (11404, 2, 89, 2.25196659, 23, 63);
INSERT INTO public.ecdc_data VALUES (11405, 0, 19, 545.89687296, 166, 63);
INSERT INTO public.ecdc_data VALUES (11406, 5, 935, 73.79296886, 167, 63);
INSERT INTO public.ecdc_data VALUES (11407, 0, 0, 1.76491352, 80, 63);
INSERT INTO public.ecdc_data VALUES (11408, 0, 1, 3.5713648, 81, 63);
INSERT INTO public.ecdc_data VALUES (11409, 2, 75, 680.23551212, 205, 63);
INSERT INTO public.ecdc_data VALUES (11410, 15, 730, 40.31515898, 82, 63);
INSERT INTO public.ecdc_data VALUES (11411, 0, 0, 10.85810014, 168, 63);
INSERT INTO public.ecdc_data VALUES (11412, 0, 34, 5.26965028, 24, 63);
INSERT INTO public.ecdc_data VALUES (11413, 0, 0, 2.13439727, 25, 63);
INSERT INTO public.ecdc_data VALUES (11414, 0, 34, 75.24512152, 83, 63);
INSERT INTO public.ecdc_data VALUES (11415, 0, 0, 1.37617786, 84, 63);
INSERT INTO public.ecdc_data VALUES (11416, 0, 0, 1717.79141104, 169, 63);
INSERT INTO public.ecdc_data VALUES (11417, 5, 842, 98.27505627, 85, 63);
INSERT INTO public.ecdc_data VALUES (11418, 35, 3149, 220.84865313, 170, 63);
INSERT INTO public.ecdc_data VALUES (11419, 0, 86, 261.63124561, 171, 63);
INSERT INTO public.ecdc_data VALUES (11420, 578, 50129, 59.35263915, 112, 63);
INSERT INTO public.ecdc_data VALUES (11421, 128, 4070, 21.07265793, 113, 63);
INSERT INTO public.ecdc_data VALUES (11422, 335, 5814, 80.14579656, 114, 63);
INSERT INTO public.ecdc_data VALUES (11423, 55, 3204, 124.72465828, 115, 63);
INSERT INTO public.ecdc_data VALUES (11424, 4, 847, 293.50113371, 172, 63);
INSERT INTO public.ecdc_data VALUES (11425, 0, 0, 3.54656043, 173, 63);
INSERT INTO public.ecdc_data VALUES (11426, 43, 573, 227.83366804, 116, 63);
INSERT INTO public.ecdc_data VALUES (11427, 151, 19640, 256.81936044, 174, 63);
INSERT INTO public.ecdc_data VALUES (11428, 4, 32, 37.68302639, 86, 63);
INSERT INTO public.ecdc_data VALUES (11429, 5, 699, 6.00818385, 117, 63);
INSERT INTO public.ecdc_data VALUES (11430, 0, 0, 75.14193477, 175, 63);
INSERT INTO public.ecdc_data VALUES (11431, 32, 1820, 264.82679098, 118, 63);
INSERT INTO public.ecdc_data VALUES (11432, 0, 315, 19.75589157, 119, 63);
INSERT INTO public.ecdc_data VALUES (11433, 12, 947, 14.51669036, 26, 63);
INSERT INTO public.ecdc_data VALUES (11434, 2, 166, 90.46397399, 176, 63);
INSERT INTO public.ecdc_data VALUES (11435, 4, 695, 246.22796303, 120, 63);
INSERT INTO public.ecdc_data VALUES (11436, 4, 606, 106.39274509, 121, 63);
INSERT INTO public.ecdc_data VALUES (11437, 0, 0, 0.01394806, 122, 63);
INSERT INTO public.ecdc_data VALUES (11438, 4, 259, 97.44954083, 177, 63);
INSERT INTO public.ecdc_data VALUES (11439, 3, 1427, 253.04457934, 123, 63);
INSERT INTO public.ecdc_data VALUES (11440, 0, 11, 6.30509014, 27, 63);
INSERT INTO public.ecdc_data VALUES (11441, 0, 0, 0.60761044, 28, 63);
INSERT INTO public.ecdc_data VALUES (11442, 16, 990, 187.20897069, 29, 63);
INSERT INTO public.ecdc_data VALUES (11443, 0, 10, 526.34321747, 178, 63);
INSERT INTO public.ecdc_data VALUES (11444, 3, 474, 129.37587503, 179, 63);
INSERT INTO public.ecdc_data VALUES (11445, 3, 862, 709.0800692, 180, 63);
INSERT INTO public.ecdc_data VALUES (11446, 6, 158, 0.98630643, 30, 63);
INSERT INTO public.ecdc_data VALUES (11447, 0, 2, 0.3542911, 31, 63);
INSERT INTO public.ecdc_data VALUES (11448, 7, 1228, 33.32103383, 124, 63);
INSERT INTO public.ecdc_data VALUES (11449, 0, 30, 105.84661281, 125, 63);
INSERT INTO public.ecdc_data VALUES (11450, 0, 28, 1.01230933, 32, 63);
INSERT INTO public.ecdc_data VALUES (11451, 1, 122, 348.48923837, 181, 63);
INSERT INTO public.ecdc_data VALUES (11452, 0, 24, 3.07134944, 33, 63);
INSERT INTO public.ecdc_data VALUES (11453, 0, 0, 3.15042491, 34, 63);
INSERT INTO public.ecdc_data VALUES (11454, 431, 6025, 43.74428265, 87, 63);
INSERT INTO public.ecdc_data VALUES (11455, 14, 833, 230.68030781, 182, 63);
INSERT INTO public.ecdc_data VALUES (11456, 0, 1, 190.41861871, 183, 63);
INSERT INTO public.ecdc_data VALUES (11457, 0, 1, 0.68213543, 126, 63);
INSERT INTO public.ecdc_data VALUES (11458, 8, 193, 480.24533014, 184, 63);
INSERT INTO public.ecdc_data VALUES (11459, 0, 0, 0, 88, 63);
INSERT INTO public.ecdc_data VALUES (11460, 50, 4045, 122.34121046, 35, 63);
INSERT INTO public.ecdc_data VALUES (11461, 3, 147, 6.75425507, 36, 63);
INSERT INTO public.ecdc_data VALUES (11462, 28, 1423, 32.79463707, 127, 63);
INSERT INTO public.ecdc_data VALUES (11463, 0, 78, 27.58041213, 37, 63);
INSERT INTO public.ecdc_data VALUES (11464, 13, 2225, 173.19547557, 128, 63);
INSERT INTO public.ecdc_data VALUES (11465, 55, 8639, 651.82234423, 185, 63);
INSERT INTO public.ecdc_data VALUES (11466, 0, 0, 0, 207, 63);
INSERT INTO public.ecdc_data VALUES (11467, 0, 1, 1.33805499, 208, 63);
INSERT INTO public.ecdc_data VALUES (11468, 0, 0, 2.597203, 89, 63);
INSERT INTO public.ecdc_data VALUES (11469, 0, 0, 0.06005821, 38, 63);
INSERT INTO public.ecdc_data VALUES (11470, 0, 48, 0.90911985, 39, 63);
INSERT INTO public.ecdc_data VALUES (11471, 14, 403, 281.10875958, 186, 63);
INSERT INTO public.ecdc_data VALUES (11472, 0, 0, 19.22639959, 209, 63);
INSERT INTO public.ecdc_data VALUES (11473, 0, 0, 37.74249223, 187, 63);
INSERT INTO public.ecdc_data VALUES (11474, 0, 0, 154.93492251, 129, 63);
INSERT INTO public.ecdc_data VALUES (11475, 9, 832, 4.13870518, 130, 63);
INSERT INTO public.ecdc_data VALUES (11476, 4, 410, 129.66177128, 131, 63);
INSERT INTO public.ecdc_data VALUES (11477, 6, 649, 208.38631889, 90, 63);
INSERT INTO public.ecdc_data VALUES (11478, 0, 0, 0.38741498, 210, 63);
INSERT INTO public.ecdc_data VALUES (11479, 15, 784, 142.87460294, 91, 63);
INSERT INTO public.ecdc_data VALUES (11480, 62, 3098, 123.42488397, 92, 63);
INSERT INTO public.ecdc_data VALUES (11481, 19, 2020, 28.57377472, 132, 63);
INSERT INTO public.ecdc_data VALUES (11482, 179, 13628, 316.82668115, 188, 63);
INSERT INTO public.ecdc_data VALUES (11483, 21, 3669, 297.13085542, 189, 63);
INSERT INTO public.ecdc_data VALUES (11484, 3, 296, 269.85713526, 93, 63);
INSERT INTO public.ecdc_data VALUES (11485, 0, 254, 112.53248948, 133, 63);
INSERT INTO public.ecdc_data VALUES (11486, 73, 4761, 275.00123877, 190, 63);
INSERT INTO public.ecdc_data VALUES (11487, 296, 16521, 145.38953465, 191, 63);
INSERT INTO public.ecdc_data VALUES (11488, 0, 8, 1.33048883, 40, 63);
INSERT INTO public.ecdc_data VALUES (11489, 0, 0, 0, 94, 63);
INSERT INTO public.ecdc_data VALUES (11490, 0, 4, 12.58240105, 95, 63);
INSERT INTO public.ecdc_data VALUES (11491, 0, 0, 8.13794725, 96, 63);
INSERT INTO public.ecdc_data VALUES (11492, 0, 0, 194.46782573, 192, 63);
INSERT INTO public.ecdc_data VALUES (11493, 0, 2, 8.37022432, 41, 63);
INSERT INTO public.ecdc_data VALUES (11494, 17, 395, 16.36486935, 134, 63);
INSERT INTO public.ecdc_data VALUES (11495, 0, 18, 1.83476533, 42, 63);
INSERT INTO public.ecdc_data VALUES (11496, 3, 757, 60.12552981, 193, 63);
INSERT INTO public.ecdc_data VALUES (11497, 0, 0, 5.11556051, 43, 63);
INSERT INTO public.ecdc_data VALUES (11498, 0, 2, 0.57594788, 44, 63);
INSERT INTO public.ecdc_data VALUES (11499, 0, 14, 1.7056194, 135, 63);
INSERT INTO public.ecdc_data VALUES (11500, 0, 0, 172.21448961, 97, 63);
INSERT INTO public.ecdc_data VALUES (11501, 25, 2890, 403.71193345, 194, 63);
INSERT INTO public.ecdc_data VALUES (11502, 2, 1964, 625.83256924, 195, 63);
INSERT INTO public.ecdc_data VALUES (11503, 0, 1, 0, 211, 63);
INSERT INTO public.ecdc_data VALUES (11504, 0, 0, 0.32377326, 45, 63);
INSERT INTO public.ecdc_data VALUES (11505, 53, 1834, 39.87481392, 46, 63);
INSERT INTO public.ecdc_data VALUES (11506, 0, 61, 2.40115626, 136, 63);
INSERT INTO public.ecdc_data VALUES (11507, 0, 2, 1.05766402, 47, 63);
INSERT INTO public.ecdc_data VALUES (11508, 0, 0, 394.18745017, 196, 63);
INSERT INTO public.ecdc_data VALUES (11509, 1, 368, 13.56704225, 137, 63);
INSERT INTO public.ecdc_data VALUES (11510, 1, 18, 0.16817229, 48, 63);
INSERT INTO public.ecdc_data VALUES (11511, 0, 11, 22.53325375, 98, 63);
INSERT INTO public.ecdc_data VALUES (11512, 8, 1477, 131.52254822, 197, 63);
INSERT INTO public.ecdc_data VALUES (11513, 0, 0, 504.33452899, 198, 63);
INSERT INTO public.ecdc_data VALUES (11514, 3, 40, 4.01871526, 138, 63);
INSERT INTO public.ecdc_data VALUES (11515, 0, 0, 0.09674483, 139, 63);
INSERT INTO public.ecdc_data VALUES (11516, 0, 41, 5.96501049, 140, 63);
INSERT INTO public.ecdc_data VALUES (11517, 0, 5, 0.14649788, 141, 63);
INSERT INTO public.ecdc_data VALUES (11518, 0, 0, 0.07733234, 142, 63);
INSERT INTO public.ecdc_data VALUES (11519, 0, 25, 3.11790159, 49, 63);
INSERT INTO public.ecdc_data VALUES (11520, 1, 16, 32.97564319, 99, 63);
INSERT INTO public.ecdc_data VALUES (11521, 35, 1585, 149.98220137, 50, 63);
INSERT INTO public.ecdc_data VALUES (11522, 69, 2091, 31.40461082, 199, 63);
INSERT INTO public.ecdc_data VALUES (11523, 0, 2, 15.70927371, 100, 63);
INSERT INTO public.ecdc_data VALUES (11524, 0, 134, 3.60518385, 51, 63);
INSERT INTO public.ecdc_data VALUES (11525, 125, 7014, 184.4448299, 200, 63);
INSERT INTO public.ecdc_data VALUES (11526, 0, 1491, 190.685742, 143, 63);
INSERT INTO public.ecdc_data VALUES (11527, 174, 23012, 394.86482175, 201, 63);
INSERT INTO public.ecdc_data VALUES (11528, 0, 0, 0, 52, 63);
INSERT INTO public.ecdc_data VALUES (11529, 904, 83056, 260.67136169, 101, 63);
INSERT INTO public.ecdc_data VALUES (11530, 0, 2, 21.99294313, 102, 63);
INSERT INTO public.ecdc_data VALUES (11531, 0, 48, 15.57024506, 103, 63);
INSERT INTO public.ecdc_data VALUES (11532, 5, 389, 13.0557189, 144, 63);
INSERT INTO public.ecdc_data VALUES (11533, 6, 424, 23.45714726, 104, 63);
INSERT INTO public.ecdc_data VALUES (11534, 0, 12, 0.05494385, 145, 63);
INSERT INTO public.ecdc_data VALUES (11535, 0, 0, 0, 213, 63);
INSERT INTO public.ecdc_data VALUES (11536, 0, 0, 0, 53, 63);
INSERT INTO public.ecdc_data VALUES (11537, 0, 2, 0.02743303, 146, 63);
INSERT INTO public.ecdc_data VALUES (11538, 2, 22, 4.35585084, 54, 63);
INSERT INTO public.ecdc_data VALUES (11539, 0, 12, 1.76846456, 55, 63);
INSERT INTO public.ecdc_data VALUES (11540, 0, 16, 1.61401588, 105, 64);
INSERT INTO public.ecdc_data VALUES (11541, 0, 134, 72.0018362, 147, 64);
INSERT INTO public.ecdc_data VALUES (11542, 5, 179, 7.17951391, 1, 64);
INSERT INTO public.ecdc_data VALUES (11543, 0, 0, 593.35494966, 148, 64);
INSERT INTO public.ecdc_data VALUES (11544, 4, 127, 3.99367811, 2, 64);
INSERT INTO public.ecdc_data VALUES (11545, 0, 0, 0, 56, 64);
INSERT INTO public.ecdc_data VALUES (11546, 0, 1, 3.08912115, 57, 64);
INSERT INTO public.ecdc_data VALUES (11547, 390, 13467, 370.66435466, 58, 64);
INSERT INTO public.ecdc_data VALUES (11548, 3, 374, 98.89347499, 149, 64);
INSERT INTO public.ecdc_data VALUES (11549, 0, 35, 881.38462986, 59, 64);
INSERT INTO public.ecdc_data VALUES (11550, 2, 10, 1.86484256, 202, 64);
INSERT INTO public.ecdc_data VALUES (11551, 6, 688, 110.56833479, 150, 64);
INSERT INTO public.ecdc_data VALUES (11552, 1, 162, 18.03394382, 151, 64);
INSERT INTO public.ecdc_data VALUES (11553, 6, 81, 251.10016791, 60, 64);
INSERT INTO public.ecdc_data VALUES (11554, 0, 612, 582.75711629, 106, 64);
INSERT INTO public.ecdc_data VALUES (11555, 28, 1540, 13.74702613, 107, 64);
INSERT INTO public.ecdc_data VALUES (11556, 0, 0, 3.13565906, 61, 64);
INSERT INTO public.ecdc_data VALUES (11557, 6, 294, 32.37269991, 152, 64);
INSERT INTO public.ecdc_data VALUES (11558, 4, 1796, 173.13052337, 153, 64);
INSERT INTO public.ecdc_data VALUES (11559, 0, 52, 91.96851039, 62, 64);
INSERT INTO public.ecdc_data VALUES (11560, 0, 0, 0.70332123, 3, 64);
INSERT INTO public.ecdc_data VALUES (11561, 0, 0, 6.3991809, 63, 64);
INSERT INTO public.ecdc_data VALUES (11562, 0, 2, 3.27613636, 108, 64);
INSERT INTO public.ecdc_data VALUES (11563, 34, 628, 73.07326905, 64, 64);
INSERT INTO public.ecdc_data VALUES (11564, 0, 9, 203.97952507, 65, 64);
INSERT INTO public.ecdc_data VALUES (11565, 12, 235, 114.26847275, 154, 64);
INSERT INTO public.ecdc_data VALUES (11566, 3, 354, 29.0402018, 4, 64);
INSERT INTO public.ecdc_data VALUES (11567, 831, 32817, 198.65290477, 66, 64);
INSERT INTO public.ecdc_data VALUES (11568, 0, 0, 26.63736556, 67, 64);
INSERT INTO public.ecdc_data VALUES (11569, 0, 0, 0, 109, 64);
INSERT INTO public.ecdc_data VALUES (11570, 6, 290, 28.21412852, 155, 64);
INSERT INTO public.ecdc_data VALUES (11571, 0, 21, 2.28330916, 5, 64);
INSERT INTO public.ecdc_data VALUES (11572, 0, 1, 0.06938074, 6, 64);
INSERT INTO public.ecdc_data VALUES (11573, 0, 0, 0.00606555, 110, 64);
INSERT INTO public.ecdc_data VALUES (11574, 2, 22, 2.71676258, 7, 64);
INSERT INTO public.ecdc_data VALUES (11575, 6, 1341, 37.8765219, 68, 64);
INSERT INTO public.ecdc_data VALUES (11576, 1, 67, 167.65587268, 8, 64);
INSERT INTO public.ecdc_data VALUES (11577, 0, 0, 3.07938659, 69, 64);
INSERT INTO public.ecdc_data VALUES (11578, 0, 2, 1.20121917, 9, 64);
INSERT INTO public.ecdc_data VALUES (11579, 0, 7, 0.7524982, 10, 64);
INSERT INTO public.ecdc_data VALUES (11580, 124, 1731, 121.17432244, 70, 64);
INSERT INTO public.ecdc_data VALUES (11581, 0, 15, 0.02071442, 111, 64);
INSERT INTO public.ecdc_data VALUES (11582, 178, 6555, 191.02118393, 71, 64);
INSERT INTO public.ecdc_data VALUES (11583, 0, 4, 2.11542959, 11, 64);
INSERT INTO public.ecdc_data VALUES (11584, 0, 0, 2.11876062, 12, 64);
INSERT INTO public.ecdc_data VALUES (11585, 14, 1400, 335.01328662, 72, 64);
INSERT INTO public.ecdc_data VALUES (11586, 0, 71, 2.45756099, 13, 64);
INSERT INTO public.ecdc_data VALUES (11587, 4, 232, 65.13345858, 156, 64);
INSERT INTO public.ecdc_data VALUES (11588, 0, 40, 6.69696979, 73, 64);
INSERT INTO public.ecdc_data VALUES (11589, 0, 14, 112.59125093, 74, 64);
INSERT INTO public.ecdc_data VALUES (11590, 0, 9, 16.6685885, 157, 64);
INSERT INTO public.ecdc_data VALUES (11591, 12, 2910, 243.76983605, 158, 64);
INSERT INTO public.ecdc_data VALUES (11592, 0, 18, 0.24426617, 14, 64);
INSERT INTO public.ecdc_data VALUES (11593, 2, 559, 103.20214272, 159, 64);
INSERT INTO public.ecdc_data VALUES (11594, 0, 0, 1.33530959, 15, 64);
INSERT INTO public.ecdc_data VALUES (11595, 0, 0, 0, 75, 64);
INSERT INTO public.ecdc_data VALUES (11596, 2, 385, 78.27575806, 76, 64);
INSERT INTO public.ecdc_data VALUES (11597, 42, 1254, 103.25978002, 77, 64);
INSERT INTO public.ecdc_data VALUES (11598, 13, 138, 1.94843858, 16, 64);
INSERT INTO public.ecdc_data VALUES (11599, 4, 247, 23.4444608, 78, 64);
INSERT INTO public.ecdc_data VALUES (11600, 0, 0, 2.06492417, 17, 64);
INSERT INTO public.ecdc_data VALUES (11601, 0, 0, 0.08578495, 18, 64);
INSERT INTO public.ecdc_data VALUES (11602, 0, 43, 35.92940928, 160, 64);
INSERT INTO public.ecdc_data VALUES (11603, 0, 32, 33.18430879, 19, 64);
INSERT INTO public.ecdc_data VALUES (11604, 7, 604, 8.12732286, 20, 64);
INSERT INTO public.ecdc_data VALUES (11605, 0, 0, 0, 79, 64);
INSERT INTO public.ecdc_data VALUES (11606, 0, 4, 82.17433285, 161, 64);
INSERT INTO public.ecdc_data VALUES (11607, 0, 0, 0, 203, 64);
INSERT INTO public.ecdc_data VALUES (11608, 0, 91, 16.49172451, 162, 64);
INSERT INTO public.ecdc_data VALUES (11609, 52, 16096, 213.82903344, 163, 64);
INSERT INTO public.ecdc_data VALUES (11610, 0, 0, 192.27670659, 204, 64);
INSERT INTO public.ecdc_data VALUES (11611, 0, 0, 4.37268535, 21, 64);
INSERT INTO public.ecdc_data VALUES (11612, 0, 10, 9.45607949, 22, 64);
INSERT INTO public.ecdc_data VALUES (11613, 0, 0, 62.10027017, 164, 64);
INSERT INTO public.ecdc_data VALUES (11614, 15, 2153, 28.15372389, 165, 64);
INSERT INTO public.ecdc_data VALUES (11615, 0, 69, 2.9883761, 23, 64);
INSERT INTO public.ecdc_data VALUES (11616, 0, 4, 112.73957159, 166, 64);
INSERT INTO public.ecdc_data VALUES (11617, 9, 341, 38.92919446, 167, 64);
INSERT INTO public.ecdc_data VALUES (11618, 0, 0, 0, 80, 64);
INSERT INTO public.ecdc_data VALUES (11619, 0, 0, 0, 81, 64);
INSERT INTO public.ecdc_data VALUES (11620, 0, 0, 232.52338683, 205, 64);
INSERT INTO public.ecdc_data VALUES (11621, 16, 491, 43.38088565, 82, 64);
INSERT INTO public.ecdc_data VALUES (11622, 0, 0, 4.65347149, 168, 64);
INSERT INTO public.ecdc_data VALUES (11623, 0, 44, 4.16560765, 24, 64);
INSERT INTO public.ecdc_data VALUES (11624, 0, 0, 3.01939126, 25, 64);
INSERT INTO public.ecdc_data VALUES (11625, 2, 44, 105.90527291, 83, 64);
INSERT INTO public.ecdc_data VALUES (11626, 0, 0, 1.92664901, 84, 64);
INSERT INTO public.ecdc_data VALUES (11627, 0, 0, 0, 169, 64);
INSERT INTO public.ecdc_data VALUES (11628, 27, 518, 75.83534567, 85, 64);
INSERT INTO public.ecdc_data VALUES (11629, 9, 927, 122.13545493, 170, 64);
INSERT INTO public.ecdc_data VALUES (11630, 0, 36, 99.44228286, 171, 64);
INSERT INTO public.ecdc_data VALUES (11631, 1141, 86052, 91.93059696, 112, 64);
INSERT INTO public.ecdc_data VALUES (11632, 128, 4634, 20.25640098, 113, 64);
INSERT INTO public.ecdc_data VALUES (11633, 175, 3521, 49.24506439, 114, 64);
INSERT INTO public.ecdc_data VALUES (11634, 45, 4471, 149.29614606, 115, 64);
INSERT INTO public.ecdc_data VALUES (11635, 3, 319, 74.09914686, 172, 64);
INSERT INTO public.ecdc_data VALUES (11636, 0, 0, 3.54656043, 173, 64);
INSERT INTO public.ecdc_data VALUES (11637, 53, 9768, 797.19481704, 116, 64);
INSERT INTO public.ecdc_data VALUES (11638, 23, 1786, 35.02842781, 174, 64);
INSERT INTO public.ecdc_data VALUES (11639, 1, 192, 69.66780937, 86, 64);
INSERT INTO public.ecdc_data VALUES (11640, 12, 456, 5.19942019, 117, 64);
INSERT INTO public.ecdc_data VALUES (11641, 0, 0, 18.55356414, 175, 64);
INSERT INTO public.ecdc_data VALUES (11642, 1, 549, 38.1322069, 118, 64);
INSERT INTO public.ecdc_data VALUES (11643, 1, 292, 21.51855911, 119, 64);
INSERT INTO public.ecdc_data VALUES (11644, 5, 141, 3.58732678, 26, 64);
INSERT INTO public.ecdc_data VALUES (11645, 0, 63, 49.31871231, 176, 64);
INSERT INTO public.ecdc_data VALUES (11646, 2, 552, 214.61456493, 120, 64);
INSERT INTO public.ecdc_data VALUES (11647, 0, 175, 19.4518233, 121, 64);
INSERT INTO public.ecdc_data VALUES (11648, 0, 0, 0.01394806, 122, 64);
INSERT INTO public.ecdc_data VALUES (11649, 0, 22, 7.6042934, 177, 64);
INSERT INTO public.ecdc_data VALUES (11650, 1, 1027, 151.43583253, 123, 64);
INSERT INTO public.ecdc_data VALUES (11651, 2, 83, 16.13914863, 27, 64);
INSERT INTO public.ecdc_data VALUES (11652, 0, 1, 0.46583467, 28, 64);
INSERT INTO public.ecdc_data VALUES (11653, 1, 535, 143.01832857, 29, 64);
INSERT INTO public.ecdc_data VALUES (11654, 0, 0, 20.84527594, 178, 64);
INSERT INTO public.ecdc_data VALUES (11655, 2, 138, 31.17189133, 179, 64);
INSERT INTO public.ecdc_data VALUES (11656, 0, 68, 174.29719137, 180, 64);
INSERT INTO public.ecdc_data VALUES (11657, 1, 24, 2.10239003, 30, 64);
INSERT INTO public.ecdc_data VALUES (11658, 0, 1, 0.49386032, 31, 64);
INSERT INTO public.ecdc_data VALUES (11659, 0, 71, 2.96715575, 124, 64);
INSERT INTO public.ecdc_data VALUES (11660, 0, 54, 195.68439629, 125, 64);
INSERT INTO public.ecdc_data VALUES (11661, 0, 7, 0.67148156, 32, 64);
INSERT INTO public.ecdc_data VALUES (11662, 2, 31, 138.18003521, 181, 64);
INSERT INTO public.ecdc_data VALUES (11663, 0, 8, 5.10418503, 33, 64);
INSERT INTO public.ecdc_data VALUES (11664, 0, 0, 0.86636685, 34, 64);
INSERT INTO public.ecdc_data VALUES (11665, 490, 5156, 47.40407543, 87, 64);
INSERT INTO public.ecdc_data VALUES (11666, 8, 721, 179.28611036, 182, 64);
INSERT INTO public.ecdc_data VALUES (11667, 0, 6, 120.90071029, 183, 64);
INSERT INTO public.ecdc_data VALUES (11668, 0, 0, 0.06201231, 126, 64);
INSERT INTO public.ecdc_data VALUES (11669, 3, 289, 561.73274058, 184, 64);
INSERT INTO public.ecdc_data VALUES (11670, 0, 0, 0, 88, 64);
INSERT INTO public.ecdc_data VALUES (11671, 38, 2356, 83.16570138, 35, 64);
INSERT INTO public.ecdc_data VALUES (11672, 2, 137, 8.45352159, 36, 64);
INSERT INTO public.ecdc_data VALUES (11673, 22, 688, 11.56434675, 127, 64);
INSERT INTO public.ecdc_data VALUES (11674, 2, 77, 59.49030757, 37, 64);
INSERT INTO public.ecdc_data VALUES (11675, 17, 1497, 65.84007705, 128, 64);
INSERT INTO public.ecdc_data VALUES (11676, 16, 2541, 142.32014824, 185, 64);
INSERT INTO public.ecdc_data VALUES (11677, 0, 0, 0, 207, 64);
INSERT INTO public.ecdc_data VALUES (11678, 0, 2, 0.64812039, 208, 64);
INSERT INTO public.ecdc_data VALUES (11679, 0, 0, 3.89580449, 89, 64);
INSERT INTO public.ecdc_data VALUES (11680, 0, 1, 0.06863795, 38, 64);
INSERT INTO public.ecdc_data VALUES (11681, 0, 125, 1.00515714, 39, 64);
INSERT INTO public.ecdc_data VALUES (11682, 2, 151, 91.80928318, 186, 64);
INSERT INTO public.ecdc_data VALUES (11683, 0, 0, 17.47854509, 209, 64);
INSERT INTO public.ecdc_data VALUES (11684, 3, 123, 28.69630563, 187, 64);
INSERT INTO public.ecdc_data VALUES (11685, 10, 568, 152.1610487, 129, 64);
INSERT INTO public.ecdc_data VALUES (11686, 7, 798, 3.99140551, 130, 64);
INSERT INTO public.ecdc_data VALUES (11687, 5, 713, 213.11183835, 131, 64);
INSERT INTO public.ecdc_data VALUES (11688, 6, 736, 212.20127919, 90, 64);
INSERT INTO public.ecdc_data VALUES (11689, 0, 0, 0.2734694, 210, 64);
INSERT INTO public.ecdc_data VALUES (11690, 16, 833, 152.92479856, 91, 64);
INSERT INTO public.ecdc_data VALUES (11691, 68, 6235, 242.57729712, 92, 64);
INSERT INTO public.ecdc_data VALUES (11692, 36, 2164, 44.21891761, 132, 64);
INSERT INTO public.ecdc_data VALUES (11693, 25, 1136, 27.27214408, 188, 64);
INSERT INTO public.ecdc_data VALUES (11694, 3, 691, 87.86938348, 189, 64);
INSERT INTO public.ecdc_data VALUES (11695, 10, 1191, 257.82333426, 93, 64);
INSERT INTO public.ecdc_data VALUES (11696, 0, 250, 119.10012143, 133, 64);
INSERT INTO public.ecdc_data VALUES (11697, 41, 1639, 94.62020521, 190, 64);
INSERT INTO public.ecdc_data VALUES (11698, 149, 6595, 56.53302417, 191, 64);
INSERT INTO public.ecdc_data VALUES (11699, 0, 10, 2.45506868, 40, 64);
INSERT INTO public.ecdc_data VALUES (11700, 0, 0, 3.78544119, 94, 64);
INSERT INTO public.ecdc_data VALUES (11701, 0, 0, 0, 95, 64);
INSERT INTO public.ecdc_data VALUES (11702, 0, 0, 1.80843272, 96, 64);
INSERT INTO public.ecdc_data VALUES (11703, 0, 4, 14.51252431, 192, 64);
INSERT INTO public.ecdc_data VALUES (11704, 0, 2, 4.18511216, 41, 64);
INSERT INTO public.ecdc_data VALUES (11705, 30, 498, 23.74481846, 134, 64);
INSERT INTO public.ecdc_data VALUES (11706, 1, 21, 4.0868017, 42, 64);
INSERT INTO public.ecdc_data VALUES (11707, 1, 83, 14.74777146, 193, 64);
INSERT INTO public.ecdc_data VALUES (11708, 0, 0, 6.13867261, 43, 64);
INSERT INTO public.ecdc_data VALUES (11709, 0, 5, 1.52306217, 44, 64);
INSERT INTO public.ecdc_data VALUES (11710, 0, 15, 7.32210347, 135, 64);
INSERT INTO public.ecdc_data VALUES (11711, 1, 2, 207.60102857, 97, 64);
INSERT INTO public.ecdc_data VALUES (11712, 0, 360, 47.84951474, 194, 64);
INSERT INTO public.ecdc_data VALUES (11713, 2, 122, 68.62388919, 195, 64);
INSERT INTO public.ecdc_data VALUES (11714, 0, 0, 0.60869373, 45, 64);
INSERT INTO public.ecdc_data VALUES (11715, 77, 1861, 38.61282302, 46, 64);
INSERT INTO public.ecdc_data VALUES (11716, 2, 114, 2.99851708, 136, 64);
INSERT INTO public.ecdc_data VALUES (11717, 0, 4, 0.98534512, 47, 64);
INSERT INTO public.ecdc_data VALUES (11718, 114, 12272, 319.90712669, 196, 64);
INSERT INTO public.ecdc_data VALUES (11719, 0, 9, 0.83475061, 137, 64);
INSERT INTO public.ecdc_data VALUES (11720, 0, 14, 0.36203756, 48, 64);
INSERT INTO public.ecdc_data VALUES (11721, 1, 10, 53.66698603, 98, 64);
INSERT INTO public.ecdc_data VALUES (11722, 1, 540, 40.98655107, 197, 64);
INSERT INTO public.ecdc_data VALUES (11723, 4, 508, 68.93301408, 198, 64);
INSERT INTO public.ecdc_data VALUES (11724, 2, 42, 3.22200203, 138, 64);
INSERT INTO public.ecdc_data VALUES (11725, 0, 0, 0.05468186, 139, 64);
INSERT INTO public.ecdc_data VALUES (11726, 0, 45, 6.2332214, 140, 64);
INSERT INTO public.ecdc_data VALUES (11727, 0, 3, 0.08330272, 141, 64);
INSERT INTO public.ecdc_data VALUES (11728, 0, 0, 0, 142, 64);
INSERT INTO public.ecdc_data VALUES (11729, 3, 6, 2.10334631, 49, 64);
INSERT INTO public.ecdc_data VALUES (11730, 0, 99, 110.18165995, 99, 64);
INSERT INTO public.ecdc_data VALUES (11731, 6, 826, 63.47308328, 50, 64);
INSERT INTO public.ecdc_data VALUES (11732, 74, 1721, 28.45596993, 199, 64);
INSERT INTO public.ecdc_data VALUES (11733, 0, 3, 107.34670367, 100, 64);
INSERT INTO public.ecdc_data VALUES (11734, 1, 185, 6.26389399, 51, 64);
INSERT INTO public.ecdc_data VALUES (11735, 52, 3372, 89.44474091, 200, 64);
INSERT INTO public.ecdc_data VALUES (11736, 1, 1002, 118.93934881, 143, 64);
INSERT INTO public.ecdc_data VALUES (11737, 40, 6634, 87.36312535, 201, 64);
INSERT INTO public.ecdc_data VALUES (11738, 0, 0, 0, 52, 64);
INSERT INTO public.ecdc_data VALUES (11739, 901, 44213, 176.61864574, 101, 64);
INSERT INTO public.ecdc_data VALUES (11740, 0, 6, 90.84041729, 102, 64);
INSERT INTO public.ecdc_data VALUES (11741, 0, 13, 5.77745642, 103, 64);
INSERT INTO public.ecdc_data VALUES (11742, 2, 299, 24.37411153, 144, 64);
INSERT INTO public.ecdc_data VALUES (11743, 7, 967, 44.12636925, 104, 64);
INSERT INTO public.ecdc_data VALUES (11744, 0, 0, 0.01036676, 145, 64);
INSERT INTO public.ecdc_data VALUES (11745, 0, 0, 0, 53, 64);
INSERT INTO public.ecdc_data VALUES (11746, 0, 1, 0.10287388, 146, 64);
INSERT INTO public.ecdc_data VALUES (11747, 0, 48, 7.14964206, 54, 64);
INSERT INTO public.ecdc_data VALUES (11748, 0, 27, 2.0415865, 55, 64);
INSERT INTO public.ecdc_data VALUES (11749, 10, 71, 2.67074941, 105, 65);
INSERT INTO public.ecdc_data VALUES (11750, 4, 178, 72.28131931, 147, 65);
INSERT INTO public.ecdc_data VALUES (11751, 11, 398, 14.27541006, 1, 65);
INSERT INTO public.ecdc_data VALUES (11752, 0, 15, 127.33502238, 148, 65);
INSERT INTO public.ecdc_data VALUES (11753, 4, 51, 1.72818486, 2, 65);
INSERT INTO public.ecdc_data VALUES (11754, 0, 0, 0, 56, 65);
INSERT INTO public.ecdc_data VALUES (11755, 0, 0, 2.0594141, 57, 65);
INSERT INTO public.ecdc_data VALUES (11756, 231, 5352, 213.60776719, 58, 65);
INSERT INTO public.ecdc_data VALUES (11757, 2, 33, 80.87288622, 149, 65);
INSERT INTO public.ecdc_data VALUES (11758, 0, 60, 938.7639921, 59, 65);
INSERT INTO public.ecdc_data VALUES (11759, 15, 104, 13.9625127, 202, 65);
INSERT INTO public.ecdc_data VALUES (11760, 1, 308, 38.66223039, 150, 65);
INSERT INTO public.ecdc_data VALUES (11761, 1, 152, 17.70551107, 151, 65);
INSERT INTO public.ecdc_data VALUES (11762, 11, 33, 219.00658817, 60, 65);
INSERT INTO public.ecdc_data VALUES (11763, 0, 292, 300.5793449, 106, 65);
INSERT INTO public.ecdc_data VALUES (11764, 42, 2485, 22.43290923, 107, 65);
INSERT INTO public.ecdc_data VALUES (11765, 0, 0, 6.27131813, 61, 65);
INSERT INTO public.ecdc_data VALUES (11766, 4, 177, 17.96367466, 152, 65);
INSERT INTO public.ecdc_data VALUES (11767, 5, 607, 62.88671862, 153, 65);
INSERT INTO public.ecdc_data VALUES (11768, 4, 27, 137.31231635, 62, 65);
INSERT INTO public.ecdc_data VALUES (11769, 0, 0, 1.5168012, 3, 65);
INSERT INTO public.ecdc_data VALUES (11770, 0, 1, 14.39815704, 63, 65);
INSERT INTO public.ecdc_data VALUES (11771, 0, 1, 5.63495454, 108, 65);
INSERT INTO public.ecdc_data VALUES (11772, 69, 999, 160.79940923, 64, 65);
INSERT INTO public.ecdc_data VALUES (11773, 0, 0, 0, 65, 65);
INSERT INTO public.ecdc_data VALUES (11774, 11, 127, 106.90706265, 154, 65);
INSERT INTO public.ecdc_data VALUES (11775, 0, 254, 21.5305532, 4, 65);
INSERT INTO public.ecdc_data VALUES (11776, 565, 17078, 267.89494839, 66, 65);
INSERT INTO public.ecdc_data VALUES (11777, 0, 5, 56.60440182, 67, 65);
INSERT INTO public.ecdc_data VALUES (11778, 0, 0, 0.23078911, 109, 65);
INSERT INTO public.ecdc_data VALUES (11779, 18, 99, 26.77127942, 155, 65);
INSERT INTO public.ecdc_data VALUES (11780, 0, 10, 0.62495746, 5, 65);
INSERT INTO public.ecdc_data VALUES (11781, 0, 1, 0.19079704, 6, 65);
INSERT INTO public.ecdc_data VALUES (11782, 0, 0, 0.04245887, 110, 65);
INSERT INTO public.ecdc_data VALUES (11783, 0, 0, 2.78245955, 7, 65);
INSERT INTO public.ecdc_data VALUES (11784, 10, 751, 14.78173367, 68, 65);
INSERT INTO public.ecdc_data VALUES (11785, 0, 23, 118.01373251, 8, 65);
INSERT INTO public.ecdc_data VALUES (11786, 0, 0, 3.07938659, 69, 65);
INSERT INTO public.ecdc_data VALUES (11787, 0, 0, 0.80081278, 9, 65);
INSERT INTO public.ecdc_data VALUES (11788, 0, 1, 0.26337437, 10, 65);
INSERT INTO public.ecdc_data VALUES (11789, 64, 1903, 129.40035199, 70, 65);
INSERT INTO public.ecdc_data VALUES (11790, 0, 23, 0.05663337, 111, 65);
INSERT INTO public.ecdc_data VALUES (11791, 296, 10549, 306.0681462, 71, 65);
INSERT INTO public.ecdc_data VALUES (11792, 0, 0, 2.11542959, 11, 65);
INSERT INTO public.ecdc_data VALUES (11793, 0, 0, 3.45692522, 12, 65);
INSERT INTO public.ecdc_data VALUES (11794, 7, 643, 209.82411109, 72, 65);
INSERT INTO public.ecdc_data VALUES (11795, 1, 35, 2.75309048, 13, 65);
INSERT INTO public.ecdc_data VALUES (11796, 2, 136, 65.30518521, 156, 65);
INSERT INTO public.ecdc_data VALUES (11797, 0, 35, 5.92050953, 73, 65);
INSERT INTO public.ecdc_data VALUES (11798, 0, 4, 9.17863459, 74, 65);
INSERT INTO public.ecdc_data VALUES (11799, 0, 30, 22.71951446, 157, 65);
INSERT INTO public.ecdc_data VALUES (11800, 3, 258, 34.62036846, 158, 65);
INSERT INTO public.ecdc_data VALUES (11801, 0, 12, 0.40672622, 14, 65);
INSERT INTO public.ecdc_data VALUES (11802, 2, 270, 27.24729469, 159, 65);
INSERT INTO public.ecdc_data VALUES (11803, 0, 1, 3.69778041, 15, 65);
INSERT INTO public.ecdc_data VALUES (11804, 0, 1, 2.78520499, 75, 65);
INSERT INTO public.ecdc_data VALUES (11805, 6, 447, 103.44580018, 76, 65);
INSERT INTO public.ecdc_data VALUES (11806, 12, 520, 78.21036181, 77, 65);
INSERT INTO public.ecdc_data VALUES (11807, 37, 241, 1.80499525, 16, 65);
INSERT INTO public.ecdc_data VALUES (11808, 9, 189, 61.03617389, 78, 65);
INSERT INTO public.ecdc_data VALUES (11809, 0, 0, 7.74346562, 17, 65);
INSERT INTO public.ecdc_data VALUES (11810, 0, 0, 0.60049464, 18, 65);
INSERT INTO public.ecdc_data VALUES (11811, 1, 3, 8.83138842, 160, 65);
INSERT INTO public.ecdc_data VALUES (11812, 0, 79, 86.66243371, 19, 65);
INSERT INTO public.ecdc_data VALUES (11813, 14, 1472, 16.55265053, 20, 65);
INSERT INTO public.ecdc_data VALUES (11814, 0, 0, 0, 79, 65);
INSERT INTO public.ecdc_data VALUES (11815, 0, 26, 199.27275715, 161, 65);
INSERT INTO public.ecdc_data VALUES (11816, 0, 0, 0.11236523, 203, 65);
INSERT INTO public.ecdc_data VALUES (11817, 1, 18, 6.1073749, 162, 65);
INSERT INTO public.ecdc_data VALUES (11818, 15, 1955, 62.79240366, 163, 65);
INSERT INTO public.ecdc_data VALUES (11819, 0, 74, 88.79818107, 204, 65);
INSERT INTO public.ecdc_data VALUES (11820, 0, 21, 18.54939155, 21, 65);
INSERT INTO public.ecdc_data VALUES (11821, 3, 148, 57.5031861, 22, 65);
INSERT INTO public.ecdc_data VALUES (11822, 1, 10, 3.92817986, 164, 65);
INSERT INTO public.ecdc_data VALUES (11823, 5, 1278, 21.15173026, 165, 65);
INSERT INTO public.ecdc_data VALUES (11824, 2, 117, 7.92297735, 23, 65);
INSERT INTO public.ecdc_data VALUES (11825, 0, 19, 151.3083724, 166, 65);
INSERT INTO public.ecdc_data VALUES (11826, 0, 155, 28.62577892, 167, 65);
INSERT INTO public.ecdc_data VALUES (11827, 0, 0, 0, 80, 65);
INSERT INTO public.ecdc_data VALUES (11828, 0, 0, 0, 81, 65);
INSERT INTO public.ecdc_data VALUES (11829, 0, 87, 282.73409247, 205, 65);
INSERT INTO public.ecdc_data VALUES (11830, 17, 345, 65.67139187, 82, 65);
INSERT INTO public.ecdc_data VALUES (11831, 0, 0, 0, 168, 65);
INSERT INTO public.ecdc_data VALUES (11832, 1, 46, 8.479987, 24, 65);
INSERT INTO public.ecdc_data VALUES (11833, 0, 0, 5.04967159, 25, 65);
INSERT INTO public.ecdc_data VALUES (11834, 0, 0, 49.43949411, 83, 65);
INSERT INTO public.ecdc_data VALUES (11835, 0, 28, 4.09301932, 84, 65);
INSERT INTO public.ecdc_data VALUES (11836, 0, 0, 0, 169, 65);
INSERT INTO public.ecdc_data VALUES (11837, 29, 968, 78.05161339, 85, 65);
INSERT INTO public.ecdc_data VALUES (11838, 0, 36, 4.70696291, 170, 65);
INSERT INTO public.ecdc_data VALUES (11839, 0, 9, 31.09322084, 171, 65);
INSERT INTO public.ecdc_data VALUES (11840, 848, 60975, 65.76670978, 112, 65);
INSERT INTO public.ecdc_data VALUES (11841, 79, 1877, 10.46796883, 113, 65);
INSERT INTO public.ecdc_data VALUES (11842, 0, 0, 36.25568516, 114, 65);
INSERT INTO public.ecdc_data VALUES (11843, 91, 3644, 138.35230711, 115, 65);
INSERT INTO public.ecdc_data VALUES (11844, 0, 147, 27.48641991, 172, 65);
INSERT INTO public.ecdc_data VALUES (11845, 0, 0, 0, 173, 65);
INSERT INTO public.ecdc_data VALUES (11846, 13, 1912, 232.89272579, 116, 65);
INSERT INTO public.ecdc_data VALUES (11847, 4, 953, 15.69428637, 174, 65);
INSERT INTO public.ecdc_data VALUES (11848, 0, 83, 19.70642514, 86, 65);
INSERT INTO public.ecdc_data VALUES (11849, 16, 1367, 11.73180271, 117, 65);
INSERT INTO public.ecdc_data VALUES (11850, 0, 1, 15.77052952, 175, 65);
INSERT INTO public.ecdc_data VALUES (11851, 2, 30, 3.67265025, 118, 65);
INSERT INTO public.ecdc_data VALUES (11852, 108, 0, 75.25566226, 119, 65);
INSERT INTO public.ecdc_data VALUES (11853, 6, 193, 10.70681997, 26, 65);
INSERT INTO public.ecdc_data VALUES (11854, 13, 99, 118.32042818, 176, 65);
INSERT INTO public.ecdc_data VALUES (11855, 3, 432, 203.46668245, 120, 65);
INSERT INTO public.ecdc_data VALUES (11856, 0, 119, 43.48604729, 121, 65);
INSERT INTO public.ecdc_data VALUES (11857, 0, 0, 0.02789612, 122, 65);
INSERT INTO public.ecdc_data VALUES (11858, 0, 0, 2.29170486, 177, 65);
INSERT INTO public.ecdc_data VALUES (11859, 5, 964, 92.52142995, 123, 65);
INSERT INTO public.ecdc_data VALUES (11860, 0, 0, 11.01038128, 27, 65);
INSERT INTO public.ecdc_data VALUES (11861, 0, 4, 1.01268407, 28, 65);
INSERT INTO public.ecdc_data VALUES (11862, 11, 572, 80.67927583, 29, 65);
INSERT INTO public.ecdc_data VALUES (11863, 0, 0, 31.26791391, 178, 65);
INSERT INTO public.ecdc_data VALUES (11864, 1, 38, 14.60175851, 179, 65);
INSERT INTO public.ecdc_data VALUES (11865, 0, 90, 94.15306226, 180, 65);
INSERT INTO public.ecdc_data VALUES (11866, 0, 75, 4.44950271, 30, 65);
INSERT INTO public.ecdc_data VALUES (11867, 3, 97, 4.00456305, 31, 65);
INSERT INTO public.ecdc_data VALUES (11868, 0, 7, 0.563384, 124, 65);
INSERT INTO public.ecdc_data VALUES (11869, 1, 133, 330.53524108, 125, 65);
INSERT INTO public.ecdc_data VALUES (11870, 0, 3, 0.68674251, 32, 65);
INSERT INTO public.ecdc_data VALUES (11871, 0, 38, 135.95132497, 181, 65);
INSERT INTO public.ecdc_data VALUES (11872, 0, 20, 8.99308792, 33, 65);
INSERT INTO public.ecdc_data VALUES (11873, 0, 0, 0.15752125, 34, 65);
INSERT INTO public.ecdc_data VALUES (11874, 320, 6851, 58.25411862, 87, 65);
INSERT INTO public.ecdc_data VALUES (11875, 5, 350, 148.07365743, 182, 65);
INSERT INTO public.ecdc_data VALUES (11876, 0, 4, 63.4728729, 183, 65);
INSERT INTO public.ecdc_data VALUES (11877, 0, 0, 0.15503078, 126, 65);
INSERT INTO public.ecdc_data VALUES (11878, 0, 35, 109.61422863, 184, 65);
INSERT INTO public.ecdc_data VALUES (11879, 0, 0, 0, 88, 65);
INSERT INTO public.ecdc_data VALUES (11880, 32, 903, 52.61330093, 35, 65);
INSERT INTO public.ecdc_data VALUES (11881, 1, 45, 3.38865357, 36, 65);
INSERT INTO public.ecdc_data VALUES (11882, 0, 11, 0.21093368, 127, 65);
INSERT INTO public.ecdc_data VALUES (11883, 4, 176, 117.41719061, 37, 65);
INSERT INTO public.ecdc_data VALUES (11884, 8, 743, 32.74526661, 128, 65);
INSERT INTO public.ecdc_data VALUES (11885, 2, 572, 45.84495587, 185, 65);
INSERT INTO public.ecdc_data VALUES (11886, 0, 0, 0, 207, 65);
INSERT INTO public.ecdc_data VALUES (11887, 0, 7, 2.48794601, 208, 65);
INSERT INTO public.ecdc_data VALUES (11888, 0, 0, 6.24856485, 89, 65);
INSERT INTO public.ecdc_data VALUES (11889, 0, 0, 0.06005821, 38, 65);
INSERT INTO public.ecdc_data VALUES (11890, 2, 321, 2.82688005, 39, 65);
INSERT INTO public.ecdc_data VALUES (11891, 1, 81, 78.47358762, 186, 65);
INSERT INTO public.ecdc_data VALUES (11892, 0, 0, 8.73927254, 209, 65);
INSERT INTO public.ecdc_data VALUES (11893, 0, 126, 12.85609507, 187, 65);
INSERT INTO public.ecdc_data VALUES (11894, 28, 740, 54.71365582, 129, 65);
INSERT INTO public.ecdc_data VALUES (11895, 20, 946, 3.93414796, 130, 65);
INSERT INTO public.ecdc_data VALUES (11896, 4, 564, 129.82236799, 131, 65);
INSERT INTO public.ecdc_data VALUES (11897, 14, 585, 284.73262309, 90, 65);
INSERT INTO public.ecdc_data VALUES (11898, 0, 0, 2.13078241, 210, 65);
INSERT INTO public.ecdc_data VALUES (11899, 14, 369, 90.39497979, 91, 65);
INSERT INTO public.ecdc_data VALUES (11900, 150, 6112, 360.82231006, 92, 65);
INSERT INTO public.ecdc_data VALUES (11901, 12, 4651, 53.28875332, 132, 65);
INSERT INTO public.ecdc_data VALUES (11902, 5, 548, 26.0712849, 188, 65);
INSERT INTO public.ecdc_data VALUES (11903, 5, 123, 28.17074919, 189, 65);
INSERT INTO public.ecdc_data VALUES (11904, 0, 722, 265.90268507, 93, 65);
INSERT INTO public.ecdc_data VALUES (11905, 1, 258, 141.38063629, 133, 65);
INSERT INTO public.ecdc_data VALUES (11906, 37, 805, 86.44588481, 190, 65);
INSERT INTO public.ecdc_data VALUES (11907, 65, 4744, 47.19128915, 191, 65);
INSERT INTO public.ecdc_data VALUES (11908, 2, 217, 9.13919115, 40, 65);
INSERT INTO public.ecdc_data VALUES (11909, 0, 0, 0, 94, 65);
INSERT INTO public.ecdc_data VALUES (11910, 0, 0, 0.54706092, 95, 65);
INSERT INTO public.ecdc_data VALUES (11911, 0, 0, 0.90421636, 96, 65);
INSERT INTO public.ecdc_data VALUES (11912, 0, 0, 0, 192, 65);
INSERT INTO public.ecdc_data VALUES (11913, 0, 0, 6.51017447, 41, 65);
INSERT INTO public.ecdc_data VALUES (11914, 42, 1175, 54.58944561, 134, 65);
INSERT INTO public.ecdc_data VALUES (11915, 3, 64, 10.43791246, 42, 65);
INSERT INTO public.ecdc_data VALUES (11916, 3, 57, 35.21084287, 193, 65);
INSERT INTO public.ecdc_data VALUES (11917, 0, 0, 6.13867261, 43, 65);
INSERT INTO public.ecdc_data VALUES (11918, 0, 5, 1.02390734, 44, 65);
INSERT INTO public.ecdc_data VALUES (11919, 0, 51, 19.15806836, 135, 65);
INSERT INTO public.ecdc_data VALUES (11920, 0, 12, 516.64346882, 97, 65);
INSERT INTO public.ecdc_data VALUES (11921, 0, 68, 15.13644542, 194, 65);
INSERT INTO public.ecdc_data VALUES (11922, 1, 14, 19.70293737, 195, 65);
INSERT INTO public.ecdc_data VALUES (11923, 0, 0, 0.27196954, 45, 65);
INSERT INTO public.ecdc_data VALUES (11924, 100, 1677, 81.71689917, 46, 65);
INSERT INTO public.ecdc_data VALUES (11925, 1, 280, 6.41284415, 136, 65);
INSERT INTO public.ecdc_data VALUES (11926, 0, 5, 0.30735536, 47, 65);
INSERT INTO public.ecdc_data VALUES (11927, 52, 7117, 183.0983875, 196, 65);
INSERT INTO public.ecdc_data VALUES (11928, 0, 6, 0.4126857, 137, 65);
INSERT INTO public.ecdc_data VALUES (11929, 0, 0, 2.05543907, 48, 65);
INSERT INTO public.ecdc_data VALUES (11930, 2, 25, 196.60693921, 98, 65);
INSERT INTO public.ecdc_data VALUES (11931, 1, 174, 36.54870366, 197, 65);
INSERT INTO public.ecdc_data VALUES (11932, 1, 157, 39.08934924, 198, 65);
INSERT INTO public.ecdc_data VALUES (11933, 7, 150, 6.47329499, 138, 65);
INSERT INTO public.ecdc_data VALUES (11934, 0, 0, 0.02944408, 139, 65);
INSERT INTO public.ecdc_data VALUES (11935, 1, 35, 5.56805836, 140, 65);
INSERT INTO public.ecdc_data VALUES (11936, 0, 5, 0.07324894, 141, 65);
INSERT INTO public.ecdc_data VALUES (11937, 0, 0, 0.07733234, 142, 65);
INSERT INTO public.ecdc_data VALUES (11938, 0, 18, 2.82095858, 49, 65);
INSERT INTO public.ecdc_data VALUES (11939, 1, 92, 58.63929593, 99, 65);
INSERT INTO public.ecdc_data VALUES (11940, 3, 155, 10.0558192, 50, 65);
INSERT INTO public.ecdc_data VALUES (11941, 18, 1443, 21.57824675, 199, 65);
INSERT INTO public.ecdc_data VALUES (11942, 0, 0, 437.24145154, 100, 65);
INSERT INTO public.ecdc_data VALUES (11943, 3, 99, 2.40571479, 51, 65);
INSERT INTO public.ecdc_data VALUES (11944, 22, 1796, 53.73276316, 200, 65);
INSERT INTO public.ecdc_data VALUES (11945, 1, 275, 46.85520513, 143, 65);
INSERT INTO public.ecdc_data VALUES (11946, 4, 972, 22.46608975, 201, 65);
INSERT INTO public.ecdc_data VALUES (11947, 0, 0, 0, 52, 65);
INSERT INTO public.ecdc_data VALUES (11948, 473, 38298, 196.47035178, 101, 65);
INSERT INTO public.ecdc_data VALUES (11949, 1, 14, 431.25292841, 102, 65);
INSERT INTO public.ecdc_data VALUES (11950, 0, 6, 4.88195068, 103, 65);
INSERT INTO public.ecdc_data VALUES (11951, 9, 560, 24.13761686, 144, 65);
INSERT INTO public.ecdc_data VALUES (11952, 8, 774, 50.9646765, 104, 65);
INSERT INTO public.ecdc_data VALUES (11953, 0, 6, 0.18245506, 145, 65);
INSERT INTO public.ecdc_data VALUES (11954, 0, 0, 0, 53, 65);
INSERT INTO public.ecdc_data VALUES (11955, 8, 5, 0.29147599, 146, 65);
INSERT INTO public.ecdc_data VALUES (11956, 0, 66, 16.44921565, 54, 65);
INSERT INTO public.ecdc_data VALUES (11957, 0, 140, 9.02668012, 55, 65);
INSERT INTO public.ecdc_data VALUES (11958, 35, 108, 4.38991291, 105, 66);
INSERT INTO public.ecdc_data VALUES (11959, 5, 104, 45.13652226, 147, 66);
INSERT INTO public.ecdc_data VALUES (11960, 12, 675, 18.38893938, 1, 66);
INSERT INTO public.ecdc_data VALUES (11961, 0, 0, 44.63289444, 148, 66);
INSERT INTO public.ecdc_data VALUES (11962, 0, 39, 1.23486664, 2, 66);
INSERT INTO public.ecdc_data VALUES (11963, 0, 0, 0, 56, 66);
INSERT INTO public.ecdc_data VALUES (11964, 0, 6, 8.23765639, 57, 66);
INSERT INTO public.ecdc_data VALUES (11965, 105, 6127, 128.03290705, 58, 66);
INSERT INTO public.ecdc_data VALUES (11966, 8, 383, 189.46975516, 149, 66);
INSERT INTO public.ecdc_data VALUES (11967, 0, 1, 12.22838867, 59, 66);
INSERT INTO public.ecdc_data VALUES (11968, 6, 289, 16.80738954, 202, 66);
INSERT INTO public.ecdc_data VALUES (11969, 0, 107, 17.40646986, 150, 66);
INSERT INTO public.ecdc_data VALUES (11970, 9, 332, 62.91975323, 151, 66);
INSERT INTO public.ecdc_data VALUES (11971, 0, 42, 53.40371669, 60, 66);
INSERT INTO public.ecdc_data VALUES (11972, 2, 462, 391.12483579, 106, 66);
INSERT INTO public.ecdc_data VALUES (11973, 35, 2548, 24.66479235, 107, 66);
INSERT INTO public.ecdc_data VALUES (11974, 0, 2, 3.48406563, 61, 66);
INSERT INTO public.ecdc_data VALUES (11975, 0, 158, 23.71882131, 152, 66);
INSERT INTO public.ecdc_data VALUES (11976, 5, 496, 27.90794551, 153, 66);
INSERT INTO public.ecdc_data VALUES (11977, 0, 1, 2.81797664, 62, 66);
INSERT INTO public.ecdc_data VALUES (11978, 0, 0, 3.46576364, 3, 66);
INSERT INTO public.ecdc_data VALUES (11979, 0, 0, 4.79938568, 63, 66);
INSERT INTO public.ecdc_data VALUES (11980, 0, 0, 1.31045454, 108, 66);
INSERT INTO public.ecdc_data VALUES (11981, 66, 1204, 181.45413808, 64, 66);
INSERT INTO public.ecdc_data VALUES (11982, 0, 0, 15.39468114, 65, 66);
INSERT INTO public.ecdc_data VALUES (11983, 2, 2, 92.69923823, 154, 66);
INSERT INTO public.ecdc_data VALUES (11984, 0, 0, 16.1479149, 4, 66);
INSERT INTO public.ecdc_data VALUES (11985, 1156, 55891, 257.06715778, 66, 66);
INSERT INTO public.ecdc_data VALUES (11986, 0, 0, 0, 67, 66);
INSERT INTO public.ecdc_data VALUES (11987, 0, 0, 0, 109, 66);
INSERT INTO public.ecdc_data VALUES (11988, 8, 270, 45.12832, 155, 66);
INSERT INTO public.ecdc_data VALUES (11989, 0, 6, 0.30017642, 5, 66);
INSERT INTO public.ecdc_data VALUES (11990, 0, 0, 1.03203855, 6, 66);
INSERT INTO public.ecdc_data VALUES (11991, 0, 0, 0.36999875, 110, 66);
INSERT INTO public.ecdc_data VALUES (11992, 0, 0, 6.92523265, 7, 66);
INSERT INTO public.ecdc_data VALUES (11993, 7, 534, 16.249215, 68, 66);
INSERT INTO public.ecdc_data VALUES (11994, 1, 30, 121.28684065, 8, 66);
INSERT INTO public.ecdc_data VALUES (11995, 0, 0, 3.07938659, 69, 66);
INSERT INTO public.ecdc_data VALUES (11996, 1, 3, 7.03872288, 9, 66);
INSERT INTO public.ecdc_data VALUES (11997, 0, 0, 0.25710355, 10, 66);
INSERT INTO public.ecdc_data VALUES (11998, 76, 2545, 169.00559755, 70, 66);
INSERT INTO public.ecdc_data VALUES (11999, 1, 157, 0.08132329, 111, 66);
INSERT INTO public.ecdc_data VALUES (12000, 287, 7168, 184.27895597, 71, 66);
INSERT INTO public.ecdc_data VALUES (12001, 0, 0, 3.17314439, 11, 66);
INSERT INTO public.ecdc_data VALUES (12002, 0, 0, 18.77147568, 12, 66);
INSERT INTO public.ecdc_data VALUES (12003, 7, 540, 135.19400756, 72, 66);
INSERT INTO public.ecdc_data VALUES (12004, 1, 252, 12.44723535, 13, 66);
INSERT INTO public.ecdc_data VALUES (12005, 0, 81, 29.02180094, 156, 66);
INSERT INTO public.ecdc_data VALUES (12006, 0, 3, 0.49411108, 73, 66);
INSERT INTO public.ecdc_data VALUES (12007, 0, 1, 2.44763589, 74, 66);
INSERT INTO public.ecdc_data VALUES (12008, 0, 2, 3.88172609, 157, 66);
INSERT INTO public.ecdc_data VALUES (12009, 3, 281, 18.9581025, 158, 66);
INSERT INTO public.ecdc_data VALUES (12010, 0, 47, 0.99319548, 14, 66);
INSERT INTO public.ecdc_data VALUES (12011, 1, 48, 8.4738742, 159, 66);
INSERT INTO public.ecdc_data VALUES (12012, 0, 8, 8.62815428, 15, 66);
INSERT INTO public.ecdc_data VALUES (12013, 0, 0, 0, 75, 66);
INSERT INTO public.ecdc_data VALUES (12014, 30, 1462, 159.81067808, 76, 66);
INSERT INTO public.ecdc_data VALUES (12015, 29, 901, 76.25337602, 77, 66);
INSERT INTO public.ecdc_data VALUES (12016, 38, 659, 10.79510678, 16, 66);
INSERT INTO public.ecdc_data VALUES (12017, 18, 415, 72.05336598, 78, 66);
INSERT INTO public.ecdc_data VALUES (12018, 0, 0, 0, 17, 66);
INSERT INTO public.ecdc_data VALUES (12019, 0, 0, 0.8292545, 18, 66);
INSERT INTO public.ecdc_data VALUES (12020, 0, 1, 1.13222928, 160, 66);
INSERT INTO public.ecdc_data VALUES (12021, 0, 52, 71.07190543, 19, 66);
INSERT INTO public.ecdc_data VALUES (12022, 9, 409, 4.29430288, 20, 66);
INSERT INTO public.ecdc_data VALUES (12023, 0, 0, 0, 79, 66);
INSERT INTO public.ecdc_data VALUES (12024, 0, 0, 6.16307496, 161, 66);
INSERT INTO public.ecdc_data VALUES (12025, 0, 0, 0.67419139, 203, 66);
INSERT INTO public.ecdc_data VALUES (12026, 1, 8, 1.63104968, 162, 66);
INSERT INTO public.ecdc_data VALUES (12027, 10, 1130, 14.5882397, 163, 66);
INSERT INTO public.ecdc_data VALUES (12028, 0, 0, 0, 204, 66);
INSERT INTO public.ecdc_data VALUES (12029, 2, 396, 47.96145409, 21, 66);
INSERT INTO public.ecdc_data VALUES (12030, 1, 46, 6.47443281, 22, 66);
INSERT INTO public.ecdc_data VALUES (12031, 0, 13, 3.40275453, 164, 66);
INSERT INTO public.ecdc_data VALUES (12032, 7, 781, 7.71869519, 165, 66);
INSERT INTO public.ecdc_data VALUES (12033, 8, 691, 23.74591926, 23, 66);
INSERT INTO public.ecdc_data VALUES (12034, 0, 0, 11.86732333, 166, 66);
INSERT INTO public.ecdc_data VALUES (12035, 0, 25, 3.75771626, 167, 66);
INSERT INTO public.ecdc_data VALUES (12036, 0, 0, 0, 80, 66);
INSERT INTO public.ecdc_data VALUES (12037, 0, 0, 0, 81, 66);
INSERT INTO public.ecdc_data VALUES (12038, 0, 0, 14.94366239, 205, 66);
INSERT INTO public.ecdc_data VALUES (12039, 37, 1091, 89.09377119, 82, 66);
INSERT INTO public.ecdc_data VALUES (12040, 0, 0, 0, 168, 66);
INSERT INTO public.ecdc_data VALUES (12041, 0, 61, 7.03142043, 24, 66);
INSERT INTO public.ecdc_data VALUES (12042, 0, 0, 8.53758908, 25, 66);
INSERT INTO public.ecdc_data VALUES (12043, 1, 1, 7.92053911, 83, 66);
INSERT INTO public.ecdc_data VALUES (12044, 2, 63, 5.70891849, 84, 66);
INSERT INTO public.ecdc_data VALUES (12045, 0, 0, 0, 169, 66);
INSERT INTO public.ecdc_data VALUES (12046, 50, 657, 107.79679903, 85, 66);
INSERT INTO public.ecdc_data VALUES (12047, 0, 26, 2.05673814, 170, 66);
INSERT INTO public.ecdc_data VALUES (12048, 0, 2, 2.80119107, 171, 66);
INSERT INTO public.ecdc_data VALUES (12049, 757, 48916, 37.7589502, 112, 66);
INSERT INTO public.ecdc_data VALUES (12050, 89, 1761, 8.52506297, 113, 66);
INSERT INTO public.ecdc_data VALUES (12051, 215, 2489, 40.76880095, 114, 66);
INSERT INTO public.ecdc_data VALUES (12052, 90, 2485, 82.04317759, 115, 66);
INSERT INTO public.ecdc_data VALUES (12053, 0, 19, 5.21997292, 172, 66);
INSERT INTO public.ecdc_data VALUES (12054, 0, 0, 0, 173, 66);
INSERT INTO public.ecdc_data VALUES (12055, 6, 1493, 272.42615155, 116, 66);
INSERT INTO public.ecdc_data VALUES (12056, 5, 252, 4.88903611, 174, 66);
INSERT INTO public.ecdc_data VALUES (12057, 0, 5, 2.30643186, 86, 66);
INSERT INTO public.ecdc_data VALUES (12058, 1, 830, 6.03577326, 117, 66);
INSERT INTO public.ecdc_data VALUES (12059, 0, 1, 6.49374745, 175, 66);
INSERT INTO public.ecdc_data VALUES (12060, 0, 15, -0.26728182, 118, 66);
INSERT INTO public.ecdc_data VALUES (12061, 0, 1740, 128.13568853, 119, 66);
INSERT INTO public.ecdc_data VALUES (12062, 11, 667, 12.97219972, 26, 66);
INSERT INTO public.ecdc_data VALUES (12063, 6, 213, 131.9428459, 176, 66);
INSERT INTO public.ecdc_data VALUES (12064, 4, 753, 214.99487649, 120, 66);
INSERT INTO public.ecdc_data VALUES (12065, 38, 317, 337.50783801, 121, 66);
INSERT INTO public.ecdc_data VALUES (12066, 0, 1, 0.01394806, 122, 66);
INSERT INTO public.ecdc_data VALUES (12067, 0, 2, 2.65629427, 177, 66);
INSERT INTO public.ecdc_data VALUES (12068, 3, 147, 19.32695801, 123, 66);
INSERT INTO public.ecdc_data VALUES (12069, 0, 0, 10.58690508, 27, 66);
INSERT INTO public.ecdc_data VALUES (12070, 0, 18, 3.4836332, 28, 66);
INSERT INTO public.ecdc_data VALUES (12071, 1, 111, 15.97945423, 29, 66);
INSERT INTO public.ecdc_data VALUES (12072, 0, 0, 5.21131898, 178, 66);
INSERT INTO public.ecdc_data VALUES (12073, 0, 26, 4.47357797, 179, 66);
INSERT INTO public.ecdc_data VALUES (12074, 0, 104, 208.34215679, 180, 66);
INSERT INTO public.ecdc_data VALUES (12075, 6, 360, 17.0490112, 30, 66);
INSERT INTO public.ecdc_data VALUES (12076, 8, 67, 7.42937703, 31, 66);
INSERT INTO public.ecdc_data VALUES (12077, 0, 21, 0.51643534, 124, 66);
INSERT INTO public.ecdc_data VALUES (12078, 0, 17, 94.73460186, 125, 66);
INSERT INTO public.ecdc_data VALUES (12079, 0, 9, 0.50361117, 32, 66);
INSERT INTO public.ecdc_data VALUES (12080, 0, 4, 2.22871025, 181, 66);
INSERT INTO public.ecdc_data VALUES (12081, 1, 40, 20.7923728, 33, 66);
INSERT INTO public.ecdc_data VALUES (12082, 0, 1, 0.15752125, 34, 66);
INSERT INTO public.ecdc_data VALUES (12083, 737, 7949, 77.29303635, 87, 66);
INSERT INTO public.ecdc_data VALUES (12084, 7, 378, 88.02307446, 182, 66);
INSERT INTO public.ecdc_data VALUES (12085, 0, 1, 18.13510654, 183, 66);
INSERT INTO public.ecdc_data VALUES (12086, 0, 0, 1.89137551, 126, 66);
INSERT INTO public.ecdc_data VALUES (12087, 1, 308, 239.80121572, 184, 66);
INSERT INTO public.ecdc_data VALUES (12088, 0, 0, 0, 88, 66);
INSERT INTO public.ecdc_data VALUES (12089, 7, 570, 9.61291537, 35, 66);
INSERT INTO public.ecdc_data VALUES (12090, 0, 3, 0.03700591, 127, 66);
INSERT INTO public.ecdc_data VALUES (12091, 0, 8, 1.57741988, 36, 66);
INSERT INTO public.ecdc_data VALUES (12092, 0, 96, 38.08341792, 37, 66);
INSERT INTO public.ecdc_data VALUES (12093, 1, 133, 6.02963118, 128, 66);
INSERT INTO public.ecdc_data VALUES (12094, 0, 191, 10.15497886, 185, 66);
INSERT INTO public.ecdc_data VALUES (12095, 0, 0, 0.35366056, 207, 66);
INSERT INTO public.ecdc_data VALUES (12096, 0, 0, 0.27179242, 208, 66);
INSERT INTO public.ecdc_data VALUES (12097, 0, 0, 9.05965516, 89, 66);
INSERT INTO public.ecdc_data VALUES (12098, 0, 0, 0.1072468, 38, 66);
INSERT INTO public.ecdc_data VALUES (12099, 12, 591, 4.0883025, 39, 66);
INSERT INTO public.ecdc_data VALUES (12100, 6, 128, 97.58647982, 186, 66);
INSERT INTO public.ecdc_data VALUES (12101, 0, 0, 12.23498156, 209, 66);
INSERT INTO public.ecdc_data VALUES (12102, 0, 23, 2.25216264, 187, 66);
INSERT INTO public.ecdc_data VALUES (12103, 4, 1145, 405.56849137, 129, 66);
INSERT INTO public.ecdc_data VALUES (12104, 24, 1487, 11.79136177, 130, 66);
INSERT INTO public.ecdc_data VALUES (12105, 1, 545, 124.50260187, 131, 66);
INSERT INTO public.ecdc_data VALUES (12106, 41, 1176, 347.02009212, 90, 66);
INSERT INTO public.ecdc_data VALUES (12107, 0, 1, 0.23928573, 210, 66);
INSERT INTO public.ecdc_data VALUES (12108, 2, 111, 21.12244503, 91, 66);
INSERT INTO public.ecdc_data VALUES (12109, 189, 4865, 173.22116185, 92, 66);
INSERT INTO public.ecdc_data VALUES (12110, 8, 2054, 21.76353605, 132, 66);
INSERT INTO public.ecdc_data VALUES (12111, 4, 458, 12.69855917, 188, 66);
INSERT INTO public.ecdc_data VALUES (12112, 7, 313, 39.04981571, 189, 66);
INSERT INTO public.ecdc_data VALUES (12113, 3, 494, 159.23480025, 93, 66);
INSERT INTO public.ecdc_data VALUES (12114, 0, 394, 212.14157413, 133, 66);
INSERT INTO public.ecdc_data VALUES (12115, 24, 1119, 56.72576592, 190, 66);
INSERT INTO public.ecdc_data VALUES (12116, 154, 5811, 59.58158186, 191, 66);
INSERT INTO public.ecdc_data VALUES (12117, 0, 19, 3.77763794, 40, 66);
INSERT INTO public.ecdc_data VALUES (12118, 0, 0, 0, 94, 66);
INSERT INTO public.ecdc_data VALUES (12119, 0, 0, 1.09412183, 95, 66);
INSERT INTO public.ecdc_data VALUES (12120, 0, 0, 20.7969763, 96, 66);
INSERT INTO public.ecdc_data VALUES (12121, 0, 0, 0, 192, 66);
INSERT INTO public.ecdc_data VALUES (12122, 0, 111, 61.84665749, 41, 66);
INSERT INTO public.ecdc_data VALUES (12123, 37, 2378, 105.88724132, 134, 66);
INSERT INTO public.ecdc_data VALUES (12124, 4, 156, 9.4499619, 42, 66);
INSERT INTO public.ecdc_data VALUES (12125, 10, 409, 73.58089677, 193, 66);
INSERT INTO public.ecdc_data VALUES (12126, 0, 0, 14.32356943, 43, 66);
INSERT INTO public.ecdc_data VALUES (12127, 0, 0, 1.779039, 44, 66);
INSERT INTO public.ecdc_data VALUES (12128, 0, 277, 64.81353704, 135, 66);
INSERT INTO public.ecdc_data VALUES (12129, 0, 10, 37.74564156, 97, 66);
INSERT INTO public.ecdc_data VALUES (12130, 0, 29, 4.55010723, 194, 66);
INSERT INTO public.ecdc_data VALUES (12131, 0, 19, 12.44648971, 195, 66);
INSERT INTO public.ecdc_data VALUES (12132, 0, 0, 0.86123687, 45, 66);
INSERT INTO public.ecdc_data VALUES (12133, 250, 13944, 292.5445181, 46, 66);
INSERT INTO public.ecdc_data VALUES (12134, 0, 113, 1.40360272, 136, 66);
INSERT INTO public.ecdc_data VALUES (12135, 0, 19, 1.16614238, 47, 66);
INSERT INTO public.ecdc_data VALUES (12136, 0, 0, 39.44218066, 196, 66);
INSERT INTO public.ecdc_data VALUES (12137, 0, 11, 1.45377916, 137, 66);
INSERT INTO public.ecdc_data VALUES (12138, 0, 0, 2.41280518, 48, 66);
INSERT INTO public.ecdc_data VALUES (12139, 0, 71, 99.59354138, 98, 66);
INSERT INTO public.ecdc_data VALUES (12140, 3, 262, 32.05220629, 197, 66);
INSERT INTO public.ecdc_data VALUES (12141, 6, 154, 17.11036784, 198, 66);
INSERT INTO public.ecdc_data VALUES (12142, 0, 0, 1.11305525, 138, 66);
INSERT INTO public.ecdc_data VALUES (12143, 0, 0, 0.02944408, 139, 66);
INSERT INTO public.ecdc_data VALUES (12144, 0, 44, 6.94129818, 140, 66);
INSERT INTO public.ecdc_data VALUES (12145, 0, 3, 0.09479275, 141, 66);
INSERT INTO public.ecdc_data VALUES (12146, 0, 0, 0, 142, 66);
INSERT INTO public.ecdc_data VALUES (12147, 1, 11, 1.59606867, 49, 66);
INSERT INTO public.ecdc_data VALUES (12148, 0, 1, 0.64517563, 99, 66);
INSERT INTO public.ecdc_data VALUES (12149, 0, 19, 1.58191033, 50, 66);
INSERT INTO public.ecdc_data VALUES (12150, 17, 937, 16.20289147, 199, 66);
INSERT INTO public.ecdc_data VALUES (12151, 0, 2, 68.0735194, 100, 66);
INSERT INTO public.ecdc_data VALUES (12152, 1, 14, 0.18748763, 51, 66);
INSERT INTO public.ecdc_data VALUES (12153, 20, 972, 24.5035402, 200, 66);
INSERT INTO public.ecdc_data VALUES (12154, 1, 261, 42.97619187, 143, 66);
INSERT INTO public.ecdc_data VALUES (12155, 32, 731, 13.17086328, 201, 66);
INSERT INTO public.ecdc_data VALUES (12156, 0, 0, 0, 52, 66);
INSERT INTO public.ecdc_data VALUES (12157, 1304, 78427, 281.97961924, 101, 66);
INSERT INTO public.ecdc_data VALUES (12158, 0, 16, 176.89975999, 102, 66);
INSERT INTO public.ecdc_data VALUES (12159, 0, 25, 5.22859806, 103, 66);
INSERT INTO public.ecdc_data VALUES (12160, 4, 667, 22.57917758, 144, 66);
INSERT INTO public.ecdc_data VALUES (12161, 5, 650, 19.14726028, 104, 66);
INSERT INTO public.ecdc_data VALUES (12162, 0, 3, 0.04665044, 145, 66);
INSERT INTO public.ecdc_data VALUES (12163, 0, 0, 42.40649111, 53, 66);
INSERT INTO public.ecdc_data VALUES (12164, 0, 0, 0.93958142, 146, 66);
INSERT INTO public.ecdc_data VALUES (12165, 2, 273, 10.97920759, 54, 66);
INSERT INTO public.ecdc_data VALUES (12166, 4, 172, 9.24517767, 55, 66);
INSERT INTO public.ecdc_data VALUES (12167, 21, 234, 19.90444343, 105, 67);
INSERT INTO public.ecdc_data VALUES (12168, 2, 67, 27.0050555, 147, 67);
INSERT INTO public.ecdc_data VALUES (12169, 8, 172, 4.09727031, 1, 67);
INSERT INTO public.ecdc_data VALUES (12170, 0, 0, 3.93819657, 148, 67);
INSERT INTO public.ecdc_data VALUES (12171, 0, 3, 0.23880373, 2, 67);
INSERT INTO public.ecdc_data VALUES (12172, 0, 0, 0, 56, 67);
INSERT INTO public.ecdc_data VALUES (12173, 0, 39, 40.15857489, 57, 67);
INSERT INTO public.ecdc_data VALUES (12174, 36, 4920, 53.26181439, 58, 67);
INSERT INTO public.ecdc_data VALUES (12175, 11, 771, 264.35831828, 149, 67);
INSERT INTO public.ecdc_data VALUES (12176, 0, 0, 0, 59, 67);
INSERT INTO public.ecdc_data VALUES (12177, 1, 29, 0.97209878, 202, 67);
INSERT INTO public.ecdc_data VALUES (12178, 0, 33, 5.05713262, 150, 67);
INSERT INTO public.ecdc_data VALUES (12179, 7, 590, 57.47573156, 151, 67);
INSERT INTO public.ecdc_data VALUES (12180, 0, 0, 0.25674864, 60, 67);
INSERT INTO public.ecdc_data VALUES (12181, 2, 508, 420.61609931, 106, 67);
INSERT INTO public.ecdc_data VALUES (12182, 37, 3462, 29.31378218, 107, 67);
INSERT INTO public.ecdc_data VALUES (12183, 0, 0, 0.34840656, 61, 67);
INSERT INTO public.ecdc_data VALUES (12184, 5, 458, 93.93372631, 152, 67);
INSERT INTO public.ecdc_data VALUES (12185, 3, 100, 11.30459475, 153, 67);
INSERT INTO public.ecdc_data VALUES (12186, 0, 0, 0.76853908, 62, 67);
INSERT INTO public.ecdc_data VALUES (12187, 0, 52, 5.05882858, 3, 67);
INSERT INTO public.ecdc_data VALUES (12188, 0, 0, 7.99897613, 63, 67);
INSERT INTO public.ecdc_data VALUES (12189, 0, 0, 1.04836364, 108, 67);
INSERT INTO public.ecdc_data VALUES (12190, 30, 1098, 106.01834328, 64, 67);
INSERT INTO public.ecdc_data VALUES (12191, 0, 0, 0, 65, 67);
INSERT INTO public.ecdc_data VALUES (12192, 1, 88, 27.23418796, 154, 67);
INSERT INTO public.ecdc_data VALUES (12193, 0, 0, 1.77974331, 4, 67);
INSERT INTO public.ecdc_data VALUES (12194, 1185, 42725, 197.2120107, 66, 67);
INSERT INTO public.ecdc_data VALUES (12195, 0, 0, 0, 67, 67);
INSERT INTO public.ecdc_data VALUES (12196, 0, 0, 0, 109, 67);
INSERT INTO public.ecdc_data VALUES (12197, 1, 128, 17.84275773, 155, 67);
INSERT INTO public.ecdc_data VALUES (12198, 0, 15, 0.21159977, 5, 67);
INSERT INTO public.ecdc_data VALUES (12199, 0, 0, 0.52902817, 6, 67);
INSERT INTO public.ecdc_data VALUES (12200, 0, 0, 0.02426221, 110, 67);
INSERT INTO public.ecdc_data VALUES (12201, 5, 229, 12.91138519, 7, 67);
INSERT INTO public.ecdc_data VALUES (12202, 30, 279, 13.70718449, 68, 67);
INSERT INTO public.ecdc_data VALUES (12203, 0, 17, 69.82630706, 8, 67);
INSERT INTO public.ecdc_data VALUES (12204, 0, 1, 24.63509269, 69, 67);
INSERT INTO public.ecdc_data VALUES (12205, 1, 48, 24.17190163, 9, 67);
INSERT INTO public.ecdc_data VALUES (12206, 0, 0, 0.08779146, 10, 67);
INSERT INTO public.ecdc_data VALUES (12207, 226, 3649, 558.88457361, 70, 67);
INSERT INTO public.ecdc_data VALUES (12208, 0, 20, 0.03236192, 111, 67);
INSERT INTO public.ecdc_data VALUES (12209, 87, 3541, 66.41114404, 71, 67);
INSERT INTO public.ecdc_data VALUES (12210, 0, 0, 9.98952862, 11, 67);
INSERT INTO public.ecdc_data VALUES (12211, 0, 0, 6.35628187, 12, 67);
INSERT INTO public.ecdc_data VALUES (12212, 0, 147, 20.88137221, 72, 67);
INSERT INTO public.ecdc_data VALUES (12213, 0, 0, 14.4770563, 13, 67);
INSERT INTO public.ecdc_data VALUES (12214, 0, 22, 3.41000028, 156, 67);
INSERT INTO public.ecdc_data VALUES (12215, 0, 1, 0.95292851, 73, 67);
INSERT INTO public.ecdc_data VALUES (12216, 0, 0, 1.83572692, 74, 67);
INSERT INTO public.ecdc_data VALUES (12217, 0, 1, 1.94086304, 157, 67);
INSERT INTO public.ecdc_data VALUES (12218, 4, 127, 8.94852485, 158, 67);
INSERT INTO public.ecdc_data VALUES (12219, 0, 0, 1.88730186, 14, 67);
INSERT INTO public.ecdc_data VALUES (12220, 0, 54, 10.31676961, 159, 67);
INSERT INTO public.ecdc_data VALUES (12221, 3, 13, 26.39804346, 15, 67);
INSERT INTO public.ecdc_data VALUES (12222, 0, 0, 0, 75, 67);
INSERT INTO public.ecdc_data VALUES (12223, 16, 695, 72.84692545, 76, 67);
INSERT INTO public.ecdc_data VALUES (12224, 35, 691, 45.43660555, 77, 67);
INSERT INTO public.ecdc_data VALUES (12225, 85, 1420, 21.19474827, 16, 67);
INSERT INTO public.ecdc_data VALUES (12226, 13, 177, 29.06927195, 78, 67);
INSERT INTO public.ecdc_data VALUES (12227, 0, 0, 51.25436768, 17, 67);
INSERT INTO public.ecdc_data VALUES (12228, 0, 0, 2.91668823, 18, 67);
INSERT INTO public.ecdc_data VALUES (12229, 0, 1, 1.88704881, 160, 67);
INSERT INTO public.ecdc_data VALUES (12230, 0, 16, 25.43259361, 19, 67);
INSERT INTO public.ecdc_data VALUES (12231, 3, 186, 2.25555738, 20, 67);
INSERT INTO public.ecdc_data VALUES (12232, 0, 0, 0, 79, 67);
INSERT INTO public.ecdc_data VALUES (12233, 0, 0, 0, 161, 67);
INSERT INTO public.ecdc_data VALUES (12234, 0, 0, 0, 203, 67);
INSERT INTO public.ecdc_data VALUES (12235, 0, 12, 2.30159232, 162, 67);
INSERT INTO public.ecdc_data VALUES (12236, 11, 81, 9.26985935, 163, 67);
INSERT INTO public.ecdc_data VALUES (12237, 0, 0, 0, 204, 67);
INSERT INTO public.ecdc_data VALUES (12238, 0, 83, 72.77068994, 21, 67);
INSERT INTO public.ecdc_data VALUES (12239, 0, 0, 0.59632934, 22, 67);
INSERT INTO public.ecdc_data VALUES (12240, 0, 3, 2.25182285, 164, 67);
INSERT INTO public.ecdc_data VALUES (12241, 13, 630, 8.025853, 165, 67);
INSERT INTO public.ecdc_data VALUES (12242, 0, 445, 15.30351019, 23, 67);
INSERT INTO public.ecdc_data VALUES (12243, 0, 0, 0, 166, 67);
INSERT INTO public.ecdc_data VALUES (12244, 0, 8, 2.25649463, 167, 67);
INSERT INTO public.ecdc_data VALUES (12245, 0, 0, 0, 80, 67);
INSERT INTO public.ecdc_data VALUES (12246, 0, 0, 0, 81, 67);
INSERT INTO public.ecdc_data VALUES (12247, 0, 5, 29.28957829, 205, 67);
INSERT INTO public.ecdc_data VALUES (12248, 19, 279, 37.52813473, 82, 67);
INSERT INTO public.ecdc_data VALUES (12249, 0, 0, 0, 168, 67);
INSERT INTO public.ecdc_data VALUES (12250, 0, 70, 7.17236204, 24, 67);
INSERT INTO public.ecdc_data VALUES (12251, 0, 0, 8.69376449, 25, 67);
INSERT INTO public.ecdc_data VALUES (12252, 0, 3, 6.77078343, 83, 67);
INSERT INTO public.ecdc_data VALUES (12253, 3, 105, 14.49869969, 84, 67);
INSERT INTO public.ecdc_data VALUES (12254, 0, 0, 0, 169, 67);
INSERT INTO public.ecdc_data VALUES (12255, 12, 628, 73.98845591, 85, 67);
INSERT INTO public.ecdc_data VALUES (12256, 3, 7, 0.89022994, 170, 67);
INSERT INTO public.ecdc_data VALUES (12257, 0, 2, 2.80119107, 171, 67);
INSERT INTO public.ecdc_data VALUES (12258, 418, 16922, 13.65073011, 112, 67);
INSERT INTO public.ecdc_data VALUES (12259, 38, 1113, 5.42927269, 113, 67);
INSERT INTO public.ecdc_data VALUES (12260, 133, 2531, 41.68541453, 114, 67);
INSERT INTO public.ecdc_data VALUES (12261, 79, 2200, 54.15444993, 115, 67);
INSERT INTO public.ecdc_data VALUES (12262, 6, 5, 3.36443567, 172, 67);
INSERT INTO public.ecdc_data VALUES (12263, 0, 0, 0, 173, 67);
INSERT INTO public.ecdc_data VALUES (12264, 0, 532, 43.30130868, 116, 67);
INSERT INTO public.ecdc_data VALUES (12265, -31, 577, 6.04212629, 174, 67);
INSERT INTO public.ecdc_data VALUES (12266, 0, 8, 2.47602244, 86, 67);
INSERT INTO public.ecdc_data VALUES (12267, 5, 83, 0.64480378, 117, 67);
INSERT INTO public.ecdc_data VALUES (12268, 0, 1, 5.56606924, 175, 67);
INSERT INTO public.ecdc_data VALUES (12269, 0, 24, 2.05905998, 118, 67);
INSERT INTO public.ecdc_data VALUES (12270, 2, 520, 30.87093888, 119, 67);
INSERT INTO public.ecdc_data VALUES (12271, 2, 254, 4.01719733, 26, 67);
INSERT INTO public.ecdc_data VALUES (12272, 2, 95, 59.21581579, 176, 67);
INSERT INTO public.ecdc_data VALUES (12273, 3, 846, 191.48686844, 120, 67);
INSERT INTO public.ecdc_data VALUES (12274, 1, 228, 28.4451743, 121, 67);
INSERT INTO public.ecdc_data VALUES (12275, 0, 0, 0, 122, 67);
INSERT INTO public.ecdc_data VALUES (12276, 0, 0, 0.98959983, 177, 67);
INSERT INTO public.ecdc_data VALUES (12277, 1, 22, 3.73411415, 123, 67);
INSERT INTO public.ecdc_data VALUES (12278, 0, 0, 0.61168785, 27, 67);
INSERT INTO public.ecdc_data VALUES (12279, 0, 10, 5.36722557, 28, 67);
INSERT INTO public.ecdc_data VALUES (12280, 1, 0, 3.8510042, 29, 67);
INSERT INTO public.ecdc_data VALUES (12281, 0, 0, 0, 178, 67);
INSERT INTO public.ecdc_data VALUES (12282, 1, 1, 2.54099229, 179, 67);
INSERT INTO public.ecdc_data VALUES (12283, 0, 7, 14.823406, 180, 67);
INSERT INTO public.ecdc_data VALUES (12284, 1, 63, 2.31744933, 30, 67);
INSERT INTO public.ecdc_data VALUES (12285, 0, 93, 2.60887084, 31, 67);
INSERT INTO public.ecdc_data VALUES (12286, 0, 6, 0.80751707, 124, 67);
INSERT INTO public.ecdc_data VALUES (12287, 0, 23, 56.31341144, 125, 67);
INSERT INTO public.ecdc_data VALUES (12288, 1, 23, 1.69905183, 32, 67);
INSERT INTO public.ecdc_data VALUES (12289, 0, 3, 5.67308062, 181, 67);
INSERT INTO public.ecdc_data VALUES (12290, 3, 308, 47.0645633, 33, 67);
INSERT INTO public.ecdc_data VALUES (12291, 0, 1, 0.31504249, 34, 67);
INSERT INTO public.ecdc_data VALUES (12292, 965, 6264, 57.44910531, 87, 67);
INSERT INTO public.ecdc_data VALUES (12293, 5, 364, 117.65264547, 182, 67);
INSERT INTO public.ecdc_data VALUES (12294, 0, 1, 6.04503551, 183, 67);
INSERT INTO public.ecdc_data VALUES (12295, 0, 1, 0.68213543, 126, 67);
INSERT INTO public.ecdc_data VALUES (12296, 0, 11, 10.4471039, 184, 67);
INSERT INTO public.ecdc_data VALUES (12297, 0, 0, 0, 88, 67);
INSERT INTO public.ecdc_data VALUES (12298, 2, 643, 6.7230087, 35, 67);
INSERT INTO public.ecdc_data VALUES (12299, 0, 5, 0.95501413, 36, 67);
INSERT INTO public.ecdc_data VALUES (12300, 0, 1, 0.081413, 127, 67);
INSERT INTO public.ecdc_data VALUES (12301, 0, 4, 1.80395138, 37, 67);
INSERT INTO public.ecdc_data VALUES (12302, 0, 1702, 22.24496976, 128, 67);
INSERT INTO public.ecdc_data VALUES (12303, 2, 82, 9.93509898, 185, 67);
INSERT INTO public.ecdc_data VALUES (12304, 0, 0, 0, 207, 67);
INSERT INTO public.ecdc_data VALUES (12305, 0, 3, 0.31360664, 208, 67);
INSERT INTO public.ecdc_data VALUES (12306, 0, 0, 10.78603126, 89, 67);
INSERT INTO public.ecdc_data VALUES (12307, 0, 5, 0.3517695, 38, 67);
INSERT INTO public.ecdc_data VALUES (12308, 9, 649, 4.05396792, 39, 67);
INSERT INTO public.ecdc_data VALUES (12309, 8, 136, 100.28250492, 186, 67);
INSERT INTO public.ecdc_data VALUES (12310, 0, 0, 0, 209, 67);
INSERT INTO public.ecdc_data VALUES (12311, 1, 26, 3.77237242, 187, 67);
INSERT INTO public.ecdc_data VALUES (12312, 2, 1142, 294.4527348, 129, 67);
INSERT INTO public.ecdc_data VALUES (12313, 148, 4044, 33.90847667, 130, 67);
INSERT INTO public.ecdc_data VALUES (12314, 0, 159, 17.44481797, 131, 67);
INSERT INTO public.ecdc_data VALUES (12315, 11, 716, 238.81180471, 90, 67);
INSERT INTO public.ecdc_data VALUES (12316, 0, 1, 0.02278912, 210, 67);
INSERT INTO public.ecdc_data VALUES (12317, 0, 106, 4.62763245, 91, 67);
INSERT INTO public.ecdc_data VALUES (12318, 182, 3879, 171.84006798, 92, 67);
INSERT INTO public.ecdc_data VALUES (12319, 18, 470, 7.92015126, 132, 67);
INSERT INTO public.ecdc_data VALUES (12320, 21, 294, 13.33585724, 188, 67);
INSERT INTO public.ecdc_data VALUES (12321, 3, 367, 43.82765262, 189, 67);
INSERT INTO public.ecdc_data VALUES (12322, 0, 135, 50.82832095, 93, 67);
INSERT INTO public.ecdc_data VALUES (12323, 5, 1199, 606.72913921, 133, 67);
INSERT INTO public.ecdc_data VALUES (12324, 16, 321, 19.99025675, 190, 67);
INSERT INTO public.ecdc_data VALUES (12325, 154, 7176, 77.61859589, 191, 67);
INSERT INTO public.ecdc_data VALUES (12326, 0, 32, 2.80353004, 40, 67);
INSERT INTO public.ecdc_data VALUES (12327, 0, 0, 0, 94, 67);
INSERT INTO public.ecdc_data VALUES (12328, 0, 0, 0, 95, 67);
INSERT INTO public.ecdc_data VALUES (12329, 0, 0, 1.80843272, 96, 67);
INSERT INTO public.ecdc_data VALUES (12330, 0, 0, 20.31753403, 192, 67);
INSERT INTO public.ecdc_data VALUES (12331, 1, 3, 36.27097206, 41, 67);
INSERT INTO public.ecdc_data VALUES (12332, 41, 3123, 160.43583312, 134, 67);
INSERT INTO public.ecdc_data VALUES (12333, 4, 95, 9.13700862, 42, 67);
INSERT INTO public.ecdc_data VALUES (12334, 0, 143, 17.28950033, 193, 67);
INSERT INTO public.ecdc_data VALUES (12335, 0, 0, 0, 43, 67);
INSERT INTO public.ecdc_data VALUES (12336, 1, 7, 3.73726179, 44, 67);
INSERT INTO public.ecdc_data VALUES (12337, 0, 191, 63.02177525, 135, 67);
INSERT INTO public.ecdc_data VALUES (12338, 0, 0, 0, 97, 67);
INSERT INTO public.ecdc_data VALUES (12339, 0, 18, 1.35769329, 194, 67);
INSERT INTO public.ecdc_data VALUES (12340, 0, 7, 2.54696507, 195, 67);
INSERT INTO public.ecdc_data VALUES (12341, 0, 25, 2.64198979, 45, 67);
INSERT INTO public.ecdc_data VALUES (12342, 103, 5688, 96.27163318, 46, 67);
INSERT INTO public.ecdc_data VALUES (12343, 1, 28, 1.20253029, 136, 67);
INSERT INTO public.ecdc_data VALUES (12344, 1, 14, 2.94699548, 47, 67);
INSERT INTO public.ecdc_data VALUES (12345, 3, 400, 10.18171995, 196, 67);
INSERT INTO public.ecdc_data VALUES (12346, 0, 10, 0.61902854, 137, 67);
INSERT INTO public.ecdc_data VALUES (12347, 0, 0, 5.75055794, 48, 67);
INSERT INTO public.ecdc_data VALUES (12348, 1, 38, 37.84210553, 98, 67);
INSERT INTO public.ecdc_data VALUES (12349, 22, 1698, 143.60444117, 197, 67);
INSERT INTO public.ecdc_data VALUES (12350, 2, 44, 4.27174026, 198, 67);
INSERT INTO public.ecdc_data VALUES (12351, 0, 0, 0.46279666, 138, 67);
INSERT INTO public.ecdc_data VALUES (12352, 0, 0, 0.01261889, 139, 67);
INSERT INTO public.ecdc_data VALUES (12353, 0, 63, 9.30155413, 140, 67);
INSERT INTO public.ecdc_data VALUES (12354, 0, 2, 0.04739637, 141, 67);
INSERT INTO public.ecdc_data VALUES (12355, 0, 0, 0, 142, 67);
INSERT INTO public.ecdc_data VALUES (12356, 1, 7, 0.75473015, 49, 67);
INSERT INTO public.ecdc_data VALUES (12357, 0, 0, 0.43011709, 99, 67);
INSERT INTO public.ecdc_data VALUES (12358, 0, 1, 0.62421327, 50, 67);
INSERT INTO public.ecdc_data VALUES (12359, 24, 1492, 22.70746158, 199, 67);
INSERT INTO public.ecdc_data VALUES (12360, 0, 1, 7.85463685, 100, 67);
INSERT INTO public.ecdc_data VALUES (12361, 0, 8, 0.3162442, 51, 67);
INSERT INTO public.ecdc_data VALUES (12362, 16, 940, 24.16940102, 200, 67);
INSERT INTO public.ecdc_data VALUES (12363, 2, 450, 57.58134209, 143, 67);
INSERT INTO public.ecdc_data VALUES (12364, 87, 886, 19.89433541, 201, 67);
INSERT INTO public.ecdc_data VALUES (12365, 0, 0, 0, 52, 67);
INSERT INTO public.ecdc_data VALUES (12366, 751, 34339, 115.75132453, 101, 67);
INSERT INTO public.ecdc_data VALUES (12367, 0, 4, 7.64971935, 102, 67);
INSERT INTO public.ecdc_data VALUES (12368, 1, 17, 1.58880052, 103, 67);
INSERT INTO public.ecdc_data VALUES (12369, 0, 235, 6.95840104, 144, 67);
INSERT INTO public.ecdc_data VALUES (12370, 3, 179, 6.07732639, 104, 67);
INSERT INTO public.ecdc_data VALUES (12371, 0, 3, 0.02073353, 145, 67);
INSERT INTO public.ecdc_data VALUES (12372, 0, 0, 0.3433724, 53, 67);
INSERT INTO public.ecdc_data VALUES (12373, 13, 23, 1.56025381, 146, 67);
INSERT INTO public.ecdc_data VALUES (12374, 0, 12, 1.32691086, 54, 67);
INSERT INTO public.ecdc_data VALUES (12375, 0, 5, 1.43389019, 55, 67);
INSERT INTO public.ecdc_data VALUES (12376, 2, 584, 16.24530644, 105, 68);
INSERT INTO public.ecdc_data VALUES (12377, 1, 9, 4.54160054, 147, 68);
INSERT INTO public.ecdc_data VALUES (12378, 8, 193, 5.99957439, 1, 68);
INSERT INTO public.ecdc_data VALUES (12379, 0, 1, 10.50185752, 148, 68);
INSERT INTO public.ecdc_data VALUES (12380, 1, 9, 0.0754117, 2, 68);
INSERT INTO public.ecdc_data VALUES (12381, 0, 0, 0, 56, 68);
INSERT INTO public.ecdc_data VALUES (12382, 0, 0, 0, 57, 68);
INSERT INTO public.ecdc_data VALUES (12383, 7, 723, 14.03953826, 58, 68);
INSERT INTO public.ecdc_data VALUES (12384, 6, 452, 125.80602408, 149, 68);
INSERT INTO public.ecdc_data VALUES (12385, 0, 0, 0, 59, 68);
INSERT INTO public.ecdc_data VALUES (12386, 0, 3, 0.66658202, 202, 68);
INSERT INTO public.ecdc_data VALUES (12387, 1, 32, 7.35993408, 150, 68);
INSERT INTO public.ecdc_data VALUES (12388, 0, 140, 15.95386973, 151, 68);
INSERT INTO public.ecdc_data VALUES (12389, 0, 0, 2.0539891, 60, 68);
INSERT INTO public.ecdc_data VALUES (12390, 1, 336, 255.733126, 106, 68);
INSERT INTO public.ecdc_data VALUES (12391, 28, 1532, 11.62431454, 107, 68);
INSERT INTO public.ecdc_data VALUES (12392, 0, 0, 2.7872525, 61, 68);
INSERT INTO public.ecdc_data VALUES (12393, 5, 954, 139.91142364, 152, 68);
INSERT INTO public.ecdc_data VALUES (12394, 33, 75, 31.6441359, 153, 68);
INSERT INTO public.ecdc_data VALUES (12395, 0, 0, 0, 62, 68);
INSERT INTO public.ecdc_data VALUES (12396, 0, 56, -1.08463996, 3, 68);
INSERT INTO public.ecdc_data VALUES (12397, 0, 0, 23.99692839, 63, 68);
INSERT INTO public.ecdc_data VALUES (12398, 0, 3, 2.35881818, 108, 68);
INSERT INTO public.ecdc_data VALUES (12399, 10, 348, 32.19809917, 64, 68);
INSERT INTO public.ecdc_data VALUES (12400, 0, 1, 3.84867028, 65, 68);
INSERT INTO public.ecdc_data VALUES (12401, 2, 9, 8.57316484, 154, 68);
INSERT INTO public.ecdc_data VALUES (12402, 0, 5, 0.52090048, 4, 68);
INSERT INTO public.ecdc_data VALUES (12403, 653, 15813, 95.00708694, 66, 68);
INSERT INTO public.ecdc_data VALUES (12404, 0, 0, 3.3296707, 67, 68);
INSERT INTO public.ecdc_data VALUES (12405, 0, 0, 0, 109, 68);
INSERT INTO public.ecdc_data VALUES (12406, 4, 25, 6.68567704, 155, 68);
INSERT INTO public.ecdc_data VALUES (12407, 0, 18, 0.39859492, 5, 68);
INSERT INTO public.ecdc_data VALUES (12408, 0, 0, 0.19946964, 6, 68);
INSERT INTO public.ecdc_data VALUES (12409, 0, 0, 0.01213111, 110, 68);
INSERT INTO public.ecdc_data VALUES (12410, 6, 293, 8.93092223, 7, 68);
INSERT INTO public.ecdc_data VALUES (12411, 69, 1078, 42.34044508, 68, 68);
INSERT INTO public.ecdc_data VALUES (12412, 0, 9, 24.36647173, 8, 68);
INSERT INTO public.ecdc_data VALUES (12413, 0, 0, 73.90527807, 69, 68);
INSERT INTO public.ecdc_data VALUES (12414, 0, 52, 8.95645876, 9, 68);
INSERT INTO public.ecdc_data VALUES (12415, 0, 27, 2.21359887, 10, 68);
INSERT INTO public.ecdc_data VALUES (12416, 45, 3709, 212.30437787, 70, 68);
INSERT INTO public.ecdc_data VALUES (12417, 0, 11, 0.00592837, 111, 68);
INSERT INTO public.ecdc_data VALUES (12418, 22, 998, 20.08762791, 71, 68);
INSERT INTO public.ecdc_data VALUES (12419, 0, 9, 8.93181383, 11, 68);
INSERT INTO public.ecdc_data VALUES (12420, 0, 0, 3.7171239, 12, 68);
INSERT INTO public.ecdc_data VALUES (12421, 0, 12, 2.73399371, 72, 68);
INSERT INTO public.ecdc_data VALUES (12422, 0, 10, 2.62865701, 13, 68);
INSERT INTO public.ecdc_data VALUES (12423, 0, 1, 1.39834544, 156, 68);
INSERT INTO public.ecdc_data VALUES (12424, 1, 10, 1.54409712, 73, 68);
INSERT INTO public.ecdc_data VALUES (12425, 0, 1, 0.61190897, 74, 68);
INSERT INTO public.ecdc_data VALUES (12426, 0, 8, 4.22423133, 157, 68);
INSERT INTO public.ecdc_data VALUES (12427, 1, 67, 7.83113298, 158, 68);
INSERT INTO public.ecdc_data VALUES (12428, 4, 156, 1.46674924, 14, 68);
INSERT INTO public.ecdc_data VALUES (12429, 1, 71, 16.03491236, 159, 68);
INSERT INTO public.ecdc_data VALUES (12430, 0, 0, 108.87908977, 15, 68);
INSERT INTO public.ecdc_data VALUES (12431, 0, 0, 0, 75, 68);
INSERT INTO public.ecdc_data VALUES (12432, 0, 0, 37.94595695, 76, 68);
INSERT INTO public.ecdc_data VALUES (12433, 12, 498, 41.42478466, 77, 68);
INSERT INTO public.ecdc_data VALUES (12434, 29, 652, 7.83459581, 16, 68);
INSERT INTO public.ecdc_data VALUES (12435, 0, 96, 14.82904758, 78, 68);
INSERT INTO public.ecdc_data VALUES (12436, 0, 0, 44.54336414, 17, 68);
INSERT INTO public.ecdc_data VALUES (12437, 0, 0, 0, 18, 68);
INSERT INTO public.ecdc_data VALUES (12438, 0, 2, 6.34048399, 160, 68);
INSERT INTO public.ecdc_data VALUES (12439, 0, 12, 6.79363802, 19, 68);
INSERT INTO public.ecdc_data VALUES (12440, 0, 88, 0.30603488, 20, 68);
INSERT INTO public.ecdc_data VALUES (12441, 0, 0, 0, 79, 68);
INSERT INTO public.ecdc_data VALUES (12442, 0, 0, 0, 161, 68);
INSERT INTO public.ecdc_data VALUES (12443, 0, 0, 0, 203, 68);
INSERT INTO public.ecdc_data VALUES (12444, 1, 11, 11.18175167, 162, 68);
INSERT INTO public.ecdc_data VALUES (12445, 35, 115, 8.74160272, 163, 68);
INSERT INTO public.ecdc_data VALUES (12446, 0, 0, 0, 204, 68);
INSERT INTO public.ecdc_data VALUES (12447, 0, 0, 58.59398374, 21, 68);
INSERT INTO public.ecdc_data VALUES (12448, 0, 0, 0.21297476, 22, 68);
INSERT INTO public.ecdc_data VALUES (12449, 0, 2, 2.37692412, 164, 68);
INSERT INTO public.ecdc_data VALUES (12450, 10, 289, 10.83484133, 165, 68);
INSERT INTO public.ecdc_data VALUES (12451, 1, 66, 7.95585278, 23, 68);
INSERT INTO public.ecdc_data VALUES (12452, 0, 0, 14.83415416, 166, 68);
INSERT INTO public.ecdc_data VALUES (12453, 0, 2, 1.51054599, 167, 68);
INSERT INTO public.ecdc_data VALUES (12454, 0, 0, 0, 80, 68);
INSERT INTO public.ecdc_data VALUES (12455, 0, 0, 0.8928412, 81, 68);
INSERT INTO public.ecdc_data VALUES (12456, 0, 0, 8.96619744, 205, 68);
INSERT INTO public.ecdc_data VALUES (12457, 3, 370, 13.4914725, 82, 68);
INSERT INTO public.ecdc_data VALUES (12458, 0, 0, 0, 168, 68);
INSERT INTO public.ecdc_data VALUES (12459, 0, 99, 8.84017112, 24, 68);
INSERT INTO public.ecdc_data VALUES (12460, 0, 59, 23.27013609, 25, 68);
INSERT INTO public.ecdc_data VALUES (12461, 0, 8, 3.96026955, 83, 68);
INSERT INTO public.ecdc_data VALUES (12462, 1, 93, 6.88976789, 84, 68);
INSERT INTO public.ecdc_data VALUES (12463, 0, 0, 0, 169, 68);
INSERT INTO public.ecdc_data VALUES (12464, 6, 207, 20.29526637, 85, 68);
INSERT INTO public.ecdc_data VALUES (12465, 5, 15, 4.82975324, 170, 68);
INSERT INTO public.ecdc_data VALUES (12466, 0, 0, 0.84035732, 171, 68);
INSERT INTO public.ecdc_data VALUES (12467, 154, 6977, 5.24678486, 112, 68);
INSERT INTO public.ecdc_data VALUES (12468, 21, 526, 3.0444278, 113, 68);
INSERT INTO public.ecdc_data VALUES (12469, 58, 2180, 33.88816878, 114, 68);
INSERT INTO public.ecdc_data VALUES (12470, 8, 197, 4.32971034, 115, 68);
INSERT INTO public.ecdc_data VALUES (12471, 2, 57, 33.50162309, 172, 68);
INSERT INTO public.ecdc_data VALUES (12472, 0, 0, 7.09312085, 173, 68);
INSERT INTO public.ecdc_data VALUES (12473, 1, 30, 2.85232258, 116, 68);
INSERT INTO public.ecdc_data VALUES (12474, 50, 531, 17.87289785, 174, 68);
INSERT INTO public.ecdc_data VALUES (12475, 0, 2, 1.69590578, 86, 68);
INSERT INTO public.ecdc_data VALUES (12476, 10, 31, 0.61721437, 117, 68);
INSERT INTO public.ecdc_data VALUES (12477, 0, 0, 11.13213848, 175, 68);
INSERT INTO public.ecdc_data VALUES (12478, 0, 4, 1.66308691, 118, 68);
INSERT INTO public.ecdc_data VALUES (12479, 0, 209, 18.35438221, 119, 68);
INSERT INTO public.ecdc_data VALUES (12480, 1, 22, 1.03092848, 26, 68);
INSERT INTO public.ecdc_data VALUES (12481, 0, 0, 8.22905234, 176, 68);
INSERT INTO public.ecdc_data VALUES (12482, 8, 838, 299.82812295, 120, 68);
INSERT INTO public.ecdc_data VALUES (12483, 2, 30, 6.4995275, 121, 68);
INSERT INTO public.ecdc_data VALUES (12484, 0, 0, 0, 122, 68);
INSERT INTO public.ecdc_data VALUES (12485, 0, 1, 5.62509375, 177, 68);
INSERT INTO public.ecdc_data VALUES (12486, 0, 17, 3.92373714, 123, 68);
INSERT INTO public.ecdc_data VALUES (12487, 0, 0, 0, 27, 68);
INSERT INTO public.ecdc_data VALUES (12488, 0, 10, 1.33674297, 28, 68);
INSERT INTO public.ecdc_data VALUES (12489, 0, 0, 0.16230286, 29, 68);
INSERT INTO public.ecdc_data VALUES (12490, 0, 0, 0, 178, 68);
INSERT INTO public.ecdc_data VALUES (12491, 0, 7, 5.15356183, 179, 68);
INSERT INTO public.ecdc_data VALUES (12492, 1, 2, 17.26682457, 180, 68);
INSERT INTO public.ecdc_data VALUES (12493, 0, 79, 1.32001914, 30, 68);
INSERT INTO public.ecdc_data VALUES (12494, 0, 0, 0.14493727, 31, 68);
INSERT INTO public.ecdc_data VALUES (12495, 0, 60, 1.84351765, 124, 68);
INSERT INTO public.ecdc_data VALUES (12496, 0, 68, 100.94979443, 125, 68);
INSERT INTO public.ecdc_data VALUES (12497, 2, 15, 1.65835598, 32, 68);
INSERT INTO public.ecdc_data VALUES (12498, 0, 1, 21.88188241, 181, 68);
INSERT INTO public.ecdc_data VALUES (12499, 0, 10, 5.05999296, 33, 68);
INSERT INTO public.ecdc_data VALUES (12500, 0, 2, 0.15752125, 34, 68);
INSERT INTO public.ecdc_data VALUES (12501, 215, 1861, 33.47820725, 87, 68);
INSERT INTO public.ecdc_data VALUES (12502, 8, 99, 53.5706601, 182, 68);
INSERT INTO public.ecdc_data VALUES (12503, 0, 0, 3.02251776, 183, 68);
INSERT INTO public.ecdc_data VALUES (12504, 0, 0, 3.06960944, 126, 68);
INSERT INTO public.ecdc_data VALUES (12505, 0, 0, 0, 184, 68);
INSERT INTO public.ecdc_data VALUES (12506, 0, 0, 0, 88, 68);
INSERT INTO public.ecdc_data VALUES (12507, 1, 27, 3.75633031, 35, 68);
INSERT INTO public.ecdc_data VALUES (12508, 0, 26, 0.33919467, 36, 68);
INSERT INTO public.ecdc_data VALUES (12509, 0, 0, 0.03885621, 127, 68);
INSERT INTO public.ecdc_data VALUES (12510, 0, 1, 0.20043904, 37, 68);
INSERT INTO public.ecdc_data VALUES (12511, 0, 19, 1.68829673, 128, 68);
INSERT INTO public.ecdc_data VALUES (12512, 11, 172, 15.09648995, 185, 68);
INSERT INTO public.ecdc_data VALUES (12513, 0, 0, 0, 207, 68);
INSERT INTO public.ecdc_data VALUES (12514, 0, 0, 0.14634977, 208, 68);
INSERT INTO public.ecdc_data VALUES (12515, 0, 0, 4.01802581, 89, 68);
INSERT INTO public.ecdc_data VALUES (12516, 0, 2, 0.53194412, 38, 68);
INSERT INTO public.ecdc_data VALUES (12517, 5, 313, 1.71175275, 39, 68);
INSERT INTO public.ecdc_data VALUES (12518, 0, 37, 16.17615058, 186, 68);
INSERT INTO public.ecdc_data VALUES (12519, 0, 0, 10.48712705, 209, 68);
INSERT INTO public.ecdc_data VALUES (12520, 0, 0, 3.94128462, 187, 68);
INSERT INTO public.ecdc_data VALUES (12521, 1, 513, 87.85943776, 129, 68);
INSERT INTO public.ecdc_data VALUES (12522, 34, 1748, 11.7322572, 130, 68);
INSERT INTO public.ecdc_data VALUES (12523, 0, 0, 1.1041024, 131, 68);
INSERT INTO public.ecdc_data VALUES (12524, 7, 349, 58.35476305, 90, 68);
INSERT INTO public.ecdc_data VALUES (12525, 0, 0, 0, 210, 68);
INSERT INTO public.ecdc_data VALUES (12526, 0, 12, 2.11508354, 91, 68);
INSERT INTO public.ecdc_data VALUES (12527, 83, 4205, 161.9540196, 92, 68);
INSERT INTO public.ecdc_data VALUES (12528, 5, 258, 2.99768892, 132, 68);
INSERT INTO public.ecdc_data VALUES (12529, 3, 395, 14.03635843, 188, 68);
INSERT INTO public.ecdc_data VALUES (12530, 14, 152, 29.60118101, 189, 68);
INSERT INTO public.ecdc_data VALUES (12531, 0, 89, 33.78327704, 93, 68);
INSERT INTO public.ecdc_data VALUES (12532, 2, 1501, 748.35694444, 133, 68);
INSERT INTO public.ecdc_data VALUES (12533, 9, 213, 13.94836776, 190, 68);
INSERT INTO public.ecdc_data VALUES (12534, 153, 8599, 92.40482049, 191, 68);
INSERT INTO public.ecdc_data VALUES (12535, 0, 2, 0.34054178, 40, 68);
INSERT INTO public.ecdc_data VALUES (12536, 0, 0, 0, 94, 68);
INSERT INTO public.ecdc_data VALUES (12537, 0, 0, 0, 95, 68);
INSERT INTO public.ecdc_data VALUES (12538, 0, 0, 0.90421636, 96, 68);
INSERT INTO public.ecdc_data VALUES (12539, 0, 0, 107.39267988, 192, 68);
INSERT INTO public.ecdc_data VALUES (12540, 1, 8, 42.31613407, 41, 68);
INSERT INTO public.ecdc_data VALUES (12541, 11, 2399, 97.79235053, 134, 68);
INSERT INTO public.ecdc_data VALUES (12542, 0, 71, 8.21042144, 42, 68);
INSERT INTO public.ecdc_data VALUES (12543, 0, 67, 15.00625237, 193, 68);
INSERT INTO public.ecdc_data VALUES (12544, 0, 0, 0, 43, 68);
INSERT INTO public.ecdc_data VALUES (12545, 1, 86, 5.1195367, 44, 68);
INSERT INTO public.ecdc_data VALUES (12546, 0, 548, 142.651804, 135, 68);
INSERT INTO public.ecdc_data VALUES (12547, 0, 0, 2.3591026, 97, 68);
INSERT INTO public.ecdc_data VALUES (12548, 0, 5, 0.95405474, 194, 68);
INSERT INTO public.ecdc_data VALUES (12549, 0, 1, 0.4325035, 195, 68);
INSERT INTO public.ecdc_data VALUES (12550, 0, 0, 3.49675119, 45, 68);
INSERT INTO public.ecdc_data VALUES (12551, 22, 1240, 21.46238378, 46, 68);
INSERT INTO public.ecdc_data VALUES (12552, 1, 16, 0.57979139, 136, 68);
INSERT INTO public.ecdc_data VALUES (12553, 0, 0, 3.67922442, 47, 68);
INSERT INTO public.ecdc_data VALUES (12554, -1918, -372, 16.25581151, 196, 68);
INSERT INTO public.ecdc_data VALUES (12555, 0, 52, 1.30371163, 137, 68);
INSERT INTO public.ecdc_data VALUES (12556, 0, 6, 5.30443423, 48, 68);
INSERT INTO public.ecdc_data VALUES (12557, 0, 0, 0.17200957, 98, 68);
INSERT INTO public.ecdc_data VALUES (12558, 44, 210, 74.26063165, 197, 68);
INSERT INTO public.ecdc_data VALUES (12559, 0, 11, 5.04416453, 198, 68);
INSERT INTO public.ecdc_data VALUES (12560, 0, 16, 0.22846924, 138, 68);
INSERT INTO public.ecdc_data VALUES (12561, 0, 0, 0.0042063, 139, 68);
INSERT INTO public.ecdc_data VALUES (12562, 0, 187, 22.80865523, 140, 68);
INSERT INTO public.ecdc_data VALUES (12563, 1, 2, 0.03877885, 141, 68);
INSERT INTO public.ecdc_data VALUES (12564, 0, 0, 0, 142, 68);
INSERT INTO public.ecdc_data VALUES (12565, 0, 8, 2.56113345, 49, 68);
INSERT INTO public.ecdc_data VALUES (12566, 0, 0, 0, 99, 68);
INSERT INTO public.ecdc_data VALUES (12567, 0, 3, 0.16246647, 50, 68);
INSERT INTO public.ecdc_data VALUES (12568, 32, 1141, 22.15748762, 199, 68);
INSERT INTO public.ecdc_data VALUES (12569, 0, 0, 0, 100, 68);
INSERT INTO public.ecdc_data VALUES (12570, 0, 14, 0.20555873, 51, 68);
INSERT INTO public.ecdc_data VALUES (12571, 12, 406, 13.07916237, 200, 68);
INSERT INTO public.ecdc_data VALUES (12572, 1, 781, 115.5209044, 143, 68);
INSERT INTO public.ecdc_data VALUES (12573, 379, 1527, 54.34143943, 201, 68);
INSERT INTO public.ecdc_data VALUES (12574, 0, 0, 0, 52, 68);
INSERT INTO public.ecdc_data VALUES (12575, 633, 20568, 95.25141813, 101, 68);
INSERT INTO public.ecdc_data VALUES (12576, 0, 0, 0, 102, 68);
INSERT INTO public.ecdc_data VALUES (12577, 0, 5, 1.79101149, 103, 68);
INSERT INTO public.ecdc_data VALUES (12578, 0, 32, 2.26185934, 144, 68);
INSERT INTO public.ecdc_data VALUES (12579, 0, 177, 2.47932473, 104, 68);
INSERT INTO public.ecdc_data VALUES (12580, 0, 1, 0.03835703, 145, 68);
INSERT INTO public.ecdc_data VALUES (12581, 0, 0, 0, 53, 68);
INSERT INTO public.ecdc_data VALUES (12582, 3, 10, 0.5863811, 146, 68);
INSERT INTO public.ecdc_data VALUES (12583, 0, 0, 3.65600334, 54, 68);
INSERT INTO public.ecdc_data VALUES (12584, 0, 0, 0.13656097, 55, 68);
INSERT INTO public.ecdc_data VALUES (12585, 1, 70, 2.181813, 105, 69);
INSERT INTO public.ecdc_data VALUES (12586, 0, 15, 9.15307185, 147, 69);
INSERT INTO public.ecdc_data VALUES (12587, 8, 120, 3.1728295, 1, 69);
INSERT INTO public.ecdc_data VALUES (12588, 3, 7, 170.65518464, 148, 69);
INSERT INTO public.ecdc_data VALUES (12589, 0, 0, 0.01885293, 2, 69);
INSERT INTO public.ecdc_data VALUES (12590, 0, 0, 0, 56, 69);
INSERT INTO public.ecdc_data VALUES (12591, 0, 0, 3.08912115, 57, 69);
INSERT INTO public.ecdc_data VALUES (12592, 2, 0, 3.23353768, 58, 69);
INSERT INTO public.ecdc_data VALUES (12593, 1, 81, 24.00491188, 149, 69);
INSERT INTO public.ecdc_data VALUES (12594, 0, 0, 13.16903396, 59, 69);
INSERT INTO public.ecdc_data VALUES (12595, 4, 20, 1.78151981, 202, 69);
INSERT INTO public.ecdc_data VALUES (12596, 5, 83, 17.02266961, 150, 69);
INSERT INTO public.ecdc_data VALUES (12597, 1, 44, 5.98145708, 151, 69);
INSERT INTO public.ecdc_data VALUES (12598, 0, 1, 7.95920778, 60, 69);
INSERT INTO public.ecdc_data VALUES (12599, 0, 301, 92.61719121, 106, 69);
INSERT INTO public.ecdc_data VALUES (12600, 4, 503, 2.61582343, 107, 69);
INSERT INTO public.ecdc_data VALUES (12601, 0, 0, 3.13565906, 61, 69);
INSERT INTO public.ecdc_data VALUES (12602, 3, 751, 71.85469863, 152, 69);
INSERT INTO public.ecdc_data VALUES (12603, 155, 811, 141.08483431, 153, 69);
INSERT INTO public.ecdc_data VALUES (12604, 0, 0, 2.04943756, 62, 69);
INSERT INTO public.ecdc_data VALUES (12605, 0, 0, 0.19489624, 3, 69);
INSERT INTO public.ecdc_data VALUES (12606, 0, 0, 81.58955654, 63, 69);
INSERT INTO public.ecdc_data VALUES (12607, 0, 0, 0.26209091, 108, 69);
INSERT INTO public.ecdc_data VALUES (12608, 1, 104, 4.61213668, 64, 69);
INSERT INTO public.ecdc_data VALUES (12609, 0, 0, 15.39468114, 65, 69);
INSERT INTO public.ecdc_data VALUES (12610, 1, 7, 15.72251786, 154, 69);
INSERT INTO public.ecdc_data VALUES (12611, 0, 0, 0.39067536, 4, 69);
INSERT INTO public.ecdc_data VALUES (12612, 357, 3503, 15.80529544, 66, 69);
INSERT INTO public.ecdc_data VALUES (12613, 0, 1, 9.98901209, 67, 69);
INSERT INTO public.ecdc_data VALUES (12614, 0, 0, 0.46157823, 109, 69);
INSERT INTO public.ecdc_data VALUES (12615, 2, 91, 7.89995599, 155, 69);
INSERT INTO public.ecdc_data VALUES (12616, 0, 10, 0.87592464, 5, 69);
INSERT INTO public.ecdc_data VALUES (12617, 0, 1, 0.07805334, 6, 69);
INSERT INTO public.ecdc_data VALUES (12618, 0, 0, 0.01213111, 110, 69);
INSERT INTO public.ecdc_data VALUES (12619, 0, 2, 2.31871629, 7, 69);
INSERT INTO public.ecdc_data VALUES (12620, 156, 1778, 58.12188371, 68, 69);
INSERT INTO public.ecdc_data VALUES (12621, 0, 6, 14.72898665, 8, 69);
INSERT INTO public.ecdc_data VALUES (12622, 0, 0, 32.33355916, 69, 69);
INSERT INTO public.ecdc_data VALUES (12623, 0, 2, 0.16859216, 9, 69);
INSERT INTO public.ecdc_data VALUES (12624, 0, 0, 0.18185373, 10, 69);
INSERT INTO public.ecdc_data VALUES (12625, 6, 494, 30.6299561, 70, 69);
INSERT INTO public.ecdc_data VALUES (12626, 0, 15, 0.06242225, 111, 69);
INSERT INTO public.ecdc_data VALUES (12627, 10, 320, 4.78352532, 71, 69);
INSERT INTO public.ecdc_data VALUES (12628, 0, 14, 2.60198673, 12, 69);
INSERT INTO public.ecdc_data VALUES (12629, 0, 0, 2.55568977, 72, 69);
INSERT INTO public.ecdc_data VALUES (12630, 0, 73, 2.32146189, 13, 69);
INSERT INTO public.ecdc_data VALUES (12631, 1, 28, 12.60964132, 156, 69);
INSERT INTO public.ecdc_data VALUES (12632, 6, 50, 6.36168013, 73, 69);
INSERT INTO public.ecdc_data VALUES (12633, 0, 2, 1.22381794, 74, 69);
INSERT INTO public.ecdc_data VALUES (12634, 0, 9, 23.86119861, 157, 69);
INSERT INTO public.ecdc_data VALUES (12635, 2, 85, 14.4697553, 158, 69);
INSERT INTO public.ecdc_data VALUES (12636, 3, 22, 0.22237439, 14, 69);
INSERT INTO public.ecdc_data VALUES (12637, 9, 137, 41.18096182, 159, 69);
INSERT INTO public.ecdc_data VALUES (12638, 0, 13, 87.20598794, 15, 69);
INSERT INTO public.ecdc_data VALUES (12639, 0, 0, 0, 75, 69);
INSERT INTO public.ecdc_data VALUES (12640, 2, 206, 29.1369078, 76, 69);
INSERT INTO public.ecdc_data VALUES (12641, 16, 0, 23.14999082, 77, 69);
INSERT INTO public.ecdc_data VALUES (12642, 18, 433, 2.28911649, 16, 69);
INSERT INTO public.ecdc_data VALUES (12643, 0, 11, 2.2158347, 78, 69);
INSERT INTO public.ecdc_data VALUES (12644, 0, 128, 14.30697458, 17, 69);
INSERT INTO public.ecdc_data VALUES (12645, 0, 0, 0.14297491, 18, 69);
INSERT INTO public.ecdc_data VALUES (12646, 1, 13, 26.19223744, 160, 69);
INSERT INTO public.ecdc_data VALUES (12647, 0, 8, 2.43874185, 19, 69);
INSERT INTO public.ecdc_data VALUES (12648, 0, 1, 0.04639596, 20, 69);
INSERT INTO public.ecdc_data VALUES (12649, 0, 0, 207.59193357, 79, 69);
INSERT INTO public.ecdc_data VALUES (12650, 0, 0, 6.16307496, 161, 69);
INSERT INTO public.ecdc_data VALUES (12651, 0, 0, 0.22473046, 203, 69);
INSERT INTO public.ecdc_data VALUES (12652, 5, 111, 29.46763082, 162, 69);
INSERT INTO public.ecdc_data VALUES (12653, 389, 1773, 47.60427931, 163, 69);
INSERT INTO public.ecdc_data VALUES (12654, 0, 0, 2.14834309, 204, 69);
INSERT INTO public.ecdc_data VALUES (12655, 1, 5, 5.79956163, 21, 69);
INSERT INTO public.ecdc_data VALUES (12656, 0, 0, 0.25556972, 22, 69);
INSERT INTO public.ecdc_data VALUES (12657, 0, 19, 5.25425332, 164, 69);
INSERT INTO public.ecdc_data VALUES (12658, 179, 2055, 41.89391677, 165, 69);
INSERT INTO public.ecdc_data VALUES (12659, 1, 125, 2.96207576, 23, 69);
INSERT INTO public.ecdc_data VALUES (12660, 0, 0, 17.80098499, 166, 69);
INSERT INTO public.ecdc_data VALUES (12661, 5, 27, 4.46636746, 167, 69);
INSERT INTO public.ecdc_data VALUES (12662, 0, 0, 0, 80, 69);
INSERT INTO public.ecdc_data VALUES (12663, 0, 0, 0.8928412, 81, 69);
INSERT INTO public.ecdc_data VALUES (12664, 0, 1, 6.57521145, 205, 69);
INSERT INTO public.ecdc_data VALUES (12665, 0, 46, 1.66652675, 82, 69);
INSERT INTO public.ecdc_data VALUES (12666, 1, 0, 69.80207235, 168, 69);
INSERT INTO public.ecdc_data VALUES (12667, 0, 92, 5.80992646, 24, 69);
INSERT INTO public.ecdc_data VALUES (12668, 0, 0, 0.88499399, 25, 69);
INSERT INTO public.ecdc_data VALUES (12669, 1, 3, 4.21577082, 83, 69);
INSERT INTO public.ecdc_data VALUES (12670, 0, 0, 0.36402124, 84, 69);
INSERT INTO public.ecdc_data VALUES (12671, 0, 0, 122.6993865, 169, 69);
INSERT INTO public.ecdc_data VALUES (12672, 0, 72, 2.04183924, 85, 69);
INSERT INTO public.ecdc_data VALUES (12673, 12, 60, 11.59345429, 170, 69);
INSERT INTO public.ecdc_data VALUES (12674, 0, 0, 31.93357816, 171, 69);
INSERT INTO public.ecdc_data VALUES (12675, 57, 1429, 1.24844689, 112, 69);
INSERT INTO public.ecdc_data VALUES (12676, 42, 436, 1.7363474, 113, 69);
INSERT INTO public.ecdc_data VALUES (12677, 93, 1168, 24.12382205, 114, 69);
INSERT INTO public.ecdc_data VALUES (12678, 3, 31, 1.09133122, 115, 69);
INSERT INTO public.ecdc_data VALUES (12679, 35, 577, 205.84229157, 172, 69);
INSERT INTO public.ecdc_data VALUES (12680, 2, 1, 126.49398858, 173, 69);
INSERT INTO public.ecdc_data VALUES (12681, 1, 176, 54.58148152, 116, 69);
INSERT INTO public.ecdc_data VALUES (12682, 420, 3021, 75.24410472, 174, 69);
INSERT INTO public.ecdc_data VALUES (12683, 1, 36, 7.56373977, 86, 69);
INSERT INTO public.ecdc_data VALUES (12684, 17, 652, 5.42880638, 117, 69);
INSERT INTO public.ecdc_data VALUES (12685, 0, 2, 74.21425656, 175, 69);
INSERT INTO public.ecdc_data VALUES (12686, 0, 4, 0.68305355, 118, 69);
INSERT INTO public.ecdc_data VALUES (12687, 3, 148, 8.85107066, 119, 69);
INSERT INTO public.ecdc_data VALUES (12688, 0, 16, 0.27960606, 26, 69);
INSERT INTO public.ecdc_data VALUES (12689, 0, 34, 25.18757235, 176, 69);
INSERT INTO public.ecdc_data VALUES (12690, 1, 215, 38.53031452, 120, 69);
INSERT INTO public.ecdc_data VALUES (12691, 0, 9, 5.08116538, 121, 69);
INSERT INTO public.ecdc_data VALUES (12692, 0, 0, 0.04184418, 122, 69);
INSERT INTO public.ecdc_data VALUES (12693, 1, 6, 8.95848264, 177, 69);
INSERT INTO public.ecdc_data VALUES (12694, 0, 8, 1.26901536, 123, 69);
INSERT INTO public.ecdc_data VALUES (12695, 0, 16, 1.62029451, 28, 69);
INSERT INTO public.ecdc_data VALUES (12696, 0, 1, 0.5459278, 29, 69);
INSERT INTO public.ecdc_data VALUES (12697, 0, 0, 5.21131898, 178, 69);
INSERT INTO public.ecdc_data VALUES (12698, 0, 0, 14.70912438, 179, 69);
INSERT INTO public.ecdc_data VALUES (12699, 2, 30, 76.88623769, 180, 69);
INSERT INTO public.ecdc_data VALUES (12700, 0, 1, 0.07415838, 30, 69);
INSERT INTO public.ecdc_data VALUES (12701, 0, 0, 0.12883313, 31, 69);
INSERT INTO public.ecdc_data VALUES (12702, 1, 88, 4.20973046, 124, 69);
INSERT INTO public.ecdc_data VALUES (12703, 0, 18, 20.52896939, 125, 69);
INSERT INTO public.ecdc_data VALUES (12704, 0, 16, 1.21070161, 32, 69);
INSERT INTO public.ecdc_data VALUES (12705, 0, 1, 15.60097172, 181, 69);
INSERT INTO public.ecdc_data VALUES (12706, 0, 0, 0, 33, 69);
INSERT INTO public.ecdc_data VALUES (12707, 0, 0, 1.0238881, 34, 69);
INSERT INTO public.ecdc_data VALUES (12708, 152, 1597, 11.06168253, 87, 69);
INSERT INTO public.ecdc_data VALUES (12709, 7, 184, 41.35279025, 182, 69);
INSERT INTO public.ecdc_data VALUES (12710, 0, 0, 6.04503551, 183, 69);
INSERT INTO public.ecdc_data VALUES (12711, 0, 0, 0.62012312, 126, 69);
INSERT INTO public.ecdc_data VALUES (12712, 1, 0, 9.96492988, 184, 69);
INSERT INTO public.ecdc_data VALUES (12713, 0, 0, 40.07212983, 88, 69);
INSERT INTO public.ecdc_data VALUES (12714, 3, 190, 6.33366643, 35, 69);
INSERT INTO public.ecdc_data VALUES (12715, 0, 19, 0.14819185, 36, 69);
INSERT INTO public.ecdc_data VALUES (12716, 0, 12, 0.21463428, 127, 69);
INSERT INTO public.ecdc_data VALUES (12717, 0, 0, 0, 37, 69);
INSERT INTO public.ecdc_data VALUES (12718, 0, 1, 0.13981753, 128, 69);
INSERT INTO public.ecdc_data VALUES (12719, 112, 806, 77.75647065, 185, 69);
INSERT INTO public.ecdc_data VALUES (12720, 0, 0, 0, 207, 69);
INSERT INTO public.ecdc_data VALUES (12721, 1, 3, 1.71438296, 208, 69);
INSERT INTO public.ecdc_data VALUES (12722, 1, 1, 0.06111066, 89, 69);
INSERT INTO public.ecdc_data VALUES (12723, 0, 10, 1.04243889, 38, 69);
INSERT INTO public.ecdc_data VALUES (12724, 1, 114, 0.39310601, 39, 69);
INSERT INTO public.ecdc_data VALUES (12725, 1, 26, 29.60813275, 186, 69);
INSERT INTO public.ecdc_data VALUES (12726, 0, 0, 5.24356353, 209, 69);
INSERT INTO public.ecdc_data VALUES (12727, 11, 63, 21.8459776, 187, 69);
INSERT INTO public.ecdc_data VALUES (12728, 1, 74, 26.25129849, 129, 69);
INSERT INTO public.ecdc_data VALUES (12729, 16, 785, 3.30246786, 130, 69);
INSERT INTO public.ecdc_data VALUES (12730, 0, 4, 1.4855196, 131, 69);
INSERT INTO public.ecdc_data VALUES (12731, 8, 172, 55.67016136, 90, 69);
INSERT INTO public.ecdc_data VALUES (12732, 0, 0, 0.06836735, 210, 69);
INSERT INTO public.ecdc_data VALUES (12733, 0, 3, 1.27756724, 91, 69);
INSERT INTO public.ecdc_data VALUES (12734, 62, 734, 48.44901927, 92, 69);
INSERT INTO public.ecdc_data VALUES (12735, 15, 211, 2.88207303, 132, 69);
INSERT INTO public.ecdc_data VALUES (12736, 40, 381, 13.00140743, 188, 69);
INSERT INTO public.ecdc_data VALUES (12737, 60, 918, 75.8907333, 189, 69);
INSERT INTO public.ecdc_data VALUES (12738, 8, 24, 18.78363839, 93, 69);
INSERT INTO public.ecdc_data VALUES (12739, 0, 761, 212.31812338, 133, 69);
INSERT INTO public.ecdc_data VALUES (12740, 25, 321, 25.49646248, 190, 69);
INSERT INTO public.ecdc_data VALUES (12741, 60, 5849, 38.87305235, 191, 69);
INSERT INTO public.ecdc_data VALUES (12742, 0, 22, 0.45933543, 40, 69);
INSERT INTO public.ecdc_data VALUES (12743, 0, 0, 5.67816179, 94, 69);
INSERT INTO public.ecdc_data VALUES (12744, 0, 0, 0, 95, 69);
INSERT INTO public.ecdc_data VALUES (12745, 0, 1, 1.80843272, 96, 69);
INSERT INTO public.ecdc_data VALUES (12746, 0, 12, 490.52332163, 192, 69);
INSERT INTO public.ecdc_data VALUES (12747, 0, 0, 1.86004985, 41, 69);
INSERT INTO public.ecdc_data VALUES (12748, 6, 1172, 33.4154991, 134, 69);
INSERT INTO public.ecdc_data VALUES (12749, 1, 66, 1.71817489, 42, 69);
INSERT INTO public.ecdc_data VALUES (12750, 5, 207, 62.86829939, 193, 69);
INSERT INTO public.ecdc_data VALUES (12751, 0, 0, 1.0231121, 43, 69);
INSERT INTO public.ecdc_data VALUES (12752, 2, 18, 0.94711429, 44, 69);
INSERT INTO public.ecdc_data VALUES (12753, 0, 897, 175.14471491, 135, 69);
INSERT INTO public.ecdc_data VALUES (12754, 0, 0, 54.25935974, 97, 69);
INSERT INTO public.ecdc_data VALUES (12755, 2, 35, 11.83394824, 194, 69);
INSERT INTO public.ecdc_data VALUES (12756, 1, 7, 10.23591624, 195, 69);
INSERT INTO public.ecdc_data VALUES (12757, 2, 0, 1.98796781, 45, 69);
INSERT INTO public.ecdc_data VALUES (12758, 4, 267, 3.7859727, 46, 69);
INSERT INTO public.ecdc_data VALUES (12759, 0, 10, 0.52317876, 136, 69);
INSERT INTO public.ecdc_data VALUES (12760, 0, 1, 0.01807973, 47, 69);
INSERT INTO public.ecdc_data VALUES (12761, 378, 2506, 85.74674255, 196, 69);
INSERT INTO public.ecdc_data VALUES (12762, 0, 52, 1.04578307, 137, 69);
INSERT INTO public.ecdc_data VALUES (12763, 3, 12, 0.37138047, 48, 69);
INSERT INTO public.ecdc_data VALUES (12764, 0, 0, 0, 98, 69);
INSERT INTO public.ecdc_data VALUES (12765, 89, 780, 75.38475599, 197, 69);
INSERT INTO public.ecdc_data VALUES (12766, 41, 181, 51.10873896, 198, 69);
INSERT INTO public.ecdc_data VALUES (12767, 0, 0, 0.13473827, 138, 69);
INSERT INTO public.ecdc_data VALUES (12768, 0, 1, 0.20190225, 139, 69);
INSERT INTO public.ecdc_data VALUES (12769, 0, 15, 0.48258125, 141, 69);
INSERT INTO public.ecdc_data VALUES (12770, 0, 1, 1.70131156, 142, 69);
INSERT INTO public.ecdc_data VALUES (12771, 0, 2, 0.17321676, 49, 69);
INSERT INTO public.ecdc_data VALUES (12772, 0, 0, 0.43011709, 99, 69);
INSERT INTO public.ecdc_data VALUES (12773, 0, 4, 2.14626753, 50, 69);
INSERT INTO public.ecdc_data VALUES (12774, 109, 3122, 70.58568276, 199, 69);
INSERT INTO public.ecdc_data VALUES (12775, 0, 0, 5.23642457, 100, 69);
INSERT INTO public.ecdc_data VALUES (12776, 0, 1, 0.04969552, 51, 69);
INSERT INTO public.ecdc_data VALUES (12777, 6, 477, 12.37451511, 200, 69);
INSERT INTO public.ecdc_data VALUES (12778, 8, 497, 61.91068935, 143, 69);
INSERT INTO public.ecdc_data VALUES (12779, 1010, 5158, 96.07468063, 201, 69);
INSERT INTO public.ecdc_data VALUES (12780, 0, 15, 0.46202546, 52, 69);
INSERT INTO public.ecdc_data VALUES (12781, 1054, 21352, 118.2028165, 101, 69);
INSERT INTO public.ecdc_data VALUES (12782, 0, 0, 3.82485968, 102, 69);
INSERT INTO public.ecdc_data VALUES (12783, 0, 6, 3.37981201, 103, 69);
INSERT INTO public.ecdc_data VALUES (12784, 1, 58, 3.67476343, 144, 69);
INSERT INTO public.ecdc_data VALUES (12785, 0, 20, 0.50147586, 104, 69);
INSERT INTO public.ecdc_data VALUES (12786, 0, 0, 0.01244012, 145, 69);
INSERT INTO public.ecdc_data VALUES (12787, 0, 0, 0, 146, 69);
INSERT INTO public.ecdc_data VALUES (12788, 0, 8, 0.24634632, 54, 69);
INSERT INTO public.ecdc_data VALUES (12789, 1, 0, 0.12290487, 55, 69);
INSERT INTO public.ecdc_data VALUES (12790, 0, 2, 0.1077763, 105, 70);
INSERT INTO public.ecdc_data VALUES (12791, 1, 23, 3.94769893, 147, 70);
INSERT INTO public.ecdc_data VALUES (12792, 2, 34, 0.56674261, 1, 70);
INSERT INTO public.ecdc_data VALUES (12793, 0, 31, 0, 148, 70);
INSERT INTO public.ecdc_data VALUES (12794, 0, 0, 0, 2, 70);
INSERT INTO public.ecdc_data VALUES (12795, 0, 2, 0, 57, 70);
INSERT INTO public.ecdc_data VALUES (12796, 2, 86, 0.8374148, 58, 70);
INSERT INTO public.ecdc_data VALUES (12797, 0, 30, 8.92577005, 149, 70);
INSERT INTO public.ecdc_data VALUES (12798, 0, 5, 0, 59, 70);
INSERT INTO public.ecdc_data VALUES (12799, 1, 600, 9.16947054, 202, 70);
INSERT INTO public.ecdc_data VALUES (12800, 5, 796, 57.57003649, 150, 70);
INSERT INTO public.ecdc_data VALUES (12801, 0, 15, 0.7762956, 151, 70);
INSERT INTO public.ecdc_data VALUES (12802, 0, 0, 0, 60, 70);
INSERT INTO public.ecdc_data VALUES (12803, 1, 51, 17.06106154, 106, 70);
INSERT INTO public.ecdc_data VALUES (12804, 1, 6, 0, 107, 70);
INSERT INTO public.ecdc_data VALUES (12805, 0, 1, 0, 61, 70);
INSERT INTO public.ecdc_data VALUES (12806, 0, 0, 0.81460715, 152, 70);
INSERT INTO public.ecdc_data VALUES (12807, 77, 1195, 54.61996091, 153, 70);
INSERT INTO public.ecdc_data VALUES (12808, 0, 0, 0, 62, 70);
INSERT INTO public.ecdc_data VALUES (12809, 0, 0, 0, 3, 70);
INSERT INTO public.ecdc_data VALUES (12810, 0, 0, 0, 63, 70);
INSERT INTO public.ecdc_data VALUES (12811, 0, 0, 0, 108, 70);
INSERT INTO public.ecdc_data VALUES (12812, 0, 4, 0, 64, 70);
INSERT INTO public.ecdc_data VALUES (12813, 1, 33, 0, 154, 70);
INSERT INTO public.ecdc_data VALUES (12814, 12, 310, 1.02677325, 66, 70);
INSERT INTO public.ecdc_data VALUES (12815, 0, 13, 23.77127876, 109, 70);
INSERT INTO public.ecdc_data VALUES (12816, 0, 19, 3.08569709, 155, 70);
INSERT INTO public.ecdc_data VALUES (12817, 0, 24, 0, 5, 70);
INSERT INTO public.ecdc_data VALUES (12818, 0, 4, 0.5458998, 110, 70);
INSERT INTO public.ecdc_data VALUES (12819, 1, 16, 0, 7, 70);
INSERT INTO public.ecdc_data VALUES (12820, 3, 313, 4.98783274, 68, 70);
INSERT INTO public.ecdc_data VALUES (12821, 1, 0, 0, 8, 70);
INSERT INTO public.ecdc_data VALUES (12822, 0, 0, 0, 69, 70);
INSERT INTO public.ecdc_data VALUES (12823, 0, 0, 0, 9, 70);
INSERT INTO public.ecdc_data VALUES (12824, 0, 1, 0, 10, 70);
INSERT INTO public.ecdc_data VALUES (12825, 0, 176, 4.77521279, 70, 70);
INSERT INTO public.ecdc_data VALUES (12826, 4, 78, 0.05042602, 111, 70);
INSERT INTO public.ecdc_data VALUES (12827, 0, 72, 0.74891572, 71, 70);
INSERT INTO public.ecdc_data VALUES (12828, 0, 0, 0, 12, 70);
INSERT INTO public.ecdc_data VALUES (12829, 0, 19, 3.24909397, 72, 70);
INSERT INTO public.ecdc_data VALUES (12830, 0, 48, 0, 13, 70);
INSERT INTO public.ecdc_data VALUES (12831, 1, 76, 9.05244679, 156, 70);
INSERT INTO public.ecdc_data VALUES (12832, 0, 8, 0, 73, 70);
INSERT INTO public.ecdc_data VALUES (12833, 3, 8, 14.15688338, 157, 70);
INSERT INTO public.ecdc_data VALUES (12834, 2, 158, 12.49788728, 158, 70);
INSERT INTO public.ecdc_data VALUES (12835, 1, 19, 0, 14, 70);
INSERT INTO public.ecdc_data VALUES (12836, 8, 131, 22.85534769, 159, 70);
INSERT INTO public.ecdc_data VALUES (12837, 0, 0, 0, 15, 70);
INSERT INTO public.ecdc_data VALUES (12838, 0, 1, 0, 75, 70);
INSERT INTO public.ecdc_data VALUES (12839, 3, 67, 2.89599819, 76, 70);
INSERT INTO public.ecdc_data VALUES (12840, 9, 101, 6.14723774, 77, 70);
INSERT INTO public.ecdc_data VALUES (12841, 5, 39, 0.30581321, 16, 70);
INSERT INTO public.ecdc_data VALUES (12842, 0, 4, 0, 78, 70);
INSERT INTO public.ecdc_data VALUES (12843, 0, 0, 0, 17, 70);
INSERT INTO public.ecdc_data VALUES (12844, 0, 0, 0, 18, 70);
INSERT INTO public.ecdc_data VALUES (12845, 0, 17, 26.87157501, 160, 70);
INSERT INTO public.ecdc_data VALUES (12846, 0, 0, 0, 19, 70);
INSERT INTO public.ecdc_data VALUES (12847, 0, 0, 0, 20, 70);
INSERT INTO public.ecdc_data VALUES (12848, 0, 4, 244.46864022, 161, 70);
INSERT INTO public.ecdc_data VALUES (12849, 0, 1, 0, 203, 70);
INSERT INTO public.ecdc_data VALUES (12850, 0, 92, 13.62832619, 162, 70);
INSERT INTO public.ecdc_data VALUES (12851, 240, 2446, 30.61799326, 163, 70);
INSERT INTO public.ecdc_data VALUES (12852, 0, 2, 0, 204, 70);
INSERT INTO public.ecdc_data VALUES (12853, 0, 0, 0, 21, 70);
INSERT INTO public.ecdc_data VALUES (12854, 0, 1, 0, 22, 70);
INSERT INTO public.ecdc_data VALUES (12855, 0, 9, 1.17595193, 164, 70);
INSERT INTO public.ecdc_data VALUES (12856, 23, 2342, 36.44698487, 165, 70);
INSERT INTO public.ecdc_data VALUES (12857, 0, 26, 0, 23, 70);
INSERT INTO public.ecdc_data VALUES (12858, 0, 0, 0, 166, 70);
INSERT INTO public.ecdc_data VALUES (12859, 3, 48, 6.08880574, 167, 70);
INSERT INTO public.ecdc_data VALUES (12860, 0, 0, 0, 80, 70);
INSERT INTO public.ecdc_data VALUES (12861, 0, 0, 0, 81, 70);
INSERT INTO public.ecdc_data VALUES (12862, 0, 3, 0, 205, 70);
INSERT INTO public.ecdc_data VALUES (12863, 0, 1, 0, 82, 70);
INSERT INTO public.ecdc_data VALUES (12864, 0, 3, 0, 168, 70);
INSERT INTO public.ecdc_data VALUES (12865, 0, 2, 0, 24, 70);
INSERT INTO public.ecdc_data VALUES (12866, 0, 0, 0, 83, 70);
INSERT INTO public.ecdc_data VALUES (12867, 0, 2, 0, 84, 70);
INSERT INTO public.ecdc_data VALUES (12868, 0, 0, 0, 169, 70);
INSERT INTO public.ecdc_data VALUES (12869, 0, 6, 0, 85, 70);
INSERT INTO public.ecdc_data VALUES (12870, 2, 39, 2.189761, 170, 70);
INSERT INTO public.ecdc_data VALUES (12871, 0, 60, 161.90884364, 171, 70);
INSERT INTO public.ecdc_data VALUES (12872, 0, 70, 0.03747024, 112, 70);
INSERT INTO public.ecdc_data VALUES (12873, 6, 107, 0.25126968, 113, 70);
INSERT INTO public.ecdc_data VALUES (12874, 122, 1762, 20.22459614, 114, 70);
INSERT INTO public.ecdc_data VALUES (12875, 4, 50, 0.64869338, 115, 70);
INSERT INTO public.ecdc_data VALUES (12876, 1, 204, 26.38533188, 172, 70);
INSERT INTO public.ecdc_data VALUES (12877, 0, 10, 0, 173, 70);
INSERT INTO public.ecdc_data VALUES (12878, 2, 488, 21.83259261, 116, 70);
INSERT INTO public.ecdc_data VALUES (12879, 743, 5249, 97.79231938, 174, 70);
INSERT INTO public.ecdc_data VALUES (12880, 1, 2, 0, 86, 70);
INSERT INTO public.ecdc_data VALUES (12881, 1, 65, 0.49266792, 117, 70);
INSERT INTO public.ecdc_data VALUES (12882, 0, 0, 0, 175, 70);
INSERT INTO public.ecdc_data VALUES (12883, 0, 15, 0, 118, 70);
INSERT INTO public.ecdc_data VALUES (12884, 0, 17, 0, 119, 70);
INSERT INTO public.ecdc_data VALUES (12885, 0, 9, 0, 26, 70);
INSERT INTO public.ecdc_data VALUES (12886, 0, 2, 0, 176, 70);
INSERT INTO public.ecdc_data VALUES (12887, 0, 2, 2.89987561, 120, 70);
INSERT INTO public.ecdc_data VALUES (12888, 0, 26, 0, 121, 70);
INSERT INTO public.ecdc_data VALUES (12889, 0, 2, 0, 122, 70);
INSERT INTO public.ecdc_data VALUES (12890, 0, 17, 9.84391407, 177, 70);
INSERT INTO public.ecdc_data VALUES (12891, 0, 37, 3.83621884, 123, 70);
INSERT INTO public.ecdc_data VALUES (12892, 0, 0, 0, 28, 70);
INSERT INTO public.ecdc_data VALUES (12893, 0, 1, 0, 29, 70);
INSERT INTO public.ecdc_data VALUES (12894, 0, 1, 119.86033665, 178, 70);
INSERT INTO public.ecdc_data VALUES (12895, 1, 30, 7.44403375, 179, 70);
INSERT INTO public.ecdc_data VALUES (12896, 0, 224, 178.20666108, 180, 70);
INSERT INTO public.ecdc_data VALUES (12897, 0, 2, 0, 30, 70);
INSERT INTO public.ecdc_data VALUES (12898, 1, 106, 4.67921713, 124, 70);
INSERT INTO public.ecdc_data VALUES (12899, 0, 0, 1.69505252, 125, 70);
INSERT INTO public.ecdc_data VALUES (12900, 0, 15, 24.92103274, 181, 70);
INSERT INTO public.ecdc_data VALUES (12901, 0, 0, 0, 33, 70);
INSERT INTO public.ecdc_data VALUES (12902, 0, 6, 0, 34, 70);
INSERT INTO public.ecdc_data VALUES (12903, 1, 188, 0.92494227, 87, 70);
INSERT INTO public.ecdc_data VALUES (12904, 0, 16, 3.01736867, 182, 70);
INSERT INTO public.ecdc_data VALUES (12905, 0, 1, 69.51790842, 183, 70);
INSERT INTO public.ecdc_data VALUES (12906, 0, 0, 0, 126, 70);
INSERT INTO public.ecdc_data VALUES (12907, 0, 20, 0, 184, 70);
INSERT INTO public.ecdc_data VALUES (12908, 0, 0, 0, 88, 70);
INSERT INTO public.ecdc_data VALUES (12909, 1, 36, 0.46063029, 35, 70);
INSERT INTO public.ecdc_data VALUES (12910, 0, 0, 0, 36, 70);
INSERT INTO public.ecdc_data VALUES (12911, 0, 1, 0, 127, 70);
INSERT INTO public.ecdc_data VALUES (12912, 0, 0, 0, 37, 70);
INSERT INTO public.ecdc_data VALUES (12913, 0, 1, 0.00699088, 128, 70);
INSERT INTO public.ecdc_data VALUES (12914, 63, 811, 29.96152739, 185, 70);
INSERT INTO public.ecdc_data VALUES (12915, 0, 2, 0, 207, 70);
INSERT INTO public.ecdc_data VALUES (12916, 0, 47, 3.93053655, 208, 70);
INSERT INTO public.ecdc_data VALUES (12917, 0, 0, 0, 89, 70);
INSERT INTO public.ecdc_data VALUES (12918, 1, 5, 0, 38, 70);
INSERT INTO public.ecdc_data VALUES (12919, 0, 4, 0.02139691, 39, 70);
INSERT INTO public.ecdc_data VALUES (12920, 0, 12, 7.07706588, 186, 70);
INSERT INTO public.ecdc_data VALUES (12921, 2, 195, 42.96000234, 187, 70);
INSERT INTO public.ecdc_data VALUES (12922, 0, 18, 1.36683637, 129, 70);
INSERT INTO public.ecdc_data VALUES (12923, 1, 104, 0.45021059, 130, 70);
INSERT INTO public.ecdc_data VALUES (12924, 0, 1, 0.80298357, 131, 70);
INSERT INTO public.ecdc_data VALUES (12925, 0, 98, 10.26742401, 90, 70);
INSERT INTO public.ecdc_data VALUES (12926, 0, 0, 0, 210, 70);
INSERT INTO public.ecdc_data VALUES (12927, 2, 10, 0.52522209, 91, 70);
INSERT INTO public.ecdc_data VALUES (12928, 2, 21, 1.24575283, 92, 70);
INSERT INTO public.ecdc_data VALUES (12929, 2, 90, 0.4800372, 132, 70);
INSERT INTO public.ecdc_data VALUES (12930, 2, 152, 2.31481408, 188, 70);
INSERT INTO public.ecdc_data VALUES (12931, 10, 302, 22.58525349, 189, 70);
INSERT INTO public.ecdc_data VALUES (12932, 0, 25, 17.93740341, 133, 70);
INSERT INTO public.ecdc_data VALUES (12933, 4, 186, 3.79613997, 190, 70);
INSERT INTO public.ecdc_data VALUES (12934, 0, 57, 0.33248268, 191, 70);
INSERT INTO public.ecdc_data VALUES (12935, 0, 4, 0, 40, 70);
INSERT INTO public.ecdc_data VALUES (12936, 0, 0, 0, 95, 70);
INSERT INTO public.ecdc_data VALUES (12937, 0, 0, 0, 96, 70);
INSERT INTO public.ecdc_data VALUES (12938, 1, 0, 362.81310771, 192, 70);
INSERT INTO public.ecdc_data VALUES (12939, 1, 205, 2.17984262, 134, 70);
INSERT INTO public.ecdc_data VALUES (12940, 0, 7, 0.50931613, 42, 70);
INSERT INTO public.ecdc_data VALUES (12941, 0, 27, 3.50385223, 193, 70);
INSERT INTO public.ecdc_data VALUES (12942, 0, 0, 0, 43, 70);
INSERT INTO public.ecdc_data VALUES (12943, 0, 49, 6.75356367, 135, 70);
INSERT INTO public.ecdc_data VALUES (12944, 0, 13, 3.61439969, 194, 70);
INSERT INTO public.ecdc_data VALUES (12945, 2, 38, 21.57711922, 195, 70);
INSERT INTO public.ecdc_data VALUES (12946, 0, 0, 0, 45, 70);
INSERT INTO public.ecdc_data VALUES (12947, 0, 155, 0.93923545, 46, 70);
INSERT INTO public.ecdc_data VALUES (12948, 6, 100, 2.69788451, 136, 70);
INSERT INTO public.ecdc_data VALUES (12949, 514, 8553, 115.54196194, 196, 70);
INSERT INTO public.ecdc_data VALUES (12950, 0, 5, 0.47365063, 137, 70);
INSERT INTO public.ecdc_data VALUES (12951, 0, 1, 0, 48, 70);
INSERT INTO public.ecdc_data VALUES (12952, 0, 2, 0, 98, 70);
INSERT INTO public.ecdc_data VALUES (12953, 21, 230, 18.01531448, 197, 70);
INSERT INTO public.ecdc_data VALUES (12954, 20, 774, 97.12649981, 198, 70);
INSERT INTO public.ecdc_data VALUES (12955, 0, 0, 0, 138, 70);
INSERT INTO public.ecdc_data VALUES (12956, 0, 21, 0.70665787, 139, 70);
INSERT INTO public.ecdc_data VALUES (12957, 0, 107, 1.26964829, 141, 70);
INSERT INTO public.ecdc_data VALUES (12958, 0, 0, 0, 142, 70);
INSERT INTO public.ecdc_data VALUES (12959, 0, 0, 0, 49, 70);
INSERT INTO public.ecdc_data VALUES (12960, 0, 6, 0, 99, 70);
INSERT INTO public.ecdc_data VALUES (12961, 0, 25, 0.93204447, 50, 70);
INSERT INTO public.ecdc_data VALUES (12962, 7, 343, 0, 199, 70);
INSERT INTO public.ecdc_data VALUES (12963, 0, 1, 0, 100, 70);
INSERT INTO public.ecdc_data VALUES (12964, 0, 0, 0, 51, 70);
INSERT INTO public.ecdc_data VALUES (12965, 0, 11, 0, 200, 70);
INSERT INTO public.ecdc_data VALUES (12966, 0, 50, 2.07767729, 143, 70);
INSERT INTO public.ecdc_data VALUES (12967, 148, 2338, 18.05479583, 201, 70);
INSERT INTO public.ecdc_data VALUES (12968, 0, 0, 0, 52, 70);
INSERT INTO public.ecdc_data VALUES (12969, 211, 8789, 16.47273751, 101, 70);
INSERT INTO public.ecdc_data VALUES (12970, 0, 0, 0, 102, 70);
INSERT INTO public.ecdc_data VALUES (12971, 0, 27, 0, 103, 70);
INSERT INTO public.ecdc_data VALUES (12972, 0, 6, 0, 144, 70);
INSERT INTO public.ecdc_data VALUES (12973, 0, 7, 0, 104, 70);
INSERT INTO public.ecdc_data VALUES (12974, 0, 5, 0.10263097, 145, 70);
INSERT INTO public.ecdc_data VALUES (12975, 0, 0, 0, 54, 70);
INSERT INTO public.ecdc_data VALUES (12976, 0, 0, 0, 55, 70);
INSERT INTO public.ecdc_data VALUES (12977, 0, 1, 0.00262869, 105, 71);
INSERT INTO public.ecdc_data VALUES (12978, 0, 0, 0, 1, 71);
INSERT INTO public.ecdc_data VALUES (12979, 0, 0, 0, 149, 71);
INSERT INTO public.ecdc_data VALUES (12980, 0, 0, 0.031742, 202, 71);
INSERT INTO public.ecdc_data VALUES (12981, 0, 0, 0, 150, 71);
INSERT INTO public.ecdc_data VALUES (12982, 0, 0, 0, 151, 71);
INSERT INTO public.ecdc_data VALUES (12983, 0, 1, 0.12186473, 106, 71);
INSERT INTO public.ecdc_data VALUES (12984, 0, 0, 0, 152, 71);
INSERT INTO public.ecdc_data VALUES (12985, 0, 0, 0, 153, 71);
INSERT INTO public.ecdc_data VALUES (12986, 0, 0, 0, 66, 71);
INSERT INTO public.ecdc_data VALUES (12987, 0, 0, 0, 110, 71);
INSERT INTO public.ecdc_data VALUES (12988, 0, 2, 0.01069203, 68, 71);
INSERT INTO public.ecdc_data VALUES (12989, 0, 0, 0, 214, 71);
INSERT INTO public.ecdc_data VALUES (12990, 70, 515, 2.44478998, 111, 71);
INSERT INTO public.ecdc_data VALUES (12991, 0, 0, 0, 156, 71);
INSERT INTO public.ecdc_data VALUES (12992, 0, 0, 0, 158, 71);
INSERT INTO public.ecdc_data VALUES (12993, 0, 0, 0, 159, 71);
INSERT INTO public.ecdc_data VALUES (12994, 0, 0, 0, 76, 71);
INSERT INTO public.ecdc_data VALUES (12995, 0, 0, 0, 77, 71);
INSERT INTO public.ecdc_data VALUES (12996, 0, 0, 0.00099613, 16, 71);
INSERT INTO public.ecdc_data VALUES (12997, 0, 0, 0, 160, 71);
INSERT INTO public.ecdc_data VALUES (12998, 0, 0, 0, 162, 71);
INSERT INTO public.ecdc_data VALUES (12999, 0, 0, 0.00149225, 163, 71);
INSERT INTO public.ecdc_data VALUES (13000, 0, 0, 0, 164, 71);
INSERT INTO public.ecdc_data VALUES (13001, 0, 0, 0.00240908, 165, 71);
INSERT INTO public.ecdc_data VALUES (13002, 0, 0, 0, 167, 71);
INSERT INTO public.ecdc_data VALUES (13003, 0, 0, 0, 171, 71);
INSERT INTO public.ecdc_data VALUES (13004, 0, 0, 0, 112, 71);
INSERT INTO public.ecdc_data VALUES (13005, 0, 0, 0, 113, 71);
INSERT INTO public.ecdc_data VALUES (13006, 4, 18, 0.0735703, 114, 71);
INSERT INTO public.ecdc_data VALUES (13007, 0, 1, 0.0025439, 115, 71);
INSERT INTO public.ecdc_data VALUES (13008, 0, 0, 0, 172, 71);
INSERT INTO public.ecdc_data VALUES (13009, 0, 0, 0.02347591, 116, 71);
INSERT INTO public.ecdc_data VALUES (13010, 4, 97, 0.37442296, 174, 71);
INSERT INTO public.ecdc_data VALUES (13011, 0, 0, 0.09380397, 117, 71);
INSERT INTO public.ecdc_data VALUES (13012, 0, 2, 0.11884736, 120, 71);
INSERT INTO public.ecdc_data VALUES (13013, 0, 0, 0.01458638, 123, 71);
INSERT INTO public.ecdc_data VALUES (13014, 0, 0, 0, 179, 71);
INSERT INTO public.ecdc_data VALUES (13015, 0, 0, 0, 180, 71);
INSERT INTO public.ecdc_data VALUES (13016, 0, 0, 0.01251964, 124, 71);
INSERT INTO public.ecdc_data VALUES (13017, 0, 2, 0.00235155, 87, 71);
INSERT INTO public.ecdc_data VALUES (13018, 0, 0, 0, 183, 71);
INSERT INTO public.ecdc_data VALUES (13019, 0, 0, 0, 128, 71);
INSERT INTO public.ecdc_data VALUES (13020, 0, 0, 0, 185, 71);
INSERT INTO public.ecdc_data VALUES (13021, 0, 0, 0, 208, 71);
INSERT INTO public.ecdc_data VALUES (13022, 0, 0, 0, 39, 71);
INSERT INTO public.ecdc_data VALUES (13023, 0, 0, 0, 186, 71);
INSERT INTO public.ecdc_data VALUES (13024, 0, 0, 0, 187, 71);
INSERT INTO public.ecdc_data VALUES (13025, 0, 2, 0.04020107, 129, 71);
INSERT INTO public.ecdc_data VALUES (13026, 0, 0, 0, 130, 71);
INSERT INTO public.ecdc_data VALUES (13027, 0, 0, 0, 132, 71);
INSERT INTO public.ecdc_data VALUES (13028, 0, 0, 0, 133, 71);
INSERT INTO public.ecdc_data VALUES (13029, 0, 0, 0, 190, 71);
INSERT INTO public.ecdc_data VALUES (13030, 0, 0, 0, 191, 71);
INSERT INTO public.ecdc_data VALUES (13031, 0, 0, 0, 192, 71);
INSERT INTO public.ecdc_data VALUES (13032, 0, 1, 0.77528154, 135, 71);
INSERT INTO public.ecdc_data VALUES (13033, 1, 130, 1.68666586, 136, 71);
INSERT INTO public.ecdc_data VALUES (13034, 0, 1, 0.00213051, 196, 71);
INSERT INTO public.ecdc_data VALUES (13035, 0, 0, 0, 137, 71);
INSERT INTO public.ecdc_data VALUES (13036, 0, 0, 0, 197, 71);
INSERT INTO public.ecdc_data VALUES (13037, 0, 0, 0, 198, 71);
INSERT INTO public.ecdc_data VALUES (13038, 0, 2, 0.05047556, 139, 71);
INSERT INTO public.ecdc_data VALUES (13039, 0, 2, 0.00718127, 141, 71);
INSERT INTO public.ecdc_data VALUES (13040, 0, 0, 0.05117432, 143, 71);
INSERT INTO public.ecdc_data VALUES (13041, 0, 0, 0.00300088, 201, 71);
INSERT INTO public.ecdc_data VALUES (13042, 0, 18, 0.01215566, 101, 71);
INSERT INTO public.ecdc_data VALUES (13043, 0, 0, 0.00103668, 145, 71);
INSERT INTO public.ecdc_data VALUES (13044, 0, 0, 0, 105, 72);
INSERT INTO public.ecdc_data VALUES (13045, 0, 0, 0, 1, 72);
INSERT INTO public.ecdc_data VALUES (13046, 0, 0, 0, 149, 72);
INSERT INTO public.ecdc_data VALUES (13047, 0, 1, 0.00396775, 202, 72);
INSERT INTO public.ecdc_data VALUES (13048, 0, 0, 0, 150, 72);
INSERT INTO public.ecdc_data VALUES (13049, 0, 0, 0, 151, 72);
INSERT INTO public.ecdc_data VALUES (13050, 0, 0, 0, 106, 72);
INSERT INTO public.ecdc_data VALUES (13051, 0, 0, 0, 152, 72);
INSERT INTO public.ecdc_data VALUES (13052, 0, 0, 0, 153, 72);
INSERT INTO public.ecdc_data VALUES (13053, 0, 0, 0, 66, 72);
INSERT INTO public.ecdc_data VALUES (13054, 0, 0, 0, 110, 72);
INSERT INTO public.ecdc_data VALUES (13055, 0, 0, 0, 68, 72);
INSERT INTO public.ecdc_data VALUES (13056, 0, 0, 0, 214, 72);
INSERT INTO public.ecdc_data VALUES (13057, 15, 441, 0.08815835, 111, 72);
INSERT INTO public.ecdc_data VALUES (13058, 0, 0, 0, 156, 72);
INSERT INTO public.ecdc_data VALUES (13059, 0, 0, 0, 158, 72);
INSERT INTO public.ecdc_data VALUES (13060, 0, 0, 0, 159, 72);
INSERT INTO public.ecdc_data VALUES (13061, 0, 0, 0, 76, 72);
INSERT INTO public.ecdc_data VALUES (13062, 0, 0, 0, 77, 72);
INSERT INTO public.ecdc_data VALUES (13063, 0, 0, 0, 16, 72);
INSERT INTO public.ecdc_data VALUES (13064, 0, 0, 0, 160, 72);
INSERT INTO public.ecdc_data VALUES (13065, 0, 0, 0, 162, 72);
INSERT INTO public.ecdc_data VALUES (13066, 0, 3, 0.00447675, 163, 72);
INSERT INTO public.ecdc_data VALUES (13067, 0, 0, 0, 164, 72);
INSERT INTO public.ecdc_data VALUES (13068, 0, 0, 0, 165, 72);
INSERT INTO public.ecdc_data VALUES (13069, 0, 0, 0, 167, 72);
INSERT INTO public.ecdc_data VALUES (13070, 0, 0, 0, 171, 72);
INSERT INTO public.ecdc_data VALUES (13071, 0, 0, 0, 112, 72);
INSERT INTO public.ecdc_data VALUES (13072, 0, 0, 0, 113, 72);
INSERT INTO public.ecdc_data VALUES (13073, 0, 0, 0, 114, 72);
INSERT INTO public.ecdc_data VALUES (13074, 0, 0, 0, 115, 72);
INSERT INTO public.ecdc_data VALUES (13075, 0, 0, 0, 172, 72);
INSERT INTO public.ecdc_data VALUES (13076, 0, 0, 0, 116, 72);
INSERT INTO public.ecdc_data VALUES (13077, 0, 0, 0, 174, 72);
INSERT INTO public.ecdc_data VALUES (13078, 0, 0, 0.00157654, 117, 72);
INSERT INTO public.ecdc_data VALUES (13079, 0, 0, 0, 120, 72);
INSERT INTO public.ecdc_data VALUES (13080, 0, 0, 0, 123, 72);
INSERT INTO public.ecdc_data VALUES (13081, 0, 0, 0, 179, 72);
INSERT INTO public.ecdc_data VALUES (13082, 0, 0, 0, 180, 72);
INSERT INTO public.ecdc_data VALUES (13083, 0, 3, 0.00938973, 124, 72);
INSERT INTO public.ecdc_data VALUES (13084, 0, 0, 0.00078385, 87, 72);
INSERT INTO public.ecdc_data VALUES (13085, 0, 0, 0, 183, 72);
INSERT INTO public.ecdc_data VALUES (13086, 0, 1, 0.00349544, 128, 72);
INSERT INTO public.ecdc_data VALUES (13087, 0, 0, 0, 185, 72);
INSERT INTO public.ecdc_data VALUES (13088, 0, 0, 0, 208, 72);
INSERT INTO public.ecdc_data VALUES (13089, 0, 0, 0, 39, 72);
INSERT INTO public.ecdc_data VALUES (13090, 0, 0, 0, 186, 72);
INSERT INTO public.ecdc_data VALUES (13091, 0, 0, 0, 187, 72);
INSERT INTO public.ecdc_data VALUES (13092, 0, 0, 0, 129, 72);
INSERT INTO public.ecdc_data VALUES (13093, 0, 0, 0, 130, 72);
INSERT INTO public.ecdc_data VALUES (13094, 0, 0, 0, 132, 72);
INSERT INTO public.ecdc_data VALUES (13095, 0, 0, 0, 133, 72);
INSERT INTO public.ecdc_data VALUES (13096, 0, 0, 0, 190, 72);
INSERT INTO public.ecdc_data VALUES (13097, 0, 0, 0, 191, 72);
INSERT INTO public.ecdc_data VALUES (13098, 0, 0, 0, 192, 72);
INSERT INTO public.ecdc_data VALUES (13099, 0, 0, 0.05168544, 135, 72);
INSERT INTO public.ecdc_data VALUES (13100, 0, 0, 0.00390432, 136, 72);
INSERT INTO public.ecdc_data VALUES (13101, 0, 0, 0, 196, 72);
INSERT INTO public.ecdc_data VALUES (13102, 0, 0, 0, 137, 72);
INSERT INTO public.ecdc_data VALUES (13103, 0, 0, 0, 197, 72);
INSERT INTO public.ecdc_data VALUES (13104, 0, 0, 0, 198, 72);
INSERT INTO public.ecdc_data VALUES (13105, 0, 2, 0.01261889, 139, 72);
INSERT INTO public.ecdc_data VALUES (13106, 0, 1, 0.00718127, 141, 72);
INSERT INTO public.ecdc_data VALUES (13107, 0, 0, 0, 143, 72);
INSERT INTO public.ecdc_data VALUES (13108, 0, 0, 0, 201, 72);
INSERT INTO public.ecdc_data VALUES (13109, 0, 1, 0.00060778, 101, 72);
INSERT INTO public.ecdc_data VALUES (13110, 0, 0, 0.00207335, 145, 72);
INSERT INTO public.ecdc_data VALUES (13111, 17, 246, 6.71367519, 105, 73);
INSERT INTO public.ecdc_data VALUES (13112, 17, 795, 308.30480568, 147, 73);
INSERT INTO public.ecdc_data VALUES (13113, 19, 1005, 30.59945527, 1, 73);
INSERT INTO public.ecdc_data VALUES (13114, 0, 48, 1138.1388083, 148, 73);
INSERT INTO public.ecdc_data VALUES (13115, 0, 0, 6.47283785, 2, 73);
INSERT INTO public.ecdc_data VALUES (13116, 0, 0, 6.72404519, 56, 73);
INSERT INTO public.ecdc_data VALUES (13117, 0, 0, 8.23765639, 57, 73);
INSERT INTO public.ecdc_data VALUES (13118, 120, 3998, 276.59699189, 58, 73);
INSERT INTO public.ecdc_data VALUES (13119, 26, 813, 636.80635948, 149, 73);
INSERT INTO public.ecdc_data VALUES (13120, 0, 6, 123.22453203, 59, 73);
INSERT INTO public.ecdc_data VALUES (13121, 0, 14, 0.66261427, 202, 73);
INSERT INTO public.ecdc_data VALUES (13122, 94, 3090, 1027.25263933, 150, 73);
INSERT INTO public.ecdc_data VALUES (13123, 29, 2187, 290.96156053, 151, 73);
INSERT INTO public.ecdc_data VALUES (13124, 0, 0, 110.14516568, 60, 73);
INSERT INTO public.ecdc_data VALUES (13125, 1, 181, 137.34154539, 106, 73);
INSERT INTO public.ecdc_data VALUES (13126, 28, 2419, 17.07430447, 107, 73);
INSERT INTO public.ecdc_data VALUES (13127, 0, 1, 5.92291156, 61, 73);
INSERT INTO public.ecdc_data VALUES (13128, 8, 1483, 192.75509555, 152, 73);
INSERT INTO public.ecdc_data VALUES (13129, 139, 3953, 491.12571853, 153, 73);
INSERT INTO public.ecdc_data VALUES (13130, 4, 66, 261.04710888, 62, 73);
INSERT INTO public.ecdc_data VALUES (13131, 0, 0, 1.4490112, 3, 73);
INSERT INTO public.ecdc_data VALUES (13132, 0, 0, 20.79733794, 63, 73);
INSERT INTO public.ecdc_data VALUES (13133, 0, 4, 2.883, 108, 73);
INSERT INTO public.ecdc_data VALUES (13134, 3, 56, 12.3077169, 64, 73);
INSERT INTO public.ecdc_data VALUES (13135, 0, 0, 26.94069199, 65, 73);
INSERT INTO public.ecdc_data VALUES (13136, 66, 546, 519.05514635, 154, 73);
INSERT INTO public.ecdc_data VALUES (13137, 0, 0, 76.35532879, 4, 73);
INSERT INTO public.ecdc_data VALUES (13138, 302, 16207, 195.48777081, 66, 73);
INSERT INTO public.ecdc_data VALUES (13139, 0, 0, 0, 67, 73);
INSERT INTO public.ecdc_data VALUES (13140, 0, 0, 0, 109, 73);
INSERT INTO public.ecdc_data VALUES (13141, 189, 3146, 656.99633959, 155, 73);
INSERT INTO public.ecdc_data VALUES (13142, 0, 19, 0.85132001, 5, 73);
INSERT INTO public.ecdc_data VALUES (13143, 0, 2, 0.43362964, 6, 73);
INSERT INTO public.ecdc_data VALUES (13144, 0, 0, 0.03639332, 110, 73);
INSERT INTO public.ecdc_data VALUES (13145, 0, 0, 4.27803155, 7, 73);
INSERT INTO public.ecdc_data VALUES (13146, 66, 7052, 183.95640346, 68, 73);
INSERT INTO public.ecdc_data VALUES (13147, 0, 26, 160.56413837, 8, 73);
INSERT INTO public.ecdc_data VALUES (13148, 0, 4, 23.0953994, 69, 73);
INSERT INTO public.ecdc_data VALUES (13149, 0, 0, 0.65329464, 9, 73);
INSERT INTO public.ecdc_data VALUES (13150, 0, 6, 0.60826938, 10, 73);
INSERT INTO public.ecdc_data VALUES (13151, 37, 1440, 101.3136584, 70, 73);
INSERT INTO public.ecdc_data VALUES (13152, 0, 22, 0.01206598, 111, 73);
INSERT INTO public.ecdc_data VALUES (13153, 192, 6562, 210.40359942, 71, 73);
INSERT INTO public.ecdc_data VALUES (13154, 0, 0, 3.87828758, 11, 73);
INSERT INTO public.ecdc_data VALUES (13155, 0, 0, 4.70216173, 12, 73);
INSERT INTO public.ecdc_data VALUES (13156, 33, 2877, 291.38825663, 72, 73);
INSERT INTO public.ecdc_data VALUES (13157, 0, 10, 1.21711486, 13, 73);
INSERT INTO public.ecdc_data VALUES (13158, 45, 1973, 905.6126642, 156, 73);
INSERT INTO public.ecdc_data VALUES (13159, 0, 33, 4.67640842, 73, 73);
INSERT INTO public.ecdc_data VALUES (13160, 0, 24, 410.59092049, 74, 73);
INSERT INTO public.ecdc_data VALUES (13161, 0, 304, 325.26581261, 157, 73);
INSERT INTO public.ecdc_data VALUES (13162, 164, 4375, 711.40303104, 158, 73);
INSERT INTO public.ecdc_data VALUES (13163, 0, 38, 0.77197329, 14, 73);
INSERT INTO public.ecdc_data VALUES (13164, 5, 1169, 271.47399425, 159, 73);
INSERT INTO public.ecdc_data VALUES (13165, 0, 0, 4.21136102, 15, 73);
INSERT INTO public.ecdc_data VALUES (13166, 0, 0, 48.74108734, 75, 73);
INSERT INTO public.ecdc_data VALUES (13167, 1, 419, 76.59961764, 76, 73);
INSERT INTO public.ecdc_data VALUES (13168, 24, 301, 61.4435982, 77, 73);
INSERT INTO public.ecdc_data VALUES (13169, 12, 354, 3.94369546, 16, 73);
INSERT INTO public.ecdc_data VALUES (13170, 5, 322, 42.44175686, 78, 73);
INSERT INTO public.ecdc_data VALUES (13171, 0, 7, 3.31862812, 17, 73);
INSERT INTO public.ecdc_data VALUES (13172, 0, 7, 1.91586384, 18, 73);
INSERT INTO public.ecdc_data VALUES (13173, 4, 232, 279.73611509, 160, 73);
INSERT INTO public.ecdc_data VALUES (13174, 0, 14, 19.16154313, 19, 73);
INSERT INTO public.ecdc_data VALUES (13175, 4, 418, 5.55056269, 20, 73);
INSERT INTO public.ecdc_data VALUES (13176, 0, 0, 88.96797153, 79, 73);
INSERT INTO public.ecdc_data VALUES (13177, 0, 0, 6.16307496, 161, 73);
INSERT INTO public.ecdc_data VALUES (13178, 0, 0, 0.11236523, 203, 73);
INSERT INTO public.ecdc_data VALUES (13179, 9, 297, 73.37911267, 162, 73);
INSERT INTO public.ecdc_data VALUES (13180, 500, 4452, 503.15847477, 163, 73);
INSERT INTO public.ecdc_data VALUES (13181, 0, 0, 1068.08457311, 204, 73);
INSERT INTO public.ecdc_data VALUES (13182, 0, 19, 5.56942029, 21, 73);
INSERT INTO public.ecdc_data VALUES (13183, 0, 0, 1.78898801, 22, 73);
INSERT INTO public.ecdc_data VALUES (13184, 39, 3128, 1205.17558964, 164, 73);
INSERT INTO public.ecdc_data VALUES (13185, 249, 13554, 307.74442538, 165, 73);
INSERT INTO public.ecdc_data VALUES (13186, 0, 67, 5.71703635, 23, 73);
INSERT INTO public.ecdc_data VALUES (13187, 1, 9, 480.62659467, 166, 73);
INSERT INTO public.ecdc_data VALUES (13188, 84, 1387, 324.66481964, 167, 73);
INSERT INTO public.ecdc_data VALUES (13189, 0, 0, 1.76491352, 80, 73);
INSERT INTO public.ecdc_data VALUES (13190, 0, 0, 8.03557079, 81, 73);
INSERT INTO public.ecdc_data VALUES (13191, 0, 53, 818.31495263, 205, 73);
INSERT INTO public.ecdc_data VALUES (13192, 16, 93, 41.87361744, 82, 73);
INSERT INTO public.ecdc_data VALUES (13193, 0, 0, 6.20462865, 168, 73);
INSERT INTO public.ecdc_data VALUES (13194, 0, 37, 3.16335618, 24, 73);
INSERT INTO public.ecdc_data VALUES (13195, 0, 0, 0.41646776, 25, 73);
INSERT INTO public.ecdc_data VALUES (13196, 0, 0, 77.80013414, 83, 73);
INSERT INTO public.ecdc_data VALUES (13197, 0, 10, 0.77243532, 84, 73);
INSERT INTO public.ecdc_data VALUES (13198, 0, 0, 0, 169, 73);
INSERT INTO public.ecdc_data VALUES (13199, 2, 480, 44.55108523, 85, 73);
INSERT INTO public.ecdc_data VALUES (13200, 117, 3929, 644.27066428, 170, 73);
INSERT INTO public.ecdc_data VALUES (13201, 0, 12, 52.66239205, 171, 73);
INSERT INTO public.ecdc_data VALUES (13202, 480, 37975, 42.89390982, 112, 73);
INSERT INTO public.ecdc_data VALUES (13203, 118, 4442, 22.74027568, 113, 73);
INSERT INTO public.ecdc_data VALUES (13204, 453, 12460, 209.70188916, 114, 73);
INSERT INTO public.ecdc_data VALUES (13205, 38, 2136, 90.87812707, 115, 73);
INSERT INTO public.ecdc_data VALUES (13206, 0, 250, 103.01290312, 172, 73);
INSERT INTO public.ecdc_data VALUES (13207, 0, 1, 14.18624171, 173, 73);
INSERT INTO public.ecdc_data VALUES (13208, 5, 927, 119.0932713, 116, 73);
INSERT INTO public.ecdc_data VALUES (13209, 630, 22927, 781.02310445, 174, 73);
INSERT INTO public.ecdc_data VALUES (13210, 1, 59, 27.16841057, 86, 73);
INSERT INTO public.ecdc_data VALUES (13211, 9, 3012, 19.66415041, 117, 73);
INSERT INTO public.ecdc_data VALUES (13212, 0, 24, 151.21154774, 175, 73);
INSERT INTO public.ecdc_data VALUES (13213, 66, 4981, 726.84817214, 118, 73);
INSERT INTO public.ecdc_data VALUES (13214, 1, 678, 62.59356423, 119, 73);
INSERT INTO public.ecdc_data VALUES (13215, 12, 413, 27.65817539, 26, 73);
INSERT INTO public.ecdc_data VALUES (13216, 12, 645, 564.24610204, 176, 73);
INSERT INTO public.ecdc_data VALUES (13217, 2, 337, 188.13537285, 120, 73);
INSERT INTO public.ecdc_data VALUES (13218, 4, 481, 99.8464584, 121, 73);
INSERT INTO public.ecdc_data VALUES (13219, 0, 14, 0.19527284, 122, 73);
INSERT INTO public.ecdc_data VALUES (13220, 9, 116, 262.97313289, 177, 73);
INSERT INTO public.ecdc_data VALUES (13221, 11, 1041, 323.26342906, 123, 73);
INSERT INTO public.ecdc_data VALUES (13222, 0, 1, 5.59929646, 27, 73);
INSERT INTO public.ecdc_data VALUES (13223, 0, 0, 2.00511446, 28, 73);
INSERT INTO public.ecdc_data VALUES (13224, 13, 650, 139.18207917, 29, 73);
INSERT INTO public.ecdc_data VALUES (13225, 0, 69, 948.46005524, 178, 73);
INSERT INTO public.ecdc_data VALUES (13226, 6, 1179, 804.20616538, 179, 73);
INSERT INTO public.ecdc_data VALUES (13227, 4, 602, 1284.26080072, 180, 73);
INSERT INTO public.ecdc_data VALUES (13228, 0, 0, 0.43753443, 30, 73);
INSERT INTO public.ecdc_data VALUES (13229, 0, 6, 0.30061063, 31, 73);
INSERT INTO public.ecdc_data VALUES (13230, 2, 1884, 48.44476438, 124, 73);
INSERT INTO public.ecdc_data VALUES (13231, 0, 150, 141.06603736, 125, 73);
INSERT INTO public.ecdc_data VALUES (13232, 2, 49, 2.79275286, 32, 73);
INSERT INTO public.ecdc_data VALUES (13233, 4, 133, 352.74404884, 181, 73);
INSERT INTO public.ecdc_data VALUES (13234, 0, 0, 5.10282186, 206, 73);
INSERT INTO public.ecdc_data VALUES (13235, 0, 34, 6.84977212, 33, 73);
INSERT INTO public.ecdc_data VALUES (13236, 0, 0, 3.30794616, 34, 73);
INSERT INTO public.ecdc_data VALUES (13237, 250, 7483, 60.02169899, 87, 73);
INSERT INTO public.ecdc_data VALUES (13238, 20, 477, 389.31475558, 182, 73);
INSERT INTO public.ecdc_data VALUES (13239, 0, 1, 281.09415143, 183, 73);
INSERT INTO public.ecdc_data VALUES (13240, 0, 32, 9.42587141, 126, 73);
INSERT INTO public.ecdc_data VALUES (13241, 5, 556, 1287.40465009, 184, 73);
INSERT INTO public.ecdc_data VALUES (13242, 0, 0, 0, 88, 73);
INSERT INTO public.ecdc_data VALUES (13243, 140, 6566, 185.28579066, 35, 73);
INSERT INTO public.ecdc_data VALUES (13244, 2, 72, 4.23499367, 36, 73);
INSERT INTO public.ecdc_data VALUES (13245, 26, 1259, 34.28597523, 127, 73);
INSERT INTO public.ecdc_data VALUES (13246, 0, 32, 26.33769008, 37, 73);
INSERT INTO public.ecdc_data VALUES (13247, 16, 1980, 88.30875487, 128, 73);
INSERT INTO public.ecdc_data VALUES (13248, 54, 5163, 433.83458425, 185, 73);
INSERT INTO public.ecdc_data VALUES (13249, 0, 0, 1.06098169, 207, 73);
INSERT INTO public.ecdc_data VALUES (13250, 0, 1, 0.91991281, 208, 73);
INSERT INTO public.ecdc_data VALUES (13251, 0, 0, 2.04720707, 89, 73);
INSERT INTO public.ecdc_data VALUES (13252, 0, 13, 0.59200233, 38, 73);
INSERT INTO public.ecdc_data VALUES (13253, 1, 56, 1.12209374, 39, 73);
INSERT INTO public.ecdc_data VALUES (13254, 35, 384, 715.02437014, 186, 73);
INSERT INTO public.ecdc_data VALUES (13255, 0, 0, 6.99141803, 209, 73);
INSERT INTO public.ecdc_data VALUES (13256, 5, 1329, 150.89489682, 187, 73);
INSERT INTO public.ecdc_data VALUES (13257, 6, 275, 77.44736072, 129, 73);
INSERT INTO public.ecdc_data VALUES (13258, 48, 2954, 15.42583109, 130, 73);
INSERT INTO public.ecdc_data VALUES (13259, 9, 1552, 302.1426412, 131, 73);
INSERT INTO public.ecdc_data VALUES (13260, 16, 875, 360.93763246, 90, 73);
INSERT INTO public.ecdc_data VALUES (13261, 0, 0, 0.05697279, 210, 73);
INSERT INTO public.ecdc_data VALUES (13262, 8, 596, 129.51692769, 91, 73);
INSERT INTO public.ecdc_data VALUES (13263, 46, 887, 83.14246657, 92, 73);
INSERT INTO public.ecdc_data VALUES (13264, 50, 1796, 20.50101047, 132, 73);
INSERT INTO public.ecdc_data VALUES (13265, 156, 15002, 811.62016655, 188, 73);
INSERT INTO public.ecdc_data VALUES (13266, 74, 4044, 791.91430409, 189, 73);
INSERT INTO public.ecdc_data VALUES (13267, 15, 1129, 453.39816814, 93, 73);
INSERT INTO public.ecdc_data VALUES (13268, 0, 186, 105.29397038, 133, 73);
INSERT INTO public.ecdc_data VALUES (13269, 130, 4207, 596.77689689, 190, 73);
INSERT INTO public.ecdc_data VALUES (13270, 361, 25173, 218.25259991, 191, 73);
INSERT INTO public.ecdc_data VALUES (13271, 0, 61, 3.83307497, 40, 73);
INSERT INTO public.ecdc_data VALUES (13272, 0, 0, 1.8927206, 94, 73);
INSERT INTO public.ecdc_data VALUES (13273, 0, 3, 44.85899505, 95, 73);
INSERT INTO public.ecdc_data VALUES (13274, 0, 0, 7.23373089, 96, 73);
INSERT INTO public.ecdc_data VALUES (13275, 1, 33, 911.38652657, 192, 73);
INSERT INTO public.ecdc_data VALUES (13276, 0, 2, 8.83523678, 41, 73);
INSERT INTO public.ecdc_data VALUES (13277, 16, 231, 13.14617269, 134, 73);
INSERT INTO public.ecdc_data VALUES (13278, 0, 15, 1.14135903, 42, 73);
INSERT INTO public.ecdc_data VALUES (13279, 38, 5067, 892.07503299, 193, 73);
INSERT INTO public.ecdc_data VALUES (13280, 0, 0, 8.18489682, 43, 73);
INSERT INTO public.ecdc_data VALUES (13281, 0, 1, 0.26877568, 44, 73);
INSERT INTO public.ecdc_data VALUES (13282, 0, 5, 1.74007635, 135, 73);
INSERT INTO public.ecdc_data VALUES (13283, 0, 10, 285.45141428, 97, 73);
INSERT INTO public.ecdc_data VALUES (13284, 22, 231, 374.2830141, 194, 73);
INSERT INTO public.ecdc_data VALUES (13285, 27, 470, 968.47145573, 195, 73);
INSERT INTO public.ecdc_data VALUES (13286, 0, 0, 0.44788085, 211, 73);
INSERT INTO public.ecdc_data VALUES (13287, 0, 0, 0.93246699, 45, 73);
INSERT INTO public.ecdc_data VALUES (13288, 65, 2080, 53.33832711, 46, 73);
INSERT INTO public.ecdc_data VALUES (13289, 1, 349, 7.22299036, 136, 73);
INSERT INTO public.ecdc_data VALUES (13290, 0, 0, 0.78646812, 47, 73);
INSERT INTO public.ecdc_data VALUES (13291, 537, 12228, 418.07262747, 196, 73);
INSERT INTO public.ecdc_data VALUES (13292, 3, 337, 29.18344414, 137, 73);
INSERT INTO public.ecdc_data VALUES (13293, 6, 348, 4.74619567, 48, 73);
INSERT INTO public.ecdc_data VALUES (13294, 0, 1, 9.63253595, 98, 73);
INSERT INTO public.ecdc_data VALUES (13295, 54, 3874, 618.56163891, 197, 73);
INSERT INTO public.ecdc_data VALUES (13296, 213, 9688, 828.20266119, 198, 73);
INSERT INTO public.ecdc_data VALUES (13297, 4, 70, 5.92262555, 138, 73);
INSERT INTO public.ecdc_data VALUES (13298, 0, 0, 0.15983928, 139, 73);
INSERT INTO public.ecdc_data VALUES (13299, 0, 38, 5.96501049, 140, 73);
INSERT INTO public.ecdc_data VALUES (13300, 0, 7, 0.10915528, 141, 73);
INSERT INTO public.ecdc_data VALUES (13301, 0, 0, 0, 142, 73);
INSERT INTO public.ecdc_data VALUES (13302, 0, 11, 4.095339, 49, 73);
INSERT INTO public.ecdc_data VALUES (13303, 0, 25, 44.87554921, 99, 73);
INSERT INTO public.ecdc_data VALUES (13304, 41, 484, 150.7175759, 50, 73);
INSERT INTO public.ecdc_data VALUES (13305, 153, 6713, 69.14794595, 199, 73);
INSERT INTO public.ecdc_data VALUES (13306, 0, 0, 102.1102791, 100, 73);
INSERT INTO public.ecdc_data VALUES (13307, 9, 197, 8.11166366, 51, 73);
INSERT INTO public.ecdc_data VALUES (13308, 262, 23024, 378.85246284, 200, 73);
INSERT INTO public.ecdc_data VALUES (13309, 2, 1065, 171.59772156, 143, 73);
INSERT INTO public.ecdc_data VALUES (13310, 479, 15450, 471.33625235, 201, 73);
INSERT INTO public.ecdc_data VALUES (13311, 0, 0, 0, 52, 73);
INSERT INTO public.ecdc_data VALUES (13312, 919, 173963, 702.08639106, 101, 73);
INSERT INTO public.ecdc_data VALUES (13313, 0, 3, 97.53392172, 102, 73);
INSERT INTO public.ecdc_data VALUES (13314, 0, 64, 34.75140038, 103, 73);
INSERT INTO public.ecdc_data VALUES (13315, 1, 230, 8.55019213, 144, 73);
INSERT INTO public.ecdc_data VALUES (13316, 0, 0, 0.3334645, 212, 73);
INSERT INTO public.ecdc_data VALUES (13317, 2, 308, 18.44589544, 104, 73);
INSERT INTO public.ecdc_data VALUES (13318, 0, 6, 0.09952094, 145, 73);
INSERT INTO public.ecdc_data VALUES (13319, 0, 0, 0, 213, 73);
INSERT INTO public.ecdc_data VALUES (13320, 0, 0, 0, 53, 73);
INSERT INTO public.ecdc_data VALUES (13321, 0, 3, 0.03086216, 146, 73);
INSERT INTO public.ecdc_data VALUES (13322, 0, 30, 2.70421074, 54, 73);
INSERT INTO public.ecdc_data VALUES (13323, 5, 88, 5.10055223, 55, 73);
INSERT INTO public.ecdc_data VALUES (13324, 2, 61, 2.58663132, 105, 74);
INSERT INTO public.ecdc_data VALUES (13325, 4, 306, 121.92450672, 147, 74);
INSERT INTO public.ecdc_data VALUES (13326, 9, 273, 6.56399428, 1, 74);
INSERT INTO public.ecdc_data VALUES (13327, 6, 227, 1761.68659832, 148, 74);
INSERT INTO public.ecdc_data VALUES (13328, 5, 244, 8.24501287, 2, 74);
INSERT INTO public.ecdc_data VALUES (13329, 0, 0, 0, 56, 74);
INSERT INTO public.ecdc_data VALUES (13330, 0, 0, 11.32677753, 57, 74);
INSERT INTO public.ecdc_data VALUES (13331, 381, 15718, 441.9317038, 58, 74);
INSERT INTO public.ecdc_data VALUES (13332, 14, 2474, 616.11480163, 149, 74);
INSERT INTO public.ecdc_data VALUES (13333, 0, 12, 220.11099614, 59, 74);
INSERT INTO public.ecdc_data VALUES (13334, 0, 18, 1.01177628, 202, 74);
INSERT INTO public.ecdc_data VALUES (13335, 15, 3442, 259.5957116, 150, 74);
INSERT INTO public.ecdc_data VALUES (13336, 8, 803, 66.70170613, 151, 74);
INSERT INTO public.ecdc_data VALUES (13337, 0, 133, 337.11096163, 60, 74);
INSERT INTO public.ecdc_data VALUES (13338, 4, 363, 287.23515749, 106, 74);
INSERT INTO public.ecdc_data VALUES (13339, 14, 1586, 12.59949843, 107, 74);
INSERT INTO public.ecdc_data VALUES (13340, 0, 3, 8.01335094, 61, 74);
INSERT INTO public.ecdc_data VALUES (13341, 0, 787, 91.99771191, 152, 74);
INSERT INTO public.ecdc_data VALUES (13342, 94, 18876, 1367.75121232, 153, 74);
INSERT INTO public.ecdc_data VALUES (13343, 0, 55, 173.4336533, 62, 74);
INSERT INTO public.ecdc_data VALUES (13344, 0, 0, 1.23716746, 3, 74);
INSERT INTO public.ecdc_data VALUES (13345, 0, 2, 9.59877136, 63, 74);
INSERT INTO public.ecdc_data VALUES (13346, 0, 0, 3.93136363, 108, 74);
INSERT INTO public.ecdc_data VALUES (13347, 24, 167, 20.7242149, 64, 74);
INSERT INTO public.ecdc_data VALUES (13348, 0, 0, 11.54601085, 65, 74);
INSERT INTO public.ecdc_data VALUES (13349, 14, 1178, 260.07286281, 154, 74);
INSERT INTO public.ecdc_data VALUES (13350, 0, 0, 60.90194786, 4, 74);
INSERT INTO public.ecdc_data VALUES (13351, 571, 30026, 141.08916306, 66, 74);
INSERT INTO public.ecdc_data VALUES (13352, 0, 0, 3.3296707, 67, 74);
INSERT INTO public.ecdc_data VALUES (13353, 0, 0, 0.46157823, 109, 74);
INSERT INTO public.ecdc_data VALUES (13354, 13, 1589, 180.68470761, 155, 74);
INSERT INTO public.ecdc_data VALUES (13355, 0, 12, 0.88084556, 5, 74);
INSERT INTO public.ecdc_data VALUES (13356, 0, 2, 0.32955853, 6, 74);
INSERT INTO public.ecdc_data VALUES (13357, 0, 1, 0.02426221, 110, 74);
INSERT INTO public.ecdc_data VALUES (13358, 0, 0, 1.41828146, 7, 74);
INSERT INTO public.ecdc_data VALUES (13359, 26, 2584, 89.85316045, 68, 74);
INSERT INTO public.ecdc_data VALUES (13360, 3, 76, 252.57484507, 8, 74);
INSERT INTO public.ecdc_data VALUES (13361, 0, 3, 38.49233233, 69, 74);
INSERT INTO public.ecdc_data VALUES (13362, 0, 0, 0.21074021, 9, 74);
INSERT INTO public.ecdc_data VALUES (13363, 0, 13, 0.93435193, 10, 74);
INSERT INTO public.ecdc_data VALUES (13364, 52, 1775, 111.52892025, 70, 74);
INSERT INTO public.ecdc_data VALUES (13365, 0, 33, 0.02434119, 111, 74);
INSERT INTO public.ecdc_data VALUES (13366, 166, 8672, 207.87278079, 71, 74);
INSERT INTO public.ecdc_data VALUES (13367, 0, 0, 2.58552506, 11, 74);
INSERT INTO public.ecdc_data VALUES (13368, 0, 0, 0.70625354, 12, 74);
INSERT INTO public.ecdc_data VALUES (13369, 14, 1210, 312.48755587, 72, 74);
INSERT INTO public.ecdc_data VALUES (13370, 0, 15, 1.43487343, 13, 74);
INSERT INTO public.ecdc_data VALUES (13371, 7, 1867, 301.03678728, 156, 74);
INSERT INTO public.ecdc_data VALUES (13372, 0, 58, 4.72934889, 73, 74);
INSERT INTO public.ecdc_data VALUES (13373, 0, 14, 191.52750837, 74, 74);
INSERT INTO public.ecdc_data VALUES (13374, 0, 160, 155.61154882, 157, 74);
INSERT INTO public.ecdc_data VALUES (13375, 126, 15258, 1210.81147064, 158, 74);
INSERT INTO public.ecdc_data VALUES (13376, 0, 25, 0.33068109, 14, 74);
INSERT INTO public.ecdc_data VALUES (13377, 3, 859, 120.2876777, 159, 74);
INSERT INTO public.ecdc_data VALUES (13378, 0, 6, 10.78519285, 15, 74);
INSERT INTO public.ecdc_data VALUES (13379, 0, 4, 8.35561497, 75, 74);
INSERT INTO public.ecdc_data VALUES (13380, 2, 511, 55.19157959, 76, 74);
INSERT INTO public.ecdc_data VALUES (13381, 28, 1819, 71.4990517, 77, 74);
INSERT INTO public.ecdc_data VALUES (13382, 10, 170, 1.96039219, 16, 74);
INSERT INTO public.ecdc_data VALUES (13383, 4, 159, 38.27350838, 78, 74);
INSERT INTO public.ecdc_data VALUES (13384, 0, 5, 1.17995667, 17, 74);
INSERT INTO public.ecdc_data VALUES (13385, 0, 4, 1.60131903, 18, 74);
INSERT INTO public.ecdc_data VALUES (13386, 2, 53, 37.06163856, 160, 74);
INSERT INTO public.ecdc_data VALUES (13387, 0, 17, 16.28731166, 19, 74);
INSERT INTO public.ecdc_data VALUES (13388, 4, 536, 8.53596419, 20, 74);
INSERT INTO public.ecdc_data VALUES (13389, 0, 0, 0, 79, 74);
INSERT INTO public.ecdc_data VALUES (13390, 0, 0, 26.70665818, 161, 74);
INSERT INTO public.ecdc_data VALUES (13391, 0, 0, 0.11236523, 203, 74);
INSERT INTO public.ecdc_data VALUES (13392, 0, 219, 52.44730849, 162, 74);
INSERT INTO public.ecdc_data VALUES (13393, 298, 42032, 520.94162252, 163, 74);
INSERT INTO public.ecdc_data VALUES (13394, 1, 698, 1111.76754928, 204, 74);
INSERT INTO public.ecdc_data VALUES (13395, 0, 18, 3.86637442, 21, 74);
INSERT INTO public.ecdc_data VALUES (13396, 0, 0, 1.6186082, 22, 74);
INSERT INTO public.ecdc_data VALUES (13397, 5, 1759, 345.5297063, 164, 74);
INSERT INTO public.ecdc_data VALUES (13398, 49, 14714, 118.79659712, 165, 74);
INSERT INTO public.ecdc_data VALUES (13399, 2, 63, 2.01855108, 23, 74);
INSERT INTO public.ecdc_data VALUES (13400, 0, 11, 513.26173382, 166, 74);
INSERT INTO public.ecdc_data VALUES (13401, 10, 841, 67.9279477, 167, 74);
INSERT INTO public.ecdc_data VALUES (13402, 0, 0, 1.76491352, 80, 74);
INSERT INTO public.ecdc_data VALUES (13403, 0, 0, 2.6785236, 81, 74);
INSERT INTO public.ecdc_data VALUES (13404, 0, 85, 688.60396306, 205, 74);
INSERT INTO public.ecdc_data VALUES (13405, 14, 730, 39.62693462, 82, 74);
INSERT INTO public.ecdc_data VALUES (13406, 0, 3, 10.85810014, 168, 74);
INSERT INTO public.ecdc_data VALUES (13407, 0, 0, 5.33229099, 24, 74);
INSERT INTO public.ecdc_data VALUES (13408, 0, 0, 2.13439727, 25, 74);
INSERT INTO public.ecdc_data VALUES (13409, 0, 83, 76.90587972, 83, 74);
INSERT INTO public.ecdc_data VALUES (13410, 0, 36, 1.42944927, 84, 74);
INSERT INTO public.ecdc_data VALUES (13411, 0, 0, 1717.79141104, 169, 74);
INSERT INTO public.ecdc_data VALUES (13412, 8, 373, 95.7304526, 85, 74);
INSERT INTO public.ecdc_data VALUES (13413, 38, 1820, 199.55476224, 170, 74);
INSERT INTO public.ecdc_data VALUES (13414, 0, 40, 261.91136471, 171, 74);
INSERT INTO public.ecdc_data VALUES (13415, 650, 53370, 61.12764536, 112, 74);
INSERT INTO public.ecdc_data VALUES (13416, 118, 4369, 21.15542912, 113, 74);
INSERT INTO public.ecdc_data VALUES (13417, 335, 6134, 77.80722587, 114, 74);
INSERT INTO public.ecdc_data VALUES (13418, 48, 3785, 122.53690805, 115, 74);
INSERT INTO public.ecdc_data VALUES (13419, 7, 785, 296.84517887, 172, 74);
INSERT INTO public.ecdc_data VALUES (13420, 0, 0, 3.54656043, 173, 74);
INSERT INTO public.ecdc_data VALUES (13421, 10, 268, 246.28573018, 116, 74);
INSERT INTO public.ecdc_data VALUES (13422, 91, 19143, 233.76418371, 174, 74);
INSERT INTO public.ecdc_data VALUES (13423, 3, 38, 43.24559734, 86, 74);
INSERT INTO public.ecdc_data VALUES (13424, 12, 697, 5.99241848, 117, 74);
INSERT INTO public.ecdc_data VALUES (13425, 0, 4, 75.14193477, 175, 74);
INSERT INTO public.ecdc_data VALUES (13426, 27, 2489, 259.0356848, 118, 74);
INSERT INTO public.ecdc_data VALUES (13427, 2, 329, 19.95533713, 119, 74);
INSERT INTO public.ecdc_data VALUES (13428, 14, 631, 13.73873879, 26, 74);
INSERT INTO public.ecdc_data VALUES (13429, 2, 169, 85.68222736, 176, 74);
INSERT INTO public.ecdc_data VALUES (13430, 10, 812, 241.40276016, 120, 74);
INSERT INTO public.ecdc_data VALUES (13431, 4, 556, 96.94738858, 121, 74);
INSERT INTO public.ecdc_data VALUES (13432, 0, 0, 0.01394806, 122, 74);
INSERT INTO public.ecdc_data VALUES (13433, 1, 250, 88.59522659, 177, 74);
INSERT INTO public.ecdc_data VALUES (13434, 7, 1452, 252.47571039, 123, 74);
INSERT INTO public.ecdc_data VALUES (13435, 0, 5, 5.78750811, 27, 74);
INSERT INTO public.ecdc_data VALUES (13436, 0, 8, 0.66837149, 28, 74);
INSERT INTO public.ecdc_data VALUES (13437, 6, 764, 177.29374147, 29, 74);
INSERT INTO public.ecdc_data VALUES (13438, 0, 42, 500.28662254, 178, 74);
INSERT INTO public.ecdc_data VALUES (13439, 1, 441, 119.74873523, 179, 74);
INSERT INTO public.ecdc_data VALUES (13440, 1, 518, 568.66494867, 180, 74);
INSERT INTO public.ecdc_data VALUES (13441, 0, 0, 0.49686114, 30, 74);
INSERT INTO public.ecdc_data VALUES (13442, 0, 11, 0.38649938, 31, 74);
INSERT INTO public.ecdc_data VALUES (13443, 10, 710, 30.64808973, 124, 74);
INSERT INTO public.ecdc_data VALUES (13444, 0, 33, 109.80173536, 125, 74);
INSERT INTO public.ecdc_data VALUES (13445, 0, 4, 0.99704838, 32, 74);
INSERT INTO public.ecdc_data VALUES (13446, 1, 115, 343.01876777, 181, 74);
INSERT INTO public.ecdc_data VALUES (13447, 0, 0, 2.5410445, 33, 74);
INSERT INTO public.ecdc_data VALUES (13448, 0, 14, 3.15042491, 34, 74);
INSERT INTO public.ecdc_data VALUES (13449, 418, 6604, 40.93026336, 87, 74);
INSERT INTO public.ecdc_data VALUES (13450, 14, 688, 233.0546307, 182, 74);
INSERT INTO public.ecdc_data VALUES (13451, 0, 14, 187.39610095, 183, 74);
INSERT INTO public.ecdc_data VALUES (13452, 0, 9, 0.68213543, 126, 74);
INSERT INTO public.ecdc_data VALUES (13453, 2, 177, 496.31779769, 184, 74);
INSERT INTO public.ecdc_data VALUES (13454, 0, 0, 0, 88, 74);
INSERT INTO public.ecdc_data VALUES (13455, 73, 3685, 120.6906186, 35, 74);
INSERT INTO public.ecdc_data VALUES (13456, 1, 189, 6.60606323, 36, 74);
INSERT INTO public.ecdc_data VALUES (13457, 33, 1357, 34.15460425, 127, 74);
INSERT INTO public.ecdc_data VALUES (13458, 0, 41, 26.9390072, 37, 74);
INSERT INTO public.ecdc_data VALUES (13459, 17, 4499, 182.92328055, 128, 74);
INSERT INTO public.ecdc_data VALUES (13460, 45, 9983, 639.40491708, 185, 74);
INSERT INTO public.ecdc_data VALUES (13461, 0, 0, 0, 207, 74);
INSERT INTO public.ecdc_data VALUES (13462, 0, 11, 1.33805499, 208, 74);
INSERT INTO public.ecdc_data VALUES (13463, 0, 0, 2.597203, 89, 74);
INSERT INTO public.ecdc_data VALUES (13464, 0, 0, 0.06005821, 38, 74);
INSERT INTO public.ecdc_data VALUES (13465, 2, 77, 0.94046881, 39, 74);
INSERT INTO public.ecdc_data VALUES (13466, 9, 518, 280.57918322, 186, 74);
INSERT INTO public.ecdc_data VALUES (13467, 0, 0, 22.72210861, 209, 74);
INSERT INTO public.ecdc_data VALUES (13468, 0, 268, 37.74249223, 187, 74);
INSERT INTO public.ecdc_data VALUES (13469, 0, 0, 154.93492251, 129, 74);
INSERT INTO public.ecdc_data VALUES (13470, 12, 847, 4.06205394, 130, 74);
INSERT INTO public.ecdc_data VALUES (13471, 4, 513, 127.07214928, 131, 74);
INSERT INTO public.ecdc_data VALUES (13472, 10, 639, 212.53096712, 90, 74);
INSERT INTO public.ecdc_data VALUES (13473, 0, 0, 0.38741498, 210, 74);
INSERT INTO public.ecdc_data VALUES (13474, 11, 733, 141.72479243, 91, 74);
INSERT INTO public.ecdc_data VALUES (13475, 49, 3240, 122.30216845, 92, 74);
INSERT INTO public.ecdc_data VALUES (13476, 132, 1911, 28.69956481, 132, 74);
INSERT INTO public.ecdc_data VALUES (13477, 153, 13632, 294.89520028, 188, 74);
INSERT INTO public.ecdc_data VALUES (13478, 31, 2899, 277.44538889, 189, 74);
INSERT INTO public.ecdc_data VALUES (13479, 8, 1947, 275.85699072, 93, 74);
INSERT INTO public.ecdc_data VALUES (13480, 1, 249, 109.84894093, 133, 74);
INSERT INTO public.ecdc_data VALUES (13481, 82, 5028, 268.59364294, 190, 74);
INSERT INTO public.ecdc_data VALUES (13482, 283, 17340, 142.87020713, 191, 74);
INSERT INTO public.ecdc_data VALUES (13483, 0, 35, 1.28297137, 40, 74);
INSERT INTO public.ecdc_data VALUES (13484, 0, 0, 0, 94, 74);
INSERT INTO public.ecdc_data VALUES (13485, 0, 6, 10.9412183, 95, 74);
INSERT INTO public.ecdc_data VALUES (13486, 0, 5, 8.13794725, 96, 74);
INSERT INTO public.ecdc_data VALUES (13487, 0, 17, 194.46782573, 192, 74);
INSERT INTO public.ecdc_data VALUES (13488, 0, 3, 7.4401994, 41, 74);
INSERT INTO public.ecdc_data VALUES (13489, 14, 383, 16.39405065, 134, 74);
INSERT INTO public.ecdc_data VALUES (13490, 0, 17, 1.91453774, 42, 74);
INSERT INTO public.ecdc_data VALUES (13491, 3, 579, 51.6674603, 193, 74);
INSERT INTO public.ecdc_data VALUES (13492, 0, 0, 5.11556051, 43, 74);
INSERT INTO public.ecdc_data VALUES (13493, 1, 3, 0.6143444, 44, 74);
INSERT INTO public.ecdc_data VALUES (13494, 0, 10, 1.58502004, 135, 74);
INSERT INTO public.ecdc_data VALUES (13495, 0, 4, 181.6509, 97, 74);
INSERT INTO public.ecdc_data VALUES (13496, 19, 2581, 385.30968525, 194, 74);
INSERT INTO public.ecdc_data VALUES (13497, 5, 1662, 549.71195267, 195, 74);
INSERT INTO public.ecdc_data VALUES (13498, 0, 0, 0, 211, 74);
INSERT INTO public.ecdc_data VALUES (13499, 0, 0, 0.32377326, 45, 74);
INSERT INTO public.ecdc_data VALUES (13500, 48, 1897, 40.77989535, 46, 74);
INSERT INTO public.ecdc_data VALUES (13501, 2, 77, 2.39529978, 136, 74);
INSERT INTO public.ecdc_data VALUES (13502, 1, 4, 1.0395843, 47, 74);
INSERT INTO public.ecdc_data VALUES (13503, 0, 0, 394.18745017, 196, 74);
INSERT INTO public.ecdc_data VALUES (13504, 0, 866, 12.33367477, 137, 74);
INSERT INTO public.ecdc_data VALUES (13505, 0, 0, 0.12612922, 48, 74);
INSERT INTO public.ecdc_data VALUES (13506, 0, 1, 23.56531117, 98, 74);
INSERT INTO public.ecdc_data VALUES (13507, 7, 1868, 120.91667941, 197, 74);
INSERT INTO public.ecdc_data VALUES (13508, 10, 6592, 504.33452899, 198, 74);
INSERT INTO public.ecdc_data VALUES (13509, 4, 52, 4.11830442, 138, 74);
INSERT INTO public.ecdc_data VALUES (13510, 0, 2, 0.09674483, 139, 74);
INSERT INTO public.ecdc_data VALUES (13511, 0, 42, 5.98646737, 140, 74);
INSERT INTO public.ecdc_data VALUES (13512, 0, 4, 0.13931661, 141, 74);
INSERT INTO public.ecdc_data VALUES (13513, 0, 0, 0.07733234, 142, 74);
INSERT INTO public.ecdc_data VALUES (13514, 0, 23, 2.98180271, 49, 74);
INSERT INTO public.ecdc_data VALUES (13515, 1, 41, 33.40576027, 99, 74);
INSERT INTO public.ecdc_data VALUES (13516, 44, 1322, 163.25314644, 50, 74);
INSERT INTO public.ecdc_data VALUES (13517, 74, 2165, 30.86561195, 199, 74);
INSERT INTO public.ecdc_data VALUES (13518, 0, 1, 10.47284914, 100, 74);
INSERT INTO public.ecdc_data VALUES (13519, 1, 122, 3.67069157, 51, 74);
INSERT INTO public.ecdc_data VALUES (13520, 121, 7517, 194.71449546, 200, 74);
INSERT INTO public.ecdc_data VALUES (13521, 1, 1563, 186.98072141, 143, 74);
INSERT INTO public.ecdc_data VALUES (13522, 224, 20531, 383.09086821, 201, 74);
INSERT INTO public.ecdc_data VALUES (13523, 0, 0, 0, 52, 74);
INSERT INTO public.ecdc_data VALUES (13524, 953, 85329, 251.9238476, 101, 74);
INSERT INTO public.ecdc_data VALUES (13525, 0, 3, 20.0805133, 102, 74);
INSERT INTO public.ecdc_data VALUES (13526, 0, 58, 14.67473931, 103, 74);
INSERT INTO public.ecdc_data VALUES (13527, 1, 178, 13.54993214, 144, 74);
INSERT INTO public.ecdc_data VALUES (13528, 5, 302, 24.62491972, 104, 74);
INSERT INTO public.ecdc_data VALUES (13529, 0, 0, 0.04457709, 145, 74);
INSERT INTO public.ecdc_data VALUES (13530, 0, 0, 0, 213, 74);
INSERT INTO public.ecdc_data VALUES (13531, 0, 0, 0, 53, 74);
INSERT INTO public.ecdc_data VALUES (13532, 0, 0, 0.0240039, 146, 74);
INSERT INTO public.ecdc_data VALUES (13533, 0, 60, 4.44543132, 54, 74);
INSERT INTO public.ecdc_data VALUES (13534, 0, 15, 1.79577676, 55, 74);
INSERT INTO public.ecdc_data VALUES (13535, 5, 25, 1.64556017, 105, 75);
INSERT INTO public.ecdc_data VALUES (13536, 3, 121, 72.77041476, 147, 75);
INSERT INTO public.ecdc_data VALUES (13537, 9, 186, 7.39552646, 1, 75);
INSERT INTO public.ecdc_data VALUES (13538, 0, 72, 593.35494966, 148, 75);
INSERT INTO public.ecdc_data VALUES (13539, 0, 0, 3.78001162, 2, 75);
INSERT INTO public.ecdc_data VALUES (13540, 0, 0, 0, 56, 75);
INSERT INTO public.ecdc_data VALUES (13541, 0, 1, 2.0594141, 57, 75);
INSERT INTO public.ecdc_data VALUES (13542, 424, 12638, 367.96676245, 58, 75);
INSERT INTO public.ecdc_data VALUES (13543, 4, 210, 92.13152798, 149, 75);
INSERT INTO public.ecdc_data VALUES (13544, 0, 56, 932.17947512, 59, 75);
INSERT INTO public.ecdc_data VALUES (13545, 5, 31, 2.01561706, 202, 75);
INSERT INTO public.ecdc_data VALUES (13546, 6, 661, 108.41228048, 150, 75);
INSERT INTO public.ecdc_data VALUES (13547, 2, 146, 17.83489367, 151, 75);
INSERT INTO public.ecdc_data VALUES (13548, 3, 151, 230.30352824, 60, 75);
INSERT INTO public.ecdc_data VALUES (13549, 5, 650, 586.41305805, 106, 75);
INSERT INTO public.ecdc_data VALUES (13550, 37, 1666, 13.96291589, 107, 75);
INSERT INTO public.ecdc_data VALUES (13551, 0, 0, 3.13565906, 61, 75);
INSERT INTO public.ecdc_data VALUES (13552, 5, 253, 31.26187197, 152, 75);
INSERT INTO public.ecdc_data VALUES (13553, 8, 2097, 163.76385915, 153, 75);
INSERT INTO public.ecdc_data VALUES (13554, 1, 37, 87.35727589, 62, 75);
INSERT INTO public.ecdc_data VALUES (13555, 0, 31, 0.70332123, 3, 75);
INSERT INTO public.ecdc_data VALUES (13556, 0, 1, 6.3991809, 63, 75);
INSERT INTO public.ecdc_data VALUES (13557, 0, 0, 3.53822727, 108, 75);
INSERT INTO public.ecdc_data VALUES (13558, 38, 537, 75.08836454, 64, 75);
INSERT INTO public.ecdc_data VALUES (13559, 0, 5, 169.34149251, 65, 75);
INSERT INTO public.ecdc_data VALUES (13560, 12, 344, 115.81346005, 154, 75);
INSERT INTO public.ecdc_data VALUES (13561, 0, 0, 19.14309266, 4, 75);
INSERT INTO public.ecdc_data VALUES (13562, 869, 33281, 202.32029053, 66, 75);
INSERT INTO public.ecdc_data VALUES (13563, 0, 0, 26.63736556, 67, 75);
INSERT INTO public.ecdc_data VALUES (13564, 0, 0, 0, 109, 75);
INSERT INTO public.ecdc_data VALUES (13565, 12, 160, 26.39985292, 155, 75);
INSERT INTO public.ecdc_data VALUES (13566, 0, 22, 2.22917899, 5, 75);
INSERT INTO public.ecdc_data VALUES (13567, 0, 2, 0.08672593, 6, 75);
INSERT INTO public.ecdc_data VALUES (13568, 0, 0, 0.00606555, 110, 75);
INSERT INTO public.ecdc_data VALUES (13569, 0, 92, 3.25393186, 7, 75);
INSERT INTO public.ecdc_data VALUES (13570, 9, 1090, 35.97601328, 68, 75);
INSERT INTO public.ecdc_data VALUES (13571, 2, 131, 170.74714149, 8, 75);
INSERT INTO public.ecdc_data VALUES (13572, 0, 0, 4.61907988, 69, 75);
INSERT INTO public.ecdc_data VALUES (13573, 0, 0, 1.39088536, 9, 75);
INSERT INTO public.ecdc_data VALUES (13574, 1, 9, 0.72741493, 10, 75);
INSERT INTO public.ecdc_data VALUES (13575, 24, 1380, 120.70471588, 70, 75);
INSERT INTO public.ecdc_data VALUES (13576, 1, 10, 0.02155137, 111, 75);
INSERT INTO public.ecdc_data VALUES (13577, 176, 6731, 193.51028576, 71, 75);
INSERT INTO public.ecdc_data VALUES (13578, 0, 0, 1.64533413, 11, 75);
INSERT INTO public.ecdc_data VALUES (13579, 0, 3, 2.11876062, 12, 75);
INSERT INTO public.ecdc_data VALUES (13580, 21, 1370, 333.52742047, 72, 75);
INSERT INTO public.ecdc_data VALUES (13581, 0, 87, 2.39145571, 13, 75);
INSERT INTO public.ecdc_data VALUES (13582, 2, 204, 66.58086877, 156, 75);
INSERT INTO public.ecdc_data VALUES (13583, 1, 48, 7.15578722, 73, 75);
INSERT INTO public.ecdc_data VALUES (13584, 0, 10, 113.2031599, 74, 75);
INSERT INTO public.ecdc_data VALUES (13585, 0, 36, 15.98357802, 157, 75);
INSERT INTO public.ecdc_data VALUES (13586, 24, 2306, 229.37519953, 158, 75);
INSERT INTO public.ecdc_data VALUES (13587, 0, 14, 0.24541837, 14, 75);
INSERT INTO public.ecdc_data VALUES (13588, 2, 558, 99.0340989, 159, 75);
INSERT INTO public.ecdc_data VALUES (13589, 0, 0, 1.64345796, 15, 75);
INSERT INTO public.ecdc_data VALUES (13590, 0, 0, 0, 75, 75);
INSERT INTO public.ecdc_data VALUES (13591, 10, 468, 81.94464323, 76, 75);
INSERT INTO public.ecdc_data VALUES (13592, 45, 2249, 102.02803014, 77, 75);
INSERT INTO public.ecdc_data VALUES (13593, 16, 121, 1.96437673, 16, 75);
INSERT INTO public.ecdc_data VALUES (13594, 0, 0, 20.94970985, 78, 75);
INSERT INTO public.ecdc_data VALUES (13595, 0, 0, 2.43366062, 17, 75);
INSERT INTO public.ecdc_data VALUES (13596, 0, 0, 0.6576846, 18, 75);
INSERT INTO public.ecdc_data VALUES (13597, 0, 57, 33.81591461, 160, 75);
INSERT INTO public.ecdc_data VALUES (13598, 2, 36, 35.44885479, 19, 75);
INSERT INTO public.ecdc_data VALUES (13599, 14, 661, 8.37179387, 20, 75);
INSERT INTO public.ecdc_data VALUES (13600, 0, 0, 0, 79, 75);
INSERT INTO public.ecdc_data VALUES (13601, 0, 3, 73.95689956, 161, 75);
INSERT INTO public.ecdc_data VALUES (13602, 0, 0, 0, 203, 75);
INSERT INTO public.ecdc_data VALUES (13603, 2, 93, 15.54934025, 162, 75);
INSERT INTO public.ecdc_data VALUES (13604, 43, 13072, 204.49799183, 163, 75);
INSERT INTO public.ecdc_data VALUES (13605, 0, 0, 192.27670659, 204, 75);
INSERT INTO public.ecdc_data VALUES (13606, 0, 12, 4.37268535, 21, 75);
INSERT INTO public.ecdc_data VALUES (13607, 0, 2, 10.60614321, 22, 75);
INSERT INTO public.ecdc_data VALUES (13608, 1, 259, 64.27703226, 164, 75);
INSERT INTO public.ecdc_data VALUES (13609, 19, 2143, 27.34788633, 165, 75);
INSERT INTO public.ecdc_data VALUES (13610, 2, 37, 2.76153567, 23, 75);
INSERT INTO public.ecdc_data VALUES (13611, 0, 2, 103.8390791, 166, 75);
INSERT INTO public.ecdc_data VALUES (13612, 5, 358, 39.21824956, 167, 75);
INSERT INTO public.ecdc_data VALUES (13613, 0, 0, 0, 80, 75);
INSERT INTO public.ecdc_data VALUES (13614, 0, 0, 0, 81, 75);
INSERT INTO public.ecdc_data VALUES (13615, 1, 45, 285.12507845, 205, 75);
INSERT INTO public.ecdc_data VALUES (13616, 17, 819, 44.47863194, 82, 75);
INSERT INTO public.ecdc_data VALUES (13617, 0, 0, 4.65347149, 168, 75);
INSERT INTO public.ecdc_data VALUES (13618, 0, 47, 4.29871917, 24, 75);
INSERT INTO public.ecdc_data VALUES (13619, 0, 0, 3.01939126, 25, 75);
INSERT INTO public.ecdc_data VALUES (13620, 2, 98, 106.2885248, 83, 75);
INSERT INTO public.ecdc_data VALUES (13621, 2, 13, 2.32618452, 84, 75);
INSERT INTO public.ecdc_data VALUES (13622, 0, 0, 0, 169, 75);
INSERT INTO public.ecdc_data VALUES (13623, 16, 369, 72.62380959, 85, 75);
INSERT INTO public.ecdc_data VALUES (13624, 7, 750, 117.52058478, 170, 75);
INSERT INTO public.ecdc_data VALUES (13625, 0, 57, 90.47847145, 171, 75);
INSERT INTO public.ecdc_data VALUES (13626, 1129, 86508, 92.69895641, 112, 75);
INSERT INTO public.ecdc_data VALUES (13627, 140, 4465, 19.97076647, 113, 75);
INSERT INTO public.ecdc_data VALUES (13628, 184, 3605, 47.48661361, 114, 75);
INSERT INTO public.ecdc_data VALUES (13629, 72, 5055, 149.6166769, 115, 75);
INSERT INTO public.ecdc_data VALUES (13630, 2, 231, 71.591113, 172, 75);
INSERT INTO public.ecdc_data VALUES (13631, 0, 0, 3.54656043, 173, 75);
INSERT INTO public.ecdc_data VALUES (13632, 40, 11316, 729.02078592, 116, 75);
INSERT INTO public.ecdc_data VALUES (13633, 20, 1640, 34.71530419, 174, 75);
INSERT INTO public.ecdc_data VALUES (13634, 1, 122, 65.66547173, 86, 75);
INSERT INTO public.ecdc_data VALUES (13635, 8, 273, 5.37599237, 117, 75);
INSERT INTO public.ecdc_data VALUES (13636, 0, 1, 12.9874949, 175, 75);
INSERT INTO public.ecdc_data VALUES (13637, 2, 363, 33.48942262, 118, 75);
INSERT INTO public.ecdc_data VALUES (13638, 1, 307, 22.26243716, 119, 75);
INSERT INTO public.ecdc_data VALUES (13639, 5, 130, 3.59113095, 26, 75);
INSERT INTO public.ecdc_data VALUES (13640, 1, 62, 49.65232254, 176, 75);
INSERT INTO public.ecdc_data VALUES (13641, 2, 616, 219.08322572, 120, 75);
INSERT INTO public.ecdc_data VALUES (13642, 0, 127, 16.72420385, 121, 75);
INSERT INTO public.ecdc_data VALUES (13643, 0, 0, 0.01394806, 122, 75);
INSERT INTO public.ecdc_data VALUES (13644, 0, 12, 6.71886198, 177, 75);
INSERT INTO public.ecdc_data VALUES (13645, 13, 940, 144.62399148, 123, 75);
INSERT INTO public.ecdc_data VALUES (13646, 0, 0, 12.23375698, 27, 75);
INSERT INTO public.ecdc_data VALUES (13647, 0, 1, 0.48608835, 28, 75);
INSERT INTO public.ecdc_data VALUES (13648, 9, 651, 142.16254985, 29, 75);
INSERT INTO public.ecdc_data VALUES (13649, 0, 1, 20.84527594, 178, 75);
INSERT INTO public.ecdc_data VALUES (13650, 0, 73, 27.5214517, 179, 75);
INSERT INTO public.ecdc_data VALUES (13651, 0, 74, 173.80850766, 180, 75);
INSERT INTO public.ecdc_data VALUES (13652, 0, 31, 2.39902354, 30, 75);
INSERT INTO public.ecdc_data VALUES (13653, 0, 9, 0.49922837, 31, 75);
INSERT INTO public.ecdc_data VALUES (13654, 3, 147, 2.88577806, 124, 75);
INSERT INTO public.ecdc_data VALUES (13655, 0, 67, 197.94446631, 125, 75);
INSERT INTO public.ecdc_data VALUES (13656, 1, 4, 0.69182949, 32, 75);
INSERT INTO public.ecdc_data VALUES (13657, 1, 42, 140.61135548, 181, 75);
INSERT INTO public.ecdc_data VALUES (13658, 0, 41, 5.76706621, 33, 75);
INSERT INTO public.ecdc_data VALUES (13659, 0, 0, 0.86636685, 34, 75);
INSERT INTO public.ecdc_data VALUES (13660, 601, 5495, 47.65961033, 87, 75);
INSERT INTO public.ecdc_data VALUES (13661, 14, 786, 175.30417302, 182, 75);
INSERT INTO public.ecdc_data VALUES (13662, 0, 2, 114.85567478, 183, 75);
INSERT INTO public.ecdc_data VALUES (13663, 0, 0, 0.09301847, 126, 75);
INSERT INTO public.ecdc_data VALUES (13664, 5, 290, 535.85606784, 184, 75);
INSERT INTO public.ecdc_data VALUES (13665, 0, 0, 0, 88, 75);
INSERT INTO public.ecdc_data VALUES (13666, 29, 2397, 81.88525886, 35, 75);
INSERT INTO public.ecdc_data VALUES (13667, 4, 148, 8.22629409, 36, 75);
INSERT INTO public.ecdc_data VALUES (13668, 17, 868, 10.7650191, 127, 75);
INSERT INTO public.ecdc_data VALUES (13669, 1, 56, 62.33654196, 37, 75);
INSERT INTO public.ecdc_data VALUES (13670, 7, 1172, 64.96272202, 128, 75);
INSERT INTO public.ecdc_data VALUES (13671, 5, 2351, 132.37926294, 185, 75);
INSERT INTO public.ecdc_data VALUES (13672, 0, 0, 0, 207, 75);
INSERT INTO public.ecdc_data VALUES (13673, 0, 3, 0.62721328, 208, 75);
INSERT INTO public.ecdc_data VALUES (13674, 0, 0, 3.89580449, 89, 75);
INSERT INTO public.ecdc_data VALUES (13675, 0, 0, 0.06434808, 38, 75);
INSERT INTO public.ecdc_data VALUES (13676, 2, 111, 1.04098452, 39, 75);
INSERT INTO public.ecdc_data VALUES (13677, 5, 182, 87.76524554, 186, 75);
INSERT INTO public.ecdc_data VALUES (13678, 0, 0, 17.47854509, 209, 75);
INSERT INTO public.ecdc_data VALUES (13679, 0, 152, 28.67753761, 187, 75);
INSERT INTO public.ecdc_data VALUES (13680, 10, 628, 148.74395778, 129, 75);
INSERT INTO public.ecdc_data VALUES (13681, 5, 799, 3.86119076, 130, 75);
INSERT INTO public.ecdc_data VALUES (13682, 3, 503, 218.87324543, 131, 75);
INSERT INTO public.ecdc_data VALUES (13683, 6, 706, 210.71768352, 90, 75);
INSERT INTO public.ecdc_data VALUES (13684, 0, 4, 0.30765308, 210, 75);
INSERT INTO public.ecdc_data VALUES (13685, 22, 743, 149.68829489, 91, 75);
INSERT INTO public.ecdc_data VALUES (13686, 284, 6149, 245.82548227, 92, 75);
INSERT INTO public.ecdc_data VALUES (13687, 42, 2802, 45.73579815, 132, 75);
INSERT INTO public.ecdc_data VALUES (13688, 28, 974, 25.61306231, 188, 75);
INSERT INTO public.ecdc_data VALUES (13689, 3, 802, 86.83791563, 189, 75);
INSERT INTO public.ecdc_data VALUES (13690, 4, 55, 243.53958746, 93, 75);
INSERT INTO public.ecdc_data VALUES (13691, 1, 258, 117.54648806, 133, 75);
INSERT INTO public.ecdc_data VALUES (13692, 47, 1767, 93.28614788, 190, 75);
INSERT INTO public.ecdc_data VALUES (13693, 150, 6431, 55.68844961, 191, 75);
INSERT INTO public.ecdc_data VALUES (13694, 0, 41, 2.52634487, 40, 75);
INSERT INTO public.ecdc_data VALUES (13695, 0, 0, 3.78544119, 94, 75);
INSERT INTO public.ecdc_data VALUES (13696, 0, 0, 0, 95, 75);
INSERT INTO public.ecdc_data VALUES (13697, 0, 0, 1.80843272, 96, 75);
INSERT INTO public.ecdc_data VALUES (13698, 0, 0, 2.90250486, 192, 75);
INSERT INTO public.ecdc_data VALUES (13699, 0, 0, 4.65012462, 41, 75);
INSERT INTO public.ecdc_data VALUES (13700, 27, 561, 24.35762562, 134, 75);
INSERT INTO public.ecdc_data VALUES (13701, 1, 36, 4.25248285, 42, 75);
INSERT INTO public.ecdc_data VALUES (13702, 1, 81, 14.38877021, 193, 75);
INSERT INTO public.ecdc_data VALUES (13703, 0, 0, 6.13867261, 43, 75);
INSERT INTO public.ecdc_data VALUES (13704, 0, 9, 1.48466564, 44, 75);
INSERT INTO public.ecdc_data VALUES (13705, 0, 12, 8.14907045, 135, 75);
INSERT INTO public.ecdc_data VALUES (13706, 1, 22, 202.88282337, 97, 75);
INSERT INTO public.ecdc_data VALUES (13707, 1, 338, 43.68469885, 194, 75);
INSERT INTO public.ecdc_data VALUES (13708, 0, 136, 66.41331573, 195, 75);
INSERT INTO public.ecdc_data VALUES (13709, 0, 0, 0.60869373, 45, 75);
INSERT INTO public.ecdc_data VALUES (13710, 88, 1906, 38.86214734, 46, 75);
INSERT INTO public.ecdc_data VALUES (13711, 5, 125, 3.11955097, 136, 75);
INSERT INTO public.ecdc_data VALUES (13712, 0, 0, 0.97630525, 47, 75);
INSERT INTO public.ecdc_data VALUES (13713, 84, 10653, 319.71751107, 196, 75);
INSERT INTO public.ecdc_data VALUES (13714, 0, 11, 0.830061, 137, 75);
INSERT INTO public.ecdc_data VALUES (13715, 0, 0, 0.3293374, 48, 75);
INSERT INTO public.ecdc_data VALUES (13716, 1, 20, 57.10717744, 98, 75);
INSERT INTO public.ecdc_data VALUES (13717, 0, 553, 38.65032744, 197, 75);
INSERT INTO public.ecdc_data VALUES (13718, 0, 436, 67.72756409, 198, 75);
INSERT INTO public.ecdc_data VALUES (13719, 3, 47, 3.3567403, 138, 75);
INSERT INTO public.ecdc_data VALUES (13720, 0, 0, 0.05468186, 139, 75);
INSERT INTO public.ecdc_data VALUES (13721, 1, 43, 6.17957922, 140, 75);
INSERT INTO public.ecdc_data VALUES (13722, 0, 2, 0.08904773, 141, 75);
INSERT INTO public.ecdc_data VALUES (13723, 0, 0, 0, 142, 75);
INSERT INTO public.ecdc_data VALUES (13724, 0, 18, 2.14046419, 49, 75);
INSERT INTO public.ecdc_data VALUES (13725, 2, 110, 110.97020794, 99, 75);
INSERT INTO public.ecdc_data VALUES (13726, 10, 1219, 60.38622042, 50, 75);
INSERT INTO public.ecdc_data VALUES (13727, 72, 1767, 28.20110394, 199, 75);
INSERT INTO public.ecdc_data VALUES (13728, 0, 4, 125.67418966, 100, 75);
INSERT INTO public.ecdc_data VALUES (13729, 5, 167, 6.27518843, 51, 75);
INSERT INTO public.ecdc_data VALUES (13730, 63, 3497, 88.92648422, 200, 75);
INSERT INTO public.ecdc_data VALUES (13731, 1, 1083, 118.20243864, 143, 75);
INSERT INTO public.ecdc_data VALUES (13732, 37, 6178, 81.78899035, 201, 75);
INSERT INTO public.ecdc_data VALUES (13733, 0, 0, 0, 52, 75);
INSERT INTO public.ecdc_data VALUES (13734, 1102, 37930, 174.58074997, 101, 75);
INSERT INTO public.ecdc_data VALUES (13735, 0, 12, 88.92798745, 102, 75);
INSERT INTO public.ecdc_data VALUES (13736, 1, 12, 5.92189283, 103, 75);
INSERT INTO public.ecdc_data VALUES (13737, 2, 616, 25.79307959, 144, 75);
INSERT INTO public.ecdc_data VALUES (13738, 10, 986, 44.4945858, 104, 75);
INSERT INTO public.ecdc_data VALUES (13739, 0, 1, 0.01036676, 145, 75);
INSERT INTO public.ecdc_data VALUES (13740, 0, 0, 0, 53, 75);
INSERT INTO public.ecdc_data VALUES (13741, 0, 0, 0.11316127, 146, 75);
INSERT INTO public.ecdc_data VALUES (13742, 1, 54, 7.45197618, 54, 75);
INSERT INTO public.ecdc_data VALUES (13743, 1, 14, 2.02110236, 55, 75);
INSERT INTO public.ecdc_data VALUES (13744, 0, 0, 2.48411239, 105, 76);
INSERT INTO public.ecdc_data VALUES (13745, 5, 152, 70.42974371, 147, 76);
INSERT INTO public.ecdc_data VALUES (13746, 11, 392, 14.50768162, 1, 76);
INSERT INTO public.ecdc_data VALUES (13747, 0, 0, 116.83316487, 148, 76);
INSERT INTO public.ecdc_data VALUES (13748, 2, 103, 1.88215042, 2, 76);
INSERT INTO public.ecdc_data VALUES (13749, 0, 0, 0, 56, 76);
INSERT INTO public.ecdc_data VALUES (13750, 0, 0, 2.0594141, 57, 76);
INSERT INTO public.ecdc_data VALUES (13751, 53, 7759, 212.12498472, 58, 76);
INSERT INTO public.ecdc_data VALUES (13752, 2, 176, 80.53478886, 149, 76);
INSERT INTO public.ecdc_data VALUES (13753, 0, 34, 945.34850908, 59, 76);
INSERT INTO public.ecdc_data VALUES (13754, 17, 210, 14.79177247, 202, 76);
INSERT INTO public.ecdc_data VALUES (13755, 0, 140, 36.43844662, 150, 76);
INSERT INTO public.ecdc_data VALUES (13756, 3, 169, 16.97897801, 151, 76);
INSERT INTO public.ecdc_data VALUES (13757, 0, 0, 222.6010691, 60, 76);
INSERT INTO public.ecdc_data VALUES (13758, 1, 0, 306.30698699, 106, 76);
INSERT INTO public.ecdc_data VALUES (13759, 34, 1973, 22.69173162, 107, 76);
INSERT INTO public.ecdc_data VALUES (13760, 0, 3, 6.61972469, 61, 76);
INSERT INTO public.ecdc_data VALUES (13761, 5, 183, 17.11732956, 152, 76);
INSERT INTO public.ecdc_data VALUES (13762, 3, 115, 62.94782454, 153, 76);
INSERT INTO public.ecdc_data VALUES (13763, 0, 18, 136.28759757, 62, 76);
INSERT INTO public.ecdc_data VALUES (13764, 0, 0, 1.5168012, 3, 76);
INSERT INTO public.ecdc_data VALUES (13765, 0, 0, 14.39815704, 63, 76);
INSERT INTO public.ecdc_data VALUES (13766, 0, 0, 5.89704545, 108, 76);
INSERT INTO public.ecdc_data VALUES (13767, 67, 722, 166.33223609, 64, 76);
INSERT INTO public.ecdc_data VALUES (13768, 0, 0, 0, 65, 76);
INSERT INTO public.ecdc_data VALUES (13769, 9, 508, 108.30058061, 154, 76);
INSERT INTO public.ecdc_data VALUES (13770, 0, 0, 17.31994098, 4, 76);
INSERT INTO public.ecdc_data VALUES (13771, 494, 23421, 270.24984596, 66, 76);
INSERT INTO public.ecdc_data VALUES (13772, 0, 0, 39.95604835, 67, 76);
INSERT INTO public.ecdc_data VALUES (13773, 0, 0, 0.23078911, 109, 76);
INSERT INTO public.ecdc_data VALUES (13774, 0, 60, 27.01413521, 155, 76);
INSERT INTO public.ecdc_data VALUES (13775, 0, 8, 0.61019469, 5, 76);
INSERT INTO public.ecdc_data VALUES (13776, 0, 0, 0.18212445, 6, 76);
INSERT INTO public.ecdc_data VALUES (13777, 0, 0, 0.13344217, 110, 76);
INSERT INTO public.ecdc_data VALUES (13778, 0, 0, 2.78245955, 7, 76);
INSERT INTO public.ecdc_data VALUES (13779, 2, 267, 14.554528, 68, 76);
INSERT INTO public.ecdc_data VALUES (13780, 0, 54, 118.37741119, 8, 76);
INSERT INTO public.ecdc_data VALUES (13781, 0, 0, 3.07938659, 69, 76);
INSERT INTO public.ecdc_data VALUES (13782, 0, 0, 0.80081278, 9, 76);
INSERT INTO public.ecdc_data VALUES (13783, 0, 4, 0.26337437, 10, 76);
INSERT INTO public.ecdc_data VALUES (13784, 60, 1957, 129.84885264, 70, 76);
INSERT INTO public.ecdc_data VALUES (13785, 0, 41, 0.06291047, 111, 76);
INSERT INTO public.ecdc_data VALUES (13786, 348, 8044, 305.25963507, 71, 76);
INSERT INTO public.ecdc_data VALUES (13787, 0, 11, 2.11542959, 11, 76);
INSERT INTO public.ecdc_data VALUES (13788, 0, 0, 3.45692522, 12, 76);
INSERT INTO public.ecdc_data VALUES (13789, 7, 736, 208.69485282, 72, 76);
INSERT INTO public.ecdc_data VALUES (13790, 0, 97, 2.93974068, 13, 76);
INSERT INTO public.ecdc_data VALUES (13791, 1, 275, 63.07273899, 156, 76);
INSERT INTO public.ecdc_data VALUES (13792, 2, 65, 6.43226743, 73, 76);
INSERT INTO public.ecdc_data VALUES (13793, 0, 6, 7.34290767, 74, 76);
INSERT INTO public.ecdc_data VALUES (13794, 0, 4, 20.43614618, 157, 76);
INSERT INTO public.ecdc_data VALUES (13795, 1, 133, 33.50297658, 158, 76);
INSERT INTO public.ecdc_data VALUES (13796, 0, 19, 0.4332268, 14, 76);
INSERT INTO public.ecdc_data VALUES (13797, 0, 0, 29.02129681, 159, 76);
INSERT INTO public.ecdc_data VALUES (13798, 0, 0, 3.90321265, 15, 76);
INSERT INTO public.ecdc_data VALUES (13799, 0, 0, 1.3926025, 75, 76);
INSERT INTO public.ecdc_data VALUES (13800, 13, 600, 106.42560539, 76, 76);
INSERT INTO public.ecdc_data VALUES (13801, 33, 680, 76.61023813, 77, 76);
INSERT INTO public.ecdc_data VALUES (13802, 0, 0, 1.73825425, 16, 76);
INSERT INTO public.ecdc_data VALUES (13803, 15, 202, 65.06496424, 78, 76);
INSERT INTO public.ecdc_data VALUES (13804, 0, 0, 7.74346562, 17, 76);
INSERT INTO public.ecdc_data VALUES (13805, 0, 0, 0.60049464, 18, 76);
INSERT INTO public.ecdc_data VALUES (13806, 0, 7, 9.05783427, 160, 76);
INSERT INTO public.ecdc_data VALUES (13807, 2, 36, 86.13984617, 19, 76);
INSERT INTO public.ecdc_data VALUES (13808, 16, 1638, 15.92898178, 20, 76);
INSERT INTO public.ecdc_data VALUES (13809, 0, 0, 0, 79, 76);
INSERT INTO public.ecdc_data VALUES (13810, 0, 0, 191.05532387, 161, 76);
INSERT INTO public.ecdc_data VALUES (13811, 0, 0, 0.11236523, 203, 76);
INSERT INTO public.ecdc_data VALUES (13812, 0, 14, 6.08925213, 162, 76);
INSERT INTO public.ecdc_data VALUES (13813, 1, 4897, 67.11843751, 163, 76);
INSERT INTO public.ecdc_data VALUES (13814, 0, 0, 62.30194962, 204, 76);
INSERT INTO public.ecdc_data VALUES (13815, 0, 0, 21.4031441, 21, 76);
INSERT INTO public.ecdc_data VALUES (13816, 0, 0, 51.19913311, 22, 76);
INSERT INTO public.ecdc_data VALUES (13817, 0, 17, 4.02826088, 164, 76);
INSERT INTO public.ecdc_data VALUES (13818, 3, 711, 20.77591364, 165, 76);
INSERT INTO public.ecdc_data VALUES (13819, 0, 0, 8.22543126, 23, 76);
INSERT INTO public.ecdc_data VALUES (13820, 0, 0, 94.9385866, 166, 76);
INSERT INTO public.ecdc_data VALUES (13821, 2, 283, 28.35537254, 167, 76);
INSERT INTO public.ecdc_data VALUES (13822, 0, 0, 0, 80, 76);
INSERT INTO public.ecdc_data VALUES (13823, 0, 0, 0, 81, 76);
INSERT INTO public.ecdc_data VALUES (13824, 0, 0, 240.29409128, 205, 76);
INSERT INTO public.ecdc_data VALUES (13825, 14, 332, 65.88184064, 82, 76);
INSERT INTO public.ecdc_data VALUES (13826, 0, 0, 0, 168, 76);
INSERT INTO public.ecdc_data VALUES (13827, 0, 35, 8.11980288, 24, 76);
INSERT INTO public.ecdc_data VALUES (13828, 0, 0, 5.04967159, 25, 76);
INSERT INTO public.ecdc_data VALUES (13829, 0, 30, 49.43949411, 83, 76);
INSERT INTO public.ecdc_data VALUES (13830, 0, 32, 3.97759796, 84, 76);
INSERT INTO public.ecdc_data VALUES (13831, 0, 0, 0, 169, 76);
INSERT INTO public.ecdc_data VALUES (13832, 11, 528, 72.40833912, 85, 76);
INSERT INTO public.ecdc_data VALUES (13833, 2, 22, 4.69673038, 170, 76);
INSERT INTO public.ecdc_data VALUES (13834, 0, 6, 29.6926253, 171, 76);
INSERT INTO public.ecdc_data VALUES (13835, 836, 61408, 65.22705052, 112, 76);
INSERT INTO public.ecdc_data VALUES (13836, 86, 2037, 10.39776113, 113, 76);
INSERT INTO public.ecdc_data VALUES (13837, 141, 2113, 38.82702746, 114, 76);
INSERT INTO public.ecdc_data VALUES (13838, 75, 3291, 137.94528381, 115, 76);
INSERT INTO public.ecdc_data VALUES (13839, 0, 61, 25.63088266, 172, 76);
INSERT INTO public.ecdc_data VALUES (13840, 0, 0, 0, 173, 76);
INSERT INTO public.ecdc_data VALUES (13841, 15, 1071, 236.50801532, 116, 76);
INSERT INTO public.ecdc_data VALUES (13842, 7, 1209, 14.54450966, 174, 76);
INSERT INTO public.ecdc_data VALUES (13843, 0, 116, 17.16256648, 86, 76);
INSERT INTO public.ecdc_data VALUES (13844, 4, 7, 10.84973006, 117, 76);
INSERT INTO public.ecdc_data VALUES (13845, 0, 0, 16.69820773, 175, 76);
INSERT INTO public.ecdc_data VALUES (13846, 1, 33, 3.53405967, 118, 76);
INSERT INTO public.ecdc_data VALUES (13847, 2, 259, 79.45479992, 119, 76);
INSERT INTO public.ecdc_data VALUES (13848, 6, 246, 11.27554251, 26, 76);
INSERT INTO public.ecdc_data VALUES (13849, 10, 111, 122.37935264, 176, 76);
INSERT INTO public.ecdc_data VALUES (13850, 2, 571, 209.52789787, 120, 76);
INSERT INTO public.ecdc_data VALUES (13851, -443, 237, 45.9642844, 121, 76);
INSERT INTO public.ecdc_data VALUES (13852, 0, 0, 0.02789612, 122, 76);
INSERT INTO public.ecdc_data VALUES (13853, 0, 4, 2.44795747, 177, 76);
INSERT INTO public.ecdc_data VALUES (13854, 0, 0, 82.76313945, 123, 76);
INSERT INTO public.ecdc_data VALUES (13855, 0, 0, 12.84544483, 27, 76);
INSERT INTO public.ecdc_data VALUES (13856, 0, 0, 0.99243039, 28, 76);
INSERT INTO public.ecdc_data VALUES (13857, 8, 316, 76.79876201, 29, 76);
INSERT INTO public.ecdc_data VALUES (13858, 0, 0, 31.26791391, 178, 76);
INSERT INTO public.ecdc_data VALUES (13859, 0, 41, 13.70704291, 179, 76);
INSERT INTO public.ecdc_data VALUES (13860, 0, 0, 96.27069168, 180, 76);
INSERT INTO public.ecdc_data VALUES (13861, 0, 50, 4.60152738, 30, 76);
INSERT INTO public.ecdc_data VALUES (13862, 0, 0, 3.5643832, 31, 76);
INSERT INTO public.ecdc_data VALUES (13863, 0, 10, 0.57590365, 124, 76);
INSERT INTO public.ecdc_data VALUES (13864, 0, 119, 327.33347522, 125, 76);
INSERT INTO public.ecdc_data VALUES (13865, 0, 6, 0.70200345, 32, 76);
INSERT INTO public.ecdc_data VALUES (13866, 0, 57, 134.12783477, 181, 76);
INSERT INTO public.ecdc_data VALUES (13867, 0, 0, 8.55116713, 33, 76);
INSERT INTO public.ecdc_data VALUES (13868, 0, 0, 0.15752125, 34, 76);
INSERT INTO public.ecdc_data VALUES (13869, 226, 2270, 58.43832323, 87, 76);
INSERT INTO public.ecdc_data VALUES (13870, 5, 406, 143.89385985, 182, 76);
INSERT INTO public.ecdc_data VALUES (13871, 0, 3, 51.38280187, 183, 76);
INSERT INTO public.ecdc_data VALUES (13872, 0, 0, 0.15503078, 126, 76);
INSERT INTO public.ecdc_data VALUES (13873, 0, 32, 116.52538968, 184, 76);
INSERT INTO public.ecdc_data VALUES (13874, 0, 0, 0, 88, 76);
INSERT INTO public.ecdc_data VALUES (13875, 30, 1537, 52.40217872, 35, 76);
INSERT INTO public.ecdc_data VALUES (13876, 0, 91, 3.70808933, 36, 76);
INSERT INTO public.ecdc_data VALUES (13877, 0, 19, 0.19058043, 127, 76);
INSERT INTO public.ecdc_data VALUES (13878, 6, 316, 116.45508321, 37, 76);
INSERT INTO public.ecdc_data VALUES (13879, 3, 818, 31.32961407, 128, 76);
INSERT INTO public.ecdc_data VALUES (13880, 0, 456, 45.8623148, 185, 76);
INSERT INTO public.ecdc_data VALUES (13881, 0, 0, 0, 207, 76);
INSERT INTO public.ecdc_data VALUES (13882, 0, 8, 2.36250335, 208, 76);
INSERT INTO public.ecdc_data VALUES (13883, 0, 0, 6.24856485, 89, 76);
INSERT INTO public.ecdc_data VALUES (13884, 0, 0, 0.06005821, 38, 76);
INSERT INTO public.ecdc_data VALUES (13885, 5, 322, 2.81145437, 39, 76);
INSERT INTO public.ecdc_data VALUES (13886, 7, 296, 79.82160017, 186, 76);
INSERT INTO public.ecdc_data VALUES (13887, 0, 0, 10.48712705, 209, 76);
INSERT INTO public.ecdc_data VALUES (13888, 0, 0, 13.68188803, 187, 76);
INSERT INTO public.ecdc_data VALUES (13889, 0, 0, 44.00007075, 129, 76);
INSERT INTO public.ecdc_data VALUES (13890, 0, 0, 3.74251986, 130, 76);
INSERT INTO public.ecdc_data VALUES (13891, 5, 317, 127.93535661, 131, 76);
INSERT INTO public.ecdc_data VALUES (13892, 14, 1420, 292.19769972, 90, 76);
INSERT INTO public.ecdc_data VALUES (13893, 0, 40, 2.13078241, 210, 76);
INSERT INTO public.ecdc_data VALUES (13894, 13, 259, 89.79878174, 91, 76);
INSERT INTO public.ecdc_data VALUES (13895, 210, 9090, 357.73714935, 92, 76);
INSERT INTO public.ecdc_data VALUES (13896, 32, 2352, 55.20705225, 132, 76);
INSERT INTO public.ecdc_data VALUES (13897, 4, 581, 26.25826078, 188, 76);
INSERT INTO public.ecdc_data VALUES (13898, 2, 145, 28.50159736, 189, 76);
INSERT INTO public.ecdc_data VALUES (13899, 9, 319, 265.05043288, 93, 76);
INSERT INTO public.ecdc_data VALUES (13900, 0, 243, 143.3932977, 133, 76);
INSERT INTO public.ecdc_data VALUES (13901, 39, 981, 86.311964, 190, 76);
INSERT INTO public.ecdc_data VALUES (13902, 73, 4852, 47.44767785, 191, 76);
INSERT INTO public.ecdc_data VALUES (13903, 1, 200, 7.51567799, 40, 76);
INSERT INTO public.ecdc_data VALUES (13904, 0, 0, 0, 94, 76);
INSERT INTO public.ecdc_data VALUES (13905, 0, 0, 0.54706092, 95, 76);
INSERT INTO public.ecdc_data VALUES (13906, 0, 0, 0.90421636, 96, 76);
INSERT INTO public.ecdc_data VALUES (13907, 0, 0, 0, 192, 76);
INSERT INTO public.ecdc_data VALUES (13908, 0, 0, 6.51017447, 41, 76);
INSERT INTO public.ecdc_data VALUES (13909, 30, 1109, 54.82873222, 134, 76);
INSERT INTO public.ecdc_data VALUES (13910, 3, 99, 10.8858652, 42, 76);
INSERT INTO public.ecdc_data VALUES (13911, 3, 109, 36.73300818, 193, 76);
INSERT INTO public.ecdc_data VALUES (13912, 0, 0, 6.13867261, 43, 76);
INSERT INTO public.ecdc_data VALUES (13913, 0, 12, 0.97271197, 44, 76);
INSERT INTO public.ecdc_data VALUES (13914, 0, 87, 21.51836995, 135, 76);
INSERT INTO public.ecdc_data VALUES (13915, 0, 28, 488.33423766, 97, 76);
INSERT INTO public.ecdc_data VALUES (13916, 0, 40, 13.943877, 194, 76);
INSERT INTO public.ecdc_data VALUES (13917, 0, 34, 19.31848981, 195, 76);
INSERT INTO public.ecdc_data VALUES (13918, 0, 0, 0.27196954, 45, 76);
INSERT INTO public.ecdc_data VALUES (13919, 72, 2728, 85.23988594, 46, 76);
INSERT INTO public.ecdc_data VALUES (13920, 0, 266, 5.9326129, 136, 76);
INSERT INTO public.ecdc_data VALUES (13921, 0, 2, 0.26215604, 47, 76);
INSERT INTO public.ecdc_data VALUES (13922, 34, 19382, 175.67355092, 196, 76);
INSERT INTO public.ecdc_data VALUES (13923, 0, 6, 0.51116751, 137, 76);
INSERT INTO public.ecdc_data VALUES (13924, 3, 213, 2.20025409, 48, 76);
INSERT INTO public.ecdc_data VALUES (13925, 1, 38, 209.16363786, 98, 76);
INSERT INTO public.ecdc_data VALUES (13926, 3, 57, 36.70510357, 197, 76);
INSERT INTO public.ecdc_data VALUES (13927, 0, 276, 38.48077255, 198, 76);
INSERT INTO public.ecdc_data VALUES (13928, 0, 0, 5.59456717, 138, 76);
INSERT INTO public.ecdc_data VALUES (13929, 0, 0, 0.02944408, 139, 76);
INSERT INTO public.ecdc_data VALUES (13930, 0, 34, 6.07229485, 140, 76);
INSERT INTO public.ecdc_data VALUES (13931, 0, 2, 0.06606767, 141, 76);
INSERT INTO public.ecdc_data VALUES (13932, 0, 0, 0.07733234, 142, 76);
INSERT INTO public.ecdc_data VALUES (13933, 0, 2, 2.6848597, 49, 76);
INSERT INTO public.ecdc_data VALUES (13934, 1, 77, 52.18753965, 99, 76);
INSERT INTO public.ecdc_data VALUES (13935, 0, 0, 8.9014522, 50, 76);
INSERT INTO public.ecdc_data VALUES (13936, 19, 1217, 21.27338313, 199, 76);
INSERT INTO public.ecdc_data VALUES (13937, 0, 0, 437.24145154, 100, 76);
INSERT INTO public.ecdc_data VALUES (13938, 0, 415, 2.21370938, 51, 76);
INSERT INTO public.ecdc_data VALUES (13939, 27, 1987, 52.28255364, 200, 76);
INSERT INTO public.ecdc_data VALUES (13940, 3, 390, 45.87265824, 143, 76);
INSERT INTO public.ecdc_data VALUES (13941, 6, 1041, 22.2320211, 201, 76);
INSERT INTO public.ecdc_data VALUES (13942, 0, 0, 0, 52, 76);
INSERT INTO public.ecdc_data VALUES (13943, 444, 34506, 199.88366004, 101, 76);
INSERT INTO public.ecdc_data VALUES (13944, 1, 52, 417.86591954, 102, 76);
INSERT INTO public.ecdc_data VALUES (13945, 0, 6, 5.02638709, 103, 76);
INSERT INTO public.ecdc_data VALUES (13946, 4, 248, 24.63789406, 144, 76);
INSERT INTO public.ecdc_data VALUES (13947, 6, 607, 48.25039454, 104, 76);
INSERT INTO public.ecdc_data VALUES (13948, 1, 2, 0.18141839, 145, 76);
INSERT INTO public.ecdc_data VALUES (13949, 0, 0, 0, 53, 76);
INSERT INTO public.ecdc_data VALUES (13950, 1, 4, 0.36691683, 146, 76);
INSERT INTO public.ecdc_data VALUES (13951, 3, 455, 16.77954367, 54, 76);
INSERT INTO public.ecdc_data VALUES (13952, 2, 37, 8.74673013, 55, 76);
INSERT INTO public.ecdc_data VALUES (13953, 0, 13, 5.30995453, 105, 77);
INSERT INTO public.ecdc_data VALUES (13954, 3, 108, 44.64742682, 147, 77);
INSERT INTO public.ecdc_data VALUES (13955, 13, 612, 17.82916492, 1, 77);
INSERT INTO public.ecdc_data VALUES (13956, 0, 0, 44.63289444, 148, 77);
INSERT INTO public.ecdc_data VALUES (13957, 3, 33, 1.30713619, 2, 77);
INSERT INTO public.ecdc_data VALUES (13958, 0, 0, 0, 56, 77);
INSERT INTO public.ecdc_data VALUES (13959, 0, 0, 3.08912115, 57, 77);
INSERT INTO public.ecdc_data VALUES (13960, 111, 5782, 122.53053354, 58, 77);
INSERT INTO public.ecdc_data VALUES (13961, 4, 451, 193.05358708, 149, 77);
INSERT INTO public.ecdc_data VALUES (13962, 0, 0, 11.28774339, 59, 77);
INSERT INTO public.ecdc_data VALUES (13963, 5, 410, 16.85103479, 202, 77);
INSERT INTO public.ecdc_data VALUES (13964, 0, 164, 17.03395786, 150, 77);
INSERT INTO public.ecdc_data VALUES (13965, 6, 347, 64.85053971, 151, 77);
INSERT INTO public.ecdc_data VALUES (13966, 0, 55, 42.87702254, 60, 77);
INSERT INTO public.ecdc_data VALUES (13967, 4, 359, 394.11052156, 106, 77);
INSERT INTO public.ecdc_data VALUES (13968, 50, 2856, 24.91073495, 107, 77);
INSERT INTO public.ecdc_data VALUES (13969, 0, 0, 2.7872525, 61, 77);
INSERT INTO public.ecdc_data VALUES (13970, 6, 167, 24.08909729, 152, 77);
INSERT INTO public.ecdc_data VALUES (13971, 2, 439, 25.15817921, 153, 77);
INSERT INTO public.ecdc_data VALUES (13972, 0, 4, 3.58651573, 62, 77);
INSERT INTO public.ecdc_data VALUES (13973, 3, 92, 3.46576364, 3, 77);
INSERT INTO public.ecdc_data VALUES (13974, 0, 0, 6.3991809, 63, 77);
INSERT INTO public.ecdc_data VALUES (13975, 0, 0, 1.57254545, 108, 77);
INSERT INTO public.ecdc_data VALUES (13976, 79, 1117, 183.60820568, 64, 77);
INSERT INTO public.ecdc_data VALUES (13977, 0, 1, 15.39468114, 65, 77);
INSERT INTO public.ecdc_data VALUES (13978, 5, 344, 102.18121913, 154, 77);
INSERT INTO public.ecdc_data VALUES (13979, 0, 164, 16.1479149, 4, 77);
INSERT INTO public.ecdc_data VALUES (13980, 1311, 59961, 251.92950096, 66, 77);
INSERT INTO public.ecdc_data VALUES (13981, 0, 0, 0, 67, 77);
INSERT INTO public.ecdc_data VALUES (13982, 0, 0, 0, 109, 77);
INSERT INTO public.ecdc_data VALUES (13983, 8, 269, 45.44260396, 155, 77);
INSERT INTO public.ecdc_data VALUES (13984, 0, 9, 0.27065087, 5, 77);
INSERT INTO public.ecdc_data VALUES (13985, 0, 17, 1.0927467, 6, 77);
INSERT INTO public.ecdc_data VALUES (13986, 0, 4, 0.36999875, 110, 77);
INSERT INTO public.ecdc_data VALUES (13987, 3, 186, 6.92523265, 7, 77);
INSERT INTO public.ecdc_data VALUES (13988, 4, 432, 15.67986432, 68, 77);
INSERT INTO public.ecdc_data VALUES (13989, 0, 36, 115.83166041, 8, 77);
INSERT INTO public.ecdc_data VALUES (13990, 0, 0, 3.07938659, 69, 77);
INSERT INTO public.ecdc_data VALUES (13991, 1, 16, 8.21886803, 9, 77);
INSERT INTO public.ecdc_data VALUES (13992, 0, 26, 0.26337437, 10, 77);
INSERT INTO public.ecdc_data VALUES (13993, 116, 2357, 171.71243088, 70, 77);
INSERT INTO public.ecdc_data VALUES (13994, 1, 139, 0.07316306, 111, 77);
INSERT INTO public.ecdc_data VALUES (13995, 315, 7945, 183.55387842, 71, 77);
INSERT INTO public.ecdc_data VALUES (13996, 0, 3, 3.17314439, 11, 77);
INSERT INTO public.ecdc_data VALUES (13997, 1, 187, 22.61869892, 12, 77);
INSERT INTO public.ecdc_data VALUES (13998, 9, 768, 131.62792882, 72, 77);
INSERT INTO public.ecdc_data VALUES (13999, 0, 470, 12.64166264, 13, 77);
INSERT INTO public.ecdc_data VALUES (14000, 3, 104, 29.88043411, 156, 77);
INSERT INTO public.ecdc_data VALUES (14001, 0, 4, 0.55587496, 73, 77);
INSERT INTO public.ecdc_data VALUES (14002, 0, 0, 1.83572692, 74, 77);
INSERT INTO public.ecdc_data VALUES (14003, 0, 5, 3.9958945, 157, 77);
INSERT INTO public.ecdc_data VALUES (14004, 1, 230, 17.66230352, 158, 77);
INSERT INTO public.ecdc_data VALUES (14005, 3, 94, 1.00702187, 14, 77);
INSERT INTO public.ecdc_data VALUES (14006, 1, 40, 8.16385441, 159, 77);
INSERT INTO public.ecdc_data VALUES (14007, 0, 1, 7.8064253, 15, 77);
INSERT INTO public.ecdc_data VALUES (14008, 0, 0, 0, 75, 77);
INSERT INTO public.ecdc_data VALUES (14009, 1, 1572, 156.67257072, 76, 77);
INSERT INTO public.ecdc_data VALUES (14010, 21, 891, 75.57418683, 77, 77);
INSERT INTO public.ecdc_data VALUES (14011, 40, 668, 11.11586201, 16, 77);
INSERT INTO public.ecdc_data VALUES (14012, 9, 402, 70.24041032, 78, 77);
INSERT INTO public.ecdc_data VALUES (14013, 0, 0, 0, 17, 77);
INSERT INTO public.ecdc_data VALUES (14014, 0, 10, 0.8292545, 18, 77);
INSERT INTO public.ecdc_data VALUES (14015, 0, 2, 1.20771124, 160, 77);
INSERT INTO public.ecdc_data VALUES (14016, 3, 83, 70.37512205, 19, 77);
INSERT INTO public.ecdc_data VALUES (14017, 8, 452, 4.06053862, 20, 77);
INSERT INTO public.ecdc_data VALUES (14018, 0, 0, 0, 79, 77);
INSERT INTO public.ecdc_data VALUES (14019, 0, 0, 6.16307496, 161, 77);
INSERT INTO public.ecdc_data VALUES (14020, 0, 0, 0.67419139, 203, 77);
INSERT INTO public.ecdc_data VALUES (14021, 0, 10, 1.54043581, 162, 77);
INSERT INTO public.ecdc_data VALUES (14022, 10, 1062, 13.88389752, 163, 77);
INSERT INTO public.ecdc_data VALUES (14023, 0, 0, 0, 204, 77);
INSERT INTO public.ecdc_data VALUES (14024, 0, 0, 33.00226735, 21, 77);
INSERT INTO public.ecdc_data VALUES (14025, 0, 24, 4.51506498, 22, 77);
INSERT INTO public.ecdc_data VALUES (14026, 0, 31, 3.27765326, 164, 77);
INSERT INTO public.ecdc_data VALUES (14027, 10, 815, 7.23326539, 165, 77);
INSERT INTO public.ecdc_data VALUES (14028, 0, 694, 22.69390567, 23, 77);
INSERT INTO public.ecdc_data VALUES (14029, 0, 2, 11.86732333, 166, 77);
INSERT INTO public.ecdc_data VALUES (14030, 1, 33, 4.08406878, 167, 77);
INSERT INTO public.ecdc_data VALUES (14031, 0, 0, 0, 80, 77);
INSERT INTO public.ecdc_data VALUES (14032, 0, 0, 0, 81, 77);
INSERT INTO public.ecdc_data VALUES (14033, 0, 5, 16.13915538, 205, 77);
INSERT INTO public.ecdc_data VALUES (14034, 59, 1057, 88.3543566, 82, 77);
INSERT INTO public.ecdc_data VALUES (14035, 0, 0, 0, 168, 77);
INSERT INTO public.ecdc_data VALUES (14036, 1, 59, 7.24283284, 24, 77);
INSERT INTO public.ecdc_data VALUES (14037, 0, 0, 8.53758908, 25, 77);
INSERT INTO public.ecdc_data VALUES (14038, 0, 1, 8.303791, 83, 77);
INSERT INTO public.ecdc_data VALUES (14039, 0, 30, 6.31266104, 84, 77);
INSERT INTO public.ecdc_data VALUES (14040, 0, 0, 0, 169, 77);
INSERT INTO public.ecdc_data VALUES (14041, 5, 800, 107.91992502, 85, 77);
INSERT INTO public.ecdc_data VALUES (14042, 0, 18, 1.82138999, 170, 77);
INSERT INTO public.ecdc_data VALUES (14043, 0, 1, 2.24095285, 171, 77);
INSERT INTO public.ecdc_data VALUES (14044, 740, 49310, 36.16339131, 112, 77);
INSERT INTO public.ecdc_data VALUES (14045, 117, 1906, 8.46963583, 113, 77);
INSERT INTO public.ecdc_data VALUES (14046, 221, 2621, 40.49502295, 114, 77);
INSERT INTO public.ecdc_data VALUES (14047, 80, 2361, 82.9666117, 115, 77);
INSERT INTO public.ecdc_data VALUES (14048, 9, 7, 5.32192552, 172, 77);
INSERT INTO public.ecdc_data VALUES (14049, 0, 0, 0, 173, 77);
INSERT INTO public.ecdc_data VALUES (14050, 12, 1897, 271.81577799, 116, 77);
INSERT INTO public.ecdc_data VALUES (14051, 10, 306, 4.92879784, 174, 77);
INSERT INTO public.ecdc_data VALUES (14052, 0, 0, 2.13684128, 86, 77);
INSERT INTO public.ecdc_data VALUES (14053, 2, 927, 5.70470041, 117, 77);
INSERT INTO public.ecdc_data VALUES (14054, 0, 0, 5.56606924, 175, 77);
INSERT INTO public.ecdc_data VALUES (14055, 0, 11, -0.37617442, 118, 77);
INSERT INTO public.ecdc_data VALUES (14056, 0, 1687, 127.96319507, 119, 77);
INSERT INTO public.ecdc_data VALUES (14057, 3, 796, 12.6031958, 26, 77);
INSERT INTO public.ecdc_data VALUES (14058, 8, 181, 131.60923567, 176, 77);
INSERT INTO public.ecdc_data VALUES (14059, 4, 687, 214.68587335, 120, 77);
INSERT INTO public.ecdc_data VALUES (14060, 42, 921, 341.17064128, 121, 77);
INSERT INTO public.ecdc_data VALUES (14061, 0, 0, 0, 122, 77);
INSERT INTO public.ecdc_data VALUES (14062, 0, 6, 2.55212587, 177, 77);
INSERT INTO public.ecdc_data VALUES (14063, 0, 156, 18.21839288, 123, 77);
INSERT INTO public.ecdc_data VALUES (14064, 0, 0, 10.58690508, 27, 77);
INSERT INTO public.ecdc_data VALUES (14065, 1, 3, 3.24058903, 28, 77);
INSERT INTO public.ecdc_data VALUES (14066, 3, 138, 15.43352643, 29, 77);
INSERT INTO public.ecdc_data VALUES (14067, 0, 0, 5.21131898, 178, 77);
INSERT INTO public.ecdc_data VALUES (14068, 0, 0, 3.68622825, 179, 77);
INSERT INTO public.ecdc_data VALUES (14069, 1, 98, 200.84900651, 180, 77);
INSERT INTO public.ecdc_data VALUES (14070, 1, 219, 17.05271912, 30, 77);
INSERT INTO public.ecdc_data VALUES (14071, 3, 84, 7.52600188, 31, 77);
INSERT INTO public.ecdc_data VALUES (14072, 0, 9, 0.49139605, 124, 77);
INSERT INTO public.ecdc_data VALUES (14073, 0, 0, 103.58654279, 125, 77);
INSERT INTO public.ecdc_data VALUES (14074, 0, 0, 0.69182949, 32, 77);
INSERT INTO public.ecdc_data VALUES (14075, 0, 2, 1.41827016, 181, 77);
INSERT INTO public.ecdc_data VALUES (14076, 0, 104, 20.77027676, 33, 77);
INSERT INTO public.ecdc_data VALUES (14077, 0, 0, 0.07876062, 34, 77);
INSERT INTO public.ecdc_data VALUES (14078, 718, 7988, 76.66674069, 87, 77);
INSERT INTO public.ecdc_data VALUES (14079, 7, 307, 85.05517085, 182, 77);
INSERT INTO public.ecdc_data VALUES (14080, 0, 1, 15.11258879, 183, 77);
INSERT INTO public.ecdc_data VALUES (14081, 0, 1, 1.89137551, 126, 77);
INSERT INTO public.ecdc_data VALUES (14082, 4, 324, 199.62004687, 184, 77);
INSERT INTO public.ecdc_data VALUES (14083, 0, 0, 20.03606492, 88, 77);
INSERT INTO public.ecdc_data VALUES (14084, 7, 302, 9.08922261, 35, 77);
INSERT INTO public.ecdc_data VALUES (14085, 0, 25, 1.61364456, 36, 77);
INSERT INTO public.ecdc_data VALUES (14086, 0, 0, 0.0407065, 127, 77);
INSERT INTO public.ecdc_data VALUES (14087, 0, 120, 36.35964216, 37, 77);
INSERT INTO public.ecdc_data VALUES (14088, 1, 147, 5.97719961, 128, 77);
INSERT INTO public.ecdc_data VALUES (14089, 0, 163, 9.29281827, 185, 77);
INSERT INTO public.ecdc_data VALUES (14090, 0, 0, 0.35366056, 207, 77);
INSERT INTO public.ecdc_data VALUES (14091, 0, 1, 0.29269953, 208, 77);
INSERT INTO public.ecdc_data VALUES (14092, 0, 0, 9.05965516, 89, 77);
INSERT INTO public.ecdc_data VALUES (14093, 0, 2, 0.11582654, 38, 77);
INSERT INTO public.ecdc_data VALUES (14094, 20, 604, 4.08034086, 39, 77);
INSERT INTO public.ecdc_data VALUES (14095, 3, 122, 101.19722772, 186, 77);
INSERT INTO public.ecdc_data VALUES (14096, 0, 0, 12.23498156, 209, 77);
INSERT INTO public.ecdc_data VALUES (14097, 0, 9, 2.02694638, 187, 77);
INSERT INTO public.ecdc_data VALUES (14098, 6, 1099, 420.52328928, 129, 77);
INSERT INTO public.ecdc_data VALUES (14099, 54, 1209, 12.37548116, 130, 77);
INSERT INTO public.ecdc_data VALUES (14100, 3, 602, 121.51148809, 131, 77);
INSERT INTO public.ecdc_data VALUES (14101, 29, 911, 343.84095854, 90, 77);
INSERT INTO public.ecdc_data VALUES (14102, 0, 1, 0.22789117, 210, 77);
INSERT INTO public.ecdc_data VALUES (14103, 0, 113, 20.93790754, 91, 77);
INSERT INTO public.ecdc_data VALUES (14104, 3887, 4546, 168.09358169, 92, 77);
INSERT INTO public.ecdc_data VALUES (14105, 28, 2121, 20.93665117, 132, 77);
INSERT INTO public.ecdc_data VALUES (14106, 9, 418, 12.19030079, 188, 77);
INSERT INTO public.ecdc_data VALUES (14107, 3, 229, 39.91585947, 189, 77);
INSERT INTO public.ecdc_data VALUES (14108, 3, 435, 155.75761129, 93, 77);
INSERT INTO public.ecdc_data VALUES (14109, 1, 373, 216.59061514, 133, 77);
INSERT INTO public.ecdc_data VALUES (14110, 25, 1112, 54.01129406, 190, 77);
INSERT INTO public.ecdc_data VALUES (14111, 147, 5848, 60.14645965, 191, 77);
INSERT INTO public.ecdc_data VALUES (14112, 0, 21, 3.95978819, 40, 77);
INSERT INTO public.ecdc_data VALUES (14113, 0, 0, 1.8927206, 94, 77);
INSERT INTO public.ecdc_data VALUES (14114, 0, 1, 1.09412183, 95, 77);
INSERT INTO public.ecdc_data VALUES (14115, 0, 2, 20.7969763, 96, 77);
INSERT INTO public.ecdc_data VALUES (14116, 0, 0, 0, 192, 77);
INSERT INTO public.ecdc_data VALUES (14117, 0, 2, 10.69528663, 41, 77);
INSERT INTO public.ecdc_data VALUES (14118, 34, 2238, 108.16630034, 134, 77);
INSERT INTO public.ecdc_data VALUES (14119, 1, 145, 9.09405424, 42, 77);
INSERT INTO public.ecdc_data VALUES (14120, 9, 412, 73.25061562, 193, 77);
INSERT INTO public.ecdc_data VALUES (14121, 0, 0, 20.46224205, 43, 77);
INSERT INTO public.ecdc_data VALUES (14122, 0, 21, 1.97102163, 44, 77);
INSERT INTO public.ecdc_data VALUES (14123, 0, 354, 63.33188786, 135, 77);
INSERT INTO public.ecdc_data VALUES (14124, 0, 3, 14.15461558, 97, 77);
INSERT INTO public.ecdc_data VALUES (14125, 0, 31, 4.36663516, 194, 77);
INSERT INTO public.ecdc_data VALUES (14126, 0, 18, 12.35037782, 195, 77);
INSERT INTO public.ecdc_data VALUES (14127, 0, 10, 0.86123687, 45, 77);
INSERT INTO public.ecdc_data VALUES (14128, 153, 13104, 289.8190276, 46, 77);
INSERT INTO public.ecdc_data VALUES (14129, 1, 41, 1.25133428, 136, 77);
INSERT INTO public.ecdc_data VALUES (14130, 0, 28, 1.13902279, 47, 77);
INSERT INTO public.ecdc_data VALUES (14131, 3, 2255, 39.44218066, 196, 77);
INSERT INTO public.ecdc_data VALUES (14132, 0, 1, 1.8899129, 137, 77);
INSERT INTO public.ecdc_data VALUES (14133, 2, 110, 2.52024859, 48, 77);
INSERT INTO public.ecdc_data VALUES (14134, 2, 58, 92.88516813, 98, 77);
INSERT INTO public.ecdc_data VALUES (14135, 5, 220, 33.16655564, 197, 77);
INSERT INTO public.ecdc_data VALUES (14136, 1, 117, 16.52519794, 198, 77);
INSERT INTO public.ecdc_data VALUES (14137, 3, 23, 1.24193533, 138, 77);
INSERT INTO public.ecdc_data VALUES (14138, 0, 3, 0.02944408, 139, 77);
INSERT INTO public.ecdc_data VALUES (14139, 0, 45, 6.97348349, 140, 77);
INSERT INTO public.ecdc_data VALUES (14140, 0, 10, 0.11059154, 141, 77);
INSERT INTO public.ecdc_data VALUES (14141, 0, 0, 0, 142, 77);
INSERT INTO public.ecdc_data VALUES (14142, 0, 22, 1.53420555, 49, 77);
INSERT INTO public.ecdc_data VALUES (14143, 0, 0, 0.57348945, 99, 77);
INSERT INTO public.ecdc_data VALUES (14144, 0, 12, 1.49640167, 50, 77);
INSERT INTO public.ecdc_data VALUES (14145, 18, 913, 16.28337546, 199, 77);
INSERT INTO public.ecdc_data VALUES (14146, 0, 4, 91.63742996, 100, 77);
INSERT INTO public.ecdc_data VALUES (14147, 0, 0, 0.16941653, 51, 77);
INSERT INTO public.ecdc_data VALUES (14148, 17, 856, 24.15576269, 200, 77);
INSERT INTO public.ecdc_data VALUES (14149, 0, 254, 45.14598293, 143, 77);
INSERT INTO public.ecdc_data VALUES (14150, 9, 773, 13.14685624, 201, 77);
INSERT INTO public.ecdc_data VALUES (14151, 0, 0, 0, 52, 77);
INSERT INTO public.ecdc_data VALUES (14152, 1052, 63196, 278.39309287, 101, 77);
INSERT INTO public.ecdc_data VALUES (14153, 0, 0, 174.98733015, 102, 77);
INSERT INTO public.ecdc_data VALUES (14154, 0, 24, 4.73751427, 103, 77);
INSERT INTO public.ecdc_data VALUES (14155, 4, 455, 22.02129271, 144, 77);
INSERT INTO public.ecdc_data VALUES (14156, 9, 839, 18.37926578, 104, 77);
INSERT INTO public.ecdc_data VALUES (14157, 0, 4, 0.04457709, 145, 77);
INSERT INTO public.ecdc_data VALUES (14158, 0, 0, 42.40649111, 53, 77);
INSERT INTO public.ecdc_data VALUES (14159, 3, 14, 1.02188052, 146, 77);
INSERT INTO public.ecdc_data VALUES (14160, 0, 0, 9.45074065, 54, 77);
INSERT INTO public.ecdc_data VALUES (14161, 2, 90, 8.18000211, 55, 77);
INSERT INTO public.ecdc_data VALUES (14162, 20, 338, 21.08735409, 105, 78);
INSERT INTO public.ecdc_data VALUES (14163, 1, 52, 26.13167078, 147, 78);
INSERT INTO public.ecdc_data VALUES (14164, 9, 156, 3.93468022, 1, 78);
INSERT INTO public.ecdc_data VALUES (14165, 0, 0, 3.93819657, 148, 78);
INSERT INTO public.ecdc_data VALUES (14166, 1, 3, 0.28279389, 2, 78);
INSERT INTO public.ecdc_data VALUES (14167, 0, 0, 0, 56, 78);
INSERT INTO public.ecdc_data VALUES (14168, 0, 0, 0, 57, 78);
INSERT INTO public.ecdc_data VALUES (14169, 6, 0, 45.04175071, 58, 78);
INSERT INTO public.ecdc_data VALUES (14170, 14, 711, 257.42732259, 149, 78);
INSERT INTO public.ecdc_data VALUES (14171, 0, 0, 0, 59, 78);
INSERT INTO public.ecdc_data VALUES (14172, 0, 18, 0.89274378, 202, 78);
INSERT INTO public.ecdc_data VALUES (14173, 3, 31, 5.06842086, 150, 78);
INSERT INTO public.ecdc_data VALUES (14174, 6, 508, 54.97765214, 151, 78);
INSERT INTO public.ecdc_data VALUES (14175, 0, 0, 0.25674864, 60, 78);
INSERT INTO public.ecdc_data VALUES (14176, 2, 655, 418.11787244, 106, 78);
INSERT INTO public.ecdc_data VALUES (14177, 43, 3412, 29.14695827, 107, 78);
INSERT INTO public.ecdc_data VALUES (14178, 0, 0, 1.74203281, 61, 78);
INSERT INTO public.ecdc_data VALUES (14179, 6, 464, 97.56243091, 152, 78);
INSERT INTO public.ecdc_data VALUES (14180, 4, 110, 11.61012434, 153, 78);
INSERT INTO public.ecdc_data VALUES (14181, 0, 0, 0.76853908, 62, 78);
INSERT INTO public.ecdc_data VALUES (14182, 0, 43, 4.6181936, 3, 78);
INSERT INTO public.ecdc_data VALUES (14183, 0, 0, 7.99897613, 63, 78);
INSERT INTO public.ecdc_data VALUES (14184, 0, 1, 1.4415, 108, 78);
INSERT INTO public.ecdc_data VALUES (14185, 26, 896, 102.01420955, 64, 78);
INSERT INTO public.ecdc_data VALUES (14186, 0, 0, 0, 65, 78);
INSERT INTO public.ecdc_data VALUES (14187, 1, 63, 26.05272708, 154, 78);
INSERT INTO public.ecdc_data VALUES (14188, 0, 0, 2.04019355, 4, 78);
INSERT INTO public.ecdc_data VALUES (14189, 1374, 39436, 192.56286483, 66, 78);
INSERT INTO public.ecdc_data VALUES (14190, 0, 0, 0, 67, 78);
INSERT INTO public.ecdc_data VALUES (14191, 0, 0, 0, 109, 78);
INSERT INTO public.ecdc_data VALUES (14192, 1, 130, 17.4999025, 155, 78);
INSERT INTO public.ecdc_data VALUES (14193, 0, 12, 0.1377859, 5, 78);
INSERT INTO public.ecdc_data VALUES (14194, 0, 0, 0.52902817, 6, 78);
INSERT INTO public.ecdc_data VALUES (14195, 0, 0, 0.02426221, 110, 78);
INSERT INTO public.ecdc_data VALUES (14196, 5, 149, 12.98481121, 7, 78);
INSERT INTO public.ecdc_data VALUES (14197, 18, 326, 14.22307502, 68, 78);
INSERT INTO public.ecdc_data VALUES (14198, 0, 38, 72.1902185, 8, 78);
INSERT INTO public.ecdc_data VALUES (14199, 0, 0, 29.25417257, 69, 78);
INSERT INTO public.ecdc_data VALUES (14200, 7, 88, 24.50908596, 9, 78);
INSERT INTO public.ecdc_data VALUES (14201, 0, 2, 0.10033309, 10, 78);
INSERT INTO public.ecdc_data VALUES (14202, 3, 3804, 569.90186014, 70, 78);
INSERT INTO public.ecdc_data VALUES (14203, 1, 29, 0.03173422, 111, 78);
INSERT INTO public.ecdc_data VALUES (14204, 94, 2389, 62.56326674, 71, 78);
INSERT INTO public.ecdc_data VALUES (14205, 2, 0, 9.98952862, 11, 78);
INSERT INTO public.ecdc_data VALUES (14206, 0, 0, 6.6722374, 12, 78);
INSERT INTO public.ecdc_data VALUES (14207, 0, 91, 19.67286775, 72, 78);
INSERT INTO public.ecdc_data VALUES (14208, 4, 412, 15.20032583, 13, 78);
INSERT INTO public.ecdc_data VALUES (14209, 0, 30, 2.91935276, 156, 78);
INSERT INTO public.ecdc_data VALUES (14210, 0, 3, 0.99704557, 73, 78);
INSERT INTO public.ecdc_data VALUES (14211, 0, 1, 1.83572692, 74, 78);
INSERT INTO public.ecdc_data VALUES (14212, 0, 2, 2.05503146, 157, 78);
INSERT INTO public.ecdc_data VALUES (14213, 3, 89, 8.44147308, 158, 78);
INSERT INTO public.ecdc_data VALUES (14214, 0, 102, 2.03823992, 14, 78);
INSERT INTO public.ecdc_data VALUES (14215, 1, 34, 9.64506007, 159, 78);
INSERT INTO public.ecdc_data VALUES (14216, 1, 18, 29.37681101, 15, 78);
INSERT INTO public.ecdc_data VALUES (14217, 0, 0, 0, 75, 78);
INSERT INTO public.ecdc_data VALUES (14218, 6, 566, 70.03473429, 76, 78);
INSERT INTO public.ecdc_data VALUES (14219, 51, 1003, 44.46962433, 77, 78);
INSERT INTO public.ecdc_data VALUES (14220, 87, 1332, 21.22961297, 16, 78);
INSERT INTO public.ecdc_data VALUES (14221, 6, 165, 27.61270928, 78, 78);
INSERT INTO public.ecdc_data VALUES (14222, 0, 0, 51.25436768, 17, 78);
INSERT INTO public.ecdc_data VALUES (14223, 0, 0, 2.91668823, 18, 78);
INSERT INTO public.ecdc_data VALUES (14224, 0, 1, 2.64186833, 160, 78);
INSERT INTO public.ecdc_data VALUES (14225, 1, 31, 26.39067077, 19, 78);
INSERT INTO public.ecdc_data VALUES (14226, 0, 185, 2.2412817, 20, 78);
INSERT INTO public.ecdc_data VALUES (14227, 0, 0, 0, 79, 78);
INSERT INTO public.ecdc_data VALUES (14228, 0, 0, 0, 161, 78);
INSERT INTO public.ecdc_data VALUES (14229, 0, 0, 0, 203, 78);
INSERT INTO public.ecdc_data VALUES (14230, 0, 11, 2.35596064, 162, 78);
INSERT INTO public.ecdc_data VALUES (14231, 57, 517, 9.96226352, 163, 78);
INSERT INTO public.ecdc_data VALUES (14232, 0, 0, 0, 204, 78);
INSERT INTO public.ecdc_data VALUES (14233, 0, 134, 72.6786334, 21, 78);
INSERT INTO public.ecdc_data VALUES (14234, 0, 1, 0.59632934, 22, 78);
INSERT INTO public.ecdc_data VALUES (14235, 0, 3, 2.40194437, 164, 78);
INSERT INTO public.ecdc_data VALUES (14236, 19, 587, 7.93551247, 165, 78);
INSERT INTO public.ecdc_data VALUES (14237, 10, 414, 14.35669796, 23, 78);
INSERT INTO public.ecdc_data VALUES (14238, 0, 0, 0, 166, 78);
INSERT INTO public.ecdc_data VALUES (14239, 0, 15, 2.27514334, 167, 78);
INSERT INTO public.ecdc_data VALUES (14240, 0, 0, 0, 80, 78);
INSERT INTO public.ecdc_data VALUES (14241, 0, 0, 0, 81, 78);
INSERT INTO public.ecdc_data VALUES (14242, 0, 1, 27.4963388, 205, 78);
INSERT INTO public.ecdc_data VALUES (14243, 35, 771, 37.96040787, 82, 78);
INSERT INTO public.ecdc_data VALUES (14244, 0, 0, 0, 168, 78);
INSERT INTO public.ecdc_data VALUES (14245, 2, 116, 6.62425577, 24, 78);
INSERT INTO public.ecdc_data VALUES (14246, 0, 0, 8.69376449, 25, 78);
INSERT INTO public.ecdc_data VALUES (14247, 0, 1, 6.38753154, 83, 78);
INSERT INTO public.ecdc_data VALUES (14248, 1, 113, 14.75617813, 84, 78);
INSERT INTO public.ecdc_data VALUES (14249, 0, 0, 0, 169, 78);
INSERT INTO public.ecdc_data VALUES (14250, 10, 587, 71.90557468, 85, 78);
INSERT INTO public.ecdc_data VALUES (14251, 0, 0, 0.92092753, 170, 78);
INSERT INTO public.ecdc_data VALUES (14252, 0, 0, 2.24095285, 171, 78);
INSERT INTO public.ecdc_data VALUES (14253, 465, 15968, 13.1438573, 112, 78);
INSERT INTO public.ecdc_data VALUES (14254, 35, 1051, 5.476201, 113, 78);
INSERT INTO public.ecdc_data VALUES (14255, 121, 2445, 41.05825787, 114, 78);
INSERT INTO public.ecdc_data VALUES (14256, 84, 1826, 51.47318394, 115, 78);
INSERT INTO public.ecdc_data VALUES (14257, 3, 8, 3.58873138, 172, 78);
INSERT INTO public.ecdc_data VALUES (14258, 0, 0, 0, 173, 78);
INSERT INTO public.ecdc_data VALUES (14259, 1, 430, 38.07791958, 116, 78);
INSERT INTO public.ecdc_data VALUES (14260, 18, 113, 5.42084926, 174, 78);
INSERT INTO public.ecdc_data VALUES (14261, 0, 5, 2.20467751, 86, 78);
INSERT INTO public.ecdc_data VALUES (14262, 8, 59, 0.61169649, 117, 78);
INSERT INTO public.ecdc_data VALUES (14263, 0, 0, 4.63839103, 175, 78);
INSERT INTO public.ecdc_data VALUES (14264, 0, 5, 1.99966402, 118, 78);
INSERT INTO public.ecdc_data VALUES (14265, 7, 534, 29.35623069, 119, 78);
INSERT INTO public.ecdc_data VALUES (14266, 3, 155, 3.7337871, 26, 78);
INSERT INTO public.ecdc_data VALUES (14267, 1, 52, 55.54610327, 176, 78);
INSERT INTO public.ecdc_data VALUES (14268, 4, 742, 187.61244446, 120, 78);
INSERT INTO public.ecdc_data VALUES (14269, 1, 207, 25.4525861, 121, 78);
INSERT INTO public.ecdc_data VALUES (14270, 0, 0, 0, 122, 78);
INSERT INTO public.ecdc_data VALUES (14271, 0, 0, 1.14585243, 177, 78);
INSERT INTO public.ecdc_data VALUES (14272, 0, 19, 3.70494139, 123, 78);
INSERT INTO public.ecdc_data VALUES (14273, 0, 13, 0.61168785, 27, 78);
INSERT INTO public.ecdc_data VALUES (14274, 0, 2, 5.4482403, 28, 78);
INSERT INTO public.ecdc_data VALUES (14275, 7, 68, 4.52972525, 29, 78);
INSERT INTO public.ecdc_data VALUES (14276, 0, 0, 0, 178, 78);
INSERT INTO public.ecdc_data VALUES (14277, 1, 2, 2.71993541, 179, 78);
INSERT INTO public.ecdc_data VALUES (14278, 0, 12, 14.17182771, 180, 78);
INSERT INTO public.ecdc_data VALUES (14279, 0, 84, 2.17284049, 30, 78);
INSERT INTO public.ecdc_data VALUES (14280, 0, 45, 2.10964247, 31, 78);
INSERT INTO public.ecdc_data VALUES (14281, 0, 3, 0.79499743, 124, 78);
INSERT INTO public.ecdc_data VALUES (14282, 0, 21, 55.74839394, 125, 78);
INSERT INTO public.ecdc_data VALUES (14283, 0, 17, 1.99409676, 32, 78);
INSERT INTO public.ecdc_data VALUES (14284, 0, 0, 6.07830067, 181, 78);
INSERT INTO public.ecdc_data VALUES (14285, 0, 0, 40.25898326, 33, 78);
INSERT INTO public.ecdc_data VALUES (14286, 0, 0, 0.23628187, 34, 78);
INSERT INTO public.ecdc_data VALUES (14287, 793, 6574, 56.99917576, 87, 78);
INSERT INTO public.ecdc_data VALUES (14288, 10, 351, 115.97083342, 182, 78);
INSERT INTO public.ecdc_data VALUES (14289, 0, 0, 3.02251776, 183, 78);
INSERT INTO public.ecdc_data VALUES (14290, 0, 0, 0.65112928, 126, 78);
INSERT INTO public.ecdc_data VALUES (14291, 0, 11, 8.67913247, 184, 78);
INSERT INTO public.ecdc_data VALUES (14292, 0, 0, 0, 88, 78);
INSERT INTO public.ecdc_data VALUES (14293, 0, 92, 5.00935436, 35, 78);
INSERT INTO public.ecdc_data VALUES (14294, 0, 20, 1.00111826, 36, 78);
INSERT INTO public.ecdc_data VALUES (14295, 0, 1, 0.08511359, 127, 78);
INSERT INTO public.ecdc_data VALUES (14296, 0, 9, 1.64360014, 37, 78);
INSERT INTO public.ecdc_data VALUES (14297, 0, 0, 17.27096096, 128, 78);
INSERT INTO public.ecdc_data VALUES (14298, 5, 64, 10.52530288, 185, 78);
INSERT INTO public.ecdc_data VALUES (14299, 0, 0, 0, 207, 78);
INSERT INTO public.ecdc_data VALUES (14300, 0, 1, 0.25088531, 208, 78);
INSERT INTO public.ecdc_data VALUES (14301, 10, 156, 13.15406929, 89, 78);
INSERT INTO public.ecdc_data VALUES (14302, 0, 5, 0.33032014, 38, 78);
INSERT INTO public.ecdc_data VALUES (14303, 8, 452, 3.93454331, 39, 78);
INSERT INTO public.ecdc_data VALUES (14304, 4, 118, 99.75292856, 186, 78);
INSERT INTO public.ecdc_data VALUES (14305, 0, 0, 0, 209, 78);
INSERT INTO public.ecdc_data VALUES (14306, 0, 6, 3.52838813, 187, 78);
INSERT INTO public.ecdc_data VALUES (14307, 3, 1318, 285.34719252, 129, 78);
INSERT INTO public.ecdc_data VALUES (14308, 60, 3892, 34.73501715, 130, 78);
INSERT INTO public.ecdc_data VALUES (14309, 0, 179, 14.33325665, 131, 78);
INSERT INTO public.ecdc_data VALUES (14310, 15, 562, 237.39885645, 90, 78);
INSERT INTO public.ecdc_data VALUES (14311, 0, 0, 0.01139456, 210, 78);
INSERT INTO public.ecdc_data VALUES (14312, 0, 30, 3.33587001, 91, 78);
INSERT INTO public.ecdc_data VALUES (14313, 359, 5874, 175.55579493, 92, 78);
INSERT INTO public.ecdc_data VALUES (14314, 9, 1143, 8.16988159, 132, 78);
INSERT INTO public.ecdc_data VALUES (14315, 16, 300, 13.08041132, 188, 78);
INSERT INTO public.ecdc_data VALUES (14316, 6, 345, 43.11730212, 189, 78);
INSERT INTO public.ecdc_data VALUES (14317, 0, 121, 51.13513174, 93, 78);
INSERT INTO public.ecdc_data VALUES (14318, 0, 1176, 624.98433125, 133, 78);
INSERT INTO public.ecdc_data VALUES (14319, 16, 214, 19.34640668, 190, 78);
INSERT INTO public.ecdc_data VALUES (14320, 153, 7425, 78.46042832, 191, 78);
INSERT INTO public.ecdc_data VALUES (14321, 0, 11, 2.65305809, 40, 78);
INSERT INTO public.ecdc_data VALUES (14322, 0, 0, 0, 94, 78);
INSERT INTO public.ecdc_data VALUES (14323, 0, 0, 0, 95, 78);
INSERT INTO public.ecdc_data VALUES (14324, 0, 0, 1.80843272, 96, 78);
INSERT INTO public.ecdc_data VALUES (14325, 0, 0, 29.02504862, 192, 78);
INSERT INTO public.ecdc_data VALUES (14326, 0, 5, 89.74740523, 41, 78);
INSERT INTO public.ecdc_data VALUES (14327, 39, 3139, 162.16920195, 134, 78);
INSERT INTO public.ecdc_data VALUES (14328, 3, 64, 9.31496244, 42, 78);
INSERT INTO public.ecdc_data VALUES (14329, 1, 102, 16.18377647, 193, 78);
INSERT INTO public.ecdc_data VALUES (14330, 0, 0, 0, 43, 78);
INSERT INTO public.ecdc_data VALUES (14331, 0, 7, 4.12122705, 44, 78);
INSERT INTO public.ecdc_data VALUES (14332, 0, 119, 67.50117972, 135, 78);
INSERT INTO public.ecdc_data VALUES (14333, 0, 0, 0, 97, 78);
INSERT INTO public.ecdc_data VALUES (14334, 0, 1, 1.06413798, 194, 78);
INSERT INTO public.ecdc_data VALUES (14335, 2, 13, 2.30668535, 195, 78);
INSERT INTO public.ecdc_data VALUES (14336, 0, 23, 2.71321991, 45, 78);
INSERT INTO public.ecdc_data VALUES (14337, 111, 4518, 90.70794394, 46, 78);
INSERT INTO public.ecdc_data VALUES (14338, 0, 51, 1.235717, 136, 78);
INSERT INTO public.ecdc_data VALUES (14339, 1, 24, 2.8204374, 47, 78);
INSERT INTO public.ecdc_data VALUES (14340, 2, 334, 10.23924379, 196, 78);
INSERT INTO public.ecdc_data VALUES (14341, 0, 40, 0.61902854, 137, 78);
INSERT INTO public.ecdc_data VALUES (14342, 15, 191, 6.18266729, 48, 78);
INSERT INTO public.ecdc_data VALUES (14343, 1, 0, 31.30574185, 98, 78);
INSERT INTO public.ecdc_data VALUES (14344, 25, 1309, 139.96814329, 197, 78);
INSERT INTO public.ecdc_data VALUES (14345, 0, 22, 4.0259689, 198, 78);
INSERT INTO public.ecdc_data VALUES (14346, 0, 12, 0.49794577, 138, 78);
INSERT INTO public.ecdc_data VALUES (14347, 0, 0, 0.01261889, 139, 78);
INSERT INTO public.ecdc_data VALUES (14348, 0, 54, 9.40883849, 140, 78);
INSERT INTO public.ecdc_data VALUES (14349, 0, 5, 0.04452387, 141, 78);
INSERT INTO public.ecdc_data VALUES (14350, 0, 0, 0, 142, 78);
INSERT INTO public.ecdc_data VALUES (14351, 0, 7, 0.9279469, 49, 78);
INSERT INTO public.ecdc_data VALUES (14352, 0, 0, 0.43011709, 99, 78);
INSERT INTO public.ecdc_data VALUES (14353, 0, 0, 0.6156624, 50, 78);
INSERT INTO public.ecdc_data VALUES (14354, 27, 1268, 22.01237254, 199, 78);
INSERT INTO public.ecdc_data VALUES (14355, 0, 0, 5.23642457, 100, 78);
INSERT INTO public.ecdc_data VALUES (14356, 0, 23, 0.3162442, 51, 78);
INSERT INTO public.ecdc_data VALUES (14357, 23, 833, 23.22608291, 200, 78);
INSERT INTO public.ecdc_data VALUES (14358, 2, 380, 59.14727621, 143, 78);
INSERT INTO public.ecdc_data VALUES (14359, 94, 896, 20.30245512, 201, 78);
INSERT INTO public.ecdc_data VALUES (14360, 0, 0, 0, 52, 78);
INSERT INTO public.ecdc_data VALUES (14361, 826, 34720, 111.580415, 101, 78);
INSERT INTO public.ecdc_data VALUES (14362, 0, 0, 4.78107459, 102, 78);
INSERT INTO public.ecdc_data VALUES (14363, 0, 3, 1.126604, 103, 78);
INSERT INTO public.ecdc_data VALUES (14364, 0, 255, 6.69461852, 144, 78);
INSERT INTO public.ecdc_data VALUES (14365, 0, 138, 6.0071899, 104, 78);
INSERT INTO public.ecdc_data VALUES (14366, 0, 0, 0.0176235, 145, 78);
INSERT INTO public.ecdc_data VALUES (14367, 0, 0, 0.3433724, 53, 78);
INSERT INTO public.ecdc_data VALUES (14368, 4, 25, 1.60483249, 146, 78);
INSERT INTO public.ecdc_data VALUES (14369, 7, 47, 1.55086206, 54, 78);
INSERT INTO public.ecdc_data VALUES (14370, 0, 13, 1.44071823, 55, 78);
INSERT INTO public.ecdc_data VALUES (14371, 11, 782, 15.68013801, 105, 79);
INSERT INTO public.ecdc_data VALUES (14372, 0, 8, 4.6464067, 147, 79);
INSERT INTO public.ecdc_data VALUES (14373, 10, 195, 5.93453835, 1, 79);
INSERT INTO public.ecdc_data VALUES (14374, 0, 0, 10.50185752, 148, 79);
INSERT INTO public.ecdc_data VALUES (14375, 0, 0, 0.05341662, 2, 79);
INSERT INTO public.ecdc_data VALUES (14376, 0, 0, 0, 56, 79);
INSERT INTO public.ecdc_data VALUES (14377, 0, 0, 0, 57, 79);
INSERT INTO public.ecdc_data VALUES (14378, 12, 704, 12.45403291, 58, 79);
INSERT INTO public.ecdc_data VALUES (14379, 4, 359, 113.19499291, 149, 79);
INSERT INTO public.ecdc_data VALUES (14380, 0, 0, 0, 59, 79);
INSERT INTO public.ecdc_data VALUES (14381, 1, 11, 0.70229177, 202, 79);
INSERT INTO public.ecdc_data VALUES (14382, 4, 46, 7.11159274, 150, 79);
INSERT INTO public.ecdc_data VALUES (14383, 3, 127, 15.5259119, 151, 79);
INSERT INTO public.ecdc_data VALUES (14384, 0, 3, 2.0539891, 60, 79);
INSERT INTO public.ecdc_data VALUES (14385, 1, 388, 245.43555671, 106, 79);
INSERT INTO public.ecdc_data VALUES (14386, 20, 1873, 11.22872108, 107, 79);
INSERT INTO public.ecdc_data VALUES (14387, 0, 2, 2.7872525, 61, 79);
INSERT INTO public.ecdc_data VALUES (14388, 4, 941, 139.56230629, 152, 79);
INSERT INTO public.ecdc_data VALUES (14389, 25, 123, 32.66547766, 153, 79);
INSERT INTO public.ecdc_data VALUES (14390, 0, 0, 0, 62, 79);
INSERT INTO public.ecdc_data VALUES (14391, 0, 0, -1.26258871, 3, 79);
INSERT INTO public.ecdc_data VALUES (14392, 0, 5, 23.99692839, 63, 79);
INSERT INTO public.ecdc_data VALUES (14393, 0, 0, 2.22777273, 108, 79);
INSERT INTO public.ecdc_data VALUES (14394, 10, 336, 30.20906095, 64, 79);
INSERT INTO public.ecdc_data VALUES (14395, 0, 0, 0, 65, 79);
INSERT INTO public.ecdc_data VALUES (14396, 0, 19, 9.05786674, 154, 79);
INSERT INTO public.ecdc_data VALUES (14397, 0, 0, 0.30385861, 4, 79);
INSERT INTO public.ecdc_data VALUES (14398, 965, 16508, 90.71757231, 66, 79);
INSERT INTO public.ecdc_data VALUES (14399, 0, 0, 3.3296707, 67, 79);
INSERT INTO public.ecdc_data VALUES (14400, 0, 0, 0, 109, 79);
INSERT INTO public.ecdc_data VALUES (14401, 0, 0, 6.47139252, 155, 79);
INSERT INTO public.ecdc_data VALUES (14402, 0, 0, 0.32478104, 5, 79);
INSERT INTO public.ecdc_data VALUES (14403, 0, 0, 0.19946964, 6, 79);
INSERT INTO public.ecdc_data VALUES (14404, 0, 0, 0.01213111, 110, 79);
INSERT INTO public.ecdc_data VALUES (14405, 0, 197, 8.97729656, 7, 79);
INSERT INTO public.ecdc_data VALUES (14406, 105, 1141, 42.52220962, 68, 79);
INSERT INTO public.ecdc_data VALUES (14407, 0, 9, 24.54831108, 8, 79);
INSERT INTO public.ecdc_data VALUES (14408, 0, 8, 73.90527807, 69, 79);
INSERT INTO public.ecdc_data VALUES (14409, 1, 73, 8.61927443, 9, 79);
INSERT INTO public.ecdc_data VALUES (14410, 1, 37, 2.04428678, 10, 79);
INSERT INTO public.ecdc_data VALUES (14411, 43, 3536, 201.42427977, 70, 79);
INSERT INTO public.ecdc_data VALUES (14412, 0, 3, 0.00648633, 111, 79);
INSERT INTO public.ecdc_data VALUES (14413, 23, 1046, 19.23342696, 71, 79);
INSERT INTO public.ecdc_data VALUES (14414, 0, 0, 7.87409903, 11, 79);
INSERT INTO public.ecdc_data VALUES (14415, 0, 18, 3.7171239, 12, 79);
INSERT INTO public.ecdc_data VALUES (14416, 0, 7, 2.73399371, 72, 79);
INSERT INTO public.ecdc_data VALUES (14417, 1, 65, 2.71809357, 13, 79);
INSERT INTO public.ecdc_data VALUES (14418, 0, 0, 1.6436692, 156, 79);
INSERT INTO public.ecdc_data VALUES (14419, 0, 15, 1.56174394, 73, 79);
INSERT INTO public.ecdc_data VALUES (14420, 0, 0, 0, 74, 79);
INSERT INTO public.ecdc_data VALUES (14421, 0, 0, 3.9958945, 157, 79);
INSERT INTO public.ecdc_data VALUES (14422, 2, 77, 7.46492892, 158, 79);
INSERT INTO public.ecdc_data VALUES (14423, 0, 116, 1.32502878, 14, 79);
INSERT INTO public.ecdc_data VALUES (14424, 0, 59, 16.7066219, 159, 79);
INSERT INTO public.ecdc_data VALUES (14425, 0, 0, 111.03612834, 15, 79);
INSERT INTO public.ecdc_data VALUES (14426, 0, 0, 0, 75, 79);
INSERT INTO public.ecdc_data VALUES (14427, 2, 433, 42.27598639, 76, 79);
INSERT INTO public.ecdc_data VALUES (14428, 40, 430, 41.36722626, 77, 79);
INSERT INTO public.ecdc_data VALUES (14429, 28, 827, 7.61943082, 16, 79);
INSERT INTO public.ecdc_data VALUES (14430, 2, 94, 14.4106732, 78, 79);
INSERT INTO public.ecdc_data VALUES (14431, 2, 140, 44.54336414, 17, 79);
INSERT INTO public.ecdc_data VALUES (14432, 0, 0, 0, 18, 79);
INSERT INTO public.ecdc_data VALUES (14433, 0, 14, 6.6424118, 160, 79);
INSERT INTO public.ecdc_data VALUES (14434, 0, 18, 6.53234425, 19, 79);
INSERT INTO public.ecdc_data VALUES (14435, 0, 61, 0.25339331, 20, 79);
INSERT INTO public.ecdc_data VALUES (14436, 0, 0, 0, 79, 79);
INSERT INTO public.ecdc_data VALUES (14437, 0, 0, 0, 161, 79);
INSERT INTO public.ecdc_data VALUES (14438, 0, 0, 0, 203, 79);
INSERT INTO public.ecdc_data VALUES (14439, 0, 31, 12.46846864, 162, 79);
INSERT INTO public.ecdc_data VALUES (14440, 43, 240, 8.88187425, 163, 79);
INSERT INTO public.ecdc_data VALUES (14441, 0, 0, 0, 204, 79);
INSERT INTO public.ecdc_data VALUES (14442, 0, 206, 58.59398374, 21, 79);
INSERT INTO public.ecdc_data VALUES (14443, 0, 0, 0.21297476, 22, 79);
INSERT INTO public.ecdc_data VALUES (14444, 0, 5, 2.5520659, 164, 79);
INSERT INTO public.ecdc_data VALUES (14445, 31, 431, 10.91675008, 165, 79);
INSERT INTO public.ecdc_data VALUES (14446, 0, 0, 7.73887497, 23, 79);
INSERT INTO public.ecdc_data VALUES (14447, 0, 0, 14.83415416, 166, 79);
INSERT INTO public.ecdc_data VALUES (14448, 2, 3, 1.54784342, 167, 79);
INSERT INTO public.ecdc_data VALUES (14449, 0, 0, 0, 80, 79);
INSERT INTO public.ecdc_data VALUES (14450, 0, 0, 0.8928412, 81, 79);
INSERT INTO public.ecdc_data VALUES (14451, 0, 1, 8.96619744, 205, 79);
INSERT INTO public.ecdc_data VALUES (14452, 4, 311, 11.87044819, 82, 79);
INSERT INTO public.ecdc_data VALUES (14453, 0, 0, 0, 168, 79);
INSERT INTO public.ecdc_data VALUES (14454, 1, 109, 8.87932156, 24, 79);
INSERT INTO public.ecdc_data VALUES (14455, 0, 25, 24.62365631, 25, 79);
INSERT INTO public.ecdc_data VALUES (14456, 0, 0, 3.83251892, 83, 79);
INSERT INTO public.ecdc_data VALUES (14457, 1, 53, 6.33929674, 84, 79);
INSERT INTO public.ecdc_data VALUES (14458, 0, 0, 0, 169, 79);
INSERT INTO public.ecdc_data VALUES (14459, 7, 266, 19.62833396, 85, 79);
INSERT INTO public.ecdc_data VALUES (14460, 4, 28, 4.89114841, 170, 79);
INSERT INTO public.ecdc_data VALUES (14461, 0, 1, 0.84035732, 171, 79);
INSERT INTO public.ecdc_data VALUES (14462, 147, 6767, 5.04450412, 112, 79);
INSERT INTO public.ecdc_data VALUES (14463, 25, 949, 2.99306532, 113, 79);
INSERT INTO public.ecdc_data VALUES (14464, 59, 1869, 32.92693059, 114, 79);
INSERT INTO public.ecdc_data VALUES (14465, 5, 308, 4.05242572, 115, 79);
INSERT INTO public.ecdc_data VALUES (14466, 12, 76, 37.15152603, 172, 79);
INSERT INTO public.ecdc_data VALUES (14467, 0, 0, 7.09312085, 173, 79);
INSERT INTO public.ecdc_data VALUES (14468, 0, 0, 2.77015691, 116, 79);
INSERT INTO public.ecdc_data VALUES (14469, 119, 669, 18.32187406, 174, 79);
INSERT INTO public.ecdc_data VALUES (14470, 0, 6, 1.76374201, 86, 79);
INSERT INTO public.ecdc_data VALUES (14471, 12, 14, 0.63297975, 117, 79);
INSERT INTO public.ecdc_data VALUES (14472, 0, 0, 12.05981669, 175, 79);
INSERT INTO public.ecdc_data VALUES (14473, 0, 4, 1.80167748, 118, 79);
INSERT INTO public.ecdc_data VALUES (14474, 0, 403, 17.71292215, 119, 79);
INSERT INTO public.ecdc_data VALUES (14475, 0, 31, 1.03283056, 26, 79);
INSERT INTO public.ecdc_data VALUES (14476, 0, 7, 9.00747621, 176, 79);
INSERT INTO public.ecdc_data VALUES (14477, 10, 900, 305.22379315, 120, 79);
INSERT INTO public.ecdc_data VALUES (14478, 0, 39, 6.25014515, 121, 79);
INSERT INTO public.ecdc_data VALUES (14479, 0, 0, 0, 122, 79);
INSERT INTO public.ecdc_data VALUES (14480, 0, 16, 6.04176736, 177, 79);
INSERT INTO public.ecdc_data VALUES (14481, 0, 11, 4.20087842, 123, 79);
INSERT INTO public.ecdc_data VALUES (14482, 0, 1, 0, 27, 79);
INSERT INTO public.ecdc_data VALUES (14483, 2, 6, 1.13420616, 28, 79);
INSERT INTO public.ecdc_data VALUES (14484, 0, 3, 0.16230286, 29, 79);
INSERT INTO public.ecdc_data VALUES (14485, 0, 0, 0, 178, 79);
INSERT INTO public.ecdc_data VALUES (14486, 2, 12, 6.15564329, 179, 79);
INSERT INTO public.ecdc_data VALUES (14487, 0, 9, 18.40708657, 180, 79);
INSERT INTO public.ecdc_data VALUES (14488, 0, 0, 1.03450938, 30, 79);
INSERT INTO public.ecdc_data VALUES (14489, 1, 1, 0.14493727, 31, 79);
INSERT INTO public.ecdc_data VALUES (14490, 0, 48, 1.86542703, 124, 79);
INSERT INTO public.ecdc_data VALUES (14491, 0, 29, 96.61799355, 125, 79);
INSERT INTO public.ecdc_data VALUES (14492, 1, 46, 1.64309504, 32, 79);
INSERT INTO public.ecdc_data VALUES (14493, 0, 1, 23.09754254, 181, 79);
INSERT INTO public.ecdc_data VALUES (14494, 1, 54, 4.83903256, 33, 79);
INSERT INTO public.ecdc_data VALUES (14495, 0, 0, 0, 34, 79);
INSERT INTO public.ecdc_data VALUES (14496, 190, 2256, 33.11842038, 87, 79);
INSERT INTO public.ecdc_data VALUES (14497, 5, 147, 52.60609142, 182, 79);
INSERT INTO public.ecdc_data VALUES (14498, 0, 0, 3.02251776, 183, 79);
INSERT INTO public.ecdc_data VALUES (14499, 0, 0, 3.06960944, 126, 79);
INSERT INTO public.ecdc_data VALUES (14500, 0, 0, 0, 184, 79);
INSERT INTO public.ecdc_data VALUES (14501, 0, 0, 0, 88, 79);
INSERT INTO public.ecdc_data VALUES (14502, 1, 74, 4.10180302, 35, 79);
INSERT INTO public.ecdc_data VALUES (14503, 0, 4, 0.26674532, 36, 79);
INSERT INTO public.ecdc_data VALUES (14504, 0, 0, 0.0425568, 127, 79);
INSERT INTO public.ecdc_data VALUES (14505, 0, 1, 0.16035123, 37, 79);
INSERT INTO public.ecdc_data VALUES (14506, 0, 36, 1.66033322, 128, 79);
INSERT INTO public.ecdc_data VALUES (14507, 23, 176, 15.51889078, 185, 79);
INSERT INTO public.ecdc_data VALUES (14508, 0, 0, 0, 207, 79);
INSERT INTO public.ecdc_data VALUES (14509, 0, 0, 0.20907109, 208, 79);
INSERT INTO public.ecdc_data VALUES (14510, 0, 0, 4.01802581, 89, 79);
INSERT INTO public.ecdc_data VALUES (14511, 1, 6, 0.54910361, 38, 79);
INSERT INTO public.ecdc_data VALUES (14512, 0, 265, 1.67940858, 39, 79);
INSERT INTO public.ecdc_data VALUES (14513, 1, 20, 15.35771439, 186, 79);
INSERT INTO public.ecdc_data VALUES (14514, 0, 0, 10.48712705, 209, 79);
INSERT INTO public.ecdc_data VALUES (14515, 0, 0, 4.50432528, 187, 79);
INSERT INTO public.ecdc_data VALUES (14516, 4, 463, 81.06545699, 129, 79);
INSERT INTO public.ecdc_data VALUES (14517, 32, 2164, 11.60665999, 130, 79);
INSERT INTO public.ecdc_data VALUES (14518, 1, 0, 1.1041024, 131, 79);
INSERT INTO public.ecdc_data VALUES (14519, 4, 310, 54.04527086, 90, 79);
INSERT INTO public.ecdc_data VALUES (14520, 0, 0, 0, 210, 79);
INSERT INTO public.ecdc_data VALUES (14521, 0, 12, 2.28542584, 91, 79);
INSERT INTO public.ecdc_data VALUES (14522, 129, 4056, 156.06975994, 92, 79);
INSERT INTO public.ecdc_data VALUES (14523, 6, 180, 2.92924431, 132, 79);
INSERT INTO public.ecdc_data VALUES (14524, 11, 312, 13.90468528, 188, 79);
INSERT INTO public.ecdc_data VALUES (14525, 13, 271, 29.82499007, 189, 79);
INSERT INTO public.ecdc_data VALUES (14526, 1, 70, 31.60151142, 93, 79);
INSERT INTO public.ecdc_data VALUES (14527, 2, 1732, 737.34027148, 133, 79);
INSERT INTO public.ecdc_data VALUES (14528, 11, 145, 14.04108217, 190, 79);
INSERT INTO public.ecdc_data VALUES (14529, 139, 9434, 94.05900752, 191, 79);
INSERT INTO public.ecdc_data VALUES (14530, 0, 4, 0.35638094, 40, 79);
INSERT INTO public.ecdc_data VALUES (14531, 0, 0, 0, 94, 79);
INSERT INTO public.ecdc_data VALUES (14532, 0, 0, 0, 95, 79);
INSERT INTO public.ecdc_data VALUES (14533, 0, 0, 0.90421636, 96, 79);
INSERT INTO public.ecdc_data VALUES (14534, 1, 4, 81.27013613, 192, 79);
INSERT INTO public.ecdc_data VALUES (14535, 0, 40, 38.59603437, 41, 79);
INSERT INTO public.ecdc_data VALUES (14536, 15, 2442, 96.37122154, 134, 79);
INSERT INTO public.ecdc_data VALUES (14537, 2, 67, 8.2349668, 42, 79);
INSERT INTO public.ecdc_data VALUES (14538, 1, 68, 15.22165312, 193, 79);
INSERT INTO public.ecdc_data VALUES (14539, 0, 0, 0, 43, 79);
INSERT INTO public.ecdc_data VALUES (14540, 1, 15, 4.22361778, 44, 79);
INSERT INTO public.ecdc_data VALUES (14541, 0, 642, 148.30274503, 135, 79);
INSERT INTO public.ecdc_data VALUES (14542, 0, 0, 2.3591026, 97, 79);
INSERT INTO public.ecdc_data VALUES (14543, 0, 1, 0.89901312, 194, 79);
INSERT INTO public.ecdc_data VALUES (14544, 0, 0, 0.52861539, 195, 79);
INSERT INTO public.ecdc_data VALUES (14545, 0, 0, 3.86585271, 45, 79);
INSERT INTO public.ecdc_data VALUES (14546, 10, 1218, 20.36091676, 46, 79);
INSERT INTO public.ecdc_data VALUES (14547, 0, 25, 0.61688242, 136, 79);
INSERT INTO public.ecdc_data VALUES (14548, 0, 224, 3.79674265, 47, 79);
INSERT INTO public.ecdc_data VALUES (14549, 74, 482, 17.88565368, 196, 79);
INSERT INTO public.ecdc_data VALUES (14550, 0, 21, 1.13488566, 137, 79);
INSERT INTO public.ecdc_data VALUES (14551, 9, 250, 5.75522939, 48, 79);
INSERT INTO public.ecdc_data VALUES (14552, 0, 0, 0.17200957, 98, 79);
INSERT INTO public.ecdc_data VALUES (14553, 55, 403, 75.29678105, 197, 79);
INSERT INTO public.ecdc_data VALUES (14554, 4, 18, 5.54741064, 198, 79);
INSERT INTO public.ecdc_data VALUES (14555, 0, 11, 0.13473827, 138, 79);
INSERT INTO public.ecdc_data VALUES (14556, 0, 0, 0.0042063, 139, 79);
INSERT INTO public.ecdc_data VALUES (14557, 0, 201, 20.80243767, 140, 79);
INSERT INTO public.ecdc_data VALUES (14558, 0, 0, 0.05170513, 141, 79);
INSERT INTO public.ecdc_data VALUES (14559, 0, 0, 0, 142, 79);
INSERT INTO public.ecdc_data VALUES (14560, 0, 10, 2.72197758, 49, 79);
INSERT INTO public.ecdc_data VALUES (14561, 0, 0, 0, 99, 79);
INSERT INTO public.ecdc_data VALUES (14562, 1, 0, 0.13681387, 50, 79);
INSERT INTO public.ecdc_data VALUES (14563, 32, 1186, 22.64648886, 199, 79);
INSERT INTO public.ecdc_data VALUES (14564, 0, 0, 0, 100, 79);
INSERT INTO public.ecdc_data VALUES (14565, 0, 23, 0.18522874, 51, 79);
INSERT INTO public.ecdc_data VALUES (14566, 17, 432, 13.34283683, 200, 79);
INSERT INTO public.ecdc_data VALUES (14567, 3, 812, 115.5209044, 143, 79);
INSERT INTO public.ecdc_data VALUES (14568, 220, 2062, 55.2867167, 201, 79);
INSERT INTO public.ecdc_data VALUES (14569, 0, 0, 0, 52, 79);
INSERT INTO public.ecdc_data VALUES (14570, 1080, 21236, 95.15721179, 101, 79);
INSERT INTO public.ecdc_data VALUES (14571, 0, 0, 0, 102, 79);
INSERT INTO public.ecdc_data VALUES (14572, 2, 11, 1.79101149, 103, 79);
INSERT INTO public.ecdc_data VALUES (14573, 0, 54, 2.25882735, 144, 79);
INSERT INTO public.ecdc_data VALUES (14574, 0, 0, 1.90069873, 104, 79);
INSERT INTO public.ecdc_data VALUES (14575, 0, 0, 0.03732035, 145, 79);
INSERT INTO public.ecdc_data VALUES (14576, 0, 0, 0, 53, 79);
INSERT INTO public.ecdc_data VALUES (14577, 6, 7, 0.61038501, 146, 79);
INSERT INTO public.ecdc_data VALUES (14578, 0, 0, 3.73998504, 54, 79);
INSERT INTO public.ecdc_data VALUES (14579, 0, 0, 0.13656097, 55, 79);
INSERT INTO public.ecdc_data VALUES (14580, 2, 105, 2.09506622, 105, 80);
INSERT INTO public.ecdc_data VALUES (14581, 0, 29, 8.87358874, 147, 80);
INSERT INTO public.ecdc_data VALUES (14582, 5, 97, 3.11476161, 1, 80);
INSERT INTO public.ecdc_data VALUES (14583, 0, 1, 185.09523872, 148, 80);
INSERT INTO public.ecdc_data VALUES (14584, 0, 1, 0.01885293, 2, 80);
INSERT INTO public.ecdc_data VALUES (14585, 0, 0, 0, 56, 80);
INSERT INTO public.ecdc_data VALUES (14586, 0, 0, 5.14853524, 57, 80);
INSERT INTO public.ecdc_data VALUES (14587, 6, 147, 3.41441928, 58, 80);
INSERT INTO public.ecdc_data VALUES (14588, 3, 73, 22.28061539, 149, 80);
INSERT INTO public.ecdc_data VALUES (14589, 0, 0, 16.93161509, 59, 80);
INSERT INTO public.ecdc_data VALUES (14590, 1, 13, 2.04339132, 202, 80);
INSERT INTO public.ecdc_data VALUES (14591, 14, 61, 19.60767713, 150, 80);
INSERT INTO public.ecdc_data VALUES (14592, 0, 30, 6.19045975, 151, 80);
INSERT INTO public.ecdc_data VALUES (14593, 2, 2, 7.95920778, 60, 80);
INSERT INTO public.ecdc_data VALUES (14594, 1, 210, 81.04004231, 106, 80);
INSERT INTO public.ecdc_data VALUES (14595, 7, 414, 2.36497425, 107, 80);
INSERT INTO public.ecdc_data VALUES (14596, 0, 0, 3.48406563, 61, 80);
INSERT INTO public.ecdc_data VALUES (14597, 2, 741, 69.14639432, 152, 80);
INSERT INTO public.ecdc_data VALUES (14598, 156, 976, 152.11881714, 153, 80);
INSERT INTO public.ecdc_data VALUES (14599, 0, 0, 2.30561725, 62, 80);
INSERT INTO public.ecdc_data VALUES (14600, 0, 4, 0.23726499, 3, 80);
INSERT INTO public.ecdc_data VALUES (14601, 0, 0, 81.58955654, 63, 80);
INSERT INTO public.ecdc_data VALUES (14602, 0, 0, 0.26209091, 108, 80);
INSERT INTO public.ecdc_data VALUES (14603, 3, 31, 3.77830406, 64, 80);
INSERT INTO public.ecdc_data VALUES (14604, 0, 0, 15.39468114, 65, 80);
INSERT INTO public.ecdc_data VALUES (14605, 1, 46, 16.29810136, 154, 80);
INSERT INTO public.ecdc_data VALUES (14606, 0, 0, 0.39067536, 4, 80);
INSERT INTO public.ecdc_data VALUES (14607, 407, 3735, 14.98937318, 66, 80);
INSERT INTO public.ecdc_data VALUES (14608, 0, 0, 6.65934139, 67, 80);
INSERT INTO public.ecdc_data VALUES (14609, 0, 0, 0.69236734, 109, 80);
INSERT INTO public.ecdc_data VALUES (14610, 3, 73, 6.75710521, 155, 80);
INSERT INTO public.ecdc_data VALUES (14611, 2, 7, 0.85132001, 5, 80);
INSERT INTO public.ecdc_data VALUES (14612, 0, 0, 0.06938074, 6, 80);
INSERT INTO public.ecdc_data VALUES (14613, 0, 0, 0.01819666, 110, 80);
INSERT INTO public.ecdc_data VALUES (14614, 6, 238, 2.59309771, 7, 80);
INSERT INTO public.ecdc_data VALUES (14615, 172, 1920, 57.0713916, 68, 80);
INSERT INTO public.ecdc_data VALUES (14616, 0, 9, 13.6379506, 8, 80);
INSERT INTO public.ecdc_data VALUES (14617, 0, 0, 32.33355916, 69, 80);
INSERT INTO public.ecdc_data VALUES (14618, 0, 1, 0.12644412, 9, 80);
INSERT INTO public.ecdc_data VALUES (14619, 0, 6, 0.18185373, 10, 80);
INSERT INTO public.ecdc_data VALUES (14620, 8, 516, 30.81463283, 70, 80);
INSERT INTO public.ecdc_data VALUES (14621, 0, 8, 0.06688596, 111, 80);
INSERT INTO public.ecdc_data VALUES (14622, 9, 205, 4.64446935, 71, 80);
INSERT INTO public.ecdc_data VALUES (14623, 0, 0, 2.34178806, 12, 80);
INSERT INTO public.ecdc_data VALUES (14624, 0, 6, 2.93210919, 72, 80);
INSERT INTO public.ecdc_data VALUES (14625, 0, 52, 2.17758569, 13, 80);
INSERT INTO public.ecdc_data VALUES (14626, 2, 31, 14.08158389, 156, 80);
INSERT INTO public.ecdc_data VALUES (14627, 3, 46, 6.35285672, 73, 80);
INSERT INTO public.ecdc_data VALUES (14628, 0, 0, 0, 74, 80);
INSERT INTO public.ecdc_data VALUES (14629, 0, 5, 26.37290373, 157, 80);
INSERT INTO public.ecdc_data VALUES (14630, 3, 52, 15.20216342, 158, 80);
INSERT INTO public.ecdc_data VALUES (14631, 0, 17, 0.20624361, 14, 80);
INSERT INTO public.ecdc_data VALUES (14632, 10, 161, 41.99045794, 159, 80);
INSERT INTO public.ecdc_data VALUES (14633, 0, 12, 86.89783957, 15, 80);
INSERT INTO public.ecdc_data VALUES (14634, 0, 0, 0, 75, 80);
INSERT INTO public.ecdc_data VALUES (14635, 5, 243, 29.74218074, 76, 80);
INSERT INTO public.ecdc_data VALUES (14636, 23, 333, 35.78981673, 77, 80);
INSERT INTO public.ecdc_data VALUES (14637, 12, 169, 1.95242311, 16, 80);
INSERT INTO public.ecdc_data VALUES (14638, 0, 13, 2.06088122, 78, 80);
INSERT INTO public.ecdc_data VALUES (14639, 1, 1, 4.86732125, 17, 80);
INSERT INTO public.ecdc_data VALUES (14640, 0, 0, 0.1715699, 18, 80);
INSERT INTO public.ecdc_data VALUES (14641, 1, 33, 29.06055162, 160, 80);
INSERT INTO public.ecdc_data VALUES (14642, 0, 1, 1.74195847, 19, 80);
INSERT INTO public.ecdc_data VALUES (14643, 0, 0, 0.0535338, 20, 80);
INSERT INTO public.ecdc_data VALUES (14644, 0, 0, 207.59193357, 79, 80);
INSERT INTO public.ecdc_data VALUES (14645, 0, 2, 6.16307496, 161, 80);
INSERT INTO public.ecdc_data VALUES (14646, 0, 0, 0.3370957, 203, 80);
INSERT INTO public.ecdc_data VALUES (14647, 23, 155, 30.42813785, 162, 80);
INSERT INTO public.ecdc_data VALUES (14648, 516, 1653, 51.43787054, 163, 80);
INSERT INTO public.ecdc_data VALUES (14649, 0, 0, 2.14834309, 204, 80);
INSERT INTO public.ecdc_data VALUES (14650, 1, 1, 5.66147683, 21, 80);
INSERT INTO public.ecdc_data VALUES (14651, 0, 0, 0.25556972, 22, 80);
INSERT INTO public.ecdc_data VALUES (14652, 0, 9, 5.17919256, 164, 80);
INSERT INTO public.ecdc_data VALUES (14653, 227, 2337, 44.39695182, 165, 80);
INSERT INTO public.ecdc_data VALUES (14654, 0, 0, 2.55113296, 23, 80);
INSERT INTO public.ecdc_data VALUES (14655, 0, 0, 29.66830831, 166, 80);
INSERT INTO public.ecdc_data VALUES (14656, 4, 55, 4.73677384, 167, 80);
INSERT INTO public.ecdc_data VALUES (14657, 0, 0, 0, 80, 80);
INSERT INTO public.ecdc_data VALUES (14658, 0, 0, 2.6785236, 81, 80);
INSERT INTO public.ecdc_data VALUES (14659, 0, 3, 7.17295795, 205, 80);
INSERT INTO public.ecdc_data VALUES (14660, 1, 42, 1.46745359, 82, 80);
INSERT INTO public.ecdc_data VALUES (14661, 0, 2, 83.76248682, 168, 80);
INSERT INTO public.ecdc_data VALUES (14662, 0, 101, 5.23049983, 24, 80);
INSERT INTO public.ecdc_data VALUES (14663, 0, 2, 0.88499399, 25, 80);
INSERT INTO public.ecdc_data VALUES (14664, 0, 3, 4.21577082, 83, 80);
INSERT INTO public.ecdc_data VALUES (14665, 1, 10, 0.37289981, 84, 80);
INSERT INTO public.ecdc_data VALUES (14666, 0, 0, 122.6993865, 169, 80);
INSERT INTO public.ecdc_data VALUES (14667, 0, 0, 1.40568832, 85, 80);
INSERT INTO public.ecdc_data VALUES (14668, 25, 99, 12.20740598, 170, 80);
INSERT INTO public.ecdc_data VALUES (14669, 0, 4, 39.49679404, 171, 80);
INSERT INTO public.ecdc_data VALUES (14670, 37, 1684, 1.21961237, 112, 80);
INSERT INTO public.ecdc_data VALUES (14671, 12, 357, 1.65616281, 113, 80);
INSERT INTO public.ecdc_data VALUES (14672, 90, 1030, 25.09350273, 114, 80);
INSERT INTO public.ecdc_data VALUES (14673, 0, 75, 1.13203355, 115, 80);
INSERT INTO public.ecdc_data VALUES (14674, 25, 936, 208.26876336, 172, 80);
INSERT INTO public.ecdc_data VALUES (14675, 1, 0, 138.31585667, 173, 80);
INSERT INTO public.ecdc_data VALUES (14676, 2, 290, 57.68030112, 116, 80);
INSERT INTO public.ecdc_data VALUES (14677, 464, 2646, 76.78487177, 174, 80);
INSERT INTO public.ecdc_data VALUES (14678, 0, 0, 6.41052384, 86, 80);
INSERT INTO public.ecdc_data VALUES (14679, 30, 468, 5.43353599, 117, 80);
INSERT INTO public.ecdc_data VALUES (14680, 1, 21, 86.27407325, 175, 80);
INSERT INTO public.ecdc_data VALUES (14681, 0, 9, 0.64345624, 118, 80);
INSERT INTO public.ecdc_data VALUES (14682, 3, 143, 8.25812439, 119, 80);
INSERT INTO public.ecdc_data VALUES (14683, 0, 17, 0.25868316, 26, 80);
INSERT INTO public.ecdc_data VALUES (14684, 1, 39, 24.5759536, 176, 80);
INSERT INTO public.ecdc_data VALUES (14685, 1, 151, 35.39274418, 120, 80);
INSERT INTO public.ecdc_data VALUES (14686, 0, 25, 5.57993008, 121, 80);
INSERT INTO public.ecdc_data VALUES (14687, 0, 0, 0.04184418, 122, 80);
INSERT INTO public.ecdc_data VALUES (14688, 0, 17, 9.84391407, 177, 80);
INSERT INTO public.ecdc_data VALUES (14689, 0, 6, 1.54615664, 123, 80);
INSERT INTO public.ecdc_data VALUES (14690, 0, 0, 1.4177577, 28, 80);
INSERT INTO public.ecdc_data VALUES (14691, 1, 1, 0.53117299, 29, 80);
INSERT INTO public.ecdc_data VALUES (14692, 0, 0, 7.81697848, 178, 80);
INSERT INTO public.ecdc_data VALUES (14693, 2, 12, 16.28382383, 179, 80);
INSERT INTO public.ecdc_data VALUES (14694, 3, 11, 89.59201426, 180, 80);
INSERT INTO public.ecdc_data VALUES (14695, 0, 0, 0.10382173, 30, 80);
INSERT INTO public.ecdc_data VALUES (14696, 0, 10, 0.13420117, 31, 80);
INSERT INTO public.ecdc_data VALUES (14697, 2, 71, 4.3036278, 124, 80);
INSERT INTO public.ecdc_data VALUES (14698, 0, 25, 17.13886435, 125, 80);
INSERT INTO public.ecdc_data VALUES (14699, 4, 16, 1.27174538, 32, 80);
INSERT INTO public.ecdc_data VALUES (14700, 0, 2, 19.45056214, 181, 80);
INSERT INTO public.ecdc_data VALUES (14701, 0, 0, 0, 33, 80);
INSERT INTO public.ecdc_data VALUES (14702, 0, 2, 1.33893059, 34, 80);
INSERT INTO public.ecdc_data VALUES (14703, 99, 1391, 10.21277364, 87, 80);
INSERT INTO public.ecdc_data VALUES (14704, 4, 148, 40.4871517, 182, 80);
INSERT INTO public.ecdc_data VALUES (14705, 0, 0, 24.18014206, 183, 80);
INSERT INTO public.ecdc_data VALUES (14706, 0, 1, 0.62012312, 126, 80);
INSERT INTO public.ecdc_data VALUES (14707, 0, 4, 10.76855325, 184, 80);
INSERT INTO public.ecdc_data VALUES (14708, 0, 0, 40.07212983, 88, 80);
INSERT INTO public.ecdc_data VALUES (14709, 6, 191, 6.01561219, 35, 80);
INSERT INTO public.ecdc_data VALUES (14710, 0, 5, 0.09550141, 36, 80);
INSERT INTO public.ecdc_data VALUES (14711, 0, 5, 0.19428103, 127, 80);
INSERT INTO public.ecdc_data VALUES (14712, 0, 0, 0, 37, 80);
INSERT INTO public.ecdc_data VALUES (14713, 0, 3, 0.1363221, 128, 80);
INSERT INTO public.ecdc_data VALUES (14714, 123, 887, 80.81743009, 185, 80);
INSERT INTO public.ecdc_data VALUES (14715, 0, 0, 0, 207, 80);
INSERT INTO public.ecdc_data VALUES (14716, 1, 2, 2.06980382, 208, 80);
INSERT INTO public.ecdc_data VALUES (14717, 0, 0, 0.06111066, 89, 80);
INSERT INTO public.ecdc_data VALUES (14718, 2, 9, 1.11965658, 38, 80);
INSERT INTO public.ecdc_data VALUES (14719, 3, 108, 0.34483856, 39, 80);
INSERT INTO public.ecdc_data VALUES (14720, 0, 41, 30.66728547, 186, 80);
INSERT INTO public.ecdc_data VALUES (14721, 0, 0, 5.24356353, 209, 80);
INSERT INTO public.ecdc_data VALUES (14722, 11, 95, 22.24010606, 187, 80);
INSERT INTO public.ecdc_data VALUES (14723, 1, 102, 25.30657336, 129, 80);
INSERT INTO public.ecdc_data VALUES (14724, 28, 1406, 3.0263387, 130, 80);
INSERT INTO public.ecdc_data VALUES (14725, 0, 1, 1.46544501, 131, 80);
INSERT INTO public.ecdc_data VALUES (14726, 2, 174, 56.84761824, 90, 80);
INSERT INTO public.ecdc_data VALUES (14727, 0, 0, 0.06836735, 210, 80);
INSERT INTO public.ecdc_data VALUES (14728, 0, 7, 1.29176243, 91, 80);
INSERT INTO public.ecdc_data VALUES (14729, 42, 1664, 48.16295751, 92, 80);
INSERT INTO public.ecdc_data VALUES (14730, 16, 271, 2.6869134, 132, 80);
INSERT INTO public.ecdc_data VALUES (14731, 28, 342, 12.99877396, 188, 80);
INSERT INTO public.ecdc_data VALUES (14732, 35, 371, 81.70976889, 189, 80);
INSERT INTO public.ecdc_data VALUES (14733, 5, 0, 19.39725998, 93, 80);
INSERT INTO public.ecdc_data VALUES (14734, 0, 623, 190.24946762, 133, 80);
INSERT INTO public.ecdc_data VALUES (14735, 19, 386, 25.20801765, 190, 80);
INSERT INTO public.ecdc_data VALUES (14736, 42, 4774, 36.08773868, 191, 80);
INSERT INTO public.ecdc_data VALUES (14737, 0, 1, 0.32470263, 40, 80);
INSERT INTO public.ecdc_data VALUES (14738, 0, 0, 7.57088239, 94, 80);
INSERT INTO public.ecdc_data VALUES (14739, 0, 0, 0.54706092, 95, 80);
INSERT INTO public.ecdc_data VALUES (14740, 0, 0, 0.90421636, 96, 80);
INSERT INTO public.ecdc_data VALUES (14741, 0, 13, 487.62081676, 192, 80);
INSERT INTO public.ecdc_data VALUES (14742, 0, 1, 1.86004985, 41, 80);
INSERT INTO public.ecdc_data VALUES (14743, 7, 1158, 31.05765059, 134, 80);
INSERT INTO public.ecdc_data VALUES (14744, 0, 37, 1.40522161, 42, 80);
INSERT INTO public.ecdc_data VALUES (14745, 5, 162, 63.31346094, 193, 80);
INSERT INTO public.ecdc_data VALUES (14746, 0, 0, 1.0231121, 43, 80);
INSERT INTO public.ecdc_data VALUES (14747, 1, 3, 0.72953398, 44, 80);
INSERT INTO public.ecdc_data VALUES (14748, 0, 1037, 159.69076948, 135, 80);
INSERT INTO public.ecdc_data VALUES (14749, 0, 0, 54.25935974, 97, 80);
INSERT INTO public.ecdc_data VALUES (14750, 1, 81, 11.4486569, 194, 80);
INSERT INTO public.ecdc_data VALUES (14751, 0, 13, 11.62953864, 195, 80);
INSERT INTO public.ecdc_data VALUES (14752, 0, 42, 2.046247, 45, 80);
INSERT INTO public.ecdc_data VALUES (14753, 10, 318, 3.44784794, 46, 80);
INSERT INTO public.ecdc_data VALUES (14754, 0, 6, 0.50365717, 136, 80);
INSERT INTO public.ecdc_data VALUES (14755, 0, 0, 0.01807973, 47, 80);
INSERT INTO public.ecdc_data VALUES (14756, 367, 2114, 90.10151041, 196, 80);
INSERT INTO public.ecdc_data VALUES (14757, 0, 38, 0.83475061, 137, 80);
INSERT INTO public.ecdc_data VALUES (14758, 0, 22, 0.34568748, 48, 80);
INSERT INTO public.ecdc_data VALUES (14759, 0, 0, 0, 98, 80);
INSERT INTO public.ecdc_data VALUES (14760, 86, 758, 74.28018164, 197, 80);
INSERT INTO public.ecdc_data VALUES (14761, 51, 228, 57.56901465, 198, 80);
INSERT INTO public.ecdc_data VALUES (14762, 0, 0, 0.13473827, 138, 80);
INSERT INTO public.ecdc_data VALUES (14763, 0, 1, 0.19769595, 139, 80);
INSERT INTO public.ecdc_data VALUES (14764, 0, 0, 0.52566886, 141, 80);
INSERT INTO public.ecdc_data VALUES (14765, 0, 0, 1.62397921, 142, 80);
INSERT INTO public.ecdc_data VALUES (14766, 0, 0, 0.18558938, 49, 80);
INSERT INTO public.ecdc_data VALUES (14767, 0, 0, 0.43011709, 99, 80);
INSERT INTO public.ecdc_data VALUES (14768, 0, 17, 2.35148833, 50, 80);
INSERT INTO public.ecdc_data VALUES (14769, 115, 3116, 72.56729627, 199, 80);
INSERT INTO public.ecdc_data VALUES (14770, 0, 0, 7.85463685, 100, 80);
INSERT INTO public.ecdc_data VALUES (14771, 0, 13, 0.04743663, 51, 80);
INSERT INTO public.ecdc_data VALUES (14772, 13, 578, 11.99718787, 200, 80);
INSERT INTO public.ecdc_data VALUES (14773, 4, 490, 60.40616442, 143, 80);
INSERT INTO public.ecdc_data VALUES (14774, 682, 5487, 95.62454859, 201, 80);
INSERT INTO public.ecdc_data VALUES (14775, 0, 0, 0.44823366, 52, 80);
INSERT INTO public.ecdc_data VALUES (14776, 3179, 26543, 122.51047717, 101, 80);
INSERT INTO public.ecdc_data VALUES (14777, 0, 0, 3.82485968, 102, 80);
INSERT INTO public.ecdc_data VALUES (14778, 0, 8, 3.58202298, 103, 80);
INSERT INTO public.ecdc_data VALUES (14779, 0, 62, 3.6262517, 144, 80);
INSERT INTO public.ecdc_data VALUES (14780, 0, 10, 0.44536668, 104, 80);
INSERT INTO public.ecdc_data VALUES (14781, 0, 2, 0.01347679, 145, 80);
INSERT INTO public.ecdc_data VALUES (14782, 0, 0, 0, 146, 80);
INSERT INTO public.ecdc_data VALUES (14783, 0, 2, 0.20715486, 54, 80);
INSERT INTO public.ecdc_data VALUES (14784, 0, 1, 0.12290487, 55, 80);
INSERT INTO public.ecdc_data VALUES (14785, 1, 6, 0.10251892, 105, 81);
INSERT INTO public.ecdc_data VALUES (14786, 2, 11, 3.28392654, 147, 81);
INSERT INTO public.ecdc_data VALUES (14787, 0, 29, 0.49473842, 1, 81);
INSERT INTO public.ecdc_data VALUES (14788, 0, 20, 0, 148, 81);
INSERT INTO public.ecdc_data VALUES (14789, 0, 0, 0, 2, 81);
INSERT INTO public.ecdc_data VALUES (14790, 0, 0, 0, 57, 81);
INSERT INTO public.ecdc_data VALUES (14791, 0, 35, 0.65206699, 58, 81);
INSERT INTO public.ecdc_data VALUES (14792, 0, 41, 7.911478, 149, 81);
INSERT INTO public.ecdc_data VALUES (14793, 0, 8, 0, 59, 81);
INSERT INTO public.ecdc_data VALUES (14794, 0, 114, 6.83643347, 202, 81);
INSERT INTO public.ecdc_data VALUES (14795, 9, 855, 49.16029586, 150, 81);
INSERT INTO public.ecdc_data VALUES (14796, 0, 7, 0.6568655, 151, 81);
INSERT INTO public.ecdc_data VALUES (14797, 0, 0, 0, 60, 81);
INSERT INTO public.ecdc_data VALUES (14798, 0, 5, 14.01444341, 106, 81);
INSERT INTO public.ecdc_data VALUES (14799, 0, 6, 0, 107, 81);
INSERT INTO public.ecdc_data VALUES (14800, 0, 0, 0, 61, 81);
INSERT INTO public.ecdc_data VALUES (14801, 0, 5, 0.8463451, 152, 81);
INSERT INTO public.ecdc_data VALUES (14802, 78, 1328, 43.84786058, 153, 81);
INSERT INTO public.ecdc_data VALUES (14803, 0, 1, 0, 62, 81);
INSERT INTO public.ecdc_data VALUES (14804, 0, 3, 0, 3, 81);
INSERT INTO public.ecdc_data VALUES (14805, 0, 0, 0, 63, 81);
INSERT INTO public.ecdc_data VALUES (14806, 0, 0, 0, 108, 81);
INSERT INTO public.ecdc_data VALUES (14807, 0, 1, 0, 64, 81);
INSERT INTO public.ecdc_data VALUES (14808, 0, 6, 0, 154, 81);
INSERT INTO public.ecdc_data VALUES (14809, 9, 345, 0.88415269, 66, 81);
INSERT INTO public.ecdc_data VALUES (14810, 0, 3, 21.00180939, 109, 81);
INSERT INTO public.ecdc_data VALUES (14811, 0, 16, 2.8428413, 155, 81);
INSERT INTO public.ecdc_data VALUES (14812, 0, 11, 0, 5, 81);
INSERT INTO public.ecdc_data VALUES (14813, 0, 1, 0.52163759, 110, 81);
INSERT INTO public.ecdc_data VALUES (14814, 0, 29, 0, 7, 81);
INSERT INTO public.ecdc_data VALUES (14815, 4, 216, 4.19394939, 68, 81);
INSERT INTO public.ecdc_data VALUES (14816, 0, 0, 0, 8, 81);
INSERT INTO public.ecdc_data VALUES (14817, 0, 0, 0, 69, 81);
INSERT INTO public.ecdc_data VALUES (14818, 0, 0, 0, 9, 81);
INSERT INTO public.ecdc_data VALUES (14819, 0, 0, 0, 10, 81);
INSERT INTO public.ecdc_data VALUES (14820, 1, 114, 3.86765854, 70, 81);
INSERT INTO public.ecdc_data VALUES (14821, 7, 69, 0.04700849, 111, 81);
INSERT INTO public.ecdc_data VALUES (14822, 1, 71, 0.60787323, 71, 81);
INSERT INTO public.ecdc_data VALUES (14823, 0, 0, 0, 12, 81);
INSERT INTO public.ecdc_data VALUES (14824, 0, 24, 2.95192074, 72, 81);
INSERT INTO public.ecdc_data VALUES (14825, 0, 0, 0, 13, 81);
INSERT INTO public.ecdc_data VALUES (14826, 0, 71, 7.21251858, 156, 81);
INSERT INTO public.ecdc_data VALUES (14827, 0, 5, 0, 73, 81);
INSERT INTO public.ecdc_data VALUES (14828, 0, 3, 0, 74, 81);
INSERT INTO public.ecdc_data VALUES (14829, 0, 21, 0, 157, 81);
INSERT INTO public.ecdc_data VALUES (14830, 0, 71, 11.23025785, 158, 81);
INSERT INTO public.ecdc_data VALUES (14831, 0, 0, 0, 14, 81);
INSERT INTO public.ecdc_data VALUES (14832, 11, 65, 23.19981413, 159, 81);
INSERT INTO public.ecdc_data VALUES (14833, 0, 2, 0, 15, 81);
INSERT INTO public.ecdc_data VALUES (14834, 0, 0, 0, 75, 81);
INSERT INTO public.ecdc_data VALUES (14835, 0, 43, 2.28141336, 76, 81);
INSERT INTO public.ecdc_data VALUES (14836, 4, 192, 5.57165368, 77, 81);
INSERT INTO public.ecdc_data VALUES (14837, 4, 33, 0.27094851, 16, 81);
INSERT INTO public.ecdc_data VALUES (14838, 0, 2, 0, 78, 81);
INSERT INTO public.ecdc_data VALUES (14839, 0, 3, 0, 17, 81);
INSERT INTO public.ecdc_data VALUES (14840, 0, 0, 0, 18, 81);
INSERT INTO public.ecdc_data VALUES (14841, 0, 26, 25.81482767, 160, 81);
INSERT INTO public.ecdc_data VALUES (14842, 0, 0, 0, 19, 81);
INSERT INTO public.ecdc_data VALUES (14843, 0, 0, 0, 20, 81);
INSERT INTO public.ecdc_data VALUES (14844, 0, 3, 236.25120694, 161, 81);
INSERT INTO public.ecdc_data VALUES (14845, 0, 1, 0, 203, 81);
INSERT INTO public.ecdc_data VALUES (14846, 0, 74, 12.1422587, 162, 81);
INSERT INTO public.ecdc_data VALUES (14847, 186, 3838, 27.52306598, 163, 81);
INSERT INTO public.ecdc_data VALUES (14848, 0, 5, 0, 204, 81);
INSERT INTO public.ecdc_data VALUES (14849, 0, 0, 0, 21, 81);
INSERT INTO public.ecdc_data VALUES (14850, 1, 1, 0, 22, 81);
INSERT INTO public.ecdc_data VALUES (14851, 0, 7, 1.15093168, 164, 81);
INSERT INTO public.ecdc_data VALUES (14852, 32, 4438, 33.81506399, 165, 81);
INSERT INTO public.ecdc_data VALUES (14853, 1, 3, 0, 23, 81);
INSERT INTO public.ecdc_data VALUES (14854, 0, 0, 0, 166, 81);
INSERT INTO public.ecdc_data VALUES (14855, 2, 71, 5.69718271, 167, 81);
INSERT INTO public.ecdc_data VALUES (14856, 0, 2, 0, 80, 81);
INSERT INTO public.ecdc_data VALUES (14857, 0, 0, 0, 81, 81);
INSERT INTO public.ecdc_data VALUES (14858, 0, 2, 0, 205, 81);
INSERT INTO public.ecdc_data VALUES (14859, 0, 1, 0, 82, 81);
INSERT INTO public.ecdc_data VALUES (14860, 0, 3, 0, 168, 81);
INSERT INTO public.ecdc_data VALUES (14861, 0, 0, 0, 24, 81);
INSERT INTO public.ecdc_data VALUES (14862, 0, 0, 0, 83, 81);
INSERT INTO public.ecdc_data VALUES (14863, 0, 3, 0, 84, 81);
INSERT INTO public.ecdc_data VALUES (14864, 0, 0, 0, 169, 81);
INSERT INTO public.ecdc_data VALUES (14865, 0, 3, 0, 85, 81);
INSERT INTO public.ecdc_data VALUES (14866, 1, 20, 1.82138999, 170, 81);
INSERT INTO public.ecdc_data VALUES (14867, 1, 20, 146.50229277, 171, 81);
INSERT INTO public.ecdc_data VALUES (14868, 2, 53, 0.03278646, 112, 81);
INSERT INTO public.ecdc_data VALUES (14869, 1, 65, 0.21247069, 113, 81);
INSERT INTO public.ecdc_data VALUES (14870, 127, 1411, 19.16204803, 114, 81);
INSERT INTO public.ecdc_data VALUES (14871, 3, 33, 0.5214986, 115, 81);
INSERT INTO public.ecdc_data VALUES (14872, 2, 219, 22.51113322, 172, 81);
INSERT INTO public.ecdc_data VALUES (14873, 0, 11, 0, 173, 81);
INSERT INTO public.ecdc_data VALUES (14874, 0, 371, 16.46834808, 116, 81);
INSERT INTO public.ecdc_data VALUES (14875, 601, 4789, 90.71473135, 174, 81);
INSERT INTO public.ecdc_data VALUES (14876, 0, 0, 0, 86, 81);
INSERT INTO public.ecdc_data VALUES (14877, 1, 39, 0.48399697, 117, 81);
INSERT INTO public.ecdc_data VALUES (14878, 0, 3, 0, 175, 81);
INSERT INTO public.ecdc_data VALUES (14879, 0, 13, 0, 118, 81);
INSERT INTO public.ecdc_data VALUES (14880, 0, 2, 0, 119, 81);
INSERT INTO public.ecdc_data VALUES (14881, 0, 1, 0, 26, 81);
INSERT INTO public.ecdc_data VALUES (14882, 0, 28, 0, 176, 81);
INSERT INTO public.ecdc_data VALUES (14883, 0, 1, 2.94741456, 120, 81);
INSERT INTO public.ecdc_data VALUES (14884, 0, 2, 0, 121, 81);
INSERT INTO public.ecdc_data VALUES (14885, 0, 41, 9.06265104, 177, 81);
INSERT INTO public.ecdc_data VALUES (14886, 0, 19, 3.4278001, 123, 81);
INSERT INTO public.ecdc_data VALUES (14887, 0, 0, 0, 28, 81);
INSERT INTO public.ecdc_data VALUES (14888, 0, 0, 119.86033665, 178, 81);
INSERT INTO public.ecdc_data VALUES (14889, 0, 36, 6.37037504, 179, 81);
INSERT INTO public.ecdc_data VALUES (14890, 0, 77, 142.04406624, 180, 81);
INSERT INTO public.ecdc_data VALUES (14891, 0, 14, 0, 30, 81);
INSERT INTO public.ecdc_data VALUES (14892, 4, 212, 4.38500548, 124, 81);
INSERT INTO public.ecdc_data VALUES (14893, 0, 0, 2.07173086, 125, 81);
INSERT INTO public.ecdc_data VALUES (14894, 0, 7, 22.08449243, 181, 81);
INSERT INTO public.ecdc_data VALUES (14895, 0, 0, 0, 33, 81);
INSERT INTO public.ecdc_data VALUES (14896, 0, 8, 0, 34, 81);
INSERT INTO public.ecdc_data VALUES (14897, 2, 135, 0.78620093, 87, 81);
INSERT INTO public.ecdc_data VALUES (14898, 0, 15, 2.67111325, 182, 81);
INSERT INTO public.ecdc_data VALUES (14899, 0, 2, 66.49539066, 183, 81);
INSERT INTO public.ecdc_data VALUES (14900, 0, 0, 0, 126, 81);
INSERT INTO public.ecdc_data VALUES (14901, 0, 6, 0, 184, 81);
INSERT INTO public.ecdc_data VALUES (14902, 0, 0, 0, 88, 81);
INSERT INTO public.ecdc_data VALUES (14903, 0, 19, 0.36466564, 35, 81);
INSERT INTO public.ecdc_data VALUES (14904, 0, 0, 0, 36, 81);
INSERT INTO public.ecdc_data VALUES (14905, 0, 2, 0, 127, 81);
INSERT INTO public.ecdc_data VALUES (14906, 0, 0, 0, 37, 81);
INSERT INTO public.ecdc_data VALUES (14907, 0, 1, 0.00349544, 128, 81);
INSERT INTO public.ecdc_data VALUES (14908, 34, 545, 25.62179283, 185, 81);
INSERT INTO public.ecdc_data VALUES (14909, 0, 2, 0, 207, 81);
INSERT INTO public.ecdc_data VALUES (14910, 0, 40, 2.94790241, 208, 81);
INSERT INTO public.ecdc_data VALUES (14911, 0, 0, 0, 89, 81);
INSERT INTO public.ecdc_data VALUES (14912, 0, 1, 0, 38, 81);
INSERT INTO public.ecdc_data VALUES (14913, 1, 10, 0.0194065, 39, 81);
INSERT INTO public.ecdc_data VALUES (14914, 1, 22, 6.49934621, 186, 81);
INSERT INTO public.ecdc_data VALUES (14915, 1, 239, 40.89551992, 187, 81);
INSERT INTO public.ecdc_data VALUES (14916, 0, 11, 1.02512728, 129, 81);
INSERT INTO public.ecdc_data VALUES (14917, 1, 103, 0.40218813, 130, 81);
INSERT INTO public.ecdc_data VALUES (14918, 0, 0, 0.80298357, 131, 81);
INSERT INTO public.ecdc_data VALUES (14919, 3, 32, 8.10090334, 90, 81);
INSERT INTO public.ecdc_data VALUES (14920, 0, 0, 0, 210, 81);
INSERT INTO public.ecdc_data VALUES (14921, 0, 5, 0, 91, 81);
INSERT INTO public.ecdc_data VALUES (14922, 0, 32, 1.1873101, 92, 81);
INSERT INTO public.ecdc_data VALUES (14923, 8, 82, 0.39679375, 132, 81);
INSERT INTO public.ecdc_data VALUES (14924, 1, 115, 1.927695, 188, 81);
INSERT INTO public.ecdc_data VALUES (14925, 9, 460, 19.66600487, 189, 81);
INSERT INTO public.ecdc_data VALUES (14926, 0, 7, 17.16058672, 133, 81);
INSERT INTO public.ecdc_data VALUES (14927, 5, 143, 2.87929748, 190, 81);
INSERT INTO public.ecdc_data VALUES (14928, 0, 71, 0.2934074, 191, 81);
INSERT INTO public.ecdc_data VALUES (14929, 0, 17, 0, 40, 81);
INSERT INTO public.ecdc_data VALUES (14930, 0, 0, 0, 95, 81);
INSERT INTO public.ecdc_data VALUES (14931, 0, 36, 400.54567091, 192, 81);
INSERT INTO public.ecdc_data VALUES (14932, 0, 51, 1.59621675, 134, 81);
INSERT INTO public.ecdc_data VALUES (14933, 0, 12, 0.47863443, 42, 81);
INSERT INTO public.ecdc_data VALUES (14934, 0, 34, 3.17357107, 193, 81);
INSERT INTO public.ecdc_data VALUES (14935, 0, 0, 0, 43, 81);
INSERT INTO public.ecdc_data VALUES (14936, 0, 54, 6.01273908, 135, 81);
INSERT INTO public.ecdc_data VALUES (14937, 0, 6, 3.41258042, 194, 81);
INSERT INTO public.ecdc_data VALUES (14938, 0, 28, 20.47183249, 195, 81);
INSERT INTO public.ecdc_data VALUES (14939, 0, 0, 0, 45, 81);
INSERT INTO public.ecdc_data VALUES (14940, 0, 128, 0.68137262, 46, 81);
INSERT INTO public.ecdc_data VALUES (14941, 7, 76, 2.97509117, 136, 81);
INSERT INTO public.ecdc_data VALUES (14942, 462, 7691, 99.39693709, 196, 81);
INSERT INTO public.ecdc_data VALUES (14943, 0, 10, 0.45020258, 137, 81);
INSERT INTO public.ecdc_data VALUES (14944, 0, 0, 0, 48, 81);
INSERT INTO public.ecdc_data VALUES (14945, 0, 1, 0, 98, 81);
INSERT INTO public.ecdc_data VALUES (14946, 11, 182, 17.22353995, 197, 81);
INSERT INTO public.ecdc_data VALUES (14947, 6, 1044, 89.42566394, 198, 81);
INSERT INTO public.ecdc_data VALUES (14948, 0, 0, 0, 138, 81);
INSERT INTO public.ecdc_data VALUES (14949, 0, 30, 0.63094452, 139, 81);
INSERT INTO public.ecdc_data VALUES (14950, 3, 106, 1.1202779, 141, 81);
INSERT INTO public.ecdc_data VALUES (14951, 0, 0, 0, 142, 81);
INSERT INTO public.ecdc_data VALUES (14952, 0, 3, 0, 49, 81);
INSERT INTO public.ecdc_data VALUES (14953, 0, 1, 0, 99, 81);
INSERT INTO public.ecdc_data VALUES (14954, 0, 14, 0.7439254, 50, 81);
INSERT INTO public.ecdc_data VALUES (14955, 7, 293, 0, 199, 81);
INSERT INTO public.ecdc_data VALUES (14956, 0, 8, 0, 51, 81);
INSERT INTO public.ecdc_data VALUES (14957, 0, 26, 0, 200, 81);
INSERT INTO public.ecdc_data VALUES (14958, 0, 45, 1.72969193, 143, 81);
INSERT INTO public.ecdc_data VALUES (14959, 76, 1378, 14.76883199, 201, 81);
INSERT INTO public.ecdc_data VALUES (14960, 0, 0, 0, 52, 81);
INSERT INTO public.ecdc_data VALUES (14961, 119, 11236, 13.88419052, 101, 81);
INSERT INTO public.ecdc_data VALUES (14962, 0, 17, 0, 102, 81);
INSERT INTO public.ecdc_data VALUES (14963, 0, 4, 0, 103, 81);
INSERT INTO public.ecdc_data VALUES (14964, 0, 3, 0, 144, 81);
INSERT INTO public.ecdc_data VALUES (14965, 0, 48, 0, 104, 81);
INSERT INTO public.ecdc_data VALUES (14966, 0, 11, 0.1015943, 145, 81);
INSERT INTO public.ecdc_data VALUES (14967, 0, 0, 0, 54, 81);
INSERT INTO public.ecdc_data VALUES (14968, 1, 0, 0, 55, 81);
INSERT INTO public.ecdc_data VALUES (14969, 0, 0, 0, 105, 82);
INSERT INTO public.ecdc_data VALUES (14970, 0, 0, 0, 1, 82);
INSERT INTO public.ecdc_data VALUES (14971, 0, 0, 0, 149, 82);
INSERT INTO public.ecdc_data VALUES (14972, 0, 0, 0.031742, 202, 82);
INSERT INTO public.ecdc_data VALUES (14973, 0, 0, 0, 150, 82);
INSERT INTO public.ecdc_data VALUES (14974, 0, 0, 0, 151, 82);
INSERT INTO public.ecdc_data VALUES (14975, 0, 1, 0.06093236, 106, 82);
INSERT INTO public.ecdc_data VALUES (14976, 0, 0, 0, 152, 82);
INSERT INTO public.ecdc_data VALUES (14977, 0, 0, 0, 153, 82);
INSERT INTO public.ecdc_data VALUES (14978, 0, 0, 0, 66, 82);
INSERT INTO public.ecdc_data VALUES (14979, 0, 0, 0, 110, 82);
INSERT INTO public.ecdc_data VALUES (14980, 0, 0, 0.00534602, 68, 82);
INSERT INTO public.ecdc_data VALUES (14981, 1, 57, 0, 214, 82);
INSERT INTO public.ecdc_data VALUES (14982, 150, 218, 2.58253739, 111, 82);
INSERT INTO public.ecdc_data VALUES (14983, 0, 0, 0, 156, 82);
INSERT INTO public.ecdc_data VALUES (14984, 0, 0, 0, 158, 82);
INSERT INTO public.ecdc_data VALUES (14985, 0, 0, 0, 159, 82);
INSERT INTO public.ecdc_data VALUES (14986, 0, 0, 0, 76, 82);
INSERT INTO public.ecdc_data VALUES (14987, 0, 0, 0, 77, 82);
INSERT INTO public.ecdc_data VALUES (14988, 0, 0, 0.00099613, 16, 82);
INSERT INTO public.ecdc_data VALUES (14989, 0, 0, 0, 160, 82);
INSERT INTO public.ecdc_data VALUES (14990, 0, 0, 0, 162, 82);
INSERT INTO public.ecdc_data VALUES (14991, 0, 0, 0.00149225, 163, 82);
INSERT INTO public.ecdc_data VALUES (14992, 0, 0, 0, 164, 82);
INSERT INTO public.ecdc_data VALUES (14993, 0, 0, 0.00240908, 165, 82);
INSERT INTO public.ecdc_data VALUES (14994, 0, 0, 0, 167, 82);
INSERT INTO public.ecdc_data VALUES (14995, 0, 0, 0, 171, 82);
INSERT INTO public.ecdc_data VALUES (14996, 0, 0, 0, 112, 82);
INSERT INTO public.ecdc_data VALUES (14997, 0, 0, 0, 113, 82);
INSERT INTO public.ecdc_data VALUES (14998, 3, 15, 0.05186103, 114, 82);
INSERT INTO public.ecdc_data VALUES (14999, 0, 0, 0, 115, 82);
INSERT INTO public.ecdc_data VALUES (15000, 0, 0, 0, 172, 82);
INSERT INTO public.ecdc_data VALUES (15001, 0, 1, 0.02347591, 116, 82);
INSERT INTO public.ecdc_data VALUES (15002, 0, 53, 0.2137193, 174, 82);
INSERT INTO public.ecdc_data VALUES (15003, 0, 12, 0.09380397, 117, 82);
INSERT INTO public.ecdc_data VALUES (15004, 0, 3, 0.07130842, 120, 82);
INSERT INTO public.ecdc_data VALUES (15005, 0, 0, 0.01458638, 123, 82);
INSERT INTO public.ecdc_data VALUES (15006, 0, 0, 0, 179, 82);
INSERT INTO public.ecdc_data VALUES (15007, 0, 0, 0, 180, 82);
INSERT INTO public.ecdc_data VALUES (15008, 0, 0, 0.01251964, 124, 82);
INSERT INTO public.ecdc_data VALUES (15009, 0, 0, 0.0015677, 87, 82);
INSERT INTO public.ecdc_data VALUES (15010, 0, 0, 0, 183, 82);
INSERT INTO public.ecdc_data VALUES (15011, 0, 0, 0, 128, 82);
INSERT INTO public.ecdc_data VALUES (15012, 0, 0, 0, 185, 82);
INSERT INTO public.ecdc_data VALUES (15013, 0, 0, 0, 208, 82);
INSERT INTO public.ecdc_data VALUES (15014, 0, 0, 0, 39, 82);
INSERT INTO public.ecdc_data VALUES (15015, 0, 0, 0, 186, 82);
INSERT INTO public.ecdc_data VALUES (15016, 0, 0, 0, 187, 82);
INSERT INTO public.ecdc_data VALUES (15017, 0, 0, 0, 129, 82);
INSERT INTO public.ecdc_data VALUES (15018, 0, 0, 0, 130, 82);
INSERT INTO public.ecdc_data VALUES (15019, 0, 0, 0, 132, 82);
INSERT INTO public.ecdc_data VALUES (15020, 0, 0, 0, 133, 82);
INSERT INTO public.ecdc_data VALUES (15021, 0, 0, 0, 190, 82);
INSERT INTO public.ecdc_data VALUES (15022, 0, 0, 0, 191, 82);
INSERT INTO public.ecdc_data VALUES (15023, 0, 0, 0, 192, 82);
INSERT INTO public.ecdc_data VALUES (15024, 0, 0, 0.79251002, 135, 82);
INSERT INTO public.ecdc_data VALUES (15025, 2, 161, 1.43483728, 136, 82);
INSERT INTO public.ecdc_data VALUES (15026, 0, 0, 0, 196, 82);
INSERT INTO public.ecdc_data VALUES (15027, 0, 0, 0, 137, 82);
INSERT INTO public.ecdc_data VALUES (15028, 0, 0, 0, 197, 82);
INSERT INTO public.ecdc_data VALUES (15029, 0, 0, 0, 198, 82);
INSERT INTO public.ecdc_data VALUES (15030, 0, 2, 0.04206297, 139, 82);
INSERT INTO public.ecdc_data VALUES (15031, 0, 0, 0.00430876, 141, 82);
INSERT INTO public.ecdc_data VALUES (15032, 0, 0, 0.06140918, 143, 82);
INSERT INTO public.ecdc_data VALUES (15033, 0, 0, 0.00450132, 201, 82);
INSERT INTO public.ecdc_data VALUES (15034, 0, 0, 0.0069895, 101, 82);
INSERT INTO public.ecdc_data VALUES (15035, 0, 0, 0.00207335, 145, 82);
INSERT INTO public.ecdc_data VALUES (15036, 0, 0, 0, 105, 83);
INSERT INTO public.ecdc_data VALUES (15037, 0, 0, 0, 1, 83);
INSERT INTO public.ecdc_data VALUES (15038, 0, 0, 0, 149, 83);
INSERT INTO public.ecdc_data VALUES (15039, 0, 0, 0, 202, 83);
INSERT INTO public.ecdc_data VALUES (15040, 0, 0, 0, 150, 83);
INSERT INTO public.ecdc_data VALUES (15041, 0, 0, 0, 151, 83);
INSERT INTO public.ecdc_data VALUES (15042, 0, 0, 0, 106, 83);
INSERT INTO public.ecdc_data VALUES (15043, 0, 0, 0, 152, 83);
INSERT INTO public.ecdc_data VALUES (15044, 0, 0, 0, 153, 83);
INSERT INTO public.ecdc_data VALUES (15045, 0, 0, 0, 66, 83);
INSERT INTO public.ecdc_data VALUES (15046, 0, 0, 0, 110, 83);
INSERT INTO public.ecdc_data VALUES (15047, 0, 0, 0, 68, 83);
INSERT INTO public.ecdc_data VALUES (15048, 0, 0, 0, 214, 83);
INSERT INTO public.ecdc_data VALUES (15049, 9, 259, 0.05740057, 111, 83);
INSERT INTO public.ecdc_data VALUES (15050, 0, 0, 0, 156, 83);
INSERT INTO public.ecdc_data VALUES (15051, 0, 0, 0, 158, 83);
INSERT INTO public.ecdc_data VALUES (15052, 0, 0, 0, 159, 83);
INSERT INTO public.ecdc_data VALUES (15053, 0, 0, 0, 76, 83);
INSERT INTO public.ecdc_data VALUES (15054, 0, 0, 0, 77, 83);
INSERT INTO public.ecdc_data VALUES (15055, 0, 0, 0, 16, 83);
INSERT INTO public.ecdc_data VALUES (15056, 0, 0, 0, 160, 83);
INSERT INTO public.ecdc_data VALUES (15057, 0, 0, 0, 162, 83);
INSERT INTO public.ecdc_data VALUES (15058, 0, 0, 0, 163, 83);
INSERT INTO public.ecdc_data VALUES (15059, 0, 0, 0, 164, 83);
INSERT INTO public.ecdc_data VALUES (15060, 0, 0, 0, 165, 83);
INSERT INTO public.ecdc_data VALUES (15061, 0, 0, 0, 167, 83);
INSERT INTO public.ecdc_data VALUES (15062, 0, 0, 0, 171, 83);
INSERT INTO public.ecdc_data VALUES (15063, 0, 0, 0, 112, 83);
INSERT INTO public.ecdc_data VALUES (15064, 0, 0, 0, 113, 83);
INSERT INTO public.ecdc_data VALUES (15065, 0, 0, 0, 114, 83);
INSERT INTO public.ecdc_data VALUES (15066, 0, 0, 0, 115, 83);
INSERT INTO public.ecdc_data VALUES (15067, 0, 0, 0, 172, 83);
INSERT INTO public.ecdc_data VALUES (15068, 0, 0, 0, 116, 83);
INSERT INTO public.ecdc_data VALUES (15069, 0, 0, 0, 174, 83);
INSERT INTO public.ecdc_data VALUES (15070, 0, 1, 0.00157654, 117, 83);
INSERT INTO public.ecdc_data VALUES (15071, 0, 0, 0, 120, 83);
INSERT INTO public.ecdc_data VALUES (15072, 0, 0, 0, 123, 83);
INSERT INTO public.ecdc_data VALUES (15073, 0, 0, 0, 179, 83);
INSERT INTO public.ecdc_data VALUES (15074, 0, 0, 0, 180, 83);
INSERT INTO public.ecdc_data VALUES (15075, 0, 0, 0, 124, 83);
INSERT INTO public.ecdc_data VALUES (15076, 0, 0, 0.00078385, 87, 83);
INSERT INTO public.ecdc_data VALUES (15077, 0, 0, 0, 183, 83);
INSERT INTO public.ecdc_data VALUES (15078, 0, 0, 0, 128, 83);
INSERT INTO public.ecdc_data VALUES (15079, 0, 0, 0, 185, 83);
INSERT INTO public.ecdc_data VALUES (15080, 0, 0, 0, 208, 83);
INSERT INTO public.ecdc_data VALUES (15081, 0, 0, 0, 39, 83);
INSERT INTO public.ecdc_data VALUES (15082, 0, 0, 0, 186, 83);
INSERT INTO public.ecdc_data VALUES (15083, 0, 0, 0, 187, 83);
INSERT INTO public.ecdc_data VALUES (15084, 0, 0, 0, 129, 83);
INSERT INTO public.ecdc_data VALUES (15085, 0, 0, 0, 130, 83);
INSERT INTO public.ecdc_data VALUES (15086, 0, 0, 0, 132, 83);
INSERT INTO public.ecdc_data VALUES (15087, 0, 0, 0, 133, 83);
INSERT INTO public.ecdc_data VALUES (15088, 0, 0, 0, 190, 83);
INSERT INTO public.ecdc_data VALUES (15089, 0, 0, 0, 191, 83);
INSERT INTO public.ecdc_data VALUES (15090, 0, 0, 0, 192, 83);
INSERT INTO public.ecdc_data VALUES (15091, 0, 3, 0.05168544, 135, 83);
INSERT INTO public.ecdc_data VALUES (15092, 0, 1, 0.00390432, 136, 83);
INSERT INTO public.ecdc_data VALUES (15093, 0, 0, 0, 196, 83);
INSERT INTO public.ecdc_data VALUES (15094, 0, 0, 0, 137, 83);
INSERT INTO public.ecdc_data VALUES (15095, 0, 0, 0, 197, 83);
INSERT INTO public.ecdc_data VALUES (15096, 0, 0, 0, 198, 83);
INSERT INTO public.ecdc_data VALUES (15097, 0, 0, 0.0042063, 139, 83);
INSERT INTO public.ecdc_data VALUES (15098, 0, 0, 0.00574501, 141, 83);
INSERT INTO public.ecdc_data VALUES (15099, 0, 0, 0, 143, 83);
INSERT INTO public.ecdc_data VALUES (15100, 0, 0, 0, 201, 83);
INSERT INTO public.ecdc_data VALUES (15101, 0, 0, 0.00030389, 101, 83);
INSERT INTO public.ecdc_data VALUES (15102, 0, 2, 0.00207335, 145, 83);
INSERT INTO public.ecdc_data VALUES (15103, 8, 252, 6.655844, 105, 84);
INSERT INTO public.ecdc_data VALUES (15104, 14, 565, 298.87225072, 147, 84);
INSERT INTO public.ecdc_data VALUES (15105, 35, 1088, 29.75630951, 1, 84);
INSERT INTO public.ecdc_data VALUES (15106, 0, 49, 1146.01520144, 148, 84);
INSERT INTO public.ecdc_data VALUES (15107, 1, 80, 6.78076897, 2, 84);
INSERT INTO public.ecdc_data VALUES (15108, 0, 1, 6.72404519, 56, 84);
INSERT INTO public.ecdc_data VALUES (15109, 0, 0, 8.23765639, 57, 84);
INSERT INTO public.ecdc_data VALUES (15110, 100, 4181, 286.24177728, 58, 84);
INSERT INTO public.ecdc_data VALUES (15111, 24, 485, 650.60073137, 149, 84);
INSERT INTO public.ecdc_data VALUES (15112, 0, 7, 123.22453203, 59, 84);
INSERT INTO public.ecdc_data VALUES (15113, 0, 14, 0.64674327, 202, 84);
INSERT INTO public.ecdc_data VALUES (15114, 44, 5215, 1056.76010509, 150, 84);
INSERT INTO public.ecdc_data VALUES (15115, 24, 3196, 275.51526869, 151, 84);
INSERT INTO public.ecdc_data VALUES (15116, 0, 18, 119.64486528, 60, 84);
INSERT INTO public.ecdc_data VALUES (15117, 0, 114, 137.03688358, 106, 84);
INSERT INTO public.ecdc_data VALUES (15118, 38, 2060, 16.62289859, 107, 84);
INSERT INTO public.ecdc_data VALUES (15119, 0, 4, 5.92291156, 61, 84);
INSERT INTO public.ecdc_data VALUES (15120, 7, 1564, 187.4654387, 152, 84);
INSERT INTO public.ecdc_data VALUES (15121, 135, 589, 498.62428756, 153, 84);
INSERT INTO public.ecdc_data VALUES (15122, 4, 73, 257.97295255, 62, 84);
INSERT INTO public.ecdc_data VALUES (15123, 0, 0, 1.4490112, 3, 84);
INSERT INTO public.ecdc_data VALUES (15124, 0, 0, 28.79631407, 63, 84);
INSERT INTO public.ecdc_data VALUES (15125, 0, 3, 3.01404545, 108, 84);
INSERT INTO public.ecdc_data VALUES (15126, 0, 0, 12.56828959, 64, 84);
INSERT INTO public.ecdc_data VALUES (15127, 0, 3, 26.94069199, 65, 84);
INSERT INTO public.ecdc_data VALUES (15128, 27, 698, 532.68738727, 154, 84);
INSERT INTO public.ecdc_data VALUES (15129, 0, 0, 76.35532879, 4, 84);
INSERT INTO public.ecdc_data VALUES (15130, 194, 18615, 192.98125005, 66, 84);
INSERT INTO public.ecdc_data VALUES (15131, 0, 0, 0, 67, 84);
INSERT INTO public.ecdc_data VALUES (15132, 0, 0, 0, 109, 84);
INSERT INTO public.ecdc_data VALUES (15133, 60, 1123, 666.56771484, 155, 84);
INSERT INTO public.ecdc_data VALUES (15134, 0, 32, 0.81687354, 5, 84);
INSERT INTO public.ecdc_data VALUES (15135, 0, 6, 0.41628446, 6, 84);
INSERT INTO public.ecdc_data VALUES (15136, 0, 0, 0.05458998, 110, 84);
INSERT INTO public.ecdc_data VALUES (15137, 0, 0, 4.27803155, 7, 84);
INSERT INTO public.ecdc_data VALUES (15138, 49, 4792, 177.46099427, 68, 84);
INSERT INTO public.ecdc_data VALUES (15139, 0, 42, 164.92828256, 8, 84);
INSERT INTO public.ecdc_data VALUES (15140, 0, 0, 16.93662622, 69, 84);
INSERT INTO public.ecdc_data VALUES (15141, 0, 0, 0.67436866, 9, 84);
INSERT INTO public.ecdc_data VALUES (15142, 0, 9, 0.59572774, 10, 84);
INSERT INTO public.ecdc_data VALUES (15143, 39, 1497, 100.68575749, 70, 84);
INSERT INTO public.ecdc_data VALUES (15144, 0, 11, 0.01192649, 111, 84);
INSERT INTO public.ecdc_data VALUES (15145, 183, 7924, 207.65029124, 71, 84);
INSERT INTO public.ecdc_data VALUES (15146, 0, 0, 3.87828758, 11, 84);
INSERT INTO public.ecdc_data VALUES (15147, 0, 0, 4.70216173, 12, 84);
INSERT INTO public.ecdc_data VALUES (15148, 0, 0, 258.63976681, 72, 84);
INSERT INTO public.ecdc_data VALUES (15149, 2, 12, 1.18989504, 13, 84);
INSERT INTO public.ecdc_data VALUES (15150, 49, 3308, 894.72028921, 156, 84);
INSERT INTO public.ecdc_data VALUES (15151, 0, 48, 4.84405325, 73, 84);
INSERT INTO public.ecdc_data VALUES (15152, 0, 67, 398.96465002, 74, 84);
INSERT INTO public.ecdc_data VALUES (15153, 1, 187, 303.23130863, 157, 84);
INSERT INTO public.ecdc_data VALUES (15154, 101, 1513, 727.10285639, 158, 84);
INSERT INTO public.ecdc_data VALUES (15155, 0, 59, 0.72818973, 14, 84);
INSERT INTO public.ecdc_data VALUES (15156, 3, 850, 264.61911227, 159, 84);
INSERT INTO public.ecdc_data VALUES (15157, 0, 7, 6.16296735, 15, 84);
INSERT INTO public.ecdc_data VALUES (15158, 0, 5, 48.74108734, 75, 84);
INSERT INTO public.ecdc_data VALUES (15159, 4, 1626, 76.61824142, 76, 84);
INSERT INTO public.ecdc_data VALUES (15160, 62, 767, 61.79470448, 77, 84);
INSERT INTO public.ecdc_data VALUES (15161, 13, 351, 3.81120961, 16, 84);
INSERT INTO public.ecdc_data VALUES (15162, 6, 312, 37.45225496, 78, 84);
INSERT INTO public.ecdc_data VALUES (15163, 0, 0, 2.80239708, 17, 84);
INSERT INTO public.ecdc_data VALUES (15164, 0, 0, 1.71569896, 18, 84);
INSERT INTO public.ecdc_data VALUES (15165, 1, 349, 271.6595462, 160, 84);
INSERT INTO public.ecdc_data VALUES (15166, 1, 14, 18.81315144, 19, 84);
INSERT INTO public.ecdc_data VALUES (15167, 11, 433, 5.45152516, 20, 84);
INSERT INTO public.ecdc_data VALUES (15168, 0, 0, 88.96797153, 79, 84);
INSERT INTO public.ecdc_data VALUES (15169, 0, 1, 6.16307496, 161, 84);
INSERT INTO public.ecdc_data VALUES (15170, 0, 0, 0.11236523, 203, 84);
INSERT INTO public.ecdc_data VALUES (15171, 0, 423, 69.62769841, 162, 84);
INSERT INTO public.ecdc_data VALUES (15172, 214, 13157, 526.59128246, 163, 84);
INSERT INTO public.ecdc_data VALUES (15173, 0, 0, 1068.08457311, 204, 84);
INSERT INTO public.ecdc_data VALUES (15174, 0, 0, 5.01708109, 21, 84);
INSERT INTO public.ecdc_data VALUES (15175, 0, 0, 1.78898801, 22, 84);
INSERT INTO public.ecdc_data VALUES (15176, 36, 3958, 1201.22238952, 164, 84);
INSERT INTO public.ecdc_data VALUES (15177, 90, 10864, 309.88609829, 165, 84);
INSERT INTO public.ecdc_data VALUES (15178, 0, 0, 5.49677101, 23, 84);
INSERT INTO public.ecdc_data VALUES (15179, 1, 5, 489.52708717, 166, 84);
INSERT INTO public.ecdc_data VALUES (15180, 103, 1498, 325.61590415, 167, 84);
INSERT INTO public.ecdc_data VALUES (15181, 0, 0, 1.76491352, 80, 84);
INSERT INTO public.ecdc_data VALUES (15182, 0, 0, 8.03557079, 81, 84);
INSERT INTO public.ecdc_data VALUES (15183, 0, 0, 786.63438836, 205, 84);
INSERT INTO public.ecdc_data VALUES (15184, 2, 212, 41.90205646, 82, 84);
INSERT INTO public.ecdc_data VALUES (15185, 0, 0, 6.20462865, 168, 84);
INSERT INTO public.ecdc_data VALUES (15186, 0, 28, 3.13203582, 24, 84);
INSERT INTO public.ecdc_data VALUES (15187, 0, 0, 0.41646776, 25, 84);
INSERT INTO public.ecdc_data VALUES (15188, 0, 40, 79.07764045, 83, 84);
INSERT INTO public.ecdc_data VALUES (15189, 0, 0, 0.77243532, 84, 84);
INSERT INTO public.ecdc_data VALUES (15190, 0, 0, 0, 169, 84);
INSERT INTO public.ecdc_data VALUES (15191, 0, 0, 40.29297828, 85, 84);
INSERT INTO public.ecdc_data VALUES (15192, 91, 3334, 646.4297277, 170, 84);
INSERT INTO public.ecdc_data VALUES (15193, 0, 8, 55.74370222, 171, 84);
INSERT INTO public.ecdc_data VALUES (15194, 511, 44059, 42.90108186, 112, 84);
INSERT INTO public.ecdc_data VALUES (15195, 110, 4360, 22.15311756, 113, 84);
INSERT INTO public.ecdc_data VALUES (15196, 475, 13053, 207.29336638, 114, 84);
INSERT INTO public.ecdc_data VALUES (15197, 33, 1766, 93.54412968, 115, 84);
INSERT INTO public.ecdc_data VALUES (15198, 0, 318, 103.31876091, 172, 84);
INSERT INTO public.ecdc_data VALUES (15199, 0, 0, 13.0040549, 173, 84);
INSERT INTO public.ecdc_data VALUES (15200, 49, 1006, 115.51319563, 116, 84);
INSERT INTO public.ecdc_data VALUES (15201, 562, 28337, 784.90318665, 174, 84);
INSERT INTO public.ecdc_data VALUES (15202, 1, 44, 26.38829391, 86, 84);
INSERT INTO public.ecdc_data VALUES (15203, 6, 738, 17.99853869, 117, 84);
INSERT INTO public.ecdc_data VALUES (15204, 0, 0, 155.84993877, 175, 84);
INSERT INTO public.ecdc_data VALUES (15205, 64, 5268, 733.61931169, 118, 84);
INSERT INTO public.ecdc_data VALUES (15206, 2, 917, 62.0383509, 119, 84);
INSERT INTO public.ecdc_data VALUES (15207, 14, 968, 28.31058954, 26, 84);
INSERT INTO public.ecdc_data VALUES (15208, 10, 707, 563.8012884, 176, 84);
INSERT INTO public.ecdc_data VALUES (15209, 3, 322, 197.5956228, 120, 84);
INSERT INTO public.ecdc_data VALUES (15210, 6, 304, 101.23364773, 121, 84);
INSERT INTO public.ecdc_data VALUES (15211, 0, 0, 0, 122, 84);
INSERT INTO public.ecdc_data VALUES (15212, 0, 376, 261.72311205, 177, 84);
INSERT INTO public.ecdc_data VALUES (15213, 6, 1193, 324.40116697, 123, 84);
INSERT INTO public.ecdc_data VALUES (15214, 0, 0, 5.55224355, 27, 84);
INSERT INTO public.ecdc_data VALUES (15215, 0, 0, 2.20765127, 28, 84);
INSERT INTO public.ecdc_data VALUES (15216, 21, 1015, 143.21014104, 29, 84);
INSERT INTO public.ecdc_data VALUES (15217, 0, 3, 844.23367554, 178, 84);
INSERT INTO public.ecdc_data VALUES (15218, 12, 2307, 799.80416465, 179, 84);
INSERT INTO public.ecdc_data VALUES (15219, 2, 571, 1279.04817444, 180, 84);
INSERT INTO public.ecdc_data VALUES (15220, 1, 31, 0.43753443, 30, 84);
INSERT INTO public.ecdc_data VALUES (15221, 0, 0, 0.27913844, 31, 84);
INSERT INTO public.ecdc_data VALUES (15222, 3, 1096, 45.59028543, 124, 84);
INSERT INTO public.ecdc_data VALUES (15223, 1, 30, 117.14696294, 125, 84);
INSERT INTO public.ecdc_data VALUES (15224, 0, 0, 2.69610021, 32, 84);
INSERT INTO public.ecdc_data VALUES (15225, 3, 80, 356.79624928, 181, 84);
INSERT INTO public.ecdc_data VALUES (15226, 0, 0, 5.10282186, 206, 84);
INSERT INTO public.ecdc_data VALUES (15227, 0, 0, 6.40785134, 33, 84);
INSERT INTO public.ecdc_data VALUES (15228, 0, 0, 3.30794616, 34, 84);
INSERT INTO public.ecdc_data VALUES (15229, 303, 9187, 58.04404699, 87, 84);
INSERT INTO public.ecdc_data VALUES (15230, 19, 1252, 385.70380619, 182, 84);
INSERT INTO public.ecdc_data VALUES (15231, 0, 1, 290.1617047, 183, 84);
INSERT INTO public.ecdc_data VALUES (15232, 0, 32, 8.43367442, 126, 84);
INSERT INTO public.ecdc_data VALUES (15233, 5, 409, 1327.10364491, 184, 84);
INSERT INTO public.ecdc_data VALUES (15234, 0, 0, 0, 88, 84);
INSERT INTO public.ecdc_data VALUES (15235, 0, 0, 175.97447845, 35, 84);
INSERT INTO public.ecdc_data VALUES (15236, 1, 56, 4.17901009, 36, 84);
INSERT INTO public.ecdc_data VALUES (15237, 17, 1398, 33.06292992, 127, 84);
INSERT INTO public.ecdc_data VALUES (15238, 0, 54, 26.21742665, 37, 84);
INSERT INTO public.ecdc_data VALUES (15239, 16, 1669, 90.37455894, 128, 84);
INSERT INTO public.ecdc_data VALUES (15240, 21, 5382, 431.00507732, 185, 84);
INSERT INTO public.ecdc_data VALUES (15241, 0, 0, 1.06098169, 207, 84);
INSERT INTO public.ecdc_data VALUES (15242, 0, 2, 0.91991281, 208, 84);
INSERT INTO public.ecdc_data VALUES (15243, 0, 0, 2.04720707, 89, 84);
INSERT INTO public.ecdc_data VALUES (15244, 0, 17, 0.536234, 38, 84);
INSERT INTO public.ecdc_data VALUES (15245, 1, 155, 1.14100263, 39, 84);
INSERT INTO public.ecdc_data VALUES (15246, 24, 1112, 721.33114313, 186, 84);
INSERT INTO public.ecdc_data VALUES (15247, 0, 1, 6.99141803, 209, 84);
INSERT INTO public.ecdc_data VALUES (15248, 0, 0, 154.14176463, 187, 84);
INSERT INTO public.ecdc_data VALUES (15249, 15, 721, 79.21620778, 129, 84);
INSERT INTO public.ecdc_data VALUES (15250, 34, 2756, 14.81770047, 130, 84);
INSERT INTO public.ecdc_data VALUES (15251, 16, 1560, 284.63759946, 131, 84);
INSERT INTO public.ecdc_data VALUES (15252, 11, 1206, 359.26564369, 90, 84);
INSERT INTO public.ecdc_data VALUES (15253, 0, 0, 0.07976191, 210, 84);
INSERT INTO public.ecdc_data VALUES (15254, 5, 619, 126.1526673, 91, 84);
INSERT INTO public.ecdc_data VALUES (15255, 46, 1589, 84.08677797, 92, 84);
INSERT INTO public.ecdc_data VALUES (15256, 43, 1966, 20.73964168, 132, 84);
INSERT INTO public.ecdc_data VALUES (15257, 330, 17856, 829.29333756, 188, 84);
INSERT INTO public.ecdc_data VALUES (15258, 1, 167, 106.84760375, 133, 84);
INSERT INTO public.ecdc_data VALUES (15259, 73, 4788, 792.42030719, 189, 84);
INSERT INTO public.ecdc_data VALUES (15260, 5, 1783, 438.3644394, 93, 84);
INSERT INTO public.ecdc_data VALUES (15261, 131, 5837, 591.7960728, 190, 84);
INSERT INTO public.ecdc_data VALUES (15262, 401, 24581, 215.93893177, 191, 84);
INSERT INTO public.ecdc_data VALUES (15263, 1, 45, 3.50837234, 40, 84);
INSERT INTO public.ecdc_data VALUES (15264, 0, 1, 1.8927206, 94, 84);
INSERT INTO public.ecdc_data VALUES (15265, 0, 16, 48.68842146, 95, 84);
INSERT INTO public.ecdc_data VALUES (15266, 0, 0, 7.23373089, 96, 84);
INSERT INTO public.ecdc_data VALUES (15267, 0, 0, 1021.68171132, 192, 84);
INSERT INTO public.ecdc_data VALUES (15268, 0, 0, 7.90521186, 41, 84);
INSERT INTO public.ecdc_data VALUES (15269, 19, 224, 13.61599151, 134, 84);
INSERT INTO public.ecdc_data VALUES (15270, 0, 17, 1.06772297, 42, 84);
INSERT INTO public.ecdc_data VALUES (15271, 31, 4995, 838.23920512, 193, 84);
INSERT INTO public.ecdc_data VALUES (15272, 0, 3, 8.18489682, 43, 84);
INSERT INTO public.ecdc_data VALUES (15273, 0, 0, 0.3071722, 44, 84);
INSERT INTO public.ecdc_data VALUES (15274, 0, 12, 1.79176179, 135, 84);
INSERT INTO public.ecdc_data VALUES (15275, 0, 11, 261.86038831, 97, 84);
INSERT INTO public.ecdc_data VALUES (15276, 27, 984, 380.63114758, 194, 84);
INSERT INTO public.ecdc_data VALUES (15277, 6, 1024, 968.18312006, 195, 84);
INSERT INTO public.ecdc_data VALUES (15278, 0, 0, 0.44788085, 211, 84);
INSERT INTO public.ecdc_data VALUES (15279, 5, 63, 1.39870048, 45, 84);
INSERT INTO public.ecdc_data VALUES (15280, 58, 2270, 51.91581233, 46, 84);
INSERT INTO public.ecdc_data VALUES (15281, 4, 271, 6.73690263, 136, 84);
INSERT INTO public.ecdc_data VALUES (15282, 0, 0, 0.83166744, 47, 84);
INSERT INTO public.ecdc_data VALUES (15283, 512, 25886, 429.08098633, 196, 84);
INSERT INTO public.ecdc_data VALUES (15284, 4, 400, 29.27254673, 137, 84);
INSERT INTO public.ecdc_data VALUES (15285, 8, 309, 4.08518515, 48, 84);
INSERT INTO public.ecdc_data VALUES (15286, 0, 1, 9.80454552, 98, 84);
INSERT INTO public.ecdc_data VALUES (15287, 57, 2422, 615.38476577, 197, 84);
INSERT INTO public.ecdc_data VALUES (15288, 0, 0, 916.6452397, 198, 84);
INSERT INTO public.ecdc_data VALUES (15289, 4, 71, 5.91676737, 138, 84);
INSERT INTO public.ecdc_data VALUES (15290, 0, 1, 0.16825187, 139, 84);
INSERT INTO public.ecdc_data VALUES (15291, 0, 40, 5.98646737, 140, 84);
INSERT INTO public.ecdc_data VALUES (15292, 0, 0, 0.10484652, 141, 84);
INSERT INTO public.ecdc_data VALUES (15293, 0, 0, 0, 142, 84);
INSERT INTO public.ecdc_data VALUES (15294, 0, 14, 4.0458485, 49, 84);
INSERT INTO public.ecdc_data VALUES (15295, 0, 126, 43.08339468, 99, 84);
INSERT INTO public.ecdc_data VALUES (15296, 69, 1240, 150.42684644, 50, 84);
INSERT INTO public.ecdc_data VALUES (15297, 139, 6017, 64.10306283, 199, 84);
INSERT INTO public.ecdc_data VALUES (15298, 0, 6, 102.1102791, 100, 84);
INSERT INTO public.ecdc_data VALUES (15299, 4, 301, 8.05293259, 51, 84);
INSERT INTO public.ecdc_data VALUES (15300, 0, 0, 346.26366359, 200, 84);
INSERT INTO public.ecdc_data VALUES (15301, 4, 1205, 172.4267455, 143, 84);
INSERT INTO public.ecdc_data VALUES (15302, 125, 18662, 480.18884899, 201, 84);
INSERT INTO public.ecdc_data VALUES (15303, 0, 0, 0, 52, 84);
INSERT INTO public.ecdc_data VALUES (15304, 883, 157471, 691.43135061, 101, 84);
INSERT INTO public.ecdc_data VALUES (15305, 0, 13, 94.66527697, 102, 84);
INSERT INTO public.ecdc_data VALUES (15306, 2, 135, 34.23142931, 103, 84);
INSERT INTO public.ecdc_data VALUES (15307, 0, 337, 8.57747998, 144, 84);
INSERT INTO public.ecdc_data VALUES (15308, 0, 0, 0, 212, 84);
INSERT INTO public.ecdc_data VALUES (15309, 5, 818, 17.36579357, 104, 84);
INSERT INTO public.ecdc_data VALUES (15310, 0, 0, 0.09641091, 145, 84);
INSERT INTO public.ecdc_data VALUES (15311, 0, 0, 0, 213, 84);
INSERT INTO public.ecdc_data VALUES (15312, 0, 0, 0, 53, 84);
INSERT INTO public.ecdc_data VALUES (15313, 0, 0, 0.02057478, 146, 84);
INSERT INTO public.ecdc_data VALUES (15314, 1, 30, 2.6314266, 54, 84);
INSERT INTO public.ecdc_data VALUES (15315, 3, 48, 4.70452542, 55, 84);
INSERT INTO public.ecdc_data VALUES (15316, 4, 116, 2.45256811, 105, 85);
INSERT INTO public.ecdc_data VALUES (15317, 3, 302, 117.06848769, 147, 85);
INSERT INTO public.ecdc_data VALUES (15318, 8, 266, 6.26900939, 1, 85);
INSERT INTO public.ecdc_data VALUES (15319, 0, 0, 1631.72611156, 148, 85);
INSERT INTO public.ecdc_data VALUES (15320, 4, 289, 7.77683188, 2, 85);
INSERT INTO public.ecdc_data VALUES (15321, 0, 0, 0, 56, 85);
INSERT INTO public.ecdc_data VALUES (15322, 0, 0, 11.32677753, 57, 85);
INSERT INTO public.ecdc_data VALUES (15323, 438, 16325, 440.5494111, 58, 85);
INSERT INTO public.ecdc_data VALUES (15324, 10, 2306, 553.22869446, 149, 85);
INSERT INTO public.ecdc_data VALUES (15325, 1, 20, 240.80519236, 59, 85);
INSERT INTO public.ecdc_data VALUES (15326, 0, 22, 1.03161503, 202, 85);
INSERT INTO public.ecdc_data VALUES (15327, 17, 2570, 234.07299542, 150, 85);
INSERT INTO public.ecdc_data VALUES (15328, 6, 825, 60.84963164, 151, 85);
INSERT INTO public.ecdc_data VALUES (15329, 3, 84, 365.09656316, 60, 85);
INSERT INTO public.ecdc_data VALUES (15330, 0, 304, 291.80508468, 106, 85);
INSERT INTO public.ecdc_data VALUES (15331, 24, 1696, 12.41059488, 107, 85);
INSERT INTO public.ecdc_data VALUES (15332, 0, 2, 7.31653781, 61, 85);
INSERT INTO public.ecdc_data VALUES (15333, 4, 738, 88.84507642, 152, 85);
INSERT INTO public.ecdc_data VALUES (15334, 55, 17687, 1270.86341527, 153, 85);
INSERT INTO public.ecdc_data VALUES (15335, 0, 58, 159.34377009, 62, 85);
INSERT INTO public.ecdc_data VALUES (15336, 0, 0, 1.23716746, 3, 85);
INSERT INTO public.ecdc_data VALUES (15337, 0, 0, 6.3991809, 63, 85);
INSERT INTO public.ecdc_data VALUES (15338, 0, 4, 4.19345454, 108, 85);
INSERT INTO public.ecdc_data VALUES (15339, 26, 217, 21.50593298, 64, 85);
INSERT INTO public.ecdc_data VALUES (15340, 0, 0, 11.54601085, 65, 85);
INSERT INTO public.ecdc_data VALUES (15341, 20, 1003, 236.11041267, 154, 85);
INSERT INTO public.ecdc_data VALUES (15342, 0, 314, 60.90194786, 4, 85);
INSERT INTO public.ecdc_data VALUES (15343, 497, 24858, 139.8657535, 66, 85);
INSERT INTO public.ecdc_data VALUES (15344, 0, 0, 3.3296707, 67, 85);
INSERT INTO public.ecdc_data VALUES (15345, 0, 1, 0.46157823, 109, 85);
INSERT INTO public.ecdc_data VALUES (15346, 16, 1595, 166.72764252, 155, 85);
INSERT INTO public.ecdc_data VALUES (15347, 0, 15, 0.88576649, 5, 85);
INSERT INTO public.ecdc_data VALUES (15348, 0, 1, 0.31221334, 6, 85);
INSERT INTO public.ecdc_data VALUES (15349, 0, 0, 0.02426221, 110, 85);
INSERT INTO public.ecdc_data VALUES (15350, 0, 0, 1.41828146, 7, 85);
INSERT INTO public.ecdc_data VALUES (15351, 33, 2788, 89.78366224, 68, 85);
INSERT INTO public.ecdc_data VALUES (15352, 1, 89, 255.48427453, 8, 85);
INSERT INTO public.ecdc_data VALUES (15353, 0, 1, 33.87325245, 69, 85);
INSERT INTO public.ecdc_data VALUES (15354, 0, 4, 0.21074021, 9, 85);
INSERT INTO public.ecdc_data VALUES (15355, 0, 6, 0.92808111, 10, 85);
INSERT INTO public.ecdc_data VALUES (15356, 73, 1494, 111.41283772, 70, 85);
INSERT INTO public.ecdc_data VALUES (15357, 0, 29, 0.02406221, 111, 85);
INSERT INTO public.ecdc_data VALUES (15358, 172, 8570, 206.77821167, 71, 85);
INSERT INTO public.ecdc_data VALUES (15359, 0, 13, 2.58552506, 11, 85);
INSERT INTO public.ecdc_data VALUES (15360, 0, 0, 0.70625354, 12, 85);
INSERT INTO public.ecdc_data VALUES (15361, 15, 1191, 312.7847291, 72, 85);
INSERT INTO public.ecdc_data VALUES (15362, 0, 27, 1.58652672, 13, 85);
INSERT INTO public.ecdc_data VALUES (15363, 13, 1563, 266.44613696, 156, 85);
INSERT INTO public.ecdc_data VALUES (15364, 1, 53, 4.4469997, 73, 85);
INSERT INTO public.ecdc_data VALUES (15365, 0, 19, 182.96078275, 74, 85);
INSERT INTO public.ecdc_data VALUES (15366, 0, 188, 141.11216019, 157, 85);
INSERT INTO public.ecdc_data VALUES (15367, 106, 14150, 1148.45349208, 158, 85);
INSERT INTO public.ecdc_data VALUES (15368, 1, 31, 0.31685471, 14, 85);
INSERT INTO public.ecdc_data VALUES (15369, 4, 760, 113.79448547, 159, 85);
INSERT INTO public.ecdc_data VALUES (15370, 0, 10, 10.16889612, 15, 85);
INSERT INTO public.ecdc_data VALUES (15371, 0, 0, 2.78520499, 75, 85);
INSERT INTO public.ecdc_data VALUES (15372, 6, 475, 55.88065955, 76, 85);
INSERT INTO public.ecdc_data VALUES (15373, 47, 826, 65.65111767, 77, 85);
INSERT INTO public.ecdc_data VALUES (15374, 11, 177, 1.8966396, 16, 85);
INSERT INTO public.ecdc_data VALUES (15375, 4, 142, 37.498741, 78, 85);
INSERT INTO public.ecdc_data VALUES (15376, 0, 0, 0.8849675, 17, 85);
INSERT INTO public.ecdc_data VALUES (15377, 0, 5, 1.4869391, 18, 85);
INSERT INTO public.ecdc_data VALUES (15378, 0, 76, 36.75971075, 160, 85);
INSERT INTO public.ecdc_data VALUES (15379, 0, 9, 15.85182205, 19, 85);
INSERT INTO public.ecdc_data VALUES (15380, 12, 575, 8.82950785, 20, 85);
INSERT INTO public.ecdc_data VALUES (15381, 0, 0, 0, 79, 85);
INSERT INTO public.ecdc_data VALUES (15382, 0, 2, 26.70665818, 161, 85);
INSERT INTO public.ecdc_data VALUES (15383, 0, 0, 0.11236523, 203, 85);
INSERT INTO public.ecdc_data VALUES (15384, 0, 184, 52.73727287, 162, 85);
INSERT INTO public.ecdc_data VALUES (15385, 162, 41622, 488.57023507, 163, 85);
INSERT INTO public.ecdc_data VALUES (15386, 3, 489, 1005.78262348, 204, 85);
INSERT INTO public.ecdc_data VALUES (15387, 0, 0, 3.95843095, 21, 85);
INSERT INTO public.ecdc_data VALUES (15388, 1, 2, 1.78898801, 22, 85);
INSERT INTO public.ecdc_data VALUES (15389, 6, 1595, 314.7047535, 164, 85);
INSERT INTO public.ecdc_data VALUES (15390, 49, 11242, 106.75962443, 165, 85);
INSERT INTO public.ecdc_data VALUES (15391, 0, 77, 1.9429376, 23, 85);
INSERT INTO public.ecdc_data VALUES (15392, 0, 9, 528.09588797, 166, 85);
INSERT INTO public.ecdc_data VALUES (15393, 15, 882, 63.73198662, 167, 85);
INSERT INTO public.ecdc_data VALUES (15394, 0, 1, 3.52982704, 80, 85);
INSERT INTO public.ecdc_data VALUES (15395, 0, 0, 2.6785236, 81, 85);
INSERT INTO public.ecdc_data VALUES (15396, 0, 88, 670.67156819, 205, 85);
INSERT INTO public.ecdc_data VALUES (15397, 13, 757, 38.06278836, 82, 85);
INSERT INTO public.ecdc_data VALUES (15398, 0, 2, 6.20462865, 168, 85);
INSERT INTO public.ecdc_data VALUES (15399, 0, 0, 5.74728574, 24, 85);
INSERT INTO public.ecdc_data VALUES (15400, 0, 0, 2.13439727, 25, 85);
INSERT INTO public.ecdc_data VALUES (15401, 1, 27, 70.00734566, 83, 85);
INSERT INTO public.ecdc_data VALUES (15402, 0, 0, 1.10982086, 84, 85);
INSERT INTO public.ecdc_data VALUES (15403, 0, 0, 1717.79141104, 169, 85);
INSERT INTO public.ecdc_data VALUES (15404, 8, 431, 100.93252542, 85, 85);
INSERT INTO public.ecdc_data VALUES (15405, 47, 2066, 194.99105472, 170, 85);
INSERT INTO public.ecdc_data VALUES (15406, 0, 38, 280.39922575, 171, 85);
INSERT INTO public.ecdc_data VALUES (15407, 690, 54366, 62.58415453, 112, 85);
INSERT INTO public.ecdc_data VALUES (15408, 102, 4432, 21.0538127, 113, 85);
INSERT INTO public.ecdc_data VALUES (15409, 304, 5471, 75.40473344, 114, 85);
INSERT INTO public.ecdc_data VALUES (15410, 47, 3899, 121.08434365, 115, 85);
INSERT INTO public.ecdc_data VALUES (15411, 3, 1054, 293.41957164, 172, 85);
INSERT INTO public.ecdc_data VALUES (15412, 0, 0, 3.54656043, 173, 85);
INSERT INTO public.ecdc_data VALUES (15413, 28, 1237, 260.33605994, 116, 85);
INSERT INTO public.ecdc_data VALUES (15414, 136, 16078, 210.94923411, 174, 85);
INSERT INTO public.ecdc_data VALUES (15415, 5, 155, 45.00933935, 86, 85);
INSERT INTO public.ecdc_data VALUES (15416, 9, 614, 5.91122681, 117, 85);
INSERT INTO public.ecdc_data VALUES (15417, 0, 3, 76.99729118, 175, 85);
INSERT INTO public.ecdc_data VALUES (15418, 38, 2821, 246.73082156, 118, 85);
INSERT INTO public.ecdc_data VALUES (15419, 1, 365, 19.98767965, 119, 85);
INSERT INTO public.ecdc_data VALUES (15420, 12, 1068, 13.37924528, 26, 85);
INSERT INTO public.ecdc_data VALUES (15421, 0, 159, 80.67807391, 176, 85);
INSERT INTO public.ecdc_data VALUES (15422, 9, 889, 237.19556357, 120, 85);
INSERT INTO public.ecdc_data VALUES (15423, 4, 582, 93.06637576, 121, 85);
INSERT INTO public.ecdc_data VALUES (15424, 0, 0, 0.01394806, 122, 85);
INSERT INTO public.ecdc_data VALUES (15425, 1, 161, 82.70971183, 177, 85);
INSERT INTO public.ecdc_data VALUES (15426, 16, 1450, 252.09646442, 123, 85);
INSERT INTO public.ecdc_data VALUES (15427, 0, 0, 6.21098431, 27, 85);
INSERT INTO public.ecdc_data VALUES (15428, 0, 0, 0.50634204, 28, 85);
INSERT INTO public.ecdc_data VALUES (15429, 3, 995, 181.89724075, 29, 85);
INSERT INTO public.ecdc_data VALUES (15430, 0, 26, 396.06024285, 178, 85);
INSERT INTO public.ecdc_data VALUES (15431, 5, 424, 108.7258391, 179, 85);
INSERT INTO public.ecdc_data VALUES (15432, 2, 662, 507.25369526, 180, 85);
INSERT INTO public.ecdc_data VALUES (15433, 0, 0, 0.57843535, 30, 85);
INSERT INTO public.ecdc_data VALUES (15434, 0, 10, 0.34892305, 31, 85);
INSERT INTO public.ecdc_data VALUES (15435, 5, 847, 29.53384137, 124, 85);
INSERT INTO public.ecdc_data VALUES (15436, 0, 42, 116.01692792, 125, 85);
INSERT INTO public.ecdc_data VALUES (15437, 0, 12, 1.04283121, 32, 85);
INSERT INTO public.ecdc_data VALUES (15438, 0, 121, 339.97961743, 181, 85);
INSERT INTO public.ecdc_data VALUES (15439, 0, 4, 2.5410445, 33, 85);
INSERT INTO public.ecdc_data VALUES (15440, 0, 2, 2.04777619, 34, 85);
INSERT INTO public.ecdc_data VALUES (15441, 479, 6612, 39.68002359, 87, 85);
INSERT INTO public.ecdc_data VALUES (15442, 11, 777, 238.74311261, 182, 85);
INSERT INTO public.ecdc_data VALUES (15443, 0, 8, 157.17092338, 183, 85);
INSERT INTO public.ecdc_data VALUES (15444, 0, 0, 0.40308003, 126, 85);
INSERT INTO public.ecdc_data VALUES (15445, 3, 190, 523.15881848, 184, 85);
INSERT INTO public.ecdc_data VALUES (15446, 0, 0, 0, 88, 85);
INSERT INTO public.ecdc_data VALUES (15447, 35, 4151, 120.03257534, 35, 85);
INSERT INTO public.ecdc_data VALUES (15448, 2, 228, 6.32285214, 36, 85);
INSERT INTO public.ecdc_data VALUES (15449, 33, 1312, 34.34703498, 127, 85);
INSERT INTO public.ecdc_data VALUES (15450, 0, 54, 27.21962186, 37, 85);
INSERT INTO public.ecdc_data VALUES (15451, 21, 3637, 174.39441093, 128, 85);
INSERT INTO public.ecdc_data VALUES (15452, 46, 9268, 616.1207946, 185, 85);
INSERT INTO public.ecdc_data VALUES (15453, 0, 0, 0, 207, 85);
INSERT INTO public.ecdc_data VALUES (15454, 0, 9, 1.19170523, 208, 85);
INSERT INTO public.ecdc_data VALUES (15455, 0, 0, 2.597203, 89, 85);
INSERT INTO public.ecdc_data VALUES (15456, 0, 1, 0.06005821, 38, 85);
INSERT INTO public.ecdc_data VALUES (15457, 2, 138, 0.9772914, 39, 85);
INSERT INTO public.ecdc_data VALUES (15458, 12, 637, 274.22426692, 186, 85);
INSERT INTO public.ecdc_data VALUES (15459, 0, 0, 22.72210861, 209, 85);
INSERT INTO public.ecdc_data VALUES (15460, 0, 193, 36.63517893, 187, 85);
INSERT INTO public.ecdc_data VALUES (15461, 10, 353, 154.93492251, 129, 85);
INSERT INTO public.ecdc_data VALUES (15462, 13, 736, 3.98078516, 130, 85);
INSERT INTO public.ecdc_data VALUES (15463, 7, 506, 126.77103044, 131, 85);
INSERT INTO public.ecdc_data VALUES (15464, 15, 792, 216.01623949, 90, 85);
INSERT INTO public.ecdc_data VALUES (15465, 0, 0, 0.38741498, 210, 85);
INSERT INTO public.ecdc_data VALUES (15466, 17, 707, 144.93290572, 91, 85);
INSERT INTO public.ecdc_data VALUES (15467, 47, 2991, 126.91914375, 92, 85);
INSERT INTO public.ecdc_data VALUES (15468, 36, 1645, 29.6152427, 132, 85);
INSERT INTO public.ecdc_data VALUES (15469, 168, 12107, 271.47581275, 188, 85);
INSERT INTO public.ecdc_data VALUES (15470, 16, 3270, 262.80049164, 189, 85);
INSERT INTO public.ecdc_data VALUES (15471, 9, 207, 229.86946224, 93, 85);
INSERT INTO public.ecdc_data VALUES (15472, 3, 252, 108.33061742, 133, 85);
INSERT INTO public.ecdc_data VALUES (15473, 98, 4902, 259.10586842, 190, 85);
INSERT INTO public.ecdc_data VALUES (15474, 290, 15971, 139.29584693, 191, 85);
INSERT INTO public.ecdc_data VALUES (15475, 0, 5, 1.04538408, 40, 85);
INSERT INTO public.ecdc_data VALUES (15476, 0, 0, 0, 94, 85);
INSERT INTO public.ecdc_data VALUES (15477, 0, 3, 7.65885281, 95, 85);
INSERT INTO public.ecdc_data VALUES (15478, 0, 0, 3.61686544, 96, 85);
INSERT INTO public.ecdc_data VALUES (15479, 0, 28, 145.12524308, 192, 85);
INSERT INTO public.ecdc_data VALUES (15480, 0, 0, 6.51017447, 41, 85);
INSERT INTO public.ecdc_data VALUES (15481, 15, 401, 16.46408575, 134, 85);
INSERT INTO public.ecdc_data VALUES (15482, 0, 24, 1.95135577, 42, 85);
INSERT INTO public.ecdc_data VALUES (15483, 3, 416, 45.83727995, 193, 85);
INSERT INTO public.ecdc_data VALUES (15484, 0, 2, 5.11556051, 43, 85);
INSERT INTO public.ecdc_data VALUES (15485, 0, 3, 0.60154556, 44, 85);
INSERT INTO public.ecdc_data VALUES (15486, 0, 8, 1.58502004, 135, 85);
INSERT INTO public.ecdc_data VALUES (15487, 0, 7, 184.0100026, 97, 85);
INSERT INTO public.ecdc_data VALUES (15488, 17, 1728, 359.67863767, 194, 85);
INSERT INTO public.ecdc_data VALUES (15489, 7, 1668, 487.28728036, 195, 85);
INSERT INTO public.ecdc_data VALUES (15490, 0, 0, 0, 211, 85);
INSERT INTO public.ecdc_data VALUES (15491, 1, 7, 0.98427071, 45, 85);
INSERT INTO public.ecdc_data VALUES (15492, 102, 2156, 40.34272394, 46, 85);
INSERT INTO public.ecdc_data VALUES (15493, 2, 155, 2.38553898, 136, 85);
INSERT INTO public.ecdc_data VALUES (15494, 0, 2, 1.12094307, 47, 85);
INSERT INTO public.ecdc_data VALUES (15495, 231, 19851, 394.18745017, 196, 85);
INSERT INTO public.ecdc_data VALUES (15496, 1, 309, 8.43660871, 137, 85);
INSERT INTO public.ecdc_data VALUES (15497, 0, 0, 0.13080067, 48, 85);
INSERT INTO public.ecdc_data VALUES (15498, 0, 4, 25.80143559, 98, 85);
INSERT INTO public.ecdc_data VALUES (15499, 9, 1666, 112.78388416, 197, 85);
INSERT INTO public.ecdc_data VALUES (15500, 11, 4968, 444.56527553, 198, 85);
INSERT INTO public.ecdc_data VALUES (15501, 3, 43, 4.10658805, 138, 85);
INSERT INTO public.ecdc_data VALUES (15502, 0, 4, 0.08833223, 139, 85);
INSERT INTO public.ecdc_data VALUES (15503, 1, 40, 5.96501049, 140, 85);
INSERT INTO public.ecdc_data VALUES (15504, 0, 8, 0.14218912, 141, 85);
INSERT INTO public.ecdc_data VALUES (15505, 0, 0, 0.07733234, 142, 85);
INSERT INTO public.ecdc_data VALUES (15506, 1, 19, 2.87044909, 49, 85);
INSERT INTO public.ecdc_data VALUES (15507, 2, 54, 34.62442535, 99, 85);
INSERT INTO public.ecdc_data VALUES (15508, 0, 0, 172.10329344, 50, 85);
INSERT INTO public.ecdc_data VALUES (15509, 71, 2102, 30.21198435, 199, 85);
INSERT INTO public.ecdc_data VALUES (15510, 0, 0, 7.85463685, 100, 85);
INSERT INTO public.ecdc_data VALUES (15511, 0, 108, 3.61196051, 51, 85);
INSERT INTO public.ecdc_data VALUES (15512, 116, 7053, 177.62793593, 200, 85);
INSERT INTO public.ecdc_data VALUES (15513, 2, 1578, 181.98610802, 143, 85);
INSERT INTO public.ecdc_data VALUES (15514, 189, 21238, 373.08743401, 201, 85);
INSERT INTO public.ecdc_data VALUES (15515, 0, 0, 0, 52, 85);
INSERT INTO public.ecdc_data VALUES (15516, 841, 72058, 243.64371848, 101, 85);
INSERT INTO public.ecdc_data VALUES (15517, 0, 0, 18.16808346, 102, 85);
INSERT INTO public.ecdc_data VALUES (15518, 0, 38, 13.721459, 103, 85);
INSERT INTO public.ecdc_data VALUES (15519, 3, 298, 13.67727542, 144, 85);
INSERT INTO public.ecdc_data VALUES (15520, 6, 381, 25.93997881, 104, 85);
INSERT INTO public.ecdc_data VALUES (15521, 0, 3, 0.04976047, 145, 85);
INSERT INTO public.ecdc_data VALUES (15522, 0, 0, 0, 213, 85);
INSERT INTO public.ecdc_data VALUES (15523, 0, 0, 0, 53, 85);
INSERT INTO public.ecdc_data VALUES (15524, 0, 0, 0.0240039, 146, 85);
INSERT INTO public.ecdc_data VALUES (15525, 0, 35, 4.54061058, 54, 85);
INSERT INTO public.ecdc_data VALUES (15526, 0, 27, 1.98696211, 55, 85);
INSERT INTO public.ecdc_data VALUES (15527, 2, 71, 1.64293148, 105, 86);
INSERT INTO public.ecdc_data VALUES (15528, 3, 131, 73.81847642, 147, 86);
INSERT INTO public.ecdc_data VALUES (15529, 10, 191, 7.60921629, 1, 86);
INSERT INTO public.ecdc_data VALUES (15530, 0, 0, 551.34751959, 148, 86);
INSERT INTO public.ecdc_data VALUES (15531, 1, 119, 3.94340364, 2, 86);
INSERT INTO public.ecdc_data VALUES (15532, 0, 0, 0, 56, 86);
INSERT INTO public.ecdc_data VALUES (15533, 0, 0, 1.02970705, 57, 86);
INSERT INTO public.ecdc_data VALUES (15534, 470, 12027, 366.6023346, 58, 86);
INSERT INTO public.ecdc_data VALUES (15535, 2, 115, 91.7596209, 149, 86);
INSERT INTO public.ecdc_data VALUES (15536, 1, 78, 1012.13432415, 59, 86);
INSERT INTO public.ecdc_data VALUES (15537, 3, 30, 2.25368207, 202, 86);
INSERT INTO public.ecdc_data VALUES (15538, 4, 747, 109.46208703, 150, 86);
INSERT INTO public.ecdc_data VALUES (15539, 2, 98, 18.12351639, 151, 86);
INSERT INTO public.ecdc_data VALUES (15540, 2, 49, 207.96639674, 60, 86);
INSERT INTO public.ecdc_data VALUES (15541, 5, 713, 589.58154091, 106, 86);
INSERT INTO public.ecdc_data VALUES (15542, 28, 1557, 14.06166093, 107, 86);
INSERT INTO public.ecdc_data VALUES (15543, 0, 0, 3.13565906, 61, 86);
INSERT INTO public.ecdc_data VALUES (15544, 6, 206, 30.63769247, 152, 86);
INSERT INTO public.ecdc_data VALUES (15545, 1, 2074, 153.26237074, 153, 86);
INSERT INTO public.ecdc_data VALUES (15546, 0, 34, 78.90334596, 62, 86);
INSERT INTO public.ecdc_data VALUES (15547, 0, 0, 0.68637373, 3, 86);
INSERT INTO public.ecdc_data VALUES (15548, 0, 0, 7.99897613, 63, 86);
INSERT INTO public.ecdc_data VALUES (15549, 0, 0, 3.53822727, 108, 86);
INSERT INTO public.ecdc_data VALUES (15550, 39, 467, 79.43124277, 64, 86);
INSERT INTO public.ecdc_data VALUES (15551, 0, 8, 157.79548166, 65, 86);
INSERT INTO public.ecdc_data VALUES (15552, 15, 221, 114.38964822, 154, 86);
INSERT INTO public.ecdc_data VALUES (15553, 0, 0, 19.14309266, 4, 86);
INSERT INTO public.ecdc_data VALUES (15554, 836, 33536, 203.52143044, 66, 86);
INSERT INTO public.ecdc_data VALUES (15555, 0, 0, 26.63736556, 67, 86);
INSERT INTO public.ecdc_data VALUES (15556, 0, 0, 0, 109, 86);
INSERT INTO public.ecdc_data VALUES (15557, 2, 109, 25.8569988, 155, 86);
INSERT INTO public.ecdc_data VALUES (15558, 0, 11, 2.17012789, 5, 86);
INSERT INTO public.ecdc_data VALUES (15559, 0, 0, 0.06938074, 6, 86);
INSERT INTO public.ecdc_data VALUES (15560, 0, 0, 0.00606555, 110, 86);
INSERT INTO public.ecdc_data VALUES (15561, 0, 0, 3.84133998, 7, 86);
INSERT INTO public.ecdc_data VALUES (15562, 6, 1248, 34.52189699, 68, 86);
INSERT INTO public.ecdc_data VALUES (15563, 1, 24, 160.20045969, 8, 86);
INSERT INTO public.ecdc_data VALUES (15564, 0, 0, 7.69846647, 69, 86);
INSERT INTO public.ecdc_data VALUES (15565, 0, 9, 1.39088536, 9, 86);
INSERT INTO public.ecdc_data VALUES (15566, 0, 2, 0.68979002, 10, 86);
INSERT INTO public.ecdc_data VALUES (15567, 23, 1055, 121.26402257, 70, 86);
INSERT INTO public.ecdc_data VALUES (15568, 0, 18, 0.0217606, 111, 86);
INSERT INTO public.ecdc_data VALUES (15569, 173, 7102, 194.72603223, 71, 86);
INSERT INTO public.ecdc_data VALUES (15570, 0, 0, 2.11542959, 11, 86);
INSERT INTO public.ecdc_data VALUES (15571, 0, 0, 2.06300376, 12, 86);
INSERT INTO public.ecdc_data VALUES (15572, 15, 1087, 332.67552388, 72, 86);
INSERT INTO public.ecdc_data VALUES (15573, 0, 16, 2.19702842, 13, 86);
INSERT INTO public.ecdc_data VALUES (15574, 2, 144, 69.9418043, 156, 86);
INSERT INTO public.ecdc_data VALUES (15575, 1, 81, 7.45578323, 73, 86);
INSERT INTO public.ecdc_data VALUES (15576, 0, 9, 112.59125093, 74, 86);
INSERT INTO public.ecdc_data VALUES (15577, 0, 15, 12.21602034, 157, 86);
INSERT INTO public.ecdc_data VALUES (15578, 9, 2394, 218.60504423, 158, 86);
INSERT INTO public.ecdc_data VALUES (15579, 0, 4, 0.26615795, 14, 86);
INSERT INTO public.ecdc_data VALUES (15580, 1, 476, 93.74653919, 159, 86);
INSERT INTO public.ecdc_data VALUES (15581, 0, 3, 1.95160633, 15, 86);
INSERT INTO public.ecdc_data VALUES (15582, 0, 0, 5.57040998, 75, 86);
INSERT INTO public.ecdc_data VALUES (15583, 10, 486, 85.09206248, 76, 86);
INSERT INTO public.ecdc_data VALUES (15584, 31, 932, 97.19312405, 77, 86);
INSERT INTO public.ecdc_data VALUES (15585, 19, 113, 2.01816797, 16, 86);
INSERT INTO public.ecdc_data VALUES (15586, 5, 156, 22.35978647, 78, 86);
INSERT INTO public.ecdc_data VALUES (15587, 0, 0, 2.43366062, 17, 86);
INSERT INTO public.ecdc_data VALUES (15588, 0, 0, 0.6576846, 18, 86);
INSERT INTO public.ecdc_data VALUES (15589, 0, 35, 31.17404629, 160, 86);
INSERT INTO public.ecdc_data VALUES (15590, 2, 25, 35.1004631, 19, 86);
INSERT INTO public.ecdc_data VALUES (15591, 19, 713, 8.59931252, 20, 86);
INSERT INTO public.ecdc_data VALUES (15592, 0, 0, 0, 79, 86);
INSERT INTO public.ecdc_data VALUES (15593, 0, 11, 69.84818292, 161, 86);
INSERT INTO public.ecdc_data VALUES (15594, 0, 0, 0.11236523, 203, 86);
INSERT INTO public.ecdc_data VALUES (15595, 0, 149, 15.54934025, 162, 86);
INSERT INTO public.ecdc_data VALUES (15596, 78, 10008, 197.79032638, 163, 86);
INSERT INTO public.ecdc_data VALUES (15597, 3, 0, 222.35350986, 204, 86);
INSERT INTO public.ecdc_data VALUES (15598, 0, 0, 4.41871362, 21, 86);
INSERT INTO public.ecdc_data VALUES (15599, 0, 0, 11.28766246, 22, 86);
INSERT INTO public.ecdc_data VALUES (15600, 2, 227, 59.22294097, 164, 86);
INSERT INTO public.ecdc_data VALUES (15601, 13, 1769, 27.04554667, 165, 86);
INSERT INTO public.ecdc_data VALUES (15602, 0, 54, 3.62944689, 23, 86);
INSERT INTO public.ecdc_data VALUES (15603, 0, 5, 103.8390791, 166, 86);
INSERT INTO public.ecdc_data VALUES (15604, 8, 333, 38.19257018, 167, 86);
INSERT INTO public.ecdc_data VALUES (15605, 0, 0, 0, 80, 86);
INSERT INTO public.ecdc_data VALUES (15606, 0, 0, 0, 81, 86);
INSERT INTO public.ecdc_data VALUES (15607, 0, 43, 285.12507845, 205, 86);
INSERT INTO public.ecdc_data VALUES (15608, 13, 942, 44.94503192, 82, 86);
INSERT INTO public.ecdc_data VALUES (15609, 0, 0, 4.65347149, 168, 86);
INSERT INTO public.ecdc_data VALUES (15610, 0, 43, 4.22041827, 24, 86);
INSERT INTO public.ecdc_data VALUES (15611, 0, 0, 3.01939126, 25, 86);
INSERT INTO public.ecdc_data VALUES (15612, 2, 35, 105.26651975, 83, 86);
INSERT INTO public.ecdc_data VALUES (15613, 2, 9, 2.28179168, 84, 86);
INSERT INTO public.ecdc_data VALUES (15614, 0, 0, 0, 169, 86);
INSERT INTO public.ecdc_data VALUES (15615, 2, 231, 72.72641458, 85, 86);
INSERT INTO public.ecdc_data VALUES (15616, 8, 951, 114.05175776, 170, 86);
INSERT INTO public.ecdc_data VALUES (15617, 0, 42, 75.35203969, 171, 86);
INSERT INTO public.ecdc_data VALUES (15618, 1085, 83347, 93.37422574, 112, 86);
INSERT INTO public.ecdc_data VALUES (15619, 160, 4071, 19.54286899, 113, 86);
INSERT INTO public.ecdc_data VALUES (15620, 178, 3712, 45.92837053, 114, 86);
INSERT INTO public.ecdc_data VALUES (15621, 57, 4724, 147.55103366, 115, 86);
INSERT INTO public.ecdc_data VALUES (15622, 0, 323, 68.59370667, 172, 86);
INSERT INTO public.ecdc_data VALUES (15623, 0, 0, 3.54656043, 173, 86);
INSERT INTO public.ecdc_data VALUES (15624, 12, 795, 641.53782209, 116, 86);
INSERT INTO public.ecdc_data VALUES (15625, 14, 1391, 34.36738905, 174, 86);
INSERT INTO public.ecdc_data VALUES (15626, 5, 129, 65.39412681, 86, 86);
INSERT INTO public.ecdc_data VALUES (15627, 4, 330, 5.55098802, 117, 86);
INSERT INTO public.ecdc_data VALUES (15628, 0, 2, 12.05981669, 175, 86);
INSERT INTO public.ecdc_data VALUES (15629, 1, 634, 30.66811448, 118, 86);
INSERT INTO public.ecdc_data VALUES (15630, 28, 440, 22.94163015, 119, 86);
INSERT INTO public.ecdc_data VALUES (15631, 9, 139, 3.54167682, 26, 86);
INSERT INTO public.ecdc_data VALUES (15632, 0, 66, 50.43074641, 176, 86);
INSERT INTO public.ecdc_data VALUES (15633, 3, 719, 224.36004856, 120, 86);
INSERT INTO public.ecdc_data VALUES (15634, 0, 88, 15.85136563, 121, 86);
INSERT INTO public.ecdc_data VALUES (15635, 0, 0, 0.01394806, 122, 86);
INSERT INTO public.ecdc_data VALUES (15636, 0, 34, 6.66677778, 177, 86);
INSERT INTO public.ecdc_data VALUES (15637, 8, 865, 138.9790611, 123, 86);
INSERT INTO public.ecdc_data VALUES (15638, 0, 0, 12.23375698, 27, 86);
INSERT INTO public.ecdc_data VALUES (15639, 0, 0, 0.50634204, 28, 86);
INSERT INTO public.ecdc_data VALUES (15640, 10, 650, 145.52664548, 29, 86);
INSERT INTO public.ecdc_data VALUES (15641, 0, 2, 20.84527594, 178, 86);
INSERT INTO public.ecdc_data VALUES (15642, 0, 45, 26.05411813, 179, 86);
INSERT INTO public.ecdc_data VALUES (15643, 0, 100, 169.73614337, 180, 86);
INSERT INTO public.ecdc_data VALUES (15644, 1, 63, 2.59925116, 30, 86);
INSERT INTO public.ecdc_data VALUES (15645, 0, 4, 0.57438103, 31, 86);
INSERT INTO public.ecdc_data VALUES (15646, 0, 82, 2.50079899, 124, 86);
INSERT INTO public.ecdc_data VALUES (15647, 0, 48, 202.8412847, 125, 86);
INSERT INTO public.ecdc_data VALUES (15648, 1, 6, 0.75287327, 32, 86);
INSERT INTO public.ecdc_data VALUES (15649, 2, 42, 140.61135548, 181, 86);
INSERT INTO public.ecdc_data VALUES (15650, 0, 0, 5.19256919, 33, 86);
INSERT INTO public.ecdc_data VALUES (15651, 0, 0, 0.86636685, 34, 86);
INSERT INTO public.ecdc_data VALUES (15652, 651, 5939, 47.96296004, 87, 86);
INSERT INTO public.ecdc_data VALUES (15653, 19, 650, 170.40713207, 182, 86);
INSERT INTO public.ecdc_data VALUES (15654, 0, 2, 123.92322805, 183, 86);
INSERT INTO public.ecdc_data VALUES (15655, 0, 0, 0.09301847, 126, 86);
INSERT INTO public.ecdc_data VALUES (15656, 8, 296, 524.44461588, 184, 86);
INSERT INTO public.ecdc_data VALUES (15657, 0, 0, 0, 88, 86);
INSERT INTO public.ecdc_data VALUES (15658, 34, 2227, 81.22721559, 35, 86);
INSERT INTO public.ecdc_data VALUES (15659, 1, 202, 8.12420637, 36, 86);
INSERT INTO public.ecdc_data VALUES (15660, 16, 488, 9.53272231, 127, 86);
INSERT INTO public.ecdc_data VALUES (15661, 3, 81, 67.3074302, 37, 86);
INSERT INTO public.ecdc_data VALUES (15662, 2, 1356, 64.64463713, 128, 86);
INSERT INTO public.ecdc_data VALUES (15663, 10, 2243, 125.37203821, 185, 86);
INSERT INTO public.ecdc_data VALUES (15664, 0, 0, 0, 207, 86);
INSERT INTO public.ecdc_data VALUES (15665, 0, 4, 0.64812039, 208, 86);
INSERT INTO public.ecdc_data VALUES (15666, 2, 112, 3.89580449, 89, 86);
INSERT INTO public.ecdc_data VALUES (15667, 0, 4, 0.06434808, 38, 86);
INSERT INTO public.ecdc_data VALUES (15668, 0, 176, 1.07332869, 39, 86);
INSERT INTO public.ecdc_data VALUES (15669, 5, 87, 83.7693512, 186, 86);
INSERT INTO public.ecdc_data VALUES (15670, 0, 0, 17.47854509, 209, 86);
INSERT INTO public.ecdc_data VALUES (15671, 0, 104, 27.79544057, 187, 86);
INSERT INTO public.ecdc_data VALUES (15672, 12, 660, 143.13590856, 129, 86);
INSERT INTO public.ecdc_data VALUES (15673, 8, 532, 3.58275282, 130, 86);
INSERT INTO public.ecdc_data VALUES (15674, 5, 557, 222.74764114, 131, 86);
INSERT INTO public.ecdc_data VALUES (15675, 13, 474, 209.04569475, 90, 86);
INSERT INTO public.ecdc_data VALUES (15676, 0, 1, 0.2734694, 210, 86);
INSERT INTO public.ecdc_data VALUES (15677, 29, 568, 150.6677631, 91, 86);
INSERT INTO public.ecdc_data VALUES (15678, 112, 3650, 247.16966495, 92, 86);
INSERT INTO public.ecdc_data VALUES (15679, 50, 1599, 46.06322236, 132, 86);
INSERT INTO public.ecdc_data VALUES (15680, 18, 711, 24.15675721, 188, 86);
INSERT INTO public.ecdc_data VALUES (15681, 5, 463, 85.31990635, 189, 86);
INSERT INTO public.ecdc_data VALUES (15682, 4, 120, 241.76690289, 93, 86);
INSERT INTO public.ecdc_data VALUES (15683, 0, 313, 117.86427671, 133, 86);
INSERT INTO public.ecdc_data VALUES (15684, 45, 1059, 90.73135083, 190, 86);
INSERT INTO public.ecdc_data VALUES (15685, 160, 6215, 54.85690014, 191, 86);
INSERT INTO public.ecdc_data VALUES (15686, 0, 16, 2.36795334, 40, 86);
INSERT INTO public.ecdc_data VALUES (15687, 0, 0, 3.78544119, 94, 86);
INSERT INTO public.ecdc_data VALUES (15688, 0, 0, 0.54706092, 95, 86);
INSERT INTO public.ecdc_data VALUES (15689, 0, 0, 1.80843272, 96, 86);
INSERT INTO public.ecdc_data VALUES (15690, 0, 0, 20.31753403, 192, 86);
INSERT INTO public.ecdc_data VALUES (15691, 0, 0, 4.65012462, 41, 86);
INSERT INTO public.ecdc_data VALUES (15692, 30, 552, 24.9821053, 134, 86);
INSERT INTO public.ecdc_data VALUES (15693, 0, 21, 4.38748231, 42, 86);
INSERT INTO public.ecdc_data VALUES (15694, 0, 61, 14.43185036, 193, 86);
INSERT INTO public.ecdc_data VALUES (15695, 0, 0, 6.13867261, 43, 86);
INSERT INTO public.ecdc_data VALUES (15696, 0, 6, 1.40787259, 44, 86);
INSERT INTO public.ecdc_data VALUES (15697, 0, 21, 9.23446461, 135, 86);
INSERT INTO public.ecdc_data VALUES (15698, 0, 3, 158.05987402, 97, 86);
INSERT INTO public.ecdc_data VALUES (15699, 1, 175, 40.43724329, 194, 86);
INSERT INTO public.ecdc_data VALUES (15700, 0, 88, 63.72218282, 195, 86);
INSERT INTO public.ecdc_data VALUES (15701, 0, 0, 0.66697291, 45, 86);
INSERT INTO public.ecdc_data VALUES (15702, 126, 1346, 39.00559421, 46, 86);
INSERT INTO public.ecdc_data VALUES (15703, 0, 110, 3.17811576, 136, 86);
INSERT INTO public.ecdc_data VALUES (15704, 0, 11, 1.0395843, 47, 86);
INSERT INTO public.ecdc_data VALUES (15705, 130, 11289, 319.95399797, 196, 86);
INSERT INTO public.ecdc_data VALUES (15706, 0, 14, 0.81130256, 137, 86);
INSERT INTO public.ecdc_data VALUES (15707, 0, 23, 0.3293374, 48, 86);
INSERT INTO public.ecdc_data VALUES (15708, 3, 19, 58.48325401, 98, 86);
INSERT INTO public.ecdc_data VALUES (15709, 1, 438, 36.67577859, 197, 86);
INSERT INTO public.ecdc_data VALUES (15710, 3, 284, 68.10207282, 198, 86);
INSERT INTO public.ecdc_data VALUES (15711, 3, 44, 3.44461308, 138, 86);
INSERT INTO public.ecdc_data VALUES (15712, 0, 0, 0.05888816, 139, 86);
INSERT INTO public.ecdc_data VALUES (15713, 0, 44, 6.13666547, 140, 86);
INSERT INTO public.ecdc_data VALUES (15714, 0, 3, 0.096229, 141, 86);
INSERT INTO public.ecdc_data VALUES (15715, 0, 0, 0, 142, 86);
INSERT INTO public.ecdc_data VALUES (15716, 0, 14, 2.10334631, 49, 86);
INSERT INTO public.ecdc_data VALUES (15717, 0, 81, 117.20690567, 99, 86);
INSERT INTO public.ecdc_data VALUES (15718, 0, 0, 49.96271395, 50, 86);
INSERT INTO public.ecdc_data VALUES (15719, 65, 1692, 28.08647522, 199, 86);
INSERT INTO public.ecdc_data VALUES (15720, 0, 4, 151.85631251, 100, 86);
INSERT INTO public.ecdc_data VALUES (15721, 1, 244, 6.35199059, 51, 86);
INSERT INTO public.ecdc_data VALUES (15722, 59, 2884, 86.84663827, 200, 86);
INSERT INTO public.ecdc_data VALUES (15723, 0, 852, 116.15546594, 143, 86);
INSERT INTO public.ecdc_data VALUES (15724, 37, 4926, 76.5089416, 201, 86);
INSERT INTO public.ecdc_data VALUES (15725, 0, 0, 0, 52, 86);
INSERT INTO public.ecdc_data VALUES (15726, 926, 38307, 172.75648987, 101, 86);
INSERT INTO public.ecdc_data VALUES (15727, 0, 9, 83.19069794, 102, 86);
INSERT INTO public.ecdc_data VALUES (15728, 0, 7, 6.41297663, 103, 86);
INSERT INTO public.ecdc_data VALUES (15729, 3, 560, 25.75366381, 144, 86);
INSERT INTO public.ecdc_data VALUES (15730, 9, 1010, 45.20296429, 104, 86);
INSERT INTO public.ecdc_data VALUES (15731, 0, 0, 0.01451347, 145, 86);
INSERT INTO public.ecdc_data VALUES (15732, 0, 0, 0, 53, 86);
INSERT INTO public.ecdc_data VALUES (15733, 0, 2, 0.13030691, 146, 86);
INSERT INTO public.ecdc_data VALUES (15734, 0, 214, 8.04544686, 54, 86);
INSERT INTO public.ecdc_data VALUES (15735, 0, 5, 2.20545967, 55, 86);
INSERT INTO public.ecdc_data VALUES (15736, 2, 105, 2.48411239, 105, 87);
INSERT INTO public.ecdc_data VALUES (15737, 5, 156, 69.87077749, 147, 87);
INSERT INTO public.ecdc_data VALUES (15738, 6, 401, 14.80731193, 1, 87);
INSERT INTO public.ecdc_data VALUES (15739, 0, 0, 116.83316487, 148, 87);
INSERT INTO public.ecdc_data VALUES (15740, 1, 24, 1.83816026, 2, 87);
INSERT INTO public.ecdc_data VALUES (15741, 0, 0, 0, 56, 87);
INSERT INTO public.ecdc_data VALUES (15742, 0, 0, 2.0594141, 57, 87);
INSERT INTO public.ecdc_data VALUES (15743, 228, 8159, 208.49618725, 58, 87);
INSERT INTO public.ecdc_data VALUES (15744, 8, 139, 82.19146588, 149, 87);
INSERT INTO public.ecdc_data VALUES (15745, 1, 70, 964.16141473, 59, 87);
INSERT INTO public.ecdc_data VALUES (15746, 13, 195, 15.4900965, 202, 87);
INSERT INTO public.ecdc_data VALUES (15747, 2, 216, 35.71599911, 150, 87);
INSERT INTO public.ecdc_data VALUES (15748, 3, 184, 16.16287239, 151, 87);
INSERT INTO public.ecdc_data VALUES (15749, 2, 62, 227.73604186, 60, 87);
INSERT INTO public.ecdc_data VALUES (15750, 4, 735, 329.58314952, 106, 87);
INSERT INTO public.ecdc_data VALUES (15751, 46, 2265, 23.00697975, 107, 87);
INSERT INTO public.ecdc_data VALUES (15752, 0, 1, 6.96813125, 61, 87);
INSERT INTO public.ecdc_data VALUES (15753, 5, 174, 16.36619829, 152, 87);
INSERT INTO public.ecdc_data VALUES (15754, 5, 203, 63.82949563, 153, 87);
INSERT INTO public.ecdc_data VALUES (15755, 1, 20, 131.93254276, 62, 87);
INSERT INTO public.ecdc_data VALUES (15756, 0, 20, 1.5168012, 3, 87);
INSERT INTO public.ecdc_data VALUES (15757, 0, 0, 15.99795226, 63, 87);
INSERT INTO public.ecdc_data VALUES (15758, 0, 2, 6.15913636, 108, 87);
INSERT INTO public.ecdc_data VALUES (15759, 76, 992, 168.26047402, 64, 87);
INSERT INTO public.ecdc_data VALUES (15760, 0, 0, 0, 65, 87);
INSERT INTO public.ecdc_data VALUES (15761, 0, 0, 100.06064833, 154, 87);
INSERT INTO public.ecdc_data VALUES (15762, 0, 0, 17.31994098, 4, 87);
INSERT INTO public.ecdc_data VALUES (15763, 892, 50032, 270.05510493, 66, 87);
INSERT INTO public.ecdc_data VALUES (15764, 0, 0, 39.95604835, 67, 87);
INSERT INTO public.ecdc_data VALUES (15765, 0, 0, 0.23078911, 109, 87);
INSERT INTO public.ecdc_data VALUES (15766, 6, 96, 26.91413576, 155, 87);
INSERT INTO public.ecdc_data VALUES (15767, 0, 7, 0.68892949, 5, 87);
INSERT INTO public.ecdc_data VALUES (15768, 0, 3, 0.18212445, 6, 87);
INSERT INTO public.ecdc_data VALUES (15769, 0, 0, 0.16376994, 110, 87);
INSERT INTO public.ecdc_data VALUES (15770, 0, 0, 4.03456634, 7, 87);
INSERT INTO public.ecdc_data VALUES (15771, 7, 257, 14.49572182, 68, 87);
INSERT INTO public.ecdc_data VALUES (15772, 0, 43, 112.74039161, 8, 87);
INSERT INTO public.ecdc_data VALUES (15773, 0, 0, 3.07938659, 69, 87);
INSERT INTO public.ecdc_data VALUES (15774, 0, 0, 0.80081278, 9, 87);
INSERT INTO public.ecdc_data VALUES (15775, 0, 1, 0.25083273, 10, 87);
INSERT INTO public.ecdc_data VALUES (15776, 69, 1939, 130.24986499, 70, 87);
INSERT INTO public.ecdc_data VALUES (15777, 0, 38, 0.06849011, 111, 87);
INSERT INTO public.ecdc_data VALUES (15778, 400, 10965, 310.35901609, 71, 87);
INSERT INTO public.ecdc_data VALUES (15779, 0, 0, 0.82266706, 11, 87);
INSERT INTO public.ecdc_data VALUES (15780, 0, 0, 3.45692522, 12, 87);
INSERT INTO public.ecdc_data VALUES (15781, 8, 950, 217.96665756, 72, 87);
INSERT INTO public.ecdc_data VALUES (15782, 1, 64, 2.93196359, 13, 87);
INSERT INTO public.ecdc_data VALUES (15783, 1, 306, 57.8228105, 156, 87);
INSERT INTO public.ecdc_data VALUES (15784, 0, 35, 6.43226743, 73, 87);
INSERT INTO public.ecdc_data VALUES (15785, 0, 0, 3.67145383, 74, 87);
INSERT INTO public.ecdc_data VALUES (15786, 0, 11, 21.00698825, 157, 87);
INSERT INTO public.ecdc_data VALUES (15787, 0, 239, 33.38090856, 158, 87);
INSERT INTO public.ecdc_data VALUES (15788, 3, 9, 0.41133502, 14, 87);
INSERT INTO public.ecdc_data VALUES (15789, 0, 0, 29.02129681, 159, 87);
INSERT INTO public.ecdc_data VALUES (15790, 0, 0, 4.51950939, 15, 87);
INSERT INTO public.ecdc_data VALUES (15791, 0, 0, 1.3926025, 75, 87);
INSERT INTO public.ecdc_data VALUES (15792, 21, 694, 109.7220149, 76, 87);
INSERT INTO public.ecdc_data VALUES (15793, 29, 608, 77.80169713, 77, 87);
INSERT INTO public.ecdc_data VALUES (15794, 12, 89, 1.91556615, 16, 87);
INSERT INTO public.ecdc_data VALUES (15795, 0, 0, 68.83033369, 78, 87);
INSERT INTO public.ecdc_data VALUES (15796, 0, 34, 7.74346562, 17, 87);
INSERT INTO public.ecdc_data VALUES (15797, 0, 0, 0.60049464, 18, 87);
INSERT INTO public.ecdc_data VALUES (15798, 0, 21, 8.90687037, 160, 87);
INSERT INTO public.ecdc_data VALUES (15799, 2, 61, 92.41089665, 19, 87);
INSERT INTO public.ecdc_data VALUES (15800, 25, 1368, 14.97161901, 20, 87);
INSERT INTO public.ecdc_data VALUES (15801, 0, 0, 0, 79, 87);
INSERT INTO public.ecdc_data VALUES (15802, 0, 0, 191.05532387, 161, 87);
INSERT INTO public.ecdc_data VALUES (15803, 0, 0, 0.11236523, 203, 87);
INSERT INTO public.ecdc_data VALUES (15804, 0, 35, 6.12549767, 162, 87);
INSERT INTO public.ecdc_data VALUES (15805, 9, 3602, 59.81088741, 163, 87);
INSERT INTO public.ecdc_data VALUES (15806, 0, 0, 62.30194962, 204, 87);
INSERT INTO public.ecdc_data VALUES (15807, 0, 0, 21.4031441, 21, 87);
INSERT INTO public.ecdc_data VALUES (15808, 0, 0, 57.37540124, 22, 87);
INSERT INTO public.ecdc_data VALUES (15809, 0, 9, 4.22842291, 164, 87);
INSERT INTO public.ecdc_data VALUES (15810, 2, 782, 20.44466502, 165, 87);
INSERT INTO public.ecdc_data VALUES (15811, 0, 180, 9.77057622, 23, 87);
INSERT INTO public.ecdc_data VALUES (15812, 0, 0, 94.9385866, 166, 87);
INSERT INTO public.ecdc_data VALUES (15813, 2, 243, 27.60009955, 167, 87);
INSERT INTO public.ecdc_data VALUES (15814, 0, 0, 0, 80, 87);
INSERT INTO public.ecdc_data VALUES (15815, 0, 0, 0, 81, 87);
INSERT INTO public.ecdc_data VALUES (15816, 0, 53, 243.88057025, 205, 87);
INSERT INTO public.ecdc_data VALUES (15817, 48, 915, 66.35961622, 82, 87);
INSERT INTO public.ecdc_data VALUES (15818, 0, 0, 0, 168, 87);
INSERT INTO public.ecdc_data VALUES (15819, 0, 0, 8.27640467, 24, 87);
INSERT INTO public.ecdc_data VALUES (15820, 0, 0, 5.04967159, 25, 87);
INSERT INTO public.ecdc_data VALUES (15821, 1, 44, 47.39548402, 83, 87);
INSERT INTO public.ecdc_data VALUES (15822, 0, 34, 3.89769085, 84, 87);
INSERT INTO public.ecdc_data VALUES (15823, 0, 0, 0, 169, 87);
INSERT INTO public.ecdc_data VALUES (15824, 11, 602, 71.89531418, 85, 87);
INSERT INTO public.ecdc_data VALUES (15825, 0, 35, 4.91161347, 170, 87);
INSERT INTO public.ecdc_data VALUES (15826, 0, 8, 28.85226798, 171, 87);
INSERT INTO public.ecdc_data VALUES (15827, 912, 69239, 65.27505926, 112, 87);
INSERT INTO public.ecdc_data VALUES (15828, 94, 2090, 10.34455107, 113, 87);
INSERT INTO public.ecdc_data VALUES (15829, 126, 2028, 38.7148629, 114, 87);
INSERT INTO public.ecdc_data VALUES (15830, 70, 3965, 136.50798278, 115, 87);
INSERT INTO public.ecdc_data VALUES (15831, 1, 153, 25.7736163, 172, 87);
INSERT INTO public.ecdc_data VALUES (15832, 0, 0, 0, 173, 87);
INSERT INTO public.ecdc_data VALUES (15833, 10, 1364, 230.23994841, 116, 87);
INSERT INTO public.ecdc_data VALUES (15834, 3, 1071, 13.30858254, 174, 87);
INSERT INTO public.ecdc_data VALUES (15835, 0, 67, 13.90642738, 86, 87);
INSERT INTO public.ecdc_data VALUES (15836, 7, 1014, 11.79565248, 117, 87);
INSERT INTO public.ecdc_data VALUES (15837, 0, 0, 16.69820773, 175, 87);
INSERT INTO public.ecdc_data VALUES (15838, 0, 44, 3.26677785, 118, 87);
INSERT INTO public.ecdc_data VALUES (15839, 8, 960, 82.91005954, 119, 87);
INSERT INTO public.ecdc_data VALUES (15840, 10, 355, 11.94697748, 26, 87);
INSERT INTO public.ecdc_data VALUES (15841, 9, 169, 126.66068392, 176, 87);
INSERT INTO public.ecdc_data VALUES (15842, 2, 688, 208.17303795, 120, 87);
INSERT INTO public.ecdc_data VALUES (15843, 1, 186, 46.29159873, 121, 87);
INSERT INTO public.ecdc_data VALUES (15844, 0, 0, 0.02789612, 122, 87);
INSERT INTO public.ecdc_data VALUES (15845, 0, 3, 2.34378906, 177, 87);
INSERT INTO public.ecdc_data VALUES (15846, 5, 611, 87.05153617, 123, 87);
INSERT INTO public.ecdc_data VALUES (15847, 0, 0, 12.84544483, 27, 87);
INSERT INTO public.ecdc_data VALUES (15848, 0, 1, 1.05319143, 28, 87);
INSERT INTO public.ecdc_data VALUES (15849, 7, 414, 74.39372874, 29, 87);
INSERT INTO public.ecdc_data VALUES (15850, 0, 1, 31.26791391, 178, 87);
INSERT INTO public.ecdc_data VALUES (15851, 1, 30, 12.99127044, 179, 87);
INSERT INTO public.ecdc_data VALUES (15852, 0, 0, 96.27069168, 180, 87);
INSERT INTO public.ecdc_data VALUES (15853, 0, 59, 5.02423014, 30, 87);
INSERT INTO public.ecdc_data VALUES (15854, 1, 40, 3.7468968, 31, 87);
INSERT INTO public.ecdc_data VALUES (15855, 0, 8, 0.58529338, 124, 87);
INSERT INTO public.ecdc_data VALUES (15856, 1, 96, 331.85361526, 125, 87);
INSERT INTO public.ecdc_data VALUES (15857, 0, 11, 0.68165553, 32, 87);
INSERT INTO public.ecdc_data VALUES (15858, 0, 35, 127.23909401, 181, 87);
INSERT INTO public.ecdc_data VALUES (15859, 0, 0, 8.55116713, 33, 87);
INSERT INTO public.ecdc_data VALUES (15860, 0, 0, 0.15752125, 34, 87);
INSERT INTO public.ecdc_data VALUES (15861, 644, 3028, 58.52219511, 87, 87);
INSERT INTO public.ecdc_data VALUES (15862, 6, 588, 139.21941167, 182, 87);
INSERT INTO public.ecdc_data VALUES (15863, 0, 2, 42.3152486, 183, 87);
INSERT INTO public.ecdc_data VALUES (15864, 0, 0, 0.15503078, 126, 87);
INSERT INTO public.ecdc_data VALUES (15865, 2, 34, 116.20394033, 184, 87);
INSERT INTO public.ecdc_data VALUES (15866, 0, 0, 0, 88, 87);
INSERT INTO public.ecdc_data VALUES (15867, 41, 1565, 51.5604317, 35, 87);
INSERT INTO public.ecdc_data VALUES (15868, 0, 109, 3.50062074, 36, 87);
INSERT INTO public.ecdc_data VALUES (15869, 0, 9, 0.15727512, 127, 87);
INSERT INTO public.ecdc_data VALUES (15870, 4, 311, 109.68024361, 37, 87);
INSERT INTO public.ecdc_data VALUES (15871, 9, 634, 29.79861207, 128, 87);
INSERT INTO public.ecdc_data VALUES (15872, 5, 508, 46.56245865, 185, 87);
INSERT INTO public.ecdc_data VALUES (15873, 0, 0, 0, 207, 87);
INSERT INTO public.ecdc_data VALUES (15874, 0, 3, 2.19524648, 208, 87);
INSERT INTO public.ecdc_data VALUES (15875, 0, 0, 6.24856485, 89, 87);
INSERT INTO public.ecdc_data VALUES (15876, 0, 0, 0.06434808, 38, 87);
INSERT INTO public.ecdc_data VALUES (15877, 1, 601, 2.86867866, 39, 87);
INSERT INTO public.ecdc_data VALUES (15878, 0, 0, 69.66336275, 186, 87);
INSERT INTO public.ecdc_data VALUES (15879, 0, 0, 10.48712705, 209, 87);
INSERT INTO public.ecdc_data VALUES (15880, 0, 0, 13.68188803, 187, 87);
INSERT INTO public.ecdc_data VALUES (15881, 0, 0, 48.48249002, 129, 87);
INSERT INTO public.ecdc_data VALUES (15882, 4, 591, 3.99140551, 130, 87);
INSERT INTO public.ecdc_data VALUES (15883, 3, 309, 127.13237305, 131, 87);
INSERT INTO public.ecdc_data VALUES (15884, 19, 1088, 278.56274903, 90, 87);
INSERT INTO public.ecdc_data VALUES (15885, 0, 0, 1.97125859, 210, 87);
INSERT INTO public.ecdc_data VALUES (15886, 10, 438, 88.98965582, 91, 87);
INSERT INTO public.ecdc_data VALUES (15887, 208, 9169, 351.34536076, 92, 87);
INSERT INTO public.ecdc_data VALUES (15888, 26, 4884, 55.83230301, 132, 87);
INSERT INTO public.ecdc_data VALUES (15889, 13, 900, 26.37149969, 188, 87);
INSERT INTO public.ecdc_data VALUES (15890, 2, 241, 28.36536576, 189, 87);
INSERT INTO public.ecdc_data VALUES (15891, 7, 728, 277.93648608, 93, 87);
INSERT INTO public.ecdc_data VALUES (15892, 0, 284, 145.30002955, 133, 87);
INSERT INTO public.ecdc_data VALUES (15893, 37, 1189, 87.15669528, 190, 87);
INSERT INTO public.ecdc_data VALUES (15894, 121, 4921, 47.6787019, 191, 87);
INSERT INTO public.ecdc_data VALUES (15895, 0, 109, 5.97928017, 40, 87);
INSERT INTO public.ecdc_data VALUES (15896, 0, 0, 0, 94, 87);
INSERT INTO public.ecdc_data VALUES (15897, 0, 0, 0.54706092, 95, 87);
INSERT INTO public.ecdc_data VALUES (15898, 0, 0, 1.80843272, 96, 87);
INSERT INTO public.ecdc_data VALUES (15899, 0, 0, 0, 192, 87);
INSERT INTO public.ecdc_data VALUES (15900, 0, 4, 6.51017447, 41, 87);
INSERT INTO public.ecdc_data VALUES (15901, 39, 1184, 55.75961548, 134, 87);
INSERT INTO public.ecdc_data VALUES (15902, 4, 161, 11.14972777, 42, 87);
INSERT INTO public.ecdc_data VALUES (15903, 3, 170, 38.55673455, 193, 87);
INSERT INTO public.ecdc_data VALUES (15904, 0, 0, 6.13867261, 43, 87);
INSERT INTO public.ecdc_data VALUES (15905, 0, 8, 1.08790155, 44, 87);
INSERT INTO public.ecdc_data VALUES (15906, 0, 50, 23.03447608, 135, 87);
INSERT INTO public.ecdc_data VALUES (15907, 0, 15, 422.27936493, 97, 87);
INSERT INTO public.ecdc_data VALUES (15908, 0, 91, 13.76040493, 194, 87);
INSERT INTO public.ecdc_data VALUES (15909, 0, 43, 17.78069958, 195, 87);
INSERT INTO public.ecdc_data VALUES (15910, 0, 4, 0.27196954, 45, 87);
INSERT INTO public.ecdc_data VALUES (15911, 144, 3707, 91.97164254, 46, 87);
INSERT INTO public.ecdc_data VALUES (15912, 0, 397, 5.46799892, 136, 87);
INSERT INTO public.ecdc_data VALUES (15913, 0, 0, 0.30735536, 47, 87);
INSERT INTO public.ecdc_data VALUES (15914, 0, 0, 152.74071278, 196, 87);
INSERT INTO public.ecdc_data VALUES (15915, 1, 6, 0.49709868, 137, 87);
INSERT INTO public.ecdc_data VALUES (15916, 0, 0, 1.70274441, 48, 87);
INSERT INTO public.ecdc_data VALUES (15917, 1, 109, 217.24808768, 98, 87);
INSERT INTO public.ecdc_data VALUES (15918, 1, 160, 37.682603, 197, 87);
INSERT INTO public.ecdc_data VALUES (15919, 1, 294, 37.0295512, 198, 87);
INSERT INTO public.ecdc_data VALUES (15920, 2, 70, 5.96363285, 138, 87);
INSERT INTO public.ecdc_data VALUES (15921, 0, 0, 0.02944408, 139, 87);
INSERT INTO public.ecdc_data VALUES (15922, 0, 36, 6.12593704, 140, 87);
INSERT INTO public.ecdc_data VALUES (15923, 0, 5, 0.06319516, 141, 87);
INSERT INTO public.ecdc_data VALUES (15924, 0, 0, 0.07733234, 142, 87);
INSERT INTO public.ecdc_data VALUES (15925, 0, 36, 2.83333121, 49, 87);
INSERT INTO public.ecdc_data VALUES (15926, 1, 66, 46.95444845, 99, 87);
INSERT INTO public.ecdc_data VALUES (15927, 4, 131, 9.06391867, 50, 87);
INSERT INTO public.ecdc_data VALUES (15928, 22, 1309, 21.23070222, 199, 87);
INSERT INTO public.ecdc_data VALUES (15929, 0, 36, 486.98748495, 100, 87);
INSERT INTO public.ecdc_data VALUES (15930, 0, 0, 1.31241342, 51, 87);
INSERT INTO public.ecdc_data VALUES (15931, 37, 2328, 52.78262589, 200, 87);
INSERT INTO public.ecdc_data VALUES (15932, 2, 424, 44.18390576, 143, 87);
INSERT INTO public.ecdc_data VALUES (15933, 18, 1288, 22.26353034, 201, 87);
INSERT INTO public.ecdc_data VALUES (15934, 0, 0, 0, 52, 87);
INSERT INTO public.ecdc_data VALUES (15935, 956, 44378, 203.63398387, 101, 87);
INSERT INTO public.ecdc_data VALUES (15936, 0, 0, 368.14274376, 102, 87);
INSERT INTO public.ecdc_data VALUES (15937, 0, 5, 5.37303447, 103, 87);
INSERT INTO public.ecdc_data VALUES (15938, 7, 467, 25.77488769, 144, 87);
INSERT INTO public.ecdc_data VALUES (15939, 6, 769, 51.86943715, 104, 87);
INSERT INTO public.ecdc_data VALUES (15940, 1, 5, 0.20940865, 145, 87);
INSERT INTO public.ecdc_data VALUES (15941, 0, 0, 0, 53, 87);
INSERT INTO public.ecdc_data VALUES (15942, 4, 1, 0.36691683, 146, 87);
INSERT INTO public.ecdc_data VALUES (15943, 0, 0, 15.25107673, 54, 87);
INSERT INTO public.ecdc_data VALUES (15944, 1, 78, 8.99936793, 55, 87);
INSERT INTO public.ecdc_data VALUES (15945, 21, 188, 5.9460976, 105, 88);
INSERT INTO public.ecdc_data VALUES (15946, 3, 68, 43.73910671, 147, 88);
INSERT INTO public.ecdc_data VALUES (15947, 11, 594, 17.47611215, 1, 88);
INSERT INTO public.ecdc_data VALUES (15948, 0, 5, 44.63289444, 148, 88);
INSERT INTO public.ecdc_data VALUES (15949, 1, 30, 1.23486664, 2, 88);
INSERT INTO public.ecdc_data VALUES (15950, 0, 0, 0, 56, 88);
INSERT INTO public.ecdc_data VALUES (15951, 0, 0, 3.08912115, 57, 88);
INSERT INTO public.ecdc_data VALUES (15952, 133, 5344, 117.66682838, 58, 88);
INSERT INTO public.ecdc_data VALUES (15953, 10, 469, 196.63741899, 149, 88);
INSERT INTO public.ecdc_data VALUES (15954, 0, 0, 11.28774339, 59, 88);
INSERT INTO public.ecdc_data VALUES (15955, 2, 468, 15.91067801, 202, 88);
INSERT INTO public.ecdc_data VALUES (15956, 1, 140, 16.27764561, 150, 88);
INSERT INTO public.ecdc_data VALUES (15957, 9, 391, 66.85099374, 151, 88);
INSERT INTO public.ecdc_data VALUES (15958, 0, 25, 29.01259609, 60, 88);
INSERT INTO public.ecdc_data VALUES (15959, 1, 321, 408.61242387, 106, 88);
INSERT INTO public.ecdc_data VALUES (15960, 42, 2744, 25.21984984, 107, 88);
INSERT INTO public.ecdc_data VALUES (15961, 0, 0, 2.7872525, 61, 88);
INSERT INTO public.ecdc_data VALUES (15962, 6, 173, 24.30068356, 152, 88);
INSERT INTO public.ecdc_data VALUES (15963, 2, 553, 21.52674183, 153, 88);
INSERT INTO public.ecdc_data VALUES (15964, 0, 0, 3.33033603, 62, 88);
INSERT INTO public.ecdc_data VALUES (15965, 0, 0, 2.68617866, 3, 88);
INSERT INTO public.ecdc_data VALUES (15966, 0, 0, 6.3991809, 63, 88);
INSERT INTO public.ecdc_data VALUES (15967, 0, 0, 1.57254545, 108, 88);
INSERT INTO public.ecdc_data VALUES (15968, 55, 1778, 183.71243475, 64, 88);
INSERT INTO public.ecdc_data VALUES (15969, 0, 0, 11.54601085, 65, 88);
INSERT INTO public.ecdc_data VALUES (15970, 6, 330, 98.39448555, 154, 88);
INSERT INTO public.ecdc_data VALUES (15971, 0, 0, 9.02894166, 4, 88);
INSERT INTO public.ecdc_data VALUES (15972, 1284, 67860, 243.71247205, 66, 88);
INSERT INTO public.ecdc_data VALUES (15973, 0, 0, 0, 67, 88);
INSERT INTO public.ecdc_data VALUES (15974, 0, 0, 0, 109, 88);
INSERT INTO public.ecdc_data VALUES (15975, 8, 330, 46.31402768, 155, 88);
INSERT INTO public.ecdc_data VALUES (15976, 0, 1, 0.30017642, 5, 88);
INSERT INTO public.ecdc_data VALUES (15977, 0, 0, 1.18814522, 6, 88);
INSERT INTO public.ecdc_data VALUES (15978, 0, 1, 0.34573654, 110, 88);
INSERT INTO public.ecdc_data VALUES (15979, 9, 365, 6.2064306, 7, 88);
INSERT INTO public.ecdc_data VALUES (15980, 8, 543, 15.51681084, 68, 88);
INSERT INTO public.ecdc_data VALUES (15981, 0, 47, 111.28567688, 8, 88);
INSERT INTO public.ecdc_data VALUES (15982, 0, 0, 3.07938659, 69, 88);
INSERT INTO public.ecdc_data VALUES (15983, 2, 13, 9.79941958, 9, 88);
INSERT INTO public.ecdc_data VALUES (15984, 0, 0, 0.10033309, 10, 88);
INSERT INTO public.ecdc_data VALUES (15985, 45, 1719, 175.80697798, 70, 88);
INSERT INTO public.ecdc_data VALUES (15986, 0, 135, 0.06667672, 111, 88);
INSERT INTO public.ecdc_data VALUES (15987, 207, 7390, 178.36907731, 71, 88);
INSERT INTO public.ecdc_data VALUES (15988, 0, 0, 2.82057279, 11, 88);
INSERT INTO public.ecdc_data VALUES (15989, 0, 0, 19.14318807, 12, 88);
INSERT INTO public.ecdc_data VALUES (15990, 3, 550, 129.27035453, 72, 88);
INSERT INTO public.ecdc_data VALUES (15991, 0, 0, 11.77062837, 13, 88);
INSERT INTO public.ecdc_data VALUES (15992, 3, 108, 29.56151322, 156, 88);
INSERT INTO public.ecdc_data VALUES (15993, 0, 13, 0.55587496, 73, 88);
INSERT INTO public.ecdc_data VALUES (15994, 0, 0, 1.83572692, 74, 88);
INSERT INTO public.ecdc_data VALUES (15995, 0, 0, 3.65338926, 157, 88);
INSERT INTO public.ecdc_data VALUES (15996, 4, 246, 16.48857256, 158, 88);
INSERT INTO public.ecdc_data VALUES (15997, 2, 92, 1.02315265, 14, 88);
INSERT INTO public.ecdc_data VALUES (15998, 0, 48, 7.7504947, 159, 88);
INSERT INTO public.ecdc_data VALUES (15999, 2, 3, 14.48297326, 15, 88);
INSERT INTO public.ecdc_data VALUES (16000, 0, 0, 0, 75, 88);
INSERT INTO public.ecdc_data VALUES (16001, 6, 1246, 153.22717094, 76, 88);
INSERT INTO public.ecdc_data VALUES (16002, 52, 1040, 75.03313781, 77, 88);
INSERT INTO public.ecdc_data VALUES (16003, 41, 667, 11.39677186, 16, 88);
INSERT INTO public.ecdc_data VALUES (16004, 0, 393, 68.31898722, 78, 88);
INSERT INTO public.ecdc_data VALUES (16005, 0, 0, 0, 17, 88);
INSERT INTO public.ecdc_data VALUES (16006, 0, 0, 1.02941938, 18, 88);
INSERT INTO public.ecdc_data VALUES (16007, 0, 3, 1.66060295, 160, 88);
INSERT INTO public.ecdc_data VALUES (16008, 1, 44, 69.67833866, 19, 88);
INSERT INTO public.ecdc_data VALUES (16009, 7, 561, 3.83480444, 20, 88);
INSERT INTO public.ecdc_data VALUES (16010, 0, 0, 0, 79, 88);
INSERT INTO public.ecdc_data VALUES (16011, 0, 0, 6.16307496, 161, 88);
INSERT INTO public.ecdc_data VALUES (16012, 0, 0, 0.67419139, 203, 88);
INSERT INTO public.ecdc_data VALUES (16013, 0, 11, 1.43169916, 162, 88);
INSERT INTO public.ecdc_data VALUES (16014, 7, 998, 13.2258151, 163, 88);
INSERT INTO public.ecdc_data VALUES (16015, 0, 0, 0, 204, 88);
INSERT INTO public.ecdc_data VALUES (16016, 1, 155, 33.00226735, 21, 88);
INSERT INTO public.ecdc_data VALUES (16017, 1, 34, 3.53538107, 22, 88);
INSERT INTO public.ecdc_data VALUES (16018, 0, 24, 2.62712666, 164, 88);
INSERT INTO public.ecdc_data VALUES (16019, 6, 569, 6.7273584, 165, 88);
INSERT INTO public.ecdc_data VALUES (16020, 0, 683, 22.51966591, 23, 88);
INSERT INTO public.ecdc_data VALUES (16021, 0, 2, 8.90049249, 166, 88);
INSERT INTO public.ecdc_data VALUES (16022, 3, 29, 4.24258287, 167, 88);
INSERT INTO public.ecdc_data VALUES (16023, 0, 0, 0, 80, 88);
INSERT INTO public.ecdc_data VALUES (16024, 0, 0, 0, 81, 88);
INSERT INTO public.ecdc_data VALUES (16025, 0, 2, 13.7481694, 205, 88);
INSERT INTO public.ecdc_data VALUES (16026, 42, 906, 89.43503947, 82, 88);
INSERT INTO public.ecdc_data VALUES (16027, 0, 0, 0, 168, 88);
INSERT INTO public.ecdc_data VALUES (16028, 0, 95, 8.22159404, 24, 88);
INSERT INTO public.ecdc_data VALUES (16029, 0, 0, 8.53758908, 25, 88);
INSERT INTO public.ecdc_data VALUES (16030, 0, 11, 8.303791, 83, 88);
INSERT INTO public.ecdc_data VALUES (16031, 0, 21, 6.04630403, 84, 88);
INSERT INTO public.ecdc_data VALUES (16032, 0, 0, 0, 169, 88);
INSERT INTO public.ecdc_data VALUES (16033, 18, 757, 103.87728854, 85, 88);
INSERT INTO public.ecdc_data VALUES (16034, 0, 14, 1.73952977, 170, 88);
INSERT INTO public.ecdc_data VALUES (16035, 0, 1, 1.96083375, 171, 88);
INSERT INTO public.ecdc_data VALUES (16036, 1129, 45720, 34.49450199, 112, 88);
INSERT INTO public.ecdc_data VALUES (16037, 139, 1882, 8.74714103, 113, 88);
INSERT INTO public.ecdc_data VALUES (16038, 219, 2586, 39.84133274, 114, 88);
INSERT INTO public.ecdc_data VALUES (16039, 92, 2706, 82.48072764, 115, 88);
INSERT INTO public.ecdc_data VALUES (16040, 1, 17, 5.64817383, 172, 88);
INSERT INTO public.ecdc_data VALUES (16041, 0, 0, 0, 173, 88);
INSERT INTO public.ecdc_data VALUES (16042, 5, 2043, 264.43260555, 116, 88);
INSERT INTO public.ecdc_data VALUES (16043, 9, 280, 4.77637787, 174, 88);
INSERT INTO public.ecdc_data VALUES (16044, 0, 7, 2.20467751, 86, 88);
INSERT INTO public.ecdc_data VALUES (16045, 1, 726, 5.24829285, 117, 88);
INSERT INTO public.ecdc_data VALUES (16046, 0, 0, 5.56606924, 175, 88);
INSERT INTO public.ecdc_data VALUES (16047, 0, 7, -0.48506701, 118, 88);
INSERT INTO public.ecdc_data VALUES (16048, 0, 1646, 128.17342147, 119, 88);
INSERT INTO public.ecdc_data VALUES (16049, 10, 637, 11.93936916, 26, 88);
INSERT INTO public.ecdc_data VALUES (16050, 11, 409, 133.44409193, 176, 88);
INSERT INTO public.ecdc_data VALUES (16051, 5, 751, 218.1562163, 120, 88);
INSERT INTO public.ecdc_data VALUES (16052, 46, 967, 334.78021856, 121, 88);
INSERT INTO public.ecdc_data VALUES (16053, 0, 0, 0, 122, 88);
INSERT INTO public.ecdc_data VALUES (16054, 0, 4, 2.91671528, 177, 88);
INSERT INTO public.ecdc_data VALUES (16055, 2, 124, 16.89103199, 123, 88);
INSERT INTO public.ecdc_data VALUES (16056, 0, 0, 12.61018027, 27, 88);
INSERT INTO public.ecdc_data VALUES (16057, 0, 6, 3.80769211, 28, 88);
INSERT INTO public.ecdc_data VALUES (16058, 3, 88, 14.66627655, 29, 88);
INSERT INTO public.ecdc_data VALUES (16059, 0, 0, 5.21131898, 178, 88);
INSERT INTO public.ecdc_data VALUES (16060, 0, 11, 3.79359412, 179, 88);
INSERT INTO public.ecdc_data VALUES (16061, 0, 129, 196.12506394, 180, 88);
INSERT INTO public.ecdc_data VALUES (16062, 4, 614, 17.01563993, 30, 88);
INSERT INTO public.ecdc_data VALUES (16063, 5, 153, 7.37032852, 31, 88);
INSERT INTO public.ecdc_data VALUES (16064, 0, 16, 0.48200631, 124, 88);
INSERT INTO public.ecdc_data VALUES (16065, 0, 59, 110.36675286, 125, 88);
INSERT INTO public.ecdc_data VALUES (16066, 1, 17, 0.69182949, 32, 88);
INSERT INTO public.ecdc_data VALUES (16067, 0, 1, 1.01305011, 181, 88);
INSERT INTO public.ecdc_data VALUES (16068, 0, 0, 19.86433916, 33, 88);
INSERT INTO public.ecdc_data VALUES (16069, 0, 0, 0.07876062, 34, 88);
INSERT INTO public.ecdc_data VALUES (16070, 790, 8276, 75.96597934, 87, 88);
INSERT INTO public.ecdc_data VALUES (16071, 5, 356, 82.28512749, 182, 88);
INSERT INTO public.ecdc_data VALUES (16072, 0, 1, 12.09007103, 183, 88);
INSERT INTO public.ecdc_data VALUES (16073, 0, 0, 1.86036936, 126, 88);
INSERT INTO public.ecdc_data VALUES (16074, 0, 17, 157.02800788, 184, 88);
INSERT INTO public.ecdc_data VALUES (16075, 0, 0, 20.03606492, 88, 88);
INSERT INTO public.ecdc_data VALUES (16076, 5, 220, 8.74923359, 35, 88);
INSERT INTO public.ecdc_data VALUES (16077, 0, 21, 1.60047195, 36, 88);
INSERT INTO public.ecdc_data VALUES (16078, 0, 2, 0.04625739, 127, 88);
INSERT INTO public.ecdc_data VALUES (16079, 0, 36, 32.43103694, 37, 88);
INSERT INTO public.ecdc_data VALUES (16080, 2, 150, 5.84087751, 128, 88);
INSERT INTO public.ecdc_data VALUES (16081, 3, 168, 8.65053755, 185, 88);
INSERT INTO public.ecdc_data VALUES (16082, 0, 0, 0.35366056, 207, 88);
INSERT INTO public.ecdc_data VALUES (16083, 0, 0, 0.31360664, 208, 88);
INSERT INTO public.ecdc_data VALUES (16084, 0, 0, 9.05965516, 89, 88);
INSERT INTO public.ecdc_data VALUES (16085, 0, 9, 0.1072468, 38, 88);
INSERT INTO public.ecdc_data VALUES (16086, 8, 543, 4.02809259, 39, 88);
INSERT INTO public.ecdc_data VALUES (16087, 10, 135, 103.31553315, 186, 88);
INSERT INTO public.ecdc_data VALUES (16088, 0, 0, 12.23498156, 209, 88);
INSERT INTO public.ecdc_data VALUES (16089, 0, 15, 1.98941033, 187, 88);
INSERT INTO public.ecdc_data VALUES (16090, 12, 1660, 428.94541338, 129, 88);
INSERT INTO public.ecdc_data VALUES (16091, 32, 1763, 13.08750653, 130, 88);
INSERT INTO public.ecdc_data VALUES (16092, 0, 357, 114.68612778, 131, 88);
INSERT INTO public.ecdc_data VALUES (16093, 21, 753, 345.11261198, 90, 88);
INSERT INTO public.ecdc_data VALUES (16094, 0, 3, 0.21649661, 210, 88);
INSERT INTO public.ecdc_data VALUES (16095, 1, 183, 20.52624698, 91, 88);
INSERT INTO public.ecdc_data VALUES (16096, 188, 4463, 164.98996538, 92, 88);
INSERT INTO public.ecdc_data VALUES (16097, 6, 1505, 20.26515405, 132, 88);
INSERT INTO public.ecdc_data VALUES (16098, 6, 380, 11.77948054, 188, 88);
INSERT INTO public.ecdc_data VALUES (16099, 5, 252, 41.7549861, 189, 88);
INSERT INTO public.ecdc_data VALUES (16100, 5, 98, 140.92842309, 93, 88);
INSERT INTO public.ecdc_data VALUES (16101, 3, 441, 223.08762739, 133, 88);
INSERT INTO public.ecdc_data VALUES (16102, 27, 1030, 51.44619541, 190, 88);
INSERT INTO public.ecdc_data VALUES (16103, 165, 5862, 60.59959584, 191, 88);
INSERT INTO public.ecdc_data VALUES (16104, 0, 34, 3.92019031, 40, 88);
INSERT INTO public.ecdc_data VALUES (16105, 0, 0, 1.8927206, 94, 88);
INSERT INTO public.ecdc_data VALUES (16106, 0, 0, 0.54706092, 95, 88);
INSERT INTO public.ecdc_data VALUES (16107, 0, 0, 18.98854358, 96, 88);
INSERT INTO public.ecdc_data VALUES (16108, 0, 0, 0, 192, 88);
INSERT INTO public.ecdc_data VALUES (16109, 0, 1, 10.69528663, 41, 88);
INSERT INTO public.ecdc_data VALUES (16110, 44, 2331, 110.92393257, 134, 88);
INSERT INTO public.ecdc_data VALUES (16111, 3, 136, 8.98360014, 42, 88);
INSERT INTO public.ecdc_data VALUES (16112, 8, 426, 71.1540483, 193, 88);
INSERT INTO public.ecdc_data VALUES (16113, 0, 0, 23.53157836, 43, 88);
INSERT INTO public.ecdc_data VALUES (16114, 0, 4, 1.88142974, 44, 88);
INSERT INTO public.ecdc_data VALUES (16115, 0, 310, 59.36933775, 135, 88);
INSERT INTO public.ecdc_data VALUES (16116, 0, 2, 7.07730779, 97, 88);
INSERT INTO public.ecdc_data VALUES (16117, 0, 37, 4.77027371, 194, 88);
INSERT INTO public.ecdc_data VALUES (16118, 4, 38, 12.11009809, 195, 88);
INSERT INTO public.ecdc_data VALUES (16119, 0, 26, 0.86123687, 45, 88);
INSERT INTO public.ecdc_data VALUES (16120, 572, 13150, 290.79241706, 46, 88);
INSERT INTO public.ecdc_data VALUES (16121, 0, 59, 1.25914291, 136, 88);
INSERT INTO public.ecdc_data VALUES (16122, 0, 0, 0.94918566, 47, 88);
INSERT INTO public.ecdc_data VALUES (16123, 3, 2615, 36.45307141, 196, 88);
INSERT INTO public.ecdc_data VALUES (16124, 0, 22, 3.0857635, 137, 88);
INSERT INTO public.ecdc_data VALUES (16125, 0, 0, 2.43616244, 48, 88);
INSERT INTO public.ecdc_data VALUES (16126, 0, 45, 87.89689058, 98, 88);
INSERT INTO public.ecdc_data VALUES (16127, 6, 297, 35.47345429, 197, 88);
INSERT INTO public.ecdc_data VALUES (16128, 2, 141, 16.1857994, 198, 88);
INSERT INTO public.ecdc_data VALUES (16129, 1, 21, 1.10719706, 138, 88);
INSERT INTO public.ecdc_data VALUES (16130, 0, 0, 0.02523778, 139, 88);
INSERT INTO public.ecdc_data VALUES (16131, 1, 48, 6.98421193, 140, 88);
INSERT INTO public.ecdc_data VALUES (16132, 0, 8, 0.096229, 141, 88);
INSERT INTO public.ecdc_data VALUES (16133, 0, 0, 0, 142, 88);
INSERT INTO public.ecdc_data VALUES (16134, 1, 16, 1.37336142, 49, 88);
INSERT INTO public.ecdc_data VALUES (16135, 0, 2, 0.57348945, 99, 88);
INSERT INTO public.ecdc_data VALUES (16136, 0, 5, 1.47929993, 50, 88);
INSERT INTO public.ecdc_data VALUES (16137, 19, 902, 16.41873491, 199, 88);
INSERT INTO public.ecdc_data VALUES (16138, 0, 4, 81.16458082, 100, 88);
INSERT INTO public.ecdc_data VALUES (16139, 0, 3, 0.22137094, 51, 88);
INSERT INTO public.ecdc_data VALUES (16140, 16, 829, 24.05120212, 200, 88);
INSERT INTO public.ecdc_data VALUES (16141, 1, 236, 47.99127498, 143, 88);
INSERT INTO public.ecdc_data VALUES (16142, 17, 751, 13.02682103, 201, 88);
INSERT INTO public.ecdc_data VALUES (16143, 0, 0, 0, 52, 88);
INSERT INTO public.ecdc_data VALUES (16144, 1124, 68848, 278.33474572, 101, 88);
INSERT INTO public.ecdc_data VALUES (16145, 0, 16, 183.59326442, 102, 88);
INSERT INTO public.ecdc_data VALUES (16146, 1, 21, 4.13088134, 103, 88);
INSERT INTO public.ecdc_data VALUES (16147, 3, 360, 22.04858055, 144, 88);
INSERT INTO public.ecdc_data VALUES (16148, 0, 0, 16.70651062, 104, 88);
INSERT INTO public.ecdc_data VALUES (16149, 0, 7, 0.04043038, 145, 88);
INSERT INTO public.ecdc_data VALUES (16150, 0, 0, 42.40649111, 53, 88);
INSERT INTO public.ecdc_data VALUES (16151, 2, 11, 1.10417962, 146, 88);
INSERT INTO public.ecdc_data VALUES (16152, 8, 257, 9.45074065, 54, 88);
INSERT INTO public.ecdc_data VALUES (16153, 0, 214, 7.84542773, 55, 88);
INSERT INTO public.ecdc_data VALUES (16154, 17, 310, 21.62360692, 105, 89);
INSERT INTO public.ecdc_data VALUES (16155, 0, 68, 25.57270456, 147, 89);
INSERT INTO public.ecdc_data VALUES (16156, 7, 149, 3.84409431, 1, 89);
INSERT INTO public.ecdc_data VALUES (16157, 0, 0, 3.93819657, 148, 89);
INSERT INTO public.ecdc_data VALUES (16158, 0, 7, 0.28593604, 2, 89);
INSERT INTO public.ecdc_data VALUES (16159, 0, 0, 0, 56, 89);
INSERT INTO public.ecdc_data VALUES (16160, 0, 0, 0, 57, 89);
INSERT INTO public.ecdc_data VALUES (16161, 32, 2146, 47.58972481, 58, 89);
INSERT INTO public.ecdc_data VALUES (16162, 12, 418, 247.85916758, 149, 89);
INSERT INTO public.ecdc_data VALUES (16163, 0, 0, 0, 59, 89);
INSERT INTO public.ecdc_data VALUES (16164, 0, 13, 0.82925978, 202, 89);
INSERT INTO public.ecdc_data VALUES (16165, 0, 35, 4.8652325, 150, 89);
INSERT INTO public.ecdc_data VALUES (16166, 7, 478, 53.05681817, 151, 89);
INSERT INTO public.ecdc_data VALUES (16167, 0, 0, 0.25674864, 60, 89);
INSERT INTO public.ecdc_data VALUES (16168, 2, 643, 425.91721485, 106, 89);
INSERT INTO public.ecdc_data VALUES (16169, 38, 3480, 28.99914738, 107, 89);
INSERT INTO public.ecdc_data VALUES (16170, 0, 0, 1.74203281, 61, 89);
INSERT INTO public.ecdc_data VALUES (16171, 5, 518, 101.24403208, 152, 89);
INSERT INTO public.ecdc_data VALUES (16172, 12, 143, 11.69741851, 153, 89);
INSERT INTO public.ecdc_data VALUES (16173, 0, 1, 1.02471878, 62, 89);
INSERT INTO public.ecdc_data VALUES (16174, 0, 42, 4.25382236, 3, 89);
INSERT INTO public.ecdc_data VALUES (16175, 0, 0, 7.99897613, 63, 89);
INSERT INTO public.ecdc_data VALUES (16176, 0, 1, 1.31045454, 108, 89);
INSERT INTO public.ecdc_data VALUES (16177, 47, 1105, 100.2683725, 64, 89);
INSERT INTO public.ecdc_data VALUES (16178, 0, 0, 0, 65, 89);
INSERT INTO public.ecdc_data VALUES (16179, 1, 93, 24.8712662, 154, 89);
INSERT INTO public.ecdc_data VALUES (16180, 0, 0, 2.04019355, 4, 89);
INSERT INTO public.ecdc_data VALUES (16181, 654, 21432, 189.08263894, 66, 89);
INSERT INTO public.ecdc_data VALUES (16182, 0, 0, 0, 67, 89);
INSERT INTO public.ecdc_data VALUES (16183, 0, 0, 0, 109, 89);
INSERT INTO public.ecdc_data VALUES (16184, 8, 79, 16.77133513, 155, 89);
INSERT INTO public.ecdc_data VALUES (16185, 0, 4, 0.08365572, 5, 89);
INSERT INTO public.ecdc_data VALUES (16186, 0, 0, 0.52902817, 6, 89);
INSERT INTO public.ecdc_data VALUES (16187, 0, 1, 0.02426221, 110, 89);
INSERT INTO public.ecdc_data VALUES (16188, 2, 282, 13.83500718, 7, 89);
INSERT INTO public.ecdc_data VALUES (16189, 6, 311, 14.44493467, 68, 89);
INSERT INTO public.ecdc_data VALUES (16190, 0, 54, 68.55343167, 8, 89);
INSERT INTO public.ecdc_data VALUES (16191, 0, 0, 36.95263903, 69, 89);
INSERT INTO public.ecdc_data VALUES (16192, 7, 155, 23.45538493, 9, 89);
INSERT INTO public.ecdc_data VALUES (16193, 0, 0, 0.11914555, 10, 89);
INSERT INTO public.ecdc_data VALUES (16194, 23, 4608, 570.47699627, 70, 89);
INSERT INTO public.ecdc_data VALUES (16195, 0, 52, 0.02999058, 111, 89);
INSERT INTO public.ecdc_data VALUES (16196, 73, 2531, 60.51715749, 71, 89);
INSERT INTO public.ecdc_data VALUES (16197, 0, 0, 12.45752981, 11, 89);
INSERT INTO public.ecdc_data VALUES (16198, 9, 74, 7.50859027, 12, 89);
INSERT INTO public.ecdc_data VALUES (16199, 0, 64, 18.52379793, 72, 89);
INSERT INTO public.ecdc_data VALUES (16200, 3, 0, 14.04153916, 13, 89);
INSERT INTO public.ecdc_data VALUES (16201, 0, 19, 2.18338147, 156, 89);
INSERT INTO public.ecdc_data VALUES (16202, 0, 3, 1.01469239, 73, 89);
INSERT INTO public.ecdc_data VALUES (16203, 0, 0, 1.22381794, 74, 89);
INSERT INTO public.ecdc_data VALUES (16204, 0, 2, 2.05503146, 157, 89);
INSERT INTO public.ecdc_data VALUES (16205, 0, 63, 8.11282841, 158, 89);
INSERT INTO public.ecdc_data VALUES (16206, 5, 99, 2.09700206, 14, 89);
INSERT INTO public.ecdc_data VALUES (16207, 2, 136, 9.73117667, 159, 89);
INSERT INTO public.ecdc_data VALUES (16208, 3, 17, 32.9718753, 15, 89);
INSERT INTO public.ecdc_data VALUES (16209, 0, 0, 0, 75, 89);
INSERT INTO public.ecdc_data VALUES (16210, 7, 693, 67.4553404, 76, 89);
INSERT INTO public.ecdc_data VALUES (16211, 0, 0, 41.7989143, 77, 89);
INSERT INTO public.ecdc_data VALUES (16212, 85, 1576, 21.28240808, 16, 89);
INSERT INTO public.ecdc_data VALUES (16213, 0, 182, 26.40407218, 78, 89);
INSERT INTO public.ecdc_data VALUES (16214, 0, 337, 51.25436768, 17, 89);
INSERT INTO public.ecdc_data VALUES (16215, 0, 0, 2.91668823, 18, 89);
INSERT INTO public.ecdc_data VALUES (16216, 0, 0, 3.09476004, 160, 89);
INSERT INTO public.ecdc_data VALUES (16217, 1, 8, 26.39067077, 19, 89);
INSERT INTO public.ecdc_data VALUES (16218, 1, 131, 2.23682055, 20, 89);
INSERT INTO public.ecdc_data VALUES (16219, 0, 0, 0, 79, 89);
INSERT INTO public.ecdc_data VALUES (16220, 0, 0, 0, 161, 89);
INSERT INTO public.ecdc_data VALUES (16221, 0, 0, 0, 203, 89);
INSERT INTO public.ecdc_data VALUES (16222, 1, 1, 2.59155671, 162, 89);
INSERT INTO public.ecdc_data VALUES (16223, 23, 373, 9.79214698, 163, 89);
INSERT INTO public.ecdc_data VALUES (16224, 0, 0, 0, 204, 89);
INSERT INTO public.ecdc_data VALUES (16225, 5, 311, 68.67417418, 21, 89);
INSERT INTO public.ecdc_data VALUES (16226, 0, 4, 0.55373438, 22, 89);
INSERT INTO public.ecdc_data VALUES (16227, 0, 3, 2.47700514, 164, 89);
INSERT INTO public.ecdc_data VALUES (16228, 10, 503, 7.61149109, 165, 89);
INSERT INTO public.ecdc_data VALUES (16229, 0, 0, 13.95233024, 23, 89);
INSERT INTO public.ecdc_data VALUES (16230, 0, 0, 0, 166, 89);
INSERT INTO public.ecdc_data VALUES (16231, 0, 21, 2.21919719, 167, 89);
INSERT INTO public.ecdc_data VALUES (16232, 0, 0, 0, 80, 89);
INSERT INTO public.ecdc_data VALUES (16233, 0, 0, 0, 81, 89);
INSERT INTO public.ecdc_data VALUES (16234, 0, 3, 26.89859231, 205, 89);
INSERT INTO public.ecdc_data VALUES (16235, 16, 624, 35.6454714, 82, 89);
INSERT INTO public.ecdc_data VALUES (16236, 0, 0, 0, 168, 89);
INSERT INTO public.ecdc_data VALUES (16237, 0, 0, 6.04482914, 24, 89);
INSERT INTO public.ecdc_data VALUES (16238, 2, 15, 8.69376449, 25, 89);
INSERT INTO public.ecdc_data VALUES (16239, 0, 21, 6.51528217, 83, 89);
INSERT INTO public.ecdc_data VALUES (16240, 0, 0, 14.85384236, 84, 89);
INSERT INTO public.ecdc_data VALUES (16241, 0, 0, 0, 169, 89);
INSERT INTO public.ecdc_data VALUES (16242, 32, 587, 70.85900382, 85, 89);
INSERT INTO public.ecdc_data VALUES (16243, 1, 5, 0.95162511, 170, 89);
INSERT INTO public.ecdc_data VALUES (16244, 0, 0, 2.24095285, 171, 89);
INSERT INTO public.ecdc_data VALUES (16245, 312, 14933, 12.70599707, 112, 89);
INSERT INTO public.ecdc_data VALUES (16246, 35, 954, 5.47324488, 113, 89);
INSERT INTO public.ecdc_data VALUES (16247, 119, 2573, 40.6361332, 114, 89);
INSERT INTO public.ecdc_data VALUES (16248, 67, 1808, 48.8300764, 115, 89);
INSERT INTO public.ecdc_data VALUES (16249, 2, 4, 3.58873138, 172, 89);
INSERT INTO public.ecdc_data VALUES (16250, 0, 0, 0, 173, 89);
INSERT INTO public.ecdc_data VALUES (16251, 1, 304, 35.13169338, 116, 89);
INSERT INTO public.ecdc_data VALUES (16252, 23, 221, 5.70249485, 174, 89);
INSERT INTO public.ecdc_data VALUES (16253, 0, 6, 2.23859563, 86, 89);
INSERT INTO public.ecdc_data VALUES (16254, 2, 52, 0.59750766, 117, 89);
INSERT INTO public.ecdc_data VALUES (16255, 0, 0, 5.56606924, 175, 89);
INSERT INTO public.ecdc_data VALUES (16256, 0, 9, 2.08875796, 118, 89);
INSERT INTO public.ecdc_data VALUES (16257, 7, 499, 27.79839913, 119, 89);
INSERT INTO public.ecdc_data VALUES (16258, 2, 59, 3.68052881, 26, 89);
INSERT INTO public.ecdc_data VALUES (16259, 1, 47, 52.98842484, 176, 89);
INSERT INTO public.ecdc_data VALUES (16260, 4, 641, 184.95026357, 120, 89);
INSERT INTO public.ecdc_data VALUES (16261, 1, 163, 22.81848503, 121, 89);
INSERT INTO public.ecdc_data VALUES (16262, 0, 0, 0, 122, 89);
INSERT INTO public.ecdc_data VALUES (16263, 0, 0, 1.19793663, 177, 89);
INSERT INTO public.ecdc_data VALUES (16264, 0, 16, 3.690355, 123, 89);
INSERT INTO public.ecdc_data VALUES (16265, 0, 0, 0, 27, 89);
INSERT INTO public.ecdc_data VALUES (16266, 0, 24, 5.67103079, 28, 89);
INSERT INTO public.ecdc_data VALUES (16267, 0, 27, 4.44119642, 29, 89);
INSERT INTO public.ecdc_data VALUES (16268, 0, 0, 0, 178, 89);
INSERT INTO public.ecdc_data VALUES (16269, 0, 3, 2.89887853, 179, 89);
INSERT INTO public.ecdc_data VALUES (16270, 0, 1, 13.19446028, 180, 89);
INSERT INTO public.ecdc_data VALUES (16271, 1, 44, 2.02452373, 30, 89);
INSERT INTO public.ecdc_data VALUES (16272, 0, 73, 1.93249692, 31, 89);
INSERT INTO public.ecdc_data VALUES (16273, 0, 15, 0.80751707, 124, 89);
INSERT INTO public.ecdc_data VALUES (16274, 0, 14, 56.69008978, 125, 89);
INSERT INTO public.ecdc_data VALUES (16275, 0, 0, 2.10601036, 32, 89);
INSERT INTO public.ecdc_data VALUES (16276, 0, 0, 6.68613074, 181, 89);
INSERT INTO public.ecdc_data VALUES (16277, 3, 171, 45.00963166, 33, 89);
INSERT INTO public.ecdc_data VALUES (16278, 0, 3, 0.23628187, 34, 89);
INSERT INTO public.ecdc_data VALUES (16279, 759, 6832, 56.33995843, 87, 89);
INSERT INTO public.ecdc_data VALUES (16280, 7, 163, 112.68140692, 182, 89);
INSERT INTO public.ecdc_data VALUES (16281, 0, 0, 3.02251776, 183, 89);
INSERT INTO public.ecdc_data VALUES (16282, 0, 2, 0.65112928, 126, 89);
INSERT INTO public.ecdc_data VALUES (16283, 0, 5, 6.91116104, 184, 89);
INSERT INTO public.ecdc_data VALUES (16284, 0, 0, 0, 88, 89);
INSERT INTO public.ecdc_data VALUES (16285, 0, 195, 5.12725378, 35, 89);
INSERT INTO public.ecdc_data VALUES (16286, 0, 4, 1.00111826, 36, 89);
INSERT INTO public.ecdc_data VALUES (16287, 0, 1, 0.08696389, 127, 89);
INSERT INTO public.ecdc_data VALUES (16288, 0, 8, 1.28280987, 37, 89);
INSERT INTO public.ecdc_data VALUES (16289, 0, 0, 18.39998756, 128, 89);
INSERT INTO public.ecdc_data VALUES (16290, 0, 65, 11.10393415, 185, 89);
INSERT INTO public.ecdc_data VALUES (16291, 0, 0, 0.35366056, 207, 89);
INSERT INTO public.ecdc_data VALUES (16292, 0, 2, 0.2299782, 208, 89);
INSERT INTO public.ecdc_data VALUES (16293, 0, 0, 10.7707536, 89, 89);
INSERT INTO public.ecdc_data VALUES (16294, 0, 10, 0.31316065, 38, 89);
INSERT INTO public.ecdc_data VALUES (16295, 7, 675, 4.03953745, 39, 89);
INSERT INTO public.ecdc_data VALUES (16296, 9, 90, 98.26048609, 186, 89);
INSERT INTO public.ecdc_data VALUES (16297, 0, 0, 3.49570902, 209, 89);
INSERT INTO public.ecdc_data VALUES (16298, 4, 37, 3.71606835, 187, 89);
INSERT INTO public.ecdc_data VALUES (16299, 6, 1605, 273.16626841, 129, 89);
INSERT INTO public.ecdc_data VALUES (16300, 105, 3946, 35.42441655, 130, 89);
INSERT INTO public.ecdc_data VALUES (16301, 0, 174, 10.92057649, 131, 89);
INSERT INTO public.ecdc_data VALUES (16302, 20, 722, 233.08936427, 90, 89);
INSERT INTO public.ecdc_data VALUES (16303, 0, 0, 0.01139456, 210, 89);
INSERT INTO public.ecdc_data VALUES (16304, 0, 13, 3.50621231, 91, 89);
INSERT INTO public.ecdc_data VALUES (16305, 0, 0, 169.91453397, 92, 89);
INSERT INTO public.ecdc_data VALUES (16306, 8, 630, 7.59180212, 132, 89);
INSERT INTO public.ecdc_data VALUES (16307, 3, 296, 13.34375763, 188, 89);
INSERT INTO public.ecdc_data VALUES (16308, 4, 259, 43.85684511, 189, 89);
INSERT INTO public.ecdc_data VALUES (16309, 0, 39, 51.74875333, 93, 89);
INSERT INTO public.ecdc_data VALUES (16310, 1, 1034, 644.22819908, 133, 89);
INSERT INTO public.ecdc_data VALUES (16311, 11, 246, 18.99100145, 190, 89);
INSERT INTO public.ecdc_data VALUES (16312, 95, 7600, 79.26249994, 191, 89);
INSERT INTO public.ecdc_data VALUES (16313, 0, 59, 2.66097767, 40, 89);
INSERT INTO public.ecdc_data VALUES (16314, 0, 0, 0, 94, 89);
INSERT INTO public.ecdc_data VALUES (16315, 0, 0, 0, 95, 89);
INSERT INTO public.ecdc_data VALUES (16316, 0, 0, 1.80843272, 96, 89);
INSERT INTO public.ecdc_data VALUES (16317, 0, 2, 31.92755348, 192, 89);
INSERT INTO public.ecdc_data VALUES (16318, 0, 4, 87.42234292, 41, 89);
INSERT INTO public.ecdc_data VALUES (16319, 40, 3393, 162.60400322, 134, 89);
INSERT INTO public.ecdc_data VALUES (16320, 2, 82, 9.46837092, 42, 89);
INSERT INTO public.ecdc_data VALUES (16321, 1, 96, 15.70989482, 193, 89);
INSERT INTO public.ecdc_data VALUES (16322, 0, 0, 0, 43, 89);
INSERT INTO public.ecdc_data VALUES (16323, 0, 13, 4.33880736, 44, 89);
INSERT INTO public.ecdc_data VALUES (16324, 0, 218, 69.20679912, 135, 89);
INSERT INTO public.ecdc_data VALUES (16325, 0, 0, 0, 97, 89);
INSERT INTO public.ecdc_data VALUES (16326, 0, 1, 1.06413798, 194, 89);
INSERT INTO public.ecdc_data VALUES (16327, 0, 1, 1.73001401, 195, 89);
INSERT INTO public.ecdc_data VALUES (16328, 0, 33, 2.87510654, 45, 89);
INSERT INTO public.ecdc_data VALUES (16329, 61, 4288, 86.59921579, 46, 89);
INSERT INTO public.ecdc_data VALUES (16330, 1, 46, 1.23376484, 136, 89);
INSERT INTO public.ecdc_data VALUES (16331, 0, 10, 2.60348067, 47, 89);
INSERT INTO public.ecdc_data VALUES (16332, 1, 248, 10.19663353, 196, 89);
INSERT INTO public.ecdc_data VALUES (16333, 0, 1, 0.44082336, 137, 89);
INSERT INTO public.ecdc_data VALUES (16334, 12, 118, 5.73654358, 48, 89);
INSERT INTO public.ecdc_data VALUES (16335, 0, 5, 32.50980885, 98, 89);
INSERT INTO public.ecdc_data VALUES (16336, 20, 800, 138.765819, 197, 89);
INSERT INTO public.ecdc_data VALUES (16337, 0, 18, 3.95574852, 198, 89);
INSERT INTO public.ecdc_data VALUES (16338, 0, 15, 0.43936391, 138, 89);
INSERT INTO public.ecdc_data VALUES (16339, 0, 0, 0.01261889, 139, 89);
INSERT INTO public.ecdc_data VALUES (16340, 0, 56, 9.69850627, 140, 89);
INSERT INTO public.ecdc_data VALUES (16341, 0, 3, 0.04596012, 141, 89);
INSERT INTO public.ecdc_data VALUES (16342, 0, 0, 0, 142, 89);
INSERT INTO public.ecdc_data VALUES (16343, 0, 0, 0.89082903, 49, 89);
INSERT INTO public.ecdc_data VALUES (16344, 0, 0, 0.43011709, 99, 89);
INSERT INTO public.ecdc_data VALUES (16345, 0, 2, 0.6156624, 50, 89);
INSERT INTO public.ecdc_data VALUES (16346, 24, 1212, 21.67702256, 199, 89);
INSERT INTO public.ecdc_data VALUES (16347, 0, 0, 5.23642457, 100, 89);
INSERT INTO public.ecdc_data VALUES (16348, 0, 4, 0.28913755, 51, 89);
INSERT INTO public.ecdc_data VALUES (16349, 10, 681, 22.22821147, 200, 89);
INSERT INTO public.ecdc_data VALUES (16350, 1, 378, 60.66203601, 143, 89);
INSERT INTO public.ecdc_data VALUES (16351, 14, 639, 20.60704446, 201, 89);
INSERT INTO public.ecdc_data VALUES (16352, 0, 0, 0, 52, 89);
INSERT INTO public.ecdc_data VALUES (16353, 427, 31390, 106.70143849, 101, 89);
INSERT INTO public.ecdc_data VALUES (16354, 0, 0, 4.78107459, 102, 89);
INSERT INTO public.ecdc_data VALUES (16355, 0, 6, 1.06882944, 103, 89);
INSERT INTO public.ecdc_data VALUES (16356, 0, 142, 6.22162917, 144, 89);
INSERT INTO public.ecdc_data VALUES (16357, 2, 130, 5.85990328, 104, 89);
INSERT INTO public.ecdc_data VALUES (16358, 0, 0, 0.0176235, 145, 89);
INSERT INTO public.ecdc_data VALUES (16359, 0, 0, 0.3433724, 53, 89);
INSERT INTO public.ecdc_data VALUES (16360, 1, 26, 1.61511988, 146, 89);
INSERT INTO public.ecdc_data VALUES (16361, 0, 0, 1.2877194, 54, 89);
INSERT INTO public.ecdc_data VALUES (16362, 0, 23, 1.53631091, 55, 89);
INSERT INTO public.ecdc_data VALUES (16363, 12, 540, 14.29481819, 105, 90);
INSERT INTO public.ecdc_data VALUES (16364, 0, 12, 4.57653593, 147, 90);
INSERT INTO public.ecdc_data VALUES (16365, 7, 190, 5.92060206, 1, 90);
INSERT INTO public.ecdc_data VALUES (16366, 0, 0, 13.1273219, 148, 90);
INSERT INTO public.ecdc_data VALUES (16367, 0, 2, 0.05341662, 2, 90);
INSERT INTO public.ecdc_data VALUES (16368, 0, 0, 0, 56, 90);
INSERT INTO public.ecdc_data VALUES (16369, 0, 0, 0, 57, 90);
INSERT INTO public.ecdc_data VALUES (16370, 17, 718, 11.2503887, 58, 90);
INSERT INTO public.ecdc_data VALUES (16371, 3, 374, 105.72304147, 149, 90);
INSERT INTO public.ecdc_data VALUES (16372, 0, 0, 0, 59, 90);
INSERT INTO public.ecdc_data VALUES (16373, 1, 14, 0.71816277, 202, 90);
INSERT INTO public.ecdc_data VALUES (16374, 2, 29, 7.06643977, 150, 90);
INSERT INTO public.ecdc_data VALUES (16375, 2, 106, 15.68515202, 151, 90);
INSERT INTO public.ecdc_data VALUES (16376, 0, 0, 1.28374319, 60, 90);
INSERT INTO public.ecdc_data VALUES (16377, 0, 240, 241.90147968, 106, 90);
INSERT INTO public.ecdc_data VALUES (16378, 24, 1694, 10.47004029, 107, 90);
INSERT INTO public.ecdc_data VALUES (16379, 0, 0, 2.43884594, 61, 90);
INSERT INTO public.ecdc_data VALUES (16380, 5, 932, 139.66809942, 152, 90);
INSERT INTO public.ecdc_data VALUES (16381, 41, 248, 34.71689061, 153, 90);
INSERT INTO public.ecdc_data VALUES (16382, 0, 0, 0, 62, 90);
INSERT INTO public.ecdc_data VALUES (16383, 0, 0, -0.90669122, 3, 90);
INSERT INTO public.ecdc_data VALUES (16384, 0, 3, 15.99795226, 63, 90);
INSERT INTO public.ecdc_data VALUES (16385, 0, 3, 2.22777273, 108, 90);
INSERT INTO public.ecdc_data VALUES (16386, 15, 392, 28.77591113, 64, 90);
INSERT INTO public.ecdc_data VALUES (16387, 0, 0, 0, 65, 90);
INSERT INTO public.ecdc_data VALUES (16388, 2, 20, 9.14874835, 154, 90);
INSERT INTO public.ecdc_data VALUES (16389, 0, 1, 0.30385861, 4, 90);
INSERT INTO public.ecdc_data VALUES (16390, 1001, 20803, 87.92344132, 66, 90);
INSERT INTO public.ecdc_data VALUES (16391, 0, 0, 3.3296707, 67, 90);
INSERT INTO public.ecdc_data VALUES (16392, 0, 0, 0, 109, 90);
INSERT INTO public.ecdc_data VALUES (16393, 1, 36, 7.09996044, 155, 90);
INSERT INTO public.ecdc_data VALUES (16394, 0, 2, 0.34446474, 5, 90);
INSERT INTO public.ecdc_data VALUES (16395, 0, 0, 0.19946964, 6, 90);
INSERT INTO public.ecdc_data VALUES (16396, 0, 1, 0.01213111, 110, 90);
INSERT INTO public.ecdc_data VALUES (16397, 3, 112, 8.25076546, 7, 90);
INSERT INTO public.ecdc_data VALUES (16398, 98, 1156, 42.86168162, 68, 90);
INSERT INTO public.ecdc_data VALUES (16399, 0, 6, 24.00279305, 8, 90);
INSERT INTO public.ecdc_data VALUES (16400, 0, 10, 61.58773172, 69, 90);
INSERT INTO public.ecdc_data VALUES (16401, 0, 43, 7.08087092, 9, 90);
INSERT INTO public.ecdc_data VALUES (16402, 1, 23, 2.20105723, 10, 90);
INSERT INTO public.ecdc_data VALUES (16403, 41, 4276, 189.34642111, 70, 90);
INSERT INTO public.ecdc_data VALUES (16404, 0, 2, 0.00732328, 111, 90);
INSERT INTO public.ecdc_data VALUES (16405, 30, 801, 18.03754563, 71, 90);
INSERT INTO public.ecdc_data VALUES (16406, 0, 44, 8.22667063, 11, 90);
INSERT INTO public.ecdc_data VALUES (16407, 0, 0, 3.38258275, 12, 90);
INSERT INTO public.ecdc_data VALUES (16408, 0, 8, 2.73399371, 72, 90);
INSERT INTO public.ecdc_data VALUES (16409, 0, 70, 2.71809357, 13, 90);
INSERT INTO public.ecdc_data VALUES (16410, 2, 6, 2.01165484, 156, 90);
INSERT INTO public.ecdc_data VALUES (16411, 1, 8, 1.54409712, 73, 90);
INSERT INTO public.ecdc_data VALUES (16412, 0, 0, 0, 74, 90);
INSERT INTO public.ecdc_data VALUES (16413, 0, 4, 4.11006292, 157, 90);
INSERT INTO public.ecdc_data VALUES (16414, 6, 59, 6.9109279, 158, 90);
INSERT INTO public.ecdc_data VALUES (16415, 0, 80, 1.25359244, 14, 90);
INSERT INTO public.ecdc_data VALUES (16416, 0, 48, 17.43000141, 159, 90);
INSERT INTO public.ecdc_data VALUES (16417, 0, 223, 116.58279895, 15, 90);
INSERT INTO public.ecdc_data VALUES (16418, 0, 0, 0, 75, 90);
INSERT INTO public.ecdc_data VALUES (16419, 8, 332, 42.95575446, 76, 90);
INSERT INTO public.ecdc_data VALUES (16420, 117, 522, 40.34844247, 77, 90);
INSERT INTO public.ecdc_data VALUES (16421, 11, 783, 7.28174131, 16, 90);
INSERT INTO public.ecdc_data VALUES (16422, 0, 85, 14.58112202, 78, 90);
INSERT INTO public.ecdc_data VALUES (16423, 0, 0, 34.21874332, 17, 90);
INSERT INTO public.ecdc_data VALUES (16424, 0, 0, 0, 18, 90);
INSERT INTO public.ecdc_data VALUES (16425, 0, 7, 6.18952009, 160, 90);
INSERT INTO public.ecdc_data VALUES (16426, 0, 0, 5.31297332, 19, 90);
INSERT INTO public.ecdc_data VALUES (16427, 0, 34, 0.21324296, 20, 90);
INSERT INTO public.ecdc_data VALUES (16428, 0, 0, 0, 79, 90);
INSERT INTO public.ecdc_data VALUES (16429, 0, 0, 0, 161, 90);
INSERT INTO public.ecdc_data VALUES (16430, 0, 0, 0, 203, 90);
INSERT INTO public.ecdc_data VALUES (16431, 0, 44, 14.48009657, 162, 90);
INSERT INTO public.ecdc_data VALUES (16432, 74, 403, 9.16987857, 163, 90);
INSERT INTO public.ecdc_data VALUES (16433, 0, 0, 0, 204, 90);
INSERT INTO public.ecdc_data VALUES (16434, 0, 161, 50.9993197, 21, 90);
INSERT INTO public.ecdc_data VALUES (16435, 0, 1, 0.21297476, 22, 90);
INSERT INTO public.ecdc_data VALUES (16436, 0, 2, 2.50202539, 164, 90);
INSERT INTO public.ecdc_data VALUES (16437, 42, 638, 11.20102162, 165, 90);
INSERT INTO public.ecdc_data VALUES (16438, 0, 131, 8.56404813, 23, 90);
INSERT INTO public.ecdc_data VALUES (16439, 0, 0, 14.83415416, 166, 90);
INSERT INTO public.ecdc_data VALUES (16440, 1, 20, 1.69703315, 167, 90);
INSERT INTO public.ecdc_data VALUES (16441, 0, 0, 0, 80, 90);
INSERT INTO public.ecdc_data VALUES (16442, 0, 0, 0.8928412, 81, 90);
INSERT INTO public.ecdc_data VALUES (16443, 0, 0, 8.36845094, 205, 90);
INSERT INTO public.ecdc_data VALUES (16444, 3, 231, 10.48262387, 82, 90);
INSERT INTO public.ecdc_data VALUES (16445, 0, 0, 0, 168, 90);
INSERT INTO public.ecdc_data VALUES (16446, 0, 0, 8.28423476, 24, 90);
INSERT INTO public.ecdc_data VALUES (16447, 0, 0, 25.76894265, 25, 90);
INSERT INTO public.ecdc_data VALUES (16448, 0, 0, 4.21577082, 83, 90);
INSERT INTO public.ecdc_data VALUES (16449, 0, 78, 5.91312553, 84, 90);
INSERT INTO public.ecdc_data VALUES (16450, 0, 0, 0, 169, 90);
INSERT INTO public.ecdc_data VALUES (16451, 11, 273, 17.50441073, 85, 90);
INSERT INTO public.ecdc_data VALUES (16452, 6, 35, 5.11626403, 170, 90);
INSERT INTO public.ecdc_data VALUES (16453, 0, 0, 0.56023821, 171, 90);
INSERT INTO public.ecdc_data VALUES (16454, 137, 6654, 4.78909175, 112, 90);
INSERT INTO public.ecdc_data VALUES (16455, 48, 634, 2.8393474, 113, 90);
INSERT INTO public.ecdc_data VALUES (16456, 51, 2311, 32.51686662, 114, 90);
INSERT INTO public.ecdc_data VALUES (16457, 7, 87, 3.46224194, 115, 90);
INSERT INTO public.ecdc_data VALUES (16458, 9, 115, 40.06737028, 172, 90);
INSERT INTO public.ecdc_data VALUES (16459, 0, 0, 8.27530766, 173, 90);
INSERT INTO public.ecdc_data VALUES (16460, 0, 0, 2.98144007, 116, 90);
INSERT INTO public.ecdc_data VALUES (16461, 130, 652, 19.00776391, 174, 90);
INSERT INTO public.ecdc_data VALUES (16462, 0, 10, 1.83157824, 86, 90);
INSERT INTO public.ecdc_data VALUES (16463, 12, 23, 0.71574796, 117, 90);
INSERT INTO public.ecdc_data VALUES (16464, 0, 0, 12.05981669, 175, 90);
INSERT INTO public.ecdc_data VALUES (16465, 0, 16, 1.90067075, 118, 90);
INSERT INTO public.ecdc_data VALUES (16466, 0, 322, 16.62944761, 119, 90);
INSERT INTO public.ecdc_data VALUES (16467, 0, 52, 1.02712432, 26, 90);
INSERT INTO public.ecdc_data VALUES (16468, 0, 21, 9.06307791, 176, 90);
INSERT INTO public.ecdc_data VALUES (16469, 9, 955, 293.69559911, 120, 90);
INSERT INTO public.ecdc_data VALUES (16470, 0, 14, 6.74890985, 121, 90);
INSERT INTO public.ecdc_data VALUES (16471, 0, 0, 0, 122, 90);
INSERT INTO public.ecdc_data VALUES (16472, 0, 5, 5.31258854, 177, 90);
INSERT INTO public.ecdc_data VALUES (16473, 0, 62, 4.23005119, 123, 90);
INSERT INTO public.ecdc_data VALUES (16474, 0, 0, 0, 27, 90);
INSERT INTO public.ecdc_data VALUES (16475, 1, 9, 1.01268407, 28, 90);
INSERT INTO public.ecdc_data VALUES (16476, 0, 1, 0.11803844, 29, 90);
INSERT INTO public.ecdc_data VALUES (16477, 0, 0, 0, 178, 90);
INSERT INTO public.ecdc_data VALUES (16478, 0, 10, 6.0124888, 179, 90);
INSERT INTO public.ecdc_data VALUES (16479, 0, 1, 17.91840285, 180, 90);
INSERT INTO public.ecdc_data VALUES (16480, 0, 43, 1.03450938, 30, 90);
INSERT INTO public.ecdc_data VALUES (16481, 0, 10, 0.20935383, 31, 90);
INSERT INTO public.ecdc_data VALUES (16482, 1, 78, 1.8842065, 124, 90);
INSERT INTO public.ecdc_data VALUES (16483, 0, 58, 118.65367629, 125, 90);
INSERT INTO public.ecdc_data VALUES (16484, 2, 22, 1.53118144, 32, 90);
INSERT INTO public.ecdc_data VALUES (16485, 0, 9, 24.11059265, 181, 90);
INSERT INTO public.ecdc_data VALUES (16486, 0, 0, 3.64584645, 33, 90);
INSERT INTO public.ecdc_data VALUES (16487, 0, 0, 0, 34, 90);
INSERT INTO public.ecdc_data VALUES (16488, 479, 3963, 32.53602029, 87, 90);
INSERT INTO public.ecdc_data VALUES (16489, 4, 143, 52.40823118, 182, 90);
INSERT INTO public.ecdc_data VALUES (16490, 0, 0, 3.02251776, 183, 90);
INSERT INTO public.ecdc_data VALUES (16491, 0, 0, 3.06960944, 126, 90);
INSERT INTO public.ecdc_data VALUES (16492, 0, 0, 0, 184, 90);
INSERT INTO public.ecdc_data VALUES (16493, 0, 0, 0, 88, 90);
INSERT INTO public.ecdc_data VALUES (16494, 1, 121, 4.44453389, 35, 90);
INSERT INTO public.ecdc_data VALUES (16495, 0, 2, 0.27003848, 36, 90);
INSERT INTO public.ecdc_data VALUES (16496, 0, 2, 0.04440709, 127, 90);
INSERT INTO public.ecdc_data VALUES (16497, 0, 1, 0.12026343, 37, 90);
INSERT INTO public.ecdc_data VALUES (16498, 0, 61, 1.56246095, 128, 90);
INSERT INTO public.ecdc_data VALUES (16499, 13, 188, 16.17274412, 185, 90);
INSERT INTO public.ecdc_data VALUES (16500, 0, 0, 0, 207, 90);
INSERT INTO public.ecdc_data VALUES (16501, 0, 0, 0.25088531, 208, 90);
INSERT INTO public.ecdc_data VALUES (16502, 9, 254, 4.01802581, 89, 90);
INSERT INTO public.ecdc_data VALUES (16503, 0, 13, 0.60916182, 38, 90);
INSERT INTO public.ecdc_data VALUES (16504, 10, 245, 1.66647092, 39, 90);
INSERT INTO public.ecdc_data VALUES (16505, 1, 23, 16.12800727, 186, 90);
INSERT INTO public.ecdc_data VALUES (16506, 0, 0, 12.23498156, 209, 90);
INSERT INTO public.ecdc_data VALUES (16507, 1, 41, 5.16120605, 187, 90);
INSERT INTO public.ecdc_data VALUES (16508, 1, 424, 74.01016926, 129, 90);
INSERT INTO public.ecdc_data VALUES (16509, 34, 1743, 11.52677647, 130, 90);
INSERT INTO public.ecdc_data VALUES (16510, 0, 0, 1.1041024, 131, 90);
INSERT INTO public.ecdc_data VALUES (16511, 4, 151, 51.73745537, 90, 90);
INSERT INTO public.ecdc_data VALUES (16512, 0, 0, 0, 210, 90);
INSERT INTO public.ecdc_data VALUES (16513, 0, 2, 3.90367768, 91, 90);
INSERT INTO public.ecdc_data VALUES (16514, 96, 2929, 153.33833152, 92, 90);
INSERT INTO public.ecdc_data VALUES (16515, 11, 163, 2.89872172, 132, 90);
INSERT INTO public.ecdc_data VALUES (16516, 10, 476, 13.83358177, 188, 90);
INSERT INTO public.ecdc_data VALUES (16517, 12, 288, 28.53078985, 189, 90);
INSERT INTO public.ecdc_data VALUES (16518, 0, 117, 29.79473676, 93, 90);
INSERT INTO public.ecdc_data VALUES (16519, 2, 1830, 716.08374225, 133, 90);
INSERT INTO public.ecdc_data VALUES (16520, 8, 127, 14.94247225, 190, 90);
INSERT INTO public.ecdc_data VALUES (16521, 150, 8894, 95.00709731, 191, 90);
INSERT INTO public.ecdc_data VALUES (16522, 0, 1, 0.38013967, 40, 90);
INSERT INTO public.ecdc_data VALUES (16523, 0, 0, 0, 94, 90);
INSERT INTO public.ecdc_data VALUES (16524, 0, 0, 0, 95, 90);
INSERT INTO public.ecdc_data VALUES (16525, 0, 0, 0.90421636, 96, 90);
INSERT INTO public.ecdc_data VALUES (16526, 0, 3, 110.29518474, 192, 90);
INSERT INTO public.ecdc_data VALUES (16527, 0, 0, 19.99553588, 41, 90);
INSERT INTO public.ecdc_data VALUES (16528, 13, 2642, 94.21764208, 134, 90);
INSERT INTO public.ecdc_data VALUES (16529, 0, 97, 8.33314822, 42, 90);
INSERT INTO public.ecdc_data VALUES (16530, 0, 105, 15.52321417, 193, 90);
INSERT INTO public.ecdc_data VALUES (16531, 0, 0, 0, 43, 90);
INSERT INTO public.ecdc_data VALUES (16532, 3, 21, 4.46679577, 44, 90);
INSERT INTO public.ecdc_data VALUES (16533, 0, 614, 150.21510617, 135, 90);
INSERT INTO public.ecdc_data VALUES (16534, 0, 0, 2.3591026, 97, 90);
INSERT INTO public.ecdc_data VALUES (16535, 0, 1, 0.88066592, 194, 90);
INSERT INTO public.ecdc_data VALUES (16536, 0, 0, 0.67278323, 195, 90);
INSERT INTO public.ecdc_data VALUES (16537, 0, 0, 4.31265981, 45, 90);
INSERT INTO public.ecdc_data VALUES (16538, 28, 988, 19.1774801, 46, 90);
INSERT INTO public.ecdc_data VALUES (16539, 2, 23, 0.63445186, 136, 90);
INSERT INTO public.ecdc_data VALUES (16540, 0, 0, 1.97973009, 47, 90);
INSERT INTO public.ecdc_data VALUES (16541, 50, 466, 24.13657779, 196, 90);
INSERT INTO public.ecdc_data VALUES (16542, 0, 13, 1.09267917, 137, 90);
INSERT INTO public.ecdc_data VALUES (16543, 16, 240, 5.29509133, 48, 90);
INSERT INTO public.ecdc_data VALUES (16544, 0, 0, 0.17200957, 98, 90);
INSERT INTO public.ecdc_data VALUES (16545, 56, 532, 76.93898009, 197, 90);
INSERT INTO public.ecdc_data VALUES (16546, 0, 13, 5.85169899, 198, 90);
INSERT INTO public.ecdc_data VALUES (16547, 1, 1, 0.07029823, 138, 90);
INSERT INTO public.ecdc_data VALUES (16548, 0, 0, 0.0042063, 139, 90);
INSERT INTO public.ecdc_data VALUES (16549, 0, 210, 19.61158126, 140, 90);
INSERT INTO public.ecdc_data VALUES (16550, 0, 3, 0.05745015, 141, 90);
INSERT INTO public.ecdc_data VALUES (16551, 0, 0, 0, 142, 90);
INSERT INTO public.ecdc_data VALUES (16552, 0, 9, 2.69723233, 49, 90);
INSERT INTO public.ecdc_data VALUES (16553, 0, 0, 0, 99, 90);
INSERT INTO public.ecdc_data VALUES (16554, 0, 2, 0.1539156, 50, 90);
INSERT INTO public.ecdc_data VALUES (16555, 27, 952, 23.08549246, 199, 90);
INSERT INTO public.ecdc_data VALUES (16556, 0, 0, 0, 100, 90);
INSERT INTO public.ecdc_data VALUES (16557, 0, 15, 0.16715765, 51, 90);
INSERT INTO public.ecdc_data VALUES (16558, 9, 442, 13.53150045, 200, 90);
INSERT INTO public.ecdc_data VALUES (16559, 4, 994, 113.59675006, 143, 90);
INSERT INTO public.ecdc_data VALUES (16560, 291, 2574, 56.78865725, 201, 90);
INSERT INTO public.ecdc_data VALUES (16561, 0, 0, 0, 52, 90);
INSERT INTO public.ecdc_data VALUES (16562, 1305, 24147, 96.48704058, 101, 90);
INSERT INTO public.ecdc_data VALUES (16563, 0, 0, 0.95621492, 102, 90);
INSERT INTO public.ecdc_data VALUES (16564, 0, 4, 1.70434964, 103, 90);
INSERT INTO public.ecdc_data VALUES (16565, 0, 72, 2.2497314, 144, 90);
INSERT INTO public.ecdc_data VALUES (16566, 0, 62, 1.94979427, 104, 90);
INSERT INTO public.ecdc_data VALUES (16567, 0, 0, 0.03732035, 145, 90);
INSERT INTO public.ecdc_data VALUES (16568, 0, 0, 0, 53, 90);
INSERT INTO public.ecdc_data VALUES (16569, 0, 12, 0.5863811, 146, 90);
INSERT INTO public.ecdc_data VALUES (16570, 0, 54, 4.21588134, 54, 90);
INSERT INTO public.ecdc_data VALUES (16571, 0, 5, 0.14338902, 55, 90);
INSERT INTO public.ecdc_data VALUES (16572, 4, 84, 1.97940384, 105, 91);
INSERT INTO public.ecdc_data VALUES (16573, 1, 25, 8.17488097, 147, 91);
INSERT INTO public.ecdc_data VALUES (16574, 10, 99, 3.10779347, 1, 91);
INSERT INTO public.ecdc_data VALUES (16575, 0, 6, 208.72441813, 148, 91);
INSERT INTO public.ecdc_data VALUES (16576, 0, 0, 0.01571077, 2, 91);
INSERT INTO public.ecdc_data VALUES (16577, 0, 0, 0, 56, 91);
INSERT INTO public.ecdc_data VALUES (16578, 0, 0, 9.26736344, 57, 91);
INSERT INTO public.ecdc_data VALUES (16579, 8, 144, 3.30723018, 58, 91);
INSERT INTO public.ecdc_data VALUES (16580, 0, 50, 20.35346049, 149, 91);
INSERT INTO public.ecdc_data VALUES (16581, 0, 3, 21.6348415, 59, 91);
INSERT INTO public.ecdc_data VALUES (16582, 0, 7, 2.38858558, 202, 91);
INSERT INTO public.ecdc_data VALUES (16583, 31, 91, 22.06851399, 150, 91);
INSERT INTO public.ecdc_data VALUES (16584, 0, 38, 6.92694531, 151, 91);
INSERT INTO public.ecdc_data VALUES (16585, 0, 5, 7.70245914, 60, 91);
INSERT INTO public.ecdc_data VALUES (16586, 0, 34, 72.14391737, 106, 91);
INSERT INTO public.ecdc_data VALUES (16587, 10, 390, 2.17975064, 107, 91);
INSERT INTO public.ecdc_data VALUES (16588, 1, 1, 4.52928531, 61, 91);
INSERT INTO public.ecdc_data VALUES (16589, 3, 558, 65.75043462, 152, 91);
INSERT INTO public.ecdc_data VALUES (16590, 181, 778, 159.28566833, 153, 91);
INSERT INTO public.ecdc_data VALUES (16591, 0, 0, 2.56179695, 62, 91);
INSERT INTO public.ecdc_data VALUES (16592, 0, 0, 0.23726499, 3, 91);
INSERT INTO public.ecdc_data VALUES (16593, 0, 1, 95.98771357, 63, 91);
INSERT INTO public.ecdc_data VALUES (16594, 0, 1, 0.26209091, 108, 91);
INSERT INTO public.ecdc_data VALUES (16595, 3, 63, 3.54378863, 64, 91);
INSERT INTO public.ecdc_data VALUES (16596, 0, 0, 15.39468114, 65, 91);
INSERT INTO public.ecdc_data VALUES (16597, 2, 27, 16.69192166, 154, 91);
INSERT INTO public.ecdc_data VALUES (16598, 0, 2, 0.6511256, 4, 91);
INSERT INTO public.ecdc_data VALUES (16599, 165, 2678, 14.13412366, 66, 91);
INSERT INTO public.ecdc_data VALUES (16600, 0, 0, 6.65934139, 67, 91);
INSERT INTO public.ecdc_data VALUES (16601, 0, 0, 0.69236734, 109, 91);
INSERT INTO public.ecdc_data VALUES (16602, 4, 49, 6.15710855, 155, 91);
INSERT INTO public.ecdc_data VALUES (16603, 1, 9, 0.95958036, 5, 91);
INSERT INTO public.ecdc_data VALUES (16604, 0, 5, 0.06938074, 6, 91);
INSERT INTO public.ecdc_data VALUES (16605, 0, 0, 0.02426221, 110, 91);
INSERT INTO public.ecdc_data VALUES (16606, 1, 0, 1.67334025, 7, 91);
INSERT INTO public.ecdc_data VALUES (16607, 140, 1766, 55.87923008, 68, 91);
INSERT INTO public.ecdc_data VALUES (16608, 0, 6, 12.00139653, 8, 91);
INSERT INTO public.ecdc_data VALUES (16609, 0, 0, 32.33355916, 69, 91);
INSERT INTO public.ecdc_data VALUES (16610, 0, 2, 0.12644412, 9, 91);
INSERT INTO public.ecdc_data VALUES (16611, 0, 0, 0.15049964, 10, 91);
INSERT INTO public.ecdc_data VALUES (16612, 13, 464, 30.33974979, 70, 91);
INSERT INTO public.ecdc_data VALUES (16613, 0, 12, 0.070164, 111, 91);
INSERT INTO public.ecdc_data VALUES (16614, 10, 207, 4.57295485, 71, 91);
INSERT INTO public.ecdc_data VALUES (16615, 0, 21, 2.34178806, 12, 91);
INSERT INTO public.ecdc_data VALUES (16616, 0, 12, 3.5462672, 72, 91);
INSERT INTO public.ecdc_data VALUES (16617, 1, 36, 2.20869406, 13, 91);
INSERT INTO public.ecdc_data VALUES (16618, 0, 42, 14.8911523, 156, 91);
INSERT INTO public.ecdc_data VALUES (16619, 2, 52, 6.45873767, 73, 91);
INSERT INTO public.ecdc_data VALUES (16620, 0, 0, 0, 74, 91);
INSERT INTO public.ecdc_data VALUES (16621, 2, 6, 30.1404614, 157, 91);
INSERT INTO public.ecdc_data VALUES (16622, 9, 95, 17.1270822, 158, 91);
INSERT INTO public.ecdc_data VALUES (16623, 0, 18, 0.22352659, 14, 91);
INSERT INTO public.ecdc_data VALUES (16624, 14, 217, 43.23053709, 159, 91);
INSERT INTO public.ecdc_data VALUES (16625, 0, 29, 86.17882671, 15, 91);
INSERT INTO public.ecdc_data VALUES (16626, 0, 0, 1.3926025, 75, 91);
INSERT INTO public.ecdc_data VALUES (16627, 15, 256, 29.69562128, 76, 91);
INSERT INTO public.ecdc_data VALUES (16628, 17, 452, 36.83737972, 77, 91);
INSERT INTO public.ecdc_data VALUES (16629, 0, 0, 1.92253909, 16, 91);
INSERT INTO public.ecdc_data VALUES (16630, 1, 12, 2.07637657, 78, 91);
INSERT INTO public.ecdc_data VALUES (16631, 0, 4, 4.79357396, 17, 91);
INSERT INTO public.ecdc_data VALUES (16632, 0, 0, 0.1715699, 18, 91);
INSERT INTO public.ecdc_data VALUES (16633, 1, 7, 28.23025015, 160, 91);
INSERT INTO public.ecdc_data VALUES (16634, 0, 7, 1.65486054, 19, 91);
INSERT INTO public.ecdc_data VALUES (16635, 0, 2, 0.05442603, 20, 91);
INSERT INTO public.ecdc_data VALUES (16636, 0, 0, 207.59193357, 79, 91);
INSERT INTO public.ecdc_data VALUES (16637, 0, 0, 2.05435832, 161, 91);
INSERT INTO public.ecdc_data VALUES (16638, 0, 0, 0.3370957, 203, 91);
INSERT INTO public.ecdc_data VALUES (16639, 8, 115, 29.75759521, 162, 91);
INSERT INTO public.ecdc_data VALUES (16640, 544, 1827, 55.36696578, 163, 91);
INSERT INTO public.ecdc_data VALUES (16641, 0, 0, 2.14834309, 204, 91);
INSERT INTO public.ecdc_data VALUES (16642, 0, 10, 6.12175949, 21, 91);
INSERT INTO public.ecdc_data VALUES (16643, 0, 0, 0.25556972, 22, 91);
INSERT INTO public.ecdc_data VALUES (16644, 1, 8, 5.12915205, 164, 91);
INSERT INTO public.ecdc_data VALUES (16645, 215, 2352, 47.9937096, 165, 91);
INSERT INTO public.ecdc_data VALUES (16646, 0, 112, 2.76482322, 23, 91);
INSERT INTO public.ecdc_data VALUES (16647, 0, 0, 38.56880081, 166, 91);
INSERT INTO public.ecdc_data VALUES (16648, 0, 7, 4.88596357, 167, 91);
INSERT INTO public.ecdc_data VALUES (16649, 0, 0, 0, 80, 91);
INSERT INTO public.ecdc_data VALUES (16650, 0, 1, 2.6785236, 81, 91);
INSERT INTO public.ecdc_data VALUES (16651, 0, 1, 7.17295795, 205, 91);
INSERT INTO public.ecdc_data VALUES (16652, 2, 26, 1.45039017, 82, 91);
INSERT INTO public.ecdc_data VALUES (16653, 0, 4, 96.17174412, 168, 91);
INSERT INTO public.ecdc_data VALUES (16654, 0, 73, 4.67456347, 24, 91);
INSERT INTO public.ecdc_data VALUES (16655, 0, 0, 0.88499399, 25, 91);
INSERT INTO public.ecdc_data VALUES (16656, 0, 0, 3.83251892, 83, 91);
INSERT INTO public.ecdc_data VALUES (16657, 0, 4, 0.31074984, 84, 91);
INSERT INTO public.ecdc_data VALUES (16658, 0, 0, 122.6993865, 169, 91);
INSERT INTO public.ecdc_data VALUES (16659, 1, 9, 1.80584777, 85, 91);
INSERT INTO public.ecdc_data VALUES (16660, 0, 116, 13.34321659, 170, 91);
INSERT INTO public.ecdc_data VALUES (16661, 0, 7, 47.34012902, 171, 91);
INSERT INTO public.ecdc_data VALUES (16662, 41, 1409, 1.14598921, 112, 91);
INSERT INTO public.ecdc_data VALUES (16663, 19, 283, 1.64877253, 113, 91);
INSERT INTO public.ecdc_data VALUES (16664, 94, 1194, 25.8219693, 114, 91);
INSERT INTO public.ecdc_data VALUES (16665, 0, 0, 1.01755825, 115, 91);
INSERT INTO public.ecdc_data VALUES (16666, 39, 631, 213.01975434, 172, 91);
INSERT INTO public.ecdc_data VALUES (16667, 5, 0, 176.14583456, 173, 91);
INSERT INTO public.ecdc_data VALUES (16668, 7, 650, 60.89650025, 116, 91);
INSERT INTO public.ecdc_data VALUES (16669, 437, 3370, 79.36607078, 174, 91);
INSERT INTO public.ecdc_data VALUES (16670, 0, 19, 6.41052384, 86, 91);
INSERT INTO public.ecdc_data VALUES (16671, 101, 276, 5.52103381, 117, 91);
INSERT INTO public.ecdc_data VALUES (16672, 4, 0, 78.85264759, 175, 91);
INSERT INTO public.ecdc_data VALUES (16673, 0, 3, 0.69295288, 118, 91);
INSERT INTO public.ecdc_data VALUES (16674, 0, 166, 7.71908233, 119, 91);
INSERT INTO public.ecdc_data VALUES (16675, 0, 22, 0.23585818, 26, 91);
INSERT INTO public.ecdc_data VALUES (16676, 0, 26, 22.57429222, 176, 91);
INSERT INTO public.ecdc_data VALUES (16677, 2, 168, 33.11087484, 120, 91);
INSERT INTO public.ecdc_data VALUES (16678, 1, 19, 5.4708253, 121, 91);
INSERT INTO public.ecdc_data VALUES (16679, 0, 0, 0.05579224, 122, 91);
INSERT INTO public.ecdc_data VALUES (16680, 2, 13, 9.58349306, 177, 91);
INSERT INTO public.ecdc_data VALUES (16681, 1, 5, 1.56074302, 123, 91);
INSERT INTO public.ecdc_data VALUES (16682, 0, 0, 1.4177577, 28, 91);
INSERT INTO public.ecdc_data VALUES (16683, 0, 8, 0.5606826, 29, 91);
INSERT INTO public.ecdc_data VALUES (16684, 0, 0, 7.81697848, 178, 91);
INSERT INTO public.ecdc_data VALUES (16685, 0, 28, 17.39327117, 179, 91);
INSERT INTO public.ecdc_data VALUES (16686, 2, 36, 100.99463425, 180, 91);
INSERT INTO public.ecdc_data VALUES (16687, 0, 0, 0.10382173, 30, 91);
INSERT INTO public.ecdc_data VALUES (16688, 1, 5, 0.0805207, 31, 91);
INSERT INTO public.ecdc_data VALUES (16689, 1, 50, 4.42256442, 124, 91);
INSERT INTO public.ecdc_data VALUES (16690, 0, 0, 12.43038513, 125, 91);
INSERT INTO public.ecdc_data VALUES (16691, 3, 35, 1.19035368, 32, 91);
INSERT INTO public.ecdc_data VALUES (16692, 0, 0, 21.67927239, 181, 91);
INSERT INTO public.ecdc_data VALUES (16693, 0, 0, 0.02209604, 33, 91);
INSERT INTO public.ecdc_data VALUES (16694, 0, 1, 4.41059488, 34, 91);
INSERT INTO public.ecdc_data VALUES (16695, 113, 1303, 9.45871053, 87, 91);
INSERT INTO public.ecdc_data VALUES (16696, 3, 164, 39.67097821, 182, 91);
INSERT INTO public.ecdc_data VALUES (16697, 0, 0, 33.24769533, 183, 91);
INSERT INTO public.ecdc_data VALUES (16698, 0, 0, 0.58911696, 126, 91);
INSERT INTO public.ecdc_data VALUES (16699, 0, 2, 10.60782858, 184, 91);
INSERT INTO public.ecdc_data VALUES (16700, 0, 0, 40.07212983, 88, 91);
INSERT INTO public.ecdc_data VALUES (16701, 4, 168, 5.76336227, 35, 91);
INSERT INTO public.ecdc_data VALUES (16702, 0, 2, 0.07903565, 36, 91);
INSERT INTO public.ecdc_data VALUES (16703, 0, 6, 0.19428103, 127, 91);
INSERT INTO public.ecdc_data VALUES (16704, 0, 0, 0, 37, 91);
INSERT INTO public.ecdc_data VALUES (16705, 0, 3, 0.12583578, 128, 91);
INSERT INTO public.ecdc_data VALUES (16706, 138, 708, 82.70376804, 185, 91);
INSERT INTO public.ecdc_data VALUES (16707, 0, 0, 0, 207, 91);
INSERT INTO public.ecdc_data VALUES (16708, 2, 0, 2.50885312, 208, 91);
INSERT INTO public.ecdc_data VALUES (16709, 0, 0, 0.06111066, 89, 91);
INSERT INTO public.ecdc_data VALUES (16710, 2, 7, 1.37275903, 38, 91);
INSERT INTO public.ecdc_data VALUES (16711, 3, 91, 0.29706872, 39, 91);
INSERT INTO public.ecdc_data VALUES (16712, 1, 28, 30.908002, 186, 91);
INSERT INTO public.ecdc_data VALUES (16713, 0, 0, 5.24356353, 209, 91);
INSERT INTO public.ecdc_data VALUES (16714, 6, 84, 23.27234727, 187, 91);
INSERT INTO public.ecdc_data VALUES (16715, 0, 106, 24.02013913, 129, 91);
INSERT INTO public.ecdc_data VALUES (16716, 0, 0, 2.50594143, 130, 91);
INSERT INTO public.ecdc_data VALUES (16717, 0, 6, 1.44537042, 131, 91);
INSERT INTO public.ecdc_data VALUES (16718, 3, 171, 58.02507512, 90, 91);
INSERT INTO public.ecdc_data VALUES (16719, 0, 1, 0.06836735, 210, 91);
INSERT INTO public.ecdc_data VALUES (16720, 0, 0, 1.26337205, 91, 91);
INSERT INTO public.ecdc_data VALUES (16721, 46, 1413, 45.85600783, 92, 91);
INSERT INTO public.ecdc_data VALUES (16722, 9, 111, 2.62679313, 132, 91);
INSERT INTO public.ecdc_data VALUES (16723, 25, 313, 13.07251093, 188, 91);
INSERT INTO public.ecdc_data VALUES (16724, 23, 603, 86.03025684, 189, 91);
INSERT INTO public.ecdc_data VALUES (16725, 1, 0, 21.54493551, 93, 91);
INSERT INTO public.ecdc_data VALUES (16726, 1, 608, 174.11286652, 133, 91);
INSERT INTO public.ecdc_data VALUES (16727, 25, 468, 25.49131168, 190, 91);
INSERT INTO public.ecdc_data VALUES (16728, 57, 5236, 33.81520242, 191, 91);
INSERT INTO public.ecdc_data VALUES (16729, 0, 3, 0.34054178, 40, 91);
INSERT INTO public.ecdc_data VALUES (16730, 0, 0, 7.57088239, 94, 91);
INSERT INTO public.ecdc_data VALUES (16731, 0, 0, 0.54706092, 95, 91);
INSERT INTO public.ecdc_data VALUES (16732, 0, 1, 4.5210818, 96, 91);
INSERT INTO public.ecdc_data VALUES (16733, 0, 12, 522.45087511, 192, 91);
INSERT INTO public.ecdc_data VALUES (16734, 0, 3, 1.39503739, 41, 91);
INSERT INTO public.ecdc_data VALUES (16735, 5, 1141, 28.71439273, 134, 91);
INSERT INTO public.ecdc_data VALUES (16736, 1, 30, 1.2149951, 42, 91);
INSERT INTO public.ecdc_data VALUES (16737, 9, 224, 63.87350289, 193, 91);
INSERT INTO public.ecdc_data VALUES (16738, 0, 0, 1.0231121, 43, 91);
INSERT INTO public.ecdc_data VALUES (16739, 0, 11, 0.69113745, 44, 91);
INSERT INTO public.ecdc_data VALUES (16740, 1, 1016, 146.75218194, 135, 91);
INSERT INTO public.ecdc_data VALUES (16741, 2, 5, 77.85038571, 97, 91);
INSERT INTO public.ecdc_data VALUES (16742, 0, 45, 10.31113009, 194, 91);
INSERT INTO public.ecdc_data VALUES (16743, 2, 13, 12.59065754, 195, 91);
INSERT INTO public.ecdc_data VALUES (16744, 6, 0, 1.80017932, 45, 91);
INSERT INTO public.ecdc_data VALUES (16745, 7, 170, 3.05678445, 46, 91);
INSERT INTO public.ecdc_data VALUES (16746, 2, 8, 0.54465252, 136, 91);
INSERT INTO public.ecdc_data VALUES (16747, 0, 0, 0.01807973, 47, 91);
INSERT INTO public.ecdc_data VALUES (16748, 440, 2916, 95.26374255, 196, 91);
INSERT INTO public.ecdc_data VALUES (16749, 0, 20, 0.66123504, 137, 91);
INSERT INTO public.ecdc_data VALUES (16750, 1, 33, 0.2943015, 48, 91);
INSERT INTO public.ecdc_data VALUES (16751, 0, 0, 0, 98, 91);
INSERT INTO public.ecdc_data VALUES (16752, 77, 722, 73.61548203, 197, 91);
INSERT INTO public.ecdc_data VALUES (16753, 30, 205, 64.08780732, 198, 91);
INSERT INTO public.ecdc_data VALUES (16754, 0, 0, 0.13473827, 138, 91);
INSERT INTO public.ecdc_data VALUES (16755, 0, 1, 0.19769595, 139, 91);
INSERT INTO public.ecdc_data VALUES (16756, 2, 28, 0.59748155, 141, 91);
INSERT INTO public.ecdc_data VALUES (16757, 0, 0, 1.70131156, 142, 91);
INSERT INTO public.ecdc_data VALUES (16758, 0, 2, 0.22270726, 49, 91);
INSERT INTO public.ecdc_data VALUES (16759, 0, 0, 0.57348945, 99, 91);
INSERT INTO public.ecdc_data VALUES (16760, 0, 0, 2.37714093, 50, 91);
INSERT INTO public.ecdc_data VALUES (16761, 117, 3083, 73.71358346, 199, 91);
INSERT INTO public.ecdc_data VALUES (16762, 0, 0, 7.85463685, 100, 91);
INSERT INTO public.ecdc_data VALUES (16763, 0, 3, 0.0180711, 51, 91);
INSERT INTO public.ecdc_data VALUES (16764, 13, 467, 11.19252616, 200, 91);
INSERT INTO public.ecdc_data VALUES (16765, 6, 457, 58.59459358, 143, 91);
INSERT INTO public.ecdc_data VALUES (16766, 847, 4760, 95.09039191, 201, 91);
INSERT INTO public.ecdc_data VALUES (16767, 2, 31, 0.44823366, 52, 91);
INSERT INTO public.ecdc_data VALUES (16768, 1721, 17588, 124.74651012, 101, 91);
INSERT INTO public.ecdc_data VALUES (16769, 0, 0, 8.60593427, 102, 91);
INSERT INTO public.ecdc_data VALUES (16770, 0, 6, 3.5531357, 103, 91);
INSERT INTO public.ecdc_data VALUES (16771, 1, 24, 3.52013229, 144, 91);
INSERT INTO public.ecdc_data VALUES (16772, 0, 3, 0.42432573, 104, 91);
INSERT INTO public.ecdc_data VALUES (16773, 0, 0, 0.01347679, 145, 91);
INSERT INTO public.ecdc_data VALUES (16774, 0, 0, 0.00342913, 146, 91);
INSERT INTO public.ecdc_data VALUES (16775, 0, 9, 0.1959573, 54, 91);
INSERT INTO public.ecdc_data VALUES (16776, 0, 0, 0.11607682, 55, 91);
INSERT INTO public.ecdc_data VALUES (16777, 0, 10, 0.08674678, 105, 92);
INSERT INTO public.ecdc_data VALUES (16778, 0, 13, 3.03937882, 147, 92);
INSERT INTO public.ecdc_data VALUES (16779, 2, 62, 0.43899325, 1, 92);
INSERT INTO public.ecdc_data VALUES (16780, 0, 25, 0, 148, 92);
INSERT INTO public.ecdc_data VALUES (16781, 0, 0, 0, 2, 92);
INSERT INTO public.ecdc_data VALUES (16782, 0, 0, 0, 57, 92);
INSERT INTO public.ecdc_data VALUES (16783, 0, 41, 0.57614138, 58, 92);
INSERT INTO public.ecdc_data VALUES (16784, 0, 4, 6.5590886, 149, 92);
INSERT INTO public.ecdc_data VALUES (16785, 0, 611, 6.46346496, 202, 92);
INSERT INTO public.ecdc_data VALUES (16786, 8, 607, 39.8362076, 150, 92);
INSERT INTO public.ecdc_data VALUES (16787, 0, 12, 0.61705547, 151, 92);
INSERT INTO public.ecdc_data VALUES (16788, 0, 0, 0, 60, 92);
INSERT INTO public.ecdc_data VALUES (16789, 1, 28, 15.53775247, 106, 92);
INSERT INTO public.ecdc_data VALUES (16790, 1, 3, 0, 107, 92);
INSERT INTO public.ecdc_data VALUES (16791, 0, 3, 0, 61, 92);
INSERT INTO public.ecdc_data VALUES (16792, 0, 0, 0.79344853, 152, 92);
INSERT INTO public.ecdc_data VALUES (16793, 47, 486, 40.16404669, 153, 92);
INSERT INTO public.ecdc_data VALUES (16794, 0, 0, 0, 3, 92);
INSERT INTO public.ecdc_data VALUES (16795, 0, 4, 0, 63, 92);
INSERT INTO public.ecdc_data VALUES (16796, 0, 0, 0, 108, 92);
INSERT INTO public.ecdc_data VALUES (16797, 0, 7, 0, 64, 92);
INSERT INTO public.ecdc_data VALUES (16798, 0, 33, 0, 154, 92);
INSERT INTO public.ecdc_data VALUES (16799, 7, 418, 0.72068395, 66, 92);
INSERT INTO public.ecdc_data VALUES (16800, 0, 5, 0, 109, 92);
INSERT INTO public.ecdc_data VALUES (16801, 0, 22, 2.64284242, 155, 92);
INSERT INTO public.ecdc_data VALUES (16802, 0, 0, 0, 5, 92);
INSERT INTO public.ecdc_data VALUES (16803, 0, 35, 0.51557203, 110, 92);
INSERT INTO public.ecdc_data VALUES (16804, 0, 0, 0, 7, 92);
INSERT INTO public.ecdc_data VALUES (16805, 2, 128, 3.6566748, 68, 92);
INSERT INTO public.ecdc_data VALUES (16806, 0, 0, 0, 8, 92);
INSERT INTO public.ecdc_data VALUES (16807, 0, 0, 0, 69, 92);
INSERT INTO public.ecdc_data VALUES (16808, 0, 1, 0, 9, 92);
INSERT INTO public.ecdc_data VALUES (16809, 0, 0, 0, 10, 92);
INSERT INTO public.ecdc_data VALUES (16810, 1, 95, 3.28196946, 70, 92);
INSERT INTO public.ecdc_data VALUES (16811, 9, 138, 0.04359095, 111, 92);
INSERT INTO public.ecdc_data VALUES (16812, 1, 25, 0, 71, 92);
INSERT INTO public.ecdc_data VALUES (16813, 0, 0, 0, 12, 92);
INSERT INTO public.ecdc_data VALUES (16814, 0, 17, 2.55568977, 72, 92);
INSERT INTO public.ecdc_data VALUES (16815, 0, 8, 0, 13, 92);
INSERT INTO public.ecdc_data VALUES (16816, 0, 29, 5.49525225, 156, 92);
INSERT INTO public.ecdc_data VALUES (16817, 0, 10, 0, 73, 92);
INSERT INTO public.ecdc_data VALUES (16818, 0, 11, 0, 157, 92);
INSERT INTO public.ecdc_data VALUES (16819, 1, 170, 10.63869744, 158, 92);
INSERT INTO public.ecdc_data VALUES (16820, 1, 3, 0, 14, 92);
INSERT INTO public.ecdc_data VALUES (16821, 0, 69, 23.37204734, 159, 92);
INSERT INTO public.ecdc_data VALUES (16822, 0, 0, 0, 15, 92);
INSERT INTO public.ecdc_data VALUES (16823, 0, 1, 0, 75, 92);
INSERT INTO public.ecdc_data VALUES (16824, 0, 90, 1.88100204, 76, 92);
INSERT INTO public.ecdc_data VALUES (16825, 7, 257, 4.48379981, 77, 92);
INSERT INTO public.ecdc_data VALUES (16826, 2, 9, 0.24405289, 16, 92);
INSERT INTO public.ecdc_data VALUES (16827, 0, 0, 0, 78, 92);
INSERT INTO public.ecdc_data VALUES (16828, 0, 0, 0, 17, 92);
INSERT INTO public.ecdc_data VALUES (16829, 0, 0, 0, 18, 92);
INSERT INTO public.ecdc_data VALUES (16830, 0, 20, 24.22970668, 160, 92);
INSERT INTO public.ecdc_data VALUES (16831, 0, 3, 0, 19, 92);
INSERT INTO public.ecdc_data VALUES (16832, 0, 2, 0, 20, 92);
INSERT INTO public.ecdc_data VALUES (16833, 0, 23, 230.08813197, 161, 92);
INSERT INTO public.ecdc_data VALUES (16834, 0, 1, 0, 203, 92);
INSERT INTO public.ecdc_data VALUES (16835, 0, 105, 11.00052393, 162, 92);
INSERT INTO public.ecdc_data VALUES (16836, 112, 1559, 22.22259263, 163, 92);
INSERT INTO public.ecdc_data VALUES (16837, 0, 1, 0, 204, 92);
INSERT INTO public.ecdc_data VALUES (16838, 0, 3, 0, 21, 92);
INSERT INTO public.ecdc_data VALUES (16839, 0, 0, 0, 22, 92);
INSERT INTO public.ecdc_data VALUES (16840, 0, 5, 1.02583041, 164, 92);
INSERT INTO public.ecdc_data VALUES (16841, 27, 3311, 28.75478957, 165, 92);
INSERT INTO public.ecdc_data VALUES (16842, 0, 3, 0, 23, 92);
INSERT INTO public.ecdc_data VALUES (16843, 0, 5, 0, 166, 92);
INSERT INTO public.ecdc_data VALUES (16844, 2, 94, 5.13772123, 167, 92);
INSERT INTO public.ecdc_data VALUES (16845, 0, 0, 0, 80, 92);
INSERT INTO public.ecdc_data VALUES (16846, 0, 1, 0, 81, 92);
INSERT INTO public.ecdc_data VALUES (16847, 0, 12, 0, 205, 92);
INSERT INTO public.ecdc_data VALUES (16848, 0, 2, 0, 82, 92);
INSERT INTO public.ecdc_data VALUES (16849, 0, 16, 0, 168, 92);
INSERT INTO public.ecdc_data VALUES (16850, 0, 0, 0, 24, 92);
INSERT INTO public.ecdc_data VALUES (16851, 0, 0, 0, 83, 92);
INSERT INTO public.ecdc_data VALUES (16852, 0, 0, 0, 84, 92);
INSERT INTO public.ecdc_data VALUES (16853, 0, 0, 0, 169, 92);
INSERT INTO public.ecdc_data VALUES (16854, 0, 1, 0, 85, 92);
INSERT INTO public.ecdc_data VALUES (16855, 3, 36, 1.62697196, 170, 92);
INSERT INTO public.ecdc_data VALUES (16856, 0, 95, 143.70110171, 171, 92);
INSERT INTO public.ecdc_data VALUES (16857, 3, 119, 0.02963954, 112, 92);
INSERT INTO public.ecdc_data VALUES (16858, 10, 64, 0.18919129, 113, 92);
INSERT INTO public.ecdc_data VALUES (16859, 129, 1028, 18.17789451, 114, 92);
INSERT INTO public.ecdc_data VALUES (16860, 3, 19, 0.45535732, 115, 92);
INSERT INTO public.ecdc_data VALUES (16861, 1, 121, 18.08639055, 172, 92);
INSERT INTO public.ecdc_data VALUES (16862, 0, 0, 0, 173, 92);
INSERT INTO public.ecdc_data VALUES (16863, 0, 188, 12.27789885, 116, 92);
INSERT INTO public.ecdc_data VALUES (16864, 649, 5560, 85.75776895, 174, 92);
INSERT INTO public.ecdc_data VALUES (16865, 0, 0, 0, 86, 92);
INSERT INTO public.ecdc_data VALUES (16866, 5, 43, 0.47374947, 117, 92);
INSERT INTO public.ecdc_data VALUES (16867, 0, 3, 0, 175, 92);
INSERT INTO public.ecdc_data VALUES (16868, 0, 15, 0, 118, 92);
INSERT INTO public.ecdc_data VALUES (16869, 0, 4, 0, 119, 92);
INSERT INTO public.ecdc_data VALUES (16870, 0, 8, 0, 26, 92);
INSERT INTO public.ecdc_data VALUES (16871, 1, 2, 0, 176, 92);
INSERT INTO public.ecdc_data VALUES (16872, 0, 12, 2.94741456, 120, 92);
INSERT INTO public.ecdc_data VALUES (16873, 0, 0, 0, 121, 92);
INSERT INTO public.ecdc_data VALUES (16874, 0, 15, 7.08345139, 177, 92);
INSERT INTO public.ecdc_data VALUES (16875, 0, 18, 3.29652265, 123, 92);
INSERT INTO public.ecdc_data VALUES (16876, 0, 0, 0, 28, 92);
INSERT INTO public.ecdc_data VALUES (16877, 0, 10, 0, 178, 92);
INSERT INTO public.ecdc_data VALUES (16878, 0, 38, 5.08198458, 179, 92);
INSERT INTO public.ecdc_data VALUES (16879, 0, 128, 129.82697339, 180, 92);
INSERT INTO public.ecdc_data VALUES (16880, 0, 0, 0, 30, 92);
INSERT INTO public.ecdc_data VALUES (16881, 6, 123, 3.77780273, 124, 92);
INSERT INTO public.ecdc_data VALUES (16882, 0, 0, 2.44840919, 125, 92);
INSERT INTO public.ecdc_data VALUES (16883, 0, 17, 21.07144232, 181, 92);
INSERT INTO public.ecdc_data VALUES (16884, 0, 0, 0, 33, 92);
INSERT INTO public.ecdc_data VALUES (16885, 1, 14, 0, 34, 92);
INSERT INTO public.ecdc_data VALUES (16886, 0, 49, 0.68194897, 87, 92);
INSERT INTO public.ecdc_data VALUES (16887, 0, 14, 2.32485783, 182, 92);
INSERT INTO public.ecdc_data VALUES (16888, 0, 2, 60.45035515, 183, 92);
INSERT INTO public.ecdc_data VALUES (16889, 0, 0, 0, 126, 92);
INSERT INTO public.ecdc_data VALUES (16890, 0, 7, 0, 184, 92);
INSERT INTO public.ecdc_data VALUES (16891, 0, 0, 0, 88, 92);
INSERT INTO public.ecdc_data VALUES (16892, 1, 19, 0.3153124, 35, 92);
INSERT INTO public.ecdc_data VALUES (16893, 0, 1, 0, 36, 92);
INSERT INTO public.ecdc_data VALUES (16894, 0, 0, 0, 37, 92);
INSERT INTO public.ecdc_data VALUES (16895, 0, 0, 0, 128, 92);
INSERT INTO public.ecdc_data VALUES (16896, 43, 573, 22.7922859, 185, 92);
INSERT INTO public.ecdc_data VALUES (16897, 0, 1, 0, 207, 92);
INSERT INTO public.ecdc_data VALUES (16898, 0, 36, 2.11161804, 208, 92);
INSERT INTO public.ecdc_data VALUES (16899, 0, 0, 0, 89, 92);
INSERT INTO public.ecdc_data VALUES (16900, 0, 0, 0, 38, 92);
INSERT INTO public.ecdc_data VALUES (16901, 0, 8, 0.01492808, 39, 92);
INSERT INTO public.ecdc_data VALUES (16902, 1, 29, 5.4401935, 186, 92);
INSERT INTO public.ecdc_data VALUES (16903, 0, 206, 36.84162717, 187, 92);
INSERT INTO public.ecdc_data VALUES (16904, 0, 3, 0.96482567, 129, 92);
INSERT INTO public.ecdc_data VALUES (16905, 2, 138, 0.35924497, 130, 92);
INSERT INTO public.ecdc_data VALUES (16906, 0, 7, 0.86320733, 131, 92);
INSERT INTO public.ecdc_data VALUES (16907, 0, 68, 7.37088008, 90, 92);
INSERT INTO public.ecdc_data VALUES (16908, 0, 0, 0, 210, 92);
INSERT INTO public.ecdc_data VALUES (16909, 0, 0, 0, 91, 92);
INSERT INTO public.ecdc_data VALUES (16910, 0, 45, 1.09503212, 92, 92);
INSERT INTO public.ecdc_data VALUES (16911, 0, 0, 0.34222305, 132, 92);
INSERT INTO public.ecdc_data VALUES (16912, 2, 98, 1.64064752, 188, 92);
INSERT INTO public.ecdc_data VALUES (16913, 2, 320, 15.27740111, 189, 92);
INSERT INTO public.ecdc_data VALUES (16914, 0, 13, 17.01934733, 133, 92);
INSERT INTO public.ecdc_data VALUES (16915, 2, 66, 2.15303461, 190, 92);
INSERT INTO public.ecdc_data VALUES (16916, 0, 61, 0.24473467, 191, 92);
INSERT INTO public.ecdc_data VALUES (16917, 0, 2, 0, 40, 92);
INSERT INTO public.ecdc_data VALUES (16918, 0, 0, 0, 95, 92);
INSERT INTO public.ecdc_data VALUES (16919, 0, 0, 330.88555423, 192, 92);
INSERT INTO public.ecdc_data VALUES (16920, 0, 119, 1.45906467, 134, 92);
INSERT INTO public.ecdc_data VALUES (16921, 0, 11, 0.41113471, 42, 92);
INSERT INTO public.ecdc_data VALUES (16922, 0, 39, 2.69968942, 193, 92);
INSERT INTO public.ecdc_data VALUES (16923, 0, 0, 0, 43, 92);
INSERT INTO public.ecdc_data VALUES (16924, 0, 23, 5.25468602, 135, 92);
INSERT INTO public.ecdc_data VALUES (16925, 0, 7, 3.3391916, 194, 92);
INSERT INTO public.ecdc_data VALUES (16926, 0, 31, 19.31848981, 195, 92);
INSERT INTO public.ecdc_data VALUES (16927, 0, 0, 0, 45, 92);
INSERT INTO public.ecdc_data VALUES (16928, 0, 34, 0.46449462, 46, 92);
INSERT INTO public.ecdc_data VALUES (16929, 9, 64, 3.08245994, 136, 92);
INSERT INTO public.ecdc_data VALUES (16930, 394, 4646, 84.65592008, 196, 92);
INSERT INTO public.ecdc_data VALUES (16931, 0, 9, 0.40330648, 137, 92);
INSERT INTO public.ecdc_data VALUES (16932, 0, 0, 0, 48, 92);
INSERT INTO public.ecdc_data VALUES (16933, 0, 0, 0, 98, 92);
INSERT INTO public.ecdc_data VALUES (16934, 11, 118, 16.51974036, 197, 92);
INSERT INTO public.ecdc_data VALUES (16935, 4, 894, 77.69885916, 198, 92);
INSERT INTO public.ecdc_data VALUES (16936, 0, 1, 0, 138, 92);
INSERT INTO public.ecdc_data VALUES (16937, 0, 12, 0.50475562, 139, 92);
INSERT INTO public.ecdc_data VALUES (16938, 0, 122, 0.97378002, 141, 92);
INSERT INTO public.ecdc_data VALUES (16939, 0, 0, 0, 142, 92);
INSERT INTO public.ecdc_data VALUES (16940, 0, 0, 0, 49, 92);
INSERT INTO public.ecdc_data VALUES (16941, 0, 1, 0, 99, 92);
INSERT INTO public.ecdc_data VALUES (16942, 2, 15, 0.63276413, 50, 92);
INSERT INTO public.ecdc_data VALUES (16943, 9, 289, 0, 199, 92);
INSERT INTO public.ecdc_data VALUES (16944, 0, 0, 0, 51, 92);
INSERT INTO public.ecdc_data VALUES (16945, 0, 6, 0, 200, 92);
INSERT INTO public.ecdc_data VALUES (16946, 0, 0, 1.2895928, 143, 92);
INSERT INTO public.ecdc_data VALUES (16947, 36, 1198, 12.78675061, 201, 92);
INSERT INTO public.ecdc_data VALUES (16948, 0, 6, 0, 52, 92);
INSERT INTO public.ecdc_data VALUES (16949, 131, 8459, 10.53044497, 101, 92);
INSERT INTO public.ecdc_data VALUES (16950, 0, 23, 0, 103, 92);
INSERT INTO public.ecdc_data VALUES (16951, 0, 13, 0, 144, 92);
INSERT INTO public.ecdc_data VALUES (16952, 0, 0, 0, 104, 92);
INSERT INTO public.ecdc_data VALUES (16953, 0, 26, 0.09433756, 145, 92);
INSERT INTO public.ecdc_data VALUES (16954, 0, 1, 0, 54, 92);
INSERT INTO public.ecdc_data VALUES (16955, 0, 0, 0, 55, 92);
INSERT INTO public.ecdc_data VALUES (16956, 0, 0, 0, 105, 93);
INSERT INTO public.ecdc_data VALUES (16957, 0, 0, 0, 1, 93);
INSERT INTO public.ecdc_data VALUES (16958, 0, 0, 0, 149, 93);
INSERT INTO public.ecdc_data VALUES (16959, 0, 1, 0.031742, 202, 93);
INSERT INTO public.ecdc_data VALUES (16960, 0, 0, 0, 150, 93);
INSERT INTO public.ecdc_data VALUES (16961, 0, 0, 0, 151, 93);
INSERT INTO public.ecdc_data VALUES (16962, 0, 0, 0, 106, 93);
INSERT INTO public.ecdc_data VALUES (16963, 0, 0, 0, 152, 93);
INSERT INTO public.ecdc_data VALUES (16964, 0, 0, 0, 153, 93);
INSERT INTO public.ecdc_data VALUES (16965, 0, 0, 0, 66, 93);
INSERT INTO public.ecdc_data VALUES (16966, 0, 0, 0, 110, 93);
INSERT INTO public.ecdc_data VALUES (16967, 0, 0, 0.00534602, 68, 93);
INSERT INTO public.ecdc_data VALUES (16968, 0, 0, 0, 214, 93);
INSERT INTO public.ecdc_data VALUES (16969, 98, 647, 2.77475607, 111, 93);
INSERT INTO public.ecdc_data VALUES (16970, 0, 0, 0, 156, 93);
INSERT INTO public.ecdc_data VALUES (16971, 0, 0, 0, 158, 93);
INSERT INTO public.ecdc_data VALUES (16972, 0, 0, 0, 159, 93);
INSERT INTO public.ecdc_data VALUES (16973, 0, 0, 0, 76, 93);
INSERT INTO public.ecdc_data VALUES (16974, 0, 0, 0, 77, 93);
INSERT INTO public.ecdc_data VALUES (16975, 0, 0, 0.00099613, 16, 93);
INSERT INTO public.ecdc_data VALUES (16976, 0, 0, 0, 160, 93);
INSERT INTO public.ecdc_data VALUES (16977, 0, 0, 0, 162, 93);
INSERT INTO public.ecdc_data VALUES (16978, 0, 0, 0.00149225, 163, 93);
INSERT INTO public.ecdc_data VALUES (16979, 0, 0, 0, 164, 93);
INSERT INTO public.ecdc_data VALUES (16980, 0, 0, 0.00240908, 165, 93);
INSERT INTO public.ecdc_data VALUES (16981, 0, 0, 0, 167, 93);
INSERT INTO public.ecdc_data VALUES (16982, 0, 0, 0, 171, 93);
INSERT INTO public.ecdc_data VALUES (16983, 0, 0, 0, 112, 93);
INSERT INTO public.ecdc_data VALUES (16984, 0, 0, 0, 113, 93);
INSERT INTO public.ecdc_data VALUES (16985, 1, 10, 0.03376997, 114, 93);
INSERT INTO public.ecdc_data VALUES (16986, 0, 0, 0, 115, 93);
INSERT INTO public.ecdc_data VALUES (16987, 0, 0, 0, 172, 93);
INSERT INTO public.ecdc_data VALUES (16988, 0, 0, 0.01173795, 116, 93);
INSERT INTO public.ecdc_data VALUES (16989, 2, 62, 0.12591215, 174, 93);
INSERT INTO public.ecdc_data VALUES (16990, 0, 27, 0.08434475, 117, 93);
INSERT INTO public.ecdc_data VALUES (16991, 0, 0, 0, 120, 93);
INSERT INTO public.ecdc_data VALUES (16992, 0, 0, 0.01458638, 123, 93);
INSERT INTO public.ecdc_data VALUES (16993, 0, 0, 0, 179, 93);
INSERT INTO public.ecdc_data VALUES (16994, 0, 0, 0, 180, 93);
INSERT INTO public.ecdc_data VALUES (16995, 0, 0, 0.01877947, 124, 93);
INSERT INTO public.ecdc_data VALUES (16996, 0, 1, 0.0015677, 87, 93);
INSERT INTO public.ecdc_data VALUES (16997, 0, 0, 0, 183, 93);
INSERT INTO public.ecdc_data VALUES (16998, 0, 0, 0, 128, 93);
INSERT INTO public.ecdc_data VALUES (16999, 0, 0, 0, 185, 93);
INSERT INTO public.ecdc_data VALUES (17000, 0, 0, 0, 208, 93);
INSERT INTO public.ecdc_data VALUES (17001, 0, 0, 0, 39, 93);
INSERT INTO public.ecdc_data VALUES (17002, 0, 0, 0, 186, 93);
INSERT INTO public.ecdc_data VALUES (17003, 0, 0, 0, 187, 93);
INSERT INTO public.ecdc_data VALUES (17004, 0, 0, 0, 129, 93);
INSERT INTO public.ecdc_data VALUES (17005, 0, 0, 0, 130, 93);
INSERT INTO public.ecdc_data VALUES (17006, 0, 0, 0, 132, 93);
INSERT INTO public.ecdc_data VALUES (17007, 0, 0, 0, 133, 93);
INSERT INTO public.ecdc_data VALUES (17008, 0, 0, 0, 190, 93);
INSERT INTO public.ecdc_data VALUES (17009, 0, 0, 0, 191, 93);
INSERT INTO public.ecdc_data VALUES (17010, 0, 0, 0, 192, 93);
INSERT INTO public.ecdc_data VALUES (17011, 0, 3, 0.84419546, 135, 93);
INSERT INTO public.ecdc_data VALUES (17012, 3, 256, 1.12444391, 136, 93);
INSERT INTO public.ecdc_data VALUES (17013, 0, 0, 0.00213051, 196, 93);
INSERT INTO public.ecdc_data VALUES (17014, 0, 0, 0, 137, 93);
INSERT INTO public.ecdc_data VALUES (17015, 0, 0, 0, 197, 93);
INSERT INTO public.ecdc_data VALUES (17016, 0, 0, 0, 198, 93);
INSERT INTO public.ecdc_data VALUES (17017, 0, 0, 0.03365037, 139, 93);
INSERT INTO public.ecdc_data VALUES (17018, 0, 0, 0.00430876, 141, 93);
INSERT INTO public.ecdc_data VALUES (17019, 0, 2, 0.06140918, 143, 93);
INSERT INTO public.ecdc_data VALUES (17020, 0, 1, 0.01050308, 201, 93);
INSERT INTO public.ecdc_data VALUES (17021, 0, 0, 0.0069895, 101, 93);
INSERT INTO public.ecdc_data VALUES (17022, 0, 0, 0.00207335, 145, 93);
INSERT INTO public.ecdc_data VALUES (17023, 0, 0, 0, 105, 94);
INSERT INTO public.ecdc_data VALUES (17024, 0, 0, 0, 1, 94);
INSERT INTO public.ecdc_data VALUES (17025, 0, 0, 0, 149, 94);
INSERT INTO public.ecdc_data VALUES (17026, 0, 0, 0, 202, 94);
INSERT INTO public.ecdc_data VALUES (17027, 0, 0, 0, 150, 94);
INSERT INTO public.ecdc_data VALUES (17028, 0, 0, 0, 151, 94);
INSERT INTO public.ecdc_data VALUES (17029, 0, 0, 0, 106, 94);
INSERT INTO public.ecdc_data VALUES (17030, 0, 0, 0, 152, 94);
INSERT INTO public.ecdc_data VALUES (17031, 0, 0, 0, 153, 94);
INSERT INTO public.ecdc_data VALUES (17032, 0, 0, 0, 66, 94);
INSERT INTO public.ecdc_data VALUES (17033, 0, 0, 0, 110, 94);
INSERT INTO public.ecdc_data VALUES (17034, 0, 0, 0, 68, 94);
INSERT INTO public.ecdc_data VALUES (17035, 0, 0, 0, 214, 94);
INSERT INTO public.ecdc_data VALUES (17036, 0, 97, 0.03933648, 111, 94);
INSERT INTO public.ecdc_data VALUES (17037, 0, 0, 0, 156, 94);
INSERT INTO public.ecdc_data VALUES (17038, 0, 0, 0, 158, 94);
INSERT INTO public.ecdc_data VALUES (17039, 0, 0, 0, 159, 94);
INSERT INTO public.ecdc_data VALUES (17040, 0, 0, 0, 76, 94);
INSERT INTO public.ecdc_data VALUES (17041, 0, 0, 0, 77, 94);
INSERT INTO public.ecdc_data VALUES (17042, 0, 0, 0, 16, 94);
INSERT INTO public.ecdc_data VALUES (17043, 0, 0, 0, 160, 94);
INSERT INTO public.ecdc_data VALUES (17044, 0, 0, 0, 162, 94);
INSERT INTO public.ecdc_data VALUES (17045, 0, 0, 0, 163, 94);
INSERT INTO public.ecdc_data VALUES (17046, 0, 0, 0, 164, 94);
INSERT INTO public.ecdc_data VALUES (17047, 0, 0, 0, 165, 94);
INSERT INTO public.ecdc_data VALUES (17048, 0, 0, 0, 167, 94);
INSERT INTO public.ecdc_data VALUES (17049, 0, 0, 0, 171, 94);
INSERT INTO public.ecdc_data VALUES (17050, 0, 0, 0, 112, 94);
INSERT INTO public.ecdc_data VALUES (17051, 0, 0, 0, 113, 94);
INSERT INTO public.ecdc_data VALUES (17052, 0, 0, 0, 114, 94);
INSERT INTO public.ecdc_data VALUES (17053, 0, 0, 0, 115, 94);
INSERT INTO public.ecdc_data VALUES (17054, 0, 0, 0, 172, 94);
INSERT INTO public.ecdc_data VALUES (17055, 0, 0, 0, 116, 94);
INSERT INTO public.ecdc_data VALUES (17056, 0, 0, 0, 174, 94);
INSERT INTO public.ecdc_data VALUES (17057, 0, 0, 0.00078827, 117, 94);
INSERT INTO public.ecdc_data VALUES (17058, 0, 0, 0, 120, 94);
INSERT INTO public.ecdc_data VALUES (17059, 0, 0, 0, 123, 94);
INSERT INTO public.ecdc_data VALUES (17060, 0, 0, 0, 179, 94);
INSERT INTO public.ecdc_data VALUES (17061, 0, 0, 0, 180, 94);
INSERT INTO public.ecdc_data VALUES (17062, 0, 0, 0, 124, 94);
INSERT INTO public.ecdc_data VALUES (17063, 0, 0, 0.00078385, 87, 94);
INSERT INTO public.ecdc_data VALUES (17064, 0, 0, 0, 183, 94);
INSERT INTO public.ecdc_data VALUES (17065, 0, 0, 0, 128, 94);
INSERT INTO public.ecdc_data VALUES (17066, 0, 0, 0, 185, 94);
INSERT INTO public.ecdc_data VALUES (17067, 0, 0, 0, 208, 94);
INSERT INTO public.ecdc_data VALUES (17068, 0, 0, 0, 39, 94);
INSERT INTO public.ecdc_data VALUES (17069, 0, 0, 0, 186, 94);
INSERT INTO public.ecdc_data VALUES (17070, 0, 0, 0, 187, 94);
INSERT INTO public.ecdc_data VALUES (17071, 0, 0, 0, 129, 94);
INSERT INTO public.ecdc_data VALUES (17072, 0, 0, 0, 130, 94);
INSERT INTO public.ecdc_data VALUES (17073, 0, 0, 0, 132, 94);
INSERT INTO public.ecdc_data VALUES (17074, 0, 0, 0, 133, 94);
INSERT INTO public.ecdc_data VALUES (17075, 0, 0, 0, 190, 94);
INSERT INTO public.ecdc_data VALUES (17076, 0, 0, 0, 191, 94);
INSERT INTO public.ecdc_data VALUES (17077, 0, 0, 0, 192, 94);
INSERT INTO public.ecdc_data VALUES (17078, 0, 0, 0, 135, 94);
INSERT INTO public.ecdc_data VALUES (17079, 0, 0, 0.00195216, 136, 94);
INSERT INTO public.ecdc_data VALUES (17080, 0, 0, 0, 196, 94);
INSERT INTO public.ecdc_data VALUES (17081, 0, 0, 0, 137, 94);
INSERT INTO public.ecdc_data VALUES (17082, 0, 0, 0, 197, 94);
INSERT INTO public.ecdc_data VALUES (17083, 0, 0, 0, 198, 94);
INSERT INTO public.ecdc_data VALUES (17084, 0, 0, 0.0042063, 139, 94);
INSERT INTO public.ecdc_data VALUES (17085, 0, 0, 0.00574501, 141, 94);
INSERT INTO public.ecdc_data VALUES (17086, 0, 0, 0, 143, 94);
INSERT INTO public.ecdc_data VALUES (17087, 0, 0, 0, 201, 94);
INSERT INTO public.ecdc_data VALUES (17088, 0, 0, 0.00030389, 101, 94);
INSERT INTO public.ecdc_data VALUES (17089, 0, 0, 0, 145, 94);
INSERT INTO public.ecdc_data VALUES (17090, 12, 154, 6.20370926, 105, 95);
INSERT INTO public.ecdc_data VALUES (17091, 13, 737, 296.63638584, 147, 95);
INSERT INTO public.ecdc_data VALUES (17092, 1, 1019, 28.78541439, 1, 95);
INSERT INTO public.ecdc_data VALUES (17093, 0, 65, 1165.70618428, 148, 95);
INSERT INTO public.ecdc_data VALUES (17094, 3, 279, 6.88131791, 2, 95);
INSERT INTO public.ecdc_data VALUES (17095, 0, 0, 0, 56, 95);
INSERT INTO public.ecdc_data VALUES (17096, 0, 0, 8.23765639, 57, 95);
INSERT INTO public.ecdc_data VALUES (17097, 112, 7143, 288.80984934, 58, 95);
INSERT INTO public.ecdc_data VALUES (17098, 21, 1385, 669.43275379, 149, 95);
INSERT INTO public.ecdc_data VALUES (17099, 0, 26, 126.98711316, 59, 95);
INSERT INTO public.ecdc_data VALUES (17100, 0, 18, 0.61500127, 202, 95);
INSERT INTO public.ecdc_data VALUES (17101, 58, 6239, 1065.68910487, 150, 95);
INSERT INTO public.ecdc_data VALUES (17102, 28, 2735, 260.25807449, 151, 95);
INSERT INTO public.ecdc_data VALUES (17103, 0, 28, 115.0233898, 60, 95);
INSERT INTO public.ecdc_data VALUES (17104, 0, 124, 141.78960786, 106, 95);
INSERT INTO public.ecdc_data VALUES (17105, 28, 1847, 16.2634912, 107, 95);
INSERT INTO public.ecdc_data VALUES (17106, 0, 2, 4.52928531, 61, 95);
INSERT INTO public.ecdc_data VALUES (17107, 8, 1588, 181.45638852, 152, 95);
INSERT INTO public.ecdc_data VALUES (17108, 138, 1263, 514.18883771, 153, 95);
INSERT INTO public.ecdc_data VALUES (17109, 5, 54, 264.8898043, 62, 95);
INSERT INTO public.ecdc_data VALUES (17110, 0, 0, 1.4490112, 3, 95);
INSERT INTO public.ecdc_data VALUES (17111, 0, 0, 28.79631407, 63, 95);
INSERT INTO public.ecdc_data VALUES (17112, 0, 1, 2.62090909, 108, 95);
INSERT INTO public.ecdc_data VALUES (17113, 15, 167, 12.9852059, 64, 95);
INSERT INTO public.ecdc_data VALUES (17114, 0, 0, 15.39468114, 65, 95);
INSERT INTO public.ecdc_data VALUES (17115, 40, 1315, 548.22814191, 154, 95);
INSERT INTO public.ecdc_data VALUES (17116, 0, 0, 76.35532879, 4, 95);
INSERT INTO public.ecdc_data VALUES (17117, 376, 32622, 189.16176729, 66, 95);
INSERT INTO public.ecdc_data VALUES (17118, 0, 0, 0, 67, 95);
INSERT INTO public.ecdc_data VALUES (17119, 0, 0, 0, 109, 95);
INSERT INTO public.ecdc_data VALUES (17120, 42, 2279, 660.16775049, 155, 95);
INSERT INTO public.ecdc_data VALUES (17121, 0, 17, 0.67908764, 5, 95);
INSERT INTO public.ecdc_data VALUES (17122, 0, 7, 0.38159409, 6, 95);
INSERT INTO public.ecdc_data VALUES (17123, 0, 1, 0.06672109, 110, 95);
INSERT INTO public.ecdc_data VALUES (17124, 0, 0, 4.5833292, 7, 95);
INSERT INTO public.ecdc_data VALUES (17125, 72, 4992, 175.49900647, 68, 95);
INSERT INTO public.ecdc_data VALUES (17126, 0, 82, 171.47449885, 8, 95);
INSERT INTO public.ecdc_data VALUES (17127, 0, 0, 16.93662622, 69, 95);
INSERT INTO public.ecdc_data VALUES (17128, 0, 0, 0.67436866, 9, 95);
INSERT INTO public.ecdc_data VALUES (17129, 0, 7, 0.56437365, 10, 95);
INSERT INTO public.ecdc_data VALUES (17130, 27, 1558, 101.12898166, 70, 95);
INSERT INTO public.ecdc_data VALUES (17131, 0, 16, 0.01339114, 111, 95);
INSERT INTO public.ecdc_data VALUES (17132, 175, 7049, 206.68881855, 71, 95);
INSERT INTO public.ecdc_data VALUES (17133, 0, 4, 3.87828758, 11, 95);
INSERT INTO public.ecdc_data VALUES (17134, 0, 0, 4.70216173, 12, 95);
INSERT INTO public.ecdc_data VALUES (17135, 0, 0, 258.63976681, 72, 95);
INSERT INTO public.ecdc_data VALUES (17136, 0, 27, 1.21711486, 13, 95);
INSERT INTO public.ecdc_data VALUES (17137, 47, 3573, 875.95302148, 156, 95);
INSERT INTO public.ecdc_data VALUES (17138, 1, 35, 4.68523183, 73, 95);
INSERT INTO public.ecdc_data VALUES (17139, 0, 62, 370.20492831, 74, 95);
INSERT INTO public.ecdc_data VALUES (17140, 0, 245, 295.12535121, 157, 95);
INSERT INTO public.ecdc_data VALUES (17141, 74, 3187, 746.77458732, 158, 95);
INSERT INTO public.ecdc_data VALUES (17142, 4, 52, 0.67979737, 14, 95);
INSERT INTO public.ecdc_data VALUES (17143, 3, 1273, 265.32526846, 159, 95);
INSERT INTO public.ecdc_data VALUES (17144, 0, 1, 5.75210286, 15, 95);
INSERT INTO public.ecdc_data VALUES (17145, 0, 0, 41.77807487, 75, 95);
INSERT INTO public.ecdc_data VALUES (17146, 0, 0, 66.47759182, 76, 95);
INSERT INTO public.ecdc_data VALUES (17147, 44, 1036, 65.55902422, 77, 95);
INSERT INTO public.ecdc_data VALUES (17148, 14, 358, 3.69964258, 16, 95);
INSERT INTO public.ecdc_data VALUES (17149, 5, 0, 32.61770653, 78, 95);
INSERT INTO public.ecdc_data VALUES (17150, 0, 9, 2.80239708, 17, 95);
INSERT INTO public.ecdc_data VALUES (17151, 0, 24, 1.71569896, 18, 95);
INSERT INTO public.ecdc_data VALUES (17152, 0, 299, 259.8088797, 160, 95);
INSERT INTO public.ecdc_data VALUES (17153, 0, 20, 18.81315144, 19, 95);
INSERT INTO public.ecdc_data VALUES (17154, 16, 473, 5.48810659, 20, 95);
INSERT INTO public.ecdc_data VALUES (17155, 0, 0, 88.96797153, 79, 95);
INSERT INTO public.ecdc_data VALUES (17156, 0, 1, 8.21743328, 161, 95);
INSERT INTO public.ecdc_data VALUES (17157, 0, 0, 0.11236523, 203, 95);
INSERT INTO public.ecdc_data VALUES (17158, 0, 469, 69.4283479, 162, 95);
INSERT INTO public.ecdc_data VALUES (17159, 253, 17881, 564.58696158, 163, 95);
INSERT INTO public.ecdc_data VALUES (17160, 1, 162, 1068.08457311, 204, 95);
INSERT INTO public.ecdc_data VALUES (17161, 0, 0, 5.01708109, 21, 95);
INSERT INTO public.ecdc_data VALUES (17162, 1, 21, 1.78898801, 22, 95);
INSERT INTO public.ecdc_data VALUES (17163, 49, 4048, 1175.42650776, 164, 95);
INSERT INTO public.ecdc_data VALUES (17164, 138, 15741, 312.89624487, 165, 95);
INSERT INTO public.ecdc_data VALUES (17165, 0, 243, 6.47645866, 23, 95);
INSERT INTO public.ecdc_data VALUES (17166, 0, 10, 498.42757966, 166, 95);
INSERT INTO public.ecdc_data VALUES (17167, 108, 2309, 329.26172811, 167, 95);
INSERT INTO public.ecdc_data VALUES (17168, 0, 0, 1.76491352, 80, 95);
INSERT INTO public.ecdc_data VALUES (17169, 0, 0, 9.82125319, 81, 95);
INSERT INTO public.ecdc_data VALUES (17170, 3, 97, 858.36396784, 205, 95);
INSERT INTO public.ecdc_data VALUES (17171, 7, 660, 41.90205646, 82, 95);
INSERT INTO public.ecdc_data VALUES (17172, 0, 0, 6.20462865, 168, 95);
INSERT INTO public.ecdc_data VALUES (17173, 0, 0, 3.11637565, 24, 95);
INSERT INTO public.ecdc_data VALUES (17174, 0, 0, 0.41646776, 25, 95);
INSERT INTO public.ecdc_data VALUES (17175, 0, 88, 77.80013414, 83, 95);
INSERT INTO public.ecdc_data VALUES (17176, 0, 0, 0.77243532, 84, 95);
INSERT INTO public.ecdc_data VALUES (17177, 0, 0, 0, 169, 95);
INSERT INTO public.ecdc_data VALUES (17178, 18, 947, 45.08463116, 85, 95);
INSERT INTO public.ecdc_data VALUES (17179, 111, 4320, 665.134789, 170, 95);
INSERT INTO public.ecdc_data VALUES (17180, 0, 18, 57.70453597, 171, 95);
INSERT INTO public.ecdc_data VALUES (17181, 501, 45209, 43.03603326, 112, 95);
INSERT INTO public.ecdc_data VALUES (17182, 96, 4998, 21.97575072, 113, 95);
INSERT INTO public.ecdc_data VALUES (17183, 431, 12931, 202.6897953, 114, 95);
INSERT INTO public.ecdc_data VALUES (17184, 42, 1786, 95.48766593, 115, 95);
INSERT INTO public.ecdc_data VALUES (17185, 4, 341, 107.82506566, 172, 95);
INSERT INTO public.ecdc_data VALUES (17186, 0, 0, 13.0040549, 173, 95);
INSERT INTO public.ecdc_data VALUES (17187, 13, 649, 110.04330953, 116, 95);
INSERT INTO public.ecdc_data VALUES (17188, 692, 34764, 791.98905837, 174, 95);
INSERT INTO public.ecdc_data VALUES (17189, 2, 89, 26.04911275, 86, 95);
INSERT INTO public.ecdc_data VALUES (17190, 11, 2514, 18.20348855, 117, 95);
INSERT INTO public.ecdc_data VALUES (17191, 0, 0, 155.84993877, 175, 95);
INSERT INTO public.ecdc_data VALUES (17192, 56, 3826, 726.2047159, 118, 95);
INSERT INTO public.ecdc_data VALUES (17193, 0, 756, 60.63145112, 119, 95);
INSERT INTO public.ecdc_data VALUES (17194, 17, 1211, 27.8369711, 26, 95);
INSERT INTO public.ecdc_data VALUES (17195, 19, 711, 565.08012762, 176, 95);
INSERT INTO public.ecdc_data VALUES (17196, 2, 426, 202.72982881, 120, 95);
INSERT INTO public.ecdc_data VALUES (17197, 4, 432, 105.39521569, 121, 95);
INSERT INTO public.ecdc_data VALUES (17198, 0, 0, 0, 122, 95);
INSERT INTO public.ecdc_data VALUES (17199, 7, 642, 253.33755563, 177, 95);
INSERT INTO public.ecdc_data VALUES (17200, 10, 1628, 323.61350227, 123, 95);
INSERT INTO public.ecdc_data VALUES (17201, 0, 19, 5.55224355, 27, 95);
INSERT INTO public.ecdc_data VALUES (17202, 0, 0, 2.20765127, 28, 95);
INSERT INTO public.ecdc_data VALUES (17203, 0, 0, 144.13969378, 29, 95);
INSERT INTO public.ecdc_data VALUES (17204, 0, 15, 896.34686539, 178, 95);
INSERT INTO public.ecdc_data VALUES (17205, 17, 1983, 788.10128467, 179, 95);
INSERT INTO public.ecdc_data VALUES (17206, 6, 519, 1186.03537419, 180, 95);
INSERT INTO public.ecdc_data VALUES (17207, 1, 77, 0.35966814, 30, 95);
INSERT INTO public.ecdc_data VALUES (17208, 0, 0, 0.29524258, 31, 95);
INSERT INTO public.ecdc_data VALUES (17209, 3, 1041, 44.82658712, 124, 95);
INSERT INTO public.ecdc_data VALUES (17210, 0, 32, 116.01692792, 125, 95);
INSERT INTO public.ecdc_data VALUES (17211, 1, 113, 2.69610021, 32, 95);
INSERT INTO public.ecdc_data VALUES (17212, 2, 102, 361.25366977, 181, 95);
INSERT INTO public.ecdc_data VALUES (17213, 0, 0, 5.10282186, 206, 95);
INSERT INTO public.ecdc_data VALUES (17214, 1, 62, 6.54042758, 33, 95);
INSERT INTO public.ecdc_data VALUES (17215, 0, 0, 3.30794616, 34, 95);
INSERT INTO public.ecdc_data VALUES (17216, 550, 6719, 55.45734402, 87, 95);
INSERT INTO public.ecdc_data VALUES (17217, 19, 1306, 371.33420623, 182, 95);
INSERT INTO public.ecdc_data VALUES (17218, 0, 4, 296.20674021, 183, 95);
INSERT INTO public.ecdc_data VALUES (17219, 0, 30, 7.65852052, 126, 95);
INSERT INTO public.ecdc_data VALUES (17220, 5, 574, 1329.8359644, 184, 95);
INSERT INTO public.ecdc_data VALUES (17221, 0, 0, 0, 88, 95);
INSERT INTO public.ecdc_data VALUES (17222, 74, 4702, 188.57600699, 35, 95);
INSERT INTO public.ecdc_data VALUES (17223, 2, 104, 4.62358563, 36, 95);
INSERT INTO public.ecdc_data VALUES (17224, 27, 1434, 32.38017089, 127, 95);
INSERT INTO public.ecdc_data VALUES (17225, 2, 99, 25.69628514, 37, 95);
INSERT INTO public.ecdc_data VALUES (17226, 7, 1674, 94.38732218, 128, 95);
INSERT INTO public.ecdc_data VALUES (17227, 48, 6062, 432.60788595, 185, 95);
INSERT INTO public.ecdc_data VALUES (17228, 0, 0, 1.06098169, 207, 95);
INSERT INTO public.ecdc_data VALUES (17229, 0, 9, 0.96172703, 208, 95);
INSERT INTO public.ecdc_data VALUES (17230, 0, 64, 2.04720707, 89, 95);
INSERT INTO public.ecdc_data VALUES (17231, 0, 11, 0.46759604, 38, 95);
INSERT INTO public.ecdc_data VALUES (17232, 1, 246, 1.213155, 39, 95);
INSERT INTO public.ecdc_data VALUES (17233, 25, 1182, 714.87994023, 186, 95);
INSERT INTO public.ecdc_data VALUES (17234, 0, 0, 8.73927254, 209, 95);
INSERT INTO public.ecdc_data VALUES (17235, 0, 0, 154.14176463, 187, 95);
INSERT INTO public.ecdc_data VALUES (17236, 0, 0, 84.28154256, 129, 95);
INSERT INTO public.ecdc_data VALUES (17237, 59, 2665, 14.30700004, 130, 95);
INSERT INTO public.ecdc_data VALUES (17238, 14, 1486, 264.34218984, 131, 95);
INSERT INTO public.ecdc_data VALUES (17239, 14, 1288, 354.90905323, 90, 95);
INSERT INTO public.ecdc_data VALUES (17240, 0, 0, 0.07976191, 210, 95);
INSERT INTO public.ecdc_data VALUES (17241, 5, 799, 126.56432785, 91, 95);
INSERT INTO public.ecdc_data VALUES (17242, 65, 1994, 86.34451273, 92, 95);
INSERT INTO public.ecdc_data VALUES (17243, 55, 1785, 21.17250759, 132, 95);
INSERT INTO public.ecdc_data VALUES (17244, 574, 24213, 847.54060352, 188, 95);
INSERT INTO public.ecdc_data VALUES (17245, 62, 6472, 802.11221261, 189, 95);
INSERT INTO public.ecdc_data VALUES (17246, 21, 1295, 398.37676638, 93, 95);
INSERT INTO public.ecdc_data VALUES (17247, 0, 174, 107.65973028, 133, 95);
INSERT INTO public.ecdc_data VALUES (17248, 160, 9685, 596.50905526, 190, 95);
INSERT INTO public.ecdc_data VALUES (17249, 467, 24822, 213.13990748, 191, 95);
INSERT INTO public.ecdc_data VALUES (17250, 0, 34, 3.22326759, 40, 95);
INSERT INTO public.ecdc_data VALUES (17251, 0, 0, 0, 94, 95);
INSERT INTO public.ecdc_data VALUES (17252, 0, 1, 44.31193413, 95, 95);
INSERT INTO public.ecdc_data VALUES (17253, 0, 0, 7.23373089, 96, 95);
INSERT INTO public.ecdc_data VALUES (17254, 0, 0, 1021.68171132, 192, 95);
INSERT INTO public.ecdc_data VALUES (17255, 0, 5, 7.90521186, 41, 95);
INSERT INTO public.ecdc_data VALUES (17256, 16, 221, 14.02161149, 134, 95);
INSERT INTO public.ecdc_data VALUES (17257, 0, 17, 1.05545029, 42, 95);
INSERT INTO public.ecdc_data VALUES (17258, 28, 5774, 796.83918065, 193, 95);
INSERT INTO public.ecdc_data VALUES (17259, 0, 0, 5.11556051, 43, 95);
INSERT INTO public.ecdc_data VALUES (17260, 0, 6, 0.3071722, 44, 95);
INSERT INTO public.ecdc_data VALUES (17261, 0, 5, 1.619477, 135, 95);
INSERT INTO public.ecdc_data VALUES (17262, 0, 13, 259.50128571, 97, 95);
INSERT INTO public.ecdc_data VALUES (17263, 30, 1861, 396.11618992, 194, 95);
INSERT INTO public.ecdc_data VALUES (17264, 13, 1704, 961.74362346, 195, 95);
INSERT INTO public.ecdc_data VALUES (17265, 0, 0, 0.44788085, 211, 95);
INSERT INTO public.ecdc_data VALUES (17266, 0, 0, 0.99074617, 45, 95);
INSERT INTO public.ecdc_data VALUES (17267, 86, 2646, 50.382297, 46, 95);
INSERT INTO public.ecdc_data VALUES (17268, 2, 330, 6.4538395, 136, 95);
INSERT INTO public.ecdc_data VALUES (17269, 1, 31, 0.83166744, 47, 95);
INSERT INTO public.ecdc_data VALUES (17270, 0, 0, 485.5395715, 196, 95);
INSERT INTO public.ecdc_data VALUES (17271, 9, 491, 29.78840385, 137, 95);
INSERT INTO public.ecdc_data VALUES (17272, 0, 0, 3.7067975, 48, 95);
INSERT INTO public.ecdc_data VALUES (17273, 0, 6, 10.49258381, 98, 95);
INSERT INTO public.ecdc_data VALUES (17274, 51, 4493, 614.983991, 197, 95);
INSERT INTO public.ecdc_data VALUES (17275, 0, 0, 916.6452397, 198, 95);
INSERT INTO public.ecdc_data VALUES (17276, 4, 75, 5.89919281, 138, 95);
INSERT INTO public.ecdc_data VALUES (17277, 0, 6, 0.16825187, 139, 95);
INSERT INTO public.ecdc_data VALUES (17278, 0, 39, 6.41560481, 140, 95);
INSERT INTO public.ecdc_data VALUES (17279, 0, 11, 0.10915528, 141, 95);
INSERT INTO public.ecdc_data VALUES (17280, 0, 0, 0, 142, 95);
INSERT INTO public.ecdc_data VALUES (17281, 0, 33, 4.28092838, 49, 95);
INSERT INTO public.ecdc_data VALUES (17282, 2, 63, 34.83948389, 99, 95);
INSERT INTO public.ecdc_data VALUES (17283, 68, 1206, 153.29993764, 50, 95);
INSERT INTO public.ecdc_data VALUES (17284, 135, 5532, 59.83375275, 199, 95);
INSERT INTO public.ecdc_data VALUES (17285, 0, 0, 86.40100539, 100, 95);
INSERT INTO public.ecdc_data VALUES (17286, 0, 236, 8.13425253, 51, 95);
INSERT INTO public.ecdc_data VALUES (17287, 0, 0, 367.6235678, 200, 95);
INSERT INTO public.ecdc_data VALUES (17288, 1, 1262, 171.46466833, 143, 95);
INSERT INTO public.ecdc_data VALUES (17289, 340, 19875, 483.0546896, 201, 95);
INSERT INTO public.ecdc_data VALUES (17290, 0, 0, 0, 52, 95);
INSERT INTO public.ecdc_data VALUES (17291, 1486, 175494, 677.21591846, 101, 95);
INSERT INTO public.ecdc_data VALUES (17292, 0, 9, 82.23448302, 102, 95);
INSERT INTO public.ecdc_data VALUES (17293, 0, 87, 32.44041781, 103, 95);
INSERT INTO public.ecdc_data VALUES (17294, 0, 0, 8.83216655, 144, 95);
INSERT INTO public.ecdc_data VALUES (17295, 0, 0, 0, 212, 95);
INSERT INTO public.ecdc_data VALUES (17296, 3, 352, 16.52415576, 104, 95);
INSERT INTO public.ecdc_data VALUES (17297, 0, 1, 0.09641091, 145, 95);
INSERT INTO public.ecdc_data VALUES (17298, 0, 0, 0, 213, 95);
INSERT INTO public.ecdc_data VALUES (17299, 0, 0, 0, 53, 95);
INSERT INTO public.ecdc_data VALUES (17300, 1, 1, 0.02057478, 146, 95);
INSERT INTO public.ecdc_data VALUES (17301, 0, 21, 2.72100708, 54, 95);
INSERT INTO public.ecdc_data VALUES (17302, 0, 52, 4.60210469, 55, 95);
INSERT INTO public.ecdc_data VALUES (17303, 2, 135, 2.35004918, 105, 96);
INSERT INTO public.ecdc_data VALUES (17304, 4, 297, 112.42208098, 147, 96);
INSERT INTO public.ecdc_data VALUES (17305, 15, 252, 5.9717018, 1, 96);
INSERT INTO public.ecdc_data VALUES (17306, 1, 188, 1631.72611156, 148, 96);
INSERT INTO public.ecdc_data VALUES (17307, 3, 220, 7.30236659, 2, 96);
INSERT INTO public.ecdc_data VALUES (17308, 0, 0, 0, 56, 96);
INSERT INTO public.ecdc_data VALUES (17309, 0, 3, 14.41589868, 57, 96);
INSERT INTO public.ecdc_data VALUES (17310, 419, 18326, 438.60437566, 58, 96);
INSERT INTO public.ecdc_data VALUES (17311, 20, 1836, 499.53883521, 149, 96);
INSERT INTO public.ecdc_data VALUES (17312, 1, 14, 245.50841878, 59, 96);
INSERT INTO public.ecdc_data VALUES (17313, 0, 14, 1.03955053, 202, 96);
INSERT INTO public.ecdc_data VALUES (17314, 13, 2355, 218.84515636, 150, 96);
INSERT INTO public.ecdc_data VALUES (17315, 7, 714, 54.53974181, 151, 96);
INSERT INTO public.ecdc_data VALUES (17316, 3, 128, 343.52967758, 60, 96);
INSERT INTO public.ecdc_data VALUES (17317, 3, 374, 303.13850413, 106, 96);
INSERT INTO public.ecdc_data VALUES (17318, 24, 1542, 12.25419747, 107, 96);
INSERT INTO public.ecdc_data VALUES (17319, 0, 0, 6.61972469, 61, 96);
INSERT INTO public.ecdc_data VALUES (17320, 4, 733, 86.08387555, 152, 96);
INSERT INTO public.ecdc_data VALUES (17321, 62, 17485, 1177.61578502, 153, 96);
INSERT INTO public.ecdc_data VALUES (17322, 1, 51, 160.62466857, 62, 96);
INSERT INTO public.ecdc_data VALUES (17323, 0, 61, 1.23716746, 3, 96);
INSERT INTO public.ecdc_data VALUES (17324, 0, 0, 9.59877136, 63, 96);
INSERT INTO public.ecdc_data VALUES (17325, 0, 1, 3.66927272, 108, 96);
INSERT INTO public.ecdc_data VALUES (17326, 32, 191, 21.90547778, 64, 96);
INSERT INTO public.ecdc_data VALUES (17327, 0, 0, 19.24335142, 65, 96);
INSERT INTO public.ecdc_data VALUES (17328, 14, 928, 219.44878488, 154, 96);
INSERT INTO public.ecdc_data VALUES (17329, 0, 0, 105.78620595, 4, 96);
INSERT INTO public.ecdc_data VALUES (17330, 566, 24818, 141.23604802, 66, 96);
INSERT INTO public.ecdc_data VALUES (17331, 0, 0, 3.3296707, 67, 96);
INSERT INTO public.ecdc_data VALUES (17332, 0, 0, 0.23078911, 109, 96);
INSERT INTO public.ecdc_data VALUES (17333, 29, 1472, 151.31344268, 155, 96);
INSERT INTO public.ecdc_data VALUES (17334, 0, 0, 0.90545019, 5, 96);
INSERT INTO public.ecdc_data VALUES (17335, 0, 0, 0.30354075, 6, 96);
INSERT INTO public.ecdc_data VALUES (17336, 0, 0, 0.03032777, 110, 96);
INSERT INTO public.ecdc_data VALUES (17337, 0, 0, 2.49648454, 7, 96);
INSERT INTO public.ecdc_data VALUES (17338, 35, 2672, 88.84276346, 68, 96);
INSERT INTO public.ecdc_data VALUES (17339, 3, 132, 256.2116319, 8, 96);
INSERT INTO public.ecdc_data VALUES (17340, 0, 0, 33.87325245, 69, 96);
INSERT INTO public.ecdc_data VALUES (17341, 0, 0, 0.12644412, 9, 96);
INSERT INTO public.ecdc_data VALUES (17342, 3, 5, 0.9594352, 10, 96);
INSERT INTO public.ecdc_data VALUES (17343, 17, 1159, 111.84550894, 70, 96);
INSERT INTO public.ecdc_data VALUES (17344, 0, 22, 0.02475966, 111, 96);
INSERT INTO public.ecdc_data VALUES (17345, 192, 7561, 206.63120965, 71, 96);
INSERT INTO public.ecdc_data VALUES (17346, 0, 0, 1.52781026, 11, 96);
INSERT INTO public.ecdc_data VALUES (17347, 0, 0, 0.70625354, 12, 96);
INSERT INTO public.ecdc_data VALUES (17348, 14, 1503, 315.5583459, 72, 96);
INSERT INTO public.ecdc_data VALUES (17349, 0, 21, 1.66429763, 13, 96);
INSERT INTO public.ecdc_data VALUES (17350, 11, 1424, 241.39858095, 156, 96);
INSERT INTO public.ecdc_data VALUES (17351, 0, 63, 4.14700369, 73, 96);
INSERT INTO public.ecdc_data VALUES (17352, 0, 26, 189.07987248, 74, 96);
INSERT INTO public.ecdc_data VALUES (17353, 0, 127, 122.04603499, 157, 96);
INSERT INTO public.ecdc_data VALUES (17354, 120, 14969, 1066.2641552, 158, 96);
INSERT INTO public.ecdc_data VALUES (17355, 0, 0, 0.30072392, 14, 96);
INSERT INTO public.ecdc_data VALUES (17356, 2, 630, 108.38636251, 159, 96);
INSERT INTO public.ecdc_data VALUES (17357, 0, 13, 9.1417349, 15, 96);
INSERT INTO public.ecdc_data VALUES (17358, 0, 0, 2.78520499, 75, 96);
INSERT INTO public.ecdc_data VALUES (17359, 2, 425, 58.19932047, 76, 96);
INSERT INTO public.ecdc_data VALUES (17360, 49, 1510, 69.61113599, 77, 96);
INSERT INTO public.ecdc_data VALUES (17361, 13, 178, 1.84085608, 16, 96);
INSERT INTO public.ecdc_data VALUES (17362, 3, 145, 35.29840165, 78, 96);
INSERT INTO public.ecdc_data VALUES (17363, 0, 0, 0.8849675, 17, 96);
INSERT INTO public.ecdc_data VALUES (17364, 0, 0, 1.54412906, 18, 96);
INSERT INTO public.ecdc_data VALUES (17365, 0, 44, 34.41977023, 160, 96);
INSERT INTO public.ecdc_data VALUES (17366, 0, 5, 16.37440958, 19, 96);
INSERT INTO public.ecdc_data VALUES (17367, 13, 628, 9.12126705, 20, 96);
INSERT INTO public.ecdc_data VALUES (17368, 0, 0, 0, 79, 96);
INSERT INTO public.ecdc_data VALUES (17369, 0, 0, 24.65229985, 161, 96);
INSERT INTO public.ecdc_data VALUES (17370, 0, 0, 0.11236523, 203, 96);
INSERT INTO public.ecdc_data VALUES (17371, 2, 222, 54.76702358, 162, 96);
INSERT INTO public.ecdc_data VALUES (17372, 163, 26676, 453.51279693, 163, 96);
INSERT INTO public.ecdc_data VALUES (17373, 0, 62, 830.69266162, 204, 96);
INSERT INTO public.ecdc_data VALUES (17374, 0, 17, 3.95843095, 21, 96);
INSERT INTO public.ecdc_data VALUES (17375, 0, 2, 1.87417792, 22, 96);
INSERT INTO public.ecdc_data VALUES (17376, 14, 1351, 286.60700837, 164, 96);
INSERT INTO public.ecdc_data VALUES (17377, 30, 11287, 98.65788537, 165, 96);
INSERT INTO public.ecdc_data VALUES (17378, 0, 0, 2.07772684, 23, 96);
INSERT INTO public.ecdc_data VALUES (17379, 0, 13, 522.16222631, 166, 96);
INSERT INTO public.ecdc_data VALUES (17380, 6, 865, 59.55467426, 167, 96);
INSERT INTO public.ecdc_data VALUES (17381, 0, 0, 3.52982704, 80, 96);
INSERT INTO public.ecdc_data VALUES (17382, 0, 0, 2.6785236, 81, 96);
INSERT INTO public.ecdc_data VALUES (17383, 2, 82, 687.40847007, 205, 96);
INSERT INTO public.ecdc_data VALUES (17384, 21, 196, 38.17085664, 82, 96);
INSERT INTO public.ecdc_data VALUES (17385, 0, 1, 4.65347149, 168, 96);
INSERT INTO public.ecdc_data VALUES (17386, 1, 97, 6.04482914, 24, 96);
INSERT INTO public.ecdc_data VALUES (17387, 0, 0, 2.13439727, 25, 96);
INSERT INTO public.ecdc_data VALUES (17388, 2, 54, 71.28485197, 83, 96);
INSERT INTO public.ecdc_data VALUES (17389, 0, 3, 1.25187793, 84, 96);
INSERT INTO public.ecdc_data VALUES (17390, 0, 0, 1717.79141104, 169, 96);
INSERT INTO public.ecdc_data VALUES (17391, 14, 846, 103.24113762, 85, 96);
INSERT INTO public.ecdc_data VALUES (17392, 46, 2032, 185.88410475, 170, 96);
INSERT INTO public.ecdc_data VALUES (17393, 0, 37, 296.36601483, 171, 96);
INSERT INTO public.ecdc_data VALUES (17394, 702, 55839, 63.76461343, 112, 96);
INSERT INTO public.ecdc_data VALUES (17395, 123, 4267, 21.20826965, 113, 96);
INSERT INTO public.ecdc_data VALUES (17396, 312, 5616, 74.10338337, 114, 96);
INSERT INTO public.ecdc_data VALUES (17397, 52, 3667, 120.125295, 115, 96);
INSERT INTO public.ecdc_data VALUES (17398, 3, 1166, 282.16400502, 172, 96);
INSERT INTO public.ecdc_data VALUES (17399, 0, 0, 3.54656043, 173, 96);
INSERT INTO public.ecdc_data VALUES (17400, 13, 832, 303.47303728, 116, 96);
INSERT INTO public.ecdc_data VALUES (17401, 127, 15199, 191.6979296, 174, 96);
INSERT INTO public.ecdc_data VALUES (17402, 0, 71, 42.53331692, 86, 96);
INSERT INTO public.ecdc_data VALUES (17403, 6, 591, 5.91516815, 117, 96);
INSERT INTO public.ecdc_data VALUES (17404, 0, 7, 76.06961297, 175, 96);
INSERT INTO public.ecdc_data VALUES (17405, 29, 2648, 231.84223403, 118, 96);
INSERT INTO public.ecdc_data VALUES (17406, 2, 322, 19.8960425, 119, 96);
INSERT INTO public.ecdc_data VALUES (17407, 16, 497, 11.86328587, 26, 96);
INSERT INTO public.ecdc_data VALUES (17408, 0, 124, 73.67225909, 176, 96);
INSERT INTO public.ecdc_data VALUES (17409, 7, 813, 232.65559437, 120, 96);
INSERT INTO public.ecdc_data VALUES (17410, 4, 547, 92.10001916, 121, 96);
INSERT INTO public.ecdc_data VALUES (17411, 0, 1, 0.01394806, 122, 96);
INSERT INTO public.ecdc_data VALUES (17412, 2, 188, 80.00133336, 177, 96);
INSERT INTO public.ecdc_data VALUES (17413, 5, 1241, 250.8857946, 123, 96);
INSERT INTO public.ecdc_data VALUES (17414, 1, 85, 11.0574342, 27, 96);
INSERT INTO public.ecdc_data VALUES (17415, 0, 1, 0.60761044, 28, 96);
INSERT INTO public.ecdc_data VALUES (17416, 19, 719, 178.71020279, 29, 96);
INSERT INTO public.ecdc_data VALUES (17417, 0, 13, 343.947053, 178, 96);
INSERT INTO public.ecdc_data VALUES (17418, 2, 311, 98.63344719, 179, 96);
INSERT INTO public.ecdc_data VALUES (17419, 2, 430, 415.70694615, 180, 96);
INSERT INTO public.ecdc_data VALUES (17420, 0, 0, 0.65630165, 30, 96);
INSERT INTO public.ecdc_data VALUES (17421, 1, 3, 0.32745087, 31, 96);
INSERT INTO public.ecdc_data VALUES (17422, 6, 732, 28.05652332, 124, 96);
INSERT INTO public.ecdc_data VALUES (17423, 0, 45, 124.30385135, 125, 96);
INSERT INTO public.ecdc_data VALUES (17424, 0, 17, 1.10896197, 32, 96);
INSERT INTO public.ecdc_data VALUES (17425, 3, 111, 330.65955641, 181, 96);
INSERT INTO public.ecdc_data VALUES (17426, 0, 13, 2.45266034, 33, 96);
INSERT INTO public.ecdc_data VALUES (17427, 0, 0, 1.89025495, 34, 96);
INSERT INTO public.ecdc_data VALUES (17428, 522, 6845, 38.36629202, 87, 96);
INSERT INTO public.ecdc_data VALUES (17429, 13, 833, 247.25110295, 182, 96);
INSERT INTO public.ecdc_data VALUES (17430, 0, 2, 139.03581684, 183, 96);
INSERT INTO public.ecdc_data VALUES (17431, 0, 1, 0.40308003, 126, 96);
INSERT INTO public.ecdc_data VALUES (17432, 3, 177, 526.37331199, 184, 96);
INSERT INTO public.ecdc_data VALUES (17433, 0, 0, 0, 88, 96);
INSERT INTO public.ecdc_data VALUES (17434, 70, 3577, 116.68203837, 35, 96);
INSERT INTO public.ecdc_data VALUES (17435, 1, 141, 6.04952051, 36, 96);
INSERT INTO public.ecdc_data VALUES (17436, 27, 1194, 33.79194634, 127, 96);
INSERT INTO public.ecdc_data VALUES (17437, 1, 39, 27.74076337, 37, 96);
INSERT INTO public.ecdc_data VALUES (17438, 26, 5743, 176.93559463, 128, 96);
INSERT INTO public.ecdc_data VALUES (17439, 59, 8738, 596.12908407, 185, 96);
INSERT INTO public.ecdc_data VALUES (17440, 0, 0, 0, 207, 96);
INSERT INTO public.ecdc_data VALUES (17441, 0, 2, 1.04535546, 208, 96);
INSERT INTO public.ecdc_data VALUES (17442, 0, 0, 2.597203, 89, 96);
INSERT INTO public.ecdc_data VALUES (17443, 0, 2, 0.06005821, 38, 96);
INSERT INTO public.ecdc_data VALUES (17444, 0, 37, 0.95987531, 39, 96);
INSERT INTO public.ecdc_data VALUES (17445, 12, 640, 261.08114458, 186, 96);
INSERT INTO public.ecdc_data VALUES (17446, 0, 0, 22.72210861, 209, 96);
INSERT INTO public.ecdc_data VALUES (17447, 1, 168, 37.2920597, 187, 96);
INSERT INTO public.ecdc_data VALUES (17448, 15, 451, 161.18618884, 129, 96);
INSERT INTO public.ecdc_data VALUES (17449, 10, 736, 3.94615358, 130, 96);
INSERT INTO public.ecdc_data VALUES (17450, 4, 569, 124.96431742, 131, 96);
INSERT INTO public.ecdc_data VALUES (17451, 12, 696, 215.12137226, 90, 96);
INSERT INTO public.ecdc_data VALUES (17452, 0, 2, 0.47857145, 210, 96);
INSERT INTO public.ecdc_data VALUES (17453, 19, 746, 147.40286905, 91, 96);
INSERT INTO public.ecdc_data VALUES (17454, 62, 2767, 126.79918237, 92, 96);
INSERT INTO public.ecdc_data VALUES (17455, 57, 1468, 30.15817494, 132, 96);
INSERT INTO public.ecdc_data VALUES (17456, 130, 10040, 250.8636969, 188, 96);
INSERT INTO public.ecdc_data VALUES (17457, 16, 2535, 243.4166808, 189, 96);
INSERT INTO public.ecdc_data VALUES (17458, 5, 187, 240.74420025, 93, 96);
INSERT INTO public.ecdc_data VALUES (17459, 1, 266, 106.9535333, 133, 96);
INSERT INTO public.ecdc_data VALUES (17460, 69, 4848, 249.97864993, 190, 96);
INSERT INTO public.ecdc_data VALUES (17461, 317, 15700, 136.22603777, 191, 96);
INSERT INTO public.ecdc_data VALUES (17462, 0, 15, 1.02162535, 40, 96);
INSERT INTO public.ecdc_data VALUES (17463, 0, 0, 0, 94, 96);
INSERT INTO public.ecdc_data VALUES (17464, 0, 3, 6.01767007, 95, 96);
INSERT INTO public.ecdc_data VALUES (17465, 0, 0, 3.61686544, 96, 96);
INSERT INTO public.ecdc_data VALUES (17466, 0, 8, 66.75761182, 192, 96);
INSERT INTO public.ecdc_data VALUES (17467, 0, 2, 9.76526171, 41, 96);
INSERT INTO public.ecdc_data VALUES (17468, 18, 405, 16.52244834, 134, 96);
INSERT INTO public.ecdc_data VALUES (17469, 1, 25, 1.90226506, 42, 96);
INSERT INTO public.ecdc_data VALUES (17470, 0, 512, 42.03186667, 193, 96);
INSERT INTO public.ecdc_data VALUES (17471, 0, 2, 3.06933631, 43, 96);
INSERT INTO public.ecdc_data VALUES (17472, 0, 1, 0.63994209, 44, 96);
INSERT INTO public.ecdc_data VALUES (17473, 0, 12, 1.60224852, 135, 96);
INSERT INTO public.ecdc_data VALUES (17474, 0, 13, 188.72820779, 97, 96);
INSERT INTO public.ecdc_data VALUES (17475, 0, 2202, 347.00071793, 194, 96);
INSERT INTO public.ecdc_data VALUES (17476, 1, 1508, 425.72761506, 195, 96);
INSERT INTO public.ecdc_data VALUES (17477, 0, 0, 0, 211, 96);
INSERT INTO public.ecdc_data VALUES (17478, 0, 0, 0.93894245, 45, 96);
INSERT INTO public.ecdc_data VALUES (17479, 85, 2055, 39.6254896, 46, 96);
INSERT INTO public.ecdc_data VALUES (17480, 3, 119, 2.18837086, 136, 96);
INSERT INTO public.ecdc_data VALUES (17481, 0, 23, 1.22942143, 47, 96);
INSERT INTO public.ecdc_data VALUES (17482, 155, 20986, 379.13963934, 196, 96);
INSERT INTO public.ecdc_data VALUES (17483, 0, 167, 7.12351786, 137, 96);
INSERT INTO public.ecdc_data VALUES (17484, 0, 0, 0.13080067, 48, 96);
INSERT INTO public.ecdc_data VALUES (17485, 0, 6, 29.41363657, 98, 96);
INSERT INTO public.ecdc_data VALUES (17486, 3, 1570, 105.56016338, 197, 96);
INSERT INTO public.ecdc_data VALUES (17487, 11, 5596, 412.67351604, 198, 96);
INSERT INTO public.ecdc_data VALUES (17488, 3, 44, 4.21789357, 138, 96);
INSERT INTO public.ecdc_data VALUES (17489, 0, 1, 0.08412594, 139, 96);
INSERT INTO public.ecdc_data VALUES (17490, 0, 39, 5.98646737, 140, 96);
INSERT INTO public.ecdc_data VALUES (17491, 0, 10, 0.13931661, 141, 96);
INSERT INTO public.ecdc_data VALUES (17492, 0, 0, 0.07733234, 142, 96);
INSERT INTO public.ecdc_data VALUES (17493, 0, 16, 2.74672283, 49, 96);
INSERT INTO public.ecdc_data VALUES (17494, 3, 59, 36.20152132, 99, 96);
INSERT INTO public.ecdc_data VALUES (17495, 29, 1442, 172.10329344, 50, 96);
INSERT INTO public.ecdc_data VALUES (17496, 68, 2013, 29.61811003, 199, 96);
INSERT INTO public.ecdc_data VALUES (17497, 0, 0, 7.85463685, 100, 96);
INSERT INTO public.ecdc_data VALUES (17498, 1, 145, 3.77911816, 51, 96);
INSERT INTO public.ecdc_data VALUES (17499, 141, 6719, 173.86375572, 200, 96);
INSERT INTO public.ecdc_data VALUES (17500, 2, 1538, 176.98125976, 143, 96);
INSERT INTO public.ecdc_data VALUES (17501, 191, 26687, 367.53880648, 201, 96);
INSERT INTO public.ecdc_data VALUES (17502, 0, 0, 0, 52, 96);
INSERT INTO public.ecdc_data VALUES (17503, 1135, 62978, 239.00694342, 101, 96);
INSERT INTO public.ecdc_data VALUES (17504, 0, 6, 20.0805133, 102, 96);
INSERT INTO public.ecdc_data VALUES (17505, 1, 40, 13.20148793, 103, 96);
INSERT INTO public.ecdc_data VALUES (17506, 4, 325, 13.4316848, 144, 96);
INSERT INTO public.ecdc_data VALUES (17507, 6, 391, 26.76057568, 104, 96);
INSERT INTO public.ecdc_data VALUES (17508, 0, 4, 0.04768712, 145, 96);
INSERT INTO public.ecdc_data VALUES (17509, 0, 0, 0, 213, 96);
INSERT INTO public.ecdc_data VALUES (17510, 0, 0, 0, 53, 96);
INSERT INTO public.ecdc_data VALUES (17511, 0, 1, 0.02743303, 146, 96);
INSERT INTO public.ecdc_data VALUES (17512, 0, 18, 4.34465328, 54, 96);
INSERT INTO public.ecdc_data VALUES (17513, 3, 28, 2.02110236, 55, 96);
INSERT INTO public.ecdc_data VALUES (17514, 3, 30, 1.52464041, 105, 97);
INSERT INTO public.ecdc_data VALUES (17515, 2, 150, 74.37744264, 147, 97);
INSERT INTO public.ecdc_data VALUES (17516, 7, 197, 7.82755156, 1, 97);
INSERT INTO public.ecdc_data VALUES (17517, 0, 117, 551.34751959, 148, 97);
INSERT INTO public.ecdc_data VALUES (17518, 2, 126, 3.61976175, 2, 97);
INSERT INTO public.ecdc_data VALUES (17519, 0, 0, 0, 56, 97);
INSERT INTO public.ecdc_data VALUES (17520, 0, 0, 1.02970705, 57, 97);
INSERT INTO public.ecdc_data VALUES (17521, 573, 17213, 360.32284015, 58, 97);
INSERT INTO public.ecdc_data VALUES (17522, 6, 121, 91.52295275, 149, 97);
INSERT INTO public.ecdc_data VALUES (17523, 1, 36, 1039.41303734, 59, 97);
INSERT INTO public.ecdc_data VALUES (17524, 2, 14, 2.34097257, 202, 97);
INSERT INTO public.ecdc_data VALUES (17525, 1, 593, 106.61744993, 150, 97);
INSERT INTO public.ecdc_data VALUES (17526, 1, 92, 18.5315692, 151, 97);
INSERT INTO public.ecdc_data VALUES (17527, 1, 48, 213.87161541, 60, 97);
INSERT INTO public.ecdc_data VALUES (17528, 0, 540, 546.13676634, 106, 97);
INSERT INTO public.ecdc_data VALUES (17529, 40, 1705, 14.2671242, 107, 97);
INSERT INTO public.ecdc_data VALUES (17530, 0, 0, 3.48406563, 61, 97);
INSERT INTO public.ecdc_data VALUES (17531, 5, 224, 30.33089237, 152, 97);
INSERT INTO public.ecdc_data VALUES (17532, 3, 2204, 142.03634074, 153, 97);
INSERT INTO public.ecdc_data VALUES (17533, 0, 8, 84.02693986, 62, 97);
INSERT INTO public.ecdc_data VALUES (17534, 0, 14, 0.68637373, 3, 97);
INSERT INTO public.ecdc_data VALUES (17535, 0, 0, 7.99897613, 63, 97);
INSERT INTO public.ecdc_data VALUES (17536, 0, 0, 3.66927272, 108, 97);
INSERT INTO public.ecdc_data VALUES (17537, 37, 310, 81.48976705, 64, 97);
INSERT INTO public.ecdc_data VALUES (17538, 0, 20, 142.40080052, 65, 97);
INSERT INTO public.ecdc_data VALUES (17539, 6, 92, 116.81315772, 154, 97);
INSERT INTO public.ecdc_data VALUES (17540, 0, 0, 19.14309266, 4, 97);
INSERT INTO public.ecdc_data VALUES (17541, 377, 13439, 194.39703153, 66, 97);
INSERT INTO public.ecdc_data VALUES (17542, 0, 0, 26.63736556, 67, 97);
INSERT INTO public.ecdc_data VALUES (17543, 0, 0, 0, 109, 97);
INSERT INTO public.ecdc_data VALUES (17544, 4, 151, 26.68556561, 155, 97);
INSERT INTO public.ecdc_data VALUES (17545, 0, 50, 2.13076049, 5, 97);
INSERT INTO public.ecdc_data VALUES (17546, 0, 1, 0.06938074, 6, 97);
INSERT INTO public.ecdc_data VALUES (17547, 0, 0, 0.00606555, 110, 97);
INSERT INTO public.ecdc_data VALUES (17548, 0, 167, 3.84133998, 7, 97);
INSERT INTO public.ecdc_data VALUES (17549, 11, 1766, 35.47883381, 68, 97);
INSERT INTO public.ecdc_data VALUES (17550, 0, 0, 163.47356783, 8, 97);
INSERT INTO public.ecdc_data VALUES (17551, 0, 1, 7.69846647, 69, 97);
INSERT INTO public.ecdc_data VALUES (17552, 0, 0, 1.34873732, 9, 97);
INSERT INTO public.ecdc_data VALUES (17553, 0, 2, 0.70860247, 10, 97);
INSERT INTO public.ecdc_data VALUES (17554, 12, 1194, 122.38263595, 70, 97);
INSERT INTO public.ecdc_data VALUES (17555, 0, 12, 0.02106315, 111, 97);
INSERT INTO public.ecdc_data VALUES (17556, 189, 5359, 195.84443952, 71, 97);
INSERT INTO public.ecdc_data VALUES (17557, 0, 0, 2.11542959, 11, 97);
INSERT INTO public.ecdc_data VALUES (17558, 0, 16, 2.06300376, 12, 97);
INSERT INTO public.ecdc_data VALUES (17559, 39, 1890, 333.26987034, 72, 97);
INSERT INTO public.ecdc_data VALUES (17560, 0, 7, 2.43422972, 13, 97);
INSERT INTO public.ecdc_data VALUES (17561, 5, 70, 71.41374686, 156, 97);
INSERT INTO public.ecdc_data VALUES (17562, 1, 50, 6.96167216, 73, 97);
INSERT INTO public.ecdc_data VALUES (17563, 0, 14, 110.14361504, 74, 97);
INSERT INTO public.ecdc_data VALUES (17564, 0, 3, 10.61766254, 157, 97);
INSERT INTO public.ecdc_data VALUES (17565, 19, 1524, 207.02736202, 158, 97);
INSERT INTO public.ecdc_data VALUES (17566, 0, 4, 0.3295289, 14, 97);
INSERT INTO public.ecdc_data VALUES (17567, 5, 1476, 89.73350527, 159, 97);
INSERT INTO public.ecdc_data VALUES (17568, 0, 1, 1.64345796, 15, 97);
INSERT INTO public.ecdc_data VALUES (17569, 0, 0, 5.57040998, 75, 97);
INSERT INTO public.ecdc_data VALUES (17570, 7, 494, 82.73615399, 76, 97);
INSERT INTO public.ecdc_data VALUES (17571, 5, 292, 95.65631461, 77, 97);
INSERT INTO public.ecdc_data VALUES (17572, 17, 126, 2.09188191, 16, 97);
INSERT INTO public.ecdc_data VALUES (17573, 2, 245, 21.46105632, 78, 97);
INSERT INTO public.ecdc_data VALUES (17574, 0, 16, 3.39237542, 17, 97);
INSERT INTO public.ecdc_data VALUES (17575, 0, 0, 0.97222941, 18, 97);
INSERT INTO public.ecdc_data VALUES (17576, 0, 17, 30.94760043, 160, 97);
INSERT INTO public.ecdc_data VALUES (17577, 0, 13, 34.66497348, 19, 97);
INSERT INTO public.ecdc_data VALUES (17578, 12, 889, 8.9767258, 20, 97);
INSERT INTO public.ecdc_data VALUES (17579, 0, 0, 0, 79, 97);
INSERT INTO public.ecdc_data VALUES (17580, 0, 3, 49.30459971, 161, 97);
INSERT INTO public.ecdc_data VALUES (17581, 0, 0, 0.11236523, 203, 97);
INSERT INTO public.ecdc_data VALUES (17582, 2, 66, 13.03027464, 162, 97);
INSERT INTO public.ecdc_data VALUES (17583, 53, 4298, 192.62117107, 163, 97);
INSERT INTO public.ecdc_data VALUES (17584, 0, 14, 222.35350986, 204, 97);
INSERT INTO public.ecdc_data VALUES (17585, 1, 8, 4.41871362, 21, 97);
INSERT INTO public.ecdc_data VALUES (17586, 2, 14, 14.61006877, 22, 97);
INSERT INTO public.ecdc_data VALUES (17587, 2, 218, 55.77014593, 164, 97);
INSERT INTO public.ecdc_data VALUES (17588, 10, 1821, 26.33125419, 165, 97);
INSERT INTO public.ecdc_data VALUES (17589, 0, 58, 3.45191959, 23, 97);
INSERT INTO public.ecdc_data VALUES (17590, 0, 0, 103.8390791, 166, 97);
INSERT INTO public.ecdc_data VALUES (17591, 6, 453, 36.66337548, 167, 97);
INSERT INTO public.ecdc_data VALUES (17592, 0, 0, 0, 80, 97);
INSERT INTO public.ecdc_data VALUES (17593, 0, 0, 0, 81, 97);
INSERT INTO public.ecdc_data VALUES (17594, 3, 30, 284.52733196, 205, 97);
INSERT INTO public.ecdc_data VALUES (17595, 5, 237, 44.66632949, 82, 97);
INSERT INTO public.ecdc_data VALUES (17596, 0, 1, 4.65347149, 168, 97);
INSERT INTO public.ecdc_data VALUES (17597, 1, 19, 4.2752289, 24, 97);
INSERT INTO public.ecdc_data VALUES (17598, 0, 0, 3.01939126, 25, 97);
INSERT INTO public.ecdc_data VALUES (17599, 1, 133, 107.56603111, 83, 97);
INSERT INTO public.ecdc_data VALUES (17600, 0, 5, 2.32618452, 84, 97);
INSERT INTO public.ecdc_data VALUES (17601, 0, 0, 0, 169, 97);
INSERT INTO public.ecdc_data VALUES (17602, 20, 459, 74.50148085, 85, 97);
INSERT INTO public.ecdc_data VALUES (17603, 8, 633, 107.80991565, 170, 97);
INSERT INTO public.ecdc_data VALUES (17604, 0, 31, 65.54787095, 171, 97);
INSERT INTO public.ecdc_data VALUES (17605, 1053, 75083, 93.83960318, 112, 97);
INSERT INTO public.ecdc_data VALUES (17606, 124, 4176, 19.16411689, 113, 97);
INSERT INTO public.ecdc_data VALUES (17607, 177, 3341, 44.22781113, 114, 97);
INSERT INTO public.ecdc_data VALUES (17608, 70, 3821, 147.98349592, 115, 97);
INSERT INTO public.ecdc_data VALUES (17609, 0, 188, 68.24706784, 172, 97);
INSERT INTO public.ecdc_data VALUES (17610, 0, 1, 3.54656043, 173, 97);
INSERT INTO public.ecdc_data VALUES (17611, 17, 4152, 675.35486473, 116, 97);
INSERT INTO public.ecdc_data VALUES (17612, 17, 1350, 34.33094079, 174, 97);
INSERT INTO public.ecdc_data VALUES (17613, 3, 134, 65.76722608, 86, 97);
INSERT INTO public.ecdc_data VALUES (17614, 8, 781, 5.67868755, 117, 97);
INSERT INTO public.ecdc_data VALUES (17615, 0, 3, 11.13213848, 175, 97);
INSERT INTO public.ecdc_data VALUES (17616, 2, 266, 25.41157194, 118, 97);
INSERT INTO public.ecdc_data VALUES (17617, 1, 87, 23.38903507, 119, 97);
INSERT INTO public.ecdc_data VALUES (17618, 2, 98, 3.5645018, 26, 97);
INSERT INTO public.ecdc_data VALUES (17619, 2, 79, 52.15439926, 176, 97);
INSERT INTO public.ecdc_data VALUES (17620, 1, 530, 227.64023573, 120, 97);
INSERT INTO public.ecdc_data VALUES (17621, 0, 71, 15.83577923, 121, 97);
INSERT INTO public.ecdc_data VALUES (17622, 0, 0, 0.01394806, 122, 97);
INSERT INTO public.ecdc_data VALUES (17623, 0, 1, 5.05216754, 177, 97);
INSERT INTO public.ecdc_data VALUES (17624, 10, 684, 133.62585839, 123, 97);
INSERT INTO public.ecdc_data VALUES (17625, 0, 0, 12.98660357, 27, 97);
INSERT INTO public.ecdc_data VALUES (17626, 0, 1, 0.50634204, 28, 97);
INSERT INTO public.ecdc_data VALUES (17627, 16, 847, 147.00212602, 29, 97);
INSERT INTO public.ecdc_data VALUES (17628, 0, 2, 15.63395695, 178, 97);
INSERT INTO public.ecdc_data VALUES (17629, 0, 70, 25.55307739, 179, 97);
INSERT INTO public.ecdc_data VALUES (17630, 0, 112, 157.35615595, 180, 97);
INSERT INTO public.ecdc_data VALUES (17631, 2, 20, 2.67340954, 30, 97);
INSERT INTO public.ecdc_data VALUES (17632, 0, 2, 0.60122126, 31, 97);
INSERT INTO public.ecdc_data VALUES (17633, 0, 57, 2.55713739, 124, 97);
INSERT INTO public.ecdc_data VALUES (17634, 1, 46, 207.73810309, 125, 97);
INSERT INTO public.ecdc_data VALUES (17635, 0, 11, 0.78339516, 32, 97);
INSERT INTO public.ecdc_data VALUES (17636, 2, 38, 144.86616595, 181, 97);
INSERT INTO public.ecdc_data VALUES (17637, 0, 16, 5.34724146, 33, 97);
INSERT INTO public.ecdc_data VALUES (17638, 0, 0, 0.86636685, 34, 97);
INSERT INTO public.ecdc_data VALUES (17639, 204, 6031, 48.32666616, 87, 97);
INSERT INTO public.ecdc_data VALUES (17640, 8, 200, 166.72198509, 182, 97);
INSERT INTO public.ecdc_data VALUES (17641, 0, 2, 126.94574581, 183, 97);
INSERT INTO public.ecdc_data VALUES (17642, 0, 1, 0.09301847, 126, 97);
INSERT INTO public.ecdc_data VALUES (17643, 2, 230, 511.58664185, 184, 97);
INSERT INTO public.ecdc_data VALUES (17644, 0, 0, 0, 88, 97);
INSERT INTO public.ecdc_data VALUES (17645, 25, 1376, 80.44304737, 35, 97);
INSERT INTO public.ecdc_data VALUES (17646, 1, 141, 7.75537333, 36, 97);
INSERT INTO public.ecdc_data VALUES (17647, 6, 666, 8.99428632, 127, 97);
INSERT INTO public.ecdc_data VALUES (17648, 1, 149, 68.7906791, 37, 97);
INSERT INTO public.ecdc_data VALUES (17649, 16, 1154, 63.05770811, 128, 97);
INSERT INTO public.ecdc_data VALUES (17650, 2, 2215, 117.9655579, 185, 97);
INSERT INTO public.ecdc_data VALUES (17651, 0, 0, 0, 207, 97);
INSERT INTO public.ecdc_data VALUES (17652, 0, 0, 0.68993461, 208, 97);
INSERT INTO public.ecdc_data VALUES (17653, 0, 0, 4.47635575, 89, 97);
INSERT INTO public.ecdc_data VALUES (17654, 0, 1, 0.04718859, 38, 97);
INSERT INTO public.ecdc_data VALUES (17655, 2, 195, 1.13304099, 39, 97);
INSERT INTO public.ecdc_data VALUES (17656, 7, 45, 81.36218594, 186, 97);
INSERT INTO public.ecdc_data VALUES (17657, 0, 0, 17.47854509, 209, 97);
INSERT INTO public.ecdc_data VALUES (17658, 0, 251, 28.32094519, 187, 97);
INSERT INTO public.ecdc_data VALUES (17659, 7, 576, 135.1358957, 129, 97);
INSERT INTO public.ecdc_data VALUES (17660, 4, 582, 3.53380685, 130, 97);
INSERT INTO public.ecdc_data VALUES (17661, 9, 611, 225.9595754, 131, 97);
INSERT INTO public.ecdc_data VALUES (17662, 15, 607, 217.40563861, 90, 97);
INSERT INTO public.ecdc_data VALUES (17663, 0, 9, 0.33044219, 210, 97);
INSERT INTO public.ecdc_data VALUES (17664, 17, 740, 154.82695423, 91, 97);
INSERT INTO public.ecdc_data VALUES (17665, 105, 4001, 250.13794021, 92, 97);
INSERT INTO public.ecdc_data VALUES (17666, 15, 3447, 47.59952637, 132, 97);
INSERT INTO public.ecdc_data VALUES (17667, 5, 748, 23.33775018, 188, 97);
INSERT INTO public.ecdc_data VALUES (17668, 8, 623, 84.59009419, 189, 97);
INSERT INTO public.ecdc_data VALUES (17669, 1, 638, 242.07371368, 93, 97);
INSERT INTO public.ecdc_data VALUES (17670, 1, 228, 114.96886907, 133, 97);
INSERT INTO public.ecdc_data VALUES (17671, 23, 808, 91.12796247, 190, 97);
INSERT INTO public.ecdc_data VALUES (17672, 71, 6196, 54.09184721, 191, 97);
INSERT INTO public.ecdc_data VALUES (17673, 1, 11, 2.47882741, 40, 97);
INSERT INTO public.ecdc_data VALUES (17674, 0, 2, 3.78544119, 94, 97);
INSERT INTO public.ecdc_data VALUES (17675, 0, 0, 0.54706092, 95, 97);
INSERT INTO public.ecdc_data VALUES (17676, 0, 0, 1.80843272, 96, 97);
INSERT INTO public.ecdc_data VALUES (17677, 0, 0, 20.31753403, 192, 97);
INSERT INTO public.ecdc_data VALUES (17678, 0, 0, 4.65012462, 41, 97);
INSERT INTO public.ecdc_data VALUES (17679, 27, 492, 25.24473694, 134, 97);
INSERT INTO public.ecdc_data VALUES (17680, 0, 24, 4.44270936, 42, 97);
INSERT INTO public.ecdc_data VALUES (17681, 2, 30, 14.31696996, 193, 97);
INSERT INTO public.ecdc_data VALUES (17682, 0, 2, 6.13867261, 43, 97);
INSERT INTO public.ecdc_data VALUES (17683, 0, 0, 1.44626912, 44, 97);
INSERT INTO public.ecdc_data VALUES (17684, 0, 30, 9.68240505, 135, 97);
INSERT INTO public.ecdc_data VALUES (17685, 0, 7, 176.9326948, 97, 97);
INSERT INTO public.ecdc_data VALUES (17686, 0, 79, 38.89607794, 194, 97);
INSERT INTO public.ecdc_data VALUES (17687, 0, 50, 61.51160936, 195, 97);
INSERT INTO public.ecdc_data VALUES (17688, 0, 23, 0.66697291, 45, 97);
INSERT INTO public.ecdc_data VALUES (17689, 39, 725, 38.54963809, 46, 97);
INSERT INTO public.ecdc_data VALUES (17690, 3, 61, 3.2679151, 136, 97);
INSERT INTO public.ecdc_data VALUES (17691, 0, 7, 0.9401458, 47, 97);
INSERT INTO public.ecdc_data VALUES (17692, 241, 10799, 314.79176582, 196, 97);
INSERT INTO public.ecdc_data VALUES (17693, 0, 12, 0.82537139, 137, 97);
INSERT INTO public.ecdc_data VALUES (17694, 0, 0, 0.27561569, 48, 97);
INSERT INTO public.ecdc_data VALUES (17695, 0, 17, 65.36363683, 98, 97);
INSERT INTO public.ecdc_data VALUES (17696, 2, 266, 35.88400405, 197, 97);
INSERT INTO public.ecdc_data VALUES (17697, 5, 1093, 67.6456403, 198, 97);
INSERT INTO public.ecdc_data VALUES (17698, 3, 33, 3.53834405, 138, 97);
INSERT INTO public.ecdc_data VALUES (17699, 0, 0, 0.06309445, 139, 97);
INSERT INTO public.ecdc_data VALUES (17700, 0, 42, 6.05083798, 140, 97);
INSERT INTO public.ecdc_data VALUES (17701, 0, 5, 0.09335649, 141, 97);
INSERT INTO public.ecdc_data VALUES (17702, 0, 0, 0, 142, 97);
INSERT INTO public.ecdc_data VALUES (17703, 0, 3, 2.17758206, 49, 97);
INSERT INTO public.ecdc_data VALUES (17704, 0, 44, 119.57254964, 99, 97);
INSERT INTO public.ecdc_data VALUES (17705, 5, 528, 52.46811788, 50, 97);
INSERT INTO public.ecdc_data VALUES (17706, 68, 1743, 28.17061758, 199, 97);
INSERT INTO public.ecdc_data VALUES (17707, 0, 0, 180.65664764, 100, 97);
INSERT INTO public.ecdc_data VALUES (17708, 0, 181, 6.08092413, 51, 97);
INSERT INTO public.ecdc_data VALUES (17709, 26, 2675, 91.57004797, 200, 97);
INSERT INTO public.ecdc_data VALUES (17710, 1, 679, 114.02661433, 143, 97);
INSERT INTO public.ecdc_data VALUES (17711, 11, 4368, 72.80885629, 201, 97);
INSERT INTO public.ecdc_data VALUES (17712, 0, 0, 0, 52, 97);
INSERT INTO public.ecdc_data VALUES (17713, 372, 53153, 169.3574645, 101, 97);
INSERT INTO public.ecdc_data VALUES (17714, 0, 0, 75.54097859, 102, 97);
INSERT INTO public.ecdc_data VALUES (17715, 0, 10, 6.75962401, 103, 97);
INSERT INTO public.ecdc_data VALUES (17716, 5, 702, 25.42014568, 144, 97);
INSERT INTO public.ecdc_data VALUES (17717, 8, 787, 45.91484961, 104, 97);
INSERT INTO public.ecdc_data VALUES (17718, 0, 0, 0.01969685, 145, 97);
INSERT INTO public.ecdc_data VALUES (17719, 0, 0, 0, 53, 97);
INSERT INTO public.ecdc_data VALUES (17720, 1, 0, 0.13373604, 146, 97);
INSERT INTO public.ecdc_data VALUES (17721, 1, 44, 7.49676642, 54, 97);
INSERT INTO public.ecdc_data VALUES (17722, 1, 23, 2.78584379, 55, 97);
INSERT INTO public.ecdc_data VALUES (17723, 0, 38, 2.31061883, 105, 98);
INSERT INTO public.ecdc_data VALUES (17724, 2, 152, 68.75284505, 147, 98);
INSERT INTO public.ecdc_data VALUES (17725, 7, 409, 15.12552396, 1, 98);
INSERT INTO public.ecdc_data VALUES (17726, 0, 21, 118.14589706, 148, 98);
INSERT INTO public.ecdc_data VALUES (17727, 1, 29, 1.76274856, 2, 98);
INSERT INTO public.ecdc_data VALUES (17728, 0, 0, 0, 56, 98);
INSERT INTO public.ecdc_data VALUES (17729, 0, 0, 2.0594141, 57, 98);
INSERT INTO public.ecdc_data VALUES (17730, 161, 8225, 206.9843744, 58, 98);
INSERT INTO public.ecdc_data VALUES (17731, 6, 158, 87.63483322, 149, 98);
INSERT INTO public.ecdc_data VALUES (17732, 0, 77, 1004.60916189, 59, 98);
INSERT INTO public.ecdc_data VALUES (17733, 9, 171, 16.40664678, 202, 98);
INSERT INTO public.ecdc_data VALUES (17734, 1, 275, 34.58717486, 150, 98);
INSERT INTO public.ecdc_data VALUES (17735, 2, 162, 15.37662429, 151, 98);
INSERT INTO public.ecdc_data VALUES (17736, 4, 93, 224.14156093, 60, 98);
INSERT INTO public.ecdc_data VALUES (17737, 0, 353, 304.41808375, 106, 98);
INSERT INTO public.ecdc_data VALUES (17738, 39, 2401, 23.21918957, 107, 98);
INSERT INTO public.ecdc_data VALUES (17739, 0, 1, 6.61972469, 61, 98);
INSERT INTO public.ecdc_data VALUES (17740, 5, 161, 15.8372326, 152, 98);
INSERT INTO public.ecdc_data VALUES (17741, 3, 510, 66.10787342, 153, 98);
INSERT INTO public.ecdc_data VALUES (17742, 0, 43, 128.60220673, 62, 98);
INSERT INTO public.ecdc_data VALUES (17743, 0, 0, 1.34732621, 3, 98);
INSERT INTO public.ecdc_data VALUES (17744, 0, 1, 15.99795226, 63, 98);
INSERT INTO public.ecdc_data VALUES (17745, 0, 0, 5.89704545, 108, 98);
INSERT INTO public.ecdc_data VALUES (17746, 61, 1370, 169.75442413, 64, 98);
INSERT INTO public.ecdc_data VALUES (17747, 0, 0, 0, 65, 98);
INSERT INTO public.ecdc_data VALUES (17748, 5, 363, 112.23878354, 154, 98);
INSERT INTO public.ecdc_data VALUES (17749, 0, 0, 17.31994098, 4, 98);
INSERT INTO public.ecdc_data VALUES (17750, 1054, 30355, 270.02572794, 66, 98);
INSERT INTO public.ecdc_data VALUES (17751, 0, 9, 39.95604835, 67, 98);
INSERT INTO public.ecdc_data VALUES (17752, 0, 0, 0.23078911, 109, 98);
INSERT INTO public.ecdc_data VALUES (17753, 7, 169, 30.24268865, 155, 98);
INSERT INTO public.ecdc_data VALUES (17754, 0, 16, 0.67908764, 5, 98);
INSERT INTO public.ecdc_data VALUES (17755, 0, 4, 0.18212445, 6, 98);
INSERT INTO public.ecdc_data VALUES (17756, 0, 0, 0.16376994, 110, 98);
INSERT INTO public.ecdc_data VALUES (17757, 0, 0, 4.03456634, 7, 98);
INSERT INTO public.ecdc_data VALUES (17758, 10, 499, 14.43958866, 68, 98);
INSERT INTO public.ecdc_data VALUES (17759, 0, 44, 114.9224637, 8, 98);
INSERT INTO public.ecdc_data VALUES (17760, 0, 0, 3.07938659, 69, 98);
INSERT INTO public.ecdc_data VALUES (17761, 0, 0, 0.80081278, 9, 98);
INSERT INTO public.ecdc_data VALUES (17762, 0, 9, 0.24456191, 10, 98);
INSERT INTO public.ecdc_data VALUES (17763, 52, 1920, 131.61647285, 70, 98);
INSERT INTO public.ecdc_data VALUES (17764, 2, 49, 0.07225637, 111, 98);
INSERT INTO public.ecdc_data VALUES (17765, 385, 8419, 307.79442673, 71, 98);
INSERT INTO public.ecdc_data VALUES (17766, 0, 0, 1.17523866, 11, 98);
INSERT INTO public.ecdc_data VALUES (17767, 0, 0, 3.95873695, 12, 98);
INSERT INTO public.ecdc_data VALUES (17768, 7, 1059, 199.16549795, 72, 98);
INSERT INTO public.ecdc_data VALUES (17769, 0, 61, 3.05639706, 13, 98);
INSERT INTO public.ecdc_data VALUES (17770, 1, 265, 52.20489637, 156, 98);
INSERT INTO public.ecdc_data VALUES (17771, 1, 17, 6.64402932, 73, 98);
INSERT INTO public.ecdc_data VALUES (17772, 0, 2, 3.67145383, 74, 98);
INSERT INTO public.ecdc_data VALUES (17773, 0, 11, 21.00698825, 157, 98);
INSERT INTO public.ecdc_data VALUES (17774, 5, 506, 32.77995831, 158, 98);
INSERT INTO public.ecdc_data VALUES (17775, 1, 45, 0.51503292, 14, 98);
INSERT INTO public.ecdc_data VALUES (17776, 0, 71, 29.02129681, 159, 98);
INSERT INTO public.ecdc_data VALUES (17777, 1, 8, 4.51950939, 15, 98);
INSERT INTO public.ecdc_data VALUES (17778, 0, 1, 1.3926025, 75, 98);
INSERT INTO public.ecdc_data VALUES (17779, 28, 857, 113.21397413, 76, 98);
INSERT INTO public.ecdc_data VALUES (17780, 48, 973, 83.52875851, 77, 98);
INSERT INTO public.ecdc_data VALUES (17781, 19, 123, 1.99326462, 16, 98);
INSERT INTO public.ecdc_data VALUES (17782, 14, 456, 75.55531452, 78, 98);
INSERT INTO public.ecdc_data VALUES (17783, 0, 0, 5.23605771, 17, 98);
INSERT INTO public.ecdc_data VALUES (17784, 0, 2, 0.60049464, 18, 98);
INSERT INTO public.ecdc_data VALUES (17785, 0, 17, 8.3784967, 160, 98);
INSERT INTO public.ecdc_data VALUES (17786, 0, 18, 95.11093227, 19, 98);
INSERT INTO public.ecdc_data VALUES (17787, 17, 1829, 14.46572462, 20, 98);
INSERT INTO public.ecdc_data VALUES (17788, 0, 0, 0, 79, 98);
INSERT INTO public.ecdc_data VALUES (17789, 0, 1, 191.05532387, 161, 98);
INSERT INTO public.ecdc_data VALUES (17790, 0, 0, 0.11236523, 203, 98);
INSERT INTO public.ecdc_data VALUES (17791, 0, 29, 5.74491942, 162, 98);
INSERT INTO public.ecdc_data VALUES (17792, 23, 4586, 54.43580155, 163, 98);
INSERT INTO public.ecdc_data VALUES (17793, 0, 4, 62.30194962, 204, 98);
INSERT INTO public.ecdc_data VALUES (17794, 0, 69, 21.4031441, 21, 98);
INSERT INTO public.ecdc_data VALUES (17795, 3, 36, 57.37540124, 22, 98);
INSERT INTO public.ecdc_data VALUES (17796, 0, 15, 4.30348367, 164, 98);
INSERT INTO public.ecdc_data VALUES (17797, 7, 2034, 20.17123434, 165, 98);
INSERT INTO public.ecdc_data VALUES (17798, 0, 65, 10.61218709, 23, 98);
INSERT INTO public.ecdc_data VALUES (17799, 0, 0, 115.70640242, 166, 98);
INSERT INTO public.ecdc_data VALUES (17800, 3, 204, 26.74225861, 167, 98);
INSERT INTO public.ecdc_data VALUES (17801, 0, 0, 0, 80, 98);
INSERT INTO public.ecdc_data VALUES (17802, 0, 0, 0, 81, 98);
INSERT INTO public.ecdc_data VALUES (17803, 1, 63, 212.20000598, 205, 98);
INSERT INTO public.ecdc_data VALUES (17804, 26, 958, 66.38236744, 82, 98);
INSERT INTO public.ecdc_data VALUES (17805, 0, 0, 0, 168, 98);
INSERT INTO public.ecdc_data VALUES (17806, 0, 56, 9.04375344, 24, 98);
INSERT INTO public.ecdc_data VALUES (17807, 0, 32, 6.09084099, 25, 98);
INSERT INTO public.ecdc_data VALUES (17808, 1, 35, 43.81846635, 83, 98);
INSERT INTO public.ecdc_data VALUES (17809, 0, 19, 3.70236238, 84, 98);
INSERT INTO public.ecdc_data VALUES (17810, 0, 0, 0, 169, 98);
INSERT INTO public.ecdc_data VALUES (17811, 13, 562, 71.98765867, 85, 98);
INSERT INTO public.ecdc_data VALUES (17812, 2, 52, 4.88091588, 170, 98);
INSERT INTO public.ecdc_data VALUES (17813, 0, 10, 27.45167245, 171, 98);
INSERT INTO public.ecdc_data VALUES (17814, 945, 69878, 64.92084841, 112, 98);
INSERT INTO public.ecdc_data VALUES (17815, 82, 2197, 10.41365024, 113, 98);
INSERT INTO public.ecdc_data VALUES (17816, 112, 2206, 38.83185174, 114, 98);
INSERT INTO public.ecdc_data VALUES (17817, 75, 4288, 134.87988959, 115, 98);
INSERT INTO public.ecdc_data VALUES (17818, 0, 79, 26.2018172, 172, 98);
INSERT INTO public.ecdc_data VALUES (17819, 0, 0, 0, 173, 98);
INSERT INTO public.ecdc_data VALUES (17820, 14, 1117, 231.53112324, 116, 98);
INSERT INTO public.ecdc_data VALUES (17821, 9, 947, 12.10910367, 174, 98);
INSERT INTO public.ecdc_data VALUES (17822, 1, 56, 12.17660349, 86, 98);
INSERT INTO public.ecdc_data VALUES (17823, 14, 1012, 12.05578114, 117, 98);
INSERT INTO public.ecdc_data VALUES (17824, 0, 1, 16.69820773, 175, 98);
INSERT INTO public.ecdc_data VALUES (17825, 0, 34, 2.92030141, 118, 98);
INSERT INTO public.ecdc_data VALUES (17826, 5, 908, 87.88541777, 119, 98);
INSERT INTO public.ecdc_data VALUES (17827, 16, 322, 12.60129372, 26, 98);
INSERT INTO public.ecdc_data VALUES (17828, 10, 162, 127.82831973, 176, 98);
INSERT INTO public.ecdc_data VALUES (17829, 2, 502, 203.03883195, 120, 98);
INSERT INTO public.ecdc_data VALUES (17830, 0, 0, 48.56721267, 121, 98);
INSERT INTO public.ecdc_data VALUES (17831, 0, 2, 0.02789612, 122, 98);
INSERT INTO public.ecdc_data VALUES (17832, 0, 3, 2.55212587, 177, 98);
INSERT INTO public.ecdc_data VALUES (17833, 3, 628, 82.1067522, 123, 98);
INSERT INTO public.ecdc_data VALUES (17834, 0, 19, 12.84544483, 27, 98);
INSERT INTO public.ecdc_data VALUES (17835, 0, 1, 1.11395248, 28, 98);
INSERT INTO public.ecdc_data VALUES (17836, 4, 244, 68.28523931, 29, 98);
INSERT INTO public.ecdc_data VALUES (17837, 0, 0, 28.66225442, 178, 98);
INSERT INTO public.ecdc_data VALUES (17838, 1, 36, 13.24179081, 179, 98);
INSERT INTO public.ecdc_data VALUES (17839, 0, 67, 96.27069168, 180, 98);
INSERT INTO public.ecdc_data VALUES (17840, 1, 64, 5.59895757, 30, 98);
INSERT INTO public.ecdc_data VALUES (17841, 1, 42, 3.79520922, 31, 98);
INSERT INTO public.ecdc_data VALUES (17842, 0, 9, 0.58216347, 124, 98);
INSERT INTO public.ecdc_data VALUES (17843, 1, 194, 338.06880783, 125, 98);
INSERT INTO public.ecdc_data VALUES (17844, 0, 21, 0.64604665, 32, 98);
INSERT INTO public.ecdc_data VALUES (17845, 1, 31, 131.08868443, 181, 98);
INSERT INTO public.ecdc_data VALUES (17846, 0, 56, 11.11430767, 33, 98);
INSERT INTO public.ecdc_data VALUES (17847, 0, 0, 0.15752125, 34, 98);
INSERT INTO public.ecdc_data VALUES (17848, 504, 6118, 58.98309855, 87, 98);
INSERT INTO public.ecdc_data VALUES (17849, 8, 547, 135.88052012, 182, 98);
INSERT INTO public.ecdc_data VALUES (17850, 0, 4, 39.29273084, 183, 98);
INSERT INTO public.ecdc_data VALUES (17851, 0, 0, 0.15503078, 126, 98);
INSERT INTO public.ecdc_data VALUES (17852, 1, 48, 117.0075637, 184, 98);
INSERT INTO public.ecdc_data VALUES (17853, 0, 0, 0, 88, 98);
INSERT INTO public.ecdc_data VALUES (17854, 42, 1609, 50.95722538, 35, 98);
INSERT INTO public.ecdc_data VALUES (17855, 0, 80, 3.23387542, 36, 98);
INSERT INTO public.ecdc_data VALUES (17856, 0, 26, 0.14062246, 127, 98);
INSERT INTO public.ecdc_data VALUES (17857, 1, 315, 97.21293521, 37, 98);
INSERT INTO public.ecdc_data VALUES (17858, 11, 838, 28.90377984, 128, 98);
INSERT INTO public.ecdc_data VALUES (17859, 4, 534, 46.43515977, 185, 98);
INSERT INTO public.ecdc_data VALUES (17860, 0, 0, 0, 207, 98);
INSERT INTO public.ecdc_data VALUES (17861, 0, 6, 2.13252515, 208, 98);
INSERT INTO public.ecdc_data VALUES (17862, 0, 0, 6.24856485, 89, 98);
INSERT INTO public.ecdc_data VALUES (17863, 0, 3, 0.08150757, 38, 98);
INSERT INTO public.ecdc_data VALUES (17864, 4, 340, 2.79503349, 39, 98);
INSERT INTO public.ecdc_data VALUES (17865, 6, 233, 79.29202381, 186, 98);
INSERT INTO public.ecdc_data VALUES (17866, 0, 0, 12.23498156, 209, 98);
INSERT INTO public.ecdc_data VALUES (17867, 0, 35, 13.68188803, 187, 98);
INSERT INTO public.ecdc_data VALUES (17868, 0, 0, 54.31164512, 129, 98);
INSERT INTO public.ecdc_data VALUES (17869, 12, 586, 4.01126095, 130, 98);
INSERT INTO public.ecdc_data VALUES (17870, 4, 457, 129.48109998, 131, 98);
INSERT INTO public.ecdc_data VALUES (17871, 15, 537, 278.63339645, 90, 98);
INSERT INTO public.ecdc_data VALUES (17872, 0, 0, 1.97125859, 210, 98);
INSERT INTO public.ecdc_data VALUES (17873, 12, 719, 85.56861466, 91, 98);
INSERT INTO public.ecdc_data VALUES (17874, 211, 9008, 345.09506509, 92, 98);
INSERT INTO public.ecdc_data VALUES (17875, 57, 4343, 55.13583286, 132, 98);
INSERT INTO public.ecdc_data VALUES (17876, 13, 903, 26.2213923, 188, 98);
INSERT INTO public.ecdc_data VALUES (17877, 4, 219, 27.83017018, 189, 98);
INSERT INTO public.ecdc_data VALUES (17878, 7, 706, 278.27738695, 93, 98);
INSERT INTO public.ecdc_data VALUES (17879, 0, 257, 144.69976212, 133, 98);
INSERT INTO public.ecdc_data VALUES (17880, 42, 1392, 87.98597416, 190, 98);
INSERT INTO public.ecdc_data VALUES (17881, 90, 4870, 47.87819151, 191, 98);
INSERT INTO public.ecdc_data VALUES (17882, 0, 63, 5.1635638, 40, 98);
INSERT INTO public.ecdc_data VALUES (17883, 0, 0, 0, 94, 98);
INSERT INTO public.ecdc_data VALUES (17884, 0, 0, 0.54706092, 95, 98);
INSERT INTO public.ecdc_data VALUES (17885, 0, 0, 1.80843272, 96, 98);
INSERT INTO public.ecdc_data VALUES (17886, 0, 0, 0, 192, 98);
INSERT INTO public.ecdc_data VALUES (17887, 0, 3, 4.65012462, 41, 98);
INSERT INTO public.ecdc_data VALUES (17888, 32, 1213, 56.59128234, 134, 98);
INSERT INTO public.ecdc_data VALUES (17889, 1, 130, 11.05768269, 42, 98);
INSERT INTO public.ecdc_data VALUES (17890, 3, 169, 39.77733881, 193, 98);
INSERT INTO public.ecdc_data VALUES (17891, 0, 0, 6.13867261, 43, 98);
INSERT INTO public.ecdc_data VALUES (17892, 0, 3, 1.08790155, 44, 98);
INSERT INTO public.ecdc_data VALUES (17893, 0, 117, 24.44721134, 135, 98);
INSERT INTO public.ecdc_data VALUES (17894, 0, 0, 415.20205714, 97, 98);
INSERT INTO public.ecdc_data VALUES (17895, 0, 123, 12.87973901, 194, 98);
INSERT INTO public.ecdc_data VALUES (17896, 2, 38, 16.38707718, 195, 98);
INSERT INTO public.ecdc_data VALUES (17897, 0, 0, 0.24606768, 45, 98);
INSERT INTO public.ecdc_data VALUES (17898, 225, 3398, 98.81098428, 46, 98);
INSERT INTO public.ecdc_data VALUES (17899, 0, 332, 4.76326932, 136, 98);
INSERT INTO public.ecdc_data VALUES (17900, 0, 3, 0.30735536, 47, 98);
INSERT INTO public.ecdc_data VALUES (17901, 0, 0, 152.74071278, 196, 98);
INSERT INTO public.ecdc_data VALUES (17902, 0, 23, 0.47834024, 137, 98);
INSERT INTO public.ecdc_data VALUES (17903, 0, 37, 1.80551636, 48, 98);
INSERT INTO public.ecdc_data VALUES (17904, 1, 94, 216.21603026, 98, 98);
INSERT INTO public.ecdc_data VALUES (17905, 5, 298, 38.48415253, 197, 98);
INSERT INTO public.ecdc_data VALUES (17906, 0, 306, 35.71877062, 198, 98);
INSERT INTO public.ecdc_data VALUES (17907, 1, 65, 5.93434193, 138, 98);
INSERT INTO public.ecdc_data VALUES (17908, 0, 1, 0.03365037, 139, 98);
INSERT INTO public.ecdc_data VALUES (17909, 0, 38, 5.73971333, 140, 98);
INSERT INTO public.ecdc_data VALUES (17910, 0, 0, 0.06032266, 141, 98);
INSERT INTO public.ecdc_data VALUES (17911, 0, 0, 0.07733234, 142, 98);
INSERT INTO public.ecdc_data VALUES (17912, 0, 27, 2.61062395, 49, 98);
INSERT INTO public.ecdc_data VALUES (17913, 0, 97, 45.80746956, 99, 98);
INSERT INTO public.ecdc_data VALUES (17914, 1, 64, 8.1318742, 50, 98);
INSERT INTO public.ecdc_data VALUES (17915, 22, 1203, 21.06363696, 199, 98);
INSERT INTO public.ecdc_data VALUES (17916, 0, 13, 463.42357438, 100, 98);
INSERT INTO public.ecdc_data VALUES (17917, 0, 98, 1.34177895, 51, 98);
INSERT INTO public.ecdc_data VALUES (17918, 23, 2106, 50.87553218, 200, 98);
INSERT INTO public.ecdc_data VALUES (17919, 1, 391, 42.29045601, 143, 98);
INSERT INTO public.ecdc_data VALUES (17920, 2, 1033, 21.46829708, 201, 98);
INSERT INTO public.ecdc_data VALUES (17921, 0, 0, 0, 52, 98);
INSERT INTO public.ecdc_data VALUES (17922, 1151, 49880, 207.23296978, 101, 98);
INSERT INTO public.ecdc_data VALUES (17923, 0, 63, 386.31082722, 102, 98);
INSERT INTO public.ecdc_data VALUES (17924, 1, 10, 5.51747088, 103, 98);
INSERT INTO public.ecdc_data VALUES (17925, 6, 406, 26.59655509, 144, 98);
INSERT INTO public.ecdc_data VALUES (17926, 6, 621, 49.17268932, 104, 98);
INSERT INTO public.ecdc_data VALUES (17927, 0, 2, 0.22806883, 145, 98);
INSERT INTO public.ecdc_data VALUES (17928, 0, 0, 0, 53, 98);
INSERT INTO public.ecdc_data VALUES (17929, 1, 7, 0.37720422, 146, 98);
INSERT INTO public.ecdc_data VALUES (17930, 3, 255, 17.58576799, 54, 98);
INSERT INTO public.ecdc_data VALUES (17931, 1, 70, 9.31345816, 55, 98);
INSERT INTO public.ecdc_data VALUES (17932, 4, 112, 5.60699654, 105, 99);
INSERT INTO public.ecdc_data VALUES (17933, 4, 119, 43.73910671, 147, 99);
INSERT INTO public.ecdc_data VALUES (17934, 13, 587, 17.1857727, 1, 99);
INSERT INTO public.ecdc_data VALUES (17935, 0, 0, 38.0692335, 148, 99);
INSERT INTO public.ecdc_data VALUES (17936, 0, 0, 1.2442931, 2, 99);
INSERT INTO public.ecdc_data VALUES (17937, 0, 0, 0, 56, 99);
INSERT INTO public.ecdc_data VALUES (17938, 0, 0, 6.17824229, 57, 99);
INSERT INTO public.ecdc_data VALUES (17939, 0, 4019, 112.38553238, 58, 99);
INSERT INTO public.ecdc_data VALUES (17940, 16, 439, 198.56457389, 149, 99);
INSERT INTO public.ecdc_data VALUES (17941, 0, 2, 11.28774339, 59, 99);
INSERT INTO public.ecdc_data VALUES (17942, 3, 359, 14.57354622, 202, 99);
INSERT INTO public.ecdc_data VALUES (17943, 0, 139, 15.83740416, 150, 99);
INSERT INTO public.ecdc_data VALUES (17944, 13, 352, 68.35382239, 151, 99);
INSERT INTO public.ecdc_data VALUES (17945, 0, 20, 23.10737742, 60, 99);
INSERT INTO public.ecdc_data VALUES (17946, 1, 380, 426.22187667, 106, 99);
INSERT INTO public.ecdc_data VALUES (17947, 41, 3057, 25.67677562, 107, 99);
INSERT INTO public.ecdc_data VALUES (17948, 0, 0, 2.7872525, 61, 99);
INSERT INTO public.ecdc_data VALUES (17949, 4, 135, 24.80849062, 152, 99);
INSERT INTO public.ecdc_data VALUES (17950, 1, 145, 21.12518865, 153, 99);
INSERT INTO public.ecdc_data VALUES (17951, 0, 1, 3.33033603, 62, 99);
INSERT INTO public.ecdc_data VALUES (17952, 0, 0, 3.41492114, 3, 99);
INSERT INTO public.ecdc_data VALUES (17953, 0, 0, 7.99897613, 63, 99);
INSERT INTO public.ecdc_data VALUES (17954, 0, 2, 1.57254545, 108, 99);
INSERT INTO public.ecdc_data VALUES (17955, 55, 1366, 180.76796332, 64, 99);
INSERT INTO public.ecdc_data VALUES (17956, 0, 0, 11.54601085, 65, 99);
INSERT INTO public.ecdc_data VALUES (17957, 5, 195, 95.97097605, 154, 99);
INSERT INTO public.ecdc_data VALUES (17958, 0, 0, 9.02894166, 4, 99);
INSERT INTO public.ecdc_data VALUES (17959, 1367, 41008, 232.67762103, 66, 99);
INSERT INTO public.ecdc_data VALUES (17960, 0, 0, 0, 67, 99);
INSERT INTO public.ecdc_data VALUES (17961, 0, 0, 0, 109, 99);
INSERT INTO public.ecdc_data VALUES (17962, 5, 325, 45.02832056, 155, 99);
INSERT INTO public.ecdc_data VALUES (17963, 0, 0, 0.30509734, 5, 99);
INSERT INTO public.ecdc_data VALUES (17964, 0, 6, 1.18814522, 6, 99);
INSERT INTO public.ecdc_data VALUES (17965, 0, 0, 0.33967099, 110, 99);
INSERT INTO public.ecdc_data VALUES (17966, 0, 0, 4.79587819, 7, 99);
INSERT INTO public.ecdc_data VALUES (17967, 4, 571, 14.77906066, 68, 99);
INSERT INTO public.ecdc_data VALUES (17968, 0, 36, 110.55831951, 8, 99);
INSERT INTO public.ecdc_data VALUES (17969, 0, 0, 3.07938659, 69, 99);
INSERT INTO public.ecdc_data VALUES (17970, 0, 13, 10.32627009, 9, 99);
INSERT INTO public.ecdc_data VALUES (17971, 0, 0, 0.10033309, 10, 99);
INSERT INTO public.ecdc_data VALUES (17972, 44, 1654, 177.62736297, 70, 99);
INSERT INTO public.ecdc_data VALUES (17973, 2, 74, 0.05956268, 111, 99);
INSERT INTO public.ecdc_data VALUES (17974, 237, 7033, 171.9208534, 71, 99);
INSERT INTO public.ecdc_data VALUES (17975, 0, 3, 2.82057279, 11, 99);
INSERT INTO public.ecdc_data VALUES (17976, 0, 0, 24.04979162, 12, 99);
INSERT INTO public.ecdc_data VALUES (17977, 2, 277, 125.30804482, 72, 99);
INSERT INTO public.ecdc_data VALUES (17978, 1, 219, 13.86266605, 13, 99);
INSERT INTO public.ecdc_data VALUES (17979, 0, 52, 28.21223253, 156, 99);
INSERT INTO public.ecdc_data VALUES (17980, 0, 3, 0.47646425, 73, 99);
INSERT INTO public.ecdc_data VALUES (17981, 0, 0, 1.83572692, 74, 99);
INSERT INTO public.ecdc_data VALUES (17982, 0, 2, 3.9958945, 157, 99);
INSERT INTO public.ecdc_data VALUES (17983, 1, 226, 15.38996037, 158, 99);
INSERT INTO public.ecdc_data VALUES (17984, 1, 91, 1.00586967, 14, 99);
INSERT INTO public.ecdc_data VALUES (17985, 0, 40, 7.13045512, 159, 99);
INSERT INTO public.ecdc_data VALUES (17986, 0, 7, 15.30470224, 15, 99);
INSERT INTO public.ecdc_data VALUES (17987, 0, 0, 0, 75, 99);
INSERT INTO public.ecdc_data VALUES (17988, 6, 841, 152.40772451, 76, 99);
INSERT INTO public.ecdc_data VALUES (17989, 48, 1597, 74.66476402, 77, 99);
INSERT INTO public.ecdc_data VALUES (17990, 47, 676, 11.75338792, 16, 99);
INSERT INTO public.ecdc_data VALUES (17991, 11, 375, 66.24261066, 78, 99);
INSERT INTO public.ecdc_data VALUES (17992, 0, 0, 0, 17, 99);
INSERT INTO public.ecdc_data VALUES (17993, 0, 0, 1.02941938, 18, 99);
INSERT INTO public.ecdc_data VALUES (17994, 0, 1, 2.03801271, 160, 99);
INSERT INTO public.ecdc_data VALUES (17995, 1, 68, 72.98805975, 19, 99);
INSERT INTO public.ecdc_data VALUES (17996, 3, 304, 3.43062426, 20, 99);
INSERT INTO public.ecdc_data VALUES (17997, 0, 0, 0, 79, 99);
INSERT INTO public.ecdc_data VALUES (17998, 0, 0, 6.16307496, 161, 99);
INSERT INTO public.ecdc_data VALUES (17999, 0, 1, 0.89892186, 203, 99);
INSERT INTO public.ecdc_data VALUES (18000, 0, 11, 1.35920806, 162, 99);
INSERT INTO public.ecdc_data VALUES (18001, 0, 584, 12.72591123, 163, 99);
INSERT INTO public.ecdc_data VALUES (18002, 0, 0, 0, 204, 99);
INSERT INTO public.ecdc_data VALUES (18003, 0, 0, 31.75950415, 21, 99);
INSERT INTO public.ecdc_data VALUES (18004, 0, 0, 2.17234259, 22, 99);
INSERT INTO public.ecdc_data VALUES (18005, 0, 10, 2.15174184, 164, 99);
INSERT INTO public.ecdc_data VALUES (18006, 5, 454, 6.57438176, 165, 99);
INSERT INTO public.ecdc_data VALUES (18007, 0, 559, 23.08183568, 23, 99);
INSERT INTO public.ecdc_data VALUES (18008, 0, 0, 2.96683083, 166, 99);
INSERT INTO public.ecdc_data VALUES (18009, 2, 36, 4.2798803, 167, 99);
INSERT INTO public.ecdc_data VALUES (18010, 0, 0, 0, 80, 99);
INSERT INTO public.ecdc_data VALUES (18011, 0, 0, 0, 81, 99);
INSERT INTO public.ecdc_data VALUES (18012, 0, 3, 16.13915538, 205, 99);
INSERT INTO public.ecdc_data VALUES (18013, 29, 1190, 87.83107857, 82, 99);
INSERT INTO public.ecdc_data VALUES (18014, 0, 0, 0, 168, 99);
INSERT INTO public.ecdc_data VALUES (18015, 1, 62, 7.47773553, 24, 99);
INSERT INTO public.ecdc_data VALUES (18016, 0, 4, 8.53758908, 25, 99);
INSERT INTO public.ecdc_data VALUES (18017, 0, 2, 6.89853406, 83, 99);
INSERT INTO public.ecdc_data VALUES (18018, 8, 83, 6.33929674, 84, 99);
INSERT INTO public.ecdc_data VALUES (18019, 0, 0, 0, 169, 99);
INSERT INTO public.ecdc_data VALUES (18020, 53, 734, 101.75336532, 85, 99);
INSERT INTO public.ecdc_data VALUES (18021, 0, 19, 1.64743702, 170, 99);
INSERT INTO public.ecdc_data VALUES (18022, 0, 0, 1.68071464, 171, 99);
INSERT INTO public.ecdc_data VALUES (18023, 648, 37724, 32.96927298, 112, 99);
INSERT INTO public.ecdc_data VALUES (18024, 81, 1655, 8.73642511, 113, 99);
INSERT INTO public.ecdc_data VALUES (18025, 229, 2625, 39.96797014, 114, 99);
INSERT INTO public.ecdc_data VALUES (18026, 81, 2466, 82.56976398, 115, 99);
INSERT INTO public.ecdc_data VALUES (18027, 0, 36, 5.38309708, 172, 99);
INSERT INTO public.ecdc_data VALUES (18028, 0, 0, 0, 173, 99);
INSERT INTO public.ecdc_data VALUES (18029, 10, 2366, 256.12213481, 116, 99);
INSERT INTO public.ecdc_data VALUES (18030, 15, 128, 4.6322416, 174, 99);
INSERT INTO public.ecdc_data VALUES (18031, 0, 0, 2.1707594, 86, 99);
INSERT INTO public.ecdc_data VALUES (18032, 1, 567, 4.83129872, 117, 99);
INSERT INTO public.ecdc_data VALUES (18033, 0, 0, 5.56606924, 175, 99);
INSERT INTO public.ecdc_data VALUES (18034, 0, -110, -0.5543623, 118, 99);
INSERT INTO public.ecdc_data VALUES (18035, 0, 1685, 129.87679439, 119, 99);
INSERT INTO public.ecdc_data VALUES (18036, 12, 397, 11.25652169, 26, 99);
INSERT INTO public.ecdc_data VALUES (18037, 0, 0, 120.87810661, 176, 99);
INSERT INTO public.ecdc_data VALUES (18038, 4, 671, 218.41768049, 120, 99);
INSERT INTO public.ecdc_data VALUES (18039, 44, 1108, 325.33486205, 121, 99);
INSERT INTO public.ecdc_data VALUES (18040, 0, 0, 0, 122, 99);
INSERT INTO public.ecdc_data VALUES (18041, 0, 1, 3.07296788, 177, 99);
INSERT INTO public.ecdc_data VALUES (18042, 0, 75, 15.6511894, 123, 99);
INSERT INTO public.ecdc_data VALUES (18043, 0, 0, 12.61018027, 27, 99);
INSERT INTO public.ecdc_data VALUES (18044, 0, 1, 3.86845315, 28, 99);
INSERT INTO public.ecdc_data VALUES (18045, 1, 128, 13.36785368, 29, 99);
INSERT INTO public.ecdc_data VALUES (18046, 0, 0, 5.21131898, 178, 99);
INSERT INTO public.ecdc_data VALUES (18047, 0, 2, 3.7578055, 179, 99);
INSERT INTO public.ecdc_data VALUES (18048, 0, 120, 182.76770908, 180, 99);
INSERT INTO public.ecdc_data VALUES (18049, 3, 395, 15.11347752, 30, 99);
INSERT INTO public.ecdc_data VALUES (18050, 7, 104, 6.82815577, 31, 99);
INSERT INTO public.ecdc_data VALUES (18051, 0, 15, 0.44131747, 124, 99);
INSERT INTO public.ecdc_data VALUES (18052, 0, 78, 102.26816861, 125, 99);
INSERT INTO public.ecdc_data VALUES (18053, 1, 2, 0.65622062, 32, 99);
INSERT INTO public.ecdc_data VALUES (18054, 0, 2, 1.01305011, 181, 99);
INSERT INTO public.ecdc_data VALUES (18055, 0, 0, 23.06826483, 33, 99);
INSERT INTO public.ecdc_data VALUES (18056, 0, 0, 0.07876062, 34, 99);
INSERT INTO public.ecdc_data VALUES (18057, 915, 8610, 75.28011113, 87, 99);
INSERT INTO public.ecdc_data VALUES (18058, 12, 327, 81.64208171, 182, 99);
INSERT INTO public.ecdc_data VALUES (18059, 0, 2, 9.06755327, 183, 99);
INSERT INTO public.ecdc_data VALUES (18060, 0, 0, 2.07741245, 126, 99);
INSERT INTO public.ecdc_data VALUES (18061, 3, 59, 162.8140962, 184, 99);
INSERT INTO public.ecdc_data VALUES (18062, 0, 0, 20.03606492, 88, 99);
INSERT INTO public.ecdc_data VALUES (18063, 4, 180, 9.35792361, 35, 99);
INSERT INTO public.ecdc_data VALUES (18064, 0, 29, 1.63340347, 36, 99);
INSERT INTO public.ecdc_data VALUES (18065, 0, 0, 0.04625739, 127, 99);
INSERT INTO public.ecdc_data VALUES (18066, 3, 22, 33.15261749, 37, 99);
INSERT INTO public.ecdc_data VALUES (18067, 0, 100, 6.92096796, 128, 99);
INSERT INTO public.ecdc_data VALUES (18068, 0, 163, 7.97932527, 185, 99);
INSERT INTO public.ecdc_data VALUES (18069, 0, 0, 0.35366056, 207, 99);
INSERT INTO public.ecdc_data VALUES (18070, 0, 0, 0.37632797, 208, 99);
INSERT INTO public.ecdc_data VALUES (18071, 9, 292, 9.05965516, 89, 99);
INSERT INTO public.ecdc_data VALUES (18072, 0, 8, 0.08150757, 38, 99);
INSERT INTO public.ecdc_data VALUES (18073, 4, 576, 3.98679158, 39, 99);
INSERT INTO public.ecdc_data VALUES (18074, 0, 163, 104.56725909, 186, 99);
INSERT INTO public.ecdc_data VALUES (18075, 0, 0, 12.23498156, 209, 99);
INSERT INTO public.ecdc_data VALUES (18076, 0, 10, 1.91433824, 187, 99);
INSERT INTO public.ecdc_data VALUES (18077, 11, 1487, 419.9001727, 129, 99);
INSERT INTO public.ecdc_data VALUES (18078, 38, 1332, 13.82446664, 130, 99);
INSERT INTO public.ecdc_data VALUES (18079, 1, 403, 117.0549293, 131, 99);
INSERT INTO public.ecdc_data VALUES (18080, 32, 727, 349.98728347, 90, 99);
INSERT INTO public.ecdc_data VALUES (18081, 0, 8, 0.18231293, 210, 99);
INSERT INTO public.ecdc_data VALUES (18082, 2, 69, 18.66667689, 91, 99);
INSERT INTO public.ecdc_data VALUES (18083, 195, 4406, 162.43694107, 92, 99);
INSERT INTO public.ecdc_data VALUES (18084, 2, 1866, 21.17250759, 132, 99);
INSERT INTO public.ecdc_data VALUES (18085, 9, 399, 11.50823384, 188, 99);
INSERT INTO public.ecdc_data VALUES (18086, 6, 127, 43.61357439, 189, 99);
INSERT INTO public.ecdc_data VALUES (18087, 0, 479, 144.06471117, 93, 99);
INSERT INTO public.ecdc_data VALUES (18088, 1, 393, 228.98437221, 133, 99);
INSERT INTO public.ecdc_data VALUES (18089, 36, 994, 48.99956517, 190, 99);
INSERT INTO public.ecdc_data VALUES (18090, 153, 5842, 61.07946775, 191, 99);
INSERT INTO public.ecdc_data VALUES (18091, 0, 26, 3.82515539, 40, 99);
INSERT INTO public.ecdc_data VALUES (18092, 0, 0, 1.8927206, 94, 99);
INSERT INTO public.ecdc_data VALUES (18093, 0, 0, 0.54706092, 95, 99);
INSERT INTO public.ecdc_data VALUES (18094, 0, 0, 18.98854358, 96, 99);
INSERT INTO public.ecdc_data VALUES (18095, 0, 0, 2.90250486, 192, 99);
INSERT INTO public.ecdc_data VALUES (18096, 0, 0, 10.23027417, 41, 99);
INSERT INTO public.ecdc_data VALUES (18097, 34, 2476, 112.98121375, 134, 99);
INSERT INTO public.ecdc_data VALUES (18098, 4, 37, 8.82405533, 42, 99);
INSERT INTO public.ecdc_data VALUES (18099, 9, 352, 70.16320484, 193, 99);
INSERT INTO public.ecdc_data VALUES (18100, 0, 6, 33.76269938, 43, 99);
INSERT INTO public.ecdc_data VALUES (18101, 0, 16, 1.98382047, 44, 99);
INSERT INTO public.ecdc_data VALUES (18102, 0, 399, 56.75060898, 135, 99);
INSERT INTO public.ecdc_data VALUES (18103, 0, 0, 2.3591026, 97, 99);
INSERT INTO public.ecdc_data VALUES (18104, 0, 41, 4.66019047, 194, 99);
INSERT INTO public.ecdc_data VALUES (18105, 0, 24, 11.43731486, 195, 99);
INSERT INTO public.ecdc_data VALUES (18106, 0, 5, 0.77705582, 45, 99);
INSERT INTO public.ecdc_data VALUES (18107, 195, 8170, 283.38099555, 46, 99);
INSERT INTO public.ecdc_data VALUES (18108, 1, 63, 1.23962132, 136, 99);
INSERT INTO public.ecdc_data VALUES (18109, 0, 0, 1.02150457, 47, 99);
INSERT INTO public.ecdc_data VALUES (18110, 2, 1357, 32.0386492, 196, 99);
INSERT INTO public.ecdc_data VALUES (18111, 0, 0, 3.04355701, 137, 99);
INSERT INTO public.ecdc_data VALUES (18112, 13, 135, 2.63937062, 48, 99);
INSERT INTO public.ecdc_data VALUES (18113, 0, 52, 88.92894801, 98, 99);
INSERT INTO public.ecdc_data VALUES (18114, 7, 226, 35.981754, 197, 99);
INSERT INTO public.ecdc_data VALUES (18115, 3, 108, 16.04535863, 198, 99);
INSERT INTO public.ecdc_data VALUES (18116, 2, 18, 0.98417517, 138, 99);
INSERT INTO public.ecdc_data VALUES (18117, 0, 0, 0.02523778, 139, 99);
INSERT INTO public.ecdc_data VALUES (18118, 0, 46, 6.99494036, 140, 99);
INSERT INTO public.ecdc_data VALUES (18119, 0, 6, 0.09192024, 141, 99);
INSERT INTO public.ecdc_data VALUES (18120, 0, 0, 0, 142, 99);
INSERT INTO public.ecdc_data VALUES (18121, 0, 7, 1.24963516, 49, 99);
INSERT INTO public.ecdc_data VALUES (18122, 0, 2, 0.43011709, 99, 99);
INSERT INTO public.ecdc_data VALUES (18123, 0, 8, 1.57335947, 50, 99);
INSERT INTO public.ecdc_data VALUES (18124, 18, 928, 16.58823908, 199, 99);
INSERT INTO public.ecdc_data VALUES (18125, 0, 1, 86.40100539, 100, 99);
INSERT INTO public.ecdc_data VALUES (18126, 0, 3, 0.2281476, 51, 99);
INSERT INTO public.ecdc_data VALUES (18127, 20, 673, 24.0011949, 200, 99);
INSERT INTO public.ecdc_data VALUES (18128, 1, 305, 50.13036146, 143, 99);
INSERT INTO public.ecdc_data VALUES (18129, 25, 793, 12.79575325, 201, 99);
INSERT INTO public.ecdc_data VALUES (18130, 0, 0, 0, 52, 99);
INSERT INTO public.ecdc_data VALUES (18131, 1160, 72048, 275.31345737, 101, 99);
INSERT INTO public.ecdc_data VALUES (18132, 1, 12, 189.33055394, 102, 99);
INSERT INTO public.ecdc_data VALUES (18133, 0, 32, 3.78423396, 103, 99);
INSERT INTO public.ecdc_data VALUES (18134, 4, 581, 22.23353152, 144, 99);
INSERT INTO public.ecdc_data VALUES (18135, 4, 440, 17.8181739, 104, 99);
INSERT INTO public.ecdc_data VALUES (18136, 0, 28, 0.03317365, 145, 99);
INSERT INTO public.ecdc_data VALUES (18137, 0, 0, 42.40649111, 53, 99);
INSERT INTO public.ecdc_data VALUES (18138, 9, 10, 1.13847091, 146, 99);
INSERT INTO public.ecdc_data VALUES (18139, 0, 0, 8.01185418, 54, 99);
INSERT INTO public.ecdc_data VALUES (18140, 0, 107, 7.0533741, 55, 99);
INSERT INTO public.ecdc_data VALUES (18141, 12, 409, 22.32020987, 105, 100);
INSERT INTO public.ecdc_data VALUES (18142, 1, 36, 23.79099974, 147, 100);
INSERT INTO public.ecdc_data VALUES (18143, 8, 140, 3.75583112, 1, 100);
INSERT INTO public.ecdc_data VALUES (18144, 0, 0, 3.93819657, 148, 100);
INSERT INTO public.ecdc_data VALUES (18145, 1, 4, 0.26708312, 2, 100);
INSERT INTO public.ecdc_data VALUES (18146, 0, 0, 0, 56, 100);
INSERT INTO public.ecdc_data VALUES (18147, 0, 0, 0, 57, 100);
INSERT INTO public.ecdc_data VALUES (18148, 19, 1581, 44.64202471, 58, 100);
INSERT INTO public.ecdc_data VALUES (18149, 10, 320, 245.56010559, 149, 100);
INSERT INTO public.ecdc_data VALUES (18150, 0, 0, 0, 59, 100);
INSERT INTO public.ecdc_data VALUES (18151, 0, 25, 0.79751778, 202, 100);
INSERT INTO public.ecdc_data VALUES (18152, 2, 38, 4.7071971, 150, 100);
INSERT INTO public.ecdc_data VALUES (18153, 6, 491, 51.51417949, 151, 100);
INSERT INTO public.ecdc_data VALUES (18154, 0, 0, 0.25674864, 60, 100);
INSERT INTO public.ecdc_data VALUES (18155, 3, 433, 426.58747084, 106, 100);
INSERT INTO public.ecdc_data VALUES (18156, 39, 3531, 28.5422216, 107, 100);
INSERT INTO public.ecdc_data VALUES (18157, 0, 0, 1.74203281, 61, 100);
INSERT INTO public.ecdc_data VALUES (18158, 3, 569, 104.47072275, 152, 100);
INSERT INTO public.ecdc_data VALUES (18159, 9, 20, 11.98548927, 153, 100);
INSERT INTO public.ecdc_data VALUES (18160, 0, 0, 1.02471878, 62, 100);
INSERT INTO public.ecdc_data VALUES (18161, 2, 115, 4.21145361, 3, 100);
INSERT INTO public.ecdc_data VALUES (18162, 0, 0, 7.99897613, 63, 100);
INSERT INTO public.ecdc_data VALUES (18163, 0, 0, 1.17940909, 108, 100);
INSERT INTO public.ecdc_data VALUES (18164, 33, 876, 93.3284531, 64, 100);
INSERT INTO public.ecdc_data VALUES (18165, 0, 0, 0, 65, 100);
INSERT INTO public.ecdc_data VALUES (18166, 0, 77, 22.96275248, 154, 100);
INSERT INTO public.ecdc_data VALUES (18167, 0, 0, 2.1270103, 4, 100);
INSERT INTO public.ecdc_data VALUES (18168, 641, 17459, 186.34489283, 66, 100);
INSERT INTO public.ecdc_data VALUES (18169, 0, 0, 0, 67, 100);
INSERT INTO public.ecdc_data VALUES (18170, 0, 0, 0, 109, 100);
INSERT INTO public.ecdc_data VALUES (18171, 0, 33, 16.82847767, 155, 100);
INSERT INTO public.ecdc_data VALUES (18172, 0, 1, 0.06889295, 5, 100);
INSERT INTO public.ecdc_data VALUES (18173, 0, 0, 0.52902817, 6, 100);
INSERT INTO public.ecdc_data VALUES (18174, 0, 0, 0.01819666, 110, 100);
INSERT INTO public.ecdc_data VALUES (18175, 1, 329, 14.30647949, 7, 100);
INSERT INTO public.ecdc_data VALUES (18176, 20, 318, 15.07041852, 68, 100);
INSERT INTO public.ecdc_data VALUES (18177, 0, 27, 61.09801868, 8, 100);
INSERT INTO public.ecdc_data VALUES (18178, 0, 0, 47.73049209, 69, 100);
INSERT INTO public.ecdc_data VALUES (18179, 0, 0, 24.74090019, 9, 100);
INSERT INTO public.ecdc_data VALUES (18180, 0, 0, 0.13168718, 10, 100);
INSERT INTO public.ecdc_data VALUES (18181, 184, 5607, 570.94132635, 70, 100);
INSERT INTO public.ecdc_data VALUES (18182, 0, 19, 0.02657305, 111, 100);
INSERT INTO public.ecdc_data VALUES (18183, 111, 3019, 58.43529099, 71, 100);
INSERT INTO public.ecdc_data VALUES (18184, 0, 0, 12.45752981, 11, 100);
INSERT INTO public.ecdc_data VALUES (18185, 0, 0, 6.13325443, 12, 100);
INSERT INTO public.ecdc_data VALUES (18186, 0, 86, 17.73133599, 72, 100);
INSERT INTO public.ecdc_data VALUES (18187, 2, 618, 14.59371267, 13, 100);
INSERT INTO public.ecdc_data VALUES (18188, 0, 18, 1.71726633, 156, 100);
INSERT INTO public.ecdc_data VALUES (18189, 0, 3, 1.06763287, 73, 100);
INSERT INTO public.ecdc_data VALUES (18190, 0, 0, 1.22381794, 74, 100);
INSERT INTO public.ecdc_data VALUES (18191, 0, 1, 2.51170512, 157, 100);
INSERT INTO public.ecdc_data VALUES (18192, 0, 50, 8.1691675, 158, 100);
INSERT INTO public.ecdc_data VALUES (18193, 6, 155, 2.08548007, 14, 100);
INSERT INTO public.ecdc_data VALUES (18194, 0, 0, 7.62993145, 159, 100);
INSERT INTO public.ecdc_data VALUES (18195, 0, 17, 38.51854591, 15, 100);
INSERT INTO public.ecdc_data VALUES (18196, 0, 0, 0, 75, 100);
INSERT INTO public.ecdc_data VALUES (18197, 7, 899, 65.90025456, 76, 100);
INSERT INTO public.ecdc_data VALUES (18198, 24, 457, 43.28392117, 77, 100);
INSERT INTO public.ecdc_data VALUES (18199, 87, 1475, 21.07222376, 16, 100);
INSERT INTO public.ecdc_data VALUES (18200, 9, 0, 24.96300486, 78, 100);
INSERT INTO public.ecdc_data VALUES (18201, 0, 0, 26.4015304, 17, 100);
INSERT INTO public.ecdc_data VALUES (18202, 0, 0, 2.91668823, 18, 100);
INSERT INTO public.ecdc_data VALUES (18203, 0, 0, 3.170242, 160, 100);
INSERT INTO public.ecdc_data VALUES (18204, 0, 8, 26.30357284, 19, 100);
INSERT INTO public.ecdc_data VALUES (18205, 2, 63, 2.2412817, 20, 100);
INSERT INTO public.ecdc_data VALUES (18206, 0, 0, 0, 79, 100);
INSERT INTO public.ecdc_data VALUES (18207, 0, 0, 0, 161, 100);
INSERT INTO public.ecdc_data VALUES (18208, 0, 0, 0, 203, 100);
INSERT INTO public.ecdc_data VALUES (18209, 0, 1, 2.93588942, 162, 100);
INSERT INTO public.ecdc_data VALUES (18210, 7, 284, 9.55040242, 163, 100);
INSERT INTO public.ecdc_data VALUES (18211, 0, 0, 0, 204, 100);
INSERT INTO public.ecdc_data VALUES (18212, 0, 0, 61.07951015, 21, 100);
INSERT INTO public.ecdc_data VALUES (18213, 0, 0, 0.46854448, 22, 100);
INSERT INTO public.ecdc_data VALUES (18214, 0, 10, 2.50202539, 164, 100);
INSERT INTO public.ecdc_data VALUES (18215, 3, 537, 7.4271964, 165, 100);
INSERT INTO public.ecdc_data VALUES (18216, 0, 443, 14.84654179, 23, 100);
INSERT INTO public.ecdc_data VALUES (18217, 0, 0, 2.96683083, 166, 100);
INSERT INTO public.ecdc_data VALUES (18218, 0, 10, 2.50825229, 167, 100);
INSERT INTO public.ecdc_data VALUES (18219, 0, 0, 0, 80, 100);
INSERT INTO public.ecdc_data VALUES (18220, 0, 0, 0, 81, 100);
INSERT INTO public.ecdc_data VALUES (18221, 0, 0, 25.70309932, 205, 100);
INSERT INTO public.ecdc_data VALUES (18222, 17, 390, 34.63872999, 82, 100);
INSERT INTO public.ecdc_data VALUES (18223, 0, 0, 0, 168, 100);
INSERT INTO public.ecdc_data VALUES (18224, 0, 28, 6.44416371, 24, 100);
INSERT INTO public.ecdc_data VALUES (18225, 0, 0, 9.00611531, 25, 100);
INSERT INTO public.ecdc_data VALUES (18226, 0, 1, 3.83251892, 83, 100);
INSERT INTO public.ecdc_data VALUES (18227, 0, 134, 16.66507, 84, 100);
INSERT INTO public.ecdc_data VALUES (18228, 0, 0, 0, 169, 100);
INSERT INTO public.ecdc_data VALUES (18229, 5, 519, 66.09813244, 85, 100);
INSERT INTO public.ecdc_data VALUES (18230, 2, 8, 1.3506937, 170, 100);
INSERT INTO public.ecdc_data VALUES (18231, 0, 0, 2.24095285, 171, 100);
INSERT INTO public.ecdc_data VALUES (18232, 445, 14821, 12.3440287, 112, 100);
INSERT INTO public.ecdc_data VALUES (18233, 36, 862, 5.43370686, 113, 100);
INSERT INTO public.ecdc_data VALUES (18234, 116, 2368, 39.99691584, 114, 100);
INSERT INTO public.ecdc_data VALUES (18235, 87, 1646, 47.06715673, 115, 100);
INSERT INTO public.ecdc_data VALUES (18236, 0, 5, 3.62951242, 172, 100);
INSERT INTO public.ecdc_data VALUES (18237, 0, 0, 0, 173, 100);
INSERT INTO public.ecdc_data VALUES (18238, 1, 145, 33.60575948, 116, 100);
INSERT INTO public.ecdc_data VALUES (18239, 24, 224, 5.80024243, 174, 100);
INSERT INTO public.ecdc_data VALUES (18240, 0, 2, 2.06900505, 86, 100);
INSERT INTO public.ecdc_data VALUES (18241, 1, 117, 0.58489536, 117, 100);
INSERT INTO public.ecdc_data VALUES (18242, 0, 0, 6.49374745, 175, 100);
INSERT INTO public.ecdc_data VALUES (18243, 0, 18, 2.22734853, 118, 100);
INSERT INTO public.ecdc_data VALUES (18244, 2, 507, 26.26751968, 119, 100);
INSERT INTO public.ecdc_data VALUES (18245, 2, 260, 3.74900376, 26, 100);
INSERT INTO public.ecdc_data VALUES (18246, 1, 96, 51.98759415, 176, 100);
INSERT INTO public.ecdc_data VALUES (18247, 7, 505, 185.44942249, 120, 100);
INSERT INTO public.ecdc_data VALUES (18248, 3, 205, 20.63638947, 121, 100);
INSERT INTO public.ecdc_data VALUES (18249, 0, 0, 0, 122, 100);
INSERT INTO public.ecdc_data VALUES (18250, 0, 0, 1.19793663, 177, 100);
INSERT INTO public.ecdc_data VALUES (18251, 0, 51, 3.73411415, 123, 100);
INSERT INTO public.ecdc_data VALUES (18252, 0, 0, 0, 27, 100);
INSERT INTO public.ecdc_data VALUES (18253, 1, 25, 5.40773294, 28, 100);
INSERT INTO public.ecdc_data VALUES (18254, 0, 24, 4.24938395, 29, 100);
INSERT INTO public.ecdc_data VALUES (18255, 0, 0, 0, 178, 100);
INSERT INTO public.ecdc_data VALUES (18256, 0, 3, 3.0062444, 179, 100);
INSERT INTO public.ecdc_data VALUES (18257, 0, 15, 13.19446028, 180, 100);
INSERT INTO public.ecdc_data VALUES (18258, 1, 93, 2.01710789, 30, 100);
INSERT INTO public.ecdc_data VALUES (18259, 3, 110, 1.56746972, 31, 100);
INSERT INTO public.ecdc_data VALUES (18260, 0, 16, 0.78247778, 124, 100);
INSERT INTO public.ecdc_data VALUES (18261, 0, 16, 56.50175061, 125, 100);
INSERT INTO public.ecdc_data VALUES (18262, 2, 28, 2.1772281, 32, 100);
INSERT INTO public.ecdc_data VALUES (18263, 0, 0, 7.09135078, 181, 100);
INSERT INTO public.ecdc_data VALUES (18264, 0, 0, 41.23120898, 33, 100);
INSERT INTO public.ecdc_data VALUES (18265, 0, 0, 0, 34, 100);
INSERT INTO public.ecdc_data VALUES (18266, 1044, 2431, 55.78812846, 87, 100);
INSERT INTO public.ecdc_data VALUES (18267, 9, 247, 111.29638524, 182, 100);
INSERT INTO public.ecdc_data VALUES (18268, 0, 1, 3.02251776, 183, 100);
INSERT INTO public.ecdc_data VALUES (18269, 0, 7, 0.58911696, 126, 100);
INSERT INTO public.ecdc_data VALUES (18270, 0, 3, 6.10753767, 184, 100);
INSERT INTO public.ecdc_data VALUES (18271, 0, 0, 0, 88, 100);
INSERT INTO public.ecdc_data VALUES (18272, 1, 176, 4.80645769, 35, 100);
INSERT INTO public.ecdc_data VALUES (18273, 1, 45, 1.01099771, 36, 100);
INSERT INTO public.ecdc_data VALUES (18274, 0, 3, 0.08696389, 127, 100);
INSERT INTO public.ecdc_data VALUES (18275, 0, 9, 1.04228302, 37, 100);
INSERT INTO public.ecdc_data VALUES (18276, 1, 421, 19.4975552, 128, 100);
INSERT INTO public.ecdc_data VALUES (18277, 1, 91, 11.68256543, 185, 100);
INSERT INTO public.ecdc_data VALUES (18278, 0, 0, 0.35366056, 207, 100);
INSERT INTO public.ecdc_data VALUES (18279, 0, 2, 0.18816398, 208, 100);
INSERT INTO public.ecdc_data VALUES (18280, 0, 0, 10.7707536, 89, 100);
INSERT INTO public.ecdc_data VALUES (18281, 0, 1, 0.27026193, 38, 100);
INSERT INTO public.ecdc_data VALUES (18282, 12, 436, 3.86040053, 39, 100);
INSERT INTO public.ecdc_data VALUES (18283, 5, 101, 100.04178839, 186, 100);
INSERT INTO public.ecdc_data VALUES (18284, 0, 0, 5.24356353, 209, 100);
INSERT INTO public.ecdc_data VALUES (18285, 0, 0, 3.82867649, 187, 100);
INSERT INTO public.ecdc_data VALUES (18286, 3, 905, 253.04563304, 129, 100);
INSERT INTO public.ecdc_data VALUES (18287, 89, 4471, 35.74764467, 130, 100);
INSERT INTO public.ecdc_data VALUES (18288, 0, 43, 7.44767257, 131, 100);
INSERT INTO public.ecdc_data VALUES (18289, 8, 808, 226.18946694, 90, 100);
INSERT INTO public.ecdc_data VALUES (18290, 0, 1, 0.01139456, 210, 100);
INSERT INTO public.ecdc_data VALUES (18291, 0, 17, 3.46362674, 91, 100);
INSERT INTO public.ecdc_data VALUES (18292, 184, 3598, 179.69907656, 92, 100);
INSERT INTO public.ecdc_data VALUES (18293, 19, 652, 7.54463083, 132, 100);
INSERT INTO public.ecdc_data VALUES (18294, 10, 311, 14.14169696, 188, 100);
INSERT INTO public.ecdc_data VALUES (18295, 2, 292, 45.15104533, 189, 100);
INSERT INTO public.ecdc_data VALUES (18296, 2, 62, 52.49873526, 93, 100);
INSERT INTO public.ecdc_data VALUES (18297, 4, 881, 656.02168872, 133, 100);
INSERT INTO public.ecdc_data VALUES (18298, 12, 315, 18.36775459, 190, 100);
INSERT INTO public.ecdc_data VALUES (18299, 109, 7728, 80.21196079, 191, 100);
INSERT INTO public.ecdc_data VALUES (18300, 0, 26, 2.28875758, 40, 100);
INSERT INTO public.ecdc_data VALUES (18301, 0, 0, 0, 94, 100);
INSERT INTO public.ecdc_data VALUES (18302, 0, 0, 0, 95, 100);
INSERT INTO public.ecdc_data VALUES (18303, 0, 0, 2.71264908, 96, 100);
INSERT INTO public.ecdc_data VALUES (18304, 0, 0, 26.12254376, 192, 100);
INSERT INTO public.ecdc_data VALUES (18305, 0, 0, 85.56229307, 41, 100);
INSERT INTO public.ecdc_data VALUES (18306, 37, 3379, 162.53396812, 134, 100);
INSERT INTO public.ecdc_data VALUES (18307, 2, 150, 9.57268868, 42, 100);
INSERT INTO public.ecdc_data VALUES (18308, 1, 91, 15.37961367, 193, 100);
INSERT INTO public.ecdc_data VALUES (18309, 0, 0, 0, 43, 100);
INSERT INTO public.ecdc_data VALUES (18310, 2, 18, 4.58198535, 44, 100);
INSERT INTO public.ecdc_data VALUES (18311, 0, 262, 72.10118354, 135, 100);
INSERT INTO public.ecdc_data VALUES (18312, 0, 0, 0, 97, 100);
INSERT INTO public.ecdc_data VALUES (18313, 0, 1, 1.08248519, 194, 100);
INSERT INTO public.ecdc_data VALUES (18314, 0, 1, 1.68195807, 195, 100);
INSERT INTO public.ecdc_data VALUES (18315, 2, 24, 2.881582, 45, 100);
INSERT INTO public.ecdc_data VALUES (18316, 53, 4621, 83.70637061, 46, 100);
INSERT INTO public.ecdc_data VALUES (18317, 0, 17, 1.21814756, 136, 100);
INSERT INTO public.ecdc_data VALUES (18318, 0, 18, 5.10752285, 47, 100);
INSERT INTO public.ecdc_data VALUES (18319, 1, 232, 10.19876405, 196, 100);
INSERT INTO public.ecdc_data VALUES (18320, 0, 0, 0.53930517, 137, 100);
INSERT INTO public.ecdc_data VALUES (18321, 0, 0, 5.83230836, 48, 100);
INSERT INTO public.ecdc_data VALUES (18322, 0, 12, 33.02583756, 98, 100);
INSERT INTO public.ecdc_data VALUES (18323, 22, 321, 140.14409319, 197, 100);
INSERT INTO public.ecdc_data VALUES (18324, 2, 0, 3.82701114, 198, 100);
INSERT INTO public.ecdc_data VALUES (18325, 0, 6, 0.36906569, 138, 100);
INSERT INTO public.ecdc_data VALUES (18326, 0, 0, 0.01261889, 139, 100);
INSERT INTO public.ecdc_data VALUES (18327, 0, 58, 9.95598874, 140, 100);
INSERT INTO public.ecdc_data VALUES (18328, 0, 1, 0.04165136, 141, 100);
INSERT INTO public.ecdc_data VALUES (18329, 0, 0, 0, 142, 100);
INSERT INTO public.ecdc_data VALUES (18330, 0, 8, 0.91557428, 49, 100);
INSERT INTO public.ecdc_data VALUES (18331, 0, 0, 0.43011709, 99, 100);
INSERT INTO public.ecdc_data VALUES (18332, 0, 1, 0.59856067, 50, 100);
INSERT INTO public.ecdc_data VALUES (18333, 23, 1192, 21.40508421, 199, 100);
INSERT INTO public.ecdc_data VALUES (18334, 0, 2, 5.23642457, 100, 100);
INSERT INTO public.ecdc_data VALUES (18335, 0, 15, 0.34786862, 51, 100);
INSERT INTO public.ecdc_data VALUES (18336, 8, 735, 21.73268533, 200, 100);
INSERT INTO public.ecdc_data VALUES (18337, 1, 392, 62.60666007, 143, 100);
INSERT INTO public.ecdc_data VALUES (18338, 31, 687, 20.73008055, 201, 100);
INSERT INTO public.ecdc_data VALUES (18339, 0, 0, 0, 52, 100);
INSERT INTO public.ecdc_data VALUES (18340, 256, 25793, 102.88213131, 101, 100);
INSERT INTO public.ecdc_data VALUES (18341, 0, 2, 4.78107459, 102, 100);
INSERT INTO public.ecdc_data VALUES (18342, 0, 17, 0.89550575, 103, 100);
INSERT INTO public.ecdc_data VALUES (18343, 0, 142, 6.08215795, 144, 100);
INSERT INTO public.ecdc_data VALUES (18344, 0, 128, 5.61793241, 104, 100);
INSERT INTO public.ecdc_data VALUES (18345, 0, 0, 0.01866018, 145, 100);
INSERT INTO public.ecdc_data VALUES (18346, 0, 0, 0.3433724, 53, 100);
INSERT INTO public.ecdc_data VALUES (18347, 2, 18, 1.56025381, 146, 100);
INSERT INTO public.ecdc_data VALUES (18348, 0, 0, 1.54526328, 54, 100);
INSERT INTO public.ecdc_data VALUES (18349, 0, 3, 1.41340604, 55, 100);
INSERT INTO public.ecdc_data VALUES (18350, 6, 531, 13.44049382, 105, 101);
INSERT INTO public.ecdc_data VALUES (18351, 0, 5, 4.43679437, 147, 101);
INSERT INTO public.ecdc_data VALUES (18352, 7, 186, 5.91363391, 1, 101);
INSERT INTO public.ecdc_data VALUES (18353, 0, 0, 13.1273219, 148, 101);
INSERT INTO public.ecdc_data VALUES (18354, 0, 6, 0.06912739, 2, 101);
INSERT INTO public.ecdc_data VALUES (18355, 0, 0, 0, 56, 101);
INSERT INTO public.ecdc_data VALUES (18356, 0, 0, 0, 57, 101);
INSERT INTO public.ecdc_data VALUES (18357, 13, 648, 10.18296397, 58, 101);
INSERT INTO public.ecdc_data VALUES (18358, 4, 322, 98.01442188, 149, 101);
INSERT INTO public.ecdc_data VALUES (18359, 0, 0, 0, 59, 101);
INSERT INTO public.ecdc_data VALUES (18360, 0, 2, 0.73403377, 202, 101);
INSERT INTO public.ecdc_data VALUES (18361, 0, 57, 7.43895177, 150, 101);
INSERT INTO public.ecdc_data VALUES (18362, 1, 118, 15.37662429, 151, 101);
INSERT INTO public.ecdc_data VALUES (18363, 0, 0, 1.28374319, 60, 101);
INSERT INTO public.ecdc_data VALUES (18364, 0, 286, 242.20614149, 106, 101);
INSERT INTO public.ecdc_data VALUES (18365, 22, 1773, 9.86591694, 107, 101);
INSERT INTO public.ecdc_data VALUES (18366, 0, 0, 2.7872525, 61, 101);
INSERT INTO public.ecdc_data VALUES (18367, 6, 945, 139.67867874, 152, 101);
INSERT INTO public.ecdc_data VALUES (18368, 34, 70, 37.96423366, 153, 101);
INSERT INTO public.ecdc_data VALUES (18369, 0, 0, 0, 62, 101);
INSERT INTO public.ecdc_data VALUES (18370, 1, 5, -0.04236875, 3, 101);
INSERT INTO public.ecdc_data VALUES (18371, 0, 0, 11.19856658, 63, 101);
INSERT INTO public.ecdc_data VALUES (18372, 0, 0, 1.83463636, 108, 101);
INSERT INTO public.ecdc_data VALUES (18373, 16, 268, 26.97795955, 64, 101);
INSERT INTO public.ecdc_data VALUES (18374, 0, 0, 0, 65, 101);
INSERT INTO public.ecdc_data VALUES (18375, 4, 18, 9.84550733, 154, 101);
INSERT INTO public.ecdc_data VALUES (18376, 0, 0, 0.26045024, 4, 101);
INSERT INTO public.ecdc_data VALUES (18377, 1188, 18508, 82.90992599, 66, 101);
INSERT INTO public.ecdc_data VALUES (18378, 0, 0, 3.3296707, 67, 101);
INSERT INTO public.ecdc_data VALUES (18379, 0, 0, 0, 109, 101);
INSERT INTO public.ecdc_data VALUES (18380, 5, 41, 7.75709964, 155, 101);
INSERT INTO public.ecdc_data VALUES (18381, 0, 3, 0.37399029, 5, 101);
INSERT INTO public.ecdc_data VALUES (18382, 0, 0, 0.19946964, 6, 101);
INSERT INTO public.ecdc_data VALUES (18383, 0, 1, 0.00606555, 110, 101);
INSERT INTO public.ecdc_data VALUES (18384, 10, 555, 7.81793842, 7, 101);
INSERT INTO public.ecdc_data VALUES (18385, 122, 1222, 43.81327244, 68, 101);
INSERT INTO public.ecdc_data VALUES (18386, 0, 7, 25.0938291, 8, 101);
INSERT INTO public.ecdc_data VALUES (18387, 0, 0, 50.80987867, 69, 101);
INSERT INTO public.ecdc_data VALUES (18388, 0, 25, 7.20731505, 9, 101);
INSERT INTO public.ecdc_data VALUES (18389, 1, 23, 2.10072414, 10, 101);
INSERT INTO public.ecdc_data VALUES (18390, 45, 3964, 174.12378143, 70, 101);
INSERT INTO public.ecdc_data VALUES (18391, 0, 12, 0.00718379, 111, 101);
INSERT INTO public.ecdc_data VALUES (18392, 22, 643, 17.62832378, 71, 101);
INSERT INTO public.ecdc_data VALUES (18393, 0, 0, 3.05562052, 11, 101);
INSERT INTO public.ecdc_data VALUES (18394, 1, 49, 3.6241958, 12, 101);
INSERT INTO public.ecdc_data VALUES (18395, 0, 6, 2.73399371, 72, 101);
INSERT INTO public.ecdc_data VALUES (18396, 0, 0, 2.56644028, 13, 101);
INSERT INTO public.ecdc_data VALUES (18397, 1, 3, 2.74762612, 156, 101);
INSERT INTO public.ecdc_data VALUES (18398, 1, 8, 1.57939077, 73, 101);
INSERT INTO public.ecdc_data VALUES (18399, 0, 0, 0, 74, 101);
INSERT INTO public.ecdc_data VALUES (18400, 0, 1, 3.88172609, 157, 101);
INSERT INTO public.ecdc_data VALUES (18401, 2, 33, 6.78885988, 158, 101);
INSERT INTO public.ecdc_data VALUES (18402, 2, 110, 1.20750448, 14, 101);
INSERT INTO public.ecdc_data VALUES (18403, 7, 65, 18.92843038, 159, 101);
INSERT INTO public.ecdc_data VALUES (18404, 1, 219, 93.8825359, 15, 101);
INSERT INTO public.ecdc_data VALUES (18405, 0, 0, 0, 75, 101);
INSERT INTO public.ecdc_data VALUES (18406, 2, 180, 42.480848, 76, 101);
INSERT INTO public.ecdc_data VALUES (18407, 51, 452, 28.82524963, 77, 101);
INSERT INTO public.ecdc_data VALUES (18408, 16, 774, 6.99485465, 16, 101);
INSERT INTO public.ecdc_data VALUES (18409, 1, 69, 14.64310341, 78, 101);
INSERT INTO public.ecdc_data VALUES (18410, 3, 13, 34.21874332, 17, 101);
INSERT INTO public.ecdc_data VALUES (18411, 0, 0, 0, 18, 101);
INSERT INTO public.ecdc_data VALUES (18412, 0, 6, 6.03855618, 160, 101);
INSERT INTO public.ecdc_data VALUES (18413, 0, 3, 5.83556086, 19, 101);
INSERT INTO public.ecdc_data VALUES (18414, 0, 10, 0.18558384, 20, 101);
INSERT INTO public.ecdc_data VALUES (18415, 0, 0, 0, 79, 101);
INSERT INTO public.ecdc_data VALUES (18416, 0, 0, 0, 161, 101);
INSERT INTO public.ecdc_data VALUES (18417, 0, 0, 0, 203, 101);
INSERT INTO public.ecdc_data VALUES (18418, 2, 50, 14.86067483, 162, 101);
INSERT INTO public.ecdc_data VALUES (18419, 83, 318, 9.52652641, 163, 101);
INSERT INTO public.ecdc_data VALUES (18420, 0, 0, 0, 204, 101);
INSERT INTO public.ecdc_data VALUES (18421, 0, 0, 48.92804769, 21, 101);
INSERT INTO public.ecdc_data VALUES (18422, 0, 0, 0.25556972, 22, 101);
INSERT INTO public.ecdc_data VALUES (18423, 0, 8, 2.65214691, 164, 101);
INSERT INTO public.ecdc_data VALUES (18424, 27, 460, 11.93940492, 165, 101);
INSERT INTO public.ecdc_data VALUES (18425, 0, 217, 11.16120668, 23, 101);
INSERT INTO public.ecdc_data VALUES (18426, 0, 2, 20.76781582, 166, 101);
INSERT INTO public.ecdc_data VALUES (18427, 2, 3, 1.63176264, 167, 101);
INSERT INTO public.ecdc_data VALUES (18428, 0, 0, 0, 80, 101);
INSERT INTO public.ecdc_data VALUES (18429, 0, 0, 0.8928412, 81, 101);
INSERT INTO public.ecdc_data VALUES (18430, 0, 0, 8.36845094, 205, 101);
INSERT INTO public.ecdc_data VALUES (18431, 3, 247, 9.55551172, 82, 101);
INSERT INTO public.ecdc_data VALUES (18432, 0, 0, 0, 168, 101);
INSERT INTO public.ecdc_data VALUES (18433, 1, 204, 8.9263021, 24, 101);
INSERT INTO public.ecdc_data VALUES (18434, 0, 51, 27.33069675, 25, 101);
INSERT INTO public.ecdc_data VALUES (18435, 0, 2, 4.34352145, 83, 101);
INSERT INTO public.ecdc_data VALUES (18436, 3, 138, 5.37153295, 84, 101);
INSERT INTO public.ecdc_data VALUES (18437, 0, 0, 0, 169, 101);
INSERT INTO public.ecdc_data VALUES (18438, 5, 104, 15.58569748, 85, 101);
INSERT INTO public.ecdc_data VALUES (18439, 3, 37, 5.11626403, 170, 101);
INSERT INTO public.ecdc_data VALUES (18440, 0, 0, 0.56023821, 171, 101);
INSERT INTO public.ecdc_data VALUES (18441, 148, 6088, 4.54509609, 112, 101);
INSERT INTO public.ecdc_data VALUES (18442, 36, 973, 2.72923216, 113, 101);
INSERT INTO public.ecdc_data VALUES (18443, 66, 2392, 31.6062834, 114, 101);
INSERT INTO public.ecdc_data VALUES (18444, 6, 153, 3.39355676, 115, 101);
INSERT INTO public.ecdc_data VALUES (18445, 12, 76, 40.90338156, 172, 101);
INSERT INTO public.ecdc_data VALUES (18446, 0, 0, 8.27530766, 173, 101);
INSERT INTO public.ecdc_data VALUES (18447, 0, 20, 3.62702748, 116, 101);
INSERT INTO public.ecdc_data VALUES (18448, 156, 642, 20.12606258, 174, 101);
INSERT INTO public.ecdc_data VALUES (18449, 0, 5, 1.56023332, 86, 101);
INSERT INTO public.ecdc_data VALUES (18450, 19, 89, 0.76146754, 117, 101);
INSERT INTO public.ecdc_data VALUES (18451, 0, 0, 12.05981669, 175, 101);
INSERT INTO public.ecdc_data VALUES (18452, 0, 12, 1.8808721, 118, 101);
INSERT INTO public.ecdc_data VALUES (18453, 0, 363, 15.66995274, 119, 101);
INSERT INTO public.ecdc_data VALUES (18454, 0, 80, 0.9548452, 26, 101);
INSERT INTO public.ecdc_data VALUES (18455, 0, 1, 7.95104381, 176, 101);
INSERT INTO public.ecdc_data VALUES (18456, 5, 1041, 286.23198482, 120, 101);
INSERT INTO public.ecdc_data VALUES (18457, 0, 37, 6.92036021, 121, 101);
INSERT INTO public.ecdc_data VALUES (18458, 0, 0, 0, 122, 101);
INSERT INTO public.ecdc_data VALUES (18459, 1, 9, 6.04176736, 177, 101);
INSERT INTO public.ecdc_data VALUES (18460, 0, 63, 3.50073202, 123, 101);
INSERT INTO public.ecdc_data VALUES (18461, 0, 0, 0, 27, 101);
INSERT INTO public.ecdc_data VALUES (18462, 0, 2, 1.03293775, 28, 101);
INSERT INTO public.ecdc_data VALUES (18463, 0, 2, 0.10328364, 29, 101);
INSERT INTO public.ecdc_data VALUES (18464, 0, 0, 0, 178, 101);
INSERT INTO public.ecdc_data VALUES (18465, 1, 17, 5.76196843, 179, 101);
INSERT INTO public.ecdc_data VALUES (18466, 0, 9, 19.71024314, 180, 101);
INSERT INTO public.ecdc_data VALUES (18467, 0, 34, 0.87506887, 30, 101);
INSERT INTO public.ecdc_data VALUES (18468, 0, 0, 0.15567336, 31, 101);
INSERT INTO public.ecdc_data VALUES (18469, 0, 50, 1.85290739, 124, 101);
INSERT INTO public.ecdc_data VALUES (18470, 0, 30, 108.10668284, 125, 101);
INSERT INTO public.ecdc_data VALUES (18471, 5, 16, 1.51083352, 32, 101);
INSERT INTO public.ecdc_data VALUES (18472, 0, 1, 22.48971248, 181, 101);
INSERT INTO public.ecdc_data VALUES (18473, 1, 42, 3.64584645, 33, 101);
INSERT INTO public.ecdc_data VALUES (18474, 0, 0, 0, 34, 101);
INSERT INTO public.ecdc_data VALUES (18475, 420, 3978, 31.30537675, 87, 101);
INSERT INTO public.ecdc_data VALUES (18476, 5, 151, 51.91358058, 182, 101);
INSERT INTO public.ecdc_data VALUES (18477, 0, 0, 3.02251776, 183, 101);
INSERT INTO public.ecdc_data VALUES (18478, 0, 1, 3.06960944, 126, 101);
INSERT INTO public.ecdc_data VALUES (18479, 0, 0, 0, 184, 101);
INSERT INTO public.ecdc_data VALUES (18480, 0, 0, 0, 88, 101);
INSERT INTO public.ecdc_data VALUES (18481, 2, 78, 4.55969146, 35, 101);
INSERT INTO public.ecdc_data VALUES (18482, 0, 6, 0.26674532, 36, 101);
INSERT INTO public.ecdc_data VALUES (18483, 0, 0, 0.0425568, 127, 101);
INSERT INTO public.ecdc_data VALUES (18484, 0, 2, 0.08017562, 37, 101);
INSERT INTO public.ecdc_data VALUES (18485, 1, 43, 1.34923921, 128, 101);
INSERT INTO public.ecdc_data VALUES (18486, 27, 253, 16.93075109, 185, 101);
INSERT INTO public.ecdc_data VALUES (18487, 0, 0, 0, 207, 101);
INSERT INTO public.ecdc_data VALUES (18488, 0, 1, 0.27179242, 208, 101);
INSERT INTO public.ecdc_data VALUES (18489, 0, 0, 0.13749898, 89, 101);
INSERT INTO public.ecdc_data VALUES (18490, 2, 4, 0.61345169, 38, 101);
INSERT INTO public.ecdc_data VALUES (18491, 11, 339, 1.73663288, 39, 101);
INSERT INTO public.ecdc_data VALUES (18492, 1, 40, 15.69471752, 186, 101);
INSERT INTO public.ecdc_data VALUES (18493, 0, 0, 12.23498156, 209, 101);
INSERT INTO public.ecdc_data VALUES (18494, 0, 0, 5.12367, 187, 101);
INSERT INTO public.ecdc_data VALUES (18495, 1, 327, 68.58302486, 129, 101);
INSERT INTO public.ecdc_data VALUES (18496, 50, 2603, 11.4778305, 130, 101);
INSERT INTO public.ecdc_data VALUES (18497, 0, 25, 1.1041024, 131, 101);
INSERT INTO public.ecdc_data VALUES (18498, 4, 139, 52.93846139, 90, 101);
INSERT INTO public.ecdc_data VALUES (18499, 0, 0, 0, 210, 101);
INSERT INTO public.ecdc_data VALUES (18500, 0, 3, 5.30900164, 91, 101);
INSERT INTO public.ecdc_data VALUES (18501, 124, 4749, 154.54409722, 92, 101);
INSERT INTO public.ecdc_data VALUES (18502, 4, 213, 2.85894985, 132, 101);
INSERT INTO public.ecdc_data VALUES (18503, 10, 404, 13.42012806, 188, 101);
INSERT INTO public.ecdc_data VALUES (18504, 14, 252, 31.10945947, 189, 101);
INSERT INTO public.ecdc_data VALUES (18505, 1, 47, 30.06745747, 93, 101);
INSERT INTO public.ecdc_data VALUES (18506, 1, 1554, 697.7579305, 133, 101);
INSERT INTO public.ecdc_data VALUES (18507, 10, 198, 15.89537035, 190, 101);
INSERT INTO public.ecdc_data VALUES (18508, 127, 8849, 96.2444813, 191, 101);
INSERT INTO public.ecdc_data VALUES (18509, 0, 6, 0.38805924, 40, 101);
INSERT INTO public.ecdc_data VALUES (18510, 0, 0, 0, 94, 101);
INSERT INTO public.ecdc_data VALUES (18511, 0, 0, 0, 95, 101);
INSERT INTO public.ecdc_data VALUES (18512, 0, 0, 0.90421636, 96, 101);
INSERT INTO public.ecdc_data VALUES (18513, 0, 2, 104.49017502, 192, 101);
INSERT INTO public.ecdc_data VALUES (18514, 0, 0, 29.76079759, 41, 101);
INSERT INTO public.ecdc_data VALUES (18515, 12, 2532, 91.47168237, 134, 101);
INSERT INTO public.ecdc_data VALUES (18516, 3, 98, 8.09996734, 42, 101);
INSERT INTO public.ecdc_data VALUES (18517, 2, 86, 15.37961367, 193, 101);
INSERT INTO public.ecdc_data VALUES (18518, 0, 0, 0, 43, 101);
INSERT INTO public.ecdc_data VALUES (18519, 1, 15, 4.53078998, 44, 101);
INSERT INTO public.ecdc_data VALUES (18520, 1, 448, 152.8682919, 135, 101);
INSERT INTO public.ecdc_data VALUES (18521, 0, 0, 2.3591026, 97, 101);
INSERT INTO public.ecdc_data VALUES (18522, 0, 6, 1.04579077, 194, 101);
INSERT INTO public.ecdc_data VALUES (18523, 0, 0, 0.86500701, 195, 101);
INSERT INTO public.ecdc_data VALUES (18524, 0, 21, 4.31265981, 45, 101);
INSERT INTO public.ecdc_data VALUES (18525, 30, 1134, 18.62247734, 46, 101);
INSERT INTO public.ecdc_data VALUES (18526, 0, 20, 0.62469106, 136, 101);
INSERT INTO public.ecdc_data VALUES (18527, 0, 54, 2.250926, 47, 101);
INSERT INTO public.ecdc_data VALUES (18528, 688, 1787, 24.7267298, 196, 101);
INSERT INTO public.ecdc_data VALUES (18529, 0, 27, 1.08329995, 137, 101);
INSERT INTO public.ecdc_data VALUES (18530, 10, 410, 5.15728348, 48, 101);
INSERT INTO public.ecdc_data VALUES (18531, 0, 0, 0.17200957, 98, 101);
INSERT INTO public.ecdc_data VALUES (18532, 53, 610, 78.63982909, 197, 101);
INSERT INTO public.ecdc_data VALUES (18533, 8, 36, 6.64753005, 198, 101);
INSERT INTO public.ecdc_data VALUES (18534, 0, 0, 0.07615641, 138, 101);
INSERT INTO public.ecdc_data VALUES (18535, 0, 0, 0.0042063, 139, 101);
INSERT INTO public.ecdc_data VALUES (18536, 0, 204, 18.01304428, 140, 101);
INSERT INTO public.ecdc_data VALUES (18537, 0, 3, 0.06463142, 141, 101);
INSERT INTO public.ecdc_data VALUES (18538, 0, 0, 0, 142, 101);
INSERT INTO public.ecdc_data VALUES (18539, 0, 14, 2.70960496, 49, 101);
INSERT INTO public.ecdc_data VALUES (18540, 0, 0, 0, 99, 101);
INSERT INTO public.ecdc_data VALUES (18541, 0, 1, 0.17101733, 50, 101);
INSERT INTO public.ecdc_data VALUES (18542, 27, 961, 24.17812366, 199, 101);
INSERT INTO public.ecdc_data VALUES (18543, 0, 0, 0, 100, 101);
INSERT INTO public.ecdc_data VALUES (18544, 0, 15, 0.13327434, 51, 101);
INSERT INTO public.ecdc_data VALUES (18545, 15, 476, 13.6724299, 200, 101);
INSERT INTO public.ecdc_data VALUES (18546, 4, 894, 109.08317526, 143, 101);
INSERT INTO public.ecdc_data VALUES (18547, 273, 2718, 58.5786823, 201, 101);
INSERT INTO public.ecdc_data VALUES (18548, 0, 0, 0, 52, 101);
INSERT INTO public.ecdc_data VALUES (18549, 1263, 25434, 97.34097543, 101, 101);
INSERT INTO public.ecdc_data VALUES (18550, 0, 0, 2.86864476, 102, 101);
INSERT INTO public.ecdc_data VALUES (18551, 0, 3, 1.87767334, 103, 101);
INSERT INTO public.ecdc_data VALUES (18552, 0, 56, 2.14664398, 144, 101);
INSERT INTO public.ecdc_data VALUES (18553, 0, 58, 1.75691894, 104, 101);
INSERT INTO public.ecdc_data VALUES (18554, 0, 0, 0.03732035, 145, 101);
INSERT INTO public.ecdc_data VALUES (18555, 0, 0, 0, 53, 101);
INSERT INTO public.ecdc_data VALUES (18556, 4, 13, 0.57266459, 146, 101);
INSERT INTO public.ecdc_data VALUES (18557, 0, 34, 3.99193014, 54, 101);
INSERT INTO public.ecdc_data VALUES (18558, 0, 3, 0.11607682, 55, 101);
INSERT INTO public.ecdc_data VALUES (18559, 1, 61, 1.90580051, 105, 102);
INSERT INTO public.ecdc_data VALUES (18560, 0, 25, 7.89539786, 147, 102);
INSERT INTO public.ecdc_data VALUES (18561, 8, 93, 3.11940705, 1, 102);
INSERT INTO public.ecdc_data VALUES (18562, 1, 0, 225.7899366, 148, 102);
INSERT INTO public.ecdc_data VALUES (18563, 0, 0, 0.02199508, 2, 102);
INSERT INTO public.ecdc_data VALUES (18564, 0, 0, 0, 56, 102);
INSERT INTO public.ecdc_data VALUES (18565, 0, 1, 9.26736344, 57, 102);
INSERT INTO public.ecdc_data VALUES (18566, 9, 112, 3.16431139, 58, 102);
INSERT INTO public.ecdc_data VALUES (18567, 0, 72, 20.01536314, 149, 102);
INSERT INTO public.ecdc_data VALUES (18568, 0, 0, 21.6348415, 59, 102);
INSERT INTO public.ecdc_data VALUES (18569, 3, 22, 2.74171534, 202, 102);
INSERT INTO public.ecdc_data VALUES (18570, 1, 50, 24.75511569, 150, 102);
INSERT INTO public.ecdc_data VALUES (18571, 1, 44, 7.59376332, 151, 102);
INSERT INTO public.ecdc_data VALUES (18572, 0, 1, 7.4457105, 60, 102);
INSERT INTO public.ecdc_data VALUES (18573, 0, 66, 70.80340539, 106, 102);
INSERT INTO public.ecdc_data VALUES (18574, 9, 434, 1.97367405, 107, 102);
INSERT INTO public.ecdc_data VALUES (18575, 0, 0, 4.18087875, 61, 102);
INSERT INTO public.ecdc_data VALUES (18576, 4, 459, 62.01593689, 152, 102);
INSERT INTO public.ecdc_data VALUES (18577, 203, 1270, 161.42437545, 153, 102);
INSERT INTO public.ecdc_data VALUES (18578, 0, 0, 2.81797664, 62, 102);
INSERT INTO public.ecdc_data VALUES (18579, 0, 0, 0.23726499, 3, 102);
INSERT INTO public.ecdc_data VALUES (18580, 0, 12, 94.38791835, 63, 102);
INSERT INTO public.ecdc_data VALUES (18581, 0, 0, 0.13104545, 108, 102);
INSERT INTO public.ecdc_data VALUES (18582, 3, 11, 3.46561683, 64, 102);
INSERT INTO public.ecdc_data VALUES (18583, 0, 1, 15.39468114, 65, 102);
INSERT INTO public.ecdc_data VALUES (18584, 2, 40, 16.9342726, 154, 102);
INSERT INTO public.ecdc_data VALUES (18585, 0, 0, 0.60771723, 4, 102);
INSERT INTO public.ecdc_data VALUES (18586, 166, 2498, 13.91237475, 66, 102);
INSERT INTO public.ecdc_data VALUES (18587, 0, 0, 6.65934139, 67, 102);
INSERT INTO public.ecdc_data VALUES (18588, 0, 0, 0.69236734, 109, 102);
INSERT INTO public.ecdc_data VALUES (18589, 2, 46, 5.68568261, 155, 102);
INSERT INTO public.ecdc_data VALUES (18590, 0, 19, 1.06291978, 5, 102);
INSERT INTO public.ecdc_data VALUES (18591, 0, 0, 0.02601778, 6, 102);
INSERT INTO public.ecdc_data VALUES (18592, 0, 0, 0.03032777, 110, 102);
INSERT INTO public.ecdc_data VALUES (18593, 0, 146, 1.84724398, 7, 102);
INSERT INTO public.ecdc_data VALUES (18594, 144, 1590, 54.87685212, 68, 102);
INSERT INTO public.ecdc_data VALUES (18595, 0, 0, 10.91036048, 8, 102);
INSERT INTO public.ecdc_data VALUES (18596, 0, 0, 32.33355916, 69, 102);
INSERT INTO public.ecdc_data VALUES (18597, 0, 2, 0.1053701, 9, 102);
INSERT INTO public.ecdc_data VALUES (18598, 0, 1, 0.15677046, 10, 102);
INSERT INTO public.ecdc_data VALUES (18599, 8, 325, 30.16034954, 70, 102);
INSERT INTO public.ecdc_data VALUES (18600, 0, 15, 0.07532517, 111, 102);
INSERT INTO public.ecdc_data VALUES (18601, 7, 172, 4.70605128, 71, 102);
INSERT INTO public.ecdc_data VALUES (18602, 0, 5, 2.23027434, 12, 102);
INSERT INTO public.ecdc_data VALUES (18603, 0, 7, 3.68494804, 72, 102);
INSERT INTO public.ecdc_data VALUES (18604, 3, 37, 2.20480551, 13, 102);
INSERT INTO public.ecdc_data VALUES (18605, 1, 27, 15.35726745, 156, 102);
INSERT INTO public.ecdc_data VALUES (18606, 2, 50, 6.53814838, 73, 102);
INSERT INTO public.ecdc_data VALUES (18607, 0, 0, 0.61190897, 74, 102);
INSERT INTO public.ecdc_data VALUES (18608, 0, 12, 33.10884017, 157, 102);
INSERT INTO public.ecdc_data VALUES (18609, 5, 127, 19.00505174, 158, 102);
INSERT INTO public.ecdc_data VALUES (18610, 0, 9, 0.20624361, 14, 102);
INSERT INTO public.ecdc_data VALUES (18611, 6, 180, 45.19399574, 159, 102);
INSERT INTO public.ecdc_data VALUES (18612, 0, 99, 84.63808488, 15, 102);
INSERT INTO public.ecdc_data VALUES (18613, 0, 0, 1.3926025, 75, 102);
INSERT INTO public.ecdc_data VALUES (18614, 10, 80, 28.75512026, 76, 102);
INSERT INTO public.ecdc_data VALUES (18615, 13, 270, 36.85464724, 77, 102);
INSERT INTO public.ecdc_data VALUES (18616, 14, 157, 2.15961904, 16, 102);
INSERT INTO public.ecdc_data VALUES (18617, 0, 7, 2.27781609, 78, 102);
INSERT INTO public.ecdc_data VALUES (18618, 0, 0, 4.64607937, 17, 102);
INSERT INTO public.ecdc_data VALUES (18619, 0, 0, 0.22875986, 18, 102);
INSERT INTO public.ecdc_data VALUES (18620, 3, 17, 30.41922676, 160, 102);
INSERT INTO public.ecdc_data VALUES (18621, 0, 0, 1.21937093, 19, 102);
INSERT INTO public.ecdc_data VALUES (18622, 0, 3, 0.05531826, 20, 102);
INSERT INTO public.ecdc_data VALUES (18623, 0, 1, 207.59193357, 79, 102);
INSERT INTO public.ecdc_data VALUES (18624, 0, 0, 2.05435832, 161, 102);
INSERT INTO public.ecdc_data VALUES (18625, 0, 0, 0.3370957, 203, 102);
INSERT INTO public.ecdc_data VALUES (18626, 43, 146, 30.91745276, 162, 102);
INSERT INTO public.ecdc_data VALUES (18627, 531, 2667, 58.43204806, 163, 102);
INSERT INTO public.ecdc_data VALUES (18628, 0, 1, 3.58057182, 204, 102);
INSERT INTO public.ecdc_data VALUES (18629, 0, 36, 5.79956163, 21, 102);
INSERT INTO public.ecdc_data VALUES (18630, 0, 0, 0.25556972, 22, 102);
INSERT INTO public.ecdc_data VALUES (18631, 0, 6, 5.30429383, 164, 102);
INSERT INTO public.ecdc_data VALUES (18632, 281, 2237, 51.15201465, 165, 102);
INSERT INTO public.ecdc_data VALUES (18633, 0, 0, 2.48209456, 23, 102);
INSERT INTO public.ecdc_data VALUES (18634, 0, 0, 59.33661663, 166, 102);
INSERT INTO public.ecdc_data VALUES (18635, 5, 156, 5.30555968, 167, 102);
INSERT INTO public.ecdc_data VALUES (18636, 0, 0, 0, 80, 102);
INSERT INTO public.ecdc_data VALUES (18637, 0, 0, 1.7856824, 81, 102);
INSERT INTO public.ecdc_data VALUES (18638, 0, 0, 8.96619744, 205, 102);
INSERT INTO public.ecdc_data VALUES (18639, 1, 22, 1.34232188, 82, 102);
INSERT INTO public.ecdc_data VALUES (18640, 0, 0, 113.23447292, 168, 102);
INSERT INTO public.ecdc_data VALUES (18641, 1, 66, 4.25956872, 24, 102);
INSERT INTO public.ecdc_data VALUES (18642, 0, 0, 0.88499399, 25, 102);
INSERT INTO public.ecdc_data VALUES (18643, 0, 1, 4.34352145, 83, 102);
INSERT INTO public.ecdc_data VALUES (18644, 1, 1, 0.29299271, 84, 102);
INSERT INTO public.ecdc_data VALUES (18645, 0, 0, 245.39877301, 169, 102);
INSERT INTO public.ecdc_data VALUES (18646, 0, 16, 2.03157874, 85, 102);
INSERT INTO public.ecdc_data VALUES (18647, 12, 70, 13.02600822, 170, 102);
INSERT INTO public.ecdc_data VALUES (18648, 0, 5, 53.78286848, 171, 102);
INSERT INTO public.ecdc_data VALUES (18649, 50, 1384, 1.08239226, 112, 102);
INSERT INTO public.ecdc_data VALUES (18650, 26, 375, 1.6247541, 113, 102);
INSERT INTO public.ecdc_data VALUES (18651, 88, 1297, 26.79044391, 114, 102);
INSERT INTO public.ecdc_data VALUES (18652, 1, 28, 1.4525644, 115, 102);
INSERT INTO public.ecdc_data VALUES (18653, 43, 388, 210.65445411, 172, 102);
INSERT INTO public.ecdc_data VALUES (18654, 1, 7, 185.60332904, 173, 102);
INSERT INTO public.ecdc_data VALUES (18655, 7, 229, 55.09795146, 116, 102);
INSERT INTO public.ecdc_data VALUES (18656, 534, 2729, 80.13811105, 174, 102);
INSERT INTO public.ecdc_data VALUES (18657, 0, 10, 5.76607965, 86, 102);
INSERT INTO public.ecdc_data VALUES (18658, 0, 378, 5.70627695, 117, 102);
INSERT INTO public.ecdc_data VALUES (18659, 0, 6, 78.85264759, 175, 102);
INSERT INTO public.ecdc_data VALUES (18660, 0, 0, 0.75234884, 118, 102);
INSERT INTO public.ecdc_data VALUES (18661, 0, 76, 7.12074564, 119, 102);
INSERT INTO public.ecdc_data VALUES (18662, 0, 0, 0.20732695, 26, 102);
INSERT INTO public.ecdc_data VALUES (18663, 3, 6, 21.90707176, 176, 102);
INSERT INTO public.ecdc_data VALUES (18664, 2, 85, 31.7797844, 120, 102);
INSERT INTO public.ecdc_data VALUES (18665, 0, 22, 5.33054773, 121, 102);
INSERT INTO public.ecdc_data VALUES (18666, 0, 0, 0.09763642, 122, 102);
INSERT INTO public.ecdc_data VALUES (18667, 4, 9, 10.41684028, 177, 102);
INSERT INTO public.ecdc_data VALUES (18668, 0, 0, 1.88164346, 123, 102);
INSERT INTO public.ecdc_data VALUES (18669, 0, 2, 1.76207028, 28, 102);
INSERT INTO public.ecdc_data VALUES (18670, 0, 0, 0.47215377, 29, 102);
INSERT INTO public.ecdc_data VALUES (18671, 0, 0, 10.42263797, 178, 102);
INSERT INTO public.ecdc_data VALUES (18672, 1, 20, 17.53642566, 179, 102);
INSERT INTO public.ecdc_data VALUES (18673, 3, 60, 105.55568225, 180, 102);
INSERT INTO public.ecdc_data VALUES (18674, 0, 0, 0.13348508, 30, 102);
INSERT INTO public.ecdc_data VALUES (18675, 0, 1, 0.05368047, 31, 102);
INSERT INTO public.ecdc_data VALUES (18676, 3, 57, 4.754335, 124, 102);
INSERT INTO public.ecdc_data VALUES (18677, 0, 16, 12.43038513, 125, 102);
INSERT INTO public.ecdc_data VALUES (18678, 0, 12, 1.02757027, 32, 102);
INSERT INTO public.ecdc_data VALUES (18679, 0, 1, 29.37845323, 181, 102);
INSERT INTO public.ecdc_data VALUES (18680, 0, 0, 0.02209604, 33, 102);
INSERT INTO public.ecdc_data VALUES (18681, 0, 0, 4.72563737, 34, 102);
INSERT INTO public.ecdc_data VALUES (18682, 145, 1385, 8.85593036, 87, 102);
INSERT INTO public.ecdc_data VALUES (18683, 3, 66, 38.53328182, 182, 102);
INSERT INTO public.ecdc_data VALUES (18684, 0, 0, 33.24769533, 183, 102);
INSERT INTO public.ecdc_data VALUES (18685, 0, 1, 0.62012312, 126, 102);
INSERT INTO public.ecdc_data VALUES (18686, 0, 1, 11.57217663, 184, 102);
INSERT INTO public.ecdc_data VALUES (18687, 0, 0, 100.18032458, 88, 102);
INSERT INTO public.ecdc_data VALUES (18688, 2, 163, 5.55224005, 35, 102);
INSERT INTO public.ecdc_data VALUES (18689, 0, 0, 0.09550141, 36, 102);
INSERT INTO public.ecdc_data VALUES (18690, 0, 2, 0.18317925, 127, 102);
INSERT INTO public.ecdc_data VALUES (18691, 0, 0, 0, 37, 102);
INSERT INTO public.ecdc_data VALUES (18692, 0, 11, 0.11534947, 128, 102);
INSERT INTO public.ecdc_data VALUES (18693, 165, 729, 84.21399567, 185, 102);
INSERT INTO public.ecdc_data VALUES (18694, 0, 0, 0, 207, 102);
INSERT INTO public.ecdc_data VALUES (18695, 1, 5, 2.98971663, 208, 102);
INSERT INTO public.ecdc_data VALUES (18696, 0, 1, 0.06111066, 89, 102);
INSERT INTO public.ecdc_data VALUES (18697, 0, 0, 1.61728173, 38, 102);
INSERT INTO public.ecdc_data VALUES (18698, 3, 117, 0.26273414, 39, 102);
INSERT INTO public.ecdc_data VALUES (18699, 1, 6, 30.42656894, 186, 102);
INSERT INTO public.ecdc_data VALUES (18700, 0, 0, 10.48712705, 209, 102);
INSERT INTO public.ecdc_data VALUES (18701, 9, 53, 24.45473266, 187, 102);
INSERT INTO public.ecdc_data VALUES (18702, 0, 0, 21.88948244, 129, 102);
INSERT INTO public.ecdc_data VALUES (18703, 17, 533, 2.62138004, 130, 102);
INSERT INTO public.ecdc_data VALUES (18704, 0, 0, 1.38514665, 131, 102);
INSERT INTO public.ecdc_data VALUES (18705, 5, 163, 60.56838199, 90, 102);
INSERT INTO public.ecdc_data VALUES (18706, 0, 0, 0.05697279, 210, 102);
INSERT INTO public.ecdc_data VALUES (18707, 1, 5, 1.39112877, 91, 102);
INSERT INTO public.ecdc_data VALUES (18708, 39, 1512, 45.77910951, 92, 102);
INSERT INTO public.ecdc_data VALUES (18709, 9, 140, 2.6221685, 132, 102);
INSERT INTO public.ecdc_data VALUES (18710, 21, 263, 13.18838331, 188, 102);
INSERT INTO public.ecdc_data VALUES (18711, 27, 516, 86.9644164, 189, 102);
INSERT INTO public.ecdc_data VALUES (18712, 0, 0, 23.14716964, 93, 102);
INSERT INTO public.ecdc_data VALUES (18713, 0, 518, 158.04688512, 133, 102);
INSERT INTO public.ecdc_data VALUES (18714, 32, 306, 24.85261242, 190, 102);
INSERT INTO public.ecdc_data VALUES (18715, 51, 5642, 31.03125982, 191, 102);
INSERT INTO public.ecdc_data VALUES (18716, 0, 3, 0.35638094, 40, 102);
INSERT INTO public.ecdc_data VALUES (18717, 0, 0, 7.57088239, 94, 102);
INSERT INTO public.ecdc_data VALUES (18718, 0, 0, 0.54706092, 95, 102);
INSERT INTO public.ecdc_data VALUES (18719, 0, 0, 3.61686544, 96, 102);
INSERT INTO public.ecdc_data VALUES (18720, 1, 14, 571.79345775, 192, 102);
INSERT INTO public.ecdc_data VALUES (18721, 0, 0, 1.86004985, 41, 102);
INSERT INTO public.ecdc_data VALUES (18722, 6, 1147, 25.78459087, 134, 102);
INSERT INTO public.ecdc_data VALUES (18723, 0, 35, 1.07385931, 42, 102);
INSERT INTO public.ecdc_data VALUES (18724, 0, 260, 63.80170264, 193, 102);
INSERT INTO public.ecdc_data VALUES (18725, 0, 0, 1.0231121, 43, 102);
INSERT INTO public.ecdc_data VALUES (18726, 0, 7, 0.56314904, 44, 102);
INSERT INTO public.ecdc_data VALUES (18727, 0, 1111, 131.69449152, 135, 102);
INSERT INTO public.ecdc_data VALUES (18728, 0, 0, 66.05487273, 97, 102);
INSERT INTO public.ecdc_data VALUES (18729, 1, 26, 11.33857366, 194, 102);
INSERT INTO public.ecdc_data VALUES (18730, 3, 5, 13.69594427, 195, 102);
INSERT INTO public.ecdc_data VALUES (18731, 0, 49, 1.80017932, 45, 102);
INSERT INTO public.ecdc_data VALUES (18732, 0, 165, 2.93041459, 46, 102);
INSERT INTO public.ecdc_data VALUES (18733, 1, 11, 0.60516946, 136, 102);
INSERT INTO public.ecdc_data VALUES (18734, 0, 0, 0.02711959, 47, 102);
INSERT INTO public.ecdc_data VALUES (18735, 435, 2312, 101.29096283, 196, 102);
INSERT INTO public.ecdc_data VALUES (18736, 0, 6, 0.58620127, 137, 102);
INSERT INTO public.ecdc_data VALUES (18737, 0, 15, 0.21722254, 48, 102);
INSERT INTO public.ecdc_data VALUES (18738, 0, 0, 0, 98, 102);
INSERT INTO public.ecdc_data VALUES (18739, 62, 707, 73.91850685, 197, 102);
INSERT INTO public.ecdc_data VALUES (18740, 45, 155, 68.07866603, 198, 102);
INSERT INTO public.ecdc_data VALUES (18741, 0, 3, 0.13473827, 138, 102);
INSERT INTO public.ecdc_data VALUES (18742, 0, 3, 0.20610854, 139, 102);
INSERT INTO public.ecdc_data VALUES (18743, 1, 19, 0.63482415, 141, 102);
INSERT INTO public.ecdc_data VALUES (18744, 0, 1, 1.70131156, 142, 102);
INSERT INTO public.ecdc_data VALUES (18745, 0, 2, 0.25982513, 49, 102);
INSERT INTO public.ecdc_data VALUES (18746, 0, 1, 0.57348945, 99, 102);
INSERT INTO public.ecdc_data VALUES (18747, 0, 17, 2.60801433, 50, 102);
INSERT INTO public.ecdc_data VALUES (18748, 119, 4611, 74.97449938, 199, 102);
INSERT INTO public.ecdc_data VALUES (18749, 0, 0, 7.85463685, 100, 102);
INSERT INTO public.ecdc_data VALUES (18750, 0, 2, 0.01355332, 51, 102);
INSERT INTO public.ecdc_data VALUES (18751, 10, 415, 10.59925862, 200, 102);
INSERT INTO public.ecdc_data VALUES (18752, 3, 464, 56.82396219, 143, 102);
INSERT INTO public.ecdc_data VALUES (18753, 1224, 4854, 96.12569559, 201, 102);
INSERT INTO public.ecdc_data VALUES (18754, 3, 84, 0.39651439, 52, 102);
INSERT INTO public.ecdc_data VALUES (18755, 2524, 37289, 129.52824138, 101, 102);
INSERT INTO public.ecdc_data VALUES (18756, 0, 0, 8.60593427, 102, 102);
INSERT INTO public.ecdc_data VALUES (18757, 2, 8, 3.63979755, 103, 102);
INSERT INTO public.ecdc_data VALUES (18758, 1, 35, 3.60199583, 144, 102);
INSERT INTO public.ecdc_data VALUES (18759, 1, 29, 0.41731208, 104, 102);
INSERT INTO public.ecdc_data VALUES (18760, 0, 0, 0.0176235, 145, 102);
INSERT INTO public.ecdc_data VALUES (18761, 0, 0, 0, 146, 102);
INSERT INTO public.ecdc_data VALUES (18762, 0, 0, 0.14556828, 54, 102);
INSERT INTO public.ecdc_data VALUES (18763, 0, 3, 0.12290487, 55, 102);
INSERT INTO public.ecdc_data VALUES (18764, 0, 0, 0.06045988, 105, 103);
INSERT INTO public.ecdc_data VALUES (18765, 0, 6, 2.65508954, 147, 103);
INSERT INTO public.ecdc_data VALUES (18766, 5, 37, 0.31124389, 1, 103);
INSERT INTO public.ecdc_data VALUES (18767, 0, 13, 0, 148, 103);
INSERT INTO public.ecdc_data VALUES (18768, 0, 2, 0, 2, 103);
INSERT INTO public.ecdc_data VALUES (18769, 0, 0, 0, 57, 103);
INSERT INTO public.ecdc_data VALUES (18770, 1, 67, 0.49798267, 58, 103);
INSERT INTO public.ecdc_data VALUES (18771, 0, 30, 6.42384966, 149, 103);
INSERT INTO public.ecdc_data VALUES (18772, 0, 224, 4.06297613, 202, 103);
INSERT INTO public.ecdc_data VALUES (18773, 2, 375, 33.01810916, 150, 103);
INSERT INTO public.ecdc_data VALUES (18774, 0, 9, 0.5175304, 151, 103);
INSERT INTO public.ecdc_data VALUES (18775, 0, 0, 0, 60, 103);
INSERT INTO public.ecdc_data VALUES (18776, 0, 21, 14.80656412, 106, 103);
INSERT INTO public.ecdc_data VALUES (18777, 2, 7, 0, 107, 103);
INSERT INTO public.ecdc_data VALUES (18778, 0, 8, 0, 61, 103);
INSERT INTO public.ecdc_data VALUES (18779, 0, 19, 0.79344853, 152, 103);
INSERT INTO public.ecdc_data VALUES (18780, 40, 469, 36.30564447, 153, 103);
INSERT INTO public.ecdc_data VALUES (18781, 0, 0, 0, 3, 103);
INSERT INTO public.ecdc_data VALUES (18782, 0, 0, 0, 63, 103);
INSERT INTO public.ecdc_data VALUES (18783, 0, 0, 0, 108, 103);
INSERT INTO public.ecdc_data VALUES (18784, 0, 1, 0, 64, 103);
INSERT INTO public.ecdc_data VALUES (18785, 1, 30, 0, 154, 103);
INSERT INTO public.ecdc_data VALUES (18786, 7, 224, 0.52831203, 66, 103);
INSERT INTO public.ecdc_data VALUES (18787, 0, 5, 0, 109, 103);
INSERT INTO public.ecdc_data VALUES (18788, 0, 36, 0, 155, 103);
INSERT INTO public.ecdc_data VALUES (18789, 2, 24, 0, 5, 103);
INSERT INTO public.ecdc_data VALUES (18790, 0, 4, 0.30327767, 110, 103);
INSERT INTO public.ecdc_data VALUES (18791, 0, 0, 0, 7, 103);
INSERT INTO public.ecdc_data VALUES (18792, 6, 331, 3.32789483, 68, 103);
INSERT INTO public.ecdc_data VALUES (18793, 0, 1, 0, 8, 103);
INSERT INTO public.ecdc_data VALUES (18794, 0, 0, 0, 69, 103);
INSERT INTO public.ecdc_data VALUES (18795, 0, 2, 0, 9, 103);
INSERT INTO public.ecdc_data VALUES (18796, 0, 1, 0, 10, 103);
INSERT INTO public.ecdc_data VALUES (18797, 0, 103, 2.80708642, 70, 103);
INSERT INTO public.ecdc_data VALUES (18798, 6, 65, 0.03710462, 111, 103);
INSERT INTO public.ecdc_data VALUES (18799, 1, 52, 0, 71, 103);
INSERT INTO public.ecdc_data VALUES (18800, 0, 1, 0, 12, 103);
INSERT INTO public.ecdc_data VALUES (18801, 0, 4, 2.29813964, 72, 103);
INSERT INTO public.ecdc_data VALUES (18802, 0, 3, 0, 13, 103);
INSERT INTO public.ecdc_data VALUES (18803, 0, 80, 4.80834572, 156, 103);
INSERT INTO public.ecdc_data VALUES (18804, 0, 4, 0, 73, 103);
INSERT INTO public.ecdc_data VALUES (18805, 0, 17, 0, 157, 103);
INSERT INTO public.ecdc_data VALUES (18806, 0, 91, 9.09876242, 158, 103);
INSERT INTO public.ecdc_data VALUES (18807, 1, 9, 0, 14, 103);
INSERT INTO public.ecdc_data VALUES (18808, 4, 71, 22.30420141, 159, 103);
INSERT INTO public.ecdc_data VALUES (18809, 0, 0, 0, 15, 103);
INSERT INTO public.ecdc_data VALUES (18810, 1, 78, 1.04293182, 76, 103);
INSERT INTO public.ecdc_data VALUES (18811, 0, 106, 3.0218163, 77, 103);
INSERT INTO public.ecdc_data VALUES (18812, 1, 29, 0.26895625, 16, 103);
INSERT INTO public.ecdc_data VALUES (18813, 0, 0, 0, 78, 103);
INSERT INTO public.ecdc_data VALUES (18814, 0, 2, 0, 17, 103);
INSERT INTO public.ecdc_data VALUES (18815, 0, 1, 0, 18, 103);
INSERT INTO public.ecdc_data VALUES (18816, 0, 23, 22.94651349, 160, 103);
INSERT INTO public.ecdc_data VALUES (18817, 0, 0, 0, 19, 103);
INSERT INTO public.ecdc_data VALUES (18818, 0, 0, 0, 20, 103);
INSERT INTO public.ecdc_data VALUES (18819, 0, 12, 182.83789058, 161, 103);
INSERT INTO public.ecdc_data VALUES (18820, 0, 1, 0, 203, 103);
INSERT INTO public.ecdc_data VALUES (18821, 1, 71, 9.22449206, 162, 103);
INSERT INTO public.ecdc_data VALUES (18822, 112, 1847, 20.50799695, 163, 103);
INSERT INTO public.ecdc_data VALUES (18823, 0, 2, 0, 204, 103);
INSERT INTO public.ecdc_data VALUES (18824, 0, 0, 0, 21, 103);
INSERT INTO public.ecdc_data VALUES (18825, 0, 0, 0, 22, 103);
INSERT INTO public.ecdc_data VALUES (18826, 0, 6, 0.92574939, 164, 103);
INSERT INTO public.ecdc_data VALUES (18827, 22, 3276, 24.83280587, 165, 103);
INSERT INTO public.ecdc_data VALUES (18828, 1, 5, 0, 23, 103);
INSERT INTO public.ecdc_data VALUES (18829, 0, 0, 0, 166, 103);
INSERT INTO public.ecdc_data VALUES (18830, 5, 35, 4.32650209, 167, 103);
INSERT INTO public.ecdc_data VALUES (18831, 0, 0, 0, 80, 103);
INSERT INTO public.ecdc_data VALUES (18832, 1, 1, 0, 205, 103);
INSERT INTO public.ecdc_data VALUES (18833, 0, 4, 0, 82, 103);
INSERT INTO public.ecdc_data VALUES (18834, 0, 0, 0, 168, 103);
INSERT INTO public.ecdc_data VALUES (18835, 0, 0, 0, 24, 103);
INSERT INTO public.ecdc_data VALUES (18836, 0, 0, 0, 83, 103);
INSERT INTO public.ecdc_data VALUES (18837, 0, 0, 0, 84, 103);
INSERT INTO public.ecdc_data VALUES (18838, 0, 0, 0, 169, 103);
INSERT INTO public.ecdc_data VALUES (18839, 0, 2, 0, 85, 103);
INSERT INTO public.ecdc_data VALUES (18840, 0, 28, 1.26883348, 170, 103);
INSERT INTO public.ecdc_data VALUES (18841, 0, 64, 117.65002479, 171, 103);
INSERT INTO public.ecdc_data VALUES (18842, 0, 89, 0.02115019, 112, 103);
INSERT INTO public.ecdc_data VALUES (18843, 13, 141, 0.16628141, 113, 103);
INSERT INTO public.ecdc_data VALUES (18844, 123, 966, 17.83416441, 114, 103);
INSERT INTO public.ecdc_data VALUES (18845, 3, 21, 0.44772563, 115, 103);
INSERT INTO public.ecdc_data VALUES (18846, 0, 102, 15.63952824, 172, 103);
INSERT INTO public.ecdc_data VALUES (18847, 0, 1, 0, 173, 103);
INSERT INTO public.ecdc_data VALUES (18848, 0, 171, 10.14159141, 116, 103);
INSERT INTO public.ecdc_data VALUES (18849, 795, 6557, 79.01815564, 174, 103);
INSERT INTO public.ecdc_data VALUES (18850, 0, 0, 0, 86, 103);
INSERT INTO public.ecdc_data VALUES (18851, 1, 39, 0.46586679, 117, 103);
INSERT INTO public.ecdc_data VALUES (18852, 0, 0, 0, 175, 103);
INSERT INTO public.ecdc_data VALUES (18853, 0, 15, 0, 118, 103);
INSERT INTO public.ecdc_data VALUES (18854, 0, 3, 0, 119, 103);
INSERT INTO public.ecdc_data VALUES (18855, 0, 0, 0, 26, 103);
INSERT INTO public.ecdc_data VALUES (18856, 0, 7, 0, 176, 103);
INSERT INTO public.ecdc_data VALUES (18857, 0, 17, 2.73348931, 120, 103);
INSERT INTO public.ecdc_data VALUES (18858, 0, 8, 0, 121, 103);
INSERT INTO public.ecdc_data VALUES (18859, 0, 13, 6.35427257, 177, 103);
INSERT INTO public.ecdc_data VALUES (18860, 0, 67, 3.12148605, 123, 103);
INSERT INTO public.ecdc_data VALUES (18861, 0, 1, 0, 28, 103);
INSERT INTO public.ecdc_data VALUES (18862, 0, 2, 0, 178, 103);
INSERT INTO public.ecdc_data VALUES (18863, 0, 36, 3.72201688, 179, 103);
INSERT INTO public.ecdc_data VALUES (18864, 3, 186, 108.97646825, 180, 103);
INSERT INTO public.ecdc_data VALUES (18865, 0, 0, 0, 30, 103);
INSERT INTO public.ecdc_data VALUES (18866, 2, 153, 3.41160313, 124, 103);
INSERT INTO public.ecdc_data VALUES (18867, 0, 0, 0, 125, 103);
INSERT INTO public.ecdc_data VALUES (18868, 0, 17, 17.62707194, 181, 103);
INSERT INTO public.ecdc_data VALUES (18869, 0, 0, 0, 33, 103);
INSERT INTO public.ecdc_data VALUES (18870, 1, 2, 0, 34, 103);
INSERT INTO public.ecdc_data VALUES (18871, 0, 68, 0.64667574, 87, 103);
INSERT INTO public.ecdc_data VALUES (18872, 0, 14, 0, 182, 103);
INSERT INTO public.ecdc_data VALUES (18873, 0, 0, 54.40531963, 183, 103);
INSERT INTO public.ecdc_data VALUES (18874, 0, 4, 0, 126, 103);
INSERT INTO public.ecdc_data VALUES (18875, 0, 0, 0, 184, 103);
INSERT INTO public.ecdc_data VALUES (18876, 0, 0, 0, 88, 103);
INSERT INTO public.ecdc_data VALUES (18877, 0, 10, 0, 35, 103);
INSERT INTO public.ecdc_data VALUES (18878, 0, 0, 0, 37, 103);
INSERT INTO public.ecdc_data VALUES (18879, 0, 0, 0, 128, 103);
INSERT INTO public.ecdc_data VALUES (18880, 30, 637, 19.92227478, 185, 103);
INSERT INTO public.ecdc_data VALUES (18881, 0, 2, 0, 207, 103);
INSERT INTO public.ecdc_data VALUES (18882, 0, 13, 1.3589621, 208, 103);
INSERT INTO public.ecdc_data VALUES (18883, 0, 0, 0, 89, 103);
INSERT INTO public.ecdc_data VALUES (18884, 0, 0, 0, 38, 103);
INSERT INTO public.ecdc_data VALUES (18885, 0, 10, 0.01094726, 39, 103);
INSERT INTO public.ecdc_data VALUES (18886, 0, 15, 4.04403764, 186, 103);
INSERT INTO public.ecdc_data VALUES (18887, 0, 184, 33.38831113, 187, 103);
INSERT INTO public.ecdc_data VALUES (18888, 0, 4, 0.9246246, 129, 103);
INSERT INTO public.ecdc_data VALUES (18889, 0, 151, 0.29598461, 130, 103);
INSERT INTO public.ecdc_data VALUES (18890, 0, 4, 0.90335651, 131, 103);
INSERT INTO public.ecdc_data VALUES (18891, 2, 45, 0, 90, 103);
INSERT INTO public.ecdc_data VALUES (18892, 0, 0, 0, 210, 103);
INSERT INTO public.ecdc_data VALUES (18893, 0, 4, 0, 91, 103);
INSERT INTO public.ecdc_data VALUES (18894, 2, 55, 0.97507073, 92, 103);
INSERT INTO public.ecdc_data VALUES (18895, 7, 150, 0.34592276, 132, 103);
INSERT INTO public.ecdc_data VALUES (18896, 0, 111, 1.39573545, 188, 103);
INSERT INTO public.ecdc_data VALUES (18897, 6, 260, 12.25111338, 189, 103);
INSERT INTO public.ecdc_data VALUES (18898, 0, 11, 16.59562914, 133, 103);
INSERT INTO public.ecdc_data VALUES (18899, 0, 59, 1.82338338, 190, 103);
INSERT INTO public.ecdc_data VALUES (18900, 0, 53, 0.20291726, 191, 103);
INSERT INTO public.ecdc_data VALUES (18901, 0, 0, 0, 40, 103);
INSERT INTO public.ecdc_data VALUES (18902, 0, 0, 0, 95, 103);
INSERT INTO public.ecdc_data VALUES (18903, 6, 0, 362.81310771, 192, 103);
INSERT INTO public.ecdc_data VALUES (18904, 0, 118, 1.1234798, 134, 103);
INSERT INTO public.ecdc_data VALUES (18905, 0, 9, 0, 42, 103);
INSERT INTO public.ecdc_data VALUES (18906, 0, 14, 0, 193, 103);
INSERT INTO public.ecdc_data VALUES (18907, 0, 0, 0, 43, 103);
INSERT INTO public.ecdc_data VALUES (18908, 2, 47, 5.06517275, 135, 103);
INSERT INTO public.ecdc_data VALUES (18909, 0, 41, 3.24745556, 194, 103);
INSERT INTO public.ecdc_data VALUES (18910, 0, 42, 17.97292336, 195, 103);
INSERT INTO public.ecdc_data VALUES (18911, 0, 0, 0, 45, 103);
INSERT INTO public.ecdc_data VALUES (18912, 0, 35, 0.40814049, 46, 103);
INSERT INTO public.ecdc_data VALUES (18913, 1, 98, 3.4416573, 136, 103);
INSERT INTO public.ecdc_data VALUES (18914, 324, 4866, 75.68007029, 196, 103);
INSERT INTO public.ecdc_data VALUES (18915, 0, 12, 0.36109998, 137, 103);
INSERT INTO public.ecdc_data VALUES (18916, 0, 0, 0, 48, 103);
INSERT INTO public.ecdc_data VALUES (18917, 0, 4, 0, 98, 103);
INSERT INTO public.ecdc_data VALUES (18918, 8, 136, 15.51291594, 197, 103);
INSERT INTO public.ecdc_data VALUES (18919, 13, 1271, 68.03185244, 198, 103);
INSERT INTO public.ecdc_data VALUES (18920, 0, 18, 0.45428006, 139, 103);
INSERT INTO public.ecdc_data VALUES (18921, 0, 233, 0.79999332, 141, 103);
INSERT INTO public.ecdc_data VALUES (18922, 0, 1, 0, 142, 103);
INSERT INTO public.ecdc_data VALUES (18923, 0, 6, 0, 49, 103);
INSERT INTO public.ecdc_data VALUES (18924, 0, 40, 0, 99, 103);
INSERT INTO public.ecdc_data VALUES (18925, 0, 6, 0.513052, 50, 103);
INSERT INTO public.ecdc_data VALUES (18926, 12, 277, 0, 199, 103);
INSERT INTO public.ecdc_data VALUES (18927, 0, 1, 0, 51, 103);
INSERT INTO public.ecdc_data VALUES (18928, 0, 15, 0, 200, 103);
INSERT INTO public.ecdc_data VALUES (18929, 2, 13, 1.35100198, 143, 103);
INSERT INTO public.ecdc_data VALUES (18930, 58, 1255, 11.07924977, 201, 103);
INSERT INTO public.ecdc_data VALUES (18931, 0, 3, 0, 52, 103);
INSERT INTO public.ecdc_data VALUES (18932, 80, 7123, 7.99659843, 101, 103);
INSERT INTO public.ecdc_data VALUES (18933, 0, 25, 0, 103, 103);
INSERT INTO public.ecdc_data VALUES (18934, 0, 0, 0, 144, 103);
INSERT INTO public.ecdc_data VALUES (18935, 0, 0, 0, 104, 103);
INSERT INTO public.ecdc_data VALUES (18936, 0, 7, 0.07671406, 145, 103);
INSERT INTO public.ecdc_data VALUES (18937, 0, 0, 0, 54, 103);
INSERT INTO public.ecdc_data VALUES (18938, 0, 1, 0, 55, 103);
INSERT INTO public.ecdc_data VALUES (18939, 0, 0, 0, 105, 104);
INSERT INTO public.ecdc_data VALUES (18940, 0, 0, 0, 1, 104);
INSERT INTO public.ecdc_data VALUES (18941, 0, 0, 0, 149, 104);
INSERT INTO public.ecdc_data VALUES (18942, 0, 4, 0.02777425, 202, 104);
INSERT INTO public.ecdc_data VALUES (18943, 0, 0, 0, 150, 104);
INSERT INTO public.ecdc_data VALUES (18944, 0, 0, 0, 151, 104);
INSERT INTO public.ecdc_data VALUES (18945, 0, 0, 0, 106, 104);
INSERT INTO public.ecdc_data VALUES (18946, 0, 0, 0, 152, 104);
INSERT INTO public.ecdc_data VALUES (18947, 0, 0, 0, 153, 104);
INSERT INTO public.ecdc_data VALUES (18948, 0, 0, 0, 66, 104);
INSERT INTO public.ecdc_data VALUES (18949, 0, 0, 0, 110, 104);
INSERT INTO public.ecdc_data VALUES (18950, 0, 0, 0.00534602, 68, 104);
INSERT INTO public.ecdc_data VALUES (18951, 0, 0, 0, 214, 104);
INSERT INTO public.ecdc_data VALUES (18952, 109, 826, 2.9114573, 111, 104);
INSERT INTO public.ecdc_data VALUES (18953, 0, 0, 0, 156, 104);
INSERT INTO public.ecdc_data VALUES (18954, 0, 0, 0, 158, 104);
INSERT INTO public.ecdc_data VALUES (18955, 0, 0, 0, 159, 104);
INSERT INTO public.ecdc_data VALUES (18956, 0, 0, 0, 76, 104);
INSERT INTO public.ecdc_data VALUES (18957, 0, 0, 0, 77, 104);
INSERT INTO public.ecdc_data VALUES (18958, 0, 0, 0.00099613, 16, 104);
INSERT INTO public.ecdc_data VALUES (18959, 0, 0, 0, 160, 104);
INSERT INTO public.ecdc_data VALUES (18960, 0, 0, 0, 162, 104);
INSERT INTO public.ecdc_data VALUES (18961, 0, 0, 0.00149225, 163, 104);
INSERT INTO public.ecdc_data VALUES (18962, 0, 0, 0, 164, 104);
INSERT INTO public.ecdc_data VALUES (18963, 0, 0, 0.00240908, 165, 104);
INSERT INTO public.ecdc_data VALUES (18964, 0, 0, 0, 167, 104);
INSERT INTO public.ecdc_data VALUES (18965, 0, 0, 0, 171, 104);
INSERT INTO public.ecdc_data VALUES (18966, 0, 0, 0, 112, 104);
INSERT INTO public.ecdc_data VALUES (18967, 0, 0, 0, 113, 104);
INSERT INTO public.ecdc_data VALUES (18968, 2, 13, 0.02170927, 114, 104);
INSERT INTO public.ecdc_data VALUES (18969, 0, 0, 0, 115, 104);
INSERT INTO public.ecdc_data VALUES (18970, 0, 0, 0, 172, 104);
INSERT INTO public.ecdc_data VALUES (18971, 0, 1, 0.01173795, 116, 104);
INSERT INTO public.ecdc_data VALUES (18972, 0, 14, 0.02319434, 174, 104);
INSERT INTO public.ecdc_data VALUES (18973, 0, 12, 0.06306149, 117, 104);
INSERT INTO public.ecdc_data VALUES (18974, 0, 0, 0, 120, 104);
INSERT INTO public.ecdc_data VALUES (18975, 0, 1, 0.01458638, 123, 104);
INSERT INTO public.ecdc_data VALUES (18976, 0, 0, 0, 179, 104);
INSERT INTO public.ecdc_data VALUES (18977, 0, 0, 0, 180, 104);
INSERT INTO public.ecdc_data VALUES (18978, 0, 0, 0.02190938, 124, 104);
INSERT INTO public.ecdc_data VALUES (18979, 0, 0, 0.00078385, 87, 104);
INSERT INTO public.ecdc_data VALUES (18980, 0, 0, 0, 183, 104);
INSERT INTO public.ecdc_data VALUES (18981, 0, 0, 0, 128, 104);
INSERT INTO public.ecdc_data VALUES (18982, 0, 0, 0, 185, 104);
INSERT INTO public.ecdc_data VALUES (18983, 0, 0, 0, 208, 104);
INSERT INTO public.ecdc_data VALUES (18984, 0, 0, 0, 39, 104);
INSERT INTO public.ecdc_data VALUES (18985, 0, 0, 0, 186, 104);
INSERT INTO public.ecdc_data VALUES (18986, 0, 0, 0, 187, 104);
INSERT INTO public.ecdc_data VALUES (18987, 0, 0, 0, 129, 104);
INSERT INTO public.ecdc_data VALUES (18988, 0, 0, 0, 130, 104);
INSERT INTO public.ecdc_data VALUES (18989, 0, 0, 0, 132, 104);
INSERT INTO public.ecdc_data VALUES (18990, 0, 0, 0, 133, 104);
INSERT INTO public.ecdc_data VALUES (18991, 0, 0, 0, 190, 104);
INSERT INTO public.ecdc_data VALUES (18992, 0, 0, 0, 191, 104);
INSERT INTO public.ecdc_data VALUES (18993, 0, 0, 0, 192, 104);
INSERT INTO public.ecdc_data VALUES (18994, 0, 1, 0.91310937, 135, 104);
INSERT INTO public.ecdc_data VALUES (18995, 1, 190, 0.62664322, 136, 104);
INSERT INTO public.ecdc_data VALUES (18996, 0, 0, 0.00213051, 196, 104);
INSERT INTO public.ecdc_data VALUES (18997, 0, 0, 0, 137, 104);
INSERT INTO public.ecdc_data VALUES (18998, 0, 0, 0, 197, 104);
INSERT INTO public.ecdc_data VALUES (18999, 0, 0, 0, 198, 104);
INSERT INTO public.ecdc_data VALUES (19000, 0, 2, 0.03785667, 139, 104);
INSERT INTO public.ecdc_data VALUES (19001, 0, 0, 0.00430876, 141, 104);
INSERT INTO public.ecdc_data VALUES (19002, 0, 2, 0.04093945, 143, 104);
INSERT INTO public.ecdc_data VALUES (19003, 0, 0, 0.00900264, 201, 104);
INSERT INTO public.ecdc_data VALUES (19004, 0, 19, 0.0069895, 101, 104);
INSERT INTO public.ecdc_data VALUES (19005, 0, 0, 0.00311003, 145, 104);
INSERT INTO public.ecdc_data VALUES (19006, 0, 0, 0, 105, 105);
INSERT INTO public.ecdc_data VALUES (19007, 0, 0, 0, 1, 105);
INSERT INTO public.ecdc_data VALUES (19008, 0, 0, 0, 149, 105);
INSERT INTO public.ecdc_data VALUES (19009, 0, 0, 0, 202, 105);
INSERT INTO public.ecdc_data VALUES (19010, 0, 0, 0, 150, 105);
INSERT INTO public.ecdc_data VALUES (19011, 0, 0, 0, 151, 105);
INSERT INTO public.ecdc_data VALUES (19012, 0, 0, 0, 106, 105);
INSERT INTO public.ecdc_data VALUES (19013, 0, 0, 0, 152, 105);
INSERT INTO public.ecdc_data VALUES (19014, 0, 0, 0, 153, 105);
INSERT INTO public.ecdc_data VALUES (19015, 0, 0, 0, 66, 105);
INSERT INTO public.ecdc_data VALUES (19016, 0, 0, 0, 110, 105);
INSERT INTO public.ecdc_data VALUES (19017, 0, 0, 0, 68, 105);
INSERT INTO public.ecdc_data VALUES (19018, 0, 0, 0, 214, 105);
INSERT INTO public.ecdc_data VALUES (19019, 11, 140, 0.03257116, 111, 105);
INSERT INTO public.ecdc_data VALUES (19020, 0, 0, 0, 156, 105);
INSERT INTO public.ecdc_data VALUES (19021, 0, 0, 0, 158, 105);
INSERT INTO public.ecdc_data VALUES (19022, 0, 0, 0, 159, 105);
INSERT INTO public.ecdc_data VALUES (19023, 0, 0, 0, 76, 105);
INSERT INTO public.ecdc_data VALUES (19024, 0, 0, 0, 77, 105);
INSERT INTO public.ecdc_data VALUES (19025, 0, 0, 0, 16, 105);
INSERT INTO public.ecdc_data VALUES (19026, 0, 0, 0, 160, 105);
INSERT INTO public.ecdc_data VALUES (19027, 0, 0, 0, 162, 105);
INSERT INTO public.ecdc_data VALUES (19028, 0, 0, 0, 163, 105);
INSERT INTO public.ecdc_data VALUES (19029, 0, 0, 0, 164, 105);
INSERT INTO public.ecdc_data VALUES (19030, 0, 0, 0, 165, 105);
INSERT INTO public.ecdc_data VALUES (19031, 0, 0, 0, 167, 105);
INSERT INTO public.ecdc_data VALUES (19032, 0, 0, 0, 171, 105);
INSERT INTO public.ecdc_data VALUES (19033, 0, 0, 0, 112, 105);
INSERT INTO public.ecdc_data VALUES (19034, 0, 0, 0, 113, 105);
INSERT INTO public.ecdc_data VALUES (19035, 0, 0, 0, 114, 105);
INSERT INTO public.ecdc_data VALUES (19036, 0, 0, 0, 115, 105);
INSERT INTO public.ecdc_data VALUES (19037, 0, 0, 0, 172, 105);
INSERT INTO public.ecdc_data VALUES (19038, 0, 0, 0, 116, 105);
INSERT INTO public.ecdc_data VALUES (19039, 0, 0, 0, 174, 105);
INSERT INTO public.ecdc_data VALUES (19040, 0, 0, 0.00078827, 117, 105);
INSERT INTO public.ecdc_data VALUES (19041, 0, 0, 0, 120, 105);
INSERT INTO public.ecdc_data VALUES (19042, 0, 0, 0, 123, 105);
INSERT INTO public.ecdc_data VALUES (19043, 0, 0, 0, 179, 105);
INSERT INTO public.ecdc_data VALUES (19044, 0, 0, 0, 180, 105);
INSERT INTO public.ecdc_data VALUES (19045, 0, 0, 0, 124, 105);
INSERT INTO public.ecdc_data VALUES (19046, 0, 0, 0.00078385, 87, 105);
INSERT INTO public.ecdc_data VALUES (19047, 0, 0, 0, 183, 105);
INSERT INTO public.ecdc_data VALUES (19048, 0, 0, 0, 128, 105);
INSERT INTO public.ecdc_data VALUES (19049, 0, 0, 0, 185, 105);
INSERT INTO public.ecdc_data VALUES (19050, 0, 0, 0, 208, 105);
INSERT INTO public.ecdc_data VALUES (19051, 0, 0, 0, 39, 105);
INSERT INTO public.ecdc_data VALUES (19052, 0, 0, 0, 186, 105);
INSERT INTO public.ecdc_data VALUES (19053, 0, 0, 0, 187, 105);
INSERT INTO public.ecdc_data VALUES (19054, 0, 0, 0, 129, 105);
INSERT INTO public.ecdc_data VALUES (19055, 0, 0, 0, 130, 105);
INSERT INTO public.ecdc_data VALUES (19056, 0, 0, 0, 132, 105);
INSERT INTO public.ecdc_data VALUES (19057, 0, 0, 0, 133, 105);
INSERT INTO public.ecdc_data VALUES (19058, 0, 0, 0, 190, 105);
INSERT INTO public.ecdc_data VALUES (19059, 0, 0, 0, 191, 105);
INSERT INTO public.ecdc_data VALUES (19060, 0, 0, 0, 192, 105);
INSERT INTO public.ecdc_data VALUES (19061, 0, 0, 0, 135, 105);
INSERT INTO public.ecdc_data VALUES (19062, 0, 0, 0.00195216, 136, 105);
INSERT INTO public.ecdc_data VALUES (19063, 0, 0, 0, 196, 105);
INSERT INTO public.ecdc_data VALUES (19064, 0, 0, 0, 137, 105);
INSERT INTO public.ecdc_data VALUES (19065, 0, 0, 0, 197, 105);
INSERT INTO public.ecdc_data VALUES (19066, 0, 0, 0, 198, 105);
INSERT INTO public.ecdc_data VALUES (19067, 0, 0, 0.0042063, 139, 105);
INSERT INTO public.ecdc_data VALUES (19068, 0, 2, 0.00574501, 141, 105);
INSERT INTO public.ecdc_data VALUES (19069, 0, 0, 0, 143, 105);
INSERT INTO public.ecdc_data VALUES (19070, 0, 0, 0, 201, 105);
INSERT INTO public.ecdc_data VALUES (19071, 0, 0, 0.00030389, 101, 105);
INSERT INTO public.ecdc_data VALUES (19072, 0, 0, 0, 145, 105);
INSERT INTO public.ecdc_data VALUES (19073, 25, 232, 6.13010593, 105, 106);
INSERT INTO public.ecdc_data VALUES (19074, 15, 836, 288.18202176, 147, 106);
INSERT INTO public.ecdc_data VALUES (19075, 15, 1103, 27.76806496, 1, 106);
INSERT INTO public.ecdc_data VALUES (19076, 0, 76, 1321.92131483, 148, 106);
INSERT INTO public.ecdc_data VALUES (19077, 1, 212, 6.38485753, 2, 106);
INSERT INTO public.ecdc_data VALUES (19078, 0, 0, 0, 56, 106);
INSERT INTO public.ecdc_data VALUES (19079, 0, 0, 9.26736344, 57, 106);
INSERT INTO public.ecdc_data VALUES (19080, 258, 9592, 290.80624622, 58, 106);
INSERT INTO public.ecdc_data VALUES (19081, 31, 1193, 696.14244447, 149, 106);
INSERT INTO public.ecdc_data VALUES (19082, 0, 5, 112.87743392, 59, 106);
INSERT INTO public.ecdc_data VALUES (19083, 0, 5, 0.57135602, 202, 106);
INSERT INTO public.ecdc_data VALUES (19084, 79, 6612, 1084.41629909, 150, 106);
INSERT INTO public.ecdc_data VALUES (19085, 26, 3169, 261.65142556, 151, 106);
INSERT INTO public.ecdc_data VALUES (19086, 0, 44, 124.52308941, 60, 106);
INSERT INTO public.ecdc_data VALUES (19087, 1, 150, 148.91869429, 106, 106);
INSERT INTO public.ecdc_data VALUES (19088, 17, 2275, 15.92125686, 107, 106);
INSERT INTO public.ecdc_data VALUES (19089, 0, 0, 3.83247219, 61, 106);
INSERT INTO public.ecdc_data VALUES (19090, 7, 1457, 175.20401413, 152, 106);
INSERT INTO public.ecdc_data VALUES (19091, 165, 3081, 545.32666743, 153, 106);
INSERT INTO public.ecdc_data VALUES (19092, 5, 38, 266.42688247, 62, 106);
INSERT INTO public.ecdc_data VALUES (19093, 0, 0, 1.4490112, 3, 106);
INSERT INTO public.ecdc_data VALUES (19094, 0, 1, 28.79631407, 63, 106);
INSERT INTO public.ecdc_data VALUES (19095, 0, 0, 2.62090909, 108, 106);
INSERT INTO public.ecdc_data VALUES (19096, 0, 0, 12.26428811, 64, 106);
INSERT INTO public.ecdc_data VALUES (19097, 0, 0, 15.39468114, 65, 106);
INSERT INTO public.ecdc_data VALUES (19098, 56, 1237, 562.4662602, 154, 106);
INSERT INTO public.ecdc_data VALUES (19099, 0, 0, 76.35532879, 4, 106);
INSERT INTO public.ecdc_data VALUES (19100, 552, 38397, 183.09304936, 66, 106);
INSERT INTO public.ecdc_data VALUES (19101, 0, 0, 0, 67, 106);
INSERT INTO public.ecdc_data VALUES (19102, 0, 0, 0, 109, 106);
INSERT INTO public.ecdc_data VALUES (19103, 129, 3983, 660.48203446, 155, 106);
INSERT INTO public.ecdc_data VALUES (19104, 0, 0, 0.61019469, 5, 106);
INSERT INTO public.ecdc_data VALUES (19105, 0, 7, 0.38159409, 6, 106);
INSERT INTO public.ecdc_data VALUES (19106, 0, 1, 0.06672109, 110, 106);
INSERT INTO public.ecdc_data VALUES (19107, 2, 632, 5.50695118, 7, 106);
INSERT INTO public.ecdc_data VALUES (19108, 69, 4968, 173.50494258, 68, 106);
INSERT INTO public.ecdc_data VALUES (19109, 0, 152, 168.74690873, 8, 106);
INSERT INTO public.ecdc_data VALUES (19110, 0, 2, 24.63509269, 69, 106);
INSERT INTO public.ecdc_data VALUES (19111, 0, 4, 0.75866474, 9, 106);
INSERT INTO public.ecdc_data VALUES (19112, 0, 6, 0.55183201, 10, 106);
INSERT INTO public.ecdc_data VALUES (19113, 48, 1573, 101.28199953, 70, 106);
INSERT INTO public.ecdc_data VALUES (19114, 0, 16, 0.01394911, 111, 106);
INSERT INTO public.ecdc_data VALUES (19115, 168, 7954, 209.99636408, 71, 106);
INSERT INTO public.ecdc_data VALUES (19116, 0, 0, 4.11333532, 11, 106);
INSERT INTO public.ecdc_data VALUES (19117, 0, 117, 4.70216173, 12, 106);
INSERT INTO public.ecdc_data VALUES (19118, 9, 1187, 277.38149177, 72, 106);
INSERT INTO public.ecdc_data VALUES (19119, 0, 16, 1.15878667, 13, 106);
INSERT INTO public.ecdc_data VALUES (19120, 57, 2958, 847.15201192, 156, 106);
INSERT INTO public.ecdc_data VALUES (19121, 0, 38, 4.72052548, 73, 106);
INSERT INTO public.ecdc_data VALUES (19122, 0, 59, 346.95238736, 74, 106);
INSERT INTO public.ecdc_data VALUES (19123, 2, 232, 303.0029718, 157, 106);
INSERT INTO public.ecdc_data VALUES (19124, 147, 5808, 789.36693647, 158, 106);
INSERT INTO public.ecdc_data VALUES (19125, 1, 121, 0.66712318, 14, 106);
INSERT INTO public.ecdc_data VALUES (19126, 5, 1257, 261.48446775, 159, 106);
INSERT INTO public.ecdc_data VALUES (19127, 0, 2, 5.75210286, 15, 106);
INSERT INTO public.ecdc_data VALUES (19128, 0, 0, 41.77807487, 75, 106);
INSERT INTO public.ecdc_data VALUES (19129, 5, 601, 69.69019431, 76, 106);
INSERT INTO public.ecdc_data VALUES (19130, 22, 594, 65.22518546, 77, 106);
INSERT INTO public.ecdc_data VALUES (19131, 13, 363, 3.55022244, 16, 106);
INSERT INTO public.ecdc_data VALUES (19132, 6, 141, 32.61770653, 78, 106);
INSERT INTO public.ecdc_data VALUES (19133, 0, 0, 2.13867146, 17, 106);
INSERT INTO public.ecdc_data VALUES (19134, 0, 0, 1.22958425, 18, 106);
INSERT INTO public.ecdc_data VALUES (19135, 1, 361, 254.44966109, 160, 106);
INSERT INTO public.ecdc_data VALUES (19136, 0, 29, 18.20346597, 19, 106);
INSERT INTO public.ecdc_data VALUES (19137, 13, 452, 5.47204645, 20, 106);
INSERT INTO public.ecdc_data VALUES (19138, 0, 0, 88.96797153, 79, 106);
INSERT INTO public.ecdc_data VALUES (19139, 0, 0, 6.16307496, 161, 106);
INSERT INTO public.ecdc_data VALUES (19140, 0, 0, 0.11236523, 203, 106);
INSERT INTO public.ecdc_data VALUES (19141, 1, 461, 60.92876681, 162, 106);
INSERT INTO public.ecdc_data VALUES (19142, 1138, 22882, 667.50896242, 163, 106);
INSERT INTO public.ecdc_data VALUES (19143, 0, 229, 1096.37109046, 204, 106);
INSERT INTO public.ecdc_data VALUES (19144, 0, 15, 5.01708109, 21, 106);
INSERT INTO public.ecdc_data VALUES (19145, 0, 0, 1.02227886, 22, 106);
INSERT INTO public.ecdc_data VALUES (19146, 74, 7592, 1146.72827654, 164, 106);
INSERT INTO public.ecdc_data VALUES (19147, 254, 22964, 313.22869804, 165, 106);
INSERT INTO public.ecdc_data VALUES (19148, 0, 0, 6.05894077, 23, 106);
INSERT INTO public.ecdc_data VALUES (19149, 1, 12, 513.26173382, 166, 106);
INSERT INTO public.ecdc_data VALUES (19150, 72, 2551, 331.55552016, 167, 106);
INSERT INTO public.ecdc_data VALUES (19151, 0, 0, 1.76491352, 80, 106);
INSERT INTO public.ecdc_data VALUES (19152, 0, 5, 9.82125319, 81, 106);
INSERT INTO public.ecdc_data VALUES (19153, 2, 36, 800.38255776, 205, 106);
INSERT INTO public.ecdc_data VALUES (19154, 17, 691, 41.26502235, 82, 106);
INSERT INTO public.ecdc_data VALUES (19155, 0, 1, 7.75578582, 168, 106);
INSERT INTO public.ecdc_data VALUES (19156, 0, 85, 3.40608896, 24, 106);
INSERT INTO public.ecdc_data VALUES (19157, 0, 0, 0.41646776, 25, 106);
INSERT INTO public.ecdc_data VALUES (19158, 0, 29, 70.00734566, 83, 106);
INSERT INTO public.ecdc_data VALUES (19159, 0, 3, 0.77243532, 84, 106);
INSERT INTO public.ecdc_data VALUES (19160, 0, 0, 0, 169, 106);
INSERT INTO public.ecdc_data VALUES (19161, 0, 0, 40.1390708, 85, 106);
INSERT INTO public.ecdc_data VALUES (19162, 121, 4397, 668.7468714, 170, 106);
INSERT INTO public.ecdc_data VALUES (19163, 1, 20, 59.38525061, 171, 106);
INSERT INTO public.ecdc_data VALUES (19164, 564, 46232, 43.07006385, 112, 106);
INSERT INTO public.ecdc_data VALUES (19165, 78, 4792, 21.70378825, 113, 106);
INSERT INTO public.ecdc_data VALUES (19166, 955, 26483, 198.49146391, 114, 106);
INSERT INTO public.ecdc_data VALUES (19167, 49, 2543, 98.27068774, 115, 106);
INSERT INTO public.ecdc_data VALUES (19168, 8, 329, 107.3356932, 172, 106);
INSERT INTO public.ecdc_data VALUES (19169, 0, 2, 13.0040549, 173, 106);
INSERT INTO public.ecdc_data VALUES (19170, 2, 341, 109.70290889, 116, 106);
INSERT INTO public.ecdc_data VALUES (19171, 699, 37239, 800.34730546, 174, 106);
INSERT INTO public.ecdc_data VALUES (19172, 0, 63, 24.59063378, 86, 106);
INSERT INTO public.ecdc_data VALUES (19173, 20, 2398, 17.14563198, 117, 106);
INSERT INTO public.ecdc_data VALUES (19174, 0, 14, 155.84993877, 175, 106);
INSERT INTO public.ecdc_data VALUES (19175, 63, 4940, 723.51209901, 118, 106);
INSERT INTO public.ecdc_data VALUES (19176, 1, 976, 61.40228127, 119, 106);
INSERT INTO public.ecdc_data VALUES (19177, 19, 1048, 27.55926712, 26, 106);
INSERT INTO public.ecdc_data VALUES (19178, 11, 855, 552.84775252, 176, 106);
INSERT INTO public.ecdc_data VALUES (19179, 2, 486, 210.24098204, 120, 106);
INSERT INTO public.ecdc_data VALUES (19180, 4, 447, 106.68888663, 121, 106);
INSERT INTO public.ecdc_data VALUES (19181, 0, 0, 0, 122, 106);
INSERT INTO public.ecdc_data VALUES (19182, 5, 380, 240.94151569, 177, 106);
INSERT INTO public.ecdc_data VALUES (19183, 16, 1709, 325.67018233, 123, 106);
INSERT INTO public.ecdc_data VALUES (19184, 0, 8, 4.65823824, 27, 106);
INSERT INTO public.ecdc_data VALUES (19185, 0, 12, 2.20765127, 28, 106);
INSERT INTO public.ecdc_data VALUES (19186, 6, 802, 152.91880298, 29, 106);
INSERT INTO public.ecdc_data VALUES (19187, 0, 22, 888.52988691, 178, 106);
INSERT INTO public.ecdc_data VALUES (19188, 16, 2265, 787.70760981, 179, 106);
INSERT INTO public.ecdc_data VALUES (19189, 6, 670, 1211.44692732, 180, 106);
INSERT INTO public.ecdc_data VALUES (19190, 0, 0, 0.07415838, 30, 106);
INSERT INTO public.ecdc_data VALUES (19191, 0, 1, 0.32745087, 31, 106);
INSERT INTO public.ecdc_data VALUES (19192, 3, 958, 45.22408583, 124, 106);
INSERT INTO public.ecdc_data VALUES (19193, 0, 94, 115.64024959, 125, 106);
INSERT INTO public.ecdc_data VALUES (19194, 1, 113, 2.21792395, 32, 106);
INSERT INTO public.ecdc_data VALUES (19195, 2, 141, 361.25366977, 181, 106);
INSERT INTO public.ecdc_data VALUES (19196, 0, 0, 5.10282186, 206, 106);
INSERT INTO public.ecdc_data VALUES (19197, 0, 0, 5.39143354, 33, 106);
INSERT INTO public.ecdc_data VALUES (19198, 0, 0, 3.30794616, 34, 106);
INSERT INTO public.ecdc_data VALUES (19199, 719, 6426, 55.52867431, 87, 106);
INSERT INTO public.ecdc_data VALUES (19200, 20, 1422, 368.06951226, 182, 106);
INSERT INTO public.ecdc_data VALUES (19201, 0, 4, 371.76968415, 183, 106);
INSERT INTO public.ecdc_data VALUES (19202, 0, 73, 6.85236047, 126, 106);
INSERT INTO public.ecdc_data VALUES (19203, 9, 502, 1285.79740333, 184, 106);
INSERT INTO public.ecdc_data VALUES (19204, 0, 0, 0, 88, 106);
INSERT INTO public.ecdc_data VALUES (19205, 92, 4706, 191.68526142, 35, 106);
INSERT INTO public.ecdc_data VALUES (19206, 1, 154, 4.5840678, 36, 106);
INSERT INTO public.ecdc_data VALUES (19207, 19, 1532, 31.70851363, 127, 106);
INSERT INTO public.ecdc_data VALUES (19208, 2, 50, 22.80996294, 37, 106);
INSERT INTO public.ecdc_data VALUES (19209, 22, 1945, 98.15890018, 128, 106);
INSERT INTO public.ecdc_data VALUES (19210, 51, 5919, 436.06231465, 185, 106);
INSERT INTO public.ecdc_data VALUES (19211, 0, 2, 1.06098169, 207, 106);
INSERT INTO public.ecdc_data VALUES (19212, 0, 6, 0.8990057, 208, 106);
INSERT INTO public.ecdc_data VALUES (19213, 0, 0, 1.06943653, 89, 106);
INSERT INTO public.ecdc_data VALUES (19214, 0, 5, 0.47188592, 38, 106);
INSERT INTO public.ecdc_data VALUES (19215, 0, 143, 1.12010333, 39, 106);
INSERT INTO public.ecdc_data VALUES (19216, 39, 1236, 719.74241406, 186, 106);
INSERT INTO public.ecdc_data VALUES (19217, 0, 0, 8.73927254, 209, 106);
INSERT INTO public.ecdc_data VALUES (19218, 1, 670, 154.14176463, 187, 106);
INSERT INTO public.ecdc_data VALUES (19219, 0, 0, 84.28154256, 129, 106);
INSERT INTO public.ecdc_data VALUES (19220, 42, 2843, 13.73950382, 130, 106);
INSERT INTO public.ecdc_data VALUES (19221, 8, 1472, 243.16349829, 131, 106);
INSERT INTO public.ecdc_data VALUES (19222, 10, 1200, 342.14542063, 90, 106);
INSERT INTO public.ecdc_data VALUES (19223, 0, 0, 0.07976191, 210, 106);
INSERT INTO public.ecdc_data VALUES (19224, 11, 563, 121.75215792, 91, 106);
INSERT INTO public.ecdc_data VALUES (19225, 38, 2170, 87.92246631, 92, 106);
INSERT INTO public.ecdc_data VALUES (19226, 27, 1637, 21.51195586, 132, 106);
INSERT INTO public.ecdc_data VALUES (19227, 626, 22464, 857.18434547, 188, 106);
INSERT INTO public.ecdc_data VALUES (19228, 61, 6489, 803.74699184, 189, 106);
INSERT INTO public.ecdc_data VALUES (19229, 9, 1203, 386.13842485, 93, 106);
INSERT INTO public.ecdc_data VALUES (19230, 0, 239, 108.64840606, 133, 106);
INSERT INTO public.ecdc_data VALUES (19231, 160, 9272, 597.80705699, 190, 106);
INSERT INTO public.ecdc_data VALUES (19232, 461, 24318, 210.10574595, 191, 106);
INSERT INTO public.ecdc_data VALUES (19233, 0, 43, 2.99359987, 40, 106);
INSERT INTO public.ecdc_data VALUES (19234, 0, 0, 0, 94, 106);
INSERT INTO public.ecdc_data VALUES (19235, 0, 0, 50.87666512, 95, 106);
INSERT INTO public.ecdc_data VALUES (19236, 0, 0, 7.23373089, 96, 106);
INSERT INTO public.ecdc_data VALUES (19237, 0, 37, 1021.68171132, 192, 106);
INSERT INTO public.ecdc_data VALUES (19238, 1, 0, 6.51017447, 41, 106);
INSERT INTO public.ecdc_data VALUES (19239, 16, 286, 14.56438355, 134, 106);
INSERT INTO public.ecdc_data VALUES (19240, 1, 13, 1.05545029, 42, 106);
INSERT INTO public.ecdc_data VALUES (19241, 30, 6254, 752.36610546, 193, 106);
INSERT INTO public.ecdc_data VALUES (19242, 0, 0, 5.11556051, 43, 106);
INSERT INTO public.ecdc_data VALUES (19243, 0, 2, 0.33276989, 44, 106);
INSERT INTO public.ecdc_data VALUES (19244, 0, 4, 1.65393396, 135, 106);
INSERT INTO public.ecdc_data VALUES (19245, 1, 10, 228.83295195, 97, 106);
INSERT INTO public.ecdc_data VALUES (19246, 35, 1818, 409.28948424, 194, 106);
INSERT INTO public.ecdc_data VALUES (19247, 35, 1546, 957.37053248, 195, 106);
INSERT INTO public.ecdc_data VALUES (19248, 0, 0, 0.44788085, 211, 106);
INSERT INTO public.ecdc_data VALUES (19249, 0, 0, 0.99074617, 45, 106);
INSERT INTO public.ecdc_data VALUES (19250, 88, 3105, 48.81975076, 46, 106);
INSERT INTO public.ecdc_data VALUES (19251, 2, 386, 6.08878566, 136, 106);
INSERT INTO public.ecdc_data VALUES (19252, 0, 0, 0.55143167, 47, 106);
INSERT INTO public.ecdc_data VALUES (19253, 0, 0, 485.5395715, 196, 106);
INSERT INTO public.ecdc_data VALUES (19254, 1, 439, 29.59144022, 137, 106);
INSERT INTO public.ecdc_data VALUES (19255, 10, 483, 3.7067975, 48, 106);
INSERT INTO public.ecdc_data VALUES (19256, 0, 5, 10.66459338, 98, 106);
INSERT INTO public.ecdc_data VALUES (19257, 45, 5458, 605.16012174, 197, 106);
INSERT INTO public.ecdc_data VALUES (19258, 111, 4923, 916.6452397, 198, 106);
INSERT INTO public.ecdc_data VALUES (19259, 5, 88, 5.72344725, 138, 106);
INSERT INTO public.ecdc_data VALUES (19260, 0, 2, 0.15983928, 139, 106);
INSERT INTO public.ecdc_data VALUES (19261, 0, 43, 5.9971958, 140, 106);
INSERT INTO public.ecdc_data VALUES (19262, 0, 10, 0.10341027, 141, 106);
INSERT INTO public.ecdc_data VALUES (19263, 0, 0, 0, 142, 106);
INSERT INTO public.ecdc_data VALUES (19264, 1, 25, 4.15720212, 49, 106);
INSERT INTO public.ecdc_data VALUES (19265, 0, 28, 33.19070173, 99, 106);
INSERT INTO public.ecdc_data VALUES (19266, 73, 1270, 170.42732358, 50, 106);
INSERT INTO public.ecdc_data VALUES (19267, 141, 5103, 56.11563609, 199, 106);
INSERT INTO public.ecdc_data VALUES (19268, 0, 19, 86.40100539, 100, 106);
INSERT INTO public.ecdc_data VALUES (19269, 10, 283, 8.08455701, 51, 106);
INSERT INTO public.ecdc_data VALUES (19270, 444, 29155, 392.04982411, 200, 106);
INSERT INTO public.ecdc_data VALUES (19271, 3, 1269, 170.22624985, 143, 106);
INSERT INTO public.ecdc_data VALUES (19272, 511, 20252, 490.67992624, 201, 106);
INSERT INTO public.ecdc_data VALUES (19273, 0, 0, 0, 52, 106);
INSERT INTO public.ecdc_data VALUES (19274, 1858, 196117, 660.78116738, 101, 106);
INSERT INTO public.ecdc_data VALUES (19275, 0, 13, 87.97177254, 102, 106);
INSERT INTO public.ecdc_data VALUES (19276, 0, 100, 31.9782213, 103, 106);
INSERT INTO public.ecdc_data VALUES (19277, 1, 209, 9.52345868, 144, 106);
INSERT INTO public.ecdc_data VALUES (19278, 0, 0, 0, 212, 106);
INSERT INTO public.ecdc_data VALUES (19279, 0, 0, 15.28975363, 104, 106);
INSERT INTO public.ecdc_data VALUES (19280, 0, 1, 0.09537424, 145, 106);
INSERT INTO public.ecdc_data VALUES (19281, 0, 0, 0, 213, 106);
INSERT INTO public.ecdc_data VALUES (19282, 0, 0, 0, 53, 106);
INSERT INTO public.ecdc_data VALUES (19283, 0, 0, 0.01714565, 146, 106);
INSERT INTO public.ecdc_data VALUES (19284, 0, 23, 3.10172412, 54, 106);
INSERT INTO public.ecdc_data VALUES (19285, 0, 74, 4.43140348, 55, 106);
INSERT INTO public.ecdc_data VALUES (19286, 2, 88, 2.17392693, 105, 107);
INSERT INTO public.ecdc_data VALUES (19287, 4, 301, 107.7058035, 147, 107);
INSERT INTO public.ecdc_data VALUES (19288, 0, 223, 5.66742606, 1, 107);
INSERT INTO public.ecdc_data VALUES (19289, 0, 0, 1644.85343345, 148, 107);
INSERT INTO public.ecdc_data VALUES (19290, 1, 207, 6.61109264, 2, 107);
INSERT INTO public.ecdc_data VALUES (19291, 0, 0, 0, 56, 107);
INSERT INTO public.ecdc_data VALUES (19292, 0, 0, 11.32677753, 57, 107);
INSERT INTO public.ecdc_data VALUES (19293, 384, 16337, 434.40836924, 58, 107);
INSERT INTO public.ecdc_data VALUES (19294, 10, 1234, 460.18430363, 149, 107);
INSERT INTO public.ecdc_data VALUES (19295, 0, 21, 245.50841878, 59, 107);
INSERT INTO public.ecdc_data VALUES (19296, 0, 31, 1.01574403, 202, 107);
INSERT INTO public.ecdc_data VALUES (19297, 8, 1803, 202.95131099, 150, 107);
INSERT INTO public.ecdc_data VALUES (19298, 5, 584, 49.24500775, 151, 107);
INSERT INTO public.ecdc_data VALUES (19299, 1, 150, 350.20514216, 60, 107);
INSERT INTO public.ecdc_data VALUES (19300, 3, 309, 308.13495787, 106, 107);
INSERT INTO public.ecdc_data VALUES (19301, 18, 1383, 12.24070436, 107, 107);
INSERT INTO public.ecdc_data VALUES (19302, 0, 0, 7.66494438, 61, 107);
INSERT INTO public.ecdc_data VALUES (19303, 4, 619, 82.71965379, 152, 107);
INSERT INTO public.ecdc_data VALUES (19304, 52, 19265, 1059.08776372, 153, 107);
INSERT INTO public.ecdc_data VALUES (19305, 0, 53, 164.72354368, 62, 107);
INSERT INTO public.ecdc_data VALUES (19306, 0, 0, 1.17785121, 3, 107);
INSERT INTO public.ecdc_data VALUES (19307, 0, 3, 11.19856658, 63, 107);
INSERT INTO public.ecdc_data VALUES (19308, 0, 1, 4.06240909, 108, 107);
INSERT INTO public.ecdc_data VALUES (19309, 24, 147, 22.31370833, 64, 107);
INSERT INTO public.ecdc_data VALUES (19310, 0, 0, 34.63803256, 65, 107);
INSERT INTO public.ecdc_data VALUES (19311, 20, 726, 202.3933368, 154, 107);
INSERT INTO public.ecdc_data VALUES (19312, 0, 0, 105.78620595, 4, 107);
INSERT INTO public.ecdc_data VALUES (19313, 661, 23227, 144.42724222, 66, 107);
INSERT INTO public.ecdc_data VALUES (19314, 0, 0, 3.3296707, 67, 107);
INSERT INTO public.ecdc_data VALUES (19315, 0, 0, 0.23078911, 109, 107);
INSERT INTO public.ecdc_data VALUES (19316, 11, 1336, 136.52781077, 155, 107);
INSERT INTO public.ecdc_data VALUES (19317, 0, 19, 1.02847331, 5, 107);
INSERT INTO public.ecdc_data VALUES (19318, 0, 1, 0.31221334, 6, 107);
INSERT INTO public.ecdc_data VALUES (19319, 0, 1, 0.03639332, 110, 107);
INSERT INTO public.ecdc_data VALUES (19320, 1, 64, 2.49648454, 7, 107);
INSERT INTO public.ecdc_data VALUES (19321, 16, 2251, 86.51190058, 68, 107);
INSERT INTO public.ecdc_data VALUES (19322, 0, 101, 251.48380903, 8, 107);
INSERT INTO public.ecdc_data VALUES (19323, 0, 0, 33.87325245, 69, 107);
INSERT INTO public.ecdc_data VALUES (19324, 0, 2, 0.12644412, 9, 107);
INSERT INTO public.ecdc_data VALUES (19325, 0, 9, 1.00960175, 10, 107);
INSERT INTO public.ecdc_data VALUES (19326, 26, 1173, 111.71359698, 70, 107);
INSERT INTO public.ecdc_data VALUES (19327, 0, 16, 0.02475966, 111, 107);
INSERT INTO public.ecdc_data VALUES (19328, 170, 8256, 207.25497499, 71, 107);
INSERT INTO public.ecdc_data VALUES (19329, 0, 2, 1.52781026, 11, 107);
INSERT INTO public.ecdc_data VALUES (19330, 0, 0, 1.24523651, 12, 107);
INSERT INTO public.ecdc_data VALUES (19331, 18, 847, 312.62623671, 72, 107);
INSERT INTO public.ecdc_data VALUES (19332, 0, 18, 1.70707164, 13, 107);
INSERT INTO public.ecdc_data VALUES (19333, 8, 890, 215.36972989, 156, 107);
INSERT INTO public.ecdc_data VALUES (19334, 0, 47, 3.72347991, 73, 107);
INSERT INTO public.ecdc_data VALUES (19335, 0, 8, 181.73696481, 74, 107);
INSERT INTO public.ecdc_data VALUES (19336, 0, 152, 109.94418306, 157, 107);
INSERT INTO public.ecdc_data VALUES (19337, 106, 11984, 975.83053203, 158, 107);
INSERT INTO public.ecdc_data VALUES (19338, 0, 14, 0.33068109, 14, 107);
INSERT INTO public.ecdc_data VALUES (19339, 2, 529, 103.23658936, 159, 107);
INSERT INTO public.ecdc_data VALUES (19340, 0, 30, 7.8064253, 15, 107);
INSERT INTO public.ecdc_data VALUES (19341, 0, 0, 2.78520499, 75, 107);
INSERT INTO public.ecdc_data VALUES (19342, 1, 306, 61.4771062, 76, 107);
INSERT INTO public.ecdc_data VALUES (19343, 9, 692, 69.40968157, 77, 107);
INSERT INTO public.ecdc_data VALUES (19344, 12, 158, 1.79603004, 16, 107);
INSERT INTO public.ecdc_data VALUES (19345, 7, 309, 34.67858775, 78, 107);
INSERT INTO public.ecdc_data VALUES (19346, 0, 4, 1.62244042, 17, 107);
INSERT INTO public.ecdc_data VALUES (19347, 0, 0, 1.54412906, 18, 107);
INSERT INTO public.ecdc_data VALUES (19348, 3, 42, 35.32555366, 160, 107);
INSERT INTO public.ecdc_data VALUES (19349, 0, 12, 17.59378051, 19, 107);
INSERT INTO public.ecdc_data VALUES (19350, 6, 630, 9.35681577, 20, 107);
INSERT INTO public.ecdc_data VALUES (19351, 0, 0, 0, 79, 107);
INSERT INTO public.ecdc_data VALUES (19352, 0, 3, 26.70665818, 161, 107);
INSERT INTO public.ecdc_data VALUES (19353, 0, 1, 0.11236523, 203, 107);
INSERT INTO public.ecdc_data VALUES (19354, 0, 294, 52.91850062, 162, 107);
INSERT INTO public.ecdc_data VALUES (19355, 262, 20468, 441.67925144, 163, 107);
INSERT INTO public.ecdc_data VALUES (19356, 2, 751, 830.69266162, 204, 107);
INSERT INTO public.ecdc_data VALUES (19357, 0, 0, 3.49814828, 21, 107);
INSERT INTO public.ecdc_data VALUES (19358, 0, 0, 1.78898801, 22, 107);
INSERT INTO public.ecdc_data VALUES (19359, 15, 1194, 265.51493434, 164, 107);
INSERT INTO public.ecdc_data VALUES (19360, 39, 7595, 89.95026248, 165, 107);
INSERT INTO public.ecdc_data VALUES (19361, 2, 89, 2.07772684, 23, 107);
INSERT INTO public.ecdc_data VALUES (19362, 0, 31, 507.32807215, 166, 107);
INSERT INTO public.ecdc_data VALUES (19363, 8, 667, 55.27479396, 167, 107);
INSERT INTO public.ecdc_data VALUES (19364, 0, 0, 3.52982704, 80, 107);
INSERT INTO public.ecdc_data VALUES (19365, 0, 0, 2.6785236, 81, 107);
INSERT INTO public.ecdc_data VALUES (19366, 1, 130, 638.39325742, 205, 107);
INSERT INTO public.ecdc_data VALUES (19367, 5, 620, 41.79967598, 82, 107);
INSERT INTO public.ecdc_data VALUES (19368, 0, 1, 3.10231433, 168, 107);
INSERT INTO public.ecdc_data VALUES (19369, 0, 20, 5.28531045, 24, 107);
INSERT INTO public.ecdc_data VALUES (19370, 0, 14, 2.13439727, 25, 107);
INSERT INTO public.ecdc_data VALUES (19371, 3, 31, 77.67238351, 83, 107);
INSERT INTO public.ecdc_data VALUES (19372, 0, 0, 1.22524223, 84, 107);
INSERT INTO public.ecdc_data VALUES (19373, 0, 0, 1717.79141104, 169, 107);
INSERT INTO public.ecdc_data VALUES (19374, 6, 851, 98.19297228, 85, 107);
INSERT INTO public.ecdc_data VALUES (19375, 48, 1423, 174.62832388, 170, 107);
INSERT INTO public.ecdc_data VALUES (19376, 0, 92, 311.49244659, 171, 107);
INSERT INTO public.ecdc_data VALUES (19377, 717, 54044, 65.42479385, 112, 107);
INSERT INTO public.ecdc_data VALUES (19378, 117, 3602, 21.30840801, 113, 107);
INSERT INTO public.ecdc_data VALUES (19379, 322, 5039, 72.17728879, 114, 107);
INSERT INTO public.ecdc_data VALUES (19380, 49, 3920, 120.77653228, 115, 107);
INSERT INTO public.ecdc_data VALUES (19381, 13, 1263, 270.80648582, 172, 107);
INSERT INTO public.ecdc_data VALUES (19382, 0, 0, 3.54656043, 173, 107);
INSERT INTO public.ecdc_data VALUES (19383, 15, 1627, 345.99964105, 116, 107);
INSERT INTO public.ecdc_data VALUES (19384, 89, 10871, 172.6089855, 174, 107);
INSERT INTO public.ecdc_data VALUES (19385, 1, 53, 42.90641619, 86, 107);
INSERT INTO public.ecdc_data VALUES (19386, 3, 453, 5.82530552, 117, 107);
INSERT INTO public.ecdc_data VALUES (19387, 0, 7, 72.35890014, 175, 107);
INSERT INTO public.ecdc_data VALUES (19388, 34, 2035, 217.49810948, 118, 107);
INSERT INTO public.ecdc_data VALUES (19389, 29, 363, 20.09009765, 119, 107);
INSERT INTO public.ecdc_data VALUES (19390, 3, 571, 11.52851943, 26, 107);
INSERT INTO public.ecdc_data VALUES (19391, 1, 130, 69.50213121, 176, 107);
INSERT INTO public.ecdc_data VALUES (19392, 4, 886, 224.62151275, 120, 107);
INSERT INTO public.ecdc_data VALUES (19393, 5, 549, 88.21900633, 121, 107);
INSERT INTO public.ecdc_data VALUES (19394, 0, 0, 0, 122, 107);
INSERT INTO public.ecdc_data VALUES (19395, 4, 115, 73.69914499, 177, 107);
INSERT INTO public.ecdc_data VALUES (19396, 5, 1392, 254.06562618, 123, 107);
INSERT INTO public.ecdc_data VALUES (19397, 0, 0, 7.05793672, 27, 107);
INSERT INTO public.ecdc_data VALUES (19398, 0, 3, 0.60761044, 28, 107);
INSERT INTO public.ecdc_data VALUES (19399, 14, 957, 183.52026934, 29, 107);
INSERT INTO public.ecdc_data VALUES (19400, 0, 22, 310.0734796, 178, 107);
INSERT INTO public.ecdc_data VALUES (19401, 5, 202, 91.69045417, 179, 107);
INSERT INTO public.ecdc_data VALUES (19402, 3, 353, 368.46752045, 180, 107);
INSERT INTO public.ecdc_data VALUES (19403, 0, 0, 0.77866297, 30, 107);
INSERT INTO public.ecdc_data VALUES (19404, 1, 1, 0.34892305, 31, 107);
INSERT INTO public.ecdc_data VALUES (19405, 3, 862, 27.29595491, 124, 107);
INSERT INTO public.ecdc_data VALUES (19406, 0, 39, 122.42045966, 125, 107);
INSERT INTO public.ecdc_data VALUES (19407, 0, 4, 1.09878801, 32, 107);
INSERT INTO public.ecdc_data VALUES (19408, 1, 155, 321.13688536, 181, 107);
INSERT INTO public.ecdc_data VALUES (19409, 0, 13, 2.16541183, 33, 107);
INSERT INTO public.ecdc_data VALUES (19410, 0, 0, 1.89025495, 34, 107);
INSERT INTO public.ecdc_data VALUES (19411, 555, 5788, 37.05726354, 87, 107);
INSERT INTO public.ecdc_data VALUES (19412, 16, 656, 252.91485233, 182, 107);
INSERT INTO public.ecdc_data VALUES (19413, 0, 3, 142.05833459, 183, 107);
INSERT INTO public.ecdc_data VALUES (19414, 0, 1, 0.37207387, 126, 107);
INSERT INTO public.ecdc_data VALUES (19415, 7, 132, 531.67722628, 184, 107);
INSERT INTO public.ecdc_data VALUES (19416, 0, 0, 0, 88, 107);
INSERT INTO public.ecdc_data VALUES (19417, 51, 3254, 114.48581898, 35, 107);
INSERT INTO public.ecdc_data VALUES (19418, 3, 110, 5.90132867, 36, 107);
INSERT INTO public.ecdc_data VALUES (19419, 31, 1297, 34.17310721, 127, 107);
INSERT INTO public.ecdc_data VALUES (19420, 1, 41, 27.82093898, 37, 107);
INSERT INTO public.ecdc_data VALUES (19421, 8, 3093, 168.88210463, 128, 107);
INSERT INTO public.ecdc_data VALUES (19422, 45, 8149, 574.37833447, 185, 107);
INSERT INTO public.ecdc_data VALUES (19423, 0, 0, 0, 207, 107);
INSERT INTO public.ecdc_data VALUES (19424, 0, 25, 1.06626257, 208, 107);
INSERT INTO public.ecdc_data VALUES (19425, 1, 81, 2.597203, 89, 107);
INSERT INTO public.ecdc_data VALUES (19426, 0, 1, 0.05147846, 38, 107);
INSERT INTO public.ecdc_data VALUES (19427, 0, 72, 1.01859241, 39, 107);
INSERT INTO public.ecdc_data VALUES (19428, 4, 408, 245.48271366, 186, 107);
INSERT INTO public.ecdc_data VALUES (19429, 0, 0, 22.72210861, 209, 107);
INSERT INTO public.ecdc_data VALUES (19430, 0, 147, 37.51727596, 187, 107);
INSERT INTO public.ecdc_data VALUES (19431, 8, 439, 168.54298459, 129, 107);
INSERT INTO public.ecdc_data VALUES (19432, 33, 1292, 3.87550514, 130, 107);
INSERT INTO public.ecdc_data VALUES (19433, 13, 513, 123.77991666, 131, 107);
INSERT INTO public.ecdc_data VALUES (19434, 11, 558, 215.16847053, 90, 107);
INSERT INTO public.ecdc_data VALUES (19435, 0, 0, 0.45578233, 210, 107);
INSERT INTO public.ecdc_data VALUES (19436, 24, 621, 147.99906709, 91, 107);
INSERT INTO public.ecdc_data VALUES (19437, 55, 3242, 126.69460065, 92, 107);
INSERT INTO public.ecdc_data VALUES (19438, 15, 1606, 31.39387762, 132, 107);
INSERT INTO public.ecdc_data VALUES (19439, 107, 9291, 232.33201692, 188, 107);
INSERT INTO public.ecdc_data VALUES (19440, 15, 1876, 227.93493228, 189, 107);
INSERT INTO public.ecdc_data VALUES (19441, 1, 693, 235.42614655, 93, 107);
INSERT INTO public.ecdc_data VALUES (19442, 0, 273, 105.96485752, 133, 107);
INSERT INTO public.ecdc_data VALUES (19443, 65, 3400, 240.24363698, 190, 107);
INSERT INTO public.ecdc_data VALUES (19444, 269, 16319, 133.08287676, 191, 107);
INSERT INTO public.ecdc_data VALUES (19445, 0, 5, 0.98202747, 40, 107);
INSERT INTO public.ecdc_data VALUES (19446, 0, 0, 0, 94, 107);
INSERT INTO public.ecdc_data VALUES (19447, 0, 0, 4.92354824, 95, 107);
INSERT INTO public.ecdc_data VALUES (19448, 0, 1, 3.61686544, 96, 107);
INSERT INTO public.ecdc_data VALUES (19449, 0, 0, 43.53757293, 192, 107);
INSERT INTO public.ecdc_data VALUES (19450, 0, 0, 8.83523678, 41, 107);
INSERT INTO public.ecdc_data VALUES (19451, 16, 385, 16.70629049, 134, 107);
INSERT INTO public.ecdc_data VALUES (19452, 1, 27, 1.95135577, 42, 107);
INSERT INTO public.ecdc_data VALUES (19453, 2, 326, 36.41708708, 193, 107);
INSERT INTO public.ecdc_data VALUES (19454, 0, 0, 1.0231121, 43, 107);
INSERT INTO public.ecdc_data VALUES (19455, 0, 5, 0.75513166, 44, 107);
INSERT INTO public.ecdc_data VALUES (19456, 0, 6, 1.56779157, 135, 107);
INSERT INTO public.ecdc_data VALUES (19457, 0, 0, 165.13718182, 97, 107);
INSERT INTO public.ecdc_data VALUES (19458, 6, 705, 322.69066922, 194, 107);
INSERT INTO public.ecdc_data VALUES (19459, 2, 794, 370.36716664, 195, 107);
INSERT INTO public.ecdc_data VALUES (19460, 0, 0, 0, 211, 107);
INSERT INTO public.ecdc_data VALUES (19461, 0, 0, 0.93894245, 45, 107);
INSERT INTO public.ecdc_data VALUES (19462, 164, 1050, 39.38299608, 46, 107);
INSERT INTO public.ecdc_data VALUES (19463, 3, 91, 2.09076289, 136, 107);
INSERT INTO public.ecdc_data VALUES (19464, 0, 0, 1.02150457, 47, 107);
INSERT INTO public.ecdc_data VALUES (19465, 156, 16973, 360.89605953, 196, 107);
INSERT INTO public.ecdc_data VALUES (19466, 0, 186, 7.31110227, 137, 107);
INSERT INTO public.ecdc_data VALUES (19467, 0, 27, 0.16583656, 48, 107);
INSERT INTO public.ecdc_data VALUES (19468, 0, 11, 30.78971314, 98, 107);
INSERT INTO public.ecdc_data VALUES (19469, 4, 1290, 100.63356626, 197, 107);
INSERT INTO public.ecdc_data VALUES (19470, 7, 3008, 347.18130097, 198, 107);
INSERT INTO public.ecdc_data VALUES (19471, 3, 46, 4.23546813, 138, 107);
INSERT INTO public.ecdc_data VALUES (19472, 0, 3, 0.09253853, 139, 107);
INSERT INTO public.ecdc_data VALUES (19473, 0, 41, 6.00792424, 140, 107);
INSERT INTO public.ecdc_data VALUES (19474, 0, 9, 0.13500785, 141, 107);
INSERT INTO public.ecdc_data VALUES (19475, 0, 0, 0.07733234, 142, 107);
INSERT INTO public.ecdc_data VALUES (19476, 0, 33, 2.75909546, 49, 107);
INSERT INTO public.ecdc_data VALUES (19477, 1, 35, 34.91117007, 99, 107);
INSERT INTO public.ecdc_data VALUES (19478, 24, 1723, 179.54254745, 50, 107);
INSERT INTO public.ecdc_data VALUES (19479, 74, 1894, 29.0913057, 199, 107);
INSERT INTO public.ecdc_data VALUES (19480, 0, 0, 7.85463685, 100, 107);
INSERT INTO public.ecdc_data VALUES (19481, 0, 97, 3.85366143, 51, 107);
INSERT INTO public.ecdc_data VALUES (19482, 0, 0, 169.39492826, 200, 107);
INSERT INTO public.ecdc_data VALUES (19483, 4, 1077, 171.94570691, 143, 107);
INSERT INTO public.ecdc_data VALUES (19484, 241, 21330, 348.74579412, 201, 107);
INSERT INTO public.ecdc_data VALUES (19485, 0, 0, 0, 52, 107);
INSERT INTO public.ecdc_data VALUES (19486, 933, 58549, 234.51056619, 101, 107);
INSERT INTO public.ecdc_data VALUES (19487, 0, 1, 15.2994387, 102, 107);
INSERT INTO public.ecdc_data VALUES (19488, 1, 63, 12.88372782, 103, 107);
INSERT INTO public.ecdc_data VALUES (19489, 1, 273, 14.15026478, 144, 107);
INSERT INTO public.ecdc_data VALUES (19490, 11, 1008, 27.52155654, 104, 107);
INSERT INTO public.ecdc_data VALUES (19491, 0, 1, 0.04457709, 145, 107);
INSERT INTO public.ecdc_data VALUES (19492, 0, 0, 0, 213, 107);
INSERT INTO public.ecdc_data VALUES (19493, 0, 0, 0, 53, 107);
INSERT INTO public.ecdc_data VALUES (19494, 0, 0, 0.05143694, 146, 107);
INSERT INTO public.ecdc_data VALUES (19495, 0, 85, 4.54620936, 54, 107);
INSERT INTO public.ecdc_data VALUES (19496, 1, 28, 1.85722919, 55, 107);
INSERT INTO public.ecdc_data VALUES (19497, 0, 0, 1.69813397, 105, 108);
INSERT INTO public.ecdc_data VALUES (19498, 4, 159, 74.41237803, 147, 108);
INSERT INTO public.ecdc_data VALUES (19499, 7, 203, 8.04124139, 1, 108);
INSERT INTO public.ecdc_data VALUES (19500, 0, 0, 458.14353414, 148, 108);
INSERT INTO public.ecdc_data VALUES (19501, 8, 90, 3.31811494, 2, 108);
INSERT INTO public.ecdc_data VALUES (19502, 0, 0, 0, 56, 108);
INSERT INTO public.ecdc_data VALUES (19503, 0, 0, 1.02970705, 57, 108);
INSERT INTO public.ecdc_data VALUES (19504, 204, 9276, 337.48486373, 58, 108);
INSERT INTO public.ecdc_data VALUES (19505, 2, 277, 89.52817839, 149, 108);
INSERT INTO public.ecdc_data VALUES (19506, 0, 91, 1036.5911015, 59, 108);
INSERT INTO public.ecdc_data VALUES (19507, 5, 13, 2.45603733, 202, 108);
INSERT INTO public.ecdc_data VALUES (19508, 1, 609, 105.69181405, 150, 108);
INSERT INTO public.ecdc_data VALUES (19509, 1, 146, 18.50171168, 151, 108);
INSERT INTO public.ecdc_data VALUES (19510, 0, 55, 211.56087767, 60, 108);
INSERT INTO public.ecdc_data VALUES (19511, 1, 620, 592.75002376, 106, 108);
INSERT INTO public.ecdc_data VALUES (19512, 26, 1544, 14.57194583, 107, 108);
INSERT INTO public.ecdc_data VALUES (19513, 0, 4, 3.48406563, 61, 108);
INSERT INTO public.ecdc_data VALUES (19514, 4, 213, 29.78076806, 152, 108);
INSERT INTO public.ecdc_data VALUES (19515, 3, 461, 139.3651392, 153, 108);
INSERT INTO public.ecdc_data VALUES (19516, 1, 21, 93.76176825, 62, 108);
INSERT INTO public.ecdc_data VALUES (19517, 0, 0, 0.56774123, 3, 108);
INSERT INTO public.ecdc_data VALUES (19518, 0, 0, 7.99897613, 63, 108);
INSERT INTO public.ecdc_data VALUES (19519, 0, 2, 4.06240909, 108, 108);
INSERT INTO public.ecdc_data VALUES (19520, 31, 206, 86.04978919, 64, 108);
INSERT INTO public.ecdc_data VALUES (19521, 0, 0, 69.27606512, 65, 108);
INSERT INTO public.ecdc_data VALUES (19522, 5, 212, 129.71834579, 154, 108);
INSERT INTO public.ecdc_data VALUES (19523, 0, 0, 24.52573096, 4, 108);
INSERT INTO public.ecdc_data VALUES (19524, 363, 16389, 192.89690966, 66, 108);
INSERT INTO public.ecdc_data VALUES (19525, 0, 0, 26.63736556, 67, 108);
INSERT INTO public.ecdc_data VALUES (19526, 0, 0, 0, 109, 108);
INSERT INTO public.ecdc_data VALUES (19527, 6, 44, 25.8998557, 155, 108);
INSERT INTO public.ecdc_data VALUES (19528, 0, 30, 1.93884442, 5, 108);
INSERT INTO public.ecdc_data VALUES (19529, 0, 0, 0.09539852, 6, 108);
INSERT INTO public.ecdc_data VALUES (19530, 0, 0, 0.00606555, 110, 108);
INSERT INTO public.ecdc_data VALUES (19531, 0, 0, 3.19596395, 7, 108);
INSERT INTO public.ecdc_data VALUES (19532, 6, 875, 31.41853482, 68, 108);
INSERT INTO public.ecdc_data VALUES (19533, 1, 71, 168.56506939, 8, 108);
INSERT INTO public.ecdc_data VALUES (19534, 0, 0, 6.15877317, 69, 108);
INSERT INTO public.ecdc_data VALUES (19535, 0, 7, 1.34873732, 9, 108);
INSERT INTO public.ecdc_data VALUES (19536, 0, 2, 0.70233165, 10, 108);
INSERT INTO public.ecdc_data VALUES (19537, 32, 1600, 125.39022854, 70, 108);
INSERT INTO public.ecdc_data VALUES (19538, 0, 36, 0.02169086, 111, 108);
INSERT INTO public.ecdc_data VALUES (19539, 169, 6678, 195.78087108, 71, 108);
INSERT INTO public.ecdc_data VALUES (19540, 0, 0, 2.11542959, 11, 108);
INSERT INTO public.ecdc_data VALUES (19541, 0, 0, 6.65365178, 12, 108);
INSERT INTO public.ecdc_data VALUES (19542, 0, 0, 332.67552388, 72, 108);
INSERT INTO public.ecdc_data VALUES (19543, 0, 51, 2.84641558, 13, 108);
INSERT INTO public.ecdc_data VALUES (19544, 4, 197, 72.56676854, 156, 108);
INSERT INTO public.ecdc_data VALUES (19545, 2, 36, 6.89990827, 73, 108);
INSERT INTO public.ecdc_data VALUES (19546, 0, 21, 107.69597915, 74, 108);
INSERT INTO public.ecdc_data VALUES (19547, 0, 20, 10.38932571, 157, 108);
INSERT INTO public.ecdc_data VALUES (19548, 4, 934, 197.97554884, 158, 108);
INSERT INTO public.ecdc_data VALUES (19549, 2, 26, 0.35142068, 14, 108);
INSERT INTO public.ecdc_data VALUES (19550, 0, 0, 74.06028266, 159, 108);
INSERT INTO public.ecdc_data VALUES (19551, 0, 0, 1.54074184, 15, 108);
INSERT INTO public.ecdc_data VALUES (19552, 0, 0, 5.57040998, 75, 108);
INSERT INTO public.ecdc_data VALUES (19553, 3, 589, 83.39729827, 76, 108);
INSERT INTO public.ecdc_data VALUES (19554, 6, 799, 95.74840806, 77, 108);
INSERT INTO public.ecdc_data VALUES (19555, 20, 115, 2.14368089, 16, 108);
INSERT INTO public.ecdc_data VALUES (19556, 1, 125, 19.29170766, 78, 108);
INSERT INTO public.ecdc_data VALUES (19557, 0, 0, 2.21241875, 17, 108);
INSERT INTO public.ecdc_data VALUES (19558, 0, 0, 0.97222941, 18, 108);
INSERT INTO public.ecdc_data VALUES (19559, 0, 49, 30.87211848, 160, 108);
INSERT INTO public.ecdc_data VALUES (19560, 0, 24, 36.2327361, 19, 108);
INSERT INTO public.ecdc_data VALUES (19561, 7, 689, 9.05434981, 20, 108);
INSERT INTO public.ecdc_data VALUES (19562, 0, 0, 0, 79, 108);
INSERT INTO public.ecdc_data VALUES (19563, 0, 3, 43.14152474, 161, 108);
INSERT INTO public.ecdc_data VALUES (19564, 0, 0, 0.11236523, 203, 108);
INSERT INTO public.ecdc_data VALUES (19565, 0, 58, 12.48659141, 162, 108);
INSERT INTO public.ecdc_data VALUES (19566, 11, 11569, 192.47940728, 163, 108);
INSERT INTO public.ecdc_data VALUES (19567, 0, 47, 223.4276814, 204, 108);
INSERT INTO public.ecdc_data VALUES (19568, 0, 0, 4.37268535, 21, 108);
INSERT INTO public.ecdc_data VALUES (19569, 0, 22, 14.01373943, 22, 108);
INSERT INTO public.ecdc_data VALUES (19570, 1, 193, 51.41662176, 164, 108);
INSERT INTO public.ecdc_data VALUES (19571, 0, 922, 25.94339216, 165, 108);
INSERT INTO public.ecdc_data VALUES (19572, 0, 127, 4.03381461, 23, 108);
INSERT INTO public.ecdc_data VALUES (19573, 0, 4, 103.8390791, 166, 108);
INSERT INTO public.ecdc_data VALUES (19574, 7, 164, 33.73552708, 167, 108);
INSERT INTO public.ecdc_data VALUES (19575, 0, 0, 0, 80, 108);
INSERT INTO public.ecdc_data VALUES (19576, 0, 0, 0, 81, 108);
INSERT INTO public.ecdc_data VALUES (19577, 0, 0, 297.67775486, 205, 108);
INSERT INTO public.ecdc_data VALUES (19578, 14, 292, 44.14305147, 82, 108);
INSERT INTO public.ecdc_data VALUES (19579, 0, 1, 4.65347149, 168, 108);
INSERT INTO public.ecdc_data VALUES (19580, 1, 39, 4.72154401, 24, 108);
INSERT INTO public.ecdc_data VALUES (19581, 0, 0, 3.01939126, 25, 108);
INSERT INTO public.ecdc_data VALUES (19582, 0, 101, 102.32825525, 83, 108);
INSERT INTO public.ecdc_data VALUES (19583, 0, 4, 2.29954882, 84, 108);
INSERT INTO public.ecdc_data VALUES (19584, 0, 0, 0, 169, 108);
INSERT INTO public.ecdc_data VALUES (19585, 18, 473, 70.30493689, 85, 108);
INSERT INTO public.ecdc_data VALUES (19586, 3, 876, 107.22666155, 170, 108);
INSERT INTO public.ecdc_data VALUES (19587, 0, 39, 57.42441686, 171, 108);
INSERT INTO public.ecdc_data VALUES (19588, 1130, 86961, 93.89273481, 112, 108);
INSERT INTO public.ecdc_data VALUES (19589, 105, 3989, 18.68522644, 113, 108);
INSERT INTO public.ecdc_data VALUES (19590, 183, 3097, 42.79379332, 114, 108);
INSERT INTO public.ecdc_data VALUES (19591, 64, 3438, 149.23763646, 115, 108);
INSERT INTO public.ecdc_data VALUES (19592, 0, 395, 66.49348319, 172, 108);
INSERT INTO public.ecdc_data VALUES (19593, 0, 0, 2.36437362, 173, 108);
INSERT INTO public.ecdc_data VALUES (19594, 30, 4825, 678.25413913, 116, 108);
INSERT INTO public.ecdc_data VALUES (19595, 15, 1587, 33.99959304, 174, 108);
INSERT INTO public.ecdc_data VALUES (19596, 7, 230, 63.93564784, 86, 108);
INSERT INTO public.ecdc_data VALUES (19597, 0, 0, 5.36101527, 117, 108);
INSERT INTO public.ecdc_data VALUES (19598, 0, 0, 8.34910386, 175, 108);
INSERT INTO public.ecdc_data VALUES (19599, 0, 239, 23.4416059, 118, 108);
INSERT INTO public.ecdc_data VALUES (19600, 1, 107, 23.35130212, 119, 108);
INSERT INTO public.ecdc_data VALUES (19601, 2, 152, 3.57211013, 26, 108);
INSERT INTO public.ecdc_data VALUES (19602, 2, 61, 52.48800949, 176, 108);
INSERT INTO public.ecdc_data VALUES (19603, 3, 385, 234.1768406, 120, 108);
INSERT INTO public.ecdc_data VALUES (19604, 0, 55, 15.89812482, 121, 108);
INSERT INTO public.ecdc_data VALUES (19605, 0, 0, 0.01394806, 122, 108);
INSERT INTO public.ecdc_data VALUES (19606, 0, 10, 5.05216754, 177, 108);
INSERT INTO public.ecdc_data VALUES (19607, 11, 1006, 129.4833255, 123, 108);
INSERT INTO public.ecdc_data VALUES (19608, 0, 34, 12.98660357, 27, 108);
INSERT INTO public.ecdc_data VALUES (19609, 0, 0, 0.56710308, 28, 108);
INSERT INTO public.ecdc_data VALUES (19610, 8, 715, 150.4990149, 29, 108);
INSERT INTO public.ecdc_data VALUES (19611, 0, 0, 10.42263797, 178, 108);
INSERT INTO public.ecdc_data VALUES (19612, 0, 80, 23.65628033, 179, 108);
INSERT INTO public.ecdc_data VALUES (19613, 0, 86, 147.90827081, 180, 108);
INSERT INTO public.ecdc_data VALUES (19614, 4, 33, 2.72161249, 30, 108);
INSERT INTO public.ecdc_data VALUES (19615, 0, 15, 0.6280615, 31, 108);
INSERT INTO public.ecdc_data VALUES (19616, 0, 52, 2.57278694, 124, 108);
INSERT INTO public.ecdc_data VALUES (19617, 0, 75, 214.70665233, 125, 108);
INSERT INTO public.ecdc_data VALUES (19618, 0, 7, 0.86987384, 32, 108);
INSERT INTO public.ecdc_data VALUES (19619, 1, 46, 141.82701562, 181, 108);
INSERT INTO public.ecdc_data VALUES (19620, 0, 7, 5.17047315, 33, 108);
INSERT INTO public.ecdc_data VALUES (19621, 0, 0, 0.86636685, 34, 108);
INSERT INTO public.ecdc_data VALUES (19622, 235, 1701, 48.44973051, 87, 108);
INSERT INTO public.ecdc_data VALUES (19623, 2, 260, 168.15647184, 182, 108);
INSERT INTO public.ecdc_data VALUES (19624, 0, 1, 136.01329908, 183, 108);
INSERT INTO public.ecdc_data VALUES (19625, 0, 0, 0.06201231, 126, 108);
INSERT INTO public.ecdc_data VALUES (19626, 2, 714, 491.6567821, 184, 108);
INSERT INTO public.ecdc_data VALUES (19627, 0, 0, 0, 88, 108);
INSERT INTO public.ecdc_data VALUES (19628, 35, 1927, 80.47046584, 35, 108);
INSERT INTO public.ecdc_data VALUES (19629, 2, 234, 7.66316507, 36, 108);
INSERT INTO public.ecdc_data VALUES (19630, 13, 542, 8.03213268, 127, 108);
INSERT INTO public.ecdc_data VALUES (19631, 1, 85, 67.8285717, 37, 108);
INSERT INTO public.ecdc_data VALUES (19632, 10, 1325, 62.4460064, 128, 108);
INSERT INTO public.ecdc_data VALUES (19633, 4, 1843, 109.76056643, 185, 108);
INSERT INTO public.ecdc_data VALUES (19634, 0, 0, 0, 207, 108);
INSERT INTO public.ecdc_data VALUES (19635, 0, 0, 0.81537726, 208, 108);
INSERT INTO public.ecdc_data VALUES (19636, 0, 0, 4.47635575, 89, 108);
INSERT INTO public.ecdc_data VALUES (19637, 0, 6, 0.04718859, 38, 108);
INSERT INTO public.ecdc_data VALUES (19638, 3, 97, 1.11313689, 39, 108);
INSERT INTO public.ecdc_data VALUES (19639, 4, 178, 94.98674133, 186, 108);
INSERT INTO public.ecdc_data VALUES (19640, 0, 1, 19.22639959, 209, 108);
INSERT INTO public.ecdc_data VALUES (19641, 0, 0, 28.62123354, 187, 108);
INSERT INTO public.ecdc_data VALUES (19642, 28, 1722, 128.70372455, 129, 108);
INSERT INTO public.ecdc_data VALUES (19643, 4, 633, 3.41744472, 130, 108);
INSERT INTO public.ecdc_data VALUES (19644, 9, 683, 229.53285227, 131, 108);
INSERT INTO public.ecdc_data VALUES (19645, 10, 602, 215.7101007, 90, 108);
INSERT INTO public.ecdc_data VALUES (19646, 1, 1, 0.22789117, 210, 108);
INSERT INTO public.ecdc_data VALUES (19647, 23, 505, 156.62974355, 91, 108);
INSERT INTO public.ecdc_data VALUES (19648, 0, 6030, 242.74647343, 92, 108);
INSERT INTO public.ecdc_data VALUES (19649, 54, 3283, 45.67105324, 132, 108);
INSERT INTO public.ecdc_data VALUES (19650, 11, 910, 22.16322563, 188, 108);
INSERT INTO public.ecdc_data VALUES (19651, 13, 552, 80.95076424, 189, 108);
INSERT INTO public.ecdc_data VALUES (19652, 3, 845, 249.0280916, 93, 108);
INSERT INTO public.ecdc_data VALUES (19653, 1, 230, 115.8516153, 133, 108);
INSERT INTO public.ecdc_data VALUES (19654, 33, 1231, 91.51427251, 190, 108);
INSERT INTO public.ecdc_data VALUES (19655, 79, 6148, 53.39877507, 191, 108);
INSERT INTO public.ecdc_data VALUES (19656, 0, 22, 2.66889724, 40, 108);
INSERT INTO public.ecdc_data VALUES (19657, 0, 0, 0, 94, 108);
INSERT INTO public.ecdc_data VALUES (19658, 0, 0, 0.54706092, 95, 108);
INSERT INTO public.ecdc_data VALUES (19659, 0, 0, 2.71264908, 96, 108);
INSERT INTO public.ecdc_data VALUES (19660, 0, 0, 20.31753403, 192, 108);
INSERT INTO public.ecdc_data VALUES (19661, 0, 0, 4.65012462, 41, 108);
INSERT INTO public.ecdc_data VALUES (19662, 27, 483, 26.05014064, 134, 108);
INSERT INTO public.ecdc_data VALUES (19663, 0, 26, 4.46111838, 42, 108);
INSERT INTO public.ecdc_data VALUES (19664, 1, 68, 14.40313026, 193, 108);
INSERT INTO public.ecdc_data VALUES (19665, 0, 0, 4.09244841, 43, 108);
INSERT INTO public.ecdc_data VALUES (19666, 0, 9, 1.45906796, 44, 108);
INSERT INTO public.ecdc_data VALUES (19667, 0, 18, 9.54457722, 135, 108);
INSERT INTO public.ecdc_data VALUES (19668, 0, 0, 172.21448961, 97, 108);
INSERT INTO public.ecdc_data VALUES (19669, 0, 131, 37.85028716, 194, 108);
INSERT INTO public.ecdc_data VALUES (19670, 0, 111, 59.87770723, 195, 108);
INSERT INTO public.ecdc_data VALUES (19671, 0, 0, 0.51803721, 45, 108);
INSERT INTO public.ecdc_data VALUES (19672, 13, 1555, 38.75456219, 46, 108);
INSERT INTO public.ecdc_data VALUES (19673, 2, 70, 3.41432707, 136, 108);
INSERT INTO public.ecdc_data VALUES (19674, 0, 0, 0.88590662, 47, 108);
INSERT INTO public.ecdc_data VALUES (19675, 168, 31428, 310.88227511, 196, 108);
INSERT INTO public.ecdc_data VALUES (19676, 0, 4, 0.76909607, 137, 108);
INSERT INTO public.ecdc_data VALUES (19677, 0, 20, 0.34568748, 48, 108);
INSERT INTO public.ecdc_data VALUES (19678, 0, 14, 64.84760812, 98, 108);
INSERT INTO public.ecdc_data VALUES (19679, 4, 132, 35.24862942, 197, 108);
INSERT INTO public.ecdc_data VALUES (19680, 0, 0, 57.08917533, 198, 108);
INSERT INTO public.ecdc_data VALUES (19681, 4, 35, 3.68479869, 138, 108);
INSERT INTO public.ecdc_data VALUES (19682, 0, 2, 0.06730075, 139, 108);
INSERT INTO public.ecdc_data VALUES (19683, 0, 43, 5.94355362, 140, 108);
INSERT INTO public.ecdc_data VALUES (19684, 0, 0, 0.08761148, 141, 108);
INSERT INTO public.ecdc_data VALUES (19685, 0, 0, 0, 142, 108);
INSERT INTO public.ecdc_data VALUES (19686, 0, 7, 2.20232732, 49, 108);
INSERT INTO public.ecdc_data VALUES (19687, 4, 48, 118.35388457, 99, 108);
INSERT INTO public.ecdc_data VALUES (19688, 4, 996, 50.92896188, 50, 108);
INSERT INTO public.ecdc_data VALUES (19689, 61, 1519, 28.1218394, 199, 108);
INSERT INTO public.ecdc_data VALUES (19690, 0, 0, 183.27485993, 100, 108);
INSERT INTO public.ecdc_data VALUES (19691, 0, 270, 5.91828426, 51, 108);
INSERT INTO public.ecdc_data VALUES (19692, 41, 2966, 90.43124708, 200, 108);
INSERT INTO public.ecdc_data VALUES (19693, 0, 674, 111.88752786, 143, 108);
INSERT INTO public.ecdc_data VALUES (19694, 18, 3899, 70.67823134, 201, 108);
INSERT INTO public.ecdc_data VALUES (19695, 0, 0, 0, 52, 108);
INSERT INTO public.ecdc_data VALUES (19696, 251, 39852, 160.57409122, 101, 108);
INSERT INTO public.ecdc_data VALUES (19697, 0, 27, 84.14691286, 102, 108);
INSERT INTO public.ecdc_data VALUES (19698, 0, 13, 6.87517314, 103, 108);
INSERT INTO public.ecdc_data VALUES (19699, 6, 554, 24.29831196, 144, 108);
INSERT INTO public.ecdc_data VALUES (19700, 8, 707, 46.87571945, 104, 108);
INSERT INTO public.ecdc_data VALUES (19701, 0, 0, 0.01969685, 145, 108);
INSERT INTO public.ecdc_data VALUES (19702, 0, 0, 0, 53, 108);
INSERT INTO public.ecdc_data VALUES (19703, 0, 2, 0.14745256, 146, 108);
INSERT INTO public.ecdc_data VALUES (19704, 1, 107, 7.5863469, 54, 108);
INSERT INTO public.ecdc_data VALUES (19705, 0, 11, 4.82060224, 55, 108);
INSERT INTO public.ecdc_data VALUES (19706, 2, 97, 2.41576644, 105, 109);
INSERT INTO public.ecdc_data VALUES (19707, 4, 155, 68.15894344, 147, 109);
INSERT INTO public.ecdc_data VALUES (19708, 9, 411, 15.40424984, 1, 109);
INSERT INTO public.ecdc_data VALUES (19709, 0, 0, 105.01857516, 148, 109);
INSERT INTO public.ecdc_data VALUES (19710, 2, 49, 1.94813566, 2, 109);
INSERT INTO public.ecdc_data VALUES (19711, 0, 0, 0, 56, 109);
INSERT INTO public.ecdc_data VALUES (19712, 0, 0, 2.0594141, 57, 109);
INSERT INTO public.ecdc_data VALUES (19713, 292, 6693, 205.39440283, 58, 109);
INSERT INTO public.ecdc_data VALUES (19714, 3, 263, 84.5243376, 149, 109);
INSERT INTO public.ecdc_data VALUES (19715, 1, 91, 1057.28529771, 59, 109);
INSERT INTO public.ecdc_data VALUES (19716, 13, 243, 17.35493906, 202, 109);
INSERT INTO public.ecdc_data VALUES (19717, 0, 308, 32.95037971, 150, 109);
INSERT INTO public.ecdc_data VALUES (19718, 0, 139, 15.04819153, 151, 109);
INSERT INTO public.ecdc_data VALUES (19719, 1, 79, 217.97959362, 60, 109);
INSERT INTO public.ecdc_data VALUES (19720, 4, 765, 308.37868732, 106, 109);
INSERT INTO public.ecdc_data VALUES (19721, 41, 2868, 23.49518501, 107, 109);
INSERT INTO public.ecdc_data VALUES (19722, 0, 1, 8.01335094, 61, 109);
INSERT INTO public.ecdc_data VALUES (19723, 5, 149, 15.30826692, 152, 109);
INSERT INTO public.ecdc_data VALUES (19724, 4, 581, 67.74900378, 153, 109);
INSERT INTO public.ecdc_data VALUES (19725, 0, 52, 125.78423009, 62, 109);
INSERT INTO public.ecdc_data VALUES (19726, 0, 32, 1.34732621, 3, 109);
INSERT INTO public.ecdc_data VALUES (19727, 0, 0, 14.39815704, 63, 109);
INSERT INTO public.ecdc_data VALUES (19728, 0, 3, 5.89704545, 108, 109);
INSERT INTO public.ecdc_data VALUES (19729, 72, 1015, 170.60562827, 64, 109);
INSERT INTO public.ecdc_data VALUES (19730, 0, 0, 0, 65, 109);
INSERT INTO public.ecdc_data VALUES (19731, 8, 338, 110.02733113, 154, 109);
INSERT INTO public.ecdc_data VALUES (19732, 0, 0, 17.31994098, 4, 109);
INSERT INTO public.ecdc_data VALUES (19733, 1204, 45323, 279.44294912, 66, 109);
INSERT INTO public.ecdc_data VALUES (19734, 0, 1, 9.98901209, 67, 109);
INSERT INTO public.ecdc_data VALUES (19735, 0, 1, 0.46157823, 109, 109);
INSERT INTO public.ecdc_data VALUES (19736, 5, 142, 32.07124989, 155, 109);
INSERT INTO public.ecdc_data VALUES (19737, 0, 5, 0.66432486, 5, 109);
INSERT INTO public.ecdc_data VALUES (19738, 0, 0, 0.19079704, 6, 109);
INSERT INTO public.ecdc_data VALUES (19739, 0, 0, 0.1819666, 110, 109);
INSERT INTO public.ecdc_data VALUES (19740, 2, 138, 4.03456634, 7, 109);
INSERT INTO public.ecdc_data VALUES (19741, 5, 383, 14.23911307, 68, 109);
INSERT INTO public.ecdc_data VALUES (19742, 1, 47, 115.28614239, 8, 109);
INSERT INTO public.ecdc_data VALUES (19743, 0, 0, 3.07938659, 69, 109);
INSERT INTO public.ecdc_data VALUES (19744, 0, 0, 1.24336722, 9, 109);
INSERT INTO public.ecdc_data VALUES (19745, 0, 1, 0.18812455, 10, 109);
INSERT INTO public.ecdc_data VALUES (19746, 93, 1812, 132.85116875, 70, 109);
INSERT INTO public.ecdc_data VALUES (19747, 3, 40, 0.0772083, 111, 109);
INSERT INTO public.ecdc_data VALUES (19748, 204, 11541, 309.91403699, 71, 109);
INSERT INTO public.ecdc_data VALUES (19749, 0, 1, 1.17523866, 11, 109);
INSERT INTO public.ecdc_data VALUES (19750, 0, 0, 3.95873695, 12, 109);
INSERT INTO public.ecdc_data VALUES (19751, 12, 666, 198.21454362, 72, 109);
INSERT INTO public.ecdc_data VALUES (19752, 1, 17, 3.11861379, 13, 109);
INSERT INTO public.ecdc_data VALUES (19753, 0, 255, 47.22482402, 156, 109);
INSERT INTO public.ecdc_data VALUES (19754, 0, 83, 6.97049557, 73, 109);
INSERT INTO public.ecdc_data VALUES (19755, 0, 0, 2.44763589, 74, 109);
INSERT INTO public.ecdc_data VALUES (19756, 0, 10, 21.34949349, 157, 109);
INSERT INTO public.ecdc_data VALUES (19757, 2, 247, 31.03344664, 158, 109);
INSERT INTO public.ecdc_data VALUES (19758, 1, 16, 0.51618512, 14, 109);
INSERT INTO public.ecdc_data VALUES (19759, 0, 116, 30.14081271, 159, 109);
INSERT INTO public.ecdc_data VALUES (19760, 0, 0, 4.1086449, 15, 109);
INSERT INTO public.ecdc_data VALUES (19761, 0, 0, 0, 75, 109);
INSERT INTO public.ecdc_data VALUES (19762, 4, 883, 116.15653177, 76, 109);
INSERT INTO public.ecdc_data VALUES (19763, 54, 1033, 86.17068934, 77, 109);
INSERT INTO public.ecdc_data VALUES (19764, 15, 111, 2.01119503, 16, 109);
INSERT INTO public.ecdc_data VALUES (19765, 0, 247, 74.96649131, 78, 109);
INSERT INTO public.ecdc_data VALUES (19766, 0, 0, 5.23605771, 17, 109);
INSERT INTO public.ecdc_data VALUES (19767, 0, 0, 0.62908962, 18, 109);
INSERT INTO public.ecdc_data VALUES (19768, 0, 20, 7.77464108, 160, 109);
INSERT INTO public.ecdc_data VALUES (19769, 2, 52, 99.46582844, 19, 109);
INSERT INTO public.ecdc_data VALUES (19770, 20, 1778, 13.32634693, 20, 109);
INSERT INTO public.ecdc_data VALUES (19771, 0, 0, 0, 79, 109);
INSERT INTO public.ecdc_data VALUES (19772, 0, 1, 291.71888161, 161, 109);
INSERT INTO public.ecdc_data VALUES (19773, 0, 0, 0.11236523, 203, 109);
INSERT INTO public.ecdc_data VALUES (19774, 0, 37, 5.61806, 162, 109);
INSERT INTO public.ecdc_data VALUES (19775, 12, 4771, 51.00661018, 163, 109);
INSERT INTO public.ecdc_data VALUES (19776, 0, 0, 60.86972089, 204, 109);
INSERT INTO public.ecdc_data VALUES (19777, 0, 0, 24.48703798, 21, 109);
INSERT INTO public.ecdc_data VALUES (19778, 4, 113, 62.44420061, 22, 109);
INSERT INTO public.ecdc_data VALUES (19779, 0, 9, 4.10332164, 164, 109);
INSERT INTO public.ecdc_data VALUES (19780, 7, 1427, 19.07269345, 165, 109);
INSERT INTO public.ecdc_data VALUES (19781, 5, 166, 10.39849683, 23, 109);
INSERT INTO public.ecdc_data VALUES (19782, 0, 6, 115.70640242, 166, 109);
INSERT INTO public.ecdc_data VALUES (19783, 0, 250, 26.21077021, 167, 109);
INSERT INTO public.ecdc_data VALUES (19784, 0, 0, 0, 80, 109);
INSERT INTO public.ecdc_data VALUES (19785, 0, 0, 0, 81, 109);
INSERT INTO public.ecdc_data VALUES (19786, 1, 105, 175.13972324, 205, 109);
INSERT INTO public.ecdc_data VALUES (19787, 39, 1102, 66.22879672, 82, 109);
INSERT INTO public.ecdc_data VALUES (19788, 0, 0, 0, 168, 109);
INSERT INTO public.ecdc_data VALUES (19789, 0, 84, 9.49006855, 24, 109);
INSERT INTO public.ecdc_data VALUES (19790, 0, 0, 4.42496995, 25, 109);
INSERT INTO public.ecdc_data VALUES (19791, 2, 70, 39.34719428, 83, 109);
INSERT INTO public.ecdc_data VALUES (19792, 0, 48, 3.68460525, 84, 109);
INSERT INTO public.ecdc_data VALUES (19793, 0, 0, 0, 169, 109);
INSERT INTO public.ecdc_data VALUES (19794, 11, 523, 72.48016261, 85, 109);
INSERT INTO public.ecdc_data VALUES (19795, 0, 44, 4.5944051, 170, 109);
INSERT INTO public.ecdc_data VALUES (19796, 0, 5, 30.25286352, 171, 109);
INSERT INTO public.ecdc_data VALUES (19797, 983, 68898, 64.31042016, 112, 109);
INSERT INTO public.ecdc_data VALUES (19798, 72, 2266, 10.51563617, 113, 109);
INSERT INTO public.ecdc_data VALUES (19799, 292, 4723, 39.12613294, 114, 109);
INSERT INTO public.ecdc_data VALUES (19800, 87, 3995, 132.77608791, 115, 109);
INSERT INTO public.ecdc_data VALUES (19801, 1, 129, 26.58923707, 172, 109);
INSERT INTO public.ecdc_data VALUES (19802, 0, 0, 0, 173, 109);
INSERT INTO public.ecdc_data VALUES (19803, 16, 1630, 229.4182917, 116, 109);
INSERT INTO public.ecdc_data VALUES (19804, 6, 840, 11.45469186, 174, 109);
INSERT INTO public.ecdc_data VALUES (19805, 1, 98, 11.26081437, 86, 109);
INSERT INTO public.ecdc_data VALUES (19806, 11, 1220, 12.53820157, 117, 109);
INSERT INTO public.ecdc_data VALUES (19807, 0, 1, 15.77052952, 175, 109);
INSERT INTO public.ecdc_data VALUES (19808, 0, 16, 2.63322093, 118, 109);
INSERT INTO public.ecdc_data VALUES (19809, 6, 979, 93.82027087, 119, 109);
INSERT INTO public.ecdc_data VALUES (19810, 10, 426, 13.37163695, 26, 109);
INSERT INTO public.ecdc_data VALUES (19811, 13, 158, 128.88475212, 176, 109);
INSERT INTO public.ecdc_data VALUES (19812, 2, 622, 207.31733695, 120, 109);
INSERT INTO public.ecdc_data VALUES (19813, 1, 378, 55.19143135, 121, 109);
INSERT INTO public.ecdc_data VALUES (19814, 0, 0, 0, 122, 109);
INSERT INTO public.ecdc_data VALUES (19815, 0, 1, 2.70837847, 177, 109);
INSERT INTO public.ecdc_data VALUES (19816, 4, 605, 77.01610439, 123, 109);
INSERT INTO public.ecdc_data VALUES (19817, 0, 50, 11.95143951, 27, 109);
INSERT INTO public.ecdc_data VALUES (19818, 0, 2, 1.21522088, 28, 109);
INSERT INTO public.ecdc_data VALUES (19819, 5, 395, 73.59696924, 29, 109);
INSERT INTO public.ecdc_data VALUES (19820, 0, 2, 28.66225442, 178, 109);
INSERT INTO public.ecdc_data VALUES (19821, 1, 32, 12.7765387, 179, 109);
INSERT INTO public.ecdc_data VALUES (19822, 0, 71, 91.87253826, 180, 109);
INSERT INTO public.ecdc_data VALUES (19823, 4, 80, 6.036492, 30, 109);
INSERT INTO public.ecdc_data VALUES (19824, 0, 0, 4.0206672, 31, 109);
INSERT INTO public.ecdc_data VALUES (19825, 0, 5, 0.63224205, 124, 109);
INSERT INTO public.ecdc_data VALUES (19826, 0, 145, 318.29319512, 125, 109);
INSERT INTO public.ecdc_data VALUES (19827, 0, 0, 0.58500288, 32, 109);
INSERT INTO public.ecdc_data VALUES (19828, 0, 36, 132.91217463, 181, 109);
INSERT INTO public.ecdc_data VALUES (19829, 0, 0, 9.87692948, 33, 109);
INSERT INTO public.ecdc_data VALUES (19830, 0, 0, 0.15752125, 34, 109);
INSERT INTO public.ecdc_data VALUES (19831, 625, 5839, 59.31309914, 87, 109);
INSERT INTO public.ecdc_data VALUES (19832, 7, 522, 131.30500206, 182, 109);
INSERT INTO public.ecdc_data VALUES (19833, 0, 2, 33.24769533, 183, 109);
INSERT INTO public.ecdc_data VALUES (19834, 0, 0, 0.15503078, 126, 109);
INSERT INTO public.ecdc_data VALUES (19835, 1, 55, 120.38278189, 184, 109);
INSERT INTO public.ecdc_data VALUES (19836, 0, 0, 0, 88, 109);
INSERT INTO public.ecdc_data VALUES (19837, 32, 1325, 49.33679384, 35, 109);
INSERT INTO public.ecdc_data VALUES (19838, 1, 70, 3.2766864, 36, 109);
INSERT INTO public.ecdc_data VALUES (19839, 0, 13, 0.09251477, 127, 109);
INSERT INTO public.ecdc_data VALUES (19840, 2, 247, 90.59844684, 37, 109);
INSERT INTO public.ecdc_data VALUES (19841, 6, 707, 27.5964859, 128, 109);
INSERT INTO public.ecdc_data VALUES (19842, 10, 529, 46.34836507, 185, 109);
INSERT INTO public.ecdc_data VALUES (19843, 0, 0, 0.35366056, 207, 109);
INSERT INTO public.ecdc_data VALUES (19844, 0, 11, 2.00708249, 208, 109);
INSERT INTO public.ecdc_data VALUES (19845, 0, 0, 6.24856485, 89, 109);
INSERT INTO public.ecdc_data VALUES (19846, 0, 2, 0.06863795, 38, 109);
INSERT INTO public.ecdc_data VALUES (19847, 7, 476, 2.84628655, 39, 109);
INSERT INTO public.ecdc_data VALUES (19848, 0, 0, 81.65104577, 186, 109);
INSERT INTO public.ecdc_data VALUES (19849, 0, 0, 12.23498156, 209, 109);
INSERT INTO public.ecdc_data VALUES (19850, 2, 51, 14.13232056, 187, 109);
INSERT INTO public.ecdc_data VALUES (19851, 6, 163, 61.42723446, 129, 109);
INSERT INTO public.ecdc_data VALUES (19852, 10, 630, 4.12947009, 130, 109);
INSERT INTO public.ecdc_data VALUES (19853, 4, 514, 130.62535156, 131, 109);
INSERT INTO public.ecdc_data VALUES (19854, 17, 101, 292.88062471, 90, 109);
INSERT INTO public.ecdc_data VALUES (19855, 1, 2, 2.25612255, 210, 109);
INSERT INTO public.ecdc_data VALUES (19856, 5, 684, 77.25023241, 91, 109);
INSERT INTO public.ecdc_data VALUES (19857, 200, 8639, 343.42790945, 92, 109);
INSERT INTO public.ecdc_data VALUES (19858, 88, 4248, 54.16558427, 132, 109);
INSERT INTO public.ecdc_data VALUES (19859, 12, 767, 25.97384676, 188, 109);
INSERT INTO public.ecdc_data VALUES (19860, 2, 291, 28.52105902, 189, 109);
INSERT INTO public.ecdc_data VALUES (19861, 11, 209, 279.84553099, 93, 109);
INSERT INTO public.ecdc_data VALUES (19862, 0, 268, 145.90029699, 133, 109);
INSERT INTO public.ecdc_data VALUES (19863, 48, 1346, 87.91386296, 190, 109);
INSERT INTO public.ecdc_data VALUES (19864, 110, 4785, 48.13252362, 191, 109);
INSERT INTO public.ecdc_data VALUES (19865, 1, 73, 4.79926329, 40, 109);
INSERT INTO public.ecdc_data VALUES (19866, 0, 0, 0, 94, 109);
INSERT INTO public.ecdc_data VALUES (19867, 0, 0, 0.54706092, 95, 109);
INSERT INTO public.ecdc_data VALUES (19868, 0, 0, 1.80843272, 96, 109);
INSERT INTO public.ecdc_data VALUES (19869, 0, 0, 0, 192, 109);
INSERT INTO public.ecdc_data VALUES (19870, 0, 0, 3.25508724, 41, 109);
INSERT INTO public.ecdc_data VALUES (19871, 42, 1287, 57.62430013, 134, 109);
INSERT INTO public.ecdc_data VALUES (19872, 3, 113, 11.31540892, 42, 109);
INSERT INTO public.ecdc_data VALUES (19873, 5, 161, 41.31386417, 193, 109);
INSERT INTO public.ecdc_data VALUES (19874, 0, 0, 6.13867261, 43, 109);
INSERT INTO public.ecdc_data VALUES (19875, 0, 8, 1.17749344, 44, 109);
INSERT INTO public.ecdc_data VALUES (19876, 0, 68, 26.60077118, 135, 109);
INSERT INTO public.ecdc_data VALUES (19877, 0, 5, 417.56115973, 97, 109);
INSERT INTO public.ecdc_data VALUES (19878, 0, 80, 11.41196249, 194, 109);
INSERT INTO public.ecdc_data VALUES (19879, 0, 43, 15.04151073, 195, 109);
INSERT INTO public.ecdc_data VALUES (19880, 0, 0, 0.24606768, 45, 109);
INSERT INTO public.ecdc_data VALUES (19881, 195, 3880, 105.46077123, 46, 109);
INSERT INTO public.ecdc_data VALUES (19882, 2, 324, 4.19909521, 136, 109);
INSERT INTO public.ecdc_data VALUES (19883, 0, 0, 0.32543508, 47, 109);
INSERT INTO public.ecdc_data VALUES (19884, 25, 8148, 152.74071278, 196, 109);
INSERT INTO public.ecdc_data VALUES (19885, 0, 16, 0.3704792, 137, 109);
INSERT INTO public.ecdc_data VALUES (19886, 4, 40, 1.88259533, 48, 109);
INSERT INTO public.ecdc_data VALUES (19887, 1, 71, 218.45215468, 98, 109);
INSERT INTO public.ecdc_data VALUES (19888, 2, 333, 38.92402728, 197, 109);
INSERT INTO public.ecdc_data VALUES (19889, 0, 264, 34.02177792, 198, 109);
INSERT INTO public.ecdc_data VALUES (19890, 4, 81, 6.23310939, 138, 109);
INSERT INTO public.ecdc_data VALUES (19891, 0, 0, 0.03785667, 139, 109);
INSERT INTO public.ecdc_data VALUES (19892, 1, 37, 5.77189864, 140, 109);
INSERT INTO public.ecdc_data VALUES (19893, 0, 1, 0.06463142, 141, 109);
INSERT INTO public.ecdc_data VALUES (19894, 0, 1, 0.07733234, 142, 109);
INSERT INTO public.ecdc_data VALUES (19895, 0, 22, 2.47452507, 49, 109);
INSERT INTO public.ecdc_data VALUES (19896, 0, 81, 39.92920273, 99, 109);
INSERT INTO public.ecdc_data VALUES (19897, 3, 116, 7.70433087, 50, 109);
INSERT INTO public.ecdc_data VALUES (19898, 19, 1412, 21.04168678, 199, 109);
INSERT INTO public.ecdc_data VALUES (19899, 0, 7, 505.31497094, 100, 109);
INSERT INTO public.ecdc_data VALUES (19900, 4, 147, 1.19043351, 51, 109);
INSERT INTO public.ecdc_data VALUES (19901, 40, 2134, 49.39122682, 200, 109);
INSERT INTO public.ecdc_data VALUES (19902, 2, 461, 40.4993549, 143, 109);
INSERT INTO public.ecdc_data VALUES (19903, 6, 1182, 21.22522578, 201, 109);
INSERT INTO public.ecdc_data VALUES (19904, 0, 0, 0, 52, 109);
INSERT INTO public.ecdc_data VALUES (19905, 1078, 44005, 209.7461517, 101, 109);
INSERT INTO public.ecdc_data VALUES (19906, 1, 41, 331.80657685, 102, 109);
INSERT INTO public.ecdc_data VALUES (19907, 1, 13, 5.43080904, 103, 109);
INSERT INTO public.ecdc_data VALUES (19908, 6, 459, 27.33635895, 144, 109);
INSERT INTO public.ecdc_data VALUES (19909, 8, 699, 50.10199774, 104, 109);
INSERT INTO public.ecdc_data VALUES (19910, 0, 13, 0.26642586, 145, 109);
INSERT INTO public.ecdc_data VALUES (19911, 0, 0, 0, 53, 109);
INSERT INTO public.ecdc_data VALUES (19912, 2, 6, 0.45264506, 146, 109);
INSERT INTO public.ecdc_data VALUES (19913, 5, 154, 17.96088625, 54, 109);
INSERT INTO public.ecdc_data VALUES (19914, 1, 102, 9.21786548, 55, 109);
INSERT INTO public.ecdc_data VALUES (19915, 5, 140, 5.8646082, 105, 110);
INSERT INTO public.ecdc_data VALUES (19916, 1, 81, 42.16701422, 147, 110);
INSERT INTO public.ecdc_data VALUES (19917, 9, 607, 16.92562855, 1, 110);
INSERT INTO public.ecdc_data VALUES (19918, 0, 4, 38.0692335, 148, 110);
INSERT INTO public.ecdc_data VALUES (19919, 0, 44, 1.2442931, 2, 110);
INSERT INTO public.ecdc_data VALUES (19920, 0, 0, 0, 56, 110);
INSERT INTO public.ecdc_data VALUES (19921, 0, 0, 6.17824229, 57, 110);
INSERT INTO public.ecdc_data VALUES (19922, 127, 4231, 109.28821417, 58, 110);
INSERT INTO public.ecdc_data VALUES (19923, 12, 273, 201.81030845, 149, 110);
INSERT INTO public.ecdc_data VALUES (19924, 0, 2, 9.40645283, 59, 110);
INSERT INTO public.ecdc_data VALUES (19925, 1, 267, 13.81967369, 202, 110);
INSERT INTO public.ecdc_data VALUES (19926, 0, 108, 15.27299203, 150, 110);
INSERT INTO public.ecdc_data VALUES (19927, 9, 369, 70.19503631, 151, 110);
INSERT INTO public.ecdc_data VALUES (19928, 0, 21, 17.97240466, 60, 110);
INSERT INTO public.ecdc_data VALUES (19929, 2, 514, 433.53376018, 106, 110);
INSERT INTO public.ecdc_data VALUES (19930, 50, 2928, 25.65837593, 107, 110);
INSERT INTO public.ecdc_data VALUES (19931, 0, 1, 2.7872525, 61, 110);
INSERT INTO public.ecdc_data VALUES (19932, 4, 118, 25.4855667, 152, 110);
INSERT INTO public.ecdc_data VALUES (19933, 2, 443, 18.23575169, 153, 110);
INSERT INTO public.ecdc_data VALUES (19934, 0, 2, 3.07415634, 62, 110);
INSERT INTO public.ecdc_data VALUES (19935, 0, 0, 3.41492114, 3, 110);
INSERT INTO public.ecdc_data VALUES (19936, 0, 0, 11.19856658, 63, 110);
INSERT INTO public.ecdc_data VALUES (19937, 0, 1, 1.31045454, 108, 110);
INSERT INTO public.ecdc_data VALUES (19938, 67, 1409, 177.90166369, 64, 110);
INSERT INTO public.ecdc_data VALUES (19939, 0, 0, 11.54601085, 65, 110);
INSERT INTO public.ecdc_data VALUES (19940, 6, 139, 94.94098451, 154, 110);
INSERT INTO public.ecdc_data VALUES (19941, 0, 0, 10.72186823, 4, 110);
INSERT INTO public.ecdc_data VALUES (19942, 632, 20257, 234.71363609, 66, 110);
INSERT INTO public.ecdc_data VALUES (19943, 0, 0, 0, 67, 110);
INSERT INTO public.ecdc_data VALUES (19944, 0, 0, 0, 109, 110);
INSERT INTO public.ecdc_data VALUES (19945, 8, 196, 43.0711886, 155, 110);
INSERT INTO public.ecdc_data VALUES (19946, 0, 0, 0.31986012, 5, 110);
INSERT INTO public.ecdc_data VALUES (19947, 0, 12, 1.13610967, 6, 110);
INSERT INTO public.ecdc_data VALUES (19948, 0, 26, 0.33967099, 110, 110);
INSERT INTO public.ecdc_data VALUES (19949, 0, 0, 8.19279755, 7, 110);
INSERT INTO public.ecdc_data VALUES (19950, 6, 775, 13.87291098, 68, 110);
INSERT INTO public.ecdc_data VALUES (19951, 0, 28, 110.55831951, 8, 110);
INSERT INTO public.ecdc_data VALUES (19952, 0, 0, 3.07938659, 69, 110);
INSERT INTO public.ecdc_data VALUES (19953, 0, 63, 10.85312061, 9, 110);
INSERT INTO public.ecdc_data VALUES (19954, 0, 0, 0.10660391, 10, 110);
INSERT INTO public.ecdc_data VALUES (19955, 130, 2099, 181.89075738, 70, 110);
INSERT INTO public.ecdc_data VALUES (19956, 0, 84, 0.05586617, 111, 110);
INSERT INTO public.ecdc_data VALUES (19957, 193, 6727, 166.31888438, 71, 110);
INSERT INTO public.ecdc_data VALUES (19958, 0, 0, 2.70304892, 11, 110);
INSERT INTO public.ecdc_data VALUES (19959, 1, 218, 24.04979162, 12, 110);
INSERT INTO public.ecdc_data VALUES (19960, 4, 420, 124.67407526, 72, 110);
INSERT INTO public.ecdc_data VALUES (19961, 0, 193, 13.0110745, 13, 110);
INSERT INTO public.ecdc_data VALUES (19962, 2, 16, 28.21223253, 156, 110);
INSERT INTO public.ecdc_data VALUES (19963, 0, 0, 0.5823452, 73, 110);
INSERT INTO public.ecdc_data VALUES (19964, 0, 0, 1.83572692, 74, 110);
INSERT INTO public.ecdc_data VALUES (19965, 0, 0, 3.88172609, 157, 110);
INSERT INTO public.ecdc_data VALUES (19966, 0, 153, 14.38524667, 158, 110);
INSERT INTO public.ecdc_data VALUES (19967, 1, 40, 1.16372092, 14, 110);
INSERT INTO public.ecdc_data VALUES (19968, 0, 89, 6.61375547, 159, 110);
INSERT INTO public.ecdc_data VALUES (19969, 0, 9, 20.33779224, 15, 110);
INSERT INTO public.ecdc_data VALUES (19970, 0, 0, 0, 75, 110);
INSERT INTO public.ecdc_data VALUES (19971, 12, 1101, 147.38861511, 76, 110);
INSERT INTO public.ecdc_data VALUES (19972, 5, 607, 70.45148871, 77, 110);
INSERT INTO public.ecdc_data VALUES (19973, 50, 627, 12.13291507, 16, 110);
INSERT INTO public.ecdc_data VALUES (19974, 8, 361, 64.77055264, 78, 110);
INSERT INTO public.ecdc_data VALUES (19975, 0, 0, 0, 17, 110);
INSERT INTO public.ecdc_data VALUES (19976, 0, 0, 1.02941938, 18, 110);
INSERT INTO public.ecdc_data VALUES (19977, 0, 0, 2.03801271, 160, 110);
INSERT INTO public.ecdc_data VALUES (19978, 2, 33, 70.98480751, 19, 110);
INSERT INTO public.ecdc_data VALUES (19979, 3, 704, 3.40921074, 20, 110);
INSERT INTO public.ecdc_data VALUES (19980, 0, 0, 0, 79, 110);
INSERT INTO public.ecdc_data VALUES (19981, 0, 0, 8.21743328, 161, 110);
INSERT INTO public.ecdc_data VALUES (19982, 0, 0, 0.78655662, 203, 110);
INSERT INTO public.ecdc_data VALUES (19983, 0, 2, 1.17798032, 162, 110);
INSERT INTO public.ecdc_data VALUES (19984, 13, 2080, 12.56325593, 163, 110);
INSERT INTO public.ecdc_data VALUES (19985, 0, 0, 0, 204, 110);
INSERT INTO public.ecdc_data VALUES (19986, 0, 118, 31.75950415, 21, 110);
INSERT INTO public.ecdc_data VALUES (19987, 0, 19, 2.17234259, 22, 110);
INSERT INTO public.ecdc_data VALUES (19988, 1, 11, 2.02664057, 164, 110);
INSERT INTO public.ecdc_data VALUES (19989, 4, 522, 6.50572296, 165, 110);
INSERT INTO public.ecdc_data VALUES (19990, 5, 763, 24.17329978, 23, 110);
INSERT INTO public.ecdc_data VALUES (19991, 0, 0, 2.96683083, 166, 110);
INSERT INTO public.ecdc_data VALUES (19992, 1, 5, 4.19596108, 167, 110);
INSERT INTO public.ecdc_data VALUES (19993, 0, 0, 0, 80, 110);
INSERT INTO public.ecdc_data VALUES (19994, 0, 0, 0, 81, 110);
INSERT INTO public.ecdc_data VALUES (19995, 0, 8, 14.3459159, 205, 110);
INSERT INTO public.ecdc_data VALUES (19996, 17, 362, 85.69815185, 82, 110);
INSERT INTO public.ecdc_data VALUES (19997, 0, 0, 0, 168, 110);
INSERT INTO public.ecdc_data VALUES (19998, 1, 46, 7.46990544, 24, 110);
INSERT INTO public.ecdc_data VALUES (19999, 0, 23, 9.63081695, 25, 110);
INSERT INTO public.ecdc_data VALUES (20000, 0, 1, 7.53728722, 83, 110);
INSERT INTO public.ecdc_data VALUES (20001, 0, 10, 6.14396827, 84, 110);
INSERT INTO public.ecdc_data VALUES (20002, 0, 0, 0, 169, 110);
INSERT INTO public.ecdc_data VALUES (20003, 35, 776, 102.05091978, 85, 110);
INSERT INTO public.ecdc_data VALUES (20004, 0, 14, 1.61673943, 170, 110);
INSERT INTO public.ecdc_data VALUES (20005, 0, 0, 1.96083375, 171, 110);
INSERT INTO public.ecdc_data VALUES (20006, 587, 37148, 31.87356122, 112, 110);
INSERT INTO public.ecdc_data VALUES (20007, 96, 1693, 8.5934231, 113, 110);
INSERT INTO public.ecdc_data VALUES (20008, 217, 2414, 39.98244299, 114, 110);
INSERT INTO public.ecdc_data VALUES (20009, 88, 2163, 82.46800816, 115, 110);
INSERT INTO public.ecdc_data VALUES (20010, 0, 6, 4.79177202, 172, 110);
INSERT INTO public.ecdc_data VALUES (20011, 0, 0, 0, 173, 110);
INSERT INTO public.ecdc_data VALUES (20012, 6, 1387, 240.5106573, 116, 110);
INSERT INTO public.ecdc_data VALUES (20013, 13, 190, 4.64715225, 174, 110);
INSERT INTO public.ecdc_data VALUES (20014, 0, 19, 2.44210432, 86, 110);
INSERT INTO public.ecdc_data VALUES (20015, 3, 640, 4.53648623, 117, 110);
INSERT INTO public.ecdc_data VALUES (20016, 0, 0, 5.56606924, 175, 110);
INSERT INTO public.ecdc_data VALUES (20017, 0, 5, 0.5543623, 118, 110);
INSERT INTO public.ecdc_data VALUES (20018, 210, 1630, 128.21115442, 119, 110);
INSERT INTO public.ecdc_data VALUES (20019, 4, 418, 10.84947613, 26, 110);
INSERT INTO public.ecdc_data VALUES (20020, 4, 142, 131.72043908, 176, 110);
INSERT INTO public.ecdc_data VALUES (20021, 0, 559, 216.75381744, 120, 110);
INSERT INTO public.ecdc_data VALUES (20022, 42, 1108, 313.44244123, 121, 110);
INSERT INTO public.ecdc_data VALUES (20023, 0, 0, 0, 122, 110);
INSERT INTO public.ecdc_data VALUES (20024, 0, 0, 3.38547309, 177, 110);
INSERT INTO public.ecdc_data VALUES (20025, 1, 46, 14.87811108, 123, 110);
INSERT INTO public.ecdc_data VALUES (20026, 0, 0, 12.61018027, 27, 110);
INSERT INTO public.ecdc_data VALUES (20027, 0, 16, 4.37479518, 28, 110);
INSERT INTO public.ecdc_data VALUES (20028, 1, 94, 13.48589212, 29, 110);
INSERT INTO public.ecdc_data VALUES (20029, 0, 0, 5.21131898, 178, 110);
INSERT INTO public.ecdc_data VALUES (20030, 0, 15, 3.79359412, 179, 110);
INSERT INTO public.ecdc_data VALUES (20031, 0, 122, 173.15692937, 180, 110);
INSERT INTO public.ecdc_data VALUES (20032, 3, 104, 14.47200755, 30, 110);
INSERT INTO public.ecdc_data VALUES (20033, 2, 53, 6.58659366, 31, 110);
INSERT INTO public.ecdc_data VALUES (20034, 0, 21, 0.41314827, 124, 110);
INSERT INTO public.ecdc_data VALUES (20035, 0, 0, 89.46110514, 125, 110);
INSERT INTO public.ecdc_data VALUES (20036, 0, 0, 0.73252534, 32, 110);
INSERT INTO public.ecdc_data VALUES (20037, 0, 0, 0.60783007, 181, 110);
INSERT INTO public.ecdc_data VALUES (20038, 0, 50, 23.06826483, 33, 110);
INSERT INTO public.ecdc_data VALUES (20039, 0, 0, 0.07876062, 34, 110);
INSERT INTO public.ecdc_data VALUES (20040, 301, 9044, 74.66635706, 87, 110);
INSERT INTO public.ecdc_data VALUES (20041, 11, 135, 79.36668894, 182, 110);
INSERT INTO public.ecdc_data VALUES (20042, 0, 0, 3.02251776, 183, 110);
INSERT INTO public.ecdc_data VALUES (20043, 0, 0, 2.07741245, 126, 110);
INSERT INTO public.ecdc_data VALUES (20044, 2, 90, 163.93916892, 184, 110);
INSERT INTO public.ecdc_data VALUES (20045, 0, 0, 20.03606492, 88, 110);
INSERT INTO public.ecdc_data VALUES (20046, 3, 326, 8.86439116, 35, 110);
INSERT INTO public.ecdc_data VALUES (20047, 1, 16, 1.63011032, 36, 110);
INSERT INTO public.ecdc_data VALUES (20048, 0, 0, 0.04625739, 127, 110);
INSERT INTO public.ecdc_data VALUES (20049, 1, 97, 34.43542736, 37, 110);
INSERT INTO public.ecdc_data VALUES (20050, 0, 186, 6.57142413, 128, 110);
INSERT INTO public.ecdc_data VALUES (20051, 0, 185, 7.25024987, 185, 110);
INSERT INTO public.ecdc_data VALUES (20052, 0, 0, 0.35366056, 207, 110);
INSERT INTO public.ecdc_data VALUES (20053, 0, 1, 0.39723508, 208, 110);
INSERT INTO public.ecdc_data VALUES (20054, 0, 0, 9.59437342, 89, 110);
INSERT INTO public.ecdc_data VALUES (20055, 0, 1, 0.05147846, 38, 110);
INSERT INTO public.ecdc_data VALUES (20056, 12, 562, 3.95046659, 39, 110);
INSERT INTO public.ecdc_data VALUES (20057, 10, 117, 102.40081035, 186, 110);
INSERT INTO public.ecdc_data VALUES (20058, 0, 1, 12.23498156, 209, 110);
INSERT INTO public.ecdc_data VALUES (20059, 0, 13, 1.83926616, 187, 110);
INSERT INTO public.ecdc_data VALUES (20060, 8, 1739, 415.37755237, 129, 110);
INSERT INTO public.ecdc_data VALUES (20061, 40, 1013, 14.58543798, 130, 110);
INSERT INTO public.ecdc_data VALUES (20062, 4, 468, 115.10769415, 131, 110);
INSERT INTO public.ecdc_data VALUES (20063, 31, 958, 355.40358512, 90, 110);
INSERT INTO public.ecdc_data VALUES (20064, 0, 2, 0.09115647, 210, 110);
INSERT INTO public.ecdc_data VALUES (20065, 2, 27, 18.34018748, 91, 110);
INSERT INTO public.ecdc_data VALUES (20066, 197, 4091, 159.88084082, 92, 110);
INSERT INTO public.ecdc_data VALUES (20067, 4, 1442, 20.87098134, 132, 110);
INSERT INTO public.ecdc_data VALUES (20068, 3, 279, 11.13428208, 188, 110);
INSERT INTO public.ecdc_data VALUES (20069, 2, 135, 45.17050699, 189, 110);
INSERT INTO public.ecdc_data VALUES (20070, 2, 398, 132.13318043, 93, 110);
INSERT INTO public.ecdc_data VALUES (20071, 2, 389, 236.293511, 133, 110);
INSERT INTO public.ecdc_data VALUES (20072, 12, 681, 45.92453727, 190, 110);
INSERT INTO public.ecdc_data VALUES (20073, 85, 5940, 61.44005721, 191, 110);
INSERT INTO public.ecdc_data VALUES (20074, 0, 47, 4.08650141, 40, 110);
INSERT INTO public.ecdc_data VALUES (20075, 0, 0, 1.8927206, 94, 110);
INSERT INTO public.ecdc_data VALUES (20076, 0, 0, 0.54706092, 95, 110);
INSERT INTO public.ecdc_data VALUES (20077, 0, 0, 18.98854358, 96, 110);
INSERT INTO public.ecdc_data VALUES (20078, 0, 0, 2.90250486, 192, 110);
INSERT INTO public.ecdc_data VALUES (20079, 0, 0, 11.62531156, 41, 110);
INSERT INTO public.ecdc_data VALUES (20080, 37, 2429, 115.65422023, 134, 110);
INSERT INTO public.ecdc_data VALUES (20081, 3, 138, 9.02041818, 42, 110);
INSERT INTO public.ecdc_data VALUES (20082, 10, 359, 69.40212219, 193, 110);
INSERT INTO public.ecdc_data VALUES (20083, 0, 8, 27.62402676, 43, 110);
INSERT INTO public.ecdc_data VALUES (20084, 1, 0, 2.16300426, 44, 110);
INSERT INTO public.ecdc_data VALUES (20085, 0, 123, 52.58131713, 135, 110);
INSERT INTO public.ecdc_data VALUES (20086, 0, 0, 2.3591026, 97, 110);
INSERT INTO public.ecdc_data VALUES (20087, 0, 1, 3.94464941, 194, 110);
INSERT INTO public.ecdc_data VALUES (20088, 0, 7, 11.38925892, 195, 110);
INSERT INTO public.ecdc_data VALUES (20089, 0, 11, 0.80295768, 45, 110);
INSERT INTO public.ecdc_data VALUES (20090, 140, 9300, 286.73491994, 46, 110);
INSERT INTO public.ecdc_data VALUES (20091, 0, 45, 1.23962132, 136, 110);
INSERT INTO public.ecdc_data VALUES (20092, 2, 11, 1.06670389, 47, 110);
INSERT INTO public.ecdc_data VALUES (20093, 2, 1358, 29.96352988, 196, 110);
INSERT INTO public.ecdc_data VALUES (20094, 0, 6, 3.05762584, 137, 110);
INSERT INTO public.ecdc_data VALUES (20095, 13, 230, 2.86126461, 48, 110);
INSERT INTO public.ecdc_data VALUES (20096, 0, 50, 79.98445033, 98, 110);
INSERT INTO public.ecdc_data VALUES (20097, 6, 131, 37.15475331, 197, 110);
INSERT INTO public.ecdc_data VALUES (20098, 0, 43, 15.41337513, 198, 110);
INSERT INTO public.ecdc_data VALUES (20099, 4, 26, 0.87872783, 138, 110);
INSERT INTO public.ecdc_data VALUES (20100, 0, 0, 0.02523778, 139, 110);
INSERT INTO public.ecdc_data VALUES (20101, 0, 43, 7.07003942, 140, 110);
INSERT INTO public.ecdc_data VALUES (20102, 0, 5, 0.08617522, 141, 110);
INSERT INTO public.ecdc_data VALUES (20103, 0, 0, 0, 142, 110);
INSERT INTO public.ecdc_data VALUES (20104, 0, 9, 1.27438041, 49, 110);
INSERT INTO public.ecdc_data VALUES (20105, 0, 0, 0.28674472, 99, 110);
INSERT INTO public.ecdc_data VALUES (20106, 0, 7, 1.55625773, 50, 110);
INSERT INTO public.ecdc_data VALUES (20107, 17, 931, 16.74067089, 199, 110);
INSERT INTO public.ecdc_data VALUES (20108, 0, 0, 83.78279311, 100, 110);
INSERT INTO public.ecdc_data VALUES (20109, 0, 4, 0.26203091, 51, 110);
INSERT INTO public.ecdc_data VALUES (20110, 13, 651, 23.75343183, 200, 110);
INSERT INTO public.ecdc_data VALUES (20111, 1, 271, 52.45367547, 143, 110);
INSERT INTO public.ecdc_data VALUES (20112, 10, 413, 12.66221408, 201, 110);
INSERT INTO public.ecdc_data VALUES (20113, 0, 0, 0, 52, 110);
INSERT INTO public.ecdc_data VALUES (20114, 372, 56750, 270.88424015, 101, 110);
INSERT INTO public.ecdc_data VALUES (20115, 0, 11, 183.59326442, 102, 110);
INSERT INTO public.ecdc_data VALUES (20116, 0, 10, 3.00427734, 103, 110);
INSERT INTO public.ecdc_data VALUES (20117, 4, 624, 21.62107095, 144, 110);
INSERT INTO public.ecdc_data VALUES (20118, 4, 443, 17.26409567, 104, 110);
INSERT INTO public.ecdc_data VALUES (20119, 0, 0, 0.00414671, 145, 110);
INSERT INTO public.ecdc_data VALUES (20120, 0, 0, 42.40649111, 53, 110);
INSERT INTO public.ecdc_data VALUES (20121, 2, 13, 1.12818353, 146, 110);
INSERT INTO public.ecdc_data VALUES (20122, 11, 346, 9.48433333, 54, 110);
INSERT INTO public.ecdc_data VALUES (20123, 1, 102, 6.68465948, 55, 110);
INSERT INTO public.ecdc_data VALUES (20124, 21, 546, 23.32436959, 105, 111);
INSERT INTO public.ecdc_data VALUES (20125, 1, 53, 23.02242118, 147, 111);
INSERT INTO public.ecdc_data VALUES (20126, 12, 127, 3.67221336, 1, 111);
INSERT INTO public.ecdc_data VALUES (20127, 0, 0, 3.93819657, 148, 111);
INSERT INTO public.ecdc_data VALUES (20128, 0, 6, 0.27022527, 2, 111);
INSERT INTO public.ecdc_data VALUES (20129, 0, 0, 0, 56, 111);
INSERT INTO public.ecdc_data VALUES (20130, 0, 0, 0, 57, 111);
INSERT INTO public.ecdc_data VALUES (20131, 13, 1634, 42.83990806, 58, 111);
INSERT INTO public.ecdc_data VALUES (20132, 18, 560, 241.33388871, 149, 111);
INSERT INTO public.ecdc_data VALUES (20133, 0, 0, 0, 59, 111);
INSERT INTO public.ecdc_data VALUES (20134, 0, 27, 0.71816277, 202, 111);
INSERT INTO public.ecdc_data VALUES (20135, 0, 62, 4.79750304, 150, 111);
INSERT INTO public.ecdc_data VALUES (20136, 5, 471, 49.75258564, 151, 111);
INSERT INTO public.ecdc_data VALUES (20137, 0, 0, 0.25674864, 60, 111);
INSERT INTO public.ecdc_data VALUES (20138, 3, 415, 423.35805562, 106, 111);
INSERT INTO public.ecdc_data VALUES (20139, 37, 3240, 28.05892292, 107, 111);
INSERT INTO public.ecdc_data VALUES (20140, 0, 0, 1.74203281, 61, 111);
INSERT INTO public.ecdc_data VALUES (20141, 10, 603, 107.75031, 152, 111);
INSERT INTO public.ecdc_data VALUES (20142, 3, 50, 12.15134818, 153, 111);
INSERT INTO public.ecdc_data VALUES (20143, 0, 0, 1.02471878, 62, 111);
INSERT INTO public.ecdc_data VALUES (20144, 0, 0, 3.23697239, 3, 111);
INSERT INTO public.ecdc_data VALUES (20145, 0, 0, 7.99897613, 63, 111);
INSERT INTO public.ecdc_data VALUES (20146, 0, 0, 2.62090909, 108, 111);
INSERT INTO public.ecdc_data VALUES (20147, 25, 1036, 88.19517103, 64, 111);
INSERT INTO public.ecdc_data VALUES (20148, 0, 0, 0, 65, 111);
INSERT INTO public.ecdc_data VALUES (20149, 1, 66, 21.75099773, 154, 111);
INSERT INTO public.ecdc_data VALUES (20150, 0, 0, 2.1270103, 4, 111);
INSERT INTO public.ecdc_data VALUES (20151, 1022, 34666, 187.03762125, 66, 111);
INSERT INTO public.ecdc_data VALUES (20152, 0, 0, 0, 67, 111);
INSERT INTO public.ecdc_data VALUES (20153, 0, 0, 0, 109, 111);
INSERT INTO public.ecdc_data VALUES (20154, 6, 117, 16.58562188, 155, 111);
INSERT INTO public.ecdc_data VALUES (20155, 0, 2, 0.06889295, 5, 111);
INSERT INTO public.ecdc_data VALUES (20156, 0, 40, 0.52902817, 6, 111);
INSERT INTO public.ecdc_data VALUES (20157, 0, 0, 0.02426221, 110, 111);
INSERT INTO public.ecdc_data VALUES (20158, 0, 0, 14.22918895, 7, 111);
INSERT INTO public.ecdc_data VALUES (20159, 64, 390, 15.93647308, 68, 111);
INSERT INTO public.ecdc_data VALUES (20160, 0, 15, 58.37042856, 8, 111);
INSERT INTO public.ecdc_data VALUES (20161, 0, 0, 47.73049209, 69, 111);
INSERT INTO public.ecdc_data VALUES (20162, 4, 203, 26.0896375, 9, 111);
INSERT INTO public.ecdc_data VALUES (20163, 0, 0, 0.137958, 10, 111);
INSERT INTO public.ecdc_data VALUES (20164, 202, 5355, 575.15195598, 70, 111);
INSERT INTO public.ecdc_data VALUES (20165, 1, 29, 0.02559661, 111, 111);
INSERT INTO public.ecdc_data VALUES (20166, 81, 2357, 54.83970095, 71, 111);
INSERT INTO public.ecdc_data VALUES (20167, 0, 37, 12.45752981, 11, 111);
INSERT INTO public.ecdc_data VALUES (20168, 1, 130, 6.13325443, 12, 111);
INSERT INTO public.ecdc_data VALUES (20169, 0, 69, 17.11717798, 72, 111);
INSERT INTO public.ecdc_data VALUES (20170, 0, 430, 12.89830667, 13, 111);
INSERT INTO public.ecdc_data VALUES (20171, 0, 19, 1.27568356, 156, 111);
INSERT INTO public.ecdc_data VALUES (20172, 0, 4, 1.19998405, 73, 111);
INSERT INTO public.ecdc_data VALUES (20173, 0, 0, 1.22381794, 74, 111);
INSERT INTO public.ecdc_data VALUES (20174, 0, 0, 2.85421036, 157, 111);
INSERT INTO public.ecdc_data VALUES (20175, 1, 42, 8.27245582, 158, 111);
INSERT INTO public.ecdc_data VALUES (20176, 3, 195, 2.06589269, 14, 111);
INSERT INTO public.ecdc_data VALUES (20177, 0, 0, 8.04329116, 159, 111);
INSERT INTO public.ecdc_data VALUES (20178, 0, 0, 40.67558448, 15, 111);
INSERT INTO public.ecdc_data VALUES (20179, 0, 0, 0, 75, 111);
INSERT INTO public.ecdc_data VALUES (20180, 8, 710, 61.30018027, 76, 111);
INSERT INTO public.ecdc_data VALUES (20181, 43, 452, 42.90979153, 77, 111);
INSERT INTO public.ecdc_data VALUES (20182, 89, 1547, 21.06425468, 16, 111);
INSERT INTO public.ecdc_data VALUES (20183, 5, 297, 26.21812801, 78, 111);
INSERT INTO public.ecdc_data VALUES (20184, 0, 0, 26.4015304, 17, 111);
INSERT INTO public.ecdc_data VALUES (20185, 0, 1, 2.91668823, 18, 111);
INSERT INTO public.ecdc_data VALUES (20186, 0, 2, 3.77409761, 160, 111);
INSERT INTO public.ecdc_data VALUES (20187, 1, 4, 26.56486661, 19, 111);
INSERT INTO public.ecdc_data VALUES (20188, 0, 399, 2.26180299, 20, 111);
INSERT INTO public.ecdc_data VALUES (20189, 0, 0, 0, 79, 111);
INSERT INTO public.ecdc_data VALUES (20190, 0, 0, 0, 161, 111);
INSERT INTO public.ecdc_data VALUES (20191, 0, 0, 0, 203, 111);
INSERT INTO public.ecdc_data VALUES (20192, 0, 9, 3.2258538, 162, 111);
INSERT INTO public.ecdc_data VALUES (20193, 16, 641, 9.63844519, 163, 111);
INSERT INTO public.ecdc_data VALUES (20194, 0, 0, 0, 204, 111);
INSERT INTO public.ecdc_data VALUES (20195, 0, 0, 61.07951015, 21, 111);
INSERT INTO public.ecdc_data VALUES (20196, 1, 1, 0.46854448, 22, 111);
INSERT INTO public.ecdc_data VALUES (20197, 0, 2, 2.25182285, 164, 111);
INSERT INTO public.ecdc_data VALUES (20198, 0, 687, 7.03812984, 165, 111);
INSERT INTO public.ecdc_data VALUES (20199, 15, 508, 13.96876795, 23, 111);
INSERT INTO public.ecdc_data VALUES (20200, 0, 0, 5.93366166, 166, 111);
INSERT INTO public.ecdc_data VALUES (20201, 1, 19, 2.5735228, 167, 111);
INSERT INTO public.ecdc_data VALUES (20202, 0, 0, 0, 80, 111);
INSERT INTO public.ecdc_data VALUES (20203, 0, 0, 0, 81, 111);
INSERT INTO public.ecdc_data VALUES (20204, 0, 22, 25.70309932, 205, 111);
INSERT INTO public.ecdc_data VALUES (20205, 31, 246, 33.91637881, 82, 111);
INSERT INTO public.ecdc_data VALUES (20206, 0, 0, 0, 168, 111);
INSERT INTO public.ecdc_data VALUES (20207, 0, 56, 6.6007655, 24, 111);
INSERT INTO public.ecdc_data VALUES (20208, 2, 29, 9.00611531, 25, 111);
INSERT INTO public.ecdc_data VALUES (20209, 0, 0, 3.70476829, 83, 111);
INSERT INTO public.ecdc_data VALUES (20210, 1, 97, 17.80152656, 84, 111);
INSERT INTO public.ecdc_data VALUES (20211, 0, 0, 0, 169, 111);
INSERT INTO public.ecdc_data VALUES (20212, 9, 992, 62.5377394, 85, 111);
INSERT INTO public.ecdc_data VALUES (20213, 0, 8, 1.26883348, 170, 111);
INSERT INTO public.ecdc_data VALUES (20214, 0, 0, 2.52107196, 171, 111);
INSERT INTO public.ecdc_data VALUES (20215, 306, 15413, 11.98996422, 112, 111);
INSERT INTO public.ecdc_data VALUES (20216, 56, 1226, 5.36349916, 113, 111);
INSERT INTO public.ecdc_data VALUES (20217, 115, 2322, 39.99209155, 114, 111);
INSERT INTO public.ecdc_data VALUES (20218, 88, 1870, 46.10556419, 115, 111);
INSERT INTO public.ecdc_data VALUES (20219, 1, 6, 3.89458917, 172, 111);
INSERT INTO public.ecdc_data VALUES (20220, 0, 0, 0, 173, 111);
INSERT INTO public.ecdc_data VALUES (20221, 1, 294, 33.4531661, 116, 111);
INSERT INTO public.ecdc_data VALUES (20222, 49, 264, 5.75551049, 174, 111);
INSERT INTO public.ecdc_data VALUES (20223, 0, 5, 2.06900505, 86, 111);
INSERT INTO public.ecdc_data VALUES (20224, 0, 0, 0.51868079, 117, 111);
INSERT INTO public.ecdc_data VALUES (20225, 0, 0, 6.49374745, 175, 111);
INSERT INTO public.ecdc_data VALUES (20226, 0, 7, 2.1778519, 118, 111);
INSERT INTO public.ecdc_data VALUES (20227, 5, 446, 24.42399582, 119, 111);
INSERT INTO public.ecdc_data VALUES (20228, 2, 104, 3.57211013, 26, 111);
INSERT INTO public.ecdc_data VALUES (20229, 1, 75, 48.87389867, 176, 111);
INSERT INTO public.ecdc_data VALUES (20230, 6, 467, 190.4885506, 120, 111);
INSERT INTO public.ecdc_data VALUES (20231, 2, 170, 17.83083803, 121, 111);
INSERT INTO public.ecdc_data VALUES (20232, 0, 0, 0, 122, 111);
INSERT INTO public.ecdc_data VALUES (20233, 0, 1, 1.30210504, 177, 111);
INSERT INTO public.ecdc_data VALUES (20234, 0, 26, 3.15065882, 123, 111);
INSERT INTO public.ecdc_data VALUES (20235, 0, 0, 0, 27, 111);
INSERT INTO public.ecdc_data VALUES (20236, 0, 20, 5.18494244, 28, 111);
INSERT INTO public.ecdc_data VALUES (20237, 0, 10, 3.89526862, 29, 111);
INSERT INTO public.ecdc_data VALUES (20238, 0, 0, 0, 178, 111);
INSERT INTO public.ecdc_data VALUES (20239, 0, 3, 3.22097614, 179, 111);
INSERT INTO public.ecdc_data VALUES (20240, 0, 6, 11.40262, 180, 111);
INSERT INTO public.ecdc_data VALUES (20241, 0, 60, 1.76867733, 30, 111);
INSERT INTO public.ecdc_data VALUES (20242, 0, 0, 1.13265791, 31, 111);
INSERT INTO public.ecdc_data VALUES (20243, 0, 21, 0.79186751, 124, 111);
INSERT INTO public.ecdc_data VALUES (20244, 0, 37, 53.86500225, 125, 111);
INSERT INTO public.ecdc_data VALUES (20245, 1, 10, 2.08566243, 32, 111);
INSERT INTO public.ecdc_data VALUES (20246, 0, 1, 7.2939608, 181, 111);
INSERT INTO public.ecdc_data VALUES (20247, 13, 590, 41.23120898, 33, 111);
INSERT INTO public.ecdc_data VALUES (20248, 0, 0, 0, 34, 111);
INSERT INTO public.ecdc_data VALUES (20249, 387, 3536, 55.70347272, 87, 111);
INSERT INTO public.ecdc_data VALUES (20250, 14, 397, 109.8618985, 182, 111);
INSERT INTO public.ecdc_data VALUES (20251, 0, 0, 0, 183, 111);
INSERT INTO public.ecdc_data VALUES (20252, 0, 2, 0.40308003, 126, 111);
INSERT INTO public.ecdc_data VALUES (20253, 0, 4, 5.62536364, 184, 111);
INSERT INTO public.ecdc_data VALUES (20254, 0, 0, 0, 88, 111);
INSERT INTO public.ecdc_data VALUES (20255, 0, 188, 4.57614254, 35, 111);
INSERT INTO public.ecdc_data VALUES (20256, 0, 20, 0.91220315, 36, 111);
INSERT INTO public.ecdc_data VALUES (20257, 0, 1, 0.08696389, 127, 111);
INSERT INTO public.ecdc_data VALUES (20258, 0, 1, 0.68149274, 37, 111);
INSERT INTO public.ecdc_data VALUES (20259, 0, 331, 19.89953062, 128, 111);
INSERT INTO public.ecdc_data VALUES (20260, 8, 76, 12.53893971, 185, 111);
INSERT INTO public.ecdc_data VALUES (20261, 0, 0, 0.35366056, 207, 111);
INSERT INTO public.ecdc_data VALUES (20262, 0, 2, 0.14634977, 208, 111);
INSERT INTO public.ecdc_data VALUES (20263, 0, 0, 10.7707536, 89, 111);
INSERT INTO public.ecdc_data VALUES (20264, 0, 15, 0.27884168, 38, 111);
INSERT INTO public.ecdc_data VALUES (20265, 19, 661, 3.76933927, 39, 111);
INSERT INTO public.ecdc_data VALUES (20266, 11, 185, 100.52322144, 186, 111);
INSERT INTO public.ecdc_data VALUES (20267, 0, 0, 5.24356353, 209, 111);
INSERT INTO public.ecdc_data VALUES (20268, 0, 16, 3.82867649, 187, 111);
INSERT INTO public.ecdc_data VALUES (20269, 3, 896, 252.26171218, 129, 111);
INSERT INTO public.ecdc_data VALUES (20270, 119, 4951, 35.86631557, 130, 111);
INSERT INTO public.ecdc_data VALUES (20271, 0, 121, 6.74506195, 131, 111);
INSERT INTO public.ecdc_data VALUES (20272, 8, 948, 217.07595068, 90, 111);
INSERT INTO public.ecdc_data VALUES (20273, 0, 0, 0, 210, 111);
INSERT INTO public.ecdc_data VALUES (20274, 0, 26, 3.8610921, 91, 111);
INSERT INTO public.ecdc_data VALUES (20275, 201, 3413, 183.26408281, 92, 111);
INSERT INTO public.ecdc_data VALUES (20276, 20, 941, 7.4549129, 132, 111);
INSERT INTO public.ecdc_data VALUES (20277, 12, 304, 14.83693122, 188, 111);
INSERT INTO public.ecdc_data VALUES (20278, 1, 377, 43.69142102, 189, 111);
INSERT INTO public.ecdc_data VALUES (20279, 0, 352, 52.77145596, 93, 111);
INSERT INTO public.ecdc_data VALUES (20280, 1, 1026, 681.23292107, 133, 111);
INSERT INTO public.ecdc_data VALUES (20281, 16, 330, 17.71875372, 190, 111);
INSERT INTO public.ecdc_data VALUES (20282, 30, 7889, 81.07298811, 191, 111);
INSERT INTO public.ecdc_data VALUES (20283, 0, 41, 2.1462052, 40, 111);
INSERT INTO public.ecdc_data VALUES (20284, 0, 0, 0, 94, 111);
INSERT INTO public.ecdc_data VALUES (20285, 0, 0, 0, 95, 111);
INSERT INTO public.ecdc_data VALUES (20286, 0, 0, 2.71264908, 96, 111);
INSERT INTO public.ecdc_data VALUES (20287, 0, 0, 26.12254376, 192, 111);
INSERT INTO public.ecdc_data VALUES (20288, 0, 5, 86.02730553, 41, 111);
INSERT INTO public.ecdc_data VALUES (20289, 46, 3941, 161.55931292, 134, 111);
INSERT INTO public.ecdc_data VALUES (20290, 3, 99, 9.13700862, 42, 111);
INSERT INTO public.ecdc_data VALUES (20291, 1, 94, 15.25037322, 193, 111);
INSERT INTO public.ecdc_data VALUES (20292, 0, 0, 0, 43, 111);
INSERT INTO public.ecdc_data VALUES (20293, 0, 11, 4.64597956, 44, 111);
INSERT INTO public.ecdc_data VALUES (20294, 0, 218, 74.18582947, 135, 111);
INSERT INTO public.ecdc_data VALUES (20295, 0, 0, 0, 97, 111);
INSERT INTO public.ecdc_data VALUES (20296, 0, 10, 1.06413798, 194, 111);
INSERT INTO public.ecdc_data VALUES (20297, 0, 6, 1.63390212, 195, 111);
INSERT INTO public.ecdc_data VALUES (20298, 0, 36, 3.01756677, 45, 111);
INSERT INTO public.ecdc_data VALUES (20299, 46, 4966, 79.76328944, 46, 111);
INSERT INTO public.ecdc_data VALUES (20300, 0, 48, 1.25914291, 136, 111);
INSERT INTO public.ecdc_data VALUES (20301, 3, 51, 4.94480531, 47, 111);
INSERT INTO public.ecdc_data VALUES (20302, 1, 334, 10.06028072, 196, 111);
INSERT INTO public.ecdc_data VALUES (20303, 0, 0, 0.63778698, 137, 111);
INSERT INTO public.ecdc_data VALUES (20304, 15, 264, 6.34149667, 48, 111);
INSERT INTO public.ecdc_data VALUES (20305, 0, 9, 34.74593326, 98, 111);
INSERT INTO public.ecdc_data VALUES (20306, 29, 698, 140.94564272, 197, 111);
INSERT INTO public.ecdc_data VALUES (20307, 0, 0, 3.93234172, 198, 111);
INSERT INTO public.ecdc_data VALUES (20308, 0, 11, 0.43350573, 138, 111);
INSERT INTO public.ecdc_data VALUES (20309, 0, 0, 0.01261889, 139, 111);
INSERT INTO public.ecdc_data VALUES (20310, 1, 61, 10.14910059, 140, 111);
INSERT INTO public.ecdc_data VALUES (20311, 0, 1, 0.05026888, 141, 111);
INSERT INTO public.ecdc_data VALUES (20312, 0, 0, 0, 142, 111);
INSERT INTO public.ecdc_data VALUES (20313, 0, 6, 0.91557428, 49, 111);
INSERT INTO public.ecdc_data VALUES (20314, 0, 0, 0.43011709, 99, 111);
INSERT INTO public.ecdc_data VALUES (20315, 0, 10, 0.5900098, 50, 111);
INSERT INTO public.ecdc_data VALUES (20316, 22, 1248, 21.06607587, 199, 111);
INSERT INTO public.ecdc_data VALUES (20317, 0, 0, 0, 100, 111);
INSERT INTO public.ecdc_data VALUES (20318, 0, 0, 0.36593971, 51, 111);
INSERT INTO public.ecdc_data VALUES (20319, 9, 841, 21.16442141, 200, 111);
INSERT INTO public.ecdc_data VALUES (20320, 1, 388, 64.12141987, 143, 111);
INSERT INTO public.ecdc_data VALUES (20321, 71, 986, 20.90113072, 201, 111);
INSERT INTO public.ecdc_data VALUES (20322, 0, 0, 0, 52, 111);
INSERT INTO public.ecdc_data VALUES (20323, 607, 34158, 101.82124641, 101, 111);
INSERT INTO public.ecdc_data VALUES (20324, 0, 0, 2.86864476, 102, 111);
INSERT INTO public.ecdc_data VALUES (20325, 1, 6, 0.40442195, 103, 111);
INSERT INTO public.ecdc_data VALUES (20326, 0, 191, 6.17008545, 144, 111);
INSERT INTO public.ecdc_data VALUES (20327, 3, 199, 5.76872585, 104, 111);
INSERT INTO public.ecdc_data VALUES (20328, 0, 0, 0.02073353, 145, 111);
INSERT INTO public.ecdc_data VALUES (20329, 0, 0, 0.3433724, 53, 111);
INSERT INTO public.ecdc_data VALUES (20330, 3, 4, 1.54310817, 146, 111);
INSERT INTO public.ecdc_data VALUES (20331, 0, 0, 1.54526328, 54, 111);
INSERT INTO public.ecdc_data VALUES (20332, 2, 7, 1.41340604, 55, 111);
INSERT INTO public.ecdc_data VALUES (20333, 9, 492, 12.49416529, 105, 112);
INSERT INTO public.ecdc_data VALUES (20334, 0, 15, 4.61147131, 147, 112);
INSERT INTO public.ecdc_data VALUES (20335, 7, 165, 5.91131119, 1, 112);
INSERT INTO public.ecdc_data VALUES (20336, 0, 1, 14.44005408, 148, 112);
INSERT INTO public.ecdc_data VALUES (20337, 1, 2, 0.05027447, 2, 112);
INSERT INTO public.ecdc_data VALUES (20338, 0, 0, 0, 56, 112);
INSERT INTO public.ecdc_data VALUES (20339, 0, 0, 0, 57, 112);
INSERT INTO public.ecdc_data VALUES (20340, 10, 474, 9.09990749, 58, 112);
INSERT INTO public.ecdc_data VALUES (20341, 3, 335, 92.03009878, 149, 112);
INSERT INTO public.ecdc_data VALUES (20342, 0, 0, 0, 59, 112);
INSERT INTO public.ecdc_data VALUES (20343, 1, 11, 0.80942103, 202, 112);
INSERT INTO public.ecdc_data VALUES (20344, 1, 18, 7.04386329, 150, 112);
INSERT INTO public.ecdc_data VALUES (20345, 2, 113, 14.96857147, 151, 112);
INSERT INTO public.ecdc_data VALUES (20346, 0, 1, 1.28374319, 60, 112);
INSERT INTO public.ecdc_data VALUES (20347, 0, 356, 240.92656188, 106, 112);
INSERT INTO public.ecdc_data VALUES (20348, 16, 1617, 9.21150109, 107, 112);
INSERT INTO public.ecdc_data VALUES (20349, 0, 0, 2.7872525, 61, 112);
INSERT INTO public.ecdc_data VALUES (20350, 4, 918, 139.3401407, 152, 112);
INSERT INTO public.ecdc_data VALUES (20351, 30, 385, 39.42204626, 153, 112);
INSERT INTO public.ecdc_data VALUES (20352, 0, 0, 0, 62, 112);
INSERT INTO public.ecdc_data VALUES (20353, 0, 0, 0.23726499, 3, 112);
INSERT INTO public.ecdc_data VALUES (20354, 0, 0, 11.19856658, 63, 112);
INSERT INTO public.ecdc_data VALUES (20355, 0, 0, 1.83463636, 108, 112);
INSERT INTO public.ecdc_data VALUES (20356, 10, 438, 26.34389932, 64, 112);
INSERT INTO public.ecdc_data VALUES (20357, 0, 0, 0, 65, 112);
INSERT INTO public.ecdc_data VALUES (20358, 2, 15, 10.54226631, 154, 112);
INSERT INTO public.ecdc_data VALUES (20359, 0, 4, 0.26045024, 4, 112);
INSERT INTO public.ecdc_data VALUES (20360, 888, 19951, 78.82557648, 66, 112);
INSERT INTO public.ecdc_data VALUES (20361, 0, 0, 3.3296707, 67, 112);
INSERT INTO public.ecdc_data VALUES (20362, 0, 0, 0.46157823, 109, 112);
INSERT INTO public.ecdc_data VALUES (20363, 4, 39, 7.89995599, 155, 112);
INSERT INTO public.ecdc_data VALUES (20364, 0, 3, 0.39367399, 5, 112);
INSERT INTO public.ecdc_data VALUES (20365, 0, 0, 0.19946964, 6, 112);
INSERT INTO public.ecdc_data VALUES (20366, 0, 0, 0, 110, 112);
INSERT INTO public.ecdc_data VALUES (20367, 6, 204, 5.67312585, 7, 112);
INSERT INTO public.ecdc_data VALUES (20368, 118, 990, 44.35856605, 68, 112);
INSERT INTO public.ecdc_data VALUES (20369, 0, 14, 28.73061593, 8, 112);
INSERT INTO public.ecdc_data VALUES (20370, 0, 0, 50.80987867, 69, 112);
INSERT INTO public.ecdc_data VALUES (20371, 0, 0, 6.68046453, 9, 112);
INSERT INTO public.ecdc_data VALUES (20372, 1, 20, 2.47697324, 10, 112);
INSERT INTO public.ecdc_data VALUES (20373, 35, 4038, 161.29666286, 70, 112);
INSERT INTO public.ecdc_data VALUES (20374, 0, 2, 0.00676532, 111, 112);
INSERT INTO public.ecdc_data VALUES (20375, 17, 752, 17.33829276, 71, 112);
INSERT INTO public.ecdc_data VALUES (20376, 0, 0, 3.05562052, 11, 112);
INSERT INTO public.ecdc_data VALUES (20377, 0, 0, 2.89935664, 12, 112);
INSERT INTO public.ecdc_data VALUES (20378, 0, 15, 2.69437061, 72, 112);
INSERT INTO public.ecdc_data VALUES (20379, 1, 78, 2.7803103, 13, 112);
INSERT INTO public.ecdc_data VALUES (20380, 0, 2, 2.82122325, 156, 112);
INSERT INTO public.ecdc_data VALUES (20381, 0, 13, 1.73821219, 73, 112);
INSERT INTO public.ecdc_data VALUES (20382, 0, 0, 0, 74, 112);
INSERT INTO public.ecdc_data VALUES (20383, 0, 4, 4.45256816, 157, 112);
INSERT INTO public.ecdc_data VALUES (20384, 2, 74, 7.01421623, 158, 112);
INSERT INTO public.ecdc_data VALUES (20385, 0, 104, 1.11993736, 14, 112);
INSERT INTO public.ecdc_data VALUES (20386, 3, 73, 19.53124664, 159, 112);
INSERT INTO public.ecdc_data VALUES (20387, 2, 310, 72.72301468, 15, 112);
INSERT INTO public.ecdc_data VALUES (20388, 0, 0, 0, 75, 112);
INSERT INTO public.ecdc_data VALUES (20389, 5, 254, 43.48653226, 76, 112);
INSERT INTO public.ecdc_data VALUES (20390, 49, 703, 31.27723772, 77, 112);
INSERT INTO public.ecdc_data VALUES (20391, 21, 745, 6.6153275, 16, 112);
INSERT INTO public.ecdc_data VALUES (20392, 1, 73, 13.57392443, 78, 112);
INSERT INTO public.ecdc_data VALUES (20393, 0, 0, 33.26002853, 17, 112);
INSERT INTO public.ecdc_data VALUES (20394, 0, 0, 0, 18, 112);
INSERT INTO public.ecdc_data VALUES (20395, 0, 3, 6.11403813, 160, 112);
INSERT INTO public.ecdc_data VALUES (20396, 0, 9, 8.18720479, 19, 112);
INSERT INTO public.ecdc_data VALUES (20397, 0, 24, 0.2025362, 20, 112);
INSERT INTO public.ecdc_data VALUES (20398, 0, 0, 0, 79, 112);
INSERT INTO public.ecdc_data VALUES (20399, 0, 0, 0, 161, 112);
INSERT INTO public.ecdc_data VALUES (20400, 0, 0, 0, 203, 112);
INSERT INTO public.ecdc_data VALUES (20401, 3, 44, 15.76681354, 162, 112);
INSERT INTO public.ecdc_data VALUES (20402, 110, 418, 9.99061628, 163, 112);
INSERT INTO public.ecdc_data VALUES (20403, 0, 0, 0, 204, 112);
INSERT INTO public.ecdc_data VALUES (20404, 0, 65, 51.91988504, 21, 112);
INSERT INTO public.ecdc_data VALUES (20405, 0, 0, 0.29816467, 22, 112);
INSERT INTO public.ecdc_data VALUES (20406, 0, 6, 2.57708615, 164, 112);
INSERT INTO public.ecdc_data VALUES (20407, 57, 745, 12.84160571, 165, 112);
INSERT INTO public.ecdc_data VALUES (20408, 0, 173, 10.44780997, 23, 112);
INSERT INTO public.ecdc_data VALUES (20409, 0, 2, 14.83415416, 166, 112);
INSERT INTO public.ecdc_data VALUES (20410, 1, 10, 1.74365494, 167, 112);
INSERT INTO public.ecdc_data VALUES (20411, 0, 0, 0, 80, 112);
INSERT INTO public.ecdc_data VALUES (20412, 0, 0, 0.8928412, 81, 112);
INSERT INTO public.ecdc_data VALUES (20413, 0, 11, 8.36845094, 205, 112);
INSERT INTO public.ecdc_data VALUES (20414, 2, 132, 8.34400934, 82, 112);
INSERT INTO public.ecdc_data VALUES (20415, 0, 0, 0, 168, 112);
INSERT INTO public.ecdc_data VALUES (20416, 0, 0, 7.88490019, 24, 112);
INSERT INTO public.ecdc_data VALUES (20417, 0, 0, 29.30891861, 25, 112);
INSERT INTO public.ecdc_data VALUES (20418, 0, 0, 4.08802018, 83, 112);
INSERT INTO public.ecdc_data VALUES (20419, 0, 0, 4.33274063, 84, 112);
INSERT INTO public.ecdc_data VALUES (20420, 0, 0, 0, 169, 112);
INSERT INTO public.ecdc_data VALUES (20421, 4, 145, 16.81695732, 85, 112);
INSERT INTO public.ecdc_data VALUES (20422, 3, 43, 5.02417128, 170, 112);
INSERT INTO public.ecdc_data VALUES (20423, 0, 1, 1.12047643, 171, 112);
INSERT INTO public.ecdc_data VALUES (20424, 132, 5609, 4.34764549, 112, 112);
INSERT INTO public.ecdc_data VALUES (20425, 21, 693, 2.49459062, 113, 112);
INSERT INTO public.ecdc_data VALUES (20426, 64, 2346, 30.51237746, 114, 112);
INSERT INTO public.ecdc_data VALUES (20427, 3, 113, 3.16460615, 115, 112);
INSERT INTO public.ecdc_data VALUES (20428, 10, 64, 42.14720324, 172, 112);
INSERT INTO public.ecdc_data VALUES (20429, 0, 1, 10.63968128, 173, 112);
INSERT INTO public.ecdc_data VALUES (20430, 2, 20, 4.22566309, 116, 112);
INSERT INTO public.ecdc_data VALUES (20431, 161, 665, 21.3835273, 174, 112);
INSERT INTO public.ecdc_data VALUES (20432, 0, 9, 1.72982389, 86, 112);
INSERT INTO public.ecdc_data VALUES (20433, 6, 39, 0.7575262, 117, 112);
INSERT INTO public.ecdc_data VALUES (20434, 1, 3, 12.05981669, 175, 112);
INSERT INTO public.ecdc_data VALUES (20435, 0, 23, 1.96996604, 118, 112);
INSERT INTO public.ecdc_data VALUES (20436, 0, 265, 14.72662913, 119, 112);
INSERT INTO public.ecdc_data VALUES (20437, 0, 66, 0.85023069, 26, 112);
INSERT INTO public.ecdc_data VALUES (20438, 0, 14, 7.95104381, 176, 112);
INSERT INTO public.ecdc_data VALUES (20439, 3, 804, 268.09587749, 120, 112);
INSERT INTO public.ecdc_data VALUES (20440, 0, 43, 6.5151139, 121, 112);
INSERT INTO public.ecdc_data VALUES (20441, 0, 0, 0, 122, 112);
INSERT INTO public.ecdc_data VALUES (20442, 0, 4, 6.04176736, 177, 112);
INSERT INTO public.ecdc_data VALUES (20443, 0, 7, 3.0777269, 123, 112);
INSERT INTO public.ecdc_data VALUES (20444, 0, 0, 0, 27, 112);
INSERT INTO public.ecdc_data VALUES (20445, 0, 5, 1.21522088, 28, 112);
INSERT INTO public.ecdc_data VALUES (20446, 0, 1, 0.07377403, 29, 112);
INSERT INTO public.ecdc_data VALUES (20447, 0, 0, 0, 178, 112);
INSERT INTO public.ecdc_data VALUES (20448, 0, 15, 5.33250495, 179, 112);
INSERT INTO public.ecdc_data VALUES (20449, 0, 13, 19.54734857, 180, 112);
INSERT INTO public.ecdc_data VALUES (20450, 0, 45, 0.78978673, 30, 112);
INSERT INTO public.ecdc_data VALUES (20451, 0, 1, 0.15567336, 31, 112);
INSERT INTO public.ecdc_data VALUES (20452, 0, 31, 1.81847836, 124, 112);
INSERT INTO public.ecdc_data VALUES (20453, 0, 43, 107.164987, 125, 112);
INSERT INTO public.ecdc_data VALUES (20454, 2, 30, 1.52609446, 32, 112);
INSERT INTO public.ecdc_data VALUES (20455, 0, 15, 22.89493252, 181, 112);
INSERT INTO public.ecdc_data VALUES (20456, 0, 50, 2.71781281, 33, 112);
INSERT INTO public.ecdc_data VALUES (20457, 0, 0, 0, 34, 112);
INSERT INTO public.ecdc_data VALUES (20458, 424, 3894, 30.04808234, 87, 112);
INSERT INTO public.ecdc_data VALUES (20459, 7, 213, 51.36946492, 182, 112);
INSERT INTO public.ecdc_data VALUES (20460, 0, 0, 3.02251776, 183, 112);
INSERT INTO public.ecdc_data VALUES (20461, 0, 0, 3.06960944, 126, 112);
INSERT INTO public.ecdc_data VALUES (20462, 0, 0, 0, 184, 112);
INSERT INTO public.ecdc_data VALUES (20463, 0, 0, 0, 88, 112);
INSERT INTO public.ecdc_data VALUES (20464, 1, 110, 4.72968597, 35, 112);
INSERT INTO public.ecdc_data VALUES (20465, 0, 10, 0.24698641, 36, 112);
INSERT INTO public.ecdc_data VALUES (20466, 0, 6, 0.06846093, 127, 112);
INSERT INTO public.ecdc_data VALUES (20467, 0, 0, 0, 37, 112);
INSERT INTO public.ecdc_data VALUES (20468, 0, 42, 1.20592624, 128, 112);
INSERT INTO public.ecdc_data VALUES (20469, 33, 198, 18.09958626, 185, 112);
INSERT INTO public.ecdc_data VALUES (20470, 0, 0, 0, 207, 112);
INSERT INTO public.ecdc_data VALUES (20471, 0, 0, 0.29269953, 208, 112);
INSERT INTO public.ecdc_data VALUES (20472, 0, 0, 0.13749898, 89, 112);
INSERT INTO public.ecdc_data VALUES (20473, 3, 6, 0.6434808, 38, 112);
INSERT INTO public.ecdc_data VALUES (20474, 8, 276, 1.75753218, 39, 112);
INSERT INTO public.ecdc_data VALUES (20475, 4, 19, 15.35771439, 186, 112);
INSERT INTO public.ecdc_data VALUES (20476, 0, 1, 12.23498156, 209, 112);
INSERT INTO public.ecdc_data VALUES (20477, 1, 11, 5.91192693, 187, 112);
INSERT INTO public.ecdc_data VALUES (20478, 3, 372, 63.11567938, 129, 112);
INSERT INTO public.ecdc_data VALUES (20479, 32, 2193, 11.09041851, 130, 112);
INSERT INTO public.ecdc_data VALUES (20480, 0, 7, 0.62231226, 131, 112);
INSERT INTO public.ecdc_data VALUES (20481, 6, 110, 52.89136312, 90, 112);
INSERT INTO public.ecdc_data VALUES (20482, 0, 0, 0, 210, 112);
INSERT INTO public.ecdc_data VALUES (20483, 0, 4, 5.57871028, 91, 112);
INSERT INTO public.ecdc_data VALUES (20484, 110, 4537, 151.34512699, 92, 112);
INSERT INTO public.ecdc_data VALUES (20485, 5, 279, 2.97549067, 132, 112);
INSERT INTO public.ecdc_data VALUES (20486, 14, 471, 13.16468214, 188, 112);
INSERT INTO public.ecdc_data VALUES (20487, 16, 228, 33.84382234, 189, 112);
INSERT INTO public.ecdc_data VALUES (20488, 1, 61, 30.61289887, 93, 112);
INSERT INTO public.ecdc_data VALUES (20489, 1, 1491, 675.3008664, 133, 112);
INSERT INTO public.ecdc_data VALUES (20490, 15, 196, 16.89462564, 190, 112);
INSERT INTO public.ecdc_data VALUES (20491, 135, 8764, 97.87741686, 191, 112);
INSERT INTO public.ecdc_data VALUES (20492, 0, 6, 0.36430051, 40, 112);
INSERT INTO public.ecdc_data VALUES (20493, 0, 0, 0, 94, 112);
INSERT INTO public.ecdc_data VALUES (20494, 0, 0, 0, 95, 112);
INSERT INTO public.ecdc_data VALUES (20495, 0, 1, 0.90421636, 96, 112);
INSERT INTO public.ecdc_data VALUES (20496, 0, 1, 139.32023336, 192, 112);
INSERT INTO public.ecdc_data VALUES (20497, 0, 0, 35.8059596, 41, 112);
INSERT INTO public.ecdc_data VALUES (20498, 10, 2691, 89.31518479, 134, 112);
INSERT INTO public.ecdc_data VALUES (20499, 0, 97, 7.86065013, 42, 112);
INSERT INTO public.ecdc_data VALUES (20500, 1, 100, 14.96317222, 193, 112);
INSERT INTO public.ecdc_data VALUES (20501, 0, 0, 0, 43, 112);
INSERT INTO public.ecdc_data VALUES (20502, 1, 36, 4.41560041, 44, 112);
INSERT INTO public.ecdc_data VALUES (20503, 0, 570, 157.91623617, 135, 112);
INSERT INTO public.ecdc_data VALUES (20504, 0, 0, 2.3591026, 97, 112);
INSERT INTO public.ecdc_data VALUES (20505, 0, 1, 1.22926284, 194, 112);
INSERT INTO public.ecdc_data VALUES (20506, 2, 0, 0.91306295, 195, 112);
INSERT INTO public.ecdc_data VALUES (20507, 2, 71, 4.53282562, 45, 112);
INSERT INTO public.ecdc_data VALUES (20508, 27, 803, 17.41000976, 46, 112);
INSERT INTO public.ecdc_data VALUES (20509, 1, 12, 0.60907378, 136, 112);
INSERT INTO public.ecdc_data VALUES (20510, 0, 0, 1.90741119, 47, 112);
INSERT INTO public.ecdc_data VALUES (20511, 52, 482, 23.41859503, 196, 112);
INSERT INTO public.ecdc_data VALUES (20512, 0, 1, 1.08329995, 137, 112);
INSERT INTO public.ecdc_data VALUES (20513, 6, 137, 4.38182238, 48, 112);
INSERT INTO public.ecdc_data VALUES (20514, 0, 0, 0.17200957, 98, 112);
INSERT INTO public.ecdc_data VALUES (20515, 52, 808, 78.02400445, 197, 112);
INSERT INTO public.ecdc_data VALUES (20516, 16, 40, 6.99863199, 198, 112);
INSERT INTO public.ecdc_data VALUES (20517, 0, 0, 0.07615641, 138, 112);
INSERT INTO public.ecdc_data VALUES (20518, 0, 1, 0.00841259, 139, 112);
INSERT INTO public.ecdc_data VALUES (20519, 3, 207, 16.70417507, 140, 112);
INSERT INTO public.ecdc_data VALUES (20520, 0, 0, 0.06463142, 141, 112);
INSERT INTO public.ecdc_data VALUES (20521, 0, 0, 0, 142, 112);
INSERT INTO public.ecdc_data VALUES (20522, 0, 2, 2.62299658, 49, 112);
INSERT INTO public.ecdc_data VALUES (20523, 0, 0, 0, 99, 112);
INSERT INTO public.ecdc_data VALUES (20524, 0, 1, 0.17101733, 50, 112);
INSERT INTO public.ecdc_data VALUES (20525, 23, 972, 25.4170894, 199, 112);
INSERT INTO public.ecdc_data VALUES (20526, 0, 0, 0, 100, 112);
INSERT INTO public.ecdc_data VALUES (20527, 0, -115, 0.10616769, 51, 112);
INSERT INTO public.ecdc_data VALUES (20528, 16, 354, 13.74289463, 200, 112);
INSERT INTO public.ecdc_data VALUES (20529, 6, 941, 105.07110876, 143, 112);
INSERT INTO public.ecdc_data VALUES (20530, 328, 3052, 60.24267038, 201, 112);
INSERT INTO public.ecdc_data VALUES (20531, 0, 0, 0.04999529, 52, 112);
INSERT INTO public.ecdc_data VALUES (20532, 1518, 23285, 98.2328967, 101, 112);
INSERT INTO public.ecdc_data VALUES (20533, 0, 0, 2.86864476, 102, 112);
INSERT INTO public.ecdc_data VALUES (20534, 0, 8, 2.10877159, 103, 112);
INSERT INTO public.ecdc_data VALUES (20535, 0, 70, 2.17393183, 144, 112);
INSERT INTO public.ecdc_data VALUES (20536, 0, 75, 1.56053678, 104, 112);
INSERT INTO public.ecdc_data VALUES (20537, 0, 0, 0.05494385, 145, 112);
INSERT INTO public.ecdc_data VALUES (20538, 0, 0, 0, 53, 112);
INSERT INTO public.ecdc_data VALUES (20539, 1, 13, 0.53151504, 146, 112);
INSERT INTO public.ecdc_data VALUES (20540, 0, 60, 3.84076308, 54, 112);
INSERT INTO public.ecdc_data VALUES (20541, 0, 2, 0.09559268, 55, 112);
INSERT INTO public.ecdc_data VALUES (20542, 2, 35, 1.82431111, 105, 113);
INSERT INTO public.ecdc_data VALUES (20543, 0, 22, 7.23162547, 147, 113);
INSERT INTO public.ecdc_data VALUES (20544, 9, 89, 3.0079167, 1, 113);
INSERT INTO public.ecdc_data VALUES (20545, 0, 4, 250.7318482, 148, 113);
INSERT INTO public.ecdc_data VALUES (20546, 0, 0, 0.02513723, 2, 113);
INSERT INTO public.ecdc_data VALUES (20547, 0, 0, 0, 56, 113);
INSERT INTO public.ecdc_data VALUES (20548, 1, 0, 8.23765639, 57, 113);
INSERT INTO public.ecdc_data VALUES (20549, 8, 90, 3.10848374, 58, 113);
INSERT INTO public.ecdc_data VALUES (20550, 2, 62, 18.5277348, 149, 113);
INSERT INTO public.ecdc_data VALUES (20551, 0, 0, 24.45677735, 59, 113);
INSERT INTO public.ecdc_data VALUES (20552, 1, 13, 3.09881285, 202, 113);
INSERT INTO public.ecdc_data VALUES (20553, 10, 73, 28.06257073, 150, 113);
INSERT INTO public.ecdc_data VALUES (20554, 0, 38, 7.91224356, 151, 113);
INSERT INTO public.ecdc_data VALUES (20555, 0, 4, 7.95920778, 60, 113);
INSERT INTO public.ecdc_data VALUES (20556, 0, 34, 70.1331494, 106, 113);
INSERT INTO public.ecdc_data VALUES (20557, 10, 492, 1.73263803, 107, 113);
INSERT INTO public.ecdc_data VALUES (20558, 0, 0, 5.22609844, 61, 113);
INSERT INTO public.ecdc_data VALUES (20559, 4, 457, 58.86330141, 152, 113);
INSERT INTO public.ecdc_data VALUES (20560, 206, 1278, 167.17706112, 153, 113);
INSERT INTO public.ecdc_data VALUES (20561, 0, 0, 2.81797664, 62, 113);
INSERT INTO public.ecdc_data VALUES (20562, 0, 17, 0.23726499, 3, 113);
INSERT INTO public.ecdc_data VALUES (20563, 0, 0, 75.19037563, 63, 113);
INSERT INTO public.ecdc_data VALUES (20564, 0, 1, 0.13104545, 108, 113);
INSERT INTO public.ecdc_data VALUES (20565, 1, 34, 3.50904561, 64, 113);
INSERT INTO public.ecdc_data VALUES (20566, 0, 0, 11.54601085, 65, 113);
INSERT INTO public.ecdc_data VALUES (20567, 2, 31, 18.32779057, 154, 113);
INSERT INTO public.ecdc_data VALUES (20568, 0, 0, 0.60771723, 4, 113);
INSERT INTO public.ecdc_data VALUES (20569, 113, 1927, 13.51578536, 66, 113);
INSERT INTO public.ecdc_data VALUES (20570, 0, 1, 6.65934139, 67, 113);
INSERT INTO public.ecdc_data VALUES (20571, 0, 0, 0.69236734, 109, 113);
INSERT INTO public.ecdc_data VALUES (20572, 0, 14, 5.42854118, 155, 113);
INSERT INTO public.ecdc_data VALUES (20573, 2, 5, 1.06784071, 5, 113);
INSERT INTO public.ecdc_data VALUES (20574, 0, 0, 0.02601778, 6, 113);
INSERT INTO public.ecdc_data VALUES (20575, 0, 0, 0.04245887, 110, 113);
INSERT INTO public.ecdc_data VALUES (20576, 0, 1, 1.38736525, 7, 113);
INSERT INTO public.ecdc_data VALUES (20577, 110, 2046, 53.91456928, 68, 113);
INSERT INTO public.ecdc_data VALUES (20578, 0, 6, 10.91036048, 8, 113);
INSERT INTO public.ecdc_data VALUES (20579, 0, 5, 41.57171891, 69, 113);
INSERT INTO public.ecdc_data VALUES (20580, 0, 0, 0.06322206, 9, 113);
INSERT INTO public.ecdc_data VALUES (20581, 0, 0, 0.15049964, 10, 113);
INSERT INTO public.ecdc_data VALUES (20582, 6, 419, 30.03371406, 70, 113);
INSERT INTO public.ecdc_data VALUES (20583, 0, 32, 0.0802771, 111, 113);
INSERT INTO public.ecdc_data VALUES (20584, 10, 185, 4.76366018, 71, 113);
INSERT INTO public.ecdc_data VALUES (20585, 0, 0, 2.13734624, 12, 113);
INSERT INTO public.ecdc_data VALUES (20586, 2, 2, 3.86325197, 72, 113);
INSERT INTO public.ecdc_data VALUES (20587, 1, 32, 2.16203151, 13, 113);
INSERT INTO public.ecdc_data VALUES (20588, 0, 10, 16.16683586, 156, 113);
INSERT INTO public.ecdc_data VALUES (20589, 2, 52, 6.50285473, 73, 113);
INSERT INTO public.ecdc_data VALUES (20590, 0, 0, 0.61190897, 74, 113);
INSERT INTO public.ecdc_data VALUES (20591, 0, 5, 35.04970322, 157, 113);
INSERT INTO public.ecdc_data VALUES (20592, 8, 127, 19.64356138, 158, 113);
INSERT INTO public.ecdc_data VALUES (20593, 0, 18, 0.2177656, 14, 113);
INSERT INTO public.ecdc_data VALUES (20594, 9, 131, 48.81089327, 159, 113);
INSERT INTO public.ecdc_data VALUES (20595, 0, 0, 77.65338855, 15, 113);
INSERT INTO public.ecdc_data VALUES (20596, 0, 0, 1.3926025, 75, 113);
INSERT INTO public.ecdc_data VALUES (20597, 9, 284, 29.20209104, 76, 113);
INSERT INTO public.ecdc_data VALUES (20598, 33, 660, 36.72801875, 77, 113);
INSERT INTO public.ecdc_data VALUES (20599, 11, 189, 2.25126339, 16, 113);
INSERT INTO public.ecdc_data VALUES (20600, 0, 17, 2.16934865, 78, 113);
INSERT INTO public.ecdc_data VALUES (20601, 0, 0, 4.64607937, 17, 113);
INSERT INTO public.ecdc_data VALUES (20602, 0, 0, 0.22875986, 18, 113);
INSERT INTO public.ecdc_data VALUES (20603, 0, 7, 32.23079362, 160, 113);
INSERT INTO public.ecdc_data VALUES (20604, 0, 2, 1.21937093, 19, 113);
INSERT INTO public.ecdc_data VALUES (20605, 0, 3, 0.05977941, 20, 113);
INSERT INTO public.ecdc_data VALUES (20606, 0, 0, 266.90391459, 79, 113);
INSERT INTO public.ecdc_data VALUES (20607, 0, 0, 4.10871664, 161, 113);
INSERT INTO public.ecdc_data VALUES (20608, 0, 1, 0.44946093, 203, 113);
INSERT INTO public.ecdc_data VALUES (20609, 4, 85, 30.66373392, 162, 113);
INSERT INTO public.ecdc_data VALUES (20610, 547, 2051, 60.08844598, 163, 113);
INSERT INTO public.ecdc_data VALUES (20611, 0, 1, 5.37085773, 204, 113);
INSERT INTO public.ecdc_data VALUES (20612, 0, 11, 4.55679842, 21, 113);
INSERT INTO public.ecdc_data VALUES (20613, 0, 0, 0.25556972, 22, 113);
INSERT INTO public.ecdc_data VALUES (20614, 0, 8, 5.35433433, 164, 113);
INSERT INTO public.ecdc_data VALUES (20615, 194, 1785, 53.27923309, 165, 113);
INSERT INTO public.ecdc_data VALUES (20616, 0, 0, 2.48209456, 23, 113);
INSERT INTO public.ecdc_data VALUES (20617, 0, 0, 71.20393995, 166, 113);
INSERT INTO public.ecdc_data VALUES (20618, 6, 10, 4.5689354, 167, 113);
INSERT INTO public.ecdc_data VALUES (20619, 0, 0, 0, 80, 113);
INSERT INTO public.ecdc_data VALUES (20620, 0, 0, 1.7856824, 81, 113);
INSERT INTO public.ecdc_data VALUES (20621, 0, 0, 14.3459159, 205, 113);
INSERT INTO public.ecdc_data VALUES (20622, 0, 5, 1.25131701, 82, 113);
INSERT INTO public.ecdc_data VALUES (20623, 1, 0, 114.78563008, 168, 113);
INSERT INTO public.ecdc_data VALUES (20624, 0, 43, 3.86806424, 24, 113);
INSERT INTO public.ecdc_data VALUES (20625, 0, 0, 0.88499399, 25, 113);
INSERT INTO public.ecdc_data VALUES (20626, 0, 1, 4.47127208, 83, 113);
INSERT INTO public.ecdc_data VALUES (20627, 0, 10, 0.29299271, 84, 113);
INSERT INTO public.ecdc_data VALUES (20628, 0, 1, 245.39877301, 169, 113);
INSERT INTO public.ecdc_data VALUES (20629, 0, 17, 1.93923425, 85, 113);
INSERT INTO public.ecdc_data VALUES (20630, 14, 114, 13.10786845, 170, 113);
INSERT INTO public.ecdc_data VALUES (20631, 1, 2, 59.1051315, 171, 113);
INSERT INTO public.ecdc_data VALUES (20632, 47, 1335, 1.0376768, 112, 113);
INSERT INTO public.ecdc_data VALUES (20633, 8, 185, 1.57745628, 113, 113);
INSERT INTO public.ecdc_data VALUES (20634, 91, 1294, 27.74565174, 114, 113);
INSERT INTO public.ecdc_data VALUES (20635, 0, 35, 1.38133532, 115, 113);
INSERT INTO public.ecdc_data VALUES (20636, 77, 401, 209.77766178, 172, 113);
INSERT INTO public.ecdc_data VALUES (20637, 3, 2, 190.33207627, 173, 113);
INSERT INTO public.ecdc_data VALUES (20638, 5, 222, 56.44781605, 116, 113);
INSERT INTO public.ecdc_data VALUES (20639, 454, 2256, 80.65170006, 174, 113);
INSERT INTO public.ecdc_data VALUES (20640, 1, 27, 5.56257095, 86, 113);
INSERT INTO public.ecdc_data VALUES (20641, 15, 367, 5.6849937, 117, 113);
INSERT INTO public.ecdc_data VALUES (20642, 2, 0, 74.21425656, 175, 113);
INSERT INTO public.ecdc_data VALUES (20643, 0, 8, 0.75234884, 118, 113);
INSERT INTO public.ecdc_data VALUES (20644, 0, 214, 6.89434797, 119, 113);
INSERT INTO public.ecdc_data VALUES (20645, 0, 11, 0.23395609, 26, 113);
INSERT INTO public.ecdc_data VALUES (20646, 0, 37, 22.62989392, 176, 113);
INSERT INTO public.ecdc_data VALUES (20647, 2, 80, 31.61339809, 120, 113);
INSERT INTO public.ecdc_data VALUES (20648, 0, 22, 5.64227567, 121, 113);
INSERT INTO public.ecdc_data VALUES (20649, 0, 0, 0.09763642, 122, 113);
INSERT INTO public.ecdc_data VALUES (20650, 0, 12, 10.26058768, 177, 113);
INSERT INTO public.ecdc_data VALUES (20651, 0, 4, 1.98374814, 123, 113);
INSERT INTO public.ecdc_data VALUES (20652, 0, 8, 1.72156292, 28, 113);
INSERT INTO public.ecdc_data VALUES (20653, 0, 2, 0.48690858, 29, 113);
INSERT INTO public.ecdc_data VALUES (20654, 0, 0, 10.42263797, 178, 113);
INSERT INTO public.ecdc_data VALUES (20655, 1, 24, 18.14483227, 179, 113);
INSERT INTO public.ecdc_data VALUES (20656, 2, 8, 116.46961853, 180, 113);
INSERT INTO public.ecdc_data VALUES (20657, 0, 0, 0.16314843, 30, 113);
INSERT INTO public.ecdc_data VALUES (20658, 0, 0, 0.06441656, 31, 113);
INSERT INTO public.ecdc_data VALUES (20659, 0, 36, 5.10801495, 124, 113);
INSERT INTO public.ecdc_data VALUES (20660, 0, 17, 9.41695844, 125, 113);
INSERT INTO public.ecdc_data VALUES (20661, 0, 22, 1.01230933, 32, 113);
INSERT INTO public.ecdc_data VALUES (20662, 0, 12, 30.39150335, 181, 113);
INSERT INTO public.ecdc_data VALUES (20663, 0, 0, 0.02209604, 33, 113);
INSERT INTO public.ecdc_data VALUES (20664, 0, 0, 6.61589232, 34, 113);
INSERT INTO public.ecdc_data VALUES (20665, 26, 1432, 8.14105972, 87, 113);
INSERT INTO public.ecdc_data VALUES (20666, 3, 76, 39.15159508, 182, 113);
INSERT INTO public.ecdc_data VALUES (20667, 0, 0, 39.29273084, 183, 113);
INSERT INTO public.ecdc_data VALUES (20668, 0, 2, 0.58911696, 126, 113);
INSERT INTO public.ecdc_data VALUES (20669, 0, 4, 12.69724936, 184, 113);
INSERT INTO public.ecdc_data VALUES (20670, 0, 0, 100.18032458, 88, 113);
INSERT INTO public.ecdc_data VALUES (20671, 2, 191, 5.28079721, 35, 113);
INSERT INTO public.ecdc_data VALUES (20672, 0, 0, 0.09550141, 36, 113);
INSERT INTO public.ecdc_data VALUES (20673, 0, 8, 0.17947866, 127, 113);
INSERT INTO public.ecdc_data VALUES (20674, 0, 0, 0, 37, 113);
INSERT INTO public.ecdc_data VALUES (20675, 0, 0, 0.07689964, 128, 113);
INSERT INTO public.ecdc_data VALUES (20676, 67, 750, 84.49173868, 185, 113);
INSERT INTO public.ecdc_data VALUES (20677, 0, 0, 0, 207, 113);
INSERT INTO public.ecdc_data VALUES (20678, 1, 2, 3.42876592, 208, 113);
INSERT INTO public.ecdc_data VALUES (20679, 1, 0, 0.04583299, 89, 113);
INSERT INTO public.ecdc_data VALUES (20680, 0, 7, 1.72452853, 38, 113);
INSERT INTO public.ecdc_data VALUES (20681, 1, 38, 0.21247629, 39, 113);
INSERT INTO public.ecdc_data VALUES (20682, 3, 18, 31.53386496, 186, 113);
INSERT INTO public.ecdc_data VALUES (20683, 0, 0, 10.48712705, 209, 113);
INSERT INTO public.ecdc_data VALUES (20684, 0, 45, 25.48697387, 187, 113);
INSERT INTO public.ecdc_data VALUES (20685, 1, 242, 22.85430811, 129, 113);
INSERT INTO public.ecdc_data VALUES (20686, 16, 798, 2.47130985, 130, 113);
INSERT INTO public.ecdc_data VALUES (20687, 0, 7, 1.52566877, 131, 113);
INSERT INTO public.ecdc_data VALUES (20688, 10, 191, 60.23869406, 90, 113);
INSERT INTO public.ecdc_data VALUES (20689, 0, 0, 0.06836735, 210, 113);
INSERT INTO public.ecdc_data VALUES (20690, 0, 2, 1.3485432, 91, 113);
INSERT INTO public.ecdc_data VALUES (20691, 45, 697, 42.33714058, 92, 113);
INSERT INTO public.ecdc_data VALUES (20692, 19, 200, 2.58887112, 132, 113);
INSERT INTO public.ecdc_data VALUES (20693, 20, 306, 13.64133897, 188, 113);
INSERT INTO public.ecdc_data VALUES (20694, 21, 657, 88.87165883, 189, 113);
INSERT INTO public.ecdc_data VALUES (20695, 1, 39, 25.19257491, 93, 113);
INSERT INTO public.ecdc_data VALUES (20696, 1, 567, 147.7010993, 133, 113);
INSERT INTO public.ecdc_data VALUES (20697, 17, 190, 25.13075565, 190, 113);
INSERT INTO public.ecdc_data VALUES (20698, 44, 4268, 27.95459534, 191, 113);
INSERT INTO public.ecdc_data VALUES (20699, 0, 0, 0.33262221, 40, 113);
INSERT INTO public.ecdc_data VALUES (20700, 0, 0, 7.57088239, 94, 113);
INSERT INTO public.ecdc_data VALUES (20701, 0, 0, 0.54706092, 95, 113);
INSERT INTO public.ecdc_data VALUES (20702, 0, 0, 4.5210818, 96, 113);
INSERT INTO public.ecdc_data VALUES (20703, 0, 1, 536.96339941, 192, 113);
INSERT INTO public.ecdc_data VALUES (20704, 0, 0, 0, 41, 113);
INSERT INTO public.ecdc_data VALUES (20705, 6, 1122, 23.2312277, 134, 113);
INSERT INTO public.ecdc_data VALUES (20706, 1, 10, 0.92658717, 42, 113);
INSERT INTO public.ecdc_data VALUES (20707, 3, 312, 63.61502199, 193, 113);
INSERT INTO public.ecdc_data VALUES (20708, 0, 0, 1.0231121, 43, 113);
INSERT INTO public.ecdc_data VALUES (20709, 0, 8, 0.47355714, 44, 113);
INSERT INTO public.ecdc_data VALUES (20710, 0, 1426, 114.37987038, 135, 113);
INSERT INTO public.ecdc_data VALUES (20711, 0, 1, 101.44141169, 97, 113);
INSERT INTO public.ecdc_data VALUES (20712, 1, 12, 11.723865, 194, 113);
INSERT INTO public.ecdc_data VALUES (20713, 0, 5, 15.08956667, 195, 113);
INSERT INTO public.ecdc_data VALUES (20714, 1, 73, 1.48935699, 45, 113);
INSERT INTO public.ecdc_data VALUES (20715, 4, 142, 2.75622911, 46, 113);
INSERT INTO public.ecdc_data VALUES (20716, 1, 9, 0.68716016, 136, 113);
INSERT INTO public.ecdc_data VALUES (20717, 0, 0, 0.02711959, 47, 113);
INSERT INTO public.ecdc_data VALUES (20718, 430, 2951, 108.25986971, 196, 113);
INSERT INTO public.ecdc_data VALUES (20719, 0, 9, 0.59089088, 137, 113);
INSERT INTO public.ecdc_data VALUES (20720, 2, 26, 0.1868581, 48, 113);
INSERT INTO public.ecdc_data VALUES (20721, 0, 0, 0, 98, 113);
INSERT INTO public.ecdc_data VALUES (20722, 85, 461, 73.21470726, 197, 113);
INSERT INTO public.ecdc_data VALUES (20723, 7, 168, 73.16964415, 198, 113);
INSERT INTO public.ecdc_data VALUES (20724, 0, 0, 0.11716371, 138, 113);
INSERT INTO public.ecdc_data VALUES (20725, 0, 2, 0.20610854, 139, 113);
INSERT INTO public.ecdc_data VALUES (20726, 0, 27, 0.76695949, 141, 113);
INSERT INTO public.ecdc_data VALUES (20727, 0, 3, 1.62397921, 142, 113);
INSERT INTO public.ecdc_data VALUES (20728, 1, 0, 0.32168826, 49, 113);
INSERT INTO public.ecdc_data VALUES (20729, 0, 0, 0.64517563, 99, 113);
INSERT INTO public.ecdc_data VALUES (20730, 0, 5, 2.65076867, 50, 113);
INSERT INTO public.ecdc_data VALUES (20731, 123, 4674, 74.09771162, 199, 113);
INSERT INTO public.ecdc_data VALUES (20732, 0, 0, 7.85463685, 100, 113);
INSERT INTO public.ecdc_data VALUES (20733, 0, 1, 0.00903555, 51, 113);
INSERT INTO public.ecdc_data VALUES (20734, 10, 261, 9.98098748, 200, 113);
INSERT INTO public.ecdc_data VALUES (20735, 2, 458, 54.81792894, 143, 113);
INSERT INTO public.ecdc_data VALUES (20736, 570, 3853, 96.76788396, 201, 113);
INSERT INTO public.ecdc_data VALUES (20737, 0, 0, 0.25170044, 52, 113);
INSERT INTO public.ecdc_data VALUES (20738, 1857, 28065, 127.49946236, 101, 113);
INSERT INTO public.ecdc_data VALUES (20739, 0, 1, 11.47457903, 102, 113);
INSERT INTO public.ecdc_data VALUES (20740, 0, 7, 3.58202298, 103, 113);
INSERT INTO public.ecdc_data VALUES (20741, 0, 92, 3.82029861, 144, 113);
INSERT INTO public.ecdc_data VALUES (20742, 0, 0, 0.34016195, 104, 113);
INSERT INTO public.ecdc_data VALUES (20743, 0, 0, 0.0176235, 145, 113);
INSERT INTO public.ecdc_data VALUES (20744, 0, 0, 0, 146, 113);
INSERT INTO public.ecdc_data VALUES (20745, 0, 4, 0.14556828, 54, 113);
INSERT INTO public.ecdc_data VALUES (20746, 0, 0, 0.10924878, 55, 113);
INSERT INTO public.ecdc_data VALUES (20747, 0, 2, 0.06045988, 105, 114);
INSERT INTO public.ecdc_data VALUES (20748, 0, 0, 0, 147, 114);
INSERT INTO public.ecdc_data VALUES (20749, 3, 12, 0.22994884, 1, 114);
INSERT INTO public.ecdc_data VALUES (20750, 0, 0, 0, 148, 114);
INSERT INTO public.ecdc_data VALUES (20751, 0, 0, 0, 57, 114);
INSERT INTO public.ecdc_data VALUES (20752, 0, 30, 0.35059766, 58, 114);
INSERT INTO public.ecdc_data VALUES (20753, 0, 24, 5.40955761, 149, 114);
INSERT INTO public.ecdc_data VALUES (20754, 1, 165, 3.21784535, 202, 114);
INSERT INTO public.ecdc_data VALUES (20755, 0, 453, 29.06722431, 150, 114);
INSERT INTO public.ecdc_data VALUES (20756, 1, 0, 0.42795783, 151, 114);
INSERT INTO public.ecdc_data VALUES (20757, 0, 1, 0, 60, 114);
INSERT INTO public.ecdc_data VALUES (20758, 0, 16, 13.95351104, 106, 114);
INSERT INTO public.ecdc_data VALUES (20759, 0, 7, 0, 107, 114);
INSERT INTO public.ecdc_data VALUES (20760, 0, 4, 0, 61, 114);
INSERT INTO public.ecdc_data VALUES (20761, 0, 0, 0.59244157, 152, 114);
INSERT INTO public.ecdc_data VALUES (20762, 35, 662, 31.48700639, 153, 114);
INSERT INTO public.ecdc_data VALUES (20763, 0, 0, 0, 3, 114);
INSERT INTO public.ecdc_data VALUES (20764, 0, 0, 0, 63, 114);
INSERT INTO public.ecdc_data VALUES (20765, 0, 1, 0, 108, 114);
INSERT INTO public.ecdc_data VALUES (20766, 0, 4, 0, 64, 114);
INSERT INTO public.ecdc_data VALUES (20767, 0, 18, 0, 154, 114);
INSERT INTO public.ecdc_data VALUES (20768, 5, 283, 0.4221758, 66, 114);
INSERT INTO public.ecdc_data VALUES (20769, 0, 5, 0, 109, 114);
INSERT INTO public.ecdc_data VALUES (20770, 0, 22, 0, 155, 114);
INSERT INTO public.ecdc_data VALUES (20771, 0, 7, 0, 5, 114);
INSERT INTO public.ecdc_data VALUES (20772, 0, 23, 0.27901545, 110, 114);
INSERT INTO public.ecdc_data VALUES (20773, 0, 13, 0, 7, 114);
INSERT INTO public.ecdc_data VALUES (20774, 2, 125, 2.45916727, 68, 114);
INSERT INTO public.ecdc_data VALUES (20775, 0, 2, 0, 8, 114);
INSERT INTO public.ecdc_data VALUES (20776, 1, 2, 0, 69, 114);
INSERT INTO public.ecdc_data VALUES (20777, 0, 0, 0, 9, 114);
INSERT INTO public.ecdc_data VALUES (20778, 0, 0, 0, 10, 114);
INSERT INTO public.ecdc_data VALUES (20779, 0, 92, 2.26888564, 70, 114);
INSERT INTO public.ecdc_data VALUES (20780, 6, 52, 0.03577946, 111, 114);
INSERT INTO public.ecdc_data VALUES (20781, 0, 30, 0, 71, 114);
INSERT INTO public.ecdc_data VALUES (20782, 0, 0, 0, 12, 114);
INSERT INTO public.ecdc_data VALUES (20783, 1, 26, 2.23870499, 72, 114);
INSERT INTO public.ecdc_data VALUES (20784, 0, 5, 0, 13, 114);
INSERT INTO public.ecdc_data VALUES (20785, 0, 22, 2.87028801, 156, 114);
INSERT INTO public.ecdc_data VALUES (20786, 0, 5, 0, 73, 114);
INSERT INTO public.ecdc_data VALUES (20787, 0, 9, 0, 157, 114);
INSERT INTO public.ecdc_data VALUES (20788, 0, 210, 8.31001521, 158, 114);
INSERT INTO public.ecdc_data VALUES (20789, 0, 0, 0, 14, 114);
INSERT INTO public.ecdc_data VALUES (20790, 3, 104, 21.21913215, 159, 114);
INSERT INTO public.ecdc_data VALUES (20791, 0, 0, 0, 15, 114);
INSERT INTO public.ecdc_data VALUES (20792, 2, 13, 0.3166043, 76, 114);
INSERT INTO public.ecdc_data VALUES (20793, 4, 227, 2.41745304, 77, 114);
INSERT INTO public.ecdc_data VALUES (20794, 1, 46, 0.25202196, 16, 114);
INSERT INTO public.ecdc_data VALUES (20795, 0, 2, 0, 78, 114);
INSERT INTO public.ecdc_data VALUES (20796, 0, 0, 0, 17, 114);
INSERT INTO public.ecdc_data VALUES (20797, 0, 16, 21.28591054, 160, 114);
INSERT INTO public.ecdc_data VALUES (20798, 0, 0, 0, 19, 114);
INSERT INTO public.ecdc_data VALUES (20799, 0, 2, 0, 20, 114);
INSERT INTO public.ecdc_data VALUES (20800, 0, 8, 160.23994905, 161, 114);
INSERT INTO public.ecdc_data VALUES (20801, 0, 0, 0, 203, 114);
INSERT INTO public.ecdc_data VALUES (20802, 0, 50, 8.02838896, 162, 114);
INSERT INTO public.ecdc_data VALUES (20803, 78, 1617, 17.90551229, 163, 114);
INSERT INTO public.ecdc_data VALUES (20804, 0, 12, 0, 204, 114);
INSERT INTO public.ecdc_data VALUES (20805, 1, 0, 0, 21, 114);
INSERT INTO public.ecdc_data VALUES (20806, 0, 0, 0, 22, 114);
INSERT INTO public.ecdc_data VALUES (20807, 0, 3, 0.85068863, 164, 114);
INSERT INTO public.ecdc_data VALUES (20808, 2, 4049, 21.08307146, 165, 114);
INSERT INTO public.ecdc_data VALUES (20809, 0, 5, 0, 23, 114);
INSERT INTO public.ecdc_data VALUES (20810, 0, 0, 0, 166, 114);
INSERT INTO public.ecdc_data VALUES (20811, 3, 31, 4.19596108, 167, 114);
INSERT INTO public.ecdc_data VALUES (20812, 0, 0, 0, 80, 114);
INSERT INTO public.ecdc_data VALUES (20813, 0, 2, 0, 205, 114);
INSERT INTO public.ecdc_data VALUES (20814, 0, 4, 0, 82, 114);
INSERT INTO public.ecdc_data VALUES (20815, 0, 0, 0, 168, 114);
INSERT INTO public.ecdc_data VALUES (20816, 0, 1, 0, 24, 114);
INSERT INTO public.ecdc_data VALUES (20817, 0, 0, 0, 83, 114);
INSERT INTO public.ecdc_data VALUES (20818, 0, 0, 0, 84, 114);
INSERT INTO public.ecdc_data VALUES (20819, 0, 0, 0, 169, 114);
INSERT INTO public.ecdc_data VALUES (20820, 0, 0, 0, 85, 114);
INSERT INTO public.ecdc_data VALUES (20821, 3, 18, 1.01302028, 170, 114);
INSERT INTO public.ecdc_data VALUES (20822, 0, 79, 102.52359303, 171, 114);
INSERT INTO public.ecdc_data VALUES (20823, 0, 40, 0.01478318, 112, 114);
INSERT INTO public.ecdc_data VALUES (20824, 6, 82, 0.1141799, 113, 114);
INSERT INTO public.ecdc_data VALUES (20825, 149, 1237, 17.96683217, 114, 114);
INSERT INTO public.ecdc_data VALUES (20826, 2, 16, 0.41211109, 115, 114);
INSERT INTO public.ecdc_data VALUES (20827, 0, 126, 13.66164788, 172, 114);
INSERT INTO public.ecdc_data VALUES (20828, 0, 1, 0, 173, 114);
INSERT INTO public.ecdc_data VALUES (20829, 1, 35, 8.15787735, 116, 114);
INSERT INTO public.ecdc_data VALUES (20830, 625, 5986, 70.22087277, 174, 114);
INSERT INTO public.ecdc_data VALUES (20831, 0, 3, 0, 86, 114);
INSERT INTO public.ecdc_data VALUES (20832, 2, 57, 0.47217294, 117, 114);
INSERT INTO public.ecdc_data VALUES (20833, 0, 7, 0, 175, 114);
INSERT INTO public.ecdc_data VALUES (20834, 0, 13, 0, 118, 114);
INSERT INTO public.ecdc_data VALUES (20835, 0, 4, 0, 119, 114);
INSERT INTO public.ecdc_data VALUES (20836, 0, 0, 0, 26, 114);
INSERT INTO public.ecdc_data VALUES (20837, 0, 3, 0, 176, 114);
INSERT INTO public.ecdc_data VALUES (20838, 0, 11, 2.4007167, 120, 114);
INSERT INTO public.ecdc_data VALUES (20839, 0, 0, 0, 121, 114);
INSERT INTO public.ecdc_data VALUES (20840, 0, 25, 5.72926215, 177, 114);
INSERT INTO public.ecdc_data VALUES (20841, 0, 14, 2.18795751, 123, 114);
INSERT INTO public.ecdc_data VALUES (20842, 0, 0, 0, 28, 114);
INSERT INTO public.ecdc_data VALUES (20843, 0, 9, 0, 178, 114);
INSERT INTO public.ecdc_data VALUES (20844, 1, 21, 2.46941504, 179, 114);
INSERT INTO public.ecdc_data VALUES (20845, 1, 139, 78.84097255, 180, 114);
INSERT INTO public.ecdc_data VALUES (20846, 0, 3, 0, 30, 114);
INSERT INTO public.ecdc_data VALUES (20847, 0, 130, 2.96402583, 124, 114);
INSERT INTO public.ecdc_data VALUES (20848, 0, 0, 0, 125, 114);
INSERT INTO public.ecdc_data VALUES (20849, 0, 9, 14.58792161, 181, 114);
INSERT INTO public.ecdc_data VALUES (20850, 0, 0, 0, 33, 114);
INSERT INTO public.ecdc_data VALUES (20851, 0, 9, 0, 34, 114);
INSERT INTO public.ecdc_data VALUES (20852, 2, 118, 0.59415783, 87, 114);
INSERT INTO public.ecdc_data VALUES (20853, 0, 17, 0, 182, 114);
INSERT INTO public.ecdc_data VALUES (20854, 0, 6, 54.40531963, 183, 114);
INSERT INTO public.ecdc_data VALUES (20855, 0, 1, 0, 126, 114);
INSERT INTO public.ecdc_data VALUES (20856, 0, 1, 0, 184, 114);
INSERT INTO public.ecdc_data VALUES (20857, 0, 1, 0, 88, 114);
INSERT INTO public.ecdc_data VALUES (20858, 1, 23, 0, 35, 114);
INSERT INTO public.ecdc_data VALUES (20859, 0, 1, 0, 37, 114);
INSERT INTO public.ecdc_data VALUES (20860, 0, 0, 0, 128, 114);
INSERT INTO public.ecdc_data VALUES (20861, 30, 534, 16.58357232, 185, 114);
INSERT INTO public.ecdc_data VALUES (20862, 0, 2, 0, 207, 114);
INSERT INTO public.ecdc_data VALUES (20863, 0, 14, 1.10807679, 208, 114);
INSERT INTO public.ecdc_data VALUES (20864, 0, 1, 0, 89, 114);
INSERT INTO public.ecdc_data VALUES (20865, 0, 1, 0, 38, 114);
INSERT INTO public.ecdc_data VALUES (20866, 0, 4, 0.00597123, 39, 114);
INSERT INTO public.ecdc_data VALUES (20867, 0, 22, 3.32188806, 186, 114);
INSERT INTO public.ecdc_data VALUES (20868, 1, 190, 30.57310783, 187, 114);
INSERT INTO public.ecdc_data VALUES (20869, 0, 9, 0.84422246, 129, 114);
INSERT INTO public.ecdc_data VALUES (20870, 1, 17, 0.22672144, 130, 114);
INSERT INTO public.ecdc_data VALUES (20871, 0, 1, 0.96358028, 131, 114);
INSERT INTO public.ecdc_data VALUES (20872, 0, 63, 0, 90, 114);
INSERT INTO public.ecdc_data VALUES (20873, 0, 1, 0, 210, 114);
INSERT INTO public.ecdc_data VALUES (20874, 1, 5, 0, 91, 114);
INSERT INTO public.ecdc_data VALUES (20875, 1, 29, 0.80897036, 92, 114);
INSERT INTO public.ecdc_data VALUES (20876, 0, 0, 0.20810861, 132, 114);
INSERT INTO public.ecdc_data VALUES (20877, 0, 70, 1.10605451, 188, 114);
INSERT INTO public.ecdc_data VALUES (20878, 3, 235, 9.79894454, 189, 114);
INSERT INTO public.ecdc_data VALUES (20879, 0, 10, 16.31315034, 133, 114);
INSERT INTO public.ecdc_data VALUES (20880, 0, 31, 1.55039095, 190, 114);
INSERT INTO public.ecdc_data VALUES (20881, 0, 54, 0.16658411, 191, 114);
INSERT INTO public.ecdc_data VALUES (20882, 0, 6, 0, 40, 114);
INSERT INTO public.ecdc_data VALUES (20883, 0, 0, 0, 95, 114);
INSERT INTO public.ecdc_data VALUES (20884, 0, 25, 371.5206223, 192, 114);
INSERT INTO public.ecdc_data VALUES (20885, 0, 36, 0.78497679, 134, 114);
INSERT INTO public.ecdc_data VALUES (20886, 0, 11, 0, 42, 114);
INSERT INTO public.ecdc_data VALUES (20887, 1, 9, 0, 193, 114);
INSERT INTO public.ecdc_data VALUES (20888, 0, 1, 0, 43, 114);
INSERT INTO public.ecdc_data VALUES (20889, 0, 40, 4.39326208, 135, 114);
INSERT INTO public.ecdc_data VALUES (20890, 0, 14, 2.5135673, 194, 114);
INSERT INTO public.ecdc_data VALUES (20891, 0, 22, 16.09874151, 195, 114);
INSERT INTO public.ecdc_data VALUES (20892, 0, 0, 0, 45, 114);
INSERT INTO public.ecdc_data VALUES (20893, 0, 55, 0.35007867, 46, 114);
INSERT INTO public.ecdc_data VALUES (20894, 3, 147, 3.96678822, 136, 114);
INSERT INTO public.ecdc_data VALUES (20895, 235, 5446, 66.01606492, 196, 114);
INSERT INTO public.ecdc_data VALUES (20896, 0, 13, 0.30482466, 137, 114);
INSERT INTO public.ecdc_data VALUES (20897, 0, 0, 0, 48, 114);
INSERT INTO public.ecdc_data VALUES (20898, 0, 0, 0, 98, 114);
INSERT INTO public.ecdc_data VALUES (20899, 9, 180, 14.33014163, 197, 114);
INSERT INTO public.ecdc_data VALUES (20900, 10, 943, 53.8005205, 198, 114);
INSERT INTO public.ecdc_data VALUES (20901, 1, 27, 0.37856671, 139, 114);
INSERT INTO public.ecdc_data VALUES (20902, 0, 154, 0.46534621, 141, 114);
INSERT INTO public.ecdc_data VALUES (20903, 0, 8, 0, 49, 114);
INSERT INTO public.ecdc_data VALUES (20904, 0, 0, 0, 99, 114);
INSERT INTO public.ecdc_data VALUES (20905, 1, 15, 0, 50, 114);
INSERT INTO public.ecdc_data VALUES (20906, 5, 311, 0, 199, 114);
INSERT INTO public.ecdc_data VALUES (20907, 1, 0, 0, 200, 114);
INSERT INTO public.ecdc_data VALUES (20908, 0, 0, 1.21794876, 143, 114);
INSERT INTO public.ecdc_data VALUES (20909, 32, 1055, 9.31773308, 201, 114);
INSERT INTO public.ecdc_data VALUES (20910, 0, 0, 0, 52, 114);
INSERT INTO public.ecdc_data VALUES (20911, 110, 5374, 5.86084964, 101, 114);
INSERT INTO public.ecdc_data VALUES (20912, 0, 16, 0, 103, 114);
INSERT INTO public.ecdc_data VALUES (20913, 0, 10, 0, 144, 114);
INSERT INTO public.ecdc_data VALUES (20914, 0, 3, 0, 104, 114);
INSERT INTO public.ecdc_data VALUES (20915, 0, 1, 0.07360403, 145, 114);
INSERT INTO public.ecdc_data VALUES (20916, 0, 0, 0, 54, 114);
INSERT INTO public.ecdc_data VALUES (20917, 0, 1, 0, 55, 114);
INSERT INTO public.ecdc_data VALUES (20918, 0, 0, 0, 105, 115);
INSERT INTO public.ecdc_data VALUES (20919, 0, 0, 0, 1, 115);
INSERT INTO public.ecdc_data VALUES (20920, 0, 0, 0, 149, 115);
INSERT INTO public.ecdc_data VALUES (20921, 0, 2, 0.01190325, 202, 115);
INSERT INTO public.ecdc_data VALUES (20922, 0, 0, 0, 150, 115);
INSERT INTO public.ecdc_data VALUES (20923, 0, 0, 0, 151, 115);
INSERT INTO public.ecdc_data VALUES (20924, 0, 0, 0, 106, 115);
INSERT INTO public.ecdc_data VALUES (20925, 0, 0, 0, 152, 115);
INSERT INTO public.ecdc_data VALUES (20926, 0, 0, 0, 153, 115);
INSERT INTO public.ecdc_data VALUES (20927, 0, 0, 0, 66, 115);
INSERT INTO public.ecdc_data VALUES (20928, 0, 0, 0, 110, 115);
INSERT INTO public.ecdc_data VALUES (20929, 0, 1, 0.00534602, 68, 115);
INSERT INTO public.ecdc_data VALUES (20930, 0, 13, 0, 214, 115);
INSERT INTO public.ecdc_data VALUES (20931, 118, 891, 3.09223771, 111, 115);
INSERT INTO public.ecdc_data VALUES (20932, 0, 0, 0, 156, 115);
INSERT INTO public.ecdc_data VALUES (20933, 0, 0, 0, 158, 115);
INSERT INTO public.ecdc_data VALUES (20934, 0, 0, 0, 159, 115);
INSERT INTO public.ecdc_data VALUES (20935, 0, 0, 0, 76, 115);
INSERT INTO public.ecdc_data VALUES (20936, 0, 0, 0, 77, 115);
INSERT INTO public.ecdc_data VALUES (20937, 0, 0, 0.00099613, 16, 115);
INSERT INTO public.ecdc_data VALUES (20938, 0, 0, 0, 160, 115);
INSERT INTO public.ecdc_data VALUES (20939, 0, 0, 0, 162, 115);
INSERT INTO public.ecdc_data VALUES (20940, 0, 0, 0.0089535, 163, 115);
INSERT INTO public.ecdc_data VALUES (20941, 0, 0, 0, 164, 115);
INSERT INTO public.ecdc_data VALUES (20942, 0, 0, 0.00361362, 165, 115);
INSERT INTO public.ecdc_data VALUES (20943, 0, 0, 0, 167, 115);
INSERT INTO public.ecdc_data VALUES (20944, 0, 0, 0, 171, 115);
INSERT INTO public.ecdc_data VALUES (20945, 0, 0, 0, 112, 115);
INSERT INTO public.ecdc_data VALUES (20946, 0, 0, 0, 113, 115);
INSERT INTO public.ecdc_data VALUES (20947, 0, 3, 0.00603035, 114, 115);
INSERT INTO public.ecdc_data VALUES (20948, 0, 0, 0, 115, 115);
INSERT INTO public.ecdc_data VALUES (20949, 0, 0, 0, 172, 115);
INSERT INTO public.ecdc_data VALUES (20950, 0, 0, 0, 116, 115);
INSERT INTO public.ecdc_data VALUES (20951, 0, 0, 0, 174, 115);
INSERT INTO public.ecdc_data VALUES (20952, 0, 9, 0.05360227, 117, 115);
INSERT INTO public.ecdc_data VALUES (20953, 0, 0, 0, 120, 115);
INSERT INTO public.ecdc_data VALUES (20954, 0, 0, 0, 123, 115);
INSERT INTO public.ecdc_data VALUES (20955, 0, 0, 0, 179, 115);
INSERT INTO public.ecdc_data VALUES (20956, 0, 0, 0, 180, 115);
INSERT INTO public.ecdc_data VALUES (20957, 0, 0, 0.02503929, 124, 115);
INSERT INTO public.ecdc_data VALUES (20958, 0, 0, 0.00078385, 87, 115);
INSERT INTO public.ecdc_data VALUES (20959, 0, 0, 0, 183, 115);
INSERT INTO public.ecdc_data VALUES (20960, 0, 0, 0, 128, 115);
INSERT INTO public.ecdc_data VALUES (20961, 0, 0, 0, 185, 115);
INSERT INTO public.ecdc_data VALUES (20962, 0, 0, 0, 208, 115);
INSERT INTO public.ecdc_data VALUES (20963, 0, 0, 0, 39, 115);
INSERT INTO public.ecdc_data VALUES (20964, 0, 0, 0, 186, 115);
INSERT INTO public.ecdc_data VALUES (20965, 0, 0, 0, 187, 115);
INSERT INTO public.ecdc_data VALUES (20966, 0, 0, 0, 129, 115);
INSERT INTO public.ecdc_data VALUES (20967, 0, 0, 0, 130, 115);
INSERT INTO public.ecdc_data VALUES (20968, 0, 0, 0, 132, 115);
INSERT INTO public.ecdc_data VALUES (20969, 0, 0, 0, 133, 115);
INSERT INTO public.ecdc_data VALUES (20970, 0, 0, 0, 190, 115);
INSERT INTO public.ecdc_data VALUES (20971, 0, 0, 0, 191, 115);
INSERT INTO public.ecdc_data VALUES (20972, 0, 0, 0, 192, 115);
INSERT INTO public.ecdc_data VALUES (20973, 0, 1, 0.94756633, 135, 115);
INSERT INTO public.ecdc_data VALUES (20974, 1, 75, 0.2557329, 136, 115);
INSERT INTO public.ecdc_data VALUES (20975, 0, 0, 0.00213051, 196, 115);
INSERT INTO public.ecdc_data VALUES (20976, 0, 0, 0, 137, 115);
INSERT INTO public.ecdc_data VALUES (20977, 0, 0, 0, 197, 115);
INSERT INTO public.ecdc_data VALUES (20978, 0, 0, 0, 198, 115);
INSERT INTO public.ecdc_data VALUES (20979, 0, 0, 0.03365037, 139, 115);
INSERT INTO public.ecdc_data VALUES (20980, 0, 0, 0.01436254, 141, 115);
INSERT INTO public.ecdc_data VALUES (20981, 0, 0, 0.04093945, 143, 115);
INSERT INTO public.ecdc_data VALUES (20982, 0, 0, 0.00900264, 201, 115);
INSERT INTO public.ecdc_data VALUES (20983, 0, 1, 0.00121557, 101, 115);
INSERT INTO public.ecdc_data VALUES (20984, 0, 0, 0.00414671, 145, 115);
INSERT INTO public.ecdc_data VALUES (20985, 0, 0, 0, 105, 116);
INSERT INTO public.ecdc_data VALUES (20986, 0, 0, 0, 1, 116);
INSERT INTO public.ecdc_data VALUES (20987, 0, 0, 0, 149, 116);
INSERT INTO public.ecdc_data VALUES (20988, 0, 0, 0, 202, 116);
INSERT INTO public.ecdc_data VALUES (20989, 0, 0, 0, 150, 116);
INSERT INTO public.ecdc_data VALUES (20990, 0, 0, 0, 151, 116);
INSERT INTO public.ecdc_data VALUES (20991, 0, 0, 0, 106, 116);
INSERT INTO public.ecdc_data VALUES (20992, 0, 0, 0, 152, 116);
INSERT INTO public.ecdc_data VALUES (20993, 0, 0, 0, 153, 116);
INSERT INTO public.ecdc_data VALUES (20994, 0, 0, 0, 66, 116);
INSERT INTO public.ecdc_data VALUES (20995, 0, 0, 0, 110, 116);
INSERT INTO public.ecdc_data VALUES (20996, 0, 0, 0, 68, 116);
INSERT INTO public.ecdc_data VALUES (20997, 0, 0, 0, 214, 116);
INSERT INTO public.ecdc_data VALUES (20998, 3, 151, 0.02280679, 111, 116);
INSERT INTO public.ecdc_data VALUES (20999, 0, 0, 0, 156, 116);
INSERT INTO public.ecdc_data VALUES (21000, 0, 0, 0, 158, 116);
INSERT INTO public.ecdc_data VALUES (21001, 0, 0, 0, 159, 116);
INSERT INTO public.ecdc_data VALUES (21002, 0, 0, 0, 76, 116);
INSERT INTO public.ecdc_data VALUES (21003, 0, 0, 0, 77, 116);
INSERT INTO public.ecdc_data VALUES (21004, 0, 0, 0, 16, 116);
INSERT INTO public.ecdc_data VALUES (21005, 0, 0, 0, 160, 116);
INSERT INTO public.ecdc_data VALUES (21006, 0, 0, 0, 162, 116);
INSERT INTO public.ecdc_data VALUES (21007, 0, 0, 0, 163, 116);
INSERT INTO public.ecdc_data VALUES (21008, 0, 0, 0, 164, 116);
INSERT INTO public.ecdc_data VALUES (21009, 0, 0, 0, 165, 116);
INSERT INTO public.ecdc_data VALUES (21010, 0, 0, 0, 167, 116);
INSERT INTO public.ecdc_data VALUES (21011, 0, 0, 0, 171, 116);
INSERT INTO public.ecdc_data VALUES (21012, 0, 0, 0, 112, 116);
INSERT INTO public.ecdc_data VALUES (21013, 0, 0, 0, 113, 116);
INSERT INTO public.ecdc_data VALUES (21014, 0, 0, 0, 114, 116);
INSERT INTO public.ecdc_data VALUES (21015, 0, 0, 0, 115, 116);
INSERT INTO public.ecdc_data VALUES (21016, 0, 0, 0, 172, 116);
INSERT INTO public.ecdc_data VALUES (21017, 0, 0, 0, 116, 116);
INSERT INTO public.ecdc_data VALUES (21018, 0, 0, 0, 174, 116);
INSERT INTO public.ecdc_data VALUES (21019, 0, 0, 0.00078827, 117, 116);
INSERT INTO public.ecdc_data VALUES (21020, 0, 0, 0, 120, 116);
INSERT INTO public.ecdc_data VALUES (21021, 0, 0, 0, 123, 116);
INSERT INTO public.ecdc_data VALUES (21022, 0, 0, 0, 179, 116);
INSERT INTO public.ecdc_data VALUES (21023, 0, 0, 0, 180, 116);
INSERT INTO public.ecdc_data VALUES (21024, 0, 0, 0, 124, 116);
INSERT INTO public.ecdc_data VALUES (21025, 0, 0, 0.00078385, 87, 116);
INSERT INTO public.ecdc_data VALUES (21026, 0, 0, 0, 183, 116);
INSERT INTO public.ecdc_data VALUES (21027, 0, 0, 0, 128, 116);
INSERT INTO public.ecdc_data VALUES (21028, 0, 0, 0, 185, 116);
INSERT INTO public.ecdc_data VALUES (21029, 0, 0, 0, 208, 116);
INSERT INTO public.ecdc_data VALUES (21030, 0, 0, 0, 39, 116);
INSERT INTO public.ecdc_data VALUES (21031, 0, 0, 0, 186, 116);
INSERT INTO public.ecdc_data VALUES (21032, 0, 0, 0, 187, 116);
INSERT INTO public.ecdc_data VALUES (21033, 0, 0, 0, 129, 116);
INSERT INTO public.ecdc_data VALUES (21034, 0, 0, 0, 130, 116);
INSERT INTO public.ecdc_data VALUES (21035, 0, 0, 0, 132, 116);
INSERT INTO public.ecdc_data VALUES (21036, 0, 0, 0, 133, 116);
INSERT INTO public.ecdc_data VALUES (21037, 0, 0, 0, 190, 116);
INSERT INTO public.ecdc_data VALUES (21038, 0, 0, 0, 191, 116);
INSERT INTO public.ecdc_data VALUES (21039, 0, 0, 0, 192, 116);
INSERT INTO public.ecdc_data VALUES (21040, 0, 0, 0, 135, 116);
INSERT INTO public.ecdc_data VALUES (21041, 0, 0, 0.00195216, 136, 116);
INSERT INTO public.ecdc_data VALUES (21042, 0, 0, 0, 196, 116);
INSERT INTO public.ecdc_data VALUES (21043, 0, 0, 0, 137, 116);
INSERT INTO public.ecdc_data VALUES (21044, 0, 0, 0, 197, 116);
INSERT INTO public.ecdc_data VALUES (21045, 0, 0, 0, 198, 116);
INSERT INTO public.ecdc_data VALUES (21046, 0, 1, 0.0042063, 139, 116);
INSERT INTO public.ecdc_data VALUES (21047, 0, 0, 0.00287251, 141, 116);
INSERT INTO public.ecdc_data VALUES (21048, 0, 0, 0, 143, 116);
INSERT INTO public.ecdc_data VALUES (21049, 0, 0, 0, 201, 116);
INSERT INTO public.ecdc_data VALUES (21050, 0, 1, 0.00030389, 101, 116);
INSERT INTO public.ecdc_data VALUES (21051, 0, 0, 0, 145, 116);
INSERT INTO public.ecdc_data VALUES (21052, 5, 282, 5.6727138, 105, 117);
INSERT INTO public.ecdc_data VALUES (21053, 11, 786, 276.05944187, 147, 117);
INSERT INTO public.ecdc_data VALUES (21054, 18, 1023, 26.67174319, 1, 117);
INSERT INTO public.ecdc_data VALUES (21055, 0, 48, 1222.15366843, 148, 117);
INSERT INTO public.ecdc_data VALUES (21056, 4, 104, 6.62680341, 2, 117);
INSERT INTO public.ecdc_data VALUES (21057, 0, 0, 0, 56, 117);
INSERT INTO public.ecdc_data VALUES (21058, 0, 0, 9.26736344, 57, 117);
INSERT INTO public.ecdc_data VALUES (21059, 185, 10110, 295.70568108, 58, 117);
INSERT INTO public.ecdc_data VALUES (21060, 30, 1667, 739.52033453, 149, 117);
INSERT INTO public.ecdc_data VALUES (21061, 0, 8, 121.34324146, 59, 117);
INSERT INTO public.ecdc_data VALUES (21062, 0, 7, 0.59913027, 202, 117);
INSERT INTO public.ecdc_data VALUES (21063, 90, 6830, 1081.16528527, 150, 117);
INSERT INTO public.ecdc_data VALUES (21064, 23, 2597, 230.11192889, 151, 117);
INSERT INTO public.ecdc_data VALUES (21065, 0, 0, 113.22614934, 60, 117);
INSERT INTO public.ecdc_data VALUES (21066, 0, 135, 154.21980984, 106, 117);
INSERT INTO public.ecdc_data VALUES (21067, 30, 2364, 15.42691836, 107, 117);
INSERT INTO public.ecdc_data VALUES (21068, 0, 1, 4.87769188, 61, 117);
INSERT INTO public.ecdc_data VALUES (21069, 7, 1382, 170.27405395, 152, 117);
INSERT INTO public.ecdc_data VALUES (21070, 172, 3019, 585.83116138, 153, 117);
INSERT INTO public.ecdc_data VALUES (21071, 2, 60, 266.68306217, 62, 117);
INSERT INTO public.ecdc_data VALUES (21072, 0, 0, 1.4490112, 3, 117);
INSERT INTO public.ecdc_data VALUES (21073, 0, 2, 30.3961093, 63, 117);
INSERT INTO public.ecdc_data VALUES (21074, 0, 0, 2.62090909, 108, 117);
INSERT INTO public.ecdc_data VALUES (21075, 14, 186, 13.49766553, 64, 117);
INSERT INTO public.ecdc_data VALUES (21076, 0, 0, 15.39468114, 65, 117);
INSERT INTO public.ecdc_data VALUES (21077, 64, 1180, 583.1872664, 154, 117);
INSERT INTO public.ecdc_data VALUES (21078, 1, 491, 76.35532879, 4, 117);
INSERT INTO public.ecdc_data VALUES (21079, 606, 35918, 175.05275622, 66, 117);
INSERT INTO public.ecdc_data VALUES (21080, 0, 0, 0, 67, 117);
INSERT INTO public.ecdc_data VALUES (21081, 0, 0, 0, 109, 117);
INSERT INTO public.ecdc_data VALUES (21082, 119, 3899, 658.42490306, 155, 117);
INSERT INTO public.ecdc_data VALUES (21083, 0, 16, 0.66924579, 5, 117);
INSERT INTO public.ecdc_data VALUES (21084, 0, 0, 0.3642489, 6, 117);
INSERT INTO public.ecdc_data VALUES (21085, 0, 0, 0.07278664, 110, 117);
INSERT INTO public.ecdc_data VALUES (21086, 0, 0, 3.06457003, 7, 117);
INSERT INTO public.ecdc_data VALUES (21087, 79, 4642, 172.17645765, 68, 117);
INSERT INTO public.ecdc_data VALUES (21088, 0, 0, 154.74527945, 8, 117);
INSERT INTO public.ecdc_data VALUES (21089, 0, 1, 23.0953994, 69, 117);
INSERT INTO public.ecdc_data VALUES (21090, 0, 7, 0.67436866, 9, 117);
INSERT INTO public.ecdc_data VALUES (21091, 0, 4, 0.57064447, 10, 117);
INSERT INTO public.ecdc_data VALUES (21092, 58, 1454, 102.52197191, 70, 117);
INSERT INTO public.ecdc_data VALUES (21093, 0, 17, 0.01513478, 111, 117);
INSERT INTO public.ecdc_data VALUES (21094, 198, 7487, 213.57606202, 71, 117);
INSERT INTO public.ecdc_data VALUES (21095, 0, 1, 4.11333532, 11, 117);
INSERT INTO public.ecdc_data VALUES (21096, 0, 0, 2.52764425, 12, 117);
INSERT INTO public.ecdc_data VALUES (21097, 11, 1219, 274.66730962, 72, 117);
INSERT INTO public.ecdc_data VALUES (21098, 0, 38, 1.14323249, 13, 117);
INSERT INTO public.ecdc_data VALUES (21099, 49, 3164, 845.48381035, 156, 117);
INSERT INTO public.ecdc_data VALUES (21100, 0, 21, 4.77346595, 73, 117);
INSERT INTO public.ecdc_data VALUES (21101, 1, 79, 324.92366436, 74, 117);
INSERT INTO public.ecdc_data VALUES (21102, 0, 268, 302.08962449, 157, 117);
INSERT INTO public.ecdc_data VALUES (21103, 134, 6471, 843.30222164, 158, 117);
INSERT INTO public.ecdc_data VALUES (21104, 0, 90, 0.60144784, 14, 117);
INSERT INTO public.ecdc_data VALUES (21105, 3, 1297, 264.41243241, 159, 117);
INSERT INTO public.ecdc_data VALUES (21106, 0, 0, 6.06025122, 15, 117);
INSERT INTO public.ecdc_data VALUES (21107, 0, 4, 41.77807487, 75, 117);
INSERT INTO public.ecdc_data VALUES (21108, 8, 1026, 68.5262079, 76, 117);
INSERT INTO public.ecdc_data VALUES (21109, 21, 996, 65.97920058, 77, 117);
INSERT INTO public.ecdc_data VALUES (21110, 13, 342, 3.41175978, 16, 117);
INSERT INTO public.ecdc_data VALUES (21111, 3, 144, 36.05767368, 78, 117);
INSERT INTO public.ecdc_data VALUES (21112, 0, 0, 2.13867146, 17, 117);
INSERT INTO public.ecdc_data VALUES (21113, 0, 9, 1.22958425, 18, 117);
INSERT INTO public.ecdc_data VALUES (21114, 1, 411, 245.39182681, 160, 117);
INSERT INTO public.ecdc_data VALUES (21115, 0, 12, 16.46150751, 19, 117);
INSERT INTO public.ecdc_data VALUES (21116, 6, 499, 5.38550014, 20, 117);
INSERT INTO public.ecdc_data VALUES (21117, 0, 0, 88.96797153, 79, 117);
INSERT INTO public.ecdc_data VALUES (21118, 0, 0, 6.16307496, 161, 117);
INSERT INTO public.ecdc_data VALUES (21119, 0, 0, 0.11236523, 203, 117);
INSERT INTO public.ecdc_data VALUES (21120, 0, 351, 57.39482584, 162, 117);
INSERT INTO public.ecdc_data VALUES (21121, 429, 21150, 723.62354564, 163, 117);
INSERT INTO public.ecdc_data VALUES (21122, 0, 0, 1181.58869972, 204, 117);
INSERT INTO public.ecdc_data VALUES (21123, 1, 32, 5.10913762, 21, 117);
INSERT INTO public.ecdc_data VALUES (21124, 0, 0, 1.06487382, 22, 117);
INSERT INTO public.ecdc_data VALUES (21125, 38, 3697, 1028.30741485, 164, 117);
INSERT INTO public.ecdc_data VALUES (21126, 260, 23648, 313.75267313, 165, 117);
INSERT INTO public.ecdc_data VALUES (21127, 0, 174, 6.05894077, 23, 117);
INSERT INTO public.ecdc_data VALUES (21128, 0, 5, 525.12905714, 166, 117);
INSERT INTO public.ecdc_data VALUES (21129, 59, 3227, 330.58578694, 167, 117);
INSERT INTO public.ecdc_data VALUES (21130, 0, 0, 1.76491352, 80, 117);
INSERT INTO public.ecdc_data VALUES (21131, 0, 0, 5.3570472, 81, 117);
INSERT INTO public.ecdc_data VALUES (21132, 1, 70, 844.01805194, 205, 117);
INSERT INTO public.ecdc_data VALUES (21133, 42, 685, 41.04888577, 82, 117);
INSERT INTO public.ecdc_data VALUES (21134, 0, 0, 12.40925731, 168, 117);
INSERT INTO public.ecdc_data VALUES (21135, 0, 0, 2.74053135, 24, 117);
INSERT INTO public.ecdc_data VALUES (21136, 0, 0, 0.41646776, 25, 117);
INSERT INTO public.ecdc_data VALUES (21137, 1, 62, 74.47861774, 83, 117);
INSERT INTO public.ecdc_data VALUES (21138, 0, 3, 0.90561382, 84, 117);
INSERT INTO public.ecdc_data VALUES (21139, 0, 0, 0, 169, 117);
INSERT INTO public.ecdc_data VALUES (21140, 0, 0, 42.48872499, 85, 117);
INSERT INTO public.ecdc_data VALUES (21141, 96, 4440, 678.17102975, 170, 117);
INSERT INTO public.ecdc_data VALUES (21142, 0, 5, 59.94548882, 171, 117);
INSERT INTO public.ecdc_data VALUES (21143, 584, 45882, 43.37187492, 112, 117);
INSERT INTO public.ecdc_data VALUES (21144, 97, 4798, 21.32910081, 113, 117);
INSERT INTO public.ecdc_data VALUES (21145, 0, 0, 177.24170785, 114, 117);
INSERT INTO public.ecdc_data VALUES (21146, 39, 2374, 100.87818075, 115, 117);
INSERT INTO public.ecdc_data VALUES (21147, 4, 415, 110.65934783, 172, 117);
INSERT INTO public.ecdc_data VALUES (21148, 0, 2, 10.63968128, 173, 117);
INSERT INTO public.ecdc_data VALUES (21149, 3, 1076, 109.11601124, 116, 117);
INSERT INTO public.ecdc_data VALUES (21150, 653, 36176, 801.28004939, 174, 117);
INSERT INTO public.ecdc_data VALUES (21151, 2, 69, 24.25145263, 86, 117);
INSERT INTO public.ecdc_data VALUES (21152, 21, 2301, 16.14768384, 117, 117);
INSERT INTO public.ecdc_data VALUES (21153, 0, 11, 153.06690415, 175, 117);
INSERT INTO public.ecdc_data VALUES (21154, 84, 5469, 727.90740011, 118, 117);
INSERT INTO public.ecdc_data VALUES (21155, 1, 949, 60.3134163, 119, 117);
INSERT INTO public.ecdc_data VALUES (21156, 17, 1459, 27.67529412, 26, 117);
INSERT INTO public.ecdc_data VALUES (21157, 14, 807, 545.78633599, 176, 117);
INSERT INTO public.ecdc_data VALUES (21158, 2, 485, 218.29883313, 120, 117);
INSERT INTO public.ecdc_data VALUES (21159, 6, 386, 108.38780389, 121, 117);
INSERT INTO public.ecdc_data VALUES (21160, 0, 0, 0, 122, 117);
INSERT INTO public.ecdc_data VALUES (21161, 4, 366, 239.74357906, 177, 117);
INSERT INTO public.ecdc_data VALUES (21162, 16, 1909, 331.98608634, 123, 117);
INSERT INTO public.ecdc_data VALUES (21163, 0, 0, 4.47002659, 27, 117);
INSERT INTO public.ecdc_data VALUES (21164, 0, 11, 2.00511446, 28, 117);
INSERT INTO public.ecdc_data VALUES (21165, 9, 541, 155.89927367, 29, 117);
INSERT INTO public.ecdc_data VALUES (21166, 0, 21, 961.4883527, 178, 117);
INSERT INTO public.ecdc_data VALUES (21167, 18, 1682, 765.91233791, 179, 117);
INSERT INTO public.ecdc_data VALUES (21168, 8, 892, 1209.65508703, 180, 117);
INSERT INTO public.ecdc_data VALUES (21169, 0, 0, 0.45236611, 30, 117);
INSERT INTO public.ecdc_data VALUES (21170, 0, 3, 0.33281891, 31, 117);
INSERT INTO public.ecdc_data VALUES (21171, 4, 1290, 47.718625, 124, 117);
INSERT INTO public.ecdc_data VALUES (21172, 0, 68, 105.28159531, 125, 117);
INSERT INTO public.ecdc_data VALUES (21173, 0, 0, 1.76518259, 32, 117);
INSERT INTO public.ecdc_data VALUES (21174, 2, 121, 362.26671989, 181, 117);
INSERT INTO public.ecdc_data VALUES (21175, 0, 0, 5.10282186, 206, 117);
INSERT INTO public.ecdc_data VALUES (21176, 3, 82, 5.9880266, 33, 117);
INSERT INTO public.ecdc_data VALUES (21177, 0, 0, 3.30794616, 34, 117);
INSERT INTO public.ecdc_data VALUES (21178, 576, 4472, 55.14066887, 87, 117);
INSERT INTO public.ecdc_data VALUES (21179, 19, 1442, 356.02477012, 182, 117);
INSERT INTO public.ecdc_data VALUES (21180, 0, 8, 432.22003929, 183, 117);
INSERT INTO public.ecdc_data VALUES (21181, 0, 0, 4.61991724, 126, 117);
INSERT INTO public.ecdc_data VALUES (21182, 6, 546, 1292.86928905, 184, 117);
INSERT INTO public.ecdc_data VALUES (21183, 0, 0, 0, 88, 117);
INSERT INTO public.ecdc_data VALUES (21184, 77, 4559, 193.5826195, 35, 117);
INSERT INTO public.ecdc_data VALUES (21185, 2, 157, 4.38647867, 36, 117);
INSERT INTO public.ecdc_data VALUES (21186, 26, 1560, 31.35695749, 127, 117);
INSERT INTO public.ecdc_data VALUES (21187, 1, 52, 22.93022637, 37, 117);
INSERT INTO public.ecdc_data VALUES (21188, 17, 2103, 101.52850277, 128, 117);
INSERT INTO public.ecdc_data VALUES (21189, 73, 5638, 443.65974329, 185, 117);
INSERT INTO public.ecdc_data VALUES (21190, 0, 0, 0.35366056, 207, 117);
INSERT INTO public.ecdc_data VALUES (21191, 0, 3, 0.81537726, 208, 117);
INSERT INTO public.ecdc_data VALUES (21192, 0, 0, 1.06943653, 89, 117);
INSERT INTO public.ecdc_data VALUES (21193, 0, 4, 0.46759604, 38, 117);
INSERT INTO public.ecdc_data VALUES (21194, 2, 146, 1.15991153, 39, 117);
INSERT INTO public.ecdc_data VALUES (21195, 26, 1198, 714.49479378, 186, 117);
INSERT INTO public.ecdc_data VALUES (21196, 0, 0, 8.73927254, 209, 117);
INSERT INTO public.ecdc_data VALUES (21197, 6, 655, 153.76640419, 187, 117);
INSERT INTO public.ecdc_data VALUES (21198, 5, 231, 84.28154256, 129, 117);
INSERT INTO public.ecdc_data VALUES (21199, 313, 2738, 13.12029109, 130, 117);
INSERT INTO public.ecdc_data VALUES (21200, 9, 1251, 227.28449828, 131, 117);
INSERT INTO public.ecdc_data VALUES (21201, 15, 1256, 341.98057667, 90, 117);
INSERT INTO public.ecdc_data VALUES (21202, 0, 0, 0.07976191, 210, 117);
INSERT INTO public.ecdc_data VALUES (21203, 12, 856, 123.73948473, 91, 117);
INSERT INTO public.ecdc_data VALUES (21204, 44, 1966, 89.80186132, 92, 117);
INSERT INTO public.ecdc_data VALUES (21205, 41, 1333, 21.9253983, 132, 117);
INSERT INTO public.ecdc_data VALUES (21206, 637, 23975, 869.35621202, 188, 117);
INSERT INTO public.ecdc_data VALUES (21207, 69, 6994, 794.60974365, 189, 117);
INSERT INTO public.ecdc_data VALUES (21208, 11, 472, 382.72941606, 93, 117);
INSERT INTO public.ecdc_data VALUES (21209, 0, 208, 106.98884315, 133, 117);
INSERT INTO public.ecdc_data VALUES (21210, 167, 10108, 602.89604788, 190, 117);
INSERT INTO public.ecdc_data VALUES (21211, 463, 23610, 207.54460101, 191, 117);
INSERT INTO public.ecdc_data VALUES (21212, 0, 0, 2.77977131, 40, 117);
INSERT INTO public.ecdc_data VALUES (21213, 0, 0, 0, 94, 117);
INSERT INTO public.ecdc_data VALUES (21214, 0, 20, 53.06490878, 95, 117);
INSERT INTO public.ecdc_data VALUES (21215, 0, 1, 7.23373089, 96, 117);
INSERT INTO public.ecdc_data VALUES (21216, 0, 0, 914.28903143, 192, 117);
INSERT INTO public.ecdc_data VALUES (21217, 0, 7, 7.4401994, 41, 117);
INSERT INTO public.ecdc_data VALUES (21218, 19, 319, 15.00210295, 134, 117);
INSERT INTO public.ecdc_data VALUES (21219, 0, 12, 1.19658608, 42, 117);
INSERT INTO public.ecdc_data VALUES (21220, 29, 6109, 695.32798642, 193, 117);
INSERT INTO public.ecdc_data VALUES (21221, 0, 3, 5.11556051, 43, 117);
INSERT INTO public.ecdc_data VALUES (21222, 0, 0, 0.33276989, 44, 117);
INSERT INTO public.ecdc_data VALUES (21223, 0, 4, 1.65393396, 135, 117);
INSERT INTO public.ecdc_data VALUES (21224, 0, 9, 226.47384935, 97, 117);
INSERT INTO public.ecdc_data VALUES (21225, 0, 1665, 419.12358697, 194, 117);
INSERT INTO public.ecdc_data VALUES (21226, 23, 2070, 958.23553949, 195, 117);
INSERT INTO public.ecdc_data VALUES (21227, 0, 0, 0.99074617, 45, 117);
INSERT INTO public.ecdc_data VALUES (21228, 0, 0, 0.44788085, 211, 117);
INSERT INTO public.ecdc_data VALUES (21229, 115, 2514, 46.52460087, 46, 117);
INSERT INTO public.ecdc_data VALUES (21230, 3, 363, 5.50899427, 136, 117);
INSERT INTO public.ecdc_data VALUES (21231, 0, 0, 0.6418303, 47, 117);
INSERT INTO public.ecdc_data VALUES (21232, 328, 15156, 485.5395715, 196, 117);
INSERT INTO public.ecdc_data VALUES (21233, 4, 439, 29.40854543, 137, 117);
INSERT INTO public.ecdc_data VALUES (21234, 0, 0, 2.57864174, 48, 117);
INSERT INTO public.ecdc_data VALUES (21235, 0, 2, 10.14856467, 98, 117);
INSERT INTO public.ecdc_data VALUES (21236, 45, 7621, 577.03746315, 197, 117);
INSERT INTO public.ecdc_data VALUES (21237, 79, 4988, 968.56151312, 198, 117);
INSERT INTO public.ecdc_data VALUES (21238, 5, 72, 5.57113442, 138, 117);
INSERT INTO public.ecdc_data VALUES (21239, 0, 0, 0.15142669, 139, 117);
INSERT INTO public.ecdc_data VALUES (21240, 0, 41, 5.93282518, 140, 117);
INSERT INTO public.ecdc_data VALUES (21241, 0, 4, 0.10628278, 141, 117);
INSERT INTO public.ecdc_data VALUES (21242, 0, 0, 0, 142, 117);
INSERT INTO public.ecdc_data VALUES (21243, 0, 19, 4.07059375, 49, 117);
INSERT INTO public.ecdc_data VALUES (21244, 0, 53, 32.90395701, 99, 117);
INSERT INTO public.ecdc_data VALUES (21245, 70, 1223, 159.56772291, 50, 117);
INSERT INTO public.ecdc_data VALUES (21246, 123, 4542, 52.86335103, 199, 117);
INSERT INTO public.ecdc_data VALUES (21247, 0, 0, 41.89139655, 100, 117);
INSERT INTO public.ecdc_data VALUES (21248, 1, 243, 8.0868159, 51, 117);
INSERT INTO public.ecdc_data VALUES (21249, 257, 13357, 347.87526007, 200, 117);
INSERT INTO public.ecdc_data VALUES (21250, 2, 1153, 170.46165171, 143, 117);
INSERT INTO public.ecdc_data VALUES (21251, 501, 22915, 495.23376197, 201, 117);
INSERT INTO public.ecdc_data VALUES (21252, 0, 0, 0, 52, 117);
INSERT INTO public.ecdc_data VALUES (21253, 2018, 188020, 640.8781037, 101, 117);
INSERT INTO public.ecdc_data VALUES (21254, 0, 6, 75.54097859, 102, 117);
INSERT INTO public.ecdc_data VALUES (21255, 1, 81, 30.8516173, 103, 117);
INSERT INTO public.ecdc_data VALUES (21256, 1, 213, 8.88977423, 144, 117);
INSERT INTO public.ecdc_data VALUES (21257, 0, 0, 0, 212, 117);
INSERT INTO public.ecdc_data VALUES (21258, 3, 315, 16.63637413, 104, 117);
INSERT INTO public.ecdc_data VALUES (21259, 0, 4, 0.10055762, 145, 117);
INSERT INTO public.ecdc_data VALUES (21260, 0, 1, 0, 213, 117);
INSERT INTO public.ecdc_data VALUES (21261, 0, 0, 0, 53, 117);
INSERT INTO public.ecdc_data VALUES (21262, 0, 0, 0.01714565, 146, 117);
INSERT INTO public.ecdc_data VALUES (21263, 0, 70, 3.2472924, 54, 117);
INSERT INTO public.ecdc_data VALUES (21264, 4, 65, 4.1104852, 55, 117);
INSERT INTO public.ecdc_data VALUES (21265, 5, 87, 2.10558098, 105, 118);
INSERT INTO public.ecdc_data VALUES (21266, 3, 295, 102.71004291, 147, 118);
INSERT INTO public.ecdc_data VALUES (21267, 9, 214, 5.44909079, 1, 118);
INSERT INTO public.ecdc_data VALUES (21268, 3, 246, 1644.85343345, 148, 118);
INSERT INTO public.ecdc_data VALUES (21269, 6, 160, 7.07613148, 2, 118);
INSERT INTO public.ecdc_data VALUES (21270, 0, 0, 0, 56, 118);
INSERT INTO public.ecdc_data VALUES (21271, 0, 0, 12.35648458, 57, 118);
INSERT INTO public.ecdc_data VALUES (21272, 449, 12982, 430.84209874, 58, 118);
INSERT INTO public.ecdc_data VALUES (21273, 10, 766, 432.18984301, 149, 118);
INSERT INTO public.ecdc_data VALUES (21274, 0, 12, 239.86454708, 59, 118);
INSERT INTO public.ecdc_data VALUES (21275, 1, 9, 0.99193753, 202, 118);
INSERT INTO public.ecdc_data VALUES (21276, 9, 1054, 188.79585496, 150, 118);
INSERT INTO public.ecdc_data VALUES (21277, 4, 331, 44.85595188, 151, 118);
INSERT INTO public.ecdc_data VALUES (21278, 1, 70, 311.69284647, 60, 118);
INSERT INTO public.ecdc_data VALUES (21279, 2, 322, 311.24250837, 106, 118);
INSERT INTO public.ecdc_data VALUES (21280, 21, 1637, 12.31184985, 107, 118);
INSERT INTO public.ecdc_data VALUES (21281, 0, 0, 7.66494438, 61, 118);
INSERT INTO public.ecdc_data VALUES (21282, 4, 592, 80.33930821, 152, 118);
INSERT INTO public.ecdc_data VALUES (21283, 52, 15560, 969.07874711, 153, 118);
INSERT INTO public.ecdc_data VALUES (21284, 1, 20, 161.13702796, 62, 118);
INSERT INTO public.ecdc_data VALUES (21285, 0, 0, 1.17785121, 3, 118);
INSERT INTO public.ecdc_data VALUES (21286, 0, 0, 6.3991809, 63, 118);
INSERT INTO public.ecdc_data VALUES (21287, 0, 3, 4.06240909, 108, 118);
INSERT INTO public.ecdc_data VALUES (21288, 21, 119, 24.17246021, 64, 118);
INSERT INTO public.ecdc_data VALUES (21289, 1, 0, 100.06542739, 65, 118);
INSERT INTO public.ecdc_data VALUES (21290, 13, 545, 188.30668786, 154, 118);
INSERT INTO public.ecdc_data VALUES (21291, 1, 367, 105.78620595, 4, 118);
INSERT INTO public.ecdc_data VALUES (21292, 271, 15383, 153.27777174, 66, 118);
INSERT INTO public.ecdc_data VALUES (21293, 0, 1, 3.3296707, 67, 118);
INSERT INTO public.ecdc_data VALUES (21294, 0, 0, 0.23078911, 109, 118);
INSERT INTO public.ecdc_data VALUES (21295, 22, 1024, 123.67073955, 155, 118);
INSERT INTO public.ecdc_data VALUES (21296, 0, 6, 0.99894776, 5, 118);
INSERT INTO public.ecdc_data VALUES (21297, 0, 7, 0.30354075, 6, 118);
INSERT INTO public.ecdc_data VALUES (21298, 0, 2, 0.03032777, 110, 118);
INSERT INTO public.ecdc_data VALUES (21299, 1, 65, 2.2491548, 7, 118);
INSERT INTO public.ecdc_data VALUES (21300, 18, 3289, 86.81127746, 68, 118);
INSERT INTO public.ecdc_data VALUES (21301, 1, 48, 248.57437956, 8, 118);
INSERT INTO public.ecdc_data VALUES (21302, 0, 2, 33.87325245, 69, 118);
INSERT INTO public.ecdc_data VALUES (21303, 0, 1, 0.23181423, 9, 118);
INSERT INTO public.ecdc_data VALUES (21304, 0, 11, 1.04722666, 10, 118);
INSERT INTO public.ecdc_data VALUES (21305, 41, 1545, 113.75559406, 70, 118);
INSERT INTO public.ecdc_data VALUES (21306, 0, 34, 0.02468992, 111, 118);
INSERT INTO public.ecdc_data VALUES (21307, 132, 6311, 206.05114761, 71, 118);
INSERT INTO public.ecdc_data VALUES (21308, 0, 0, 1.76285799, 11, 118);
INSERT INTO public.ecdc_data VALUES (21309, 0, 0, 1.24523651, 12, 118);
INSERT INTO public.ecdc_data VALUES (21310, 21, 1561, 315.91495378, 72, 118);
INSERT INTO public.ecdc_data VALUES (21311, 0, 1, 1.70707164, 13, 118);
INSERT INTO public.ecdc_data VALUES (21312, 11, 393, 200.5767071, 156, 118);
INSERT INTO public.ecdc_data VALUES (21313, 2, 38, 3.6440692, 73, 118);
INSERT INTO public.ecdc_data VALUES (21314, 0, 7, 182.96078275, 74, 118);
INSERT INTO public.ecdc_data VALUES (21315, 0, 43, 95.90146809, 157, 118);
INSERT INTO public.ecdc_data VALUES (21316, 91, 8077, 905.14375857, 158, 118);
INSERT INTO public.ecdc_data VALUES (21317, 0, 0, 0.31455031, 14, 118);
INSERT INTO public.ecdc_data VALUES (21318, 6, 452, 99.6713618, 159, 118);
INSERT INTO public.ecdc_data VALUES (21319, 0, 10, 4.93037388, 15, 118);
INSERT INTO public.ecdc_data VALUES (21320, 0, 0, 2.78520499, 75, 118);
INSERT INTO public.ecdc_data VALUES (21321, 4, 320, 61.57953701, 76, 118);
INSERT INTO public.ecdc_data VALUES (21322, 8, 134, 69.55357758, 77, 118);
INSERT INTO public.ecdc_data VALUES (21323, 10, 123, 1.75917307, 16, 118);
INSERT INTO public.ecdc_data VALUES (21324, 4, 0, 31.34708804, 78, 118);
INSERT INTO public.ecdc_data VALUES (21325, 0, 0, 1.32745125, 17, 118);
INSERT INTO public.ecdc_data VALUES (21326, 0, 27, 1.54412906, 18, 118);
INSERT INTO public.ecdc_data VALUES (21327, 0, 7, 35.32555366, 160, 118);
INSERT INTO public.ecdc_data VALUES (21328, 0, 8, 18.20346597, 19, 118);
INSERT INTO public.ecdc_data VALUES (21329, 13, 723, 9.29971305, 20, 118);
INSERT INTO public.ecdc_data VALUES (21330, 0, 0, 0, 79, 118);
INSERT INTO public.ecdc_data VALUES (21331, 0, 0, 20.54358321, 161, 118);
INSERT INTO public.ecdc_data VALUES (21332, 0, 0, 0, 203, 118);
INSERT INTO public.ecdc_data VALUES (21333, 0, 131, 51.70427475, 162, 118);
INSERT INTO public.ecdc_data VALUES (21334, 146, 13243, 426.78808491, 163, 118);
INSERT INTO public.ecdc_data VALUES (21335, 0, 0, 561.79171814, 204, 118);
INSERT INTO public.ecdc_data VALUES (21336, 0, 3, 3.49814828, 21, 118);
INSERT INTO public.ecdc_data VALUES (21337, 0, 6, 2.59829211, 22, 118);
INSERT INTO public.ecdc_data VALUES (21338, 7, 1186, 249.37687058, 164, 118);
INSERT INTO public.ecdc_data VALUES (21339, 47, 6868, 84.20821816, 165, 118);
INSERT INTO public.ecdc_data VALUES (21340, 0, 62, 1.78513556, 23, 118);
INSERT INTO public.ecdc_data VALUES (21341, 0, 6, 430.19047054, 166, 118);
INSERT INTO public.ecdc_data VALUES (21342, 11, 432, 52.77586603, 167, 118);
INSERT INTO public.ecdc_data VALUES (21343, 0, 0, 3.52982704, 80, 118);
INSERT INTO public.ecdc_data VALUES (21344, 0, 0, 2.6785236, 81, 118);
INSERT INTO public.ecdc_data VALUES (21345, 0, 81, 599.5397352, 205, 118);
INSERT INTO public.ecdc_data VALUES (21346, 11, 239, 42.18644669, 82, 118);
INSERT INTO public.ecdc_data VALUES (21347, 0, 0, 1.55115716, 168, 118);
INSERT INTO public.ecdc_data VALUES (21348, 0, 0, 5.62200431, 24, 118);
INSERT INTO public.ecdc_data VALUES (21349, 0, 0, 1.40557869, 25, 118);
INSERT INTO public.ecdc_data VALUES (21350, 2, 31, 73.71211395, 83, 118);
INSERT INTO public.ecdc_data VALUES (21351, 0, 51, 1.393935, 84, 118);
INSERT INTO public.ecdc_data VALUES (21352, 0, 0, 1717.79141104, 169, 118);
INSERT INTO public.ecdc_data VALUES (21353, 8, 956, 96.04852805, 85, 118);
INSERT INTO public.ecdc_data VALUES (21354, 38, 989, 168.41717935, 170, 118);
INSERT INTO public.ecdc_data VALUES (21355, 0, 46, 314.01351855, 171, 118);
INSERT INTO public.ecdc_data VALUES (21356, 587, 46790, 66.74247286, 112, 118);
INSERT INTO public.ecdc_data VALUES (21357, 106, 3373, 21.47616748, 113, 118);
INSERT INTO public.ecdc_data VALUES (21358, 337, 4251, 71.10629819, 114, 118);
INSERT INTO public.ecdc_data VALUES (21359, 63, 4044, 121.41759397, 115, 118);
INSERT INTO public.ecdc_data VALUES (21360, 0, 1031, 253.69884019, 172, 118);
INSERT INTO public.ecdc_data VALUES (21361, 0, 0, 4.72874724, 173, 118);
INSERT INTO public.ecdc_data VALUES (21362, 54, 1030, 382.26991587, 116, 118);
INSERT INTO public.ecdc_data VALUES (21363, 73, 9337, 159.03366801, 174, 118);
INSERT INTO public.ecdc_data VALUES (21364, 2, 47, 44.39881327, 86, 118);
INSERT INTO public.ecdc_data VALUES (21365, 2, 353, 5.85920107, 117, 118);
INSERT INTO public.ecdc_data VALUES (21366, 0, 19, 72.35890014, 175, 118);
INSERT INTO public.ecdc_data VALUES (21367, 35, 1364, 212.56824472, 118, 118);
INSERT INTO public.ecdc_data VALUES (21368, 5, 130, 19.93916587, 119, 118);
INSERT INTO public.ecdc_data VALUES (21369, 7, 195, 10.70301581, 26, 118);
INSERT INTO public.ecdc_data VALUES (21370, 3, 118, 66.44403744, 176, 118);
INSERT INTO public.ecdc_data VALUES (21371, 9, 686, 219.62992358, 120, 118);
INSERT INTO public.ecdc_data VALUES (21372, 2, 384, 79.66207445, 121, 118);
INSERT INTO public.ecdc_data VALUES (21373, 0, 0, 0, 122, 118);
INSERT INTO public.ecdc_data VALUES (21374, 0, 44, 71.25118752, 177, 118);
INSERT INTO public.ecdc_data VALUES (21375, 6, 658, 252.15480995, 123, 118);
INSERT INTO public.ecdc_data VALUES (21376, 0, 0, 7.05793672, 27, 118);
INSERT INTO public.ecdc_data VALUES (21377, 0, 4, 0.5468494, 28, 118);
INSERT INTO public.ecdc_data VALUES (21378, 7, 1159, 184.61212494, 29, 118);
INSERT INTO public.ecdc_data VALUES (21379, 0, 3, 255.35463026, 178, 118);
INSERT INTO public.ecdc_data VALUES (21380, 0, 205, 87.36003069, 179, 118);
INSERT INTO public.ecdc_data VALUES (21381, 0, 242, 319.76204361, 180, 118);
INSERT INTO public.ecdc_data VALUES (21382, 0, 0, 0.88990054, 30, 118);
INSERT INTO public.ecdc_data VALUES (21383, 0, 3, 0.3542911, 31, 118);
INSERT INTO public.ecdc_data VALUES (21384, 3, 865, 26.76074011, 124, 118);
INSERT INTO public.ecdc_data VALUES (21385, 0, 22, 125.24554719, 125, 118);
INSERT INTO public.ecdc_data VALUES (21386, 0, 28, 1.10896197, 32, 118);
INSERT INTO public.ecdc_data VALUES (21387, 0, 134, 303.50981342, 181, 118);
INSERT INTO public.ecdc_data VALUES (21388, 0, 5, 1.87816332, 33, 118);
INSERT INTO public.ecdc_data VALUES (21389, 0, 12, 2.99290367, 34, 118);
INSERT INTO public.ecdc_data VALUES (21390, 171, 3699, 36.75704923, 87, 118);
INSERT INTO public.ecdc_data VALUES (21391, 17, 252, 257.24304509, 182, 118);
INSERT INTO public.ecdc_data VALUES (21392, 0, 3, 136.01329908, 183, 118);
INSERT INTO public.ecdc_data VALUES (21393, 0, 2, 0.34106772, 126, 118);
INSERT INTO public.ecdc_data VALUES (21394, 4, 145, 546.62462109, 184, 118);
INSERT INTO public.ecdc_data VALUES (21395, 0, 0, 0, 88, 118);
INSERT INTO public.ecdc_data VALUES (21396, 48, 2117, 112.56378427, 35, 118);
INSERT INTO public.ecdc_data VALUES (21397, 0, 214, 5.87498345, 36, 118);
INSERT INTO public.ecdc_data VALUES (21398, 34, 1180, 34.08984391, 127, 118);
INSERT INTO public.ecdc_data VALUES (21399, 0, 33, 26.9390072, 37, 118);
INSERT INTO public.ecdc_data VALUES (21400, 18, 3790, 163.49213867, 128, 118);
INSERT INTO public.ecdc_data VALUES (21401, 8, 7720, 553.36244659, 185, 118);
INSERT INTO public.ecdc_data VALUES (21402, 0, 0, 0, 207, 118);
INSERT INTO public.ecdc_data VALUES (21403, 0, 1, 0.60630617, 208, 118);
INSERT INTO public.ecdc_data VALUES (21404, 0, 0, 2.79581264, 89, 118);
INSERT INTO public.ecdc_data VALUES (21405, 0, 1, 0.04718859, 38, 118);
INSERT INTO public.ecdc_data VALUES (21406, 0, 118, 1.04148212, 39, 118);
INSERT INTO public.ecdc_data VALUES (21407, 12, 160, 236.62434549, 186, 118);
INSERT INTO public.ecdc_data VALUES (21408, 0, 2, 22.72210861, 209, 118);
INSERT INTO public.ecdc_data VALUES (21409, 0, 320, 37.51727596, 187, 118);
INSERT INTO public.ecdc_data VALUES (21410, 13, 641, 176.48269585, 129, 118);
INSERT INTO public.ecdc_data VALUES (21411, 0, 0, 3.56705317, 130, 118);
INSERT INTO public.ecdc_data VALUES (21412, 2, 543, 123.01708227, 131, 118);
INSERT INTO public.ecdc_data VALUES (21413, 10, 436, 218.11211273, 90, 118);
INSERT INTO public.ecdc_data VALUES (21414, 0, 0, 0.45578233, 210, 118);
INSERT INTO public.ecdc_data VALUES (21415, 19, 728, 152.41377166, 91, 118);
INSERT INTO public.ecdc_data VALUES (21416, 61, 2201, 125.73490958, 92, 118);
INSERT INTO public.ecdc_data VALUES (21417, 23, 2551, 31.82396875, 132, 118);
INSERT INTO public.ecdc_data VALUES (21418, 41, 7482, 213.7529346, 188, 118);
INSERT INTO public.ecdc_data VALUES (21419, 17, 1949, 213.83496145, 189, 118);
INSERT INTO public.ecdc_data VALUES (21420, 2, 657, 226.52863363, 93, 118);
INSERT INTO public.ecdc_data VALUES (21421, 0, 240, 105.18804084, 133, 118);
INSERT INTO public.ecdc_data VALUES (21422, 59, 2466, 233.65576314, 190, 118);
INSERT INTO public.ecdc_data VALUES (21423, 179, 15982, 129.85813752, 191, 118);
INSERT INTO public.ecdc_data VALUES (21424, 0, 18, 0.98994705, 40, 118);
INSERT INTO public.ecdc_data VALUES (21425, 0, 0, 0, 94, 118);
INSERT INTO public.ecdc_data VALUES (21426, 0, 3, 4.92354824, 95, 118);
INSERT INTO public.ecdc_data VALUES (21427, 0, 0, 2.71264908, 96, 118);
INSERT INTO public.ecdc_data VALUES (21428, 0, 7, 98.6851653, 192, 118);
INSERT INTO public.ecdc_data VALUES (21429, 0, 0, 9.30024925, 41, 118);
INSERT INTO public.ecdc_data VALUES (21430, 16, 381, 16.97475839, 134, 118);
INSERT INTO public.ecdc_data VALUES (21431, 2, 14, 1.90226506, 42, 118);
INSERT INTO public.ecdc_data VALUES (21432, 2, 122, 34.19127931, 193, 118);
INSERT INTO public.ecdc_data VALUES (21433, 0, 0, 1.0231121, 43, 118);
INSERT INTO public.ecdc_data VALUES (21434, 0, 1, 0.79352819, 44, 118);
INSERT INTO public.ecdc_data VALUES (21435, 0, 4, 1.65393396, 135, 118);
INSERT INTO public.ecdc_data VALUES (21436, 0, 3, 165.13718182, 97, 118);
INSERT INTO public.ecdc_data VALUES (21437, 4, 860, 315.62699469, 194, 118);
INSERT INTO public.ecdc_data VALUES (21438, 3, 537, 341.53359976, 195, 118);
INSERT INTO public.ecdc_data VALUES (21439, 0, 0, 0, 211, 118);
INSERT INTO public.ecdc_data VALUES (21440, 2, 26, 0.93894245, 45, 118);
INSERT INTO public.ecdc_data VALUES (21441, 21, 1461, 39.34371897, 46, 118);
INSERT INTO public.ecdc_data VALUES (21442, 3, 58, 2.13566256, 136, 118);
INSERT INTO public.ecdc_data VALUES (21443, 0, 5, 1.09382348, 47, 118);
INSERT INTO public.ecdc_data VALUES (21444, 218, 13873, 347.08607655, 196, 118);
INSERT INTO public.ecdc_data VALUES (21445, 0, 87, 8.87274246, 137, 118);
INSERT INTO public.ecdc_data VALUES (21446, 0, 6, 0.10277195, 48, 118);
INSERT INTO public.ecdc_data VALUES (21447, 0, 3, 30.78971314, 98, 118);
INSERT INTO public.ecdc_data VALUES (21448, 4, 771, 96.75289352, 197, 118);
INSERT INTO public.ecdc_data VALUES (21449, 14, 8737, 320.15815504, 198, 118);
INSERT INTO public.ecdc_data VALUES (21450, 3, 57, 4.23546813, 138, 118);
INSERT INTO public.ecdc_data VALUES (21451, 0, 0, 0.09253853, 139, 118);
INSERT INTO public.ecdc_data VALUES (21452, 0, 40, 5.9971958, 140, 118);
INSERT INTO public.ecdc_data VALUES (21453, 0, 9, 0.14362537, 141, 118);
INSERT INTO public.ecdc_data VALUES (21454, 0, 0, 0.07733234, 142, 118);
INSERT INTO public.ecdc_data VALUES (21455, 0, 14, 2.56113345, 49, 118);
INSERT INTO public.ecdc_data VALUES (21456, 1, 1, 38.06536203, 99, 118);
INSERT INTO public.ecdc_data VALUES (21457, 61, 2185, 164.80940417, 50, 118);
INSERT INTO public.ecdc_data VALUES (21458, 75, 2026, 28.62425464, 199, 118);
INSERT INTO public.ecdc_data VALUES (21459, 0, 0, 7.85463685, 100, 118);
INSERT INTO public.ecdc_data VALUES (21460, 0, 101, 3.89883917, 51, 118);
INSERT INTO public.ecdc_data VALUES (21461, 113, 5469, 179.27817435, 200, 118);
INSERT INTO public.ecdc_data VALUES (21462, 3, 915, 171.7819491, 143, 118);
INSERT INTO public.ecdc_data VALUES (21463, 80, 18803, 338.56080666, 201, 118);
INSERT INTO public.ecdc_data VALUES (21464, 0, 0, 0, 52, 118);
INSERT INTO public.ecdc_data VALUES (21465, 459, 60160, 229.8042, 101, 118);
INSERT INTO public.ecdc_data VALUES (21466, 0, 1, 14.34322378, 102, 118);
INSERT INTO public.ecdc_data VALUES (21467, 0, 29, 11.69934926, 103, 118);
INSERT INTO public.ecdc_data VALUES (21468, 4, 307, 14.52623067, 144, 118);
INSERT INTO public.ecdc_data VALUES (21469, 0, 0, 26.36781137, 104, 118);
INSERT INTO public.ecdc_data VALUES (21470, 0, 6, 0.04457709, 145, 118);
INSERT INTO public.ecdc_data VALUES (21471, 0, 0, 0, 213, 118);
INSERT INTO public.ecdc_data VALUES (21472, 0, 0, 0, 53, 118);
INSERT INTO public.ecdc_data VALUES (21473, 2, 1, 0.05143694, 146, 118);
INSERT INTO public.ecdc_data VALUES (21474, 0, 44, 4.52381424, 54, 118);
INSERT INTO public.ecdc_data VALUES (21475, 1, 12, 1.78212066, 55, 118);
INSERT INTO public.ecdc_data VALUES (21476, 4, 125, 1.89265706, 105, 119);
INSERT INTO public.ecdc_data VALUES (21477, 5, 153, 74.20276569, 147, 119);
INSERT INTO public.ecdc_data VALUES (21478, 6, 210, 8.2502858, 1, 119);
INSERT INTO public.ecdc_data VALUES (21479, 0, 0, 458.14353414, 148, 119);
INSERT INTO public.ecdc_data VALUES (21480, 0, 112, 3.22070815, 2, 119);
INSERT INTO public.ecdc_data VALUES (21481, 0, 0, 0, 56, 119);
INSERT INTO public.ecdc_data VALUES (21482, 0, 1, 1.02970705, 57, 119);
INSERT INTO public.ecdc_data VALUES (21483, 214, 11945, 338.9319165, 58, 119);
INSERT INTO public.ecdc_data VALUES (21484, 2, 244, 84.69338627, 149, 119);
INSERT INTO public.ecdc_data VALUES (21485, 0, 0, 970.74593171, 59, 119);
INSERT INTO public.ecdc_data VALUES (21486, 7, 24, 2.69013459, 202, 119);
INSERT INTO public.ecdc_data VALUES (21487, 2, 757, 101.30068774, 150, 119);
INSERT INTO public.ecdc_data VALUES (21488, 2, 148, 18.41213911, 151, 119);
INSERT INTO public.ecdc_data VALUES (21489, 1, 101, 215.41210724, 60, 119);
INSERT INTO public.ecdc_data VALUES (21490, 1, 690, 596.16223607, 106, 119);
INSERT INTO public.ecdc_data VALUES (21491, 32, 1567, 14.60138534, 107, 119);
INSERT INTO public.ecdc_data VALUES (21492, 0, 0, 2.43884594, 61, 119);
INSERT INTO public.ecdc_data VALUES (21493, 3, 231, 29.60091972, 152, 119);
INSERT INTO public.ecdc_data VALUES (21494, 8, 894, 134.37191279, 153, 119);
INSERT INTO public.ecdc_data VALUES (21495, 0, 16, 105.54603421, 62, 119);
INSERT INTO public.ecdc_data VALUES (21496, 0, 0, 0.56774123, 3, 119);
INSERT INTO public.ecdc_data VALUES (21497, 0, 2, 7.99897613, 63, 119);
INSERT INTO public.ecdc_data VALUES (21498, 0, 1, 4.06240909, 108, 119);
INSERT INTO public.ecdc_data VALUES (21499, 36, 419, 88.84660277, 64, 119);
INSERT INTO public.ecdc_data VALUES (21500, 0, 0, 69.27606512, 65, 119);
INSERT INTO public.ecdc_data VALUES (21501, 6, 320, 123.29604562, 154, 119);
INSERT INTO public.ecdc_data VALUES (21502, 0, 0, 24.52573096, 4, 119);
INSERT INTO public.ecdc_data VALUES (21503, 739, 33057, 192.01180932, 66, 119);
INSERT INTO public.ecdc_data VALUES (21504, 0, 2, 26.63736556, 67, 119);
INSERT INTO public.ecdc_data VALUES (21505, 0, 0, 0, 109, 119);
INSERT INTO public.ecdc_data VALUES (21506, 2, 86, 26.6427087, 155, 119);
INSERT INTO public.ecdc_data VALUES (21507, 0, 19, 1.8158213, 5, 119);
INSERT INTO public.ecdc_data VALUES (21508, 0, 0, 0.11274371, 6, 119);
INSERT INTO public.ecdc_data VALUES (21509, 0, 0, 0.00606555, 110, 119);
INSERT INTO public.ecdc_data VALUES (21510, 0, 60, 3.19596395, 7, 119);
INSERT INTO public.ecdc_data VALUES (21511, 6, 863, 30.14885607, 68, 119);
INSERT INTO public.ecdc_data VALUES (21512, 0, 45, 165.65563993, 8, 119);
INSERT INTO public.ecdc_data VALUES (21513, 0, 0, 6.15877317, 69, 119);
INSERT INTO public.ecdc_data VALUES (21514, 0, 0, 1.20121917, 9, 119);
INSERT INTO public.ecdc_data VALUES (21515, 0, 2, 0.72114411, 10, 119);
INSERT INTO public.ecdc_data VALUES (21516, 55, 1847, 127.90183218, 70, 119);
INSERT INTO public.ecdc_data VALUES (21517, 0, 25, 0.02148162, 111, 119);
INSERT INTO public.ecdc_data VALUES (21518, 189, 7927, 198.53616577, 71, 119);
INSERT INTO public.ecdc_data VALUES (21519, 0, 0, 2.58552506, 11, 119);
INSERT INTO public.ecdc_data VALUES (21520, 0, 6, 6.65365178, 12, 119);
INSERT INTO public.ecdc_data VALUES (21521, 20, 1338, 332.67552388, 72, 119);
INSERT INTO public.ecdc_data VALUES (21522, 0, 69, 3.09917106, 13, 119);
INSERT INTO public.ecdc_data VALUES (21523, 0, 212, 73.25367507, 156, 119);
INSERT INTO public.ecdc_data VALUES (21524, 2, 51, 6.67932297, 73, 119);
INSERT INTO public.ecdc_data VALUES (21525, 0, 19, 97.29352661, 74, 119);
INSERT INTO public.ecdc_data VALUES (21526, 0, 15, 8.33429425, 157, 119);
INSERT INTO public.ecdc_data VALUES (21527, 4, 2044, 192.99892956, 158, 119);
INSERT INTO public.ecdc_data VALUES (21528, 0, 32, 0.35718167, 14, 119);
INSERT INTO public.ecdc_data VALUES (21529, 0, 0, 74.06028266, 159, 119);
INSERT INTO public.ecdc_data VALUES (21530, 0, 0, 1.64345796, 15, 119);
INSERT INTO public.ecdc_data VALUES (21531, 0, 0, 5.57040998, 75, 119);
INSERT INTO public.ecdc_data VALUES (21532, 10, 968, 83.09931775, 76, 119);
INSERT INTO public.ecdc_data VALUES (21533, 40, 1491, 43.6004924, 77, 119);
INSERT INTO public.ecdc_data VALUES (21534, 17, 128, 2.17954172, 16, 119);
INSERT INTO public.ecdc_data VALUES (21535, 3, 82, 17.35478922, 78, 119);
INSERT INTO public.ecdc_data VALUES (21536, 0, 0, 2.21241875, 17, 119);
INSERT INTO public.ecdc_data VALUES (21537, 0, 0, 0.97222941, 18, 119);
INSERT INTO public.ecdc_data VALUES (21538, 0, 61, 29.06055162, 160, 119);
INSERT INTO public.ecdc_data VALUES (21539, 1, 30, 37.10371534, 19, 119);
INSERT INTO public.ecdc_data VALUES (21540, 17, 616, 9.5156327, 20, 119);
INSERT INTO public.ecdc_data VALUES (21541, 0, 0, 0, 79, 119);
INSERT INTO public.ecdc_data VALUES (21542, 0, 1, 36.97844978, 161, 119);
INSERT INTO public.ecdc_data VALUES (21543, 0, 0, 0.11236523, 203, 119);
INSERT INTO public.ecdc_data VALUES (21544, 0, 64, 11.97915374, 162, 119);
INSERT INTO public.ecdc_data VALUES (21545, 25, 13498, 185.76726508, 163, 119);
INSERT INTO public.ecdc_data VALUES (21546, 0, 62, 206.59899386, 204, 119);
INSERT INTO public.ecdc_data VALUES (21547, 0, 0, 4.37268535, 21, 119);
INSERT INTO public.ecdc_data VALUES (21548, 0, 19, 15.07861324, 22, 119);
INSERT INTO public.ecdc_data VALUES (21549, 0, 196, 47.06309758, 164, 119);
INSERT INTO public.ecdc_data VALUES (21550, 2, 1345, 25.8133018, 165, 119);
INSERT INTO public.ecdc_data VALUES (21551, 2, 20, 3.61629672, 23, 119);
INSERT INTO public.ecdc_data VALUES (21552, 0, 3, 100.87224826, 166, 119);
INSERT INTO public.ecdc_data VALUES (21553, 4, 240, 33.49309377, 167, 119);
INSERT INTO public.ecdc_data VALUES (21554, 0, 0, 0, 80, 119);
INSERT INTO public.ecdc_data VALUES (21555, 0, 0, 0, 81, 119);
INSERT INTO public.ecdc_data VALUES (21556, 0, 72, 297.67775486, 205, 119);
INSERT INTO public.ecdc_data VALUES (21557, 29, 808, 43.63114906, 82, 119);
INSERT INTO public.ecdc_data VALUES (21558, 0, 0, 3.10231433, 168, 119);
INSERT INTO public.ecdc_data VALUES (21559, 0, 55, 4.98776705, 24, 119);
INSERT INTO public.ecdc_data VALUES (21560, 0, 0, 3.01939126, 25, 119);
INSERT INTO public.ecdc_data VALUES (21561, 2, 66, 90.57519722, 83, 119);
INSERT INTO public.ecdc_data VALUES (21562, 0, 15, 2.47712016, 84, 119);
INSERT INTO public.ecdc_data VALUES (21563, 0, 0, 0, 169, 119);
INSERT INTO public.ecdc_data VALUES (21564, 20, 532, 69.67904647, 85, 119);
INSERT INTO public.ecdc_data VALUES (21565, 8, 1070, 103.32806836, 170, 119);
INSERT INTO public.ecdc_data VALUES (21566, 0, 77, 47.90036724, 171, 119);
INSERT INTO public.ecdc_data VALUES (21567, 1133, 92605, 94.17383478, 112, 119);
INSERT INTO public.ecdc_data VALUES (21568, 112, 4168, 18.48384118, 113, 119);
INSERT INTO public.ecdc_data VALUES (21569, 166, 2845, 41.46108542, 114, 119);
INSERT INTO public.ecdc_data VALUES (21570, 83, 3907, 149.77948622, 115, 119);
INSERT INTO public.ecdc_data VALUES (21571, 0, 267, 61.25311975, 172, 119);
INSERT INTO public.ecdc_data VALUES (21572, 0, 0, 3.54656043, 173, 119);
INSERT INTO public.ecdc_data VALUES (21573, 30, 4531, 638.88504471, 116, 119);
INSERT INTO public.ecdc_data VALUES (21574, 24, 1637, 33.51748206, 174, 119);
INSERT INTO public.ecdc_data VALUES (21575, 5, 187, 58.81401239, 86, 119);
INSERT INTO public.ecdc_data VALUES (21576, 5, 584, 5.70548868, 117, 119);
INSERT INTO public.ecdc_data VALUES (21577, 0, 0, 8.34910386, 175, 119);
INSERT INTO public.ecdc_data VALUES (21578, 1, 196, 21.64982775, 118, 119);
INSERT INTO public.ecdc_data VALUES (21579, 5, 335, 23.84722082, 119, 119);
INSERT INTO public.ecdc_data VALUES (21580, 0, 105, 3.44086647, 26, 119);
INSERT INTO public.ecdc_data VALUES (21581, 0, 63, 54.21166235, 176, 119);
INSERT INTO public.ecdc_data VALUES (21582, 1, 521, 239.7388971, 120, 119);
INSERT INTO public.ecdc_data VALUES (21583, 0, 81, 15.78902004, 121, 119);
INSERT INTO public.ecdc_data VALUES (21584, 0, 0, 0.01394806, 122, 119);
INSERT INTO public.ecdc_data VALUES (21585, 0, 17, 4.68757813, 177, 119);
INSERT INTO public.ecdc_data VALUES (21586, 5, 779, 120.86277291, 123, 119);
INSERT INTO public.ecdc_data VALUES (21587, 0, 63, 11.38680458, 27, 119);
INSERT INTO public.ecdc_data VALUES (21588, 0, 1, 0.58735676, 28, 119);
INSERT INTO public.ecdc_data VALUES (21589, 8, 796, 149.61372657, 29, 119);
INSERT INTO public.ecdc_data VALUES (21590, 0, 0, 10.42263797, 178, 119);
INSERT INTO public.ecdc_data VALUES (21591, 0, 99, 22.33210125, 179, 119);
INSERT INTO public.ecdc_data VALUES (21592, 0, 0, 140.74090967, 180, 119);
INSERT INTO public.ecdc_data VALUES (21593, 2, 49, 2.78464711, 30, 119);
INSERT INTO public.ecdc_data VALUES (21594, 0, 0, 0.56364493, 31, 119);
INSERT INTO public.ecdc_data VALUES (21595, 1, 20, 2.42881103, 124, 119);
INSERT INTO public.ecdc_data VALUES (21596, 0, 81, 219.03845321, 125, 119);
INSERT INTO public.ecdc_data VALUES (21597, 0, 15, 0.88004781, 32, 119);
INSERT INTO public.ecdc_data VALUES (21598, 1, 32, 140.00352541, 181, 119);
INSERT INTO public.ecdc_data VALUES (21599, 0, 0, 5.01580088, 33, 119);
INSERT INTO public.ecdc_data VALUES (21600, 0, 1, 0.86636685, 34, 119);
INSERT INTO public.ecdc_data VALUES (21601, 455, 2658, 48.66842449, 87, 119);
INSERT INTO public.ecdc_data VALUES (21602, 15, 688, 169.73935376, 182, 119);
INSERT INTO public.ecdc_data VALUES (21603, 0, 1, 136.01329908, 183, 119);
INSERT INTO public.ecdc_data VALUES (21604, 0, 1, 0.06201231, 126, 119);
INSERT INTO public.ecdc_data VALUES (21605, 1, 187, 397.95429633, 184, 119);
INSERT INTO public.ecdc_data VALUES (21606, 0, 0, 0, 88, 119);
INSERT INTO public.ecdc_data VALUES (21607, 40, 2552, 81.31221285, 35, 119);
INSERT INTO public.ecdc_data VALUES (21608, 1, 273, 7.23176214, 36, 119);
INSERT INTO public.ecdc_data VALUES (21609, 6, 642, 7.29756537, 127, 119);
INSERT INTO public.ecdc_data VALUES (21610, 3, 85, 71.27612322, 37, 119);
INSERT INTO public.ecdc_data VALUES (21611, 11, 1204, 61.24008016, 128, 119);
INSERT INTO public.ecdc_data VALUES (21612, 2, 1882, 104.44873133, 185, 119);
INSERT INTO public.ecdc_data VALUES (21613, 0, 0, 0, 207, 119);
INSERT INTO public.ecdc_data VALUES (21614, 0, 4, 0.8990057, 208, 119);
INSERT INTO public.ecdc_data VALUES (21615, 0, 0, 4.47635575, 89, 119);
INSERT INTO public.ecdc_data VALUES (21616, 0, 0, 0.02144936, 38, 119);
INSERT INTO public.ecdc_data VALUES (21617, 1, 189, 1.1146297, 39, 119);
INSERT INTO public.ecdc_data VALUES (21618, 6, 140, 86.41723299, 186, 119);
INSERT INTO public.ecdc_data VALUES (21619, 0, 6, 17.47854509, 209, 119);
INSERT INTO public.ecdc_data VALUES (21620, 0, 0, 28.62123354, 187, 119);
INSERT INTO public.ecdc_data VALUES (21621, 0, 0, 108.00017367, 129, 119);
INSERT INTO public.ecdc_data VALUES (21622, 1, 640, 3.30708541, 130, 119);
INSERT INTO public.ecdc_data VALUES (21623, 5, 726, 227.92688513, 131, 119);
INSERT INTO public.ecdc_data VALUES (21624, 18, 722, 218.91278341, 90, 119);
INSERT INTO public.ecdc_data VALUES (21625, 0, 0, 0.31904763, 210, 119);
INSERT INTO public.ecdc_data VALUES (21626, 25, 888, 158.19121462, 91, 119);
INSERT INTO public.ecdc_data VALUES (21627, 86, 6453, 243.50007699, 92, 119);
INSERT INTO public.ecdc_data VALUES (21628, 100, 3934, 45.21968879, 132, 119);
INSERT INTO public.ecdc_data VALUES (21629, 12, 1002, 20.91759757, 188, 119);
INSERT INTO public.ecdc_data VALUES (21630, 5, 849, 78.64455783, 189, 119);
INSERT INTO public.ecdc_data VALUES (21631, 6, 1309, 221.61966098, 93, 119);
INSERT INTO public.ecdc_data VALUES (21632, 0, 229, 115.88692515, 133, 119);
INSERT INTO public.ecdc_data VALUES (21633, 42, 1333, 91.09705767, 190, 119);
INSERT INTO public.ecdc_data VALUES (21634, 144, 6065, 52.74546374, 191, 119);
INSERT INTO public.ecdc_data VALUES (21635, 1, 18, 2.69265597, 40, 119);
INSERT INTO public.ecdc_data VALUES (21636, 0, 0, 0, 94, 119);
INSERT INTO public.ecdc_data VALUES (21637, 0, 0, 0.54706092, 95, 119);
INSERT INTO public.ecdc_data VALUES (21638, 0, 0, 2.71264908, 96, 119);
INSERT INTO public.ecdc_data VALUES (21639, 0, 0, 20.31753403, 192, 119);
INSERT INTO public.ecdc_data VALUES (21640, 0, 0, 4.65012462, 41, 119);
INSERT INTO public.ecdc_data VALUES (21641, 28, 551, 27.25240993, 134, 119);
INSERT INTO public.ecdc_data VALUES (21642, 1, 43, 4.54089078, 42, 119);
INSERT INTO public.ecdc_data VALUES (21643, 1, 83, 14.23080966, 193, 119);
INSERT INTO public.ecdc_data VALUES (21644, 0, 0, 5.11556051, 43, 119);
INSERT INTO public.ecdc_data VALUES (21645, 0, 6, 1.51026333, 44, 119);
INSERT INTO public.ecdc_data VALUES (21646, 0, 15, 9.92360376, 135, 119);
INSERT INTO public.ecdc_data VALUES (21647, 0, 10, 172.21448961, 97, 119);
INSERT INTO public.ecdc_data VALUES (21648, 0, 290, 37.06135728, 194, 119);
INSERT INTO public.ecdc_data VALUES (21649, 0, 114, 56.60990298, 195, 119);
INSERT INTO public.ecdc_data VALUES (21650, 0, 52, 0.71230117, 45, 119);
INSERT INTO public.ecdc_data VALUES (21651, 83, 2029, 38.88776285, 46, 119);
INSERT INTO public.ecdc_data VALUES (21652, 5, 82, 3.50998289, 136, 119);
INSERT INTO public.ecdc_data VALUES (21653, 0, 33, 0.88590662, 47, 119);
INSERT INTO public.ecdc_data VALUES (21654, 0, 0, 300.51093954, 196, 119);
INSERT INTO public.ecdc_data VALUES (21655, 0, 2, 0.75971685, 137, 119);
INSERT INTO public.ecdc_data VALUES (21656, 0, 0, 0.80816127, 48, 119);
INSERT INTO public.ecdc_data VALUES (21657, 1, 18, 66.91172297, 98, 119);
INSERT INTO public.ecdc_data VALUES (21658, 1, 279, 34.19293004, 197, 119);
INSERT INTO public.ecdc_data VALUES (21659, 0, 0, 62.28548403, 198, 119);
INSERT INTO public.ecdc_data VALUES (21660, 0, 34, 3.87226062, 138, 119);
INSERT INTO public.ecdc_data VALUES (21661, 0, 1, 0.05888816, 139, 119);
INSERT INTO public.ecdc_data VALUES (21662, 0, 44, 5.85772613, 140, 119);
INSERT INTO public.ecdc_data VALUES (21663, 0, 6, 0.08904773, 141, 119);
INSERT INTO public.ecdc_data VALUES (21664, 0, 0, 0, 142, 119);
INSERT INTO public.ecdc_data VALUES (21665, 0, 19, 2.25181782, 49, 119);
INSERT INTO public.ecdc_data VALUES (21666, 1, 202, 116.3466715, 99, 119);
INSERT INTO public.ecdc_data VALUES (21667, 22, 1166, 44.41320148, 50, 119);
INSERT INTO public.ecdc_data VALUES (21668, 68, 1538, 28.19378722, 199, 119);
INSERT INTO public.ecdc_data VALUES (21669, 0, 1, 201.60234592, 100, 119);
INSERT INTO public.ecdc_data VALUES (21670, 2, 423, 5.59752229, 51, 119);
INSERT INTO public.ecdc_data VALUES (21671, 48, 3240, 88.47869225, 200, 119);
INSERT INTO public.ecdc_data VALUES (21672, 1, 809, 110.23971483, 143, 119);
INSERT INTO public.ecdc_data VALUES (21673, 27, 4422, 69.3113304, 201, 119);
INSERT INTO public.ecdc_data VALUES (21674, 0, 0, 0, 52, 119);
INSERT INTO public.ecdc_data VALUES (21675, 669, 40295, 157.74881283, 101, 119);
INSERT INTO public.ecdc_data VALUES (21676, 0, 0, 71.71611891, 102, 119);
INSERT INTO public.ecdc_data VALUES (21677, 0, 14, 6.7885113, 103, 119);
INSERT INTO public.ecdc_data VALUES (21678, 10, 982, 23.52515629, 144, 119);
INSERT INTO public.ecdc_data VALUES (21679, 9, 775, 48.33806515, 104, 119);
INSERT INTO public.ecdc_data VALUES (21680, 0, 0, 0.01969685, 145, 119);
INSERT INTO public.ecdc_data VALUES (21681, 0, 0, 0, 53, 119);
INSERT INTO public.ecdc_data VALUES (21682, 1, 4, 0.1405943, 146, 119);
INSERT INTO public.ecdc_data VALUES (21683, 0, 2, 7.3623957, 54, 119);
INSERT INTO public.ecdc_data VALUES (21684, 1, 25, 5.7014205, 55, 119);
INSERT INTO public.ecdc_data VALUES (21685, 8, 160, 2.26855978, 105, 120);
INSERT INTO public.ecdc_data VALUES (21686, 2, 158, 67.18075256, 147, 120);
INSERT INTO public.ecdc_data VALUES (21687, 11, 403, 15.77588433, 1, 120);
INSERT INTO public.ecdc_data VALUES (21688, 0, 19, 111.58223611, 148, 120);
INSERT INTO public.ecdc_data VALUES (21689, 0, 0, 1.95441997, 2, 120);
INSERT INTO public.ecdc_data VALUES (21690, 0, 0, 0, 56, 120);
INSERT INTO public.ecdc_data VALUES (21691, 0, 1, 2.0594141, 57, 120);
INSERT INTO public.ecdc_data VALUES (21692, 237, 6840, 206.40823302, 58, 120);
INSERT INTO public.ecdc_data VALUES (21693, 1, 210, 83.51004555, 149, 120);
INSERT INTO public.ecdc_data VALUES (21694, 1, 175, 1058.225943, 59, 120);
INSERT INTO public.ecdc_data VALUES (21695, 12, 220, 18.04929533, 202, 120);
INSERT INTO public.ecdc_data VALUES (21696, 0, 425, 30.76046067, 150, 120);
INSERT INTO public.ecdc_data VALUES (21697, 1, 146, 15.09795407, 151, 120);
INSERT INTO public.ecdc_data VALUES (21698, 2, 107, 200.2639376, 60, 120);
INSERT INTO public.ecdc_data VALUES (21699, 0, 0, 284.61506589, 106, 120);
INSERT INTO public.ecdc_data VALUES (21700, 41, 2747, 23.56203724, 107, 120);
INSERT INTO public.ecdc_data VALUES (21701, 0, 2, 7.66494438, 61, 120);
INSERT INTO public.ecdc_data VALUES (21702, 5, 128, 15.07552202, 152, 120);
INSERT INTO public.ecdc_data VALUES (21703, 9, 612, 69.18062813, 153, 120);
INSERT INTO public.ecdc_data VALUES (21704, 1, 0, 119.63591742, 62, 120);
INSERT INTO public.ecdc_data VALUES (21705, 0, 0, 1.26258871, 3, 120);
INSERT INTO public.ecdc_data VALUES (21706, 0, 0, 14.39815704, 63, 120);
INSERT INTO public.ecdc_data VALUES (21707, 0, 3, 5.89704545, 108, 120);
INSERT INTO public.ecdc_data VALUES (21708, 61, 2031, 172.92472524, 64, 120);
INSERT INTO public.ecdc_data VALUES (21709, 0, 0, 0, 65, 120);
INSERT INTO public.ecdc_data VALUES (21710, 12, 340, 107.39176455, 154, 120);
INSERT INTO public.ecdc_data VALUES (21711, 0, 0, 21.87782019, 4, 120);
INSERT INTO public.ecdc_data VALUES (21712, 1212, 49298, 283.14634538, 66, 120);
INSERT INTO public.ecdc_data VALUES (21713, 0, 0, 6.65934139, 67, 120);
INSERT INTO public.ecdc_data VALUES (21714, 0, 0, 0.23078911, 109, 120);
INSERT INTO public.ecdc_data VALUES (21715, 8, 151, 34.37123707, 155, 120);
INSERT INTO public.ecdc_data VALUES (21716, 0, 7, 0.65940394, 5, 120);
INSERT INTO public.ecdc_data VALUES (21717, 0, 6, 0.19079704, 6, 120);
INSERT INTO public.ecdc_data VALUES (21718, 0, 0, 0.1819666, 110, 120);
INSERT INTO public.ecdc_data VALUES (21719, 0, 25, 3.50126159, 7, 120);
INSERT INTO public.ecdc_data VALUES (21720, 4, 336, 14.21505599, 68, 120);
INSERT INTO public.ecdc_data VALUES (21721, 0, 68, 114.9224637, 8, 120);
INSERT INTO public.ecdc_data VALUES (21722, 0, 2, 3.07938659, 69, 120);
INSERT INTO public.ecdc_data VALUES (21723, 0, 0, 1.28551526, 9, 120);
INSERT INTO public.ecdc_data VALUES (21724, 0, 1, 0.20066619, 10, 120);
INSERT INTO public.ecdc_data VALUES (21725, 32, 1182, 133.56876979, 70, 120);
INSERT INTO public.ecdc_data VALUES (21726, 1, 33, 0.08362489, 111, 120);
INSERT INTO public.ecdc_data VALUES (21727, 360, 13056, 310.81790079, 71, 120);
INSERT INTO public.ecdc_data VALUES (21728, 0, 0, 1.99790572, 11, 120);
INSERT INTO public.ecdc_data VALUES (21729, 1, 15, 5.65002832, 12, 120);
INSERT INTO public.ecdc_data VALUES (21730, 7, 766, 197.95699349, 72, 120);
INSERT INTO public.ecdc_data VALUES (21731, 1, 82, 3.43358601, 13, 120);
INSERT INTO public.ecdc_data VALUES (21732, 2, 219, 41.65597464, 156, 120);
INSERT INTO public.ecdc_data VALUES (21733, 0, 74, 6.67049956, 73, 120);
INSERT INTO public.ecdc_data VALUES (21734, 0, 0, 2.44763589, 74, 120);
INSERT INTO public.ecdc_data VALUES (21735, 1, 26, 21.69199874, 157, 120);
INSERT INTO public.ecdc_data VALUES (21736, 3, 315, 30.69541212, 158, 120);
INSERT INTO public.ecdc_data VALUES (21737, 3, 20, 0.56227308, 14, 120);
INSERT INTO public.ecdc_data VALUES (21738, 0, 85, 30.22692932, 159, 120);
INSERT INTO public.ecdc_data VALUES (21739, 0, 0, 4.51950939, 15, 120);
INSERT INTO public.ecdc_data VALUES (21740, 0, 0, 0, 75, 120);
INSERT INTO public.ecdc_data VALUES (21741, 12, 1004, 116.09134854, 76, 120);
INSERT INTO public.ecdc_data VALUES (21742, 41, 1534, 89.84291563, 77, 120);
INSERT INTO public.ecdc_data VALUES (21743, 24, 324, 2.03111772, 16, 120);
INSERT INTO public.ecdc_data VALUES (21744, 7, 255, 77.72466317, 78, 120);
INSERT INTO public.ecdc_data VALUES (21745, 0, 0, 5.23605771, 17, 120);
INSERT INTO public.ecdc_data VALUES (21746, 0, 0, 0.62908962, 18, 120);
INSERT INTO public.ecdc_data VALUES (21747, 0, 7, 7.09530351, 160, 120);
INSERT INTO public.ecdc_data VALUES (21748, 3, 69, 100.0755139, 19, 120);
INSERT INTO public.ecdc_data VALUES (21749, 28, 1336, 12.24317974, 20, 120);
INSERT INTO public.ecdc_data VALUES (21750, 0, 0, 0, 79, 120);
INSERT INTO public.ecdc_data VALUES (21751, 0, 9, 289.66452329, 161, 120);
INSERT INTO public.ecdc_data VALUES (21752, 0, 0, 0.11236523, 203, 120);
INSERT INTO public.ecdc_data VALUES (21753, 0, 29, 5.30997284, 162, 120);
INSERT INTO public.ecdc_data VALUES (21754, 17, 3776, 46.28065323, 163, 120);
INSERT INTO public.ecdc_data VALUES (21755, 0, 21, 60.86972089, 204, 120);
INSERT INTO public.ecdc_data VALUES (21756, 0, 49, 24.48703798, 21, 120);
INSERT INTO public.ecdc_data VALUES (21757, 14, 416, 63.42388452, 22, 120);
INSERT INTO public.ecdc_data VALUES (21758, 0, 0, 3.87813935, 164, 120);
INSERT INTO public.ecdc_data VALUES (21759, 10, 1707, 18.73542212, 165, 120);
INSERT INTO public.ecdc_data VALUES (21760, 8, 101, 13.21263318, 23, 120);
INSERT INTO public.ecdc_data VALUES (21761, 0, 1, 100.87224826, 166, 120);
INSERT INTO public.ecdc_data VALUES (21762, 3, 212, 25.27833442, 167, 120);
INSERT INTO public.ecdc_data VALUES (21763, 0, 0, 0, 80, 120);
INSERT INTO public.ecdc_data VALUES (21764, 0, 0, 0, 81, 120);
INSERT INTO public.ecdc_data VALUES (21765, 0, 0, 120.74479213, 205, 120);
INSERT INTO public.ecdc_data VALUES (21766, 48, 1034, 64.68171387, 82, 120);
INSERT INTO public.ecdc_data VALUES (21767, 0, 0, 0, 168, 120);
INSERT INTO public.ecdc_data VALUES (21768, 1, 77, 9.529219, 24, 120);
INSERT INTO public.ecdc_data VALUES (21769, 0, 0, 4.42496995, 25, 120);
INSERT INTO public.ecdc_data VALUES (21770, 2, 39, 34.10941842, 83, 120);
INSERT INTO public.ecdc_data VALUES (21771, 0, 28, 3.59581958, 84, 120);
INSERT INTO public.ecdc_data VALUES (21772, 0, 0, 0, 169, 120);
INSERT INTO public.ecdc_data VALUES (21773, 15, 626, 73.85506943, 85, 120);
INSERT INTO public.ecdc_data VALUES (21774, 0, 32, 4.48184729, 170, 120);
INSERT INTO public.ecdc_data VALUES (21775, 0, 8, 30.53298262, 171, 120);
INSERT INTO public.ecdc_data VALUES (21776, 977, 69652, 63.84496953, 112, 120);
INSERT INTO public.ecdc_data VALUES (21777, 69, 1902, 10.3737427, 113, 120);
INSERT INTO public.ecdc_data VALUES (21778, 0, 0, 36.60665167, 114, 120);
INSERT INTO public.ecdc_data VALUES (21779, 85, 4093, 130.36447486, 115, 120);
INSERT INTO public.ecdc_data VALUES (21780, 0, 48, 25.36580591, 172, 120);
INSERT INTO public.ecdc_data VALUES (21781, 0, 0, 0, 173, 120);
INSERT INTO public.ecdc_data VALUES (21782, 71, 1560, 230.592087, 116, 120);
INSERT INTO public.ecdc_data VALUES (21783, 7, 642, 10.72738354, 174, 120);
INSERT INTO public.ecdc_data VALUES (21784, 0, 46, 8.95438251, 86, 120);
INSERT INTO public.ecdc_data VALUES (21785, 16, 951, 12.79990677, 117, 120);
INSERT INTO public.ecdc_data VALUES (21786, 0, 4, 15.77052952, 175, 120);
INSERT INTO public.ecdc_data VALUES (21787, 0, 44, 2.48473103, 118, 120);
INSERT INTO public.ecdc_data VALUES (21788, 6, 1031, 101.50162025, 119, 120);
INSERT INTO public.ecdc_data VALUES (21789, 19, 379, 13.58467015, 26, 120);
INSERT INTO public.ecdc_data VALUES (21790, 9, 162, 130.99761691, 176, 120);
INSERT INTO public.ecdc_data VALUES (21791, 2, 675, 207.26979801, 120, 120);
INSERT INTO public.ecdc_data VALUES (21792, 0, 179, 57.13973096, 121, 120);
INSERT INTO public.ecdc_data VALUES (21793, 0, 0, 0, 122, 120);
INSERT INTO public.ecdc_data VALUES (21794, 0, 3, 3.5938099, 177, 120);
INSERT INTO public.ecdc_data VALUES (21795, 4, 1010, 71.9108702, 123, 120);
INSERT INTO public.ecdc_data VALUES (21796, 0, 0, 10.35164052, 27, 120);
INSERT INTO public.ecdc_data VALUES (21797, 0, 0, 1.23547457, 28, 120);
INSERT INTO public.ecdc_data VALUES (21798, 7, 489, 71.47227727, 29, 120);
INSERT INTO public.ecdc_data VALUES (21799, 0, 1, 23.45093543, 178, 120);
INSERT INTO public.ecdc_data VALUES (21800, 0, 22, 12.49022971, 179, 120);
INSERT INTO public.ecdc_data VALUES (21801, 0, 67, 91.0580654, 180, 120);
INSERT INTO public.ecdc_data VALUES (21802, 0, 65, 6.86706584, 30, 120);
INSERT INTO public.ecdc_data VALUES (21803, 1, 47, 4.36959025, 31, 120);
INSERT INTO public.ecdc_data VALUES (21804, 0, 16, 0.66354116, 124, 120);
INSERT INTO public.ecdc_data VALUES (21805, 0, 146, 307.18118416, 125, 120);
INSERT INTO public.ecdc_data VALUES (21806, 0, 1, 0.61552477, 32, 120);
INSERT INTO public.ecdc_data VALUES (21807, 0, 40, 135.74871495, 181, 120);
INSERT INTO public.ecdc_data VALUES (21808, 1, 40, 9.87692948, 33, 120);
INSERT INTO public.ecdc_data VALUES (21809, 0, 0, 0.15752125, 34, 120);
INSERT INTO public.ecdc_data VALUES (21810, 707, 6148, 59.92293397, 87, 120);
INSERT INTO public.ecdc_data VALUES (21811, 6, 626, 128.43602857, 182, 120);
INSERT INTO public.ecdc_data VALUES (21812, 0, 0, 30.22517757, 183, 120);
INSERT INTO public.ecdc_data VALUES (21813, 0, 0, 0.15503078, 126, 120);
INSERT INTO public.ecdc_data VALUES (21814, 0, 42, 122.63292734, 184, 120);
INSERT INTO public.ecdc_data VALUES (21815, 0, 0, 0, 88, 120);
INSERT INTO public.ecdc_data VALUES (21816, 29, 1510, 48.84051954, 35, 120);
INSERT INTO public.ecdc_data VALUES (21817, 0, 131, 3.18118498, 36, 120);
INSERT INTO public.ecdc_data VALUES (21818, 0, 17, 0.07216152, 127, 120);
INSERT INTO public.ecdc_data VALUES (21819, 2, 201, 85.18659271, 37, 120);
INSERT INTO public.ecdc_data VALUES (21820, 6, 681, 26.38356878, 128, 120);
INSERT INTO public.ecdc_data VALUES (21821, 6, 552, 46.76497959, 185, 120);
INSERT INTO public.ecdc_data VALUES (21822, 0, 0, 0.35366056, 207, 120);
INSERT INTO public.ecdc_data VALUES (21823, 0, 5, 1.77710429, 208, 120);
INSERT INTO public.ecdc_data VALUES (21824, 0, 0, 6.24856485, 89, 120);
INSERT INTO public.ecdc_data VALUES (21825, 0, 0, 0.06434808, 38, 120);
INSERT INTO public.ecdc_data VALUES (21826, 4, 593, 2.78557904, 39, 120);
INSERT INTO public.ecdc_data VALUES (21827, 2, 108, 85.88765663, 186, 120);
INSERT INTO public.ecdc_data VALUES (21828, 0, 0, 13.98283607, 209, 120);
INSERT INTO public.ecdc_data VALUES (21829, 0, 51, 14.05724847, 187, 120);
INSERT INTO public.ecdc_data VALUES (21830, 6, 188, 66.73377565, 129, 120);
INSERT INTO public.ecdc_data VALUES (21831, 19, 1126, 4.19965677, 130, 120);
INSERT INTO public.ecdc_data VALUES (21832, 3, 424, 129.40080162, 131, 120);
INSERT INTO public.ecdc_data VALUES (21833, 18, 964, 318.45498818, 90, 120);
INSERT INTO public.ecdc_data VALUES (21834, 0, 12, 2.34727902, 210, 120);
INSERT INTO public.ecdc_data VALUES (21835, 4, 527, 72.01220673, 91, 120);
INSERT INTO public.ecdc_data VALUES (21836, 176, 9099, 340.80106275, 92, 120);
INSERT INTO public.ecdc_data VALUES (21837, 108, 4561, 53.45524021, 132, 120);
INSERT INTO public.ecdc_data VALUES (21838, 17, 735, 25.86587477, 188, 120);
INSERT INTO public.ecdc_data VALUES (21839, 2, 253, 27.76205438, 189, 120);
INSERT INTO public.ecdc_data VALUES (21840, 10, 221, 282.36819749, 93, 120);
INSERT INTO public.ecdc_data VALUES (21841, 0, 295, 146.57118413, 133, 120);
INSERT INTO public.ecdc_data VALUES (21842, 32, 1409, 87.90871216, 190, 120);
INSERT INTO public.ecdc_data VALUES (21843, 117, 4828, 47.9721093, 191, 120);
INSERT INTO public.ecdc_data VALUES (21844, 0, 67, 4.27657125, 40, 120);
INSERT INTO public.ecdc_data VALUES (21845, 0, 0, 0, 94, 120);
INSERT INTO public.ecdc_data VALUES (21846, 0, 0, 0.54706092, 95, 120);
INSERT INTO public.ecdc_data VALUES (21847, 0, 0, 1.80843272, 96, 120);
INSERT INTO public.ecdc_data VALUES (21848, 0, 0, 0, 192, 120);
INSERT INTO public.ecdc_data VALUES (21849, 0, 0, 3.25508724, 41, 120);
INSERT INTO public.ecdc_data VALUES (21850, 36, 1353, 57.959885, 134, 120);
INSERT INTO public.ecdc_data VALUES (21851, 2, 141, 11.70813461, 42, 120);
INSERT INTO public.ecdc_data VALUES (21852, 3, 158, 43.29555108, 193, 120);
INSERT INTO public.ecdc_data VALUES (21853, 0, 5, 6.13867261, 43, 120);
INSERT INTO public.ecdc_data VALUES (21854, 0, 2, 1.29268302, 44, 120);
INSERT INTO public.ecdc_data VALUES (21855, 0, 93, 30.61500673, 135, 120);
INSERT INTO public.ecdc_data VALUES (21856, 0, 22, 443.51128831, 97, 120);
INSERT INTO public.ecdc_data VALUES (21857, 2, 100, 11.10005998, 194, 120);
INSERT INTO public.ecdc_data VALUES (21858, 1, 37, 13.69594427, 195, 120);
INSERT INTO public.ecdc_data VALUES (21859, 0, 8, 0.28492047, 45, 120);
INSERT INTO public.ecdc_data VALUES (21860, 159, 3916, 113.02076272, 46, 120);
INSERT INTO public.ecdc_data VALUES (21861, 1, 288, 3.6056387, 136, 120);
INSERT INTO public.ecdc_data VALUES (21862, 0, 4, 0.39775399, 47, 120);
INSERT INTO public.ecdc_data VALUES (21863, 16, 7039, 144.98351622, 196, 120);
INSERT INTO public.ecdc_data VALUES (21864, 0, 0, 0.29544544, 137, 120);
INSERT INTO public.ecdc_data VALUES (21865, 3, 61, 1.78916628, 48, 120);
INSERT INTO public.ecdc_data VALUES (21866, 0, 79, 214.15191541, 98, 120);
INSERT INTO public.ecdc_data VALUES (21867, 1, 351, 39.64737686, 197, 120);
INSERT INTO public.ecdc_data VALUES (21868, 2, 310, 33.05039588, 198, 120);
INSERT INTO public.ecdc_data VALUES (21869, 10, 163, 5.75859636, 138, 120);
INSERT INTO public.ecdc_data VALUES (21870, 0, 0, 0.03785667, 139, 120);
INSERT INTO public.ecdc_data VALUES (21871, 0, 35, 5.80408395, 140, 120);
INSERT INTO public.ecdc_data VALUES (21872, 0, 7, 0.08473897, 141, 120);
INSERT INTO public.ecdc_data VALUES (21873, 0, 0, 0, 142, 120);
INSERT INTO public.ecdc_data VALUES (21874, 0, 17, 2.33842619, 49, 120);
INSERT INTO public.ecdc_data VALUES (21875, 0, 57, 34.91117007, 99, 120);
INSERT INTO public.ecdc_data VALUES (21876, 4, 242, 7.06301587, 50, 120);
INSERT INTO public.ecdc_data VALUES (21877, 23, 1303, 20.72584808, 199, 120);
INSERT INTO public.ecdc_data VALUES (21878, 0, 12, 518.40603236, 100, 120);
INSERT INTO public.ecdc_data VALUES (21879, 0, 0, 0.88096598, 51, 120);
INSERT INTO public.ecdc_data VALUES (21880, 28, 1967, 47.53641339, 200, 120);
INSERT INTO public.ecdc_data VALUES (21881, 1, 435, 38.2272152, 143, 120);
INSERT INTO public.ecdc_data VALUES (21882, 16, 812, 20.87712368, 201, 120);
INSERT INTO public.ecdc_data VALUES (21883, 0, 0, 0, 52, 120);
INSERT INTO public.ecdc_data VALUES (21884, 1356, 47426, 214.53244133, 101, 120);
INSERT INTO public.ecdc_data VALUES (21885, 0, 32, 312.68227847, 102, 120);
INSERT INTO public.ecdc_data VALUES (21886, 0, 8, 5.31525991, 103, 120);
INSERT INTO public.ecdc_data VALUES (21887, 5, 606, 28.18834618, 144, 120);
INSERT INTO public.ecdc_data VALUES (21888, 6, 1171, 51.09092217, 104, 120);
INSERT INTO public.ecdc_data VALUES (21889, 0, 5, 0.28715939, 145, 120);
INSERT INTO public.ecdc_data VALUES (21890, 0, 0, 0, 53, 120);
INSERT INTO public.ecdc_data VALUES (21891, 3, 7, 0.44235767, 146, 120);
INSERT INTO public.ecdc_data VALUES (21892, 5, 237, 17.89370089, 54, 120);
INSERT INTO public.ecdc_data VALUES (21893, 9, 265, 8.90377525, 55, 120);
INSERT INTO public.ecdc_data VALUES (21894, 17, 174, 6.63481448, 105, 121);
INSERT INTO public.ecdc_data VALUES (21895, 1, 82, 41.81766033, 147, 121);
INSERT INTO public.ecdc_data VALUES (21896, 10, 535, 16.59115751, 1, 121);
INSERT INTO public.ecdc_data VALUES (21897, 0, 0, 32.81830474, 148, 121);
INSERT INTO public.ecdc_data VALUES (21898, 0, 18, 1.12803339, 2, 121);
INSERT INTO public.ecdc_data VALUES (21899, 0, 0, 0, 56, 121);
INSERT INTO public.ecdc_data VALUES (21900, 0, 0, 8.23765639, 57, 121);
INSERT INTO public.ecdc_data VALUES (21901, 42, 3223, 105.28648798, 58, 121);
INSERT INTO public.ecdc_data VALUES (21902, 9, 104, 204.37984832, 149, 121);
INSERT INTO public.ecdc_data VALUES (21903, 0, 5, 7.52516226, 59, 121);
INSERT INTO public.ecdc_data VALUES (21904, 4, 361, 13.30386618, 202, 121);
INSERT INTO public.ecdc_data VALUES (21905, 0, 63, 14.69729167, 150, 121);
INSERT INTO public.ecdc_data VALUES (21906, 5, 388, 71.6281974, 151, 121);
INSERT INTO public.ecdc_data VALUES (21907, 0, 15, 12.58068326, 60, 121);
INSERT INTO public.ecdc_data VALUES (21908, 2, 418, 429.87781843, 106, 121);
INSERT INTO public.ecdc_data VALUES (21909, 37, 2459, 25.82581316, 107, 121);
INSERT INTO public.ecdc_data VALUES (21910, 0, 1, 2.43884594, 61, 121);
INSERT INTO public.ecdc_data VALUES (21911, 4, 142, 26.8820361, 152, 121);
INSERT INTO public.ecdc_data VALUES (21912, 1, 64, 17.88657502, 153, 121);
INSERT INTO public.ecdc_data VALUES (21913, 0, 0, 2.56179695, 62, 121);
INSERT INTO public.ecdc_data VALUES (21914, 0, 0, 3.41492114, 3, 121);
INSERT INTO public.ecdc_data VALUES (21915, 0, 0, 11.19856658, 63, 121);
INSERT INTO public.ecdc_data VALUES (21916, 0, 2, 1.17940909, 108, 121);
INSERT INTO public.ecdc_data VALUES (21917, 45, 1444, 176.19056967, 64, 121);
INSERT INTO public.ecdc_data VALUES (21918, 0, 0, 11.54601085, 65, 121);
INSERT INTO public.ecdc_data VALUES (21919, 5, 288, 92.66894436, 154, 121);
INSERT INTO public.ecdc_data VALUES (21920, 0, 0, 10.72186823, 4, 121);
INSERT INTO public.ecdc_data VALUES (21921, 716, 23529, 234.70036906, 66, 121);
INSERT INTO public.ecdc_data VALUES (21922, 0, 0, 0, 67, 121);
INSERT INTO public.ecdc_data VALUES (21923, 0, 0, 0, 109, 121);
INSERT INTO public.ecdc_data VALUES (21924, 1, 95, 42.75690464, 155, 121);
INSERT INTO public.ecdc_data VALUES (21925, 0, 13, 0.38383214, 5, 121);
INSERT INTO public.ecdc_data VALUES (21926, 0, 0, 1.03203855, 6, 121);
INSERT INTO public.ecdc_data VALUES (21927, 0, 0, 0.1819666, 110, 121);
INSERT INTO public.ecdc_data VALUES (21928, 0, 0, 9.4526334, 7, 121);
INSERT INTO public.ecdc_data VALUES (21929, 13, 680, 12.86786002, 68, 121);
INSERT INTO public.ecdc_data VALUES (21930, 0, 29, 107.64889005, 8, 121);
INSERT INTO public.ecdc_data VALUES (21931, 0, 0, 3.07938659, 69, 121);
INSERT INTO public.ecdc_data VALUES (21932, 0, 0, 10.87419463, 9, 121);
INSERT INTO public.ecdc_data VALUES (21933, 0, 0, 0.10660391, 10, 121);
INSERT INTO public.ecdc_data VALUES (21934, 58, 2084, 186.77677621, 70, 121);
INSERT INTO public.ecdc_data VALUES (21935, 0, 130, 0.05175118, 111, 121);
INSERT INTO public.ecdc_data VALUES (21936, 220, 6578, 159.25484118, 71, 121);
INSERT INTO public.ecdc_data VALUES (21937, 0, 6, 2.70304892, 11, 121);
INSERT INTO public.ecdc_data VALUES (21938, 0, 0, 19.99812657, 12, 121);
INSERT INTO public.ecdc_data VALUES (21939, 8, 563, 121.20705426, 72, 121);
INSERT INTO public.ecdc_data VALUES (21940, 1, 207, 13.01496305, 13, 121);
INSERT INTO public.ecdc_data VALUES (21941, 0, 119, 29.51244846, 156, 121);
INSERT INTO public.ecdc_data VALUES (21942, 0, 1, 0.6529325, 73, 121);
INSERT INTO public.ecdc_data VALUES (21943, 0, 2, 1.83572692, 74, 121);
INSERT INTO public.ecdc_data VALUES (21944, 0, 1, 3.9958945, 157, 121);
INSERT INTO public.ecdc_data VALUES (21945, 1, 90, 13.42748221, 158, 121);
INSERT INTO public.ecdc_data VALUES (21946, 1, 79, 1.14298134, 14, 121);
INSERT INTO public.ecdc_data VALUES (21947, 0, 0, 5.87315265, 159, 121);
INSERT INTO public.ecdc_data VALUES (21948, 0, 8, 22.49483081, 15, 121);
INSERT INTO public.ecdc_data VALUES (21949, 0, 0, 0, 75, 121);
INSERT INTO public.ecdc_data VALUES (21950, 10, 1336, 143.68248239, 76, 121);
INSERT INTO public.ecdc_data VALUES (21951, 31, 631, 69.3866582, 77, 121);
INSERT INTO public.ecdc_data VALUES (21952, 51, 603, 12.47359298, 16, 121);
INSERT INTO public.ecdc_data VALUES (21953, 20, 338, 63.05056907, 78, 121);
INSERT INTO public.ecdc_data VALUES (21954, 0, 0, 0, 17, 121);
INSERT INTO public.ecdc_data VALUES (21955, 0, 0, 1.02941938, 18, 121);
INSERT INTO public.ecdc_data VALUES (21956, 0, 0, 2.11349466, 160, 121);
INSERT INTO public.ecdc_data VALUES (21957, 0, 64, 70.11382828, 19, 121);
INSERT INTO public.ecdc_data VALUES (21958, 4, 356, 3.26288503, 20, 121);
INSERT INTO public.ecdc_data VALUES (21959, 0, 0, 0, 79, 121);
INSERT INTO public.ecdc_data VALUES (21960, 0, 3, 8.21743328, 161, 121);
INSERT INTO public.ecdc_data VALUES (21961, 0, 0, 0.89892186, 203, 121);
INSERT INTO public.ecdc_data VALUES (21962, 0, 20, 1.1961031, 162, 121);
INSERT INTO public.ecdc_data VALUES (21963, 0, 0, 11.51121942, 163, 121);
INSERT INTO public.ecdc_data VALUES (21964, 0, 0, 0, 204, 121);
INSERT INTO public.ecdc_data VALUES (21965, 0, 0, 31.98964548, 21, 121);
INSERT INTO public.ecdc_data VALUES (21966, 0, 0, 1.5334183, 22, 121);
INSERT INTO public.ecdc_data VALUES (21967, 0, 0, 1.87651904, 164, 121);
INSERT INTO public.ecdc_data VALUES (21968, 2, 249, 6.34672362, 165, 121);
INSERT INTO public.ecdc_data VALUES (21969, 3, 607, 24.926147, 23, 121);
INSERT INTO public.ecdc_data VALUES (21970, 0, 0, 5.93366166, 166, 121);
INSERT INTO public.ecdc_data VALUES (21971, 0, 24, 4.55028668, 167, 121);
INSERT INTO public.ecdc_data VALUES (21972, 0, 0, 0, 80, 121);
INSERT INTO public.ecdc_data VALUES (21973, 0, 0, 0, 81, 121);
INSERT INTO public.ecdc_data VALUES (21974, 0, 4, 10.75943692, 205, 121);
INSERT INTO public.ecdc_data VALUES (21975, 36, 635, 87.75713711, 82, 121);
INSERT INTO public.ecdc_data VALUES (21976, 0, 0, 0, 168, 121);
INSERT INTO public.ecdc_data VALUES (21977, 0, 53, 7.31330365, 24, 121);
INSERT INTO public.ecdc_data VALUES (21978, 0, 0, 8.43347214, 25, 121);
INSERT INTO public.ecdc_data VALUES (21979, 0, 9, 8.04828974, 83, 121);
INSERT INTO public.ecdc_data VALUES (21980, 0, 0, 6.39256814, 84, 121);
INSERT INTO public.ecdc_data VALUES (21981, 0, 0, 0, 169, 121);
INSERT INTO public.ecdc_data VALUES (21982, 9, 1042, 101.49685285, 85, 121);
INSERT INTO public.ecdc_data VALUES (21983, 0, 18, 1.53487921, 170, 121);
INSERT INTO public.ecdc_data VALUES (21984, 0, 1, 2.52107196, 171, 121);
INSERT INTO public.ecdc_data VALUES (21985, 681, 40425, 30.78341145, 112, 121);
INSERT INTO public.ecdc_data VALUES (21986, 127, 1639, 8.41457821, 113, 121);
INSERT INTO public.ecdc_data VALUES (21987, 209, 2182, 40.22245102, 114, 121);
INSERT INTO public.ecdc_data VALUES (21988, 90, 2310, 81.53439847, 115, 121);
INSERT INTO public.ecdc_data VALUES (21989, 0, 10, 4.75099098, 172, 121);
INSERT INTO public.ecdc_data VALUES (21990, 0, 0, 0, 173, 121);
INSERT INTO public.ecdc_data VALUES (21991, 8, 924, 238.64432277, 116, 121);
INSERT INTO public.ecdc_data VALUES (21992, 3, 218, 4.67697355, 174, 121);
INSERT INTO public.ecdc_data VALUES (21993, 0, 16, 1.9672507, 86, 121);
INSERT INTO public.ecdc_data VALUES (21994, 0, 454, 4.19437763, 117, 121);
INSERT INTO public.ecdc_data VALUES (21995, 0, 0, 10.20446028, 175, 121);
INSERT INTO public.ecdc_data VALUES (21996, 0, 4, 0.53456365, 118, 121);
INSERT INTO public.ecdc_data VALUES (21997, 0, 1499, 125.40274528, 119, 121);
INSERT INTO public.ecdc_data VALUES (21998, 9, 603, 10.39868268, 26, 121);
INSERT INTO public.ecdc_data VALUES (21999, 5, 118, 132.27645613, 176, 121);
INSERT INTO public.ecdc_data VALUES (22000, 1, 300, 220.17662144, 120, 121);
INSERT INTO public.ecdc_data VALUES (22001, 34, 611, 303.18659208, 121, 121);
INSERT INTO public.ecdc_data VALUES (22002, 0, 0, 0, 122, 121);
INSERT INTO public.ecdc_data VALUES (22003, 0, 3, 3.5417257, 177, 121);
INSERT INTO public.ecdc_data VALUES (22004, 0, 84, 14.38217404, 123, 121);
INSERT INTO public.ecdc_data VALUES (22005, 0, 0, 13.17481521, 27, 121);
INSERT INTO public.ecdc_data VALUES (22006, 0, 3, 4.39504887, 28, 121);
INSERT INTO public.ecdc_data VALUES (22007, 0, 75, 12.93996432, 29, 121);
INSERT INTO public.ecdc_data VALUES (22008, 0, 1, 7.81697848, 178, 121);
INSERT INTO public.ecdc_data VALUES (22009, 0, 17, 3.43570788, 179, 121);
INSERT INTO public.ecdc_data VALUES (22010, 0, 74, 156.54168309, 180, 121);
INSERT INTO public.ecdc_data VALUES (22011, 4, 200, 16.02191766, 30, 121);
INSERT INTO public.ecdc_data VALUES (22012, 3, 85, 6.71005874, 31, 121);
INSERT INTO public.ecdc_data VALUES (22013, 1, 15, 0.37871925, 124, 121);
INSERT INTO public.ecdc_data VALUES (22014, 0, 36, 93.79290602, 125, 121);
INSERT INTO public.ecdc_data VALUES (22015, 0, 3, 0.73761232, 32, 121);
INSERT INTO public.ecdc_data VALUES (22016, 0, 1, 0.81044009, 181, 121);
INSERT INTO public.ecdc_data VALUES (22017, 6, 427, 21.96346287, 33, 121);
INSERT INTO public.ecdc_data VALUES (22018, 0, 0, 0.15752125, 34, 121);
INSERT INTO public.ecdc_data VALUES (22019, 296, 3389, 73.68027453, 87, 121);
INSERT INTO public.ecdc_data VALUES (22020, 4, 186, 78.30319015, 182, 121);
INSERT INTO public.ecdc_data VALUES (22021, 0, 0, 3.02251776, 183, 121);
INSERT INTO public.ecdc_data VALUES (22022, 0, 0, 2.07741245, 126, 121);
INSERT INTO public.ecdc_data VALUES (22023, 2, 107, 159.11742866, 184, 121);
INSERT INTO public.ecdc_data VALUES (22024, 0, 0, 20.03606492, 88, 121);
INSERT INTO public.ecdc_data VALUES (22025, 4, 221, 8.28311961, 35, 121);
INSERT INTO public.ecdc_data VALUES (22026, 0, 56, 1.65974869, 36, 121);
INSERT INTO public.ecdc_data VALUES (22027, 0, 0, 0.05180827, 127, 121);
INSERT INTO public.ecdc_data VALUES (22028, 1, 44, 33.47331996, 37, 121);
INSERT INTO public.ecdc_data VALUES (22029, 0, 156, 6.5504515, 128, 121);
INSERT INTO public.ecdc_data VALUES (22030, 0, 144, 6.38808927, 185, 121);
INSERT INTO public.ecdc_data VALUES (22031, 0, 0, 0.35366056, 207, 121);
INSERT INTO public.ecdc_data VALUES (22032, 0, 1, 0.4390493, 208, 121);
INSERT INTO public.ecdc_data VALUES (22033, 0, 0, 9.59437342, 89, 121);
INSERT INTO public.ecdc_data VALUES (22034, 0, 0, 0.04718859, 38, 121);
INSERT INTO public.ecdc_data VALUES (22035, 11, 556, 3.95693543, 39, 121);
INSERT INTO public.ecdc_data VALUES (22036, 8, 123, 100.42693483, 186, 121);
INSERT INTO public.ecdc_data VALUES (22037, 0, 0, 10.48712705, 209, 121);
INSERT INTO public.ecdc_data VALUES (22038, 0, 0, 2.25216264, 187, 121);
INSERT INTO public.ecdc_data VALUES (22039, 10, 1157, 411.71925503, 129, 121);
INSERT INTO public.ecdc_data VALUES (22040, 31, 1587, 15.36026196, 130, 121);
INSERT INTO public.ecdc_data VALUES (22041, 4, 465, 112.29725167, 131, 121);
INSERT INTO public.ecdc_data VALUES (22042, 25, 1207, 360.74923936, 90, 121);
INSERT INTO public.ecdc_data VALUES (22043, 0, 2, 0.06836735, 210, 121);
INSERT INTO public.ecdc_data VALUES (22044, 2, 92, 18.36857786, 91, 121);
INSERT INTO public.ecdc_data VALUES (22045, 189, 4090, 156.47885902, 92, 121);
INSERT INTO public.ecdc_data VALUES (22046, 58, 2152, 23.70218337, 132, 121);
INSERT INTO public.ecdc_data VALUES (22047, 6, 358, 10.9394058, 188, 121);
INSERT INTO public.ecdc_data VALUES (22048, 5, 246, 46.11439737, 189, 121);
INSERT INTO public.ecdc_data VALUES (22049, 0, 610, 141.37159423, 93, 121);
INSERT INTO public.ecdc_data VALUES (22050, 3, 340, 241.83715733, 133, 121);
INSERT INTO public.ecdc_data VALUES (22051, 17, 767, 43.70454225, 190, 121);
INSERT INTO public.ecdc_data VALUES (22052, 95, 6109, 61.90004871, 191, 121);
INSERT INTO public.ecdc_data VALUES (22053, 0, 43, 3.77763794, 40, 121);
INSERT INTO public.ecdc_data VALUES (22054, 0, 0, 1.8927206, 94, 121);
INSERT INTO public.ecdc_data VALUES (22055, 0, 0, 0.54706092, 95, 121);
INSERT INTO public.ecdc_data VALUES (22056, 0, 6, 18.98854358, 96, 121);
INSERT INTO public.ecdc_data VALUES (22057, 0, 0, 2.90250486, 192, 121);
INSERT INTO public.ecdc_data VALUES (22058, 0, 3, 12.09032402, 41, 121);
INSERT INTO public.ecdc_data VALUES (22059, 39, 2504, 120.8426542, 134, 121);
INSERT INTO public.ecdc_data VALUES (22060, 4, 141, 8.65223784, 42, 121);
INSERT INTO public.ecdc_data VALUES (22061, 11, 396, 68.39691868, 193, 121);
INSERT INTO public.ecdc_data VALUES (22062, 0, 0, 91.05697711, 43, 121);
INSERT INTO public.ecdc_data VALUES (22063, 0, 10, 2.16300426, 44, 121);
INSERT INTO public.ecdc_data VALUES (22064, 0, 257, 55.95809896, 135, 121);
INSERT INTO public.ecdc_data VALUES (22065, 0, 0, 2.3591026, 97, 121);
INSERT INTO public.ecdc_data VALUES (22066, 0, 3, 3.94464941, 194, 121);
INSERT INTO public.ecdc_data VALUES (22067, 0, 6, 11.82176242, 195, 121);
INSERT INTO public.ecdc_data VALUES (22068, 0, 8, 0.79000675, 45, 121);
INSERT INTO public.ecdc_data VALUES (22069, 85, 13449, 286.17308637, 46, 121);
INSERT INTO public.ecdc_data VALUES (22070, 1, 26, 1.3274685, 136, 121);
INSERT INTO public.ecdc_data VALUES (22071, 0, 9, 1.48253761, 47, 121);
INSERT INTO public.ecdc_data VALUES (22072, 2, 4581, 27.79679852, 196, 121);
INSERT INTO public.ecdc_data VALUES (22073, 0, 20, 3.0388674, 137, 121);
INSERT INTO public.ecdc_data VALUES (22074, 7, 80, 2.32404758, 48, 121);
INSERT INTO public.ecdc_data VALUES (22075, 1, 28, 74.82416322, 98, 121);
INSERT INTO public.ecdc_data VALUES (22076, 7, 110, 39.15862714, 197, 121);
INSERT INTO public.ecdc_data VALUES (22077, 0, 98, 15.44848533, 198, 121);
INSERT INTO public.ecdc_data VALUES (22078, 0, 0, 0.8084296, 138, 121);
INSERT INTO public.ecdc_data VALUES (22079, 0, 0, 0.02523778, 139, 121);
INSERT INTO public.ecdc_data VALUES (22080, 0, 44, 7.13441003, 140, 121);
INSERT INTO public.ecdc_data VALUES (22081, 0, 1, 0.07899395, 141, 121);
INSERT INTO public.ecdc_data VALUES (22082, 0, 0, 0, 142, 121);
INSERT INTO public.ecdc_data VALUES (22083, 0, 8, 1.16302678, 49, 121);
INSERT INTO public.ecdc_data VALUES (22084, 0, 0, 0.28674472, 99, 121);
INSERT INTO public.ecdc_data VALUES (22085, 0, 26, 1.5904612, 50, 121);
INSERT INTO public.ecdc_data VALUES (22086, 16, 924, 16.92968633, 199, 121);
INSERT INTO public.ecdc_data VALUES (22087, 0, 6, 89.01921768, 100, 121);
INSERT INTO public.ecdc_data VALUES (22088, 0, 3, 0.28461978, 51, 121);
INSERT INTO public.ecdc_data VALUES (22089, 8, 731, 23.50794182, 200, 121);
INSERT INTO public.ecdc_data VALUES (22090, 1, 211, 55.08403539, 143, 121);
INSERT INTO public.ecdc_data VALUES (22091, 11, 493, 12.87527658, 201, 121);
INSERT INTO public.ecdc_data VALUES (22092, 0, 0, 0, 52, 121);
INSERT INTO public.ecdc_data VALUES (22093, 415, 61796, 268.82993425, 101, 121);
INSERT INTO public.ecdc_data VALUES (22094, 0, 0, 176.89975999, 102, 121);
INSERT INTO public.ecdc_data VALUES (22095, 0, 10, 2.83095365, 103, 121);
INSERT INTO public.ecdc_data VALUES (22096, 4, 537, 20.68722018, 144, 121);
INSERT INTO public.ecdc_data VALUES (22097, 2, 408, 16.559224, 104, 121);
INSERT INTO public.ecdc_data VALUES (22098, 0, 0, 0.01866018, 145, 121);
INSERT INTO public.ecdc_data VALUES (22099, 0, 0, 42.40649111, 53, 121);
INSERT INTO public.ecdc_data VALUES (22100, 2, 25, 1.16933308, 146, 121);
INSERT INTO public.ecdc_data VALUES (22101, 0, 0, 7.54715544, 54, 121);
INSERT INTO public.ecdc_data VALUES (22102, 0, 133, 6.11110341, 55, 121);
INSERT INTO public.ecdc_data VALUES (22103, 2, 346, 23.41900244, 105, 122);
INSERT INTO public.ecdc_data VALUES (22104, 3, 50, 21.86955335, 147, 122);
INSERT INTO public.ecdc_data VALUES (22105, 14, 119, 3.64434077, 1, 122);
INSERT INTO public.ecdc_data VALUES (22106, 0, 0, 3.93819657, 148, 122);
INSERT INTO public.ecdc_data VALUES (22107, 1, 11, 0.25137234, 2, 122);
INSERT INTO public.ecdc_data VALUES (22108, 0, 0, 0, 56, 122);
INSERT INTO public.ecdc_data VALUES (22109, 0, 0, 0, 57, 122);
INSERT INTO public.ecdc_data VALUES (22110, 50, 4018, 41.38615597, 58, 122);
INSERT INTO public.ecdc_data VALUES (22111, 13, 551, 248.29869413, 149, 122);
INSERT INTO public.ecdc_data VALUES (22112, 0, 0, 0, 59, 122);
INSERT INTO public.ecdc_data VALUES (22113, 0, 18, 0.62690452, 202, 122);
INSERT INTO public.ecdc_data VALUES (22114, 0, 30, 4.31210862, 150, 122);
INSERT INTO public.ecdc_data VALUES (22115, 4, 438, 48.83695493, 151, 122);
INSERT INTO public.ecdc_data VALUES (22116, 0, 0, 0.51349728, 60, 122);
INSERT INTO public.ecdc_data VALUES (22117, 2, 486, 431.46205986, 106, 122);
INSERT INTO public.ecdc_data VALUES (22118, 45, 3243, 27.68786238, 107, 122);
INSERT INTO public.ecdc_data VALUES (22119, 0, 0, 1.74203281, 61, 122);
INSERT INTO public.ecdc_data VALUES (22120, 2, 676, 110.71251784, 152, 122);
INSERT INTO public.ecdc_data VALUES (22121, 4, 121, 12.43941894, 153, 122);
INSERT INTO public.ecdc_data VALUES (22122, 0, 0, 1.02471878, 62, 122);
INSERT INTO public.ecdc_data VALUES (22123, 0, 53, 3.29628864, 3, 122);
INSERT INTO public.ecdc_data VALUES (22124, 0, 2, 7.99897613, 63, 122);
INSERT INTO public.ecdc_data VALUES (22125, 0, 1, 2.62090909, 108, 122);
INSERT INTO public.ecdc_data VALUES (22126, 18, 977, 84.66875391, 64, 122);
INSERT INTO public.ecdc_data VALUES (22127, 0, 0, 0, 65, 122);
INSERT INTO public.ecdc_data VALUES (22128, 1, 86, 20.69071232, 154, 122);
INSERT INTO public.ecdc_data VALUES (22129, 0, 10, 2.1270103, 4, 122);
INSERT INTO public.ecdc_data VALUES (22130, 1206, 54771, 183.44083504, 66, 122);
INSERT INTO public.ecdc_data VALUES (22131, 0, 0, 0, 67, 122);
INSERT INTO public.ecdc_data VALUES (22132, 0, 0, 0, 109, 122);
INSERT INTO public.ecdc_data VALUES (22133, 3, 81, 15.52848491, 155, 122);
INSERT INTO public.ecdc_data VALUES (22134, 0, 1, 0.0590511, 5, 122);
INSERT INTO public.ecdc_data VALUES (22135, 0, 0, 0.35557631, 6, 122);
INSERT INTO public.ecdc_data VALUES (22136, 0, 0, 0.02426221, 110, 122);
INSERT INTO public.ecdc_data VALUES (22137, 18, 643, 14.22918895, 7, 122);
INSERT INTO public.ecdc_data VALUES (22138, 46, 409, 16.8239117, 68, 122);
INSERT INTO public.ecdc_data VALUES (22139, 1, 25, 56.73387449, 8, 122);
INSERT INTO public.ecdc_data VALUES (22140, 0, 2, 47.73049209, 69, 122);
INSERT INTO public.ecdc_data VALUES (22141, 0, 0, 24.31941977, 9, 122);
INSERT INTO public.ecdc_data VALUES (22142, 0, 4, 0.137958, 10, 122);
INSERT INTO public.ecdc_data VALUES (22143, 252, 6290, 574.57681985, 70, 122);
INSERT INTO public.ecdc_data VALUES (22144, 0, 30, 0.0242017, 111, 122);
INSERT INTO public.ecdc_data VALUES (22145, 95, 3059, 52.9227151, 71, 122);
INSERT INTO public.ecdc_data VALUES (22146, 0, 0, 9.16686156, 11, 122);
INSERT INTO public.ecdc_data VALUES (22147, 0, 0, 4.53489116, 12, 122);
INSERT INTO public.ecdc_data VALUES (22148, 0, 119, 16.44358533, 72, 122);
INSERT INTO public.ecdc_data VALUES (22149, 1, 381, 11.71618872, 13, 122);
INSERT INTO public.ecdc_data VALUES (22150, 0, 11, 0.80956841, 156, 122);
INSERT INTO public.ecdc_data VALUES (22151, 0, 10, 1.51762688, 73, 122);
INSERT INTO public.ecdc_data VALUES (22152, 0, 0, 1.22381794, 74, 122);
INSERT INTO public.ecdc_data VALUES (22153, 0, 0, 2.85421036, 157, 122);
INSERT INTO public.ecdc_data VALUES (22154, 1, 176, 8.23489643, 158, 122);
INSERT INTO public.ecdc_data VALUES (22155, 4, 194, 1.97256458, 14, 122);
INSERT INTO public.ecdc_data VALUES (22156, 0, 47, 8.88723392, 159, 122);
INSERT INTO public.ecdc_data VALUES (22157, 2, 8, 45.40052611, 15, 122);
INSERT INTO public.ecdc_data VALUES (22158, 0, 0, 0, 75, 122);
INSERT INTO public.ecdc_data VALUES (22159, 12, 423, 59.22362851, 76, 122);
INSERT INTO public.ecdc_data VALUES (22160, 69, 634, 46.94463578, 77, 122);
INSERT INTO public.ecdc_data VALUES (22161, 79, 1774, 21.01444797, 16, 122);
INSERT INTO public.ecdc_data VALUES (22162, 7, 129, 22.93311433, 78, 122);
INSERT INTO public.ecdc_data VALUES (22163, 20, 358, 26.4015304, 17, 122);
INSERT INTO public.ecdc_data VALUES (22164, 0, 0, 2.88809325, 18, 122);
INSERT INTO public.ecdc_data VALUES (22165, 0, 2, 5.20825471, 160, 122);
INSERT INTO public.ecdc_data VALUES (22166, 0, 37, 27.69713962, 19, 122);
INSERT INTO public.ecdc_data VALUES (22167, 7, 116, 2.0209009, 20, 122);
INSERT INTO public.ecdc_data VALUES (22168, 0, 0, 0, 79, 122);
INSERT INTO public.ecdc_data VALUES (22169, 0, 0, 0, 161, 122);
INSERT INTO public.ecdc_data VALUES (22170, 0, 0, 0, 203, 122);
INSERT INTO public.ecdc_data VALUES (22171, 0, 16, 3.47957264, 162, 122);
INSERT INTO public.ecdc_data VALUES (22172, 14, 811, 9.54592567, 163, 122);
INSERT INTO public.ecdc_data VALUES (22173, 0, 0, 0, 204, 122);
INSERT INTO public.ecdc_data VALUES (22174, 2, 88, 61.07951015, 21, 122);
INSERT INTO public.ecdc_data VALUES (22175, 0, 0, 0.42594953, 22, 122);
INSERT INTO public.ecdc_data VALUES (22176, 0, 1, 2.2768431, 164, 122);
INSERT INTO public.ecdc_data VALUES (22177, 10, 601, 6.57317722, 165, 122);
INSERT INTO public.ecdc_data VALUES (22178, 4, 274, 13.26523386, 23, 122);
INSERT INTO public.ecdc_data VALUES (22179, 0, 0, 5.93366166, 166, 122);
INSERT INTO public.ecdc_data VALUES (22180, 1, 10, 2.51757665, 167, 122);
INSERT INTO public.ecdc_data VALUES (22181, 0, 0, 0, 80, 122);
INSERT INTO public.ecdc_data VALUES (22182, 0, 0, 0, 81, 122);
INSERT INTO public.ecdc_data VALUES (22183, 0, 0, 12.55267641, 205, 122);
INSERT INTO public.ecdc_data VALUES (22184, 34, 641, 34.26333489, 82, 122);
INSERT INTO public.ecdc_data VALUES (22185, 0, 0, 0, 168, 122);
INSERT INTO public.ecdc_data VALUES (22186, 1, 63, 6.60859559, 24, 122);
INSERT INTO public.ecdc_data VALUES (22187, 0, 0, 7.49641968, 25, 122);
INSERT INTO public.ecdc_data VALUES (22188, 0, 0, 3.83251892, 83, 122);
INSERT INTO public.ecdc_data VALUES (22189, 3, 64, 18.25433347, 84, 122);
INSERT INTO public.ecdc_data VALUES (22190, 0, 0, 0, 169, 122);
INSERT INTO public.ecdc_data VALUES (22191, 6, 519, 54.24725647, 85, 122);
INSERT INTO public.ecdc_data VALUES (22192, 2, 5, 1.18697326, 170, 122);
INSERT INTO public.ecdc_data VALUES (22193, 0, 1, 2.52107196, 171, 122);
INSERT INTO public.ecdc_data VALUES (22194, 375, 14516, 11.59169656, 112, 122);
INSERT INTO public.ecdc_data VALUES (22195, 34, 1041, 5.27740234, 113, 122);
INSERT INTO public.ecdc_data VALUES (22196, 120, 2615, 39.92816982, 114, 122);
INSERT INTO public.ecdc_data VALUES (22197, 69, 1635, 44.5334367, 115, 122);
INSERT INTO public.ecdc_data VALUES (22198, 0, 13, 4.18005644, 172, 122);
INSERT INTO public.ecdc_data VALUES (22199, 0, 0, 0, 173, 122);
INSERT INTO public.ecdc_data VALUES (22200, 1, 303, 30.90603029, 116, 122);
INSERT INTO public.ecdc_data VALUES (22201, 47, -148, 5.76545092, 174, 122);
INSERT INTO public.ecdc_data VALUES (22202, 0, 26, 1.93333259, 86, 122);
INSERT INTO public.ecdc_data VALUES (22203, 17, 59, 0.548635, 117, 122);
INSERT INTO public.ecdc_data VALUES (22204, 1, 0, 8.34910386, 175, 122);
INSERT INTO public.ecdc_data VALUES (22205, 0, 7, 2.21744921, 118, 122);
INSERT INTO public.ecdc_data VALUES (22206, 8, 428, 23.0063152, 119, 122);
INSERT INTO public.ecdc_data VALUES (22207, 2, 117, 3.61395593, 26, 122);
INSERT INTO public.ecdc_data VALUES (22208, 0, 82, 46.70543218, 176, 122);
INSERT INTO public.ecdc_data VALUES (22209, 5, 604, 190.96394005, 120, 122);
INSERT INTO public.ecdc_data VALUES (22210, 3, 192, 15.69550166, 121, 122);
INSERT INTO public.ecdc_data VALUES (22211, 0, 0, 0, 122, 122);
INSERT INTO public.ecdc_data VALUES (22212, 0, 2, 1.45835764, 177, 122);
INSERT INTO public.ecdc_data VALUES (22213, 0, 15, 2.88810391, 123, 122);
INSERT INTO public.ecdc_data VALUES (22214, 0, 0, 0, 27, 122);
INSERT INTO public.ecdc_data VALUES (22215, 0, 39, 5.00265931, 28, 122);
INSERT INTO public.ecdc_data VALUES (22216, 0, 10, 3.99855226, 29, 122);
INSERT INTO public.ecdc_data VALUES (22217, 0, 0, 0, 178, 122);
INSERT INTO public.ecdc_data VALUES (22218, 0, 8, 3.50728513, 179, 122);
INSERT INTO public.ecdc_data VALUES (22219, 0, 8, 10.91393628, 180, 122);
INSERT INTO public.ecdc_data VALUES (22220, 0, 40, 1.73530605, 30, 122);
INSERT INTO public.ecdc_data VALUES (22221, 0, 28, 1.13265791, 31, 122);
INSERT INTO public.ecdc_data VALUES (22222, 0, 6, 0.84194609, 124, 122);
INSERT INTO public.ecdc_data VALUES (22223, 0, 13, 50.28655805, 125, 122);
INSERT INTO public.ecdc_data VALUES (22224, 1, 17, 2.22809791, 32, 122);
INSERT INTO public.ecdc_data VALUES (22225, 0, 1, 7.49657083, 181, 122);
INSERT INTO public.ecdc_data VALUES (22226, 0, 0, 29.60869241, 33, 122);
INSERT INTO public.ecdc_data VALUES (22227, 0, 0, 0, 34, 122);
INSERT INTO public.ecdc_data VALUES (22228, 647, 6073, 55.27000401, 87, 122);
INSERT INTO public.ecdc_data VALUES (22229, 6, 450, 106.572472, 182, 122);
INSERT INTO public.ecdc_data VALUES (22230, 0, 0, 0, 183, 122);
INSERT INTO public.ecdc_data VALUES (22231, 0, 0, 0.40308003, 126, 122);
INSERT INTO public.ecdc_data VALUES (22232, 0, 18, 4.98246494, 184, 122);
INSERT INTO public.ecdc_data VALUES (22233, 0, 0, 0, 88, 122);
INSERT INTO public.ecdc_data VALUES (22234, 0, 539, 4.22792798, 35, 122);
INSERT INTO public.ecdc_data VALUES (22235, 0, 6, 1.03404978, 36, 122);
INSERT INTO public.ecdc_data VALUES (22236, 0, 0, 0.09251477, 127, 122);
INSERT INTO public.ecdc_data VALUES (22237, 0, 6, 0.80175617, 37, 122);
INSERT INTO public.ecdc_data VALUES (22238, 0, 426, 18.74254052, 128, 122);
INSERT INTO public.ecdc_data VALUES (22239, 3, 107, 13.15807518, 185, 122);
INSERT INTO public.ecdc_data VALUES (22240, 0, 0, 0.35366056, 207, 122);
INSERT INTO public.ecdc_data VALUES (22241, 0, 2, 0.10453555, 208, 122);
INSERT INTO public.ecdc_data VALUES (22242, 0, 0, 13.68878755, 89, 122);
INSERT INTO public.ecdc_data VALUES (22243, 0, 0, 0.23165309, 38, 122);
INSERT INTO public.ecdc_data VALUES (22244, 12, 667, 3.63399138, 39, 122);
INSERT INTO public.ecdc_data VALUES (22245, 6, 156, 97.63462312, 186, 122);
INSERT INTO public.ecdc_data VALUES (22246, 0, 0, 6.99141803, 209, 122);
INSERT INTO public.ecdc_data VALUES (22247, 0, 0, 3.52838813, 187, 122);
INSERT INTO public.ecdc_data VALUES (22248, 6, 852, 252.94513036, 129, 122);
INSERT INTO public.ecdc_data VALUES (22249, 153, 6604, 35.87047136, 130, 122);
INSERT INTO public.ecdc_data VALUES (22250, 0, 63, 4.31603667, 131, 122);
INSERT INTO public.ecdc_data VALUES (22251, 10, 923, 207.49145166, 90, 122);
INSERT INTO public.ecdc_data VALUES (22252, 0, 0, 0, 210, 122);
INSERT INTO public.ecdc_data VALUES (22253, 0, 6, 3.5346027, 91, 122);
INSERT INTO public.ecdc_data VALUES (22254, 199, 3537, 186.17083941, 92, 122);
INSERT INTO public.ecdc_data VALUES (22255, 14, 660, 7.24495443, 132, 122);
INSERT INTO public.ecdc_data VALUES (22256, 18, 301, 15.52953202, 188, 122);
INSERT INTO public.ecdc_data VALUES (22257, 3, 375, 43.74007516, 189, 122);
INSERT INTO public.ecdc_data VALUES (22258, 0, 0, 50.82832095, 93, 122);
INSERT INTO public.ecdc_data VALUES (22259, 7, 1021, 705.03175944, 133, 122);
INSERT INTO public.ecdc_data VALUES (22260, 11, 320, 16.98218925, 190, 122);
INSERT INTO public.ecdc_data VALUES (22261, 182, 7972, 81.73521134, 191, 122);
INSERT INTO public.ecdc_data VALUES (22262, 0, 15, 1.90861791, 40, 122);
INSERT INTO public.ecdc_data VALUES (22263, 0, 0, 0, 94, 122);
INSERT INTO public.ecdc_data VALUES (22264, 0, 0, 0, 95, 122);
INSERT INTO public.ecdc_data VALUES (22265, 0, 0, 2.71264908, 96, 122);
INSERT INTO public.ecdc_data VALUES (22266, 0, 0, 26.12254376, 192, 122);
INSERT INTO public.ecdc_data VALUES (22267, 0, 5, 85.56229307, 41, 122);
INSERT INTO public.ecdc_data VALUES (22268, 45, 4301, 159.16644686, 134, 122);
INSERT INTO public.ecdc_data VALUES (22269, 3, 164, 9.10632692, 42, 122);
INSERT INTO public.ecdc_data VALUES (22270, 1, 93, 14.96317222, 193, 122);
INSERT INTO public.ecdc_data VALUES (22271, 0, 0, 0, 43, 122);
INSERT INTO public.ecdc_data VALUES (22272, 2, 26, 4.72277261, 44, 122);
INSERT INTO public.ecdc_data VALUES (22273, 0, 142, 76.35661779, 135, 122);
INSERT INTO public.ecdc_data VALUES (22274, 0, 0, 0, 97, 122);
INSERT INTO public.ecdc_data VALUES (22275, 0, 14, 0.91736033, 194, 122);
INSERT INTO public.ecdc_data VALUES (22276, 0, 2, 1.3936224, 195, 122);
INSERT INTO public.ecdc_data VALUES (22277, 0, 0, 3.33486456, 45, 122);
INSERT INTO public.ecdc_data VALUES (22278, 94, 3825, 75.61869958, 46, 122);
INSERT INTO public.ecdc_data VALUES (22279, 0, 67, 1.27671235, 136, 122);
INSERT INTO public.ecdc_data VALUES (22280, 0, 0, 4.48377227, 47, 122);
INSERT INTO public.ecdc_data VALUES (22281, 7, 363, 9.86001254, 196, 122);
INSERT INTO public.ecdc_data VALUES (22282, 0, 3, 0.69875192, 137, 122);
INSERT INTO public.ecdc_data VALUES (22283, 19, 296, 6.07755961, 48, 122);
INSERT INTO public.ecdc_data VALUES (22284, 1, 16, 34.74593326, 98, 122);
INSERT INTO public.ecdc_data VALUES (22285, 30, 1209, 140.32981808, 197, 122);
INSERT INTO public.ecdc_data VALUES (22286, 0, 92, 4.16640968, 198, 122);
INSERT INTO public.ecdc_data VALUES (22287, 0, 0, 0.36906569, 138, 122);
INSERT INTO public.ecdc_data VALUES (22288, 0, 0, 0.01261889, 139, 122);
INSERT INTO public.ecdc_data VALUES (22289, 0, 59, 10.38512618, 140, 122);
INSERT INTO public.ecdc_data VALUES (22290, 0, 5, 0.06032266, 141, 122);
INSERT INTO public.ecdc_data VALUES (22291, 0, 0, 0, 142, 122);
INSERT INTO public.ecdc_data VALUES (22292, 0, 8, 0.86608378, 49, 122);
INSERT INTO public.ecdc_data VALUES (22293, 0, 0, 0.43011709, 99, 122);
INSERT INTO public.ecdc_data VALUES (22294, 0, 14, 0.50450113, 50, 122);
INSERT INTO public.ecdc_data VALUES (22295, 23, 1214, 20.61487772, 199, 122);
INSERT INTO public.ecdc_data VALUES (22296, 0, 0, 0, 100, 122);
INSERT INTO public.ecdc_data VALUES (22297, 0, 14, 0.44725965, 51, 122);
INSERT INTO public.ecdc_data VALUES (22298, 19, 921, 20.50296221, 200, 122);
INSERT INTO public.ecdc_data VALUES (22299, 2, 393, 66.55731738, 143, 122);
INSERT INTO public.ecdc_data VALUES (22300, 84, 1027, 21.10218969, 201, 122);
INSERT INTO public.ecdc_data VALUES (22301, 0, 0, 0, 52, 122);
INSERT INTO public.ecdc_data VALUES (22302, 678, 29909, 98.19430249, 101, 122);
INSERT INTO public.ecdc_data VALUES (22303, 0, 1, 2.86864476, 102, 122);
INSERT INTO public.ecdc_data VALUES (22304, 0, 3, 0.54885836, 103, 122);
INSERT INTO public.ecdc_data VALUES (22305, 0, 170, 6.073062, 144, 122);
INSERT INTO public.ecdc_data VALUES (22306, 2, 107, 5.27426364, 104, 122);
INSERT INTO public.ecdc_data VALUES (22307, 0, 7, 0.02073353, 145, 122);
INSERT INTO public.ecdc_data VALUES (22308, 0, 2, 0.3433724, 53, 122);
INSERT INTO public.ecdc_data VALUES (22309, 3, 13, 1.54310817, 146, 122);
INSERT INTO public.ecdc_data VALUES (22310, 0, 14, 1.78601082, 54, 122);
INSERT INTO public.ecdc_data VALUES (22311, 0, 16, 1.46120238, 55, 122);
INSERT INTO public.ecdc_data VALUES (22312, 5, 581, 11.64246962, 105, 123);
INSERT INTO public.ecdc_data VALUES (22313, 0, 1, 4.50666515, 147, 123);
INSERT INTO public.ecdc_data VALUES (22314, 6, 176, 5.8973749, 1, 123);
INSERT INTO public.ecdc_data VALUES (22315, 0, 0, 13.1273219, 148, 123);
INSERT INTO public.ecdc_data VALUES (22316, 0, 2, 0.04399016, 2, 123);
INSERT INTO public.ecdc_data VALUES (22317, 0, 0, 0, 56, 123);
INSERT INTO public.ecdc_data VALUES (22318, 0, 0, 0, 57, 123);
INSERT INTO public.ecdc_data VALUES (22319, 11, 438, 8.46123914, 58, 123);
INSERT INTO public.ecdc_data VALUES (22320, 3, 230, 84.15243051, 149, 123);
INSERT INTO public.ecdc_data VALUES (22321, 0, 0, 0.94064528, 59, 123);
INSERT INTO public.ecdc_data VALUES (22322, 0, 8, 0.86893728, 202, 123);
INSERT INTO public.ecdc_data VALUES (22323, 3, 78, 7.57441068, 150, 123);
INSERT INTO public.ecdc_data VALUES (22324, 1, 231, 14.51075612, 151, 123);
INSERT INTO public.ecdc_data VALUES (22325, 0, 0, 1.79724047, 60, 123);
INSERT INTO public.ecdc_data VALUES (22326, 0, 348, 232.27416638, 106, 123);
INSERT INTO public.ecdc_data VALUES (22327, 21, 1251, 8.7042828, 107, 123);
INSERT INTO public.ecdc_data VALUES (22328, 0, 2, 2.7872525, 61, 123);
INSERT INTO public.ecdc_data VALUES (22329, 4, 936, 139.20260962, 152, 123);
INSERT INTO public.ecdc_data VALUES (22330, 33, 292, 41.64804755, 153, 123);
INSERT INTO public.ecdc_data VALUES (22331, 0, 0, 0, 62, 123);
INSERT INTO public.ecdc_data VALUES (22332, 0, -209, 0.28810749, 3, 123);
INSERT INTO public.ecdc_data VALUES (22333, 0, 0, 15.99795226, 63, 123);
INSERT INTO public.ecdc_data VALUES (22334, 0, 0, 1.83463636, 108, 123);
INSERT INTO public.ecdc_data VALUES (22335, 15, 218, 23.26914154, 64, 123);
INSERT INTO public.ecdc_data VALUES (22336, 0, 0, 0, 65, 123);
INSERT INTO public.ecdc_data VALUES (22337, 1, 16, 11.29961303, 154, 123);
INSERT INTO public.ecdc_data VALUES (22338, 0, 0, 0.08681675, 4, 123);
INSERT INTO public.ecdc_data VALUES (22339, 1179, 17408, 74.34890197, 66, 123);
INSERT INTO public.ecdc_data VALUES (22340, 0, 0, 3.3296707, 67, 123);
INSERT INTO public.ecdc_data VALUES (22341, 0, 0, 0.69236734, 109, 123);
INSERT INTO public.ecdc_data VALUES (22342, 4, 33, 8.61423772, 155, 123);
INSERT INTO public.ecdc_data VALUES (22343, 1, 10, 0.58066914, 5, 123);
INSERT INTO public.ecdc_data VALUES (22344, 0, 0, 0.19946964, 6, 123);
INSERT INTO public.ecdc_data VALUES (22345, 0, 0, 0, 110, 123);
INSERT INTO public.ecdc_data VALUES (22346, 0, 237, 5.50695118, 7, 123);
INSERT INTO public.ecdc_data VALUES (22347, 70, 1040, 45.58814968, 68, 123);
INSERT INTO public.ecdc_data VALUES (22348, 0, 7, 27.09406185, 8, 123);
INSERT INTO public.ecdc_data VALUES (22349, 0, 17, 55.42895855, 69, 123);
INSERT INTO public.ecdc_data VALUES (22350, 0, 75, 6.68046453, 9, 123);
INSERT INTO public.ecdc_data VALUES (22351, 3, 26, 2.35155687, 10, 123);
INSERT INTO public.ecdc_data VALUES (22352, 31, 3520, 145.43556932, 70, 123);
INSERT INTO public.ecdc_data VALUES (22353, 0, 2, 0.00676532, 111, 123);
INSERT INTO public.ecdc_data VALUES (22354, 21, 640, 16.53176814, 71, 123);
INSERT INTO public.ecdc_data VALUES (22355, 0, 23, 3.52571598, 11, 123);
INSERT INTO public.ecdc_data VALUES (22356, 0, 8, 3.41975399, 12, 123);
INSERT INTO public.ecdc_data VALUES (22357, 0, 16, 2.51606667, 72, 123);
INSERT INTO public.ecdc_data VALUES (22358, 0, 34, 2.67920811, 13, 123);
INSERT INTO public.ecdc_data VALUES (22359, 1, 4, 2.94388513, 156, 123);
INSERT INTO public.ecdc_data VALUES (22360, 0, 6, 1.78232925, 73, 123);
INSERT INTO public.ecdc_data VALUES (22361, 0, 0, 0, 74, 123);
INSERT INTO public.ecdc_data VALUES (22362, 0, 1, 4.56673658, 157, 123);
INSERT INTO public.ecdc_data VALUES (22363, 5, 61, 7.05177562, 158, 123);
INSERT INTO public.ecdc_data VALUES (22364, 0, 102, 1.18215611, 14, 123);
INSERT INTO public.ecdc_data VALUES (22365, 3, 76, 21.06412225, 159, 123);
INSERT INTO public.ecdc_data VALUES (22366, 0, 0, 40.88101673, 15, 123);
INSERT INTO public.ecdc_data VALUES (22367, 0, 0, 0, 75, 123);
INSERT INTO public.ecdc_data VALUES (22368, 7, 498, 44.16630032, 76, 123);
INSERT INTO public.ecdc_data VALUES (22369, 40, 569, 13.06575812, 77, 123);
INSERT INTO public.ecdc_data VALUES (22370, 14, 720, 6.25871144, 16, 123);
INSERT INTO public.ecdc_data VALUES (22371, 1, 85, 14.11626159, 78, 123);
INSERT INTO public.ecdc_data VALUES (22372, 0, 171, 33.26002853, 17, 123);
INSERT INTO public.ecdc_data VALUES (22373, 0, 0, 0, 18, 123);
INSERT INTO public.ecdc_data VALUES (22374, 0, 7, 6.03855618, 160, 123);
INSERT INTO public.ecdc_data VALUES (22375, 0, 5, 8.01300895, 19, 123);
INSERT INTO public.ecdc_data VALUES (22376, 0, 13, 0.19629059, 20, 123);
INSERT INTO public.ecdc_data VALUES (22377, 0, 0, 0, 79, 123);
INSERT INTO public.ecdc_data VALUES (22378, 0, 0, 0, 161, 123);
INSERT INTO public.ecdc_data VALUES (22379, 0, 0, 0, 203, 123);
INSERT INTO public.ecdc_data VALUES (22380, 1, 19, 17.88717812, 162, 123);
INSERT INTO public.ecdc_data VALUES (22381, 125, 524, 15.60893896, 163, 123);
INSERT INTO public.ecdc_data VALUES (22382, 0, 0, 0, 204, 123);
INSERT INTO public.ecdc_data VALUES (22383, 1, 70, 50.8612349, 21, 123);
INSERT INTO public.ecdc_data VALUES (22384, 0, 0, 0.29816467, 22, 123);
INSERT INTO public.ecdc_data VALUES (22385, 0, 5, 2.57708615, 164, 123);
INSERT INTO public.ecdc_data VALUES (22386, 83, 797, 13.49085301, 165, 123);
INSERT INTO public.ecdc_data VALUES (22387, 2, 361, 11.10203092, 23, 123);
INSERT INTO public.ecdc_data VALUES (22388, 0, 0, 8.90049249, 166, 123);
INSERT INTO public.ecdc_data VALUES (22389, 0, 4, 1.84622288, 167, 123);
INSERT INTO public.ecdc_data VALUES (22390, 0, 0, 0, 80, 123);
INSERT INTO public.ecdc_data VALUES (22391, 0, 0, 0.8928412, 81, 123);
INSERT INTO public.ecdc_data VALUES (22392, 0, 0, 2.98873248, 205, 123);
INSERT INTO public.ecdc_data VALUES (22393, 5, 132, 7.7922923, 82, 123);
INSERT INTO public.ecdc_data VALUES (22394, 0, 0, 0, 168, 123);
INSERT INTO public.ecdc_data VALUES (22395, 2, 67, 8.23725422, 24, 123);
INSERT INTO public.ecdc_data VALUES (22396, 2, 48, 29.30891861, 25, 123);
INSERT INTO public.ecdc_data VALUES (22397, 0, 1, 4.08802018, 83, 123);
INSERT INTO public.ecdc_data VALUES (22398, 1, 63, 4.3948906, 84, 123);
INSERT INTO public.ecdc_data VALUES (22399, 0, 0, 122.6993865, 169, 123);
INSERT INTO public.ecdc_data VALUES (22400, 1, 157, 17.28894026, 85, 123);
INSERT INTO public.ecdc_data VALUES (22401, 3, 42, 4.98324117, 170, 123);
INSERT INTO public.ecdc_data VALUES (22402, 0, 0, 0.84035732, 171, 123);
INSERT INTO public.ecdc_data VALUES (22403, 140, 5611, 4.19776454, 112, 123);
INSERT INTO public.ecdc_data VALUES (22404, 30, 486, 2.37412898, 113, 123);
INSERT INTO public.ecdc_data VALUES (22405, 62, 2111, 29.70913451, 114, 123);
INSERT INTO public.ecdc_data VALUES (22406, 4, 57, 3.00179683, 115, 123);
INSERT INTO public.ecdc_data VALUES (22407, 14, 51, 46.2456976, 172, 123);
INSERT INTO public.ecdc_data VALUES (22408, 0, 0, 10.63968128, 173, 123);
INSERT INTO public.ecdc_data VALUES (22409, 5, 29, 4.23740104, 116, 123);
INSERT INTO public.ecdc_data VALUES (22410, 162, 813, 22.67412681, 174, 123);
INSERT INTO public.ecdc_data VALUES (22411, 0, 0, 1.59415143, 86, 123);
INSERT INTO public.ecdc_data VALUES (22412, 8, 20, 0.81270501, 117, 123);
INSERT INTO public.ecdc_data VALUES (22413, 1, 0, 9.27678207, 175, 123);
INSERT INTO public.ecdc_data VALUES (22414, 0, 20, 1.76208017, 118, 123);
INSERT INTO public.ecdc_data VALUES (22415, 0, 218, 14.51101231, 119, 123);
INSERT INTO public.ecdc_data VALUES (22416, 0, 51, 0.81409113, 26, 123);
INSERT INTO public.ecdc_data VALUES (22417, 0, 1, 7.39502676, 176, 123);
INSERT INTO public.ecdc_data VALUES (22418, 3, 1073, 260.51341585, 120, 123);
INSERT INTO public.ecdc_data VALUES (22419, 0, 27, 6.21897235, 121, 123);
INSERT INTO public.ecdc_data VALUES (22420, 0, 0, 0, 122, 123);
INSERT INTO public.ecdc_data VALUES (22421, 2, 3, 6.04176736, 177, 123);
INSERT INTO public.ecdc_data VALUES (22422, 0, 23, 3.10689967, 123, 123);
INSERT INTO public.ecdc_data VALUES (22423, 0, 0, 0, 27, 123);
INSERT INTO public.ecdc_data VALUES (22424, 1, 4, 1.27598193, 28, 123);
INSERT INTO public.ecdc_data VALUES (22425, 0, 3, 0.07377403, 29, 123);
INSERT INTO public.ecdc_data VALUES (22426, 0, 0, 0, 178, 123);
INSERT INTO public.ecdc_data VALUES (22427, 1, 15, 4.97461871, 179, 123);
INSERT INTO public.ecdc_data VALUES (22428, 2, 11, 19.22155942, 180, 123);
INSERT INTO public.ecdc_data VALUES (22429, 1, 4, 0.62293038, 30, 123);
INSERT INTO public.ecdc_data VALUES (22430, 0, 1, 0.16104141, 31, 123);
INSERT INTO public.ecdc_data VALUES (22431, 1, 37, 1.86229712, 124, 123);
INSERT INTO public.ecdc_data VALUES (22432, 0, 37, 107.35332616, 125, 123);
INSERT INTO public.ecdc_data VALUES (22433, 1, 27, 1.47013766, 32, 123);
INSERT INTO public.ecdc_data VALUES (22434, 0, 15, 20.26100223, 181, 123);
INSERT INTO public.ecdc_data VALUES (22435, 0, 0, 1.61301085, 33, 123);
INSERT INTO public.ecdc_data VALUES (22436, 0, 0, 0, 34, 123);
INSERT INTO public.ecdc_data VALUES (22437, 334, 3547, 28.77119169, 87, 123);
INSERT INTO public.ecdc_data VALUES (22438, 6, 202, 48.89621192, 182, 123);
INSERT INTO public.ecdc_data VALUES (22439, 0, 0, 3.02251776, 183, 123);
INSERT INTO public.ecdc_data VALUES (22440, 0, 0, 3.06960944, 126, 123);
INSERT INTO public.ecdc_data VALUES (22441, 0, 0, 0, 184, 123);
INSERT INTO public.ecdc_data VALUES (22442, 0, 0, 0, 88, 123);
INSERT INTO public.ecdc_data VALUES (22443, 1, 71, 4.94629188, 35, 123);
INSERT INTO public.ecdc_data VALUES (22444, 0, 1, 0.21405489, 36, 123);
INSERT INTO public.ecdc_data VALUES (22445, 0, 2, 0.05920946, 127, 123);
INSERT INTO public.ecdc_data VALUES (22446, 0, 0, 0, 37, 123);
INSERT INTO public.ecdc_data VALUES (22447, 0, 27, 1.11854028, 128, 123);
INSERT INTO public.ecdc_data VALUES (22448, 21, 108, 18.29632089, 185, 123);
INSERT INTO public.ecdc_data VALUES (22449, 0, 0, 0, 207, 123);
INSERT INTO public.ecdc_data VALUES (22450, 0, 0, 0.31360664, 208, 123);
INSERT INTO public.ecdc_data VALUES (22451, 0, 0, 0.13749898, 89, 123);
INSERT INTO public.ecdc_data VALUES (22452, 0, 5, 0.64777067, 38, 123);
INSERT INTO public.ecdc_data VALUES (22453, 1, 226, 1.71722638, 39, 123);
INSERT INTO public.ecdc_data VALUES (22454, 2, 22, 15.06885456, 186, 123);
INSERT INTO public.ecdc_data VALUES (22455, 0, 0, 12.23498156, 209, 123);
INSERT INTO public.ecdc_data VALUES (22456, 0, 8, 6.64387979, 187, 123);
INSERT INTO public.ecdc_data VALUES (22457, 1, 292, 59.01517028, 129, 123);
INSERT INTO public.ecdc_data VALUES (22458, 46, 1932, 10.78104302, 130, 123);
INSERT INTO public.ecdc_data VALUES (22459, 0, 3, 0.64238685, 131, 123);
INSERT INTO public.ecdc_data VALUES (22460, 2, 141, 55.19917861, 90, 123);
INSERT INTO public.ecdc_data VALUES (22461, 0, 0, 0, 210, 123);
INSERT INTO public.ecdc_data VALUES (22462, 0, 41, 5.64968624, 91, 123);
INSERT INTO public.ecdc_data VALUES (22463, 125, 4550, 148.54910398, 92, 123);
INSERT INTO public.ecdc_data VALUES (22464, 6, 224, 3.01341268, 132, 123);
INSERT INTO public.ecdc_data VALUES (22465, 12, 383, 12.73806112, 188, 123);
INSERT INTO public.ecdc_data VALUES (22466, 16, 223, 36.29599118, 189, 123);
INSERT INTO public.ecdc_data VALUES (22467, 0, 95, 30.03336738, 93, 123);
INSERT INTO public.ecdc_data VALUES (22468, 0, 1637, 651.96105606, 133, 123);
INSERT INTO public.ecdc_data VALUES (22469, 19, 155, 17.27578488, 190, 123);
INSERT INTO public.ecdc_data VALUES (22470, 115, 9263, 99.10794554, 191, 123);
INSERT INTO public.ecdc_data VALUES (22471, 0, 11, 0.37222009, 40, 123);
INSERT INTO public.ecdc_data VALUES (22472, 0, 0, 0, 94, 123);
INSERT INTO public.ecdc_data VALUES (22473, 0, 0, 0, 95, 123);
INSERT INTO public.ecdc_data VALUES (22474, 0, 0, 0, 96, 123);
INSERT INTO public.ecdc_data VALUES (22475, 0, 1, 191.56532087, 192, 123);
INSERT INTO public.ecdc_data VALUES (22476, 1, 5, 35.8059596, 41, 123);
INSERT INTO public.ecdc_data VALUES (22477, 9, 2509, 86.38538293, 134, 123);
INSERT INTO public.ecdc_data VALUES (22478, 4, 73, 7.9036045, 42, 123);
INSERT INTO public.ecdc_data VALUES (22479, 3, 34, 15.16421292, 193, 123);
INSERT INTO public.ecdc_data VALUES (22480, 0, 0, 0, 43, 123);
INSERT INTO public.ecdc_data VALUES (22481, 0, 15, 4.28761199, 44, 123);
INSERT INTO public.ecdc_data VALUES (22482, 0, 451, 161.67204454, 135, 123);
INSERT INTO public.ecdc_data VALUES (22483, 0, 0, 2.3591026, 97, 123);
INSERT INTO public.ecdc_data VALUES (22484, 0, 0, 1.35769329, 194, 123);
INSERT INTO public.ecdc_data VALUES (22485, 0, 1, 0.9611189, 195, 123);
INSERT INTO public.ecdc_data VALUES (22486, 2, 47, 4.31913527, 45, 123);
INSERT INTO public.ecdc_data VALUES (22487, 26, 767, 16.4417434, 46, 123);
INSERT INTO public.ecdc_data VALUES (22488, 0, 32, 0.59345651, 136, 123);
INSERT INTO public.ecdc_data VALUES (22489, 2, 3, 2.10628818, 47, 123);
INSERT INTO public.ecdc_data VALUES (22490, 110, 518, 24.35389008, 196, 123);
INSERT INTO public.ecdc_data VALUES (22491, 0, 35, 1.20054021, 137, 123);
INSERT INTO public.ecdc_data VALUES (22492, 0, 0, 4.23467163, 48, 123);
INSERT INTO public.ecdc_data VALUES (22493, 0, 0, 0.17200957, 98, 123);
INSERT INTO public.ecdc_data VALUES (22494, 41, 666, 77.9360295, 197, 123);
INSERT INTO public.ecdc_data VALUES (22495, 11, 21, 7.12736937, 198, 123);
INSERT INTO public.ecdc_data VALUES (22496, 0, 0, 0.0820146, 138, 123);
INSERT INTO public.ecdc_data VALUES (22497, 0, 0, 0.00841259, 139, 123);
INSERT INTO public.ecdc_data VALUES (22498, 0, 0, 15.40603429, 140, 123);
INSERT INTO public.ecdc_data VALUES (22499, 0, 3, 0.06606767, 141, 123);
INSERT INTO public.ecdc_data VALUES (22500, 0, 0, 0, 142, 123);
INSERT INTO public.ecdc_data VALUES (22501, 0, 8, 2.59825133, 49, 123);
INSERT INTO public.ecdc_data VALUES (22502, 0, 0, 0, 99, 123);
INSERT INTO public.ecdc_data VALUES (22503, 1, 1, 0.18811907, 50, 123);
INSERT INTO public.ecdc_data VALUES (22504, 28, 1022, 26.97921057, 199, 123);
INSERT INTO public.ecdc_data VALUES (22505, 0, 0, 0, 100, 123);
INSERT INTO public.ecdc_data VALUES (22506, 0, 0, 0.36593971, 51, 123);
INSERT INTO public.ecdc_data VALUES (22507, 13, 260, 14.04521103, 200, 123);
INSERT INTO public.ecdc_data VALUES (22508, 3, 873, 101.02833768, 143, 123);
INSERT INTO public.ecdc_data VALUES (22509, 500, 2589, 61.18794765, 201, 123);
INSERT INTO public.ecdc_data VALUES (22510, 0, 0, 0.04999529, 52, 123);
INSERT INTO public.ecdc_data VALUES (22511, 1568, 19970, 98.48907716, 101, 123);
INSERT INTO public.ecdc_data VALUES (22512, 0, 0, 2.86864476, 102, 123);
INSERT INTO public.ecdc_data VALUES (22513, 0, 1, 1.96433518, 103, 123);
INSERT INTO public.ecdc_data VALUES (22514, 0, 78, 2.04052458, 144, 123);
INSERT INTO public.ecdc_data VALUES (22515, 0, 131, 1.33960685, 104, 123);
INSERT INTO public.ecdc_data VALUES (22516, 0, 0, 0.05494385, 145, 123);
INSERT INTO public.ecdc_data VALUES (22517, 0, 0, 0, 53, 123);
INSERT INTO public.ecdc_data VALUES (22518, 8, 37, 0.50065287, 146, 123);
INSERT INTO public.ecdc_data VALUES (22519, 0, 11, 3.54402774, 54, 123);
INSERT INTO public.ecdc_data VALUES (22520, 0, 0, 0.08193658, 55, 123);
INSERT INTO public.ecdc_data VALUES (22521, 3, 88, 1.83219718, 105, 124);
INSERT INTO public.ecdc_data VALUES (22522, 0, 14, 7.02201314, 147, 124);
INSERT INTO public.ecdc_data VALUES (22523, 8, 94, 3.04043472, 1, 124);
INSERT INTO public.ecdc_data VALUES (22524, 1, 9, 278.29922418, 148, 124);
INSERT INTO public.ecdc_data VALUES (22525, 0, 0, 0.03142154, 2, 124);
INSERT INTO public.ecdc_data VALUES (22526, 0, 0, 0, 56, 124);
INSERT INTO public.ecdc_data VALUES (22527, 0, 0, 8.23765639, 57, 124);
INSERT INTO public.ecdc_data VALUES (22528, 2, 102, 3.07275404, 58, 124);
INSERT INTO public.ecdc_data VALUES (22529, 2, 48, 17.10772593, 149, 124);
INSERT INTO public.ecdc_data VALUES (22530, 0, 1, 31.04129433, 59, 124);
INSERT INTO public.ecdc_data VALUES (22531, 1, 26, 3.44400711, 202, 124);
INSERT INTO public.ecdc_data VALUES (22532, 9, 48, 30.78303716, 150, 124);
INSERT INTO public.ecdc_data VALUES (22533, 1, 25, 8.10134121, 151, 124);
INSERT INTO public.ecdc_data VALUES (22534, 0, 2, 7.95920778, 60, 124);
INSERT INTO public.ecdc_data VALUES (22535, 0, 100, 71.47366138, 106, 124);
INSERT INTO public.ecdc_data VALUES (22536, 7, 312, 1.45234933, 107, 124);
INSERT INTO public.ecdc_data VALUES (22537, 0, 0, 6.61972469, 61, 124);
INSERT INTO public.ecdc_data VALUES (22538, 2, 510, 55.46734171, 152, 124);
INSERT INTO public.ecdc_data VALUES (22539, 190, 444, 169.12372106, 153, 124);
INSERT INTO public.ecdc_data VALUES (22540, 0, 0, 3.33033603, 62, 124);
INSERT INTO public.ecdc_data VALUES (22541, 0, 0, 0.12710625, 3, 124);
INSERT INTO public.ecdc_data VALUES (22542, 0, 0, 78.38996608, 63, 124);
INSERT INTO public.ecdc_data VALUES (22543, 0, 0, 0, 108, 124);
INSERT INTO public.ecdc_data VALUES (22544, 1, 44, 3.30927321, 64, 124);
INSERT INTO public.ecdc_data VALUES (22545, 0, 1, 11.54601085, 65, 124);
INSERT INTO public.ecdc_data VALUES (22546, 1, 15, 18.35808443, 154, 124);
INSERT INTO public.ecdc_data VALUES (22547, 0, 5, 0.60771723, 4, 124);
INSERT INTO public.ecdc_data VALUES (22548, 115, 2055, 13.04148909, 66, 124);
INSERT INTO public.ecdc_data VALUES (22549, 1, 1, 3.3296707, 67, 124);
INSERT INTO public.ecdc_data VALUES (22550, 0, 1, 0.69236734, 109, 124);
INSERT INTO public.ecdc_data VALUES (22551, 2, 37, 5.48568372, 155, 124);
INSERT INTO public.ecdc_data VALUES (22552, 0, 11, 1.13673366, 5, 124);
INSERT INTO public.ecdc_data VALUES (22553, 0, 0, 0.02601778, 6, 124);
INSERT INTO public.ecdc_data VALUES (22554, 0, 0, 0.04852443, 110, 124);
INSERT INTO public.ecdc_data VALUES (22555, 21, 0, 1.41441694, 7, 124);
INSERT INTO public.ecdc_data VALUES (22556, 113, 1436, 51.53826526, 68, 124);
INSERT INTO public.ecdc_data VALUES (22557, 0, 3, 9.81932443, 8, 124);
INSERT INTO public.ecdc_data VALUES (22558, 0, 0, 33.87325245, 69, 124);
INSERT INTO public.ecdc_data VALUES (22559, 0, 0, 0.06322206, 9, 124);
INSERT INTO public.ecdc_data VALUES (22560, 0, 0, 0.15049964, 10, 124);
INSERT INTO public.ecdc_data VALUES (22561, 7, 358, 29.63797819, 70, 124);
INSERT INTO public.ecdc_data VALUES (22562, 0, 14, 0.08195099, 111, 124);
INSERT INTO public.ecdc_data VALUES (22563, 13, 171, 4.58288742, 71, 124);
INSERT INTO public.ecdc_data VALUES (22564, 0, 17, 2.13734624, 12, 124);
INSERT INTO public.ecdc_data VALUES (22565, 0, 5, 4.08117901, 72, 124);
INSERT INTO public.ecdc_data VALUES (22566, 1, 46, 2.27868788, 13, 124);
INSERT INTO public.ecdc_data VALUES (22567, 8, 39, 16.90280714, 156, 124);
INSERT INTO public.ecdc_data VALUES (22568, 2, 49, 6.30873966, 73, 124);
INSERT INTO public.ecdc_data VALUES (22569, 0, 0, 1.83572692, 74, 124);
INSERT INTO public.ecdc_data VALUES (22570, 0, 6, 36.64806102, 157, 124);
INSERT INTO public.ecdc_data VALUES (22571, 7, 133, 20.65766493, 158, 124);
INSERT INTO public.ecdc_data VALUES (22572, 0, 5, 0.20509141, 14, 124);
INSERT INTO public.ecdc_data VALUES (22573, 9, 142, 51.92831447, 159, 124);
INSERT INTO public.ecdc_data VALUES (22574, 0, 114, 80.83758835, 15, 124);
INSERT INTO public.ecdc_data VALUES (22575, 0, 0, 2.78520499, 75, 124);
INSERT INTO public.ecdc_data VALUES (22576, 9, 345, 27.33040089, 76, 124);
INSERT INTO public.ecdc_data VALUES (22577, 18, 446, 33.51050386, 77, 124);
INSERT INTO public.ecdc_data VALUES (22578, 15, 112, 2.06598242, 16, 124);
INSERT INTO public.ecdc_data VALUES (22579, 0, 11, 2.04538587, 78, 124);
INSERT INTO public.ecdc_data VALUES (22580, 0, 0, 4.64607937, 17, 124);
INSERT INTO public.ecdc_data VALUES (22581, 0, 4, 0.28594983, 18, 124);
INSERT INTO public.ecdc_data VALUES (22582, 2, 16, 32.53272143, 160, 124);
INSERT INTO public.ecdc_data VALUES (22583, 0, 3, 1.132273, 19, 124);
INSERT INTO public.ecdc_data VALUES (22584, 0, 3, 0.05799495, 20, 124);
INSERT INTO public.ecdc_data VALUES (22585, 0, 0, 266.90391459, 79, 124);
INSERT INTO public.ecdc_data VALUES (22586, 0, 1, 8.21743328, 161, 124);
INSERT INTO public.ecdc_data VALUES (22587, 0, 0, 0.3370957, 203, 124);
INSERT INTO public.ecdc_data VALUES (22588, 4, 102, 33.63586888, 162, 124);
INSERT INTO public.ecdc_data VALUES (22589, 395, 785, 62.86552393, 163, 124);
INSERT INTO public.ecdc_data VALUES (22590, 0, 0, 5.01280054, 204, 124);
INSERT INTO public.ecdc_data VALUES (22591, 0, 0, 4.05048749, 21, 124);
INSERT INTO public.ecdc_data VALUES (22592, 0, 1, 0.25556972, 22, 124);
INSERT INTO public.ecdc_data VALUES (22593, 0, 6, 5.50445586, 164, 124);
INSERT INTO public.ecdc_data VALUES (22594, 110, 1775, 55.74733646, 165, 124);
INSERT INTO public.ecdc_data VALUES (22595, 0, 208, 2.72208516, 23, 124);
INSERT INTO public.ecdc_data VALUES (22596, 0, 0, 89.00492494, 166, 124);
INSERT INTO public.ecdc_data VALUES (22597, 5, 28, 4.66217898, 167, 124);
INSERT INTO public.ecdc_data VALUES (22598, 0, 0, 0, 80, 124);
INSERT INTO public.ecdc_data VALUES (22599, 0, 0, 1.7856824, 81, 124);
INSERT INTO public.ecdc_data VALUES (22600, 0, 0, 15.54140889, 205, 124);
INSERT INTO public.ecdc_data VALUES (22601, 0, 32, 1.24562921, 82, 124);
INSERT INTO public.ecdc_data VALUES (22602, 0, 0, 131.84835888, 168, 124);
INSERT INTO public.ecdc_data VALUES (22603, 2, 102, 3.58618102, 24, 124);
INSERT INTO public.ecdc_data VALUES (22604, 0, 0, 1.66587104, 25, 124);
INSERT INTO public.ecdc_data VALUES (22605, 0, 2, 4.59902271, 83, 124);
INSERT INTO public.ecdc_data VALUES (22606, 0, 3, 0.23084274, 84, 124);
INSERT INTO public.ecdc_data VALUES (22607, 0, 0, 122.6993865, 169, 124);
INSERT INTO public.ecdc_data VALUES (22608, 0, 5, 1.83662926, 85, 124);
INSERT INTO public.ecdc_data VALUES (22609, 10, 68, 12.6883348, 170, 124);
INSERT INTO public.ecdc_data VALUES (22610, 0, 11, 79.83394539, 171, 124);
INSERT INTO public.ecdc_data VALUES (22611, 36, 1553, 0.96588323, 112, 124);
INSERT INTO public.ecdc_data VALUES (22612, 47, 327, 1.58965025, 113, 124);
INSERT INTO public.ecdc_data VALUES (22613, 87, 1343, 28.92760083, 114, 124);
INSERT INTO public.ecdc_data VALUES (22614, 1, 57, 1.47037167, 115, 124);
INSERT INTO public.ecdc_data VALUES (22615, 39, 493, 206.75986493, 172, 124);
INSERT INTO public.ecdc_data VALUES (22616, 0, 1, 202.15394437, 173, 124);
INSERT INTO public.ecdc_data VALUES (22617, 8, 226, 59.40578021, 116, 124);
INSERT INTO public.ecdc_data VALUES (22618, 433, 3047, 82.87670023, 174, 124);
INSERT INTO public.ecdc_data VALUES (22619, 0, 23, 4.68069995, 86, 124);
INSERT INTO public.ecdc_data VALUES (22620, 10, 390, 5.5943428, 117, 124);
INSERT INTO public.ecdc_data VALUES (22621, 0, 4, 87.20175146, 175, 124);
INSERT INTO public.ecdc_data VALUES (22622, 0, 4, 0.71275153, 118, 124);
INSERT INTO public.ecdc_data VALUES (22623, 2, 81, 6.49006643, 119, 124);
INSERT INTO public.ecdc_data VALUES (22624, 2, 8, 0.24346651, 26, 124);
INSERT INTO public.ecdc_data VALUES (22625, 2, 28, 22.01827517, 176, 124);
INSERT INTO public.ecdc_data VALUES (22626, 1, 163, 32.30271279, 120, 124);
INSERT INTO public.ecdc_data VALUES (22627, 2, 14, 5.4864117, 121, 124);
INSERT INTO public.ecdc_data VALUES (22628, 0, 0, 0.11158448, 122, 124);
INSERT INTO public.ecdc_data VALUES (22629, 0, 15, 10.10433507, 177, 124);
INSERT INTO public.ecdc_data VALUES (22630, 0, 1, 2.12961198, 123, 124);
INSERT INTO public.ecdc_data VALUES (22631, 1, 10, 1.57978715, 28, 124);
INSERT INTO public.ecdc_data VALUES (22632, 0, 0, 0.45739897, 29, 124);
INSERT INTO public.ecdc_data VALUES (22633, 0, 0, 10.42263797, 178, 124);
INSERT INTO public.ecdc_data VALUES (22634, 3, 28, 18.43114126, 179, 124);
INSERT INTO public.ecdc_data VALUES (22635, 1, 13, 121.51935025, 180, 124);
INSERT INTO public.ecdc_data VALUES (22636, 0, 4, 0.18168803, 30, 124);
INSERT INTO public.ecdc_data VALUES (22637, 0, 0, 0.06978461, 31, 124);
INSERT INTO public.ecdc_data VALUES (22638, 1, 84, 5.40535651, 124, 124);
INSERT INTO public.ecdc_data VALUES (22639, 0, 17, 6.21519257, 125, 124);
INSERT INTO public.ecdc_data VALUES (22640, 1, 8, 0.91056969, 32, 124);
INSERT INTO public.ecdc_data VALUES (22641, 0, 4, 38.49590424, 181, 124);
INSERT INTO public.ecdc_data VALUES (22642, 0, 0, 0.02209604, 33, 124);
INSERT INTO public.ecdc_data VALUES (22643, 0, 3, 7.95482291, 34, 124);
INSERT INTO public.ecdc_data VALUES (22644, 36, 705, 7.46773309, 87, 124);
INSERT INTO public.ecdc_data VALUES (22645, 7, 121, 39.76990833, 182, 124);
INSERT INTO public.ecdc_data VALUES (22646, 0, 0, 42.3152486, 183, 124);
INSERT INTO public.ecdc_data VALUES (22647, 0, 1, 0.55811081, 126, 124);
INSERT INTO public.ecdc_data VALUES (22648, 0, 1, 15.10811949, 184, 124);
INSERT INTO public.ecdc_data VALUES (22649, 0, 0, 100.18032458, 88, 124);
INSERT INTO public.ecdc_data VALUES (22650, 4, 170, 5.02854729, 35, 124);
INSERT INTO public.ecdc_data VALUES (22651, 0, 4, 0.09550141, 36, 124);
INSERT INTO public.ecdc_data VALUES (22652, 0, 4, 0.16652659, 127, 124);
INSERT INTO public.ecdc_data VALUES (22653, 0, 0, 0, 37, 124);
INSERT INTO public.ecdc_data VALUES (22654, 0, 0, 0.07689964, 128, 124);
INSERT INTO public.ecdc_data VALUES (22655, 83, 1066, 85.66057385, 185, 124);
INSERT INTO public.ecdc_data VALUES (22656, 0, 0, 0, 207, 124);
INSERT INTO public.ecdc_data VALUES (22657, 0, 7, 4.0559792, 208, 124);
INSERT INTO public.ecdc_data VALUES (22658, 0, 0, 0.06111066, 89, 124);
INSERT INTO public.ecdc_data VALUES (22659, 1, 9, 1.99050059, 38, 124);
INSERT INTO public.ecdc_data VALUES (22660, 2, 85, 0.196553, 39, 124);
INSERT INTO public.ecdc_data VALUES (22661, 2, 37, 34.85575303, 186, 124);
INSERT INTO public.ecdc_data VALUES (22662, 0, 0, 10.48712705, 209, 124);
INSERT INTO public.ecdc_data VALUES (22663, 6, 84, 26.80073541, 187, 124);
INSERT INTO public.ecdc_data VALUES (22664, 1, 86, 19.45731772, 129, 124);
INSERT INTO public.ecdc_data VALUES (22665, 17, 425, 2.37387965, 130, 124);
INSERT INTO public.ecdc_data VALUES (22666, 0, 9, 2.10783186, 131, 124);
INSERT INTO public.ecdc_data VALUES (22667, 6, 194, 58.37831219, 90, 124);
INSERT INTO public.ecdc_data VALUES (22668, 0, 0, 0.06836735, 210, 124);
INSERT INTO public.ecdc_data VALUES (22669, 0, 4, 1.32015281, 91, 124);
INSERT INTO public.ecdc_data VALUES (22670, 52, 1208, 41.05447656, 92, 124);
INSERT INTO public.ecdc_data VALUES (22671, 12, 172, 2.78680553, 132, 124);
INSERT INTO public.ecdc_data VALUES (22672, 13, 545, 13.65450628, 188, 124);
INSERT INTO public.ecdc_data VALUES (22673, 27, 521, 86.87683894, 189, 124);
INSERT INTO public.ecdc_data VALUES (22674, 2, 95, 25.15848482, 93, 124);
INSERT INTO public.ecdc_data VALUES (22675, 0, 440, 135.73106041, 133, 124);
INSERT INTO public.ecdc_data VALUES (22676, 17, 328, 25.14620805, 190, 124);
INSERT INTO public.ecdc_data VALUES (22677, 48, 6060, 25.68274462, 191, 124);
INSERT INTO public.ecdc_data VALUES (22678, 0, 3, 0.34054178, 40, 124);
INSERT INTO public.ecdc_data VALUES (22679, 0, 1, 9.46360298, 94, 124);
INSERT INTO public.ecdc_data VALUES (22680, 0, 0, 0.54706092, 95, 124);
INSERT INTO public.ecdc_data VALUES (22681, 0, 0, 4.5210818, 96, 124);
INSERT INTO public.ecdc_data VALUES (22682, 0, 6, 565.98844803, 192, 124);
INSERT INTO public.ecdc_data VALUES (22683, 0, 0, 0, 41, 124);
INSERT INTO public.ecdc_data VALUES (22684, 5, 1088, 20.35978842, 134, 124);
INSERT INTO public.ecdc_data VALUES (22685, 1, 17, 0.88976914, 42, 124);
INSERT INTO public.ecdc_data VALUES (22686, 5, 324, 63.32782099, 193, 124);
INSERT INTO public.ecdc_data VALUES (22687, 0, 0, 1.0231121, 43, 124);
INSERT INTO public.ecdc_data VALUES (22688, 0, 5, 0.37116641, 44, 124);
INSERT INTO public.ecdc_data VALUES (22689, 0, 596, 90.94913929, 135, 124);
INSERT INTO public.ecdc_data VALUES (22690, 1, 3, 99.08230909, 97, 124);
INSERT INTO public.ecdc_data VALUES (22691, 1, 72, 12.40271164, 194, 124);
INSERT INTO public.ecdc_data VALUES (22692, 4, 13, 16.00262962, 195, 124);
INSERT INTO public.ecdc_data VALUES (22693, 0, 29, 1.01664803, 45, 124);
INSERT INTO public.ecdc_data VALUES (22694, 2, 124, 2.56667432, 46, 124);
INSERT INTO public.ecdc_data VALUES (22695, 2, 13, 0.76134223, 136, 124);
INSERT INTO public.ecdc_data VALUES (22696, 0, 0, 0.02711959, 47, 124);
INSERT INTO public.ecdc_data VALUES (22697, 399, 2218, 113.07056727, 196, 124);
INSERT INTO public.ecdc_data VALUES (22698, 0, 41, 0.60495971, 137, 124);
INSERT INTO public.ecdc_data VALUES (22699, 0, 0, 0.12612922, 48, 124);
INSERT INTO public.ecdc_data VALUES (22700, 0, 0, 0, 98, 124);
INSERT INTO public.ecdc_data VALUES (22701, 87, 388, 72.74550753, 197, 124);
INSERT INTO public.ecdc_data VALUES (22702, 24, 336, 77.66374897, 198, 124);
INSERT INTO public.ecdc_data VALUES (22703, 1, 1, 0.11716371, 138, 124);
INSERT INTO public.ecdc_data VALUES (22704, 0, 22, 0.23975892, 139, 124);
INSERT INTO public.ecdc_data VALUES (22705, 0, 32, 0.78275828, 141, 124);
INSERT INTO public.ecdc_data VALUES (22706, 0, 1, 1.39198218, 142, 124);
INSERT INTO public.ecdc_data VALUES (22707, 0, 0, 0.49490501, 49, 124);
INSERT INTO public.ecdc_data VALUES (22708, 0, 0, 0.71686181, 99, 124);
INSERT INTO public.ecdc_data VALUES (22709, 1, 13, 2.78758253, 50, 124);
INSERT INTO public.ecdc_data VALUES (22710, 127, 3977, 72.23682411, 199, 124);
INSERT INTO public.ecdc_data VALUES (22711, 0, 0, 15.70927371, 100, 124);
INSERT INTO public.ecdc_data VALUES (22712, 0, 0, 0.00677666, 51, 124);
INSERT INTO public.ecdc_data VALUES (22713, 8, 343, 9.41272356, 200, 124);
INSERT INTO public.ecdc_data VALUES (22714, 4, 453, 52.8118957, 143, 124);
INSERT INTO public.ecdc_data VALUES (22715, 432, 4721, 96.37626909, 201, 124);
INSERT INTO public.ecdc_data VALUES (22716, 0, 22, 0.25514839, 52, 124);
INSERT INTO public.ecdc_data VALUES (22717, 1772, 24601, 128.25797531, 101, 124);
INSERT INTO public.ecdc_data VALUES (22718, 0, 0, 10.51836411, 102, 124);
INSERT INTO public.ecdc_data VALUES (22719, 1, 11, 3.49536114, 103, 124);
INSERT INTO public.ecdc_data VALUES (22720, 0, 70, 3.70811524, 144, 124);
INSERT INTO public.ecdc_data VALUES (22721, 0, 29, 0.37873702, 104, 124);
INSERT INTO public.ecdc_data VALUES (22722, 0, 0, 0.02384356, 145, 124);
INSERT INTO public.ecdc_data VALUES (22723, 0, 0, 0, 146, 124);
INSERT INTO public.ecdc_data VALUES (22724, 1, 4, 0.12317316, 54, 124);
INSERT INTO public.ecdc_data VALUES (22725, 0, 0, 0.10924878, 55, 124);
INSERT INTO public.ecdc_data VALUES (22726, 0, 0, 0.0552025, 105, 125);
INSERT INTO public.ecdc_data VALUES (22727, 0, 11, 0, 147, 125);
INSERT INTO public.ecdc_data VALUES (22728, 1, 18, 0.20207626, 1, 125);
INSERT INTO public.ecdc_data VALUES (22729, 0, 22, 0, 148, 125);
INSERT INTO public.ecdc_data VALUES (22730, 1, 31, 0.28583759, 58, 125);
INSERT INTO public.ecdc_data VALUES (22731, 0, 26, 4.59812397, 149, 125);
INSERT INTO public.ecdc_data VALUES (22732, 0, 2, 0, 59, 125);
INSERT INTO public.ecdc_data VALUES (22733, 0, 144, 2.57903758, 202, 125);
INSERT INTO public.ecdc_data VALUES (22734, 2, 550, 24.32616248, 150, 125);
INSERT INTO public.ecdc_data VALUES (22735, 0, 10, 0.43791034, 151, 125);
INSERT INTO public.ecdc_data VALUES (22736, 0, 2, 0, 60, 125);
INSERT INTO public.ecdc_data VALUES (22737, 0, 13, 13.22232269, 106, 125);
INSERT INTO public.ecdc_data VALUES (22738, 0, 0, 0, 107, 125);
INSERT INTO public.ecdc_data VALUES (22739, 0, 1, 0, 61, 125);
INSERT INTO public.ecdc_data VALUES (22740, 0, 11, 0.60302088, 152, 125);
INSERT INTO public.ecdc_data VALUES (22741, 33, 713, 25.97001498, 153, 125);
INSERT INTO public.ecdc_data VALUES (22742, 0, 1, 0, 3, 125);
INSERT INTO public.ecdc_data VALUES (22743, 0, 2, 0, 63, 125);
INSERT INTO public.ecdc_data VALUES (22744, 0, 0, 0, 108, 125);
INSERT INTO public.ecdc_data VALUES (22745, 0, 3, 0, 64, 125);
INSERT INTO public.ecdc_data VALUES (22746, 0, 9, 0, 154, 125);
INSERT INTO public.ecdc_data VALUES (22747, 2, 193, 0.29045316, 66, 125);
INSERT INTO public.ecdc_data VALUES (22748, 0, 5, 0, 109, 125);
INSERT INTO public.ecdc_data VALUES (22749, 1, 13, 0, 155, 125);
INSERT INTO public.ecdc_data VALUES (22750, 0, 7, 0, 5, 125);
INSERT INTO public.ecdc_data VALUES (22751, 0, 0, 0.13950773, 110, 125);
INSERT INTO public.ecdc_data VALUES (22752, 0, 4, 0, 7, 125);
INSERT INTO public.ecdc_data VALUES (22753, 1, 156, 2.14107933, 68, 125);
INSERT INTO public.ecdc_data VALUES (22754, 0, 1, 0, 69, 125);
INSERT INTO public.ecdc_data VALUES (22755, 0, 0, 0, 9, 125);
INSERT INTO public.ecdc_data VALUES (22756, 0, 1, 0, 10, 125);
INSERT INTO public.ecdc_data VALUES (22757, 0, 104, 1.78872612, 70, 125);
INSERT INTO public.ecdc_data VALUES (22758, 4, 99, 0.03919699, 111, 125);
INSERT INTO public.ecdc_data VALUES (22759, 0, 26, 0, 71, 125);
INSERT INTO public.ecdc_data VALUES (22760, 0, 0, 0, 12, 125);
INSERT INTO public.ecdc_data VALUES (22761, 0, 18, 0, 72, 125);
INSERT INTO public.ecdc_data VALUES (22762, 0, 3, 0, 13, 125);
INSERT INTO public.ecdc_data VALUES (22763, 0, 23, 2.35510811, 156, 125);
INSERT INTO public.ecdc_data VALUES (22764, 0, 5, 0, 73, 125);
INSERT INTO public.ecdc_data VALUES (22765, 0, 2, 0, 74, 125);
INSERT INTO public.ecdc_data VALUES (22766, 0, 0, 0, 157, 125);
INSERT INTO public.ecdc_data VALUES (22767, 0, 172, 6.40387613, 158, 125);
INSERT INTO public.ecdc_data VALUES (22768, 0, 0, 0, 14, 125);
INSERT INTO public.ecdc_data VALUES (22769, 2, 36, 19.47957667, 159, 125);
INSERT INTO public.ecdc_data VALUES (22770, 0, 0, 0, 15, 125);
INSERT INTO public.ecdc_data VALUES (22771, 0, 0, 0.19554972, 76, 125);
INSERT INTO public.ecdc_data VALUES (22772, 0, 31, 1.13965644, 77, 125);
INSERT INTO public.ecdc_data VALUES (22773, 0, 14, 0.20719592, 16, 125);
INSERT INTO public.ecdc_data VALUES (22774, 0, 0, 0, 78, 125);
INSERT INTO public.ecdc_data VALUES (22775, 0, 1, 0, 17, 125);
INSERT INTO public.ecdc_data VALUES (22776, 0, 9, 20.0781993, 160, 125);
INSERT INTO public.ecdc_data VALUES (22777, 0, 0, 0, 19, 125);
INSERT INTO public.ecdc_data VALUES (22778, 0, 1, 0, 20, 125);
INSERT INTO public.ecdc_data VALUES (22779, 0, 25, 145.8594408, 161, 125);
INSERT INTO public.ecdc_data VALUES (22780, 0, 1, 0, 203, 125);
INSERT INTO public.ecdc_data VALUES (22781, 0, 31, 7.14037303, 162, 125);
INSERT INTO public.ecdc_data VALUES (22782, 128, 1861, 15.776071, 163, 125);
INSERT INTO public.ecdc_data VALUES (22783, 0, 0, 0, 204, 125);
INSERT INTO public.ecdc_data VALUES (22784, 0, 0, 0, 21, 125);
INSERT INTO public.ecdc_data VALUES (22785, 0, 0, 0, 22, 125);
INSERT INTO public.ecdc_data VALUES (22786, 0, 6, 0.92574939, 164, 125);
INSERT INTO public.ecdc_data VALUES (22787, 30, 5940, 16.54797667, 165, 125);
INSERT INTO public.ecdc_data VALUES (22788, 0, 4, 0, 23, 125);
INSERT INTO public.ecdc_data VALUES (22789, 0, 10, 0, 166, 125);
INSERT INTO public.ecdc_data VALUES (22790, 0, 46, 4.02812264, 167, 125);
INSERT INTO public.ecdc_data VALUES (22791, 0, 2, 0, 80, 125);
INSERT INTO public.ecdc_data VALUES (22792, 0, 9, 0, 205, 125);
INSERT INTO public.ecdc_data VALUES (22793, 0, 1, 0, 82, 125);
INSERT INTO public.ecdc_data VALUES (22794, 0, 1, 0, 168, 125);
INSERT INTO public.ecdc_data VALUES (22795, 0, 0, 0, 24, 125);
INSERT INTO public.ecdc_data VALUES (22796, 0, 0, 0, 83, 125);
INSERT INTO public.ecdc_data VALUES (22797, 0, 2, 0, 84, 125);
INSERT INTO public.ecdc_data VALUES (22798, 0, 0, 0, 169, 125);
INSERT INTO public.ecdc_data VALUES (22799, 0, 12, 0, 85, 125);
INSERT INTO public.ecdc_data VALUES (22800, 0, 12, 0.84929983, 170, 125);
INSERT INTO public.ecdc_data VALUES (22801, 1, 80, 82.63513646, 171, 125);
INSERT INTO public.ecdc_data VALUES (22802, 1, 26, 0.011929, 112, 125);
INSERT INTO public.ecdc_data VALUES (22803, 14, 55, 0.08387973, 113, 125);
INSERT INTO public.ecdc_data VALUES (22804, 149, 1046, 17.96321396, 114, 125);
INSERT INTO public.ecdc_data VALUES (22805, 0, 13, 0.38412824, 115, 125);
INSERT INTO public.ecdc_data VALUES (22806, 1, 191, 11.23517609, 172, 125);
INSERT INTO public.ecdc_data VALUES (22807, 0, 244, 7.7705249, 116, 125);
INSERT INTO public.ecdc_data VALUES (22808, 429, 5322, 61.59257725, 174, 125);
INSERT INTO public.ecdc_data VALUES (22809, 0, 1, 0, 86, 125);
INSERT INTO public.ecdc_data VALUES (22810, 4, 77, 0.47374947, 117, 125);
INSERT INTO public.ecdc_data VALUES (22811, 0, 5, 0, 175, 125);
INSERT INTO public.ecdc_data VALUES (22812, 0, 4, 0, 118, 125);
INSERT INTO public.ecdc_data VALUES (22813, 0, 12, 0, 119, 125);
INSERT INTO public.ecdc_data VALUES (22814, 0, 0, 0, 26, 125);
INSERT INTO public.ecdc_data VALUES (22815, 0, 1, 0, 176, 125);
INSERT INTO public.ecdc_data VALUES (22816, 0, 6, 2.18679145, 120, 125);
INSERT INTO public.ecdc_data VALUES (22817, 0, 3, 0, 121, 125);
INSERT INTO public.ecdc_data VALUES (22818, 0, 15, 4.47924132, 177, 125);
INSERT INTO public.ecdc_data VALUES (22819, 0, 16, 2.02750729, 123, 125);
INSERT INTO public.ecdc_data VALUES (22820, 0, 0, 0, 28, 125);
INSERT INTO public.ecdc_data VALUES (22821, 0, 0, 0, 178, 125);
INSERT INTO public.ecdc_data VALUES (22822, 0, 15, 1.71785394, 179, 125);
INSERT INTO public.ecdc_data VALUES (22823, 2, 135, 56.19862712, 180, 125);
INSERT INTO public.ecdc_data VALUES (22824, 0, 110, 2.66042446, 124, 125);
INSERT INTO public.ecdc_data VALUES (22825, 0, 0, 0, 125, 125);
INSERT INTO public.ecdc_data VALUES (22826, 0, 12, 12.96704143, 181, 125);
INSERT INTO public.ecdc_data VALUES (22827, 0, 1, 0, 33, 125);
INSERT INTO public.ecdc_data VALUES (22828, 0, 3, 0, 34, 125);
INSERT INTO public.ecdc_data VALUES (22829, 0, 148, 0.50166361, 87, 125);
INSERT INTO public.ecdc_data VALUES (22830, 0, 13, 0, 182, 125);
INSERT INTO public.ecdc_data VALUES (22831, 0, 3, 36.27021309, 183, 125);
INSERT INTO public.ecdc_data VALUES (22832, 0, 0, 0, 126, 125);
INSERT INTO public.ecdc_data VALUES (22833, 0, 5, 0, 184, 125);
INSERT INTO public.ecdc_data VALUES (22834, 0, 9, 0, 35, 125);
INSERT INTO public.ecdc_data VALUES (22835, 0, 0, 0, 37, 125);
INSERT INTO public.ecdc_data VALUES (22836, 0, 0, 0, 128, 125);
INSERT INTO public.ecdc_data VALUES (22837, 18, 409, 13.7598517, 185, 125);
INSERT INTO public.ecdc_data VALUES (22838, 0, 11, 0.81537726, 208, 125);
INSERT INTO public.ecdc_data VALUES (22839, 0, 0, 0, 89, 125);
INSERT INTO public.ecdc_data VALUES (22840, 0, 0, 0.00398082, 39, 125);
INSERT INTO public.ecdc_data VALUES (22841, 0, 6, 2.31087865, 186, 125);
INSERT INTO public.ecdc_data VALUES (22842, 3, 129, 27.51392024, 187, 125);
INSERT INTO public.ecdc_data VALUES (22843, 0, 0, 0.66331765, 129, 125);
INSERT INTO public.ecdc_data VALUES (22844, 2, 176, 0.21887161, 130, 125);
INSERT INTO public.ecdc_data VALUES (22845, 0, 3, 0, 131, 125);
INSERT INTO public.ecdc_data VALUES (22846, 0, 28, 0, 90, 125);
INSERT INTO public.ecdc_data VALUES (22847, 0, 2, 0, 91, 125);
INSERT INTO public.ecdc_data VALUES (22848, 2, 89, 0, 92, 125);
INSERT INTO public.ecdc_data VALUES (22849, 1, 28, 0.20995847, 132, 125);
INSERT INTO public.ecdc_data VALUES (22850, 0, 68, 0.93224594, 188, 125);
INSERT INTO public.ecdc_data VALUES (22851, 1, 143, 7.5511231, 189, 125);
INSERT INTO public.ecdc_data VALUES (22852, 0, 8, 16.1366011, 133, 125);
INSERT INTO public.ecdc_data VALUES (22853, 0, 17, 1.39586694, 190, 125);
INSERT INTO public.ecdc_data VALUES (22854, 0, 52, 0.1336786, 191, 125);
INSERT INTO public.ecdc_data VALUES (22855, 0, 0, 0, 40, 125);
INSERT INTO public.ecdc_data VALUES (22856, 0, 0, 0, 95, 125);
INSERT INTO public.ecdc_data VALUES (22857, 0, 17, 301.86050562, 192, 125);
INSERT INTO public.ecdc_data VALUES (22858, 0, 67, 0.69159665, 134, 125);
INSERT INTO public.ecdc_data VALUES (22859, 0, 0, 0, 42, 125);
INSERT INTO public.ecdc_data VALUES (22860, 0, 32, 0, 193, 125);
INSERT INTO public.ecdc_data VALUES (22861, 0, 0, 0, 43, 125);
INSERT INTO public.ecdc_data VALUES (22862, 0, 32, 3.92809315, 135, 125);
INSERT INTO public.ecdc_data VALUES (22863, 0, 16, 0, 194, 125);
INSERT INTO public.ecdc_data VALUES (22864, 0, 33, 15.28179045, 195, 125);
INSERT INTO public.ecdc_data VALUES (22865, 0, 0, 0, 45, 125);
INSERT INTO public.ecdc_data VALUES (22866, 0, 34, 0, 46, 125);
INSERT INTO public.ecdc_data VALUES (22867, 9, 87, 4.62271383, 136, 125);
INSERT INTO public.ecdc_data VALUES (22868, 169, 4569, 54.90970248, 196, 125);
INSERT INTO public.ecdc_data VALUES (22869, 0, 11, 0.24385973, 137, 125);
INSERT INTO public.ecdc_data VALUES (22870, 0, 0, 0, 48, 125);
INSERT INTO public.ecdc_data VALUES (22871, 7, 143, 13.17669231, 197, 125);
INSERT INTO public.ecdc_data VALUES (22872, 8, 860, 44.19203076, 198, 125);
INSERT INTO public.ecdc_data VALUES (22873, 0, 0, 0.269203, 139, 125);
INSERT INTO public.ecdc_data VALUES (22874, 0, 35, 0.24703564, 141, 125);
INSERT INTO public.ecdc_data VALUES (22875, 0, 0, 0, 49, 125);
INSERT INTO public.ecdc_data VALUES (22876, 0, 0, 0, 99, 125);
INSERT INTO public.ecdc_data VALUES (22877, 0, 10, 0, 50, 125);
INSERT INTO public.ecdc_data VALUES (22878, 3, 168, 0, 199, 125);
INSERT INTO public.ecdc_data VALUES (22879, 0, 7, 0, 200, 125);
INSERT INTO public.ecdc_data VALUES (22880, 0, 27, 1.21794876, 143, 125);
INSERT INTO public.ecdc_data VALUES (22881, 46, 999, 7.81129121, 201, 125);
INSERT INTO public.ecdc_data VALUES (22882, 0, 0, 0, 52, 125);
INSERT INTO public.ecdc_data VALUES (22883, 0, 4835, 4.25964583, 101, 125);
INSERT INTO public.ecdc_data VALUES (22884, 0, 15, 0, 103, 125);
INSERT INTO public.ecdc_data VALUES (22885, 0, 0, 0, 144, 125);
INSERT INTO public.ecdc_data VALUES (22886, 0, 0, 0, 104, 125);
INSERT INTO public.ecdc_data VALUES (22887, 0, 11, 0.07360403, 145, 125);
INSERT INTO public.ecdc_data VALUES (22888, 0, 0, 0, 54, 125);
INSERT INTO public.ecdc_data VALUES (22889, 0, 0, 0, 105, 126);
INSERT INTO public.ecdc_data VALUES (22890, 0, 0, 0, 1, 126);
INSERT INTO public.ecdc_data VALUES (22891, 0, 0, 0, 149, 126);
INSERT INTO public.ecdc_data VALUES (22892, 0, 0, 0.0079355, 202, 126);
INSERT INTO public.ecdc_data VALUES (22893, 0, 0, 0, 150, 126);
INSERT INTO public.ecdc_data VALUES (22894, 0, 0, 0, 151, 126);
INSERT INTO public.ecdc_data VALUES (22895, 0, 0, 0, 106, 126);
INSERT INTO public.ecdc_data VALUES (22896, 0, 0, 0, 152, 126);
INSERT INTO public.ecdc_data VALUES (22897, 0, 0, 0, 153, 126);
INSERT INTO public.ecdc_data VALUES (22898, 0, 0, 0, 66, 126);
INSERT INTO public.ecdc_data VALUES (22899, 0, 0, 0, 110, 126);
INSERT INTO public.ecdc_data VALUES (22900, 0, 0, 0.00801902, 68, 126);
INSERT INTO public.ecdc_data VALUES (22901, 2, 79, 0, 214, 126);
INSERT INTO public.ecdc_data VALUES (22902, 112, 394, 3.25049031, 111, 126);
INSERT INTO public.ecdc_data VALUES (22903, 0, 0, 0, 156, 126);
INSERT INTO public.ecdc_data VALUES (22904, 0, 0, 0, 158, 126);
INSERT INTO public.ecdc_data VALUES (22905, 0, 0, 0, 159, 126);
INSERT INTO public.ecdc_data VALUES (22906, 0, 0, 0, 76, 126);
INSERT INTO public.ecdc_data VALUES (22907, 0, 0, 0, 77, 126);
INSERT INTO public.ecdc_data VALUES (22908, 0, 0, 0.00099613, 16, 126);
INSERT INTO public.ecdc_data VALUES (22909, 0, 0, 0, 160, 126);
INSERT INTO public.ecdc_data VALUES (22910, 0, 0, 0, 162, 126);
INSERT INTO public.ecdc_data VALUES (22911, 0, 0, 0.0089535, 163, 126);
INSERT INTO public.ecdc_data VALUES (22912, 0, 0, 0, 164, 126);
INSERT INTO public.ecdc_data VALUES (22913, 0, 0, 0.00481816, 165, 126);
INSERT INTO public.ecdc_data VALUES (22914, 0, 0, 0, 167, 126);
INSERT INTO public.ecdc_data VALUES (22915, 0, 0, 0, 171, 126);
INSERT INTO public.ecdc_data VALUES (22916, 0, 0, 0, 112, 126);
INSERT INTO public.ecdc_data VALUES (22917, 0, 0, 0, 113, 126);
INSERT INTO public.ecdc_data VALUES (22918, 2, 2, 0.00241214, 114, 126);
INSERT INTO public.ecdc_data VALUES (22919, 0, 0, 0, 115, 126);
INSERT INTO public.ecdc_data VALUES (22920, 0, 0, 0, 172, 126);
INSERT INTO public.ecdc_data VALUES (22921, 0, 0, 0, 116, 126);
INSERT INTO public.ecdc_data VALUES (22922, 0, 0, 0, 174, 126);
INSERT INTO public.ecdc_data VALUES (22923, 0, 18, 0.04650785, 117, 126);
INSERT INTO public.ecdc_data VALUES (22924, 0, 0, 0, 120, 126);
INSERT INTO public.ecdc_data VALUES (22925, 0, 0, 0, 123, 126);
INSERT INTO public.ecdc_data VALUES (22926, 0, 0, 0, 179, 126);
INSERT INTO public.ecdc_data VALUES (22927, 0, 0, 0, 180, 126);
INSERT INTO public.ecdc_data VALUES (22928, 0, 0, 0.03129911, 124, 126);
INSERT INTO public.ecdc_data VALUES (22929, 0, 0, 0.00078385, 87, 126);
INSERT INTO public.ecdc_data VALUES (22930, 0, 0, 0, 183, 126);
INSERT INTO public.ecdc_data VALUES (22931, 0, 0, 0, 128, 126);
INSERT INTO public.ecdc_data VALUES (22932, 0, 0, 0, 185, 126);
INSERT INTO public.ecdc_data VALUES (22933, 0, 0, 0, 208, 126);
INSERT INTO public.ecdc_data VALUES (22934, 0, 0, 0, 39, 126);
INSERT INTO public.ecdc_data VALUES (22935, 0, 0, 0, 186, 126);
INSERT INTO public.ecdc_data VALUES (22936, 0, 0, 0, 187, 126);
INSERT INTO public.ecdc_data VALUES (22937, 0, 0, 0, 129, 126);
INSERT INTO public.ecdc_data VALUES (22938, 0, 0, 0, 130, 126);
INSERT INTO public.ecdc_data VALUES (22939, 0, 0, 0, 132, 126);
INSERT INTO public.ecdc_data VALUES (22940, 0, 0, 0, 133, 126);
INSERT INTO public.ecdc_data VALUES (22941, 0, 0, 0, 190, 126);
INSERT INTO public.ecdc_data VALUES (22942, 0, 0, 0, 191, 126);
INSERT INTO public.ecdc_data VALUES (22943, 0, 0, 0, 192, 126);
INSERT INTO public.ecdc_data VALUES (22944, 0, 3, 0.96479481, 135, 126);
INSERT INTO public.ecdc_data VALUES (22945, 0, 34, 0.11127309, 136, 126);
INSERT INTO public.ecdc_data VALUES (22946, 0, 0, 0.00213051, 196, 126);
INSERT INTO public.ecdc_data VALUES (22947, 0, 0, 0, 137, 126);
INSERT INTO public.ecdc_data VALUES (22948, 0, 0, 0, 197, 126);
INSERT INTO public.ecdc_data VALUES (22949, 0, 0, 0, 198, 126);
INSERT INTO public.ecdc_data VALUES (22950, 0, 2, 0.05468186, 139, 126);
INSERT INTO public.ecdc_data VALUES (22951, 0, 0, 0.01436254, 141, 126);
INSERT INTO public.ecdc_data VALUES (22952, 0, 0, 0.04093945, 143, 126);
INSERT INTO public.ecdc_data VALUES (22953, 0, 0, 0.01050308, 201, 126);
INSERT INTO public.ecdc_data VALUES (22954, 0, 0, 0.00091167, 101, 126);
INSERT INTO public.ecdc_data VALUES (22955, 0, 0, 0.00622006, 145, 126);
INSERT INTO public.ecdc_data VALUES (22956, 0, 0, 0, 105, 127);
INSERT INTO public.ecdc_data VALUES (22957, 0, 0, 0, 1, 127);
INSERT INTO public.ecdc_data VALUES (22958, 0, 0, 0, 149, 127);
INSERT INTO public.ecdc_data VALUES (22959, 0, 0, 0, 202, 127);
INSERT INTO public.ecdc_data VALUES (22960, 0, 0, 0, 150, 127);
INSERT INTO public.ecdc_data VALUES (22961, 0, 0, 0, 151, 127);
INSERT INTO public.ecdc_data VALUES (22962, 0, 0, 0, 106, 127);
INSERT INTO public.ecdc_data VALUES (22963, 0, 0, 0, 152, 127);
INSERT INTO public.ecdc_data VALUES (22964, 0, 0, 0, 153, 127);
INSERT INTO public.ecdc_data VALUES (22965, 0, 0, 0, 66, 127);
INSERT INTO public.ecdc_data VALUES (22966, 0, 0, 0, 110, 127);
INSERT INTO public.ecdc_data VALUES (22967, 0, 0, 0, 68, 127);
INSERT INTO public.ecdc_data VALUES (22968, 0, 0, 0, 214, 127);
INSERT INTO public.ecdc_data VALUES (22969, 0, 19, 0.01227521, 111, 127);
INSERT INTO public.ecdc_data VALUES (22970, 0, 0, 0, 156, 127);
INSERT INTO public.ecdc_data VALUES (22971, 0, 0, 0, 158, 127);
INSERT INTO public.ecdc_data VALUES (22972, 0, 0, 0, 159, 127);
INSERT INTO public.ecdc_data VALUES (22973, 0, 0, 0, 76, 127);
INSERT INTO public.ecdc_data VALUES (22974, 0, 0, 0, 77, 127);
INSERT INTO public.ecdc_data VALUES (22975, 0, 0, 0, 16, 127);
INSERT INTO public.ecdc_data VALUES (22976, 0, 0, 0, 160, 127);
INSERT INTO public.ecdc_data VALUES (22977, 0, 0, 0, 162, 127);
INSERT INTO public.ecdc_data VALUES (22978, 0, 0, 0, 163, 127);
INSERT INTO public.ecdc_data VALUES (22979, 0, 0, 0, 164, 127);
INSERT INTO public.ecdc_data VALUES (22980, 0, 0, 0, 165, 127);
INSERT INTO public.ecdc_data VALUES (22981, 0, 0, 0, 167, 127);
INSERT INTO public.ecdc_data VALUES (22982, 0, 0, 0, 171, 127);
INSERT INTO public.ecdc_data VALUES (22983, 0, 0, 0, 112, 127);
INSERT INTO public.ecdc_data VALUES (22984, 0, 0, 0, 113, 127);
INSERT INTO public.ecdc_data VALUES (22985, 0, 0, 0, 114, 127);
INSERT INTO public.ecdc_data VALUES (22986, 0, 0, 0, 115, 127);
INSERT INTO public.ecdc_data VALUES (22987, 0, 0, 0, 172, 127);
INSERT INTO public.ecdc_data VALUES (22988, 0, 0, 0, 116, 127);
INSERT INTO public.ecdc_data VALUES (22989, 0, 0, 0, 174, 127);
INSERT INTO public.ecdc_data VALUES (22990, 0, 0, 0.00078827, 117, 127);
INSERT INTO public.ecdc_data VALUES (22991, 0, 0, 0, 120, 127);
INSERT INTO public.ecdc_data VALUES (22992, 0, 0, 0, 123, 127);
INSERT INTO public.ecdc_data VALUES (22993, 0, 0, 0, 179, 127);
INSERT INTO public.ecdc_data VALUES (22994, 0, 0, 0, 180, 127);
INSERT INTO public.ecdc_data VALUES (22995, 0, 0, 0, 124, 127);
INSERT INTO public.ecdc_data VALUES (22996, 0, 0, 0.00078385, 87, 127);
INSERT INTO public.ecdc_data VALUES (22997, 0, 0, 0, 183, 127);
INSERT INTO public.ecdc_data VALUES (22998, 0, 0, 0, 128, 127);
INSERT INTO public.ecdc_data VALUES (22999, 0, 0, 0, 185, 127);
INSERT INTO public.ecdc_data VALUES (23000, 0, 0, 0, 208, 127);
INSERT INTO public.ecdc_data VALUES (23001, 0, 0, 0, 39, 127);
INSERT INTO public.ecdc_data VALUES (23002, 0, 0, 0, 186, 127);
INSERT INTO public.ecdc_data VALUES (23003, 0, 0, 0, 187, 127);
INSERT INTO public.ecdc_data VALUES (23004, 0, 0, 0, 129, 127);
INSERT INTO public.ecdc_data VALUES (23005, 0, 0, 0, 130, 127);
INSERT INTO public.ecdc_data VALUES (23006, 0, 0, 0, 132, 127);
INSERT INTO public.ecdc_data VALUES (23007, 0, 0, 0, 133, 127);
INSERT INTO public.ecdc_data VALUES (23008, 0, 0, 0, 190, 127);
INSERT INTO public.ecdc_data VALUES (23009, 0, 0, 0, 191, 127);
INSERT INTO public.ecdc_data VALUES (23010, 0, 0, 0, 192, 127);
INSERT INTO public.ecdc_data VALUES (23011, 0, 0, 0, 135, 127);
INSERT INTO public.ecdc_data VALUES (23012, 0, 1, 0.00195216, 136, 127);
INSERT INTO public.ecdc_data VALUES (23013, 0, 0, 0, 196, 127);
INSERT INTO public.ecdc_data VALUES (23014, 0, 0, 0, 137, 127);
INSERT INTO public.ecdc_data VALUES (23015, 0, 0, 0, 197, 127);
INSERT INTO public.ecdc_data VALUES (23016, 0, 0, 0, 198, 127);
INSERT INTO public.ecdc_data VALUES (23017, 0, 0, 0, 139, 127);
INSERT INTO public.ecdc_data VALUES (23018, 0, 0, 0.00287251, 141, 127);
INSERT INTO public.ecdc_data VALUES (23019, 0, 0, 0, 143, 127);
INSERT INTO public.ecdc_data VALUES (23020, 0, 0, 0, 201, 127);
INSERT INTO public.ecdc_data VALUES (23021, 0, 0, 0, 101, 127);
INSERT INTO public.ecdc_data VALUES (23022, 0, 0, 0, 145, 127);
INSERT INTO public.ecdc_data VALUES (23023, 0, 0, 5.03657073, 105, 128);
INSERT INTO public.ecdc_data VALUES (23024, 9, 711, 263.30802497, 147, 128);
INSERT INTO public.ecdc_data VALUES (23025, 20, 1038, 25.78678855, 1, 128);
INSERT INTO public.ecdc_data VALUES (23026, 0, 67, 1277.28842039, 148, 128);
INSERT INTO public.ecdc_data VALUES (23027, 6, 203, 7.04156778, 2, 128);
INSERT INTO public.ecdc_data VALUES (23028, 0, 0, 0, 56, 128);
INSERT INTO public.ecdc_data VALUES (23029, 0, 5, 9.26736344, 57, 128);
INSERT INTO public.ecdc_data VALUES (23030, 241, 10332, 297.91645615, 58, 128);
INSERT INTO public.ecdc_data VALUES (23031, 31, 1520, 757.87902065, 149, 128);
INSERT INTO public.ecdc_data VALUES (23032, 1, 9, 124.16517731, 59, 128);
INSERT INTO public.ecdc_data VALUES (23033, 0, 21, 0.61500127, 202, 128);
INSERT INTO public.ecdc_data VALUES (23034, 113, 7766, 1083.65998685, 150, 128);
INSERT INTO public.ecdc_data VALUES (23035, 25, 2239, 217.84048698, 151, 128);
INSERT INTO public.ecdc_data VALUES (23036, 0, 11, 123.23934622, 60, 128);
INSERT INTO public.ecdc_data VALUES (23037, 0, 174, 155.86498363, 106, 128);
INSERT INTO public.ecdc_data VALUES (23038, 21, 2111, 15.10676365, 107, 128);
INSERT INTO public.ecdc_data VALUES (23039, 0, 2, 4.52928531, 61, 128);
INSERT INTO public.ecdc_data VALUES (23040, 7, 1309, 166.04232847, 152, 128);
INSERT INTO public.ecdc_data VALUES (23041, 158, 3700, 634.10483628, 153, 128);
INSERT INTO public.ecdc_data VALUES (23042, 4, 38, 269.7572185, 62, 128);
INSERT INTO public.ecdc_data VALUES (23043, 0, 72, 1.4490112, 3, 128);
INSERT INTO public.ecdc_data VALUES (23044, 0, 1, 28.79631407, 63, 128);
INSERT INTO public.ecdc_data VALUES (23045, 0, 0, 2.62090909, 108, 128);
INSERT INTO public.ecdc_data VALUES (23046, 9, 96, 13.08943498, 64, 128);
INSERT INTO public.ecdc_data VALUES (23047, 0, 1, 19.24335142, 65, 128);
INSERT INTO public.ecdc_data VALUES (23048, 47, 1633, 605.24120281, 154, 128);
INSERT INTO public.ecdc_data VALUES (23049, 0, 0, 106.82800691, 4, 128);
INSERT INTO public.ecdc_data VALUES (23050, 756, 34091, 168.59739917, 66, 128);
INSERT INTO public.ecdc_data VALUES (23051, 0, 0, 0, 67, 128);
INSERT INTO public.ecdc_data VALUES (23052, 0, 0, 0, 109, 128);
INSERT INTO public.ecdc_data VALUES (23053, 117, 3938, 656.35348603, 155, 128);
INSERT INTO public.ecdc_data VALUES (23054, 0, 18, 0.64464116, 5, 128);
INSERT INTO public.ecdc_data VALUES (23055, 0, 11, 0.37292149, 6, 128);
INSERT INTO public.ecdc_data VALUES (23056, 0, 0, 0.07278664, 110, 128);
INSERT INTO public.ecdc_data VALUES (23057, 0, 0, 3.06457003, 7, 128);
INSERT INTO public.ecdc_data VALUES (23058, 100, 4641, 169.4847387, 68, 128);
INSERT INTO public.ecdc_data VALUES (23059, 1, 40, 172.20185622, 8, 128);
INSERT INTO public.ecdc_data VALUES (23060, 0, 1, 24.63509269, 69, 128);
INSERT INTO public.ecdc_data VALUES (23061, 0, 0, 0.52685052, 9, 128);
INSERT INTO public.ecdc_data VALUES (23062, 0, 8, 0.62081101, 10, 128);
INSERT INTO public.ecdc_data VALUES (23063, 14, 948, 102.97574904, 70, 128);
INSERT INTO public.ecdc_data VALUES (23064, 0, 12, 0.01618096, 111, 128);
INSERT INTO public.ecdc_data VALUES (23065, 182, 6875, 218.3556143, 71, 128);
INSERT INTO public.ecdc_data VALUES (23066, 0, 0, 4.34838305, 11, 128);
INSERT INTO public.ecdc_data VALUES (23067, 0, 0, 2.52764425, 12, 128);
INSERT INTO public.ecdc_data VALUES (23068, 10, 1422, 272.42860463, 72, 128);
INSERT INTO public.ecdc_data VALUES (23069, 0, 41, 1.03824175, 13, 128);
INSERT INTO public.ecdc_data VALUES (23070, 38, 3251, 837.7315795, 156, 128);
INSERT INTO public.ecdc_data VALUES (23071, 0, 37, 4.94111078, 73, 128);
INSERT INTO public.ecdc_data VALUES (23072, 0, 67, 282.09003629, 74, 128);
INSERT INTO public.ecdc_data VALUES (23073, 1, 198, 298.09372998, 157, 128);
INSERT INTO public.ecdc_data VALUES (23074, 182, 5515, 906.75881237, 158, 128);
INSERT INTO public.ecdc_data VALUES (23075, 0, 51, 0.5392291, 14, 128);
INSERT INTO public.ecdc_data VALUES (23076, 2, 1257, 263.13790662, 159, 128);
INSERT INTO public.ecdc_data VALUES (23077, 0, 2, 8.01185755, 15, 128);
INSERT INTO public.ecdc_data VALUES (23078, 0, 0, 36.20766488, 75, 128);
INSERT INTO public.ecdc_data VALUES (23079, 3, 460, 64.05650009, 76, 128);
INSERT INTO public.ecdc_data VALUES (23080, 27, 1146, 62.26092756, 77, 128);
INSERT INTO public.ecdc_data VALUES (23081, 14, 329, 3.27130485, 16, 128);
INSERT INTO public.ecdc_data VALUES (23082, 5, 296, 45.71127519, 78, 128);
INSERT INTO public.ecdc_data VALUES (23083, 0, 0, 2.35991333, 17, 128);
INSERT INTO public.ecdc_data VALUES (23084, 0, 25, 1.08660934, 18, 128);
INSERT INTO public.ecdc_data VALUES (23085, 1, 271, 224.25688018, 160, 128);
INSERT INTO public.ecdc_data VALUES (23086, 0, 20, 16.46150751, 19, 128);
INSERT INTO public.ecdc_data VALUES (23087, 13, 533, 5.39531467, 20, 128);
INSERT INTO public.ecdc_data VALUES (23088, 0, 0, 88.96797153, 79, 128);
INSERT INTO public.ecdc_data VALUES (23089, 0, 0, 6.16307496, 161, 128);
INSERT INTO public.ecdc_data VALUES (23090, 0, 0, 0.11236523, 203, 128);
INSERT INTO public.ecdc_data VALUES (23091, 3, 288, 54.45893642, 162, 128);
INSERT INTO public.ecdc_data VALUES (23092, 425, 28383, 778.68161559, 163, 128);
INSERT INTO public.ecdc_data VALUES (23093, 6, 466, 1302.61202714, 204, 128);
INSERT INTO public.ecdc_data VALUES (23094, 0, 0, 3.63623308, 21, 128);
INSERT INTO public.ecdc_data VALUES (23095, 0, 0, 1.06487382, 22, 128);
INSERT INTO public.ecdc_data VALUES (23096, 37, 3443, 1005.23874076, 164, 128);
INSERT INTO public.ecdc_data VALUES (23097, 251, 22609, 311.17254749, 165, 128);
INSERT INTO public.ecdc_data VALUES (23098, 0, 0, 5.96360204, 23, 128);
INSERT INTO public.ecdc_data VALUES (23099, 1, 11, 542.93004213, 166, 128);
INSERT INTO public.ecdc_data VALUES (23100, 60, 3209, 327.67658726, 167, 128);
INSERT INTO public.ecdc_data VALUES (23101, 0, 0, 1.76491352, 80, 128);
INSERT INTO public.ecdc_data VALUES (23102, 0, 3, 5.3570472, 81, 128);
INSERT INTO public.ecdc_data VALUES (23103, 0, 112, 862.54819331, 205, 128);
INSERT INTO public.ecdc_data VALUES (23104, 61, 651, 41.14557845, 82, 128);
INSERT INTO public.ecdc_data VALUES (23105, 0, 0, 13.96041447, 168, 128);
INSERT INTO public.ecdc_data VALUES (23106, 0, 59, 2.99109421, 24, 128);
INSERT INTO public.ecdc_data VALUES (23107, 0, 0, 0.41646776, 25, 128);
INSERT INTO public.ecdc_data VALUES (23108, 2, 24, 75.37287215, 83, 128);
INSERT INTO public.ecdc_data VALUES (23109, 0, 17, 0.95888522, 84, 128);
INSERT INTO public.ecdc_data VALUES (23110, 0, 0, 0, 169, 128);
INSERT INTO public.ecdc_data VALUES (23111, 0, 0, 44.7768162, 85, 128);
INSERT INTO public.ecdc_data VALUES (23112, 92, 4512, 680.9235798, 170, 128);
INSERT INTO public.ecdc_data VALUES (23113, 0, 11, 66.38822827, 171, 128);
INSERT INTO public.ecdc_data VALUES (23114, 585, 45576, 43.50038613, 112, 128);
INSERT INTO public.ecdc_data VALUES (23115, 110, 4265, 21.05824687, 113, 128);
INSERT INTO public.ecdc_data VALUES (23116, 480, 13421, 187.82135824, 114, 128);
INSERT INTO public.ecdc_data VALUES (23117, 43, 2349, 104.25393024, 115, 128);
INSERT INTO public.ecdc_data VALUES (23118, 11, 372, 113.67714467, 172, 128);
INSERT INTO public.ecdc_data VALUES (23119, 0, 0, 8.27530766, 173, 128);
INSERT INTO public.ecdc_data VALUES (23120, 4, 469, 103.00053772, 116, 128);
INSERT INTO public.ecdc_data VALUES (23121, 753, 34280, 798.50666869, 174, 128);
INSERT INTO public.ecdc_data VALUES (23122, 2, 90, 23.50525409, 86, 128);
INSERT INTO public.ecdc_data VALUES (23123, 9, 2151, 15.07800325, 117, 128);
INSERT INTO public.ecdc_data VALUES (23124, 0, 11, 153.99458236, 175, 128);
INSERT INTO public.ecdc_data VALUES (23125, 60, 7933, 719.60186491, 118, 128);
INSERT INTO public.ecdc_data VALUES (23126, 48, 964, 59.62883289, 119, 128);
INSERT INTO public.ecdc_data VALUES (23127, 11, 957, 26.81745511, 26, 128);
INSERT INTO public.ecdc_data VALUES (23128, 11, 720, 537.66848707, 176, 128);
INSERT INTO public.ecdc_data VALUES (23129, 9, 452, 225.66736953, 120, 128);
INSERT INTO public.ecdc_data VALUES (23130, 5, 422, 109.21388293, 121, 128);
INSERT INTO public.ecdc_data VALUES (23131, 0, 0, 0, 122, 128);
INSERT INTO public.ecdc_data VALUES (23132, 5, 442, 239.79566326, 177, 128);
INSERT INTO public.ecdc_data VALUES (23133, 13, 2084, 334.61163535, 123, 128);
INSERT INTO public.ecdc_data VALUES (23134, 0, 17, 4.47002659, 27, 128);
INSERT INTO public.ecdc_data VALUES (23135, 0, 16, 1.82283133, 28, 128);
INSERT INTO public.ecdc_data VALUES (23136, 12, 529, 160.50277294, 29, 128);
INSERT INTO public.ecdc_data VALUES (23137, 0, 49, 984.93928813, 178, 128);
INSERT INTO public.ecdc_data VALUES (23138, 24, 1934, 741.46870786, 179, 128);
INSERT INTO public.ecdc_data VALUES (23139, 4, 425, 1195.15747018, 180, 128);
INSERT INTO public.ecdc_data VALUES (23140, 0, 0, 0.45236611, 30, 128);
INSERT INTO public.ecdc_data VALUES (23141, 0, 4, 0.34892305, 31, 128);
INSERT INTO public.ecdc_data VALUES (23142, 4, 660, 46.83911997, 124, 128);
INSERT INTO public.ecdc_data VALUES (23143, 0, 29, 105.84661281, 125, 128);
INSERT INTO public.ecdc_data VALUES (23144, 0, 0, 1.88727015, 32, 128);
INSERT INTO public.ecdc_data VALUES (23145, 2, 140, 363.88760006, 181, 128);
INSERT INTO public.ecdc_data VALUES (23146, 0, 0, 5.10282186, 206, 128);
INSERT INTO public.ecdc_data VALUES (23147, 0, 0, 4.59597613, 33, 128);
INSERT INTO public.ecdc_data VALUES (23148, 0, 3, 3.30794616, 34, 128);
INSERT INTO public.ecdc_data VALUES (23149, 502, 3918, 55.99898394, 87, 128);
INSERT INTO public.ecdc_data VALUES (23150, 18, 1607, 346.55221111, 182, 128);
INSERT INTO public.ecdc_data VALUES (23151, 0, 8, 462.44521687, 183, 128);
INSERT INTO public.ecdc_data VALUES (23152, 0, 50, 4.71293571, 126, 128);
INSERT INTO public.ecdc_data VALUES (23153, 9, 639, 1314.72784491, 184, 128);
INSERT INTO public.ecdc_data VALUES (23154, 0, 0, 0, 88, 128);
INSERT INTO public.ecdc_data VALUES (23155, 81, 5391, 196.54929789, 35, 128);
INSERT INTO public.ecdc_data VALUES (23156, 0, 0, 4.22511422, 36, 128);
INSERT INTO public.ecdc_data VALUES (23157, 25, 1592, 30.31154054, 127, 128);
INSERT INTO public.ecdc_data VALUES (23158, 0, 44, 22.6095239, 37, 128);
INSERT INTO public.ecdc_data VALUES (23159, 12, 1442, 104.84217834, 128, 128);
INSERT INTO public.ecdc_data VALUES (23160, 82, 4606, 451.29188979, 185, 128);
INSERT INTO public.ecdc_data VALUES (23161, 0, 0, 0.70732113, 207, 128);
INSERT INTO public.ecdc_data VALUES (23162, 0, 2, 0.77356304, 208, 128);
INSERT INTO public.ecdc_data VALUES (23163, 0, 0, 2.24581671, 89, 128);
INSERT INTO public.ecdc_data VALUES (23164, 0, 4, 0.45472643, 38, 128);
INSERT INTO public.ecdc_data VALUES (23165, 0, 236, 1.17683002, 39, 128);
INSERT INTO public.ecdc_data VALUES (23166, 21, 1402, 718.20182829, 186, 128);
INSERT INTO public.ecdc_data VALUES (23167, 0, 0, 12.23498156, 209, 128);
INSERT INTO public.ecdc_data VALUES (23168, 1, 603, 153.12829144, 187, 128);
INSERT INTO public.ecdc_data VALUES (23169, 10, 411, 86.07049016, 129, 128);
INSERT INTO public.ecdc_data VALUES (23170, 18, 2547, 12.49138153, 130, 128);
INSERT INTO public.ecdc_data VALUES (23171, 9, 1251, 213.85459814, 131, 128);
INSERT INTO public.ecdc_data VALUES (23172, 14, 1112, 325.19004154, 90, 128);
INSERT INTO public.ecdc_data VALUES (23173, 0, 2, 0.07976191, 210, 128);
INSERT INTO public.ecdc_data VALUES (23174, 11, 782, 118.96990037, 91, 128);
INSERT INTO public.ecdc_data VALUES (23175, 85, 2020, 92.78244031, 92, 128);
INSERT INTO public.ecdc_data VALUES (23176, 95, 1379, 22.16125472, 132, 128);
INSERT INTO public.ecdc_data VALUES (23177, 603, 19883, 877.69902319, 188, 128);
INSERT INTO public.ecdc_data VALUES (23178, 79, 5891, 769.4652822, 189, 128);
INSERT INTO public.ecdc_data VALUES (23179, 20, 571, 380.13856939, 93, 128);
INSERT INTO public.ecdc_data VALUES (23180, 0, 219, 108.43654697, 133, 128);
INSERT INTO public.ecdc_data VALUES (23181, 168, 10269, 600.86663249, 190, 128);
INSERT INTO public.ecdc_data VALUES (23182, 456, 20985, 204.66125636, 191, 128);
INSERT INTO public.ecdc_data VALUES (23183, 0, 36, 2.92232369, 40, 128);
INSERT INTO public.ecdc_data VALUES (23184, 0, 0, 0, 94, 128);
INSERT INTO public.ecdc_data VALUES (23185, 0, 5, 42.67075139, 95, 128);
INSERT INTO public.ecdc_data VALUES (23186, 0, 0, 7.23373089, 96, 128);
INSERT INTO public.ecdc_data VALUES (23187, 1, 68, 1056.51176966, 192, 128);
INSERT INTO public.ecdc_data VALUES (23188, 0, 0, 4.18511216, 41, 128);
INSERT INTO public.ecdc_data VALUES (23189, 18, 290, 15.38437789, 134, 128);
INSERT INTO public.ecdc_data VALUES (23190, 0, 17, 1.12295002, 42, 128);
INSERT INTO public.ecdc_data VALUES (23191, 27, 5613, 638.92170958, 193, 128);
INSERT INTO public.ecdc_data VALUES (23192, 0, 0, 3.06933631, 43, 128);
INSERT INTO public.ecdc_data VALUES (23193, 0, 5, 0.35836757, 44, 128);
INSERT INTO public.ecdc_data VALUES (23194, 0, 5, 1.7056194, 135, 128);
INSERT INTO public.ecdc_data VALUES (23195, 0, 10, 221.75564415, 97, 128);
INSERT INTO public.ecdc_data VALUES (23196, 22, 1311, 424.57270732, 194, 128);
INSERT INTO public.ecdc_data VALUES (23197, 30, 2027, 939.78205668, 195, 128);
INSERT INTO public.ecdc_data VALUES (23198, 0, 0, 0.44788085, 211, 128);
INSERT INTO public.ecdc_data VALUES (23199, 0, 0, 0.99074617, 45, 128);
INSERT INTO public.ecdc_data VALUES (23200, 123, 2888, 45.41801075, 46, 128);
INSERT INTO public.ecdc_data VALUES (23201, 2, 343, 5.08342349, 136, 128);
INSERT INTO public.ecdc_data VALUES (23202, 0, 0, 0.65991003, 47, 128);
INSERT INTO public.ecdc_data VALUES (23203, 252, 16233, 501.22014459, 196, 128);
INSERT INTO public.ecdc_data VALUES (23204, 3, 327, 29.14592726, 137, 128);
INSERT INTO public.ecdc_data VALUES (23205, 0, 0, 2.57864174, 48, 128);
INSERT INTO public.ecdc_data VALUES (23206, 0, 4, 10.66459338, 98, 128);
INSERT INTO public.ecdc_data VALUES (23207, 51, 4961, 572.36501588, 197, 128);
INSERT INTO public.ecdc_data VALUES (23208, 84, 6085, 1028.36587678, 198, 128);
INSERT INTO public.ecdc_data VALUES (23209, 4, 83, 5.59456717, 138, 128);
INSERT INTO public.ecdc_data VALUES (23210, 0, 2, 0.16825187, 139, 128);
INSERT INTO public.ecdc_data VALUES (23211, 1, 42, 5.91136831, 140, 128);
INSERT INTO public.ecdc_data VALUES (23212, 0, 8, 0.11202779, 141, 128);
INSERT INTO public.ecdc_data VALUES (23213, 0, 0, 0, 142, 128);
INSERT INTO public.ecdc_data VALUES (23214, 1, 30, 4.28092838, 49, 128);
INSERT INTO public.ecdc_data VALUES (23215, 0, 45, 29.82145123, 99, 128);
INSERT INTO public.ecdc_data VALUES (23216, 96, 2049, 165.96377118, 50, 128);
INSERT INTO public.ecdc_data VALUES (23217, 116, 4215, 50.14274812, 199, 128);
INSERT INTO public.ecdc_data VALUES (23218, 0, 1, 41.89139655, 100, 128);
INSERT INTO public.ecdc_data VALUES (23219, 7, 342, 8.02808483, 51, 128);
INSERT INTO public.ecdc_data VALUES (23220, 256, 12496, 339.90365381, 200, 128);
INSERT INTO public.ecdc_data VALUES (23221, 4, 1292, 171.85359314, 143, 128);
INSERT INTO public.ecdc_data VALUES (23222, 529, 19609, 497.06880022, 201, 128);
INSERT INTO public.ecdc_data VALUES (23223, 0, 0, 0, 52, 128);
INSERT INTO public.ecdc_data VALUES (23224, 1850, 170005, 620.94768978, 101, 128);
INSERT INTO public.ecdc_data VALUES (23225, 0, 13, 71.71611891, 102, 128);
INSERT INTO public.ecdc_data VALUES (23226, 0, 88, 30.3605335, 103, 128);
INSERT INTO public.ecdc_data VALUES (23227, 2, 210, 9.33547573, 144, 128);
INSERT INTO public.ecdc_data VALUES (23228, 0, 0, 0, 212, 128);
INSERT INTO public.ecdc_data VALUES (23229, 2, 300, 18.41082719, 104, 128);
INSERT INTO public.ecdc_data VALUES (23230, 0, 12, 0.09641091, 145, 128);
INSERT INTO public.ecdc_data VALUES (23231, 0, 0, 0, 213, 128);
INSERT INTO public.ecdc_data VALUES (23232, 0, 0, 0, 53, 128);
INSERT INTO public.ecdc_data VALUES (23233, 1, 0, 0.01714565, 146, 128);
INSERT INTO public.ecdc_data VALUES (23234, 3, 37, 3.25848996, 54, 128);
INSERT INTO public.ecdc_data VALUES (23235, 1, 36, 3.78273887, 55, 128);
INSERT INTO public.ecdc_data VALUES (23236, 4, 59, 2.25804502, 105, 129);
INSERT INTO public.ecdc_data VALUES (23237, 3, 281, 97.43479921, 147, 129);
INSERT INTO public.ecdc_data VALUES (23238, 10, 199, 5.26327354, 1, 129);
INSERT INTO public.ecdc_data VALUES (23239, 0, 0, 1663.2316841, 148, 129);
INSERT INTO public.ecdc_data VALUES (23240, 7, 240, 6.57338679, 2, 129);
INSERT INTO public.ecdc_data VALUES (23241, 0, 0, 0, 56, 129);
INSERT INTO public.ecdc_data VALUES (23242, 0, 0, 12.35648458, 57, 129);
INSERT INTO public.ecdc_data VALUES (23243, 160, 10561, 426.95649407, 58, 129);
INSERT INTO public.ecdc_data VALUES (23244, 14, 1694, 412.41114802, 149, 129);
INSERT INTO public.ecdc_data VALUES (23245, 0, 18, 228.57680369, 59, 129);
INSERT INTO public.ecdc_data VALUES (23246, 0, 7, 1.00780853, 202, 129);
INSERT INTO public.ecdc_data VALUES (23247, 3, 1062, 191.21153884, 150, 129);
INSERT INTO public.ecdc_data VALUES (23248, 3, 647, 42.5270651, 151, 129);
INSERT INTO public.ecdc_data VALUES (23249, 6, 75, 332.23273751, 60, 129);
INSERT INTO public.ecdc_data VALUES (23250, 5, 331, 319.28558023, 106, 129);
INSERT INTO public.ecdc_data VALUES (23251, 14, 1274, 12.19225182, 107, 129);
INSERT INTO public.ecdc_data VALUES (23252, 0, 3, 8.01335094, 61, 129);
INSERT INTO public.ecdc_data VALUES (23253, 8, 1306, 78.3186593, 152, 129);
INSERT INTO public.ecdc_data VALUES (23254, 31, 4289, 940.67322484, 153, 129);
INSERT INTO public.ecdc_data VALUES (23255, 1, 38, 158.06287162, 62, 129);
INSERT INTO public.ecdc_data VALUES (23256, 0, 0, 1.17785121, 3, 129);
INSERT INTO public.ecdc_data VALUES (23257, 0, 0, 6.3991809, 63, 129);
INSERT INTO public.ecdc_data VALUES (23258, 0, 2, 3.80031818, 108, 129);
INSERT INTO public.ecdc_data VALUES (23259, 18, 61, 25.21475099, 64, 129);
INSERT INTO public.ecdc_data VALUES (23260, 0, 0, 100.06542739, 65, 129);
INSERT INTO public.ecdc_data VALUES (23261, 4, 559, 186.15582318, 154, 129);
INSERT INTO public.ecdc_data VALUES (23262, 0, 0, 89.85533291, 4, 129);
INSERT INTO public.ecdc_data VALUES (23263, 230, 10982, 151.64924399, 66, 129);
INSERT INTO public.ecdc_data VALUES (23264, 0, 0, 0, 67, 129);
INSERT INTO public.ecdc_data VALUES (23265, 0, 0, 0.23078911, 109, 129);
INSERT INTO public.ecdc_data VALUES (23266, 18, 395, 113.08508424, 155, 129);
INSERT INTO public.ecdc_data VALUES (23267, 0, 38, 1.05307793, 5, 129);
INSERT INTO public.ecdc_data VALUES (23268, 0, 6, 0.25150519, 6, 129);
INSERT INTO public.ecdc_data VALUES (23269, 0, 0, 0.01819666, 110, 129);
INSERT INTO public.ecdc_data VALUES (23270, 0, 0, 1.99796053, 7, 129);
INSERT INTO public.ecdc_data VALUES (23271, 14, 1827, 85.51486863, 68, 129);
INSERT INTO public.ecdc_data VALUES (23272, 1, 114, 253.1203631, 8, 129);
INSERT INTO public.ecdc_data VALUES (23273, 0, 0, 30.79386586, 69, 129);
INSERT INTO public.ecdc_data VALUES (23274, 0, 0, 0.21074021, 9, 129);
INSERT INTO public.ecdc_data VALUES (23275, 0, 14, 1.01587257, 10, 129);
INSERT INTO public.ecdc_data VALUES (23276, 47, 1757, 113.87167658, 70, 129);
INSERT INTO public.ecdc_data VALUES (23277, 0, 17, 0.02392272, 111, 129);
INSERT INTO public.ecdc_data VALUES (23278, 167, 7201, 207.63042611, 71, 129);
INSERT INTO public.ecdc_data VALUES (23279, 0, 0, 1.76285799, 11, 129);
INSERT INTO public.ecdc_data VALUES (23280, 0, 0, 1.24523651, 12, 129);
INSERT INTO public.ecdc_data VALUES (23281, 0, 0, 323.56221153, 72, 129);
INSERT INTO public.ecdc_data VALUES (23282, 0, 22, 1.71484873, 13, 129);
INSERT INTO public.ecdc_data VALUES (23283, 8, 819, 194.32095119, 156, 129);
INSERT INTO public.ecdc_data VALUES (23284, 0, 50, 3.62642238, 73, 129);
INSERT INTO public.ecdc_data VALUES (23285, 0, 29, 178.67741995, 74, 129);
INSERT INTO public.ecdc_data VALUES (23286, 0, 265, 93.6180998, 157, 129);
INSERT INTO public.ecdc_data VALUES (23287, 70, 5058, 858.59828354, 158, 129);
INSERT INTO public.ecdc_data VALUES (23288, 1, 46, 0.33644209, 14, 129);
INSERT INTO public.ecdc_data VALUES (23289, 1, 451, 98.37961269, 159, 129);
INSERT INTO public.ecdc_data VALUES (23290, 0, 7, 4.1086449, 15, 129);
INSERT INTO public.ecdc_data VALUES (23291, 0, 0, 2.78520499, 75, 129);
INSERT INTO public.ecdc_data VALUES (23292, 4, 422, 63.94475739, 76, 129);
INSERT INTO public.ecdc_data VALUES (23293, 12, 867, 70.53782632, 77, 129);
INSERT INTO public.ecdc_data VALUES (23294, 11, 127, 1.73426972, 16, 129);
INSERT INTO public.ecdc_data VALUES (23295, 0, 210, 34.33769011, 78, 129);
INSERT INTO public.ecdc_data VALUES (23296, 0, 0, 1.84368229, 17, 129);
INSERT INTO public.ecdc_data VALUES (23297, 0, 3, 0.77206453, 18, 129);
INSERT INTO public.ecdc_data VALUES (23298, 0, 26, 35.55199952, 160, 129);
INSERT INTO public.ecdc_data VALUES (23299, 1, 15, 18.37766182, 19, 129);
INSERT INTO public.ecdc_data VALUES (23300, 6, 703, 9.2060289, 20, 129);
INSERT INTO public.ecdc_data VALUES (23301, 0, 0, 0, 79, 129);
INSERT INTO public.ecdc_data VALUES (23302, 0, 2, 22.59794153, 161, 129);
INSERT INTO public.ecdc_data VALUES (23303, 0, 0, 0, 203, 129);
INSERT INTO public.ecdc_data VALUES (23304, 0, 131, 52.30232629, 162, 129);
INSERT INTO public.ecdc_data VALUES (23305, 85, 29837, 414.64265908, 163, 129);
INSERT INTO public.ecdc_data VALUES (23306, 0, 0, 656.31881411, 204, 129);
INSERT INTO public.ecdc_data VALUES (23307, 0, 0, 3.86637442, 21, 129);
INSERT INTO public.ecdc_data VALUES (23308, 0, 0, 2.3427224, 22, 129);
INSERT INTO public.ecdc_data VALUES (23309, 8, 1192, 234.16455621, 164, 129);
INSERT INTO public.ecdc_data VALUES (23310, 12, 4325, 79.11421661, 165, 129);
INSERT INTO public.ecdc_data VALUES (23311, 0, 78, 1.58130793, 23, 129);
INSERT INTO public.ecdc_data VALUES (23312, 0, 13, 412.38948555, 166, 129);
INSERT INTO public.ecdc_data VALUES (23313, 9, 438, 51.54505078, 167, 129);
INSERT INTO public.ecdc_data VALUES (23314, 0, 0, 3.52982704, 80, 129);
INSERT INTO public.ecdc_data VALUES (23315, 0, 0, 2.6785236, 81, 129);
INSERT INTO public.ecdc_data VALUES (23316, 0, 58, 583.40057981, 205, 129);
INSERT INTO public.ecdc_data VALUES (23317, 15, 332, 42.0726906, 82, 129);
INSERT INTO public.ecdc_data VALUES (23318, 0, 0, 1.55115716, 168, 129);
INSERT INTO public.ecdc_data VALUES (23319, 0, 40, 5.98218843, 24, 129);
INSERT INTO public.ecdc_data VALUES (23320, 0, 0, 1.40557869, 25, 129);
INSERT INTO public.ecdc_data VALUES (23321, 0, 24, 81.88815432, 83, 129);
INSERT INTO public.ecdc_data VALUES (23322, 0, 0, 0.94112809, 84, 129);
INSERT INTO public.ecdc_data VALUES (23323, 0, 0, 1717.79141104, 169, 129);
INSERT INTO public.ecdc_data VALUES (23324, 5, 831, 90.25134631, 85, 129);
INSERT INTO public.ecdc_data VALUES (23325, 31, 1478, 166.66741705, 170, 129);
INSERT INTO public.ecdc_data VALUES (23326, 0, 57, 317.65506693, 171, 129);
INSERT INTO public.ecdc_data VALUES (23327, 579, 55722, 67.80195851, 112, 129);
INSERT INTO public.ecdc_data VALUES (23328, 80, 4105, 21.56817652, 113, 129);
INSERT INTO public.ecdc_data VALUES (23329, 252, 3890, 70.68537959, 114, 129);
INSERT INTO public.ecdc_data VALUES (23330, 56, 3110, 120.81723461, 115, 129);
INSERT INTO public.ecdc_data VALUES (23331, 3, 1284, 243.25889434, 172, 129);
INSERT INTO public.ecdc_data VALUES (23332, 0, 0, 7.09312085, 173, 129);
INSERT INTO public.ecdc_data VALUES (23333, 19, 1014, 418.70452203, 116, 129);
INSERT INTO public.ecdc_data VALUES (23334, 69, 11705, 147.30395752, 174, 129);
INSERT INTO public.ecdc_data VALUES (23335, 3, 79, 46.77308136, 86, 129);
INSERT INTO public.ecdc_data VALUES (23336, 4, 471, 5.82372898, 117, 129);
INSERT INTO public.ecdc_data VALUES (23337, 0, 0, 64.00979628, 175, 129);
INSERT INTO public.ecdc_data VALUES (23338, 15, 1520, 217.12193506, 118, 129);
INSERT INTO public.ecdc_data VALUES (23339, 1, 153, 19.56183643, 119, 129);
INSERT INTO public.ecdc_data VALUES (23340, 7, 685, 10.37395561, 26, 129);
INSERT INTO public.ecdc_data VALUES (23341, 1, 137, 59.88303625, 176, 129);
INSERT INTO public.ecdc_data VALUES (23342, 7, 663, 216.80135638, 120, 129);
INSERT INTO public.ecdc_data VALUES (23343, 3, 1036, 76.23306713, 121, 129);
INSERT INTO public.ecdc_data VALUES (23344, 0, 0, 0, 122, 129);
INSERT INTO public.ecdc_data VALUES (23345, 0, 58, 71.04285071, 177, 129);
INSERT INTO public.ecdc_data VALUES (23346, 3, 1002, 259.69597018, 123, 129);
INSERT INTO public.ecdc_data VALUES (23347, 0, 0, 7.19909545, 27, 129);
INSERT INTO public.ecdc_data VALUES (23348, 0, 0, 0.58735676, 28, 129);
INSERT INTO public.ecdc_data VALUES (23349, 26, 945, 176.77732328, 29, 129);
INSERT INTO public.ecdc_data VALUES (23350, 0, 7, 255.35463026, 178, 129);
INSERT INTO public.ecdc_data VALUES (23351, 0, 252, 83.60222519, 179, 129);
INSERT INTO public.ecdc_data VALUES (23352, 0, 175, 315.52678475, 180, 129);
INSERT INTO public.ecdc_data VALUES (23353, 0, 0, 0.93439557, 30, 129);
INSERT INTO public.ecdc_data VALUES (23354, 0, 5, 0.38113134, 31, 129);
INSERT INTO public.ecdc_data VALUES (23355, 7, 871, 25.40548859, 124, 129);
INSERT INTO public.ecdc_data VALUES (23356, 1, 32, 128.07063472, 125, 129);
INSERT INTO public.ecdc_data VALUES (23357, 0, 0, 0.9919614, 32, 129);
INSERT INTO public.ecdc_data VALUES (23358, 0, 109, 285.88274148, 181, 129);
INSERT INTO public.ecdc_data VALUES (23359, 0, 0, 1.83397125, 33, 129);
INSERT INTO public.ecdc_data VALUES (23360, 0, 0, 2.04777619, 34, 129);
INSERT INTO public.ecdc_data VALUES (23361, 108, 1320, 37.97044808, 87, 129);
INSERT INTO public.ecdc_data VALUES (23362, 15, 398, 258.97432219, 182, 129);
INSERT INTO public.ecdc_data VALUES (23363, 0, 5, 129.96826356, 183, 129);
INSERT INTO public.ecdc_data VALUES (23364, 0, 0, 0.31006156, 126, 129);
INSERT INTO public.ecdc_data VALUES (23365, 5, 188, 560.60766785, 184, 129);
INSERT INTO public.ecdc_data VALUES (23366, 0, 0, 0, 88, 129);
INSERT INTO public.ecdc_data VALUES (23367, 50, 2721, 110.66094249, 35, 129);
INSERT INTO public.ecdc_data VALUES (23368, 1, 159, 5.4995641, 36, 129);
INSERT INTO public.ecdc_data VALUES (23369, 42, 1150, 33.73273688, 127, 129);
INSERT INTO public.ecdc_data VALUES (23370, 0, 30, 26.73856816, 37, 129);
INSERT INTO public.ecdc_data VALUES (23371, 12, 2942, 158.77329688, 128, 129);
INSERT INTO public.ecdc_data VALUES (23372, 23, 8439, 535.14713407, 185, 129);
INSERT INTO public.ecdc_data VALUES (23373, 0, 0, 0, 207, 129);
INSERT INTO public.ecdc_data VALUES (23374, 0, 0, 0.64812039, 208, 129);
INSERT INTO public.ecdc_data VALUES (23375, 0, 0, 2.79581264, 89, 129);
INSERT INTO public.ecdc_data VALUES (23376, 0, 1, 0.04289872, 38, 129);
INSERT INTO public.ecdc_data VALUES (23377, 2, 133, 1.04247733, 39, 129);
INSERT INTO public.ecdc_data VALUES (23378, 10, 427, 241.96825238, 186, 129);
INSERT INTO public.ecdc_data VALUES (23379, 0, 0, 22.72210861, 209, 129);
INSERT INTO public.ecdc_data VALUES (23380, 0, 0, 37.2920597, 187, 129);
INSERT INTO public.ecdc_data VALUES (23381, 30, 1657, 174.53294397, 129, 129);
INSERT INTO public.ecdc_data VALUES (23382, 5, 433, 4.08006237, 130, 129);
INSERT INTO public.ecdc_data VALUES (23383, 5, 389, 122.57544131, 131, 129);
INSERT INTO public.ecdc_data VALUES (23384, 7, 638, 222.75129285, 90, 129);
INSERT INTO public.ecdc_data VALUES (23385, 0, 0, 0.46717689, 210, 129);
INSERT INTO public.ecdc_data VALUES (23386, 9, 709, 149.64570931, 91, 129);
INSERT INTO public.ecdc_data VALUES (23387, 57, 3126, 124.59373847, 92, 129);
INSERT INTO public.ecdc_data VALUES (23388, 49, 2280, 31.55943958, 132, 129);
INSERT INTO public.ecdc_data VALUES (23389, 49, 8536, 204.42520823, 188, 129);
INSERT INTO public.ecdc_data VALUES (23390, 19, 1856, 210.80867371, 189, 129);
INSERT INTO public.ecdc_data VALUES (23391, 5, 643, 225.60820126, 93, 129);
INSERT INTO public.ecdc_data VALUES (23392, 1, 204, 103.56378777, 133, 129);
INSERT INTO public.ecdc_data VALUES (23393, 60, 3920, 238.60053162, 190, 129);
INSERT INTO public.ecdc_data VALUES (23394, 185, 15099, 126.36604108, 191, 129);
INSERT INTO public.ecdc_data VALUES (23395, 0, 3, 0.85531425, 40, 129);
INSERT INTO public.ecdc_data VALUES (23396, 0, 0, 0, 94, 129);
INSERT INTO public.ecdc_data VALUES (23397, 0, 0, 3.28236549, 95, 129);
INSERT INTO public.ecdc_data VALUES (23398, 0, 0, 2.71264908, 96, 129);
INSERT INTO public.ecdc_data VALUES (23399, 0, 0, 78.36763127, 192, 129);
INSERT INTO public.ecdc_data VALUES (23400, 0, 1, 9.30024925, 41, 129);
INSERT INTO public.ecdc_data VALUES (23401, 20, 348, 16.96892213, 134, 129);
INSERT INTO public.ecdc_data VALUES (23402, 0, 26, 1.9881738, 42, 129);
INSERT INTO public.ecdc_data VALUES (23403, 2, 214, 32.4393532, 193, 129);
INSERT INTO public.ecdc_data VALUES (23404, 0, 0, 4.09244841, 43, 129);
INSERT INTO public.ecdc_data VALUES (23405, 0, 3, 0.78072935, 44, 129);
INSERT INTO public.ecdc_data VALUES (23406, 0, 7, 1.7056194, 135, 129);
INSERT INTO public.ecdc_data VALUES (23407, 0, 4, 174.57359221, 97, 129);
INSERT INTO public.ecdc_data VALUES (23408, 6, 1567, 306.32496095, 194, 129);
INSERT INTO public.ecdc_data VALUES (23409, 8, 728, 319.3798092, 195, 129);
INSERT INTO public.ecdc_data VALUES (23410, 0, 0, 0, 211, 129);
INSERT INTO public.ecdc_data VALUES (23411, 0, 0, 0.77058036, 45, 129);
INSERT INTO public.ecdc_data VALUES (23412, 63, 1662, 38.43009903, 46, 129);
INSERT INTO public.ecdc_data VALUES (23413, 0, 76, 2.16884927, 136, 129);
INSERT INTO public.ecdc_data VALUES (23414, 0, 25, 1.04862416, 47, 129);
INSERT INTO public.ecdc_data VALUES (23415, 217, 37889, 343.09136533, 196, 129);
INSERT INTO public.ecdc_data VALUES (23416, 0, 63, 10.01700734, 137, 129);
INSERT INTO public.ecdc_data VALUES (23417, 0, 0, 0.0887576, 48, 129);
INSERT INTO public.ecdc_data VALUES (23418, 0, 7, 32.50980885, 98, 129);
INSERT INTO public.ecdc_data VALUES (23419, 1, 321, 95.14001946, 197, 129);
INSERT INTO public.ecdc_data VALUES (23420, 1, 195, 235.9287998, 198, 129);
INSERT INTO public.ecdc_data VALUES (23421, 3, 44, 4.1651699, 138, 129);
INSERT INTO public.ecdc_data VALUES (23422, 0, 5, 0.09674483, 139, 129);
INSERT INTO public.ecdc_data VALUES (23423, 0, 38, 5.98646737, 140, 129);
INSERT INTO public.ecdc_data VALUES (23424, 0, 5, 0.14506163, 141, 129);
INSERT INTO public.ecdc_data VALUES (23425, 0, 0, 0.07733234, 142, 129);
INSERT INTO public.ecdc_data VALUES (23426, 0, 8, 2.51164295, 49, 129);
INSERT INTO public.ecdc_data VALUES (23427, 1, 16, 38.28042057, 99, 129);
INSERT INTO public.ecdc_data VALUES (23428, 0, 0, 146.1257605, 50, 129);
INSERT INTO public.ecdc_data VALUES (23429, 72, 1815, 28.1084254, 199, 129);
INSERT INTO public.ecdc_data VALUES (23430, 0, 0, 7.85463685, 100, 129);
INSERT INTO public.ecdc_data VALUES (23431, 1, 135, 4.02533685, 51, 129);
INSERT INTO public.ecdc_data VALUES (23432, 156, 9997, 175.42534498, 200, 129);
INSERT INTO public.ecdc_data VALUES (23433, 4, 1215, 171.95594178, 143, 129);
INSERT INTO public.ecdc_data VALUES (23434, 67, 16981, 329.24307358, 201, 129);
INSERT INTO public.ecdc_data VALUES (23435, 0, 0, 0, 52, 129);
INSERT INTO public.ecdc_data VALUES (23436, 385, 47843, 223.89199272, 101, 129);
INSERT INTO public.ecdc_data VALUES (23437, 0, 0, 13.38700886, 102, 129);
INSERT INTO public.ecdc_data VALUES (23438, 0, 30, 11.1504909, 103, 129);
INSERT INTO public.ecdc_data VALUES (23439, 4, 306, 13.85919441, 144, 129);
INSERT INTO public.ecdc_data VALUES (23440, 11, 878, 28.76297231, 104, 129);
INSERT INTO public.ecdc_data VALUES (23441, 0, 8, 0.03939371, 145, 129);
INSERT INTO public.ecdc_data VALUES (23442, 0, 0, 0, 213, 129);
INSERT INTO public.ecdc_data VALUES (23443, 0, 0, 0, 53, 129);
INSERT INTO public.ecdc_data VALUES (23444, 0, 0, 0.04800781, 146, 129);
INSERT INTO public.ecdc_data VALUES (23445, 0, 64, 4.48462278, 54, 129);
INSERT INTO public.ecdc_data VALUES (23446, 0, 37, 1.78894871, 55, 129);
INSERT INTO public.ecdc_data VALUES (23447, 1, 47, 1.61664457, 105, 130);
INSERT INTO public.ecdc_data VALUES (23448, 5, 125, 73.5739287, 147, 130);
INSERT INTO public.ecdc_data VALUES (23449, 5, 219, 8.45468477, 1, 130);
INSERT INTO public.ecdc_data VALUES (23450, 0, 81, 458.14353414, 148, 130);
INSERT INTO public.ecdc_data VALUES (23451, 0, 40, 3.09187983, 2, 130);
INSERT INTO public.ecdc_data VALUES (23452, 0, 0, 0, 56, 130);
INSERT INTO public.ecdc_data VALUES (23453, 0, 0, 0, 57, 130);
INSERT INTO public.ecdc_data VALUES (23454, 262, 12701, 336.11596967, 58, 130);
INSERT INTO public.ecdc_data VALUES (23455, 1, 239, 82.80004111, 149, 130);
INSERT INTO public.ecdc_data VALUES (23456, 0, 78, 1036.5911015, 59, 130);
INSERT INTO public.ecdc_data VALUES (23457, 5, 48, 2.87661884, 202, 130);
INSERT INTO public.ecdc_data VALUES (23458, 5, 821, 95.10344263, 150, 130);
INSERT INTO public.ecdc_data VALUES (23459, 1, 117, 18.54152171, 151, 130);
INSERT INTO public.ecdc_data VALUES (23460, 4, 37, 212.58787222, 60, 130);
INSERT INTO public.ecdc_data VALUES (23461, 3, 705, 594.45612992, 106, 130);
INSERT INTO public.ecdc_data VALUES (23462, 22, 1541, 14.83628812, 107, 130);
INSERT INTO public.ecdc_data VALUES (23463, 0, 0, 2.43884594, 61, 130);
INSERT INTO public.ecdc_data VALUES (23464, 2, 243, 29.0402161, 152, 130);
INSERT INTO public.ecdc_data VALUES (23465, 6, 1709, 125.80835491, 153, 130);
INSERT INTO public.ecdc_data VALUES (23466, 1, 23, 112.20670627, 62, 130);
INSERT INTO public.ecdc_data VALUES (23467, 0, 0, 0.72874248, 3, 130);
INSERT INTO public.ecdc_data VALUES (23468, 0, 0, 6.3991809, 63, 130);
INSERT INTO public.ecdc_data VALUES (23469, 0, 6, 3.93136363, 108, 130);
INSERT INTO public.ecdc_data VALUES (23470, 39, 632, 90.94855583, 64, 130);
INSERT INTO public.ecdc_data VALUES (23471, 0, 0, 69.27606512, 65, 130);
INSERT INTO public.ecdc_data VALUES (23472, 5, 292, 113.60200764, 154, 130);
INSERT INTO public.ecdc_data VALUES (23473, 0, 0, 24.52573096, 4, 130);
INSERT INTO public.ecdc_data VALUES (23474, 858, 39797, 190.64293627, 66, 130);
INSERT INTO public.ecdc_data VALUES (23475, 0, 0, 19.97802417, 67, 130);
INSERT INTO public.ecdc_data VALUES (23476, 0, 0, 0, 109, 130);
INSERT INTO public.ecdc_data VALUES (23477, 9, 189, 27.97127273, 155, 130);
INSERT INTO public.ecdc_data VALUES (23478, 0, 30, 1.91423979, 5, 130);
INSERT INTO public.ecdc_data VALUES (23479, 0, 0, 0.19079704, 6, 130);
INSERT INTO public.ecdc_data VALUES (23480, 0, 0, 0.00606555, 110, 130);
INSERT INTO public.ecdc_data VALUES (23481, 0, 0, 2.96409232, 7, 130);
INSERT INTO public.ecdc_data VALUES (23482, 5, 1044, 28.83373618, 68, 130);
INSERT INTO public.ecdc_data VALUES (23483, 1, 78, 171.11082017, 8, 130);
INSERT INTO public.ecdc_data VALUES (23484, 0, 1, 6.15877317, 69, 130);
INSERT INTO public.ecdc_data VALUES (23485, 0, 4, 1.20121917, 9, 130);
INSERT INTO public.ecdc_data VALUES (23486, 0, 32, 0.77758147, 10, 130);
INSERT INTO public.ecdc_data VALUES (23487, 57, 1677, 128.52445661, 70, 130);
INSERT INTO public.ecdc_data VALUES (23488, 1, 14, 0.02092366, 111, 130);
INSERT INTO public.ecdc_data VALUES (23489, 185, 6526, 199.46386773, 71, 130);
INSERT INTO public.ecdc_data VALUES (23490, 0, 3, 2.58552506, 11, 130);
INSERT INTO public.ecdc_data VALUES (23491, 0, 0, 6.54213806, 12, 130);
INSERT INTO public.ecdc_data VALUES (23492, 20, 1556, 330.73399212, 72, 130);
INSERT INTO public.ecdc_data VALUES (23493, 0, 42, 3.62023621, 13, 130);
INSERT INTO public.ecdc_data VALUES (23494, 6, 234, 75.68238031, 156, 130);
INSERT INTO public.ecdc_data VALUES (23495, 2, 71, 6.51167814, 73, 130);
INSERT INTO public.ecdc_data VALUES (23496, 0, 18, 91.78634586, 74, 130);
INSERT INTO public.ecdc_data VALUES (23497, 0, 7, 7.64928376, 157, 130);
INSERT INTO public.ecdc_data VALUES (23498, 6, 2107, 178.52917426, 158, 130);
INSERT INTO public.ecdc_data VALUES (23499, 1, 14, 0.35487727, 14, 130);
INSERT INTO public.ecdc_data VALUES (23500, 0, 454, 74.06028266, 159, 130);
INSERT INTO public.ecdc_data VALUES (23501, 0, 2, 1.64345796, 15, 130);
INSERT INTO public.ecdc_data VALUES (23502, 0, 0, 5.57040998, 75, 130);
INSERT INTO public.ecdc_data VALUES (23503, 12, 596, 94.07803756, 76, 130);
INSERT INTO public.ecdc_data VALUES (23504, 15, 1872, 40.0261154, 77, 130);
INSERT INTO public.ecdc_data VALUES (23505, 18, 131, 2.18153399, 16, 130);
INSERT INTO public.ecdc_data VALUES (23506, 7, 97, 19.32269836, 78, 130);
INSERT INTO public.ecdc_data VALUES (23507, 0, 2, 2.21241875, 17, 130);
INSERT INTO public.ecdc_data VALUES (23508, 0, 0, 0.97222941, 18, 130);
INSERT INTO public.ecdc_data VALUES (23509, 0, 36, 27.02253891, 160, 130);
INSERT INTO public.ecdc_data VALUES (23510, 0, 24, 37.88759665, 19, 130);
INSERT INTO public.ecdc_data VALUES (23511, 12, 602, 9.81363752, 20, 130);
INSERT INTO public.ecdc_data VALUES (23512, 0, 0, 0, 79, 130);
INSERT INTO public.ecdc_data VALUES (23513, 0, 1, 34.92409146, 161, 130);
INSERT INTO public.ecdc_data VALUES (23514, 0, 0, 0.11236523, 203, 130);
INSERT INTO public.ecdc_data VALUES (23515, 0, 59, 11.47171606, 162, 130);
INSERT INTO public.ecdc_data VALUES (23516, 154, 13215, 178.38361021, 163, 130);
INSERT INTO public.ecdc_data VALUES (23517, 0, 19, 206.59899386, 204, 130);
INSERT INTO public.ecdc_data VALUES (23518, 0, 18, 4.37268535, 21, 130);
INSERT INTO public.ecdc_data VALUES (23519, 1, 12, 15.54715772, 22, 130);
INSERT INTO public.ecdc_data VALUES (23520, 0, 187, 42.78463416, 164, 130);
INSERT INTO public.ecdc_data VALUES (23521, 6, 2297, 25.38328086, 165, 130);
INSERT INTO public.ecdc_data VALUES (23522, 1, 143, 3.55054587, 23, 130);
INSERT INTO public.ecdc_data VALUES (23523, 0, 0, 112.73957159, 166, 130);
INSERT INTO public.ecdc_data VALUES (23524, 2, 338, 32.98957844, 167, 130);
INSERT INTO public.ecdc_data VALUES (23525, 0, 0, 0, 80, 130);
INSERT INTO public.ecdc_data VALUES (23526, 0, 0, 0, 81, 130);
INSERT INTO public.ecdc_data VALUES (23527, 3, 0, 254.64000717, 205, 130);
INSERT INTO public.ecdc_data VALUES (23528, 40, 680, 41.54372477, 82, 130);
INSERT INTO public.ecdc_data VALUES (23529, 0, 1, 3.10231433, 168, 130);
INSERT INTO public.ecdc_data VALUES (23530, 0, 77, 5.10521839, 24, 130);
INSERT INTO public.ecdc_data VALUES (23531, 0, 28, 3.01939126, 25, 130);
INSERT INTO public.ecdc_data VALUES (23532, 2, 75, 87.63693271, 83, 130);
INSERT INTO public.ecdc_data VALUES (23533, 1, 44, 2.43272732, 84, 130);
INSERT INTO public.ecdc_data VALUES (23534, 0, 0, 0, 169, 130);
INSERT INTO public.ecdc_data VALUES (23535, 24, 491, 69.90477744, 85, 130);
INSERT INTO public.ecdc_data VALUES (23536, 6, 809, 97.59785264, 170, 130);
INSERT INTO public.ecdc_data VALUES (23537, 0, 24, 26.61131513, 171, 130);
INSERT INTO public.ecdc_data VALUES (23538, 1247, 93337, 94.02944263, 112, 130);
INSERT INTO public.ecdc_data VALUES (23539, 114, 3891, 18.09954637, 113, 130);
INSERT INTO public.ecdc_data VALUES (23540, 144, 3049, 40.31411238, 114, 130);
INSERT INTO public.ecdc_data VALUES (23541, 76, 4305, 151.65433729, 115, 130);
INSERT INTO public.ecdc_data VALUES (23542, 3, 248, 60.51906106, 172, 130);
INSERT INTO public.ecdc_data VALUES (23543, 0, 0, 3.54656043, 173, 130);
INSERT INTO public.ecdc_data VALUES (23544, 27, 2138, 618.0267022, 116, 130);
INSERT INTO public.ecdc_data VALUES (23545, 10, 1907, 33.61191617, 174, 130);
INSERT INTO public.ecdc_data VALUES (23546, 4, 197, 54.50641171, 86, 130);
INSERT INTO public.ecdc_data VALUES (23547, 13, 579, 5.67316967, 117, 130);
INSERT INTO public.ecdc_data VALUES (23548, 0, 2, 9.27678207, 175, 130);
INSERT INTO public.ecdc_data VALUES (23549, 3, 213, 20.22432469, 118, 130);
INSERT INTO public.ecdc_data VALUES (23550, 1, 300, 26.87124678, 119, 130);
INSERT INTO public.ecdc_data VALUES (23551, 4, 148, 3.49983101, 26, 130);
INSERT INTO public.ecdc_data VALUES (23552, 4, 57, 57.21415441, 176, 130);
INSERT INTO public.ecdc_data VALUES (23553, 4, 704, 244.46902208, 120, 130);
INSERT INTO public.ecdc_data VALUES (23554, 0, 91, 15.88253842, 121, 130);
INSERT INTO public.ecdc_data VALUES (23555, 0, 0, 0.01394806, 122, 130);
INSERT INTO public.ecdc_data VALUES (23556, 0, 4, 4.27090452, 177, 130);
INSERT INTO public.ecdc_data VALUES (23557, 18, 750, 117.09948599, 123, 130);
INSERT INTO public.ecdc_data VALUES (23558, 0, 0, 8.42247115, 27, 130);
INSERT INTO public.ecdc_data VALUES (23559, 0, 1, 0.56710308, 28, 130);
INSERT INTO public.ecdc_data VALUES (23560, 13, 616, 147.44477018, 29, 130);
INSERT INTO public.ecdc_data VALUES (23561, 0, 1, 10.42263797, 178, 130);
INSERT INTO public.ecdc_data VALUES (23562, 0, 61, 20.07741795, 179, 130);
INSERT INTO public.ecdc_data VALUES (23563, 0, 177, 140.74090967, 180, 130);
INSERT INTO public.ecdc_data VALUES (23564, 2, 100, 2.90700843, 30, 130);
INSERT INTO public.ecdc_data VALUES (23565, 0, 5, 0.57974907, 31, 130);
INSERT INTO public.ecdc_data VALUES (23566, 1, 95, 2.4194213, 124, 130);
INSERT INTO public.ecdc_data VALUES (23567, 0, 74, 227.32537663, 125, 130);
INSERT INTO public.ecdc_data VALUES (23568, 0, 25, 0.90039573, 32, 130);
INSERT INTO public.ecdc_data VALUES (23569, 2, 65, 138.58525526, 181, 130);
INSERT INTO public.ecdc_data VALUES (23570, 0, 29, 5.19256919, 33, 130);
INSERT INTO public.ecdc_data VALUES (23571, 0, 1, 0.78760623, 34, 130);
INSERT INTO public.ecdc_data VALUES (23572, 624, 5551, 48.73975478, 87, 130);
INSERT INTO public.ecdc_data VALUES (23573, 16, 665, 166.74671762, 182, 130);
INSERT INTO public.ecdc_data VALUES (23574, 0, 5, 132.99078132, 183, 130);
INSERT INTO public.ecdc_data VALUES (23575, 0, 0, 0.15503078, 126, 130);
INSERT INTO public.ecdc_data VALUES (23576, 4, 208, 391.52530931, 184, 130);
INSERT INTO public.ecdc_data VALUES (23577, 0, 0, 0, 88, 130);
INSERT INTO public.ecdc_data VALUES (23578, 41, 2760, 78.57859145, 35, 130);
INSERT INTO public.ecdc_data VALUES (23579, 1, 103, 6.58301116, 36, 130);
INSERT INTO public.ecdc_data VALUES (23580, 14, 322, 6.30025611, 127, 130);
INSERT INTO public.ecdc_data VALUES (23581, 0, 129, 75.5254309, 37, 130);
INSERT INTO public.ecdc_data VALUES (23582, 7, 2020, 60.67032371, 128, 130);
INSERT INTO public.ecdc_data VALUES (23583, 7, 1972, 97.34313928, 185, 130);
INSERT INTO public.ecdc_data VALUES (23584, 0, 0, 0, 207, 130);
INSERT INTO public.ecdc_data VALUES (23585, 0, 2, 0.98263414, 208, 130);
INSERT INTO public.ecdc_data VALUES (23586, 0, 0, 4.47635575, 89, 130);
INSERT INTO public.ecdc_data VALUES (23587, 0, 2, 0.02144936, 38, 130);
INSERT INTO public.ecdc_data VALUES (23588, 1, 221, 1.10119443, 39, 130);
INSERT INTO public.ecdc_data VALUES (23589, 8, 143, 79.67717025, 186, 130);
INSERT INTO public.ecdc_data VALUES (23590, 0, 0, 8.73927254, 209, 130);
INSERT INTO public.ecdc_data VALUES (23591, 1, 146, 28.62123354, 187, 130);
INSERT INTO public.ecdc_data VALUES (23592, 0, 0, 108.00017367, 129, 130);
INSERT INTO public.ecdc_data VALUES (23593, 7, 645, 3.23505171, 130, 130);
INSERT INTO public.ecdc_data VALUES (23594, 8, 692, 225.23689019, 131, 130);
INSERT INTO public.ecdc_data VALUES (23595, 16, 741, 218.60664462, 90, 130);
INSERT INTO public.ecdc_data VALUES (23596, 0, 0, 0.51275513, 210, 130);
INSERT INTO public.ecdc_data VALUES (23597, 27, 1014, 162.86143264, 91, 130);
INSERT INTO public.ecdc_data VALUES (23598, 137, 6314, 244.73352609, 92, 130);
INSERT INTO public.ecdc_data VALUES (23599, 45, 3237, 47.28505114, 132, 130);
INSERT INTO public.ecdc_data VALUES (23600, 17, 757, 19.77204111, 188, 130);
INSERT INTO public.ecdc_data VALUES (23601, 6, 780, 75.112267, 189, 130);
INSERT INTO public.ecdc_data VALUES (23602, 11, 817, 185.55234806, 93, 130);
INSERT INTO public.ecdc_data VALUES (23603, 1, 224, 115.81630545, 133, 130);
INSERT INTO public.ecdc_data VALUES (23604, 48, 1527, 90.76740643, 190, 130);
INSERT INTO public.ecdc_data VALUES (23605, 134, 5905, 52.15590682, 191, 130);
INSERT INTO public.ecdc_data VALUES (23606, 2, 18, 2.90648453, 40, 130);
INSERT INTO public.ecdc_data VALUES (23607, 0, 0, 0, 94, 130);
INSERT INTO public.ecdc_data VALUES (23608, 0, 0, 0.54706092, 95, 130);
INSERT INTO public.ecdc_data VALUES (23609, 0, 0, 2.71264908, 96, 130);
INSERT INTO public.ecdc_data VALUES (23610, 0, 0, 23.22003889, 192, 130);
INSERT INTO public.ecdc_data VALUES (23611, 0, 1, 5.11513709, 41, 130);
INSERT INTO public.ecdc_data VALUES (23612, 31, 576, 27.95276097, 134, 130);
INSERT INTO public.ecdc_data VALUES (23613, 1, 27, 4.68816292, 42, 130);
INSERT INTO public.ecdc_data VALUES (23614, 1, 62, 14.14464936, 193, 130);
INSERT INTO public.ecdc_data VALUES (23615, 0, 0, 5.11556051, 43, 130);
INSERT INTO public.ecdc_data VALUES (23616, 0, 20, 1.43347028, 44, 130);
INSERT INTO public.ecdc_data VALUES (23617, 0, 11, 10.940084, 135, 130);
INSERT INTO public.ecdc_data VALUES (23618, 1, 9, 148.62346363, 97, 130);
INSERT INTO public.ecdc_data VALUES (23619, 0, 235, 35.88713606, 194, 130);
INSERT INTO public.ecdc_data VALUES (23620, 2, 137, 53.1979309, 195, 130);
INSERT INTO public.ecdc_data VALUES (23621, 0, 0, 0.37557698, 45, 130);
INSERT INTO public.ecdc_data VALUES (23622, 85, 2055, 38.50694557, 46, 130);
INSERT INTO public.ecdc_data VALUES (23623, 1, 110, 4.00387925, 136, 130);
INSERT INTO public.ecdc_data VALUES (23624, 0, 10, 0.65991003, 47, 130);
INSERT INTO public.ecdc_data VALUES (23625, 0, 0, 300.51093954, 196, 130);
INSERT INTO public.ecdc_data VALUES (23626, 0, 5, 0.77847529, 137, 130);
INSERT INTO public.ecdc_data VALUES (23627, 0, 0, 0.80816127, 48, 130);
INSERT INTO public.ecdc_data VALUES (23628, 1, 20, 75.5122015, 98, 130);
INSERT INTO public.ecdc_data VALUES (23629, 1, 437, 32.48230604, 197, 130);
INSERT INTO public.ecdc_data VALUES (23630, 2, 487, 67.25942817, 198, 130);
INSERT INTO public.ecdc_data VALUES (23631, 3, 40, 4.042148, 138, 130);
INSERT INTO public.ecdc_data VALUES (23632, 0, 3, 0.06730075, 139, 130);
INSERT INTO public.ecdc_data VALUES (23633, 0, 45, 5.73971333, 140, 130);
INSERT INTO public.ecdc_data VALUES (23634, 1, 3, 0.09910151, 141, 130);
INSERT INTO public.ecdc_data VALUES (23635, 0, 0, 0, 142, 130);
INSERT INTO public.ecdc_data VALUES (23636, 0, 22, 2.26419044, 49, 130);
INSERT INTO public.ecdc_data VALUES (23637, 0, 217, 115.48643733, 99, 130);
INSERT INTO public.ecdc_data VALUES (23638, 0, 0, 35.70841921, 50, 130);
INSERT INTO public.ecdc_data VALUES (23639, 62, 1771, 28.35841357, 199, 130);
INSERT INTO public.ecdc_data VALUES (23640, 0, 4, 235.63910562, 100, 130);
INSERT INTO public.ecdc_data VALUES (23641, 1, 214, 5.06216604, 51, 130);
INSERT INTO public.ecdc_data VALUES (23642, 68, 3228, 87.56037776, 200, 130);
INSERT INTO public.ecdc_data VALUES (23643, 1, 865, 109.17528903, 143, 130);
INSERT INTO public.ecdc_data VALUES (23644, 27, 4322, 65.39668215, 201, 130);
INSERT INTO public.ecdc_data VALUES (23645, 0, 0, 0, 52, 130);
INSERT INTO public.ecdc_data VALUES (23646, 956, 50209, 158.91727528, 101, 130);
INSERT INTO public.ecdc_data VALUES (23647, 0, 4, 87.97177254, 102, 130);
INSERT INTO public.ecdc_data VALUES (23648, 0, 14, 6.84628586, 103, 130);
INSERT INTO public.ecdc_data VALUES (23649, 2, 259, 21.99703684, 144, 130);
INSERT INTO public.ecdc_data VALUES (23650, 9, 890, 49.80041085, 104, 130);
INSERT INTO public.ecdc_data VALUES (23651, 0, 2, 0.02280688, 145, 130);
INSERT INTO public.ecdc_data VALUES (23652, 0, 0, 0, 53, 130);
INSERT INTO public.ecdc_data VALUES (23653, 1, 1, 0.1405943, 146, 130);
INSERT INTO public.ecdc_data VALUES (23654, 3, 94, 7.74311274, 54, 130);
INSERT INTO public.ecdc_data VALUES (23655, 0, 14, 5.53071929, 55, 130);
INSERT INTO public.ecdc_data VALUES (23656, 0, 0, 2.02409158, 105, 131);
INSERT INTO public.ecdc_data VALUES (23657, 2, 155, 66.51698017, 147, 131);
INSERT INTO public.ecdc_data VALUES (23658, 12, 419, 16.11964624, 1, 131);
INSERT INTO public.ecdc_data VALUES (23659, 0, 0, 86.64032451, 148, 131);
INSERT INTO public.ecdc_data VALUES (23660, 2, 60, 2.52000775, 2, 131);
INSERT INTO public.ecdc_data VALUES (23661, 0, 0, 0, 56, 131);
INSERT INTO public.ecdc_data VALUES (23662, 0, 0, 1.02970705, 57, 131);
INSERT INTO public.ecdc_data VALUES (23663, 127, 4557, 206.30104392, 58, 131);
INSERT INTO public.ecdc_data VALUES (23664, 8, 145, 86.14720488, 149, 131);
INSERT INTO public.ecdc_data VALUES (23665, 0, 0, 930.29818455, 59, 131);
INSERT INTO public.ecdc_data VALUES (23666, 17, 174, 20.01333164, 202, 131);
INSERT INTO public.ecdc_data VALUES (23667, 0, 158, 27.1256466, 150, 131);
INSERT INTO public.ecdc_data VALUES (23668, 1, 131, 15.56572193, 151, 131);
INSERT INTO public.ecdc_data VALUES (23669, 1, 95, 182.03478431, 60, 131);
INSERT INTO public.ecdc_data VALUES (23670, 2, 0, 307.89122842, 106, 131);
INSERT INTO public.ecdc_data VALUES (23671, 46, 3200, 23.50499818, 107, 131);
INSERT INTO public.ecdc_data VALUES (23672, 0, 1, 7.31653781, 61, 131);
INSERT INTO public.ecdc_data VALUES (23673, 4, 84, 15.05436339, 152, 131);
INSERT INTO public.ecdc_data VALUES (23674, 11, 725, 69.95754623, 153, 131);
INSERT INTO public.ecdc_data VALUES (23675, 0, 78, 123.22243314, 62, 131);
INSERT INTO public.ecdc_data VALUES (23676, 0, 0, 1.26258871, 3, 131);
INSERT INTO public.ecdc_data VALUES (23677, 0, 0, 14.39815704, 63, 131);
INSERT INTO public.ecdc_data VALUES (23678, 0, 1, 5.50390909, 108, 131);
INSERT INTO public.ecdc_data VALUES (23679, 49, 1796, 170.74460037, 64, 131);
INSERT INTO public.ecdc_data VALUES (23680, 0, 0, 0, 65, 131);
INSERT INTO public.ecdc_data VALUES (23681, 20, 316, 105.81648338, 154, 131);
INSERT INTO public.ecdc_data VALUES (23682, 0, 0, 21.87782019, 4, 131);
INSERT INTO public.ecdc_data VALUES (23683, 1352, 47784, 286.8677469, 66, 131);
INSERT INTO public.ecdc_data VALUES (23684, 0, 2, 6.65934139, 67, 131);
INSERT INTO public.ecdc_data VALUES (23685, 0, 0, 0.23078911, 109, 131);
INSERT INTO public.ecdc_data VALUES (23686, 7, 169, 35.85694308, 155, 131);
INSERT INTO public.ecdc_data VALUES (23687, 0, 5, 0.63479931, 5, 131);
INSERT INTO public.ecdc_data VALUES (23688, 0, 3, 0.18212445, 6, 131);
INSERT INTO public.ecdc_data VALUES (23689, 0, 0, 0.1819666, 110, 131);
INSERT INTO public.ecdc_data VALUES (23690, 3, 17, 3.40464842, 7, 131);
INSERT INTO public.ecdc_data VALUES (23691, 13, 282, 14.37276346, 68, 131);
INSERT INTO public.ecdc_data VALUES (23692, 0, 50, 113.10407029, 8, 131);
INSERT INTO public.ecdc_data VALUES (23693, 0, 0, 0, 69, 131);
INSERT INTO public.ecdc_data VALUES (23694, 0, 12, 1.28551526, 9, 131);
INSERT INTO public.ecdc_data VALUES (23695, 0, 11, 0.20066619, 10, 131);
INSERT INTO public.ecdc_data VALUES (23696, 33, 1353, 136.62385068, 70, 131);
INSERT INTO public.ecdc_data VALUES (23697, 2, 53, 0.08983224, 111, 131);
INSERT INTO public.ecdc_data VALUES (23698, 247, 12462, 306.20720217, 71, 131);
INSERT INTO public.ecdc_data VALUES (23699, 0, 0, 1.99790572, 11, 131);
INSERT INTO public.ecdc_data VALUES (23700, 0, 0, 5.37124403, 12, 131);
INSERT INTO public.ecdc_data VALUES (23701, 10, 559, 194.27204545, 72, 131);
INSERT INTO public.ecdc_data VALUES (23702, 0, 124, 3.33248382, 13, 131);
INSERT INTO public.ecdc_data VALUES (23703, 0, 199, 37.70626209, 156, 131);
INSERT INTO public.ecdc_data VALUES (23704, 0, 44, 6.23815236, 73, 131);
INSERT INTO public.ecdc_data VALUES (23705, 0, 0, 3.67145383, 74, 131);
INSERT INTO public.ecdc_data VALUES (23706, 0, 8, 20.43614618, 157, 131);
INSERT INTO public.ecdc_data VALUES (23707, 2, 281, 30.01934309, 158, 131);
INSERT INTO public.ecdc_data VALUES (23708, 0, 15, 0.62564402, 14, 131);
INSERT INTO public.ecdc_data VALUES (23709, 0, 115, 30.691959, 159, 131);
INSERT INTO public.ecdc_data VALUES (23710, 0, 2, 12.94223143, 15, 131);
INSERT INTO public.ecdc_data VALUES (23711, 0, 0, 0, 75, 131);
INSERT INTO public.ecdc_data VALUES (23712, 8, 386, 119.45294129, 76, 131);
INSERT INTO public.ecdc_data VALUES (23713, 22, 1190, 86.21098022, 77, 131);
INSERT INTO public.ecdc_data VALUES (23714, 0, 0, 1.83089474, 16, 131);
INSERT INTO public.ecdc_data VALUES (23715, 15, 269, 80.57580711, 78, 131);
INSERT INTO public.ecdc_data VALUES (23716, 0, 71, 5.23605771, 17, 131);
INSERT INTO public.ecdc_data VALUES (23717, 0, 19, 0.62908962, 18, 131);
INSERT INTO public.ecdc_data VALUES (23718, 0, 8, 8.2275328, 160, 131);
INSERT INTO public.ecdc_data VALUES (23719, 3, 95, 98.68194713, 19, 131);
INSERT INTO public.ecdc_data VALUES (23720, 28, 1386, 11.46069405, 20, 131);
INSERT INTO public.ecdc_data VALUES (23721, 0, 0, 0, 79, 131);
INSERT INTO public.ecdc_data VALUES (23722, 0, 0, 299.93631489, 161, 131);
INSERT INTO public.ecdc_data VALUES (23723, 0, 0, 0.11236523, 203, 131);
INSERT INTO public.ecdc_data VALUES (23724, 0, 24, 5.30997284, 162, 131);
INSERT INTO public.ecdc_data VALUES (23725, 22, 2238, 43.17528019, 163, 131);
INSERT INTO public.ecdc_data VALUES (23726, 0, 0, 53.35052008, 204, 131);
INSERT INTO public.ecdc_data VALUES (23727, 0, 0, 28.72163853, 21, 131);
INSERT INTO public.ecdc_data VALUES (23728, 0, 0, 51.15653815, 22, 131);
INSERT INTO public.ecdc_data VALUES (23729, 0, 10, 4.10332164, 164, 131);
INSERT INTO public.ecdc_data VALUES (23730, 7, 1510, 17.93801635, 165, 131);
INSERT INTO public.ecdc_data VALUES (23731, 9, 340, 17.03275753, 23, 131);
INSERT INTO public.ecdc_data VALUES (23732, 0, 5, 97.90541743, 166, 131);
INSERT INTO public.ecdc_data VALUES (23733, 2, 250, 24.40184477, 167, 131);
INSERT INTO public.ecdc_data VALUES (23734, 0, 0, 0, 80, 131);
INSERT INTO public.ecdc_data VALUES (23735, 0, 0, 0, 81, 131);
INSERT INTO public.ecdc_data VALUES (23736, 0, 22, 125.5267641, 205, 131);
INSERT INTO public.ecdc_data VALUES (23737, 30, 903, 65.30737237, 82, 131);
INSERT INTO public.ecdc_data VALUES (23738, 0, 0, 0, 168, 131);
INSERT INTO public.ecdc_data VALUES (23739, 1, 95, 9.5996898, 24, 131);
INSERT INTO public.ecdc_data VALUES (23740, 0, 0, 4.42496995, 25, 131);
INSERT INTO public.ecdc_data VALUES (23741, 2, 28, 30.66015138, 83, 131);
INSERT INTO public.ecdc_data VALUES (23742, 0, 24, 3.45376251, 84, 131);
INSERT INTO public.ecdc_data VALUES (23743, 0, 0, 0, 169, 131);
INSERT INTO public.ecdc_data VALUES (23744, 10, 675, 75.6301357, 85, 131);
INSERT INTO public.ecdc_data VALUES (23745, 0, 0, 4.2669642, 170, 131);
INSERT INTO public.ecdc_data VALUES (23746, 0, 13, 30.53298262, 171, 131);
INSERT INTO public.ecdc_data VALUES (23747, 1092, 64531, 62.86649864, 112, 131);
INSERT INTO public.ecdc_data VALUES (23748, 70, 1673, 10.34159496, 113, 131);
INSERT INTO public.ecdc_data VALUES (23749, 168, 2385, 39.8594238, 114, 131);
INSERT INTO public.ecdc_data VALUES (23750, 82, 4576, 127.16171028, 115, 131);
INSERT INTO public.ecdc_data VALUES (23751, 1, 186, 25.40658695, 172, 131);
INSERT INTO public.ecdc_data VALUES (23752, 0, 0, 0, 173, 131);
INSERT INTO public.ecdc_data VALUES (23753, 16, 1280, 232.02411727, 116, 131);
INSERT INTO public.ecdc_data VALUES (23754, 5, 401, 10.29994493, 174, 131);
INSERT INTO public.ecdc_data VALUES (23755, 0, 17, 7.66549412, 86, 131);
INSERT INTO public.ecdc_data VALUES (23756, 14, 1592, 12.94415994, 117, 131);
INSERT INTO public.ecdc_data VALUES (23757, 0, 0, 12.9874949, 175, 131);
INSERT INTO public.ecdc_data VALUES (23758, 0, 40, 2.11845594, 118, 131);
INSERT INTO public.ecdc_data VALUES (23759, 11, 1352, 109.905286, 119, 131);
INSERT INTO public.ecdc_data VALUES (23760, 5, 271, 14.14007811, 26, 131);
INSERT INTO public.ecdc_data VALUES (23761, 6, 141, 134.11131239, 176, 131);
INSERT INTO public.ecdc_data VALUES (23762, 3, 643, 206.69933068, 120, 131);
INSERT INTO public.ecdc_data VALUES (23763, 0, 0, 62.9066978, 121, 131);
INSERT INTO public.ecdc_data VALUES (23764, 0, 0, 0, 122, 131);
INSERT INTO public.ecdc_data VALUES (23765, 1, 0, 3.8542309, 177, 131);
INSERT INTO public.ecdc_data VALUES (23766, 0, 0, 62.35678906, 123, 131);
INSERT INTO public.ecdc_data VALUES (23767, 0, 0, 10.35164052, 27, 131);
INSERT INTO public.ecdc_data VALUES (23768, 0, 5, 1.33674297, 28, 131);
INSERT INTO public.ecdc_data VALUES (23769, 0, 0, 66.6327011, 29, 131);
INSERT INTO public.ecdc_data VALUES (23770, 0, 3, 20.84527594, 178, 131);
INSERT INTO public.ecdc_data VALUES (23771, 0, 38, 12.06076622, 179, 131);
INSERT INTO public.ecdc_data VALUES (23772, 0, 30, 94.80464054, 180, 131);
INSERT INTO public.ecdc_data VALUES (23773, 2, 123, 7.8385406, 30, 131);
INSERT INTO public.ecdc_data VALUES (23774, 2, 121, 4.54136775, 31, 131);
INSERT INTO public.ecdc_data VALUES (23775, 0, 7, 0.67919071, 124, 131);
INSERT INTO public.ecdc_data VALUES (23776, 1, 170, 307.5578625, 125, 131);
INSERT INTO public.ecdc_data VALUES (23777, 0, 26, 0.62569873, 32, 131);
INSERT INTO public.ecdc_data VALUES (23778, 0, 47, 131.49390448, 181, 131);
INSERT INTO public.ecdc_data VALUES (23779, 0, 88, 8.99308792, 33, 131);
INSERT INTO public.ecdc_data VALUES (23780, 0, 0, 0.15752125, 34, 131);
INSERT INTO public.ecdc_data VALUES (23781, 751, 6561, 60.64642695, 87, 131);
INSERT INTO public.ecdc_data VALUES (23782, 0, 412, 123.04433702, 182, 131);
INSERT INTO public.ecdc_data VALUES (23783, 0, 0, 39.29273084, 183, 131);
INSERT INTO public.ecdc_data VALUES (23784, 0, 0, 0.15503078, 126, 131);
INSERT INTO public.ecdc_data VALUES (23785, 0, 47, 123.91872475, 184, 131);
INSERT INTO public.ecdc_data VALUES (23786, 0, 0, 0, 88, 131);
INSERT INTO public.ecdc_data VALUES (23787, 33, 1245, 48.21812029, 35, 131);
INSERT INTO public.ecdc_data VALUES (23788, 0, 0, 2.91443966, 36, 131);
INSERT INTO public.ecdc_data VALUES (23789, 0, 3, 0.0425568, 127, 131);
INSERT INTO public.ecdc_data VALUES (23790, 1, 120, 79.93508982, 37, 131);
INSERT INTO public.ecdc_data VALUES (23791, 7, 1016, 25.33493727, 128, 131);
INSERT INTO public.ecdc_data VALUES (23792, 3, 487, 46.03590419, 185, 131);
INSERT INTO public.ecdc_data VALUES (23793, 0, 0, 0.35366056, 207, 131);
INSERT INTO public.ecdc_data VALUES (23794, 0, 6, 1.67256874, 208, 131);
INSERT INTO public.ecdc_data VALUES (23795, 5, 196, 6.24856485, 89, 131);
INSERT INTO public.ecdc_data VALUES (23796, 0, 0, 0.06434808, 38, 131);
INSERT INTO public.ecdc_data VALUES (23797, 4, 410, 2.71790509, 39, 131);
INSERT INTO public.ecdc_data VALUES (23798, 3, 103, 83.62492129, 186, 131);
INSERT INTO public.ecdc_data VALUES (23799, 0, 0, 13.98283607, 209, 131);
INSERT INTO public.ecdc_data VALUES (23800, 1, 56, 13.64435199, 187, 131);
INSERT INTO public.ecdc_data VALUES (23801, 9, 192, 85.60817786, 129, 131);
INSERT INTO public.ecdc_data VALUES (23802, 0, 0, 4.01541674, 130, 131);
INSERT INTO public.ecdc_data VALUES (23803, 3, 612, 127.97550579, 131, 131);
INSERT INTO public.ecdc_data VALUES (23804, 21, 247, 314.75777357, 90, 131);
INSERT INTO public.ecdc_data VALUES (23805, 0, 14, 2.65493209, 210, 131);
INSERT INTO public.ecdc_data VALUES (23806, 16, 471, 67.48394062, 91, 131);
INSERT INTO public.ecdc_data VALUES (23807, 177, 7828, 336.60241432, 92, 131);
INSERT INTO public.ecdc_data VALUES (23808, 6, 4739, 52.36937573, 132, 131);
INSERT INTO public.ecdc_data VALUES (23809, 11, 597, 25.61569578, 188, 131);
INSERT INTO public.ecdc_data VALUES (23810, 5, 214, 26.92520311, 189, 131);
INSERT INTO public.ecdc_data VALUES (23811, 11, 953, 285.9817468, 93, 131);
INSERT INTO public.ecdc_data VALUES (23812, 0, 293, 145.58250835, 133, 131);
INSERT INTO public.ecdc_data VALUES (23813, 45, 1014, 87.39363211, 190, 131);
INSERT INTO public.ecdc_data VALUES (23814, 132, 4748, 48.72070948, 191, 131);
INSERT INTO public.ecdc_data VALUES (23815, 2, 37, 3.78555751, 40, 131);
INSERT INTO public.ecdc_data VALUES (23816, 0, 0, 0, 94, 131);
INSERT INTO public.ecdc_data VALUES (23817, 0, 1, 0.54706092, 95, 131);
INSERT INTO public.ecdc_data VALUES (23818, 0, 0, 2.71264908, 96, 131);
INSERT INTO public.ecdc_data VALUES (23819, 0, 0, 31.92755348, 192, 131);
INSERT INTO public.ecdc_data VALUES (23820, 0, 0, 4.65012462, 41, 131);
INSERT INTO public.ecdc_data VALUES (23821, 34, 1419, 58.06493766, 134, 131);
INSERT INTO public.ecdc_data VALUES (23822, 0, 68, 11.49336275, 42, 131);
INSERT INTO public.ecdc_data VALUES (23823, 4, 108, 45.26287795, 193, 131);
INSERT INTO public.ecdc_data VALUES (23824, 0, 0, 1.0231121, 43, 131);
INSERT INTO public.ecdc_data VALUES (23825, 0, 3, 1.33107954, 44, 131);
INSERT INTO public.ecdc_data VALUES (23826, 0, 100, 44.65621691, 135, 131);
INSERT INTO public.ecdc_data VALUES (23827, 0, 0, 401.04744155, 97, 131);
INSERT INTO public.ecdc_data VALUES (23828, 0, 15, 10.16435244, 194, 131);
INSERT INTO public.ecdc_data VALUES (23829, 0, 18, 12.78288132, 195, 131);
INSERT INTO public.ecdc_data VALUES (23830, 0, 0, 0.23959221, 45, 131);
INSERT INTO public.ecdc_data VALUES (23831, 282, 2258, 120.94961758, 46, 131);
INSERT INTO public.ecdc_data VALUES (23832, 0, 297, 3.12735961, 136, 131);
INSERT INTO public.ecdc_data VALUES (23833, 0, 0, 0.47911276, 47, 131);
INSERT INTO public.ecdc_data VALUES (23834, 127, 6671, 138.6963734, 196, 131);
INSERT INTO public.ecdc_data VALUES (23835, 0, 2, 0.31889349, 137, 131);
INSERT INTO public.ecdc_data VALUES (23836, 2, 75, 1.64668698, 48, 131);
INSERT INTO public.ecdc_data VALUES (23837, 6, 139, 212.43181971, 98, 131);
INSERT INTO public.ecdc_data VALUES (23838, 4, 314, 39.83310175, 197, 131);
INSERT INTO public.ecdc_data VALUES (23839, 1, 196, 31.54065755, 198, 131);
INSERT INTO public.ecdc_data VALUES (23840, 0, 0, 5.10833777, 138, 131);
INSERT INTO public.ecdc_data VALUES (23841, 0, 1, 0.04206297, 139, 131);
INSERT INTO public.ecdc_data VALUES (23842, 1, 32, 5.879183, 140, 131);
INSERT INTO public.ecdc_data VALUES (23843, 0, 4, 0.0775577, 141, 131);
INSERT INTO public.ecdc_data VALUES (23844, 0, 0, 0, 142, 131);
INSERT INTO public.ecdc_data VALUES (23845, 0, 19, 2.28893569, 49, 131);
INSERT INTO public.ecdc_data VALUES (23846, 1, 77, 31.18348867, 99, 131);
INSERT INTO public.ecdc_data VALUES (23847, 0, 0, 5.13907087, 50, 131);
INSERT INTO public.ecdc_data VALUES (23848, 20, 1263, 20.57341627, 199, 131);
INSERT INTO public.ecdc_data VALUES (23849, 0, 17, 521.02424465, 100, 131);
INSERT INTO public.ecdc_data VALUES (23850, 0, 43, 0.90355485, 51, 131);
INSERT INTO public.ecdc_data VALUES (23851, 0, 0, 45.95436663, 200, 131);
INSERT INTO public.ecdc_data VALUES (23852, 2, 365, 36.3747049, 143, 131);
INSERT INTO public.ecdc_data VALUES (23853, 12, 1089, 20.99565845, 201, 131);
INSERT INTO public.ecdc_data VALUES (23854, 0, 0, 0, 52, 131);
INSERT INTO public.ecdc_data VALUES (23855, 1324, 44091, 216.16676931, 101, 131);
INSERT INTO public.ecdc_data VALUES (23856, 0, 0, 318.41956798, 102, 131);
INSERT INTO public.ecdc_data VALUES (23857, 0, 28, 5.34414719, 103, 131);
INSERT INTO public.ecdc_data VALUES (23858, 5, 660, 28.64011165, 144, 131);
INSERT INTO public.ecdc_data VALUES (23859, 9, 895, 50.00380666, 104, 131);
INSERT INTO public.ecdc_data VALUES (23860, 0, 6, 0.32862645, 145, 131);
INSERT INTO public.ecdc_data VALUES (23861, 0, 0, 0, 53, 131);
INSERT INTO public.ecdc_data VALUES (23862, 1, 4, 0.43207029, 146, 131);
INSERT INTO public.ecdc_data VALUES (23863, 0, 142, 19.04145079, 54, 131);
INSERT INTO public.ecdc_data VALUES (23864, 6, 70, 7.90005212, 55, 131);
INSERT INTO public.ecdc_data VALUES (23865, 17, 12, 6.91082696, 105, 132);
INSERT INTO public.ecdc_data VALUES (23866, 4, 102, 41.53817722, 147, 132);
INSERT INTO public.ecdc_data VALUES (23867, 11, 601, 16.37282224, 1, 132);
INSERT INTO public.ecdc_data VALUES (23868, 0, 0, 32.81830474, 148, 132);
INSERT INTO public.ecdc_data VALUES (23869, 0, 49, 1.07147462, 2, 132);
INSERT INTO public.ecdc_data VALUES (23870, 0, 0, 0, 56, 132);
INSERT INTO public.ecdc_data VALUES (23871, 0, 0, 8.23765639, 57, 132);
INSERT INTO public.ecdc_data VALUES (23872, 71, 4518, 103.87293179, 58, 132);
INSERT INTO public.ecdc_data VALUES (23873, 10, 415, 212.02084844, 149, 132);
INSERT INTO public.ecdc_data VALUES (23874, 0, 0, 2.82193585, 59, 132);
INSERT INTO public.ecdc_data VALUES (23875, 2, 206, 12.21670264, 202, 132);
INSERT INTO public.ecdc_data VALUES (23876, 0, 102, 14.81017409, 150, 132);
INSERT INTO public.ecdc_data VALUES (23877, 8, 497, 72.97178593, 151, 132);
INSERT INTO public.ecdc_data VALUES (23878, 0, 9, 8.72945369, 60, 132);
INSERT INTO public.ecdc_data VALUES (23879, 0, 531, 435.48359579, 106, 132);
INSERT INTO public.ecdc_data VALUES (23880, 34, 2709, 25.99693033, 107, 132);
INSERT INTO public.ecdc_data VALUES (23881, 0, 0, 2.43884594, 61, 132);
INSERT INTO public.ecdc_data VALUES (23882, 4, 171, 28.38429865, 152, 132);
INSERT INTO public.ecdc_data VALUES (23883, 3, 130, 17.31043351, 153, 132);
INSERT INTO public.ecdc_data VALUES (23884, 0, 0, 2.56179695, 62, 132);
INSERT INTO public.ecdc_data VALUES (23885, 0, 0, 3.41492114, 3, 132);
INSERT INTO public.ecdc_data VALUES (23886, 0, 1, 11.19856658, 63, 132);
INSERT INTO public.ecdc_data VALUES (23887, 0, 0, 1.17940909, 108, 132);
INSERT INTO public.ecdc_data VALUES (23888, 57, 2036, 174.29707476, 64, 132);
INSERT INTO public.ecdc_data VALUES (23889, 0, 0, 11.54601085, 65, 132);
INSERT INTO public.ecdc_data VALUES (23890, 2, 256, 88.30662727, 154, 132);
INSERT INTO public.ecdc_data VALUES (23891, 0, 0, 10.72186823, 4, 132);
INSERT INTO public.ecdc_data VALUES (23892, 921, 28532, 235.89534928, 66, 132);
INSERT INTO public.ecdc_data VALUES (23893, 0, 0, 0, 67, 132);
INSERT INTO public.ecdc_data VALUES (23894, 0, 0, 0, 109, 132);
INSERT INTO public.ecdc_data VALUES (23895, 2, 196, 42.29976433, 155, 132);
INSERT INTO public.ecdc_data VALUES (23896, 0, 5, 0.31986012, 5, 132);
INSERT INTO public.ecdc_data VALUES (23897, 0, 0, 1.03203855, 6, 132);
INSERT INTO public.ecdc_data VALUES (23898, 0, 0, 0.1819666, 110, 132);
INSERT INTO public.ecdc_data VALUES (23899, 0, 0, 13.77703928, 7, 132);
INSERT INTO public.ecdc_data VALUES (23900, 0, 0, 11.63560337, 68, 132);
INSERT INTO public.ecdc_data VALUES (23901, 1, 75, 108.01256874, 8, 132);
INSERT INTO public.ecdc_data VALUES (23902, 0, 0, 3.07938659, 69, 132);
INSERT INTO public.ecdc_data VALUES (23903, 2, 96, 10.87419463, 9, 132);
INSERT INTO public.ecdc_data VALUES (23904, 0, 2, 0.11287473, 10, 132);
INSERT INTO public.ecdc_data VALUES (23905, 98, 2307, 195.22441785, 70, 132);
INSERT INTO public.ecdc_data VALUES (23906, 1, 80, 0.0436607, 111, 132);
INSERT INTO public.ecdc_data VALUES (23907, 228, 8560, 153.57937115, 71, 132);
INSERT INTO public.ecdc_data VALUES (23908, 0, 0, 2.23295346, 11, 132);
INSERT INTO public.ecdc_data VALUES (23909, 0, 0, 19.99812657, 12, 132);
INSERT INTO public.ecdc_data VALUES (23910, 7, 582, 117.48248312, 72, 132);
INSERT INTO public.ecdc_data VALUES (23911, 4, 216, 13.41548327, 13, 132);
INSERT INTO public.ecdc_data VALUES (23912, 0, 98, 27.99144114, 156, 132);
INSERT INTO public.ecdc_data VALUES (23913, 0, 1, 0.67057932, 73, 132);
INSERT INTO public.ecdc_data VALUES (23914, 0, 0, 0.61190897, 74, 132);
INSERT INTO public.ecdc_data VALUES (23915, 0, 6, 3.9958945, 157, 132);
INSERT INTO public.ecdc_data VALUES (23916, 0, 113, 13.28663449, 158, 132);
INSERT INTO public.ecdc_data VALUES (23917, 0, 75, 1.08882799, 14, 132);
INSERT INTO public.ecdc_data VALUES (23918, 0, 0, 5.87315265, 159, 132);
INSERT INTO public.ecdc_data VALUES (23919, 0, 0, 27.42520469, 15, 132);
INSERT INTO public.ecdc_data VALUES (23920, 0, 0, 0, 75, 132);
INSERT INTO public.ecdc_data VALUES (23921, 29, 1406, 142.79785272, 76, 132);
INSERT INTO public.ecdc_data VALUES (23922, 32, 938, 68.18944336, 77, 132);
INSERT INTO public.ecdc_data VALUES (23923, 63, 698, 13.08621554, 16, 132);
INSERT INTO public.ecdc_data VALUES (23924, 0, 301, 61.99688544, 78, 132);
INSERT INTO public.ecdc_data VALUES (23925, 0, 0, 0, 17, 132);
INSERT INTO public.ecdc_data VALUES (23926, 0, 0, 1.02941938, 18, 132);
INSERT INTO public.ecdc_data VALUES (23927, 0, 1, 2.11349466, 160, 132);
INSERT INTO public.ecdc_data VALUES (23928, 0, 110, 67.50089058, 19, 132);
INSERT INTO public.ecdc_data VALUES (23929, 13, 344, 2.94525115, 20, 132);
INSERT INTO public.ecdc_data VALUES (23930, 0, 0, 0, 79, 132);
INSERT INTO public.ecdc_data VALUES (23931, 0, 0, 2.05435832, 161, 132);
INSERT INTO public.ecdc_data VALUES (23932, 0, 0, 0.89892186, 203, 132);
INSERT INTO public.ecdc_data VALUES (23933, 0, 17, 0.86989316, 162, 132);
INSERT INTO public.ecdc_data VALUES (23934, 0, 0, 11.51121942, 163, 132);
INSERT INTO public.ecdc_data VALUES (23935, 0, 0, 0, 204, 132);
INSERT INTO public.ecdc_data VALUES (23936, 0, 0, 31.98964548, 21, 132);
INSERT INTO public.ecdc_data VALUES (23937, 1, 15, 1.5334183, 22, 132);
INSERT INTO public.ecdc_data VALUES (23938, 0, 10, 2.00162031, 164, 132);
INSERT INTO public.ecdc_data VALUES (23939, 1, 202, 6.31058741, 165, 132);
INSERT INTO public.ecdc_data VALUES (23940, 1, 488, 25.22202582, 23, 132);
INSERT INTO public.ecdc_data VALUES (23941, 0, 0, 5.93366166, 166, 132);
INSERT INTO public.ecdc_data VALUES (23942, 0, 19, 4.40109695, 167, 132);
INSERT INTO public.ecdc_data VALUES (23943, 0, 0, 0, 80, 132);
INSERT INTO public.ecdc_data VALUES (23944, 0, 0, 0, 81, 132);
INSERT INTO public.ecdc_data VALUES (23945, 0, 0, 16.13915538, 205, 132);
INSERT INTO public.ecdc_data VALUES (23946, 6, 4233, 88.39417123, 82, 132);
INSERT INTO public.ecdc_data VALUES (23947, 0, 0, 0, 168, 132);
INSERT INTO public.ecdc_data VALUES (23948, 0, 61, 7.21151249, 24, 132);
INSERT INTO public.ecdc_data VALUES (23949, 0, 0, 8.43347214, 25, 132);
INSERT INTO public.ecdc_data VALUES (23950, 0, 12, 7.02628469, 83, 132);
INSERT INTO public.ecdc_data VALUES (23951, 0, 78, 6.73883225, 84, 132);
INSERT INTO public.ecdc_data VALUES (23952, 0, 0, 0, 169, 132);
INSERT INTO public.ecdc_data VALUES (23953, 34, 1048, 101.29164288, 85, 132);
INSERT INTO public.ecdc_data VALUES (23954, 1, 22, 1.3506937, 170, 132);
INSERT INTO public.ecdc_data VALUES (23955, 0, 2, 2.24095285, 171, 132);
INSERT INTO public.ecdc_data VALUES (23956, 543, 38902, 29.5995129, 112, 132);
INSERT INTO public.ecdc_data VALUES (23957, 59, 1752, 8.40275376, 113, 132);
INSERT INTO public.ecdc_data VALUES (23958, 188, 2166, 40.67834567, 114, 132);
INSERT INTO public.ecdc_data VALUES (23959, 75, 2049, 81.06377778, 115, 132);
INSERT INTO public.ecdc_data VALUES (23960, 1, 20, 4.91411513, 172, 132);
INSERT INTO public.ecdc_data VALUES (23961, 0, 0, 0, 173, 132);
INSERT INTO public.ecdc_data VALUES (23962, 9, 1906, 237.04796116, 116, 132);
INSERT INTO public.ecdc_data VALUES (23963, 14, 249, 4.63389834, 174, 132);
INSERT INTO public.ecdc_data VALUES (23964, 0, 6, 1.56023332, 86, 132);
INSERT INTO public.ecdc_data VALUES (23965, 0, 510, 4.03593562, 117, 132);
INSERT INTO public.ecdc_data VALUES (23966, 0, 0, 10.20446028, 175, 132);
INSERT INTO public.ecdc_data VALUES (23967, 1, 5, 0.63355692, 118, 132);
INSERT INTO public.ecdc_data VALUES (23968, 0, 1636, 124.8852649, 119, 132);
INSERT INTO public.ecdc_data VALUES (23969, 3, 688, 9.83947055, 26, 132);
INSERT INTO public.ecdc_data VALUES (23970, 6, 145, 141.95115279, 176, 132);
INSERT INTO public.ecdc_data VALUES (23971, 3, 683, 228.21070306, 120, 132);
INSERT INTO public.ecdc_data VALUES (23972, 103, 1926, 298.55743221, 121, 132);
INSERT INTO public.ecdc_data VALUES (23973, 0, 0, 0, 122, 132);
INSERT INTO public.ecdc_data VALUES (23974, 0, 4, 3.43755729, 177, 132);
INSERT INTO public.ecdc_data VALUES (23975, 0, 75, 13.41947273, 123, 132);
INSERT INTO public.ecdc_data VALUES (23976, 3, 48, 15.24514332, 27, 132);
INSERT INTO public.ecdc_data VALUES (23977, 1, 3, 4.43555623, 28, 132);
INSERT INTO public.ecdc_data VALUES (23978, 1, 87, 11.83335392, 29, 132);
INSERT INTO public.ecdc_data VALUES (23979, 0, 0, 5.21131898, 178, 132);
INSERT INTO public.ecdc_data VALUES (23980, 1, 7, 3.0062444, 179, 132);
INSERT INTO public.ecdc_data VALUES (23981, 0, 124, 151.98063509, 180, 132);
INSERT INTO public.ecdc_data VALUES (23982, 1, 382, 15.28033387, 30, 132);
INSERT INTO public.ecdc_data VALUES (23983, 4, 97, 6.94625281, 31, 132);
INSERT INTO public.ecdc_data VALUES (23984, 0, 9, 0.33177058, 124, 132);
INSERT INTO public.ecdc_data VALUES (23985, 0, 17, 93.22788851, 125, 132);
INSERT INTO public.ecdc_data VALUES (23986, 0, 5, 0.85969988, 32, 132);
INSERT INTO public.ecdc_data VALUES (23987, 0, 0, 0.60783007, 181, 132);
INSERT INTO public.ecdc_data VALUES (23988, 0, 0, 13.67744821, 33, 132);
INSERT INTO public.ecdc_data VALUES (23989, 0, 0, 0.15752125, 34, 132);
INSERT INTO public.ecdc_data VALUES (23990, 578, 4344, 73.3385162, 87, 132);
INSERT INTO public.ecdc_data VALUES (23991, 5, 300, 77.21495883, 182, 132);
INSERT INTO public.ecdc_data VALUES (23992, 0, 0, 9.06755327, 183, 132);
INSERT INTO public.ecdc_data VALUES (23993, 0, 0, 2.07741245, 126, 132);
INSERT INTO public.ecdc_data VALUES (23994, 2, 46, 151.72409359, 184, 132);
INSERT INTO public.ecdc_data VALUES (23995, 0, 0, 20.03606492, 88, 132);
INSERT INTO public.ecdc_data VALUES (23996, 5, 289, 8.75471728, 35, 132);
INSERT INTO public.ecdc_data VALUES (23997, 1, 33, 1.53460891, 36, 132);
INSERT INTO public.ecdc_data VALUES (23998, 0, 2, 0.05180827, 127, 132);
INSERT INTO public.ecdc_data VALUES (23999, 0, 125, 33.1927053, 37, 132);
INSERT INTO public.ecdc_data VALUES (24000, 0, 57, 7.02932655, 128, 132);
INSERT INTO public.ecdc_data VALUES (24001, 0, 127, 5.97726106, 185, 132);
INSERT INTO public.ecdc_data VALUES (24002, 0, 0, 0.35366056, 207, 132);
INSERT INTO public.ecdc_data VALUES (24003, 0, 3, 0.41814219, 208, 132);
INSERT INTO public.ecdc_data VALUES (24004, 0, 0, 9.59437342, 89, 132);
INSERT INTO public.ecdc_data VALUES (24005, 0, 2, 0.09437718, 38, 132);
INSERT INTO public.ecdc_data VALUES (24006, 6, 653, 3.9509642, 39, 132);
INSERT INTO public.ecdc_data VALUES (24007, 8, 237, 99.99364508, 186, 132);
INSERT INTO public.ecdc_data VALUES (24008, 0, 0, 10.48712705, 209, 132);
INSERT INTO public.ecdc_data VALUES (24009, 0, 0, 2.25216264, 187, 132);
INSERT INTO public.ecdc_data VALUES (24010, 10, 1311, 410.01070956, 129, 132);
INSERT INTO public.ecdc_data VALUES (24011, 46, 1579, 16.17156454, 130, 132);
INSERT INTO public.ecdc_data VALUES (24012, 3, 531, 107.13808226, 131, 132);
INSERT INTO public.ecdc_data VALUES (24013, 33, 853, 359.78372472, 90, 132);
INSERT INTO public.ecdc_data VALUES (24014, 0, 0, 0.04557823, 210, 132);
INSERT INTO public.ecdc_data VALUES (24015, 1, 172, 17.65881829, 91, 132);
INSERT INTO public.ecdc_data VALUES (24016, 199, 3963, 155.08853735, 92, 132);
INSERT INTO public.ecdc_data VALUES (24017, 113, 2303, 21.71174012, 132, 132);
INSERT INTO public.ecdc_data VALUES (24018, 6, 339, 10.60495599, 188, 132);
INSERT INTO public.ecdc_data VALUES (24019, 2, 313, 46.91232533, 189, 132);
INSERT INTO public.ecdc_data VALUES (24020, 1, 333, 128.38327077, 93, 132);
INSERT INTO public.ecdc_data VALUES (24021, 1, 410, 251.58267572, 133, 132);
INSERT INTO public.ecdc_data VALUES (24022, 21, 889, 41.76784127, 190, 132);
INSERT INTO public.ecdc_data VALUES (24023, 124, 6234, 62.32987684, 191, 132);
INSERT INTO public.ecdc_data VALUES (24024, 1, 54, 3.54005064, 40, 132);
INSERT INTO public.ecdc_data VALUES (24025, 0, 0, 1.8927206, 94, 132);
INSERT INTO public.ecdc_data VALUES (24026, 0, 0, 0.54706092, 95, 132);
INSERT INTO public.ecdc_data VALUES (24027, 0, 6, 13.56324541, 96, 132);
INSERT INTO public.ecdc_data VALUES (24028, 0, 0, 2.90250486, 192, 132);
INSERT INTO public.ecdc_data VALUES (24029, 0, 2, 11.1602991, 41, 132);
INSERT INTO public.ecdc_data VALUES (24030, 40, 2565, 123.98256138, 134, 132);
INSERT INTO public.ecdc_data VALUES (24031, 3, 125, 8.57246544, 42, 132);
INSERT INTO public.ecdc_data VALUES (24032, 9, 389, 67.04707397, 193, 132);
INSERT INTO public.ecdc_data VALUES (24033, 0, 0, 91.05697711, 43, 132);
INSERT INTO public.ecdc_data VALUES (24034, 0, 13, 2.15020542, 44, 132);
INSERT INTO public.ecdc_data VALUES (24035, 0, 202, 51.53037992, 135, 132);
INSERT INTO public.ecdc_data VALUES (24036, 0, 0, 2.3591026, 97, 132);
INSERT INTO public.ecdc_data VALUES (24037, 0, 11, 4.16481589, 194, 132);
INSERT INTO public.ecdc_data VALUES (24038, 0, 24, 12.5426016, 195, 132);
INSERT INTO public.ecdc_data VALUES (24039, 0, 5, 0.97131978, 45, 132);
INSERT INTO public.ecdc_data VALUES (24040, 144, 13285, 278.18787738, 46, 132);
INSERT INTO public.ecdc_data VALUES (24041, 1, 34, 1.27671235, 136, 132);
INSERT INTO public.ecdc_data VALUES (24042, 0, 0, 1.40117883, 47, 132);
INSERT INTO public.ecdc_data VALUES (24043, 0, 0, 20.68727781, 196, 132);
INSERT INTO public.ecdc_data VALUES (24044, 0, 7, 2.95445441, 137, 132);
INSERT INTO public.ecdc_data VALUES (24045, 5, 155, 2.38010501, 48, 132);
INSERT INTO public.ecdc_data VALUES (24046, 1, 58, 74.99617279, 98, 132);
INSERT INTO public.ecdc_data VALUES (24047, 11, 191, 40.84970115, 197, 132);
INSERT INTO public.ecdc_data VALUES (24048, 0, 110, 15.12079019, 198, 132);
INSERT INTO public.ecdc_data VALUES (24049, 0, 0, 0.92559331, 138, 132);
INSERT INTO public.ecdc_data VALUES (24050, 0, 1, 0.02523778, 139, 132);
INSERT INTO public.ecdc_data VALUES (24051, 1, 48, 7.24169439, 140, 132);
INSERT INTO public.ecdc_data VALUES (24052, 0, 3, 0.08473897, 141, 132);
INSERT INTO public.ecdc_data VALUES (24053, 0, 0, 0, 142, 132);
INSERT INTO public.ecdc_data VALUES (24054, 0, 17, 1.11353628, 49, 132);
INSERT INTO public.ecdc_data VALUES (24055, 0, 1, 0.50180327, 99, 132);
INSERT INTO public.ecdc_data VALUES (24056, 0, 12, 1.3852404, 50, 132);
INSERT INTO public.ecdc_data VALUES (24057, 17, 918, 17.20284413, 199, 132);
INSERT INTO public.ecdc_data VALUES (24058, 0, 1, 78.54636854, 100, 132);
INSERT INTO public.ecdc_data VALUES (24059, 0, 6, 0.30494976, 51, 132);
INSERT INTO public.ecdc_data VALUES (24060, 21, 847, 23.71706294, 200, 132);
INSERT INTO public.ecdc_data VALUES (24061, 1, 289, 59.91489097, 143, 132);
INSERT INTO public.ecdc_data VALUES (24062, 9, 569, 12.73723609, 201, 132);
INSERT INTO public.ecdc_data VALUES (24063, 0, 0, 0, 52, 132);
INSERT INTO public.ecdc_data VALUES (24064, 853, 63749, 264.96960173, 101, 132);
INSERT INTO public.ecdc_data VALUES (24065, 0, 14, 177.85597491, 102, 132);
INSERT INTO public.ecdc_data VALUES (24066, 1, 7, 2.57096811, 103, 132);
INSERT INTO public.ecdc_data VALUES (24067, 4, 533, 20.01108796, 144, 132);
INSERT INTO public.ecdc_data VALUES (24068, 3, 292, 16.59779907, 104, 132);
INSERT INTO public.ecdc_data VALUES (24069, 0, 0, 0.01866018, 145, 132);
INSERT INTO public.ecdc_data VALUES (24070, 0, 0, 42.40649111, 53, 132);
INSERT INTO public.ecdc_data VALUES (24071, 3, 5, 1.14190004, 146, 132);
INSERT INTO public.ecdc_data VALUES (24072, 0, 170, 7.54715544, 54, 132);
INSERT INTO public.ecdc_data VALUES (24073, 1, 58, 5.32587783, 55, 132);
INSERT INTO public.ecdc_data VALUES (24074, 42, 658, 24.91472726, 105, 133);
INSERT INTO public.ecdc_data VALUES (24075, 1, 66, 20.64681475, 147, 133);
INSERT INTO public.ecdc_data VALUES (24076, 12, 117, 3.60950004, 1, 133);
INSERT INTO public.ecdc_data VALUES (24077, 0, 1, 3.93819657, 148, 133);
INSERT INTO public.ecdc_data VALUES (24078, 0, 0, 0.21680865, 2, 133);
INSERT INTO public.ecdc_data VALUES (24079, 0, 0, 0, 56, 133);
INSERT INTO public.ecdc_data VALUES (24080, 0, 0, 0, 57, 133);
INSERT INTO public.ecdc_data VALUES (24081, 16, 0, 36.36390028, 58, 133);
INSERT INTO public.ecdc_data VALUES (24082, 10, 459, 248.16345519, 149, 133);
INSERT INTO public.ecdc_data VALUES (24083, 0, 0, 0, 59, 133);
INSERT INTO public.ecdc_data VALUES (24084, 0, 21, 0.59913027, 202, 133);
INSERT INTO public.ecdc_data VALUES (24085, 1, 40, 4.67333237, 150, 133);
INSERT INTO public.ecdc_data VALUES (24086, 6, 338, 47.84170417, 151, 133);
INSERT INTO public.ecdc_data VALUES (24087, 0, 0, 0.51349728, 60, 133);
INSERT INTO public.ecdc_data VALUES (24088, 6, 469, 434.69147508, 106, 133);
INSERT INTO public.ecdc_data VALUES (24089, 38, 3803, 27.43333326, 107, 133);
INSERT INTO public.ecdc_data VALUES (24090, 0, 0, 1.74203281, 61, 133);
INSERT INTO public.ecdc_data VALUES (24091, 7, 625, 112.94475303, 152, 133);
INSERT INTO public.ecdc_data VALUES (24092, 5, 108, 12.99810161, 153, 133);
INSERT INTO public.ecdc_data VALUES (24093, 0, 0, 1.02471878, 62, 133);
INSERT INTO public.ecdc_data VALUES (24094, 2, 25, 2.84717991, 3, 133);
INSERT INTO public.ecdc_data VALUES (24095, 0, 0, 4.79938568, 63, 133);
INSERT INTO public.ecdc_data VALUES (24096, 0, 0, 2.48986363, 108, 133);
INSERT INTO public.ecdc_data VALUES (24097, 18, 814, 80.37799022, 64, 133);
INSERT INTO public.ecdc_data VALUES (24098, 0, 0, 0, 65, 133);
INSERT INTO public.ecdc_data VALUES (24099, 0, 58, 18.44896604, 154, 133);
INSERT INTO public.ecdc_data VALUES (24100, 0, 19, 1.69292656, 4, 133);
INSERT INTO public.ecdc_data VALUES (24101, 1238, 22765, 172.09705178, 66, 133);
INSERT INTO public.ecdc_data VALUES (24102, 0, 0, 0, 67, 133);
INSERT INTO public.ecdc_data VALUES (24103, 0, 0, 0, 109, 133);
INSERT INTO public.ecdc_data VALUES (24104, 6, 132, 15.55705618, 155, 133);
INSERT INTO public.ecdc_data VALUES (24105, 0, 0, 0.06889295, 5, 133);
INSERT INTO public.ecdc_data VALUES (24106, 0, 0, 0.35557631, 6, 133);
INSERT INTO public.ecdc_data VALUES (24107, 0, 0, 0.02426221, 110, 133);
INSERT INTO public.ecdc_data VALUES (24108, 6, 774, 14.87456498, 7, 133);
INSERT INTO public.ecdc_data VALUES (24109, 46, 367, 17.35851328, 68, 133);
INSERT INTO public.ecdc_data VALUES (24110, 0, 31, 58.37042856, 8, 133);
INSERT INTO public.ecdc_data VALUES (24111, 0, 0, 50.80987867, 69, 133);
INSERT INTO public.ecdc_data VALUES (24112, 1, 41, 27.75448513, 9, 133);
INSERT INTO public.ecdc_data VALUES (24113, 0, 0, 0.16304128, 10, 133);
INSERT INTO public.ecdc_data VALUES (24114, 226, 4475, 563.58591571, 70, 133);
INSERT INTO public.ecdc_data VALUES (24115, 0, 36, 0.02252781, 111, 133);
INSERT INTO public.ecdc_data VALUES (24116, 86, 3171, 49.85553773, 71, 133);
INSERT INTO public.ecdc_data VALUES (24117, 2, 13, 9.16686156, 11, 133);
INSERT INTO public.ecdc_data VALUES (24118, 0, 0, 4.60923363, 12, 133);
INSERT INTO public.ecdc_data VALUES (24119, 0, 68, 14.7596037, 72, 133);
INSERT INTO public.ecdc_data VALUES (24120, 0, 0, 10.891817, 13, 133);
INSERT INTO public.ecdc_data VALUES (24121, 0, 11, 0.53971227, 156, 133);
INSERT INTO public.ecdc_data VALUES (24122, 1, 15, 1.55292053, 73, 133);
INSERT INTO public.ecdc_data VALUES (24123, 0, 0, 1.22381794, 74, 133);
INSERT INTO public.ecdc_data VALUES (24124, 1, 0, 3.08254719, 157, 133);
INSERT INTO public.ecdc_data VALUES (24125, 1, 68, 6.9109279, 158, 133);
INSERT INTO public.ecdc_data VALUES (24126, 2, 183, 1.88845405, 14, 133);
INSERT INTO public.ecdc_data VALUES (24127, 2, 50, 9.18003039, 159, 133);
INSERT INTO public.ecdc_data VALUES (24128, 0, 12, 51.66620958, 15, 133);
INSERT INTO public.ecdc_data VALUES (24129, 0, 0, 0, 75, 133);
INSERT INTO public.ecdc_data VALUES (24130, 2, 540, 58.90702421, 76, 133);
INSERT INTO public.ecdc_data VALUES (24131, 80, 607, 46.80073976, 77, 133);
INSERT INTO public.ecdc_data VALUES (24132, 88, 1218, 20.59009478, 16, 133);
INSERT INTO public.ecdc_data VALUES (24133, 4, 134, 21.98789813, 78, 133);
INSERT INTO public.ecdc_data VALUES (24134, 0, 0, 0, 17, 133);
INSERT INTO public.ecdc_data VALUES (24135, 0, 11, 2.88809325, 18, 133);
INSERT INTO public.ecdc_data VALUES (24136, 0, 0, 6.56692985, 160, 133);
INSERT INTO public.ecdc_data VALUES (24137, 0, 23, 24.91000607, 19, 133);
INSERT INTO public.ecdc_data VALUES (24138, 2, 195, 2.06818909, 20, 133);
INSERT INTO public.ecdc_data VALUES (24139, 0, 0, 0, 79, 133);
INSERT INTO public.ecdc_data VALUES (24140, 0, 0, 0, 161, 133);
INSERT INTO public.ecdc_data VALUES (24141, 0, 0, 0, 203, 133);
INSERT INTO public.ecdc_data VALUES (24142, 0, 0, 3.73329148, 162, 133);
INSERT INTO public.ecdc_data VALUES (24143, 28, 467, 9.24747559, 163, 133);
INSERT INTO public.ecdc_data VALUES (24144, 0, 0, 0, 204, 133);
INSERT INTO public.ecdc_data VALUES (24145, 2, 111, 63.74914963, 21, 133);
INSERT INTO public.ecdc_data VALUES (24146, 0, 2, 0.42594953, 22, 133);
INSERT INTO public.ecdc_data VALUES (24147, 0, 2, 2.35190387, 164, 133);
INSERT INTO public.ecdc_data VALUES (24148, 16, 770, 6.33949638, 165, 133);
INSERT INTO public.ecdc_data VALUES (24149, 0, 339, 13.29482175, 23, 133);
INSERT INTO public.ecdc_data VALUES (24150, 0, 0, 8.90049249, 166, 133);
INSERT INTO public.ecdc_data VALUES (24151, 1, 24, 2.56419844, 167, 133);
INSERT INTO public.ecdc_data VALUES (24152, 0, 0, 0, 80, 133);
INSERT INTO public.ecdc_data VALUES (24153, 0, 0, 0, 81, 133);
INSERT INTO public.ecdc_data VALUES (24154, 0, 8, 12.55267641, 205, 133);
INSERT INTO public.ecdc_data VALUES (24155, 17, 617, 32.50011546, 82, 133);
INSERT INTO public.ecdc_data VALUES (24156, 0, 0, 0, 168, 133);
INSERT INTO public.ecdc_data VALUES (24157, 0, 173, 6.65557613, 24, 133);
INSERT INTO public.ecdc_data VALUES (24158, 0, 20, 8.64170602, 25, 133);
INSERT INTO public.ecdc_data VALUES (24159, 0, 12, 3.83251892, 83, 133);
INSERT INTO public.ecdc_data VALUES (24160, 2, 228, 20.20761818, 84, 133);
INSERT INTO public.ecdc_data VALUES (24161, 0, 0, 0, 169, 133);
INSERT INTO public.ecdc_data VALUES (24162, 7, 440, 49.85576304, 85, 133);
INSERT INTO public.ecdc_data VALUES (24163, 0, 2, 1.29953106, 170, 133);
INSERT INTO public.ecdc_data VALUES (24164, 0, 2, 2.24095285, 171, 133);
INSERT INTO public.ecdc_data VALUES (24165, 336, 13586, 11.25292754, 112, 133);
INSERT INTO public.ecdc_data VALUES (24166, 63, 1331, 5.15250653, 113, 133);
INSERT INTO public.ecdc_data VALUES (24167, 87, 2596, 40.25501492, 114, 133);
INSERT INTO public.ecdc_data VALUES (24168, 83, 1463, 42.93332635, 115, 133);
INSERT INTO public.ecdc_data VALUES (24169, 4, 14, 4.34318059, 172, 133);
INSERT INTO public.ecdc_data VALUES (24170, 0, 0, 0, 173, 133);
INSERT INTO public.ecdc_data VALUES (24171, 0, 142, 29.03969576, 116, 133);
INSERT INTO public.ecdc_data VALUES (24172, 66, 331, 6.86883894, 174, 133);
INSERT INTO public.ecdc_data VALUES (24173, 0, 0, 1.18713404, 86, 133);
INSERT INTO public.ecdc_data VALUES (24174, 0, 72, 0.53286963, 117, 133);
INSERT INTO public.ecdc_data VALUES (24175, 0, 0, 8.34910386, 175, 133);
INSERT INTO public.ecdc_data VALUES (24176, 0, 14, 2.33624113, 118, 133);
INSERT INTO public.ecdc_data VALUES (24177, 5, 474, 21.77190888, 119, 133);
INSERT INTO public.ecdc_data VALUES (24178, 10, 213, 3.64629133, 26, 133);
INSERT INTO public.ecdc_data VALUES (24179, 0, 83, 42.75771112, 176, 133);
INSERT INTO public.ecdc_data VALUES (24180, 2, 541, 193.79250724, 120, 133);
INSERT INTO public.ecdc_data VALUES (24181, 1, 132, 13.29519654, 121, 133);
INSERT INTO public.ecdc_data VALUES (24182, 0, 0, 0, 122, 133);
INSERT INTO public.ecdc_data VALUES (24183, 0, 4, 1.35418924, 177, 133);
INSERT INTO public.ecdc_data VALUES (24184, 0, 6, 2.75682646, 123, 133);
INSERT INTO public.ecdc_data VALUES (24185, 0, 0, 0, 27, 133);
INSERT INTO public.ecdc_data VALUES (24186, 0, 33, 4.47606359, 28, 133);
INSERT INTO public.ecdc_data VALUES (24187, 0, 33, 4.48546084, 29, 133);
INSERT INTO public.ecdc_data VALUES (24188, 0, 0, 0, 178, 133);
INSERT INTO public.ecdc_data VALUES (24189, 0, 6, 3.47149651, 179, 133);
INSERT INTO public.ecdc_data VALUES (24190, 0, 6, 10.42525257, 180, 133);
INSERT INTO public.ecdc_data VALUES (24191, 1, 25, 1.65373184, 30, 133);
INSERT INTO public.ecdc_data VALUES (24192, 2, 20, 1.06824135, 31, 133);
INSERT INTO public.ecdc_data VALUES (24193, 0, 14, 1.74962032, 124, 133);
INSERT INTO public.ecdc_data VALUES (24194, 0, 17, 49.90987971, 125, 133);
INSERT INTO public.ecdc_data VALUES (24195, 0, 16, 2.26370678, 32, 133);
INSERT INTO public.ecdc_data VALUES (24196, 0, 0, 7.69918085, 181, 133);
INSERT INTO public.ecdc_data VALUES (24197, 2, 166, 31.79620028, 33, 133);
INSERT INTO public.ecdc_data VALUES (24198, 0, 0, 0.15752125, 34, 133);
INSERT INTO public.ecdc_data VALUES (24199, 667, 6022, 54.43912367, 87, 133);
INSERT INTO public.ecdc_data VALUES (24200, 11, 374, 101.10658286, 182, 133);
INSERT INTO public.ecdc_data VALUES (24201, 0, 0, 0, 183, 133);
INSERT INTO public.ecdc_data VALUES (24202, 0, 3, 0.40308003, 126, 133);
INSERT INTO public.ecdc_data VALUES (24203, 0, 4, 2.08942078, 184, 133);
INSERT INTO public.ecdc_data VALUES (24204, 0, 0, 0, 88, 133);
INSERT INTO public.ecdc_data VALUES (24205, 0, 77, 2.93651807, 35, 133);
INSERT INTO public.ecdc_data VALUES (24206, 0, 11, 1.02087717, 36, 133);
INSERT INTO public.ecdc_data VALUES (24207, 0, 23, 0.09251477, 127, 133);
INSERT INTO public.ecdc_data VALUES (24208, 0, 3, 0.56122932, 37, 133);
INSERT INTO public.ecdc_data VALUES (24209, 2, 671, 18.22521564, 128, 133);
INSERT INTO public.ecdc_data VALUES (24210, 4, 115, 13.75406539, 185, 133);
INSERT INTO public.ecdc_data VALUES (24211, 0, 0, 0.35366056, 207, 133);
INSERT INTO public.ecdc_data VALUES (24212, 0, 0, 0.06272133, 208, 133);
INSERT INTO public.ecdc_data VALUES (24213, 0, 0, 13.68878755, 89, 133);
INSERT INTO public.ecdc_data VALUES (24214, 0, 0, 0.2445227, 38, 133);
INSERT INTO public.ecdc_data VALUES (24215, 6, 745, 3.46530411, 39, 133);
INSERT INTO public.ecdc_data VALUES (24216, 6, 182, 98.79006245, 186, 133);
INSERT INTO public.ecdc_data VALUES (24217, 0, 0, 6.99141803, 209, 133);
INSERT INTO public.ecdc_data VALUES (24218, 1, 32, 4.03512473, 187, 133);
INSERT INTO public.ecdc_data VALUES (24219, 3, 739, 251.29688651, 129, 133);
INSERT INTO public.ecdc_data VALUES (24220, 136, 4944, 35.00699052, 130, 133);
INSERT INTO public.ecdc_data VALUES (24221, 0, 94, 3.05133755, 131, 133);
INSERT INTO public.ecdc_data VALUES (24222, 5, 754, 195.6226863, 90, 133);
INSERT INTO public.ecdc_data VALUES (24223, 0, 0, 0, 210, 133);
INSERT INTO public.ecdc_data VALUES (24224, 0, 22, 3.46362674, 91, 133);
INSERT INTO public.ecdc_data VALUES (24225, 204, 3480, 188.21633479, 92, 133);
INSERT INTO public.ecdc_data VALUES (24226, 8, 561, 6.86018474, 132, 133);
INSERT INTO public.ecdc_data VALUES (24227, 30, 314, 15.71387444, 188, 133);
INSERT INTO public.ecdc_data VALUES (24228, 1, 417, 43.75953682, 189, 133);
INSERT INTO public.ecdc_data VALUES (24229, 0, 108, 54.64641079, 93, 133);
INSERT INTO public.ecdc_data VALUES (24230, 4, 1267, 730.91387892, 133, 133);
INSERT INTO public.ecdc_data VALUES (24231, 22, 320, 16.34348999, 190, 133);
INSERT INTO public.ecdc_data VALUES (24232, 312, 7790, 82.25210194, 191, 133);
INSERT INTO public.ecdc_data VALUES (24233, 0, 7, 1.86902003, 40, 133);
INSERT INTO public.ecdc_data VALUES (24234, 0, 0, 0, 94, 133);
INSERT INTO public.ecdc_data VALUES (24235, 0, 0, 0, 95, 133);
INSERT INTO public.ecdc_data VALUES (24236, 0, 0, 2.71264908, 96, 133);
INSERT INTO public.ecdc_data VALUES (24237, 0, 0, 26.12254376, 192, 133);
INSERT INTO public.ecdc_data VALUES (24238, 0, 5, 87.88735538, 41, 133);
INSERT INTO public.ecdc_data VALUES (24239, 48, 4757, 154.17644568, 134, 133);
INSERT INTO public.ecdc_data VALUES (24240, 3, 106, 8.92223675, 42, 133);
INSERT INTO public.ecdc_data VALUES (24241, 1, 94, 15.00625237, 193, 133);
INSERT INTO public.ecdc_data VALUES (24242, 0, 0, 0, 43, 133);
INSERT INTO public.ecdc_data VALUES (24243, 0, 23, 4.58198535, 44, 133);
INSERT INTO public.ecdc_data VALUES (24244, 0, 257, 78.40680677, 135, 133);
INSERT INTO public.ecdc_data VALUES (24245, 0, 0, 0, 97, 133);
INSERT INTO public.ecdc_data VALUES (24246, 0, 1, 0.66049944, 194, 133);
INSERT INTO public.ecdc_data VALUES (24247, 0, 8, 1.53779023, 195, 133);
INSERT INTO public.ecdc_data VALUES (24248, 0, 23, 3.33486456, 45, 133);
INSERT INTO public.ecdc_data VALUES (24249, 63, 3478, 73.59848952, 46, 133);
INSERT INTO public.ecdc_data VALUES (24250, 0, 49, 1.2454778, 136, 133);
INSERT INTO public.ecdc_data VALUES (24251, 0, 6, 4.48377227, 47, 133);
INSERT INTO public.ecdc_data VALUES (24252, 1179, 307, 9.79396664, 196, 133);
INSERT INTO public.ecdc_data VALUES (24253, 0, 23, 0.70344153, 137, 133);
INSERT INTO public.ecdc_data VALUES (24254, 0, 0, 5.88836579, 48, 133);
INSERT INTO public.ecdc_data VALUES (24255, 1, 16, 33.54186627, 98, 133);
INSERT INTO public.ecdc_data VALUES (24256, 29, 1494, 135.87242068, 197, 133);
INSERT INTO public.ecdc_data VALUES (24257, 0, 17, 3.35887522, 198, 133);
INSERT INTO public.ecdc_data VALUES (24258, 0, 9, 0.36906569, 138, 133);
INSERT INTO public.ecdc_data VALUES (24259, 0, 1, 0.01261889, 139, 133);
INSERT INTO public.ecdc_data VALUES (24260, 0, 58, 10.62115178, 140, 133);
INSERT INTO public.ecdc_data VALUES (24261, 0, 0, 0.0560139, 141, 133);
INSERT INTO public.ecdc_data VALUES (24262, 0, 0, 0, 142, 133);
INSERT INTO public.ecdc_data VALUES (24263, 0, 3, 1.01455528, 49, 133);
INSERT INTO public.ecdc_data VALUES (24264, 0, 0, 0.43011709, 99, 133);
INSERT INTO public.ecdc_data VALUES (24265, 0, 4, 0.384789, 50, 133);
INSERT INTO public.ecdc_data VALUES (24266, 21, 1304, 20.26855265, 199, 133);
INSERT INTO public.ecdc_data VALUES (24267, 0, 0, 0, 100, 133);
INSERT INTO public.ecdc_data VALUES (24268, 0, 9, 0.49469628, 51, 133);
INSERT INTO public.ecdc_data VALUES (24269, 23, 829, 19.66647772, 200, 133);
INSERT INTO public.ecdc_data VALUES (24270, 3, 388, 68.92157086, 143, 133);
INSERT INTO public.ecdc_data VALUES (24271, 67, 1013, 21.42628476, 201, 133);
INSERT INTO public.ecdc_data VALUES (24272, 0, 0, 0, 52, 133);
INSERT INTO public.ecdc_data VALUES (24273, 717, 27762, 96.75659226, 101, 133);
INSERT INTO public.ecdc_data VALUES (24274, 0, 0, 1.91242984, 102, 133);
INSERT INTO public.ecdc_data VALUES (24275, 0, 1, 0.51997108, 103, 133);
INSERT INTO public.ecdc_data VALUES (24276, 0, 158, 5.73044792, 144, 133);
INSERT INTO public.ecdc_data VALUES (24277, 1, 334, 5.37245472, 104, 133);
INSERT INTO public.ecdc_data VALUES (24278, 0, 7, 0.01451347, 145, 133);
INSERT INTO public.ecdc_data VALUES (24279, 0, 0, 0, 53, 133);
INSERT INTO public.ecdc_data VALUES (24280, 4, 4, 1.55339555, 146, 133);
INSERT INTO public.ecdc_data VALUES (24281, 0, 4, 1.7076279, 54, 133);
INSERT INTO public.ecdc_data VALUES (24282, 0, 62, 1.54313896, 55, 133);
INSERT INTO public.ecdc_data VALUES (24283, 4, 408, 10.98266833, 105, 134);
INSERT INTO public.ecdc_data VALUES (24284, 0, 2, 5.06563137, 147, 134);
INSERT INTO public.ecdc_data VALUES (24285, 7, 182, 5.92989292, 1, 134);
INSERT INTO public.ecdc_data VALUES (24286, 0, 0, 14.44005408, 148, 134);
INSERT INTO public.ecdc_data VALUES (24287, 0, 0, 0.04084801, 2, 134);
INSERT INTO public.ecdc_data VALUES (24288, 0, 0, 0, 56, 134);
INSERT INTO public.ecdc_data VALUES (24289, 0, 0, 0, 57, 134);
INSERT INTO public.ecdc_data VALUES (24290, 16, 566, 7.78014177, 58, 134);
INSERT INTO public.ecdc_data VALUES (24291, 3, 218, 81.88717827, 149, 134);
INSERT INTO public.ecdc_data VALUES (24292, 0, 0, 0.94064528, 59, 134);
INSERT INTO public.ecdc_data VALUES (24293, 1, 15, 0.93242128, 202, 134);
INSERT INTO public.ecdc_data VALUES (24294, 0, 25, 6.88582789, 150, 134);
INSERT INTO public.ecdc_data VALUES (24295, 1, 13, 12.96811744, 151, 134);
INSERT INTO public.ecdc_data VALUES (24296, 0, 0, 3.33773229, 60, 134);
INSERT INTO public.ecdc_data VALUES (24297, 0, 228, 222.464056, 106, 134);
INSERT INTO public.ecdc_data VALUES (24298, 21, 1602, 8.41908752, 107, 134);
INSERT INTO public.ecdc_data VALUES (24299, 0, 0, 2.09043938, 61, 134);
INSERT INTO public.ecdc_data VALUES (24300, 6, 922, 138.40916109, 152, 134);
INSERT INTO public.ecdc_data VALUES (24301, 37, 317, 44.72953168, 153, 134);
INSERT INTO public.ecdc_data VALUES (24302, 0, 0, 0, 62, 134);
INSERT INTO public.ecdc_data VALUES (24303, 0, 0, 2.05912118, 3, 134);
INSERT INTO public.ecdc_data VALUES (24304, 0, 2, 15.99795226, 63, 134);
INSERT INTO public.ecdc_data VALUES (24305, 0, 0, 1.83463636, 108, 134);
INSERT INTO public.ecdc_data VALUES (24306, 5, 175, 22.42662316, 64, 134);
INSERT INTO public.ecdc_data VALUES (24307, 0, 0, 0, 65, 134);
INSERT INTO public.ecdc_data VALUES (24308, 0, 14, 11.4207885, 154, 134);
INSERT INTO public.ecdc_data VALUES (24309, 0, 0, 0.08681675, 4, 134);
INSERT INTO public.ecdc_data VALUES (24310, 674, 13140, 69.38655946, 66, 134);
INSERT INTO public.ecdc_data VALUES (24311, 0, 0, 3.3296707, 67, 134);
INSERT INTO public.ecdc_data VALUES (24312, 0, 0, 0.69236734, 109, 134);
INSERT INTO public.ecdc_data VALUES (24313, 2, 24, 8.67138026, 155, 134);
INSERT INTO public.ecdc_data VALUES (24314, 0, 0, 0.61019469, 5, 134);
INSERT INTO public.ecdc_data VALUES (24315, 0, 0, 0.19946964, 6, 134);
INSERT INTO public.ecdc_data VALUES (24316, 0, 0, 0, 110, 134);
INSERT INTO public.ecdc_data VALUES (24317, 0, 0, 4.59105825, 7, 134);
INSERT INTO public.ecdc_data VALUES (24318, 60, 1070, 46.21363353, 68, 134);
INSERT INTO public.ecdc_data VALUES (24319, 0, 0, 27.82141922, 8, 134);
INSERT INTO public.ecdc_data VALUES (24320, 0, 0, 29.25417257, 69, 134);
INSERT INTO public.ecdc_data VALUES (24321, 0, 9, 5.09991299, 9, 134);
INSERT INTO public.ecdc_data VALUES (24322, 0, 16, 2.52086897, 10, 134);
INSERT INTO public.ecdc_data VALUES (24323, 28, 2278, 134.10697057, 70, 134);
INSERT INTO public.ecdc_data VALUES (24324, 0, 9, 0.00676532, 111, 134);
INSERT INTO public.ecdc_data VALUES (24325, 18, 721, 16.53176814, 71, 134);
INSERT INTO public.ecdc_data VALUES (24326, 0, 0, 0.82266706, 11, 134);
INSERT INTO public.ecdc_data VALUES (24327, 0, 0, 3.27106903, 12, 134);
INSERT INTO public.ecdc_data VALUES (24328, 0, 3, 2.45663202, 72, 134);
INSERT INTO public.ecdc_data VALUES (24329, 1, 10, 2.67143102, 13, 134);
INSERT INTO public.ecdc_data VALUES (24330, 0, 2, 3.11561177, 156, 134);
INSERT INTO public.ecdc_data VALUES (24331, 0, 9, 1.87938678, 73, 134);
INSERT INTO public.ecdc_data VALUES (24332, 0, 0, 0, 74, 134);
INSERT INTO public.ecdc_data VALUES (24333, 0, 1, 4.90924182, 157, 134);
INSERT INTO public.ecdc_data VALUES (24334, 0, 111, 7.20201318, 158, 134);
INSERT INTO public.ecdc_data VALUES (24335, 1, 175, 1.08882799, 14, 134);
INSERT INTO public.ecdc_data VALUES (24336, 1, 41, 22.35587137, 159, 134);
INSERT INTO public.ecdc_data VALUES (24337, 3, 117, 41.29188121, 15, 134);
INSERT INTO public.ecdc_data VALUES (24338, 0, 0, 0, 75, 134);
INSERT INTO public.ecdc_data VALUES (24339, 6, 411, 41.81039183, 76, 134);
INSERT INTO public.ecdc_data VALUES (24340, 63, 400, 9.79068483, 77, 134);
INSERT INTO public.ecdc_data VALUES (24341, 15, 535, 5.92799487, 16, 134);
INSERT INTO public.ecdc_data VALUES (24342, 0, 75, 12.79915705, 78, 134);
INSERT INTO public.ecdc_data VALUES (24343, 0, 125, 29.79390582, 17, 134);
INSERT INTO public.ecdc_data VALUES (24344, 0, 0, 0, 18, 134);
INSERT INTO public.ecdc_data VALUES (24345, 0, 10, 6.11403813, 160, 134);
INSERT INTO public.ecdc_data VALUES (24346, 0, 0, 7.57751933, 19, 134);
INSERT INTO public.ecdc_data VALUES (24347, 0, 35, 0.18915276, 20, 134);
INSERT INTO public.ecdc_data VALUES (24348, 0, 0, 0, 79, 134);
INSERT INTO public.ecdc_data VALUES (24349, 0, 0, 0, 161, 134);
INSERT INTO public.ecdc_data VALUES (24350, 0, 0, 0, 203, 134);
INSERT INTO public.ecdc_data VALUES (24351, 2, 33, 19.08328122, 162, 134);
INSERT INTO public.ecdc_data VALUES (24352, 186, 492, 16.47444418, 163, 134);
INSERT INTO public.ecdc_data VALUES (24353, 0, 0, 0.71611436, 204, 134);
INSERT INTO public.ecdc_data VALUES (24354, 0, 112, 49.02010423, 21, 134);
INSERT INTO public.ecdc_data VALUES (24355, 0, 1, 0.29816467, 22, 134);
INSERT INTO public.ecdc_data VALUES (24356, 0, 1, 2.72720767, 164, 134);
INSERT INTO public.ecdc_data VALUES (24357, 72, 513, 13.67153408, 165, 134);
INSERT INTO public.ecdc_data VALUES (24358, 0, 0, 9.91522809, 23, 134);
INSERT INTO public.ecdc_data VALUES (24359, 0, 0, 8.90049249, 166, 134);
INSERT INTO public.ecdc_data VALUES (24360, 2, 2, 1.90216902, 167, 134);
INSERT INTO public.ecdc_data VALUES (24361, 0, 0, 0, 80, 134);
INSERT INTO public.ecdc_data VALUES (24362, 0, 0, 0.8928412, 81, 134);
INSERT INTO public.ecdc_data VALUES (24363, 0, 0, 2.98873248, 205, 134);
INSERT INTO public.ecdc_data VALUES (24364, 3, 89, 7.22919964, 82, 134);
INSERT INTO public.ecdc_data VALUES (24365, 0, 0, 0, 168, 134);
INSERT INTO public.ecdc_data VALUES (24366, 0, 138, 8.50347726, 24, 134);
INSERT INTO public.ecdc_data VALUES (24367, 0, 0, 30.03773718, 25, 134);
INSERT INTO public.ecdc_data VALUES (24368, 0, 7, 4.08802018, 83, 134);
INSERT INTO public.ecdc_data VALUES (24369, 1, 77, 3.84441945, 84, 134);
INSERT INTO public.ecdc_data VALUES (24370, 0, 0, 122.6993865, 169, 134);
INSERT INTO public.ecdc_data VALUES (24371, 4, 152, 16.62200785, 85, 134);
INSERT INTO public.ecdc_data VALUES (24372, 5, 21, 5.02417128, 170, 134);
INSERT INTO public.ecdc_data VALUES (24373, 0, 0, 0.84035732, 171, 134);
INSERT INTO public.ecdc_data VALUES (24374, 134, 4970, 4.00360722, 112, 134);
INSERT INTO public.ecdc_data VALUES (24375, 43, 496, 2.37338995, 113, 134);
INSERT INTO public.ecdc_data VALUES (24376, 69, 2294, 28.75875096, 114, 134);
INSERT INTO public.ecdc_data VALUES (24377, 4, 150, 3.07302591, 115, 134);
INSERT INTO public.ecdc_data VALUES (24378, 4, 88, 50.52770664, 172, 134);
INSERT INTO public.ecdc_data VALUES (24379, 0, 0, 11.82186809, 173, 134);
INSERT INTO public.ecdc_data VALUES (24380, 0, 4, 4.40173238, 116, 134);
INSERT INTO public.ecdc_data VALUES (24381, 99, 451, 23.10819236, 174, 134);
INSERT INTO public.ecdc_data VALUES (24382, 0, 0, 1.66198766, 86, 134);
INSERT INTO public.ecdc_data VALUES (24383, 14, 60, 0.89389668, 117, 134);
INSERT INTO public.ecdc_data VALUES (24384, 0, 1, 9.27678207, 175, 134);
INSERT INTO public.ecdc_data VALUES (24385, 0, 16, 1.6234896, 118, 134);
INSERT INTO public.ecdc_data VALUES (24386, 1, 311, 14.17680623, 119, 134);
INSERT INTO public.ecdc_data VALUES (24387, 0, 25, 0.80267863, 26, 134);
INSERT INTO public.ecdc_data VALUES (24388, 0, 3, 7.39502676, 176, 134);
INSERT INTO public.ecdc_data VALUES (24389, 6, 841, 247.51151453, 120, 134);
INSERT INTO public.ecdc_data VALUES (24390, 0, 27, 6.23455875, 121, 134);
INSERT INTO public.ecdc_data VALUES (24391, 0, 0, 0, 122, 134);
INSERT INTO public.ecdc_data VALUES (24392, 0, 1, 5.88551476, 177, 134);
INSERT INTO public.ecdc_data VALUES (24393, 0, 20, 2.78599923, 123, 134);
INSERT INTO public.ecdc_data VALUES (24394, 0, 0, 0, 27, 134);
INSERT INTO public.ecdc_data VALUES (24395, 1, 3, 1.27598193, 28, 134);
INSERT INTO public.ecdc_data VALUES (24396, 0, 0, 0.02950961, 29, 134);
INSERT INTO public.ecdc_data VALUES (24397, 0, 0, 0, 178, 134);
INSERT INTO public.ecdc_data VALUES (24398, 3, 6, 4.58094385, 179, 134);
INSERT INTO public.ecdc_data VALUES (24399, 0, 2, 19.38445399, 180, 134);
INSERT INTO public.ecdc_data VALUES (24400, 0, 18, 0.64146997, 30, 134);
INSERT INTO public.ecdc_data VALUES (24401, 0, 0, 0.15567336, 31, 134);
INSERT INTO public.ecdc_data VALUES (24402, 0, 47, 1.84038774, 124, 134);
INSERT INTO public.ecdc_data VALUES (24403, 0, 12, 104.52823863, 125, 134);
INSERT INTO public.ecdc_data VALUES (24404, 0, 14, 1.49557257, 32, 134);
INSERT INTO public.ecdc_data VALUES (24405, 0, 11, 17.82968196, 181, 134);
INSERT INTO public.ecdc_data VALUES (24406, 0, 19, 1.61301085, 33, 134);
INSERT INTO public.ecdc_data VALUES (24407, 0, 0, 0, 34, 134);
INSERT INTO public.ecdc_data VALUES (24408, 155, 3998, 27.62285234, 87, 134);
INSERT INTO public.ecdc_data VALUES (24409, 4, 78, 46.7444818, 182, 134);
INSERT INTO public.ecdc_data VALUES (24410, 0, 1, 3.02251776, 183, 134);
INSERT INTO public.ecdc_data VALUES (24411, 0, 0, 3.06960944, 126, 134);
INSERT INTO public.ecdc_data VALUES (24412, 0, 0, 0.16072468, 184, 134);
INSERT INTO public.ecdc_data VALUES (24413, 0, 0, 0, 88, 134);
INSERT INTO public.ecdc_data VALUES (24414, 0, 82, 5.23418581, 35, 134);
INSERT INTO public.ecdc_data VALUES (24415, 0, 8, 0.21405489, 36, 134);
INSERT INTO public.ecdc_data VALUES (24416, 0, 4, 0.05550886, 127, 134);
INSERT INTO public.ecdc_data VALUES (24417, 0, 0, 0, 37, 134);
INSERT INTO public.ecdc_data VALUES (24418, 0, 71, 1.02416344, 128, 134);
INSERT INTO public.ecdc_data VALUES (24419, 14, 146, 19.50566026, 185, 134);
INSERT INTO public.ecdc_data VALUES (24420, 0, 0, 0, 207, 134);
INSERT INTO public.ecdc_data VALUES (24421, 0, 4, 0.33451375, 208, 134);
INSERT INTO public.ecdc_data VALUES (24422, 0, 0, 0.15277665, 89, 134);
INSERT INTO public.ecdc_data VALUES (24423, 1, 5, 0.66064028, 38, 134);
INSERT INTO public.ecdc_data VALUES (24424, 9, 216, 1.67841338, 39, 134);
INSERT INTO public.ecdc_data VALUES (24425, 3, 25, 14.39484828, 186, 134);
INSERT INTO public.ecdc_data VALUES (24426, 0, 0, 12.23498156, 209, 134);
INSERT INTO public.ecdc_data VALUES (24427, 1, 52, 7.54474484, 187, 134);
INSERT INTO public.ecdc_data VALUES (24428, 4, 193, 55.11566652, 129, 134);
INSERT INTO public.ecdc_data VALUES (24429, 36, 1841, 10.37331384, 130, 134);
INSERT INTO public.ecdc_data VALUES (24430, 0, 7, 0.86320733, 131, 134);
INSERT INTO public.ecdc_data VALUES (24431, 4, 120, 55.08143292, 90, 134);
INSERT INTO public.ecdc_data VALUES (24432, 0, 0, 0, 210, 134);
INSERT INTO public.ecdc_data VALUES (24433, 0, 2, 5.29480645, 91, 134);
INSERT INTO public.ecdc_data VALUES (24434, 141, 2660, 146.29444515, 92, 134);
INSERT INTO public.ecdc_data VALUES (24435, 7, 205, 2.9902895, 132, 134);
INSERT INTO public.ecdc_data VALUES (24436, 11, 356, 12.84866657, 188, 134);
INSERT INTO public.ecdc_data VALUES (24437, 13, 173, 35.85810389, 189, 134);
INSERT INTO public.ecdc_data VALUES (24438, 1, 64, 29.55610615, 93, 134);
INSERT INTO public.ecdc_data VALUES (24439, 0, 1365, 627.73849949, 133, 134);
INSERT INTO public.ecdc_data VALUES (24440, 10, 165, 18.15142097, 190, 134);
INSERT INTO public.ecdc_data VALUES (24441, 91, 8926, 99.6831063, 191, 134);
INSERT INTO public.ecdc_data VALUES (24442, 0, 5, 0.28510475, 40, 134);
INSERT INTO public.ecdc_data VALUES (24443, 0, 0, 0, 94, 134);
INSERT INTO public.ecdc_data VALUES (24444, 0, 0, 0, 95, 134);
INSERT INTO public.ecdc_data VALUES (24445, 0, 0, 0, 96, 134);
INSERT INTO public.ecdc_data VALUES (24446, 0, 0, 208.98035004, 192, 134);
INSERT INTO public.ecdc_data VALUES (24447, 0, 11, 33.48089729, 41, 134);
INSERT INTO public.ecdc_data VALUES (24448, 8, 2593, 83.71821271, 134, 134);
INSERT INTO public.ecdc_data VALUES (24449, 0, 64, 7.81155941, 42, 134);
INSERT INTO public.ecdc_data VALUES (24450, 1, 89, 16.39917723, 193, 134);
INSERT INTO public.ecdc_data VALUES (24451, 0, 0, 0, 43, 134);
INSERT INTO public.ecdc_data VALUES (24452, 1, 14, 4.36440504, 44, 134);
INSERT INTO public.ecdc_data VALUES (24453, 0, 305, 164.79039919, 135, 134);
INSERT INTO public.ecdc_data VALUES (24454, 0, 0, 2.3591026, 97, 134);
INSERT INTO public.ecdc_data VALUES (24455, 0, 1, 1.50447094, 194, 134);
INSERT INTO public.ecdc_data VALUES (24456, 0, 1, 1.05723079, 195, 134);
INSERT INTO public.ecdc_data VALUES (24457, 1, 34, 4.52635016, 45, 134);
INSERT INTO public.ecdc_data VALUES (24458, 22, 918, 15.73304756, 46, 134);
INSERT INTO public.ecdc_data VALUES (24459, 0, 13, 0.53489172, 136, 134);
INSERT INTO public.ecdc_data VALUES (24460, 0, 0, 2.13340777, 47, 134);
INSERT INTO public.ecdc_data VALUES (24461, 69, 431, 25.12513566, 196, 134);
INSERT INTO public.ecdc_data VALUES (24462, 0, 11, 1.11143761, 137, 134);
INSERT INTO public.ecdc_data VALUES (24463, 8, 302, 4.46824425, 48, 134);
INSERT INTO public.ecdc_data VALUES (24464, 0, 1, 0.17200957, 98, 134);
INSERT INTO public.ecdc_data VALUES (24465, 59, 430, 78.39545424, 197, 134);
INSERT INTO public.ecdc_data VALUES (24466, 0, 10, 7.20929315, 198, 134);
INSERT INTO public.ecdc_data VALUES (24467, 0, 0, 0.0820146, 138, 134);
INSERT INTO public.ecdc_data VALUES (24468, 0, 0, 0.00841259, 139, 134);
INSERT INTO public.ecdc_data VALUES (24469, 2, 205, 16.08192577, 140, 134);
INSERT INTO public.ecdc_data VALUES (24470, 0, 3, 0.06319516, 141, 134);
INSERT INTO public.ecdc_data VALUES (24471, 0, 0, 0, 142, 134);
INSERT INTO public.ecdc_data VALUES (24472, 1, 29, 2.52401558, 49, 134);
INSERT INTO public.ecdc_data VALUES (24473, 0, 0, 0, 99, 134);
INSERT INTO public.ecdc_data VALUES (24474, 1, 6, 0.21377167, 50, 134);
INSERT INTO public.ecdc_data VALUES (24475, 31, 1158, 27.96696869, 199, 134);
INSERT INTO public.ecdc_data VALUES (24476, 0, 0, 0, 100, 134);
INSERT INTO public.ecdc_data VALUES (24477, 0, 33, 0.3681986, 51, 134);
INSERT INTO public.ecdc_data VALUES (24478, 21, 325, 14.28615493, 200, 134);
INSERT INTO public.ecdc_data VALUES (24479, 4, 832, 96.82180877, 143, 134);
INSERT INTO public.ecdc_data VALUES (24480, 146, 1838, 62.38829974, 201, 134);
INSERT INTO public.ecdc_data VALUES (24481, 0, 0, 0.04999529, 52, 134);
INSERT INTO public.ecdc_data VALUES (24482, 791, 21841, 99.66544079, 101, 134);
INSERT INTO public.ecdc_data VALUES (24483, 0, 0, 2.86864476, 102, 134);
INSERT INTO public.ecdc_data VALUES (24484, 0, 3, 2.31098257, 103, 134);
INSERT INTO public.ecdc_data VALUES (24485, 1, 49, 1.85860559, 144, 134);
INSERT INTO public.ecdc_data VALUES (24486, 0, 77, 0.90125383, 104, 134);
INSERT INTO public.ecdc_data VALUES (24487, 0, 4, 0.05494385, 145, 134);
INSERT INTO public.ecdc_data VALUES (24488, 0, 0, 0, 53, 134);
INSERT INTO public.ecdc_data VALUES (24489, 0, 2, 0.40463725, 146, 134);
INSERT INTO public.ecdc_data VALUES (24490, 0, 8, 3.49363872, 54, 134);
INSERT INTO public.ecdc_data VALUES (24491, 0, 0, 0.08193658, 55, 134);
INSERT INTO public.ecdc_data VALUES (24492, 0, 63, 1.67710445, 105, 135);
INSERT INTO public.ecdc_data VALUES (24493, 0, 9, 7.51110858, 147, 135);
INSERT INTO public.ecdc_data VALUES (24494, 3, 117, 2.98236683, 1, 135);
INSERT INTO public.ecdc_data VALUES (24495, 0, 8, 312.4302611, 148, 135);
INSERT INTO public.ecdc_data VALUES (24496, 0, 5, 0.04399016, 2, 135);
INSERT INTO public.ecdc_data VALUES (24497, 0, 0, 0, 56, 135);
INSERT INTO public.ecdc_data VALUES (24498, 0, 0, 8.23765639, 57, 135);
INSERT INTO public.ecdc_data VALUES (24499, 10, 170, 3.07498715, 58, 135);
INSERT INTO public.ecdc_data VALUES (24500, 0, 43, 15.85676573, 149, 135);
INSERT INTO public.ecdc_data VALUES (24501, 0, 0, 30.10064905, 59, 135);
INSERT INTO public.ecdc_data VALUES (24502, 2, 53, 3.56700736, 202, 135);
INSERT INTO public.ecdc_data VALUES (24503, 12, 59, 32.69075013, 150, 135);
INSERT INTO public.ecdc_data VALUES (24504, 3, 33, 8.4795365, 151, 135);
INSERT INTO public.ecdc_data VALUES (24505, 0, 3, 7.70245914, 60, 135);
INSERT INTO public.ecdc_data VALUES (24506, 0, 29, 66.11161346, 106, 135);
INSERT INTO public.ecdc_data VALUES (24507, 9, 306, 1.27203231, 107, 135);
INSERT INTO public.ecdc_data VALUES (24508, 0, 0, 8.3617575, 61, 135);
INSERT INTO public.ecdc_data VALUES (24509, 2, 518, 51.87037505, 152, 135);
INSERT INTO public.ecdc_data VALUES (24510, 208, 722, 170.87833384, 153, 135);
INSERT INTO public.ecdc_data VALUES (24511, 0, 0, 3.58651573, 62, 135);
INSERT INTO public.ecdc_data VALUES (24512, 0, 0, 0.17794874, 3, 135);
INSERT INTO public.ecdc_data VALUES (24513, 0, 3, 78.38996608, 63, 135);
INSERT INTO public.ecdc_data VALUES (24514, 0, 0, 0, 108, 135);
INSERT INTO public.ecdc_data VALUES (24515, 1, 27, 3.15292959, 64, 135);
INSERT INTO public.ecdc_data VALUES (24516, 0, 0, 7.69734057, 65, 135);
INSERT INTO public.ecdc_data VALUES (24517, 1, 44, 18.84278633, 154, 135);
INSERT INTO public.ecdc_data VALUES (24518, 0, 0, 0.47749211, 4, 135);
INSERT INTO public.ecdc_data VALUES (24519, 206, 2917, 12.47148069, 66, 135);
INSERT INTO public.ecdc_data VALUES (24520, 0, 0, 0, 67, 135);
INSERT INTO public.ecdc_data VALUES (24521, 0, 1, 0.46157823, 109, 135);
INSERT INTO public.ecdc_data VALUES (24522, 0, 32, 5.35711301, 155, 135);
INSERT INTO public.ecdc_data VALUES (24523, 1, 8, 1.29420325, 5, 135);
INSERT INTO public.ecdc_data VALUES (24524, 0, 0, 0.02601778, 6, 135);
INSERT INTO public.ecdc_data VALUES (24525, 0, 0, 0.04852443, 110, 135);
INSERT INTO public.ecdc_data VALUES (24526, 0, 0, 1.78154701, 7, 135);
INSERT INTO public.ecdc_data VALUES (24527, 158, 1469, 52.01406066, 68, 135);
INSERT INTO public.ecdc_data VALUES (24528, 0, 2, 9.27380641, 8, 135);
INSERT INTO public.ecdc_data VALUES (24529, 0, 0, 40.03202562, 69, 135);
INSERT INTO public.ecdc_data VALUES (24530, 0, 0, 0.06322206, 9, 135);
INSERT INTO public.ecdc_data VALUES (24531, 0, 0, 0.15677046, 10, 135);
INSERT INTO public.ecdc_data VALUES (24532, 10, 478, 29.38470724, 70, 135);
INSERT INTO public.ecdc_data VALUES (24533, 0, 18, 0.08564751, 111, 135);
INSERT INTO public.ecdc_data VALUES (24534, 13, 182, 4.40012815, 71, 135);
INSERT INTO public.ecdc_data VALUES (24535, 0, 0, 1.82139071, 12, 135);
INSERT INTO public.ecdc_data VALUES (24536, 0, 6, 4.35854069, 72, 135);
INSERT INTO public.ecdc_data VALUES (24537, 2, 59, 2.16203151, 13, 135);
INSERT INTO public.ecdc_data VALUES (24538, 3, 18, 17.31985754, 156, 135);
INSERT INTO public.ecdc_data VALUES (24539, 1, 63, 6.15874165, 73, 135);
INSERT INTO public.ecdc_data VALUES (24540, 0, 0, 1.83572692, 74, 135);
INSERT INTO public.ecdc_data VALUES (24541, 0, 26, 38.24641882, 157, 135);
INSERT INTO public.ecdc_data VALUES (24542, 8, 105, 20.48864767, 158, 135);
INSERT INTO public.ecdc_data VALUES (24543, 0, 20, 0.19933042, 14, 135);
INSERT INTO public.ecdc_data VALUES (24544, 10, 169, 54.5118127, 159, 135);
INSERT INTO public.ecdc_data VALUES (24545, 0, 0, 69.94967937, 15, 135);
INSERT INTO public.ecdc_data VALUES (24546, 0, 0, 2.78520499, 75, 135);
INSERT INTO public.ecdc_data VALUES (24547, 17, 209, 25.67288425, 76, 135);
INSERT INTO public.ecdc_data VALUES (24548, 35, 572, 31.98520611, 77, 135);
INSERT INTO public.ecdc_data VALUES (24549, 19, 188, 2.03908679, 16, 135);
INSERT INTO public.ecdc_data VALUES (24550, 0, 13, 1.98340448, 78, 135);
INSERT INTO public.ecdc_data VALUES (24551, 0, 0, 4.64607937, 17, 135);
INSERT INTO public.ecdc_data VALUES (24552, 0, 0, 0.1715699, 18, 135);
INSERT INTO public.ecdc_data VALUES (24553, 0, 53, 37.28808442, 160, 135);
INSERT INTO public.ecdc_data VALUES (24554, 0, 0, 0.87097923, 19, 135);
INSERT INTO public.ecdc_data VALUES (24555, 0, 9, 0.05977941, 20, 135);
INSERT INTO public.ecdc_data VALUES (24556, 0, 0, 296.5599051, 79, 135);
INSERT INTO public.ecdc_data VALUES (24557, 0, 0, 6.16307496, 161, 135);
INSERT INTO public.ecdc_data VALUES (24558, 0, 0, 0.56182616, 203, 135);
INSERT INTO public.ecdc_data VALUES (24559, 8, 192, 32.60287076, 162, 135);
INSERT INTO public.ecdc_data VALUES (24560, 642, 2569, 64.48909234, 163, 135);
INSERT INTO public.ecdc_data VALUES (24561, 0, 0, 5.37085773, 204, 135);
INSERT INTO public.ecdc_data VALUES (24562, 0, 1, 4.05048749, 21, 135);
INSERT INTO public.ecdc_data VALUES (24563, 0, 0, 0.21297476, 22, 135);
INSERT INTO public.ecdc_data VALUES (24564, 1, 18, 5.77967865, 164, 135);
INSERT INTO public.ecdc_data VALUES (24565, 184, 2458, 58.03837239, 165, 135);
INSERT INTO public.ecdc_data VALUES (24566, 1, 193, 2.03827633, 23, 135);
INSERT INTO public.ecdc_data VALUES (24567, 0, 0, 103.8390791, 166, 135);
INSERT INTO public.ecdc_data VALUES (24568, 0, 0, 4.97920715, 167, 135);
INSERT INTO public.ecdc_data VALUES (24569, 0, 0, 1.76491352, 80, 135);
INSERT INTO public.ecdc_data VALUES (24570, 0, 0, 1.7856824, 81, 135);
INSERT INTO public.ecdc_data VALUES (24571, 0, 0, 25.70309932, 205, 135);
INSERT INTO public.ecdc_data VALUES (24572, 0, 22, 1.1148097, 82, 135);
INSERT INTO public.ecdc_data VALUES (24573, 0, 5, 159.76918781, 168, 135);
INSERT INTO public.ecdc_data VALUES (24574, 0, 0, 2.86581278, 24, 135);
INSERT INTO public.ecdc_data VALUES (24575, 0, 0, 1.66587104, 25, 135);
INSERT INTO public.ecdc_data VALUES (24576, 1, 0, 4.9822746, 83, 135);
INSERT INTO public.ecdc_data VALUES (24577, 0, 0, 0.20420704, 84, 135);
INSERT INTO public.ecdc_data VALUES (24578, 0, 0, 122.6993865, 169, 135);
INSERT INTO public.ecdc_data VALUES (24579, 0, 15, 2.09314173, 85, 135);
INSERT INTO public.ecdc_data VALUES (24580, 17, 82, 12.1050807, 170, 135);
INSERT INTO public.ecdc_data VALUES (24581, 1, 6, 96.08085358, 171, 135);
INSERT INTO public.ecdc_data VALUES (24582, 27, 1334, 0.90294494, 112, 135);
INSERT INTO public.ecdc_data VALUES (24583, 15, 325, 1.53570117, 113, 135);
INSERT INTO public.ecdc_data VALUES (24584, 73, 1374, 30.3025212, 114, 135);
INSERT INTO public.ecdc_data VALUES (24585, 0, 0, 1.53651295, 115, 135);
INSERT INTO public.ecdc_data VALUES (24586, 41, 778, 207.0453322, 172, 135);
INSERT INTO public.ecdc_data VALUES (24587, 2, 8, 202.15394437, 173, 135);
INSERT INTO public.ecdc_data VALUES (24588, 13, 283, 61.58903948, 116, 135);
INSERT INTO public.ecdc_data VALUES (24589, 480, 3491, 84.97910173, 174, 135);
INSERT INTO public.ecdc_data VALUES (24590, 0, 10, 4.00233764, 86, 135);
INSERT INTO public.ecdc_data VALUES (24591, 7, 566, 5.58882492, 117, 135);
INSERT INTO public.ecdc_data VALUES (24592, 1, 21, 113.17674125, 175, 135);
INSERT INTO public.ecdc_data VALUES (24593, 0, 6, 0.89093941, 118, 135);
INSERT INTO public.ecdc_data VALUES (24594, 0, 63, 6.43616222, 119, 135);
INSERT INTO public.ecdc_data VALUES (24595, 1, 16, 0.25868316, 26, 135);
INSERT INTO public.ecdc_data VALUES (24596, 0, 31, 21.01744448, 176, 135);
INSERT INTO public.ecdc_data VALUES (24597, 1, 94, 30.25853817, 120, 135);
INSERT INTO public.ecdc_data VALUES (24598, 0, 48, 6.39042272, 121, 135);
INSERT INTO public.ecdc_data VALUES (24599, 0, 0, 0.12553254, 122, 135);
INSERT INTO public.ecdc_data VALUES (24600, 0, 30, 10.57309288, 177, 135);
INSERT INTO public.ecdc_data VALUES (24601, 0, 4, 2.21713028, 123, 135);
INSERT INTO public.ecdc_data VALUES (24602, 0, 5, 1.43801138, 28, 135);
INSERT INTO public.ecdc_data VALUES (24603, 0, 0, 0.45739897, 29, 135);
INSERT INTO public.ecdc_data VALUES (24604, 0, 1, 13.02829746, 178, 135);
INSERT INTO public.ecdc_data VALUES (24605, 0, 59, 18.86060474, 179, 135);
INSERT INTO public.ecdc_data VALUES (24606, 0, 57, 131.61881367, 180, 135);
INSERT INTO public.ecdc_data VALUES (24607, 0, 0, 0.17056427, 30, 135);
INSERT INTO public.ecdc_data VALUES (24608, 0, 0, 0.06978461, 31, 135);
INSERT INTO public.ecdc_data VALUES (24609, 2, 54, 5.70269807, 124, 135);
INSERT INTO public.ecdc_data VALUES (24610, 0, 6, 3.0134267, 125, 135);
INSERT INTO public.ecdc_data VALUES (24611, 0, 26, 0.89022177, 32, 135);
INSERT INTO public.ecdc_data VALUES (24612, 0, 1, 40.52200446, 181, 135);
INSERT INTO public.ecdc_data VALUES (24613, 0, 0, 0.02209604, 33, 135);
INSERT INTO public.ecdc_data VALUES (24614, 0, 1, 10.16012035, 34, 135);
INSERT INTO public.ecdc_data VALUES (24615, 104, 755, 7.10089158, 87, 135);
INSERT INTO public.ecdc_data VALUES (24616, 4, 87, 39.54731556, 182, 135);
INSERT INTO public.ecdc_data VALUES (24617, 0, 0, 51.38280187, 183, 135);
INSERT INTO public.ecdc_data VALUES (24618, 0, 0, 0.52710465, 126, 135);
INSERT INTO public.ecdc_data VALUES (24619, 1, 4, 17.03681559, 184, 135);
INSERT INTO public.ecdc_data VALUES (24620, 0, 0, 100.18032458, 88, 135);
INSERT INTO public.ecdc_data VALUES (24621, 2, 121, 4.8421017, 35, 135);
INSERT INTO public.ecdc_data VALUES (24622, 0, 1, 0.0823288, 36, 135);
INSERT INTO public.ecdc_data VALUES (24623, 0, 13, 0.15912541, 127, 135);
INSERT INTO public.ecdc_data VALUES (24624, 0, 0, 0.08017562, 37, 135);
INSERT INTO public.ecdc_data VALUES (24625, 0, 1, 0.08738596, 128, 135);
INSERT INTO public.ecdc_data VALUES (24626, 142, 1140, 86.57481127, 185, 135);
INSERT INTO public.ecdc_data VALUES (24627, 0, 0, 0, 207, 135);
INSERT INTO public.ecdc_data VALUES (24628, 1, 4, 4.7250067, 208, 135);
INSERT INTO public.ecdc_data VALUES (24629, 0, 0, 0.06111066, 89, 135);
INSERT INTO public.ecdc_data VALUES (24630, 1, 12, 2.22644355, 38, 135);
INSERT INTO public.ecdc_data VALUES (24631, 2, 49, 0.16520404, 39, 135);
INSERT INTO public.ecdc_data VALUES (24632, 0, 53, 33.07445073, 186, 135);
INSERT INTO public.ecdc_data VALUES (24633, 0, 0, 10.48712705, 209, 135);
INSERT INTO public.ecdc_data VALUES (24634, 12, 193, 27.66406442, 187, 135);
INSERT INTO public.ecdc_data VALUES (24635, 0, 111, 18.15078296, 129, 135);
INSERT INTO public.ecdc_data VALUES (24636, 16, 512, 2.55950495, 130, 135);
INSERT INTO public.ecdc_data VALUES (24637, 0, 6, 3.17178508, 131, 135);
INSERT INTO public.ecdc_data VALUES (24638, 4, 63, 58.21346822, 90, 135);
INSERT INTO public.ecdc_data VALUES (24639, 0, 0, 0.06836735, 210, 135);
INSERT INTO public.ecdc_data VALUES (24640, 0, 0, 1.39112877, 91, 135);
INSERT INTO public.ecdc_data VALUES (24641, 48, 931, 38.98437371, 92, 135);
INSERT INTO public.ecdc_data VALUES (24642, 10, 209, 2.76830699, 132, 135);
INSERT INTO public.ecdc_data VALUES (24643, 15, 363, 13.47016386, 188, 135);
INSERT INTO public.ecdc_data VALUES (24644, 30, 663, 89.14412204, 189, 135);
INSERT INTO public.ecdc_data VALUES (24645, 2, 50, 22.70399849, 93, 135);
INSERT INTO public.ecdc_data VALUES (24646, 1, 345, 130.04617469, 133, 135);
INSERT INTO public.ecdc_data VALUES (24647, 17, 351, 24.74959641, 190, 135);
INSERT INTO public.ecdc_data VALUES (24648, 40, 4785, 21.97950453, 191, 135);
INSERT INTO public.ecdc_data VALUES (24649, 0, 1, 0.33262221, 40, 135);
INSERT INTO public.ecdc_data VALUES (24650, 0, 0, 7.57088239, 94, 135);
INSERT INTO public.ecdc_data VALUES (24651, 0, 0, 0.54706092, 95, 135);
INSERT INTO public.ecdc_data VALUES (24652, 0, 0, 4.5210818, 96, 135);
INSERT INTO public.ecdc_data VALUES (24653, 0, 20, 568.89095289, 192, 135);
INSERT INTO public.ecdc_data VALUES (24654, 0, 0, 0, 41, 135);
INSERT INTO public.ecdc_data VALUES (24655, 5, 1132, 17.78599834, 134, 135);
INSERT INTO public.ecdc_data VALUES (24656, 0, 8, 0.8038604, 42, 135);
INSERT INTO public.ecdc_data VALUES (24657, 7, 304, 62.75341898, 193, 135);
INSERT INTO public.ecdc_data VALUES (24658, 0, 0, 1.0231121, 43, 135);
INSERT INTO public.ecdc_data VALUES (24659, 0, 4, 0.33276989, 44, 135);
INSERT INTO public.ecdc_data VALUES (24660, 0, 942, 82.74838341, 135, 135);
INSERT INTO public.ecdc_data VALUES (24661, 0, 7, 96.72320649, 97, 135);
INSERT INTO public.ecdc_data VALUES (24662, 2, 40, 11.33857366, 194, 135);
INSERT INTO public.ecdc_data VALUES (24663, 4, 13, 16.33902123, 195, 135);
INSERT INTO public.ecdc_data VALUES (24664, 2, 19, 0.82885954, 45, 135);
INSERT INTO public.ecdc_data VALUES (24665, 2, 251, 2.47445847, 46, 135);
INSERT INTO public.ecdc_data VALUES (24666, 2, 8, 0.82771565, 136, 135);
INSERT INTO public.ecdc_data VALUES (24667, 0, 0, 0.03615945, 47, 135);
INSERT INTO public.ecdc_data VALUES (24668, 410, -713, 116.15768009, 196, 135);
INSERT INTO public.ecdc_data VALUES (24669, 0, 10, 0.44551297, 137, 135);
INSERT INTO public.ecdc_data VALUES (24670, 5, 34, 0.13080067, 48, 135);
INSERT INTO public.ecdc_data VALUES (24671, 0, 0, 0, 98, 135);
INSERT INTO public.ecdc_data VALUES (24672, 86, 532, 71.03488353, 197, 135);
INSERT INTO public.ecdc_data VALUES (24673, 52, 325, 83.33989699, 198, 135);
INSERT INTO public.ecdc_data VALUES (24674, 0, 0, 0.12888008, 138, 135);
INSERT INTO public.ecdc_data VALUES (24675, 0, 3, 0.14722039, 139, 135);
INSERT INTO public.ecdc_data VALUES (24676, 0, 33, 0.8100471, 141, 135);
INSERT INTO public.ecdc_data VALUES (24677, 0, 0, 1.31464984, 142, 135);
INSERT INTO public.ecdc_data VALUES (24678, 0, 1, 0.53202289, 49, 135);
INSERT INTO public.ecdc_data VALUES (24679, 0, 0, 0.78854799, 99, 135);
INSERT INTO public.ecdc_data VALUES (24680, 0, 2, 3.17237153, 50, 135);
INSERT INTO public.ecdc_data VALUES (24681, 121, 3783, 71.21004345, 199, 135);
INSERT INTO public.ecdc_data VALUES (24682, 0, 0, 15.70927371, 100, 135);
INSERT INTO public.ecdc_data VALUES (24683, 0, 0, 0.01581221, 51, 135);
INSERT INTO public.ecdc_data VALUES (24684, 8, 644, 8.82172908, 200, 135);
INSERT INTO public.ecdc_data VALUES (24685, 0, 445, 51.02079458, 143, 135);
INSERT INTO public.ecdc_data VALUES (24686, 1105, 4956, 95.32446057, 201, 135);
INSERT INTO public.ecdc_data VALUES (24687, 0, 1, 0.2189449, 52, 135);
INSERT INTO public.ecdc_data VALUES (24688, 1856, 32922, 128.50017676, 101, 135);
INSERT INTO public.ecdc_data VALUES (24689, 1, 2, 12.43079395, 102, 135);
INSERT INTO public.ecdc_data VALUES (24690, 0, 9, 3.66868483, 103, 135);
INSERT INTO public.ecdc_data VALUES (24691, 1, 45, 3.72630714, 144, 135);
INSERT INTO public.ecdc_data VALUES (24692, 0, 0, 0.29106641, 104, 135);
INSERT INTO public.ecdc_data VALUES (24693, 0, 0, 0.02799027, 145, 135);
INSERT INTO public.ecdc_data VALUES (24694, 0, 0, 0, 146, 135);
INSERT INTO public.ecdc_data VALUES (24695, 0, 5, 0.10077804, 54, 135);
INSERT INTO public.ecdc_data VALUES (24696, 0, 1, 0.10924878, 55, 135);
INSERT INTO public.ecdc_data VALUES (24697, 0, 0, 0.05783119, 105, 136);
INSERT INTO public.ecdc_data VALUES (24698, 1, 4, 0, 147, 136);
INSERT INTO public.ecdc_data VALUES (24699, 1, 12, 0.16491281, 1, 136);
INSERT INTO public.ecdc_data VALUES (24700, 0, 39, 0, 148, 136);
INSERT INTO public.ecdc_data VALUES (24701, 0, 18, 0, 58, 136);
INSERT INTO public.ecdc_data VALUES (24702, 0, 32, 3.71907085, 149, 136);
INSERT INTO public.ecdc_data VALUES (24703, 1, 111, 2.03545582, 202, 136);
INSERT INTO public.ecdc_data VALUES (24704, 1, 314, 18.25308804, 150, 136);
INSERT INTO public.ecdc_data VALUES (24705, 0, 6, 0.33838526, 151, 136);
INSERT INTO public.ecdc_data VALUES (24706, 0, 19, 12.43020198, 106, 136);
INSERT INTO public.ecdc_data VALUES (24707, 0, 2, 0, 107, 136);
INSERT INTO public.ecdc_data VALUES (24708, 0, 0, 0, 61, 136);
INSERT INTO public.ecdc_data VALUES (24709, 0, 10, 0.48664843, 152, 136);
INSERT INTO public.ecdc_data VALUES (24710, 22, 535, 21.76243608, 153, 136);
INSERT INTO public.ecdc_data VALUES (24711, 0, 0, 0, 3, 136);
INSERT INTO public.ecdc_data VALUES (24712, 0, 0, 0, 108, 136);
INSERT INTO public.ecdc_data VALUES (24713, 0, 0, 0, 64, 136);
INSERT INTO public.ecdc_data VALUES (24714, 0, 5, 0, 154, 136);
INSERT INTO public.ecdc_data VALUES (24715, 3, 137, 0.20137454, 66, 136);
INSERT INTO public.ecdc_data VALUES (24716, 0, 12, 0, 109, 136);
INSERT INTO public.ecdc_data VALUES (24717, 0, 11, 0, 155, 136);
INSERT INTO public.ecdc_data VALUES (24718, 1, 6, 0, 5, 136);
INSERT INTO public.ecdc_data VALUES (24719, 0, 0, 0.13950773, 110, 136);
INSERT INTO public.ecdc_data VALUES (24720, 0, 0, 0, 7, 136);
INSERT INTO public.ecdc_data VALUES (24721, 1, 121, 1.75616619, 68, 136);
INSERT INTO public.ecdc_data VALUES (24722, 0, 0, 0, 9, 136);
INSERT INTO public.ecdc_data VALUES (24723, 0, 37, 1.25052534, 70, 136);
INSERT INTO public.ecdc_data VALUES (24724, 8, 44, 0.04414892, 111, 136);
INSERT INTO public.ecdc_data VALUES (24725, 0, 37, 0, 71, 136);
INSERT INTO public.ecdc_data VALUES (24726, 0, 2, 0, 12, 136);
INSERT INTO public.ecdc_data VALUES (24727, 1, 19, 0, 72, 136);
INSERT INTO public.ecdc_data VALUES (24728, 0, 1, 0, 13, 136);
INSERT INTO public.ecdc_data VALUES (24729, 0, 12, 1.81539583, 156, 136);
INSERT INTO public.ecdc_data VALUES (24730, 1, 4, 0, 73, 136);
INSERT INTO public.ecdc_data VALUES (24731, 0, 18, 0, 157, 136);
INSERT INTO public.ecdc_data VALUES (24732, 0, 88, 4.82638172, 158, 136);
INSERT INTO public.ecdc_data VALUES (24733, 0, 11, 0, 14, 136);
INSERT INTO public.ecdc_data VALUES (24734, 0, 91, 19.03177031, 159, 136);
INSERT INTO public.ecdc_data VALUES (24735, 0, 1, 0, 15, 136);
INSERT INTO public.ecdc_data VALUES (24736, 0, 10, 0.19554972, 76, 136);
INSERT INTO public.ecdc_data VALUES (24737, 1, 57, 0.96698122, 77, 136);
INSERT INTO public.ecdc_data VALUES (24738, 2, 30, 0.19424618, 16, 136);
INSERT INTO public.ecdc_data VALUES (24739, 0, 1, 0, 78, 136);
INSERT INTO public.ecdc_data VALUES (24740, 0, 2, 0, 17, 136);
INSERT INTO public.ecdc_data VALUES (24741, 0, 33, 19.39886173, 160, 136);
INSERT INTO public.ecdc_data VALUES (24742, 0, 0, 0, 19, 136);
INSERT INTO public.ecdc_data VALUES (24743, 0, 1, 0, 20, 136);
INSERT INTO public.ecdc_data VALUES (24744, 0, 29, 96.5548411, 161, 136);
INSERT INTO public.ecdc_data VALUES (24745, 0, 50, 6.63293535, 162, 136);
INSERT INTO public.ecdc_data VALUES (24746, 69, 1404, 13.2049236, 163, 136);
INSERT INTO public.ecdc_data VALUES (24747, 0, 3, 0, 204, 136);
INSERT INTO public.ecdc_data VALUES (24748, 0, 2, 0, 21, 136);
INSERT INTO public.ecdc_data VALUES (24749, 0, 0, 0, 22, 136);
INSERT INTO public.ecdc_data VALUES (24750, 0, 0, 0.77562787, 164, 136);
INSERT INTO public.ecdc_data VALUES (24751, 0, 1042, 9.55923299, 165, 136);
INSERT INTO public.ecdc_data VALUES (24752, 0, 1, 0, 23, 136);
INSERT INTO public.ecdc_data VALUES (24753, 0, 31, 3.80433805, 167, 136);
INSERT INTO public.ecdc_data VALUES (24754, 0, 3, 0, 205, 136);
INSERT INTO public.ecdc_data VALUES (24755, 0, 2, 0, 82, 136);
INSERT INTO public.ecdc_data VALUES (24756, 0, 0, 0, 24, 136);
INSERT INTO public.ecdc_data VALUES (24757, 0, 1, 0, 83, 136);
INSERT INTO public.ecdc_data VALUES (24758, 0, 0, 0, 169, 136);
INSERT INTO public.ecdc_data VALUES (24759, 0, 3, 0, 85, 136);
INSERT INTO public.ecdc_data VALUES (24760, 0, 23, 0.74697455, 170, 136);
INSERT INTO public.ecdc_data VALUES (24761, 0, 3, 62.74667989, 171, 136);
INSERT INTO public.ecdc_data VALUES (24762, 0, 28, 0.01163627, 112, 136);
INSERT INTO public.ecdc_data VALUES (24763, 0, 0, 0.06355645, 113, 136);
INSERT INTO public.ecdc_data VALUES (24764, 147, 1192, 17.41445188, 114, 136);
INSERT INTO public.ecdc_data VALUES (24765, 1, 10, 0.36377707, 115, 136);
INSERT INTO public.ecdc_data VALUES (24766, 0, 74, 7.422149, 172, 136);
INSERT INTO public.ecdc_data VALUES (24767, 0, 6, 4.96515413, 116, 136);
INSERT INTO public.ecdc_data VALUES (24768, 473, 4207, 54.04944563, 174, 136);
INSERT INTO public.ecdc_data VALUES (24769, 0, 2, 0, 86, 136);
INSERT INTO public.ecdc_data VALUES (24770, 1, 44, 0.43827738, 117, 136);
INSERT INTO public.ecdc_data VALUES (24771, 0, 17, 0, 118, 136);
INSERT INTO public.ecdc_data VALUES (24772, 0, 4, 0, 119, 136);
INSERT INTO public.ecdc_data VALUES (24773, 0, 3, 0, 26, 136);
INSERT INTO public.ecdc_data VALUES (24774, 0, 1, 0, 176, 136);
INSERT INTO public.ecdc_data VALUES (24775, 0, 12, 2.28186934, 120, 136);
INSERT INTO public.ecdc_data VALUES (24776, 0, 3, 0, 121, 136);
INSERT INTO public.ecdc_data VALUES (24777, 0, 10, 0, 177, 136);
INSERT INTO public.ecdc_data VALUES (24778, 1, 13, 1.88164346, 123, 136);
INSERT INTO public.ecdc_data VALUES (24779, 0, 0, 0, 28, 136);
INSERT INTO public.ecdc_data VALUES (24780, 0, 18, 0, 178, 136);
INSERT INTO public.ecdc_data VALUES (24781, 0, 8, 1.18102459, 179, 136);
INSERT INTO public.ecdc_data VALUES (24782, 1, 70, 34.20785999, 180, 136);
INSERT INTO public.ecdc_data VALUES (24783, 0, 117, 2.31613423, 124, 136);
INSERT INTO public.ecdc_data VALUES (24784, 0, 0, 0, 125, 136);
INSERT INTO public.ecdc_data VALUES (24785, 0, 4, 0, 181, 136);
INSERT INTO public.ecdc_data VALUES (24786, 0, 0, 0, 33, 136);
INSERT INTO public.ecdc_data VALUES (24787, 0, 105, 0.3872216, 87, 136);
INSERT INTO public.ecdc_data VALUES (24788, 1, 6, 0, 182, 136);
INSERT INTO public.ecdc_data VALUES (24789, 0, 0, 27.20265982, 183, 136);
INSERT INTO public.ecdc_data VALUES (24790, 0, 1, 0, 126, 136);
INSERT INTO public.ecdc_data VALUES (24791, 0, 6, 0, 184, 136);
INSERT INTO public.ecdc_data VALUES (24792, 0, 10, 0, 35, 136);
INSERT INTO public.ecdc_data VALUES (24793, 0, 0, 0, 37, 136);
INSERT INTO public.ecdc_data VALUES (24794, 0, 0, 0, 128, 136);
INSERT INTO public.ecdc_data VALUES (24795, 15, 346, 11.64784755, 185, 136);
INSERT INTO public.ecdc_data VALUES (24796, 0, 8, 0.58539906, 208, 136);
INSERT INTO public.ecdc_data VALUES (24797, 0, 1, 0, 89, 136);
INSERT INTO public.ecdc_data VALUES (24798, 0, 5, 0.00398082, 39, 136);
INSERT INTO public.ecdc_data VALUES (24799, 0, 11, 2.02201882, 186, 136);
INSERT INTO public.ecdc_data VALUES (24800, 0, 115, 25.65588606, 187, 136);
INSERT INTO public.ecdc_data VALUES (24801, 0, 15, 0.66331765, 129, 136);
INSERT INTO public.ecdc_data VALUES (24802, 0, 115, 0.13852634, 130, 136);
INSERT INTO public.ecdc_data VALUES (24803, 0, 3, 0, 131, 136);
INSERT INTO public.ecdc_data VALUES (24804, 0, 23, 0, 90, 136);
INSERT INTO public.ecdc_data VALUES (24805, 0, 0, 0, 91, 136);
INSERT INTO public.ecdc_data VALUES (24806, 0, 28, 0, 92, 136);
INSERT INTO public.ecdc_data VALUES (24807, 3, 15, 0.1840605, 132, 136);
INSERT INTO public.ecdc_data VALUES (24808, 0, 49, 0.75580392, 188, 136);
INSERT INTO public.ecdc_data VALUES (24809, 1, 194, 6.1985379, 189, 136);
INSERT INTO public.ecdc_data VALUES (24810, 0, 10, 15.924742, 133, 136);
INSERT INTO public.ecdc_data VALUES (24811, 0, 43, 1.31860493, 190, 136);
INSERT INTO public.ecdc_data VALUES (24812, 0, 33, 0.09803098, 191, 136);
INSERT INTO public.ecdc_data VALUES (24813, 0, 4, 0, 40, 136);
INSERT INTO public.ecdc_data VALUES (24814, 0, 0, 0, 95, 136);
INSERT INTO public.ecdc_data VALUES (24815, 3, 5, 272.835457, 192, 136);
INSERT INTO public.ecdc_data VALUES (24816, 0, 38, 0.49900012, 134, 136);
INSERT INTO public.ecdc_data VALUES (24817, 0, 5, 0, 42, 136);
INSERT INTO public.ecdc_data VALUES (24818, 0, 22, 0, 193, 136);
INSERT INTO public.ecdc_data VALUES (24819, 0, 2, 0, 43, 136);
INSERT INTO public.ecdc_data VALUES (24820, 0, 47, 3.46292423, 135, 136);
INSERT INTO public.ecdc_data VALUES (24821, 0, 10, 0, 194, 136);
INSERT INTO public.ecdc_data VALUES (24822, 0, 11, 13.74400022, 195, 136);
INSERT INTO public.ecdc_data VALUES (24823, 0, 0, 0, 45, 136);
INSERT INTO public.ecdc_data VALUES (24824, 0, 31, 0, 46, 136);
INSERT INTO public.ecdc_data VALUES (24825, 5, 152, 5.4640946, 136, 136);
INSERT INTO public.ecdc_data VALUES (24826, 107, 4047, 45.56527401, 196, 136);
INSERT INTO public.ecdc_data VALUES (24827, 0, 0, 0.19227402, 137, 136);
INSERT INTO public.ecdc_data VALUES (24828, 0, 1, 0, 48, 136);
INSERT INTO public.ecdc_data VALUES (24829, 6, 145, 12.05256796, 197, 136);
INSERT INTO public.ecdc_data VALUES (24830, 6, 353, 34.47821044, 198, 136);
INSERT INTO public.ecdc_data VALUES (24831, 0, 31, 0.27761559, 139, 136);
INSERT INTO public.ecdc_data VALUES (24832, 0, 0, 0.19676676, 141, 136);
INSERT INTO public.ecdc_data VALUES (24833, 0, 0, 0, 49, 136);
INSERT INTO public.ecdc_data VALUES (24834, 0, 2, 0, 99, 136);
INSERT INTO public.ecdc_data VALUES (24835, 0, 5, 0, 50, 136);
INSERT INTO public.ecdc_data VALUES (24836, 1, 93, 0, 199, 136);
INSERT INTO public.ecdc_data VALUES (24837, 2, 5, 0, 200, 136);
INSERT INTO public.ecdc_data VALUES (24838, 0, 0, 0.96207717, 143, 136);
INSERT INTO public.ecdc_data VALUES (24839, 34, 769, 6.39637619, 201, 136);
INSERT INTO public.ecdc_data VALUES (24840, 0, 2, 0, 52, 136);
INSERT INTO public.ecdc_data VALUES (24841, 42, 2988, 2.81281885, 101, 136);
INSERT INTO public.ecdc_data VALUES (24842, 0, 29, 0, 103, 136);
INSERT INTO public.ecdc_data VALUES (24843, 0, 7, 0, 144, 136);
INSERT INTO public.ecdc_data VALUES (24844, 0, 0, 0, 104, 136);
INSERT INTO public.ecdc_data VALUES (24845, 0, 8, 0.06220059, 145, 136);
INSERT INTO public.ecdc_data VALUES (24846, 0, 2, 0, 54, 136);
INSERT INTO public.ecdc_data VALUES (24847, 0, 0, 0, 105, 137);
INSERT INTO public.ecdc_data VALUES (24848, 0, 0, 0, 1, 137);
INSERT INTO public.ecdc_data VALUES (24849, 0, 0, 0, 149, 137);
INSERT INTO public.ecdc_data VALUES (24850, 0, 0, 0.01190325, 202, 137);
INSERT INTO public.ecdc_data VALUES (24851, 0, 0, 0, 150, 137);
INSERT INTO public.ecdc_data VALUES (24852, 0, 0, 0, 151, 137);
INSERT INTO public.ecdc_data VALUES (24853, 0, 0, 0, 106, 137);
INSERT INTO public.ecdc_data VALUES (24854, 0, 0, 0, 152, 137);
INSERT INTO public.ecdc_data VALUES (24855, 0, 0, 0, 153, 137);
INSERT INTO public.ecdc_data VALUES (24856, 0, 0, 0, 66, 137);
INSERT INTO public.ecdc_data VALUES (24857, 0, 0, 0, 110, 137);
INSERT INTO public.ecdc_data VALUES (24858, 0, 0, 0.00801902, 68, 137);
INSERT INTO public.ecdc_data VALUES (24859, 0, 88, 0, 214, 137);
INSERT INTO public.ecdc_data VALUES (24860, 139, 1750, 3.48295216, 111, 137);
INSERT INTO public.ecdc_data VALUES (24861, 0, 0, 0, 156, 137);
INSERT INTO public.ecdc_data VALUES (24862, 0, 0, 0, 158, 137);
INSERT INTO public.ecdc_data VALUES (24863, 0, 0, 0, 159, 137);
INSERT INTO public.ecdc_data VALUES (24864, 0, 0, 0, 76, 137);
INSERT INTO public.ecdc_data VALUES (24865, 0, 0, 0, 77, 137);
INSERT INTO public.ecdc_data VALUES (24866, 0, 0, 0.00099613, 16, 137);
INSERT INTO public.ecdc_data VALUES (24867, 0, 0, 0, 160, 137);
INSERT INTO public.ecdc_data VALUES (24868, 0, 0, 0, 162, 137);
INSERT INTO public.ecdc_data VALUES (24869, 0, 0, 0.0089535, 163, 137);
INSERT INTO public.ecdc_data VALUES (24870, 0, 0, 0, 164, 137);
INSERT INTO public.ecdc_data VALUES (24871, 0, 0, 0.00481816, 165, 137);
INSERT INTO public.ecdc_data VALUES (24872, 0, 0, 0, 167, 137);
INSERT INTO public.ecdc_data VALUES (24873, 0, 0, 0, 171, 137);
INSERT INTO public.ecdc_data VALUES (24874, 0, 0, 0, 112, 137);
INSERT INTO public.ecdc_data VALUES (24875, 0, 0, 0, 113, 137);
INSERT INTO public.ecdc_data VALUES (24876, 0, 0, 0, 114, 137);
INSERT INTO public.ecdc_data VALUES (24877, 0, 0, 0, 115, 137);
INSERT INTO public.ecdc_data VALUES (24878, 0, 0, 0, 172, 137);
INSERT INTO public.ecdc_data VALUES (24879, 0, 0, 0, 116, 137);
INSERT INTO public.ecdc_data VALUES (24880, 0, 0, 0, 174, 137);
INSERT INTO public.ecdc_data VALUES (24881, 0, 7, 0.03231902, 117, 137);
INSERT INTO public.ecdc_data VALUES (24882, 0, 0, 0, 120, 137);
INSERT INTO public.ecdc_data VALUES (24883, 0, 0, 0, 123, 137);
INSERT INTO public.ecdc_data VALUES (24884, 0, 0, 0, 179, 137);
INSERT INTO public.ecdc_data VALUES (24885, 0, 0, 0, 180, 137);
INSERT INTO public.ecdc_data VALUES (24886, 0, 0, 0.03755893, 124, 137);
INSERT INTO public.ecdc_data VALUES (24887, 0, 0, 0.00078385, 87, 137);
INSERT INTO public.ecdc_data VALUES (24888, 0, 0, 0, 183, 137);
INSERT INTO public.ecdc_data VALUES (24889, 0, 0, 0, 128, 137);
INSERT INTO public.ecdc_data VALUES (24890, 0, 0, 0, 185, 137);
INSERT INTO public.ecdc_data VALUES (24891, 0, 0, 0, 208, 137);
INSERT INTO public.ecdc_data VALUES (24892, 0, 0, 0, 39, 137);
INSERT INTO public.ecdc_data VALUES (24893, 0, 0, 0, 186, 137);
INSERT INTO public.ecdc_data VALUES (24894, 0, 0, 0, 187, 137);
INSERT INTO public.ecdc_data VALUES (24895, 0, 0, 0, 129, 137);
INSERT INTO public.ecdc_data VALUES (24896, 0, 0, 0, 130, 137);
INSERT INTO public.ecdc_data VALUES (24897, 0, 0, 0.00092493, 132, 137);
INSERT INTO public.ecdc_data VALUES (24898, 0, 0, 0, 133, 137);
INSERT INTO public.ecdc_data VALUES (24899, 0, 0, 0, 190, 137);
INSERT INTO public.ecdc_data VALUES (24900, 0, 0, 0, 191, 137);
INSERT INTO public.ecdc_data VALUES (24901, 0, 0, 0, 192, 137);
INSERT INTO public.ecdc_data VALUES (24902, 0, 4, 0.98202329, 135, 137);
INSERT INTO public.ecdc_data VALUES (24903, 0, 15, 0.05466047, 136, 137);
INSERT INTO public.ecdc_data VALUES (24904, 0, 0, 0.00213051, 196, 137);
INSERT INTO public.ecdc_data VALUES (24905, 0, 0, 0, 137, 137);
INSERT INTO public.ecdc_data VALUES (24906, 0, 0, 0.00977499, 197, 137);
INSERT INTO public.ecdc_data VALUES (24907, 0, 0, 0, 198, 137);
INSERT INTO public.ecdc_data VALUES (24908, 0, 0, 0.04626926, 139, 137);
INSERT INTO public.ecdc_data VALUES (24909, 0, 0, 0.01436254, 141, 137);
INSERT INTO public.ecdc_data VALUES (24910, 0, 0, 0.04093945, 143, 137);
INSERT INTO public.ecdc_data VALUES (24911, 0, 0, 0.01050308, 201, 137);
INSERT INTO public.ecdc_data VALUES (24912, 0, 0, 0.00121557, 101, 137);
INSERT INTO public.ecdc_data VALUES (24913, 0, 0, 0.00622006, 145, 137);
INSERT INTO public.ecdc_data VALUES (24914, 0, 0, 0, 105, 138);
INSERT INTO public.ecdc_data VALUES (24915, 0, 0, 0, 1, 138);
INSERT INTO public.ecdc_data VALUES (24916, 0, 0, 0, 149, 138);
INSERT INTO public.ecdc_data VALUES (24917, 0, 0, 0, 202, 138);
INSERT INTO public.ecdc_data VALUES (24918, 0, 0, 0, 150, 138);
INSERT INTO public.ecdc_data VALUES (24919, 0, 0, 0, 151, 138);
INSERT INTO public.ecdc_data VALUES (24920, 0, 0, 0, 106, 138);
INSERT INTO public.ecdc_data VALUES (24921, 0, 0, 0, 152, 138);
INSERT INTO public.ecdc_data VALUES (24922, 0, 0, 0, 153, 138);
INSERT INTO public.ecdc_data VALUES (24923, 0, 0, 0, 66, 138);
INSERT INTO public.ecdc_data VALUES (24924, 0, 0, 0, 110, 138);
INSERT INTO public.ecdc_data VALUES (24925, 0, 0, 0, 68, 138);
INSERT INTO public.ecdc_data VALUES (24926, 0, 0, 0, 214, 138);
INSERT INTO public.ecdc_data VALUES (24927, 1, 136, 0.01095005, 111, 138);
INSERT INTO public.ecdc_data VALUES (24928, 0, 0, 0, 156, 138);
INSERT INTO public.ecdc_data VALUES (24929, 0, 0, 0, 158, 138);
INSERT INTO public.ecdc_data VALUES (24930, 0, 0, 0, 159, 138);
INSERT INTO public.ecdc_data VALUES (24931, 0, 0, 0, 76, 138);
INSERT INTO public.ecdc_data VALUES (24932, 0, 0, 0, 77, 138);
INSERT INTO public.ecdc_data VALUES (24933, 0, 0, 0, 16, 138);
INSERT INTO public.ecdc_data VALUES (24934, 0, 0, 0, 160, 138);
INSERT INTO public.ecdc_data VALUES (24935, 0, 0, 0, 162, 138);
INSERT INTO public.ecdc_data VALUES (24936, 0, 0, 0, 163, 138);
INSERT INTO public.ecdc_data VALUES (24937, 0, 0, 0, 164, 138);
INSERT INTO public.ecdc_data VALUES (24938, 0, 0, 0, 165, 138);
INSERT INTO public.ecdc_data VALUES (24939, 0, 0, 0, 167, 138);
INSERT INTO public.ecdc_data VALUES (24940, 0, 0, 0, 171, 138);
INSERT INTO public.ecdc_data VALUES (24941, 0, 0, 0, 112, 138);
INSERT INTO public.ecdc_data VALUES (24942, 0, 0, 0, 113, 138);
INSERT INTO public.ecdc_data VALUES (24943, 0, 0, 0, 114, 138);
INSERT INTO public.ecdc_data VALUES (24944, 0, 0, 0, 115, 138);
INSERT INTO public.ecdc_data VALUES (24945, 0, 0, 0, 172, 138);
INSERT INTO public.ecdc_data VALUES (24946, 0, 0, 0, 116, 138);
INSERT INTO public.ecdc_data VALUES (24947, 0, 0, 0, 174, 138);
INSERT INTO public.ecdc_data VALUES (24948, 0, 0, 0.00078827, 117, 138);
INSERT INTO public.ecdc_data VALUES (24949, 0, 0, 0, 120, 138);
INSERT INTO public.ecdc_data VALUES (24950, 0, 0, 0, 123, 138);
INSERT INTO public.ecdc_data VALUES (24951, 0, 0, 0, 179, 138);
INSERT INTO public.ecdc_data VALUES (24952, 0, 0, 0, 180, 138);
INSERT INTO public.ecdc_data VALUES (24953, 0, 0, 0, 124, 138);
INSERT INTO public.ecdc_data VALUES (24954, 0, 0, 0.00078385, 87, 138);
INSERT INTO public.ecdc_data VALUES (24955, 0, 0, 0, 183, 138);
INSERT INTO public.ecdc_data VALUES (24956, 0, 0, 0, 128, 138);
INSERT INTO public.ecdc_data VALUES (24957, 0, 0, 0, 185, 138);
INSERT INTO public.ecdc_data VALUES (24958, 0, 0, 0, 208, 138);
INSERT INTO public.ecdc_data VALUES (24959, 0, 0, 0, 39, 138);
INSERT INTO public.ecdc_data VALUES (24960, 0, 0, 0, 186, 138);
INSERT INTO public.ecdc_data VALUES (24961, 0, 0, 0, 187, 138);
INSERT INTO public.ecdc_data VALUES (24962, 0, 0, 0, 129, 138);
INSERT INTO public.ecdc_data VALUES (24963, 0, 0, 0, 130, 138);
INSERT INTO public.ecdc_data VALUES (24964, 0, 0, 0, 132, 138);
INSERT INTO public.ecdc_data VALUES (24965, 0, 0, 0, 133, 138);
INSERT INTO public.ecdc_data VALUES (24966, 0, 0, 0, 190, 138);
INSERT INTO public.ecdc_data VALUES (24967, 0, 0, 0, 191, 138);
INSERT INTO public.ecdc_data VALUES (24968, 0, 0, 0, 192, 138);
INSERT INTO public.ecdc_data VALUES (24969, 0, 0, 0, 135, 138);
INSERT INTO public.ecdc_data VALUES (24970, 0, 0, 0, 136, 138);
INSERT INTO public.ecdc_data VALUES (24971, 0, 0, 0, 196, 138);
INSERT INTO public.ecdc_data VALUES (24972, 0, 0, 0, 137, 138);
INSERT INTO public.ecdc_data VALUES (24973, 0, 0, 0, 197, 138);
INSERT INTO public.ecdc_data VALUES (24974, 0, 0, 0, 198, 138);
INSERT INTO public.ecdc_data VALUES (24975, 0, 0, 0, 139, 138);
INSERT INTO public.ecdc_data VALUES (24976, 0, 0, 0.00287251, 141, 138);
INSERT INTO public.ecdc_data VALUES (24977, 0, 0, 0, 143, 138);
INSERT INTO public.ecdc_data VALUES (24978, 0, 0, 0, 201, 138);
INSERT INTO public.ecdc_data VALUES (24979, 0, 0, 0, 101, 138);
INSERT INTO public.ecdc_data VALUES (24980, 0, 0, 0, 145, 138);
INSERT INTO public.ecdc_data VALUES (24981, 13, 383, 5.35464227, 105, 139);
INSERT INTO public.ecdc_data VALUES (24982, 6, 694, 252.30337752, 147, 139);
INSERT INTO public.ecdc_data VALUES (24983, 18, 1002, 24.64865791, 1, 139);
INSERT INTO public.ecdc_data VALUES (24984, 0, 37, 1366.55420928, 148, 139);
INSERT INTO public.ecdc_data VALUES (24985, 0, 164, 7.50032231, 2, 139);
INSERT INTO public.ecdc_data VALUES (24986, 0, 0, 0, 56, 139);
INSERT INTO public.ecdc_data VALUES (24987, 0, 0, 4.11882819, 57, 139);
INSERT INTO public.ecdc_data VALUES (24988, 379, 10621, 298.63105011, 58, 139);
INSERT INTO public.ecdc_data VALUES (24989, 28, 1589, 788.07111404, 149, 139);
INSERT INTO public.ecdc_data VALUES (24990, 0, 8, 129.80904901, 59, 139);
INSERT INTO public.ecdc_data VALUES (24991, 0, 6, 0.57929152, 202, 139);
INSERT INTO public.ecdc_data VALUES (24992, 74, 5664, 1069.5271073, 150, 139);
INSERT INTO public.ecdc_data VALUES (24993, 20, 2075, 207.76854926, 151, 139);
INSERT INTO public.ecdc_data VALUES (24994, 0, 56, 134.02278901, 60, 139);
INSERT INTO public.ecdc_data VALUES (24995, 0, 126, 161.16609918, 106, 139);
INSERT INTO public.ecdc_data VALUES (24996, 39, 2212, 14.74244967, 107, 139);
INSERT INTO public.ecdc_data VALUES (24997, 0, 0, 4.18087875, 61, 139);
INSERT INTO public.ecdc_data VALUES (24998, 7, 1251, 162.60405152, 152, 139);
INSERT INTO public.ecdc_data VALUES (24999, 153, 4828, 697.60261408, 153, 139);
INSERT INTO public.ecdc_data VALUES (25000, 2, 37, 289.48305499, 62, 139);
INSERT INTO public.ecdc_data VALUES (25001, 0, 0, 1.36427371, 3, 139);
INSERT INTO public.ecdc_data VALUES (25002, 0, 0, 27.19651885, 63, 139);
INSERT INTO public.ecdc_data VALUES (25003, 0, 1, 2.62090909, 108, 139);
INSERT INTO public.ecdc_data VALUES (25004, 17, 227, 13.35000767, 64, 139);
INSERT INTO public.ecdc_data VALUES (25005, 0, 0, 15.39468114, 65, 139);
INSERT INTO public.ecdc_data VALUES (25006, 69, 1255, 609.57322604, 154, 139);
INSERT INTO public.ecdc_data VALUES (25007, 0, 0, 106.82800691, 4, 139);
INSERT INTO public.ecdc_data VALUES (25008, 685, 35294, 163.8046851, 66, 139);
INSERT INTO public.ecdc_data VALUES (25009, 0, 0, 0, 67, 139);
INSERT INTO public.ecdc_data VALUES (25010, 0, 0, 0, 109, 139);
INSERT INTO public.ecdc_data VALUES (25011, 131, 4828, 658.01061966, 155, 139);
INSERT INTO public.ecdc_data VALUES (25012, 0, 0, 0.60035284, 5, 139);
INSERT INTO public.ecdc_data VALUES (25013, 0, 1, 0.29486816, 6, 139);
INSERT INTO public.ecdc_data VALUES (25014, 0, 1, 0.07278664, 110, 139);
INSERT INTO public.ecdc_data VALUES (25015, 0, 204, 3.06457003, 7, 139);
INSERT INTO public.ecdc_data VALUES (25016, 59, 4276, 164.47819491, 68, 139);
INSERT INTO public.ecdc_data VALUES (25017, 0, 120, 184.74877077, 8, 139);
INSERT INTO public.ecdc_data VALUES (25018, 0, 0, 23.0953994, 69, 139);
INSERT INTO public.ecdc_data VALUES (25019, 0, 0, 0.7165167, 9, 139);
INSERT INTO public.ecdc_data VALUES (25020, 0, 5, 0.59572774, 10, 139);
INSERT INTO public.ecdc_data VALUES (25021, 20, 1006, 102.40588939, 70, 139);
INSERT INTO public.ecdc_data VALUES (25022, 0, 8, 0.01722715, 111, 139);
INSERT INTO public.ecdc_data VALUES (25023, 158, 5911, 221.96510994, 71, 139);
INSERT INTO public.ecdc_data VALUES (25024, 0, 12, 4.34838305, 11, 139);
INSERT INTO public.ecdc_data VALUES (25025, 0, 0, 3.10379845, 12, 139);
INSERT INTO public.ecdc_data VALUES (25026, 12, 998, 266.86155947, 72, 139);
INSERT INTO public.ecdc_data VALUES (25027, 1, 16, 0.92936246, 13, 139);
INSERT INTO public.ecdc_data VALUES (25028, 31, 1945, 818.81711751, 156, 139);
INSERT INTO public.ecdc_data VALUES (25029, 0, 28, 5.57639645, 73, 139);
INSERT INTO public.ecdc_data VALUES (25030, 0, 41, 253.94222355, 74, 139);
INSERT INTO public.ecdc_data VALUES (25031, 0, 228, 294.44034072, 157, 139);
INSERT INTO public.ecdc_data VALUES (25032, 142, 4246, 1002.68549644, 158, 139);
INSERT INTO public.ecdc_data VALUES (25033, 2, 28, 0.50696753, 14, 139);
INSERT INTO public.ecdc_data VALUES (25034, 4, 1220, 257.6092204, 159, 139);
INSERT INTO public.ecdc_data VALUES (25035, 0, 1, 8.32000592, 15, 139);
INSERT INTO public.ecdc_data VALUES (25036, 0, 0, 36.20766488, 75, 139);
INSERT INTO public.ecdc_data VALUES (25037, 4, 494, 63.77714335, 76, 139);
INSERT INTO public.ecdc_data VALUES (25038, 9, 428, 63.27971135, 77, 139);
INSERT INTO public.ecdc_data VALUES (25039, 16, 275, 3.14977647, 16, 139);
INSERT INTO public.ecdc_data VALUES (25040, 4, 0, 41.12465232, 78, 139);
INSERT INTO public.ecdc_data VALUES (25041, 0, 0, 2.35991333, 17, 139);
INSERT INTO public.ecdc_data VALUES (25042, 0, 0, 0.37173477, 18, 139);
INSERT INTO public.ecdc_data VALUES (25043, 3, 185, 219.50151719, 160, 139);
INSERT INTO public.ecdc_data VALUES (25044, 0, 19, 15.85182205, 19, 139);
INSERT INTO public.ecdc_data VALUES (25045, 7, 339, 5.25791125, 20, 139);
INSERT INTO public.ecdc_data VALUES (25046, 0, 1, 88.96797153, 79, 139);
INSERT INTO public.ecdc_data VALUES (25047, 0, 0, 6.16307496, 161, 139);
INSERT INTO public.ecdc_data VALUES (25048, 0, 0, 0.11236523, 203, 139);
INSERT INTO public.ecdc_data VALUES (25049, 0, 228, 54.54955029, 162, 139);
INSERT INTO public.ecdc_data VALUES (25050, 1219, 45522, 796.84976395, 163, 139);
INSERT INTO public.ecdc_data VALUES (25051, 3, 415, 1244.24870652, 204, 139);
INSERT INTO public.ecdc_data VALUES (25052, 0, 0, 4.60282669, 21, 139);
INSERT INTO public.ecdc_data VALUES (25053, 0, 0, 1.10746877, 22, 139);
INSERT INTO public.ecdc_data VALUES (25054, 0, 360, 979.1676362, 164, 139);
INSERT INTO public.ecdc_data VALUES (25055, 305, 17561, 308.01785606, 165, 139);
INSERT INTO public.ecdc_data VALUES (25056, 0, 81, 7.41998335, 23, 139);
INSERT INTO public.ecdc_data VALUES (25057, 0, 8, 548.86370379, 166, 139);
INSERT INTO public.ecdc_data VALUES (25058, 63, 2422, 322.42697373, 167, 139);
INSERT INTO public.ecdc_data VALUES (25059, 0, 0, 1.76491352, 80, 139);
INSERT INTO public.ecdc_data VALUES (25060, 0, 1, 3.5713648, 81, 139);
INSERT INTO public.ecdc_data VALUES (25061, 2, 113, 849.9955169, 205, 139);
INSERT INTO public.ecdc_data VALUES (25062, 9, 698, 41.21951991, 82, 139);
INSERT INTO public.ecdc_data VALUES (25063, 0, 0, 15.51157163, 168, 139);
INSERT INTO public.ecdc_data VALUES (25064, 0, 30, 3.4530695, 24, 139);
INSERT INTO public.ecdc_data VALUES (25065, 0, 2, 0.41646776, 25, 139);
INSERT INTO public.ecdc_data VALUES (25066, 1, 67, 82.39915685, 83, 139);
INSERT INTO public.ecdc_data VALUES (25067, 0, 2, 0.80794958, 84, 139);
INSERT INTO public.ecdc_data VALUES (25068, 0, 0, 0, 169, 139);
INSERT INTO public.ecdc_data VALUES (25069, 0, 249, 49.25039362, 85, 139);
INSERT INTO public.ecdc_data VALUES (25070, 99, 4290, 674.94778341, 170, 139);
INSERT INTO public.ecdc_data VALUES (25071, 0, 10, 72.27072951, 171, 139);
INSERT INTO public.ecdc_data VALUES (25072, 474, 38617, 43.83952107, 112, 139);
INSERT INTO public.ecdc_data VALUES (25073, 97, 3807, 20.72235843, 113, 139);
INSERT INTO public.ecdc_data VALUES (25074, 482, 13352, 181.82839395, 114, 139);
INSERT INTO public.ecdc_data VALUES (25075, 40, 2961, 107.37020237, 115, 139);
INSERT INTO public.ecdc_data VALUES (25076, 11, 330, 114.96174739, 172, 139);
INSERT INTO public.ecdc_data VALUES (25077, 0, 1, 9.45749447, 173, 139);
INSERT INTO public.ecdc_data VALUES (25078, 0, 827, 106.46323386, 116, 139);
INSERT INTO public.ecdc_data VALUES (25079, 731, 32191, 792.3237196, 174, 139);
INSERT INTO public.ecdc_data VALUES (25080, 0, 0, 21.47016715, 86, 139);
INSERT INTO public.ecdc_data VALUES (25081, 10, 1489, 14.12183334, 117, 139);
INSERT INTO public.ecdc_data VALUES (25082, 0, 11, 154.92226057, 175, 139);
INSERT INTO public.ecdc_data VALUES (25083, 66, 6454, 687.18156959, 118, 139);
INSERT INTO public.ecdc_data VALUES (25084, 0, 950, 58.2219331, 119, 139);
INSERT INTO public.ecdc_data VALUES (25085, 15, 925, 27.83887318, 26, 139);
INSERT INTO public.ecdc_data VALUES (25086, 16, 690, 527.9937904, 176, 139);
INSERT INTO public.ecdc_data VALUES (25087, 6, 556, 233.0596754, 120, 139);
INSERT INTO public.ecdc_data VALUES (25088, 5, 425, 110.97514578, 121, 139);
INSERT INTO public.ecdc_data VALUES (25089, 0, 0, 0, 122, 139);
INSERT INTO public.ecdc_data VALUES (25090, 6, 278, 233.07680128, 177, 139);
INSERT INTO public.ecdc_data VALUES (25091, 12, 1507, 331.75270421, 123, 139);
INSERT INTO public.ecdc_data VALUES (25092, 0, 0, 3.76423292, 27, 139);
INSERT INTO public.ecdc_data VALUES (25093, 0, 0, 1.53927979, 28, 139);
INSERT INTO public.ecdc_data VALUES (25094, 16, 612, 165.96205094, 29, 139);
INSERT INTO public.ecdc_data VALUES (25095, 1, 13, 935.43175778, 178, 139);
INSERT INTO public.ecdc_data VALUES (25096, 14, 965, 695.12244004, 179, 139);
INSERT INTO public.ecdc_data VALUES (25097, 10, 164, 1241.58242302, 180, 139);
INSERT INTO public.ecdc_data VALUES (25098, 0, 0, 0.45236611, 30, 139);
INSERT INTO public.ecdc_data VALUES (25099, 0, 24, 0.32745087, 31, 139);
INSERT INTO public.ecdc_data VALUES (25100, 5, 1210, 48.00344691, 124, 139);
INSERT INTO public.ecdc_data VALUES (25101, 1, 41, 105.28159531, 125, 139);
INSERT INTO public.ecdc_data VALUES (25102, 2, 112, 2.07040148, 32, 139);
INSERT INTO public.ecdc_data VALUES (25103, 1, 173, 370.5737308, 181, 139);
INSERT INTO public.ecdc_data VALUES (25104, 0, 3, 5.10282186, 206, 139);
INSERT INTO public.ecdc_data VALUES (25105, 0, 67, 5.01580088, 33, 139);
INSERT INTO public.ecdc_data VALUES (25106, 0, 13, 3.15042491, 34, 139);
INSERT INTO public.ecdc_data VALUES (25107, 165, 1757, 57.02347509, 87, 139);
INSERT INTO public.ecdc_data VALUES (25108, 19, 1069, 332.03421597, 182, 139);
INSERT INTO public.ecdc_data VALUES (25109, 1, 5, 483.60284117, 183, 139);
INSERT INTO public.ecdc_data VALUES (25110, 0, 21, 3.19363406, 126, 139);
INSERT INTO public.ecdc_data VALUES (25111, 9, 619, 1352.49814363, 184, 139);
INSERT INTO public.ecdc_data VALUES (25112, 0, 0, 0, 88, 139);
INSERT INTO public.ecdc_data VALUES (25113, 82, 5415, 197.5199117, 35, 139);
INSERT INTO public.ecdc_data VALUES (25114, 2, 52, 4.49185954, 36, 139);
INSERT INTO public.ecdc_data VALUES (25115, 26, 1569, 29.4678058, 127, 139);
INSERT INTO public.ecdc_data VALUES (25116, 2, 11, 21.48706527, 37, 139);
INSERT INTO public.ecdc_data VALUES (25117, 17, 502, 111.36816176, 128, 139);
INSERT INTO public.ecdc_data VALUES (25118, 85, 4296, 468.74340903, 185, 139);
INSERT INTO public.ecdc_data VALUES (25119, 0, 0, 0.70732113, 207, 139);
INSERT INTO public.ecdc_data VALUES (25120, 0, 3, 0.77356304, 208, 139);
INSERT INTO public.ecdc_data VALUES (25121, 1, 0, 2.24581671, 89, 139);
INSERT INTO public.ecdc_data VALUES (25122, 0, 11, 0.45043656, 38, 139);
INSERT INTO public.ecdc_data VALUES (25123, 0, 152, 1.13652421, 39, 139);
INSERT INTO public.ecdc_data VALUES (25124, 31, 977, 707.94730426, 186, 139);
INSERT INTO public.ecdc_data VALUES (25125, 0, 0, 12.23498156, 209, 139);
INSERT INTO public.ecdc_data VALUES (25126, 4, 547, 153.44734782, 187, 139);
INSERT INTO public.ecdc_data VALUES (25127, 0, 0, 84.22124096, 129, 139);
INSERT INTO public.ecdc_data VALUES (25128, 37, 2298, 11.91649723, 130, 139);
INSERT INTO public.ecdc_data VALUES (25129, 11, 1158, 203.47603556, 131, 139);
INSERT INTO public.ecdc_data VALUES (25130, 12, 1054, 309.17662795, 90, 139);
INSERT INTO public.ecdc_data VALUES (25131, 0, 0, 0.05697279, 210, 139);
INSERT INTO public.ecdc_data VALUES (25132, 11, 758, 116.81223126, 91, 139);
INSERT INTO public.ecdc_data VALUES (25133, 46, 1663, 95.44312228, 92, 139);
INSERT INTO public.ecdc_data VALUES (25134, 23, 1144, 21.78850908, 132, 139);
INSERT INTO public.ecdc_data VALUES (25135, 357, 19152, 890.36334733, 188, 139);
INSERT INTO public.ecdc_data VALUES (25136, 81, 4452, 785.09299315, 189, 139);
INSERT INTO public.ecdc_data VALUES (25137, 9, 703, 363.298066, 93, 139);
INSERT INTO public.ecdc_data VALUES (25138, 0, 194, 108.71902576, 133, 139);
INSERT INTO public.ecdc_data VALUES (25139, 186, 8262, 592.53263727, 190, 139);
INSERT INTO public.ecdc_data VALUES (25140, 442, 22410, 203.82696477, 191, 139);
INSERT INTO public.ecdc_data VALUES (25141, 1, 16, 2.73225385, 40, 139);
INSERT INTO public.ecdc_data VALUES (25142, 0, 0, 0, 94, 139);
INSERT INTO public.ecdc_data VALUES (25143, 0, 5, 44.31193413, 95, 139);
INSERT INTO public.ecdc_data VALUES (25144, 0, 5, 7.23373089, 96, 139);
INSERT INTO public.ecdc_data VALUES (25145, 0, 0, 859.14143906, 192, 139);
INSERT INTO public.ecdc_data VALUES (25146, 0, 2, 6.04516201, 41, 139);
INSERT INTO public.ecdc_data VALUES (25147, 16, 362, 15.78124348, 134, 139);
INSERT INTO public.ecdc_data VALUES (25148, 0, 5, 1.03704127, 42, 139);
INSERT INTO public.ecdc_data VALUES (25149, 24, 4994, 592.95518918, 193, 139);
INSERT INTO public.ecdc_data VALUES (25150, 0, 2, 3.06933631, 43, 139);
INSERT INTO public.ecdc_data VALUES (25151, 0, 1, 0.3071722, 44, 139);
INSERT INTO public.ecdc_data VALUES (25152, 0, 6, 1.74007635, 135, 139);
INSERT INTO public.ecdc_data VALUES (25153, 0, 15, 224.11474675, 97, 139);
INSERT INTO public.ecdc_data VALUES (25154, 31, 1326, 459.52413584, 194, 139);
INSERT INTO public.ecdc_data VALUES (25155, 24, 1393, 939.68594479, 195, 139);
INSERT INTO public.ecdc_data VALUES (25156, 0, 0, 0.44788085, 211, 139);
INSERT INTO public.ecdc_data VALUES (25157, 0, 0, 0.99074617, 45, 139);
INSERT INTO public.ecdc_data VALUES (25158, 119, 1987, 43.4097546, 46, 139);
INSERT INTO public.ecdc_data VALUES (25159, 2, 313, 4.65785271, 136, 139);
INSERT INTO public.ecdc_data VALUES (25160, 0, 4, 0.68702962, 47, 139);
INSERT INTO public.ecdc_data VALUES (25161, 351, 15318, 513.31080387, 196, 139);
INSERT INTO public.ecdc_data VALUES (25162, 5, 401, 29.68992204, 137, 139);
INSERT INTO public.ecdc_data VALUES (25163, 59, 421, 2.75849266, 48, 139);
INSERT INTO public.ecdc_data VALUES (25164, 1, 3, 10.32057424, 98, 139);
INSERT INTO public.ecdc_data VALUES (25165, 40, 4460, 564.03672074, 197, 139);
INSERT INTO public.ecdc_data VALUES (25166, 140, 4522, 1074.68792597, 198, 139);
INSERT INTO public.ecdc_data VALUES (25167, 4, 77, 5.55355987, 138, 139);
INSERT INTO public.ecdc_data VALUES (25168, 0, 2, 0.16404558, 139, 139);
INSERT INTO public.ecdc_data VALUES (25169, 0, 40, 5.90063988, 140, 139);
INSERT INTO public.ecdc_data VALUES (25170, 0, 2, 0.10915528, 141, 139);
INSERT INTO public.ecdc_data VALUES (25171, 0, 0, 0, 142, 139);
INSERT INTO public.ecdc_data VALUES (25172, 1, 29, 4.21906525, 49, 139);
INSERT INTO public.ecdc_data VALUES (25173, 1, 39, 27.3124349, 99, 139);
INSERT INTO public.ecdc_data VALUES (25174, 56, 720, 159.02046744, 50, 139);
INSERT INTO public.ecdc_data VALUES (25175, 103, 3819, 47.91846318, 199, 139);
INSERT INTO public.ecdc_data VALUES (25176, 0, 0, 41.89139655, 100, 139);
INSERT INTO public.ecdc_data VALUES (25177, 0, 306, 7.82478499, 51, 139);
INSERT INTO public.ecdc_data VALUES (25178, 159, 11968, 333.14813233, 200, 139);
INSERT INTO public.ecdc_data VALUES (25179, 4, 1255, 170.51282602, 143, 139);
INSERT INTO public.ecdc_data VALUES (25180, 598, 20051, 505.42325075, 201, 139);
INSERT INTO public.ecdc_data VALUES (25181, 0, 0, 0, 52, 139);
INSERT INTO public.ecdc_data VALUES (25182, 1467, 154316, 600.43562772, 101, 139);
INSERT INTO public.ecdc_data VALUES (25183, 0, 16, 62.15396973, 102, 139);
INSERT INTO public.ecdc_data VALUES (25184, 1, 104, 29.2339295, 103, 139);
INSERT INTO public.ecdc_data VALUES (25185, 1, 204, 9.38398746, 144, 139);
INSERT INTO public.ecdc_data VALUES (25186, 0, 0, 0, 212, 139);
INSERT INTO public.ecdc_data VALUES (25187, 3, 311, 17.35877993, 104, 139);
INSERT INTO public.ecdc_data VALUES (25188, 0, 5, 0.0881175, 145, 139);
INSERT INTO public.ecdc_data VALUES (25189, 0, 0, 0, 213, 139);
INSERT INTO public.ecdc_data VALUES (25190, 0, 0, 0, 53, 139);
INSERT INTO public.ecdc_data VALUES (25191, 0, 0, 0.01714565, 146, 139);
INSERT INTO public.ecdc_data VALUES (25192, 0, 56, 3.25848996, 54, 139);
INSERT INTO public.ecdc_data VALUES (25193, 3, 48, 3.65300595, 55, 139);
INSERT INTO public.ecdc_data VALUES (25194, 3, 68, 2.21861467, 105, 140);
INSERT INTO public.ecdc_data VALUES (25195, 5, 273, 92.8233279, 147, 140);
INSERT INTO public.ecdc_data VALUES (25196, 5, 215, 5.12855604, 1, 140);
INSERT INTO public.ecdc_data VALUES (25197, 0, 0, 1663.2316841, 148, 140);
INSERT INTO public.ecdc_data VALUES (25198, 6, 126, 6.31887229, 2, 140);
INSERT INTO public.ecdc_data VALUES (25199, 0, 0, 0, 56, 140);
INSERT INTO public.ecdc_data VALUES (25200, 0, 7, 12.35648458, 57, 140);
INSERT INTO public.ecdc_data VALUES (25201, 384, 13510, 420.49611802, 58, 140);
INSERT INTO public.ecdc_data VALUES (25202, 11, 1540, 374.44281557, 149, 140);
INSERT INTO public.ecdc_data VALUES (25203, 2, 15, 216.34841501, 59, 140);
INSERT INTO public.ecdc_data VALUES (25204, 0, 12, 1.03955053, 202, 140);
INSERT INTO public.ecdc_data VALUES (25205, 6, 2040, 185.98508259, 150, 140);
INSERT INTO public.ecdc_data VALUES (25206, 2, 528, 37.38161865, 151, 140);
INSERT INTO public.ecdc_data VALUES (25207, 2, 111, 312.97658966, 60, 140);
INSERT INTO public.ecdc_data VALUES (25208, 3, 246, 320.56515985, 106, 140);
INSERT INTO public.ecdc_data VALUES (25209, 23, 1209, 12.10086667, 107, 140);
INSERT INTO public.ecdc_data VALUES (25210, 0, 0, 8.01335094, 61, 140);
INSERT INTO public.ecdc_data VALUES (25211, 0, 0, 69.18871158, 152, 140);
INSERT INTO public.ecdc_data VALUES (25212, 23, 7995, 885.80011085, 153, 140);
INSERT INTO public.ecdc_data VALUES (25213, 0, 47, 164.97972338, 62, 140);
INSERT INTO public.ecdc_data VALUES (25214, 0, 0, 1.17785121, 3, 140);
INSERT INTO public.ecdc_data VALUES (25215, 0, 0, 6.3991809, 63, 140);
INSERT INTO public.ecdc_data VALUES (25216, 0, 9, 5.50390909, 108, 140);
INSERT INTO public.ecdc_data VALUES (25217, 24, 148, 27.28196102, 64, 140);
INSERT INTO public.ecdc_data VALUES (25218, 0, 0, 100.06542739, 65, 140);
INSERT INTO public.ecdc_data VALUES (25219, 2, 713, 169.34272605, 154, 140);
INSERT INTO public.ecdc_data VALUES (25220, 0, 0, 89.85533291, 4, 140);
INSERT INTO public.ecdc_data VALUES (25221, 461, 24062, 150.45236848, 66, 140);
INSERT INTO public.ecdc_data VALUES (25222, 0, 0, 0, 67, 140);
INSERT INTO public.ecdc_data VALUES (25223, 0, 0, 0.23078911, 109, 140);
INSERT INTO public.ecdc_data VALUES (25224, 10, 603, 108.42796733, 155, 140);
INSERT INTO public.ecdc_data VALUES (25225, 0, 0, 0.93005481, 5, 140);
INSERT INTO public.ecdc_data VALUES (25226, 0, 5, 0.19946964, 6, 140);
INSERT INTO public.ecdc_data VALUES (25227, 0, 0, 0.03032777, 110, 140);
INSERT INTO public.ecdc_data VALUES (25228, 0, 0, 1.99796053, 7, 140);
INSERT INTO public.ecdc_data VALUES (25229, 24, 2215, 85.13530151, 68, 140);
INSERT INTO public.ecdc_data VALUES (25230, 3, 112, 244.02839603, 8, 140);
INSERT INTO public.ecdc_data VALUES (25231, 0, 0, 30.79386586, 69, 140);
INSERT INTO public.ecdc_data VALUES (25232, 0, 0, 0.21074021, 9, 140);
INSERT INTO public.ecdc_data VALUES (25233, 0, 4, 0.94689357, 10, 140);
INSERT INTO public.ecdc_data VALUES (25234, 59, 1813, 113.61312914, 70, 140);
INSERT INTO public.ecdc_data VALUES (25235, 0, 30, 0.02448068, 111, 140);
INSERT INTO public.ecdc_data VALUES (25236, 187, 7017, 207.04241801, 71, 140);
INSERT INTO public.ecdc_data VALUES (25237, 0, 0, 1.76285799, 11, 140);
INSERT INTO public.ecdc_data VALUES (25238, 0, 0, 1.24523651, 12, 140);
INSERT INTO public.ecdc_data VALUES (25239, 15, 1166, 323.56221153, 72, 140);
INSERT INTO public.ecdc_data VALUES (25240, 0, 26, 1.75762274, 13, 140);
INSERT INTO public.ecdc_data VALUES (25241, 10, 1096, 180.55828819, 156, 140);
INSERT INTO public.ecdc_data VALUES (25242, 1, 52, 3.44113072, 73, 140);
INSERT INTO public.ecdc_data VALUES (25243, 0, 17, 175.00596611, 74, 140);
INSERT INTO public.ecdc_data VALUES (25244, 0, 0, 64.84765938, 157, 140);
INSERT INTO public.ecdc_data VALUES (25245, 69, 8715, 828.3911435, 158, 140);
INSERT INTO public.ecdc_data VALUES (25246, 0, 6, 0.29150633, 14, 140);
INSERT INTO public.ecdc_data VALUES (25247, 2, 500, 97.12231021, 159, 140);
INSERT INTO public.ecdc_data VALUES (25248, 0, 3, 3.49234816, 15, 140);
INSERT INTO public.ecdc_data VALUES (25249, 0, 0, 2.78520499, 75, 140);
INSERT INTO public.ecdc_data VALUES (25250, 3, 475, 65.17392704, 76, 140);
INSERT INTO public.ecdc_data VALUES (25251, 18, 763, 69.47875165, 77, 140);
INSERT INTO public.ecdc_data VALUES (25252, 10, 138, 1.71534316, 16, 140);
INSERT INTO public.ecdc_data VALUES (25253, 5, 191, 32.5092391, 78, 140);
INSERT INTO public.ecdc_data VALUES (25254, 0, 0, 1.84368229, 17, 140);
INSERT INTO public.ecdc_data VALUES (25255, 0, 0, 0.68627958, 18, 140);
INSERT INTO public.ecdc_data VALUES (25256, 0, 35, 35.85392733, 160, 140);
INSERT INTO public.ecdc_data VALUES (25257, 0, 19, 20.46801198, 19, 140);
INSERT INTO public.ecdc_data VALUES (25258, 9, 600, 9.43443978, 20, 140);
INSERT INTO public.ecdc_data VALUES (25259, 0, 0, 0, 79, 140);
INSERT INTO public.ecdc_data VALUES (25260, 0, 1, 20.54358321, 161, 140);
INSERT INTO public.ecdc_data VALUES (25261, 0, 0, 0, 203, 140);
INSERT INTO public.ecdc_data VALUES (25262, 0, 160, 55.25633849, 162, 140);
INSERT INTO public.ecdc_data VALUES (25263, 89, 32427, 388.83866554, 163, 140);
INSERT INTO public.ecdc_data VALUES (25264, 0, 62, 656.31881411, 204, 140);
INSERT INTO public.ecdc_data VALUES (25265, 0, 0, 3.86637442, 21, 140);
INSERT INTO public.ecdc_data VALUES (25266, 0, 0, 2.51310221, 22, 140);
INSERT INTO public.ecdc_data VALUES (25267, 4, 958, 204.34041356, 164, 140);
INSERT INTO public.ecdc_data VALUES (25268, 10, 5587, 75.56925407, 165, 140);
INSERT INTO public.ecdc_data VALUES (25269, 0, 59, 1.41035572, 23, 140);
INSERT INTO public.ecdc_data VALUES (25270, 0, 14, 385.68800807, 166, 140);
INSERT INTO public.ecdc_data VALUES (25271, 10, 482, 49.59625996, 167, 140);
INSERT INTO public.ecdc_data VALUES (25272, 0, 0, 3.52982704, 80, 140);
INSERT INTO public.ecdc_data VALUES (25273, 0, 2, 2.6785236, 81, 140);
INSERT INTO public.ecdc_data VALUES (25274, 3, 0, 548.73128306, 205, 140);
INSERT INTO public.ecdc_data VALUES (25275, 37, 597, 41.40721746, 82, 140);
INSERT INTO public.ecdc_data VALUES (25276, 0, 0, 1.55115716, 168, 140);
INSERT INTO public.ecdc_data VALUES (25277, 0, 116, 5.81775654, 24, 140);
INSERT INTO public.ecdc_data VALUES (25278, 0, 0, 1.40557869, 25, 140);
INSERT INTO public.ecdc_data VALUES (25279, 2, 38, 90.06419469, 83, 140);
INSERT INTO public.ecdc_data VALUES (25280, 0, 0, 1.01215662, 84, 140);
INSERT INTO public.ecdc_data VALUES (25281, 0, 0, 1717.79141104, 169, 140);
INSERT INTO public.ecdc_data VALUES (25282, 7, 903, 90.35395129, 85, 140);
INSERT INTO public.ecdc_data VALUES (25283, 33, 1474, 160.80417847, 170, 140);
INSERT INTO public.ecdc_data VALUES (25284, 0, 69, 315.41411408, 171, 140);
INSERT INTO public.ecdc_data VALUES (25285, 1033, 61871, 69.17196413, 112, 140);
INSERT INTO public.ecdc_data VALUES (25286, 84, 4301, 21.52642141, 113, 140);
INSERT INTO public.ecdc_data VALUES (25287, 253, 4103, 70.39954088, 114, 140);
INSERT INTO public.ecdc_data VALUES (25288, 56, 3221, 121.07162417, 115, 140);
INSERT INTO public.ecdc_data VALUES (25289, 8, 1251, 224.49961666, 172, 140);
INSERT INTO public.ecdc_data VALUES (25290, 0, 0, 7.09312085, 173, 140);
INSERT INTO public.ecdc_data VALUES (25291, 49, 936, 445.74876578, 116, 140);
INSERT INTO public.ecdc_data VALUES (25292, 47, 10925, 132.18290277, 174, 140);
INSERT INTO public.ecdc_data VALUES (25293, 6, 63, 47.48536179, 86, 140);
INSERT INTO public.ecdc_data VALUES (25294, 9, 593, 5.76776191, 117, 140);
INSERT INTO public.ecdc_data VALUES (25295, 0, 0, 64.00979628, 175, 140);
INSERT INTO public.ecdc_data VALUES (25296, 20, 1505, 210.89525849, 118, 140);
INSERT INTO public.ecdc_data VALUES (25297, 1, 301, 19.25458245, 119, 140);
INSERT INTO public.ecdc_data VALUES (25298, 12, 616, 9.53323534, 26, 140);
INSERT INTO public.ecdc_data VALUES (25299, 0, 148, 55.37929815, 176, 140);
INSERT INTO public.ecdc_data VALUES (25300, 4, 739, 214.51948705, 120, 140);
INSERT INTO public.ecdc_data VALUES (25301, 0, 0, 63.31194412, 121, 140);
INSERT INTO public.ecdc_data VALUES (25302, 0, 0, 0, 122, 140);
INSERT INTO public.ecdc_data VALUES (25303, 0, 188, 71.51160853, 177, 140);
INSERT INTO public.ecdc_data VALUES (25304, 8, 1171, 259.49176081, 123, 140);
INSERT INTO public.ecdc_data VALUES (25305, 0, 0, 7.19909545, 27, 140);
INSERT INTO public.ecdc_data VALUES (25306, 0, 0, 0.60761044, 28, 140);
INSERT INTO public.ecdc_data VALUES (25307, 0, 0, 173.48700168, 29, 140);
INSERT INTO public.ecdc_data VALUES (25308, 0, 22, 244.93199229, 178, 140);
INSERT INTO public.ecdc_data VALUES (25309, 1, 228, 78.30550887, 179, 140);
INSERT INTO public.ecdc_data VALUES (25310, 0, 0, 287.02023476, 180, 140);
INSERT INTO public.ecdc_data VALUES (25311, 1, 56, 1.04192522, 30, 140);
INSERT INTO public.ecdc_data VALUES (25312, 0, 10, 0.37039524, 31, 140);
INSERT INTO public.ecdc_data VALUES (25313, 4, 869, 23.59639996, 124, 140);
INSERT INTO public.ecdc_data VALUES (25314, 1, 24, 134.28582729, 125, 140);
INSERT INTO public.ecdc_data VALUES (25315, 0, 11, 1.06317914, 32, 140);
INSERT INTO public.ecdc_data VALUES (25316, 0, 142, 275.34702032, 181, 140);
INSERT INTO public.ecdc_data VALUES (25317, 0, 18, 2.0328356, 33, 140);
INSERT INTO public.ecdc_data VALUES (25318, 0, 0, 2.04777619, 34, 140);
INSERT INTO public.ecdc_data VALUES (25319, 355, 2800, 38.17424892, 87, 140);
INSERT INTO public.ecdc_data VALUES (25320, 20, 792, 266.2209535, 182, 140);
INSERT INTO public.ecdc_data VALUES (25321, 0, 5, 114.85567478, 183, 140);
INSERT INTO public.ecdc_data VALUES (25322, 0, 4, 0.34106772, 126, 140);
INSERT INTO public.ecdc_data VALUES (25323, 3, 146, 561.41129123, 184, 140);
INSERT INTO public.ecdc_data VALUES (25324, 0, 0, 0, 88, 140);
INSERT INTO public.ecdc_data VALUES (25325, 60, 3763, 108.80471212, 35, 140);
INSERT INTO public.ecdc_data VALUES (25326, 1, 95, 5.46004628, 36, 140);
INSERT INTO public.ecdc_data VALUES (25327, 39, 1387, 33.99362854, 127, 140);
INSERT INTO public.ecdc_data VALUES (25328, 0, 48, 27.70067556, 37, 140);
INSERT INTO public.ecdc_data VALUES (25329, 12, 3167, 156.36493984, 128, 140);
INSERT INTO public.ecdc_data VALUES (25330, 29, 8105, 509.4616918, 185, 140);
INSERT INTO public.ecdc_data VALUES (25331, 0, 0, 0, 207, 140);
INSERT INTO public.ecdc_data VALUES (25332, 0, 3, 0.6690275, 208, 140);
INSERT INTO public.ecdc_data VALUES (25333, 0, 0, 2.79581264, 89, 140);
INSERT INTO public.ecdc_data VALUES (25334, 0, 0, 0.03860885, 38, 140);
INSERT INTO public.ecdc_data VALUES (25335, 4, 113, 1.00515714, 39, 140);
INSERT INTO public.ecdc_data VALUES (25336, 3, 594, 221.41106102, 186, 140);
INSERT INTO public.ecdc_data VALUES (25337, 0, 6, 22.72210861, 209, 140);
INSERT INTO public.ecdc_data VALUES (25338, 0, 0, 37.2920597, 187, 140);
INSERT INTO public.ecdc_data VALUES (25339, 0, 0, 195.19629378, 129, 140);
INSERT INTO public.ecdc_data VALUES (25340, 16, 567, 3.88012269, 130, 140);
INSERT INTO public.ecdc_data VALUES (25341, 0, 312, 123.19775357, 131, 140);
INSERT INTO public.ecdc_data VALUES (25342, 11, 609, 222.63354716, 90, 140);
INSERT INTO public.ecdc_data VALUES (25343, 0, 3, 0.46717689, 210, 140);
INSERT INTO public.ecdc_data VALUES (25344, 13, 533, 149.94380833, 91, 140);
INSERT INTO public.ecdc_data VALUES (25345, 54, 3132, 124.77214258, 92, 140);
INSERT INTO public.ecdc_data VALUES (25346, 72, 2588, 32.37984997, 132, 140);
INSERT INTO public.ecdc_data VALUES (25347, 84, 9622, 181.94596703, 188, 140);
INSERT INTO public.ecdc_data VALUES (25348, 13, 2153, 192.74825558, 189, 140);
INSERT INTO public.ecdc_data VALUES (25349, 3, 238, 240.0623985, 93, 140);
INSERT INTO public.ecdc_data VALUES (25350, 1, 235, 101.97484456, 133, 140);
INSERT INTO public.ecdc_data VALUES (25351, 63, 3952, 218.40939366, 190, 140);
INSERT INTO public.ecdc_data VALUES (25352, 279, 14922, 123.2125971, 191, 140);
INSERT INTO public.ecdc_data VALUES (25353, 0, 6, 0.94242959, 40, 140);
INSERT INTO public.ecdc_data VALUES (25354, 0, 0, 0, 94, 140);
INSERT INTO public.ecdc_data VALUES (25355, 0, 1, 3.28236549, 95, 140);
INSERT INTO public.ecdc_data VALUES (25356, 0, 2, 2.71264908, 96, 140);
INSERT INTO public.ecdc_data VALUES (25357, 0, 0, 78.36763127, 192, 140);
INSERT INTO public.ecdc_data VALUES (25358, 0, 0, 8.83523678, 41, 140);
INSERT INTO public.ecdc_data VALUES (25359, 21, 359, 17.09148356, 134, 140);
INSERT INTO public.ecdc_data VALUES (25360, 0, 24, 1.9881738, 42, 140);
INSERT INTO public.ecdc_data VALUES (25361, 2, 227, 30.21354543, 193, 140);
INSERT INTO public.ecdc_data VALUES (25362, 0, 0, 4.09244841, 43, 140);
INSERT INTO public.ecdc_data VALUES (25363, 0, 2, 0.87032124, 44, 140);
INSERT INTO public.ecdc_data VALUES (25364, 0, 3, 1.79176179, 135, 140);
INSERT INTO public.ecdc_data VALUES (25365, 0, 3, 167.49628441, 97, 140);
INSERT INTO public.ecdc_data VALUES (25366, 11, 1968, 292.58290323, 194, 140);
INSERT INTO public.ecdc_data VALUES (25367, 0, 898, 292.46848011, 195, 140);
INSERT INTO public.ecdc_data VALUES (25368, 0, 0, 0, 211, 140);
INSERT INTO public.ecdc_data VALUES (25369, 0, 0, 0.77058036, 45, 140);
INSERT INTO public.ecdc_data VALUES (25370, 38, 1928, 38.27811366, 46, 140);
INSERT INTO public.ecdc_data VALUES (25371, 1, 91, 2.16299279, 136, 140);
INSERT INTO public.ecdc_data VALUES (25372, 0, 0, 0.92206607, 47, 140);
INSERT INTO public.ecdc_data VALUES (25373, 0, 0, 312.39280858, 196, 140);
INSERT INTO public.ecdc_data VALUES (25374, 0, 121, 9.74969956, 137, 140);
INSERT INTO public.ecdc_data VALUES (25375, 0, 0, 0.0887576, 48, 140);
INSERT INTO public.ecdc_data VALUES (25376, 0, 10, 34.22990455, 98, 140);
INSERT INTO public.ecdc_data VALUES (25377, 4, 697, 92.83312081, 197, 140);
INSERT INTO public.ecdc_data VALUES (25378, 0, 0, 233.6466372, 198, 140);
INSERT INTO public.ecdc_data VALUES (25379, 4, 46, 4.1241626, 138, 140);
INSERT INTO public.ecdc_data VALUES (25380, 0, 0, 0.07571334, 139, 140);
INSERT INTO public.ecdc_data VALUES (25381, 0, 41, 6.00792424, 140, 140);
INSERT INTO public.ecdc_data VALUES (25382, 0, 7, 0.14793413, 141, 140);
INSERT INTO public.ecdc_data VALUES (25383, 0, 0, 0.07733234, 142, 140);
INSERT INTO public.ecdc_data VALUES (25384, 0, 22, 2.5858787, 49, 140);
INSERT INTO public.ecdc_data VALUES (25385, 0, 40, 41.00449544, 99, 140);
INSERT INTO public.ecdc_data VALUES (25386, 114, 5752, 167.57988498, 50, 140);
INSERT INTO public.ecdc_data VALUES (25387, 71, 1723, 27.63771598, 199, 140);
INSERT INTO public.ecdc_data VALUES (25388, 0, 1, 7.85463685, 100, 140);
INSERT INTO public.ecdc_data VALUES (25389, 0, 121, 4.05018461, 51, 140);
INSERT INTO public.ecdc_data VALUES (25390, 109, 6410, 162.31663288, 200, 140);
INSERT INTO public.ecdc_data VALUES (25391, 4, 1538, 170.17507553, 143, 140);
INSERT INTO public.ecdc_data VALUES (25392, 150, 16171, 338.21570543, 201, 140);
INSERT INTO public.ecdc_data VALUES (25393, 0, 0, 0, 52, 140);
INSERT INTO public.ecdc_data VALUES (25394, 690, 56611, 219.95903015, 101, 140);
INSERT INTO public.ecdc_data VALUES (25395, 0, 6, 13.38700886, 102, 140);
INSERT INTO public.ecdc_data VALUES (25396, 0, 51, 10.94827992, 103, 140);
INSERT INTO public.ecdc_data VALUES (25397, 5, 540, 14.25941616, 144, 140);
INSERT INTO public.ecdc_data VALUES (25398, 5, 289, 31.34399494, 104, 140);
INSERT INTO public.ecdc_data VALUES (25399, 0, 2, 0.03110029, 145, 140);
INSERT INTO public.ecdc_data VALUES (25400, 0, 0, 0, 213, 140);
INSERT INTO public.ecdc_data VALUES (25401, 0, 0, 0, 53, 140);
INSERT INTO public.ecdc_data VALUES (25402, 0, 2, 0.05143694, 146, 140);
INSERT INTO public.ecdc_data VALUES (25403, 0, 130, 4.5630057, 54, 140);
INSERT INTO public.ecdc_data VALUES (25404, 0, 11, 1.53631091, 55, 140);
INSERT INTO public.ecdc_data VALUES (25405, 0, 0, 1.53515517, 105, 141);
INSERT INTO public.ecdc_data VALUES (25406, 5, 132, 73.50405792, 147, 141);
INSERT INTO public.ecdc_data VALUES (25407, 9, 228, 8.6521156, 1, 141);
INSERT INTO public.ecdc_data VALUES (25408, 0, 45, 372.81594182, 148, 141);
INSERT INTO public.ecdc_data VALUES (25409, 5, 180, 3.05417398, 2, 141);
INSERT INTO public.ecdc_data VALUES (25410, 0, 0, 0, 56, 141);
INSERT INTO public.ecdc_data VALUES (25411, 0, 0, 0, 57, 141);
INSERT INTO public.ecdc_data VALUES (25412, 319, 11674, 334.60862303, 58, 141);
INSERT INTO public.ecdc_data VALUES (25413, 2, 295, 81.1433641, 149, 141);
INSERT INTO public.ecdc_data VALUES (25414, 1, 54, 1025.3033581, 59, 141);
INSERT INTO public.ecdc_data VALUES (25415, 8, 34, 3.0313611, 202, 141);
INSERT INTO public.ecdc_data VALUES (25416, 0, 922, 88.89490928, 150, 141);
INSERT INTO public.ecdc_data VALUES (25417, 2, 119, 18.69080933, 151, 141);
INSERT INTO public.ecdc_data VALUES (25418, 0, 90, 203.08817262, 60, 141);
INSERT INTO public.ecdc_data VALUES (25419, 1, 841, 589.64247327, 106, 141);
INSERT INTO public.ecdc_data VALUES (25420, 36, 1593, 15.07425752, 107, 141);
INSERT INTO public.ecdc_data VALUES (25421, 0, 0, 2.7872525, 61, 141);
INSERT INTO public.ecdc_data VALUES (25422, 4, 224, 28.40545728, 152, 141);
INSERT INTO public.ecdc_data VALUES (25423, 1, 1752, 116.42423185, 153, 141);
INSERT INTO public.ecdc_data VALUES (25424, 0, 31, 115.02468291, 62, 141);
INSERT INTO public.ecdc_data VALUES (25425, 0, 0, 0.72874248, 3, 141);
INSERT INTO public.ecdc_data VALUES (25426, 0, 0, 6.3991809, 63, 141);
INSERT INTO public.ecdc_data VALUES (25427, 0, 6, 3.27613636, 108, 141);
INSERT INTO public.ecdc_data VALUES (25428, 33, 547, 99.80802741, 64, 141);
INSERT INTO public.ecdc_data VALUES (25429, 0, 4, 69.27606512, 65, 141);
INSERT INTO public.ecdc_data VALUES (25430, 12, 394, 114.9955256, 154, 141);
INSERT INTO public.ecdc_data VALUES (25431, 2, 104, 36.59325877, 4, 141);
INSERT INTO public.ecdc_data VALUES (25432, 829, 36303, 196.04309072, 66, 141);
INSERT INTO public.ecdc_data VALUES (25433, 0, 3, 73.2527553, 67, 141);
INSERT INTO public.ecdc_data VALUES (25434, 0, 0, 0.23078911, 109, 141);
INSERT INTO public.ecdc_data VALUES (25435, 0, 154, 27.52841806, 155, 141);
INSERT INTO public.ecdc_data VALUES (25436, 0, 19, 1.87487239, 5, 141);
INSERT INTO public.ecdc_data VALUES (25437, 0, 1, 0.21681482, 6, 141);
INSERT INTO public.ecdc_data VALUES (25438, 0, 0, 0.00606555, 110, 141);
INSERT INTO public.ecdc_data VALUES (25439, 1, 68, 2.96409232, 7, 141);
INSERT INTO public.ecdc_data VALUES (25440, 7, 1120, 27.72978392, 68, 141);
INSERT INTO public.ecdc_data VALUES (25441, 2, 85, 170.56530214, 8, 141);
INSERT INTO public.ecdc_data VALUES (25442, 0, 0, 4.61907988, 69, 141);
INSERT INTO public.ecdc_data VALUES (25443, 0, 0, 1.11692309, 9, 141);
INSERT INTO public.ecdc_data VALUES (25444, 0, 25, 0.60826938, 10, 141);
INSERT INTO public.ecdc_data VALUES (25445, 84, 1863, 130.05991177, 70, 141);
INSERT INTO public.ecdc_data VALUES (25446, 0, 44, 0.02148162, 111, 141);
INSERT INTO public.ecdc_data VALUES (25447, 187, 7568, 203.36140787, 71, 141);
INSERT INTO public.ecdc_data VALUES (25448, 0, 10, 2.23295346, 11, 141);
INSERT INTO public.ecdc_data VALUES (25449, 1, 46, 6.54213806, 12, 141);
INSERT INTO public.ecdc_data VALUES (25450, 17, 1302, 324.11693489, 72, 141);
INSERT INTO public.ecdc_data VALUES (25451, 0, 26, 3.69411858, 13, 141);
INSERT INTO public.ecdc_data VALUES (25452, 2, 250, 78.13561792, 156, 141);
INSERT INTO public.ecdc_data VALUES (25453, 0, 57, 6.34403331, 73, 141);
INSERT INTO public.ecdc_data VALUES (25454, 0, 18, 82.60771128, 74, 141);
INSERT INTO public.ecdc_data VALUES (25455, 0, 10, 6.85010486, 157, 141);
INSERT INTO public.ecdc_data VALUES (25456, 7, 3123, 166.22847377, 158, 141);
INSERT INTO public.ecdc_data VALUES (25457, 0, 41, 0.36524706, 14, 141);
INSERT INTO public.ecdc_data VALUES (25458, 2, 822, 69.2205293, 159, 141);
INSERT INTO public.ecdc_data VALUES (25459, 0, 2, 1.43802571, 15, 141);
INSERT INTO public.ecdc_data VALUES (25460, 0, 0, 5.57040998, 75, 141);
INSERT INTO public.ecdc_data VALUES (25461, 13, 615, 88.52815036, 76, 141);
INSERT INTO public.ecdc_data VALUES (25462, 33, 732, 33.94219191, 77, 141);
INSERT INTO public.ecdc_data VALUES (25463, 19, 141, 2.20743348, 16, 141);
INSERT INTO public.ecdc_data VALUES (25464, 0, 86, 19.35368905, 78, 141);
INSERT INTO public.ecdc_data VALUES (25465, 0, 0, 2.58115521, 17, 141);
INSERT INTO public.ecdc_data VALUES (25466, 0, 0, 0.97222941, 18, 141);
INSERT INTO public.ecdc_data VALUES (25467, 0, 22, 25.43741791, 160, 141);
INSERT INTO public.ecdc_data VALUES (25468, 2, 36, 41.02312189, 19, 141);
INSERT INTO public.ecdc_data VALUES (25469, 15, 689, 10.43909073, 20, 141);
INSERT INTO public.ecdc_data VALUES (25470, 0, 0, 0, 79, 141);
INSERT INTO public.ecdc_data VALUES (25471, 0, 1, 34.92409146, 161, 141);
INSERT INTO public.ecdc_data VALUES (25472, 0, 0, 0.11236523, 203, 141);
INSERT INTO public.ecdc_data VALUES (25473, 0, 49, 10.85554174, 162, 141);
INSERT INTO public.ecdc_data VALUES (25474, 50, 10593, 172.0564686, 163, 141);
INSERT INTO public.ecdc_data VALUES (25475, 0, 55, 212.68596595, 204, 141);
INSERT INTO public.ecdc_data VALUES (25476, 0, 0, 6.44395736, 21, 141);
INSERT INTO public.ecdc_data VALUES (25477, 0, 33, 15.84532239, 22, 141);
INSERT INTO public.ecdc_data VALUES (25478, 0, 182, 38.80641379, 164, 141);
INSERT INTO public.ecdc_data VALUES (25479, 7, 1916, 24.27630818, 165, 141);
INSERT INTO public.ecdc_data VALUES (25480, 0, 59, 3.29083001, 23, 141);
INSERT INTO public.ecdc_data VALUES (25481, 0, 9, 142.4078799, 166, 141);
INSERT INTO public.ecdc_data VALUES (25482, 9, 359, 31.72146576, 167, 141);
INSERT INTO public.ecdc_data VALUES (25483, 0, 0, 0, 80, 141);
INSERT INTO public.ecdc_data VALUES (25484, 0, 0, 0, 81, 141);
INSERT INTO public.ecdc_data VALUES (25485, 2, 79, 289.90705042, 205, 141);
INSERT INTO public.ecdc_data VALUES (25486, 27, 740, 41.55510038, 82, 141);
INSERT INTO public.ecdc_data VALUES (25487, 0, 0, 1.55115716, 168, 141);
INSERT INTO public.ecdc_data VALUES (25488, 0, 0, 4.91729625, 24, 141);
INSERT INTO public.ecdc_data VALUES (25489, 0, 0, 3.6440929, 25, 141);
INSERT INTO public.ecdc_data VALUES (25490, 2, 69, 79.97189486, 83, 141);
INSERT INTO public.ecdc_data VALUES (25491, 0, 15, 2.26403455, 84, 141);
INSERT INTO public.ecdc_data VALUES (25492, 0, 0, 0, 169, 141);
INSERT INTO public.ecdc_data VALUES (25493, 20, 460, 71.43359174, 85, 141);
INSERT INTO public.ecdc_data VALUES (25494, 6, 941, 94.01646782, 170, 141);
INSERT INTO public.ecdc_data VALUES (25495, 0, 17, 21.84929032, 171, 141);
INSERT INTO public.ecdc_data VALUES (25496, 1174, 96424, 93.52410669, 112, 141);
INSERT INTO public.ecdc_data VALUES (25497, 122, 3635, 17.86970852, 113, 141);
INSERT INTO public.ecdc_data VALUES (25498, 176, 2815, 39.08030226, 114, 141);
INSERT INTO public.ecdc_data VALUES (25499, 84, 4326, 153.51392499, 115, 141);
INSERT INTO public.ecdc_data VALUES (25500, 1, 224, 57.44009265, 172, 141);
INSERT INTO public.ecdc_data VALUES (25501, 0, 0, 3.54656043, 173, 141);
INSERT INTO public.ecdc_data VALUES (25502, 4, 5165, 606.5352462, 116, 141);
INSERT INTO public.ecdc_data VALUES (25503, 13, 1583, 33.32198688, 174, 141);
INSERT INTO public.ecdc_data VALUES (25504, 5, 223, 50.1309748, 86, 141);
INSERT INTO public.ecdc_data VALUES (25505, 9, 485, 5.69602946, 117, 141);
INSERT INTO public.ecdc_data VALUES (25506, 0, 2, 9.27678207, 175, 141);
INSERT INTO public.ecdc_data VALUES (25507, 0, 279, 18.7889223, 118, 141);
INSERT INTO public.ecdc_data VALUES (25508, 2, 320, 25.81472434, 119, 141);
INSERT INTO public.ecdc_data VALUES (25509, 8, 275, 3.55879555, 26, 141);
INSERT INTO public.ecdc_data VALUES (25510, 3, 43, 60.66146012, 176, 141);
INSERT INTO public.ecdc_data VALUES (25511, 5, 825, 248.29590711, 120, 141);
INSERT INTO public.ecdc_data VALUES (25512, 0, 91, 15.85136563, 121, 141);
INSERT INTO public.ecdc_data VALUES (25513, 0, 0, 0.01394806, 122, 141);
INSERT INTO public.ecdc_data VALUES (25514, 1, 8, 4.37507292, 177, 141);
INSERT INTO public.ecdc_data VALUES (25515, 4, 685, 113.84672249, 123, 141);
INSERT INTO public.ecdc_data VALUES (25516, 0, 0, 11.38680458, 27, 141);
INSERT INTO public.ecdc_data VALUES (25517, 0, 1, 0.5468494, 28, 141);
INSERT INTO public.ecdc_data VALUES (25518, 15, 886, 148.27103928, 29, 141);
INSERT INTO public.ecdc_data VALUES (25519, 0, 0, 7.81697848, 178, 141);
INSERT INTO public.ecdc_data VALUES (25520, 0, 62, 18.82481612, 179, 141);
INSERT INTO public.ecdc_data VALUES (25521, 0, 147, 129.66407881, 180, 141);
INSERT INTO public.ecdc_data VALUES (25522, 0, 0, 2.83655797, 30, 141);
INSERT INTO public.ecdc_data VALUES (25523, 1, 10, 0.63342954, 31, 141);
INSERT INTO public.ecdc_data VALUES (25524, 0, 21, 2.12207974, 124, 141);
INSERT INTO public.ecdc_data VALUES (25525, 0, 67, 228.45541164, 125, 141);
INSERT INTO public.ecdc_data VALUES (25526, 0, 0, 0.80883006, 32, 141);
INSERT INTO public.ecdc_data VALUES (25527, 1, 38, 131.49390448, 181, 141);
INSERT INTO public.ecdc_data VALUES (25528, 0, 13, 4.99370484, 33, 141);
INSERT INTO public.ecdc_data VALUES (25529, 0, 0, 0.70884561, 34, 141);
INSERT INTO public.ecdc_data VALUES (25530, 201, 6000, 49.00783127, 87, 141);
INSERT INTO public.ecdc_data VALUES (25531, 11, 622, 163.50675619, 182, 141);
INSERT INTO public.ecdc_data VALUES (25532, 0, 5, 129.96826356, 183, 141);
INSERT INTO public.ecdc_data VALUES (25533, 0, 0, 0.15503078, 126, 141);
INSERT INTO public.ecdc_data VALUES (25534, 3, 212, 375.77429112, 184, 141);
INSERT INTO public.ecdc_data VALUES (25535, 0, 0, 0, 88, 141);
INSERT INTO public.ecdc_data VALUES (25536, 28, 2488, 75.80932604, 35, 141);
INSERT INTO public.ecdc_data VALUES (25537, 0, 167, 6.43481931, 36, 141);
INSERT INTO public.ecdc_data VALUES (25538, 15, 405, 5.85803549, 127, 141);
INSERT INTO public.ecdc_data VALUES (25539, 0, 114, 80.01526544, 37, 141);
INSERT INTO public.ecdc_data VALUES (25540, 4, 1246, 58.35983895, 128, 141);
INSERT INTO public.ecdc_data VALUES (25541, 6, 1750, 90.23754723, 185, 141);
INSERT INTO public.ecdc_data VALUES (25542, 0, 0, 0, 207, 141);
INSERT INTO public.ecdc_data VALUES (25543, 0, 0, 0.94081992, 208, 141);
INSERT INTO public.ecdc_data VALUES (25544, 0, 0, 4.47635575, 89, 141);
INSERT INTO public.ecdc_data VALUES (25545, 0, 0, 0.01286962, 38, 141);
INSERT INTO public.ecdc_data VALUES (25546, 2, 131, 1.06885026, 39, 141);
INSERT INTO public.ecdc_data VALUES (25547, 7, 186, 80.59189305, 186, 141);
INSERT INTO public.ecdc_data VALUES (25548, 0, 1, 8.73927254, 209, 141);
INSERT INTO public.ecdc_data VALUES (25549, 1, 106, 27.4763842, 187, 141);
INSERT INTO public.ecdc_data VALUES (25550, 13, 557, 108.00017367, 129, 141);
INSERT INTO public.ecdc_data VALUES (25551, 9, 752, 3.17410013, 130, 141);
INSERT INTO public.ecdc_data VALUES (25552, 2, 966, 225.97964999, 131, 141);
INSERT INTO public.ecdc_data VALUES (25553, 15, 672, 217.2172455, 90, 141);
INSERT INTO public.ecdc_data VALUES (25554, 0, 0, 0.51275513, 210, 141);
INSERT INTO public.ecdc_data VALUES (25555, 18, 694, 158.33316654, 91, 141);
INSERT INTO public.ecdc_data VALUES (25556, 95, 5698, 245.93006399, 92, 141);
INSERT INTO public.ecdc_data VALUES (25557, 53, 3355, 44.29106192, 132, 141);
INSERT INTO public.ecdc_data VALUES (25558, 16, 837, 19.59823255, 188, 141);
INSERT INTO public.ecdc_data VALUES (25559, 10, 770, 71.47293706, 189, 141);
INSERT INTO public.ecdc_data VALUES (25560, 18, 13, 159.16662008, 93, 141);
INSERT INTO public.ecdc_data VALUES (25561, 0, 244, 115.56913651, 133, 141);
INSERT INTO public.ecdc_data VALUES (25562, 27, 1679, 89.79905594, 190, 141);
INSERT INTO public.ecdc_data VALUES (25563, 144, 5762, 51.61090944, 191, 141);
INSERT INTO public.ecdc_data VALUES (25564, 1, 19, 3.1519914, 40, 141);
INSERT INTO public.ecdc_data VALUES (25565, 0, 0, 0, 94, 141);
INSERT INTO public.ecdc_data VALUES (25566, 0, 0, 0.54706092, 95, 141);
INSERT INTO public.ecdc_data VALUES (25567, 0, 0, 2.71264908, 96, 141);
INSERT INTO public.ecdc_data VALUES (25568, 0, 0, 23.22003889, 192, 141);
INSERT INTO public.ecdc_data VALUES (25569, 0, 0, 4.65012462, 41, 141);
INSERT INTO public.ecdc_data VALUES (25570, 30, 593, 28.67062079, 134, 141);
INSERT INTO public.ecdc_data VALUES (25571, 1, 50, 4.85998041, 42, 141);
INSERT INTO public.ecdc_data VALUES (25572, 2, 82, 14.63289106, 193, 141);
INSERT INTO public.ecdc_data VALUES (25573, 0, 1, 5.11556051, 43, 141);
INSERT INTO public.ecdc_data VALUES (25574, 0, 0, 1.25428649, 44, 141);
INSERT INTO public.ecdc_data VALUES (25575, 0, 18, 10.75057074, 135, 141);
INSERT INTO public.ecdc_data VALUES (25576, 0, 8, 143.90525844, 97, 141);
INSERT INTO public.ecdc_data VALUES (25577, 1, 161, 34.08910981, 194, 141);
INSERT INTO public.ecdc_data VALUES (25578, 0, 98, 48.87289587, 195, 141);
INSERT INTO public.ecdc_data VALUES (25579, 0, 0, 0.51803721, 45, 141);
INSERT INTO public.ecdc_data VALUES (25580, 67, 2128, 38.52060718, 46, 141);
INSERT INTO public.ecdc_data VALUES (25581, 5, 126, 3.7891417, 136, 141);
INSERT INTO public.ecdc_data VALUES (25582, 0, 5, 0.59663099, 47, 141);
INSERT INTO public.ecdc_data VALUES (25583, 90, 14389, 300.51093954, 196, 141);
INSERT INTO public.ecdc_data VALUES (25584, 0, 5, 0.77378568, 137, 141);
INSERT INTO public.ecdc_data VALUES (25585, 0, 0, 0.80816127, 48, 141);
INSERT INTO public.ecdc_data VALUES (25586, 0, 26, 78.4363642, 98, 141);
INSERT INTO public.ecdc_data VALUES (25587, 1, 389, 31.47548163, 197, 141);
INSERT INTO public.ecdc_data VALUES (25588, 8, 530, 65.03578255, 198, 141);
INSERT INTO public.ecdc_data VALUES (25589, 2, 37, 4.2061772, 138, 141);
INSERT INTO public.ecdc_data VALUES (25590, 0, 0, 0.05468186, 139, 141);
INSERT INTO public.ecdc_data VALUES (25591, 0, 43, 5.62170054, 140, 141);
INSERT INTO public.ecdc_data VALUES (25592, 0, 7, 0.09479275, 141, 141);
INSERT INTO public.ecdc_data VALUES (25593, 0, 0, 0, 142, 141);
INSERT INTO public.ecdc_data VALUES (25594, 1, 10, 2.16520944, 49, 141);
INSERT INTO public.ecdc_data VALUES (25595, 2, 107, 103.94496222, 99, 141);
INSERT INTO public.ecdc_data VALUES (25596, 4, 470, 35.70841921, 50, 141);
INSERT INTO public.ecdc_data VALUES (25597, 66, 1648, 28.16452031, 199, 141);
INSERT INTO public.ecdc_data VALUES (25598, 0, 4, 282.76692674, 100, 141);
INSERT INTO public.ecdc_data VALUES (25599, 0, 114, 4.72559186, 51, 141);
INSERT INTO public.ecdc_data VALUES (25600, 60, 3584, 86.41248464, 200, 141);
INSERT INTO public.ecdc_data VALUES (25601, 0, 786, 106.58586856, 143, 141);
INSERT INTO public.ecdc_data VALUES (25602, 21, 3395, 61.82263381, 201, 141);
INSERT INTO public.ecdc_data VALUES (25603, 0, 0, 0, 52, 141);
INSERT INTO public.ecdc_data VALUES (25604, 831, 43567, 159.17922967, 101, 141);
INSERT INTO public.ecdc_data VALUES (25605, 0, 0, 84.14691286, 102, 141);
INSERT INTO public.ecdc_data VALUES (25606, 1, 20, 6.93294771, 103, 141);
INSERT INTO public.ecdc_data VALUES (25607, 6, 609, 21.49372766, 144, 141);
INSERT INTO public.ecdc_data VALUES (25608, 10, 868, 50.52281664, 104, 141);
INSERT INTO public.ecdc_data VALUES (25609, 0, 3, 0.02073353, 145, 141);
INSERT INTO public.ecdc_data VALUES (25610, 0, 0, 0, 53, 141);
INSERT INTO public.ecdc_data VALUES (25611, 0, 3, 0.14745256, 146, 141);
INSERT INTO public.ecdc_data VALUES (25612, 0, 41, 7.8662859, 54, 141);
INSERT INTO public.ecdc_data VALUES (25613, 0, 35, 6.52078632, 55, 141);
INSERT INTO public.ecdc_data VALUES (25614, 0, 3, 2.23964419, 105, 142);
INSERT INTO public.ecdc_data VALUES (25615, 2, 119, 65.64359545, 147, 142);
INSERT INTO public.ecdc_data VALUES (25616, 9, 442, 16.3821131, 1, 142);
INSERT INTO public.ecdc_data VALUES (25617, 0, 16, 89.26578889, 148, 142);
INSERT INTO public.ecdc_data VALUES (25618, 2, 27, 2.33147849, 2, 142);
INSERT INTO public.ecdc_data VALUES (25619, 0, 0, 0, 56, 142);
INSERT INTO public.ecdc_data VALUES (25620, 0, 0, 1.02970705, 57, 142);
INSERT INTO public.ecdc_data VALUES (25621, 93, 5469, 206.89728326, 58, 142);
INSERT INTO public.ecdc_data VALUES (25622, 6, 38, 87.87150137, 149, 142);
INSERT INTO public.ecdc_data VALUES (25623, 0, 19, 937.82334682, 59, 142);
INSERT INTO public.ecdc_data VALUES (25624, 25, 311, 20.95368842, 202, 142);
INSERT INTO public.ecdc_data VALUES (25625, 1, 344, 26.82086406, 150, 142);
INSERT INTO public.ecdc_data VALUES (25626, 2, 124, 16.51121016, 151, 142);
INSERT INTO public.ecdc_data VALUES (25627, 1, 14, 166.88661467, 60, 142);
INSERT INTO public.ecdc_data VALUES (25628, 3, 755, 325.98814012, 106, 142);
INSERT INTO public.ecdc_data VALUES (25629, 37, 2595, 22.71871784, 107, 142);
INSERT INTO public.ecdc_data VALUES (25630, 0, 1, 6.96813125, 61, 142);
INSERT INTO public.ecdc_data VALUES (25631, 3, 73, 15.05436339, 152, 142);
INSERT INTO public.ecdc_data VALUES (25632, 7, 707, 70.71700549, 153, 142);
INSERT INTO public.ecdc_data VALUES (25633, 1, 23, 107.08311238, 62, 142);
INSERT INTO public.ecdc_data VALUES (25634, 0, 0, 2.18622743, 3, 142);
INSERT INTO public.ecdc_data VALUES (25635, 0, 4, 14.39815704, 63, 142);
INSERT INTO public.ecdc_data VALUES (25636, 0, 5, 5.63495454, 108, 142);
INSERT INTO public.ecdc_data VALUES (25637, 75, 879, 168.30390281, 64, 142);
INSERT INTO public.ecdc_data VALUES (25638, 0, 0, 0, 65, 142);
INSERT INTO public.ecdc_data VALUES (25639, 6, 500, 113.26877508, 154, 142);
INSERT INTO public.ecdc_data VALUES (25640, 0, 94, 21.87782019, 4, 142);
INSERT INTO public.ecdc_data VALUES (25641, 684, 19373, 288.67727483, 66, 142);
INSERT INTO public.ecdc_data VALUES (25642, 0, 0, 0, 67, 142);
INSERT INTO public.ecdc_data VALUES (25643, 0, 0, 0.23078911, 109, 142);
INSERT INTO public.ecdc_data VALUES (25644, 14, 135, 36.3569403, 155, 142);
INSERT INTO public.ecdc_data VALUES (25645, 0, 13, 0.62495746, 5, 142);
INSERT INTO public.ecdc_data VALUES (25646, 0, 0, 0.15610667, 6, 142);
INSERT INTO public.ecdc_data VALUES (25647, 0, 0, 0.20016326, 110, 142);
INSERT INTO public.ecdc_data VALUES (25648, 2, 113, 5.12822752, 7, 142);
INSERT INTO public.ecdc_data VALUES (25649, 6, 785, 15.65046124, 68, 142);
INSERT INTO public.ecdc_data VALUES (25650, 1, 24, 112.74039161, 8, 142);
INSERT INTO public.ecdc_data VALUES (25651, 0, 0, 0, 69, 142);
INSERT INTO public.ecdc_data VALUES (25652, 0, 15, 1.11692309, 9, 142);
INSERT INTO public.ecdc_data VALUES (25653, 0, 3, 0.14422882, 10, 142);
INSERT INTO public.ecdc_data VALUES (25654, 61, 1556, 137.23592216, 70, 142);
INSERT INTO public.ecdc_data VALUES (25655, 0, 66, 0.0935985, 111, 142);
INSERT INTO public.ecdc_data VALUES (25656, 275, 8328, 295.61312389, 71, 142);
INSERT INTO public.ecdc_data VALUES (25657, 0, 0, 2.23295346, 11, 142);
INSERT INTO public.ecdc_data VALUES (25658, 0, 0, 5.37124403, 12, 142);
INSERT INTO public.ecdc_data VALUES (25659, 10, 619, 191.81541342, 72, 142);
INSERT INTO public.ecdc_data VALUES (25660, 0, 0, 3.13416798, 13, 142);
INSERT INTO public.ecdc_data VALUES (25661, 0, 85, 33.36403151, 156, 142);
INSERT INTO public.ecdc_data VALUES (25662, 0, 48, 6.12344801, 73, 142);
INSERT INTO public.ecdc_data VALUES (25663, 0, 1, 3.67145383, 74, 142);
INSERT INTO public.ecdc_data VALUES (25664, 0, 19, 22.37700922, 157, 142);
INSERT INTO public.ecdc_data VALUES (25665, 2, 190, 29.99117354, 158, 142);
INSERT INTO public.ecdc_data VALUES (25666, 3, 30, 0.66020999, 14, 142);
INSERT INTO public.ecdc_data VALUES (25667, 0, 123, 30.03747278, 159, 142);
INSERT INTO public.ecdc_data VALUES (25668, 0, 3, 13.55852816, 15, 142);
INSERT INTO public.ecdc_data VALUES (25669, 0, 0, 0, 75, 142);
INSERT INTO public.ecdc_data VALUES (25670, 28, 428, 126.82795918, 76, 142);
INSERT INTO public.ecdc_data VALUES (25671, 13, 209, 84.66841495, 77, 142);
INSERT INTO public.ecdc_data VALUES (25672, 13, 115, 1.94246177, 16, 142);
INSERT INTO public.ecdc_data VALUES (25673, 0, 281, 82.90010924, 78, 142);
INSERT INTO public.ecdc_data VALUES (25674, 0, 0, 0, 17, 142);
INSERT INTO public.ecdc_data VALUES (25675, 0, 0, 0.08578495, 18, 142);
INSERT INTO public.ecdc_data VALUES (25676, 0, 2, 8.45397865, 160, 142);
INSERT INTO public.ecdc_data VALUES (25677, 3, 55, 91.97540703, 19, 142);
INSERT INTO public.ecdc_data VALUES (25678, 16, 1460, 10.74869453, 20, 142);
INSERT INTO public.ecdc_data VALUES (25679, 0, 0, 0, 79, 142);
INSERT INTO public.ecdc_data VALUES (25680, 0, 1, 304.04503153, 161, 142);
INSERT INTO public.ecdc_data VALUES (25681, 0, 0, 0.11236523, 203, 142);
INSERT INTO public.ecdc_data VALUES (25682, 1, 21, 5.18311342, 162, 142);
INSERT INTO public.ecdc_data VALUES (25683, 19, 493, 41.38607199, 163, 142);
INSERT INTO public.ecdc_data VALUES (25684, 0, 19, 53.35052008, 204, 142);
INSERT INTO public.ecdc_data VALUES (25685, 2, 45, 28.72163853, 21, 142);
INSERT INTO public.ecdc_data VALUES (25686, 0, 0, 58.52546497, 22, 142);
INSERT INTO public.ecdc_data VALUES (25687, 0, 10, 4.22842291, 164, 142);
INSERT INTO public.ecdc_data VALUES (25688, 4, 1390, 17.01172474, 165, 142);
INSERT INTO public.ecdc_data VALUES (25689, 8, 121, 15.91499309, 23, 142);
INSERT INTO public.ecdc_data VALUES (25690, 0, 2, 86.03809411, 166, 142);
INSERT INTO public.ecdc_data VALUES (25691, 2, 147, 23.17102952, 167, 142);
INSERT INTO public.ecdc_data VALUES (25692, 0, 0, 0, 80, 142);
INSERT INTO public.ecdc_data VALUES (25693, 0, 0, 0, 81, 142);
INSERT INTO public.ecdc_data VALUES (25694, 0, 19, 120.74479213, 205, 142);
INSERT INTO public.ecdc_data VALUES (25695, 10, 382, 64.85234801, 82, 142);
INSERT INTO public.ecdc_data VALUES (25696, 0, 0, 0, 168, 142);
INSERT INTO public.ecdc_data VALUES (25697, 0, 138, 9.83459249, 24, 142);
INSERT INTO public.ecdc_data VALUES (25698, 0, 0, 7.07995192, 25, 142);
INSERT INTO public.ecdc_data VALUES (25699, 0, 0, 30.02139823, 83, 142);
INSERT INTO public.ecdc_data VALUES (25700, 0, 18, 3.42712681, 84, 142);
INSERT INTO public.ecdc_data VALUES (25701, 0, 0, 0, 169, 142);
INSERT INTO public.ecdc_data VALUES (25702, 8, 493, 73.88585093, 85, 142);
INSERT INTO public.ecdc_data VALUES (25703, 1, 54, 4.35905695, 170, 142);
INSERT INTO public.ecdc_data VALUES (25704, 0, 3, 27.73179156, 171, 142);
INSERT INTO public.ecdc_data VALUES (25705, 876, 55079, 61.98667986, 112, 142);
INSERT INTO public.ecdc_data VALUES (25706, 57, 1821, 10.43360401, 113, 142);
INSERT INTO public.ecdc_data VALUES (25707, 165, 2247, 40.3008456, 114, 142);
INSERT INTO public.ecdc_data VALUES (25708, 94, 3202, 122.7353319, 115, 142);
INSERT INTO public.ecdc_data VALUES (25709, 0, 56, 22.53152374, 172, 142);
INSERT INTO public.ecdc_data VALUES (25710, 0, 0, 0, 173, 142);
INSERT INTO public.ecdc_data VALUES (25711, 7, 2449, 237.4118377, 116, 142);
INSERT INTO public.ecdc_data VALUES (25712, 4, 320, 9.95037305, 174, 142);
INSERT INTO public.ecdc_data VALUES (25713, 0, 16, 7.59765789, 86, 142);
INSERT INTO public.ecdc_data VALUES (25714, 16, 1006, 12.69112569, 117, 142);
INSERT INTO public.ecdc_data VALUES (25715, 1, 2, 16.69820773, 175, 142);
INSERT INTO public.ecdc_data VALUES (25716, 0, 20, 1.78187883, 118, 142);
INSERT INTO public.ecdc_data VALUES (25717, 148, 334, 118.03943071, 119, 142);
INSERT INTO public.ecdc_data VALUES (25718, 8, 245, 14.77537352, 26, 142);
INSERT INTO public.ecdc_data VALUES (25719, 9, 129, 138.78185561, 176, 142);
INSERT INTO public.ecdc_data VALUES (25720, 1, 622, 202.70605934, 120, 142);
INSERT INTO public.ecdc_data VALUES (25721, 2, 155, 71.77535763, 121, 142);
INSERT INTO public.ecdc_data VALUES (25722, 0, 0, 0, 122, 142);
INSERT INTO public.ecdc_data VALUES (25723, 0, 1, 4.01048351, 177, 142);
INSERT INTO public.ecdc_data VALUES (25724, 2, 456, 62.35678906, 123, 142);
INSERT INTO public.ecdc_data VALUES (25725, 0, 0, 10.72806382, 27, 142);
INSERT INTO public.ecdc_data VALUES (25726, 0, 20, 1.27598193, 28, 142);
INSERT INTO public.ecdc_data VALUES (25727, 12, 841, 66.6327011, 29, 142);
INSERT INTO public.ecdc_data VALUES (25728, 0, 1, 13.02829746, 178, 142);
INSERT INTO public.ecdc_data VALUES (25729, 0, 20, 11.30920512, 179, 142);
INSERT INTO public.ecdc_data VALUES (25730, 1, 30, 98.55121568, 180, 142);
INSERT INTO public.ecdc_data VALUES (25731, 1, 59, 8.25382752, 30, 142);
INSERT INTO public.ecdc_data VALUES (25732, 0, 0, 4.28906955, 31, 142);
INSERT INTO public.ecdc_data VALUES (25733, 0, 12, 0.66041125, 124, 142);
INSERT INTO public.ecdc_data VALUES (25734, 1, 124, 304.35609663, 125, 142);
INSERT INTO public.ecdc_data VALUES (25735, 0, 26, 0.49343721, 32, 142);
INSERT INTO public.ecdc_data VALUES (25736, 0, 49, 126.2260439, 181, 142);
INSERT INTO public.ecdc_data VALUES (25737, 0, 0, 8.35230278, 33, 142);
INSERT INTO public.ecdc_data VALUES (25738, 0, 0, 0.15752125, 34, 142);
INSERT INTO public.ecdc_data VALUES (25739, 266, 6709, 61.21471775, 87, 142);
INSERT INTO public.ecdc_data VALUES (25740, 12, 194, 121.06573461, 182, 142);
INSERT INTO public.ecdc_data VALUES (25741, 0, 1, 45.33776636, 183, 142);
INSERT INTO public.ecdc_data VALUES (25742, 0, 0, 0.15503078, 126, 142);
INSERT INTO public.ecdc_data VALUES (25743, 3, 50, 126.00814553, 184, 142);
INSERT INTO public.ecdc_data VALUES (25744, 0, 0, 0, 88, 142);
INSERT INTO public.ecdc_data VALUES (25745, 23, 1069, 47.60394657, 35, 142);
INSERT INTO public.ecdc_data VALUES (25746, 0, 59, 3.09885618, 36, 142);
INSERT INTO public.ecdc_data VALUES (25747, 0, 1, 0.03885621, 127, 142);
INSERT INTO public.ecdc_data VALUES (25748, 1, 190, 77.69017255, 37, 142);
INSERT INTO public.ecdc_data VALUES (25749, 3, 581, 22.68889043, 128, 142);
INSERT INTO public.ecdc_data VALUES (25750, 0, 481, 46.34257876, 185, 142);
INSERT INTO public.ecdc_data VALUES (25751, 0, 0, 0.35366056, 207, 142);
INSERT INTO public.ecdc_data VALUES (25752, 0, 13, 1.58894031, 208, 142);
INSERT INTO public.ecdc_data VALUES (25753, 0, 0, 6.76800545, 89, 142);
INSERT INTO public.ecdc_data VALUES (25754, 0, 0, 0.06434808, 38, 142);
INSERT INTO public.ecdc_data VALUES (25755, 2, 417, 2.66515922, 39, 142);
INSERT INTO public.ecdc_data VALUES (25756, 1, 35, 78.66616084, 186, 142);
INSERT INTO public.ecdc_data VALUES (25757, 0, 4, 13.98283607, 209, 142);
INSERT INTO public.ecdc_data VALUES (25758, 0, 154, 13.81326419, 187, 142);
INSERT INTO public.ecdc_data VALUES (25759, 16, 140, 81.74887517, 129, 142);
INSERT INTO public.ecdc_data VALUES (25760, 15, 617, 4.327101, 130, 142);
INSERT INTO public.ecdc_data VALUES (25761, 0, 456, 127.81490908, 131, 142);
INSERT INTO public.ecdc_data VALUES (25762, 21, 603, 331.7367018, 90, 142);
INSERT INTO public.ecdc_data VALUES (25763, 0, 10, 2.52959195, 210, 142);
INSERT INTO public.ecdc_data VALUES (25764, 7, 344, 62.61498992, 91, 142);
INSERT INTO public.ecdc_data VALUES (25765, 200, 5547, 333.40959596, 92, 142);
INSERT INTO public.ecdc_data VALUES (25766, 16, 3221, 53.77896472, 132, 142);
INSERT INTO public.ecdc_data VALUES (25767, 8, 595, 25.83427322, 188, 142);
INSERT INTO public.ecdc_data VALUES (25768, 1, 132, 25.93265858, 189, 142);
INSERT INTO public.ecdc_data VALUES (25769, 0, 754, 271.66390991, 93, 142);
INSERT INTO public.ecdc_data VALUES (25770, 0, 288, 142.86364996, 133, 142);
INSERT INTO public.ecdc_data VALUES (25771, 38, 733, 88.51650662, 190, 142);
INSERT INTO public.ecdc_data VALUES (25772, 55, 4892, 49.00246284, 191, 142);
INSERT INTO public.ecdc_data VALUES (25773, 0, 87, 3.54797022, 40, 142);
INSERT INTO public.ecdc_data VALUES (25774, 0, 0, 0, 94, 142);
INSERT INTO public.ecdc_data VALUES (25775, 0, 0, 0, 95, 142);
INSERT INTO public.ecdc_data VALUES (25776, 0, 1, 2.71264908, 96, 142);
INSERT INTO public.ecdc_data VALUES (25777, 0, 0, 31.92755348, 192, 142);
INSERT INTO public.ecdc_data VALUES (25778, 0, 0, 5.11513709, 41, 142);
INSERT INTO public.ecdc_data VALUES (25779, 28, 1372, 57.8402417, 134, 142);
INSERT INTO public.ecdc_data VALUES (25780, 3, 75, 11.3583633, 42, 142);
INSERT INTO public.ecdc_data VALUES (25781, 3, 100, 47.83332692, 193, 142);
INSERT INTO public.ecdc_data VALUES (25782, 0, 0, 13.30045733, 43, 142);
INSERT INTO public.ecdc_data VALUES (25783, 0, 0, 1.38227491, 44, 142);
INSERT INTO public.ecdc_data VALUES (25784, 0, 91, 48.01577026, 135, 142);
INSERT INTO public.ecdc_data VALUES (25785, 0, 9, 415.20205714, 97, 142);
INSERT INTO public.ecdc_data VALUES (25786, 0, 5, 10.14600524, 194, 142);
INSERT INTO public.ecdc_data VALUES (25787, 0, 22, 12.35037782, 195, 142);
INSERT INTO public.ecdc_data VALUES (25788, 0, 1, 0.23959221, 45, 142);
INSERT INTO public.ecdc_data VALUES (25789, 143, 2541, 124.70314396, 46, 142);
INSERT INTO public.ecdc_data VALUES (25790, 1, 246, 2.61198949, 136, 142);
INSERT INTO public.ecdc_data VALUES (25791, 0, 1, 0.55143167, 47, 142);
INSERT INTO public.ecdc_data VALUES (25792, 24, 5114, 130.77512737, 196, 142);
INSERT INTO public.ecdc_data VALUES (25793, 0, 7, 0.33765193, 137, 142);
INSERT INTO public.ecdc_data VALUES (25794, 0, 0, 1.56960802, 48, 142);
INSERT INTO public.ecdc_data VALUES (25795, 1, 61, 203.65933161, 98, 142);
INSERT INTO public.ecdc_data VALUES (25796, 3, 174, 39.7451268, 197, 142);
INSERT INTO public.ecdc_data VALUES (25797, 0, 125, 30.76823328, 198, 142);
INSERT INTO public.ecdc_data VALUES (25798, 4, 87, 5.37195612, 138, 142);
INSERT INTO public.ecdc_data VALUES (25799, 0, 0, 0.03785667, 139, 142);
INSERT INTO public.ecdc_data VALUES (25800, 0, 34, 6.01865267, 140, 142);
INSERT INTO public.ecdc_data VALUES (25801, 0, 0, 0.08186646, 141, 142);
INSERT INTO public.ecdc_data VALUES (25802, 0, 0, 0.07733234, 142, 142);
INSERT INTO public.ecdc_data VALUES (25803, 0, 7, 2.20232732, 49, 142);
INSERT INTO public.ecdc_data VALUES (25804, 0, 0, 26.52388691, 99, 142);
INSERT INTO public.ecdc_data VALUES (25805, 2, 78, 5.30153733, 50, 142);
INSERT INTO public.ecdc_data VALUES (25806, 22, 1233, 20.35391446, 199, 142);
INSERT INTO public.ecdc_data VALUES (25807, 0, 0, 476.51463581, 100, 142);
INSERT INTO public.ecdc_data VALUES (25808, 2, 60, 0.8244938, 51, 142);
INSERT INTO public.ecdc_data VALUES (25809, 27, 1616, 48.36607871, 200, 142);
INSERT INTO public.ecdc_data VALUES (25810, 0, 229, 34.57336893, 143, 142);
INSERT INTO public.ecdc_data VALUES (25811, 3, 713, 20.36697404, 201, 142);
INSERT INTO public.ecdc_data VALUES (25812, 0, 0, 0, 52, 142);
INSERT INTO public.ecdc_data VALUES (25813, 445, 35056, 220.24924644, 101, 142);
INSERT INTO public.ecdc_data VALUES (25814, 0, 55, 341.36872603, 102, 142);
INSERT INTO public.ecdc_data VALUES (25815, 2, 17, 4.79528883, 103, 142);
INSERT INTO public.ecdc_data VALUES (25816, 12, 1156, 28.95543788, 144, 142);
INSERT INTO public.ecdc_data VALUES (25817, 7, 1047, 51.18560642, 104, 142);
INSERT INTO public.ecdc_data VALUES (25818, 1, 19, 0.34313992, 145, 142);
INSERT INTO public.ecdc_data VALUES (25819, 0, 0, 0, 53, 142);
INSERT INTO public.ecdc_data VALUES (25820, 5, 13, 0.49379461, 146, 142);
INSERT INTO public.ecdc_data VALUES (25821, 4, 496, 18.24642403, 54, 142);
INSERT INTO public.ecdc_data VALUES (25822, 3, 47, 8.4189838, 55, 142);
INSERT INTO public.ecdc_data VALUES (25823, 32, 219, 7.79406692, 105, 143);
INSERT INTO public.ecdc_data VALUES (25824, 3, 55, 40.31543861, 147, 143);
INSERT INTO public.ecdc_data VALUES (25825, 5, 593, 15.97563787, 1, 143);
INSERT INTO public.ecdc_data VALUES (25826, 0, 3, 32.81830474, 148, 143);
INSERT INTO public.ecdc_data VALUES (25827, 1, 31, 0.97406783, 2, 143);
INSERT INTO public.ecdc_data VALUES (25828, 0, 0, 0, 56, 143);
INSERT INTO public.ecdc_data VALUES (25829, 0, 2, 8.23765639, 57, 143);
INSERT INTO public.ecdc_data VALUES (25830, 21, 3623, 93.78375828, 58, 143);
INSERT INTO public.ecdc_data VALUES (25831, 11, 461, 221.85948133, 149, 143);
INSERT INTO public.ecdc_data VALUES (25832, 0, 0, 3.76258113, 59, 143);
INSERT INTO public.ecdc_data VALUES (25833, 3, 425, 11.82389538, 202, 143);
INSERT INTO public.ecdc_data VALUES (25834, 0, 138, 15.04722718, 150, 143);
INSERT INTO public.ecdc_data VALUES (25835, 7, 471, 73.34002872, 151, 143);
INSERT INTO public.ecdc_data VALUES (25836, 0, 5, 6.41871595, 60, 143);
INSERT INTO public.ecdc_data VALUES (25837, 3, 389, 430.36527733, 106, 143);
INSERT INTO public.ecdc_data VALUES (25838, 51, 3034, 26.35204446, 107, 143);
INSERT INTO public.ecdc_data VALUES (25839, 0, 0, 2.43884594, 61, 143);
INSERT INTO public.ecdc_data VALUES (25840, 6, 159, 29.46338865, 152, 143);
INSERT INTO public.ecdc_data VALUES (25841, 2, 274, 15.73913849, 153, 143);
INSERT INTO public.ecdc_data VALUES (25842, 0, 0, 2.56179695, 62, 143);
INSERT INTO public.ecdc_data VALUES (25843, 3, 139, 3.41492114, 3, 143);
INSERT INTO public.ecdc_data VALUES (25844, 0, 0, 9.59877136, 63, 143);
INSERT INTO public.ecdc_data VALUES (25845, 0, 1, 1.17940909, 108, 143);
INSERT INTO public.ecdc_data VALUES (25846, 65, 1946, 167.49612746, 64, 143);
INSERT INTO public.ecdc_data VALUES (25847, 0, 0, 11.54601085, 65, 143);
INSERT INTO public.ecdc_data VALUES (25848, 4, 227, 89.30632494, 154, 143);
INSERT INTO public.ecdc_data VALUES (25849, 0, 0, 10.72186823, 4, 143);
INSERT INTO public.ecdc_data VALUES (25850, 1163, 34177, 240.3450159, 66, 143);
INSERT INTO public.ecdc_data VALUES (25851, 0, 0, 0, 67, 143);
INSERT INTO public.ecdc_data VALUES (25852, 0, 0, 0, 109, 143);
INSERT INTO public.ecdc_data VALUES (25853, 4, 298, 42.07119417, 155, 143);
INSERT INTO public.ecdc_data VALUES (25854, 0, 9, 0.2952555, 5, 143);
INSERT INTO public.ecdc_data VALUES (25855, 0, 7, 1.03203855, 6, 143);
INSERT INTO public.ecdc_data VALUES (25856, 0, 0, 0.1819666, 110, 143);
INSERT INTO public.ecdc_data VALUES (25857, 0, 0, 13.77703928, 7, 143);
INSERT INTO public.ecdc_data VALUES (25858, 12, 405, 12.23970316, 68, 143);
INSERT INTO public.ecdc_data VALUES (25859, 1, 45, 101.28451311, 8, 143);
INSERT INTO public.ecdc_data VALUES (25860, 0, 0, 3.07938659, 69, 143);
INSERT INTO public.ecdc_data VALUES (25861, 0, 16, 9.9258637, 9, 143);
INSERT INTO public.ecdc_data VALUES (25862, 0, 1, 0.10033309, 10, 143);
INSERT INTO public.ecdc_data VALUES (25863, 1057, 2841, 202.88058776, 70, 143);
INSERT INTO public.ecdc_data VALUES (25864, 1, 80, 0.03933648, 111, 143);
INSERT INTO public.ecdc_data VALUES (25865, 259, 8934, 144.29043245, 71, 143);
INSERT INTO public.ecdc_data VALUES (25866, 0, 0, 2.23295346, 11, 143);
INSERT INTO public.ecdc_data VALUES (25867, 1, 275, 19.99812657, 12, 143);
INSERT INTO public.ecdc_data VALUES (25868, 5, 423, 112.09374191, 72, 143);
INSERT INTO public.ecdc_data VALUES (25869, 0, 142, 13.42326036, 13, 143);
INSERT INTO public.ecdc_data VALUES (25870, 1, 98, 27.69705263, 156, 143);
INSERT INTO public.ecdc_data VALUES (25871, 0, 4, 0.73234321, 73, 143);
INSERT INTO public.ecdc_data VALUES (25872, 0, 0, 0.61190897, 74, 143);
INSERT INTO public.ecdc_data VALUES (25873, 0, 0, 3.65338926, 157, 143);
INSERT INTO public.ecdc_data VALUES (25874, 3, 130, 13.36175327, 158, 143);
INSERT INTO public.ecdc_data VALUES (25875, 0, 50, 1.22133087, 14, 143);
INSERT INTO public.ecdc_data VALUES (25876, 1, 49, 5.87315265, 159, 143);
INSERT INTO public.ecdc_data VALUES (25877, 0, 10, 27.42520469, 15, 143);
INSERT INTO public.ecdc_data VALUES (25878, 0, 0, 0, 75, 143);
INSERT INTO public.ecdc_data VALUES (25879, 1, 1370, 139.35245294, 76, 143);
INSERT INTO public.ecdc_data VALUES (25880, 43, 1079, 67.84409293, 77, 143);
INSERT INTO public.ecdc_data VALUES (25881, 68, 703, 13.70979557, 16, 143);
INSERT INTO public.ecdc_data VALUES (25882, 15, 250, 61.05166924, 78, 143);
INSERT INTO public.ecdc_data VALUES (25883, 0, 0, 0, 17, 143);
INSERT INTO public.ecdc_data VALUES (25884, 0, 0, 1.02941938, 18, 143);
INSERT INTO public.ecdc_data VALUES (25885, 0, 4, 2.18897662, 160, 143);
INSERT INTO public.ecdc_data VALUES (25886, 0, 67, 61.83952556, 19, 143);
INSERT INTO public.ecdc_data VALUES (25887, 2, 328, 2.63832404, 20, 143);
INSERT INTO public.ecdc_data VALUES (25888, 0, 0, 0, 79, 143);
INSERT INTO public.ecdc_data VALUES (25889, 0, 0, 2.05435832, 161, 143);
INSERT INTO public.ecdc_data VALUES (25890, 0, 0, 0.89892186, 203, 143);
INSERT INTO public.ecdc_data VALUES (25891, 0, 8, 0.57992877, 162, 143);
INSERT INTO public.ecdc_data VALUES (25892, 14, 836, 11.51121942, 163, 143);
INSERT INTO public.ecdc_data VALUES (25893, 0, 0, 0, 204, 143);
INSERT INTO public.ecdc_data VALUES (25894, 0, 194, 31.98964548, 21, 143);
INSERT INTO public.ecdc_data VALUES (25895, 0, 0, 0.97968391, 22, 143);
INSERT INTO public.ecdc_data VALUES (25896, 0, 12, 1.80145828, 164, 143);
INSERT INTO public.ecdc_data VALUES (25897, 1, 529, 6.3551554, 165, 143);
INSERT INTO public.ecdc_data VALUES (25898, 5, 447, 23.6177051, 23, 143);
INSERT INTO public.ecdc_data VALUES (25899, 0, 0, 5.93366166, 166, 143);
INSERT INTO public.ecdc_data VALUES (25900, 1, 25, 4.4570431, 167, 143);
INSERT INTO public.ecdc_data VALUES (25901, 0, 0, 0, 80, 143);
INSERT INTO public.ecdc_data VALUES (25902, 0, 0, 0, 81, 143);
INSERT INTO public.ecdc_data VALUES (25903, 0, 1, 16.13915538, 205, 143);
INSERT INTO public.ecdc_data VALUES (25904, 39, 870, 71.18856233, 82, 143);
INSERT INTO public.ecdc_data VALUES (25905, 0, 0, 0, 168, 143);
INSERT INTO public.ecdc_data VALUES (25906, 1, 154, 7.11755141, 24, 143);
INSERT INTO public.ecdc_data VALUES (25907, 0, 0, 11.29668799, 25, 143);
INSERT INTO public.ecdc_data VALUES (25908, 0, 1, 7.53728722, 83, 143);
INSERT INTO public.ecdc_data VALUES (25909, 1, 27, 6.61453231, 84, 143);
INSERT INTO public.ecdc_data VALUES (25910, 0, 0, 0, 169, 143);
INSERT INTO public.ecdc_data VALUES (25911, 22, 878, 98.7983417, 85, 143);
INSERT INTO public.ecdc_data VALUES (25912, 0, 14, 1.2381359, 170, 143);
INSERT INTO public.ecdc_data VALUES (25913, 0, 0, 1.68071464, 171, 143);
INSERT INTO public.ecdc_data VALUES (25914, 671, 34884, 28.57113048, 112, 143);
INSERT INTO public.ecdc_data VALUES (25915, 84, 1462, 8.29005192, 113, 143);
INSERT INTO public.ecdc_data VALUES (25916, 183, 2379, 41.01966362, 114, 143);
INSERT INTO public.ecdc_data VALUES (25917, 94, 2023, 81.78878803, 115, 143);
INSERT INTO public.ecdc_data VALUES (25918, 3, 32, 4.73060046, 172, 143);
INSERT INTO public.ecdc_data VALUES (25919, 0, 0, 0, 173, 143);
INSERT INTO public.ecdc_data VALUES (25920, 8, 1400, 227.76324032, 116, 143);
INSERT INTO public.ecdc_data VALUES (25921, 11, 231, 4.610704, 174, 143);
INSERT INTO public.ecdc_data VALUES (25922, 0, 3, 1.59415143, 86, 143);
INSERT INTO public.ecdc_data VALUES (25923, 0, 659, 3.82310308, 117, 143);
INSERT INTO public.ecdc_data VALUES (25924, 0, 0, 10.20446028, 175, 143);
INSERT INTO public.ecdc_data VALUES (25925, 0, 3, 0.61375826, 118, 143);
INSERT INTO public.ecdc_data VALUES (25926, 0, 1808, 123.8934275, 119, 143);
INSERT INTO public.ecdc_data VALUES (25927, 9, 389, 9.27074801, 26, 143);
INSERT INTO public.ecdc_data VALUES (25928, 12, 235, 133.88890557, 176, 143);
INSERT INTO public.ecdc_data VALUES (25929, 2, 553, 226.9746905, 120, 143);
INSERT INTO public.ecdc_data VALUES (25930, 728, 11505, 272.94898214, 121, 143);
INSERT INTO public.ecdc_data VALUES (25931, 0, 0, 0, 122, 143);
INSERT INTO public.ecdc_data VALUES (25932, 0, 6, 3.28130469, 177, 143);
INSERT INTO public.ecdc_data VALUES (25933, 0, 101, 12.69015356, 123, 143);
INSERT INTO public.ecdc_data VALUES (25934, 0, 55, 12.98660357, 27, 143);
INSERT INTO public.ecdc_data VALUES (25935, 1, 15, 5.10392772, 28, 143);
INSERT INTO public.ecdc_data VALUES (25936, 1, 52, 11.59727703, 29, 143);
INSERT INTO public.ecdc_data VALUES (25937, 0, 1, 5.21131898, 178, 143);
INSERT INTO public.ecdc_data VALUES (25938, 0, 6, 2.8630899, 179, 143);
INSERT INTO public.ecdc_data VALUES (25939, 0, 163, 136.50565081, 180, 143);
INSERT INTO public.ecdc_data VALUES (25940, 1, 378, 14.66481933, 30, 143);
INSERT INTO public.ecdc_data VALUES (25941, 4, 98, 7.04287765, 31, 143);
INSERT INTO public.ecdc_data VALUES (25942, 0, 18, 0.33490049, 124, 143);
INSERT INTO public.ecdc_data VALUES (25943, 0, 14, 94.73460186, 125, 143);
INSERT INTO public.ecdc_data VALUES (25944, 0, 27, 0.92583064, 32, 143);
INSERT INTO public.ecdc_data VALUES (25945, 0, 1, 0.60783007, 181, 143);
INSERT INTO public.ecdc_data VALUES (25946, 0, 0, 21.52154209, 33, 143);
INSERT INTO public.ecdc_data VALUES (25947, 0, 0, 0.15752125, 34, 143);
INSERT INTO public.ecdc_data VALUES (25948, 736, 7891, 72.77336079, 87, 143);
INSERT INTO public.ecdc_data VALUES (25949, 9, 230, 75.40948413, 182, 143);
INSERT INTO public.ecdc_data VALUES (25950, 0, 0, 9.06755327, 183, 143);
INSERT INTO public.ecdc_data VALUES (25951, 0, 25, 2.07741245, 126, 143);
INSERT INTO public.ecdc_data VALUES (25952, 0, 0, 153.49206502, 184, 143);
INSERT INTO public.ecdc_data VALUES (25953, 0, 0, 20.03606492, 88, 143);
INSERT INTO public.ecdc_data VALUES (25954, 4, 302, 9.42646978, 35, 143);
INSERT INTO public.ecdc_data VALUES (25955, 0, 19, 1.52472945, 36, 143);
INSERT INTO public.ecdc_data VALUES (25956, 0, 0, 0.06105975, 127, 143);
INSERT INTO public.ecdc_data VALUES (25957, 0, 46, 29.18392447, 37, 143);
INSERT INTO public.ecdc_data VALUES (25958, 1, 101, 7.64102827, 128, 143);
INSERT INTO public.ecdc_data VALUES (25959, 0, 103, 5.59536442, 185, 143);
INSERT INTO public.ecdc_data VALUES (25960, 0, 0, 0.35366056, 207, 143);
INSERT INTO public.ecdc_data VALUES (25961, 0, 1, 0.41814219, 208, 143);
INSERT INTO public.ecdc_data VALUES (25962, 0, 0, 9.59437342, 89, 143);
INSERT INTO public.ecdc_data VALUES (25963, 0, 0, 0.08579744, 38, 143);
INSERT INTO public.ecdc_data VALUES (25964, 3, 600, 3.92608407, 39, 143);
INSERT INTO public.ecdc_data VALUES (25965, 5, 160, 102.49709696, 186, 143);
INSERT INTO public.ecdc_data VALUES (25966, 0, 0, 10.48712705, 209, 143);
INSERT INTO public.ecdc_data VALUES (25967, 1, 4, 2.25216264, 187, 143);
INSERT INTO public.ecdc_data VALUES (25968, 8, 1619, 407.3172379, 129, 143);
INSERT INTO public.ecdc_data VALUES (25969, 47, 1918, 16.91591272, 130, 143);
INSERT INTO public.ecdc_data VALUES (25970, 6, 439, 107.74031993, 131, 143);
INSERT INTO public.ecdc_data VALUES (25971, 38, 1035, 362.9628583, 90, 143);
INSERT INTO public.ecdc_data VALUES (25972, 0, 4, 0.04557823, 210, 143);
INSERT INTO public.ecdc_data VALUES (25973, 1, 115, 15.72827224, 91, 143);
INSERT INTO public.ecdc_data VALUES (25974, 184, 3951, 153.60593768, 92, 143);
INSERT INTO public.ecdc_data VALUES (25975, 17, 1735, 20.96347405, 132, 143);
INSERT INTO public.ecdc_data VALUES (25976, 7, 353, 10.53911941, 188, 143);
INSERT INTO public.ecdc_data VALUES (25977, 3, 312, 47.8854082, 189, 143);
INSERT INTO public.ecdc_data VALUES (25978, 5, 546, 117.16763187, 93, 143);
INSERT INTO public.ecdc_data VALUES (25979, 1, 451, 255.81985762, 133, 143);
INSERT INTO public.ecdc_data VALUES (25980, 17, 799, 39.33151263, 190, 143);
INSERT INTO public.ecdc_data VALUES (25981, 186, 6406, 62.6027183, 191, 143);
INSERT INTO public.ecdc_data VALUES (25982, 0, 12, 3.19950886, 40, 143);
INSERT INTO public.ecdc_data VALUES (25983, 0, 0, 3.78544119, 94, 143);
INSERT INTO public.ecdc_data VALUES (25984, 0, 0, 0.54706092, 95, 143);
INSERT INTO public.ecdc_data VALUES (25985, 0, 3, 8.13794725, 96, 143);
INSERT INTO public.ecdc_data VALUES (25986, 0, 0, 2.90250486, 192, 143);
INSERT INTO public.ecdc_data VALUES (25987, 0, 1, 10.23027417, 41, 143);
INSERT INTO public.ecdc_data VALUES (25988, 37, 2613, 128.54359754, 134, 143);
INSERT INTO public.ecdc_data VALUES (25989, 4, 63, 8.46814768, 42, 143);
INSERT INTO public.ecdc_data VALUES (25990, 10, 392, 66.12803076, 193, 143);
INSERT INTO public.ecdc_data VALUES (25991, 0, 0, 91.05697711, 43, 143);
INSERT INTO public.ecdc_data VALUES (25992, 1, 10, 2.09901005, 44, 143);
INSERT INTO public.ecdc_data VALUES (25993, 0, 327, 51.23749579, 135, 143);
INSERT INTO public.ecdc_data VALUES (25994, 0, 0, 4.71820519, 97, 143);
INSERT INTO public.ecdc_data VALUES (25995, 0, 14, 4.49506561, 194, 143);
INSERT INTO public.ecdc_data VALUES (25996, 0, 19, 12.83093726, 195, 143);
INSERT INTO public.ecdc_data VALUES (25997, 0, 23, 1.04902536, 45, 143);
INSERT INTO public.ecdc_data VALUES (25998, 135, 13373, 274.03474901, 46, 143);
INSERT INTO public.ecdc_data VALUES (25999, 1, 39, 1.32942066, 136, 143);
INSERT INTO public.ecdc_data VALUES (26000, 2, 20, 1.40117883, 47, 143);
INSERT INTO public.ecdc_data VALUES (26001, 0, 0, 20.68727781, 196, 143);
INSERT INTO public.ecdc_data VALUES (26002, 0, 10, 2.94507519, 137, 143);
INSERT INTO public.ecdc_data VALUES (26003, 0, 0, 2.01806745, 48, 143);
INSERT INTO public.ecdc_data VALUES (26004, 1, 25, 65.70765597, 98, 143);
INSERT INTO public.ecdc_data VALUES (26005, 7, 284, 44.85744881, 197, 143);
INSERT INTO public.ecdc_data VALUES (26006, 0, 91, 14.96864601, 198, 143);
INSERT INTO public.ecdc_data VALUES (26007, 3, 19, 0.98417517, 138, 143);
INSERT INTO public.ecdc_data VALUES (26008, 0, 0, 0.02103148, 139, 143);
INSERT INTO public.ecdc_data VALUES (26009, 0, 45, 7.2738797, 140, 143);
INSERT INTO public.ecdc_data VALUES (26010, 0, 7, 0.08761148, 141, 143);
INSERT INTO public.ecdc_data VALUES (26011, 0, 0, 0, 142, 143);
INSERT INTO public.ecdc_data VALUES (26012, 0, 0, 0.96506478, 49, 143);
INSERT INTO public.ecdc_data VALUES (26013, 0, 3, 0.43011709, 99, 143);
INSERT INTO public.ecdc_data VALUES (26014, 0, 9, 1.32538433, 50, 143);
INSERT INTO public.ecdc_data VALUES (26015, 18, 926, 17.49063538, 199, 143);
INSERT INTO public.ecdc_data VALUES (26016, 0, 2, 78.54636854, 100, 143);
INSERT INTO public.ecdc_data VALUES (26017, 0, 5, 0.32753863, 51, 143);
INSERT INTO public.ecdc_data VALUES (26018, 11, 809, 23.86935767, 200, 143);
INSERT INTO public.ecdc_data VALUES (26019, 2, 293, 64.28517769, 143, 143);
INSERT INTO public.ecdc_data VALUES (26020, 26, 704, 12.75224049, 201, 143);
INSERT INTO public.ecdc_data VALUES (26021, 0, 0, 0, 52, 143);
INSERT INTO public.ecdc_data VALUES (26022, 908, 71494, 259.33910177, 101, 143);
INSERT INTO public.ecdc_data VALUES (26023, 0, 20, 164.46896604, 102, 143);
INSERT INTO public.ecdc_data VALUES (26024, 1, 28, 2.45541898, 103, 143);
INSERT INTO public.ecdc_data VALUES (26025, 4, 547, 19.39256342, 144, 143);
INSERT INTO public.ecdc_data VALUES (26026, 3, 337, 16.32075995, 104, 143);
INSERT INTO public.ecdc_data VALUES (26027, 0, 0, 0.01866018, 145, 143);
INSERT INTO public.ecdc_data VALUES (26028, 0, 0, 42.40649111, 53, 143);
INSERT INTO public.ecdc_data VALUES (26029, 2, 24, 1.15218743, 146, 143);
INSERT INTO public.ecdc_data VALUES (26030, 27, 527, 6.59536284, 54, 143);
INSERT INTO public.ecdc_data VALUES (26031, 1, 58, 5.42829856, 55, 143);
INSERT INTO public.ecdc_data VALUES (26032, 13, 564, 25.25382831, 105, 144);
INSERT INTO public.ecdc_data VALUES (26033, 1, 50, 18.79523914, 147, 144);
INSERT INTO public.ecdc_data VALUES (26034, 11, 121, 3.81389901, 1, 144);
INSERT INTO public.ecdc_data VALUES (26035, 0, 0, 3.93819657, 148, 144);
INSERT INTO public.ecdc_data VALUES (26036, 1, 13, 0.21680865, 2, 144);
INSERT INTO public.ecdc_data VALUES (26037, 0, 0, 0, 56, 144);
INSERT INTO public.ecdc_data VALUES (26038, 0, 0, 0, 57, 144);
INSERT INTO public.ecdc_data VALUES (26039, 35, 1393, 36.36390028, 58, 144);
INSERT INTO public.ecdc_data VALUES (26040, 7, 665, 252.79538889, 149, 144);
INSERT INTO public.ecdc_data VALUES (26041, 0, 0, 0, 59, 144);
INSERT INTO public.ecdc_data VALUES (26042, 0, 23, 0.55945277, 202, 144);
INSERT INTO public.ecdc_data VALUES (26043, 6, 17, 4.6281794, 150, 144);
INSERT INTO public.ecdc_data VALUES (26044, 7, 329, 47.08531359, 151, 144);
INSERT INTO public.ecdc_data VALUES (26045, 0, 0, 0.51349728, 60, 144);
INSERT INTO public.ecdc_data VALUES (26046, 2, 408, 435.42266343, 106, 144);
INSERT INTO public.ecdc_data VALUES (26047, 43, 4008, 26.58694724, 107, 144);
INSERT INTO public.ecdc_data VALUES (26048, 0, 0, 1.74203281, 61, 144);
INSERT INTO public.ecdc_data VALUES (26049, 6, 663, 115.48378831, 152, 144);
INSERT INTO public.ecdc_data VALUES (26050, 7, 123, 13.31236062, 153, 144);
INSERT INTO public.ecdc_data VALUES (26051, 0, 1, 1.02471878, 62, 144);
INSERT INTO public.ecdc_data VALUES (26052, 0, 40, 2.77938991, 3, 144);
INSERT INTO public.ecdc_data VALUES (26053, 0, 0, 4.79938568, 63, 144);
INSERT INTO public.ecdc_data VALUES (26054, 0, 0, 2.62090909, 108, 144);
INSERT INTO public.ecdc_data VALUES (26055, 20, 802, 78.58003864, 64, 144);
INSERT INTO public.ecdc_data VALUES (26056, 0, 0, 0, 65, 144);
INSERT INTO public.ecdc_data VALUES (26057, 0, 60, 17.99455801, 154, 144);
INSERT INTO public.ecdc_data VALUES (26058, 0, 0, 0.86816747, 4, 144);
INSERT INTO public.ecdc_data VALUES (26059, 1269, 32188, 175.95917857, 66, 144);
INSERT INTO public.ecdc_data VALUES (26060, 0, 0, 0, 67, 144);
INSERT INTO public.ecdc_data VALUES (26061, 0, 0, 0, 109, 144);
INSERT INTO public.ecdc_data VALUES (26062, 3, 89, 13.6713524, 155, 144);
INSERT INTO public.ecdc_data VALUES (26063, 0, 4, 0.07381387, 5, 144);
INSERT INTO public.ecdc_data VALUES (26064, 0, 0, 0.35557631, 6, 144);
INSERT INTO public.ecdc_data VALUES (26065, 0, 1, 0.02426221, 110, 144);
INSERT INTO public.ecdc_data VALUES (26066, 0, 0, 12.02640848, 7, 144);
INSERT INTO public.ecdc_data VALUES (26067, 41, 386, 18.09091745, 68, 144);
INSERT INTO public.ecdc_data VALUES (26068, 0, 11, 57.27939251, 8, 144);
INSERT INTO public.ecdc_data VALUES (26069, 0, 0, 56.96865184, 69, 144);
INSERT INTO public.ecdc_data VALUES (26070, 4, 154, 28.97677833, 9, 144);
INSERT INTO public.ecdc_data VALUES (26071, 0, 1, 0.21320782, 10, 144);
INSERT INTO public.ecdc_data VALUES (26072, 232, 36179, 564.58317009, 70, 144);
INSERT INTO public.ecdc_data VALUES (26073, 0, 36, 0.02078417, 111, 144);
INSERT INTO public.ecdc_data VALUES (26074, 63, 2115, 47.06448579, 71, 144);
INSERT INTO public.ecdc_data VALUES (26075, 0, 0, 7.6390513, 11, 144);
INSERT INTO public.ecdc_data VALUES (26076, 0, 0, 4.92518916, 12, 144);
INSERT INTO public.ecdc_data VALUES (26077, 0, 102, 14.14544569, 72, 144);
INSERT INTO public.ecdc_data VALUES (26078, 2, 384, 11.81729092, 13, 144);
INSERT INTO public.ecdc_data VALUES (26079, 0, 3, 0.29438851, 156, 144);
INSERT INTO public.ecdc_data VALUES (26080, 0, 7, 1.5264503, 73, 144);
INSERT INTO public.ecdc_data VALUES (26081, 0, 1, 1.83572692, 74, 144);
INSERT INTO public.ecdc_data VALUES (26082, 0, 0, 3.08254719, 157, 144);
INSERT INTO public.ecdc_data VALUES (26083, 2, 51, 6.79824973, 158, 144);
INSERT INTO public.ecdc_data VALUES (26084, 3, 125, 1.84927929, 14, 144);
INSERT INTO public.ecdc_data VALUES (26085, 0, 44, 9.00779717, 159, 144);
INSERT INTO public.ecdc_data VALUES (26086, 0, 6, 62.65683468, 15, 144);
INSERT INTO public.ecdc_data VALUES (26087, 0, 0, 0, 75, 144);
INSERT INTO public.ecdc_data VALUES (26088, 18, 419, 56.47662059, 76, 144);
INSERT INTO public.ecdc_data VALUES (26089, 37, 547, 43.30694453, 77, 144);
INSERT INTO public.ecdc_data VALUES (26090, 84, 1363, 20.52434992, 16, 144);
INSERT INTO public.ecdc_data VALUES (26091, 4, 125, 21.08916798, 78, 144);
INSERT INTO public.ecdc_data VALUES (26092, 0, 0, 0, 17, 144);
INSERT INTO public.ecdc_data VALUES (26093, 0, 10, 2.60214342, 18, 144);
INSERT INTO public.ecdc_data VALUES (26094, 0, 2, 7.32174937, 160, 144);
INSERT INTO public.ecdc_data VALUES (26095, 0, 43, 23.34224345, 19, 144);
INSERT INTO public.ecdc_data VALUES (26096, 2, 129, 2.02803874, 20, 144);
INSERT INTO public.ecdc_data VALUES (26097, 0, 0, 0, 79, 144);
INSERT INTO public.ecdc_data VALUES (26098, 0, 0, 0, 161, 144);
INSERT INTO public.ecdc_data VALUES (26099, 0, 0, 0, 203, 144);
INSERT INTO public.ecdc_data VALUES (26100, 0, 5, 3.73329148, 162, 144);
INSERT INTO public.ecdc_data VALUES (26101, 28, 458, 9.69515071, 163, 144);
INSERT INTO public.ecdc_data VALUES (26102, 0, 0, 0, 204, 144);
INSERT INTO public.ecdc_data VALUES (26103, 1, 115, 61.07951015, 21, 144);
INSERT INTO public.ecdc_data VALUES (26104, 0, 0, 0.34075962, 22, 144);
INSERT INTO public.ecdc_data VALUES (26105, 0, 5, 2.32688361, 164, 144);
INSERT INTO public.ecdc_data VALUES (26106, 26, 580, 6.02270224, 165, 144);
INSERT INTO public.ecdc_data VALUES (26107, 8, 397, 13.28824666, 23, 144);
INSERT INTO public.ecdc_data VALUES (26108, 0, 0, 8.90049249, 166, 144);
INSERT INTO public.ecdc_data VALUES (26109, 2, 55, 2.48027922, 167, 144);
INSERT INTO public.ecdc_data VALUES (26110, 0, 0, 0, 80, 144);
INSERT INTO public.ecdc_data VALUES (26111, 0, 0, 0, 81, 144);
INSERT INTO public.ecdc_data VALUES (26112, 0, 4, 7.77070444, 205, 144);
INSERT INTO public.ecdc_data VALUES (26113, 14, 545, 31.23173504, 82, 144);
INSERT INTO public.ecdc_data VALUES (26114, 0, 0, 0, 168, 144);
INSERT INTO public.ecdc_data VALUES (26115, 0, 29, 6.12313004, 24, 144);
INSERT INTO public.ecdc_data VALUES (26116, 0, 0, 7.96494591, 25, 144);
INSERT INTO public.ecdc_data VALUES (26117, 0, 0, 2.29951135, 83, 144);
INSERT INTO public.ecdc_data VALUES (26118, 2, 141, 18.18330494, 84, 144);
INSERT INTO public.ecdc_data VALUES (26119, 0, 0, 0, 169, 144);
INSERT INTO public.ecdc_data VALUES (26120, 6, 643, 47.29063837, 85, 144);
INSERT INTO public.ecdc_data VALUES (26121, 1, 1, 1.51441415, 170, 144);
INSERT INTO public.ecdc_data VALUES (26122, 0, 0, 1.68071464, 171, 144);
INSERT INTO public.ecdc_data VALUES (26123, 334, 12881, 10.97958508, 112, 144);
INSERT INTO public.ecdc_data VALUES (26124, 45, 1031, 4.8768489, 113, 144);
INSERT INTO public.ecdc_data VALUES (26125, 120, 2612, 41.43455187, 114, 144);
INSERT INTO public.ecdc_data VALUES (26126, 61, 1554, 40.92110492, 115, 144);
INSERT INTO public.ecdc_data VALUES (26127, 1, 7, 4.68981942, 172, 144);
INSERT INTO public.ecdc_data VALUES (26128, 0, 0, 0, 173, 144);
INSERT INTO public.ecdc_data VALUES (26129, 0, 257, 28.93405418, 116, 144);
INSERT INTO public.ecdc_data VALUES (26130, 43, 328, 6.61370117, 174, 144);
INSERT INTO public.ecdc_data VALUES (26131, 0, 5, 1.22105216, 86, 144);
INSERT INTO public.ecdc_data VALUES (26132, 4, 40, 0.51237464, 117, 144);
INSERT INTO public.ecdc_data VALUES (26133, 0, 2, 8.34910386, 175, 144);
INSERT INTO public.ecdc_data VALUES (26134, 0, 6, 2.27684517, 118, 144);
INSERT INTO public.ecdc_data VALUES (26135, 12, 335, 20.53750256, 119, 144);
INSERT INTO public.ecdc_data VALUES (26136, 2, 184, 3.47700602, 26, 144);
INSERT INTO public.ecdc_data VALUES (26137, 0, 77, 38.42077813, 176, 144);
INSERT INTO public.ecdc_data VALUES (26138, 3, 575, 194.29166616, 120, 144);
INSERT INTO public.ecdc_data VALUES (26139, 1, 95, 11.81448883, 121, 144);
INSERT INTO public.ecdc_data VALUES (26140, 0, 0, 0, 122, 144);
INSERT INTO public.ecdc_data VALUES (26141, 2, 6, 1.30210504, 177, 144);
INSERT INTO public.ecdc_data VALUES (26142, 0, 16, 3.39862733, 123, 144);
INSERT INTO public.ecdc_data VALUES (26143, 0, 0, 0.09410582, 27, 144);
INSERT INTO public.ecdc_data VALUES (26144, 0, 0, 3.90896051, 28, 144);
INSERT INTO public.ecdc_data VALUES (26145, 0, 0, 3.99855226, 29, 144);
INSERT INTO public.ecdc_data VALUES (26146, 0, 0, 0, 178, 144);
INSERT INTO public.ecdc_data VALUES (26147, 0, 2, 3.36413064, 179, 144);
INSERT INTO public.ecdc_data VALUES (26148, 0, 10, 10.58814714, 180, 144);
INSERT INTO public.ecdc_data VALUES (26149, 0, 61, 1.74272189, 30, 144);
INSERT INTO public.ecdc_data VALUES (26150, 0, 8, 1.08971354, 31, 144);
INSERT INTO public.ecdc_data VALUES (26151, 0, 10, 1.70580156, 124, 144);
INSERT INTO public.ecdc_data VALUES (26152, 0, 26, 50.85157555, 125, 144);
INSERT INTO public.ecdc_data VALUES (26153, 1, 5, 2.74188305, 32, 144);
INSERT INTO public.ecdc_data VALUES (26154, 0, 1, 8.30701091, 181, 144);
INSERT INTO public.ecdc_data VALUES (26155, 0, 0, 30.69139832, 33, 144);
INSERT INTO public.ecdc_data VALUES (26156, 0, 0, 0.15752125, 34, 144);
INSERT INTO public.ecdc_data VALUES (26157, 770, 6094, 53.53612917, 87, 144);
INSERT INTO public.ecdc_data VALUES (26158, 10, 478, 97.37197082, 182, 144);
INSERT INTO public.ecdc_data VALUES (26159, 0, 0, 0, 183, 144);
INSERT INTO public.ecdc_data VALUES (26160, 0, 4, 0.46509234, 126, 144);
INSERT INTO public.ecdc_data VALUES (26161, 0, 7, 1.44652208, 184, 144);
INSERT INTO public.ecdc_data VALUES (26162, 0, 0, 0, 88, 144);
INSERT INTO public.ecdc_data VALUES (26163, 1, 76, 2.94748546, 35, 144);
INSERT INTO public.ecdc_data VALUES (26164, 0, 13, 1.10320597, 36, 144);
INSERT INTO public.ecdc_data VALUES (26165, 0, 1, 0.05365857, 127, 144);
INSERT INTO public.ecdc_data VALUES (26166, 0, 2, 0.44096589, 37, 144);
INSERT INTO public.ecdc_data VALUES (26167, 1, 586, 17.04725291, 128, 144);
INSERT INTO public.ecdc_data VALUES (26168, 4, 117, 14.29797879, 185, 144);
INSERT INTO public.ecdc_data VALUES (26169, 0, 0, 0.35366056, 207, 144);
INSERT INTO public.ecdc_data VALUES (26170, 0, 1, 0.06272133, 208, 144);
INSERT INTO public.ecdc_data VALUES (26171, 0, 191, 13.68878755, 89, 144);
INSERT INTO public.ecdc_data VALUES (26172, 1, 4, 0.25310245, 38, 144);
INSERT INTO public.ecdc_data VALUES (26173, 14, 587, 3.26875111, 39, 144);
INSERT INTO public.ecdc_data VALUES (26174, 9, 193, 95.80517752, 186, 144);
INSERT INTO public.ecdc_data VALUES (26175, 0, 0, 10.48712705, 209, 144);
INSERT INTO public.ecdc_data VALUES (26176, 1, 29, 4.01635671, 187, 144);
INSERT INTO public.ecdc_data VALUES (26177, 2, 810, 252.1009079, 129, 144);
INSERT INTO public.ecdc_data VALUES (26178, 118, 5358, 34.564168, 130, 144);
INSERT INTO public.ecdc_data VALUES (26179, 0, 11, 1.32492288, 131, 144);
INSERT INTO public.ecdc_data VALUES (26180, 13, 635, 188.11051139, 90, 144);
INSERT INTO public.ecdc_data VALUES (26181, 0, 0, 0, 210, 144);
INSERT INTO public.ecdc_data VALUES (26182, 0, 5, 3.37845559, 91, 144);
INSERT INTO public.ecdc_data VALUES (26183, 201, 3752, 190.68938485, 92, 144);
INSERT INTO public.ecdc_data VALUES (26184, 5, 457, 6.92770442, 132, 144);
INSERT INTO public.ecdc_data VALUES (26185, 14, 506, 15.83764721, 188, 144);
INSERT INTO public.ecdc_data VALUES (26186, 1, 336, 42.92268555, 189, 144);
INSERT INTO public.ecdc_data VALUES (26187, 0, 52, 67.4983739, 93, 144);
INSERT INTO public.ecdc_data VALUES (26188, 2, 1097, 742.00117158, 133, 144);
INSERT INTO public.ecdc_data VALUES (26189, 14, 345, 15.92112435, 190, 144);
INSERT INTO public.ecdc_data VALUES (26190, 194, 7843, 82.96574002, 191, 144);
INSERT INTO public.ecdc_data VALUES (26191, 0, 3, 1.91653749, 40, 144);
INSERT INTO public.ecdc_data VALUES (26192, 0, 0, 0, 94, 144);
INSERT INTO public.ecdc_data VALUES (26193, 0, 0, 0.54706092, 95, 144);
INSERT INTO public.ecdc_data VALUES (26194, 0, 0, 2.71264908, 96, 144);
INSERT INTO public.ecdc_data VALUES (26195, 0, 2, 26.12254376, 192, 144);
INSERT INTO public.ecdc_data VALUES (26196, 0, 12, 92.53748, 41, 144);
INSERT INTO public.ecdc_data VALUES (26197, 39, 4919, 146.05820985, 134, 144);
INSERT INTO public.ecdc_data VALUES (26198, 3, 122, 8.81791899, 42, 144);
INSERT INTO public.ecdc_data VALUES (26199, 1, 96, 14.34569006, 193, 144);
INSERT INTO public.ecdc_data VALUES (26200, 0, 0, 0, 43, 144);
INSERT INTO public.ecdc_data VALUES (26201, 0, 24, 4.3516062, 44, 144);
INSERT INTO public.ecdc_data VALUES (26202, 0, 247, 82.88621124, 135, 144);
INSERT INTO public.ecdc_data VALUES (26203, 0, 0, 0, 97, 144);
INSERT INTO public.ecdc_data VALUES (26204, 0, 9, 0.66049944, 194, 144);
INSERT INTO public.ecdc_data VALUES (26205, 0, 4, 1.24945457, 195, 144);
INSERT INTO public.ecdc_data VALUES (26206, 0, 38, 3.56150585, 45, 144);
INSERT INTO public.ecdc_data VALUES (26207, 49, 4078, 73.23816465, 46, 144);
INSERT INTO public.ecdc_data VALUES (26208, 1, 59, 1.2259562, 136, 144);
INSERT INTO public.ecdc_data VALUES (26209, 1, 31, 7.34940898, 47, 144);
INSERT INTO public.ecdc_data VALUES (26210, 0, 585, 9.81740228, 196, 144);
INSERT INTO public.ecdc_data VALUES (26211, 0, 9, 0.82068178, 137, 144);
INSERT INTO public.ecdc_data VALUES (26212, 10, 280, 6.32981804, 48, 144);
INSERT INTO public.ecdc_data VALUES (26213, 0, 25, 32.1657897, 98, 144);
INSERT INTO public.ecdc_data VALUES (26214, 32, 1457, 131.85489803, 197, 144);
INSERT INTO public.ecdc_data VALUES (26215, 0, 37, 3.39398541, 198, 144);
INSERT INTO public.ecdc_data VALUES (26216, 1, 1, 0.3222002, 138, 144);
INSERT INTO public.ecdc_data VALUES (26217, 0, 0, 0.00841259, 139, 144);
INSERT INTO public.ecdc_data VALUES (26218, 1, 61, 12.02657691, 140, 144);
INSERT INTO public.ecdc_data VALUES (26219, 0, 6, 0.05745015, 141, 144);
INSERT INTO public.ecdc_data VALUES (26220, 0, 0, 0, 142, 144);
INSERT INTO public.ecdc_data VALUES (26221, 0, 7, 1.13828153, 49, 144);
INSERT INTO public.ecdc_data VALUES (26222, 0, 0, 0.43011709, 99, 144);
INSERT INTO public.ecdc_data VALUES (26223, 1, 3, 0.35058553, 50, 144);
INSERT INTO public.ecdc_data VALUES (26224, 19, 1429, 19.88320504, 199, 144);
INSERT INTO public.ecdc_data VALUES (26225, 0, 0, 0, 100, 144);
INSERT INTO public.ecdc_data VALUES (26226, 0, 8, 0.5082496, 51, 144);
INSERT INTO public.ecdc_data VALUES (26227, 31, 758, 19.1186713, 200, 144);
INSERT INTO public.ecdc_data VALUES (26228, 2, 382, 71.69521887, 143, 144);
INSERT INTO public.ecdc_data VALUES (26229, 110, 1102, 21.94093572, 201, 144);
INSERT INTO public.ecdc_data VALUES (26230, 0, 0, 0, 52, 144);
INSERT INTO public.ecdc_data VALUES (26231, 754, 25559, 94.74422337, 101, 144);
INSERT INTO public.ecdc_data VALUES (26232, 0, 0, 2.86864476, 102, 144);
INSERT INTO public.ecdc_data VALUES (26233, 0, 0, 0.60663292, 103, 144);
INSERT INTO public.ecdc_data VALUES (26234, 0, 136, 5.52730505, 144, 144);
INSERT INTO public.ecdc_data VALUES (26235, 0, 0, 0.00725674, 145, 144);
INSERT INTO public.ecdc_data VALUES (26236, 0, 0, 0, 53, 144);
INSERT INTO public.ecdc_data VALUES (26237, 29, 13, 1.7111355, 146, 144);
INSERT INTO public.ecdc_data VALUES (26238, 0, 7, 1.80840594, 54, 144);
INSERT INTO public.ecdc_data VALUES (26239, 0, 7, 1.22222068, 55, 144);
INSERT INTO public.ecdc_data VALUES (26240, 1, 262, 10.40961384, 105, 145);
INSERT INTO public.ecdc_data VALUES (26241, 0, 13, 5.2752437, 147, 145);
INSERT INTO public.ecdc_data VALUES (26242, 6, 198, 5.91131119, 1, 145);
INSERT INTO public.ecdc_data VALUES (26243, 0, 0, 17.06551846, 148, 145);
INSERT INTO public.ecdc_data VALUES (26244, 0, 0, 0.04084801, 2, 145);
INSERT INTO public.ecdc_data VALUES (26245, 0, 0, 0, 56, 145);
INSERT INTO public.ecdc_data VALUES (26246, 0, 0, 0, 57, 145);
INSERT INTO public.ecdc_data VALUES (26247, 3, 0, 6.74844674, 58, 145);
INSERT INTO public.ecdc_data VALUES (26248, 1, 351, 78.30334635, 149, 145);
INSERT INTO public.ecdc_data VALUES (26249, 0, 0, 0.94064528, 59, 145);
INSERT INTO public.ecdc_data VALUES (26250, 0, 9, 0.96813103, 202, 145);
INSERT INTO public.ecdc_data VALUES (26251, 1, 14, 6.95355735, 150, 145);
INSERT INTO public.ecdc_data VALUES (26252, 3, 136, 13.35626524, 151, 145);
INSERT INTO public.ecdc_data VALUES (26253, 0, 0, 3.33773229, 60, 145);
INSERT INTO public.ecdc_data VALUES (26254, 0, 209, 217.71133171, 106, 145);
INSERT INTO public.ecdc_data VALUES (26255, 14, 1273, 7.85851012, 107, 145);
INSERT INTO public.ecdc_data VALUES (26256, 0, 2, 2.09043938, 61, 145);
INSERT INTO public.ecdc_data VALUES (26257, 5, 969, 136.9492158, 152, 145);
INSERT INTO public.ecdc_data VALUES (26258, 31, 81, 45.24456727, 153, 145);
INSERT INTO public.ecdc_data VALUES (26259, 0, 0, 0, 62, 145);
INSERT INTO public.ecdc_data VALUES (26260, 0, 0, 2.10996368, 3, 145);
INSERT INTO public.ecdc_data VALUES (26261, 0, 0, 12.79836181, 63, 145);
INSERT INTO public.ecdc_data VALUES (26262, 0, 0, 1.83463636, 108, 145);
INSERT INTO public.ecdc_data VALUES (26263, 4, 262, 21.6622766, 64, 145);
INSERT INTO public.ecdc_data VALUES (26264, 0, 0, 0, 65, 145);
INSERT INTO public.ecdc_data VALUES (26265, 3, 22, 13.08695128, 154, 145);
INSERT INTO public.ecdc_data VALUES (26266, 0, 1, 0.08681675, 4, 145);
INSERT INTO public.ecdc_data VALUES (26267, 485, 7938, 66.30339679, 66, 145);
INSERT INTO public.ecdc_data VALUES (26268, 0, 0, 6.65934139, 67, 145);
INSERT INTO public.ecdc_data VALUES (26269, 0, 0, 0.69236734, 109, 145);
INSERT INTO public.ecdc_data VALUES (26270, 2, 24, 8.81423661, 155, 145);
INSERT INTO public.ecdc_data VALUES (26271, 0, 14, 0.65940394, 5, 145);
INSERT INTO public.ecdc_data VALUES (26272, 0, 15, 0.19946964, 6, 145);
INSERT INTO public.ecdc_data VALUES (26273, 0, 0, 0, 110, 145);
INSERT INTO public.ecdc_data VALUES (26274, 0, 0, 4.69540048, 7, 145);
INSERT INTO public.ecdc_data VALUES (26275, 103, 1138, 46.82307933, 68, 145);
INSERT INTO public.ecdc_data VALUES (26276, 0, 0, 29.63981263, 8, 145);
INSERT INTO public.ecdc_data VALUES (26277, 0, 0, 30.79386586, 69, 145);
INSERT INTO public.ecdc_data VALUES (26278, 0, 0, 5.37387525, 9, 145);
INSERT INTO public.ecdc_data VALUES (26279, 3, 29, 2.42053588, 10, 145);
INSERT INTO public.ecdc_data VALUES (26280, 29, 2353, 127.25810183, 70, 145);
INSERT INTO public.ecdc_data VALUES (26281, 0, 10, 0.0062771, 111, 145);
INSERT INTO public.ecdc_data VALUES (26282, 12, 635, 15.70537838, 71, 145);
INSERT INTO public.ecdc_data VALUES (26283, 0, 0, 0.94019093, 11, 145);
INSERT INTO public.ecdc_data VALUES (26284, 0, 0, 3.40116837, 12, 145);
INSERT INTO public.ecdc_data VALUES (26285, 0, 10, 2.45663202, 72, 145);
INSERT INTO public.ecdc_data VALUES (26286, 2, 48, 2.76475612, 13, 145);
INSERT INTO public.ecdc_data VALUES (26287, 0, 2, 3.18920889, 156, 145);
INSERT INTO public.ecdc_data VALUES (26288, 0, 10, 1.9676209, 73, 145);
INSERT INTO public.ecdc_data VALUES (26289, 0, 0, 0, 74, 145);
INSERT INTO public.ecdc_data VALUES (26290, 0, 2, 5.02341023, 157, 145);
INSERT INTO public.ecdc_data VALUES (26291, 1, 20, 6.5165543, 158, 145);
INSERT INTO public.ecdc_data VALUES (26292, 0, 0, 0.88719318, 14, 145);
INSERT INTO public.ecdc_data VALUES (26293, 4, 69, 24.18154345, 159, 145);
INSERT INTO public.ecdc_data VALUES (26294, 0, 70, 29.68495938, 15, 145);
INSERT INTO public.ecdc_data VALUES (26295, 0, 0, 0, 75, 145);
INSERT INTO public.ecdc_data VALUES (26296, 4, 421, 40.59984596, 76, 145);
INSERT INTO public.ecdc_data VALUES (26297, 48, 419, 20.97428308, 77, 145);
INSERT INTO public.ecdc_data VALUES (26298, 18, 510, 5.74171777, 16, 145);
INSERT INTO public.ecdc_data VALUES (26299, 4, 73, 12.13285711, 78, 145);
INSERT INTO public.ecdc_data VALUES (26300, 0, 0, 20.57549436, 17, 145);
INSERT INTO public.ecdc_data VALUES (26301, 0, 0, 0, 18, 145);
INSERT INTO public.ecdc_data VALUES (26302, 0, 4, 5.58566447, 160, 145);
INSERT INTO public.ecdc_data VALUES (26303, 0, 1, 7.92591102, 19, 145);
INSERT INTO public.ecdc_data VALUES (26304, 0, 11, 0.16238586, 20, 145);
INSERT INTO public.ecdc_data VALUES (26305, 0, 0, 0, 79, 145);
INSERT INTO public.ecdc_data VALUES (26306, 0, 0, 0, 161, 145);
INSERT INTO public.ecdc_data VALUES (26307, 0, 0, 0, 203, 145);
INSERT INTO public.ecdc_data VALUES (26308, 1, 61, 19.80819218, 162, 145);
INSERT INTO public.ecdc_data VALUES (26309, 68, 120, 16.59979321, 163, 145);
INSERT INTO public.ecdc_data VALUES (26310, 0, 0, 0.71611436, 204, 145);
INSERT INTO public.ecdc_data VALUES (26311, 0, 0, 45.33784288, 21, 145);
INSERT INTO public.ecdc_data VALUES (26312, 0, 0, 0.25556972, 22, 145);
INSERT INTO public.ecdc_data VALUES (26313, 0, 6, 2.80226844, 164, 145);
INSERT INTO public.ecdc_data VALUES (26314, 21, 342, 13.87871504, 165, 145);
INSERT INTO public.ecdc_data VALUES (26315, 0, 0, 11.72337645, 23, 145);
INSERT INTO public.ecdc_data VALUES (26316, 0, 0, 8.90049249, 166, 145);
INSERT INTO public.ecdc_data VALUES (26317, 1, 15, 1.93946645, 167, 145);
INSERT INTO public.ecdc_data VALUES (26318, 0, 0, 0, 80, 145);
INSERT INTO public.ecdc_data VALUES (26319, 0, 0, 0.8928412, 81, 145);
INSERT INTO public.ecdc_data VALUES (26320, 0, 0, 2.98873248, 205, 145);
INSERT INTO public.ecdc_data VALUES (26321, 2, 149, 6.87655576, 82, 145);
INSERT INTO public.ecdc_data VALUES (26322, 0, 0, 0, 168, 145);
INSERT INTO public.ecdc_data VALUES (26323, 0, 0, 8.39385601, 24, 145);
INSERT INTO public.ecdc_data VALUES (26324, 1, 77, 36.33681205, 25, 145);
INSERT INTO public.ecdc_data VALUES (26325, 0, 0, 4.47127208, 83, 145);
INSERT INTO public.ecdc_data VALUES (26326, 0, 98, 3.29394831, 84, 145);
INSERT INTO public.ecdc_data VALUES (26327, 0, 0, 122.6993865, 169, 145);
INSERT INTO public.ecdc_data VALUES (26328, 4, 81, 16.32445338, 85, 145);
INSERT INTO public.ecdc_data VALUES (26329, 11, 26, 5.11626403, 170, 145);
INSERT INTO public.ecdc_data VALUES (26330, 0, 0, 0.84035732, 171, 145);
INSERT INTO public.ecdc_data VALUES (26331, 157, 5242, 3.92530028, 112, 145);
INSERT INTO public.ecdc_data VALUES (26332, 59, 489, 2.33606901, 113, 145);
INSERT INTO public.ecdc_data VALUES (26333, 51, 1806, 27.46704946, 114, 145);
INSERT INTO public.ecdc_data VALUES (26334, 2, 144, 2.81863635, 115, 145);
INSERT INTO public.ecdc_data VALUES (26335, 10, 64, 53.1376931, 172, 145);
INSERT INTO public.ecdc_data VALUES (26336, 0, 0, 16.55061533, 173, 145);
INSERT INTO public.ecdc_data VALUES (26337, 4, 9, 4.80082278, 116, 145);
INSERT INTO public.ecdc_data VALUES (26338, 145, 675, 24.38388122, 174, 145);
INSERT INTO public.ecdc_data VALUES (26339, 0, 3, 1.72982389, 86, 145);
INSERT INTO public.ecdc_data VALUES (26340, 5, 20, 0.98375931, 117, 145);
INSERT INTO public.ecdc_data VALUES (26341, 0, 0, 9.27678207, 175, 145);
INSERT INTO public.ecdc_data VALUES (26342, 0, 6, 1.50469768, 118, 145);
INSERT INTO public.ecdc_data VALUES (26343, 0, 283, 13.34668145, 119, 145);
INSERT INTO public.ecdc_data VALUES (26344, 0, 57, 0.80267863, 26, 145);
INSERT INTO public.ecdc_data VALUES (26345, 0, 7, 7.45062847, 176, 145);
INSERT INTO public.ecdc_data VALUES (26346, 5, 1048, 234.53338268, 120, 145);
INSERT INTO public.ecdc_data VALUES (26347, 0, 78, 6.0163492, 121, 145);
INSERT INTO public.ecdc_data VALUES (26348, 0, 0, 0, 122, 145);
INSERT INTO public.ecdc_data VALUES (26349, 0, 11, 6.71886198, 177, 145);
INSERT INTO public.ecdc_data VALUES (26350, 0, 9, 2.53803071, 123, 145);
INSERT INTO public.ecdc_data VALUES (26351, 0, 0, 0, 27, 145);
INSERT INTO public.ecdc_data VALUES (26352, 1, 3, 1.37725034, 28, 145);
INSERT INTO public.ecdc_data VALUES (26353, 0, 0, 0.02950961, 29, 145);
INSERT INTO public.ecdc_data VALUES (26354, 0, 0, 0, 178, 145);
INSERT INTO public.ecdc_data VALUES (26355, 1, 7, 4.68830972, 179, 145);
INSERT INTO public.ecdc_data VALUES (26356, 3, 15, 19.71024314, 180, 145);
INSERT INTO public.ecdc_data VALUES (26357, 1, 21, 0.57472743, 30, 145);
INSERT INTO public.ecdc_data VALUES (26358, 0, 5, 0.16640946, 31, 145);
INSERT INTO public.ecdc_data VALUES (26359, 0, 22, 1.86542703, 124, 145);
INSERT INTO public.ecdc_data VALUES (26360, 0, 16, 106.78830866, 125, 145);
INSERT INTO public.ecdc_data VALUES (26361, 4, 25, 1.51083352, 32, 145);
INSERT INTO public.ecdc_data VALUES (26362, 0, 5, 15.80358174, 181, 145);
INSERT INTO public.ecdc_data VALUES (26363, 1, 33, 1.19318611, 33, 145);
INSERT INTO public.ecdc_data VALUES (26364, 0, 0, 0, 34, 145);
INSERT INTO public.ecdc_data VALUES (26365, 132, 1623, 26.45413291, 87, 145);
INSERT INTO public.ecdc_data VALUES (26366, 4, 126, 47.95637577, 182, 145);
INSERT INTO public.ecdc_data VALUES (26367, 0, 0, 0, 183, 145);
INSERT INTO public.ecdc_data VALUES (26368, 0, 4, 3.1006156, 126, 145);
INSERT INTO public.ecdc_data VALUES (26369, 0, 0, 0.32144935, 184, 145);
INSERT INTO public.ecdc_data VALUES (26370, 0, 0, 0, 88, 145);
INSERT INTO public.ecdc_data VALUES (26371, 0, 129, 5.39321293, 35, 145);
INSERT INTO public.ecdc_data VALUES (26372, 0, 8, 0.18770967, 36, 145);
INSERT INTO public.ecdc_data VALUES (26373, 0, 5, 0.05920946, 127, 145);
INSERT INTO public.ecdc_data VALUES (26374, 0, 0, 0, 37, 145);
INSERT INTO public.ecdc_data VALUES (26375, 1, 13, 0.80045539, 128, 145);
INSERT INTO public.ecdc_data VALUES (26376, 10, 125, 19.81233483, 185, 145);
INSERT INTO public.ecdc_data VALUES (26377, 0, 0, 0, 207, 145);
INSERT INTO public.ecdc_data VALUES (26378, 0, 0, 0.25088531, 208, 145);
INSERT INTO public.ecdc_data VALUES (26379, 0, 0, 0.16805431, 89, 145);
INSERT INTO public.ecdc_data VALUES (26380, 3, 15, 0.66064028, 38, 145);
INSERT INTO public.ecdc_data VALUES (26381, 6, 338, 1.69234625, 39, 145);
INSERT INTO public.ecdc_data VALUES (26382, 3, 30, 13.52826879, 186, 145);
INSERT INTO public.ecdc_data VALUES (26383, 0, 0, 12.23498156, 209, 145);
INSERT INTO public.ecdc_data VALUES (26384, 0, 0, 7.28199253, 187, 145);
INSERT INTO public.ecdc_data VALUES (26385, 1, 157, 52.6232002, 129, 145);
INSERT INTO public.ecdc_data VALUES (26386, 30, 1974, 10.130431, 130, 145);
INSERT INTO public.ecdc_data VALUES (26387, 0, 6, 0.76283439, 131, 145);
INSERT INTO public.ecdc_data VALUES (26388, 6, 157, 56.72987255, 90, 145);
INSERT INTO public.ecdc_data VALUES (26389, 0, 0, 0, 210, 145);
INSERT INTO public.ecdc_data VALUES (26390, 0, 8, 5.5361247, 91, 145);
INSERT INTO public.ecdc_data VALUES (26391, 125, 3732, 142.55411074, 92, 145);
INSERT INTO public.ecdc_data VALUES (26392, 7, 208, 3.04301035, 132, 145);
INSERT INTO public.ecdc_data VALUES (26393, 10, 272, 12.73542765, 188, 145);
INSERT INTO public.ecdc_data VALUES (26394, 15, 226, 34.17467052, 189, 145);
INSERT INTO public.ecdc_data VALUES (26395, 1, 57, 28.5674936, 93, 145);
INSERT INTO public.ecdc_data VALUES (26396, 0, 1632, 602.13885881, 133, 145);
INSERT INTO public.ecdc_data VALUES (26397, 16, 167, 19.09916826, 190, 145);
INSERT INTO public.ecdc_data VALUES (26398, 94, 9709, 100.8176606, 191, 145);
INSERT INTO public.ecdc_data VALUES (26399, 0, 3, 0.26134602, 40, 145);
INSERT INTO public.ecdc_data VALUES (26400, 0, 0, 0, 94, 145);
INSERT INTO public.ecdc_data VALUES (26401, 0, 0, 0, 95, 145);
INSERT INTO public.ecdc_data VALUES (26402, 0, 0, 0, 96, 145);
INSERT INTO public.ecdc_data VALUES (26403, 0, 1, 208.98035004, 192, 145);
INSERT INTO public.ecdc_data VALUES (26404, 0, 0, 100.90770433, 41, 145);
INSERT INTO public.ecdc_data VALUES (26405, 10, 2736, 80.95182609, 134, 145);
INSERT INTO public.ecdc_data VALUES (26406, 1, 51, 7.96496789, 42, 145);
INSERT INTO public.ecdc_data VALUES (26407, 2, 114, 16.45661743, 193, 145);
INSERT INTO public.ecdc_data VALUES (26408, 0, 0, 0, 43, 145);
INSERT INTO public.ecdc_data VALUES (26409, 3, 43, 4.45399693, 44, 145);
INSERT INTO public.ecdc_data VALUES (26410, 0, 682, 169.40763149, 135, 145);
INSERT INTO public.ecdc_data VALUES (26411, 0, 0, 2.3591026, 97, 145);
INSERT INTO public.ecdc_data VALUES (26412, 0, 1, 1.57785977, 194, 145);
INSERT INTO public.ecdc_data VALUES (26413, 1, 0, 1.29751051, 195, 145);
INSERT INTO public.ecdc_data VALUES (26414, 1, 64, 4.52635016, 45, 145);
INSERT INTO public.ecdc_data VALUES (26415, 3, 1160, 14.91164347, 46, 145);
INSERT INTO public.ecdc_data VALUES (26416, 1, 15, 0.51537012, 136, 145);
INSERT INTO public.ecdc_data VALUES (26417, 0, 46, 2.13340777, 47, 145);
INSERT INTO public.ecdc_data VALUES (26418, 59, 256, 26.42048735, 196, 145);
INSERT INTO public.ecdc_data VALUES (26419, 0, 21, 1.23336748, 137, 145);
INSERT INTO public.ecdc_data VALUES (26420, 6, 325, 3.76285493, 48, 145);
INSERT INTO public.ecdc_data VALUES (26421, 0, 0, 0, 98, 145);
INSERT INTO public.ecdc_data VALUES (26422, 53, 259, 78.41500423, 197, 145);
INSERT INTO public.ecdc_data VALUES (26423, 1, 15, 7.98171742, 198, 145);
INSERT INTO public.ecdc_data VALUES (26424, 0, 7, 0.0820146, 138, 145);
INSERT INTO public.ecdc_data VALUES (26425, 0, 0, 0.01682519, 139, 145);
INSERT INTO public.ecdc_data VALUES (26426, 3, 202, 15.53477553, 140, 145);
INSERT INTO public.ecdc_data VALUES (26427, 0, 0, 0.08473897, 141, 145);
INSERT INTO public.ecdc_data VALUES (26428, 0, 0, 0, 142, 145);
INSERT INTO public.ecdc_data VALUES (26429, 0, 3, 2.18995469, 49, 145);
INSERT INTO public.ecdc_data VALUES (26430, 0, 0, 0, 99, 145);
INSERT INTO public.ecdc_data VALUES (26431, 0, 2, 0.2052208, 50, 145);
INSERT INTO public.ecdc_data VALUES (26432, 44, 1368, 28.52303992, 199, 145);
INSERT INTO public.ecdc_data VALUES (26433, 0, 0, 0, 100, 145);
INSERT INTO public.ecdc_data VALUES (26434, 0, 0, 0.31172642, 51, 145);
INSERT INTO public.ecdc_data VALUES (26435, 17, 433, 14.49754911, 200, 145);
INSERT INTO public.ecdc_data VALUES (26436, 6, 731, 94.10956995, 143, 145);
INSERT INTO public.ecdc_data VALUES (26437, 67, 2079, 64.10480322, 201, 145);
INSERT INTO public.ecdc_data VALUES (26438, 0, 0, 0.04999529, 52, 145);
INSERT INTO public.ecdc_data VALUES (26439, 808, 18873, 99.89396712, 101, 145);
INSERT INTO public.ecdc_data VALUES (26440, 0, 0, 2.86864476, 102, 145);
INSERT INTO public.ecdc_data VALUES (26441, 1, 1, 2.28209529, 103, 145);
INSERT INTO public.ecdc_data VALUES (26442, 1, 12, 1.83131775, 144, 145);
INSERT INTO public.ecdc_data VALUES (26443, 0, 37, 0.64525566, 104, 145);
INSERT INTO public.ecdc_data VALUES (26444, 0, 2, 0.05079715, 145, 145);
INSERT INTO public.ecdc_data VALUES (26445, 0, 0, 0, 53, 145);
INSERT INTO public.ecdc_data VALUES (26446, 1, 4, 0.40463725, 146, 145);
INSERT INTO public.ecdc_data VALUES (26447, 0, 74, 3.52163262, 54, 145);
INSERT INTO public.ecdc_data VALUES (26448, 0, 2, 0.08193658, 55, 145);
INSERT INTO public.ecdc_data VALUES (26449, 1, 51, 1.60350112, 105, 146);
INSERT INTO public.ecdc_data VALUES (26450, 0, 21, 8.20981636, 147, 146);
INSERT INTO public.ecdc_data VALUES (26451, 16, 150, 2.89642635, 1, 146);
INSERT INTO public.ecdc_data VALUES (26452, 2, 14, 337.3721727, 148, 146);
INSERT INTO public.ecdc_data VALUES (26453, 0, 0, 0.0345637, 2, 146);
INSERT INTO public.ecdc_data VALUES (26454, 0, 0, 0, 56, 146);
INSERT INTO public.ecdc_data VALUES (26455, 0, 0, 8.23765639, 57, 146);
INSERT INTO public.ecdc_data VALUES (26456, 7, 98, 3.11071684, 58, 146);
INSERT INTO public.ecdc_data VALUES (26457, 1, 47, 16.16105335, 149, 146);
INSERT INTO public.ecdc_data VALUES (26458, 1, 1, 31.98193961, 59, 146);
INSERT INTO public.ecdc_data VALUES (26459, 4, 36, 3.90823388, 202, 146);
INSERT INTO public.ecdc_data VALUES (26460, 21, 155, 34.74521026, 150, 146);
INSERT INTO public.ecdc_data VALUES (26461, 0, 57, 8.92739934, 151, 146);
INSERT INTO public.ecdc_data VALUES (26462, 0, 1, 7.95920778, 60, 146);
INSERT INTO public.ecdc_data VALUES (26463, 0, 44, 67.08653127, 106, 146);
INSERT INTO public.ecdc_data VALUES (26464, 15, 266, 1.08987532, 107, 146);
INSERT INTO public.ecdc_data VALUES (26465, 0, 0, 10.45219688, 61, 146);
INSERT INTO public.ecdc_data VALUES (26466, 3, 575, 46.84520105, 152, 146);
INSERT INTO public.ecdc_data VALUES (26467, 205, 1395, 173.48842946, 153, 146);
INSERT INTO public.ecdc_data VALUES (26468, 0, 0, 3.58651573, 62, 146);
INSERT INTO public.ecdc_data VALUES (26469, 0, 0, 0.17794874, 3, 146);
INSERT INTO public.ecdc_data VALUES (26470, 0, 0, 76.79017086, 63, 146);
INSERT INTO public.ecdc_data VALUES (26471, 0, 0, 0, 108, 146);
INSERT INTO public.ecdc_data VALUES (26472, 0, 28, 3.07475778, 64, 146);
INSERT INTO public.ecdc_data VALUES (26473, 0, 0, 7.69734057, 65, 146);
INSERT INTO public.ecdc_data VALUES (26474, 3, 58, 18.90337407, 154, 146);
INSERT INTO public.ecdc_data VALUES (26475, 0, 0, 0.47749211, 4, 146);
INSERT INTO public.ecdc_data VALUES (26476, 217, 3257, 11.66835163, 66, 146);
INSERT INTO public.ecdc_data VALUES (26477, 0, 0, 0, 67, 146);
INSERT INTO public.ecdc_data VALUES (26478, 0, 0, 0.69236734, 109, 146);
INSERT INTO public.ecdc_data VALUES (26479, 3, 46, 5.15711412, 155, 146);
INSERT INTO public.ecdc_data VALUES (26480, 3, 14, 1.3237288, 5, 146);
INSERT INTO public.ecdc_data VALUES (26481, 0, 1, 0.02601778, 6, 146);
INSERT INTO public.ecdc_data VALUES (26482, 0, 0, 0.04852443, 110, 146);
INSERT INTO public.ecdc_data VALUES (26483, 0, 161, 1.95931526, 7, 146);
INSERT INTO public.ecdc_data VALUES (26484, 116, 1791, 51.73072183, 68, 146);
INSERT INTO public.ecdc_data VALUES (26485, 0, 1, 9.09196707, 8, 146);
INSERT INTO public.ecdc_data VALUES (26486, 0, 0, 49.27018538, 69, 146);
INSERT INTO public.ecdc_data VALUES (26487, 0, 0, 0.08429608, 9, 146);
INSERT INTO public.ecdc_data VALUES (26488, 0, 6, 0.16304128, 10, 146);
INSERT INTO public.ecdc_data VALUES (26489, 11, 445, 29.09977741, 70, 146);
INSERT INTO public.ecdc_data VALUES (26490, 0, 31, 0.08773987, 111, 146);
INSERT INTO public.ecdc_data VALUES (26491, 9, 206, 4.31470805, 71, 146);
INSERT INTO public.ecdc_data VALUES (26492, 1, 26, 1.89573319, 12, 146);
INSERT INTO public.ecdc_data VALUES (26493, 0, 7, 4.61609082, 72, 146);
INSERT INTO public.ecdc_data VALUES (26494, 0, 54, 2.03759804, 13, 146);
INSERT INTO public.ecdc_data VALUES (26495, 1, 23, 18.03129644, 156, 146);
INSERT INTO public.ecdc_data VALUES (26496, 4, 61, 5.77051152, 73, 146);
INSERT INTO public.ecdc_data VALUES (26497, 0, 0, 1.83572692, 74, 146);
INSERT INTO public.ecdc_data VALUES (26498, 0, 0, 38.70309248, 157, 146);
INSERT INTO public.ecdc_data VALUES (26499, 4, 116, 22.15065072, 158, 146);
INSERT INTO public.ecdc_data VALUES (26500, 2, 20, 0.19933042, 14, 146);
INSERT INTO public.ecdc_data VALUES (26501, 15, 194, 57.11253426, 159, 146);
INSERT INTO public.ecdc_data VALUES (26502, 0, 141, 70.9768406, 15, 146);
INSERT INTO public.ecdc_data VALUES (26503, 0, 0, 2.78520499, 75, 146);
INSERT INTO public.ecdc_data VALUES (26504, 4, 371, 24.56476919, 76, 146);
INSERT INTO public.ecdc_data VALUES (26505, 18, 225, 29.25118183, 77, 146);
INSERT INTO public.ecdc_data VALUES (26506, 9, 171, 2.05701721, 16, 146);
INSERT INTO public.ecdc_data VALUES (26507, 1, 13, 1.87493705, 78, 146);
INSERT INTO public.ecdc_data VALUES (26508, 0, 28, 4.64607937, 17, 146);
INSERT INTO public.ecdc_data VALUES (26509, 0, 0, 0.37173477, 18, 146);
INSERT INTO public.ecdc_data VALUES (26510, 2, 25, 37.59001223, 160, 146);
INSERT INTO public.ecdc_data VALUES (26511, 1, 3, 0.87097923, 19, 146);
INSERT INTO public.ecdc_data VALUES (26512, 0, 4, 0.05442603, 20, 146);
INSERT INTO public.ecdc_data VALUES (26513, 0, 0, 296.5599051, 79, 146);
INSERT INTO public.ecdc_data VALUES (26514, 0, 0, 10.27179161, 161, 146);
INSERT INTO public.ecdc_data VALUES (26515, 0, 0, 0.56182616, 203, 146);
INSERT INTO public.ecdc_data VALUES (26516, 7, 120, 33.96207882, 162, 146);
INSERT INTO public.ecdc_data VALUES (26517, 761, 405, 67.02293349, 163, 146);
INSERT INTO public.ecdc_data VALUES (26518, 0, 0, 5.72891491, 204, 146);
INSERT INTO public.ecdc_data VALUES (26519, 0, 13, 4.00445922, 21, 146);
INSERT INTO public.ecdc_data VALUES (26520, 0, 0, 0.21297476, 22, 146);
INSERT INTO public.ecdc_data VALUES (26521, 0, 22, 5.55449636, 164, 146);
INSERT INTO public.ecdc_data VALUES (26522, 242, 3609, 62.22776407, 165, 146);
INSERT INTO public.ecdc_data VALUES (26523, 0, 0, 1.43336852, 23, 146);
INSERT INTO public.ecdc_data VALUES (26524, 0, 0, 112.73957159, 166, 146);
INSERT INTO public.ecdc_data VALUES (26525, 0, 0, 5.53866863, 167, 146);
INSERT INTO public.ecdc_data VALUES (26526, 0, 0, 1.76491352, 80, 146);
INSERT INTO public.ecdc_data VALUES (26527, 0, 0, 1.7856824, 81, 146);
INSERT INTO public.ecdc_data VALUES (26528, 0, 1, 29.28957829, 205, 146);
INSERT INTO public.ecdc_data VALUES (26529, 0, 21, 1.05224385, 82, 146);
INSERT INTO public.ecdc_data VALUES (26530, 0, 0, 186.13885959, 168, 146);
INSERT INTO public.ecdc_data VALUES (26531, 2, 39, 3.32778806, 24, 146);
INSERT INTO public.ecdc_data VALUES (26532, 0, 4, 1.82204645, 25, 146);
INSERT INTO public.ecdc_data VALUES (26533, 0, 6, 5.11002523, 83, 146);
INSERT INTO public.ecdc_data VALUES (26534, 0, 1, 0.23084274, 84, 146);
INSERT INTO public.ecdc_data VALUES (26535, 0, 0, 122.6993865, 169, 146);
INSERT INTO public.ecdc_data VALUES (26536, 5, 15, 1.98027624, 85, 146);
INSERT INTO public.ecdc_data VALUES (26537, 16, 71, 11.82880244, 170, 146);
INSERT INTO public.ecdc_data VALUES (26538, 0, 15, 109.24645159, 171, 146);
INSERT INTO public.ecdc_data VALUES (26539, 43, 991, 0.83986028, 112, 146);
INSERT INTO public.ecdc_data VALUES (26540, 24, 407, 1.45477755, 113, 146);
INSERT INTO public.ecdc_data VALUES (26541, 89, 1499, 35.0074022, 114, 146);
INSERT INTO public.ecdc_data VALUES (26542, 1, 48, 1.80616589, 115, 146);
INSERT INTO public.ecdc_data VALUES (26543, 44, 709, 197.93077011, 172, 146);
INSERT INTO public.ecdc_data VALUES (26544, 0, 5, 206.8826916, 173, 146);
INSERT INTO public.ecdc_data VALUES (26545, 9, 224, 65.19259105, 116, 146);
INSERT INTO public.ecdc_data VALUES (26546, 575, 3493, 87.15605648, 174, 146);
INSERT INTO public.ecdc_data VALUES (26547, 0, 20, 3.73099271, 86, 146);
INSERT INTO public.ecdc_data VALUES (26548, 6, 628, 5.40752312, 117, 146);
INSERT INTO public.ecdc_data VALUES (26549, 1, 1, 98.33388994, 175, 146);
INSERT INTO public.ecdc_data VALUES (26550, 0, 5, 1.0691273, 118, 146);
INSERT INTO public.ecdc_data VALUES (26551, 0, 121, 6.09656572, 119, 146);
INSERT INTO public.ecdc_data VALUES (26552, 0, 12, 0.23585818, 26, 146);
INSERT INTO public.ecdc_data VALUES (26553, 1, 36, 19.73860526, 176, 146);
INSERT INTO public.ecdc_data VALUES (26554, 2, 134, 31.28062548, 120, 146);
INSERT INTO public.ecdc_data VALUES (26555, 0, 17, 5.64227567, 121, 146);
INSERT INTO public.ecdc_data VALUES (26556, 0, 0, 0.12553254, 122, 146);
INSERT INTO public.ecdc_data VALUES (26557, 0, 7, 9.84391407, 177, 146);
INSERT INTO public.ecdc_data VALUES (26558, 0, 5, 2.53803071, 123, 146);
INSERT INTO public.ecdc_data VALUES (26559, 1, 3, 1.39750402, 28, 146);
INSERT INTO public.ecdc_data VALUES (26560, 0, 0, 0.5606826, 29, 146);
INSERT INTO public.ecdc_data VALUES (26561, 0, 0, 15.63395695, 178, 146);
INSERT INTO public.ecdc_data VALUES (26562, 1, 90, 16.74907594, 179, 146);
INSERT INTO public.ecdc_data VALUES (26563, 3, 36, 141.39248795, 180, 146);
INSERT INTO public.ecdc_data VALUES (26564, 0, 6, 0.19281178, 30, 146);
INSERT INTO public.ecdc_data VALUES (26565, 0, 1, 0.07515266, 31, 146);
INSERT INTO public.ecdc_data VALUES (26566, 2, 69, 6.00316954, 124, 146);
INSERT INTO public.ecdc_data VALUES (26567, 0, 4, 1.88339169, 125, 146);
INSERT INTO public.ecdc_data VALUES (26568, 0, 19, 0.76813421, 32, 146);
INSERT INTO public.ecdc_data VALUES (26569, 0, 4, 43.15593475, 181, 146);
INSERT INTO public.ecdc_data VALUES (26570, 0, 0, 0.02209604, 33, 146);
INSERT INTO public.ecdc_data VALUES (26571, 0, 0, 10.86896595, 34, 146);
INSERT INTO public.ecdc_data VALUES (26572, 60, 1076, 6.68858681, 87, 146);
INSERT INTO public.ecdc_data VALUES (26573, 2, 110, 41.37752278, 182, 146);
INSERT INTO public.ecdc_data VALUES (26574, 0, 1, 54.40531963, 183, 146);
INSERT INTO public.ecdc_data VALUES (26575, 0, 0, 0.52710465, 126, 146);
INSERT INTO public.ecdc_data VALUES (26576, 0, 0, 20.73348313, 184, 146);
INSERT INTO public.ecdc_data VALUES (26577, 0, 0, 120.2163895, 88, 146);
INSERT INTO public.ecdc_data VALUES (26578, 5, 281, 5.08886792, 35, 146);
INSERT INTO public.ecdc_data VALUES (26579, 0, 3, 0.07903565, 36, 146);
INSERT INTO public.ecdc_data VALUES (26580, 1, 9, 0.13692187, 127, 146);
INSERT INTO public.ecdc_data VALUES (26581, 0, 0, 0.08017562, 37, 146);
INSERT INTO public.ecdc_data VALUES (26582, 0, 14, 0.08389052, 128, 146);
INSERT INTO public.ecdc_data VALUES (26583, 144, 1235, 85.20924146, 185, 146);
INSERT INTO public.ecdc_data VALUES (26584, 0, 0, 0, 207, 146);
INSERT INTO public.ecdc_data VALUES (26585, 0, 8, 5.64491951, 208, 146);
INSERT INTO public.ecdc_data VALUES (26586, 0, 0, 0.06111066, 89, 146);
INSERT INTO public.ecdc_data VALUES (26587, 3, 18, 2.26934227, 38, 146);
INSERT INTO public.ecdc_data VALUES (26588, 4, 51, 0.15077357, 39, 146);
INSERT INTO public.ecdc_data VALUES (26589, 3, 36, 33.07445073, 186, 146);
INSERT INTO public.ecdc_data VALUES (26590, 0, 1, 10.48712705, 209, 146);
INSERT INTO public.ecdc_data VALUES (26591, 0, 0, 29.70977882, 187, 146);
INSERT INTO public.ecdc_data VALUES (26592, 2, 50, 16.84424819, 129, 146);
INSERT INTO public.ecdc_data VALUES (26593, 8, 456, 2.39650562, 130, 146);
INSERT INTO public.ecdc_data VALUES (26594, 0, 13, 3.05133755, 131, 146);
INSERT INTO public.ecdc_data VALUES (26595, 7, 194, 59.74416217, 90, 146);
INSERT INTO public.ecdc_data VALUES (26596, 0, 0, 0.06836735, 210, 146);
INSERT INTO public.ecdc_data VALUES (26597, 0, 28, 1.5046903, 91, 146);
INSERT INTO public.ecdc_data VALUES (26598, 26, 998, 36.58514604, 92, 146);
INSERT INTO public.ecdc_data VALUES (26599, 25, 218, 2.64529167, 132, 146);
INSERT INTO public.ecdc_data VALUES (26600, 18, 461, 13.15678175, 188, 146);
INSERT INTO public.ecdc_data VALUES (26601, 28, 181, 88.90085132, 189, 146);
INSERT INTO public.ecdc_data VALUES (26602, 2, 25, 23.5221606, 93, 146);
INSERT INTO public.ecdc_data VALUES (26603, 0, 560, 131.14078002, 133, 146);
INSERT INTO public.ecdc_data VALUES (26604, 13, 360, 25.15650965, 190, 146);
INSERT INTO public.ecdc_data VALUES (26605, 41, 4070, 19.09821648, 191, 146);
INSERT INTO public.ecdc_data VALUES (26606, 0, 5, 0.42765712, 40, 146);
INSERT INTO public.ecdc_data VALUES (26607, 0, 0, 9.46360298, 94, 146);
INSERT INTO public.ecdc_data VALUES (26608, 0, 0, 1.09412183, 95, 146);
INSERT INTO public.ecdc_data VALUES (26609, 0, 0, 4.5210818, 96, 146);
INSERT INTO public.ecdc_data VALUES (26610, 1, 9, 534.06089455, 192, 146);
INSERT INTO public.ecdc_data VALUES (26611, 0, 0, 0, 41, 146);
INSERT INTO public.ecdc_data VALUES (26612, 4, 762, 15.34060595, 134, 146);
INSERT INTO public.ecdc_data VALUES (26613, 1, 7, 0.82840575, 42, 146);
INSERT INTO public.ecdc_data VALUES (26614, 7, 372, 60.51325117, 193, 146);
INSERT INTO public.ecdc_data VALUES (26615, 0, 0, 1.0231121, 43, 146);
INSERT INTO public.ecdc_data VALUES (26616, 0, 11, 0.3071722, 44, 146);
INSERT INTO public.ecdc_data VALUES (26617, 1, 623, 67.81129234, 135, 146);
INSERT INTO public.ecdc_data VALUES (26618, 0, 0, 80.20948831, 97, 146);
INSERT INTO public.ecdc_data VALUES (26619, 1, 72, 10.98997674, 194, 146);
INSERT INTO public.ecdc_data VALUES (26620, 5, 36, 17.78069958, 195, 146);
INSERT INTO public.ecdc_data VALUES (26621, 0, 36, 0.71877663, 45, 146);
INSERT INTO public.ecdc_data VALUES (26622, 2, 178, 2.18244164, 46, 146);
INSERT INTO public.ecdc_data VALUES (26623, 2, 18, 0.9702233, 136, 146);
INSERT INTO public.ecdc_data VALUES (26624, 0, 0, 0, 47, 146);
INSERT INTO public.ecdc_data VALUES (26625, 565, 3836, 129.46486209, 196, 146);
INSERT INTO public.ecdc_data VALUES (26626, 0, 6, 0.43613375, 137, 146);
INSERT INTO public.ecdc_data VALUES (26627, 0, 0, 0.05839316, 48, 146);
INSERT INTO public.ecdc_data VALUES (26628, 0, 0, 0, 98, 146);
INSERT INTO public.ecdc_data VALUES (26629, 83, 688, 70.18445903, 197, 146);
INSERT INTO public.ecdc_data VALUES (26630, 42, 346, 90.93540228, 198, 146);
INSERT INTO public.ecdc_data VALUES (26631, 0, 5, 0.12888008, 138, 146);
INSERT INTO public.ecdc_data VALUES (26632, 0, 0, 0.16825187, 139, 146);
INSERT INTO public.ecdc_data VALUES (26633, 0, 0, 1.03697519, 141, 146);
INSERT INTO public.ecdc_data VALUES (26634, 0, 0, 1.31464984, 142, 146);
INSERT INTO public.ecdc_data VALUES (26635, 0, 2, 0.53202289, 49, 146);
INSERT INTO public.ecdc_data VALUES (26636, 0, 0, 1.00360653, 99, 146);
INSERT INTO public.ecdc_data VALUES (26637, 0, 42, 3.49730447, 50, 146);
INSERT INTO public.ecdc_data VALUES (26638, 126, 4353, 70.27106351, 199, 146);
INSERT INTO public.ecdc_data VALUES (26639, 0, 0, 15.70927371, 100, 146);
INSERT INTO public.ecdc_data VALUES (26640, 0, 0, 0.01581221, 51, 146);
INSERT INTO public.ecdc_data VALUES (26641, 9, 301, 7.70565875, 200, 146);
INSERT INTO public.ecdc_data VALUES (26642, 2, 452, 48.93288243, 143, 146);
INSERT INTO public.ecdc_data VALUES (26643, 913, 5292, 95.25694077, 201, 146);
INSERT INTO public.ecdc_data VALUES (26644, 1, 53, 0.21722093, 52, 146);
INSERT INTO public.ecdc_data VALUES (26645, 3770, 30833, 128.91043016, 101, 146);
INSERT INTO public.ecdc_data VALUES (26646, 1, 0, 10.51836411, 102, 146);
INSERT INTO public.ecdc_data VALUES (26647, 0, 6, 3.95755765, 103, 146);
INSERT INTO public.ecdc_data VALUES (26648, 0, 70, 3.70811524, 144, 146);
INSERT INTO public.ecdc_data VALUES (26649, 0, 23, 0.29106641, 104, 146);
INSERT INTO public.ecdc_data VALUES (26650, 0, 0, 0.02902694, 145, 146);
INSERT INTO public.ecdc_data VALUES (26651, 0, 0, 0, 146, 146);
INSERT INTO public.ecdc_data VALUES (26652, 0, 4, 0.07278414, 54, 146);
INSERT INTO public.ecdc_data VALUES (26653, 0, 0, 0.10242073, 55, 146);
INSERT INTO public.ecdc_data VALUES (26654, 0, 1, 0.05783119, 105, 147);
INSERT INTO public.ecdc_data VALUES (26655, 0, 4, 0, 147, 147);
INSERT INTO public.ecdc_data VALUES (26656, 1, 2, 0.13704022, 1, 147);
INSERT INTO public.ecdc_data VALUES (26657, 0, 0, 0, 148, 147);
INSERT INTO public.ecdc_data VALUES (26658, 0, 14, 0, 58, 147);
INSERT INTO public.ecdc_data VALUES (26659, 0, 33, 2.63715933, 149, 147);
INSERT INTO public.ecdc_data VALUES (26660, 0, 79, 1.6386808, 202, 147);
INSERT INTO public.ecdc_data VALUES (26661, 0, 316, 14.76502112, 150, 147);
INSERT INTO public.ecdc_data VALUES (26662, 0, 9, 0.27867021, 151, 147);
INSERT INTO public.ecdc_data VALUES (26663, 0, 16, 11.45528418, 106, 147);
INSERT INTO public.ecdc_data VALUES (26664, 0, 3, 0, 107, 147);
INSERT INTO public.ecdc_data VALUES (26665, 0, 1, 0, 61, 147);
INSERT INTO public.ecdc_data VALUES (26666, 0, 0, 0.38085529, 152, 147);
INSERT INTO public.ecdc_data VALUES (26667, 10, 422, 18.37542236, 153, 147);
INSERT INTO public.ecdc_data VALUES (26668, 0, 0, 0, 3, 147);
INSERT INTO public.ecdc_data VALUES (26669, 0, 0, 0, 108, 147);
INSERT INTO public.ecdc_data VALUES (26670, 0, 1, 0, 64, 147);
INSERT INTO public.ecdc_data VALUES (26671, 0, 9, 0, 154, 147);
INSERT INTO public.ecdc_data VALUES (26672, 1, 57, 0.13693469, 66, 147);
INSERT INTO public.ecdc_data VALUES (26673, 0, 2, 0, 109, 147);
INSERT INTO public.ecdc_data VALUES (26674, 0, 19, 0, 155, 147);
INSERT INTO public.ecdc_data VALUES (26675, 0, 0, 0, 5, 147);
INSERT INTO public.ecdc_data VALUES (26676, 0, 0, 0.13950773, 110, 147);
INSERT INTO public.ecdc_data VALUES (26677, 0, 6, 0, 7, 147);
INSERT INTO public.ecdc_data VALUES (26678, 4, 145, 1.44075126, 68, 147);
INSERT INTO public.ecdc_data VALUES (26679, 0, 0, 0, 9, 147);
INSERT INTO public.ecdc_data VALUES (26680, 0, 45, 1.06057212, 70, 147);
INSERT INTO public.ecdc_data VALUES (26681, 16, 23, 0.04924034, 111, 147);
INSERT INTO public.ecdc_data VALUES (26682, 0, 8, 0, 71, 147);
INSERT INTO public.ecdc_data VALUES (26683, 0, 0, 0, 12, 147);
INSERT INTO public.ecdc_data VALUES (26684, 0, 9, 0, 72, 147);
INSERT INTO public.ecdc_data VALUES (26685, 0, 0, 0, 13, 147);
INSERT INTO public.ecdc_data VALUES (26686, 0, 13, 1.57007207, 156, 147);
INSERT INTO public.ecdc_data VALUES (26687, 0, 3, 0, 73, 147);
INSERT INTO public.ecdc_data VALUES (26688, 0, 0, 0, 157, 147);
INSERT INTO public.ecdc_data VALUES (26689, 0, 90, 4.02824466, 158, 147);
INSERT INTO public.ecdc_data VALUES (26690, 0, 0, 0, 14, 147);
INSERT INTO public.ecdc_data VALUES (26691, 3, 92, 17.49889469, 159, 147);
INSERT INTO public.ecdc_data VALUES (26692, 0, 0, 0.1024308, 76, 147);
INSERT INTO public.ecdc_data VALUES (26693, 0, 53, 0.6388983, 77, 147);
INSERT INTO public.ecdc_data VALUES (26694, 2, 40, 0.16436215, 16, 147);
INSERT INTO public.ecdc_data VALUES (26695, 0, 0, 0, 17, 147);
INSERT INTO public.ecdc_data VALUES (26696, 0, 20, 16.90795731, 160, 147);
INSERT INTO public.ecdc_data VALUES (26697, 0, 0, 0, 19, 147);
INSERT INTO public.ecdc_data VALUES (26698, 0, 0, 0, 20, 147);
INSERT INTO public.ecdc_data VALUES (26699, 0, 7, 0, 161, 147);
INSERT INTO public.ecdc_data VALUES (26700, 0, 47, 5.72679664, 162, 147);
INSERT INTO public.ecdc_data VALUES (26701, 27, 1097, 11.21873834, 163, 147);
INSERT INTO public.ecdc_data VALUES (26702, 0, 0, 0, 21, 147);
INSERT INTO public.ecdc_data VALUES (26703, 0, 1, 0, 22, 147);
INSERT INTO public.ecdc_data VALUES (26704, 0, 1, 0.77562787, 164, 147);
INSERT INTO public.ecdc_data VALUES (26705, 0, 1144, 8.38360152, 165, 147);
INSERT INTO public.ecdc_data VALUES (26706, 0, 0, 0, 23, 147);
INSERT INTO public.ecdc_data VALUES (26707, 1, 35, 3.54325602, 167, 147);
INSERT INTO public.ecdc_data VALUES (26708, 0, 0, 0, 82, 147);
INSERT INTO public.ecdc_data VALUES (26709, 0, 0, 0, 24, 147);
INSERT INTO public.ecdc_data VALUES (26710, 0, 0, 0, 83, 147);
INSERT INTO public.ecdc_data VALUES (26711, 0, 0, 0, 169, 147);
INSERT INTO public.ecdc_data VALUES (26712, 0, 1, 0, 85, 147);
INSERT INTO public.ecdc_data VALUES (26713, 0, 0, 0, 170, 147);
INSERT INTO public.ecdc_data VALUES (26714, 0, 48, 64.70751363, 171, 147);
INSERT INTO public.ecdc_data VALUES (26715, 0, 12, 0.0096603, 112, 147);
INSERT INTO public.ecdc_data VALUES (26716, 0, 38, 0.06355645, 113, 147);
INSERT INTO public.ecdc_data VALUES (26717, 135, 1178, 16.68357316, 114, 147);
INSERT INTO public.ecdc_data VALUES (26718, 2, 30, 0.34342591, 115, 147);
INSERT INTO public.ecdc_data VALUES (26719, 0, 69, 5.93364109, 172, 147);
INSERT INTO public.ecdc_data VALUES (26720, 0, 167, 4.92994027, 116, 147);
INSERT INTO public.ecdc_data VALUES (26721, 347, 3526, 48.05205129, 174, 147);
INSERT INTO public.ecdc_data VALUES (26722, 0, 3, 0, 86, 147);
INSERT INTO public.ecdc_data VALUES (26723, 0, 5, 0.44221873, 117, 147);
INSERT INTO public.ecdc_data VALUES (26724, 0, 19, 0, 118, 147);
INSERT INTO public.ecdc_data VALUES (26725, 0, 22, 0, 119, 147);
INSERT INTO public.ecdc_data VALUES (26726, 0, 1, 0, 26, 147);
INSERT INTO public.ecdc_data VALUES (26727, 0, 3, 0, 176, 147);
INSERT INTO public.ecdc_data VALUES (26728, 0, 7, 2.02040514, 120, 147);
INSERT INTO public.ecdc_data VALUES (26729, 0, 25, 0, 177, 147);
INSERT INTO public.ecdc_data VALUES (26730, 0, 0, 1.70660686, 123, 147);
INSERT INTO public.ecdc_data VALUES (26731, 0, 1, 0, 28, 147);
INSERT INTO public.ecdc_data VALUES (26732, 0, 0, 0, 178, 147);
INSERT INTO public.ecdc_data VALUES (26733, 0, 8, 0.89471559, 179, 147);
INSERT INTO public.ecdc_data VALUES (26734, 0, 59, 22.80523999, 180, 147);
INSERT INTO public.ecdc_data VALUES (26735, 2, 120, 1.99375339, 124, 147);
INSERT INTO public.ecdc_data VALUES (26736, 0, 0, 0, 125, 147);
INSERT INTO public.ecdc_data VALUES (26737, 0, 10, 0, 181, 147);
INSERT INTO public.ecdc_data VALUES (26738, 0, 0, 0, 33, 147);
INSERT INTO public.ecdc_data VALUES (26739, 0, 97, 0.30726896, 87, 147);
INSERT INTO public.ecdc_data VALUES (26740, 0, 1, 0, 182, 147);
INSERT INTO public.ecdc_data VALUES (26741, 0, 0, 27.20265982, 183, 147);
INSERT INTO public.ecdc_data VALUES (26742, 0, 3, 0, 126, 147);
INSERT INTO public.ecdc_data VALUES (26743, 0, 2, 0, 184, 147);
INSERT INTO public.ecdc_data VALUES (26744, 1, 7, 0, 35, 147);
INSERT INTO public.ecdc_data VALUES (26745, 0, 0, 0, 37, 147);
INSERT INTO public.ecdc_data VALUES (26746, 0, 0, 0, 128, 147);
INSERT INTO public.ecdc_data VALUES (26747, 19, 292, 9.70364647, 185, 147);
INSERT INTO public.ecdc_data VALUES (26748, 0, 12, 0.41814219, 208, 147);
INSERT INTO public.ecdc_data VALUES (26749, 0, 1, 0.00149281, 39, 147);
INSERT INTO public.ecdc_data VALUES (26750, 0, 12, 1.49244246, 186, 147);
INSERT INTO public.ecdc_data VALUES (26751, 0, 139, 23.92922804, 187, 147);
INSERT INTO public.ecdc_data VALUES (26752, 0, 0, 0.4020107, 129, 147);
INSERT INTO public.ecdc_data VALUES (26753, 0, 0, 0.08542457, 130, 147);
INSERT INTO public.ecdc_data VALUES (26754, 0, 2, 0, 131, 147);
INSERT INTO public.ecdc_data VALUES (26755, 0, 17, 0, 90, 147);
INSERT INTO public.ecdc_data VALUES (26756, 0, 2, 0, 91, 147);
INSERT INTO public.ecdc_data VALUES (26757, 0, 31, 0, 92, 147);
INSERT INTO public.ecdc_data VALUES (26758, 2, 45, 0.1701866, 132, 147);
INSERT INTO public.ecdc_data VALUES (26759, 1, 61, 0, 188, 147);
INSERT INTO public.ecdc_data VALUES (26760, 1, 117, 4.32048796, 189, 147);
INSERT INTO public.ecdc_data VALUES (26761, 0, 3, 15.60695336, 133, 147);
INSERT INTO public.ecdc_data VALUES (26762, 0, 33, 1.10227131, 190, 147);
INSERT INTO public.ecdc_data VALUES (26763, 0, 21, 0.07540844, 191, 147);
INSERT INTO public.ecdc_data VALUES (26764, 0, 2, 0, 40, 147);
INSERT INTO public.ecdc_data VALUES (26765, 0, 0, 0, 95, 147);
INSERT INTO public.ecdc_data VALUES (26766, 2, 2, 272.835457, 192, 147);
INSERT INTO public.ecdc_data VALUES (26767, 0, 0, 0, 134, 147);
INSERT INTO public.ecdc_data VALUES (26768, 0, 4, 0, 42, 147);
INSERT INTO public.ecdc_data VALUES (26769, 0, 15, 0, 193, 147);
INSERT INTO public.ecdc_data VALUES (26770, 0, 0, 0, 43, 147);
INSERT INTO public.ecdc_data VALUES (26771, 0, 23, 2.68764268, 135, 147);
INSERT INTO public.ecdc_data VALUES (26772, 0, 13, 0, 194, 147);
INSERT INTO public.ecdc_data VALUES (26773, 1, 22, 0, 195, 147);
INSERT INTO public.ecdc_data VALUES (26774, 0, 0, 0, 45, 147);
INSERT INTO public.ecdc_data VALUES (26775, 0, 23, 0, 46, 147);
INSERT INTO public.ecdc_data VALUES (26776, 5, 93, 6.02241224, 136, 147);
INSERT INTO public.ecdc_data VALUES (26777, 182, 3694, 37.11566084, 196, 147);
INSERT INTO public.ecdc_data VALUES (26778, 0, 13, 0.19227402, 137, 147);
INSERT INTO public.ecdc_data VALUES (26779, 0, 0, 0, 48, 147);
INSERT INTO public.ecdc_data VALUES (26780, 1, 119, 11.01641857, 197, 147);
INSERT INTO public.ecdc_data VALUES (26781, 5, 450, 30.58097891, 198, 147);
INSERT INTO public.ecdc_data VALUES (26782, 0, 10, 0.14722039, 139, 147);
INSERT INTO public.ecdc_data VALUES (26783, 0, 0, 0.19676676, 141, 147);
INSERT INTO public.ecdc_data VALUES (26784, 0, 0, 0, 49, 147);
INSERT INTO public.ecdc_data VALUES (26785, 0, 2, 0, 99, 147);
INSERT INTO public.ecdc_data VALUES (26786, 0, 4, 0, 50, 147);
INSERT INTO public.ecdc_data VALUES (26787, 0, 51, 0, 199, 147);
INSERT INTO public.ecdc_data VALUES (26788, 0, 9, 0, 200, 147);
INSERT INTO public.ecdc_data VALUES (26789, 0, 15, 1.02348635, 143, 147);
INSERT INTO public.ecdc_data VALUES (26790, 17, 611, 5.32506195, 201, 147);
INSERT INTO public.ecdc_data VALUES (26791, 0, 0, 0, 52, 147);
INSERT INTO public.ecdc_data VALUES (26792, 23, 1766, 1.91512364, 101, 147);
INSERT INTO public.ecdc_data VALUES (26793, 0, 21, 0, 103, 147);
INSERT INTO public.ecdc_data VALUES (26794, 0, 8, 0, 144, 147);
INSERT INTO public.ecdc_data VALUES (26795, 0, 0, 0, 104, 147);
INSERT INTO public.ecdc_data VALUES (26796, 0, 7, 0.05390718, 145, 147);
INSERT INTO public.ecdc_data VALUES (26797, 0, 0, 0, 105, 148);
INSERT INTO public.ecdc_data VALUES (26798, 0, 0, 0, 1, 148);
INSERT INTO public.ecdc_data VALUES (26799, 0, 0, 0, 149, 148);
INSERT INTO public.ecdc_data VALUES (26800, 0, 0, 0.015871, 202, 148);
INSERT INTO public.ecdc_data VALUES (26801, 0, 0, 0, 150, 148);
INSERT INTO public.ecdc_data VALUES (26802, 0, 0, 0, 151, 148);
INSERT INTO public.ecdc_data VALUES (26803, 0, 0, 0, 106, 148);
INSERT INTO public.ecdc_data VALUES (26804, 0, 0, 0, 152, 148);
INSERT INTO public.ecdc_data VALUES (26805, 0, 0, 0.00872942, 153, 148);
INSERT INTO public.ecdc_data VALUES (26806, 0, 0, 0, 66, 148);
INSERT INTO public.ecdc_data VALUES (26807, 0, 0, 0, 110, 148);
INSERT INTO public.ecdc_data VALUES (26808, 0, 0, 0.01069203, 68, 148);
INSERT INTO public.ecdc_data VALUES (26809, 0, 99, 0, 214, 148);
INSERT INTO public.ecdc_data VALUES (26810, 98, 1890, 3.63095216, 111, 148);
INSERT INTO public.ecdc_data VALUES (26811, 0, 0, 0, 156, 148);
INSERT INTO public.ecdc_data VALUES (26812, 0, 0, 0, 158, 148);
INSERT INTO public.ecdc_data VALUES (26813, 0, 0, 0, 159, 148);
INSERT INTO public.ecdc_data VALUES (26814, 0, 0, 0, 76, 148);
INSERT INTO public.ecdc_data VALUES (26815, 0, 0, 0, 77, 148);
INSERT INTO public.ecdc_data VALUES (26816, 0, 0, 0.00099613, 16, 148);
INSERT INTO public.ecdc_data VALUES (26817, 0, 0, 0, 160, 148);
INSERT INTO public.ecdc_data VALUES (26818, 0, 0, 0, 162, 148);
INSERT INTO public.ecdc_data VALUES (26819, 0, 0, 0.0089535, 163, 148);
INSERT INTO public.ecdc_data VALUES (26820, 0, 0, 0, 164, 148);
INSERT INTO public.ecdc_data VALUES (26821, 0, 0, 0.00481816, 165, 148);
INSERT INTO public.ecdc_data VALUES (26822, 0, 0, 0, 167, 148);
INSERT INTO public.ecdc_data VALUES (26823, 0, 0, 0, 171, 148);
INSERT INTO public.ecdc_data VALUES (26824, 0, 0, 0, 112, 148);
INSERT INTO public.ecdc_data VALUES (26825, 0, 0, 0, 113, 148);
INSERT INTO public.ecdc_data VALUES (26826, 0, 0, 0, 114, 148);
INSERT INTO public.ecdc_data VALUES (26827, 0, 0, 0, 115, 148);
INSERT INTO public.ecdc_data VALUES (26828, 0, 0, 0, 172, 148);
INSERT INTO public.ecdc_data VALUES (26829, 0, 0, 0, 116, 148);
INSERT INTO public.ecdc_data VALUES (26830, 0, 0, 0, 174, 148);
INSERT INTO public.ecdc_data VALUES (26831, 0, 0, 0.03074248, 117, 148);
INSERT INTO public.ecdc_data VALUES (26832, 0, 0, 0, 120, 148);
INSERT INTO public.ecdc_data VALUES (26833, 0, 0, 0, 123, 148);
INSERT INTO public.ecdc_data VALUES (26834, 0, 0, 0, 179, 148);
INSERT INTO public.ecdc_data VALUES (26835, 0, 0, 0, 180, 148);
INSERT INTO public.ecdc_data VALUES (26836, 0, 0, 0.04381876, 124, 148);
INSERT INTO public.ecdc_data VALUES (26837, 0, 0, 0.00078385, 87, 148);
INSERT INTO public.ecdc_data VALUES (26838, 0, 0, 0, 183, 148);
INSERT INTO public.ecdc_data VALUES (26839, 0, 0, 0, 128, 148);
INSERT INTO public.ecdc_data VALUES (26840, 0, 0, 0, 185, 148);
INSERT INTO public.ecdc_data VALUES (26841, 0, 0, 0, 208, 148);
INSERT INTO public.ecdc_data VALUES (26842, 0, 0, 0, 39, 148);
INSERT INTO public.ecdc_data VALUES (26843, 0, 0, 0, 186, 148);
INSERT INTO public.ecdc_data VALUES (26844, 0, 0, 0, 187, 148);
INSERT INTO public.ecdc_data VALUES (26845, 0, 0, 0, 129, 148);
INSERT INTO public.ecdc_data VALUES (26846, 0, 0, 0, 130, 148);
INSERT INTO public.ecdc_data VALUES (26847, 0, 0, 0.00092493, 132, 148);
INSERT INTO public.ecdc_data VALUES (26848, 0, 0, 0, 133, 148);
INSERT INTO public.ecdc_data VALUES (26849, 0, 0, 0, 190, 148);
INSERT INTO public.ecdc_data VALUES (26850, 0, 0, 0, 191, 148);
INSERT INTO public.ecdc_data VALUES (26851, 0, 0, 0, 192, 148);
INSERT INTO public.ecdc_data VALUES (26852, 0, 2, 1.01648025, 135, 148);
INSERT INTO public.ecdc_data VALUES (26853, 0, 1, 0.02928239, 136, 148);
INSERT INTO public.ecdc_data VALUES (26854, 0, 0, 0.00213051, 196, 148);
INSERT INTO public.ecdc_data VALUES (26855, 0, 0, 0, 137, 148);
INSERT INTO public.ecdc_data VALUES (26856, 0, 0, 0.00977499, 197, 148);
INSERT INTO public.ecdc_data VALUES (26857, 0, 0, 0, 198, 148);
INSERT INTO public.ecdc_data VALUES (26858, 0, 2, 0.05047556, 139, 148);
INSERT INTO public.ecdc_data VALUES (26859, 0, 1, 0.02298006, 141, 148);
INSERT INTO public.ecdc_data VALUES (26860, 0, 0, 0.04093945, 143, 148);
INSERT INTO public.ecdc_data VALUES (26861, 0, 0, 0.01200352, 201, 148);
INSERT INTO public.ecdc_data VALUES (26862, 0, 0, 0.00121557, 101, 148);
INSERT INTO public.ecdc_data VALUES (26863, 0, 0, 0.00725674, 145, 148);
INSERT INTO public.ecdc_data VALUES (26864, 0, 0, 0, 105, 149);
INSERT INTO public.ecdc_data VALUES (26865, 0, 0, 0, 1, 149);
INSERT INTO public.ecdc_data VALUES (26866, 0, 0, 0, 149, 149);
INSERT INTO public.ecdc_data VALUES (26867, 0, 0, 0, 202, 149);
INSERT INTO public.ecdc_data VALUES (26868, 0, 0, 0, 150, 149);
INSERT INTO public.ecdc_data VALUES (26869, 0, 0, 0, 151, 149);
INSERT INTO public.ecdc_data VALUES (26870, 0, 0, 0, 106, 149);
INSERT INTO public.ecdc_data VALUES (26871, 0, 0, 0, 152, 149);
INSERT INTO public.ecdc_data VALUES (26872, 0, 0, 0, 153, 149);
INSERT INTO public.ecdc_data VALUES (26873, 0, 0, 0, 66, 149);
INSERT INTO public.ecdc_data VALUES (26874, 0, 0, 0, 110, 149);
INSERT INTO public.ecdc_data VALUES (26875, 0, 0, 0, 68, 149);
INSERT INTO public.ecdc_data VALUES (26876, 0, 0, 0, 214, 149);
INSERT INTO public.ecdc_data VALUES (26877, 0, 17, 0.00251084, 111, 149);
INSERT INTO public.ecdc_data VALUES (26878, 0, 0, 0, 156, 149);
INSERT INTO public.ecdc_data VALUES (26879, 0, 0, 0, 158, 149);
INSERT INTO public.ecdc_data VALUES (26880, 0, 0, 0, 159, 149);
INSERT INTO public.ecdc_data VALUES (26881, 0, 0, 0, 76, 149);
INSERT INTO public.ecdc_data VALUES (26882, 0, 0, 0, 77, 149);
INSERT INTO public.ecdc_data VALUES (26883, 0, 0, 0, 16, 149);
INSERT INTO public.ecdc_data VALUES (26884, 0, 0, 0, 160, 149);
INSERT INTO public.ecdc_data VALUES (26885, 0, 0, 0, 162, 149);
INSERT INTO public.ecdc_data VALUES (26886, 0, 0, 0, 163, 149);
INSERT INTO public.ecdc_data VALUES (26887, 0, 0, 0, 164, 149);
INSERT INTO public.ecdc_data VALUES (26888, 0, 0, 0, 165, 149);
INSERT INTO public.ecdc_data VALUES (26889, 0, 0, 0, 167, 149);
INSERT INTO public.ecdc_data VALUES (26890, 0, 0, 0, 171, 149);
INSERT INTO public.ecdc_data VALUES (26891, 0, 0, 0, 112, 149);
INSERT INTO public.ecdc_data VALUES (26892, 0, 0, 0, 113, 149);
INSERT INTO public.ecdc_data VALUES (26893, 0, 0, 0, 114, 149);
INSERT INTO public.ecdc_data VALUES (26894, 0, 0, 0, 115, 149);
INSERT INTO public.ecdc_data VALUES (26895, 0, 0, 0, 172, 149);
INSERT INTO public.ecdc_data VALUES (26896, 0, 0, 0, 116, 149);
INSERT INTO public.ecdc_data VALUES (26897, 0, 0, 0, 174, 149);
INSERT INTO public.ecdc_data VALUES (26898, 0, 0, 0.00078827, 117, 149);
INSERT INTO public.ecdc_data VALUES (26899, 0, 0, 0, 120, 149);
INSERT INTO public.ecdc_data VALUES (26900, 0, 0, 0, 123, 149);
INSERT INTO public.ecdc_data VALUES (26901, 0, 0, 0, 179, 149);
INSERT INTO public.ecdc_data VALUES (26902, 0, 0, 0, 180, 149);
INSERT INTO public.ecdc_data VALUES (26903, 0, 0, 0, 124, 149);
INSERT INTO public.ecdc_data VALUES (26904, 0, 0, 0.00078385, 87, 149);
INSERT INTO public.ecdc_data VALUES (26905, 0, 0, 0, 183, 149);
INSERT INTO public.ecdc_data VALUES (26906, 0, 0, 0, 128, 149);
INSERT INTO public.ecdc_data VALUES (26907, 0, 0, 0, 185, 149);
INSERT INTO public.ecdc_data VALUES (26908, 0, 0, 0, 208, 149);
INSERT INTO public.ecdc_data VALUES (26909, 0, 0, 0, 39, 149);
INSERT INTO public.ecdc_data VALUES (26910, 0, 0, 0, 186, 149);
INSERT INTO public.ecdc_data VALUES (26911, 0, 0, 0, 187, 149);
INSERT INTO public.ecdc_data VALUES (26912, 0, 0, 0, 129, 149);
INSERT INTO public.ecdc_data VALUES (26913, 0, 0, 0, 130, 149);
INSERT INTO public.ecdc_data VALUES (26914, 0, 0, 0, 132, 149);
INSERT INTO public.ecdc_data VALUES (26915, 0, 0, 0, 133, 149);
INSERT INTO public.ecdc_data VALUES (26916, 0, 0, 0, 190, 149);
INSERT INTO public.ecdc_data VALUES (26917, 0, 0, 0, 191, 149);
INSERT INTO public.ecdc_data VALUES (26918, 0, 0, 0, 192, 149);
INSERT INTO public.ecdc_data VALUES (26919, 0, 0, 0, 135, 149);
INSERT INTO public.ecdc_data VALUES (26920, 0, 0, 0, 136, 149);
INSERT INTO public.ecdc_data VALUES (26921, 0, 0, 0, 196, 149);
INSERT INTO public.ecdc_data VALUES (26922, 0, 0, 0, 137, 149);
INSERT INTO public.ecdc_data VALUES (26923, 0, 0, 0, 197, 149);
INSERT INTO public.ecdc_data VALUES (26924, 0, 0, 0, 198, 149);
INSERT INTO public.ecdc_data VALUES (26925, 0, 0, 0, 139, 149);
INSERT INTO public.ecdc_data VALUES (26926, 0, 0, 0.00287251, 141, 149);
INSERT INTO public.ecdc_data VALUES (26927, 0, 0, 0, 143, 149);
INSERT INTO public.ecdc_data VALUES (26928, 0, 0, 0, 201, 149);
INSERT INTO public.ecdc_data VALUES (26929, 0, 0, 0, 101, 149);
INSERT INTO public.ecdc_data VALUES (26930, 0, 0, 0, 145, 149);
INSERT INTO public.ecdc_data VALUES (26931, 6, 65, 4.57392123, 105, 150);
INSERT INTO public.ecdc_data VALUES (26932, 8, 602, 241.36860084, 147, 150);
INSERT INTO public.ecdc_data VALUES (26933, 14, 910, 23.2619967, 1, 150);
INSERT INTO public.ecdc_data VALUES (26934, 0, 42, 1346.86322643, 148, 150);
INSERT INTO public.ecdc_data VALUES (26935, 0, 77, 7.59144478, 2, 150);
INSERT INTO public.ecdc_data VALUES (26936, 0, 0, 0, 56, 150);
INSERT INTO public.ecdc_data VALUES (26937, 0, 0, 6.17824229, 57, 150);
INSERT INTO public.ecdc_data VALUES (26938, 291, 7895, 302.03430386, 58, 150);
INSERT INTO public.ecdc_data VALUES (26939, 23, 984, 814.61175605, 149, 150);
INSERT INTO public.ecdc_data VALUES (26940, 0, 6, 135.4529207, 59, 150);
INSERT INTO public.ecdc_data VALUES (26941, 0, 25, 0.58722702, 202, 150);
INSERT INTO public.ecdc_data VALUES (26942, 62, 4304, 1055.76673976, 150, 150);
INSERT INTO public.ecdc_data VALUES (26943, 18, 1395, 199.4781104, 151, 150);
INSERT INTO public.ecdc_data VALUES (26944, 7, 70, 133.76604037, 60, 150);
INSERT INTO public.ecdc_data VALUES (26945, 2, 179, 167.5030649, 106, 150);
INSERT INTO public.ecdc_data VALUES (26946, 21, 2139, 14.40328195, 107, 150);
INSERT INTO public.ecdc_data VALUES (26947, 0, 0, 4.18087875, 61, 150);
INSERT INTO public.ecdc_data VALUES (26948, 7, 1263, 159.19751251, 152, 150);
INSERT INTO public.ecdc_data VALUES (26949, 195, 5821, 767.76093689, 153, 150);
INSERT INTO public.ecdc_data VALUES (26950, 4, 22, 322.53023561, 62, 150);
INSERT INTO public.ecdc_data VALUES (26951, 0, 0, 1.36427371, 3, 150);
INSERT INTO public.ecdc_data VALUES (26952, 0, 1, 27.19651885, 63, 150);
INSERT INTO public.ecdc_data VALUES (26953, 0, 2, 2.75195454, 108, 150);
INSERT INTO public.ecdc_data VALUES (26954, 0, 0, 11.97765815, 64, 150);
INSERT INTO public.ecdc_data VALUES (26955, 0, 2, 15.39468114, 65, 150);
INSERT INTO public.ecdc_data VALUES (26956, 116, 1789, 618.60079891, 154, 150);
INSERT INTO public.ecdc_data VALUES (26957, 3, 878, 106.82800691, 4, 150);
INSERT INTO public.ecdc_data VALUES (26958, 216, 13371, 152.69307484, 66, 150);
INSERT INTO public.ecdc_data VALUES (26959, 0, 0, 0, 67, 150);
INSERT INTO public.ecdc_data VALUES (26960, 0, 0, 0, 109, 150);
INSERT INTO public.ecdc_data VALUES (26961, 152, 3519, 646.76782515, 155, 150);
INSERT INTO public.ecdc_data VALUES (26962, 0, 11, 0.66432486, 5, 150);
INSERT INTO public.ecdc_data VALUES (26963, 0, 2, 0.35557631, 6, 150);
INSERT INTO public.ecdc_data VALUES (26964, 0, 1, 0.06672109, 110, 150);
INSERT INTO public.ecdc_data VALUES (26965, 0, 0, 3.4742099, 7, 150);
INSERT INTO public.ecdc_data VALUES (26966, 74, 6115, 165.53670604, 68, 150);
INSERT INTO public.ecdc_data VALUES (26967, 0, 18, 174.20208897, 8, 150);
INSERT INTO public.ecdc_data VALUES (26968, 1, 3, 26.17478598, 69, 150);
INSERT INTO public.ecdc_data VALUES (26969, 0, 0, 0.7165167, 9, 150);
INSERT INTO public.ecdc_data VALUES (26970, 0, 6, 0.65216511, 10, 150);
INSERT INTO public.ecdc_data VALUES (26971, 44, 1331, 102.44810122, 70, 150);
INSERT INTO public.ecdc_data VALUES (26972, 0, 15, 0.01778511, 111, 150);
INSERT INTO public.ecdc_data VALUES (26973, 192, 6471, 222.41207556, 71, 150);
INSERT INTO public.ecdc_data VALUES (26974, 0, 0, 3.99581145, 11, 150);
INSERT INTO public.ecdc_data VALUES (26975, 0, 136, 4.18176438, 12, 150);
INSERT INTO public.ecdc_data VALUES (26976, 20, 1369, 264.18700041, 72, 150);
INSERT INTO public.ecdc_data VALUES (26977, 0, 12, 0.91380828, 13, 150);
INSERT INTO public.ecdc_data VALUES (26978, 33, 1313, 806.10934669, 156, 150);
INSERT INTO public.ecdc_data VALUES (26979, 0, 49, 5.9028627, 73, 150);
INSERT INTO public.ecdc_data VALUES (26980, 0, 34, 231.91350055, 74, 150);
INSERT INTO public.ecdc_data VALUES (26981, 0, 107, 288.27524635, 157, 150);
INSERT INTO public.ecdc_data VALUES (26982, 208, 5407, 1076.33007193, 158, 150);
INSERT INTO public.ecdc_data VALUES (26983, 1, 49, 0.5369247, 14, 150);
INSERT INTO public.ecdc_data VALUES (26984, 4, 1195, 259.89992217, 159, 150);
INSERT INTO public.ecdc_data VALUES (26985, 0, 6, 8.42272204, 15, 150);
INSERT INTO public.ecdc_data VALUES (26986, 0, 0, 36.20766488, 75, 150);
INSERT INTO public.ecdc_data VALUES (26987, 1, 479, 61.57022512, 76, 150);
INSERT INTO public.ecdc_data VALUES (26988, 8, 381, 63.97041222, 77, 150);
INSERT INTO public.ecdc_data VALUES (26989, 12, 242, 3.072078, 16, 150);
INSERT INTO public.ecdc_data VALUES (26990, 5, 311, 41.12465232, 78, 150);
INSERT INTO public.ecdc_data VALUES (26991, 0, 17, 2.35991333, 17, 150);
INSERT INTO public.ecdc_data VALUES (26992, 0, 0, 0.85784948, 18, 150);
INSERT INTO public.ecdc_data VALUES (26993, 0, 211, 211.50043025, 160, 150);
INSERT INTO public.ecdc_data VALUES (26994, 0, 10, 15.32923451, 19, 150);
INSERT INTO public.ecdc_data VALUES (26995, 12, 336, 5.45509408, 20, 150);
INSERT INTO public.ecdc_data VALUES (26996, 0, 0, 59.31198102, 79, 150);
INSERT INTO public.ecdc_data VALUES (26997, 0, 0, 6.16307496, 161, 150);
INSERT INTO public.ecdc_data VALUES (26998, 0, 0, 0.11236523, 203, 150);
INSERT INTO public.ecdc_data VALUES (26999, 2, 104, 54.71265526, 162, 150);
INSERT INTO public.ecdc_data VALUES (27000, 506, 9406, 783.13299847, 163, 150);
INSERT INTO public.ecdc_data VALUES (27001, 0, 0, 1591.20611562, 204, 150);
INSERT INTO public.ecdc_data VALUES (27002, 0, 22, 4.60282669, 21, 150);
INSERT INTO public.ecdc_data VALUES (27003, 0, 3, 1.40563344, 22, 150);
INSERT INTO public.ecdc_data VALUES (27004, 45, 2757, 1027.58182749, 164, 150);
INSERT INTO public.ecdc_data VALUES (27005, 267, 14419, 307.59988052, 165, 150);
INSERT INTO public.ecdc_data VALUES (27006, 1, 253, 7.15369241, 23, 150);
INSERT INTO public.ecdc_data VALUES (27007, 0, 5, 593.36616626, 166, 150);
INSERT INTO public.ecdc_data VALUES (27008, 59, 2198, 320.03993809, 167, 150);
INSERT INTO public.ecdc_data VALUES (27009, 0, 1, 1.76491352, 80, 150);
INSERT INTO public.ecdc_data VALUES (27010, 0, 0, 2.6785236, 81, 150);
INSERT INTO public.ecdc_data VALUES (27011, 0, 0, 853.58199588, 205, 150);
INSERT INTO public.ecdc_data VALUES (27012, 6, 147, 39.40511024, 82, 150);
INSERT INTO public.ecdc_data VALUES (27013, 0, 0, 17.0627288, 168, 150);
INSERT INTO public.ecdc_data VALUES (27014, 0, 13, 3.21816681, 24, 150);
INSERT INTO public.ecdc_data VALUES (27015, 0, 0, 0.31235082, 25, 150);
INSERT INTO public.ecdc_data VALUES (27016, 0, 0, 74.734119, 83, 150);
INSERT INTO public.ecdc_data VALUES (27017, 0, 10, 1.19860653, 84, 150);
INSERT INTO public.ecdc_data VALUES (27018, 0, 0, 0, 169, 150);
INSERT INTO public.ecdc_data VALUES (27019, 16, 137, 49.59925057, 85, 150);
INSERT INTO public.ecdc_data VALUES (27020, 91, 5203, 674.22127392, 170, 150);
INSERT INTO public.ecdc_data VALUES (27021, 0, 16, 76.75263522, 171, 150);
INSERT INTO public.ecdc_data VALUES (27022, 449, 29163, 44.39835455, 112, 150);
INSERT INTO public.ecdc_data VALUES (27023, 85, 3535, 20.41418356, 113, 150);
INSERT INTO public.ecdc_data VALUES (27024, 486, 13053, 176.49756236, 114, 150);
INSERT INTO public.ecdc_data VALUES (27025, 42, 2390, 108.98303219, 115, 150);
INSERT INTO public.ecdc_data VALUES (27026, 5, 453, 114.30925077, 172, 150);
INSERT INTO public.ecdc_data VALUES (27027, 0, 0, 9.45749447, 173, 150);
INSERT INTO public.ecdc_data VALUES (27028, 3, 900, 106.2519507, 116, 150);
INSERT INTO public.ecdc_data VALUES (27029, 504, 27352, 785.77960146, 174, 150);
INSERT INTO public.ecdc_data VALUES (27030, 0, 45, 22.79297366, 86, 150);
INSERT INTO public.ecdc_data VALUES (27031, 20, 2649, 13.43603959, 117, 150);
INSERT INTO public.ecdc_data VALUES (27032, 0, 32, 160.48832981, 175, 150);
INSERT INTO public.ecdc_data VALUES (27033, 71, 5861, 671.13476082, 118, 150);
INSERT INTO public.ecdc_data VALUES (27034, 1, 625, 56.87971837, 119, 150);
INSERT INTO public.ecdc_data VALUES (27035, 18, 559, 27.01527165, 26, 150);
INSERT INTO public.ecdc_data VALUES (27036, 11, 688, 508.75560048, 176, 150);
INSERT INTO public.ecdc_data VALUES (27037, 4, 489, 238.55042349, 120, 150);
INSERT INTO public.ecdc_data VALUES (27038, 4, 486, 112.06619356, 121, 150);
INSERT INTO public.ecdc_data VALUES (27039, 0, 0, 0, 122, 150);
INSERT INTO public.ecdc_data VALUES (27040, 3, 89, 227.50379173, 177, 150);
INSERT INTO public.ecdc_data VALUES (27041, 10, 1016, 331.82563612, 123, 150);
INSERT INTO public.ecdc_data VALUES (27042, 0, 0, 4.14065621, 27, 150);
INSERT INTO public.ecdc_data VALUES (27043, 0, 5, 1.53927979, 28, 150);
INSERT INTO public.ecdc_data VALUES (27044, 8, 722, 168.45561305, 29, 150);
INSERT INTO public.ecdc_data VALUES (27045, 3, 4, 995.3619261, 178, 150);
INSERT INTO public.ecdc_data VALUES (27046, 8, 1153, 692.68881362, 179, 150);
INSERT INTO public.ecdc_data VALUES (27047, 4, 548, 1301.69051986, 180, 150);
INSERT INTO public.ecdc_data VALUES (27048, 0, 0, 0.45236611, 30, 150);
INSERT INTO public.ecdc_data VALUES (27049, 0, 6, 0.20398579, 31, 150);
INSERT INTO public.ecdc_data VALUES (27050, 4, 1103, 47.51518077, 124, 150);
INSERT INTO public.ecdc_data VALUES (27051, 1, 110, 108.67170034, 125, 150);
INSERT INTO public.ecdc_data VALUES (27052, 0, 0, 1.50065955, 32, 150);
INSERT INTO public.ecdc_data VALUES (27053, 3, 110, 352.54143881, 181, 150);
INSERT INTO public.ecdc_data VALUES (27054, 0, 0, 0, 206, 150);
INSERT INTO public.ecdc_data VALUES (27055, 0, 0, 3.53536626, 33, 150);
INSERT INTO public.ecdc_data VALUES (27056, 0, 0, 2.12653682, 34, 150);
INSERT INTO public.ecdc_data VALUES (27057, 319, 2874, 59.76146099, 87, 150);
INSERT INTO public.ecdc_data VALUES (27058, 16, 564, 323.15523768, 182, 150);
INSERT INTO public.ecdc_data VALUES (27059, 0, 4, 534.98564304, 183, 150);
INSERT INTO public.ecdc_data VALUES (27060, 0, 3, 2.6045171, 126, 150);
INSERT INTO public.ecdc_data VALUES (27061, 5, 596, 1376.28539559, 184, 150);
INSERT INTO public.ecdc_data VALUES (27062, 0, 0, 0, 88, 150);
INSERT INTO public.ecdc_data VALUES (27063, 71, 3012, 194.99741252, 35, 150);
INSERT INTO public.ecdc_data VALUES (27064, 3, 66, 4.55772259, 36, 150);
INSERT INTO public.ecdc_data VALUES (27065, 22, 1167, 28.77949588, 127, 150);
INSERT INTO public.ecdc_data VALUES (27066, 0, 47, 21.76767993, 37, 150);
INSERT INTO public.ecdc_data VALUES (27067, 9, 1197, 120.49824678, 128, 150);
INSERT INTO public.ecdc_data VALUES (27068, 44, 4822, 488.60782068, 185, 150);
INSERT INTO public.ecdc_data VALUES (27069, 0, 0, 0.70732113, 207, 150);
INSERT INTO public.ecdc_data VALUES (27070, 0, 4, 0.77356304, 208, 150);
INSERT INTO public.ecdc_data VALUES (27071, 0, 0, 2.24581671, 89, 150);
INSERT INTO public.ecdc_data VALUES (27072, 0, 9, 0.40324797, 38, 150);
INSERT INTO public.ecdc_data VALUES (27073, 0, 157, 1.12906017, 39, 150);
INSERT INTO public.ecdc_data VALUES (27074, 40, 586, 704.76984611, 186, 150);
INSERT INTO public.ecdc_data VALUES (27075, 0, 1, 12.23498156, 209, 150);
INSERT INTO public.ecdc_data VALUES (27076, 0, 1737, 156.31885518, 187, 150);
INSERT INTO public.ecdc_data VALUES (27077, 12, 329, 91.77904206, 129, 150);
INSERT INTO public.ecdc_data VALUES (27078, 33, 2050, 11.46166909, 130, 150);
INSERT INTO public.ecdc_data VALUES (27079, 7, 836, 192.93687626, 131, 150);
INSERT INTO public.ecdc_data VALUES (27080, 8, 1014, 300.29860307, 90, 150);
INSERT INTO public.ecdc_data VALUES (27081, 0, 2, 0.1367347, 210, 150);
INSERT INTO public.ecdc_data VALUES (27082, 15, 525, 112.75240648, 91, 150);
INSERT INTO public.ecdc_data VALUES (27083, 40, 1257, 97.57781972, 92, 150);
INSERT INTO public.ecdc_data VALUES (27084, 7, 1736, 22.35918914, 132, 150);
INSERT INTO public.ecdc_data VALUES (27085, 143, 20816, 890.92164152, 188, 150);
INSERT INTO public.ecdc_data VALUES (27086, 91, 8371, 767.03257502, 189, 150);
INSERT INTO public.ecdc_data VALUES (27087, 7, 873, 365.61619197, 93, 150);
INSERT INTO public.ecdc_data VALUES (27088, 1, 243, 109.84894093, 133, 150);
INSERT INTO public.ecdc_data VALUES (27089, 149, 4931, 589.80786381, 190, 150);
INSERT INTO public.ecdc_data VALUES (27090, 303, 22778, 201.24799602, 191, 150);
INSERT INTO public.ecdc_data VALUES (27091, 0, 36, 2.66097767, 40, 150);
INSERT INTO public.ecdc_data VALUES (27092, 0, 0, 0, 94, 150);
INSERT INTO public.ecdc_data VALUES (27093, 0, 2, 48.68842146, 95, 150);
INSERT INTO public.ecdc_data VALUES (27094, 0, 0, 2.71264908, 96, 150);
INSERT INTO public.ecdc_data VALUES (27095, 0, 37, 1050.70675993, 192, 150);
INSERT INTO public.ecdc_data VALUES (27096, 0, 0, 7.4401994, 41, 150);
INSERT INTO public.ecdc_data VALUES (27097, 19, 301, 16.10515584, 134, 150);
INSERT INTO public.ecdc_data VALUES (27098, 1, 8, 1.00635958, 42, 150);
INSERT INTO public.ecdc_data VALUES (27099, 21, 2813, 548.20927303, 193, 150);
INSERT INTO public.ecdc_data VALUES (27100, 0, 0, 3.06933631, 43, 150);
INSERT INTO public.ecdc_data VALUES (27101, 0, 0, 0.31997104, 44, 150);
INSERT INTO public.ecdc_data VALUES (27102, 0, 5, 1.79176179, 135, 150);
INSERT INTO public.ecdc_data VALUES (27103, 0, 6, 224.11474675, 97, 150);
INSERT INTO public.ecdc_data VALUES (27104, 16, 509, 466.88136568, 194, 150);
INSERT INTO public.ecdc_data VALUES (27105, 21, 502, 929.30586071, 195, 150);
INSERT INTO public.ecdc_data VALUES (27106, 0, 0, 1.19434894, 211, 150);
INSERT INTO public.ecdc_data VALUES (27107, 1, 81, 2.85568014, 45, 150);
INSERT INTO public.ecdc_data VALUES (27108, 73, 1245, 42.13580979, 46, 150);
INSERT INTO public.ecdc_data VALUES (27109, 0, 229, 4.27718159, 136, 150);
INSERT INTO public.ecdc_data VALUES (27110, 0, 9, 0.77742826, 47, 150);
INSERT INTO public.ecdc_data VALUES (27111, 435, 13159, 534.02790886, 196, 150);
INSERT INTO public.ecdc_data VALUES (27112, 3, 387, 29.72743892, 137, 150);
INSERT INTO public.ecdc_data VALUES (27113, 0, 0, 1.88493106, 48, 150);
INSERT INTO public.ecdc_data VALUES (27114, 1, 1, 10.83660295, 98, 150);
INSERT INTO public.ecdc_data VALUES (27115, 37, 2543, 554.5256513, 197, 150);
INSERT INTO public.ecdc_data VALUES (27116, 197, 12779, 1093.03885399, 198, 150);
INSERT INTO public.ecdc_data VALUES (27117, 5, 75, 5.36609793, 138, 150);
INSERT INTO public.ecdc_data VALUES (27118, 0, 2, 0.15983928, 139, 150);
INSERT INTO public.ecdc_data VALUES (27119, 0, 39, 5.93282518, 140, 150);
INSERT INTO public.ecdc_data VALUES (27120, 0, 3, 0.11633655, 141, 150);
INSERT INTO public.ecdc_data VALUES (27121, 0, 0, 0, 142, 150);
INSERT INTO public.ecdc_data VALUES (27122, 0, 18, 4.07059375, 49, 150);
INSERT INTO public.ecdc_data VALUES (27123, 0, 16, 28.10098289, 99, 150);
INSERT INTO public.ecdc_data VALUES (27124, 44, 599, 163.29590077, 50, 150);
INSERT INTO public.ecdc_data VALUES (27125, 94, 3316, 46.11854839, 199, 150);
INSERT INTO public.ecdc_data VALUES (27126, 0, 0, 41.89139655, 100, 150);
INSERT INTO public.ecdc_data VALUES (27127, 5, 237, 7.42270309, 51, 150);
INSERT INTO public.ecdc_data VALUES (27128, 94, 9832, 326.17212446, 200, 150);
INSERT INTO public.ecdc_data VALUES (27129, 4, 1209, 167.98481474, 143, 150);
INSERT INTO public.ecdc_data VALUES (27130, 213, 21363, 505.37373622, 201, 150);
INSERT INTO public.ecdc_data VALUES (27131, 0, 0, 0, 52, 150);
INSERT INTO public.ecdc_data VALUES (27132, 1006, 168425, 581.72138721, 101, 150);
INSERT INTO public.ecdc_data VALUES (27133, 0, 0, 53.54803546, 102, 150);
INSERT INTO public.ecdc_data VALUES (27134, 2, 74, 27.12515791, 103, 150);
INSERT INTO public.ecdc_data VALUES (27135, 0, 201, 9.67202585, 144, 150);
INSERT INTO public.ecdc_data VALUES (27136, 0, 0, 0, 212, 150);
INSERT INTO public.ecdc_data VALUES (27137, 4, 387, 17.65335316, 104, 150);
INSERT INTO public.ecdc_data VALUES (27138, 0, 2, 0.09433756, 145, 150);
INSERT INTO public.ecdc_data VALUES (27139, 0, 0, 0, 213, 150);
INSERT INTO public.ecdc_data VALUES (27140, 0, 0, 0, 53, 150);
INSERT INTO public.ecdc_data VALUES (27141, 0, 0, 0.01714565, 146, 150);
INSERT INTO public.ecdc_data VALUES (27142, 0, 64, 3.60561432, 54, 150);
INSERT INTO public.ecdc_data VALUES (27143, 0, 111, 3.46864864, 55, 150);
INSERT INTO public.ecdc_data VALUES (27144, 4, 47, 2.05826455, 105, 151);
INSERT INTO public.ecdc_data VALUES (27145, 4, 289, 88.59614586, 147, 151);
INSERT INTO public.ecdc_data VALUES (27146, 5, 211, 4.97293409, 1, 151);
INSERT INTO public.ecdc_data VALUES (27147, 0, 187, 1663.2316841, 148, 151);
INSERT INTO public.ecdc_data VALUES (27148, 1, 250, 6.22774982, 2, 151);
INSERT INTO public.ecdc_data VALUES (27149, 0, 0, 0, 56, 151);
INSERT INTO public.ecdc_data VALUES (27150, 0, 0, 6.17824229, 57, 151);
INSERT INTO public.ecdc_data VALUES (27151, 381, 16546, 415.17909232, 58, 151);
INSERT INTO public.ecdc_data VALUES (27152, 10, 1465, 340.73450973, 149, 151);
INSERT INTO public.ecdc_data VALUES (27153, 0, 4, 236.10196595, 59, 151);
INSERT INTO public.ecdc_data VALUES (27154, 0, 9, 1.02367953, 202, 151);
INSERT INTO public.ecdc_data VALUES (27155, 7, 1691, 172.32630922, 150, 151);
INSERT INTO public.ecdc_data VALUES (27156, 2, 509, 33.20156545, 151, 151);
INSERT INTO public.ecdc_data VALUES (27157, 2, 132, 333.00298342, 60, 151);
INSERT INTO public.ecdc_data VALUES (27158, 3, 371, 336.4685065, 106, 151);
INSERT INTO public.ecdc_data VALUES (27159, 15, 1527, 12.08430694, 107, 151);
INSERT INTO public.ecdc_data VALUES (27160, 0, 1, 9.05857063, 61, 151);
INSERT INTO public.ecdc_data VALUES (27161, 5, 658, 73.74839578, 152, 151);
INSERT INTO public.ecdc_data VALUES (27162, 36, 13477, 800.63592055, 153, 151);
INSERT INTO public.ecdc_data VALUES (27163, 2, 46, 166.00444216, 62, 151);
INSERT INTO public.ecdc_data VALUES (27164, 0, 0, 1.17785121, 3, 151);
INSERT INTO public.ecdc_data VALUES (27165, 0, 0, 6.3991809, 63, 151);
INSERT INTO public.ecdc_data VALUES (27166, 0, 0, 4.3245, 108, 151);
INSERT INTO public.ecdc_data VALUES (27167, 32, 243, 29.03648383, 64, 151);
INSERT INTO public.ecdc_data VALUES (27168, 0, 0, 100.06542739, 65, 151);
INSERT INTO public.ecdc_data VALUES (27169, 8, 618, 154.58961199, 154, 151);
INSERT INTO public.ecdc_data VALUES (27170, 0, 0, 89.85533291, 4, 151);
INSERT INTO public.ecdc_data VALUES (27171, 754, 30914, 151.51752135, 66, 151);
INSERT INTO public.ecdc_data VALUES (27172, 0, 0, 0, 67, 151);
INSERT INTO public.ecdc_data VALUES (27173, 0, 0, 0.23078911, 109, 151);
INSERT INTO public.ecdc_data VALUES (27174, 14, 998, 102.41371512, 155, 151);
INSERT INTO public.ecdc_data VALUES (27175, 0, 8, 1.08260348, 5, 151);
INSERT INTO public.ecdc_data VALUES (27176, 0, 2, 0.15610667, 6, 151);
INSERT INTO public.ecdc_data VALUES (27177, 0, 0, 0.03032777, 110, 151);
INSERT INTO public.ecdc_data VALUES (27178, 0, 0, 1.99796053, 7, 151);
INSERT INTO public.ecdc_data VALUES (27179, 23, 2374, 84.05807933, 68, 151);
INSERT INTO public.ecdc_data VALUES (27180, 3, 82, 240.20976986, 8, 151);
INSERT INTO public.ecdc_data VALUES (27181, 0, 8, 30.79386586, 69, 151);
INSERT INTO public.ecdc_data VALUES (27182, 0, 0, 0.54792454, 9, 151);
INSERT INTO public.ecdc_data VALUES (27183, 1, 11, 0.94062275, 10, 151);
INSERT INTO public.ecdc_data VALUES (27184, 95, 1694, 113.97192966, 70, 151);
INSERT INTO public.ecdc_data VALUES (27185, 0, 20, 0.02378322, 111, 151);
INSERT INTO public.ecdc_data VALUES (27186, 159, 8372, 206.24582596, 71, 151);
INSERT INTO public.ecdc_data VALUES (27187, 0, 6, 2.11542959, 11, 151);
INSERT INTO public.ecdc_data VALUES (27188, 0, 0, 1.24523651, 12, 151);
INSERT INTO public.ecdc_data VALUES (27189, 9, 1196, 327.26697112, 72, 151);
INSERT INTO public.ecdc_data VALUES (27190, 0, 18, 1.87427911, 13, 151);
INSERT INTO public.ecdc_data VALUES (27191, 1, 1131, 159.58310661, 156, 151);
INSERT INTO public.ecdc_data VALUES (27192, 1, 56, 3.52936484, 73, 151);
INSERT INTO public.ecdc_data VALUES (27193, 0, 25, 175.61787508, 74, 151);
INSERT INTO public.ecdc_data VALUES (27194, 0, 198, 67.35936449, 157, 151);
INSERT INTO public.ecdc_data VALUES (27195, 53, 11102, 770.54029184, 158, 151);
INSERT INTO public.ecdc_data VALUES (27196, 21, 30, 0.36294266, 14, 151);
INSERT INTO public.ecdc_data VALUES (27197, 0, 418, 94.88327841, 159, 151);
INSERT INTO public.ecdc_data VALUES (27198, 0, 6, 3.28691592, 15, 151);
INSERT INTO public.ecdc_data VALUES (27199, 0, 0, 2.78520499, 75, 151);
INSERT INTO public.ecdc_data VALUES (27200, 3, 384, 66.11442806, 76, 151);
INSERT INTO public.ecdc_data VALUES (27201, 51, 1299, 69.78956704, 77, 151);
INSERT INTO public.ecdc_data VALUES (27202, 11, 126, 1.68645527, 16, 151);
INSERT INTO public.ecdc_data VALUES (27203, 5, 204, 32.38527632, 78, 151);
INSERT INTO public.ecdc_data VALUES (27204, 0, 2, 1.84368229, 17, 151);
INSERT INTO public.ecdc_data VALUES (27205, 0, 8, 1.17239429, 18, 151);
INSERT INTO public.ecdc_data VALUES (27206, 0, 37, 38.49579566, 160, 151);
INSERT INTO public.ecdc_data VALUES (27207, 0, 13, 19.59703275, 19, 151);
INSERT INTO public.ecdc_data VALUES (27208, 12, 665, 9.67712633, 20, 151);
INSERT INTO public.ecdc_data VALUES (27209, 0, 0, 0, 79, 151);
INSERT INTO public.ecdc_data VALUES (27210, 0, 2, 20.54358321, 161, 151);
INSERT INTO public.ecdc_data VALUES (27211, 0, 0, 0, 203, 151);
INSERT INTO public.ecdc_data VALUES (27212, 1, 139, 53.08160558, 162, 151);
INSERT INTO public.ecdc_data VALUES (27213, 178, 25086, 365.77593595, 163, 151);
INSERT INTO public.ecdc_data VALUES (27214, 1, 162, 634.11926885, 204, 151);
INSERT INTO public.ecdc_data VALUES (27215, 0, 12, 3.86637442, 21, 151);
INSERT INTO public.ecdc_data VALUES (27216, 0, 5, 2.72607697, 22, 151);
INSERT INTO public.ecdc_data VALUES (27217, 11, 887, 194.23223099, 164, 151);
INSERT INTO public.ecdc_data VALUES (27218, 33, 7830, 71.58463427, 165, 151);
INSERT INTO public.ecdc_data VALUES (27219, 0, 0, 1.57473284, 23, 151);
INSERT INTO public.ecdc_data VALUES (27220, 0, 13, 379.75434641, 166, 151);
INSERT INTO public.ecdc_data VALUES (27221, 8, 503, 47.591523, 167, 151);
INSERT INTO public.ecdc_data VALUES (27222, 0, 0, 3.52982704, 80, 151);
INSERT INTO public.ecdc_data VALUES (27223, 0, 0, 0.8928412, 81, 151);
INSERT INTO public.ecdc_data VALUES (27224, 0, 190, 637.79551092, 205, 151);
INSERT INTO public.ecdc_data VALUES (27225, 25, 666, 41.75417354, 82, 151);
INSERT INTO public.ecdc_data VALUES (27226, 0, 0, 3.10231433, 168, 151);
INSERT INTO public.ecdc_data VALUES (27227, 0, 107, 4.90946616, 24, 151);
INSERT INTO public.ecdc_data VALUES (27228, 1, 4, 1.40557869, 25, 151);
INSERT INTO public.ecdc_data VALUES (27229, 0, 52, 89.93644406, 83, 151);
INSERT INTO public.ecdc_data VALUES (27230, 0, 0, 1.18084939, 84, 151);
INSERT INTO public.ecdc_data VALUES (27231, 0, 0, 1717.79141104, 169, 151);
INSERT INTO public.ecdc_data VALUES (27232, 4, 602, 86.4139198, 85, 151);
INSERT INTO public.ecdc_data VALUES (27233, 24, 1791, 154.50094119, 170, 151);
INSERT INTO public.ecdc_data VALUES (27234, 1, 92, 313.73339944, 171, 151);
INSERT INTO public.ecdc_data VALUES (27235, 837, 62212, 70.19346725, 112, 151);
INSERT INTO public.ecdc_data VALUES (27236, 79, 4301, 21.41778423, 113, 151);
INSERT INTO public.ecdc_data VALUES (27237, 265, 4552, 69.70002, 114, 151);
INSERT INTO public.ecdc_data VALUES (27238, 56, 3501, 122.21892109, 115, 151);
INSERT INTO public.ecdc_data VALUES (27239, 3, 998, 211.32734124, 172, 151);
INSERT INTO public.ecdc_data VALUES (27240, 0, 0, 8.27530766, 173, 151);
INSERT INTO public.ecdc_data VALUES (27241, 14, 1695, 504.66155197, 116, 151);
INSERT INTO public.ecdc_data VALUES (27242, 55, 10009, 118.79314003, 174, 151);
INSERT INTO public.ecdc_data VALUES (27243, 2, 65, 48.87600453, 86, 151);
INSERT INTO public.ecdc_data VALUES (27244, 11, 632, 5.75042, 117, 151);
INSERT INTO public.ecdc_data VALUES (27245, 0, 0, 64.00979628, 175, 151);
INSERT INTO public.ecdc_data VALUES (27246, 28, 1539, 206.8761318, 118, 151);
INSERT INTO public.ecdc_data VALUES (27247, 4, 258, 19.05513689, 119, 151);
INSERT INTO public.ecdc_data VALUES (27248, 8, 437, 8.8579962, 26, 151);
INSERT INTO public.ecdc_data VALUES (27249, 2, 104, 50.20833959, 176, 151);
INSERT INTO public.ecdc_data VALUES (27250, 6, 729, 205.77232126, 120, 151);
INSERT INTO public.ecdc_data VALUES (27251, 5, 470, 67.11502496, 121, 151);
INSERT INTO public.ecdc_data VALUES (27252, 0, 0, 0, 122, 151);
INSERT INTO public.ecdc_data VALUES (27253, 1, 148, 65.57400957, 177, 151);
INSERT INTO public.ecdc_data VALUES (27254, 8, 1368, 261.67971832, 123, 151);
INSERT INTO public.ecdc_data VALUES (27255, 0, 0, 7.19909545, 27, 151);
INSERT INTO public.ecdc_data VALUES (27256, 0, 3, 0.62786412, 28, 151);
INSERT INTO public.ecdc_data VALUES (27257, 18, 1169, 178.94627967, 29, 151);
INSERT INTO public.ecdc_data VALUES (27258, 0, 18, 192.81880244, 178, 151);
INSERT INTO public.ecdc_data VALUES (27259, 2, 281, 74.61928062, 179, 151);
INSERT INTO public.ecdc_data VALUES (27260, 0, 227, 287.02023476, 180, 151);
INSERT INTO public.ecdc_data VALUES (27261, 0, 0, 0.96776684, 30, 151);
INSERT INTO public.ecdc_data VALUES (27262, 0, 6, 0.31671477, 31, 151);
INSERT INTO public.ecdc_data VALUES (27263, 6, 629, 21.86868902, 124, 151);
INSERT INTO public.ecdc_data VALUES (27264, 0, 41, 142.38441154, 125, 151);
INSERT INTO public.ecdc_data VALUES (27265, 0, 0, 1.07844009, 32, 151);
INSERT INTO public.ecdc_data VALUES (27266, 0, 204, 259.94865862, 181, 151);
INSERT INTO public.ecdc_data VALUES (27267, 0, 20, 1.76768313, 33, 151);
INSERT INTO public.ecdc_data VALUES (27268, 0, 0, 2.04777619, 34, 151);
INSERT INTO public.ecdc_data VALUES (27269, 419, 380, 37.75567335, 87, 151);
INSERT INTO public.ecdc_data VALUES (27270, 19, 784, 268.1995559, 182, 151);
INSERT INTO public.ecdc_data VALUES (27271, 0, 2, 102.76560375, 183, 151);
INSERT INTO public.ecdc_data VALUES (27272, 0, 0, 0.21704309, 126, 151);
INSERT INTO public.ecdc_data VALUES (27273, 7, 609, 577.16230942, 184, 151);
INSERT INTO public.ecdc_data VALUES (27274, 0, 0, 0, 88, 151);
INSERT INTO public.ecdc_data VALUES (27275, 46, 3498, 105.78868048, 35, 151);
INSERT INTO public.ecdc_data VALUES (27276, 0, 75, 5.37771747, 36, 151);
INSERT INTO public.ecdc_data VALUES (27277, 34, 1137, 33.23685769, 127, 151);
INSERT INTO public.ecdc_data VALUES (27278, 1, 112, 29.46453913, 37, 151);
INSERT INTO public.ecdc_data VALUES (27279, 21, 4392, 152.70521588, 128, 151);
INSERT INTO public.ecdc_data VALUES (27280, 16, 7978, 485.49478442, 185, 151);
INSERT INTO public.ecdc_data VALUES (27281, 0, 0, 0, 207, 151);
INSERT INTO public.ecdc_data VALUES (27282, 0, 3, 0.71084172, 208, 151);
INSERT INTO public.ecdc_data VALUES (27283, 0, 0, 2.79581264, 89, 151);
INSERT INTO public.ecdc_data VALUES (27284, 0, 2, 0.04718859, 38, 151);
INSERT INTO public.ecdc_data VALUES (27285, 3, 360, 1.02854446, 39, 151);
INSERT INTO public.ecdc_data VALUES (27286, 6, 437, 204.32018764, 186, 151);
INSERT INTO public.ecdc_data VALUES (27287, 0, 0, 12.23498156, 209, 151);
INSERT INTO public.ecdc_data VALUES (27288, 0, 183, 37.2920597, 187, 151);
INSERT INTO public.ecdc_data VALUES (27289, 0, 0, 195.19629378, 129, 151);
INSERT INTO public.ecdc_data VALUES (27290, 17, 575, 3.91013673, 130, 151);
INSERT INTO public.ecdc_data VALUES (27291, 1, 397, 125.08476495, 131, 151);
INSERT INTO public.ecdc_data VALUES (27292, 17, 615, 224.56457645, 90, 151);
INSERT INTO public.ecdc_data VALUES (27293, 0, 0, 0.44438778, 210, 151);
INSERT INTO public.ecdc_data VALUES (27294, 16, 886, 153.27967835, 91, 151);
INSERT INTO public.ecdc_data VALUES (27295, 71, 2677, 125.66108719, 92, 151);
INSERT INTO public.ecdc_data VALUES (27296, 34, 3052, 32.43904531, 132, 151);
INSERT INTO public.ecdc_data VALUES (27297, 132, 7705, 162.84019208, 188, 151);
INSERT INTO public.ecdc_data VALUES (27298, 21, 2608, 181.16856938, 189, 151);
INSERT INTO public.ecdc_data VALUES (27299, 15, 327, 250.39169511, 93, 151);
INSERT INTO public.ecdc_data VALUES (27300, 0, 189, 99.8562536, 133, 151);
INSERT INTO public.ecdc_data VALUES (27301, 75, 4026, 208.68468231, 190, 151);
INSERT INTO public.ecdc_data VALUES (27302, 232, 15150, 119.74175213, 191, 151);
INSERT INTO public.ecdc_data VALUES (27303, 1, 12, 0.93451001, 40, 151);
INSERT INTO public.ecdc_data VALUES (27304, 0, 0, 0, 94, 151);
INSERT INTO public.ecdc_data VALUES (27305, 0, 1, 2.73530458, 95, 151);
INSERT INTO public.ecdc_data VALUES (27306, 0, 1, 0.90421636, 96, 151);
INSERT INTO public.ecdc_data VALUES (27307, 0, 0, 78.36763127, 192, 151);
INSERT INTO public.ecdc_data VALUES (27308, 0, 3, 9.76526171, 41, 151);
INSERT INTO public.ecdc_data VALUES (27309, 17, 433, 17.26657132, 134, 151);
INSERT INTO public.ecdc_data VALUES (27310, 1, 20, 1.94521943, 42, 151);
INSERT INTO public.ecdc_data VALUES (27311, 2, 265, 28.49033942, 193, 151);
INSERT INTO public.ecdc_data VALUES (27312, 0, 0, 5.11556051, 43, 151);
INSERT INTO public.ecdc_data VALUES (27313, 0, 2, 0.93431545, 44, 151);
INSERT INTO public.ecdc_data VALUES (27314, 0, 9, 1.84344723, 135, 151);
INSERT INTO public.ecdc_data VALUES (27315, 0, 9, 169.85538701, 97, 151);
INSERT INTO public.ecdc_data VALUES (27316, 0, 2075, 269.39203412, 194, 151);
INSERT INTO public.ecdc_data VALUES (27317, 0, 834, 260.22294114, 195, 151);
INSERT INTO public.ecdc_data VALUES (27318, 0, 1, 0, 211, 151);
INSERT INTO public.ecdc_data VALUES (27319, 0, 0, 1.75485106, 45, 151);
INSERT INTO public.ecdc_data VALUES (27320, 61, 2019, 38.20126712, 46, 151);
INSERT INTO public.ecdc_data VALUES (27321, 2, 73, 2.11028448, 136, 151);
INSERT INTO public.ecdc_data VALUES (27322, 0, 10, 0.92206607, 47, 151);
INSERT INTO public.ecdc_data VALUES (27323, 0, 0, 312.39280858, 196, 151);
INSERT INTO public.ecdc_data VALUES (27324, 0, 110, 9.21977361, 137, 151);
INSERT INTO public.ecdc_data VALUES (27325, 0, 0, 0.0887576, 48, 151);
INSERT INTO public.ecdc_data VALUES (27326, 0, 19, 36.81004811, 98, 151);
INSERT INTO public.ecdc_data VALUES (27327, 2, 1179, 88.26819847, 197, 151);
INSERT INTO public.ecdc_data VALUES (27328, 5, 3087, 233.6466372, 198, 151);
INSERT INTO public.ecdc_data VALUES (27329, 3, 56, 4.08901349, 138, 151);
INSERT INTO public.ecdc_data VALUES (27330, 0, 0, 0.07571334, 139, 151);
INSERT INTO public.ecdc_data VALUES (27331, 0, 40, 6.02938111, 140, 151);
INSERT INTO public.ecdc_data VALUES (27332, 0, 10, 0.13788036, 141, 151);
INSERT INTO public.ecdc_data VALUES (27333, 0, 0, 0.07733234, 142, 151);
INSERT INTO public.ecdc_data VALUES (27334, 0, 31, 2.5858787, 49, 151);
INSERT INTO public.ecdc_data VALUES (27335, 2, 47, 43.87194267, 99, 151);
INSERT INTO public.ecdc_data VALUES (27336, 0, 0, 128.85300983, 50, 151);
INSERT INTO public.ecdc_data VALUES (27337, 73, 1812, 27.36821654, 199, 151);
INSERT INTO public.ecdc_data VALUES (27338, 0, 1, 5.23642457, 100, 151);
INSERT INTO public.ecdc_data VALUES (27339, 0, 217, 4.16312897, 51, 151);
INSERT INTO public.ecdc_data VALUES (27340, 106, 5992, 158.13648349, 200, 151);
INSERT INTO public.ecdc_data VALUES (27341, 3, 1412, 167.03297243, 143, 151);
INSERT INTO public.ecdc_data VALUES (27342, 136, 15635, 333.26425307, 201, 151);
INSERT INTO public.ecdc_data VALUES (27343, 0, 0, 0, 52, 151);
INSERT INTO public.ecdc_data VALUES (27344, 899, 70256, 218.15026851, 101, 151);
INSERT INTO public.ecdc_data VALUES (27345, 0, 0, 7.64971935, 102, 151);
INSERT INTO public.ecdc_data VALUES (27346, 0, 33, 10.19721059, 103, 151);
INSERT INTO public.ecdc_data VALUES (27347, 1, 100, 14.57777438, 144, 151);
INSERT INTO public.ecdc_data VALUES (27348, 0, 0, 30.33052274, 104, 151);
INSERT INTO public.ecdc_data VALUES (27349, 0, 0, 0.02902694, 145, 151);
INSERT INTO public.ecdc_data VALUES (27350, 0, 1, 0, 213, 151);
INSERT INTO public.ecdc_data VALUES (27351, 0, 0, 0, 53, 151);
INSERT INTO public.ecdc_data VALUES (27352, 0, 0, 0.04800781, 146, 151);
INSERT INTO public.ecdc_data VALUES (27353, 0, 0, 4.64138862, 54, 151);
INSERT INTO public.ecdc_data VALUES (27354, 0, 24, 1.64555969, 55, 151);
INSERT INTO public.ecdc_data VALUES (27355, 0, 17, 1.65344624, 105, 152);
INSERT INTO public.ecdc_data VALUES (27356, 3, 144, 72.9450917, 147, 152);
INSERT INTO public.ecdc_data VALUES (27357, 13, 232, 8.84490099, 1, 152);
INSERT INTO public.ecdc_data VALUES (27358, 0, 0, 313.74299329, 148, 152);
INSERT INTO public.ecdc_data VALUES (27359, 5, 130, 2.63940961, 2, 152);
INSERT INTO public.ecdc_data VALUES (27360, 0, 0, 0, 56, 152);
INSERT INTO public.ecdc_data VALUES (27361, 0, 0, 1.02970705, 57, 152);
INSERT INTO public.ecdc_data VALUES (27362, 200, 11893, 332.95389138, 58, 152);
INSERT INTO public.ecdc_data VALUES (27363, 3, 257, 77.79620033, 149, 152);
INSERT INTO public.ecdc_data VALUES (27364, 0, 176, 1050.70078074, 59, 152);
INSERT INTO public.ecdc_data VALUES (27365, 8, 41, 3.39639411, 202, 152);
INSERT INTO public.ecdc_data VALUES (27366, 1, 704, 82.00908139, 150, 152);
INSERT INTO public.ecdc_data VALUES (27367, 3, 141, 19.16852969, 151, 152);
INSERT INTO public.ecdc_data VALUES (27368, 0, 55, 192.56147846, 60, 152);
INSERT INTO public.ecdc_data VALUES (27369, 2, 678, 560.76053338, 106, 152);
INSERT INTO public.ecdc_data VALUES (27370, 21, 1615, 15.42078513, 107, 152);
INSERT INTO public.ecdc_data VALUES (27371, 0, 1, 3.13565906, 61, 152);
INSERT INTO public.ecdc_data VALUES (27372, 6, 211, 27.73896051, 152, 152);
INSERT INTO public.ecdc_data VALUES (27373, 2, 1942, 104.48238967, 153, 152);
INSERT INTO public.ecdc_data VALUES (27374, 0, 8, 111.43816719, 62, 152);
INSERT INTO public.ecdc_data VALUES (27375, 0, 13, 0.72874248, 3, 152);
INSERT INTO public.ecdc_data VALUES (27376, 0, 1, 9.59877136, 63, 152);
INSERT INTO public.ecdc_data VALUES (27377, 0, 0, 2.48986363, 108, 152);
INSERT INTO public.ecdc_data VALUES (27378, 31, 586, 95.05691863, 64, 152);
INSERT INTO public.ecdc_data VALUES (27379, 0, 4, 53.88138398, 65, 152);
INSERT INTO public.ecdc_data VALUES (27380, 11, 282, 111.75408164, 154, 152);
INSERT INTO public.ecdc_data VALUES (27381, 0, 0, 32.07878793, 4, 152);
INSERT INTO public.ecdc_data VALUES (27382, 987, 36820, 199.58254442, 66, 152);
INSERT INTO public.ecdc_data VALUES (27383, 0, 0, 63.26374322, 67, 152);
INSERT INTO public.ecdc_data VALUES (27384, 0, 0, 0.23078911, 109, 152);
INSERT INTO public.ecdc_data VALUES (27385, 8, 174, 27.65698877, 155, 152);
INSERT INTO public.ecdc_data VALUES (27386, 0, 15, 1.82074222, 5, 152);
INSERT INTO public.ecdc_data VALUES (27387, 0, 0, 0.20814223, 6, 152);
INSERT INTO public.ecdc_data VALUES (27388, 0, 0, 0.00606555, 110, 152);
INSERT INTO public.ecdc_data VALUES (27389, 0, 32, 3.25779638, 7, 152);
INSERT INTO public.ecdc_data VALUES (27390, 5, 944, 26.25962958, 68, 152);
INSERT INTO public.ecdc_data VALUES (27391, 1, 74, 169.11058741, 8, 152);
INSERT INTO public.ecdc_data VALUES (27392, 0, 0, 4.61907988, 69, 152);
INSERT INTO public.ecdc_data VALUES (27393, 0, 10, 1.47518144, 9, 152);
INSERT INTO public.ecdc_data VALUES (27394, 0, 3, 0.45776974, 10, 152);
INSERT INTO public.ecdc_data VALUES (27395, 18, 1304, 129.52698747, 70, 152);
INSERT INTO public.ecdc_data VALUES (27396, 0, 7, 0.02071442, 111, 152);
INSERT INTO public.ecdc_data VALUES (27397, 190, 7787, 204.6864126, 71, 152);
INSERT INTO public.ecdc_data VALUES (27398, 0, 0, 3.52571598, 11, 152);
INSERT INTO public.ecdc_data VALUES (27399, 0, 0, 5.68719956, 12, 152);
INSERT INTO public.ecdc_data VALUES (27400, 16, 1378, 321.16501415, 72, 152);
INSERT INTO public.ecdc_data VALUES (27401, 0, 32, 3.77577805, 13, 152);
INSERT INTO public.ecdc_data VALUES (27402, 6, 280, 81.05497068, 156, 152);
INSERT INTO public.ecdc_data VALUES (27403, 1, 73, 6.61755908, 73, 152);
INSERT INTO public.ecdc_data VALUES (27404, 0, 23, 75.87671258, 74, 152);
INSERT INTO public.ecdc_data VALUES (27405, 0, 8, 6.05092596, 157, 152);
INSERT INTO public.ecdc_data VALUES (27406, 6, 2136, 143.279686, 158, 152);
INSERT INTO public.ecdc_data VALUES (27407, 0, 0, 0.33183329, 14, 152);
INSERT INTO public.ecdc_data VALUES (27408, 0, 442, 58.14593355, 159, 152);
INSERT INTO public.ecdc_data VALUES (27409, 0, 3, 1.23259347, 15, 152);
INSERT INTO public.ecdc_data VALUES (27410, 0, 0, 5.57040998, 75, 152);
INSERT INTO public.ecdc_data VALUES (27411, 11, 718, 92.13185228, 76, 152);
INSERT INTO public.ecdc_data VALUES (27412, 33, 1972, 34.92644065, 77, 152);
INSERT INTO public.ecdc_data VALUES (27413, 17, 160, 2.21141802, 16, 152);
INSERT INTO public.ecdc_data VALUES (27414, 5, 0, 19.50864253, 78, 152);
INSERT INTO public.ecdc_data VALUES (27415, 0, 0, 2.58115521, 17, 152);
INSERT INTO public.ecdc_data VALUES (27416, 0, 3, 1.28677422, 18, 152);
INSERT INTO public.ecdc_data VALUES (27417, 0, 34, 25.73934572, 160, 152);
INSERT INTO public.ecdc_data VALUES (27418, 0, 27, 42.41668866, 19, 152);
INSERT INTO public.ecdc_data VALUES (27419, 10, 738, 10.54169718, 20, 152);
INSERT INTO public.ecdc_data VALUES (27420, 0, 0, 0, 79, 152);
INSERT INTO public.ecdc_data VALUES (27421, 0, 0, 34.92409146, 161, 152);
INSERT INTO public.ecdc_data VALUES (27422, 0, 0, 0.3370957, 203, 152);
INSERT INTO public.ecdc_data VALUES (27423, 0, 25, 10.67431399, 162, 152);
INSERT INTO public.ecdc_data VALUES (27424, 46, 9784, 166.92909631, 163, 152);
INSERT INTO public.ecdc_data VALUES (27425, 0, 26, 192.99282095, 204, 152);
INSERT INTO public.ecdc_data VALUES (27426, 0, 24, 6.44395736, 21, 152);
INSERT INTO public.ecdc_data VALUES (27427, 2, 12, 15.88791735, 22, 152);
INSERT INTO public.ecdc_data VALUES (27428, 0, 179, 34.75313266, 164, 152);
INSERT INTO public.ecdc_data VALUES (27429, 3, 2194, 23.71860596, 165, 152);
INSERT INTO public.ecdc_data VALUES (27430, 0, 0, 3.27767984, 23, 152);
INSERT INTO public.ecdc_data VALUES (27431, 0, 0, 115.70640242, 166, 152);
INSERT INTO public.ecdc_data VALUES (27432, 3, 311, 30.62119152, 167, 152);
INSERT INTO public.ecdc_data VALUES (27433, 0, 0, 0, 80, 152);
INSERT INTO public.ecdc_data VALUES (27434, 0, 0, 0, 81, 152);
INSERT INTO public.ecdc_data VALUES (27435, 2, 39, 310.23043127, 205, 152);
INSERT INTO public.ecdc_data VALUES (27436, 25, 240, 41.29346137, 82, 152);
INSERT INTO public.ecdc_data VALUES (27437, 0, 0, 1.55115716, 168, 152);
INSERT INTO public.ecdc_data VALUES (27438, 0, 43, 5.28531045, 24, 152);
INSERT INTO public.ecdc_data VALUES (27439, 0, 0, 3.6440929, 25, 152);
INSERT INTO public.ecdc_data VALUES (27440, 0, 0, 73.58436332, 83, 152);
INSERT INTO public.ecdc_data VALUES (27441, 0, 11, 2.51263442, 84, 152);
INSERT INTO public.ecdc_data VALUES (27442, 0, 0, 0, 169, 152);
INSERT INTO public.ecdc_data VALUES (27443, 15, 1040, 73.19839752, 85, 152);
INSERT INTO public.ecdc_data VALUES (27444, 9, 710, 87.46764986, 170, 152);
INSERT INTO public.ecdc_data VALUES (27445, 0, 15, 19.04809925, 171, 152);
INSERT INTO public.ecdc_data VALUES (27446, 1132, 97894, 92.56663963, 112, 152);
INSERT INTO public.ecdc_data VALUES (27447, 135, 3963, 17.86490483, 113, 152);
INSERT INTO public.ecdc_data VALUES (27448, 179, 2981, 38.09011838, 114, 152);
INSERT INTO public.ecdc_data VALUES (27449, 82, 4357, 154.60525621, 115, 152);
INSERT INTO public.ecdc_data VALUES (27450, 1, 250, 54.74854412, 172, 152);
INSERT INTO public.ecdc_data VALUES (27451, 0, 0, 3.54656043, 173, 152);
INSERT INTO public.ecdc_data VALUES (27452, 18, 4974, 577.84768903, 116, 152);
INSERT INTO public.ecdc_data VALUES (27453, 12, 1452, 33.01383347, 174, 152);
INSERT INTO public.ecdc_data VALUES (27454, 0, 109, 45.07717558, 86, 152);
INSERT INTO public.ecdc_data VALUES (27455, 12, 561, 5.84107089, 117, 152);
INSERT INTO public.ecdc_data VALUES (27456, 0, 3, 7.42142566, 175, 152);
INSERT INTO public.ecdc_data VALUES (27457, 0, 175, 16.73976165, 118, 152);
INSERT INTO public.ecdc_data VALUES (27458, 3, 335, 27.1623295, 119, 152);
INSERT INTO public.ecdc_data VALUES (27459, 10, 96, 3.43896438, 26, 152);
INSERT INTO public.ecdc_data VALUES (27460, 3, 76, 62.6075198, 176, 152);
INSERT INTO public.ecdc_data VALUES (27461, 3, 698, 250.07861753, 120, 152);
INSERT INTO public.ecdc_data VALUES (27462, 0, 81, 15.86695202, 121, 152);
INSERT INTO public.ecdc_data VALUES (27463, 0, 0, 0.01394806, 122, 152);
INSERT INTO public.ecdc_data VALUES (27464, 0, 4, 4.16673611, 177, 152);
INSERT INTO public.ecdc_data VALUES (27465, 7, 634, 112.4318433, 123, 152);
INSERT INTO public.ecdc_data VALUES (27466, 0, 82, 11.38680458, 27, 152);
INSERT INTO public.ecdc_data VALUES (27467, 0, 5, 0.5468494, 28, 152);
INSERT INTO public.ecdc_data VALUES (27468, 11, 792, 144.30199664, 29, 152);
INSERT INTO public.ecdc_data VALUES (27469, 0, 0, 7.81697848, 178, 152);
INSERT INTO public.ecdc_data VALUES (27470, 0, 0, 17.32169392, 179, 152);
INSERT INTO public.ecdc_data VALUES (27471, 0, 110, 105.71857682, 180, 152);
INSERT INTO public.ecdc_data VALUES (27472, 1, 68, 3.14431524, 30, 152);
INSERT INTO public.ecdc_data VALUES (27473, 0, 0, 0.65490173, 31, 152);
INSERT INTO public.ecdc_data VALUES (27474, 0, 62, 2.10017036, 124, 152);
INSERT INTO public.ecdc_data VALUES (27475, 0, 99, 242.39251013, 125, 152);
INSERT INTO public.ecdc_data VALUES (27476, 0, 26, 0.83426497, 32, 152);
INSERT INTO public.ecdc_data VALUES (27477, 0, 35, 127.64431405, 181, 152);
INSERT INTO public.ecdc_data VALUES (27478, 0, 0, 5.08208899, 33, 152);
INSERT INTO public.ecdc_data VALUES (27479, 0, 3, 0.70884561, 34, 152);
INSERT INTO public.ecdc_data VALUES (27480, 300, 2082, 49.12384098, 87, 152);
INSERT INTO public.ecdc_data VALUES (27481, 15, 627, 163.75408149, 182, 152);
INSERT INTO public.ecdc_data VALUES (27482, 0, 3, 117.87819253, 183, 152);
INSERT INTO public.ecdc_data VALUES (27483, 0, 0, 0.15503078, 126, 152);
INSERT INTO public.ecdc_data VALUES (27484, 3, 230, 365.16646255, 184, 152);
INSERT INTO public.ecdc_data VALUES (27485, 0, 0, 0, 88, 152);
INSERT INTO public.ecdc_data VALUES (27486, 38, 1692, 72.83168026, 35, 152);
INSERT INTO public.ecdc_data VALUES (27487, 2, 281, 6.1812466, 36, 152);
INSERT INTO public.ecdc_data VALUES (27488, 7, 258, 5.24743798, 127, 152);
INSERT INTO public.ecdc_data VALUES (27489, 2, 63, 84.98615367, 37, 152);
INSERT INTO public.ecdc_data VALUES (27490, 8, 1539, 58.29692106, 128, 152);
INSERT INTO public.ecdc_data VALUES (27491, 2, 1540, 82.5475376, 185, 152);
INSERT INTO public.ecdc_data VALUES (27492, 0, 0, 1.06098169, 207, 152);
INSERT INTO public.ecdc_data VALUES (27493, 0, 7, 1.04535546, 208, 152);
INSERT INTO public.ecdc_data VALUES (27494, 0, 0, 4.47635575, 89, 152);
INSERT INTO public.ecdc_data VALUES (27495, 0, 0, 0.01286962, 38, 152);
INSERT INTO public.ecdc_data VALUES (27496, 3, 126, 1.06536705, 39, 152);
INSERT INTO public.ecdc_data VALUES (27497, 7, 163, 78.61801754, 186, 152);
INSERT INTO public.ecdc_data VALUES (27498, 0, 0, 6.99141803, 209, 152);
INSERT INTO public.ecdc_data VALUES (27499, 0, 116, 28.56492947, 187, 152);
INSERT INTO public.ecdc_data VALUES (27500, 8, 536, 105.88961751, 129, 152);
INSERT INTO public.ecdc_data VALUES (27501, 6, 545, 3.05681449, 130, 152);
INSERT INTO public.ecdc_data VALUES (27502, 15, 966, 221.74391168, 131, 152);
INSERT INTO public.ecdc_data VALUES (27503, 11, 634, 220.93800925, 90, 152);
INSERT INTO public.ecdc_data VALUES (27504, 0, 5, 0.51275513, 210, 152);
INSERT INTO public.ecdc_data VALUES (27505, 14, 1121, 160.13595587, 91, 152);
INSERT INTO public.ecdc_data VALUES (27506, 124, 6380, 249.03675623, 92, 152);
INSERT INTO public.ecdc_data VALUES (27507, 69, 3527, 43.00356332, 132, 152);
INSERT INTO public.ecdc_data VALUES (27508, 10, 600, 19.00570334, 188, 152);
INSERT INTO public.ecdc_data VALUES (27509, 3, 605, 68.04768534, 189, 152);
INSERT INTO public.ecdc_data VALUES (27510, 19, 682, 165.37101606, 93, 152);
INSERT INTO public.ecdc_data VALUES (27511, 0, 235, 114.50984103, 133, 152);
INSERT INTO public.ecdc_data VALUES (27512, 49, 1713, 88.18170458, 190, 152);
INSERT INTO public.ecdc_data VALUES (27513, 132, 5670, 51.08510693, 191, 152);
INSERT INTO public.ecdc_data VALUES (27514, 0, 10, 3.29454378, 40, 152);
INSERT INTO public.ecdc_data VALUES (27515, 0, 0, 0, 94, 152);
INSERT INTO public.ecdc_data VALUES (27516, 0, 0, 0.54706092, 95, 152);
INSERT INTO public.ecdc_data VALUES (27517, 0, 0, 2.71264908, 96, 152);
INSERT INTO public.ecdc_data VALUES (27518, 0, 0, 23.22003889, 192, 152);
INSERT INTO public.ecdc_data VALUES (27519, 0, 0, 5.11513709, 41, 152);
INSERT INTO public.ecdc_data VALUES (27520, 31, 621, 29.37097183, 134, 152);
INSERT INTO public.ecdc_data VALUES (27521, 1, 39, 5.06247959, 42, 152);
INSERT INTO public.ecdc_data VALUES (27522, 1, 102, 14.81957171, 193, 152);
INSERT INTO public.ecdc_data VALUES (27523, 0, 0, 4.09244841, 43, 152);
INSERT INTO public.ecdc_data VALUES (27524, 0, 7, 1.33107954, 44, 152);
INSERT INTO public.ecdc_data VALUES (27525, 0, 26, 11.2674251, 135, 152);
INSERT INTO public.ecdc_data VALUES (27526, 0, 8, 176.9326948, 97, 152);
INSERT INTO public.ecdc_data VALUES (27527, 0, 92, 33.35522155, 194, 152);
INSERT INTO public.ecdc_data VALUES (27528, 0, 123, 46.71037835, 195, 152);
INSERT INTO public.ecdc_data VALUES (27529, 0, 1, 0.51803721, 45, 152);
INSERT INTO public.ecdc_data VALUES (27530, 64, 1923, 39.01925581, 46, 152);
INSERT INTO public.ecdc_data VALUES (27531, 5, 153, 3.92969719, 136, 152);
INSERT INTO public.ecdc_data VALUES (27532, 0, 2, 0.56047153, 47, 152);
INSERT INTO public.ecdc_data VALUES (27533, 162, 11291, 292.17424355, 196, 152);
INSERT INTO public.ecdc_data VALUES (27534, 0, 0, 0.79723373, 137, 152);
INSERT INTO public.ecdc_data VALUES (27535, 0, 0, 0.80816127, 48, 152);
INSERT INTO public.ecdc_data VALUES (27536, 0, 20, 85.31674702, 98, 152);
INSERT INTO public.ecdc_data VALUES (27537, 2, 330, 30.33180729, 197, 152);
INSERT INTO public.ecdc_data VALUES (27538, 7, 514, 64.35698547, 198, 152);
INSERT INTO public.ecdc_data VALUES (27539, 3, 40, 4.42878825, 138, 152);
INSERT INTO public.ecdc_data VALUES (27540, 0, 3, 0.05888816, 139, 152);
INSERT INTO public.ecdc_data VALUES (27541, 0, 42, 5.54660148, 140, 152);
INSERT INTO public.ecdc_data VALUES (27542, 0, 0, 0.09048398, 141, 152);
INSERT INTO public.ecdc_data VALUES (27543, 0, 0, 0, 142, 152);
INSERT INTO public.ecdc_data VALUES (27544, 0, 13, 2.15283681, 49, 152);
INSERT INTO public.ecdc_data VALUES (27545, 2, 104, 100.86245644, 99, 152);
INSERT INTO public.ecdc_data VALUES (27546, 6, 477, 33.38258348, 50, 152);
INSERT INTO public.ecdc_data VALUES (27547, 63, 1771, 28.15720358, 199, 152);
INSERT INTO public.ecdc_data VALUES (27548, 0, 9, 272.2940776, 100, 152);
INSERT INTO public.ecdc_data VALUES (27549, 2, 143, 4.86564286, 51, 152);
INSERT INTO public.ecdc_data VALUES (27550, 0, 0, 83.80983589, 200, 152);
INSERT INTO public.ecdc_data VALUES (27551, 1, 842, 104.82547204, 143, 152);
INSERT INTO public.ecdc_data VALUES (27552, 20, 3991, 59.33190323, 201, 152);
INSERT INTO public.ecdc_data VALUES (27553, 0, 0, 0, 52, 152);
INSERT INTO public.ecdc_data VALUES (27554, 0, 29, 6.64407489, 103, 152);
INSERT INTO public.ecdc_data VALUES (27555, 865, 24598, 156.95535237, 101, 152);
INSERT INTO public.ecdc_data VALUES (27556, 0, 6, 89.88420237, 102, 152);
INSERT INTO public.ecdc_data VALUES (27557, 6, 609, 20.7539238, 144, 152);
INSERT INTO public.ecdc_data VALUES (27558, 9, 761, 50.9646765, 104, 152);
INSERT INTO public.ecdc_data VALUES (27559, 0, 0, 0.0176235, 145, 152);
INSERT INTO public.ecdc_data VALUES (27560, 0, 0, 0, 53, 152);
INSERT INTO public.ecdc_data VALUES (27561, 1, 4, 0.15088169, 146, 152);
INSERT INTO public.ecdc_data VALUES (27562, 2, 68, 8.24140417, 54, 152);
INSERT INTO public.ecdc_data VALUES (27563, 0, 22, 6.55492656, 55, 152);
INSERT INTO public.ecdc_data VALUES (27564, 5, 45, 2.32901966, 105, 153);
INSERT INTO public.ecdc_data VALUES (27565, 3, 120, 65.01475845, 147, 153);
INSERT INTO public.ecdc_data VALUES (27566, 10, 450, 16.53308962, 1, 153);
INSERT INTO public.ecdc_data VALUES (27567, 0, 0, 84.01486013, 148, 153);
INSERT INTO public.ecdc_data VALUES (27568, 0, 27, 2.29691479, 2, 153);
INSERT INTO public.ecdc_data VALUES (27569, 0, 0, 0, 56, 153);
INSERT INTO public.ecdc_data VALUES (27570, 0, 0, 2.0594141, 57, 153);
INSERT INTO public.ecdc_data VALUES (27571, 92, 6663, 206.68960439, 58, 153);
INSERT INTO public.ecdc_data VALUES (27572, 1, 168, 86.58673144, 149, 153);
INSERT INTO public.ecdc_data VALUES (27573, 0, 54, 921.83237701, 59, 153);
INSERT INTO public.ecdc_data VALUES (27574, 17, 253, 21.28697943, 202, 153);
INSERT INTO public.ecdc_data VALUES (27575, 0, 162, 23.29893241, 150, 153);
INSERT INTO public.ecdc_data VALUES (27576, 0, 112, 17.67565355, 151, 153);
INSERT INTO public.ecdc_data VALUES (27577, 1, 63, 171.25134151, 60, 153);
INSERT INTO public.ecdc_data VALUES (27578, 0, 0, 298.20298276, 106, 153);
INSERT INTO public.ecdc_data VALUES (27579, 32, 2024, 21.9588104, 107, 153);
INSERT INTO public.ecdc_data VALUES (27580, 0, 1, 6.61972469, 61, 153);
INSERT INTO public.ecdc_data VALUES (27581, 3, 92, 15.32942555, 152, 153);
INSERT INTO public.ecdc_data VALUES (27582, 7, 132, 70.85667616, 153, 153);
INSERT INTO public.ecdc_data VALUES (27583, 0, 0, 101.1909794, 62, 153);
INSERT INTO public.ecdc_data VALUES (27584, 0, 0, 2.18622743, 3, 153);
INSERT INTO public.ecdc_data VALUES (27585, 0, 0, 9.59877136, 63, 153);
INSERT INTO public.ecdc_data VALUES (27586, 0, 8, 4.97972727, 108, 153);
INSERT INTO public.ecdc_data VALUES (27587, 45, 1198, 175.37410856, 64, 153);
INSERT INTO public.ecdc_data VALUES (27588, 0, 0, 7.69734057, 65, 153);
INSERT INTO public.ecdc_data VALUES (27589, 0, 0, 103.81708804, 154, 153);
INSERT INTO public.ecdc_data VALUES (27590, 0, 0, 17.79743309, 4, 153);
INSERT INTO public.ecdc_data VALUES (27591, 620, 23101, 287.3827919, 66, 153);
INSERT INTO public.ecdc_data VALUES (27592, 0, 0, 0, 67, 153);
INSERT INTO public.ecdc_data VALUES (27593, 0, 0, 0.23078911, 109, 153);
INSERT INTO public.ecdc_data VALUES (27594, 3, 32, 34.42837961, 155, 153);
INSERT INTO public.ecdc_data VALUES (27595, 1, 18, 0.57574822, 5, 153);
INSERT INTO public.ecdc_data VALUES (27596, 0, 1, 0.15610667, 6, 153);
INSERT INTO public.ecdc_data VALUES (27597, 0, 0, 0.20016326, 110, 153);
INSERT INTO public.ecdc_data VALUES (27598, 0, 0, 4.69153596, 7, 153);
INSERT INTO public.ecdc_data VALUES (27599, 2, 198, 13.9450822, 68, 153);
INSERT INTO public.ecdc_data VALUES (27600, 1, 16, 114.9224637, 8, 153);
INSERT INTO public.ecdc_data VALUES (27601, 0, 0, 0, 69, 153);
INSERT INTO public.ecdc_data VALUES (27602, 0, 0, 0.80081278, 9, 153);
INSERT INTO public.ecdc_data VALUES (27603, 0, 4, 0.12541637, 10, 153);
INSERT INTO public.ecdc_data VALUES (27604, 57, 2044, 138.32287667, 70, 153);
INSERT INTO public.ecdc_data VALUES (27605, 0, 96, 0.09694628, 111, 153);
INSERT INTO public.ecdc_data VALUES (27606, 287, 11643, 299.32989127, 71, 153);
INSERT INTO public.ecdc_data VALUES (27607, 0, 2, 2.23295346, 11, 153);
INSERT INTO public.ecdc_data VALUES (27608, 16, 90, 8.32635753, 12, 153);
INSERT INTO public.ecdc_data VALUES (27609, 3, 728, 188.0115961, 72, 153);
INSERT INTO public.ecdc_data VALUES (27610, 2, 33, 3.28193272, 13, 153);
INSERT INTO public.ecdc_data VALUES (27611, 1, 151, 32.16194508, 156, 153);
INSERT INTO public.ecdc_data VALUES (27612, 0, 24, 5.91168612, 73, 153);
INSERT INTO public.ecdc_data VALUES (27613, 0, 1, 3.05954486, 74, 153);
INSERT INTO public.ecdc_data VALUES (27614, 0, 0, 20.77865142, 157, 153);
INSERT INTO public.ecdc_data VALUES (27615, 2, 121, 30.1601908, 158, 153);
INSERT INTO public.ecdc_data VALUES (27616, 0, 38, 0.6463836, 14, 153);
INSERT INTO public.ecdc_data VALUES (27617, 0, 134, 31.48423179, 159, 153);
INSERT INTO public.ecdc_data VALUES (27618, 0, 2, 21.36495346, 15, 153);
INSERT INTO public.ecdc_data VALUES (27619, 0, 0, 0, 75, 153);
INSERT INTO public.ecdc_data VALUES (27620, 15, 764, 130.98106269, 76, 153);
INSERT INTO public.ecdc_data VALUES (27621, 5, 854, 86.44121384, 77, 153);
INSERT INTO public.ecdc_data VALUES (27622, 19, 139, 1.98429941, 16, 153);
INSERT INTO public.ecdc_data VALUES (27623, 6, 293, 84.66657886, 78, 153);
INSERT INTO public.ecdc_data VALUES (27624, 0, 0, 0, 17, 153);
INSERT INTO public.ecdc_data VALUES (27625, 0, 0, 0.1715699, 18, 153);
INSERT INTO public.ecdc_data VALUES (27626, 0, 6, 8.3784967, 160, 153);
INSERT INTO public.ecdc_data VALUES (27627, 1, 94, 92.67219042, 19, 153);
INSERT INTO public.ecdc_data VALUES (27628, 19, 982, 10.59701544, 20, 153);
INSERT INTO public.ecdc_data VALUES (27629, 0, 0, 0, 79, 153);
INSERT INTO public.ecdc_data VALUES (27630, 0, 2, 301.99067321, 161, 153);
INSERT INTO public.ecdc_data VALUES (27631, 0, 1, 0.11236523, 203, 153);
INSERT INTO public.ecdc_data VALUES (27632, 0, 11, 5.03813122, 162, 153);
INSERT INTO public.ecdc_data VALUES (27633, 1, 3015, 45.68822983, 163, 153);
INSERT INTO public.ecdc_data VALUES (27634, 0, 26, 46.54743363, 204, 153);
INSERT INTO public.ecdc_data VALUES (27635, 0, 0, 31.94361721, 21, 153);
INSERT INTO public.ecdc_data VALUES (27636, 9, 183, 58.52546497, 22, 153);
INSERT INTO public.ecdc_data VALUES (27637, 0, 20, 4.10332164, 164, 153);
INSERT INTO public.ecdc_data VALUES (27638, 1, 561, 16.39620457, 165, 153);
INSERT INTO public.ecdc_data VALUES (27639, 0, 322, 18.14065935, 23, 153);
INSERT INTO public.ecdc_data VALUES (27640, 0, 6, 80.10443245, 166, 153);
INSERT INTO public.ecdc_data VALUES (27641, 2, 217, 22.49967575, 167, 153);
INSERT INTO public.ecdc_data VALUES (27642, 0, 0, 0, 80, 153);
INSERT INTO public.ecdc_data VALUES (27643, 0, 0, 0, 81, 153);
INSERT INTO public.ecdc_data VALUES (27644, 0, 42, 113.57183419, 205, 153);
INSERT INTO public.ecdc_data VALUES (27645, 24, 249, 64.02192853, 82, 153);
INSERT INTO public.ecdc_data VALUES (27646, 0, 0, 0, 168, 153);
INSERT INTO public.ecdc_data VALUES (27647, 1, 139, 8.75404013, 24, 153);
INSERT INTO public.ecdc_data VALUES (27648, 0, 0, 7.07995192, 25, 153);
INSERT INTO public.ecdc_data VALUES (27649, 1, 35, 30.02139823, 83, 153);
INSERT INTO public.ecdc_data VALUES (27650, 0, 48, 3.57806245, 84, 153);
INSERT INTO public.ecdc_data VALUES (27651, 0, 0, 0, 169, 153);
INSERT INTO public.ecdc_data VALUES (27652, 8, 523, 74.95294279, 85, 153);
INSERT INTO public.ecdc_data VALUES (27653, 1, 39, 3.89859319, 170, 153);
INSERT INTO public.ecdc_data VALUES (27654, 0, 12, 29.13238709, 171, 153);
INSERT INTO public.ecdc_data VALUES (27655, 941, 57981, 61.76500534, 112, 153);
INSERT INTO public.ecdc_data VALUES (27656, 79, 2081, 10.38113298, 113, 153);
INSERT INTO public.ecdc_data VALUES (27657, 147, 2133, 40.72417635, 114, 153);
INSERT INTO public.ecdc_data VALUES (27658, 75, 4348, 121.54733265, 115, 153);
INSERT INTO public.ecdc_data VALUES (27659, 0, 66, 22.32761855, 172, 153);
INSERT INTO public.ecdc_data VALUES (27660, 0, 0, 0, 173, 153);
INSERT INTO public.ecdc_data VALUES (27661, 11, 337, 230.70946653, 116, 153);
INSERT INTO public.ecdc_data VALUES (27662, 4, 477, 9.68363811, 174, 153);
INSERT INTO public.ecdc_data VALUES (27663, 0, 31, 7.42806731, 86, 153);
INSERT INTO public.ecdc_data VALUES (27664, 10, 238, 13.30597526, 117, 153);
INSERT INTO public.ecdc_data VALUES (27665, 0, 0, 18.55356414, 175, 153);
INSERT INTO public.ecdc_data VALUES (27666, 0, 39, 1.63338892, 118, 153);
INSERT INTO public.ecdc_data VALUES (27667, 2, 478, 123.96889339, 119, 153);
INSERT INTO public.ecdc_data VALUES (27668, 2, 271, 15.34409606, 26, 153);
INSERT INTO public.ecdc_data VALUES (27669, 11, 141, 145.50966191, 176, 153);
INSERT INTO public.ecdc_data VALUES (27670, 3, 508, 197.14400283, 120, 153);
INSERT INTO public.ecdc_data VALUES (27671, 1, 135, 75.78106162, 121, 153);
INSERT INTO public.ecdc_data VALUES (27672, 0, 0, 0, 122, 153);
INSERT INTO public.ecdc_data VALUES (27673, 0, 7, 4.11465191, 177, 153);
INSERT INTO public.ecdc_data VALUES (27674, 6, 439, 58.28718809, 123, 153);
INSERT INTO public.ecdc_data VALUES (27675, 5, 43, 10.72806382, 27, 153);
INSERT INTO public.ecdc_data VALUES (27676, 0, 0, 1.01268407, 28, 153);
INSERT INTO public.ecdc_data VALUES (27677, 0, 0, 59.71269738, 29, 153);
INSERT INTO public.ecdc_data VALUES (27678, 0, 0, 10.42263797, 178, 153);
INSERT INTO public.ecdc_data VALUES (27679, 0, 30, 10.95131888, 179, 153);
INSERT INTO public.ecdc_data VALUES (27680, 0, 0, 121.1935611, 180, 153);
INSERT INTO public.ecdc_data VALUES (27681, 4, 103, 8.5245056, 30, 153);
INSERT INTO public.ecdc_data VALUES (27682, 4, 46, 4.51452752, 31, 153);
INSERT INTO public.ecdc_data VALUES (27683, 0, 25, 0.62911214, 124, 153);
INSERT INTO public.ecdc_data VALUES (27684, 0, 106, 305.29779248, 125, 153);
INSERT INTO public.ecdc_data VALUES (27685, 0, 0, 0.37134965, 32, 153);
INSERT INTO public.ecdc_data VALUES (27686, 0, 68, 119.53991316, 181, 153);
INSERT INTO public.ecdc_data VALUES (27687, 0, 79, 8.63955129, 33, 153);
INSERT INTO public.ecdc_data VALUES (27688, 0, 2, 0.15752125, 34, 153);
INSERT INTO public.ecdc_data VALUES (27689, 214, 2263, 61.77987316, 87, 153);
INSERT INTO public.ecdc_data VALUES (27690, 1, 278, 119.23552739, 182, 153);
INSERT INTO public.ecdc_data VALUES (27691, 0, 0, 45.33776636, 183, 153);
INSERT INTO public.ecdc_data VALUES (27692, 0, 0, 0.15503078, 126, 153);
INSERT INTO public.ecdc_data VALUES (27693, 2, 75, 124.8830728, 184, 153);
INSERT INTO public.ecdc_data VALUES (27694, 0, 0, 0, 88, 153);
INSERT INTO public.ecdc_data VALUES (27695, 26, 1472, 46.47978933, 35, 153);
INSERT INTO public.ecdc_data VALUES (27696, 0, 64, 2.99347531, 36, 153);
INSERT INTO public.ecdc_data VALUES (27697, 0, 1, 0.0407065, 127, 153);
INSERT INTO public.ecdc_data VALUES (27698, 0, 247, 74.5633235, 37, 153);
INSERT INTO public.ecdc_data VALUES (27699, 2, 641, 22.11913398, 128, 153);
INSERT INTO public.ecdc_data VALUES (27700, 3, 506, 45.71187067, 185, 153);
INSERT INTO public.ecdc_data VALUES (27701, 0, 0, 0.35366056, 207, 153);
INSERT INTO public.ecdc_data VALUES (27702, 0, 9, 1.31714789, 208, 153);
INSERT INTO public.ecdc_data VALUES (27703, 0, 0, 6.76800545, 89, 153);
INSERT INTO public.ecdc_data VALUES (27704, 0, 2, 0.08579744, 38, 153);
INSERT INTO public.ecdc_data VALUES (27705, 1, 298, 2.60096849, 39, 153);
INSERT INTO public.ecdc_data VALUES (27706, 5, 86, 81.12146941, 186, 153);
INSERT INTO public.ecdc_data VALUES (27707, 0, 0, 6.99141803, 209, 153);
INSERT INTO public.ecdc_data VALUES (27708, 0, 0, 12.04907012, 187, 153);
INSERT INTO public.ecdc_data VALUES (27709, 10, 162, 78.9348003, 129, 153);
INSERT INTO public.ecdc_data VALUES (27710, 7, 498, 4.24167643, 130, 153);
INSERT INTO public.ecdc_data VALUES (27711, 2, 381, 123.55909618, 131, 153);
INSERT INTO public.ecdc_data VALUES (27712, 21, 1275, 341.15635685, 90, 153);
INSERT INTO public.ecdc_data VALUES (27713, 0, 52, 2.42704093, 210, 153);
INSERT INTO public.ecdc_data VALUES (27714, 11, 410, 58.86745935, 91, 153);
INSERT INTO public.ecdc_data VALUES (27715, 206, 10143, 329.42011098, 92, 153);
INSERT INTO public.ecdc_data VALUES (27716, 65, 3335, 53.70867025, 132, 153);
INSERT INTO public.ecdc_data VALUES (27717, 8, 594, 25.78160395, 188, 153);
INSERT INTO public.ecdc_data VALUES (27718, 3, 121, 25.67965703, 189, 153);
INSERT INTO public.ecdc_data VALUES (27719, 6, 311, 258.91421707, 93, 153);
INSERT INTO public.ecdc_data VALUES (27720, 1, 271, 140.28603096, 133, 153);
INSERT INTO public.ecdc_data VALUES (27721, 37, 1087, 88.98007866, 190, 153);
INSERT INTO public.ecdc_data VALUES (27722, 68, 4969, 49.34659955, 191, 153);
INSERT INTO public.ecdc_data VALUES (27723, 0, 101, 3.09655437, 40, 153);
INSERT INTO public.ecdc_data VALUES (27724, 0, 0, 31.92755348, 192, 153);
INSERT INTO public.ecdc_data VALUES (27725, 0, 0, 0, 94, 153);
INSERT INTO public.ecdc_data VALUES (27726, 0, 0, 0, 95, 153);
INSERT INTO public.ecdc_data VALUES (27727, 0, 0, 1.80843272, 96, 153);
INSERT INTO public.ecdc_data VALUES (27728, 0, 0, 5.11513709, 41, 153);
INSERT INTO public.ecdc_data VALUES (27729, 39, 1227, 57.50757495, 134, 153);
INSERT INTO public.ecdc_data VALUES (27730, 2, 130, 11.15586411, 42, 153);
INSERT INTO public.ecdc_data VALUES (27731, 4, 211, 50.10221484, 193, 153);
INSERT INTO public.ecdc_data VALUES (27732, 0, 0, 13.30045733, 43, 153);
INSERT INTO public.ecdc_data VALUES (27733, 0, 2, 1.44626912, 44, 153);
INSERT INTO public.ecdc_data VALUES (27734, 0, 86, 50.34161489, 135, 153);
INSERT INTO public.ecdc_data VALUES (27735, 0, 17, 403.40654415, 97, 153);
INSERT INTO public.ecdc_data VALUES (27736, 0, 47, 10.23774127, 194, 153);
INSERT INTO public.ecdc_data VALUES (27737, 0, 15, 11.34120297, 195, 153);
INSERT INTO public.ecdc_data VALUES (27738, 0, 0, 0.28492047, 45, 153);
INSERT INTO public.ecdc_data VALUES (27739, 162, 3692, 129.54618346, 46, 153);
INSERT INTO public.ecdc_data VALUES (27740, 0, 197, 2.19813166, 136, 153);
INSERT INTO public.ecdc_data VALUES (27741, 0, 1, 0.54239181, 47, 153);
INSERT INTO public.ecdc_data VALUES (27742, 29, 16269, 132.15143854, 196, 153);
INSERT INTO public.ecdc_data VALUES (27743, 0, 3, 0.32827271, 137, 153);
INSERT INTO public.ecdc_data VALUES (27744, 5, 96, 1.56960802, 48, 153);
INSERT INTO public.ecdc_data VALUES (27745, 5, 55, 200.7351689, 98, 153);
INSERT INTO public.ecdc_data VALUES (27746, 0, 63, 39.50075194, 197, 153);
INSERT INTO public.ecdc_data VALUES (27747, 1, 200, 30.0777328, 198, 153);
INSERT INTO public.ecdc_data VALUES (27748, 4, 84, 5.08490503, 138, 153);
INSERT INTO public.ecdc_data VALUES (27749, 0, 1, 0.04206297, 139, 153);
INSERT INTO public.ecdc_data VALUES (27750, 0, 36, 6.1152086, 140, 153);
INSERT INTO public.ecdc_data VALUES (27751, 0, 1, 0.08330272, 141, 153);
INSERT INTO public.ecdc_data VALUES (27752, 0, 0, 0.07733234, 142, 153);
INSERT INTO public.ecdc_data VALUES (27753, 0, 17, 2.30130832, 49, 153);
INSERT INTO public.ecdc_data VALUES (27754, 1, 78, 26.52388691, 99, 153);
INSERT INTO public.ecdc_data VALUES (27755, 0, 84, 4.6687732, 50, 153);
INSERT INTO public.ecdc_data VALUES (27756, 19, 1192, 20.0636843, 199, 153);
INSERT INTO public.ecdc_data VALUES (27757, 0, 0, 476.51463581, 100, 153);
INSERT INTO public.ecdc_data VALUES (27758, 0, 66, 0.71832611, 51, 153);
INSERT INTO public.ecdc_data VALUES (27759, 45, 3101, 46.94314585, 200, 153);
INSERT INTO public.ecdc_data VALUES (27760, 3, 210, 33.9081028, 143, 153);
INSERT INTO public.ecdc_data VALUES (27761, 5, 1040, 20.68956866, 201, 153);
INSERT INTO public.ecdc_data VALUES (27762, 0, 0, 0, 52, 153);
INSERT INTO public.ecdc_data VALUES (27763, 571, 42104, 223.45560466, 101, 153);
INSERT INTO public.ecdc_data VALUES (27764, 0, 7, 305.98877404, 102, 153);
INSERT INTO public.ecdc_data VALUES (27765, 0, 6, 4.44864145, 103, 153);
INSERT INTO public.ecdc_data VALUES (27766, 0, 0, 27.63955725, 144, 153);
INSERT INTO public.ecdc_data VALUES (27767, 5, 1148, 47.51396146, 104, 153);
INSERT INTO public.ecdc_data VALUES (27768, 2, 30, 0.35558004, 145, 153);
INSERT INTO public.ecdc_data VALUES (27769, 0, 0, 0, 53, 153);
INSERT INTO public.ecdc_data VALUES (27770, 1, 7, 0.46293245, 146, 153);
INSERT INTO public.ecdc_data VALUES (27771, 0, 157, 16.77394489, 54, 153);
INSERT INTO public.ecdc_data VALUES (27772, 2, 85, 9.14958499, 55, 153);
INSERT INTO public.ecdc_data VALUES (27773, 21, 76, 8.01224823, 105, 154);
INSERT INTO public.ecdc_data VALUES (27774, 3, 99, 41.53817722, 147, 154);
INSERT INTO public.ecdc_data VALUES (27775, 12, 585, 15.55754906, 1, 154);
INSERT INTO public.ecdc_data VALUES (27776, 0, 15, 28.88010817, 148, 154);
INSERT INTO public.ecdc_data VALUES (27777, 1, 31, 0.91750905, 2, 154);
INSERT INTO public.ecdc_data VALUES (27778, 0, 0, 0, 56, 154);
INSERT INTO public.ecdc_data VALUES (27779, 0, 0, 6.17824229, 57, 154);
INSERT INTO public.ecdc_data VALUES (27780, 62, 4250, 92.04640171, 58, 154);
INSERT INTO public.ecdc_data VALUES (27781, 13, 442, 225.8828398, 149, 154);
INSERT INTO public.ecdc_data VALUES (27782, 0, 2, 3.76258113, 59, 154);
INSERT INTO public.ecdc_data VALUES (27783, 2, 315, 11.14541011, 202, 154);
INSERT INTO public.ecdc_data VALUES (27784, 0, 153, 14.85532706, 150, 154);
INSERT INTO public.ecdc_data VALUES (27785, 8, 493, 74.45470957, 151, 154);
INSERT INTO public.ecdc_data VALUES (27786, 0, 5, 5.13497276, 60, 154);
INSERT INTO public.ecdc_data VALUES (27787, 4, 524, 441.57683205, 106, 154);
INSERT INTO public.ecdc_data VALUES (27788, 39, 2733, 26.40111032, 107, 154);
INSERT INTO public.ecdc_data VALUES (27789, 0, 0, 2.43884594, 61, 154);
INSERT INTO public.ecdc_data VALUES (27790, 5, 180, 30.94449256, 152, 154);
INSERT INTO public.ecdc_data VALUES (27791, 5, 226, 14.57812605, 153, 154);
INSERT INTO public.ecdc_data VALUES (27792, 0, 1, 3.07415634, 62, 154);
INSERT INTO public.ecdc_data VALUES (27793, 2, 85, 2.23706993, 3, 154);
INSERT INTO public.ecdc_data VALUES (27794, 0, 2, 9.59877136, 63, 154);
INSERT INTO public.ecdc_data VALUES (27795, 0, 2, 1.17940909, 108, 154);
INSERT INTO public.ecdc_data VALUES (27796, 42, 1938, 161.79827122, 64, 154);
INSERT INTO public.ecdc_data VALUES (27797, 0, 1, 11.54601085, 65, 154);
INSERT INTO public.ecdc_data VALUES (27798, 6, 274, 87.64016216, 154, 154);
INSERT INTO public.ecdc_data VALUES (27799, 0, 123, 12.80547015, 4, 154);
INSERT INTO public.ecdc_data VALUES (27800, 1322, 45403, 244.15739133, 66, 154);
INSERT INTO public.ecdc_data VALUES (27801, 0, 0, 0, 67, 154);
INSERT INTO public.ecdc_data VALUES (27802, 0, 0, 0, 109, 154);
INSERT INTO public.ecdc_data VALUES (27803, 4, 267, 40.41406055, 155, 154);
INSERT INTO public.ecdc_data VALUES (27804, 0, 0, 0.28541365, 5, 154);
INSERT INTO public.ecdc_data VALUES (27805, 0, 34, 1.15345485, 6, 154);
INSERT INTO public.ecdc_data VALUES (27806, 0, 5, 0.1819666, 110, 154);
INSERT INTO public.ecdc_data VALUES (27807, 14, 984, 13.77703928, 7, 154);
INSERT INTO public.ecdc_data VALUES (27808, 17, 437, 12.00982448, 68, 154);
INSERT INTO public.ecdc_data VALUES (27809, 0, 57, 107.83072939, 8, 154);
INSERT INTO public.ecdc_data VALUES (27810, 0, 0, 3.07938659, 69, 154);
INSERT INTO public.ecdc_data VALUES (27811, 0, 11, 11.59071133, 9, 154);
INSERT INTO public.ecdc_data VALUES (27812, 0, 1, 0.11287473, 10, 154);
INSERT INTO public.ecdc_data VALUES (27813, 104, 2493, 206.61105786, 70, 154);
INSERT INTO public.ecdc_data VALUES (27814, 0, 77, 0.03438455, 111, 154);
INSERT INTO public.ecdc_data VALUES (27815, 215, 8037, 133.28713232, 71, 154);
INSERT INTO public.ecdc_data VALUES (27816, 0, 7, 2.93809665, 11, 154);
INSERT INTO public.ecdc_data VALUES (27817, 0, 0, 18.13956462, 12, 154);
INSERT INTO public.ecdc_data VALUES (27818, 2, 560, 109.41918285, 72, 154);
INSERT INTO public.ecdc_data VALUES (27819, 0, 151, 13.85100041, 13, 154);
INSERT INTO public.ecdc_data VALUES (27820, 0, 86, 27.64798788, 156, 154);
INSERT INTO public.ecdc_data VALUES (27821, 0, 2, 0.76763685, 73, 154);
INSERT INTO public.ecdc_data VALUES (27822, 0, 0, 0.61190897, 74, 154);
INSERT INTO public.ecdc_data VALUES (27823, 0, 8, 3.65338926, 157, 154);
INSERT INTO public.ecdc_data VALUES (27824, 0, 137, 13.4650416, 158, 154);
INSERT INTO public.ecdc_data VALUES (27825, 1, 36, 1.16372092, 14, 154);
INSERT INTO public.ecdc_data VALUES (27826, 0, 32, 5.32200636, 159, 154);
INSERT INTO public.ecdc_data VALUES (27827, 0, 8, 28.55508203, 15, 154);
INSERT INTO public.ecdc_data VALUES (27828, 0, 0, 0, 75, 154);
INSERT INTO public.ecdc_data VALUES (27829, 12, 1072, 135.4507705, 76, 154);
INSERT INTO public.ecdc_data VALUES (27830, 49, 1036, 68.47723539, 77, 154);
INSERT INTO public.ecdc_data VALUES (27831, 53, 928, 14.41605475, 16, 154);
INSERT INTO public.ecdc_data VALUES (27832, 11, 312, 61.31509014, 78, 154);
INSERT INTO public.ecdc_data VALUES (27833, 0, 0, 0, 17, 154);
INSERT INTO public.ecdc_data VALUES (27834, 0, 19, 1.02941938, 18, 154);
INSERT INTO public.ecdc_data VALUES (27835, 0, 0, 1.96253076, 160, 154);
INSERT INTO public.ecdc_data VALUES (27836, 1, 63, 59.13948994, 19, 154);
INSERT INTO public.ecdc_data VALUES (27837, 2, 294, 2.34567261, 20, 154);
INSERT INTO public.ecdc_data VALUES (27838, 0, 0, 0, 79, 154);
INSERT INTO public.ecdc_data VALUES (27839, 0, 0, 2.05435832, 161, 154);
INSERT INTO public.ecdc_data VALUES (27840, 0, 0, 0.89892186, 203, 154);
INSERT INTO public.ecdc_data VALUES (27841, 0, 0, 0.94238426, 162, 154);
INSERT INTO public.ecdc_data VALUES (27842, 18, 534, 11.13218782, 163, 154);
INSERT INTO public.ecdc_data VALUES (27843, 0, 0, 0, 204, 154);
INSERT INTO public.ecdc_data VALUES (27844, 0, 0, 27.98518626, 21, 154);
INSERT INTO public.ecdc_data VALUES (27845, 0, 14, 0.97968391, 22, 154);
INSERT INTO public.ecdc_data VALUES (27846, 0, 0, 1.67635701, 164, 154);
INSERT INTO public.ecdc_data VALUES (27847, 4, 583, 6.22626957, 165, 154);
INSERT INTO public.ecdc_data VALUES (27848, 0, 695, 26.27075187, 23, 154);
INSERT INTO public.ecdc_data VALUES (27849, 0, 0, 5.93366166, 166, 154);
INSERT INTO public.ecdc_data VALUES (27850, 0, 29, 4.48501618, 167, 154);
INSERT INTO public.ecdc_data VALUES (27851, 0, 0, 0, 80, 154);
INSERT INTO public.ecdc_data VALUES (27852, 0, 0, 0, 81, 154);
INSERT INTO public.ecdc_data VALUES (27853, 0, 0, 16.73690188, 205, 154);
INSERT INTO public.ecdc_data VALUES (27854, 54, 865, 73.18498174, 82, 154);
INSERT INTO public.ecdc_data VALUES (27855, 0, 0, 0, 168, 154);
INSERT INTO public.ecdc_data VALUES (27856, 0, 0, 6.46765398, 24, 154);
INSERT INTO public.ecdc_data VALUES (27857, 0, 25, 14.21196231, 25, 154);
INSERT INTO public.ecdc_data VALUES (27858, 1, 1, 8.17604037, 83, 154);
INSERT INTO public.ecdc_data VALUES (27859, 0, 46, 7.52014613, 84, 154);
INSERT INTO public.ecdc_data VALUES (27860, 0, 0, 0, 169, 154);
INSERT INTO public.ecdc_data VALUES (27861, 10, 831, 100.00908054, 85, 154);
INSERT INTO public.ecdc_data VALUES (27862, 0, 16, 1.15627567, 170, 154);
INSERT INTO public.ecdc_data VALUES (27863, 0, 1, 1.68071464, 171, 154);
INSERT INTO public.ecdc_data VALUES (27864, 687, 34956, 27.68465196, 112, 154);
INSERT INTO public.ecdc_data VALUES (27865, 76, 1574, 8.23056012, 113, 154);
INSERT INTO public.ecdc_data VALUES (27866, 198, 2500, 41.2451988, 114, 154);
INSERT INTO public.ecdc_data VALUES (27867, 90, 2281, 82.52397386, 115, 154);
INSERT INTO public.ecdc_data VALUES (27868, 1, 15, 4.26161852, 172, 154);
INSERT INTO public.ecdc_data VALUES (27869, 0, 0, 0, 173, 154);
INSERT INTO public.ecdc_data VALUES (27870, 4, 1345, 217.351676, 116, 154);
INSERT INTO public.ecdc_data VALUES (27871, 20, 230, 4.59745009, 174, 154);
INSERT INTO public.ecdc_data VALUES (27872, 0, 2, 1.69590578, 86, 154);
INSERT INTO public.ecdc_data VALUES (27873, 0, 583, 3.47232352, 117, 154);
INSERT INTO public.ecdc_data VALUES (27874, 0, 2, 10.20446028, 175, 154);
INSERT INTO public.ecdc_data VALUES (27875, 0, 5, 0.69295288, 118, 154);
INSERT INTO public.ecdc_data VALUES (27876, 0, 1707, 123.00939852, 119, 154);
INSERT INTO public.ecdc_data VALUES (27877, 4, 421, 9.00065236, 26, 154);
INSERT INTO public.ecdc_data VALUES (27878, 0, 0, 120.8225049, 176, 154);
INSERT INTO public.ecdc_data VALUES (27879, 3, 791, 233.15475329, 120, 154);
INSERT INTO public.ecdc_data VALUES (27880, 5, 603, 98.72423783, 121, 154);
INSERT INTO public.ecdc_data VALUES (27881, 0, 0, 0, 122, 154);
INSERT INTO public.ecdc_data VALUES (27882, 0, 1, 2.96879948, 177, 154);
INSERT INTO public.ecdc_data VALUES (27883, 2, 57, 11.71286588, 123, 154);
INSERT INTO public.ecdc_data VALUES (27884, 0, 0, 10.39869343, 27, 154);
INSERT INTO public.ecdc_data VALUES (27885, 2, 14, 5.08367403, 28, 154);
INSERT INTO public.ecdc_data VALUES (27886, 3, 63, 11.2284069, 29, 154);
INSERT INTO public.ecdc_data VALUES (27887, 0, 0, 5.21131898, 178, 154);
INSERT INTO public.ecdc_data VALUES (27888, 0, 20, 2.75572403, 179, 154);
INSERT INTO public.ecdc_data VALUES (27889, 0, 66, 118.42435339, 180, 154);
INSERT INTO public.ecdc_data VALUES (27890, 10, 484, 13.66738914, 30, 154);
INSERT INTO public.ecdc_data VALUES (27891, 8, 98, 7.03214156, 31, 154);
INSERT INTO public.ecdc_data VALUES (27892, 0, 3, 0.29421165, 124, 154);
INSERT INTO public.ecdc_data VALUES (27893, 1, 68, 93.98124519, 125, 154);
INSERT INTO public.ecdc_data VALUES (27894, 0, 7, 0.91565668, 32, 154);
INSERT INTO public.ecdc_data VALUES (27895, 0, 0, 0.40522004, 181, 154);
INSERT INTO public.ecdc_data VALUES (27896, 0, 0, 21.52154209, 33, 154);
INSERT INTO public.ecdc_data VALUES (27897, 0, 0, 0.15752125, 34, 154);
INSERT INTO public.ecdc_data VALUES (27898, 668, 8179, 72.08749258, 87, 154);
INSERT INTO public.ecdc_data VALUES (27899, 7, 224, 77.01709859, 182, 154);
INSERT INTO public.ecdc_data VALUES (27900, 0, 0, 9.06755327, 183, 154);
INSERT INTO public.ecdc_data VALUES (27901, 0, 1, 1.30225855, 126, 154);
INSERT INTO public.ecdc_data VALUES (27902, 1, 36, 161.04612477, 184, 154);
INSERT INTO public.ecdc_data VALUES (27903, 0, 0, 20.03606492, 88, 154);
INSERT INTO public.ecdc_data VALUES (27904, 1, 162, 9.47308118, 35, 154);
INSERT INTO public.ecdc_data VALUES (27905, 0, 53, 1.53131575, 36, 154);
INSERT INTO public.ecdc_data VALUES (27906, 0, 2, 0.06476034, 127, 154);
INSERT INTO public.ecdc_data VALUES (27907, 0, 72, 29.62489036, 37, 154);
INSERT INTO public.ecdc_data VALUES (27908, 0, 167, 9.87461338, 128, 154);
INSERT INTO public.ecdc_data VALUES (27909, 0, 99, 5.43334767, 185, 154);
INSERT INTO public.ecdc_data VALUES (27910, 0, 0, 0.35366056, 207, 154);
INSERT INTO public.ecdc_data VALUES (27911, 0, 1, 0.39723508, 208, 154);
INSERT INTO public.ecdc_data VALUES (27912, 0, 0, 9.59437342, 89, 154);
INSERT INTO public.ecdc_data VALUES (27913, 0, 2, 0.09008731, 38, 154);
INSERT INTO public.ecdc_data VALUES (27914, 9, 595, 3.8534341, 39, 154);
INSERT INTO public.ecdc_data VALUES (27915, 8, 90, 94.79416811, 186, 154);
INSERT INTO public.ecdc_data VALUES (27916, 0, 1, 10.48712705, 209, 154);
INSERT INTO public.ecdc_data VALUES (27917, 1, 10, 2.17709055, 187, 154);
INSERT INTO public.ecdc_data VALUES (27918, 9, 1327, 402.39260686, 129, 154);
INSERT INTO public.ecdc_data VALUES (27919, 49, 2085, 17.59423001, 130, 154);
INSERT INTO public.ecdc_data VALUES (27920, 2, 463, 104.38786355, 131, 154);
INSERT INTO public.ecdc_data VALUES (27921, 18, 1130, 356.43974718, 90, 154);
INSERT INTO public.ecdc_data VALUES (27922, 0, 0, 0, 210, 154);
INSERT INTO public.ecdc_data VALUES (27923, 2, 144, 14.74880402, 91, 154);
INSERT INTO public.ecdc_data VALUES (27924, 198, 3862, 152.51090557, 92, 154);
INSERT INTO public.ecdc_data VALUES (27925, 29, 2416, 20.77478891, 132, 154);
INSERT INTO public.ecdc_data VALUES (27926, 11, 274, 10.29157388, 188, 154);
INSERT INTO public.ecdc_data VALUES (27927, 3, 339, 48.48871959, 189, 154);
INSERT INTO public.ecdc_data VALUES (27928, 1, 195, 101.1112005, 93, 154);
INSERT INTO public.ecdc_data VALUES (27929, 1, 464, 266.58936164, 133, 154);
INSERT INTO public.ecdc_data VALUES (27930, 19, 777, 37.37935924, 190, 154);
INSERT INTO public.ecdc_data VALUES (27931, 167, 6428, 62.81660406, 191, 154);
INSERT INTO public.ecdc_data VALUES (27932, 0, 38, 3.24702632, 40, 154);
INSERT INTO public.ecdc_data VALUES (27933, 0, 0, 3.78544119, 94, 154);
INSERT INTO public.ecdc_data VALUES (27934, 0, 1, 0.54706092, 95, 154);
INSERT INTO public.ecdc_data VALUES (27935, 0, 0, 5.42529817, 96, 154);
INSERT INTO public.ecdc_data VALUES (27936, 0, 0, 2.90250486, 192, 154);
INSERT INTO public.ecdc_data VALUES (27937, 0, 3, 10.69528663, 41, 154);
INSERT INTO public.ecdc_data VALUES (27938, 45, 2764, 133.1542419, 134, 154);
INSERT INTO public.ecdc_data VALUES (27939, 3, 112, 8.7565556, 42, 154);
INSERT INTO public.ecdc_data VALUES (27940, 13, 383, 64.9361466, 193, 154);
INSERT INTO public.ecdc_data VALUES (27941, 0, 0, 91.05697711, 43, 154);
INSERT INTO public.ecdc_data VALUES (27942, 0, 10, 2.04781468, 44, 154);
INSERT INTO public.ecdc_data VALUES (27943, 0, 248, 48.51539614, 135, 154);
INSERT INTO public.ecdc_data VALUES (27944, 0, 1, 4.71820519, 97, 154);
INSERT INTO public.ecdc_data VALUES (27945, 0, 24, 4.60514885, 194, 154);
INSERT INTO public.ecdc_data VALUES (27946, 0, 19, 12.68676943, 195, 154);
INSERT INTO public.ecdc_data VALUES (27947, 0, 0, 0.90008966, 45, 154);
INSERT INTO public.ecdc_data VALUES (27948, 216, 13172, 266.67455852, 46, 154);
INSERT INTO public.ecdc_data VALUES (27949, 2, 60, 1.37627249, 136, 154);
INSERT INTO public.ecdc_data VALUES (27950, 0, 18, 1.22038157, 47, 154);
INSERT INTO public.ecdc_data VALUES (27951, 4, 1400, 20.68727781, 196, 154);
INSERT INTO public.ecdc_data VALUES (27952, 0, 13, 2.91224792, 137, 154);
INSERT INTO public.ecdc_data VALUES (27953, 0, 0, 2.22828281, 48, 154);
INSERT INTO public.ecdc_data VALUES (27954, 0, 69, 63.8155507, 98, 154);
INSERT INTO public.ecdc_data VALUES (27955, 6, 268, 48.95317142, 197, 154);
INSERT INTO public.ecdc_data VALUES (27956, 0, 142, 15.46018873, 198, 154);
INSERT INTO public.ecdc_data VALUES (27957, 0, 19, 0.96660061, 138, 154);
INSERT INTO public.ecdc_data VALUES (27958, 0, 2, 0.02103148, 139, 154);
INSERT INTO public.ecdc_data VALUES (27959, 0, 46, 7.32752188, 140, 154);
INSERT INTO public.ecdc_data VALUES (27960, 0, 3, 0.08473897, 141, 154);
INSERT INTO public.ecdc_data VALUES (27961, 0, 0, 0, 142, 154);
INSERT INTO public.ecdc_data VALUES (27962, 0, 9, 1.01455528, 49, 154);
INSERT INTO public.ecdc_data VALUES (27963, 0, 0, 0.21505854, 99, 154);
INSERT INTO public.ecdc_data VALUES (27964, 0, 8, 1.27407913, 50, 154);
INSERT INTO public.ecdc_data VALUES (27965, 21, 933, 17.79062118, 199, 154);
INSERT INTO public.ecdc_data VALUES (27966, 0, 0, 73.30994397, 100, 154);
INSERT INTO public.ecdc_data VALUES (27967, 0, 8, 0.33657418, 51, 154);
INSERT INTO public.ecdc_data VALUES (27968, 18, 848, 24.0216524, 200, 154);
INSERT INTO public.ecdc_data VALUES (27969, 0, 281, 68.16419096, 143, 154);
INSERT INTO public.ecdc_data VALUES (27970, 24, 772, 12.5991956, 201, 154);
INSERT INTO public.ecdc_data VALUES (27971, 0, 0, 0, 52, 154);
INSERT INTO public.ecdc_data VALUES (27972, 939, 76930, 254.15714553, 101, 154);
INSERT INTO public.ecdc_data VALUES (27973, 0, 14, 157.77546161, 102, 154);
INSERT INTO public.ecdc_data VALUES (27974, 0, 0, 1.79101149, 103, 154);
INSERT INTO public.ecdc_data VALUES (27975, 4, 562, 18.6466956, 144, 154);
INSERT INTO public.ecdc_data VALUES (27976, 4, 426, 16.06476179, 104, 154);
INSERT INTO public.ecdc_data VALUES (27977, 0, 0, 0.01866018, 145, 154);
INSERT INTO public.ecdc_data VALUES (27978, 0, 0, 52.36429064, 53, 154);
INSERT INTO public.ecdc_data VALUES (27979, 5, 26, 1.13504178, 146, 154);
INSERT INTO public.ecdc_data VALUES (27980, 0, 0, 3.64480578, 54, 154);
INSERT INTO public.ecdc_data VALUES (27981, 3, 273, 5.08689614, 55, 154);
INSERT INTO public.ecdc_data VALUES (27982, 13, 783, 25.76379424, 105, 155);
INSERT INTO public.ecdc_data VALUES (27983, 1, 82, 17.74717748, 147, 155);
INSERT INTO public.ecdc_data VALUES (27984, 11, 116, 3.53285042, 1, 155);
INSERT INTO public.ecdc_data VALUES (27985, 1, 1, 13.1273219, 148, 155);
INSERT INTO public.ecdc_data VALUES (27986, 0, 0, 0.17596064, 2, 155);
INSERT INTO public.ecdc_data VALUES (27987, 0, 0, 0, 56, 155);
INSERT INTO public.ecdc_data VALUES (27988, 0, 0, 1.02970705, 57, 155);
INSERT INTO public.ecdc_data VALUES (27989, 24, 1374, 35.37240115, 58, 155);
INSERT INTO public.ecdc_data VALUES (27990, 9, 544, 253.87730041, 149, 155);
INSERT INTO public.ecdc_data VALUES (27991, 0, 0, 0, 59, 155);
INSERT INTO public.ecdc_data VALUES (27992, 0, 12, 0.49993652, 202, 155);
INSERT INTO public.ecdc_data VALUES (27993, 3, 33, 4.7862148, 150, 155);
INSERT INTO public.ecdc_data VALUES (27994, 4, 338, 47.04550356, 151, 155);
INSERT INTO public.ecdc_data VALUES (27995, 0, 0, 0.51349728, 60, 155);
INSERT INTO public.ecdc_data VALUES (27996, 1, 540, 441.27217024, 106, 155);
INSERT INTO public.ecdc_data VALUES (27997, 53, 3862, 25.78165389, 107, 155);
INSERT INTO public.ecdc_data VALUES (27998, 0, 0, 1.74203281, 61, 155);
INSERT INTO public.ecdc_data VALUES (27999, 6, 689, 117.57849242, 152, 155);
INSERT INTO public.ecdc_data VALUES (28000, 7, 99, 14.04563163, 153, 155);
INSERT INTO public.ecdc_data VALUES (28001, 0, 0, 0.76853908, 62, 155);
INSERT INTO public.ecdc_data VALUES (28002, 0, 49, 2.44043992, 3, 155);
INSERT INTO public.ecdc_data VALUES (28003, 0, 0, 4.79938568, 63, 155);
INSERT INTO public.ecdc_data VALUES (28004, 0, 0, 2.62090909, 108, 155);
INSERT INTO public.ecdc_data VALUES (28005, 27, 810, 77.23374639, 64, 155);
INSERT INTO public.ecdc_data VALUES (28006, 0, 0, 0, 65, 155);
INSERT INTO public.ecdc_data VALUES (28007, 3, 45, 16.66162779, 154, 155);
INSERT INTO public.ecdc_data VALUES (28008, 0, 0, 0.95498421, 4, 155);
INSERT INTO public.ecdc_data VALUES (28009, 1282, 34918, 174.27473976, 66, 155);
INSERT INTO public.ecdc_data VALUES (28010, 0, 0, 0, 67, 155);
INSERT INTO public.ecdc_data VALUES (28011, 1, 0, 0, 109, 155);
INSERT INTO public.ecdc_data VALUES (28012, 5, 112, 13.07135575, 155, 155);
INSERT INTO public.ecdc_data VALUES (28013, 0, 1, 0.0590511, 5, 155);
INSERT INTO public.ecdc_data VALUES (28014, 0, 0, 0.35557631, 6, 155);
INSERT INTO public.ecdc_data VALUES (28015, 0, 0, 0.01819666, 110, 155);
INSERT INTO public.ecdc_data VALUES (28016, 0, 0, 12.67178451, 7, 155);
INSERT INTO public.ecdc_data VALUES (28017, 38, 320, 18.86341673, 68, 155);
INSERT INTO public.ecdc_data VALUES (28018, 0, 21, 57.27939251, 8, 155);
INSERT INTO public.ecdc_data VALUES (28019, 0, 6, 64.66711831, 69, 155);
INSERT INTO public.ecdc_data VALUES (28020, 4, 121, 26.06856348, 9, 155);
INSERT INTO public.ecdc_data VALUES (28021, 1, 3, 0.31354092, 10, 155);
INSERT INTO public.ecdc_data VALUES (28022, 21, 5013, 399.76181977, 70, 155);
INSERT INTO public.ecdc_data VALUES (28023, 0, 44, 0.01834307, 111, 155);
INSERT INTO public.ecdc_data VALUES (28024, 75, 1868, 45.88449658, 71, 155);
INSERT INTO public.ecdc_data VALUES (28025, 1, 21, 7.6390513, 11, 155);
INSERT INTO public.ecdc_data VALUES (28026, 0, 0, 5.0552885, 12, 155);
INSERT INTO public.ecdc_data VALUES (28027, 0, 25, 13.15486826, 72, 155);
INSERT INTO public.ecdc_data VALUES (28028, 0, 240, 10.3240893, 13, 155);
INSERT INTO public.ecdc_data VALUES (28029, 0, 1, 0.22079139, 156, 155);
INSERT INTO public.ecdc_data VALUES (28030, 0, 11, 1.59703759, 73, 155);
INSERT INTO public.ecdc_data VALUES (28031, 0, 0, 1.22381794, 74, 155);
INSERT INTO public.ecdc_data VALUES (28032, 0, 0, 3.76755768, 157, 155);
INSERT INTO public.ecdc_data VALUES (28033, 1, 47, 7.01421623, 158, 155);
INSERT INTO public.ecdc_data VALUES (28034, 0, 137, 1.89997604, 14, 155);
INSERT INTO public.ecdc_data VALUES (28035, 0, 33, 8.88723392, 159, 155);
INSERT INTO public.ecdc_data VALUES (28036, 0, 38, 78.06425304, 15, 155);
INSERT INTO public.ecdc_data VALUES (28037, 0, 0, 0, 75, 155);
INSERT INTO public.ecdc_data VALUES (28038, 10, 415, 55.25676283, 76, 155);
INSERT INTO public.ecdc_data VALUES (28039, 41, 621, 43.33572373, 77, 155);
INSERT INTO public.ecdc_data VALUES (28040, 94, 1567, 20.2414478, 16, 155);
INSERT INTO public.ecdc_data VALUES (28041, 2, 115, 19.95800761, 78, 155);
INSERT INTO public.ecdc_data VALUES (28042, 0, 0, 0, 17, 155);
INSERT INTO public.ecdc_data VALUES (28043, 0, 12, 2.34478858, 18, 155);
INSERT INTO public.ecdc_data VALUES (28044, 0, 1, 7.92560499, 160, 155);
INSERT INTO public.ecdc_data VALUES (28045, 0, 14, 19.77122859, 19, 155);
INSERT INTO public.ecdc_data VALUES (28046, 1, 109, 2.03963773, 20, 155);
INSERT INTO public.ecdc_data VALUES (28047, 0, 0, 0, 79, 155);
INSERT INTO public.ecdc_data VALUES (28048, 0, 0, 0, 161, 155);
INSERT INTO public.ecdc_data VALUES (28049, 0, 0, 0, 203, 155);
INSERT INTO public.ecdc_data VALUES (28050, 0, 4, 4.07762419, 162, 155);
INSERT INTO public.ecdc_data VALUES (28051, 111, 344, 9.53697217, 163, 155);
INSERT INTO public.ecdc_data VALUES (28052, 0, 0, 0, 204, 155);
INSERT INTO public.ecdc_data VALUES (28053, 2, 81, 60.34305788, 21, 155);
INSERT INTO public.ecdc_data VALUES (28054, 0, 4, 0.34075962, 22, 155);
INSERT INTO public.ecdc_data VALUES (28055, 0, 9, 2.20178234, 164, 155);
INSERT INTO public.ecdc_data VALUES (28056, 30, 345, 5.79865772, 165, 155);
INSERT INTO public.ecdc_data VALUES (28057, 4, 229, 12.80826546, 23, 155);
INSERT INTO public.ecdc_data VALUES (28058, 0, 0, 11.86732333, 166, 155);
INSERT INTO public.ecdc_data VALUES (28059, 1, 14, 1.96743953, 167, 155);
INSERT INTO public.ecdc_data VALUES (28060, 0, 0, 0, 80, 155);
INSERT INTO public.ecdc_data VALUES (28061, 0, 0, 0, 81, 155);
INSERT INTO public.ecdc_data VALUES (28062, 0, 2, 6.57521145, 205, 155);
INSERT INTO public.ecdc_data VALUES (28063, 19, 434, 29.12155953, 82, 155);
INSERT INTO public.ecdc_data VALUES (28064, 0, 0, 0, 168, 155);
INSERT INTO public.ecdc_data VALUES (28065, 0, 67, 6.2249212, 24, 155);
INSERT INTO public.ecdc_data VALUES (28066, 0, 32, 7.96494591, 25, 155);
INSERT INTO public.ecdc_data VALUES (28067, 0, 12, 2.29951135, 83, 155);
INSERT INTO public.ecdc_data VALUES (28068, 4, 106, 18.1122764, 84, 155);
INSERT INTO public.ecdc_data VALUES (28069, 0, 0, 0, 169, 155);
INSERT INTO public.ecdc_data VALUES (28070, 8, 478, 42.36559901, 85, 155);
INSERT INTO public.ecdc_data VALUES (28071, 2, 1, 1.50418162, 170, 155);
INSERT INTO public.ecdc_data VALUES (28072, 0, 1, 1.68071464, 171, 155);
INSERT INTO public.ecdc_data VALUES (28073, 2003, 10974, 10.71780569, 112, 155);
INSERT INTO public.ecdc_data VALUES (28074, 33, 1106, 4.74862746, 113, 155);
INSERT INTO public.ecdc_data VALUES (28075, 115, 2563, 42.06412067, 114, 155);
INSERT INTO public.ecdc_data VALUES (28076, 60, 1385, 38.95467361, 115, 155);
INSERT INTO public.ecdc_data VALUES (28077, 3, 13, 5.46465915, 172, 155);
INSERT INTO public.ecdc_data VALUES (28078, 0, 0, 0, 173, 155);
INSERT INTO public.ecdc_data VALUES (28079, 1, 299, 26.93860217, 116, 155);
INSERT INTO public.ecdc_data VALUES (28080, 34, 210, 6.602104, 174, 155);
INSERT INTO public.ecdc_data VALUES (28081, 0, 0, 1.05146158, 86, 155);
INSERT INTO public.ecdc_data VALUES (28082, 4, 41, 0.50606849, 117, 155);
INSERT INTO public.ecdc_data VALUES (28083, 0, 0, 7.42142566, 175, 155);
INSERT INTO public.ecdc_data VALUES (28084, 0, 2, 2.23724786, 118, 155);
INSERT INTO public.ecdc_data VALUES (28085, 7, 350, 20.19251564, 119, 155);
INSERT INTO public.ecdc_data VALUES (28086, 1, 133, 3.36097902, 26, 155);
INSERT INTO public.ecdc_data VALUES (28087, 1, 141, 35.19587925, 176, 155);
INSERT INTO public.ecdc_data VALUES (28088, 5, 527, 197.50054492, 120, 155);
INSERT INTO public.ecdc_data VALUES (28089, 2, 90, 10.77020024, 121, 155);
INSERT INTO public.ecdc_data VALUES (28090, 0, 0, 0, 122, 155);
INSERT INTO public.ecdc_data VALUES (28091, 0, 1, 0.98959983, 177, 155);
INSERT INTO public.ecdc_data VALUES (28092, 0, 9, 3.36945457, 123, 155);
INSERT INTO public.ecdc_data VALUES (28093, 0, 0, 0.09410582, 27, 155);
INSERT INTO public.ecdc_data VALUES (28094, 0, 11, 4.01022892, 28, 155);
INSERT INTO public.ecdc_data VALUES (28095, 0, 0, 4.20511953, 29, 155);
INSERT INTO public.ecdc_data VALUES (28096, 0, 0, 0, 178, 155);
INSERT INTO public.ecdc_data VALUES (28097, 0, 3, 3.36413064, 179, 155);
INSERT INTO public.ecdc_data VALUES (28098, 0, 3, 8.95920143, 180, 155);
INSERT INTO public.ecdc_data VALUES (28099, 2, 27, 1.75013773, 30, 155);
INSERT INTO public.ecdc_data VALUES (28100, 0, 8, 1.10581768, 31, 155);
INSERT INTO public.ecdc_data VALUES (28101, 0, 11, 1.96558419, 124, 155);
INSERT INTO public.ecdc_data VALUES (28102, 0, 29, 47.64980968, 125, 155);
INSERT INTO public.ecdc_data VALUES (28103, 2, 25, 2.71644814, 32, 155);
INSERT INTO public.ecdc_data VALUES (28104, 0, 6, 8.10440089, 181, 155);
INSERT INTO public.ecdc_data VALUES (28105, 2, 170, 30.69139832, 33, 155);
INSERT INTO public.ecdc_data VALUES (28106, 0, 0, 0.15752125, 34, 155);
INSERT INTO public.ecdc_data VALUES (28107, 730, 6374, 52.6127546, 87, 155);
INSERT INTO public.ecdc_data VALUES (28108, 12, 375, 91.65875638, 182, 155);
INSERT INTO public.ecdc_data VALUES (28109, 0, 0, 0, 183, 155);
INSERT INTO public.ecdc_data VALUES (28110, 0, 0, 0.37207387, 126, 155);
INSERT INTO public.ecdc_data VALUES (28111, 0, 0, 0.32144935, 184, 155);
INSERT INTO public.ecdc_data VALUES (28112, 0, 0, 0, 88, 155);
INSERT INTO public.ecdc_data VALUES (28113, 0, 83, 2.89264852, 35, 155);
INSERT INTO public.ecdc_data VALUES (28114, 1, 29, 1.09003336, 36, 155);
INSERT INTO public.ecdc_data VALUES (28115, 0, 0, 0.05365857, 127, 155);
INSERT INTO public.ecdc_data VALUES (28116, 0, 2, 0.36079028, 37, 155);
INSERT INTO public.ecdc_data VALUES (28117, 0, 380, 15.70150914, 128, 155);
INSERT INTO public.ecdc_data VALUES (28118, 5, 139, 14.11860309, 185, 155);
INSERT INTO public.ecdc_data VALUES (28119, 0, 0, 0.35366056, 207, 155);
INSERT INTO public.ecdc_data VALUES (28120, 0, 0, 0.04181422, 208, 155);
INSERT INTO public.ecdc_data VALUES (28121, 9, 168, 10.7707536, 89, 155);
INSERT INTO public.ecdc_data VALUES (28122, 0, 36, 0.24023283, 38, 155);
INSERT INTO public.ecdc_data VALUES (28123, 31, 490, 3.1493265, 39, 155);
INSERT INTO public.ecdc_data VALUES (28124, 8, 132, 91.37599344, 186, 155);
INSERT INTO public.ecdc_data VALUES (28125, 0, 0, 12.23498156, 209, 155);
INSERT INTO public.ecdc_data VALUES (28126, 0, 0, 3.47208407, 187, 155);
INSERT INTO public.ecdc_data VALUES (28127, 6, 745, 250.65366939, 129, 155);
INSERT INTO public.ecdc_data VALUES (28128, 136, 5839, 34.30697077, 130, 155);
INSERT INTO public.ecdc_data VALUES (28129, 0, 4, 1.20447535, 131, 155);
INSERT INTO public.ecdc_data VALUES (28130, 9, 540, 185.26106574, 90, 155);
INSERT INTO public.ecdc_data VALUES (28131, 0, 0, 0, 210, 155);
INSERT INTO public.ecdc_data VALUES (28132, 1, 14, 4.11660555, 91, 155);
INSERT INTO public.ecdc_data VALUES (28133, 196, 4164, 206.44738915, 92, 155);
INSERT INTO public.ecdc_data VALUES (28134, 5, 361, 7.199633, 132, 155);
INSERT INTO public.ecdc_data VALUES (28135, 16, 407, 15.2740861, 188, 155);
INSERT INTO public.ecdc_data VALUES (28136, 2, 300, 43.21461041, 189, 155);
INSERT INTO public.ecdc_data VALUES (28137, 0, 61, 68.72561706, 93, 155);
INSERT INTO public.ecdc_data VALUES (28138, 4, 1201, 770.39029036, 133, 155);
INSERT INTO public.ecdc_data VALUES (28139, 10, 250, 14.92701985, 190, 155);
INSERT INTO public.ecdc_data VALUES (28140, 193, 8248, 83.44081322, 191, 155);
INSERT INTO public.ecdc_data VALUES (28141, 0, 24, 1.99573325, 40, 155);
INSERT INTO public.ecdc_data VALUES (28142, 0, 0, 0, 94, 155);
INSERT INTO public.ecdc_data VALUES (28143, 0, 0, 0.54706092, 95, 155);
INSERT INTO public.ecdc_data VALUES (28144, 0, 2, 2.71264908, 96, 155);
INSERT INTO public.ecdc_data VALUES (28145, 0, 0, 20.31753403, 192, 155);
INSERT INTO public.ecdc_data VALUES (28146, 0, 10, 86.95733046, 41, 155);
INSERT INTO public.ecdc_data VALUES (28147, 41, 4267, 138.03919042, 134, 155);
INSERT INTO public.ecdc_data VALUES (28148, 6, 74, 8.65837418, 42, 155);
INSERT INTO public.ecdc_data VALUES (28149, 1, 59, 13.95796871, 193, 155);
INSERT INTO public.ecdc_data VALUES (28150, 0, 0, 0, 43, 155);
INSERT INTO public.ecdc_data VALUES (28151, 0, 49, 4.21081894, 44, 155);
INSERT INTO public.ecdc_data VALUES (28152, 0, 151, 88.43378139, 135, 155);
INSERT INTO public.ecdc_data VALUES (28153, 0, 0, 0, 97, 155);
INSERT INTO public.ecdc_data VALUES (28154, 0, 0, 0.5504162, 194, 155);
INSERT INTO public.ecdc_data VALUES (28155, 0, 3, 1.15334268, 195, 155);
INSERT INTO public.ecdc_data VALUES (28156, 0, 16, 3.68453968, 45, 155);
INSERT INTO public.ecdc_data VALUES (28157, 57, 2801, 69.19945223, 46, 155);
INSERT INTO public.ecdc_data VALUES (28158, 1, 43, 1.18691301, 136, 155);
INSERT INTO public.ecdc_data VALUES (28159, 0, 21, 7.06917322, 47, 155);
INSERT INTO public.ecdc_data VALUES (28160, 0, 355, 9.28264361, 196, 155);
INSERT INTO public.ecdc_data VALUES (28161, 0, 10, 1.08798956, 137, 155);
INSERT INTO public.ecdc_data VALUES (28162, 18, 520, 5.6758147, 48, 155);
INSERT INTO public.ecdc_data VALUES (28163, 1, 7, 31.30574185, 98, 155);
INSERT INTO public.ecdc_data VALUES (28164, 28, 1209, 128.83442479, 197, 155);
INSERT INTO public.ecdc_data VALUES (28165, 1, 15, 3.18332425, 198, 155);
INSERT INTO public.ecdc_data VALUES (28166, 0, 0, 0.31634202, 138, 155);
INSERT INTO public.ecdc_data VALUES (28167, 0, 0, 0.00841259, 139, 155);
INSERT INTO public.ecdc_data VALUES (28168, 0, 63, 12.30551625, 140, 155);
INSERT INTO public.ecdc_data VALUES (28169, 0, 0, 0.07468519, 141, 155);
INSERT INTO public.ecdc_data VALUES (28170, 0, 0, 0, 142, 155);
INSERT INTO public.ecdc_data VALUES (28171, 0, 5, 1.13828153, 49, 155);
INSERT INTO public.ecdc_data VALUES (28172, 0, 0, 0.43011709, 99, 155);
INSERT INTO public.ecdc_data VALUES (28173, 0, 15, 0.3334838, 50, 155);
INSERT INTO public.ecdc_data VALUES (28174, 17, 1467, 19.19787163, 199, 155);
INSERT INTO public.ecdc_data VALUES (28175, 0, 0, 0, 100, 155);
INSERT INTO public.ecdc_data VALUES (28176, 0, 19, 0.53083847, 51, 155);
INSERT INTO public.ecdc_data VALUES (28177, 11, 666, 18.49358099, 200, 155);
INSERT INTO public.ecdc_data VALUES (28178, 2, 346, 73.62960807, 143, 155);
INSERT INTO public.ecdc_data VALUES (28179, 120, 1043, 22.51410384, 201, 155);
INSERT INTO public.ecdc_data VALUES (28180, 0, 0, 0, 52, 155);
INSERT INTO public.ecdc_data VALUES (28181, 836, 23705, 92.96341974, 101, 155);
INSERT INTO public.ecdc_data VALUES (28182, 0, 0, 2.86864476, 102, 155);
INSERT INTO public.ecdc_data VALUES (28183, 1, 1, 0.66440749, 103, 155);
INSERT INTO public.ecdc_data VALUES (28184, 0, 268, 5.43331358, 144, 155);
INSERT INTO public.ecdc_data VALUES (28185, 1, 88, 4.66758305, 104, 155);
INSERT INTO public.ecdc_data VALUES (28186, 0, 1, 0.00725674, 145, 155);
INSERT INTO public.ecdc_data VALUES (28187, 0, 0, 0, 53, 155);
INSERT INTO public.ecdc_data VALUES (28188, 7, 45, 1.68027334, 146, 155);
INSERT INTO public.ecdc_data VALUES (28189, 0, 23, 1.76921448, 54, 155);
INSERT INTO public.ecdc_data VALUES (28190, 0, 7, 1.28367312, 55, 155);
INSERT INTO public.ecdc_data VALUES (28191, 0, 0, 10.3386392, 105, 156);
INSERT INTO public.ecdc_data VALUES (28192, 0, 17, 5.03069598, 147, 156);
INSERT INTO public.ecdc_data VALUES (28193, 6, 192, 5.8671796, 1, 156);
INSERT INTO public.ecdc_data VALUES (28194, 2, 0, 18.37825065, 148, 156);
INSERT INTO public.ecdc_data VALUES (28195, 0, 0, 0.04084801, 2, 156);
INSERT INTO public.ecdc_data VALUES (28196, 0, 0, 0, 56, 156);
INSERT INTO public.ecdc_data VALUES (28197, 0, 0, 0, 57, 156);
INSERT INTO public.ecdc_data VALUES (28198, 7, 326, 6.97622356, 58, 156);
INSERT INTO public.ecdc_data VALUES (28199, 5, 189, 70.52710729, 149, 156);
INSERT INTO public.ecdc_data VALUES (28200, 0, 0, 0.94064528, 59, 156);
INSERT INTO public.ecdc_data VALUES (28201, 0, 17, 1.00384078, 202, 156);
INSERT INTO public.ecdc_data VALUES (28202, 0, 72, 7.56312244, 150, 156);
INSERT INTO public.ecdc_data VALUES (28203, 0, 158, 12.38091949, 151, 156);
INSERT INTO public.ecdc_data VALUES (28204, 0, 0, 3.33773229, 60, 156);
INSERT INTO public.ecdc_data VALUES (28205, 0, 164, 211.00877182, 106, 156);
INSERT INTO public.ecdc_data VALUES (28206, 16, 930, 7.48560961, 107, 156);
INSERT INTO public.ecdc_data VALUES (28207, 0, 1, 1.74203281, 61, 156);
INSERT INTO public.ecdc_data VALUES (28208, 4, 951, 135.97591894, 152, 156);
INSERT INTO public.ecdc_data VALUES (28209, 30, 147, 46.4579562, 153, 156);
INSERT INTO public.ecdc_data VALUES (28210, 0, 0, 0, 62, 156);
INSERT INTO public.ecdc_data VALUES (28211, 0, 0, 2.10996368, 3, 156);
INSERT INTO public.ecdc_data VALUES (28212, 0, 0, 14.39815704, 63, 156);
INSERT INTO public.ecdc_data VALUES (28213, 0, 0, 1.83463636, 108, 156);
INSERT INTO public.ecdc_data VALUES (28214, 1, 249, 20.46364221, 64, 156);
INSERT INTO public.ecdc_data VALUES (28215, 0, 0, 0, 65, 156);
INSERT INTO public.ecdc_data VALUES (28216, 2, 30, 12.93548194, 154, 156);
INSERT INTO public.ecdc_data VALUES (28217, 0, 0, 0.04340837, 4, 156);
INSERT INTO public.ecdc_data VALUES (28218, 816, 14919, 64.71609158, 66, 156);
INSERT INTO public.ecdc_data VALUES (28219, 0, 0, 6.65934139, 67, 156);
INSERT INTO public.ecdc_data VALUES (28220, 0, 0, 0.69236734, 109, 156);
INSERT INTO public.ecdc_data VALUES (28221, 6, 73, 8.81423661, 155, 156);
INSERT INTO public.ecdc_data VALUES (28222, 0, 0, 0.63972024, 5, 156);
INSERT INTO public.ecdc_data VALUES (28223, 0, 0, 0.06938074, 6, 156);
INSERT INTO public.ecdc_data VALUES (28224, 0, 0, 0, 110, 156);
INSERT INTO public.ecdc_data VALUES (28225, 0, 187, 4.69540048, 7, 156);
INSERT INTO public.ecdc_data VALUES (28226, 117, 1251, 51.15869814, 68, 156);
INSERT INTO public.ecdc_data VALUES (28227, 1, 2, 32.00372407, 8, 156);
INSERT INTO public.ecdc_data VALUES (28228, 0, 1, 30.79386586, 69, 156);
INSERT INTO public.ecdc_data VALUES (28229, 0, 26, 5.37387525, 9, 156);
INSERT INTO public.ecdc_data VALUES (28230, 2, 46, 2.23868214, 10, 156);
INSERT INTO public.ecdc_data VALUES (28231, 27, 1886, 121.32206383, 70, 156);
INSERT INTO public.ecdc_data VALUES (28232, 1, 6, 0.00578888, 111, 156);
INSERT INTO public.ecdc_data VALUES (28233, 16, 723, 15.2047769, 71, 156);
INSERT INTO public.ecdc_data VALUES (28234, 0, 0, 1.17523866, 11, 156);
INSERT INTO public.ecdc_data VALUES (28235, 0, 21, 3.40116837, 12, 156);
INSERT INTO public.ecdc_data VALUES (28236, 2, 10, 2.37738583, 72, 156);
INSERT INTO public.ecdc_data VALUES (28237, 1, 44, 2.71809357, 13, 156);
INSERT INTO public.ecdc_data VALUES (28238, 0, 2, 3.33640315, 156, 156);
INSERT INTO public.ecdc_data VALUES (28239, 0, 22, 2.21467644, 73, 156);
INSERT INTO public.ecdc_data VALUES (28240, 0, 0, 0, 74, 156);
INSERT INTO public.ecdc_data VALUES (28241, 0, 4, 5.70842072, 157, 156);
INSERT INTO public.ecdc_data VALUES (28242, 1, 49, 6.57289339, 158, 156);
INSERT INTO public.ecdc_data VALUES (28243, 0, 85, 0.89871517, 14, 156);
INSERT INTO public.ecdc_data VALUES (28244, 5, 67, 24.99103957, 159, 156);
INSERT INTO public.ecdc_data VALUES (28245, 0, 22, 22.49483081, 15, 156);
INSERT INTO public.ecdc_data VALUES (28246, 0, 0, 0, 75, 156);
INSERT INTO public.ecdc_data VALUES (28247, 0, 154, 40.18081086, 76, 156);
INSERT INTO public.ecdc_data VALUES (28248, 94, 1296, 30.50019924, 77, 156);
INSERT INTO public.ecdc_data VALUES (28249, 20, 491, 5.50463782, 16, 156);
INSERT INTO public.ecdc_data VALUES (28250, 1, 0, 12.69068962, 78, 156);
INSERT INTO public.ecdc_data VALUES (28251, 0, 0, 20.57549436, 17, 156);
INSERT INTO public.ecdc_data VALUES (28252, 0, 0, 0, 18, 156);
INSERT INTO public.ecdc_data VALUES (28253, 0, 4, 5.35921861, 160, 156);
INSERT INTO public.ecdc_data VALUES (28254, 0, 12, 8.18720479, 19, 156);
INSERT INTO public.ecdc_data VALUES (28255, 0, 19, 0.15435579, 20, 156);
INSERT INTO public.ecdc_data VALUES (28256, 0, 0, 0, 79, 156);
INSERT INTO public.ecdc_data VALUES (28257, 0, 0, 0, 161, 156);
INSERT INTO public.ecdc_data VALUES (28258, 0, 0, 0, 203, 156);
INSERT INTO public.ecdc_data VALUES (28259, 4, 58, 20.06191102, 162, 156);
INSERT INTO public.ecdc_data VALUES (28260, 88, 372, 16.88033628, 163, 156);
INSERT INTO public.ecdc_data VALUES (28261, 0, 0, 0.71611436, 204, 156);
INSERT INTO public.ecdc_data VALUES (28262, 1, 111, 45.33784288, 21, 156);
INSERT INTO public.ecdc_data VALUES (28263, 0, 0, 0.25556972, 22, 156);
INSERT INTO public.ecdc_data VALUES (28264, 0, 24, 2.82728869, 164, 156);
INSERT INTO public.ecdc_data VALUES (28265, 33, 583, 14.28464517, 165, 156);
INSERT INTO public.ecdc_data VALUES (28266, 1, 97, 11.72337645, 23, 156);
INSERT INTO public.ecdc_data VALUES (28267, 0, 0, 8.90049249, 166, 156);
INSERT INTO public.ecdc_data VALUES (28268, 2, 9, 1.85554723, 167, 156);
INSERT INTO public.ecdc_data VALUES (28269, 0, 0, 0, 80, 156);
INSERT INTO public.ecdc_data VALUES (28270, 0, 0, 0.8928412, 81, 156);
INSERT INTO public.ecdc_data VALUES (28271, 0, 0, 3.58647897, 205, 156);
INSERT INTO public.ecdc_data VALUES (28272, 3, 120, 6.11438994, 82, 156);
INSERT INTO public.ecdc_data VALUES (28273, 0, 0, 0, 168, 156);
INSERT INTO public.ecdc_data VALUES (28274, 1, 127, 8.39385601, 24, 156);
INSERT INTO public.ecdc_data VALUES (28275, 0, 0, 34.15035631, 25, 156);
INSERT INTO public.ecdc_data VALUES (28276, 0, 1, 4.47127208, 83, 156);
INSERT INTO public.ecdc_data VALUES (28277, 0, 48, 2.42384875, 84, 156);
INSERT INTO public.ecdc_data VALUES (28278, 0, 0, 122.6993865, 169, 156);
INSERT INTO public.ecdc_data VALUES (28279, 4, 105, 15.95507543, 85, 156);
INSERT INTO public.ecdc_data VALUES (28280, 3, 36, 5.22882184, 170, 156);
INSERT INTO public.ecdc_data VALUES (28281, 0, 0, 1.12047643, 171, 156);
INSERT INTO public.ecdc_data VALUES (28282, 120, 4987, 3.72850834, 112, 156);
INSERT INTO public.ecdc_data VALUES (28283, 13, 529, 2.28433702, 113, 156);
INSERT INTO public.ecdc_data VALUES (28284, 35, 1757, 26.46601095, 114, 156);
INSERT INTO public.ecdc_data VALUES (28285, 4, 67, 2.64819534, 115, 156);
INSERT INTO public.ecdc_data VALUES (28286, 15, 92, 58.56157121, 172, 156);
INSERT INTO public.ecdc_data VALUES (28287, 0, 1, 17.73280214, 173, 156);
INSERT INTO public.ecdc_data VALUES (28288, 2, 19, 4.96515413, 116, 156);
INSERT INTO public.ecdc_data VALUES (28289, 153, 875, 25.5667927, 174, 156);
INSERT INTO public.ecdc_data VALUES (28290, 0, 6, 1.83157824, 86, 156);
INSERT INTO public.ecdc_data VALUES (28291, 19, 48, 1.13983651, 117, 156);
INSERT INTO public.ecdc_data VALUES (28292, 0, 5, 10.20446028, 175, 156);
INSERT INTO public.ecdc_data VALUES (28293, 0, 11, 1.45520104, 118, 156);
INSERT INTO public.ecdc_data VALUES (28294, 0, 307, 12.29015901, 119, 156);
INSERT INTO public.ecdc_data VALUES (28295, 5, 49, 0.75132242, 26, 156);
INSERT INTO public.ecdc_data VALUES (28296, 0, 23, 7.67303529, 176, 156);
INSERT INTO public.ecdc_data VALUES (28297, 11, 942, 218.27506366, 120, 156);
INSERT INTO public.ecdc_data VALUES (28298, 0, 21, 5.34613413, 121, 156);
INSERT INTO public.ecdc_data VALUES (28299, 0, 0, 0, 122, 156);
INSERT INTO public.ecdc_data VALUES (28300, 0, 27, 6.56260938, 177, 156);
INSERT INTO public.ecdc_data VALUES (28301, 0, 11, 2.4650988, 123, 156);
INSERT INTO public.ecdc_data VALUES (28302, 0, 0, 0, 27, 156);
INSERT INTO public.ecdc_data VALUES (28303, 0, 4, 1.39750402, 28, 156);
INSERT INTO public.ecdc_data VALUES (28304, 0, 1, 0.02950961, 29, 156);
INSERT INTO public.ecdc_data VALUES (28305, 0, 0, 0, 178, 156);
INSERT INTO public.ecdc_data VALUES (28306, 1, 11, 4.58094385, 179, 156);
INSERT INTO public.ecdc_data VALUES (28307, 0, 7, 19.22155942, 180, 156);
INSERT INTO public.ecdc_data VALUES (28308, 0, 45, 0.548772, 30, 156);
INSERT INTO public.ecdc_data VALUES (28309, 0, 2, 0.14493727, 31, 156);
INSERT INTO public.ecdc_data VALUES (28310, 1, 17, 2.17841814, 124, 156);
INSERT INTO public.ecdc_data VALUES (28311, 0, 47, 105.28159531, 125, 156);
INSERT INTO public.ecdc_data VALUES (28312, 2, 29, 1.48031163, 32, 156);
INSERT INTO public.ecdc_data VALUES (28313, 0, 7, 15.3983617, 181, 156);
INSERT INTO public.ecdc_data VALUES (28314, 0, 0, 0.46401682, 33, 156);
INSERT INTO public.ecdc_data VALUES (28315, 0, 0, 0, 34, 156);
INSERT INTO public.ecdc_data VALUES (28316, 278, 2151, 26.15470244, 87, 156);
INSERT INTO public.ecdc_data VALUES (28317, 10, 189, 46.54662156, 182, 156);
INSERT INTO public.ecdc_data VALUES (28318, 0, 0, 0, 183, 156);
INSERT INTO public.ecdc_data VALUES (28319, 0, 1, 3.00759713, 126, 156);
INSERT INTO public.ecdc_data VALUES (28320, 0, 0, 0.32144935, 184, 156);
INSERT INTO public.ecdc_data VALUES (28321, 0, 0, 0, 88, 156);
INSERT INTO public.ecdc_data VALUES (28322, 2, 89, 5.51659604, 35, 156);
INSERT INTO public.ecdc_data VALUES (28323, 0, 10, 0.16465761, 36, 156);
INSERT INTO public.ecdc_data VALUES (28324, 0, 0, 0.05735916, 127, 156);
INSERT INTO public.ecdc_data VALUES (28325, 0, 0, 0, 37, 156);
INSERT INTO public.ecdc_data VALUES (28326, 1, 15, 0.8109417, 128, 156);
INSERT INTO public.ecdc_data VALUES (28327, 27, 189, 21.02746051, 185, 156);
INSERT INTO public.ecdc_data VALUES (28328, 0, 0, 0, 207, 156);
INSERT INTO public.ecdc_data VALUES (28329, 0, 1, 0.27179242, 208, 156);
INSERT INTO public.ecdc_data VALUES (28330, 0, 0, 0.16805431, 89, 156);
INSERT INTO public.ecdc_data VALUES (28331, 0, 4, 0.65635041, 38, 156);
INSERT INTO public.ecdc_data VALUES (28332, 5, 176, 1.60874902, 39, 156);
INSERT INTO public.ecdc_data VALUES (28333, 1, 22, 12.32468615, 186, 156);
INSERT INTO public.ecdc_data VALUES (28334, 0, 2, 12.23498156, 209, 156);
INSERT INTO public.ecdc_data VALUES (28335, 0, 0, 8.22039363, 187, 156);
INSERT INTO public.ecdc_data VALUES (28336, 2, 404, 51.17596169, 129, 156);
INSERT INTO public.ecdc_data VALUES (28337, 39, 1352, 9.71900778, 130, 156);
INSERT INTO public.ecdc_data VALUES (28338, 0, 0, 0.7427598, 131, 156);
INSERT INTO public.ecdc_data VALUES (28339, 3, 181, 55.55241567, 90, 156);
INSERT INTO public.ecdc_data VALUES (28340, 0, 0, 0, 210, 156);
INSERT INTO public.ecdc_data VALUES (28341, 0, 19, 5.79163815, 91, 156);
INSERT INTO public.ecdc_data VALUES (28342, 130, 4046, 141.51444541, 92, 156);
INSERT INTO public.ecdc_data VALUES (28343, 11, 214, 3.12347902, 132, 156);
INSERT INTO public.ecdc_data VALUES (28344, 8, 241, 12.85656696, 188, 156);
INSERT INTO public.ecdc_data VALUES (28345, 13, 227, 35.22560002, 189, 156);
INSERT INTO public.ecdc_data VALUES (28346, 0, 47, 28.36295307, 93, 156);
INSERT INTO public.ecdc_data VALUES (28347, 1, 1547, 568.4885725, 133, 156);
INSERT INTO public.ecdc_data VALUES (28348, 25, 267, 20.45897959, 190, 156);
INSERT INTO public.ecdc_data VALUES (28349, 119, 9200, 101.45109152, 191, 156);
INSERT INTO public.ecdc_data VALUES (28350, 0, 2, 0.2692656, 40, 156);
INSERT INTO public.ecdc_data VALUES (28351, 0, 0, 0, 94, 156);
INSERT INTO public.ecdc_data VALUES (28352, 0, 0, 0.54706092, 95, 156);
INSERT INTO public.ecdc_data VALUES (28353, 0, 0, 0.90421636, 96, 156);
INSERT INTO public.ecdc_data VALUES (28354, 0, 1, 211.8828549, 192, 156);
INSERT INTO public.ecdc_data VALUES (28355, 0, 0, 100.90770433, 41, 156);
INSERT INTO public.ecdc_data VALUES (28356, 10, 2840, 77.49676095, 134, 156);
INSERT INTO public.ecdc_data VALUES (28357, 0, 119, 8.06314931, 42, 156);
INSERT INTO public.ecdc_data VALUES (28358, 3, 58, 16.28429683, 193, 156);
INSERT INTO public.ecdc_data VALUES (28359, 0, 0, 0, 43, 156);
INSERT INTO public.ecdc_data VALUES (28360, 2, 15, 3.92924442, 44, 156);
INSERT INTO public.ecdc_data VALUES (28361, 1, 465, 168.97691952, 135, 156);
INSERT INTO public.ecdc_data VALUES (28362, 0, 0, 2.3591026, 97, 156);
INSERT INTO public.ecdc_data VALUES (28363, 1, 13, 1.57785977, 194, 156);
INSERT INTO public.ecdc_data VALUES (28364, 0, 1, 1.29751051, 195, 156);
INSERT INTO public.ecdc_data VALUES (28365, 2, 73, 4.44216911, 45, 156);
INSERT INTO public.ecdc_data VALUES (28366, 14, 831, 13.6940528, 46, 156);
INSERT INTO public.ecdc_data VALUES (28367, 0, 13, 0.50170501, 136, 156);
INSERT INTO public.ecdc_data VALUES (28368, 0, 0, 1.72661392, 47, 156);
INSERT INTO public.ecdc_data VALUES (28369, 87, 652, 26.86789501, 196, 156);
INSERT INTO public.ecdc_data VALUES (28370, 0, 25, 1.1958506, 137, 156);
INSERT INTO public.ecdc_data VALUES (28371, 0, 0, 3.20461637, 48, 156);
INSERT INTO public.ecdc_data VALUES (28372, 0, 0, 0, 98, 156);
INSERT INTO public.ecdc_data VALUES (28373, 48, 358, 77.83827956, 197, 156);
INSERT INTO public.ecdc_data VALUES (28374, 7, 58, 8.83606547, 198, 156);
INSERT INTO public.ecdc_data VALUES (28375, 0, 1, 0.0410073, 138, 156);
INSERT INTO public.ecdc_data VALUES (28376, 0, 0, 0.03365037, 139, 156);
INSERT INTO public.ecdc_data VALUES (28377, 3, 204, 13.83968262, 140, 156);
INSERT INTO public.ecdc_data VALUES (28378, 0, 3, 0.08904773, 141, 156);
INSERT INTO public.ecdc_data VALUES (28379, 0, 0, 0, 142, 156);
INSERT INTO public.ecdc_data VALUES (28380, 0, 35, 2.16520944, 49, 156);
INSERT INTO public.ecdc_data VALUES (28381, 0, 0, 0, 99, 156);
INSERT INTO public.ecdc_data VALUES (28382, 0, 0, 0.22232253, 50, 156);
INSERT INTO public.ecdc_data VALUES (28383, 41, 1610, 28.89131517, 199, 156);
INSERT INTO public.ecdc_data VALUES (28384, 0, 0, 0, 100, 156);
INSERT INTO public.ecdc_data VALUES (28385, 0, 24, 0.31398531, 51, 156);
INSERT INTO public.ecdc_data VALUES (28386, 21, 528, 14.65438995, 200, 156);
INSERT INTO public.ecdc_data VALUES (28387, 4, 796, 92.40034774, 143, 156);
INSERT INTO public.ecdc_data VALUES (28388, 411, 2526, 65.83030935, 201, 156);
INSERT INTO public.ecdc_data VALUES (28389, 0, 0, 0.04999529, 52, 156);
INSERT INTO public.ecdc_data VALUES (28390, 1186, 24487, 101.7474008, 101, 156);
INSERT INTO public.ecdc_data VALUES (28391, 0, 0, 2.86864476, 102, 156);
INSERT INTO public.ecdc_data VALUES (28392, 0, 1, 2.33986985, 103, 156);
INSERT INTO public.ecdc_data VALUES (28393, 0, 50, 1.86163758, 144, 156);
INSERT INTO public.ecdc_data VALUES (28394, 0, 45, 0.55758505, 104, 156);
INSERT INTO public.ecdc_data VALUES (28395, 0, 5, 0.04976047, 145, 156);
INSERT INTO public.ecdc_data VALUES (28396, 0, 0, 0, 53, 156);
INSERT INTO public.ecdc_data VALUES (28397, 4, 18, 0.39092074, 146, 156);
INSERT INTO public.ecdc_data VALUES (28398, 0, 11, 3.1353168, 54, 156);
INSERT INTO public.ecdc_data VALUES (28399, 0, 2, 0.06828049, 55, 156);
INSERT INTO public.ecdc_data VALUES (28400, 4, 10, 1.46943791, 105, 157);
INSERT INTO public.ecdc_data VALUES (28401, 1, 24, 8.41942869, 147, 157);
INSERT INTO public.ecdc_data VALUES (28402, 12, 108, 2.97772139, 1, 157);
INSERT INTO public.ecdc_data VALUES (28403, 0, 9, 333.43397613, 148, 157);
INSERT INTO public.ecdc_data VALUES (28404, 0, 0, 0.0345637, 2, 157);
INSERT INTO public.ecdc_data VALUES (28405, 0, 0, 0, 56, 157);
INSERT INTO public.ecdc_data VALUES (28406, 0, 0, 14.41589868, 57, 157);
INSERT INTO public.ecdc_data VALUES (28407, 6, 128, 3.18664245, 58, 157);
INSERT INTO public.ecdc_data VALUES (28408, 1, 42, 15.72152679, 149, 157);
INSERT INTO public.ecdc_data VALUES (28409, 0, 2, 32.92258489, 59, 157);
INSERT INTO public.ecdc_data VALUES (28410, 0, 39, 5.05094591, 202, 157);
INSERT INTO public.ecdc_data VALUES (28411, 17, 78, 37.46567669, 150, 157);
INSERT INTO public.ecdc_data VALUES (28412, 2, 30, 8.78806424, 151, 157);
INSERT INTO public.ecdc_data VALUES (28413, 1, 1, 7.70245914, 60, 157);
INSERT INTO public.ecdc_data VALUES (28414, 0, 27, 64.40550731, 106, 157);
INSERT INTO public.ecdc_data VALUES (28415, 10, 341, 0.92979797, 107, 157);
INSERT INTO public.ecdc_data VALUES (28416, 0, 0, 10.45219688, 61, 157);
INSERT INTO public.ecdc_data VALUES (28417, 4, 476, 41.7882891, 152, 157);
INSERT INTO public.ecdc_data VALUES (28418, 246, 1675, 171.77746377, 153, 157);
INSERT INTO public.ecdc_data VALUES (28419, 0, 0, 3.84269542, 62, 157);
INSERT INTO public.ecdc_data VALUES (28420, 0, 2, 0.20336999, 3, 157);
INSERT INTO public.ecdc_data VALUES (28421, 0, 2, 76.79017086, 63, 157);
INSERT INTO public.ecdc_data VALUES (28422, 0, 0, 0, 108, 157);
INSERT INTO public.ecdc_data VALUES (28423, 2, 24, 2.8923569, 64, 157);
INSERT INTO public.ecdc_data VALUES (28424, 0, 0, 7.69734057, 65, 157);
INSERT INTO public.ecdc_data VALUES (28425, 1, 52, 18.7821986, 154, 157);
INSERT INTO public.ecdc_data VALUES (28426, 0, 2, 0.47749211, 4, 157);
INSERT INTO public.ecdc_data VALUES (28427, 188, 2105, 10.66811244, 66, 157);
INSERT INTO public.ecdc_data VALUES (28428, 0, 0, 0, 67, 157);
INSERT INTO public.ecdc_data VALUES (28429, 0, 0, 0.69236734, 109, 157);
INSERT INTO public.ecdc_data VALUES (28430, 2, 53, 4.8999727, 155, 157);
INSERT INTO public.ecdc_data VALUES (28431, 0, 1, 1.25483585, 5, 157);
INSERT INTO public.ecdc_data VALUES (28432, 0, 0, 0.01734519, 6, 157);
INSERT INTO public.ecdc_data VALUES (28433, 0, 0, 0.04852443, 110, 157);
INSERT INTO public.ecdc_data VALUES (28434, 4, 0, 2.25688385, 7, 157);
INSERT INTO public.ecdc_data VALUES (28435, 183, 1717, 50.28729756, 68, 157);
INSERT INTO public.ecdc_data VALUES (28436, 0, 0, 8.91012772, 8, 157);
INSERT INTO public.ecdc_data VALUES (28437, 0, 1, 50.80987867, 69, 157);
INSERT INTO public.ecdc_data VALUES (28438, 0, 1, 0.08429608, 9, 157);
INSERT INTO public.ecdc_data VALUES (28439, 0, 0, 0.12541637, 10, 157);
INSERT INTO public.ecdc_data VALUES (28440, 11, 534, 28.50881185, 70, 157);
INSERT INTO public.ecdc_data VALUES (28441, 1290, 352, 0.08990199, 111, 157);
INSERT INTO public.ecdc_data VALUES (28442, 13, 128, 4.11605667, 71, 157);
INSERT INTO public.ecdc_data VALUES (28443, 0, 0, 1.41250708, 12, 157);
INSERT INTO public.ecdc_data VALUES (28444, 0, 16, 4.87364095, 72, 157);
INSERT INTO public.ecdc_data VALUES (28445, 0, 34, 1.92094166, 13, 157);
INSERT INTO public.ecdc_data VALUES (28446, 1, 50, 19.13525337, 156, 157);
INSERT INTO public.ecdc_data VALUES (28447, 3, 48, 5.54992622, 73, 157);
INSERT INTO public.ecdc_data VALUES (28448, 0, 0, 1.83572692, 74, 157);
INSERT INTO public.ecdc_data VALUES (28449, 0, 20, 43.26982906, 157, 157);
INSERT INTO public.ecdc_data VALUES (28450, 3, 130, 24.17885782, 158, 157);
INSERT INTO public.ecdc_data VALUES (28451, 1, 20, 0.18896063, 14, 157);
INSERT INTO public.ecdc_data VALUES (28452, 12, 198, 60.16106217, 159, 157);
INSERT INTO public.ecdc_data VALUES (28453, 0, 156, 56.49386733, 15, 157);
INSERT INTO public.ecdc_data VALUES (28454, 0, 0, 5.57040998, 75, 157);
INSERT INTO public.ecdc_data VALUES (28455, 7, 141, 22.11574178, 76, 157);
INSERT INTO public.ecdc_data VALUES (28456, 15, 367, 29.13606502, 77, 157);
INSERT INTO public.ecdc_data VALUES (28457, 13, 168, 1.88667825, 16, 157);
INSERT INTO public.ecdc_data VALUES (28458, 0, 5, 1.82845101, 78, 157);
INSERT INTO public.ecdc_data VALUES (28459, 0, 0, 2.6549025, 17, 157);
INSERT INTO public.ecdc_data VALUES (28460, 0, 0, 0.37173477, 18, 157);
INSERT INTO public.ecdc_data VALUES (28461, 1, 32, 43.4776045, 160, 157);
INSERT INTO public.ecdc_data VALUES (28462, 0, 0, 0.60968546, 19, 157);
INSERT INTO public.ecdc_data VALUES (28463, 0, 7, 0.05621049, 20, 157);
INSERT INTO public.ecdc_data VALUES (28464, 0, 0, 326.21589561, 79, 157);
INSERT INTO public.ecdc_data VALUES (28465, 0, 0, 14.38050825, 161, 157);
INSERT INTO public.ecdc_data VALUES (28466, 0, 1, 1.12365232, 203, 157);
INSERT INTO public.ecdc_data VALUES (28467, 3, 132, 33.54525501, 162, 157);
INSERT INTO public.ecdc_data VALUES (28468, 753, 2641, 74.22751831, 163, 157);
INSERT INTO public.ecdc_data VALUES (28469, 0, 0, 6.44502927, 204, 157);
INSERT INTO public.ecdc_data VALUES (28470, 0, 8, 3.54417655, 21, 157);
INSERT INTO public.ecdc_data VALUES (28471, 0, 0, 0.21297476, 22, 157);
INSERT INTO public.ecdc_data VALUES (28472, 0, 42, 5.67959763, 164, 157);
INSERT INTO public.ecdc_data VALUES (28473, 299, 3380, 65.2065926, 165, 157);
INSERT INTO public.ecdc_data VALUES (28474, 0, 0, 1.43665606, 23, 157);
INSERT INTO public.ecdc_data VALUES (28475, 0, 2, 133.50738741, 166, 157);
INSERT INTO public.ecdc_data VALUES (28476, 3, 15, 6.46178006, 167, 157);
INSERT INTO public.ecdc_data VALUES (28477, 0, 0, 1.76491352, 80, 157);
INSERT INTO public.ecdc_data VALUES (28478, 0, 0, 3.5713648, 81, 157);
INSERT INTO public.ecdc_data VALUES (28479, 0, 0, 31.68056427, 205, 157);
INSERT INTO public.ecdc_data VALUES (28480, 2, 18, 0.94986337, 82, 157);
INSERT INTO public.ecdc_data VALUES (28481, 2, 11, 221.81547434, 168, 157);
INSERT INTO public.ecdc_data VALUES (28482, 0, 34, 3.02241457, 24, 157);
INSERT INTO public.ecdc_data VALUES (28483, 0, 3, 1.92616339, 25, 157);
INSERT INTO public.ecdc_data VALUES (28484, 0, 2, 4.85452397, 83, 157);
INSERT INTO public.ecdc_data VALUES (28485, 0, 2, 0.22196417, 84, 157);
INSERT INTO public.ecdc_data VALUES (28486, 0, 0, 245.39877301, 169, 157);
INSERT INTO public.ecdc_data VALUES (28487, 6, 16, 2.25730971, 85, 157);
INSERT INTO public.ecdc_data VALUES (28488, 14, 111, 11.66508199, 170, 157);
INSERT INTO public.ecdc_data VALUES (28489, 0, 12, 117.65002479, 171, 157);
INSERT INTO public.ecdc_data VALUES (28490, 23, 1007, 0.8113185, 112, 157);
INSERT INTO public.ecdc_data VALUES (28491, 27, 380, 1.37681005, 113, 157);
INSERT INTO public.ecdc_data VALUES (28492, 92, 1606, 33.19950252, 114, 157);
INSERT INTO public.ecdc_data VALUES (28493, 1, 19, 1.6840589, 115, 157);
INSERT INTO public.ecdc_data VALUES (28494, 42, 724, 192.11947213, 172, 157);
INSERT INTO public.ecdc_data VALUES (28495, 2, 30, 251.80579035, 173, 157);
INSERT INTO public.ecdc_data VALUES (28496, 12, 257, 76.36712232, 116, 157);
INSERT INTO public.ecdc_data VALUES (28497, 525, 3786, 88.96521521, 174, 157);
INSERT INTO public.ecdc_data VALUES (28498, 0, 18, 3.25613909, 86, 157);
INSERT INTO public.ecdc_data VALUES (28499, 12, 585, 5.16315983, 117, 157);
INSERT INTO public.ecdc_data VALUES (28500, 4, 6, 131.73030539, 175, 157);
INSERT INTO public.ecdc_data VALUES (28501, 0, 1, 1.01963066, 118, 157);
INSERT INTO public.ecdc_data VALUES (28502, 1, 139, 5.84321595, 119, 157);
INSERT INTO public.ecdc_data VALUES (28503, 1, 9, 0.23585818, 26, 157);
INSERT INTO public.ecdc_data VALUES (28504, 2, 30, 18.23735923, 176, 157);
INSERT INTO public.ecdc_data VALUES (28505, 0, 119, 28.0955162, 120, 157);
INSERT INTO public.ecdc_data VALUES (28506, 0, 23, 5.67344846, 121, 157);
INSERT INTO public.ecdc_data VALUES (28507, 0, 0, 0.12553254, 122, 157);
INSERT INTO public.ecdc_data VALUES (28508, 0, 9, 11.3022717, 177, 157);
INSERT INTO public.ecdc_data VALUES (28509, 0, 5, 2.4650988, 123, 157);
INSERT INTO public.ecdc_data VALUES (28510, 0, 14, 1.35699665, 28, 157);
INSERT INTO public.ecdc_data VALUES (28511, 0, 1, 0.5606826, 29, 157);
INSERT INTO public.ecdc_data VALUES (28512, 0, 0, 15.63395695, 178, 157);
INSERT INTO public.ecdc_data VALUES (28513, 3, 58, 17.8943119, 179, 157);
INSERT INTO public.ecdc_data VALUES (28514, 0, 71, 155.89010481, 180, 157);
INSERT INTO public.ecdc_data VALUES (28515, 0, 1, 0.19281178, 30, 157);
INSERT INTO public.ecdc_data VALUES (28516, 0, 0, 0.06978461, 31, 157);
INSERT INTO public.ecdc_data VALUES (28517, 1, 110, 6.46639638, 124, 157);
INSERT INTO public.ecdc_data VALUES (28518, 0, 4, 1.13003501, 125, 157);
INSERT INTO public.ecdc_data VALUES (28519, 0, 23, 0.68674251, 32, 157);
INSERT INTO public.ecdc_data VALUES (28520, 0, 10, 44.57420491, 181, 157);
INSERT INTO public.ecdc_data VALUES (28521, 0, 0, 0.02209604, 33, 157);
INSERT INTO public.ecdc_data VALUES (28522, 0, 0, 12.20789654, 34, 157);
INSERT INTO public.ecdc_data VALUES (28523, 37, 939, 6.1171606, 87, 157);
INSERT INTO public.ecdc_data VALUES (28524, 8, 105, 40.78394206, 182, 157);
INSERT INTO public.ecdc_data VALUES (28525, 0, 0, 63.4728729, 183, 157);
INSERT INTO public.ecdc_data VALUES (28526, 0, 1, 0.52710465, 126, 157);
INSERT INTO public.ecdc_data VALUES (28527, 0, 15, 25.55522339, 184, 157);
INSERT INTO public.ecdc_data VALUES (28528, 0, 0, 120.2163895, 88, 157);
INSERT INTO public.ecdc_data VALUES (28529, 3, 259, 4.31840893, 35, 157);
INSERT INTO public.ecdc_data VALUES (28530, 0, 2, 0.0691562, 36, 157);
INSERT INTO public.ecdc_data VALUES (28531, 0, 11, 0.12026921, 127, 157);
INSERT INTO public.ecdc_data VALUES (28532, 0, 0, 0.12026343, 37, 157);
INSERT INTO public.ecdc_data VALUES (28533, 0, 0, 0.03844982, 128, 157);
INSERT INTO public.ecdc_data VALUES (28534, 181, 1061, 83.9999021, 185, 157);
INSERT INTO public.ecdc_data VALUES (28535, 0, 0, 0.70732113, 207, 157);
INSERT INTO public.ecdc_data VALUES (28536, 2, 2, 6.56483232, 208, 157);
INSERT INTO public.ecdc_data VALUES (28537, 0, 0, 0.06111066, 89, 157);
INSERT INTO public.ecdc_data VALUES (28538, 1, 25, 2.2950815, 38, 157);
INSERT INTO public.ecdc_data VALUES (28539, 1, 35, 0.13335748, 39, 157);
INSERT INTO public.ecdc_data VALUES (28540, 1, 107, 35.00018294, 186, 157);
INSERT INTO public.ecdc_data VALUES (28541, 0, 0, 8.73927254, 209, 157);
INSERT INTO public.ecdc_data VALUES (28542, 6, 114, 34.83344882, 187, 157);
INSERT INTO public.ecdc_data VALUES (28543, 0, 109, 15.83922145, 129, 157);
INSERT INTO public.ecdc_data VALUES (28544, 11, 520, 2.18594559, 130, 157);
INSERT INTO public.ecdc_data VALUES (28545, 0, 3, 3.21193426, 131, 157);
INSERT INTO public.ecdc_data VALUES (28546, 6, 265, 59.83835872, 90, 157);
INSERT INTO public.ecdc_data VALUES (28547, 0, 5, 0.06836735, 210, 157);
INSERT INTO public.ecdc_data VALUES (28548, 0, 0, 1.37693358, 91, 157);
INSERT INTO public.ecdc_data VALUES (28549, 20, 1016, 34.07210885, 92, 157);
INSERT INTO public.ecdc_data VALUES (28550, 13, 207, 2.79975451, 132, 157);
INSERT INTO public.ecdc_data VALUES (28551, 28, 336, 13.09357864, 188, 157);
INSERT INTO public.ecdc_data VALUES (28552, 30, 750, 95.4302374, 189, 157);
INSERT INTO public.ecdc_data VALUES (28553, 5, 69, 24.78349385, 93, 157);
INSERT INTO public.ecdc_data VALUES (28554, 0, 392, 111.36726445, 133, 157);
INSERT INTO public.ecdc_data VALUES (28555, 15, 491, 25.59432769, 190, 157);
INSERT INTO public.ecdc_data VALUES (28556, 34, 3448, 16.7201084, 191, 157);
INSERT INTO public.ecdc_data VALUES (28557, 0, 2, 0.44349628, 40, 157);
INSERT INTO public.ecdc_data VALUES (28558, 0, 0, 11.35632358, 94, 157);
INSERT INTO public.ecdc_data VALUES (28559, 0, 0, 1.09412183, 95, 157);
INSERT INTO public.ecdc_data VALUES (28560, 0, 0, 9.04216361, 96, 157);
INSERT INTO public.ecdc_data VALUES (28561, 2, 34, 525.35337997, 192, 157);
INSERT INTO public.ecdc_data VALUES (28562, 0, 0, 0, 41, 157);
INSERT INTO public.ecdc_data VALUES (28563, 4, 518, 13.11699139, 134, 157);
INSERT INTO public.ecdc_data VALUES (28564, 0, 21, 0.85908745, 42, 157);
INSERT INTO public.ecdc_data VALUES (28565, 4, 445, 59.55112781, 193, 157);
INSERT INTO public.ecdc_data VALUES (28566, 0, 0, 1.0231121, 43, 157);
INSERT INTO public.ecdc_data VALUES (28567, 0, 2, 0.16638494, 44, 157);
INSERT INTO public.ecdc_data VALUES (28568, 0, 728, 58.1978012, 135, 157);
INSERT INTO public.ecdc_data VALUES (28569, 0, 0, 80.20948831, 97, 157);
INSERT INTO public.ecdc_data VALUES (28570, 2, 114, 10.10931082, 194, 157);
INSERT INTO public.ecdc_data VALUES (28571, 0, 20, 17.82875552, 195, 157);
INSERT INTO public.ecdc_data VALUES (28572, 0, 0, 0.48565989, 45, 157);
INSERT INTO public.ecdc_data VALUES (28573, 14, 99, 1.95190203, 46, 157);
INSERT INTO public.ecdc_data VALUES (28574, 1, 22, 1.11858743, 136, 157);
INSERT INTO public.ecdc_data VALUES (28575, 0, 0, 0, 47, 157);
INSERT INTO public.ecdc_data VALUES (28576, 585, 3818, 135.48782135, 196, 157);
INSERT INTO public.ecdc_data VALUES (28577, 0, 1, 0.42206492, 137, 157);
INSERT INTO public.ecdc_data VALUES (28578, 0, 0, 0.05839316, 48, 157);
INSERT INTO public.ecdc_data VALUES (28579, 0, 0, 0, 98, 157);
INSERT INTO public.ecdc_data VALUES (28580, 111, 623, 69.50998442, 197, 157);
INSERT INTO public.ecdc_data VALUES (28581, 43, 315, 98.97563669, 198, 157);
INSERT INTO public.ecdc_data VALUES (28582, 0, 0, 0.09958915, 138, 157);
INSERT INTO public.ecdc_data VALUES (28583, 0, 0, 0.23555262, 139, 157);
INSERT INTO public.ecdc_data VALUES (28584, 1, 28, 1.18490932, 141, 157);
INSERT INTO public.ecdc_data VALUES (28585, 0, 12, 1.31464984, 142, 157);
INSERT INTO public.ecdc_data VALUES (28586, 2, 0, 0.51965027, 49, 157);
INSERT INTO public.ecdc_data VALUES (28587, 0, 0, 1.21866507, 99, 157);
INSERT INTO public.ecdc_data VALUES (28588, 2, 42, 3.13816807, 50, 157);
INSERT INTO public.ecdc_data VALUES (28589, 125, 4801, 68.36017836, 199, 157);
INSERT INTO public.ecdc_data VALUES (28590, 0, 0, 15.70927371, 100, 157);
INSERT INTO public.ecdc_data VALUES (28591, 0, 0, 0.02258887, 51, 157);
INSERT INTO public.ecdc_data VALUES (28592, 8, 397, 7.41925373, 200, 157);
INSERT INTO public.ecdc_data VALUES (28593, 2, 435, 46.76309136, 143, 157);
INSERT INTO public.ecdc_data VALUES (28594, 1036, 5065, 94.62075416, 201, 157);
INSERT INTO public.ecdc_data VALUES (28595, 0, 6, 0.12585022, 52, 157);
INSERT INTO public.ecdc_data VALUES (28596, 2299, 31667, 129.39422527, 101, 157);
INSERT INTO public.ecdc_data VALUES (28597, 0, 0, 17.21186854, 102, 157);
INSERT INTO public.ecdc_data VALUES (28598, 0, 9, 4.13088134, 103, 157);
INSERT INTO public.ecdc_data VALUES (28599, 0, 78, 3.6080598, 144, 157);
INSERT INTO public.ecdc_data VALUES (28600, 0, 7, 0.21040945, 104, 157);
INSERT INTO public.ecdc_data VALUES (28601, 0, 0, 0.03317365, 145, 157);
INSERT INTO public.ecdc_data VALUES (28602, 0, 0, 0, 146, 157);
INSERT INTO public.ecdc_data VALUES (28603, 0, 0, 0.05038902, 54, 157);
INSERT INTO public.ecdc_data VALUES (28604, 0, 1, 0.10924878, 55, 157);
INSERT INTO public.ecdc_data VALUES (28605, 0, 5, 0.0552025, 105, 158);
INSERT INTO public.ecdc_data VALUES (28606, 0, 9, 0, 147, 158);
INSERT INTO public.ecdc_data VALUES (28607, 0, 10, 0.13239479, 1, 158);
INSERT INTO public.ecdc_data VALUES (28608, 0, 9, 0, 148, 158);
INSERT INTO public.ecdc_data VALUES (28609, 0, 9, 0, 58, 158);
INSERT INTO public.ecdc_data VALUES (28610, 0, 17, 1.52143808, 149, 158);
INSERT INTO public.ecdc_data VALUES (28611, 0, 77, 1.35697054, 202, 158);
INSERT INTO public.ecdc_data VALUES (28612, 2, 156, 11.26566596, 150, 158);
INSERT INTO public.ecdc_data VALUES (28613, 0, 0, 0.18909764, 151, 158);
INSERT INTO public.ecdc_data VALUES (28614, 0, 0, 0, 60, 158);
INSERT INTO public.ecdc_data VALUES (28615, 1, 7, 10.6022311, 106, 158);
INSERT INTO public.ecdc_data VALUES (28616, 0, 2, 0, 107, 158);
INSERT INTO public.ecdc_data VALUES (28617, 0, 9, 0.38085529, 152, 158);
INSERT INTO public.ecdc_data VALUES (28618, 12, 387, 15.16299698, 153, 158);
INSERT INTO public.ecdc_data VALUES (28619, 0, 1, 0, 3, 158);
INSERT INTO public.ecdc_data VALUES (28620, 0, 0, 0, 108, 158);
INSERT INTO public.ecdc_data VALUES (28621, 0, 1, 0, 64, 158);
INSERT INTO public.ecdc_data VALUES (28622, 0, 3, 0, 154, 158);
INSERT INTO public.ecdc_data VALUES (28623, 0, 34, 0.10992681, 66, 158);
INSERT INTO public.ecdc_data VALUES (28624, 0, 4, 0, 109, 158);
INSERT INTO public.ecdc_data VALUES (28625, 0, 11, 0, 155, 158);
INSERT INTO public.ecdc_data VALUES (28626, 0, 17, 0, 5, 158);
INSERT INTO public.ecdc_data VALUES (28627, 0, 12, 0.13950773, 110, 158);
INSERT INTO public.ecdc_data VALUES (28628, 0, 0, 0, 7, 158);
INSERT INTO public.ecdc_data VALUES (28629, 3, 120, 1.06118414, 68, 158);
INSERT INTO public.ecdc_data VALUES (28630, 0, 0, 0, 9, 158);
INSERT INTO public.ecdc_data VALUES (28631, 0, 81, 0, 70, 158);
INSERT INTO public.ecdc_data VALUES (28632, 9, 43, 0.05593591, 111, 158);
INSERT INTO public.ecdc_data VALUES (28633, 0, 12, 0, 71, 158);
INSERT INTO public.ecdc_data VALUES (28634, 0, 0, 0, 12, 158);
INSERT INTO public.ecdc_data VALUES (28635, 0, 6, 0, 72, 158);
INSERT INTO public.ecdc_data VALUES (28636, 0, 1, 0, 13, 158);
INSERT INTO public.ecdc_data VALUES (28637, 0, 8, 1.25115118, 156, 158);
INSERT INTO public.ecdc_data VALUES (28638, 0, 10, 0, 157, 158);
INSERT INTO public.ecdc_data VALUES (28639, 0, 46, 3.18315837, 158, 158);
INSERT INTO public.ecdc_data VALUES (28640, 0, 1, 0, 14, 158);
INSERT INTO public.ecdc_data VALUES (28641, 0, 57, 15.96601908, 159, 158);
INSERT INTO public.ecdc_data VALUES (28642, 0, 0, 0.1024308, 76, 158);
INSERT INTO public.ecdc_data VALUES (28643, 0, 21, 0.33383875, 77, 158);
INSERT INTO public.ecdc_data VALUES (28644, 0, 16, 0.12451678, 16, 158);
INSERT INTO public.ecdc_data VALUES (28645, 0, 0, 0, 17, 158);
INSERT INTO public.ecdc_data VALUES (28646, 0, 34, 15.47380021, 160, 158);
INSERT INTO public.ecdc_data VALUES (28647, 0, 0, 0, 19, 158);
INSERT INTO public.ecdc_data VALUES (28648, 0, 1, 0, 20, 158);
INSERT INTO public.ecdc_data VALUES (28649, 0, 2, 0, 161, 158);
INSERT INTO public.ecdc_data VALUES (28650, 0, 5, 4.89314903, 162, 158);
INSERT INTO public.ecdc_data VALUES (28651, 21, 1210, 9.63247619, 163, 158);
INSERT INTO public.ecdc_data VALUES (28652, 0, 0, 0, 21, 158);
INSERT INTO public.ecdc_data VALUES (28653, 0, 3, 0.77562787, 164, 158);
INSERT INTO public.ecdc_data VALUES (28654, 1, 1174, 7.05258432, 165, 158);
INSERT INTO public.ecdc_data VALUES (28655, 0, 4, 0, 23, 158);
INSERT INTO public.ecdc_data VALUES (28656, 0, 21, 3.21690349, 167, 158);
INSERT INTO public.ecdc_data VALUES (28657, 0, 5, 0, 82, 158);
INSERT INTO public.ecdc_data VALUES (28658, 0, 0, 0, 24, 158);
INSERT INTO public.ecdc_data VALUES (28659, 0, 0, 0, 83, 158);
INSERT INTO public.ecdc_data VALUES (28660, 0, 0, 0, 169, 158);
INSERT INTO public.ecdc_data VALUES (28661, 0, 2, 0, 85, 158);
INSERT INTO public.ecdc_data VALUES (28662, 0, 11, 0, 170, 158);
INSERT INTO public.ecdc_data VALUES (28663, 0, 21, 54.06298758, 171, 158);
INSERT INTO public.ecdc_data VALUES (28664, 1, 32, 0.00892846, 112, 158);
INSERT INTO public.ecdc_data VALUES (28665, 0, 17, 0.04951491, 113, 158);
INSERT INTO public.ecdc_data VALUES (28666, 129, 1053, 16.26989098, 114, 158);
INSERT INTO public.ecdc_data VALUES (28667, 0, 0, 0.28237241, 115, 158);
INSERT INTO public.ecdc_data VALUES (28668, 0, 54, 4.52669527, 172, 158);
INSERT INTO public.ecdc_data VALUES (28669, 0, 10, 2.96970211, 116, 158);
INSERT INTO public.ecdc_data VALUES (28670, 347, 4000, 42.98243065, 174, 158);
INSERT INTO public.ecdc_data VALUES (28671, 0, 0, 0, 86, 158);
INSERT INTO public.ecdc_data VALUES (28672, 4, 10, 0.44931315, 117, 158);
INSERT INTO public.ecdc_data VALUES (28673, 0, 1, 0, 118, 158);
INSERT INTO public.ecdc_data VALUES (28674, 0, 2, 0, 119, 158);
INSERT INTO public.ecdc_data VALUES (28675, 0, 0, 0, 26, 158);
INSERT INTO public.ecdc_data VALUES (28676, 0, 3, 0, 176, 158);
INSERT INTO public.ecdc_data VALUES (28677, 0, 11, 1.85401884, 120, 158);
INSERT INTO public.ecdc_data VALUES (28678, 0, 5, 0, 177, 158);
INSERT INTO public.ecdc_data VALUES (28679, 0, 21, 1.70660686, 123, 158);
INSERT INTO public.ecdc_data VALUES (28680, 0, 1, 0, 28, 158);
INSERT INTO public.ecdc_data VALUES (28681, 0, 0, 0, 178, 158);
INSERT INTO public.ecdc_data VALUES (28682, 0, 3, 0.6084066, 179, 158);
INSERT INTO public.ecdc_data VALUES (28683, 0, 4, 13.19446028, 180, 158);
INSERT INTO public.ecdc_data VALUES (28684, 0, 125, 1.64007343, 124, 158);
INSERT INTO public.ecdc_data VALUES (28685, 0, 0, 0, 125, 158);
INSERT INTO public.ecdc_data VALUES (28686, 0, 8, 0, 181, 158);
INSERT INTO public.ecdc_data VALUES (28687, 0, 0, 0, 33, 158);
INSERT INTO public.ecdc_data VALUES (28688, 0, 69, 0.23358712, 87, 158);
INSERT INTO public.ecdc_data VALUES (28689, 0, 6, 0, 182, 158);
INSERT INTO public.ecdc_data VALUES (28690, 0, 0, 27.20265982, 183, 158);
INSERT INTO public.ecdc_data VALUES (28691, 0, 9, 0, 35, 158);
INSERT INTO public.ecdc_data VALUES (28692, 0, 0, 0, 127, 158);
INSERT INTO public.ecdc_data VALUES (28693, 0, 0, 0, 37, 158);
INSERT INTO public.ecdc_data VALUES (28694, 0, 0, 0, 128, 158);
INSERT INTO public.ecdc_data VALUES (28695, 4, 278, 8.07190628, 185, 158);
INSERT INTO public.ecdc_data VALUES (28696, 0, 0, 0.00099521, 39, 158);
INSERT INTO public.ecdc_data VALUES (28697, 0, 6, 0.9147228, 186, 158);
INSERT INTO public.ecdc_data VALUES (28698, 2, 92, 21.47061716, 187, 158);
INSERT INTO public.ecdc_data VALUES (28699, 0, 2, 0.4020107, 129, 158);
INSERT INTO public.ecdc_data VALUES (28700, 0, 156, 0.08542457, 130, 158);
INSERT INTO public.ecdc_data VALUES (28701, 0, 1, 0, 131, 158);
INSERT INTO public.ecdc_data VALUES (28702, 0, 26, 0, 90, 158);
INSERT INTO public.ecdc_data VALUES (28703, 0, 1, 0, 91, 158);
INSERT INTO public.ecdc_data VALUES (28704, 0, 15, 0, 92, 158);
INSERT INTO public.ecdc_data VALUES (28705, 0, 2, 0.12856488, 132, 158);
INSERT INTO public.ecdc_data VALUES (28706, 1, 52, 0, 188, 158);
INSERT INTO public.ecdc_data VALUES (28707, 0, 86, 3.20144265, 189, 158);
INSERT INTO public.ecdc_data VALUES (28708, 0, 38, 15.50102381, 133, 158);
INSERT INTO public.ecdc_data VALUES (28709, 0, 45, 0.93229489, 190, 158);
INSERT INTO public.ecdc_data VALUES (28710, 0, 30, 0.06169782, 191, 158);
INSERT INTO public.ecdc_data VALUES (28711, 0, 0, 0, 40, 158);
INSERT INTO public.ecdc_data VALUES (28712, 0, 0, 0, 95, 158);
INSERT INTO public.ecdc_data VALUES (28713, 2, 4, 272.835457, 192, 158);
INSERT INTO public.ecdc_data VALUES (28714, 0, 15, 0, 134, 158);
INSERT INTO public.ecdc_data VALUES (28715, 0, 1, 0, 42, 158);
INSERT INTO public.ecdc_data VALUES (28716, 0, 2, 0, 193, 158);
INSERT INTO public.ecdc_data VALUES (28717, 0, 1, 0, 43, 158);
INSERT INTO public.ecdc_data VALUES (28718, 0, 17, 2.32584463, 135, 158);
INSERT INTO public.ecdc_data VALUES (28719, 0, 23, 0, 194, 158);
INSERT INTO public.ecdc_data VALUES (28720, 0, 34, 0, 195, 158);
INSERT INTO public.ecdc_data VALUES (28721, 0, 1, 0, 45, 158);
INSERT INTO public.ecdc_data VALUES (28722, 0, 11, 0, 46, 158);
INSERT INTO public.ecdc_data VALUES (28723, 6, 84, 6.84817573, 136, 158);
INSERT INTO public.ecdc_data VALUES (28724, 21, 2503, 29.40533557, 196, 158);
INSERT INTO public.ecdc_data VALUES (28725, 0, 10, 0.13130908, 137, 158);
INSERT INTO public.ecdc_data VALUES (28726, 0, 0, 0, 48, 158);
INSERT INTO public.ecdc_data VALUES (28727, 2, 83, 10.25396901, 197, 158);
INSERT INTO public.ecdc_data VALUES (28728, 1, 0, 25.39637361, 198, 158);
INSERT INTO public.ecdc_data VALUES (28729, 0, 8, 0.10936372, 139, 158);
INSERT INTO public.ecdc_data VALUES (28730, 0, 63, 0.20107552, 141, 158);
INSERT INTO public.ecdc_data VALUES (28731, 0, 0, 0, 49, 158);
INSERT INTO public.ecdc_data VALUES (28732, 0, 1, 0, 99, 158);
INSERT INTO public.ecdc_data VALUES (28733, 0, 2, 0, 50, 158);
INSERT INTO public.ecdc_data VALUES (28734, 0, 29, 0, 199, 158);
INSERT INTO public.ecdc_data VALUES (28735, 0, 2, 0, 200, 158);
INSERT INTO public.ecdc_data VALUES (28736, 0, 0, 0.8699634, 143, 158);
INSERT INTO public.ecdc_data VALUES (28737, 22, 442, 4.46831064, 201, 158);
INSERT INTO public.ecdc_data VALUES (28738, 0, 1, 0, 52, 158);
INSERT INTO public.ecdc_data VALUES (28739, 16, 887, 1.38513702, 101, 158);
INSERT INTO public.ecdc_data VALUES (28740, 0, 21, 0, 103, 158);
INSERT INTO public.ecdc_data VALUES (28741, 0, 2, 0, 144, 158);
INSERT INTO public.ecdc_data VALUES (28742, 0, 18, 0, 104, 158);
INSERT INTO public.ecdc_data VALUES (28743, 0, 4, 0.04665044, 145, 158);
INSERT INTO public.ecdc_data VALUES (28744, 0, 0, 0, 105, 159);
INSERT INTO public.ecdc_data VALUES (28745, 0, 0, 0, 1, 159);
INSERT INTO public.ecdc_data VALUES (28746, 0, 0, 0, 149, 159);
INSERT INTO public.ecdc_data VALUES (28747, 0, 0, 0.015871, 202, 159);
INSERT INTO public.ecdc_data VALUES (28748, 0, 0, 0, 150, 159);
INSERT INTO public.ecdc_data VALUES (28749, 0, 0, 0, 151, 159);
INSERT INTO public.ecdc_data VALUES (28750, 0, 0, 0, 106, 159);
INSERT INTO public.ecdc_data VALUES (28751, 0, 0, 0, 152, 159);
INSERT INTO public.ecdc_data VALUES (28752, 0, 0, 0.00872942, 153, 159);
INSERT INTO public.ecdc_data VALUES (28753, 0, 0, 0, 66, 159);
INSERT INTO public.ecdc_data VALUES (28754, 0, 0, 0, 110, 159);
INSERT INTO public.ecdc_data VALUES (28755, 0, 0, 0.01069203, 68, 159);
INSERT INTO public.ecdc_data VALUES (28756, 0, 0, 0, 214, 159);
INSERT INTO public.ecdc_data VALUES (28757, 105, 2052, 3.72489939, 111, 159);
INSERT INTO public.ecdc_data VALUES (28758, 0, 0, 0, 156, 159);
INSERT INTO public.ecdc_data VALUES (28759, 0, 0, 0, 158, 159);
INSERT INTO public.ecdc_data VALUES (28760, 0, 0, 0, 159, 159);
INSERT INTO public.ecdc_data VALUES (28761, 0, 0, 0, 76, 159);
INSERT INTO public.ecdc_data VALUES (28762, 0, 0, 0, 77, 159);
INSERT INTO public.ecdc_data VALUES (28763, 0, 0, 0.00099613, 16, 159);
INSERT INTO public.ecdc_data VALUES (28764, 0, 0, 0, 160, 159);
INSERT INTO public.ecdc_data VALUES (28765, 0, 0, 0, 162, 159);
INSERT INTO public.ecdc_data VALUES (28766, 0, 1, 0.0089535, 163, 159);
INSERT INTO public.ecdc_data VALUES (28767, 0, 0, 0, 164, 159);
INSERT INTO public.ecdc_data VALUES (28768, 0, 0, 0.00722724, 165, 159);
INSERT INTO public.ecdc_data VALUES (28769, 0, 0, 0, 167, 159);
INSERT INTO public.ecdc_data VALUES (28770, 0, 0, 0, 171, 159);
INSERT INTO public.ecdc_data VALUES (28771, 0, 0, 7.318e-05, 112, 159);
INSERT INTO public.ecdc_data VALUES (28772, 0, 0, 0, 113, 159);
INSERT INTO public.ecdc_data VALUES (28773, 0, 0, 0, 114, 159);
INSERT INTO public.ecdc_data VALUES (28774, 0, 0, 0, 115, 159);
INSERT INTO public.ecdc_data VALUES (28775, 0, 0, 0, 172, 159);
INSERT INTO public.ecdc_data VALUES (28776, 0, 0, 0, 116, 159);
INSERT INTO public.ecdc_data VALUES (28777, 0, 0, 0, 174, 159);
INSERT INTO public.ecdc_data VALUES (28778, 0, 7, 0.03074248, 117, 159);
INSERT INTO public.ecdc_data VALUES (28779, 0, 0, 0, 120, 159);
INSERT INTO public.ecdc_data VALUES (28780, 0, 0, 0, 123, 159);
INSERT INTO public.ecdc_data VALUES (28781, 0, 0, 0, 179, 159);
INSERT INTO public.ecdc_data VALUES (28782, 0, 0, 0, 180, 159);
INSERT INTO public.ecdc_data VALUES (28783, 0, 0, 0.04381876, 124, 159);
INSERT INTO public.ecdc_data VALUES (28784, 0, 0, 0.00078385, 87, 159);
INSERT INTO public.ecdc_data VALUES (28785, 0, 0, 0, 183, 159);
INSERT INTO public.ecdc_data VALUES (28786, 0, 0, 0, 128, 159);
INSERT INTO public.ecdc_data VALUES (28787, 0, 0, 0, 185, 159);
INSERT INTO public.ecdc_data VALUES (28788, 0, 0, 0, 208, 159);
INSERT INTO public.ecdc_data VALUES (28789, 0, 0, 0, 39, 159);
INSERT INTO public.ecdc_data VALUES (28790, 0, 0, 0, 186, 159);
INSERT INTO public.ecdc_data VALUES (28791, 0, 0, 0, 187, 159);
INSERT INTO public.ecdc_data VALUES (28792, 0, 0, 0, 129, 159);
INSERT INTO public.ecdc_data VALUES (28793, 0, 0, 0, 130, 159);
INSERT INTO public.ecdc_data VALUES (28794, 0, 0, 0.00092493, 132, 159);
INSERT INTO public.ecdc_data VALUES (28795, 0, 0, 0, 133, 159);
INSERT INTO public.ecdc_data VALUES (28796, 0, 0, 0, 190, 159);
INSERT INTO public.ecdc_data VALUES (28797, 0, 0, 0, 191, 159);
INSERT INTO public.ecdc_data VALUES (28798, 0, 0, 0, 192, 159);
INSERT INTO public.ecdc_data VALUES (28799, 0, 3, 0.98202329, 135, 159);
INSERT INTO public.ecdc_data VALUES (28800, 0, 1, 0.02928239, 136, 159);
INSERT INTO public.ecdc_data VALUES (28801, 0, 0, 0.00213051, 196, 159);
INSERT INTO public.ecdc_data VALUES (28802, 0, 0, 0, 137, 159);
INSERT INTO public.ecdc_data VALUES (28803, 0, 0, 0.00977499, 197, 159);
INSERT INTO public.ecdc_data VALUES (28804, 0, 0, 0, 198, 159);
INSERT INTO public.ecdc_data VALUES (28805, 1, 2, 0.04206297, 139, 159);
INSERT INTO public.ecdc_data VALUES (28806, 0, 0, 0.02154381, 141, 159);
INSERT INTO public.ecdc_data VALUES (28807, 0, 1, 0.04093945, 143, 159);
INSERT INTO public.ecdc_data VALUES (28808, 0, 0, 0.01200352, 201, 159);
INSERT INTO public.ecdc_data VALUES (28809, 0, 0, 0.00121557, 101, 159);
INSERT INTO public.ecdc_data VALUES (28810, 0, 0, 0.00829341, 145, 159);
INSERT INTO public.ecdc_data VALUES (28811, 0, 0, 0, 105, 160);
INSERT INTO public.ecdc_data VALUES (28812, 0, 0, 0, 1, 160);
INSERT INTO public.ecdc_data VALUES (28813, 0, 0, 0, 149, 160);
INSERT INTO public.ecdc_data VALUES (28814, 0, 0, 0, 202, 160);
INSERT INTO public.ecdc_data VALUES (28815, 0, 0, 0, 150, 160);
INSERT INTO public.ecdc_data VALUES (28816, 0, 0, 0, 151, 160);
INSERT INTO public.ecdc_data VALUES (28817, 0, 0, 0, 106, 160);
INSERT INTO public.ecdc_data VALUES (28818, 0, 0, 0, 152, 160);
INSERT INTO public.ecdc_data VALUES (28819, 0, 0, 0, 153, 160);
INSERT INTO public.ecdc_data VALUES (28820, 0, 0, 0, 66, 160);
INSERT INTO public.ecdc_data VALUES (28821, 0, 0, 0, 110, 160);
INSERT INTO public.ecdc_data VALUES (28822, 0, 0, 0, 68, 160);
INSERT INTO public.ecdc_data VALUES (28823, 0, 0, 0, 214, 160);
INSERT INTO public.ecdc_data VALUES (28824, 0, 4, 0.00132517, 111, 160);
INSERT INTO public.ecdc_data VALUES (28825, 0, 0, 0, 156, 160);
INSERT INTO public.ecdc_data VALUES (28826, 0, 0, 0, 158, 160);
INSERT INTO public.ecdc_data VALUES (28827, 0, 0, 0, 159, 160);
INSERT INTO public.ecdc_data VALUES (28828, 0, 0, 0, 76, 160);
INSERT INTO public.ecdc_data VALUES (28829, 0, 0, 0, 77, 160);
INSERT INTO public.ecdc_data VALUES (28830, 0, 0, 0, 16, 160);
INSERT INTO public.ecdc_data VALUES (28831, 0, 0, 0, 160, 160);
INSERT INTO public.ecdc_data VALUES (28832, 0, 0, 0, 162, 160);
INSERT INTO public.ecdc_data VALUES (28833, 0, 0, 0, 163, 160);
INSERT INTO public.ecdc_data VALUES (28834, 0, 0, 0, 164, 160);
INSERT INTO public.ecdc_data VALUES (28835, 0, 0, 0, 165, 160);
INSERT INTO public.ecdc_data VALUES (28836, 0, 0, 0, 167, 160);
INSERT INTO public.ecdc_data VALUES (28837, 0, 0, 0, 171, 160);
INSERT INTO public.ecdc_data VALUES (28838, 0, 0, 0, 112, 160);
INSERT INTO public.ecdc_data VALUES (28839, 0, 0, 0, 113, 160);
INSERT INTO public.ecdc_data VALUES (28840, 0, 0, 0, 114, 160);
INSERT INTO public.ecdc_data VALUES (28841, 0, 0, 0, 115, 160);
INSERT INTO public.ecdc_data VALUES (28842, 0, 0, 0, 172, 160);
INSERT INTO public.ecdc_data VALUES (28843, 0, 0, 0, 116, 160);
INSERT INTO public.ecdc_data VALUES (28844, 0, 0, 0, 174, 160);
INSERT INTO public.ecdc_data VALUES (28845, 0, 0, 0.00078827, 117, 160);
INSERT INTO public.ecdc_data VALUES (28846, 0, 0, 0, 120, 160);
INSERT INTO public.ecdc_data VALUES (28847, 0, 0, 0, 123, 160);
INSERT INTO public.ecdc_data VALUES (28848, 0, 0, 0, 179, 160);
INSERT INTO public.ecdc_data VALUES (28849, 0, 0, 0, 180, 160);
INSERT INTO public.ecdc_data VALUES (28850, 0, 0, 0, 124, 160);
INSERT INTO public.ecdc_data VALUES (28851, 0, 0, 0.00078385, 87, 160);
INSERT INTO public.ecdc_data VALUES (28852, 0, 0, 0, 183, 160);
INSERT INTO public.ecdc_data VALUES (28853, 0, 0, 0, 128, 160);
INSERT INTO public.ecdc_data VALUES (28854, 0, 0, 0, 185, 160);
INSERT INTO public.ecdc_data VALUES (28855, 0, 0, 0, 208, 160);
INSERT INTO public.ecdc_data VALUES (28856, 0, 0, 0, 39, 160);
INSERT INTO public.ecdc_data VALUES (28857, 0, 0, 0, 186, 160);
INSERT INTO public.ecdc_data VALUES (28858, 0, 0, 0, 187, 160);
INSERT INTO public.ecdc_data VALUES (28859, 0, 0, 0, 129, 160);
INSERT INTO public.ecdc_data VALUES (28860, 0, 0, 0, 130, 160);
INSERT INTO public.ecdc_data VALUES (28861, 0, 0, 0, 132, 160);
INSERT INTO public.ecdc_data VALUES (28862, 0, 0, 0, 133, 160);
INSERT INTO public.ecdc_data VALUES (28863, 0, 0, 0, 190, 160);
INSERT INTO public.ecdc_data VALUES (28864, 0, 0, 0, 191, 160);
INSERT INTO public.ecdc_data VALUES (28865, 0, 0, 0, 192, 160);
INSERT INTO public.ecdc_data VALUES (28866, 0, 0, 0, 135, 160);
INSERT INTO public.ecdc_data VALUES (28867, 0, 0, 0, 136, 160);
INSERT INTO public.ecdc_data VALUES (28868, 0, 0, 0, 196, 160);
INSERT INTO public.ecdc_data VALUES (28869, 0, 0, 0, 137, 160);
INSERT INTO public.ecdc_data VALUES (28870, 0, 0, 0, 197, 160);
INSERT INTO public.ecdc_data VALUES (28871, 0, 0, 0, 198, 160);
INSERT INTO public.ecdc_data VALUES (28872, 0, 0, 0, 139, 160);
INSERT INTO public.ecdc_data VALUES (28873, 0, 1, 0.00287251, 141, 160);
INSERT INTO public.ecdc_data VALUES (28874, 0, 0, 0, 143, 160);
INSERT INTO public.ecdc_data VALUES (28875, 0, 0, 0, 201, 160);
INSERT INTO public.ecdc_data VALUES (28876, 0, 0, 0, 101, 160);
INSERT INTO public.ecdc_data VALUES (28877, 0, 0, 0, 145, 160);
INSERT INTO public.ecdc_data VALUES (28878, 9, 163, 4.65278194, 105, 161);
INSERT INTO public.ecdc_data VALUES (28879, 11, 597, 231.5517566, 147, 161);
INSERT INTO public.ecdc_data VALUES (28880, 15, 860, 21.84978562, 1, 161);
INSERT INTO public.ecdc_data VALUES (28881, 1, 147, 1374.43060241, 148, 161);
INSERT INTO public.ecdc_data VALUES (28882, 5, 146, 8.07219439, 2, 161);
INSERT INTO public.ecdc_data VALUES (28883, 0, 0, 0, 56, 161);
INSERT INTO public.ecdc_data VALUES (28884, 0, 0, 6.17824229, 57, 161);
INSERT INTO public.ecdc_data VALUES (28885, 129, 5645, 305.83728361, 58, 161);
INSERT INTO public.ecdc_data VALUES (28886, 25, 549, 826.2423049, 149, 161);
INSERT INTO public.ecdc_data VALUES (28887, 0, 4, 134.51227542, 59, 161);
INSERT INTO public.ecdc_data VALUES (28888, 0, 14, 0.51580752, 202, 161);
INSERT INTO public.ecdc_data VALUES (28889, 50, 5278, 1042.8529904, 150, 161);
INSERT INTO public.ecdc_data VALUES (28890, 21, 2259, 191.52605681, 151, 161);
INSERT INTO public.ecdc_data VALUES (28891, 1, 23, 121.18535711, 60, 161);
INSERT INTO public.ecdc_data VALUES (28892, 2, 180, 169.39196814, 106, 161);
INSERT INTO public.ecdc_data VALUES (28893, 21, 1837, 14.1561127, 107, 161);
INSERT INTO public.ecdc_data VALUES (28894, 0, 1, 4.52928531, 61, 161);
INSERT INTO public.ecdc_data VALUES (28895, 7, 1315, 155.7909735, 152, 161);
INSERT INTO public.ecdc_data VALUES (28896, 192, 1057, 781.80656852, 153, 161);
INSERT INTO public.ecdc_data VALUES (28897, 2, 78, 358.39539286, 62, 161);
INSERT INTO public.ecdc_data VALUES (28898, 0, 0, 1.70322369, 3, 161);
INSERT INTO public.ecdc_data VALUES (28899, 0, 0, 36.7952902, 63, 161);
INSERT INTO public.ecdc_data VALUES (28900, 0, 0, 2.75195454, 108, 161);
INSERT INTO public.ecdc_data VALUES (28901, 8, 65, 12.27297387, 64, 161);
INSERT INTO public.ecdc_data VALUES (28902, 0, 0, 7.69734057, 65, 161);
INSERT INTO public.ecdc_data VALUES (28903, 0, 0, 587.54958349, 154, 161);
INSERT INTO public.ecdc_data VALUES (28904, 0, 0, 68.71545507, 4, 161);
INSERT INTO public.ecdc_data VALUES (28905, 140, 14134, 150.38555951, 66, 161);
INSERT INTO public.ecdc_data VALUES (28906, 0, 0, 0, 67, 161);
INSERT INTO public.ecdc_data VALUES (28907, 0, 0, 0, 109, 161);
INSERT INTO public.ecdc_data VALUES (28908, 39, 816, 631.16791206, 155, 161);
INSERT INTO public.ecdc_data VALUES (28909, 0, 6, 0.69385041, 5, 161);
INSERT INTO public.ecdc_data VALUES (28910, 0, 1, 0.33823112, 6, 161);
INSERT INTO public.ecdc_data VALUES (28911, 0, 0, 0.06672109, 110, 161);
INSERT INTO public.ecdc_data VALUES (28912, 0, 271, 3.4742099, 7, 161);
INSERT INTO public.ecdc_data VALUES (28913, 62, 4146, 158.33829577, 68, 161);
INSERT INTO public.ecdc_data VALUES (28914, 1, 42, 177.11151843, 8, 161);
INSERT INTO public.ecdc_data VALUES (28915, 0, 0, 21.5557061, 69, 161);
INSERT INTO public.ecdc_data VALUES (28916, 0, 4, 0.7165167, 9, 161);
INSERT INTO public.ecdc_data VALUES (28917, 1, 6, 0.62081101, 10, 161);
INSERT INTO public.ecdc_data VALUES (28918, 42, 1597, 102.41116587, 70, 161);
INSERT INTO public.ecdc_data VALUES (28919, 0, 7, 0.02015646, 111, 161);
INSERT INTO public.ecdc_data VALUES (28920, 202, 7742, 229.29335948, 71, 161);
INSERT INTO public.ecdc_data VALUES (28921, 0, 0, 3.99581145, 11, 161);
INSERT INTO public.ecdc_data VALUES (28922, 0, 0, 1.65412013, 12, 161);
INSERT INTO public.ecdc_data VALUES (28923, 0, 0, 262.54264188, 72, 161);
INSERT INTO public.ecdc_data VALUES (28924, 0, 31, 1.01102193, 13, 161);
INSERT INTO public.ecdc_data VALUES (28925, 43, 2362, 802.47855502, 156, 161);
INSERT INTO public.ecdc_data VALUES (28926, 0, 22, 5.77933493, 73, 161);
INSERT INTO public.ecdc_data VALUES (28927, 0, 33, 216.00386726, 74, 161);
INSERT INTO public.ecdc_data VALUES (28928, 1, 127, 298.55040364, 157, 161);
INSERT INTO public.ecdc_data VALUES (28929, 150, 1887, 1112.43403632, 158, 161);
INSERT INTO public.ecdc_data VALUES (28930, 1, 30, 0.48161915, 14, 161);
INSERT INTO public.ecdc_data VALUES (28931, 3, 1058, 255.54242182, 159, 161);
INSERT INTO public.ecdc_data VALUES (28932, 0, 4, 8.83358653, 15, 161);
INSERT INTO public.ecdc_data VALUES (28933, 0, 0, 36.20766488, 75, 161);
INSERT INTO public.ecdc_data VALUES (28934, 3, 499, 59.52160904, 76, 161);
INSERT INTO public.ecdc_data VALUES (28935, 11, 668, 63.89558629, 77, 161);
INSERT INTO public.ecdc_data VALUES (28936, 11, 220, 3.01928289, 16, 161);
INSERT INTO public.ecdc_data VALUES (28937, 3, 0, 36.30559924, 78, 161);
INSERT INTO public.ecdc_data VALUES (28938, 0, 0, 1.10620937, 17, 161);
INSERT INTO public.ecdc_data VALUES (28939, 0, 0, 0.85784948, 18, 161);
INSERT INTO public.ecdc_data VALUES (28940, 1, 489, 200.17813741, 160, 161);
INSERT INTO public.ecdc_data VALUES (28941, 0, 2, 14.80664697, 19, 161);
INSERT INTO public.ecdc_data VALUES (28942, 4, 399, 5.47561537, 20, 161);
INSERT INTO public.ecdc_data VALUES (28943, 0, 0, 59.31198102, 79, 161);
INSERT INTO public.ecdc_data VALUES (28944, 0, 1, 6.16307496, 161, 161);
INSERT INTO public.ecdc_data VALUES (28945, 0, 0, 0.11236523, 203, 161);
INSERT INTO public.ecdc_data VALUES (28946, 0, 213, 54.80326913, 162, 161);
INSERT INTO public.ecdc_data VALUES (28947, 302, 27228, 847.46689678, 163, 161);
INSERT INTO public.ecdc_data VALUES (28948, 0, 0, 1591.20611562, 204, 161);
INSERT INTO public.ecdc_data VALUES (28949, 0, 0, 4.32665709, 21, 161);
INSERT INTO public.ecdc_data VALUES (28950, 0, 4, 1.27784858, 22, 161);
INSERT INTO public.ecdc_data VALUES (28951, 30, 3157, 1007.21534082, 164, 161);
INSERT INTO public.ecdc_data VALUES (28952, 62, 10824, 308.72371676, 165, 161);
INSERT INTO public.ecdc_data VALUES (28953, 2, 105, 6.5717974, 23, 161);
INSERT INTO public.ecdc_data VALUES (28954, 0, 15, 590.39933543, 166, 161);
INSERT INTO public.ecdc_data VALUES (28955, 71, 1695, 310.27733531, 167, 161);
INSERT INTO public.ecdc_data VALUES (28956, 0, 0, 0, 80, 161);
INSERT INTO public.ecdc_data VALUES (28957, 0, 0, 3.5713648, 81, 161);
INSERT INTO public.ecdc_data VALUES (28958, 5, 156, 853.58199588, 205, 161);
INSERT INTO public.ecdc_data VALUES (28959, 12, 166, 38.56900297, 82, 161);
INSERT INTO public.ecdc_data VALUES (28960, 0, 0, 18.61388596, 168, 161);
INSERT INTO public.ecdc_data VALUES (28961, 1, 26, 3.25731726, 24, 161);
INSERT INTO public.ecdc_data VALUES (28962, 0, 0, 0.31235082, 25, 161);
INSERT INTO public.ecdc_data VALUES (28963, 1, 29, 78.56663792, 83, 161);
INSERT INTO public.ecdc_data VALUES (28964, 0, 11, 1.10982086, 84, 161);
INSERT INTO public.ecdc_data VALUES (28965, 0, 0, 0, 169, 161);
INSERT INTO public.ecdc_data VALUES (28966, 1, 547, 50.1738385, 85, 161);
INSERT INTO public.ecdc_data VALUES (28967, 93, 6495, 661.79898485, 170, 161);
INSERT INTO public.ecdc_data VALUES (28968, 0, 3, 83.75561289, 171, 161);
INSERT INTO public.ecdc_data VALUES (28969, 435, 30548, 45.06776916, 112, 161);
INSERT INTO public.ecdc_data VALUES (28970, 63, 4106, 20.075339, 113, 161);
INSERT INTO public.ecdc_data VALUES (28971, 459, 12543, 170.75184252, 114, 161);
INSERT INTO public.ecdc_data VALUES (28972, 47, 2237, 111.58543741, 115, 161);
INSERT INTO public.ecdc_data VALUES (28973, 1, 377, 120.32445394, 172, 161);
INSERT INTO public.ecdc_data VALUES (28974, 0, 0, 11.82186809, 173, 161);
INSERT INTO public.ecdc_data VALUES (28975, 11, 675, 105.68852896, 116, 161);
INSERT INTO public.ecdc_data VALUES (28976, 546, 33977, 777.33189047, 174, 161);
INSERT INTO public.ecdc_data VALUES (28977, 2, 104, 25.54034102, 86, 161);
INSERT INTO public.ecdc_data VALUES (28978, 0, 0, 11.71682561, 117, 161);
INSERT INTO public.ecdc_data VALUES (28979, 0, 0, 146.5731567, 175, 161);
INSERT INTO public.ecdc_data VALUES (28980, 68, 2373, 671.29315005, 118, 161);
INSERT INTO public.ecdc_data VALUES (28981, 2, 636, 55.97951813, 119, 161);
INSERT INTO public.ecdc_data VALUES (28982, 20, 972, 27.32911519, 26, 161);
INSERT INTO public.ecdc_data VALUES (28983, 13, 501, 496.96803903, 176, 161);
INSERT INTO public.ecdc_data VALUES (28984, 3, 499, 244.968181, 120, 161);
INSERT INTO public.ecdc_data VALUES (28985, 4, 479, 110.72576343, 121, 161);
INSERT INTO public.ecdc_data VALUES (28986, 0, 0, 0, 122, 161);
INSERT INTO public.ecdc_data VALUES (28987, 2, 316, 229.74341239, 177, 161);
INSERT INTO public.ecdc_data VALUES (28988, 11, 1163, 332.75916466, 123, 161);
INSERT INTO public.ecdc_data VALUES (28989, 0, 0, 4.42297368, 27, 161);
INSERT INTO public.ecdc_data VALUES (28990, 0, 9, 1.64054819, 28, 161);
INSERT INTO public.ecdc_data VALUES (28991, 22, 974, 170.5212858, 29, 161);
INSERT INTO public.ecdc_data VALUES (28992, 0, 15, 1130.85621971, 178, 161);
INSERT INTO public.ecdc_data VALUES (28993, 11, 1371, 681.3796085, 179, 161);
INSERT INTO public.ecdc_data VALUES (28994, 3, 613, 1264.38766302, 180, 161);
INSERT INTO public.ecdc_data VALUES (28995, 0, 0, 0.45236611, 30, 161);
INSERT INTO public.ecdc_data VALUES (28996, 0, 1, 0.17714555, 31, 161);
INSERT INTO public.ecdc_data VALUES (28997, 3, 1208, 46.67323468, 124, 161);
INSERT INTO public.ecdc_data VALUES (28998, 1, 50, 94.73460186, 125, 161);
INSERT INTO public.ecdc_data VALUES (28999, 0, 62, 1.64309504, 32, 161);
INSERT INTO public.ecdc_data VALUES (29000, 1, 103, 351.73099873, 181, 161);
INSERT INTO public.ecdc_data VALUES (29001, 0, 0, 0, 206, 161);
INSERT INTO public.ecdc_data VALUES (29002, 0, 0, 3.71213457, 33, 161);
INSERT INTO public.ecdc_data VALUES (29003, 0, 8, 2.52033993, 34, 161);
INSERT INTO public.ecdc_data VALUES (29004, 283, 3269, 60.4583031, 87, 161);
INSERT INTO public.ecdc_data VALUES (29005, 13, 507, 314.02893409, 182, 161);
INSERT INTO public.ecdc_data VALUES (29006, 0, 3, 550.09823183, 183, 161);
INSERT INTO public.ecdc_data VALUES (29007, 0, 3, 2.54250479, 126, 161);
INSERT INTO public.ecdc_data VALUES (29008, 6, 491, 1360.21292805, 184, 161);
INSERT INTO public.ecdc_data VALUES (29009, 0, 0, 0, 88, 161);
INSERT INTO public.ecdc_data VALUES (29010, 82, 4966, 193.66487491, 35, 161);
INSERT INTO public.ecdc_data VALUES (29011, 3, 108, 4.80800215, 36, 161);
INSERT INTO public.ecdc_data VALUES (29012, 25, 983, 28.84425623, 127, 161);
INSERT INTO public.ecdc_data VALUES (29013, 0, 59, 20.84566033, 37, 161);
INSERT INTO public.ecdc_data VALUES (29014, 6, 1477, 126.56632778, 128, 161);
INSERT INTO public.ecdc_data VALUES (29015, 43, 5408, 508.60531752, 185, 161);
INSERT INTO public.ecdc_data VALUES (29016, 0, 0, 0.70732113, 207, 161);
INSERT INTO public.ecdc_data VALUES (29017, 0, 0, 0.79447015, 208, 161);
INSERT INTO public.ecdc_data VALUES (29018, 0, 0, 2.24581671, 89, 161);
INSERT INTO public.ecdc_data VALUES (29019, 0, 6, 0.36892899, 38, 161);
INSERT INTO public.ecdc_data VALUES (29020, 0, 152, 1.08676395, 39, 161);
INSERT INTO public.ecdc_data VALUES (29021, 24, 988, 703.56626348, 186, 161);
INSERT INTO public.ecdc_data VALUES (29022, 0, 2, 10.48712705, 209, 161);
INSERT INTO public.ecdc_data VALUES (29023, 0, 0, 143.81935253, 187, 161);
INSERT INTO public.ecdc_data VALUES (29024, 12, 947, 93.56798966, 129, 161);
INSERT INTO public.ecdc_data VALUES (29025, 19, 2128, 11.05393991, 130, 161);
INSERT INTO public.ecdc_data VALUES (29026, 7, 976, 191.190387, 131, 161);
INSERT INTO public.ecdc_data VALUES (29027, 6, 1344, 290.0547282, 90, 161);
INSERT INTO public.ecdc_data VALUES (29028, 0, 0, 0.11394558, 210, 161);
INSERT INTO public.ecdc_data VALUES (29029, 18, 509, 111.33288732, 91, 161);
INSERT INTO public.ecdc_data VALUES (29030, 54, 2112, 98.73744643, 92, 161);
INSERT INTO public.ecdc_data VALUES (29031, 41, 1501, 22.868824, 132, 161);
INSERT INTO public.ecdc_data VALUES (29032, 303, 21854, 877.12756169, 188, 161);
INSERT INTO public.ecdc_data VALUES (29033, 76, 6035, 709.96126449, 189, 161);
INSERT INTO public.ecdc_data VALUES (29034, 14, 1117, 387.36566801, 93, 161);
INSERT INTO public.ecdc_data VALUES (29035, 0, 0, 108.22468787, 133, 161);
INSERT INTO public.ecdc_data VALUES (29036, 113, 7096, 585.22365136, 190, 161);
INSERT INTO public.ecdc_data VALUES (29037, 352, 22572, 198.14870901, 191, 161);
INSERT INTO public.ecdc_data VALUES (29038, 3, 61, 2.4471491, 40, 161);
INSERT INTO public.ecdc_data VALUES (29039, 0, 0, 0, 94, 161);
INSERT INTO public.ecdc_data VALUES (29040, 0, 9, 47.59429963, 95, 161);
INSERT INTO public.ecdc_data VALUES (29041, 0, 0, 2.71264908, 96, 161);
INSERT INTO public.ecdc_data VALUES (29042, 0, 0, 943.31408005, 192, 161);
INSERT INTO public.ecdc_data VALUES (29043, 0, 1, 7.4401994, 41, 161);
INSERT INTO public.ecdc_data VALUES (29044, 16, 305, 16.33860619, 134, 161);
INSERT INTO public.ecdc_data VALUES (29045, 1, 14, 1.00022324, 42, 161);
INSERT INTO public.ecdc_data VALUES (29046, 20, 3482, 519.33121226, 193, 161);
INSERT INTO public.ecdc_data VALUES (29047, 0, 0, 5.11556051, 43, 161);
INSERT INTO public.ecdc_data VALUES (29048, 0, 0, 0.31997104, 44, 161);
INSERT INTO public.ecdc_data VALUES (29049, 0, 3, 1.72284787, 135, 161);
INSERT INTO public.ecdc_data VALUES (29050, 0, 10, 240.62846493, 97, 161);
INSERT INTO public.ecdc_data VALUES (29051, 0, 1200, 492.09042751, 194, 161);
INSERT INTO public.ecdc_data VALUES (29052, 11, 920, 931.94893768, 195, 161);
INSERT INTO public.ecdc_data VALUES (29053, 0, 0, 1.19434894, 211, 161);
INSERT INTO public.ecdc_data VALUES (29054, 0, 0, 2.33116746, 45, 161);
INSERT INTO public.ecdc_data VALUES (29055, 35, 1842, 41.32806731, 46, 161);
INSERT INTO public.ecdc_data VALUES (29056, 1, 223, 3.97654902, 136, 161);
INSERT INTO public.ecdc_data VALUES (29057, 0, 0, 0.69606949, 47, 161);
INSERT INTO public.ecdc_data VALUES (29058, 484, 38273, 545.76703356, 196, 161);
INSERT INTO public.ecdc_data VALUES (29059, 5, 704, 29.20220258, 137, 161);
INSERT INTO public.ecdc_data VALUES (29060, 0, 225, 1.88493106, 48, 161);
INSERT INTO public.ecdc_data VALUES (29061, 0, 0, 11.00861252, 98, 161);
INSERT INTO public.ecdc_data VALUES (29062, 39, 1582, 551.73977792, 197, 161);
INSERT INTO public.ecdc_data VALUES (29063, 0, 0, 1199.10674985, 198, 161);
INSERT INTO public.ecdc_data VALUES (29064, 4, 71, 5.24307603, 138, 161);
INSERT INTO public.ecdc_data VALUES (29065, 0, 1, 0.16825187, 139, 161);
INSERT INTO public.ecdc_data VALUES (29066, 0, 37, 5.96501049, 140, 161);
INSERT INTO public.ecdc_data VALUES (29067, 0, 1, 0.12639033, 141, 161);
INSERT INTO public.ecdc_data VALUES (29068, 0, 0, 0, 142, 161);
INSERT INTO public.ecdc_data VALUES (29069, 0, 24, 3.93449487, 49, 161);
INSERT INTO public.ecdc_data VALUES (29070, 0, 3, 29.53470651, 99, 161);
INSERT INTO public.ecdc_data VALUES (29071, 66, 1065, 158.17393164, 50, 161);
INSERT INTO public.ecdc_data VALUES (29072, 89, 3223, 44.88202156, 199, 161);
INSERT INTO public.ecdc_data VALUES (29073, 0, 0, 41.89139655, 100, 161);
INSERT INTO public.ecdc_data VALUES (29074, 1, 618, 7.4023731, 51, 161);
INSERT INTO public.ecdc_data VALUES (29075, 95, 10681, 319.17565908, 200, 161);
INSERT INTO public.ecdc_data VALUES (29076, 2, 1210, 168.24068633, 143, 161);
INSERT INTO public.ecdc_data VALUES (29077, 168, 24962, 501.75317424, 201, 161);
INSERT INTO public.ecdc_data VALUES (29078, 0, 0, 0, 52, 161);
INSERT INTO public.ecdc_data VALUES (29079, 614, 132170, 556.02980004, 101, 161);
INSERT INTO public.ecdc_data VALUES (29080, 0, 0, 55.46046529, 102, 161);
INSERT INTO public.ecdc_data VALUES (29081, 1, 73, 25.44969554, 103, 161);
INSERT INTO public.ecdc_data VALUES (29082, 4, 563, 9.3597316, 144, 161);
INSERT INTO public.ecdc_data VALUES (29083, 0, 0, 0, 212, 161);
INSERT INTO public.ecdc_data VALUES (29084, 7, 911, 17.62880539, 104, 161);
INSERT INTO public.ecdc_data VALUES (29085, 0, 16, 0.10470433, 145, 161);
INSERT INTO public.ecdc_data VALUES (29086, 0, 0, 0, 213, 161);
INSERT INTO public.ecdc_data VALUES (29087, 0, 0, 0, 53, 161);
INSERT INTO public.ecdc_data VALUES (29088, 0, 0, 0.01714565, 146, 161);
INSERT INTO public.ecdc_data VALUES (29089, 3, 26, 3.60001554, 54, 161);
INSERT INTO public.ecdc_data VALUES (29090, 0, 0, 2.81315598, 55, 161);
INSERT INTO public.ecdc_data VALUES (29091, 0, 0, 1.94785956, 105, 162);
INSERT INTO public.ecdc_data VALUES (29092, 5, 257, 84.05454532, 147, 162);
INSERT INTO public.ecdc_data VALUES (29093, 9, 193, 4.84750745, 1, 162);
INSERT INTO public.ecdc_data VALUES (29094, 0, 0, 1496.51469604, 148, 162);
INSERT INTO public.ecdc_data VALUES (29095, 5, 166, 5.88839715, 2, 162);
INSERT INTO public.ecdc_data VALUES (29096, 0, 0, 0, 56, 162);
INSERT INTO public.ecdc_data VALUES (29097, 0, 0, 6.17824229, 57, 162);
INSERT INTO public.ecdc_data VALUES (29098, 421, 17096, 411.02774802, 58, 162);
INSERT INTO public.ecdc_data VALUES (29099, 7, 1371, 309.19002694, 149, 162);
INSERT INTO public.ecdc_data VALUES (29100, 0, 30, 269.96519612, 59, 162);
INSERT INTO public.ecdc_data VALUES (29101, 0, 21, 1.05542153, 202, 162);
INSERT INTO public.ecdc_data VALUES (29102, 6, 1396, 163.08123866, 150, 162);
INSERT INTO public.ecdc_data VALUES (29103, 3, 530, 29.56890017, 151, 162);
INSERT INTO public.ecdc_data VALUES (29104, 0, 0, 299.11216321, 60, 162);
INSERT INTO public.ecdc_data VALUES (29105, 2, 333, 340.00258353, 106, 162);
INSERT INTO public.ecdc_data VALUES (29106, 15, 1600, 12.0039616, 107, 162);
INSERT INTO public.ecdc_data VALUES (29107, 0, 3, 8.71016406, 61, 162);
INSERT INTO public.ecdc_data VALUES (29108, 5, 613, 71.04009147, 152, 162);
INSERT INTO public.ecdc_data VALUES (29109, 35, 11818, 727.23898411, 153, 162);
INSERT INTO public.ecdc_data VALUES (29110, 1, 63, 168.05387971, 62, 162);
INSERT INTO public.ecdc_data VALUES (29111, 0, 18, 1.17785121, 3, 162);
INSERT INTO public.ecdc_data VALUES (29112, 0, 0, 6.3991809, 63, 162);
INSERT INTO public.ecdc_data VALUES (29113, 0, 0, 4.45554545, 108, 162);
INSERT INTO public.ecdc_data VALUES (29114, 30, 178, 31.2947805, 64, 162);
INSERT INTO public.ecdc_data VALUES (29115, 0, 0, 169.34149251, 65, 162);
INSERT INTO public.ecdc_data VALUES (29116, 15, 578, 135.86800113, 154, 162);
INSERT INTO public.ecdc_data VALUES (29117, 0, 203, 89.85533291, 4, 162);
INSERT INTO public.ecdc_data VALUES (29118, 713, 28523, 152.71013245, 66, 162);
INSERT INTO public.ecdc_data VALUES (29119, 0, 0, 0, 67, 162);
INSERT INTO public.ecdc_data VALUES (29120, 0, 0, 0.23078911, 109, 162);
INSERT INTO public.ecdc_data VALUES (29121, 15, 914, 91.58520403, 155, 162);
INSERT INTO public.ecdc_data VALUES (29122, 2, 30, 1.21546846, 5, 162);
INSERT INTO public.ecdc_data VALUES (29123, 0, 0, 0.16477926, 6, 162);
INSERT INTO public.ecdc_data VALUES (29124, 0, 0, 0.03639332, 110, 162);
INSERT INTO public.ecdc_data VALUES (29125, 0, 0, 2.33030987, 7, 162);
INSERT INTO public.ecdc_data VALUES (29126, 35, 2345, 83.38982736, 68, 162);
INSERT INTO public.ecdc_data VALUES (29127, 0, 73, 239.66425184, 8, 162);
INSERT INTO public.ecdc_data VALUES (29128, 0, 0, 21.5557061, 69, 162);
INSERT INTO public.ecdc_data VALUES (29129, 0, 0, 0.54792454, 9, 162);
INSERT INTO public.ecdc_data VALUES (29130, 0, 21, 0.92181029, 10, 162);
INSERT INTO public.ecdc_data VALUES (29131, 19, 1124, 114.74229548, 70, 162);
INSERT INTO public.ecdc_data VALUES (29132, 0, 36, 0.02357399, 111, 162);
INSERT INTO public.ecdc_data VALUES (29133, 151, 6823, 201.9152258, 71, 162);
INSERT INTO public.ecdc_data VALUES (29134, 0, 0, 1.41028639, 11, 162);
INSERT INTO public.ecdc_data VALUES (29135, 0, 0, 1.24523651, 12, 162);
INSERT INTO public.ecdc_data VALUES (29136, 25, 1372, 323.40371914, 72, 162);
INSERT INTO public.ecdc_data VALUES (29137, 0, 40, 1.95205003, 13, 162);
INSERT INTO public.ecdc_data VALUES (29138, 10, 793, 140.00627048, 156, 162);
INSERT INTO public.ecdc_data VALUES (29139, 0, 27, 3.45877755, 73, 162);
INSERT INTO public.ecdc_data VALUES (29140, 0, 28, 167.66305844, 74, 162);
INSERT INTO public.ecdc_data VALUES (29141, 0, 51, 46.69488149, 157, 162);
INSERT INTO public.ecdc_data VALUES (29142, 58, 9720, 701.93806456, 158, 162);
INSERT INTO public.ecdc_data VALUES (29143, 0, 35, 0.3283767, 14, 162);
INSERT INTO public.ecdc_data VALUES (29144, 2, 430, 96.91563035, 159, 162);
INSERT INTO public.ecdc_data VALUES (29145, 0, 3, 2.67061918, 15, 162);
INSERT INTO public.ecdc_data VALUES (29146, 0, 1, 2.78520499, 75, 162);
INSERT INTO public.ecdc_data VALUES (29147, 3, 404, 68.33065818, 76, 162);
INSERT INTO public.ecdc_data VALUES (29148, 42, 1277, 67.78077868, 77, 162);
INSERT INTO public.ecdc_data VALUES (29149, 11, 118, 1.70936636, 16, 162);
INSERT INTO public.ecdc_data VALUES (29150, 8, 295, 29.22422543, 78, 162);
INSERT INTO public.ecdc_data VALUES (29151, 0, 0, 1.69618771, 17, 162);
INSERT INTO public.ecdc_data VALUES (29152, 0, 0, 1.11520432, 18, 162);
INSERT INTO public.ecdc_data VALUES (29153, 0, 33, 40.0054347, 160, 162);
INSERT INTO public.ecdc_data VALUES (29154, 1, 18, 20.29381613, 19, 162);
INSERT INTO public.ecdc_data VALUES (29155, 13, 739, 9.87787807, 20, 162);
INSERT INTO public.ecdc_data VALUES (29156, 0, 0, 0, 79, 162);
INSERT INTO public.ecdc_data VALUES (29157, 0, 2, 16.43486657, 161, 162);
INSERT INTO public.ecdc_data VALUES (29158, 0, 0, 0, 203, 162);
INSERT INTO public.ecdc_data VALUES (29159, 0, 291, 52.39294016, 162, 162);
INSERT INTO public.ecdc_data VALUES (29160, 88, 30621, 346.46920056, 163, 162);
INSERT INTO public.ecdc_data VALUES (29161, 0, 62, 638.41595503, 204, 162);
INSERT INTO public.ecdc_data VALUES (29162, 0, 0, 4.74091149, 21, 162);
INSERT INTO public.ecdc_data VALUES (29163, 0, 0, 2.55569716, 22, 162);
INSERT INTO public.ecdc_data VALUES (29164, 4, 919, 183.82380537, 164, 162);
INSERT INTO public.ecdc_data VALUES (29165, 24, 7334, 65.24031973, 165, 162);
INSERT INTO public.ecdc_data VALUES (29166, 0, 47, 1.69965946, 23, 162);
INSERT INTO public.ecdc_data VALUES (29167, 0, 15, 358.98653059, 166, 162);
INSERT INTO public.ecdc_data VALUES (29168, 13, 452, 47.19057561, 167, 162);
INSERT INTO public.ecdc_data VALUES (29169, 0, 0, 3.52982704, 80, 162);
INSERT INTO public.ecdc_data VALUES (29170, 0, 0, 0.8928412, 81, 162);
INSERT INTO public.ecdc_data VALUES (29171, 2, 86, 524.22367674, 205, 162);
INSERT INTO public.ecdc_data VALUES (29172, 23, 671, 41.83949061, 82, 162);
INSERT INTO public.ecdc_data VALUES (29173, 0, 0, 3.10231433, 168, 162);
INSERT INTO public.ecdc_data VALUES (29174, 0, 67, 4.72154401, 24, 162);
INSERT INTO public.ecdc_data VALUES (29175, 0, 0, 3.17556667, 25, 162);
INSERT INTO public.ecdc_data VALUES (29176, 1, 31, 88.27568586, 83, 162);
INSERT INTO public.ecdc_data VALUES (29177, 0, 17, 1.41169213, 84, 162);
INSERT INTO public.ecdc_data VALUES (29178, 0, 7, 1717.79141104, 169, 162);
INSERT INTO public.ecdc_data VALUES (29179, 19, 631, 87.12189421, 85, 162);
INSERT INTO public.ecdc_data VALUES (29180, 33, 1293, 147.28700891, 170, 162);
INSERT INTO public.ecdc_data VALUES (29181, 0, 80, 299.1672059, 171, 162);
INSERT INTO public.ecdc_data VALUES (29182, 895, 63371, 71.45691687, 112, 162);
INSERT INTO public.ecdc_data VALUES (29183, 112, 4411, 21.42369645, 113, 162);
INSERT INTO public.ecdc_data VALUES (29184, 256, 4616, 68.4939495, 114, 162);
INSERT INTO public.ecdc_data VALUES (29185, 65, 3587, 125.48528307, 115, 162);
INSERT INTO public.ecdc_data VALUES (29186, 3, 1186, 200.47958501, 172, 162);
INSERT INTO public.ecdc_data VALUES (29187, 0, 0, 9.45749447, 173, 162);
INSERT INTO public.ecdc_data VALUES (29188, 28, 948, 521.5172525, 116, 162);
INSERT INTO public.ecdc_data VALUES (29189, 83, 8803, 106.35103186, 174, 162);
INSERT INTO public.ecdc_data VALUES (29190, 9, 78, 51.28419073, 86, 162);
INSERT INTO public.ecdc_data VALUES (29191, 4, 721, 5.68814677, 117, 162);
INSERT INTO public.ecdc_data VALUES (29192, 0, 3, 65.8651527, 175, 162);
INSERT INTO public.ecdc_data VALUES (29193, 25, 2459, 197.07579825, 118, 162);
INSERT INTO public.ecdc_data VALUES (29194, 3, 433, 18.89342427, 119, 162);
INSERT INTO public.ecdc_data VALUES (29195, 8, 602, 8.42622357, 26, 162);
INSERT INTO public.ecdc_data VALUES (29196, 0, 77, 46.64983047, 176, 162);
INSERT INTO public.ecdc_data VALUES (29197, 8, 746, 198.21362908, 120, 162);
INSERT INTO public.ecdc_data VALUES (29198, 4, 431, 61.78447723, 121, 162);
INSERT INTO public.ecdc_data VALUES (29199, 0, 0, 0, 122, 162);
INSERT INTO public.ecdc_data VALUES (29200, 0, 114, 61.87603127, 177, 162);
INSERT INTO public.ecdc_data VALUES (29201, 2, 1499, 260.5565668, 123, 162);
INSERT INTO public.ecdc_data VALUES (29202, 0, 0, 9.12826483, 27, 162);
INSERT INTO public.ecdc_data VALUES (29203, 0, 2, 0.62786412, 28, 162);
INSERT INTO public.ecdc_data VALUES (29204, 12, 855, 169.20810812, 29, 162);
INSERT INTO public.ecdc_data VALUES (29205, 0, 22, 148.52259107, 178, 162);
INSERT INTO public.ecdc_data VALUES (29206, 1, 255, 70.71832063, 179, 162);
INSERT INTO public.ecdc_data VALUES (29207, 0, 214, 268.6131482, 180, 162);
INSERT INTO public.ecdc_data VALUES (29208, 0, 0, 1.11237568, 30, 162);
INSERT INTO public.ecdc_data VALUES (29209, 0, 7, 0.30597868, 31, 162);
INSERT INTO public.ecdc_data VALUES (29210, 3, 589, 20.79825942, 124, 162);
INSERT INTO public.ecdc_data VALUES (29211, 0, 51, 142.94942905, 125, 162);
INSERT INTO public.ecdc_data VALUES (29212, 0, 16, 1.20561462, 32, 162);
INSERT INTO public.ecdc_data VALUES (29213, 0, 122, 231.78586552, 181, 162);
INSERT INTO public.ecdc_data VALUES (29214, 0, 0, 1.39205046, 33, 162);
INSERT INTO public.ecdc_data VALUES (29215, 0, 0, 2.04777619, 34, 162);
INSERT INTO public.ecdc_data VALUES (29216, 387, 1470, 41.14111884, 87, 162);
INSERT INTO public.ecdc_data VALUES (29217, 16, 652, 272.35462095, 182, 162);
INSERT INTO public.ecdc_data VALUES (29218, 0, 5, 102.76560375, 183, 162);
INSERT INTO public.ecdc_data VALUES (29219, 0, 0, 0.21704309, 126, 162);
INSERT INTO public.ecdc_data VALUES (29220, 4, 211, 592.27042891, 184, 162);
INSERT INTO public.ecdc_data VALUES (29221, 0, 0, 0, 88, 162);
INSERT INTO public.ecdc_data VALUES (29222, 46, 3317, 103.10989602, 35, 162);
INSERT INTO public.ecdc_data VALUES (29223, 0, 145, 5.43040791, 36, 162);
INSERT INTO public.ecdc_data VALUES (29224, 33, 1026, 33.24610917, 127, 162);
INSERT INTO public.ecdc_data VALUES (29225, 0, 34, 29.26410008, 37, 162);
INSERT INTO public.ecdc_data VALUES (29226, 19, 3749, 146.86783381, 128, 162);
INSERT INTO public.ecdc_data VALUES (29227, 29, 7779, 461.43529603, 185, 162);
INSERT INTO public.ecdc_data VALUES (29228, 0, 0, 0, 207, 162);
INSERT INTO public.ecdc_data VALUES (29229, 0, 4, 0.6690275, 208, 162);
INSERT INTO public.ecdc_data VALUES (29230, 0, 0, 2.79581264, 89, 162);
INSERT INTO public.ecdc_data VALUES (29231, 0, 2, 0.04289872, 38, 162);
INSERT INTO public.ecdc_data VALUES (29232, 0, 0, 0.91210546, 39, 162);
INSERT INTO public.ecdc_data VALUES (29233, 6, 534, 194.11380692, 186, 162);
INSERT INTO public.ecdc_data VALUES (29234, 0, 3, 12.23498156, 209, 162);
INSERT INTO public.ecdc_data VALUES (29235, 1, 162, 36.14721036, 187, 162);
INSERT INTO public.ecdc_data VALUES (29236, 10, 520, 195.19629378, 129, 162);
INSERT INTO public.ecdc_data VALUES (29237, 7, 659, 3.89997813, 130, 162);
INSERT INTO public.ecdc_data VALUES (29238, 8, 442, 128.05580415, 131, 162);
INSERT INTO public.ecdc_data VALUES (29239, 10, 755, 224.68232213, 90, 162);
INSERT INTO public.ecdc_data VALUES (29240, 0, 0, 0.44438778, 210, 162);
INSERT INTO public.ecdc_data VALUES (29241, 19, 751, 153.26548316, 91, 162);
INSERT INTO public.ecdc_data VALUES (29242, 65, 2789, 127.47588761, 92, 162);
INSERT INTO public.ecdc_data VALUES (29243, 48, 2162, 32.02005331, 132, 162);
INSERT INTO public.ecdc_data VALUES (29244, 91, 8099, 148.58525621, 188, 162);
INSERT INTO public.ecdc_data VALUES (29245, 11, 2101, 164.43154396, 189, 162);
INSERT INTO public.ecdc_data VALUES (29246, 1, 569, 239.24423639, 93, 162);
INSERT INTO public.ecdc_data VALUES (29247, 2, 200, 100.42121119, 133, 162);
INSERT INTO public.ecdc_data VALUES (29248, 73, 4013, 200.01588507, 190, 162);
INSERT INTO public.ecdc_data VALUES (29249, 286, 13754, 115.80817353, 191, 162);
INSERT INTO public.ecdc_data VALUES (29250, 0, 13, 0.8711534, 40, 162);
INSERT INTO public.ecdc_data VALUES (29251, 0, 0, 0, 94, 162);
INSERT INTO public.ecdc_data VALUES (29252, 0, 0, 2.18824366, 95, 162);
INSERT INTO public.ecdc_data VALUES (29253, 0, 0, 0, 96, 162);
INSERT INTO public.ecdc_data VALUES (29254, 0, 7, 78.36763127, 192, 162);
INSERT INTO public.ecdc_data VALUES (29255, 0, 0, 8.37022432, 41, 162);
INSERT INTO public.ecdc_data VALUES (29256, 19, 472, 17.40664153, 134, 162);
INSERT INTO public.ecdc_data VALUES (29257, 0, 17, 2.0188555, 42, 162);
INSERT INTO public.ecdc_data VALUES (29258, 2, 203, 25.7332098, 193, 162);
INSERT INTO public.ecdc_data VALUES (29259, 0, 1, 5.11556051, 43, 162);
INSERT INTO public.ecdc_data VALUES (29260, 0, 8, 1.08790155, 44, 162);
INSERT INTO public.ecdc_data VALUES (29261, 0, 3, 1.8606757, 135, 162);
INSERT INTO public.ecdc_data VALUES (29262, 0, 8, 162.77807922, 97, 162);
INSERT INTO public.ecdc_data VALUES (29263, 5, 1929, 243.77933374, 194, 162);
INSERT INTO public.ecdc_data VALUES (29264, 5, 746, 231.58159803, 195, 162);
INSERT INTO public.ecdc_data VALUES (29265, 0, 2, 0, 211, 162);
INSERT INTO public.ecdc_data VALUES (29266, 0, 0, 1.75485106, 45, 162);
INSERT INTO public.ecdc_data VALUES (29267, 158, 1770, 37.74018791, 46, 162);
INSERT INTO public.ecdc_data VALUES (29268, 2, 47, 2.1141888, 136, 162);
INSERT INTO public.ecdc_data VALUES (29269, 0, 9, 0.93110594, 47, 162);
INSERT INTO public.ecdc_data VALUES (29270, 222, 15186, 312.39280858, 196, 162);
INSERT INTO public.ecdc_data VALUES (29271, 0, 74, 8.73205415, 137, 162);
INSERT INTO public.ecdc_data VALUES (29272, 0, 0, 0.0887576, 48, 162);
INSERT INTO public.ecdc_data VALUES (29273, 1, 11, 34.91794283, 98, 162);
INSERT INTO public.ecdc_data VALUES (29274, 3, 902, 85.63872501, 197, 162);
INSERT INTO public.ecdc_data VALUES (29275, 3, 2690, 203.96681993, 198, 162);
INSERT INTO public.ecdc_data VALUES (29276, 4, 48, 4.00699889, 138, 162);
INSERT INTO public.ecdc_data VALUES (29277, 0, 5, 0.07571334, 139, 162);
INSERT INTO public.ecdc_data VALUES (29278, 1, 38, 6.04010955, 140, 162);
INSERT INTO public.ecdc_data VALUES (29279, 0, 4, 0.13500785, 141, 162);
INSERT INTO public.ecdc_data VALUES (29280, 0, 0, 0.07733234, 142, 162);
INSERT INTO public.ecdc_data VALUES (29281, 0, 13, 2.31368094, 49, 162);
INSERT INTO public.ecdc_data VALUES (29282, 0, 40, 44.73217684, 99, 162);
INSERT INTO public.ecdc_data VALUES (29283, 0, 0, 140.03754344, 50, 162);
INSERT INTO public.ecdc_data VALUES (29284, 66, 1693, 26.91701839, 199, 162);
INSERT INTO public.ecdc_data VALUES (29285, 0, 0, 15.70927371, 100, 162);
INSERT INTO public.ecdc_data VALUES (29286, 1, 48, 4.13376343, 51, 162);
INSERT INTO public.ecdc_data VALUES (29287, 73, 5062, 164.29646438, 200, 162);
INSERT INTO public.ecdc_data VALUES (29288, 2, 1398, 164.66871896, 143, 162);
INSERT INTO public.ecdc_data VALUES (29289, 138, 18978, 320.25993865, 201, 162);
INSERT INTO public.ecdc_data VALUES (29290, 0, 0, 0, 52, 162);
INSERT INTO public.ecdc_data VALUES (29291, 828, 63785, 213.35334268, 101, 162);
INSERT INTO public.ecdc_data VALUES (29292, 1, 1, 7.64971935, 102, 162);
INSERT INTO public.ecdc_data VALUES (29293, 0, 79, 10.28387243, 103, 162);
INSERT INTO public.ecdc_data VALUES (29294, 3, 309, 15.25087461, 144, 162);
INSERT INTO public.ecdc_data VALUES (29295, 6, 464, 33.10442071, 104, 162);
INSERT INTO public.ecdc_data VALUES (29296, 0, 2, 0.03006362, 145, 162);
INSERT INTO public.ecdc_data VALUES (29297, 0, 0, 0, 53, 162);
INSERT INTO public.ecdc_data VALUES (29298, 0, 0, 0.06515346, 146, 162);
INSERT INTO public.ecdc_data VALUES (29299, 1, 43, 4.79815446, 54, 162);
INSERT INTO public.ecdc_data VALUES (29300, 0, 20, 1.53631091, 55, 162);
INSERT INTO public.ecdc_data VALUES (29301, 10, 40, 1.70864874, 105, 163);
INSERT INTO public.ecdc_data VALUES (29302, 2, 152, 72.17651315, 147, 163);
INSERT INTO public.ecdc_data VALUES (29303, 12, 238, 9.06091354, 1, 163);
INSERT INTO public.ecdc_data VALUES (29304, 0, 0, 333.43397613, 148, 163);
INSERT INTO public.ecdc_data VALUES (29305, 0, 51, 2.46659112, 2, 163);
INSERT INTO public.ecdc_data VALUES (29306, 0, 0, 0, 56, 163);
INSERT INTO public.ecdc_data VALUES (29307, 0, 0, 1.02970705, 57, 163);
INSERT INTO public.ecdc_data VALUES (29308, 298, 9908, 329.85210696, 58, 163);
INSERT INTO public.ecdc_data VALUES (29309, 1, 150, 75.76761622, 149, 163);
INSERT INTO public.ecdc_data VALUES (29310, 2, 92, 985.79625623, 59, 163);
INSERT INTO public.ecdc_data VALUES (29311, 0, 46, 3.64636237, 202, 163);
INSERT INTO public.ecdc_data VALUES (29312, 0, 860, 79.05156187, 150, 163);
INSERT INTO public.ecdc_data VALUES (29313, 2, 114, 19.29791229, 151, 163);
INSERT INTO public.ecdc_data VALUES (29314, 1, 24, 194.10197029, 60, 163);
INSERT INTO public.ecdc_data VALUES (29315, 0, 658, 547.96473722, 106, 163);
INSERT INTO public.ecdc_data VALUES (29316, 43, 1724, 16.01386866, 107, 163);
INSERT INTO public.ecdc_data VALUES (29317, 0, 1, 2.7872525, 61, 163);
INSERT INTO public.ecdc_data VALUES (29318, 5, 192, 27.40042247, 152, 163);
INSERT INTO public.ecdc_data VALUES (29319, 3, 1628, 95.20301961, 153, 163);
INSERT INTO public.ecdc_data VALUES (29320, 0, 27, 122.45389406, 62, 163);
INSERT INTO public.ecdc_data VALUES (29321, 0, 0, 1.03379747, 3, 163);
INSERT INTO public.ecdc_data VALUES (29322, 0, 0, 7.99897613, 63, 163);
INSERT INTO public.ecdc_data VALUES (29323, 0, 0, 2.48986363, 108, 163);
INSERT INTO public.ecdc_data VALUES (29324, 53, 667, 95.70835036, 64, 163);
INSERT INTO public.ecdc_data VALUES (29325, 0, 1, 50.0327137, 65, 163);
INSERT INTO public.ecdc_data VALUES (29326, 20, 294, 111.78437551, 154, 163);
INSERT INTO public.ecdc_data VALUES (29327, 0, 0, 32.07878793, 4, 163);
INSERT INTO public.ecdc_data VALUES (29328, 1113, 36653, 204.37478467, 66, 163);
INSERT INTO public.ecdc_data VALUES (29329, 0, 0, 63.26374322, 67, 163);
INSERT INTO public.ecdc_data VALUES (29330, 0, 0, 0.23078911, 109, 163);
INSERT INTO public.ecdc_data VALUES (29331, 6, 155, 27.85698765, 155, 163);
INSERT INTO public.ecdc_data VALUES (29332, 0, 16, 1.76169112, 5, 163);
INSERT INTO public.ecdc_data VALUES (29333, 0, 0, 0.23416001, 6, 163);
INSERT INTO public.ecdc_data VALUES (29334, 0, 0, 0.00606555, 110, 163);
INSERT INTO public.ecdc_data VALUES (29335, 0, 43, 3.3312224, 7, 163);
INSERT INTO public.ecdc_data VALUES (29336, 9, 793, 25.06746806, 68, 163);
INSERT INTO public.ecdc_data VALUES (29337, 1, 65, 169.83794478, 8, 163);
INSERT INTO public.ecdc_data VALUES (29338, 0, 0, 4.61907988, 69, 163);
INSERT INTO public.ecdc_data VALUES (29339, 0, 0, 1.28551526, 9, 163);
INSERT INTO public.ecdc_data VALUES (29340, 0, 2, 0.43895728, 10, 163);
INSERT INTO public.ecdc_data VALUES (29341, 27, 1550, 131.05716616, 70, 163);
INSERT INTO public.ecdc_data VALUES (29342, 1, 24, 0.02155137, 111, 163);
INSERT INTO public.ecdc_data VALUES (29343, 165, 6698, 207.63241262, 71, 163);
INSERT INTO public.ecdc_data VALUES (29344, 0, 1, 3.99581145, 11, 163);
INSERT INTO public.ecdc_data VALUES (29345, 0, 0, 5.68719956, 12, 163);
INSERT INTO public.ecdc_data VALUES (29346, 12, 787, 316.07344617, 72, 163);
INSERT INTO public.ecdc_data VALUES (29347, 0, 34, 3.87688024, 13, 163);
INSERT INTO public.ecdc_data VALUES (29348, 3, 151, 81.81547434, 156, 163);
INSERT INTO public.ecdc_data VALUES (29349, 0, 77, 6.51167814, 73, 163);
INSERT INTO public.ecdc_data VALUES (29350, 0, 12, 61.80280621, 74, 163);
INSERT INTO public.ecdc_data VALUES (29351, 0, 6, 5.70842072, 157, 163);
INSERT INTO public.ecdc_data VALUES (29352, 11, 1674, 129.38271141, 158, 163);
INSERT INTO public.ecdc_data VALUES (29353, 3, 12, 0.34335528, 14, 163);
INSERT INTO public.ecdc_data VALUES (29354, 0, 329, 52.44501412, 159, 163);
INSERT INTO public.ecdc_data VALUES (29355, 0, 0, 0.9244451, 15, 163);
INSERT INTO public.ecdc_data VALUES (29356, 0, 0, 5.57040998, 75, 163);
INSERT INTO public.ecdc_data VALUES (29357, 14, 693, 91.48001989, 76, 163);
INSERT INTO public.ecdc_data VALUES (29358, 41, 642, 30.18362801, 77, 163);
INSERT INTO public.ecdc_data VALUES (29359, 18, 163, 2.21639869, 16, 163);
INSERT INTO public.ecdc_data VALUES (29360, 4, 75, 19.50864253, 78, 163);
INSERT INTO public.ecdc_data VALUES (29361, 0, 0, 2.58115521, 17, 163);
INSERT INTO public.ecdc_data VALUES (29362, 0, 0, 1.20098927, 18, 163);
INSERT INTO public.ecdc_data VALUES (29363, 0, 24, 24.68259839, 160, 163);
INSERT INTO public.ecdc_data VALUES (29364, 0, 24, 44.4199409, 19, 163);
INSERT INTO public.ecdc_data VALUES (29365, 13, 700, 10.86914558, 20, 163);
INSERT INTO public.ecdc_data VALUES (29366, 0, 0, 0, 79, 163);
INSERT INTO public.ecdc_data VALUES (29367, 0, 5, 34.92409146, 161, 163);
INSERT INTO public.ecdc_data VALUES (29368, 0, 0, 0.3370957, 203, 163);
INSERT INTO public.ecdc_data VALUES (29369, 0, 98, 10.56557735, 162, 163);
INSERT INTO public.ecdc_data VALUES (29370, 49, 7852, 162.80003951, 163, 163);
INSERT INTO public.ecdc_data VALUES (29371, 0, 72, 191.91864941, 204, 163);
INSERT INTO public.ecdc_data VALUES (29372, 0, 0, 5.56942029, 21, 163);
INSERT INTO public.ecdc_data VALUES (29373, 2, 23, 16.99538611, 22, 163);
INSERT INTO public.ecdc_data VALUES (29374, 0, 366, 31.22527686, 164, 163);
INSERT INTO public.ecdc_data VALUES (29375, 6, 1901, 22.65499674, 165, 163);
INSERT INTO public.ecdc_data VALUES (29376, 0, 54, 3.92861325, 23, 163);
INSERT INTO public.ecdc_data VALUES (29377, 0, 4, 130.54055658, 166, 163);
INSERT INTO public.ecdc_data VALUES (29378, 3, 310, 29.8938916, 167, 163);
INSERT INTO public.ecdc_data VALUES (29379, 0, 0, 0, 80, 163);
INSERT INTO public.ecdc_data VALUES (29380, 0, 0, 0, 81, 163);
INSERT INTO public.ecdc_data VALUES (29381, 0, 0, 286.91831794, 205, 163);
INSERT INTO public.ecdc_data VALUES (29382, 12, 512, 44.31368561, 82, 163);
INSERT INTO public.ecdc_data VALUES (29383, 0, 0, 1.55115716, 168, 163);
INSERT INTO public.ecdc_data VALUES (29384, 0, 50, 4.9486166, 24, 163);
INSERT INTO public.ecdc_data VALUES (29385, 0, 0, 3.6440929, 25, 163);
INSERT INTO public.ecdc_data VALUES (29386, 2, 74, 74.734119, 83, 163);
INSERT INTO public.ecdc_data VALUES (29387, 1, 31, 2.41497019, 84, 163);
INSERT INTO public.ecdc_data VALUES (29388, 0, 0, 0, 169, 163);
INSERT INTO public.ecdc_data VALUES (29389, 0, 0, 70.29467639, 85, 163);
INSERT INTO public.ecdc_data VALUES (29390, 12, 1307, 83.93742768, 170, 163);
INSERT INTO public.ecdc_data VALUES (29391, 0, 6, 16.24690819, 171, 163);
INSERT INTO public.ecdc_data VALUES (29392, 1290, 90123, 91.54125775, 112, 163);
INSERT INTO public.ecdc_data VALUES (29393, 124, 3507, 17.53677619, 113, 163);
INSERT INTO public.ecdc_data VALUES (29394, 140, 2705, 36.73570122, 114, 163);
INSERT INTO public.ecdc_data VALUES (29395, 80, 4224, 153.55971511, 115, 163);
INSERT INTO public.ecdc_data VALUES (29396, 3, 357, 51.46567052, 172, 163);
INSERT INTO public.ecdc_data VALUES (29397, 0, 0, 3.54656043, 173, 163);
INSERT INTO public.ecdc_data VALUES (29398, 11, 6426, 557.8931689, 116, 163);
INSERT INTO public.ecdc_data VALUES (29399, 9, 1229, 32.80508439, 174, 163);
INSERT INTO public.ecdc_data VALUES (29400, 2, 109, 46.09471905, 86, 163);
INSERT INTO public.ecdc_data VALUES (29401, 10, 490, 5.87023683, 117, 163);
INSERT INTO public.ecdc_data VALUES (29402, 0, 0, 6.49374745, 175, 163);
INSERT INTO public.ecdc_data VALUES (29403, 0, 149, 15.64093637, 118, 163);
INSERT INTO public.ecdc_data VALUES (29404, 38, 472, 28.90882578, 119, 163);
INSERT INTO public.ecdc_data VALUES (29405, 2, 48, 3.59493511, 26, 163);
INSERT INTO public.ecdc_data VALUES (29406, 1, 71, 64.60918118, 176, 163);
INSERT INTO public.ecdc_data VALUES (29407, 5, 829, 249.34176389, 120, 163);
INSERT INTO public.ecdc_data VALUES (29408, 0, 144, 16.14750717, 121, 163);
INSERT INTO public.ecdc_data VALUES (29409, 0, 0, 0.01394806, 122, 163);
INSERT INTO public.ecdc_data VALUES (29410, 0, 5, 4.06256771, 177, 163);
INSERT INTO public.ecdc_data VALUES (29411, 6, 592, 111.9067335, 123, 163);
INSERT INTO public.ecdc_data VALUES (29412, 0, 0, 7.52846584, 27, 163);
INSERT INTO public.ecdc_data VALUES (29413, 0, 6, 0.44558099, 28, 163);
INSERT INTO public.ecdc_data VALUES (29414, 15, 629, 140.46574724, 29, 163);
INSERT INTO public.ecdc_data VALUES (29415, 0, 0, 7.81697848, 178, 163);
INSERT INTO public.ecdc_data VALUES (29416, 0, 56, 18.35956401, 179, 163);
INSERT INTO public.ecdc_data VALUES (29417, 0, 40, 98.87700482, 180, 163);
INSERT INTO public.ecdc_data VALUES (29418, 1, 34, 3.13689941, 30, 163);
INSERT INTO public.ecdc_data VALUES (29419, 0, 4, 0.67100587, 31, 163);
INSERT INTO public.ecdc_data VALUES (29420, 0, 23, 1.92489534, 124, 163);
INSERT INTO public.ecdc_data VALUES (29421, 0, 85, 249.54939854, 125, 163);
INSERT INTO public.ecdc_data VALUES (29422, 0, 5, 0.82917799, 32, 163);
INSERT INTO public.ecdc_data VALUES (29423, 0, 106, 127.44170403, 181, 163);
INSERT INTO public.ecdc_data VALUES (29424, 0, 24, 5.39143354, 33, 163);
INSERT INTO public.ecdc_data VALUES (29425, 0, 1, 0.47256374, 34, 163);
INSERT INTO public.ecdc_data VALUES (29426, 629, 4098, 52.78912071, 87, 163);
INSERT INTO public.ecdc_data VALUES (29427, 14, 527, 161.40449113, 182, 163);
INSERT INTO public.ecdc_data VALUES (29428, 0, 1, 114.85567478, 183, 163);
INSERT INTO public.ecdc_data VALUES (29429, 0, 0, 0.15503078, 126, 163);
INSERT INTO public.ecdc_data VALUES (29430, 2, 161, 344.59370409, 184, 163);
INSERT INTO public.ecdc_data VALUES (29431, 0, 0, 0, 88, 163);
INSERT INTO public.ecdc_data VALUES (29432, 34, 2121, 72.77684333, 35, 163);
INSERT INTO public.ecdc_data VALUES (29433, 2, 231, 5.51273671, 36, 163);
INSERT INTO public.ecdc_data VALUES (29434, 7, 337, 4.9920972, 127, 163);
INSERT INTO public.ecdc_data VALUES (29435, 3, 83, 88.55396861, 37, 163);
INSERT INTO public.ecdc_data VALUES (29436, 11, 1459, 56.83233239, 128, 163);
INSERT INTO public.ecdc_data VALUES (29437, 2, 1376, 78.92530582, 185, 163);
INSERT INTO public.ecdc_data VALUES (29438, 0, 0, 1.06098169, 207, 163);
INSERT INTO public.ecdc_data VALUES (29439, 1, 1, 0.94081992, 208, 163);
INSERT INTO public.ecdc_data VALUES (29440, 3, 143, 4.47635575, 89, 163);
INSERT INTO public.ecdc_data VALUES (29441, 0, 0, 0.01715949, 38, 163);
INSERT INTO public.ecdc_data VALUES (29442, 5, 90, 1.11015127, 39, 163);
INSERT INTO public.ecdc_data VALUES (29443, 13, 134, 76.25899558, 186, 163);
INSERT INTO public.ecdc_data VALUES (29444, 0, 0, 6.99141803, 209, 163);
INSERT INTO public.ecdc_data VALUES (29445, 0, 122, 28.03942486, 187, 163);
INSERT INTO public.ecdc_data VALUES (29446, 7, 438, 95.11573084, 129, 163);
INSERT INTO public.ecdc_data VALUES (29447, 4, 665, 3.00094221, 130, 163);
INSERT INTO public.ecdc_data VALUES (29448, 6, 1115, 219.27473721, 131, 163);
INSERT INTO public.ecdc_data VALUES (29449, 14, 628, 218.53599721, 90, 163);
INSERT INTO public.ecdc_data VALUES (29450, 0, 0, 0.58112248, 210, 163);
INSERT INTO public.ecdc_data VALUES (29451, 13, 931, 155.57929938, 91, 163);
INSERT INTO public.ecdc_data VALUES (29452, 115, 4160, 248.81528906, 92, 163);
INSERT INTO public.ecdc_data VALUES (29453, 33, 3519, 41.75398673, 132, 163);
INSERT INTO public.ecdc_data VALUES (29454, 24, 605, 18.99253603, 188, 163);
INSERT INTO public.ecdc_data VALUES (29455, 4, 425, 65.95555716, 189, 163);
INSERT INTO public.ecdc_data VALUES (29456, 9, 422, 161.96200728, 93, 163);
INSERT INTO public.ecdc_data VALUES (29457, 1, 239, 113.6977145, 133, 163);
INSERT INTO public.ecdc_data VALUES (29458, 51, 1111, 86.04412238, 190, 163);
INSERT INTO public.ecdc_data VALUES (29459, 150, 5529, 50.59289546, 191, 163);
INSERT INTO public.ecdc_data VALUES (29460, 0, 22, 3.81723582, 40, 163);
INSERT INTO public.ecdc_data VALUES (29461, 0, 0, 0, 94, 163);
INSERT INTO public.ecdc_data VALUES (29462, 0, 0, 0.54706092, 95, 163);
INSERT INTO public.ecdc_data VALUES (29463, 0, 0, 2.71264908, 96, 163);
INSERT INTO public.ecdc_data VALUES (29464, 0, 1, 23.22003889, 192, 163);
INSERT INTO public.ecdc_data VALUES (29465, 0, 1, 5.11513709, 41, 163);
INSERT INTO public.ecdc_data VALUES (29466, 33, 672, 29.94000705, 134, 163);
INSERT INTO public.ecdc_data VALUES (29467, 1, 223, 5.28338779, 42, 163);
INSERT INTO public.ecdc_data VALUES (29468, 2, 74, 14.77649156, 193, 163);
INSERT INTO public.ecdc_data VALUES (29469, 0, 0, 4.09244841, 43, 163);
INSERT INTO public.ecdc_data VALUES (29470, 0, 17, 1.25428649, 44, 163);
INSERT INTO public.ecdc_data VALUES (29471, 0, 34, 10.95731248, 135, 163);
INSERT INTO public.ecdc_data VALUES (29472, 0, 0, 158.05987402, 97, 163);
INSERT INTO public.ecdc_data VALUES (29473, 0, 188, 32.63968049, 194, 163);
INSERT INTO public.ecdc_data VALUES (29474, 0, 82, 43.44257411, 195, 163);
INSERT INTO public.ecdc_data VALUES (29475, 0, 0, 0.51156175, 45, 163);
INSERT INTO public.ecdc_data VALUES (29476, 142, 772, 39.72453625, 46, 163);
INSERT INTO public.ecdc_data VALUES (29477, 0, 113, 4.01168789, 136, 163);
INSERT INTO public.ecdc_data VALUES (29478, 0, 5, 0.58759112, 47, 163);
INSERT INTO public.ecdc_data VALUES (29479, 239, 11193, 287.20588806, 196, 163);
INSERT INTO public.ecdc_data VALUES (29480, 0, 9, 0.83944022, 137, 163);
INSERT INTO public.ecdc_data VALUES (29481, 0, 0, 0.80816127, 48, 163);
INSERT INTO public.ecdc_data VALUES (29482, 0, 14, 92.19712985, 98, 163);
INSERT INTO public.ecdc_data VALUES (29483, 1, 292, 29.14903298, 197, 163);
INSERT INTO public.ecdc_data VALUES (29484, 1, 315, 62.67169616, 198, 163);
INSERT INTO public.ecdc_data VALUES (29485, 3, 38, 4.59281744, 138, 163);
INSERT INTO public.ecdc_data VALUES (29486, 0, 1, 0.04626926, 139, 163);
INSERT INTO public.ecdc_data VALUES (29487, 1, 41, 5.47150243, 140, 163);
INSERT INTO public.ecdc_data VALUES (29488, 0, 10, 0.09335649, 141, 163);
INSERT INTO public.ecdc_data VALUES (29489, 0, 0, 0, 142, 163);
INSERT INTO public.ecdc_data VALUES (29490, 0, 17, 2.21469994, 49, 163);
INSERT INTO public.ecdc_data VALUES (29491, 1, 82, 102.22449388, 99, 163);
INSERT INTO public.ecdc_data VALUES (29492, 6, 241, 32.66431067, 50, 163);
INSERT INTO public.ecdc_data VALUES (29493, 67, 1742, 27.94379905, 199, 163);
INSERT INTO public.ecdc_data VALUES (29494, 0, 2, 371.78614442, 100, 163);
INSERT INTO public.ecdc_data VALUES (29495, 3, 324, 4.71203854, 51, 163);
INSERT INTO public.ecdc_data VALUES (29496, 129, 5863, 89.4606523, 200, 163);
INSERT INTO public.ecdc_data VALUES (29497, 2, 674, 103.73034164, 143, 163);
INSERT INTO public.ecdc_data VALUES (29498, 27, 3103, 55.60631044, 201, 163);
INSERT INTO public.ecdc_data VALUES (29499, 0, 0, 0, 52, 163);
INSERT INTO public.ecdc_data VALUES (29500, 1407, 51473, 161.2572391, 101, 163);
INSERT INTO public.ecdc_data VALUES (29501, 0, 15, 6.23965294, 103, 163);
INSERT INTO public.ecdc_data VALUES (29502, 0, 11, 85.10312778, 102, 163);
INSERT INTO public.ecdc_data VALUES (29503, 5, 584, 19.42288326, 144, 163);
INSERT INTO public.ecdc_data VALUES (29504, 8, 1086, 52.24817416, 104, 163);
INSERT INTO public.ecdc_data VALUES (29505, 0, 0, 0.01969685, 145, 163);
INSERT INTO public.ecdc_data VALUES (29506, 0, 0, 0, 53, 163);
INSERT INTO public.ecdc_data VALUES (29507, 0, 3, 0.18517298, 146, 163);
INSERT INTO public.ecdc_data VALUES (29508, 4, 99, 8.05104564, 54, 163);
INSERT INTO public.ecdc_data VALUES (29509, 0, 45, 6.94412533, 55, 163);
INSERT INTO public.ecdc_data VALUES (29510, 7, 120, 2.21072859, 105, 164);
INSERT INTO public.ecdc_data VALUES (29511, 6, 143, 65.11956462, 147, 164);
INSERT INTO public.ecdc_data VALUES (29512, 9, 469, 16.68406613, 1, 164);
INSERT INTO public.ecdc_data VALUES (29513, 0, 0, 84.01486013, 148, 164);
INSERT INTO public.ecdc_data VALUES (29514, 3, 37, 2.31890987, 2, 164);
INSERT INTO public.ecdc_data VALUES (29515, 0, 0, 0, 56, 164);
INSERT INTO public.ecdc_data VALUES (29516, 0, 0, 2.0594141, 57, 164);
INSERT INTO public.ecdc_data VALUES (29517, 137, 6365, 203.51412747, 58, 164);
INSERT INTO public.ecdc_data VALUES (29518, 3, 196, 82.66480217, 149, 164);
INSERT INTO public.ecdc_data VALUES (29519, 0, 75, 871.97817703, 59, 164);
INSERT INTO public.ecdc_data VALUES (29520, 4, 292, 22.82646648, 202, 164);
INSERT INTO public.ecdc_data VALUES (29521, 3, 260, 22.42973775, 150, 164);
INSERT INTO public.ecdc_data VALUES (29522, 2, 89, 19.40738988, 151, 164);
INSERT INTO public.ecdc_data VALUES (29523, 0, 133, 167.65686058, 60, 164);
INSERT INTO public.ecdc_data VALUES (29524, 2, 378, 319.28558023, 106, 164);
INSERT INTO public.ecdc_data VALUES (29525, 34, 2644, 21.26084861, 107, 164);
INSERT INTO public.ecdc_data VALUES (29526, 0, 2, 9.75538375, 61, 164);
INSERT INTO public.ecdc_data VALUES (29527, 4, 116, 15.63622564, 152, 164);
INSERT INTO public.ecdc_data VALUES (29528, 9, 163, 72.13117101, 153, 164);
INSERT INTO public.ecdc_data VALUES (29529, 0, 64, 101.4471591, 62, 164);
INSERT INTO public.ecdc_data VALUES (29530, 1, 62, 2.18622743, 3, 164);
INSERT INTO public.ecdc_data VALUES (29531, 0, 3, 9.59877136, 63, 164);
INSERT INTO public.ecdc_data VALUES (29532, 0, 0, 4.06240909, 108, 164);
INSERT INTO public.ecdc_data VALUES (29533, 119, 2687, 176.7812011, 64, 164);
INSERT INTO public.ecdc_data VALUES (29534, 0, 0, 7.69734057, 65, 164);
INSERT INTO public.ecdc_data VALUES (29535, 5, 1, 110.87555945, 154, 164);
INSERT INTO public.ecdc_data VALUES (29536, 0, 0, 17.79743309, 4, 164);
INSERT INTO public.ecdc_data VALUES (29537, 709, 41576, 288.66163869, 66, 164);
INSERT INTO public.ecdc_data VALUES (29538, 0, 0, 3.3296707, 67, 164);
INSERT INTO public.ecdc_data VALUES (29539, 0, 0, 0.23078911, 109, 164);
INSERT INTO public.ecdc_data VALUES (29540, 3, 90, 35.67122983, 155, 164);
INSERT INTO public.ecdc_data VALUES (29541, 0, 9, 0.49209249, 5, 164);
INSERT INTO public.ecdc_data VALUES (29542, 0, 0, 0.14743408, 6, 164);
INSERT INTO public.ecdc_data VALUES (29543, 0, 0, 0.20016326, 110, 164);
INSERT INTO public.ecdc_data VALUES (29544, 0, 0, 4.69153596, 7, 164);
INSERT INTO public.ecdc_data VALUES (29545, 4, 237, 14.17763388, 68, 164);
INSERT INTO public.ecdc_data VALUES (29546, 1, 27, 124.19627011, 8, 164);
INSERT INTO public.ecdc_data VALUES (29547, 0, 0, 0, 69, 164);
INSERT INTO public.ecdc_data VALUES (29548, 0, 0, 0.80081278, 9, 164);
INSERT INTO public.ecdc_data VALUES (29549, 0, 1, 0.10033309, 10, 164);
INSERT INTO public.ecdc_data VALUES (29550, 55, 1791, 138.47589454, 70, 164);
INSERT INTO public.ecdc_data VALUES (29551, 2, 65, 0.10127051, 111, 164);
INSERT INTO public.ecdc_data VALUES (29552, 318, 11578, 298.98622438, 71, 164);
INSERT INTO public.ecdc_data VALUES (29553, 0, 4, 1.99790572, 11, 164);
INSERT INTO public.ecdc_data VALUES (29554, 0, 0, 6.65365178, 12, 164);
INSERT INTO public.ecdc_data VALUES (29555, 10, 806, 189.20028901, 72, 164);
INSERT INTO public.ecdc_data VALUES (29556, 2, 58, 3.43747455, 13, 164);
INSERT INTO public.ecdc_data VALUES (29557, 2, 162, 29.34072183, 156, 164);
INSERT INTO public.ecdc_data VALUES (29558, 0, 63, 5.81462858, 73, 164);
INSERT INTO public.ecdc_data VALUES (29559, 0, 1, 2.44763589, 74, 164);
INSERT INTO public.ecdc_data VALUES (29560, 0, 14, 23.74703019, 157, 164);
INSERT INTO public.ecdc_data VALUES (29561, 1, 198, 29.97239385, 158, 164);
INSERT INTO public.ecdc_data VALUES (29562, 1, 33, 0.63831821, 14, 164);
INSERT INTO public.ecdc_data VALUES (29563, 0, 104, 29.1763067, 159, 164);
INSERT INTO public.ecdc_data VALUES (29564, 0, 0, 29.37681101, 15, 164);
INSERT INTO public.ecdc_data VALUES (29565, 0, 0, 0, 75, 164);
INSERT INTO public.ecdc_data VALUES (29566, 29, 1057, 131.57702373, 76, 164);
INSERT INTO public.ecdc_data VALUES (29567, 35, 1279, 83.20643144, 77, 164);
INSERT INTO public.ecdc_data VALUES (29568, 17, 116, 2.01219117, 16, 164);
INSERT INTO public.ecdc_data VALUES (29569, 17, 305, 86.29359035, 78, 164);
INSERT INTO public.ecdc_data VALUES (29570, 0, 0, 0, 17, 164);
INSERT INTO public.ecdc_data VALUES (29571, 0, 0, 0.1715699, 18, 164);
INSERT INTO public.ecdc_data VALUES (29572, 0, 7, 8.45397865, 160, 164);
INSERT INTO public.ecdc_data VALUES (29573, 1, 75, 90.49474233, 19, 164);
INSERT INTO public.ecdc_data VALUES (29574, 17, 1652, 9.7208456, 20, 164);
INSERT INTO public.ecdc_data VALUES (29575, 0, 0, 0, 79, 164);
INSERT INTO public.ecdc_data VALUES (29576, 0, 8, 297.88195657, 161, 164);
INSERT INTO public.ecdc_data VALUES (29577, 0, 0, 0, 203, 164);
INSERT INTO public.ecdc_data VALUES (29578, 0, 20, 5.02000845, 162, 164);
INSERT INTO public.ecdc_data VALUES (29579, 3, 3310, 41.18909494, 163, 164);
INSERT INTO public.ecdc_data VALUES (29580, 0, 0, 37.2379469, 204, 164);
INSERT INTO public.ecdc_data VALUES (29581, 0, 0, 31.94361721, 21, 164);
INSERT INTO public.ecdc_data VALUES (29582, 4, 66, 50.73058863, 22, 164);
INSERT INTO public.ecdc_data VALUES (29583, 0, 15, 3.75303808, 164, 164);
INSERT INTO public.ecdc_data VALUES (29584, 0, 625, 16.33356847, 165, 164);
INSERT INTO public.ecdc_data VALUES (29585, 0, 147, 17.08207067, 23, 164);
INSERT INTO public.ecdc_data VALUES (29586, 0, 3, 62.30344746, 166, 164);
INSERT INTO public.ecdc_data VALUES (29587, 3, 226, 21.17561692, 167, 164);
INSERT INTO public.ecdc_data VALUES (29588, 0, 0, 0, 80, 164);
INSERT INTO public.ecdc_data VALUES (29589, 0, 0, 0, 81, 164);
INSERT INTO public.ecdc_data VALUES (29590, 0, 14, 93.84619983, 205, 164);
INSERT INTO public.ecdc_data VALUES (29591, 14, 885, 64.46557729, 82, 164);
INSERT INTO public.ecdc_data VALUES (29592, 0, 0, 0, 168, 164);
INSERT INTO public.ecdc_data VALUES (29593, 0, 83, 8.03367189, 24, 164);
INSERT INTO public.ecdc_data VALUES (29594, 0, 0, 7.07995192, 25, 164);
INSERT INTO public.ecdc_data VALUES (29595, 0, 25, 31.17115391, 83, 164);
INSERT INTO public.ecdc_data VALUES (29596, 0, 0, 3.22291977, 84, 164);
INSERT INTO public.ecdc_data VALUES (29597, 0, 0, 0, 169, 164);
INSERT INTO public.ecdc_data VALUES (29598, 19, 512, 74.8400773, 85, 164);
INSERT INTO public.ecdc_data VALUES (29599, 0, 24, 3.59161735, 170, 164);
INSERT INTO public.ecdc_data VALUES (29600, 0, 16, 29.6926253, 171, 164);
INSERT INTO public.ecdc_data VALUES (29601, 944, 63490, 61.39842638, 112, 164);
INSERT INTO public.ecdc_data VALUES (29602, 50, 2345, 10.17346598, 113, 164);
INSERT INTO public.ecdc_data VALUES (29603, 161, 2245, 41.38992726, 114, 164);
INSERT INTO public.ecdc_data VALUES (29604, 76, 4293, 116.71138708, 115, 164);
INSERT INTO public.ecdc_data VALUES (29605, 0, 196, 22.0625418, 172, 164);
INSERT INTO public.ecdc_data VALUES (29606, 0, 0, 0, 173, 164);
INSERT INTO public.ecdc_data VALUES (29607, 9, 1263, 235.4633375, 116, 164);
INSERT INTO public.ecdc_data VALUES (29608, 158, 629, 9.28767754, 174, 164);
INSERT INTO public.ecdc_data VALUES (29609, 0, 0, 6.749705, 86, 164);
INSERT INTO public.ecdc_data VALUES (29610, 3, 1137, 14.68781025, 117, 164);
INSERT INTO public.ecdc_data VALUES (29611, 0, 0, 18.55356414, 175, 164);
INSERT INTO public.ecdc_data VALUES (29612, 0, 10, 1.43540239, 118, 164);
INSERT INTO public.ecdc_data VALUES (29613, 5, 1380, 131.45618763, 119, 164);
INSERT INTO public.ecdc_data VALUES (29614, 7, 515, 16.14106845, 26, 164);
INSERT INTO public.ecdc_data VALUES (29615, 9, 145, 151.29223923, 176, 164);
INSERT INTO public.ecdc_data VALUES (29616, 4, 512, 196.07437658, 120, 164);
INSERT INTO public.ecdc_data VALUES (29617, 4, 483, 80.06732077, 121, 164);
INSERT INTO public.ecdc_data VALUES (29618, 0, 0, 0, 122, 164);
INSERT INTO public.ecdc_data VALUES (29619, 0, 7, 4.01048351, 177, 164);
INSERT INTO public.ecdc_data VALUES (29620, 3, 397, 54.14465521, 123, 164);
INSERT INTO public.ecdc_data VALUES (29621, 0, 19, 9.45763521, 27, 164);
INSERT INTO public.ecdc_data VALUES (29622, 0, 5, 1.37725034, 28, 164);
INSERT INTO public.ecdc_data VALUES (29623, 6, 411, 60.74553376, 29, 164);
INSERT INTO public.ecdc_data VALUES (29624, 0, 2, 10.42263797, 178, 164);
INSERT INTO public.ecdc_data VALUES (29625, 0, 34, 10.48606677, 179, 164);
INSERT INTO public.ecdc_data VALUES (29626, 1, 34, 121.1935611, 180, 164);
INSERT INTO public.ecdc_data VALUES (29627, 2, 81, 9.08810928, 30, 164);
INSERT INTO public.ecdc_data VALUES (29628, 1, 38, 4.50915947, 31, 164);
INSERT INTO public.ecdc_data VALUES (29629, 0, 26, 0.59468311, 124, 164);
INSERT INTO public.ecdc_data VALUES (29630, 0, 107, 325.82676187, 125, 164);
INSERT INTO public.ecdc_data VALUES (29631, 0, 17, 0.40187154, 32, 164);
INSERT INTO public.ecdc_data VALUES (29632, 0, 63, 108.59897196, 181, 164);
INSERT INTO public.ecdc_data VALUES (29633, 0, 0, 6.8939642, 33, 164);
INSERT INTO public.ecdc_data VALUES (29634, 0, 0, 0, 34, 164);
INSERT INTO public.ecdc_data VALUES (29635, 635, 3144, 61.94526538, 87, 164);
INSERT INTO public.ecdc_data VALUES (29636, 11, 422, 118.51828402, 182, 164);
INSERT INTO public.ecdc_data VALUES (29637, 0, 0, 45.33776636, 183, 164);
INSERT INTO public.ecdc_data VALUES (29638, 0, 0, 0.15503078, 126, 164);
INSERT INTO public.ecdc_data VALUES (29639, 2, 30, 122.47220267, 184, 164);
INSERT INTO public.ecdc_data VALUES (29640, 0, 0, 0, 88, 164);
INSERT INTO public.ecdc_data VALUES (29641, 21, 1776, 43.87503473, 35, 164);
INSERT INTO public.ecdc_data VALUES (29642, 0, 83, 2.91114651, 36, 164);
INSERT INTO public.ecdc_data VALUES (29643, 0, 0, 0.03885621, 127, 164);
INSERT INTO public.ecdc_data VALUES (29644, 4, 181, 67.46778143, 37, 164);
INSERT INTO public.ecdc_data VALUES (29645, 3, 468, 20.73843582, 128, 164);
INSERT INTO public.ecdc_data VALUES (29646, 2, 652, 44.58353969, 185, 164);
INSERT INTO public.ecdc_data VALUES (29647, 0, 0, 0.35366056, 207, 164);
INSERT INTO public.ecdc_data VALUES (29648, 0, 13, 1.17079812, 208, 164);
INSERT INTO public.ecdc_data VALUES (29649, 0, 0, 6.76800545, 89, 164);
INSERT INTO public.ecdc_data VALUES (29650, 0, 0, 0.12440629, 38, 164);
INSERT INTO public.ecdc_data VALUES (29651, 1, 325, 2.60395411, 39, 164);
INSERT INTO public.ecdc_data VALUES (29652, 4, 107, 84.39521417, 186, 164);
INSERT INTO public.ecdc_data VALUES (29653, 0, 0, 8.73927254, 209, 164);
INSERT INTO public.ecdc_data VALUES (29654, 0, 0, 12.04907012, 187, 164);
INSERT INTO public.ecdc_data VALUES (29655, 5, 181, 75.67851365, 129, 164);
INSERT INTO public.ecdc_data VALUES (29656, 6, 670, 4.80778739, 130, 164);
INSERT INTO public.ecdc_data VALUES (29657, 3, 498, 120.42746027, 131, 164);
INSERT INTO public.ecdc_data VALUES (29658, 12, 1263, 336.32878364, 90, 164);
INSERT INTO public.ecdc_data VALUES (29659, 0, 0, 2.0510205, 210, 164);
INSERT INTO public.ecdc_data VALUES (29660, 19, 304, 55.30446628, 91, 164);
INSERT INTO public.ecdc_data VALUES (29661, 219, 9507, 318.72816818, 92, 164);
INSERT INTO public.ecdc_data VALUES (29662, 158, 4258, 55.2052024, 132, 164);
INSERT INTO public.ecdc_data VALUES (29663, 11, 771, 25.66046465, 188, 164);
INSERT INTO public.ecdc_data VALUES (29664, 3, 198, 25.99104355, 189, 164);
INSERT INTO public.ecdc_data VALUES (29665, 18, 567, 266.68675709, 93, 164);
INSERT INTO public.ecdc_data VALUES (29666, 2, 277, 137.63779227, 133, 164);
INSERT INTO public.ecdc_data VALUES (29667, 50, 1328, 88.91826905, 190, 164);
INSERT INTO public.ecdc_data VALUES (29668, 119, 5061, 49.66057289, 191, 164);
INSERT INTO public.ecdc_data VALUES (29669, 0, 59, 2.45506868, 40, 164);
INSERT INTO public.ecdc_data VALUES (29670, 0, 0, 0, 94, 164);
INSERT INTO public.ecdc_data VALUES (29671, 0, 0, 0, 95, 164);
INSERT INTO public.ecdc_data VALUES (29672, 0, 0, 1.80843272, 96, 164);
INSERT INTO public.ecdc_data VALUES (29673, 0, 0, 31.92755348, 192, 164);
INSERT INTO public.ecdc_data VALUES (29674, 0, 2, 5.11513709, 41, 164);
INSERT INTO public.ecdc_data VALUES (29675, 31, 1413, 57.88693177, 134, 164);
INSERT INTO public.ecdc_data VALUES (29676, 2, 160, 10.72632039, 42, 164);
INSERT INTO public.ecdc_data VALUES (29677, 5, 238, 51.53821985, 193, 164);
INSERT INTO public.ecdc_data VALUES (29678, 0, 0, 13.30045733, 43, 164);
INSERT INTO public.ecdc_data VALUES (29679, 0, 7, 1.67664827, 44, 164);
INSERT INTO public.ecdc_data VALUES (29680, 0, 81, 54.25247957, 135, 164);
INSERT INTO public.ecdc_data VALUES (29681, 0, 31, 405.76564675, 97, 164);
INSERT INTO public.ecdc_data VALUES (29682, 0, 54, 9.50385301, 194, 164);
INSERT INTO public.ecdc_data VALUES (29683, 0, 32, 11.05286731, 195, 164);
INSERT INTO public.ecdc_data VALUES (29684, 0, 6, 0.28492047, 45, 164);
INSERT INTO public.ecdc_data VALUES (29685, 121, 4513, 137.23596021, 46, 164);
INSERT INTO public.ecdc_data VALUES (29686, 0, 279, 1.91702069, 136, 164);
INSERT INTO public.ecdc_data VALUES (29687, 0, 6, 1.22942143, 47, 164);
INSERT INTO public.ecdc_data VALUES (29688, 0, 0, 115.66766218, 196, 164);
INSERT INTO public.ecdc_data VALUES (29689, 0, 4, 0.35172076, 137, 164);
INSERT INTO public.ecdc_data VALUES (29690, 5, 152, 1.56493656, 48, 164);
INSERT INTO public.ecdc_data VALUES (29691, 1, 123, 206.58349431, 98, 164);
INSERT INTO public.ecdc_data VALUES (29692, 1, 226, 40.2534265, 197, 164);
INSERT INTO public.ecdc_data VALUES (29693, 0, 251, 28.3105197, 198, 164);
INSERT INTO public.ecdc_data VALUES (29694, 2, 78, 4.89744309, 138, 164);
INSERT INTO public.ecdc_data VALUES (29695, 0, 2, 0.04206297, 139, 164);
INSERT INTO public.ecdc_data VALUES (29696, 1, 40, 6.20103609, 140, 164);
INSERT INTO public.ecdc_data VALUES (29697, 0, 1, 0.08617522, 141, 164);
INSERT INTO public.ecdc_data VALUES (29698, 0, 0, 0.07733234, 142, 164);
INSERT INTO public.ecdc_data VALUES (29699, 1, 6, 2.12809156, 49, 164);
INSERT INTO public.ecdc_data VALUES (29700, 2, 62, 21.57754043, 99, 164);
INSERT INTO public.ecdc_data VALUES (29701, 1, 120, 4.0274582, 50, 164);
INSERT INTO public.ecdc_data VALUES (29702, 21, 1256, 19.81369614, 199, 164);
INSERT INTO public.ecdc_data VALUES (29703, 0, 24, 481.75106038, 100, 164);
INSERT INTO public.ecdc_data VALUES (29704, 1, 49, 0.58279288, 51, 164);
INSERT INTO public.ecdc_data VALUES (29705, 33, 1847, 42.42203811, 200, 164);
INSERT INTO public.ecdc_data VALUES (29706, 2, 283, 34.20491384, 143, 164);
INSERT INTO public.ecdc_data VALUES (29707, 3, 1077, 20.24393795, 201, 164);
INSERT INTO public.ecdc_data VALUES (29708, 0, 0, 0, 52, 164);
INSERT INTO public.ecdc_data VALUES (29709, 1035, 48085, 225.09874549, 101, 164);
INSERT INTO public.ecdc_data VALUES (29710, 0, 0, 299.2952696, 102, 164);
INSERT INTO public.ecdc_data VALUES (29711, 0, 13, 4.50641601, 103, 164);
INSERT INTO public.ecdc_data VALUES (29712, 5, 693, 30.02875987, 144, 164);
INSERT INTO public.ecdc_data VALUES (29713, 10, 1226, 46.16383413, 104, 164);
INSERT INTO public.ecdc_data VALUES (29714, 1, 4, 0.35661671, 145, 164);
INSERT INTO public.ecdc_data VALUES (29715, 0, 0, 0, 53, 164);
INSERT INTO public.ecdc_data VALUES (29716, 1, 4, 0.45264506, 146, 164);
INSERT INTO public.ecdc_data VALUES (29717, 4, 165, 16.56119125, 54, 164);
INSERT INTO public.ecdc_data VALUES (29718, 2, 104, 10.35814958, 55, 164);
INSERT INTO public.ecdc_data VALUES (29719, 49, 254, 8.30140416, 105, 165);
INSERT INTO public.ecdc_data VALUES (29720, 4, 85, 40.94427561, 147, 165);
INSERT INTO public.ecdc_data VALUES (29721, 12, 554, 15.09300595, 1, 165);
INSERT INTO public.ecdc_data VALUES (29722, 0, 1, 9.18912533, 148, 165);
INSERT INTO public.ecdc_data VALUES (29723, 1, 51, 0.89551397, 2, 165);
INSERT INTO public.ecdc_data VALUES (29724, 0, 0, 0, 56, 165);
INSERT INTO public.ecdc_data VALUES (29725, 0, 0, 8.23765639, 57, 165);
INSERT INTO public.ecdc_data VALUES (29726, 124, 3645, 88.68334388, 58, 165);
INSERT INTO public.ecdc_data VALUES (29727, 15, 554, 233.32098151, 149, 165);
INSERT INTO public.ecdc_data VALUES (29728, 0, 0, 2.82193585, 59, 165);
INSERT INTO public.ecdc_data VALUES (29729, 3, 244, 10.21695658, 202, 165);
INSERT INTO public.ecdc_data VALUES (29730, 1, 55, 14.68600343, 150, 165);
INSERT INTO public.ecdc_data VALUES (29731, 7, 559, 75.24095767, 151, 165);
INSERT INTO public.ecdc_data VALUES (29732, 0, 3, 3.85122957, 60, 165);
INSERT INTO public.ecdc_data VALUES (29733, 6, 482, 435.42266343, 106, 165);
INSERT INTO public.ecdc_data VALUES (29734, 33, 3533, 27.18984395, 107, 165);
INSERT INTO public.ecdc_data VALUES (29735, 0, 1, 2.43884594, 61, 165);
INSERT INTO public.ecdc_data VALUES (29736, 6, 174, 31.93894805, 152, 165);
INSERT INTO public.ecdc_data VALUES (29737, 5, 260, 13.48694895, 153, 165);
INSERT INTO public.ecdc_data VALUES (29738, 0, 0, 2.81797664, 62, 165);
INSERT INTO public.ecdc_data VALUES (29739, 0, 0, 1.5168012, 3, 165);
INSERT INTO public.ecdc_data VALUES (29740, 0, 0, 6.3991809, 63, 165);
INSERT INTO public.ecdc_data VALUES (29741, 0, 0, 0.91731818, 108, 165);
INSERT INTO public.ecdc_data VALUES (29742, 44, 1351, 156.26544436, 64, 165);
INSERT INTO public.ecdc_data VALUES (29743, 0, 0, 7.69734057, 65, 165);
INSERT INTO public.ecdc_data VALUES (29744, 8, 231, 84.85312624, 154, 165);
INSERT INTO public.ecdc_data VALUES (29745, 0, 0, 7.46624022, 4, 165);
INSERT INTO public.ecdc_data VALUES (29746, 1233, 39924, 245.43765959, 66, 165);
INSERT INTO public.ecdc_data VALUES (29747, 0, 0, 0, 67, 165);
INSERT INTO public.ecdc_data VALUES (29748, 0, 0, 0, 109, 165);
INSERT INTO public.ecdc_data VALUES (29749, 6, 232, 38.89978327, 155, 165);
INSERT INTO public.ecdc_data VALUES (29750, 0, 0, 0.37399029, 5, 165);
INSERT INTO public.ecdc_data VALUES (29751, 0, 0, 0.8585867, 6, 165);
INSERT INTO public.ecdc_data VALUES (29752, 0, 1, 0.15163883, 110, 165);
INSERT INTO public.ecdc_data VALUES (29753, 0, 0, 9.97434456, 7, 165);
INSERT INTO public.ecdc_data VALUES (29754, 12, 341, 12.35731551, 68, 165);
INSERT INTO public.ecdc_data VALUES (29755, 0, 57, 103.64842454, 8, 165);
INSERT INTO public.ecdc_data VALUES (29756, 0, 0, 3.07938659, 69, 165);
INSERT INTO public.ecdc_data VALUES (29757, 0, 6, 13.00267071, 9, 165);
INSERT INTO public.ecdc_data VALUES (29758, 0, 1, 0.11914555, 10, 165);
INSERT INTO public.ecdc_data VALUES (29759, 117, 1712, 206.63744025, 70, 165);
INSERT INTO public.ecdc_data VALUES (29760, 2, 20, 0.02999058, 111, 165);
INSERT INTO public.ecdc_data VALUES (29761, 189, 5271, 125.46821386, 71, 165);
INSERT INTO public.ecdc_data VALUES (29762, 0, 4, 2.11542959, 11, 165);
INSERT INTO public.ecdc_data VALUES (29763, 1, 136, 18.13956462, 12, 165);
INSERT INTO public.ecdc_data VALUES (29764, 4, 504, 103.67383376, 72, 165);
INSERT INTO public.ecdc_data VALUES (29765, 0, 366, 14.39150829, 13, 165);
INSERT INTO public.ecdc_data VALUES (29766, 0, 126, 27.525326, 156, 165);
INSERT INTO public.ecdc_data VALUES (29767, 0, 6, 0.79410709, 73, 165);
INSERT INTO public.ecdc_data VALUES (29768, 0, 0, 0.61190897, 74, 165);
INSERT INTO public.ecdc_data VALUES (29769, 0, 1, 2.74004195, 157, 165);
INSERT INTO public.ecdc_data VALUES (29770, 0, 134, 13.41809236, 158, 165);
INSERT INTO public.ecdc_data VALUES (29771, 2, 27, 1.19943909, 14, 165);
INSERT INTO public.ecdc_data VALUES (29772, 0, 31, 5.13254982, 159, 165);
INSERT INTO public.ecdc_data VALUES (29773, 0, 6, 28.8632304, 15, 165);
INSERT INTO public.ecdc_data VALUES (29774, 0, 0, 0, 75, 165);
INSERT INTO public.ecdc_data VALUES (29775, 19, 1366, 133.01105498, 76, 165);
INSERT INTO public.ecdc_data VALUES (29776, 28, 759, 69.48450749, 77, 165);
INSERT INTO public.ecdc_data VALUES (29777, 59, 913, 14.97090152, 16, 165);
INSERT INTO public.ecdc_data VALUES (29778, 20, 342, 60.57131346, 78, 165);
INSERT INTO public.ecdc_data VALUES (29779, 0, 0, 78.90960204, 17, 165);
INSERT INTO public.ecdc_data VALUES (29780, 0, 0, 0.8292545, 18, 165);
INSERT INTO public.ecdc_data VALUES (29781, 0, 1, 2.03801271, 160, 165);
INSERT INTO public.ecdc_data VALUES (29782, 0, 55, 56.52655224, 19, 165);
INSERT INTO public.ecdc_data VALUES (29783, 7, 212, 2.083357, 20, 165);
INSERT INTO public.ecdc_data VALUES (29784, 0, 0, 0, 79, 165);
INSERT INTO public.ecdc_data VALUES (29785, 0, 0, 2.05435832, 161, 165);
INSERT INTO public.ecdc_data VALUES (29786, 0, 0, 0.89892186, 203, 165);
INSERT INTO public.ecdc_data VALUES (29787, 0, 0, 1.03299813, 162, 165);
INSERT INTO public.ecdc_data VALUES (29788, 91, 927, 11.31871912, 163, 165);
INSERT INTO public.ecdc_data VALUES (29789, 0, 0, 0, 204, 165);
INSERT INTO public.ecdc_data VALUES (29790, 0, 95, 27.98518626, 21, 165);
INSERT INTO public.ecdc_data VALUES (29791, 0, 0, 0.63892429, 22, 165);
INSERT INTO public.ecdc_data VALUES (29792, 0, 3, 1.87651904, 164, 165);
INSERT INTO public.ecdc_data VALUES (29793, 7, 534, 6.06124753, 165, 165);
INSERT INTO public.ecdc_data VALUES (29794, 0, 442, 23.98590986, 23, 165);
INSERT INTO public.ecdc_data VALUES (29795, 0, 0, 5.93366166, 166, 165);
INSERT INTO public.ecdc_data VALUES (29796, 0, 27, 4.4570431, 167, 165);
INSERT INTO public.ecdc_data VALUES (29797, 0, 0, 0, 80, 165);
INSERT INTO public.ecdc_data VALUES (29798, 0, 0, 0, 81, 165);
INSERT INTO public.ecdc_data VALUES (29799, 0, 1, 20.32338085, 205, 165);
INSERT INTO public.ecdc_data VALUES (29800, 48, 1202, 74.29979144, 82, 165);
INSERT INTO public.ecdc_data VALUES (29801, 0, 0, 0, 168, 165);
INSERT INTO public.ecdc_data VALUES (29802, 1, 135, 6.8278381, 24, 165);
INSERT INTO public.ecdc_data VALUES (29803, 0, 0, 12.91050056, 25, 165);
INSERT INTO public.ecdc_data VALUES (29804, 1, 5, 8.303791, 83, 165);
INSERT INTO public.ecdc_data VALUES (29805, 2, 71, 7.65332464, 84, 165);
INSERT INTO public.ecdc_data VALUES (29806, 0, 0, 0, 169, 165);
INSERT INTO public.ecdc_data VALUES (29807, 18, 930, 100.28611401, 85, 165);
INSERT INTO public.ecdc_data VALUES (29808, 0, 0, 1.08464797, 170, 165);
INSERT INTO public.ecdc_data VALUES (29809, 0, 0, 2.80119107, 171, 165);
INSERT INTO public.ecdc_data VALUES (29810, 606, 32695, 26.65619635, 112, 165);
INSERT INTO public.ecdc_data VALUES (29811, 87, 1522, 8.24903583, 113, 165);
INSERT INTO public.ecdc_data VALUES (29812, 199, 2388, 41.42852151, 114, 165);
INSERT INTO public.ecdc_data VALUES (29813, 87, 2110, 82.27721599, 115, 165);
INSERT INTO public.ecdc_data VALUES (29814, 2, 13, 4.20044696, 172, 165);
INSERT INTO public.ecdc_data VALUES (29815, 0, 0, 0, 173, 165);
INSERT INTO public.ecdc_data VALUES (29816, 9, 2354, 216.64739882, 116, 165);
INSERT INTO public.ecdc_data VALUES (29817, 13, 162, 4.54940466, 174, 165);
INSERT INTO public.ecdc_data VALUES (29818, 0, 1, 1.89941447, 86, 165);
INSERT INTO public.ecdc_data VALUES (29819, 1, 382, 3.16568701, 117, 165);
INSERT INTO public.ecdc_data VALUES (29820, 0, 0, 9.27678207, 175, 165);
INSERT INTO public.ecdc_data VALUES (29821, 0, 3, 0.67315422, 118, 165);
INSERT INTO public.ecdc_data VALUES (29822, 0, 1674, 121.89897187, 119, 165);
INSERT INTO public.ecdc_data VALUES (29823, 7, 461, 8.7096338, 26, 165);
INSERT INTO public.ecdc_data VALUES (29824, 4, 119, 124.88142936, 176, 165);
INSERT INTO public.ecdc_data VALUES (29825, 3, 703, 236.19724574, 120, 165);
INSERT INTO public.ecdc_data VALUES (29826, 7, 521, 105.41080209, 121, 165);
INSERT INTO public.ecdc_data VALUES (29827, 0, 0, 0, 122, 165);
INSERT INTO public.ecdc_data VALUES (29828, 0, 0, 2.96879948, 177, 165);
INSERT INTO public.ecdc_data VALUES (29829, 1, 91, 10.99813309, 123, 165);
INSERT INTO public.ecdc_data VALUES (29830, 0, 11, 10.39869343, 27, 165);
INSERT INTO public.ecdc_data VALUES (29831, 15, 32, 5.10392772, 28, 165);
INSERT INTO public.ecdc_data VALUES (29832, 1, 26, 10.78576273, 29, 165);
INSERT INTO public.ecdc_data VALUES (29833, 0, 0, 5.21131898, 178, 165);
INSERT INTO public.ecdc_data VALUES (29834, 0, 7, 2.29047192, 179, 165);
INSERT INTO public.ecdc_data VALUES (29835, 0, 0, 115.81804025, 180, 165);
INSERT INTO public.ecdc_data VALUES (29836, 4, 262, 12.24354828, 30, 165);
INSERT INTO public.ecdc_data VALUES (29837, 3, 117, 6.82815577, 31, 165);
INSERT INTO public.ecdc_data VALUES (29838, 0, 5, 0.29421165, 124, 165);
INSERT INTO public.ecdc_data VALUES (29839, 0, 30, 84.56428675, 125, 165);
INSERT INTO public.ecdc_data VALUES (29840, 0, 10, 1.17509273, 32, 165);
INSERT INTO public.ecdc_data VALUES (29841, 0, 0, 0.60783007, 181, 165);
INSERT INTO public.ecdc_data VALUES (29842, 0, 0, 28.65856272, 33, 165);
INSERT INTO public.ecdc_data VALUES (29843, 0, 1, 0.15752125, 34, 165);
INSERT INTO public.ecdc_data VALUES (29844, 579, 8738, 71.16333415, 87, 165);
INSERT INTO public.ecdc_data VALUES (29845, 1, 332, 77.70960943, 182, 165);
INSERT INTO public.ecdc_data VALUES (29846, 0, 0, 18.13510654, 183, 165);
INSERT INTO public.ecdc_data VALUES (29847, 0, 0, 1.27125239, 126, 165);
INSERT INTO public.ecdc_data VALUES (29848, 0, 60, 161.68902347, 184, 165);
INSERT INTO public.ecdc_data VALUES (29849, 0, 0, 20.03606492, 88, 165);
INSERT INTO public.ecdc_data VALUES (29850, 2, 165, 9.941937, 35, 165);
INSERT INTO public.ecdc_data VALUES (29851, 0, 62, 1.40617597, 36, 165);
INSERT INTO public.ecdc_data VALUES (29852, 0, 0, 0.06105975, 127, 165);
INSERT INTO public.ecdc_data VALUES (29853, 0, 96, 27.05927063, 37, 165);
INSERT INTO public.ecdc_data VALUES (29854, 1, 116, 10.94421752, 128, 165);
INSERT INTO public.ecdc_data VALUES (29855, 1, 106, 5.30604879, 185, 165);
INSERT INTO public.ecdc_data VALUES (29856, 0, 0, 0.35366056, 207, 165);
INSERT INTO public.ecdc_data VALUES (29857, 0, 1, 0.37632797, 208, 165);
INSERT INTO public.ecdc_data VALUES (29858, 0, 0, 9.59437342, 89, 165);
INSERT INTO public.ecdc_data VALUES (29859, 1, 1, 0.1072468, 38, 165);
INSERT INTO public.ecdc_data VALUES (29860, 6, 643, 3.86885978, 39, 165);
INSERT INTO public.ecdc_data VALUES (29861, 4, 194, 98.79006245, 186, 165);
INSERT INTO public.ecdc_data VALUES (29862, 0, 0, 10.48712705, 209, 165);
INSERT INTO public.ecdc_data VALUES (29863, 0, 17, 2.13955451, 187, 165);
INSERT INTO public.ecdc_data VALUES (29864, 8, 1679, 403.07602505, 129, 165);
INSERT INTO public.ecdc_data VALUES (29865, 40, 2145, 18.51866243, 130, 165);
INSERT INTO public.ecdc_data VALUES (29866, 0, 420, 101.55734648, 131, 165);
INSERT INTO public.ecdc_data VALUES (29867, 22, 1147, 348.05625418, 90, 165);
INSERT INTO public.ecdc_data VALUES (29868, 0, 0, 0, 210, 165);
INSERT INTO public.ecdc_data VALUES (29869, 0, 124, 13.31508967, 91, 165);
INSERT INTO public.ecdc_data VALUES (29870, 188, 3857, 151.48046804, 92, 165);
INSERT INTO public.ecdc_data VALUES (29871, 11, 1305, 18.81209348, 132, 165);
INSERT INTO public.ecdc_data VALUES (29872, 6, 323, 10.5470198, 188, 165);
INSERT INTO public.ecdc_data VALUES (29873, 8, 375, 48.38168047, 189, 165);
INSERT INTO public.ecdc_data VALUES (29874, 2, 256, 96.88402961, 93, 165);
INSERT INTO public.ecdc_data VALUES (29875, 1, 450, 281.7725968, 133, 165);
INSERT INTO public.ecdc_data VALUES (29876, 21, 641, 35.69504747, 190, 165);
INSERT INTO public.ecdc_data VALUES (29877, 156, 6422, 63.04420045, 191, 165);
INSERT INTO public.ecdc_data VALUES (29878, 0, 19, 3.11239352, 40, 165);
INSERT INTO public.ecdc_data VALUES (29879, 0, 0, 3.78544119, 94, 165);
INSERT INTO public.ecdc_data VALUES (29880, 0, 0, 1.64118275, 95, 165);
INSERT INTO public.ecdc_data VALUES (29881, 0, 0, 5.42529817, 96, 165);
INSERT INTO public.ecdc_data VALUES (29882, 0, 0, 2.90250486, 192, 165);
INSERT INTO public.ecdc_data VALUES (29883, 0, 5, 10.23027417, 41, 165);
INSERT INTO public.ecdc_data VALUES (29884, 42, 2671, 134.96056396, 134, 165);
INSERT INTO public.ecdc_data VALUES (29885, 3, 126, 8.86087337, 42, 165);
INSERT INTO public.ecdc_data VALUES (29886, 11, 351, 64.5915054, 193, 165);
INSERT INTO public.ecdc_data VALUES (29887, 0, 0, 91.05697711, 43, 165);
INSERT INTO public.ecdc_data VALUES (29888, 0, 17, 2.1758031, 44, 165);
INSERT INTO public.ecdc_data VALUES (29889, 0, 249, 47.48168742, 135, 165);
INSERT INTO public.ecdc_data VALUES (29890, 0, 0, 2.3591026, 97, 165);
INSERT INTO public.ecdc_data VALUES (29891, 0, 19, 4.40332958, 194, 165);
INSERT INTO public.ecdc_data VALUES (29892, 0, 19, 12.73482537, 195, 165);
INSERT INTO public.ecdc_data VALUES (29893, 0, 7, 1.02959896, 45, 165);
INSERT INTO public.ecdc_data VALUES (29894, 107, 12757, 259.08553612, 46, 165);
INSERT INTO public.ecdc_data VALUES (29895, 2, 61, 1.38212897, 136, 165);
INSERT INTO public.ecdc_data VALUES (29896, 0, 5, 1.32885993, 47, 165);
INSERT INTO public.ecdc_data VALUES (29897, 3, 1361, 18.6462467, 196, 165);
INSERT INTO public.ecdc_data VALUES (29898, 0, 9, 2.90755831, 137, 165);
INSERT INTO public.ecdc_data VALUES (29899, 11, 211, 2.22828281, 48, 165);
INSERT INTO public.ecdc_data VALUES (29900, 0, 48, 54.01100517, 98, 165);
INSERT INTO public.ecdc_data VALUES (29901, 6, 287, 52.83384416, 197, 165);
INSERT INTO public.ecdc_data VALUES (29902, 0, 132, 14.18451835, 198, 165);
INSERT INTO public.ecdc_data VALUES (29903, 1, 19, 0.96660061, 138, 165);
INSERT INTO public.ecdc_data VALUES (29904, 0, 1, 0.01682519, 139, 165);
INSERT INTO public.ecdc_data VALUES (29905, 0, 52, 7.40262094, 140, 165);
INSERT INTO public.ecdc_data VALUES (29906, 0, 4, 0.08186646, 141, 165);
INSERT INTO public.ecdc_data VALUES (29907, 0, 0, 0, 142, 165);
INSERT INTO public.ecdc_data VALUES (29908, 0, 9, 0.9774374, 49, 165);
INSERT INTO public.ecdc_data VALUES (29909, 0, 0, 0.21505854, 99, 165);
INSERT INTO public.ecdc_data VALUES (29910, 0, 13, 1.2313248, 50, 165);
INSERT INTO public.ecdc_data VALUES (29911, 17, 947, 18.09914316, 199, 165);
INSERT INTO public.ecdc_data VALUES (29912, 0, 0, 78.54636854, 100, 165);
INSERT INTO public.ecdc_data VALUES (29913, 0, 3, 0.33883307, 51, 165);
INSERT INTO public.ecdc_data VALUES (29914, 15, 836, 24.11484768, 200, 165);
INSERT INTO public.ecdc_data VALUES (29915, 0, 275, 69.38213971, 143, 165);
INSERT INTO public.ecdc_data VALUES (29916, 26, 685, 12.41764234, 201, 165);
INSERT INTO public.ecdc_data VALUES (29917, 0, 0, 0, 52, 165);
INSERT INTO public.ecdc_data VALUES (29918, 953, 67717, 247.00627688, 101, 165);
INSERT INTO public.ecdc_data VALUES (29919, 0, 32, 150.12574226, 102, 165);
INSERT INTO public.ecdc_data VALUES (29920, 0, 12, 1.90656062, 103, 165);
INSERT INTO public.ecdc_data VALUES (29921, 4, 494, 17.83715613, 144, 165);
INSERT INTO public.ecdc_data VALUES (29922, 4, 418, 15.31079458, 104, 165);
INSERT INTO public.ecdc_data VALUES (29923, 0, 0, 0.01866018, 145, 165);
INSERT INTO public.ecdc_data VALUES (29924, 0, 0, 52.36429064, 53, 165);
INSERT INTO public.ecdc_data VALUES (29925, 3, 24, 1.15218743, 146, 165);
INSERT INTO public.ecdc_data VALUES (29926, 0, 0, 3.64480578, 54, 165);
INSERT INTO public.ecdc_data VALUES (29927, 1, 55, 3.30477548, 55, 165);
INSERT INTO public.ecdc_data VALUES (29928, 7, 761, 25.70070567, 105, 166);
INSERT INTO public.ecdc_data VALUES (29929, 0, 69, 15.61611877, 147, 166);
INSERT INTO public.ecdc_data VALUES (29930, 10, 112, 3.52588228, 1, 166);
INSERT INTO public.ecdc_data VALUES (29931, 0, 0, 115.52043268, 148, 166);
INSERT INTO public.ecdc_data VALUES (29932, 0, 2, 0.17596064, 2, 166);
INSERT INTO public.ecdc_data VALUES (29933, 0, 0, 0, 56, 166);
INSERT INTO public.ecdc_data VALUES (29934, 0, 0, 1.02970705, 57, 166);
INSERT INTO public.ecdc_data VALUES (29935, 21, 1208, 34.32284127, 58, 166);
INSERT INTO public.ecdc_data VALUES (29936, 8, 425, 252.8968181, 149, 166);
INSERT INTO public.ecdc_data VALUES (29937, 0, 0, 0, 59, 166);
INSERT INTO public.ecdc_data VALUES (29938, 0, 15, 0.51977527, 202, 166);
INSERT INTO public.ecdc_data VALUES (29939, 1, 27, 4.53787346, 150, 166);
INSERT INTO public.ecdc_data VALUES (29940, 3, 367, 46.39859057, 151, 166);
INSERT INTO public.ecdc_data VALUES (29941, 0, 1, 0.51349728, 60, 166);
INSERT INTO public.ecdc_data VALUES (29942, 3, 469, 439.26140227, 106, 166);
INSERT INTO public.ecdc_data VALUES (29943, 38, 3099, 25.19838353, 107, 166);
INSERT INTO public.ecdc_data VALUES (29944, 0, 1, 1.74203281, 61, 166);
INSERT INTO public.ecdc_data VALUES (29945, 4, 707, 119.30292056, 152, 166);
INSERT INTO public.ecdc_data VALUES (29946, 8, 147, 13.27744295, 153, 166);
INSERT INTO public.ecdc_data VALUES (29947, 0, 0, 0.76853908, 62, 166);
INSERT INTO public.ecdc_data VALUES (29948, 2, 13, 2.03369993, 3, 166);
INSERT INTO public.ecdc_data VALUES (29949, 0, 0, 4.79938568, 63, 166);
INSERT INTO public.ecdc_data VALUES (29950, 0, 1, 2.62090909, 108, 166);
INSERT INTO public.ecdc_data VALUES (29951, 21, 614, 74.19373163, 64, 166);
INSERT INTO public.ecdc_data VALUES (29952, 0, 0, 0, 65, 166);
INSERT INTO public.ecdc_data VALUES (29953, 1, 38, 15.63163625, 154, 166);
INSERT INTO public.ecdc_data VALUES (29954, 0, 0, 0.95498421, 4, 166);
INSERT INTO public.ecdc_data VALUES (29955, 627, 20647, 171.44033387, 66, 166);
INSERT INTO public.ecdc_data VALUES (29956, 0, 0, 0, 67, 166);
INSERT INTO public.ecdc_data VALUES (29957, 0, 0, 0, 109, 166);
INSERT INTO public.ecdc_data VALUES (29958, 2, 51, 11.82850553, 155, 166);
INSERT INTO public.ecdc_data VALUES (29959, 0, 0, 0.06397202, 5, 166);
INSERT INTO public.ecdc_data VALUES (29960, 0, 10, 0.35557631, 6, 166);
INSERT INTO public.ecdc_data VALUES (29961, 0, 0, 0.01819666, 110, 166);
INSERT INTO public.ecdc_data VALUES (29962, 0, 0, 13.39831561, 7, 166);
INSERT INTO public.ecdc_data VALUES (29963, 29, 360, 19.89252477, 68, 166);
INSERT INTO public.ecdc_data VALUES (29964, 1, 10, 54.91548107, 8, 166);
INSERT INTO public.ecdc_data VALUES (29965, 0, 0, 56.96865184, 69, 166);
INSERT INTO public.ecdc_data VALUES (29966, 3, 67, 25.71030513, 9, 166);
INSERT INTO public.ecdc_data VALUES (29967, 0, 0, 0.3762491, 10, 166);
INSERT INTO public.ecdc_data VALUES (29968, 39, 5143, 391.92097313, 70, 166);
INSERT INTO public.ecdc_data VALUES (29969, 0, 43, 0.015623, 111, 166);
INSERT INTO public.ecdc_data VALUES (29970, 59, 2124, 44.83561727, 71, 166);
INSERT INTO public.ecdc_data VALUES (29971, 0, 0, 8.22667063, 11, 166);
INSERT INTO public.ecdc_data VALUES (29972, 2, 104, 5.0552885, 12, 166);
INSERT INTO public.ecdc_data VALUES (29973, 0, 29, 13.07562207, 72, 166);
INSERT INTO public.ecdc_data VALUES (29974, 1, 355, 9.67470214, 13, 166);
INSERT INTO public.ecdc_data VALUES (29975, 0, 2, 0.19625901, 156, 166);
INSERT INTO public.ecdc_data VALUES (29976, 0, 14, 1.57939077, 73, 166);
INSERT INTO public.ecdc_data VALUES (29977, 0, 0, 1.22381794, 74, 166);
INSERT INTO public.ecdc_data VALUES (29978, 0, 2, 4.11006292, 157, 166);
INSERT INTO public.ecdc_data VALUES (29979, 1, 40, 7.15506394, 158, 166);
INSERT INTO public.ecdc_data VALUES (29980, 6, 60, 1.89306285, 14, 166);
INSERT INTO public.ecdc_data VALUES (29981, 1, 24, 8.92168056, 159, 166);
INSERT INTO public.ecdc_data VALUES (29982, 0, 36, 95.7314261, 15, 166);
INSERT INTO public.ecdc_data VALUES (29983, 0, 0, 0, 75, 166);
INSERT INTO public.ecdc_data VALUES (29984, 13, 309, 53.06846838, 76, 166);
INSERT INTO public.ecdc_data VALUES (29985, 33, 571, 42.17879978, 77, 166);
INSERT INTO public.ecdc_data VALUES (29986, 97, 1691, 19.82805209, 16, 166);
INSERT INTO public.ecdc_data VALUES (29987, 2, 106, 19.27621232, 78, 166);
INSERT INTO public.ecdc_data VALUES (29988, 0, 0, 0, 17, 166);
INSERT INTO public.ecdc_data VALUES (29989, 0, 13, 2.00164879, 18, 166);
INSERT INTO public.ecdc_data VALUES (29990, 0, 1, 7.85012304, 160, 166);
INSERT INTO public.ecdc_data VALUES (29991, 0, 16, 18.55185767, 19, 166);
INSERT INTO public.ecdc_data VALUES (29992, 3, 176, 2.02000867, 20, 166);
INSERT INTO public.ecdc_data VALUES (29993, 0, 0, 0, 79, 166);
INSERT INTO public.ecdc_data VALUES (29994, 0, 0, 0, 161, 166);
INSERT INTO public.ecdc_data VALUES (29995, 0, 0, 0, 203, 166);
INSERT INTO public.ecdc_data VALUES (29996, 0, 4, 4.04137864, 162, 166);
INSERT INTO public.ecdc_data VALUES (29997, 29, 152, 7.88057425, 163, 166);
INSERT INTO public.ecdc_data VALUES (29998, 0, 0, 0, 204, 166);
INSERT INTO public.ecdc_data VALUES (29999, 4, 570, 63.42695176, 21, 166);
INSERT INTO public.ecdc_data VALUES (30000, 0, 2, 0.21297476, 22, 166);
INSERT INTO public.ecdc_data VALUES (30001, 0, 0, 2.07668107, 164, 166);
INSERT INTO public.ecdc_data VALUES (30002, 9, 378, 5.79504409, 165, 166);
INSERT INTO public.ecdc_data VALUES (30003, 0, 0, 12.80169038, 23, 166);
INSERT INTO public.ecdc_data VALUES (30004, 0, 0, 17.80098499, 166, 166);
INSERT INTO public.ecdc_data VALUES (30005, 1, 13, 2.01406132, 167, 166);
INSERT INTO public.ecdc_data VALUES (30006, 0, 0, 0, 80, 166);
INSERT INTO public.ecdc_data VALUES (30007, 0, 0, 0, 81, 166);
INSERT INTO public.ecdc_data VALUES (30008, 0, 1, 6.57521145, 205, 166);
INSERT INTO public.ecdc_data VALUES (30009, 15, 427, 28.07500349, 82, 166);
INSERT INTO public.ecdc_data VALUES (30010, 0, 0, 0, 168, 166);
INSERT INTO public.ecdc_data VALUES (30011, 1, 40, 5.7003052, 24, 166);
INSERT INTO public.ecdc_data VALUES (30012, 0, 0, 6.29907487, 25, 166);
INSERT INTO public.ecdc_data VALUES (30013, 0, 0, 0.76650378, 83, 166);
INSERT INTO public.ecdc_data VALUES (30014, 3, 132, 19.6660256, 84, 166);
INSERT INTO public.ecdc_data VALUES (30015, 0, 0, 0, 169, 166);
INSERT INTO public.ecdc_data VALUES (30016, 10, 320, 39.15406293, 85, 166);
INSERT INTO public.ecdc_data VALUES (30017, 2, 1, 1.59627438, 170, 166);
INSERT INTO public.ecdc_data VALUES (30018, 0, 1, 1.40059553, 171, 166);
INSERT INTO public.ecdc_data VALUES (30019, 380, 10667, 10.5666806, 112, 166);
INSERT INTO public.ecdc_data VALUES (30020, 64, 1017, 4.56497889, 113, 166);
INSERT INTO public.ecdc_data VALUES (30021, 113, 2449, 42.73228372, 114, 166);
INSERT INTO public.ecdc_data VALUES (30022, 45, 1106, 36.75166, 115, 166);
INSERT INTO public.ecdc_data VALUES (30023, 0, 18, 5.28114448, 172, 166);
INSERT INTO public.ecdc_data VALUES (30024, 0, 0, 0, 173, 166);
INSERT INTO public.ecdc_data VALUES (30025, 0, 217, 24.87272244, 116, 166);
INSERT INTO public.ecdc_data VALUES (30026, 26, 301, 6.78103179, 174, 166);
INSERT INTO public.ecdc_data VALUES (30027, 0, 4, 1.11929781, 86, 166);
INSERT INTO public.ecdc_data VALUES (30028, 2, 85, 0.51789252, 117, 166);
INSERT INTO public.ecdc_data VALUES (30029, 0, 3, 7.42142566, 175, 166);
INSERT INTO public.ecdc_data VALUES (30030, 0, 18, 2.30654315, 118, 166);
INSERT INTO public.ecdc_data VALUES (30031, 4, 383, 19.51871306, 119, 166);
INSERT INTO public.ecdc_data VALUES (30032, 1, 133, 3.24495201, 26, 166);
INSERT INTO public.ecdc_data VALUES (30033, 0, 129, 28.07886101, 176, 166);
INSERT INTO public.ecdc_data VALUES (30034, 2, 511, 206.05755492, 120, 166);
INSERT INTO public.ecdc_data VALUES (30035, 1, 100, 9.77267084, 121, 166);
INSERT INTO public.ecdc_data VALUES (30036, 0, 0, 0, 122, 166);
INSERT INTO public.ecdc_data VALUES (30037, 0, 0, 1.35418924, 177, 166);
INSERT INTO public.ecdc_data VALUES (30038, 0, 18, 3.36945457, 123, 166);
INSERT INTO public.ecdc_data VALUES (30039, 0, 0, 0.09410582, 27, 166);
INSERT INTO public.ecdc_data VALUES (30040, 1, 40, 4.09124364, 28, 166);
INSERT INTO public.ecdc_data VALUES (30041, 2, 49, 4.41168681, 29, 166);
INSERT INTO public.ecdc_data VALUES (30042, 0, 0, 0, 178, 166);
INSERT INTO public.ecdc_data VALUES (30043, 1, 5, 3.39991926, 179, 166);
INSERT INTO public.ecdc_data VALUES (30044, 0, 2, 8.63341228, 180, 166);
INSERT INTO public.ecdc_data VALUES (30045, 0, 18, 1.72047438, 30, 166);
INSERT INTO public.ecdc_data VALUES (30046, 0, 9, 1.18097034, 31, 166);
INSERT INTO public.ecdc_data VALUES (30047, 0, 41, 1.99375339, 124, 166);
INSERT INTO public.ecdc_data VALUES (30048, 0, 30, 44.44804382, 125, 166);
INSERT INTO public.ecdc_data VALUES (30049, 0, 51, 2.77240494, 32, 166);
INSERT INTO public.ecdc_data VALUES (30050, 0, 6, 7.2939608, 181, 166);
INSERT INTO public.ecdc_data VALUES (30051, 4, 104, 29.98432507, 33, 166);
INSERT INTO public.ecdc_data VALUES (30052, 0, 0, 0.15752125, 34, 166);
INSERT INTO public.ecdc_data VALUES (30053, 439, 6524, 51.31313232, 87, 166);
INSERT INTO public.ecdc_data VALUES (30054, 5, 139, 87.03377326, 182, 166);
INSERT INTO public.ecdc_data VALUES (30055, 0, 0, 0, 183, 166);
INSERT INTO public.ecdc_data VALUES (30056, 0, 0, 0.37207387, 126, 166);
INSERT INTO public.ecdc_data VALUES (30057, 0, 1, 0.32144935, 184, 166);
INSERT INTO public.ecdc_data VALUES (30058, 0, 0, 0, 88, 166);
INSERT INTO public.ecdc_data VALUES (30059, 0, 104, 2.75555617, 35, 166);
INSERT INTO public.ecdc_data VALUES (30060, 0, 26, 1.16906902, 36, 166);
INSERT INTO public.ecdc_data VALUES (30061, 0, 0, 0.06291005, 127, 166);
INSERT INTO public.ecdc_data VALUES (30062, 0, 0, 0.28061466, 37, 166);
INSERT INTO public.ecdc_data VALUES (30063, 0, 451, 15.42536951, 128, 166);
INSERT INTO public.ecdc_data VALUES (30064, 6, 165, 13.90450952, 185, 166);
INSERT INTO public.ecdc_data VALUES (30065, 0, 0, 0.35366056, 207, 166);
INSERT INTO public.ecdc_data VALUES (30066, 0, 2, 0.04181422, 208, 166);
INSERT INTO public.ecdc_data VALUES (30067, 0, 0, 13.68878755, 89, 166);
INSERT INTO public.ecdc_data VALUES (30068, 0, 0, 0.09437718, 38, 166);
INSERT INTO public.ecdc_data VALUES (30069, 4, 573, 3.02542346, 39, 166);
INSERT INTO public.ecdc_data VALUES (30070, 5, 100, 88.67996834, 186, 166);
INSERT INTO public.ecdc_data VALUES (30071, 0, 0, 13.98283607, 209, 166);
INSERT INTO public.ecdc_data VALUES (30072, 0, 25, 4.12896484, 187, 166);
INSERT INTO public.ecdc_data VALUES (30073, 4, 1043, 247.25667901, 129, 166);
INSERT INTO public.ecdc_data VALUES (30074, 110, 4443, 33.48781837, 130, 166);
INSERT INTO public.ecdc_data VALUES (30075, 0, 13, 1.16432617, 131, 166);
INSERT INTO public.ecdc_data VALUES (30076, 11, 736, 178.62020893, 90, 166);
INSERT INTO public.ecdc_data VALUES (30077, 0, 0, 0, 210, 166);
INSERT INTO public.ecdc_data VALUES (30078, 1, 0, 4.17338632, 91, 166);
INSERT INTO public.ecdc_data VALUES (30079, 172, 3256, 193.63920451, 92, 166);
INSERT INTO public.ecdc_data VALUES (30080, 10, 490, 7.19778315, 132, 166);
INSERT INTO public.ecdc_data VALUES (30081, 9, 396, 14.80796313, 188, 166);
INSERT INTO public.ecdc_data VALUES (30082, 3, 346, 42.19287339, 189, 166);
INSERT INTO public.ecdc_data VALUES (30083, 0, 79, 68.75970715, 93, 166);
INSERT INTO public.ecdc_data VALUES (30084, 3, 1274, 792.45894612, 133, 166);
INSERT INTO public.ecdc_data VALUES (30085, 17, 166, 14.25226499, 190, 166);
INSERT INTO public.ecdc_data VALUES (30086, 143, 8246, 83.86241496, 191, 166);
INSERT INTO public.ecdc_data VALUES (30087, 0, 30, 1.86110045, 40, 166);
INSERT INTO public.ecdc_data VALUES (30088, 0, 0, 0, 94, 166);
INSERT INTO public.ecdc_data VALUES (30089, 0, 0, 0.54706092, 95, 166);
INSERT INTO public.ecdc_data VALUES (30090, 0, 0, 0.90421636, 96, 166);
INSERT INTO public.ecdc_data VALUES (30091, 0, 0, 20.31753403, 192, 166);
INSERT INTO public.ecdc_data VALUES (30092, 0, 0, 82.30720583, 41, 166);
INSERT INTO public.ecdc_data VALUES (30093, 39, 4507, 131.04151626, 134, 166);
INSERT INTO public.ecdc_data VALUES (30094, 4, 83, 8.79950998, 42, 166);
INSERT INTO public.ecdc_data VALUES (30095, 1, 57, 13.45536695, 193, 166);
INSERT INTO public.ecdc_data VALUES (30096, 0, 0, 0, 43, 166);
INSERT INTO public.ecdc_data VALUES (30097, 0, 7, 4.03163515, 44, 166);
INSERT INTO public.ecdc_data VALUES (30098, 0, 214, 95.20457354, 135, 166);
INSERT INTO public.ecdc_data VALUES (30099, 0, 0, 0, 97, 166);
INSERT INTO public.ecdc_data VALUES (30100, 0, 4, 0.5504162, 194, 166);
INSERT INTO public.ecdc_data VALUES (30101, 0, 1, 1.00917484, 195, 166);
INSERT INTO public.ecdc_data VALUES (30102, 0, 39, 4.00831294, 45, 166);
INSERT INTO public.ecdc_data VALUES (30103, 88, 3495, 66.90088694, 46, 166);
INSERT INTO public.ecdc_data VALUES (30104, 1, 34, 1.19862597, 136, 166);
INSERT INTO public.ecdc_data VALUES (30105, 3, 62, 6.87933608, 47, 166);
INSERT INTO public.ecdc_data VALUES (30106, 0, 219, 9.3657336, 196, 166);
INSERT INTO public.ecdc_data VALUES (30107, 0, 16, 1.22867787, 137, 166);
INSERT INTO public.ecdc_data VALUES (30108, 0, 0, 4.78123156, 48, 166);
INSERT INTO public.ecdc_data VALUES (30109, 2, 21, 31.82177056, 98, 166);
INSERT INTO public.ecdc_data VALUES (30110, 30, 685, 128.47275, 197, 166);
INSERT INTO public.ecdc_data VALUES (30111, 0, 14, 3.04288347, 198, 166);
INSERT INTO public.ecdc_data VALUES (30112, 0, 0, 0.31634202, 138, 166);
INSERT INTO public.ecdc_data VALUES (30113, 0, 2, 0.00841259, 139, 166);
INSERT INTO public.ecdc_data VALUES (30114, 0, 62, 12.52008497, 140, 166);
INSERT INTO public.ecdc_data VALUES (30115, 0, 0, 0.07612145, 141, 166);
INSERT INTO public.ecdc_data VALUES (30116, 0, 0, 0, 142, 166);
INSERT INTO public.ecdc_data VALUES (30117, 0, 1, 1.10116366, 49, 166);
INSERT INTO public.ecdc_data VALUES (30118, 0, 0, 0.43011709, 99, 166);
INSERT INTO public.ecdc_data VALUES (30119, 0, 14, 0.22232253, 50, 166);
INSERT INTO public.ecdc_data VALUES (30120, 18, 1592, 18.36742314, 199, 166);
INSERT INTO public.ecdc_data VALUES (30121, 0, 0, 0, 100, 166);
INSERT INTO public.ecdc_data VALUES (30122, 0, 9, 0.56020401, 51, 166);
INSERT INTO public.ecdc_data VALUES (30123, 12, 656, 17.72528817, 200, 166);
INSERT INTO public.ecdc_data VALUES (30124, 2, 342, 76.18832394, 143, 166);
INSERT INTO public.ecdc_data VALUES (30125, 29, 822, 23.111279, 201, 166);
INSERT INTO public.ecdc_data VALUES (30126, 0, 0, 0, 52, 166);
INSERT INTO public.ecdc_data VALUES (30127, 395, 19957, 92.00281901, 101, 166);
INSERT INTO public.ecdc_data VALUES (30128, 0, 0, 2.86864476, 102, 166);
INSERT INTO public.ecdc_data VALUES (30129, 0, 0, 0.66440749, 103, 166);
INSERT INTO public.ecdc_data VALUES (30130, 0, 190, 4.77537326, 144, 166);
INSERT INTO public.ecdc_data VALUES (30131, 1, 84, 4.90955392, 104, 166);
INSERT INTO public.ecdc_data VALUES (30132, 0, 0, 0.00622006, 145, 166);
INSERT INTO public.ecdc_data VALUES (30133, 0, 0, 0, 53, 166);
INSERT INTO public.ecdc_data VALUES (30134, 44, 116, 1.68027334, 146, 166);
INSERT INTO public.ecdc_data VALUES (30135, 0, 24, 1.64044254, 54, 166);
INSERT INTO public.ecdc_data VALUES (30136, 0, 4, 1.25636092, 55, 166);
INSERT INTO public.ecdc_data VALUES (30137, 32, 1063, 10.6908837, 105, 167);
INSERT INTO public.ecdc_data VALUES (30138, 0, 18, 4.68134209, 147, 167);
INSERT INTO public.ecdc_data VALUES (30139, 7, 187, 5.7487211, 1, 167);
INSERT INTO public.ecdc_data VALUES (30140, 0, 0, 19.69098284, 148, 167);
INSERT INTO public.ecdc_data VALUES (30141, 0, 0, 0.05970093, 2, 167);
INSERT INTO public.ecdc_data VALUES (30142, 0, 0, 0, 56, 167);
INSERT INTO public.ecdc_data VALUES (30143, 0, 0, 0, 57, 167);
INSERT INTO public.ecdc_data VALUES (30144, 3, 345, 6.58096378, 58, 167);
INSERT INTO public.ecdc_data VALUES (30145, 3, 239, 67.95756743, 149, 167);
INSERT INTO public.ecdc_data VALUES (30146, 0, 0, 0.94064528, 59, 167);
INSERT INTO public.ecdc_data VALUES (30147, 0, 30, 0.99987303, 202, 167);
INSERT INTO public.ecdc_data VALUES (30148, 2, 63, 6.88582789, 150, 167);
INSERT INTO public.ecdc_data VALUES (30149, 1, 101, 11.20652359, 151, 167);
INSERT INTO public.ecdc_data VALUES (30150, 0, 0, 3.59448093, 60, 167);
INSERT INTO public.ecdc_data VALUES (30151, 2, 385, 207.96215369, 106, 167);
INSERT INTO public.ecdc_data VALUES (30152, 15, 1202, 7.25377344, 107, 167);
INSERT INTO public.ecdc_data VALUES (30153, 0, 0, 1.39362625, 61, 167);
INSERT INTO public.ecdc_data VALUES (30154, 5, 958, 135.5527464, 152, 167);
INSERT INTO public.ecdc_data VALUES (30155, 45, 347, 45.49772036, 153, 167);
INSERT INTO public.ecdc_data VALUES (30156, 0, 0, 0, 62, 167);
INSERT INTO public.ecdc_data VALUES (30157, 0, 0, 2.10996368, 3, 167);
INSERT INTO public.ecdc_data VALUES (30158, 0, 1, 14.39815704, 63, 167);
INSERT INTO public.ecdc_data VALUES (30159, 0, 1, 1.83463636, 108, 167);
INSERT INTO public.ecdc_data VALUES (30160, 12, 205, 20.39415615, 64, 167);
INSERT INTO public.ecdc_data VALUES (30161, 0, 0, 0, 65, 167);
INSERT INTO public.ecdc_data VALUES (30162, 4, 21, 13.78371026, 154, 167);
INSERT INTO public.ecdc_data VALUES (30163, 0, 0, 0.04340837, 4, 167);
INSERT INTO public.ecdc_data VALUES (30164, 824, 15305, 60.00203203, 66, 167);
INSERT INTO public.ecdc_data VALUES (30165, 0, 0, 6.65934139, 67, 167);
INSERT INTO public.ecdc_data VALUES (30166, 0, 0, 0.69236734, 109, 167);
INSERT INTO public.ecdc_data VALUES (30167, 3, 38, 7.85709908, 155, 167);
INSERT INTO public.ecdc_data VALUES (30168, 0, 9, 0.65448301, 5, 167);
INSERT INTO public.ecdc_data VALUES (30169, 0, 0, 0.10407111, 6, 167);
INSERT INTO public.ecdc_data VALUES (30170, 0, 0, 0, 110, 167);
INSERT INTO public.ecdc_data VALUES (30171, 1, 151, 4.00365012, 7, 167);
INSERT INTO public.ecdc_data VALUES (30172, 90, 1201, 52.23324731, 68, 167);
INSERT INTO public.ecdc_data VALUES (30173, 0, 11, 36.91338628, 8, 167);
INSERT INTO public.ecdc_data VALUES (30174, 0, 0, 29.25417257, 69, 167);
INSERT INTO public.ecdc_data VALUES (30175, 0, 80, 4.82595072, 9, 167);
INSERT INTO public.ecdc_data VALUES (30176, 2, 29, 2.22614051, 10, 167);
INSERT INTO public.ecdc_data VALUES (30177, 36, 2502, 118.90016033, 70, 167);
INSERT INTO public.ecdc_data VALUES (30178, 0, 9, 0.0055099, 111, 167);
INSERT INTO public.ecdc_data VALUES (30179, 21, 606, 14.32276476, 71, 167);
INSERT INTO public.ecdc_data VALUES (30180, 0, 0, 1.17523866, 11, 167);
INSERT INTO public.ecdc_data VALUES (30181, 0, 0, 3.01087036, 12, 167);
INSERT INTO public.ecdc_data VALUES (30182, 0, 13, 2.33776273, 72, 167);
INSERT INTO public.ecdc_data VALUES (30183, 0, 46, 2.65976538, 13, 167);
INSERT INTO public.ecdc_data VALUES (30184, 1, 1, 3.36093553, 156, 167);
INSERT INTO public.ecdc_data VALUES (30185, 0, 10, 2.67349387, 73, 167);
INSERT INTO public.ecdc_data VALUES (30186, 0, 0, 0, 74, 167);
INSERT INTO public.ecdc_data VALUES (30187, 0, 3, 6.05092596, 157, 167);
INSERT INTO public.ecdc_data VALUES (30188, 2, 55, 6.28180811, 158, 167);
INSERT INTO public.ecdc_data VALUES (30189, 10, 71, 0.88143219, 14, 167);
INSERT INTO public.ecdc_data VALUES (30190, 0, 78, 25.49051589, 159, 167);
INSERT INTO public.ecdc_data VALUES (30191, 1, 25, 21.77581795, 15, 167);
INSERT INTO public.ecdc_data VALUES (30192, 0, 0, 0, 75, 167);
INSERT INTO public.ecdc_data VALUES (30193, 2, 419, 41.44722807, 76, 167);
INSERT INTO public.ecdc_data VALUES (30194, 256, 965, 29.53321802, 77, 167);
INSERT INTO public.ecdc_data VALUES (30195, 21, 399, 5.31238391, 16, 167);
INSERT INTO public.ecdc_data VALUES (30196, 2, 55, 12.69068962, 78, 167);
INSERT INTO public.ecdc_data VALUES (30197, 0, 0, 20.57549436, 17, 167);
INSERT INTO public.ecdc_data VALUES (30198, 0, 0, 0, 18, 167);
INSERT INTO public.ecdc_data VALUES (30199, 1, 8, 5.43470056, 160, 167);
INSERT INTO public.ecdc_data VALUES (30200, 0, 3, 7.31622556, 19, 167);
INSERT INTO public.ecdc_data VALUES (30201, 0, 15, 0.13740342, 20, 167);
INSERT INTO public.ecdc_data VALUES (30202, 0, 0, 0, 79, 167);
INSERT INTO public.ecdc_data VALUES (30203, 0, 0, 0, 161, 167);
INSERT INTO public.ecdc_data VALUES (30204, 0, 0, 0, 203, 167);
INSERT INTO public.ecdc_data VALUES (30205, 6, 83, 21.33050521, 162, 167);
INSERT INTO public.ecdc_data VALUES (30206, 130, 563, 17.51006594, 163, 167);
INSERT INTO public.ecdc_data VALUES (30207, 0, 0, 0.71611436, 204, 167);
INSERT INTO public.ecdc_data VALUES (30208, 0, 105, 41.47146846, 21, 167);
INSERT INTO public.ecdc_data VALUES (30209, 0, 0, 0.46854448, 22, 167);
INSERT INTO public.ecdc_data VALUES (30210, 0, 4, 2.2268026, 164, 167);
INSERT INTO public.ecdc_data VALUES (30211, 57, 620, 14.53759866, 165, 167);
INSERT INTO public.ecdc_data VALUES (30212, 4, 108, 11.71680136, 23, 167);
INSERT INTO public.ecdc_data VALUES (30213, 0, 0, 8.90049249, 166, 167);
INSERT INTO public.ecdc_data VALUES (30214, 4, 40, 2.04203439, 167, 167);
INSERT INTO public.ecdc_data VALUES (30215, 0, 0, 0, 80, 167);
INSERT INTO public.ecdc_data VALUES (30216, 0, 1, 1.7856824, 81, 167);
INSERT INTO public.ecdc_data VALUES (30217, 0, 0, 4.78197197, 205, 167);
INSERT INTO public.ecdc_data VALUES (30218, 1, 125, 5.68211679, 82, 167);
INSERT INTO public.ecdc_data VALUES (30219, 0, 0, 0, 168, 167);
INSERT INTO public.ecdc_data VALUES (30220, 1, 58, 7.78310902, 24, 167);
INSERT INTO public.ecdc_data VALUES (30221, 0, 0, 34.15035631, 25, 167);
INSERT INTO public.ecdc_data VALUES (30222, 0, 3, 4.34352145, 83, 167);
INSERT INTO public.ecdc_data VALUES (30223, 0, 37, 1.99767754, 84, 167);
INSERT INTO public.ecdc_data VALUES (30224, 0, 0, 122.6993865, 169, 167);
INSERT INTO public.ecdc_data VALUES (30225, 1, 142, 16.01663842, 85, 167);
INSERT INTO public.ecdc_data VALUES (30226, 6, 56, 5.4334724, 170, 167);
INSERT INTO public.ecdc_data VALUES (30227, 0, 0, 1.12047643, 171, 167);
INSERT INTO public.ecdc_data VALUES (30228, 103, 3970, 3.55703809, 112, 167);
INSERT INTO public.ecdc_data VALUES (30229, 33, 490, 2.19676214, 113, 167);
INSERT INTO public.ecdc_data VALUES (30230, 48, 2102, 25.31421363, 114, 167);
INSERT INTO public.ecdc_data VALUES (30231, 2, 50, 2.64565144, 115, 167);
INSERT INTO public.ecdc_data VALUES (30232, 12, 129, 63.67959154, 172, 167);
INSERT INTO public.ecdc_data VALUES (30233, 1, 2, 21.27936256, 173, 167);
INSERT INTO public.ecdc_data VALUES (30234, 1, 10, 5.72812107, 116, 167);
INSERT INTO public.ecdc_data VALUES (30235, 242, 789, 27.26494994, 174, 167);
INSERT INTO public.ecdc_data VALUES (30236, 0, 2, 2.67953113, 86, 167);
INSERT INTO public.ecdc_data VALUES (30237, 15, 44, 1.33453887, 117, 167);
INSERT INTO public.ecdc_data VALUES (30238, 0, 0, 10.20446028, 175, 167);
INSERT INTO public.ecdc_data VALUES (30239, 0, 10, 1.35620777, 118, 167);
INSERT INTO public.ecdc_data VALUES (30240, 2, 279, 11.74572653, 119, 167);
INSERT INTO public.ecdc_data VALUES (30241, 3, 23, 0.70377037, 26, 167);
INSERT INTO public.ecdc_data VALUES (30242, 0, 10, 7.00581483, 176, 167);
INSERT INTO public.ecdc_data VALUES (30243, 8, 885, 201.63643309, 120, 167);
INSERT INTO public.ecdc_data VALUES (30244, 0, 6, 5.42406611, 121, 167);
INSERT INTO public.ecdc_data VALUES (30245, 0, 0, 0, 122, 167);
INSERT INTO public.ecdc_data VALUES (30246, 0, 8, 5.20842014, 177, 167);
INSERT INTO public.ecdc_data VALUES (30247, 0, 5, 2.36299411, 123, 167);
INSERT INTO public.ecdc_data VALUES (30248, 0, 0, 0, 27, 167);
INSERT INTO public.ecdc_data VALUES (30249, 0, 4, 1.35699665, 28, 167);
INSERT INTO public.ecdc_data VALUES (30250, 0, 0, 0.01475481, 29, 167);
INSERT INTO public.ecdc_data VALUES (30251, 0, 0, 0, 178, 167);
INSERT INTO public.ecdc_data VALUES (30252, 0, 12, 4.43778935, 179, 167);
INSERT INTO public.ecdc_data VALUES (30253, 1, 8, 19.71024314, 180, 167);
INSERT INTO public.ecdc_data VALUES (30254, 0, 8, 0.38191565, 30, 167);
INSERT INTO public.ecdc_data VALUES (30255, 0, 0, 0.13956922, 31, 167);
INSERT INTO public.ecdc_data VALUES (30256, 0, 36, 2.45385032, 124, 167);
INSERT INTO public.ecdc_data VALUES (30257, 0, 49, 101.7031511, 125, 167);
INSERT INTO public.ecdc_data VALUES (30258, 0, 27, 1.5159205, 32, 167);
INSERT INTO public.ecdc_data VALUES (30259, 0, 14, 15.80358174, 181, 167);
INSERT INTO public.ecdc_data VALUES (30260, 1, 13, 0.46401682, 33, 167);
INSERT INTO public.ecdc_data VALUES (30261, 0, 0, 0, 34, 167);
INSERT INTO public.ecdc_data VALUES (30262, 290, 3449, 25.52840678, 87, 167);
INSERT INTO public.ecdc_data VALUES (30263, 3, 192, 43.65291554, 182, 167);
INSERT INTO public.ecdc_data VALUES (30264, 0, 0, 0, 183, 167);
INSERT INTO public.ecdc_data VALUES (30265, 0, 74, 2.97659097, 126, 167);
INSERT INTO public.ecdc_data VALUES (30266, 0, 0, 0.32144935, 184, 167);
INSERT INTO public.ecdc_data VALUES (30267, 0, 0, 0, 88, 167);
INSERT INTO public.ecdc_data VALUES (30268, 0, 45, 5.71126718, 35, 167);
INSERT INTO public.ecdc_data VALUES (30269, 0, 4, 0.13172609, 36, 167);
INSERT INTO public.ecdc_data VALUES (30270, 0, 1, 0.05735916, 127, 167);
INSERT INTO public.ecdc_data VALUES (30271, 0, 0, 0, 37, 167);
INSERT INTO public.ecdc_data VALUES (30272, 0, 18, 0.75851013, 128, 167);
INSERT INTO public.ecdc_data VALUES (30273, 53, 200, 22.50875657, 185, 167);
INSERT INTO public.ecdc_data VALUES (30274, 0, 0, 0, 207, 167);
INSERT INTO public.ecdc_data VALUES (30275, 0, 0, 0.29269953, 208, 167);
INSERT INTO public.ecdc_data VALUES (30276, 0, 0, 0.16805431, 89, 167);
INSERT INTO public.ecdc_data VALUES (30277, 1, 9, 0.6735099, 38, 167);
INSERT INTO public.ecdc_data VALUES (30278, 4, 283, 1.62964833, 39, 167);
INSERT INTO public.ecdc_data VALUES (30279, 2, 17, 11.8432531, 186, 167);
INSERT INTO public.ecdc_data VALUES (30280, 0, 0, 8.73927254, 209, 167);
INSERT INTO public.ecdc_data VALUES (30281, 0, 22, 8.22039363, 187, 167);
INSERT INTO public.ecdc_data VALUES (30282, 0, 284, 43.77896487, 129, 167);
INSERT INTO public.ecdc_data VALUES (30283, 31, 1581, 9.55139091, 130, 167);
INSERT INTO public.ecdc_data VALUES (30284, 0, 6, 0.7427598, 131, 167);
INSERT INTO public.ecdc_data VALUES (30285, 6, 150, 60.00320268, 90, 167);
INSERT INTO public.ecdc_data VALUES (30286, 0, 0, 0, 210, 167);
INSERT INTO public.ecdc_data VALUES (30287, 0, 5, 6.0471516, 91, 167);
INSERT INTO public.ecdc_data VALUES (30288, 126, 3891, 135.45178164, 92, 167);
INSERT INTO public.ecdc_data VALUES (30289, 16, 215, 3.06983324, 132, 167);
INSERT INTO public.ecdc_data VALUES (30290, 24, 401, 12.93293739, 188, 167);
INSERT INTO public.ecdc_data VALUES (30291, 6, 264, 31.45003847, 189, 167);
INSERT INTO public.ecdc_data VALUES (30292, 5, 115, 32.96511493, 93, 167);
INSERT INTO public.ecdc_data VALUES (30293, 0, 1153, 541.26467875, 133, 167);
INSERT INTO public.ecdc_data VALUES (30294, 10, 190, 19.93359794, 190, 167);
INSERT INTO public.ecdc_data VALUES (30295, 113, 10598, 101.74107126, 191, 167);
INSERT INTO public.ecdc_data VALUES (30296, 0, 0, 0.3009439, 40, 167);
INSERT INTO public.ecdc_data VALUES (30297, 0, 0, 0, 94, 167);
INSERT INTO public.ecdc_data VALUES (30298, 0, 0, 0.54706092, 95, 167);
INSERT INTO public.ecdc_data VALUES (30299, 0, 0, 0.90421636, 96, 167);
INSERT INTO public.ecdc_data VALUES (30300, 0, 4, 208.98035004, 192, 167);
INSERT INTO public.ecdc_data VALUES (30301, 0, 0, 100.90770433, 41, 167);
INSERT INTO public.ecdc_data VALUES (30302, 9, 2307, 73.18376578, 134, 167);
INSERT INTO public.ecdc_data VALUES (30303, 2, 121, 7.89133182, 42, 167);
INSERT INTO public.ecdc_data VALUES (30304, 1, 64, 17.70594179, 193, 167);
INSERT INTO public.ecdc_data VALUES (30305, 0, 0, 0, 43, 167);
INSERT INTO public.ecdc_data VALUES (30306, 1, 39, 3.98043979, 44, 167);
INSERT INTO public.ecdc_data VALUES (30307, 0, 793, 168.66680691, 135, 167);
INSERT INTO public.ecdc_data VALUES (30308, 0, 0, 2.3591026, 97, 167);
INSERT INTO public.ecdc_data VALUES (30309, 0, 3, 1.41273491, 194, 167);
INSERT INTO public.ecdc_data VALUES (30310, 0, 0, 1.48973429, 195, 167);
INSERT INTO public.ecdc_data VALUES (30311, 0, 0, 4.42274271, 45, 167);
INSERT INTO public.ecdc_data VALUES (30312, 9, 785, 12.93241824, 46, 167);
INSERT INTO public.ecdc_data VALUES (30313, 2, 19, 0.50170501, 136, 167);
INSERT INTO public.ecdc_data VALUES (30314, 3, 5, 1.72661392, 47, 167);
INSERT INTO public.ecdc_data VALUES (30315, 104, 515, 27.47083009, 196, 167);
INSERT INTO public.ecdc_data VALUES (30316, 0, 10, 1.14895449, 137, 167);
INSERT INTO public.ecdc_data VALUES (30317, 0, 0, 3.5549753, 48, 167);
INSERT INTO public.ecdc_data VALUES (30318, 0, 0, 0, 98, 167);
INSERT INTO public.ecdc_data VALUES (30319, 58, 688, 76.31338045, 197, 167);
INSERT INTO public.ecdc_data VALUES (30320, 6, 51, 9.46804896, 198, 167);
INSERT INTO public.ecdc_data VALUES (30321, 0, 2, 0.03514911, 138, 167);
INSERT INTO public.ecdc_data VALUES (30322, 0, 0, 0.04626926, 139, 167);
INSERT INTO public.ecdc_data VALUES (30323, 4, 211, 11.83346506, 140, 167);
INSERT INTO public.ecdc_data VALUES (30324, 0, 7, 0.09335649, 141, 167);
INSERT INTO public.ecdc_data VALUES (30325, 0, 0, 0, 142, 167);
INSERT INTO public.ecdc_data VALUES (30326, 0, 25, 1.73216755, 49, 167);
INSERT INTO public.ecdc_data VALUES (30327, 0, 0, 0, 99, 167);
INSERT INTO public.ecdc_data VALUES (30328, 0, 3, 0.31638207, 50, 167);
INSERT INTO public.ecdc_data VALUES (30329, 48, 1708, 29.34617168, 199, 167);
INSERT INTO public.ecdc_data VALUES (30330, 0, 0, 0, 100, 167);
INSERT INTO public.ecdc_data VALUES (30331, 0, 43, 0.26654868, 51, 167);
INSERT INTO public.ecdc_data VALUES (30332, 20, 483, 14.70439718, 200, 167);
INSERT INTO public.ecdc_data VALUES (30333, 2, 747, 89.99515482, 143, 167);
INSERT INTO public.ecdc_data VALUES (30334, 350, 2628, 69.14778243, 201, 167);
INSERT INTO public.ecdc_data VALUES (30335, 0, 0, 0.04999529, 52, 167);
INSERT INTO public.ecdc_data VALUES (30336, 1662, 25508, 103.20638344, 101, 167);
INSERT INTO public.ecdc_data VALUES (30337, 0, 0, 2.86864476, 102, 167);
INSERT INTO public.ecdc_data VALUES (30338, 0, 8, 2.4265317, 103, 167);
INSERT INTO public.ecdc_data VALUES (30339, 0, 46, 1.81009387, 144, 167);
INSERT INTO public.ecdc_data VALUES (30340, 0, 4, 0.4348462, 104, 167);
INSERT INTO public.ecdc_data VALUES (30341, 0, 1, 0.04457709, 145, 167);
INSERT INTO public.ecdc_data VALUES (30342, 0, 0, 0, 53, 167);
INSERT INTO public.ecdc_data VALUES (30343, 2, 19, 0.3394838, 146, 167);
INSERT INTO public.ecdc_data VALUES (30344, 0, 14, 3.12971802, 54, 167);
INSERT INTO public.ecdc_data VALUES (30345, 0, 5, 0.05462439, 55, 167);
INSERT INTO public.ecdc_data VALUES (30346, 2, 70, 1.55618469, 105, 168);
INSERT INTO public.ecdc_data VALUES (30347, 1, 19, 8.20981636, 147, 168);
INSERT INTO public.ecdc_data VALUES (30348, 11, 90, 3.04972558, 1, 168);
INSERT INTO public.ecdc_data VALUES (30349, 2, 14, 371.50320963, 148, 168);
INSERT INTO public.ecdc_data VALUES (30350, 0, 0, 0.0345637, 2, 168);
INSERT INTO public.ecdc_data VALUES (30351, 0, 0, 6.72404519, 56, 168);
INSERT INTO public.ecdc_data VALUES (30352, 0, 0, 16.47531277, 57, 168);
INSERT INTO public.ecdc_data VALUES (30353, 4, 0, 2.90080487, 58, 168);
INSERT INTO public.ecdc_data VALUES (30354, 1, 48, 16.76962858, 149, 168);
INSERT INTO public.ecdc_data VALUES (30355, 1, 1, 35.74452074, 59, 168);
INSERT INTO public.ecdc_data VALUES (30356, 2, 42, 5.88020569, 202, 168);
INSERT INTO public.ecdc_data VALUES (30357, 9, 136, 41.30367912, 150, 168);
INSERT INTO public.ecdc_data VALUES (30358, 0, 56, 8.89754182, 151, 168);
INSERT INTO public.ecdc_data VALUES (30359, 0, 4, 8.21595641, 60, 168);
INSERT INTO public.ecdc_data VALUES (30360, 0, 145, 67.26932835, 106, 168);
INSERT INTO public.ecdc_data VALUES (30361, 4, 219, 0.7218814, 107, 168);
INSERT INTO public.ecdc_data VALUES (30362, 0, 2, 10.45219688, 61, 168);
INSERT INTO public.ecdc_data VALUES (30363, 3, 447, 37.83162578, 152, 168);
INSERT INTO public.ecdc_data VALUES (30364, 280, 1633, 170.76485142, 153, 168);
INSERT INTO public.ecdc_data VALUES (30365, 0, 0, 3.84269542, 62, 168);
INSERT INTO public.ecdc_data VALUES (30366, 0, 0, 0.18642249, 3, 168);
INSERT INTO public.ecdc_data VALUES (30367, 0, 24, 78.38996608, 63, 168);
INSERT INTO public.ecdc_data VALUES (30368, 0, 0, 0, 108, 168);
INSERT INTO public.ecdc_data VALUES (30369, 1, 44, 2.76207055, 64, 168);
INSERT INTO public.ecdc_data VALUES (30370, 0, 0, 7.69734057, 65, 168);
INSERT INTO public.ecdc_data VALUES (30371, 1, 27, 19.26690049, 154, 168);
INSERT INTO public.ecdc_data VALUES (30372, 0, 0, 0.39067536, 4, 168);
INSERT INTO public.ecdc_data VALUES (30373, 204, 3058, 10.1796015, 66, 168);
INSERT INTO public.ecdc_data VALUES (30374, 0, 0, 0, 67, 168);
INSERT INTO public.ecdc_data VALUES (30375, 0, 0, 1.15394557, 109, 168);
INSERT INTO public.ecdc_data VALUES (30376, 1, 34, 4.64283128, 155, 168);
INSERT INTO public.ecdc_data VALUES (30377, 2, 14, 1.3827799, 5, 168);
INSERT INTO public.ecdc_data VALUES (30378, 0, 0, 0.02601778, 6, 168);
INSERT INTO public.ecdc_data VALUES (30379, 0, 0, 0.07278664, 110, 168);
INSERT INTO public.ecdc_data VALUES (30380, 0, 0, 2.40373588, 7, 168);
INSERT INTO public.ecdc_data VALUES (30381, 107, 1318, 50.16968521, 68, 168);
INSERT INTO public.ecdc_data VALUES (30382, 0, 44, 8.91012772, 8, 168);
INSERT INTO public.ecdc_data VALUES (30383, 0, 6, 58.50834514, 69, 168);
INSERT INTO public.ecdc_data VALUES (30384, 0, 0, 0.06322206, 9, 168);
INSERT INTO public.ecdc_data VALUES (30385, 0, 4, 0.12541637, 10, 168);
INSERT INTO public.ecdc_data VALUES (30386, 2, 356, 27.65929886, 70, 168);
INSERT INTO public.ecdc_data VALUES (30387, 0, 50, 0.07023375, 111, 168);
INSERT INTO public.ecdc_data VALUES (30388, 4, 126, 4.05248822, 71, 168);
INSERT INTO public.ecdc_data VALUES (30389, 0, 43, 1.76563385, 12, 168);
INSERT INTO public.ecdc_data VALUES (30390, 1, 8, 4.9726987, 72, 168);
INSERT INTO public.ecdc_data VALUES (30391, 0, 28, 1.80428529, 13, 168);
INSERT INTO public.ecdc_data VALUES (30392, 3, 37, 19.08618862, 156, 168);
INSERT INTO public.ecdc_data VALUES (30393, 3, 48, 5.31169409, 73, 168);
INSERT INTO public.ecdc_data VALUES (30394, 0, 0, 1.83572692, 74, 168);
INSERT INTO public.ecdc_data VALUES (30395, 0, 20, 45.09652369, 157, 168);
INSERT INTO public.ecdc_data VALUES (30396, 5, 162, 25.48404665, 158, 168);
INSERT INTO public.ecdc_data VALUES (30397, 1, 13, 0.16591665, 14, 168);
INSERT INTO public.ecdc_data VALUES (30398, 10, 170, 61.55615121, 159, 168);
INSERT INTO public.ecdc_data VALUES (30399, 0, 72, 41.18916509, 15, 168);
INSERT INTO public.ecdc_data VALUES (30400, 0, 0, 5.57040998, 75, 168);
INSERT INTO public.ecdc_data VALUES (30401, 6, 328, 21.69670667, 76, 168);
INSERT INTO public.ecdc_data VALUES (30402, 33, 255, 29.35478696, 77, 168);
INSERT INTO public.ecdc_data VALUES (30403, 5, 155, 1.78806096, 16, 168);
INSERT INTO public.ecdc_data VALUES (30404, 0, 0, 1.82845101, 78, 168);
INSERT INTO public.ecdc_data VALUES (30405, 0, 10, 2.6549025, 17, 168);
INSERT INTO public.ecdc_data VALUES (30406, 0, 0, 0.48611471, 18, 168);
INSERT INTO public.ecdc_data VALUES (30407, 4, 29, 47.02525626, 160, 168);
INSERT INTO public.ecdc_data VALUES (30408, 0, 1, 0.60968546, 19, 168);
INSERT INTO public.ecdc_data VALUES (30409, 0, 3, 0.04996488, 20, 168);
INSERT INTO public.ecdc_data VALUES (30410, 0, 0, 0, 79, 168);
INSERT INTO public.ecdc_data VALUES (30411, 0, 0, 22.59794153, 161, 168);
INSERT INTO public.ecdc_data VALUES (30412, 0, 0, 1.01128709, 203, 168);
INSERT INTO public.ecdc_data VALUES (30413, 8, 76, 32.45788856, 162, 168);
INSERT INTO public.ecdc_data VALUES (30414, 1438, 2633, 73.44408686, 163, 168);
INSERT INTO public.ecdc_data VALUES (30415, 0, 0, 6.44502927, 204, 168);
INSERT INTO public.ecdc_data VALUES (30416, 0, 12, 3.17595041, 21, 168);
INSERT INTO public.ecdc_data VALUES (30417, 0, 0, 0.21297476, 22, 168);
INSERT INTO public.ecdc_data VALUES (30418, 0, 6, 4.77886849, 164, 168);
INSERT INTO public.ecdc_data VALUES (30419, 315, 2866, 68.57207861, 165, 168);
INSERT INTO public.ecdc_data VALUES (30420, 0, 5, 1.46624394, 23, 168);
INSERT INTO public.ecdc_data VALUES (30421, 0, 2, 183.94351154, 166, 168);
INSERT INTO public.ecdc_data VALUES (30422, 1, 22, 7.61800045, 167, 168);
INSERT INTO public.ecdc_data VALUES (30423, 0, 0, 1.76491352, 80, 168);
INSERT INTO public.ecdc_data VALUES (30424, 0, 0, 3.5713648, 81, 168);
INSERT INTO public.ecdc_data VALUES (30425, 0, 0, 34.66929675, 205, 168);
INSERT INTO public.ecdc_data VALUES (30426, 0, 16, 0.85317069, 82, 168);
INSERT INTO public.ecdc_data VALUES (30427, 0, 0, 224.91778867, 168, 168);
INSERT INTO public.ecdc_data VALUES (30428, 1, 41, 2.9284535, 24, 168);
INSERT INTO public.ecdc_data VALUES (30429, 0, 3, 1.76998798, 25, 168);
INSERT INTO public.ecdc_data VALUES (30430, 0, 7, 4.59902271, 83, 168);
INSERT INTO public.ecdc_data VALUES (30431, 0, 1, 0.22196417, 84, 168);
INSERT INTO public.ecdc_data VALUES (30432, 0, 0, 245.39877301, 169, 168);
INSERT INTO public.ecdc_data VALUES (30433, 4, 7, 2.12392322, 85, 168);
INSERT INTO public.ecdc_data VALUES (30434, 8, 73, 10.91810744, 170, 168);
INSERT INTO public.ecdc_data VALUES (30435, 0, 7, 142.02038707, 171, 168);
INSERT INTO public.ecdc_data VALUES (30436, 37, 942, 0.76221199, 112, 168);
INSERT INTO public.ecdc_data VALUES (30437, 10, 297, 1.27814975, 113, 168);
INSERT INTO public.ecdc_data VALUES (30438, 94, 1512, 34.73000598, 114, 168);
INSERT INTO public.ecdc_data VALUES (30439, 1, 15, 1.83414874, 115, 168);
INSERT INTO public.ecdc_data VALUES (30440, 38, 1068, 185.55372494, 172, 168);
INSERT INTO public.ecdc_data VALUES (30441, 0, 12, 223.43330693, 173, 168);
INSERT INTO public.ecdc_data VALUES (30442, 7, 455, 81.10925534, 116, 168);
INSERT INTO public.ecdc_data VALUES (30443, 578, 2667, 90.42645881, 174, 168);
INSERT INTO public.ecdc_data VALUES (30444, 0, 20, 2.74736736, 86, 168);
INSERT INTO public.ecdc_data VALUES (30445, 17, 482, 5.0480726, 117, 168);
INSERT INTO public.ecdc_data VALUES (30446, 2, 0, 126.16423615, 175, 168);
INSERT INTO public.ecdc_data VALUES (30447, 0, 4, 1.2176172, 118, 168);
INSERT INTO public.ecdc_data VALUES (30448, 2, 64, 5.29878347, 119, 168);
INSERT INTO public.ecdc_data VALUES (30449, 1, 9, 0.27389982, 26, 168);
INSERT INTO public.ecdc_data VALUES (30450, 1, 41, 17.01412172, 176, 168);
INSERT INTO public.ecdc_data VALUES (30451, 0, 50, 25.86118581, 120, 168);
INSERT INTO public.ecdc_data VALUES (30452, 0, 17, 5.5175845, 121, 168);
INSERT INTO public.ecdc_data VALUES (30453, 0, 0, 0.12553254, 122, 168);
INSERT INTO public.ecdc_data VALUES (30454, 0, 9, 11.45852431, 177, 168);
INSERT INTO public.ecdc_data VALUES (30455, 0, 17, 2.61096263, 123, 168);
INSERT INTO public.ecdc_data VALUES (30456, 0, 0, 1.07344511, 28, 168);
INSERT INTO public.ecdc_data VALUES (30457, 0, 13, 0.5606826, 29, 168);
INSERT INTO public.ecdc_data VALUES (30458, 0, 0, 23.45093543, 178, 168);
INSERT INTO public.ecdc_data VALUES (30459, 5, 21, 18.25219814, 179, 168);
INSERT INTO public.ecdc_data VALUES (30460, 2, 66, 171.69087823, 180, 168);
INSERT INTO public.ecdc_data VALUES (30461, 0, 2, 0.20764346, 30, 168);
INSERT INTO public.ecdc_data VALUES (30462, 0, 0, 0.08588875, 31, 168);
INSERT INTO public.ecdc_data VALUES (30463, 1, 85, 6.77312767, 124, 168);
INSERT INTO public.ecdc_data VALUES (30464, 0, 0, 0.37667834, 125, 168);
INSERT INTO public.ecdc_data VALUES (30465, 0, 4, 0.61043778, 32, 168);
INSERT INTO public.ecdc_data VALUES (30466, 0, 13, 43.96637484, 181, 168);
INSERT INTO public.ecdc_data VALUES (30467, 0, 0, 0.04419208, 33, 168);
INSERT INTO public.ecdc_data VALUES (30468, 0, 0, 13.38930588, 34, 168);
INSERT INTO public.ecdc_data VALUES (30469, 43, 912, 5.63274168, 87, 168);
INSERT INTO public.ecdc_data VALUES (30470, 6, 115, 40.21509387, 182, 168);
INSERT INTO public.ecdc_data VALUES (30471, 0, 0, 72.54042618, 183, 168);
INSERT INTO public.ecdc_data VALUES (30472, 0, 0, 0.4960985, 126, 168);
INSERT INTO public.ecdc_data VALUES (30473, 0, 5, 26.51957144, 184, 168);
INSERT INTO public.ecdc_data VALUES (30474, 0, 0, 120.2163895, 88, 168);
INSERT INTO public.ecdc_data VALUES (30475, 1, 136, 3.75633031, 35, 168);
INSERT INTO public.ecdc_data VALUES (30476, 0, 1, 0.06256989, 36, 168);
INSERT INTO public.ecdc_data VALUES (30477, 0, 0, 0.10731714, 127, 168);
INSERT INTO public.ecdc_data VALUES (30478, 0, 0, 0.12026343, 37, 168);
INSERT INTO public.ecdc_data VALUES (30479, 0, 0, 0.03844982, 128, 168);
INSERT INTO public.ecdc_data VALUES (30480, 189, 734, 84.12720098, 185, 168);
INSERT INTO public.ecdc_data VALUES (30481, 0, 0, 0.70732113, 207, 168);
INSERT INTO public.ecdc_data VALUES (30482, 0, 6, 7.54746646, 208, 168);
INSERT INTO public.ecdc_data VALUES (30483, 0, 0, 0.06111066, 89, 168);
INSERT INTO public.ecdc_data VALUES (30484, 0, 14, 2.1878347, 38, 168);
INSERT INTO public.ecdc_data VALUES (30485, 1, 34, 0.12738625, 39, 168);
INSERT INTO public.ecdc_data VALUES (30486, 1, 66, 29.84884928, 186, 168);
INSERT INTO public.ecdc_data VALUES (30487, 0, 0, 12.23498156, 209, 168);
INSERT INTO public.ecdc_data VALUES (30488, 3, 111, 37.76126025, 187, 168);
INSERT INTO public.ecdc_data VALUES (30489, 0, 0, 14.07037438, 129, 168);
INSERT INTO public.ecdc_data VALUES (30490, 17, 517, 1.94583327, 130, 168);
INSERT INTO public.ecdc_data VALUES (30491, 0, 4, 3.49297851, 131, 168);
INSERT INTO public.ecdc_data VALUES (30492, 8, 177, 57.31860099, 90, 168);
INSERT INTO public.ecdc_data VALUES (30493, 0, 0, 0.01139456, 210, 168);
INSERT INTO public.ecdc_data VALUES (30494, 0, 13, 1.49049511, 91, 168);
INSERT INTO public.ecdc_data VALUES (30495, 24, 1172, 31.22687091, 92, 168);
INSERT INTO public.ecdc_data VALUES (30496, 14, 230, 2.90612113, 132, 168);
INSERT INTO public.ecdc_data VALUES (30497, 23, 380, 13.24105257, 188, 168);
INSERT INTO public.ecdc_data VALUES (30498, 32, 643, 95.75135475, 189, 168);
INSERT INTO public.ecdc_data VALUES (30499, 6, 51, 23.45398043, 93, 168);
INSERT INTO public.ecdc_data VALUES (30500, 0, 283, 101.55112637, 133, 168);
INSERT INTO public.ecdc_data VALUES (30501, 28, 337, 24.49720718, 190, 168);
INSERT INTO public.ecdc_data VALUES (30502, 28, 3388, 14.88494111, 191, 168);
INSERT INTO public.ecdc_data VALUES (30503, 0, 2, 0.42765712, 40, 168);
INSERT INTO public.ecdc_data VALUES (30504, 0, 0, 11.35632358, 94, 168);
INSERT INTO public.ecdc_data VALUES (30505, 0, 0, 1.09412183, 95, 168);
INSERT INTO public.ecdc_data VALUES (30506, 0, 0, 9.04216361, 96, 168);
INSERT INTO public.ecdc_data VALUES (30507, 0, 20, 452.79075842, 192, 168);
INSERT INTO public.ecdc_data VALUES (30508, 0, 0, 0, 41, 168);
INSERT INTO public.ecdc_data VALUES (30509, 6, 493, 12.08689174, 134, 168);
INSERT INTO public.ecdc_data VALUES (30510, 0, 15, 0.76090602, 42, 168);
INSERT INTO public.ecdc_data VALUES (30511, 5, 408, 54.75487107, 193, 168);
INSERT INTO public.ecdc_data VALUES (30512, 0, 0, 1.0231121, 43, 168);
INSERT INTO public.ecdc_data VALUES (30513, 0, 2, 0.1535861, 44, 168);
INSERT INTO public.ecdc_data VALUES (30514, 0, 447, 46.49966413, 135, 168);
INSERT INTO public.ecdc_data VALUES (30515, 0, 5, 96.72320649, 97, 168);
INSERT INTO public.ecdc_data VALUES (30516, 4, 28, 8.49475664, 194, 168);
INSERT INTO public.ecdc_data VALUES (30517, 5, 28, 19.55876954, 195, 168);
INSERT INTO public.ecdc_data VALUES (30518, 3, 20, 0.48565989, 45, 168);
INSERT INTO public.ecdc_data VALUES (30519, 7, 91, 1.92287111, 46, 168);
INSERT INTO public.ecdc_data VALUES (30520, 4, 22, 1.24352564, 136, 168);
INSERT INTO public.ecdc_data VALUES (30521, 0, 0, 0, 47, 168);
INSERT INTO public.ecdc_data VALUES (30522, 617, 3820, 142.84661204, 196, 168);
INSERT INTO public.ecdc_data VALUES (30523, 0, 4, 0.44082336, 137, 168);
INSERT INTO public.ecdc_data VALUES (30524, 0, 0, 0.05839316, 48, 168);
INSERT INTO public.ecdc_data VALUES (30525, 0, 0, 0, 98, 168);
INSERT INTO public.ecdc_data VALUES (30526, 115, 604, 68.3565351, 197, 168);
INSERT INTO public.ecdc_data VALUES (30527, 73, 583, 108.44368565, 198, 168);
INSERT INTO public.ecdc_data VALUES (30528, 0, 4, 0.13473827, 138, 168);
INSERT INTO public.ecdc_data VALUES (30529, 0, 0, 0.23555262, 139, 168);
INSERT INTO public.ecdc_data VALUES (30530, 3, 29, 1.29406461, 141, 168);
INSERT INTO public.ecdc_data VALUES (30531, 0, 0, 0.38666172, 142, 168);
INSERT INTO public.ecdc_data VALUES (30532, 0, 4, 0.55676814, 49, 168);
INSERT INTO public.ecdc_data VALUES (30533, 0, 1, 1.79215452, 99, 168);
INSERT INTO public.ecdc_data VALUES (30534, 1, 33, 3.30063453, 50, 168);
INSERT INTO public.ecdc_data VALUES (30535, 115, 4281, 65.50055764, 199, 168);
INSERT INTO public.ecdc_data VALUES (30536, 0, 1, 15.70927371, 100, 168);
INSERT INTO public.ecdc_data VALUES (30537, 0, 0, 0.02484776, 51, 168);
INSERT INTO public.ecdc_data VALUES (30538, 10, 392, 6.75097536, 200, 168);
INSERT INTO public.ecdc_data VALUES (30539, 5, 409, 44.46024707, 143, 168);
INSERT INTO public.ecdc_data VALUES (30540, 880, 4326, 94.39268726, 201, 168);
INSERT INTO public.ecdc_data VALUES (30541, 1, 35, 0.11723034, 52, 168);
INSERT INTO public.ecdc_data VALUES (30542, 4928, 30148, 128.52874255, 101, 168);
INSERT INTO public.ecdc_data VALUES (30543, 0, 0, 20.0805133, 102, 168);
INSERT INTO public.ecdc_data VALUES (30544, 1, 10, 4.39086688, 103, 168);
INSERT INTO public.ecdc_data VALUES (30545, 0, 137, 3.38066107, 144, 168);
INSERT INTO public.ecdc_data VALUES (30546, 0, 4, 0.18936851, 104, 168);
INSERT INTO public.ecdc_data VALUES (30547, 0, 0, 0.03628368, 145, 168);
INSERT INTO public.ecdc_data VALUES (30548, 0, 0, 0, 146, 168);
INSERT INTO public.ecdc_data VALUES (30549, 0, 3, 0.06718536, 54, 168);
INSERT INTO public.ecdc_data VALUES (30550, 0, 6, 0.10242073, 55, 168);
INSERT INTO public.ecdc_data VALUES (30551, 0, 6, 0.04205905, 105, 169);
INSERT INTO public.ecdc_data VALUES (30552, 0, 4, 0, 147, 169);
INSERT INTO public.ecdc_data VALUES (30553, 2, 11, 0.10916763, 1, 169);
INSERT INTO public.ecdc_data VALUES (30554, 0, 3, 0, 148, 169);
INSERT INTO public.ecdc_data VALUES (30555, 0, 11, 0, 58, 169);
INSERT INTO public.ecdc_data VALUES (30556, 0, 8, 0.94667258, 149, 169);
INSERT INTO public.ecdc_data VALUES (30557, 2, 49, 1.06732478, 202, 169);
INSERT INTO public.ecdc_data VALUES (30558, 0, 205, 9.54985311, 150, 169);
INSERT INTO public.ecdc_data VALUES (30559, 0, 0, 0.18909764, 151, 169);
INSERT INTO public.ecdc_data VALUES (30560, 0, 1, 0, 60, 169);
INSERT INTO public.ecdc_data VALUES (30561, 0, 3, 10.54129874, 106, 169);
INSERT INTO public.ecdc_data VALUES (30562, 0, 6, 0.28564147, 152, 169);
INSERT INTO public.ecdc_data VALUES (30563, 6, 214, 13.29490178, 153, 169);
INSERT INTO public.ecdc_data VALUES (30564, 0, 15, 0, 154, 169);
INSERT INTO public.ecdc_data VALUES (30565, 0, 79, 0.09381684, 66, 169);
INSERT INTO public.ecdc_data VALUES (30566, 0, 10, 0, 109, 169);
INSERT INTO public.ecdc_data VALUES (30567, 0, 10, 0, 155, 169);
INSERT INTO public.ecdc_data VALUES (30568, 0, 0, 0, 5, 169);
INSERT INTO public.ecdc_data VALUES (30569, 0, 5, 0.06672109, 110, 169);
INSERT INTO public.ecdc_data VALUES (30570, 0, 1, 0, 7, 169);
INSERT INTO public.ecdc_data VALUES (30571, 0, 60, 0.74844221, 68, 169);
INSERT INTO public.ecdc_data VALUES (30572, 0, 1, 0, 9, 169);
INSERT INTO public.ecdc_data VALUES (30573, 0, 14, 0, 70, 169);
INSERT INTO public.ecdc_data VALUES (30574, 13, 25, 0.06179454, 111, 169);
INSERT INTO public.ecdc_data VALUES (30575, 0, 11, 0, 71, 169);
INSERT INTO public.ecdc_data VALUES (30576, 0, 1, 0, 12, 169);
INSERT INTO public.ecdc_data VALUES (30577, 0, 8, 0, 72, 169);
INSERT INTO public.ecdc_data VALUES (30578, 0, 0, 0, 13, 169);
INSERT INTO public.ecdc_data VALUES (30579, 0, 11, 1.10395693, 156, 169);
INSERT INTO public.ecdc_data VALUES (30580, 0, 9, 0, 157, 169);
INSERT INTO public.ecdc_data VALUES (30581, 0, 84, 2.77000507, 158, 169);
INSERT INTO public.ecdc_data VALUES (30582, 0, 0, 0, 14, 169);
INSERT INTO public.ecdc_data VALUES (30583, 1, 48, 15.00151307, 159, 169);
INSERT INTO public.ecdc_data VALUES (30584, 0, 0, 0.1024308, 76, 169);
INSERT INTO public.ecdc_data VALUES (30585, 0, 9, 0.2129661, 77, 169);
INSERT INTO public.ecdc_data VALUES (30586, 0, 17, 0.10857863, 16, 169);
INSERT INTO public.ecdc_data VALUES (30587, 0, 0, 0, 17, 169);
INSERT INTO public.ecdc_data VALUES (30588, 0, 56, 12.90741384, 160, 169);
INSERT INTO public.ecdc_data VALUES (30589, 0, 0, 0, 19, 169);
INSERT INTO public.ecdc_data VALUES (30590, 0, 3, 0, 20, 169);
INSERT INTO public.ecdc_data VALUES (30591, 0, 6, 0, 161, 169);
INSERT INTO public.ecdc_data VALUES (30592, 0, 57, 4.80253516, 162, 169);
INSERT INTO public.ecdc_data VALUES (30593, 36, 924, 7.89848125, 163, 169);
INSERT INTO public.ecdc_data VALUES (30594, 0, 0, 0, 21, 169);
INSERT INTO public.ecdc_data VALUES (30595, 0, 0, 0.72558736, 164, 169);
INSERT INTO public.ecdc_data VALUES (30596, 4, 1043, 5.67218097, 165, 169);
INSERT INTO public.ecdc_data VALUES (30597, 0, 0, 0, 23, 169);
INSERT INTO public.ecdc_data VALUES (30598, 1, 103, 3.04906505, 167, 169);
INSERT INTO public.ecdc_data VALUES (30599, 1, 0, 0, 82, 169);
INSERT INTO public.ecdc_data VALUES (30600, 0, 3, 0, 83, 169);
INSERT INTO public.ecdc_data VALUES (30601, 0, 0, 0, 169, 169);
INSERT INTO public.ecdc_data VALUES (30602, 0, 3, 0, 85, 169);
INSERT INTO public.ecdc_data VALUES (30603, 1, 8, 0, 170, 169);
INSERT INTO public.ecdc_data VALUES (30604, 0, 40, 49.02084366, 171, 169);
INSERT INTO public.ecdc_data VALUES (30605, 0, 3, 0.00658657, 112, 169);
INSERT INTO public.ecdc_data VALUES (30606, 1, 21, 0.04323317, 113, 169);
INSERT INTO public.ecdc_data VALUES (30607, 113, 1209, 15.63067362, 114, 169);
INSERT INTO public.ecdc_data VALUES (30608, 0, 39, 0.29763579, 115, 169);
INSERT INTO public.ecdc_data VALUES (30609, 0, 40, 3.44599775, 172, 169);
INSERT INTO public.ecdc_data VALUES (30610, 0, 72, 2.89927439, 116, 169);
INSERT INTO public.ecdc_data VALUES (30611, 370, 2823, 36.93036392, 174, 169);
INSERT INTO public.ecdc_data VALUES (30612, 0, 2, 0, 86, 169);
INSERT INTO public.ecdc_data VALUES (30613, 2, 34, 0.44143046, 117, 169);
INSERT INTO public.ecdc_data VALUES (30614, 0, 14, 0, 118, 169);
INSERT INTO public.ecdc_data VALUES (30615, 0, 3, 0, 119, 169);
INSERT INTO public.ecdc_data VALUES (30616, 0, 2, 0, 26, 169);
INSERT INTO public.ecdc_data VALUES (30617, 0, 8, 0, 176, 169);
INSERT INTO public.ecdc_data VALUES (30618, 0, 8, 1.64009359, 120, 169);
INSERT INTO public.ecdc_data VALUES (30619, 0, 5, 0, 177, 169);
INSERT INTO public.ecdc_data VALUES (30620, 0, 6, 1.41487919, 123, 169);
INSERT INTO public.ecdc_data VALUES (30621, 0, 3, 0, 178, 169);
INSERT INTO public.ecdc_data VALUES (30622, 0, 5, 0.50104073, 179, 169);
INSERT INTO public.ecdc_data VALUES (30623, 0, 39, 12.542882, 180, 169);
INSERT INTO public.ecdc_data VALUES (30624, 0, 190, 1.26135418, 124, 169);
INSERT INTO public.ecdc_data VALUES (30625, 0, 4, 0, 125, 169);
INSERT INTO public.ecdc_data VALUES (30626, 0, 11, 0, 181, 169);
INSERT INTO public.ecdc_data VALUES (30627, 0, 0, 0, 33, 169);
INSERT INTO public.ecdc_data VALUES (30628, 0, 36, 0.18028536, 87, 169);
INSERT INTO public.ecdc_data VALUES (30629, 0, 3, 0, 182, 169);
INSERT INTO public.ecdc_data VALUES (30630, 0, 2, 27.20265982, 183, 169);
INSERT INTO public.ecdc_data VALUES (30631, 0, 10, 0, 35, 169);
INSERT INTO public.ecdc_data VALUES (30632, 0, 0, 0, 37, 169);
INSERT INTO public.ecdc_data VALUES (30633, 8, 176, 6.4922429, 185, 169);
INSERT INTO public.ecdc_data VALUES (30634, 0, 0, 0.00099521, 39, 169);
INSERT INTO public.ecdc_data VALUES (30635, 0, 0, 0.62586297, 186, 169);
INSERT INTO public.ecdc_data VALUES (30636, 0, 170, 19.85656727, 187, 169);
INSERT INTO public.ecdc_data VALUES (30637, 0, 2, 0.4020107, 129, 169);
INSERT INTO public.ecdc_data VALUES (30638, 0, 1, 0.01431439, 130, 169);
INSERT INTO public.ecdc_data VALUES (30639, 0, 0, 0, 131, 169);
INSERT INTO public.ecdc_data VALUES (30640, 0, 0, 0, 90, 169);
INSERT INTO public.ecdc_data VALUES (30641, 0, 1, 0, 91, 169);
INSERT INTO public.ecdc_data VALUES (30642, 0, 28, 0, 92, 169);
INSERT INTO public.ecdc_data VALUES (30643, 6, 29, 0.12671502, 132, 169);
INSERT INTO public.ecdc_data VALUES (30644, 0, 21, 0, 188, 169);
INSERT INTO public.ecdc_data VALUES (30645, 0, 76, 2.38405304, 189, 169);
INSERT INTO public.ecdc_data VALUES (30646, 0, 64, 14.15924954, 133, 169);
INSERT INTO public.ecdc_data VALUES (30647, 0, 26, 0.70050887, 190, 169);
INSERT INTO public.ecdc_data VALUES (30648, 0, 4, 0.04181741, 191, 169);
INSERT INTO public.ecdc_data VALUES (30649, 0, 4, 0, 40, 169);
INSERT INTO public.ecdc_data VALUES (30650, 0, 0, 0, 95, 169);
INSERT INTO public.ecdc_data VALUES (30651, 2, 6, 281.54297158, 192, 169);
INSERT INTO public.ecdc_data VALUES (30652, 0, 32, 0, 134, 169);
INSERT INTO public.ecdc_data VALUES (30653, 0, 5, 0, 42, 169);
INSERT INTO public.ecdc_data VALUES (30654, 0, 9, 0, 193, 169);
INSERT INTO public.ecdc_data VALUES (30655, 0, 1, 0, 43, 169);
INSERT INTO public.ecdc_data VALUES (30656, 0, 12, 2.06741745, 135, 169);
INSERT INTO public.ecdc_data VALUES (30657, 0, 17, 0, 194, 169);
INSERT INTO public.ecdc_data VALUES (30658, 0, 38, 0, 195, 169);
INSERT INTO public.ecdc_data VALUES (30659, 0, 27, 0, 46, 169);
INSERT INTO public.ecdc_data VALUES (30660, 0, 74, 7.85549006, 136, 169);
INSERT INTO public.ecdc_data VALUES (30661, 152, 1706, 24.19197112, 196, 169);
INSERT INTO public.ecdc_data VALUES (30662, 0, 8, 0.08441298, 137, 169);
INSERT INTO public.ecdc_data VALUES (30663, 0, 0, 0, 48, 169);
INSERT INTO public.ecdc_data VALUES (30664, 2, 69, 9.57949441, 197, 169);
INSERT INTO public.ecdc_data VALUES (30665, 2, 841, 25.466594, 198, 169);
INSERT INTO public.ecdc_data VALUES (30666, 0, 0, 0.07991964, 139, 169);
INSERT INTO public.ecdc_data VALUES (30667, 0, 32, 0.11346404, 141, 169);
INSERT INTO public.ecdc_data VALUES (30668, 0, 0, 0, 49, 169);
INSERT INTO public.ecdc_data VALUES (30669, 0, 2, 0, 99, 169);
INSERT INTO public.ecdc_data VALUES (30670, 0, 2, 0, 50, 169);
INSERT INTO public.ecdc_data VALUES (30671, 0, 16, 0, 199, 169);
INSERT INTO public.ecdc_data VALUES (30672, 0, 0, 0, 200, 169);
INSERT INTO public.ecdc_data VALUES (30673, 0, 12, 0.8699634, 143, 169);
INSERT INTO public.ecdc_data VALUES (30674, 14, 361, 3.8381258, 201, 169);
INSERT INTO public.ecdc_data VALUES (30675, 12, 823, 1.11983983, 101, 169);
INSERT INTO public.ecdc_data VALUES (30676, 0, 2, 0, 103, 169);
INSERT INTO public.ecdc_data VALUES (30677, 0, 6, 0, 144, 169);
INSERT INTO public.ecdc_data VALUES (30678, 0, 5, 0, 104, 169);
INSERT INTO public.ecdc_data VALUES (30679, 0, 4, 0.04250374, 145, 169);
INSERT INTO public.ecdc_data VALUES (30680, 0, 0, 0, 105, 170);
INSERT INTO public.ecdc_data VALUES (30681, 0, 0, 0, 1, 170);
INSERT INTO public.ecdc_data VALUES (30682, 0, 0, 0, 149, 170);
INSERT INTO public.ecdc_data VALUES (30683, 0, 0, 0.015871, 202, 170);
INSERT INTO public.ecdc_data VALUES (30684, 0, 0, 0, 150, 170);
INSERT INTO public.ecdc_data VALUES (30685, 0, 0, 0, 151, 170);
INSERT INTO public.ecdc_data VALUES (30686, 0, 0, 0, 106, 170);
INSERT INTO public.ecdc_data VALUES (30687, 0, 0, 0, 152, 170);
INSERT INTO public.ecdc_data VALUES (30688, 0, 0, 0.00872942, 153, 170);
INSERT INTO public.ecdc_data VALUES (30689, 0, 0, 0, 66, 170);
INSERT INTO public.ecdc_data VALUES (30690, 0, 0, 0, 110, 170);
INSERT INTO public.ecdc_data VALUES (30691, 0, 0, 0.01069203, 68, 170);
INSERT INTO public.ecdc_data VALUES (30692, 0, 134, 0, 214, 170);
INSERT INTO public.ecdc_data VALUES (30693, 142, 2007, 3.77790599, 111, 170);
INSERT INTO public.ecdc_data VALUES (30694, 0, 0, 0, 156, 170);
INSERT INTO public.ecdc_data VALUES (30695, 0, 0, 0, 158, 170);
INSERT INTO public.ecdc_data VALUES (30696, 0, 0, 0, 159, 170);
INSERT INTO public.ecdc_data VALUES (30697, 0, 0, 0, 76, 170);
INSERT INTO public.ecdc_data VALUES (30698, 0, 0, 0, 77, 170);
INSERT INTO public.ecdc_data VALUES (30699, 0, 0, 0.00099613, 16, 170);
INSERT INTO public.ecdc_data VALUES (30700, 0, 0, 0, 160, 170);
INSERT INTO public.ecdc_data VALUES (30701, 0, 0, 0, 162, 170);
INSERT INTO public.ecdc_data VALUES (30702, 0, 0, 0.00746125, 163, 170);
INSERT INTO public.ecdc_data VALUES (30703, 0, 0, 0, 164, 170);
INSERT INTO public.ecdc_data VALUES (30704, 0, 0, 0.00843178, 165, 170);
INSERT INTO public.ecdc_data VALUES (30705, 0, 0, 0, 167, 170);
INSERT INTO public.ecdc_data VALUES (30706, 0, 0, 0, 171, 170);
INSERT INTO public.ecdc_data VALUES (30707, 0, 0, 7.318e-05, 112, 170);
INSERT INTO public.ecdc_data VALUES (30708, 0, 0, 0, 113, 170);
INSERT INTO public.ecdc_data VALUES (30709, 0, 0, 0, 114, 170);
INSERT INTO public.ecdc_data VALUES (30710, 0, 0, 0, 115, 170);
INSERT INTO public.ecdc_data VALUES (30711, 0, 0, 0, 172, 170);
INSERT INTO public.ecdc_data VALUES (30712, 0, 0, 0, 116, 170);
INSERT INTO public.ecdc_data VALUES (30713, 0, 0, 0, 174, 170);
INSERT INTO public.ecdc_data VALUES (30714, 0, 14, 0.02601287, 117, 170);
INSERT INTO public.ecdc_data VALUES (30715, 0, 0, 0, 120, 170);
INSERT INTO public.ecdc_data VALUES (30716, 0, 0, 0, 123, 170);
INSERT INTO public.ecdc_data VALUES (30717, 0, 0, 0, 179, 170);
INSERT INTO public.ecdc_data VALUES (30718, 0, 0, 0, 180, 170);
INSERT INTO public.ecdc_data VALUES (30719, 0, 1, 0.04381876, 124, 170);
INSERT INTO public.ecdc_data VALUES (30720, 0, 0, 0.00078385, 87, 170);
INSERT INTO public.ecdc_data VALUES (30721, 0, 0, 0, 183, 170);
INSERT INTO public.ecdc_data VALUES (30722, 0, 0, 0, 128, 170);
INSERT INTO public.ecdc_data VALUES (30723, 0, 0, 0, 185, 170);
INSERT INTO public.ecdc_data VALUES (30724, 0, 0, 0, 208, 170);
INSERT INTO public.ecdc_data VALUES (30725, 0, 0, 0, 39, 170);
INSERT INTO public.ecdc_data VALUES (30726, 0, 0, 0, 186, 170);
INSERT INTO public.ecdc_data VALUES (30727, 0, 0, 0, 187, 170);
INSERT INTO public.ecdc_data VALUES (30728, 0, 0, 0, 129, 170);
INSERT INTO public.ecdc_data VALUES (30729, 0, 0, 0, 130, 170);
INSERT INTO public.ecdc_data VALUES (30730, 0, 0, 0.00092493, 132, 170);
INSERT INTO public.ecdc_data VALUES (30731, 0, 0, 0, 133, 170);
INSERT INTO public.ecdc_data VALUES (30732, 0, 0, 0, 190, 170);
INSERT INTO public.ecdc_data VALUES (30733, 0, 0, 0, 191, 170);
INSERT INTO public.ecdc_data VALUES (30734, 0, 0, 0, 192, 170);
INSERT INTO public.ecdc_data VALUES (30735, 0, 5, 0.93033785, 135, 170);
INSERT INTO public.ecdc_data VALUES (30736, 0, 1, 0.02733023, 136, 170);
INSERT INTO public.ecdc_data VALUES (30737, 0, 0, 0.00213051, 196, 170);
INSERT INTO public.ecdc_data VALUES (30738, 0, 0, 0, 137, 170);
INSERT INTO public.ecdc_data VALUES (30739, 0, 0, 0.00977499, 197, 170);
INSERT INTO public.ecdc_data VALUES (30740, 0, 0, 0, 198, 170);
INSERT INTO public.ecdc_data VALUES (30741, 0, 0, 0.03365037, 139, 170);
INSERT INTO public.ecdc_data VALUES (30742, 0, 0, 0.02154381, 141, 170);
INSERT INTO public.ecdc_data VALUES (30743, 0, 0, 0.03070459, 143, 170);
INSERT INTO public.ecdc_data VALUES (30744, 0, 0, 0.01200352, 201, 170);
INSERT INTO public.ecdc_data VALUES (30745, 0, 0, 0.00212724, 101, 170);
INSERT INTO public.ecdc_data VALUES (30746, 0, 0, 0.00933009, 145, 170);
INSERT INTO public.ecdc_data VALUES (30747, 0, 0, 0, 105, 171);
INSERT INTO public.ecdc_data VALUES (30748, 0, 0, 0, 1, 171);
INSERT INTO public.ecdc_data VALUES (30749, 0, 0, 0, 149, 171);
INSERT INTO public.ecdc_data VALUES (30750, 0, 0, 0, 202, 171);
INSERT INTO public.ecdc_data VALUES (30751, 0, 0, 0, 150, 171);
INSERT INTO public.ecdc_data VALUES (30752, 0, 0, 0, 151, 171);
INSERT INTO public.ecdc_data VALUES (30753, 0, 0, 0, 106, 171);
INSERT INTO public.ecdc_data VALUES (30754, 0, 0, 0, 152, 171);
INSERT INTO public.ecdc_data VALUES (30755, 0, 0, 0, 153, 171);
INSERT INTO public.ecdc_data VALUES (30756, 0, 0, 0, 66, 171);
INSERT INTO public.ecdc_data VALUES (30757, 0, 0, 0, 110, 171);
INSERT INTO public.ecdc_data VALUES (30758, 0, 0, 0, 68, 171);
INSERT INTO public.ecdc_data VALUES (30759, 0, 0, 0, 214, 171);
INSERT INTO public.ecdc_data VALUES (30760, 0, 0, 0.00223186, 111, 171);
INSERT INTO public.ecdc_data VALUES (30761, 0, 0, 0, 156, 171);
INSERT INTO public.ecdc_data VALUES (30762, 0, 0, 0, 158, 171);
INSERT INTO public.ecdc_data VALUES (30763, 0, 0, 0, 159, 171);
INSERT INTO public.ecdc_data VALUES (30764, 0, 0, 0, 76, 171);
INSERT INTO public.ecdc_data VALUES (30765, 0, 0, 0, 77, 171);
INSERT INTO public.ecdc_data VALUES (30766, 0, 0, 0, 16, 171);
INSERT INTO public.ecdc_data VALUES (30767, 0, 0, 0, 160, 171);
INSERT INTO public.ecdc_data VALUES (30768, 0, 0, 0, 162, 171);
INSERT INTO public.ecdc_data VALUES (30769, 0, 0, 0, 163, 171);
INSERT INTO public.ecdc_data VALUES (30770, 0, 0, 0, 164, 171);
INSERT INTO public.ecdc_data VALUES (30771, 0, 0, 0, 165, 171);
INSERT INTO public.ecdc_data VALUES (30772, 0, 0, 0, 167, 171);
INSERT INTO public.ecdc_data VALUES (30773, 0, 0, 0, 171, 171);
INSERT INTO public.ecdc_data VALUES (30774, 0, 0, 0, 112, 171);
INSERT INTO public.ecdc_data VALUES (30775, 0, 0, 0, 113, 171);
INSERT INTO public.ecdc_data VALUES (30776, 0, 0, 0, 114, 171);
INSERT INTO public.ecdc_data VALUES (30777, 0, 0, 0, 115, 171);
INSERT INTO public.ecdc_data VALUES (30778, 0, 0, 0, 172, 171);
INSERT INTO public.ecdc_data VALUES (30779, 0, 0, 0, 116, 171);
INSERT INTO public.ecdc_data VALUES (30780, 0, 0, 0, 174, 171);
INSERT INTO public.ecdc_data VALUES (30781, 0, 0, 0.00078827, 117, 171);
INSERT INTO public.ecdc_data VALUES (30782, 0, 0, 0, 120, 171);
INSERT INTO public.ecdc_data VALUES (30783, 0, 0, 0, 123, 171);
INSERT INTO public.ecdc_data VALUES (30784, 0, 0, 0, 179, 171);
INSERT INTO public.ecdc_data VALUES (30785, 0, 0, 0, 180, 171);
INSERT INTO public.ecdc_data VALUES (30786, 0, 0, 0, 124, 171);
INSERT INTO public.ecdc_data VALUES (30787, 0, 0, 0.00078385, 87, 171);
INSERT INTO public.ecdc_data VALUES (30788, 0, 0, 0, 183, 171);
INSERT INTO public.ecdc_data VALUES (30789, 0, 0, 0, 128, 171);
INSERT INTO public.ecdc_data VALUES (30790, 0, 0, 0, 185, 171);
INSERT INTO public.ecdc_data VALUES (30791, 0, 0, 0, 208, 171);
INSERT INTO public.ecdc_data VALUES (30792, 0, 0, 0, 39, 171);
INSERT INTO public.ecdc_data VALUES (30793, 0, 0, 0, 186, 171);
INSERT INTO public.ecdc_data VALUES (30794, 0, 0, 0, 187, 171);
INSERT INTO public.ecdc_data VALUES (30795, 0, 0, 0, 129, 171);
INSERT INTO public.ecdc_data VALUES (30796, 0, 0, 0, 130, 171);
INSERT INTO public.ecdc_data VALUES (30797, 0, 0, 0, 132, 171);
INSERT INTO public.ecdc_data VALUES (30798, 0, 0, 0, 133, 171);
INSERT INTO public.ecdc_data VALUES (30799, 0, 0, 0, 190, 171);
INSERT INTO public.ecdc_data VALUES (30800, 0, 0, 0, 191, 171);
INSERT INTO public.ecdc_data VALUES (30801, 0, 0, 0, 192, 171);
INSERT INTO public.ecdc_data VALUES (30802, 0, 0, 0, 135, 171);
INSERT INTO public.ecdc_data VALUES (30803, 0, 0, 0, 136, 171);
INSERT INTO public.ecdc_data VALUES (30804, 0, 0, 0, 196, 171);
INSERT INTO public.ecdc_data VALUES (30805, 0, 0, 0, 137, 171);
INSERT INTO public.ecdc_data VALUES (30806, 0, 0, 0, 197, 171);
INSERT INTO public.ecdc_data VALUES (30807, 0, 0, 0, 198, 171);
INSERT INTO public.ecdc_data VALUES (30808, 0, 0, 0, 139, 171);
INSERT INTO public.ecdc_data VALUES (30809, 0, 0, 0.00143625, 141, 171);
INSERT INTO public.ecdc_data VALUES (30810, 0, 0, 0, 143, 171);
INSERT INTO public.ecdc_data VALUES (30811, 0, 0, 0, 201, 171);
INSERT INTO public.ecdc_data VALUES (30812, 0, 0, 0, 101, 171);
INSERT INTO public.ecdc_data VALUES (30813, 0, 0, 0, 145, 171);
INSERT INTO public.ecdc_data VALUES (30814, 12, 205, 4.57129254, 105, 172);
INSERT INTO public.ecdc_data VALUES (30815, 7, 532, 222.11920164, 147, 172);
INSERT INTO public.ecdc_data VALUES (30816, 14, 844, 20.61874635, 1, 172);
INSERT INTO public.ecdc_data VALUES (30817, 0, 0, 1272.03749163, 148, 172);
INSERT INTO public.ecdc_data VALUES (30818, 2, 171, 8.38955197, 2, 172);
INSERT INTO public.ecdc_data VALUES (30819, 0, 0, 0, 56, 172);
INSERT INTO public.ecdc_data VALUES (30820, 0, 1, 6.17824229, 57, 172);
INSERT INTO public.ecdc_data VALUES (30821, 262, 8468, 307.98999792, 58, 172);
INSERT INTO public.ecdc_data VALUES (30822, 25, 1482, 848.04958401, 149, 172);
INSERT INTO public.ecdc_data VALUES (30823, 1, 8, 136.39356599, 59, 172);
INSERT INTO public.ecdc_data VALUES (30824, 0, 8, 0.48009777, 202, 172);
INSERT INTO public.ecdc_data VALUES (30825, 55, 7192, 1034.36423207, 150, 172);
INSERT INTO public.ecdc_data VALUES (30826, 19, 1849, 180.73753854, 151, 172);
INSERT INTO public.ecdc_data VALUES (30827, 0, 0, 115.28013844, 60, 172);
INSERT INTO public.ecdc_data VALUES (30828, 1, 174, 175.36333968, 106, 172);
INSERT INTO public.ecdc_data VALUES (30829, 14, 1531, 13.99112876, 107, 172);
INSERT INTO public.ecdc_data VALUES (30830, 0, 0, 4.18087875, 61, 172);
INSERT INTO public.ecdc_data VALUES (30831, 6, 1248, 152.21516547, 152, 172);
INSERT INTO public.ecdc_data VALUES (30832, 175, 2371, 816.17428246, 153, 172);
INSERT INTO public.ecdc_data VALUES (30833, 3, 68, 338.41337668, 62, 172);
INSERT INTO public.ecdc_data VALUES (30834, 0, 0, 1.70322369, 3, 172);
INSERT INTO public.ecdc_data VALUES (30835, 0, 0, 36.7952902, 63, 172);
INSERT INTO public.ecdc_data VALUES (30836, 0, 6, 3.40718182, 108, 172);
INSERT INTO public.ecdc_data VALUES (30837, 6, 112, 12.36851719, 64, 172);
INSERT INTO public.ecdc_data VALUES (30838, 0, 0, 7.69734057, 65, 172);
INSERT INTO public.ecdc_data VALUES (30839, 49, 1275, 630.4154077, 154, 172);
INSERT INTO public.ecdc_data VALUES (30840, 0, 0, 68.71545507, 4, 172);
INSERT INTO public.ecdc_data VALUES (30841, 921, 38307, 148.47415975, 66, 172);
INSERT INTO public.ecdc_data VALUES (30842, 0, 0, 0, 67, 172);
INSERT INTO public.ecdc_data VALUES (30843, 0, 0, 0, 109, 172);
INSERT INTO public.ecdc_data VALUES (30844, 36, 2498, 637.01073665, 155, 172);
INSERT INTO public.ecdc_data VALUES (30845, 0, 26, 0.66432486, 5, 172);
INSERT INTO public.ecdc_data VALUES (30846, 0, 3, 0.3642489, 6, 172);
INSERT INTO public.ecdc_data VALUES (30847, 0, 0, 0.06672109, 110, 172);
INSERT INTO public.ecdc_data VALUES (30848, 0, 0, 2.42692305, 7, 172);
INSERT INTO public.ecdc_data VALUES (30849, 63, 4613, 153.48411343, 68, 172);
INSERT INTO public.ecdc_data VALUES (30850, 0, 39, 179.47542987, 8, 172);
INSERT INTO public.ecdc_data VALUES (30851, 0, 0, 21.5557061, 69, 172);
INSERT INTO public.ecdc_data VALUES (30852, 1, 8, 0.63222062, 9, 172);
INSERT INTO public.ecdc_data VALUES (30853, 0, 2, 0.67724838, 10, 172);
INSERT INTO public.ecdc_data VALUES (30854, 39, 1646, 102.46920713, 70, 172);
INSERT INTO public.ecdc_data VALUES (30855, 0, 11, 0.02134213, 111, 172);
INSERT INTO public.ecdc_data VALUES (30856, 160, 8307, 232.06454628, 71, 172);
INSERT INTO public.ecdc_data VALUES (30857, 0, 5, 3.99581145, 11, 172);
INSERT INTO public.ecdc_data VALUES (30858, 0, 0, 1.65412013, 12, 172);
INSERT INTO public.ecdc_data VALUES (30859, 9, 1100, 262.54264188, 72, 172);
INSERT INTO public.ecdc_data VALUES (30860, 1, 46, 0.89047701, 13, 172);
INSERT INTO public.ecdc_data VALUES (30861, 38, 2866, 797.98913019, 156, 172);
INSERT INTO public.ecdc_data VALUES (30862, 0, 27, 6.00874365, 73, 172);
INSERT INTO public.ecdc_data VALUES (30863, 0, 46, 206.21332371, 74, 172);
INSERT INTO public.ecdc_data VALUES (30864, 1, 198, 306.54219265, 157, 172);
INSERT INTO public.ecdc_data VALUES (30865, 132, 4199, 1156.14377735, 158, 172);
INSERT INTO public.ecdc_data VALUES (30866, 1, 68, 0.52309832, 14, 172);
INSERT INTO public.ecdc_data VALUES (30867, 1, 1078, 253.64785645, 159, 172);
INSERT INTO public.ecdc_data VALUES (30868, 0, 1, 8.62815428, 15, 172);
INSERT INTO public.ecdc_data VALUES (30869, 0, 0, 36.20766488, 75, 172);
INSERT INTO public.ecdc_data VALUES (30870, 2, 671, 57.79890915, 76, 172);
INSERT INTO public.ecdc_data VALUES (30871, 20, 953, 65.81803704, 77, 172);
INSERT INTO public.ecdc_data VALUES (30872, 13, 228, 2.98043365, 16, 172);
INSERT INTO public.ecdc_data VALUES (30873, 5, 163, 45.13794733, 78, 172);
INSERT INTO public.ecdc_data VALUES (30874, 0, 0, 1.17995667, 17, 172);
INSERT INTO public.ecdc_data VALUES (30875, 0, 0, 0.85784948, 18, 172);
INSERT INTO public.ecdc_data VALUES (30876, 0, 0, 169.30601893, 160, 172);
INSERT INTO public.ecdc_data VALUES (30877, 1, 17, 15.32923451, 19, 172);
INSERT INTO public.ecdc_data VALUES (30878, 7, 564, 5.48899882, 20, 172);
INSERT INTO public.ecdc_data VALUES (30879, 0, 0, 59.31198102, 79, 172);
INSERT INTO public.ecdc_data VALUES (30880, 0, 0, 4.10871664, 161, 172);
INSERT INTO public.ecdc_data VALUES (30881, 0, 0, 0.11236523, 203, 172);
INSERT INTO public.ecdc_data VALUES (30882, 0, 244, 54.16897203, 162, 172);
INSERT INTO public.ecdc_data VALUES (30883, 354, 32095, 880.38892462, 163, 172);
INSERT INTO public.ecdc_data VALUES (30884, 1, 221, 1591.20611562, 204, 172);
INSERT INTO public.ecdc_data VALUES (30885, 0, 0, 4.32665709, 21, 172);
INSERT INTO public.ecdc_data VALUES (30886, 0, 0, 1.10746877, 22, 172);
INSERT INTO public.ecdc_data VALUES (30887, 34, 3020, 974.56390948, 164, 172);
INSERT INTO public.ecdc_data VALUES (30888, 107, 16947, 310.25709675, 165, 172);
INSERT INTO public.ecdc_data VALUES (30889, 0, 0, 6.22660544, 23, 172);
INSERT INTO public.ecdc_data VALUES (30890, 0, 11, 563.69785795, 166, 172);
INSERT INTO public.ecdc_data VALUES (30891, 38, 2835, 310.11882123, 167, 172);
INSERT INTO public.ecdc_data VALUES (30892, 0, 0, 0, 80, 172);
INSERT INTO public.ecdc_data VALUES (30893, 0, 0, 3.5713648, 81, 172);
INSERT INTO public.ecdc_data VALUES (30894, 0, 41, 762.12678203, 205, 172);
INSERT INTO public.ecdc_data VALUES (30895, 40, 596, 38.56331516, 82, 172);
INSERT INTO public.ecdc_data VALUES (30896, 0, 0, 21.71620029, 168, 172);
INSERT INTO public.ecdc_data VALUES (30897, 0, 48, 4.01683595, 24, 172);
INSERT INTO public.ecdc_data VALUES (30898, 0, 0, 0.31235082, 25, 172);
INSERT INTO public.ecdc_data VALUES (30899, 0, 70, 80.73839865, 83, 172);
INSERT INTO public.ecdc_data VALUES (30900, 0, 0, 1.01215662, 84, 172);
INSERT INTO public.ecdc_data VALUES (30901, 0, 0, 0, 169, 172);
INSERT INTO public.ecdc_data VALUES (30902, 2, 476, 52.85182865, 85, 172);
INSERT INTO public.ecdc_data VALUES (30903, 107, 4238, 631.98139808, 170, 172);
INSERT INTO public.ecdc_data VALUES (30904, 0, 16, 89.91823323, 171, 172);
INSERT INTO public.ecdc_data VALUES (30905, 447, 41100, 46.14233072, 112, 172);
INSERT INTO public.ecdc_data VALUES (30906, 111, 5272, 19.55432393, 113, 172);
INSERT INTO public.ecdc_data VALUES (30907, 452, 11203, 164.93375845, 114, 172);
INSERT INTO public.ecdc_data VALUES (30908, 43, 2419, 112.65641746, 115, 172);
INSERT INTO public.ecdc_data VALUES (30909, 6, 427, 123.77045169, 172, 172);
INSERT INTO public.ecdc_data VALUES (30910, 0, 0, 11.82186809, 173, 172);
INSERT INTO public.ecdc_data VALUES (30911, 5, 765, 105.19553493, 116, 172);
INSERT INTO public.ecdc_data VALUES (30912, 544, 37249, 770.5856502, 174, 172);
INSERT INTO public.ecdc_data VALUES (30913, 2, 57, 23.26782728, 86, 172);
INSERT INTO public.ecdc_data VALUES (30914, 3, 1694, 12.24260082, 117, 172);
INSERT INTO public.ecdc_data VALUES (30915, 0, 0, 146.5731567, 175, 172);
INSERT INTO public.ecdc_data VALUES (30916, 86, 4750, 680.06395361, 118, 172);
INSERT INTO public.ecdc_data VALUES (30917, 2, 856, 55.15478377, 119, 172);
INSERT INTO public.ecdc_data VALUES (30918, 21, 1080, 26.78321763, 26, 172);
INSERT INTO public.ecdc_data VALUES (30919, 11, 765, 487.84935941, 176, 172);
INSERT INTO public.ecdc_data VALUES (30920, 2, 691, 247.55905347, 120, 172);
INSERT INTO public.ecdc_data VALUES (30921, 3, 551, 110.05554836, 121, 172);
INSERT INTO public.ecdc_data VALUES (30922, 0, 0, 0, 122, 172);
INSERT INTO public.ecdc_data VALUES (30923, 5, 395, 225.88918149, 177, 172);
INSERT INTO public.ecdc_data VALUES (30924, 10, 1660, 336.05568731, 123, 172);
INSERT INTO public.ecdc_data VALUES (30925, 0, 0, 4.42297368, 27, 172);
INSERT INTO public.ecdc_data VALUES (30926, 0, 7, 1.45826506, 28, 172);
INSERT INTO public.ecdc_data VALUES (30927, 0, 0, 170.16717047, 29, 172);
INSERT INTO public.ecdc_data VALUES (30928, 0, 21, 1138.67319819, 178, 172);
INSERT INTO public.ecdc_data VALUES (30929, 13, 1509, 664.34422357, 179, 172);
INSERT INTO public.ecdc_data VALUES (30930, 8, 713, 1302.83078186, 180, 172);
INSERT INTO public.ecdc_data VALUES (30931, 0, 0, 0.98259851, 30, 172);
INSERT INTO public.ecdc_data VALUES (30932, 0, 2, 0.1825136, 31, 172);
INSERT INTO public.ecdc_data VALUES (30933, 2, 1114, 45.88762699, 124, 172);
INSERT INTO public.ecdc_data VALUES (30934, 1, 42, 93.22788851, 125, 172);
INSERT INTO public.ecdc_data VALUES (30935, 1, 14, 1.32770218, 32, 172);
INSERT INTO public.ecdc_data VALUES (30936, 3, 117, 375.03115129, 181, 172);
INSERT INTO public.ecdc_data VALUES (30937, 0, 0, 0, 206, 172);
INSERT INTO public.ecdc_data VALUES (30938, 0, 0, 3.71213457, 33, 172);
INSERT INTO public.ecdc_data VALUES (30939, 0, 0, 2.28405806, 34, 172);
INSERT INTO public.ecdc_data VALUES (30940, 635, 5860, 61.36835223, 87, 172);
INSERT INTO public.ecdc_data VALUES (30941, 19, 1411, 314.89457264, 182, 172);
INSERT INTO public.ecdc_data VALUES (30942, 0, 5, 562.18830286, 183, 172);
INSERT INTO public.ecdc_data VALUES (30943, 0, 12, 2.54250479, 126, 172);
INSERT INTO public.ecdc_data VALUES (30944, 8, 577, 1341.24741635, 184, 172);
INSERT INTO public.ecdc_data VALUES (30945, 0, 0, 0, 88, 172);
INSERT INTO public.ecdc_data VALUES (30946, 66, 5875, 189.53565341, 35, 172);
INSERT INTO public.ecdc_data VALUES (30947, 0, 113, 4.84422682, 36, 172);
INSERT INTO public.ecdc_data VALUES (30948, 18, 1277, 28.31877231, 127, 172);
INSERT INTO public.ecdc_data VALUES (30949, 0, 77, 20.60513348, 37, 172);
INSERT INTO public.ecdc_data VALUES (30950, 13, 1946, 131.27468326, 128, 172);
INSERT INTO public.ecdc_data VALUES (30951, 85, 5903, 527.49762862, 185, 172);
INSERT INTO public.ecdc_data VALUES (30952, 0, 0, 0.70732113, 207, 172);
INSERT INTO public.ecdc_data VALUES (30953, 0, 3, 0.87809859, 208, 172);
INSERT INTO public.ecdc_data VALUES (30954, 0, 0, 2.24581671, 89, 172);
INSERT INTO public.ecdc_data VALUES (30955, 1, 12, 0.34747963, 38, 172);
INSERT INTO public.ecdc_data VALUES (30956, 0, 112, 1.06636225, 39, 172);
INSERT INTO public.ecdc_data VALUES (30957, 18, 1164, 697.59649363, 186, 172);
INSERT INTO public.ecdc_data VALUES (30958, 0, 0, 6.99141803, 209, 172);
INSERT INTO public.ecdc_data VALUES (30959, 0, 0, 143.81935253, 187, 172);
INSERT INTO public.ecdc_data VALUES (30960, 0, 0, 100.66347845, 129, 172);
INSERT INTO public.ecdc_data VALUES (30961, 32, 2443, 10.58987668, 130, 172);
INSERT INTO public.ecdc_data VALUES (30962, 10, 653, 181.51443503, 131, 172);
INSERT INTO public.ecdc_data VALUES (30963, 11, 832, 275.78395079, 90, 172);
INSERT INTO public.ecdc_data VALUES (30964, 0, 0, 0.12534014, 210, 172);
INSERT INTO public.ecdc_data VALUES (30965, 13, 673, 111.85810941, 91, 172);
INSERT INTO public.ecdc_data VALUES (30966, 71, 2249, 99.64792257, 92, 172);
INSERT INTO public.ecdc_data VALUES (30967, 39, 1624, 23.68553468, 132, 172);
INSERT INTO public.ecdc_data VALUES (30968, 546, 25571, 864.79505389, 188, 172);
INSERT INTO public.ecdc_data VALUES (30969, 55, 6602, 681.03151066, 189, 172);
INSERT INTO public.ecdc_data VALUES (30970, 7, 917, 367.45705672, 93, 172);
INSERT INTO public.ecdc_data VALUES (30971, 0, 418, 114.01550314, 133, 172);
INSERT INTO public.ecdc_data VALUES (30972, 129, 9460, 576.09643287, 190, 172);
INSERT INTO public.ecdc_data VALUES (30973, 391, 22702, 195.47033823, 191, 172);
INSERT INTO public.ecdc_data VALUES (30974, 0, 32, 2.03533113, 40, 172);
INSERT INTO public.ecdc_data VALUES (30975, 0, 0, 0, 94, 172);
INSERT INTO public.ecdc_data VALUES (30976, 0, 2, 45.95311688, 95, 172);
INSERT INTO public.ecdc_data VALUES (30977, 0, 0, 3.61686544, 96, 172);
INSERT INTO public.ecdc_data VALUES (30978, 0, 0, 943.31408005, 192, 172);
INSERT INTO public.ecdc_data VALUES (30979, 0, 1, 8.83523678, 41, 172);
INSERT INTO public.ecdc_data VALUES (30980, 16, 349, 16.53995711, 134, 172);
INSERT INTO public.ecdc_data VALUES (30981, 1, 24, 1.00022324, 42, 172);
INSERT INTO public.ecdc_data VALUES (30982, 17, 3822, 490.13723038, 193, 172);
INSERT INTO public.ecdc_data VALUES (30983, 0, 0, 5.11556051, 43, 172);
INSERT INTO public.ecdc_data VALUES (30984, 0, 2, 0.31997104, 44, 172);
INSERT INTO public.ecdc_data VALUES (30985, 0, 2, 1.74007635, 135, 172);
INSERT INTO public.ecdc_data VALUES (30986, 0, 0, 228.83295195, 97, 172);
INSERT INTO public.ecdc_data VALUES (30987, 19, 1771, 511.94210502, 194, 172);
INSERT INTO public.ecdc_data VALUES (30988, 19, 1737, 952.22854638, 195, 172);
INSERT INTO public.ecdc_data VALUES (30989, 0, 0, 1.19434894, 211, 172);
INSERT INTO public.ecdc_data VALUES (30990, 0, 0, 2.33116746, 45, 172);
INSERT INTO public.ecdc_data VALUES (30991, 53, 2237, 40.52374023, 46, 172);
INSERT INTO public.ecdc_data VALUES (30992, 1, 208, 3.73057692, 136, 172);
INSERT INTO public.ecdc_data VALUES (30993, 0, 23, 0.88590662, 47, 172);
INSERT INTO public.ecdc_data VALUES (30994, 0, 0, 581.44459836, 196, 172);
INSERT INTO public.ecdc_data VALUES (30995, 0, 392, 27.76249225, 137, 172);
INSERT INTO public.ecdc_data VALUES (30996, 0, 0, 1.48552187, 48, 172);
INSERT INTO public.ecdc_data VALUES (30997, 0, 6, 12.21267951, 98, 172);
INSERT INTO public.ecdc_data VALUES (30998, 37, 3513, 546.59813092, 197, 172);
INSERT INTO public.ecdc_data VALUES (30999, 0, 0, 1199.10674985, 198, 172);
INSERT INTO public.ecdc_data VALUES (31000, 4, 61, 5.18449418, 138, 172);
INSERT INTO public.ecdc_data VALUES (31001, 0, 2, 0.18507706, 139, 172);
INSERT INTO public.ecdc_data VALUES (31002, 0, 39, 5.96501049, 140, 172);
INSERT INTO public.ecdc_data VALUES (31003, 0, 8, 0.12926284, 141, 172);
INSERT INTO public.ecdc_data VALUES (31004, 0, 0, 0, 142, 172);
INSERT INTO public.ecdc_data VALUES (31005, 1, 24, 3.95924012, 49, 172);
INSERT INTO public.ecdc_data VALUES (31006, 1, 97, 29.31964796, 99, 172);
INSERT INTO public.ecdc_data VALUES (31007, 70, 1671, 155.83099417, 50, 172);
INSERT INTO public.ecdc_data VALUES (31008, 92, 3116, 43.51989092, 199, 172);
INSERT INTO public.ecdc_data VALUES (31009, 0, 4, 41.89139655, 100, 172);
INSERT INTO public.ecdc_data VALUES (31010, 0, 0, 6.56658487, 51, 172);
INSERT INTO public.ecdc_data VALUES (31011, 191, 12524, 312.98840153, 200, 172);
INSERT INTO public.ecdc_data VALUES (31012, 0, 1174, 168.93665704, 143, 172);
INSERT INTO public.ecdc_data VALUES (31013, 462, 26860, 499.19042253, 201, 172);
INSERT INTO public.ecdc_data VALUES (31014, 0, 0, 0, 52, 172);
INSERT INTO public.ecdc_data VALUES (31015, 1255, 165277, 540.47998073, 101, 172);
INSERT INTO public.ecdc_data VALUES (31016, 0, 24, 55.46046529, 102, 172);
INSERT INTO public.ecdc_data VALUES (31017, 0, 74, 24.063106, 103, 172);
INSERT INTO public.ecdc_data VALUES (31018, 0, 0, 7.95895544, 144, 172);
INSERT INTO public.ecdc_data VALUES (31019, 0, 0, 0, 212, 172);
INSERT INTO public.ecdc_data VALUES (31020, 3, 301, 15.52821768, 104, 172);
INSERT INTO public.ecdc_data VALUES (31021, 0, 9, 0.0881175, 145, 172);
INSERT INTO public.ecdc_data VALUES (31022, 0, 0, 0, 213, 172);
INSERT INTO public.ecdc_data VALUES (31023, 0, 0, 0, 53, 172);
INSERT INTO public.ecdc_data VALUES (31024, 0, 0, 0.01714565, 146, 172);
INSERT INTO public.ecdc_data VALUES (31025, 0, 4, 3.7231887, 54, 172);
INSERT INTO public.ecdc_data VALUES (31026, 0, 21, 2.89509257, 55, 172);
INSERT INTO public.ecdc_data VALUES (31027, 1, 32, 1.99254729, 105, 173);
INSERT INTO public.ecdc_data VALUES (31028, 5, 203, 80.56100645, 147, 173);
INSERT INTO public.ecdc_data VALUES (31029, 9, 185, 4.77085784, 1, 173);
INSERT INTO public.ecdc_data VALUES (31030, 2, 195, 1496.51469604, 148, 173);
INSERT INTO public.ecdc_data VALUES (31031, 3, 192, 5.36679954, 2, 173);
INSERT INTO public.ecdc_data VALUES (31032, 0, 0, 0, 56, 173);
INSERT INTO public.ecdc_data VALUES (31033, 0, 1, 11.32677753, 57, 173);
INSERT INTO public.ecdc_data VALUES (31034, 349, 14932, 404.11628454, 58, 173);
INSERT INTO public.ecdc_data VALUES (31035, 0, 0, 279.4374601, 149, 173);
INSERT INTO public.ecdc_data VALUES (31036, 0, 26, 274.66842254, 59, 173);
INSERT INTO public.ecdc_data VALUES (31037, 5, 24, 1.10303454, 202, 173);
INSERT INTO public.ecdc_data VALUES (31038, 9, 1606, 153.68942094, 150, 173);
INSERT INTO public.ecdc_data VALUES (31039, 4, 369, 25.09027173, 151, 173);
INSERT INTO public.ecdc_data VALUES (31040, 4, 222, 324.01678109, 60, 173);
INSERT INTO public.ecdc_data VALUES (31041, 1, 349, 350.78761172, 106, 173);
INSERT INTO public.ecdc_data VALUES (31042, 16, 1684, 11.94753587, 107, 173);
INSERT INTO public.ecdc_data VALUES (31043, 0, 5, 8.71016406, 61, 173);
INSERT INTO public.ecdc_data VALUES (31044, 5, 597, 68.65974589, 152, 173);
INSERT INTO public.ecdc_data VALUES (31045, 41, 12293, 648.23776208, 153, 173);
INSERT INTO public.ecdc_data VALUES (31046, 1, 34, 160.62466857, 62, 173);
INSERT INTO public.ecdc_data VALUES (31047, 0, 67, 1.02532372, 3, 173);
INSERT INTO public.ecdc_data VALUES (31048, 0, 0, 6.3991809, 63, 173);
INSERT INTO public.ecdc_data VALUES (31049, 0, 3, 4.45554545, 108, 173);
INSERT INTO public.ecdc_data VALUES (31050, 26, 219, 33.26644722, 64, 173);
INSERT INTO public.ecdc_data VALUES (31051, 0, 0, 169.34149251, 65, 173);
INSERT INTO public.ecdc_data VALUES (31052, 12, 479, 126.84042826, 154, 173);
INSERT INTO public.ecdc_data VALUES (31053, 0, 0, 81.04343312, 4, 173);
INSERT INTO public.ecdc_data VALUES (31054, 749, 27235, 156.32729303, 66, 173);
INSERT INTO public.ecdc_data VALUES (31055, 0, 0, 0, 67, 173);
INSERT INTO public.ecdc_data VALUES (31056, 0, 1, 0.23078911, 109, 173);
INSERT INTO public.ecdc_data VALUES (31057, 6, 819, 82.28525584, 155, 173);
INSERT INTO public.ecdc_data VALUES (31058, 0, 0, 1.2253103, 5, 173);
INSERT INTO public.ecdc_data VALUES (31059, 0, 0, 0.18212445, 6, 173);
INSERT INTO public.ecdc_data VALUES (31060, 0, 0, 0.03639332, 110, 173);
INSERT INTO public.ecdc_data VALUES (31061, 0, 108, 2.33030987, 7, 173);
INSERT INTO public.ecdc_data VALUES (31062, 10, 2506, 81.87155887, 68, 173);
INSERT INTO public.ecdc_data VALUES (31063, 2, 117, 244.93759274, 8, 173);
INSERT INTO public.ecdc_data VALUES (31064, 0, 4, 21.5557061, 69, 173);
INSERT INTO public.ecdc_data VALUES (31065, 0, 0, 0.54792454, 9, 173);
INSERT INTO public.ecdc_data VALUES (31066, 0, 8, 0.80893556, 10, 173);
INSERT INTO public.ecdc_data VALUES (31067, 19, 1092, 118.09285916, 70, 173);
INSERT INTO public.ecdc_data VALUES (31068, 0, 11, 0.02378322, 111, 173);
INSERT INTO public.ecdc_data VALUES (31069, 165, 6061, 199.60491021, 71, 173);
INSERT INTO public.ecdc_data VALUES (31070, 0, 0, 1.99790572, 11, 173);
INSERT INTO public.ecdc_data VALUES (31071, 0, 0, 1.24523651, 12, 173);
INSERT INTO public.ecdc_data VALUES (31072, 10, 1542, 317.38100837, 72, 173);
INSERT INTO public.ecdc_data VALUES (31073, 1, 34, 1.91705312, 13, 173);
INSERT INTO public.ecdc_data VALUES (31074, 4, 748, 126.29267223, 156, 173);
INSERT INTO public.ecdc_data VALUES (31075, 0, 18, 3.86465451, 73, 173);
INSERT INTO public.ecdc_data VALUES (31076, 0, 26, 154.81297002, 74, 173);
INSERT INTO public.ecdc_data VALUES (31077, 0, 83, 42.8131554, 157, 173);
INSERT INTO public.ecdc_data VALUES (31078, 66, 9543, 660.77297226, 158, 173);
INSERT INTO public.ecdc_data VALUES (31079, 5, 63, 0.31685471, 14, 173);
INSERT INTO public.ecdc_data VALUES (31080, 1, 492, 96.36448406, 159, 173);
INSERT INTO public.ecdc_data VALUES (31081, 0, 12, 2.46518694, 15, 173);
INSERT INTO public.ecdc_data VALUES (31082, 0, 0, 1.3926025, 75, 173);
INSERT INTO public.ecdc_data VALUES (31083, 3, 654, 69.40152568, 76, 173);
INSERT INTO public.ecdc_data VALUES (31084, 29, 912, 69.27729723, 77, 173);
INSERT INTO public.ecdc_data VALUES (31085, 6, 128, 1.71036249, 16, 173);
INSERT INTO public.ecdc_data VALUES (31086, 5, 286, 26.17164196, 78, 173);
INSERT INTO public.ecdc_data VALUES (31087, 0, 2, 2.80239708, 17, 173);
INSERT INTO public.ecdc_data VALUES (31088, 0, 0, 1.11520432, 18, 173);
INSERT INTO public.ecdc_data VALUES (31089, 0, 39, 43.4776045, 160, 173);
INSERT INTO public.ecdc_data VALUES (31090, 0, 19, 20.29381613, 19, 173);
INSERT INTO public.ecdc_data VALUES (31091, 7, 712, 9.869848, 20, 173);
INSERT INTO public.ecdc_data VALUES (31092, 0, 0, 0, 79, 173);
INSERT INTO public.ecdc_data VALUES (31093, 0, 1, 22.59794153, 161, 173);
INSERT INTO public.ecdc_data VALUES (31094, 0, 0, 0, 203, 173);
INSERT INTO public.ecdc_data VALUES (31095, 4, 204, 49.13084081, 162, 173);
INSERT INTO public.ecdc_data VALUES (31096, 104, 22591, 321.62173951, 163, 173);
INSERT INTO public.ecdc_data VALUES (31097, 2, 322, 660.6155003, 204, 173);
INSERT INTO public.ecdc_data VALUES (31098, 0, 9, 4.74091149, 21, 173);
INSERT INTO public.ecdc_data VALUES (31099, 0, 8, 2.76867192, 22, 173);
INSERT INTO public.ecdc_data VALUES (31100, 7, 680, 172.16436706, 164, 173);
INSERT INTO public.ecdc_data VALUES (31101, 33, 6638, 59.6259567, 165, 173);
INSERT INTO public.ecdc_data VALUES (31102, 0, 0, 1.54514496, 23, 173);
INSERT INTO public.ecdc_data VALUES (31103, 0, 17, 356.01969976, 166, 173);
INSERT INTO public.ecdc_data VALUES (31104, 7, 435, 46.80827693, 167, 173);
INSERT INTO public.ecdc_data VALUES (31105, 0, 0, 3.52982704, 80, 173);
INSERT INTO public.ecdc_data VALUES (31106, 0, 0, 0.8928412, 81, 173);
INSERT INTO public.ecdc_data VALUES (31107, 0, 75, 536.77635315, 205, 173);
INSERT INTO public.ecdc_data VALUES (31108, 20, 714, 41.79398817, 82, 173);
INSERT INTO public.ecdc_data VALUES (31109, 0, 0, 3.10231433, 168, 173);
INSERT INTO public.ecdc_data VALUES (31110, 0, 54, 4.19692801, 24, 173);
INSERT INTO public.ecdc_data VALUES (31111, 0, 0, 3.17556667, 25, 173);
INSERT INTO public.ecdc_data VALUES (31112, 0, 24, 88.78668838, 83, 173);
INSERT INTO public.ecdc_data VALUES (31113, 1, 21, 1.26075649, 84, 173);
INSERT INTO public.ecdc_data VALUES (31114, 0, 0, 858.89570552, 169, 173);
INSERT INTO public.ecdc_data VALUES (31115, 5, 606, 87.80934762, 85, 173);
INSERT INTO public.ecdc_data VALUES (31116, 29, 950, 147.58375222, 170, 173);
INSERT INTO public.ecdc_data VALUES (31117, 0, 89, 288.24256074, 171, 173);
INSERT INTO public.ecdc_data VALUES (31118, 680, 67708, 72.78249976, 112, 173);
INSERT INTO public.ecdc_data VALUES (31119, 129, 4127, 21.33612158, 113, 173);
INSERT INTO public.ecdc_data VALUES (31120, 279, 4830, 67.53994774, 114, 173);
INSERT INTO public.ecdc_data VALUES (31121, 51, 3857, 127.7900525, 115, 173);
INSERT INTO public.ecdc_data VALUES (31122, 5, 1084, 185.30903871, 172, 173);
INSERT INTO public.ecdc_data VALUES (31123, 0, 2, 9.45749447, 173, 173);
INSERT INTO public.ecdc_data VALUES (31124, 44, 1979, 600.04415818, 116, 173);
INSERT INTO public.ecdc_data VALUES (31125, 43, 7332, 95.98813086, 174, 173);
INSERT INTO public.ecdc_data VALUES (31126, 5, 79, 51.79296247, 86, 173);
INSERT INTO public.ecdc_data VALUES (31127, 8, 570, 6.06966881, 117, 173);
INSERT INTO public.ecdc_data VALUES (31128, 0, 4, 67.72050911, 175, 173);
INSERT INTO public.ecdc_data VALUES (31129, 32, 2423, 185.36489463, 118, 173);
INSERT INTO public.ecdc_data VALUES (31130, 0, 110, 18.16571749, 119, 173);
INSERT INTO public.ecdc_data VALUES (31131, 10, 604, 7.63115327, 26, 173);
INSERT INTO public.ecdc_data VALUES (31132, 1, 80, 44.7593725, 176, 173);
INSERT INTO public.ecdc_data VALUES (31133, 4, 532, 192.22372208, 120, 173);
INSERT INTO public.ecdc_data VALUES (31134, 5, 388, 58.4178155, 121, 173);
INSERT INTO public.ecdc_data VALUES (31135, 0, 0, 0, 122, 173);
INSERT INTO public.ecdc_data VALUES (31136, 0, 102, 58.23013717, 177, 173);
INSERT INTO public.ecdc_data VALUES (31137, 20, 1377, 256.89538456, 123, 173);
INSERT INTO public.ecdc_data VALUES (31138, 0, 28, 11.19859293, 27, 173);
INSERT INTO public.ecdc_data VALUES (31139, 0, 1, 0.58735676, 28, 173);
INSERT INTO public.ecdc_data VALUES (31140, 13, 836, 166.67028159, 29, 173);
INSERT INTO public.ecdc_data VALUES (31141, 0, 0, 91.19808223, 178, 173);
INSERT INTO public.ecdc_data VALUES (31142, 3, 139, 64.84898632, 179, 173);
INSERT INTO public.ecdc_data VALUES (31143, 0, 190, 247.76264306, 180, 173);
INSERT INTO public.ecdc_data VALUES (31144, 0, 0, 1.28293995, 30, 173);
INSERT INTO public.ecdc_data VALUES (31145, 0, 2, 0.30061063, 31, 173);
INSERT INTO public.ecdc_data VALUES (31146, 4, 660, 20.04708075, 124, 173);
INSERT INTO public.ecdc_data VALUES (31147, 0, 69, 145.20949907, 125, 173);
INSERT INTO public.ecdc_data VALUES (31148, 0, 56, 1.19035368, 32, 173);
INSERT INTO public.ecdc_data VALUES (31149, 1, 112, 215.98228378, 181, 173);
INSERT INTO public.ecdc_data VALUES (31150, 0, 11, 1.70139501, 33, 173);
INSERT INTO public.ecdc_data VALUES (31151, 0, 0, 2.04777619, 34, 173);
INSERT INTO public.ecdc_data VALUES (31152, 478, 2640, 43.87283395, 87, 173);
INSERT INTO public.ecdc_data VALUES (31153, 19, 1149, 281.50565707, 182, 173);
INSERT INTO public.ecdc_data VALUES (31154, 0, 7, 90.67553272, 183, 173);
INSERT INTO public.ecdc_data VALUES (31155, 0, 0, 0.21704309, 126, 173);
INSERT INTO public.ecdc_data VALUES (31156, 4, 193, 592.91332761, 184, 173);
INSERT INTO public.ecdc_data VALUES (31157, 0, 0, 0, 88, 173);
INSERT INTO public.ecdc_data VALUES (31158, 41, 3387, 100.57094576, 35, 173);
INSERT INTO public.ecdc_data VALUES (31159, 0, 134, 5.47980519, 36, 173);
INSERT INTO public.ecdc_data VALUES (31160, 39, 888, 33.21650444, 127, 173);
INSERT INTO public.ecdc_data VALUES (31161, 1, 69, 32.2305979, 37, 173);
INSERT INTO public.ecdc_data VALUES (31162, 12, 2638, 140.44321809, 128, 173);
INSERT INTO public.ecdc_data VALUES (31163, 32, 7271, 435.24644456, 185, 173);
INSERT INTO public.ecdc_data VALUES (31164, 0, 0, 0, 207, 173);
INSERT INTO public.ecdc_data VALUES (31165, 0, 2, 0.83628437, 208, 173);
INSERT INTO public.ecdc_data VALUES (31166, 0, 0, 2.79581264, 89, 173);
INSERT INTO public.ecdc_data VALUES (31167, 0, 2, 0.03431898, 38, 173);
INSERT INTO public.ecdc_data VALUES (31168, 0, 179, 0.98823865, 39, 173);
INSERT INTO public.ecdc_data VALUES (31169, 9, 443, 176.15635405, 186, 173);
INSERT INTO public.ecdc_data VALUES (31170, 0, 0, 12.23498156, 209, 173);
INSERT INTO public.ecdc_data VALUES (31171, 0, 152, 35.22757728, 187, 173);
INSERT INTO public.ecdc_data VALUES (31172, 8, 563, 184.74401567, 129, 173);
INSERT INTO public.ecdc_data VALUES (31173, 13, 755, 3.88427848, 130, 173);
INSERT INTO public.ecdc_data VALUES (31174, 6, 532, 129.64169669, 131, 173);
INSERT INTO public.ecdc_data VALUES (31175, 8, 832, 224.49392903, 90, 173);
INSERT INTO public.ecdc_data VALUES (31176, 0, 3, 0.50136057, 210, 173);
INSERT INTO public.ecdc_data VALUES (31177, 23, 648, 157.38208871, 91, 173);
INSERT INTO public.ecdc_data VALUES (31178, 93, 2977, 129.56444605, 92, 173);
INSERT INTO public.ecdc_data VALUES (31179, 77, 1823, 34.4378129, 132, 173);
INSERT INTO public.ecdc_data VALUES (31180, 116, 6526, 132.43686035, 188, 173);
INSERT INTO public.ecdc_data VALUES (31181, 7, 2072, 152.29720053, 189, 173);
INSERT INTO public.ecdc_data VALUES (31182, 4, 976, 230.48308382, 93, 173);
INSERT INTO public.ecdc_data VALUES (31183, 0, 198, 100.38590134, 133, 173);
INSERT INTO public.ecdc_data VALUES (31184, 66, 4016, 190.0902925, 190, 173);
INSERT INTO public.ecdc_data VALUES (31185, 239, 14231, 112.51145351, 191, 173);
INSERT INTO public.ecdc_data VALUES (31186, 1, 32, 0.79195764, 40, 173);
INSERT INTO public.ecdc_data VALUES (31187, 0, 0, 0, 94, 173);
INSERT INTO public.ecdc_data VALUES (31188, 0, 2, 2.18824366, 95, 173);
INSERT INTO public.ecdc_data VALUES (31189, 0, 0, 0, 96, 173);
INSERT INTO public.ecdc_data VALUES (31190, 0, 0, 58.05009723, 192, 173);
INSERT INTO public.ecdc_data VALUES (31191, 0, 0, 8.37022432, 41, 173);
INSERT INTO public.ecdc_data VALUES (31192, 21, 501, 17.46500412, 134, 173);
INSERT INTO public.ecdc_data VALUES (31193, 1, 24, 2.14158227, 42, 173);
INSERT INTO public.ecdc_data VALUES (31194, 1, 245, 24.41208519, 193, 173);
INSERT INTO public.ecdc_data VALUES (31195, 0, 0, 4.09244841, 43, 173);
INSERT INTO public.ecdc_data VALUES (31196, 1, 6, 1.07510271, 44, 173);
INSERT INTO public.ecdc_data VALUES (31197, 0, 5, 2.53258638, 135, 173);
INSERT INTO public.ecdc_data VALUES (31198, 0, 10, 146.26436104, 97, 173);
INSERT INTO public.ecdc_data VALUES (31199, 5, 1410, 223.0102959, 194, 173);
INSERT INTO public.ecdc_data VALUES (31200, 1, 707, 204.14165355, 195, 173);
INSERT INTO public.ecdc_data VALUES (31201, 0, 0, 1.78722839, 45, 173);
INSERT INTO public.ecdc_data VALUES (31202, 123, 1877, 37.69749539, 46, 173);
INSERT INTO public.ecdc_data VALUES (31203, 1, 99, 2.29573964, 136, 173);
INSERT INTO public.ecdc_data VALUES (31204, 0, 0, 0.84974716, 47, 173);
INSERT INTO public.ecdc_data VALUES (31205, 140, 13318, 304.16689925, 196, 173);
INSERT INTO public.ecdc_data VALUES (31206, 0, 132, 8.39440222, 137, 173);
INSERT INTO public.ecdc_data VALUES (31207, 0, 0, 0.11912204, 48, 173);
INSERT INTO public.ecdc_data VALUES (31208, 1, 11, 35.43397155, 98, 173);
INSERT INTO public.ecdc_data VALUES (31209, 2, 968, 82.9115016, 197, 173);
INSERT INTO public.ecdc_data VALUES (31210, 7, 2724, 178.92154826, 198, 173);
INSERT INTO public.ecdc_data VALUES (31211, 3, 57, 4.00114071, 138, 173);
INSERT INTO public.ecdc_data VALUES (31212, 0, 0, 0.06730075, 139, 173);
INSERT INTO public.ecdc_data VALUES (31213, 0, 39, 6.08302329, 140, 173);
INSERT INTO public.ecdc_data VALUES (31214, 0, 13, 0.13788036, 141, 173);
INSERT INTO public.ecdc_data VALUES (31215, 0, 0, 0.07733234, 142, 173);
INSERT INTO public.ecdc_data VALUES (31216, 1, 11, 2.46215245, 49, 173);
INSERT INTO public.ecdc_data VALUES (31217, 0, 27, 44.66049066, 99, 173);
INSERT INTO public.ecdc_data VALUES (31218, 34, 2234, 140.03754344, 50, 173);
INSERT INTO public.ecdc_data VALUES (31219, 57, 1671, 26.56825442, 199, 173);
INSERT INTO public.ecdc_data VALUES (31220, 0, 0, 18.32748599, 100, 173);
INSERT INTO public.ecdc_data VALUES (31221, 0, 124, 4.38224102, 51, 173);
INSERT INTO public.ecdc_data VALUES (31222, 96, 5590, 152.79025654, 200, 173);
INSERT INTO public.ecdc_data VALUES (31223, 2, 1431, 162.21235172, 143, 173);
INSERT INTO public.ecdc_data VALUES (31224, 137, 19724, 302.15862917, 201, 173);
INSERT INTO public.ecdc_data VALUES (31225, 0, 0, 0, 52, 173);
INSERT INTO public.ecdc_data VALUES (31226, 970, 59386, 207.5751515, 101, 173);
INSERT INTO public.ecdc_data VALUES (31227, 0, 0, 9.56214919, 102, 173);
INSERT INTO public.ecdc_data VALUES (31228, 0, 1, 8.43508638, 103, 173);
INSERT INTO public.ecdc_data VALUES (31229, 4, 316, 15.6996081, 144, 173);
INSERT INTO public.ecdc_data VALUES (31230, 4, 614, 34.65794384, 104, 173);
INSERT INTO public.ecdc_data VALUES (31231, 0, 9, 0.02902694, 145, 173);
INSERT INTO public.ecdc_data VALUES (31232, 0, 0, 0, 53, 173);
INSERT INTO public.ecdc_data VALUES (31233, 0, 1, 0.07544084, 146, 173);
INSERT INTO public.ecdc_data VALUES (31234, 0, 29, 4.79815446, 54, 173);
INSERT INTO public.ecdc_data VALUES (31235, 1, 19, 1.48168653, 55, 173);
INSERT INTO public.ecdc_data VALUES (31236, 6, 99, 1.62715933, 105, 174);
INSERT INTO public.ecdc_data VALUES (31237, 4, 167, 70.11532521, 147, 174);
INSERT INTO public.ecdc_data VALUES (31238, 8, 242, 9.29550782, 1, 174);
INSERT INTO public.ecdc_data VALUES (31239, 0, 94, 343.93583365, 148, 174);
INSERT INTO public.ecdc_data VALUES (31240, 2, 53, 2.40060588, 2, 174);
INSERT INTO public.ecdc_data VALUES (31241, 0, 0, 0, 56, 174);
INSERT INTO public.ecdc_data VALUES (31242, 0, 0, 1.02970705, 57, 174);
INSERT INTO public.ecdc_data VALUES (31243, 105, 9056, 328.51447639, 58, 174);
INSERT INTO public.ecdc_data VALUES (31244, 3, 107, 73.97570027, 149, 174);
INSERT INTO public.ecdc_data VALUES (31245, 2, 14, 991.44012793, 59, 174);
INSERT INTO public.ecdc_data VALUES (31246, 6, 41, 3.75349162, 202, 174);
INSERT INTO public.ecdc_data VALUES (31247, 1, 549, 73.14781107, 150, 174);
INSERT INTO public.ecdc_data VALUES (31248, 2, 76, 19.58653501, 151, 174);
INSERT INTO public.ecdc_data VALUES (31249, 1, 80, 203.08817262, 60, 174);
INSERT INTO public.ecdc_data VALUES (31250, 1, 721, 532.12232294, 106, 174);
INSERT INTO public.ecdc_data VALUES (31251, 26, 1812, 16.1524797, 107, 174);
INSERT INTO public.ecdc_data VALUES (31252, 0, 2, 3.13565906, 61, 174);
INSERT INTO public.ecdc_data VALUES (31253, 6, 187, 26.62813257, 152, 174);
INSERT INTO public.ecdc_data VALUES (31254, 4, 1727, 85.66176705, 153, 174);
INSERT INTO public.ecdc_data VALUES (31255, 0, 21, 126.55276917, 62, 174);
INSERT INTO public.ecdc_data VALUES (31256, 0, 0, 1.03379747, 3, 174);
INSERT INTO public.ecdc_data VALUES (31257, 0, 0, 7.99897613, 63, 174);
INSERT INTO public.ecdc_data VALUES (31258, 0, 1, 2.75195454, 108, 174);
INSERT INTO public.ecdc_data VALUES (31259, 50, 828, 95.72572188, 64, 174);
INSERT INTO public.ecdc_data VALUES (31260, 1, 1, 46.18404341, 65, 174);
INSERT INTO public.ecdc_data VALUES (31261, 9, 168, 111.05732266, 154, 174);
INSERT INTO public.ecdc_data VALUES (31262, 1, 211, 32.07878793, 4, 174);
INSERT INTO public.ecdc_data VALUES (31263, 381, 15155, 207.2205623, 66, 174);
INSERT INTO public.ecdc_data VALUES (31264, 0, 0, 63.26374322, 67, 174);
INSERT INTO public.ecdc_data VALUES (31265, 0, 0, 0.23078911, 109, 174);
INSERT INTO public.ecdc_data VALUES (31266, 10, 143, 25.64271428, 155, 174);
INSERT INTO public.ecdc_data VALUES (31267, 0, 10, 1.70756095, 5, 174);
INSERT INTO public.ecdc_data VALUES (31268, 0, 0, 0.23416001, 6, 174);
INSERT INTO public.ecdc_data VALUES (31269, 0, 0, 0.00606555, 110, 174);
INSERT INTO public.ecdc_data VALUES (31270, 0, 61, 4.19687648, 7, 174);
INSERT INTO public.ecdc_data VALUES (31271, 8, 1351, 24.22279756, 68, 174);
INSERT INTO public.ecdc_data VALUES (31272, 1, 26, 173.65657095, 8, 174);
INSERT INTO public.ecdc_data VALUES (31273, 0, 0, 4.61907988, 69, 174);
INSERT INTO public.ecdc_data VALUES (31274, 0, 23, 1.28551526, 9, 174);
INSERT INTO public.ecdc_data VALUES (31275, 1, 1, 0.45149892, 10, 174);
INSERT INTO public.ecdc_data VALUES (31276, 64, 1685, 130.36594751, 70, 174);
INSERT INTO public.ecdc_data VALUES (31277, 1, 22, 0.02127239, 111, 174);
INSERT INTO public.ecdc_data VALUES (31278, 199, 5573, 212.0087026, 71, 174);
INSERT INTO public.ecdc_data VALUES (31279, 0, 0, 3.87828758, 11, 174);
INSERT INTO public.ecdc_data VALUES (31280, 0, 0, 17.74926661, 12, 174);
INSERT INTO public.ecdc_data VALUES (31281, 31, 1897, 318.25271651, 72, 174);
INSERT INTO public.ecdc_data VALUES (31282, 0, 53, 3.88465733, 13, 174);
INSERT INTO public.ecdc_data VALUES (31283, 3, 65, 81.66828008, 156, 174);
INSERT INTO public.ecdc_data VALUES (31284, 0, 42, 6.12344801, 73, 174);
INSERT INTO public.ecdc_data VALUES (31285, 0, 0, 54.45989855, 74, 174);
INSERT INTO public.ecdc_data VALUES (31286, 1, 8, 5.25174706, 157, 174);
INSERT INTO public.ecdc_data VALUES (31287, 9, 1034, 118.34964037, 158, 174);
INSERT INTO public.ecdc_data VALUES (31288, 0, 0, 0.33759429, 14, 174);
INSERT INTO public.ecdc_data VALUES (31289, 4, 584, 48.48365016, 159, 174);
INSERT INTO public.ecdc_data VALUES (31290, 0, 1, 0.9244451, 15, 174);
INSERT INTO public.ecdc_data VALUES (31291, 0, 0, 5.57040998, 75, 174);
INSERT INTO public.ecdc_data VALUES (31292, 16, 450, 87.48521854, 76, 174);
INSERT INTO public.ecdc_data VALUES (31293, 19, 317, 29.60804395, 77, 174);
INSERT INTO public.ecdc_data VALUES (31294, 13, 168, 2.22934843, 16, 174);
INSERT INTO public.ecdc_data VALUES (31295, 4, 79, 19.64810066, 78, 174);
INSERT INTO public.ecdc_data VALUES (31296, 0, 4, 4.35109021, 17, 174);
INSERT INTO public.ecdc_data VALUES (31297, 0, 0, 1.22958425, 18, 174);
INSERT INTO public.ecdc_data VALUES (31298, 0, 22, 24.38067058, 160, 174);
INSERT INTO public.ecdc_data VALUES (31299, 3, 29, 45.90060559, 19, 174);
INSERT INTO public.ecdc_data VALUES (31300, 9, 485, 11.29117036, 20, 174);
INSERT INTO public.ecdc_data VALUES (31301, 0, 0, 0, 79, 174);
INSERT INTO public.ecdc_data VALUES (31302, 0, 0, 24.65229985, 161, 174);
INSERT INTO public.ecdc_data VALUES (31303, 0, 0, 0.44946093, 203, 174);
INSERT INTO public.ecdc_data VALUES (31304, 2, 47, 9.80442083, 162, 174);
INSERT INTO public.ecdc_data VALUES (31305, 34, 6158, 158.51728092, 163, 174);
INSERT INTO public.ecdc_data VALUES (31306, 0, 146, 182.60916268, 204, 174);
INSERT INTO public.ecdc_data VALUES (31307, 0, 11, 5.56942029, 21, 174);
INSERT INTO public.ecdc_data VALUES (31308, 0, 0, 18.82696908, 22, 174);
INSERT INTO public.ecdc_data VALUES (31309, 0, 0, 22.64332978, 164, 174);
INSERT INTO public.ecdc_data VALUES (31310, 12, 1407, 21.87806815, 165, 174);
INSERT INTO public.ecdc_data VALUES (31311, 8, 167, 4.28366784, 23, 174);
INSERT INTO public.ecdc_data VALUES (31312, 0, 0, 133.50738741, 166, 174);
INSERT INTO public.ecdc_data VALUES (31313, 5, 180, 28.93348273, 167, 174);
INSERT INTO public.ecdc_data VALUES (31314, 0, 0, 0, 80, 174);
INSERT INTO public.ecdc_data VALUES (31315, 0, 0, 0, 81, 174);
INSERT INTO public.ecdc_data VALUES (31316, 2, 36, 318.00113572, 205, 174);
INSERT INTO public.ecdc_data VALUES (31317, 15, 263, 46.05984162, 82, 174);
INSERT INTO public.ecdc_data VALUES (31318, 0, 0, 1.55115716, 168, 174);
INSERT INTO public.ecdc_data VALUES (31319, 0, 41, 5.10521839, 24, 174);
INSERT INTO public.ecdc_data VALUES (31320, 0, 0, 3.6440929, 25, 174);
INSERT INTO public.ecdc_data VALUES (31321, 0, 31, 73.83986458, 83, 174);
INSERT INTO public.ecdc_data VALUES (31322, 0, 6, 2.44160589, 84, 174);
INSERT INTO public.ecdc_data VALUES (31323, 0, 0, 0, 169, 174);
INSERT INTO public.ecdc_data VALUES (31324, 8, 831, 78.04135289, 85, 174);
INSERT INTO public.ecdc_data VALUES (31325, 5, 844, 71.77095182, 170, 174);
INSERT INTO public.ecdc_data VALUES (31326, 0, 3, 17.08726551, 171, 174);
INSERT INTO public.ecdc_data VALUES (31327, 1054, 83809, 90.68017409, 112, 174);
INSERT INTO public.ecdc_data VALUES (31328, 118, 3141, 17.26629177, 113, 174);
INSERT INTO public.ecdc_data VALUES (31329, 156, 2619, 35.5018911, 114, 174);
INSERT INTO public.ecdc_data VALUES (31330, 72, 4169, 151.47372071, 115, 174);
INSERT INTO public.ecdc_data VALUES (31331, 0, 207, 48.54982627, 172, 174);
INSERT INTO public.ecdc_data VALUES (31332, 0, 2, 3.54656043, 173, 174);
INSERT INTO public.ecdc_data VALUES (31333, 17, 3772, 508.69940781, 116, 174);
INSERT INTO public.ecdc_data VALUES (31334, 14, 1008, 32.38427274, 174, 174);
INSERT INTO public.ecdc_data VALUES (31335, 2, 162, 53.45495013, 86, 174);
INSERT INTO public.ecdc_data VALUES (31336, 9, 301, 5.96404081, 117, 174);
INSERT INTO public.ecdc_data VALUES (31337, 0, 6, 11.13213848, 175, 174);
INSERT INTO public.ecdc_data VALUES (31338, 2, 214, 14.78959426, 118, 174);
INSERT INTO public.ecdc_data VALUES (31339, 3, 73, 26.89819889, 119, 174);
INSERT INTO public.ecdc_data VALUES (31340, 0, 0, 3.72047253, 26, 174);
INSERT INTO public.ecdc_data VALUES (31341, 4, 55, 68.83491075, 176, 174);
INSERT INTO public.ecdc_data VALUES (31342, 3, 708, 246.32304091, 120, 174);
INSERT INTO public.ecdc_data VALUES (31343, 0, 0, 15.11880497, 121, 174);
INSERT INTO public.ecdc_data VALUES (31344, 0, 0, 0.01394806, 122, 174);
INSERT INTO public.ecdc_data VALUES (31345, 0, 3, 4.21882031, 177, 174);
INSERT INTO public.ecdc_data VALUES (31346, 5, 547, 110.11260834, 123, 174);
INSERT INTO public.ecdc_data VALUES (31347, 0, 0, 7.52846584, 27, 174);
INSERT INTO public.ecdc_data VALUES (31348, 0, 2, 0.34431258, 28, 174);
INSERT INTO public.ecdc_data VALUES (31349, 6, 734, 140.89363659, 29, 174);
INSERT INTO public.ecdc_data VALUES (31350, 0, 0, 7.81697848, 178, 174);
INSERT INTO public.ecdc_data VALUES (31351, 0, 51, 17.17853942, 179, 174);
INSERT INTO public.ecdc_data VALUES (31352, 0, 50, 92.36122197, 180, 174);
INSERT INTO public.ecdc_data VALUES (31353, 2, 12, 3.35937454, 30, 174);
INSERT INTO public.ecdc_data VALUES (31354, 1, 7, 0.70321416, 31, 174);
INSERT INTO public.ecdc_data VALUES (31355, 0, 31, 1.89672614, 124, 174);
INSERT INTO public.ecdc_data VALUES (31356, 1, 70, 270.2667071, 125, 174);
INSERT INTO public.ecdc_data VALUES (31357, 0, 11, 0.80883006, 32, 174);
INSERT INTO public.ecdc_data VALUES (31358, 1, 49, 110.21985214, 181, 174);
INSERT INTO public.ecdc_data VALUES (31359, 0, 19, 5.45772166, 33, 174);
INSERT INTO public.ecdc_data VALUES (31360, 0, 0, 0.39380311, 34, 174);
INSERT INTO public.ecdc_data VALUES (31361, 228, 5985, 55.01368527, 87, 174);
INSERT INTO public.ecdc_data VALUES (31362, 7, 229, 155.49341645, 182, 174);
INSERT INTO public.ecdc_data VALUES (31363, 0, 6, 117.87819253, 183, 174);
INSERT INTO public.ecdc_data VALUES (31364, 0, 0, 0.21704309, 126, 174);
INSERT INTO public.ecdc_data VALUES (31365, 1, 188, 331.89645474, 184, 174);
INSERT INTO public.ecdc_data VALUES (31366, 0, 0, 0, 88, 174);
INSERT INTO public.ecdc_data VALUES (31367, 36, 1517, 70.22692567, 35, 174);
INSERT INTO public.ecdc_data VALUES (31368, 0, 213, 5.15707628, 36, 174);
INSERT INTO public.ecdc_data VALUES (31369, 8, 284, 4.4629127, 127, 174);
INSERT INTO public.ecdc_data VALUES (31370, 2, 99, 90.9191493, 37, 174);
INSERT INTO public.ecdc_data VALUES (31371, 15, 1170, 55.46911142, 128, 174);
INSERT INTO public.ecdc_data VALUES (31372, 2, 1298, 73.63082966, 185, 174);
INSERT INTO public.ecdc_data VALUES (31373, 0, 0, 1.06098169, 207, 174);
INSERT INTO public.ecdc_data VALUES (31374, 0, 3, 1.02444836, 208, 174);
INSERT INTO public.ecdc_data VALUES (31375, 0, 0, 4.94996336, 89, 174);
INSERT INTO public.ecdc_data VALUES (31376, 0, 0, 0.01715949, 38, 174);
INSERT INTO public.ecdc_data VALUES (31377, 1, 132, 1.18429405, 39, 174);
INSERT INTO public.ecdc_data VALUES (31378, 2, 97, 70.33736903, 186, 174);
INSERT INTO public.ecdc_data VALUES (31379, 0, 1, 8.73927254, 209, 174);
INSERT INTO public.ecdc_data VALUES (31380, 0, 289, 28.35848123, 187, 174);
INSERT INTO public.ecdc_data VALUES (31381, 10, 476, 90.45240676, 129, 174);
INSERT INTO public.ecdc_data VALUES (31382, 6, 404, 2.89750921, 130, 174);
INSERT INTO public.ecdc_data VALUES (31383, 5, 788, 209.35789018, 131, 174);
INSERT INTO public.ecdc_data VALUES (31384, 7, 459, 217.17014723, 90, 174);
INSERT INTO public.ecdc_data VALUES (31385, 0, 0, 0.59251703, 210, 174);
INSERT INTO public.ecdc_data VALUES (31386, 14, 550, 151.95952553, 91, 174);
INSERT INTO public.ecdc_data VALUES (31387, 102, 4241, 251.68205853, 92, 174);
INSERT INTO public.ecdc_data VALUES (31388, 259, 4672, 41.68554212, 132, 174);
INSERT INTO public.ecdc_data VALUES (31389, 15, 377, 18.84769556, 188, 174);
INSERT INTO public.ecdc_data VALUES (31390, 4, 613, 64.06777639, 189, 174);
INSERT INTO public.ecdc_data VALUES (31391, 3, 370, 155.14398971, 93, 174);
INSERT INTO public.ecdc_data VALUES (31392, 2, 235, 112.88558797, 133, 174);
INSERT INTO public.ecdc_data VALUES (31393, 22, 692, 85.74537595, 190, 174);
INSERT INTO public.ecdc_data VALUES (31394, 57, 5509, 50.04447042, 191, 174);
INSERT INTO public.ecdc_data VALUES (31395, 0, 11, 4.26865167, 40, 174);
INSERT INTO public.ecdc_data VALUES (31396, 0, 0, 0, 94, 174);
INSERT INTO public.ecdc_data VALUES (31397, 0, 0, 0.54706092, 95, 174);
INSERT INTO public.ecdc_data VALUES (31398, 0, 0, 3.61686544, 96, 174);
INSERT INTO public.ecdc_data VALUES (31399, 0, 0, 20.31753403, 192, 174);
INSERT INTO public.ecdc_data VALUES (31400, 0, 0, 4.65012462, 41, 174);
INSERT INTO public.ecdc_data VALUES (31401, 37, 607, 30.59950429, 134, 174);
INSERT INTO public.ecdc_data VALUES (31402, 0, 26, 4.26475553, 42, 174);
INSERT INTO public.ecdc_data VALUES (31403, 0, 29, 14.80521166, 193, 174);
INSERT INTO public.ecdc_data VALUES (31404, 0, 1, 4.09244841, 43, 174);
INSERT INTO public.ecdc_data VALUES (31405, 0, 0, 1.06230387, 44, 174);
INSERT INTO public.ecdc_data VALUES (31406, 0, 48, 11.06068335, 135, 174);
INSERT INTO public.ecdc_data VALUES (31407, 0, 0, 172.21448961, 97, 174);
INSERT INTO public.ecdc_data VALUES (31408, 0, 48, 30.51140453, 194, 174);
INSERT INTO public.ecdc_data VALUES (31409, 0, 53, 41.47228037, 195, 174);
INSERT INTO public.ecdc_data VALUES (31410, 0, 0, 0.51156175, 45, 174);
INSERT INTO public.ecdc_data VALUES (31411, 52, 956, 40.48617081, 46, 174);
INSERT INTO public.ecdc_data VALUES (31412, 4, 106, 4.31232046, 136, 174);
INSERT INTO public.ecdc_data VALUES (31413, 0, 9, 0.54239181, 47, 174);
INSERT INTO public.ecdc_data VALUES (31414, 156, 9437, 281.64098902, 196, 174);
INSERT INTO public.ecdc_data VALUES (31415, 1, 28, 0.99888697, 137, 174);
INSERT INTO public.ecdc_data VALUES (31416, 2, 65, 0.80816127, 48, 174);
INSERT INTO public.ecdc_data VALUES (31417, 2, 29, 99.24952224, 98, 174);
INSERT INTO public.ecdc_data VALUES (31418, 2, 220, 28.58208332, 197, 174);
INSERT INTO public.ecdc_data VALUES (31419, 0, 257, 61.51305976, 198, 174);
INSERT INTO public.ecdc_data VALUES (31420, 2, 36, 4.75098845, 138, 174);
INSERT INTO public.ecdc_data VALUES (31421, 0, 1, 0.04626926, 139, 174);
INSERT INTO public.ecdc_data VALUES (31422, 0, 39, 5.41786025, 140, 174);
INSERT INTO public.ecdc_data VALUES (31423, 0, 5, 0.09048398, 141, 174);
INSERT INTO public.ecdc_data VALUES (31424, 0, 0, 0, 142, 174);
INSERT INTO public.ecdc_data VALUES (31425, 3, 6, 2.20232732, 49, 174);
INSERT INTO public.ecdc_data VALUES (31426, 2, 99, 99.07030192, 99, 174);
INSERT INTO public.ecdc_data VALUES (31427, 10, 747, 30.60355181, 50, 174);
INSERT INTO public.ecdc_data VALUES (31428, 63, 1716, 27.73649179, 199, 174);
INSERT INTO public.ecdc_data VALUES (31429, 0, 2, 366.54971985, 100, 174);
INSERT INTO public.ecdc_data VALUES (31430, 0, 0, 4.12698677, 51, 174);
INSERT INTO public.ecdc_data VALUES (31431, 33, 2462, 80.87986712, 200, 174);
INSERT INTO public.ecdc_data VALUES (31432, 0, 777, 102.70685529, 143, 174);
INSERT INTO public.ecdc_data VALUES (31433, 9, 2621, 52.89351473, 201, 174);
INSERT INTO public.ecdc_data VALUES (31434, 0, 0, 0, 52, 174);
INSERT INTO public.ecdc_data VALUES (31435, 451, 34841, 159.18044524, 101, 174);
INSERT INTO public.ecdc_data VALUES (31436, 0, 4, 6.26854022, 103, 174);
INSERT INTO public.ecdc_data VALUES (31437, 0, 1, 78.40962335, 102, 174);
INSERT INTO public.ecdc_data VALUES (31438, 6, 572, 18.79223079, 144, 174);
INSERT INTO public.ecdc_data VALUES (31439, 9, 1029, 55.06064719, 104, 174);
INSERT INTO public.ecdc_data VALUES (31440, 0, 0, 0.01969685, 145, 174);
INSERT INTO public.ecdc_data VALUES (31441, 0, 0, 0, 53, 174);
INSERT INTO public.ecdc_data VALUES (31442, 0, 0, 0.18860211, 146, 174);
INSERT INTO public.ecdc_data VALUES (31443, 8, 181, 9.08681995, 54, 174);
INSERT INTO public.ecdc_data VALUES (31444, 0, 5, 7.06020215, 55, 174);
INSERT INTO public.ecdc_data VALUES (31445, 0, 7, 1.89528575, 105, 175);
INSERT INTO public.ecdc_data VALUES (31446, 6, 146, 64.31605068, 147, 175);
INSERT INTO public.ecdc_data VALUES (31447, 10, 477, 16.88614239, 1, 175);
INSERT INTO public.ecdc_data VALUES (31448, 0, 8, 84.01486013, 148, 175);
INSERT INTO public.ecdc_data VALUES (31449, 3, 53, 2.21836093, 2, 175);
INSERT INTO public.ecdc_data VALUES (31450, 0, 0, 0, 56, 175);
INSERT INTO public.ecdc_data VALUES (31451, 0, 0, 2.0594141, 57, 175);
INSERT INTO public.ecdc_data VALUES (31452, 182, 7498, 202.54049319, 58, 175);
INSERT INTO public.ecdc_data VALUES (31453, 5, 276, 83.10432873, 149, 175);
INSERT INTO public.ecdc_data VALUES (31454, 0, 79, 801.42978083, 59, 175);
INSERT INTO public.ecdc_data VALUES (31455, 14, 385, 23.16372524, 202, 175);
INSERT INTO public.ecdc_data VALUES (31456, 0, 221, 20.91711326, 150, 175);
INSERT INTO public.ecdc_data VALUES (31457, 4, 103, 21.29836633, 151, 175);
INSERT INTO public.ecdc_data VALUES (31458, 2, 30, 139.92800768, 60, 175);
INSERT INTO public.ecdc_data VALUES (31459, 1, 326, 308.92707859, 106, 175);
INSERT INTO public.ecdc_data VALUES (31460, 34, 2766, 20.98791978, 107, 175);
INSERT INTO public.ecdc_data VALUES (31461, 0, 4, 13.23944938, 61, 175);
INSERT INTO public.ecdc_data VALUES (31462, 4, 105, 15.86897054, 152, 175);
INSERT INTO public.ecdc_data VALUES (31463, 12, 587, 72.97792444, 153, 175);
INSERT INTO public.ecdc_data VALUES (31464, 1, 32, 87.10109619, 62, 175);
INSERT INTO public.ecdc_data VALUES (31465, 0, 0, 1.66085495, 3, 175);
INSERT INTO public.ecdc_data VALUES (31466, 0, 0, 4.79938568, 63, 175);
INSERT INTO public.ecdc_data VALUES (31467, 0, 2, 4.19345454, 108, 175);
INSERT INTO public.ecdc_data VALUES (31468, 57, 1388, 170.84882945, 64, 175);
INSERT INTO public.ecdc_data VALUES (31469, 0, 0, 7.69734057, 65, 175);
INSERT INTO public.ecdc_data VALUES (31470, 6, 350, 123.90192299, 154, 175);
INSERT INTO public.ecdc_data VALUES (31471, 0, 0, 17.79743309, 4, 175);
INSERT INTO public.ecdc_data VALUES (31472, 1060, 50644, 290.46974516, 66, 175);
INSERT INTO public.ecdc_data VALUES (31473, 0, 0, 3.3296707, 67, 175);
INSERT INTO public.ecdc_data VALUES (31474, 0, 0, 0.23078911, 109, 175);
INSERT INTO public.ecdc_data VALUES (31475, 8, 174, 36.47122537, 155, 175);
INSERT INTO public.ecdc_data VALUES (31476, 0, 2, 0.47732972, 5, 175);
INSERT INTO public.ecdc_data VALUES (31477, 0, 2, 0.18212445, 6, 175);
INSERT INTO public.ecdc_data VALUES (31478, 0, 0, 0.20622881, 110, 175);
INSERT INTO public.ecdc_data VALUES (31479, 0, 161, 4.69153596, 7, 175);
INSERT INTO public.ecdc_data VALUES (31480, 5, 418, 14.31128428, 68, 175);
INSERT INTO public.ecdc_data VALUES (31481, 0, 63, 124.55994879, 8, 175);
INSERT INTO public.ecdc_data VALUES (31482, 0, 0, 0, 69, 175);
INSERT INTO public.ecdc_data VALUES (31483, 0, 0, 0.92725691, 9, 175);
INSERT INTO public.ecdc_data VALUES (31484, 0, 2, 0.09406227, 10, 175);
INSERT INTO public.ecdc_data VALUES (31485, 41, 2077, 139.53119019, 70, 175);
INSERT INTO public.ecdc_data VALUES (31486, 1, 70, 0.10873328, 111, 175);
INSERT INTO public.ecdc_data VALUES (31487, 347, 11306, 297.18842936, 71, 175);
INSERT INTO public.ecdc_data VALUES (31488, 0, 0, 1.99790572, 11, 175);
INSERT INTO public.ecdc_data VALUES (31489, 0, 0, 6.85809359, 12, 175);
INSERT INTO public.ecdc_data VALUES (31490, 9, 802, 180.50301918, 72, 175);
INSERT INTO public.ecdc_data VALUES (31491, 1, 46, 3.45302874, 13, 175);
INSERT INTO public.ecdc_data VALUES (31492, 2, 208, 27.47626125, 156, 175);
INSERT INTO public.ecdc_data VALUES (31493, 0, 55, 5.47933892, 73, 175);
INSERT INTO public.ecdc_data VALUES (31494, 0, 0, 1.83572692, 74, 175);
INSERT INTO public.ecdc_data VALUES (31495, 0, 13, 23.29035654, 157, 175);
INSERT INTO public.ecdc_data VALUES (31496, 3, 292, 29.28693497, 158, 175);
INSERT INTO public.ecdc_data VALUES (31497, 4, 16, 0.61527423, 14, 175);
INSERT INTO public.ecdc_data VALUES (31498, 0, 165, 27.38508126, 159, 175);
INSERT INTO public.ecdc_data VALUES (31499, 0, 9, 29.37681101, 15, 175);
INSERT INTO public.ecdc_data VALUES (31500, 0, 0, 0, 75, 175);
INSERT INTO public.ecdc_data VALUES (31501, 16, 1354, 138.17915464, 76, 175);
INSERT INTO public.ecdc_data VALUES (31502, 20, 1066, 80.89258352, 77, 175);
INSERT INTO public.ecdc_data VALUES (31503, 17, 112, 2.13371955, 16, 175);
INSERT INTO public.ecdc_data VALUES (31504, 11, 321, 88.04456462, 78, 175);
INSERT INTO public.ecdc_data VALUES (31505, 0, 0, 129.05776035, 17, 175);
INSERT INTO public.ecdc_data VALUES (31506, 0, 0, 0.1715699, 18, 175);
INSERT INTO public.ecdc_data VALUES (31507, 0, 3, 8.52946061, 160, 175);
INSERT INTO public.ecdc_data VALUES (31508, 3, 71, 89.01407764, 19, 175);
INSERT INTO public.ecdc_data VALUES (31509, 13, 1038, 8.66533754, 20, 175);
INSERT INTO public.ecdc_data VALUES (31510, 0, 0, 0, 79, 175);
INSERT INTO public.ecdc_data VALUES (31511, 0, 0, 281.44709, 161, 175);
INSERT INTO public.ecdc_data VALUES (31512, 0, 0, 0, 203, 175);
INSERT INTO public.ecdc_data VALUES (31513, 0, 17, 4.85690348, 162, 175);
INSERT INTO public.ecdc_data VALUES (31514, 18, 2846, 36.24974619, 163, 175);
INSERT INTO public.ecdc_data VALUES (31515, 0, 16, 37.2379469, 204, 175);
INSERT INTO public.ecdc_data VALUES (31516, 0, 148, 40.18267699, 21, 175);
INSERT INTO public.ecdc_data VALUES (31517, 7, 67, 47.91932175, 22, 175);
INSERT INTO public.ecdc_data VALUES (31518, 0, 0, 3.45279504, 164, 175);
INSERT INTO public.ecdc_data VALUES (31519, 6, 1415, 15.8698204, 165, 175);
INSERT INTO public.ecdc_data VALUES (31520, 8, 216, 21.57285368, 23, 175);
INSERT INTO public.ecdc_data VALUES (31521, 0, 1, 56.36978579, 166, 175);
INSERT INTO public.ecdc_data VALUES (31522, 2, 251, 20.09399139, 167, 175);
INSERT INTO public.ecdc_data VALUES (31523, 0, 0, 0, 80, 175);
INSERT INTO public.ecdc_data VALUES (31524, 0, 0, 0, 81, 175);
INSERT INTO public.ecdc_data VALUES (31525, 0, 25, 85.47774889, 205, 175);
INSERT INTO public.ecdc_data VALUES (31526, 45, 1144, 66.20035769, 82, 175);
INSERT INTO public.ecdc_data VALUES (31527, 0, 0, 0, 168, 175);
INSERT INTO public.ecdc_data VALUES (31528, 0, 62, 7.45424526, 24, 175);
INSERT INTO public.ecdc_data VALUES (31529, 0, 0, 7.07995192, 25, 175);
INSERT INTO public.ecdc_data VALUES (31530, 0, 18, 30.14914886, 83, 175);
INSERT INTO public.ecdc_data VALUES (31531, 4, 21, 3.61357671, 84, 175);
INSERT INTO public.ecdc_data VALUES (31532, 0, 0, 0, 169, 175);
INSERT INTO public.ecdc_data VALUES (31533, 6, 425, 72.49042311, 85, 175);
INSERT INTO public.ecdc_data VALUES (31534, 0, 40, 3.56091977, 170, 175);
INSERT INTO public.ecdc_data VALUES (31535, 0, 7, 27.45167245, 171, 175);
INSERT INTO public.ecdc_data VALUES (31536, 996, 65002, 60.75769993, 112, 175);
INSERT INTO public.ecdc_data VALUES (31537, 53, 2307, 9.88339731, 113, 175);
INSERT INTO public.ecdc_data VALUES (31538, 169, 2501, 41.75536662, 114, 175);
INSERT INTO public.ecdc_data VALUES (31539, 68, 4013, 111.11990451, 115, 175);
INSERT INTO public.ecdc_data VALUES (31540, 0, 66, 18.96318288, 172, 175);
INSERT INTO public.ecdc_data VALUES (31541, 0, 0, 0, 173, 175);
INSERT INTO public.ecdc_data VALUES (31542, 14, 1258, 236.05023515, 116, 175);
INSERT INTO public.ecdc_data VALUES (31543, 3, 574, 8.7343268, 174, 175);
INSERT INTO public.ecdc_data VALUES (31544, 0, 11, 7.39414919, 86, 175);
INSERT INTO public.ecdc_data VALUES (31545, 13, 2064, 15.13869993, 117, 175);
INSERT INTO public.ecdc_data VALUES (31546, 0, 3, 18.55356414, 175, 175);
INSERT INTO public.ecdc_data VALUES (31547, 0, 9, 1.34630845, 118, 175);
INSERT INTO public.ecdc_data VALUES (31548, 47, 1267, 158.55383208, 119, 175);
INSERT INTO public.ecdc_data VALUES (31549, 5, 580, 16.54430985, 26, 175);
INSERT INTO public.ecdc_data VALUES (31550, 8, 142, 155.68477392, 176, 175);
INSERT INTO public.ecdc_data VALUES (31551, 5, 699, 195.57521766, 120, 175);
INSERT INTO public.ecdc_data VALUES (31552, 4, 304, 79.08537776, 121, 175);
INSERT INTO public.ecdc_data VALUES (31553, 0, 0, 0, 122, 175);
INSERT INTO public.ecdc_data VALUES (31554, 0, 1, 4.01048351, 177, 175);
INSERT INTO public.ecdc_data VALUES (31555, 2, 334, 50.90647809, 123, 175);
INSERT INTO public.ecdc_data VALUES (31556, 1, 69, 13.17481521, 27, 175);
INSERT INTO public.ecdc_data VALUES (31557, 0, 0, 1.33674297, 28, 175);
INSERT INTO public.ecdc_data VALUES (31558, 4, 277, 60.56847609, 29, 175);
INSERT INTO public.ecdc_data VALUES (31559, 0, 0, 5.21131898, 178, 175);
INSERT INTO public.ecdc_data VALUES (31560, 0, 22, 9.91344879, 179, 175);
INSERT INTO public.ecdc_data VALUES (31561, 0, 37, 115.65514568, 180, 175);
INSERT INTO public.ecdc_data VALUES (31562, 2, 121, 10.28947501, 30, 175);
INSERT INTO public.ecdc_data VALUES (31563, 3, 76, 4.88492276, 31, 175);
INSERT INTO public.ecdc_data VALUES (31564, 0, 20, 0.54147462, 124, 175);
INSERT INTO public.ecdc_data VALUES (31565, 1, 78, 335.05538113, 125, 175);
INSERT INTO public.ecdc_data VALUES (31566, 0, 0, 0.31539286, 32, 175);
INSERT INTO public.ecdc_data VALUES (31567, 0, 72, 98.87369089, 181, 175);
INSERT INTO public.ecdc_data VALUES (31568, 0, 0, 7.22540479, 33, 175);
INSERT INTO public.ecdc_data VALUES (31569, 0, 0, 0, 34, 175);
INSERT INTO public.ecdc_data VALUES (31570, 615, 6049, 62.39754648, 87, 175);
INSERT INTO public.ecdc_data VALUES (31571, 6, 396, 117.47951776, 182, 175);
INSERT INTO public.ecdc_data VALUES (31572, 0, 0, 45.33776636, 183, 175);
INSERT INTO public.ecdc_data VALUES (31573, 0, 1, 0.21704309, 126, 175);
INSERT INTO public.ecdc_data VALUES (31574, 0, 73, 131.47278449, 184, 175);
INSERT INTO public.ecdc_data VALUES (31575, 0, 0, 0, 88, 175);
INSERT INTO public.ecdc_data VALUES (31576, 27, 1306, 40.9056145, 35, 175);
INSERT INTO public.ecdc_data VALUES (31577, 0, 70, 2.77942042, 36, 175);
INSERT INTO public.ecdc_data VALUES (31578, 0, 5, 0.03885621, 127, 175);
INSERT INTO public.ecdc_data VALUES (31579, 4, 182, 64.02022991, 37, 175);
INSERT INTO public.ecdc_data VALUES (31580, 4, 594, 20.20363375, 128, 175);
INSERT INTO public.ecdc_data VALUES (31581, 2, 636, 43.30476457, 185, 175);
INSERT INTO public.ecdc_data VALUES (31582, 0, 0, 0.35366056, 207, 175);
INSERT INTO public.ecdc_data VALUES (31583, 0, 7, 0.96172703, 208, 175);
INSERT INTO public.ecdc_data VALUES (31584, 0, 0, 6.76800545, 89, 175);
INSERT INTO public.ecdc_data VALUES (31585, 0, 4, 0.13298603, 38, 175);
INSERT INTO public.ecdc_data VALUES (31586, 7, 329, 2.63430787, 39, 175);
INSERT INTO public.ecdc_data VALUES (31587, 3, 189, 85.88765663, 186, 175);
INSERT INTO public.ecdc_data VALUES (31588, 0, 1, 13.98283607, 209, 175);
INSERT INTO public.ecdc_data VALUES (31589, 4, 67, 12.04907012, 187, 175);
INSERT INTO public.ecdc_data VALUES (31590, 6, 212, 72.04031685, 129, 175);
INSERT INTO public.ecdc_data VALUES (31591, 9, 747, 4.4984119, 130, 175);
INSERT INTO public.ecdc_data VALUES (31592, 1, 531, 116.91440717, 131, 175);
INSERT INTO public.ecdc_data VALUES (31593, 12, 956, 333.12610092, 90, 175);
INSERT INTO public.ecdc_data VALUES (31594, 0, 0, 2.26751711, 210, 175);
INSERT INTO public.ecdc_data VALUES (31595, 11, 688, 53.0758212, 91, 175);
INSERT INTO public.ecdc_data VALUES (31596, 208, 8300, 312.39482232, 92, 175);
INSERT INTO public.ecdc_data VALUES (31597, 16, 6134, 55.77865724, 132, 175);
INSERT INTO public.ecdc_data VALUES (31598, 14, 832, 25.36288332, 188, 175);
INSERT INTO public.ecdc_data VALUES (31599, 2, 235, 26.3802767, 189, 175);
INSERT INTO public.ecdc_data VALUES (31600, 5, 682, 284.54996311, 93, 175);
INSERT INTO public.ecdc_data VALUES (31601, 0, 251, 135.48389147, 133, 175);
INSERT INTO public.ecdc_data VALUES (31602, 44, 1415, 88.3877366, 190, 175);
INSERT INTO public.ecdc_data VALUES (31603, 114, 5065, 49.93547094, 191, 175);
INSERT INTO public.ecdc_data VALUES (31604, 0, 93, 2.1462052, 40, 175);
INSERT INTO public.ecdc_data VALUES (31605, 0, 0, 0, 94, 175);
INSERT INTO public.ecdc_data VALUES (31606, 0, 0, 0, 95, 175);
INSERT INTO public.ecdc_data VALUES (31607, 0, 0, 2.71264908, 96, 175);
INSERT INTO public.ecdc_data VALUES (31608, 0, 0, 31.92755348, 192, 175);
INSERT INTO public.ecdc_data VALUES (31609, 0, 1, 5.58014955, 41, 175);
INSERT INTO public.ecdc_data VALUES (31610, 35, 1383, 58.35383246, 134, 175);
INSERT INTO public.ecdc_data VALUES (31611, 5, 132, 10.06359579, 42, 175);
INSERT INTO public.ecdc_data VALUES (31612, 4, 235, 52.85934446, 193, 175);
INSERT INTO public.ecdc_data VALUES (31613, 0, 0, 13.30045733, 43, 175);
INSERT INTO public.ecdc_data VALUES (31614, 0, 7, 1.65105059, 44, 175);
INSERT INTO public.ecdc_data VALUES (31615, 0, 83, 58.14611576, 135, 175);
INSERT INTO public.ecdc_data VALUES (31616, 0, 6, 332.63346623, 97, 175);
INSERT INTO public.ecdc_data VALUES (31617, 0, 62, 9.33872815, 194, 175);
INSERT INTO public.ecdc_data VALUES (31618, 0, 37, 9.80341274, 195, 175);
INSERT INTO public.ecdc_data VALUES (31619, 0, 23, 0.24606768, 45, 175);
INSERT INTO public.ecdc_data VALUES (31620, 286, 6275, 146.78883854, 46, 175);
INSERT INTO public.ecdc_data VALUES (31621, 0, 166, 1.37236817, 136, 175);
INSERT INTO public.ecdc_data VALUES (31622, 0, 4, 1.44637815, 47, 175);
INSERT INTO public.ecdc_data VALUES (31623, 0, 0, 115.66766218, 196, 175);
INSERT INTO public.ecdc_data VALUES (31624, 0, 4, 0.33296232, 137, 175);
INSERT INTO public.ecdc_data VALUES (31625, 1, 47, 1.20990618, 48, 175);
INSERT INTO public.ecdc_data VALUES (31626, 1, 77, 194.71483393, 98, 175);
INSERT INTO public.ecdc_data VALUES (31627, 1, 344, 39.41277699, 197, 175);
INSERT INTO public.ecdc_data VALUES (31628, 0, 268, 29.37552892, 198, 175);
INSERT INTO public.ecdc_data VALUES (31629, 3, 83, 4.55181014, 138, 175);
INSERT INTO public.ecdc_data VALUES (31630, 0, 1, 0.03365037, 139, 175);
INSERT INTO public.ecdc_data VALUES (31631, 0, 39, 6.22249296, 140, 175);
INSERT INTO public.ecdc_data VALUES (31632, 0, 0, 0.09192024, 141, 175);
INSERT INTO public.ecdc_data VALUES (31633, 0, 0, 0.07733234, 142, 175);
INSERT INTO public.ecdc_data VALUES (31634, 0, 20, 2.26419044, 49, 175);
INSERT INTO public.ecdc_data VALUES (31635, 0, 8, 17.41974194, 99, 175);
INSERT INTO public.ecdc_data VALUES (31636, 0, 56, 3.14671893, 50, 175);
INSERT INTO public.ecdc_data VALUES (31637, 22, 1226, 19.49663798, 199, 175);
INSERT INTO public.ecdc_data VALUES (31638, 0, 16, 437.24145154, 100, 175);
INSERT INTO public.ecdc_data VALUES (31639, 1, 32, 0.52180293, 51, 175);
INSERT INTO public.ecdc_data VALUES (31640, 0, 0, 40.88772553, 200, 175);
INSERT INTO public.ecdc_data VALUES (31641, 1, 330, 33.9081028, 143, 175);
INSERT INTO public.ecdc_data VALUES (31642, 11, 1440, 19.78480328, 201, 175);
INSERT INTO public.ecdc_data VALUES (31643, 0, 0, 0, 52, 175);
INSERT INTO public.ecdc_data VALUES (31644, 1336, 64838, 228.23551257, 101, 175);
INSERT INTO public.ecdc_data VALUES (31645, 0, 30, 313.63849339, 102, 175);
INSERT INTO public.ecdc_data VALUES (31646, 1, 12, 4.53530329, 103, 175);
INSERT INTO public.ecdc_data VALUES (31647, 5, 690, 30.15913515, 144, 175);
INSERT INTO public.ecdc_data VALUES (31648, 7, 1012, 44.91189788, 104, 175);
INSERT INTO public.ecdc_data VALUES (31649, 0, 19, 0.38564366, 145, 175);
INSERT INTO public.ecdc_data VALUES (31650, 0, 0, 0, 53, 175);
INSERT INTO public.ecdc_data VALUES (31651, 0, 11, 0.4457868, 146, 175);
INSERT INTO public.ecdc_data VALUES (31652, 10, 358, 17.12106925, 54, 175);
INSERT INTO public.ecdc_data VALUES (31653, 0, 82, 12.9937763, 55, 175);
INSERT INTO public.ecdc_data VALUES (31654, 33, 285, 8.47226904, 105, 176);
INSERT INTO public.ecdc_data VALUES (31655, 2, 96, 39.54686006, 147, 176);
INSERT INTO public.ecdc_data VALUES (31656, 10, 527, 14.6540127, 1, 176);
INSERT INTO public.ecdc_data VALUES (31657, 0, 3, 7.87639314, 148, 176);
INSERT INTO public.ecdc_data VALUES (31658, 0, 19, 0.75725919, 2, 176);
INSERT INTO public.ecdc_data VALUES (31659, 0, 0, 0, 56, 176);
INSERT INTO public.ecdc_data VALUES (31660, 0, 0, 8.23765639, 57, 176);
INSERT INTO public.ecdc_data VALUES (31661, 23, 3099, 86.49936608, 58, 176);
INSERT INTO public.ecdc_data VALUES (31662, 11, 515, 234.63956118, 149, 176);
INSERT INTO public.ecdc_data VALUES (31663, 0, 1, 2.82193585, 59, 176);
INSERT INTO public.ecdc_data VALUES (31664, 0, 271, 9.59005206, 202, 176);
INSERT INTO public.ecdc_data VALUES (31665, 1, 201, 14.48281506, 150, 176);
INSERT INTO public.ecdc_data VALUES (31666, 6, 543, 75.5295804, 151, 176);
INSERT INTO public.ecdc_data VALUES (31667, 0, 3, 3.08098366, 60, 176);
INSERT INTO public.ecdc_data VALUES (31668, 2, 602, 446.02489453, 106, 176);
INSERT INTO public.ecdc_data VALUES (31669, 33, 3163, 27.33826816, 107, 176);
INSERT INTO public.ecdc_data VALUES (31670, 0, 0, 2.09043938, 61, 176);
INSERT INTO public.ecdc_data VALUES (31671, 6, 155, 33.33541746, 152, 176);
INSERT INTO public.ecdc_data VALUES (31672, 3, 207, 12.55290136, 153, 176);
INSERT INTO public.ecdc_data VALUES (31673, 0, 2, 2.81797664, 62, 176);
INSERT INTO public.ecdc_data VALUES (31674, 0, 0, 1.5168012, 3, 176);
INSERT INTO public.ecdc_data VALUES (31675, 0, 0, 6.3991809, 63, 176);
INSERT INTO public.ecdc_data VALUES (31676, 0, 0, 0.91731818, 108, 176);
INSERT INTO public.ecdc_data VALUES (31677, 32, 1617, 153.2862299, 64, 176);
INSERT INTO public.ecdc_data VALUES (31678, 0, 2, 7.69734057, 65, 176);
INSERT INTO public.ecdc_data VALUES (31679, 1, 197, 82.49020448, 154, 176);
INSERT INTO public.ecdc_data VALUES (31680, 0, 0, 7.46624022, 4, 176);
INSERT INTO public.ecdc_data VALUES (31681, 1300, 41857, 248.65396637, 66, 176);
INSERT INTO public.ecdc_data VALUES (31682, 0, 0, 0, 67, 176);
INSERT INTO public.ecdc_data VALUES (31683, 0, 0, 0, 109, 176);
INSERT INTO public.ecdc_data VALUES (31684, 7, 234, 37.94264575, 155, 176);
INSERT INTO public.ecdc_data VALUES (31685, 0, 2, 0.37399029, 5, 176);
INSERT INTO public.ecdc_data VALUES (31686, 0, 0, 0.8585867, 6, 176);
INSERT INTO public.ecdc_data VALUES (31687, 0, 0, 0.14557328, 110, 176);
INSERT INTO public.ecdc_data VALUES (31688, 0, 0, 9.97434456, 7, 176);
INSERT INTO public.ecdc_data VALUES (31689, 8, 331, 11.44581981, 68, 176);
INSERT INTO public.ecdc_data VALUES (31690, 0, 58, 100.55715574, 8, 176);
INSERT INTO public.ecdc_data VALUES (31691, 0, 2, 4.61907988, 69, 176);
INSERT INTO public.ecdc_data VALUES (31692, 0, 35, 12.87622659, 9, 176);
INSERT INTO public.ecdc_data VALUES (31693, 0, 4, 0.11287473, 10, 176);
INSERT INTO public.ecdc_data VALUES (31694, 45, 1836, 211.58677683, 70, 176);
INSERT INTO public.ecdc_data VALUES (31695, 0, 54, 0.03075778, 111, 176);
INSERT INTO public.ecdc_data VALUES (31696, 170, 5671, 123.26715653, 71, 176);
INSERT INTO public.ecdc_data VALUES (31697, 0, 0, 1.64533413, 11, 176);
INSERT INTO public.ecdc_data VALUES (31698, 0, 119, 18.15815024, 12, 176);
INSERT INTO public.ecdc_data VALUES (31699, 5, 446, 99.51340856, 72, 176);
INSERT INTO public.ecdc_data VALUES (31700, 3, 165, 13.75767531, 13, 176);
INSERT INTO public.ecdc_data VALUES (31701, 0, 52, 25.75899492, 156, 176);
INSERT INTO public.ecdc_data VALUES (31702, 0, 4, 0.8029305, 73, 176);
INSERT INTO public.ecdc_data VALUES (31703, 0, 0, 0.61190897, 74, 176);
INSERT INTO public.ecdc_data VALUES (31704, 0, 0, 2.74004195, 157, 176);
INSERT INTO public.ecdc_data VALUES (31705, 2, 103, 13.02371876, 158, 176);
INSERT INTO public.ecdc_data VALUES (31706, 0, 61, 1.26396223, 14, 176);
INSERT INTO public.ecdc_data VALUES (31707, 0, 24, 5.04643321, 159, 176);
INSERT INTO public.ecdc_data VALUES (31708, 0, 2, 30.50668836, 15, 176);
INSERT INTO public.ecdc_data VALUES (31709, 0, 0, 0, 75, 176);
INSERT INTO public.ecdc_data VALUES (31710, 7, 799, 127.91745046, 76, 176);
INSERT INTO public.ecdc_data VALUES (31711, 67, 1111, 75.62023355, 77, 176);
INSERT INTO public.ecdc_data VALUES (31712, 73, 929, 15.55862073, 16, 176);
INSERT INTO public.ecdc_data VALUES (31713, 0, 325, 59.88951817, 78, 176);
INSERT INTO public.ecdc_data VALUES (31714, 0, 0, 78.90960204, 17, 176);
INSERT INTO public.ecdc_data VALUES (31715, 0, 0, 0.8292545, 18, 176);
INSERT INTO public.ecdc_data VALUES (31716, 0, 1, 1.96253076, 160, 176);
INSERT INTO public.ecdc_data VALUES (31717, 0, 45, 54.17490831, 19, 176);
INSERT INTO public.ecdc_data VALUES (31718, 11, 203, 1.89420424, 20, 176);
INSERT INTO public.ecdc_data VALUES (31719, 0, 0, 0, 79, 176);
INSERT INTO public.ecdc_data VALUES (31720, 0, 0, 2.05435832, 161, 176);
INSERT INTO public.ecdc_data VALUES (31721, 0, 0, 0.89892186, 203, 176);
INSERT INTO public.ecdc_data VALUES (31722, 0, 0, 1.43169916, 162, 176);
INSERT INTO public.ecdc_data VALUES (31723, 0, 0, 11.30528887, 163, 176);
INSERT INTO public.ecdc_data VALUES (31724, 0, 0, 0, 204, 176);
INSERT INTO public.ecdc_data VALUES (31725, 0, 0, 29.08986467, 21, 176);
INSERT INTO public.ecdc_data VALUES (31726, 0, 0, 0.7241142, 22, 176);
INSERT INTO public.ecdc_data VALUES (31727, 0, 4, 1.87651904, 164, 176);
INSERT INTO public.ecdc_data VALUES (31728, 3, 351, 6.02390678, 165, 176);
INSERT INTO public.ecdc_data VALUES (31729, 0, 0, 23.82482027, 23, 176);
INSERT INTO public.ecdc_data VALUES (31730, 0, 0, 8.90049249, 166, 176);
INSERT INTO public.ecdc_data VALUES (31731, 0, 57, 4.41974567, 167, 176);
INSERT INTO public.ecdc_data VALUES (31732, 0, 0, 0, 80, 176);
INSERT INTO public.ecdc_data VALUES (31733, 0, 0, 0, 81, 176);
INSERT INTO public.ecdc_data VALUES (31734, 0, 1, 27.4963388, 205, 176);
INSERT INTO public.ecdc_data VALUES (31735, 58, 1130, 72.66739152, 82, 176);
INSERT INTO public.ecdc_data VALUES (31736, 0, 0, 0, 168, 176);
INSERT INTO public.ecdc_data VALUES (31737, 0, 0, 5.87256717, 24, 176);
INSERT INTO public.ecdc_data VALUES (31738, 1, 60, 12.91050056, 25, 176);
INSERT INTO public.ecdc_data VALUES (31739, 0, 8, 8.04828974, 83, 176);
INSERT INTO public.ecdc_data VALUES (31740, 2, 104, 7.60005324, 84, 176);
INSERT INTO public.ecdc_data VALUES (31741, 0, 0, 0, 169, 176);
INSERT INTO public.ecdc_data VALUES (31742, 18, 527, 97.96724131, 85, 176);
INSERT INTO public.ecdc_data VALUES (31743, 0, 16, 1.10511303, 170, 176);
INSERT INTO public.ecdc_data VALUES (31744, 0, 2, 3.08131017, 171, 176);
INSERT INTO public.ecdc_data VALUES (31745, 582, 29429, 25.66477188, 112, 176);
INSERT INTO public.ecdc_data VALUES (31746, 54, 1591, 8.19841238, 113, 176);
INSERT INTO public.ecdc_data VALUES (31747, 179, 2521, 41.62269886, 114, 176);
INSERT INTO public.ecdc_data VALUES (31748, 95, 2022, 83.05310415, 115, 176);
INSERT INTO public.ecdc_data VALUES (31749, 0, 32, 4.01693229, 172, 176);
INSERT INTO public.ecdc_data VALUES (31750, 0, 0, 0, 173, 176);
INSERT INTO public.ecdc_data VALUES (31751, 6, 1728, 200.90680382, 116, 176);
INSERT INTO public.ecdc_data VALUES (31752, 17, 114, 4.58253944, 174, 176);
INSERT INTO public.ecdc_data VALUES (31753, 0, 3, 2.03508693, 86, 176);
INSERT INTO public.ecdc_data VALUES (31754, 2, 288, 2.98359694, 117, 176);
INSERT INTO public.ecdc_data VALUES (31755, 0, 0, 9.27678207, 175, 176);
INSERT INTO public.ecdc_data VALUES (31756, 0, 15, 0.65335557, 118, 176);
INSERT INTO public.ecdc_data VALUES (31757, 0, 1759, 121.00955247, 119, 176);
INSERT INTO public.ecdc_data VALUES (31758, 5, 497, 8.41671316, 26, 176);
INSERT INTO public.ecdc_data VALUES (31759, 0, 0, 124.54781913, 176, 176);
INSERT INTO public.ecdc_data VALUES (31760, 3, 666, 237.19556357, 120, 176);
INSERT INTO public.ecdc_data VALUES (31761, 11, 439, 97.29028932, 121, 176);
INSERT INTO public.ecdc_data VALUES (31762, 0, 0, 0, 122, 176);
INSERT INTO public.ecdc_data VALUES (31763, 0, 4, 3.12505208, 177, 176);
INSERT INTO public.ecdc_data VALUES (31764, 1, 32, 9.81663603, 123, 176);
INSERT INTO public.ecdc_data VALUES (31765, 1, 12, 10.2575347, 27, 176);
INSERT INTO public.ecdc_data VALUES (31766, 0, 0, 4.94189826, 28, 176);
INSERT INTO public.ecdc_data VALUES (31767, 2, 51, 10.90380118, 29, 176);
INSERT INTO public.ecdc_data VALUES (31768, 0, 0, 5.21131898, 178, 176);
INSERT INTO public.ecdc_data VALUES (31769, 0, 1, 2.07574018, 179, 176);
INSERT INTO public.ecdc_data VALUES (31770, 0, 100, 123.31119053, 180, 176);
INSERT INTO public.ecdc_data VALUES (31771, 2, 263, 11.6020783, 30, 176);
INSERT INTO public.ecdc_data VALUES (31772, 1, 67, 6.61343389, 31, 176);
INSERT INTO public.ecdc_data VALUES (31773, 0, 4, 0.281692, 124, 176);
INSERT INTO public.ecdc_data VALUES (31774, 1, 39, 82.86923423, 125, 176);
INSERT INTO public.ecdc_data VALUES (31775, 0, 11, 1.23104953, 32, 176);
INSERT INTO public.ecdc_data VALUES (31776, 0, 0, 0.60783007, 181, 176);
INSERT INTO public.ecdc_data VALUES (31777, 2, 91, 28.65856272, 33, 176);
INSERT INTO public.ecdc_data VALUES (31778, 0, 0, 0.07876062, 34, 176);
INSERT INTO public.ecdc_data VALUES (31779, 878, 8412, 70.22663414, 87, 176);
INSERT INTO public.ecdc_data VALUES (31780, 9, 269, 76.54718052, 182, 176);
INSERT INTO public.ecdc_data VALUES (31781, 0, 0, 18.13510654, 183, 176);
INSERT INTO public.ecdc_data VALUES (31782, 0, 18, 1.27125239, 126, 176);
INSERT INTO public.ecdc_data VALUES (31783, 1, 69, 156.54583386, 184, 176);
INSERT INTO public.ecdc_data VALUES (31784, 0, 0, 20.03606492, 88, 176);
INSERT INTO public.ecdc_data VALUES (31785, 2, 161, 9.77194249, 35, 176);
INSERT INTO public.ecdc_data VALUES (31786, 0, 49, 1.24810467, 36, 176);
INSERT INTO public.ecdc_data VALUES (31787, 0, 1, 0.07031123, 127, 176);
INSERT INTO public.ecdc_data VALUES (31788, 1, 3, 26.49804131, 37, 176);
INSERT INTO public.ecdc_data VALUES (31789, 0, 116, 12.22354796, 128, 176);
INSERT INTO public.ecdc_data VALUES (31790, 0, 53, 5.05145102, 185, 176);
INSERT INTO public.ecdc_data VALUES (31791, 0, 1, 0.35366056, 207, 176);
INSERT INTO public.ecdc_data VALUES (31792, 0, 2, 0.39723508, 208, 176);
INSERT INTO public.ecdc_data VALUES (31793, 8, 301, 9.59437342, 89, 176);
INSERT INTO public.ecdc_data VALUES (31794, 0, 0, 0.10295693, 38, 176);
INSERT INTO public.ecdc_data VALUES (31795, 10, 463, 3.94200735, 39, 176);
INSERT INTO public.ecdc_data VALUES (31796, 4, 131, 95.22745786, 186, 176);
INSERT INTO public.ecdc_data VALUES (31797, 0, 3, 10.48712705, 209, 176);
INSERT INTO public.ecdc_data VALUES (31798, 0, 3, 2.23339462, 187, 176);
INSERT INTO public.ecdc_data VALUES (31799, 14, 1389, 391.92022821, 129, 176);
INSERT INTO public.ecdc_data VALUES (31800, 66, 2165, 19.53175171, 130, 176);
INSERT INTO public.ecdc_data VALUES (31801, 6, 293, 99.75063345, 131, 176);
INSERT INTO public.ecdc_data VALUES (31802, 28, 923, 342.54575597, 90, 176);
INSERT INTO public.ecdc_data VALUES (31803, 0, 0, 0, 210, 176);
INSERT INTO public.ecdc_data VALUES (31804, 0, 94, 12.10849839, 91, 176);
INSERT INTO public.ecdc_data VALUES (31805, 175, 3744, 149.65643983, 92, 176);
INSERT INTO public.ecdc_data VALUES (31806, 4, 539, 18.52721592, 132, 176);
INSERT INTO public.ecdc_data VALUES (31807, 12, 267, 10.70239412, 188, 176);
INSERT INTO public.ecdc_data VALUES (31808, 6, 233, 47.77836909, 189, 176);
INSERT INTO public.ecdc_data VALUES (31809, 2, 113, 90.61145345, 93, 176);
INSERT INTO public.ecdc_data VALUES (31810, 1, 517, 298.19167669, 133, 176);
INSERT INTO public.ecdc_data VALUES (31811, 30, 637, 34.07254532, 190, 176);
INSERT INTO public.ecdc_data VALUES (31812, 175, 6248, 63.13606165, 191, 176);
INSERT INTO public.ecdc_data VALUES (31813, 0, 38, 3.09655437, 40, 176);
INSERT INTO public.ecdc_data VALUES (31814, 0, 0, 3.78544119, 94, 176);
INSERT INTO public.ecdc_data VALUES (31815, 0, 0, 1.64118275, 95, 176);
INSERT INTO public.ecdc_data VALUES (31816, 0, 0, 5.42529817, 96, 176);
INSERT INTO public.ecdc_data VALUES (31817, 0, 0, 2.90250486, 192, 176);
INSERT INTO public.ecdc_data VALUES (31818, 0, 0, 8.37022432, 41, 176);
INSERT INTO public.ecdc_data VALUES (31819, 40, 2692, 137.09371651, 134, 176);
INSERT INTO public.ecdc_data VALUES (31820, 0, 45, 8.8976914, 42, 176);
INSERT INTO public.ecdc_data VALUES (31821, 13, 344, 63.45706144, 193, 176);
INSERT INTO public.ecdc_data VALUES (31822, 0, 0, 91.05697711, 43, 176);
INSERT INTO public.ecdc_data VALUES (31823, 1, 9, 2.41898109, 44, 176);
INSERT INTO public.ecdc_data VALUES (31824, 1, 346, 46.89591914, 135, 176);
INSERT INTO public.ecdc_data VALUES (31825, 0, 0, 2.3591026, 97, 176);
INSERT INTO public.ecdc_data VALUES (31826, 0, 6, 4.42167678, 194, 176);
INSERT INTO public.ecdc_data VALUES (31827, 0, 10, 12.44648971, 195, 176);
INSERT INTO public.ecdc_data VALUES (31828, 0, 17, 0.98427071, 45, 176);
INSERT INTO public.ecdc_data VALUES (31829, 174, 10496, 251.17375827, 46, 176);
INSERT INTO public.ecdc_data VALUES (31830, 0, 39, 1.36846385, 136, 176);
INSERT INTO public.ecdc_data VALUES (31831, 0, 0, 1.28366061, 47, 176);
INSERT INTO public.ecdc_data VALUES (31832, 4, 875, 16.6925666, 196, 176);
INSERT INTO public.ecdc_data VALUES (31833, 0, 19, 2.89817909, 137, 176);
INSERT INTO public.ecdc_data VALUES (31834, 0, 0, 2.47119834, 48, 176);
INSERT INTO public.ecdc_data VALUES (31835, 0, 21, 48.85071805, 98, 176);
INSERT INTO public.ecdc_data VALUES (31836, 8, 312, 57.64314135, 197, 176);
INSERT INTO public.ecdc_data VALUES (31837, 2, 70, 15.21441737, 198, 176);
INSERT INTO public.ecdc_data VALUES (31838, 2, 22, 0.93730968, 138, 176);
INSERT INTO public.ecdc_data VALUES (31839, 0, 0, 0.01682519, 139, 176);
INSERT INTO public.ecdc_data VALUES (31840, 1, 48, 7.3918925, 140, 176);
INSERT INTO public.ecdc_data VALUES (31841, 0, 5, 0.08473897, 141, 176);
INSERT INTO public.ecdc_data VALUES (31842, 0, 0, 0, 142, 176);
INSERT INTO public.ecdc_data VALUES (31843, 0, 10, 1.00218265, 49, 176);
INSERT INTO public.ecdc_data VALUES (31844, 0, 0, 0.21505854, 99, 176);
INSERT INTO public.ecdc_data VALUES (31845, 0, 4, 1.1287144, 50, 176);
INSERT INTO public.ecdc_data VALUES (31846, 20, 992, 18.3979095, 199, 176);
INSERT INTO public.ecdc_data VALUES (31847, 0, 0, 81.16458082, 100, 176);
INSERT INTO public.ecdc_data VALUES (31848, 0, 11, 0.34109196, 51, 176);
INSERT INTO public.ecdc_data VALUES (31849, 14, 638, 23.72388211, 200, 176);
INSERT INTO public.ecdc_data VALUES (31850, 1, 375, 70.68196738, 143, 176);
INSERT INTO public.ecdc_data VALUES (31851, 44, 726, 12.31561242, 201, 176);
INSERT INTO public.ecdc_data VALUES (31852, 0, 0, 0, 52, 176);
INSERT INTO public.ecdc_data VALUES (31853, 861, 68518, 242.24460245, 101, 176);
INSERT INTO public.ecdc_data VALUES (31854, 0, 0, 127.17658421, 102, 176);
INSERT INTO public.ecdc_data VALUES (31855, 0, 8, 1.76212421, 103, 176);
INSERT INTO public.ecdc_data VALUES (31856, 4, 421, 17.17921582, 144, 176);
INSERT INTO public.ecdc_data VALUES (31857, 3, 303, 14.65151162, 104, 176);
INSERT INTO public.ecdc_data VALUES (31858, 0, 0, 0.01866018, 145, 176);
INSERT INTO public.ecdc_data VALUES (31859, 0, 5, 66.27087275, 53, 176);
INSERT INTO public.ecdc_data VALUES (31860, 6, 4, 1.17962047, 146, 176);
INSERT INTO public.ecdc_data VALUES (31861, 40, 388, 3.85755942, 54, 176);
INSERT INTO public.ecdc_data VALUES (31862, 0, 0, 3.02482549, 55, 176);
INSERT INTO public.ecdc_data VALUES (31863, 20, 664, 25.13290856, 105, 177);
INSERT INTO public.ecdc_data VALUES (31864, 0, 57, 13.41518928, 147, 177);
INSERT INTO public.ecdc_data VALUES (31865, 7, 109, 3.54214128, 1, 177);
INSERT INTO public.ecdc_data VALUES (31866, 0, 0, 116.83316487, 148, 177);
INSERT INTO public.ecdc_data VALUES (31867, 0, 2, 0.16967633, 2, 177);
INSERT INTO public.ecdc_data VALUES (31868, 0, 0, 0, 56, 177);
INSERT INTO public.ecdc_data VALUES (31869, 0, 0, 1.02970705, 57, 177);
INSERT INTO public.ecdc_data VALUES (31870, 18, 1282, 32.88472092, 58, 177);
INSERT INTO public.ecdc_data VALUES (31871, 16, 397, 256.00731372, 149, 177);
INSERT INTO public.ecdc_data VALUES (31872, 0, 0, 0, 59, 177);
INSERT INTO public.ecdc_data VALUES (31873, 0, 18, 0.49596877, 202, 177);
INSERT INTO public.ecdc_data VALUES (31874, 0, 24, 4.47014401, 150, 177);
INSERT INTO public.ecdc_data VALUES (31875, 4, 387, 44.41804155, 151, 177);
INSERT INTO public.ecdc_data VALUES (31876, 0, 0, 0.25674864, 60, 177);
INSERT INTO public.ecdc_data VALUES (31877, 4, 317, 435.42266343, 106, 177);
INSERT INTO public.ecdc_data VALUES (31878, 32, 3141, 24.75801747, 107, 177);
INSERT INTO public.ecdc_data VALUES (31879, 0, 0, 1.39362625, 61, 177);
INSERT INTO public.ecdc_data VALUES (31880, 5, 732, 120.78402447, 152, 177);
INSERT INTO public.ecdc_data VALUES (31881, 3, 22, 13.5131372, 153, 177);
INSERT INTO public.ecdc_data VALUES (31882, 0, 1, 0.76853908, 62, 177);
INSERT INTO public.ecdc_data VALUES (31883, 1, 58, 2.01675243, 3, 177);
INSERT INTO public.ecdc_data VALUES (31884, 0, 0, 6.3991809, 63, 177);
INSERT INTO public.ecdc_data VALUES (31885, 0, 0, 3.01404545, 108, 177);
INSERT INTO public.ecdc_data VALUES (31886, 26, 617, 73.62915746, 64, 177);
INSERT INTO public.ecdc_data VALUES (31887, 0, 0, 0, 65, 177);
INSERT INTO public.ecdc_data VALUES (31888, 0, 61, 14.9045834, 154, 177);
INSERT INTO public.ecdc_data VALUES (31889, 0, 0, 0.95498421, 4, 177);
INSERT INTO public.ecdc_data VALUES (31890, 612, 17110, 167.15271452, 66, 177);
INSERT INTO public.ecdc_data VALUES (31891, 0, 0, 0, 67, 177);
INSERT INTO public.ecdc_data VALUES (31892, 0, 0, 0, 109, 177);
INSERT INTO public.ecdc_data VALUES (31893, 2, 24, 11.09993816, 155, 177);
INSERT INTO public.ecdc_data VALUES (31894, 0, 0, 0.06397202, 5, 177);
INSERT INTO public.ecdc_data VALUES (31895, 0, 0, 0.26885038, 6, 177);
INSERT INTO public.ecdc_data VALUES (31896, 0, 0, 0.01819666, 110, 177);
INSERT INTO public.ecdc_data VALUES (31897, 1, 292, 15.3035275, 7, 177);
INSERT INTO public.ecdc_data VALUES (31898, 39, 377, 20.95638191, 68, 177);
INSERT INTO public.ecdc_data VALUES (31899, 0, 24, 57.27939251, 8, 177);
INSERT INTO public.ecdc_data VALUES (31900, 0, 0, 70.82589148, 69, 177);
INSERT INTO public.ecdc_data VALUES (31901, 0, 165, 25.52063895, 9, 177);
INSERT INTO public.ecdc_data VALUES (31902, 1, 2, 0.45149892, 10, 177);
INSERT INTO public.ecdc_data VALUES (31903, 222, 6938, 393.65165799, 70, 177);
INSERT INTO public.ecdc_data VALUES (31904, 0, 47, 0.01311216, 111, 177);
INSERT INTO public.ecdc_data VALUES (31905, 75, 2193, 42.82129224, 71, 177);
INSERT INTO public.ecdc_data VALUES (31906, 0, 0, 8.22667063, 11, 177);
INSERT INTO public.ecdc_data VALUES (31907, 0, 0, 3.12238407, 12, 177);
INSERT INTO public.ecdc_data VALUES (31908, 0, 53, 13.05581052, 72, 177);
INSERT INTO public.ecdc_data VALUES (31909, 0, 236, 8.75311677, 13, 177);
INSERT INTO public.ecdc_data VALUES (31910, 0, 1, 0.14719426, 156, 177);
INSERT INTO public.ecdc_data VALUES (31911, 0, 10, 1.79115266, 73, 177);
INSERT INTO public.ecdc_data VALUES (31912, 0, 0, 1.83572692, 74, 177);
INSERT INTO public.ecdc_data VALUES (31913, 0, 3, 4.45256816, 157, 177);
INSERT INTO public.ecdc_data VALUES (31914, 0, 33, 7.05177562, 158, 177);
INSERT INTO public.ecdc_data VALUES (31915, 1, 54, 1.99099976, 14, 177);
INSERT INTO public.ecdc_data VALUES (31916, 0, 54, 9.02502049, 159, 177);
INSERT INTO public.ecdc_data VALUES (31917, 2, 16, 114.11761201, 15, 177);
INSERT INTO public.ecdc_data VALUES (31918, 0, 0, 2.78520499, 75, 177);
INSERT INTO public.ecdc_data VALUES (31919, 15, 390, 52.86360677, 76, 177);
INSERT INTO public.ecdc_data VALUES (31920, 22, 395, 44.04944797, 77, 177);
INSERT INTO public.ecdc_data VALUES (31921, 91, 1618, 19.53718089, 16, 177);
INSERT INTO public.ecdc_data VALUES (31922, 2, 117, 18.64090307, 78, 177);
INSERT INTO public.ecdc_data VALUES (31923, 0, 0, 0, 17, 177);
INSERT INTO public.ecdc_data VALUES (31924, 0, 31, 1.62991401, 18, 177);
INSERT INTO public.ecdc_data VALUES (31925, 0, 0, 7.85012304, 160, 177);
INSERT INTO public.ecdc_data VALUES (31926, 1, 4, 17.85507428, 19, 177);
INSERT INTO public.ecdc_data VALUES (31927, 2, 179, 1.93881574, 20, 177);
INSERT INTO public.ecdc_data VALUES (31928, 0, 0, 0, 79, 177);
INSERT INTO public.ecdc_data VALUES (31929, 0, 0, 0, 161, 177);
INSERT INTO public.ecdc_data VALUES (31930, 0, 0, 0, 203, 177);
INSERT INTO public.ecdc_data VALUES (31931, 1, 17, 4.44007967, 162, 177);
INSERT INTO public.ecdc_data VALUES (31932, 9, 407, 8.15813282, 163, 177);
INSERT INTO public.ecdc_data VALUES (31933, 0, 0, 0, 204, 177);
INSERT INTO public.ecdc_data VALUES (31934, 0, 0, 37.19083964, 21, 177);
INSERT INTO public.ecdc_data VALUES (31935, 0, 0, 0.12778486, 22, 177);
INSERT INTO public.ecdc_data VALUES (31936, 0, 28, 2.40194437, 164, 177);
INSERT INTO public.ecdc_data VALUES (31937, 4, 192, 5.59629492, 165, 177);
INSERT INTO public.ecdc_data VALUES (31938, 3, 542, 12.80169038, 23, 177);
INSERT INTO public.ecdc_data VALUES (31939, 0, 0, 20.76781582, 166, 177);
INSERT INTO public.ecdc_data VALUES (31940, 0, 9, 1.90216902, 167, 177);
INSERT INTO public.ecdc_data VALUES (31941, 0, 0, 0, 80, 177);
INSERT INTO public.ecdc_data VALUES (31942, 0, 0, 0, 81, 177);
INSERT INTO public.ecdc_data VALUES (31943, 0, 0, 5.97746496, 205, 177);
INSERT INTO public.ecdc_data VALUES (31944, 17, 354, 27.06257427, 82, 177);
INSERT INTO public.ecdc_data VALUES (31945, 0, 0, 0, 168, 177);
INSERT INTO public.ecdc_data VALUES (31946, 0, 48, 5.95869816, 24, 177);
INSERT INTO public.ecdc_data VALUES (31947, 0, 0, 7.18406886, 25, 177);
INSERT INTO public.ecdc_data VALUES (31948, 0, 0, 0.76650378, 83, 177);
INSERT INTO public.ecdc_data VALUES (31949, 3, 144, 19.3996686, 84, 177);
INSERT INTO public.ecdc_data VALUES (31950, 0, 0, 0, 169, 177);
INSERT INTO public.ecdc_data VALUES (31951, 2, 403, 37.51238314, 85, 177);
INSERT INTO public.ecdc_data VALUES (31952, 4, 12, 2.04650561, 170, 177);
INSERT INTO public.ecdc_data VALUES (31953, 0, 0, 1.12047643, 171, 177);
INSERT INTO public.ecdc_data VALUES (31954, 325, 11502, 10.38401319, 112, 177);
INSERT INTO public.ecdc_data VALUES (31955, 43, 857, 4.36174606, 113, 177);
INSERT INTO public.ecdc_data VALUES (31956, 107, 2472, 43.37150108, 114, 177);
INSERT INTO public.ecdc_data VALUES (31957, 58, 1259, 35.02944267, 115, 177);
INSERT INTO public.ecdc_data VALUES (31958, 1, 8, 6.38223252, 172, 177);
INSERT INTO public.ecdc_data VALUES (31959, 0, 0, 0, 173, 177);
INSERT INTO public.ecdc_data VALUES (31960, 2, 113, 24.06280368, 116, 177);
INSERT INTO public.ecdc_data VALUES (31961, 44, 338, 6.57725292, 174, 177);
INSERT INTO public.ecdc_data VALUES (31962, 0, 2, 1.05146158, 86, 177);
INSERT INTO public.ecdc_data VALUES (31963, 0, 73, 0.48715004, 117, 177);
INSERT INTO public.ecdc_data VALUES (31964, 0, 0, 4.63839103, 175, 177);
INSERT INTO public.ecdc_data VALUES (31965, 0, 8, 2.19765055, 118, 177);
INSERT INTO public.ecdc_data VALUES (31966, 4, 313, 18.87186259, 119, 177);
INSERT INTO public.ecdc_data VALUES (31967, 3, 137, 3.10419794, 26, 177);
INSERT INTO public.ecdc_data VALUES (31968, 1, 49, 22.4074871, 176, 177);
INSERT INTO public.ecdc_data VALUES (31969, 7, 454, 211.00160515, 120, 177);
INSERT INTO public.ecdc_data VALUES (31970, 0, 87, 8.65045027, 121, 177);
INSERT INTO public.ecdc_data VALUES (31971, 0, 0, 0, 122, 177);
INSERT INTO public.ecdc_data VALUES (31972, 0, 0, 1.61461024, 177, 177);
INSERT INTO public.ecdc_data VALUES (31973, 0, 4, 3.29652265, 123, 177);
INSERT INTO public.ecdc_data VALUES (31974, 0, 0, 0.09410582, 27, 177);
INSERT INTO public.ecdc_data VALUES (31975, 0, 12, 3.44312584, 28, 177);
INSERT INTO public.ecdc_data VALUES (31976, 0, 0, 3.86575901, 29, 177);
INSERT INTO public.ecdc_data VALUES (31977, 0, 0, 0, 178, 177);
INSERT INTO public.ecdc_data VALUES (31978, 0, 5, 3.32834201, 179, 177);
INSERT INTO public.ecdc_data VALUES (31979, 0, 7, 8.47051771, 180, 177);
INSERT INTO public.ecdc_data VALUES (31980, 0, 20, 1.85766738, 30, 177);
INSERT INTO public.ecdc_data VALUES (31981, 1, 18, 1.41179636, 31, 177);
INSERT INTO public.ecdc_data VALUES (31982, 1, 8, 1.98436365, 124, 177);
INSERT INTO public.ecdc_data VALUES (31983, 0, 22, 49.3448622, 125, 177);
INSERT INTO public.ecdc_data VALUES (31984, 0, 33, 2.76731795, 32, 177);
INSERT INTO public.ecdc_data VALUES (31985, 0, 2, 6.28091069, 181, 177);
INSERT INTO public.ecdc_data VALUES (31986, 13, 344, 27.686337, 33, 177);
INSERT INTO public.ecdc_data VALUES (31987, 0, 0, 0.15752125, 34, 177);
INSERT INTO public.ecdc_data VALUES (31988, 269, 2567, 50.31372435, 87, 177);
INSERT INTO public.ecdc_data VALUES (31989, 8, 281, 86.29179736, 182, 177);
INSERT INTO public.ecdc_data VALUES (31990, 0, 0, 0, 183, 177);
INSERT INTO public.ecdc_data VALUES (31991, 0, 0, 0.37207387, 126, 177);
INSERT INTO public.ecdc_data VALUES (31992, 0, 1, 0.16072468, 184, 177);
INSERT INTO public.ecdc_data VALUES (31993, 0, 0, 0, 88, 177);
INSERT INTO public.ecdc_data VALUES (31994, 0, 42, 2.54169211, 35, 177);
INSERT INTO public.ecdc_data VALUES (31995, 1, 30, 1.08344706, 36, 177);
INSERT INTO public.ecdc_data VALUES (31996, 0, 1, 0.06291005, 127, 177);
INSERT INTO public.ecdc_data VALUES (31997, 0, 0, 0.32070247, 37, 177);
INSERT INTO public.ecdc_data VALUES (31998, 1, 425, 14.63889587, 128, 177);
INSERT INTO public.ecdc_data VALUES (31999, 2, 143, 13.54575813, 185, 177);
INSERT INTO public.ecdc_data VALUES (32000, 0, 0, 0.70732113, 207, 177);
INSERT INTO public.ecdc_data VALUES (32001, 0, 0, 0, 208, 177);
INSERT INTO public.ecdc_data VALUES (32002, 0, 0, 13.68878755, 89, 177);
INSERT INTO public.ecdc_data VALUES (32003, 0, 0, 0.09437718, 38, 177);
INSERT INTO public.ecdc_data VALUES (32004, 13, 403, 2.94729987, 39, 177);
INSERT INTO public.ecdc_data VALUES (32005, 9, 155, 88.15039198, 186, 177);
INSERT INTO public.ecdc_data VALUES (32006, 0, 0, 13.98283607, 209, 177);
INSERT INTO public.ecdc_data VALUES (32007, 0, 0, 3.65976429, 187, 177);
INSERT INTO public.ecdc_data VALUES (32008, 5, 1404, 242.09084155, 129, 177);
INSERT INTO public.ecdc_data VALUES (32009, 97, 5248, 33.25463237, 130, 177);
INSERT INTO public.ecdc_data VALUES (32010, 0, 0, 0.9234311, 131, 177);
INSERT INTO public.ecdc_data VALUES (32011, 8, 627, 170.09542111, 90, 177);
INSERT INTO public.ecdc_data VALUES (32012, 0, 0, 0, 210, 177);
INSERT INTO public.ecdc_data VALUES (32013, 0, 28, 4.30114304, 91, 177);
INSERT INTO public.ecdc_data VALUES (32014, 190, 4604, 200.73538174, 92, 177);
INSERT INTO public.ecdc_data VALUES (32015, 14, 538, 7.25512863, 132, 177);
INSERT INTO public.ecdc_data VALUES (32016, 10, 375, 14.76319426, 188, 177);
INSERT INTO public.ecdc_data VALUES (32017, 5, 227, 40.7721724, 189, 177);
INSERT INTO public.ecdc_data VALUES (32018, 1, 121, 69.37332873, 93, 177);
INSERT INTO public.ecdc_data VALUES (32019, 3, 1186, 801.25109858, 133, 177);
INSERT INTO public.ecdc_data VALUES (32020, 19, 320, 14.12349497, 190, 177);
INSERT INTO public.ecdc_data VALUES (32021, 119, 8835, 84.40329916, 191, 177);
INSERT INTO public.ecdc_data VALUES (32022, 0, 41, 1.67895019, 40, 177);
INSERT INTO public.ecdc_data VALUES (32023, 0, 0, 0, 94, 177);
INSERT INTO public.ecdc_data VALUES (32024, 0, 0, 0.54706092, 95, 177);
INSERT INTO public.ecdc_data VALUES (32025, 0, 0, 0.90421636, 96, 177);
INSERT INTO public.ecdc_data VALUES (32026, 0, 0, 66.75761182, 192, 177);
INSERT INTO public.ecdc_data VALUES (32027, 0, 2, 82.7722183, 41, 177);
INSERT INTO public.ecdc_data VALUES (32028, 40, 4233, 123.3785086, 134, 177);
INSERT INTO public.ecdc_data VALUES (32029, 0, 94, 8.8670097, 42, 177);
INSERT INTO public.ecdc_data VALUES (32030, 1, 59, 12.895325, 193, 177);
INSERT INTO public.ecdc_data VALUES (32031, 0, 0, 0, 43, 177);
INSERT INTO public.ecdc_data VALUES (32032, 0, 37, 3.94204326, 44, 177);
INSERT INTO public.ecdc_data VALUES (32033, 0, 407, 98.54689842, 135, 177);
INSERT INTO public.ecdc_data VALUES (32034, 0, 0, 0, 97, 177);
INSERT INTO public.ecdc_data VALUES (32035, 0, 3, 0.47702737, 194, 177);
INSERT INTO public.ecdc_data VALUES (32036, 0, 3, 1.05723079, 195, 177);
INSERT INTO public.ecdc_data VALUES (32037, 1, 24, 4.06011666, 45, 177);
INSERT INTO public.ecdc_data VALUES (32038, 57, 4302, 63.79116377, 46, 177);
INSERT INTO public.ecdc_data VALUES (32039, 0, 37, 1.20643461, 136, 177);
INSERT INTO public.ecdc_data VALUES (32040, 0, 0, 6.31886455, 47, 177);
INSERT INTO public.ecdc_data VALUES (32041, 0, 181, 9.52552205, 196, 177);
INSERT INTO public.ecdc_data VALUES (32042, 0, 5, 1.20054021, 137, 177);
INSERT INTO public.ecdc_data VALUES (32043, 26, 341, 5.12458332, 48, 177);
INSERT INTO public.ecdc_data VALUES (32044, 0, 12, 31.82177056, 98, 177);
INSERT INTO public.ecdc_data VALUES (32045, 27, 418, 126.97717588, 197, 177);
INSERT INTO public.ecdc_data VALUES (32046, 0, 23, 2.98436648, 198, 177);
INSERT INTO public.ecdc_data VALUES (32047, 0, 7, 0.3222002, 138, 177);
INSERT INTO public.ecdc_data VALUES (32048, 0, 0, 0.0042063, 139, 177);
INSERT INTO public.ecdc_data VALUES (32049, 0, 64, 13.17451958, 140, 177);
INSERT INTO public.ecdc_data VALUES (32050, 0, 1, 0.0775577, 141, 177);
INSERT INTO public.ecdc_data VALUES (32051, 0, 0, 0, 142, 177);
INSERT INTO public.ecdc_data VALUES (32052, 0, 1, 1.10116366, 49, 177);
INSERT INTO public.ecdc_data VALUES (32053, 0, 6, 0.43011709, 99, 177);
INSERT INTO public.ecdc_data VALUES (32054, 0, 2, 0.16246647, 50, 177);
INSERT INTO public.ecdc_data VALUES (32055, 15, 1562, 17.43454048, 199, 177);
INSERT INTO public.ecdc_data VALUES (32056, 0, 0, 0, 100, 177);
INSERT INTO public.ecdc_data VALUES (32057, 0, 11, 0.53761514, 51, 177);
INSERT INTO public.ecdc_data VALUES (32058, 9, 648, 17.00700258, 200, 177);
INSERT INTO public.ecdc_data VALUES (32059, 1, 304, 79.18713895, 143, 177);
INSERT INTO public.ecdc_data VALUES (32060, 27, 890, 23.49689211, 201, 177);
INSERT INTO public.ecdc_data VALUES (32061, 0, 0, 0, 52, 177);
INSERT INTO public.ecdc_data VALUES (32062, 296, 19543, 92.3459124, 101, 177);
INSERT INTO public.ecdc_data VALUES (32063, 0, 1, 3.82485968, 102, 177);
INSERT INTO public.ecdc_data VALUES (32064, 0, 1, 0.72218205, 103, 177);
INSERT INTO public.ecdc_data VALUES (32065, 0, 109, 4.36908754, 144, 177);
INSERT INTO public.ecdc_data VALUES (32066, 1, 74, 5.14801797, 104, 177);
INSERT INTO public.ecdc_data VALUES (32067, 0, 0, 0.00622006, 145, 177);
INSERT INTO public.ecdc_data VALUES (32068, 0, 0, 0, 53, 177);
INSERT INTO public.ecdc_data VALUES (32069, 4, 23, 1.38879735, 146, 177);
INSERT INTO public.ecdc_data VALUES (32070, 1, 1, 1.68523278, 54, 177);
INSERT INTO public.ecdc_data VALUES (32071, 0, 27, 1.39974994, 55, 177);
INSERT INTO public.ecdc_data VALUES (32072, 6, 113, 8.32769107, 105, 178);
INSERT INTO public.ecdc_data VALUES (32073, 0, 18, 4.36692359, 147, 178);
INSERT INTO public.ecdc_data VALUES (32074, 7, 189, 5.65813519, 1, 178);
INSERT INTO public.ecdc_data VALUES (32075, 0, 1, 21.00371503, 148, 178);
INSERT INTO public.ecdc_data VALUES (32076, 0, 3, 0.06598524, 2, 178);
INSERT INTO public.ecdc_data VALUES (32077, 0, 0, 0, 56, 178);
INSERT INTO public.ecdc_data VALUES (32078, 0, 0, 1.02970705, 57, 178);
INSERT INTO public.ecdc_data VALUES (32079, 24, 255, 6.0427852, 58, 178);
INSERT INTO public.ecdc_data VALUES (32080, 3, 184, 64.10325764, 149, 178);
INSERT INTO public.ecdc_data VALUES (32081, 0, 0, 0.94064528, 59, 178);
INSERT INTO public.ecdc_data VALUES (32082, 0, 14, 0.90067928, 202, 178);
INSERT INTO public.ecdc_data VALUES (32083, 2, 41, 6.55846886, 150, 178);
INSERT INTO public.ecdc_data VALUES (32084, 0, 121, 10.6989457, 151, 178);
INSERT INTO public.ecdc_data VALUES (32085, 0, 2, 3.85122957, 60, 178);
INSERT INTO public.ecdc_data VALUES (32086, 0, 382, 192.42440122, 106, 178);
INSERT INTO public.ecdc_data VALUES (32087, 14, 1041, 6.86676651, 107, 178);
INSERT INTO public.ecdc_data VALUES (32088, 0, 0, 1.39362625, 61, 178);
INSERT INTO public.ecdc_data VALUES (32089, 5, 947, 134.83335306, 152, 178);
INSERT INTO public.ecdc_data VALUES (32090, 43, 305, 47.95068648, 153, 178);
INSERT INTO public.ecdc_data VALUES (32091, 0, 0, 0, 62, 178);
INSERT INTO public.ecdc_data VALUES (32092, 0, 12, 2.16080618, 3, 178);
INSERT INTO public.ecdc_data VALUES (32093, 1, 1, 12.79836181, 63, 178);
INSERT INTO public.ecdc_data VALUES (32094, 0, 5, 1.70359091, 108, 178);
INSERT INTO public.ecdc_data VALUES (32095, 10, 224, 19.15209298, 64, 178);
INSERT INTO public.ecdc_data VALUES (32096, 0, 0, 0, 65, 178);
INSERT INTO public.ecdc_data VALUES (32097, 3, 35, 13.90488573, 154, 178);
INSERT INTO public.ecdc_data VALUES (32098, 0, 0, 0.04340837, 4, 178);
INSERT INTO public.ecdc_data VALUES (32099, 844, 13944, 55.69214304, 66, 178);
INSERT INTO public.ecdc_data VALUES (32100, 0, 1, 6.65934139, 67, 178);
INSERT INTO public.ecdc_data VALUES (32101, 0, 0, 0.69236734, 109, 178);
INSERT INTO public.ecdc_data VALUES (32102, 3, 31, 8.48566701, 155, 178);
INSERT INTO public.ecdc_data VALUES (32103, 0, 0, 0.62987839, 5, 178);
INSERT INTO public.ecdc_data VALUES (32104, 0, 0, 0.10407111, 6, 178);
INSERT INTO public.ecdc_data VALUES (32105, 0, 0, 0, 110, 178);
INSERT INTO public.ecdc_data VALUES (32106, 3, 154, 4.33599946, 7, 178);
INSERT INTO public.ecdc_data VALUES (32107, 168, 1123, 53.90120424, 68, 178);
INSERT INTO public.ecdc_data VALUES (32108, 0, 26, 35.27683221, 8, 178);
INSERT INTO public.ecdc_data VALUES (32109, 0, 8, 30.79386586, 69, 178);
INSERT INTO public.ecdc_data VALUES (32110, 0, 24, 3.60365752, 9, 178);
INSERT INTO public.ecdc_data VALUES (32111, 4, 27, 2.04428678, 10, 178);
INSERT INTO public.ecdc_data VALUES (32112, 12, 2659, 110.89574286, 70, 178);
INSERT INTO public.ecdc_data VALUES (32113, 0, 5, 0.00509142, 111, 178);
INSERT INTO public.ecdc_data VALUES (32114, 16, 680, 14.11020777, 71, 178);
INSERT INTO public.ecdc_data VALUES (32115, 0, 0, 1.29276253, 11, 178);
INSERT INTO public.ecdc_data VALUES (32116, 4, 50, 3.17814093, 12, 178);
INSERT INTO public.ecdc_data VALUES (32117, 1, 15, 2.19908189, 72, 178);
INSERT INTO public.ecdc_data VALUES (32118, 0, 59, 2.70642793, 13, 178);
INSERT INTO public.ecdc_data VALUES (32119, 0, 8, 3.55719454, 156, 178);
INSERT INTO public.ecdc_data VALUES (32120, 0, 20, 2.90290258, 73, 178);
INSERT INTO public.ecdc_data VALUES (32121, 0, 0, 0, 74, 178);
INSERT INTO public.ecdc_data VALUES (32122, 0, 2, 6.50759962, 157, 178);
INSERT INTO public.ecdc_data VALUES (32123, 3, 82, 6.28180811, 158, 178);
INSERT INTO public.ecdc_data VALUES (32124, 0, 56, 0.83649643, 14, 178);
INSERT INTO public.ecdc_data VALUES (32125, 4, 46, 26.78226501, 159, 178);
INSERT INTO public.ecdc_data VALUES (32126, 0, 16, 20.02964387, 15, 178);
INSERT INTO public.ecdc_data VALUES (32127, 0, 0, 0, 75, 178);
INSERT INTO public.ecdc_data VALUES (32128, 13, 124, 40.48810327, 76, 178);
INSERT INTO public.ecdc_data VALUES (32129, 4, 16, 32.04852035, 77, 178);
INSERT INTO public.ecdc_data VALUES (32130, 15, 398, 5.27154241, 16, 178);
INSERT INTO public.ecdc_data VALUES (32131, 3, 98, 12.17934315, 78, 178);
INSERT INTO public.ecdc_data VALUES (32132, 1, 72, 20.57549436, 17, 178);
INSERT INTO public.ecdc_data VALUES (32133, 0, 0, 0, 18, 178);
INSERT INTO public.ecdc_data VALUES (32134, 1, 7, 5.20825471, 160, 178);
INSERT INTO public.ecdc_data VALUES (32135, 0, 0, 7.57751933, 19, 178);
INSERT INTO public.ecdc_data VALUES (32136, 0, 9, 0.12580443, 20, 178);
INSERT INTO public.ecdc_data VALUES (32137, 0, 0, 0, 79, 178);
INSERT INTO public.ecdc_data VALUES (32138, 0, 0, 0, 161, 178);
INSERT INTO public.ecdc_data VALUES (32139, 0, 0, 0, 203, 178);
INSERT INTO public.ecdc_data VALUES (32140, 3, 91, 20.84119031, 162, 178);
INSERT INTO public.ecdc_data VALUES (32141, 351, 622, 17.5712482, 163, 178);
INSERT INTO public.ecdc_data VALUES (32142, 0, 0, 0.71611436, 204, 178);
INSERT INTO public.ecdc_data VALUES (32143, 1, 100, 38.11140498, 21, 178);
INSERT INTO public.ecdc_data VALUES (32144, 0, 0, 0.46854448, 22, 178);
INSERT INTO public.ecdc_data VALUES (32145, 1, 20, 3.2025925, 164, 178);
INSERT INTO public.ecdc_data VALUES (32146, 101, 913, 14.92907431, 165, 178);
INSERT INTO public.ecdc_data VALUES (32147, 0, 122, 11.36174677, 23, 178);
INSERT INTO public.ecdc_data VALUES (32148, 0, 0, 8.90049249, 166, 178);
INSERT INTO public.ecdc_data VALUES (32149, 1, 10, 1.66906007, 167, 178);
INSERT INTO public.ecdc_data VALUES (32150, 0, 0, 0, 80, 178);
INSERT INTO public.ecdc_data VALUES (32151, 0, 0, 0.8928412, 81, 178);
INSERT INTO public.ecdc_data VALUES (32152, 0, 2, 4.78197197, 205, 178);
INSERT INTO public.ecdc_data VALUES (32153, 0, 176, 5.22709242, 82, 178);
INSERT INTO public.ecdc_data VALUES (32154, 0, 0, 1.55115716, 168, 178);
INSERT INTO public.ecdc_data VALUES (32155, 0, 99, 7.65782759, 24, 178);
INSERT INTO public.ecdc_data VALUES (32156, 0, 93, 36.85739675, 25, 178);
INSERT INTO public.ecdc_data VALUES (32157, 0, 0, 3.96026955, 83, 178);
INSERT INTO public.ecdc_data VALUES (32158, 2, 39, 1.70468484, 84, 178);
INSERT INTO public.ecdc_data VALUES (32159, 0, 0, 122.6993865, 169, 178);
INSERT INTO public.ecdc_data VALUES (32160, 10, 63, 15.53439499, 85, 178);
INSERT INTO public.ecdc_data VALUES (32161, 6, 37, 5.66882055, 170, 178);
INSERT INTO public.ecdc_data VALUES (32162, 0, 0, 1.40059553, 171, 178);
INSERT INTO public.ecdc_data VALUES (32163, 100, 3967, 3.43430842, 112, 178);
INSERT INTO public.ecdc_data VALUES (32164, 15, 568, 2.17569983, 113, 178);
INSERT INTO public.ecdc_data VALUES (32165, 71, 1808, 23.99236036, 114, 178);
INSERT INTO public.ecdc_data VALUES (32166, 0, 111, 2.69144156, 115, 178);
INSERT INTO public.ecdc_data VALUES (32167, 9, 426, 65.55551931, 172, 178);
INSERT INTO public.ecdc_data VALUES (32168, 0, 0, 20.09717576, 173, 178);
INSERT INTO public.ecdc_data VALUES (32169, 1, 31, 7.43012426, 116, 178);
INSERT INTO public.ecdc_data VALUES (32170, 262, 992, 29.21327473, 174, 178);
INSERT INTO public.ecdc_data VALUES (32171, 0, 0, 2.95087605, 86, 178);
INSERT INTO public.ecdc_data VALUES (32172, 23, 114, 1.50716971, 117, 178);
INSERT INTO public.ecdc_data VALUES (32173, 0, 1, 10.20446028, 175, 178);
INSERT INTO public.ecdc_data VALUES (32174, 0, 4, 1.31661047, 118, 178);
INSERT INTO public.ecdc_data VALUES (32175, 0, 0, 11.14199942, 119, 178);
INSERT INTO public.ecdc_data VALUES (32176, 2, 21, 0.68855371, 26, 178);
INSERT INTO public.ecdc_data VALUES (32177, 0, 18, 6.95021312, 176, 178);
INSERT INTO public.ecdc_data VALUES (32178, 6, 947, 188.99107385, 120, 178);
INSERT INTO public.ecdc_data VALUES (32179, 2, 29, 5.68903486, 121, 178);
INSERT INTO public.ecdc_data VALUES (32180, 0, 0, 0, 122, 178);
INSERT INTO public.ecdc_data VALUES (32181, 0, 11, 5.41675695, 177, 178);
INSERT INTO public.ecdc_data VALUES (32182, 0, 8, 2.34840773, 123, 178);
INSERT INTO public.ecdc_data VALUES (32183, 0, 1, 0, 27, 178);
INSERT INTO public.ecdc_data VALUES (32184, 0, 2, 1.49877242, 28, 178);
INSERT INTO public.ecdc_data VALUES (32185, 0, 0, 0.04426442, 29, 178);
INSERT INTO public.ecdc_data VALUES (32186, 0, 0, 0, 178, 178);
INSERT INTO public.ecdc_data VALUES (32187, 0, 6, 4.5093666, 179, 178);
INSERT INTO public.ecdc_data VALUES (32188, 0, 11, 21.33918885, 180, 178);
INSERT INTO public.ecdc_data VALUES (32189, 0, 18, 0.36337605, 30, 178);
INSERT INTO public.ecdc_data VALUES (32190, 0, 0, 0.13956922, 31, 178);
INSERT INTO public.ecdc_data VALUES (32191, 1, 40, 2.55713739, 124, 178);
INSERT INTO public.ecdc_data VALUES (32192, 0, 27, 96.80633272, 125, 178);
INSERT INTO public.ecdc_data VALUES (32193, 2, 21, 1.47013766, 32, 178);
INSERT INTO public.ecdc_data VALUES (32194, 0, 10, 13.16965145, 181, 178);
INSERT INTO public.ecdc_data VALUES (32195, 0, 7, 0.17676831, 33, 178);
INSERT INTO public.ecdc_data VALUES (32196, 0, 0, 0, 34, 178);
INSERT INTO public.ecdc_data VALUES (32197, 257, 3050, 23.90583856, 87, 178);
INSERT INTO public.ecdc_data VALUES (32198, 9, 147, 40.95706977, 182, 178);
INSERT INTO public.ecdc_data VALUES (32199, 0, 0, 0, 183, 178);
INSERT INTO public.ecdc_data VALUES (32200, 0, 0, 0.71314159, 126, 178);
INSERT INTO public.ecdc_data VALUES (32201, 0, 0, 0.32144935, 184, 178);
INSERT INTO public.ecdc_data VALUES (32202, 0, 0, 0, 88, 178);
INSERT INTO public.ecdc_data VALUES (32203, 2, 95, 5.98819372, 35, 178);
INSERT INTO public.ecdc_data VALUES (32204, 0, 8, 0.12843293, 36, 178);
INSERT INTO public.ecdc_data VALUES (32205, 0, 0, 0.05550886, 127, 178);
INSERT INTO public.ecdc_data VALUES (32206, 0, 0, 0, 37, 178);
INSERT INTO public.ecdc_data VALUES (32207, 0, 39, 0.70258311, 128, 178);
INSERT INTO public.ecdc_data VALUES (32208, 28, 270, 24.09999258, 185, 178);
INSERT INTO public.ecdc_data VALUES (32209, 0, 0, 0, 207, 178);
INSERT INTO public.ecdc_data VALUES (32210, 0, 1, 0.33451375, 208, 178);
INSERT INTO public.ecdc_data VALUES (32211, 0, 0, 0.16805431, 89, 178);
INSERT INTO public.ecdc_data VALUES (32212, 1, 16, 0.6735099, 38, 178);
INSERT INTO public.ecdc_data VALUES (32213, 3, 191, 1.60725622, 39, 178);
INSERT INTO public.ecdc_data VALUES (32214, 0, 29, 12.42097276, 186, 178);
INSERT INTO public.ecdc_data VALUES (32215, 0, 0, 8.73927254, 209, 178);
INSERT INTO public.ecdc_data VALUES (32216, 3, 17, 8.72713023, 187, 178);
INSERT INTO public.ecdc_data VALUES (32217, 2, 322, 40.06036593, 129, 178);
INSERT INTO public.ecdc_data VALUES (32218, 33, 1430, 9.42025264, 130, 178);
INSERT INTO public.ecdc_data VALUES (32219, 0, 0, 0.82305815, 131, 178);
INSERT INTO public.ecdc_data VALUES (32220, 4, 174, 60.89806991, 90, 178);
INSERT INTO public.ecdc_data VALUES (32221, 0, 0, 0, 210, 178);
INSERT INTO public.ecdc_data VALUES (32222, 0, 14, 6.92725348, 91, 178);
INSERT INTO public.ecdc_data VALUES (32223, 98, 4298, 134.19680102, 92, 178);
INSERT INTO public.ecdc_data VALUES (32224, 18, 258, 3.13365321, 132, 178);
INSERT INTO public.ecdc_data VALUES (32225, 22, 411, 12.47734827, 188, 178);
INSERT INTO public.ecdc_data VALUES (32226, 9, 187, 32.42312134, 189, 178);
INSERT INTO public.ecdc_data VALUES (32227, 2, 98, 30.27199799, 93, 178);
INSERT INTO public.ecdc_data VALUES (32228, 0, 1733, 524.81028901, 133, 178);
INSERT INTO public.ecdc_data VALUES (32229, 30, 245, 20.63925761, 190, 178);
INSERT INTO public.ecdc_data VALUES (32230, 93, 9974, 99.91413035, 191, 178);
INSERT INTO public.ecdc_data VALUES (32231, 0, 0, 0.34846136, 40, 178);
INSERT INTO public.ecdc_data VALUES (32232, 0, 0, 0, 94, 178);
INSERT INTO public.ecdc_data VALUES (32233, 0, 0, 0.54706092, 95, 178);
INSERT INTO public.ecdc_data VALUES (32234, 0, 0, 0.90421636, 96, 178);
INSERT INTO public.ecdc_data VALUES (32235, 0, 5, 229.29788407, 192, 178);
INSERT INTO public.ecdc_data VALUES (32236, 0, 0, 101.83772925, 41, 178);
INSERT INTO public.ecdc_data VALUES (32237, 10, 2039, 70.37360722, 134, 178);
INSERT INTO public.ecdc_data VALUES (32238, 1, 84, 7.70724165, 42, 178);
INSERT INTO public.ecdc_data VALUES (32239, 2, 79, 19.6014684, 193, 178);
INSERT INTO public.ecdc_data VALUES (32240, 0, 0, 0, 43, 178);
INSERT INTO public.ecdc_data VALUES (32241, 5, 21, 3.63487106, 44, 178);
INSERT INTO public.ecdc_data VALUES (32242, 0, 752, 171.06156545, 135, 178);
INSERT INTO public.ecdc_data VALUES (32243, 0, 0, 2.3591026, 97, 178);
INSERT INTO public.ecdc_data VALUES (32244, 0, 8, 1.48612373, 194, 178);
INSERT INTO public.ecdc_data VALUES (32245, 0, 1, 1.73001401, 195, 178);
INSERT INTO public.ecdc_data VALUES (32246, 1, 65, 4.42274271, 45, 178);
INSERT INTO public.ecdc_data VALUES (32247, 19, 665, 12.11101415, 46, 178);
INSERT INTO public.ecdc_data VALUES (32248, 0, 27, 0.47632693, 136, 178);
INSERT INTO public.ecdc_data VALUES (32249, 1, 28, 1.77181324, 47, 178);
INSERT INTO public.ecdc_data VALUES (32250, 138, 643, 29.00266868, 196, 178);
INSERT INTO public.ecdc_data VALUES (32251, 0, 10, 1.21929865, 137, 178);
INSERT INTO public.ecdc_data VALUES (32252, 1, 146, 3.5549753, 48, 178);
INSERT INTO public.ecdc_data VALUES (32253, 0, 0, 0, 98, 178);
INSERT INTO public.ecdc_data VALUES (32254, 46, 657, 76.10810557, 197, 178);
INSERT INTO public.ecdc_data VALUES (32255, 25, 50, 10.26388003, 198, 178);
INSERT INTO public.ecdc_data VALUES (32256, 0, 0, 0.02929093, 138, 178);
INSERT INTO public.ecdc_data VALUES (32257, 0, 0, 0.04626926, 139, 178);
INSERT INTO public.ecdc_data VALUES (32258, 6, 106, 9.56976504, 140, 178);
INSERT INTO public.ecdc_data VALUES (32259, 0, 1, 0.08330272, 141, 178);
INSERT INTO public.ecdc_data VALUES (32260, 0, 0, 0, 142, 178);
INSERT INTO public.ecdc_data VALUES (32261, 0, 19, 1.50946029, 49, 178);
INSERT INTO public.ecdc_data VALUES (32262, 0, 0, 0, 99, 178);
INSERT INTO public.ecdc_data VALUES (32263, 0, 0, 0.32493293, 50, 178);
INSERT INTO public.ecdc_data VALUES (32264, 55, 1635, 29.93150983, 199, 178);
INSERT INTO public.ecdc_data VALUES (32265, 0, 0, 0, 100, 178);
INSERT INTO public.ecdc_data VALUES (32266, 0, 21, 0.17393431, 51, 178);
INSERT INTO public.ecdc_data VALUES (32267, 17, 422, 14.64075162, 200, 178);
INSERT INTO public.ecdc_data VALUES (32268, 2, 698, 88.05053075, 143, 178);
INSERT INTO public.ecdc_data VALUES (32269, 352, 3307, 72.6558114, 201, 178);
INSERT INTO public.ecdc_data VALUES (32270, 0, 0, 0.04999529, 52, 178);
INSERT INTO public.ecdc_data VALUES (32271, 1773, 27143, 105.77335414, 101, 178);
INSERT INTO public.ecdc_data VALUES (32272, 0, 0, 2.86864476, 102, 178);
INSERT INTO public.ecdc_data VALUES (32273, 0, 5, 2.33986985, 103, 178);
INSERT INTO public.ecdc_data VALUES (32274, 0, 33, 1.81615783, 144, 178);
INSERT INTO public.ecdc_data VALUES (32275, 0, 15, 0.42783256, 104, 178);
INSERT INTO public.ecdc_data VALUES (32276, 0, 24, 0.04354041, 145, 178);
INSERT INTO public.ecdc_data VALUES (32277, 0, 0, 0, 53, 178);
INSERT INTO public.ecdc_data VALUES (32278, 1, 17, 0.27775947, 146, 178);
INSERT INTO public.ecdc_data VALUES (32279, 0, 208, 3.06813144, 54, 178);
INSERT INTO public.ecdc_data VALUES (32280, 0, 0, 0.02048415, 55, 178);
INSERT INTO public.ecdc_data VALUES (32281, 2, 49, 1.44052232, 105, 179);
INSERT INTO public.ecdc_data VALUES (32282, 1, 8, 8.10501019, 147, 179);
INSERT INTO public.ecdc_data VALUES (32283, 12, 87, 3.14495692, 1, 179);
INSERT INTO public.ecdc_data VALUES (32284, 2, 13, 371.50320963, 148, 179);
INSERT INTO public.ecdc_data VALUES (32285, 0, 0, 0.03770585, 2, 179);
INSERT INTO public.ecdc_data VALUES (32286, 0, 0, 6.72404519, 56, 179);
INSERT INTO public.ecdc_data VALUES (32287, 0, 0, 16.47531277, 57, 179);
INSERT INTO public.ecdc_data VALUES (32288, 7, 160, 3.27373359, 58, 179);
INSERT INTO public.ecdc_data VALUES (32289, 1, 44, 18.25725692, 149, 179);
INSERT INTO public.ecdc_data VALUES (32290, 0, 0, 34.80387546, 59, 179);
INSERT INTO public.ecdc_data VALUES (32291, 0, 50, 6.78088497, 202, 179);
INSERT INTO public.ecdc_data VALUES (32292, 16, 191, 45.7399584, 150, 179);
INSERT INTO public.ecdc_data VALUES (32293, 1, 49, 8.94730436, 151, 179);
INSERT INTO public.ecdc_data VALUES (32294, 0, 0, 8.72945369, 60, 179);
INSERT INTO public.ecdc_data VALUES (32295, 0, 167, 58.5560005, 106, 179);
INSERT INTO public.ecdc_data VALUES (32296, 7, 209, 0.58940359, 107, 179);
INSERT INTO public.ecdc_data VALUES (32297, 1, 1, 13.58785594, 61, 179);
INSERT INTO public.ecdc_data VALUES (32298, 4, 362, 33.10267256, 152, 179);
INSERT INTO public.ecdc_data VALUES (32299, 261, 1561, 171.82984027, 153, 179);
INSERT INTO public.ecdc_data VALUES (32300, 0, 0, 3.84269542, 62, 179);
INSERT INTO public.ecdc_data VALUES (32301, 0, 0, 0.22879124, 3, 179);
INSERT INTO public.ecdc_data VALUES (32302, 1, 0, 39.99488066, 63, 179);
INSERT INTO public.ecdc_data VALUES (32303, 0, 0, 0.13104545, 108, 179);
INSERT INTO public.ecdc_data VALUES (32304, 0, 43, 2.44938332, 64, 179);
INSERT INTO public.ecdc_data VALUES (32305, 0, 0, 15.39468114, 65, 179);
INSERT INTO public.ecdc_data VALUES (32306, 1, 45, 19.99395334, 154, 179);
INSERT INTO public.ecdc_data VALUES (32307, 0, 0, 0.43408373, 4, 179);
INSERT INTO public.ecdc_data VALUES (32308, 204, 1832, 9.26085977, 66, 179);
INSERT INTO public.ecdc_data VALUES (32309, 0, 0, 0, 67, 179);
INSERT INTO public.ecdc_data VALUES (32310, 0, 0, 1.6155238, 109, 179);
INSERT INTO public.ecdc_data VALUES (32311, 3, 28, 4.48568929, 155, 179);
INSERT INTO public.ecdc_data VALUES (32312, 2, 13, 1.38770083, 5, 179);
INSERT INTO public.ecdc_data VALUES (32313, 1, 0, 0.02601778, 6, 179);
INSERT INTO public.ecdc_data VALUES (32314, 0, 0, 0.07885219, 110, 179);
INSERT INTO public.ecdc_data VALUES (32315, 5, 35, 2.55831697, 7, 179);
INSERT INTO public.ecdc_data VALUES (32316, 123, 1383, 49.47737617, 68, 179);
INSERT INTO public.ecdc_data VALUES (32317, 0, 1, 0.90919671, 8, 179);
INSERT INTO public.ecdc_data VALUES (32318, 0, 1, 61.58773172, 69, 179);
INSERT INTO public.ecdc_data VALUES (32319, 0, 0, 0.1053701, 9, 179);
INSERT INTO public.ecdc_data VALUES (32320, 0, 0, 0.10033309, 10, 179);
INSERT INTO public.ecdc_data VALUES (32321, 10, 392, 27.32688073, 70, 179);
INSERT INTO public.ecdc_data VALUES (32322, 1, 49, 0.07372102, 111, 179);
INSERT INTO public.ecdc_data VALUES (32323, 15, 127, 4.11804318, 71, 179);
INSERT INTO public.ecdc_data VALUES (32324, 0, 4, 0.96645221, 12, 179);
INSERT INTO public.ecdc_data VALUES (32325, 0, 6, 5.36892967, 72, 179);
INSERT INTO public.ecdc_data VALUES (32326, 0, 0, 1.78095401, 13, 179);
INSERT INTO public.ecdc_data VALUES (32327, 6, 54, 20.53359881, 156, 179);
INSERT INTO public.ecdc_data VALUES (32328, 0, 40, 5.11757903, 73, 179);
INSERT INTO public.ecdc_data VALUES (32329, 0, 0, 1.83572692, 74, 179);
INSERT INTO public.ecdc_data VALUES (32330, 0, 33, 49.43492343, 157, 179);
INSERT INTO public.ecdc_data VALUES (32331, 18, 82, 26.60143852, 158, 179);
INSERT INTO public.ecdc_data VALUES (32332, 1, 19, 0.17974303, 14, 179);
INSERT INTO public.ecdc_data VALUES (32333, 14, 193, 62.88234697, 159, 179);
INSERT INTO public.ecdc_data VALUES (32334, 0, 65, 34.10175265, 15, 179);
INSERT INTO public.ecdc_data VALUES (32335, 0, 0, 6.96301248, 75, 179);
INSERT INTO public.ecdc_data VALUES (32336, 6, 119, 20.27198731, 76, 179);
INSERT INTO public.ecdc_data VALUES (32337, 0, 74, 30.51171092, 77, 179);
INSERT INTO public.ecdc_data VALUES (32338, 14, 160, 1.68745141, 16, 179);
INSERT INTO public.ecdc_data VALUES (32339, 0, 10, 1.96790914, 78, 179);
INSERT INTO public.ecdc_data VALUES (32340, 0, 20, 1.91742958, 17, 179);
INSERT INTO public.ecdc_data VALUES (32341, 0, 1, 0.57189965, 18, 179);
INSERT INTO public.ecdc_data VALUES (32342, 3, 41, 47.40266602, 160, 179);
INSERT INTO public.ecdc_data VALUES (32343, 0, 0, 0.52258754, 19, 179);
INSERT INTO public.ecdc_data VALUES (32344, 0, 8, 0.05085711, 20, 179);
INSERT INTO public.ecdc_data VALUES (32345, 0, 6, 0, 79, 179);
INSERT INTO public.ecdc_data VALUES (32346, 0, 0, 30.81537482, 161, 179);
INSERT INTO public.ecdc_data VALUES (32347, 0, 0, 1.23601755, 203, 179);
INSERT INTO public.ecdc_data VALUES (32348, 5, 97, 32.20416972, 162, 179);
INSERT INTO public.ecdc_data VALUES (32349, 762, 5497, 76.76882071, 163, 179);
INSERT INTO public.ecdc_data VALUES (32350, 0, 0, 6.44502927, 204, 179);
INSERT INTO public.ecdc_data VALUES (32351, 0, 18, 2.71566775, 21, 179);
INSERT INTO public.ecdc_data VALUES (32352, 0, 0, 0.21297476, 22, 179);
INSERT INTO public.ecdc_data VALUES (32353, 0, 28, 4.75384824, 164, 179);
INSERT INTO public.ecdc_data VALUES (32354, 285, 2486, 72.53501668, 165, 179);
INSERT INTO public.ecdc_data VALUES (32355, 0, 70, 1.59117056, 23, 179);
INSERT INTO public.ecdc_data VALUES (32356, 0, 0, 178.00984988, 166, 179);
INSERT INTO public.ecdc_data VALUES (32357, 2, 25, 7.98165041, 167, 179);
INSERT INTO public.ecdc_data VALUES (32358, 0, 0, 1.76491352, 80, 179);
INSERT INTO public.ecdc_data VALUES (32359, 0, 0, 4.464206, 81, 179);
INSERT INTO public.ecdc_data VALUES (32360, 0, 1, 39.45126872, 205, 179);
INSERT INTO public.ecdc_data VALUES (32361, 0, 13, 0.80766825, 82, 179);
INSERT INTO public.ecdc_data VALUES (32362, 1, 4, 252.83861761, 168, 179);
INSERT INTO public.ecdc_data VALUES (32363, 0, 44, 2.71704108, 24, 179);
INSERT INTO public.ecdc_data VALUES (32364, 0, 1, 1.66587104, 25, 179);
INSERT INTO public.ecdc_data VALUES (32365, 0, 1, 4.59902271, 83, 179);
INSERT INTO public.ecdc_data VALUES (32366, 0, 0, 0.22196417, 84, 179);
INSERT INTO public.ecdc_data VALUES (32367, 0, 0, 245.39877301, 169, 179);
INSERT INTO public.ecdc_data VALUES (32368, 5, 12, 2.53434317, 85, 179);
INSERT INTO public.ecdc_data VALUES (32369, 12, 67, 10.78508458, 170, 179);
INSERT INTO public.ecdc_data VALUES (32370, 0, 9, 163.86967739, 171, 179);
INSERT INTO public.ecdc_data VALUES (32371, 38, 1075, 0.73484115, 112, 179);
INSERT INTO public.ecdc_data VALUES (32372, 60, 282, 1.22346164, 113, 179);
INSERT INTO public.ecdc_data VALUES (32373, 98, 1574, 36.50895996, 114, 179);
INSERT INTO public.ecdc_data VALUES (32374, 0, 22, 1.79599031, 115, 179);
INSERT INTO public.ecdc_data VALUES (32375, 41, 832, 168.09944048, 172, 179);
INSERT INTO public.ecdc_data VALUES (32376, 0, 0, 224.61549374, 173, 179);
INSERT INTO public.ecdc_data VALUES (32377, 7, 460, 83.691605, 116, 179);
INSERT INTO public.ecdc_data VALUES (32378, 604, 2972, 93.93046131, 174, 179);
INSERT INTO public.ecdc_data VALUES (32379, 1, 32, 2.27251374, 86, 179);
INSERT INTO public.ecdc_data VALUES (32380, 10, 455, 4.84548755, 117, 179);
INSERT INTO public.ecdc_data VALUES (32381, 0, 0, 126.16423615, 175, 179);
INSERT INTO public.ecdc_data VALUES (32382, 0, 6, 1.2176172, 118, 179);
INSERT INTO public.ecdc_data VALUES (32383, 0, 88, 4.99691991, 119, 179);
INSERT INTO public.ecdc_data VALUES (32384, 0, 8, 0.29862689, 26, 179);
INSERT INTO public.ecdc_data VALUES (32385, 0, 15, 15.45727398, 176, 179);
INSERT INTO public.ecdc_data VALUES (32386, 1, 55, 25.33825742, 120, 179);
INSERT INTO public.ecdc_data VALUES (32387, 0, 19, 5.33054773, 121, 179);
INSERT INTO public.ecdc_data VALUES (32388, 0, 0, 0.1394806, 122, 179);
INSERT INTO public.ecdc_data VALUES (32389, 0, 2, 13.48980816, 177, 179);
INSERT INTO public.ecdc_data VALUES (32390, 1, 9, 2.59637625, 123, 179);
INSERT INTO public.ecdc_data VALUES (32391, 0, 0, 1.13420616, 28, 179);
INSERT INTO public.ecdc_data VALUES (32392, 0, 9, 0.36887013, 29, 179);
INSERT INTO public.ecdc_data VALUES (32393, 0, 0, 33.8735734, 178, 179);
INSERT INTO public.ecdc_data VALUES (32394, 0, 0, 19.21849098, 179, 179);
INSERT INTO public.ecdc_data VALUES (32395, 0, 15, 183.90797108, 180, 179);
INSERT INTO public.ecdc_data VALUES (32396, 0, 2, 0.22989097, 30, 179);
INSERT INTO public.ecdc_data VALUES (32397, 0, 0, 0, 31, 179);
INSERT INTO public.ecdc_data VALUES (32398, 5, 170, 6.95153261, 124, 179);
INSERT INTO public.ecdc_data VALUES (32399, 0, 1, 0.56501751, 125, 179);
INSERT INTO public.ecdc_data VALUES (32400, 3, 21, 0.64095967, 32, 179);
INSERT INTO public.ecdc_data VALUES (32401, 0, 6, 42.75071471, 181, 179);
INSERT INTO public.ecdc_data VALUES (32402, 0, 0, 0.04419208, 33, 179);
INSERT INTO public.ecdc_data VALUES (32403, 0, 0, 14.25567273, 34, 179);
INSERT INTO public.ecdc_data VALUES (32404, 74, 866, 5.18202829, 87, 179);
INSERT INTO public.ecdc_data VALUES (32405, 4, 222, 39.10213001, 182, 179);
INSERT INTO public.ecdc_data VALUES (32406, 0, 0, 81.60797945, 183, 179);
INSERT INTO public.ecdc_data VALUES (32407, 0, 14, 0.55811081, 126, 179);
INSERT INTO public.ecdc_data VALUES (32408, 1, 9, 27.96609352, 184, 179);
INSERT INTO public.ecdc_data VALUES (32409, 0, 0, 120.2163895, 88, 179);
INSERT INTO public.ecdc_data VALUES (32410, 0, 125, 3.48488746, 35, 179);
INSERT INTO public.ecdc_data VALUES (32411, 0, 1, 0.06586304, 36, 179);
INSERT INTO public.ecdc_data VALUES (32412, 0, 12, 0.10916743, 127, 179);
INSERT INTO public.ecdc_data VALUES (32413, 0, 0, 0.20043904, 37, 179);
INSERT INTO public.ecdc_data VALUES (32414, 0, 2, 0.03844982, 128, 179);
INSERT INTO public.ecdc_data VALUES (32415, 122, 868, 85.77630011, 185, 179);
INSERT INTO public.ecdc_data VALUES (32416, 0, 0, 0.70732113, 207, 179);
INSERT INTO public.ecdc_data VALUES (32417, 0, 6, 9.01096411, 208, 179);
INSERT INTO public.ecdc_data VALUES (32418, 0, 0, 0.07638832, 89, 179);
INSERT INTO public.ecdc_data VALUES (32419, 1, 22, 2.35942958, 38, 179);
INSERT INTO public.ecdc_data VALUES (32420, 1, 30, 0.12041982, 39, 179);
INSERT INTO public.ecdc_data VALUES (32421, 6, 54, 27.87497376, 186, 179);
INSERT INTO public.ecdc_data VALUES (32422, 0, 2, 12.23498156, 209, 179);
INSERT INTO public.ecdc_data VALUES (32423, 13, 78, 39.7694386, 187, 179);
INSERT INTO public.ecdc_data VALUES (32424, 0, 97, 14.43218401, 129, 179);
INSERT INTO public.ecdc_data VALUES (32425, 11, 272, 1.82346834, 130, 179);
INSERT INTO public.ecdc_data VALUES (32426, 0, 19, 3.45282933, 131, 179);
INSERT INTO public.ecdc_data VALUES (32427, 1, 102, 56.35308635, 90, 179);
INSERT INTO public.ecdc_data VALUES (32428, 0, 0, 0.01139456, 210, 179);
INSERT INTO public.ecdc_data VALUES (32429, 1, 2, 1.30595762, 91, 179);
INSERT INTO public.ecdc_data VALUES (32430, 37, 2784, 28.41546823, 92, 179);
INSERT INTO public.ecdc_data VALUES (32431, 20, 291, 2.90334635, 132, 179);
INSERT INTO public.ecdc_data VALUES (32432, 18, 268, 12.88026812, 188, 179);
INSERT INTO public.ecdc_data VALUES (32433, 32, 514, 97.35694149, 189, 179);
INSERT INTO public.ecdc_data VALUES (32434, 0, 20, 23.31762008, 93, 179);
INSERT INTO public.ecdc_data VALUES (32435, 0, 197, 93.46517089, 133, 179);
INSERT INTO public.ecdc_data VALUES (32436, 26, 246, 23.86880952, 190, 179);
INSERT INTO public.ecdc_data VALUES (32437, 22, 2774, 12.86399484, 191, 179);
INSERT INTO public.ecdc_data VALUES (32438, 0, 7, 0.46725501, 40, 179);
INSERT INTO public.ecdc_data VALUES (32439, 0, 2, 11.35632358, 94, 179);
INSERT INTO public.ecdc_data VALUES (32440, 0, 0, 1.09412183, 95, 179);
INSERT INTO public.ecdc_data VALUES (32441, 0, 0, 9.94637997, 96, 179);
INSERT INTO public.ecdc_data VALUES (32442, 0, 16, 412.15569036, 192, 179);
INSERT INTO public.ecdc_data VALUES (32443, 0, 0, 0, 41, 179);
INSERT INTO public.ecdc_data VALUES (32444, 8, 435, 11.10640028, 134, 179);
INSERT INTO public.ecdc_data VALUES (32445, 0, 8, 0.76090602, 42, 179);
INSERT INTO public.ecdc_data VALUES (32446, 9, 411, 51.19357865, 193, 179);
INSERT INTO public.ecdc_data VALUES (32447, 0, 1, 1.0231121, 43, 179);
INSERT INTO public.ecdc_data VALUES (32448, 0, 0, 0.12798842, 44, 179);
INSERT INTO public.ecdc_data VALUES (32449, 1, 334, 40.88318006, 135, 179);
INSERT INTO public.ecdc_data VALUES (32450, 0, 0, 108.51871948, 97, 179);
INSERT INTO public.ecdc_data VALUES (32451, 0, 66, 8.6598815, 194, 179);
INSERT INTO public.ecdc_data VALUES (32452, 1, 8, 19.51071359, 195, 179);
INSERT INTO public.ecdc_data VALUES (32453, 0, 35, 0.36910151, 45, 179);
INSERT INTO public.ecdc_data VALUES (32454, 0, 143, 1.81357826, 46, 179);
INSERT INTO public.ecdc_data VALUES (32455, 3, 27, 1.57148844, 136, 179);
INSERT INTO public.ecdc_data VALUES (32456, 0, 0, 0, 47, 179);
INSERT INTO public.ecdc_data VALUES (32457, 787, 4424, 150.86373113, 196, 179);
INSERT INTO public.ecdc_data VALUES (32458, 0, 15, 0.52054673, 137, 179);
INSERT INTO public.ecdc_data VALUES (32459, 1, 3, 0.05839316, 48, 179);
INSERT INTO public.ecdc_data VALUES (32460, 0, 0, 0, 98, 179);
INSERT INTO public.ecdc_data VALUES (32461, 92, 479, 68.31743512, 197, 179);
INSERT INTO public.ecdc_data VALUES (32462, 42, 254, 112.87927348, 198, 179);
INSERT INTO public.ecdc_data VALUES (32463, 0, 4, 0.11130552, 138, 179);
INSERT INTO public.ecdc_data VALUES (32464, 0, 2, 0.30705967, 139, 179);
INSERT INTO public.ecdc_data VALUES (32465, 2, 30, 1.42476369, 141, 179);
INSERT INTO public.ecdc_data VALUES (32466, 0, 2, 0.38666172, 142, 179);
INSERT INTO public.ecdc_data VALUES (32467, 0, 0, 0.53202289, 49, 179);
INSERT INTO public.ecdc_data VALUES (32468, 0, 0, 1.8638407, 99, 179);
INSERT INTO public.ecdc_data VALUES (32469, 0, 21, 3.29208367, 50, 179);
INSERT INTO public.ecdc_data VALUES (32470, 107, 4062, 62.89946127, 199, 179);
INSERT INTO public.ecdc_data VALUES (32471, 0, 0, 13.09106142, 100, 179);
INSERT INTO public.ecdc_data VALUES (32472, 0, 1, 0.02484776, 51, 179);
INSERT INTO public.ecdc_data VALUES (32473, 5, 270, 6.41683618, 200, 179);
INSERT INTO public.ecdc_data VALUES (32474, 3, 390, 41.80941743, 143, 179);
INSERT INTO public.ecdc_data VALUES (32475, 1076, 4178, 94.67477, 201, 179);
INSERT INTO public.ecdc_data VALUES (32476, 0, 7, 0.05861517, 52, 179);
INSERT INTO public.ecdc_data VALUES (32477, 2408, 26922, 127.60339322, 101, 179);
INSERT INTO public.ecdc_data VALUES (32478, 0, 0, 20.0805133, 102, 179);
INSERT INTO public.ecdc_data VALUES (32479, 0, 11, 4.41975416, 103, 179);
INSERT INTO public.ecdc_data VALUES (32480, 0, 167, 3.00772716, 144, 179);
INSERT INTO public.ecdc_data VALUES (32481, 0, 4, 0.20339581, 104, 179);
INSERT INTO public.ecdc_data VALUES (32482, 0, 1, 0.05805388, 145, 179);
INSERT INTO public.ecdc_data VALUES (32483, 0, 0, 0, 146, 179);
INSERT INTO public.ecdc_data VALUES (32484, 0, 0, 0.0559878, 54, 179);
INSERT INTO public.ecdc_data VALUES (32485, 0, 0, 0.06145244, 55, 179);
INSERT INTO public.ecdc_data VALUES (32486, 0, 3, 0.0262869, 105, 180);
INSERT INTO public.ecdc_data VALUES (32487, 0, 5, 0, 147, 180);
INSERT INTO public.ecdc_data VALUES (32488, 0, 11, 0.08594048, 1, 180);
INSERT INTO public.ecdc_data VALUES (32489, 0, 1, 0, 57, 180);
INSERT INTO public.ecdc_data VALUES (32490, 0, 11, 0, 58, 180);
INSERT INTO public.ecdc_data VALUES (32491, 0, 7, 0.6761947, 149, 180);
INSERT INTO public.ecdc_data VALUES (32492, 0, 52, 0.88480828, 202, 180);
INSERT INTO public.ecdc_data VALUES (32493, 0, 151, 7.28091638, 150, 180);
INSERT INTO public.ecdc_data VALUES (32494, 0, 6, 0.18909764, 151, 180);
INSERT INTO public.ecdc_data VALUES (32495, 0, 1, 10.54129874, 106, 180);
INSERT INTO public.ecdc_data VALUES (32496, 0, 0, 0, 107, 180);
INSERT INTO public.ecdc_data VALUES (32497, 5, 179, 11.88946568, 153, 180);
INSERT INTO public.ecdc_data VALUES (32498, 0, 0, 0, 108, 180);
INSERT INTO public.ecdc_data VALUES (32499, 0, 0, 0, 64, 180);
INSERT INTO public.ecdc_data VALUES (32500, 0, 23, 0.05638487, 66, 180);
INSERT INTO public.ecdc_data VALUES (32501, 0, 3, 0, 109, 180);
INSERT INTO public.ecdc_data VALUES (32502, 1, 10, 0, 155, 180);
INSERT INTO public.ecdc_data VALUES (32503, 0, 1, 0, 5, 180);
INSERT INTO public.ecdc_data VALUES (32504, 0, 2, 0.03639332, 110, 180);
INSERT INTO public.ecdc_data VALUES (32505, 0, 1, 0, 7, 180);
INSERT INTO public.ecdc_data VALUES (32506, 0, 68, 0.59875377, 68, 180);
INSERT INTO public.ecdc_data VALUES (32507, 0, 18, 0, 70, 180);
INSERT INTO public.ecdc_data VALUES (32508, 9, 22, 0.07434873, 111, 180);
INSERT INTO public.ecdc_data VALUES (32509, 0, 18, 0, 71, 180);
INSERT INTO public.ecdc_data VALUES (32510, 0, 1, 0, 72, 180);
INSERT INTO public.ecdc_data VALUES (32511, 0, 3, 0, 13, 180);
INSERT INTO public.ecdc_data VALUES (32512, 0, 6, 0.85863316, 156, 180);
INSERT INTO public.ecdc_data VALUES (32513, 0, 0, 0, 73, 180);
INSERT INTO public.ecdc_data VALUES (32514, 0, 7, 0, 157, 180);
INSERT INTO public.ecdc_data VALUES (32515, 0, 64, 2.00942741, 158, 180);
INSERT INTO public.ecdc_data VALUES (32516, 0, 0, 0, 14, 180);
INSERT INTO public.ecdc_data VALUES (32517, 0, 23, 14.19201696, 159, 180);
INSERT INTO public.ecdc_data VALUES (32518, 0, 0, 0.1024308, 76, 180);
INSERT INTO public.ecdc_data VALUES (32519, 1, 5, 0.16116354, 77, 180);
INSERT INTO public.ecdc_data VALUES (32520, 0, 0, 0.09164435, 16, 180);
INSERT INTO public.ecdc_data VALUES (32521, 0, 1, 0, 17, 180);
INSERT INTO public.ecdc_data VALUES (32522, 0, 36, 8.68042451, 160, 180);
INSERT INTO public.ecdc_data VALUES (32523, 0, 1, 0, 19, 180);
INSERT INTO public.ecdc_data VALUES (32524, 0, 0, 0, 20, 180);
INSERT INTO public.ecdc_data VALUES (32525, 0, 0, 0, 161, 180);
INSERT INTO public.ecdc_data VALUES (32526, 0, 27, 3.7876598, 162, 180);
INSERT INTO public.ecdc_data VALUES (32527, 12, 838, 6.56440941, 163, 180);
INSERT INTO public.ecdc_data VALUES (32528, 0, 0, 0, 21, 180);
INSERT INTO public.ecdc_data VALUES (32529, 0, 0, 0.72558736, 164, 180);
INSERT INTO public.ecdc_data VALUES (32530, 3, 733, 4.43752701, 165, 180);
INSERT INTO public.ecdc_data VALUES (32531, 0, 0, 0, 23, 180);
INSERT INTO public.ecdc_data VALUES (32532, 2, 38, 2.09798054, 167, 180);
INSERT INTO public.ecdc_data VALUES (32533, 0, 1, 0, 82, 180);
INSERT INTO public.ecdc_data VALUES (32534, 0, 0, 0, 24, 180);
INSERT INTO public.ecdc_data VALUES (32535, 0, 6, 0, 170, 180);
INSERT INTO public.ecdc_data VALUES (32536, 0, 21, 38.37631761, 171, 180);
INSERT INTO public.ecdc_data VALUES (32537, 0, 7, 0.00636701, 112, 180);
INSERT INTO public.ecdc_data VALUES (32538, 0, 27, 0.03547337, 113, 180);
INSERT INTO public.ecdc_data VALUES (32539, 97, 1365, 14.63687153, 114, 180);
INSERT INTO public.ecdc_data VALUES (32540, 0, 0, 0.20096775, 115, 180);
INSERT INTO public.ecdc_data VALUES (32541, 1, 38, 2.63037698, 172, 180);
INSERT INTO public.ecdc_data VALUES (32542, 0, 62, 2.06587973, 116, 180);
INSERT INTO public.ecdc_data VALUES (32543, 173, 3497, 33.18282083, 174, 180);
INSERT INTO public.ecdc_data VALUES (32544, 1, 43, 0.42645335, 117, 180);
INSERT INTO public.ecdc_data VALUES (32545, 0, 0, 0, 118, 180);
INSERT INTO public.ecdc_data VALUES (32546, 0, 6, 0, 119, 180);
INSERT INTO public.ecdc_data VALUES (32547, 0, 0, 0, 26, 180);
INSERT INTO public.ecdc_data VALUES (32548, 0, 3, 0, 176, 180);
INSERT INTO public.ecdc_data VALUES (32549, 0, 4, 1.85401884, 120, 180);
INSERT INTO public.ecdc_data VALUES (32550, 0, 7, 0, 177, 180);
INSERT INTO public.ecdc_data VALUES (32551, 1, 27, 1.34194727, 123, 180);
INSERT INTO public.ecdc_data VALUES (32552, 0, 0, 0, 178, 180);
INSERT INTO public.ecdc_data VALUES (32553, 0, 3, 0.32209761, 179, 180);
INSERT INTO public.ecdc_data VALUES (32554, 0, 41, 0.66667107, 124, 180);
INSERT INTO public.ecdc_data VALUES (32555, 0, 0, 0, 125, 180);
INSERT INTO public.ecdc_data VALUES (32556, 0, 1, 0, 181, 180);
INSERT INTO public.ecdc_data VALUES (32557, 0, 1, 0, 33, 180);
INSERT INTO public.ecdc_data VALUES (32558, 0, 50, 0.15206678, 87, 180);
INSERT INTO public.ecdc_data VALUES (32559, 0, 12, 0, 182, 180);
INSERT INTO public.ecdc_data VALUES (32560, 0, 6, 21.1576243, 183, 180);
INSERT INTO public.ecdc_data VALUES (32561, 0, 0, 0, 126, 180);
INSERT INTO public.ecdc_data VALUES (32562, 0, 11, 0, 35, 180);
INSERT INTO public.ecdc_data VALUES (32563, 0, 2, 0, 37, 180);
INSERT INTO public.ecdc_data VALUES (32564, 0, 0, 0, 128, 180);
INSERT INTO public.ecdc_data VALUES (32565, 7, 155, 5.50856973, 185, 180);
INSERT INTO public.ecdc_data VALUES (32566, 0, 2, 0.16725687, 208, 180);
INSERT INTO public.ecdc_data VALUES (32567, 0, 0, 0.00099521, 39, 180);
INSERT INTO public.ecdc_data VALUES (32568, 0, 286, 16.74107562, 187, 180);
INSERT INTO public.ecdc_data VALUES (32569, 0, 0, 0.4020107, 129, 180);
INSERT INTO public.ecdc_data VALUES (32570, 0, 9, 0.01385263, 130, 180);
INSERT INTO public.ecdc_data VALUES (32571, 0, 3, 0, 131, 180);
INSERT INTO public.ecdc_data VALUES (32572, 0, 7, 0, 90, 180);
INSERT INTO public.ecdc_data VALUES (32573, 0, 5, 0, 92, 180);
INSERT INTO public.ecdc_data VALUES (32574, 0, 47, 0.09989213, 132, 180);
INSERT INTO public.ecdc_data VALUES (32575, 1, 36, 0, 188, 180);
INSERT INTO public.ecdc_data VALUES (32576, 0, 57, 0, 189, 180);
INSERT INTO public.ecdc_data VALUES (32577, 0, 17, 11.89941919, 133, 180);
INSERT INTO public.ecdc_data VALUES (32578, 0, 24, 0.57688966, 190, 180);
INSERT INTO public.ecdc_data VALUES (32579, 0, 14, 0.03907528, 191, 180);
INSERT INTO public.ecdc_data VALUES (32580, 0, 1, 0, 40, 180);
INSERT INTO public.ecdc_data VALUES (32581, 0, 2, 0, 95, 180);
INSERT INTO public.ecdc_data VALUES (32582, 0, 19, 264.12794241, 192, 180);
INSERT INTO public.ecdc_data VALUES (32583, 0, 0, 0, 134, 180);
INSERT INTO public.ecdc_data VALUES (32584, 0, 2, 0, 42, 180);
INSERT INTO public.ecdc_data VALUES (32585, 0, 5, 0, 193, 180);
INSERT INTO public.ecdc_data VALUES (32586, 0, 2, 0, 43, 180);
INSERT INTO public.ecdc_data VALUES (32587, 0, 14, 1.92958962, 135, 180);
INSERT INTO public.ecdc_data VALUES (32588, 0, 14, 0, 194, 180);
INSERT INTO public.ecdc_data VALUES (32589, 0, 40, 0, 195, 180);
INSERT INTO public.ecdc_data VALUES (32590, 0, 0, 0, 46, 180);
INSERT INTO public.ecdc_data VALUES (32591, 3, 76, 9.05021171, 136, 180);
INSERT INTO public.ecdc_data VALUES (32592, 15, 2144, 20.67236423, 196, 180);
INSERT INTO public.ecdc_data VALUES (32593, 0, 5, 0.0468961, 137, 180);
INSERT INTO public.ecdc_data VALUES (32594, 1, 0, 0, 48, 180);
INSERT INTO public.ecdc_data VALUES (32595, 0, 1, 0, 98, 180);
INSERT INTO public.ecdc_data VALUES (32596, 1, 71, 8.9147948, 197, 180);
INSERT INTO public.ecdc_data VALUES (32597, 4, 238, 15.69425669, 198, 180);
INSERT INTO public.ecdc_data VALUES (32598, 0, 6, 0.07991964, 139, 180);
INSERT INTO public.ecdc_data VALUES (32599, 0, 0, 0.06750393, 141, 180);
INSERT INTO public.ecdc_data VALUES (32600, 0, 0, 0, 49, 180);
INSERT INTO public.ecdc_data VALUES (32601, 0, 0, 0, 99, 180);
INSERT INTO public.ecdc_data VALUES (32602, 0, 0, 0, 50, 180);
INSERT INTO public.ecdc_data VALUES (32603, 0, 1, 0.74714504, 143, 180);
INSERT INTO public.ecdc_data VALUES (32604, 19, 478, 3.30396912, 201, 180);
INSERT INTO public.ecdc_data VALUES (32605, 10, 777, 0.87581503, 101, 180);
INSERT INTO public.ecdc_data VALUES (32606, 0, 6, 0, 103, 180);
INSERT INTO public.ecdc_data VALUES (32607, 0, 10, 0, 104, 180);
INSERT INTO public.ecdc_data VALUES (32608, 0, 0, 0.03835703, 145, 180);
INSERT INTO public.ecdc_data VALUES (32609, 0, 0, 0, 105, 181);
INSERT INTO public.ecdc_data VALUES (32610, 0, 0, 0, 1, 181);
INSERT INTO public.ecdc_data VALUES (32611, 0, 0, 0, 149, 181);
INSERT INTO public.ecdc_data VALUES (32612, 0, 0, 0.0238065, 202, 181);
INSERT INTO public.ecdc_data VALUES (32613, 0, 0, 0, 150, 181);
INSERT INTO public.ecdc_data VALUES (32614, 0, 0, 0, 151, 181);
INSERT INTO public.ecdc_data VALUES (32615, 0, 0, 0, 106, 181);
INSERT INTO public.ecdc_data VALUES (32616, 0, 0, 0, 152, 181);
INSERT INTO public.ecdc_data VALUES (32617, 0, 0, 0.00872942, 153, 181);
INSERT INTO public.ecdc_data VALUES (32618, 0, 0, 0, 66, 181);
INSERT INTO public.ecdc_data VALUES (32619, 0, 0, 0, 110, 181);
INSERT INTO public.ecdc_data VALUES (32620, 0, 1, 0.01069203, 68, 181);
INSERT INTO public.ecdc_data VALUES (32621, 0, 0, 0, 214, 181);
INSERT INTO public.ecdc_data VALUES (32622, 143, 2538, 3.81856763, 111, 181);
INSERT INTO public.ecdc_data VALUES (32623, 0, 0, 0, 156, 181);
INSERT INTO public.ecdc_data VALUES (32624, 0, 0, 0, 158, 181);
INSERT INTO public.ecdc_data VALUES (32625, 0, 0, 0, 159, 181);
INSERT INTO public.ecdc_data VALUES (32626, 0, 0, 0, 76, 181);
INSERT INTO public.ecdc_data VALUES (32627, 0, 0, 0, 77, 181);
INSERT INTO public.ecdc_data VALUES (32628, 0, 1, 0.00099613, 16, 181);
INSERT INTO public.ecdc_data VALUES (32629, 0, 0, 0, 160, 181);
INSERT INTO public.ecdc_data VALUES (32630, 0, 0, 0, 162, 181);
INSERT INTO public.ecdc_data VALUES (32631, 1, 0, 0.00746125, 163, 181);
INSERT INTO public.ecdc_data VALUES (32632, 0, 0, 0, 164, 181);
INSERT INTO public.ecdc_data VALUES (32633, 0, 0, 0.00963632, 165, 181);
INSERT INTO public.ecdc_data VALUES (32634, 0, 0, 0, 167, 181);
INSERT INTO public.ecdc_data VALUES (32635, 0, 0, 0, 171, 181);
INSERT INTO public.ecdc_data VALUES (32636, 0, 0, 0.00014637, 112, 181);
INSERT INTO public.ecdc_data VALUES (32637, 0, 0, 0, 113, 181);
INSERT INTO public.ecdc_data VALUES (32638, 0, 0, 0, 114, 181);
INSERT INTO public.ecdc_data VALUES (32639, 0, 0, 0, 115, 181);
INSERT INTO public.ecdc_data VALUES (32640, 0, 0, 0, 172, 181);
INSERT INTO public.ecdc_data VALUES (32641, 0, 0, 0, 116, 181);
INSERT INTO public.ecdc_data VALUES (32642, 0, 0, 0, 174, 181);
INSERT INTO public.ecdc_data VALUES (32643, 0, 8, 0.01813018, 117, 181);
INSERT INTO public.ecdc_data VALUES (32644, 0, 0, 0, 120, 181);
INSERT INTO public.ecdc_data VALUES (32645, 0, 0, 0, 123, 181);
INSERT INTO public.ecdc_data VALUES (32646, 0, 0, 0, 179, 181);
INSERT INTO public.ecdc_data VALUES (32647, 0, 0, 0, 180, 181);
INSERT INTO public.ecdc_data VALUES (32648, 0, 2, 0.04068884, 124, 181);
INSERT INTO public.ecdc_data VALUES (32649, 0, 0, 0.00078385, 87, 181);
INSERT INTO public.ecdc_data VALUES (32650, 0, 0, 0, 183, 181);
INSERT INTO public.ecdc_data VALUES (32651, 0, 0, 0, 128, 181);
INSERT INTO public.ecdc_data VALUES (32652, 0, 0, 0, 185, 181);
INSERT INTO public.ecdc_data VALUES (32653, 0, 0, 0, 208, 181);
INSERT INTO public.ecdc_data VALUES (32654, 0, 0, 0, 39, 181);
INSERT INTO public.ecdc_data VALUES (32655, 0, 0, 0, 186, 181);
INSERT INTO public.ecdc_data VALUES (32656, 0, 0, 0, 187, 181);
INSERT INTO public.ecdc_data VALUES (32657, 0, 0, 0, 129, 181);
INSERT INTO public.ecdc_data VALUES (32658, 0, 0, 0, 130, 181);
INSERT INTO public.ecdc_data VALUES (32659, 0, 0, 0.00184985, 132, 181);
INSERT INTO public.ecdc_data VALUES (32660, 0, 0, 0, 133, 181);
INSERT INTO public.ecdc_data VALUES (32661, 0, 0, 0, 190, 181);
INSERT INTO public.ecdc_data VALUES (32662, 0, 0, 0, 191, 181);
INSERT INTO public.ecdc_data VALUES (32663, 0, 0, 0, 192, 181);
INSERT INTO public.ecdc_data VALUES (32664, 0, 9, 0.87865242, 135, 181);
INSERT INTO public.ecdc_data VALUES (32665, 0, 0, 0.03123455, 136, 181);
INSERT INTO public.ecdc_data VALUES (32666, 0, 0, 0.00213051, 196, 181);
INSERT INTO public.ecdc_data VALUES (32667, 0, 0, 0, 137, 181);
INSERT INTO public.ecdc_data VALUES (32668, 0, 0, 0.00977499, 197, 181);
INSERT INTO public.ecdc_data VALUES (32669, 0, 0, 0, 198, 181);
INSERT INTO public.ecdc_data VALUES (32670, 0, 0, 0.03365037, 139, 181);
INSERT INTO public.ecdc_data VALUES (32671, 0, 1, 0.02154381, 141, 181);
INSERT INTO public.ecdc_data VALUES (32672, 0, 0, 0.04093945, 143, 181);
INSERT INTO public.ecdc_data VALUES (32673, 0, 0, 0.01200352, 201, 181);
INSERT INTO public.ecdc_data VALUES (32674, 0, 0, 0.00243113, 101, 181);
INSERT INTO public.ecdc_data VALUES (32675, 0, 0, 0.01140344, 145, 181);
INSERT INTO public.ecdc_data VALUES (32676, 0, 0, 0, 105, 182);
INSERT INTO public.ecdc_data VALUES (32677, 0, 0, 0, 1, 182);
INSERT INTO public.ecdc_data VALUES (32678, 0, 0, 0, 149, 182);
INSERT INTO public.ecdc_data VALUES (32679, 0, 0, 0, 202, 182);
INSERT INTO public.ecdc_data VALUES (32680, 0, 0, 0, 150, 182);
INSERT INTO public.ecdc_data VALUES (32681, 0, 0, 0, 151, 182);
INSERT INTO public.ecdc_data VALUES (32682, 0, 0, 0, 106, 182);
INSERT INTO public.ecdc_data VALUES (32683, 0, 0, 0, 152, 182);
INSERT INTO public.ecdc_data VALUES (32684, 0, 0, 0, 153, 182);
INSERT INTO public.ecdc_data VALUES (32685, 0, 0, 0, 66, 182);
INSERT INTO public.ecdc_data VALUES (32686, 0, 0, 0, 110, 182);
INSERT INTO public.ecdc_data VALUES (32687, 0, 0, 0, 68, 182);
INSERT INTO public.ecdc_data VALUES (32688, 0, 0, 0, 214, 182);
INSERT INTO public.ecdc_data VALUES (32689, 1, 0, 0.00223186, 111, 182);
INSERT INTO public.ecdc_data VALUES (32690, 0, 0, 0, 156, 182);
INSERT INTO public.ecdc_data VALUES (32691, 0, 0, 0, 158, 182);
INSERT INTO public.ecdc_data VALUES (32692, 0, 0, 0, 159, 182);
INSERT INTO public.ecdc_data VALUES (32693, 0, 0, 0, 76, 182);
INSERT INTO public.ecdc_data VALUES (32694, 0, 0, 0, 77, 182);
INSERT INTO public.ecdc_data VALUES (32695, 0, 0, 0, 16, 182);
INSERT INTO public.ecdc_data VALUES (32696, 0, 0, 0, 160, 182);
INSERT INTO public.ecdc_data VALUES (32697, 0, 0, 0, 162, 182);
INSERT INTO public.ecdc_data VALUES (32698, 0, 0, 0, 163, 182);
INSERT INTO public.ecdc_data VALUES (32699, 0, 0, 0, 164, 182);
INSERT INTO public.ecdc_data VALUES (32700, 0, 0, 0, 165, 182);
INSERT INTO public.ecdc_data VALUES (32701, 0, 0, 0, 167, 182);
INSERT INTO public.ecdc_data VALUES (32702, 0, 0, 0, 171, 182);
INSERT INTO public.ecdc_data VALUES (32703, 0, 0, 0, 112, 182);
INSERT INTO public.ecdc_data VALUES (32704, 0, 0, 0, 113, 182);
INSERT INTO public.ecdc_data VALUES (32705, 0, 0, 0, 114, 182);
INSERT INTO public.ecdc_data VALUES (32706, 0, 0, 0, 115, 182);
INSERT INTO public.ecdc_data VALUES (32707, 0, 0, 0, 172, 182);
INSERT INTO public.ecdc_data VALUES (32708, 0, 0, 0, 116, 182);
INSERT INTO public.ecdc_data VALUES (32709, 0, 0, 0, 174, 182);
INSERT INTO public.ecdc_data VALUES (32710, 0, 1, 0.00078827, 117, 182);
INSERT INTO public.ecdc_data VALUES (32711, 0, 0, 0, 120, 182);
INSERT INTO public.ecdc_data VALUES (32712, 0, 0, 0, 123, 182);
INSERT INTO public.ecdc_data VALUES (32713, 0, 0, 0, 179, 182);
INSERT INTO public.ecdc_data VALUES (32714, 0, 0, 0, 180, 182);
INSERT INTO public.ecdc_data VALUES (32715, 0, 0, 0, 124, 182);
INSERT INTO public.ecdc_data VALUES (32716, 0, 0, 0.00078385, 87, 182);
INSERT INTO public.ecdc_data VALUES (32717, 0, 0, 0, 183, 182);
INSERT INTO public.ecdc_data VALUES (32718, 0, 0, 0, 128, 182);
INSERT INTO public.ecdc_data VALUES (32719, 0, 0, 0, 185, 182);
INSERT INTO public.ecdc_data VALUES (32720, 0, 0, 0, 208, 182);
INSERT INTO public.ecdc_data VALUES (32721, 0, 0, 0, 39, 182);
INSERT INTO public.ecdc_data VALUES (32722, 0, 0, 0, 186, 182);
INSERT INTO public.ecdc_data VALUES (32723, 0, 0, 0, 187, 182);
INSERT INTO public.ecdc_data VALUES (32724, 0, 0, 0, 129, 182);
INSERT INTO public.ecdc_data VALUES (32725, 0, 0, 0, 130, 182);
INSERT INTO public.ecdc_data VALUES (32726, 0, 0, 0, 132, 182);
INSERT INTO public.ecdc_data VALUES (32727, 0, 0, 0, 133, 182);
INSERT INTO public.ecdc_data VALUES (32728, 0, 0, 0, 190, 182);
INSERT INTO public.ecdc_data VALUES (32729, 0, 0, 0, 191, 182);
INSERT INTO public.ecdc_data VALUES (32730, 0, 0, 0, 192, 182);
INSERT INTO public.ecdc_data VALUES (32731, 0, 0, 0, 135, 182);
INSERT INTO public.ecdc_data VALUES (32732, 0, 0, 0, 136, 182);
INSERT INTO public.ecdc_data VALUES (32733, 0, 0, 0, 196, 182);
INSERT INTO public.ecdc_data VALUES (32734, 0, 0, 0, 137, 182);
INSERT INTO public.ecdc_data VALUES (32735, 0, 0, 0, 197, 182);
INSERT INTO public.ecdc_data VALUES (32736, 0, 0, 0, 198, 182);
INSERT INTO public.ecdc_data VALUES (32737, 0, 0, 0, 139, 182);
INSERT INTO public.ecdc_data VALUES (32738, 0, 0, 0.00143625, 141, 182);
INSERT INTO public.ecdc_data VALUES (32739, 0, 0, 0, 143, 182);
INSERT INTO public.ecdc_data VALUES (32740, 0, 0, 0, 201, 182);
INSERT INTO public.ecdc_data VALUES (32741, 0, 0, 0, 101, 182);
INSERT INTO public.ecdc_data VALUES (32742, 0, 0, 0, 145, 182);
INSERT INTO public.ecdc_data VALUES (32743, 6, 746, 9.01377925, 105, 183);
INSERT INTO public.ecdc_data VALUES (32744, 14, 788, 380.97041427, 147, 183);
INSERT INTO public.ecdc_data VALUES (32745, 12, 464, 22.95075281, 1, 183);
INSERT INTO public.ecdc_data VALUES (32746, 1, 50, 821.77035063, 148, 183);
INSERT INTO public.ecdc_data VALUES (32747, 5, 27, 3.40923741, 2, 183);
INSERT INTO public.ecdc_data VALUES (32748, 0, 0, 40.34427111, 56, 183);
INSERT INTO public.ecdc_data VALUES (32749, 0, 0, 7.20794934, 57, 183);
INSERT INTO public.ecdc_data VALUES (32750, 98, 3558, 177.23270138, 58, 183);
INSERT INTO public.ecdc_data VALUES (32751, 17, 357, 458.39238767, 149, 183);
INSERT INTO public.ecdc_data VALUES (32752, 0, 5, 198.47615464, 59, 183);
INSERT INTO public.ecdc_data VALUES (32753, 0, 6, 0.54754952, 202, 183);
INSERT INTO public.ecdc_data VALUES (32754, 45, 3005, 472.45809946, 150, 183);
INSERT INTO public.ecdc_data VALUES (32755, 39, 4451, 574.05068752, 151, 183);
INSERT INTO public.ecdc_data VALUES (32756, 0, 15, 45.70125755, 60, 183);
INSERT INTO public.ecdc_data VALUES (32757, 0, 178, 143.55664638, 106, 183);
INSERT INTO public.ecdc_data VALUES (32758, 32, 1355, 17.25032822, 107, 183);
INSERT INTO public.ecdc_data VALUES (32759, 0, 0, 5.92291156, 61, 183);
INSERT INTO public.ecdc_data VALUES (32760, 9, 1961, 267.51910545, 152, 183);
INSERT INTO public.ecdc_data VALUES (32761, 6, 2, 268.2375194, 153, 183);
INSERT INTO public.ecdc_data VALUES (32762, 3, 122, 909.95027552, 62, 183);
INSERT INTO public.ecdc_data VALUES (32763, 0, 0, 0.98295497, 3, 183);
INSERT INTO public.ecdc_data VALUES (32764, 0, 40, 287.96314072, 63, 183);
INSERT INTO public.ecdc_data VALUES (32765, 0, 1, 5.50390909, 108, 183);
INSERT INTO public.ecdc_data VALUES (32766, 4, 120, 21.95759232, 64, 183);
INSERT INTO public.ecdc_data VALUES (32767, 0, 0, 46.18404341, 65, 183);
INSERT INTO public.ecdc_data VALUES (32768, 38, 811, 416.32863758, 154, 183);
INSERT INTO public.ecdc_data VALUES (32769, 0, 0, 108.91160883, 4, 183);
INSERT INTO public.ecdc_data VALUES (32770, 279, 21825, 278.23422805, 66, 183);
INSERT INTO public.ecdc_data VALUES (32771, 0, 0, 9.98901209, 67, 183);
INSERT INTO public.ecdc_data VALUES (32772, 0, 0, 0.46157823, 109, 183);
INSERT INTO public.ecdc_data VALUES (32773, 62, 497, 528.03991521, 155, 183);
INSERT INTO public.ecdc_data VALUES (32774, 0, 136, 5.77716586, 5, 183);
INSERT INTO public.ecdc_data VALUES (32775, 0, 1, 0.41628446, 6, 183);
INSERT INTO public.ecdc_data VALUES (32776, 0, 0, 0.21835992, 110, 183);
INSERT INTO public.ecdc_data VALUES (32777, 0, 0, 3.96500485, 7, 183);
INSERT INTO public.ecdc_data VALUES (32778, 81, 5891, 241.81365938, 68, 183);
INSERT INTO public.ecdc_data VALUES (32779, 0, 55, 151.10849262, 8, 183);
INSERT INTO public.ecdc_data VALUES (32780, 0, 0, 36.95263903, 69, 183);
INSERT INTO public.ecdc_data VALUES (32781, 0, 0, 0.48470247, 9, 183);
INSERT INTO public.ecdc_data VALUES (32782, 0, 19, 0.55183201, 10, 183);
INSERT INTO public.ecdc_data VALUES (32783, 40, 2138, 113.38624058, 70, 183);
INSERT INTO public.ecdc_data VALUES (32784, 0, 12, 0.01443732, 111, 183);
INSERT INTO public.ecdc_data VALUES (32785, 187, 8702, 233.21275128, 71, 183);
INSERT INTO public.ecdc_data VALUES (32786, 0, 0, 1.99790572, 11, 183);
INSERT INTO public.ecdc_data VALUES (32787, 0, 0, 5.11104536, 12, 183);
INSERT INTO public.ecdc_data VALUES (32788, 0, 0, 274.46919413, 72, 183);
INSERT INTO public.ecdc_data VALUES (32789, 0, 41, 1.43876197, 13, 183);
INSERT INTO public.ecdc_data VALUES (32790, 78, 3363, 1208.80830058, 156, 183);
INSERT INTO public.ecdc_data VALUES (32791, 0, 69, 10.49986041, 73, 183);
INSERT INTO public.ecdc_data VALUES (32792, 1, 48, 771.00530525, 74, 183);
INSERT INTO public.ecdc_data VALUES (32793, 1, 301, 538.64657911, 157, 183);
INSERT INTO public.ecdc_data VALUES (32794, 74, 2000, 576.12349528, 158, 183);
INSERT INTO public.ecdc_data VALUES (32795, 4, 52, 2.08663227, 14, 183);
INSERT INTO public.ecdc_data VALUES (32796, 6, 2642, 523.69231501, 159, 183);
INSERT INTO public.ecdc_data VALUES (32797, 0, 3, 5.23852224, 15, 183);
INSERT INTO public.ecdc_data VALUES (32798, 0, 0, 2.78520499, 75, 183);
INSERT INTO public.ecdc_data VALUES (32799, 1, 1107, 104.47010822, 76, 183);
INSERT INTO public.ecdc_data VALUES (32800, 1, 586, 57.51811493, 77, 183);
INSERT INTO public.ecdc_data VALUES (32801, 22, 486, 6.01067402, 16, 183);
INSERT INTO public.ecdc_data VALUES (32802, 5, 486, 53.84633264, 78, 183);
INSERT INTO public.ecdc_data VALUES (32803, 0, 0, 2.35991333, 17, 183);
INSERT INTO public.ecdc_data VALUES (32804, 0, 0, 3.83172768, 18, 183);
INSERT INTO public.ecdc_data VALUES (32805, 1, 342, 453.11815945, 160, 183);
INSERT INTO public.ecdc_data VALUES (32806, 0, 54, 31.18105655, 19, 183);
INSERT INTO public.ecdc_data VALUES (32807, 3, 472, 6.45528388, 20, 183);
INSERT INTO public.ecdc_data VALUES (32808, 0, 0, 59.31198102, 79, 183);
INSERT INTO public.ecdc_data VALUES (32809, 0, 3, 53.41331635, 161, 183);
INSERT INTO public.ecdc_data VALUES (32810, 0, 2, 0.44946093, 203, 183);
INSERT INTO public.ecdc_data VALUES (32811, 0, 360, 112.01686723, 162, 183);
INSERT INTO public.ecdc_data VALUES (32812, 150, 11533, 236.32620014, 163, 183);
INSERT INTO public.ecdc_data VALUES (32813, 0, 0, 544.9630306, 204, 183);
INSERT INTO public.ecdc_data VALUES (32814, 0, 0, 6.3979291, 21, 183);
INSERT INTO public.ecdc_data VALUES (32815, 0, 2, 2.04455773, 22, 183);
INSERT INTO public.ecdc_data VALUES (32816, 49, 1337, 1388.09866587, 164, 183);
INSERT INTO public.ecdc_data VALUES (32817, 188, 16362, 341.13669567, 165, 183);
INSERT INTO public.ecdc_data VALUES (32818, 0, 81, 4.75049887, 23, 183);
INSERT INTO public.ecdc_data VALUES (32819, 0, 3, 180.97668071, 166, 183);
INSERT INTO public.ecdc_data VALUES (32820, 85, 692, 189.34973699, 167, 183);
INSERT INTO public.ecdc_data VALUES (32821, 0, 0, 1.76491352, 80, 183);
INSERT INTO public.ecdc_data VALUES (32822, 0, 26, 24.99955358, 81, 183);
INSERT INTO public.ecdc_data VALUES (32823, 1, 16, 172.15099076, 205, 183);
INSERT INTO public.ecdc_data VALUES (32824, 18, 183, 41.5835394, 82, 183);
INSERT INTO public.ecdc_data VALUES (32825, 0, 0, 4.65347149, 168, 183);
INSERT INTO public.ecdc_data VALUES (32826, 0, 0, 2.98326412, 24, 183);
INSERT INTO public.ecdc_data VALUES (32827, 0, 0, 1.14528634, 25, 183);
INSERT INTO public.ecdc_data VALUES (32828, 1, 41, 69.49634314, 83, 183);
INSERT INTO public.ecdc_data VALUES (32829, 1, 74, 2.67244863, 84, 183);
INSERT INTO public.ecdc_data VALUES (32830, 0, 0, 0, 169, 183);
INSERT INTO public.ecdc_data VALUES (32831, 1, 316, 66.3956869, 85, 183);
INSERT INTO public.ecdc_data VALUES (32832, 165, 3470, 683.00078299, 170, 183);
INSERT INTO public.ecdc_data VALUES (32833, 0, 5, 49.30096277, 171, 183);
INSERT INTO public.ecdc_data VALUES (32834, 336, 27071, 33.10912772, 112, 183);
INSERT INTO public.ecdc_data VALUES (32835, 166, 6189, 30.87439259, 113, 183);
INSERT INTO public.ecdc_data VALUES (32836, 247, 7451, 192.39236541, 114, 183);
INSERT INTO public.ecdc_data VALUES (32837, 14, 1012, 61.55973007, 115, 183);
INSERT INTO public.ecdc_data VALUES (32838, 1, 429, 80.42020782, 172, 183);
INSERT INTO public.ecdc_data VALUES (32839, 0, 0, 1.18218681, 173, 183);
INSERT INTO public.ecdc_data VALUES (32840, 16, 1844, 256.81467404, 116, 183);
INSERT INTO public.ecdc_data VALUES (32841, 484, 17937, 428.32330117, 174, 183);
INSERT INTO public.ecdc_data VALUES (32842, 2, 102, 33.95203368, 86, 183);
INSERT INTO public.ecdc_data VALUES (32843, 23, 2366, 25.92852158, 117, 183);
INSERT INTO public.ecdc_data VALUES (32844, 0, 91, 789.45415414, 175, 183);
INSERT INTO public.ecdc_data VALUES (32845, 30, 2339, 448.50880006, 118, 183);
INSERT INTO public.ecdc_data VALUES (32846, 0, 764, 67.22393554, 119, 183);
INSERT INTO public.ecdc_data VALUES (32847, 1, 366, 16.31225584, 26, 183);
INSERT INTO public.ecdc_data VALUES (32848, 12, 462, 418.29162649, 176, 183);
INSERT INTO public.ecdc_data VALUES (32849, 0, 174, 90.13383877, 120, 183);
INSERT INTO public.ecdc_data VALUES (32850, 5, 318, 75.85899361, 121, 183);
INSERT INTO public.ecdc_data VALUES (32851, 0, 0, 0.02789612, 122, 183);
INSERT INTO public.ecdc_data VALUES (32852, 25, 629, 453.13255221, 177, 183);
INSERT INTO public.ecdc_data VALUES (32853, 10, 1275, 285.54304157, 123, 183);
INSERT INTO public.ecdc_data VALUES (32854, 0, 0, 6.63446052, 27, 183);
INSERT INTO public.ecdc_data VALUES (32855, 0, 0, 1.64054819, 28, 183);
INSERT INTO public.ecdc_data VALUES (32856, 21, 899, 123.18787013, 29, 183);
INSERT INTO public.ecdc_data VALUES (32857, 0, 12, 627.96393767, 178, 183);
INSERT INTO public.ecdc_data VALUES (32858, 10, 1920, 1205.93346752, 179, 183);
INSERT INTO public.ecdc_data VALUES (32859, 4, 517, 1188.96747647, 180, 183);
INSERT INTO public.ecdc_data VALUES (32860, 0, 0, 1.10125192, 30, 183);
INSERT INTO public.ecdc_data VALUES (32861, 1, 3, 0.22008993, 31, 183);
INSERT INTO public.ecdc_data VALUES (32862, 4, 1229, 59.43701224, 124, 183);
INSERT INTO public.ecdc_data VALUES (32863, 0, 20, 70.4388491, 125, 183);
INSERT INTO public.ecdc_data VALUES (32864, 5, 93, 5.87546367, 32, 183);
INSERT INTO public.ecdc_data VALUES (32865, 0, 0, 273.32092009, 181, 183);
INSERT INTO public.ecdc_data VALUES (32866, 0, 0, 0, 206, 183);
INSERT INTO public.ecdc_data VALUES (32867, 0, 0, 49.29626325, 33, 183);
INSERT INTO public.ecdc_data VALUES (32868, 0, 0, 1.10264872, 34, 183);
INSERT INTO public.ecdc_data VALUES (32869, 249, 8608, 112.06929818, 87, 183);
INSERT INTO public.ecdc_data VALUES (32870, 25, 795, 482.30906858, 182, 183);
INSERT INTO public.ecdc_data VALUES (32871, 0, 0, 181.35106544, 183, 183);
INSERT INTO public.ecdc_data VALUES (32872, 0, 5, 3.75174487, 126, 183);
INSERT INTO public.ecdc_data VALUES (32873, 4, 478, 1051.9430006, 184, 183);
INSERT INTO public.ecdc_data VALUES (32874, 0, 0, 0, 88, 183);
INSERT INTO public.ecdc_data VALUES (32875, 35, 2012, 125.59304093, 35, 183);
INSERT INTO public.ecdc_data VALUES (32876, 2, 142, 4.41611704, 36, 183);
INSERT INTO public.ecdc_data VALUES (32877, 23, 1127, 34.88917156, 127, 183);
INSERT INTO public.ecdc_data VALUES (32878, 0, 267, 87.83238806, 37, 183);
INSERT INTO public.ecdc_data VALUES (32879, 9, 830, 57.48248392, 128, 183);
INSERT INTO public.ecdc_data VALUES (32880, 29, 9868, 546.6503238, 185, 183);
INSERT INTO public.ecdc_data VALUES (32881, 0, 0, 1.41464225, 207, 183);
INSERT INTO public.ecdc_data VALUES (32882, 0, 0, 0.83628437, 208, 183);
INSERT INTO public.ecdc_data VALUES (32883, 0, 0, 1.57359946, 89, 183);
INSERT INTO public.ecdc_data VALUES (32884, 0, 59, 3.183085, 38, 183);
INSERT INTO public.ecdc_data VALUES (32885, 3, 418, 2.86768346, 39, 183);
INSERT INTO public.ecdc_data VALUES (32886, 25, 613, 582.29327746, 186, 183);
INSERT INTO public.ecdc_data VALUES (32887, 0, 0, 12.23498156, 209, 183);
INSERT INTO public.ecdc_data VALUES (32888, 0, 0, 99.00131601, 187, 183);
INSERT INTO public.ecdc_data VALUES (32889, 8, 571, 55.39707401, 129, 183);
INSERT INTO public.ecdc_data VALUES (32890, 36, 2362, 19.74600577, 130, 183);
INSERT INTO public.ecdc_data VALUES (32891, 17, 1639, 559.45872484, 131, 183);
INSERT INTO public.ecdc_data VALUES (32892, 25, 2422, 665.92251392, 90, 183);
INSERT INTO public.ecdc_data VALUES (32893, 0, 5, 0.79761908, 210, 183);
INSERT INTO public.ecdc_data VALUES (32894, 16, 669, 165.74305653, 91, 183);
INSERT INTO public.ecdc_data VALUES (32895, 68, 1928, 69.03316231, 92, 183);
INSERT INTO public.ecdc_data VALUES (32896, 3, 1069, 18.06937697, 132, 183);
INSERT INTO public.ecdc_data VALUES (32897, 188, 8976, 396.60217948, 188, 183);
INSERT INTO public.ecdc_data VALUES (32898, 98, 4044, 524.9295561, 189, 183);
INSERT INTO public.ecdc_data VALUES (32899, 6, 1104, 564.63412472, 93, 183);
INSERT INTO public.ecdc_data VALUES (32900, 0, 0, 81.67168125, 133, 183);
INSERT INTO public.ecdc_data VALUES (32901, 121, 4435, 436.78273171, 190, 183);
INSERT INTO public.ecdc_data VALUES (32902, 488, 28080, 263.66356427, 191, 183);
INSERT INTO public.ecdc_data VALUES (32903, 0, 131, 5.86048652, 40, 183);
INSERT INTO public.ecdc_data VALUES (32904, 0, 0, 9.46360298, 94, 183);
INSERT INTO public.ecdc_data VALUES (32905, 0, 1, 9.84709647, 95, 183);
INSERT INTO public.ecdc_data VALUES (32906, 0, 4, 11.75481269, 96, 183);
INSERT INTO public.ecdc_data VALUES (32907, 0, 15, 1047.80425507, 192, 183);
INSERT INTO public.ecdc_data VALUES (32908, 0, 0, 9.30024925, 41, 183);
INSERT INTO public.ecdc_data VALUES (32909, 12, 139, 8.05403699, 134, 183);
INSERT INTO public.ecdc_data VALUES (32910, 0, 78, 6.1363389, 42, 183);
INSERT INTO public.ecdc_data VALUES (32911, 56, 4995, 1396.05535167, 193, 183);
INSERT INTO public.ecdc_data VALUES (32912, 0, 0, 14.32356943, 43, 183);
INSERT INTO public.ecdc_data VALUES (32913, 0, 0, 0.37116641, 44, 183);
INSERT INTO public.ecdc_data VALUES (32914, 0, 7, 1.84344723, 135, 183);
INSERT INTO public.ecdc_data VALUES (32915, 0, 0, 391.61103116, 97, 183);
INSERT INTO public.ecdc_data VALUES (32916, 53, 5897, 499.97972634, 194, 183);
INSERT INTO public.ecdc_data VALUES (32917, 11, 833, 1005.95509268, 195, 183);
INSERT INTO public.ecdc_data VALUES (32918, 0, 0, 0, 211, 183);
INSERT INTO public.ecdc_data VALUES (32919, 0, 0, 0.86771233, 45, 183);
INSERT INTO public.ecdc_data VALUES (32920, 170, 7999, 125.10957676, 46, 183);
INSERT INTO public.ecdc_data VALUES (32921, 7, 718, 18.12189718, 136, 183);
INSERT INTO public.ecdc_data VALUES (32922, 0, 0, 0.87686675, 47, 183);
INSERT INTO public.ecdc_data VALUES (32923, 3, 655, 43.64151232, 137, 183);
INSERT INTO public.ecdc_data VALUES (32924, 3, 239, 8.77999484, 48, 183);
INSERT INTO public.ecdc_data VALUES (32925, 0, 4, 7.0523924, 98, 183);
INSERT INTO public.ecdc_data VALUES (32926, 0, 0, 738.75496875, 197, 183);
INSERT INTO public.ecdc_data VALUES (32927, 0, 0, 647.33834886, 198, 183);
INSERT INTO public.ecdc_data VALUES (32928, 12, 125, 8.01985597, 138, 183);
INSERT INTO public.ecdc_data VALUES (32929, 0, 4, 0.27340929, 139, 183);
INSERT INTO public.ecdc_data VALUES (32930, 0, 38, 5.88991144, 140, 183);
INSERT INTO public.ecdc_data VALUES (32931, 0, 28, 0.37342597, 141, 183);
INSERT INTO public.ecdc_data VALUES (32932, 0, 0, 0.07733234, 142, 183);
INSERT INTO public.ecdc_data VALUES (32933, 0, 30, 3.57568873, 49, 183);
INSERT INTO public.ecdc_data VALUES (32934, 0, 15, 15.6992736, 99, 183);
INSERT INTO public.ecdc_data VALUES (32935, 58, 968, 129.20359537, 50, 183);
INSERT INTO public.ecdc_data VALUES (32936, 222, 29136, 499.22026862, 199, 183);
INSERT INTO public.ecdc_data VALUES (32937, 0, 0, 54.98245798, 100, 183);
INSERT INTO public.ecdc_data VALUES (32938, 1, 461, 16.68639918, 51, 183);
INSERT INTO public.ecdc_data VALUES (32939, 249, 15627, 404.57436089, 200, 183);
INSERT INTO public.ecdc_data VALUES (32940, 8, 1194, 175.99871286, 143, 183);
INSERT INTO public.ecdc_data VALUES (32941, 144, 18447, 348.21613876, 201, 183);
INSERT INTO public.ecdc_data VALUES (32942, 0, 0, 0, 52, 183);
INSERT INTO public.ecdc_data VALUES (32943, 1340, 189723, 873.21159186, 101, 183);
INSERT INTO public.ecdc_data VALUES (32944, 0, 0, 251.48452366, 102, 183);
INSERT INTO public.ecdc_data VALUES (32945, 1, 528, 115.3180302, 103, 183);
INSERT INTO public.ecdc_data VALUES (32946, 0, 138, 6.74313025, 144, 183);
INSERT INTO public.ecdc_data VALUES (32947, 0, 0, 0, 212, 183);
INSERT INTO public.ecdc_data VALUES (32948, 5, 462, 18.01455606, 104, 183);
INSERT INTO public.ecdc_data VALUES (32949, 0, 2, 0.05598053, 145, 183);
INSERT INTO public.ecdc_data VALUES (32950, 0, 0, 0, 213, 183);
INSERT INTO public.ecdc_data VALUES (32951, 0, 0, 0, 53, 183);
INSERT INTO public.ecdc_data VALUES (32952, 0, 0, 0.02057478, 146, 183);
INSERT INTO public.ecdc_data VALUES (32953, 1, 57, 3.72878748, 54, 183);
INSERT INTO public.ecdc_data VALUES (32954, 0, 27, 8.84915086, 55, 183);
INSERT INTO public.ecdc_data VALUES (32955, 10, 66, 4.23219148, 105, 184);
INSERT INTO public.ecdc_data VALUES (32956, 7, 490, 211.95300352, 147, 184);
INSERT INTO public.ecdc_data VALUES (32957, 14, 867, 19.33428462, 1, 184);
INSERT INTO public.ecdc_data VALUES (32958, 0, 109, 1391.49612088, 148, 184);
INSERT INTO public.ecdc_data VALUES (32959, 3, 104, 8.76032618, 2, 184);
INSERT INTO public.ecdc_data VALUES (32960, 0, 0, 0, 56, 184);
INSERT INTO public.ecdc_data VALUES (32961, 1, 2, 6.17824229, 57, 184);
INSERT INTO public.ecdc_data VALUES (32962, 263, 11859, 310.84167445, 58, 184);
INSERT INTO public.ecdc_data VALUES (32963, 41, 1472, 880.47311991, 149, 184);
INSERT INTO public.ecdc_data VALUES (32964, 0, 11, 167.43486031, 59, 184);
INSERT INTO public.ecdc_data VALUES (32965, 0, 5, 0.48009777, 202, 184);
INSERT INTO public.ecdc_data VALUES (32966, 64, 8962, 1011.21204681, 150, 184);
INSERT INTO public.ecdc_data VALUES (32967, 22, 1364, 173.23334779, 151, 184);
INSERT INTO public.ecdc_data VALUES (32968, 0, 39, 133.2525431, 60, 184);
INSERT INTO public.ecdc_data VALUES (32969, 0, 157, 175.66800149, 106, 184);
INSERT INTO public.ecdc_data VALUES (32970, 19, 1767, 13.86171756, 107, 184);
INSERT INTO public.ecdc_data VALUES (32971, 0, 0, 4.52928531, 61, 184);
INSERT INTO public.ecdc_data VALUES (32972, 6, 1167, 149.41164734, 152, 184);
INSERT INTO public.ecdc_data VALUES (32973, 183, 5709, 900.77979007, 153, 184);
INSERT INTO public.ecdc_data VALUES (32974, 10, 119, 320.99315744, 62, 184);
INSERT INTO public.ecdc_data VALUES (32975, 0, 0, 1.70322369, 3, 184);
INSERT INTO public.ecdc_data VALUES (32976, 0, 2, 36.7952902, 63, 184);
INSERT INTO public.ecdc_data VALUES (32977, 0, 0, 2.75195454, 108, 184);
INSERT INTO public.ecdc_data VALUES (32978, 10, 180, 12.49011778, 64, 184);
INSERT INTO public.ecdc_data VALUES (32979, 0, 0, 7.69734057, 65, 184);
INSERT INTO public.ecdc_data VALUES (32980, 58, 1332, 650.46994879, 154, 184);
INSERT INTO public.ecdc_data VALUES (32981, 0, 0, 68.71545507, 4, 184);
INSERT INTO public.ecdc_data VALUES (32982, 456, 29070, 139.30095714, 66, 184);
INSERT INTO public.ecdc_data VALUES (32983, 0, 0, 0, 67, 184);
INSERT INTO public.ecdc_data VALUES (32984, 0, 0, 0, 109, 184);
INSERT INTO public.ecdc_data VALUES (32985, 85, 4212, 627.08222054, 155, 184);
INSERT INTO public.ecdc_data VALUES (32986, 1, 23, 0.64956209, 5, 184);
INSERT INTO public.ecdc_data VALUES (32987, 0, 1, 0.3642489, 6, 184);
INSERT INTO public.ecdc_data VALUES (32988, 0, 1, 0.07278664, 110, 184);
INSERT INTO public.ecdc_data VALUES (32989, 0, 0, 2.42692305, 7, 184);
INSERT INTO public.ecdc_data VALUES (32990, 60, 4741, 147.86812384, 68, 184);
INSERT INTO public.ecdc_data VALUES (32991, 0, 47, 190.38579035, 8, 184);
INSERT INTO public.ecdc_data VALUES (32992, 0, 1, 21.5557061, 69, 184);
INSERT INTO public.ecdc_data VALUES (32993, 0, 0, 0.46362845, 9, 184);
INSERT INTO public.ecdc_data VALUES (32994, 1, 24, 0.66470674, 10, 184);
INSERT INTO public.ecdc_data VALUES (32995, 39, 1592, 102.67498978, 70, 184);
INSERT INTO public.ecdc_data VALUES (32996, 0, 15, 0.02224882, 111, 184);
INSERT INTO public.ecdc_data VALUES (32997, 178, 8685, 237.479783, 71, 184);
INSERT INTO public.ecdc_data VALUES (32998, 0, 0, 4.34838305, 11, 184);
INSERT INTO public.ecdc_data VALUES (32999, 0, 0, 1.65412013, 12, 184);
INSERT INTO public.ecdc_data VALUES (33000, 10, 1184, 262.64169962, 72, 184);
INSERT INTO public.ecdc_data VALUES (33001, 0, 17, 0.804929, 13, 184);
INSERT INTO public.ecdc_data VALUES (33002, 43, 3056, 795.60948971, 156, 184);
INSERT INTO public.ecdc_data VALUES (33003, 0, 54, 6.52932496, 73, 184);
INSERT INTO public.ecdc_data VALUES (33004, 0, 46, 193.97514426, 74, 184);
INSERT INTO public.ecdc_data VALUES (33005, 4, 207, 300.94794034, 157, 184);
INSERT INTO public.ecdc_data VALUES (33006, 171, 7355, 1224.03237619, 158, 184);
INSERT INTO public.ecdc_data VALUES (33007, 0, 0, 0.44474879, 14, 184);
INSERT INTO public.ecdc_data VALUES (33008, 1, 1037, 254.47457588, 159, 184);
INSERT INTO public.ecdc_data VALUES (33009, 0, 3, 8.73087041, 15, 184);
INSERT INTO public.ecdc_data VALUES (33010, 0, 0, 36.20766488, 75, 184);
INSERT INTO public.ecdc_data VALUES (33011, 6, 918, 57.93858752, 76, 184);
INSERT INTO public.ecdc_data VALUES (33012, 31, 1161, 66.34757438, 77, 184);
INSERT INTO public.ecdc_data VALUES (33013, 12, 224, 2.93162307, 16, 184);
INSERT INTO public.ecdc_data VALUES (33014, 6, 165, 42.61220569, 78, 184);
INSERT INTO public.ecdc_data VALUES (33015, 0, 0, 1.17995667, 17, 184);
INSERT INTO public.ecdc_data VALUES (33016, 0, 2, 0.91503945, 18, 184);
INSERT INTO public.ecdc_data VALUES (33017, 4, 267, 179.42060053, 160, 184);
INSERT INTO public.ecdc_data VALUES (33018, 1, 16, 14.5453532, 19, 184);
INSERT INTO public.ecdc_data VALUES (33019, 4, 509, 5.3248285, 20, 184);
INSERT INTO public.ecdc_data VALUES (33020, 0, 0, 59.31198102, 79, 184);
INSERT INTO public.ecdc_data VALUES (33021, 0, 0, 6.16307496, 161, 184);
INSERT INTO public.ecdc_data VALUES (33022, 0, 0, 0.11236523, 203, 184);
INSERT INTO public.ecdc_data VALUES (33023, 4, 316, 53.42593829, 162, 184);
INSERT INTO public.ecdc_data VALUES (33024, 932, 23794, 881.20369333, 163, 184);
INSERT INTO public.ecdc_data VALUES (33025, 0, 169, 1512.07547845, 204, 184);
INSERT INTO public.ecdc_data VALUES (33026, 1, 14, 4.32665709, 21, 184);
INSERT INTO public.ecdc_data VALUES (33027, 0, 1, 1.19265867, 22, 184);
INSERT INTO public.ecdc_data VALUES (33028, 33, 3504, 943.81401745, 164, 184);
INSERT INTO public.ecdc_data VALUES (33029, 178, 22461, 306.92051971, 165, 184);
INSERT INTO public.ecdc_data VALUES (33030, 0, 0, 6.45344587, 23, 184);
INSERT INTO public.ecdc_data VALUES (33031, 0, 12, 542.93004213, 166, 184);
INSERT INTO public.ecdc_data VALUES (33032, 38, 3038, 302.84582202, 167, 184);
INSERT INTO public.ecdc_data VALUES (33033, 0, 0, 0, 80, 184);
INSERT INTO public.ecdc_data VALUES (33034, 0, 0, 3.5713648, 81, 184);
INSERT INTO public.ecdc_data VALUES (33035, 1, 74, 742.99889417, 205, 184);
INSERT INTO public.ecdc_data VALUES (33036, 22, 580, 38.58606638, 82, 184);
INSERT INTO public.ecdc_data VALUES (33037, 0, 0, 23.26735745, 168, 184);
INSERT INTO public.ecdc_data VALUES (33038, 0, 0, 3.64099165, 24, 184);
INSERT INTO public.ecdc_data VALUES (33039, 1, 5, 0.83293552, 25, 184);
INSERT INTO public.ecdc_data VALUES (33040, 0, 62, 74.22311648, 83, 184);
INSERT INTO public.ecdc_data VALUES (33041, 0, 16, 1.01215662, 84, 184);
INSERT INTO public.ecdc_data VALUES (33042, 0, 0, 0, 169, 184);
INSERT INTO public.ecdc_data VALUES (33043, 16, 611, 53.2622486, 85, 184);
INSERT INTO public.ecdc_data VALUES (33044, 107, 4836, 628.29768798, 170, 184);
INSERT INTO public.ecdc_data VALUES (33045, 0, 10, 104.48442678, 171, 184);
INSERT INTO public.ecdc_data VALUES (33046, 520, 44684, 46.57140887, 112, 184);
INSERT INTO public.ecdc_data VALUES (33047, 104, 5444, 18.76762812, 113, 184);
INSERT INTO public.ecdc_data VALUES (33048, 461, 11737, 160.85362196, 114, 184);
INSERT INTO public.ecdc_data VALUES (33049, 48, 2690, 111.58289351, 115, 184);
INSERT INTO public.ecdc_data VALUES (33050, 7, 467, 123.15873611, 172, 184);
INSERT INTO public.ecdc_data VALUES (33051, 0, 0, 11.82186809, 173, 184);
INSERT INTO public.ecdc_data VALUES (33052, 10, 536, 105.57114943, 116, 184);
INSERT INTO public.ecdc_data VALUES (33053, 550, 40902, 761.48518413, 174, 184);
INSERT INTO public.ecdc_data VALUES (33054, 2, 89, 24.35320697, 86, 184);
INSERT INTO public.ecdc_data VALUES (33055, 13, 1685, 11.50162826, 117, 184);
INSERT INTO public.ecdc_data VALUES (33056, 0, 11, 146.5731567, 175, 184);
INSERT INTO public.ecdc_data VALUES (33057, 71, 4469, 665.71982905, 118, 184);
INSERT INTO public.ecdc_data VALUES (33058, 1, 903, 54.21146016, 119, 184);
INSERT INTO public.ecdc_data VALUES (33059, 25, 1470, 27.38237349, 26, 184);
INSERT INTO public.ecdc_data VALUES (33060, 14, 963, 473.89333147, 176, 184);
INSERT INTO public.ecdc_data VALUES (33061, 3, 718, 245.1345673, 120, 184);
INSERT INTO public.ecdc_data VALUES (33062, 1, 499, 110.27375792, 121, 184);
INSERT INTO public.ecdc_data VALUES (33063, 0, 0, 0, 122, 184);
INSERT INTO public.ecdc_data VALUES (33064, 9, 455, 216.51402523, 177, 184);
INSERT INTO public.ecdc_data VALUES (33065, 21, 1904, 336.62455626, 123, 184);
INSERT INTO public.ecdc_data VALUES (33066, 0, 15, 4.42297368, 27, 184);
INSERT INTO public.ecdc_data VALUES (33067, 0, 23, 1.31648929, 28, 184);
INSERT INTO public.ecdc_data VALUES (33068, 10, 824, 177.05766458, 29, 184);
INSERT INTO public.ecdc_data VALUES (33069, 0, 24, 1110.01094377, 178, 184);
INSERT INTO public.ecdc_data VALUES (33070, 9, 2066, 646.16360268, 179, 184);
INSERT INTO public.ecdc_data VALUES (33071, 5, 713, 1316.839715, 180, 184);
INSERT INTO public.ecdc_data VALUES (33072, 0, 10, 0.98259851, 30, 184);
INSERT INTO public.ecdc_data VALUES (33073, 0, 4, 0.20935383, 31, 184);
INSERT INTO public.ecdc_data VALUES (33074, 1, 1304, 44.43221832, 124, 184);
INSERT INTO public.ecdc_data VALUES (33075, 0, 27, 88.33107012, 125, 184);
INSERT INTO public.ecdc_data VALUES (33076, 0, 39, 1.25648444, 32, 184);
INSERT INTO public.ecdc_data VALUES (33077, 4, 121, 379.6911818, 181, 184);
INSERT INTO public.ecdc_data VALUES (33078, 0, 0, 0, 206, 184);
INSERT INTO public.ecdc_data VALUES (33079, 0, 0, 4.59597613, 33, 184);
INSERT INTO public.ecdc_data VALUES (33080, 0, 2, 2.28405806, 34, 184);
INSERT INTO public.ecdc_data VALUES (33081, 568, 5558, 61.5964524, 87, 184);
INSERT INTO public.ecdc_data VALUES (33082, 18, 1323, 300.74756545, 182, 184);
INSERT INTO public.ecdc_data VALUES (33083, 0, 8, 559.1657851, 183, 184);
INSERT INTO public.ecdc_data VALUES (33084, 0, 4, 2.17043092, 126, 184);
INSERT INTO public.ecdc_data VALUES (33085, 13, 600, 1292.70856438, 184, 184);
INSERT INTO public.ecdc_data VALUES (33086, 0, 0, 0, 88, 184);
INSERT INTO public.ecdc_data VALUES (33087, 61, 5515, 183.81890255, 35, 184);
INSERT INTO public.ecdc_data VALUES (33088, 6, 133, 4.77507063, 36, 184);
INSERT INTO public.ecdc_data VALUES (33089, 26, 1136, 28.19480251, 127, 184);
INSERT INTO public.ecdc_data VALUES (33090, 3, 27, 18.64083088, 37, 184);
INSERT INTO public.ecdc_data VALUES (33091, 13, 2111, 133.23911962, 128, 184);
INSERT INTO public.ecdc_data VALUES (33092, 53, 6086, 549.98902626, 185, 184);
INSERT INTO public.ecdc_data VALUES (33093, 0, 0, 0.70732113, 207, 184);
INSERT INTO public.ecdc_data VALUES (33094, 0, 3, 0.85719148, 208, 184);
INSERT INTO public.ecdc_data VALUES (33095, 0, 0, 2.24581671, 89, 184);
INSERT INTO public.ecdc_data VALUES (33096, 0, 7, 0.29600117, 38, 184);
INSERT INTO public.ecdc_data VALUES (33097, 1, 156, 1.09124238, 39, 184);
INSERT INTO public.ecdc_data VALUES (33098, 25, 1063, 695.67076142, 186, 184);
INSERT INTO public.ecdc_data VALUES (33099, 0, 0, 13.98283607, 209, 184);
INSERT INTO public.ecdc_data VALUES (33100, 3, 723, 143.81935253, 187, 184);
INSERT INTO public.ecdc_data VALUES (33101, 0, 0, 100.66347845, 129, 184);
INSERT INTO public.ecdc_data VALUES (33102, 17, 2165, 9.91294465, 130, 184);
INSERT INTO public.ecdc_data VALUES (33103, 6, 730, 179.76794578, 131, 184);
INSERT INTO public.ecdc_data VALUES (33104, 26, 1125, 273.40548789, 90, 184);
INSERT INTO public.ecdc_data VALUES (33105, 0, 1, 0.12534014, 210, 184);
INSERT INTO public.ecdc_data VALUES (33106, 13, 739, 110.66571332, 91, 184);
INSERT INTO public.ecdc_data VALUES (33107, 39, 2413, 99.8755416, 92, 184);
INSERT INTO public.ecdc_data VALUES (33108, 31, 1893, 23.84462215, 132, 184);
INSERT INTO public.ecdc_data VALUES (33109, 419, 24051, 855.11971039, 188, 184);
INSERT INTO public.ecdc_data VALUES (33110, 69, 6653, 655.78001009, 189, 184);
INSERT INTO public.ecdc_data VALUES (33111, 5, 812, 349.32112999, 93, 184);
INSERT INTO public.ecdc_data VALUES (33112, 0, 235, 106.77698405, 133, 184);
INSERT INTO public.ecdc_data VALUES (33113, 174, 9489, 557.00241542, 190, 184);
INSERT INTO public.ecdc_data VALUES (33114, 411, 21983, 192.34294444, 191, 184);
INSERT INTO public.ecdc_data VALUES (33115, 1, 43, 1.80566342, 40, 184);
INSERT INTO public.ecdc_data VALUES (33116, 0, 0, 0, 94, 184);
INSERT INTO public.ecdc_data VALUES (33117, 0, 4, 44.85899505, 95, 184);
INSERT INTO public.ecdc_data VALUES (33118, 0, 1, 3.61686544, 96, 184);
INSERT INTO public.ecdc_data VALUES (33119, 0, 63, 943.31408005, 192, 184);
INSERT INTO public.ecdc_data VALUES (33120, 0, 0, 8.37022432, 41, 184);
INSERT INTO public.ecdc_data VALUES (33121, 20, 441, 16.69461797, 134, 184);
INSERT INTO public.ecdc_data VALUES (33122, 0, 11, 0.92045083, 42, 184);
INSERT INTO public.ecdc_data VALUES (33123, 17, 3499, 461.34532991, 193, 184);
INSERT INTO public.ecdc_data VALUES (33124, 0, 0, 5.11556051, 43, 184);
INSERT INTO public.ecdc_data VALUES (33125, 0, 2, 0.3071722, 44, 184);
INSERT INTO public.ecdc_data VALUES (33126, 0, 12, 1.91236114, 135, 184);
INSERT INTO public.ecdc_data VALUES (33127, 1, 9, 278.37410649, 97, 184);
INSERT INTO public.ecdc_data VALUES (33128, 27, 2024, 526.65656469, 194, 184);
INSERT INTO public.ecdc_data VALUES (33129, 44, 1515, 955.11190307, 195, 184);
INSERT INTO public.ecdc_data VALUES (33130, 0, 0, 1.19434894, 211, 184);
INSERT INTO public.ecdc_data VALUES (33131, 0, 0, 2.33116746, 45, 184);
INSERT INTO public.ecdc_data VALUES (33132, 77, 2213, 39.72624395, 46, 184);
INSERT INTO public.ecdc_data VALUES (33133, 4, 205, 3.56659551, 136, 184);
INSERT INTO public.ecdc_data VALUES (33134, 0, 20, 0.69606949, 47, 184);
INSERT INTO public.ecdc_data VALUES (33135, 0, 0, 581.44459836, 196, 184);
INSERT INTO public.ecdc_data VALUES (33136, 5, 468, 27.0449819, 137, 184);
INSERT INTO public.ecdc_data VALUES (33137, 0, 0, 1.48552187, 48, 184);
INSERT INTO public.ecdc_data VALUES (33138, 0, 7, 11.52464123, 98, 184);
INSERT INTO public.ecdc_data VALUES (33139, 32, 6731, 520.44024619, 197, 184);
INSERT INTO public.ecdc_data VALUES (33140, 93, 6715, 1199.10674985, 198, 184);
INSERT INTO public.ecdc_data VALUES (33141, 4, 66, 5.09076321, 138, 184);
INSERT INTO public.ecdc_data VALUES (33142, 0, 3, 0.18928336, 139, 184);
INSERT INTO public.ecdc_data VALUES (33143, 1, 38, 5.97573893, 140, 184);
INSERT INTO public.ecdc_data VALUES (33144, 0, 5, 0.12351782, 141, 184);
INSERT INTO public.ecdc_data VALUES (33145, 0, 0, 0, 142, 184);
INSERT INTO public.ecdc_data VALUES (33146, 0, 22, 3.89737699, 49, 184);
INSERT INTO public.ecdc_data VALUES (33147, 0, 50, 22.36608842, 99, 184);
INSERT INTO public.ecdc_data VALUES (33148, 58, 1562, 152.67572437, 50, 184);
INSERT INTO public.ecdc_data VALUES (33149, 93, 3045, 42.41872354, 199, 184);
INSERT INTO public.ecdc_data VALUES (33150, 0, 0, 34.0367597, 100, 184);
INSERT INTO public.ecdc_data VALUES (33151, 1, 185, 6.75859027, 51, 184);
INSERT INTO public.ecdc_data VALUES (33152, 172, 11787, 304.41443551, 200, 184);
INSERT INTO public.ecdc_data VALUES (33153, 5, 1226, 168.39420928, 143, 184);
INSERT INTO public.ecdc_data VALUES (33154, 376, 27301, 491.7707462, 201, 184);
INSERT INTO public.ecdc_data VALUES (33155, 0, 0, 0, 52, 184);
INSERT INTO public.ecdc_data VALUES (33156, 1915, 184813, 514.24108514, 101, 184);
INSERT INTO public.ecdc_data VALUES (33157, 0, 0, 45.89831611, 102, 184);
INSERT INTO public.ecdc_data VALUES (33158, 1, 88, 23.13871297, 103, 184);
INSERT INTO public.ecdc_data VALUES (33159, 1, 63, 9.25361219, 144, 184);
INSERT INTO public.ecdc_data VALUES (33160, 0, 0, 0, 212, 184);
INSERT INTO public.ecdc_data VALUES (33161, 0, 0, 15.95955706, 104, 184);
INSERT INTO public.ecdc_data VALUES (33162, 0, 3, 0.08189744, 145, 184);
INSERT INTO public.ecdc_data VALUES (33163, 0, 0, 0, 213, 184);
INSERT INTO public.ecdc_data VALUES (33164, 0, 0, 0, 53, 184);
INSERT INTO public.ecdc_data VALUES (33165, 0, 0, 0.01714565, 146, 184);
INSERT INTO public.ecdc_data VALUES (33166, 0, 57, 3.79597284, 54, 184);
INSERT INTO public.ecdc_data VALUES (33167, 2, 69, 2.75170355, 55, 184);
INSERT INTO public.ecdc_data VALUES (33168, 0, 66, 1.94523087, 105, 185);
INSERT INTO public.ecdc_data VALUES (33169, 5, 182, 78.04565846, 147, 185);
INSERT INTO public.ecdc_data VALUES (33170, 9, 174, 4.71743538, 1, 185);
INSERT INTO public.ecdc_data VALUES (33171, 0, 0, 1350.801423, 148, 185);
INSERT INTO public.ecdc_data VALUES (33172, 1, 122, 4.97403025, 2, 185);
INSERT INTO public.ecdc_data VALUES (33173, 0, 0, 0, 56, 185);
INSERT INTO public.ecdc_data VALUES (33174, 0, 0, 10.29707048, 57, 185);
INSERT INTO public.ecdc_data VALUES (33175, 386, 13305, 402.91040722, 58, 185);
INSERT INTO public.ecdc_data VALUES (33176, 7, 1058, 294.92231875, 149, 185);
INSERT INTO public.ecdc_data VALUES (33177, 0, 32, 277.49035839, 59, 185);
INSERT INTO public.ecdc_data VALUES (33178, 1, 31, 1.00780853, 202, 185);
INSERT INTO public.ecdc_data VALUES (33179, 10, 1171, 148.49682941, 150, 185);
INSERT INTO public.ecdc_data VALUES (33180, 3, 277, 22.51257226, 151, 185);
INSERT INTO public.ecdc_data VALUES (33181, 0, 0, 323.50328382, 60, 185);
INSERT INTO public.ecdc_data VALUES (33182, 6, 324, 356.45432145, 106, 185);
INSERT INTO public.ecdc_data VALUES (33183, 22, 1537, 11.79543171, 107, 185);
INSERT INTO public.ecdc_data VALUES (33184, 0, 2, 6.96813125, 61, 185);
INSERT INTO public.ecdc_data VALUES (33185, 5, 526, 66.268821, 152, 185);
INSERT INTO public.ecdc_data VALUES (33186, 34, 12577, 564.49646672, 153, 185);
INSERT INTO public.ecdc_data VALUES (33187, 2, 16, 164.46736399, 62, 185);
INSERT INTO public.ecdc_data VALUES (33188, 0, 0, 0.60163623, 3, 185);
INSERT INTO public.ecdc_data VALUES (33189, 0, 1, 6.3991809, 63, 185);
INSERT INTO public.ecdc_data VALUES (33190, 0, 4, 4.19345454, 108, 185);
INSERT INTO public.ecdc_data VALUES (33191, 25, 227, 37.18372338, 64, 185);
INSERT INTO public.ecdc_data VALUES (33192, 0, 0, 169.34149251, 65, 185);
INSERT INTO public.ecdc_data VALUES (33193, 13, 339, 119.69107524, 154, 185);
INSERT INTO public.ecdc_data VALUES (33194, 0, 206, 81.04343312, 4, 185);
INSERT INTO public.ecdc_data VALUES (33195, 309, 10220, 159.25456812, 66, 185);
INSERT INTO public.ecdc_data VALUES (33196, 0, 0, 0, 67, 185);
INSERT INTO public.ecdc_data VALUES (33197, 0, 0, 0, 109, 185);
INSERT INTO public.ecdc_data VALUES (33198, 8, 785, 74.67101255, 155, 185);
INSERT INTO public.ecdc_data VALUES (33199, 0, 11, 1.3434125, 5, 185);
INSERT INTO public.ecdc_data VALUES (33200, 0, 4, 0.19946964, 6, 185);
INSERT INTO public.ecdc_data VALUES (33201, 0, 0, 0.03639332, 110, 185);
INSERT INTO public.ecdc_data VALUES (33202, 0, 130, 1.91294094, 7, 185);
INSERT INTO public.ecdc_data VALUES (33203, 27, 4042, 79.97639627, 68, 185);
INSERT INTO public.ecdc_data VALUES (33204, 2, 99, 246.21046813, 8, 185);
INSERT INTO public.ecdc_data VALUES (33205, 0, 0, 15.39693293, 69, 185);
INSERT INTO public.ecdc_data VALUES (33206, 0, 1, 0.63222062, 9, 185);
INSERT INTO public.ecdc_data VALUES (33207, 0, 13, 0.80266475, 10, 185);
INSERT INTO public.ecdc_data VALUES (33208, 17, 1392, 121.25346961, 70, 185);
INSERT INTO public.ecdc_data VALUES (33209, 0, 28, 0.02301602, 111, 185);
INSERT INTO public.ecdc_data VALUES (33210, 156, 5015, 198.76262834, 71, 185);
INSERT INTO public.ecdc_data VALUES (33211, 0, 1, 1.99790572, 11, 185);
INSERT INTO public.ecdc_data VALUES (33212, 2, 38, 1.24523651, 12, 185);
INSERT INTO public.ecdc_data VALUES (33213, 16, 1015, 309.73375062, 72, 185);
INSERT INTO public.ecdc_data VALUES (33214, 0, 28, 1.99871258, 13, 185);
INSERT INTO public.ecdc_data VALUES (33215, 3, 372, 113.16785101, 156, 185);
INSERT INTO public.ecdc_data VALUES (33216, 0, 17, 4.28817829, 73, 185);
INSERT INTO public.ecdc_data VALUES (33217, 0, 34, 152.36533413, 74, 185);
INSERT INTO public.ecdc_data VALUES (33218, 0, 0, 34.70719798, 157, 185);
INSERT INTO public.ecdc_data VALUES (33219, 55, 8326, 581.26913181, 158, 185);
INSERT INTO public.ecdc_data VALUES (33220, 0, 3, 0.27767994, 14, 185);
INSERT INTO public.ecdc_data VALUES (33221, 3, 290, 97.08786357, 159, 185);
INSERT INTO public.ecdc_data VALUES (33222, 0, 2, 1.23259347, 15, 185);
INSERT INTO public.ecdc_data VALUES (33223, 0, 0, 11.14081996, 75, 185);
INSERT INTO public.ecdc_data VALUES (33224, 4, 165, 66.18892319, 76, 185);
INSERT INTO public.ecdc_data VALUES (33225, 17, 856, 71.4990517, 77, 185);
INSERT INTO public.ecdc_data VALUES (33226, 9, 139, 1.70139729, 16, 185);
INSERT INTO public.ecdc_data VALUES (33227, 5, 284, 23.22752594, 78, 185);
INSERT INTO public.ecdc_data VALUES (33228, 0, 0, 2.6549025, 17, 185);
INSERT INTO public.ecdc_data VALUES (33229, 0, 0, 1.11520432, 18, 185);
INSERT INTO public.ecdc_data VALUES (33230, 0, 25, 44.76079769, 160, 185);
INSERT INTO public.ecdc_data VALUES (33231, 1, 13, 20.38091406, 19, 185);
INSERT INTO public.ecdc_data VALUES (33232, 4, 582, 9.93408856, 20, 185);
INSERT INTO public.ecdc_data VALUES (33233, 0, 0, 0, 79, 185);
INSERT INTO public.ecdc_data VALUES (33234, 0, 0, 28.7610165, 161, 185);
INSERT INTO public.ecdc_data VALUES (33235, 0, 0, 0, 203, 185);
INSERT INTO public.ecdc_data VALUES (33236, 0, 287, 47.2460723, 162, 185);
INSERT INTO public.ecdc_data VALUES (33237, 108, 12993, 307.07826732, 163, 185);
INSERT INTO public.ecdc_data VALUES (33238, 0, 0, 545.32108778, 204, 185);
INSERT INTO public.ecdc_data VALUES (33239, 0, 0, 4.97105282, 21, 185);
INSERT INTO public.ecdc_data VALUES (33240, 0, 0, 2.4279123, 22, 185);
INSERT INTO public.ecdc_data VALUES (33241, 9, 569, 174.51627092, 164, 185);
INSERT INTO public.ecdc_data VALUES (33242, 43, 5132, 54.64518195, 165, 185);
INSERT INTO public.ecdc_data VALUES (33243, 2, 96, 2.11717735, 23, 185);
INSERT INTO public.ecdc_data VALUES (33244, 0, 13, 320.41772978, 166, 185);
INSERT INTO public.ecdc_data VALUES (33245, 6, 408, 46.03435522, 167, 185);
INSERT INTO public.ecdc_data VALUES (33246, 0, 0, 3.52982704, 80, 185);
INSERT INTO public.ecdc_data VALUES (33247, 0, 0, 0.8928412, 81, 185);
INSERT INTO public.ecdc_data VALUES (33248, 1, 96, 491.94536597, 205, 185);
INSERT INTO public.ecdc_data VALUES (33249, 23, 554, 42.15800767, 82, 185);
INSERT INTO public.ecdc_data VALUES (33250, 0, 0, 3.10231433, 168, 185);
INSERT INTO public.ecdc_data VALUES (33251, 0, 72, 3.91504478, 24, 185);
INSERT INTO public.ecdc_data VALUES (33252, 0, 0, 3.17556667, 25, 185);
INSERT INTO public.ecdc_data VALUES (33253, 2, 44, 91.85270352, 83, 185);
INSERT INTO public.ecdc_data VALUES (33254, 0, 5, 1.24299936, 84, 185);
INSERT INTO public.ecdc_data VALUES (33255, 0, 0, 858.89570552, 169, 185);
INSERT INTO public.ecdc_data VALUES (33256, 7, 439, 89.82040536, 85, 185);
INSERT INTO public.ecdc_data VALUES (33257, 27, 920, 146.54003436, 170, 185);
INSERT INTO public.ecdc_data VALUES (33258, 0, 86, 272.55589076, 171, 185);
INSERT INTO public.ecdc_data VALUES (33259, 730, 63509, 74.18126671, 112, 185);
INSERT INTO public.ecdc_data VALUES (33260, 92, 3906, 21.39413531, 113, 185);
INSERT INTO public.ecdc_data VALUES (33261, 254, 4108, 66.03477176, 114, 185);
INSERT INTO public.ecdc_data VALUES (33262, 58, 3921, 129.91166144, 115, 185);
INSERT INTO public.ecdc_data VALUES (33263, 3, 808, 171.66778135, 172, 185);
INSERT INTO public.ecdc_data VALUES (33264, 0, 0, 7.09312085, 173, 185);
INSERT INTO public.ecdc_data VALUES (33265, 34, 2237, 708.36198861, 116, 185);
INSERT INTO public.ecdc_data VALUES (33266, 41, 5898, 86.90588892, 174, 185);
INSERT INTO public.ecdc_data VALUES (33267, 0, 97, 51.82688058, 86, 185);
INSERT INTO public.ecdc_data VALUES (33268, 4, 467, 5.62035566, 117, 185);
INSERT INTO public.ecdc_data VALUES (33269, 0, 4, 68.64818732, 175, 185);
INSERT INTO public.ecdc_data VALUES (33270, 18, 2054, 178.96003018, 118, 185);
INSERT INTO public.ecdc_data VALUES (33271, 25, 404, 18.92576679, 119, 185);
INSERT INTO public.ecdc_data VALUES (33272, 10, 318, 6.76951009, 26, 185);
INSERT INTO public.ecdc_data VALUES (33273, 1, 98, 42.86891453, 176, 185);
INSERT INTO public.ecdc_data VALUES (33274, 8, 844, 194.1728188, 120, 185);
INSERT INTO public.ecdc_data VALUES (33275, 2, 330, 55.05115378, 121, 185);
INSERT INTO public.ecdc_data VALUES (33276, 0, 0, 0, 122, 185);
INSERT INTO public.ecdc_data VALUES (33277, 1, 75, 57.86554776, 177, 185);
INSERT INTO public.ecdc_data VALUES (33278, 13, 1245, 255.14501855, 123, 185);
INSERT INTO public.ecdc_data VALUES (33279, 0, 0, 10.77511673, 27, 185);
INSERT INTO public.ecdc_data VALUES (33280, 0, 0, 0.56710308, 28, 185);
INSERT INTO public.ecdc_data VALUES (33281, 12, 1164, 161.87496984, 29, 185);
INSERT INTO public.ecdc_data VALUES (33282, 0, 6, 91.19808223, 178, 185);
INSERT INTO public.ecdc_data VALUES (33283, 3, 118, 63.99005935, 179, 185);
INSERT INTO public.ecdc_data VALUES (33284, 0, 109, 229.51845107, 180, 185);
INSERT INTO public.ecdc_data VALUES (33285, 0, 28, 1.39788543, 30, 185);
INSERT INTO public.ecdc_data VALUES (33286, 1, 3, 0.29524258, 31, 185);
INSERT INTO public.ecdc_data VALUES (33287, 4, 660, 17.98133941, 124, 185);
INSERT INTO public.ecdc_data VALUES (33288, 0, 50, 150.4829958, 125, 185);
INSERT INTO public.ecdc_data VALUES (33289, 0, 0, 1.0479182, 32, 185);
INSERT INTO public.ecdc_data VALUES (33290, 0, 111, 200.78653211, 181, 185);
INSERT INTO public.ecdc_data VALUES (33291, 0, 4, 1.76768313, 33, 185);
INSERT INTO public.ecdc_data VALUES (33292, 0, 3, 2.04777619, 34, 185);
INSERT INTO public.ecdc_data VALUES (33293, 475, 4548, 45.88889457, 87, 185);
INSERT INTO public.ecdc_data VALUES (33294, 17, 657, 278.14203298, 182, 185);
INSERT INTO public.ecdc_data VALUES (33295, 0, 5, 81.60797945, 183, 185);
INSERT INTO public.ecdc_data VALUES (33296, 0, 0, 0.21704309, 126, 185);
INSERT INTO public.ecdc_data VALUES (33297, 2, 218, 593.55622631, 184, 185);
INSERT INTO public.ecdc_data VALUES (33298, 0, 0, 0, 88, 185);
INSERT INTO public.ecdc_data VALUES (33299, 49, 3185, 98.05667211, 35, 185);
INSERT INTO public.ecdc_data VALUES (33300, 1, 170, 5.60494497, 36, 185);
INSERT INTO public.ecdc_data VALUES (33301, 29, 1123, 33.32752217, 127, 185);
INSERT INTO public.ecdc_data VALUES (33302, 0, 11, 34.47551517, 37, 185);
INSERT INTO public.ecdc_data VALUES (33303, 18, 3556, 136.67164009, 128, 185);
INSERT INTO public.ecdc_data VALUES (33304, 35, 7368, 412.22849246, 185, 185);
INSERT INTO public.ecdc_data VALUES (33305, 0, 0, 0, 207, 185);
INSERT INTO public.ecdc_data VALUES (33306, 0, 2, 0.79447015, 208, 185);
INSERT INTO public.ecdc_data VALUES (33307, 1, 89, 2.79581264, 89, 185);
INSERT INTO public.ecdc_data VALUES (33308, 0, 1, 0.0300291, 38, 185);
INSERT INTO public.ecdc_data VALUES (33309, 1, 225, 0.99918591, 39, 185);
INSERT INTO public.ecdc_data VALUES (33310, 3, 80, 164.02424112, 186, 185);
INSERT INTO public.ecdc_data VALUES (33311, 0, 0, 12.23498156, 209, 185);
INSERT INTO public.ecdc_data VALUES (33312, 1, 115, 34.73960871, 187, 185);
INSERT INTO public.ecdc_data VALUES (33313, 7, 638, 173.42741456, 129, 185);
INSERT INTO public.ecdc_data VALUES (33314, 13, 615, 3.78638653, 130, 185);
INSERT INTO public.ecdc_data VALUES (33315, 4, 516, 127.51379024, 131, 185);
INSERT INTO public.ecdc_data VALUES (33316, 9, 494, 222.37450665, 90, 185);
INSERT INTO public.ecdc_data VALUES (33317, 0, 10, 0.46717689, 210, 185);
INSERT INTO public.ecdc_data VALUES (33318, 12, 853, 157.50984543, 91, 185);
INSERT INTO public.ecdc_data VALUES (33319, 62, 2803, 129.82282442, 92, 185);
INSERT INTO public.ecdc_data VALUES (33320, 40, 1897, 32.75167069, 132, 185);
INSERT INTO public.ecdc_data VALUES (33321, 62, 5068, 119.33801479, 188, 185);
INSERT INTO public.ecdc_data VALUES (33322, 16, 1208, 140.1628571, 189, 185);
INSERT INTO public.ecdc_data VALUES (33323, 3, 306, 207.02910339, 93, 185);
INSERT INTO public.ecdc_data VALUES (33324, 0, 214, 101.40988697, 133, 185);
INSERT INTO public.ecdc_data VALUES (33325, 68, 3109, 180.52010517, 190, 185);
INSERT INTO public.ecdc_data VALUES (33326, 244, 13868, 108.56964854, 191, 185);
INSERT INTO public.ecdc_data VALUES (33327, 0, 3, 0.5702095, 40, 185);
INSERT INTO public.ecdc_data VALUES (33328, 0, 0, 0, 94, 185);
INSERT INTO public.ecdc_data VALUES (33329, 0, 0, 1.09412183, 95, 185);
INSERT INTO public.ecdc_data VALUES (33330, 0, 0, 0, 96, 185);
INSERT INTO public.ecdc_data VALUES (33331, 0, 0, 72.56262154, 192, 185);
INSERT INTO public.ecdc_data VALUES (33332, 0, 0, 8.37022432, 41, 185);
INSERT INTO public.ecdc_data VALUES (33333, 19, 474, 17.22279938, 134, 185);
INSERT INTO public.ecdc_data VALUES (33334, 0, 15, 2.22135468, 42, 185);
INSERT INTO public.ecdc_data VALUES (33335, 2, 152, 21.92779652, 193, 185);
INSERT INTO public.ecdc_data VALUES (33336, 0, 0, 5.11556051, 43, 185);
INSERT INTO public.ecdc_data VALUES (33337, 0, 3, 1.11349923, 44, 185);
INSERT INTO public.ecdc_data VALUES (33338, 0, 4, 2.44644398, 135, 185);
INSERT INTO public.ecdc_data VALUES (33339, 0, 9, 141.54615584, 97, 185);
INSERT INTO public.ecdc_data VALUES (33340, 0, 531, 207.54360076, 194, 185);
INSERT INTO public.ecdc_data VALUES (33341, 3, 399, 179.92145736, 195, 185);
INSERT INTO public.ecdc_data VALUES (33342, 0, 0, 1.78722839, 45, 185);
INSERT INTO public.ecdc_data VALUES (33343, 248, 2066, 37.5096483, 46, 185);
INSERT INTO public.ecdc_data VALUES (33344, 4, 84, 2.10247584, 136, 185);
INSERT INTO public.ecdc_data VALUES (33345, 0, 11, 0.88590662, 47, 185);
INSERT INTO public.ecdc_data VALUES (33346, 209, 11970, 295.86003043, 196, 185);
INSERT INTO public.ecdc_data VALUES (33347, 0, 194, 7.80351134, 137, 185);
INSERT INTO public.ecdc_data VALUES (33348, 0, 6, 0.19853673, 48, 185);
INSERT INTO public.ecdc_data VALUES (33349, 0, 14, 35.95000026, 98, 185);
INSERT INTO public.ecdc_data VALUES (33350, 1, 916, 79.94967833, 197, 185);
INSERT INTO public.ecdc_data VALUES (33351, 7, 1439, 151.85158874, 198, 185);
INSERT INTO public.ecdc_data VALUES (33352, 3, 52, 3.97184978, 138, 185);
INSERT INTO public.ecdc_data VALUES (33353, 0, 0, 0.06730075, 139, 185);
INSERT INTO public.ecdc_data VALUES (33354, 0, 37, 6.12593704, 140, 185);
INSERT INTO public.ecdc_data VALUES (33355, 0, 9, 0.12639033, 141, 185);
INSERT INTO public.ecdc_data VALUES (33356, 0, 0, 0.07733234, 142, 185);
INSERT INTO public.ecdc_data VALUES (33357, 1, 23, 2.6353692, 49, 185);
INSERT INTO public.ecdc_data VALUES (33358, 1, 11, 47.59962408, 99, 185);
INSERT INTO public.ecdc_data VALUES (33359, 0, 0, 129.5541809, 50, 185);
INSERT INTO public.ecdc_data VALUES (33360, 62, 1632, 26.22680717, 199, 185);
INSERT INTO public.ecdc_data VALUES (33361, 0, 0, 26.18212285, 100, 185);
INSERT INTO public.ecdc_data VALUES (33362, 1, 81, 4.35513437, 51, 185);
INSERT INTO public.ecdc_data VALUES (33363, 118, 5133, 149.23747051, 200, 185);
INSERT INTO public.ecdc_data VALUES (33364, 2, 1315, 158.8246119, 143, 185);
INSERT INTO public.ecdc_data VALUES (33365, 143, 17232, 283.22907675, 201, 185);
INSERT INTO public.ecdc_data VALUES (33366, 0, 0, 0, 52, 185);
INSERT INTO public.ecdc_data VALUES (33367, 817, 52517, 202.28622549, 101, 185);
INSERT INTO public.ecdc_data VALUES (33368, 0, 3, 9.56214919, 102, 185);
INSERT INTO public.ecdc_data VALUES (33369, 0, 24, 8.78173376, 103, 185);
INSERT INTO public.ecdc_data VALUES (33370, 2, 325, 16.19078935, 144, 185);
INSERT INTO public.ecdc_data VALUES (33371, 6, 635, 35.16643335, 104, 185);
INSERT INTO public.ecdc_data VALUES (33372, 0, 3, 0.01969685, 145, 185);
INSERT INTO public.ecdc_data VALUES (33373, 0, 0, 0, 53, 185);
INSERT INTO public.ecdc_data VALUES (33374, 1, 0, 0.07201171, 146, 185);
INSERT INTO public.ecdc_data VALUES (33375, 0, 38, 4.88213616, 54, 185);
INSERT INTO public.ecdc_data VALUES (33376, 0, 15, 1.35878165, 55, 185);
INSERT INTO public.ecdc_data VALUES (33377, 0, 75, 1.45629446, 105, 186);
INSERT INTO public.ecdc_data VALUES (33378, 4, 168, 68.92752199, 147, 186);
INSERT INTO public.ecdc_data VALUES (33379, 7, 247, 9.54171567, 1, 186);
INSERT INTO public.ecdc_data VALUES (33380, 0, 0, 288.80108169, 148, 186);
INSERT INTO public.ecdc_data VALUES (33381, 1, 56, 2.23407171, 2, 186);
INSERT INTO public.ecdc_data VALUES (33382, 0, 0, 0, 56, 186);
INSERT INTO public.ecdc_data VALUES (33383, 0, 0, 1.02970705, 57, 186);
INSERT INTO public.ecdc_data VALUES (33384, 101, 10778, 324.34080103, 58, 186);
INSERT INTO public.ecdc_data VALUES (33385, 5, 187, 71.4061604, 149, 186);
INSERT INTO public.ecdc_data VALUES (33386, 0, 52, 986.73690151, 59, 186);
INSERT INTO public.ecdc_data VALUES (33387, 7, 44, 3.89236287, 202, 186);
INSERT INTO public.ecdc_data VALUES (33388, 2, 384, 69.05017906, 150, 186);
INSERT INTO public.ecdc_data VALUES (33389, 3, 155, 20.0841604, 151, 186);
INSERT INTO public.ecdc_data VALUES (33390, 0, 0, 195.38571348, 60, 186);
INSERT INTO public.ecdc_data VALUES (33391, 2, 747, 488.19008947, 106, 186);
INSERT INTO public.ecdc_data VALUES (33392, 31, 1476, 16.3745027, 107, 186);
INSERT INTO public.ecdc_data VALUES (33393, 0, 1, 2.7872525, 61, 186);
INSERT INTO public.ecdc_data VALUES (33394, 6, 198, 26.30017385, 152, 186);
INSERT INTO public.ecdc_data VALUES (33395, 1, 301, 84.05555436, 153, 186);
INSERT INTO public.ecdc_data VALUES (33396, 0, 22, 124.50333162, 62, 186);
INSERT INTO public.ecdc_data VALUES (33397, 0, 25, 1.03379747, 3, 186);
INSERT INTO public.ecdc_data VALUES (33398, 0, 0, 12.79836181, 63, 186);
INSERT INTO public.ecdc_data VALUES (33399, 0, 1, 2.75195454, 108, 186);
INSERT INTO public.ecdc_data VALUES (33400, 47, 809, 94.0059421, 64, 186);
INSERT INTO public.ecdc_data VALUES (33401, 0, 1, 42.33537313, 65, 186);
INSERT INTO public.ecdc_data VALUES (33402, 3, 328, 111.26937975, 154, 186);
INSERT INTO public.ecdc_data VALUES (33403, 0, 0, 26.86978313, 4, 186);
INSERT INTO public.ecdc_data VALUES (33404, 415, 14768, 221.81713667, 66, 186);
INSERT INTO public.ecdc_data VALUES (33405, 0, 0, 96.56045017, 67, 186);
INSERT INTO public.ecdc_data VALUES (33406, 0, 0, 0.23078911, 109, 186);
INSERT INTO public.ecdc_data VALUES (33407, 3, 27, 24.68557675, 155, 186);
INSERT INTO public.ecdc_data VALUES (33408, 0, 193, 1.66819355, 5, 186);
INSERT INTO public.ecdc_data VALUES (33409, 0, 1, 0.23416001, 6, 186);
INSERT INTO public.ecdc_data VALUES (33410, 0, 0, 0.00606555, 110, 186);
INSERT INTO public.ecdc_data VALUES (33411, 0, 158, 3.96114032, 7, 186);
INSERT INTO public.ecdc_data VALUES (33412, 1, 518, 23.30595585, 68, 186);
INSERT INTO public.ecdc_data VALUES (33413, 0, 102, 174.74760699, 8, 186);
INSERT INTO public.ecdc_data VALUES (33414, 0, 0, 4.61907988, 69, 186);
INSERT INTO public.ecdc_data VALUES (33415, 0, 0, 1.03262701, 9, 186);
INSERT INTO public.ecdc_data VALUES (33416, 0, 1, 0.45149892, 10, 186);
INSERT INTO public.ecdc_data VALUES (33417, 54, 2082, 130.71947155, 70, 186);
INSERT INTO public.ecdc_data VALUES (33418, 0, 29, 0.02106315, 111, 186);
INSERT INTO public.ecdc_data VALUES (33419, 190, 7355, 215.30035602, 71, 186);
INSERT INTO public.ecdc_data VALUES (33420, 0, 0, 3.87828758, 11, 186);
INSERT INTO public.ecdc_data VALUES (33421, 0, 6, 17.74926661, 12, 186);
INSERT INTO public.ecdc_data VALUES (33422, 0, 0, 312.130948, 72, 186);
INSERT INTO public.ecdc_data VALUES (33423, 0, 26, 4.14130136, 13, 186);
INSERT INTO public.ecdc_data VALUES (33424, 6, 165, 83.65540254, 156, 186);
INSERT INTO public.ecdc_data VALUES (33425, 0, 31, 6.27344601, 73, 186);
INSERT INTO public.ecdc_data VALUES (33426, 0, 12, 61.19089724, 74, 186);
INSERT INTO public.ecdc_data VALUES (33427, 0, 3, 4.45256816, 157, 186);
INSERT INTO public.ecdc_data VALUES (33428, 3, 787, 110.99738962, 158, 186);
INSERT INTO public.ecdc_data VALUES (33429, 3, 5, 0.39750863, 14, 186);
INSERT INTO public.ecdc_data VALUES (33430, 0, 0, 43.33387702, 159, 186);
INSERT INTO public.ecdc_data VALUES (33431, 0, 1, 1.02716122, 15, 186);
INSERT INTO public.ecdc_data VALUES (33432, 0, 0, 5.57040998, 75, 186);
INSERT INTO public.ecdc_data VALUES (33433, 15, 568, 87.70870393, 76, 186);
INSERT INTO public.ecdc_data VALUES (33434, 39, 2143, 28.46838751, 77, 186);
INSERT INTO public.ecdc_data VALUES (33435, 21, 153, 2.27317834, 16, 186);
INSERT INTO public.ecdc_data VALUES (33436, 3, 81, 19.83404483, 78, 186);
INSERT INTO public.ecdc_data VALUES (33437, 0, 0, 4.05610104, 17, 186);
INSERT INTO public.ecdc_data VALUES (33438, 0, 0, 1.22958425, 18, 186);
INSERT INTO public.ecdc_data VALUES (33439, 0, 21, 22.87103154, 160, 186);
INSERT INTO public.ecdc_data VALUES (33440, 0, 25, 44.76833259, 19, 186);
INSERT INTO public.ecdc_data VALUES (33441, 17, 413, 11.75869887, 20, 186);
INSERT INTO public.ecdc_data VALUES (33442, 0, 0, 0, 79, 186);
INSERT INTO public.ecdc_data VALUES (33443, 0, 5, 24.65229985, 161, 186);
INSERT INTO public.ecdc_data VALUES (33444, 0, 0, 0.44946093, 203, 186);
INSERT INTO public.ecdc_data VALUES (33445, 0, 23, 9.11575541, 162, 186);
INSERT INTO public.ecdc_data VALUES (33446, 6, 7183, 153.92711876, 163, 186);
INSERT INTO public.ecdc_data VALUES (33447, 0, 0, 168.6449326, 204, 186);
INSERT INTO public.ecdc_data VALUES (33448, 0, 0, 6.35190083, 21, 186);
INSERT INTO public.ecdc_data VALUES (33449, 1, 29, 18.82696908, 22, 186);
INSERT INTO public.ecdc_data VALUES (33450, 0, 317, 22.64332978, 164, 186);
INSERT INTO public.ecdc_data VALUES (33451, 1, 927, 21.65041001, 165, 186);
INSERT INTO public.ecdc_data VALUES (33452, 0, 0, 4.04038969, 23, 186);
INSERT INTO public.ecdc_data VALUES (33453, 0, 3, 133.50738741, 166, 186);
INSERT INTO public.ecdc_data VALUES (33454, 3, 204, 28.96145581, 167, 186);
INSERT INTO public.ecdc_data VALUES (33455, 0, 0, 0, 80, 186);
INSERT INTO public.ecdc_data VALUES (33456, 0, 0, 0, 81, 186);
INSERT INTO public.ecdc_data VALUES (33457, 0, 0, 325.17409367, 205, 186);
INSERT INTO public.ecdc_data VALUES (33458, 8, 251, 45.48537336, 82, 186);
INSERT INTO public.ecdc_data VALUES (33459, 0, 0, 1.55115716, 168, 186);
INSERT INTO public.ecdc_data VALUES (33460, 0, 0, 5.08172813, 24, 186);
INSERT INTO public.ecdc_data VALUES (33461, 0, 0, 3.6440929, 25, 186);
INSERT INTO public.ecdc_data VALUES (33462, 2, 41, 79.07764045, 83, 186);
INSERT INTO public.ecdc_data VALUES (33463, 0, 15, 2.52151299, 84, 186);
INSERT INTO public.ecdc_data VALUES (33464, 0, 0, 0, 169, 186);
INSERT INTO public.ecdc_data VALUES (33465, 14, 653, 78.13369738, 85, 186);
INSERT INTO public.ecdc_data VALUES (33466, 4, 484, 64.95608813, 170, 186);
INSERT INTO public.ecdc_data VALUES (33467, 0, 3, 16.8071464, 171, 186);
INSERT INTO public.ecdc_data VALUES (33468, 1136, 92071, 89.66379386, 112, 186);
INSERT INTO public.ecdc_data VALUES (33469, 73, 3625, 17.1192251, 113, 186);
INSERT INTO public.ecdc_data VALUES (33470, 128, 2089, 34.32356023, 114, 186);
INSERT INTO public.ecdc_data VALUES (33471, 73, 3531, 150.42563571, 115, 186);
INSERT INTO public.ecdc_data VALUES (33472, 1, 255, 45.36890527, 172, 186);
INSERT INTO public.ecdc_data VALUES (33473, 0, 0, 1.18218681, 173, 186);
INSERT INTO public.ecdc_data VALUES (33474, 16, 3379, 499.75508761, 116, 186);
INSERT INTO public.ecdc_data VALUES (33475, 7, 1456, 32.36439187, 174, 186);
INSERT INTO public.ecdc_data VALUES (33476, 2, 148, 47.96021541, 86, 186);
INSERT INTO public.ecdc_data VALUES (33477, 3, 439, 6.14218953, 117, 186);
INSERT INTO public.ecdc_data VALUES (33478, 0, 0, 5.56606924, 175, 186);
INSERT INTO public.ecdc_data VALUES (33479, 2, 252, 13.34429255, 118, 186);
INSERT INTO public.ecdc_data VALUES (33480, 7, 129, 31.48005641, 119, 186);
INSERT INTO public.ecdc_data VALUES (33481, 3, 188, 3.99437235, 26, 186);
INSERT INTO public.ecdc_data VALUES (33482, 7, 71, 72.44902158, 176, 186);
INSERT INTO public.ecdc_data VALUES (33483, 2, 553, 240.73721494, 120, 186);
INSERT INTO public.ecdc_data VALUES (33484, 0, 47, 16.05398878, 121, 186);
INSERT INTO public.ecdc_data VALUES (33485, 0, 0, 0.01394806, 122, 186);
INSERT INTO public.ecdc_data VALUES (33486, 0, 10, 4.21882031, 177, 186);
INSERT INTO public.ecdc_data VALUES (33487, 2, 641, 108.52269255, 123, 186);
INSERT INTO public.ecdc_data VALUES (33488, 0, 0, 8.42247115, 27, 186);
INSERT INTO public.ecdc_data VALUES (33489, 0, 3, 0.30380522, 28, 186);
INSERT INTO public.ecdc_data VALUES (33490, 8, 433, 138.07546876, 29, 186);
INSERT INTO public.ecdc_data VALUES (33491, 0, 2, 7.81697848, 178, 186);
INSERT INTO public.ecdc_data VALUES (33492, 1, 39, 16.49855557, 179, 186);
INSERT INTO public.ecdc_data VALUES (33493, 0, 35, 92.68701111, 180, 186);
INSERT INTO public.ecdc_data VALUES (33494, 1, 20, 3.38903789, 30, 186);
INSERT INTO public.ecdc_data VALUES (33495, 0, 12, 0.82667924, 31, 186);
INSERT INTO public.ecdc_data VALUES (33496, 0, 47, 1.81847836, 124, 186);
INSERT INTO public.ecdc_data VALUES (33497, 1, 121, 283.63878808, 125, 186);
INSERT INTO public.ecdc_data VALUES (33498, 0, 8, 0.76813421, 32, 186);
INSERT INTO public.ecdc_data VALUES (33499, 0, 53, 105.55982162, 181, 186);
INSERT INTO public.ecdc_data VALUES (33500, 0, 10, 5.61239393, 33, 186);
INSERT INTO public.ecdc_data VALUES (33501, 0, 5, 1.18140934, 34, 186);
INSERT INTO public.ecdc_data VALUES (33502, 217, 1803, 55.59686921, 87, 186);
INSERT INTO public.ecdc_data VALUES (33503, 5, 264, 155.27082368, 182, 186);
INSERT INTO public.ecdc_data VALUES (33504, 0, 2, 120.90071029, 183, 186);
INSERT INTO public.ecdc_data VALUES (33505, 0, 0, 0.31006156, 126, 186);
INSERT INTO public.ecdc_data VALUES (33506, 2, 182, 308.91282615, 184, 186);
INSERT INTO public.ecdc_data VALUES (33507, 0, 0, 0, 88, 186);
INSERT INTO public.ecdc_data VALUES (33508, 25, 2251, 69.33308357, 35, 186);
INSERT INTO public.ecdc_data VALUES (33509, 0, 229, 4.76848432, 36, 186);
INSERT INTO public.ecdc_data VALUES (33510, 8, 219, 4.12245833, 127, 186);
INSERT INTO public.ecdc_data VALUES (33511, 3, 115, 94.36670082, 37, 186);
INSERT INTO public.ecdc_data VALUES (33512, 9, 1039, 54.52184763, 128, 186);
INSERT INTO public.ecdc_data VALUES (33513, 1, 1086, 69.15800991, 185, 186);
INSERT INTO public.ecdc_data VALUES (33514, 0, 0, 1.06098169, 207, 186);
INSERT INTO public.ecdc_data VALUES (33515, 0, 1, 1.25442656, 208, 186);
INSERT INTO public.ecdc_data VALUES (33516, 0, 0, 4.94996336, 89, 186);
INSERT INTO public.ecdc_data VALUES (33517, 0, 2, 0.01715949, 38, 186);
INSERT INTO public.ecdc_data VALUES (33518, 4, 79, 1.18976768, 39, 186);
INSERT INTO public.ecdc_data VALUES (33519, 4, 139, 85.06922044, 186, 186);
INSERT INTO public.ecdc_data VALUES (33520, 0, 0, 6.99141803, 209, 186);
INSERT INTO public.ecdc_data VALUES (33521, 0, 0, 24.8300931, 187, 186);
INSERT INTO public.ecdc_data VALUES (33522, 18, 1409, 84.46244738, 129, 186);
INSERT INTO public.ecdc_data VALUES (33523, 4, 539, 2.84948674, 130, 186);
INSERT INTO public.ecdc_data VALUES (33524, 12, 994, 209.71923278, 131, 186);
INSERT INTO public.ecdc_data VALUES (33525, 11, 704, 227.95565226, 90, 186);
INSERT INTO public.ecdc_data VALUES (33526, 0, 1, 0.59251703, 210, 186);
INSERT INTO public.ecdc_data VALUES (33527, 11, 493, 150.78132464, 91, 186);
INSERT INTO public.ecdc_data VALUES (33528, 117, 6787, 253.61989627, 92, 186);
INSERT INTO public.ecdc_data VALUES (33529, 79, 3353, 40.5303081, 132, 186);
INSERT INTO public.ecdc_data VALUES (33530, 6, 502, 19.17687845, 188, 186);
INSERT INTO public.ecdc_data VALUES (33531, 7, 673, 60.47710059, 189, 186);
INSERT INTO public.ecdc_data VALUES (33532, 4, 288, 154.49627804, 93, 186);
INSERT INTO public.ecdc_data VALUES (33533, 0, 217, 111.75567279, 133, 186);
INSERT INTO public.ecdc_data VALUES (33534, 36, 1109, 86.06987638, 190, 186);
INSERT INTO public.ecdc_data VALUES (33535, 94, 5449, 49.69073626, 191, 186);
INSERT INTO public.ecdc_data VALUES (33536, 0, 26, 4.52207812, 40, 186);
INSERT INTO public.ecdc_data VALUES (33537, 0, 0, 0, 94, 186);
INSERT INTO public.ecdc_data VALUES (33538, 0, 0, 0.54706092, 95, 186);
INSERT INTO public.ecdc_data VALUES (33539, 0, 0, 3.61686544, 96, 186);
INSERT INTO public.ecdc_data VALUES (33540, 0, 0, 34.83005834, 192, 186);
INSERT INTO public.ecdc_data VALUES (33541, 0, 0, 4.65012462, 41, 186);
INSERT INTO public.ecdc_data VALUES (33542, 28, 601, 31.60334078, 134, 186);
INSERT INTO public.ecdc_data VALUES (33543, 2, 43, 4.44270936, 42, 186);
INSERT INTO public.ecdc_data VALUES (33544, 2, 108, 14.97753227, 193, 186);
INSERT INTO public.ecdc_data VALUES (33545, 0, 0, 3.06933631, 43, 186);
INSERT INTO public.ecdc_data VALUES (33546, 0, 13, 1.11349923, 44, 186);
INSERT INTO public.ecdc_data VALUES (33547, 0, 49, 10.940084, 135, 186);
INSERT INTO public.ecdc_data VALUES (33548, 0, 16, 202.88282337, 97, 186);
INSERT INTO public.ecdc_data VALUES (33549, 0, 79, 30.38297409, 194, 186);
INSERT INTO public.ecdc_data VALUES (33550, 0, 99, 40.2228258, 195, 186);
INSERT INTO public.ecdc_data VALUES (33551, 0, 13, 0.51156175, 45, 186);
INSERT INTO public.ecdc_data VALUES (33552, 20, 1579, 42.24339494, 46, 186);
INSERT INTO public.ecdc_data VALUES (33553, 5, 109, 4.56414905, 136, 186);
INSERT INTO public.ecdc_data VALUES (33554, 0, 0, 0.53335194, 47, 186);
INSERT INTO public.ecdc_data VALUES (33555, 101, 27404, 278.8244513, 196, 186);
INSERT INTO public.ecdc_data VALUES (33556, 0, 38, 1.04109346, 137, 186);
INSERT INTO public.ecdc_data VALUES (33557, 0, 0, 0.65633907, 48, 186);
INSERT INTO public.ecdc_data VALUES (33558, 0, 3, 98.56148396, 98, 186);
INSERT INTO public.ecdc_data VALUES (33559, 2, 106, 28.01513365, 197, 186);
INSERT INTO public.ecdc_data VALUES (33560, 4, 473, 60.41294035, 198, 186);
INSERT INTO public.ecdc_data VALUES (33561, 3, 34, 4.90330127, 138, 186);
INSERT INTO public.ecdc_data VALUES (33562, 0, 0, 0.04206297, 139, 186);
INSERT INTO public.ecdc_data VALUES (33563, 0, 35, 5.35348963, 140, 186);
INSERT INTO public.ecdc_data VALUES (33564, 0, 2, 0.09048398, 141, 186);
INSERT INTO public.ecdc_data VALUES (33565, 0, 0, 0, 142, 186);
INSERT INTO public.ecdc_data VALUES (33566, 0, 17, 2.17758206, 49, 186);
INSERT INTO public.ecdc_data VALUES (33567, 2, 49, 97.42151976, 99, 186);
INSERT INTO public.ecdc_data VALUES (33568, 0, 0, 25.22505667, 50, 186);
INSERT INTO public.ecdc_data VALUES (33569, 57, 1527, 27.57918217, 199, 186);
INSERT INTO public.ecdc_data VALUES (33570, 0, 2, 363.93150757, 100, 186);
INSERT INTO public.ecdc_data VALUES (33571, 3, 96, 4.22637781, 51, 186);
INSERT INTO public.ecdc_data VALUES (33572, 75, 2476, 80.15021625, 200, 186);
INSERT INTO public.ecdc_data VALUES (33573, 0, 640, 100.2914275, 143, 186);
INSERT INTO public.ecdc_data VALUES (33574, 5, 3330, 51.07047999, 201, 186);
INSERT INTO public.ecdc_data VALUES (33575, 0, 0, 0, 52, 186);
INSERT INTO public.ecdc_data VALUES (33576, 378, 33871, 158.87928885, 101, 186);
INSERT INTO public.ecdc_data VALUES (33577, 0, 28, 6.44186391, 103, 186);
INSERT INTO public.ecdc_data VALUES (33578, 0, 0, 82.23448302, 102, 186);
INSERT INTO public.ecdc_data VALUES (33579, 6, 578, 18.09790667, 144, 186);
INSERT INTO public.ecdc_data VALUES (33580, 8, 910, 51.45212506, 104, 186);
INSERT INTO public.ecdc_data VALUES (33581, 0, 3, 0.02384356, 145, 186);
INSERT INTO public.ecdc_data VALUES (33582, 0, 0, 0, 53, 186);
INSERT INTO public.ecdc_data VALUES (33583, 0, 2, 0.20574776, 146, 186);
INSERT INTO public.ecdc_data VALUES (33584, 0, 73, 8.47655293, 54, 186);
INSERT INTO public.ecdc_data VALUES (33585, 0, 18, 7.60644603, 55, 186);
INSERT INTO public.ecdc_data VALUES (33586, 9, 79, 2.3185049, 105, 187);
INSERT INTO public.ecdc_data VALUES (33587, 5, 154, 61.97537963, 147, 187);
INSERT INTO public.ecdc_data VALUES (33588, 8, 488, 17.08589593, 1, 187);
INSERT INTO public.ecdc_data VALUES (33589, 0, 4, 77.45119918, 148, 187);
INSERT INTO public.ecdc_data VALUES (33590, 0, 27, 2.14923354, 2, 187);
INSERT INTO public.ecdc_data VALUES (33591, 0, 0, 0, 56, 187);
INSERT INTO public.ecdc_data VALUES (33592, 0, 1, 2.0594141, 57, 187);
INSERT INTO public.ecdc_data VALUES (33593, 158, 7663, 200.03718122, 58, 187);
INSERT INTO public.ecdc_data VALUES (33594, 3, 229, 83.61147475, 149, 187);
INSERT INTO public.ecdc_data VALUES (33595, 1, 96, 728.05944878, 59, 187);
INSERT INTO public.ecdc_data VALUES (33596, 9, 231, 24.02472702, 202, 187);
INSERT INTO public.ecdc_data VALUES (33597, 1, 229, 19.42706525, 150, 187);
INSERT INTO public.ecdc_data VALUES (33598, 3, 91, 23.43815547, 151, 187);
INSERT INTO public.ecdc_data VALUES (33599, 0, 53, 149.17095865, 60, 187);
INSERT INTO public.ecdc_data VALUES (33600, 1, 462, 302.89477468, 106, 187);
INSERT INTO public.ecdc_data VALUES (33601, 44, 2617, 20.99159972, 107, 187);
INSERT INTO public.ecdc_data VALUES (33602, 0, 1, 11.84582313, 61, 187);
INSERT INTO public.ecdc_data VALUES (33603, 4, 101, 16.27098447, 152, 187);
INSERT INTO public.ecdc_data VALUES (33604, 12, 669, 72.68112427, 153, 187);
INSERT INTO public.ecdc_data VALUES (33605, 0, 60, 78.90334596, 62, 187);
INSERT INTO public.ecdc_data VALUES (33606, 0, 0, 1.95743619, 3, 187);
INSERT INTO public.ecdc_data VALUES (33607, 0, 0, 4.79938568, 63, 187);
INSERT INTO public.ecdc_data VALUES (33608, 0, 3, 3.93136363, 108, 187);
INSERT INTO public.ecdc_data VALUES (33609, 0, 0, 172.29935077, 64, 187);
INSERT INTO public.ecdc_data VALUES (33610, 0, 0, 7.69734057, 65, 187);
INSERT INTO public.ecdc_data VALUES (33611, 5, 223, 113.29906895, 154, 187);
INSERT INTO public.ecdc_data VALUES (33612, 1, 148, 17.79743309, 4, 187);
INSERT INTO public.ecdc_data VALUES (33613, 1262, 60091, 291.2937224, 66, 187);
INSERT INTO public.ecdc_data VALUES (33614, 0, 0, 3.3296707, 67, 187);
INSERT INTO public.ecdc_data VALUES (33615, 0, 0, 0.23078911, 109, 187);
INSERT INTO public.ecdc_data VALUES (33616, 2, 176, 37.84264631, 155, 187);
INSERT INTO public.ecdc_data VALUES (33617, 0, 10, 0.59543192, 5, 187);
INSERT INTO public.ecdc_data VALUES (33618, 0, 0, 0.19946964, 6, 187);
INSERT INTO public.ecdc_data VALUES (33619, 0, 1, 0.23655658, 110, 187);
INSERT INTO public.ecdc_data VALUES (33620, 0, 45, 4.06934708, 7, 187);
INSERT INTO public.ecdc_data VALUES (33621, 9, 405, 14.56522003, 68, 187);
INSERT INTO public.ecdc_data VALUES (33622, 0, 73, 127.28753891, 8, 187);
INSERT INTO public.ecdc_data VALUES (33623, 0, 0, 0, 69, 187);
INSERT INTO public.ecdc_data VALUES (33624, 0, 0, 0.99047897, 9, 187);
INSERT INTO public.ecdc_data VALUES (33625, 0, 0, 0.08779146, 10, 187);
INSERT INTO public.ecdc_data VALUES (33626, 94, 1866, 139.81612001, 70, 187);
INSERT INTO public.ecdc_data VALUES (33627, 3, 99, 0.11542885, 111, 187);
INSERT INTO public.ecdc_data VALUES (33628, 308, 11286, 293.57694721, 71, 187);
INSERT INTO public.ecdc_data VALUES (33629, 0, 0, 2.46800119, 11, 187);
INSERT INTO public.ecdc_data VALUES (33630, 0, 0, 6.85809359, 12, 187);
INSERT INTO public.ecdc_data VALUES (33631, 9, 1072, 175.11427797, 72, 187);
INSERT INTO public.ecdc_data VALUES (33632, 0, 42, 3.54246529, 13, 187);
INSERT INTO public.ecdc_data VALUES (33633, 1, 180, 24.01719621, 156, 187);
INSERT INTO public.ecdc_data VALUES (33634, 0, 46, 5.09110879, 73, 187);
INSERT INTO public.ecdc_data VALUES (33635, 0, 0, 1.83572692, 74, 187);
INSERT INTO public.ecdc_data VALUES (33636, 0, 14, 25.23121958, 157, 187);
INSERT INTO public.ecdc_data VALUES (33637, 0, 326, 28.7235441, 158, 187);
INSERT INTO public.ecdc_data VALUES (33638, 9, 51, 0.66597098, 14, 187);
INSERT INTO public.ecdc_data VALUES (33639, 0, 144, 25.64552579, 159, 187);
INSERT INTO public.ecdc_data VALUES (33640, 0, 0, 28.45236591, 15, 187);
INSERT INTO public.ecdc_data VALUES (33641, 0, 0, 0, 75, 187);
INSERT INTO public.ecdc_data VALUES (33642, 22, 910, 141.71767333, 76, 187);
INSERT INTO public.ecdc_data VALUES (33643, 26, 1233, 80.42636044, 77, 187);
INSERT INTO public.ecdc_data VALUES (33644, 22, 145, 2.3419116, 16, 187);
INSERT INTO public.ecdc_data VALUES (33645, 7, 349, 89.29968777, 78, 187);
INSERT INTO public.ecdc_data VALUES (33646, 0, 0, 129.05776035, 17, 187);
INSERT INTO public.ecdc_data VALUES (33647, 0, 0, 0.1715699, 18, 187);
INSERT INTO public.ecdc_data VALUES (33648, 0, 0, 9.28428013, 160, 187);
INSERT INTO public.ecdc_data VALUES (33649, 2, 74, 89.01407764, 19, 187);
INSERT INTO public.ecdc_data VALUES (33650, 16, 1086, 8.55559325, 20, 187);
INSERT INTO public.ecdc_data VALUES (33651, 0, 0, 0, 79, 187);
INSERT INTO public.ecdc_data VALUES (33652, 0, 23, 291.71888161, 161, 187);
INSERT INTO public.ecdc_data VALUES (33653, 0, 0, 0, 203, 187);
INSERT INTO public.ecdc_data VALUES (33654, 0, 41, 4.71192129, 162, 187);
INSERT INTO public.ecdc_data VALUES (33655, 17, 2669, 34.01137062, 163, 187);
INSERT INTO public.ecdc_data VALUES (33656, 0, 11, 31.50903199, 204, 187);
INSERT INTO public.ecdc_data VALUES (33657, 0, 0, 33.37049349, 21, 187);
INSERT INTO public.ecdc_data VALUES (33658, 10, 79, 49.11198043, 22, 187);
INSERT INTO public.ecdc_data VALUES (33659, 0, 23, 3.65295707, 164, 187);
INSERT INTO public.ecdc_data VALUES (33660, 14, 1449, 15.31573179, 165, 187);
INSERT INTO public.ecdc_data VALUES (33661, 0, 122, 22.04297226, 23, 187);
INSERT INTO public.ecdc_data VALUES (33662, 0, 2, 53.40295496, 166, 187);
INSERT INTO public.ecdc_data VALUES (33663, 5, 204, 18.46222875, 167, 187);
INSERT INTO public.ecdc_data VALUES (33664, 0, 0, 0, 80, 187);
INSERT INTO public.ecdc_data VALUES (33665, 0, 0, 0, 81, 187);
INSERT INTO public.ecdc_data VALUES (33666, 0, 28, 72.32732598, 205, 187);
INSERT INTO public.ecdc_data VALUES (33667, 29, 1195, 65.17086506, 82, 187);
INSERT INTO public.ecdc_data VALUES (33668, 0, 0, 0, 168, 187);
INSERT INTO public.ecdc_data VALUES (33669, 0, 82, 7.48556562, 24, 187);
INSERT INTO public.ecdc_data VALUES (33670, 4, 65, 7.07995192, 25, 187);
INSERT INTO public.ecdc_data VALUES (33671, 0, 8, 29.38264508, 83, 187);
INSERT INTO public.ecdc_data VALUES (33672, 5, 67, 3.53366961, 84, 187);
INSERT INTO public.ecdc_data VALUES (33673, 0, 0, 0, 169, 187);
INSERT INTO public.ecdc_data VALUES (33674, 9, 385, 78.14395787, 85, 187);
INSERT INTO public.ecdc_data VALUES (33675, 2, 45, 3.15161864, 170, 187);
INSERT INTO public.ecdc_data VALUES (33676, 0, 4, 29.13238709, 171, 187);
INSERT INTO public.ecdc_data VALUES (33677, 1007, 64553, 60.1807168, 112, 187);
INSERT INTO public.ecdc_data VALUES (33678, 65, 2098, 9.78473701, 113, 187);
INSERT INTO public.ecdc_data VALUES (33679, 174, 2625, 41.96401681, 114, 187);
INSERT INTO public.ecdc_data VALUES (33680, 53, 3841, 109.42312613, 115, 187);
INSERT INTO public.ecdc_data VALUES (33681, 0, 91, 18.39224834, 172, 187);
INSERT INTO public.ecdc_data VALUES (33682, 0, 0, 0, 173, 187);
INSERT INTO public.ecdc_data VALUES (33683, 12, 1268, 228.22102049, 116, 187);
INSERT INTO public.ecdc_data VALUES (33684, 6, 522, 8.41126274, 174, 187);
INSERT INTO public.ecdc_data VALUES (33685, 0, 6, 7.02104992, 86, 187);
INSERT INTO public.ecdc_data VALUES (33686, 10, 1069, 13.98309805, 117, 187);
INSERT INTO public.ecdc_data VALUES (33687, 0, 1, 15.77052952, 175, 187);
INSERT INTO public.ecdc_data VALUES (33688, 0, 17, 1.27701316, 118, 187);
INSERT INTO public.ecdc_data VALUES (33689, 0, 1410, 158.67242134, 119, 187);
INSERT INTO public.ecdc_data VALUES (33690, 4, 650, 16.81630758, 26, 187);
INSERT INTO public.ecdc_data VALUES (33691, 8, 193, 160.35531714, 176, 187);
INSERT INTO public.ecdc_data VALUES (33692, 0, 701, 189.13369068, 120, 187);
INSERT INTO public.ecdc_data VALUES (33693, 3, 310, 82.04679317, 121, 187);
INSERT INTO public.ecdc_data VALUES (33694, 0, 0, 0, 122, 187);
INSERT INTO public.ecdc_data VALUES (33695, 0, 4, 4.11465191, 177, 187);
INSERT INTO public.ecdc_data VALUES (33696, 3, 298, 49.25821677, 123, 187);
INSERT INTO public.ecdc_data VALUES (33697, 0, 17, 9.92816432, 27, 187);
INSERT INTO public.ecdc_data VALUES (33698, 0, 0, 1.43801138, 28, 187);
INSERT INTO public.ecdc_data VALUES (33699, 3, 748, 56.481395, 29, 187);
INSERT INTO public.ecdc_data VALUES (33700, 0, 1, 5.21131898, 178, 187);
INSERT INTO public.ecdc_data VALUES (33701, 0, 21, 9.59135118, 179, 187);
INSERT INTO public.ecdc_data VALUES (33702, 0, 68, 122.49671767, 180, 187);
INSERT INTO public.ecdc_data VALUES (33703, 6, 125, 10.28576709, 30, 187);
INSERT INTO public.ecdc_data VALUES (33704, 1, 160, 4.99765175, 31, 187);
INSERT INTO public.ecdc_data VALUES (33705, 0, 15, 0.51643534, 124, 187);
INSERT INTO public.ecdc_data VALUES (33706, 0, 128, 334.30202446, 125, 187);
INSERT INTO public.ecdc_data VALUES (33707, 0, 15, 0.38152362, 32, 187);
INSERT INTO public.ecdc_data VALUES (33708, 0, 31, 87.93274968, 181, 187);
INSERT INTO public.ecdc_data VALUES (33709, 0, 24, 7.77780577, 33, 187);
INSERT INTO public.ecdc_data VALUES (33710, 0, 0, 0, 34, 187);
INSERT INTO public.ecdc_data VALUES (33711, 627, 6249, 62.87647845, 87, 187);
INSERT INTO public.ecdc_data VALUES (33712, 15, 390, 127.12520448, 182, 187);
INSERT INTO public.ecdc_data VALUES (33713, 0, 2, 45.33776636, 183, 187);
INSERT INTO public.ecdc_data VALUES (33714, 0, 0, 0.18603694, 126, 187);
INSERT INTO public.ecdc_data VALUES (33715, 0, 44, 126.00814553, 184, 187);
INSERT INTO public.ecdc_data VALUES (33716, 0, 0, 0, 88, 187);
INSERT INTO public.ecdc_data VALUES (33717, 28, 1241, 40.23934569, 35, 187);
INSERT INTO public.ecdc_data VALUES (33718, 0, 79, 2.73331629, 36, 187);
INSERT INTO public.ecdc_data VALUES (33719, 0, 8, 0.02960473, 127, 187);
INSERT INTO public.ecdc_data VALUES (33720, 5, 138, 59.81101004, 37, 187);
INSERT INTO public.ecdc_data VALUES (33721, 4, 525, 18.91032156, 128, 187);
INSERT INTO public.ecdc_data VALUES (33722, 4, 577, 41.58044337, 185, 187);
INSERT INTO public.ecdc_data VALUES (33723, 0, 0, 0.35366056, 207, 187);
INSERT INTO public.ecdc_data VALUES (33724, 0, 13, 0.85719148, 208, 187);
INSERT INTO public.ecdc_data VALUES (33725, 0, 0, 6.76800545, 89, 187);
INSERT INTO public.ecdc_data VALUES (33726, 0, 0, 0.11582654, 38, 187);
INSERT INTO public.ecdc_data VALUES (33727, 10, 373, 2.700489, 39, 187);
INSERT INTO public.ecdc_data VALUES (33728, 2, 140, 83.48049137, 186, 187);
INSERT INTO public.ecdc_data VALUES (33729, 0, 0, 12.23498156, 209, 187);
INSERT INTO public.ecdc_data VALUES (33730, 1, 33, 11.46726144, 187, 187);
INSERT INTO public.ecdc_data VALUES (33731, 12, 232, 67.77900346, 129, 187);
INSERT INTO public.ecdc_data VALUES (33732, 14, 626, 4.15348133, 130, 187);
INSERT INTO public.ecdc_data VALUES (33733, 1, 432, 114.16418846, 131, 187);
INSERT INTO public.ecdc_data VALUES (33734, 19, 1069, 335.69295692, 90, 187);
INSERT INTO public.ecdc_data VALUES (33735, 0, 2, 2.26751711, 210, 187);
INSERT INTO public.ecdc_data VALUES (33736, 4, 371, 45.16909951, 91, 187);
INSERT INTO public.ecdc_data VALUES (33737, 3935, 9441, 309.14356123, 92, 187);
INSERT INTO public.ecdc_data VALUES (33738, 22, 3777, 53.78636414, 132, 187);
INSERT INTO public.ecdc_data VALUES (33739, 14, 811, 24.90202727, 188, 187);
INSERT INTO public.ecdc_data VALUES (33740, 6, 325, 26.07862101, 189, 187);
INSERT INTO public.ecdc_data VALUES (33741, 11, 372, 268.42535157, 93, 187);
INSERT INTO public.ecdc_data VALUES (33742, 0, 343, 134.91893388, 133, 187);
INSERT INTO public.ecdc_data VALUES (33743, 53, 1454, 87.76964054, 190, 187);
INSERT INTO public.ecdc_data VALUES (33744, 124, 5057, 50.22133749, 191, 187);
INSERT INTO public.ecdc_data VALUES (33745, 0, 11, 1.63143274, 40, 187);
INSERT INTO public.ecdc_data VALUES (33746, 0, 0, 0, 94, 187);
INSERT INTO public.ecdc_data VALUES (33747, 0, 0, 0, 95, 187);
INSERT INTO public.ecdc_data VALUES (33748, 0, 0, 4.5210818, 96, 187);
INSERT INTO public.ecdc_data VALUES (33749, 0, 0, 31.92755348, 192, 187);
INSERT INTO public.ecdc_data VALUES (33750, 0, 0, 5.58014955, 41, 187);
INSERT INTO public.ecdc_data VALUES (33751, 34, 1482, 59.23802565, 134, 187);
INSERT INTO public.ecdc_data VALUES (33752, 2, 153, 10.02677776, 42, 187);
INSERT INTO public.ecdc_data VALUES (33753, 3, 247, 54.35278967, 193, 187);
INSERT INTO public.ecdc_data VALUES (33754, 0, 0, 13.30045733, 43, 187);
INSERT INTO public.ecdc_data VALUES (33755, 0, 3, 1.56145869, 44, 187);
INSERT INTO public.ecdc_data VALUES (33756, 0, 102, 63.53862961, 135, 187);
INSERT INTO public.ecdc_data VALUES (33757, 0, 15, 318.47885065, 97, 187);
INSERT INTO public.ecdc_data VALUES (33758, 0, 49, 8.69657592, 194, 187);
INSERT INTO public.ecdc_data VALUES (33759, 1, 29, 9.27479735, 195, 187);
INSERT INTO public.ecdc_data VALUES (33760, 0, 0, 0.09713198, 45, 187);
INSERT INTO public.ecdc_data VALUES (33761, 260, 3946, 154.88163268, 46, 187);
INSERT INTO public.ecdc_data VALUES (33762, 0, 103, 1.10882663, 136, 187);
INSERT INTO public.ecdc_data VALUES (33763, 0, 1, 1.4102187, 47, 187);
INSERT INTO public.ecdc_data VALUES (33764, 12, 5479, 115.66766218, 196, 187);
INSERT INTO public.ecdc_data VALUES (33765, 0, 1, 0.31889349, 137, 187);
INSERT INTO public.ecdc_data VALUES (33766, 0, 0, 1.44581453, 48, 187);
INSERT INTO public.ecdc_data VALUES (33767, 1, 108, 191.10263295, 98, 187);
INSERT INTO public.ecdc_data VALUES (33768, 5, 363, 38.81650234, 197, 187);
INSERT INTO public.ecdc_data VALUES (33769, 1, 233, 27.84238379, 198, 187);
INSERT INTO public.ecdc_data VALUES (33770, 2, 100, 4.06558075, 138, 187);
INSERT INTO public.ecdc_data VALUES (33771, 0, 0, 0.05888816, 139, 187);
INSERT INTO public.ecdc_data VALUES (33772, 0, 38, 6.2654067, 140, 187);
INSERT INTO public.ecdc_data VALUES (33773, 0, 20, 0.09479275, 141, 187);
INSERT INTO public.ecdc_data VALUES (33774, 0, 0, 0.07733234, 142, 187);
INSERT INTO public.ecdc_data VALUES (33775, 0, 12, 2.18995469, 49, 187);
INSERT INTO public.ecdc_data VALUES (33776, 0, 78, 17.2046834, 99, 187);
INSERT INTO public.ecdc_data VALUES (33777, 1, 67, 2.8474386, 50, 187);
INSERT INTO public.ecdc_data VALUES (33778, 21, 1243, 19.19909109, 199, 187);
INSERT INTO public.ecdc_data VALUES (33779, 0, 17, 403.20469184, 100, 187);
INSERT INTO public.ecdc_data VALUES (33780, 2, 21, 0.46533075, 51, 187);
INSERT INTO public.ecdc_data VALUES (33781, 19, 1732, 43.36535622, 200, 187);
INSERT INTO public.ecdc_data VALUES (33782, 1, 277, 30.53059784, 143, 187);
INSERT INTO public.ecdc_data VALUES (33783, 18, 1129, 18.94455682, 201, 187);
INSERT INTO public.ecdc_data VALUES (33784, 0, 0, 0, 52, 187);
INSERT INTO public.ecdc_data VALUES (33785, 1083, 51094, 228.89951529, 101, 187);
INSERT INTO public.ecdc_data VALUES (33786, 0, 65, 305.03255912, 102, 187);
INSERT INTO public.ecdc_data VALUES (33787, 0, 16, 4.79528883, 103, 187);
INSERT INTO public.ecdc_data VALUES (33788, 5, 724, 30.32892619, 144, 187);
INSERT INTO public.ecdc_data VALUES (33789, 12, 1281, 43.87037108, 104, 187);
INSERT INTO public.ecdc_data VALUES (33790, 3, 28, 0.41674395, 145, 187);
INSERT INTO public.ecdc_data VALUES (33791, 0, 0, 0, 53, 187);
INSERT INTO public.ecdc_data VALUES (33792, 0, 6, 0.41492464, 146, 187);
INSERT INTO public.ecdc_data VALUES (33793, 0, 162, 17.40100825, 54, 187);
INSERT INTO public.ecdc_data VALUES (33794, 6, 97, 12.95963606, 55, 187);
INSERT INTO public.ecdc_data VALUES (33795, 2, 4, 8.4564969, 105, 188);
INSERT INTO public.ecdc_data VALUES (33796, 2, 117, 38.60360456, 147, 188);
INSERT INTO public.ecdc_data VALUES (33797, 7, 494, 14.21037402, 1, 188);
INSERT INTO public.ecdc_data VALUES (33798, 0, 3, 3.93819657, 148, 188);
INSERT INTO public.ecdc_data VALUES (33799, 0, 0, 0.72269549, 2, 188);
INSERT INTO public.ecdc_data VALUES (33800, 0, 0, 0, 56, 188);
INSERT INTO public.ecdc_data VALUES (33801, 0, 0, 8.23765639, 57, 188);
INSERT INTO public.ecdc_data VALUES (33802, 85, 2657, 84.63025624, 58, 188);
INSERT INTO public.ecdc_data VALUES (33803, 8, 339, 234.91003906, 149, 188);
INSERT INTO public.ecdc_data VALUES (33804, 0, 0, 1.88129057, 59, 188);
INSERT INTO public.ecdc_data VALUES (33805, 0, 183, 8.78063103, 202, 188);
INSERT INTO public.ecdc_data VALUES (33806, 0, 12, 13.46687324, 150, 188);
INSERT INTO public.ecdc_data VALUES (33807, 7, 529, 75.65896299, 151, 188);
INSERT INTO public.ecdc_data VALUES (33808, 0, 2, 2.31073774, 60, 188);
INSERT INTO public.ecdc_data VALUES (33809, 0, 535, 440.96750843, 106, 188);
INSERT INTO public.ecdc_data VALUES (33810, 39, 3099, 27.6565829, 107, 188);
INSERT INTO public.ecdc_data VALUES (33811, 0, 0, 2.09043938, 61, 188);
INSERT INTO public.ecdc_data VALUES (33812, 4, 182, 35.16563873, 152, 188);
INSERT INTO public.ecdc_data VALUES (33813, 0, 224, 11.70614793, 153, 188);
INSERT INTO public.ecdc_data VALUES (33814, 0, 0, 3.33033603, 62, 188);
INSERT INTO public.ecdc_data VALUES (33815, 0, 0, 1.6184862, 3, 188);
INSERT INTO public.ecdc_data VALUES (33816, 0, 0, 6.3991809, 63, 188);
INSERT INTO public.ecdc_data VALUES (33817, 0, 0, 0.91731818, 108, 188);
INSERT INTO public.ecdc_data VALUES (33818, 59, 1063, 148.74357927, 64, 188);
INSERT INTO public.ecdc_data VALUES (33819, 0, 0, 0, 65, 188);
INSERT INTO public.ecdc_data VALUES (33820, 4, 95, 79.8546379, 154, 188);
INSERT INTO public.ecdc_data VALUES (33821, 0, 0, 9.72347564, 4, 188);
INSERT INTO public.ecdc_data VALUES (33822, 733, 20286, 244.85817473, 66, 188);
INSERT INTO public.ecdc_data VALUES (33823, 0, 0, 0, 67, 188);
INSERT INTO public.ecdc_data VALUES (33824, 0, 0, 0, 109, 188);
INSERT INTO public.ecdc_data VALUES (33825, 8, 159, 36.85693751, 155, 188);
INSERT INTO public.ecdc_data VALUES (33826, 0, 0, 0.37891122, 5, 188);
INSERT INTO public.ecdc_data VALUES (33827, 0, 19, 0.8585867, 6, 188);
INSERT INTO public.ecdc_data VALUES (33828, 0, 9, 0.14557328, 110, 188);
INSERT INTO public.ecdc_data VALUES (33829, 0, 0, 9.97434456, 7, 188);
INSERT INTO public.ecdc_data VALUES (33830, 7, 565, 11.32553446, 68, 188);
INSERT INTO public.ecdc_data VALUES (33831, 0, 24, 101.28451311, 8, 188);
INSERT INTO public.ecdc_data VALUES (33832, 0, 0, 3.07938659, 69, 188);
INSERT INTO public.ecdc_data VALUES (33833, 0, 33, 14.92040659, 9, 188);
INSERT INTO public.ecdc_data VALUES (33834, 0, 0, 0.08779146, 10, 188);
INSERT INTO public.ecdc_data VALUES (33835, 45, 2616, 219.8075299, 70, 188);
INSERT INTO public.ecdc_data VALUES (33836, 1, 55, 0.02734025, 111, 188);
INSERT INTO public.ecdc_data VALUES (33837, 148, 3782, 117.56983485, 71, 188);
INSERT INTO public.ecdc_data VALUES (33838, 0, 0, 5.28857398, 11, 188);
INSERT INTO public.ecdc_data VALUES (33839, 0, 0, 15.94646152, 12, 188);
INSERT INTO public.ecdc_data VALUES (33840, 1, 440, 94.44165212, 72, 188);
INSERT INTO public.ecdc_data VALUES (33841, 0, 106, 14.22430081, 13, 188);
INSERT INTO public.ecdc_data VALUES (33842, 0, 53, 25.75899492, 156, 188);
INSERT INTO public.ecdc_data VALUES (33843, 0, 2, 0.77646027, 73, 188);
INSERT INTO public.ecdc_data VALUES (33844, 0, 1, 1.22381794, 74, 188);
INSERT INTO public.ecdc_data VALUES (33845, 0, 1, 2.96837877, 157, 188);
INSERT INTO public.ecdc_data VALUES (33846, 1, 64, 13.45565175, 158, 188);
INSERT INTO public.ecdc_data VALUES (33847, 1, 42, 1.30774579, 14, 188);
INSERT INTO public.ecdc_data VALUES (33848, 1, 91, 4.92586996, 159, 188);
INSERT INTO public.ecdc_data VALUES (33849, 0, 5, 32.9718753, 15, 188);
INSERT INTO public.ecdc_data VALUES (33850, 0, 0, 0, 75, 188);
INSERT INTO public.ecdc_data VALUES (33851, 6, 974, 127.47979157, 76, 188);
INSERT INTO public.ecdc_data VALUES (33852, 16, 589, 73.64022439, 77, 188);
INSERT INTO public.ecdc_data VALUES (33853, 77, 931, 16.18419303, 16, 188);
INSERT INTO public.ecdc_data VALUES (33854, 11, 304, 58.95979732, 78, 188);
INSERT INTO public.ecdc_data VALUES (33855, 0, 0, 78.90960204, 17, 188);
INSERT INTO public.ecdc_data VALUES (33856, 0, 0, 1.17239429, 18, 188);
INSERT INTO public.ecdc_data VALUES (33857, 0, 0, 2.03801271, 160, 188);
INSERT INTO public.ecdc_data VALUES (33858, 0, 38, 51.73616645, 19, 188);
INSERT INTO public.ecdc_data VALUES (33859, 1, 206, 1.71308156, 20, 188);
INSERT INTO public.ecdc_data VALUES (33860, 0, 0, 0, 79, 188);
INSERT INTO public.ecdc_data VALUES (33861, 0, 0, 2.05435832, 161, 188);
INSERT INTO public.ecdc_data VALUES (33862, 0, 0, 0.89892186, 203, 188);
INSERT INTO public.ecdc_data VALUES (33863, 0, 1, 1.52231303, 162, 188);
INSERT INTO public.ecdc_data VALUES (33864, 25, 1625, 12.11259632, 163, 188);
INSERT INTO public.ecdc_data VALUES (33865, 0, 0, 0, 204, 188);
INSERT INTO public.ecdc_data VALUES (33866, 0, 84, 29.08986467, 21, 188);
INSERT INTO public.ecdc_data VALUES (33867, 0, 0, 0.7241142, 22, 188);
INSERT INTO public.ecdc_data VALUES (33868, 0, 4, 1.77643803, 164, 188);
INSERT INTO public.ecdc_data VALUES (33869, 4, 412, 6.16242893, 165, 188);
INSERT INTO public.ecdc_data VALUES (33870, 0, 470, 25.10696184, 23, 188);
INSERT INTO public.ecdc_data VALUES (33871, 0, 0, 8.90049249, 166, 188);
INSERT INTO public.ecdc_data VALUES (33872, 0, 23, 4.06542007, 167, 188);
INSERT INTO public.ecdc_data VALUES (33873, 0, 0, 0, 80, 188);
INSERT INTO public.ecdc_data VALUES (33874, 0, 0, 0, 81, 188);
INSERT INTO public.ecdc_data VALUES (33875, 0, 0, 32.87605726, 205, 188);
INSERT INTO public.ecdc_data VALUES (33876, 25, 387, 70.14769408, 82, 188);
INSERT INTO public.ecdc_data VALUES (33877, 0, 0, 0, 168, 188);
INSERT INTO public.ecdc_data VALUES (33878, 0, 0, 6.18577075, 24, 188);
INSERT INTO public.ecdc_data VALUES (33879, 0, 0, 11.86933116, 25, 188);
INSERT INTO public.ecdc_data VALUES (33880, 0, 3, 8.303791, 83, 188);
INSERT INTO public.ecdc_data VALUES (33881, 2, 0, 7.04958209, 84, 188);
INSERT INTO public.ecdc_data VALUES (33882, 0, 0, 0, 169, 188);
INSERT INTO public.ecdc_data VALUES (33883, 15, 489, 100.15272752, 85, 188);
INSERT INTO public.ecdc_data VALUES (33884, 0, 13, 1.04371786, 170, 188);
INSERT INTO public.ecdc_data VALUES (33885, 0, 0, 3.08131017, 171, 188);
INSERT INTO public.ecdc_data VALUES (33886, 553, 28498, 24.87614044, 112, 188);
INSERT INTO public.ecdc_data VALUES (33887, 50, 1282, 8.08829714, 113, 188);
INSERT INTO public.ecdc_data VALUES (33888, 203, 2349, 41.54551035, 114, 188);
INSERT INTO public.ecdc_data VALUES (33889, 100, 2229, 82.89029483, 115, 188);
INSERT INTO public.ecdc_data VALUES (33890, 0, 10, 3.58873138, 172, 188);
INSERT INTO public.ecdc_data VALUES (33891, 0, 0, 0, 173, 188);
INSERT INTO public.ecdc_data VALUES (33892, 3, 1962, 190.04919728, 116, 188);
INSERT INTO public.ecdc_data VALUES (33893, 13, 169, 4.62892812, 174, 188);
INSERT INTO public.ecdc_data VALUES (33894, 0, 1, 2.06900505, 86, 188);
INSERT INTO public.ecdc_data VALUES (33895, 0, 352, 2.85905049, 117, 188);
INSERT INTO public.ecdc_data VALUES (33896, 0, 4, 9.27678207, 175, 188);
INSERT INTO public.ecdc_data VALUES (33897, 0, 4, 0.54446297, 118, 188);
INSERT INTO public.ecdc_data VALUES (33898, 0, 1866, 215.27183783, 119, 188);
INSERT INTO public.ecdc_data VALUES (33899, 12, 189, 7.80614482, 26, 188);
INSERT INTO public.ecdc_data VALUES (33900, 6, 187, 128.94035383, 176, 188);
INSERT INTO public.ecdc_data VALUES (33901, 3, 614, 237.31441093, 120, 188);
INSERT INTO public.ecdc_data VALUES (33902, 2, 421, 97.29028932, 121, 188);
INSERT INTO public.ecdc_data VALUES (33903, 0, 0, 0, 122, 188);
INSERT INTO public.ecdc_data VALUES (33904, 1, 1, 2.96879948, 177, 188);
INSERT INTO public.ecdc_data VALUES (33905, 0, 85, 9.83122242, 123, 188);
INSERT INTO public.ecdc_data VALUES (33906, 0, 0, 9.69289976, 27, 188);
INSERT INTO public.ecdc_data VALUES (33907, 0, 14, 5.14443508, 28, 188);
INSERT INTO public.ecdc_data VALUES (33908, 1, 79, 11.06610404, 29, 188);
INSERT INTO public.ecdc_data VALUES (33909, 0, 0, 5.21131898, 178, 188);
INSERT INTO public.ecdc_data VALUES (33910, 0, 5, 2.07574018, 179, 188);
INSERT INTO public.ecdc_data VALUES (33911, 0, 31, 114.02619996, 180, 188);
INSERT INTO public.ecdc_data VALUES (33912, 2, 213, 10.90869747, 30, 188);
INSERT INTO public.ecdc_data VALUES (33913, 1, 66, 6.47386467, 31, 188);
INSERT INTO public.ecdc_data VALUES (33914, 0, 7, 0.27543218, 124, 188);
INSERT INTO public.ecdc_data VALUES (33915, 0, 31, 80.23248587, 125, 188);
INSERT INTO public.ecdc_data VALUES (33916, 0, 1, 1.21578859, 32, 188);
INSERT INTO public.ecdc_data VALUES (33917, 0, 0, 0.81044009, 181, 188);
INSERT INTO public.ecdc_data VALUES (33918, 3, 229, 26.64782316, 33, 188);
INSERT INTO public.ecdc_data VALUES (33919, 0, 0, 0.07876062, 34, 188);
INSERT INTO public.ecdc_data VALUES (33920, 443, 8792, 69.23192927, 87, 188);
INSERT INTO public.ecdc_data VALUES (33921, 7, 57, 76.22565763, 182, 188);
INSERT INTO public.ecdc_data VALUES (33922, 0, 0, 18.13510654, 183, 188);
INSERT INTO public.ecdc_data VALUES (33923, 0, 13, 0.71314159, 126, 188);
INSERT INTO public.ecdc_data VALUES (33924, 1, 232, 153.009891, 184, 188);
INSERT INTO public.ecdc_data VALUES (33925, 0, 0, 20.03606492, 88, 188);
INSERT INTO public.ecdc_data VALUES (33926, 5, 191, 9.99677394, 35, 188);
INSERT INTO public.ecdc_data VALUES (33927, 0, 62, 1.10649912, 36, 188);
INSERT INTO public.ecdc_data VALUES (33928, 0, 5, 0.06846093, 127, 188);
INSERT INTO public.ecdc_data VALUES (33929, 0, 76, 26.65839254, 37, 188);
INSERT INTO public.ecdc_data VALUES (33930, 0, 144, 12.92263564, 128, 188);
INSERT INTO public.ecdc_data VALUES (33931, 0, 71, 5.03409209, 185, 188);
INSERT INTO public.ecdc_data VALUES (33932, 0, 0, 0, 207, 188);
INSERT INTO public.ecdc_data VALUES (33933, 0, 1, 0.35542086, 208, 188);
INSERT INTO public.ecdc_data VALUES (33934, 0, 0, 10.32770132, 89, 188);
INSERT INTO public.ecdc_data VALUES (33935, 0, 0, 0.10295693, 38, 188);
INSERT INTO public.ecdc_data VALUES (33936, 4, 595, 3.9907724, 39, 188);
INSERT INTO public.ecdc_data VALUES (33937, 3, 86, 94.98674133, 186, 188);
INSERT INTO public.ecdc_data VALUES (33938, 0, 0, 5.24356353, 209, 188);
INSERT INTO public.ecdc_data VALUES (33939, 1, 16, 2.36477077, 187, 188);
INSERT INTO public.ecdc_data VALUES (33940, 2, 2164, 384.30212551, 129, 188);
INSERT INTO public.ecdc_data VALUES (33941, 54, 1979, 20.44048448, 130, 188);
INSERT INTO public.ecdc_data VALUES (33942, 4, 403, 100.33279654, 131, 188);
INSERT INTO public.ecdc_data VALUES (33943, 23, 1540, 338.82499223, 90, 188);
INSERT INTO public.ecdc_data VALUES (33944, 0, 0, 0, 210, 188);
INSERT INTO public.ecdc_data VALUES (33945, 3, 32, 11.20000613, 91, 188);
INSERT INTO public.ecdc_data VALUES (33946, 184, 3797, 146.90040394, 92, 188);
INSERT INTO public.ecdc_data VALUES (33947, 65, 747, 19.0239018, 132, 188);
INSERT INTO public.ecdc_data VALUES (33948, 5, 299, 10.62865716, 188, 188);
INSERT INTO public.ecdc_data VALUES (33949, 2, 306, 47.73944577, 189, 188);
INSERT INTO public.ecdc_data VALUES (33950, 0, 189, 94.08864241, 93, 188);
INSERT INTO public.ecdc_data VALUES (33951, 2, 418, 314.61075658, 133, 188);
INSERT INTO public.ecdc_data VALUES (33952, 17, 413, 32.78999599, 190, 188);
INSERT INTO public.ecdc_data VALUES (33953, 104, 6537, 63.44112308, 191, 188);
INSERT INTO public.ecdc_data VALUES (33954, 0, 41, 2.9856803, 40, 188);
INSERT INTO public.ecdc_data VALUES (33955, 0, 0, 3.78544119, 94, 188);
INSERT INTO public.ecdc_data VALUES (33956, 0, 0, 1.64118275, 95, 188);
INSERT INTO public.ecdc_data VALUES (33957, 0, 0, 5.42529817, 96, 188);
INSERT INTO public.ecdc_data VALUES (33958, 0, 0, 2.90250486, 192, 188);
INSERT INTO public.ecdc_data VALUES (33959, 0, 3, 8.83523678, 41, 188);
INSERT INTO public.ecdc_data VALUES (33960, 20, 2852, 142.03994575, 134, 188);
INSERT INTO public.ecdc_data VALUES (33961, 2, 63, 9.20450834, 42, 188);
INSERT INTO public.ecdc_data VALUES (33962, 12, 279, 62.48057803, 193, 188);
INSERT INTO public.ecdc_data VALUES (33963, 0, 0, 91.05697711, 43, 188);
INSERT INTO public.ecdc_data VALUES (33964, 0, 7, 2.45737762, 44, 188);
INSERT INTO public.ecdc_data VALUES (33965, 0, 322, 45.17307127, 135, 188);
INSERT INTO public.ecdc_data VALUES (33966, 0, 0, 2.3591026, 97, 188);
INSERT INTO public.ecdc_data VALUES (33967, 0, 1, 4.34828796, 194, 188);
INSERT INTO public.ecdc_data VALUES (33968, 0, 8, 12.68676943, 195, 188);
INSERT INTO public.ecdc_data VALUES (33969, 0, 0, 1.0036971, 45, 188);
INSERT INTO public.ecdc_data VALUES (33970, 93, 11554, 245.10971269, 46, 188);
INSERT INTO public.ecdc_data VALUES (33971, 0, 33, 1.38993761, 136, 188);
INSERT INTO public.ecdc_data VALUES (33972, 0, 9, 1.28366061, 47, 188);
INSERT INTO public.ecdc_data VALUES (33973, 3, 666, 15.65500694, 196, 188);
INSERT INTO public.ecdc_data VALUES (33974, 0, 29, 2.83252455, 137, 188);
INSERT INTO public.ecdc_data VALUES (33975, 7, 66, 2.47119834, 48, 188);
INSERT INTO public.ecdc_data VALUES (33976, 0, 39, 47.9906702, 98, 188);
INSERT INTO public.ecdc_data VALUES (33977, 12, 170, 63.08781317, 197, 188);
INSERT INTO public.ecdc_data VALUES (33978, 0, 63, 15.12079019, 198, 188);
INSERT INTO public.ecdc_data VALUES (33979, 3, 23, 0.86701146, 138, 188);
INSERT INTO public.ecdc_data VALUES (33980, 0, 0, 0.01682519, 139, 188);
INSERT INTO public.ecdc_data VALUES (33981, 0, 43, 7.45626312, 140, 188);
INSERT INTO public.ecdc_data VALUES (33982, 0, 7, 0.08043021, 141, 188);
INSERT INTO public.ecdc_data VALUES (33983, 0, 0, 0, 142, 188);
INSERT INTO public.ecdc_data VALUES (33984, 0, 1, 0.96506478, 49, 188);
INSERT INTO public.ecdc_data VALUES (33985, 0, 0, 0.50180327, 99, 188);
INSERT INTO public.ecdc_data VALUES (33986, 0, 39, 1.11161267, 50, 188);
INSERT INTO public.ecdc_data VALUES (33987, 19, 1008, 18.7649653, 199, 188);
INSERT INTO public.ecdc_data VALUES (33988, 0, 0, 81.16458082, 100, 188);
INSERT INTO public.ecdc_data VALUES (33989, 0, 4, 0.35916305, 51, 188);
INSERT INTO public.ecdc_data VALUES (33990, 15, 612, 23.87844989, 200, 188);
INSERT INTO public.ecdc_data VALUES (33991, 1, 344, 71.1527711, 143, 188);
INSERT INTO public.ecdc_data VALUES (33992, 10, 361, 12.32161418, 201, 188);
INSERT INTO public.ecdc_data VALUES (33993, 0, 0, 0, 52, 188);
INSERT INTO public.ecdc_data VALUES (33994, 400, 58114, 234.75732601, 101, 188);
INSERT INTO public.ecdc_data VALUES (33995, 0, 36, 127.17658421, 102, 188);
INSERT INTO public.ecdc_data VALUES (33996, 0, 2, 1.64657508, 103, 188);
INSERT INTO public.ecdc_data VALUES (33997, 3, 679, 16.90027338, 144, 188);
INSERT INTO public.ecdc_data VALUES (33998, 4, 242, 14.6480048, 104, 188);
INSERT INTO public.ecdc_data VALUES (33999, 0, 1, 0.01866018, 145, 188);
INSERT INTO public.ecdc_data VALUES (34000, 0, 242, 94.94246795, 53, 188);
INSERT INTO public.ecdc_data VALUES (34001, 7, 33, 1.26877783, 146, 188);
INSERT INTO public.ecdc_data VALUES (34002, 0, 0, 1.83080106, 54, 188);
INSERT INTO public.ecdc_data VALUES (34003, 1, 49, 3.14090231, 55, 188);
INSERT INTO public.ecdc_data VALUES (34004, 5, 556, 25.1749676, 105, 189);
INSERT INTO public.ecdc_data VALUES (34005, 0, 48, 11.94790295, 147, 189);
INSERT INTO public.ecdc_data VALUES (34006, 9, 112, 3.58395017, 1, 189);
INSERT INTO public.ecdc_data VALUES (34007, 0, 0, 116.83316487, 148, 189);
INSERT INTO public.ecdc_data VALUES (34008, 1, 8, 0.16967633, 2, 189);
INSERT INTO public.ecdc_data VALUES (34009, 0, 0, 0, 56, 189);
INSERT INTO public.ecdc_data VALUES (34010, 0, 0, 1.02970705, 57, 189);
INSERT INTO public.ecdc_data VALUES (34011, 30, 1531, 31.44436746, 58, 189);
INSERT INTO public.ecdc_data VALUES (34012, 5, 663, 249.68489327, 149, 189);
INSERT INTO public.ecdc_data VALUES (34013, 0, 0, 0, 59, 189);
INSERT INTO public.ecdc_data VALUES (34014, 0, 12, 0.46422676, 202, 189);
INSERT INTO public.ecdc_data VALUES (34015, 2, 20, 4.24437916, 150, 189);
INSERT INTO public.ecdc_data VALUES (34016, 2, 352, 43.03464299, 151, 189);
INSERT INTO public.ecdc_data VALUES (34017, 0, 0, 0.25674864, 60, 189);
INSERT INTO public.ecdc_data VALUES (34018, 3, 514, 452.97118387, 106, 189);
INSERT INTO public.ecdc_data VALUES (34019, 44, 2856, 24.39247685, 107, 189);
INSERT INTO public.ecdc_data VALUES (34020, 0, 0, 1.39362625, 61, 189);
INSERT INTO public.ecdc_data VALUES (34021, 5, 721, 122.54019055, 152, 189);
INSERT INTO public.ecdc_data VALUES (34022, 5, 49, 13.61789021, 153, 189);
INSERT INTO public.ecdc_data VALUES (34023, 0, 0, 0.51235939, 62, 189);
INSERT INTO public.ecdc_data VALUES (34024, 1, 24, 1.52527495, 3, 189);
INSERT INTO public.ecdc_data VALUES (34025, 0, 2, 6.3991809, 63, 189);
INSERT INTO public.ecdc_data VALUES (34026, 0, 4, 3.01404545, 108, 189);
INSERT INTO public.ecdc_data VALUES (34027, 26, 913, 71.65749074, 64, 189);
INSERT INTO public.ecdc_data VALUES (34028, 0, 0, 0, 65, 189);
INSERT INTO public.ecdc_data VALUES (34029, 1, 48, 13.54135931, 154, 189);
INSERT INTO public.ecdc_data VALUES (34030, 0, 0, 1.08520933, 4, 189);
INSERT INTO public.ecdc_data VALUES (34031, 892, 21704, 166.82056499, 66, 189);
INSERT INTO public.ecdc_data VALUES (34032, 0, 0, 0, 67, 189);
INSERT INTO public.ecdc_data VALUES (34033, 0, 0, 0, 109, 189);
INSERT INTO public.ecdc_data VALUES (34034, 0, 75, 10.75708292, 155, 189);
INSERT INTO public.ecdc_data VALUES (34035, 0, 2, 0.20175792, 5, 189);
INSERT INTO public.ecdc_data VALUES (34036, 0, 0, 0.45097483, 6, 189);
INSERT INTO public.ecdc_data VALUES (34037, 0, 2, 0.01819666, 110, 189);
INSERT INTO public.ecdc_data VALUES (34038, 2, 376, 14.17508557, 7, 189);
INSERT INTO public.ecdc_data VALUES (34039, 58, 467, 21.97212491, 68, 189);
INSERT INTO public.ecdc_data VALUES (34040, 0, 29, 55.4609991, 8, 189);
INSERT INTO public.ecdc_data VALUES (34041, 0, 0, 70.82589148, 69, 189);
INSERT INTO public.ecdc_data VALUES (34042, 0, 0, 23.07605256, 9, 189);
INSERT INTO public.ecdc_data VALUES (34043, 0, 0, 0.55810283, 10, 189);
INSERT INTO public.ecdc_data VALUES (34044, 231, 6509, 382.52884189, 70, 189);
INSERT INTO public.ecdc_data VALUES (34045, 0, 60, 0.01115928, 111, 189);
INSERT INTO public.ecdc_data VALUES (34046, 47, 1888, 40.74339877, 71, 189);
INSERT INTO public.ecdc_data VALUES (34047, 0, 14, 8.22667063, 11, 189);
INSERT INTO public.ecdc_data VALUES (34048, 0, 34, 3.56843894, 12, 189);
INSERT INTO public.ecdc_data VALUES (34049, 0, 50, 12.18410238, 72, 189);
INSERT INTO public.ecdc_data VALUES (34050, 0, 164, 7.9676305, 13, 189);
INSERT INTO public.ecdc_data VALUES (34051, 0, 2, 0.12266188, 156, 189);
INSERT INTO public.ecdc_data VALUES (34052, 0, 5, 1.87938678, 73, 189);
INSERT INTO public.ecdc_data VALUES (34053, 0, 0, 1.83572692, 74, 189);
INSERT INTO public.ecdc_data VALUES (34054, 0, 0, 4.22423133, 157, 189);
INSERT INTO public.ecdc_data VALUES (34055, 0, 53, 7.1456741, 158, 189);
INSERT INTO public.ecdc_data VALUES (34056, 5, 87, 2.02441353, 14, 189);
INSERT INTO public.ecdc_data VALUES (34057, 3, 40, 8.7150007, 159, 189);
INSERT INTO public.ecdc_data VALUES (34058, 3, 8, 128.90873364, 15, 189);
INSERT INTO public.ecdc_data VALUES (34059, 0, 0, 2.78520499, 75, 189);
INSERT INTO public.ecdc_data VALUES (34060, 9, 564, 52.74255219, 76, 189);
INSERT INTO public.ecdc_data VALUES (34061, 46, 578, 44.80921892, 77, 189);
INSERT INTO public.ecdc_data VALUES (34062, 62, 1676, 19.45549788, 16, 189);
INSERT INTO public.ecdc_data VALUES (34063, 0, 122, 16.82794741, 78, 189);
INSERT INTO public.ecdc_data VALUES (34064, 0, 0, 0, 17, 189);
INSERT INTO public.ecdc_data VALUES (34065, 0, 24, 0.74346955, 18, 189);
INSERT INTO public.ecdc_data VALUES (34066, 0, 3, 8.15205084, 160, 189);
INSERT INTO public.ecdc_data VALUES (34067, 0, 14, 17.68087843, 19, 189);
INSERT INTO public.ecdc_data VALUES (34068, 8, 251, 1.87635964, 20, 189);
INSERT INTO public.ecdc_data VALUES (34069, 0, 0, 0, 79, 189);
INSERT INTO public.ecdc_data VALUES (34070, 0, 0, 0, 161, 189);
INSERT INTO public.ecdc_data VALUES (34071, 0, 0, 0, 203, 189);
INSERT INTO public.ecdc_data VALUES (34072, 0, 14, 4.73004406, 162, 189);
INSERT INTO public.ecdc_data VALUES (34073, 24, 526, 7.93429526, 163, 189);
INSERT INTO public.ecdc_data VALUES (34074, 0, 0, 0, 204, 189);
INSERT INTO public.ecdc_data VALUES (34075, 0, 0, 37.19083964, 21, 189);
INSERT INTO public.ecdc_data VALUES (34076, 0, 0, 0.12778486, 22, 189);
INSERT INTO public.ecdc_data VALUES (34077, 1, 8, 2.35190387, 164, 189);
INSERT INTO public.ecdc_data VALUES (34078, 6, 247, 5.76613512, 165, 189);
INSERT INTO public.ecdc_data VALUES (34079, 3, 304, 12.01268018, 23, 189);
INSERT INTO public.ecdc_data VALUES (34080, 0, 0, 44.50246247, 166, 189);
INSERT INTO public.ecdc_data VALUES (34081, 0, 4, 1.83689852, 167, 189);
INSERT INTO public.ecdc_data VALUES (34082, 0, 0, 0, 80, 189);
INSERT INTO public.ecdc_data VALUES (34083, 0, 0, 0, 81, 189);
INSERT INTO public.ecdc_data VALUES (34084, 0, 0, 7.17295795, 205, 189);
INSERT INTO public.ecdc_data VALUES (34085, 16, 509, 27.02844744, 82, 189);
INSERT INTO public.ecdc_data VALUES (34086, 0, 0, 0, 168, 189);
INSERT INTO public.ecdc_data VALUES (34087, 1, 58, 6.09180968, 24, 189);
INSERT INTO public.ecdc_data VALUES (34088, 3, 71, 10.61992788, 25, 189);
INSERT INTO public.ecdc_data VALUES (34089, 0, 0, 0.89425442, 83, 189);
INSERT INTO public.ecdc_data VALUES (34090, 6, 224, 20.42070379, 84, 189);
INSERT INTO public.ecdc_data VALUES (34091, 0, 0, 0, 169, 189);
INSERT INTO public.ecdc_data VALUES (34092, 4, 323, 34.48553603, 85, 189);
INSERT INTO public.ecdc_data VALUES (34093, 4, 11, 2.01580803, 170, 189);
INSERT INTO public.ecdc_data VALUES (34094, 0, 2, 1.12047643, 171, 189);
INSERT INTO public.ecdc_data VALUES (34095, 311, 11929, 10.15641076, 112, 189);
INSERT INTO public.ecdc_data VALUES (34096, 43, 1014, 4.30373232, 113, 189);
INSERT INTO public.ecdc_data VALUES (34097, 71, 2410, 43.42456818, 114, 189);
INSERT INTO public.ecdc_data VALUES (34098, 53, 1180, 32.48809094, 115, 189);
INSERT INTO public.ecdc_data VALUES (34099, 0, 45, 7.46293004, 172, 189);
INSERT INTO public.ecdc_data VALUES (34100, 0, 0, 0, 173, 189);
INSERT INTO public.ecdc_data VALUES (34101, 0, 132, 23.42895422, 116, 189);
INSERT INTO public.ecdc_data VALUES (34102, 78, 346, 6.60541748, 174, 189);
INSERT INTO public.ecdc_data VALUES (34103, 0, 1, 1.15321593, 86, 189);
INSERT INTO public.ecdc_data VALUES (34104, 1, 47, 0.4556193, 117, 189);
INSERT INTO public.ecdc_data VALUES (34105, 0, 0, 4.63839103, 175, 189);
INSERT INTO public.ecdc_data VALUES (34106, 0, 38, 2.16795257, 118, 189);
INSERT INTO public.ecdc_data VALUES (34107, 3, 258, 19.61035021, 119, 189);
INSERT INTO public.ecdc_data VALUES (34108, 4, 152, 2.98436677, 26, 189);
INSERT INTO public.ecdc_data VALUES (34109, 1, 53, 20.40582572, 176, 189);
INSERT INTO public.ecdc_data VALUES (34110, 4, 514, 220.43808564, 120, 189);
INSERT INTO public.ecdc_data VALUES (34111, 0, 78, 8.36989512, 121, 189);
INSERT INTO public.ecdc_data VALUES (34112, 0, 0, 0, 122, 189);
INSERT INTO public.ecdc_data VALUES (34113, 1, 1, 1.66669444, 177, 189);
INSERT INTO public.ecdc_data VALUES (34114, 1, 20, 3.66118224, 123, 189);
INSERT INTO public.ecdc_data VALUES (34115, 0, 0, 0.09410582, 27, 189);
INSERT INTO public.ecdc_data VALUES (34116, 0, 25, 3.36211111, 28, 189);
INSERT INTO public.ecdc_data VALUES (34117, 2, 9, 4.24938395, 29, 189);
INSERT INTO public.ecdc_data VALUES (34118, 0, 0, 0, 178, 189);
INSERT INTO public.ecdc_data VALUES (34119, 1, 7, 3.32834201, 179, 189);
INSERT INTO public.ecdc_data VALUES (34120, 0, 8, 7.65604485, 180, 189);
INSERT INTO public.ecdc_data VALUES (34121, 0, 22, 1.83171195, 30, 189);
INSERT INTO public.ecdc_data VALUES (34122, 1, 48, 1.34201175, 31, 189);
INSERT INTO public.ecdc_data VALUES (34123, 1, 43, 2.1377293, 124, 189);
INSERT INTO public.ecdc_data VALUES (34124, 0, 10, 64.22365653, 125, 189);
INSERT INTO public.ecdc_data VALUES (34125, 3, 24, 2.67575229, 32, 189);
INSERT INTO public.ecdc_data VALUES (34126, 0, 2, 6.07830067, 181, 189);
INSERT INTO public.ecdc_data VALUES (34127, 0, 0, 21.12381339, 33, 189);
INSERT INTO public.ecdc_data VALUES (34128, 0, 0, 0.15752125, 34, 189);
INSERT INTO public.ecdc_data VALUES (34129, 424, 3051, 49.91709656, 87, 189);
INSERT INTO public.ecdc_data VALUES (34130, 13, 366, 83.12603351, 182, 189);
INSERT INTO public.ecdc_data VALUES (34131, 0, 0, 0, 183, 189);
INSERT INTO public.ecdc_data VALUES (34132, 0, 0, 0.55811081, 126, 189);
INSERT INTO public.ecdc_data VALUES (34133, 0, 0, 0, 184, 189);
INSERT INTO public.ecdc_data VALUES (34134, 0, 0, 0, 88, 189);
INSERT INTO public.ecdc_data VALUES (34135, 0, 82, 2.50056441, 35, 189);
INSERT INTO public.ecdc_data VALUES (34136, 0, 44, 1.01758402, 36, 189);
INSERT INTO public.ecdc_data VALUES (34137, 0, 0, 0.06846093, 127, 189);
INSERT INTO public.ecdc_data VALUES (34138, 0, 1, 0.36079028, 37, 189);
INSERT INTO public.ecdc_data VALUES (34139, 2, 273, 13.75105453, 128, 189);
INSERT INTO public.ecdc_data VALUES (34140, 4, 179, 13.78878327, 185, 189);
INSERT INTO public.ecdc_data VALUES (34141, 0, 0, 0.70732113, 207, 189);
INSERT INTO public.ecdc_data VALUES (34142, 0, 0, 0, 208, 189);
INSERT INTO public.ecdc_data VALUES (34143, 0, 0, 13.68878755, 89, 189);
INSERT INTO public.ecdc_data VALUES (34144, 1, 2, 0.10295693, 38, 189);
INSERT INTO public.ecdc_data VALUES (34145, 8, 501, 2.89953002, 39, 189);
INSERT INTO public.ecdc_data VALUES (34146, 8, 196, 83.67306459, 186, 189);
INSERT INTO public.ecdc_data VALUES (34147, 0, 0, 13.98283607, 209, 189);
INSERT INTO public.ecdc_data VALUES (34148, 0, 0, 3.65976429, 187, 189);
INSERT INTO public.ecdc_data VALUES (34149, 3, 1006, 234.25163297, 129, 189);
INSERT INTO public.ecdc_data VALUES (34150, 81, 6825, 32.19998519, 130, 189);
INSERT INTO public.ecdc_data VALUES (34151, 0, 4, 0.94350569, 131, 189);
INSERT INTO public.ecdc_data VALUES (34152, 8, 848, 165.80947806, 90, 189);
INSERT INTO public.ecdc_data VALUES (34153, 0, 0, 0, 210, 189);
INSERT INTO public.ecdc_data VALUES (34154, 0, 7, 4.21597189, 91, 189);
INSERT INTO public.ecdc_data VALUES (34155, 190, 4383, 213.65737589, 92, 189);
INSERT INTO public.ecdc_data VALUES (34156, 22, 605, 7.55480503, 132, 189);
INSERT INTO public.ecdc_data VALUES (34157, 15, 440, 14.34184016, 188, 189);
INSERT INTO public.ecdc_data VALUES (34158, 7, 283, 41.45333041, 189, 189);
INSERT INTO public.ecdc_data VALUES (34159, 0, 154, 67.2256532, 93, 189);
INSERT INTO public.ecdc_data VALUES (34160, 0, 1828, 817.56424892, 133, 189);
INSERT INTO public.ecdc_data VALUES (34161, 11, 275, 13.11393808, 190, 189);
INSERT INTO public.ecdc_data VALUES (34162, 114, 8706, 84.70013421, 191, 189);
INSERT INTO public.ecdc_data VALUES (34163, 0, 31, 1.4413629, 40, 189);
INSERT INTO public.ecdc_data VALUES (34164, 0, 0, 0, 94, 189);
INSERT INTO public.ecdc_data VALUES (34165, 0, 0, 0.54706092, 95, 189);
INSERT INTO public.ecdc_data VALUES (34166, 0, 0, 0.90421636, 96, 189);
INSERT INTO public.ecdc_data VALUES (34167, 0, 0, 66.75761182, 192, 189);
INSERT INTO public.ecdc_data VALUES (34168, 0, 9, 83.70224322, 41, 189);
INSERT INTO public.ecdc_data VALUES (34169, 39, 3366, 116.50339587, 134, 189);
INSERT INTO public.ecdc_data VALUES (34170, 4, 145, 8.96519113, 42, 189);
INSERT INTO public.ecdc_data VALUES (34171, 1, 76, 12.4932436, 193, 189);
INSERT INTO public.ecdc_data VALUES (34172, 0, 0, 0, 43, 189);
INSERT INTO public.ecdc_data VALUES (34173, 0, 29, 3.58367569, 44, 189);
INSERT INTO public.ecdc_data VALUES (34174, 1, 347, 100.45925956, 135, 189);
INSERT INTO public.ecdc_data VALUES (34175, 0, 0, 0, 97, 189);
INSERT INTO public.ecdc_data VALUES (34176, 0, 3, 0.44033296, 194, 189);
INSERT INTO public.ecdc_data VALUES (34177, 0, 2, 0.91306295, 195, 189);
INSERT INTO public.ecdc_data VALUES (34178, 2, 66, 4.29323341, 45, 189);
INSERT INTO public.ecdc_data VALUES (34179, 69, 3809, 59.37504947, 46, 189);
INSERT INTO public.ecdc_data VALUES (34180, 0, 33, 1.20253029, 136, 189);
INSERT INTO public.ecdc_data VALUES (34181, 5, 23, 6.31886455, 47, 189);
INSERT INTO public.ecdc_data VALUES (34182, 0, 323, 9.5851764, 196, 189);
INSERT INTO public.ecdc_data VALUES (34183, 0, 4, 1.23805709, 137, 189);
INSERT INTO public.ecdc_data VALUES (34184, 0, 0, 4.8559748, 48, 189);
INSERT INTO public.ecdc_data VALUES (34185, 0, 9, 31.30574185, 98, 189);
INSERT INTO public.ecdc_data VALUES (34186, 33, 1032, 121.1121793, 197, 189);
INSERT INTO public.ecdc_data VALUES (34187, 0, 31, 2.9141461, 198, 189);
INSERT INTO public.ecdc_data VALUES (34188, 0, 6, 0.2811929, 138, 189);
INSERT INTO public.ecdc_data VALUES (34189, 0, 0, 0.0042063, 139, 189);
INSERT INTO public.ecdc_data VALUES (34190, 1, 69, 12.48789967, 140, 189);
INSERT INTO public.ecdc_data VALUES (34191, 0, 5, 0.07612145, 141, 189);
INSERT INTO public.ecdc_data VALUES (34192, 0, 0, 0, 142, 189);
INSERT INTO public.ecdc_data VALUES (34193, 0, 5, 1.20014466, 49, 189);
INSERT INTO public.ecdc_data VALUES (34194, 0, 0, 0, 99, 189);
INSERT INTO public.ecdc_data VALUES (34195, 0, 1, 0.1539156, 50, 189);
INSERT INTO public.ecdc_data VALUES (34196, 14, 1459, 16.5528749, 199, 189);
INSERT INTO public.ecdc_data VALUES (34197, 0, 0, 0, 100, 189);
INSERT INTO public.ecdc_data VALUES (34198, 0, 0, 0.6144173, 51, 189);
INSERT INTO public.ecdc_data VALUES (34199, 10, 753, 16.59785256, 200, 189);
INSERT INTO public.ecdc_data VALUES (34200, 1, 491, 82.84098522, 143, 189);
INSERT INTO public.ecdc_data VALUES (34201, 107, 1052, 23.84949553, 201, 189);
INSERT INTO public.ecdc_data VALUES (34202, 0, 0, 0, 52, 189);
INSERT INTO public.ecdc_data VALUES (34203, 767, 25540, 92.42613973, 101, 189);
INSERT INTO public.ecdc_data VALUES (34204, 0, 0, 2.86864476, 102, 189);
INSERT INTO public.ecdc_data VALUES (34205, 0, 0, 0.75106933, 103, 189);
INSERT INTO public.ecdc_data VALUES (34206, 0, 93, 4.36605556, 144, 189);
INSERT INTO public.ecdc_data VALUES (34207, 1, 25, 5.06736101, 104, 189);
INSERT INTO public.ecdc_data VALUES (34208, 0, 1, 0.00725674, 145, 189);
INSERT INTO public.ecdc_data VALUES (34209, 0, 0, 0, 53, 189);
INSERT INTO public.ecdc_data VALUES (34210, 21, 73, 1.35450606, 146, 189);
INSERT INTO public.ecdc_data VALUES (34211, 0, 36, 1.679634, 54, 189);
INSERT INTO public.ecdc_data VALUES (34212, 0, 13, 1.24270483, 55, 189);
INSERT INTO public.ecdc_data VALUES (34213, 3, 259, 8.61421832, 105, 190);
INSERT INTO public.ecdc_data VALUES (34214, 0, 4, 3.98263432, 147, 190);
INSERT INTO public.ecdc_data VALUES (34215, 7, 186, 5.58613101, 1, 190);
INSERT INTO public.ecdc_data VALUES (34216, 1, 2, 22.31644722, 148, 190);
INSERT INTO public.ecdc_data VALUES (34217, 0, 0, 0.05655878, 2, 190);
INSERT INTO public.ecdc_data VALUES (34218, 0, 0, 0, 56, 190);
INSERT INTO public.ecdc_data VALUES (34219, 0, 0, 1.02970705, 57, 190);
INSERT INTO public.ecdc_data VALUES (34220, 10, 316, 5.79267731, 58, 190);
INSERT INTO public.ecdc_data VALUES (34221, 1, 142, 60.65466466, 149, 190);
INSERT INTO public.ecdc_data VALUES (34222, 0, 0, 0.94064528, 59, 190);
INSERT INTO public.ecdc_data VALUES (34223, 1, 11, 0.90861478, 202, 190);
INSERT INTO public.ecdc_data VALUES (34224, 1, 54, 6.77294547, 150, 190);
INSERT INTO public.ecdc_data VALUES (34225, 2, 65, 9.87288757, 151, 190);
INSERT INTO public.ecdc_data VALUES (34226, 0, 1, 3.59448093, 60, 190);
INSERT INTO public.ecdc_data VALUES (34227, 1, 285, 176.39918984, 106, 190);
INSERT INTO public.ecdc_data VALUES (34228, 19, 1162, 6.57421134, 107, 190);
INSERT INTO public.ecdc_data VALUES (34229, 0, 0, 1.74203281, 61, 190);
INSERT INTO public.ecdc_data VALUES (34230, 4, 952, 133.76484238, 152, 190);
INSERT INTO public.ecdc_data VALUES (34231, 56, 321, 49.70529925, 153, 190);
INSERT INTO public.ecdc_data VALUES (34232, 0, 0, 0, 62, 190);
INSERT INTO public.ecdc_data VALUES (34233, 0, 0, 2.18622743, 3, 190);
INSERT INTO public.ecdc_data VALUES (34234, 0, 0, 15.99795226, 63, 190);
INSERT INTO public.ecdc_data VALUES (34235, 0, 4, 1.04836364, 108, 190);
INSERT INTO public.ecdc_data VALUES (34236, 14, 184, 17.70157165, 64, 190);
INSERT INTO public.ecdc_data VALUES (34237, 0, 0, 0, 65, 190);
INSERT INTO public.ecdc_data VALUES (34238, 4, 23, 14.9045834, 154, 190);
INSERT INTO public.ecdc_data VALUES (34239, 0, 0, 0.04340837, 4, 190);
INSERT INTO public.ecdc_data VALUES (34240, 749, 11385, 52.50521324, 66, 190);
INSERT INTO public.ecdc_data VALUES (34241, 0, 0, 3.3296707, 67, 190);
INSERT INTO public.ecdc_data VALUES (34242, 0, 0, 0.69236734, 109, 190);
INSERT INTO public.ecdc_data VALUES (34243, 1, 46, 8.88566478, 155, 190);
INSERT INTO public.ecdc_data VALUES (34244, 0, 7, 0.64956209, 5, 190);
INSERT INTO public.ecdc_data VALUES (34245, 0, 0, 0.10407111, 6, 190);
INSERT INTO public.ecdc_data VALUES (34246, 0, 0, 0, 110, 190);
INSERT INTO public.ecdc_data VALUES (34247, 11, 111, 3.74086228, 7, 190);
INSERT INTO public.ecdc_data VALUES (34248, 135, 1121, 55.30720639, 68, 190);
INSERT INTO public.ecdc_data VALUES (34249, 0, 19, 32.00372407, 8, 190);
INSERT INTO public.ecdc_data VALUES (34250, 0, 0, 18.47631952, 69, 190);
INSERT INTO public.ecdc_data VALUES (34251, 0, 18, 3.09788103, 9, 190);
INSERT INTO public.ecdc_data VALUES (34252, 2, 15, 2.00666187, 10, 190);
INSERT INTO public.ecdc_data VALUES (34253, 11, 2660, 102.87021948, 70, 190);
INSERT INTO public.ecdc_data VALUES (34254, 0, 6, 0.00557964, 111, 190);
INSERT INTO public.ecdc_data VALUES (34255, 16, 658, 13.34738646, 71, 190);
INSERT INTO public.ecdc_data VALUES (34256, 0, 0, 0, 11, 190);
INSERT INTO public.ecdc_data VALUES (34257, 0, 8, 2.24885996, 12, 190);
INSERT INTO public.ecdc_data VALUES (34258, 0, 11, 2.02077796, 72, 190);
INSERT INTO public.ecdc_data VALUES (34259, 3, 55, 2.62087992, 13, 190);
INSERT INTO public.ecdc_data VALUES (34260, 3, 6, 3.70438879, 156, 190);
INSERT INTO public.ecdc_data VALUES (34261, 1, 6, 3.02643035, 73, 190);
INSERT INTO public.ecdc_data VALUES (34262, 0, 0, 0, 74, 190);
INSERT INTO public.ecdc_data VALUES (34263, 1, 2, 7.07844169, 157, 190);
INSERT INTO public.ecdc_data VALUES (34264, 7, 48, 6.47899491, 158, 190);
INSERT INTO public.ecdc_data VALUES (34265, 0, 73, 0.85493161, 14, 190);
INSERT INTO public.ecdc_data VALUES (34266, 6, 76, 28.57349045, 159, 190);
INSERT INTO public.ecdc_data VALUES (34267, 0, 12, 19.61877938, 15, 190);
INSERT INTO public.ecdc_data VALUES (34268, 0, 0, 0, 75, 190);
INSERT INTO public.ecdc_data VALUES (34269, 7, 296, 42.31323396, 76, 190);
INSERT INTO public.ecdc_data VALUES (34270, 7, 67, 33.44718962, 77, 190);
INSERT INTO public.ecdc_data VALUES (34271, 12, 338, 5.14304109, 16, 190);
INSERT INTO public.ecdc_data VALUES (34272, 0, 75, 11.38908043, 78, 190);
INSERT INTO public.ecdc_data VALUES (34273, 2, 83, 15.26568937, 17, 190);
INSERT INTO public.ecdc_data VALUES (34274, 0, 0, 0, 18, 190);
INSERT INTO public.ecdc_data VALUES (34275, 0, 5, 6.41596594, 160, 190);
INSERT INTO public.ecdc_data VALUES (34276, 0, 3, 8.36140064, 19, 190);
INSERT INTO public.ecdc_data VALUES (34277, 0, 2, 0.11866659, 20, 190);
INSERT INTO public.ecdc_data VALUES (34278, 0, 0, 0, 79, 190);
INSERT INTO public.ecdc_data VALUES (34279, 0, 0, 0, 161, 190);
INSERT INTO public.ecdc_data VALUES (34280, 0, 0, 0, 203, 190);
INSERT INTO public.ecdc_data VALUES (34281, 9, 51, 20.80494476, 162, 190);
INSERT INTO public.ecdc_data VALUES (34282, 83, 507, 18.34274165, 163, 190);
INSERT INTO public.ecdc_data VALUES (34283, 0, 0, 0.71611436, 204, 190);
INSERT INTO public.ecdc_data VALUES (34284, 0, 141, 33.50857829, 21, 190);
INSERT INTO public.ecdc_data VALUES (34285, 0, 0, 0.51113943, 22, 190);
INSERT INTO public.ecdc_data VALUES (34286, 0, 5, 3.25263301, 164, 190);
INSERT INTO public.ecdc_data VALUES (34287, 89, 933, 15.80357067, 165, 190);
INSERT INTO public.ecdc_data VALUES (34288, 2, 281, 12.28554621, 23, 190);
INSERT INTO public.ecdc_data VALUES (34289, 0, 0, 17.80098499, 166, 190);
INSERT INTO public.ecdc_data VALUES (34290, 3, 16, 1.71568186, 167, 190);
INSERT INTO public.ecdc_data VALUES (34291, 0, 0, 0, 80, 190);
INSERT INTO public.ecdc_data VALUES (34292, 0, 0, 0.8928412, 81, 190);
INSERT INTO public.ecdc_data VALUES (34293, 0, 0, 4.18422547, 205, 190);
INSERT INTO public.ecdc_data VALUES (34294, 2, 143, 4.30566808, 82, 190);
INSERT INTO public.ecdc_data VALUES (34295, 0, 0, 1.55115716, 168, 190);
INSERT INTO public.ecdc_data VALUES (34296, 3, 161, 8.01018162, 24, 190);
INSERT INTO public.ecdc_data VALUES (34297, 0, 0, 38.6794432, 25, 190);
INSERT INTO public.ecdc_data VALUES (34298, 0, 0, 4.47127208, 83, 190);
INSERT INTO public.ecdc_data VALUES (34299, 0, 15, 1.40281356, 84, 190);
INSERT INTO public.ecdc_data VALUES (34300, 0, 0, 245.39877301, 169, 190);
INSERT INTO public.ecdc_data VALUES (34301, 2, 175, 15.22658003, 85, 190);
INSERT INTO public.ecdc_data VALUES (34302, 6, 39, 6.19067948, 170, 190);
INSERT INTO public.ecdc_data VALUES (34303, 0, 1, 1.40059553, 171, 190);
INSERT INTO public.ecdc_data VALUES (34304, 134, 3722, 3.28984308, 112, 190);
INSERT INTO public.ecdc_data VALUES (34305, 21, 689, 2.09403718, 113, 190);
INSERT INTO public.ecdc_data VALUES (34306, 50, 1958, 22.9973522, 114, 190);
INSERT INTO public.ecdc_data VALUES (34307, 3, 119, 2.61766859, 115, 190);
INSERT INTO public.ecdc_data VALUES (34308, 9, 159, 64.18935452, 172, 190);
INSERT INTO public.ecdc_data VALUES (34309, 0, 1, 22.46154937, 173, 190);
INSERT INTO public.ecdc_data VALUES (34310, 4, 19, 8.38089845, 116, 190);
INSERT INTO public.ecdc_data VALUES (34311, 195, 888, 30.67120485, 174, 190);
INSERT INTO public.ecdc_data VALUES (34312, 0, 2, 3.83274706, 86, 190);
INSERT INTO public.ecdc_data VALUES (34313, 19, 55, 1.56944294, 117, 190);
INSERT INTO public.ecdc_data VALUES (34314, 1, 1, 9.27678207, 175, 190);
INSERT INTO public.ecdc_data VALUES (34315, 0, 6, 1.29681181, 118, 190);
INSERT INTO public.ecdc_data VALUES (34316, 0, 154, 12.75373518, 119, 190);
INSERT INTO public.ecdc_data VALUES (34317, 4, 22, 0.67143497, 26, 190);
INSERT INTO public.ecdc_data VALUES (34318, 0, 8, 6.61660289, 176, 190);
INSERT INTO public.ecdc_data VALUES (34319, 7, 751, 173.23191375, 120, 190);
INSERT INTO public.ecdc_data VALUES (34320, 0, 38, 5.23702935, 121, 190);
INSERT INTO public.ecdc_data VALUES (34321, 0, 0, 0, 122, 190);
INSERT INTO public.ecdc_data VALUES (34322, 1, 1, 5.31258854, 177, 190);
INSERT INTO public.ecdc_data VALUES (34323, 0, 8, 2.29006219, 123, 190);
INSERT INTO public.ecdc_data VALUES (34324, 0, 1, 1.45826506, 28, 190);
INSERT INTO public.ecdc_data VALUES (34325, 0, 0, 0.04426442, 29, 190);
INSERT INTO public.ecdc_data VALUES (34326, 0, 0, 0, 178, 190);
INSERT INTO public.ecdc_data VALUES (34327, 4, 14, 4.65252109, 179, 190);
INSERT INTO public.ecdc_data VALUES (34328, 1, 10, 21.99076714, 180, 190);
INSERT INTO public.ecdc_data VALUES (34329, 0, 20, 0.31146519, 30, 190);
INSERT INTO public.ecdc_data VALUES (34330, 0, 5, 0.14493727, 31, 190);
INSERT INTO public.ecdc_data VALUES (34331, 2, 37, 2.61034588, 124, 190);
INSERT INTO public.ecdc_data VALUES (34332, 1, 51, 127.69395638, 125, 190);
INSERT INTO public.ecdc_data VALUES (34333, 4, 28, 1.4040069, 32, 190);
INSERT INTO public.ecdc_data VALUES (34334, 0, 14, 11.54877127, 181, 190);
INSERT INTO public.ecdc_data VALUES (34335, 1, 1, 0.04419208, 33, 190);
INSERT INTO public.ecdc_data VALUES (34336, 0, 0, 0, 34, 190);
INSERT INTO public.ecdc_data VALUES (34337, 294, 3095, 22.8985921, 87, 190);
INSERT INTO public.ecdc_data VALUES (34338, 3, 252, 40.43768664, 182, 190);
INSERT INTO public.ecdc_data VALUES (34339, 0, 0, 0, 183, 190);
INSERT INTO public.ecdc_data VALUES (34340, 0, 19, 0.71314159, 126, 190);
INSERT INTO public.ecdc_data VALUES (34341, 0, 0, 0.32144935, 184, 190);
INSERT INTO public.ecdc_data VALUES (34342, 0, 0, 0, 88, 190);
INSERT INTO public.ecdc_data VALUES (34343, 0, 94, 6.00738665, 35, 190);
INSERT INTO public.ecdc_data VALUES (34344, 0, 3, 0.10208772, 36, 190);
INSERT INTO public.ecdc_data VALUES (34345, 0, 1, 0.05735916, 127, 190);
INSERT INTO public.ecdc_data VALUES (34346, 0, 0, 0, 37, 190);
INSERT INTO public.ecdc_data VALUES (34347, 0, 2, 0.56626102, 128, 190);
INSERT INTO public.ecdc_data VALUES (34348, 52, 227, 25.51185289, 185, 190);
INSERT INTO public.ecdc_data VALUES (34349, 0, 0, 0, 207, 190);
INSERT INTO public.ecdc_data VALUES (34350, 0, 0, 0.37632797, 208, 190);
INSERT INTO public.ecdc_data VALUES (34351, 0, 0, 0.16805431, 89, 190);
INSERT INTO public.ecdc_data VALUES (34352, 2, 6, 0.63061118, 38, 190);
INSERT INTO public.ecdc_data VALUES (34353, 6, 184, 1.61372505, 39, 190);
INSERT INTO public.ecdc_data VALUES (34354, 3, 20, 12.13211293, 186, 190);
INSERT INTO public.ecdc_data VALUES (34355, 0, 0, 8.73927254, 209, 190);
INSERT INTO public.ecdc_data VALUES (34356, 1, 23, 9.2150988, 187, 190);
INSERT INTO public.ecdc_data VALUES (34357, 0, 298, 35.07543329, 129, 190);
INSERT INTO public.ecdc_data VALUES (34358, 33, 1452, 9.24847999, 130, 190);
INSERT INTO public.ecdc_data VALUES (34359, 0, 1, 0.82305815, 131, 190);
INSERT INTO public.ecdc_data VALUES (34360, 4, 161, 60.42708716, 90, 190);
INSERT INTO public.ecdc_data VALUES (34361, 0, 0, 0, 210, 190);
INSERT INTO public.ecdc_data VALUES (34362, 1, 3, 6.96983905, 91, 190);
INSERT INTO public.ecdc_data VALUES (34363, 112, 4247, 130.34265708, 92, 190);
INSERT INTO public.ecdc_data VALUES (34364, 21, 268, 3.1503019, 132, 190);
INSERT INTO public.ecdc_data VALUES (34365, 22, 283, 12.01912568, 188, 190);
INSERT INTO public.ecdc_data VALUES (34366, 12, 219, 33.47405085, 189, 190);
INSERT INTO public.ecdc_data VALUES (34367, 1, 30, 30.5447187, 93, 190);
INSERT INTO public.ecdc_data VALUES (34368, 0, 1390, 493.4551429, 133, 190);
INSERT INTO public.ecdc_data VALUES (34369, 14, 224, 20.72682122, 190, 190);
INSERT INTO public.ecdc_data VALUES (34370, 96, 10028, 97.94322786, 191, 190);
INSERT INTO public.ecdc_data VALUES (34371, 0, 1, 0.49101374, 40, 190);
INSERT INTO public.ecdc_data VALUES (34372, 0, 0, 0, 94, 190);
INSERT INTO public.ecdc_data VALUES (34373, 0, 0, 0.54706092, 95, 190);
INSERT INTO public.ecdc_data VALUES (34374, 0, 0, 0.90421636, 96, 190);
INSERT INTO public.ecdc_data VALUES (34375, 0, 5, 232.20038894, 192, 190);
INSERT INTO public.ecdc_data VALUES (34376, 1, 15, 102.76775418, 41, 190);
INSERT INTO public.ecdc_data VALUES (34377, 9, 1905, 68.36593424, 134, 190);
INSERT INTO public.ecdc_data VALUES (34378, 3, 110, 7.50474247, 42, 190);
INSERT INTO public.ecdc_data VALUES (34379, 2, 52, 22.55963872, 193, 190);
INSERT INTO public.ecdc_data VALUES (34380, 0, 0, 0, 43, 190);
INSERT INTO public.ecdc_data VALUES (34381, 1, 49, 3.46848612, 44, 190);
INSERT INTO public.ecdc_data VALUES (34382, 0, 675, 167.20238621, 135, 190);
INSERT INTO public.ecdc_data VALUES (34383, 0, 0, 2.3591026, 97, 190);
INSERT INTO public.ecdc_data VALUES (34384, 0, 4, 1.43108211, 194, 190);
INSERT INTO public.ecdc_data VALUES (34385, 1, 1, 2.21057346, 195, 190);
INSERT INTO public.ecdc_data VALUES (34386, 0, 49, 4.12487132, 45, 190);
INSERT INTO public.ecdc_data VALUES (34387, 13, 724, 11.48258025, 46, 190);
INSERT INTO public.ecdc_data VALUES (34388, 1, 29, 0.44118806, 136, 190);
INSERT INTO public.ecdc_data VALUES (34389, 0, 9, 1.52773692, 47, 190);
INSERT INTO public.ecdc_data VALUES (34390, 217, 849, 30.58777009, 196, 190);
INSERT INTO public.ecdc_data VALUES (34391, 0, 26, 1.24743631, 137, 190);
INSERT INTO public.ecdc_data VALUES (34392, 10, 157, 3.37045293, 48, 190);
INSERT INTO public.ecdc_data VALUES (34393, 0, 0, 0, 98, 190);
INSERT INTO public.ecdc_data VALUES (34394, 50, 698, 77.09538, 197, 190);
INSERT INTO public.ecdc_data VALUES (34395, 3, 33, 11.77361836, 198, 190);
INSERT INTO public.ecdc_data VALUES (34396, 0, 1, 0.02929093, 138, 190);
INSERT INTO public.ecdc_data VALUES (34397, 0, 0, 0.04626926, 139, 190);
INSERT INTO public.ecdc_data VALUES (34398, 0, 72, 8.59347735, 140, 190);
INSERT INTO public.ecdc_data VALUES (34399, 0, 0, 0.09048398, 141, 190);
INSERT INTO public.ecdc_data VALUES (34400, 0, 0, 0, 142, 190);
INSERT INTO public.ecdc_data VALUES (34401, 0, 20, 1.36098879, 49, 190);
INSERT INTO public.ecdc_data VALUES (34402, 0, 0, 0, 99, 190);
INSERT INTO public.ecdc_data VALUES (34403, 0, 0, 0.44464507, 50, 190);
INSERT INTO public.ecdc_data VALUES (34404, 58, 1639, 31.1265752, 199, 190);
INSERT INTO public.ecdc_data VALUES (34405, 0, 0, 0, 100, 190);
INSERT INTO public.ecdc_data VALUES (34406, 0, 13, 0.13101545, 51, 190);
INSERT INTO public.ecdc_data VALUES (34407, 14, 402, 14.90897219, 200, 190);
INSERT INTO public.ecdc_data VALUES (34408, 3, 725, 86.55624068, 143, 190);
INSERT INTO public.ecdc_data VALUES (34409, 447, 3402, 75.85925104, 201, 190);
INSERT INTO public.ecdc_data VALUES (34410, 0, 0, 0.04999529, 52, 190);
INSERT INTO public.ecdc_data VALUES (34411, 1746, 20782, 106.6163489, 101, 190);
INSERT INTO public.ecdc_data VALUES (34412, 1, 0, 2.86864476, 102, 190);
INSERT INTO public.ecdc_data VALUES (34413, 0, 2, 2.57096811, 103, 190);
INSERT INTO public.ecdc_data VALUES (34414, 1, 65, 1.84950964, 144, 190);
INSERT INTO public.ecdc_data VALUES (34415, 0, 17, 0.38224384, 104, 190);
INSERT INTO public.ecdc_data VALUES (34416, 0, 0, 0.01866018, 145, 190);
INSERT INTO public.ecdc_data VALUES (34417, 0, 0, 0, 53, 190);
INSERT INTO public.ecdc_data VALUES (34418, 1, 3, 0.21946427, 146, 190);
INSERT INTO public.ecdc_data VALUES (34419, 0, 5, 1.95397422, 54, 190);
INSERT INTO public.ecdc_data VALUES (34420, 0, 0, 0.02048415, 55, 190);
INSERT INTO public.ecdc_data VALUES (34421, 3, 58, 1.37743375, 105, 191);
INSERT INTO public.ecdc_data VALUES (34422, 0, 21, 8.52423485, 147, 191);
INSERT INTO public.ecdc_data VALUES (34423, 20, 69, 3.24947912, 1, 191);
INSERT INTO public.ecdc_data VALUES (34424, 0, 8, 362.3140843, 148, 191);
INSERT INTO public.ecdc_data VALUES (34425, 0, 0, 0.03770585, 2, 191);
INSERT INTO public.ecdc_data VALUES (34426, 0, 0, 6.72404519, 56, 191);
INSERT INTO public.ecdc_data VALUES (34427, 0, 2, 16.47531277, 57, 191);
INSERT INTO public.ecdc_data VALUES (34428, 3, 69, 2.91643661, 58, 191);
INSERT INTO public.ecdc_data VALUES (34429, 2, 28, 18.08820825, 149, 191);
INSERT INTO public.ecdc_data VALUES (34430, 0, 0, 39.50710187, 59, 191);
INSERT INTO public.ecdc_data VALUES (34431, 0, 44, 7.17765998, 202, 191);
INSERT INTO public.ecdc_data VALUES (34432, 18, 106, 49.95047284, 150, 191);
INSERT INTO public.ecdc_data VALUES (34433, 1, 50, 8.70844418, 151, 191);
INSERT INTO public.ecdc_data VALUES (34434, 0, 2, 8.98620233, 60, 191);
INSERT INTO public.ecdc_data VALUES (34435, 1, 225, 51.54877879, 106, 191);
INSERT INTO public.ecdc_data VALUES (34436, 5, 182, 0.46244569, 107, 191);
INSERT INTO public.ecdc_data VALUES (34437, 0, 1, 13.23944938, 61, 191);
INSERT INTO public.ecdc_data VALUES (34438, 3, 341, 29.77018874, 152, 191);
INSERT INTO public.ecdc_data VALUES (34439, 277, 538, 182.31386985, 153, 191);
INSERT INTO public.ecdc_data VALUES (34440, 0, 4, 3.84269542, 62, 191);
INSERT INTO public.ecdc_data VALUES (34441, 0, 0, 0.24573874, 3, 191);
INSERT INTO public.ecdc_data VALUES (34442, 0, 0, 47.99385679, 63, 191);
INSERT INTO public.ecdc_data VALUES (34443, 0, 0, 0.13104545, 108, 191);
INSERT INTO public.ecdc_data VALUES (34444, 1, 24, 2.14538184, 64, 191);
INSERT INTO public.ecdc_data VALUES (34445, 0, 1, 0, 65, 191);
INSERT INTO public.ecdc_data VALUES (34446, 0, 21, 20.44836137, 154, 191);
INSERT INTO public.ecdc_data VALUES (34447, 0, 0, 0.56430885, 4, 191);
INSERT INTO public.ecdc_data VALUES (34448, 105, 1261, 8.93202699, 66, 191);
INSERT INTO public.ecdc_data VALUES (34449, 0, 0, 0, 67, 191);
INSERT INTO public.ecdc_data VALUES (34450, 0, 0, 2.07710203, 109, 191);
INSERT INTO public.ecdc_data VALUES (34451, 3, 10, 4.65711691, 155, 191);
INSERT INTO public.ecdc_data VALUES (34452, 1, 18, 1.441831, 5, 191);
INSERT INTO public.ecdc_data VALUES (34453, 0, 0, 0.04336296, 6, 191);
INSERT INTO public.ecdc_data VALUES (34454, 0, 0, 0.07885219, 110, 191);
INSERT INTO public.ecdc_data VALUES (34455, 0, 0, 2.6201494, 7, 191);
INSERT INTO public.ecdc_data VALUES (34456, 63, 1298, 48.75299103, 68, 191);
INSERT INTO public.ecdc_data VALUES (34457, 0, 0, 0.90919671, 8, 191);
INSERT INTO public.ecdc_data VALUES (34458, 0, 0, 63.12742502, 69, 191);
INSERT INTO public.ecdc_data VALUES (34459, 0, 0, 0.1053701, 9, 191);
INSERT INTO public.ecdc_data VALUES (34460, 0, 8, 0.10033309, 10, 191);
INSERT INTO public.ecdc_data VALUES (34461, 2, 312, 26.78340347, 70, 191);
INSERT INTO public.ecdc_data VALUES (34462, 0, 94, 0.07406975, 111, 191);
INSERT INTO public.ecdc_data VALUES (34463, 3, 76, 4.08029942, 71, 191);
INSERT INTO public.ecdc_data VALUES (34464, 0, 0, 0.94786659, 12, 191);
INSERT INTO public.ecdc_data VALUES (34465, 0, 17, 5.5868567, 72, 191);
INSERT INTO public.ecdc_data VALUES (34466, 1, 52, 1.78095401, 13, 191);
INSERT INTO public.ecdc_data VALUES (34467, 2, 50, 21.09784346, 156, 191);
INSERT INTO public.ecdc_data VALUES (34468, 3, 57, 4.90581713, 73, 191);
INSERT INTO public.ecdc_data VALUES (34469, 0, 0, 3.05954486, 74, 191);
INSERT INTO public.ecdc_data VALUES (34470, 1, 29, 49.32075502, 157, 191);
INSERT INTO public.ecdc_data VALUES (34471, 5, 68, 28.70476441, 158, 191);
INSERT INTO public.ecdc_data VALUES (34472, 0, 1, 0.15785125, 14, 191);
INSERT INTO public.ecdc_data VALUES (34473, 12, 144, 64.43244591, 159, 191);
INSERT INTO public.ecdc_data VALUES (34474, 0, 84, 27.9387853, 15, 191);
INSERT INTO public.ecdc_data VALUES (34475, 0, 0, 6.96301248, 75, 191);
INSERT INTO public.ecdc_data VALUES (34476, 4, 200, 21.10074563, 76, 191);
INSERT INTO public.ecdc_data VALUES (34477, 22, 63, 32.01974115, 77, 191);
INSERT INTO public.ecdc_data VALUES (34478, 5, 125, 1.57488824, 16, 191);
INSERT INTO public.ecdc_data VALUES (34479, 0, 24, 1.81295566, 78, 191);
INSERT INTO public.ecdc_data VALUES (34480, 0, 0, 0.51623104, 17, 191);
INSERT INTO public.ecdc_data VALUES (34481, 0, 0, 0.62908962, 18, 191);
INSERT INTO public.ecdc_data VALUES (34482, 3, 23, 46.57236455, 160, 191);
INSERT INTO public.ecdc_data VALUES (34483, 0, 1, 0.52258754, 19, 191);
INSERT INTO public.ecdc_data VALUES (34484, 0, 3, 0.04550373, 20, 191);
INSERT INTO public.ecdc_data VALUES (34485, 0, 0, 0, 79, 191);
INSERT INTO public.ecdc_data VALUES (34486, 0, 0, 32.86973314, 161, 191);
INSERT INTO public.ecdc_data VALUES (34487, 0, 0, 1.23601755, 203, 191);
INSERT INTO public.ecdc_data VALUES (34488, 3, 90, 31.7329776, 162, 191);
INSERT INTO public.ecdc_data VALUES (34489, 574, 2673, 79.87419374, 163, 191);
INSERT INTO public.ecdc_data VALUES (34490, 0, 2, 6.80308645, 204, 191);
INSERT INTO public.ecdc_data VALUES (34491, 0, 0, 2.30141334, 21, 191);
INSERT INTO public.ecdc_data VALUES (34492, 0, 0, 0.21297476, 22, 191);
INSERT INTO public.ecdc_data VALUES (34493, 0, 15, 4.35352418, 164, 191);
INSERT INTO public.ecdc_data VALUES (34494, 170, 2082, 76.10888819, 165, 191);
INSERT INTO public.ecdc_data VALUES (34495, 0, 0, 1.36104258, 23, 191);
INSERT INTO public.ecdc_data VALUES (34496, 0, 0, 178.00984988, 166, 191);
INSERT INTO public.ecdc_data VALUES (34497, 1, 31, 8.69962597, 167, 191);
INSERT INTO public.ecdc_data VALUES (34498, 0, 0, 1.76491352, 80, 191);
INSERT INTO public.ecdc_data VALUES (34499, 0, 0, 4.464206, 81, 191);
INSERT INTO public.ecdc_data VALUES (34500, 0, 1, 44.23324068, 205, 191);
INSERT INTO public.ecdc_data VALUES (34501, 0, 11, 0.7451024, 82, 191);
INSERT INTO public.ecdc_data VALUES (34502, 0, 1, 269.9013464, 168, 191);
INSERT INTO public.ecdc_data VALUES (34503, 0, 69, 2.37251714, 24, 191);
INSERT INTO public.ecdc_data VALUES (34504, 0, 0, 1.92616339, 25, 191);
INSERT INTO public.ecdc_data VALUES (34505, 0, 2, 4.9822746, 83, 191);
INSERT INTO public.ecdc_data VALUES (34506, 0, 7, 0.22196417, 84, 191);
INSERT INTO public.ecdc_data VALUES (34507, 0, 0, 245.39877301, 169, 191);
INSERT INTO public.ecdc_data VALUES (34508, 1, 10, 2.72929265, 85, 191);
INSERT INTO public.ecdc_data VALUES (34509, 13, 54, 10.43717862, 170, 191);
INSERT INTO public.ecdc_data VALUES (34510, 0, 10, 175.07444165, 171, 191);
INSERT INTO public.ecdc_data VALUES (34511, 31, 1211, 0.66685316, 112, 191);
INSERT INTO public.ecdc_data VALUES (34512, 26, 316, 1.16138325, 113, 191);
INSERT INTO public.ecdc_data VALUES (34513, 111, 1617, 38.36269032, 114, 191);
INSERT INTO public.ecdc_data VALUES (34514, 2, 26, 1.90283392, 115, 191);
INSERT INTO public.ecdc_data VALUES (34515, 31, 992, 157.76144724, 172, 191);
INSERT INTO public.ecdc_data VALUES (34516, 0, 14, 236.43736183, 173, 191);
INSERT INTO public.ecdc_data VALUES (34517, 13, 441, 83.4920598, 116, 191);
INSERT INTO public.ecdc_data VALUES (34518, 564, 3153, 95.72139592, 174, 191);
INSERT INTO public.ecdc_data VALUES (34519, 0, 1, 1.18713404, 86, 191);
INSERT INTO public.ecdc_data VALUES (34520, 7, 390, 4.48682531, 117, 191);
INSERT INTO public.ecdc_data VALUES (34521, 0, 4, 142.86244388, 175, 191);
INSERT INTO public.ecdc_data VALUES (34522, 0, 2, 1.2176172, 118, 191);
INSERT INTO public.ecdc_data VALUES (34523, 4, 218, 4.60341921, 119, 191);
INSERT INTO public.ecdc_data VALUES (34524, 1, 11, 0.30052897, 26, 191);
INSERT INTO public.ecdc_data VALUES (34525, 1, 18, 15.01246034, 176, 191);
INSERT INTO public.ecdc_data VALUES (34526, 1, 66, 24.57763431, 120, 191);
INSERT INTO public.ecdc_data VALUES (34527, 0, 11, 5.39289332, 121, 191);
INSERT INTO public.ecdc_data VALUES (34528, 0, 0, 0.1394806, 122, 191);
INSERT INTO public.ecdc_data VALUES (34529, 0, 4, 14.53149219, 177, 191);
INSERT INTO public.ecdc_data VALUES (34530, 0, 2, 2.71306731, 123, 191);
INSERT INTO public.ecdc_data VALUES (34531, 1, 9, 1.13420616, 28, 191);
INSERT INTO public.ecdc_data VALUES (34532, 0, 1, 0.2655865, 29, 191);
INSERT INTO public.ecdc_data VALUES (34533, 0, 1, 44.29621137, 178, 191);
INSERT INTO public.ecdc_data VALUES (34534, 0, 8, 20.97213355, 179, 191);
INSERT INTO public.ecdc_data VALUES (34535, 1, 11, 212.41452107, 180, 191);
INSERT INTO public.ecdc_data VALUES (34536, 0, 0, 0.22989097, 30, 191);
INSERT INTO public.ecdc_data VALUES (34537, 0, 3, 0, 31, 191);
INSERT INTO public.ecdc_data VALUES (34538, 1, 134, 6.85763527, 124, 191);
INSERT INTO public.ecdc_data VALUES (34539, 0, 0, 0.56501751, 125, 191);
INSERT INTO public.ecdc_data VALUES (34540, 1, 7, 0.53413306, 32, 191);
INSERT INTO public.ecdc_data VALUES (34541, 0, 9, 45.384645, 181, 191);
INSERT INTO public.ecdc_data VALUES (34542, 0, 0, 0.04419208, 33, 191);
INSERT INTO public.ecdc_data VALUES (34543, 0, 0, 15.43708208, 34, 191);
INSERT INTO public.ecdc_data VALUES (34544, 36, 888, 4.72739564, 87, 191);
INSERT INTO public.ecdc_data VALUES (34545, 4, 50, 34.9717975, 182, 191);
INSERT INTO public.ecdc_data VALUES (34546, 0, 0, 84.6304972, 183, 191);
INSERT INTO public.ecdc_data VALUES (34547, 0, 0, 0.12402462, 126, 191);
INSERT INTO public.ecdc_data VALUES (34548, 0, 2, 29.4126156, 184, 191);
INSERT INTO public.ecdc_data VALUES (34549, 0, 0, 120.2163895, 88, 191);
INSERT INTO public.ecdc_data VALUES (34550, 8, 102, 3.30940926, 35, 191);
INSERT INTO public.ecdc_data VALUES (34551, 0, 6, 0.06256989, 36, 191);
INSERT INTO public.ecdc_data VALUES (34552, 0, 21, 0.08881418, 127, 191);
INSERT INTO public.ecdc_data VALUES (34553, 0, 0, 0.20043904, 37, 191);
INSERT INTO public.ecdc_data VALUES (34554, 0, 2, 0.03145895, 128, 191);
INSERT INTO public.ecdc_data VALUES (34555, 86, 964, 85.64321491, 185, 191);
INSERT INTO public.ecdc_data VALUES (34556, 0, 0, 0.70732113, 207, 191);
INSERT INTO public.ecdc_data VALUES (34557, 4, 8, 8.88552145, 208, 191);
INSERT INTO public.ecdc_data VALUES (34558, 0, 0, 0.07638832, 89, 191);
INSERT INTO public.ecdc_data VALUES (34559, 1, 19, 2.2650524, 38, 191);
INSERT INTO public.ecdc_data VALUES (34560, 0, 20, 0.10549174, 39, 191);
INSERT INTO public.ecdc_data VALUES (34561, 4, 26, 27.39354071, 186, 191);
INSERT INTO public.ecdc_data VALUES (34562, 0, 0, 15.73069058, 209, 191);
INSERT INTO public.ecdc_data VALUES (34563, 11, 73, 42.45326575, 187, 191);
INSERT INTO public.ecdc_data VALUES (34564, 0, 214, 12.74373909, 129, 191);
INSERT INTO public.ecdc_data VALUES (34565, 3, 342, 1.88903748, 130, 191);
INSERT INTO public.ecdc_data VALUES (34566, 0, 0, 3.25208344, 131, 191);
INSERT INTO public.ecdc_data VALUES (34567, 7, 72, 56.4472829, 90, 191);
INSERT INTO public.ecdc_data VALUES (34568, 0, 0, 0.01139456, 210, 191);
INSERT INTO public.ecdc_data VALUES (34569, 1, 12, 1.33434801, 91, 191);
INSERT INTO public.ecdc_data VALUES (34570, 0, 0, 20.20580329, 92, 191);
INSERT INTO public.ecdc_data VALUES (34571, 18, 284, 2.63419255, 132, 191);
INSERT INTO public.ecdc_data VALUES (34572, 13, 260, 12.84866657, 188, 191);
INSERT INTO public.ecdc_data VALUES (34573, 31, 349, 102.42670326, 189, 191);
INSERT INTO public.ecdc_data VALUES (34574, 1, 6, 24.85167403, 93, 191);
INSERT INTO public.ecdc_data VALUES (34575, 0, 252, 89.61639733, 133, 191);
INSERT INTO public.ecdc_data VALUES (34576, 12, 333, 24.11089715, 190, 191);
INSERT INTO public.ecdc_data VALUES (34577, 18, 2558, 11.3057822, 191, 191);
INSERT INTO public.ecdc_data VALUES (34578, 0, 1, 0.45141585, 40, 191);
INSERT INTO public.ecdc_data VALUES (34579, 0, 0, 9.46360298, 94, 191);
INSERT INTO public.ecdc_data VALUES (34580, 0, 0, 3.28236549, 95, 191);
INSERT INTO public.ecdc_data VALUES (34581, 0, 0, 9.94637997, 96, 191);
INSERT INTO public.ecdc_data VALUES (34582, 1, 0, 368.61811744, 192, 191);
INSERT INTO public.ecdc_data VALUES (34583, 0, 0, 0, 41, 191);
INSERT INTO public.ecdc_data VALUES (34584, 6, 472, 10.15800824, 134, 191);
INSERT INTO public.ecdc_data VALUES (34585, 0, 11, 0.79158772, 42, 191);
INSERT INTO public.ecdc_data VALUES (34586, 5, 424, 46.94300381, 193, 191);
INSERT INTO public.ecdc_data VALUES (34587, 0, 0, 0, 43, 191);
INSERT INTO public.ecdc_data VALUES (34588, 0, 1, 0.14078726, 44, 191);
INSERT INTO public.ecdc_data VALUES (34589, 1, 386, 35.73186492, 135, 191);
INSERT INTO public.ecdc_data VALUES (34590, 0, 2, 115.59602727, 97, 191);
INSERT INTO public.ecdc_data VALUES (34591, 0, 27, 7.94434045, 194, 191);
INSERT INTO public.ecdc_data VALUES (34592, 2, 7, 21.57711922, 195, 191);
INSERT INTO public.ecdc_data VALUES (34593, 0, 0, 0.14246023, 45, 191);
INSERT INTO public.ecdc_data VALUES (34594, 2, 99, 1.61548497, 46, 191);
INSERT INTO public.ecdc_data VALUES (34595, 5, 27, 1.51878014, 136, 191);
INSERT INTO public.ecdc_data VALUES (34596, 0, 0, 0, 47, 191);
INSERT INTO public.ecdc_data VALUES (34597, 517, 3116, 157.23183344, 196, 191);
INSERT INTO public.ecdc_data VALUES (34598, 0, 8, 0.4595818, 137, 191);
INSERT INTO public.ecdc_data VALUES (34599, 2, 10, 0.0537217, 48, 191);
INSERT INTO public.ecdc_data VALUES (34600, 0, 0, 0.34401914, 98, 191);
INSERT INTO public.ecdc_data VALUES (34601, 84, 437, 68.11216024, 197, 191);
INSERT INTO public.ecdc_data VALUES (34602, 0, 279, 118.05217539, 198, 191);
INSERT INTO public.ecdc_data VALUES (34603, 0, 0, 0.08787278, 138, 191);
INSERT INTO public.ecdc_data VALUES (34604, 0, 5, 0.36594782, 139, 191);
INSERT INTO public.ecdc_data VALUES (34605, 1, 34, 1.38167608, 141, 191);
INSERT INTO public.ecdc_data VALUES (34606, 0, 2, 0.23199703, 142, 191);
INSERT INTO public.ecdc_data VALUES (34607, 0, 1, 0.53202289, 49, 191);
INSERT INTO public.ecdc_data VALUES (34608, 0, 0, 2.00721306, 99, 191);
INSERT INTO public.ecdc_data VALUES (34609, 3, 19, 3.5400588, 50, 191);
INSERT INTO public.ecdc_data VALUES (34610, 98, 4093, 61.24344211, 199, 191);
INSERT INTO public.ecdc_data VALUES (34611, 0, 1, 13.09106142, 100, 191);
INSERT INTO public.ecdc_data VALUES (34612, 0, 0, 0.04743663, 51, 191);
INSERT INTO public.ecdc_data VALUES (34613, 10, 325, 5.95995199, 200, 191);
INSERT INTO public.ecdc_data VALUES (34614, 3, 377, 38.36026842, 143, 191);
INSERT INTO public.ecdc_data VALUES (34615, 724, 3489, 94.81731181, 201, 191);
INSERT INTO public.ecdc_data VALUES (34616, 0, 14, 0.04654734, 52, 191);
INSERT INTO public.ecdc_data VALUES (34617, 1541, 25023, 127.01870616, 101, 191);
INSERT INTO public.ecdc_data VALUES (34618, 0, 0, 20.0805133, 102, 191);
INSERT INTO public.ecdc_data VALUES (34619, 0, 7, 4.27531775, 103, 191);
INSERT INTO public.ecdc_data VALUES (34620, 0, 133, 2.57415359, 144, 191);
INSERT INTO public.ecdc_data VALUES (34621, 0, 8, 0.18936851, 104, 191);
INSERT INTO public.ecdc_data VALUES (34622, 0, 3, 0.06323727, 145, 191);
INSERT INTO public.ecdc_data VALUES (34623, 0, 0, 0, 146, 191);
INSERT INTO public.ecdc_data VALUES (34624, 0, 2, 0.0559878, 54, 191);
INSERT INTO public.ecdc_data VALUES (34625, 0, 3, 0.06828049, 55, 191);
INSERT INTO public.ecdc_data VALUES (34626, 0, 10, 0, 147, 192);
INSERT INTO public.ecdc_data VALUES (34627, 1, 1, 0.06039061, 1, 192);
INSERT INTO public.ecdc_data VALUES (34628, 0, 1, 0, 148, 192);
INSERT INTO public.ecdc_data VALUES (34629, 1, 3, 0, 58, 192);
INSERT INTO public.ecdc_data VALUES (34630, 0, 7, 0.43952656, 149, 192);
INSERT INTO public.ecdc_data VALUES (34631, 0, 41, 0.68245302, 202, 192);
INSERT INTO public.ecdc_data VALUES (34632, 0, 143, 5.6102565, 150, 192);
INSERT INTO public.ecdc_data VALUES (34633, 0, 48, 10.78502819, 106, 192);
INSERT INTO public.ecdc_data VALUES (34634, 3, 338, 8.9389228, 153, 192);
INSERT INTO public.ecdc_data VALUES (34635, 0, 7, 0, 64, 192);
INSERT INTO public.ecdc_data VALUES (34636, 0, 21, 0.04596078, 66, 192);
INSERT INTO public.ecdc_data VALUES (34637, 0, 12, 0, 109, 192);
INSERT INTO public.ecdc_data VALUES (34638, 0, 8, 0, 155, 192);
INSERT INTO public.ecdc_data VALUES (34639, 0, 38, 0.42768126, 68, 192);
INSERT INTO public.ecdc_data VALUES (34640, 0, 10, 0, 70, 192);
INSERT INTO public.ecdc_data VALUES (34641, 15, 19, 0.11284826, 111, 192);
INSERT INTO public.ecdc_data VALUES (34642, 0, 7, 0, 71, 192);
INSERT INTO public.ecdc_data VALUES (34643, 0, 3, 0, 72, 192);
INSERT INTO public.ecdc_data VALUES (34644, 0, 6, 0.73597128, 156, 192);
INSERT INTO public.ecdc_data VALUES (34645, 0, 1, 0, 73, 192);
INSERT INTO public.ecdc_data VALUES (34646, 0, 8, 0, 157, 192);
INSERT INTO public.ecdc_data VALUES (34647, 0, 34, 1.40847715, 158, 192);
INSERT INTO public.ecdc_data VALUES (34648, 0, 1, 0, 14, 192);
INSERT INTO public.ecdc_data VALUES (34649, 0, 128, 13.81310388, 159, 192);
INSERT INTO public.ecdc_data VALUES (34650, 0, 6, 0.1024308, 76, 192);
INSERT INTO public.ecdc_data VALUES (34651, 1, 6, 0.13238433, 77, 192);
INSERT INTO public.ecdc_data VALUES (34652, 0, 13, 0.09164435, 16, 192);
INSERT INTO public.ecdc_data VALUES (34653, 0, 52, 5.96307423, 160, 192);
INSERT INTO public.ecdc_data VALUES (34654, 0, 1, 0, 20, 192);
INSERT INTO public.ecdc_data VALUES (34655, 0, 0, 0, 161, 192);
INSERT INTO public.ecdc_data VALUES (34656, 0, 28, 3.2983449, 162, 192);
INSERT INTO public.ecdc_data VALUES (34657, 18, 785, 5.37807036, 163, 192);
INSERT INTO public.ecdc_data VALUES (34658, 0, 5, 0.75060762, 164, 192);
INSERT INTO public.ecdc_data VALUES (34659, 0, 693, 3.61964405, 165, 192);
INSERT INTO public.ecdc_data VALUES (34660, 0, 57, 1.76230365, 167, 192);
INSERT INTO public.ecdc_data VALUES (34661, 0, 1, 0, 24, 192);
INSERT INTO public.ecdc_data VALUES (34662, 0, 1, 0, 85, 192);
INSERT INTO public.ecdc_data VALUES (34663, 0, 9, 0, 170, 192);
INSERT INTO public.ecdc_data VALUES (34664, 0, 0, 32.49381637, 171, 192);
INSERT INTO public.ecdc_data VALUES (34665, 1, 8, 0.00585472, 112, 192);
INSERT INTO public.ecdc_data VALUES (34666, 3, 35, 0.02549648, 113, 192);
INSERT INTO public.ecdc_data VALUES (34667, 85, 1289, 13.23782976, 114, 192);
INSERT INTO public.ecdc_data VALUES (34668, 1, 11, 0.20351165, 115, 192);
INSERT INTO public.ecdc_data VALUES (34669, 0, 21, 1.85553725, 172, 192);
INSERT INTO public.ecdc_data VALUES (34670, 0, 20, 1.33812664, 116, 192);
INSERT INTO public.ecdc_data VALUES (34671, 252, 2547, 27.78682265, 174, 192);
INSERT INTO public.ecdc_data VALUES (34672, 0, 2, 0, 86, 192);
INSERT INTO public.ecdc_data VALUES (34673, 2, 62, 0.39965222, 117, 192);
INSERT INTO public.ecdc_data VALUES (34674, 0, 1, 0, 26, 192);
INSERT INTO public.ecdc_data VALUES (34675, 0, 2, 0, 176, 192);
INSERT INTO public.ecdc_data VALUES (34676, 0, 20, 2.11548303, 120, 192);
INSERT INTO public.ecdc_data VALUES (34677, 0, 3, 0, 177, 192);
INSERT INTO public.ecdc_data VALUES (34678, 0, 0, 0, 178, 192);
INSERT INTO public.ecdc_data VALUES (34679, 0, 3, 0.21473174, 179, 192);
INSERT INTO public.ecdc_data VALUES (34680, 1, 12, 6.18999371, 180, 192);
INSERT INTO public.ecdc_data VALUES (34681, 0, 39, 0.54460454, 124, 192);
INSERT INTO public.ecdc_data VALUES (34682, 0, 1, 0, 125, 192);
INSERT INTO public.ecdc_data VALUES (34683, 0, 10, 0, 181, 192);
INSERT INTO public.ecdc_data VALUES (34684, 0, 61, 0.11365816, 87, 192);
INSERT INTO public.ecdc_data VALUES (34685, 0, 2, 0, 182, 192);
INSERT INTO public.ecdc_data VALUES (34686, 0, 1, 0, 35, 192);
INSERT INTO public.ecdc_data VALUES (34687, 0, 190, 4.64062282, 185, 192);
INSERT INTO public.ecdc_data VALUES (34688, 0, 1, 0.12544266, 208, 192);
INSERT INTO public.ecdc_data VALUES (34689, 0, 4, 0.62586297, 186, 192);
INSERT INTO public.ecdc_data VALUES (34690, 0, 0, 11.54233353, 187, 192);
INSERT INTO public.ecdc_data VALUES (34691, 0, 2, 0.4020107, 129, 192);
INSERT INTO public.ecdc_data VALUES (34692, 0, 0, 0.00969684, 130, 192);
INSERT INTO public.ecdc_data VALUES (34693, 0, 5, 0, 131, 192);
INSERT INTO public.ecdc_data VALUES (34694, 0, 9, 0, 90, 192);
INSERT INTO public.ecdc_data VALUES (34695, 0, 1, 0, 91, 192);
INSERT INTO public.ecdc_data VALUES (34696, 0, 16, 0, 92, 192);
INSERT INTO public.ecdc_data VALUES (34697, 4, 12, 0.05642056, 132, 192);
INSERT INTO public.ecdc_data VALUES (34698, 1, 19, 0, 188, 192);
INSERT INTO public.ecdc_data VALUES (34699, 0, 34, 0, 189, 192);
INSERT INTO public.ecdc_data VALUES (34700, 0, 58, 11.29915175, 133, 192);
INSERT INTO public.ecdc_data VALUES (34701, 0, 25, 0.45327044, 190, 192);
INSERT INTO public.ecdc_data VALUES (34702, 0, 15, 0.02947785, 191, 192);
INSERT INTO public.ecdc_data VALUES (34703, 0, 6, 208.98035004, 192, 192);
INSERT INTO public.ecdc_data VALUES (34704, 0, 24, 0, 134, 192);
INSERT INTO public.ecdc_data VALUES (34705, 0, 13, 0, 42, 192);
INSERT INTO public.ecdc_data VALUES (34706, 0, 17, 0, 193, 192);
INSERT INTO public.ecdc_data VALUES (34707, 0, 13, 1.75730483, 135, 192);
INSERT INTO public.ecdc_data VALUES (34708, 0, 9, 0, 194, 192);
INSERT INTO public.ecdc_data VALUES (34709, 0, 45, 0, 195, 192);
INSERT INTO public.ecdc_data VALUES (34710, 0, 7, 0, 46, 192);
INSERT INTO public.ecdc_data VALUES (34711, 5, 107, 10.06338252, 136, 192);
INSERT INTO public.ecdc_data VALUES (34712, 37, 1683, 16.16419946, 196, 192);
INSERT INTO public.ecdc_data VALUES (34713, 0, 3, 0.02344805, 137, 192);
INSERT INTO public.ecdc_data VALUES (34714, 0, 1, 0, 48, 192);
INSERT INTO public.ecdc_data VALUES (34715, 1, 152, 7.50719562, 197, 192);
INSERT INTO public.ecdc_data VALUES (34716, 3, 267, 12.97906836, 198, 192);
INSERT INTO public.ecdc_data VALUES (34717, 0, 4, 0.05888816, 139, 192);
INSERT INTO public.ecdc_data VALUES (34718, 0, 12, 0.06750393, 141, 192);
INSERT INTO public.ecdc_data VALUES (34719, 0, 1, 0, 99, 192);
INSERT INTO public.ecdc_data VALUES (34720, 0, 3, 0, 50, 192);
INSERT INTO public.ecdc_data VALUES (34721, 1, 484, 2.60476403, 201, 192);
INSERT INTO public.ecdc_data VALUES (34722, 7, 511, 0.64060308, 101, 192);
INSERT INTO public.ecdc_data VALUES (34723, 0, 9, 0.03835703, 145, 192);
INSERT INTO public.ecdc_data VALUES (34724, 0, 0, 0, 105, 193);
INSERT INTO public.ecdc_data VALUES (34725, 0, 0, 0, 1, 193);
INSERT INTO public.ecdc_data VALUES (34726, 0, 0, 0, 149, 193);
INSERT INTO public.ecdc_data VALUES (34727, 0, 1, 0.031742, 202, 193);
INSERT INTO public.ecdc_data VALUES (34728, 0, 0, 0, 150, 193);
INSERT INTO public.ecdc_data VALUES (34729, 0, 0, 0, 151, 193);
INSERT INTO public.ecdc_data VALUES (34730, 0, 0, 0, 106, 193);
INSERT INTO public.ecdc_data VALUES (34731, 0, 0, 0, 152, 193);
INSERT INTO public.ecdc_data VALUES (34732, 0, 0, 0.00872942, 153, 193);
INSERT INTO public.ecdc_data VALUES (34733, 0, 0, 0, 66, 193);
INSERT INTO public.ecdc_data VALUES (34734, 0, 0, 0, 110, 193);
INSERT INTO public.ecdc_data VALUES (34735, 0, 0, 0.01069203, 68, 193);
INSERT INTO public.ecdc_data VALUES (34736, 0, 47, 0, 214, 193);
INSERT INTO public.ecdc_data VALUES (34737, 13, 4156, 3.78767036, 111, 193);
INSERT INTO public.ecdc_data VALUES (34738, 0, 0, 0, 156, 193);
INSERT INTO public.ecdc_data VALUES (34739, 0, 0, 0, 158, 193);
INSERT INTO public.ecdc_data VALUES (34740, 0, 0, 0, 159, 193);
INSERT INTO public.ecdc_data VALUES (34741, 0, 0, 0, 76, 193);
INSERT INTO public.ecdc_data VALUES (34742, 0, 0, 0, 77, 193);
INSERT INTO public.ecdc_data VALUES (34743, 0, 0, 0, 16, 193);
INSERT INTO public.ecdc_data VALUES (34744, 0, 0, 0, 160, 193);
INSERT INTO public.ecdc_data VALUES (34745, 0, 0, 0, 162, 193);
INSERT INTO public.ecdc_data VALUES (34746, 0, 0, 0.00746125, 163, 193);
INSERT INTO public.ecdc_data VALUES (34747, 0, 0, 0, 164, 193);
INSERT INTO public.ecdc_data VALUES (34748, 0, 0, 0.0120454, 165, 193);
INSERT INTO public.ecdc_data VALUES (34749, 0, 0, 0, 167, 193);
INSERT INTO public.ecdc_data VALUES (34750, 0, 0, 0, 171, 193);
INSERT INTO public.ecdc_data VALUES (34751, 0, 0, 0.00014637, 112, 193);
INSERT INTO public.ecdc_data VALUES (34752, 0, 0, 0, 113, 193);
INSERT INTO public.ecdc_data VALUES (34753, 0, 0, 0, 114, 193);
INSERT INTO public.ecdc_data VALUES (34754, 0, 0, 0, 115, 193);
INSERT INTO public.ecdc_data VALUES (34755, 0, 0, 0, 172, 193);
INSERT INTO public.ecdc_data VALUES (34756, 0, 0, 0, 116, 193);
INSERT INTO public.ecdc_data VALUES (34757, 0, 0, 0, 174, 193);
INSERT INTO public.ecdc_data VALUES (34758, 0, 1, 0.0126123, 117, 193);
INSERT INTO public.ecdc_data VALUES (34759, 0, 0, 0, 120, 193);
INSERT INTO public.ecdc_data VALUES (34760, 0, 0, 0, 123, 193);
INSERT INTO public.ecdc_data VALUES (34761, 0, 0, 0, 179, 193);
INSERT INTO public.ecdc_data VALUES (34762, 0, 0, 0, 180, 193);
INSERT INTO public.ecdc_data VALUES (34763, 0, 1, 0.03442902, 124, 193);
INSERT INTO public.ecdc_data VALUES (34764, 0, 0, 0.00078385, 87, 193);
INSERT INTO public.ecdc_data VALUES (34765, 0, 0, 0, 183, 193);
INSERT INTO public.ecdc_data VALUES (34766, 0, 0, 0, 128, 193);
INSERT INTO public.ecdc_data VALUES (34767, 0, 0, 0, 185, 193);
INSERT INTO public.ecdc_data VALUES (34768, 0, 0, 0, 208, 193);
INSERT INTO public.ecdc_data VALUES (34769, 0, 0, 0, 39, 193);
INSERT INTO public.ecdc_data VALUES (34770, 0, 0, 0, 186, 193);
INSERT INTO public.ecdc_data VALUES (34771, 0, 0, 0, 187, 193);
INSERT INTO public.ecdc_data VALUES (34772, 0, 0, 0, 129, 193);
INSERT INTO public.ecdc_data VALUES (34773, 0, 0, 0, 130, 193);
INSERT INTO public.ecdc_data VALUES (34774, 0, 0, 0.00184985, 132, 193);
INSERT INTO public.ecdc_data VALUES (34775, 0, 0, 0, 133, 193);
INSERT INTO public.ecdc_data VALUES (34776, 0, 0, 0, 190, 193);
INSERT INTO public.ecdc_data VALUES (34777, 0, 0, 0.00137106, 191, 193);
INSERT INTO public.ecdc_data VALUES (34778, 0, 0, 0, 192, 193);
INSERT INTO public.ecdc_data VALUES (34779, 0, 8, 0.77528154, 135, 193);
INSERT INTO public.ecdc_data VALUES (34780, 0, 0, 0.04099535, 136, 193);
INSERT INTO public.ecdc_data VALUES (34781, 0, 0, 0.00426103, 196, 193);
INSERT INTO public.ecdc_data VALUES (34782, 0, 0, 0, 137, 193);
INSERT INTO public.ecdc_data VALUES (34783, 0, 0, 0.00977499, 197, 193);
INSERT INTO public.ecdc_data VALUES (34784, 0, 0, 0, 198, 193);
INSERT INTO public.ecdc_data VALUES (34785, 0, 0, 0.03785667, 139, 193);
INSERT INTO public.ecdc_data VALUES (34786, 0, 0, 0.02728882, 141, 193);
INSERT INTO public.ecdc_data VALUES (34787, 0, 0, 0.04093945, 143, 193);
INSERT INTO public.ecdc_data VALUES (34788, 0, 0, 0.0150044, 201, 193);
INSERT INTO public.ecdc_data VALUES (34789, 0, 1, 0.00273502, 101, 193);
INSERT INTO public.ecdc_data VALUES (34790, 0, 0, 0.01140344, 145, 193);
INSERT INTO public.ecdc_data VALUES (34791, 0, 0, 0, 105, 194);
INSERT INTO public.ecdc_data VALUES (34792, 0, 0, 0, 1, 194);
INSERT INTO public.ecdc_data VALUES (34793, 0, 0, 0, 149, 194);
INSERT INTO public.ecdc_data VALUES (34794, 0, 0, 0, 202, 194);
INSERT INTO public.ecdc_data VALUES (34795, 0, 0, 0, 150, 194);
INSERT INTO public.ecdc_data VALUES (34796, 0, 0, 0, 151, 194);
INSERT INTO public.ecdc_data VALUES (34797, 0, 0, 0, 106, 194);
INSERT INTO public.ecdc_data VALUES (34798, 0, 0, 0, 152, 194);
INSERT INTO public.ecdc_data VALUES (34799, 0, 0, 0, 153, 194);
INSERT INTO public.ecdc_data VALUES (34800, 0, 0, 0, 66, 194);
INSERT INTO public.ecdc_data VALUES (34801, 0, 0, 0, 110, 194);
INSERT INTO public.ecdc_data VALUES (34802, 0, 0, 0, 68, 194);
INSERT INTO public.ecdc_data VALUES (34803, 0, 0, 0, 214, 194);
INSERT INTO public.ecdc_data VALUES (34804, 0, 0, 0.00223186, 111, 194);
INSERT INTO public.ecdc_data VALUES (34805, 0, 0, 0, 156, 194);
INSERT INTO public.ecdc_data VALUES (34806, 0, 0, 0, 158, 194);
INSERT INTO public.ecdc_data VALUES (34807, 0, 0, 0, 159, 194);
INSERT INTO public.ecdc_data VALUES (34808, 0, 0, 0, 76, 194);
INSERT INTO public.ecdc_data VALUES (34809, 0, 0, 0, 77, 194);
INSERT INTO public.ecdc_data VALUES (34810, 0, 0, 0, 16, 194);
INSERT INTO public.ecdc_data VALUES (34811, 0, 0, 0, 160, 194);
INSERT INTO public.ecdc_data VALUES (34812, 0, 0, 0, 162, 194);
INSERT INTO public.ecdc_data VALUES (34813, 0, 0, 0, 163, 194);
INSERT INTO public.ecdc_data VALUES (34814, 0, 0, 0, 164, 194);
INSERT INTO public.ecdc_data VALUES (34815, 0, 0, 0, 165, 194);
INSERT INTO public.ecdc_data VALUES (34816, 0, 0, 0, 167, 194);
INSERT INTO public.ecdc_data VALUES (34817, 0, 0, 0, 171, 194);
INSERT INTO public.ecdc_data VALUES (34818, 0, 0, 0, 112, 194);
INSERT INTO public.ecdc_data VALUES (34819, 0, 0, 0, 113, 194);
INSERT INTO public.ecdc_data VALUES (34820, 0, 0, 0, 114, 194);
INSERT INTO public.ecdc_data VALUES (34821, 0, 0, 0, 115, 194);
INSERT INTO public.ecdc_data VALUES (34822, 0, 0, 0, 172, 194);
INSERT INTO public.ecdc_data VALUES (34823, 0, 0, 0, 116, 194);
INSERT INTO public.ecdc_data VALUES (34824, 0, 0, 0, 174, 194);
INSERT INTO public.ecdc_data VALUES (34825, 0, 0, 0, 117, 194);
INSERT INTO public.ecdc_data VALUES (34826, 0, 0, 0, 120, 194);
INSERT INTO public.ecdc_data VALUES (34827, 0, 0, 0, 123, 194);
INSERT INTO public.ecdc_data VALUES (34828, 0, 0, 0, 179, 194);
INSERT INTO public.ecdc_data VALUES (34829, 0, 0, 0, 180, 194);
INSERT INTO public.ecdc_data VALUES (34830, 0, 0, 0, 124, 194);
INSERT INTO public.ecdc_data VALUES (34831, 0, 1, 0.00078385, 87, 194);
INSERT INTO public.ecdc_data VALUES (34832, 0, 0, 0, 183, 194);
INSERT INTO public.ecdc_data VALUES (34833, 0, 0, 0, 128, 194);
INSERT INTO public.ecdc_data VALUES (34834, 0, 0, 0, 185, 194);
INSERT INTO public.ecdc_data VALUES (34835, 0, 0, 0, 208, 194);
INSERT INTO public.ecdc_data VALUES (34836, 0, 0, 0, 39, 194);
INSERT INTO public.ecdc_data VALUES (34837, 0, 0, 0, 186, 194);
INSERT INTO public.ecdc_data VALUES (34838, 0, 0, 0, 187, 194);
INSERT INTO public.ecdc_data VALUES (34839, 0, 0, 0, 129, 194);
INSERT INTO public.ecdc_data VALUES (34840, 0, 0, 0, 130, 194);
INSERT INTO public.ecdc_data VALUES (34841, 0, 0, 0, 132, 194);
INSERT INTO public.ecdc_data VALUES (34842, 0, 0, 0, 133, 194);
INSERT INTO public.ecdc_data VALUES (34843, 0, 0, 0, 190, 194);
INSERT INTO public.ecdc_data VALUES (34844, 0, 0, 0, 191, 194);
INSERT INTO public.ecdc_data VALUES (34845, 0, 0, 0, 192, 194);
INSERT INTO public.ecdc_data VALUES (34846, 0, 0, 0, 135, 194);
INSERT INTO public.ecdc_data VALUES (34847, 0, 0, 0, 136, 194);
INSERT INTO public.ecdc_data VALUES (34848, 0, 0, 0, 196, 194);
INSERT INTO public.ecdc_data VALUES (34849, 0, 0, 0, 137, 194);
INSERT INTO public.ecdc_data VALUES (34850, 0, 0, 0, 197, 194);
INSERT INTO public.ecdc_data VALUES (34851, 0, 0, 0, 198, 194);
INSERT INTO public.ecdc_data VALUES (34852, 0, 0, 0, 139, 194);
INSERT INTO public.ecdc_data VALUES (34853, 0, 0, 0.00143625, 141, 194);
INSERT INTO public.ecdc_data VALUES (34854, 0, 0, 0, 143, 194);
INSERT INTO public.ecdc_data VALUES (34855, 0, 0, 0, 201, 194);
INSERT INTO public.ecdc_data VALUES (34856, 0, 0, 0, 101, 194);
INSERT INTO public.ecdc_data VALUES (34857, 0, 0, 0, 145, 194);
INSERT INTO public.ecdc_data VALUES (34858, 9, 298, 7.05277624, 105, 195);
INSERT INTO public.ecdc_data VALUES (34859, 12, 879, 382.61237754, 147, 195);
INSERT INTO public.ecdc_data VALUES (34860, 9, 517, 24.21663281, 1, 195);
INSERT INTO public.ecdc_data VALUES (34861, 0, 52, 811.26849311, 148, 195);
INSERT INTO public.ecdc_data VALUES (34862, 1, 100, 3.37467371, 2, 195);
INSERT INTO public.ecdc_data VALUES (34863, 0, 0, 40.34427111, 56, 195);
INSERT INTO public.ecdc_data VALUES (34864, 0, 1, 7.20794934, 57, 195);
INSERT INTO public.ecdc_data VALUES (34865, 62, 5274, 181.41754228, 58, 195);
INSERT INTO public.ecdc_data VALUES (34866, 24, 1013, 458.35857794, 149, 195);
INSERT INTO public.ecdc_data VALUES (34867, 0, 13, 198.47615464, 59, 195);
INSERT INTO public.ecdc_data VALUES (34868, 0, 13, 0.55548502, 202, 195);
INSERT INTO public.ecdc_data VALUES (34869, 96, 2938, 482.64009414, 150, 195);
INSERT INTO public.ecdc_data VALUES (34870, 43, 4268, 571.25403288, 151, 195);
INSERT INTO public.ecdc_data VALUES (34871, 0, 11, 41.85002799, 60, 195);
INSERT INTO public.ecdc_data VALUES (34872, 1, 145, 141.36308133, 106, 195);
INSERT INTO public.ecdc_data VALUES (34873, 34, 1329, 17.51589717, 107, 195);
INSERT INTO public.ecdc_data VALUES (34874, 0, 0, 7.66494438, 61, 195);
INSERT INTO public.ecdc_data VALUES (34875, 8, 1975, 264.58863555, 152, 195);
INSERT INTO public.ecdc_data VALUES (34876, 48, 856, 269.52947309, 153, 195);
INSERT INTO public.ecdc_data VALUES (34877, 7, 208, 903.28960346, 62, 195);
INSERT INTO public.ecdc_data VALUES (34878, 0, 0, 0.98295497, 3, 195);
INSERT INTO public.ecdc_data VALUES (34879, 0, 0, 223.97133167, 63, 195);
INSERT INTO public.ecdc_data VALUES (34880, 0, 1, 5.37286363, 108, 195);
INSERT INTO public.ecdc_data VALUES (34881, 1, 333, 21.17587423, 64, 195);
INSERT INTO public.ecdc_data VALUES (34882, 0, 0, 46.18404341, 65, 195);
INSERT INTO public.ecdc_data VALUES (34883, 48, 763, 450.62129695, 154, 195);
INSERT INTO public.ecdc_data VALUES (34884, 0, 0, 108.91160883, 4, 195);
INSERT INTO public.ecdc_data VALUES (34885, 686, 43900, 279.48654079, 66, 195);
INSERT INTO public.ecdc_data VALUES (34886, 0, 0, 13.31868278, 67, 195);
INSERT INTO public.ecdc_data VALUES (34887, 0, 0, 0.46157823, 109, 195);
INSERT INTO public.ecdc_data VALUES (34888, 64, 1287, 531.4970388, 155, 195);
INSERT INTO public.ecdc_data VALUES (34889, 2, 315, 5.30475706, 5, 195);
INSERT INTO public.ecdc_data VALUES (34890, 0, 5, 0.40761187, 6, 195);
INSERT INTO public.ecdc_data VALUES (34891, 0, 2, 0.31540877, 110, 195);
INSERT INTO public.ecdc_data VALUES (34892, 0, 0, 3.96500485, 7, 195);
INSERT INTO public.ecdc_data VALUES (34893, 99, 6011, 240.68297704, 68, 195);
INSERT INTO public.ecdc_data VALUES (34894, 0, 40, 141.10732885, 8, 195);
INSERT INTO public.ecdc_data VALUES (34895, 0, 0, 36.95263903, 69, 195);
INSERT INTO public.ecdc_data VALUES (34896, 0, 0, 0.48470247, 9, 195);
INSERT INTO public.ecdc_data VALUES (34897, 0, 6, 0.55183201, 10, 195);
INSERT INTO public.ecdc_data VALUES (34898, 64, 1807, 109.96180621, 70, 195);
INSERT INTO public.ecdc_data VALUES (34899, 0, 24, 0.0148558, 111, 195);
INSERT INTO public.ecdc_data VALUES (34900, 197, 8163, 233.33392863, 71, 195);
INSERT INTO public.ecdc_data VALUES (34901, 0, 11, 1.99790572, 11, 195);
INSERT INTO public.ecdc_data VALUES (34902, 0, 0, 5.11104536, 12, 195);
INSERT INTO public.ecdc_data VALUES (34903, 0, 0, 274.46919413, 72, 195);
INSERT INTO public.ecdc_data VALUES (34904, 0, 21, 1.46987034, 13, 195);
INSERT INTO public.ecdc_data VALUES (34905, 78, 4135, 1197.91592558, 156, 195);
INSERT INTO public.ecdc_data VALUES (34906, 1, 87, 10.4204497, 73, 195);
INSERT INTO public.ecdc_data VALUES (34907, 2, 172, 806.49602565, 74, 195);
INSERT INTO public.ecdc_data VALUES (34908, 2, 324, 521.63548537, 157, 195);
INSERT INTO public.ecdc_data VALUES (34909, 85, 3657, 567.42849631, 158, 195);
INSERT INTO public.ecdc_data VALUES (34910, 0, 119, 2.13502463, 14, 195);
INSERT INTO public.ecdc_data VALUES (34911, 8, 3552, 495.37717438, 159, 195);
INSERT INTO public.ecdc_data VALUES (34912, 0, 4, 5.03309, 15, 195);
INSERT INTO public.ecdc_data VALUES (34913, 0, 0, 2.78520499, 75, 195);
INSERT INTO public.ecdc_data VALUES (34914, 1, 1133, 101.79759543, 76, 195);
INSERT INTO public.ecdc_data VALUES (34915, 16, 759, 61.09824777, 77, 195);
INSERT INTO public.ecdc_data VALUES (34916, 21, 478, 5.88316883, 16, 195);
INSERT INTO public.ecdc_data VALUES (34917, 7, 231, 46.31559374, 78, 195);
INSERT INTO public.ecdc_data VALUES (34918, 0, 0, 2.35991333, 17, 195);
INSERT INTO public.ecdc_data VALUES (34919, 0, 55, 3.83172768, 18, 195);
INSERT INTO public.ecdc_data VALUES (34920, 6, 757, 454.02394288, 160, 195);
INSERT INTO public.ecdc_data VALUES (34921, 1, 29, 26.82616038, 19, 195);
INSERT INTO public.ecdc_data VALUES (34922, 12, 515, 6.57305824, 20, 195);
INSERT INTO public.ecdc_data VALUES (34923, 0, 0, 59.31198102, 79, 195);
INSERT INTO public.ecdc_data VALUES (34924, 0, 5, 47.25024139, 161, 195);
INSERT INTO public.ecdc_data VALUES (34925, 0, 0, 0.67419139, 203, 195);
INSERT INTO public.ecdc_data VALUES (34926, 0, 377, 111.32820181, 162, 195);
INSERT INTO public.ecdc_data VALUES (34927, 194, 13947, 233.71625423, 163, 195);
INSERT INTO public.ecdc_data VALUES (34928, 0, 0, 544.9630306, 204, 195);
INSERT INTO public.ecdc_data VALUES (34929, 0, 0, 6.3979291, 21, 195);
INSERT INTO public.ecdc_data VALUES (34930, 0, 1, 1.95936782, 22, 195);
INSERT INTO public.ecdc_data VALUES (34931, 46, 2720, 1435.11172294, 164, 195);
INSERT INTO public.ecdc_data VALUES (34932, 321, 20200, 334.88151713, 165, 195);
INSERT INTO public.ecdc_data VALUES (34933, 1, 195, 5.108841, 23, 195);
INSERT INTO public.ecdc_data VALUES (34934, 0, 2, 186.91034237, 166, 195);
INSERT INTO public.ecdc_data VALUES (34935, 68, 1194, 194.02124033, 167, 195);
INSERT INTO public.ecdc_data VALUES (34936, 0, 0, 1.76491352, 80, 195);
INSERT INTO public.ecdc_data VALUES (34937, 0, 0, 1.7856824, 81, 195);
INSERT INTO public.ecdc_data VALUES (34938, 0, 0, 184.10592068, 205, 195);
INSERT INTO public.ecdc_data VALUES (34939, 29, 558, 41.52666136, 82, 195);
INSERT INTO public.ecdc_data VALUES (34940, 0, 0, 4.65347149, 168, 195);
INSERT INTO public.ecdc_data VALUES (34941, 0, 22, 2.98326412, 24, 195);
INSERT INTO public.ecdc_data VALUES (34942, 0, 0, 1.14528634, 25, 195);
INSERT INTO public.ecdc_data VALUES (34943, 0, 40, 69.11309125, 83, 195);
INSERT INTO public.ecdc_data VALUES (34944, 0, 0, 2.01543468, 84, 195);
INSERT INTO public.ecdc_data VALUES (34945, 0, 0, 0, 169, 195);
INSERT INTO public.ecdc_data VALUES (34946, 3, 335, 67.00105632, 85, 195);
INSERT INTO public.ecdc_data VALUES (34947, 181, 4153, 704.74490512, 170, 195);
INSERT INTO public.ecdc_data VALUES (34948, 0, 13, 50.7015583, 171, 195);
INSERT INTO public.ecdc_data VALUES (34949, 391, 30254, 33.96545441, 112, 195);
INSERT INTO public.ecdc_data VALUES (34950, 142, 6388, 30.9032147, 113, 195);
INSERT INTO public.ecdc_data VALUES (34951, 221, 8201, 199.02454707, 114, 195);
INSERT INTO public.ecdc_data VALUES (34952, 16, 1022, 63.09115523, 115, 195);
INSERT INTO public.ecdc_data VALUES (34953, 3, 249, 77.76944032, 172, 195);
INSERT INTO public.ecdc_data VALUES (34954, 0, 0, 1.18218681, 173, 195);
INSERT INTO public.ecdc_data VALUES (34955, 14, 2746, 246.69655854, 116, 195);
INSERT INTO public.ecdc_data VALUES (34956, 649, 19902, 432.8114065, 174, 195);
INSERT INTO public.ecdc_data VALUES (34957, 1, 99, 31.84911051, 86, 195);
INSERT INTO public.ecdc_data VALUES (34958, 28, 2988, 25.72435999, 117, 195);
INSERT INTO public.ecdc_data VALUES (34959, 0, 51, 705.03543731, 175, 195);
INSERT INTO public.ecdc_data VALUES (34960, 49, 1816, 460.97205252, 118, 195);
INSERT INTO public.ecdc_data VALUES (34961, 1, 956, 67.61743624, 119, 195);
INSERT INTO public.ecdc_data VALUES (34962, 4, 548, 16.96847415, 26, 195);
INSERT INTO public.ecdc_data VALUES (34963, 12, 524, 427.41030611, 176, 195);
INSERT INTO public.ecdc_data VALUES (34964, 1, 255, 91.48869869, 120, 195);
INSERT INTO public.ecdc_data VALUES (34965, 0, 297, 76.82535021, 121, 195);
INSERT INTO public.ecdc_data VALUES (34966, 0, 0, 0.02789612, 122, 195);
INSERT INTO public.ecdc_data VALUES (34967, 5, 660, 441.93444891, 177, 195);
INSERT INTO public.ecdc_data VALUES (34968, 8, 1540, 285.41176412, 123, 195);
INSERT INTO public.ecdc_data VALUES (34969, 0, 36, 6.63446052, 27, 195);
INSERT INTO public.ecdc_data VALUES (34970, 0, 0, 1.64054819, 28, 195);
INSERT INTO public.ecdc_data VALUES (34971, 0, 0, 126.99460992, 29, 195);
INSERT INTO public.ecdc_data VALUES (34972, 0, 0, 596.69602376, 178, 195);
INSERT INTO public.ecdc_data VALUES (34973, 24, 2849, 1177.73203196, 179, 195);
INSERT INTO public.ecdc_data VALUES (34974, 8, 718, 1196.62352132, 180, 195);
INSERT INTO public.ecdc_data VALUES (34975, 0, 0, 1.10125192, 30, 195);
INSERT INTO public.ecdc_data VALUES (34976, 0, 8, 0.20398579, 31, 195);
INSERT INTO public.ecdc_data VALUES (34977, 9, 1937, 59.68740513, 124, 195);
INSERT INTO public.ecdc_data VALUES (34978, 0, 22, 75.52400665, 125, 195);
INSERT INTO public.ecdc_data VALUES (34979, 4, 72, 5.40237439, 32, 195);
INSERT INTO public.ecdc_data VALUES (34980, 0, 121, 302.29415328, 181, 195);
INSERT INTO public.ecdc_data VALUES (34981, 0, 0, 0, 206, 195);
INSERT INTO public.ecdc_data VALUES (34982, 12, 512, 51.26281073, 33, 195);
INSERT INTO public.ecdc_data VALUES (34983, 0, 0, 1.10264872, 34, 195);
INSERT INTO public.ecdc_data VALUES (34984, 685, 12057, 110.32915254, 87, 195);
INSERT INTO public.ecdc_data VALUES (34985, 26, 1459, 491.4601047, 182, 195);
INSERT INTO public.ecdc_data VALUES (34986, 0, 9, 184.37358319, 183, 195);
INSERT INTO public.ecdc_data VALUES (34987, 0, 1, 3.81375718, 126, 195);
INSERT INTO public.ecdc_data VALUES (34988, 9, 402, 1043.74604215, 184, 195);
INSERT INTO public.ecdc_data VALUES (34989, 0, 0, 0, 88, 195);
INSERT INTO public.ecdc_data VALUES (34990, 47, 3033, 131.35914504, 35, 195);
INSERT INTO public.ecdc_data VALUES (34991, 1, 132, 4.03740454, 36, 195);
INSERT INTO public.ecdc_data VALUES (34992, 25, 1352, 35.59598443, 127, 195);
INSERT INTO public.ecdc_data VALUES (34993, 0, 172, 79.53421174, 37, 195);
INSERT INTO public.ecdc_data VALUES (34994, 15, 899, 58.96804523, 128, 195);
INSERT INTO public.ecdc_data VALUES (34995, 53, 9071, 521.82704214, 185, 195);
INSERT INTO public.ecdc_data VALUES (34996, 0, 0, 1.41464225, 207, 195);
INSERT INTO public.ecdc_data VALUES (34997, 0, 4, 0.96172703, 208, 195);
INSERT INTO public.ecdc_data VALUES (34998, 0, 0, 1.57359946, 89, 195);
INSERT INTO public.ecdc_data VALUES (34999, 0, 39, 3.06725846, 38, 195);
INSERT INTO public.ecdc_data VALUES (35000, 4, 617, 2.700489, 39, 195);
INSERT INTO public.ecdc_data VALUES (35001, 19, 981, 592.25894166, 186, 195);
INSERT INTO public.ecdc_data VALUES (35002, 0, 0, 15.73069058, 209, 195);
INSERT INTO public.ecdc_data VALUES (35003, 0, 0, 99.00131601, 187, 195);
INSERT INTO public.ecdc_data VALUES (35004, 0, 0, 62.11065264, 129, 195);
INSERT INTO public.ecdc_data VALUES (35005, 72, 3369, 19.96626265, 130, 195);
INSERT INTO public.ecdc_data VALUES (35006, 33, 1855, 648.12818508, 131, 195);
INSERT INTO public.ecdc_data VALUES (35007, 22, 2806, 638.93520219, 90, 195);
INSERT INTO public.ecdc_data VALUES (35008, 0, 0, 0.85459188, 210, 195);
INSERT INTO public.ecdc_data VALUES (35009, 10, 800, 167.24774683, 91, 195);
INSERT INTO public.ecdc_data VALUES (35010, 65, 2102, 69.75293061, 92, 195);
INSERT INTO public.ecdc_data VALUES (35011, 21, 1292, 18.99245428, 132, 195);
INSERT INTO public.ecdc_data VALUES (35012, 502, 11499, 403.20163806, 188, 195);
INSERT INTO public.ecdc_data VALUES (35013, 88, 4413, 525.40636671, 189, 195);
INSERT INTO public.ecdc_data VALUES (35014, 17, 1561, 532.00991067, 93, 195);
INSERT INTO public.ecdc_data VALUES (35015, 0, 281, 87.70966547, 133, 195);
INSERT INTO public.ecdc_data VALUES (35016, 148, 6333, 442.54647748, 190, 195);
INSERT INTO public.ecdc_data VALUES (35017, 560, 28137, 262.70587705, 191, 195);
INSERT INTO public.ecdc_data VALUES (35018, 2, 100, 5.04477016, 40, 195);
INSERT INTO public.ecdc_data VALUES (35019, 0, 0, 9.46360298, 94, 195);
INSERT INTO public.ecdc_data VALUES (35020, 0, 0, 12.03534014, 95, 195);
INSERT INTO public.ecdc_data VALUES (35021, 0, 0, 8.13794725, 96, 195);
INSERT INTO public.ecdc_data VALUES (35022, 1, 24, 1004.26668215, 192, 195);
INSERT INTO public.ecdc_data VALUES (35023, 0, 0, 11.1602991, 41, 195);
INSERT INTO public.ecdc_data VALUES (35024, 13, 166, 8.28165107, 134, 195);
INSERT INTO public.ecdc_data VALUES (35025, 4, 104, 5.95224873, 42, 195);
INSERT INTO public.ecdc_data VALUES (35026, 48, 5679, 1413.05765101, 193, 195);
INSERT INTO public.ecdc_data VALUES (35027, 0, 0, 14.32356943, 43, 195);
INSERT INTO public.ecdc_data VALUES (35028, 0, 2, 0.38396525, 44, 195);
INSERT INTO public.ecdc_data VALUES (35029, 0, 8, 1.8606757, 135, 195);
INSERT INTO public.ecdc_data VALUES (35030, 0, 7, 401.04744155, 97, 195);
INSERT INTO public.ecdc_data VALUES (35031, 0, 0, 411.98652361, 194, 195);
INSERT INTO public.ecdc_data VALUES (35032, 22, 1744, 1019.60298101, 195, 195);
INSERT INTO public.ecdc_data VALUES (35033, 0, 0, 0, 211, 195);
INSERT INTO public.ecdc_data VALUES (35034, 0, 0, 0.86771233, 45, 195);
INSERT INTO public.ecdc_data VALUES (35035, 154, 7882, 115.82651515, 46, 195);
INSERT INTO public.ecdc_data VALUES (35036, 2, 1030, 17.45621077, 136, 195);
INSERT INTO public.ecdc_data VALUES (35037, 0, 25, 0.92206607, 47, 195);
INSERT INTO public.ecdc_data VALUES (35038, 0, 0, 218.09418826, 196, 195);
INSERT INTO public.ecdc_data VALUES (35039, 2, 760, 42.8958643, 137, 195);
INSERT INTO public.ecdc_data VALUES (35040, 25, 679, 9.52742723, 48, 195);
INSERT INTO public.ecdc_data VALUES (35041, 0, 10, 6.36435411, 98, 195);
INSERT INTO public.ecdc_data VALUES (35042, 0, 0, 738.75496875, 197, 195);
INSERT INTO public.ecdc_data VALUES (35043, 0, 0, 647.33834886, 198, 195);
INSERT INTO public.ecdc_data VALUES (35044, 15, 130, 7.76795399, 138, 195);
INSERT INTO public.ecdc_data VALUES (35045, 0, 3, 0.35753523, 139, 195);
INSERT INTO public.ecdc_data VALUES (35046, 0, 35, 5.879183, 140, 195);
INSERT INTO public.ecdc_data VALUES (35047, 0, 17, 0.33321086, 141, 195);
INSERT INTO public.ecdc_data VALUES (35048, 0, 0, 0.07733234, 142, 195);
INSERT INTO public.ecdc_data VALUES (35049, 0, 19, 3.40247198, 49, 195);
INSERT INTO public.ecdc_data VALUES (35050, 0, 12, 16.77456632, 99, 195);
INSERT INTO public.ecdc_data VALUES (35051, 35, 1289, 131.79450797, 50, 195);
INSERT INTO public.ecdc_data VALUES (35052, 226, 32106, 499.39708952, 199, 195);
INSERT INTO public.ecdc_data VALUES (35053, 0, 0, 54.98245798, 100, 195);
INSERT INTO public.ecdc_data VALUES (35054, 0, 702, 16.09908852, 51, 195);
INSERT INTO public.ecdc_data VALUES (35055, 243, 12811, 398.5530364, 200, 195);
INSERT INTO public.ecdc_data VALUES (35056, 2, 1154, 176.58210008, 143, 195);
INSERT INTO public.ecdc_data VALUES (35057, 520, 21501, 338.77536959, 201, 195);
INSERT INTO public.ecdc_data VALUES (35058, 0, 0, 0, 52, 195);
INSERT INTO public.ecdc_data VALUES (35059, 2315, 216017, 857.08924115, 101, 195);
INSERT INTO public.ecdc_data VALUES (35060, 0, 16, 257.22181317, 102, 195);
INSERT INTO public.ecdc_data VALUES (35061, 1, 331, 105.98743808, 103, 195);
INSERT INTO public.ecdc_data VALUES (35062, 0, 145, 7.72246076, 144, 195);
INSERT INTO public.ecdc_data VALUES (35063, 0, 0, 0, 212, 195);
INSERT INTO public.ecdc_data VALUES (35064, 0, 0, 18.20392456, 104, 195);
INSERT INTO public.ecdc_data VALUES (35065, 0, 4, 0.05598053, 145, 195);
INSERT INTO public.ecdc_data VALUES (35066, 0, 0, 0, 213, 195);
INSERT INTO public.ecdc_data VALUES (35067, 0, 0, 0, 53, 195);
INSERT INTO public.ecdc_data VALUES (35068, 0, 1, 0.03086216, 146, 195);
INSERT INTO public.ecdc_data VALUES (35069, 1, 56, 3.51603384, 54, 195);
INSERT INTO public.ecdc_data VALUES (35070, 1, 57, 9.53878376, 55, 195);
INSERT INTO public.ecdc_data VALUES (35071, 14, 360, 4.47140231, 105, 196);
INSERT INTO public.ecdc_data VALUES (35072, 8, 410, 205.97905204, 147, 196);
INSERT INTO public.ecdc_data VALUES (35073, 18, 851, 18.06143648, 1, 196);
INSERT INTO public.ecdc_data VALUES (35074, 0, 49, 1377.05606679, 148, 196);
INSERT INTO public.ecdc_data VALUES (35075, 4, 137, 9.04626222, 2, 196);
INSERT INTO public.ecdc_data VALUES (35076, 0, 0, 0, 56, 196);
INSERT INTO public.ecdc_data VALUES (35077, 0, 0, 7.20794934, 57, 196);
INSERT INTO public.ecdc_data VALUES (35078, 251, 11162, 315.52226491, 58, 196);
INSERT INTO public.ecdc_data VALUES (35079, 29, 1703, 911.20616906, 149, 196);
INSERT INTO public.ecdc_data VALUES (35080, 0, 8, 173.07873201, 59, 196);
INSERT INTO public.ecdc_data VALUES (35081, 0, 12, 0.51183977, 202, 196);
INSERT INTO public.ecdc_data VALUES (35082, 37, 10368, 969.23107314, 150, 196);
INSERT INTO public.ecdc_data VALUES (35083, 20, 1622, 169.82959018, 151, 196);
INSERT INTO public.ecdc_data VALUES (35084, 1, 64, 123.23934622, 60, 196);
INSERT INTO public.ecdc_data VALUES (35085, 0, 150, 178.53182254, 106, 196);
INSERT INTO public.ecdc_data VALUES (35086, 13, 1845, 13.76174588, 107, 196);
INSERT INTO public.ecdc_data VALUES (35087, 0, 0, 5.22609844, 61, 196);
INSERT INTO public.ecdc_data VALUES (35088, 5, 1098, 147.32752254, 152, 196);
INSERT INTO public.ecdc_data VALUES (35089, 173, 6482, 975.92260988, 153, 196);
INSERT INTO public.ecdc_data VALUES (35090, 0, 76, 311.00214935, 62, 196);
INSERT INTO public.ecdc_data VALUES (35091, 0, 0, 1.70322369, 3, 196);
INSERT INTO public.ecdc_data VALUES (35092, 0, 5, 35.19549498, 63, 196);
INSERT INTO public.ecdc_data VALUES (35093, 0, 5, 3.01404545, 108, 196);
INSERT INTO public.ecdc_data VALUES (35094, 7, 113, 12.20348782, 64, 196);
INSERT INTO public.ecdc_data VALUES (35095, 0, 1, 7.69734057, 65, 196);
INSERT INTO public.ecdc_data VALUES (35096, 49, 1728, 655.1049107, 154, 196);
INSERT INTO public.ecdc_data VALUES (35097, 0, 390, 68.71545507, 4, 196);
INSERT INTO public.ecdc_data VALUES (35098, 908, 33207, 136.08465035, 66, 196);
INSERT INTO public.ecdc_data VALUES (35099, 0, 0, 0, 67, 196);
INSERT INTO public.ecdc_data VALUES (35100, 0, 0, 0, 109, 196);
INSERT INTO public.ecdc_data VALUES (35101, 72, 3414, 608.21089711, 155, 196);
INSERT INTO public.ecdc_data VALUES (35102, 0, 0, 0.53638082, 5, 196);
INSERT INTO public.ecdc_data VALUES (35103, 0, 3, 0.54637335, 6, 196);
INSERT INTO public.ecdc_data VALUES (35104, 0, 0, 0.06672109, 110, 196);
INSERT INTO public.ecdc_data VALUES (35105, 0, 0, 2.42692305, 7, 196);
INSERT INTO public.ecdc_data VALUES (35106, 83, 5516, 144.4359817, 68, 196);
INSERT INTO public.ecdc_data VALUES (35107, 0, 134, 208.38788514, 8, 196);
INSERT INTO public.ecdc_data VALUES (35108, 0, 0, 21.5557061, 69, 196);
INSERT INTO public.ecdc_data VALUES (35109, 0, 4, 0.52685052, 9, 196);
INSERT INTO public.ecdc_data VALUES (35110, 0, 0, 0.57691529, 10, 196);
INSERT INTO public.ecdc_data VALUES (35111, 66, 1634, 102.30035983, 70, 196);
INSERT INTO public.ecdc_data VALUES (35112, 0, 0, 0.02350424, 111, 196);
INSERT INTO public.ecdc_data VALUES (35113, 179, 8686, 240.1496576, 71, 196);
INSERT INTO public.ecdc_data VALUES (35114, 0, 5, 5.17105011, 11, 196);
INSERT INTO public.ecdc_data VALUES (35115, 0, 0, 1.65412013, 12, 196);
INSERT INTO public.ecdc_data VALUES (35116, 14, 1171, 264.86059307, 72, 196);
INSERT INTO public.ecdc_data VALUES (35117, 0, 27, 0.98769065, 13, 196);
INSERT INTO public.ecdc_data VALUES (35118, 32, 3082, 788.6422949, 156, 196);
INSERT INTO public.ecdc_data VALUES (35119, 1, 58, 6.36168013, 73, 196);
INSERT INTO public.ecdc_data VALUES (35120, 0, 33, 188.46796351, 74, 196);
INSERT INTO public.ecdc_data VALUES (35121, 2, 185, 296.26703535, 157, 196);
INSERT INTO public.ecdc_data VALUES (35122, 185, 7870, 1282.7189243, 158, 196);
INSERT INTO public.ecdc_data VALUES (35123, 2, 36, 0.50466313, 14, 196);
INSERT INTO public.ecdc_data VALUES (35124, 2, 1011, 257.1269674, 159, 196);
INSERT INTO public.ecdc_data VALUES (35125, 0, 6, 8.52543816, 15, 196);
INSERT INTO public.ecdc_data VALUES (35126, 0, 26, 36.20766488, 75, 196);
INSERT INTO public.ecdc_data VALUES (35127, 2, 371, 53.29195377, 76, 196);
INSERT INTO public.ecdc_data VALUES (35128, 26, 883, 64.52872875, 77, 196);
INSERT INTO public.ecdc_data VALUES (35129, 12, 214, 2.87484342, 16, 196);
INSERT INTO public.ecdc_data VALUES (35130, 5, 885, 40.05547334, 78, 196);
INSERT INTO public.ecdc_data VALUES (35131, 0, 0, 1.54869312, 17, 196);
INSERT INTO public.ecdc_data VALUES (35132, 0, 0, 0.85784948, 18, 196);
INSERT INTO public.ecdc_data VALUES (35133, 0, 373, 166.81511451, 160, 196);
INSERT INTO public.ecdc_data VALUES (35134, 0, 16, 14.02276566, 19, 196);
INSERT INTO public.ecdc_data VALUES (35135, 9, 521, 5.30609167, 20, 196);
INSERT INTO public.ecdc_data VALUES (35136, 0, 1, 59.31198102, 79, 196);
INSERT INTO public.ecdc_data VALUES (35137, 0, 0, 6.16307496, 161, 196);
INSERT INTO public.ecdc_data VALUES (35138, 0, 0, 0.11236523, 203, 196);
INSERT INTO public.ecdc_data VALUES (35139, 0, 197, 53.93337597, 162, 196);
INSERT INTO public.ecdc_data VALUES (35140, 425, 33172, 919.13819019, 163, 196);
INSERT INTO public.ecdc_data VALUES (35141, 0, 345, 1451.56381474, 204, 196);
INSERT INTO public.ecdc_data VALUES (35142, 0, 0, 4.18857229, 21, 196);
INSERT INTO public.ecdc_data VALUES (35143, 0, 0, 1.32044353, 22, 196);
INSERT INTO public.ecdc_data VALUES (35144, 37, 3473, 898.00193256, 164, 196);
INSERT INTO public.ecdc_data VALUES (35145, 218, 23542, 302.82267311, 165, 196);
INSERT INTO public.ecdc_data VALUES (35146, 0, 716, 6.45344587, 23, 196);
INSERT INTO public.ecdc_data VALUES (35147, 0, 22, 522.16222631, 166, 196);
INSERT INTO public.ecdc_data VALUES (35148, 50, 3316, 290.23929007, 167, 196);
INSERT INTO public.ecdc_data VALUES (35149, 0, 0, 0, 80, 196);
INSERT INTO public.ecdc_data VALUES (35150, 0, 0, 3.5713648, 81, 196);
INSERT INTO public.ecdc_data VALUES (35151, 1, 95, 827.28115006, 205, 196);
INSERT INTO public.ecdc_data VALUES (35152, 13, 732, 38.40974444, 82, 196);
INSERT INTO public.ecdc_data VALUES (35153, 0, 0, 23.26735745, 168, 196);
INSERT INTO public.ecdc_data VALUES (35154, 0, 21, 4.0481563, 24, 196);
INSERT INTO public.ecdc_data VALUES (35155, 0, 0, 0.57264317, 25, 196);
INSERT INTO public.ecdc_data VALUES (35156, 1, 44, 72.05135575, 83, 196);
INSERT INTO public.ecdc_data VALUES (35157, 0, 0, 0.87009955, 84, 196);
INSERT INTO public.ecdc_data VALUES (35158, 0, 0, 0, 169, 196);
INSERT INTO public.ecdc_data VALUES (35159, 7, 299, 54.56533193, 85, 196);
INSERT INTO public.ecdc_data VALUES (35160, 99, 5097, 618.80190194, 170, 196);
INSERT INTO public.ecdc_data VALUES (35161, 1, 18, 123.53252603, 171, 196);
INSERT INTO public.ecdc_data VALUES (35162, 547, 44879, 46.83370054, 112, 196);
INSERT INTO public.ecdc_data VALUES (35163, 97, 4173, 17.82647535, 113, 196);
INSERT INTO public.ecdc_data VALUES (35164, 457, 11517, 156.3598033, 114, 196);
INSERT INTO public.ecdc_data VALUES (35165, 50, 3298, 112.06114589, 115, 196);
INSERT INTO public.ecdc_data VALUES (35166, 0, 385, 129.17393929, 172, 196);
INSERT INTO public.ecdc_data VALUES (35167, 0, 2, 13.0040549, 173, 196);
INSERT INTO public.ecdc_data VALUES (35168, 6, 833, 100.58251939, 116, 196);
INSERT INTO public.ecdc_data VALUES (35169, 636, 37977, 745.2110392, 174, 196);
INSERT INTO public.ecdc_data VALUES (35170, 0, 53, 23.9801077, 86, 196);
INSERT INTO public.ecdc_data VALUES (35171, 16, 1587, 10.78036242, 117, 196);
INSERT INTO public.ecdc_data VALUES (35172, 0, 17, 141.00708746, 175, 196);
INSERT INTO public.ecdc_data VALUES (35173, 80, 5685, 660.29499796, 118, 196);
INSERT INTO public.ecdc_data VALUES (35174, 3, 817, 52.7560466, 119, 196);
INSERT INTO public.ecdc_data VALUES (35175, 49, 2135, 26.8402801, 26, 196);
INSERT INTO public.ecdc_data VALUES (35176, 7, 767, 443.59040226, 176, 196);
INSERT INTO public.ecdc_data VALUES (35177, 4, 773, 244.01740211, 120, 196);
INSERT INTO public.ecdc_data VALUES (35178, 2, 567, 110.03996196, 121, 196);
INSERT INTO public.ecdc_data VALUES (35179, 0, 0, 0, 122, 196);
INSERT INTO public.ecdc_data VALUES (35180, 4, 533, 207.60762679, 177, 196);
INSERT INTO public.ecdc_data VALUES (35181, 12, 1874, 334.3928396, 123, 196);
INSERT INTO public.ecdc_data VALUES (35182, 0, 0, 3.71718001, 27, 196);
INSERT INTO public.ecdc_data VALUES (35183, 0, 7, 0.85065462, 28, 196);
INSERT INTO public.ecdc_data VALUES (35184, 15, 919, 179.24137578, 29, 196);
INSERT INTO public.ecdc_data VALUES (35185, 0, 31, 1143.88451717, 178, 196);
INSERT INTO public.ecdc_data VALUES (35186, 9, 1550, 598.52894441, 179, 196);
INSERT INTO public.ecdc_data VALUES (35187, 8, 795, 1327.42786214, 180, 196);
INSERT INTO public.ecdc_data VALUES (35188, 0, 0, 0.94551932, 30, 196);
INSERT INTO public.ecdc_data VALUES (35189, 0, 3, 0.22545797, 31, 196);
INSERT INTO public.ecdc_data VALUES (35190, 1, 919, 42.88291231, 124, 196);
INSERT INTO public.ecdc_data VALUES (35191, 0, 26, 88.33107012, 125, 196);
INSERT INTO public.ecdc_data VALUES (35192, 1, 47, 1.13439688, 32, 196);
INSERT INTO public.ecdc_data VALUES (35193, 1, 150, 375.43637134, 181, 196);
INSERT INTO public.ecdc_data VALUES (35194, 0, 0, 0, 206, 196);
INSERT INTO public.ecdc_data VALUES (35195, 0, 37, 4.59597613, 33, 196);
INSERT INTO public.ecdc_data VALUES (35196, 0, 16, 2.12653682, 34, 196);
INSERT INTO public.ecdc_data VALUES (35197, 626, 5658, 61.94291383, 87, 196);
INSERT INTO public.ecdc_data VALUES (35198, 19, 1331, 291.96751728, 182, 196);
INSERT INTO public.ecdc_data VALUES (35199, 0, 8, 559.1657851, 183, 196);
INSERT INTO public.ecdc_data VALUES (35200, 0, 6, 2.23244323, 126, 196);
INSERT INTO public.ecdc_data VALUES (35201, 8, 644, 1247.70565526, 184, 196);
INSERT INTO public.ecdc_data VALUES (35202, 0, 0, 0, 88, 196);
INSERT INTO public.ecdc_data VALUES (35203, 64, 6195, 177.62507031, 35, 196);
INSERT INTO public.ecdc_data VALUES (35204, 0, 183, 5.16695573, 36, 196);
INSERT INTO public.ecdc_data VALUES (35205, 28, 1145, 28.11523981, 127, 196);
INSERT INTO public.ecdc_data VALUES (35206, 1, 53, 19.52276266, 37, 196);
INSERT INTO public.ecdc_data VALUES (35207, 15, 1913, 138.15370596, 128, 196);
INSERT INTO public.ecdc_data VALUES (35208, 89, 5627, 579.01317098, 185, 196);
INSERT INTO public.ecdc_data VALUES (35209, 0, 0, 0.70732113, 207, 196);
INSERT INTO public.ecdc_data VALUES (35210, 0, 4, 0.94081992, 208, 196);
INSERT INTO public.ecdc_data VALUES (35211, 0, 0, 2.24581671, 89, 196);
INSERT INTO public.ecdc_data VALUES (35212, 0, 19, 0.27026193, 38, 196);
INSERT INTO public.ecdc_data VALUES (35213, 0, 212, 1.09820881, 39, 196);
INSERT INTO public.ecdc_data VALUES (35214, 26, 1295, 687.3419696, 186, 196);
INSERT INTO public.ecdc_data VALUES (35215, 0, 0, 13.98283607, 209, 196);
INSERT INTO public.ecdc_data VALUES (35216, 6, 618, 139.57777956, 187, 196);
INSERT INTO public.ecdc_data VALUES (35217, 5, 256, 100.66347845, 129, 196);
INSERT INTO public.ecdc_data VALUES (35218, 37, 2304, 9.2858821, 130, 196);
INSERT INTO public.ecdc_data VALUES (35219, 5, 823, 175.25116322, 131, 196);
INSERT INTO public.ecdc_data VALUES (35220, 7, 887, 266.27009919, 90, 196);
INSERT INTO public.ecdc_data VALUES (35221, 0, 0, 0.11394558, 210, 196);
INSERT INTO public.ecdc_data VALUES (35222, 11, 547, 118.71438693, 91, 196);
INSERT INTO public.ecdc_data VALUES (35223, 36, 2231, 100.407678, 92, 196);
INSERT INTO public.ecdc_data VALUES (35224, 11, 1404, 23.9417395, 132, 196);
INSERT INTO public.ecdc_data VALUES (35225, 275, 22683, 848.74146271, 188, 196);
INSERT INTO public.ecdc_data VALUES (35226, 78, 5839, 636.34754511, 189, 196);
INSERT INTO public.ecdc_data VALUES (35227, 8, 1955, 353.85511167, 93, 196);
INSERT INTO public.ecdc_data VALUES (35228, 1, 245, 105.29397038, 133, 196);
INSERT INTO public.ecdc_data VALUES (35229, 121, 10142, 541.84360954, 190, 196);
INSERT INTO public.ecdc_data VALUES (35230, 439, 21608, 189.80647863, 191, 196);
INSERT INTO public.ecdc_data VALUES (35231, 0, 7, 1.48888036, 40, 196);
INSERT INTO public.ecdc_data VALUES (35232, 0, 0, 0, 94, 196);
INSERT INTO public.ecdc_data VALUES (35233, 0, 8, 43.76487322, 95, 196);
INSERT INTO public.ecdc_data VALUES (35234, 0, 0, 2.71264908, 96, 196);
INSERT INTO public.ecdc_data VALUES (35235, 0, 0, 760.45627376, 192, 196);
INSERT INTO public.ecdc_data VALUES (35236, 0, 1, 8.83523678, 41, 196);
INSERT INTO public.ecdc_data VALUES (35237, 15, 311, 16.56913841, 134, 196);
INSERT INTO public.ecdc_data VALUES (35238, 0, 9, 0.92658717, 42, 196);
INSERT INTO public.ecdc_data VALUES (35239, 19, 3341, 433.28579199, 193, 196);
INSERT INTO public.ecdc_data VALUES (35240, 0, 0, 5.11556051, 43, 196);
INSERT INTO public.ecdc_data VALUES (35241, 0, 1, 0.31997104, 44, 196);
INSERT INTO public.ecdc_data VALUES (35242, 0, 11, 1.8606757, 135, 196);
INSERT INTO public.ecdc_data VALUES (35243, 0, 4, 257.14218311, 97, 196);
INSERT INTO public.ecdc_data VALUES (35244, 50, 2591, 551.2234743, 194, 196);
INSERT INTO public.ecdc_data VALUES (35245, 13, 1931, 969.04812707, 195, 196);
INSERT INTO public.ecdc_data VALUES (35246, 0, 0, 1.19434894, 211, 196);
INSERT INTO public.ecdc_data VALUES (35247, 0, 0, 2.33116746, 45, 196);
INSERT INTO public.ecdc_data VALUES (35248, 65, 2338, 39.212226, 46, 196);
INSERT INTO public.ecdc_data VALUES (35249, 1, 191, 3.41237491, 136, 196);
INSERT INTO public.ecdc_data VALUES (35250, 0, 0, 0.51527222, 47, 196);
INSERT INTO public.ecdc_data VALUES (35251, 308, 21371, 581.44459836, 196, 196);
INSERT INTO public.ecdc_data VALUES (35252, 2, 373, 27.81876758, 137, 196);
INSERT INTO public.ecdc_data VALUES (35253, 0, 55, 1.48552187, 48, 196);
INSERT INTO public.ecdc_data VALUES (35254, 1, 7, 11.00861252, 98, 196);
INSERT INTO public.ecdc_data VALUES (35255, 28, 5564, 497.93820933, 197, 196);
INSERT INTO public.ecdc_data VALUES (35256, 98, 6893, 1227.83859188, 198, 196);
INSERT INTO public.ecdc_data VALUES (35257, 4, 65, 4.99703224, 138, 196);
INSERT INTO public.ecdc_data VALUES (35258, 0, 8, 0.18087076, 139, 196);
INSERT INTO public.ecdc_data VALUES (35259, 0, 40, 5.97573893, 140, 196);
INSERT INTO public.ecdc_data VALUES (35260, 0, 9, 0.12351782, 141, 196);
INSERT INTO public.ecdc_data VALUES (35261, 0, 0, 0, 142, 196);
INSERT INTO public.ecdc_data VALUES (35262, 1, 12, 3.82314124, 49, 196);
INSERT INTO public.ecdc_data VALUES (35263, 0, 26, 21.07573717, 99, 196);
INSERT INTO public.ecdc_data VALUES (35264, 49, 1584, 154.57401677, 50, 196);
INSERT INTO public.ecdc_data VALUES (35265, 88, 2841, 41.53705797, 199, 196);
INSERT INTO public.ecdc_data VALUES (35266, 0, 0, 34.0367597, 100, 196);
INSERT INTO public.ecdc_data VALUES (35267, 4, 224, 6.81280356, 51, 196);
INSERT INTO public.ecdc_data VALUES (35268, 198, 11057, 296.51556703, 200, 196);
INSERT INTO public.ecdc_data VALUES (35269, 3, 1136, 167.84152665, 143, 196);
INSERT INTO public.ecdc_data VALUES (35270, 563, 33470, 487.42547164, 201, 196);
INSERT INTO public.ecdc_data VALUES (35271, 0, 0, 0, 52, 196);
INSERT INTO public.ecdc_data VALUES (35272, 630, 153669, 488.85399716, 101, 196);
INSERT INTO public.ecdc_data VALUES (35273, 0, 0, 54.50425038, 102, 196);
INSERT INTO public.ecdc_data VALUES (35274, 0, 95, 21.69434887, 103, 196);
INSERT INTO public.ecdc_data VALUES (35275, 2, 220, 9.3233478, 144, 196);
INSERT INTO public.ecdc_data VALUES (35276, 0, 0, 0, 212, 196);
INSERT INTO public.ecdc_data VALUES (35277, 7, 695, 17.04316574, 104, 196);
INSERT INTO public.ecdc_data VALUES (35278, 0, 1, 0.07878741, 145, 196);
INSERT INTO public.ecdc_data VALUES (35279, 0, 0, 0, 213, 196);
INSERT INTO public.ecdc_data VALUES (35280, 0, 0, 0, 53, 196);
INSERT INTO public.ecdc_data VALUES (35281, 0, 5, 0.01714565, 146, 196);
INSERT INTO public.ecdc_data VALUES (35282, 0, 0, 3.98073258, 54, 196);
INSERT INTO public.ecdc_data VALUES (35283, 0, 29, 2.36933283, 55, 196);
INSERT INTO public.ecdc_data VALUES (35284, 3, 129, 1.81116766, 105, 197);
INSERT INTO public.ecdc_data VALUES (35285, 4, 171, 76.12421208, 147, 197);
INSERT INTO public.ecdc_data VALUES (35286, 8, 153, 4.67330378, 1, 197);
INSERT INTO public.ecdc_data VALUES (35287, 2, 299, 1350.801423, 148, 197);
INSERT INTO public.ecdc_data VALUES (35288, 0, 120, 4.93004009, 2, 197);
INSERT INTO public.ecdc_data VALUES (35289, 0, 0, 0, 56, 197);
INSERT INTO public.ecdc_data VALUES (35290, 0, 0, 10.29707048, 57, 197);
INSERT INTO public.ecdc_data VALUES (35291, 318, 9524, 403.29450148, 58, 197);
INSERT INTO public.ecdc_data VALUES (35292, 12, 1115, 270.20740244, 149, 197);
INSERT INTO public.ecdc_data VALUES (35293, 0, 3, 305.70971687, 59, 197);
INSERT INTO public.ecdc_data VALUES (35294, 0, 22, 0.96019553, 202, 197);
INSERT INTO public.ecdc_data VALUES (35295, 5, 608, 143.42840856, 150, 197);
INSERT INTO public.ecdc_data VALUES (35296, 0, 122, 20.33297309, 151, 197);
INSERT INTO public.ecdc_data VALUES (35297, 1, 85, 340.19194528, 60, 197);
INSERT INTO public.ecdc_data VALUES (35298, 7, 661, 371.68741211, 106, 197);
INSERT INTO public.ecdc_data VALUES (35299, 31, 1472, 11.76537888, 107, 197);
INSERT INTO public.ecdc_data VALUES (35300, 0, 0, 6.27131813, 61, 197);
INSERT INTO public.ecdc_data VALUES (35301, 5, 464, 64.02600649, 152, 197);
INSERT INTO public.ecdc_data VALUES (35302, 36, 9735, 503.80083172, 153, 197);
INSERT INTO public.ecdc_data VALUES (35303, 2, 142, 173.689833, 62, 197);
INSERT INTO public.ecdc_data VALUES (35304, 0, 0, 0.60163623, 3, 197);
INSERT INTO public.ecdc_data VALUES (35305, 0, 0, 4.79938568, 63, 197);
INSERT INTO public.ecdc_data VALUES (35306, 0, 0, 3.80031818, 108, 197);
INSERT INTO public.ecdc_data VALUES (35307, 18, 121, 38.10441356, 64, 197);
INSERT INTO public.ecdc_data VALUES (35308, 0, 2, 169.34149251, 65, 197);
INSERT INTO public.ecdc_data VALUES (35309, 9, 189, 116.23757421, 154, 197);
INSERT INTO public.ecdc_data VALUES (35310, 2, 313, 72.1013082, 4, 197);
INSERT INTO public.ecdc_data VALUES (35311, 201, 8426, 169.60190276, 66, 197);
INSERT INTO public.ecdc_data VALUES (35312, 0, 0, 0, 67, 197);
INSERT INTO public.ecdc_data VALUES (35313, 0, 0, 0, 109, 197);
INSERT INTO public.ecdc_data VALUES (35314, 23, 587, 67.39962449, 155, 197);
INSERT INTO public.ecdc_data VALUES (35315, 0, 14, 1.30896603, 5, 197);
INSERT INTO public.ecdc_data VALUES (35316, 0, 1, 0.19946964, 6, 197);
INSERT INTO public.ecdc_data VALUES (35317, 0, 0, 0.03639332, 110, 197);
INSERT INTO public.ecdc_data VALUES (35318, 0, 0, 1.41055241, 7, 197);
INSERT INTO public.ecdc_data VALUES (35319, 42, 4722, 73.60929146, 68, 197);
INSERT INTO public.ecdc_data VALUES (35320, 0, 83, 243.30103867, 8, 197);
INSERT INTO public.ecdc_data VALUES (35321, 0, 0, 15.39693293, 69, 197);
INSERT INTO public.ecdc_data VALUES (35322, 0, 0, 1.01155299, 9, 197);
INSERT INTO public.ecdc_data VALUES (35323, 0, 4, 0.77131065, 10, 197);
INSERT INTO public.ecdc_data VALUES (35324, 61, 1517, 122.50399495, 70, 197);
INSERT INTO public.ecdc_data VALUES (35325, 0, 18, 0.0226673, 111, 197);
INSERT INTO public.ecdc_data VALUES (35326, 151, 7767, 200.39951574, 71, 197);
INSERT INTO public.ecdc_data VALUES (35327, 0, 0, 1.99790572, 11, 197);
INSERT INTO public.ecdc_data VALUES (35328, 0, 0, 0.53898297, 12, 197);
INSERT INTO public.ecdc_data VALUES (35329, 32, 1784, 307.25730704, 72, 197);
INSERT INTO public.ecdc_data VALUES (35330, 0, 1, 1.99871258, 13, 197);
INSERT INTO public.ecdc_data VALUES (35331, 3, 181, 107.35367787, 156, 197);
INSERT INTO public.ecdc_data VALUES (35332, 0, 22, 4.56170406, 73, 197);
INSERT INTO public.ecdc_data VALUES (35333, 0, 2, 135.23188291, 74, 197);
INSERT INTO public.ecdc_data VALUES (35334, 0, 61, 38.13225041, 157, 197);
INSERT INTO public.ecdc_data VALUES (35335, 17, 4311, 521.49336138, 158, 197);
INSERT INTO public.ecdc_data VALUES (35336, 0, 18, 0.28113654, 14, 197);
INSERT INTO public.ecdc_data VALUES (35337, 2, 389, 98.84464237, 159, 197);
INSERT INTO public.ecdc_data VALUES (35338, 0, 3, 1.64345796, 15, 197);
INSERT INTO public.ecdc_data VALUES (35339, 0, 0, 11.14081996, 75, 197);
INSERT INTO public.ecdc_data VALUES (35340, 6, 366, 66.83144369, 76, 197);
INSERT INTO public.ecdc_data VALUES (35341, 27, 282, 71.08463117, 77, 197);
INSERT INTO public.ecdc_data VALUES (35342, 22, 261, 1.68645527, 16, 197);
INSERT INTO public.ecdc_data VALUES (35343, 0, 0, 21.49204701, 78, 197);
INSERT INTO public.ecdc_data VALUES (35344, 0, 3, 2.80239708, 17, 197);
INSERT INTO public.ecdc_data VALUES (35345, 0, 0, 1.11520432, 18, 197);
INSERT INTO public.ecdc_data VALUES (35346, 0, 18, 46.4968826, 160, 197);
INSERT INTO public.ecdc_data VALUES (35347, 0, 14, 20.11962029, 19, 197);
INSERT INTO public.ecdc_data VALUES (35348, 14, 841, 9.9858379, 20, 197);
INSERT INTO public.ecdc_data VALUES (35349, 0, 0, 0, 79, 197);
INSERT INTO public.ecdc_data VALUES (35350, 0, 0, 34.92409146, 161, 197);
INSERT INTO public.ecdc_data VALUES (35351, 0, 0, 0, 203, 197);
INSERT INTO public.ecdc_data VALUES (35352, 0, 214, 44.90823443, 162, 197);
INSERT INTO public.ecdc_data VALUES (35353, 95, 8505, 299.70356595, 163, 197);
INSERT INTO public.ecdc_data VALUES (35354, 1, 497, 545.32108778, 204, 197);
INSERT INTO public.ecdc_data VALUES (35355, 0, 25, 4.97105282, 21, 197);
INSERT INTO public.ecdc_data VALUES (35356, 1, 4, 2.85386183, 22, 197);
INSERT INTO public.ecdc_data VALUES (35357, 8, 478, 160.27974645, 164, 197);
INSERT INTO public.ecdc_data VALUES (35358, 13, 4122, 50.6292441, 165, 197);
INSERT INTO public.ecdc_data VALUES (35359, 2, 25, 1.80157327, 23, 197);
INSERT INTO public.ecdc_data VALUES (35360, 0, 1, 308.55040646, 166, 197);
INSERT INTO public.ecdc_data VALUES (35361, 7, 294, 46.10895009, 167, 197);
INSERT INTO public.ecdc_data VALUES (35362, 0, 0, 3.52982704, 80, 197);
INSERT INTO public.ecdc_data VALUES (35363, 0, 1, 0.8928412, 81, 197);
INSERT INTO public.ecdc_data VALUES (35364, 0, 92, 466.24226665, 205, 197);
INSERT INTO public.ecdc_data VALUES (35365, 3, 111, 43.01686616, 82, 197);
INSERT INTO public.ecdc_data VALUES (35366, 0, 0, 3.10231433, 168, 197);
INSERT INTO public.ecdc_data VALUES (35367, 1, 40, 3.63316156, 24, 197);
INSERT INTO public.ecdc_data VALUES (35368, 0, 0, 3.17556667, 25, 197);
INSERT INTO public.ecdc_data VALUES (35369, 1, 52, 93.76896298, 83, 197);
INSERT INTO public.ecdc_data VALUES (35370, 0, 0, 1.26075649, 84, 197);
INSERT INTO public.ecdc_data VALUES (35371, 0, 7, 858.89570552, 169, 197);
INSERT INTO public.ecdc_data VALUES (35372, 9, 332, 91.0721862, 85, 197);
INSERT INTO public.ecdc_data VALUES (35373, 28, 1285, 146.27398863, 170, 197);
INSERT INTO public.ecdc_data VALUES (35374, 0, 56, 257.42945901, 171, 197);
INSERT INTO public.ecdc_data VALUES (35375, 706, 55342, 75.42268794, 112, 197);
INSERT INTO public.ecdc_data VALUES (35376, 91, 3267, 21.42960868, 113, 197);
INSERT INTO public.ecdc_data VALUES (35377, 272, 4206, 65.51495538, 114, 197);
INSERT INTO public.ecdc_data VALUES (35378, 60, 3107, 131.95440963, 115, 197);
INSERT INTO public.ecdc_data VALUES (35379, 1, 823, 162.57360977, 172, 197);
INSERT INTO public.ecdc_data VALUES (35380, 0, 0, 7.09312085, 173, 197);
INSERT INTO public.ecdc_data VALUES (35381, 38, 3209, 725.07683371, 116, 197);
INSERT INTO public.ecdc_data VALUES (35382, 39, 4619, 79.86309241, 174, 197);
INSERT INTO public.ecdc_data VALUES (35383, 7, 95, 56.64325299, 86, 197);
INSERT INTO public.ecdc_data VALUES (35384, 5, 326, 5.65898083, 117, 197);
INSERT INTO public.ecdc_data VALUES (35385, 0, 30, 65.8651527, 175, 197);
INSERT INTO public.ecdc_data VALUES (35386, 16, 1147, 166.77395887, 118, 197);
INSERT INTO public.ecdc_data VALUES (35387, 2, 74, 18.76405417, 119, 197);
INSERT INTO public.ecdc_data VALUES (35388, 11, 73, 6.56408522, 26, 197);
INSERT INTO public.ecdc_data VALUES (35389, 1, 68, 40.42243951, 176, 197);
INSERT INTO public.ecdc_data VALUES (35390, 6, 777, 188.06406443, 120, 197);
INSERT INTO public.ecdc_data VALUES (35391, 7, 641, 52.19884315, 121, 197);
INSERT INTO public.ecdc_data VALUES (35392, 0, 0, 0, 122, 197);
INSERT INTO public.ecdc_data VALUES (35393, 0, 95, 55.6259271, 177, 197);
INSERT INTO public.ecdc_data VALUES (35394, 11, 2066, 253.10292488, 123, 197);
INSERT INTO public.ecdc_data VALUES (35395, 0, 0, 11.29269875, 27, 197);
INSERT INTO public.ecdc_data VALUES (35396, 0, 8, 0.58735676, 28, 197);
INSERT INTO public.ecdc_data VALUES (35397, 13, 1109, 156.51897549, 29, 197);
INSERT INTO public.ecdc_data VALUES (35398, 0, 11, 80.77544426, 178, 197);
INSERT INTO public.ecdc_data VALUES (35399, 0, 126, 62.91640064, 179, 197);
INSERT INTO public.ecdc_data VALUES (35400, 3, 371, 220.72214421, 180, 197);
INSERT INTO public.ecdc_data VALUES (35401, 0, 8, 1.40159335, 30, 197);
INSERT INTO public.ecdc_data VALUES (35402, 0, 3, 0.28987454, 31, 197);
INSERT INTO public.ecdc_data VALUES (35403, 2, 563, 16.23171909, 124, 197);
INSERT INTO public.ecdc_data VALUES (35404, 0, 49, 148.0345866, 125, 197);
INSERT INTO public.ecdc_data VALUES (35405, 0, 10, 1.0479182, 32, 197);
INSERT INTO public.ecdc_data VALUES (35406, 1, 94, 182.95685014, 181, 197);
INSERT INTO public.ecdc_data VALUES (35407, 0, 0, 1.90025936, 33, 197);
INSERT INTO public.ecdc_data VALUES (35408, 0, 9, 2.91414305, 34, 197);
INSERT INTO public.ecdc_data VALUES (35409, 303, 5326, 46.82402689, 87, 197);
INSERT INTO public.ecdc_data VALUES (35410, 17, 467, 282.54442333, 182, 197);
INSERT INTO public.ecdc_data VALUES (35411, 0, 2, 72.54042618, 183, 197);
INSERT INTO public.ecdc_data VALUES (35412, 0, 2, 0.21704309, 126, 197);
INSERT INTO public.ecdc_data VALUES (35413, 9, 181, 580.05535358, 184, 197);
INSERT INTO public.ecdc_data VALUES (35414, 0, 0, 0, 88, 197);
INSERT INTO public.ecdc_data VALUES (35415, 31, 1357, 95.01596386, 35, 197);
INSERT INTO public.ecdc_data VALUES (35416, 1, 87, 5.92767388, 36, 197);
INSERT INTO public.ecdc_data VALUES (35417, 18, 1340, 32.71877496, 127, 197);
INSERT INTO public.ecdc_data VALUES (35418, 1, 53, 34.79621764, 37, 197);
INSERT INTO public.ecdc_data VALUES (35419, 9, 4047, 129.53045951, 128, 197);
INSERT INTO public.ecdc_data VALUES (35420, 12, 6844, 386.95966471, 185, 197);
INSERT INTO public.ecdc_data VALUES (35421, 0, 0, 0, 207, 197);
INSERT INTO public.ecdc_data VALUES (35422, 0, 1, 0.77356304, 208, 197);
INSERT INTO public.ecdc_data VALUES (35423, 0, 0, 2.91803395, 89, 197);
INSERT INTO public.ecdc_data VALUES (35424, 0, 1, 0.02573923, 38, 197);
INSERT INTO public.ecdc_data VALUES (35425, 0, 164, 0.98027701, 39, 197);
INSERT INTO public.ecdc_data VALUES (35426, 5, 176, 165.56482689, 186, 197);
INSERT INTO public.ecdc_data VALUES (35427, 0, 0, 12.23498156, 209, 197);
INSERT INTO public.ecdc_data VALUES (35428, 1, 303, 34.27040816, 187, 197);
INSERT INTO public.ecdc_data VALUES (35429, 8, 685, 171.21635572, 129, 197);
INSERT INTO public.ecdc_data VALUES (35430, 18, 916, 3.84733812, 130, 197);
INSERT INTO public.ecdc_data VALUES (35431, 10, 395, 125.58662968, 131, 197);
INSERT INTO public.ecdc_data VALUES (35432, 11, 489, 224.30553593, 90, 197);
INSERT INTO public.ecdc_data VALUES (35433, 0, 11, 0.37602043, 210, 197);
INSERT INTO public.ecdc_data VALUES (35434, 19, 669, 154.89793018, 91, 197);
INSERT INTO public.ecdc_data VALUES (35435, 52, 1800, 130.59488358, 92, 197);
INSERT INTO public.ecdc_data VALUES (35436, 11, 3475, 32.8608121, 132, 197);
INSERT INTO public.ecdc_data VALUES (35437, 35, 4394, 109.48359579, 188, 197);
INSERT INTO public.ecdc_data VALUES (35438, 14, 1249, 135.10282615, 189, 197);
INSERT INTO public.ecdc_data VALUES (35439, 5, 563, 232.2216783, 93, 197);
INSERT INTO public.ecdc_data VALUES (35440, 0, 206, 101.69236576, 133, 197);
INSERT INTO public.ecdc_data VALUES (35441, 56, 2069, 172.07794315, 190, 197);
INSERT INTO public.ecdc_data VALUES (35442, 125, 13592, 104.70599413, 191, 197);
INSERT INTO public.ecdc_data VALUES (35443, 1, 9, 0.57812908, 40, 197);
INSERT INTO public.ecdc_data VALUES (35444, 0, 0, 0, 94, 197);
INSERT INTO public.ecdc_data VALUES (35445, 0, 0, 1.09412183, 95, 197);
INSERT INTO public.ecdc_data VALUES (35446, 0, 0, 0, 96, 197);
INSERT INTO public.ecdc_data VALUES (35447, 0, 0, 72.56262154, 192, 197);
INSERT INTO public.ecdc_data VALUES (35448, 0, 0, 8.37022432, 41, 197);
INSERT INTO public.ecdc_data VALUES (35449, 25, 348, 17.41247779, 134, 197);
INSERT INTO public.ecdc_data VALUES (35450, 1, 24, 2.28885441, 42, 197);
INSERT INTO public.ecdc_data VALUES (35451, 2, 67, 20.67847216, 193, 197);
INSERT INTO public.ecdc_data VALUES (35452, 0, 0, 5.11556051, 43, 197);
INSERT INTO public.ecdc_data VALUES (35453, 0, 0, 1.1646946, 44, 197);
INSERT INTO public.ecdc_data VALUES (35454, 1, 4, 2.84269899, 135, 197);
INSERT INTO public.ecdc_data VALUES (35455, 0, 0, 153.34166883, 97, 197);
INSERT INTO public.ecdc_data VALUES (35456, 0, 504, 202.03943879, 194, 197);
INSERT INTO public.ecdc_data VALUES (35457, 2, 167, 165.21633825, 195, 197);
INSERT INTO public.ecdc_data VALUES (35458, 0, 0, 1.78722839, 45, 197);
INSERT INTO public.ecdc_data VALUES (35459, 0, 0, 35.52359225, 46, 197);
INSERT INTO public.ecdc_data VALUES (35460, 1, 102, 2.15908847, 136, 197);
INSERT INTO public.ecdc_data VALUES (35461, 0, 10, 0.85878703, 47, 197);
INSERT INTO public.ecdc_data VALUES (35462, 80, 7118, 293.82752137, 196, 197);
INSERT INTO public.ecdc_data VALUES (35463, 0, 92, 6.94531267, 137, 197);
INSERT INTO public.ecdc_data VALUES (35464, 0, 15, 0.18452237, 48, 197);
INSERT INTO public.ecdc_data VALUES (35465, 0, 7, 38.18612468, 98, 197);
INSERT INTO public.ecdc_data VALUES (35466, 3, 637, 77.41795481, 197, 197);
INSERT INTO public.ecdc_data VALUES (35467, 7, 4057, 137.6202568, 198, 197);
INSERT INTO public.ecdc_data VALUES (35468, 7, 101, 3.93670067, 138, 197);
INSERT INTO public.ecdc_data VALUES (35469, 0, 3, 0.07150705, 139, 197);
INSERT INTO public.ecdc_data VALUES (35470, 0, 38, 6.16885078, 140, 197);
INSERT INTO public.ecdc_data VALUES (35471, 0, 2, 0.12064531, 141, 197);
INSERT INTO public.ecdc_data VALUES (35472, 0, 1, 0.07733234, 142, 197);
INSERT INTO public.ecdc_data VALUES (35473, 0, 9, 2.47452507, 49, 197);
INSERT INTO public.ecdc_data VALUES (35474, 2, 15, 52.33091201, 99, 197);
INSERT INTO public.ecdc_data VALUES (35475, 22, 1297, 140.59334977, 50, 197);
INSERT INTO public.ecdc_data VALUES (35476, 58, 1614, 25.976819, 199, 197);
INSERT INTO public.ecdc_data VALUES (35477, 0, 1, 36.65497199, 100, 197);
INSERT INTO public.ecdc_data VALUES (35478, 1, 63, 4.71429743, 51, 197);
INSERT INTO public.ecdc_data VALUES (35479, 43, 4420, 145.81424866, 200, 197);
INSERT INTO public.ecdc_data VALUES (35480, 1, 1064, 155.54945558, 143, 197);
INSERT INTO public.ecdc_data VALUES (35481, 50, 13972, 268.09113649, 201, 197);
INSERT INTO public.ecdc_data VALUES (35482, 0, 0, 0, 52, 197);
INSERT INTO public.ecdc_data VALUES (35483, 314, 41653, 199.39925714, 101, 197);
INSERT INTO public.ecdc_data VALUES (35484, 0, 0, 6.69350443, 102, 197);
INSERT INTO public.ecdc_data VALUES (35485, 1, 19, 8.75284648, 103, 197);
INSERT INTO public.ecdc_data VALUES (35486, 5, 436, 16.57281921, 144, 197);
INSERT INTO public.ecdc_data VALUES (35487, 7, 619, 35.8677982, 104, 197);
INSERT INTO public.ecdc_data VALUES (35488, 0, 1, 0.03421032, 145, 197);
INSERT INTO public.ecdc_data VALUES (35489, 0, 0, 0, 53, 197);
INSERT INTO public.ecdc_data VALUES (35490, 0, 1, 0.07201171, 146, 197);
INSERT INTO public.ecdc_data VALUES (35491, 9, 91, 4.97731542, 54, 197);
INSERT INTO public.ecdc_data VALUES (35492, 0, 10, 1.39974994, 55, 197);
INSERT INTO public.ecdc_data VALUES (35493, 0, 35, 1.3090878, 105, 198);
INSERT INTO public.ecdc_data VALUES (35494, 3, 164, 66.58685095, 147, 198);
INSERT INTO public.ecdc_data VALUES (35495, 6, 255, 9.81347339, 1, 198);
INSERT INTO public.ecdc_data VALUES (35496, 0, 0, 288.80108169, 148, 198);
INSERT INTO public.ecdc_data VALUES (35497, 1, 62, 2.28748833, 2, 198);
INSERT INTO public.ecdc_data VALUES (35498, 0, 0, 0, 56, 198);
INSERT INTO public.ecdc_data VALUES (35499, 0, 0, 1.02970705, 57, 198);
INSERT INTO public.ecdc_data VALUES (35500, 212, 11505, 320.85492235, 58, 198);
INSERT INTO public.ecdc_data VALUES (35501, 2, 172, 69.2761471, 149, 198);
INSERT INTO public.ecdc_data VALUES (35502, 0, 96, 958.51754303, 59, 198);
INSERT INTO public.ecdc_data VALUES (35503, 6, 42, 4.20581513, 202, 198);
INSERT INTO public.ecdc_data VALUES (35504, 4, 495, 67.88749009, 150, 198);
INSERT INTO public.ecdc_data VALUES (35505, 2, 135, 19.88511024, 151, 198);
INSERT INTO public.ecdc_data VALUES (35506, 2, 114, 203.60166989, 60, 198);
INSERT INTO public.ecdc_data VALUES (35507, 2, 632, 453.82423694, 106, 198);
INSERT INTO public.ecdc_data VALUES (35508, 34, 1282, 16.63271177, 107, 198);
INSERT INTO public.ecdc_data VALUES (35509, 0, 0, 3.48406563, 61, 198);
INSERT INTO public.ecdc_data VALUES (35510, 6, 191, 25.94047718, 152, 198);
INSERT INTO public.ecdc_data VALUES (35511, 1, 617, 80.37174047, 153, 198);
INSERT INTO public.ecdc_data VALUES (35512, 0, 23, 126.55276917, 62, 198);
INSERT INTO public.ecdc_data VALUES (35513, 0, 0, 0.82195372, 3, 198);
INSERT INTO public.ecdc_data VALUES (35514, 0, 0, 12.79836181, 63, 198);
INSERT INTO public.ecdc_data VALUES (35515, 0, 3, 6.42122727, 108, 198);
INSERT INTO public.ecdc_data VALUES (35516, 47, 810, 92.31221959, 64, 198);
INSERT INTO public.ecdc_data VALUES (35517, 0, 0, 38.48670284, 65, 198);
INSERT INTO public.ecdc_data VALUES (35518, 0, 300, 118.75196531, 154, 198);
INSERT INTO public.ecdc_data VALUES (35519, 0, 0, 26.86978313, 4, 198);
INSERT INTO public.ecdc_data VALUES (35520, 814, 33523, 222.47574987, 66, 198);
INSERT INTO public.ecdc_data VALUES (35521, 0, 2, 103.21979156, 67, 198);
INSERT INTO public.ecdc_data VALUES (35522, 0, 0, 0.23078911, 109, 198);
INSERT INTO public.ecdc_data VALUES (35523, 4, 92, 24.67129112, 155, 198);
INSERT INTO public.ecdc_data VALUES (35524, 0, 15, 0.74798059, 5, 198);
INSERT INTO public.ecdc_data VALUES (35525, 0, 2, 0.27752297, 6, 198);
INSERT INTO public.ecdc_data VALUES (35526, 0, 1, 0.01213111, 110, 198);
INSERT INTO public.ecdc_data VALUES (35527, 0, 0, 3.35054504, 7, 198);
INSERT INTO public.ecdc_data VALUES (35528, 7, 515, 22.63503087, 68, 198);
INSERT INTO public.ecdc_data VALUES (35529, 0, 60, 169.65610544, 8, 198);
INSERT INTO public.ecdc_data VALUES (35530, 0, 0, 4.61907988, 69, 198);
INSERT INTO public.ecdc_data VALUES (35531, 0, 0, 1.03262701, 9, 198);
INSERT INTO public.ecdc_data VALUES (35532, 1, 2, 0.47031137, 10, 198);
INSERT INTO public.ecdc_data VALUES (35533, 45, 2131, 130.1021236, 70, 198);
INSERT INTO public.ecdc_data VALUES (35534, 1, 23, 0.02127239, 111, 198);
INSERT INTO public.ecdc_data VALUES (35535, 216, 6876, 216.62933378, 71, 198);
INSERT INTO public.ecdc_data VALUES (35536, 0, 0, 3.99581145, 11, 198);
INSERT INTO public.ecdc_data VALUES (35537, 0, 0, 17.63775289, 12, 198);
INSERT INTO public.ecdc_data VALUES (35538, 7, 1485, 312.130948, 72, 198);
INSERT INTO public.ecdc_data VALUES (35539, 1, 71, 4.25406919, 13, 198);
INSERT INTO public.ecdc_data VALUES (35540, 7, 261, 86.03504303, 156, 198);
INSERT INTO public.ecdc_data VALUES (35541, 2, 60, 6.42344402, 73, 198);
INSERT INTO public.ecdc_data VALUES (35542, 0, 10, 53.84798957, 74, 198);
INSERT INTO public.ecdc_data VALUES (35543, 0, 3, 4.56673658, 157, 198);
INSERT INTO public.ecdc_data VALUES (35544, 3, 1541, 106.17100791, 158, 198);
INSERT INTO public.ecdc_data VALUES (35545, 0, 24, 0.434379, 14, 198);
INSERT INTO public.ecdc_data VALUES (35546, 0, 0, 43.33387702, 159, 198);
INSERT INTO public.ecdc_data VALUES (35547, 0, 0, 0.9244451, 15, 198);
INSERT INTO public.ecdc_data VALUES (35548, 0, 0, 5.57040998, 75, 198);
INSERT INTO public.ecdc_data VALUES (35549, 12, 860, 87.15930234, 76, 198);
INSERT INTO public.ecdc_data VALUES (35550, 28, 1719, 20.40445486, 77, 198);
INSERT INTO public.ecdc_data VALUES (35551, 20, 148, 2.34988068, 16, 198);
INSERT INTO public.ecdc_data VALUES (35552, 3, 77, 20.03548435, 78, 198);
INSERT INTO public.ecdc_data VALUES (35553, 0, 6, 4.05610104, 17, 198);
INSERT INTO public.ecdc_data VALUES (35554, 0, 0, 1.22958425, 18, 198);
INSERT INTO public.ecdc_data VALUES (35555, 0, 23, 22.04073006, 160, 198);
INSERT INTO public.ecdc_data VALUES (35556, 0, 25, 47.0328786, 19, 198);
INSERT INTO public.ecdc_data VALUES (35557, 10, 521, 12.70000149, 20, 198);
INSERT INTO public.ecdc_data VALUES (35558, 0, 0, 0, 79, 198);
INSERT INTO public.ecdc_data VALUES (35559, 0, 2, 14.38050825, 161, 198);
INSERT INTO public.ecdc_data VALUES (35560, 0, 0, 0.44946093, 203, 198);
INSERT INTO public.ecdc_data VALUES (35561, 0, 45, 9.20636929, 162, 198);
INSERT INTO public.ecdc_data VALUES (35562, 17, 10561, 151.28583559, 163, 198);
INSERT INTO public.ecdc_data VALUES (35563, 0, 0, 168.6449326, 204, 198);
INSERT INTO public.ecdc_data VALUES (35564, 0, 0, 6.35190083, 21, 198);
INSERT INTO public.ecdc_data VALUES (35565, 2, 14, 20.48817223, 22, 198);
INSERT INTO public.ecdc_data VALUES (35566, 0, 0, 15.33741564, 164, 198);
INSERT INTO public.ecdc_data VALUES (35567, 2, 948, 21.26857069, 165, 198);
INSERT INTO public.ecdc_data VALUES (35568, 1, 46, 4.32640589, 23, 198);
INSERT INTO public.ecdc_data VALUES (35569, 0, 4, 154.27520323, 166, 198);
INSERT INTO public.ecdc_data VALUES (35570, 2, 302, 28.52321098, 167, 198);
INSERT INTO public.ecdc_data VALUES (35571, 0, 0, 0, 80, 198);
INSERT INTO public.ecdc_data VALUES (35572, 0, 0, 0, 81, 198);
INSERT INTO public.ecdc_data VALUES (35573, 2, 28, 325.17409367, 205, 198);
INSERT INTO public.ecdc_data VALUES (35574, 20, 649, 45.38299287, 82, 198);
INSERT INTO public.ecdc_data VALUES (35575, 0, 0, 1.55115716, 168, 198);
INSERT INTO public.ecdc_data VALUES (35576, 0, 41, 6.02133887, 24, 198);
INSERT INTO public.ecdc_data VALUES (35577, 0, 0, 3.6440929, 25, 198);
INSERT INTO public.ecdc_data VALUES (35578, 2, 49, 80.22739612, 83, 198);
INSERT INTO public.ecdc_data VALUES (35579, 3, 21, 2.38833449, 84, 198);
INSERT INTO public.ecdc_data VALUES (35580, 0, 0, 0, 169, 198);
INSERT INTO public.ecdc_data VALUES (35581, 7, 1087, 76.86139554, 85, 198);
INSERT INTO public.ecdc_data VALUES (35582, 2, 916, 62.99144274, 170, 198);
INSERT INTO public.ecdc_data VALUES (35583, 0, 1, 17.36738461, 171, 198);
INSERT INTO public.ecdc_data VALUES (35584, 1114, 94372, 88.67149118, 112, 198);
INSERT INTO public.ecdc_data VALUES (35585, 106, 3817, 16.83580768, 113, 198);
INSERT INTO public.ecdc_data VALUES (35586, 116, 2139, 33.91952661, 114, 198);
INSERT INTO public.ecdc_data VALUES (35587, 60, 4106, 150.93441483, 115, 198);
INSERT INTO public.ecdc_data VALUES (35588, 2, 159, 40.98494364, 172, 198);
INSERT INTO public.ecdc_data VALUES (35589, 0, 0, 1.18218681, 173, 198);
INSERT INTO public.ecdc_data VALUES (35590, 13, 4653, 464.75251172, 116, 198);
INSERT INTO public.ecdc_data VALUES (35591, 6, 1501, 32.21362864, 174, 198);
INSERT INTO public.ecdc_data VALUES (35592, 0, 112, 51.2163545, 86, 198);
INSERT INTO public.ecdc_data VALUES (35593, 16, 674, 6.26988905, 117, 198);
INSERT INTO public.ecdc_data VALUES (35594, 0, 0, 5.56606924, 175, 198);
INSERT INTO public.ecdc_data VALUES (35595, 1, 117, 11.57231305, 118, 198);
INSERT INTO public.ecdc_data VALUES (35596, 1, 420, 30.78469215, 119, 198);
INSERT INTO public.ecdc_data VALUES (35597, 3, 176, 4.1370285, 26, 198);
INSERT INTO public.ecdc_data VALUES (35598, 3, 70, 75.11790342, 176, 198);
INSERT INTO public.ecdc_data VALUES (35599, 1, 736, 237.38571935, 120, 198);
INSERT INTO public.ecdc_data VALUES (35600, 0, 53, 16.53716709, 121, 198);
INSERT INTO public.ecdc_data VALUES (35601, 0, 0, 0.01394806, 122, 198);
INSERT INTO public.ecdc_data VALUES (35602, 0, 5, 4.63549392, 177, 198);
INSERT INTO public.ecdc_data VALUES (35603, 10, 686, 107.85171891, 123, 198);
INSERT INTO public.ecdc_data VALUES (35604, 0, 0, 9.12826483, 27, 198);
INSERT INTO public.ecdc_data VALUES (35605, 0, 1, 0.24304418, 28, 198);
INSERT INTO public.ecdc_data VALUES (35606, 2, 440, 138.54762254, 29, 198);
INSERT INTO public.ecdc_data VALUES (35607, 0, 0, 5.21131898, 178, 198);
INSERT INTO public.ecdc_data VALUES (35608, 0, 53, 16.35540108, 179, 198);
INSERT INTO public.ecdc_data VALUES (35609, 0, 0, 94.31595683, 180, 198);
INSERT INTO public.ecdc_data VALUES (35610, 1, 68, 3.5076913, 30, 198);
INSERT INTO public.ecdc_data VALUES (35611, 0, 9, 0.80520705, 31, 198);
INSERT INTO public.ecdc_data VALUES (35612, 0, 58, 1.72458103, 124, 198);
INSERT INTO public.ecdc_data VALUES (35613, 0, 62, 277.61193468, 125, 198);
INSERT INTO public.ecdc_data VALUES (35614, 0, 4, 0.80883006, 32, 198);
INSERT INTO public.ecdc_data VALUES (35615, 0, 78, 99.07630091, 181, 198);
INSERT INTO public.ecdc_data VALUES (35616, 0, 44, 5.61239393, 33, 198);
INSERT INTO public.ecdc_data VALUES (35617, 0, 0, 0.78760623, 34, 198);
INSERT INTO public.ecdc_data VALUES (35618, 421, 2669, 55.84848486, 87, 198);
INSERT INTO public.ecdc_data VALUES (35619, 4, 531, 156.06226464, 182, 198);
INSERT INTO public.ecdc_data VALUES (35620, 0, 1, 117.87819253, 183, 198);
INSERT INTO public.ecdc_data VALUES (35621, 0, 0, 0.31006156, 126, 198);
INSERT INTO public.ecdc_data VALUES (35622, 3, 145, 289.78658978, 184, 198);
INSERT INTO public.ecdc_data VALUES (35623, 0, 0, 0, 88, 198);
INSERT INTO public.ecdc_data VALUES (35624, 29, 2238, 66.84348655, 35, 198);
INSERT INTO public.ecdc_data VALUES (35625, 4, 122, 4.21523476, 36, 198);
INSERT INTO public.ecdc_data VALUES (35626, 1, 351, 3.78755485, 127, 198);
INSERT INTO public.ecdc_data VALUES (35627, 0, 167, 99.73846714, 37, 198);
INSERT INTO public.ecdc_data VALUES (35628, 14, 1201, 55.15801741, 128, 198);
INSERT INTO public.ecdc_data VALUES (35629, 1, 1231, 65.81352114, 185, 198);
INSERT INTO public.ecdc_data VALUES (35630, 0, 0, 1.06098169, 207, 198);
INSERT INTO public.ecdc_data VALUES (35631, 0, 2, 1.42168343, 208, 198);
INSERT INTO public.ecdc_data VALUES (35632, 0, 0, 4.94996336, 89, 198);
INSERT INTO public.ecdc_data VALUES (35633, 0, 0, 0.01286962, 38, 198);
INSERT INTO public.ecdc_data VALUES (35634, 2, 160, 1.21912623, 39, 198);
INSERT INTO public.ecdc_data VALUES (35635, 5, 141, 78.37730101, 186, 198);
INSERT INTO public.ecdc_data VALUES (35636, 0, 1, 6.99141803, 209, 198);
INSERT INTO public.ecdc_data VALUES (35637, 0, 0, 24.8300931, 187, 198);
INSERT INTO public.ecdc_data VALUES (35638, 0, 0, 66.97498207, 129, 198);
INSERT INTO public.ecdc_data VALUES (35639, 6, 526, 2.69895479, 130, 198);
INSERT INTO public.ecdc_data VALUES (35640, 4, 650, 200.52507095, 131, 198);
INSERT INTO public.ecdc_data VALUES (35641, 15, 711, 228.52083157, 90, 198);
INSERT INTO public.ecdc_data VALUES (35642, 1, 3, 0.58112248, 210, 198);
INSERT INTO public.ecdc_data VALUES (35643, 18, 812, 154.01782831, 91, 198);
INSERT INTO public.ecdc_data VALUES (35644, 123, 6162, 256.52357693, 92, 198);
INSERT INTO public.ecdc_data VALUES (35645, 184, 4899, 41.37384167, 132, 198);
INSERT INTO public.ecdc_data VALUES (35646, 13, 603, 19.51659519, 188, 198);
INSERT INTO public.ecdc_data VALUES (35647, 5, 497, 57.04211804, 189, 198);
INSERT INTO public.ecdc_data VALUES (35648, 12, 511, 154.83717892, 93, 198);
INSERT INTO public.ecdc_data VALUES (35649, 0, 236, 110.02549018, 133, 198);
INSERT INTO public.ecdc_data VALUES (35650, 27, 1311, 85.2612007, 190, 198);
INSERT INTO public.ecdc_data VALUES (35651, 119, 5488, 49.36922209, 191, 198);
INSERT INTO public.ecdc_data VALUES (35652, 0, 31, 5.71793415, 40, 198);
INSERT INTO public.ecdc_data VALUES (35653, 0, 0, 0, 94, 198);
INSERT INTO public.ecdc_data VALUES (35654, 0, 0, 0.54706092, 95, 198);
INSERT INTO public.ecdc_data VALUES (35655, 0, 0, 3.61686544, 96, 198);
INSERT INTO public.ecdc_data VALUES (35656, 0, 0, 34.83005834, 192, 198);
INSERT INTO public.ecdc_data VALUES (35657, 0, 0, 5.11513709, 41, 198);
INSERT INTO public.ecdc_data VALUES (35658, 27, 643, 32.50504275, 134, 198);
INSERT INTO public.ecdc_data VALUES (35659, 2, 44, 4.79248068, 42, 198);
INSERT INTO public.ecdc_data VALUES (35660, 1, 72, 14.61853101, 193, 198);
INSERT INTO public.ecdc_data VALUES (35661, 0, 2, 3.06933631, 43, 198);
INSERT INTO public.ecdc_data VALUES (35662, 0, 9, 0.98551082, 44, 198);
INSERT INTO public.ecdc_data VALUES (35663, 0, 42, 11.0262264, 135, 198);
INSERT INTO public.ecdc_data VALUES (35664, 0, 2, 172.21448961, 97, 198);
INSERT INTO public.ecdc_data VALUES (35665, 1, 201, 29.55734979, 194, 198);
INSERT INTO public.ecdc_data VALUES (35666, 0, 105, 36.95502156, 195, 198);
INSERT INTO public.ecdc_data VALUES (35667, 0, 0, 0.4273807, 45, 198);
INSERT INTO public.ecdc_data VALUES (35668, 49, 1816, 43.82472589, 46, 198);
INSERT INTO public.ecdc_data VALUES (35669, 3, 121, 4.83549923, 136, 198);
INSERT INTO public.ecdc_data VALUES (35670, 1, 10, 0.53335194, 47, 198);
INSERT INTO public.ecdc_data VALUES (35671, 0, 0, 270.66032683, 196, 198);
INSERT INTO public.ecdc_data VALUES (35672, 0, 27, 0.94261165, 137, 198);
INSERT INTO public.ecdc_data VALUES (35673, 1, 33, 0.65633907, 48, 198);
INSERT INTO public.ecdc_data VALUES (35674, 0, 50, 107.50598163, 98, 198);
INSERT INTO public.ecdc_data VALUES (35675, 1, 206, 27.28200907, 197, 198);
INSERT INTO public.ecdc_data VALUES (35676, 3, 465, 58.28292192, 198, 198);
INSERT INTO public.ecdc_data VALUES (35677, 2, 30, 5.14348688, 138, 198);
INSERT INTO public.ecdc_data VALUES (35678, 0, 0, 0.04206297, 139, 198);
INSERT INTO public.ecdc_data VALUES (35679, 0, 37, 5.71825646, 140, 198);
INSERT INTO public.ecdc_data VALUES (35680, 0, 7, 0.08904773, 141, 198);
INSERT INTO public.ecdc_data VALUES (35681, 0, 0, 0, 142, 198);
INSERT INTO public.ecdc_data VALUES (35682, 0, 7, 2.04148319, 49, 198);
INSERT INTO public.ecdc_data VALUES (35683, 1, 168, 96.63297177, 99, 198);
INSERT INTO public.ecdc_data VALUES (35684, 4, 376, 26.19130461, 50, 198);
INSERT INTO public.ecdc_data VALUES (35685, 48, 1509, 27.52430672, 199, 198);
INSERT INTO public.ecdc_data VALUES (35686, 0, 3, 363.93150757, 100, 198);
INSERT INTO public.ecdc_data VALUES (35687, 3, 326, 4.1924945, 51, 198);
INSERT INTO public.ecdc_data VALUES (35688, 27, 3103, 79.28645509, 200, 198);
INSERT INTO public.ecdc_data VALUES (35689, 1, 1007, 97.44613545, 143, 198);
INSERT INTO public.ecdc_data VALUES (35690, 9, 3497, 48.64726922, 201, 198);
INSERT INTO public.ecdc_data VALUES (35691, 0, 0, 0, 52, 198);
INSERT INTO public.ecdc_data VALUES (35692, 685, 40820, 159.39894316, 101, 198);
INSERT INTO public.ecdc_data VALUES (35693, 0, 7, 6.06632924, 103, 198);
INSERT INTO public.ecdc_data VALUES (35694, 1, 19, 87.01555762, 102, 198);
INSERT INTO public.ecdc_data VALUES (35695, 6, 544, 17.40055058, 144, 198);
INSERT INTO public.ecdc_data VALUES (35696, 9, 967, 51.49420695, 104, 198);
INSERT INTO public.ecdc_data VALUES (35697, 0, 0, 0.02073353, 145, 198);
INSERT INTO public.ecdc_data VALUES (35698, 0, 0, 0, 53, 198);
INSERT INTO public.ecdc_data VALUES (35699, 1, 4, 0.21946427, 146, 198);
INSERT INTO public.ecdc_data VALUES (35700, 6, 143, 8.75649193, 54, 198);
INSERT INTO public.ecdc_data VALUES (35701, 0, 29, 7.52450945, 55, 198);
INSERT INTO public.ecdc_data VALUES (35702, 10, 76, 2.29747538, 105, 199);
INSERT INTO public.ecdc_data VALUES (35703, 3, 141, 59.80938553, 147, 199);
INSERT INTO public.ecdc_data VALUES (35704, 11, 495, 17.35068551, 1, 199);
INSERT INTO public.ecdc_data VALUES (35705, 1, 14, 77.45119918, 148, 199);
INSERT INTO public.ecdc_data VALUES (35706, 2, 56, 2.30948341, 2, 199);
INSERT INTO public.ecdc_data VALUES (35707, 0, 0, 0, 56, 199);
INSERT INTO public.ecdc_data VALUES (35708, 0, 0, 1.02970705, 57, 199);
INSERT INTO public.ecdc_data VALUES (35709, 303, 7043, 195.52184062, 58, 199);
INSERT INTO public.ecdc_data VALUES (35710, 3, 201, 87.83769163, 149, 199);
INSERT INTO public.ecdc_data VALUES (35711, 0, 81, 638.69814693, 59, 199);
INSERT INTO public.ecdc_data VALUES (35712, 21, 414, 25.96892458, 202, 199);
INSERT INTO public.ecdc_data VALUES (35713, 1, 241, 18.68204125, 150, 199);
INSERT INTO public.ecdc_data VALUES (35714, 2, 93, 25.90637736, 151, 199);
INSERT INTO public.ecdc_data VALUES (35715, 0, 47, 141.72524815, 60, 199);
INSERT INTO public.ecdc_data VALUES (35716, 1, 460, 301.79799216, 106, 199);
INSERT INTO public.ecdc_data VALUES (35717, 42, 2995, 21.03943893, 107, 199);
INSERT INTO public.ecdc_data VALUES (35718, 0, 0, 11.49741657, 61, 199);
INSERT INTO public.ecdc_data VALUES (35719, 3, 97, 16.7576329, 152, 199);
INSERT INTO public.ecdc_data VALUES (35720, 11, 609, 73.50168945, 153, 199);
INSERT INTO public.ecdc_data VALUES (35721, 0, 86, 63.53256428, 62, 199);
INSERT INTO public.ecdc_data VALUES (35722, 0, 0, 1.95743619, 3, 199);
INSERT INTO public.ecdc_data VALUES (35723, 0, 0, 4.79938568, 63, 199);
INSERT INTO public.ecdc_data VALUES (35724, 0, 15, 3.53822727, 108, 199);
INSERT INTO public.ecdc_data VALUES (35725, 66, 1743, 187.06513675, 64, 199);
INSERT INTO public.ecdc_data VALUES (35726, 0, 0, 7.69734057, 65, 199);
INSERT INTO public.ecdc_data VALUES (35727, 6, 253, 127.08277921, 154, 199);
INSERT INTO public.ecdc_data VALUES (35728, 0, 0, 11.37299383, 4, 199);
INSERT INTO public.ecdc_data VALUES (35729, 1175, 55155, 290.2257266, 66, 199);
INSERT INTO public.ecdc_data VALUES (35730, 0, 0, 3.3296707, 67, 199);
INSERT INTO public.ecdc_data VALUES (35731, 0, 0, 0.23078911, 109, 199);
INSERT INTO public.ecdc_data VALUES (35732, 11, 171, 39.11406779, 155, 199);
INSERT INTO public.ecdc_data VALUES (35733, 0, 15, 0.54622267, 5, 199);
INSERT INTO public.ecdc_data VALUES (35734, 0, 2, 0.19946964, 6, 199);
INSERT INTO public.ecdc_data VALUES (35735, 0, 4, 0.23049103, 110, 199);
INSERT INTO public.ecdc_data VALUES (35736, 3, 50, 3.89544336, 7, 199);
INSERT INTO public.ecdc_data VALUES (35737, 15, 423, 14.36207143, 68, 199);
INSERT INTO public.ecdc_data VALUES (35738, 0, 80, 114.013267, 8, 199);
INSERT INTO public.ecdc_data VALUES (35739, 0, 0, 0, 69, 199);
INSERT INTO public.ecdc_data VALUES (35740, 0, 5, 0.99047897, 9, 199);
INSERT INTO public.ecdc_data VALUES (35741, 0, 3, 0.14422882, 10, 199);
INSERT INTO public.ecdc_data VALUES (35742, 27, 1552, 140.31738544, 70, 199);
INSERT INTO public.ecdc_data VALUES (35743, 4, 81, 0.12777381, 111, 199);
INSERT INTO public.ecdc_data VALUES (35744, 362, 12066, 290.95276243, 71, 199);
INSERT INTO public.ecdc_data VALUES (35745, 0, 0, 2.46800119, 11, 199);
INSERT INTO public.ecdc_data VALUES (35746, 0, 0, 10.12916262, 12, 199);
INSERT INTO public.ecdc_data VALUES (35747, 8, 549, 163.58395669, 72, 199);
INSERT INTO public.ecdc_data VALUES (35748, 0, 0, 4.02075644, 13, 199);
INSERT INTO public.ecdc_data VALUES (35749, 0, 130, 21.51489385, 156, 199);
INSERT INTO public.ecdc_data VALUES (35750, 0, 35, 4.76464254, 73, 199);
INSERT INTO public.ecdc_data VALUES (35751, 0, 0, 1.83572692, 74, 199);
INSERT INTO public.ecdc_data VALUES (35752, 0, 14, 24.08953544, 157, 199);
INSERT INTO public.ecdc_data VALUES (35753, 0, 292, 28.00052583, 158, 199);
INSERT INTO public.ecdc_data VALUES (35754, 1, 39, 0.69823255, 14, 199);
INSERT INTO public.ecdc_data VALUES (35755, 0, 111, 24.73268974, 159, 199);
INSERT INTO public.ecdc_data VALUES (35756, 0, 10, 28.45236591, 15, 199);
INSERT INTO public.ecdc_data VALUES (35757, 0, 0, 0, 75, 199);
INSERT INTO public.ecdc_data VALUES (35758, 25, 1130, 149.38135985, 76, 199);
INSERT INTO public.ecdc_data VALUES (35759, 33, 1547, 80.10403336, 77, 199);
INSERT INTO public.ecdc_data VALUES (35760, 26, 129, 2.59692197, 16, 199);
INSERT INTO public.ecdc_data VALUES (35761, 0, 375, 89.91950167, 78, 199);
INSERT INTO public.ecdc_data VALUES (35762, 0, 0, 129.05776035, 17, 199);
INSERT INTO public.ecdc_data VALUES (35763, 0, 0, 0.57189965, 18, 199);
INSERT INTO public.ecdc_data VALUES (35764, 0, 7, 9.9636177, 160, 199);
INSERT INTO public.ecdc_data VALUES (35765, 0, 115, 84.83337732, 19, 199);
INSERT INTO public.ecdc_data VALUES (35766, 23, 943, 8.30487662, 20, 199);
INSERT INTO public.ecdc_data VALUES (35767, 0, 0, 0, 79, 199);
INSERT INTO public.ecdc_data VALUES (35768, 0, 15, 244.46864022, 161, 199);
INSERT INTO public.ecdc_data VALUES (35769, 0, 0, 0, 203, 199);
INSERT INTO public.ecdc_data VALUES (35770, 0, 19, 4.13199251, 162, 199);
INSERT INTO public.ecdc_data VALUES (35771, 17, 2524, 32.08338313, 163, 199);
INSERT INTO public.ecdc_data VALUES (35772, 0, 6, 27.57040299, 204, 199);
INSERT INTO public.ecdc_data VALUES (35773, 0, 71, 33.37049349, 21, 199);
INSERT INTO public.ecdc_data VALUES (35774, 1, 131, 49.02679052, 22, 199);
INSERT INTO public.ecdc_data VALUES (35775, 0, 5, 3.2025925, 164, 199);
INSERT INTO public.ecdc_data VALUES (35776, 4, 1445, 14.61830287, 165, 199);
INSERT INTO public.ecdc_data VALUES (35777, 8, 321, 21.64189208, 23, 199);
INSERT INTO public.ecdc_data VALUES (35778, 0, 2, 50.43612413, 166, 199);
INSERT INTO public.ecdc_data VALUES (35779, 2, 235, 17.166143, 167, 199);
INSERT INTO public.ecdc_data VALUES (35780, 0, 0, 0, 80, 199);
INSERT INTO public.ecdc_data VALUES (35781, 0, 0, 0, 81, 199);
INSERT INTO public.ecdc_data VALUES (35782, 0, 0, 56.78591709, 205, 199);
INSERT INTO public.ecdc_data VALUES (35783, 34, 1123, 65.31874798, 82, 199);
INSERT INTO public.ecdc_data VALUES (35784, 0, 0, 0, 168, 199);
INSERT INTO public.ecdc_data VALUES (35785, 0, 98, 7.30547356, 24, 199);
INSERT INTO public.ecdc_data VALUES (35786, 0, 0, 5.10173006, 25, 199);
INSERT INTO public.ecdc_data VALUES (35787, 0, 55, 28.74389192, 83, 199);
INSERT INTO public.ecdc_data VALUES (35788, 4, 94, 3.24067691, 84, 199);
INSERT INTO public.ecdc_data VALUES (35789, 0, 0, 0, 169, 199);
INSERT INTO public.ecdc_data VALUES (35790, 18, 254, 79.13922625, 85, 199);
INSERT INTO public.ecdc_data VALUES (35791, 0, 22, 2.90603797, 170, 199);
INSERT INTO public.ecdc_data VALUES (35792, 0, 4, 31.09322084, 171, 199);
INSERT INTO public.ecdc_data VALUES (35793, 942, 66999, 59.48729782, 112, 199);
INSERT INTO public.ecdc_data VALUES (35794, 79, 1942, 9.71305124, 113, 199);
INSERT INTO public.ecdc_data VALUES (35795, 188, 2510, 41.95919253, 114, 199);
INSERT INTO public.ecdc_data VALUES (35796, 57, 3441, 107.18958578, 115, 199);
INSERT INTO public.ecdc_data VALUES (35797, 1, 37, 18.26990522, 172, 199);
INSERT INTO public.ecdc_data VALUES (35798, 0, 0, 0, 173, 199);
INSERT INTO public.ecdc_data VALUES (35799, 17, 1595, 234.73558441, 116, 199);
INSERT INTO public.ecdc_data VALUES (35800, 10, 476, 8.17931931, 174, 199);
INSERT INTO public.ecdc_data VALUES (35801, 0, 18, 7.08888615, 86, 199);
INSERT INTO public.ecdc_data VALUES (35802, 4, 932, 14.17701215, 117, 199);
INSERT INTO public.ecdc_data VALUES (35803, 0, 4, 14.84285131, 175, 199);
INSERT INTO public.ecdc_data VALUES (35804, 0, 20, 1.14832191, 118, 199);
INSERT INTO public.ecdc_data VALUES (35805, 0, 1489, 158.69398302, 119, 199);
INSERT INTO public.ecdc_data VALUES (35806, 18, 679, 17.07879491, 26, 199);
INSERT INTO public.ecdc_data VALUES (35807, 11, 205, 163.96942796, 176, 199);
INSERT INTO public.ecdc_data VALUES (35808, 3, 717, 187.35098026, 120, 199);
INSERT INTO public.ecdc_data VALUES (35809, 0, 0, 86.28629312, 121, 199);
INSERT INTO public.ecdc_data VALUES (35810, 0, 0, 0, 122, 199);
INSERT INTO public.ecdc_data VALUES (35811, 0, 0, 4.11465191, 177, 199);
INSERT INTO public.ecdc_data VALUES (35812, 2, 292, 46.79311797, 123, 199);
INSERT INTO public.ecdc_data VALUES (35813, 0, 17, 10.44574635, 27, 199);
INSERT INTO public.ecdc_data VALUES (35814, 1, 2, 1.47851874, 28, 199);
INSERT INTO public.ecdc_data VALUES (35815, 7, 373, 48.46953568, 29, 199);
INSERT INTO public.ecdc_data VALUES (35816, 0, 1, 5.21131898, 178, 199);
INSERT INTO public.ecdc_data VALUES (35817, 0, 26, 9.51977393, 179, 199);
INSERT INTO public.ecdc_data VALUES (35818, 0, 58, 124.94013625, 180, 199);
INSERT INTO public.ecdc_data VALUES (35819, 4, 80, 11.42039028, 30, 199);
INSERT INTO public.ecdc_data VALUES (35820, 0, 40, 4.79903401, 31, 199);
INSERT INTO public.ecdc_data VALUES (35821, 0, 11, 0.49452596, 124, 199);
INSERT INTO public.ecdc_data VALUES (35822, 1, 143, 338.82216451, 125, 199);
INSERT INTO public.ecdc_data VALUES (35823, 0, 5, 0.31030587, 32, 199);
INSERT INTO public.ecdc_data VALUES (35824, 0, 55, 83.47532919, 181, 199);
INSERT INTO public.ecdc_data VALUES (35825, 0, 48, 7.71151765, 33, 199);
INSERT INTO public.ecdc_data VALUES (35826, 0, 0, 0, 34, 199);
INSERT INTO public.ecdc_data VALUES (35827, 737, 6306, 63.87588642, 87, 199);
INSERT INTO public.ecdc_data VALUES (35828, 6, 474, 117.47951776, 182, 199);
INSERT INTO public.ecdc_data VALUES (35829, 0, 2, 39.29273084, 183, 199);
INSERT INTO public.ecdc_data VALUES (35830, 0, 4, 0.18603694, 126, 199);
INSERT INTO public.ecdc_data VALUES (35831, 2, 65, 128.09756631, 184, 199);
INSERT INTO public.ecdc_data VALUES (35832, 0, 0, 0, 88, 199);
INSERT INTO public.ecdc_data VALUES (35833, 23, 1499, 39.70468554, 35, 199);
INSERT INTO public.ecdc_data VALUES (35834, 2, 78, 2.6707464, 36, 199);
INSERT INTO public.ecdc_data VALUES (35835, 0, 1, 0.01480236, 127, 199);
INSERT INTO public.ecdc_data VALUES (35836, 3, 177, 56.92468784, 37, 199);
INSERT INTO public.ecdc_data VALUES (35837, 8, 484, 18.03296653, 128, 199);
INSERT INTO public.ecdc_data VALUES (35838, 2, 654, 40.22065988, 185, 199);
INSERT INTO public.ecdc_data VALUES (35839, 0, 0, 0.35366056, 207, 199);
INSERT INTO public.ecdc_data VALUES (35840, 0, 18, 0.58539906, 208, 199);
INSERT INTO public.ecdc_data VALUES (35841, 0, 0, 6.76800545, 89, 199);
INSERT INTO public.ecdc_data VALUES (35842, 0, 3, 0.11582654, 38, 199);
INSERT INTO public.ecdc_data VALUES (35843, 0, 453, 2.75423008, 39, 199);
INSERT INTO public.ecdc_data VALUES (35844, 2, 252, 82.46948196, 186, 199);
INSERT INTO public.ecdc_data VALUES (35845, 0, 0, 12.23498156, 209, 199);
INSERT INTO public.ecdc_data VALUES (35846, 0, 66, 11.2608132, 187, 199);
INSERT INTO public.ecdc_data VALUES (35847, 6, 249, 74.97499493, 129, 199);
INSERT INTO public.ecdc_data VALUES (35848, 10, 753, 4.28138731, 130, 199);
INSERT INTO public.ecdc_data VALUES (35849, 1, 499, 113.12030982, 131, 199);
INSERT INTO public.ecdc_data VALUES (35850, 23, 913, 332.23123369, 90, 199);
INSERT INTO public.ecdc_data VALUES (35851, 0, 55, 2.34727902, 210, 199);
INSERT INTO public.ecdc_data VALUES (35852, 7, 499, 44.74324376, 91, 199);
INSERT INTO public.ecdc_data VALUES (35853, 212, 8875, 301.04770581, 92, 199);
INSERT INTO public.ecdc_data VALUES (35854, 92, 4211, 53.88903105, 132, 199);
INSERT INTO public.ecdc_data VALUES (35855, 9, 715, 24.3858685, 188, 199);
INSERT INTO public.ecdc_data VALUES (35856, 3, 278, 25.397463, 189, 199);
INSERT INTO public.ecdc_data VALUES (35857, 8, 671, 273.16387378, 93, 199);
INSERT INTO public.ecdc_data VALUES (35858, 2, 292, 133.64777931, 133, 199);
INSERT INTO public.ecdc_data VALUES (35859, 43, 1415, 87.26486209, 190, 199);
INSERT INTO public.ecdc_data VALUES (35860, 129, 5102, 50.53119764, 191, 199);
INSERT INTO public.ecdc_data VALUES (35861, 1, 18, 2.00365283, 40, 199);
INSERT INTO public.ecdc_data VALUES (35862, 0, 0, 0, 94, 199);
INSERT INTO public.ecdc_data VALUES (35863, 0, 0, 0.54706092, 95, 199);
INSERT INTO public.ecdc_data VALUES (35864, 0, 0, 4.5210818, 96, 199);
INSERT INTO public.ecdc_data VALUES (35865, 0, 0, 31.92755348, 192, 199);
INSERT INTO public.ecdc_data VALUES (35866, 0, 1, 6.51017447, 41, 199);
INSERT INTO public.ecdc_data VALUES (35867, 36, 1569, 59.66699067, 134, 199);
INSERT INTO public.ecdc_data VALUES (35868, 4, 207, 9.97768704, 42, 199);
INSERT INTO public.ecdc_data VALUES (35869, 6, 254, 55.41543338, 193, 199);
INSERT INTO public.ecdc_data VALUES (35870, 0, 0, 13.30045733, 43, 199);
INSERT INTO public.ecdc_data VALUES (35871, 0, 5, 1.7150448, 44, 199);
INSERT INTO public.ecdc_data VALUES (35872, 0, 42, 66.57084187, 135, 199);
INSERT INTO public.ecdc_data VALUES (35873, 0, 29, 299.60602987, 97, 199);
INSERT INTO public.ecdc_data VALUES (35874, 0, 75, 8.16450693, 194, 199);
INSERT INTO public.ecdc_data VALUES (35875, 3, 31, 9.03451762, 195, 199);
INSERT INTO public.ecdc_data VALUES (35876, 0, 0, 0.09713198, 45, 199);
INSERT INTO public.ecdc_data VALUES (35877, 259, 2810, 167.00630843, 46, 199);
INSERT INTO public.ecdc_data VALUES (35878, 0, 56, 0.97803194, 136, 199);
INSERT INTO public.ecdc_data VALUES (35879, 0, 5, 1.40117883, 47, 199);
INSERT INTO public.ecdc_data VALUES (35880, 26, 7550, 110.58212849, 196, 199);
INSERT INTO public.ecdc_data VALUES (35881, 0, 1, 0.32827271, 137, 199);
INSERT INTO public.ecdc_data VALUES (35882, 6, 82, 1.44581453, 48, 199);
INSERT INTO public.ecdc_data VALUES (35883, 0, 94, 179.92201086, 98, 199);
INSERT INTO public.ecdc_data VALUES (35884, 3, 443, 37.42845315, 197, 199);
INSERT INTO public.ecdc_data VALUES (35885, 1, 273, 27.67853621, 198, 199);
INSERT INTO public.ecdc_data VALUES (35886, 0, 5, 3.60278409, 138, 199);
INSERT INTO public.ecdc_data VALUES (35887, 0, 0, 0.05888816, 139, 199);
INSERT INTO public.ecdc_data VALUES (35888, 0, 41, 6.35123419, 140, 199);
INSERT INTO public.ecdc_data VALUES (35889, 0, 0, 0.07468519, 141, 199);
INSERT INTO public.ecdc_data VALUES (35890, 0, 0, 0.07733234, 142, 199);
INSERT INTO public.ecdc_data VALUES (35891, 0, 22, 2.42503457, 49, 199);
INSERT INTO public.ecdc_data VALUES (35892, 0, 31, 12.18665074, 99, 199);
INSERT INTO public.ecdc_data VALUES (35893, 0, 42, 2.49685307, 50, 199);
INSERT INTO public.ecdc_data VALUES (35894, 18, 1212, 18.86252165, 199, 199);
INSERT INTO public.ecdc_data VALUES (35895, 0, 17, 371.78614442, 100, 199);
INSERT INTO public.ecdc_data VALUES (35896, 0, 19, 0.43370633, 51, 199);
INSERT INTO public.ecdc_data VALUES (35897, 22, 1592, 42.14927143, 200, 199);
INSERT INTO public.ecdc_data VALUES (35898, 0, 246, 33.6829358, 143, 199);
INSERT INTO public.ecdc_data VALUES (35899, 20, 1009, 18.51993227, 201, 199);
INSERT INTO public.ecdc_data VALUES (35900, 0, 0, 0, 52, 199);
INSERT INTO public.ecdc_data VALUES (35901, 1490, 55941, 234.04682791, 101, 199);
INSERT INTO public.ecdc_data VALUES (35902, 0, 0, 242.87858939, 102, 199);
INSERT INTO public.ecdc_data VALUES (35903, 0, 8, 4.50641601, 103, 199);
INSERT INTO public.ecdc_data VALUES (35904, 5, 622, 30.21371084, 144, 199);
INSERT INTO public.ecdc_data VALUES (35905, 9, 1150, 43.89491885, 104, 199);
INSERT INTO public.ecdc_data VALUES (35906, 1, 17, 0.43955083, 145, 199);
INSERT INTO public.ecdc_data VALUES (35907, 0, 0, 0, 53, 199);
INSERT INTO public.ecdc_data VALUES (35908, 5, 10, 0.4457868, 146, 199);
INSERT INTO public.ecdc_data VALUES (35909, 5, 226, 18.20723257, 54, 199);
INSERT INTO public.ecdc_data VALUES (35910, 18, 75, 13.75168969, 55, 199);
INSERT INTO public.ecdc_data VALUES (35911, 0, 0, 9.15835722, 105, 200);
INSERT INTO public.ecdc_data VALUES (35912, 4, 83, 36.75202896, 147, 200);
INSERT INTO public.ecdc_data VALUES (35913, 7, 483, 13.75512176, 1, 200);
INSERT INTO public.ecdc_data VALUES (35914, 0, 0, 0, 148, 200);
INSERT INTO public.ecdc_data VALUES (35915, 1, 23, 0.75097488, 2, 200);
INSERT INTO public.ecdc_data VALUES (35916, 0, 0, 0, 56, 200);
INSERT INTO public.ecdc_data VALUES (35917, 0, 0, 9.26736344, 57, 200);
INSERT INTO public.ecdc_data VALUES (35918, 8, 3449, 88.79946539, 58, 200);
INSERT INTO public.ecdc_data VALUES (35919, 8, 182, 237.47957892, 149, 200);
INSERT INTO public.ecdc_data VALUES (35920, 0, 0, 3.76258113, 59, 200);
INSERT INTO public.ecdc_data VALUES (35921, 1, 244, 8.37592052, 202, 200);
INSERT INTO public.ecdc_data VALUES (35922, 2, 52, 13.79423227, 150, 200);
INSERT INTO public.ecdc_data VALUES (35923, 8, 520, 75.80825061, 151, 200);
INSERT INTO public.ecdc_data VALUES (35924, 0, 0, 1.79724047, 60, 200);
INSERT INTO public.ecdc_data VALUES (35925, 5, 471, 440.90657606, 106, 200);
INSERT INTO public.ecdc_data VALUES (35926, 47, 2666, 28.21777362, 107, 200);
INSERT INTO public.ecdc_data VALUES (35927, 0, 0, 2.09043938, 61, 200);
INSERT INTO public.ecdc_data VALUES (35928, 5, 165, 36.57268745, 152, 200);
INSERT INTO public.ecdc_data VALUES (35929, 4, 43, 11.54028901, 153, 200);
INSERT INTO public.ecdc_data VALUES (35930, 0, 0, 3.33033603, 62, 200);
INSERT INTO public.ecdc_data VALUES (35931, 0, 0, 1.94048869, 3, 200);
INSERT INTO public.ecdc_data VALUES (35932, 0, 0, 6.3991809, 63, 200);
INSERT INTO public.ecdc_data VALUES (35933, 0, 2, 1.04836364, 108, 200);
INSERT INTO public.ecdc_data VALUES (35934, 53, 987, 144.73075979, 64, 200);
INSERT INTO public.ecdc_data VALUES (35935, 0, 0, 0, 65, 200);
INSERT INTO public.ecdc_data VALUES (35936, 2, 164, 80.85433557, 154, 200);
INSERT INTO public.ecdc_data VALUES (35937, 0, 85, 11.89389431, 4, 200);
INSERT INTO public.ecdc_data VALUES (35938, 631, 24831, 246.64259007, 66, 200);
INSERT INTO public.ecdc_data VALUES (35939, 0, 0, 0, 67, 200);
INSERT INTO public.ecdc_data VALUES (35940, 0, 0, 0, 109, 200);
INSERT INTO public.ecdc_data VALUES (35941, 6, 77, 36.58551045, 155, 200);
INSERT INTO public.ecdc_data VALUES (35942, 0, 3, 0.37891122, 5, 200);
INSERT INTO public.ecdc_data VALUES (35943, 0, 0, 0.69380743, 6, 200);
INSERT INTO public.ecdc_data VALUES (35944, 0, 0, 0.0909833, 110, 200);
INSERT INTO public.ecdc_data VALUES (35945, 0, 257, 9.97434456, 7, 200);
INSERT INTO public.ecdc_data VALUES (35946, 10, 244, 11.60085427, 68, 200);
INSERT INTO public.ecdc_data VALUES (35947, 0, 107, 98.73876233, 8, 200);
INSERT INTO public.ecdc_data VALUES (35948, 0, 0, 7.69846647, 69, 200);
INSERT INTO public.ecdc_data VALUES (35949, 0, 0, 18.1025837, 9, 200);
INSERT INTO public.ecdc_data VALUES (35950, 1, 6, 0.08779146, 10, 200);
INSERT INTO public.ecdc_data VALUES (35951, 98, 3012, 227.1998759, 70, 200);
INSERT INTO public.ecdc_data VALUES (35952, 0, 46, 0.02510839, 111, 200);
INSERT INTO public.ecdc_data VALUES (35953, 188, 5083, 116.56068582, 71, 200);
INSERT INTO public.ecdc_data VALUES (35954, 0, 0, 5.28857398, 11, 200);
INSERT INTO public.ecdc_data VALUES (35955, 0, 75, 15.94646152, 12, 200);
INSERT INTO public.ecdc_data VALUES (35956, 2, 365, 88.47837599, 72, 200);
INSERT INTO public.ecdc_data VALUES (35957, 2, 323, 14.86202234, 13, 200);
INSERT INTO public.ecdc_data VALUES (35958, 1, 50, 25.29287977, 156, 200);
INSERT INTO public.ecdc_data VALUES (35959, 0, 6, 0.82940074, 73, 200);
INSERT INTO public.ecdc_data VALUES (35960, 0, 0, 0.61190897, 74, 200);
INSERT INTO public.ecdc_data VALUES (35961, 0, 7, 3.08254719, 157, 200);
INSERT INTO public.ecdc_data VALUES (35962, 0, 59, 14.75145073, 158, 200);
INSERT INTO public.ecdc_data VALUES (35963, 0, 62, 1.38955192, 14, 200);
INSERT INTO public.ecdc_data VALUES (35964, 0, 0, 4.66752014, 159, 200);
INSERT INTO public.ecdc_data VALUES (35965, 0, 17, 33.79360428, 15, 200);
INSERT INTO public.ecdc_data VALUES (35966, 0, 0, 0, 75, 200);
INSERT INTO public.ecdc_data VALUES (35967, 17, 1418, 122.5351773, 76, 200);
INSERT INTO public.ecdc_data VALUES (35968, 16, 661, 72.60992893, 77, 200);
INSERT INTO public.ecdc_data VALUES (35969, 89, 912, 16.81673827, 16, 200);
INSERT INTO public.ecdc_data VALUES (35970, 13, 283, 57.95259973, 78, 200);
INSERT INTO public.ecdc_data VALUES (35971, 0, 0, 78.90960204, 17, 200);
INSERT INTO public.ecdc_data VALUES (35972, 0, 0, 1.17239429, 18, 200);
INSERT INTO public.ecdc_data VALUES (35973, 0, 0, 2.03801271, 160, 200);
INSERT INTO public.ecdc_data VALUES (35974, 2, 40, 49.64581629, 19, 200);
INSERT INTO public.ecdc_data VALUES (35975, 3, 158, 1.66936229, 20, 200);
INSERT INTO public.ecdc_data VALUES (35976, 0, 0, 0, 79, 200);
INSERT INTO public.ecdc_data VALUES (35977, 0, 0, 2.05435832, 161, 200);
INSERT INTO public.ecdc_data VALUES (35978, 0, 5, 0.89892186, 203, 200);
INSERT INTO public.ecdc_data VALUES (35979, 0, 2, 1.83040019, 162, 200);
INSERT INTO public.ecdc_data VALUES (35980, 0, 0, 11.66342896, 163, 200);
INSERT INTO public.ecdc_data VALUES (35981, 0, 0, 0, 204, 200);
INSERT INTO public.ecdc_data VALUES (35982, 0, 0, 33.73871962, 21, 200);
INSERT INTO public.ecdc_data VALUES (35983, 0, 0, 0.8093041, 22, 200);
INSERT INTO public.ecdc_data VALUES (35984, 0, 9, 1.72639752, 164, 200);
INSERT INTO public.ecdc_data VALUES (35985, 1, 159, 6.26601941, 165, 200);
INSERT INTO public.ecdc_data VALUES (35986, 4, 270, 23.56181688, 23, 200);
INSERT INTO public.ecdc_data VALUES (35987, 0, 0, 8.90049249, 166, 200);
INSERT INTO public.ecdc_data VALUES (35988, 0, 31, 3.98150085, 167, 200);
INSERT INTO public.ecdc_data VALUES (35989, 0, 0, 0, 80, 200);
INSERT INTO public.ecdc_data VALUES (35990, 0, 0, 0, 81, 200);
INSERT INTO public.ecdc_data VALUES (35991, 0, 0, 35.26704325, 205, 200);
INSERT INTO public.ecdc_data VALUES (35992, 47, 757, 70.67097211, 82, 200);
INSERT INTO public.ecdc_data VALUES (35993, 0, 0, 0, 168, 200);
INSERT INTO public.ecdc_data VALUES (35994, 0, 97, 6.25624156, 24, 200);
INSERT INTO public.ecdc_data VALUES (35995, 0, 0, 11.86933116, 25, 200);
INSERT INTO public.ecdc_data VALUES (35996, 0, 6, 8.55929226, 83, 200);
INSERT INTO public.ecdc_data VALUES (35997, 0, 37, 7.81313884, 84, 200);
INSERT INTO public.ecdc_data VALUES (35998, 0, 0, 0, 169, 200);
INSERT INTO public.ecdc_data VALUES (35999, 3, 507, 102.68707069, 85, 200);
INSERT INTO public.ecdc_data VALUES (36000, 0, 5, 0.94139258, 170, 200);
INSERT INTO public.ecdc_data VALUES (36001, 0, 0, 3.36142928, 171, 200);
INSERT INTO public.ecdc_data VALUES (36002, 500, 28701, 24.14605625, 112, 200);
INSERT INTO public.ecdc_data VALUES (36003, 71, 1681, 8.01439429, 113, 200);
INSERT INTO public.ecdc_data VALUES (36004, 194, 2186, 41.77104554, 114, 200);
INSERT INTO public.ecdc_data VALUES (36005, 95, 2312, 81.66922494, 115, 200);
INSERT INTO public.ecdc_data VALUES (36006, 0, 17, 3.85380813, 172, 200);
INSERT INTO public.ecdc_data VALUES (36007, 0, 0, 0, 173, 200);
INSERT INTO public.ecdc_data VALUES (36008, 8, 1207, 175.07156923, 116, 200);
INSERT INTO public.ecdc_data VALUES (36009, 9, 234, 4.55768836, 174, 200);
INSERT INTO public.ecdc_data VALUES (36010, 0, 0, 2.10292316, 86, 200);
INSERT INTO public.ecdc_data VALUES (36011, 0, 366, 2.67380735, 117, 200);
INSERT INTO public.ecdc_data VALUES (36012, 0, 0, 5.56606924, 175, 200);
INSERT INTO public.ecdc_data VALUES (36013, 0, 3, 0.57416096, 118, 200);
INSERT INTO public.ecdc_data VALUES (36014, 111, 1636, 207.8653999, 119, 200);
INSERT INTO public.ecdc_data VALUES (36015, 1, 379, 7.67490115, 26, 200);
INSERT INTO public.ecdc_data VALUES (36016, 1, 216, 125.326243, 176, 200);
INSERT INTO public.ecdc_data VALUES (36017, 4, 836, 236.55378782, 120, 200);
INSERT INTO public.ecdc_data VALUES (36018, 15, 488, 95.07702096, 121, 200);
INSERT INTO public.ecdc_data VALUES (36019, 0, 0, 0, 122, 200);
INSERT INTO public.ecdc_data VALUES (36020, 0, 0, 2.96879948, 177, 200);
INSERT INTO public.ecdc_data VALUES (36021, 0, 166, 8.66431174, 123, 200);
INSERT INTO public.ecdc_data VALUES (36022, 1, 49, 9.69289976, 27, 200);
INSERT INTO public.ecdc_data VALUES (36023, 4, 12, 4.9013909, 28, 200);
INSERT INTO public.ecdc_data VALUES (36024, 1, 44, 9.90047441, 29, 200);
INSERT INTO public.ecdc_data VALUES (36025, 0, 0, 5.21131898, 178, 200);
INSERT INTO public.ecdc_data VALUES (36026, 0, 4, 1.89679706, 179, 200);
INSERT INTO public.ecdc_data VALUES (36027, 1, 83, 111.25699225, 180, 200);
INSERT INTO public.ecdc_data VALUES (36028, 1, 289, 10.34138587, 30, 200);
INSERT INTO public.ecdc_data VALUES (36029, 5, 103, 6.53828123, 31, 200);
INSERT INTO public.ecdc_data VALUES (36030, 0, 14, 0.26291253, 124, 200);
INSERT INTO public.ecdc_data VALUES (36031, 0, 67, 76.84238083, 125, 200);
INSERT INTO public.ecdc_data VALUES (36032, 0, 5, 1.34296313, 32, 200);
INSERT INTO public.ecdc_data VALUES (36033, 0, 0, 0.81044009, 181, 200);
INSERT INTO public.ecdc_data VALUES (36034, 0, 0, 26.93507167, 33, 200);
INSERT INTO public.ecdc_data VALUES (36035, 0, 0, 0.07876062, 34, 200);
INSERT INTO public.ecdc_data VALUES (36036, 276, 3176, 68.18940958, 87, 200);
INSERT INTO public.ecdc_data VALUES (36037, 2, 174, 77.46228413, 182, 200);
INSERT INTO public.ecdc_data VALUES (36038, 0, 0, 18.13510654, 183, 200);
INSERT INTO public.ecdc_data VALUES (36039, 0, 0, 0.31006156, 126, 200);
INSERT INTO public.ecdc_data VALUES (36040, 0, 57, 118.93625981, 184, 200);
INSERT INTO public.ecdc_data VALUES (36041, 0, 0, 20.03606492, 88, 200);
INSERT INTO public.ecdc_data VALUES (36042, 5, 203, 10.12564075, 35, 200);
INSERT INTO public.ecdc_data VALUES (36043, 0, 22, 0.98135934, 36, 200);
INSERT INTO public.ecdc_data VALUES (36044, 0, 1, 0.05920946, 127, 200);
INSERT INTO public.ecdc_data VALUES (36045, 0, 117, 24.13286062, 37, 200);
INSERT INTO public.ecdc_data VALUES (36046, 0, 82, 14.08312117, 128, 200);
INSERT INTO public.ecdc_data VALUES (36047, 0, 101, 5.06302365, 185, 200);
INSERT INTO public.ecdc_data VALUES (36048, 0, 0, 0, 207, 200);
INSERT INTO public.ecdc_data VALUES (36049, 0, 0, 0.33451375, 208, 200);
INSERT INTO public.ecdc_data VALUES (36050, 0, 0, 10.32770132, 89, 200);
INSERT INTO public.ecdc_data VALUES (36051, 0, 0, 0.1072468, 38, 200);
INSERT INTO public.ecdc_data VALUES (36052, 16, 571, 3.97634192, 39, 200);
INSERT INTO public.ecdc_data VALUES (36053, 7, 144, 97.20133338, 186, 200);
INSERT INTO public.ecdc_data VALUES (36054, 0, 0, 5.24356353, 209, 200);
INSERT INTO public.ecdc_data VALUES (36055, 0, 0, 2.8152033, 187, 200);
INSERT INTO public.ecdc_data VALUES (36056, 9, 1318, 359.09605483, 129, 200);
INSERT INTO public.ecdc_data VALUES (36057, 69, 2753, 20.83112874, 130, 200);
INSERT INTO public.ecdc_data VALUES (36058, 5, 341, 96.157282, 131, 200);
INSERT INTO public.ecdc_data VALUES (36059, 16, 1301, 328.43982253, 90, 200);
INSERT INTO public.ecdc_data VALUES (36060, 0, 0, 0, 210, 200);
INSERT INTO public.ecdc_data VALUES (36061, 1, 128, 11.65425226, 91, 200);
INSERT INTO public.ecdc_data VALUES (36062, 188, 3616, 144.28278503, 92, 200);
INSERT INTO public.ecdc_data VALUES (36063, 162, 2037, 19.24218461, 132, 200);
INSERT INTO public.ecdc_data VALUES (36064, 3, 370, 10.49171707, 188, 200);
INSERT INTO public.ecdc_data VALUES (36065, 6, 291, 47.35021262, 189, 200);
INSERT INTO public.ecdc_data VALUES (36066, 0, 288, 89.72511117, 93, 200);
INSERT INTO public.ecdc_data VALUES (36067, 1, 470, 324.32096512, 133, 200);
INSERT INTO public.ecdc_data VALUES (36068, 13, 456, 32.04828072, 190, 200);
INSERT INTO public.ecdc_data VALUES (36069, 130, 6615, 63.56588977, 191, 200);
INSERT INTO public.ecdc_data VALUES (36070, 0, 38, 3.46085488, 40, 200);
INSERT INTO public.ecdc_data VALUES (36071, 0, 0, 3.78544119, 94, 200);
INSERT INTO public.ecdc_data VALUES (36072, 0, 0, 1.64118275, 95, 200);
INSERT INTO public.ecdc_data VALUES (36073, 0, 6, 5.42529817, 96, 200);
INSERT INTO public.ecdc_data VALUES (36074, 0, 0, 2.90250486, 192, 200);
INSERT INTO public.ecdc_data VALUES (36075, 0, 2, 7.4401994, 41, 200);
INSERT INTO public.ecdc_data VALUES (36076, 42, 2779, 145.22362486, 134, 200);
INSERT INTO public.ecdc_data VALUES (36077, 3, 121, 9.50518895, 42, 200);
INSERT INTO public.ecdc_data VALUES (36078, 11, 287, 61.94925618, 193, 200);
INSERT INTO public.ecdc_data VALUES (36079, 0, 0, 91.05697711, 43, 200);
INSERT INTO public.ecdc_data VALUES (36080, 0, 17, 2.66215909, 44, 200);
INSERT INTO public.ecdc_data VALUES (36081, 0, 178, 43.10565382, 135, 200);
INSERT INTO public.ecdc_data VALUES (36082, 0, 0, 2.3591026, 97, 200);
INSERT INTO public.ecdc_data VALUES (36083, 0, 8, 4.34828796, 194, 200);
INSERT INTO public.ecdc_data VALUES (36084, 0, 14, 12.49454565, 195, 200);
INSERT INTO public.ecdc_data VALUES (36085, 1, 8, 1.06845175, 45, 200);
INSERT INTO public.ecdc_data VALUES (36086, 108, 12058, 235.8471435, 46, 200);
INSERT INTO public.ecdc_data VALUES (36087, 0, 62, 1.4094592, 136, 200);
INSERT INTO public.ecdc_data VALUES (36088, 0, 10, 1.35597952, 47, 200);
INSERT INTO public.ecdc_data VALUES (36089, 3, 2045, 14.87736982, 196, 200);
INSERT INTO public.ecdc_data VALUES (36090, 0, 106, 2.7199739, 137, 200);
INSERT INTO public.ecdc_data VALUES (36091, 0, 0, 2.31704041, 48, 200);
INSERT INTO public.ecdc_data VALUES (36092, 0, 0, 43.17440222, 98, 200);
INSERT INTO public.ecdc_data VALUES (36093, 8, 106, 66.10828641, 197, 200);
INSERT INTO public.ecdc_data VALUES (36094, 0, 85, 14.79309504, 198, 200);
INSERT INTO public.ecdc_data VALUES (36095, 0, 0, 0.8084296, 138, 200);
INSERT INTO public.ecdc_data VALUES (36096, 0, 0, 0.01682519, 139, 200);
INSERT INTO public.ecdc_data VALUES (36097, 0, 46, 7.54209061, 140, 200);
INSERT INTO public.ecdc_data VALUES (36098, 0, 3, 0.08330272, 141, 200);
INSERT INTO public.ecdc_data VALUES (36099, 0, 0, 0, 142, 200);
INSERT INTO public.ecdc_data VALUES (36100, 0, 2, 0.96506478, 49, 200);
INSERT INTO public.ecdc_data VALUES (36101, 0, 0, 0.50180327, 99, 200);
INSERT INTO public.ecdc_data VALUES (36102, 0, 18, 0.80378147, 50, 200);
INSERT INTO public.ecdc_data VALUES (36103, 19, 1012, 19.21128563, 199, 200);
INSERT INTO public.ecdc_data VALUES (36104, 0, 6, 115.20134052, 100, 200);
INSERT INTO public.ecdc_data VALUES (36105, 0, 12, 0.37497526, 51, 200);
INSERT INTO public.ecdc_data VALUES (36106, 11, 678, 23.95573379, 200, 200);
INSERT INTO public.ecdc_data VALUES (36107, 2, 401, 72.22743177, 143, 200);
INSERT INTO public.ecdc_data VALUES (36108, 9, 442, 12.44915159, 201, 200);
INSERT INTO public.ecdc_data VALUES (36109, 0, 0, 0, 52, 200);
INSERT INTO public.ecdc_data VALUES (36110, 391, 57258, 229.72549213, 101, 200);
INSERT INTO public.ecdc_data VALUES (36111, 0, 0, 95.62149189, 102, 200);
INSERT INTO public.ecdc_data VALUES (36112, 1, 1, 1.67546236, 103, 200);
INSERT INTO public.ecdc_data VALUES (36113, 4, 680, 15.65109637, 144, 200);
INSERT INTO public.ecdc_data VALUES (36114, 4, 287, 14.61644338, 104, 200);
INSERT INTO public.ecdc_data VALUES (36115, 0, 2, 0.0176235, 145, 200);
INSERT INTO public.ecdc_data VALUES (36116, 0, 0, 53.39440784, 53, 200);
INSERT INTO public.ecdc_data VALUES (36117, 52, 76, 1.18990785, 146, 200);
INSERT INTO public.ecdc_data VALUES (36118, 0, 0, 1.89238764, 54, 200);
INSERT INTO public.ecdc_data VALUES (36119, 0, 3, 2.85412427, 55, 200);
INSERT INTO public.ecdc_data VALUES (36120, 20, 656, 25.98986161, 105, 201);
INSERT INTO public.ecdc_data VALUES (36121, 1, 31, 11.07451823, 147, 201);
INSERT INTO public.ecdc_data VALUES (36122, 10, 109, 3.63272719, 1, 201);
INSERT INTO public.ecdc_data VALUES (36123, 0, 1, 116.83316487, 148, 201);
INSERT INTO public.ecdc_data VALUES (36124, 0, 12, 0.16653418, 2, 201);
INSERT INTO public.ecdc_data VALUES (36125, 0, 0, 0, 56, 201);
INSERT INTO public.ecdc_data VALUES (36126, 0, 0, 1.02970705, 57, 201);
INSERT INTO public.ecdc_data VALUES (36127, 20, 1391, 29.80080135, 58, 201);
INSERT INTO public.ecdc_data VALUES (36128, 6, 723, 239.27149488, 149, 201);
INSERT INTO public.ecdc_data VALUES (36129, 0, 0, 0, 59, 201);
INSERT INTO public.ecdc_data VALUES (36130, 0, 5, 0.46422676, 202, 201);
INSERT INTO public.ecdc_data VALUES (36131, 1, 30, 4.51529698, 150, 201);
INSERT INTO public.ecdc_data VALUES (36132, 5, 336, 42.08915476, 151, 201);
INSERT INTO public.ecdc_data VALUES (36133, 0, 0, 0.25674864, 60, 201);
INSERT INTO public.ecdc_data VALUES (36134, 2, 1046, 442.61268222, 106, 201);
INSERT INTO public.ecdc_data VALUES (36135, 46, 3471, 23.72272792, 107, 201);
INSERT INTO public.ecdc_data VALUES (36136, 0, 0, 1.39362625, 61, 201);
INSERT INTO public.ecdc_data VALUES (36137, 5, 704, 124.37041182, 152, 201);
INSERT INTO public.ecdc_data VALUES (36138, 10, 89, 14.28132588, 153, 201);
INSERT INTO public.ecdc_data VALUES (36139, 0, 0, 0.51235939, 62, 201);
INSERT INTO public.ecdc_data VALUES (36140, 1, 83, 1.38969495, 3, 201);
INSERT INTO public.ecdc_data VALUES (36141, 0, 1, 3.19959045, 63, 201);
INSERT INTO public.ecdc_data VALUES (36142, 0, 0, 3.80031818, 108, 201);
INSERT INTO public.ecdc_data VALUES (36143, 26, 764, 71.20583141, 64, 201);
INSERT INTO public.ecdc_data VALUES (36144, 0, 0, 0, 65, 201);
INSERT INTO public.ecdc_data VALUES (36145, 2, 61, 12.35989843, 154, 201);
INSERT INTO public.ecdc_data VALUES (36146, 0, 12, 1.08520933, 4, 201);
INSERT INTO public.ecdc_data VALUES (36147, 909, 25982, 172.30269073, 66, 201);
INSERT INTO public.ecdc_data VALUES (36148, 0, 0, 0, 67, 201);
INSERT INTO public.ecdc_data VALUES (36149, 0, 0, 0, 109, 201);
INSERT INTO public.ecdc_data VALUES (36150, 4, 105, 9.88565921, 155, 201);
INSERT INTO public.ecdc_data VALUES (36151, 0, 0, 0.22144162, 5, 201);
INSERT INTO public.ecdc_data VALUES (36152, 0, 0, 0.45097483, 6, 201);
INSERT INTO public.ecdc_data VALUES (36153, 0, 0, 0.00606555, 110, 201);
INSERT INTO public.ecdc_data VALUES (36154, 59, 267, 14.53062207, 7, 201);
INSERT INTO public.ecdc_data VALUES (36155, 55, 413, 22.78739232, 68, 201);
INSERT INTO public.ecdc_data VALUES (36156, 0, 40, 53.09708766, 8, 201);
INSERT INTO public.ecdc_data VALUES (36157, 0, 7, 70.82589148, 69, 201);
INSERT INTO public.ecdc_data VALUES (36158, 0, 13, 24.93056637, 9, 201);
INSERT INTO public.ecdc_data VALUES (36159, 0, 0, 0.55810283, 10, 201);
INSERT INTO public.ecdc_data VALUES (36160, 222, 6754, 370.45098323, 70, 201);
INSERT INTO public.ecdc_data VALUES (36161, 0, 12, 0.00732328, 111, 201);
INSERT INTO public.ecdc_data VALUES (36162, 112, 3176, 40.06798407, 71, 201);
INSERT INTO public.ecdc_data VALUES (36163, 0, 0, 8.81428996, 11, 201);
INSERT INTO public.ecdc_data VALUES (36164, 0, 0, 2.93652788, 12, 201);
INSERT INTO public.ecdc_data VALUES (36165, 0, 74, 11.68881367, 72, 201);
INSERT INTO public.ecdc_data VALUES (36166, 4, 280, 7.52044772, 13, 201);
INSERT INTO public.ecdc_data VALUES (36167, 1, 0, 0.0981295, 156, 201);
INSERT INTO public.ecdc_data VALUES (36168, 0, 14, 2.01173796, 73, 201);
INSERT INTO public.ecdc_data VALUES (36169, 0, 0, 1.83572692, 74, 201);
INSERT INTO public.ecdc_data VALUES (36170, 0, 5, 4.45256816, 157, 201);
INSERT INTO public.ecdc_data VALUES (36171, 0, 52, 6.96726699, 158, 201);
INSERT INTO public.ecdc_data VALUES (36172, 3, 122, 2.07741468, 14, 201);
INSERT INTO public.ecdc_data VALUES (36173, 1, 64, 8.7150007, 159, 201);
INSERT INTO public.ecdc_data VALUES (36174, 1, 43, 156.84751894, 15, 201);
INSERT INTO public.ecdc_data VALUES (36175, 0, 0, 2.78520499, 75, 201);
INSERT INTO public.ecdc_data VALUES (36176, 7, 571, 51.00122852, 76, 201);
INSERT INTO public.ecdc_data VALUES (36177, 108, 1338, 41.48234307, 77, 201);
INSERT INTO public.ecdc_data VALUES (36178, 45, 1578, 19.1476924, 16, 201);
INSERT INTO public.ecdc_data VALUES (36179, 4, 0, 18.64090307, 78, 201);
INSERT INTO public.ecdc_data VALUES (36180, 0, 0, 19.3955377, 17, 201);
INSERT INTO public.ecdc_data VALUES (36181, 0, 0, 0.05718997, 18, 201);
INSERT INTO public.ecdc_data VALUES (36182, 0, 5, 8.3784967, 160, 201);
INSERT INTO public.ecdc_data VALUES (36183, 0, 23, 16.8098992, 19, 201);
INSERT INTO public.ecdc_data VALUES (36184, 7, 245, 1.73717176, 20, 201);
INSERT INTO public.ecdc_data VALUES (36185, 0, 0, 0, 79, 201);
INSERT INTO public.ecdc_data VALUES (36186, 0, 0, 0, 161, 201);
INSERT INTO public.ecdc_data VALUES (36187, 0, 0, 0, 203, 201);
INSERT INTO public.ecdc_data VALUES (36188, 0, 9, 5.38246393, 162, 201);
INSERT INTO public.ecdc_data VALUES (36189, 28, 726, 9.87720525, 163, 201);
INSERT INTO public.ecdc_data VALUES (36190, 0, 0, 0, 204, 201);
INSERT INTO public.ecdc_data VALUES (36191, 0, 0, 39.12402685, 21, 201);
INSERT INTO public.ecdc_data VALUES (36192, 0, 0, 0.12778486, 22, 201);
INSERT INTO public.ecdc_data VALUES (36193, 0, 12, 2.42696463, 164, 201);
INSERT INTO public.ecdc_data VALUES (36194, 18, 348, 5.8131122, 165, 201);
INSERT INTO public.ecdc_data VALUES (36195, 0, 760, 11.51297373, 23, 201);
INSERT INTO public.ecdc_data VALUES (36196, 0, 0, 44.50246247, 166, 201);
INSERT INTO public.ecdc_data VALUES (36197, 0, 20, 1.85554723, 167, 201);
INSERT INTO public.ecdc_data VALUES (36198, 0, 0, 0, 80, 201);
INSERT INTO public.ecdc_data VALUES (36199, 0, 0, 0, 81, 201);
INSERT INTO public.ecdc_data VALUES (36200, 0, 3, 7.77070444, 205, 201);
INSERT INTO public.ecdc_data VALUES (36201, 17, 421, 24.88414511, 82, 201);
INSERT INTO public.ecdc_data VALUES (36202, 0, 0, 0, 168, 201);
INSERT INTO public.ecdc_data VALUES (36203, 1, 54, 6.02916896, 24, 201);
INSERT INTO public.ecdc_data VALUES (36204, 0, 0, 6.92377651, 25, 201);
INSERT INTO public.ecdc_data VALUES (36205, 0, 1, 1.14975568, 83, 201);
INSERT INTO public.ecdc_data VALUES (36206, 0, 0, 20.9267821, 84, 201);
INSERT INTO public.ecdc_data VALUES (36207, 0, 0, 0, 169, 201);
INSERT INTO public.ecdc_data VALUES (36208, 12, 463, 33.30557868, 85, 201);
INSERT INTO public.ecdc_data VALUES (36209, 2, 14, 2.16929595, 170, 201);
INSERT INTO public.ecdc_data VALUES (36210, 0, 1, 0.84035732, 171, 201);
INSERT INTO public.ecdc_data VALUES (36211, 386, 11458, 9.89668053, 112, 201);
INSERT INTO public.ecdc_data VALUES (36212, 48, 1111, 4.13486432, 113, 201);
INSERT INTO public.ecdc_data VALUES (36213, 75, 2369, 43.27019116, 114, 201);
INSERT INTO public.ecdc_data VALUES (36214, 39, 1095, 30.26472617, 115, 201);
INSERT INTO public.ecdc_data VALUES (36215, 2, 12, 7.62605419, 172, 201);
INSERT INTO public.ecdc_data VALUES (36216, 0, 0, 0, 173, 201);
INSERT INTO public.ecdc_data VALUES (36217, 0, 175, 22.17299325, 116, 201);
INSERT INTO public.ecdc_data VALUES (36218, 56, 163, 6.72138919, 174, 201);
INSERT INTO public.ecdc_data VALUES (36219, 0, 3, 1.32280651, 86, 201);
INSERT INTO public.ecdc_data VALUES (36220, 2, 50, 0.4556193, 117, 201);
INSERT INTO public.ecdc_data VALUES (36221, 0, 0, 4.63839103, 175, 201);
INSERT INTO public.ecdc_data VALUES (36222, 0, 25, 1.83137546, 118, 201);
INSERT INTO public.ecdc_data VALUES (36223, 3, 366, 20.78546191, 119, 201);
INSERT INTO public.ecdc_data VALUES (36224, 4, 90, 2.96724803, 26, 201);
INSERT INTO public.ecdc_data VALUES (36225, 0, 58, 17.79254559, 176, 201);
INSERT INTO public.ecdc_data VALUES (36226, 6, 520, 232.18020493, 120, 201);
INSERT INTO public.ecdc_data VALUES (36227, 1, 41, 7.55940249, 121, 201);
INSERT INTO public.ecdc_data VALUES (36228, 0, 0, 0, 122, 201);
INSERT INTO public.ecdc_data VALUES (36229, 1, 2, 1.66669444, 177, 201);
INSERT INTO public.ecdc_data VALUES (36230, 0, 20, 3.64659585, 123, 201);
INSERT INTO public.ecdc_data VALUES (36231, 0, 0, 0.09410582, 27, 201);
INSERT INTO public.ecdc_data VALUES (36232, 1, 11, 2.99754485, 28, 201);
INSERT INTO public.ecdc_data VALUES (36233, 1, 16, 4.29364837, 29, 201);
INSERT INTO public.ecdc_data VALUES (36234, 0, 0, 0, 178, 201);
INSERT INTO public.ecdc_data VALUES (36235, 0, 4, 3.36413064, 179, 201);
INSERT INTO public.ecdc_data VALUES (36236, 0, 3, 7.00446657, 180, 201);
INSERT INTO public.ecdc_data VALUES (36237, 0, 27, 1.97261287, 30, 201);
INSERT INTO public.ecdc_data VALUES (36238, 0, 0, 1.11655377, 31, 201);
INSERT INTO public.ecdc_data VALUES (36239, 1, 33, 2.09704045, 124, 201);
INSERT INTO public.ecdc_data VALUES (36240, 0, 27, 77.59573751, 125, 201);
INSERT INTO public.ecdc_data VALUES (36241, 4, 30, 2.67575229, 32, 201);
INSERT INTO public.ecdc_data VALUES (36242, 0, 1, 5.67308062, 181, 201);
INSERT INTO public.ecdc_data VALUES (36243, 13, 277, 22.44957573, 33, 201);
INSERT INTO public.ecdc_data VALUES (36244, 0, 0, 0.15752125, 34, 201);
INSERT INTO public.ecdc_data VALUES (36245, 504, 5586, 49.65215547, 87, 201);
INSERT INTO public.ecdc_data VALUES (36246, 10, 366, 79.06989858, 182, 201);
INSERT INTO public.ecdc_data VALUES (36247, 0, 0, 0, 183, 201);
INSERT INTO public.ecdc_data VALUES (36248, 0, 0, 0.55811081, 126, 201);
INSERT INTO public.ecdc_data VALUES (36249, 0, 0, 0, 184, 201);
INSERT INTO public.ecdc_data VALUES (36250, 0, 0, 0, 88, 201);
INSERT INTO public.ecdc_data VALUES (36251, 1, 73, 2.45669486, 35, 201);
INSERT INTO public.ecdc_data VALUES (36252, 0, 20, 0.90561684, 36, 201);
INSERT INTO public.ecdc_data VALUES (36253, 0, 0, 0.06846093, 127, 201);
INSERT INTO public.ecdc_data VALUES (36254, 0, 0, 0.32070247, 37, 201);
INSERT INTO public.ecdc_data VALUES (36255, 1, 448, 13.45743771, 128, 201);
INSERT INTO public.ecdc_data VALUES (36256, 9, 210, 13.51104026, 185, 201);
INSERT INTO public.ecdc_data VALUES (36257, 0, 0, 0.70732113, 207, 201);
INSERT INTO public.ecdc_data VALUES (36258, 0, 0, 0, 208, 201);
INSERT INTO public.ecdc_data VALUES (36259, 0, 191, 13.68878755, 89, 201);
INSERT INTO public.ecdc_data VALUES (36260, 0, 4, 0.09866706, 38, 201);
INSERT INTO public.ecdc_data VALUES (36261, 12, 627, 2.92540535, 39, 201);
INSERT INTO public.ecdc_data VALUES (36262, 2, 164, 75.87384913, 186, 201);
INSERT INTO public.ecdc_data VALUES (36263, 0, 0, 13.98283607, 209, 201);
INSERT INTO public.ecdc_data VALUES (36264, 0, 12, 3.65976429, 187, 201);
INSERT INTO public.ecdc_data VALUES (36265, 7, 1117, 226.15111743, 129, 201);
INSERT INTO public.ecdc_data VALUES (36266, 88, 6472, 30.45178282, 130, 201);
INSERT INTO public.ecdc_data VALUES (36267, 0, 2, 0.88328192, 131, 201);
INSERT INTO public.ecdc_data VALUES (36268, 3, 625, 157.30823937, 90, 201);
INSERT INTO public.ecdc_data VALUES (36269, 0, 0, 0, 210, 201);
INSERT INTO public.ecdc_data VALUES (36270, 0, 24, 4.78377955, 91, 201);
INSERT INTO public.ecdc_data VALUES (36271, 199, 5961, 222.89440242, 92, 201);
INSERT INTO public.ecdc_data VALUES (36272, 16, 612, 7.54093113, 132, 201);
INSERT INTO public.ecdc_data VALUES (36273, 7, 376, 14.27863704, 188, 201);
INSERT INTO public.ecdc_data VALUES (36274, 1, 270, 41.20032886, 189, 201);
INSERT INTO public.ecdc_data VALUES (36275, 2, 184, 64.39617591, 93, 201);
INSERT INTO public.ecdc_data VALUES (36276, 1, 1517, 836.17253946, 133, 201);
INSERT INTO public.ecdc_data VALUES (36277, 11, 222, 12.47523881, 190, 201);
INSERT INTO public.ecdc_data VALUES (36278, 183, 8987, 84.86877491, 191, 201);
INSERT INTO public.ecdc_data VALUES (36279, 0, 16, 1.22753434, 40, 201);
INSERT INTO public.ecdc_data VALUES (36280, 0, 0, 0, 94, 201);
INSERT INTO public.ecdc_data VALUES (36281, 0, 0, 0.54706092, 95, 201);
INSERT INTO public.ecdc_data VALUES (36282, 0, 0, 0.90421636, 96, 201);
INSERT INTO public.ecdc_data VALUES (36283, 0, 3, 66.75761182, 192, 201);
INSERT INTO public.ecdc_data VALUES (36284, 0, 11, 86.95733046, 41, 201);
INSERT INTO public.ecdc_data VALUES (36285, 36, 3921, 111.40250578, 134, 201);
INSERT INTO public.ecdc_data VALUES (36286, 0, 92, 8.72587391, 42, 201);
INSERT INTO public.ecdc_data VALUES (36287, 0, 73, 11.78960114, 193, 201);
INSERT INTO public.ecdc_data VALUES (36288, 0, 0, 0, 43, 201);
INSERT INTO public.ecdc_data VALUES (36289, 1, 18, 3.50688264, 44, 201);
INSERT INTO public.ecdc_data VALUES (36290, 0, 463, 103.19858768, 135, 201);
INSERT INTO public.ecdc_data VALUES (36291, 0, 0, 0, 97, 201);
INSERT INTO public.ecdc_data VALUES (36292, 0, 1, 0.40363854, 194, 201);
INSERT INTO public.ecdc_data VALUES (36293, 0, 2, 0.81695106, 195, 201);
INSERT INTO public.ecdc_data VALUES (36294, 0, 0, 4.43569364, 45, 201);
INSERT INTO public.ecdc_data VALUES (36295, 65, 3359, 55.81961638, 46, 201);
INSERT INTO public.ecdc_data VALUES (36296, 0, 48, 1.19081733, 136, 201);
INSERT INTO public.ecdc_data VALUES (36297, 3, 66, 6.11094769, 47, 201);
INSERT INTO public.ecdc_data VALUES (36298, 0, 396, 9.32525386, 196, 201);
INSERT INTO public.ecdc_data VALUES (36299, 0, 3, 1.51005448, 137, 201);
INSERT INTO public.ecdc_data VALUES (36300, 20, 149, 5.50764241, 48, 201);
INSERT INTO public.ecdc_data VALUES (36301, 1, 19, 30.10167486, 98, 201);
INSERT INTO public.ecdc_data VALUES (36302, 29, 1329, 115.67728247, 197, 201);
INSERT INTO public.ecdc_data VALUES (36303, 2, 19, 2.75029852, 198, 201);
INSERT INTO public.ecdc_data VALUES (36304, 0, 0, 0.24604379, 138, 201);
INSERT INTO public.ecdc_data VALUES (36305, 0, 0, 0.0042063, 139, 201);
INSERT INTO public.ecdc_data VALUES (36306, 0, 68, 14.36537599, 140, 201);
INSERT INTO public.ecdc_data VALUES (36307, 0, 4, 0.07612145, 141, 201);
INSERT INTO public.ecdc_data VALUES (36308, 0, 0, 0, 142, 201);
INSERT INTO public.ecdc_data VALUES (36309, 0, 1, 1.20014466, 49, 201);
INSERT INTO public.ecdc_data VALUES (36310, 0, 0, 0.07168618, 99, 201);
INSERT INTO public.ecdc_data VALUES (36311, 0, 6, 0.18811907, 50, 201);
INSERT INTO public.ecdc_data VALUES (36312, 15, 1195, 15.97241457, 199, 201);
INSERT INTO public.ecdc_data VALUES (36313, 0, 0, 0, 100, 201);
INSERT INTO public.ecdc_data VALUES (36314, 0, 6, 0.80416382, 51, 201);
INSERT INTO public.ecdc_data VALUES (36315, 16, 683, 15.77955251, 200, 201);
INSERT INTO public.ecdc_data VALUES (36316, 1, 513, 85.24617815, 143, 201);
INSERT INTO public.ecdc_data VALUES (36317, 131, 1017, 24.56220459, 201, 201);
INSERT INTO public.ecdc_data VALUES (36318, 0, 0, 0, 52, 201);
INSERT INTO public.ecdc_data VALUES (36319, 849, 25639, 91.74451131, 101, 201);
INSERT INTO public.ecdc_data VALUES (36320, 0, 0, 2.86864476, 102, 201);
INSERT INTO public.ecdc_data VALUES (36321, 0, 0, 0.89550575, 103, 201);
INSERT INTO public.ecdc_data VALUES (36322, 0, 82, 4.20839244, 144, 201);
INSERT INTO public.ecdc_data VALUES (36323, 0, 65, 5.29530458, 104, 201);
INSERT INTO public.ecdc_data VALUES (36324, 0, 1, 0.00622006, 145, 201);
INSERT INTO public.ecdc_data VALUES (36325, 0, 0, 0, 53, 201);
INSERT INTO public.ecdc_data VALUES (36326, 3, 41, 1.18304959, 146, 201);
INSERT INTO public.ecdc_data VALUES (36327, 0, 69, 1.47807792, 54, 201);
INSERT INTO public.ecdc_data VALUES (36328, 0, 11, 1.24953288, 55, 201);
INSERT INTO public.ecdc_data VALUES (36329, 5, 280, 8.25408774, 105, 202);
INSERT INTO public.ecdc_data VALUES (36330, 0, 4, 4.40185898, 147, 202);
INSERT INTO public.ecdc_data VALUES (36331, 8, 176, 5.61632631, 1, 202);
INSERT INTO public.ecdc_data VALUES (36332, 0, 2, 19.69098284, 148, 202);
INSERT INTO public.ecdc_data VALUES (36333, 0, 0, 0.05655878, 2, 202);
INSERT INTO public.ecdc_data VALUES (36334, 0, 0, 0, 56, 202);
INSERT INTO public.ecdc_data VALUES (36335, 0, 0, 1.02970705, 57, 202);
INSERT INTO public.ecdc_data VALUES (36336, 14, 529, 5.43984654, 58, 202);
INSERT INTO public.ecdc_data VALUES (36337, 1, 180, 60.38418678, 149, 202);
INSERT INTO public.ecdc_data VALUES (36338, 0, 0, 0.94064528, 59, 202);
INSERT INTO public.ecdc_data VALUES (36339, 0, 16, 0.89671153, 202, 202);
INSERT INTO public.ecdc_data VALUES (36340, 3, 36, 6.7277925, 150, 202);
INSERT INTO public.ecdc_data VALUES (36341, 1, 104, 9.71364745, 151, 202);
INSERT INTO public.ecdc_data VALUES (36342, 0, 0, 3.33773229, 60, 202);
INSERT INTO public.ecdc_data VALUES (36343, 1, 295, 165.73602638, 106, 202);
INSERT INTO public.ecdc_data VALUES (36344, 11, 969, 6.25466996, 107, 202);
INSERT INTO public.ecdc_data VALUES (36345, 0, 1, 1.74203281, 61, 202);
INSERT INTO public.ecdc_data VALUES (36346, 7, 967, 133.98700797, 152, 202);
INSERT INTO public.ecdc_data VALUES (36347, 45, 395, 51.22421778, 153, 202);
INSERT INTO public.ecdc_data VALUES (36348, 0, 0, 0, 62, 202);
INSERT INTO public.ecdc_data VALUES (36349, 0, 8, 2.22859618, 3, 202);
INSERT INTO public.ecdc_data VALUES (36350, 0, 2, 17.59774749, 63, 202);
INSERT INTO public.ecdc_data VALUES (36351, 0, 0, 0.52418182, 108, 202);
INSERT INTO public.ecdc_data VALUES (36352, 6, 133, 16.59848058, 64, 202);
INSERT INTO public.ecdc_data VALUES (36353, 0, 0, 0, 65, 202);
INSERT INTO public.ecdc_data VALUES (36354, 4, 16, 17.26750516, 154, 202);
INSERT INTO public.ecdc_data VALUES (36355, 0, 0, 0.04340837, 4, 202);
INSERT INTO public.ecdc_data VALUES (36356, 881, 9258, 50.08445435, 66, 202);
INSERT INTO public.ecdc_data VALUES (36357, 0, 0, 3.3296707, 67, 202);
INSERT INTO public.ecdc_data VALUES (36358, 0, 0, 0.69236734, 109, 202);
INSERT INTO public.ecdc_data VALUES (36359, 2, 33, 8.91423605, 155, 202);
INSERT INTO public.ecdc_data VALUES (36360, 1, 6, 0.62987839, 5, 202);
INSERT INTO public.ecdc_data VALUES (36361, 0, 8, 0.10407111, 6, 202);
INSERT INTO public.ecdc_data VALUES (36362, 0, 0, 0, 110, 202);
INSERT INTO public.ecdc_data VALUES (36363, 0, 0, 3.41237747, 7, 202);
INSERT INTO public.ecdc_data VALUES (36364, 176, 1176, 56.51273295, 68, 202);
INSERT INTO public.ecdc_data VALUES (36365, 0, 10, 28.54877658, 8, 202);
INSERT INTO public.ecdc_data VALUES (36366, 0, 1, 23.0953994, 69, 202);
INSERT INTO public.ecdc_data VALUES (36367, 0, 0, 2.71854866, 9, 202);
INSERT INTO public.ecdc_data VALUES (36368, 9, 35, 1.91259959, 10, 202);
INSERT INTO public.ecdc_data VALUES (36369, 12, 1658, 91.57855608, 70, 202);
INSERT INTO public.ecdc_data VALUES (36370, 0, 7, 0.00544015, 111, 202);
INSERT INTO public.ecdc_data VALUES (36371, 14, 659, 12.56072698, 71, 202);
INSERT INTO public.ecdc_data VALUES (36372, 0, 0, 0, 11, 202);
INSERT INTO public.ecdc_data VALUES (36373, 0, 0, 2.34178806, 12, 202);
INSERT INTO public.ecdc_data VALUES (36374, 0, 3, 1.96134331, 72, 202);
INSERT INTO public.ecdc_data VALUES (36375, 0, 127, 2.62087992, 13, 202);
INSERT INTO public.ecdc_data VALUES (36376, 0, 11, 3.92518018, 156, 202);
INSERT INTO public.ecdc_data VALUES (36377, 1, 21, 3.23819225, 73, 202);
INSERT INTO public.ecdc_data VALUES (36378, 0, 0, 0, 74, 202);
INSERT INTO public.ecdc_data VALUES (36379, 0, 2, 7.53511535, 157, 202);
INSERT INTO public.ecdc_data VALUES (36380, 1, 45, 6.7325208, 158, 202);
INSERT INTO public.ecdc_data VALUES (36381, 6, 67, 0.78119088, 14, 202);
INSERT INTO public.ecdc_data VALUES (36382, 4, 78, 29.96857949, 159, 202);
INSERT INTO public.ecdc_data VALUES (36383, 0, 29, 18.89976653, 15, 202);
INSERT INTO public.ecdc_data VALUES (36384, 0, 0, 0, 75, 202);
INSERT INTO public.ecdc_data VALUES (36385, 9, 266, 41.75452048, 76, 202);
INSERT INTO public.ecdc_data VALUES (36386, 182, 910, 35.46173382, 77, 202);
INSERT INTO public.ecdc_data VALUES (36387, 11, 347, 5.03147406, 16, 202);
INSERT INTO public.ecdc_data VALUES (36388, 2, 39, 10.72278049, 78, 202);
INSERT INTO public.ecdc_data VALUES (36389, 0, 0, 9.14466416, 17, 202);
INSERT INTO public.ecdc_data VALUES (36390, 0, 0, 0, 18, 202);
INSERT INTO public.ecdc_data VALUES (36391, 0, 5, 6.49144789, 160, 202);
INSERT INTO public.ecdc_data VALUES (36392, 0, 9, 9.84206534, 19, 202);
INSERT INTO public.ecdc_data VALUES (36393, 0, 11, 0.12045105, 20, 202);
INSERT INTO public.ecdc_data VALUES (36394, 0, 0, 0, 79, 202);
INSERT INTO public.ecdc_data VALUES (36395, 0, 0, 0, 161, 202);
INSERT INTO public.ecdc_data VALUES (36396, 0, 0, 0, 203, 202);
INSERT INTO public.ecdc_data VALUES (36397, 4, 19, 22.88906379, 162, 202);
INSERT INTO public.ecdc_data VALUES (36398, 348, 708, 19.98421706, 163, 202);
INSERT INTO public.ecdc_data VALUES (36399, 0, 0, 0.71611436, 204, 202);
INSERT INTO public.ecdc_data VALUES (36400, 0, 61, 28.7676668, 21, 202);
INSERT INTO public.ecdc_data VALUES (36401, 0, 1, 0.55373438, 22, 202);
INSERT INTO public.ecdc_data VALUES (36402, 0, 4, 3.27765326, 164, 202);
INSERT INTO public.ecdc_data VALUES (36403, 101, 798, 16.46004522, 165, 202);
INSERT INTO public.ecdc_data VALUES (36404, 0, 427, 11.36174677, 23, 202);
INSERT INTO public.ecdc_data VALUES (36405, 0, 0, 17.80098499, 166, 202);
INSERT INTO public.ecdc_data VALUES (36406, 1, 18, 1.95811517, 167, 202);
INSERT INTO public.ecdc_data VALUES (36407, 0, 0, 0, 80, 202);
INSERT INTO public.ecdc_data VALUES (36408, 0, 0, 2.6785236, 81, 202);
INSERT INTO public.ecdc_data VALUES (36409, 0, 0, 4.18422547, 205, 202);
INSERT INTO public.ecdc_data VALUES (36410, 1, 85, 3.65157055, 82, 202);
INSERT INTO public.ecdc_data VALUES (36411, 0, 0, 7.75578582, 168, 202);
INSERT INTO public.ecdc_data VALUES (36412, 0, 0, 7.61867714, 24, 202);
INSERT INTO public.ecdc_data VALUES (36413, 0, 59, 38.88767708, 25, 202);
INSERT INTO public.ecdc_data VALUES (36414, 0, 4, 4.85452397, 83, 202);
INSERT INTO public.ecdc_data VALUES (36415, 2, 10, 1.26963506, 84, 202);
INSERT INTO public.ecdc_data VALUES (36416, 0, 0, 368.09815951, 169, 202);
INSERT INTO public.ecdc_data VALUES (36417, 5, 74, 13.76958922, 85, 202);
INSERT INTO public.ecdc_data VALUES (36418, 5, 28, 6.28277223, 170, 202);
INSERT INTO public.ecdc_data VALUES (36419, 0, 0, 1.68071464, 171, 202);
INSERT INTO public.ecdc_data VALUES (36420, 122, 3525, 3.14318222, 112, 202);
INSERT INTO public.ecdc_data VALUES (36421, 16, 484, 1.93551558, 113, 202);
INSERT INTO public.ecdc_data VALUES (36422, 48, 1481, 21.92997982, 114, 202);
INSERT INTO public.ecdc_data VALUES (36423, 2, 95, 2.71179273, 115, 202);
INSERT INTO public.ecdc_data VALUES (36424, 21, 107, 68.61409719, 172, 202);
INSERT INTO public.ecdc_data VALUES (36425, 0, 1, 26.0081098, 173, 202);
INSERT INTO public.ecdc_data VALUES (36426, 2, 23, 11.03367584, 116, 202);
INSERT INTO public.ecdc_data VALUES (36427, 172, 1402, 32.6559779, 174, 202);
INSERT INTO public.ecdc_data VALUES (36428, 0, 2, 4.27368256, 86, 202);
INSERT INTO public.ecdc_data VALUES (36429, 25, 150, 1.71211957, 117, 202);
INSERT INTO public.ecdc_data VALUES (36430, 1, 1, 10.20446028, 175, 202);
INSERT INTO public.ecdc_data VALUES (36431, 0, 14, 1.25721451, 118, 202);
INSERT INTO public.ecdc_data VALUES (36432, 0, 177, 12.68905014, 119, 202);
INSERT INTO public.ecdc_data VALUES (36433, 3, 15, 0.64860999, 26, 202);
INSERT INTO public.ecdc_data VALUES (36434, 1, 24, 6.7278063, 176, 202);
INSERT INTO public.ecdc_data VALUES (36435, 10, 991, 162.51188176, 120, 202);
INSERT INTO public.ecdc_data VALUES (36436, 0, 7, 4.90971502, 121, 202);
INSERT INTO public.ecdc_data VALUES (36437, 0, 0, 0, 122, 202);
INSERT INTO public.ecdc_data VALUES (36438, 0, 4, 5.93759896, 177, 202);
INSERT INTO public.ecdc_data VALUES (36439, 0, 11, 2.23171666, 123, 202);
INSERT INTO public.ecdc_data VALUES (36440, 0, 1, 1.43801138, 28, 202);
INSERT INTO public.ecdc_data VALUES (36441, 0, 0, 0.04426442, 29, 202);
INSERT INTO public.ecdc_data VALUES (36442, 0, 0, 0, 178, 202);
INSERT INTO public.ecdc_data VALUES (36443, 0, 6, 5.2609277, 179, 202);
INSERT INTO public.ecdc_data VALUES (36444, 1, 6, 24.92286942, 180, 202);
INSERT INTO public.ecdc_data VALUES (36445, 0, 6, 0.23730681, 30, 202);
INSERT INTO public.ecdc_data VALUES (36446, 0, 1, 0.11809703, 31, 202);
INSERT INTO public.ecdc_data VALUES (36447, 0, 16, 2.78875081, 124, 202);
INSERT INTO public.ecdc_data VALUES (36448, 0, 7, 124.11551218, 125, 202);
INSERT INTO public.ecdc_data VALUES (36449, 1, 18, 1.55661635, 32, 202);
INSERT INTO public.ecdc_data VALUES (36450, 1, 2, 9.117451, 181, 202);
INSERT INTO public.ecdc_data VALUES (36451, 0, 0, 0.02209604, 33, 202);
INSERT INTO public.ecdc_data VALUES (36452, 0, 0, 0, 34, 202);
INSERT INTO public.ecdc_data VALUES (36453, 353, 2903, 21.84823392, 87, 202);
INSERT INTO public.ecdc_data VALUES (36454, 7, 159, 37.49451556, 182, 202);
INSERT INTO public.ecdc_data VALUES (36455, 0, 0, 0, 183, 202);
INSERT INTO public.ecdc_data VALUES (36456, 0, 0, 0.12402462, 126, 202);
INSERT INTO public.ecdc_data VALUES (36457, 0, 0, 0.48217403, 184, 202);
INSERT INTO public.ecdc_data VALUES (36458, 0, 0, 0, 88, 202);
INSERT INTO public.ecdc_data VALUES (36459, 0, 137, 5.93884047, 35, 202);
INSERT INTO public.ecdc_data VALUES (36460, 0, 1, 0.09220826, 36, 202);
INSERT INTO public.ecdc_data VALUES (36461, 0, 0, 0.05550886, 127, 202);
INSERT INTO public.ecdc_data VALUES (36462, 0, 0, 0, 37, 202);
INSERT INTO public.ecdc_data VALUES (36463, 0, 83, 0.56975645, 128, 202);
INSERT INTO public.ecdc_data VALUES (36464, 54, 196, 26.43187661, 185, 202);
INSERT INTO public.ecdc_data VALUES (36465, 0, 0, 0, 207, 202);
INSERT INTO public.ecdc_data VALUES (36466, 0, 0, 0.4390493, 208, 202);
INSERT INTO public.ecdc_data VALUES (36467, 3, 9, 0.18333198, 89, 202);
INSERT INTO public.ecdc_data VALUES (36468, 1, 22, 0.62203144, 38, 202);
INSERT INTO public.ecdc_data VALUES (36469, 8, 146, 1.61969628, 39, 202);
INSERT INTO public.ecdc_data VALUES (36470, 1, 10, 12.18025624, 186, 202);
INSERT INTO public.ecdc_data VALUES (36471, 0, 0, 8.73927254, 209, 202);
INSERT INTO public.ecdc_data VALUES (36472, 4, 29, 9.94705166, 187, 202);
INSERT INTO public.ecdc_data VALUES (36473, 0, 147, 31.95985039, 129, 202);
INSERT INTO public.ecdc_data VALUES (36474, 31, 2255, 8.98158591, 130, 202);
INSERT INTO public.ecdc_data VALUES (36475, 0, 0, 1.04387864, 131, 202);
INSERT INTO public.ecdc_data VALUES (36476, 3, 167, 60.8274225, 90, 202);
INSERT INTO public.ecdc_data VALUES (36477, 0, 0, 0, 210, 202);
INSERT INTO public.ecdc_data VALUES (36478, 0, 13, 7.06920539, 91, 202);
INSERT INTO public.ecdc_data VALUES (36479, 96, 3237, 125.71030212, 92, 202);
INSERT INTO public.ecdc_data VALUES (36480, 25, 264, 3.13735292, 132, 202);
INSERT INTO public.ecdc_data VALUES (36481, 28, 595, 12.38517706, 188, 202);
INSERT INTO public.ecdc_data VALUES (36482, 19, 234, 34.92394433, 189, 202);
INSERT INTO public.ecdc_data VALUES (36483, 1, 43, 30.64698896, 93, 202);
INSERT INTO public.ecdc_data VALUES (36484, 0, 1526, 467.07868553, 133, 202);
INSERT INTO public.ecdc_data VALUES (36485, 30, 190, 21.43763169, 190, 202);
INSERT INTO public.ecdc_data VALUES (36486, 107, 10899, 95.07290831, 191, 202);
INSERT INTO public.ecdc_data VALUES (36487, 0, 1, 0.58604865, 40, 202);
INSERT INTO public.ecdc_data VALUES (36488, 0, 0, 0, 94, 202);
INSERT INTO public.ecdc_data VALUES (36489, 0, 0, 1.64118275, 95, 202);
INSERT INTO public.ecdc_data VALUES (36490, 0, 0, 0.90421636, 96, 202);
INSERT INTO public.ecdc_data VALUES (36491, 0, 10, 246.71291324, 192, 202);
INSERT INTO public.ecdc_data VALUES (36492, 1, 8, 97.18760463, 41, 202);
INSERT INTO public.ecdc_data VALUES (36493, 9, 1911, 66.67341922, 134, 202);
INSERT INTO public.ecdc_data VALUES (36494, 0, 109, 7.19178919, 42, 202);
INSERT INTO public.ecdc_data VALUES (36495, 2, 67, 25.07264749, 193, 202);
INSERT INTO public.ecdc_data VALUES (36496, 0, 0, 0, 43, 202);
INSERT INTO public.ecdc_data VALUES (36497, 1, 0, 2.99492897, 44, 202);
INSERT INTO public.ecdc_data VALUES (36498, 0, 884, 167.46081339, 135, 202);
INSERT INTO public.ecdc_data VALUES (36499, 0, 1, 4.71820519, 97, 202);
INSERT INTO public.ecdc_data VALUES (36500, 1, 8, 1.48612373, 194, 202);
INSERT INTO public.ecdc_data VALUES (36501, 0, 2, 2.64307696, 195, 202);
INSERT INTO public.ecdc_data VALUES (36502, 0, 81, 4.15724864, 45, 202);
INSERT INTO public.ecdc_data VALUES (36503, 0, 698, 10.85073095, 46, 202);
INSERT INTO public.ecdc_data VALUES (36504, 1, 26, 0.39238407, 136, 202);
INSERT INTO public.ecdc_data VALUES (36505, 0, 38, 1.44637815, 47, 202);
INSERT INTO public.ecdc_data VALUES (36506, 184, 439, 31.42293105, 196, 202);
INSERT INTO public.ecdc_data VALUES (36507, 0, 20, 1.26619475, 137, 202);
INSERT INTO public.ecdc_data VALUES (36508, 6, 135, 3.13688031, 48, 202);
INSERT INTO public.ecdc_data VALUES (36509, 0, 0, 0, 98, 202);
INSERT INTO public.ecdc_data VALUES (36510, 61, 754, 76.97808006, 197, 202);
INSERT INTO public.ecdc_data VALUES (36511, 18, 36, 13.06099214, 198, 202);
INSERT INTO public.ecdc_data VALUES (36512, 0, 0, 0.02343274, 138, 202);
INSERT INTO public.ecdc_data VALUES (36513, 0, 0, 0.04626926, 139, 202);
INSERT INTO public.ecdc_data VALUES (36514, 2, 68, 0, 140, 202);
INSERT INTO public.ecdc_data VALUES (36515, 0, 2, 0.11346404, 141, 202);
INSERT INTO public.ecdc_data VALUES (36516, 0, 0, 0, 142, 202);
INSERT INTO public.ecdc_data VALUES (36517, 0, 18, 1.23726254, 49, 202);
INSERT INTO public.ecdc_data VALUES (36518, 0, 0, 0, 99, 202);
INSERT INTO public.ecdc_data VALUES (36519, 0, 0, 0.4873994, 50, 202);
INSERT INTO public.ecdc_data VALUES (36520, 53, 1704, 32.70820764, 199, 202);
INSERT INTO public.ecdc_data VALUES (36521, 0, 0, 0, 100, 202);
INSERT INTO public.ecdc_data VALUES (36522, 0, 4, 0.10616769, 51, 202);
INSERT INTO public.ecdc_data VALUES (36523, 17, 375, 15.0317172, 200, 202);
INSERT INTO public.ecdc_data VALUES (36524, 2, 783, 84.7549047, 143, 202);
INSERT INTO public.ecdc_data VALUES (36525, 614, 3586, 77.85033506, 201, 202);
INSERT INTO public.ecdc_data VALUES (36526, 0, 0, 0.34996705, 52, 202);
INSERT INTO public.ecdc_data VALUES (36527, 1703, 22048, 108.60501425, 101, 202);
INSERT INTO public.ecdc_data VALUES (36528, 0, 0, 9.56214919, 102, 202);
INSERT INTO public.ecdc_data VALUES (36529, 0, 6, 2.65762995, 103, 202);
INSERT INTO public.ecdc_data VALUES (36530, 0, 38, 1.84344568, 144, 202);
INSERT INTO public.ecdc_data VALUES (36531, 0, 1, 0.32964148, 104, 202);
INSERT INTO public.ecdc_data VALUES (36532, 0, 0, 0.01866018, 145, 202);
INSERT INTO public.ecdc_data VALUES (36533, 0, 0, 0, 53, 202);
INSERT INTO public.ecdc_data VALUES (36534, 2, 11, 0.22632253, 146, 202);
INSERT INTO public.ecdc_data VALUES (36535, 0, 174, 1.93717788, 54, 202);
INSERT INTO public.ecdc_data VALUES (36536, 0, 0, 0.03414024, 55, 202);
INSERT INTO public.ecdc_data VALUES (36537, 0, 52, 1.29594435, 105, 203);
INSERT INTO public.ecdc_data VALUES (36538, 0, 13, 8.17488097, 147, 203);
INSERT INTO public.ecdc_data VALUES (36539, 18, 89, 3.25876998, 1, 203);
INSERT INTO public.ecdc_data VALUES (36540, 1, 16, 399.07058561, 148, 203);
INSERT INTO public.ecdc_data VALUES (36541, 0, 0, 0.03770585, 2, 203);
INSERT INTO public.ecdc_data VALUES (36542, 0, 0, 6.72404519, 56, 203);
INSERT INTO public.ecdc_data VALUES (36543, 0, 0, 14.41589868, 57, 203);
INSERT INTO public.ecdc_data VALUES (36544, 6, 66, 3.08838578, 58, 203);
INSERT INTO public.ecdc_data VALUES (36545, 1, 26, 18.83202242, 149, 203);
INSERT INTO public.ecdc_data VALUES (36546, 0, 0, 60.20129809, 59, 203);
INSERT INTO public.ecdc_data VALUES (36547, 4, 33, 8.84411503, 202, 203);
INSERT INTO public.ecdc_data VALUES (36548, 13, 130, 57.84095431, 150, 203);
INSERT INTO public.ecdc_data VALUES (36549, 0, 40, 8.84777928, 151, 203);
INSERT INTO public.ecdc_data VALUES (36550, 0, 1, 8.47270505, 60, 203);
INSERT INTO public.ecdc_data VALUES (36551, 0, 96, 38.75298264, 106, 203);
INSERT INTO public.ecdc_data VALUES (36552, 4, 139, 0.35082087, 107, 203);
INSERT INTO public.ecdc_data VALUES (36553, 0, 3, 13.23944938, 61, 203);
INSERT INTO public.ecdc_data VALUES (36554, 3, 352, 26.27901522, 152, 203);
INSERT INTO public.ecdc_data VALUES (36555, 265, 524, 183.71930595, 153, 203);
INSERT INTO public.ecdc_data VALUES (36556, 0, 1, 3.07415634, 62, 203);
INSERT INTO public.ecdc_data VALUES (36557, 0, 0, 0.24573874, 3, 203);
INSERT INTO public.ecdc_data VALUES (36558, 0, 7, 55.99283292, 63, 203);
INSERT INTO public.ecdc_data VALUES (36559, 0, 0, 0.13104545, 108, 203);
INSERT INTO public.ecdc_data VALUES (36560, 3, 30, 2.03246701, 64, 203);
INSERT INTO public.ecdc_data VALUES (36561, 0, 1, 0, 65, 203);
INSERT INTO public.ecdc_data VALUES (36562, 1, 59, 20.72100619, 154, 203);
INSERT INTO public.ecdc_data VALUES (36563, 0, 0, 0, 4, 203);
INSERT INTO public.ecdc_data VALUES (36564, 99, 1442, 8.48758153, 66, 203);
INSERT INTO public.ecdc_data VALUES (36565, 0, 0, 3.3296707, 67, 203);
INSERT INTO public.ecdc_data VALUES (36566, 0, 0, 2.30789114, 109, 203);
INSERT INTO public.ecdc_data VALUES (36567, 1, 14, 4.69997381, 155, 203);
INSERT INTO public.ecdc_data VALUES (36568, 0, 13, 1.5599332, 5, 203);
INSERT INTO public.ecdc_data VALUES (36569, 0, 0, 0, 6, 203);
INSERT INTO public.ecdc_data VALUES (36570, 0, 0, 0.0909833, 110, 203);
INSERT INTO public.ecdc_data VALUES (36571, 1, 0, 2.78632407, 7, 203);
INSERT INTO public.ecdc_data VALUES (36572, 64, 1064, 48.40817301, 68, 203);
INSERT INTO public.ecdc_data VALUES (36573, 0, 2, 0.90919671, 8, 203);
INSERT INTO public.ecdc_data VALUES (36574, 0, 0, 69.28619819, 69, 203);
INSERT INTO public.ecdc_data VALUES (36575, 0, 0, 0.1053701, 9, 203);
INSERT INTO public.ecdc_data VALUES (36576, 0, 4, 0.06270818, 10, 203);
INSERT INTO public.ecdc_data VALUES (36577, 7, 286, 26.77285051, 70, 203);
INSERT INTO public.ecdc_data VALUES (36578, 2, 112, 0.07337229, 111, 203);
INSERT INTO public.ecdc_data VALUES (36579, 9, 67, 4.1200297, 71, 203);
INSERT INTO public.ecdc_data VALUES (36580, 0, 10, 0.94786659, 12, 203);
INSERT INTO public.ecdc_data VALUES (36581, 0, 18, 5.56704515, 72, 203);
INSERT INTO public.ecdc_data VALUES (36582, 1, 41, 1.59041526, 13, 203);
INSERT INTO public.ecdc_data VALUES (36583, 2, 66, 21.76021761, 156, 203);
INSERT INTO public.ecdc_data VALUES (36584, 2, 49, 4.67640842, 73, 203);
INSERT INTO public.ecdc_data VALUES (36585, 0, 0, 3.67145383, 74, 203);
INSERT INTO public.ecdc_data VALUES (36586, 1, 17, 47.83656563, 157, 203);
INSERT INTO public.ecdc_data VALUES (36587, 9, 89, 29.69069842, 158, 203);
INSERT INTO public.ecdc_data VALUES (36588, 0, 0, 0.17628644, 14, 203);
INSERT INTO public.ecdc_data VALUES (36589, 13, 178, 65.08693213, 159, 203);
INSERT INTO public.ecdc_data VALUES (36590, 0, 27, 20.02964387, 15, 203);
INSERT INTO public.ecdc_data VALUES (36591, 0, 0, 6.96301248, 75, 203);
INSERT INTO public.ecdc_data VALUES (36592, 38, 208, 19.62946681, 76, 203);
INSERT INTO public.ecdc_data VALUES (36593, 18, 209, 32.09456708, 77, 203);
INSERT INTO public.ecdc_data VALUES (36594, 13, 126, 1.48324389, 16, 203);
INSERT INTO public.ecdc_data VALUES (36595, 0, 7, 1.47205801, 78, 203);
INSERT INTO public.ecdc_data VALUES (36596, 0, 3, 0.51623104, 17, 203);
INSERT INTO public.ecdc_data VALUES (36597, 0, 0, 0.62908962, 18, 203);
INSERT INTO public.ecdc_data VALUES (36598, 1, 5, 47.55362993, 160, 203);
INSERT INTO public.ecdc_data VALUES (36599, 0, 0, 0.43548962, 19, 203);
INSERT INTO public.ecdc_data VALUES (36600, 0, 2, 0.04907265, 20, 203);
INSERT INTO public.ecdc_data VALUES (36601, 0, 0, 0, 79, 203);
INSERT INTO public.ecdc_data VALUES (36602, 0, 0, 51.35895803, 161, 203);
INSERT INTO public.ecdc_data VALUES (36603, 0, 0, 1.23601755, 203, 203);
INSERT INTO public.ecdc_data VALUES (36604, 7, 69, 31.82359147, 162, 203);
INSERT INTO public.ecdc_data VALUES (36605, 561, 1613, 82.41549614, 163, 203);
INSERT INTO public.ecdc_data VALUES (36606, 0, 2, 6.44502927, 204, 203);
INSERT INTO public.ecdc_data VALUES (36607, 0, 8, 2.30141334, 21, 203);
INSERT INTO public.ecdc_data VALUES (36608, 0, 0, 0.25556972, 22, 203);
INSERT INTO public.ecdc_data VALUES (36609, 0, 15, 4.1783824, 164, 203);
INSERT INTO public.ecdc_data VALUES (36610, 126, 2537, 79.15998915, 165, 203);
INSERT INTO public.ecdc_data VALUES (36611, 0, 158, 1.36104258, 23, 203);
INSERT INTO public.ecdc_data VALUES (36612, 0, 0, 189.8771732, 166, 203);
INSERT INTO public.ecdc_data VALUES (36613, 5, 33, 8.93273492, 167, 203);
INSERT INTO public.ecdc_data VALUES (36614, 0, 0, 1.76491352, 80, 203);
INSERT INTO public.ecdc_data VALUES (36615, 0, 0, 4.464206, 81, 203);
INSERT INTO public.ecdc_data VALUES (36616, 0, 0, 46.02648017, 205, 203);
INSERT INTO public.ecdc_data VALUES (36617, 2, 3, 0.68253655, 82, 203);
INSERT INTO public.ecdc_data VALUES (36618, 0, 9, 268.35018924, 168, 203);
INSERT INTO public.ecdc_data VALUES (36619, 0, 0, 1.89488167, 24, 203);
INSERT INTO public.ecdc_data VALUES (36620, 0, 1, 1.92616339, 25, 203);
INSERT INTO public.ecdc_data VALUES (36621, 0, 0, 4.72677334, 83, 203);
INSERT INTO public.ecdc_data VALUES (36622, 1, 0, 0.1598142, 84, 203);
INSERT INTO public.ecdc_data VALUES (36623, 0, 0, 245.39877301, 169, 203);
INSERT INTO public.ecdc_data VALUES (36624, 0, 4, 2.64720866, 85, 203);
INSERT INTO public.ecdc_data VALUES (36625, 10, 48, 10.34508587, 170, 203);
INSERT INTO public.ecdc_data VALUES (36626, 0, 12, 190.76111162, 171, 203);
INSERT INTO public.ecdc_data VALUES (36627, 35, 796, 0.59140039, 112, 203);
INSERT INTO public.ecdc_data VALUES (36628, 46, 399, 1.09228409, 113, 203);
INSERT INTO public.ecdc_data VALUES (36629, 117, 1657, 40.25501492, 114, 203);
INSERT INTO public.ecdc_data VALUES (36630, 4, 34, 2.04783597, 115, 203);
INSERT INTO public.ecdc_data VALUES (36631, 14, 727, 143.54925534, 172, 203);
INSERT INTO public.ecdc_data VALUES (36632, 1, 2, 219.8867465, 173, 203);
INSERT INTO public.ecdc_data VALUES (36633, 2, 402, 80.9683999, 116, 203);
INSERT INTO public.ecdc_data VALUES (36634, 431, 4092, 97.20749059, 174, 203);
INSERT INTO public.ecdc_data VALUES (36635, 0, 3, 1.28888839, 86, 203);
INSERT INTO public.ecdc_data VALUES (36636, 4, 507, 4.2479799, 117, 203);
INSERT INTO public.ecdc_data VALUES (36637, 0, 15, 139.15173105, 175, 203);
INSERT INTO public.ecdc_data VALUES (36638, 0, 8, 1.28691249, 118, 203);
INSERT INTO public.ecdc_data VALUES (36639, 0, 81, 3.64931476, 119, 203);
INSERT INTO public.ecdc_data VALUES (36640, 1, 6, 0.29482272, 26, 203);
INSERT INTO public.ecdc_data VALUES (36641, 0, 79, 14.67885011, 176, 203);
INSERT INTO public.ecdc_data VALUES (36642, 0, 80, 23.27031333, 120, 203);
INSERT INTO public.ecdc_data VALUES (36643, 0, 42, 5.22144295, 121, 203);
INSERT INTO public.ecdc_data VALUES (36644, 0, 1, 0.18132478, 122, 203);
INSERT INTO public.ecdc_data VALUES (36645, 2, 21, 14.32315539, 177, 203);
INSERT INTO public.ecdc_data VALUES (36646, 0, 11, 2.80058561, 123, 203);
INSERT INTO public.ecdc_data VALUES (36647, 0, 2, 0.95192303, 28, 203);
INSERT INTO public.ecdc_data VALUES (36648, 0, 0, 0.25083169, 29, 203);
INSERT INTO public.ecdc_data VALUES (36649, 0, 0, 46.90187086, 178, 203);
INSERT INTO public.ecdc_data VALUES (36650, 1, 9, 20.68582456, 179, 203);
INSERT INTO public.ecdc_data VALUES (36651, 4, 11, 216.8126745, 180, 203);
INSERT INTO public.ecdc_data VALUES (36652, 0, 4, 0.25584641, 30, 203);
INSERT INTO public.ecdc_data VALUES (36653, 0, 1, 0, 31, 203);
INSERT INTO public.ecdc_data VALUES (36654, 3, 153, 6.92649332, 124, 203);
INSERT INTO public.ecdc_data VALUES (36655, 0, 1, 0.56501751, 125, 203);
INSERT INTO public.ecdc_data VALUES (36656, 0, 11, 0.49852419, 32, 203);
INSERT INTO public.ecdc_data VALUES (36657, 0, 6, 46.19508509, 181, 203);
INSERT INTO public.ecdc_data VALUES (36658, 0, 0, 0.04419208, 33, 203);
INSERT INTO public.ecdc_data VALUES (36659, 0, 5, 16.85477329, 34, 203);
INSERT INTO public.ecdc_data VALUES (36660, 23, 437, 4.28687229, 87, 203);
INSERT INTO public.ecdc_data VALUES (36661, 2, 102, 34.60080955, 182, 203);
INSERT INTO public.ecdc_data VALUES (36662, 0, 1, 87.65301496, 183, 203);
INSERT INTO public.ecdc_data VALUES (36663, 0, 0, 0.12402462, 126, 203);
INSERT INTO public.ecdc_data VALUES (36664, 1, 9, 30.0555143, 184, 203);
INSERT INTO public.ecdc_data VALUES (36665, 0, 2, 120.2163895, 88, 203);
INSERT INTO public.ecdc_data VALUES (36666, 7, 116, 3.24086308, 35, 203);
INSERT INTO public.ecdc_data VALUES (36667, 0, 1, 0.04281098, 36, 203);
INSERT INTO public.ecdc_data VALUES (36668, 1, 10, 0.06105975, 127, 203);
INSERT INTO public.ecdc_data VALUES (36669, 0, 0, 0.20043904, 37, 203);
INSERT INTO public.ecdc_data VALUES (36670, 0, 3, 0.02446807, 128, 203);
INSERT INTO public.ecdc_data VALUES (36671, 94, 1174, 85.1803099, 185, 203);
INSERT INTO public.ecdc_data VALUES (36672, 0, 0, 1.06098169, 207, 203);
INSERT INTO public.ecdc_data VALUES (36673, 1, 15, 10.70443996, 208, 203);
INSERT INTO public.ecdc_data VALUES (36674, 0, 2, 0.07638832, 89, 203);
INSERT INTO public.ecdc_data VALUES (36675, 1, 38, 2.22644355, 38, 203);
INSERT INTO public.ecdc_data VALUES (36676, 0, 5, 0.11245817, 39, 203);
INSERT INTO public.ecdc_data VALUES (36677, 0, 68, 27.39354071, 186, 203);
INSERT INTO public.ecdc_data VALUES (36678, 0, 0, 19.22639959, 209, 203);
INSERT INTO public.ecdc_data VALUES (36679, 5, 95, 43.41043487, 187, 203);
INSERT INTO public.ecdc_data VALUES (36680, 1, 53, 8.68343105, 129, 203);
INSERT INTO public.ecdc_data VALUES (36681, 7, 336, 1.77683114, 130, 203);
INSERT INTO public.ecdc_data VALUES (36682, 0, 0, 3.43275474, 131, 203);
INSERT INTO public.ecdc_data VALUES (36683, 8, 166, 56.77697083, 90, 203);
INSERT INTO public.ecdc_data VALUES (36684, 0, 0, 0.01139456, 210, 203);
INSERT INTO public.ecdc_data VALUES (36685, 0, 13, 1.1782009, 91, 203);
INSERT INTO public.ecdc_data VALUES (36686, 12, 671, 20.50724471, 92, 203);
INSERT INTO public.ecdc_data VALUES (36687, 50, 220, 2.98751472, 132, 203);
INSERT INTO public.ecdc_data VALUES (36688, 24, 318, 12.67222454, 188, 203);
INSERT INTO public.ecdc_data VALUES (36689, 34, 598, 103.37059365, 189, 203);
INSERT INTO public.ecdc_data VALUES (36690, 2, 109, 26.24936763, 93, 203);
INSERT INTO public.ecdc_data VALUES (36691, 1, 251, 82.80159643, 133, 203);
INSERT INTO public.ecdc_data VALUES (36692, 24, 310, 23.38463428, 190, 203);
INSERT INTO public.ecdc_data VALUES (36693, 24, 2186, 9.75922358, 191, 203);
INSERT INTO public.ecdc_data VALUES (36694, 0, 6, 0.44349628, 40, 203);
INSERT INTO public.ecdc_data VALUES (36695, 0, 0, 9.46360298, 94, 203);
INSERT INTO public.ecdc_data VALUES (36696, 0, 0, 3.28236549, 95, 203);
INSERT INTO public.ecdc_data VALUES (36697, 0, 0, 9.94637997, 96, 203);
INSERT INTO public.ecdc_data VALUES (36698, 0, 0, 368.61811744, 192, 203);
INSERT INTO public.ecdc_data VALUES (36699, 0, 0, 0, 41, 203);
INSERT INTO public.ecdc_data VALUES (36700, 7, 429, 9.43431216, 134, 203);
INSERT INTO public.ecdc_data VALUES (36701, 0, 2, 0.84681477, 42, 203);
INSERT INTO public.ecdc_data VALUES (36702, 6, 250, 41.48618477, 193, 203);
INSERT INTO public.ecdc_data VALUES (36703, 0, 0, 2.0462242, 43, 203);
INSERT INTO public.ecdc_data VALUES (36704, 0, 0, 0, 44, 203);
INSERT INTO public.ecdc_data VALUES (36705, 0, 233, 29.08167212, 135, 203);
INSERT INTO public.ecdc_data VALUES (36706, 0, 0, 110.87782208, 97, 203);
INSERT INTO public.ecdc_data VALUES (36707, 0, 14, 7.44896587, 194, 203);
INSERT INTO public.ecdc_data VALUES (36708, 3, 17, 22.82657378, 195, 203);
INSERT INTO public.ecdc_data VALUES (36709, 1, 4, 0.14246023, 45, 203);
INSERT INTO public.ecdc_data VALUES (36710, 0, 145, 1.52497682, 46, 203);
INSERT INTO public.ecdc_data VALUES (36711, 3, 25, 1.71009177, 136, 203);
INSERT INTO public.ecdc_data VALUES (36712, 0, 0, 0, 47, 203);
INSERT INTO public.ecdc_data VALUES (36713, 619, 3030, 167.94618155, 196, 203);
INSERT INTO public.ecdc_data VALUES (36714, 0, 11, 0.42206492, 137, 203);
INSERT INTO public.ecdc_data VALUES (36715, 0, 0, 0.03270017, 48, 203);
INSERT INTO public.ecdc_data VALUES (36716, 0, 0, 0.34401914, 98, 203);
INSERT INTO public.ecdc_data VALUES (36717, 97, 464, 66.31356129, 197, 203);
INSERT INTO public.ecdc_data VALUES (36718, 27, 400, 128.10539425, 198, 203);
INSERT INTO public.ecdc_data VALUES (36719, 0, 0, 0.09373097, 138, 203);
INSERT INTO public.ecdc_data VALUES (36720, 0, 3, 0.34491634, 139, 203);
INSERT INTO public.ecdc_data VALUES (36721, 2, 28, 1.71057819, 141, 203);
INSERT INTO public.ecdc_data VALUES (36722, 0, 0, 0.07733234, 142, 203);
INSERT INTO public.ecdc_data VALUES (36723, 0, 0, 0.56914077, 49, 203);
INSERT INTO public.ecdc_data VALUES (36724, 0, 1, 2.50901633, 99, 203);
INSERT INTO public.ecdc_data VALUES (36725, 3, 22, 3.6683218, 50, 203);
INSERT INTO public.ecdc_data VALUES (36726, 97, 4789, 58.21553667, 199, 203);
INSERT INTO public.ecdc_data VALUES (36727, 0, 0, 10.47284914, 100, 203);
INSERT INTO public.ecdc_data VALUES (36728, 0, 1, 0.04743663, 51, 203);
INSERT INTO public.ecdc_data VALUES (36729, 10, 266, 5.36213834, 200, 203);
INSERT INTO public.ecdc_data VALUES (36730, 2, 366, 34.92135429, 143, 203);
INSERT INTO public.ecdc_data VALUES (36731, 657, 3579, 93.87053411, 201, 203);
INSERT INTO public.ecdc_data VALUES (36732, 0, 0, 0.03103156, 52, 203);
INSERT INTO public.ecdc_data VALUES (36733, 1500, 27620, 125.97696642, 101, 203);
INSERT INTO public.ecdc_data VALUES (36734, 0, 0, 27.73023265, 102, 203);
INSERT INTO public.ecdc_data VALUES (36735, 1, 12, 4.91083796, 103, 203);
INSERT INTO public.ecdc_data VALUES (36736, 0, 69, 2.18302778, 144, 203);
INSERT INTO public.ecdc_data VALUES (36737, 0, 6, 0.2174231, 104, 203);
INSERT INTO public.ecdc_data VALUES (36738, 0, 2, 0.06323727, 145, 203);
INSERT INTO public.ecdc_data VALUES (36739, 0, 0, 0, 146, 203);
INSERT INTO public.ecdc_data VALUES (36740, 0, 3, 0.07838292, 54, 203);
INSERT INTO public.ecdc_data VALUES (36741, 0, 0, 0.04779634, 55, 203);
INSERT INTO public.ecdc_data VALUES (36742, 0, 12, 0, 147, 204);
INSERT INTO public.ecdc_data VALUES (36743, 1, 5, 0.05806789, 1, 204);
INSERT INTO public.ecdc_data VALUES (36744, 0, 12, 0, 58, 204);
INSERT INTO public.ecdc_data VALUES (36745, 0, 2, 0.20285841, 149, 204);
INSERT INTO public.ecdc_data VALUES (36746, 0, 2, 0, 59, 204);
INSERT INTO public.ecdc_data VALUES (36747, 0, 30, 0.52771077, 202, 204);
INSERT INTO public.ecdc_data VALUES (36748, 1, 115, 4.01861431, 150, 204);
INSERT INTO public.ecdc_data VALUES (36749, 0, 0, 0.1293826, 151, 204);
INSERT INTO public.ecdc_data VALUES (36750, 0, 0, 7.86027478, 106, 204);
INSERT INTO public.ecdc_data VALUES (36751, 0, 9, 0.22216559, 152, 204);
INSERT INTO public.ecdc_data VALUES (36752, 1, 251, 6.74783919, 153, 204);
INSERT INTO public.ecdc_data VALUES (36753, 0, 0, 0, 108, 204);
INSERT INTO public.ecdc_data VALUES (36754, 0, 1, 0, 64, 204);
INSERT INTO public.ecdc_data VALUES (36755, 0, 0, 0, 154, 204);
INSERT INTO public.ecdc_data VALUES (36756, 0, 25, 0.03601051, 66, 204);
INSERT INTO public.ecdc_data VALUES (36757, 0, 14, 0, 109, 204);
INSERT INTO public.ecdc_data VALUES (36758, 0, 16, 0, 155, 204);
INSERT INTO public.ecdc_data VALUES (36759, 0, 2, 0.02426221, 110, 204);
INSERT INTO public.ecdc_data VALUES (36760, 0, 35, 0.33145298, 68, 204);
INSERT INTO public.ecdc_data VALUES (36761, 0, 10, 0, 70, 204);
INSERT INTO public.ecdc_data VALUES (36762, 7, 22, 0.14137418, 111, 204);
INSERT INTO public.ecdc_data VALUES (36763, 0, 1, 0, 72, 204);
INSERT INTO public.ecdc_data VALUES (36764, 0, 9, 0.6133094, 156, 204);
INSERT INTO public.ecdc_data VALUES (36765, 0, 1, 0, 74, 204);
INSERT INTO public.ecdc_data VALUES (36766, 0, 22, 1.08922233, 158, 204);
INSERT INTO public.ecdc_data VALUES (36767, 0, 160, 11.62574205, 159, 204);
INSERT INTO public.ecdc_data VALUES (36768, 1, 20, 0.07869461, 16, 204);
INSERT INTO public.ecdc_data VALUES (36769, 0, 11, 2.03801271, 160, 204);
INSERT INTO public.ecdc_data VALUES (36770, 0, 0, 0, 161, 204);
INSERT INTO public.ecdc_data VALUES (36771, 0, 96, 2.79090722, 162, 204);
INSERT INTO public.ecdc_data VALUES (36772, 13, 595, 4.23500657, 163, 204);
INSERT INTO public.ecdc_data VALUES (36773, 0, 1, 0, 21, 204);
INSERT INTO public.ecdc_data VALUES (36774, 0, 1, 0.62550635, 164, 204);
INSERT INTO public.ecdc_data VALUES (36775, 2, 802, 2.79694292, 165, 204);
INSERT INTO public.ecdc_data VALUES (36776, 0, 2, 0, 23, 204);
INSERT INTO public.ecdc_data VALUES (36777, 0, 34, 1.24013961, 167, 204);
INSERT INTO public.ecdc_data VALUES (36778, 1, 1, 0, 83, 204);
INSERT INTO public.ecdc_data VALUES (36779, 0, 3, 0, 170, 204);
INSERT INTO public.ecdc_data VALUES (36780, 0, 32, 32.77393548, 171, 204);
INSERT INTO public.ecdc_data VALUES (36781, 1, 2, 0.00526925, 112, 204);
INSERT INTO public.ecdc_data VALUES (36782, 75, 1075, 11.85567297, 114, 204);
INSERT INTO public.ecdc_data VALUES (36783, 0, 4, 0.1755288, 115, 204);
INSERT INTO public.ecdc_data VALUES (36784, 0, 27, 1.42733635, 172, 204);
INSERT INTO public.ecdc_data VALUES (36785, 0, 14, 1.10336758, 116, 204);
INSERT INTO public.ecdc_data VALUES (36786, 189, 2651, 23.96141283, 174, 204);
INSERT INTO public.ecdc_data VALUES (36787, 0, 4, 0, 86, 204);
INSERT INTO public.ecdc_data VALUES (36788, 4, 56, 0.36654493, 117, 204);
INSERT INTO public.ecdc_data VALUES (36789, 0, 8, 1.78271042, 120, 204);
INSERT INTO public.ecdc_data VALUES (36790, 0, 6, 0, 177, 204);
INSERT INTO public.ecdc_data VALUES (36791, 0, 5, 0.94811492, 123, 204);
INSERT INTO public.ecdc_data VALUES (36792, 0, 1, 0, 178, 204);
INSERT INTO public.ecdc_data VALUES (36793, 0, 19, 4.23525886, 180, 204);
INSERT INTO public.ecdc_data VALUES (36794, 0, 9, 0.42566791, 124, 204);
INSERT INTO public.ecdc_data VALUES (36795, 0, 1, 0, 181, 204);
INSERT INTO public.ecdc_data VALUES (36796, 0, 28, 0.0681949, 87, 204);
INSERT INTO public.ecdc_data VALUES (36797, 0, 2, 0, 182, 204);
INSERT INTO public.ecdc_data VALUES (36798, 0, 1, 0, 35, 204);
INSERT INTO public.ecdc_data VALUES (36799, 0, 111, 3.54700971, 185, 204);
INSERT INTO public.ecdc_data VALUES (36800, 0, 2, 0.43328975, 186, 204);
INSERT INTO public.ecdc_data VALUES (36801, 1, 132, 11.57986957, 187, 204);
INSERT INTO public.ecdc_data VALUES (36802, 0, 1, 0.00969684, 130, 204);
INSERT INTO public.ecdc_data VALUES (36803, 0, 13, 0, 90, 204);
INSERT INTO public.ecdc_data VALUES (36804, 0, 1, 0, 91, 204);
INSERT INTO public.ecdc_data VALUES (36805, 0, 5, 0, 92, 204);
INSERT INTO public.ecdc_data VALUES (36806, 0, 3, 0.04532143, 132, 204);
INSERT INTO public.ecdc_data VALUES (36807, 1, 18, 0, 188, 204);
INSERT INTO public.ecdc_data VALUES (36808, 0, 19, 0, 189, 204);
INSERT INTO public.ecdc_data VALUES (36809, 0, 19, 0.32965123, 190, 204);
INSERT INTO public.ecdc_data VALUES (36810, 0, 5, 0.01919488, 191, 204);
INSERT INTO public.ecdc_data VALUES (36811, 0, 1, 0, 96, 204);
INSERT INTO public.ecdc_data VALUES (36812, 2, 1, 194.46782573, 192, 204);
INSERT INTO public.ecdc_data VALUES (36813, 0, 17, 0, 134, 204);
INSERT INTO public.ecdc_data VALUES (36814, 0, 2, 0, 42, 204);
INSERT INTO public.ecdc_data VALUES (36815, 0, 6, 0, 193, 204);
INSERT INTO public.ecdc_data VALUES (36816, 0, 9, 1.56779157, 135, 204);
INSERT INTO public.ecdc_data VALUES (36817, 0, 11, 0, 194, 204);
INSERT INTO public.ecdc_data VALUES (36818, 0, 39, 0, 195, 204);
INSERT INTO public.ecdc_data VALUES (36819, 0, 4, 0, 46, 204);
INSERT INTO public.ecdc_data VALUES (36820, 1, 110, 11.62901449, 136, 204);
INSERT INTO public.ecdc_data VALUES (36821, 37, 1531, 12.61902642, 196, 204);
INSERT INTO public.ecdc_data VALUES (36822, 0, 1, 0.00937922, 137, 204);
INSERT INTO public.ecdc_data VALUES (36823, 0, 151, 6.04094647, 197, 204);
INSERT INTO public.ecdc_data VALUES (36824, 0, 212, 9.90107469, 198, 204);
INSERT INTO public.ecdc_data VALUES (36825, 0, 1, 0.06309445, 139, 204);
INSERT INTO public.ecdc_data VALUES (36826, 0, 1, 0, 99, 204);
INSERT INTO public.ecdc_data VALUES (36827, 0, 6, 0, 50, 204);
INSERT INTO public.ecdc_data VALUES (36828, 0, 1, 0, 199, 204);
INSERT INTO public.ecdc_data VALUES (36829, 0, 2, 0, 200, 204);
INSERT INTO public.ecdc_data VALUES (36830, 0, 11, 0.73691017, 143, 204);
INSERT INTO public.ecdc_data VALUES (36831, 2, 406, 1.89055454, 201, 204);
INSERT INTO public.ecdc_data VALUES (36832, 10, 351, 0.48713792, 101, 204);
INSERT INTO public.ecdc_data VALUES (36833, 0, 5, 0.02902694, 145, 204);
INSERT INTO public.ecdc_data VALUES (36834, 0, 0, 0, 105, 205);
INSERT INTO public.ecdc_data VALUES (36835, 0, 0, 0, 1, 205);
INSERT INTO public.ecdc_data VALUES (36836, 0, 0, 0, 149, 205);
INSERT INTO public.ecdc_data VALUES (36837, 0, 0, 0.031742, 202, 205);
INSERT INTO public.ecdc_data VALUES (36838, 0, 0, 0, 150, 205);
INSERT INTO public.ecdc_data VALUES (36839, 0, 0, 0, 151, 205);
INSERT INTO public.ecdc_data VALUES (36840, 0, 0, 0, 106, 205);
INSERT INTO public.ecdc_data VALUES (36841, 0, 0, 0, 152, 205);
INSERT INTO public.ecdc_data VALUES (36842, 0, 0, 0.00872942, 153, 205);
INSERT INTO public.ecdc_data VALUES (36843, 0, 0, 0, 66, 205);
INSERT INTO public.ecdc_data VALUES (36844, 0, 0, 0, 110, 205);
INSERT INTO public.ecdc_data VALUES (36845, 0, 0, 0.01069203, 68, 205);
INSERT INTO public.ecdc_data VALUES (36846, 0, 0, 0, 214, 205);
INSERT INTO public.ecdc_data VALUES (36847, 254, 15141, 3.6359041, 111, 205);
INSERT INTO public.ecdc_data VALUES (36848, 0, 0, 0, 156, 205);
INSERT INTO public.ecdc_data VALUES (36849, 0, 0, 0, 158, 205);
INSERT INTO public.ecdc_data VALUES (36850, 0, 0, 0, 159, 205);
INSERT INTO public.ecdc_data VALUES (36851, 0, 0, 0, 76, 205);
INSERT INTO public.ecdc_data VALUES (36852, 0, 0, 0, 77, 205);
INSERT INTO public.ecdc_data VALUES (36853, 0, 0, 0, 16, 205);
INSERT INTO public.ecdc_data VALUES (36854, 0, 0, 0, 160, 205);
INSERT INTO public.ecdc_data VALUES (36855, 0, 0, 0, 162, 205);
INSERT INTO public.ecdc_data VALUES (36856, 0, 0, 0.0089535, 163, 205);
INSERT INTO public.ecdc_data VALUES (36857, 0, 0, 0, 164, 205);
INSERT INTO public.ecdc_data VALUES (36858, 0, 0, 0.01324994, 165, 205);
INSERT INTO public.ecdc_data VALUES (36859, 0, 0, 0, 167, 205);
INSERT INTO public.ecdc_data VALUES (36860, 0, 0, 0, 171, 205);
INSERT INTO public.ecdc_data VALUES (36861, 0, 0, 0.00014637, 112, 205);
INSERT INTO public.ecdc_data VALUES (36862, 0, 0, 0, 113, 205);
INSERT INTO public.ecdc_data VALUES (36863, 0, 0, 0, 114, 205);
INSERT INTO public.ecdc_data VALUES (36864, 0, 0, 0, 115, 205);
INSERT INTO public.ecdc_data VALUES (36865, 0, 0, 0, 172, 205);
INSERT INTO public.ecdc_data VALUES (36866, 0, 0, 0, 116, 205);
INSERT INTO public.ecdc_data VALUES (36867, 0, 0, 0.00497022, 174, 205);
INSERT INTO public.ecdc_data VALUES (36868, 1, 4, 0.01418884, 117, 205);
INSERT INTO public.ecdc_data VALUES (36869, 0, 0, 0, 120, 205);
INSERT INTO public.ecdc_data VALUES (36870, 0, 0, 0, 123, 205);
INSERT INTO public.ecdc_data VALUES (36871, 0, 0, 0, 179, 205);
INSERT INTO public.ecdc_data VALUES (36872, 0, 0, 0, 180, 205);
INSERT INTO public.ecdc_data VALUES (36873, 0, 0, 0.03442902, 124, 205);
INSERT INTO public.ecdc_data VALUES (36874, 0, 0, 0.00078385, 87, 205);
INSERT INTO public.ecdc_data VALUES (36875, 0, 0, 0, 183, 205);
INSERT INTO public.ecdc_data VALUES (36876, 0, 0, 0, 128, 205);
INSERT INTO public.ecdc_data VALUES (36877, 0, 0, 0, 185, 205);
INSERT INTO public.ecdc_data VALUES (36878, 0, 0, 0, 208, 205);
INSERT INTO public.ecdc_data VALUES (36879, 0, 0, 0, 39, 205);
INSERT INTO public.ecdc_data VALUES (36880, 0, 0, 0, 186, 205);
INSERT INTO public.ecdc_data VALUES (36881, 0, 0, 0, 187, 205);
INSERT INTO public.ecdc_data VALUES (36882, 0, 0, 0, 129, 205);
INSERT INTO public.ecdc_data VALUES (36883, 0, 0, 0, 130, 205);
INSERT INTO public.ecdc_data VALUES (36884, 0, 0, 0.00184985, 132, 205);
INSERT INTO public.ecdc_data VALUES (36885, 0, 0, 0, 133, 205);
INSERT INTO public.ecdc_data VALUES (36886, 0, 0, 0, 190, 205);
INSERT INTO public.ecdc_data VALUES (36887, 0, 0, 0.00137106, 191, 205);
INSERT INTO public.ecdc_data VALUES (36888, 0, 0, 0, 192, 205);
INSERT INTO public.ecdc_data VALUES (36889, 0, 3, 0.68913915, 135, 205);
INSERT INTO public.ecdc_data VALUES (36890, 0, 0, 0.04685183, 136, 205);
INSERT INTO public.ecdc_data VALUES (36891, 0, 0, 0.00426103, 196, 205);
INSERT INTO public.ecdc_data VALUES (36892, 0, 0, 0, 137, 205);
INSERT INTO public.ecdc_data VALUES (36893, 0, 0, 0.00977499, 197, 205);
INSERT INTO public.ecdc_data VALUES (36894, 0, 0, 0, 198, 205);
INSERT INTO public.ecdc_data VALUES (36895, 0, 0, 0.04206297, 139, 205);
INSERT INTO public.ecdc_data VALUES (36896, 0, 0, 0.02728882, 141, 205);
INSERT INTO public.ecdc_data VALUES (36897, 0, 0, 0.04093945, 143, 205);
INSERT INTO public.ecdc_data VALUES (36898, 0, 1, 0.0150044, 201, 205);
INSERT INTO public.ecdc_data VALUES (36899, 0, 1, 0.00273502, 101, 205);
INSERT INTO public.ecdc_data VALUES (36900, 0, 1, 0.01451347, 145, 205);
INSERT INTO public.ecdc_data VALUES (36901, 0, 0, 0, 105, 206);
INSERT INTO public.ecdc_data VALUES (36902, 0, 0, 0, 1, 206);
INSERT INTO public.ecdc_data VALUES (36903, 0, 0, 0, 149, 206);
INSERT INTO public.ecdc_data VALUES (36904, 0, 0, 0, 202, 206);
INSERT INTO public.ecdc_data VALUES (36905, 0, 0, 0, 150, 206);
INSERT INTO public.ecdc_data VALUES (36906, 0, 0, 0, 151, 206);
INSERT INTO public.ecdc_data VALUES (36907, 0, 0, 0, 106, 206);
INSERT INTO public.ecdc_data VALUES (36908, 0, 0, 0, 152, 206);
INSERT INTO public.ecdc_data VALUES (36909, 0, 0, 1.06498885, 153, 206);
INSERT INTO public.ecdc_data VALUES (36910, 0, 0, 0, 66, 206);
INSERT INTO public.ecdc_data VALUES (36911, 0, 0, 0, 110, 206);
INSERT INTO public.ecdc_data VALUES (36912, 0, 0, 0, 68, 206);
INSERT INTO public.ecdc_data VALUES (36913, 0, 0, 0, 214, 206);
INSERT INTO public.ecdc_data VALUES (36914, 0, 0, 0.00411499, 111, 206);
INSERT INTO public.ecdc_data VALUES (36915, 0, 0, 0, 156, 206);
INSERT INTO public.ecdc_data VALUES (36916, 0, 0, 0, 158, 206);
INSERT INTO public.ecdc_data VALUES (36917, 0, 0, 0, 159, 206);
INSERT INTO public.ecdc_data VALUES (36918, 0, 0, 0, 76, 206);
INSERT INTO public.ecdc_data VALUES (36919, 0, 0, 0, 77, 206);
INSERT INTO public.ecdc_data VALUES (36920, 0, 0, 0, 16, 206);
INSERT INTO public.ecdc_data VALUES (36921, 0, 0, 0, 160, 206);
INSERT INTO public.ecdc_data VALUES (36922, 0, 0, 0, 162, 206);
INSERT INTO public.ecdc_data VALUES (36923, 0, 0, 0, 163, 206);
INSERT INTO public.ecdc_data VALUES (36924, 0, 0, 0, 164, 206);
INSERT INTO public.ecdc_data VALUES (36925, 0, 0, 0, 165, 206);
INSERT INTO public.ecdc_data VALUES (36926, 0, 0, 0, 167, 206);
INSERT INTO public.ecdc_data VALUES (36927, 0, 0, 0, 171, 206);
INSERT INTO public.ecdc_data VALUES (36928, 0, 0, 0, 112, 206);
INSERT INTO public.ecdc_data VALUES (36929, 0, 0, 0, 113, 206);
INSERT INTO public.ecdc_data VALUES (36930, 0, 0, 0, 114, 206);
INSERT INTO public.ecdc_data VALUES (36931, 0, 0, 0, 115, 206);
INSERT INTO public.ecdc_data VALUES (36932, 0, 0, 0, 172, 206);
INSERT INTO public.ecdc_data VALUES (36933, 0, 0, 0, 116, 206);
INSERT INTO public.ecdc_data VALUES (36934, 0, 0, 0, 174, 206);
INSERT INTO public.ecdc_data VALUES (36935, 0, 0, 0, 117, 206);
INSERT INTO public.ecdc_data VALUES (36936, 0, 0, 0, 120, 206);
INSERT INTO public.ecdc_data VALUES (36937, 0, 0, 0, 123, 206);
INSERT INTO public.ecdc_data VALUES (36938, 0, 0, 0, 179, 206);
INSERT INTO public.ecdc_data VALUES (36939, 0, 0, 0, 180, 206);
INSERT INTO public.ecdc_data VALUES (36940, 0, 0, 0, 124, 206);
INSERT INTO public.ecdc_data VALUES (36941, 0, 0, 0, 87, 206);
INSERT INTO public.ecdc_data VALUES (36942, 0, 0, 0, 183, 206);
INSERT INTO public.ecdc_data VALUES (36943, 0, 0, 0, 128, 206);
INSERT INTO public.ecdc_data VALUES (36944, 0, 0, 0, 185, 206);
INSERT INTO public.ecdc_data VALUES (36945, 0, 0, 0, 208, 206);
INSERT INTO public.ecdc_data VALUES (36946, 0, 0, 0, 39, 206);
INSERT INTO public.ecdc_data VALUES (36947, 0, 0, 0, 186, 206);
INSERT INTO public.ecdc_data VALUES (36948, 0, 0, 0, 187, 206);
INSERT INTO public.ecdc_data VALUES (36949, 0, 0, 0, 129, 206);
INSERT INTO public.ecdc_data VALUES (36950, 0, 0, 0, 130, 206);
INSERT INTO public.ecdc_data VALUES (36951, 0, 0, 0, 132, 206);
INSERT INTO public.ecdc_data VALUES (36952, 0, 0, 0, 133, 206);
INSERT INTO public.ecdc_data VALUES (36953, 0, 0, 0, 190, 206);
INSERT INTO public.ecdc_data VALUES (36954, 0, 0, 0, 191, 206);
INSERT INTO public.ecdc_data VALUES (36955, 0, 0, 0, 192, 206);
INSERT INTO public.ecdc_data VALUES (36956, 0, 0, 0, 135, 206);
INSERT INTO public.ecdc_data VALUES (36957, 0, 0, 0, 136, 206);
INSERT INTO public.ecdc_data VALUES (36958, 0, 0, 0, 196, 206);
INSERT INTO public.ecdc_data VALUES (36959, 0, 0, 0, 137, 206);
INSERT INTO public.ecdc_data VALUES (36960, 0, 0, 0, 197, 206);
INSERT INTO public.ecdc_data VALUES (36961, 0, 0, 0, 198, 206);
INSERT INTO public.ecdc_data VALUES (36962, 0, 0, 0, 139, 206);
INSERT INTO public.ecdc_data VALUES (36963, 0, 1, 0.00143625, 141, 206);
INSERT INTO public.ecdc_data VALUES (36964, 0, 0, 0, 143, 206);
INSERT INTO public.ecdc_data VALUES (36965, 0, 0, 0, 201, 206);
INSERT INTO public.ecdc_data VALUES (36966, 0, 0, 0, 101, 206);
INSERT INTO public.ecdc_data VALUES (36967, 0, 0, 0, 145, 206);
INSERT INTO public.ecdc_data VALUES (36968, 11, 113, 6.86876792, 105, 207);
INSERT INTO public.ecdc_data VALUES (36969, 12, 802, 370.9439577, 147, 207);
INSERT INTO public.ecdc_data VALUES (36970, 11, 542, 25.44070393, 1, 207);
INSERT INTO public.ecdc_data VALUES (36971, 0, 46, 821.77035063, 148, 207);
INSERT INTO public.ecdc_data VALUES (36972, 3, 136, 3.58519805, 2, 207);
INSERT INTO public.ecdc_data VALUES (36973, 0, 0, 40.34427111, 56, 207);
INSERT INTO public.ecdc_data VALUES (36974, 0, 1, 6.17824229, 57, 207);
INSERT INTO public.ecdc_data VALUES (36975, 175, 7112, 183.25762173, 58, 207);
INSERT INTO public.ecdc_data VALUES (36976, 17, 995, 463.80194528, 149, 207);
INSERT INTO public.ecdc_data VALUES (36977, 0, 20, 209.76389803, 59, 207);
INSERT INTO public.ecdc_data VALUES (36978, 0, 12, 0.54754952, 202, 207);
INSERT INTO public.ecdc_data VALUES (36979, 101, 3026, 503.2637131, 150, 207);
INSERT INTO public.ecdc_data VALUES (36980, 47, 4381, 570.69669245, 151, 207);
INSERT INTO public.ecdc_data VALUES (36981, 0, 63, 39.02579297, 60, 207);
INSERT INTO public.ecdc_data VALUES (36982, 0, 188, 140.44909589, 106, 207);
INSERT INTO public.ecdc_data VALUES (36983, 19, 1884, 17.8710113, 107, 207);
INSERT INTO public.ecdc_data VALUES (36984, 0, 1, 7.66494438, 61, 207);
INSERT INTO public.ecdc_data VALUES (36985, 8, 1967, 261.58411046, 152, 207);
INSERT INTO public.ecdc_data VALUES (36986, 92, 2751, 269.08427283, 153, 207);
INSERT INTO public.ecdc_data VALUES (36987, 2, 160, 865.37500865, 62, 207);
INSERT INTO public.ecdc_data VALUES (36988, 0, 0, 0.98295497, 3, 207);
INSERT INTO public.ecdc_data VALUES (36989, 0, 27, 238.36948871, 63, 207);
INSERT INTO public.ecdc_data VALUES (36990, 0, 2, 5.37286363, 108, 207);
INSERT INTO public.ecdc_data VALUES (36991, 5, 312, 19.13472147, 64, 207);
INSERT INTO public.ecdc_data VALUES (36992, 0, 3, 46.18404341, 65, 207);
INSERT INTO public.ecdc_data VALUES (36993, 51, 940, 427.50707513, 154, 207);
INSERT INTO public.ecdc_data VALUES (36994, 1, 443, 108.91160883, 4, 207);
INSERT INTO public.ecdc_data VALUES (36995, 672, 54428, 283.28754447, 66, 207);
INSERT INTO public.ecdc_data VALUES (36996, 0, 1, 13.31868278, 67, 207);
INSERT INTO public.ecdc_data VALUES (36997, 0, 0, 0.46157823, 109, 207);
INSERT INTO public.ecdc_data VALUES (36998, 157, 3097, 538.71128432, 155, 207);
INSERT INTO public.ecdc_data VALUES (36999, 0, 0, 3.75466571, 5, 207);
INSERT INTO public.ecdc_data VALUES (37000, 0, 2, 0.3642489, 6, 207);
INSERT INTO public.ecdc_data VALUES (37001, 0, 1, 0.30327767, 110, 207);
INSERT INTO public.ecdc_data VALUES (37002, 0, 56, 3.96500485, 7, 207);
INSERT INTO public.ecdc_data VALUES (37003, 142, 6772, 239.97462995, 68, 207);
INSERT INTO public.ecdc_data VALUES (37004, 1, 59, 133.8337552, 8, 207);
INSERT INTO public.ecdc_data VALUES (37005, 0, 6, 44.6511055, 69, 207);
INSERT INTO public.ecdc_data VALUES (37006, 0, 4, 0.48470247, 9, 207);
INSERT INTO public.ecdc_data VALUES (37007, 0, 6, 0.5142071, 10, 207);
INSERT INTO public.ecdc_data VALUES (37008, 8, 1534, 109.49219965, 70, 207);
INSERT INTO public.ecdc_data VALUES (37009, 0, 13, 0.01360038, 111, 207);
INSERT INTO public.ecdc_data VALUES (37010, 185, 8998, 235.20125163, 71, 207);
INSERT INTO public.ecdc_data VALUES (37011, 0, 0, 0.82266706, 11, 207);
INSERT INTO public.ecdc_data VALUES (37012, 0, 0, 5.11104536, 12, 207);
INSERT INTO public.ecdc_data VALUES (37013, 13, 1132, 274.46919413, 72, 207);
INSERT INTO public.ecdc_data VALUES (37014, 0, 28, 1.50097871, 13, 207);
INSERT INTO public.ecdc_data VALUES (37015, 64, 4396, 1194.28513392, 156, 207);
INSERT INTO public.ecdc_data VALUES (37016, 0, 86, 10.20868781, 73, 207);
INSERT INTO public.ecdc_data VALUES (37017, 0, 79, 763.05048861, 74, 207);
INSERT INTO public.ecdc_data VALUES (37018, 3, 424, 512.95868588, 157, 207);
INSERT INTO public.ecdc_data VALUES (37019, 109, 6217, 558.11376739, 158, 207);
INSERT INTO public.ecdc_data VALUES (37020, 2, 172, 2.07511028, 14, 207);
INSERT INTO public.ecdc_data VALUES (37021, 9, 3075, 462.37729029, 159, 207);
INSERT INTO public.ecdc_data VALUES (37022, 0, 4, 4.62222551, 15, 207);
INSERT INTO public.ecdc_data VALUES (37023, 0, 2, 2.78520499, 75, 207);
INSERT INTO public.ecdc_data VALUES (37024, 1, 731, 99.40443937, 76, 207);
INSERT INTO public.ecdc_data VALUES (37025, 8, 386, 64.64384556, 77, 207);
INSERT INTO public.ecdc_data VALUES (37026, 23, 464, 5.75665978, 16, 207);
INSERT INTO public.ecdc_data VALUES (37027, 7, 422, 42.73616847, 78, 207);
INSERT INTO public.ecdc_data VALUES (37028, 0, 2, 2.35991333, 17, 207);
INSERT INTO public.ecdc_data VALUES (37029, 0, 0, 2.57354844, 18, 207);
INSERT INTO public.ecdc_data VALUES (37030, 1, 358, 425.18983711, 160, 207);
INSERT INTO public.ecdc_data VALUES (37031, 0, 52, 28.13262923, 19, 207);
INSERT INTO public.ecdc_data VALUES (37032, 12, 422, 6.55253695, 20, 207);
INSERT INTO public.ecdc_data VALUES (37033, 0, 0, 59.31198102, 79, 207);
INSERT INTO public.ecdc_data VALUES (37034, 0, 1, 41.08716642, 161, 207);
INSERT INTO public.ecdc_data VALUES (37035, 0, 0, 0.67419139, 203, 207);
INSERT INTO public.ecdc_data VALUES (37036, 11, 501, 114.30033678, 162, 207);
INSERT INTO public.ecdc_data VALUES (37037, 627, 13406, 231.55696793, 163, 207);
INSERT INTO public.ecdc_data VALUES (37038, 0, 83, 621.2292103, 204, 207);
INSERT INTO public.ecdc_data VALUES (37039, 1, 30, 6.3979291, 21, 207);
INSERT INTO public.ecdc_data VALUES (37040, 0, 0, 2.04455773, 22, 207);
INSERT INTO public.ecdc_data VALUES (37041, 50, 3907, 1477.79627609, 164, 207);
INSERT INTO public.ecdc_data VALUES (37042, 496, 28438, 328.14934056, 165, 207);
INSERT INTO public.ecdc_data VALUES (37043, 0, 0, 4.97405176, 23, 207);
INSERT INTO public.ecdc_data VALUES (37044, 0, 1, 210.64498902, 166, 207);
INSERT INTO public.ecdc_data VALUES (37045, 102, 1395, 199.17761028, 167, 207);
INSERT INTO public.ecdc_data VALUES (37046, 0, 0, 1.76491352, 80, 207);
INSERT INTO public.ecdc_data VALUES (37047, 0, 0, 1.7856824, 81, 207);
INSERT INTO public.ecdc_data VALUES (37048, 2, 38, 184.10592068, 205, 207);
INSERT INTO public.ecdc_data VALUES (37049, 31, 755, 42.14094425, 82, 207);
INSERT INTO public.ecdc_data VALUES (37050, 0, 0, 4.65347149, 168, 207);
INSERT INTO public.ecdc_data VALUES (37051, 0, 30, 2.81100215, 24, 207);
INSERT INTO public.ecdc_data VALUES (37052, 0, 0, 1.14528634, 25, 207);
INSERT INTO public.ecdc_data VALUES (37053, 0, 28, 67.58008368, 83, 207);
INSERT INTO public.ecdc_data VALUES (37054, 0, 26, 2.01543468, 84, 207);
INSERT INTO public.ecdc_data VALUES (37055, 0, 0, 0, 169, 207);
INSERT INTO public.ecdc_data VALUES (37056, 3, 501, 67.45251826, 85, 207);
INSERT INTO public.ecdc_data VALUES (37057, 162, 5047, 732.02482493, 170, 207);
INSERT INTO public.ecdc_data VALUES (37058, 0, 15, 54.06298758, 171, 207);
INSERT INTO public.ecdc_data VALUES (37059, 442, 30006, 34.81116942, 112, 207);
INSERT INTO public.ecdc_data VALUES (37060, 175, 6310, 30.54478589, 113, 207);
INSERT INTO public.ecdc_data VALUES (37061, 232, 9594, 205.29731971, 114, 207);
INSERT INTO public.ecdc_data VALUES (37062, 23, 1347, 64.57679027, 115, 207);
INSERT INTO public.ecdc_data VALUES (37063, 3, 304, 77.64709721, 172, 207);
INSERT INTO public.ecdc_data VALUES (37064, 0, 0, 1.18218681, 173, 207);
INSERT INTO public.ecdc_data VALUES (37065, 7, 409, 228.50273136, 116, 207);
INSERT INTO public.ecdc_data VALUES (37066, 761, 18726, 443.43607223, 174, 207);
INSERT INTO public.ecdc_data VALUES (37067, 0, 66, 30.83156705, 86, 207);
INSERT INTO public.ecdc_data VALUES (37068, 32, 2757, 25.40668771, 117, 207);
INSERT INTO public.ecdc_data VALUES (37069, 0, 82, 657.72384875, 175, 207);
INSERT INTO public.ecdc_data VALUES (37070, 36, 2338, 473.76198276, 118, 207);
INSERT INTO public.ecdc_data VALUES (37071, 1, 927, 67.80071054, 119, 207);
INSERT INTO public.ecdc_data VALUES (37072, 14, 673, 17.73120906, 26, 207);
INSERT INTO public.ecdc_data VALUES (37073, 13, 590, 433.80450218, 176, 207);
INSERT INTO public.ecdc_data VALUES (37074, 0, 294, 93.00994491, 120, 207);
INSERT INTO public.ecdc_data VALUES (37075, 0, 341, 79.30358732, 121, 207);
INSERT INTO public.ecdc_data VALUES (37076, 0, 0, 0.02789612, 122, 207);
INSERT INTO public.ecdc_data VALUES (37077, 15, 680, 446.77827964, 177, 207);
INSERT INTO public.ecdc_data VALUES (37078, 12, 1518, 287.68723993, 123, 207);
INSERT INTO public.ecdc_data VALUES (37079, 0, 36, 4.9405557, 27, 207);
INSERT INTO public.ecdc_data VALUES (37080, 0, 0, 1.64054819, 28, 207);
INSERT INTO public.ecdc_data VALUES (37081, 5, 697, 126.99460992, 29, 207);
INSERT INTO public.ecdc_data VALUES (37082, 1, 25, 596.69602376, 178, 207);
INSERT INTO public.ecdc_data VALUES (37083, 27, 3303, 1146.66750651, 179, 207);
INSERT INTO public.ecdc_data VALUES (37084, 15, 1173, 1079.66521908, 180, 207);
INSERT INTO public.ecdc_data VALUES (37085, 0, 0, 1.10125192, 30, 207);
INSERT INTO public.ecdc_data VALUES (37086, 0, 2, 0.16640946, 31, 207);
INSERT INTO public.ecdc_data VALUES (37087, 6, 1810, 57.74060042, 124, 207);
INSERT INTO public.ecdc_data VALUES (37088, 1, 18, 74.0172933, 125, 207);
INSERT INTO public.ecdc_data VALUES (37089, 1, 73, 5.50411402, 32, 207);
INSERT INTO public.ecdc_data VALUES (37090, 2, 96, 299.66022299, 181, 207);
INSERT INTO public.ecdc_data VALUES (37091, 0, 0, 0, 206, 207);
INSERT INTO public.ecdc_data VALUES (37092, 0, 0, 40.70090404, 33, 207);
INSERT INTO public.ecdc_data VALUES (37093, 0, 0, 1.10264872, 34, 207);
INSERT INTO public.ecdc_data VALUES (37094, 693, 12253, 118.19272958, 87, 207);
INSERT INTO public.ecdc_data VALUES (37095, 21, 1579, 497.7174348, 182, 207);
INSERT INTO public.ecdc_data VALUES (37096, 0, 2, 169.26099441, 183, 207);
INSERT INTO public.ecdc_data VALUES (37097, 0, 1, 4.52689877, 126, 207);
INSERT INTO public.ecdc_data VALUES (37098, 3, 381, 1078.46257204, 184, 207);
INSERT INTO public.ecdc_data VALUES (37099, 0, 0, 0, 88, 207);
INSERT INTO public.ecdc_data VALUES (37100, 50, 3035, 135.14015197, 35, 207);
INSERT INTO public.ecdc_data VALUES (37101, 0, 159, 3.86616063, 36, 207);
INSERT INTO public.ecdc_data VALUES (37102, 19, 1376, 35.58118207, 127, 207);
INSERT INTO public.ecdc_data VALUES (37103, 2, 324, 75.76595775, 37, 207);
INSERT INTO public.ecdc_data VALUES (37104, 11, 1044, 60.64935108, 128, 207);
INSERT INTO public.ecdc_data VALUES (37105, 63, 8827, 495.10006357, 185, 207);
INSERT INTO public.ecdc_data VALUES (37106, 0, 0, 1.41464225, 207, 207);
INSERT INTO public.ecdc_data VALUES (37107, 0, 0, 0.87809859, 208, 207);
INSERT INTO public.ecdc_data VALUES (37108, 0, 0, 1.57359946, 89, 207);
INSERT INTO public.ecdc_data VALUES (37109, 0, 34, 2.95143191, 38, 207);
INSERT INTO public.ecdc_data VALUES (37110, 0, 796, 2.44820451, 39, 207);
INSERT INTO public.ecdc_data VALUES (37111, 26, 1161, 594.23281717, 186, 207);
INSERT INTO public.ecdc_data VALUES (37112, 0, 0, 15.73069058, 209, 207);
INSERT INTO public.ecdc_data VALUES (37113, 5, 498, 99.00131601, 187, 207);
INSERT INTO public.ecdc_data VALUES (37114, 0, 0, 62.11065264, 129, 207);
INSERT INTO public.ecdc_data VALUES (37115, 71, 2729, 19.71691524, 130, 207);
INSERT INTO public.ecdc_data VALUES (37116, 21, 1743, 610.88982222, 131, 207);
INSERT INTO public.ecdc_data VALUES (37117, 22, 2355, 613.10179821, 90, 207);
INSERT INTO public.ecdc_data VALUES (37118, 1, 36, 0.85459188, 210, 207);
INSERT INTO public.ecdc_data VALUES (37119, 13, 1155, 165.75725172, 91, 207);
INSERT INTO public.ecdc_data VALUES (37120, 45, 1832, 69.5745265, 92, 207);
INSERT INTO public.ecdc_data VALUES (37121, 8, 1499, 19.53538652, 132, 207);
INSERT INTO public.ecdc_data VALUES (37122, 544, 13105, 412.88751541, 188, 207);
INSERT INTO public.ecdc_data VALUES (37123, 95, 5080, 529.83389378, 189, 207);
INSERT INTO public.ecdc_data VALUES (37124, 11, 2730, 519.53293852, 93, 207);
INSERT INTO public.ecdc_data VALUES (37125, 0, 164, 85.80293361, 133, 207);
INSERT INTO public.ecdc_data VALUES (37126, 168, 6460, 451.82306918, 190, 207);
INSERT INTO public.ecdc_data VALUES (37127, 613, 28585, 261.99498109, 191, 207);
INSERT INTO public.ecdc_data VALUES (37128, 1, 79, 4.40328447, 40, 207);
INSERT INTO public.ecdc_data VALUES (37129, 0, 1, 9.46360298, 94, 207);
INSERT INTO public.ecdc_data VALUES (37130, 0, 0, 15.31770563, 95, 207);
INSERT INTO public.ecdc_data VALUES (37131, 0, 3, 8.13794725, 96, 207);
INSERT INTO public.ecdc_data VALUES (37132, 1, 40, 1027.48672104, 192, 207);
INSERT INTO public.ecdc_data VALUES (37133, 0, 0, 11.1602991, 41, 207);
INSERT INTO public.ecdc_data VALUES (37134, 11, 168, 8.43923006, 134, 207);
INSERT INTO public.ecdc_data VALUES (37135, 2, 127, 5.59634107, 42, 207);
INSERT INTO public.ecdc_data VALUES (37136, 55, 6534, 1432.61603926, 193, 207);
INSERT INTO public.ecdc_data VALUES (37137, 0, 0, 14.32356943, 43, 207);
INSERT INTO public.ecdc_data VALUES (37138, 1, 3, 0.35836757, 44, 207);
INSERT INTO public.ecdc_data VALUES (37139, 0, 8, 1.82621875, 135, 207);
INSERT INTO public.ecdc_data VALUES (37140, 0, 24, 405.76564675, 97, 207);
INSERT INTO public.ecdc_data VALUES (37141, 18, 2166, 439.98436084, 194, 207);
INSERT INTO public.ecdc_data VALUES (37142, 39, 1816, 1012.20236551, 195, 207);
INSERT INTO public.ecdc_data VALUES (37143, 0, 0, 0, 211, 207);
INSERT INTO public.ecdc_data VALUES (37144, 0, 0, 0.86771233, 45, 207);
INSERT INTO public.ecdc_data VALUES (37145, 205, 8319, 107.82764456, 46, 207);
INSERT INTO public.ecdc_data VALUES (37146, 6, 950, 16.32200606, 136, 207);
INSERT INTO public.ecdc_data VALUES (37147, 0, 0, 0.80454785, 47, 207);
INSERT INTO public.ecdc_data VALUES (37148, 0, 0, 218.09418826, 196, 207);
INSERT INTO public.ecdc_data VALUES (37149, 1, 762, 41.61560072, 137, 207);
INSERT INTO public.ecdc_data VALUES (37150, 0, 0, 8.41795728, 48, 207);
INSERT INTO public.ecdc_data VALUES (37151, 0, 2, 4.81626798, 98, 207);
INSERT INTO public.ecdc_data VALUES (37152, 0, 0, 738.75496875, 197, 207);
INSERT INTO public.ecdc_data VALUES (37153, 105, 5111, 647.33834886, 198, 207);
INSERT INTO public.ecdc_data VALUES (37154, 15, 124, 7.47504472, 138, 207);
INSERT INTO public.ecdc_data VALUES (37155, 0, 8, 0.35753523, 139, 207);
INSERT INTO public.ecdc_data VALUES (37156, 0, 43, 5.88991144, 140, 207);
INSERT INTO public.ecdc_data VALUES (37157, 0, 12, 0.32459334, 141, 207);
INSERT INTO public.ecdc_data VALUES (37158, 0, 0, 0.07733234, 142, 207);
INSERT INTO public.ecdc_data VALUES (37159, 0, 20, 3.4148446, 49, 207);
INSERT INTO public.ecdc_data VALUES (37160, 0, 19, 19.0685241, 99, 207);
INSERT INTO public.ecdc_data VALUES (37161, 43, 1290, 131.1189895, 50, 207);
INSERT INTO public.ecdc_data VALUES (37162, 0, 0, 496.95452223, 199, 207);
INSERT INTO public.ecdc_data VALUES (37163, 0, 1, 54.98245798, 100, 207);
INSERT INTO public.ecdc_data VALUES (37164, 0, 639, 15.31751358, 51, 207);
INSERT INTO public.ecdc_data VALUES (37165, 285, 13514, 406.47008933, 200, 207);
INSERT INTO public.ecdc_data VALUES (37166, 5, 1196, 177.58511671, 143, 207);
INSERT INTO public.ecdc_data VALUES (37167, 424, 21672, 330.32789178, 201, 207);
INSERT INTO public.ecdc_data VALUES (37168, 0, 0, 0, 52, 207);
INSERT INTO public.ecdc_data VALUES (37169, 3343, 234633, 838.5141829, 101, 207);
INSERT INTO public.ecdc_data VALUES (37170, 0, 58, 258.17802809, 102, 207);
INSERT INTO public.ecdc_data VALUES (37171, 0, 362, 102.43430238, 103, 207);
INSERT INTO public.ecdc_data VALUES (37172, 1, 147, 7.28282322, 144, 207);
INSERT INTO public.ecdc_data VALUES (37173, 0, 0, 0, 212, 207);
INSERT INTO public.ecdc_data VALUES (37174, 6, 435, 19.28753325, 104, 207);
INSERT INTO public.ecdc_data VALUES (37175, 0, 6, 0.05390718, 145, 207);
INSERT INTO public.ecdc_data VALUES (37176, 0, 0, 0, 213, 207);
INSERT INTO public.ecdc_data VALUES (37177, 0, 0, 0, 53, 207);
INSERT INTO public.ecdc_data VALUES (37178, 0, 1, 0.02743303, 146, 207);
INSERT INTO public.ecdc_data VALUES (37179, 1, 70, 3.31447776, 54, 207);
INSERT INTO public.ecdc_data VALUES (37180, 1, 81, 9.88701423, 55, 207);
INSERT INTO public.ecdc_data VALUES (37181, 4, 146, 3.84840269, 105, 208);
INSERT INTO public.ecdc_data VALUES (37182, 11, 507, 201.26277456, 147, 208);
INSERT INTO public.ecdc_data VALUES (37183, 16, 811, 16.79555648, 1, 208);
INSERT INTO public.ecdc_data VALUES (37184, 0, 90, 1378.36879898, 148, 208);
INSERT INTO public.ecdc_data VALUES (37185, 0, 136, 9.2536444, 2, 208);
INSERT INTO public.ecdc_data VALUES (37186, 0, 0, 0, 56, 208);
INSERT INTO public.ecdc_data VALUES (37187, 0, 0, 7.20794934, 57, 208);
INSERT INTO public.ecdc_data VALUES (37188, 348, 10880, 318.93668418, 58, 208);
INSERT INTO public.ecdc_data VALUES (37189, 32, 1993, 934.70393491, 149, 208);
INSERT INTO public.ecdc_data VALUES (37190, 1, 9, 182.48518484, 59, 208);
INSERT INTO public.ecdc_data VALUES (37191, 0, 8, 0.52374302, 202, 208);
INSERT INTO public.ecdc_data VALUES (37192, 55, 9643, 900.79045918, 150, 208);
INSERT INTO public.ecdc_data VALUES (37193, 18, 1202, 163.78841805, 151, 208);
INSERT INTO public.ecdc_data VALUES (37194, 0, 76, 131.19855399, 60, 208);
INSERT INTO public.ecdc_data VALUES (37195, 0, 231, 184.01573517, 106, 208);
INSERT INTO public.ecdc_data VALUES (37196, 19, 1733, 13.66116088, 107, 208);
INSERT INTO public.ecdc_data VALUES (37197, 0, 6, 5.22609844, 61, 208);
INSERT INTO public.ecdc_data VALUES (37198, 6, 1057, 146.12148078, 152, 208);
INSERT INTO public.ecdc_data VALUES (37199, 196, 2004, 1115.54090216, 153, 208);
INSERT INTO public.ecdc_data VALUES (37200, 2, 106, 322.53023561, 62, 208);
INSERT INTO public.ecdc_data VALUES (37201, 0, 63, 1.70322369, 3, 208);
INSERT INTO public.ecdc_data VALUES (37202, 0, 1, 33.59569975, 63, 208);
INSERT INTO public.ecdc_data VALUES (37203, 0, 0, 2.35881818, 108, 208);
INSERT INTO public.ecdc_data VALUES (37204, 10, 112, 12.63777564, 64, 208);
INSERT INTO public.ecdc_data VALUES (37205, 0, 0, 3.84867028, 65, 208);
INSERT INTO public.ecdc_data VALUES (37206, 72, 1541, 660.6183948, 154, 208);
INSERT INTO public.ecdc_data VALUES (37207, 0, 0, 67.3697955, 4, 208);
INSERT INTO public.ecdc_data VALUES (37208, 544, 48331, 132.72003714, 66, 208);
INSERT INTO public.ecdc_data VALUES (37209, 0, 0, 0, 67, 208);
INSERT INTO public.ecdc_data VALUES (37210, 0, 0, 0, 109, 208);
INSERT INTO public.ecdc_data VALUES (37211, 47, 3945, 597.85381196, 155, 208);
INSERT INTO public.ecdc_data VALUES (37212, 0, 4, 0.59051099, 5, 208);
INSERT INTO public.ecdc_data VALUES (37213, 0, 5, 0.52902817, 6, 208);
INSERT INTO public.ecdc_data VALUES (37214, 0, 1, 0.06672109, 110, 208);
INSERT INTO public.ecdc_data VALUES (37215, 0, 0, 2.42692305, 7, 208);
INSERT INTO public.ecdc_data VALUES (37216, 53, 4024, 137.59308149, 68, 208);
INSERT INTO public.ecdc_data VALUES (37217, 1, 61, 184.0214134, 8, 208);
INSERT INTO public.ecdc_data VALUES (37218, 0, 0, 21.5557061, 69, 208);
INSERT INTO public.ecdc_data VALUES (37219, 0, 0, 0.44255443, 9, 208);
INSERT INTO public.ecdc_data VALUES (37220, 0, 4, 0.60826938, 10, 208);
INSERT INTO public.ecdc_data VALUES (37221, 22, 897, 101.69884131, 70, 208);
INSERT INTO public.ecdc_data VALUES (37222, 0, 10, 0.02524788, 111, 208);
INSERT INTO public.ecdc_data VALUES (37223, 164, 8651, 245.1179287, 71, 208);
INSERT INTO public.ecdc_data VALUES (37224, 0, 0, 5.17105011, 11, 208);
INSERT INTO public.ecdc_data VALUES (37225, 0, 0, 2.34178806, 12, 208);
INSERT INTO public.ecdc_data VALUES (37226, 11, 1202, 261.80961458, 72, 208);
INSERT INTO public.ecdc_data VALUES (37227, 1, 8, 1.16656376, 13, 208);
INSERT INTO public.ecdc_data VALUES (37228, 28, 2597, 781.13538781, 156, 208);
INSERT INTO public.ecdc_data VALUES (37229, 0, 37, 6.1940353, 73, 208);
INSERT INTO public.ecdc_data VALUES (37230, 0, 51, 182.34887378, 74, 208);
INSERT INTO public.ecdc_data VALUES (37231, 3, 165, 301.86128766, 157, 208);
INSERT INTO public.ecdc_data VALUES (37232, 247, 8925, 1331.40528461, 158, 208);
INSERT INTO public.ecdc_data VALUES (37233, 0, 14, 0.51272853, 14, 208);
INSERT INTO public.ecdc_data VALUES (37234, 3, 994, 254.52624584, 159, 208);
INSERT INTO public.ecdc_data VALUES (37235, 0, 2, 8.21728979, 15, 208);
INSERT INTO public.ecdc_data VALUES (37236, 0, 0, 0, 75, 208);
INSERT INTO public.ecdc_data VALUES (37237, 3, 134, 53.03122082, 76, 208);
INSERT INTO public.ecdc_data VALUES (37238, 71, 919, 67.46996329, 77, 208);
INSERT INTO public.ecdc_data VALUES (37239, 11, 227, 2.83997872, 16, 208);
INSERT INTO public.ecdc_data VALUES (37240, 4, 0, 34.3996715, 78, 208);
INSERT INTO public.ecdc_data VALUES (37241, 0, 2, 1.54869312, 17, 208);
INSERT INTO public.ecdc_data VALUES (37242, 0, 0, 0.85784948, 18, 208);
INSERT INTO public.ecdc_data VALUES (37243, 0, 132, 144.77438444, 160, 208);
INSERT INTO public.ecdc_data VALUES (37244, 0, 20, 13.76147189, 19, 208);
INSERT INTO public.ecdc_data VALUES (37245, 8, 400, 5.27040247, 20, 208);
INSERT INTO public.ecdc_data VALUES (37246, 0, 0, 29.65599051, 79, 208);
INSERT INTO public.ecdc_data VALUES (37247, 0, 0, 6.16307496, 161, 208);
INSERT INTO public.ecdc_data VALUES (37248, 0, 0, 0.22473046, 203, 208);
INSERT INTO public.ecdc_data VALUES (37249, 2, 238, 53.770271, 162, 208);
INSERT INTO public.ecdc_data VALUES (37250, 328, 35879, 940.72359191, 163, 208);
INSERT INTO public.ecdc_data VALUES (37251, 3, 291, 1603.3800598, 204, 208);
INSERT INTO public.ecdc_data VALUES (37252, 0, 19, 4.18857229, 21, 208);
INSERT INTO public.ecdc_data VALUES (37253, 1, 13, 1.32044353, 22, 208);
INSERT INTO public.ecdc_data VALUES (37254, 33, 3120, 853.54094139, 164, 208);
INSERT INTO public.ecdc_data VALUES (37255, 215, 21866, 296.96740199, 165, 208);
INSERT INTO public.ecdc_data VALUES (37256, 0, 0, 5.02007735, 23, 208);
INSERT INTO public.ecdc_data VALUES (37257, 1, 28, 474.69293301, 166, 208);
INSERT INTO public.ecdc_data VALUES (37258, 43, 2751, 270.61151657, 167, 208);
INSERT INTO public.ecdc_data VALUES (37259, 0, 0, 0, 80, 208);
INSERT INTO public.ecdc_data VALUES (37260, 0, 0, 3.5713648, 81, 208);
INSERT INTO public.ecdc_data VALUES (37261, 0, 101, 770.49523297, 205, 208);
INSERT INTO public.ecdc_data VALUES (37262, 13, 682, 36.91953963, 82, 208);
INSERT INTO public.ecdc_data VALUES (37263, 0, 0, 23.26735745, 168, 208);
INSERT INTO public.ecdc_data VALUES (37264, 0, 32, 5.45757242, 24, 208);
INSERT INTO public.ecdc_data VALUES (37265, 1, 1, 0.57264317, 25, 208);
INSERT INTO public.ecdc_data VALUES (37266, 2, 88, 69.49634314, 83, 208);
INSERT INTO public.ecdc_data VALUES (37267, 0, 10, 0.94112809, 84, 208);
INSERT INTO public.ecdc_data VALUES (37268, 0, 0, 0, 169, 208);
INSERT INTO public.ecdc_data VALUES (37269, 17, 365, 61.25517706, 85, 208);
INSERT INTO public.ecdc_data VALUES (37270, 87, 3927, 600.27079362, 170, 208);
INSERT INTO public.ecdc_data VALUES (37271, 0, 28, 131.93609923, 171, 208);
INSERT INTO public.ecdc_data VALUES (37272, 550, 47905, 47.10953127, 112, 208);
INSERT INTO public.ecdc_data VALUES (37273, 75, 3770, 17.6018107, 113, 208);
INSERT INTO public.ecdc_data VALUES (37274, 462, 11780, 152.47143202, 114, 208);
INSERT INTO public.ecdc_data VALUES (37275, 50, 3198, 113.34835707, 115, 208);
INSERT INTO public.ecdc_data VALUES (37276, 2, 358, 138.92060747, 172, 208);
INSERT INTO public.ecdc_data VALUES (37277, 0, 2, 10.63968128, 173, 208);
INSERT INTO public.ecdc_data VALUES (37278, 17, 477, 100.2303808, 116, 208);
INSERT INTO public.ecdc_data VALUES (37279, 623, 32961, 726.74171539, 174, 208);
INSERT INTO public.ecdc_data VALUES (37280, 1, 8, 24.76022436, 86, 208);
INSERT INTO public.ecdc_data VALUES (37281, 10, 1555, 10.13634691, 117, 208);
INSERT INTO public.ecdc_data VALUES (37282, 0, 14, 128.01959256, 175, 208);
INSERT INTO public.ecdc_data VALUES (37283, 81, 5419, 638.10070724, 118, 208);
INSERT INTO public.ecdc_data VALUES (37284, 44, 775, 51.51624985, 119, 208);
INSERT INTO public.ecdc_data VALUES (37285, 0, 0, 24.22681933, 26, 208);
INSERT INTO public.ecdc_data VALUES (37286, 4, 733, 416.73477876, 176, 208);
INSERT INTO public.ecdc_data VALUES (37287, 5, 778, 243.70839897, 120, 208);
INSERT INTO public.ecdc_data VALUES (37288, 5, 527, 110.49196747, 121, 208);
INSERT INTO public.ecdc_data VALUES (37289, 0, 0, 0, 122, 208);
INSERT INTO public.ecdc_data VALUES (37290, 0, 453, 192.919882, 177, 208);
INSERT INTO public.ecdc_data VALUES (37291, 14, 1922, 335.25343622, 123, 208);
INSERT INTO public.ecdc_data VALUES (37292, 0, 0, 3.71718001, 27, 208);
INSERT INTO public.ecdc_data VALUES (37293, 0, 0, 0.85065462, 28, 208);
INSERT INTO public.ecdc_data VALUES (37294, 13, 875, 177.21996744, 29, 208);
INSERT INTO public.ecdc_data VALUES (37295, 0, 32, 1128.25056022, 178, 208);
INSERT INTO public.ecdc_data VALUES (37296, 14, 1421, 577.05577013, 179, 208);
INSERT INTO public.ecdc_data VALUES (37297, 5, 483, 1311.62708872, 180, 208);
INSERT INTO public.ecdc_data VALUES (37298, 0, 0, 0.94551932, 30, 208);
INSERT INTO public.ecdc_data VALUES (37299, 0, 2, 0.2737704, 31, 208);
INSERT INTO public.ecdc_data VALUES (37300, 2, 822, 42.13173364, 124, 208);
INSERT INTO public.ecdc_data VALUES (37301, 1, 29, 88.14273096, 125, 208);
INSERT INTO public.ecdc_data VALUES (37302, 0, 0, 0.89530875, 32, 208);
INSERT INTO public.ecdc_data VALUES (37303, 4, 109, 360.44322968, 181, 208);
INSERT INTO public.ecdc_data VALUES (37304, 0, 0, 0, 206, 208);
INSERT INTO public.ecdc_data VALUES (37305, 0, 28, 3.77842269, 33, 208);
INSERT INTO public.ecdc_data VALUES (37306, 0, 0, 0.86636685, 34, 208);
INSERT INTO public.ecdc_data VALUES (37307, 588, 7646, 62.17023015, 87, 208);
INSERT INTO public.ecdc_data VALUES (37308, 20, 1115, 281.60458719, 182, 208);
INSERT INTO public.ecdc_data VALUES (37309, 0, 12, 565.21082061, 183, 208);
INSERT INTO public.ecdc_data VALUES (37310, 0, 24, 2.04640629, 126, 208);
INSERT INTO public.ecdc_data VALUES (37311, 7, 711, 1201.09549939, 184, 208);
INSERT INTO public.ecdc_data VALUES (37312, 0, 0, 0, 88, 208);
INSERT INTO public.ecdc_data VALUES (37313, 81, 5461, 172.4841073, 35, 208);
INSERT INTO public.ecdc_data VALUES (37314, 5, 88, 4.92655563, 36, 208);
INSERT INTO public.ecdc_data VALUES (37315, 19, 1212, 28.45939477, 127, 208);
INSERT INTO public.ecdc_data VALUES (37316, 0, 39, 19.48267485, 37, 208);
INSERT INTO public.ecdc_data VALUES (37317, 26, 2569, 139.73014866, 128, 208);
INSERT INTO public.ecdc_data VALUES (37318, 74, 5400, 605.75172217, 185, 208);
INSERT INTO public.ecdc_data VALUES (37319, 0, 1, 1.06098169, 207, 208);
INSERT INTO public.ecdc_data VALUES (37320, 0, 3, 0.87809859, 208, 208);
INSERT INTO public.ecdc_data VALUES (37321, 1, 70, 2.24581671, 89, 208);
INSERT INTO public.ecdc_data VALUES (37322, 0, 7, 0.19304424, 38, 208);
INSERT INTO public.ecdc_data VALUES (37323, 2, 180, 1.06735746, 39, 208);
INSERT INTO public.ecdc_data VALUES (37324, 26, 1318, 666.44777511, 186, 208);
INSERT INTO public.ecdc_data VALUES (37325, 0, 0, 13.98283607, 209, 208);
INSERT INTO public.ecdc_data VALUES (37326, 0, 564, 135.54265483, 187, 208);
INSERT INTO public.ecdc_data VALUES (37327, 5, 302, 95.51774154, 129, 208);
INSERT INTO public.ecdc_data VALUES (37328, 34, 1808, 8.71977113, 130, 208);
INSERT INTO public.ecdc_data VALUES (37329, 5, 643, 171.23624539, 131, 208);
INSERT INTO public.ecdc_data VALUES (37330, 6, 1163, 264.17422594, 90, 208);
INSERT INTO public.ecdc_data VALUES (37331, 0, 0, 0.12534014, 210, 208);
INSERT INTO public.ecdc_data VALUES (37332, 16, 609, 110.94961715, 91, 208);
INSERT INTO public.ecdc_data VALUES (37333, 39, 2575, 101.74570881, 92, 208);
INSERT INTO public.ecdc_data VALUES (37334, 49, 1667, 24.26638894, 132, 208);
INSERT INTO public.ecdc_data VALUES (37335, 430, 25221, 842.0867014, 188, 208);
INSERT INTO public.ecdc_data VALUES (37336, 82, 4935, 620.6322567, 189, 208);
INSERT INTO public.ecdc_data VALUES (37337, 12, 154, 328.49208633, 93, 208);
INSERT INTO public.ecdc_data VALUES (37338, 0, 224, 104.09343551, 133, 208);
INSERT INTO public.ecdc_data VALUES (37339, 203, 9799, 522.98652891, 190, 208);
INSERT INTO public.ecdc_data VALUES (37340, 432, 19851, 187.13907634, 191, 208);
INSERT INTO public.ecdc_data VALUES (37341, 1, 50, 1.44928248, 40, 208);
INSERT INTO public.ecdc_data VALUES (37342, 0, 0, 0, 94, 208);
INSERT INTO public.ecdc_data VALUES (37343, 0, 0, 41.02956864, 95, 208);
INSERT INTO public.ecdc_data VALUES (37344, 0, 1, 2.71264908, 96, 208);
INSERT INTO public.ecdc_data VALUES (37345, 0, 76, 763.35877863, 192, 208);
INSERT INTO public.ecdc_data VALUES (37346, 0, 0, 8.83523678, 41, 208);
INSERT INTO public.ecdc_data VALUES (37347, 14, 394, 16.93098645, 134, 208);
INSERT INTO public.ecdc_data VALUES (37348, 0, 15, 0.93885985, 42, 208);
INSERT INTO public.ecdc_data VALUES (37349, 21, 3536, 405.18317393, 193, 208);
INSERT INTO public.ecdc_data VALUES (37350, 0, 0, 5.11556051, 43, 208);
INSERT INTO public.ecdc_data VALUES (37351, 0, 0, 0.40956294, 44, 208);
INSERT INTO public.ecdc_data VALUES (37352, 0, 18, 1.79176179, 135, 208);
INSERT INTO public.ecdc_data VALUES (37353, 0, 2, 247.70577272, 97, 208);
INSERT INTO public.ecdc_data VALUES (37354, 24, 2058, 554.78283237, 194, 208);
INSERT INTO public.ecdc_data VALUES (37355, 14, 2222, 995.91140022, 195, 208);
INSERT INTO public.ecdc_data VALUES (37356, 0, 0, 1.19434894, 211, 208);
INSERT INTO public.ecdc_data VALUES (37357, 0, 0, 2.33116746, 45, 208);
INSERT INTO public.ecdc_data VALUES (37358, 60, 2140, 38.73065438, 46, 208);
INSERT INTO public.ecdc_data VALUES (37359, 0, 143, 3.26205862, 136, 208);
INSERT INTO public.ecdc_data VALUES (37360, 0, 0, 0.63279044, 47, 208);
INSERT INTO public.ecdc_data VALUES (37361, 356, 19511, 590.44388379, 196, 208);
INSERT INTO public.ecdc_data VALUES (37362, 5, 635, 28.81765454, 137, 208);
INSERT INTO public.ecdc_data VALUES (37363, 0, 191, 1.35705693, 48, 208);
INSERT INTO public.ecdc_data VALUES (37364, 0, 9, 11.52464123, 98, 208);
INSERT INTO public.ecdc_data VALUES (37365, 27, 5709, 475.26999756, 197, 208);
INSERT INTO public.ecdc_data VALUES (37366, 86, 8238, 1256.72257809, 198, 208);
INSERT INTO public.ecdc_data VALUES (37367, 4, 69, 4.92673402, 138, 208);
INSERT INTO public.ecdc_data VALUES (37368, 0, 5, 0.15142669, 139, 208);
INSERT INTO public.ecdc_data VALUES (37369, 0, 39, 5.96501049, 140, 208);
INSERT INTO public.ecdc_data VALUES (37370, 0, 5, 0.12782658, 141, 208);
INSERT INTO public.ecdc_data VALUES (37371, 0, 0, 0, 142, 208);
INSERT INTO public.ecdc_data VALUES (37372, 2, 35, 4.39228201, 49, 208);
INSERT INTO public.ecdc_data VALUES (37373, 0, 24, 22.22271606, 99, 208);
INSERT INTO public.ecdc_data VALUES (37374, 96, 1529, 173.10374484, 50, 208);
INSERT INTO public.ecdc_data VALUES (37375, 86, 2693, 40.90050273, 199, 208);
INSERT INTO public.ecdc_data VALUES (37376, 0, 5, 34.0367597, 100, 208);
INSERT INTO public.ecdc_data VALUES (37377, 6, 289, 7.28716986, 51, 208);
INSERT INTO public.ecdc_data VALUES (37378, 191, 10611, 288.07116519, 200, 208);
INSERT INTO public.ecdc_data VALUES (37379, 2, 1214, 169.64286263, 143, 208);
INSERT INTO public.ecdc_data VALUES (37380, 595, 22950, 471.8133923, 201, 208);
INSERT INTO public.ecdc_data VALUES (37381, 0, 0, 0, 52, 208);
INSERT INTO public.ecdc_data VALUES (37382, 2117, 143306, 468.93725836, 101, 208);
INSERT INTO public.ecdc_data VALUES (37383, 0, 0, 54.50425038, 102, 208);
INSERT INTO public.ecdc_data VALUES (37384, 1, 80, 20.76995584, 103, 208);
INSERT INTO public.ecdc_data VALUES (37385, 2, 224, 9.35063565, 144, 208);
INSERT INTO public.ecdc_data VALUES (37386, 0, 0, 0, 212, 208);
INSERT INTO public.ecdc_data VALUES (37387, 0, 0, 16.02267989, 104, 208);
INSERT INTO public.ecdc_data VALUES (37388, 0, 26, 0.08189744, 145, 208);
INSERT INTO public.ecdc_data VALUES (37389, 0, 0, 0, 213, 208);
INSERT INTO public.ecdc_data VALUES (37390, 0, 0, 0, 53, 208);
INSERT INTO public.ecdc_data VALUES (37391, 0, 0, 0, 146, 208);
INSERT INTO public.ecdc_data VALUES (37392, 0, 39, 3.98073258, 54, 208);
INSERT INTO public.ecdc_data VALUES (37393, 0, 57, 2.36933283, 55, 208);
INSERT INTO public.ecdc_data VALUES (37394, 4, 96, 1.50361089, 105, 209);
INSERT INTO public.ecdc_data VALUES (37395, 4, 168, 74.76173191, 147, 209);
INSERT INTO public.ecdc_data VALUES (37396, 6, 132, 4.65704477, 1, 209);
INSERT INTO public.ecdc_data VALUES (37397, 0, 0, 1128.94968298, 148, 209);
INSERT INTO public.ecdc_data VALUES (37398, 6, 215, 4.94575086, 2, 209);
INSERT INTO public.ecdc_data VALUES (37399, 0, 0, 0, 56, 209);
INSERT INTO public.ecdc_data VALUES (37400, 0, 0, 10.29707048, 57, 209);
INSERT INTO public.ecdc_data VALUES (37401, 287, 10310, 408.39268278, 58, 209);
INSERT INTO public.ecdc_data VALUES (37402, 4, 715, 238.39244177, 149, 209);
INSERT INTO public.ecdc_data VALUES (37403, 0, 6, 329.22584893, 59, 209);
INSERT INTO public.ecdc_data VALUES (37404, 1, 20, 0.88877603, 202, 209);
INSERT INTO public.ecdc_data VALUES (37405, 6, 1298, 141.29493073, 150, 209);
INSERT INTO public.ecdc_data VALUES (37406, 1, 230, 19.49696244, 151, 209);
INSERT INTO public.ecdc_data VALUES (37407, 1, 55, 330.69224568, 60, 209);
INSERT INTO public.ecdc_data VALUES (37408, 0, 0, 396.79154551, 106, 209);
INSERT INTO public.ecdc_data VALUES (37409, 24, 1193, 11.72551287, 107, 209);
INSERT INTO public.ecdc_data VALUES (37410, 0, 2, 6.27131813, 61, 209);
INSERT INTO public.ecdc_data VALUES (37411, 11, 1063, 62.68243365, 152, 209);
INSERT INTO public.ecdc_data VALUES (37412, 26, 2403, 487.53792822, 153, 209);
INSERT INTO public.ecdc_data VALUES (37413, 0, 0, 146.79096505, 62, 209);
INSERT INTO public.ecdc_data VALUES (37414, 0, 0, 0.60163623, 3, 209);
INSERT INTO public.ecdc_data VALUES (37415, 0, 0, 4.79938568, 63, 209);
INSERT INTO public.ecdc_data VALUES (37416, 0, 3, 4.71763636, 108, 209);
INSERT INTO public.ecdc_data VALUES (37417, 16, 111, 40.58853991, 64, 209);
INSERT INTO public.ecdc_data VALUES (37418, 0, 1, 242.46622792, 65, 209);
INSERT INTO public.ecdc_data VALUES (37419, 1, 302, 112.93554252, 154, 209);
INSERT INTO public.ecdc_data VALUES (37420, 0, 0, 69.40998905, 4, 209);
INSERT INTO public.ecdc_data VALUES (37421, 290, 12345, 171.84260913, 66, 209);
INSERT INTO public.ecdc_data VALUES (37422, 0, 0, 0, 67, 209);
INSERT INTO public.ecdc_data VALUES (37423, 0, 0, 0, 109, 209);
INSERT INTO public.ecdc_data VALUES (37424, 5, 531, 62.09965402, 155, 209);
INSERT INTO public.ecdc_data VALUES (37425, 2, 9, 1.33849158, 5, 209);
INSERT INTO public.ecdc_data VALUES (37426, 0, 7, 0.33823112, 6, 209);
INSERT INTO public.ecdc_data VALUES (37427, 0, 0, 0.04245887, 110, 209);
INSERT INTO public.ecdc_data VALUES (37428, 0, 0, 1.8085987, 7, 209);
INSERT INTO public.ecdc_data VALUES (37429, 0, 0, 66.80381336, 68, 209);
INSERT INTO public.ecdc_data VALUES (37430, 1, 159, 236.57298304, 8, 209);
INSERT INTO public.ecdc_data VALUES (37431, 0, 0, 16.93662622, 69, 209);
INSERT INTO public.ecdc_data VALUES (37432, 0, 0, 1.01155299, 9, 209);
INSERT INTO public.ecdc_data VALUES (37433, 0, 13, 0.79012311, 10, 209);
INSERT INTO public.ecdc_data VALUES (37434, 46, 1776, 123.83894394, 70, 209);
INSERT INTO public.ecdc_data VALUES (37435, 0, 34, 0.02294628, 111, 209);
INSERT INTO public.ecdc_data VALUES (37436, 174, 8569, 195.19484949, 71, 209);
INSERT INTO public.ecdc_data VALUES (37437, 0, 0, 1.99790572, 11, 209);
INSERT INTO public.ecdc_data VALUES (37438, 0, 0, 2.04441814, 12, 209);
INSERT INTO public.ecdc_data VALUES (37439, 0, 0, 304.89973276, 72, 209);
INSERT INTO public.ecdc_data VALUES (37440, 0, 26, 2.04148658, 13, 209);
INSERT INTO public.ecdc_data VALUES (37441, 7, 508, 104.09087185, 156, 209);
INSERT INTO public.ecdc_data VALUES (37442, 0, 30, 4.59699771, 73, 209);
INSERT INTO public.ecdc_data VALUES (37443, 0, 12, 136.45570085, 74, 209);
INSERT INTO public.ecdc_data VALUES (37444, 0, 0, 33.10884017, 157, 209);
INSERT INTO public.ecdc_data VALUES (37445, 39, 3103, 493.0890721, 158, 209);
INSERT INTO public.ecdc_data VALUES (37446, 0, 10, 0.27537555, 14, 209);
INSERT INTO public.ecdc_data VALUES (37447, 2, 340, 99.63691516, 159, 209);
INSERT INTO public.ecdc_data VALUES (37448, 0, 0, 1.43802571, 15, 209);
INSERT INTO public.ecdc_data VALUES (37449, 0, 0, 11.14081996, 75, 209);
INSERT INTO public.ecdc_data VALUES (37450, 6, 463, 66.03062104, 76, 209);
INSERT INTO public.ecdc_data VALUES (37451, 3, 205, 70.71625738, 77, 209);
INSERT INTO public.ecdc_data VALUES (37452, 0, 0, 1.54101967, 16, 209);
INSERT INTO public.ecdc_data VALUES (37453, 7, 245, 24.26571422, 78, 209);
INSERT INTO public.ecdc_data VALUES (37454, 0, 0, 2.58115521, 17, 209);
INSERT INTO public.ecdc_data VALUES (37455, 0, 0, 1.11520432, 18, 209);
INSERT INTO public.ecdc_data VALUES (37456, 0, 19, 50.19549826, 160, 209);
INSERT INTO public.ecdc_data VALUES (37457, 0, 9, 20.72930575, 19, 209);
INSERT INTO public.ecdc_data VALUES (37458, 10, 866, 9.78151724, 20, 209);
INSERT INTO public.ecdc_data VALUES (37459, 0, 0, 0, 79, 209);
INSERT INTO public.ecdc_data VALUES (37460, 0, 0, 34.92409146, 161, 209);
INSERT INTO public.ecdc_data VALUES (37461, 0, 0, 0, 203, 209);
INSERT INTO public.ecdc_data VALUES (37462, 0, 149, 41.97234501, 162, 209);
INSERT INTO public.ecdc_data VALUES (37463, 46, 16101, 293.08543553, 163, 209);
INSERT INTO public.ecdc_data VALUES (37464, 0, 0, 486.95776716, 204, 209);
INSERT INTO public.ecdc_data VALUES (37465, 0, 0, 4.92502456, 21, 209);
INSERT INTO public.ecdc_data VALUES (37466, 0, 4, 2.68348202, 22, 209);
INSERT INTO public.ecdc_data VALUES (37467, 7, 523, 156.17642482, 164, 209);
INSERT INTO public.ecdc_data VALUES (37468, 6, 2467, 48.18041337, 165, 209);
INSERT INTO public.ecdc_data VALUES (37469, 0, 0, 2.03170125, 23, 209);
INSERT INTO public.ecdc_data VALUES (37470, 0, 9, 314.48406812, 166, 209);
INSERT INTO public.ecdc_data VALUES (37471, 13, 280, 45.81989499, 167, 209);
INSERT INTO public.ecdc_data VALUES (37472, 0, 0, 3.52982704, 80, 209);
INSERT INTO public.ecdc_data VALUES (37473, 0, 0, 0, 81, 209);
INSERT INTO public.ecdc_data VALUES (37474, 0, 0, 432.76846289, 205, 209);
INSERT INTO public.ecdc_data VALUES (37475, 19, 171, 43.35813444, 82, 209);
INSERT INTO public.ecdc_data VALUES (37476, 0, 0, 3.10231433, 168, 209);
INSERT INTO public.ecdc_data VALUES (37477, 0, 26, 3.46089959, 24, 209);
INSERT INTO public.ecdc_data VALUES (37478, 1, 23, 3.17556667, 25, 209);
INSERT INTO public.ecdc_data VALUES (37479, 1, 64, 89.04218965, 83, 209);
INSERT INTO public.ecdc_data VALUES (37480, 0, 22, 1.41169213, 84, 209);
INSERT INTO public.ecdc_data VALUES (37481, 0, 0, 0, 169, 209);
INSERT INTO public.ecdc_data VALUES (37482, 8, 935, 92.05719407, 85, 209);
INSERT INTO public.ecdc_data VALUES (37483, 14, 913, 141.83307145, 170, 209);
INSERT INTO public.ecdc_data VALUES (37484, 0, 66, 252.9475533, 171, 209);
INSERT INTO public.ecdc_data VALUES (37485, 816, 66732, 76.53852531, 112, 209);
INSERT INTO public.ecdc_data VALUES (37486, 79, 4497, 21.51903113, 113, 209);
INSERT INTO public.ecdc_data VALUES (37487, 251, 3822, 64.67794245, 114, 209);
INSERT INTO public.ecdc_data VALUES (37488, 62, 2206, 134.5212003, 115, 209);
INSERT INTO public.ecdc_data VALUES (37489, 5, 814, 153.70373391, 172, 209);
INSERT INTO public.ecdc_data VALUES (37490, 0, 1, 7.09312085, 173, 209);
INSERT INTO public.ecdc_data VALUES (37491, 42, 1825, 713.69101928, 116, 209);
INSERT INTO public.ecdc_data VALUES (37492, 26, 5456, 74.68578375, 174, 209);
INSERT INTO public.ecdc_data VALUES (37493, 1, 159, 58.50874935, 86, 209);
INSERT INTO public.ecdc_data VALUES (37494, 2, 435, 5.68814677, 117, 209);
INSERT INTO public.ecdc_data VALUES (37495, 0, 0, 45.45623214, 175, 209);
INSERT INTO public.ecdc_data VALUES (37496, 10, 928, 162.6855369, 118, 209);
INSERT INTO public.ecdc_data VALUES (37497, 1, 108, 18.73171165, 119, 209);
INSERT INTO public.ecdc_data VALUES (37498, 6, 388, 6.52604358, 26, 209);
INSERT INTO public.ecdc_data VALUES (37499, 2, 49, 39.31040541, 176, 209);
INSERT INTO public.ecdc_data VALUES (37500, 3, 548, 179.98244387, 120, 209);
INSERT INTO public.ecdc_data VALUES (37501, 3, 306, 44.81089103, 121, 209);
INSERT INTO public.ecdc_data VALUES (37502, 0, 0, 0, 122, 209);
INSERT INTO public.ecdc_data VALUES (37503, 0, 74, 51.77169619, 177, 209);
INSERT INTO public.ecdc_data VALUES (37504, 0, 0, 237.81639507, 123, 209);
INSERT INTO public.ecdc_data VALUES (37505, 0, 5, 11.62206913, 27, 209);
INSERT INTO public.ecdc_data VALUES (37506, 0, 0, 0.48608835, 28, 209);
INSERT INTO public.ecdc_data VALUES (37507, 8, 1026, 152.68272609, 29, 209);
INSERT INTO public.ecdc_data VALUES (37508, 0, 0, 54.71884934, 178, 209);
INSERT INTO public.ecdc_data VALUES (37509, 0, 159, 62.16483954, 179, 209);
INSERT INTO public.ecdc_data VALUES (37510, 0, 0, 163.38325509, 180, 209);
INSERT INTO public.ecdc_data VALUES (37511, 0, 16, 1.60552889, 30, 209);
INSERT INTO public.ecdc_data VALUES (37512, 0, 0, 0.28450649, 31, 209);
INSERT INTO public.ecdc_data VALUES (37513, 2, 561, 14.82951891, 124, 209);
INSERT INTO public.ecdc_data VALUES (37514, 1, 35, 149.91797829, 125, 209);
INSERT INTO public.ecdc_data VALUES (37515, 0, 13, 1.01739631, 32, 209);
INSERT INTO public.ecdc_data VALUES (37516, 2, 68, 167.76109847, 181, 209);
INSERT INTO public.ecdc_data VALUES (37517, 1, 27, 1.94445144, 33, 209);
INSERT INTO public.ecdc_data VALUES (37518, 0, 0, 2.20529744, 34, 209);
INSERT INTO public.ecdc_data VALUES (37519, 0, 1750, 47.3147166, 87, 209);
INSERT INTO public.ecdc_data VALUES (37520, 3, 389, 278.88400889, 182, 209);
INSERT INTO public.ecdc_data VALUES (37521, 0, 1, 72.54042618, 183, 209);
INSERT INTO public.ecdc_data VALUES (37522, 0, 2, 0.15503078, 126, 209);
INSERT INTO public.ecdc_data VALUES (37523, 4, 228, 571.53694578, 184, 209);
INSERT INTO public.ecdc_data VALUES (37524, 0, 0, 0, 88, 209);
INSERT INTO public.ecdc_data VALUES (37525, 33, 2563, 95.19418391, 35, 209);
INSERT INTO public.ecdc_data VALUES (37526, 1, 157, 6.64558105, 36, 209);
INSERT INTO public.ecdc_data VALUES (37527, 48, 1910, 31.89909406, 127, 209);
INSERT INTO public.ecdc_data VALUES (37528, 0, 45, 36.19929093, 37, 209);
INSERT INTO public.ecdc_data VALUES (37529, 22, 2071, 120.10675768, 128, 209);
INSERT INTO public.ecdc_data VALUES (37530, 17, 6368, 364.19052407, 185, 209);
INSERT INTO public.ecdc_data VALUES (37531, 0, 0, 0, 207, 209);
INSERT INTO public.ecdc_data VALUES (37532, 0, 0, 0.79447015, 208, 209);
INSERT INTO public.ecdc_data VALUES (37533, 0, 0, 2.91803395, 89, 209);
INSERT INTO public.ecdc_data VALUES (37534, 0, 0, 0.02144936, 38, 209);
INSERT INTO public.ecdc_data VALUES (37535, 0, 163, 0.96634414, 39, 209);
INSERT INTO public.ecdc_data VALUES (37536, 7, 382, 159.25805389, 186, 209);
INSERT INTO public.ecdc_data VALUES (37537, 0, 0, 12.23498156, 209, 209);
INSERT INTO public.ecdc_data VALUES (37538, 0, 0, 34.06395992, 187, 209);
INSERT INTO public.ecdc_data VALUES (37539, 29, 1761, 169.64851401, 129, 209);
INSERT INTO public.ecdc_data VALUES (37540, 0, 0, 3.7360553, 130, 209);
INSERT INTO public.ecdc_data VALUES (37541, 3, 422, 127.73461072, 131, 209);
INSERT INTO public.ecdc_data VALUES (37542, 9, 647, 229.792485, 90, 209);
INSERT INTO public.ecdc_data VALUES (37543, 0, 5, 0.25068028, 210, 209);
INSERT INTO public.ecdc_data VALUES (37544, 12, 697, 156.01935032, 91, 209);
INSERT INTO public.ecdc_data VALUES (37545, 82, 3283, 135.55328743, 92, 209);
INSERT INTO public.ecdc_data VALUES (37546, 83, 2415, 32.47881718, 132, 209);
INSERT INTO public.ecdc_data VALUES (37547, 32, 4178, 101.35146167, 188, 209);
INSERT INTO public.ecdc_data VALUES (37548, 13, 1090, 127.08462328, 189, 209);
INSERT INTO public.ecdc_data VALUES (37549, 2, 307, 251.14167704, 93, 209);
INSERT INTO public.ecdc_data VALUES (37550, 1, 207, 102.4338726, 133, 209);
INSERT INTO public.ecdc_data VALUES (37551, 53, 2880, 167.96760435, 190, 209);
INSERT INTO public.ecdc_data VALUES (37552, 143, 13634, 100.96504983, 191, 209);
INSERT INTO public.ecdc_data VALUES (37553, 1, 4, 0.60188781, 40, 209);
INSERT INTO public.ecdc_data VALUES (37554, 0, 0, 0, 94, 209);
INSERT INTO public.ecdc_data VALUES (37555, 0, 0, 1.09412183, 95, 209);
INSERT INTO public.ecdc_data VALUES (37556, 0, 0, 0, 96, 209);
INSERT INTO public.ecdc_data VALUES (37557, 0, 0, 72.56262154, 192, 209);
INSERT INTO public.ecdc_data VALUES (37558, 0, 7, 8.37022432, 41, 209);
INSERT INTO public.ecdc_data VALUES (37559, 25, 323, 17.72471763, 134, 209);
INSERT INTO public.ecdc_data VALUES (37560, 0, 24, 2.20294566, 42, 209);
INSERT INTO public.ecdc_data VALUES (37561, 1, 102, 20.14715031, 193, 209);
INSERT INTO public.ecdc_data VALUES (37562, 0, 0, 5.11556051, 43, 209);
INSERT INTO public.ecdc_data VALUES (37563, 0, 6, 1.1646946, 44, 209);
INSERT INTO public.ecdc_data VALUES (37564, 0, 10, 3.03221226, 135, 209);
INSERT INTO public.ecdc_data VALUES (37565, 0, 3, 155.70077143, 97, 209);
INSERT INTO public.ecdc_data VALUES (37566, 0, 1054, 197.65445642, 194, 209);
INSERT INTO public.ecdc_data VALUES (37567, 1, 411, 159.30545704, 195, 209);
INSERT INTO public.ecdc_data VALUES (37568, 0, 17, 1.78722839, 45, 209);
INSERT INTO public.ecdc_data VALUES (37569, 107, 1575, 37.06564609, 46, 209);
INSERT INTO public.ecdc_data VALUES (37570, 1, 97, 2.03415026, 136, 209);
INSERT INTO public.ecdc_data VALUES (37571, 1, 16, 0.82262757, 47, 209);
INSERT INTO public.ecdc_data VALUES (37572, 195, 27856, 299.76739063, 196, 209);
INSERT INTO public.ecdc_data VALUES (37573, 0, 124, 6.52793737, 137, 209);
INSERT INTO public.ecdc_data VALUES (37574, 0, 0, 0.14948648, 48, 209);
INSERT INTO public.ecdc_data VALUES (37575, 0, 16, 37.15406725, 98, 209);
INSERT INTO public.ecdc_data VALUES (37576, 2, 161, 77.47660477, 197, 209);
INSERT INTO public.ecdc_data VALUES (37577, 0, 0, 97.91062747, 198, 209);
INSERT INTO public.ecdc_data VALUES (37578, 0, 0, 3.52076949, 138, 209);
INSERT INTO public.ecdc_data VALUES (37579, 0, 0, 0.07150705, 139, 209);
INSERT INTO public.ecdc_data VALUES (37580, 0, 42, 6.17957922, 140, 209);
INSERT INTO public.ecdc_data VALUES (37581, 0, 7, 0.13788036, 141, 209);
INSERT INTO public.ecdc_data VALUES (37582, 0, 0, 0.07733234, 142, 209);
INSERT INTO public.ecdc_data VALUES (37583, 0, 5, 2.4374072, 49, 209);
INSERT INTO public.ecdc_data VALUES (37584, 0, 58, 52.97608764, 99, 209);
INSERT INTO public.ecdc_data VALUES (37585, 0, 0, 129.5028757, 50, 209);
INSERT INTO public.ecdc_data VALUES (37586, 59, 1502, 25.7304892, 199, 209);
INSERT INTO public.ecdc_data VALUES (37587, 0, 0, 34.0367597, 100, 209);
INSERT INTO public.ecdc_data VALUES (37588, 0, 100, 5.12993266, 51, 209);
INSERT INTO public.ecdc_data VALUES (37589, 85, 4768, 141.83867428, 200, 209);
INSERT INTO public.ecdc_data VALUES (37590, 2, 1096, 151.06658536, 143, 209);
INSERT INTO public.ecdc_data VALUES (37591, 65, 12872, 253.19476709, 201, 209);
INSERT INTO public.ecdc_data VALUES (37592, 0, 0, 0, 52, 209);
INSERT INTO public.ecdc_data VALUES (37593, 394, 43597, 196.76907703, 101, 209);
INSERT INTO public.ecdc_data VALUES (37594, 0, 0, 7.64971935, 102, 209);
INSERT INTO public.ecdc_data VALUES (37595, 0, 26, 8.26176268, 103, 209);
INSERT INTO public.ecdc_data VALUES (37596, 2, 204, 16.69106655, 144, 209);
INSERT INTO public.ecdc_data VALUES (37597, 6, 684, 36.63228588, 104, 209);
INSERT INTO public.ecdc_data VALUES (37598, 0, 2, 0.03628368, 145, 209);
INSERT INTO public.ecdc_data VALUES (37599, 0, 0, 0, 53, 209);
INSERT INTO public.ecdc_data VALUES (37600, 1, 0, 0.07201171, 146, 209);
INSERT INTO public.ecdc_data VALUES (37601, 0, 119, 4.57420326, 54, 209);
INSERT INTO public.ecdc_data VALUES (37602, 0, 1, 1.35878165, 55, 209);
INSERT INTO public.ecdc_data VALUES (37603, 0, 34, 1.22496971, 105, 210);
INSERT INTO public.ecdc_data VALUES (37604, 3, 161, 63.79201985, 147, 210);
INSERT INTO public.ecdc_data VALUES (37605, 8, 264, 10.10149013, 1, 210);
INSERT INTO public.ecdc_data VALUES (37606, 0, 43, 288.80108169, 148, 210);
INSERT INTO public.ecdc_data VALUES (37607, 4, 125, 2.34404711, 2, 210);
INSERT INTO public.ecdc_data VALUES (37608, 0, 0, 0, 56, 210);
INSERT INTO public.ecdc_data VALUES (37609, 0, 0, 1.02970705, 57, 210);
INSERT INTO public.ecdc_data VALUES (37610, 281, 11905, 321.35737123, 58, 210);
INSERT INTO public.ecdc_data VALUES (37611, 3, 177, 69.3775763, 149, 210);
INSERT INTO public.ecdc_data VALUES (37612, 2, 79, 933.1201204, 59, 210);
INSERT INTO public.ecdc_data VALUES (37613, 9, 52, 4.43197689, 202, 210);
INSERT INTO public.ecdc_data VALUES (37614, 2, 1005, 64.26396426, 150, 210);
INSERT INTO public.ecdc_data VALUES (37615, 1, 163, 20.41259315, 151, 210);
INSERT INTO public.ecdc_data VALUES (37616, 2, 93, 194.35871893, 60, 210);
INSERT INTO public.ecdc_data VALUES (37617, 4, 757, 432.25418057, 106, 210);
INSERT INTO public.ecdc_data VALUES (37618, 34, 1792, 17.15342316, 107, 210);
INSERT INTO public.ecdc_data VALUES (37619, 0, 0, 4.87769188, 61, 210);
INSERT INTO public.ecdc_data VALUES (37620, 6, 193, 25.79236679, 152, 210);
INSERT INTO public.ecdc_data VALUES (37621, 5, 1284, 74.52303121, 153, 210);
INSERT INTO public.ecdc_data VALUES (37622, 0, 36, 144.7415275, 62, 210);
INSERT INTO public.ecdc_data VALUES (37623, 0, 0, 0.82195372, 3, 210);
INSERT INTO public.ecdc_data VALUES (37624, 0, 0, 14.39815704, 63, 210);
INSERT INTO public.ecdc_data VALUES (37625, 0, 3, 6.0280909, 108, 210);
INSERT INTO public.ecdc_data VALUES (37626, 57, 967, 93.48479671, 64, 210);
INSERT INTO public.ecdc_data VALUES (37627, 0, 0, 38.48670284, 65, 210);
INSERT INTO public.ecdc_data VALUES (37628, 6, 290, 109.6638047, 154, 210);
INSERT INTO public.ecdc_data VALUES (37629, 0, 0, 26.86978313, 4, 210);
INSERT INTO public.ecdc_data VALUES (37630, 874, 43718, 226.18435818, 66, 210);
INSERT INTO public.ecdc_data VALUES (37631, 0, 1, 96.56045017, 67, 210);
INSERT INTO public.ecdc_data VALUES (37632, 0, 0, 0.23078911, 109, 210);
INSERT INTO public.ecdc_data VALUES (37633, 7, 201, 24.77129056, 155, 210);
INSERT INTO public.ecdc_data VALUES (37634, 0, 13, 0.69385041, 5, 210);
INSERT INTO public.ecdc_data VALUES (37635, 0, 0, 0.31221334, 6, 210);
INSERT INTO public.ecdc_data VALUES (37636, 0, 0, 0.00606555, 110, 210);
INSERT INTO public.ecdc_data VALUES (37637, 0, 0, 3.35054504, 7, 210);
INSERT INTO public.ecdc_data VALUES (37638, 0, 702, 22.10042929, 68, 210);
INSERT INTO public.ecdc_data VALUES (37639, 1, 94, 164.74644322, 8, 210);
INSERT INTO public.ecdc_data VALUES (37640, 0, 0, 4.61907988, 69, 210);
INSERT INTO public.ecdc_data VALUES (37641, 0, 2, 1.03262701, 9, 210);
INSERT INTO public.ecdc_data VALUES (37642, 0, 30, 0.45776974, 10, 210);
INSERT INTO public.ecdc_data VALUES (37643, 69, 1866, 129.60613464, 70, 210);
INSERT INTO public.ecdc_data VALUES (37644, 0, 18, 0.02155137, 111, 210);
INSERT INTO public.ecdc_data VALUES (37645, 243, 7424, 221.63137562, 71, 210);
INSERT INTO public.ecdc_data VALUES (37646, 0, 0, 4.58343078, 11, 210);
INSERT INTO public.ecdc_data VALUES (37647, 5, 37, 17.63775289, 12, 210);
INSERT INTO public.ecdc_data VALUES (37648, 16, 1420, 306.76201833, 72, 210);
INSERT INTO public.ecdc_data VALUES (37649, 0, 47, 4.35128284, 13, 210);
INSERT INTO public.ecdc_data VALUES (37650, 3, 190, 87.28619421, 156, 210);
INSERT INTO public.ecdc_data VALUES (37651, 0, 42, 6.41462061, 73, 210);
INSERT INTO public.ecdc_data VALUES (37652, 0, 4, 47.72889985, 74, 210);
INSERT INTO public.ecdc_data VALUES (37653, 0, 3, 4.45256816, 157, 210);
INSERT INTO public.ecdc_data VALUES (37654, 2, 1447, 94.67783433, 158, 210);
INSERT INTO public.ecdc_data VALUES (37655, 0, 18, 0.42285701, 14, 210);
INSERT INTO public.ecdc_data VALUES (37656, 0, 292, 43.33387702, 159, 210);
INSERT INTO public.ecdc_data VALUES (37657, 0, 0, 1.12987735, 15, 210);
INSERT INTO public.ecdc_data VALUES (37658, 0, 0, 5.57040998, 75, 210);
INSERT INTO public.ecdc_data VALUES (37659, 15, 516, 82.33574266, 76, 210);
INSERT INTO public.ecdc_data VALUES (37660, 87, 1526, 14.91338295, 77, 210);
INSERT INTO public.ecdc_data VALUES (37661, 17, 151, 2.41363327, 16, 210);
INSERT INTO public.ecdc_data VALUES (37662, 5, 163, 22.25131904, 78, 210);
INSERT INTO public.ecdc_data VALUES (37663, 0, 0, 4.57233208, 17, 210);
INSERT INTO public.ecdc_data VALUES (37664, 0, 0, 1.25817924, 18, 210);
INSERT INTO public.ecdc_data VALUES (37665, 0, 32, 21.8142842, 160, 210);
INSERT INTO public.ecdc_data VALUES (37666, 0, 31, 49.12322875, 19, 210);
INSERT INTO public.ecdc_data VALUES (37667, 12, 789, 13.58598586, 20, 210);
INSERT INTO public.ecdc_data VALUES (37668, 0, 0, 0, 79, 210);
INSERT INTO public.ecdc_data VALUES (37669, 0, 1, 10.27179161, 161, 210);
INSERT INTO public.ecdc_data VALUES (37670, 0, 0, 0.44946093, 203, 210);
INSERT INTO public.ecdc_data VALUES (37671, 0, 43, 8.51770387, 162, 210);
INSERT INTO public.ecdc_data VALUES (37672, 80, 9406, 143.66342066, 163, 210);
INSERT INTO public.ecdc_data VALUES (37673, 2, 96, 168.6449326, 204, 210);
INSERT INTO public.ecdc_data VALUES (37674, 0, 22, 6.35190083, 21, 210);
INSERT INTO public.ecdc_data VALUES (37675, 0, 32, 24.06614826, 22, 210);
INSERT INTO public.ecdc_data VALUES (37676, 0, 158, 15.33741564, 164, 210);
INSERT INTO public.ecdc_data VALUES (37677, 5, 1630, 21.07223059, 165, 210);
INSERT INTO public.ecdc_data VALUES (37678, 2, 75, 4.73077361, 23, 210);
INSERT INTO public.ecdc_data VALUES (37679, 0, 0, 145.37471073, 166, 210);
INSERT INTO public.ecdc_data VALUES (37680, 3, 282, 27.35766624, 167, 210);
INSERT INTO public.ecdc_data VALUES (37681, 0, 0, 0, 80, 210);
INSERT INTO public.ecdc_data VALUES (37682, 0, 0, 0, 81, 210);
INSERT INTO public.ecdc_data VALUES (37683, 1, 17, 344.30198153, 205, 210);
INSERT INTO public.ecdc_data VALUES (37684, 11, 703, 46.00296357, 82, 210);
INSERT INTO public.ecdc_data VALUES (37685, 0, 0, 1.55115716, 168, 210);
INSERT INTO public.ecdc_data VALUES (37686, 0, 33, 5.7003052, 24, 210);
INSERT INTO public.ecdc_data VALUES (37687, 1, 30, 6.55936722, 25, 210);
INSERT INTO public.ecdc_data VALUES (37688, 3, 13, 74.47861774, 83, 210);
INSERT INTO public.ecdc_data VALUES (37689, 1, 28, 2.62805579, 84, 210);
INSERT INTO public.ecdc_data VALUES (37690, 0, 0, 0, 169, 210);
INSERT INTO public.ecdc_data VALUES (37691, 9, 247, 74.27574988, 85, 210);
INSERT INTO public.ecdc_data VALUES (37692, 1, 718, 55.23518647, 170, 210);
INSERT INTO public.ecdc_data VALUES (37693, 0, 4, 19.32821836, 171, 210);
INSERT INTO public.ecdc_data VALUES (37694, 1201, 97570, 87.52901481, 112, 210);
INSERT INTO public.ecdc_data VALUES (37695, 88, 3737, 16.64772494, 113, 210);
INSERT INTO public.ecdc_data VALUES (37696, 115, 2313, 33.63730611, 114, 210);
INSERT INTO public.ecdc_data VALUES (37697, 67, 4254, 150.24247523, 115, 210);
INSERT INTO public.ecdc_data VALUES (37698, 0, 211, 40.61791429, 172, 210);
INSERT INTO public.ecdc_data VALUES (37699, 0, 0, 1.18218681, 173, 210);
INSERT INTO public.ecdc_data VALUES (37700, 13, 2022, 429.18651408, 116, 210);
INSERT INTO public.ecdc_data VALUES (37701, 10, 1616, 32.11919453, 174, 210);
INSERT INTO public.ecdc_data VALUES (37702, 0, 0, 50.87717335, 86, 210);
INSERT INTO public.ecdc_data VALUES (37703, 11, 643, 6.40152992, 117, 210);
INSERT INTO public.ecdc_data VALUES (37704, 0, 1, 6.49374745, 175, 210);
INSERT INTO public.ecdc_data VALUES (37705, 1, 206, 10.65167565, 118, 210);
INSERT INTO public.ecdc_data VALUES (37706, 2, 375, 31.93285175, 119, 210);
INSERT INTO public.ecdc_data VALUES (37707, 4, 190, 4.11420352, 26, 210);
INSERT INTO public.ecdc_data VALUES (37708, 5, 50, 77.61998014, 176, 210);
INSERT INTO public.ecdc_data VALUES (37709, 1, 653, 235.24646685, 120, 210);
INSERT INTO public.ecdc_data VALUES (37710, 0, 144, 17.39441892, 121, 210);
INSERT INTO public.ecdc_data VALUES (37711, 0, 1, 0.01394806, 122, 210);
INSERT INTO public.ecdc_data VALUES (37712, 0, 11, 4.37507292, 177, 210);
INSERT INTO public.ecdc_data VALUES (37713, 10, 546, 107.50164571, 123, 210);
INSERT INTO public.ecdc_data VALUES (37714, 2, 81, 9.12826483, 27, 210);
INSERT INTO public.ecdc_data VALUES (37715, 0, 0, 0.34431258, 28, 210);
INSERT INTO public.ecdc_data VALUES (37716, 13, 969, 136.90983914, 29, 210);
INSERT INTO public.ecdc_data VALUES (37717, 0, 0, 7.81697848, 178, 210);
INSERT INTO public.ecdc_data VALUES (37718, 0, 44, 15.4964741, 179, 210);
INSERT INTO public.ecdc_data VALUES (37719, 0, 71, 94.31595683, 180, 210);
INSERT INTO public.ecdc_data VALUES (37720, 1, 45, 3.60780511, 30, 210);
INSERT INTO public.ecdc_data VALUES (37721, 1, 14, 0.78373486, 31, 210);
INSERT INTO public.ecdc_data VALUES (37722, 0, 182, 1.57747521, 124, 210);
INSERT INTO public.ecdc_data VALUES (37723, 0, 90, 286.46387561, 125, 210);
INSERT INTO public.ecdc_data VALUES (37724, 0, 3, 0.89530875, 32, 210);
INSERT INTO public.ecdc_data VALUES (37725, 0, 27, 86.3118695, 181, 210);
INSERT INTO public.ecdc_data VALUES (37726, 0, 20, 5.41352958, 33, 210);
INSERT INTO public.ecdc_data VALUES (37727, 0, 0, 0.78760623, 34, 210);
INSERT INTO public.ecdc_data VALUES (37728, 534, 5308, 56.12126445, 87, 210);
INSERT INTO public.ecdc_data VALUES (37729, 8, 479, 155.29555621, 182, 210);
INSERT INTO public.ecdc_data VALUES (37730, 0, 3, 129.96826356, 183, 210);
INSERT INTO public.ecdc_data VALUES (37731, 0, 0, 0.31006156, 126, 210);
INSERT INTO public.ecdc_data VALUES (37732, 1, 163, 276.76789107, 184, 210);
INSERT INTO public.ecdc_data VALUES (37733, 0, 0, 0, 88, 210);
INSERT INTO public.ecdc_data VALUES (37734, 33, 2430, 65.00370725, 35, 210);
INSERT INTO public.ecdc_data VALUES (37735, 0, 86, 4.02093878, 36, 210);
INSERT INTO public.ecdc_data VALUES (37736, 1, 180, 3.31017861, 127, 210);
INSERT INTO public.ecdc_data VALUES (37737, 2, 181, 101.4622429, 37, 210);
INSERT INTO public.ecdc_data VALUES (37738, 5, 1454, 54.04996345, 128, 210);
INSERT INTO public.ecdc_data VALUES (37739, 3, 1268, 61.58372653, 185, 210);
INSERT INTO public.ecdc_data VALUES (37740, 0, 0, 1.06098169, 207, 210);
INSERT INTO public.ecdc_data VALUES (37741, 0, 2, 1.42168343, 208, 210);
INSERT INTO public.ecdc_data VALUES (37742, 0, 0, 4.94996336, 89, 210);
INSERT INTO public.ecdc_data VALUES (37743, 0, 0, 0.01286962, 38, 210);
INSERT INTO public.ecdc_data VALUES (37744, 1, 188, 1.26391046, 39, 210);
INSERT INTO public.ecdc_data VALUES (37745, 3, 121, 71.58909496, 186, 210);
INSERT INTO public.ecdc_data VALUES (37746, 0, 0, 5.24356353, 209, 210);
INSERT INTO public.ecdc_data VALUES (37747, 0, 120, 24.8300931, 187, 210);
INSERT INTO public.ecdc_data VALUES (37748, 0, 0, 66.97498207, 129, 210);
INSERT INTO public.ecdc_data VALUES (37749, 3, 584, 2.57797512, 130, 210);
INSERT INTO public.ecdc_data VALUES (37750, 10, 652, 195.84769168, 131, 210);
INSERT INTO public.ecdc_data VALUES (37751, 13, 615, 228.56792984, 90, 210);
INSERT INTO public.ecdc_data VALUES (37752, 0, 0, 0.61530615, 210, 210);
INSERT INTO public.ecdc_data VALUES (37753, 11, 881, 151.0084477, 91, 210);
INSERT INTO public.ecdc_data VALUES (37754, 126, 6603, 266.71106673, 92, 210);
INSERT INTO public.ecdc_data VALUES (37755, 42, 4017, 40.16033723, 132, 210);
INSERT INTO public.ecdc_data VALUES (37756, 10, 594, 19.92741544, 188, 210);
INSERT INTO public.ecdc_data VALUES (37757, 3, 687, 55.84522611, 189, 210);
INSERT INTO public.ecdc_data VALUES (37758, 11, 302, 156.5757734, 93, 210);
INSERT INTO public.ecdc_data VALUES (37759, 0, 235, 109.14274395, 133, 210);
INSERT INTO public.ecdc_data VALUES (37760, 35, 1391, 85.53934393, 190, 210);
INSERT INTO public.ecdc_data VALUES (37761, 102, 5504, 48.99423646, 191, 210);
INSERT INTO public.ecdc_data VALUES (37762, 0, 55, 6.2723045, 40, 210);
INSERT INTO public.ecdc_data VALUES (37763, 0, 0, 0, 94, 210);
INSERT INTO public.ecdc_data VALUES (37764, 0, 0, 0.54706092, 95, 210);
INSERT INTO public.ecdc_data VALUES (37765, 0, 2, 3.61686544, 96, 210);
INSERT INTO public.ecdc_data VALUES (37766, 0, 0, 34.83005834, 192, 210);
INSERT INTO public.ecdc_data VALUES (37767, 0, 5, 5.11513709, 41, 210);
INSERT INTO public.ecdc_data VALUES (37768, 24, 687, 33.50887924, 134, 210);
INSERT INTO public.ecdc_data VALUES (37769, 0, 43, 4.96429817, 42, 210);
INSERT INTO public.ecdc_data VALUES (37770, 1, 92, 14.66161116, 193, 210);
INSERT INTO public.ecdc_data VALUES (37771, 0, 0, 1.0231121, 43, 210);
INSERT INTO public.ecdc_data VALUES (37772, 0, 18, 0.94711429, 44, 210);
INSERT INTO public.ecdc_data VALUES (37773, 0, 86, 11.18128271, 135, 210);
INSERT INTO public.ecdc_data VALUES (37774, 0, 1, 205.24192597, 97, 210);
INSERT INTO public.ecdc_data VALUES (37775, 0, 231, 27.96114282, 194, 210);
INSERT INTO public.ecdc_data VALUES (37776, 0, 110, 33.68721731, 195, 210);
INSERT INTO public.ecdc_data VALUES (37777, 1, 5, 0.65402198, 45, 210);
INSERT INTO public.ecdc_data VALUES (37778, 113, 1960, 44.86983879, 46, 210);
INSERT INTO public.ecdc_data VALUES (37779, 5, 136, 5.18298363, 136, 210);
INSERT INTO public.ecdc_data VALUES (37780, 0, 13, 0.45199317, 47, 210);
INSERT INTO public.ecdc_data VALUES (37781, 0, 0, 270.66032683, 196, 210);
INSERT INTO public.ecdc_data VALUES (37782, 0, 14, 0.84412983, 137, 210);
INSERT INTO public.ecdc_data VALUES (37783, 0, 0, 0.91560468, 48, 210);
INSERT INTO public.ecdc_data VALUES (37784, 0, 52, 117.13851759, 98, 210);
INSERT INTO public.ecdc_data VALUES (37785, 4, 291, 26.18720971, 197, 210);
INSERT INTO public.ecdc_data VALUES (37786, 3, 528, 57.2296161, 198, 210);
INSERT INTO public.ecdc_data VALUES (37787, 3, 60, 5.34852337, 138, 210);
INSERT INTO public.ecdc_data VALUES (37788, 0, 2, 0.04206297, 139, 210);
INSERT INTO public.ecdc_data VALUES (37789, 0, 38, 5.32130432, 140, 210);
INSERT INTO public.ecdc_data VALUES (37790, 0, 5, 0.07899395, 141, 210);
INSERT INTO public.ecdc_data VALUES (37791, 0, 0, 0, 142, 210);
INSERT INTO public.ecdc_data VALUES (37792, 0, 11, 2.26419044, 49, 210);
INSERT INTO public.ecdc_data VALUES (37793, 7, 127, 91.11313585, 99, 210);
INSERT INTO public.ecdc_data VALUES (37794, 4, 377, 23.92532494, 50, 210);
INSERT INTO public.ecdc_data VALUES (37795, 56, 1671, 27.57308489, 199, 210);
INSERT INTO public.ecdc_data VALUES (37796, 0, 3, 395.35005498, 100, 210);
INSERT INTO public.ecdc_data VALUES (37797, 1, 86, 3.66165603, 51, 210);
INSERT INTO public.ecdc_data VALUES (37798, 0, 0, 77.87261446, 200, 210);
INSERT INTO public.ecdc_data VALUES (37799, 0, 931, 91.50991461, 143, 210);
INSERT INTO public.ecdc_data VALUES (37800, 6, 3539, 45.0627178, 201, 210);
INSERT INTO public.ecdc_data VALUES (37801, 0, 0, 0, 52, 210);
INSERT INTO public.ecdc_data VALUES (37802, 1227, 48061, 160.4087743, 101, 210);
INSERT INTO public.ecdc_data VALUES (37803, 0, 0, 120.48307978, 102, 210);
INSERT INTO public.ecdc_data VALUES (37804, 0, 14, 6.26854022, 103, 210);
INSERT INTO public.ecdc_data VALUES (37805, 7, 571, 16.81234587, 144, 210);
INSERT INTO public.ecdc_data VALUES (37806, 8, 840, 51.84488938, 104, 210);
INSERT INTO public.ecdc_data VALUES (37807, 0, 1, 0.02280688, 145, 210);
INSERT INTO public.ecdc_data VALUES (37808, 0, 0, 0, 53, 210);
INSERT INTO public.ecdc_data VALUES (37809, 2, 4, 0.21946427, 146, 210);
INSERT INTO public.ecdc_data VALUES (37810, 6, 109, 8.64451633, 54, 210);
INSERT INTO public.ecdc_data VALUES (37811, 2, 26, 7.44940092, 55, 210);
INSERT INTO public.ecdc_data VALUES (37812, 32, 215, 2.09769491, 105, 211);
INSERT INTO public.ecdc_data VALUES (37813, 5, 140, 58.6565177, 147, 211);
INSERT INTO public.ecdc_data VALUES (37814, 10, 492, 17.62708866, 1, 211);
INSERT INTO public.ecdc_data VALUES (37815, 0, 0, 73.51300261, 148, 211);
INSERT INTO public.ecdc_data VALUES (37816, 3, 7, 2.29063048, 2, 211);
INSERT INTO public.ecdc_data VALUES (37817, 0, 0, 0, 56, 211);
INSERT INTO public.ecdc_data VALUES (37818, 0, 0, 6.17824229, 57, 211);
INSERT INTO public.ecdc_data VALUES (37819, 151, 7369, 193.05649144, 58, 211);
INSERT INTO public.ecdc_data VALUES (37820, 7, 160, 89.79865627, 149, 211);
INSERT INTO public.ecdc_data VALUES (37821, 0, 87, 562.50587903, 59, 211);
INSERT INTO public.ecdc_data VALUES (37822, 18, 316, 25.42931056, 202, 211);
INSERT INTO public.ecdc_data VALUES (37823, 0, 138, 17.81284658, 150, 211);
INSERT INTO public.ecdc_data VALUES (37824, 3, 84, 28.59355442, 151, 211);
INSERT INTO public.ecdc_data VALUES (37825, 0, 44, 139.15776177, 60, 211);
INSERT INTO public.ecdc_data VALUES (37826, 2, 407, 297.53272677, 106, 211);
INSERT INTO public.ecdc_data VALUES (37827, 33, 2996, 21.04802546, 107, 211);
INSERT INTO public.ecdc_data VALUES (37828, 0, 0, 11.49741657, 61, 211);
INSERT INTO public.ecdc_data VALUES (37829, 3, 58, 17.33949515, 152, 211);
INSERT INTO public.ecdc_data VALUES (37830, 13, 718, 73.21361869, 153, 211);
INSERT INTO public.ecdc_data VALUES (37831, 0, 33, 41.50111054, 62, 211);
INSERT INTO public.ecdc_data VALUES (37832, 0, 65, 1.95743619, 3, 211);
INSERT INTO public.ecdc_data VALUES (37833, 0, 0, 4.79938568, 63, 211);
INSERT INTO public.ecdc_data VALUES (37834, 0, 0, 1.83463636, 108, 211);
INSERT INTO public.ecdc_data VALUES (37835, 49, 1693, 182.40957129, 64, 211);
INSERT INTO public.ecdc_data VALUES (37836, 0, 0, 7.69734057, 65, 211);
INSERT INTO public.ecdc_data VALUES (37837, 22, 210, 119.41843043, 154, 211);
INSERT INTO public.ecdc_data VALUES (37838, 0, 0, 14.1945381, 4, 211);
INSERT INTO public.ecdc_data VALUES (37839, 1274, 52160, 296.82086127, 66, 211);
INSERT INTO public.ecdc_data VALUES (37840, 0, 0, 3.3296707, 67, 211);
INSERT INTO public.ecdc_data VALUES (37841, 0, 0, 0.23078911, 109, 211);
INSERT INTO public.ecdc_data VALUES (37842, 12, 210, 40.72834451, 155, 211);
INSERT INTO public.ecdc_data VALUES (37843, 0, 2, 0.52653897, 5, 211);
INSERT INTO public.ecdc_data VALUES (37844, 0, 0, 0.26017779, 6, 211);
INSERT INTO public.ecdc_data VALUES (37845, 0, 2, 0.25475324, 110, 211);
INSERT INTO public.ecdc_data VALUES (37846, 3, 171, 5.81611335, 7, 211);
INSERT INTO public.ecdc_data VALUES (37847, 4, 289, 14.50374085, 68, 211);
INSERT INTO public.ecdc_data VALUES (37848, 1, 37, 102.92106718, 8, 211);
INSERT INTO public.ecdc_data VALUES (37849, 0, 0, 0, 69, 211);
INSERT INTO public.ecdc_data VALUES (37850, 1, 6, 1.01155299, 9, 211);
INSERT INTO public.ecdc_data VALUES (37851, 0, 1, 0.12541637, 10, 211);
INSERT INTO public.ecdc_data VALUES (37852, 39, 1572, 141.49404009, 70, 211);
INSERT INTO public.ecdc_data VALUES (37853, 3, 58, 0.13767767, 111, 211);
INSERT INTO public.ecdc_data VALUES (37854, 321, 12830, 284.20656144, 71, 211);
INSERT INTO public.ecdc_data VALUES (37855, 0, 0, 6.9339081, 11, 211);
INSERT INTO public.ecdc_data VALUES (37856, 2, 81, 10.12916262, 12, 211);
INSERT INTO public.ecdc_data VALUES (37857, 11, 636, 161.74148267, 72, 211);
INSERT INTO public.ecdc_data VALUES (37858, 0, 49, 4.40961102, 13, 211);
INSERT INTO public.ecdc_data VALUES (37859, 2, 91, 20.04295128, 156, 211);
INSERT INTO public.ecdc_data VALUES (37860, 0, 47, 4.74699572, 73, 211);
INSERT INTO public.ecdc_data VALUES (37861, 0, 0, 1.83572692, 74, 211);
INSERT INTO public.ecdc_data VALUES (37862, 1, 25, 23.97536702, 157, 211);
INSERT INTO public.ecdc_data VALUES (37863, 2, 289, 28.01930553, 158, 211);
INSERT INTO public.ecdc_data VALUES (37864, 1, 10, 0.72012433, 14, 211);
INSERT INTO public.ecdc_data VALUES (37865, 1, 144, 23.80263038, 159, 211);
INSERT INTO public.ecdc_data VALUES (37866, 0, 1, 28.76051428, 15, 211);
INSERT INTO public.ecdc_data VALUES (37867, 0, 0, 0, 75, 211);
INSERT INTO public.ecdc_data VALUES (37868, 18, 595, 152.75226449, 76, 211);
INSERT INTO public.ecdc_data VALUES (37869, 19, 862, 76.46058628, 77, 211);
INSERT INTO public.ecdc_data VALUES (37870, 24, 168, 2.87583956, 16, 211);
INSERT INTO public.ecdc_data VALUES (37871, 7, 397, 90.22940862, 78, 211);
INSERT INTO public.ecdc_data VALUES (37872, 0, 0, 129.05776035, 17, 211);
INSERT INTO public.ecdc_data VALUES (37873, 0, 0, 0.57189965, 18, 211);
INSERT INTO public.ecdc_data VALUES (37874, 0, 9, 9.73717184, 160, 211);
INSERT INTO public.ecdc_data VALUES (37875, 2, 101, 87.62051086, 19, 211);
INSERT INTO public.ecdc_data VALUES (37876, 20, 584, 8.00776404, 20, 211);
INSERT INTO public.ecdc_data VALUES (37877, 0, 0, 0, 79, 211);
INSERT INTO public.ecdc_data VALUES (37878, 0, 11, 213.6532654, 161, 211);
INSERT INTO public.ecdc_data VALUES (37879, 0, 0, 0, 203, 211);
INSERT INTO public.ecdc_data VALUES (37880, 0, 22, 3.96888755, 162, 211);
INSERT INTO public.ecdc_data VALUES (37881, 14, 1397, 30.3941557, 163, 211);
INSERT INTO public.ecdc_data VALUES (37882, 0, 71, 25.4220599, 204, 211);
INSERT INTO public.ecdc_data VALUES (37883, 0, 0, 37.60509404, 21, 211);
INSERT INTO public.ecdc_data VALUES (37884, 9, 111, 43.44685172, 22, 211);
INSERT INTO public.ecdc_data VALUES (37885, 0, 14, 3.07749123, 164, 211);
INSERT INTO public.ecdc_data VALUES (37886, 6, 1226, 13.96423741, 165, 211);
INSERT INTO public.ecdc_data VALUES (37887, 0, 192, 23.0062222, 23, 211);
INSERT INTO public.ecdc_data VALUES (37888, 0, 4, 44.50246247, 166, 211);
INSERT INTO public.ecdc_data VALUES (37889, 1, 193, 15.50640728, 167, 211);
INSERT INTO public.ecdc_data VALUES (37890, 0, 0, 0, 80, 211);
INSERT INTO public.ecdc_data VALUES (37891, 0, 0, 0.8928412, 81, 211);
INSERT INTO public.ecdc_data VALUES (37892, 0, 15, 58.57915658, 205, 211);
INSERT INTO public.ecdc_data VALUES (37893, 11, 979, 73.41249392, 82, 211);
INSERT INTO public.ecdc_data VALUES (37894, 0, 0, 0, 168, 211);
INSERT INTO public.ecdc_data VALUES (37895, 0, 88, 6.98443989, 24, 211);
INSERT INTO public.ecdc_data VALUES (37896, 0, 0, 5.10173006, 25, 211);
INSERT INTO public.ecdc_data VALUES (37897, 0, 0, 21.97310849, 83, 211);
INSERT INTO public.ecdc_data VALUES (37898, 0, 0, 2.46824159, 84, 211);
INSERT INTO public.ecdc_data VALUES (37899, 0, 0, 0, 169, 211);
INSERT INTO public.ecdc_data VALUES (37900, 9, 531, 81.49914094, 85, 211);
INSERT INTO public.ecdc_data VALUES (37901, 0, 15, 2.87534039, 170, 211);
INSERT INTO public.ecdc_data VALUES (37902, 0, 6, 31.09322084, 171, 211);
INSERT INTO public.ecdc_data VALUES (37903, 834, 60963, 58.39861173, 112, 211);
INSERT INTO public.ecdc_data VALUES (37904, 59, 1693, 9.87526799, 113, 211);
INSERT INTO public.ecdc_data VALUES (37905, 184, 2345, 42.11115741, 114, 211);
INSERT INTO public.ecdc_data VALUES (37906, 67, 3396, 105.98632315, 115, 211);
INSERT INTO public.ecdc_data VALUES (37907, 1, 33, 17.78053276, 172, 211);
INSERT INTO public.ecdc_data VALUES (37908, 0, 0, 0, 173, 211);
INSERT INTO public.ecdc_data VALUES (37909, 9, 1737, 239.50119334, 116, 211);
INSERT INTO public.ecdc_data VALUES (37910, 6, 412, 7.86785242, 174, 211);
INSERT INTO public.ecdc_data VALUES (37911, 0, 16, 6.51227819, 86, 211);
INSERT INTO public.ecdc_data VALUES (37912, 7, 1274, 14.32993627, 117, 211);
INSERT INTO public.ecdc_data VALUES (37913, 0, 0, 11.13213848, 175, 211);
INSERT INTO public.ecdc_data VALUES (37914, 0, 15, 0.99983201, 118, 211);
INSERT INTO public.ecdc_data VALUES (37915, 0, 2114, 158.60234587, 119, 211);
INSERT INTO public.ecdc_data VALUES (37916, 15, 497, 16.82201383, 26, 211);
INSERT INTO public.ecdc_data VALUES (37917, 13, 171, 163.3578092, 176, 211);
INSERT INTO public.ecdc_data VALUES (37918, 4, 668, 188.23045074, 120, 211);
INSERT INTO public.ecdc_data VALUES (37919, 6, 304, 96.12130955, 121, 211);
INSERT INTO public.ecdc_data VALUES (37920, 0, 0, 0, 122, 211);
INSERT INTO public.ecdc_data VALUES (37921, 0, 10, 4.32298872, 177, 211);
INSERT INTO public.ecdc_data VALUES (37922, 7, 309, 45.18861579, 123, 211);
INSERT INTO public.ecdc_data VALUES (37923, 0, 0, 12.98660357, 27, 211);
INSERT INTO public.ecdc_data VALUES (37924, 2, 10, 1.47851874, 28, 211);
INSERT INTO public.ecdc_data VALUES (37925, 5, 388, 45.76940629, 29, 211);
INSERT INTO public.ecdc_data VALUES (37926, 0, 0, 5.21131898, 178, 211);
INSERT INTO public.ecdc_data VALUES (37927, 0, 18, 9.16188769, 179, 211);
INSERT INTO public.ecdc_data VALUES (37928, 1, 26, 141.22959338, 180, 211);
INSERT INTO public.ecdc_data VALUES (37929, 1, 115, 11.91354349, 30, 211);
INSERT INTO public.ecdc_data VALUES (37930, 6, 39, 5.38415113, 31, 211);
INSERT INTO public.ecdc_data VALUES (37931, 0, 9, 0.50078578, 124, 211);
INSERT INTO public.ecdc_data VALUES (37932, 1, 66, 323.37835267, 125, 211);
INSERT INTO public.ecdc_data VALUES (37933, 0, 4, 0.28995795, 32, 211);
INSERT INTO public.ecdc_data VALUES (37934, 0, 49, 74.15526816, 181, 211);
INSERT INTO public.ecdc_data VALUES (37935, 0, 52, 8.37439882, 33, 211);
INSERT INTO public.ecdc_data VALUES (37936, 0, 0, 0, 34, 211);
INSERT INTO public.ecdc_data VALUES (37937, 926, 6783, 64.90351296, 87, 211);
INSERT INTO public.ecdc_data VALUES (37938, 7, 382, 116.29235631, 182, 211);
INSERT INTO public.ecdc_data VALUES (37939, 0, 1, 39.29273084, 183, 211);
INSERT INTO public.ecdc_data VALUES (37940, 0, 0, 0.06201231, 126, 211);
INSERT INTO public.ecdc_data VALUES (37941, 3, 52, 128.41901566, 184, 211);
INSERT INTO public.ecdc_data VALUES (37942, 0, 0, 0, 88, 211);
INSERT INTO public.ecdc_data VALUES (37943, 17, 1132, 37.85942255, 35, 211);
INSERT INTO public.ecdc_data VALUES (37944, 1, 70, 2.50608879, 36, 211);
INSERT INTO public.ecdc_data VALUES (37945, 0, 0, 0.01665266, 127, 211);
INSERT INTO public.ecdc_data VALUES (37946, 0, 128, 52.59520454, 37, 211);
INSERT INTO public.ecdc_data VALUES (37947, 4, 638, 17.07521642, 128, 211);
INSERT INTO public.ecdc_data VALUES (37948, 2, 779, 37.86563059, 185, 211);
INSERT INTO public.ecdc_data VALUES (37949, 0, 0, 0.35366056, 207, 211);
INSERT INTO public.ecdc_data VALUES (37950, 0, 0, 0.2299782, 208, 211);
INSERT INTO public.ecdc_data VALUES (37951, 5, 213, 6.76800545, 89, 211);
INSERT INTO public.ecdc_data VALUES (37952, 0, 0, 0.11153667, 38, 211);
INSERT INTO public.ecdc_data VALUES (37953, 6, 423, 2.72984755, 39, 211);
INSERT INTO public.ecdc_data VALUES (37954, 0, 0, 79.38831042, 186, 211);
INSERT INTO public.ecdc_data VALUES (37955, 0, 0, 15.73069058, 209, 211);
INSERT INTO public.ecdc_data VALUES (37956, 0, 46, 10.35994814, 187, 211);
INSERT INTO public.ecdc_data VALUES (37957, 12, 263, 83.33681743, 129, 211);
INSERT INTO public.ecdc_data VALUES (37958, 17, 730, 4.44808067, 130, 211);
INSERT INTO public.ecdc_data VALUES (37959, 3, 473, 113.5418762, 131, 211);
INSERT INTO public.ecdc_data VALUES (37960, 16, 1070, 335.363269, 90, 211);
INSERT INTO public.ecdc_data VALUES (37961, 0, 0, 1.72057831, 210, 211);
INSERT INTO public.ecdc_data VALUES (37962, 4, 285, 40.38531996, 91, 211);
INSERT INTO public.ecdc_data VALUES (37963, 225, 6547, 291.2139483, 92, 211);
INSERT INTO public.ecdc_data VALUES (37964, 19, 2900, 51.67105572, 132, 211);
INSERT INTO public.ecdc_data VALUES (37965, 12, 551, 23.85127549, 188, 211);
INSERT INTO public.ecdc_data VALUES (37966, 2, 120, 24.66765084, 189, 211);
INSERT INTO public.ecdc_data VALUES (37967, 8, 585, 257.82333426, 93, 211);
INSERT INTO public.ecdc_data VALUES (37968, 0, 384, 132.97689218, 133, 211);
INSERT INTO public.ecdc_data VALUES (37969, 35, 1215, 86.06472558, 190, 211);
INSERT INTO public.ecdc_data VALUES (37970, 70, 4945, 50.78690081, 191, 211);
INSERT INTO public.ecdc_data VALUES (37971, 0, 19, 1.94029621, 40, 211);
INSERT INTO public.ecdc_data VALUES (37972, 0, 0, 0, 94, 211);
INSERT INTO public.ecdc_data VALUES (37973, 0, 0, 0.54706092, 95, 211);
INSERT INTO public.ecdc_data VALUES (37974, 0, 0, 4.5210818, 96, 211);
INSERT INTO public.ecdc_data VALUES (37975, 0, 0, 31.92755348, 192, 211);
INSERT INTO public.ecdc_data VALUES (37976, 0, 3, 6.51017447, 41, 211);
INSERT INTO public.ecdc_data VALUES (37977, 34, 1521, 60.22143524, 134, 211);
INSERT INTO public.ecdc_data VALUES (37978, 2, 68, 9.66473376, 42, 211);
INSERT INTO public.ecdc_data VALUES (37979, 6, 235, 57.10991929, 193, 211);
INSERT INTO public.ecdc_data VALUES (37980, 0, 1, 13.30045733, 43, 211);
INSERT INTO public.ecdc_data VALUES (37981, 0, 15, 1.8686309, 44, 211);
INSERT INTO public.ecdc_data VALUES (37982, 0, 61, 71.60155766, 135, 211);
INSERT INTO public.ecdc_data VALUES (37983, 0, 30, 231.19205454, 97, 211);
INSERT INTO public.ecdc_data VALUES (37984, 0, 16, 7.5407019, 194, 211);
INSERT INTO public.ecdc_data VALUES (37985, 0, 17, 8.21756656, 195, 211);
INSERT INTO public.ecdc_data VALUES (37986, 0, 0, 0.20073942, 45, 211);
INSERT INTO public.ecdc_data VALUES (37987, 130, 2511, 181.61056576, 46, 211);
INSERT INTO public.ecdc_data VALUES (37988, 0, 54, 0.90384988, 136, 211);
INSERT INTO public.ecdc_data VALUES (37989, 0, 2, 1.35597952, 47, 211);
INSERT INTO public.ecdc_data VALUES (37990, -2, 3172, 100.43875777, 196, 211);
INSERT INTO public.ecdc_data VALUES (37991, 0, 9, 0.32827271, 137, 211);
INSERT INTO public.ecdc_data VALUES (37992, 5, 77, 1.25428498, 48, 211);
INSERT INTO public.ecdc_data VALUES (37993, 9, 70, 180.43803957, 98, 211);
INSERT INTO public.ecdc_data VALUES (37994, 4, 417, 36.11860392, 197, 211);
INSERT INTO public.ecdc_data VALUES (37995, 1, 187, 26.73056098, 198, 211);
INSERT INTO public.ecdc_data VALUES (37996, 1, 139, 3.70823143, 138, 211);
INSERT INTO public.ecdc_data VALUES (37997, 0, 1, 0.05888816, 139, 211);
INSERT INTO public.ecdc_data VALUES (37998, 1, 44, 6.3834195, 140, 211);
INSERT INTO public.ecdc_data VALUES (37999, 0, 5, 0.08330272, 141, 211);
INSERT INTO public.ecdc_data VALUES (38000, 0, 0, 0.07733234, 142, 211);
INSERT INTO public.ecdc_data VALUES (38001, 1, 3, 2.15283681, 49, 211);
INSERT INTO public.ecdc_data VALUES (38002, 0, 14, 10.1077515, 99, 211);
INSERT INTO public.ecdc_data VALUES (38003, 1, 21, 2.308734, 50, 211);
INSERT INTO public.ecdc_data VALUES (38004, 15, 1183, 18.53326895, 199, 211);
INSERT INTO public.ecdc_data VALUES (38005, 0, 8, 327.27653558, 100, 211);
INSERT INTO public.ecdc_data VALUES (38006, 0, 16, 0.40208191, 51, 211);
INSERT INTO public.ecdc_data VALUES (38007, 19, 1433, 40.85362969, 200, 211);
INSERT INTO public.ecdc_data VALUES (38008, 0, 262, 35.00323319, 143, 211);
INSERT INTO public.ecdc_data VALUES (38009, 13, 1148, 18.150824, 201, 211);
INSERT INTO public.ecdc_data VALUES (38010, 0, 0, 0, 52, 211);
INSERT INTO public.ecdc_data VALUES (38011, 1076, 46813, 239.83413583, 101, 211);
INSERT INTO public.ecdc_data VALUES (38012, 0, 92, 242.87858939, 102, 211);
INSERT INTO public.ecdc_data VALUES (38013, 0, 21, 4.82417611, 103, 211);
INSERT INTO public.ecdc_data VALUES (38014, 6, 670, 30.45930146, 144, 211);
INSERT INTO public.ecdc_data VALUES (38015, 15, 2133, 39.86207099, 104, 211);
INSERT INTO public.ecdc_data VALUES (38016, 4, 20, 0.44888092, 145, 211);
INSERT INTO public.ecdc_data VALUES (38017, 0, 0, 0, 53, 211);
INSERT INTO public.ecdc_data VALUES (38018, 5, 0, 0.46636158, 146, 211);
INSERT INTO public.ecdc_data VALUES (38019, 0, 65, 18.32480695, 54, 211);
INSERT INTO public.ecdc_data VALUES (38020, 0, 70, 13.66292506, 55, 211);
INSERT INTO public.ecdc_data VALUES (38021, 16, 85, 10.08102754, 105, 212);
INSERT INTO public.ecdc_data VALUES (38022, 4, 93, 36.36773968, 147, 212);
INSERT INTO public.ecdc_data VALUES (38023, 8, 470, 13.34167839, 1, 212);
INSERT INTO public.ecdc_data VALUES (38024, 0, 0, 0, 148, 212);
INSERT INTO public.ecdc_data VALUES (38025, 2, 25, 0.75097488, 2, 212);
INSERT INTO public.ecdc_data VALUES (38026, 0, 0, 0, 56, 212);
INSERT INTO public.ecdc_data VALUES (38027, 0, 0, 9.26736344, 57, 212);
INSERT INTO public.ecdc_data VALUES (38028, 61, 3367, 81.09748234, 58, 212);
INSERT INTO public.ecdc_data VALUES (38029, 6, 577, 247.62249943, 149, 212);
INSERT INTO public.ecdc_data VALUES (38030, 0, 0, 3.76258113, 59, 212);
INSERT INTO public.ecdc_data VALUES (38031, 1, 194, 7.58633824, 202, 212);
INSERT INTO public.ecdc_data VALUES (38032, 0, 108, 13.91840294, 150, 212);
INSERT INTO public.ecdc_data VALUES (38033, 6, 531, 75.94758572, 151, 212);
INSERT INTO public.ecdc_data VALUES (38034, 0, 3, 1.79724047, 60, 212);
INSERT INTO public.ecdc_data VALUES (38035, 0, 431, 438.8958081, 106, 212);
INSERT INTO public.ecdc_data VALUES (38036, 30, 2686, 28.91880204, 107, 212);
INSERT INTO public.ecdc_data VALUES (38037, 0, 5, 2.09043938, 61, 212);
INSERT INTO public.ecdc_data VALUES (38038, 5, 163, 38.84723989, 152, 212);
INSERT INTO public.ecdc_data VALUES (38039, 2, 62, 11.35697126, 153, 212);
INSERT INTO public.ecdc_data VALUES (38040, 0, 0, 3.33033603, 62, 212);
INSERT INTO public.ecdc_data VALUES (38041, 3, 93, 2.15233243, 3, 212);
INSERT INTO public.ecdc_data VALUES (38042, 0, 0, 6.3991809, 63, 212);
INSERT INTO public.ecdc_data VALUES (38043, 0, 0, 0.78627273, 108, 212);
INSERT INTO public.ecdc_data VALUES (38044, 52, 1635, 143.52343964, 64, 212);
INSERT INTO public.ecdc_data VALUES (38045, 0, 0, 0, 65, 212);
INSERT INTO public.ecdc_data VALUES (38046, 3, 318, 79.15787892, 154, 212);
INSERT INTO public.ecdc_data VALUES (38047, 0, 0, 8.20418257, 4, 212);
INSERT INTO public.ecdc_data VALUES (38048, 1071, 39023, 249.3173178, 66, 212);
INSERT INTO public.ecdc_data VALUES (38049, 0, 0, 0, 67, 212);
INSERT INTO public.ecdc_data VALUES (38050, 0, 0, 0, 109, 212);
INSERT INTO public.ecdc_data VALUES (38051, 0, 211, 36.42836847, 155, 212);
INSERT INTO public.ecdc_data VALUES (38052, 0, 13, 0.45272509, 5, 212);
INSERT INTO public.ecdc_data VALUES (38053, 0, 24, 0.91929485, 6, 212);
INSERT INTO public.ecdc_data VALUES (38054, 0, 15, 0.0909833, 110, 212);
INSERT INTO public.ecdc_data VALUES (38055, 0, 0, 8.98116109, 7, 212);
INSERT INTO public.ecdc_data VALUES (38056, 14, 221, 11.53135607, 68, 212);
INSERT INTO public.ecdc_data VALUES (38057, 0, 38, 90.91967065, 8, 212);
INSERT INTO public.ecdc_data VALUES (38058, 0, 0, 7.69846647, 69, 212);
INSERT INTO public.ecdc_data VALUES (38059, 0, 29, 18.1025837, 9, 212);
INSERT INTO public.ecdc_data VALUES (38060, 0, 0, 0.05643736, 10, 212);
INSERT INTO public.ecdc_data VALUES (38061, 100, 2755, 233.55275568, 70, 212);
INSERT INTO public.ecdc_data VALUES (38062, 0, 35, 0.02287653, 111, 212);
INSERT INTO public.ecdc_data VALUES (38063, 194, 4586, 112.77637697, 71, 212);
INSERT INTO public.ecdc_data VALUES (38064, 0, 4, 8.22667063, 11, 212);
INSERT INTO public.ecdc_data VALUES (38065, 0, 0, 14.55254006, 12, 212);
INSERT INTO public.ecdc_data VALUES (38066, 2, 386, 84.23870459, 72, 212);
INSERT INTO public.ecdc_data VALUES (38067, 1, 391, 14.40317392, 13, 212);
INSERT INTO public.ecdc_data VALUES (38068, 1, 140, 25.70993017, 156, 212);
INSERT INTO public.ecdc_data VALUES (38069, 1, 7, 0.79410709, 73, 212);
INSERT INTO public.ecdc_data VALUES (38070, 0, 0, 0.61190897, 74, 212);
INSERT INTO public.ecdc_data VALUES (38071, 0, 1, 2.28336829, 157, 212);
INSERT INTO public.ecdc_data VALUES (38072, 0, 53, 17.06135326, 158, 212);
INSERT INTO public.ecdc_data VALUES (38073, 0, 66, 1.63381809, 14, 212);
INSERT INTO public.ecdc_data VALUES (38074, 0, 0, 4.66752014, 159, 212);
INSERT INTO public.ecdc_data VALUES (38075, 0, 0, 32.0474302, 15, 212);
INSERT INTO public.ecdc_data VALUES (38076, 0, 0, 0, 75, 212);
INSERT INTO public.ecdc_data VALUES (38077, 16, 1199, 116.35208149, 76, 212);
INSERT INTO public.ecdc_data VALUES (38078, 48, 1408, 72.72504574, 77, 212);
INSERT INTO public.ecdc_data VALUES (38079, 67, 923, 17.16837366, 16, 212);
INSERT INTO public.ecdc_data VALUES (38080, 5, 249, 53.56741638, 78, 212);
INSERT INTO public.ecdc_data VALUES (38081, 0, 0, 78.90960204, 17, 212);
INSERT INTO public.ecdc_data VALUES (38082, 0, 0, 1.17239429, 18, 212);
INSERT INTO public.ecdc_data VALUES (38083, 0, 1, 2.11349466, 160, 212);
INSERT INTO public.ecdc_data VALUES (38084, 0, 54, 49.2974246, 19, 212);
INSERT INTO public.ecdc_data VALUES (38085, 0, 282, 1.63456532, 20, 212);
INSERT INTO public.ecdc_data VALUES (38086, 0, 0, 0, 79, 212);
INSERT INTO public.ecdc_data VALUES (38087, 0, 0, 2.05435832, 161, 212);
INSERT INTO public.ecdc_data VALUES (38088, 0, 0, 0.3370957, 203, 212);
INSERT INTO public.ecdc_data VALUES (38089, 0, 0, 1.79415464, 162, 212);
INSERT INTO public.ecdc_data VALUES (38090, 0, 0, 11.66342896, 163, 212);
INSERT INTO public.ecdc_data VALUES (38091, 0, 0, 0, 204, 212);
INSERT INTO public.ecdc_data VALUES (38092, 0, 0, 33.73871962, 21, 212);
INSERT INTO public.ecdc_data VALUES (38093, 0, 0, 0.8093041, 22, 212);
INSERT INTO public.ecdc_data VALUES (38094, 0, 5, 1.55125574, 164, 212);
INSERT INTO public.ecdc_data VALUES (38095, 3, 248, 6.39008708, 165, 212);
INSERT INTO public.ecdc_data VALUES (38096, 0, 414, 25.69871948, 23, 212);
INSERT INTO public.ecdc_data VALUES (38097, 0, 0, 11.86732333, 166, 212);
INSERT INTO public.ecdc_data VALUES (38098, 0, 40, 3.78568933, 167, 212);
INSERT INTO public.ecdc_data VALUES (38099, 0, 0, 0, 80, 212);
INSERT INTO public.ecdc_data VALUES (38100, 0, 0, 0, 81, 212);
INSERT INTO public.ecdc_data VALUES (38101, 0, 0, 38.25577573, 205, 212);
INSERT INTO public.ecdc_data VALUES (38102, 33, 979, 69.39690388, 82, 212);
INSERT INTO public.ecdc_data VALUES (38103, 0, 0, 0, 168, 212);
INSERT INTO public.ecdc_data VALUES (38104, 0, 75, 5.89605744, 24, 212);
INSERT INTO public.ecdc_data VALUES (38105, 0, 52, 11.86933116, 25, 212);
INSERT INTO public.ecdc_data VALUES (38106, 1, 1, 7.79278848, 83, 212);
INSERT INTO public.ecdc_data VALUES (38107, 4, 73, 8.10613155, 84, 212);
INSERT INTO public.ecdc_data VALUES (38108, 0, 0, 0, 169, 212);
INSERT INTO public.ecdc_data VALUES (38109, 21, 530, 108.51503394, 85, 212);
INSERT INTO public.ecdc_data VALUES (38110, 2, 6, 0.93116005, 170, 212);
INSERT INTO public.ecdc_data VALUES (38111, 0, 0, 3.64154839, 171, 212);
INSERT INTO public.ecdc_data VALUES (38112, 551, 28637, 23.46968916, 112, 212);
INSERT INTO public.ecdc_data VALUES (38113, 66, 1671, 7.83591892, 113, 212);
INSERT INTO public.ecdc_data VALUES (38114, 188, 2397, 42.1364849, 114, 212);
INSERT INTO public.ecdc_data VALUES (38115, 95, 2734, 81.23167489, 115, 212);
INSERT INTO public.ecdc_data VALUES (38116, 2, 22, 3.54795035, 172, 212);
INSERT INTO public.ecdc_data VALUES (38117, 0, 0, 0, 173, 212);
INSERT INTO public.ecdc_data VALUES (38118, 3, 1197, 164.82433625, 116, 212);
INSERT INTO public.ecdc_data VALUES (38119, 7, 188, 4.45828403, 174, 212);
INSERT INTO public.ecdc_data VALUES (38120, 0, 5, 2.30643186, 86, 212);
INSERT INTO public.ecdc_data VALUES (38121, 0, 373, 2.45309212, 117, 212);
INSERT INTO public.ecdc_data VALUES (38122, 0, 0, 5.56606924, 175, 212);
INSERT INTO public.ecdc_data VALUES (38123, 0, 3, 0.64345624, 118, 212);
INSERT INTO public.ecdc_data VALUES (38124, 0, 1798, 201.99523185, 119, 212);
INSERT INTO public.ecdc_data VALUES (38125, 3, 278, 7.44665131, 26, 212);
INSERT INTO public.ecdc_data VALUES (38126, 7, 408, 118.15362306, 176, 212);
INSERT INTO public.ecdc_data VALUES (38127, 3, 478, 229.77948823, 120, 212);
INSERT INTO public.ecdc_data VALUES (38128, 7, 719, 91.66360004, 121, 212);
INSERT INTO public.ecdc_data VALUES (38129, 0, 0, 0, 122, 212);
INSERT INTO public.ecdc_data VALUES (38130, 0, 19, 3.02088368, 177, 212);
INSERT INTO public.ecdc_data VALUES (38131, 0, 86, 6.54928615, 123, 212);
INSERT INTO public.ecdc_data VALUES (38132, 0, 50, 7.52846584, 27, 212);
INSERT INTO public.ecdc_data VALUES (38133, 0, 35, 5.4482403, 28, 212);
INSERT INTO public.ecdc_data VALUES (38134, 0, 47, 9.97424844, 29, 212);
INSERT INTO public.ecdc_data VALUES (38135, 0, 0, 5.21131898, 178, 212);
INSERT INTO public.ecdc_data VALUES (38136, 0, 4, 1.86100844, 179, 212);
INSERT INTO public.ecdc_data VALUES (38137, 0, 65, 101.80910711, 180, 212);
INSERT INTO public.ecdc_data VALUES (38138, 0, 435, 9.54047538, 30, 212);
INSERT INTO public.ecdc_data VALUES (38139, 2, 192, 6.56512147, 31, 212);
INSERT INTO public.ecdc_data VALUES (38140, 1, 8, 0.27543218, 124, 212);
INSERT INTO public.ecdc_data VALUES (38141, 0, 47, 67.61376157, 125, 212);
INSERT INTO public.ecdc_data VALUES (38142, 0, 2, 1.46505068, 32, 212);
INSERT INTO public.ecdc_data VALUES (38143, 0, 0, 0.81044009, 181, 212);
INSERT INTO public.ecdc_data VALUES (38144, 0, 0, 26.93507167, 33, 212);
INSERT INTO public.ecdc_data VALUES (38145, 0, 0, 0.07876062, 34, 212);
INSERT INTO public.ecdc_data VALUES (38146, 539, 3819, 67.98639259, 87, 212);
INSERT INTO public.ecdc_data VALUES (38147, 5, 284, 77.36335401, 182, 212);
INSERT INTO public.ecdc_data VALUES (38148, 0, 1, 18.13510654, 183, 212);
INSERT INTO public.ecdc_data VALUES (38149, 0, 3, 0.34106772, 126, 212);
INSERT INTO public.ecdc_data VALUES (38150, 4, 87, 111.70364941, 184, 212);
INSERT INTO public.ecdc_data VALUES (38151, 0, 0, 20.03606492, 88, 212);
INSERT INTO public.ecdc_data VALUES (38152, 2, 214, 10.04886903, 35, 212);
INSERT INTO public.ecdc_data VALUES (38153, 0, 24, 0.97477304, 36, 212);
INSERT INTO public.ecdc_data VALUES (38154, 0, 4, 0.06291005, 127, 212);
INSERT INTO public.ecdc_data VALUES (38155, 0, 0, 21.92803116, 37, 212);
INSERT INTO public.ecdc_data VALUES (38156, 3, 70, 17.35135605, 128, 212);
INSERT INTO public.ecdc_data VALUES (38157, 0, 81, 4.90100689, 185, 212);
INSERT INTO public.ecdc_data VALUES (38158, 0, 0, 0, 207, 212);
INSERT INTO public.ecdc_data VALUES (38159, 0, 1, 0.37632797, 208, 212);
INSERT INTO public.ecdc_data VALUES (38160, 0, 0, 10.32770132, 89, 212);
INSERT INTO public.ecdc_data VALUES (38161, 0, 0, 0.13298603, 38, 212);
INSERT INTO public.ecdc_data VALUES (38162, 15, 664, 3.93603612, 39, 212);
INSERT INTO public.ecdc_data VALUES (38163, 8, 197, 98.74191915, 186, 212);
INSERT INTO public.ecdc_data VALUES (38164, 0, 2, 5.24356353, 209, 212);
INSERT INTO public.ecdc_data VALUES (38165, 0, 0, 2.8152033, 187, 212);
INSERT INTO public.ecdc_data VALUES (38166, 4, 1083, 356.66389011, 129, 212);
INSERT INTO public.ecdc_data VALUES (38167, 74, 2521, 21.20237933, 130, 212);
INSERT INTO public.ecdc_data VALUES (38168, 2, 472, 93.22639198, 131, 212);
INSERT INTO public.ecdc_data VALUES (38169, 30, 1075, 322.01090796, 90, 212);
INSERT INTO public.ecdc_data VALUES (38170, 0, 0, 0, 210, 212);
INSERT INTO public.ecdc_data VALUES (38171, 1, 84, 12.46337818, 91, 212);
INSERT INTO public.ecdc_data VALUES (38172, 182, 3064, 143.71066151, 92, 212);
INSERT INTO public.ecdc_data VALUES (38173, 12, 1308, 17.9611605, 132, 212);
INSERT INTO public.ecdc_data VALUES (38174, 6, 305, 10.0255941, 188, 212);
INSERT INTO public.ecdc_data VALUES (38175, 8, 542, 48.96553019, 189, 212);
INSERT INTO public.ecdc_data VALUES (38176, 8, 237, 84.10024668, 93, 212);
INSERT INTO public.ecdc_data VALUES (38177, 0, 498, 334.2077229, 133, 212);
INSERT INTO public.ecdc_data VALUES (38178, 24, 698, 31.19839864, 190, 212);
INSERT INTO public.ecdc_data VALUES (38179, 188, 6611, 63.68654328, 191, 212);
INSERT INTO public.ecdc_data VALUES (38180, 1, 47, 3.33414166, 40, 212);
INSERT INTO public.ecdc_data VALUES (38181, 0, 0, 3.78544119, 94, 212);
INSERT INTO public.ecdc_data VALUES (38182, 0, 0, 1.64118275, 95, 212);
INSERT INTO public.ecdc_data VALUES (38183, 0, 0, 0, 96, 212);
INSERT INTO public.ecdc_data VALUES (38184, 0, 0, 2.90250486, 192, 212);
INSERT INTO public.ecdc_data VALUES (38185, 0, 0, 6.51017447, 41, 212);
INSERT INTO public.ecdc_data VALUES (38186, 30, 2994, 148.75456136, 134, 212);
INSERT INTO public.ecdc_data VALUES (38187, 0, 132, 9.54200698, 42, 212);
INSERT INTO public.ecdc_data VALUES (38188, 12, 345, 61.47537452, 193, 212);
INSERT INTO public.ecdc_data VALUES (38189, 0, 0, 91.05697711, 43, 212);
INSERT INTO public.ecdc_data VALUES (38190, 0, 5, 2.66215909, 44, 212);
INSERT INTO public.ecdc_data VALUES (38191, 0, 170, 43.70865057, 135, 212);
INSERT INTO public.ecdc_data VALUES (38192, 0, 0, 2.3591026, 97, 212);
INSERT INTO public.ecdc_data VALUES (38193, 0, 23, 4.32994075, 194, 212);
INSERT INTO public.ecdc_data VALUES (38194, 0, 34, 12.25426593, 195, 212);
INSERT INTO public.ecdc_data VALUES (38195, 0, 13, 1.12025548, 45, 212);
INSERT INTO public.ecdc_data VALUES (38196, 111, 13497, 226.07226406, 46, 212);
INSERT INTO public.ecdc_data VALUES (38197, 1, 44, 1.37041601, 136, 212);
INSERT INTO public.ecdc_data VALUES (38198, 0, 0, 1.54581665, 47, 212);
INSERT INTO public.ecdc_data VALUES (38199, 0, 0, 10.94657399, 196, 212);
INSERT INTO public.ecdc_data VALUES (38200, 0, 57, 2.24163367, 137, 212);
INSERT INTO public.ecdc_data VALUES (38201, 1, 46, 2.31704041, 48, 212);
INSERT INTO public.ecdc_data VALUES (38202, 0, 15, 60.20334971, 98, 212);
INSERT INTO public.ecdc_data VALUES (38203, 10, 308, 70.47770886, 197, 212);
INSERT INTO public.ecdc_data VALUES (38204, 0, 108, 14.52391689, 198, 212);
INSERT INTO public.ecdc_data VALUES (38205, 0, 0, 0.8084296, 138, 212);
INSERT INTO public.ecdc_data VALUES (38206, 0, 0, 0.01682519, 139, 212);
INSERT INTO public.ecdc_data VALUES (38207, 0, 49, 7.58500435, 140, 212);
INSERT INTO public.ecdc_data VALUES (38208, 0, 1, 0.07899395, 141, 212);
INSERT INTO public.ecdc_data VALUES (38209, 0, 0, 0, 142, 212);
INSERT INTO public.ecdc_data VALUES (38210, 0, 8, 1.27438041, 49, 212);
INSERT INTO public.ecdc_data VALUES (38211, 0, 0, 0.64517563, 99, 212);
INSERT INTO public.ecdc_data VALUES (38212, 0, 5, 0.65841673, 50, 212);
INSERT INTO public.ecdc_data VALUES (38213, 21, 1016, 19.63077797, 199, 212);
INSERT INTO public.ecdc_data VALUES (38214, 0, 0, 130.91061423, 100, 212);
INSERT INTO public.ecdc_data VALUES (38215, 0, 7, 0.37271638, 51, 212);
INSERT INTO public.ecdc_data VALUES (38216, 27, 800, 24.49899409, 200, 212);
INSERT INTO public.ecdc_data VALUES (38217, 1, 403, 72.59588685, 143, 212);
INSERT INTO public.ecdc_data VALUES (38218, 17, 565, 12.75974269, 201, 212);
INSERT INTO public.ecdc_data VALUES (38219, 0, 0, 0, 52, 212);
INSERT INTO public.ecdc_data VALUES (38220, 717, 63051, 224.07767036, 101, 212);
INSERT INTO public.ecdc_data VALUES (38221, 0, 14, 95.62149189, 102, 212);
INSERT INTO public.ecdc_data VALUES (38222, 1, 1, 1.79101149, 103, 212);
INSERT INTO public.ecdc_data VALUES (38223, 2, 307, 14.51713472, 144, 212);
INSERT INTO public.ecdc_data VALUES (38224, 2, 375, 14.19562447, 104, 212);
INSERT INTO public.ecdc_data VALUES (38225, 0, 0, 0.01658682, 145, 212);
INSERT INTO public.ecdc_data VALUES (38226, 0, 0, 53.39440784, 53, 212);
INSERT INTO public.ecdc_data VALUES (38227, 1, 9, 0.98073097, 146, 212);
INSERT INTO public.ecdc_data VALUES (38228, 0, 0, 2.03795592, 54, 212);
INSERT INTO public.ecdc_data VALUES (38229, 5, 40, 2.83364013, 55, 212);
INSERT INTO public.ecdc_data VALUES (38230, 21, 747, 25.90311483, 105, 213);
INSERT INTO public.ecdc_data VALUES (38231, 1, 44, 10.79503512, 147, 213);
INSERT INTO public.ecdc_data VALUES (38232, 9, 105, 3.69776323, 1, 213);
INSERT INTO public.ecdc_data VALUES (38233, 0, 0, 116.83316487, 148, 213);
INSERT INTO public.ecdc_data VALUES (38234, 1, 5, 0.14139694, 2, 213);
INSERT INTO public.ecdc_data VALUES (38235, 0, 0, 0, 56, 213);
INSERT INTO public.ecdc_data VALUES (38236, 0, 0, 1.02970705, 57, 213);
INSERT INTO public.ecdc_data VALUES (38237, 30, 1373, 28.29568782, 58, 213);
INSERT INTO public.ecdc_data VALUES (38238, 13, 612, 223.31329994, 149, 213);
INSERT INTO public.ecdc_data VALUES (38239, 0, 0, 0, 59, 213);
INSERT INTO public.ecdc_data VALUES (38240, 0, 9, 0.53564627, 202, 213);
INSERT INTO public.ecdc_data VALUES (38241, 1, 28, 4.75235007, 150, 213);
INSERT INTO public.ecdc_data VALUES (38242, 6, 352, 41.03418895, 151, 213);
INSERT INTO public.ecdc_data VALUES (38243, 0, 0, 0.51349728, 60, 213);
INSERT INTO public.ecdc_data VALUES (38244, 2, 0, 403.06757886, 106, 213);
INSERT INTO public.ecdc_data VALUES (38245, 37, 3187, 23.14129753, 107, 213);
INSERT INTO public.ecdc_data VALUES (38246, 0, 0, 1.39362625, 61, 213);
INSERT INTO public.ecdc_data VALUES (38247, 5, 750, 126.50743318, 152, 213);
INSERT INTO public.ecdc_data VALUES (38248, 7, 95, 14.94476156, 153, 213);
INSERT INTO public.ecdc_data VALUES (38249, 0, 0, 0.51235939, 62, 213);
INSERT INTO public.ecdc_data VALUES (38250, 0, 0, 0.80500622, 3, 213);
INSERT INTO public.ecdc_data VALUES (38251, 0, 0, 1.59979523, 63, 213);
INSERT INTO public.ecdc_data VALUES (38252, 0, 0, 4.06240909, 108, 213);
INSERT INTO public.ecdc_data VALUES (38253, 21, 884, 67.5578137, 64, 213);
INSERT INTO public.ecdc_data VALUES (38254, 0, 0, 0, 65, 213);
INSERT INTO public.ecdc_data VALUES (38255, 0, 55, 11.17843755, 154, 213);
INSERT INTO public.ecdc_data VALUES (38256, 0, 0, 0.56430885, 4, 213);
INSERT INTO public.ecdc_data VALUES (38257, 1239, 30412, 172.75092676, 66, 213);
INSERT INTO public.ecdc_data VALUES (38258, 0, 0, 0, 67, 213);
INSERT INTO public.ecdc_data VALUES (38259, 0, 0, 0, 109, 213);
INSERT INTO public.ecdc_data VALUES (38260, 1, 93, 8.58566645, 155, 213);
INSERT INTO public.ecdc_data VALUES (38261, 0, 1, 0.22144162, 5, 213);
INSERT INTO public.ecdc_data VALUES (38262, 0, 11, 0.45097483, 6, 213);
INSERT INTO public.ecdc_data VALUES (38263, 0, 0, 0.01213111, 110, 213);
INSERT INTO public.ecdc_data VALUES (38264, 0, 0, 13.80795549, 7, 213);
INSERT INTO public.ecdc_data VALUES (38265, 34, 405, 24.10518521, 68, 213);
INSERT INTO public.ecdc_data VALUES (38266, 1, 42, 48.55110413, 8, 213);
INSERT INTO public.ecdc_data VALUES (38267, 0, 0, 61.58773172, 69, 213);
INSERT INTO public.ecdc_data VALUES (38268, 1, 92, 27.16441255, 9, 213);
INSERT INTO public.ecdc_data VALUES (38269, 0, 2, 0.76503984, 10, 213);
INSERT INTO public.ecdc_data VALUES (38270, 173, 5596, 354.31023634, 70, 213);
INSERT INTO public.ecdc_data VALUES (38271, 0, 7, 0.00767201, 111, 213);
INSERT INTO public.ecdc_data VALUES (38272, 0, 0, 36.38498741, 71, 213);
INSERT INTO public.ecdc_data VALUES (38273, 0, 0, 8.81428996, 11, 213);
INSERT INTO public.ecdc_data VALUES (38274, 0, 0, 3.23389779, 12, 213);
INSERT INTO public.ecdc_data VALUES (38275, 0, 77, 10.65861314, 72, 213);
INSERT INTO public.ecdc_data VALUES (38276, 0, 223, 6.85550638, 13, 213);
INSERT INTO public.ecdc_data VALUES (38277, 0, 0, 0.0981295, 156, 213);
INSERT INTO public.ecdc_data VALUES (38278, 1, 8, 2.08232526, 73, 213);
INSERT INTO public.ecdc_data VALUES (38279, 0, 1, 1.83572692, 74, 213);
INSERT INTO public.ecdc_data VALUES (38280, 0, 1, 3.88172609, 157, 213);
INSERT INTO public.ecdc_data VALUES (38281, 1, 62, 7.00482638, 158, 213);
INSERT INTO public.ecdc_data VALUES (38282, 2, 125, 1.93799861, 14, 213);
INSERT INTO public.ecdc_data VALUES (38283, 0, 19, 9.00779717, 159, 213);
INSERT INTO public.ecdc_data VALUES (38284, 3, 25, 152.43072568, 15, 213);
INSERT INTO public.ecdc_data VALUES (38285, 0, 0, 2.78520499, 75, 213);
INSERT INTO public.ecdc_data VALUES (38286, 11, 629, 49.99554426, 76, 213);
INSERT INTO public.ecdc_data VALUES (38287, 0, 0, 34.35661243, 77, 213);
INSERT INTO public.ecdc_data VALUES (38288, 35, 1442, 18.85980961, 16, 213);
INSERT INTO public.ecdc_data VALUES (38289, 4, 207, 19.94251226, 78, 213);
INSERT INTO public.ecdc_data VALUES (38290, 0, 0, 19.3955377, 17, 213);
INSERT INTO public.ecdc_data VALUES (38291, 0, 0, 0.05718997, 18, 213);
INSERT INTO public.ecdc_data VALUES (38292, 0, 7, 8.60494256, 160, 213);
INSERT INTO public.ecdc_data VALUES (38293, 0, 51, 14.80664697, 19, 213);
INSERT INTO public.ecdc_data VALUES (38294, 5, 164, 1.64081093, 20, 213);
INSERT INTO public.ecdc_data VALUES (38295, 0, 0, 0, 79, 213);
INSERT INTO public.ecdc_data VALUES (38296, 0, 0, 0, 161, 213);
INSERT INTO public.ecdc_data VALUES (38297, 0, 0, 0, 203, 213);
INSERT INTO public.ecdc_data VALUES (38298, 1, 24, 5.81741051, 162, 213);
INSERT INTO public.ecdc_data VALUES (38299, 27, 425, 9.68470495, 163, 213);
INSERT INTO public.ecdc_data VALUES (38300, 0, 0, 0, 204, 213);
INSERT INTO public.ecdc_data VALUES (38301, 1, 88, 47.50117142, 21, 213);
INSERT INTO public.ecdc_data VALUES (38302, 0, 0, 0.12778486, 22, 213);
INSERT INTO public.ecdc_data VALUES (38303, 0, 4, 2.32688361, 164, 213);
INSERT INTO public.ecdc_data VALUES (38304, 8, 258, 6.28288298, 165, 213);
INSERT INTO public.ecdc_data VALUES (38305, 0, 0, 10.04344224, 23, 213);
INSERT INTO public.ecdc_data VALUES (38306, 0, 0, 56.36978579, 166, 213);
INSERT INTO public.ecdc_data VALUES (38307, 0, 20, 1.69703315, 167, 213);
INSERT INTO public.ecdc_data VALUES (38308, 0, 0, 0, 80, 213);
INSERT INTO public.ecdc_data VALUES (38309, 0, 0, 0, 81, 213);
INSERT INTO public.ecdc_data VALUES (38310, 0, 0, 5.97746496, 205, 213);
INSERT INTO public.ecdc_data VALUES (38311, 18, 340, 23.96272076, 82, 213);
INSERT INTO public.ecdc_data VALUES (38312, 0, 0, 0, 168, 213);
INSERT INTO public.ecdc_data VALUES (38313, 0, 114, 6.41284335, 24, 213);
INSERT INTO public.ecdc_data VALUES (38314, 0, 0, 10.98433717, 25, 213);
INSERT INTO public.ecdc_data VALUES (38315, 0, 2, 1.02200505, 83, 213);
INSERT INTO public.ecdc_data VALUES (38316, 6, 145, 22.17866003, 84, 213);
INSERT INTO public.ecdc_data VALUES (38317, 0, 0, 0, 169, 213);
INSERT INTO public.ecdc_data VALUES (38318, 4, 309, 29.92987462, 85, 213);
INSERT INTO public.ecdc_data VALUES (38319, 2, 12, 2.02604056, 170, 213);
INSERT INTO public.ecdc_data VALUES (38320, 0, 0, 0.56023821, 171, 213);
INSERT INTO public.ecdc_data VALUES (38321, 396, 10956, 9.64097542, 112, 213);
INSERT INTO public.ecdc_data VALUES (38322, 41, 979, 3.97486465, 113, 213);
INSERT INTO public.ecdc_data VALUES (38323, 78, 2238, 43.81292288, 114, 213);
INSERT INTO public.ecdc_data VALUES (38324, 31, 1261, 28.53742105, 115, 213);
INSERT INTO public.ecdc_data VALUES (38325, 8, 7, 8.09503613, 172, 213);
INSERT INTO public.ecdc_data VALUES (38326, 0, 0, 0, 173, 213);
INSERT INTO public.ecdc_data VALUES (38327, 1, 346, 21.46871607, 116, 213);
INSERT INTO public.ecdc_data VALUES (38328, 53, 379, 7.30621798, 174, 213);
INSERT INTO public.ecdc_data VALUES (38329, 0, 6, 1.42456085, 86, 213);
INSERT INTO public.ecdc_data VALUES (38330, 2, 40, 0.4832087, 117, 213);
INSERT INTO public.ecdc_data VALUES (38331, 0, 0, 4.63839103, 175, 213);
INSERT INTO public.ecdc_data VALUES (38332, 0, 27, 1.60369094, 118, 213);
INSERT INTO public.ecdc_data VALUES (38333, 0, 314, 21.23825724, 119, 213);
INSERT INTO public.ecdc_data VALUES (38334, 3, 121, 3.03762507, 26, 213);
INSERT INTO public.ecdc_data VALUES (38335, 0, 28, 15.23486716, 176, 213);
INSERT INTO public.ecdc_data VALUES (38336, 4, 609, 245.30095361, 120, 213);
INSERT INTO public.ecdc_data VALUES (38337, 0, 37, 7.85554403, 121, 213);
INSERT INTO public.ecdc_data VALUES (38338, 0, 0, 0, 122, 213);
INSERT INTO public.ecdc_data VALUES (38339, 0, 2, 1.71877865, 177, 213);
INSERT INTO public.ecdc_data VALUES (38340, 1, 14, 3.41321372, 123, 213);
INSERT INTO public.ecdc_data VALUES (38341, 0, 0, 0.09410582, 27, 213);
INSERT INTO public.ecdc_data VALUES (38342, 0, 13, 2.85576908, 28, 213);
INSERT INTO public.ecdc_data VALUES (38343, 0, 15, 4.24938395, 29, 213);
INSERT INTO public.ecdc_data VALUES (38344, 0, 0, 0, 178, 213);
INSERT INTO public.ecdc_data VALUES (38345, 0, 19, 3.43570788, 179, 213);
INSERT INTO public.ecdc_data VALUES (38346, 0, 3, 7.16736114, 180, 213);
INSERT INTO public.ecdc_data VALUES (38347, 0, 41, 2.02823165, 30, 213);
INSERT INTO public.ecdc_data VALUES (38348, 0, 26, 1.49231706, 31, 213);
INSERT INTO public.ecdc_data VALUES (38349, 0, 31, 2.31613423, 124, 213);
INSERT INTO public.ecdc_data VALUES (38350, 0, 14, 87.20103511, 125, 213);
INSERT INTO public.ecdc_data VALUES (38351, 1, 55, 2.68592625, 32, 213);
INSERT INTO public.ecdc_data VALUES (38352, 0, 5, 5.87569065, 181, 213);
INSERT INTO public.ecdc_data VALUES (38353, 0, 0, 19.22355402, 33, 213);
INSERT INTO public.ecdc_data VALUES (38354, 0, 0, 0.23628187, 34, 213);
INSERT INTO public.ecdc_data VALUES (38355, 587, 5363, 48.67861453, 87, 213);
INSERT INTO public.ecdc_data VALUES (38356, 4, 406, 74.24705522, 182, 213);
INSERT INTO public.ecdc_data VALUES (38357, 0, 0, 0, 183, 213);
INSERT INTO public.ecdc_data VALUES (38358, 0, 3, 0.55811081, 126, 213);
INSERT INTO public.ecdc_data VALUES (38359, 0, 0, 0, 184, 213);
INSERT INTO public.ecdc_data VALUES (38360, 0, 0, 0, 88, 213);
INSERT INTO public.ecdc_data VALUES (38361, 1, 82, 2.45121116, 35, 213);
INSERT INTO public.ecdc_data VALUES (38362, 0, 17, 0.84304695, 36, 213);
INSERT INTO public.ecdc_data VALUES (38363, 0, 12, 0.10176625, 127, 213);
INSERT INTO public.ecdc_data VALUES (38364, 0, 0, 0.36079028, 37, 213);
INSERT INTO public.ecdc_data VALUES (38365, 0, 250, 12.48570584, 128, 213);
INSERT INTO public.ecdc_data VALUES (38366, 2, 164, 13.31430562, 185, 213);
INSERT INTO public.ecdc_data VALUES (38367, 0, 0, 0.70732113, 207, 213);
INSERT INTO public.ecdc_data VALUES (38368, 0, 0, 0, 208, 213);
INSERT INTO public.ecdc_data VALUES (38369, 0, 0, 10.7707536, 89, 213);
INSERT INTO public.ecdc_data VALUES (38370, 0, 0, 0.08150757, 38, 213);
INSERT INTO public.ecdc_data VALUES (38371, 5, 681, 2.80598074, 39, 213);
INSERT INTO public.ecdc_data VALUES (38372, 5, 175, 70.48179894, 186, 213);
INSERT INTO public.ecdc_data VALUES (38373, 0, 0, 13.98283607, 209, 213);
INSERT INTO public.ecdc_data VALUES (38374, 3, 18, 3.62222824, 187, 213);
INSERT INTO public.ecdc_data VALUES (38375, 5, 1067, 220.00035377, 129, 213);
INSERT INTO public.ecdc_data VALUES (38376, 107, 6397, 28.58490956, 130, 213);
INSERT INTO public.ecdc_data VALUES (38377, 0, 2, 0.84313274, 131, 213);
INSERT INTO public.ecdc_data VALUES (38378, 5, 697, 152.00968341, 90, 213);
INSERT INTO public.ecdc_data VALUES (38379, 0, 0, 0, 210, 213);
INSERT INTO public.ecdc_data VALUES (38380, 0, 28, 4.68441321, 91, 213);
INSERT INTO public.ecdc_data VALUES (38381, 206, 5965, 224.57078586, 92, 213);
INSERT INTO public.ecdc_data VALUES (38382, 9, 443, 7.94234951, 132, 213);
INSERT INTO public.ecdc_data VALUES (38383, 9, 444, 14.15749774, 188, 213);
INSERT INTO public.ecdc_data VALUES (38384, 9, 310, 41.97879516, 189, 213);
INSERT INTO public.ecdc_data VALUES (38385, 1, 23, 63.61210389, 93, 213);
INSERT INTO public.ecdc_data VALUES (38386, 3, 1476, 852.98002769, 133, 213);
INSERT INTO public.ecdc_data VALUES (38387, 9, 237, 12.315564, 190, 213);
INSERT INTO public.ecdc_data VALUES (38388, 174, 8779, 84.58427942, 191, 213);
INSERT INTO public.ecdc_data VALUES (38389, 0, 18, 1.14833858, 40, 213);
INSERT INTO public.ecdc_data VALUES (38390, 0, 0, 0, 94, 213);
INSERT INTO public.ecdc_data VALUES (38391, 0, 0, 0.54706092, 95, 213);
INSERT INTO public.ecdc_data VALUES (38392, 0, 0, 1.80843272, 96, 213);
INSERT INTO public.ecdc_data VALUES (38393, 0, 0, 60.9526021, 192, 213);
INSERT INTO public.ecdc_data VALUES (38394, 0, 7, 84.16725568, 41, 213);
INSERT INTO public.ecdc_data VALUES (38395, 38, 3733, 104.57408312, 134, 213);
INSERT INTO public.ecdc_data VALUES (38396, 2, 119, 8.65837418, 42, 213);
INSERT INTO public.ecdc_data VALUES (38397, 1, 71, 11.51676019, 193, 213);
INSERT INTO public.ecdc_data VALUES (38398, 0, 0, 0, 43, 213);
INSERT INTO public.ecdc_data VALUES (38399, 0, 23, 3.4940838, 44, 213);
INSERT INTO public.ecdc_data VALUES (38400, 0, 422, 105.74840253, 135, 213);
INSERT INTO public.ecdc_data VALUES (38401, 0, 0, 0, 97, 213);
INSERT INTO public.ecdc_data VALUES (38402, 0, 8, 0.38529134, 194, 213);
INSERT INTO public.ecdc_data VALUES (38403, 0, 0, 0.72083917, 195, 213);
INSERT INTO public.ecdc_data VALUES (38404, 0, 61, 4.43569364, 45, 213);
INSERT INTO public.ecdc_data VALUES (38405, 79, 3147, 53.22049575, 46, 213);
INSERT INTO public.ecdc_data VALUES (38406, 1, 56, 1.17324789, 136, 213);
INSERT INTO public.ecdc_data VALUES (38407, 0, 0, 7.21381103, 47, 213);
INSERT INTO public.ecdc_data VALUES (38408, 0, 502, 9.89623125, 196, 213);
INSERT INTO public.ecdc_data VALUES (38409, 0, 8, 1.62729473, 137, 213);
INSERT INTO public.ecdc_data VALUES (38410, 24, 303, 5.5683713, 48, 213);
INSERT INTO public.ecdc_data VALUES (38411, 0, 31, 26.83349302, 98, 213);
INSERT INTO public.ecdc_data VALUES (38412, 35, 1293, 110.60406043, 197, 213);
INSERT INTO public.ecdc_data VALUES (38413, 0, 33, 2.9024427, 198, 213);
INSERT INTO public.ecdc_data VALUES (38414, 0, 12, 0.25190198, 138, 213);
INSERT INTO public.ecdc_data VALUES (38415, 0, 0, 0.00841259, 139, 213);
INSERT INTO public.ecdc_data VALUES (38416, 1, 71, 13.63584233, 140, 213);
INSERT INTO public.ecdc_data VALUES (38417, 0, 0, 0.08617522, 141, 213);
INSERT INTO public.ecdc_data VALUES (38418, 0, 0, 0, 142, 213);
INSERT INTO public.ecdc_data VALUES (38419, 0, 2, 1.26200779, 49, 213);
INSERT INTO public.ecdc_data VALUES (38420, 0, 0, 0.07168618, 99, 213);
INSERT INTO public.ecdc_data VALUES (38421, 0, 0, 0.16246647, 50, 213);
INSERT INTO public.ecdc_data VALUES (38422, 17, 987, 15.90656403, 199, 213);
INSERT INTO public.ecdc_data VALUES (38423, 0, 0, 0, 100, 213);
INSERT INTO public.ecdc_data VALUES (38424, 0, 14, 0.81771714, 51, 213);
INSERT INTO public.ecdc_data VALUES (38425, 21, 689, 15.20219637, 200, 213);
INSERT INTO public.ecdc_data VALUES (38426, 2, 479, 86.52553609, 143, 213);
INSERT INTO public.ecdc_data VALUES (38427, 76, 1199, 25.67703159, 201, 213);
INSERT INTO public.ecdc_data VALUES (38428, 0, 0, 0, 52, 213);
INSERT INTO public.ecdc_data VALUES (38429, 896, 22883, 91.65273611, 101, 213);
INSERT INTO public.ecdc_data VALUES (38430, 0, 0, 2.86864476, 102, 213);
INSERT INTO public.ecdc_data VALUES (38431, 0, 0, 1.03994216, 103, 213);
INSERT INTO public.ecdc_data VALUES (38432, 0, 124, 4.16897666, 144, 213);
INSERT INTO public.ecdc_data VALUES (38433, 0, 76, 5.21464763, 104, 213);
INSERT INTO public.ecdc_data VALUES (38434, 0, 0, 0.00518338, 145, 213);
INSERT INTO public.ecdc_data VALUES (38435, 0, 0, 2.91866538, 53, 213);
INSERT INTO public.ecdc_data VALUES (38436, 7, 31, 1.07331746, 146, 213);
INSERT INTO public.ecdc_data VALUES (38437, 0, 0, 1.0917621, 54, 213);
INSERT INTO public.ecdc_data VALUES (38438, 0, 12, 1.24953288, 55, 213);
INSERT INTO public.ecdc_data VALUES (38439, 2, 285, 7.84401204, 105, 214);
INSERT INTO public.ecdc_data VALUES (38440, 0, 4, 4.75121287, 147, 214);
INSERT INTO public.ecdc_data VALUES (38441, 5, 168, 5.51412683, 1, 214);
INSERT INTO public.ecdc_data VALUES (38442, 0, 1, 17.06551846, 148, 214);
INSERT INTO public.ecdc_data VALUES (38443, 0, 0, 0.05655878, 2, 214);
INSERT INTO public.ecdc_data VALUES (38444, 0, 0, 0, 56, 214);
INSERT INTO public.ecdc_data VALUES (38445, 0, 0, 1.02970705, 57, 214);
INSERT INTO public.ecdc_data VALUES (38446, 5, 245, 4.53543856, 58, 214);
INSERT INTO public.ecdc_data VALUES (38447, 1, 146, 56.49606725, 149, 214);
INSERT INTO public.ecdc_data VALUES (38448, 0, 0, 0.94064528, 59, 214);
INSERT INTO public.ecdc_data VALUES (38449, 0, 7, 0.88480828, 202, 214);
INSERT INTO public.ecdc_data VALUES (38450, 2, 87, 6.97613383, 150, 214);
INSERT INTO public.ecdc_data VALUES (38451, 0, 70, 9.06673445, 151, 214);
INSERT INTO public.ecdc_data VALUES (38452, 0, 1, 3.33773229, 60, 214);
INSERT INTO public.ecdc_data VALUES (38453, 0, 295, 153.12302731, 106, 214);
INSERT INTO public.ecdc_data VALUES (38454, 11, 1034, 5.99707422, 107, 214);
INSERT INTO public.ecdc_data VALUES (38455, 0, 0, 1.39362625, 61, 214);
INSERT INTO public.ecdc_data VALUES (38456, 4, 933, 133.47920091, 152, 214);
INSERT INTO public.ecdc_data VALUES (38457, 65, 476, 53.65972506, 153, 214);
INSERT INTO public.ecdc_data VALUES (38458, 0, 0, 0, 62, 214);
INSERT INTO public.ecdc_data VALUES (38459, 0, 0, 2.16080618, 3, 214);
INSERT INTO public.ecdc_data VALUES (38460, 1, 1, 14.39815704, 63, 214);
INSERT INTO public.ecdc_data VALUES (38461, 0, 2, 0.52418182, 108, 214);
INSERT INTO public.ecdc_data VALUES (38462, 4, 275, 15.78201948, 64, 214);
INSERT INTO public.ecdc_data VALUES (38463, 0, 0, 0, 65, 214);
INSERT INTO public.ecdc_data VALUES (38464, 5, 25, 17.50985611, 154, 214);
INSERT INTO public.ecdc_data VALUES (38465, 0, 1, 0.08681675, 4, 214);
INSERT INTO public.ecdc_data VALUES (38466, 396, 5632, 48.24934, 66, 214);
INSERT INTO public.ecdc_data VALUES (38467, 0, 0, 3.3296707, 67, 214);
INSERT INTO public.ecdc_data VALUES (38468, 0, 0, 0.69236734, 109, 214);
INSERT INTO public.ecdc_data VALUES (38469, 2, 25, 8.95709295, 155, 214);
INSERT INTO public.ecdc_data VALUES (38470, 1, 9, 0.61511561, 5, 214);
INSERT INTO public.ecdc_data VALUES (38471, 0, 0, 0.03469037, 6, 214);
INSERT INTO public.ecdc_data VALUES (38472, 0, 0, 0, 110, 214);
INSERT INTO public.ecdc_data VALUES (38473, 11, 110, 4.12731499, 7, 214);
INSERT INTO public.ecdc_data VALUES (38474, 122, 1133, 57.44828572, 68, 214);
INSERT INTO public.ecdc_data VALUES (38475, 0, 14, 27.45774054, 8, 214);
INSERT INTO public.ecdc_data VALUES (38476, 0, 3, 21.5557061, 69, 214);
INSERT INTO public.ecdc_data VALUES (38477, 0, 0, 2.71854866, 9, 214);
INSERT INTO public.ecdc_data VALUES (38478, 0, 0, 1.73074586, 10, 214);
INSERT INTO public.ecdc_data VALUES (38479, 11, 1197, 85.74277116, 70, 214);
INSERT INTO public.ecdc_data VALUES (38480, 0, 1, 0.00509142, 111, 214);
INSERT INTO public.ecdc_data VALUES (38481, 16, 550, 11.95086724, 71, 214);
INSERT INTO public.ecdc_data VALUES (38482, 0, 0, 0, 11, 214);
INSERT INTO public.ecdc_data VALUES (38483, 1, 46, 2.34178806, 12, 214);
INSERT INTO public.ecdc_data VALUES (38484, 1, 9, 2.06040105, 72, 214);
INSERT INTO public.ecdc_data VALUES (38485, 0, 30, 2.20091697, 13, 214);
INSERT INTO public.ecdc_data VALUES (38486, 1, 9, 3.85158305, 156, 214);
INSERT INTO public.ecdc_data VALUES (38487, 0, 17, 3.47642437, 73, 214);
INSERT INTO public.ecdc_data VALUES (38488, 0, 0, 0, 74, 214);
INSERT INTO public.ecdc_data VALUES (38489, 0, 3, 9.01930474, 157, 214);
INSERT INTO public.ecdc_data VALUES (38490, 2, 53, 6.82641928, 158, 214);
INSERT INTO public.ecdc_data VALUES (38491, 3, 78, 0.72703753, 14, 214);
INSERT INTO public.ecdc_data VALUES (38492, 5, 84, 31.26032861, 159, 214);
INSERT INTO public.ecdc_data VALUES (38493, 0, 17, 19.72149551, 15, 214);
INSERT INTO public.ecdc_data VALUES (38494, 0, 0, 0, 75, 214);
INSERT INTO public.ecdc_data VALUES (38495, 5, 287, 41.89419885, 76, 214);
INSERT INTO public.ecdc_data VALUES (38496, 18, -50, 36.0833646, 77, 214);
INSERT INTO public.ecdc_data VALUES (38497, 8, 346, 4.94481038, 16, 214);
INSERT INTO public.ecdc_data VALUES (38498, 1, 40, 10.45935958, 78, 214);
INSERT INTO public.ecdc_data VALUES (38499, 0, 0, 13.34825979, 17, 214);
INSERT INTO public.ecdc_data VALUES (38500, 0, 0, 0, 18, 214);
INSERT INTO public.ecdc_data VALUES (38501, 1, 2, 7.09530351, 160, 214);
INSERT INTO public.ecdc_data VALUES (38502, 0, 3, 9.58077157, 19, 214);
INSERT INTO public.ecdc_data VALUES (38503, 0, 11, 0.11242098, 20, 214);
INSERT INTO public.ecdc_data VALUES (38504, 0, 0, 0, 79, 214);
INSERT INTO public.ecdc_data VALUES (38505, 0, 0, 0, 161, 214);
INSERT INTO public.ecdc_data VALUES (38506, 0, 0, 0, 203, 214);
INSERT INTO public.ecdc_data VALUES (38507, 4, 22, 23.36025592, 162, 214);
INSERT INTO public.ecdc_data VALUES (38508, 263, 456, 20.51695045, 163, 214);
INSERT INTO public.ecdc_data VALUES (38509, 0, 0, 0.71611436, 204, 214);
INSERT INTO public.ecdc_data VALUES (38510, 1, 141, 27.20270573, 21, 214);
INSERT INTO public.ecdc_data VALUES (38511, 0, 2, 0.51113943, 22, 214);
INSERT INTO public.ecdc_data VALUES (38512, 1, 3, 3.5278558, 164, 214);
INSERT INTO public.ecdc_data VALUES (38513, 116, 933, 17.06954269, 165, 214);
INSERT INTO public.ecdc_data VALUES (38514, 0, 437, 10.35575878, 23, 214);
INSERT INTO public.ecdc_data VALUES (38515, 0, 1, 17.80098499, 166, 214);
INSERT INTO public.ecdc_data VALUES (38516, 0, 10, 1.79027673, 167, 214);
INSERT INTO public.ecdc_data VALUES (38517, 0, 0, 0, 80, 214);
INSERT INTO public.ecdc_data VALUES (38518, 0, 0, 2.6785236, 81, 214);
INSERT INTO public.ecdc_data VALUES (38519, 0, 1, 4.78197197, 205, 214);
INSERT INTO public.ecdc_data VALUES (38520, 0, 62, 3.32167788, 82, 214);
INSERT INTO public.ecdc_data VALUES (38521, 0, 0, 7.75578582, 168, 214);
INSERT INTO public.ecdc_data VALUES (38522, 0, 67, 8.22159404, 24, 214);
INSERT INTO public.ecdc_data VALUES (38523, 0, 35, 35.81622735, 25, 214);
INSERT INTO public.ecdc_data VALUES (38524, 0, 5, 4.47127208, 83, 214);
INSERT INTO public.ecdc_data VALUES (38525, 1, 27, 1.18084939, 84, 214);
INSERT INTO public.ecdc_data VALUES (38526, 0, 0, 368.09815951, 169, 214);
INSERT INTO public.ecdc_data VALUES (38527, 8, 34, 13.47203475, 85, 214);
INSERT INTO public.ecdc_data VALUES (38528, 4, 29, 6.79439863, 170, 214);
INSERT INTO public.ecdc_data VALUES (38529, 0, 0, 2.52107196, 171, 214);
INSERT INTO public.ecdc_data VALUES (38530, 87, 3604, 3.02403857, 112, 214);
INSERT INTO public.ecdc_data VALUES (38531, 18, 233, 1.91001909, 113, 214);
INSERT INTO public.ecdc_data VALUES (38532, 45, 1683, 21.4849398, 114, 214);
INSERT INTO public.ecdc_data VALUES (38533, 1, 51, 2.47012265, 115, 214);
INSERT INTO public.ecdc_data VALUES (38534, 9, 139, 71.10174053, 172, 214);
INSERT INTO public.ecdc_data VALUES (38535, 0, 0, 26.0081098, 173, 214);
INSERT INTO public.ecdc_data VALUES (38536, 6, 29, 12.20747114, 116, 214);
INSERT INTO public.ecdc_data VALUES (38537, 179, 744, 33.79747091, 174, 214);
INSERT INTO public.ecdc_data VALUES (38538, 0, 3, 4.78245429, 86, 214);
INSERT INTO public.ecdc_data VALUES (38539, 22, 76, 1.81144142, 117, 214);
INSERT INTO public.ecdc_data VALUES (38540, 0, 0, 10.20446028, 175, 214);
INSERT INTO public.ecdc_data VALUES (38541, 0, 22, 1.11862393, 118, 214);
INSERT INTO public.ecdc_data VALUES (38542, 1, 114, 12.82920107, 119, 214);
INSERT INTO public.ecdc_data VALUES (38543, 1, 28, 0.64100166, 26, 214);
INSERT INTO public.ecdc_data VALUES (38544, 0, 11, 6.06058584, 176, 214);
INSERT INTO public.ecdc_data VALUES (38545, 7, 598, 142.56929455, 120, 214);
INSERT INTO public.ecdc_data VALUES (38546, 0, 21, 5.12792457, 121, 214);
INSERT INTO public.ecdc_data VALUES (38547, 0, 0, 0, 122, 214);
INSERT INTO public.ecdc_data VALUES (38548, 0, 7, 6.66677778, 177, 214);
INSERT INTO public.ecdc_data VALUES (38549, 0, 14, 2.17337113, 123, 214);
INSERT INTO public.ecdc_data VALUES (38550, 0, 12, 1.57978715, 28, 214);
INSERT INTO public.ecdc_data VALUES (38551, 0, 0, 0.04426442, 29, 214);
INSERT INTO public.ecdc_data VALUES (38552, 0, 0, 0, 178, 214);
INSERT INTO public.ecdc_data VALUES (38553, 0, 6, 1.28839046, 179, 214);
INSERT INTO public.ecdc_data VALUES (38554, 0, 2, 25.90023685, 180, 214);
INSERT INTO public.ecdc_data VALUES (38555, 0, 15, 0.2150593, 30, 214);
INSERT INTO public.ecdc_data VALUES (38556, 0, 1, 0.11272899, 31, 214);
INSERT INTO public.ecdc_data VALUES (38557, 1, 70, 2.83569948, 124, 214);
INSERT INTO public.ecdc_data VALUES (38558, 0, 62, 128.63565223, 125, 214);
INSERT INTO public.ecdc_data VALUES (38559, 1, 8, 1.54644239, 32, 214);
INSERT INTO public.ecdc_data VALUES (38560, 0, 3, 9.72528107, 181, 214);
INSERT INTO public.ecdc_data VALUES (38561, 0, 0, 0.02209604, 33, 214);
INSERT INTO public.ecdc_data VALUES (38562, 0, 0, 0, 34, 214);
INSERT INTO public.ecdc_data VALUES (38563, 108, 2942, 20.9812965, 87, 214);
INSERT INTO public.ecdc_data VALUES (38564, 6, 68, 37.4450505, 182, 214);
INSERT INTO public.ecdc_data VALUES (38565, 0, 0, 0, 183, 214);
INSERT INTO public.ecdc_data VALUES (38566, 0, 0, 0.12402462, 126, 214);
INSERT INTO public.ecdc_data VALUES (38567, 0, 0, 0.48217403, 184, 214);
INSERT INTO public.ecdc_data VALUES (38568, 0, 0, 0, 88, 214);
INSERT INTO public.ecdc_data VALUES (38569, 0, 218, 5.92513124, 35, 214);
INSERT INTO public.ecdc_data VALUES (38570, 0, 12, 0.08891511, 36, 214);
INSERT INTO public.ecdc_data VALUES (38571, 0, 0, 0.06291005, 127, 214);
INSERT INTO public.ecdc_data VALUES (38572, 0, 0, 0, 37, 214);
INSERT INTO public.ecdc_data VALUES (38573, 0, 14, 0.28662595, 128, 214);
INSERT INTO public.ecdc_data VALUES (38574, 16, 161, 26.28721879, 185, 214);
INSERT INTO public.ecdc_data VALUES (38575, 0, 0, 0, 207, 214);
INSERT INTO public.ecdc_data VALUES (38576, 0, 0, 0.48086351, 208, 214);
INSERT INTO public.ecdc_data VALUES (38577, 0, 0, 0.04583299, 89, 214);
INSERT INTO public.ecdc_data VALUES (38578, 0, 11, 0.56197323, 38, 214);
INSERT INTO public.ecdc_data VALUES (38579, 7, 242, 1.6440788, 39, 214);
INSERT INTO public.ecdc_data VALUES (38580, 0, 22, 12.7579759, 186, 214);
INSERT INTO public.ecdc_data VALUES (38581, 0, 3, 8.73927254, 209, 214);
INSERT INTO public.ecdc_data VALUES (38582, 7, 7, 10.7540766, 187, 214);
INSERT INTO public.ecdc_data VALUES (38583, 0, 175, 30.65331562, 129, 214);
INSERT INTO public.ecdc_data VALUES (38584, 39, 1140, 8.31250371, 130, 214);
INSERT INTO public.ecdc_data VALUES (38585, 0, 0, 1.04387864, 131, 214);
INSERT INTO public.ecdc_data VALUES (38586, 5, 168, 61.11001215, 90, 214);
INSERT INTO public.ecdc_data VALUES (38587, 0, 0, 0, 210, 214);
INSERT INTO public.ecdc_data VALUES (38588, 0, 11, 7.01242463, 91, 214);
INSERT INTO public.ecdc_data VALUES (38589, 72, 1515, 123.41565617, 92, 214);
INSERT INTO public.ecdc_data VALUES (38590, 7, 292, 3.06058397, 132, 214);
INSERT INTO public.ecdc_data VALUES (38591, 11, 330, 11.65044085, 188, 214);
INSERT INTO public.ecdc_data VALUES (38592, 9, 98, 34.39847958, 189, 214);
INSERT INTO public.ecdc_data VALUES (38593, 2, 58, 29.55610615, 93, 214);
INSERT INTO public.ecdc_data VALUES (38594, 0, 1103, 437.10062354, 133, 214);
INSERT INTO public.ecdc_data VALUES (38595, 20, 226, 21.88575133, 190, 214);
INSERT INTO public.ecdc_data VALUES (38596, 94, 11656, 91.99624384, 191, 214);
INSERT INTO public.ecdc_data VALUES (38597, 0, 1, 0.61772696, 40, 214);
INSERT INTO public.ecdc_data VALUES (38598, 0, 0, 0, 94, 214);
INSERT INTO public.ecdc_data VALUES (38599, 0, 0, 1.64118275, 95, 214);
INSERT INTO public.ecdc_data VALUES (38600, 0, 0, 1.80843272, 96, 214);
INSERT INTO public.ecdc_data VALUES (38601, 0, 0, 261.22543755, 192, 214);
INSERT INTO public.ecdc_data VALUES (38602, 0, 4, 94.86254232, 41, 214);
INSERT INTO public.ecdc_data VALUES (38603, 9, 1966, 64.79122579, 134, 214);
INSERT INTO public.ecdc_data VALUES (38604, 0, 177, 7.06292607, 42, 214);
INSERT INTO public.ecdc_data VALUES (38605, 3, 62, 27.29845526, 193, 214);
INSERT INTO public.ecdc_data VALUES (38606, 0, 0, 0, 43, 214);
INSERT INTO public.ecdc_data VALUES (38607, 1, 31, 3.05892318, 44, 214);
INSERT INTO public.ecdc_data VALUES (38608, 1, 451, 161.32747496, 135, 214);
INSERT INTO public.ecdc_data VALUES (38609, 0, 0, 2.3591026, 97, 214);
INSERT INTO public.ecdc_data VALUES (38610, 0, 0, 1.3943877, 194, 214);
INSERT INTO public.ecdc_data VALUES (38611, 0, 1, 2.59502102, 195, 214);
INSERT INTO public.ecdc_data VALUES (38612, 1, 35, 3.94355829, 45, 214);
INSERT INTO public.ecdc_data VALUES (38613, 12, 637, 10.00541905, 46, 214);
INSERT INTO public.ecdc_data VALUES (38614, 2, 27, 0.35919736, 136, 214);
INSERT INTO public.ecdc_data VALUES (38615, 0, 0, 1.35597952, 47, 214);
INSERT INTO public.ecdc_data VALUES (38616, 176, 482, 32.29218021, 196, 214);
INSERT INTO public.ecdc_data VALUES (38617, 0, 6, 1.31778046, 137, 214);
INSERT INTO public.ecdc_data VALUES (38618, 4, 163, 2.92199349, 48, 214);
INSERT INTO public.ecdc_data VALUES (38619, 0, 0, 0, 98, 214);
INSERT INTO public.ecdc_data VALUES (38620, 65, 455, 78.03377945, 197, 214);
INSERT INTO public.ecdc_data VALUES (38621, 5, 39, 13.81000961, 198, 214);
INSERT INTO public.ecdc_data VALUES (38622, 0, 0, 0.02343274, 138, 214);
INSERT INTO public.ecdc_data VALUES (38623, 1, 0, 0.04626926, 139, 214);
INSERT INTO public.ecdc_data VALUES (38624, 1, 49, 0, 140, 214);
INSERT INTO public.ecdc_data VALUES (38625, 0, 0, 0.11059154, 141, 214);
INSERT INTO public.ecdc_data VALUES (38626, 0, 0, 0, 142, 214);
INSERT INTO public.ecdc_data VALUES (38627, 0, 7, 1.01455528, 49, 214);
INSERT INTO public.ecdc_data VALUES (38628, 0, 0, 0, 99, 214);
INSERT INTO public.ecdc_data VALUES (38629, 0, 0, 0.55580633, 50, 214);
INSERT INTO public.ecdc_data VALUES (38630, 55, 1114, 33.54719231, 199, 214);
INSERT INTO public.ecdc_data VALUES (38631, 0, 0, 0, 100, 214);
INSERT INTO public.ecdc_data VALUES (38632, 0, 1, 0.09713215, 51, 214);
INSERT INTO public.ecdc_data VALUES (38633, 17, 416, 15.09081664, 200, 214);
INSERT INTO public.ecdc_data VALUES (38634, 3, 680, 82.27806773, 143, 214);
INSERT INTO public.ecdc_data VALUES (38635, 187, 2329, 79.53082798, 201, 214);
INSERT INTO public.ecdc_data VALUES (38636, 0, 0, 0.3603109, 52, 214);
INSERT INTO public.ecdc_data VALUES (38637, 1156, 18117, 109.23832394, 101, 214);
INSERT INTO public.ecdc_data VALUES (38638, 1, 0, 9.56214919, 102, 214);
INSERT INTO public.ecdc_data VALUES (38639, 0, 4, 2.62874267, 103, 214);
INSERT INTO public.ecdc_data VALUES (38640, 0, 91, 1.83434973, 144, 214);
INSERT INTO public.ecdc_data VALUES (38641, 0, 8, 0.32613465, 104, 214);
INSERT INTO public.ecdc_data VALUES (38642, 0, 0, 0.01866018, 145, 214);
INSERT INTO public.ecdc_data VALUES (38643, 0, 0, 0, 53, 214);
INSERT INTO public.ecdc_data VALUES (38644, 1, 5, 0.18860211, 146, 214);
INSERT INTO public.ecdc_data VALUES (38645, 0, 0, 0.99658284, 54, 214);
INSERT INTO public.ecdc_data VALUES (38646, 0, 1, 0.03414024, 55, 214);
INSERT INTO public.ecdc_data VALUES (38647, 3, 34, 1.18028197, 105, 215);
INSERT INTO public.ecdc_data VALUES (38648, 0, 17, 8.24475174, 147, 215);
INSERT INTO public.ecdc_data VALUES (38649, 19, 64, 3.18444308, 1, 215);
INSERT INTO public.ecdc_data VALUES (38650, 2, 21, 412.1979075, 148, 215);
INSERT INTO public.ecdc_data VALUES (38651, 0, 0, 0.04713231, 2, 215);
INSERT INTO public.ecdc_data VALUES (38652, 0, 0, 6.72404519, 56, 215);
INSERT INTO public.ecdc_data VALUES (38653, 0, 0, 14.41589868, 57, 215);
INSERT INTO public.ecdc_data VALUES (38654, 7, 162, 3.10848374, 58, 215);
INSERT INTO public.ecdc_data VALUES (38655, 0, 46, 19.91393394, 149, 215);
INSERT INTO public.ecdc_data VALUES (38656, 0, 6, 60.20129809, 59, 215);
INSERT INTO public.ecdc_data VALUES (38657, 3, 51, 9.84002031, 202, 215);
INSERT INTO public.ecdc_data VALUES (38658, 18, 247, 62.26594535, 150, 215);
INSERT INTO public.ecdc_data VALUES (38659, 1, 67, 8.71839668, 151, 215);
INSERT INTO public.ecdc_data VALUES (38660, 0, 4, 8.98620233, 60, 215);
INSERT INTO public.ecdc_data VALUES (38661, 0, 42, 34.54864962, 106, 215);
INSERT INTO public.ecdc_data VALUES (38662, 3, 58, 0.26618227, 107, 215);
INSERT INTO public.ecdc_data VALUES (38663, 0, 1, 14.63307563, 61, 215);
INSERT INTO public.ecdc_data VALUES (38664, 4, 245, 22.5550968, 152, 215);
INSERT INTO public.ecdc_data VALUES (38665, 284, 1032, 182.08690501, 153, 215);
INSERT INTO public.ecdc_data VALUES (38666, 0, 3, 2.81797664, 62, 215);
INSERT INTO public.ecdc_data VALUES (38667, 0, 0, 0.24573874, 3, 215);
INSERT INTO public.ecdc_data VALUES (38668, 0, 2, 44.79426633, 63, 215);
INSERT INTO public.ecdc_data VALUES (38669, 0, 0, 0.13104545, 108, 215);
INSERT INTO public.ecdc_data VALUES (38670, 4, 24, 1.90218066, 64, 215);
INSERT INTO public.ecdc_data VALUES (38671, 0, 0, 0, 65, 215);
INSERT INTO public.ecdc_data VALUES (38672, 0, 47, 20.93306327, 154, 215);
INSERT INTO public.ecdc_data VALUES (38673, 0, 0, 0, 4, 215);
INSERT INTO public.ecdc_data VALUES (38674, 68, 1089, 7.97111506, 66, 215);
INSERT INTO public.ecdc_data VALUES (38675, 0, 0, 3.3296707, 67, 215);
INSERT INTO public.ecdc_data VALUES (38676, 0, 0, 3.69262583, 109, 215);
INSERT INTO public.ecdc_data VALUES (38677, 3, 26, 4.71425945, 155, 215);
INSERT INTO public.ecdc_data VALUES (38678, 1, 36, 1.49596118, 5, 215);
INSERT INTO public.ecdc_data VALUES (38679, 0, 2, 0, 6, 215);
INSERT INTO public.ecdc_data VALUES (38680, 0, 2, 0.11524551, 110, 215);
INSERT INTO public.ecdc_data VALUES (38681, 1, 17, 2.78632407, 7, 215);
INSERT INTO public.ecdc_data VALUES (38682, 84, 1168, 47.88693647, 68, 215);
INSERT INTO public.ecdc_data VALUES (38683, 0, 1, 0.54551802, 8, 215);
INSERT INTO public.ecdc_data VALUES (38684, 0, 8, 69.28619819, 69, 215);
INSERT INTO public.ecdc_data VALUES (38685, 0, 0, 0.1053701, 9, 215);
INSERT INTO public.ecdc_data VALUES (38686, 0, 0, 0.03762491, 10, 215);
INSERT INTO public.ecdc_data VALUES (38687, 8, 426, 26.47736773, 70, 215);
INSERT INTO public.ecdc_data VALUES (38688, 0, 93, 0.07239586, 111, 215);
INSERT INTO public.ecdc_data VALUES (38689, 20, 236, 4.17366557, 71, 215);
INSERT INTO public.ecdc_data VALUES (38690, 0, 0, 0.7620104, 12, 215);
INSERT INTO public.ecdc_data VALUES (38691, 0, 19, 5.5868567, 72, 215);
INSERT INTO public.ecdc_data VALUES (38692, 1, 53, 1.52819853, 13, 215);
INSERT INTO public.ecdc_data VALUES (38693, 0, 39, 21.51489385, 156, 215);
INSERT INTO public.ecdc_data VALUES (38694, 1, 56, 4.42052947, 73, 215);
INSERT INTO public.ecdc_data VALUES (38695, 0, 0, 3.67145383, 74, 215);
INSERT INTO public.ecdc_data VALUES (38696, 0, 21, 49.89159709, 157, 215);
INSERT INTO public.ecdc_data VALUES (38697, 10, 170, 30.41371669, 158, 215);
INSERT INTO public.ecdc_data VALUES (38698, 0, 11, 0.20278701, 14, 215);
INSERT INTO public.ecdc_data VALUES (38699, 13, 177, 65.36250528, 159, 215);
INSERT INTO public.ecdc_data VALUES (38700, 1, 37, 17.66717306, 15, 215);
INSERT INTO public.ecdc_data VALUES (38701, 0, 0, 6.96301248, 75, 215);
INSERT INTO public.ecdc_data VALUES (38702, 9, 139, 18.9962582, 76, 215);
INSERT INTO public.ecdc_data VALUES (38703, 18, 96, 31.20816763, 77, 215);
INSERT INTO public.ecdc_data VALUES (38704, 11, 145, 1.39757634, 16, 215);
INSERT INTO public.ecdc_data VALUES (38705, 0, 0, 1.5340394, 78, 215);
INSERT INTO public.ecdc_data VALUES (38706, 0, 0, 0.36873646, 17, 215);
INSERT INTO public.ecdc_data VALUES (38707, 0, 0, 0.80065951, 18, 215);
INSERT INTO public.ecdc_data VALUES (38708, 0, 46, 50.1200163, 160, 215);
INSERT INTO public.ecdc_data VALUES (38709, 0, 2, 0.43548962, 19, 215);
INSERT INTO public.ecdc_data VALUES (38710, 1, 4, 0.04728819, 20, 215);
INSERT INTO public.ecdc_data VALUES (38711, 0, 0, 0, 79, 215);
INSERT INTO public.ecdc_data VALUES (38712, 0, 0, 59.57639131, 161, 215);
INSERT INTO public.ecdc_data VALUES (38713, 0, 0, 1.23601755, 203, 215);
INSERT INTO public.ecdc_data VALUES (38714, 1, 136, 30.57312005, 162, 215);
INSERT INTO public.ecdc_data VALUES (38715, 635, 3114, 83.88685501, 163, 215);
INSERT INTO public.ecdc_data VALUES (38716, 0, 0, 6.08697209, 204, 215);
INSERT INTO public.ecdc_data VALUES (38717, 0, 3, 1.93318721, 21, 215);
INSERT INTO public.ecdc_data VALUES (38718, 0, 5, 0.25556972, 22, 215);
INSERT INTO public.ecdc_data VALUES (38719, 0, 8, 3.92817986, 164, 215);
INSERT INTO public.ecdc_data VALUES (38720, 129, 2821, 81.8268417, 165, 215);
INSERT INTO public.ecdc_data VALUES (38721, 2, 30, 0.87777384, 23, 215);
INSERT INTO public.ecdc_data VALUES (38722, 0, 2, 216.57865069, 166, 215);
INSERT INTO public.ecdc_data VALUES (38723, 3, 70, 9.51084511, 167, 215);
INSERT INTO public.ecdc_data VALUES (38724, 0, 0, 1.76491352, 80, 215);
INSERT INTO public.ecdc_data VALUES (38725, 0, 0, 4.464206, 81, 215);
INSERT INTO public.ecdc_data VALUES (38726, 1, 3, 46.62422667, 205, 215);
INSERT INTO public.ecdc_data VALUES (38727, 0, 16, 0.67684875, 82, 215);
INSERT INTO public.ecdc_data VALUES (38728, 0, 9, 263.69671775, 168, 215);
INSERT INTO public.ecdc_data VALUES (38729, 0, 38, 1.89488167, 24, 215);
INSERT INTO public.ecdc_data VALUES (38730, 0, 3, 1.87410492, 25, 215);
INSERT INTO public.ecdc_data VALUES (38731, 0, 5, 4.72677334, 83, 215);
INSERT INTO public.ecdc_data VALUES (38732, 0, 2, 0.22196417, 84, 215);
INSERT INTO public.ecdc_data VALUES (38733, 0, 0, 245.39877301, 169, 215);
INSERT INTO public.ecdc_data VALUES (38734, 1, 1, 2.90372112, 85, 215);
INSERT INTO public.ecdc_data VALUES (38735, 14, 100, 10.25299312, 170, 215);
INSERT INTO public.ecdc_data VALUES (38736, 1, 14, 203.36647142, 171, 215);
INSERT INTO public.ecdc_data VALUES (38737, 34, 909, 0.53987882, 112, 215);
INSERT INTO public.ecdc_data VALUES (38738, 21, 330, 0.99288476, 113, 215);
INSERT INTO public.ecdc_data VALUES (38739, 125, 1837, 41.75536662, 114, 215);
INSERT INTO public.ecdc_data VALUES (38740, 2, 39, 2.06564324, 115, 215);
INSERT INTO public.ecdc_data VALUES (38741, 33, 839, 132.80345171, 172, 215);
INSERT INTO public.ecdc_data VALUES (38742, 0, 25, 229.34424098, 173, 215);
INSERT INTO public.ecdc_data VALUES (38743, 6, 335, 83.62117729, 116, 215);
INSERT INTO public.ecdc_data VALUES (38744, 619, 4694, 99.07132171, 174, 215);
INSERT INTO public.ecdc_data VALUES (38745, 0, 4, 1.25497028, 86, 215);
INSERT INTO public.ecdc_data VALUES (38746, 4, 743, 3.98469816, 117, 215);
INSERT INTO public.ecdc_data VALUES (38747, 0, 0, 127.09191436, 175, 215);
INSERT INTO public.ecdc_data VALUES (38748, 0, 9, 1.44530172, 118, 215);
INSERT INTO public.ecdc_data VALUES (38749, 0, 40, 3.50916382, 119, 215);
INSERT INTO public.ecdc_data VALUES (38750, 0, 2, 0.29101856, 26, 215);
INSERT INTO public.ecdc_data VALUES (38751, 0, 33, 10.45312053, 176, 215);
INSERT INTO public.ecdc_data VALUES (38752, 0, 161, 21.844145, 120, 215);
INSERT INTO public.ecdc_data VALUES (38753, 0, 38, 4.56681429, 121, 215);
INSERT INTO public.ecdc_data VALUES (38754, 0, 2, 0.16737672, 122, 215);
INSERT INTO public.ecdc_data VALUES (38755, 1, 18, 16.92736546, 177, 215);
INSERT INTO public.ecdc_data VALUES (38756, 0, 10, 3.01938137, 123, 215);
INSERT INTO public.ecdc_data VALUES (38757, 1, 11, 0.91141566, 28, 215);
INSERT INTO public.ecdc_data VALUES (38758, 0, 1, 0.35411533, 29, 215);
INSERT INTO public.ecdc_data VALUES (38759, 0, 0, 49.50753036, 178, 215);
INSERT INTO public.ecdc_data VALUES (38760, 6, 54, 23.58470308, 179, 215);
INSERT INTO public.ecdc_data VALUES (38761, 8, 47, 234.40528821, 180, 215);
INSERT INTO public.ecdc_data VALUES (38762, 0, 0, 0.274386, 30, 215);
INSERT INTO public.ecdc_data VALUES (38763, 1, 3, 0, 31, 215);
INSERT INTO public.ecdc_data VALUES (38764, 3, 184, 6.91710358, 124, 215);
INSERT INTO public.ecdc_data VALUES (38765, 0, 0, 0.56501751, 125, 215);
INSERT INTO public.ecdc_data VALUES (38766, 2, 18, 0.48835023, 32, 215);
INSERT INTO public.ecdc_data VALUES (38767, 1, 8, 45.99247506, 181, 215);
INSERT INTO public.ecdc_data VALUES (38768, 0, 0, 0.04419208, 33, 215);
INSERT INTO public.ecdc_data VALUES (38769, 0, 1, 17.09105516, 34, 215);
INSERT INTO public.ecdc_data VALUES (38770, 40, 426, 4.05877212, 87, 215);
INSERT INTO public.ecdc_data VALUES (38771, 1, 122, 32.86953244, 182, 215);
INSERT INTO public.ecdc_data VALUES (38772, 0, 0, 90.67553272, 183, 215);
INSERT INTO public.ecdc_data VALUES (38773, 0, 0, 0.12402462, 126, 215);
INSERT INTO public.ecdc_data VALUES (38774, 0, 6, 28.7697169, 184, 215);
INSERT INTO public.ecdc_data VALUES (38775, 0, 0, 80.14425967, 88, 215);
INSERT INTO public.ecdc_data VALUES (38776, 4, 97, 3.25457232, 35, 215);
INSERT INTO public.ecdc_data VALUES (38777, 0, 0, 0.03951783, 36, 215);
INSERT INTO public.ecdc_data VALUES (38778, 0, 3, 0.0425568, 127, 215);
INSERT INTO public.ecdc_data VALUES (38779, 0, 0, 0.32070247, 37, 215);
INSERT INTO public.ecdc_data VALUES (38780, 0, 0, 0.01398175, 128, 215);
INSERT INTO public.ecdc_data VALUES (38781, 132, 1316, 84.775268, 185, 215);
INSERT INTO public.ecdc_data VALUES (38782, 0, 0, 1.06098169, 207, 215);
INSERT INTO public.ecdc_data VALUES (38783, 0, 14, 11.97977363, 208, 215);
INSERT INTO public.ecdc_data VALUES (38784, 0, 0, 0.04583299, 89, 215);
INSERT INTO public.ecdc_data VALUES (38785, 0, 53, 2.06342842, 38, 215);
INSERT INTO public.ecdc_data VALUES (38786, 3, 13, 0.10997016, 39, 215);
INSERT INTO public.ecdc_data VALUES (38787, 2, 49, 24.98637544, 186, 215);
INSERT INTO public.ecdc_data VALUES (38788, 0, 0, 0, 209, 215);
INSERT INTO public.ecdc_data VALUES (38789, 6, 76, 46.45085443, 187, 215);
INSERT INTO public.ecdc_data VALUES (38790, 0, 62, 7.91961073, 129, 215);
INSERT INTO public.ecdc_data VALUES (38791, 15, 250, 1.67616867, 130, 215);
INSERT INTO public.ecdc_data VALUES (38792, 0, 2, 3.55320228, 131, 215);
INSERT INTO public.ecdc_data VALUES (38793, 5, 260, 54.94013809, 90, 215);
INSERT INTO public.ecdc_data VALUES (38794, 0, 0, 0.01139456, 210, 215);
INSERT INTO public.ecdc_data VALUES (38795, 0, 1, 1.06463937, 91, 215);
INSERT INTO public.ecdc_data VALUES (38796, 12, 951, 19.00003759, 92, 215);
INSERT INTO public.ecdc_data VALUES (38797, 44, 352, 3.10128076, 132, 215);
INSERT INTO public.ecdc_data VALUES (38798, 27, 401, 12.424679, 188, 215);
INSERT INTO public.ecdc_data VALUES (38799, 35, 515, 105.25837442, 189, 215);
INSERT INTO public.ecdc_data VALUES (38800, 3, 63, 23.45398043, 93, 215);
INSERT INTO public.ecdc_data VALUES (38801, 0, 216, 75.49245764, 133, 215);
INSERT INTO public.ecdc_data VALUES (38802, 25, 523, 23.37433268, 190, 215);
INSERT INTO public.ecdc_data VALUES (38803, 12, 1667, 8.44574561, 191, 215);
INSERT INTO public.ecdc_data VALUES (38804, 0, 2, 0.47517458, 40, 215);
INSERT INTO public.ecdc_data VALUES (38805, 0, 0, 18.92720597, 94, 215);
INSERT INTO public.ecdc_data VALUES (38806, 0, 0, 6.01767007, 95, 215);
INSERT INTO public.ecdc_data VALUES (38807, 0, 0, 9.94637997, 96, 215);
INSERT INTO public.ecdc_data VALUES (38808, 1, 12, 383.13064174, 192, 215);
INSERT INTO public.ecdc_data VALUES (38809, 0, 0, 0, 41, 215);
INSERT INTO public.ecdc_data VALUES (38810, 5, 382, 8.25830604, 134, 215);
INSERT INTO public.ecdc_data VALUES (38811, 0, 13, 0.90817816, 42, 215);
INSERT INTO public.ecdc_data VALUES (38812, 3, 275, 39.07369635, 193, 215);
INSERT INTO public.ecdc_data VALUES (38813, 0, 0, 3.06933631, 43, 215);
INSERT INTO public.ecdc_data VALUES (38814, 0, 2, 0, 44, 215);
INSERT INTO public.ecdc_data VALUES (38815, 2, 390, 25.7738042, 135, 215);
INSERT INTO public.ecdc_data VALUES (38816, 0, 0, 110.87782208, 97, 215);
INSERT INTO public.ecdc_data VALUES (38817, 0, 13, 7.94434045, 194, 215);
INSERT INTO public.ecdc_data VALUES (38818, 5, 28, 23.88380457, 195, 215);
INSERT INTO public.ecdc_data VALUES (38819, 0, 0, 0.11655837, 45, 215);
INSERT INTO public.ecdc_data VALUES (38820, 1, 25, 1.43617638, 46, 215);
INSERT INTO public.ecdc_data VALUES (38821, 6, 62, 1.81355623, 136, 215);
INSERT INTO public.ecdc_data VALUES (38822, 0, 1, 0, 47, 215);
INSERT INTO public.ecdc_data VALUES (38823, 510, 3899, 173.87539825, 196, 215);
INSERT INTO public.ecdc_data VALUES (38824, 0, 2, 0.39392725, 137, 215);
INSERT INTO public.ecdc_data VALUES (38825, 0, 4, 0.03270017, 48, 215);
INSERT INTO public.ecdc_data VALUES (38826, 0, 0, 0.34401914, 98, 215);
INSERT INTO public.ecdc_data VALUES (38827, 102, 395, 65.38493683, 197, 215);
INSERT INTO public.ecdc_data VALUES (38828, 26, 592, 136.55524759, 198, 215);
INSERT INTO public.ecdc_data VALUES (38829, 0, 6, 0.11716371, 138, 215);
INSERT INTO public.ecdc_data VALUES (38830, 1, 5, 0.42904228, 139, 215);
INSERT INTO public.ecdc_data VALUES (38831, 3, 33, 1.87574736, 141, 215);
INSERT INTO public.ecdc_data VALUES (38832, 0, 0, 0.07733234, 142, 215);
INSERT INTO public.ecdc_data VALUES (38833, 0, 0, 0.59388602, 49, 215);
INSERT INTO public.ecdc_data VALUES (38834, 0, 3, 2.72407487, 99, 215);
INSERT INTO public.ecdc_data VALUES (38835, 3, 14, 3.91629693, 50, 215);
INSERT INTO public.ecdc_data VALUES (38836, 95, 5138, 54.5888791, 199, 215);
INSERT INTO public.ecdc_data VALUES (38837, 0, 0, 10.47284914, 100, 215);
INSERT INTO public.ecdc_data VALUES (38838, 0, 0, 0.0519544, 51, 215);
INSERT INTO public.ecdc_data VALUES (38839, 4, 308, 5.00072249, 200, 215);
INSERT INTO public.ecdc_data VALUES (38840, 4, 356, 32.21935032, 143, 215);
INSERT INTO public.ecdc_data VALUES (38841, 843, 4313, 92.73470094, 201, 215);
INSERT INTO public.ecdc_data VALUES (38842, 0, 0, 0.03275554, 52, 215);
INSERT INTO public.ecdc_data VALUES (38843, 1831, 28391, 123.16293201, 101, 215);
INSERT INTO public.ecdc_data VALUES (38844, 0, 1, 30.5988774, 102, 215);
INSERT INTO public.ecdc_data VALUES (38845, 0, 7, 5.60413273, 103, 215);
INSERT INTO public.ecdc_data VALUES (38846, 1, 172, 2.01020475, 144, 215);
INSERT INTO public.ecdc_data VALUES (38847, 0, 0, 0.19638216, 104, 215);
INSERT INTO public.ecdc_data VALUES (38848, 0, 4, 0.07671406, 145, 215);
INSERT INTO public.ecdc_data VALUES (38849, 0, 0, 0, 146, 215);
INSERT INTO public.ecdc_data VALUES (38850, 0, 0, 0.06718536, 54, 215);
INSERT INTO public.ecdc_data VALUES (38851, 0, 3, 0.04779634, 55, 215);
INSERT INTO public.ecdc_data VALUES (38852, 1, 1, 0, 147, 216);
INSERT INTO public.ecdc_data VALUES (38853, 0, 0, 0.04645431, 1, 216);
INSERT INTO public.ecdc_data VALUES (38854, 0, 3, 0.13523894, 149, 216);
INSERT INTO public.ecdc_data VALUES (38855, 0, 14, 0.40867826, 202, 216);
INSERT INTO public.ecdc_data VALUES (38856, 0, 64, 2.75433116, 150, 216);
INSERT INTO public.ecdc_data VALUES (38857, 0, 2, 0.1293826, 151, 216);
INSERT INTO public.ecdc_data VALUES (38858, 0, 52, 8.46959841, 106, 216);
INSERT INTO public.ecdc_data VALUES (38859, 0, 3, 0.12695176, 152, 216);
INSERT INTO public.ecdc_data VALUES (38860, 3, 174, 5.22892066, 153, 216);
INSERT INTO public.ecdc_data VALUES (38861, 0, 2, 0, 64, 216);
INSERT INTO public.ecdc_data VALUES (38862, 0, 1, 0, 154, 216);
INSERT INTO public.ecdc_data VALUES (38863, 0, 18, 0.02416494, 66, 216);
INSERT INTO public.ecdc_data VALUES (38864, 0, 10, 0, 109, 216);
INSERT INTO public.ecdc_data VALUES (38865, 1, 3, 0, 155, 216);
INSERT INTO public.ecdc_data VALUES (38866, 0, 0, 0, 5, 216);
INSERT INTO public.ecdc_data VALUES (38867, 0, 1, 0.01213111, 110, 216);
INSERT INTO public.ecdc_data VALUES (38868, 0, 10, 0.24324372, 68, 216);
INSERT INTO public.ecdc_data VALUES (38869, 0, 6, 0, 70, 216);
INSERT INTO public.ecdc_data VALUES (38870, 11, 24, 0.16278606, 111, 216);
INSERT INTO public.ecdc_data VALUES (38871, 0, 6, 0, 71, 216);
INSERT INTO public.ecdc_data VALUES (38872, 0, 9, 0, 72, 216);
INSERT INTO public.ecdc_data VALUES (38873, 0, 1, 0, 13, 216);
INSERT INTO public.ecdc_data VALUES (38874, 0, 3, 0.39251802, 156, 216);
INSERT INTO public.ecdc_data VALUES (38875, 0, 3, 0, 73, 216);
INSERT INTO public.ecdc_data VALUES (38876, 0, 4, 0, 157, 216);
INSERT INTO public.ecdc_data VALUES (38877, 0, 31, 0.88264568, 158, 216);
INSERT INTO public.ecdc_data VALUES (38878, 0, 252, 8.8700106, 159, 216);
INSERT INTO public.ecdc_data VALUES (38879, 0, 1, 0.05877192, 16, 216);
INSERT INTO public.ecdc_data VALUES (38880, 0, 3, 1.20771124, 160, 216);
INSERT INTO public.ecdc_data VALUES (38881, 0, 0, 0, 161, 216);
INSERT INTO public.ecdc_data VALUES (38882, 0, 19, 1.0511209, 162, 216);
INSERT INTO public.ecdc_data VALUES (38883, 15, 497, 3.37845486, 163, 216);
INSERT INTO public.ecdc_data VALUES (38884, 0, 1, 0.60048609, 164, 216);
INSERT INTO public.ecdc_data VALUES (38885, 1, 271, 1.86221953, 165, 216);
INSERT INTO public.ecdc_data VALUES (38886, 1, 9, 0.92311144, 167, 216);
INSERT INTO public.ecdc_data VALUES (38887, 0, 2, 0, 85, 216);
INSERT INTO public.ecdc_data VALUES (38888, 0, 1, 0, 170, 216);
INSERT INTO public.ecdc_data VALUES (38889, 0, 15, 23.81012406, 171, 216);
INSERT INTO public.ecdc_data VALUES (38890, 0, 23, 0.00512288, 112, 216);
INSERT INTO public.ecdc_data VALUES (38891, 1, 15, 0.01256348, 113, 216);
INSERT INTO public.ecdc_data VALUES (38892, 63, 958, 10.68699066, 114, 216);
INSERT INTO public.ecdc_data VALUES (38893, 2, 9, 0.1755288, 115, 216);
INSERT INTO public.ecdc_data VALUES (38894, 1, 8, 0.87679233, 172, 216);
INSERT INTO public.ecdc_data VALUES (38895, 0, 12, 0.93903624, 116, 216);
INSERT INTO public.ecdc_data VALUES (38896, 196, 2313, 19.98358304, 174, 216);
INSERT INTO public.ecdc_data VALUES (38897, 0, 2, 0, 86, 216);
INSERT INTO public.ecdc_data VALUES (38898, 3, 51, 0.34132034, 117, 216);
INSERT INTO public.ecdc_data VALUES (38899, 0, 3, 1.64009359, 120, 216);
INSERT INTO public.ecdc_data VALUES (38900, 0, 2, 0, 177, 216);
INSERT INTO public.ecdc_data VALUES (38901, 1, 20, 0.875183, 123, 216);
INSERT INTO public.ecdc_data VALUES (38902, 0, 2, 0, 178, 216);
INSERT INTO public.ecdc_data VALUES (38903, 0, 0, 0.10736587, 179, 216);
INSERT INTO public.ecdc_data VALUES (38904, 0, 0, 1.140262, 180, 216);
INSERT INTO public.ecdc_data VALUES (38905, 0, 20, 0.39749871, 124, 216);
INSERT INTO public.ecdc_data VALUES (38906, 0, 2, 0, 125, 216);
INSERT INTO public.ecdc_data VALUES (38907, 0, 1, 0, 181, 216);
INSERT INTO public.ecdc_data VALUES (38908, 0, 28, 0.05016636, 87, 216);
INSERT INTO public.ecdc_data VALUES (38909, 0, 1, 0, 182, 216);
INSERT INTO public.ecdc_data VALUES (38910, 1, 3, 0, 35, 216);
INSERT INTO public.ecdc_data VALUES (38911, 1, 121, 2.91051531, 185, 216);
INSERT INTO public.ecdc_data VALUES (38912, 0, 212, 9.15879473, 187, 216);
INSERT INTO public.ecdc_data VALUES (38913, 0, 4, 0.00923509, 130, 216);
INSERT INTO public.ecdc_data VALUES (38914, 0, 1, 0, 131, 216);
INSERT INTO public.ecdc_data VALUES (38915, 0, 7, 0, 90, 216);
INSERT INTO public.ecdc_data VALUES (38916, 0, 6, 0, 92, 216);
INSERT INTO public.ecdc_data VALUES (38917, 1, 16, 0.04254665, 132, 216);
INSERT INTO public.ecdc_data VALUES (38918, 0, 9, 0, 188, 216);
INSERT INTO public.ecdc_data VALUES (38919, 0, 18, 0, 189, 216);
INSERT INTO public.ecdc_data VALUES (38920, 0, 238, 9.2511805, 133, 216);
INSERT INTO public.ecdc_data VALUES (38921, 0, 20, 0.23178602, 190, 216);
INSERT INTO public.ecdc_data VALUES (38922, 0, 15, 0.01576722, 191, 216);
INSERT INTO public.ecdc_data VALUES (38923, 1, 4, 191.56532087, 192, 216);
INSERT INTO public.ecdc_data VALUES (38924, 0, 25, 0, 134, 216);
INSERT INTO public.ecdc_data VALUES (38925, 0, 13, 0, 193, 216);
INSERT INTO public.ecdc_data VALUES (38926, 0, 12, 1.46442069, 135, 216);
INSERT INTO public.ecdc_data VALUES (38927, 0, 3, 0, 194, 216);
INSERT INTO public.ecdc_data VALUES (38928, 0, 26, 0, 195, 216);
INSERT INTO public.ecdc_data VALUES (38929, 0, 6, 0, 46, 216);
INSERT INTO public.ecdc_data VALUES (38930, 6, 114, 12.24784907, 136, 216);
INSERT INTO public.ecdc_data VALUES (38931, 12, 1153, 9.39556078, 196, 216);
INSERT INTO public.ecdc_data VALUES (38932, 0, 1, 0.00468961, 137, 216);
INSERT INTO public.ecdc_data VALUES (38933, 20, 196, 4.13482259, 197, 216);
INSERT INTO public.ecdc_data VALUES (38934, 1, 152, 7.5018781, 198, 216);
INSERT INTO public.ecdc_data VALUES (38935, 0, 0, 0.06730075, 139, 216);
INSERT INTO public.ecdc_data VALUES (38936, 0, 11, 0.05026888, 141, 216);
INSERT INTO public.ecdc_data VALUES (38937, 0, 2, 0, 50, 216);
INSERT INTO public.ecdc_data VALUES (38938, 0, 1, 0, 199, 216);
INSERT INTO public.ecdc_data VALUES (38939, 0, 259, 1.28737761, 201, 216);
INSERT INTO public.ecdc_data VALUES (38940, 2, 287, 0.38077593, 101, 216);
INSERT INTO public.ecdc_data VALUES (38941, 0, 1, 0.02384356, 145, 216);
INSERT INTO public.ecdc_data VALUES (38942, 0, 0, 0, 105, 217);
INSERT INTO public.ecdc_data VALUES (38943, 0, 0, 0, 1, 217);
INSERT INTO public.ecdc_data VALUES (38944, 0, 0, 0, 149, 217);
INSERT INTO public.ecdc_data VALUES (38945, 0, 0, 0.0396775, 202, 217);
INSERT INTO public.ecdc_data VALUES (38946, 0, 0, 0, 150, 217);
INSERT INTO public.ecdc_data VALUES (38947, 0, 0, 0, 151, 217);
INSERT INTO public.ecdc_data VALUES (38948, 0, 0, 0, 106, 217);
INSERT INTO public.ecdc_data VALUES (38949, 0, 0, 0, 152, 217);
INSERT INTO public.ecdc_data VALUES (38950, 0, 0, 0.00872942, 153, 217);
INSERT INTO public.ecdc_data VALUES (38951, 0, 0, 0, 66, 217);
INSERT INTO public.ecdc_data VALUES (38952, 0, 0, 0, 110, 217);
INSERT INTO public.ecdc_data VALUES (38953, 0, 0, 0.01069203, 68, 217);
INSERT INTO public.ecdc_data VALUES (38954, 0, 39, 0, 214, 217);
INSERT INTO public.ecdc_data VALUES (38955, 97, 2028, 2.70124428, 111, 217);
INSERT INTO public.ecdc_data VALUES (38956, 0, 0, 0, 156, 217);
INSERT INTO public.ecdc_data VALUES (38957, 0, 0, 0, 158, 217);
INSERT INTO public.ecdc_data VALUES (38958, 0, 0, 0, 159, 217);
INSERT INTO public.ecdc_data VALUES (38959, 0, 0, 0, 76, 217);
INSERT INTO public.ecdc_data VALUES (38960, 0, 0, 0, 77, 217);
INSERT INTO public.ecdc_data VALUES (38961, 0, 0, 0, 16, 217);
INSERT INTO public.ecdc_data VALUES (38962, 0, 0, 0, 160, 217);
INSERT INTO public.ecdc_data VALUES (38963, 0, 0, 0.01812277, 162, 217);
INSERT INTO public.ecdc_data VALUES (38964, 0, 0, 0.01044575, 163, 217);
INSERT INTO public.ecdc_data VALUES (38965, 0, 0, 0, 164, 217);
INSERT INTO public.ecdc_data VALUES (38966, 0, 2, 0.01324994, 165, 217);
INSERT INTO public.ecdc_data VALUES (38967, 0, 0, 0, 167, 217);
INSERT INTO public.ecdc_data VALUES (38968, 0, 0, 0, 171, 217);
INSERT INTO public.ecdc_data VALUES (38969, 0, 0, 0.00021955, 112, 217);
INSERT INTO public.ecdc_data VALUES (38970, 0, 0, 0, 113, 217);
INSERT INTO public.ecdc_data VALUES (38971, 0, 0, 0, 114, 217);
INSERT INTO public.ecdc_data VALUES (38972, 0, 0, 0, 115, 217);
INSERT INTO public.ecdc_data VALUES (38973, 0, 0, 0, 172, 217);
INSERT INTO public.ecdc_data VALUES (38974, 0, 0, 0, 116, 217);
INSERT INTO public.ecdc_data VALUES (38975, 0, 0, 0.00497022, 174, 217);
INSERT INTO public.ecdc_data VALUES (38976, 0, 0, 0.01418884, 117, 217);
INSERT INTO public.ecdc_data VALUES (38977, 0, 0, 0, 120, 217);
INSERT INTO public.ecdc_data VALUES (38978, 0, 0, 0, 123, 217);
INSERT INTO public.ecdc_data VALUES (38979, 0, 0, 0, 179, 217);
INSERT INTO public.ecdc_data VALUES (38980, 0, 0, 0, 180, 217);
INSERT INTO public.ecdc_data VALUES (38981, 0, 0, 0.03442902, 124, 217);
INSERT INTO public.ecdc_data VALUES (38982, 0, 0, 0.0015677, 87, 217);
INSERT INTO public.ecdc_data VALUES (38983, 0, 0, 0, 183, 217);
INSERT INTO public.ecdc_data VALUES (38984, 0, 0, 0, 128, 217);
INSERT INTO public.ecdc_data VALUES (38985, 0, 0, 0, 185, 217);
INSERT INTO public.ecdc_data VALUES (38986, 0, 0, 0, 208, 217);
INSERT INTO public.ecdc_data VALUES (38987, 0, 0, 0, 39, 217);
INSERT INTO public.ecdc_data VALUES (38988, 0, 0, 0, 186, 217);
INSERT INTO public.ecdc_data VALUES (38989, 0, 0, 0, 187, 217);
INSERT INTO public.ecdc_data VALUES (38990, 0, 0, 0, 129, 217);
INSERT INTO public.ecdc_data VALUES (38991, 0, 0, 0, 130, 217);
INSERT INTO public.ecdc_data VALUES (38992, 0, 0, 0.00277478, 132, 217);
INSERT INTO public.ecdc_data VALUES (38993, 0, 0, 0, 133, 217);
INSERT INTO public.ecdc_data VALUES (38994, 0, 0, 0, 190, 217);
INSERT INTO public.ecdc_data VALUES (38995, 0, 0, 0.00137106, 191, 217);
INSERT INTO public.ecdc_data VALUES (38996, 0, 0, 0, 192, 217);
INSERT INTO public.ecdc_data VALUES (38997, 0, 2, 0.68913915, 135, 217);
INSERT INTO public.ecdc_data VALUES (38998, 0, 0, 0.04685183, 136, 217);
INSERT INTO public.ecdc_data VALUES (38999, 0, 0, 0.00426103, 196, 217);
INSERT INTO public.ecdc_data VALUES (39000, 0, 0, 0, 137, 217);
INSERT INTO public.ecdc_data VALUES (39001, 0, 0, 0.00977499, 197, 217);
INSERT INTO public.ecdc_data VALUES (39002, 0, 0, 0, 198, 217);
INSERT INTO public.ecdc_data VALUES (39003, 0, 0, 0.04206297, 139, 217);
INSERT INTO public.ecdc_data VALUES (39004, 0, 1, 0.02728882, 141, 217);
INSERT INTO public.ecdc_data VALUES (39005, 0, 0, 0.07164404, 143, 217);
INSERT INTO public.ecdc_data VALUES (39006, 0, 0, 0.01350396, 201, 217);
INSERT INTO public.ecdc_data VALUES (39007, 0, 0, 0.00243113, 101, 217);
INSERT INTO public.ecdc_data VALUES (39008, 0, 0, 0.01347679, 145, 217);
INSERT INTO public.ecdc_data VALUES (39009, 0, 0, 0, 105, 218);
INSERT INTO public.ecdc_data VALUES (39010, 0, 0, 0, 1, 218);
INSERT INTO public.ecdc_data VALUES (39011, 0, 0, 0, 149, 218);
INSERT INTO public.ecdc_data VALUES (39012, 0, 0, 0, 202, 218);
INSERT INTO public.ecdc_data VALUES (39013, 0, 0, 0, 150, 218);
INSERT INTO public.ecdc_data VALUES (39014, 0, 0, 0, 151, 218);
INSERT INTO public.ecdc_data VALUES (39015, 0, 0, 0, 106, 218);
INSERT INTO public.ecdc_data VALUES (39016, 0, 0, 0, 152, 218);
INSERT INTO public.ecdc_data VALUES (39017, 0, 0, 0, 153, 218);
INSERT INTO public.ecdc_data VALUES (39018, 0, 0, 0, 66, 218);
INSERT INTO public.ecdc_data VALUES (39019, 0, 0, 0, 110, 218);
INSERT INTO public.ecdc_data VALUES (39020, 0, 0, 0, 68, 218);
INSERT INTO public.ecdc_data VALUES (39021, 0, 0, 0, 214, 218);
INSERT INTO public.ecdc_data VALUES (39022, 0, 0, 0, 111, 218);
INSERT INTO public.ecdc_data VALUES (39023, 0, 0, 0, 156, 218);
INSERT INTO public.ecdc_data VALUES (39024, 0, 0, 0, 158, 218);
INSERT INTO public.ecdc_data VALUES (39025, 0, 0, 0, 159, 218);
INSERT INTO public.ecdc_data VALUES (39026, 0, 0, 0, 76, 218);
INSERT INTO public.ecdc_data VALUES (39027, 0, 0, 0, 77, 218);
INSERT INTO public.ecdc_data VALUES (39028, 0, 0, 0, 16, 218);
INSERT INTO public.ecdc_data VALUES (39029, 0, 0, 0, 160, 218);
INSERT INTO public.ecdc_data VALUES (39030, 0, 0, 0, 162, 218);
INSERT INTO public.ecdc_data VALUES (39031, 0, 0, 0, 163, 218);
INSERT INTO public.ecdc_data VALUES (39032, 0, 0, 0, 164, 218);
INSERT INTO public.ecdc_data VALUES (39033, 0, 0, 0, 165, 218);
INSERT INTO public.ecdc_data VALUES (39034, 0, 0, 0, 167, 218);
INSERT INTO public.ecdc_data VALUES (39035, 0, 0, 0, 171, 218);
INSERT INTO public.ecdc_data VALUES (39036, 0, 0, 0, 112, 218);
INSERT INTO public.ecdc_data VALUES (39037, 0, 0, 0, 113, 218);
INSERT INTO public.ecdc_data VALUES (39038, 0, 0, 0, 114, 218);
INSERT INTO public.ecdc_data VALUES (39039, 0, 0, 0, 115, 218);
INSERT INTO public.ecdc_data VALUES (39040, 0, 0, 0, 172, 218);
INSERT INTO public.ecdc_data VALUES (39041, 0, 0, 0, 116, 218);
INSERT INTO public.ecdc_data VALUES (39042, 0, 0, 0, 174, 218);
INSERT INTO public.ecdc_data VALUES (39043, 0, 0, 0, 117, 218);
INSERT INTO public.ecdc_data VALUES (39044, 0, 0, 0, 120, 218);
INSERT INTO public.ecdc_data VALUES (39045, 0, 0, 0, 123, 218);
INSERT INTO public.ecdc_data VALUES (39046, 0, 0, 0, 179, 218);
INSERT INTO public.ecdc_data VALUES (39047, 0, 0, 0, 180, 218);
INSERT INTO public.ecdc_data VALUES (39048, 0, 0, 0, 124, 218);
INSERT INTO public.ecdc_data VALUES (39049, 0, 0, 0, 87, 218);
INSERT INTO public.ecdc_data VALUES (39050, 0, 0, 0, 183, 218);
INSERT INTO public.ecdc_data VALUES (39051, 0, 0, 0, 128, 218);
INSERT INTO public.ecdc_data VALUES (39052, 0, 0, 0, 185, 218);
INSERT INTO public.ecdc_data VALUES (39053, 0, 0, 0, 208, 218);
INSERT INTO public.ecdc_data VALUES (39054, 0, 0, 0, 39, 218);
INSERT INTO public.ecdc_data VALUES (39055, 0, 0, 0, 186, 218);
INSERT INTO public.ecdc_data VALUES (39056, 0, 0, 0, 187, 218);
INSERT INTO public.ecdc_data VALUES (39057, 0, 0, 0, 129, 218);
INSERT INTO public.ecdc_data VALUES (39058, 0, 0, 0, 130, 218);
INSERT INTO public.ecdc_data VALUES (39059, 0, 0, 0, 132, 218);
INSERT INTO public.ecdc_data VALUES (39060, 0, 0, 0, 133, 218);
INSERT INTO public.ecdc_data VALUES (39061, 0, 0, 0, 190, 218);
INSERT INTO public.ecdc_data VALUES (39062, 0, 0, 0, 191, 218);
INSERT INTO public.ecdc_data VALUES (39063, 0, 0, 0, 192, 218);
INSERT INTO public.ecdc_data VALUES (39064, 0, 0, 0, 135, 218);
INSERT INTO public.ecdc_data VALUES (39065, 0, 0, 0, 136, 218);
INSERT INTO public.ecdc_data VALUES (39066, 0, 0, 0, 196, 218);
INSERT INTO public.ecdc_data VALUES (39067, 0, 0, 0, 137, 218);
INSERT INTO public.ecdc_data VALUES (39068, 0, 0, 0, 197, 218);
INSERT INTO public.ecdc_data VALUES (39069, 0, 0, 0, 198, 218);
INSERT INTO public.ecdc_data VALUES (39070, 0, 0, 0, 139, 218);
INSERT INTO public.ecdc_data VALUES (39071, 0, 0, 0, 141, 218);
INSERT INTO public.ecdc_data VALUES (39072, 0, 0, 0, 143, 218);
INSERT INTO public.ecdc_data VALUES (39073, 0, 0, 0, 201, 218);
INSERT INTO public.ecdc_data VALUES (39074, 0, 0, 0, 101, 218);
INSERT INTO public.ecdc_data VALUES (39075, 0, 0, 0, 145, 218);
INSERT INTO public.ecdc_data VALUES (39076, 10, 63, 7.13426564, 105, 219);
INSERT INTO public.ecdc_data VALUES (39077, 14, 873, 365.45910166, 147, 219);
INSERT INTO public.ecdc_data VALUES (39078, 10, 565, 26.63922518, 1, 219);
INSERT INTO public.ecdc_data VALUES (39079, 0, 28, 861.15231632, 148, 219);
INSERT INTO public.ecdc_data VALUES (39080, 4, 121, 3.46893834, 2, 219);
INSERT INTO public.ecdc_data VALUES (39081, 0, 0, 40.34427111, 56, 219);
INSERT INTO public.ecdc_data VALUES (39082, 0, 0, 5.14853524, 57, 219);
INSERT INTO public.ecdc_data VALUES (39083, 209, 6994, 184.89672163, 58, 219);
INSERT INTO public.ecdc_data VALUES (39084, 29, 1077, 472.35580824, 149, 219);
INSERT INTO public.ecdc_data VALUES (39085, 1, 15, 206.94196219, 59, 219);
INSERT INTO public.ecdc_data VALUES (39086, 0, 7, 0.52771077, 202, 219);
INSERT INTO public.ecdc_data VALUES (39087, 125, 2466, 523.49224357, 150, 219);
INSERT INTO public.ecdc_data VALUES (39088, 38, 4219, 564.03846485, 151, 219);
INSERT INTO public.ecdc_data VALUES (39089, 0, 0, 26.44510971, 60, 219);
INSERT INTO public.ecdc_data VALUES (39090, 0, 137, 139.23044863, 106, 219);
INSERT INTO public.ecdc_data VALUES (39091, 37, 1861, 18.10959402, 107, 219);
INSERT INTO public.ecdc_data VALUES (39092, 0, 1, 8.71016406, 61, 219);
INSERT INTO public.ecdc_data VALUES (39093, 8, 1939, 257.92366792, 152, 219);
INSERT INTO public.ecdc_data VALUES (39094, 87, 2604, 267.41695422, 153, 219);
INSERT INTO public.ecdc_data VALUES (39095, 0, 286, 842.83119551, 62, 219);
INSERT INTO public.ecdc_data VALUES (39096, 0, 0, 0.98295497, 3, 219);
INSERT INTO public.ecdc_data VALUES (39097, 0, 24, 196.77481282, 63, 219);
INSERT INTO public.ecdc_data VALUES (39098, 0, 1, 5.89704545, 108, 219);
INSERT INTO public.ecdc_data VALUES (39099, 4, 325, 17.32808413, 64, 219);
INSERT INTO public.ecdc_data VALUES (39100, 0, 1, 34.63803256, 65, 219);
INSERT INTO public.ecdc_data VALUES (39101, 48, 1286, 434.74730975, 154, 219);
INSERT INTO public.ecdc_data VALUES (39102, 0, 0, 89.68169942, 4, 219);
INSERT INTO public.ecdc_data VALUES (39103, 770, 53347, 273.6698964, 66, 219);
INSERT INTO public.ecdc_data VALUES (39104, 0, 2, 9.98901209, 67, 219);
INSERT INTO public.ecdc_data VALUES (39105, 0, 0, 0.46157823, 109, 219);
INSERT INTO public.ecdc_data VALUES (39106, 122, 3075, 541.9969803, 155, 219);
INSERT INTO public.ecdc_data VALUES (39107, 0, 110, 3.94658179, 5, 219);
INSERT INTO public.ecdc_data VALUES (39108, 0, 1, 0.38159409, 6, 219);
INSERT INTO public.ecdc_data VALUES (39109, 0, 0, 0.29721211, 110, 219);
INSERT INTO public.ecdc_data VALUES (39110, 0, 124, 4.11572141, 7, 219);
INSERT INTO public.ecdc_data VALUES (39111, 126, 6739, 237.82285859, 68, 219);
INSERT INTO public.ecdc_data VALUES (39112, 0, 11, 123.10523406, 8, 219);
INSERT INTO public.ecdc_data VALUES (39113, 0, 0, 35.41294574, 69, 219);
INSERT INTO public.ecdc_data VALUES (39114, 0, 5, 0.40040639, 9, 219);
INSERT INTO public.ecdc_data VALUES (39115, 0, 7, 0.48912383, 10, 219);
INSERT INTO public.ecdc_data VALUES (39116, 84, 1662, 109.63466456, 70, 219);
INSERT INTO public.ecdc_data VALUES (39117, 0, 15, 0.01311216, 111, 219);
INSERT INTO public.ecdc_data VALUES (39118, 176, 7778, 237.23742831, 71, 219);
INSERT INTO public.ecdc_data VALUES (39119, 0, 0, 0.82266706, 11, 219);
INSERT INTO public.ecdc_data VALUES (39120, 0, 0, 7.75020333, 12, 219);
INSERT INTO public.ecdc_data VALUES (39121, 18, 1127, 278.80792327, 72, 219);
INSERT INTO public.ecdc_data VALUES (39122, 0, 43, 1.52042144, 13, 219);
INSERT INTO public.ecdc_data VALUES (39123, 53, 4620, 1186.53290307, 156, 219);
INSERT INTO public.ecdc_data VALUES (39124, 0, 75, 9.7586938, 73, 219);
INSERT INTO public.ecdc_data VALUES (39125, 0, 79, 782.63157573, 74, 219);
INSERT INTO public.ecdc_data VALUES (39126, 2, 403, 499.94348663, 157, 219);
INSERT INTO public.ecdc_data VALUES (39127, 115, 5872, 541.65336438, 158, 219);
INSERT INTO public.ecdc_data VALUES (39128, 0, 173, 1.95873819, 14, 219);
INSERT INTO public.ecdc_data VALUES (39129, 14, 3132, 432.20203094, 159, 219);
INSERT INTO public.ecdc_data VALUES (39130, 0, 0, 4.21136102, 15, 219);
INSERT INTO public.ecdc_data VALUES (39131, 0, 0, 6.96301248, 75, 219);
INSERT INTO public.ecdc_data VALUES (39132, 8, 1560, 100.55911389, 76, 219);
INSERT INTO public.ecdc_data VALUES (39133, 36, 1151, 70.45724455, 77, 219);
INSERT INTO public.ecdc_data VALUES (39134, 22, 445, 5.65007342, 16, 219);
INSERT INTO public.ecdc_data VALUES (39135, 6, 0, 36.19713181, 78, 219);
INSERT INTO public.ecdc_data VALUES (39136, 0, 0, 2.72864979, 17, 219);
INSERT INTO public.ecdc_data VALUES (39137, 0, 7, 2.57354844, 18, 219);
INSERT INTO public.ecdc_data VALUES (39138, 2, 544, 425.94465663, 160, 219);
INSERT INTO public.ecdc_data VALUES (39139, 1, 21, 26.47776869, 19, 219);
INSERT INTO public.ecdc_data VALUES (39140, 10, 526, 6.86214075, 20, 219);
INSERT INTO public.ecdc_data VALUES (39141, 0, 2, 88.96797153, 79, 219);
INSERT INTO public.ecdc_data VALUES (39142, 0, 0, 39.0328081, 161, 219);
INSERT INTO public.ecdc_data VALUES (39143, 0, 0, 0.67419139, 203, 219);
INSERT INTO public.ecdc_data VALUES (39144, 9, 840, 116.42070135, 162, 219);
INSERT INTO public.ecdc_data VALUES (39145, 292, 13750, 230.26318686, 163, 219);
INSERT INTO public.ecdc_data VALUES (39146, 5, 203, 627.31618239, 204, 219);
INSERT INTO public.ecdc_data VALUES (39147, 0, 0, 5.84558989, 21, 219);
INSERT INTO public.ecdc_data VALUES (39148, 0, 3, 2.17234259, 22, 219);
INSERT INTO public.ecdc_data VALUES (39149, 37, 4146, 1491.93271954, 164, 219);
INSERT INTO public.ecdc_data VALUES (39150, 598, 29875, 320.02712432, 165, 219);
INSERT INTO public.ecdc_data VALUES (39151, 0, 116, 4.97405176, 23, 219);
INSERT INTO public.ecdc_data VALUES (39152, 0, 4, 231.41280484, 166, 219);
INSERT INTO public.ecdc_data VALUES (39153, 81, 1533, 204.64168404, 167, 219);
INSERT INTO public.ecdc_data VALUES (39154, 0, 0, 1.76491352, 80, 219);
INSERT INTO public.ecdc_data VALUES (39155, 0, 0, 1.7856824, 81, 219);
INSERT INTO public.ecdc_data VALUES (39156, 2, 13, 181.7149347, 205, 219);
INSERT INTO public.ecdc_data VALUES (39157, 34, 659, 40.38910044, 82, 219);
INSERT INTO public.ecdc_data VALUES (39158, 0, 0, 4.65347149, 168, 219);
INSERT INTO public.ecdc_data VALUES (39159, 0, 43, 3.28080753, 24, 219);
INSERT INTO public.ecdc_data VALUES (39160, 0, 0, 1.14528634, 25, 219);
INSERT INTO public.ecdc_data VALUES (39161, 0, 79, 68.34658746, 83, 219);
INSERT INTO public.ecdc_data VALUES (39162, 0, 66, 1.85562047, 84, 219);
INSERT INTO public.ecdc_data VALUES (39163, 0, 0, 0, 169, 219);
INSERT INTO public.ecdc_data VALUES (39164, 7, 415, 66.96001432, 85, 219);
INSERT INTO public.ecdc_data VALUES (39165, 171, 6197, 744.51874169, 170, 219);
INSERT INTO public.ecdc_data VALUES (39166, 0, 8, 56.30394044, 171, 219);
INSERT INTO public.ecdc_data VALUES (39167, 414, 29398, 35.63932025, 112, 219);
INSERT INTO public.ecdc_data VALUES (39168, 165, 6033, 30.36668003, 113, 219);
INSERT INTO public.ecdc_data VALUES (39169, 284, 10403, 210.67277591, 114, 219);
INSERT INTO public.ecdc_data VALUES (39170, 25, 1380, 67.62437723, 115, 219);
INSERT INTO public.ecdc_data VALUES (39171, 15, 303, 75.6284358, 172, 219);
INSERT INTO public.ecdc_data VALUES (39172, 0, 0, 1.18218681, 173, 219);
INSERT INTO public.ecdc_data VALUES (39173, 28, 1856, 227.91583371, 116, 219);
INSERT INTO public.ecdc_data VALUES (39174, 887, 16998, 459.36727225, 174, 219);
INSERT INTO public.ecdc_data VALUES (39175, 4, 74, 30.59414024, 86, 219);
INSERT INTO public.ecdc_data VALUES (39176, 37, 2969, 25.26479935, 117, 219);
INSERT INTO public.ecdc_data VALUES (39177, 0, 58, 610.4122602, 175, 219);
INSERT INTO public.ecdc_data VALUES (39178, 44, 2902, 495.95627349, 118, 219);
INSERT INTO public.ecdc_data VALUES (39179, 4, 973, 68.24811546, 119, 219);
INSERT INTO public.ecdc_data VALUES (39180, 16, 644, 19.40694336, 26, 219);
INSERT INTO public.ecdc_data VALUES (39181, 13, 562, 443.47919885, 176, 219);
INSERT INTO public.ecdc_data VALUES (39182, 5, 291, 93.84187644, 120, 219);
INSERT INTO public.ecdc_data VALUES (39183, 1, 327, 80.58167186, 121, 219);
INSERT INTO public.ecdc_data VALUES (39184, 0, 0, 0.04184418, 122, 219);
INSERT INTO public.ecdc_data VALUES (39185, 11, 890, 444.53865898, 177, 219);
INSERT INTO public.ecdc_data VALUES (39186, 14, 1778, 291.53804515, 123, 219);
INSERT INTO public.ecdc_data VALUES (39187, 0, 14, 4.04655039, 27, 219);
INSERT INTO public.ecdc_data VALUES (39188, 0, 0, 1.98486078, 28, 219);
INSERT INTO public.ecdc_data VALUES (39189, 12, 661, 129.48817203, 29, 219);
INSERT INTO public.ecdc_data VALUES (39190, 0, 3, 575.85074782, 178, 219);
INSERT INTO public.ecdc_data VALUES (39191, 29, 3066, 1187.89600112, 179, 219);
INSERT INTO public.ecdc_data VALUES (39192, 0, 0, 1101.81888078, 180, 219);
INSERT INTO public.ecdc_data VALUES (39193, 0, 0, 1.10125192, 30, 219);
INSERT INTO public.ecdc_data VALUES (39194, 0, 2, 0.17714555, 31, 219);
INSERT INTO public.ecdc_data VALUES (39195, 3, 2234, 55.54653272, 124, 219);
INSERT INTO public.ecdc_data VALUES (39196, 0, 34, 78.91411169, 125, 219);
INSERT INTO public.ecdc_data VALUES (39197, 4, 134, 5.67198441, 32, 219);
INSERT INTO public.ecdc_data VALUES (39198, 4, 106, 294.39236241, 181, 219);
INSERT INTO public.ecdc_data VALUES (39199, 0, 0, 0, 206, 219);
INSERT INTO public.ecdc_data VALUES (39200, 13, 392, 44.633999, 33, 219);
INSERT INTO public.ecdc_data VALUES (39201, 0, 0, 1.41769121, 34, 219);
INSERT INTO public.ecdc_data VALUES (39202, 671, 11897, 108.58822306, 87, 219);
INSERT INTO public.ecdc_data VALUES (39203, 19, 1715, 489.48150229, 182, 219);
INSERT INTO public.ecdc_data VALUES (39204, 0, 2, 172.28351217, 183, 219);
INSERT INTO public.ecdc_data VALUES (39205, 0, 7, 5.17802805, 126, 219);
INSERT INTO public.ecdc_data VALUES (39206, 10, 558, 1100.80330193, 184, 219);
INSERT INTO public.ecdc_data VALUES (39207, 0, 0, 0, 88, 219);
INSERT INTO public.ecdc_data VALUES (39208, 65, 3345, 139.40920766, 35, 219);
INSERT INTO public.ecdc_data VALUES (39209, 1, 81, 3.47098237, 36, 219);
INSERT INTO public.ecdc_data VALUES (39210, 27, 1321, 35.67739743, 127, 219);
INSERT INTO public.ecdc_data VALUES (39211, 3, 301, 64.86207389, 37, 219);
INSERT INTO public.ecdc_data VALUES (39212, 12, 1217, 62.95284496, 128, 219);
INSERT INTO public.ecdc_data VALUES (39213, 61, 8709, 477.19721195, 185, 219);
INSERT INTO public.ecdc_data VALUES (39214, 0, 0, 1.41464225, 207, 219);
INSERT INTO public.ecdc_data VALUES (39215, 0, 4, 0.94081992, 208, 219);
INSERT INTO public.ecdc_data VALUES (39216, 0, 0, 1.57359946, 89, 219);
INSERT INTO public.ecdc_data VALUES (39217, 1, 48, 2.92998255, 38, 219);
INSERT INTO public.ecdc_data VALUES (39218, 6, 675, 2.17452312, 39, 219);
INSERT INTO public.ecdc_data VALUES (39219, 28, 929, 590.95907241, 186, 219);
INSERT INTO public.ecdc_data VALUES (39220, 0, 0, 15.73069058, 209, 219);
INSERT INTO public.ecdc_data VALUES (39221, 21, 362, 98.66349162, 187, 219);
INSERT INTO public.ecdc_data VALUES (39222, 2, 179, 62.11065264, 129, 219);
INSERT INTO public.ecdc_data VALUES (39223, 50, 3047, 19.86282965, 130, 219);
INSERT INTO public.ecdc_data VALUES (39224, 24, 2187, 575.89981335, 131, 219);
INSERT INTO public.ecdc_data VALUES (39225, 23, 2447, 591.95467262, 90, 219);
INSERT INTO public.ecdc_data VALUES (39226, 0, 0, 0.44438778, 210, 219);
INSERT INTO public.ecdc_data VALUES (39227, 13, 812, 162.40718651, 91, 219);
INSERT INTO public.ecdc_data VALUES (39228, 44, 1799, 70.02053677, 92, 219);
INSERT INTO public.ecdc_data VALUES (39229, 24, 1376, 19.64822763, 132, 219);
INSERT INTO public.ecdc_data VALUES (39230, 470, 13750, 423.94542706, 188, 219);
INSERT INTO public.ecdc_data VALUES (39231, 86, 3134, 533.37591544, 189, 219);
INSERT INTO public.ecdc_data VALUES (39232, 19, 494, 494.30627353, 93, 219);
INSERT INTO public.ecdc_data VALUES (39233, 0, 163, 86.5091306, 133, 219);
INSERT INTO public.ecdc_data VALUES (39234, 127, 7067, 462.3255514, 190, 219);
INSERT INTO public.ecdc_data VALUES (39235, 562, 27927, 261.28065747, 191, 219);
INSERT INTO public.ecdc_data VALUES (39236, 0, 71, 3.94394904, 40, 219);
INSERT INTO public.ecdc_data VALUES (39237, 0, 1, 7.57088239, 94, 219);
INSERT INTO public.ecdc_data VALUES (39238, 1, 4, 19.69419295, 95, 219);
INSERT INTO public.ecdc_data VALUES (39239, 0, 0, 6.32951453, 96, 219);
INSERT INTO public.ecdc_data VALUES (39240, 0, 34, 1027.48672104, 192, 219);
INSERT INTO public.ecdc_data VALUES (39241, 0, 4, 11.1602991, 41, 219);
INSERT INTO public.ecdc_data VALUES (39242, 10, 141, 8.83025939, 134, 219);
INSERT INTO public.ecdc_data VALUES (39243, 2, 101, 4.94588915, 42, 219);
INSERT INTO public.ecdc_data VALUES (39244, 56, 7393, 1450.5086617, 193, 219);
INSERT INTO public.ecdc_data VALUES (39245, 0, 3, 16.36979364, 43, 219);
INSERT INTO public.ecdc_data VALUES (39246, 0, 1, 0.33276989, 44, 219);
INSERT INTO public.ecdc_data VALUES (39247, 0, 6, 1.75730483, 135, 219);
INSERT INTO public.ecdc_data VALUES (39248, 0, 16, 377.45641558, 97, 219);
INSERT INTO public.ecdc_data VALUES (39249, 20, 3125, 434.16829636, 194, 219);
INSERT INTO public.ecdc_data VALUES (39250, 26, 1848, 1001.87033737, 195, 219);
INSERT INTO public.ecdc_data VALUES (39251, 0, 0, 0, 211, 219);
INSERT INTO public.ecdc_data VALUES (39252, 0, 0, 0.86771233, 45, 219);
INSERT INTO public.ecdc_data VALUES (39253, 173, 8166, 99.37623325, 46, 219);
INSERT INTO public.ecdc_data VALUES (39254, 8, 688, 15.42010835, 136, 219);
INSERT INTO public.ecdc_data VALUES (39255, 0, 0, 0.87686675, 47, 219);
INSERT INTO public.ecdc_data VALUES (39256, 280, 10519, 218.09418826, 196, 219);
INSERT INTO public.ecdc_data VALUES (39257, 2, 538, 40.26030338, 137, 219);
INSERT INTO public.ecdc_data VALUES (39258, 12, 384, 9.99924393, 48, 219);
INSERT INTO public.ecdc_data VALUES (39259, 0, 4, 5.16028712, 98, 219);
INSERT INTO public.ecdc_data VALUES (39260, 7, 6051, 747.0637139, 197, 219);
INSERT INTO public.ecdc_data VALUES (39261, 87, 5038, 637.78837611, 198, 219);
INSERT INTO public.ecdc_data VALUES (39262, 11, 112, 7.29344096, 138, 219);
INSERT INTO public.ecdc_data VALUES (39263, 0, 1, 0.36174153, 139, 219);
INSERT INTO public.ecdc_data VALUES (39264, 0, 37, 5.83626926, 140, 219);
INSERT INTO public.ecdc_data VALUES (39265, 0, 29, 0.31453957, 141, 219);
INSERT INTO public.ecdc_data VALUES (39266, 0, 0, 0.07733234, 142, 219);
INSERT INTO public.ecdc_data VALUES (39267, 1, 31, 3.43958985, 49, 219);
INSERT INTO public.ecdc_data VALUES (39268, 0, 25, 18.85346556, 99, 219);
INSERT INTO public.ecdc_data VALUES (39269, 41, 958, 131.16174383, 50, 219);
INSERT INTO public.ecdc_data VALUES (39270, 220, 30424, 533.34914072, 199, 219);
INSERT INTO public.ecdc_data VALUES (39271, 0, 0, 57.60067026, 100, 219);
INSERT INTO public.ecdc_data VALUES (39272, 1, 671, 14.94253832, 51, 219);
INSERT INTO public.ecdc_data VALUES (39273, 266, 13371, 412.61643188, 200, 219);
INSERT INTO public.ecdc_data VALUES (39274, 4, 1255, 178.47554983, 143, 219);
INSERT INTO public.ecdc_data VALUES (39275, 516, 20964, 319.9253405, 201, 219);
INSERT INTO public.ecdc_data VALUES (39276, 0, 0, 0, 52, 219);
INSERT INTO public.ecdc_data VALUES (39277, 2748, 224680, 830.39420456, 101, 219);
INSERT INTO public.ecdc_data VALUES (39278, 0, 35, 202.7175628, 102, 219);
INSERT INTO public.ecdc_data VALUES (39279, 3, 383, 97.35014072, 103, 219);
INSERT INTO public.ecdc_data VALUES (39280, 0, 166, 6.83712172, 144, 219);
INSERT INTO public.ecdc_data VALUES (39281, 0, 0, 0, 212, 219);
INSERT INTO public.ecdc_data VALUES (39282, 5, 428, 19.15778075, 104, 219);
INSERT INTO public.ecdc_data VALUES (39283, 0, 4, 0.05598053, 145, 219);
INSERT INTO public.ecdc_data VALUES (39284, 0, 0, 0, 213, 219);
INSERT INTO public.ecdc_data VALUES (39285, 0, 0, 0, 53, 219);
INSERT INTO public.ecdc_data VALUES (39286, 0, 2, 0.0240039, 146, 219);
INSERT INTO public.ecdc_data VALUES (39287, 0, 29, 3.01214364, 54, 219);
INSERT INTO public.ecdc_data VALUES (39288, 1, 74, 9.95529472, 55, 219);
INSERT INTO public.ecdc_data VALUES (39289, 0, 0, 3.4646139, 105, 220);
INSERT INTO public.ecdc_data VALUES (39290, 8, 563, 194.41543837, 147, 220);
INSERT INTO public.ecdc_data VALUES (39291, 15, 753, 15.65510312, 1, 220);
INSERT INTO public.ecdc_data VALUES (39292, 0, 40, 1400.6852462, 148, 220);
INSERT INTO public.ecdc_data VALUES (39293, 1, 247, 9.53958045, 2, 220);
INSERT INTO public.ecdc_data VALUES (39294, 0, 0, 0, 56, 220);
INSERT INTO public.ecdc_data VALUES (39295, 0, 0, 7.20794934, 57, 220);
INSERT INTO public.ecdc_data VALUES (39296, 276, 11976, 325.73425925, 58, 220);
INSERT INTO public.ecdc_data VALUES (39297, 27, 2000, 947.88973158, 149, 220);
INSERT INTO public.ecdc_data VALUES (39298, 1, 16, 190.0103471, 59, 220);
INSERT INTO public.ecdc_data VALUES (39299, 0, 10, 0.54358177, 202, 220);
INSERT INTO public.ecdc_data VALUES (39300, 35, 3839, 838.77285516, 150, 220);
INSERT INTO public.ecdc_data VALUES (39301, 15, 1346, 161.65858142, 151, 220);
INSERT INTO public.ecdc_data VALUES (39302, 0, 0, 123.75284349, 60, 220);
INSERT INTO public.ecdc_data VALUES (39303, 2, 179, 199.73628473, 106, 220);
INSERT INTO public.ecdc_data VALUES (39304, 16, 1699, 13.51396331, 107, 220);
INSERT INTO public.ecdc_data VALUES (39305, 0, 0, 3.48406563, 61, 220);
INSERT INTO public.ecdc_data VALUES (39306, 5, 1038, 144.84138382, 152, 220);
INSERT INTO public.ecdc_data VALUES (39307, 218, 7701, 1242.1960105, 153, 220);
INSERT INTO public.ecdc_data VALUES (39308, 2, 184, 302.80439912, 62, 220);
INSERT INTO public.ecdc_data VALUES (39309, 0, 36, 1.89811994, 3, 220);
INSERT INTO public.ecdc_data VALUES (39310, 0, 0, 31.99590452, 63, 220);
INSERT INTO public.ecdc_data VALUES (39311, 0, 0, 2.48986363, 108, 220);
INSERT INTO public.ecdc_data VALUES (39312, 6, 103, 13.37606494, 64, 220);
INSERT INTO public.ecdc_data VALUES (39313, 0, 0, 15.39468114, 65, 220);
INSERT INTO public.ecdc_data VALUES (39314, 46, 1605, 661.92103115, 154, 220);
INSERT INTO public.ecdc_data VALUES (39315, 0, 0, 67.3697955, 4, 220);
INSERT INTO public.ecdc_data VALUES (39316, 201, 25012, 123.38478725, 66, 220);
INSERT INTO public.ecdc_data VALUES (39317, 0, 0, 0, 67, 220);
INSERT INTO public.ecdc_data VALUES (39318, 0, 0, 0, 109, 220);
INSERT INTO public.ecdc_data VALUES (39319, 80, 4390, 580.92533484, 155, 220);
INSERT INTO public.ecdc_data VALUES (39320, 0, 1, 0.57082729, 5, 220);
INSERT INTO public.ecdc_data VALUES (39321, 0, 1, 0.49433779, 6, 220);
INSERT INTO public.ecdc_data VALUES (39322, 0, 0, 0.06065553, 110, 220);
INSERT INTO public.ecdc_data VALUES (39323, 0, 0, 2.42692305, 7, 220);
INSERT INTO public.ecdc_data VALUES (39324, 68, 4302, 134.05134602, 68, 220);
INSERT INTO public.ecdc_data VALUES (39325, 1, 80, 186.74900352, 8, 220);
INSERT INTO public.ecdc_data VALUES (39326, 0, 3, 21.5557061, 69, 220);
INSERT INTO public.ecdc_data VALUES (39327, 0, 4, 0.44255443, 9, 220);
INSERT INTO public.ecdc_data VALUES (39328, 0, 10, 0.63335265, 10, 220);
INSERT INTO public.ecdc_data VALUES (39329, 23, 1028, 102.26870096, 70, 220);
INSERT INTO public.ecdc_data VALUES (39330, 0, 13, 0.02622432, 111, 220);
INSERT INTO public.ecdc_data VALUES (39331, 174, 7612, 245.24903861, 71, 220);
INSERT INTO public.ecdc_data VALUES (39332, 0, 6, 6.11124104, 11, 220);
INSERT INTO public.ecdc_data VALUES (39333, 0, 0, 2.34178806, 12, 220);
INSERT INTO public.ecdc_data VALUES (39334, 11, 979, 262.38414949, 72, 220);
INSERT INTO public.ecdc_data VALUES (39335, 0, 12, 1.39598797, 13, 220);
INSERT INTO public.ecdc_data VALUES (39336, 33, 1467, 775.76279744, 156, 220);
INSERT INTO public.ecdc_data VALUES (39337, 0, 43, 6.29991625, 73, 220);
INSERT INTO public.ecdc_data VALUES (39338, 0, 29, 157.87251488, 74, 220);
INSERT INTO public.ecdc_data VALUES (39339, 2, 198, 283.02349928, 157, 220);
INSERT INTO public.ecdc_data VALUES (39340, 249, 9005, 1369.48111702, 158, 220);
INSERT INTO public.ecdc_data VALUES (39341, 0, 34, 0.51964172, 14, 220);
INSERT INTO public.ecdc_data VALUES (39342, 3, 1066, 254.92238224, 159, 220);
INSERT INTO public.ecdc_data VALUES (39343, 0, 6, 9.1417349, 15, 220);
INSERT INTO public.ecdc_data VALUES (39344, 0, 0, 5.57040998, 75, 220);
INSERT INTO public.ecdc_data VALUES (39345, 2, 528, 57.01671028, 76, 220);
INSERT INTO public.ecdc_data VALUES (39346, 10, 442, 72.05736823, 77, 220);
INSERT INTO public.ecdc_data VALUES (39347, 14, 232, 2.76626479, 16, 220);
INSERT INTO public.ecdc_data VALUES (39348, 4, 0, 34.3996715, 78, 220);
INSERT INTO public.ecdc_data VALUES (39349, 0, 10, 1.40119854, 17, 220);
INSERT INTO public.ecdc_data VALUES (39350, 0, 0, 0.85784948, 18, 220);
INSERT INTO public.ecdc_data VALUES (39351, 0, 126, 144.24601078, 160, 220);
INSERT INTO public.ecdc_data VALUES (39352, 0, 11, 12.97759058, 19, 220);
INSERT INTO public.ecdc_data VALUES (39353, 7, 345, 5.45063293, 20, 220);
INSERT INTO public.ecdc_data VALUES (39354, 0, 1, 29.65599051, 79, 220);
INSERT INTO public.ecdc_data VALUES (39355, 0, 0, 6.16307496, 161, 220);
INSERT INTO public.ecdc_data VALUES (39356, 0, 1, 0.22473046, 203, 220);
INSERT INTO public.ecdc_data VALUES (39357, 0, 220, 53.3534472, 162, 220);
INSERT INTO public.ecdc_data VALUES (39358, 1220, 22180, 941.55626762, 163, 220);
INSERT INTO public.ecdc_data VALUES (39359, 10, 685, 1499.18541991, 204, 220);
INSERT INTO public.ecdc_data VALUES (39360, 0, 0, 4.23460055, 21, 220);
INSERT INTO public.ecdc_data VALUES (39361, 0, 0, 0.8093041, 22, 220);
INSERT INTO public.ecdc_data VALUES (39362, 45, 2911, 818.23736315, 164, 220);
INSERT INTO public.ecdc_data VALUES (39363, 261, 18487, 290.83388203, 165, 220);
INSERT INTO public.ecdc_data VALUES (39364, 0, 100, 5.02007735, 23, 220);
INSERT INTO public.ecdc_data VALUES (39365, 0, 9, 400.52216223, 166, 220);
INSERT INTO public.ecdc_data VALUES (39366, 41, 2383, 259.38498959, 167, 220);
INSERT INTO public.ecdc_data VALUES (39367, 0, 0, 0, 80, 220);
INSERT INTO public.ecdc_data VALUES (39368, 0, 0, 3.5713648, 81, 220);
INSERT INTO public.ecdc_data VALUES (39369, 0, 421, 730.44621776, 205, 220);
INSERT INTO public.ecdc_data VALUES (39370, 9, 769, 37.30062254, 82, 220);
INSERT INTO public.ecdc_data VALUES (39371, 0, 3, 24.81851461, 168, 220);
INSERT INTO public.ecdc_data VALUES (39372, 0, 25, 5.20700956, 24, 220);
INSERT INTO public.ecdc_data VALUES (39373, 0, 0, 0.5205847, 25, 220);
INSERT INTO public.ecdc_data VALUES (39374, 0, 6, 59.91504583, 83, 220);
INSERT INTO public.ecdc_data VALUES (39375, 0, 5, 1.02991376, 84, 220);
INSERT INTO public.ecdc_data VALUES (39376, 0, 0, 0, 169, 220);
INSERT INTO public.ecdc_data VALUES (39377, 15, 231, 63.42014228, 85, 220);
INSERT INTO public.ecdc_data VALUES (39378, 101, 3945, 582.53782249, 170, 220);
INSERT INTO public.ecdc_data VALUES (39379, 1, 13, 151.26431759, 171, 220);
INSERT INTO public.ecdc_data VALUES (39380, 512, 44281, 47.25414297, 112, 220);
INSERT INTO public.ecdc_data VALUES (39381, 72, 3779, 17.69751488, 113, 220);
INSERT INTO public.ecdc_data VALUES (39382, 453, 10339, 146.49414664, 114, 220);
INSERT INTO public.ecdc_data VALUES (39383, 52, 3577, 115.49794887, 115, 220);
INSERT INTO public.ecdc_data VALUES (39384, 15, 230, 145.22127791, 172, 220);
INSERT INTO public.ecdc_data VALUES (39385, 0, 2, 8.27530766, 173, 220);
INSERT INTO public.ecdc_data VALUES (39386, 5, 665, 103.58743537, 116, 220);
INSERT INTO public.ecdc_data VALUES (39387, 580, 35090, 713.53253717, 174, 220);
INSERT INTO public.ecdc_data VALUES (39388, 3, 31, 26.65963883, 86, 220);
INSERT INTO public.ecdc_data VALUES (39389, 12, 1173, 9.49075487, 117, 220);
INSERT INTO public.ecdc_data VALUES (39390, 0, 18, 120.59816691, 175, 220);
INSERT INTO public.ecdc_data VALUES (39391, 91, 5996, 615.0154771, 118, 220);
INSERT INTO public.ecdc_data VALUES (39392, 0, 810, 49.72123979, 119, 220);
INSERT INTO public.ecdc_data VALUES (39393, 24, 1344, 26.16313888, 26, 220);
INSERT INTO public.ecdc_data VALUES (39394, 5, 596, 391.60280811, 176, 220);
INSERT INTO public.ecdc_data VALUES (39395, 5, 903, 244.56409997, 120, 220);
INSERT INTO public.ecdc_data VALUES (39396, 3, 400, 110.41403549, 121, 220);
INSERT INTO public.ecdc_data VALUES (39397, 0, 0, 0, 122, 220);
INSERT INTO public.ecdc_data VALUES (39398, 2, 208, 182.39887331, 177, 220);
INSERT INTO public.ecdc_data VALUES (39399, 17, 1552, 334.20321662, 123, 220);
INSERT INTO public.ecdc_data VALUES (39400, 0, 59, 3.71718001, 27, 220);
INSERT INTO public.ecdc_data VALUES (39401, 0, 9, 0.85065462, 28, 220);
INSERT INTO public.ecdc_data VALUES (39402, 13, 970, 177.57408277, 29, 220);
INSERT INTO public.ecdc_data VALUES (39403, 1, 45, 1104.79962479, 178, 220);
INSERT INTO public.ecdc_data VALUES (39404, 11, 1086, 553.97210778, 179, 220);
INSERT INTO public.ecdc_data VALUES (39405, 5, 176, 1359.02940899, 180, 220);
INSERT INTO public.ecdc_data VALUES (39406, 0, 0, 0.94551932, 30, 220);
INSERT INTO public.ecdc_data VALUES (39407, 0, 0, 0.30061063, 31, 220);
INSERT INTO public.ecdc_data VALUES (39408, 6, 869, 41.97210817, 124, 220);
INSERT INTO public.ecdc_data VALUES (39409, 0, 21, 87.20103511, 125, 220);
INSERT INTO public.ecdc_data VALUES (39410, 0, 0, 0.97161347, 32, 220);
INSERT INTO public.ecdc_data VALUES (39411, 3, 141, 359.83539962, 181, 220);
INSERT INTO public.ecdc_data VALUES (39412, 0, 0, 1.70094062, 206, 220);
INSERT INTO public.ecdc_data VALUES (39413, 0, 0, 3.15973359, 33, 220);
INSERT INTO public.ecdc_data VALUES (39414, 0, 0, 1.0238881, 34, 220);
INSERT INTO public.ecdc_data VALUES (39415, 617, 5746, 60.56255506, 87, 220);
INSERT INTO public.ecdc_data VALUES (39416, 18, 915, 275.32252456, 182, 220);
INSERT INTO public.ecdc_data VALUES (39417, 0, 22, 580.3234094, 183, 220);
INSERT INTO public.ecdc_data VALUES (39418, 0, 14, 1.30225855, 126, 220);
INSERT INTO public.ecdc_data VALUES (39419, 7, 546, 1135.19838247, 184, 220);
INSERT INTO public.ecdc_data VALUES (39420, 0, 0, 0, 88, 220);
INSERT INTO public.ecdc_data VALUES (39421, 69, 5214, 168.43714121, 35, 220);
INSERT INTO public.ecdc_data VALUES (39422, 0, 0, 5.10438584, 36, 220);
INSERT INTO public.ecdc_data VALUES (39423, 24, 1266, 28.81835209, 127, 220);
INSERT INTO public.ecdc_data VALUES (39424, 0, 13, 21.00601157, 37, 220);
INSERT INTO public.ecdc_data VALUES (39425, 22, 2736, 137.58045407, 128, 220);
INSERT INTO public.ecdc_data VALUES (39426, 98, 4664, 621.32847607, 185, 220);
INSERT INTO public.ecdc_data VALUES (39427, 0, 0, 0.70732113, 207, 220);
INSERT INTO public.ecdc_data VALUES (39428, 0, 1, 0.94081992, 208, 220);
INSERT INTO public.ecdc_data VALUES (39429, 0, 0, 1.17638018, 89, 220);
INSERT INTO public.ecdc_data VALUES (39430, 0, 13, 0.16301513, 38, 220);
INSERT INTO public.ecdc_data VALUES (39431, 2, 152, 1.05093657, 39, 220);
INSERT INTO public.ecdc_data VALUES (39432, 30, 947, 675.11357006, 186, 220);
INSERT INTO public.ecdc_data VALUES (39433, 0, 0, 13.98283607, 209, 220);
INSERT INTO public.ecdc_data VALUES (39434, 0, 594, 131.00079351, 187, 220);
INSERT INTO public.ecdc_data VALUES (39435, 6, 381, 101.7891084, 129, 220);
INSERT INTO public.ecdc_data VALUES (39436, 21, 1708, 8.30419213, 130, 220);
INSERT INTO public.ecdc_data VALUES (39437, 14, 660, 167.36184969, 131, 220);
INSERT INTO public.ecdc_data VALUES (39438, 9, 971, 256.21461742, 90, 220);
INSERT INTO public.ecdc_data VALUES (39439, 0, 0, 0.12534014, 210, 220);
INSERT INTO public.ecdc_data VALUES (39440, 14, 549, 112.7098209, 91, 220);
INSERT INTO public.ecdc_data VALUES (39441, 49, 1904, 101.30277447, 92, 220);
INSERT INTO public.ecdc_data VALUES (39442, 14, 1300, 24.60768706, 132, 220);
INSERT INTO public.ecdc_data VALUES (39443, 330, 25454, 825.22990396, 188, 220);
INSERT INTO public.ecdc_data VALUES (39444, 62, 3817, 611.14469869, 189, 220);
INSERT INTO public.ecdc_data VALUES (39445, 7, 316, 326.31032071, 93, 220);
INSERT INTO public.ecdc_data VALUES (39446, 1, 230, 105.01149159, 133, 220);
INSERT INTO public.ecdc_data VALUES (39447, 177, 7304, 500.03456187, 190, 220);
INSERT INTO public.ecdc_data VALUES (39448, 368, 20977, 184.63757263, 191, 220);
INSERT INTO public.ecdc_data VALUES (39449, 2, 20, 1.4096846, 40, 220);
INSERT INTO public.ecdc_data VALUES (39450, 0, 0, 0, 94, 220);
INSERT INTO public.ecdc_data VALUES (39451, 2, 7, 46.50017779, 95, 220);
INSERT INTO public.ecdc_data VALUES (39452, 0, 0, 1.80843272, 96, 220);
INSERT INTO public.ecdc_data VALUES (39453, 0, 0, 760.45627376, 192, 220);
INSERT INTO public.ecdc_data VALUES (39454, 0, 0, 9.76526171, 41, 220);
INSERT INTO public.ecdc_data VALUES (39455, 17, 471, 16.99518529, 134, 220);
INSERT INTO public.ecdc_data VALUES (39456, 0, 9, 0.9143145, 42, 220);
INSERT INTO public.ecdc_data VALUES (39457, 14, 2823, 373.47618328, 193, 220);
INSERT INTO public.ecdc_data VALUES (39458, 0, 0, 5.11556051, 43, 220);
INSERT INTO public.ecdc_data VALUES (39459, 0, 1, 0.4607583, 44, 220);
INSERT INTO public.ecdc_data VALUES (39460, 0, 9, 1.60224852, 135, 220);
INSERT INTO public.ecdc_data VALUES (39461, 0, 12, 280.73320909, 97, 220);
INSERT INTO public.ecdc_data VALUES (39462, 24, 1051, 569.99266662, 194, 220);
INSERT INTO public.ecdc_data VALUES (39463, 12, 1092, 1014.65321869, 195, 220);
INSERT INTO public.ecdc_data VALUES (39464, 0, 3, 1.19434894, 211, 220);
INSERT INTO public.ecdc_data VALUES (39465, 0, 0, 2.33116746, 45, 220);
INSERT INTO public.ecdc_data VALUES (39466, 106, 1729, 38.25762125, 46, 220);
INSERT INTO public.ecdc_data VALUES (39467, 2, 146, 3.22691975, 136, 220);
INSERT INTO public.ecdc_data VALUES (39468, 0, 0, 0.63279044, 47, 220);
INSERT INTO public.ecdc_data VALUES (39469, 349, 19096, 599.11293975, 196, 220);
INSERT INTO public.ecdc_data VALUES (39470, 5, 430, 27.41077149, 137, 220);
INSERT INTO public.ecdc_data VALUES (39471, 0, 0, 0.91093322, 48, 220);
INSERT INTO public.ecdc_data VALUES (39472, 0, 4, 9.9765551, 98, 220);
INSERT INTO public.ecdc_data VALUES (39473, 35, 4498, 454.90868445, 197, 220);
INSERT INTO public.ecdc_data VALUES (39474, 106, 5935, 1255.75119606, 198, 220);
INSERT INTO public.ecdc_data VALUES (39475, 4, 68, 4.82714486, 138, 220);
INSERT INTO public.ecdc_data VALUES (39476, 0, 4, 0.14301409, 139, 220);
INSERT INTO public.ecdc_data VALUES (39477, 1, 41, 5.97573893, 140, 220);
INSERT INTO public.ecdc_data VALUES (39478, 0, 3, 0.12639033, 141, 220);
INSERT INTO public.ecdc_data VALUES (39479, 0, 0, 0, 142, 220);
INSERT INTO public.ecdc_data VALUES (39480, 0, 35, 4.07059375, 49, 220);
INSERT INTO public.ecdc_data VALUES (39481, 0, 31, 22.36608842, 99, 220);
INSERT INTO public.ecdc_data VALUES (39482, 86, 1424, 176.09654818, 50, 220);
INSERT INTO public.ecdc_data VALUES (39483, 87, 2529, 40.4273544, 199, 220);
INSERT INTO public.ecdc_data VALUES (39484, 0, 4, 20.94569828, 100, 220);
INSERT INTO public.ecdc_data VALUES (39485, 0, 130, 6.964149, 51, 220);
INSERT INTO public.ecdc_data VALUES (39486, 191, 10179, 280.94058953, 200, 220);
INSERT INTO public.ecdc_data VALUES (39487, 3, 1096, 171.54654724, 143, 220);
INSERT INTO public.ecdc_data VALUES (39488, 532, 20412, 474.4391625, 201, 220);
INSERT INTO public.ecdc_data VALUES (39489, 0, 0, 0, 52, 220);
INSERT INTO public.ecdc_data VALUES (39490, 1432, 147274, 449.20406997, 101, 220);
INSERT INTO public.ecdc_data VALUES (39491, 0, 5, 54.50425038, 102, 220);
INSERT INTO public.ecdc_data VALUES (39492, 0, 60, 20.33664661, 103, 220);
INSERT INTO public.ecdc_data VALUES (39493, 1, 146, 9.50829876, 144, 220);
INSERT INTO public.ecdc_data VALUES (39494, 0, 1, 0, 212, 220);
INSERT INTO public.ecdc_data VALUES (39495, 8, 562, 17.69192823, 104, 220);
INSERT INTO public.ecdc_data VALUES (39496, 0, 10, 0.05598053, 145, 220);
INSERT INTO public.ecdc_data VALUES (39497, 0, 0, 0, 213, 220);
INSERT INTO public.ecdc_data VALUES (39498, 0, 0, 0, 53, 220);
INSERT INTO public.ecdc_data VALUES (39499, 0, 0, 0, 146, 220);
INSERT INTO public.ecdc_data VALUES (39500, 1, 26, 4.22148012, 54, 220);
INSERT INTO public.ecdc_data VALUES (39501, 1, 49, 2.01427431, 55, 220);
INSERT INTO public.ecdc_data VALUES (39502, 0, 0, 1.25125661, 105, 221);
INSERT INTO public.ecdc_data VALUES (39503, 3, 165, 72.59573781, 147, 221);
INSERT INTO public.ecdc_data VALUES (39504, 6, 136, 4.7058218, 1, 221);
INSERT INTO public.ecdc_data VALUES (39505, 0, 0, 1128.94968298, 148, 221);
INSERT INTO public.ecdc_data VALUES (39506, 4, 73, 4.52784434, 2, 221);
INSERT INTO public.ecdc_data VALUES (39507, 0, 0, 0, 56, 221);
INSERT INTO public.ecdc_data VALUES (39508, 0, 0, 10.29707048, 57, 221);
INSERT INTO public.ecdc_data VALUES (39509, 356, 12428, 405.11224987, 58, 221);
INSERT INTO public.ecdc_data VALUES (39510, 6, 649, 225.30807431, 149, 221);
INSERT INTO public.ecdc_data VALUES (39511, 0, 21, 334.86972063, 59, 221);
INSERT INTO public.ecdc_data VALUES (39512, 0, 15, 0.90464703, 202, 221);
INSERT INTO public.ecdc_data VALUES (39513, 1, 901, 132.58040756, 150, 221);
INSERT INTO public.ecdc_data VALUES (39514, 3, 233, 18.48180667, 151, 221);
INSERT INTO public.ecdc_data VALUES (39515, 0, 68, 316.57107059, 60, 221);
INSERT INTO public.ecdc_data VALUES (39516, 2, 427, 432.43697766, 106, 221);
INSERT INTO public.ecdc_data VALUES (39517, 23, 1203, 11.77580537, 107, 221);
INSERT INTO public.ecdc_data VALUES (39518, 0, 2, 5.574505, 61, 221);
INSERT INTO public.ecdc_data VALUES (39519, 0, 0, 54.82200358, 152, 221);
INSERT INTO public.ecdc_data VALUES (39520, 22, 4310, 458.15471128, 153, 221);
INSERT INTO public.ecdc_data VALUES (39521, 1, 54, 154.2201762, 62, 221);
INSERT INTO public.ecdc_data VALUES (39522, 0, 0, 0.72874248, 3, 221);
INSERT INTO public.ecdc_data VALUES (39523, 0, 0, 4.79938568, 63, 221);
INSERT INTO public.ecdc_data VALUES (39524, 0, 0, 4.5865909, 108, 221);
INSERT INTO public.ecdc_data VALUES (39525, 30, 237, 42.30831969, 64, 221);
INSERT INTO public.ecdc_data VALUES (39526, 0, 0, 238.61755763, 65, 221);
INSERT INTO public.ecdc_data VALUES (39527, 1, 428, 107.48264616, 154, 221);
INSERT INTO public.ecdc_data VALUES (39528, 0, 0, 69.40998905, 4, 221);
INSERT INTO public.ecdc_data VALUES (39529, 559, 26749, 172.77746082, 66, 221);
INSERT INTO public.ecdc_data VALUES (39530, 0, 0, 0, 67, 221);
INSERT INTO public.ecdc_data VALUES (39531, 0, 0, 0, 109, 221);
INSERT INTO public.ecdc_data VALUES (39532, 0, 0, 55.34254881, 155, 221);
INSERT INTO public.ecdc_data VALUES (39533, 1, 17, 1.46643563, 5, 221);
INSERT INTO public.ecdc_data VALUES (39534, 0, 2, 0.27752297, 6, 221);
INSERT INTO public.ecdc_data VALUES (39535, 0, 0, 0.04245887, 110, 221);
INSERT INTO public.ecdc_data VALUES (39536, 0, 0, 1.8085987, 7, 221);
INSERT INTO public.ecdc_data VALUES (39537, 0, 0, 70.69036684, 68, 221);
INSERT INTO public.ecdc_data VALUES (39538, 1, 104, 220.38928166, 8, 221);
INSERT INTO public.ecdc_data VALUES (39539, 0, 7, 16.93662622, 69, 221);
INSERT INTO public.ecdc_data VALUES (39540, 0, 2, 1.01155299, 9, 221);
INSERT INTO public.ecdc_data VALUES (39541, 2, 17, 0.71487329, 10, 221);
INSERT INTO public.ecdc_data VALUES (39542, 52, 1826, 124.60930977, 70, 221);
INSERT INTO public.ecdc_data VALUES (39543, 0, 21, 0.02245806, 111, 221);
INSERT INTO public.ecdc_data VALUES (39544, 165, 8447, 192.11376653, 71, 221);
INSERT INTO public.ecdc_data VALUES (39545, 0, 0, 1.99790572, 11, 221);
INSERT INTO public.ecdc_data VALUES (39546, 0, 0, 2.04441814, 12, 221);
INSERT INTO public.ecdc_data VALUES (39547, 21, 1386, 304.89973276, 72, 221);
INSERT INTO public.ecdc_data VALUES (39548, 0, 92, 2.05315222, 13, 221);
INSERT INTO public.ecdc_data VALUES (39549, 4, 486, 96.28957624, 156, 221);
INSERT INTO public.ecdc_data VALUES (39550, 0, 5, 4.72934889, 73, 221);
INSERT INTO public.ecdc_data VALUES (39551, 0, 66, 143.18669955, 74, 221);
INSERT INTO public.ecdc_data VALUES (39552, 0, 35, 34.47886115, 157, 221);
INSERT INTO public.ecdc_data VALUES (39553, 90, 4633, 476.18734624, 158, 221);
INSERT INTO public.ecdc_data VALUES (39554, 0, 6, 0.28574534, 14, 221);
INSERT INTO public.ecdc_data VALUES (39555, 2, 444, 101.08367417, 159, 221);
INSERT INTO public.ecdc_data VALUES (39556, 0, 0, 1.43802571, 15, 221);
INSERT INTO public.ecdc_data VALUES (39557, 0, 1, 11.14081996, 75, 221);
INSERT INTO public.ecdc_data VALUES (39558, 2, 557, 65.71401673, 76, 221);
INSERT INTO public.ecdc_data VALUES (39559, 13, 980, 73.94528394, 77, 221);
INSERT INTO public.ecdc_data VALUES (39560, 11, 125, 1.64461763, 16, 221);
INSERT INTO public.ecdc_data VALUES (39561, 6, 0, 23.80085379, 78, 221);
INSERT INTO public.ecdc_data VALUES (39562, 0, 0, 2.58115521, 17, 221);
INSERT INTO public.ecdc_data VALUES (39563, 0, 9, 1.11520432, 18, 221);
INSERT INTO public.ecdc_data VALUES (39564, 0, 37, 51.40320949, 160, 221);
INSERT INTO public.ecdc_data VALUES (39565, 0, 16, 20.99059952, 19, 221);
INSERT INTO public.ecdc_data VALUES (39566, 6, 767, 9.57273542, 20, 221);
INSERT INTO public.ecdc_data VALUES (39567, 0, 0, 0, 79, 221);
INSERT INTO public.ecdc_data VALUES (39568, 0, 0, 34.92409146, 161, 221);
INSERT INTO public.ecdc_data VALUES (39569, 0, 0, 0, 203, 221);
INSERT INTO public.ecdc_data VALUES (39570, 0, 269, 41.17494294, 162, 221);
INSERT INTO public.ecdc_data VALUES (39571, 54, 26896, 285.65701314, 163, 221);
INSERT INTO public.ecdc_data VALUES (39572, 0, 0, 486.95776716, 204, 221);
INSERT INTO public.ecdc_data VALUES (39573, 0, 0, 4.92502456, 21, 221);
INSERT INTO public.ecdc_data VALUES (39574, 0, 7, 3.10943154, 22, 221);
INSERT INTO public.ecdc_data VALUES (39575, 6, 519, 150.54686769, 164, 221);
INSERT INTO public.ecdc_data VALUES (39576, 11, 3483, 46.6446243, 165, 221);
INSERT INTO public.ecdc_data VALUES (39577, 0, 18, 2.57414575, 23, 221);
INSERT INTO public.ecdc_data VALUES (39578, 0, 8, 308.55040646, 166, 221);
INSERT INTO public.ecdc_data VALUES (39579, 5, 306, 45.22313608, 167, 221);
INSERT INTO public.ecdc_data VALUES (39580, 0, 0, 3.52982704, 80, 221);
INSERT INTO public.ecdc_data VALUES (39581, 0, 0, 0, 81, 221);
INSERT INTO public.ecdc_data VALUES (39582, 2, 89, 432.76846289, 205, 221);
INSERT INTO public.ecdc_data VALUES (39583, 9, 609, 44.60376364, 82, 221);
INSERT INTO public.ecdc_data VALUES (39584, 0, 0, 3.10231433, 168, 221);
INSERT INTO public.ecdc_data VALUES (39585, 1, 42, 3.50788012, 24, 221);
INSERT INTO public.ecdc_data VALUES (39586, 0, 0, 1.97822186, 25, 221);
INSERT INTO public.ecdc_data VALUES (39587, 2, 47, 86.87042892, 83, 221);
INSERT INTO public.ecdc_data VALUES (39588, 0, 6, 1.21636366, 84, 221);
INSERT INTO public.ecdc_data VALUES (39589, 0, 0, 0, 169, 221);
INSERT INTO public.ecdc_data VALUES (39590, 12, 594, 88.21976757, 85, 221);
INSERT INTO public.ecdc_data VALUES (39591, 21, 1068, 139.67400803, 170, 221);
INSERT INTO public.ecdc_data VALUES (39592, 0, 87, 240.62231261, 171, 221);
INSERT INTO public.ecdc_data VALUES (39593, 918, 74383, 77.66834084, 112, 221);
INSERT INTO public.ecdc_data VALUES (39594, 88, 4294, 21.28882376, 113, 221);
INSERT INTO public.ecdc_data VALUES (39595, 195, 3875, 64.12315003, 114, 221);
INSERT INTO public.ecdc_data VALUES (39596, 55, 2344, 137.76466722, 115, 221);
INSERT INTO public.ecdc_data VALUES (39597, 0, 1011, 145.87377453, 172, 221);
INSERT INTO public.ecdc_data VALUES (39598, 0, 0, 5.91093405, 173, 221);
INSERT INTO public.ecdc_data VALUES (39599, 55, 2145, 738.35245857, 116, 221);
INSERT INTO public.ecdc_data VALUES (39600, 29, 5724, 68.57241769, 174, 221);
INSERT INTO public.ecdc_data VALUES (39601, 6, 196, 58.67833993, 86, 221);
INSERT INTO public.ecdc_data VALUES (39602, 3, 679, 5.69287638, 117, 221);
INSERT INTO public.ecdc_data VALUES (39603, 0, 0, 45.45623214, 175, 221);
INSERT INTO public.ecdc_data VALUES (39604, 15, 1235, 157.76557147, 118, 221);
INSERT INTO public.ecdc_data VALUES (39605, 2, 352, 18.63468408, 119, 221);
INSERT INTO public.ecdc_data VALUES (39606, 5, 538, 6.25214377, 26, 221);
INSERT INTO public.ecdc_data VALUES (39607, 4, 80, 39.199202, 176, 221);
INSERT INTO public.ecdc_data VALUES (39608, 6, 492, 175.157241, 120, 221);
INSERT INTO public.ecdc_data VALUES (39609, 0, 0, 41.66243886, 121, 221);
INSERT INTO public.ecdc_data VALUES (39610, 0, 0, 0, 122, 221);
INSERT INTO public.ecdc_data VALUES (39611, 0, 89, 49.06331772, 177, 221);
INSERT INTO public.ecdc_data VALUES (39612, 5, 1388, 252.57781507, 123, 221);
INSERT INTO public.ecdc_data VALUES (39613, 0, 0, 11.38680458, 27, 221);
INSERT INTO public.ecdc_data VALUES (39614, 0, 3, 0.50634204, 28, 221);
INSERT INTO public.ecdc_data VALUES (39615, 2, 318, 145.45287145, 29, 221);
INSERT INTO public.ecdc_data VALUES (39616, 0, 0, 54.71884934, 178, 221);
INSERT INTO public.ecdc_data VALUES (39617, 0, 205, 59.6954245, 179, 221);
INSERT INTO public.ecdc_data VALUES (39618, 0, 0, 170.87640537, 180, 221);
INSERT INTO public.ecdc_data VALUES (39619, 0, 26, 1.65002392, 30, 221);
INSERT INTO public.ecdc_data VALUES (39620, 0, 8, 0.31134673, 31, 221);
INSERT INTO public.ecdc_data VALUES (39621, 3, 374, 13.54312543, 124, 221);
INSERT INTO public.ecdc_data VALUES (39622, 0, 51, 153.30808333, 125, 221);
INSERT INTO public.ecdc_data VALUES (39623, 1, 25, 0.98178744, 32, 221);
INSERT INTO public.ecdc_data VALUES (39624, 0, 95, 159.45408756, 181, 221);
INSERT INTO public.ecdc_data VALUES (39625, 0, 0, 1.45833858, 33, 221);
INSERT INTO public.ecdc_data VALUES (39626, 0, 0, 2.20529744, 34, 221);
INSERT INTO public.ecdc_data VALUES (39627, 135, 2435, 47.27630798, 87, 221);
INSERT INTO public.ecdc_data VALUES (39628, 16, 929, 277.69684744, 182, 221);
INSERT INTO public.ecdc_data VALUES (39629, 0, 0, 69.51790842, 183, 221);
INSERT INTO public.ecdc_data VALUES (39630, 0, 1, 0.09301847, 126, 221);
INSERT INTO public.ecdc_data VALUES (39631, 4, 293, 553.53578213, 184, 221);
INSERT INTO public.ecdc_data VALUES (39632, 0, 0, 0, 88, 221);
INSERT INTO public.ecdc_data VALUES (39633, 42, 3443, 94.86790412, 35, 221);
INSERT INTO public.ecdc_data VALUES (39634, 1, 102, 6.87280855, 36, 221);
INSERT INTO public.ecdc_data VALUES (39635, 32, 2158, 29.73979924, 127, 221);
INSERT INTO public.ecdc_data VALUES (39636, 1, 62, 39.00543751, 37, 221);
INSERT INTO public.ecdc_data VALUES (39637, 14, 5008, 118.36602937, 128, 221);
INSERT INTO public.ecdc_data VALUES (39638, 23, 6493, 344.63857331, 185, 221);
INSERT INTO public.ecdc_data VALUES (39639, 0, 0, 0, 207, 221);
INSERT INTO public.ecdc_data VALUES (39640, 0, 1, 0.79447015, 208, 221);
INSERT INTO public.ecdc_data VALUES (39641, 0, 0, 2.91803395, 89, 221);
INSERT INTO public.ecdc_data VALUES (39642, 0, 0, 0.0300291, 38, 221);
INSERT INTO public.ecdc_data VALUES (39643, 2, 111, 0.94793285, 39, 221);
INSERT INTO public.ecdc_data VALUES (39644, 4, 392, 147.89623385, 186, 221);
INSERT INTO public.ecdc_data VALUES (39645, 0, 2, 13.98283607, 209, 221);
INSERT INTO public.ecdc_data VALUES (39646, 0, 0, 34.06395992, 187, 221);
INSERT INTO public.ecdc_data VALUES (39647, 0, 0, 165.26659741, 129, 221);
INSERT INTO public.ecdc_data VALUES (39648, 12, 666, 3.99740832, 130, 221);
INSERT INTO public.ecdc_data VALUES (39649, 11, 281, 131.72945396, 131, 221);
INSERT INTO public.ecdc_data VALUES (39650, 8, 825, 225.08265747, 90, 221);
INSERT INTO public.ecdc_data VALUES (39651, 0, 0, 0.19370749, 210, 221);
INSERT INTO public.ecdc_data VALUES (39652, 20, 703, 156.94203777, 91, 221);
INSERT INTO public.ecdc_data VALUES (39653, 65, 2733, 141.3268135, 92, 221);
INSERT INTO public.ecdc_data VALUES (39654, 86, 2156, 32.99215175, 132, 221);
INSERT INTO public.ecdc_data VALUES (39655, 53, 5300, 93.90402797, 188, 221);
INSERT INTO public.ecdc_data VALUES (39656, 5, 1646, 122.94902106, 189, 221);
INSERT INTO public.ecdc_data VALUES (39657, 8, 472, 271.05028833, 93, 221);
INSERT INTO public.ecdc_data VALUES (39658, 0, 178, 103.38723853, 133, 221);
INSERT INTO public.ecdc_data VALUES (39659, 59, 3517, 160.54015003, 190, 221);
INSERT INTO public.ecdc_data VALUES (39660, 197, 12846, 97.01159083, 191, 221);
INSERT INTO public.ecdc_data VALUES (39661, 0, 2, 0.64148569, 40, 221);
INSERT INTO public.ecdc_data VALUES (39662, 0, 0, 0, 94, 221);
INSERT INTO public.ecdc_data VALUES (39663, 0, 1, 1.09412183, 95, 221);
INSERT INTO public.ecdc_data VALUES (39664, 0, 0, 0, 96, 221);
INSERT INTO public.ecdc_data VALUES (39665, 0, 0, 72.56262154, 192, 221);
INSERT INTO public.ecdc_data VALUES (39666, 0, 0, 5.11513709, 41, 221);
INSERT INTO public.ecdc_data VALUES (39667, 22, 405, 17.95816797, 134, 221);
INSERT INTO public.ecdc_data VALUES (39668, 1, 31, 2.30112709, 42, 221);
INSERT INTO public.ecdc_data VALUES (39669, 1, 168, 19.7163488, 193, 221);
INSERT INTO public.ecdc_data VALUES (39670, 0, 0, 5.11556051, 43, 221);
INSERT INTO public.ecdc_data VALUES (39671, 0, 5, 1.17749344, 44, 221);
INSERT INTO public.ecdc_data VALUES (39672, 0, 7, 3.11835465, 135, 221);
INSERT INTO public.ecdc_data VALUES (39673, 0, 4, 174.57359221, 97, 221);
INSERT INTO public.ecdc_data VALUES (39674, 4, 1887, 187.08646543, 194, 221);
INSERT INTO public.ecdc_data VALUES (39675, 0, 380, 147.19535895, 195, 221);
INSERT INTO public.ecdc_data VALUES (39676, 0, 0, 1.67714548, 45, 221);
INSERT INTO public.ecdc_data VALUES (39677, 126, 2364, 36.54138194, 46, 221);
INSERT INTO public.ecdc_data VALUES (39678, 2, 58, 1.94239876, 136, 221);
INSERT INTO public.ecdc_data VALUES (39679, 0, 0, 0.76838839, 47, 221);
INSERT INTO public.ecdc_data VALUES (39680, 0, 0, 308.13817482, 196, 221);
INSERT INTO public.ecdc_data VALUES (39681, 0, 105, 5.99801142, 137, 221);
INSERT INTO public.ecdc_data VALUES (39682, 0, 0, 0.14948648, 48, 221);
INSERT INTO public.ecdc_data VALUES (39683, 1, 17, 35.0899524, 98, 221);
INSERT INTO public.ecdc_data VALUES (39684, 5, 509, 75.67800582, 197, 221);
INSERT INTO public.ecdc_data VALUES (39685, 0, 0, 97.91062747, 198, 221);
INSERT INTO public.ecdc_data VALUES (39686, 3, 57, 3.7199478, 138, 221);
INSERT INTO public.ecdc_data VALUES (39687, 0, 0, 0.07150705, 139, 221);
INSERT INTO public.ecdc_data VALUES (39688, 0, 43, 6.16885078, 140, 221);
INSERT INTO public.ecdc_data VALUES (39689, 0, 0, 0.15942416, 141, 221);
INSERT INTO public.ecdc_data VALUES (39690, 0, 0, 0.07733234, 142, 221);
INSERT INTO public.ecdc_data VALUES (39691, 0, 14, 2.46215245, 49, 221);
INSERT INTO public.ecdc_data VALUES (39692, 1, 22, 52.40259819, 99, 221);
INSERT INTO public.ecdc_data VALUES (39693, 47, 3137, 137.5064869, 50, 221);
INSERT INTO public.ecdc_data VALUES (39694, 56, 1649, 25.68780829, 199, 221);
INSERT INTO public.ecdc_data VALUES (39695, 0, 0, 36.65497199, 100, 221);
INSERT INTO public.ecdc_data VALUES (39696, 7, 163, 5.27901921, 51, 221);
INSERT INTO public.ecdc_data VALUES (39697, 197, 11532, 138.11540908, 200, 221);
INSERT INTO public.ecdc_data VALUES (39698, 1, 1129, 148.5590438, 143, 221);
INSERT INTO public.ecdc_data VALUES (39699, 81, 15165, 242.42160711, 201, 221);
INSERT INTO public.ecdc_data VALUES (39700, 0, 0, 0, 52, 221);
INSERT INTO public.ecdc_data VALUES (39701, 590, 54271, 194.53577909, 101, 221);
INSERT INTO public.ecdc_data VALUES (39702, 0, 0, 7.64971935, 102, 221);
INSERT INTO public.ecdc_data VALUES (39703, 1, 17, 7.79956617, 103, 221);
INSERT INTO public.ecdc_data VALUES (39704, 5, 552, 18.01301115, 144, 221);
INSERT INTO public.ecdc_data VALUES (39705, 7, 757, 36.8672431, 104, 221);
INSERT INTO public.ecdc_data VALUES (39706, 0, 2, 0.03939371, 145, 221);
INSERT INTO public.ecdc_data VALUES (39707, 0, 0, 0, 53, 221);
INSERT INTO public.ecdc_data VALUES (39708, 1, 1, 0.07544084, 146, 221);
INSERT INTO public.ecdc_data VALUES (39709, 1, 38, 4.07031306, 54, 221);
INSERT INTO public.ecdc_data VALUES (39710, 1, 16, 1.41340604, 55, 221);
INSERT INTO public.ecdc_data VALUES (39711, 0, 28, 1.16450983, 105, 222);
INSERT INTO public.ecdc_data VALUES (39712, 2, 156, 62.0801858, 147, 222);
INSERT INTO public.ecdc_data VALUES (39713, 10, 272, 10.38718415, 1, 222);
INSERT INTO public.ecdc_data VALUES (39714, 0, 0, 266.48463447, 148, 222);
INSERT INTO public.ecdc_data VALUES (39715, 2, 59, 2.12723846, 2, 222);
INSERT INTO public.ecdc_data VALUES (39716, 0, 0, 0, 56, 222);
INSERT INTO public.ecdc_data VALUES (39717, 0, 0, 1.02970705, 57, 222);
INSERT INTO public.ecdc_data VALUES (39718, 256, 12259, 317.33554709, 58, 222);
INSERT INTO public.ecdc_data VALUES (39719, 1, 174, 69.51281524, 149, 222);
INSERT INTO public.ecdc_data VALUES (39720, 1, 89, 913.36656947, 59, 222);
INSERT INTO public.ecdc_data VALUES (39721, 7, 48, 4.7255904, 202, 222);
INSERT INTO public.ecdc_data VALUES (39722, 1, 497, 57.23138922, 150, 222);
INSERT INTO public.ecdc_data VALUES (39723, 1, 142, 20.20359049, 151, 222);
INSERT INTO public.ecdc_data VALUES (39724, 0, 0, 204.88541308, 60, 222);
INSERT INTO public.ecdc_data VALUES (39725, 1, 672, 407.88123551, 106, 222);
INSERT INTO public.ecdc_data VALUES (39726, 41, 1892, 17.41040558, 107, 222);
INSERT INTO public.ecdc_data VALUES (39727, 0, 0, 5.22609844, 61, 222);
INSERT INTO public.ecdc_data VALUES (39728, 6, 189, 25.66541503, 152, 222);
INSERT INTO public.ecdc_data VALUES (39729, 3, 1143, 69.2155458, 153, 222);
INSERT INTO public.ecdc_data VALUES (39730, 1, 34, 148.84040261, 62, 222);
INSERT INTO public.ecdc_data VALUES (39731, 0, 0, 0.82195372, 3, 222);
INSERT INTO public.ecdc_data VALUES (39732, 0, 0, 14.39815704, 63, 222);
INSERT INTO public.ecdc_data VALUES (39733, 0, 4, 7.07645454, 108, 222);
INSERT INTO public.ecdc_data VALUES (39734, 47, 860, 96.20343848, 64, 222);
INSERT INTO public.ecdc_data VALUES (39735, 0, 0, 42.33537313, 65, 222);
INSERT INTO public.ecdc_data VALUES (39736, 5, 286, 109.78498018, 154, 222);
INSERT INTO public.ecdc_data VALUES (39737, 1, 126, 26.86978313, 4, 222);
INSERT INTO public.ecdc_data VALUES (39738, 983, 40557, 226.03936851, 66, 222);
INSERT INTO public.ecdc_data VALUES (39739, 0, 0, 123.19781574, 67, 222);
INSERT INTO public.ecdc_data VALUES (39740, 0, 0, 0.23078911, 109, 222);
INSERT INTO public.ecdc_data VALUES (39741, 4, 163, 24.14272263, 155, 222);
INSERT INTO public.ecdc_data VALUES (39742, 0, 10, 0.63479931, 5, 222);
INSERT INTO public.ecdc_data VALUES (39743, 0, 3, 0.32955853, 6, 222);
INSERT INTO public.ecdc_data VALUES (39744, 0, 0, 0.00606555, 110, 222);
INSERT INTO public.ecdc_data VALUES (39745, 0, 161, 3.35054504, 7, 222);
INSERT INTO public.ecdc_data VALUES (39746, 8, 630, 21.58721177, 68, 222);
INSERT INTO public.ecdc_data VALUES (39747, 0, 84, 156.01815484, 8, 222);
INSERT INTO public.ecdc_data VALUES (39748, 0, 1, 4.61907988, 69, 222);
INSERT INTO public.ecdc_data VALUES (39749, 0, 11, 1.03262701, 9, 222);
INSERT INTO public.ecdc_data VALUES (39750, 0, 3, 0.29472846, 10, 222);
INSERT INTO public.ecdc_data VALUES (39751, 79, 1642, 129.62724056, 70, 222);
INSERT INTO public.ecdc_data VALUES (39752, 0, 27, 0.02183035, 111, 222);
INSERT INTO public.ecdc_data VALUES (39753, 222, 7808, 223.76489148, 71, 222);
INSERT INTO public.ecdc_data VALUES (39754, 0, 0, 4.58343078, 11, 222);
INSERT INTO public.ecdc_data VALUES (39755, 0, 0, 16.95008497, 12, 222);
INSERT INTO public.ecdc_data VALUES (39756, 24, 1325, 302.2647968, 72, 222);
INSERT INTO public.ecdc_data VALUES (39757, 0, 54, 4.53793304, 13, 222);
INSERT INTO public.ecdc_data VALUES (39758, 2, 291, 91.38310102, 156, 222);
INSERT INTO public.ecdc_data VALUES (39759, 2, 92, 6.57344202, 73, 222);
INSERT INTO public.ecdc_data VALUES (39760, 0, 15, 47.72889985, 74, 222);
INSERT INTO public.ecdc_data VALUES (39761, 0, 3, 4.11006292, 157, 222);
INSERT INTO public.ecdc_data VALUES (39762, 4, 1377, 85.56968206, 158, 222);
INSERT INTO public.ecdc_data VALUES (39763, 2, 19, 0.49314114, 14, 222);
INSERT INTO public.ecdc_data VALUES (39764, 1, 317, 39.5619696, 159, 222);
INSERT INTO public.ecdc_data VALUES (39765, 0, 3, 1.12987735, 15, 222);
INSERT INTO public.ecdc_data VALUES (39766, 0, 0, 5.57040998, 75, 222);
INSERT INTO public.ecdc_data VALUES (39767, 12, 779, 81.49767245, 76, 222);
INSERT INTO public.ecdc_data VALUES (39768, 48, 1040, 11.43685523, 77, 222);
INSERT INTO public.ecdc_data VALUES (39769, 13, 154, 2.48535493, 16, 222);
INSERT INTO public.ecdc_data VALUES (39770, 7, 86, 21.75546792, 78, 222);
INSERT INTO public.ecdc_data VALUES (39771, 0, 5, 4.57233208, 17, 222);
INSERT INTO public.ecdc_data VALUES (39772, 0, 20, 1.25817924, 18, 222);
INSERT INTO public.ecdc_data VALUES (39773, 0, 15, 20.75753687, 160, 222);
INSERT INTO public.ecdc_data VALUES (39774, 1, 58, 48.86193498, 19, 222);
INSERT INTO public.ecdc_data VALUES (39775, 8, 878, 14.42825096, 20, 222);
INSERT INTO public.ecdc_data VALUES (39776, 0, 0, 0, 79, 222);
INSERT INTO public.ecdc_data VALUES (39777, 0, 0, 8.21743328, 161, 222);
INSERT INTO public.ecdc_data VALUES (39778, 0, 0, 0.44946093, 203, 222);
INSERT INTO public.ecdc_data VALUES (39779, 0, 39, 8.15524838, 162, 222);
INSERT INTO public.ecdc_data VALUES (39780, 19, 9843, 140.63862914, 163, 222);
INSERT INTO public.ecdc_data VALUES (39781, 0, 0, 158.26127433, 204, 222);
INSERT INTO public.ecdc_data VALUES (39782, 0, 0, 7.04232483, 21, 222);
INSERT INTO public.ecdc_data VALUES (39783, 1, 37, 25.00323722, 22, 222);
INSERT INTO public.ecdc_data VALUES (39784, 0, 87, 11.5593573, 164, 222);
INSERT INTO public.ecdc_data VALUES (39785, 1, 1484, 20.89034499, 165, 222);
INSERT INTO public.ecdc_data VALUES (39786, 0, 0, 4.83926251, 23, 222);
INSERT INTO public.ecdc_data VALUES (39787, 0, 1, 151.3083724, 166, 222);
INSERT INTO public.ecdc_data VALUES (39788, 4, 372, 27.23644959, 167, 222);
INSERT INTO public.ecdc_data VALUES (39789, 0, 0, 0, 80, 222);
INSERT INTO public.ecdc_data VALUES (39790, 0, 0, 0, 81, 222);
INSERT INTO public.ecdc_data VALUES (39791, 2, 88, 367.01634837, 205, 222);
INSERT INTO public.ecdc_data VALUES (39792, 21, 684, 48.06194884, 82, 222);
INSERT INTO public.ecdc_data VALUES (39793, 0, 0, 1.55115716, 168, 222);
INSERT INTO public.ecdc_data VALUES (39794, 0, 61, 5.73945565, 24, 222);
INSERT INTO public.ecdc_data VALUES (39795, 0, 0, 4.99761312, 25, 222);
INSERT INTO public.ecdc_data VALUES (39796, 1, 47, 77.92788477, 83, 222);
INSERT INTO public.ecdc_data VALUES (39797, 1, 45, 2.46824159, 84, 222);
INSERT INTO public.ecdc_data VALUES (39798, 0, 0, 0, 169, 222);
INSERT INTO public.ecdc_data VALUES (39799, 5, 205, 83.44863569, 85, 222);
INSERT INTO public.ecdc_data VALUES (39800, 2, 476, 49.23892503, 170, 222);
INSERT INTO public.ecdc_data VALUES (39801, 0, 4, 19.60833747, 171, 222);
INSERT INTO public.ecdc_data VALUES (39802, 1209, 96551, 85.9849775, 112, 222);
INSERT INTO public.ecdc_data VALUES (39803, 120, 3861, 16.37650149, 113, 222);
INSERT INTO public.ecdc_data VALUES (39804, 129, 2063, 33.39850416, 114, 222);
INSERT INTO public.ecdc_data VALUES (39805, 82, 4597, 150.04659526, 115, 222);
INSERT INTO public.ecdc_data VALUES (39806, 0, 196, 38.88472016, 172, 222);
INSERT INTO public.ecdc_data VALUES (39807, 0, 0, 1.18218681, 173, 222);
INSERT INTO public.ecdc_data VALUES (39808, 23, 3960, 424.19788405, 116, 222);
INSERT INTO public.ecdc_data VALUES (39809, 10, 1597, 31.86074329, 174, 222);
INSERT INTO public.ecdc_data VALUES (39810, 2, 74, 55.65962764, 86, 222);
INSERT INTO public.ecdc_data VALUES (39811, 6, 680, 6.56470154, 117, 222);
INSERT INTO public.ecdc_data VALUES (39812, 0, -6, 6.49374745, 175, 222);
INSERT INTO public.ecdc_data VALUES (39813, 1, 80, 9.28556855, 118, 222);
INSERT INTO public.ecdc_data VALUES (39814, 1, 430, 37.57662213, 119, 222);
INSERT INTO public.ecdc_data VALUES (39815, 5, 143, 4.2112097, 26, 222);
INSERT INTO public.ecdc_data VALUES (39816, 7, 69, 81.45649778, 176, 222);
INSERT INTO public.ecdc_data VALUES (39817, 4, 740, 234.7710774, 120, 222);
INSERT INTO public.ecdc_data VALUES (39818, 2, 0, 17.09827738, 121, 222);
INSERT INTO public.ecdc_data VALUES (39819, 0, 0, 0, 122, 222);
INSERT INTO public.ecdc_data VALUES (39820, 0, 5, 4.27090452, 177, 222);
INSERT INTO public.ecdc_data VALUES (39821, 7, 560, 109.39787555, 123, 222);
INSERT INTO public.ecdc_data VALUES (39822, 0, 0, 5.316979, 27, 222);
INSERT INTO public.ecdc_data VALUES (39823, 0, 2, 0.34431258, 28, 222);
INSERT INTO public.ecdc_data VALUES (39824, 15, 477, 127.85038863, 29, 222);
INSERT INTO public.ecdc_data VALUES (39825, 0, 0, 7.81697848, 178, 222);
INSERT INTO public.ecdc_data VALUES (39826, 0, 36, 15.6396286, 179, 222);
INSERT INTO public.ecdc_data VALUES (39827, 0, 65, 88.7775414, 180, 222);
INSERT INTO public.ecdc_data VALUES (39828, 2, 104, 3.82657233, 30, 222);
INSERT INTO public.ecdc_data VALUES (39829, 0, 2, 0.85351947, 31, 222);
INSERT INTO public.ecdc_data VALUES (39830, 0, 45, 1.03913049, 124, 222);
INSERT INTO public.ecdc_data VALUES (39831, 0, 66, 295.88083404, 125, 222);
INSERT INTO public.ecdc_data VALUES (39832, 0, 11, 0.91056969, 32, 222);
INSERT INTO public.ecdc_data VALUES (39833, 1, 43, 86.51447953, 181, 222);
INSERT INTO public.ecdc_data VALUES (39834, 1, 38, 4.9716088, 33, 222);
INSERT INTO public.ecdc_data VALUES (39835, 0, 0, 0.78760623, 34, 222);
INSERT INTO public.ecdc_data VALUES (39836, 554, 5482, 56.8251612, 87, 222);
INSERT INTO public.ecdc_data VALUES (39837, 10, 560, 152.30292007, 182, 222);
INSERT INTO public.ecdc_data VALUES (39838, 0, 4, 120.90071029, 183, 222);
INSERT INTO public.ecdc_data VALUES (39839, 0, 1, 0.31006156, 126, 222);
INSERT INTO public.ecdc_data VALUES (39840, 0, 128, 267.44585989, 184, 222);
INSERT INTO public.ecdc_data VALUES (39841, 0, 0, 0, 88, 222);
INSERT INTO public.ecdc_data VALUES (39842, 38, 1889, 62.19057229, 35, 222);
INSERT INTO public.ecdc_data VALUES (39843, 3, 68, 3.8892127, 36, 222);
INSERT INTO public.ecdc_data VALUES (39844, 0, 256, 3.0289337, 127, 222);
INSERT INTO public.ecdc_data VALUES (39845, 3, 148, 101.98338441, 37, 222);
INSERT INTO public.ecdc_data VALUES (39846, 5, 1246, 52.20786743, 128, 222);
INSERT INTO public.ecdc_data VALUES (39847, 3, 823, 57.18034253, 185, 222);
INSERT INTO public.ecdc_data VALUES (39848, 0, 0, 1.06098169, 207, 222);
INSERT INTO public.ecdc_data VALUES (39849, 0, 1, 1.65166163, 208, 222);
INSERT INTO public.ecdc_data VALUES (39850, 0, 0, 4.94996336, 89, 222);
INSERT INTO public.ecdc_data VALUES (39851, 0, 0, 0.02144936, 38, 222);
INSERT INTO public.ecdc_data VALUES (39852, 5, 197, 1.24997759, 39, 222);
INSERT INTO public.ecdc_data VALUES (39853, 3, 67, 65.76375502, 186, 222);
INSERT INTO public.ecdc_data VALUES (39854, 0, 0, 8.73927254, 209, 222);
INSERT INTO public.ecdc_data VALUES (39855, 1, 122, 23.29111529, 187, 222);
INSERT INTO public.ecdc_data VALUES (39856, 11, 398, 66.97498207, 129, 222);
INSERT INTO public.ecdc_data VALUES (39857, 5, 516, 2.45561019, 130, 222);
INSERT INTO public.ecdc_data VALUES (39858, 7, 1000, 197.2930621, 131, 222);
INSERT INTO public.ecdc_data VALUES (39859, 11, 673, 229.20375656, 90, 222);
INSERT INTO public.ecdc_data VALUES (39860, 0, 3, 0.94574834, 210, 222);
INSERT INTO public.ecdc_data VALUES (39861, 11, 605, 146.79247581, 91, 222);
INSERT INTO public.ecdc_data VALUES (39862, 108, 7291, 270.89741142, 92, 222);
INSERT INTO public.ecdc_data VALUES (39863, 80, 3804, 40.11039117, 132, 222);
INSERT INTO public.ecdc_data VALUES (39864, 12, 506, 20.44620767, 188, 222);
INSERT INTO public.ecdc_data VALUES (39865, 3, 585, 53.06220909, 189, 222);
INSERT INTO public.ecdc_data VALUES (39866, 12, 772, 166.90507001, 93, 222);
INSERT INTO public.ecdc_data VALUES (39867, 0, 206, 108.18937802, 133, 222);
INSERT INTO public.ecdc_data VALUES (39868, 47, 1380, 85.16333549, 190, 222);
INSERT INTO public.ecdc_data VALUES (39869, 110, 5363, 48.53150284, 191, 222);
INSERT INTO public.ecdc_data VALUES (39870, 1, 19, 6.39109814, 40, 222);
INSERT INTO public.ecdc_data VALUES (39871, 0, 0, 0, 94, 222);
INSERT INTO public.ecdc_data VALUES (39872, 0, 0, 0.54706092, 95, 222);
INSERT INTO public.ecdc_data VALUES (39873, 0, 0, 1.80843272, 96, 222);
INSERT INTO public.ecdc_data VALUES (39874, 0, 0, 34.83005834, 192, 222);
INSERT INTO public.ecdc_data VALUES (39875, 0, 3, 3.25508724, 41, 222);
INSERT INTO public.ecdc_data VALUES (39876, 24, 708, 34.62360465, 134, 222);
INSERT INTO public.ecdc_data VALUES (39877, 0, 48, 5.25270609, 42, 222);
INSERT INTO public.ecdc_data VALUES (39878, 1, 58, 14.89137196, 193, 222);
INSERT INTO public.ecdc_data VALUES (39879, 0, 0, 1.0231121, 43, 222);
INSERT INTO public.ecdc_data VALUES (39880, 0, 2, 0.71673514, 44, 222);
INSERT INTO public.ecdc_data VALUES (39881, 0, 63, 11.31911053, 135, 222);
INSERT INTO public.ecdc_data VALUES (39882, 0, 0, 202.88282337, 97, 222);
INSERT INTO public.ecdc_data VALUES (39883, 0, 133, 25.59435317, 194, 222);
INSERT INTO public.ecdc_data VALUES (39884, 0, 76, 30.41941306, 195, 222);
INSERT INTO public.ecdc_data VALUES (39885, 0, 0, 0.62164466, 45, 222);
INSERT INTO public.ecdc_data VALUES (39886, 97, 2007, 44.65979159, 46, 222);
INSERT INTO public.ecdc_data VALUES (39887, 4, 176, 5.54803746, 136, 222);
INSERT INTO public.ecdc_data VALUES (39888, 0, 3, 0.3706344, 47, 222);
INSERT INTO public.ecdc_data VALUES (39889, 48, 12183, 270.66032683, 196, 222);
INSERT INTO public.ecdc_data VALUES (39890, 0, 8, 0.79254412, 137, 222);
INSERT INTO public.ecdc_data VALUES (39891, 0, 0, 0.91560468, 48, 222);
INSERT INTO public.ecdc_data VALUES (39892, 1, 30, 117.6545463, 98, 222);
INSERT INTO public.ecdc_data VALUES (39893, 2, 254, 25.67891001, 197, 222);
INSERT INTO public.ecdc_data VALUES (39894, 2, 405, 55.02937728, 198, 222);
INSERT INTO public.ecdc_data VALUES (39895, 4, 65, 5.34266519, 138, 222);
INSERT INTO public.ecdc_data VALUES (39896, 0, 0, 0.03785667, 139, 222);
INSERT INTO public.ecdc_data VALUES (39897, 1, 40, 5.25693371, 140, 222);
INSERT INTO public.ecdc_data VALUES (39898, 0, 7, 0.07324894, 141, 222);
INSERT INTO public.ecdc_data VALUES (39899, 0, 0, 0, 142, 222);
INSERT INTO public.ecdc_data VALUES (39900, 1, 9, 2.61062395, 49, 222);
INSERT INTO public.ecdc_data VALUES (39901, 4, 110, 87.60051299, 99, 222);
INSERT INTO public.ecdc_data VALUES (39902, 3, 465, 21.88166781, 50, 222);
INSERT INTO public.ecdc_data VALUES (39903, 58, 1512, 27.38528891, 199, 222);
INSERT INTO public.ecdc_data VALUES (39904, 0, 10, 408.44111641, 100, 222);
INSERT INTO public.ecdc_data VALUES (39905, 2, 190, 3.64132604, 51, 222);
INSERT INTO public.ecdc_data VALUES (39906, 97, 3144, 83.4143242, 200, 222);
INSERT INTO public.ecdc_data VALUES (39907, 5, 930, 85.97285346, 143, 222);
INSERT INTO public.ecdc_data VALUES (39908, 14, 2919, 41.66722183, 201, 222);
INSERT INTO public.ecdc_data VALUES (39909, 0, 0, 0, 52, 222);
INSERT INTO public.ecdc_data VALUES (39910, 974, 37507, 160.8928733, 101, 222);
INSERT INTO public.ecdc_data VALUES (39911, 0, 4, 120.48307978, 102, 222);
INSERT INTO public.ecdc_data VALUES (39912, 0, 18, 6.00855468, 103, 222);
INSERT INTO public.ecdc_data VALUES (39913, 7, 767, 16.11195779, 144, 222);
INSERT INTO public.ecdc_data VALUES (39914, 8, 1072, 52.33935159, 104, 222);
INSERT INTO public.ecdc_data VALUES (39915, 0, 0, 0.02384356, 145, 222);
INSERT INTO public.ecdc_data VALUES (39916, 0, 0, 0, 53, 222);
INSERT INTO public.ecdc_data VALUES (39917, 3, 4, 0.23660992, 146, 222);
INSERT INTO public.ecdc_data VALUES (39918, 0, 102, 9.03083215, 54, 222);
INSERT INTO public.ecdc_data VALUES (39919, 0, 24, 7.92736431, 55, 222);
INSERT INTO public.ecdc_data VALUES (39920, 0, 0, 1.80328159, 105, 223);
INSERT INTO public.ecdc_data VALUES (39921, 1, 125, 57.85300376, 147, 223);
INSERT INTO public.ecdc_data VALUES (39922, 10, 498, 17.975496, 1, 223);
INSERT INTO public.ecdc_data VALUES (39923, 0, 7, 73.51300261, 148, 223);
INSERT INTO public.ecdc_data VALUES (39924, 5, 100, 2.32519418, 2, 223);
INSERT INTO public.ecdc_data VALUES (39925, 0, 0, 0, 56, 223);
INSERT INTO public.ecdc_data VALUES (39926, 0, 0, 6.17824229, 57, 223);
INSERT INTO public.ecdc_data VALUES (39927, 78, 4688, 187.52062134, 58, 223);
INSERT INTO public.ecdc_data VALUES (39928, 5, 23, 94.80249705, 149, 223);
INSERT INTO public.ecdc_data VALUES (39929, 0, 67, 480.66973944, 59, 223);
INSERT INTO public.ecdc_data VALUES (39930, 18, 313, 25.63960132, 202, 223);
INSERT INTO public.ecdc_data VALUES (39931, 2, 111, 17.74511713, 150, 223);
INSERT INTO public.ecdc_data VALUES (39932, 2, 79, 31.85797692, 151, 223);
INSERT INTO public.ecdc_data VALUES (39933, 0, 47, 144.54948316, 60, 223);
INSERT INTO public.ecdc_data VALUES (39934, 1, 386, 299.48256238, 106, 223);
INSERT INTO public.ecdc_data VALUES (39935, 39, 2907, 21.02594582, 107, 223);
INSERT INTO public.ecdc_data VALUES (39936, 0, 1, 11.49741657, 61, 223);
INSERT INTO public.ecdc_data VALUES (39937, 2, 97, 17.94251603, 152, 223);
INSERT INTO public.ecdc_data VALUES (39938, 11, 873, 70.78684082, 153, 223);
INSERT INTO public.ecdc_data VALUES (39939, 0, 23, 33.04718061, 62, 223);
INSERT INTO public.ecdc_data VALUES (39940, 0, 0, 1.40664245, 3, 223);
INSERT INTO public.ecdc_data VALUES (39941, 0, 1, 7.99897613, 63, 223);
INSERT INTO public.ecdc_data VALUES (39942, 0, 3, 1.83463636, 108, 223);
INSERT INTO public.ecdc_data VALUES (39943, 72, 1636, 172.18643594, 64, 223);
INSERT INTO public.ecdc_data VALUES (39944, 0, 0, 7.69734057, 65, 223);
INSERT INTO public.ecdc_data VALUES (39945, 23, 173, 121.17547481, 154, 223);
INSERT INTO public.ecdc_data VALUES (39946, 0, 157, 14.1945381, 4, 223);
INSERT INTO public.ecdc_data VALUES (39947, 703, 22048, 291.44581941, 66, 223);
INSERT INTO public.ecdc_data VALUES (39948, 0, 0, 3.3296707, 67, 223);
INSERT INTO public.ecdc_data VALUES (39949, 0, 0, 0.23078911, 109, 223);
INSERT INTO public.ecdc_data VALUES (39950, 12, 116, 41.2997699, 155, 223);
INSERT INTO public.ecdc_data VALUES (39951, 0, 7, 0.54622267, 5, 223);
INSERT INTO public.ecdc_data VALUES (39952, 0, 0, 0.26017779, 6, 223);
INSERT INTO public.ecdc_data VALUES (39953, 0, 15, 0.24868769, 110, 223);
INSERT INTO public.ecdc_data VALUES (39954, 0, 0, 5.15527921, 7, 223);
INSERT INTO public.ecdc_data VALUES (39955, 6, 666, 14.75500359, 68, 223);
INSERT INTO public.ecdc_data VALUES (39956, 0, 25, 100.92083442, 8, 223);
INSERT INTO public.ecdc_data VALUES (39957, 0, 0, 0, 69, 223);
INSERT INTO public.ecdc_data VALUES (39958, 0, 0, 0.88510887, 9, 223);
INSERT INTO public.ecdc_data VALUES (39959, 0, 1, 0.14422882, 10, 223);
INSERT INTO public.ecdc_data VALUES (39960, 62, 1988, 143.10336594, 70, 223);
INSERT INTO public.ecdc_data VALUES (39961, 4, 113, 0.14806976, 111, 223);
INSERT INTO public.ecdc_data VALUES (39962, 312, 10142, 279.14889722, 71, 223);
INSERT INTO public.ecdc_data VALUES (39963, 0, 0, 6.9339081, 11, 223);
INSERT INTO public.ecdc_data VALUES (39964, 0, 0, 8.62372744, 12, 223);
INSERT INTO public.ecdc_data VALUES (39965, 9, 586, 159.10654671, 72, 223);
INSERT INTO public.ecdc_data VALUES (39966, 0, 83, 4.44460794, 13, 223);
INSERT INTO public.ecdc_data VALUES (39967, 1, 45, 18.84086485, 156, 223);
INSERT INTO public.ecdc_data VALUES (39968, 0, 93, 4.53523383, 73, 223);
INSERT INTO public.ecdc_data VALUES (39969, 0, 1, 1.83572692, 74, 223);
INSERT INTO public.ecdc_data VALUES (39970, 0, 10, 21.92033556, 157, 223);
INSERT INTO public.ecdc_data VALUES (39971, 0, 139, 27.96296644, 158, 223);
INSERT INTO public.ecdc_data VALUES (39972, 0, 35, 0.74201611, 14, 223);
INSERT INTO public.ecdc_data VALUES (39973, 3, 373, 21.83917172, 159, 223);
INSERT INTO public.ecdc_data VALUES (39974, 0, 3, 29.58224326, 15, 223);
INSERT INTO public.ecdc_data VALUES (39975, 0, 0, 0, 75, 223);
INSERT INTO public.ecdc_data VALUES (39976, 19, 767, 152.18423912, 76, 223);
INSERT INTO public.ecdc_data VALUES (39977, 10, 242, 77.93408147, 77, 223);
INSERT INTO public.ecdc_data VALUES (39978, 26, 174, 3.17169143, 16, 223);
INSERT INTO public.ecdc_data VALUES (39979, 7, 449, 90.44634349, 78, 223);
INSERT INTO public.ecdc_data VALUES (39980, 0, 0, 129.05776035, 17, 223);
INSERT INTO public.ecdc_data VALUES (39981, 0, 0, 0.57189965, 18, 223);
INSERT INTO public.ecdc_data VALUES (39982, 0, 6, 9.05783427, 160, 223);
INSERT INTO public.ecdc_data VALUES (39983, 3, 73, 86.48823786, 19, 223);
INSERT INTO public.ecdc_data VALUES (39984, 13, 773, 8.06932791, 20, 223);
INSERT INTO public.ecdc_data VALUES (39985, 0, 0, 0, 79, 223);
INSERT INTO public.ecdc_data VALUES (39986, 0, 22, 203.3814738, 161, 223);
INSERT INTO public.ecdc_data VALUES (39987, 0, 0, 0, 203, 223);
INSERT INTO public.ecdc_data VALUES (39988, 2, 17, 3.67892316, 162, 223);
INSERT INTO public.ecdc_data VALUES (39989, 16, 4854, 29.39136345, 163, 223);
INSERT INTO public.ecdc_data VALUES (39990, 0, 0, 0, 204, 223);
INSERT INTO public.ecdc_data VALUES (39991, 0, 83, 37.60509404, 21, 223);
INSERT INTO public.ecdc_data VALUES (39992, 0, 0, 38.71881198, 22, 223);
INSERT INTO public.ecdc_data VALUES (39993, 0, 14, 2.97741021, 164, 223);
INSERT INTO public.ecdc_data VALUES (39994, 4, 966, 13.31137649, 165, 223);
INSERT INTO public.ecdc_data VALUES (39995, 0, 209, 24.94587226, 23, 223);
INSERT INTO public.ecdc_data VALUES (39996, 0, 0, 35.60196998, 166, 223);
INSERT INTO public.ecdc_data VALUES (39997, 1, 126, 14.19167281, 167, 223);
INSERT INTO public.ecdc_data VALUES (39998, 0, 0, 1.76491352, 80, 223);
INSERT INTO public.ecdc_data VALUES (39999, 0, 0, 0.8928412, 81, 223);
INSERT INTO public.ecdc_data VALUES (40000, 0, 16, 50.80845214, 205, 223);
INSERT INTO public.ecdc_data VALUES (40001, 11, 382, 67.87826005, 82, 223);
INSERT INTO public.ecdc_data VALUES (40002, 0, 0, 0, 168, 223);
INSERT INTO public.ecdc_data VALUES (40003, 0, 0, 6.85132837, 24, 223);
INSERT INTO public.ecdc_data VALUES (40004, 0, 0, 5.10173006, 25, 223);
INSERT INTO public.ecdc_data VALUES (40005, 0, 0, 22.86736291, 83, 223);
INSERT INTO public.ecdc_data VALUES (40006, 0, 15, 2.74347716, 84, 223);
INSERT INTO public.ecdc_data VALUES (40007, 0, 0, 0, 169, 223);
INSERT INTO public.ecdc_data VALUES (40008, 11, 418, 83.42811469, 85, 223);
INSERT INTO public.ecdc_data VALUES (40009, 3, 35, 2.81394522, 170, 223);
INSERT INTO public.ecdc_data VALUES (40010, 0, 4, 30.25286352, 171, 223);
INSERT INTO public.ecdc_data VALUES (40011, 871, 53601, 57.48747018, 112, 223);
INSERT INTO public.ecdc_data VALUES (40012, 42, 1687, 9.89559128, 113, 223);
INSERT INTO public.ecdc_data VALUES (40013, 189, 2132, 42.49951211, 114, 223);
INSERT INTO public.ecdc_data VALUES (40014, 72, 3484, 104.3353349, 115, 223);
INSERT INTO public.ecdc_data VALUES (40015, 0, 56, 17.86209484, 172, 223);
INSERT INTO public.ecdc_data VALUES (40016, 0, 0, 0, 173, 223);
INSERT INTO public.ecdc_data VALUES (40017, 13, 2220, 243.72685642, 116, 223);
INSERT INTO public.ecdc_data VALUES (40018, 4, 259, 7.51993728, 174, 223);
INSERT INTO public.ecdc_data VALUES (40019, 0, 8, 6.03742457, 86, 223);
INSERT INTO public.ecdc_data VALUES (40020, 4, 248, 14.38511508, 117, 223);
INSERT INTO public.ecdc_data VALUES (40021, 0, 2, 12.05981669, 175, 223);
INSERT INTO public.ecdc_data VALUES (40022, 0, 16, 0.91073807, 118, 223);
INSERT INTO public.ecdc_data VALUES (40023, 0, 779, 155.52980612, 119, 223);
INSERT INTO public.ecdc_data VALUES (40024, 3, 492, 17.02934078, 26, 223);
INSERT INTO public.ecdc_data VALUES (40025, 14, 172, 167.13872514, 176, 223);
INSERT INTO public.ecdc_data VALUES (40026, 4, 687, 190.65493691, 120, 223);
INSERT INTO public.ecdc_data VALUES (40027, 4, 278, 103.04166976, 121, 223);
INSERT INTO public.ecdc_data VALUES (40028, 0, 0, 0, 122, 223);
INSERT INTO public.ecdc_data VALUES (40029, 0, 3, 3.8021467, 177, 223);
INSERT INTO public.ecdc_data VALUES (40030, 4, 295, 42.73810338, 123, 223);
INSERT INTO public.ecdc_data VALUES (40031, 1, 39, 12.98660357, 27, 223);
INSERT INTO public.ecdc_data VALUES (40032, 0, 3, 1.47851874, 28, 223);
INSERT INTO public.ecdc_data VALUES (40033, 7, 309, 40.04454181, 29, 223);
INSERT INTO public.ecdc_data VALUES (40034, 0, 0, 5.21131898, 178, 223);
INSERT INTO public.ecdc_data VALUES (40035, 0, 13, 8.80400145, 179, 223);
INSERT INTO public.ecdc_data VALUES (40036, 2, 103, 145.79064138, 180, 223);
INSERT INTO public.ecdc_data VALUES (40037, 3, 116, 13.02221125, 30, 223);
INSERT INTO public.ecdc_data VALUES (40038, 0, 15, 5.1747973, 31, 223);
INSERT INTO public.ecdc_data VALUES (40039, 0, 11, 0.59468311, 124, 223);
INSERT INTO public.ecdc_data VALUES (40040, 0, 116, 336.75043365, 125, 223);
INSERT INTO public.ecdc_data VALUES (40041, 0, 6, 0.30521889, 32, 223);
INSERT INTO public.ecdc_data VALUES (40042, 0, 29, 66.86130736, 181, 223);
INSERT INTO public.ecdc_data VALUES (40043, 0, 0, 7.22540479, 33, 223);
INSERT INTO public.ecdc_data VALUES (40044, 0, 0, 0, 34, 223);
INSERT INTO public.ecdc_data VALUES (40045, 705, 7086, 65.9436811, 87, 223);
INSERT INTO public.ecdc_data VALUES (40046, 5, 181, 115.92136836, 182, 223);
INSERT INTO public.ecdc_data VALUES (40047, 0, 0, 39.29273084, 183, 223);
INSERT INTO public.ecdc_data VALUES (40048, 0, 0, 0.12402462, 126, 223);
INSERT INTO public.ecdc_data VALUES (40049, 4, 78, 129.06191436, 184, 223);
INSERT INTO public.ecdc_data VALUES (40050, 0, 0, 0, 88, 223);
INSERT INTO public.ecdc_data VALUES (40051, 18, 826, 36.12657528, 35, 223);
INSERT INTO public.ecdc_data VALUES (40052, 0, 142, 2.33813803, 36, 223);
INSERT INTO public.ecdc_data VALUES (40053, 0, 0, 0.01850295, 127, 223);
INSERT INTO public.ecdc_data VALUES (40054, 0, 152, 50.43046289, 37, 223);
INSERT INTO public.ecdc_data VALUES (40055, 4, 338, 15.93220807, 128, 223);
INSERT INTO public.ecdc_data VALUES (40056, 0, 575, 34.64844071, 185, 223);
INSERT INTO public.ecdc_data VALUES (40057, 0, 0, 0.35366056, 207, 223);
INSERT INTO public.ecdc_data VALUES (40058, 0, 1, 0.27179242, 208, 223);
INSERT INTO public.ecdc_data VALUES (40059, 0, 0, 7.07355875, 89, 223);
INSERT INTO public.ecdc_data VALUES (40060, 0, 0, 0.11153667, 38, 223);
INSERT INTO public.ecdc_data VALUES (40061, 5, 290, 2.82986566, 39, 223);
INSERT INTO public.ecdc_data VALUES (40062, 1, 109, 84.29892756, 186, 223);
INSERT INTO public.ecdc_data VALUES (40063, 0, 1, 15.73069058, 209, 223);
INSERT INTO public.ecdc_data VALUES (40064, 0, 170, 9.77813946, 187, 223);
INSERT INTO public.ecdc_data VALUES (40065, 8, 207, 95.05542923, 129, 223);
INSERT INTO public.ecdc_data VALUES (40066, 15, 531, 4.6018449, 130, 223);
INSERT INTO public.ecdc_data VALUES (40067, 7, 470, 113.70247291, 131, 223);
INSERT INTO public.ecdc_data VALUES (40068, 25, 902, 328.55756822, 90, 223);
INSERT INTO public.ecdc_data VALUES (40069, 0, 0, 1.73197287, 210, 223);
INSERT INTO public.ecdc_data VALUES (40070, 7, 327, 38.1282845, 91, 223);
INSERT INTO public.ecdc_data VALUES (40071, 204, 5109, 287.34134876, 92, 223);
INSERT INTO public.ecdc_data VALUES (40072, 23, 6725, 50.49917301, 132, 223);
INSERT INTO public.ecdc_data VALUES (40073, 2, 619, 23.72223579, 188, 223);
INSERT INTO public.ecdc_data VALUES (40074, 3, 157, 24.58007338, 189, 223);
INSERT INTO public.ecdc_data VALUES (40075, 0, 697, 251.48257792, 93, 223);
INSERT INTO public.ecdc_data VALUES (40076, 4, 315, 129.4105974, 133, 223);
INSERT INTO public.ecdc_data VALUES (40077, 29, 779, 85.73507435, 190, 223);
INSERT INTO public.ecdc_data VALUES (40078, 130, 5118, 51.0953899, 191, 223);
INSERT INTO public.ecdc_data VALUES (40079, 0, 12, 2.16204435, 40, 223);
INSERT INTO public.ecdc_data VALUES (40080, 0, 0, 0, 94, 223);
INSERT INTO public.ecdc_data VALUES (40081, 0, 0, 0.54706092, 95, 223);
INSERT INTO public.ecdc_data VALUES (40082, 0, 0, 4.5210818, 96, 223);
INSERT INTO public.ecdc_data VALUES (40083, 0, 0, 31.92755348, 192, 223);
INSERT INTO public.ecdc_data VALUES (40084, 0, 0, 6.04516201, 41, 223);
INSERT INTO public.ecdc_data VALUES (40085, 32, 1257, 61.31865187, 134, 223);
INSERT INTO public.ecdc_data VALUES (40086, 4, 137, 9.49905261, 42, 223);
INSERT INTO public.ecdc_data VALUES (40087, 5, 163, 59.17776651, 193, 223);
INSERT INTO public.ecdc_data VALUES (40088, 0, 0, 12.27734523, 43, 223);
INSERT INTO public.ecdc_data VALUES (40089, 1, 1, 1.7150448, 44, 223);
INSERT INTO public.ecdc_data VALUES (40090, 0, 188, 76.73564433, 135, 223);
INSERT INTO public.ecdc_data VALUES (40091, 0, 0, 176.9326948, 97, 223);
INSERT INTO public.ecdc_data VALUES (40092, 0, 3, 7.66913235, 194, 223);
INSERT INTO public.ecdc_data VALUES (40093, 0, 6, 8.07339873, 195, 223);
INSERT INTO public.ecdc_data VALUES (40094, 0, 0, 0.31729779, 45, 223);
INSERT INTO public.ecdc_data VALUES (40095, 213, 3740, 189.67262129, 46, 223);
INSERT INTO public.ecdc_data VALUES (40096, 0, 34, 0.89213692, 136, 223);
INSERT INTO public.ecdc_data VALUES (40097, 0, 0, 1.49157747, 47, 223);
INSERT INTO public.ecdc_data VALUES (40098, 5, 3632, 98.00784284, 196, 223);
INSERT INTO public.ecdc_data VALUES (40099, 0, 27, 0.30951427, 137, 223);
INSERT INTO public.ecdc_data VALUES (40100, 8, 62, 1.24260635, 48, 223);
INSERT INTO public.ecdc_data VALUES (40101, 1, 98, 173.04162804, 98, 223);
INSERT INTO public.ecdc_data VALUES (40102, 2, 196, 34.89672963, 197, 223);
INSERT INTO public.ecdc_data VALUES (40103, 0, 105, 26.08687409, 198, 223);
INSERT INTO public.ecdc_data VALUES (40104, 0, 0, 3.01110735, 138, 223);
INSERT INTO public.ecdc_data VALUES (40105, 0, 0, 0.05468186, 139, 223);
INSERT INTO public.ecdc_data VALUES (40106, 0, 82, 6.35123419, 140, 223);
INSERT INTO public.ecdc_data VALUES (40107, 0, 0, 0.0775577, 141, 223);
INSERT INTO public.ecdc_data VALUES (40108, 0, 0, 0.07733234, 142, 223);
INSERT INTO public.ecdc_data VALUES (40109, 2, 7, 2.3879167, 49, 223);
INSERT INTO public.ecdc_data VALUES (40110, 0, 2, 9.53426205, 99, 223);
INSERT INTO public.ecdc_data VALUES (40111, 0, 20, 2.24032707, 50, 223);
INSERT INTO public.ecdc_data VALUES (40112, 14, 1193, 18.26498897, 199, 223);
INSERT INTO public.ecdc_data VALUES (40113, 0, 0, 306.3308373, 100, 223);
INSERT INTO public.ecdc_data VALUES (40114, 2, 14, 0.38175192, 51, 223);
INSERT INTO public.ecdc_data VALUES (40115, 29, 1158, 39.68527908, 200, 223);
INSERT INTO public.ecdc_data VALUES (40116, 0, 179, 36.09836359, 143, 223);
INSERT INTO public.ecdc_data VALUES (40117, 18, 816, 16.53334956, 201, 223);
INSERT INTO public.ecdc_data VALUES (40118, 0, 0, 0, 52, 223);
INSERT INTO public.ecdc_data VALUES (40119, 523, 49530, 244.36849948, 101, 223);
INSERT INTO public.ecdc_data VALUES (40120, 0, 0, 174.98733015, 102, 223);
INSERT INTO public.ecdc_data VALUES (40121, 0, 11, 4.6797397, 103, 223);
INSERT INTO public.ecdc_data VALUES (40122, 6, 725, 30.43807758, 144, 223);
INSERT INTO public.ecdc_data VALUES (40123, 0, 0, 34.42649344, 104, 223);
INSERT INTO public.ecdc_data VALUES (40124, 0, 5, 0.43022075, 145, 223);
INSERT INTO public.ecdc_data VALUES (40125, 0, 0, 0, 53, 223);
INSERT INTO public.ecdc_data VALUES (40126, 3, 27, 0.4800781, 146, 223);
INSERT INTO public.ecdc_data VALUES (40127, 6, 125, 20.48033725, 54, 223);
INSERT INTO public.ecdc_data VALUES (40128, 0, 99, 13.95653114, 55, 223);
INSERT INTO public.ecdc_data VALUES (40129, 37, 458, 10.29132277, 105, 224);
INSERT INTO public.ecdc_data VALUES (40130, 2, 90, 35.24980724, 147, 224);
INSERT INTO public.ecdc_data VALUES (40131, 8, 434, 12.90733057, 1, 224);
INSERT INTO public.ecdc_data VALUES (40132, 0, 0, 0, 148, 224);
INSERT INTO public.ecdc_data VALUES (40133, 1, 62, 0.77296996, 2, 224);
INSERT INTO public.ecdc_data VALUES (40134, 0, 0, 0, 56, 224);
INSERT INTO public.ecdc_data VALUES (40135, 0, 1, 9.26736344, 57, 224);
INSERT INTO public.ecdc_data VALUES (40136, 42, 3663, 85.38504612, 58, 224);
INSERT INTO public.ecdc_data VALUES (40137, 13, 489, 252.9982473, 149, 224);
INSERT INTO public.ecdc_data VALUES (40138, 0, 0, 3.76258113, 59, 224);
INSERT INTO public.ecdc_data VALUES (40139, 0, 300, 6.99911122, 202, 224);
INSERT INTO public.ecdc_data VALUES (40140, 0, 74, 13.42172027, 150, 224);
INSERT INTO public.ecdc_data VALUES (40141, 8, 526, 75.84806064, 151, 224);
INSERT INTO public.ecdc_data VALUES (40142, 0, 1, 1.02699455, 60, 224);
INSERT INTO public.ecdc_data VALUES (40143, 1, 511, 440.78471134, 106, 224);
INSERT INTO public.ecdc_data VALUES (40144, 37, 2949, 29.42050041, 107, 224);
INSERT INTO public.ecdc_data VALUES (40145, 0, 0, 0.34840656, 61, 224);
INSERT INTO public.ecdc_data VALUES (40146, 5, 193, 41.16410959, 152, 224);
INSERT INTO public.ecdc_data VALUES (40147, 0, 127, 11.23475942, 153, 224);
INSERT INTO public.ecdc_data VALUES (40148, 0, 4, 3.33033603, 62, 224);
INSERT INTO public.ecdc_data VALUES (40149, 0, 0, 1.96590994, 3, 224);
INSERT INTO public.ecdc_data VALUES (40150, 0, 1, 6.3991809, 63, 224);
INSERT INTO public.ecdc_data VALUES (40151, 0, 2, 0.91731818, 108, 224);
INSERT INTO public.ecdc_data VALUES (40152, 64, 1452, 140.20548068, 64, 224);
INSERT INTO public.ecdc_data VALUES (40153, 0, 0, 0, 65, 224);
INSERT INTO public.ecdc_data VALUES (40154, 2, 315, 74.76526796, 154, 224);
INSERT INTO public.ecdc_data VALUES (40155, 0, 0, 8.20418257, 4, 224);
INSERT INTO public.ecdc_data VALUES (40156, 1214, 45048, 249.16095639, 66, 224);
INSERT INTO public.ecdc_data VALUES (40157, 0, 0, 0, 67, 224);
INSERT INTO public.ecdc_data VALUES (40158, 0, 0, 0, 109, 224);
INSERT INTO public.ecdc_data VALUES (40159, 0, 292, 35.01409064, 155, 224);
INSERT INTO public.ecdc_data VALUES (40160, 0, 0, 0.38875307, 5, 224);
INSERT INTO public.ecdc_data VALUES (40161, 0, 7, 0.71115262, 6, 224);
INSERT INTO public.ecdc_data VALUES (40162, 0, 0, 0.01213111, 110, 224);
INSERT INTO public.ecdc_data VALUES (40163, 0, 0, 8.98116109, 7, 224);
INSERT INTO public.ecdc_data VALUES (40164, 10, 321, 11.5767972, 68, 224);
INSERT INTO public.ecdc_data VALUES (40165, 0, 0, 95.64749353, 8, 224);
INSERT INTO public.ecdc_data VALUES (40166, 0, 0, 7.69846647, 69, 224);
INSERT INTO public.ecdc_data VALUES (40167, 1, 59, 19.36702493, 9, 224);
INSERT INTO public.ecdc_data VALUES (40168, 0, 1, 0.05643736, 10, 224);
INSERT INTO public.ecdc_data VALUES (40169, 99, 3058, 242.26422123, 70, 224);
INSERT INTO public.ecdc_data VALUES (40170, 0, 40, 0.02169086, 111, 224);
INSERT INTO public.ecdc_data VALUES (40171, 211, 6803, 111.90827042, 71, 224);
INSERT INTO public.ecdc_data VALUES (40172, 0, 0, 7.75657517, 11, 224);
INSERT INTO public.ecdc_data VALUES (40173, 0, 207, 15.31455046, 12, 224);
INSERT INTO public.ecdc_data VALUES (40174, 1, 360, 79.42449829, 72, 224);
INSERT INTO public.ecdc_data VALUES (40175, 2, 302, 14.45761357, 13, 224);
INSERT INTO public.ecdc_data VALUES (40176, 2, 116, 24.36064948, 156, 224);
INSERT INTO public.ecdc_data VALUES (40177, 0, 10, 0.77646027, 73, 224);
INSERT INTO public.ecdc_data VALUES (40178, 0, 0, 0.61190897, 74, 224);
INSERT INTO public.ecdc_data VALUES (40179, 0, 3, 2.3975367, 157, 224);
INSERT INTO public.ecdc_data VALUES (40180, 0, 143, 19.00505174, 158, 224);
INSERT INTO public.ecdc_data VALUES (40181, 0, 59, 1.55777296, 14, 224);
INSERT INTO public.ecdc_data VALUES (40182, 0, 30, 4.66752014, 159, 224);
INSERT INTO public.ecdc_data VALUES (40183, 0, 0, 32.0474302, 15, 224);
INSERT INTO public.ecdc_data VALUES (40184, 0, 0, 0, 75, 224);
INSERT INTO public.ecdc_data VALUES (40185, 22, 1125, 113.14879089, 76, 224);
INSERT INTO public.ecdc_data VALUES (40186, 44, 783, 68.75351574, 77, 224);
INSERT INTO public.ecdc_data VALUES (40187, 85, 981, 17.41242655, 16, 224);
INSERT INTO public.ecdc_data VALUES (40188, 6, 298, 56.17063477, 78, 224);
INSERT INTO public.ecdc_data VALUES (40189, 0, 0, 78.90960204, 17, 224);
INSERT INTO public.ecdc_data VALUES (40190, 0, 0, 1.85867387, 18, 224);
INSERT INTO public.ecdc_data VALUES (40191, 0, 2, 2.03801271, 160, 224);
INSERT INTO public.ecdc_data VALUES (40192, 1, 44, 46.07480144, 19, 224);
INSERT INTO public.ecdc_data VALUES (40193, 4, 147, 1.51232981, 20, 224);
INSERT INTO public.ecdc_data VALUES (40194, 0, 0, 0, 79, 224);
INSERT INTO public.ecdc_data VALUES (40195, 0, 0, 2.05435832, 161, 224);
INSERT INTO public.ecdc_data VALUES (40196, 0, 0, 0.3370957, 203, 224);
INSERT INTO public.ecdc_data VALUES (40197, 0, 3, 1.79415464, 162, 224);
INSERT INTO public.ecdc_data VALUES (40198, 25, 658, 11.66342896, 163, 224);
INSERT INTO public.ecdc_data VALUES (40199, 0, 0, 0, 204, 224);
INSERT INTO public.ecdc_data VALUES (40200, 0, 71, 33.73871962, 21, 224);
INSERT INTO public.ecdc_data VALUES (40201, 0, 0, 0.85189905, 22, 224);
INSERT INTO public.ecdc_data VALUES (40202, 0, 8, 1.50121523, 164, 224);
INSERT INTO public.ecdc_data VALUES (40203, 6, 378, 6.3997234, 165, 224);
INSERT INTO public.ecdc_data VALUES (40204, 6, 371, 26.30033975, 23, 224);
INSERT INTO public.ecdc_data VALUES (40205, 0, 0, 11.86732333, 166, 224);
INSERT INTO public.ecdc_data VALUES (40206, 0, 60, 3.62717524, 167, 224);
INSERT INTO public.ecdc_data VALUES (40207, 0, 0, 0, 80, 224);
INSERT INTO public.ecdc_data VALUES (40208, 0, 0, 0, 81, 224);
INSERT INTO public.ecdc_data VALUES (40209, 0, 2, 38.25577573, 205, 224);
INSERT INTO public.ecdc_data VALUES (40210, 47, 961, 67.06490399, 82, 224);
INSERT INTO public.ecdc_data VALUES (40211, 0, 0, 0, 168, 224);
INSERT INTO public.ecdc_data VALUES (40212, 1, 88, 5.5515335, 24, 224);
INSERT INTO public.ecdc_data VALUES (40213, 0, 0, 12.18168198, 25, 224);
INSERT INTO public.ecdc_data VALUES (40214, 0, 4, 7.66503785, 83, 224);
INSERT INTO public.ecdc_data VALUES (40215, 12, 131, 7.94631734, 84, 224);
INSERT INTO public.ecdc_data VALUES (40216, 0, 0, 0, 169, 224);
INSERT INTO public.ecdc_data VALUES (40217, 46, 669, 113.4708548, 85, 224);
INSERT INTO public.ecdc_data VALUES (40218, 2, 3, 0.98232269, 170, 224);
INSERT INTO public.ecdc_data VALUES (40219, 0, 0, 3.64154839, 171, 224);
INSERT INTO public.ecdc_data VALUES (40220, 519, 27114, 22.83071913, 112, 224);
INSERT INTO public.ecdc_data VALUES (40221, 52, 1611, 7.73023785, 113, 224);
INSERT INTO public.ecdc_data VALUES (40222, 142, 2262, 42.20764305, 114, 224);
INSERT INTO public.ecdc_data VALUES (40223, 78, 2848, 79.5399843, 115, 224);
INSERT INTO public.ecdc_data VALUES (40224, 1, 24, 3.56834086, 172, 224);
INSERT INTO public.ecdc_data VALUES (40225, 0, 0, 0, 173, 224);
INSERT INTO public.ecdc_data VALUES (40226, 3, 1441, 158.06327531, 116, 224);
INSERT INTO public.ecdc_data VALUES (40227, 12, 276, 4.43674643, 174, 224);
INSERT INTO public.ecdc_data VALUES (40228, 0, 0, 2.27251374, 86, 224);
INSERT INTO public.ecdc_data VALUES (40229, 0, 410, 2.23237689, 117, 224);
INSERT INTO public.ecdc_data VALUES (40230, 0, 0, 5.56606924, 175, 224);
INSERT INTO public.ecdc_data VALUES (40231, 0, 4, 0.68305355, 118, 224);
INSERT INTO public.ecdc_data VALUES (40232, 0, 1708, 194.78823948, 119, 224);
INSERT INTO public.ecdc_data VALUES (40233, 8, 473, 7.44665131, 26, 224);
INSERT INTO public.ecdc_data VALUES (40234, 8, 207, 100.80589111, 176, 224);
INSERT INTO public.ecdc_data VALUES (40235, 1, 740, 234.7710774, 120, 224);
INSERT INTO public.ecdc_data VALUES (40236, 3, 552, 84.11978395, 121, 224);
INSERT INTO public.ecdc_data VALUES (40237, 0, 0, 0, 122, 224);
INSERT INTO public.ecdc_data VALUES (40238, 0, 0, 2.18753646, 177, 224);
INSERT INTO public.ecdc_data VALUES (40239, 0, 71, 5.61575761, 123, 224);
INSERT INTO public.ecdc_data VALUES (40240, 0, 0, 5.17582026, 27, 224);
INSERT INTO public.ecdc_data VALUES (40241, 5, 6, 5.65077711, 28, 224);
INSERT INTO public.ecdc_data VALUES (40242, 2, 74, 9.50209467, 29, 224);
INSERT INTO public.ecdc_data VALUES (40243, 0, 0, 5.21131898, 178, 224);
INSERT INTO public.ecdc_data VALUES (40244, 0, 4, 1.89679706, 179, 224);
INSERT INTO public.ecdc_data VALUES (40245, 0, 58, 98.38832111, 180, 224);
INSERT INTO public.ecdc_data VALUES (40246, 1, 361, 8.23528792, 30, 224);
INSERT INTO public.ecdc_data VALUES (40247, 2, 85, 5.711602, 31, 224);
INSERT INTO public.ecdc_data VALUES (40248, 0, 13, 0.281692, 124, 224);
INSERT INTO public.ecdc_data VALUES (40249, 0, 64, 62.90528235, 125, 224);
INSERT INTO public.ecdc_data VALUES (40250, 1, 46, 1.85674826, 32, 224);
INSERT INTO public.ecdc_data VALUES (40251, 0, 0, 0.81044009, 181, 224);
INSERT INTO public.ecdc_data VALUES (40252, 5, 39, 30.64720624, 33, 224);
INSERT INTO public.ecdc_data VALUES (40253, 0, 0, 0.07876062, 34, 224);
INSERT INTO public.ecdc_data VALUES (40254, 665, 7150, 67.83746121, 87, 224);
INSERT INTO public.ecdc_data VALUES (40255, 11, 258, 77.85800461, 182, 224);
INSERT INTO public.ecdc_data VALUES (40256, 0, 0, 18.13510654, 183, 224);
INSERT INTO public.ecdc_data VALUES (40257, 0, 0, 0.24804925, 126, 224);
INSERT INTO public.ecdc_data VALUES (40258, 0, 58, 102.54234292, 184, 224);
INSERT INTO public.ecdc_data VALUES (40259, 0, 1, 20.03606492, 88, 224);
INSERT INTO public.ecdc_data VALUES (40260, 1, 379, 10.13112444, 35, 224);
INSERT INTO public.ecdc_data VALUES (40261, 0, 19, 0.97147989, 36, 224);
INSERT INTO public.ecdc_data VALUES (40262, 0, 5, 0.06105975, 127, 224);
INSERT INTO public.ecdc_data VALUES (40263, 1, 53, 21.92803116, 37, 224);
INSERT INTO public.ecdc_data VALUES (40264, 0, 118, 17.10667536, 128, 224);
INSERT INTO public.ecdc_data VALUES (40265, 0, 42, 4.83157114, 185, 224);
INSERT INTO public.ecdc_data VALUES (40266, 0, 0, 0, 207, 224);
INSERT INTO public.ecdc_data VALUES (40267, 0, 1, 0.4390493, 208, 224);
INSERT INTO public.ecdc_data VALUES (40268, 0, 0, 10.32770132, 89, 224);
INSERT INTO public.ecdc_data VALUES (40269, 0, 2, 0.15872526, 38, 224);
INSERT INTO public.ecdc_data VALUES (40270, 20, 575, 3.99326041, 39, 224);
INSERT INTO public.ecdc_data VALUES (40271, 6, 203, 96.4791838, 186, 224);
INSERT INTO public.ecdc_data VALUES (40272, 0, 0, 1.74785451, 209, 224);
INSERT INTO public.ecdc_data VALUES (40273, 0, 11, 2.8152033, 187, 224);
INSERT INTO public.ecdc_data VALUES (40274, 8, 1889, 353.3674024, 129, 224);
INSERT INTO public.ecdc_data VALUES (40275, 65, 2752, 21.91856049, 130, 224);
INSERT INTO public.ecdc_data VALUES (40276, 3, 396, 88.93042991, 131, 224);
INSERT INTO public.ecdc_data VALUES (40277, 24, 1041, 314.42808564, 90, 224);
INSERT INTO public.ecdc_data VALUES (40278, 0, 0, 0, 210, 224);
INSERT INTO public.ecdc_data VALUES (40279, 0, 98, 14.55007134, 91, 224);
INSERT INTO public.ecdc_data VALUES (40280, 186, 3198, 145.43625987, 92, 224);
INSERT INTO public.ecdc_data VALUES (40281, 42, 1160, 17.4265526, 132, 224);
INSERT INTO public.ecdc_data VALUES (40282, 11, 265, 10.06246259, 188, 224);
INSERT INTO public.ecdc_data VALUES (40283, 2, 402, 46.8344787, 189, 224);
INSERT INTO public.ecdc_data VALUES (40284, 0, 392, 80.92986851, 93, 224);
INSERT INTO public.ecdc_data VALUES (40285, 4, 520, 347.66077545, 133, 224);
INSERT INTO public.ecdc_data VALUES (40286, 13, 592, 29.27715005, 190, 224);
INSERT INTO public.ecdc_data VALUES (40287, 174, 6635, 63.85175632, 191, 224);
INSERT INTO public.ecdc_data VALUES (40288, 0, 42, 3.1203131, 40, 224);
INSERT INTO public.ecdc_data VALUES (40289, 0, 1, 3.78544119, 94, 224);
INSERT INTO public.ecdc_data VALUES (40290, 0, 0, 1.64118275, 95, 224);
INSERT INTO public.ecdc_data VALUES (40291, 0, 0, 0, 96, 224);
INSERT INTO public.ecdc_data VALUES (40292, 0, 0, 2.90250486, 192, 224);
INSERT INTO public.ecdc_data VALUES (40293, 0, 1, 6.97518694, 41, 224);
INSERT INTO public.ecdc_data VALUES (40294, 51, 3159, 151.47717604, 134, 224);
INSERT INTO public.ecdc_data VALUES (40295, 2, 98, 9.37632583, 42, 224);
INSERT INTO public.ecdc_data VALUES (40296, 18, 386, 59.78088861, 193, 224);
INSERT INTO public.ecdc_data VALUES (40297, 0, 6, 91.05697711, 43, 224);
INSERT INTO public.ecdc_data VALUES (40298, 0, 15, 2.80294634, 44, 224);
INSERT INTO public.ecdc_data VALUES (40299, 0, 191, 45.7932965, 135, 224);
INSERT INTO public.ecdc_data VALUES (40300, 0, 0, 2.3591026, 97, 224);
INSERT INTO public.ecdc_data VALUES (40301, 0, 19, 4.16481589, 194, 224);
INSERT INTO public.ecdc_data VALUES (40302, 0, 17, 11.29314703, 195, 224);
INSERT INTO public.ecdc_data VALUES (40303, 0, 0, 1.03607443, 45, 224);
INSERT INTO public.ecdc_data VALUES (40304, 140, 12348, 215.33594906, 46, 224);
INSERT INTO public.ecdc_data VALUES (40305, 0, 35, 1.40555488, 136, 224);
INSERT INTO public.ecdc_data VALUES (40306, 1, 16, 1.60005583, 47, 224);
INSERT INTO public.ecdc_data VALUES (40307, 0, 0, 11.58785829, 196, 224);
INSERT INTO public.ecdc_data VALUES (40308, 0, 104, 2.06342848, 137, 224);
INSERT INTO public.ecdc_data VALUES (40309, 8, 46, 2.21193273, 48, 224);
INSERT INTO public.ecdc_data VALUES (40310, 1, 32, 57.62320616, 98, 224);
INSERT INTO public.ecdc_data VALUES (40311, 14, 369, 78.63982909, 197, 224);
INSERT INTO public.ecdc_data VALUES (40312, 0, 104, 14.06748437, 198, 224);
INSERT INTO public.ecdc_data VALUES (40313, 2, 22, 0.81428779, 138, 224);
INSERT INTO public.ecdc_data VALUES (40314, 0, 0, 0.01682519, 139, 224);
INSERT INTO public.ecdc_data VALUES (40315, 1, 47, 7.61718966, 140, 224);
INSERT INTO public.ecdc_data VALUES (40316, 0, 14, 0.0775577, 141, 224);
INSERT INTO public.ecdc_data VALUES (40317, 0, 0, 0, 142, 224);
INSERT INTO public.ecdc_data VALUES (40318, 0, 6, 1.47234242, 49, 224);
INSERT INTO public.ecdc_data VALUES (40319, 0, 0, 0.64517563, 99, 224);
INSERT INTO public.ecdc_data VALUES (40320, 0, 9, 0.64986587, 50, 224);
INSERT INTO public.ecdc_data VALUES (40321, 23, 1003, 20.06490376, 199, 224);
INSERT INTO public.ecdc_data VALUES (40322, 0, 11, 133.52882652, 100, 224);
INSERT INTO public.ecdc_data VALUES (40323, 0, 6, 0.39078747, 51, 224);
INSERT INTO public.ecdc_data VALUES (40324, 18, 819, 24.83540633, 200, 224);
INSERT INTO public.ecdc_data VALUES (40325, 2, 473, 72.43212904, 143, 224);
INSERT INTO public.ecdc_data VALUES (40326, 34, 715, 12.91878934, 201, 224);
INSERT INTO public.ecdc_data VALUES (40327, 0, 0, 0, 52, 224);
INSERT INTO public.ecdc_data VALUES (40328, 806, 66625, 217.82814362, 101, 224);
INSERT INTO public.ecdc_data VALUES (40329, 0, 14, 82.23448302, 102, 224);
INSERT INTO public.ecdc_data VALUES (40330, 0, 8, 1.90656062, 103, 224);
INSERT INTO public.ecdc_data VALUES (40331, 3, 483, 14.29883194, 144, 224);
INSERT INTO public.ecdc_data VALUES (40332, 3, 431, 14.11146069, 104, 224);
INSERT INTO public.ecdc_data VALUES (40333, 0, 1, 0.0176235, 145, 224);
INSERT INTO public.ecdc_data VALUES (40334, 0, 0, 84.81298222, 53, 224);
INSERT INTO public.ecdc_data VALUES (40335, 3, 24, 0.99787661, 146, 224);
INSERT INTO public.ecdc_data VALUES (40336, 0, 0, 2.03795592, 54, 224);
INSERT INTO public.ecdc_data VALUES (40337, 1, 16, 2.60148648, 55, 224);
INSERT INTO public.ecdc_data VALUES (40338, 21, 684, 25.46412354, 105, 225);
INSERT INTO public.ecdc_data VALUES (40339, 0, 42, 10.16619812, 147, 225);
INSERT INTO public.ecdc_data VALUES (40340, 8, 102, 3.77905828, 1, 225);
INSERT INTO public.ecdc_data VALUES (40341, 0, 0, 116.83316487, 148, 225);
INSERT INTO public.ecdc_data VALUES (40342, 0, 17, 0.13197048, 2, 225);
INSERT INTO public.ecdc_data VALUES (40343, 0, 0, 0, 56, 225);
INSERT INTO public.ecdc_data VALUES (40344, 0, 0, 1.02970705, 57, 225);
INSERT INTO public.ecdc_data VALUES (40345, 18, 1239, 26.94689171, 58, 225);
INSERT INTO public.ecdc_data VALUES (40346, 18, 566, 218.17422021, 149, 225);
INSERT INTO public.ecdc_data VALUES (40347, 0, 0, 0, 59, 225);
INSERT INTO public.ecdc_data VALUES (40348, 0, 9, 0.54358177, 202, 225);
INSERT INTO public.ecdc_data VALUES (40349, 1, 34, 4.75235007, 150, 225);
INSERT INTO public.ecdc_data VALUES (40350, 4, 339, 39.43183523, 151, 225);
INSERT INTO public.ecdc_data VALUES (40351, 0, 0, 0.77024591, 60, 225);
INSERT INTO public.ecdc_data VALUES (40352, 3, 467, 428.59823881, 106, 225);
INSERT INTO public.ecdc_data VALUES (40353, 37, 3190, 22.43106927, 107, 225);
INSERT INTO public.ecdc_data VALUES (40354, 0, 4, 1.39362625, 61, 225);
INSERT INTO public.ecdc_data VALUES (40355, 6, 801, 128.11548887, 152, 225);
INSERT INTO public.ecdc_data VALUES (40356, 12, 119, 15.49471482, 153, 225);
INSERT INTO public.ecdc_data VALUES (40357, 0, 0, 0.51235939, 62, 225);
INSERT INTO public.ecdc_data VALUES (40358, 0, 0, 0.80500622, 3, 225);
INSERT INTO public.ecdc_data VALUES (40359, 0, 0, 3.19959045, 63, 225);
INSERT INTO public.ecdc_data VALUES (40360, 0, 3, 4.45554545, 108, 225);
INSERT INTO public.ecdc_data VALUES (40361, 25, 637, 65.25608824, 64, 225);
INSERT INTO public.ecdc_data VALUES (40362, 0, 0, 0, 65, 225);
INSERT INTO public.ecdc_data VALUES (40363, 1, 49, 10.3605031, 154, 225);
INSERT INTO public.ecdc_data VALUES (40364, 0, 6, 0.56430885, 4, 225);
INSERT INTO public.ecdc_data VALUES (40365, 1274, 32913, 170.85800608, 66, 225);
INSERT INTO public.ecdc_data VALUES (40366, 0, 0, 0, 67, 225);
INSERT INTO public.ecdc_data VALUES (40367, 0, 0, 0, 109, 225);
INSERT INTO public.ecdc_data VALUES (40368, 0, 104, 7.61424329, 155, 225);
INSERT INTO public.ecdc_data VALUES (40369, 0, 0, 0.22636255, 5, 225);
INSERT INTO public.ecdc_data VALUES (40370, 0, 0, 0.35557631, 6, 225);
INSERT INTO public.ecdc_data VALUES (40371, 0, 0, 0.01213111, 110, 225);
INSERT INTO public.ecdc_data VALUES (40372, 6, 248, 13.80795549, 7, 225);
INSERT INTO public.ecdc_data VALUES (40373, 63, 472, 25.67691386, 68, 225);
INSERT INTO public.ecdc_data VALUES (40374, 0, 30, 40.91385179, 8, 225);
INSERT INTO public.ecdc_data VALUES (40375, 0, 4, 61.58773172, 69, 225);
INSERT INTO public.ecdc_data VALUES (40376, 1, 64, 26.34252575, 9, 225);
INSERT INTO public.ecdc_data VALUES (40377, 1, 2, 0.8214772, 10, 225);
INSERT INTO public.ecdc_data VALUES (40378, 192, 5737, 349.33979385, 70, 225);
INSERT INTO public.ecdc_data VALUES (40379, 0, 11, 0.00718379, 111, 225);
INSERT INTO public.ecdc_data VALUES (40380, 61, 1604, 38.89196787, 71, 225);
INSERT INTO public.ecdc_data VALUES (40381, 0, 0, 8.81428996, 11, 225);
INSERT INTO public.ecdc_data VALUES (40382, 1, 17, 3.23389779, 12, 225);
INSERT INTO public.ecdc_data VALUES (40383, 1, 86, 9.45010868, 72, 225);
INSERT INTO public.ecdc_data VALUES (40384, 3, 186, 6.31888705, 13, 225);
INSERT INTO public.ecdc_data VALUES (40385, 0, 2, 0.12266188, 156, 225);
INSERT INTO public.ecdc_data VALUES (40386, 0, 6, 2.09114867, 73, 225);
INSERT INTO public.ecdc_data VALUES (40387, 0, 0, 1.83572692, 74, 225);
INSERT INTO public.ecdc_data VALUES (40388, 0, 2, 3.9958945, 157, 225);
INSERT INTO public.ecdc_data VALUES (40389, 0, 73, 6.9297076, 158, 225);
INSERT INTO public.ecdc_data VALUES (40390, 6, 131, 1.99330416, 14, 225);
INSERT INTO public.ecdc_data VALUES (40391, 0, 15, 9.23170035, 159, 225);
INSERT INTO public.ecdc_data VALUES (40392, 0, 42, 172.15222118, 15, 225);
INSERT INTO public.ecdc_data VALUES (40393, 0, 0, 2.78520499, 75, 225);
INSERT INTO public.ecdc_data VALUES (40394, 6, 393, 47.35096714, 76, 225);
INSERT INTO public.ecdc_data VALUES (40395, 30, 523, 36.47476176, 77, 225);
INSERT INTO public.ecdc_data VALUES (40396, 36, 1455, 18.54602732, 16, 225);
INSERT INTO public.ecdc_data VALUES (40397, 4, 83, 18.05207986, 78, 225);
INSERT INTO public.ecdc_data VALUES (40398, 0, 0, 19.3955377, 17, 225);
INSERT INTO public.ecdc_data VALUES (40399, 0, 0, 0.05718997, 18, 225);
INSERT INTO public.ecdc_data VALUES (40400, 0, 11, 8.90687037, 160, 225);
INSERT INTO public.ecdc_data VALUES (40401, 0, 27, 10.97433834, 19, 225);
INSERT INTO public.ecdc_data VALUES (40402, 3, 170, 1.58370821, 20, 225);
INSERT INTO public.ecdc_data VALUES (40403, 0, 0, 0, 79, 225);
INSERT INTO public.ecdc_data VALUES (40404, 0, 0, 0, 161, 225);
INSERT INTO public.ecdc_data VALUES (40405, 0, 0, 0, 203, 225);
INSERT INTO public.ecdc_data VALUES (40406, 0, 15, 6.30672542, 162, 225);
INSERT INTO public.ecdc_data VALUES (40407, 23, 545, 14.01223105, 163, 225);
INSERT INTO public.ecdc_data VALUES (40408, 0, 0, 0, 204, 225);
INSERT INTO public.ecdc_data VALUES (40409, 1, 81, 48.60584982, 21, 225);
INSERT INTO public.ecdc_data VALUES (40410, 0, 0, 0.12778486, 22, 225);
INSERT INTO public.ecdc_data VALUES (40411, 0, 9, 2.30186336, 164, 225);
INSERT INTO public.ecdc_data VALUES (40412, 26, 555, 6.86467601, 165, 225);
INSERT INTO public.ecdc_data VALUES (40413, 0, 157, 10.04344224, 23, 225);
INSERT INTO public.ecdc_data VALUES (40414, 0, 0, 56.36978579, 166, 225);
INSERT INTO public.ecdc_data VALUES (40415, 0, 10, 1.53851906, 167, 225);
INSERT INTO public.ecdc_data VALUES (40416, 0, 0, 1.76491352, 80, 225);
INSERT INTO public.ecdc_data VALUES (40417, 0, 0, 0, 81, 225);
INSERT INTO public.ecdc_data VALUES (40418, 0, 2, 6.57521145, 205, 225);
INSERT INTO public.ecdc_data VALUES (40419, 27, 355, 23.18349153, 82, 225);
INSERT INTO public.ecdc_data VALUES (40420, 0, 0, 0, 168, 225);
INSERT INTO public.ecdc_data VALUES (40421, 0, 0, 6.35803272, 24, 225);
INSERT INTO public.ecdc_data VALUES (40422, 0, 0, 10.98433717, 25, 225);
INSERT INTO public.ecdc_data VALUES (40423, 0, 0, 2.17176072, 83, 225);
INSERT INTO public.ecdc_data VALUES (40424, 2, 134, 21.98333156, 84, 225);
INSERT INTO public.ecdc_data VALUES (40425, 0, 0, 0, 169, 225);
INSERT INTO public.ecdc_data VALUES (40426, 19, 425, 27.90855638, 85, 225);
INSERT INTO public.ecdc_data VALUES (40427, 1, 10, 2.15906342, 170, 225);
INSERT INTO public.ecdc_data VALUES (40428, 0, 0, 0.56023821, 171, 225);
INSERT INTO public.ecdc_data VALUES (40429, 357, 9996, 9.38556305, 112, 225);
INSERT INTO public.ecdc_data VALUES (40430, 36, 1240, 3.86696649, 113, 225);
INSERT INTO public.ecdc_data VALUES (40431, 81, 2011, 43.83704429, 114, 225);
INSERT INTO public.ecdc_data VALUES (40432, 34, 1146, 26.14870306, 115, 225);
INSERT INTO public.ecdc_data VALUES (40433, 4, 16, 8.72714223, 172, 225);
INSERT INTO public.ecdc_data VALUES (40434, 0, 0, 0, 173, 225);
INSERT INTO public.ecdc_data VALUES (40435, 0, 87, 18.33468261, 116, 225);
INSERT INTO public.ecdc_data VALUES (40436, 71, 202, 7.66076007, 174, 225);
INSERT INTO public.ecdc_data VALUES (40437, 0, 0, 1.22105216, 86, 225);
INSERT INTO public.ecdc_data VALUES (40438, 1, 41, 0.50528022, 117, 225);
INSERT INTO public.ecdc_data VALUES (40439, 0, 0, 4.63839103, 175, 225);
INSERT INTO public.ecdc_data VALUES (40440, 0, 18, 1.41560373, 118, 225);
INSERT INTO public.ecdc_data VALUES (40441, 6, 239, 21.4646549, 119, 225);
INSERT INTO public.ecdc_data VALUES (40442, 1, 105, 3.0870792, 26, 225);
INSERT INTO public.ecdc_data VALUES (40443, 0, 29, 13.90042624, 176, 225);
INSERT INTO public.ecdc_data VALUES (40444, 2, 683, 250.91054906, 120, 225);
INSERT INTO public.ecdc_data VALUES (40445, 0, 36, 8.33872233, 121, 225);
INSERT INTO public.ecdc_data VALUES (40446, 0, 0, 0, 122, 225);
INSERT INTO public.ecdc_data VALUES (40447, 0, 3, 1.82294705, 177, 225);
INSERT INTO public.ecdc_data VALUES (40448, 0, 20, 3.31110903, 123, 225);
INSERT INTO public.ecdc_data VALUES (40449, 0, 0, 0.09410582, 27, 225);
INSERT INTO public.ecdc_data VALUES (40450, 0, 14, 2.65323226, 28, 225);
INSERT INTO public.ecdc_data VALUES (40451, 0, 46, 4.1165907, 29, 225);
INSERT INTO public.ecdc_data VALUES (40452, 0, 0, 0, 178, 225);
INSERT INTO public.ecdc_data VALUES (40453, 2, 6, 3.07782165, 179, 225);
INSERT INTO public.ecdc_data VALUES (40454, 0, 3, 7.81893943, 180, 225);
INSERT INTO public.ecdc_data VALUES (40455, 1, 24, 2.03935541, 30, 225);
INSERT INTO public.ecdc_data VALUES (40456, 0, 0, 1.90028863, 31, 225);
INSERT INTO public.ecdc_data VALUES (40457, 1, 2, 2.2504061, 124, 225);
INSERT INTO public.ecdc_data VALUES (40458, 0, 20, 95.1112802, 125, 225);
INSERT INTO public.ecdc_data VALUES (40459, 2, 81, 2.80292683, 32, 225);
INSERT INTO public.ecdc_data VALUES (40460, 0, 5, 4.86264054, 181, 225);
INSERT INTO public.ecdc_data VALUES (40461, 0, 0, 19.22355402, 33, 225);
INSERT INTO public.ecdc_data VALUES (40462, 0, 0, 0.23628187, 34, 225);
INSERT INTO public.ecdc_data VALUES (40463, 708, 5690, 47.76934925, 87, 225);
INSERT INTO public.ecdc_data VALUES (40464, 6, 296, 68.85536367, 182, 225);
INSERT INTO public.ecdc_data VALUES (40465, 0, 0, 0, 183, 225);
INSERT INTO public.ecdc_data VALUES (40466, 0, 0, 1.02320315, 126, 225);
INSERT INTO public.ecdc_data VALUES (40467, 0, 0, 0, 184, 225);
INSERT INTO public.ecdc_data VALUES (40468, 0, 0, 0, 88, 225);
INSERT INTO public.ecdc_data VALUES (40469, 0, 18, 2.34153729, 35, 225);
INSERT INTO public.ecdc_data VALUES (40470, 0, 19, 0.80682228, 36, 225);
INSERT INTO public.ecdc_data VALUES (40471, 0, 3, 0.07956271, 127, 225);
INSERT INTO public.ecdc_data VALUES (40472, 0, 0, 0.36079028, 37, 225);
INSERT INTO public.ecdc_data VALUES (40473, 0, 279, 12.15713464, 128, 225);
INSERT INTO public.ecdc_data VALUES (40474, 11, 184, 13.41845925, 185, 225);
INSERT INTO public.ecdc_data VALUES (40475, 0, 0, 1.06098169, 207, 225);
INSERT INTO public.ecdc_data VALUES (40476, 0, 0, 0, 208, 225);
INSERT INTO public.ecdc_data VALUES (40477, 9, 155, 10.7707536, 89, 225);
INSERT INTO public.ecdc_data VALUES (40478, 0, 0, 0.08150757, 38, 225);
INSERT INTO public.ecdc_data VALUES (40479, 17, 409, 2.55767707, 39, 225);
INSERT INTO public.ecdc_data VALUES (40480, 7, 125, 63.88616612, 186, 225);
INSERT INTO public.ecdc_data VALUES (40481, 0, 0, 13.98283607, 209, 225);
INSERT INTO public.ecdc_data VALUES (40482, 0, 13, 3.62222824, 187, 225);
INSERT INTO public.ecdc_data VALUES (40483, 1, 689, 211.33702326, 129, 225);
INSERT INTO public.ecdc_data VALUES (40484, 101, 5834, 26.92444054, 130, 225);
INSERT INTO public.ecdc_data VALUES (40485, 0, 4, 1.04387864, 131, 225);
INSERT INTO public.ecdc_data VALUES (40486, 10, 656, 145.08623694, 90, 225);
INSERT INTO public.ecdc_data VALUES (40487, 0, 0, 0, 210, 225);
INSERT INTO public.ecdc_data VALUES (40488, 0, 15, 4.51407091, 91, 225);
INSERT INTO public.ecdc_data VALUES (40489, 165, 5087, 224.29087596, 92, 225);
INSERT INTO public.ecdc_data VALUES (40490, 10, 740, 8.03114252, 132, 225);
INSERT INTO public.ecdc_data VALUES (40491, 23, 197, 13.91521913, 188, 225);
INSERT INTO public.ecdc_data VALUES (40492, 3, 294, 41.92041019, 189, 225);
INSERT INTO public.ecdc_data VALUES (40493, 1, 144, 65.86204969, 93, 225);
INSERT INTO public.ecdc_data VALUES (40494, 4, 1716, 870.31716366, 133, 225);
INSERT INTO public.ecdc_data VALUES (40495, 15, 196, 12.10953198, 190, 225);
INSERT INTO public.ecdc_data VALUES (40496, 217, 8404, 84.30458265, 191, 225);
INSERT INTO public.ecdc_data VALUES (40497, 0, 13, 1.02954493, 40, 225);
INSERT INTO public.ecdc_data VALUES (40498, 0, 0, 0, 94, 225);
INSERT INTO public.ecdc_data VALUES (40499, 0, 0, 0.54706092, 95, 225);
INSERT INTO public.ecdc_data VALUES (40500, 0, 0, 8.13794725, 96, 225);
INSERT INTO public.ecdc_data VALUES (40501, 0, 3, 69.66011668, 192, 225);
INSERT INTO public.ecdc_data VALUES (40502, 0, 118, 87.88735538, 41, 225);
INSERT INTO public.ecdc_data VALUES (40503, 36, 3717, 98.47811092, 134, 225);
INSERT INTO public.ecdc_data VALUES (40504, 2, 124, 8.51110205, 42, 225);
INSERT INTO public.ecdc_data VALUES (40505, 1, 66, 10.85619788, 193, 225);
INSERT INTO public.ecdc_data VALUES (40506, 0, 0, 0, 43, 225);
INSERT INTO public.ecdc_data VALUES (40507, 0, 37, 3.58367569, 44, 225);
INSERT INTO public.ecdc_data VALUES (40508, 0, 451, 104.90420707, 135, 225);
INSERT INTO public.ecdc_data VALUES (40509, 0, 0, 0, 97, 225);
INSERT INTO public.ecdc_data VALUES (40510, 0, 2, 0.33024972, 194, 225);
INSERT INTO public.ecdc_data VALUES (40511, 1, 2, 0.81695106, 195, 225);
INSERT INTO public.ecdc_data VALUES (40512, 0, 36, 4.66881039, 45, 225);
INSERT INTO public.ecdc_data VALUES (40513, 48, 2430, 50.34985069, 46, 225);
INSERT INTO public.ecdc_data VALUES (40514, 0, 45, 1.17715221, 136, 225);
INSERT INTO public.ecdc_data VALUES (40515, 0, 0, 7.21381103, 47, 225);
INSERT INTO public.ecdc_data VALUES (40516, 0, 427, 10.22859122, 196, 225);
INSERT INTO public.ecdc_data VALUES (40517, 0, 10, 1.87584407, 137, 225);
INSERT INTO public.ecdc_data VALUES (40518, 17, 185, 5.3277915, 48, 225);
INSERT INTO public.ecdc_data VALUES (40519, 0, 0, 21.50119633, 98, 225);
INSERT INTO public.ecdc_data VALUES (40520, 40, 1437, 104.37738907, 197, 225);
INSERT INTO public.ecdc_data VALUES (40521, 12, 23, 2.92584949, 198, 225);
INSERT INTO public.ecdc_data VALUES (40522, 0, 6, 0.18160375, 138, 225);
INSERT INTO public.ecdc_data VALUES (40523, 0, 0, 0.00841259, 139, 225);
INSERT INTO public.ecdc_data VALUES (40524, 0, 73, 17.8413893, 140, 225);
INSERT INTO public.ecdc_data VALUES (40525, 0, 0, 0.10197401, 141, 225);
INSERT INTO public.ecdc_data VALUES (40526, 0, 0, 0, 142, 225);
INSERT INTO public.ecdc_data VALUES (40527, 0, 21, 1.57132342, 49, 225);
INSERT INTO public.ecdc_data VALUES (40528, 0, 0, 0.07168618, 99, 225);
INSERT INTO public.ecdc_data VALUES (40529, 0, 0, 0.3078312, 50, 225);
INSERT INTO public.ecdc_data VALUES (40530, 17, 922, 16.14435765, 199, 225);
INSERT INTO public.ecdc_data VALUES (40531, 0, 0, 0, 100, 225);
INSERT INTO public.ecdc_data VALUES (40532, 0, 8, 0.86741266, 51, 225);
INSERT INTO public.ecdc_data VALUES (40533, 23, 525, 14.72030857, 200, 225);
INSERT INTO public.ecdc_data VALUES (40534, 1, 603, 87.38526462, 143, 225);
INSERT INTO public.ecdc_data VALUES (40535, 164, 1158, 26.6313115, 201, 225);
INSERT INTO public.ecdc_data VALUES (40536, 0, 0, 0, 52, 225);
INSERT INTO public.ecdc_data VALUES (40537, 918, 20614, 91.32878787, 101, 225);
INSERT INTO public.ecdc_data VALUES (40538, 0, 1, 2.86864476, 102, 225);
INSERT INTO public.ecdc_data VALUES (40539, 0, 1, 1.27104041, 103, 225);
INSERT INTO public.ecdc_data VALUES (40540, 1, 148, 4.12956088, 144, 225);
INSERT INTO public.ecdc_data VALUES (40541, 0, 106, 5.23568857, 104, 225);
INSERT INTO public.ecdc_data VALUES (40542, 0, 0, 0.00518338, 145, 225);
INSERT INTO public.ecdc_data VALUES (40543, 0, 0, 2.91866538, 53, 225);
INSERT INTO public.ecdc_data VALUES (40544, 2, 36, 1.04588442, 146, 225);
INSERT INTO public.ecdc_data VALUES (40545, 0, 52, 1.0917621, 54, 225);
INSERT INTO public.ecdc_data VALUES (40546, 0, 6, 1.28367312, 55, 225);
INSERT INTO public.ecdc_data VALUES (40547, 5, 369, 7.54697003, 105, 226);
INSERT INTO public.ecdc_data VALUES (40548, 0, 12, 4.9608252, 147, 226);
INSERT INTO public.ecdc_data VALUES (40549, 8, 165, 5.43747721, 1, 226);
INSERT INTO public.ecdc_data VALUES (40550, 0, 1, 19.69098284, 148, 226);
INSERT INTO public.ecdc_data VALUES (40551, 0, 2, 0.05970093, 2, 226);
INSERT INTO public.ecdc_data VALUES (40552, 0, 0, 0, 56, 226);
INSERT INTO public.ecdc_data VALUES (40553, 0, 0, 1.02970705, 57, 226);
INSERT INTO public.ecdc_data VALUES (40554, 0, 13, 4.48631022, 58, 226);
INSERT INTO public.ecdc_data VALUES (40555, 1, 79, 53.5546203, 149, 226);
INSERT INTO public.ecdc_data VALUES (40556, 0, 0, 0.94064528, 59, 226);
INSERT INTO public.ecdc_data VALUES (40557, 0, 12, 0.90464703, 202, 226);
INSERT INTO public.ecdc_data VALUES (40558, 3, 10, 6.75036898, 150, 226);
INSERT INTO public.ecdc_data VALUES (40559, 1, 97, 8.69849167, 151, 226);
INSERT INTO public.ecdc_data VALUES (40560, 0, 0, 3.08098366, 60, 226);
INSERT INTO public.ecdc_data VALUES (40561, 0, 167, 139.7788399, 106, 226);
INSERT INTO public.ecdc_data VALUES (40562, 14, 887, 5.66771966, 107, 226);
INSERT INTO public.ecdc_data VALUES (40563, 0, 0, 1.74203281, 61, 226);
INSERT INTO public.ecdc_data VALUES (40564, 5, 921, 132.34721435, 152, 226);
INSERT INTO public.ecdc_data VALUES (40565, 72, 118, 54.41918433, 153, 226);
INSERT INTO public.ecdc_data VALUES (40566, 0, 0, 0, 62, 226);
INSERT INTO public.ecdc_data VALUES (40567, 0, 35, 2.16080618, 3, 226);
INSERT INTO public.ecdc_data VALUES (40568, 0, 0, 14.39815704, 63, 226);
INSERT INTO public.ecdc_data VALUES (40569, 0, 2, 0.26209091, 108, 226);
INSERT INTO public.ecdc_data VALUES (40570, 4, 119, 13.94932486, 64, 226);
INSERT INTO public.ecdc_data VALUES (40571, 0, 0, 0, 65, 226);
INSERT INTO public.ecdc_data VALUES (40572, 6, 25, 18.20661509, 154, 226);
INSERT INTO public.ecdc_data VALUES (40573, 0, 0, 0.04340837, 4, 226);
INSERT INTO public.ecdc_data VALUES (40574, 496, 6760, 47.76651493, 66, 226);
INSERT INTO public.ecdc_data VALUES (40575, 0, 0, 3.3296707, 67, 226);
INSERT INTO public.ecdc_data VALUES (40576, 0, 0, 0.69236734, 109, 226);
INSERT INTO public.ecdc_data VALUES (40577, 1, 10, 9.49994707, 155, 226);
INSERT INTO public.ecdc_data VALUES (40578, 1, 3, 0.58559007, 5, 226);
INSERT INTO public.ecdc_data VALUES (40579, 0, 0, 0.03469037, 6, 226);
INSERT INTO public.ecdc_data VALUES (40580, 0, 0, 0, 110, 226);
INSERT INTO public.ecdc_data VALUES (40581, 6, 305, 3.70221701, 7, 226);
INSERT INTO public.ecdc_data VALUES (40582, 178, 1146, 58.70994544, 68, 226);
INSERT INTO public.ecdc_data VALUES (40583, 0, 10, 25.45750778, 8, 226);
INSERT INTO public.ecdc_data VALUES (40584, 0, 0, 16.93662622, 69, 226);
INSERT INTO public.ecdc_data VALUES (40585, 0, 36, 3.3718433, 9, 226);
INSERT INTO public.ecdc_data VALUES (40586, 0, 0, 1.73074586, 10, 226);
INSERT INTO public.ecdc_data VALUES (40587, 8, 1647, 81.97008923, 70, 226);
INSERT INTO public.ecdc_data VALUES (40588, 0, 19, 0.00683506, 111, 226);
INSERT INTO public.ecdc_data VALUES (40589, 18, 568, 11.29134464, 71, 226);
INSERT INTO public.ecdc_data VALUES (40590, 0, 0, 0, 11, 226);
INSERT INTO public.ecdc_data VALUES (40591, 0, 0, 1.6169489, 12, 226);
INSERT INTO public.ecdc_data VALUES (40592, 0, 12, 1.92172021, 72, 226);
INSERT INTO public.ecdc_data VALUES (40593, 0, 33, 2.13870023, 13, 226);
INSERT INTO public.ecdc_data VALUES (40594, 3, 11, 3.85158305, 156, 226);
INSERT INTO public.ecdc_data VALUES (40595, 3, 12, 3.50289461, 73, 226);
INSERT INTO public.ecdc_data VALUES (40596, 0, 0, 0, 74, 226);
INSERT INTO public.ecdc_data VALUES (40597, 1, 6, 9.24764157, 157, 226);
INSERT INTO public.ecdc_data VALUES (40598, 4, 28, 6.75130049, 158, 226);
INSERT INTO public.ecdc_data VALUES (40599, 0, 33, 0.6509924, 14, 226);
INSERT INTO public.ecdc_data VALUES (40600, 3, 110, 31.93203815, 159, 226);
INSERT INTO public.ecdc_data VALUES (40601, 0, 21, 19.20791489, 15, 226);
INSERT INTO public.ecdc_data VALUES (40602, 0, 0, 0, 75, 226);
INSERT INTO public.ecdc_data VALUES (40603, 3, 465, 39.22168605, 76, 226);
INSERT INTO public.ecdc_data VALUES (40604, 410, 488, 39.36994957, 77, 226);
INSERT INTO public.ecdc_data VALUES (40605, 11, 436, 5.06135808, 16, 226);
INSERT INTO public.ecdc_data VALUES (40606, 0, 69, 10.22692936, 78, 226);
INSERT INTO public.ecdc_data VALUES (40607, 0, 0, 13.34825979, 17, 226);
INSERT INTO public.ecdc_data VALUES (40608, 0, 0, 0, 18, 226);
INSERT INTO public.ecdc_data VALUES (40609, 0, 6, 7.24626742, 160, 226);
INSERT INTO public.ecdc_data VALUES (40610, 0, 9, 9.84206534, 19, 226);
INSERT INTO public.ecdc_data VALUES (40611, 0, 29, 0.10349868, 20, 226);
INSERT INTO public.ecdc_data VALUES (40612, 0, 0, 0, 79, 226);
INSERT INTO public.ecdc_data VALUES (40613, 0, 0, 0, 161, 226);
INSERT INTO public.ecdc_data VALUES (40614, 0, 0, 0, 203, 226);
INSERT INTO public.ecdc_data VALUES (40615, 2, 82, 25.11816502, 162, 226);
INSERT INTO public.ecdc_data VALUES (40616, 70, 209, 21.61972348, 163, 226);
INSERT INTO public.ecdc_data VALUES (40617, 0, 0, 1.07417155, 204, 226);
INSERT INTO public.ecdc_data VALUES (40618, 0, 0, 22.32370944, 21, 226);
INSERT INTO public.ecdc_data VALUES (40619, 0, 0, 0.42594953, 22, 226);
INSERT INTO public.ecdc_data VALUES (40620, 0, 9, 3.72801783, 164, 226);
INSERT INTO public.ecdc_data VALUES (40621, 22, 357, 17.32370072, 165, 226);
INSERT INTO public.ecdc_data VALUES (40622, 0, 0, 8.91910272, 23, 226);
INSERT INTO public.ecdc_data VALUES (40623, 0, 0, 14.83415416, 166, 226);
INSERT INTO public.ecdc_data VALUES (40624, 0, 6, 1.95811517, 167, 226);
INSERT INTO public.ecdc_data VALUES (40625, 0, 0, 0, 80, 226);
INSERT INTO public.ecdc_data VALUES (40626, 0, 0, 2.6785236, 81, 226);
INSERT INTO public.ecdc_data VALUES (40627, 0, 0, 5.37971846, 205, 226);
INSERT INTO public.ecdc_data VALUES (40628, 2, 85, 3.13966814, 82, 226);
INSERT INTO public.ecdc_data VALUES (40629, 0, 0, 7.75578582, 168, 226);
INSERT INTO public.ecdc_data VALUES (40630, 0, 104, 8.23725422, 24, 226);
INSERT INTO public.ecdc_data VALUES (40631, 0, 85, 35.0353503, 25, 226);
INSERT INTO public.ecdc_data VALUES (40632, 0, 7, 3.83251892, 83, 226);
INSERT INTO public.ecdc_data VALUES (40633, 3, 31, 0.97664236, 84, 226);
INSERT INTO public.ecdc_data VALUES (40634, 0, 0, 368.09815951, 169, 226);
INSERT INTO public.ecdc_data VALUES (40635, 0, 142, 13.45151376, 85, 226);
INSERT INTO public.ecdc_data VALUES (40636, 8, 21, 7.17300217, 170, 226);
INSERT INTO public.ecdc_data VALUES (40637, 0, 0, 2.52107196, 171, 226);
INSERT INTO public.ecdc_data VALUES (40638, 97, 4213, 2.87320622, 112, 226);
INSERT INTO public.ecdc_data VALUES (40639, 14, 387, 1.90299832, 113, 226);
INSERT INTO public.ecdc_data VALUES (40640, 51, 1383, 20.65033902, 114, 226);
INSERT INTO public.ecdc_data VALUES (40641, 2, 88, 2.40906915, 115, 226);
INSERT INTO public.ecdc_data VALUES (40642, 12, 236, 76.13819878, 172, 226);
INSERT INTO public.ecdc_data VALUES (40643, 0, 0, 26.0081098, 173, 226);
INSERT INTO public.ecdc_data VALUES (40644, 5, 23, 12.6652513, 116, 226);
INSERT INTO public.ecdc_data VALUES (40645, 165, 802, 35.44592598, 174, 226);
INSERT INTO public.ecdc_data VALUES (40646, 0, 4, 5.15555357, 86, 226);
INSERT INTO public.ecdc_data VALUES (40647, 8, 51, 1.90209232, 117, 226);
INSERT INTO public.ecdc_data VALUES (40648, 0, 1, 12.05981669, 175, 226);
INSERT INTO public.ecdc_data VALUES (40649, 0, 18, 0.92063739, 118, 226);
INSERT INTO public.ecdc_data VALUES (40650, 0, 90, 12.98552327, 119, 226);
INSERT INTO public.ecdc_data VALUES (40651, 2, 23, 0.60296002, 26, 226);
INSERT INTO public.ecdc_data VALUES (40652, 0, 14, 6.6722046, 176, 226);
INSERT INTO public.ecdc_data VALUES (40653, 9, 1065, 133.41804773, 120, 226);
INSERT INTO public.ecdc_data VALUES (40654, 0, 14, 5.0032334, 121, 226);
INSERT INTO public.ecdc_data VALUES (40655, 0, 0, 0, 122, 226);
INSERT INTO public.ecdc_data VALUES (40656, 0, 9, 6.61469358, 177, 226);
INSERT INTO public.ecdc_data VALUES (40657, 0, 36, 2.01292091, 123, 226);
INSERT INTO public.ecdc_data VALUES (40658, 0, 0, 1.51902611, 28, 226);
INSERT INTO public.ecdc_data VALUES (40659, 0, 0, 0.04426442, 29, 226);
INSERT INTO public.ecdc_data VALUES (40660, 0, 0, 0, 178, 226);
INSERT INTO public.ecdc_data VALUES (40661, 0, 35, 1.46733358, 179, 226);
INSERT INTO public.ecdc_data VALUES (40662, 0, 9, 26.55181513, 180, 226);
INSERT INTO public.ecdc_data VALUES (40663, 0, 2, 0.17427219, 30, 226);
INSERT INTO public.ecdc_data VALUES (40664, 0, 0, 0.11809703, 31, 226);
INSERT INTO public.ecdc_data VALUES (40665, 0, 67, 2.74180214, 124, 226);
INSERT INTO public.ecdc_data VALUES (40666, 0, 45, 116.95862377, 125, 226);
INSERT INTO public.ecdc_data VALUES (40667, 1, 12, 1.60239918, 32, 226);
INSERT INTO public.ecdc_data VALUES (40668, 0, 7, 10.73833118, 181, 226);
INSERT INTO public.ecdc_data VALUES (40669, 0, 0, 0.02209604, 33, 226);
INSERT INTO public.ecdc_data VALUES (40670, 0, 0, 0, 34, 226);
INSERT INTO public.ecdc_data VALUES (40671, 112, 1402, 20.09005975, 87, 226);
INSERT INTO public.ecdc_data VALUES (40672, 8, 60, 37.56871315, 182, 226);
INSERT INTO public.ecdc_data VALUES (40673, 0, 0, 3.02251776, 183, 226);
INSERT INTO public.ecdc_data VALUES (40674, 0, 0, 0.12402462, 126, 226);
INSERT INTO public.ecdc_data VALUES (40675, 1, 0, 0.48217403, 184, 226);
INSERT INTO public.ecdc_data VALUES (40676, 0, 0, 0, 88, 226);
INSERT INTO public.ecdc_data VALUES (40677, 2, 153, 5.47821019, 35, 226);
INSERT INTO public.ecdc_data VALUES (40678, 0, 4, 0.04939728, 36, 226);
INSERT INTO public.ecdc_data VALUES (40679, 0, 2, 0.06291005, 127, 226);
INSERT INTO public.ecdc_data VALUES (40680, 0, 0, 0, 37, 226);
INSERT INTO public.ecdc_data VALUES (40681, 0, 11, 0.23768981, 128, 226);
INSERT INTO public.ecdc_data VALUES (40682, 18, 245, 27.67014754, 185, 226);
INSERT INTO public.ecdc_data VALUES (40683, 0, 0, 0, 207, 226);
INSERT INTO public.ecdc_data VALUES (40684, 0, 3, 0.52267773, 208, 226);
INSERT INTO public.ecdc_data VALUES (40685, 0, 0, 0.04583299, 89, 226);
INSERT INTO public.ecdc_data VALUES (40686, 1, 6, 0.536234, 38, 226);
INSERT INTO public.ecdc_data VALUES (40687, 15, 248, 1.55550555, 39, 226);
INSERT INTO public.ecdc_data VALUES (40688, 0, 20, 12.32468615, 186, 226);
INSERT INTO public.ecdc_data VALUES (40689, 0, 0, 3.49570902, 209, 226);
INSERT INTO public.ecdc_data VALUES (40690, 4, 30, 11.14820506, 187, 226);
INSERT INTO public.ecdc_data VALUES (40691, 0, 175, 28.1608493, 129, 226);
INSERT INTO public.ecdc_data VALUES (40692, 28, 1476, 8.13288122, 130, 226);
INSERT INTO public.ecdc_data VALUES (40693, 0, 0, 1.04387864, 131, 226);
INSERT INTO public.ecdc_data VALUES (40694, 7, 166, 62.85264834, 90, 226);
INSERT INTO public.ecdc_data VALUES (40695, 0, 0, 0, 210, 226);
INSERT INTO public.ecdc_data VALUES (40696, 0, 24, 6.8846679, 91, 226);
INSERT INTO public.ecdc_data VALUES (40697, 75, 2292, 122.39137051, 92, 226);
INSERT INTO public.ecdc_data VALUES (40698, 15, 184, 2.97364082, 132, 226);
INSERT INTO public.ecdc_data VALUES (40699, 15, 345, 11.53193501, 188, 226);
INSERT INTO public.ecdc_data VALUES (40700, 9, 175, 36.34464532, 189, 226);
INSERT INTO public.ecdc_data VALUES (40701, 3, 25, 28.19250264, 93, 226);
INSERT INTO public.ecdc_data VALUES (40702, 1, 1189, 431.94538555, 133, 226);
INSERT INTO public.ecdc_data VALUES (40703, 26, 231, 22.28236297, 190, 226);
INSERT INTO public.ecdc_data VALUES (40704, 88, 11012, 88.254614, 191, 226);
INSERT INTO public.ecdc_data VALUES (40705, 0, 4, 0.7365206, 40, 226);
INSERT INTO public.ecdc_data VALUES (40706, 0, 0, 0, 94, 226);
INSERT INTO public.ecdc_data VALUES (40707, 0, 0, 1.64118275, 95, 226);
INSERT INTO public.ecdc_data VALUES (40708, 0, 0, 2.71264908, 96, 226);
INSERT INTO public.ecdc_data VALUES (40709, 0, -9, 261.22543755, 192, 226);
INSERT INTO public.ecdc_data VALUES (40710, 0, 0, 93.00249247, 41, 226);
INSERT INTO public.ecdc_data VALUES (40711, 7, 1912, 62.81565223, 134, 226);
INSERT INTO public.ecdc_data VALUES (40712, 2, 75, 6.36951977, 42, 226);
INSERT INTO public.ecdc_data VALUES (40713, 2, 82, 29.75402383, 193, 226);
INSERT INTO public.ecdc_data VALUES (40714, 0, 0, 0, 43, 226);
INSERT INTO public.ecdc_data VALUES (40715, 0, 16, 2.73895214, 44, 226);
INSERT INTO public.ecdc_data VALUES (40716, 0, 876, 167.32298556, 135, 226);
INSERT INTO public.ecdc_data VALUES (40717, 0, 0, 4.71820519, 97, 226);
INSERT INTO public.ecdc_data VALUES (40718, 0, 2, 1.43108211, 194, 226);
INSERT INTO public.ecdc_data VALUES (40719, 1, 3, 2.54696507, 195, 226);
INSERT INTO public.ecdc_data VALUES (40720, 3, 57, 4.00183748, 45, 226);
INSERT INTO public.ecdc_data VALUES (40721, 8, 595, 9.33941573, 46, 226);
INSERT INTO public.ecdc_data VALUES (40722, 0, 35, 0.33381928, 136, 226);
INSERT INTO public.ecdc_data VALUES (40723, 0, 13, 1.35597952, 47, 226);
INSERT INTO public.ecdc_data VALUES (40724, 123, 393, 34.5143049, 196, 226);
INSERT INTO public.ecdc_data VALUES (40725, 0, 16, 1.59446746, 137, 226);
INSERT INTO public.ecdc_data VALUES (40726, 6, 199, 2.63002772, 48, 226);
INSERT INTO public.ecdc_data VALUES (40727, 0, 0, 0, 98, 226);
INSERT INTO public.ecdc_data VALUES (40728, 73, 279, 78.23905433, 197, 226);
INSERT INTO public.ecdc_data VALUES (40729, 6, 54, 14.55902708, 198, 226);
INSERT INTO public.ecdc_data VALUES (40730, 0, 0, 0.02343274, 138, 226);
INSERT INTO public.ecdc_data VALUES (40731, 0, 0, 0.04626926, 139, 226);
INSERT INTO public.ecdc_data VALUES (40732, 0, 0, 0, 140, 226);
INSERT INTO public.ecdc_data VALUES (40733, 0, 11, 0.1335716, 141, 226);
INSERT INTO public.ecdc_data VALUES (40734, 0, 0, 0, 142, 226);
INSERT INTO public.ecdc_data VALUES (40735, 1, 21, 0.94031953, 49, 226);
INSERT INTO public.ecdc_data VALUES (40736, 0, 0, 0, 99, 226);
INSERT INTO public.ecdc_data VALUES (40737, 0, 0, 0.70972193, 50, 226);
INSERT INTO public.ecdc_data VALUES (40738, 47, 1542, 34.7873775, 199, 226);
INSERT INTO public.ecdc_data VALUES (40739, 0, 0, 2.61821228, 100, 226);
INSERT INTO public.ecdc_data VALUES (40740, 0, 5, 0.09487326, 51, 226);
INSERT INTO public.ecdc_data VALUES (40741, 15, 522, 15.03626331, 200, 226);
INSERT INTO public.ecdc_data VALUES (40742, 13, 781, 80.33344367, 143, 226);
INSERT INTO public.ecdc_data VALUES (40743, 217, 2157, 81.24733147, 201, 226);
INSERT INTO public.ecdc_data VALUES (40744, 0, 0, 0.3603109, 52, 226);
INSERT INTO public.ecdc_data VALUES (40745, 734, 20258, 110.58273951, 101, 226);
INSERT INTO public.ecdc_data VALUES (40746, 0, 0, 13.38700886, 102, 226);
INSERT INTO public.ecdc_data VALUES (40747, 1, 5, 2.91761549, 103, 226);
INSERT INTO public.ecdc_data VALUES (40748, 0, 31, 1.60998299, 144, 226);
INSERT INTO public.ecdc_data VALUES (40749, 0, 12, 0.31210736, 104, 226);
INSERT INTO public.ecdc_data VALUES (40750, 0, 0, 0.01866018, 145, 226);
INSERT INTO public.ecdc_data VALUES (40751, 0, 0, 0, 53, 226);
INSERT INTO public.ecdc_data VALUES (40752, 1, 17, 0.17145646, 146, 226);
INSERT INTO public.ecdc_data VALUES (40753, 0, 15, 1.00218162, 54, 226);
INSERT INTO public.ecdc_data VALUES (40754, 0, 0, 0.03414024, 55, 226);
INSERT INTO public.ecdc_data VALUES (40755, 0, 37, 1.13033686, 105, 227);
INSERT INTO public.ecdc_data VALUES (40756, 0, 7, 8.03513941, 147, 227);
INSERT INTO public.ecdc_data VALUES (40757, 21, 95, 3.14031149, 1, 227);
INSERT INTO public.ecdc_data VALUES (40758, 1, 18, 438.4525513, 148, 227);
INSERT INTO public.ecdc_data VALUES (40759, 0, 0, 0.04713231, 2, 227);
INSERT INTO public.ecdc_data VALUES (40760, 0, 0, 6.72404519, 56, 227);
INSERT INTO public.ecdc_data VALUES (40761, 0, 2, 14.41589868, 57, 227);
INSERT INTO public.ecdc_data VALUES (40762, 3, 81, 2.86954138, 58, 227);
INSERT INTO public.ecdc_data VALUES (40763, 2, 30, 20.11679235, 149, 227);
INSERT INTO public.ecdc_data VALUES (40764, 0, 4, 54.55742639, 59, 227);
INSERT INTO public.ecdc_data VALUES (40765, 2, 86, 11.34776536, 202, 227);
INSERT INTO public.ecdc_data VALUES (40766, 24, 312, 66.18296548, 150, 227);
INSERT INTO public.ecdc_data VALUES (40767, 1, 65, 8.2207713, 151, 227);
INSERT INTO public.ecdc_data VALUES (40768, 0, 1, 8.47270505, 60, 227);
INSERT INTO public.ecdc_data VALUES (40769, 1, 111, 32.41601692, 106, 227);
INSERT INTO public.ecdc_data VALUES (40770, 6, 94, 0.23060952, 107, 227);
INSERT INTO public.ecdc_data VALUES (40771, 1, 1, 14.98148219, 61, 227);
INSERT INTO public.ecdc_data VALUES (40772, 3, 495, 19.96316495, 152, 227);
INSERT INTO public.ecdc_data VALUES (40773, 302, 2336, 174.9637009, 153, 227);
INSERT INTO public.ecdc_data VALUES (40774, 1, 1, 2.04943756, 62, 227);
INSERT INTO public.ecdc_data VALUES (40775, 0, 5, 0.24573874, 3, 227);
INSERT INTO public.ecdc_data VALUES (40776, 0, 0, 49.59365201, 63, 227);
INSERT INTO public.ecdc_data VALUES (40777, 0, 0, 0.26209091, 108, 227);
INSERT INTO public.ecdc_data VALUES (40778, 1, 8, 1.7545228, 64, 227);
INSERT INTO public.ecdc_data VALUES (40779, 0, 0, 0, 65, 227);
INSERT INTO public.ecdc_data VALUES (40780, 1, 26, 20.23630429, 154, 227);
INSERT INTO public.ecdc_data VALUES (40781, 0, 0, 0, 4, 227);
INSERT INTO public.ecdc_data VALUES (40782, 115, 1781, 7.68587395, 66, 227);
INSERT INTO public.ecdc_data VALUES (40783, 0, 0, 3.3296707, 67, 227);
INSERT INTO public.ecdc_data VALUES (40784, 0, 1, 4.8465714, 109, 227);
INSERT INTO public.ecdc_data VALUES (40785, 1, 11, 4.88568707, 155, 227);
INSERT INTO public.ecdc_data VALUES (40786, 2, 5, 1.48611933, 5, 227);
INSERT INTO public.ecdc_data VALUES (40787, 0, 0, 0, 6, 227);
INSERT INTO public.ecdc_data VALUES (40788, 0, 1, 0.10917996, 110, 227);
INSERT INTO public.ecdc_data VALUES (40789, 0, 73, 2.76313691, 7, 227);
INSERT INTO public.ecdc_data VALUES (40790, 60, 1385, 46.66537186, 68, 227);
INSERT INTO public.ecdc_data VALUES (40791, 0, 0, 0.36367868, 8, 227);
INSERT INTO public.ecdc_data VALUES (40792, 0, 0, 56.96865184, 69, 227);
INSERT INTO public.ecdc_data VALUES (40793, 0, 0, 0.12644412, 9, 227);
INSERT INTO public.ecdc_data VALUES (40794, 0, 0, 0.03762491, 10, 227);
INSERT INTO public.ecdc_data VALUES (40795, 8, 529, 25.807255, 70, 227);
INSERT INTO public.ecdc_data VALUES (40796, 3, 79, 0.07379077, 111, 227);
INSERT INTO public.ecdc_data VALUES (40797, 11, 250, 3.84191776, 71, 227);
INSERT INTO public.ecdc_data VALUES (40798, 0, 0, 1.04079469, 12, 227);
INSERT INTO public.ecdc_data VALUES (40799, 0, 19, 5.84440683, 72, 227);
INSERT INTO public.ecdc_data VALUES (40800, 0, 36, 1.47375889, 13, 227);
INSERT INTO public.ecdc_data VALUES (40801, 1, 88, 22.29992989, 156, 227);
INSERT INTO public.ecdc_data VALUES (40802, 0, 49, 4.27053146, 73, 227);
INSERT INTO public.ecdc_data VALUES (40803, 0, 0, 4.28336281, 74, 227);
INSERT INTO public.ecdc_data VALUES (40804, 0, 31, 49.43492343, 157, 227);
INSERT INTO public.ecdc_data VALUES (40805, 7, 163, 32.4231441, 158, 227);
INSERT INTO public.ecdc_data VALUES (40806, 0, 8, 0.19011282, 14, 227);
INSERT INTO public.ecdc_data VALUES (40807, 10, 184, 64.9835922, 159, 227);
INSERT INTO public.ecdc_data VALUES (40808, 0, 10, 14.07210877, 15, 227);
INSERT INTO public.ecdc_data VALUES (40809, 0, 0, 6.96301248, 75, 227);
INSERT INTO public.ecdc_data VALUES (40810, 8, 271, 18.98694631, 76, 227);
INSERT INTO public.ecdc_data VALUES (40811, 25, 2196, 31.85282177, 77, 227);
INSERT INTO public.ecdc_data VALUES (40812, 17, 95, 1.29397838, 16, 227);
INSERT INTO public.ecdc_data VALUES (40813, 0, 1, 1.62701149, 78, 227);
INSERT INTO public.ecdc_data VALUES (40814, 0, 0, 0.36873646, 17, 227);
INSERT INTO public.ecdc_data VALUES (40815, 0, 1, 0.80065951, 18, 227);
INSERT INTO public.ecdc_data VALUES (40816, 0, 51, 51.5541734, 160, 227);
INSERT INTO public.ecdc_data VALUES (40817, 0, 0, 0.26129377, 19, 227);
INSERT INTO public.ecdc_data VALUES (40818, 0, 9, 0.04371927, 20, 227);
INSERT INTO public.ecdc_data VALUES (40819, 0, 0, 0, 79, 227);
INSERT INTO public.ecdc_data VALUES (40820, 0, 0, 82.17433285, 161, 227);
INSERT INTO public.ecdc_data VALUES (40821, 0, 1, 1.23601755, 203, 227);
INSERT INTO public.ecdc_data VALUES (40822, 6, 164, 31.60611818, 162, 227);
INSERT INTO public.ecdc_data VALUES (40823, 987, 4342, 86.12075383, 163, 227);
INSERT INTO public.ecdc_data VALUES (40824, 0, 0, 7.51920082, 204, 227);
INSERT INTO public.ecdc_data VALUES (40825, 0, 2, 1.79510241, 21, 227);
INSERT INTO public.ecdc_data VALUES (40826, 0, 0, 0.04259495, 22, 227);
INSERT INTO public.ecdc_data VALUES (40827, 0, 16, 3.82809885, 164, 227);
INSERT INTO public.ecdc_data VALUES (40828, 171, 4133, 83.20483597, 165, 227);
INSERT INTO public.ecdc_data VALUES (40829, 0, 0, 0.79229774, 23, 227);
INSERT INTO public.ecdc_data VALUES (40830, 0, 4, 213.61181985, 166, 227);
INSERT INTO public.ecdc_data VALUES (40831, 4, 56, 9.74395406, 167, 227);
INSERT INTO public.ecdc_data VALUES (40832, 0, 0, 3.52982704, 80, 227);
INSERT INTO public.ecdc_data VALUES (40833, 0, 2, 6.24988839, 81, 227);
INSERT INTO public.ecdc_data VALUES (40834, 0, 2, 47.22197316, 205, 227);
INSERT INTO public.ecdc_data VALUES (40835, 0, 11, 0.59721948, 82, 227);
INSERT INTO public.ecdc_data VALUES (40836, 1, 9, 254.38977477, 168, 227);
INSERT INTO public.ecdc_data VALUES (40837, 0, 18, 1.62082854, 24, 227);
INSERT INTO public.ecdc_data VALUES (40838, 0, 0, 1.71792951, 25, 227);
INSERT INTO public.ecdc_data VALUES (40839, 0, 3, 4.47127208, 83, 227);
INSERT INTO public.ecdc_data VALUES (40840, 0, 1, 0.20420704, 84, 227);
INSERT INTO public.ecdc_data VALUES (40841, 0, 0, 368.09815951, 169, 227);
INSERT INTO public.ecdc_data VALUES (40842, 1, 10, 3.04736811, 85, 227);
INSERT INTO public.ecdc_data VALUES (40843, 8, 120, 9.89485463, 170, 227);
INSERT INTO public.ecdc_data VALUES (40844, 1, 27, 219.89349872, 171, 227);
INSERT INTO public.ecdc_data VALUES (40845, 40, 1035, 0.48111202, 112, 227);
INSERT INTO public.ecdc_data VALUES (40846, 26, 219, 0.91122211, 113, 227);
INSERT INTO public.ecdc_data VALUES (40847, 122, 1972, 43.24968796, 114, 227);
INSERT INTO public.ecdc_data VALUES (40848, 1, 47, 2.0885383, 115, 227);
INSERT INTO public.ecdc_data VALUES (40849, 24, 696, 121.69061873, 172, 227);
INSERT INTO public.ecdc_data VALUES (40850, 0, 11, 203.33613118, 173, 227);
INSERT INTO public.ecdc_data VALUES (40851, 9, 440, 86.54392759, 116, 227);
INSERT INTO public.ecdc_data VALUES (40852, 570, 3951, 101.19194734, 174, 227);
INSERT INTO public.ecdc_data VALUES (40853, 0, 2, 1.32280651, 86, 227);
INSERT INTO public.ecdc_data VALUES (40854, 6, 658, 3.55193866, 117, 227);
INSERT INTO public.ecdc_data VALUES (40855, 1, 15, 135.44101822, 175, 227);
INSERT INTO public.ecdc_data VALUES (40856, 0, 0, 1.58389229, 118, 227);
INSERT INTO public.ecdc_data VALUES (40857, 1, 38, 3.48760214, 119, 227);
INSERT INTO public.ecdc_data VALUES (40858, 0, 5, 0.30052897, 26, 227);
INSERT INTO public.ecdc_data VALUES (40859, 0, 23, 8.78506939, 176, 227);
INSERT INTO public.ecdc_data VALUES (40860, 0, 83, 18.25495469, 120, 227);
INSERT INTO public.ecdc_data VALUES (40861, 0, 41, 4.37977752, 121, 227);
INSERT INTO public.ecdc_data VALUES (40862, 0, 0, 0.1394806, 122, 227);
INSERT INTO public.ecdc_data VALUES (40863, 0, 23, 17.29195487, 177, 227);
INSERT INTO public.ecdc_data VALUES (40864, 1, 27, 3.17983158, 123, 227);
INSERT INTO public.ecdc_data VALUES (40865, 0, 6, 0.68862517, 28, 227);
INSERT INTO public.ecdc_data VALUES (40866, 0, 0, 0.33936052, 29, 227);
INSERT INTO public.ecdc_data VALUES (40867, 0, 1, 52.11318985, 178, 227);
INSERT INTO public.ecdc_data VALUES (40868, 2, 44, 22.94050785, 179, 227);
INSERT INTO public.ecdc_data VALUES (40869, 2, 108, 263.56341649, 180, 227);
INSERT INTO public.ecdc_data VALUES (40870, 0, 9, 0.28921768, 30, 227);
INSERT INTO public.ecdc_data VALUES (40871, 0, 1, 0, 31, 227);
INSERT INTO public.ecdc_data VALUES (40872, 3, 118, 6.83885581, 124, 227);
INSERT INTO public.ecdc_data VALUES (40873, 0, 0, 0.94169584, 125, 227);
INSERT INTO public.ecdc_data VALUES (40874, 0, 28, 0.42221947, 32, 227);
INSERT INTO public.ecdc_data VALUES (40875, 0, 20, 44.77681493, 181, 227);
INSERT INTO public.ecdc_data VALUES (40876, 0, 0, 0.08838416, 33, 227);
INSERT INTO public.ecdc_data VALUES (40877, 2, 4, 17.64237952, 34, 227);
INSERT INTO public.ecdc_data VALUES (40878, 39, 514, 3.85889052, 87, 227);
INSERT INTO public.ecdc_data VALUES (40879, 0, 149, 30.64360474, 182, 227);
INSERT INTO public.ecdc_data VALUES (40880, 1, 6, 93.69805048, 183, 227);
INSERT INTO public.ecdc_data VALUES (40881, 0, 0, 0.15503078, 126, 227);
INSERT INTO public.ecdc_data VALUES (40882, 0, 5, 29.25189093, 184, 227);
INSERT INTO public.ecdc_data VALUES (40883, 0, 0, 80.14425967, 88, 227);
INSERT INTO public.ecdc_data VALUES (40884, 10, 74, 3.02425717, 35, 227);
INSERT INTO public.ecdc_data VALUES (40885, 0, 3, 0.04281098, 36, 227);
INSERT INTO public.ecdc_data VALUES (40886, 0, 1, 0.0425568, 127, 227);
INSERT INTO public.ecdc_data VALUES (40887, 0, 0, 0.32070247, 37, 227);
INSERT INTO public.ecdc_data VALUES (40888, 0, 0, 0.02097263, 128, 227);
INSERT INTO public.ecdc_data VALUES (40889, 115, 1335, 83.8668169, 185, 227);
INSERT INTO public.ecdc_data VALUES (40890, 0, 0, 1.06098169, 207, 227);
INSERT INTO public.ecdc_data VALUES (40891, 2, 20, 12.94150065, 208, 227);
INSERT INTO public.ecdc_data VALUES (40892, 0, 1, 0.07638832, 89, 227);
INSERT INTO public.ecdc_data VALUES (40893, 0, 28, 1.8360652, 38, 227);
INSERT INTO public.ecdc_data VALUES (40894, 0, 17, 0.11146297, 39, 227);
INSERT INTO public.ecdc_data VALUES (40895, 0, 48, 23.6865062, 186, 227);
INSERT INTO public.ecdc_data VALUES (40896, 0, 0, 0, 209, 227);
INSERT INTO public.ecdc_data VALUES (40897, 4, 84, 49.97924257, 187, 227);
INSERT INTO public.ecdc_data VALUES (40898, 0, 27, 7.0954888, 129, 227);
INSERT INTO public.ecdc_data VALUES (40899, 5, 187, 1.65816025, 130, 227);
INSERT INTO public.ecdc_data VALUES (40900, 1, 3, 3.65357522, 131, 227);
INSERT INTO public.ecdc_data VALUES (40901, 8, 222, 51.52551314, 90, 227);
INSERT INTO public.ecdc_data VALUES (40902, 0, 0, 0.01139456, 210, 227);
INSERT INTO public.ecdc_data VALUES (40903, 0, 4, 1.09302975, 91, 227);
INSERT INTO public.ecdc_data VALUES (40904, 31, 641, 16.18555897, 92, 227);
INSERT INTO public.ecdc_data VALUES (40905, 0, 0, 3.02728659, 132, 227);
INSERT INTO public.ecdc_data VALUES (40906, 7, 380, 12.02439261, 188, 227);
INSERT INTO public.ecdc_data VALUES (40907, 26, 1516, 109.02420514, 189, 227);
INSERT INTO public.ecdc_data VALUES (40908, 6, 42, 22.53354806, 93, 227);
INSERT INTO public.ecdc_data VALUES (40909, 0, 136, 68.85420599, 133, 227);
INSERT INTO public.ecdc_data VALUES (40910, 28, 265, 21.50459209, 190, 227);
INSERT INTO public.ecdc_data VALUES (40911, 18, 1786, 7.45926607, 191, 227);
INSERT INTO public.ecdc_data VALUES (40912, 0, 5, 0.50685289, 40, 227);
INSERT INTO public.ecdc_data VALUES (40913, 0, 1, 18.92720597, 94, 227);
INSERT INTO public.ecdc_data VALUES (40914, 0, 1, 6.56473098, 95, 227);
INSERT INTO public.ecdc_data VALUES (40915, 0, 0, 9.94637997, 96, 227);
INSERT INTO public.ecdc_data VALUES (40916, 0, 11, 351.20308827, 192, 227);
INSERT INTO public.ecdc_data VALUES (40917, 0, 0, 0, 41, 227);
INSERT INTO public.ecdc_data VALUES (40918, 3, 364, 7.43247544, 134, 227);
INSERT INTO public.ecdc_data VALUES (40919, 0, 15, 0.89590548, 42, 227);
INSERT INTO public.ecdc_data VALUES (40920, 5, 238, 38.02541269, 193, 227);
INSERT INTO public.ecdc_data VALUES (40921, 0, 0, 3.06933631, 43, 227);
INSERT INTO public.ecdc_data VALUES (40922, 0, 1, 0, 44, 227);
INSERT INTO public.ecdc_data VALUES (40923, 0, 0, 20.27791948, 135, 227);
INSERT INTO public.ecdc_data VALUES (40924, 1, 0, 113.23692467, 97, 227);
INSERT INTO public.ecdc_data VALUES (40925, 0, 14, 7.70582676, 194, 227);
INSERT INTO public.ecdc_data VALUES (40926, 2, 36, 25.37353886, 195, 227);
INSERT INTO public.ecdc_data VALUES (40927, 0, 9, 0.11655837, 45, 227);
INSERT INTO public.ecdc_data VALUES (40928, 6, 69, 1.42251477, 46, 227);
INSERT INTO public.ecdc_data VALUES (40929, 0, 0, 1.89749909, 136, 227);
INSERT INTO public.ecdc_data VALUES (40930, 0, 1, 0, 47, 227);
INSERT INTO public.ecdc_data VALUES (40931, 605, 4550, 179.25494268, 196, 227);
INSERT INTO public.ecdc_data VALUES (40932, 0, 7, 0.42675453, 137, 227);
INSERT INTO public.ecdc_data VALUES (40933, 0, 1, 0.02802871, 48, 227);
INSERT INTO public.ecdc_data VALUES (40934, 0, 0, 0.34401914, 98, 227);
INSERT INTO public.ecdc_data VALUES (40935, 90, 454, 64.51496234, 197, 227);
INSERT INTO public.ecdc_data VALUES (40936, 49, 733, 141.89199706, 198, 227);
INSERT INTO public.ecdc_data VALUES (40937, 0, 0, 0.0820146, 138, 227);
INSERT INTO public.ecdc_data VALUES (40938, 0, 0, 0.47531154, 139, 227);
INSERT INTO public.ecdc_data VALUES (40939, 2, 45, 1.98490265, 141, 227);
INSERT INTO public.ecdc_data VALUES (40940, 0, 0, 0.07733234, 142, 227);
INSERT INTO public.ecdc_data VALUES (40941, 0, 3, 0.63100389, 49, 227);
INSERT INTO public.ecdc_data VALUES (40942, 0, 0, 3.08250578, 99, 227);
INSERT INTO public.ecdc_data VALUES (40943, 0, 28, 3.7965848, 50, 227);
INSERT INTO public.ecdc_data VALUES (40944, 98, 4747, 50.40127247, 199, 227);
INSERT INTO public.ecdc_data VALUES (40945, 0, 1, 18.32748599, 100, 227);
INSERT INTO public.ecdc_data VALUES (40946, 0, 0, 0.0880966, 51, 227);
INSERT INTO public.ecdc_data VALUES (40947, 12, 311, 4.51201552, 200, 227);
INSERT INTO public.ecdc_data VALUES (40948, 2, 350, 29.22053531, 143, 227);
INSERT INTO public.ecdc_data VALUES (40949, 1122, 4858, 91.06020978, 201, 227);
INSERT INTO public.ecdc_data VALUES (40950, 2, 7, 0.03275554, 52, 227);
INSERT INTO public.ecdc_data VALUES (40951, 2087, 35527, 120.60659751, 101, 227);
INSERT INTO public.ecdc_data VALUES (40952, 0, 0, 31.55509232, 102, 227);
INSERT INTO public.ecdc_data VALUES (40953, 0, 13, 6.00855468, 103, 227);
INSERT INTO public.ecdc_data VALUES (40954, 0, 42, 1.57663117, 144, 227);
INSERT INTO public.ecdc_data VALUES (40955, 0, 4, 0.19638216, 104, 227);
INSERT INTO public.ecdc_data VALUES (40956, 0, 1, 0.09019086, 145, 227);
INSERT INTO public.ecdc_data VALUES (40957, 0, 0, 0, 146, 227);
INSERT INTO public.ecdc_data VALUES (40958, 1, 1, 0.13437072, 54, 227);
INSERT INTO public.ecdc_data VALUES (40959, 0, 0, 0.04096829, 55, 227);
INSERT INTO public.ecdc_data VALUES (40960, 0, 3, 0.01840083, 105, 228);
INSERT INTO public.ecdc_data VALUES (40961, 0, 4, 0, 147, 228);
INSERT INTO public.ecdc_data VALUES (40962, 0, 7, 0, 58, 228);
INSERT INTO public.ecdc_data VALUES (40963, 0, 12, 0.35709751, 202, 228);
INSERT INTO public.ecdc_data VALUES (40964, 0, 51, 2.03188364, 150, 228);
INSERT INTO public.ecdc_data VALUES (40965, 0, 2, 0.10947758, 151, 228);
INSERT INTO public.ecdc_data VALUES (40966, 0, 1, 6.58069517, 106, 228);
INSERT INTO public.ecdc_data VALUES (40967, 0, 3, 0.09521382, 152, 228);
INSERT INTO public.ecdc_data VALUES (40968, 0, 99, 4.3647084, 153, 228);
INSERT INTO public.ecdc_data VALUES (40969, 0, 9, 0.01563614, 66, 228);
INSERT INTO public.ecdc_data VALUES (40970, 0, 2, 0, 5, 228);
INSERT INTO public.ecdc_data VALUES (40971, 0, 16, 0.21918665, 68, 228);
INSERT INTO public.ecdc_data VALUES (40972, 0, 4, 0, 70, 228);
INSERT INTO public.ecdc_data VALUES (40973, 22, 29, 0.19173046, 111, 228);
INSERT INTO public.ecdc_data VALUES (40974, 0, 4, 0, 72, 228);
INSERT INTO public.ecdc_data VALUES (40975, 0, 1, 0.31892089, 156, 228);
INSERT INTO public.ecdc_data VALUES (40976, 0, 23, 0.5915604, 158, 228);
INSERT INTO public.ecdc_data VALUES (40977, 0, 1, 0, 14, 228);
INSERT INTO public.ecdc_data VALUES (40978, 0, 151, 4.54695689, 159, 228);
INSERT INTO public.ecdc_data VALUES (40979, 0, 2, 0.09784929, 77, 228);
INSERT INTO public.ecdc_data VALUES (40980, 0, 4, 0.05777579, 16, 228);
INSERT INTO public.ecdc_data VALUES (40981, 0, 3, 0.98126538, 160, 228);
INSERT INTO public.ecdc_data VALUES (40982, 0, 0, 0, 161, 228);
INSERT INTO public.ecdc_data VALUES (40983, 3, 372, 2.64128317, 163, 228);
INSERT INTO public.ecdc_data VALUES (40984, 0, 8, 0.57546584, 164, 228);
INSERT INTO public.ecdc_data VALUES (40985, 0, 157, 1.54060723, 165, 228);
INSERT INTO public.ecdc_data VALUES (40986, 0, 6, 0.83919222, 167, 228);
INSERT INTO public.ecdc_data VALUES (40987, 0, 3, 0, 170, 228);
INSERT INTO public.ecdc_data VALUES (40988, 0, 5, 19.60833747, 171, 228);
INSERT INTO public.ecdc_data VALUES (40989, 0, 6, 0.00343965, 112, 228);
INSERT INTO public.ecdc_data VALUES (40990, 0, 13, 0.00702077, 113, 228);
INSERT INTO public.ecdc_data VALUES (40991, 54, 881, 9.58464223, 114, 228);
INSERT INTO public.ecdc_data VALUES (40992, 0, 0, 0.15517763, 115, 228);
INSERT INTO public.ecdc_data VALUES (40993, 0, 14, 0.71366817, 172, 228);
INSERT INTO public.ecdc_data VALUES (40994, 0, 31, 0.80991876, 116, 228);
INSERT INTO public.ecdc_data VALUES (40995, 167, 977, 16.28077189, 174, 228);
INSERT INTO public.ecdc_data VALUES (40996, 3, 54, 0.31846055, 117, 228);
INSERT INTO public.ecdc_data VALUES (40997, 0, 4, 1.64009359, 120, 228);
INSERT INTO public.ecdc_data VALUES (40998, 0, 2, 0, 177, 228);
INSERT INTO public.ecdc_data VALUES (40999, 1, 0, 0.58345534, 123, 228);
INSERT INTO public.ecdc_data VALUES (41000, 0, 2, 0.10736587, 179, 228);
INSERT INTO public.ecdc_data VALUES (41001, 0, 2, 1.140262, 180, 228);
INSERT INTO public.ecdc_data VALUES (41002, 0, 12, 0.33490049, 124, 228);
INSERT INTO public.ecdc_data VALUES (41003, 0, 2, 0, 125, 228);
INSERT INTO public.ecdc_data VALUES (41004, 0, 1, 0, 181, 228);
INSERT INTO public.ecdc_data VALUES (41005, 0, 11, 0.02821858, 87, 228);
INSERT INTO public.ecdc_data VALUES (41006, 0, 2, 0, 182, 228);
INSERT INTO public.ecdc_data VALUES (41007, 1, 61, 2.21037147, 185, 228);
INSERT INTO public.ecdc_data VALUES (41008, 0, 4, 0.33700314, 186, 228);
INSERT INTO public.ecdc_data VALUES (41009, 0, 85, 5.19874209, 187, 228);
INSERT INTO public.ecdc_data VALUES (41010, 0, 0, 0.36180963, 129, 228);
INSERT INTO public.ecdc_data VALUES (41011, 0, 0, 0.00738807, 130, 228);
INSERT INTO public.ecdc_data VALUES (41012, 0, 9, 0, 131, 228);
INSERT INTO public.ecdc_data VALUES (41013, 1, 6, 0, 90, 228);
INSERT INTO public.ecdc_data VALUES (41014, 0, 4, 0, 91, 228);
INSERT INTO public.ecdc_data VALUES (41015, 0, 2, 0, 92, 228);
INSERT INTO public.ecdc_data VALUES (41016, 0, 0, 0.02774781, 132, 228);
INSERT INTO public.ecdc_data VALUES (41017, 0, 5, 0, 188, 228);
INSERT INTO public.ecdc_data VALUES (41018, 0, 2, 0, 189, 228);
INSERT INTO public.ecdc_data VALUES (41019, 0, 6, 0.84743638, 133, 228);
INSERT INTO public.ecdc_data VALUES (41020, 0, 8, 0.12877001, 190, 228);
INSERT INTO public.ecdc_data VALUES (41021, 0, 0, 0.00548425, 191, 228);
INSERT INTO public.ecdc_data VALUES (41022, 0, 13, 179.95530143, 192, 228);
INSERT INTO public.ecdc_data VALUES (41023, 0, 5, 0, 134, 228);
INSERT INTO public.ecdc_data VALUES (41024, 0, 4, 0, 193, 228);
INSERT INTO public.ecdc_data VALUES (41025, 0, 6, 1.29213591, 135, 228);
INSERT INTO public.ecdc_data VALUES (41026, 0, 2, 0, 194, 228);
INSERT INTO public.ecdc_data VALUES (41027, 0, 15, 0, 195, 228);
INSERT INTO public.ecdc_data VALUES (41028, 6, 242, 12.90182252, 136, 228);
INSERT INTO public.ecdc_data VALUES (41029, 7, 975, 6.9561238, 196, 228);
INSERT INTO public.ecdc_data VALUES (41030, 0, 98, 3.17687315, 197, 228);
INSERT INTO public.ecdc_data VALUES (41031, 1, 116, 5.72296161, 198, 228);
INSERT INTO public.ecdc_data VALUES (41032, 0, 3, 0.07150705, 139, 228);
INSERT INTO public.ecdc_data VALUES (41033, 0, 9, 0.03447009, 141, 228);
INSERT INTO public.ecdc_data VALUES (41034, 0, 3, 0, 50, 228);
INSERT INTO public.ecdc_data VALUES (41035, 0, 15, 0.6447964, 143, 228);
INSERT INTO public.ecdc_data VALUES (41036, 4, 148, 0.90626583, 201, 228);
INSERT INTO public.ecdc_data VALUES (41037, 2, 271, 0.29538245, 101, 228);
INSERT INTO public.ecdc_data VALUES (41038, 0, 4, 0.02280688, 145, 228);
INSERT INTO public.ecdc_data VALUES (41039, 0, 0, 0, 105, 229);
INSERT INTO public.ecdc_data VALUES (41040, 0, 0, 0, 1, 229);
INSERT INTO public.ecdc_data VALUES (41041, 0, 0, 0, 149, 229);
INSERT INTO public.ecdc_data VALUES (41042, 0, 0, 0.0396775, 202, 229);
INSERT INTO public.ecdc_data VALUES (41043, 0, 0, 0, 150, 229);
INSERT INTO public.ecdc_data VALUES (41044, 0, 0, 0, 151, 229);
INSERT INTO public.ecdc_data VALUES (41045, 0, 0, 0, 106, 229);
INSERT INTO public.ecdc_data VALUES (41046, 0, 0, 0, 152, 229);
INSERT INTO public.ecdc_data VALUES (41047, 0, 0, 0.00872942, 153, 229);
INSERT INTO public.ecdc_data VALUES (41048, 0, 0, 0, 66, 229);
INSERT INTO public.ecdc_data VALUES (41049, 0, 0, 0, 110, 229);
INSERT INTO public.ecdc_data VALUES (41050, 0, 0, 0.01336504, 68, 229);
INSERT INTO public.ecdc_data VALUES (41051, 0, 65, 0, 214, 229);
INSERT INTO public.ecdc_data VALUES (41052, 108, 2490, 2.6620473, 111, 229);
INSERT INTO public.ecdc_data VALUES (41053, 0, 0, 0, 156, 229);
INSERT INTO public.ecdc_data VALUES (41054, 0, 0, 0, 158, 229);
INSERT INTO public.ecdc_data VALUES (41055, 0, 0, 0, 159, 229);
INSERT INTO public.ecdc_data VALUES (41056, 0, 0, 0, 76, 229);
INSERT INTO public.ecdc_data VALUES (41057, 0, 0, 0, 77, 229);
INSERT INTO public.ecdc_data VALUES (41058, 0, 0, 0, 16, 229);
INSERT INTO public.ecdc_data VALUES (41059, 0, 0, 0, 160, 229);
INSERT INTO public.ecdc_data VALUES (41060, 0, 0, 0.01812277, 162, 229);
INSERT INTO public.ecdc_data VALUES (41061, 0, 0, 0.011938, 163, 229);
INSERT INTO public.ecdc_data VALUES (41062, 0, 0, 0, 164, 229);
INSERT INTO public.ecdc_data VALUES (41063, 0, 0, 0.01445449, 165, 229);
INSERT INTO public.ecdc_data VALUES (41064, 0, 0, 0, 167, 229);
INSERT INTO public.ecdc_data VALUES (41065, 0, 0, 0, 171, 229);
INSERT INTO public.ecdc_data VALUES (41066, 0, 0, 0.00021955, 112, 229);
INSERT INTO public.ecdc_data VALUES (41067, 0, 0, 0, 113, 229);
INSERT INTO public.ecdc_data VALUES (41068, 0, 0, 0, 114, 229);
INSERT INTO public.ecdc_data VALUES (41069, 0, 0, 0, 115, 229);
INSERT INTO public.ecdc_data VALUES (41070, 0, 0, 0, 172, 229);
INSERT INTO public.ecdc_data VALUES (41071, 0, 0, 0, 116, 229);
INSERT INTO public.ecdc_data VALUES (41072, 0, 0, 0.00497022, 174, 229);
INSERT INTO public.ecdc_data VALUES (41073, 0, 0, 0.01655364, 117, 229);
INSERT INTO public.ecdc_data VALUES (41074, 0, 0, 0, 120, 229);
INSERT INTO public.ecdc_data VALUES (41075, 0, 0, 0, 123, 229);
INSERT INTO public.ecdc_data VALUES (41076, 0, 0, 0, 179, 229);
INSERT INTO public.ecdc_data VALUES (41077, 0, 0, 0, 180, 229);
INSERT INTO public.ecdc_data VALUES (41078, 0, 0, 0.04381876, 124, 229);
INSERT INTO public.ecdc_data VALUES (41079, 0, 1, 0.0015677, 87, 229);
INSERT INTO public.ecdc_data VALUES (41080, 0, 0, 0, 183, 229);
INSERT INTO public.ecdc_data VALUES (41081, 0, 0, 0, 128, 229);
INSERT INTO public.ecdc_data VALUES (41082, 0, 0, 0, 185, 229);
INSERT INTO public.ecdc_data VALUES (41083, 0, 0, 0, 208, 229);
INSERT INTO public.ecdc_data VALUES (41084, 0, 0, 0, 39, 229);
INSERT INTO public.ecdc_data VALUES (41085, 0, 0, 0, 186, 229);
INSERT INTO public.ecdc_data VALUES (41086, 0, 0, 0, 187, 229);
INSERT INTO public.ecdc_data VALUES (41087, 0, 0, 0, 129, 229);
INSERT INTO public.ecdc_data VALUES (41088, 0, 0, 0, 130, 229);
INSERT INTO public.ecdc_data VALUES (41089, 0, 0, 0.00277478, 132, 229);
INSERT INTO public.ecdc_data VALUES (41090, 0, 0, 0, 133, 229);
INSERT INTO public.ecdc_data VALUES (41091, 0, 0, 0, 190, 229);
INSERT INTO public.ecdc_data VALUES (41092, 0, 0, 0.00137106, 191, 229);
INSERT INTO public.ecdc_data VALUES (41093, 0, 0, 0, 192, 229);
INSERT INTO public.ecdc_data VALUES (41094, 0, 2, 0.68913915, 135, 229);
INSERT INTO public.ecdc_data VALUES (41095, 0, 1, 0.04685183, 136, 229);
INSERT INTO public.ecdc_data VALUES (41096, 0, 0, 0.00426103, 196, 229);
INSERT INTO public.ecdc_data VALUES (41097, 0, 0, 0, 137, 229);
INSERT INTO public.ecdc_data VALUES (41098, 0, 0, 0.00977499, 197, 229);
INSERT INTO public.ecdc_data VALUES (41099, 0, 0, 0, 198, 229);
INSERT INTO public.ecdc_data VALUES (41100, 0, 0, 0.04626926, 139, 229);
INSERT INTO public.ecdc_data VALUES (41101, 0, 0, 0.02585257, 141, 229);
INSERT INTO public.ecdc_data VALUES (41102, 0, 1, 0.07164404, 143, 229);
INSERT INTO public.ecdc_data VALUES (41103, 0, 1, 0.01350396, 201, 229);
INSERT INTO public.ecdc_data VALUES (41104, 0, 1, 0.00243113, 101, 229);
INSERT INTO public.ecdc_data VALUES (41105, 0, 1, 0.01347679, 145, 229);
INSERT INTO public.ecdc_data VALUES (41106, 0, 0, 0, 105, 230);
INSERT INTO public.ecdc_data VALUES (41107, 0, 0, 0, 1, 230);
INSERT INTO public.ecdc_data VALUES (41108, 0, 0, 0, 149, 230);
INSERT INTO public.ecdc_data VALUES (41109, 0, 0, 0, 202, 230);
INSERT INTO public.ecdc_data VALUES (41110, 0, 0, 0, 150, 230);
INSERT INTO public.ecdc_data VALUES (41111, 0, 0, 0, 151, 230);
INSERT INTO public.ecdc_data VALUES (41112, 0, 0, 0, 106, 230);
INSERT INTO public.ecdc_data VALUES (41113, 0, 0, 0, 152, 230);
INSERT INTO public.ecdc_data VALUES (41114, 0, 0, 0, 153, 230);
INSERT INTO public.ecdc_data VALUES (41115, 0, 0, 0, 66, 230);
INSERT INTO public.ecdc_data VALUES (41116, 0, 0, 0, 110, 230);
INSERT INTO public.ecdc_data VALUES (41117, 0, 0, 0, 68, 230);
INSERT INTO public.ecdc_data VALUES (41118, 0, 0, 0, 214, 230);
INSERT INTO public.ecdc_data VALUES (41119, 1, 0, 0, 111, 230);
INSERT INTO public.ecdc_data VALUES (41120, 0, 0, 0, 156, 230);
INSERT INTO public.ecdc_data VALUES (41121, 0, 0, 0, 158, 230);
INSERT INTO public.ecdc_data VALUES (41122, 0, 0, 0, 159, 230);
INSERT INTO public.ecdc_data VALUES (41123, 0, 0, 0, 77, 230);
INSERT INTO public.ecdc_data VALUES (41124, 0, 0, 0, 76, 230);
INSERT INTO public.ecdc_data VALUES (41125, 0, 0, 0, 16, 230);
INSERT INTO public.ecdc_data VALUES (41126, 0, 0, 0, 160, 230);
INSERT INTO public.ecdc_data VALUES (41127, 0, 0, 0, 162, 230);
INSERT INTO public.ecdc_data VALUES (41128, 0, 0, 0, 163, 230);
INSERT INTO public.ecdc_data VALUES (41129, 0, 0, 0, 164, 230);
INSERT INTO public.ecdc_data VALUES (41130, 0, 0, 0, 165, 230);
INSERT INTO public.ecdc_data VALUES (41131, 0, 0, 0, 167, 230);
INSERT INTO public.ecdc_data VALUES (41132, 0, 0, 0, 171, 230);
INSERT INTO public.ecdc_data VALUES (41133, 0, 0, 0, 112, 230);
INSERT INTO public.ecdc_data VALUES (41134, 0, 0, 0, 113, 230);
INSERT INTO public.ecdc_data VALUES (41135, 0, 0, 0, 114, 230);
INSERT INTO public.ecdc_data VALUES (41136, 0, 0, 0, 115, 230);
INSERT INTO public.ecdc_data VALUES (41137, 0, 0, 0, 172, 230);
INSERT INTO public.ecdc_data VALUES (41138, 0, 0, 0, 116, 230);
INSERT INTO public.ecdc_data VALUES (41139, 0, 0, 0, 174, 230);
INSERT INTO public.ecdc_data VALUES (41140, 0, 0, 0, 117, 230);
INSERT INTO public.ecdc_data VALUES (41141, 0, 0, 0, 120, 230);
INSERT INTO public.ecdc_data VALUES (41142, 0, 0, 0, 123, 230);
INSERT INTO public.ecdc_data VALUES (41143, 0, 0, 0, 179, 230);
INSERT INTO public.ecdc_data VALUES (41144, 0, 0, 0, 180, 230);
INSERT INTO public.ecdc_data VALUES (41145, 0, 0, 0, 124, 230);
INSERT INTO public.ecdc_data VALUES (41146, 0, 0, 0, 87, 230);
INSERT INTO public.ecdc_data VALUES (41147, 0, 0, 0, 183, 230);
INSERT INTO public.ecdc_data VALUES (41148, 0, 0, 0, 128, 230);
INSERT INTO public.ecdc_data VALUES (41149, 0, 0, 0, 185, 230);
INSERT INTO public.ecdc_data VALUES (41150, 0, 0, 0, 208, 230);
INSERT INTO public.ecdc_data VALUES (41151, 0, 0, 0, 39, 230);
INSERT INTO public.ecdc_data VALUES (41152, 0, 0, 0, 186, 230);
INSERT INTO public.ecdc_data VALUES (41153, 0, 0, 0, 187, 230);
INSERT INTO public.ecdc_data VALUES (41154, 0, 0, 0, 129, 230);
INSERT INTO public.ecdc_data VALUES (41155, 0, 0, 0, 130, 230);
INSERT INTO public.ecdc_data VALUES (41156, 0, 0, 0, 132, 230);
INSERT INTO public.ecdc_data VALUES (41157, 0, 0, 0, 133, 230);
INSERT INTO public.ecdc_data VALUES (41158, 0, 0, 0, 190, 230);
INSERT INTO public.ecdc_data VALUES (41159, 0, 0, 0, 191, 230);
INSERT INTO public.ecdc_data VALUES (41160, 0, 0, 0, 192, 230);
INSERT INTO public.ecdc_data VALUES (41161, 0, 0, 0, 135, 230);
INSERT INTO public.ecdc_data VALUES (41162, 0, 0, 0, 136, 230);
INSERT INTO public.ecdc_data VALUES (41163, 0, 0, 0, 196, 230);
INSERT INTO public.ecdc_data VALUES (41164, 0, 0, 0, 137, 230);
INSERT INTO public.ecdc_data VALUES (41165, 0, 0, 0, 197, 230);
INSERT INTO public.ecdc_data VALUES (41166, 0, 0, 0, 198, 230);
INSERT INTO public.ecdc_data VALUES (41167, 0, 0, 0, 139, 230);
INSERT INTO public.ecdc_data VALUES (41168, 0, 0, 0, 141, 230);
INSERT INTO public.ecdc_data VALUES (41169, 0, 0, 0, 143, 230);
INSERT INTO public.ecdc_data VALUES (41170, 0, 0, 0, 201, 230);
INSERT INTO public.ecdc_data VALUES (41171, 0, 0, 0, 101, 230);
INSERT INTO public.ecdc_data VALUES (41172, 0, 0, 0, 145, 230);
INSERT INTO public.ecdc_data VALUES (41173, 16, 202, 6.96865815, 105, 231);
INSERT INTO public.ecdc_data VALUES (41174, 15, 752, 357.87812231, 147, 231);
INSERT INTO public.ecdc_data VALUES (41175, 15, 598, 27.84703729, 1, 231);
INSERT INTO public.ecdc_data VALUES (41176, 0, 35, 963.5454271, 148, 231);
INSERT INTO public.ecdc_data VALUES (41177, 3, 75, 3.33696786, 2, 231);
INSERT INTO public.ecdc_data VALUES (41178, 0, 0, 40.34427111, 56, 231);
INSERT INTO public.ecdc_data VALUES (41179, 0, 0, 6.17824229, 57, 231);
INSERT INTO public.ecdc_data VALUES (41180, 213, 5303, 189.4723561, 58, 231);
INSERT INTO public.ecdc_data VALUES (41181, 23, 1174, 485.84589252, 149, 231);
INSERT INTO public.ecdc_data VALUES (41182, 0, 12, 205.06067162, 59, 231);
INSERT INTO public.ecdc_data VALUES (41183, 0, 6, 0.55151727, 202, 231);
INSERT INTO public.ecdc_data VALUES (41184, 126, 2913, 557.14249431, 150, 231);
INSERT INTO public.ecdc_data VALUES (41185, 42, 4403, 558.92287593, 151, 231);
INSERT INTO public.ecdc_data VALUES (41186, 0, 6, 29.782842, 60, 231);
INSERT INTO public.ecdc_data VALUES (41187, 3, 201, 140.7537577, 106, 231);
INSERT INTO public.ecdc_data VALUES (41188, 24, 2159, 18.37393632, 107, 231);
INSERT INTO public.ecdc_data VALUES (41189, 0, 0, 9.40697719, 61, 231);
INSERT INTO public.ecdc_data VALUES (41190, 8, 1851, 253.94584597, 152, 231);
INSERT INTO public.ecdc_data VALUES (41191, 83, 2708, 267.11142463, 153, 231);
INSERT INTO public.ecdc_data VALUES (41192, 4, 506, 793.13233474, 62, 231);
INSERT INTO public.ecdc_data VALUES (41193, 0, 17, 0.98295497, 3, 231);
INSERT INTO public.ecdc_data VALUES (41194, 0, 10, 161.57931785, 63, 231);
INSERT INTO public.ecdc_data VALUES (41195, 0, 0, 6.15913636, 108, 231);
INSERT INTO public.ecdc_data VALUES (41196, 2, 214, 15.49538951, 64, 231);
INSERT INTO public.ecdc_data VALUES (41197, 0, 0, 30.78936228, 65, 231);
INSERT INTO public.ecdc_data VALUES (41198, 70, 1296, 423.78092928, 154, 231);
INSERT INTO public.ecdc_data VALUES (41199, 0, 0, 89.68169942, 4, 231);
INSERT INTO public.ecdc_data VALUES (41200, 836, 53453, 266.21524781, 66, 231);
INSERT INTO public.ecdc_data VALUES (41201, 0, 0, 3.3296707, 67, 231);
INSERT INTO public.ecdc_data VALUES (41202, 0, 1, 0.46157823, 109, 231);
INSERT INTO public.ecdc_data VALUES (41203, 127, 3328, 549.03979821, 155, 231);
INSERT INTO public.ecdc_data VALUES (41204, 0, 0, 3.40528004, 5, 231);
INSERT INTO public.ecdc_data VALUES (41205, 0, 4, 0.40761187, 6, 231);
INSERT INTO public.ecdc_data VALUES (41206, 0, 2, 0.29721211, 110, 231);
INSERT INTO public.ecdc_data VALUES (41207, 0, 211, 4.05002445, 7, 231);
INSERT INTO public.ecdc_data VALUES (41208, 116, 6295, 234.86116584, 68, 231);
INSERT INTO public.ecdc_data VALUES (41209, 0, 74, 121.10500131, 8, 231);
INSERT INTO public.ecdc_data VALUES (41210, 0, 1, 40.03202562, 69, 231);
INSERT INTO public.ecdc_data VALUES (41211, 0, 0, 0.33718433, 9, 231);
INSERT INTO public.ecdc_data VALUES (41212, 0, 3, 0.48285301, 10, 231);
INSERT INTO public.ecdc_data VALUES (41213, 10, 1244, 109.14922857, 70, 231);
INSERT INTO public.ecdc_data VALUES (41214, 0, 12, 0.0124147, 111, 231);
INSERT INTO public.ecdc_data VALUES (41215, 150, 7523, 240.65025908, 71, 231);
INSERT INTO public.ecdc_data VALUES (41216, 0, 0, 1.17523866, 11, 231);
INSERT INTO public.ecdc_data VALUES (41217, 5, 275, 7.75020333, 12, 231);
INSERT INTO public.ecdc_data VALUES (41218, 18, 1258, 280.69002039, 72, 231);
INSERT INTO public.ecdc_data VALUES (41219, 1, 34, 1.47375889, 13, 231);
INSERT INTO public.ecdc_data VALUES (41220, 69, 4520, 1171.54362126, 156, 231);
INSERT INTO public.ecdc_data VALUES (41221, 0, 124, 9.52928508, 73, 231);
INSERT INTO public.ecdc_data VALUES (41222, 0, 72, 805.88411668, 74, 231);
INSERT INTO public.ecdc_data VALUES (41223, 2, 363, 479.0506668, 157, 231);
INSERT INTO public.ecdc_data VALUES (41224, 90, 6406, 545.71916844, 158, 231);
INSERT INTO public.ecdc_data VALUES (41225, 0, 154, 1.88038866, 14, 231);
INSERT INTO public.ecdc_data VALUES (41226, 3, 2558, 398.77156381, 159, 231);
INSERT INTO public.ecdc_data VALUES (41227, 0, 3, 4.82765775, 15, 231);
INSERT INTO public.ecdc_data VALUES (41228, 0, 0, 11.14081996, 75, 231);
INSERT INTO public.ecdc_data VALUES (41229, 3, 531, 100.24250958, 76, 231);
INSERT INTO public.ecdc_data VALUES (41230, 20, 476, 69.05857529, 77, 231);
INSERT INTO public.ecdc_data VALUES (41231, 19, 421, 5.57337108, 16, 231);
INSERT INTO public.ecdc_data VALUES (41232, 6, 0, 44.27020787, 78, 231);
INSERT INTO public.ecdc_data VALUES (41233, 0, 17, 2.72864979, 17, 231);
INSERT INTO public.ecdc_data VALUES (41234, 0, 0, 2.60214342, 18, 231);
INSERT INTO public.ecdc_data VALUES (41235, 2, 544, 416.13200284, 160, 231);
INSERT INTO public.ecdc_data VALUES (41236, 1, 49, 29.61329393, 19, 231);
INSERT INTO public.ecdc_data VALUES (41237, 3, 568, 6.89247657, 20, 231);
INSERT INTO public.ecdc_data VALUES (41238, 0, 0, 29.65599051, 79, 231);
INSERT INTO public.ecdc_data VALUES (41239, 0, 5, 39.0328081, 161, 231);
INSERT INTO public.ecdc_data VALUES (41240, 0, 0, 0.67419139, 203, 231);
INSERT INTO public.ecdc_data VALUES (41241, 8, 490, 110.18646704, 162, 231);
INSERT INTO public.ecdc_data VALUES (41242, 296, 14595, 229.98413604, 163, 231);
INSERT INTO public.ecdc_data VALUES (41243, 0, 0, 649.87378484, 204, 231);
INSERT INTO public.ecdc_data VALUES (41244, 2, 22, 5.84558989, 21, 231);
INSERT INTO public.ecdc_data VALUES (41245, 0, 4, 2.08715268, 22, 231);
INSERT INTO public.ecdc_data VALUES (41246, 43, 4570, 1507.79556051, 164, 231);
INSERT INTO public.ecdc_data VALUES (41247, 440, 23679, 311.5122279, 165, 231);
INSERT INTO public.ecdc_data VALUES (41248, 0, 122, 4.59269683, 23, 231);
INSERT INTO public.ecdc_data VALUES (41249, 0, 7, 219.54548152, 166, 231);
INSERT INTO public.ecdc_data VALUES (41250, 95, 1675, 209.16399765, 167, 231);
INSERT INTO public.ecdc_data VALUES (41251, 0, 0, 1.76491352, 80, 231);
INSERT INTO public.ecdc_data VALUES (41252, 0, 0, 1.7856824, 81, 231);
INSERT INTO public.ecdc_data VALUES (41253, 0, 13, 199.64732957, 205, 231);
INSERT INTO public.ecdc_data VALUES (41254, 25, 654, 40.59954921, 82, 231);
INSERT INTO public.ecdc_data VALUES (41255, 0, 1, 6.20462865, 168, 231);
INSERT INTO public.ecdc_data VALUES (41256, 0, 61, 2.94411368, 24, 231);
INSERT INTO public.ecdc_data VALUES (41257, 0, 2, 1.14528634, 25, 231);
INSERT INTO public.ecdc_data VALUES (41258, 0, 32, 69.36859251, 83, 231);
INSERT INTO public.ecdc_data VALUES (41259, 0, 10, 1.3406636, 84, 231);
INSERT INTO public.ecdc_data VALUES (41260, 0, 0, 0, 169, 231);
INSERT INTO public.ecdc_data VALUES (41261, 9, 617, 68.49908912, 85, 231);
INSERT INTO public.ecdc_data VALUES (41262, 171, 5415, 746.52431719, 170, 231);
INSERT INTO public.ecdc_data VALUES (41263, 0, 10, 57.14429776, 171, 231);
INSERT INTO public.ecdc_data VALUES (41264, 412, 31521, 36.64077094, 112, 231);
INSERT INTO public.ecdc_data VALUES (41265, 171, 6058, 29.95430214, 113, 231);
INSERT INTO public.ecdc_data VALUES (41266, 295, 10223, 214.96397473, 114, 231);
INSERT INTO public.ecdc_data VALUES (41267, 24, 1735, 70.43029409, 115, 231);
INSERT INTO public.ecdc_data VALUES (41268, 5, 218, 75.70999788, 172, 231);
INSERT INTO public.ecdc_data VALUES (41269, 0, 0, 1.18218681, 173, 231);
INSERT INTO public.ecdc_data VALUES (41270, 2, 2036, 219.34712801, 116, 231);
INSERT INTO public.ecdc_data VALUES (41271, 499, 12755, 479.2531077, 174, 231);
INSERT INTO public.ecdc_data VALUES (41272, 1, 98, 29.88185981, 86, 231);
INSERT INTO public.ecdc_data VALUES (41273, 45, 2733, 24.6822688, 117, 231);
INSERT INTO public.ecdc_data VALUES (41274, 0, 37, 589.07566143, 175, 231);
INSERT INTO public.ecdc_data VALUES (41275, 44, 3088, 516.72506115, 118, 231);
INSERT INTO public.ecdc_data VALUES (41276, 2, 936, 68.25350588, 119, 231);
INSERT INTO public.ecdc_data VALUES (41277, 7, 561, 19.66562653, 26, 231);
INSERT INTO public.ecdc_data VALUES (41278, 11, 561, 455.322362, 176, 231);
INSERT INTO public.ecdc_data VALUES (41279, 5, 304, 94.76888586, 120, 231);
INSERT INTO public.ecdc_data VALUES (41280, 3, 379, 81.36099171, 121, 231);
INSERT INTO public.ecdc_data VALUES (41281, 0, 0, 0.04184418, 122, 231);
INSERT INTO public.ecdc_data VALUES (41282, 5, 712, 444.95533259, 177, 231);
INSERT INTO public.ecdc_data VALUES (41283, 20, 1274, 292.71954221, 123, 231);
INSERT INTO public.ecdc_data VALUES (41284, 0, 14, 3.38780963, 27, 231);
INSERT INTO public.ecdc_data VALUES (41285, 0, 0, 1.98486078, 28, 231);
INSERT INTO public.ecdc_data VALUES (41286, 6, 536, 128.73567696, 29, 231);
INSERT INTO public.ecdc_data VALUES (41287, 0, 27, 674.86580854, 178, 231);
INSERT INTO public.ecdc_data VALUES (41288, 31, 3327, 1153.39576778, 179, 231);
INSERT INTO public.ecdc_data VALUES (41289, 9, 388, 1202.16193675, 180, 231);
INSERT INTO public.ecdc_data VALUES (41290, 3, 125, 1.10125192, 30, 231);
INSERT INTO public.ecdc_data VALUES (41291, 0, 0, 0.17714555, 31, 231);
INSERT INTO public.ecdc_data VALUES (41292, 5, 959, 51.48077817, 124, 231);
INSERT INTO public.ecdc_data VALUES (41293, 0, 26, 79.10245086, 125, 231);
INSERT INTO public.ecdc_data VALUES (41294, 5, 152, 4.99032889, 32, 231);
INSERT INTO public.ecdc_data VALUES (41295, 3, 79, 287.09840161, 181, 231);
INSERT INTO public.ecdc_data VALUES (41296, 0, 0, 0, 206, 231);
INSERT INTO public.ecdc_data VALUES (41297, 3, 197, 37.14344174, 33, 231);
INSERT INTO public.ecdc_data VALUES (41298, 0, 0, 1.41769121, 34, 231);
INSERT INTO public.ecdc_data VALUES (41299, 781, 21974, 105.61743389, 87, 231);
INSERT INTO public.ecdc_data VALUES (41300, 21, 1766, 488.88792157, 182, 231);
INSERT INTO public.ecdc_data VALUES (41301, 0, 7, 184.37358319, 183, 231);
INSERT INTO public.ecdc_data VALUES (41302, 0, 5, 5.76714501, 126, 231);
INSERT INTO public.ecdc_data VALUES (41303, 7, 454, 1092.76706816, 184, 231);
INSERT INTO public.ecdc_data VALUES (41304, 0, 0, 0, 88, 231);
INSERT INTO public.ecdc_data VALUES (41305, 57, 4096, 141.69316616, 35, 231);
INSERT INTO public.ecdc_data VALUES (41306, 2, 67, 3.74760715, 36, 231);
INSERT INTO public.ecdc_data VALUES (41307, 23, 1427, 36.26579139, 127, 231);
INSERT INTO public.ecdc_data VALUES (41308, 2, 174, 58.76872702, 37, 231);
INSERT INTO public.ecdc_data VALUES (41309, 14, 1056, 64.34053399, 128, 231);
INSERT INTO public.ecdc_data VALUES (41310, 66, 6524, 452.65167329, 185, 231);
INSERT INTO public.ecdc_data VALUES (41311, 0, 0, 1.41464225, 207, 231);
INSERT INTO public.ecdc_data VALUES (41312, 0, 0, 1.00354125, 208, 231);
INSERT INTO public.ecdc_data VALUES (41313, 0, 0, 1.57359946, 89, 231);
INSERT INTO public.ecdc_data VALUES (41314, 0, 91, 2.82702563, 38, 231);
INSERT INTO public.ecdc_data VALUES (41315, 2, 474, 1.92273623, 39, 231);
INSERT INTO public.ecdc_data VALUES (41316, 46, 502, 601.93574602, 186, 231);
INSERT INTO public.ecdc_data VALUES (41317, 0, 0, 15.73069058, 209, 231);
INSERT INTO public.ecdc_data VALUES (41318, 0, 459, 102.24818382, 187, 231);
INSERT INTO public.ecdc_data VALUES (41319, 7, 165, 58.5126569, 129, 231);
INSERT INTO public.ecdc_data VALUES (41320, 56, 3138, 19.89330545, 130, 231);
INSERT INTO public.ecdc_data VALUES (41321, 23, 1879, 555.54417996, 131, 231);
INSERT INTO public.ecdc_data VALUES (41322, 23, 1811, 575.65866938, 90, 231);
INSERT INTO public.ecdc_data VALUES (41323, 0, 0, 0.61530615, 210, 231);
INSERT INTO public.ecdc_data VALUES (41324, 14, 725, 159.95141838, 91, 231);
INSERT INTO public.ecdc_data VALUES (41325, 54, 691, 70.2942948, 92, 231);
INSERT INTO public.ecdc_data VALUES (41326, 7, 1379, 19.6537772, 132, 231);
INSERT INTO public.ecdc_data VALUES (41327, 568, 12166, 431.68780864, 188, 231);
INSERT INTO public.ecdc_data VALUES (41328, 70, 4097, 564.991378, 189, 231);
INSERT INTO public.ecdc_data VALUES (41329, 13, 721, 499.69250741, 93, 231);
INSERT INTO public.ecdc_data VALUES (41330, 1, 150, 88.34524276, 133, 231);
INSERT INTO public.ecdc_data VALUES (41331, 161, 7365, 472.30780277, 190, 231);
INSERT INTO public.ecdc_data VALUES (41332, 559, 26190, 259.6079611, 191, 231);
INSERT INTO public.ecdc_data VALUES (41333, 2, 41, 3.95186862, 40, 231);
INSERT INTO public.ecdc_data VALUES (41334, 0, 0, 5.67816179, 94, 231);
INSERT INTO public.ecdc_data VALUES (41335, 1, 0, 19.14713203, 95, 231);
INSERT INTO public.ecdc_data VALUES (41336, 0, 4, 6.32951453, 96, 231);
INSERT INTO public.ecdc_data VALUES (41337, 1, 34, 992.6566627, 192, 231);
INSERT INTO public.ecdc_data VALUES (41338, 0, 0, 10.69528663, 41, 231);
INSERT INTO public.ecdc_data VALUES (41339, 13, 159, 9.3584408, 134, 231);
INSERT INTO public.ecdc_data VALUES (41340, 1, 112, 4.52861811, 42, 231);
INSERT INTO public.ecdc_data VALUES (41341, 54, 7804, 1453.56735237, 193, 231);
INSERT INTO public.ecdc_data VALUES (41342, 0, 0, 17.39290574, 43, 231);
INSERT INTO public.ecdc_data VALUES (41343, 0, 6, 0.33276989, 44, 231);
INSERT INTO public.ecdc_data VALUES (41344, 0, 6, 1.74007635, 135, 231);
INSERT INTO public.ecdc_data VALUES (41345, 0, 24, 351.50628701, 97, 231);
INSERT INTO public.ecdc_data VALUES (41346, 38, 2564, 412.66537025, 194, 231);
INSERT INTO public.ecdc_data VALUES (41347, 50, 2137, 997.97780584, 195, 231);
INSERT INTO public.ecdc_data VALUES (41348, 0, 0, 0, 211, 231);
INSERT INTO public.ecdc_data VALUES (41349, 0, 0, 0.86771233, 45, 231);
INSERT INTO public.ecdc_data VALUES (41350, 142, 6709, 90.67208222, 46, 231);
INSERT INTO public.ecdc_data VALUES (41351, 8, 666, 15.18780136, 136, 231);
INSERT INTO public.ecdc_data VALUES (41352, 0, 0, 1.2113417, 47, 231);
INSERT INTO public.ecdc_data VALUES (41353, 325, 7955, 218.80577948, 196, 231);
INSERT INTO public.ecdc_data VALUES (41354, 2, 697, 40.35878519, 137, 231);
INSERT INTO public.ecdc_data VALUES (41355, 0, 0, 9.10232506, 48, 231);
INSERT INTO public.ecdc_data VALUES (41356, 0, 7, 4.81626798, 98, 231);
INSERT INTO public.ecdc_data VALUES (41357, 15, 8402, 724.18045226, 197, 231);
INSERT INTO public.ecdc_data VALUES (41358, 87, 5059, 631.11743927, 198, 231);
INSERT INTO public.ecdc_data VALUES (41359, 7, 95, 7.12355358, 138, 231);
INSERT INTO public.ecdc_data VALUES (41360, 0, 4, 0.41642338, 139, 231);
INSERT INTO public.ecdc_data VALUES (41361, 0, 40, 5.82554082, 140, 231);
INSERT INTO public.ecdc_data VALUES (41362, 0, 25, 0.30017703, 141, 231);
INSERT INTO public.ecdc_data VALUES (41363, 0, 0, 0.07733234, 142, 231);
INSERT INTO public.ecdc_data VALUES (41364, 0, 19, 3.24162785, 49, 231);
INSERT INTO public.ecdc_data VALUES (41365, 0, 26, 21.86428516, 99, 231);
INSERT INTO public.ecdc_data VALUES (41366, 49, 1411, 132.95742583, 50, 231);
INSERT INTO public.ecdc_data VALUES (41367, 217, 31712, 531.77360555, 199, 231);
INSERT INTO public.ecdc_data VALUES (41368, 0, 7, 57.60067026, 100, 231);
INSERT INTO public.ecdc_data VALUES (41369, 12, 1199, 13.93507466, 51, 231);
INSERT INTO public.ecdc_data VALUES (41370, 276, 12585, 417.07162101, 200, 231);
INSERT INTO public.ecdc_data VALUES (41371, 2, 1313, 178.98729301, 143, 231);
INSERT INTO public.ecdc_data VALUES (41372, 533, 16578, 314.81034017, 201, 231);
INSERT INTO public.ecdc_data VALUES (41373, 0, 0, 0, 52, 231);
INSERT INTO public.ecdc_data VALUES (41374, 3124, 220025, 794.35602672, 101, 231);
INSERT INTO public.ecdc_data VALUES (41375, 0, 18, 169.25004064, 102, 231);
INSERT INTO public.ecdc_data VALUES (41376, 1, 298, 90.01277107, 103, 231);
INSERT INTO public.ecdc_data VALUES (41377, 0, 146, 6.88563345, 144, 231);
INSERT INTO public.ecdc_data VALUES (41378, 0, 0, 0, 212, 231);
INSERT INTO public.ecdc_data VALUES (41379, 5, 468, 17.65685998, 104, 231);
INSERT INTO public.ecdc_data VALUES (41380, 0, 4, 0.06220059, 145, 231);
INSERT INTO public.ecdc_data VALUES (41381, 0, 0, 0, 213, 231);
INSERT INTO public.ecdc_data VALUES (41382, 0, 0, 0, 53, 231);
INSERT INTO public.ecdc_data VALUES (41383, 0, 0, 0.02057478, 146, 231);
INSERT INTO public.ecdc_data VALUES (41384, 0, 99, 2.95055706, 54, 231);
INSERT INTO public.ecdc_data VALUES (41385, 1, 95, 10.23524471, 55, 231);
INSERT INTO public.ecdc_data VALUES (41386, 12, 224, 3.76165591, 105, 232);
INSERT INTO public.ecdc_data VALUES (41387, 12, 525, 184.66846491, 147, 232);
INSERT INTO public.ecdc_data VALUES (41388, 14, 642, 14.57271765, 1, 232);
INSERT INTO public.ecdc_data VALUES (41389, 0, 54, 1459.75819473, 148, 232);
INSERT INTO public.ecdc_data VALUES (41390, 4, 98, 9.58985491, 2, 232);
INSERT INTO public.ecdc_data VALUES (41391, 0, 0, 0, 56, 232);
INSERT INTO public.ecdc_data VALUES (41392, 0, 0, 7.20794934, 57, 232);
INSERT INTO public.ecdc_data VALUES (41393, 347, 8317, 330.94186276, 58, 232);
INSERT INTO public.ecdc_data VALUES (41394, 29, 1221, 956.03787772, 149, 232);
INSERT INTO public.ecdc_data VALUES (41395, 1, 6, 174.96002258, 59, 232);
INSERT INTO public.ecdc_data VALUES (41396, 0, 10, 0.55945277, 202, 232);
INSERT INTO public.ecdc_data VALUES (41397, 48, 5704, 825.89297053, 150, 232);
INSERT INTO public.ecdc_data VALUES (41398, 12, 635, 154.8610187, 151, 232);
INSERT INTO public.ecdc_data VALUES (41399, 2, 37, 132.99579446, 60, 232);
INSERT INTO public.ecdc_data VALUES (41400, 1, 176, 188.82939182, 106, 232);
INSERT INTO public.ecdc_data VALUES (41401, 25, 1683, 13.29071367, 107, 232);
INSERT INTO public.ecdc_data VALUES (41402, 0, 1, 3.48406563, 61, 232);
INSERT INTO public.ecdc_data VALUES (41403, 4, 983, 143.40259716, 152, 232);
INSERT INTO public.ecdc_data VALUES (41404, 194, 8636, 1340.24481999, 153, 232);
INSERT INTO public.ecdc_data VALUES (41405, 1, 54, 263.86508553, 62, 232);
INSERT INTO public.ecdc_data VALUES (41406, 0, 0, 1.59306495, 3, 232);
INSERT INTO public.ecdc_data VALUES (41407, 0, 5, 33.59569975, 63, 232);
INSERT INTO public.ecdc_data VALUES (41408, 0, 5, 2.883, 108, 232);
INSERT INTO public.ecdc_data VALUES (41409, 7, 86, 13.97538213, 64, 232);
INSERT INTO public.ecdc_data VALUES (41410, 0, 0, 15.39468114, 65, 232);
INSERT INTO public.ecdc_data VALUES (41411, 73, 996, 660.49721933, 154, 232);
INSERT INTO public.ecdc_data VALUES (41412, 0, 0, 67.3697955, 4, 232);
INSERT INTO public.ecdc_data VALUES (41413, 231, 10917, 125.64728944, 66, 232);
INSERT INTO public.ecdc_data VALUES (41414, 0, 0, 0, 67, 232);
INSERT INTO public.ecdc_data VALUES (41415, 0, 0, 0, 109, 232);
INSERT INTO public.ecdc_data VALUES (41416, 106, 3816, 554.91119407, 155, 232);
INSERT INTO public.ecdc_data VALUES (41417, 0, 12, 0.60035284, 5, 232);
INSERT INTO public.ecdc_data VALUES (41418, 0, 0, 0.49433779, 6, 232);
INSERT INTO public.ecdc_data VALUES (41419, 0, 3, 0.07278664, 110, 232);
INSERT INTO public.ecdc_data VALUES (41420, 0, 0, 2.42692305, 7, 232);
INSERT INTO public.ecdc_data VALUES (41421, 42, 4622, 129.69968917, 68, 232);
INSERT INTO public.ecdc_data VALUES (41422, 0, 50, 181.11198394, 8, 232);
INSERT INTO public.ecdc_data VALUES (41423, 0, 0, 16.93662622, 69, 232);
INSERT INTO public.ecdc_data VALUES (41424, 0, 1, 0.35825835, 9, 232);
INSERT INTO public.ecdc_data VALUES (41425, 0, 4, 0.68979002, 10, 232);
INSERT INTO public.ecdc_data VALUES (41426, 45, 1321, 101.73577666, 70, 232);
INSERT INTO public.ecdc_data VALUES (41427, 0, 20, 0.02824694, 111, 232);
INSERT INTO public.ecdc_data VALUES (41428, 183, 5176, 246.34956728, 71, 232);
INSERT INTO public.ecdc_data VALUES (41429, 0, 0, 5.40609784, 11, 232);
INSERT INTO public.ecdc_data VALUES (41430, 0, 0, 2.34178806, 12, 232);
INSERT INTO public.ecdc_data VALUES (41431, 27, 1224, 260.06619831, 72, 232);
INSERT INTO public.ecdc_data VALUES (41432, 0, 3, 1.35710251, 13, 232);
INSERT INTO public.ecdc_data VALUES (41433, 38, 1529, 774.43804913, 156, 232);
INSERT INTO public.ecdc_data VALUES (41434, 0, 52, 6.65285273, 73, 232);
INSERT INTO public.ecdc_data VALUES (41435, 0, 5, 140.12715468, 74, 232);
INSERT INTO public.ecdc_data VALUES (41436, 0, 111, 281.08263624, 157, 232);
INSERT INTO public.ecdc_data VALUES (41437, 216, 6047, 1431.99872298, 158, 232);
INSERT INTO public.ecdc_data VALUES (41438, 0, 0, 0.50005434, 14, 232);
INSERT INTO public.ecdc_data VALUES (41439, 4, 771, 249.39369602, 159, 232);
INSERT INTO public.ecdc_data VALUES (41440, 0, 19, 8.83358653, 15, 232);
INSERT INTO public.ecdc_data VALUES (41441, 0, 0, 5.57040998, 75, 232);
INSERT INTO public.ecdc_data VALUES (41442, 2, 421, 53.63649375, 76, 232);
INSERT INTO public.ecdc_data VALUES (41443, 9, 362, 75.34970905, 77, 232);
INSERT INTO public.ecdc_data VALUES (41444, 12, 221, 2.70450447, 16, 232);
INSERT INTO public.ecdc_data VALUES (41445, 6, 0, 34.3996715, 78, 232);
INSERT INTO public.ecdc_data VALUES (41446, 0, 0, 0.66372562, 17, 232);
INSERT INTO public.ecdc_data VALUES (41447, 0, 0, 0.85784948, 18, 232);
INSERT INTO public.ecdc_data VALUES (41448, 1, 125, 137.52811703, 160, 232);
INSERT INTO public.ecdc_data VALUES (41449, 0, 10, 13.0646885, 19, 232);
INSERT INTO public.ecdc_data VALUES (41450, 7, 307, 5.5987431, 20, 232);
INSERT INTO public.ecdc_data VALUES (41451, 0, 0, 0, 79, 232);
INSERT INTO public.ecdc_data VALUES (41452, 0, 0, 14.38050825, 161, 232);
INSERT INTO public.ecdc_data VALUES (41453, 0, 0, 0.11236523, 203, 232);
INSERT INTO public.ecdc_data VALUES (41454, 1, 90, 52.86413229, 162, 232);
INSERT INTO public.ecdc_data VALUES (41455, 548, 20155, 958.32468512, 163, 232);
INSERT INTO public.ecdc_data VALUES (41456, 0, 0, 1480.92450364, 204, 232);
INSERT INTO public.ecdc_data VALUES (41457, 2, 7, 4.23460055, 21, 232);
INSERT INTO public.ecdc_data VALUES (41458, 0, 0, 0.8093041, 22, 232);
INSERT INTO public.ecdc_data VALUES (41459, 22, 2970, 788.71346355, 164, 232);
INSERT INTO public.ecdc_data VALUES (41460, 154, 15332, 286.59028603, 165, 232);
INSERT INTO public.ecdc_data VALUES (41461, 0, 0, 4.6913231, 23, 232);
INSERT INTO public.ecdc_data VALUES (41462, 0, 12, 400.52216223, 166, 232);
INSERT INTO public.ecdc_data VALUES (41463, 41, 1489, 248.87643818, 167, 232);
INSERT INTO public.ecdc_data VALUES (41464, 0, 0, 0, 80, 232);
INSERT INTO public.ecdc_data VALUES (41465, 0, 0, 3.5713648, 81, 232);
INSERT INTO public.ecdc_data VALUES (41466, 2, 0, 536.17860665, 205, 232);
INSERT INTO public.ecdc_data VALUES (41467, 2, 98, 36.77734452, 82, 232);
INSERT INTO public.ecdc_data VALUES (41468, 0, 0, 20.16504312, 168, 232);
INSERT INTO public.ecdc_data VALUES (41469, 0, 33, 6.18577075, 24, 232);
INSERT INTO public.ecdc_data VALUES (41470, 0, 0, 0.5205847, 25, 232);
INSERT INTO public.ecdc_data VALUES (41471, 1, 10, 63.61981412, 83, 232);
INSERT INTO public.ecdc_data VALUES (41472, 0, 10, 0.98552092, 84, 232);
INSERT INTO public.ecdc_data VALUES (41473, 0, 0, 0, 169, 232);
INSERT INTO public.ecdc_data VALUES (41474, 14, 65, 67.79111472, 85, 232);
INSERT INTO public.ecdc_data VALUES (41475, 103, 4140, 565.61322108, 170, 232);
INSERT INTO public.ecdc_data VALUES (41476, 3, 23, 167.23110667, 171, 232);
INSERT INTO public.ecdc_data VALUES (41477, 448, 38073, 47.22574756, 112, 232);
INSERT INTO public.ecdc_data VALUES (41478, 75, 2853, 17.6018107, 113, 232);
INSERT INTO public.ecdc_data VALUES (41479, 458, 10463, 142.428483, 114, 232);
INSERT INTO public.ecdc_data VALUES (41480, 53, 3184, 117.87140348, 115, 232);
INSERT INTO public.ecdc_data VALUES (41481, 1, 265, 154.80482195, 172, 232);
INSERT INTO public.ecdc_data VALUES (41482, 0, 0, 7.09312085, 173, 232);
INSERT INTO public.ecdc_data VALUES (41483, 4, 622, 109.5503155, 116, 232);
INSERT INTO public.ecdc_data VALUES (41484, 356, 25269, 691.82760255, 174, 232);
INSERT INTO public.ecdc_data VALUES (41485, 0, 36, 26.89706564, 86, 232);
INSERT INTO public.ecdc_data VALUES (41486, 11, 899, 9.05326575, 117, 232);
INSERT INTO public.ecdc_data VALUES (41487, 0, 29, 107.61067201, 175, 232);
INSERT INTO public.ecdc_data VALUES (41488, 62, 5665, 593.27655541, 118, 232);
INSERT INTO public.ecdc_data VALUES (41489, 1, 575, 47.62975659, 119, 232);
INSERT INTO public.ecdc_data VALUES (41490, 19, 756, 25.19688119, 26, 232);
INSERT INTO public.ecdc_data VALUES (41491, 13, 637, 369.41772783, 176, 232);
INSERT INTO public.ecdc_data VALUES (41492, 5, 735, 241.52160752, 120, 232);
INSERT INTO public.ecdc_data VALUES (41493, 3, 570, 112.56495826, 121, 232);
INSERT INTO public.ecdc_data VALUES (41494, 0, 0, 0, 122, 232);
INSERT INTO public.ecdc_data VALUES (41495, 2, 92, 178.64881081, 177, 232);
INSERT INTO public.ecdc_data VALUES (41496, 9, 1119, 337.95191715, 123, 232);
INSERT INTO public.ecdc_data VALUES (41497, 0, 0, 1.12926988, 27, 232);
INSERT INTO public.ecdc_data VALUES (41498, 0, 10, 0.72913253, 28, 232);
INSERT INTO public.ecdc_data VALUES (41499, 15, 923, 174.3575352, 29, 232);
INSERT INTO public.ecdc_data VALUES (41500, 0, 29, 1052.68643494, 178, 232);
INSERT INTO public.ecdc_data VALUES (41501, 3, 1056, 529.88636396, 179, 232);
INSERT INTO public.ecdc_data VALUES (41502, 3, 570, 1409.36383154, 180, 232);
INSERT INTO public.ecdc_data VALUES (41503, 0, 0, 0.94551932, 30, 232);
INSERT INTO public.ecdc_data VALUES (41504, 1, 2, 0.31671477, 31, 232);
INSERT INTO public.ecdc_data VALUES (41505, 8, 972, 41.86569119, 124, 232);
INSERT INTO public.ecdc_data VALUES (41506, 0, 23, 89.83778347, 125, 232);
INSERT INTO public.ecdc_data VALUES (41507, 0, 30, 1.05300518, 32, 232);
INSERT INTO public.ecdc_data VALUES (41508, 4, 153, 346.66574817, 181, 232);
INSERT INTO public.ecdc_data VALUES (41509, 0, 0, 0, 206, 232);
INSERT INTO public.ecdc_data VALUES (41510, 0, 14, 3.46907814, 33, 232);
INSERT INTO public.ecdc_data VALUES (41511, 0, 0, 1.0238881, 34, 232);
INSERT INTO public.ecdc_data VALUES (41512, 198, 4960, 60.71618954, 87, 232);
INSERT INTO public.ecdc_data VALUES (41513, 19, 331, 268.74367156, 182, 232);
INSERT INTO public.ecdc_data VALUES (41514, 0, 4, 544.05319631, 183, 232);
INSERT INTO public.ecdc_data VALUES (41515, 0, 0, 0.86817237, 126, 232);
INSERT INTO public.ecdc_data VALUES (41516, 5, 803, 1076.69460062, 184, 232);
INSERT INTO public.ecdc_data VALUES (41517, 0, 0, 0, 88, 232);
INSERT INTO public.ecdc_data VALUES (41518, 84, 3170, 165.07563686, 35, 232);
INSERT INTO public.ecdc_data VALUES (41519, 0, 55, 5.47321888, 36, 232);
INSERT INTO public.ecdc_data VALUES (41520, 17, 598, 29.18841118, 127, 232);
INSERT INTO public.ecdc_data VALUES (41521, 0, 29, 22.64961171, 37, 232);
INSERT INTO public.ecdc_data VALUES (41522, 18, 2571, 130.00933457, 128, 232);
INSERT INTO public.ecdc_data VALUES (41523, 39, 4674, 653.84176738, 185, 232);
INSERT INTO public.ecdc_data VALUES (41524, 0, 0, 0.70732113, 207, 232);
INSERT INTO public.ecdc_data VALUES (41525, 0, 1, 0.96172703, 208, 232);
INSERT INTO public.ecdc_data VALUES (41526, 0, 0, 2.39859335, 89, 232);
INSERT INTO public.ecdc_data VALUES (41527, 0, 0, 0.12011642, 38, 232);
INSERT INTO public.ecdc_data VALUES (41528, 4, 94, 1.03153007, 39, 232);
INSERT INTO public.ecdc_data VALUES (41529, 20, 515, 629.52185995, 186, 232);
INSERT INTO public.ecdc_data VALUES (41530, 0, 0, 13.98283607, 209, 232);
INSERT INTO public.ecdc_data VALUES (41531, 0, 1502, 127.97914197, 187, 232);
INSERT INTO public.ecdc_data VALUES (41532, 9, 363, 103.49765387, 129, 232);
INSERT INTO public.ecdc_data VALUES (41533, 23, 1637, 7.89646294, 130, 232);
INSERT INTO public.ecdc_data VALUES (41534, 6, 680, 176.55601152, 131, 232);
INSERT INTO public.ecdc_data VALUES (41535, 10, 804, 249.14987613, 90, 232);
INSERT INTO public.ecdc_data VALUES (41536, 0, 2, 0.12534014, 210, 232);
INSERT INTO public.ecdc_data VALUES (41537, 12, 359, 118.5866302, 91, 232);
INSERT INTO public.ecdc_data VALUES (41538, 64, 1194, 101.3612172, 92, 232);
INSERT INTO public.ecdc_data VALUES (41539, 108, 2054, 24.80562147, 132, 232);
INSERT INTO public.ecdc_data VALUES (41540, 173, 21713, 801.12318255, 188, 232);
INSERT INTO public.ecdc_data VALUES (41541, 63, 4096, 606.1041294, 189, 232);
INSERT INTO public.ecdc_data VALUES (41542, 10, 688, 328.32163589, 93, 232);
INSERT INTO public.ecdc_data VALUES (41543, 0, 230, 105.96485752, 133, 232);
INSERT INTO public.ecdc_data VALUES (41544, 130, 3240, 486.74549658, 190, 232);
INSERT INTO public.ecdc_data VALUES (41545, 256, 21798, 181.60272556, 191, 232);
INSERT INTO public.ecdc_data VALUES (41546, 2, 20, 1.33840841, 40, 232);
INSERT INTO public.ecdc_data VALUES (41547, 0, 0, 0, 94, 232);
INSERT INTO public.ecdc_data VALUES (41548, 0, 10, 42.67075139, 95, 232);
INSERT INTO public.ecdc_data VALUES (41549, 0, 0, 2.71264908, 96, 232);
INSERT INTO public.ecdc_data VALUES (41550, 0, 71, 760.45627376, 192, 232);
INSERT INTO public.ecdc_data VALUES (41551, 0, 0, 9.76526171, 41, 232);
INSERT INTO public.ecdc_data VALUES (41552, 19, 392, 16.78507998, 134, 232);
INSERT INTO public.ecdc_data VALUES (41553, 0, 3, 0.89590548, 42, 232);
INSERT INTO public.ecdc_data VALUES (41554, 11, 1318, 348.05889459, 193, 232);
INSERT INTO public.ecdc_data VALUES (41555, 0, 0, 5.11556051, 43, 232);
INSERT INTO public.ecdc_data VALUES (41556, 0, 4, 0.49915483, 44, 232);
INSERT INTO public.ecdc_data VALUES (41557, 0, 8, 1.56779157, 135, 232);
INSERT INTO public.ecdc_data VALUES (41558, 0, 0, 252.42397792, 97, 232);
INSERT INTO public.ecdc_data VALUES (41559, 15, 577, 567.24058564, 194, 232);
INSERT INTO public.ecdc_data VALUES (41560, 16, 464, 1035.3653309, 195, 232);
INSERT INTO public.ecdc_data VALUES (41561, 0, 0, 1.34364256, 211, 232);
INSERT INTO public.ecdc_data VALUES (41562, 0, 72, 2.33116746, 45, 232);
INSERT INTO public.ecdc_data VALUES (41563, 36, 1247, 37.16981583, 46, 232);
INSERT INTO public.ecdc_data VALUES (41564, 5, 100, 3.14297689, 136, 232);
INSERT INTO public.ecdc_data VALUES (41565, 0, 5, 0.69606949, 47, 232);
INSERT INTO public.ecdc_data VALUES (41566, 411, 17395, 600.53825272, 196, 232);
INSERT INTO public.ecdc_data VALUES (41567, 1, 356, 27.53739097, 137, 232);
INSERT INTO public.ecdc_data VALUES (41568, 1, 65, 0.9529763, 48, 232);
INSERT INTO public.ecdc_data VALUES (41569, 0, 2, 10.49258381, 98, 232);
INSERT INTO public.ecdc_data VALUES (41570, 35, 3725, 428.93652461, 197, 232);
INSERT INTO public.ecdc_data VALUES (41571, 169, 17245, 1260.74854699, 198, 232);
INSERT INTO public.ecdc_data VALUES (41572, 4, 69, 4.82128668, 138, 232);
INSERT INTO public.ecdc_data VALUES (41573, 0, 2, 0.1261889, 139, 232);
INSERT INTO public.ecdc_data VALUES (41574, 0, 40, 5.97573893, 140, 232);
INSERT INTO public.ecdc_data VALUES (41575, 0, 4, 0.14075286, 141, 232);
INSERT INTO public.ecdc_data VALUES (41576, 0, 0, 0, 142, 232);
INSERT INTO public.ecdc_data VALUES (41577, 0, 7, 3.94686749, 49, 232);
INSERT INTO public.ecdc_data VALUES (41578, 0, 0, 22.50946078, 99, 232);
INSERT INTO public.ecdc_data VALUES (41579, 47, 450, 163.92011404, 50, 232);
INSERT INTO public.ecdc_data VALUES (41580, 85, 2576, 40.03712897, 199, 232);
INSERT INTO public.ecdc_data VALUES (41581, 0, 0, 15.70927371, 100, 232);
INSERT INTO public.ecdc_data VALUES (41582, 1, 171, 6.81506245, 51, 232);
INSERT INTO public.ecdc_data VALUES (41583, 115, 8687, 272.98034855, 200, 232);
INSERT INTO public.ecdc_data VALUES (41584, 1, 1146, 174.55559711, 143, 232);
INSERT INTO public.ecdc_data VALUES (41585, 194, 21350, 478.14975088, 201, 232);
INSERT INTO public.ecdc_data VALUES (41586, 0, 0, 0, 52, 232);
INSERT INTO public.ecdc_data VALUES (41587, 679, 138901, 427.27982455, 101, 232);
INSERT INTO public.ecdc_data VALUES (41588, 0, 0, 54.50425038, 102, 232);
INSERT INTO public.ecdc_data VALUES (41589, 0, 46, 19.87445009, 103, 232);
INSERT INTO public.ecdc_data VALUES (41590, 3, 239, 9.89032863, 144, 232);
INSERT INTO public.ecdc_data VALUES (41591, 0, 0, 16.95900196, 104, 232);
INSERT INTO public.ecdc_data VALUES (41592, 0, 3, 0.0487238, 145, 232);
INSERT INTO public.ecdc_data VALUES (41593, 0, 0, 0, 213, 232);
INSERT INTO public.ecdc_data VALUES (41594, 0, 0, 0, 53, 232);
INSERT INTO public.ecdc_data VALUES (41595, 0, 0, 0, 146, 232);
INSERT INTO public.ecdc_data VALUES (41596, 0, 17, 4.31665938, 54, 232);
INSERT INTO public.ecdc_data VALUES (41597, 1, 30, 1.76163651, 55, 232);
INSERT INTO public.ecdc_data VALUES (41598, 1, 10, 1.34326078, 105, 233);
INSERT INTO public.ecdc_data VALUES (41599, 2, 167, 70.60442065, 147, 233);
INSERT INTO public.ecdc_data VALUES (41600, 6, 146, 4.76156697, 1, 233);
INSERT INTO public.ecdc_data VALUES (41601, 1, 128, 1128.94968298, 148, 233);
INSERT INTO public.ecdc_data VALUES (41602, 2, 95, 4.65981482, 2, 233);
INSERT INTO public.ecdc_data VALUES (41603, 0, 0, 0, 56, 233);
INSERT INTO public.ecdc_data VALUES (41604, 0, 0, 13.38619163, 57, 233);
INSERT INTO public.ecdc_data VALUES (41605, 515, 15099, 402.47941774, 58, 233);
INSERT INTO public.ecdc_data VALUES (41606, 5, 614, 217.8699326, 149, 233);
INSERT INTO public.ecdc_data VALUES (41607, 1, 34, 346.15746402, 59, 233);
INSERT INTO public.ecdc_data VALUES (41608, 0, 23, 0.90861478, 202, 233);
INSERT INTO public.ecdc_data VALUES (41609, 4, 1181, 129.44227616, 150, 233);
INSERT INTO public.ecdc_data VALUES (41610, 2, 215, 17.23774321, 151, 233);
INSERT INTO public.ecdc_data VALUES (41611, 4, 242, 299.11216321, 60, 233);
INSERT INTO public.ecdc_data VALUES (41612, 7, 438, 436.21478414, 106, 233);
INSERT INTO public.ecdc_data VALUES (41613, 17, 1278, 11.71631302, 107, 233);
INSERT INTO public.ecdc_data VALUES (41614, 0, 1, 4.87769188, 61, 233);
INSERT INTO public.ecdc_data VALUES (41615, 5, 489, 58.33433572, 152, 233);
INSERT INTO public.ecdc_data VALUES (41616, 19, 7789, 404.3291273, 153, 233);
INSERT INTO public.ecdc_data VALUES (41617, 0, 0, 144.7415275, 62, 233);
INSERT INTO public.ecdc_data VALUES (41618, 0, 0, 0.72874248, 3, 233);
INSERT INTO public.ecdc_data VALUES (41619, 0, 0, 4.79938568, 63, 233);
INSERT INTO public.ecdc_data VALUES (41620, 0, 2, 5.63495454, 108, 233);
INSERT INTO public.ecdc_data VALUES (41621, 34, 257, 43.46352529, 64, 233);
INSERT INTO public.ecdc_data VALUES (41622, 0, 0, 238.61755763, 65, 233);
INSERT INTO public.ecdc_data VALUES (41623, 6, 387, 101.51475402, 154, 233);
INSERT INTO public.ecdc_data VALUES (41624, 0, 0, 69.40998905, 4, 233);
INSERT INTO public.ecdc_data VALUES (41625, 682, 27444, 173.54931759, 66, 233);
INSERT INTO public.ecdc_data VALUES (41626, 0, 0, 0, 67, 233);
INSERT INTO public.ecdc_data VALUES (41627, 0, 0, 0.23078911, 109, 233);
INSERT INTO public.ecdc_data VALUES (41628, 7, 612, 57.75682107, 155, 233);
INSERT INTO public.ecdc_data VALUES (41629, 0, 13, 1.43691008, 5, 233);
INSERT INTO public.ecdc_data VALUES (41630, 0, 0, 0.27752297, 6, 233);
INSERT INTO public.ecdc_data VALUES (41631, 0, 1, 0.04852443, 110, 233);
INSERT INTO public.ecdc_data VALUES (41632, 0, 0, 1.89748283, 7, 233);
INSERT INTO public.ecdc_data VALUES (41633, 28, 2558, 73.93807143, 68, 233);
INSERT INTO public.ecdc_data VALUES (41634, 2, 92, 214.75226208, 8, 233);
INSERT INTO public.ecdc_data VALUES (41635, 0, 0, 6.15877317, 69, 233);
INSERT INTO public.ecdc_data VALUES (41636, 0, 0, 0.96940495, 9, 233);
INSERT INTO public.ecdc_data VALUES (41637, 1, 12, 0.62081101, 10, 233);
INSERT INTO public.ecdc_data VALUES (41638, 53, 1753, 126.11310606, 70, 233);
INSERT INTO public.ecdc_data VALUES (41639, 0, 29, 0.02203959, 111, 233);
INSERT INTO public.ecdc_data VALUES (41640, 164, 8121, 190.67155749, 71, 233);
INSERT INTO public.ecdc_data VALUES (41641, 0, 0, 2.46800119, 11, 233);
INSERT INTO public.ecdc_data VALUES (41642, 0, 0, 2.100175, 12, 233);
INSERT INTO public.ecdc_data VALUES (41643, 15, 1225, 301.86856583, 72, 233);
INSERT INTO public.ecdc_data VALUES (41644, 0, 54, 1.86650202, 13, 233);
INSERT INTO public.ecdc_data VALUES (41645, 3, 457, 89.56770519, 156, 233);
INSERT INTO public.ecdc_data VALUES (41646, 0, 26, 5.23228338, 73, 233);
INSERT INTO public.ecdc_data VALUES (41647, 0, 0, 107.69597915, 74, 233);
INSERT INTO public.ecdc_data VALUES (41648, 1, 33, 31.96715603, 157, 233);
INSERT INTO public.ecdc_data VALUES (41649, 36, 8617, 451.23852091, 158, 233);
INSERT INTO public.ecdc_data VALUES (41650, 0, 13, 0.29611513, 14, 233);
INSERT INTO public.ecdc_data VALUES (41651, 0, 482, 104.09775544, 159, 233);
INSERT INTO public.ecdc_data VALUES (41652, 0, 0, 1.43802571, 15, 233);
INSERT INTO public.ecdc_data VALUES (41653, 0, 0, 9.74821747, 75, 233);
INSERT INTO public.ecdc_data VALUES (41654, 2, 585, 63.87957415, 76, 233);
INSERT INTO public.ecdc_data VALUES (41655, 34, 803, 76.97285609, 77, 233);
INSERT INTO public.ecdc_data VALUES (41656, 12, 106, 1.63067175, 16, 233);
INSERT INTO public.ecdc_data VALUES (41657, 0, 109, 23.80085379, 78, 233);
INSERT INTO public.ecdc_data VALUES (41658, 0, 1, 3.31862812, 17, 233);
INSERT INTO public.ecdc_data VALUES (41659, 0, 0, 1.02941938, 18, 233);
INSERT INTO public.ecdc_data VALUES (41660, 1, 49, 52.15802902, 160, 233);
INSERT INTO public.ecdc_data VALUES (41661, 0, 12, 21.33899121, 19, 233);
INSERT INTO public.ecdc_data VALUES (41662, 9, 865, 9.35860023, 20, 233);
INSERT INTO public.ecdc_data VALUES (41663, 0, 0, 0, 79, 233);
INSERT INTO public.ecdc_data VALUES (41664, 0, 0, 39.0328081, 161, 233);
INSERT INTO public.ecdc_data VALUES (41665, 0, 0, 0, 203, 233);
INSERT INTO public.ecdc_data VALUES (41666, 0, 235, 37.98533469, 162, 233);
INSERT INTO public.ecdc_data VALUES (41667, 109, 20339, 267.02775942, 163, 233);
INSERT INTO public.ecdc_data VALUES (41668, 1, 402, 486.95776716, 204, 233);
INSERT INTO public.ecdc_data VALUES (41669, 0, 20, 4.92502456, 21, 233);
INSERT INTO public.ecdc_data VALUES (41670, 0, 4, 2.81126688, 22, 233);
INSERT INTO public.ecdc_data VALUES (41671, 6, 527, 152.32330572, 164, 233);
INSERT INTO public.ecdc_data VALUES (41672, 15, 4721, 44.14761195, 165, 233);
INSERT INTO public.ecdc_data VALUES (41673, 0, 40, 2.51496999, 23, 233);
INSERT INTO public.ecdc_data VALUES (41674, 0, 16, 308.55040646, 166, 233);
INSERT INTO public.ecdc_data VALUES (41675, 1, 391, 45.3070553, 167, 233);
INSERT INTO public.ecdc_data VALUES (41676, 0, 1, 3.52982704, 80, 233);
INSERT INTO public.ecdc_data VALUES (41677, 0, 0, 0, 81, 233);
INSERT INTO public.ecdc_data VALUES (41678, 0, 55, 420.21578648, 205, 233);
INSERT INTO public.ecdc_data VALUES (41679, 9, 455, 45.82664163, 82, 233);
INSERT INTO public.ecdc_data VALUES (41680, 0, 0, 3.10231433, 168, 233);
INSERT INTO public.ecdc_data VALUES (41681, 0, 53, 3.72712263, 24, 233);
INSERT INTO public.ecdc_data VALUES (41682, 0, 0, 1.97822186, 25, 233);
INSERT INTO public.ecdc_data VALUES (41683, 2, 29, 82.91015937, 83, 233);
INSERT INTO public.ecdc_data VALUES (41684, 0, 0, 1.50935637, 84, 233);
INSERT INTO public.ecdc_data VALUES (41685, 0, 0, 0, 169, 233);
INSERT INTO public.ecdc_data VALUES (41686, 15, 880, 89.38946442, 85, 233);
INSERT INTO public.ecdc_data VALUES (41687, 20, 1374, 138.33354685, 170, 233);
INSERT INTO public.ecdc_data VALUES (41688, 0, 106, 227.4567146, 171, 233);
INSERT INTO public.ecdc_data VALUES (41689, 926, 73272, 78.70879863, 112, 233);
INSERT INTO public.ecdc_data VALUES (41690, 97, 4094, 21.3627266, 113, 233);
INSERT INTO public.ecdc_data VALUES (41691, 210, 4142, 63.31387672, 114, 233);
INSERT INTO public.ecdc_data VALUES (41692, 52, 3214, 142.66421018, 115, 233);
INSERT INTO public.ecdc_data VALUES (41693, 4, 617, 130.2546368, 172, 233);
INSERT INTO public.ecdc_data VALUES (41694, 0, 0, 5.91093405, 173, 233);
INSERT INTO public.ecdc_data VALUES (41695, 22, 1465, 851.99931967, 116, 233);
INSERT INTO public.ecdc_data VALUES (41696, 28, 5372, 62.18568973, 174, 233);
INSERT INTO public.ecdc_data VALUES (41697, 4, 90, 56.40582618, 86, 233);
INSERT INTO public.ecdc_data VALUES (41698, 8, 594, 5.65819256, 117, 233);
INSERT INTO public.ecdc_data VALUES (41699, 0, 6, 45.45623214, 175, 233);
INSERT INTO public.ecdc_data VALUES (41700, 22, 1246, 153.95433064, 118, 233);
INSERT INTO public.ecdc_data VALUES (41701, 1, 335, 18.31664926, 119, 233);
INSERT INTO public.ecdc_data VALUES (41702, 4, 442, 5.54076507, 26, 233);
INSERT INTO public.ecdc_data VALUES (41703, 3, 79, 37.30874404, 176, 233);
INSERT INTO public.ecdc_data VALUES (41704, 7, 635, 181.47992062, 120, 233);
INSERT INTO public.ecdc_data VALUES (41705, 5, 307, 44.17184875, 121, 233);
INSERT INTO public.ecdc_data VALUES (41706, 0, 0, 0, 122, 233);
INSERT INTO public.ecdc_data VALUES (41707, 0, 137, 45.93826564, 177, 233);
INSERT INTO public.ecdc_data VALUES (41708, 11, 1426, 251.00248567, 123, 233);
INSERT INTO public.ecdc_data VALUES (41709, 1, 14, 11.38680458, 27, 233);
INSERT INTO public.ecdc_data VALUES (41710, 0, 0, 0.44558099, 28, 233);
INSERT INTO public.ecdc_data VALUES (41711, 5, 1076, 148.69892864, 29, 233);
INSERT INTO public.ecdc_data VALUES (41712, 0, 2, 54.71884934, 178, 233);
INSERT INTO public.ecdc_data VALUES (41713, 1, 133, 56.33129386, 179, 233);
INSERT INTO public.ecdc_data VALUES (41714, 1, 141, 183.58218194, 180, 233);
INSERT INTO public.ecdc_data VALUES (41715, 2, 22, 1.68710311, 30, 233);
INSERT INTO public.ecdc_data VALUES (41716, 0, 4, 0.27913844, 31, 233);
INSERT INTO public.ecdc_data VALUES (41717, 6, 354, 12.97661152, 124, 233);
INSERT INTO public.ecdc_data VALUES (41718, 0, 66, 149.54129995, 125, 233);
INSERT INTO public.ecdc_data VALUES (41719, 0, 13, 0.9360046, 32, 233);
INSERT INTO public.ecdc_data VALUES (41720, 0, 100, 144.46094591, 181, 233);
INSERT INTO public.ecdc_data VALUES (41721, 0, 0, 1.98864352, 33, 233);
INSERT INTO public.ecdc_data VALUES (41722, 0, 0, 2.20529744, 34, 233);
INSERT INTO public.ecdc_data VALUES (41723, 411, 5009, 47.35469292, 87, 233);
INSERT INTO public.ecdc_data VALUES (41724, 18, 918, 276.18816311, 182, 233);
INSERT INTO public.ecdc_data VALUES (41725, 0, 4, 75.56294393, 183, 233);
INSERT INTO public.ecdc_data VALUES (41726, 0, 0, 0.06201231, 126, 233);
INSERT INTO public.ecdc_data VALUES (41727, 3, 344, 544.21375096, 184, 233);
INSERT INTO public.ecdc_data VALUES (41728, 0, 0, 0, 88, 233);
INSERT INTO public.ecdc_data VALUES (41729, 44, 3445, 92.88280694, 35, 233);
INSERT INTO public.ecdc_data VALUES (41730, 1, 103, 7.09015659, 36, 233);
INSERT INTO public.ecdc_data VALUES (41731, 31, 1461, 27.37327132, 127, 233);
INSERT INTO public.ecdc_data VALUES (41732, 0, 48, 39.84728149, 37, 233);
INSERT INTO public.ecdc_data VALUES (41733, 10, 2059, 105.07986815, 128, 233);
INSERT INTO public.ecdc_data VALUES (41734, 13, 5959, 322.75473851, 185, 233);
INSERT INTO public.ecdc_data VALUES (41735, 0, 0, 0, 207, 233);
INSERT INTO public.ecdc_data VALUES (41736, 0, 4, 0.81537726, 208, 233);
INSERT INTO public.ecdc_data VALUES (41737, 0, 0, 2.91803395, 89, 233);
INSERT INTO public.ecdc_data VALUES (41738, 0, 0, 0.0300291, 38, 233);
INSERT INTO public.ecdc_data VALUES (41739, 0, 151, 0.96037291, 39, 233);
INSERT INTO public.ecdc_data VALUES (41740, 6, 386, 135.76412091, 186, 233);
INSERT INTO public.ecdc_data VALUES (41741, 0, 0, 10.48712705, 209, 233);
INSERT INTO public.ecdc_data VALUES (41742, 0, 209, 34.06395992, 187, 233);
INSERT INTO public.ecdc_data VALUES (41743, 0, 0, 165.26659741, 129, 233);
INSERT INTO public.ecdc_data VALUES (41744, 6, 671, 4.01033744, 130, 233);
INSERT INTO public.ecdc_data VALUES (41745, 9, 498, 131.91012526, 131, 233);
INSERT INTO public.ecdc_data VALUES (41746, 11, 787, 221.5973851, 90, 233);
INSERT INTO public.ecdc_data VALUES (41747, 0, 0, 0.19370749, 210, 233);
INSERT INTO public.ecdc_data VALUES (41748, 33, 959, 156.84267143, 91, 233);
INSERT INTO public.ecdc_data VALUES (41749, 60, 4741, 150.01632398, 92, 233);
INSERT INTO public.ecdc_data VALUES (41750, 83, 2901, 32.75074576, 132, 233);
INSERT INTO public.ecdc_data VALUES (41751, 52, 4739, 84.11807901, 188, 233);
INSERT INTO public.ecdc_data VALUES (41752, 12, 1394, 115.53412957, 189, 233);
INSERT INTO public.ecdc_data VALUES (41753, 5, 598, 272.2775315, 93, 233);
INSERT INTO public.ecdc_data VALUES (41754, 1, 206, 104.16405521, 133, 233);
INSERT INTO public.ecdc_data VALUES (41755, 52, 3186, 150.41882704, 190, 233);
INSERT INTO public.ecdc_data VALUES (41756, 201, 12126, 93.36250772, 191, 233);
INSERT INTO public.ecdc_data VALUES (41757, 1, 5, 0.72860103, 40, 233);
INSERT INTO public.ecdc_data VALUES (41758, 0, 0, 0, 94, 233);
INSERT INTO public.ecdc_data VALUES (41759, 0, 0, 0.54706092, 95, 233);
INSERT INTO public.ecdc_data VALUES (41760, 0, 0, 0, 96, 233);
INSERT INTO public.ecdc_data VALUES (41761, 0, 0, 72.56262154, 192, 233);
INSERT INTO public.ecdc_data VALUES (41762, 0, 1, 5.11513709, 41, 233);
INSERT INTO public.ecdc_data VALUES (41763, 24, 407, 18.12158322, 134, 233);
INSERT INTO public.ecdc_data VALUES (41764, 0, 23, 2.43612654, 42, 233);
INSERT INTO public.ecdc_data VALUES (41765, 1, 173, 18.36650409, 193, 233);
INSERT INTO public.ecdc_data VALUES (41766, 0, 0, 5.11556051, 43, 233);
INSERT INTO public.ecdc_data VALUES (41767, 0, 2, 1.22868881, 44, 233);
INSERT INTO public.ecdc_data VALUES (41768, 0, 10, 3.34232488, 135, 233);
INSERT INTO public.ecdc_data VALUES (41769, 0, 5, 179.2917974, 97, 233);
INSERT INTO public.ecdc_data VALUES (41770, 0, 1184, 162.59294466, 194, 233);
INSERT INTO public.ecdc_data VALUES (41771, 0, 363, 137.77639377, 195, 233);
INSERT INTO public.ecdc_data VALUES (41772, 0, 102, 2.4736277, 45, 233);
INSERT INTO public.ecdc_data VALUES (41773, 139, 1641, 34.15913931, 46, 233);
INSERT INTO public.ecdc_data VALUES (41774, 2, 72, 2.01462866, 136, 233);
INSERT INTO public.ecdc_data VALUES (41775, 4, 13, 0.76838839, 47, 233);
INSERT INTO public.ecdc_data VALUES (41776, 0, 0, 308.13817482, 196, 233);
INSERT INTO public.ecdc_data VALUES (41777, 0, 35, 5.52436079, 137, 233);
INSERT INTO public.ecdc_data VALUES (41778, 0, 2, 0.18218664, 48, 233);
INSERT INTO public.ecdc_data VALUES (41779, 0, 14, 34.57392369, 98, 233);
INSERT INTO public.ecdc_data VALUES (41780, 5, 783, 74.1824317, 197, 233);
INSERT INTO public.ecdc_data VALUES (41781, 3, 1485, 99.27992503, 198, 233);
INSERT INTO public.ecdc_data VALUES (41782, 3, 50, 3.60278409, 138, 233);
INSERT INTO public.ecdc_data VALUES (41783, 0, 0, 0.07150705, 139, 233);
INSERT INTO public.ecdc_data VALUES (41784, 1, 40, 6.16885078, 140, 233);
INSERT INTO public.ecdc_data VALUES (41785, 0, 6, 0.16086042, 141, 233);
INSERT INTO public.ecdc_data VALUES (41786, 0, 0, 0.07733234, 142, 233);
INSERT INTO public.ecdc_data VALUES (41787, 0, 14, 2.46215245, 49, 233);
INSERT INTO public.ecdc_data VALUES (41788, 3, 58, 53.33451854, 99, 233);
INSERT INTO public.ecdc_data VALUES (41789, 45, 2357, 117.40339936, 50, 233);
INSERT INTO public.ecdc_data VALUES (41790, 55, 1629, 25.51952358, 199, 233);
INSERT INTO public.ecdc_data VALUES (41791, 0, 0, 39.27318427, 100, 233);
INSERT INTO public.ecdc_data VALUES (41792, 1, 96, 5.24061812, 51, 233);
INSERT INTO public.ecdc_data VALUES (41793, 0, 0, 120.61515342, 200, 233);
INSERT INTO public.ecdc_data VALUES (41794, 4, 1075, 148.03706576, 143, 233);
INSERT INTO public.ecdc_data VALUES (41795, 87, 13864, 228.73159155, 201, 233);
INSERT INTO public.ecdc_data VALUES (41796, 0, 0, 0, 52, 233);
INSERT INTO public.ecdc_data VALUES (41797, 1014, 58082, 191.83023391, 101, 233);
INSERT INTO public.ecdc_data VALUES (41798, 0, 1, 10.51836411, 102, 233);
INSERT INTO public.ecdc_data VALUES (41799, 0, 25, 8.20398812, 103, 233);
INSERT INTO public.ecdc_data VALUES (41800, 2, 220, 17.82806018, 144, 233);
INSERT INTO public.ecdc_data VALUES (41801, 6, 677, 36.55162892, 104, 233);
INSERT INTO public.ecdc_data VALUES (41802, 0, 5, 0.03732035, 145, 233);
INSERT INTO public.ecdc_data VALUES (41803, 0, 0, 0, 53, 233);
INSERT INTO public.ecdc_data VALUES (41804, 0, 0, 0.07201171, 146, 233);
INSERT INTO public.ecdc_data VALUES (41805, 1, 77, 4.40064108, 54, 233);
INSERT INTO public.ecdc_data VALUES (41806, 0, 43, 1.41340604, 55, 233);
INSERT INTO public.ecdc_data VALUES (41807, 2, 24, 1.09879257, 105, 234);
INSERT INTO public.ecdc_data VALUES (41808, 1, 151, 62.0801858, 147, 234);
INSERT INTO public.ecdc_data VALUES (41809, 10, 278, 10.6775236, 1, 234);
INSERT INTO public.ecdc_data VALUES (41810, 0, 40, 266.48463447, 148, 234);
INSERT INTO public.ecdc_data VALUES (41811, 4, 52, 2.20265016, 2, 234);
INSERT INTO public.ecdc_data VALUES (41812, 0, 0, 0, 56, 234);
INSERT INTO public.ecdc_data VALUES (41813, 0, 0, 1.02970705, 57, 234);
INSERT INTO public.ecdc_data VALUES (41814, 278, 12027, 313.5191687, 58, 234);
INSERT INTO public.ecdc_data VALUES (41815, 2, 199, 70.49329756, 149, 234);
INSERT INTO public.ecdc_data VALUES (41816, 0, 141, 912.42592418, 59, 234);
INSERT INTO public.ecdc_data VALUES (41817, 11, 91, 4.99936516, 202, 234);
INSERT INTO public.ecdc_data VALUES (41818, 0, 754, 54.18356375, 150, 234);
INSERT INTO public.ecdc_data VALUES (41819, 3, 175, 20.15382795, 151, 234);
INSERT INTO public.ecdc_data VALUES (41820, 0, 64, 233.12776326, 60, 234);
INSERT INTO public.ecdc_data VALUES (41821, 1, 702, 389.05313546, 106, 234);
INSERT INTO public.ecdc_data VALUES (41822, 41, 1827, 17.7440534, 107, 234);
INSERT INTO public.ecdc_data VALUES (41823, 0, 0, 5.22609844, 61, 234);
INSERT INTO public.ecdc_data VALUES (41824, 5, 194, 25.68657366, 152, 234);
INSERT INTO public.ecdc_data VALUES (41825, 2, 1024, 64.86829623, 153, 234);
INSERT INTO public.ecdc_data VALUES (41826, 2, 4, 154.98871528, 62, 234);
INSERT INTO public.ecdc_data VALUES (41827, 0, 29, 0.82195372, 3, 234);
INSERT INTO public.ecdc_data VALUES (41828, 0, 2, 14.39815704, 63, 234);
INSERT INTO public.ecdc_data VALUES (41829, 0, 0, 6.68331818, 108, 234);
INSERT INTO public.ecdc_data VALUES (41830, 49, 1037, 97.72344586, 64, 234);
INSERT INTO public.ecdc_data VALUES (41831, 0, 2, 46.18404341, 65, 234);
INSERT INTO public.ecdc_data VALUES (41832, 6, 297, 110.5423269, 154, 234);
INSERT INTO public.ecdc_data VALUES (41833, 0, 0, 21.40032808, 4, 234);
INSERT INTO public.ecdc_data VALUES (41834, 1075, 35816, 227.78208748, 66, 234);
INSERT INTO public.ecdc_data VALUES (41835, 0, 0, 123.19781574, 67, 234);
INSERT INTO public.ecdc_data VALUES (41836, 0, 0, 0.23078911, 109, 234);
INSERT INTO public.ecdc_data VALUES (41837, 10, 122, 24.05700883, 155, 234);
INSERT INTO public.ecdc_data VALUES (41838, 0, 10, 0.61019469, 5, 234);
INSERT INTO public.ecdc_data VALUES (41839, 0, 0, 0.31221334, 6, 234);
INSERT INTO public.ecdc_data VALUES (41840, 0, 0, 0.00606555, 110, 234);
INSERT INTO public.ecdc_data VALUES (41841, 1, 244, 3.38146125, 7, 234);
INSERT INTO public.ecdc_data VALUES (41842, 2, 546, 21.0552832, 68, 234);
INSERT INTO public.ecdc_data VALUES (41843, 1, 73, 153.29056472, 8, 234);
INSERT INTO public.ecdc_data VALUES (41844, 0, 2, 3.07938659, 69, 234);
INSERT INTO public.ecdc_data VALUES (41845, 0, 0, 0.80081278, 9, 234);
INSERT INTO public.ecdc_data VALUES (41846, 0, 3, 0.31354092, 10, 234);
INSERT INTO public.ecdc_data VALUES (41847, 20, 1486, 130.12850599, 70, 234);
INSERT INTO public.ecdc_data VALUES (41848, 0, 13, 0.02203959, 111, 234);
INSERT INTO public.ecdc_data VALUES (41849, 236, 7343, 227.62667438, 71, 234);
INSERT INTO public.ecdc_data VALUES (41850, 0, 4, 4.58343078, 11, 234);
INSERT INTO public.ecdc_data VALUES (41851, 0, 0, 16.95008497, 12, 234);
INSERT INTO public.ecdc_data VALUES (41852, 12, 1327, 295.52887028, 72, 234);
INSERT INTO public.ecdc_data VALUES (41853, 0, 37, 4.7129176, 13, 234);
INSERT INTO public.ecdc_data VALUES (41854, 3, 341, 91.70202191, 156, 234);
INSERT INTO public.ecdc_data VALUES (41855, 0, 82, 6.17638848, 73, 234);
INSERT INTO public.ecdc_data VALUES (41856, 0, 9, 40.99790115, 74, 234);
INSERT INTO public.ecdc_data VALUES (41857, 0, 3, 3.76755768, 157, 234);
INSERT INTO public.ecdc_data VALUES (41858, 3, 1159, 75.91691863, 158, 234);
INSERT INTO public.ecdc_data VALUES (41859, 0, 32, 0.47470596, 14, 234);
INSERT INTO public.ecdc_data VALUES (41860, 0, 251, 35.65227561, 159, 234);
INSERT INTO public.ecdc_data VALUES (41861, 0, 3, 0.82172898, 15, 234);
INSERT INTO public.ecdc_data VALUES (41862, 0, 4, 5.57040998, 75, 234);
INSERT INTO public.ecdc_data VALUES (41863, 25, 806, 78.03364889, 76, 234);
INSERT INTO public.ecdc_data VALUES (41864, 74, 1409, 9.30719422, 77, 234);
INSERT INTO public.ecdc_data VALUES (41865, 17, 175, 2.56803408, 16, 234);
INSERT INTO public.ecdc_data VALUES (41866, 5, 91, 22.65419808, 78, 234);
INSERT INTO public.ecdc_data VALUES (41867, 0, 0, 4.35109021, 17, 234);
INSERT INTO public.ecdc_data VALUES (41868, 0, 0, 0.74346955, 18, 234);
INSERT INTO public.ecdc_data VALUES (41869, 0, 22, 20.68205492, 160, 234);
INSERT INTO public.ecdc_data VALUES (41870, 1, 32, 47.8167599, 19, 234);
INSERT INTO public.ecdc_data VALUES (41871, 17, 916, 14.70305779, 20, 234);
INSERT INTO public.ecdc_data VALUES (41872, 0, 0, 0, 79, 234);
INSERT INTO public.ecdc_data VALUES (41873, 0, 1, 8.21743328, 161, 234);
INSERT INTO public.ecdc_data VALUES (41874, 0, 1, 0.44946093, 203, 234);
INSERT INTO public.ecdc_data VALUES (41875, 1, 93, 7.75654735, 162, 234);
INSERT INTO public.ecdc_data VALUES (41876, 30, 8577, 135.06955073, 163, 234);
INSERT INTO public.ecdc_data VALUES (41877, 0, 84, 158.26127433, 204, 234);
INSERT INTO public.ecdc_data VALUES (41878, 0, 13, 7.04232483, 21, 234);
INSERT INTO public.ecdc_data VALUES (41879, 0, 18, 24.91804731, 22, 234);
INSERT INTO public.ecdc_data VALUES (41880, 0, 57, 9.58275724, 164, 234);
INSERT INTO public.ecdc_data VALUES (41881, 3, 1892, 20.99514, 165, 234);
INSERT INTO public.ecdc_data VALUES (41882, 0, 301, 4.83926251, 23, 234);
INSERT INTO public.ecdc_data VALUES (41883, 0, 2, 154.27520323, 166, 234);
INSERT INTO public.ecdc_data VALUES (41884, 3, 248, 26.10820227, 167, 234);
INSERT INTO public.ecdc_data VALUES (41885, 0, 0, 0, 80, 234);
INSERT INTO public.ecdc_data VALUES (41886, 0, 0, 0, 81, 234);
INSERT INTO public.ecdc_data VALUES (41887, 1, 45, 381.36226426, 205, 234);
INSERT INTO public.ecdc_data VALUES (41888, 7, 901, 50.66696334, 82, 234);
INSERT INTO public.ecdc_data VALUES (41889, 0, 0, 1.55115716, 168, 234);
INSERT INTO public.ecdc_data VALUES (41890, 0, 37, 5.62200431, 24, 234);
INSERT INTO public.ecdc_data VALUES (41891, 0, 0, 4.99761312, 25, 234);
INSERT INTO public.ecdc_data VALUES (41892, 0, 90, 77.92788477, 83, 234);
INSERT INTO public.ecdc_data VALUES (41893, 0, 8, 2.06870608, 84, 234);
INSERT INTO public.ecdc_data VALUES (41894, 0, 0, 0, 169, 234);
INSERT INTO public.ecdc_data VALUES (41895, 10, 379, 91.8109421, 85, 234);
INSERT INTO public.ecdc_data VALUES (41896, 2, 411, 45.29940172, 170, 234);
INSERT INTO public.ecdc_data VALUES (41897, 0, 3, 19.88845657, 171, 234);
INSERT INTO public.ecdc_data VALUES (41898, 1172, 95735, 84.57362289, 112, 234);
INSERT INTO public.ecdc_data VALUES (41899, 106, 3307, 15.95451623, 113, 234);
INSERT INTO public.ecdc_data VALUES (41900, 127, 2313, 36.25689123, 114, 234);
INSERT INTO public.ecdc_data VALUES (41901, 75, 4243, 147.64007001, 115, 234);
INSERT INTO public.ecdc_data VALUES (41902, 3, 84, 36.72332512, 172, 234);
INSERT INTO public.ecdc_data VALUES (41903, 0, 0, 1.18218681, 173, 234);
INSERT INTO public.ecdc_data VALUES (41904, 14, 3863, 394.60650449, 116, 234);
INSERT INTO public.ecdc_data VALUES (41905, 14, 1430, 31.5492764, 174, 234);
INSERT INTO public.ecdc_data VALUES (41906, 2, 114, 55.38828272, 86, 234);
INSERT INTO public.ecdc_data VALUES (41907, 13, 495, 6.74206199, 117, 234);
INSERT INTO public.ecdc_data VALUES (41908, 0, 0, 12.9874949, 175, 234);
INSERT INTO public.ecdc_data VALUES (41909, 0, 78, 8.93909211, 118, 234);
INSERT INTO public.ecdc_data VALUES (41910, 1, 433, 40.40120254, 119, 234);
INSERT INTO public.ecdc_data VALUES (41911, 8, 104, 4.64868858, 26, 234);
INSERT INTO public.ecdc_data VALUES (41912, 6, 76, 85.45982054, 176, 234);
INSERT INTO public.ecdc_data VALUES (41913, 4, 838, 233.20229223, 120, 234);
INSERT INTO public.ecdc_data VALUES (41914, 0, 71, 19.09333618, 121, 234);
INSERT INTO public.ecdc_data VALUES (41915, 0, 0, 0, 122, 234);
INSERT INTO public.ecdc_data VALUES (41916, 0, 11, 4.32298872, 177, 234);
INSERT INTO public.ecdc_data VALUES (41917, 5, 553, 111.27951901, 123, 234);
INSERT INTO public.ecdc_data VALUES (41918, 0, 0, 5.316979, 27, 234);
INSERT INTO public.ecdc_data VALUES (41919, 0, 2, 0.30380522, 28, 234);
INSERT INTO public.ecdc_data VALUES (41920, 10, 879, 127.30446084, 29, 234);
INSERT INTO public.ecdc_data VALUES (41921, 0, 1, 10.42263797, 178, 234);
INSERT INTO public.ecdc_data VALUES (41922, 0, 32, 15.6396286, 179, 234);
INSERT INTO public.ecdc_data VALUES (41923, 0, 49, -147.41958709, 180, 234);
INSERT INTO public.ecdc_data VALUES (41924, 0, 85, 3.58184968, 30, 234);
INSERT INTO public.ecdc_data VALUES (41925, 0, 23, 0.96088041, 31, 234);
INSERT INTO public.ecdc_data VALUES (41926, 0, 24, 0.91393405, 124, 234);
INSERT INTO public.ecdc_data VALUES (41927, 2, 93, 303.03772245, 125, 234);
INSERT INTO public.ecdc_data VALUES (41928, 1, 16, 0.92074366, 32, 234);
INSERT INTO public.ecdc_data VALUES (41929, 0, 42, 84.28576928, 181, 234);
INSERT INTO public.ecdc_data VALUES (41930, 0, 15, 4.50759198, 33, 234);
INSERT INTO public.ecdc_data VALUES (41931, 0, 0, 0.78760623, 34, 234);
INSERT INTO public.ecdc_data VALUES (41932, 611, 5882, 57.42558982, 87, 234);
INSERT INTO public.ecdc_data VALUES (41933, 9, 588, 152.40185019, 182, 234);
INSERT INTO public.ecdc_data VALUES (41934, 0, 5, 117.87819253, 183, 234);
INSERT INTO public.ecdc_data VALUES (41935, 0, 0, 0.2790554, 126, 234);
INSERT INTO public.ecdc_data VALUES (41936, 2, 219, 256.35585729, 184, 234);
INSERT INTO public.ecdc_data VALUES (41937, 0, 0, 0, 88, 234);
INSERT INTO public.ecdc_data VALUES (41938, 26, 2157, 60.35901854, 35, 234);
INSERT INTO public.ecdc_data VALUES (41939, 0, 117, 3.86616063, 36, 234);
INSERT INTO public.ecdc_data VALUES (41940, 2, 202, 2.63297047, 127, 234);
INSERT INTO public.ecdc_data VALUES (41941, 2, 180, 107.31506291, 37, 234);
INSERT INTO public.ecdc_data VALUES (41942, 6, 1081, 51.73598325, 128, 234);
INSERT INTO public.ecdc_data VALUES (41943, 2, 1140, 55.36922664, 185, 234);
INSERT INTO public.ecdc_data VALUES (41944, 0, 0, 1.06098169, 207, 234);
INSERT INTO public.ecdc_data VALUES (41945, 0, 4, 1.88163984, 208, 234);
INSERT INTO public.ecdc_data VALUES (41946, 0, 0, 4.94996336, 89, 234);
INSERT INTO public.ecdc_data VALUES (41947, 0, 0, 0.02144936, 38, 234);
INSERT INTO public.ecdc_data VALUES (41948, 3, 176, 1.29924024, 39, 234);
INSERT INTO public.ecdc_data VALUES (41949, 8, 99, 68.70049665, 186, 234);
INSERT INTO public.ecdc_data VALUES (41950, 0, 0, 8.73927254, 209, 234);
INSERT INTO public.ecdc_data VALUES (41951, 0, 105, 21.95858573, 187, 234);
INSERT INTO public.ecdc_data VALUES (41952, 9, 349, 62.73376922, 129, 234);
INSERT INTO public.ecdc_data VALUES (41953, 6, 196, 2.40897299, 130, 234);
INSERT INTO public.ecdc_data VALUES (41954, 2, 696, 189.70486741, 131, 234);
INSERT INTO public.ecdc_data VALUES (41955, 9, 635, 234.5494108, 90, 234);
INSERT INTO public.ecdc_data VALUES (41956, 0, 1, 0.96853746, 210, 234);
INSERT INTO public.ecdc_data VALUES (41957, 11, 812, 144.13797499, 91, 234);
INSERT INTO public.ecdc_data VALUES (41958, 113, 6586, 274.98225033, 92, 234);
INSERT INTO public.ecdc_data VALUES (41959, 70, 3156, 39.57023371, 132, 234);
INSERT INTO public.ecdc_data VALUES (41960, 11, 421, 21.44955712, 188, 234);
INSERT INTO public.ecdc_data VALUES (41961, 3, 646, 51.25227495, 189, 234);
INSERT INTO public.ecdc_data VALUES (41962, 18, 3, 162.37108833, 93, 234);
INSERT INTO public.ecdc_data VALUES (41963, 0, 267, 109.60177199, 133, 234);
INSERT INTO public.ecdc_data VALUES (41964, 51, 1271, 85.80203475, 190, 234);
INSERT INTO public.ecdc_data VALUES (41965, 160, 5218, 48.08453643, 191, 234);
INSERT INTO public.ecdc_data VALUES (41966, 1, 21, 6.61284628, 40, 234);
INSERT INTO public.ecdc_data VALUES (41967, 0, 0, 0, 94, 234);
INSERT INTO public.ecdc_data VALUES (41968, 0, 1, 0.54706092, 95, 234);
INSERT INTO public.ecdc_data VALUES (41969, 0, 0, 3.61686544, 96, 234);
INSERT INTO public.ecdc_data VALUES (41970, 0, 6, 34.83005834, 192, 234);
INSERT INTO public.ecdc_data VALUES (41971, 0, 0, 2.79007477, 41, 234);
INSERT INTO public.ecdc_data VALUES (41972, 28, 775, 35.53114287, 134, 234);
INSERT INTO public.ecdc_data VALUES (41973, 1, 58, 5.62088643, 42, 234);
INSERT INTO public.ecdc_data VALUES (41974, 1, 84, 15.85349532, 193, 234);
INSERT INTO public.ecdc_data VALUES (41975, 0, 0, 1.0231121, 43, 234);
INSERT INTO public.ecdc_data VALUES (41976, 0, 3, 0.81912587, 44, 234);
INSERT INTO public.ecdc_data VALUES (41977, 0, 75, 11.56030924, 135, 234);
INSERT INTO public.ecdc_data VALUES (41978, 0, 3, 207.60102857, 97, 234);
INSERT INTO public.ecdc_data VALUES (41979, 0, 161, 24.80542329, 194, 234);
INSERT INTO public.ecdc_data VALUES (41980, 1, 80, 28.35300744, 195, 234);
INSERT INTO public.ecdc_data VALUES (41981, 0, 9, 0.62164466, 45, 234);
INSERT INTO public.ecdc_data VALUES (41982, 82, 1990, 45.64684266, 46, 234);
INSERT INTO public.ecdc_data VALUES (41983, 2, 155, 5.92870858, 136, 234);
INSERT INTO public.ecdc_data VALUES (41984, 0, 7, 0.37967426, 47, 234);
INSERT INTO public.ecdc_data VALUES (41985, 71, 10764, 265.53857442, 196, 234);
INSERT INTO public.ecdc_data VALUES (41986, 0, 7, 0.76440646, 137, 234);
INSERT INTO public.ecdc_data VALUES (41987, 0, 0, 1.08144124, 48, 234);
INSERT INTO public.ecdc_data VALUES (41988, 1, 28, 124.36291955, 98, 234);
INSERT INTO public.ecdc_data VALUES (41989, 2, 314, 24.99466041, 197, 234);
INSERT INTO public.ecdc_data VALUES (41990, 0, 468, 54.50272438, 198, 234);
INSERT INTO public.ecdc_data VALUES (41991, 3, 62, 5.336807, 138, 234);
INSERT INTO public.ecdc_data VALUES (41992, 0, 1, 0.03785667, 139, 234);
INSERT INTO public.ecdc_data VALUES (41993, 1, 39, 5.21401996, 140, 234);
INSERT INTO public.ecdc_data VALUES (41994, 0, 7, 0.07181269, 141, 234);
INSERT INTO public.ecdc_data VALUES (41995, 0, 0, 0, 142, 234);
INSERT INTO public.ecdc_data VALUES (41996, 2, 15, 2.49927032, 49, 234);
INSERT INTO public.ecdc_data VALUES (41997, 0, 197, 84.37463485, 99, 234);
INSERT INTO public.ecdc_data VALUES (41998, 0, 0, 18.9059662, 50, 234);
INSERT INTO public.ecdc_data VALUES (41999, 55, 1673, 27.35968036, 199, 234);
INSERT INTO public.ecdc_data VALUES (42000, 0, 14, 429.38681468, 100, 234);
INSERT INTO public.ecdc_data VALUES (42001, 0, 201, 3.56226499, 51, 234);
INSERT INTO public.ecdc_data VALUES (42002, 0, 2582, 76.26783715, 200, 234);
INSERT INTO public.ecdc_data VALUES (42003, 2, 883, 81.47974838, 143, 234);
INSERT INTO public.ecdc_data VALUES (42004, 8, 2659, 39.571107, 201, 234);
INSERT INTO public.ecdc_data VALUES (42005, 0, 0, 0, 52, 234);
INSERT INTO public.ecdc_data VALUES (42006, 1136, 31927, 163.44616889, 101, 234);
INSERT INTO public.ecdc_data VALUES (42007, 0, 6, 159.68789145, 102, 234);
INSERT INTO public.ecdc_data VALUES (42008, 0, 29, 5.71968186, 103, 234);
INSERT INTO public.ecdc_data VALUES (42009, 6, 603, 15.05379572, 144, 234);
INSERT INTO public.ecdc_data VALUES (42010, 8, 1188, 54.68191018, 104, 234);
INSERT INTO public.ecdc_data VALUES (42011, 0, 5, 0.02591691, 145, 234);
INSERT INTO public.ecdc_data VALUES (42012, 0, 0, 0, 53, 234);
INSERT INTO public.ecdc_data VALUES (42013, 1, 5, 0.23660992, 146, 234);
INSERT INTO public.ecdc_data VALUES (42014, 4, 160, 9.71948209, 54, 234);
INSERT INTO public.ecdc_data VALUES (42015, 4, 41, 8.04344114, 55, 234);
INSERT INTO public.ecdc_data VALUES (42016, 0, 0, 2.07929408, 105, 235);
INSERT INTO public.ecdc_data VALUES (42017, 6, 136, 57.57352065, 147, 235);
INSERT INTO public.ecdc_data VALUES (42018, 9, 521, 18.24957644, 1, 235);
INSERT INTO public.ecdc_data VALUES (42019, 0, 0, 77.45119918, 148, 235);
INSERT INTO public.ecdc_data VALUES (42020, 6, 89, 2.01726306, 2, 235);
INSERT INTO public.ecdc_data VALUES (42021, 0, 0, 0, 56, 235);
INSERT INTO public.ecdc_data VALUES (42022, 0, 0, 10.29707048, 57, 235);
INSERT INTO public.ecdc_data VALUES (42023, 106, 6134, 177.05181979, 58, 235);
INSERT INTO public.ecdc_data VALUES (42024, 6, 225, 102.10539982, 149, 235);
INSERT INTO public.ecdc_data VALUES (42025, 0, 54, 417.6465055, 59, 235);
INSERT INTO public.ecdc_data VALUES (42026, 17, 386, 26.5085386, 202, 235);
INSERT INTO public.ecdc_data VALUES (42027, 0, 76, 17.21456973, 150, 235);
INSERT INTO public.ecdc_data VALUES (42028, 2, 87, 35.01292184, 151, 235);
INSERT INTO public.ecdc_data VALUES (42029, 1, 20, 142.7522427, 60, 235);
INSERT INTO public.ecdc_data VALUES (42030, 1, 382, 297.34992968, 106, 235);
INSERT INTO public.ecdc_data VALUES (42031, 34, 2487, 20.94314719, 107, 235);
INSERT INTO public.ecdc_data VALUES (42032, 0, 4, 11.14901, 61, 235);
INSERT INTO public.ecdc_data VALUES (42033, 2, 112, 18.17526093, 152, 235);
INSERT INTO public.ecdc_data VALUES (42034, 5, 122, 71.32806466, 153, 235);
INSERT INTO public.ecdc_data VALUES (42035, 0, 1, 27.15504764, 62, 235);
INSERT INTO public.ecdc_data VALUES (42036, 0, 0, 1.40664245, 3, 235);
INSERT INTO public.ecdc_data VALUES (42037, 0, 1, 6.3991809, 63, 235);
INSERT INTO public.ecdc_data VALUES (42038, 0, 2, 1.96568182, 108, 235);
INSERT INTO public.ecdc_data VALUES (42039, 53, 944, 178.66601026, 64, 235);
INSERT INTO public.ecdc_data VALUES (42040, 0, 0, 7.69734057, 65, 235);
INSERT INTO public.ecdc_data VALUES (42041, 6, 236, 128.9307052, 154, 235);
INSERT INTO public.ecdc_data VALUES (42042, 0, 0, 9.68006727, 4, 235);
INSERT INTO public.ecdc_data VALUES (42043, 572, 23010, 292.03146395, 66, 235);
INSERT INTO public.ecdc_data VALUES (42044, 0, 0, 3.3296707, 67, 235);
INSERT INTO public.ecdc_data VALUES (42045, 0, 0, 0.23078911, 109, 235);
INSERT INTO public.ecdc_data VALUES (42046, 2, 53, 42.41404941, 155, 235);
INSERT INTO public.ecdc_data VALUES (42047, 0, 24, 0.51177619, 5, 235);
INSERT INTO public.ecdc_data VALUES (42048, 0, 0, 0.40761187, 6, 235);
INSERT INTO public.ecdc_data VALUES (42049, 0, 5, 0.15770439, 110, 235);
INSERT INTO public.ecdc_data VALUES (42050, 4, 324, 5.15527921, 7, 235);
INSERT INTO public.ecdc_data VALUES (42051, 5, 245, 14.84321285, 68, 235);
INSERT INTO public.ecdc_data VALUES (42052, 0, 23, 100.19347706, 8, 235);
INSERT INTO public.ecdc_data VALUES (42053, 0, 0, 0, 69, 235);
INSERT INTO public.ecdc_data VALUES (42054, 0, 0, 0.88510887, 9, 235);
INSERT INTO public.ecdc_data VALUES (42055, 0, 2, 0.18185373, 10, 235);
INSERT INTO public.ecdc_data VALUES (42056, 66, 2033, 143.86845529, 70, 235);
INSERT INTO public.ecdc_data VALUES (42057, 5, 121, 0.15504431, 111, 235);
INSERT INTO public.ecdc_data VALUES (42058, 302, 10611, 275.14209881, 71, 235);
INSERT INTO public.ecdc_data VALUES (42059, 0, 0, 6.9339081, 11, 235);
INSERT INTO public.ecdc_data VALUES (42060, 0, 0, 11.6345978, 12, 235);
INSERT INTO public.ecdc_data VALUES (42061, 7, 1204, 159.62164697, 72, 235);
INSERT INTO public.ecdc_data VALUES (42062, 1, 95, 4.35128284, 13, 235);
INSERT INTO public.ecdc_data VALUES (42063, 0, 61, 18.32568496, 156, 235);
INSERT INTO public.ecdc_data VALUES (42064, 0, 65, 4.04112275, 73, 235);
INSERT INTO public.ecdc_data VALUES (42065, 0, 0, 1.22381794, 74, 235);
INSERT INTO public.ecdc_data VALUES (42066, 0, 9, 21.12115666, 157, 235);
INSERT INTO public.ecdc_data VALUES (42067, 0, 120, 28.46062837, 158, 235);
INSERT INTO public.ecdc_data VALUES (42068, 0, 0, 0.71666774, 14, 235);
INSERT INTO public.ecdc_data VALUES (42069, 0, 0, 17.29221483, 159, 235);
INSERT INTO public.ecdc_data VALUES (42070, 0, 6, 30.19853999, 15, 235);
INSERT INTO public.ecdc_data VALUES (42071, 0, 0, 0, 75, 235);
INSERT INTO public.ecdc_data VALUES (42072, 20, 954, 156.66325882, 76, 235);
INSERT INTO public.ecdc_data VALUES (42073, 6, 887, 79.2291456, 77, 235);
INSERT INTO public.ecdc_data VALUES (42074, 17, 178, 3.41674045, 16, 235);
INSERT INTO public.ecdc_data VALUES (42075, 27, 445, 89.76454819, 78, 235);
INSERT INTO public.ecdc_data VALUES (42076, 0, 0, 129.05776035, 17, 235);
INSERT INTO public.ecdc_data VALUES (42077, 0, 0, 0.62908962, 18, 235);
INSERT INTO public.ecdc_data VALUES (42078, 0, 5, 8.90687037, 160, 235);
INSERT INTO public.ecdc_data VALUES (42079, 2, 108, 89.6237631, 19, 235);
INSERT INTO public.ecdc_data VALUES (42080, 17, 565, 7.8962353, 20, 235);
INSERT INTO public.ecdc_data VALUES (42081, 0, 0, 0, 79, 235);
INSERT INTO public.ecdc_data VALUES (42082, 0, 0, 205.43583212, 161, 235);
INSERT INTO public.ecdc_data VALUES (42083, 0, 0, 0, 203, 235);
INSERT INTO public.ecdc_data VALUES (42084, 0, 16, 3.46144987, 162, 235);
INSERT INTO public.ecdc_data VALUES (42085, 0, 0, 25.95471083, 163, 235);
INSERT INTO public.ecdc_data VALUES (42086, 0, 0, 0, 204, 235);
INSERT INTO public.ecdc_data VALUES (42087, 0, 0, 43.2205426, 21, 235);
INSERT INTO public.ecdc_data VALUES (42088, 4, 145, 40.80596466, 22, 235);
INSERT INTO public.ecdc_data VALUES (42089, 0, 25, 2.82728869, 164, 235);
INSERT INTO public.ecdc_data VALUES (42090, 1, 436, 12.91026452, 165, 235);
INSERT INTO public.ecdc_data VALUES (42091, 9, 470, 26.4121162, 23, 235);
INSERT INTO public.ecdc_data VALUES (42092, 0, 0, 35.60196998, 166, 235);
INSERT INTO public.ecdc_data VALUES (42093, 1, 202, 13.33383188, 167, 235);
INSERT INTO public.ecdc_data VALUES (42094, 0, 0, 1.76491352, 80, 235);
INSERT INTO public.ecdc_data VALUES (42095, 0, 0, 0.8928412, 81, 235);
INSERT INTO public.ecdc_data VALUES (42096, 0, 6, 43.03774769, 205, 235);
INSERT INTO public.ecdc_data VALUES (42097, 14, 416, 65.70551869, 82, 235);
INSERT INTO public.ecdc_data VALUES (42098, 0, 0, 0, 168, 235);
INSERT INTO public.ecdc_data VALUES (42099, 0, 55, 7.21934258, 24, 235);
INSERT INTO public.ecdc_data VALUES (42100, 0, 0, 5.10173006, 25, 235);
INSERT INTO public.ecdc_data VALUES (42101, 0, 14, 25.29462489, 83, 235);
INSERT INTO public.ecdc_data VALUES (42102, 1, 23, 2.83226283, 84, 235);
INSERT INTO public.ecdc_data VALUES (42103, 0, 0, 0, 169, 235);
INSERT INTO public.ecdc_data VALUES (42104, 19, 478, 83.91035813, 85, 235);
INSERT INTO public.ecdc_data VALUES (42105, 0, 43, 2.53766696, 170, 235);
INSERT INTO public.ecdc_data VALUES (42106, 0, 3, 31.09322084, 171, 235);
INSERT INTO public.ecdc_data VALUES (42107, 1007, 62064, 57.05583059, 112, 235);
INSERT INTO public.ecdc_data VALUES (42108, 65, 1893, 9.83572997, 113, 235);
INSERT INTO public.ecdc_data VALUES (42109, 163, 2020, 42.8637454, 114, 235);
INSERT INTO public.ecdc_data VALUES (42110, 82, 2726, 101.96696808, 115, 235);
INSERT INTO public.ecdc_data VALUES (42111, 0, 68, 16.94452148, 172, 235);
INSERT INTO public.ecdc_data VALUES (42112, 0, 0, 0, 173, 235);
INSERT INTO public.ecdc_data VALUES (42113, 6, 537, 247.03695918, 116, 235);
INSERT INTO public.ecdc_data VALUES (42114, 2, 463, 7.36917405, 174, 235);
INSERT INTO public.ecdc_data VALUES (42115, 1, 20, 6.13917892, 86, 235);
INSERT INTO public.ecdc_data VALUES (42116, 7, 1207, 14.18962445, 117, 235);
INSERT INTO public.ecdc_data VALUES (42117, 0, 0, 12.05981669, 175, 235);
INSERT INTO public.ecdc_data VALUES (42118, 0, 6, 0.83154345, 118, 235);
INSERT INTO public.ecdc_data VALUES (42119, 324, 900, 159.55645032, 119, 235);
INSERT INTO public.ecdc_data VALUES (42120, 2, 599, 16.80109093, 26, 235);
INSERT INTO public.ecdc_data VALUES (42121, 12, 188, 185.15367755, 176, 235);
INSERT INTO public.ecdc_data VALUES (42122, 4, 514, 188.72960966, 120, 235);
INSERT INTO public.ecdc_data VALUES (42123, 6, 258, 107.24999692, 121, 235);
INSERT INTO public.ecdc_data VALUES (42124, 0, 0, 0, 122, 235);
INSERT INTO public.ecdc_data VALUES (42125, 0, 2, 3.6979783, 177, 235);
INSERT INTO public.ecdc_data VALUES (42126, 0, 294, 40.36052289, 123, 235);
INSERT INTO public.ecdc_data VALUES (42127, 0, 0, 13.92766179, 27, 235);
INSERT INTO public.ecdc_data VALUES (42128, 0, 3, 1.51902611, 28, 235);
INSERT INTO public.ecdc_data VALUES (42129, 5, 153, 39.61665245, 29, 235);
INSERT INTO public.ecdc_data VALUES (42130, 0, 0, 5.21131898, 178, 235);
INSERT INTO public.ecdc_data VALUES (42131, 0, 21, 8.73242421, 179, 235);
INSERT INTO public.ecdc_data VALUES (42132, 0, 0, 136.99433453, 180, 235);
INSERT INTO public.ecdc_data VALUES (42133, 7, 164, 14.05672063, 30, 235);
INSERT INTO public.ecdc_data VALUES (42134, 3, 34, 5.46467184, 31, 235);
INSERT INTO public.ecdc_data VALUES (42135, 0, 13, 0.58216347, 124, 235);
INSERT INTO public.ecdc_data VALUES (42136, 0, 143, 327.52181438, 125, 235);
INSERT INTO public.ecdc_data VALUES (42137, 0, 2, 0.28995795, 32, 235);
INSERT INTO public.ecdc_data VALUES (42138, 0, 23, 62.20127685, 181, 235);
INSERT INTO public.ecdc_data VALUES (42139, 0, 0, 7.22540479, 33, 235);
INSERT INTO public.ecdc_data VALUES (42140, 0, 0, 0, 34, 235);
INSERT INTO public.ecdc_data VALUES (42141, 292, 2377, 66.98384923, 87, 235);
INSERT INTO public.ecdc_data VALUES (42142, 4, 217, 114.41268403, 182, 235);
INSERT INTO public.ecdc_data VALUES (42143, 0, 0, 39.29273084, 183, 235);
INSERT INTO public.ecdc_data VALUES (42144, 0, 0, 0.15503078, 126, 235);
INSERT INTO public.ecdc_data VALUES (42145, 2, 30, 168.60018451, 184, 235);
INSERT INTO public.ecdc_data VALUES (42146, 0, 0, 0, 88, 235);
INSERT INTO public.ecdc_data VALUES (42147, 18, 1230, 35.53159449, 35, 235);
INSERT INTO public.ecdc_data VALUES (42148, 0, 28, 1.97589129, 36, 235);
INSERT INTO public.ecdc_data VALUES (42149, 0, 1, 0.01850295, 127, 235);
INSERT INTO public.ecdc_data VALUES (42150, 3, 147, 47.06308699, 37, 235);
INSERT INTO public.ecdc_data VALUES (42151, 2, 380, 15.23661584, 128, 235);
INSERT INTO public.ecdc_data VALUES (42152, 0, 577, 32.50750499, 185, 235);
INSERT INTO public.ecdc_data VALUES (42153, 0, 0, 0.35366056, 207, 235);
INSERT INTO public.ecdc_data VALUES (42154, 0, 0, 0.27179242, 208, 235);
INSERT INTO public.ecdc_data VALUES (42155, 0, 0, 7.07355875, 89, 235);
INSERT INTO public.ecdc_data VALUES (42156, 0, 1, 0.11153667, 38, 235);
INSERT INTO public.ecdc_data VALUES (42157, 3, 437, 3.00800738, 39, 235);
INSERT INTO public.ecdc_data VALUES (42158, 4, 85, 85.21365036, 186, 235);
INSERT INTO public.ecdc_data VALUES (42159, 0, 0, 13.98283607, 209, 235);
INSERT INTO public.ecdc_data VALUES (42160, 0, 0, 7.18815242, 187, 235);
INSERT INTO public.ecdc_data VALUES (42161, 4, 223, 112.06048171, 129, 235);
INSERT INTO public.ecdc_data VALUES (42162, 15, 539, 4.78885546, 130, 235);
INSERT INTO public.ecdc_data VALUES (42163, 0, 277, 110.85188125, 131, 235);
INSERT INTO public.ecdc_data VALUES (42164, 30, 841, 334.3035578, 90, 235);
INSERT INTO public.ecdc_data VALUES (42165, 0, 26, 1.73197287, 210, 235);
INSERT INTO public.ecdc_data VALUES (42166, 3, 202, 34.96275679, 91, 235);
INSERT INTO public.ecdc_data VALUES (42167, 228, 7012, 286.75999744, 92, 235);
INSERT INTO public.ecdc_data VALUES (42168, 61, 3028, 45.75152191, 132, 235);
INSERT INTO public.ecdc_data VALUES (42169, 7, 624, 22.97959919, 188, 235);
INSERT INTO public.ecdc_data VALUES (42170, 6, 131, 24.36599515, 189, 235);
INSERT INTO public.ecdc_data VALUES (42171, 5, 697, 237.88063288, 93, 235);
INSERT INTO public.ecdc_data VALUES (42172, 2, 297, 128.59847087, 133, 235);
INSERT INTO public.ecdc_data VALUES (42173, 41, 1145, 87.40908451, 190, 235);
INSERT INTO public.ecdc_data VALUES (42174, 77, 5189, 51.44980958, 191, 235);
INSERT INTO public.ecdc_data VALUES (42175, 1, 6, 2.52634487, 40, 235);
INSERT INTO public.ecdc_data VALUES (42176, 0, 0, 0, 94, 235);
INSERT INTO public.ecdc_data VALUES (42177, 0, 0, 0.54706092, 95, 235);
INSERT INTO public.ecdc_data VALUES (42178, 0, 1, 4.5210818, 96, 235);
INSERT INTO public.ecdc_data VALUES (42179, 0, 0, 31.92755348, 192, 235);
INSERT INTO public.ecdc_data VALUES (42180, 0, 0, 6.97518694, 41, 235);
INSERT INTO public.ecdc_data VALUES (42181, 37, 1428, 63.46639507, 134, 235);
INSERT INTO public.ecdc_data VALUES (42182, 3, 142, 9.16769031, 42, 235);
INSERT INTO public.ecdc_data VALUES (42183, 9, 236, 62.73905893, 193, 235);
INSERT INTO public.ecdc_data VALUES (42184, 0, 0, 12.27734523, 43, 235);
INSERT INTO public.ecdc_data VALUES (42185, 0, 21, 1.70224595, 44, 235);
INSERT INTO public.ecdc_data VALUES (42186, 0, 175, 81.57684685, 135, 235);
INSERT INTO public.ecdc_data VALUES (42187, 0, 0, 224.11474675, 97, 235);
INSERT INTO public.ecdc_data VALUES (42188, 0, 30, 7.65078514, 194, 235);
INSERT INTO public.ecdc_data VALUES (42189, 0, 2, 8.02534278, 195, 235);
INSERT INTO public.ecdc_data VALUES (42190, 0, 0, 0.31729779, 45, 235);
INSERT INTO public.ecdc_data VALUES (42191, 198, 6670, 195.40366521, 46, 235);
INSERT INTO public.ecdc_data VALUES (42192, 0, 28, 0.88042396, 136, 235);
INSERT INTO public.ecdc_data VALUES (42193, 0, 7, 1.8802916, 47, 235);
INSERT INTO public.ecdc_data VALUES (42194, 73, 8618, 94.16439803, 196, 235);
INSERT INTO public.ecdc_data VALUES (42195, 0, 3, 0.29075583, 137, 235);
INSERT INTO public.ecdc_data VALUES (42196, 0, 0, 1.18888464, 48, 235);
INSERT INTO public.ecdc_data VALUES (42197, 0, 85, 163.75311122, 98, 235);
INSERT INTO public.ecdc_data VALUES (42198, 4, 73, 34.59370481, 197, 235);
INSERT INTO public.ecdc_data VALUES (42199, 0, 152, 25.61873817, 198, 235);
INSERT INTO public.ecdc_data VALUES (42200, 2, 63, 3.15170381, 138, 235);
INSERT INTO public.ecdc_data VALUES (42201, 0, 0, 0.07571334, 139, 235);
INSERT INTO public.ecdc_data VALUES (42202, 0, 39, 5.93282518, 140, 235);
INSERT INTO public.ecdc_data VALUES (42203, 0, 0, 0.08043021, 141, 235);
INSERT INTO public.ecdc_data VALUES (42204, 0, 0, 0.07733234, 142, 235);
INSERT INTO public.ecdc_data VALUES (42205, 0, 14, 2.37554407, 49, 235);
INSERT INTO public.ecdc_data VALUES (42206, 0, 4, 9.46257587, 99, 235);
INSERT INTO public.ecdc_data VALUES (42207, 0, 19, 2.09496233, 50, 235);
INSERT INTO public.ecdc_data VALUES (42208, 15, 1182, 17.93085844, 199, 235);
INSERT INTO public.ecdc_data VALUES (42209, 0, 19, 306.3308373, 100, 235);
INSERT INTO public.ecdc_data VALUES (42210, 1, 16, 0.37949304, 51, 235);
INSERT INTO public.ecdc_data VALUES (42211, 43, 2207, 38.88743653, 200, 235);
INSERT INTO public.ecdc_data VALUES (42212, 1, 225, 36.96832699, 143, 235);
INSERT INTO public.ecdc_data VALUES (42213, 5, 1062, 15.86565371, 201, 235);
INSERT INTO public.ecdc_data VALUES (42214, 0, 0, 0, 52, 235);
INSERT INTO public.ecdc_data VALUES (42215, 513, 46847, 246.40852249, 101, 235);
INSERT INTO public.ecdc_data VALUES (42216, 0, 0, 177.85597491, 102, 235);
INSERT INTO public.ecdc_data VALUES (42217, 0, 18, 4.65085242, 103, 235);
INSERT INTO public.ecdc_data VALUES (42218, 6, 623, 30.31983025, 144, 235);
INSERT INTO public.ecdc_data VALUES (42219, 15, 1639, 36.26757616, 104, 235);
INSERT INTO public.ecdc_data VALUES (42220, 3, 29, 0.4364408, 145, 235);
INSERT INTO public.ecdc_data VALUES (42221, 0, 0, 0, 53, 235);
INSERT INTO public.ecdc_data VALUES (42222, 2, 4, 0.4217829, 146, 235);
INSERT INTO public.ecdc_data VALUES (42223, 32, 182, 20.17800313, 54, 235);
INSERT INTO public.ecdc_data VALUES (42224, 2, 74, 14.59153965, 55, 235);
INSERT INTO public.ecdc_data VALUES (42225, 20, 255, 9.81290112, 105, 236);
INSERT INTO public.ecdc_data VALUES (42226, 0, 82, 34.79564719, 147, 236);
INSERT INTO public.ecdc_data VALUES (42227, 10, 460, 12.45672374, 1, 236);
INSERT INTO public.ecdc_data VALUES (42228, 0, 0, 0, 148, 236);
INSERT INTO public.ecdc_data VALUES (42229, 1, 10, 0.62528871, 2, 236);
INSERT INTO public.ecdc_data VALUES (42230, 0, 0, 0, 56, 236);
INSERT INTO public.ecdc_data VALUES (42231, 0, 0, 8.23765639, 57, 236);
INSERT INTO public.ecdc_data VALUES (42232, 53, 3604, 77.20517835, 58, 236);
INSERT INTO public.ecdc_data VALUES (42233, 11, 557, 258.84733147, 149, 236);
INSERT INTO public.ecdc_data VALUES (42234, 0, 0, 3.76258113, 59, 236);
INSERT INTO public.ecdc_data VALUES (42235, 0, 173, 5.95559294, 202, 236);
INSERT INTO public.ecdc_data VALUES (42236, 0, 97, 13.34270257, 150, 236);
INSERT INTO public.ecdc_data VALUES (42237, 10, 548, 75.75848807, 151, 236);
INSERT INTO public.ecdc_data VALUES (42238, 0, 1, 0.77024591, 60, 236);
INSERT INTO public.ecdc_data VALUES (42239, 3, 597, 453.76330458, 106, 236);
INSERT INTO public.ecdc_data VALUES (42240, 41, 3360, 29.98414443, 107, 236);
INSERT INTO public.ecdc_data VALUES (42241, 0, 0, 0.34840656, 61, 236);
INSERT INTO public.ecdc_data VALUES (42242, 6, 187, 42.62405488, 152, 236);
INSERT INTO public.ecdc_data VALUES (42243, 2, 124, 10.81574741, 153, 236);
INSERT INTO public.ecdc_data VALUES (42244, 0, 3, 2.56179695, 62, 236);
INSERT INTO public.ecdc_data VALUES (42245, 0, 0, 2.27096493, 3, 236);
INSERT INTO public.ecdc_data VALUES (42246, 0, 0, 4.79938568, 63, 236);
INSERT INTO public.ecdc_data VALUES (42247, 0, 0, 1.31045454, 108, 236);
INSERT INTO public.ecdc_data VALUES (42248, 61, 1129, 135.58465824, 64, 236);
INSERT INTO public.ecdc_data VALUES (42249, 0, 0, 0, 65, 236);
INSERT INTO public.ecdc_data VALUES (42250, 6, 219, 69.46384094, 154, 236);
INSERT INTO public.ecdc_data VALUES (42251, 0, 0, 9.76688401, 4, 236);
INSERT INTO public.ecdc_data VALUES (42252, 1220, 42619, 250.01952267, 66, 236);
INSERT INTO public.ecdc_data VALUES (42253, 0, 0, 0, 67, 236);
INSERT INTO public.ecdc_data VALUES (42254, 0, 0, 0, 109, 236);
INSERT INTO public.ecdc_data VALUES (42255, 3, 330, 32.34267695, 155, 236);
INSERT INTO public.ecdc_data VALUES (42256, 0, 15, 0.38875307, 5, 236);
INSERT INTO public.ecdc_data VALUES (42257, 0, 28, 0.65044447, 6, 236);
INSERT INTO public.ecdc_data VALUES (42258, 0, 0, 0.06672109, 110, 236);
INSERT INTO public.ecdc_data VALUES (42259, 0, 0, 8.98116109, 7, 236);
INSERT INTO public.ecdc_data VALUES (42260, 12, 371, 11.17851902, 68, 236);
INSERT INTO public.ecdc_data VALUES (42261, 1, 11, 100.01163772, 8, 236);
INSERT INTO public.ecdc_data VALUES (42262, 0, 0, 7.69846647, 69, 236);
INSERT INTO public.ecdc_data VALUES (42263, 0, 91, 20.14676369, 9, 236);
INSERT INTO public.ecdc_data VALUES (42264, 0, 0, 0.06270818, 10, 236);
INSERT INTO public.ecdc_data VALUES (42265, 109, 3133, 248.79650127, 70, 236);
INSERT INTO public.ecdc_data VALUES (42266, 0, 46, 0.02057493, 111, 236);
INSERT INTO public.ecdc_data VALUES (42267, 187, 5335, 106.02818947, 71, 236);
INSERT INTO public.ecdc_data VALUES (42268, 0, 0, 7.75657517, 11, 236);
INSERT INTO public.ecdc_data VALUES (42269, 0, 0, 11.46732722, 12, 236);
INSERT INTO public.ecdc_data VALUES (42270, 1, 649, 75.30369618, 72, 236);
INSERT INTO public.ecdc_data VALUES (42271, 1, 246, 13.94432551, 13, 236);
INSERT INTO public.ecdc_data VALUES (42272, 1, 91, 22.88870691, 156, 236);
INSERT INTO public.ecdc_data VALUES (42273, 0, 4, 0.72351979, 73, 236);
INSERT INTO public.ecdc_data VALUES (42274, 0, 0, 0.61190897, 74, 236);
INSERT INTO public.ecdc_data VALUES (42275, 0, 2, 2.05503146, 157, 236);
INSERT INTO public.ecdc_data VALUES (42276, 1, 105, 19.23979793, 158, 236);
INSERT INTO public.ecdc_data VALUES (42277, 4, 108, 1.65225327, 14, 236);
INSERT INTO public.ecdc_data VALUES (42278, 0, 16, 4.82253003, 159, 236);
INSERT INTO public.ecdc_data VALUES (42279, 1, 66, 32.86915918, 15, 236);
INSERT INTO public.ecdc_data VALUES (42280, 0, 0, 0, 75, 236);
INSERT INTO public.ecdc_data VALUES (42281, 13, 1202, 108.47422147, 76, 236);
INSERT INTO public.ecdc_data VALUES (42282, 39, 797, 68.27578097, 77, 236);
INSERT INTO public.ecdc_data VALUES (42283, 53, 950, 18.053937, 16, 236);
INSERT INTO public.ecdc_data VALUES (42284, 8, 278, 54.35767911, 78, 236);
INSERT INTO public.ecdc_data VALUES (42285, 0, 0, 78.90960204, 17, 236);
INSERT INTO public.ecdc_data VALUES (42286, 0, 17, 2.51635847, 18, 236);
INSERT INTO public.ecdc_data VALUES (42287, 0, 8, 2.03801271, 160, 236);
INSERT INTO public.ecdc_data VALUES (42288, 3, 75, 44.15864713, 19, 236);
INSERT INTO public.ecdc_data VALUES (42289, 0, 199, 1.6042295, 20, 236);
INSERT INTO public.ecdc_data VALUES (42290, 0, 0, 0, 79, 236);
INSERT INTO public.ecdc_data VALUES (42291, 0, 0, 2.05435832, 161, 236);
INSERT INTO public.ecdc_data VALUES (42292, 0, 0, 0.3370957, 203, 236);
INSERT INTO public.ecdc_data VALUES (42293, 0, 4, 2.08411903, 162, 236);
INSERT INTO public.ecdc_data VALUES (42294, 14, 621, 13.05122181, 163, 236);
INSERT INTO public.ecdc_data VALUES (42295, 0, 0, 0.71611436, 204, 236);
INSERT INTO public.ecdc_data VALUES (42296, 0, 0, 36.08616123, 21, 236);
INSERT INTO public.ecdc_data VALUES (42297, 0, 1, 0.89449401, 22, 236);
INSERT INTO public.ecdc_data VALUES (42298, 0, 5, 1.35109371, 164, 236);
INSERT INTO public.ecdc_data VALUES (42299, 6, 395, 6.7719264, 165, 236);
INSERT INTO public.ecdc_data VALUES (42300, 0, 641, 26.26746433, 23, 236);
INSERT INTO public.ecdc_data VALUES (42301, 0, 1, 11.86732333, 166, 236);
INSERT INTO public.ecdc_data VALUES (42302, 0, 50, 3.27284964, 167, 236);
INSERT INTO public.ecdc_data VALUES (42303, 0, 0, 0, 80, 236);
INSERT INTO public.ecdc_data VALUES (42304, 0, 0, 0, 81, 236);
INSERT INTO public.ecdc_data VALUES (42305, 0, 1, 37.65802923, 205, 236);
INSERT INTO public.ecdc_data VALUES (42306, 39, 1247, 62.78767494, 82, 236);
INSERT INTO public.ecdc_data VALUES (42307, 0, 0, 0, 168, 236);
INSERT INTO public.ecdc_data VALUES (42308, 2, 184, 5.24616001, 24, 236);
INSERT INTO public.ecdc_data VALUES (42309, 0, 0, 12.18168198, 25, 236);
INSERT INTO public.ecdc_data VALUES (42310, 0, 1, 9.07029478, 83, 236);
INSERT INTO public.ecdc_data VALUES (42311, 0, 0, 8.37248855, 84, 236);
INSERT INTO public.ecdc_data VALUES (42312, 0, 0, 0, 169, 236);
INSERT INTO public.ecdc_data VALUES (42313, 10, 406, 113.05017435, 85, 236);
INSERT INTO public.ecdc_data VALUES (42314, 2, 10, 0.99255522, 170, 236);
INSERT INTO public.ecdc_data VALUES (42315, 0, 0, 4.2017866, 171, 236);
INSERT INTO public.ecdc_data VALUES (42316, 475, 26506, 22.2041172, 112, 236);
INSERT INTO public.ecdc_data VALUES (42317, 58, 2657, 7.59314806, 113, 236);
INSERT INTO public.ecdc_data VALUES (42318, 221, 2079, 42.64906486, 114, 236);
INSERT INTO public.ecdc_data VALUES (42319, 103, 2170, 77.52013118, 115, 236);
INSERT INTO public.ecdc_data VALUES (42320, 0, 23, 3.26248308, 172, 236);
INSERT INTO public.ecdc_data VALUES (42321, 0, 0, 0, 173, 236);
INSERT INTO public.ecdc_data VALUES (42322, 4, 1268, 145.84406622, 116, 236);
INSERT INTO public.ecdc_data VALUES (42323, 12, 214, 4.40195491, 174, 236);
INSERT INTO public.ecdc_data VALUES (42324, 0, 2, 2.34034997, 86, 236);
INSERT INTO public.ecdc_data VALUES (42325, 1, 348, 1.9880136, 117, 236);
INSERT INTO public.ecdc_data VALUES (42326, 0, 0, 5.56606924, 175, 236);
INSERT INTO public.ecdc_data VALUES (42327, 0, 0, 0.82164413, 118, 236);
INSERT INTO public.ecdc_data VALUES (42328, 0, 1726, 188.6485504, 119, 236);
INSERT INTO public.ecdc_data VALUES (42329, 4, 447, 6.83037671, 26, 236);
INSERT INTO public.ecdc_data VALUES (42330, 4, 214, 92.74364389, 176, 236);
INSERT INTO public.ecdc_data VALUES (42331, 3, 833, 238.93073504, 120, 236);
INSERT INTO public.ecdc_data VALUES (42332, 6, 511, 80.33228951, 121, 236);
INSERT INTO public.ecdc_data VALUES (42333, 0, 0, 0, 122, 236);
INSERT INTO public.ecdc_data VALUES (42334, 0, 13, 2.23962066, 177, 236);
INSERT INTO public.ecdc_data VALUES (42335, 0, 65, 5.09064781, 123, 236);
INSERT INTO public.ecdc_data VALUES (42336, 1, 43, 5.36403191, 27, 236);
INSERT INTO public.ecdc_data VALUES (42337, 1, 31, 5.59001607, 28, 236);
INSERT INTO public.ecdc_data VALUES (42338, 1, 86, 8.41023907, 29, 236);
INSERT INTO public.ecdc_data VALUES (42339, 0, 0, 5.21131898, 178, 236);
INSERT INTO public.ecdc_data VALUES (42340, 0, 3, 1.82521981, 179, 236);
INSERT INTO public.ecdc_data VALUES (42341, 0, 69, 92.52411654, 180, 236);
INSERT INTO public.ecdc_data VALUES (42342, 0, 209, 7.24156565, 30, 236);
INSERT INTO public.ecdc_data VALUES (42343, 4, 55, 5.49688012, 31, 236);
INSERT INTO public.ecdc_data VALUES (42344, 0, 6, 0.25978262, 124, 236);
INSERT INTO public.ecdc_data VALUES (42345, 0, 36, 51.98161056, 125, 236);
INSERT INTO public.ecdc_data VALUES (42346, 0, 0, 1.78553052, 32, 236);
INSERT INTO public.ecdc_data VALUES (42347, 0, 0, 0.81044009, 181, 236);
INSERT INTO public.ecdc_data VALUES (42348, 4, 63, 29.78546072, 33, 236);
INSERT INTO public.ecdc_data VALUES (42349, 0, 0, 0.07876062, 34, 236);
INSERT INTO public.ecdc_data VALUES (42350, 730, 7094, 67.30365978, 87, 236);
INSERT INTO public.ecdc_data VALUES (42351, 10, 195, 79.46561906, 182, 236);
INSERT INTO public.ecdc_data VALUES (42352, 0, 0, 18.13510654, 183, 236);
INSERT INTO public.ecdc_data VALUES (42353, 0, 0, 0.24804925, 126, 236);
INSERT INTO public.ecdc_data VALUES (42354, 2, 59, 97.23842863, 184, 236);
INSERT INTO public.ecdc_data VALUES (42355, 0, 0, 0, 88, 236);
INSERT INTO public.ecdc_data VALUES (42356, 0, 178, 9.9008093, 35, 236);
INSERT INTO public.ecdc_data VALUES (42357, 1, 21, 1.00111826, 36, 236);
INSERT INTO public.ecdc_data VALUES (42358, 0, 3, 0.05180827, 127, 236);
INSERT INTO public.ecdc_data VALUES (42359, 0, 22, 21.40688965, 37, 236);
INSERT INTO public.ecdc_data VALUES (42360, 0, 108, 18.76700858, 128, 236);
INSERT INTO public.ecdc_data VALUES (42361, 0, 52, 5.11510047, 185, 236);
INSERT INTO public.ecdc_data VALUES (42362, 0, 0, 0, 207, 236);
INSERT INTO public.ecdc_data VALUES (42363, 0, 2, 0.4599564, 208, 236);
INSERT INTO public.ecdc_data VALUES (42364, 0, 0, 10.32770132, 89, 236);
INSERT INTO public.ecdc_data VALUES (42365, 0, 0, 0.16301513, 38, 236);
INSERT INTO public.ecdc_data VALUES (42366, 5, 499, 4.04749909, 39, 236);
INSERT INTO public.ecdc_data VALUES (42367, 2, 166, 94.55345159, 186, 236);
INSERT INTO public.ecdc_data VALUES (42368, 0, 0, 1.74785451, 209, 236);
INSERT INTO public.ecdc_data VALUES (42369, 1, 7, 3.02165154, 187, 236);
INSERT INTO public.ecdc_data VALUES (42370, 3, 1518, 338.15129753, 129, 236);
INSERT INTO public.ecdc_data VALUES (42371, 75, 2751, 22.09679771, 130, 236);
INSERT INTO public.ecdc_data VALUES (42372, 2, 262, 85.13633256, 131, 236);
INSERT INTO public.ecdc_data VALUES (42373, 20, 965, 310.35408483, 90, 236);
INSERT INTO public.ecdc_data VALUES (42374, 0, 0, 0, 210, 236);
INSERT INTO public.ecdc_data VALUES (42375, 0, 84, 15.17465977, 91, 236);
INSERT INTO public.ecdc_data VALUES (42376, 181, 3537, 147.17108603, 92, 236);
INSERT INTO public.ecdc_data VALUES (42377, 4, 1395, 17.28226396, 132, 236);
INSERT INTO public.ecdc_data VALUES (42378, 9, 262, 10.09143068, 188, 236);
INSERT INTO public.ecdc_data VALUES (42379, 13, 418, 47.31128931, 189, 236);
INSERT INTO public.ecdc_data VALUES (42380, 0, 0, 69.10060803, 93, 236);
INSERT INTO public.ecdc_data VALUES (42381, 4, 557, 362.70277122, 133, 236);
INSERT INTO public.ecdc_data VALUES (42382, 17, 614, 28.34485516, 190, 236);
INSERT INTO public.ecdc_data VALUES (42383, 176, 6509, 63.96486899, 191, 236);
INSERT INTO public.ecdc_data VALUES (42384, 0, 16, 2.8510475, 40, 236);
INSERT INTO public.ecdc_data VALUES (42385, 0, 0, 1.8927206, 94, 236);
INSERT INTO public.ecdc_data VALUES (42386, 0, 0, 1.64118275, 95, 236);
INSERT INTO public.ecdc_data VALUES (42387, 0, 0, 0, 96, 236);
INSERT INTO public.ecdc_data VALUES (42388, 0, 0, 2.90250486, 192, 236);
INSERT INTO public.ecdc_data VALUES (42389, 1, 2, 6.97518694, 41, 236);
INSERT INTO public.ecdc_data VALUES (42390, 41, 3183, 153.7503988, 134, 236);
INSERT INTO public.ecdc_data VALUES (42391, 2, 127, 9.51746163, 42, 236);
INSERT INTO public.ecdc_data VALUES (42392, 11, 266, 57.00939894, 193, 236);
INSERT INTO public.ecdc_data VALUES (42393, 0, 3, 84.9183045, 43, 236);
INSERT INTO public.ecdc_data VALUES (42394, 0, 14, 2.77734866, 44, 236);
INSERT INTO public.ecdc_data VALUES (42395, 0, 124, 46.27569391, 135, 236);
INSERT INTO public.ecdc_data VALUES (42396, 0, 0, 2.3591026, 97, 236);
INSERT INTO public.ecdc_data VALUES (42397, 0, 53, 4.05473265, 194, 236);
INSERT INTO public.ecdc_data VALUES (42398, 0, 13, 11.00481136, 195, 236);
INSERT INTO public.ecdc_data VALUES (42399, 0, 10, 1.03607443, 45, 236);
INSERT INTO public.ecdc_data VALUES (42400, 118, 13674, 204.86262, 46, 236);
INSERT INTO public.ecdc_data VALUES (42401, 1, 45, 1.43678943, 136, 236);
INSERT INTO public.ecdc_data VALUES (42402, 0, 7, 1.54581665, 47, 236);
INSERT INTO public.ecdc_data VALUES (42403, 2, 852, 12.78946743, 196, 236);
INSERT INTO public.ecdc_data VALUES (42404, 0, 256, 1.59446746, 137, 236);
INSERT INTO public.ecdc_data VALUES (42405, 5, 74, 2.74214258, 48, 236);
INSERT INTO public.ecdc_data VALUES (42406, 0, 29, 55.21507217, 98, 236);
INSERT INTO public.ecdc_data VALUES (42407, 15, 334, 87.8771987, 197, 236);
INSERT INTO public.ecdc_data VALUES (42408, 0, 88, 13.52912806, 198, 236);
INSERT INTO public.ecdc_data VALUES (42409, 0, 0, 0.76156412, 138, 236);
INSERT INTO public.ecdc_data VALUES (42410, 0, 2, 0.01682519, 139, 236);
INSERT INTO public.ecdc_data VALUES (42411, 0, 46, 7.71374558, 140, 236);
INSERT INTO public.ecdc_data VALUES (42412, 0, 0, 0.06319516, 141, 236);
INSERT INTO public.ecdc_data VALUES (42413, 0, 0, 0, 142, 236);
INSERT INTO public.ecdc_data VALUES (42414, 0, 9, 1.43522454, 49, 236);
INSERT INTO public.ecdc_data VALUES (42415, 0, 0, 0.71686181, 99, 236);
INSERT INTO public.ecdc_data VALUES (42416, 0, 10, 0.5900098, 50, 236);
INSERT INTO public.ecdc_data VALUES (42417, 18, 1024, 20.54414936, 199, 236);
INSERT INTO public.ecdc_data VALUES (42418, 0, 0, 104.72849139, 100, 236);
INSERT INTO public.ecdc_data VALUES (42419, 0, 23, 0.40434079, 51, 236);
INSERT INTO public.ecdc_data VALUES (42420, 21, 810, 25.49459248, 200, 236);
INSERT INTO public.ecdc_data VALUES (42421, 1, 532, 71.78733264, 143, 236);
INSERT INTO public.ecdc_data VALUES (42422, 31, 693, 12.92779198, 201, 236);
INSERT INTO public.ecdc_data VALUES (42423, 0, 0, 0, 52, 236);
INSERT INTO public.ecdc_data VALUES (42424, 982, 63004, 211.41664275, 101, 236);
INSERT INTO public.ecdc_data VALUES (42425, 0, 9, 68.84747416, 102, 236);
INSERT INTO public.ecdc_data VALUES (42426, 0, 3, 2.02210975, 103, 236);
INSERT INTO public.ecdc_data VALUES (42427, 5, 464, 13.6287637, 144, 236);
INSERT INTO public.ecdc_data VALUES (42428, 5, 362, 13.35749348, 104, 236);
INSERT INTO public.ecdc_data VALUES (42429, 0, 0, 0.0176235, 145, 236);
INSERT INTO public.ecdc_data VALUES (42430, 0, 0, 84.81298222, 53, 236);
INSERT INTO public.ecdc_data VALUES (42431, 10, 38, 0.96015619, 146, 236);
INSERT INTO public.ecdc_data VALUES (42432, 0, 0, 2.22831444, 54, 236);
INSERT INTO public.ecdc_data VALUES (42433, 3, 41, 2.56051819, 55, 236);
INSERT INTO public.ecdc_data VALUES (42434, 15, 542, 25.30903081, 105, 237);
INSERT INTO public.ecdc_data VALUES (42435, 0, 36, 9.43255496, 147, 237);
INSERT INTO public.ecdc_data VALUES (42436, 9, 117, 3.91377578, 1, 237);
INSERT INTO public.ecdc_data VALUES (42437, 0, 0, 116.83316487, 148, 237);
INSERT INTO public.ecdc_data VALUES (42438, 0, 4, 0.07855386, 2, 237);
INSERT INTO public.ecdc_data VALUES (42439, 0, 0, 0, 56, 237);
INSERT INTO public.ecdc_data VALUES (42440, 0, 0, 1.02970705, 57, 237);
INSERT INTO public.ecdc_data VALUES (42441, 24, 1141, 25.75441304, 58, 237);
INSERT INTO public.ecdc_data VALUES (42442, 10, 428, 213.98181307, 149, 237);
INSERT INTO public.ecdc_data VALUES (42443, 0, 0, 0, 59, 237);
INSERT INTO public.ecdc_data VALUES (42444, 0, 2, 0.53167852, 202, 237);
INSERT INTO public.ecdc_data VALUES (42445, 0, 13, 4.57173819, 150, 237);
INSERT INTO public.ecdc_data VALUES (42446, 5, 315, 37.7000989, 151, 237);
INSERT INTO public.ecdc_data VALUES (42447, 0, 0, 0.77024591, 60, 237);
INSERT INTO public.ecdc_data VALUES (42448, 2, 783, 416.41176628, 106, 237);
INSERT INTO public.ecdc_data VALUES (42449, 45, 3171, 21.41969931, 107, 237);
INSERT INTO public.ecdc_data VALUES (42450, 0, 0, 0, 61, 237);
INSERT INTO public.ecdc_data VALUES (42451, 6, 812, 129.13110298, 152, 237);
INSERT INTO public.ecdc_data VALUES (42452, 12, 145, 15.99229158, 153, 237);
INSERT INTO public.ecdc_data VALUES (42453, 0, 1, 0.51235939, 62, 237);
INSERT INTO public.ecdc_data VALUES (42454, 0, 0, 0.82195372, 3, 237);
INSERT INTO public.ecdc_data VALUES (42455, 0, 0, 3.19959045, 63, 237);
INSERT INTO public.ecdc_data VALUES (42456, 0, 0, 4.19345454, 108, 237);
INSERT INTO public.ecdc_data VALUES (42457, 12, 695, 65.21265946, 64, 237);
INSERT INTO public.ecdc_data VALUES (42458, 0, 0, 0, 65, 237);
INSERT INTO public.ecdc_data VALUES (42459, 0, 24, 9.45168704, 154, 237);
INSERT INTO public.ecdc_data VALUES (42460, 0, 0, 0.30385861, 4, 237);
INSERT INTO public.ecdc_data VALUES (42461, 1272, 32091, 165.02335644, 66, 237);
INSERT INTO public.ecdc_data VALUES (42462, 0, 0, 0, 67, 237);
INSERT INTO public.ecdc_data VALUES (42463, 0, 0, 0, 109, 237);
INSERT INTO public.ecdc_data VALUES (42464, 3, 79, 6.12853728, 155, 237);
INSERT INTO public.ecdc_data VALUES (42465, 0, 1, 0.22636255, 5, 237);
INSERT INTO public.ecdc_data VALUES (42466, 0, 0, 0.35557631, 6, 237);
INSERT INTO public.ecdc_data VALUES (42467, 0, 0, 0.01213111, 110, 237);
INSERT INTO public.ecdc_data VALUES (42468, 0, 369, 12.84955276, 7, 237);
INSERT INTO public.ecdc_data VALUES (42469, 62, 409, 26.74611701, 68, 237);
INSERT INTO public.ecdc_data VALUES (42470, 0, 18, 35.45867155, 8, 237);
INSERT INTO public.ecdc_data VALUES (42471, 0, 5, 60.04803843, 69, 237);
INSERT INTO public.ecdc_data VALUES (42472, 0, 38, 25.64708307, 9, 237);
INSERT INTO public.ecdc_data VALUES (42473, 1, 5, 0.90299784, 10, 237);
INSERT INTO public.ecdc_data VALUES (42474, 19, 3913, 341.90523603, 70, 237);
INSERT INTO public.ecdc_data VALUES (42475, 0, 4, 0.00662583, 111, 237);
INSERT INTO public.ecdc_data VALUES (42476, 64, 1359, 37.89275142, 71, 237);
INSERT INTO public.ecdc_data VALUES (42477, 0, 21, 8.81428996, 11, 237);
INSERT INTO public.ecdc_data VALUES (42478, 2, 45, 2.9551135, 12, 237);
INSERT INTO public.ecdc_data VALUES (42479, 1, 33, 8.30103886, 72, 237);
INSERT INTO public.ecdc_data VALUES (42480, 0, 114, 5.90281264, 13, 237);
INSERT INTO public.ecdc_data VALUES (42481, 2, 0, 0.07359713, 156, 237);
INSERT INTO public.ecdc_data VALUES (42482, 0, 5, 2.13526573, 73, 237);
INSERT INTO public.ecdc_data VALUES (42483, 0, 0, 1.83572692, 74, 237);
INSERT INTO public.ecdc_data VALUES (42484, 0, 2, 3.76755768, 157, 237);
INSERT INTO public.ecdc_data VALUES (42485, 0, 54, 6.58228324, 158, 237);
INSERT INTO public.ecdc_data VALUES (42486, 2, 153, 1.97371678, 14, 237);
INSERT INTO public.ecdc_data VALUES (42487, 0, 39, 9.86896325, 159, 237);
INSERT INTO public.ecdc_data VALUES (42488, 3, 53, 191.36013608, 15, 237);
INSERT INTO public.ecdc_data VALUES (42489, 0, 0, 2.78520499, 75, 237);
INSERT INTO public.ecdc_data VALUES (42490, 5, 289, 47.96555196, 76, 237);
INSERT INTO public.ecdc_data VALUES (42491, 48, 539, 37.76982589, 77, 237);
INSERT INTO public.ecdc_data VALUES (42492, 35, 1385, 18.00313416, 16, 237);
INSERT INTO public.ecdc_data VALUES (42493, 2, 87, 17.8041543, 78, 237);
INSERT INTO public.ecdc_data VALUES (42494, 0, 0, 19.3955377, 17, 237);
INSERT INTO public.ecdc_data VALUES (42495, 0, 0, 0.05718997, 18, 237);
INSERT INTO public.ecdc_data VALUES (42496, 0, 7, 8.52946061, 160, 237);
INSERT INTO public.ecdc_data VALUES (42497, 0, 31, 9.58077157, 19, 237);
INSERT INTO public.ecdc_data VALUES (42498, 5, 180, 1.45879601, 20, 237);
INSERT INTO public.ecdc_data VALUES (42499, 0, 0, 0, 79, 237);
INSERT INTO public.ecdc_data VALUES (42500, 0, 0, 0, 161, 237);
INSERT INTO public.ecdc_data VALUES (42501, 0, 0, 0, 203, 237);
INSERT INTO public.ecdc_data VALUES (42502, 1, 24, 7.19474135, 162, 237);
INSERT INTO public.ecdc_data VALUES (42503, 87, 403, 13.48397442, 163, 237);
INSERT INTO public.ecdc_data VALUES (42504, 0, 0, 0, 204, 237);
INSERT INTO public.ecdc_data VALUES (42505, 0, 47, 48.60584982, 21, 237);
INSERT INTO public.ecdc_data VALUES (42506, 0, 0, 0.12778486, 22, 237);
INSERT INTO public.ecdc_data VALUES (42507, 0, 6, 2.15174184, 164, 237);
INSERT INTO public.ecdc_data VALUES (42508, 18, 318, 6.62135884, 165, 237);
INSERT INTO public.ecdc_data VALUES (42509, 0, 291, 10.13878098, 23, 237);
INSERT INTO public.ecdc_data VALUES (42510, 0, 0, 62.30344746, 166, 237);
INSERT INTO public.ecdc_data VALUES (42511, 1, 9, 1.54784342, 167, 237);
INSERT INTO public.ecdc_data VALUES (42512, 0, 0, 1.76491352, 80, 237);
INSERT INTO public.ecdc_data VALUES (42513, 0, 0, 0, 81, 237);
INSERT INTO public.ecdc_data VALUES (42514, 0, 0, 6.57521145, 205, 237);
INSERT INTO public.ecdc_data VALUES (42515, 22, 364, 22.25069158, 82, 237);
INSERT INTO public.ecdc_data VALUES (42516, 0, 0, 0, 168, 237);
INSERT INTO public.ecdc_data VALUES (42517, 0, 42, 7.04708061, 24, 237);
INSERT INTO public.ecdc_data VALUES (42518, 0, 0, 11.24462952, 25, 237);
INSERT INTO public.ecdc_data VALUES (42519, 0, 2, 2.17176072, 83, 237);
INSERT INTO public.ecdc_data VALUES (42520, 2, 124, 22.08987436, 84, 237);
INSERT INTO public.ecdc_data VALUES (42521, 0, 0, 0, 169, 237);
INSERT INTO public.ecdc_data VALUES (42522, 9, 485, 26.00010363, 85, 237);
INSERT INTO public.ecdc_data VALUES (42523, 2, 3, 2.29208629, 170, 237);
INSERT INTO public.ecdc_data VALUES (42524, 0, 0, 0.84035732, 171, 237);
INSERT INTO public.ecdc_data VALUES (42525, 279, 9985, 9.13454172, 112, 237);
INSERT INTO public.ecdc_data VALUES (42526, 40, 1043, 3.66225561, 113, 237);
INSERT INTO public.ecdc_data VALUES (42527, 74, 2095, 43.92026316, 114, 237);
INSERT INTO public.ecdc_data VALUES (42528, 22, 787, 23.96349673, 115, 237);
INSERT INTO public.ecdc_data VALUES (42529, 8, 8, 9.78744923, 172, 237);
INSERT INTO public.ecdc_data VALUES (42530, 0, 0, 0, 173, 237);
INSERT INTO public.ecdc_data VALUES (42531, 1, 179, 17.73604701, 116, 237);
INSERT INTO public.ecdc_data VALUES (42532, 79, 283, 8.29363428, 174, 237);
INSERT INTO public.ecdc_data VALUES (42533, 0, 6, 1.39064274, 86, 237);
INSERT INTO public.ecdc_data VALUES (42534, 3, 41, 0.47296121, 117, 237);
INSERT INTO public.ecdc_data VALUES (42535, 0, 1, 5.56606924, 175, 237);
INSERT INTO public.ecdc_data VALUES (42536, 0, 14, 1.25721451, 118, 237);
INSERT INTO public.ecdc_data VALUES (42537, 3, 245, 21.64253878, 119, 237);
INSERT INTO public.ecdc_data VALUES (42538, 3, 127, 3.12131668, 26, 237);
INSERT INTO public.ecdc_data VALUES (42539, 0, 6, 12.3435785, 176, 237);
INSERT INTO public.ecdc_data VALUES (42540, 4, 630, 251.12447431, 120, 237);
INSERT INTO public.ecdc_data VALUES (42541, 2, 38, 8.93100541, 121, 237);
INSERT INTO public.ecdc_data VALUES (42542, 0, 0, 0, 122, 237);
INSERT INTO public.ecdc_data VALUES (42543, 0, 1, 1.87503125, 177, 237);
INSERT INTO public.ecdc_data VALUES (42544, 0, 18, 3.32569542, 123, 237);
INSERT INTO public.ecdc_data VALUES (42545, 0, 0, 0.09410582, 27, 237);
INSERT INTO public.ecdc_data VALUES (42546, 1, 13, 2.36968073, 28, 237);
INSERT INTO public.ecdc_data VALUES (42547, 0, 62, 3.76247537, 29, 237);
INSERT INTO public.ecdc_data VALUES (42548, 0, 0, 0, 178, 237);
INSERT INTO public.ecdc_data VALUES (42549, 1, 7, 3.14939889, 179, 237);
INSERT INTO public.ecdc_data VALUES (42550, 0, 6, 8.30762314, 180, 237);
INSERT INTO public.ecdc_data VALUES (42551, 0, 44, 2.04677124, 30, 237);
INSERT INTO public.ecdc_data VALUES (42552, 0, 12, 1.90028863, 31, 237);
INSERT INTO public.ecdc_data VALUES (42553, 0, 7, 2.29109494, 124, 237);
INSERT INTO public.ecdc_data VALUES (42554, 0, 26, 94.92294103, 125, 237);
INSERT INTO public.ecdc_data VALUES (42555, 2, 39, 2.5892736, 32, 237);
INSERT INTO public.ecdc_data VALUES (42556, 0, 3, 4.66003051, 181, 237);
INSERT INTO public.ecdc_data VALUES (42557, 18, 215, 19.8864352, 33, 237);
INSERT INTO public.ecdc_data VALUES (42558, 0, 0, 0.23628187, 34, 237);
INSERT INTO public.ecdc_data VALUES (42559, 596, 5733, 46.80286295, 87, 237);
INSERT INTO public.ecdc_data VALUES (42560, 12, 218, 67.27248175, 182, 237);
INSERT INTO public.ecdc_data VALUES (42561, 0, 0, 0, 183, 237);
INSERT INTO public.ecdc_data VALUES (42562, 0, 0, 1.42628317, 126, 237);
INSERT INTO public.ecdc_data VALUES (42563, 0, 0, 0, 184, 237);
INSERT INTO public.ecdc_data VALUES (42564, 0, 0, 0, 88, 237);
INSERT INTO public.ecdc_data VALUES (42565, 2, 135, 2.35798837, 35, 237);
INSERT INTO public.ecdc_data VALUES (42566, 0, 20, 0.79035652, 36, 237);
INSERT INTO public.ecdc_data VALUES (42567, 0, 2, 0.07401182, 127, 237);
INSERT INTO public.ecdc_data VALUES (42568, 0, 0, 0.40087808, 37, 237);
INSERT INTO public.ecdc_data VALUES (42569, 1, 323, 11.58038731, 128, 237);
INSERT INTO public.ecdc_data VALUES (42570, 15, 164, 13.45317713, 185, 237);
INSERT INTO public.ecdc_data VALUES (42571, 0, 1, 1.06098169, 207, 237);
INSERT INTO public.ecdc_data VALUES (42572, 0, 0, 0, 208, 237);
INSERT INTO public.ecdc_data VALUES (42573, 0, 0, 8.40271557, 89, 237);
INSERT INTO public.ecdc_data VALUES (42574, 0, 1, 0.09437718, 38, 237);
INSERT INTO public.ecdc_data VALUES (42575, 4, 663, 2.54772502, 39, 237);
INSERT INTO public.ecdc_data VALUES (42576, 1, 87, 59.07183559, 186, 237);
INSERT INTO public.ecdc_data VALUES (42577, 0, 2, 13.98283607, 209, 237);
INSERT INTO public.ecdc_data VALUES (42578, 0, 16, 3.73483638, 187, 237);
INSERT INTO public.ecdc_data VALUES (42579, 2, 712, 202.61339114, 129, 237);
INSERT INTO public.ecdc_data VALUES (42580, 83, 5385, 25.18916729, 130, 237);
INSERT INTO public.ecdc_data VALUES (42581, 0, 9, 1.12417699, 131, 237);
INSERT INTO public.ecdc_data VALUES (42582, 5, 379, 136.25531033, 90, 237);
INSERT INTO public.ecdc_data VALUES (42583, 0, 0, 0, 210, 237);
INSERT INTO public.ecdc_data VALUES (42584, 0, 42, 4.40050938, 91, 237);
INSERT INTO public.ecdc_data VALUES (42585, 167, 4040, 227.57289638, 92, 237);
INSERT INTO public.ecdc_data VALUES (42586, 6, 518, 7.69816874, 132, 237);
INSERT INTO public.ecdc_data VALUES (42587, 17, 400, 14.44717868, 188, 237);
INSERT INTO public.ecdc_data VALUES (42588, 7, 421, 41.83283273, 189, 237);
INSERT INTO public.ecdc_data VALUES (42589, 0, 139, 63.44165345, 93, 237);
INSERT INTO public.ecdc_data VALUES (42590, 5, 1721, 871.16460004, 133, 237);
INSERT INTO public.ecdc_data VALUES (42591, 11, 145, 11.94985716, 190, 237);
INSERT INTO public.ecdc_data VALUES (42592, 170, 8595, 84.25933759, 191, 237);
INSERT INTO public.ecdc_data VALUES (42593, 0, 12, 0.98202747, 40, 237);
INSERT INTO public.ecdc_data VALUES (42594, 0, 0, 0, 94, 237);
INSERT INTO public.ecdc_data VALUES (42595, 0, 0, 0.54706092, 95, 237);
INSERT INTO public.ecdc_data VALUES (42596, 0, 0, 8.13794725, 96, 237);
INSERT INTO public.ecdc_data VALUES (42597, 0, 1, 63.85510696, 192, 237);
INSERT INTO public.ecdc_data VALUES (42598, 0, 0, 33.94590975, 41, 237);
INSERT INTO public.ecdc_data VALUES (42599, 37, 3288, 92.92782891, 134, 237);
INSERT INTO public.ecdc_data VALUES (42600, 0, 89, 8.3147392, 42, 237);
INSERT INTO public.ecdc_data VALUES (42601, 0, 69, 10.59771698, 193, 237);
INSERT INTO public.ecdc_data VALUES (42602, 0, 0, 0, 43, 237);
INSERT INTO public.ecdc_data VALUES (42603, 1, 24, 3.46848612, 44, 237);
INSERT INTO public.ecdc_data VALUES (42604, 0, 218, 106.31694233, 135, 237);
INSERT INTO public.ecdc_data VALUES (42605, 0, 0, 0, 97, 237);
INSERT INTO public.ecdc_data VALUES (42606, 0, 1, 0.33024972, 194, 237);
INSERT INTO public.ecdc_data VALUES (42607, 0, 1, 0.81695106, 195, 237);
INSERT INTO public.ecdc_data VALUES (42608, 1, 48, 4.56520295, 45, 237);
INSERT INTO public.ecdc_data VALUES (42609, 82, 2112, 49.05712117, 46, 237);
INSERT INTO public.ecdc_data VALUES (42610, 2, 50, 1.24352564, 136, 237);
INSERT INTO public.ecdc_data VALUES (42611, 0, 0, 7.21381103, 47, 237);
INSERT INTO public.ecdc_data VALUES (42612, 0, 314, 11.7412552, 196, 237);
INSERT INTO public.ecdc_data VALUES (42613, 0, 2, 2.5323895, 137, 237);
INSERT INTO public.ecdc_data VALUES (42614, 0, 0, 5.2927556, 48, 237);
INSERT INTO public.ecdc_data VALUES (42615, 0, 7, 21.6732059, 98, 237);
INSERT INTO public.ecdc_data VALUES (42616, 33, 937, 102.51036516, 197, 237);
INSERT INTO public.ecdc_data VALUES (42617, 2, 16, 2.65667134, 198, 237);
INSERT INTO public.ecdc_data VALUES (42618, 0, 2, 0.14645464, 138, 237);
INSERT INTO public.ecdc_data VALUES (42619, 0, 0, 0.00841259, 139, 237);
INSERT INTO public.ecdc_data VALUES (42620, 0, 81, 17.05821346, 140, 237);
INSERT INTO public.ecdc_data VALUES (42621, 0, 6, 0.1149003, 141, 237);
INSERT INTO public.ecdc_data VALUES (42622, 0, 0, 0, 142, 237);
INSERT INTO public.ecdc_data VALUES (42623, 0, 4, 1.36098879, 49, 237);
INSERT INTO public.ecdc_data VALUES (42624, 0, 0, 0.07168618, 99, 237);
INSERT INTO public.ecdc_data VALUES (42625, 0, 0, 0.3078312, 50, 237);
INSERT INTO public.ecdc_data VALUES (42626, 18, 993, 16.28215601, 199, 237);
INSERT INTO public.ecdc_data VALUES (42627, 0, 0, 0, 100, 237);
INSERT INTO public.ecdc_data VALUES (42628, 0, 11, 0.9125904, 51, 237);
INSERT INTO public.ecdc_data VALUES (42629, 13, 394, 14.25660521, 200, 237);
INSERT INTO public.ecdc_data VALUES (42630, 2, 528, 90.2510264, 143, 237);
INSERT INTO public.ecdc_data VALUES (42631, 195, 1099, 27.40253771, 201, 237);
INSERT INTO public.ecdc_data VALUES (42632, 0, 0, 0, 52, 237);
INSERT INTO public.ecdc_data VALUES (42633, 999, 18665, 90.75352144, 101, 237);
INSERT INTO public.ecdc_data VALUES (42634, 0, 0, 1.91242984, 102, 237);
INSERT INTO public.ecdc_data VALUES (42635, 0, 1, 1.64657508, 103, 237);
INSERT INTO public.ecdc_data VALUES (42636, 0, 99, 3.68082739, 144, 237);
INSERT INTO public.ecdc_data VALUES (42637, 1, 159, 4.98319723, 104, 237);
INSERT INTO public.ecdc_data VALUES (42638, 0, 0, 0.00518338, 145, 237);
INSERT INTO public.ecdc_data VALUES (42639, 0, 0, 2.91866538, 53, 237);
INSERT INTO public.ecdc_data VALUES (42640, 15, 28, 0.94301055, 146, 237);
INSERT INTO public.ecdc_data VALUES (42641, 0, 0, 1.5676584, 54, 237);
INSERT INTO public.ecdc_data VALUES (42642, 0, 27, 1.76163651, 55, 237);
INSERT INTO public.ecdc_data VALUES (42643, 6, 255, 6.75573423, 105, 238);
INSERT INTO public.ecdc_data VALUES (42644, 0, 6, 5.03069598, 147, 238);
INSERT INTO public.ecdc_data VALUES (42645, 6, 189, 5.3468913, 1, 238);
INSERT INTO public.ecdc_data VALUES (42646, 1, 2, 27.56737598, 148, 238);
INSERT INTO public.ecdc_data VALUES (42647, 0, 0, 0.05655878, 2, 238);
INSERT INTO public.ecdc_data VALUES (42648, 0, 0, 0, 56, 238);
INSERT INTO public.ecdc_data VALUES (42649, 0, 0, 1.02970705, 57, 238);
INSERT INTO public.ecdc_data VALUES (42650, 7, 165, 4.45727984, 58, 238);
INSERT INTO public.ecdc_data VALUES (42651, 1, 138, 52.97985481, 149, 238);
INSERT INTO public.ecdc_data VALUES (42652, 0, 0, 0.94064528, 59, 238);
INSERT INTO public.ecdc_data VALUES (42653, 0, 15, 0.89671153, 202, 238);
INSERT INTO public.ecdc_data VALUES (42654, 1, 42, 7.25833989, 150, 238);
INSERT INTO public.ecdc_data VALUES (42655, 3, 143, 8.01176864, 151, 238);
INSERT INTO public.ecdc_data VALUES (42656, 0, 0, 3.59448093, 60, 238);
INSERT INTO public.ecdc_data VALUES (42657, 0, 330, 133.13721237, 106, 238);
INSERT INTO public.ecdc_data VALUES (42658, 8, 636, 5.38007108, 107, 238);
INSERT INTO public.ecdc_data VALUES (42659, 0, 1, 1.74203281, 61, 238);
INSERT INTO public.ecdc_data VALUES (42660, 5, 951, 131.83940729, 152, 238);
INSERT INTO public.ecdc_data VALUES (42661, 71, 240, 55.71113801, 153, 238);
INSERT INTO public.ecdc_data VALUES (42662, 0, 0, 0, 62, 238);
INSERT INTO public.ecdc_data VALUES (42663, 0, 42, 1.91506744, 3, 238);
INSERT INTO public.ecdc_data VALUES (42664, 0, 0, 30.3961093, 63, 238);
INSERT INTO public.ecdc_data VALUES (42665, 0, 0, 0, 108, 238);
INSERT INTO public.ecdc_data VALUES (42666, 8, 171, 13.64532339, 64, 238);
INSERT INTO public.ecdc_data VALUES (42667, 0, 0, 0, 65, 238);
INSERT INTO public.ecdc_data VALUES (42668, 3, 22, 18.3883783, 154, 238);
INSERT INTO public.ecdc_data VALUES (42669, 0, 0, 0.04340837, 4, 238);
INSERT INTO public.ecdc_data VALUES (42670, 730, 10611, 46.16452123, 66, 238);
INSERT INTO public.ecdc_data VALUES (42671, 0, 0, 3.3296707, 67, 238);
INSERT INTO public.ecdc_data VALUES (42672, 0, 0, 0.69236734, 109, 238);
INSERT INTO public.ecdc_data VALUES (42673, 2, 44, 10.11422936, 155, 238);
INSERT INTO public.ecdc_data VALUES (42674, 0, 4, 0.58559007, 5, 238);
INSERT INTO public.ecdc_data VALUES (42675, 0, 0, 0.03469037, 6, 238);
INSERT INTO public.ecdc_data VALUES (42676, 0, 0, 0, 110, 238);
INSERT INTO public.ecdc_data VALUES (42677, 0, 9, 2.92158252, 7, 238);
INSERT INTO public.ecdc_data VALUES (42678, 124, 1268, 59.77112958, 68, 238);
INSERT INTO public.ecdc_data VALUES (42679, 0, 6, 26.54854383, 8, 238);
INSERT INTO public.ecdc_data VALUES (42680, 0, 0, 16.93662622, 69, 238);
INSERT INTO public.ecdc_data VALUES (42681, 0, 0, 2.61317855, 9, 238);
INSERT INTO public.ecdc_data VALUES (42682, 3, 62, 1.76837077, 10, 238);
INSERT INTO public.ecdc_data VALUES (42683, 10, 1247, 75.77550379, 70, 238);
INSERT INTO public.ecdc_data VALUES (42684, 0, 15, 0.00571913, 111, 238);
INSERT INTO public.ecdc_data VALUES (42685, 17, 444, 10.63380856, 71, 238);
INSERT INTO public.ecdc_data VALUES (42686, 0, 3, 0, 11, 238);
INSERT INTO public.ecdc_data VALUES (42687, 0, 0, 1.6169489, 12, 238);
INSERT INTO public.ecdc_data VALUES (42688, 0, 7, 1.72360473, 72, 238);
INSERT INTO public.ecdc_data VALUES (42689, 1, 65, 2.16203151, 13, 238);
INSERT INTO public.ecdc_data VALUES (42690, 1, 15, 3.92518018, 156, 238);
INSERT INTO public.ecdc_data VALUES (42691, 0, 13, 3.67936285, 73, 238);
INSERT INTO public.ecdc_data VALUES (42692, 0, 0, 0, 74, 238);
INSERT INTO public.ecdc_data VALUES (42693, 0, 1, 9.36180998, 157, 238);
INSERT INTO public.ecdc_data VALUES (42694, 3, 18, 6.97665684, 158, 238);
INSERT INTO public.ecdc_data VALUES (42695, 2, 54, 0.63255722, 14, 238);
INSERT INTO public.ecdc_data VALUES (42696, 4, 101, 32.27650458, 159, 238);
INSERT INTO public.ecdc_data VALUES (42697, 0, 54, 18.59161816, 15, 238);
INSERT INTO public.ecdc_data VALUES (42698, 0, 0, 0, 75, 238);
INSERT INTO public.ecdc_data VALUES (42699, 5, 506, 36.83784189, 76, 238);
INSERT INTO public.ecdc_data VALUES (42700, 13, 253, 102.96047631, 77, 238);
INSERT INTO public.ecdc_data VALUES (42701, 11, 488, 4.62704355, 16, 238);
INSERT INTO public.ecdc_data VALUES (42702, 1, 105, 9.15775039, 78, 238);
INSERT INTO public.ecdc_data VALUES (42703, 0, 0, 16.59314062, 17, 238);
INSERT INTO public.ecdc_data VALUES (42704, 0, 0, 0, 18, 238);
INSERT INTO public.ecdc_data VALUES (42705, 4, 8, 7.39723132, 160, 238);
INSERT INTO public.ecdc_data VALUES (42706, 0, 4, 10.71304457, 19, 238);
INSERT INTO public.ecdc_data VALUES (42707, 1, 16, 0.07851624, 20, 238);
INSERT INTO public.ecdc_data VALUES (42708, 0, 0, 0, 79, 238);
INSERT INTO public.ecdc_data VALUES (42709, 0, 0, 0, 161, 238);
INSERT INTO public.ecdc_data VALUES (42710, 0, 0, 0, 203, 238);
INSERT INTO public.ecdc_data VALUES (42711, 5, 142, 25.46249773, 162, 238);
INSERT INTO public.ecdc_data VALUES (42712, 80, 433, 21.99577057, 163, 238);
INSERT INTO public.ecdc_data VALUES (42713, 0, 0, 1.07417155, 204, 238);
INSERT INTO public.ecdc_data VALUES (42714, 0, 41, 22.32370944, 21, 238);
INSERT INTO public.ecdc_data VALUES (42715, 0, 0, 0.42594953, 22, 238);
INSERT INTO public.ecdc_data VALUES (42716, 0, 3, 4.25344316, 164, 238);
INSERT INTO public.ecdc_data VALUES (42717, 26, 667, 18.11990196, 165, 238);
INSERT INTO public.ecdc_data VALUES (42718, 4, 251, 9.81002673, 23, 238);
INSERT INTO public.ecdc_data VALUES (42719, 0, 0, 29.66830831, 166, 238);
INSERT INTO public.ecdc_data VALUES (42720, 1, 19, 1.90216902, 167, 238);
INSERT INTO public.ecdc_data VALUES (42721, 0, 0, 0, 80, 238);
INSERT INTO public.ecdc_data VALUES (42722, 0, 0, 2.6785236, 81, 238);
INSERT INTO public.ecdc_data VALUES (42723, 0, 0, 5.97746496, 205, 238);
INSERT INTO public.ecdc_data VALUES (42724, 0, 67, 2.80977547, 82, 238);
INSERT INTO public.ecdc_data VALUES (42725, 0, 0, 10.85810014, 168, 238);
INSERT INTO public.ecdc_data VALUES (42726, 0, 33, 8.19027368, 24, 238);
INSERT INTO public.ecdc_data VALUES (42727, 1, 47, 30.66243882, 25, 238);
INSERT INTO public.ecdc_data VALUES (42728, 0, 3, 2.93826451, 83, 238);
INSERT INTO public.ecdc_data VALUES (42729, 0, 5, 0.70140678, 84, 238);
INSERT INTO public.ecdc_data VALUES (42730, 0, 0, 368.09815951, 169, 238);
INSERT INTO public.ecdc_data VALUES (42731, 1, 59, 12.3433799, 85, 238);
INSERT INTO public.ecdc_data VALUES (42732, 8, 50, 7.80741891, 170, 238);
INSERT INTO public.ecdc_data VALUES (42733, 0, 0, 3.08131017, 171, 238);
INSERT INTO public.ecdc_data VALUES (42734, 128, 3277, 2.66704672, 112, 238);
INSERT INTO public.ecdc_data VALUES (42735, 16, 533, 1.86161273, 113, 238);
INSERT INTO public.ecdc_data VALUES (42736, 48, 1529, 20.37294281, 114, 238);
INSERT INTO public.ecdc_data VALUES (42737, 3, 76, 2.33020839, 115, 238);
INSERT INTO public.ecdc_data VALUES (42738, 17, 219, 85.61979022, 172, 238);
INSERT INTO public.ecdc_data VALUES (42739, 0, 1, 26.0081098, 173, 238);
INSERT INTO public.ecdc_data VALUES (42740, 2, 18, 13.56907369, 116, 238);
INSERT INTO public.ecdc_data VALUES (42741, 194, 1083, 37.96748239, 174, 238);
INSERT INTO public.ecdc_data VALUES (42742, 0, 8, 6.5461963, 86, 238);
INSERT INTO public.ecdc_data VALUES (42743, 12, 119, 2.02190916, 117, 238);
INSERT INTO public.ecdc_data VALUES (42744, 0, 0, 12.05981669, 175, 238);
INSERT INTO public.ecdc_data VALUES (42745, 0, 14, 0.77214749, 118, 238);
INSERT INTO public.ecdc_data VALUES (42746, 0, 202, 12.85076276, 119, 238);
INSERT INTO public.ecdc_data VALUES (42747, 1, 28, 0.58203711, 26, 238);
INSERT INTO public.ecdc_data VALUES (42748, 0, 8, 7.72863699, 176, 238);
INSERT INTO public.ecdc_data VALUES (42749, 2, 415, 112.45337321, 120, 238);
INSERT INTO public.ecdc_data VALUES (42750, 0, 71, 4.987647, 121, 238);
INSERT INTO public.ecdc_data VALUES (42751, 0, 0, 0, 122, 238);
INSERT INTO public.ecdc_data VALUES (42752, 0, 2, 6.56260938, 177, 238);
INSERT INTO public.ecdc_data VALUES (42753, 0, 13, 1.53157026, 123, 238);
INSERT INTO public.ecdc_data VALUES (42754, 0, 0, 1.60004083, 28, 238);
INSERT INTO public.ecdc_data VALUES (42755, 0, 0, 0.04426442, 29, 238);
INSERT INTO public.ecdc_data VALUES (42756, 0, 0, 0, 178, 238);
INSERT INTO public.ecdc_data VALUES (42757, 1, 8, 0.64419523, 179, 238);
INSERT INTO public.ecdc_data VALUES (42758, 1, 6, 27.04049885, 180, 238);
INSERT INTO public.ecdc_data VALUES (42759, 0, 0, 0.16685635, 30, 238);
INSERT INTO public.ecdc_data VALUES (42760, 0, 13, 0.12346508, 31, 238);
INSERT INTO public.ecdc_data VALUES (42761, 1, 54, 2.65103472, 124, 238);
INSERT INTO public.ecdc_data VALUES (42762, 0, 146, 122.98547717, 125, 238);
INSERT INTO public.ecdc_data VALUES (42763, 2, 24, 1.63800805, 32, 238);
INSERT INTO public.ecdc_data VALUES (42764, 0, 6, 9.32006103, 181, 238);
INSERT INTO public.ecdc_data VALUES (42765, 0, 0, 0.02209604, 33, 238);
INSERT INTO public.ecdc_data VALUES (42766, 0, 0, 0.07876062, 34, 238);
INSERT INTO public.ecdc_data VALUES (42767, 193, 1513, 19.7686815, 87, 238);
INSERT INTO public.ecdc_data VALUES (42768, 9, 139, 38.65694447, 182, 238);
INSERT INTO public.ecdc_data VALUES (42769, 0, 0, 3.02251776, 183, 238);
INSERT INTO public.ecdc_data VALUES (42770, 0, 0, 0.12402462, 126, 238);
INSERT INTO public.ecdc_data VALUES (42771, 0, 0, 0.6428987, 184, 238);
INSERT INTO public.ecdc_data VALUES (42772, 0, 0, 0, 88, 238);
INSERT INTO public.ecdc_data VALUES (42773, 0, 199, 5.51933789, 35, 238);
INSERT INTO public.ecdc_data VALUES (42774, 0, 5, 0.05598359, 36, 238);
INSERT INTO public.ecdc_data VALUES (42775, 0, 1, 0.05920946, 127, 238);
INSERT INTO public.ecdc_data VALUES (42776, 0, 0, 0, 37, 238);
INSERT INTO public.ecdc_data VALUES (42777, 0, 8, 0.2097263, 128, 238);
INSERT INTO public.ecdc_data VALUES (42778, 63, 289, 30.04253576, 185, 238);
INSERT INTO public.ecdc_data VALUES (42779, 0, 0, 0, 207, 238);
INSERT INTO public.ecdc_data VALUES (42780, 0, 2, 0.48086351, 208, 238);
INSERT INTO public.ecdc_data VALUES (42781, 0, 0, 0.06111066, 89, 238);
INSERT INTO public.ecdc_data VALUES (42782, 1, 20, 0.56197323, 38, 238);
INSERT INTO public.ecdc_data VALUES (42783, 11, 239, 1.47738195, 39, 238);
INSERT INTO public.ecdc_data VALUES (42784, 1, 36, 12.27654285, 186, 238);
INSERT INTO public.ecdc_data VALUES (42785, 0, 1, 3.49570902, 209, 238);
INSERT INTO public.ecdc_data VALUES (42786, 0, 35, 11.29834924, 187, 238);
INSERT INTO public.ecdc_data VALUES (42787, 2, 112, 26.51260545, 129, 238);
INSERT INTO public.ecdc_data VALUES (42788, 21, 1991, 7.73069309, 130, 238);
INSERT INTO public.ecdc_data VALUES (42789, 0, 0, 4.11529077, 131, 238);
INSERT INTO public.ecdc_data VALUES (42790, 6, 212, 64.61883366, 90, 238);
INSERT INTO public.ecdc_data VALUES (42791, 0, 0, 0, 210, 238);
INSERT INTO public.ecdc_data VALUES (42792, 0, 126, 6.5439833, 91, 238);
INSERT INTO public.ecdc_data VALUES (42793, 100, 3168, 122.06532162, 92, 238);
INSERT INTO public.ecdc_data VALUES (42794, 8, 147, 3.06705846, 132, 238);
INSERT INTO public.ecdc_data VALUES (42795, 9, 285, 11.52930154, 188, 238);
INSERT INTO public.ecdc_data VALUES (42796, 12, 138, 36.22787538, 189, 238);
INSERT INTO public.ecdc_data VALUES (42797, 1, 17, 29.52201606, 93, 238);
INSERT INTO public.ecdc_data VALUES (42798, 1, 1130, 422.76482475, 133, 238);
INSERT INTO public.ecdc_data VALUES (42799, 28, 320, 23.15799905, 190, 238);
INSERT INTO public.ecdc_data VALUES (42800, 104, 10817, 85.06620793, 191, 238);
INSERT INTO public.ecdc_data VALUES (42801, 0, 7, 0.76819891, 40, 238);
INSERT INTO public.ecdc_data VALUES (42802, 0, 0, 0, 94, 238);
INSERT INTO public.ecdc_data VALUES (42803, 0, 0, 1.64118275, 95, 238);
INSERT INTO public.ecdc_data VALUES (42804, 0, 0, 2.71264908, 96, 238);
INSERT INTO public.ecdc_data VALUES (42805, 0, 14, 359.91060285, 192, 238);
INSERT INTO public.ecdc_data VALUES (42806, 0, 0, 93.00249247, 41, 238);
INSERT INTO public.ecdc_data VALUES (42807, 10, 1704, 60.80506111, 134, 238);
INSERT INTO public.ecdc_data VALUES (42808, 3, 83, 6.25906567, 42, 238);
INSERT INTO public.ecdc_data VALUES (42809, 4, 89, 32.3531929, 193, 238);
INSERT INTO public.ecdc_data VALUES (42810, 0, 0, 0, 43, 238);
INSERT INTO public.ecdc_data VALUES (42811, 1, 34, 2.67495793, 44, 238);
INSERT INTO public.ecdc_data VALUES (42812, 0, 753, 168.2705519, 135, 238);
INSERT INTO public.ecdc_data VALUES (42813, 0, 0, 7.07730779, 97, 238);
INSERT INTO public.ecdc_data VALUES (42814, 0, 0, 1.50447094, 194, 238);
INSERT INTO public.ecdc_data VALUES (42815, 1, 3, 3.31586019, 195, 238);
INSERT INTO public.ecdc_data VALUES (42816, 4, 69, 3.93060736, 45, 238);
INSERT INTO public.ecdc_data VALUES (42817, 8, 525, 8.6392584, 46, 238);
INSERT INTO public.ecdc_data VALUES (42818, 0, 34, 0.2850153, 136, 238);
INSERT INTO public.ecdc_data VALUES (42819, 0, 23, 1.24750116, 47, 238);
INSERT INTO public.ecdc_data VALUES (42820, 143, 3416, 37.21366443, 196, 238);
INSERT INTO public.ecdc_data VALUES (42821, 0, 12, 1.80549992, 137, 238);
INSERT INTO public.ecdc_data VALUES (42822, 5, 53, 2.22127563, 48, 238);
INSERT INTO public.ecdc_data VALUES (42823, 0, 0, 0, 98, 238);
INSERT INTO public.ecdc_data VALUES (42824, 68, 509, 77.88715453, 197, 238);
INSERT INTO public.ecdc_data VALUES (42825, 6, 44, 15.88151105, 198, 238);
INSERT INTO public.ecdc_data VALUES (42826, 0, 0, 0.02929093, 138, 238);
INSERT INTO public.ecdc_data VALUES (42827, 0, 0, 0.04626926, 139, 238);
INSERT INTO public.ecdc_data VALUES (42828, 8, 90, 0, 140, 238);
INSERT INTO public.ecdc_data VALUES (42829, 1, 4, 0.11777281, 141, 238);
INSERT INTO public.ecdc_data VALUES (42830, 0, 0, 0, 142, 238);
INSERT INTO public.ecdc_data VALUES (42831, 0, 8, 0.70523965, 49, 238);
INSERT INTO public.ecdc_data VALUES (42832, 0, 0, 0.07168618, 99, 238);
INSERT INTO public.ecdc_data VALUES (42833, 0, 2, 0.7952306, 50, 238);
INSERT INTO public.ecdc_data VALUES (42834, 50, 1546, 35.78123289, 199, 238);
INSERT INTO public.ecdc_data VALUES (42835, 0, 0, 2.61821228, 100, 238);
INSERT INTO public.ecdc_data VALUES (42836, 0, 15, 0.09261437, 51, 238);
INSERT INTO public.ecdc_data VALUES (42837, 15, 515, 14.96807164, 200, 238);
INSERT INTO public.ecdc_data VALUES (42838, 11, 624, 77.82590211, 143, 238);
INSERT INTO public.ecdc_data VALUES (42839, 275, 3063, 83.63453168, 201, 238);
INSERT INTO public.ecdc_data VALUES (42840, 0, 0, 0.3603109, 52, 238);
INSERT INTO public.ecdc_data VALUES (42841, 1614, 25612, 112.5881189, 101, 238);
INSERT INTO public.ecdc_data VALUES (42842, 0, 1, 13.38700886, 102, 238);
INSERT INTO public.ecdc_data VALUES (42843, 0, 8, 3.0620519, 103, 238);
INSERT INTO public.ecdc_data VALUES (42844, 0, 51, 1.58269514, 144, 238);
INSERT INTO public.ecdc_data VALUES (42845, 0, 14, 0.27703911, 104, 238);
INSERT INTO public.ecdc_data VALUES (42846, 0, 0, 0.01866018, 145, 238);
INSERT INTO public.ecdc_data VALUES (42847, 0, 0, 0, 53, 238);
INSERT INTO public.ecdc_data VALUES (42848, 0, 0, 0.11316127, 146, 238);
INSERT INTO public.ecdc_data VALUES (42849, 3, 85, 0.94059504, 54, 238);
INSERT INTO public.ecdc_data VALUES (42850, 0, 1, 0.03414024, 55, 238);
INSERT INTO public.ecdc_data VALUES (42851, 1, 61, 1.07513436, 105, 239);
INSERT INTO public.ecdc_data VALUES (42852, 1, 9, 8.20981636, 147, 239);
INSERT INTO public.ecdc_data VALUES (42853, 30, 94, 3.01720756, 1, 239);
INSERT INTO public.ecdc_data VALUES (42854, 2, 19, 471.27085603, 148, 239);
INSERT INTO public.ecdc_data VALUES (42855, 0, 0, 0.05027447, 2, 239);
INSERT INTO public.ecdc_data VALUES (42856, 0, 0, 6.72404519, 56, 239);
INSERT INTO public.ecdc_data VALUES (42857, 2, 4, 12.35648458, 57, 239);
INSERT INTO public.ecdc_data VALUES (42858, 14, 99, 2.9142035, 58, 239);
INSERT INTO public.ecdc_data VALUES (42859, 1, 16, 20.5563189, 149, 239);
INSERT INTO public.ecdc_data VALUES (42860, 0, 5, 59.26065281, 59, 239);
INSERT INTO public.ecdc_data VALUES (42861, 2, 100, 11.84770188, 202, 239);
INSERT INTO public.ecdc_data VALUES (42862, 22, 279, 70.20157979, 150, 239);
INSERT INTO public.ecdc_data VALUES (42863, 1, 104, 8.00181613, 151, 239);
INSERT INTO public.ecdc_data VALUES (42864, 1, 1, 8.21595641, 60, 239);
INSERT INTO public.ecdc_data VALUES (42865, 0, 64, 26.13998357, 106, 239);
INSERT INTO public.ecdc_data VALUES (42866, 1, 112, 0.17295714, 107, 239);
INSERT INTO public.ecdc_data VALUES (42867, 0, 3, 14.63307563, 61, 239);
INSERT INTO public.ecdc_data VALUES (42868, 3, 420, 14.81103918, 152, 239);
INSERT INTO public.ecdc_data VALUES (42869, 272, 2240, 167.30800237, 153, 239);
INSERT INTO public.ecdc_data VALUES (42870, 0, 1, 1.79325786, 62, 239);
INSERT INTO public.ecdc_data VALUES (42871, 0, 4, 0.20336999, 3, 239);
INSERT INTO public.ecdc_data VALUES (42872, 1, 9, 52.79324246, 63, 239);
INSERT INTO public.ecdc_data VALUES (42873, 0, 0, 0.26209091, 108, 239);
INSERT INTO public.ecdc_data VALUES (42874, 1, 4, 1.79795159, 64, 239);
INSERT INTO public.ecdc_data VALUES (42875, 0, 0, 0, 65, 239);
INSERT INTO public.ecdc_data VALUES (42876, 1, 59, 20.05454108, 154, 239);
INSERT INTO public.ecdc_data VALUES (42877, 0, 6, 0, 4, 239);
INSERT INTO public.ecdc_data VALUES (42878, 141, 1930, 7.07985504, 66, 239);
INSERT INTO public.ecdc_data VALUES (42879, 0, 0, 3.3296707, 67, 239);
INSERT INTO public.ecdc_data VALUES (42880, 0, 0, 4.8465714, 109, 239);
INSERT INTO public.ecdc_data VALUES (42881, 0, 31, 5.14282849, 155, 239);
INSERT INTO public.ecdc_data VALUES (42882, 1, 29, 1.4615147, 5, 239);
INSERT INTO public.ecdc_data VALUES (42883, 0, 0, 0, 6, 239);
INSERT INTO public.ecdc_data VALUES (42884, 0, 1, 0.12737662, 110, 239);
INSERT INTO public.ecdc_data VALUES (42885, 0, 0, 2.48102643, 7, 239);
INSERT INTO public.ecdc_data VALUES (42886, 74, 1474, 44.71942211, 68, 239);
INSERT INTO public.ecdc_data VALUES (42887, 0, 0, 0.36367868, 8, 239);
INSERT INTO public.ecdc_data VALUES (42888, 0, 0, 60.04803843, 69, 239);
INSERT INTO public.ecdc_data VALUES (42889, 0, 1, 0.12644412, 9, 239);
INSERT INTO public.ecdc_data VALUES (42890, 0, 1, 0.03762491, 10, 239);
INSERT INTO public.ecdc_data VALUES (42891, 9, 426, 24.6200474, 70, 239);
INSERT INTO public.ecdc_data VALUES (42892, 1, 55, 0.07658059, 111, 239);
INSERT INTO public.ecdc_data VALUES (42893, 14, 169, 3.44064196, 71, 239);
INSERT INTO public.ecdc_data VALUES (42894, 0, 0, 1.04079469, 12, 239);
INSERT INTO public.ecdc_data VALUES (42895, 1, 37, 6.10195696, 72, 239);
INSERT INTO public.ecdc_data VALUES (42896, 0, 60, 1.35321396, 13, 239);
INSERT INTO public.ecdc_data VALUES (42897, 1, 64, 22.37352701, 156, 239);
INSERT INTO public.ecdc_data VALUES (42898, 3, 58, 3.95288863, 73, 239);
INSERT INTO public.ecdc_data VALUES (42899, 0, 0, 4.89527178, 74, 239);
INSERT INTO public.ecdc_data VALUES (42900, 1, 38, 47.72239722, 157, 239);
INSERT INTO public.ecdc_data VALUES (42901, 13, 257, 32.93019587, 158, 239);
INSERT INTO public.ecdc_data VALUES (42902, 0, 32, 0.18550403, 14, 239);
INSERT INTO public.ecdc_data VALUES (42903, 19, 233, 64.72524238, 159, 239);
INSERT INTO public.ecdc_data VALUES (42904, 1, 5, 13.14766367, 15, 239);
INSERT INTO public.ecdc_data VALUES (42905, 0, 1, 6.96301248, 75, 239);
INSERT INTO public.ecdc_data VALUES (42906, 10, 238, 17.32942966, 76, 239);
INSERT INTO public.ecdc_data VALUES (42907, 30, 515, 20.50230415, 77, 239);
INSERT INTO public.ecdc_data VALUES (42908, 15, 139, 1.23819486, 16, 239);
INSERT INTO public.ecdc_data VALUES (42909, 1, 14, 1.61151614, 78, 239);
INSERT INTO public.ecdc_data VALUES (42910, 0, 0, 0.44248375, 17, 239);
INSERT INTO public.ecdc_data VALUES (42911, 0, 0, 0.77206453, 18, 239);
INSERT INTO public.ecdc_data VALUES (42912, 0, 22, 50.49742607, 160, 239);
INSERT INTO public.ecdc_data VALUES (42913, 0, 0, 0.52258754, 19, 239);
INSERT INTO public.ecdc_data VALUES (42914, 0, 1, 0.03925812, 20, 239);
INSERT INTO public.ecdc_data VALUES (42915, 0, 0, 0, 79, 239);
INSERT INTO public.ecdc_data VALUES (42916, 0, 0, 90.39176613, 161, 239);
INSERT INTO public.ecdc_data VALUES (42917, 0, 0, 1.12365232, 203, 239);
INSERT INTO public.ecdc_data VALUES (42918, 2, 118, 29.84820908, 162, 239);
INSERT INTO public.ecdc_data VALUES (42919, 1341, 4286, 85.32538437, 163, 239);
INSERT INTO public.ecdc_data VALUES (42920, 0, 0, 7.51920082, 204, 239);
INSERT INTO public.ecdc_data VALUES (42921, 0, 11, 1.70304587, 21, 239);
INSERT INTO public.ecdc_data VALUES (42922, 0, 0, 0.04259495, 22, 239);
INSERT INTO public.ecdc_data VALUES (42923, 0, 7, 3.47781529, 164, 239);
INSERT INTO public.ecdc_data VALUES (42924, 266, 5323, 85.80784788, 165, 239);
INSERT INTO public.ecdc_data VALUES (42925, 0, 65, 0.80873545, 23, 239);
INSERT INTO public.ecdc_data VALUES (42926, 0, 3, 261.08111315, 166, 239);
INSERT INTO public.ecdc_data VALUES (42927, 3, 71, 9.91179251, 167, 239);
INSERT INTO public.ecdc_data VALUES (42928, 0, 0, 8.8245676, 80, 239);
INSERT INTO public.ecdc_data VALUES (42929, 0, 0, 4.464206, 81, 239);
INSERT INTO public.ecdc_data VALUES (42930, 0, 3, 47.22197316, 205, 239);
INSERT INTO public.ecdc_data VALUES (42931, 0, 39, 0.57446826, 82, 239);
INSERT INTO public.ecdc_data VALUES (42932, 0, 10, 243.53167463, 168, 239);
INSERT INTO public.ecdc_data VALUES (42933, 0, 30, 1.47988693, 24, 239);
INSERT INTO public.ecdc_data VALUES (42934, 0, 2, 1.71792951, 25, 239);
INSERT INTO public.ecdc_data VALUES (42935, 0, 0, 4.08802018, 83, 239);
INSERT INTO public.ecdc_data VALUES (42936, 1, 3, 0.19532847, 84, 239);
INSERT INTO public.ecdc_data VALUES (42937, 0, 0, 368.09815951, 169, 239);
INSERT INTO public.ecdc_data VALUES (42938, 0, 39, 3.23205708, 85, 239);
INSERT INTO public.ecdc_data VALUES (42939, 11, 210, 9.10694997, 170, 239);
INSERT INTO public.ecdc_data VALUES (42940, 0, 32, 236.98076422, 171, 239);
INSERT INTO public.ecdc_data VALUES (42941, 33, 678, 0.41627094, 112, 239);
INSERT INTO public.ecdc_data VALUES (42942, 40, 337, 0.88683417, 113, 239);
INSERT INTO public.ecdc_data VALUES (42943, 117, 1634, 44.40027921, 114, 239);
INSERT INTO public.ecdc_data VALUES (42944, 0, 30, 2.16231128, 115, 239);
INSERT INTO public.ecdc_data VALUES (42945, 28, 1169, 113.65675416, 172, 239);
INSERT INTO public.ecdc_data VALUES (42946, 0, 32, 193.8786367, 173, 239);
INSERT INTO public.ecdc_data VALUES (42947, 15, 564, 85.71053292, 116, 239);
INSERT INTO public.ecdc_data VALUES (42948, 612, 4204, 104.51867879, 174, 239);
INSERT INTO public.ecdc_data VALUES (42949, 0, 0, 1.25497028, 86, 239);
INSERT INTO public.ecdc_data VALUES (42950, 3, 579, 3.13967414, 117, 239);
INSERT INTO public.ecdc_data VALUES (42951, 0, 13, 140.07940925, 175, 239);
INSERT INTO public.ecdc_data VALUES (42952, 1, 14, 1.97986536, 118, 239);
INSERT INTO public.ecdc_data VALUES (42953, 2, 43, 3.67626686, 119, 239);
INSERT INTO public.ecdc_data VALUES (42954, 1, 5, 0.29101856, 26, 239);
INSERT INTO public.ecdc_data VALUES (42955, 1, 3, 7.8398404, 176, 239);
INSERT INTO public.ecdc_data VALUES (42956, 0, 55, 16.68616952, 120, 239);
INSERT INTO public.ecdc_data VALUES (42957, 1, 18, 3.95894481, 121, 239);
INSERT INTO public.ecdc_data VALUES (42958, 0, 1, 0.1394806, 122, 239);
INSERT INTO public.ecdc_data VALUES (42959, 0, 12, 17.96904948, 177, 239);
INSERT INTO public.ecdc_data VALUES (42960, 0, 7, 3.12148605, 123, 239);
INSERT INTO public.ecdc_data VALUES (42961, 0, 0, 0.56710308, 28, 239);
INSERT INTO public.ecdc_data VALUES (42962, 0, 3, 0.33936052, 29, 239);
INSERT INTO public.ecdc_data VALUES (42963, 0, 0, 59.93016833, 178, 239);
INSERT INTO public.ecdc_data VALUES (42964, 0, 43, 23.47733721, 179, 239);
INSERT INTO public.ecdc_data VALUES (42965, 6, 81, 270.73077763, 180, 239);
INSERT INTO public.ecdc_data VALUES (42966, 0, 0, 0.25955432, 30, 239);
INSERT INTO public.ecdc_data VALUES (42967, 0, 0, 0, 31, 239);
INSERT INTO public.ecdc_data VALUES (42968, 2, 109, 6.87641474, 124, 239);
INSERT INTO public.ecdc_data VALUES (42969, 0, 0, 1.13003501, 125, 239);
INSERT INTO public.ecdc_data VALUES (42970, 0, 0, 0.27978398, 32, 239);
INSERT INTO public.ecdc_data VALUES (42971, 1, 13, 42.75071471, 181, 239);
INSERT INTO public.ecdc_data VALUES (42972, 0, 1, 0.08838416, 33, 239);
INSERT INTO public.ecdc_data VALUES (42973, 0, 41, 18.35122512, 34, 239);
INSERT INTO public.ecdc_data VALUES (42974, 20, 429, 3.63079035, 87, 239);
INSERT INTO public.ecdc_data VALUES (42975, 2, 115, 27.50257342, 182, 239);
INSERT INTO public.ecdc_data VALUES (42976, 0, 3, 93.69805048, 183, 239);
INSERT INTO public.ecdc_data VALUES (42977, 0, 0, 0.15503078, 126, 239);
INSERT INTO public.ecdc_data VALUES (42978, 0, 3, 29.73406495, 184, 239);
INSERT INTO public.ecdc_data VALUES (42979, 0, 0, 160.28851933, 88, 239);
INSERT INTO public.ecdc_data VALUES (42980, 4, 99, 3.01328979, 35, 239);
INSERT INTO public.ecdc_data VALUES (42981, 0, 0, 0.03293152, 36, 239);
INSERT INTO public.ecdc_data VALUES (42982, 0, 5, 0.0407065, 127, 239);
INSERT INTO public.ecdc_data VALUES (42983, 0, 0, 0.32070247, 37, 239);
INSERT INTO public.ecdc_data VALUES (42984, 0, 0, 0.02097263, 128, 239);
INSERT INTO public.ecdc_data VALUES (42985, 148, 1213, 82.92364793, 185, 239);
INSERT INTO public.ecdc_data VALUES (42986, 0, 0, 1.06098169, 207, 239);
INSERT INTO public.ecdc_data VALUES (42987, 1, 23, 14.15411299, 208, 239);
INSERT INTO public.ecdc_data VALUES (42988, 0, 0, 0.06111066, 89, 239);
INSERT INTO public.ecdc_data VALUES (42989, 0, 68, 1.71594879, 38, 239);
INSERT INTO public.ecdc_data VALUES (42990, 1, 12, 0.11096537, 39, 239);
INSERT INTO public.ecdc_data VALUES (42991, 2, 46, 22.24220704, 186, 239);
INSERT INTO public.ecdc_data VALUES (42992, 0, 0, 0, 209, 239);
INSERT INTO public.ecdc_data VALUES (42993, 8, 150, 56.37913807, 187, 239);
INSERT INTO public.ecdc_data VALUES (42994, 1, 38, 6.99498612, 129, 239);
INSERT INTO public.ecdc_data VALUES (42995, 3, 279, 1.57181217, 130, 239);
INSERT INTO public.ecdc_data VALUES (42996, 0, 0, 4.03499242, 131, 239);
INSERT INTO public.ecdc_data VALUES (42997, 3, 224, 48.935108, 90, 239);
INSERT INTO public.ecdc_data VALUES (42998, 0, 0, 0.01139456, 210, 239);
INSERT INTO public.ecdc_data VALUES (42999, 1, 5, 1.09302975, 91, 239);
INSERT INTO public.ecdc_data VALUES (43000, 17, 914, 14.38306229, 92, 239);
INSERT INTO public.ecdc_data VALUES (43001, 21, 206, 3.1160796, 132, 239);
INSERT INTO public.ecdc_data VALUES (43002, 15, 370, 11.46609843, 188, 239);
INSERT INTO public.ecdc_data VALUES (43003, 29, 815, 101.31738879, 189, 239);
INSERT INTO public.ecdc_data VALUES (43004, 9, 63, 23.28352999, 93, 239);
INSERT INTO public.ecdc_data VALUES (43005, 0, 166, 64.51109453, 133, 239);
INSERT INTO public.ecdc_data VALUES (43006, 20, 441, 21.49429049, 190, 239);
INSERT INTO public.ecdc_data VALUES (43007, 13, 1459, 6.36927131, 191, 239);
INSERT INTO public.ecdc_data VALUES (43008, 0, 3, 0.49893331, 40, 239);
INSERT INTO public.ecdc_data VALUES (43009, 0, 0, 17.03448537, 94, 239);
INSERT INTO public.ecdc_data VALUES (43010, 0, 0, 6.01767007, 95, 239);
INSERT INTO public.ecdc_data VALUES (43011, 0, 4, 9.94637997, 96, 239);
INSERT INTO public.ecdc_data VALUES (43012, 0, 25, 333.78805909, 192, 239);
INSERT INTO public.ecdc_data VALUES (43013, 0, 0, 0, 41, 239);
INSERT INTO public.ecdc_data VALUES (43014, 3, 355, 6.63874425, 134, 239);
INSERT INTO public.ecdc_data VALUES (43015, 0, 6, 0.88976914, 42, 239);
INSERT INTO public.ecdc_data VALUES (43016, 1, 201, 35.65600443, 193, 239);
INSERT INTO public.ecdc_data VALUES (43017, 0, 0, 3.06933631, 43, 239);
INSERT INTO public.ecdc_data VALUES (43018, 0, 0, 0, 44, 239);
INSERT INTO public.ecdc_data VALUES (43019, 0, 286, 22.65544955, 135, 239);
INSERT INTO public.ecdc_data VALUES (43020, 0, 10, 113.23692467, 97, 239);
INSERT INTO public.ecdc_data VALUES (43021, 0, 19, 8.71492312, 194, 239);
INSERT INTO public.ecdc_data VALUES (43022, 3, 33, 26.28660181, 195, 239);
INSERT INTO public.ecdc_data VALUES (43023, 1, 4, 0.06475465, 45, 239);
INSERT INTO public.ecdc_data VALUES (43024, 0, 89, 1.71965472, 46, 239);
INSERT INTO public.ecdc_data VALUES (43025, 4, 27, 2.18251439, 136, 239);
INSERT INTO public.ecdc_data VALUES (43026, 0, 0, 0, 47, 239);
INSERT INTO public.ecdc_data VALUES (43027, 683, 4537, 187.12505641, 196, 239);
INSERT INTO public.ecdc_data VALUES (43028, 0, 1, 0.39392725, 137, 239);
INSERT INTO public.ecdc_data VALUES (43029, 0, 0, 0.02569299, 48, 239);
INSERT INTO public.ecdc_data VALUES (43030, 0, 0, 0.34401914, 98, 239);
INSERT INTO public.ecdc_data VALUES (43031, 86, 645, 61.00573939, 197, 239);
INSERT INTO public.ecdc_data VALUES (43032, 51, 785, 149.58112953, 198, 239);
INSERT INTO public.ecdc_data VALUES (43033, 0, 0, 0.0820146, 138, 239);
INSERT INTO public.ecdc_data VALUES (43034, 0, 1, 0.53840599, 139, 239);
INSERT INTO public.ecdc_data VALUES (43035, 1, 50, 1.92027123, 141, 239);
INSERT INTO public.ecdc_data VALUES (43036, 0, 1, 0.07733234, 142, 239);
INSERT INTO public.ecdc_data VALUES (43037, 0, 3, 0.60625864, 49, 239);
INSERT INTO public.ecdc_data VALUES (43038, 0, 2, 3.15419196, 99, 239);
INSERT INTO public.ecdc_data VALUES (43039, 2, 20, 4.01890733, 50, 239);
INSERT INTO public.ecdc_data VALUES (43040, 96, 4056, 47.13557341, 199, 239);
INSERT INTO public.ecdc_data VALUES (43041, 0, 0, 15.70927371, 100, 239);
INSERT INTO public.ecdc_data VALUES (43042, 0, 0, 0.0880966, 51, 239);
INSERT INTO public.ecdc_data VALUES (43043, 5, 224, 3.94602466, 200, 239);
INSERT INTO public.ecdc_data VALUES (43044, 2, 313, 26.37524326, 143, 239);
INSERT INTO public.ecdc_data VALUES (43045, 1116, 5131, 88.40293035, 201, 239);
INSERT INTO public.ecdc_data VALUES (43046, 0, 0, 0.02068771, 52, 239);
INSERT INTO public.ecdc_data VALUES (43047, 1873, 33901, 115.49149738, 101, 239);
INSERT INTO public.ecdc_data VALUES (43048, 0, 5, 31.55509232, 102, 239);
INSERT INTO public.ecdc_data VALUES (43049, 0, 7, 5.63302001, 103, 239);
INSERT INTO public.ecdc_data VALUES (43050, 0, 27, 1.51295953, 144, 239);
INSERT INTO public.ecdc_data VALUES (43051, 1, 4, 0.22443675, 104, 239);
INSERT INTO public.ecdc_data VALUES (43052, 0, 2, 0.09744759, 145, 239);
INSERT INTO public.ecdc_data VALUES (43053, 0, 1, 0, 146, 239);
INSERT INTO public.ecdc_data VALUES (43054, 0, 0, 0.1399695, 54, 239);
INSERT INTO public.ecdc_data VALUES (43055, 1, 0, 0.05462439, 55, 239);
INSERT INTO public.ecdc_data VALUES (43056, 0, 4, 0, 147, 240);
INSERT INTO public.ecdc_data VALUES (43057, 0, 20, 0.30948451, 202, 240);
INSERT INTO public.ecdc_data VALUES (43058, 0, 29, 1.47875976, 150, 240);
INSERT INTO public.ecdc_data VALUES (43059, 0, 30, 6.58069517, 106, 240);
INSERT INTO public.ecdc_data VALUES (43060, 1, 94, 3.54414322, 153, 240);
INSERT INTO public.ecdc_data VALUES (43061, 0, 0, 0.01184556, 66, 240);
INSERT INTO public.ecdc_data VALUES (43062, 0, 1, 0, 109, 240);
INSERT INTO public.ecdc_data VALUES (43063, 1, 15, 0.17641852, 68, 240);
INSERT INTO public.ecdc_data VALUES (43064, 1, -9, 0, 214, 240);
INSERT INTO public.ecdc_data VALUES (43065, 0, 3, 0, 70, 240);
INSERT INTO public.ecdc_data VALUES (43066, 17, 20, 0.2183035, 111, 240);
INSERT INTO public.ecdc_data VALUES (43067, 0, 2, 0, 71, 240);
INSERT INTO public.ecdc_data VALUES (43068, 0, 4, 0, 72, 240);
INSERT INTO public.ecdc_data VALUES (43069, 0, 2, 0, 157, 240);
INSERT INTO public.ecdc_data VALUES (43070, 0, 8, 0.37559391, 158, 240);
INSERT INTO public.ecdc_data VALUES (43071, 0, 75, 1.94623533, 159, 240);
INSERT INTO public.ecdc_data VALUES (43072, 0, 3, 0.04655946, 76, 240);
INSERT INTO public.ecdc_data VALUES (43073, 0, 1, 0.08633761, 77, 240);
INSERT INTO public.ecdc_data VALUES (43074, 0, 6, 0.05379125, 16, 240);
INSERT INTO public.ecdc_data VALUES (43075, 0, 0, 0, 161, 240);
INSERT INTO public.ecdc_data VALUES (43076, 0, 10, 0.70678819, 162, 240);
INSERT INTO public.ecdc_data VALUES (43077, 11, 286, 2.08915053, 163, 240);
INSERT INTO public.ecdc_data VALUES (43078, 0, 2, 0.37530381, 164, 240);
INSERT INTO public.ecdc_data VALUES (43079, 2, 237, 1.35390346, 165, 240);
INSERT INTO public.ecdc_data VALUES (43080, 0, 11, 0.78324607, 167, 240);
INSERT INTO public.ecdc_data VALUES (43081, 0, 1, 0, 170, 240);
INSERT INTO public.ecdc_data VALUES (43082, 0, 10, 18.20774193, 171, 240);
INSERT INTO public.ecdc_data VALUES (43083, 0, 10, 0.00300055, 112, 240);
INSERT INTO public.ecdc_data VALUES (43084, 43, 595, 8.56310052, 114, 240);
INSERT INTO public.ecdc_data VALUES (43085, 98, 1797, 14.81621482, 174, 240);
INSERT INTO public.ecdc_data VALUES (43086, 2, 26, 0.29165941, 117, 240);
INSERT INTO public.ecdc_data VALUES (43087, 0, 1, 1.5450157, 120, 240);
INSERT INTO public.ecdc_data VALUES (43088, 0, 3, 0, 177, 240);
INSERT INTO public.ecdc_data VALUES (43089, 0, 9, 0.58345534, 123, 240);
INSERT INTO public.ecdc_data VALUES (43090, 0, 18, 0.29734156, 124, 240);
INSERT INTO public.ecdc_data VALUES (43091, 0, 2, 0, 181, 240);
INSERT INTO public.ecdc_data VALUES (43092, 0, 2, 0.01959623, 87, 240);
INSERT INTO public.ecdc_data VALUES (43093, 0, 1, 0, 126, 240);
INSERT INTO public.ecdc_data VALUES (43094, 0, 56, 1.85740639, 185, 240);
INSERT INTO public.ecdc_data VALUES (43095, 0, 1, 0.00099521, 39, 240);
INSERT INTO public.ecdc_data VALUES (43096, 0, 23, 3.60346022, 187, 240);
INSERT INTO public.ecdc_data VALUES (43097, 0, 2, 0.36180963, 129, 240);
INSERT INTO public.ecdc_data VALUES (43098, 0, 10, 0.00738807, 130, 240);
INSERT INTO public.ecdc_data VALUES (43099, 0, 1, 0, 131, 240);
INSERT INTO public.ecdc_data VALUES (43100, 0, 1, 0, 90, 240);
INSERT INTO public.ecdc_data VALUES (43101, 0, 2, 0, 92, 240);
INSERT INTO public.ecdc_data VALUES (43102, 0, 23, 0.02774781, 132, 240);
INSERT INTO public.ecdc_data VALUES (43103, 0, 6, 0, 188, 240);
INSERT INTO public.ecdc_data VALUES (43104, 0, 9, 0, 189, 240);
INSERT INTO public.ecdc_data VALUES (43105, 0, 3, 0.63557729, 133, 240);
INSERT INTO public.ecdc_data VALUES (43106, 0, 2, 0.08756361, 190, 240);
INSERT INTO public.ecdc_data VALUES (43107, 0, 0, 0.00548425, 191, 240);
INSERT INTO public.ecdc_data VALUES (43108, 1, 12, 142.22273822, 192, 240);
INSERT INTO public.ecdc_data VALUES (43109, 0, 4, 0, 134, 240);
INSERT INTO public.ecdc_data VALUES (43110, 0, 10, 1.20599351, 135, 240);
INSERT INTO public.ecdc_data VALUES (43111, 0, 4, 0, 46, 240);
INSERT INTO public.ecdc_data VALUES (43112, 3, 131, 12.92524843, 136, 240);
INSERT INTO public.ecdc_data VALUES (43113, 23, 772, 4.89165704, 196, 240);
INSERT INTO public.ecdc_data VALUES (43114, 0, 101, 2.18959872, 197, 240);
INSERT INTO public.ecdc_data VALUES (43115, 0, 42, 4.37707084, 198, 240);
INSERT INTO public.ecdc_data VALUES (43116, 0, 0, 0.06309445, 139, 240);
INSERT INTO public.ecdc_data VALUES (43117, 0, 1, 0, 50, 240);
INSERT INTO public.ecdc_data VALUES (43118, 0, 14, 0.51174318, 143, 240);
INSERT INTO public.ecdc_data VALUES (43119, 1, 57, 0.68720157, 201, 240);
INSERT INTO public.ecdc_data VALUES (43120, 5, 200, 0.21302787, 101, 240);
INSERT INTO public.ecdc_data VALUES (43121, 0, 4, 0.01866018, 145, 240);
INSERT INTO public.ecdc_data VALUES (43122, 0, 0, 0, 105, 241);
INSERT INTO public.ecdc_data VALUES (43123, 0, 0, 0, 1, 241);
INSERT INTO public.ecdc_data VALUES (43124, 0, 0, 0, 149, 241);
INSERT INTO public.ecdc_data VALUES (43125, 0, 0, 0.0396775, 202, 241);
INSERT INTO public.ecdc_data VALUES (43126, 0, 0, 0, 150, 241);
INSERT INTO public.ecdc_data VALUES (43127, 0, 0, 0, 151, 241);
INSERT INTO public.ecdc_data VALUES (43128, 0, 0, 0, 106, 241);
INSERT INTO public.ecdc_data VALUES (43129, 0, 0, 0, 152, 241);
INSERT INTO public.ecdc_data VALUES (43130, 0, 0, 0.00872942, 153, 241);
INSERT INTO public.ecdc_data VALUES (43131, 0, 0, 0, 66, 241);
INSERT INTO public.ecdc_data VALUES (43132, 0, 0, 0.00606555, 110, 241);
INSERT INTO public.ecdc_data VALUES (43133, 0, 0, 0.01603805, 68, 241);
INSERT INTO public.ecdc_data VALUES (43134, 0, 6, 0, 214, 241);
INSERT INTO public.ecdc_data VALUES (43135, 97, 2974, 2.61064484, 111, 241);
INSERT INTO public.ecdc_data VALUES (43136, 0, 0, 0, 156, 241);
INSERT INTO public.ecdc_data VALUES (43137, 0, 0, 0, 158, 241);
INSERT INTO public.ecdc_data VALUES (43138, 0, 0, 0, 159, 241);
INSERT INTO public.ecdc_data VALUES (43139, 0, 0, 0, 76, 241);
INSERT INTO public.ecdc_data VALUES (43140, 0, 0, 0, 77, 241);
INSERT INTO public.ecdc_data VALUES (43141, 0, 0, 0, 16, 241);
INSERT INTO public.ecdc_data VALUES (43142, 0, 0, 0, 160, 241);
INSERT INTO public.ecdc_data VALUES (43143, 0, 0, 0.01812277, 162, 241);
INSERT INTO public.ecdc_data VALUES (43144, 0, 0, 0.011938, 163, 241);
INSERT INTO public.ecdc_data VALUES (43145, 0, 0, 0, 164, 241);
INSERT INTO public.ecdc_data VALUES (43146, 0, 0, 0.01565903, 165, 241);
INSERT INTO public.ecdc_data VALUES (43147, 0, 0, 0, 167, 241);
INSERT INTO public.ecdc_data VALUES (43148, 0, 0, 0, 171, 241);
INSERT INTO public.ecdc_data VALUES (43149, 0, 0, 0.00021955, 112, 241);
INSERT INTO public.ecdc_data VALUES (43150, 0, 0, 0, 113, 241);
INSERT INTO public.ecdc_data VALUES (43151, 0, 0, 0, 114, 241);
INSERT INTO public.ecdc_data VALUES (43152, 0, 0, 0, 115, 241);
INSERT INTO public.ecdc_data VALUES (43153, 0, 0, 0, 172, 241);
INSERT INTO public.ecdc_data VALUES (43154, 0, 0, 0, 116, 241);
INSERT INTO public.ecdc_data VALUES (43155, 0, 0, 0.00497022, 174, 241);
INSERT INTO public.ecdc_data VALUES (43156, 0, 0, 0.01734191, 117, 241);
INSERT INTO public.ecdc_data VALUES (43157, 0, 0, 0, 120, 241);
INSERT INTO public.ecdc_data VALUES (43158, 0, 0, 0, 123, 241);
INSERT INTO public.ecdc_data VALUES (43159, 0, 0, 0, 179, 241);
INSERT INTO public.ecdc_data VALUES (43160, 0, 0, 0, 180, 241);
INSERT INTO public.ecdc_data VALUES (43161, 0, 2, 0.04381876, 124, 241);
INSERT INTO public.ecdc_data VALUES (43162, 0, 0, 0.00078385, 87, 241);
INSERT INTO public.ecdc_data VALUES (43163, 0, 0, 0, 183, 241);
INSERT INTO public.ecdc_data VALUES (43164, 0, 0, 0, 128, 241);
INSERT INTO public.ecdc_data VALUES (43165, 0, 0, 0, 185, 241);
INSERT INTO public.ecdc_data VALUES (43166, 0, 0, 0, 208, 241);
INSERT INTO public.ecdc_data VALUES (43167, 0, 0, 0, 39, 241);
INSERT INTO public.ecdc_data VALUES (43168, 0, 0, 0, 186, 241);
INSERT INTO public.ecdc_data VALUES (43169, 0, 0, 0, 187, 241);
INSERT INTO public.ecdc_data VALUES (43170, 0, 0, 0, 129, 241);
INSERT INTO public.ecdc_data VALUES (43171, 0, 0, 0, 130, 241);
INSERT INTO public.ecdc_data VALUES (43172, 0, 0, 0.00277478, 132, 241);
INSERT INTO public.ecdc_data VALUES (43173, 0, 0, 0, 133, 241);
INSERT INTO public.ecdc_data VALUES (43174, 0, 0, 0, 190, 241);
INSERT INTO public.ecdc_data VALUES (43175, 0, 0, 0.00137106, 191, 241);
INSERT INTO public.ecdc_data VALUES (43176, 0, 0, 0, 192, 241);
INSERT INTO public.ecdc_data VALUES (43177, 0, 3, 0.67191067, 135, 241);
INSERT INTO public.ecdc_data VALUES (43178, 0, 2, 0.04489967, 136, 241);
INSERT INTO public.ecdc_data VALUES (43179, 0, 1, 0.00426103, 196, 241);
INSERT INTO public.ecdc_data VALUES (43180, 0, 0, 0.00468961, 137, 241);
INSERT INTO public.ecdc_data VALUES (43181, 0, 0, 0.00977499, 197, 241);
INSERT INTO public.ecdc_data VALUES (43182, 0, 0, 0, 198, 241);
INSERT INTO public.ecdc_data VALUES (43183, 0, 0, 0.05468186, 139, 241);
INSERT INTO public.ecdc_data VALUES (43184, 0, 0, 0.03447009, 141, 241);
INSERT INTO public.ecdc_data VALUES (43185, 0, 0, 0.06140918, 143, 241);
INSERT INTO public.ecdc_data VALUES (43186, 0, 4, 0.01200352, 201, 241);
INSERT INTO public.ecdc_data VALUES (43187, 0, 0, 0.00212724, 101, 241);
INSERT INTO public.ecdc_data VALUES (43188, 0, 0, 0.01244012, 145, 241);
INSERT INTO public.ecdc_data VALUES (43189, 0, 0, 0, 105, 242);
INSERT INTO public.ecdc_data VALUES (43190, 0, 0, 0, 1, 242);
INSERT INTO public.ecdc_data VALUES (43191, 0, 0, 0, 149, 242);
INSERT INTO public.ecdc_data VALUES (43192, 0, 0, 0, 202, 242);
INSERT INTO public.ecdc_data VALUES (43193, 0, 0, 0, 150, 242);
INSERT INTO public.ecdc_data VALUES (43194, 0, 0, 0, 151, 242);
INSERT INTO public.ecdc_data VALUES (43195, 0, 0, 0, 106, 242);
INSERT INTO public.ecdc_data VALUES (43196, 0, 0, 0, 152, 242);
INSERT INTO public.ecdc_data VALUES (43197, 0, 0, 0, 153, 242);
INSERT INTO public.ecdc_data VALUES (43198, 0, 0, 0, 66, 242);
INSERT INTO public.ecdc_data VALUES (43199, 0, 0, 0, 110, 242);
INSERT INTO public.ecdc_data VALUES (43200, 0, 0, 0, 68, 242);
INSERT INTO public.ecdc_data VALUES (43201, 0, 0, 0, 214, 242);
INSERT INTO public.ecdc_data VALUES (43202, 0, 0, 0, 111, 242);
INSERT INTO public.ecdc_data VALUES (43203, 0, 0, 0, 156, 242);
INSERT INTO public.ecdc_data VALUES (43204, 0, 0, 0, 158, 242);
INSERT INTO public.ecdc_data VALUES (43205, 0, 0, 0, 159, 242);
INSERT INTO public.ecdc_data VALUES (43206, 0, 0, 0, 76, 242);
INSERT INTO public.ecdc_data VALUES (43207, 0, 0, 0, 77, 242);
INSERT INTO public.ecdc_data VALUES (43208, 0, 0, 0, 16, 242);
INSERT INTO public.ecdc_data VALUES (43209, 0, 0, 0, 160, 242);
INSERT INTO public.ecdc_data VALUES (43210, 0, 0, 0, 162, 242);
INSERT INTO public.ecdc_data VALUES (43211, 0, 0, 0, 163, 242);
INSERT INTO public.ecdc_data VALUES (43212, 0, 0, 0, 164, 242);
INSERT INTO public.ecdc_data VALUES (43213, 0, 0, 0, 165, 242);
INSERT INTO public.ecdc_data VALUES (43214, 0, 0, 0, 167, 242);
INSERT INTO public.ecdc_data VALUES (43215, 0, 0, 0, 171, 242);
INSERT INTO public.ecdc_data VALUES (43216, 0, 0, 0, 112, 242);
INSERT INTO public.ecdc_data VALUES (43217, 0, 0, 0, 113, 242);
INSERT INTO public.ecdc_data VALUES (43218, 0, 0, 0, 114, 242);
INSERT INTO public.ecdc_data VALUES (43219, 0, 0, 0, 115, 242);
INSERT INTO public.ecdc_data VALUES (43220, 0, 0, 0, 172, 242);
INSERT INTO public.ecdc_data VALUES (43221, 0, 0, 0, 116, 242);
INSERT INTO public.ecdc_data VALUES (43222, 0, 0, 0, 174, 242);
INSERT INTO public.ecdc_data VALUES (43223, 0, 0, 0, 117, 242);
INSERT INTO public.ecdc_data VALUES (43224, 0, 0, 0, 120, 242);
INSERT INTO public.ecdc_data VALUES (43225, 0, 0, 0, 123, 242);
INSERT INTO public.ecdc_data VALUES (43226, 0, 0, 0, 179, 242);
INSERT INTO public.ecdc_data VALUES (43227, 0, 0, 0, 180, 242);
INSERT INTO public.ecdc_data VALUES (43228, 0, 0, 0, 124, 242);
INSERT INTO public.ecdc_data VALUES (43229, 0, 0, 0, 87, 242);
INSERT INTO public.ecdc_data VALUES (43230, 0, 0, 0, 183, 242);
INSERT INTO public.ecdc_data VALUES (43231, 0, 0, 0, 128, 242);
INSERT INTO public.ecdc_data VALUES (43232, 0, 0, 0, 185, 242);
INSERT INTO public.ecdc_data VALUES (43233, 0, 0, 0, 208, 242);
INSERT INTO public.ecdc_data VALUES (43234, 0, 0, 0, 39, 242);
INSERT INTO public.ecdc_data VALUES (43235, 0, 0, 0, 186, 242);
INSERT INTO public.ecdc_data VALUES (43236, 0, 0, 0, 187, 242);
INSERT INTO public.ecdc_data VALUES (43237, 0, 0, 0, 129, 242);
INSERT INTO public.ecdc_data VALUES (43238, 0, 0, 0, 130, 242);
INSERT INTO public.ecdc_data VALUES (43239, 0, 0, 0, 132, 242);
INSERT INTO public.ecdc_data VALUES (43240, 0, 0, 0, 133, 242);
INSERT INTO public.ecdc_data VALUES (43241, 0, 0, 0, 190, 242);
INSERT INTO public.ecdc_data VALUES (43242, 0, 0, 0, 191, 242);
INSERT INTO public.ecdc_data VALUES (43243, 0, 0, 0, 192, 242);
INSERT INTO public.ecdc_data VALUES (43244, 0, 0, 0, 135, 242);
INSERT INTO public.ecdc_data VALUES (43245, 0, 0, 0, 136, 242);
INSERT INTO public.ecdc_data VALUES (43246, 0, 0, 0, 196, 242);
INSERT INTO public.ecdc_data VALUES (43247, 0, 0, 0, 137, 242);
INSERT INTO public.ecdc_data VALUES (43248, 0, 0, 0, 197, 242);
INSERT INTO public.ecdc_data VALUES (43249, 0, 0, 0, 198, 242);
INSERT INTO public.ecdc_data VALUES (43250, 0, 0, 0, 139, 242);
INSERT INTO public.ecdc_data VALUES (43251, 0, 0, 0, 141, 242);
INSERT INTO public.ecdc_data VALUES (43252, 0, 0, 0, 143, 242);
INSERT INTO public.ecdc_data VALUES (43253, 0, 0, 0, 201, 242);
INSERT INTO public.ecdc_data VALUES (43254, 0, 0, 0, 101, 242);
INSERT INTO public.ecdc_data VALUES (43255, 0, 0, 0, 145, 242);
INSERT INTO public.ecdc_data VALUES (43256, 13, 135, 6.96340077, 105, 243);
INSERT INTO public.ecdc_data VALUES (43257, 14, 753, 354.10510032, 147, 243);
INSERT INTO public.ecdc_data VALUES (43258, 12, 591, 28.83883685, 1, 243);
INSERT INTO public.ecdc_data VALUES (43259, 0, 43, 1018.68017906, 148, 243);
INSERT INTO public.ecdc_data VALUES (43260, 1, 81, 3.44065896, 2, 243);
INSERT INTO public.ecdc_data VALUES (43261, 0, 1, 40.34427111, 56, 243);
INSERT INTO public.ecdc_data VALUES (43262, 0, 0, 6.17824229, 57, 243);
INSERT INTO public.ecdc_data VALUES (43263, 121, 3610, 196.81927528, 58, 243);
INSERT INTO public.ecdc_data VALUES (43264, 21, 1138, 506.50364063, 149, 243);
INSERT INTO public.ecdc_data VALUES (43265, 0, 18, 219.17035086, 59, 243);
INSERT INTO public.ecdc_data VALUES (43266, 0, 15, 0.55151727, 202, 243);
INSERT INTO public.ecdc_data VALUES (43267, 80, 2531, 590.81532153, 150, 243);
INSERT INTO public.ecdc_data VALUES (43268, 38, 4387, 549.6272338, 151, 243);
INSERT INTO public.ecdc_data VALUES (43269, 0, 0, 42.6202739, 60, 243);
INSERT INTO public.ecdc_data VALUES (43270, 3, 183, 138.80392209, 106, 243);
INSERT INTO public.ecdc_data VALUES (43271, 32, 2202, 18.37209635, 107, 243);
INSERT INTO public.ecdc_data VALUES (43272, 0, 1, 9.75538375, 61, 243);
INSERT INTO public.ecdc_data VALUES (43273, 7, 1649, 250.19018961, 152, 243);
INSERT INTO public.ecdc_data VALUES (43274, 91, 2715, 268.43829599, 153, 243);
INSERT INTO public.ecdc_data VALUES (43275, 3, 60, 686.04922237, 62, 243);
INSERT INTO public.ecdc_data VALUES (43276, 0, 0, 1.33037871, 3, 243);
INSERT INTO public.ecdc_data VALUES (43277, 0, 24, 145.58136559, 63, 243);
INSERT INTO public.ecdc_data VALUES (43278, 0, 1, 6.15913636, 108, 243);
INSERT INTO public.ecdc_data VALUES (43279, 5, 189, 14.75710022, 64, 243);
INSERT INTO public.ecdc_data VALUES (43280, 0, 0, 30.78936228, 65, 243);
INSERT INTO public.ecdc_data VALUES (43281, 69, 1077, 432.65703281, 154, 243);
INSERT INTO public.ecdc_data VALUES (43282, 2, 527, 89.68169942, 4, 243);
INSERT INTO public.ecdc_data VALUES (43283, 842, 51088, 263.5831641, 66, 243);
INSERT INTO public.ecdc_data VALUES (43284, 0, 0, 3.3296707, 67, 243);
INSERT INTO public.ecdc_data VALUES (43285, 0, 0, 0.46157823, 109, 243);
INSERT INTO public.ecdc_data VALUES (43286, 146, 3980, 554.52548193, 155, 243);
INSERT INTO public.ecdc_data VALUES (43287, 1, 154, 3.50369854, 5, 243);
INSERT INTO public.ecdc_data VALUES (43288, 0, 18, 0.37292149, 6, 243);
INSERT INTO public.ecdc_data VALUES (43289, 0, 4, 0.28508101, 110, 243);
INSERT INTO public.ecdc_data VALUES (43290, 0, 0, 3.41237747, 7, 243);
INSERT INTO public.ecdc_data VALUES (43291, 90, 5981, 231.45842679, 68, 243);
INSERT INTO public.ecdc_data VALUES (43292, 0, 55, 130.56064706, 8, 243);
INSERT INTO public.ecdc_data VALUES (43293, 0, 1, 40.03202562, 69, 243);
INSERT INTO public.ecdc_data VALUES (43294, 0, 5, 0.33718433, 9, 243);
INSERT INTO public.ecdc_data VALUES (43295, 0, 1, 0.50166547, 10, 243);
INSERT INTO public.ecdc_data VALUES (43296, 17, 1392, 107.88815027, 70, 243);
INSERT INTO public.ecdc_data VALUES (43297, 0, 15, 0.01304241, 111, 243);
INSERT INTO public.ecdc_data VALUES (43298, 163, 7510, 242.58512356, 71, 243);
INSERT INTO public.ecdc_data VALUES (43299, 0, 1, 1.17523866, 11, 243);
INSERT INTO public.ecdc_data VALUES (43300, 0, 0, 2.63915797, 12, 243);
INSERT INTO public.ecdc_data VALUES (43301, 21, 1009, 282.11645189, 72, 243);
INSERT INTO public.ecdc_data VALUES (43302, 0, 6, 1.38821088, 13, 243);
INSERT INTO public.ecdc_data VALUES (43303, 65, 2613, 1149.04743237, 156, 243);
INSERT INTO public.ecdc_data VALUES (43304, 0, 76, 9.1057613, 73, 243);
INSERT INTO public.ecdc_data VALUES (43305, 1, 38, 824.24138585, 74, 243);
INSERT INTO public.ecdc_data VALUES (43306, 5, 419, 466.60630963, 157, 243);
INSERT INTO public.ecdc_data VALUES (43307, 100, 5857, 510.74198576, 158, 243);
INSERT INTO public.ecdc_data VALUES (43308, 6, 93, 1.76632097, 14, 243);
INSERT INTO public.ecdc_data VALUES (43309, 7, 2150, 375.08949668, 159, 243);
INSERT INTO public.ecdc_data VALUES (43310, 0, 6, 4.62222551, 15, 243);
INSERT INTO public.ecdc_data VALUES (43311, 0, 0, 11.14081996, 75, 243);
INSERT INTO public.ecdc_data VALUES (43312, 1, 492, 97.95178433, 76, 243);
INSERT INTO public.ecdc_data VALUES (43313, 14, 508, 70.88893259, 77, 243);
INSERT INTO public.ecdc_data VALUES (43314, 23, 434, 5.51758757, 16, 243);
INSERT INTO public.ecdc_data VALUES (43315, 10, 396, 44.27020787, 78, 243);
INSERT INTO public.ecdc_data VALUES (43316, 0, 0, 2.13867146, 17, 243);
INSERT INTO public.ecdc_data VALUES (43317, 0, 0, 2.60214342, 18, 243);
INSERT INTO public.ecdc_data VALUES (43318, 3, 284, 403.90392657, 160, 243);
INSERT INTO public.ecdc_data VALUES (43319, 1, 34, 27.52294377, 19, 243);
INSERT INTO public.ecdc_data VALUES (43320, 11, 531, 6.84786507, 20, 243);
INSERT INTO public.ecdc_data VALUES (43321, 0, 0, 29.65599051, 79, 243);
INSERT INTO public.ecdc_data VALUES (43322, 0, 4, 28.7610165, 161, 243);
INSERT INTO public.ecdc_data VALUES (43323, 0, 0, 0.67419139, 203, 243);
INSERT INTO public.ecdc_data VALUES (43324, 1, 361, 107.88487471, 162, 243);
INSERT INTO public.ecdc_data VALUES (43325, 831, 13713, 232.50156242, 163, 243);
INSERT INTO public.ecdc_data VALUES (43326, 7, 225, 732.58499382, 204, 243);
INSERT INTO public.ecdc_data VALUES (43327, 0, 0, 5.89161816, 21, 243);
INSERT INTO public.ecdc_data VALUES (43328, 0, 2, 1.95936782, 22, 243);
INSERT INTO public.ecdc_data VALUES (43329, 38, 4734, 1488.55498526, 164, 243);
INSERT INTO public.ecdc_data VALUES (43330, 590, 20815, 309.81262133, 165, 243);
INSERT INTO public.ecdc_data VALUES (43331, 1, 226, 4.32640589, 23, 243);
INSERT INTO public.ecdc_data VALUES (43332, 0, 3, 228.44597401, 166, 243);
INSERT INTO public.ecdc_data VALUES (43333, 102, 1324, 213.60239203, 167, 243);
INSERT INTO public.ecdc_data VALUES (43334, 0, 1, 1.76491352, 80, 243);
INSERT INTO public.ecdc_data VALUES (43335, 0, 2, 1.7856824, 81, 243);
INSERT INTO public.ecdc_data VALUES (43336, 0, 7, 191.87662512, 205, 243);
INSERT INTO public.ecdc_data VALUES (43337, 12, 799, 40.51991994, 82, 243);
INSERT INTO public.ecdc_data VALUES (43338, 0, 0, 7.75578582, 168, 243);
INSERT INTO public.ecdc_data VALUES (43339, 0, 0, 2.62308, 24, 243);
INSERT INTO public.ecdc_data VALUES (43340, 0, 0, 1.0411694, 25, 243);
INSERT INTO public.ecdc_data VALUES (43341, 0, 3, 65.28057232, 83, 243);
INSERT INTO public.ecdc_data VALUES (43342, 0, 0, 1.4205707, 84, 243);
INSERT INTO public.ecdc_data VALUES (43343, 0, 0, 0, 169, 243);
INSERT INTO public.ecdc_data VALUES (43344, 6, 1152, 71.45411274, 85, 243);
INSERT INTO public.ecdc_data VALUES (43345, 160, 3221, 756.19405621, 170, 243);
INSERT INTO public.ecdc_data VALUES (43346, 1, 10, 58.26477418, 171, 243);
INSERT INTO public.ecdc_data VALUES (43347, 402, 32080, 37.58982183, 112, 243);
INSERT INTO public.ecdc_data VALUES (43348, 133, 5292, 29.76067668, 113, 243);
INSERT INTO public.ecdc_data VALUES (43349, 323, 11023, 235.87844319, 114, 243);
INSERT INTO public.ecdc_data VALUES (43350, 17, 2123, 72.21865271, 115, 243);
INSERT INTO public.ecdc_data VALUES (43351, 0, 214, 76.50522813, 172, 243);
INSERT INTO public.ecdc_data VALUES (43352, 0, 0, 1.18218681, 173, 243);
INSERT INTO public.ecdc_data VALUES (43353, 8, 1637, 208.8064462, 116, 243);
INSERT INTO public.ecdc_data VALUES (43354, 634, 14837, 500.95141537, 174, 243);
INSERT INTO public.ecdc_data VALUES (43355, 0, 87, 28.79648011, 86, 243);
INSERT INTO public.ecdc_data VALUES (43356, 38, 1911, 23.99489851, 117, 243);
INSERT INTO public.ecdc_data VALUES (43357, 0, 72, 574.23281012, 175, 243);
INSERT INTO public.ecdc_data VALUES (43358, 46, 3062, 535.90005719, 118, 243);
INSERT INTO public.ecdc_data VALUES (43359, 54, 944, 68.53380775, 119, 243);
INSERT INTO public.ecdc_data VALUES (43360, 14, 521, 20.13924496, 26, 243);
INSERT INTO public.ecdc_data VALUES (43361, 17, 557, 463.27340582, 176, 243);
INSERT INTO public.ecdc_data VALUES (43362, 3, 301, 97.57368358, 120, 243);
INSERT INTO public.ecdc_data VALUES (43363, 2, 322, 82.10913876, 121, 243);
INSERT INTO public.ecdc_data VALUES (43364, 0, 0, 0.04184418, 122, 243);
INSERT INTO public.ecdc_data VALUES (43365, 16, 584, 438.080218, 177, 243);
INSERT INTO public.ecdc_data VALUES (43366, 21, 1039, 297.999813, 123, 243);
INSERT INTO public.ecdc_data VALUES (43367, 0, 0, 2.72906887, 27, 243);
INSERT INTO public.ecdc_data VALUES (43368, 0, 0, 2.47094913, 28, 243);
INSERT INTO public.ecdc_data VALUES (43369, 12, 889, 129.93081619, 29, 243);
INSERT INTO public.ecdc_data VALUES (43370, 0, 16, 640.99223513, 178, 243);
INSERT INTO public.ecdc_data VALUES (43371, 31, 3130, 1115.28088344, 179, 243);
INSERT INTO public.ecdc_data VALUES (43372, 7, 261, 1199.71851818, 180, 243);
INSERT INTO public.ecdc_data VALUES (43373, 0, 0, 0.63776205, 30, 243);
INSERT INTO public.ecdc_data VALUES (43374, 1, 0, 0.1825136, 31, 243);
INSERT INTO public.ecdc_data VALUES (43375, 4, 1012, 51.51520719, 124, 243);
INSERT INTO public.ecdc_data VALUES (43376, 0, 35, 82.49255589, 125, 243);
INSERT INTO public.ecdc_data VALUES (43377, 0, 0, 4.9038502, 32, 243);
INSERT INTO public.ecdc_data VALUES (43378, 2, 40, 285.07230139, 181, 243);
INSERT INTO public.ecdc_data VALUES (43379, 0, 0, 0, 206, 243);
INSERT INTO public.ecdc_data VALUES (43380, 6, 163, 32.79052204, 33, 243);
INSERT INTO public.ecdc_data VALUES (43381, 0, 10, 1.41769121, 34, 243);
INSERT INTO public.ecdc_data VALUES (43382, 800, 1006, 96.49421089, 87, 243);
INSERT INTO public.ecdc_data VALUES (43383, 22, 1709, 484.04034568, 182, 243);
INSERT INTO public.ecdc_data VALUES (43384, 0, 7, 184.37358319, 183, 243);
INSERT INTO public.ecdc_data VALUES (43385, 0, 5, 6.01519426, 126, 243);
INSERT INTO public.ecdc_data VALUES (43386, 6, 591, 1119.44736428, 184, 243);
INSERT INTO public.ecdc_data VALUES (43387, 0, 0, 0, 88, 243);
INSERT INTO public.ecdc_data VALUES (43388, 50, 2900, 144.11421701, 35, 243);
INSERT INTO public.ecdc_data VALUES (43389, 0, 47, 3.76077976, 36, 243);
INSERT INTO public.ecdc_data VALUES (43390, 19, 1308, 36.08631273, 127, 243);
INSERT INTO public.ecdc_data VALUES (43391, 1, 79, 54.51941934, 37, 243);
INSERT INTO public.ecdc_data VALUES (43392, 23, 1382, 67.45846502, 128, 243);
INSERT INTO public.ecdc_data VALUES (43393, 71, 6139, 443.26048771, 185, 243);
INSERT INTO public.ecdc_data VALUES (43394, 0, 1, 1.41464225, 207, 243);
INSERT INTO public.ecdc_data VALUES (43395, 0, 3, 1.02444836, 208, 243);
INSERT INTO public.ecdc_data VALUES (43396, 1, 49, 1.57359946, 89, 243);
INSERT INTO public.ecdc_data VALUES (43397, 1, 93, 2.49241561, 38, 243);
INSERT INTO public.ecdc_data VALUES (43398, 1, 550, 1.78539793, 39, 243);
INSERT INTO public.ecdc_data VALUES (43399, 28, 1120, 639.72824067, 186, 243);
INSERT INTO public.ecdc_data VALUES (43400, 0, 2, 15.73069058, 209, 243);
INSERT INTO public.ecdc_data VALUES (43401, 2, 381, 103.5994814, 187, 243);
INSERT INTO public.ecdc_data VALUES (43402, 2, 210, 55.19606866, 129, 243);
INSERT INTO public.ecdc_data VALUES (43403, 60, 2963, 19.97088019, 130, 243);
INSERT INTO public.ecdc_data VALUES (43404, 19, 1599, 552.37239487, 131, 243);
INSERT INTO public.ecdc_data VALUES (43405, 29, 1936, 570.73689961, 90, 243);
INSERT INTO public.ecdc_data VALUES (43406, 0, 13, 0.8204082, 210, 243);
INSERT INTO public.ecdc_data VALUES (43407, 15, 698, 163.67055856, 91, 243);
INSERT INTO public.ecdc_data VALUES (43408, 77, 1505, 74.38220964, 92, 243);
INSERT INTO public.ecdc_data VALUES (43409, 98, 1386, 19.48174074, 132, 243);
INSERT INTO public.ecdc_data VALUES (43410, 411, 8310, 440.08855599, 188, 243);
INSERT INTO public.ecdc_data VALUES (43411, 81, 2905, 576.60025668, 189, 243);
INSERT INTO public.ecdc_data VALUES (43412, 3, 1062, 480.60205822, 93, 243);
INSERT INTO public.ecdc_data VALUES (43413, 0, 117, 90.42852386, 133, 243);
INSERT INTO public.ecdc_data VALUES (43414, 213, 7439, 484.53580316, 190, 243);
INSERT INTO public.ecdc_data VALUES (43415, 562, 26097, 257.88384988, 191, 243);
INSERT INTO public.ecdc_data VALUES (43416, 0, 46, 3.8568337, 40, 243);
INSERT INTO public.ecdc_data VALUES (43417, 0, 0, 9.46360298, 94, 243);
INSERT INTO public.ecdc_data VALUES (43418, 0, 0, 24.07068027, 95, 243);
INSERT INTO public.ecdc_data VALUES (43419, 0, 0, 2.71264908, 96, 243);
INSERT INTO public.ecdc_data VALUES (43420, 0, 0, 1079.73180855, 192, 243);
INSERT INTO public.ecdc_data VALUES (43421, 0, 3, 11.1602991, 41, 243);
INSERT INTO public.ecdc_data VALUES (43422, 12, 193, 9.8457684, 134, 243);
INSERT INTO public.ecdc_data VALUES (43423, 0, 0, 3.95793859, 42, 243);
INSERT INTO public.ecdc_data VALUES (43424, 57, 7818, 1450.33634109, 193, 243);
INSERT INTO public.ecdc_data VALUES (43425, 0, 0, 18.41601784, 43, 243);
INSERT INTO public.ecdc_data VALUES (43426, 0, 0, 0.28157452, 44, 243);
INSERT INTO public.ecdc_data VALUES (43427, 0, 12, 1.75730483, 135, 243);
INSERT INTO public.ecdc_data VALUES (43428, 0, 6, 332.63346623, 97, 243);
INSERT INTO public.ecdc_data VALUES (43429, 28, 1949, 398.8499237, 194, 243);
INSERT INTO public.ecdc_data VALUES (43430, 23, 1648, 1002.25478493, 195, 243);
INSERT INTO public.ecdc_data VALUES (43431, 0, 0, 0, 211, 243);
INSERT INTO public.ecdc_data VALUES (43432, 0, 0, 0.86771233, 45, 243);
INSERT INTO public.ecdc_data VALUES (43433, 183, 4011, 84.76514512, 46, 243);
INSERT INTO public.ecdc_data VALUES (43434, 4, 677, 15.02577212, 136, 243);
INSERT INTO public.ecdc_data VALUES (43435, 0, 0, 1.2113417, 47, 243);
INSERT INTO public.ecdc_data VALUES (43436, 373, 9773, 228.0394213, 196, 243);
INSERT INTO public.ecdc_data VALUES (43437, 0, 798, 39.44431121, 137, 243);
INSERT INTO public.ecdc_data VALUES (43438, 6, 337, 9.10232506, 48, 243);
INSERT INTO public.ecdc_data VALUES (43439, 0, 1, 4.47224884, 98, 243);
INSERT INTO public.ecdc_data VALUES (43440, 24, 7449, 706.82983739, 197, 243);
INSERT INTO public.ecdc_data VALUES (43441, 92, 4246, 628.81186987, 198, 243);
INSERT INTO public.ecdc_data VALUES (43442, 6, 90, 7.09426266, 138, 243);
INSERT INTO public.ecdc_data VALUES (43443, 0, 2, 0.40801079, 139, 243);
INSERT INTO public.ecdc_data VALUES (43444, 1, 42, 5.79335551, 140, 243);
INSERT INTO public.ecdc_data VALUES (43445, 0, 19, 0.28725074, 141, 243);
INSERT INTO public.ecdc_data VALUES (43446, 0, 0, 0.07733234, 142, 243);
INSERT INTO public.ecdc_data VALUES (43447, 0, 21, 3.2168826, 49, 243);
INSERT INTO public.ecdc_data VALUES (43448, 0, 7, 21.07573717, 99, 243);
INSERT INTO public.ecdc_data VALUES (43449, 72, 1116, 130.2468011, 50, 243);
INSERT INTO public.ecdc_data VALUES (43450, 211, 33198, 501.41162829, 199, 243);
INSERT INTO public.ecdc_data VALUES (43451, 0, 5, 39.27318427, 100, 243);
INSERT INTO public.ecdc_data VALUES (43452, 0, 660, 12.31997037, 51, 243);
INSERT INTO public.ecdc_data VALUES (43453, 195, 10811, 420.01977422, 200, 243);
INSERT INTO public.ecdc_data VALUES (43454, 2, 1260, 178.82353519, 143, 243);
INSERT INTO public.ecdc_data VALUES (43455, 599, 12281, 317.26355975, 201, 243);
INSERT INTO public.ecdc_data VALUES (43456, 0, 0, 0, 52, 243);
INSERT INTO public.ecdc_data VALUES (43457, 2564, 217344, 784.1951137, 101, 243);
INSERT INTO public.ecdc_data VALUES (43458, 0, 31, 152.0381721, 102, 243);
INSERT INTO public.ecdc_data VALUES (43459, 3, 301, 84.81306029, 103, 243);
INSERT INTO public.ecdc_data VALUES (43460, 0, 146, 7.01297674, 144, 243);
INSERT INTO public.ecdc_data VALUES (43461, 0, 0, 0, 212, 243);
INSERT INTO public.ecdc_data VALUES (43462, 4, 480, 17.13434317, 104, 243);
INSERT INTO public.ecdc_data VALUES (43463, 0, 10, 0.06323727, 145, 243);
INSERT INTO public.ecdc_data VALUES (43464, 0, 0, 0, 213, 243);
INSERT INTO public.ecdc_data VALUES (43465, 0, 0, 0, 53, 243);
INSERT INTO public.ecdc_data VALUES (43466, 0, 1, 0.0240039, 146, 243);
INSERT INTO public.ecdc_data VALUES (43467, 0, 32, 2.78259366, 54, 243);
INSERT INTO public.ecdc_data VALUES (43468, 9, 73, 10.33766543, 55, 243);
INSERT INTO public.ecdc_data VALUES (43469, 3, 80, 3.69593865, 105, 244);
INSERT INTO public.ecdc_data VALUES (43470, 2, 501, 176.38877777, 147, 244);
INSERT INTO public.ecdc_data VALUES (43471, 12, 670, 13.72260374, 1, 244);
INSERT INTO public.ecdc_data VALUES (43472, 0, 64, 1765.62479489, 148, 244);
INSERT INTO public.ecdc_data VALUES (43473, 3, 112, 10.39738857, 2, 244);
INSERT INTO public.ecdc_data VALUES (43474, 0, 0, 0, 56, 244);
INSERT INTO public.ecdc_data VALUES (43475, 0, 0, 7.20794934, 57, 244);
INSERT INTO public.ecdc_data VALUES (43476, 212, 5331, 338.52325808, 58, 244);
INSERT INTO public.ecdc_data VALUES (43477, 21, 1042, 968.8517673, 149, 244);
INSERT INTO public.ecdc_data VALUES (43478, 0, 11, 169.31615088, 59, 244);
INSERT INTO public.ecdc_data VALUES (43479, 0, 6, 0.54754952, 202, 244);
INSERT INTO public.ecdc_data VALUES (43480, 17, 6006, 789.86090063, 150, 244);
INSERT INTO public.ecdc_data VALUES (43481, 16, 1663, 153.78614788, 151, 244);
INSERT INTO public.ecdc_data VALUES (43482, 0, 0, 137.87401858, 60, 244);
INSERT INTO public.ecdc_data VALUES (43483, 0, 192, 195.04449281, 106, 244);
INSERT INTO public.ecdc_data VALUES (43484, 18, 1474, 13.13922284, 107, 244);
INSERT INTO public.ecdc_data VALUES (43485, 0, 0, 5.22609844, 61, 244);
INSERT INTO public.ecdc_data VALUES (43486, 3, 996, 142.3552451, 152, 244);
INSERT INTO public.ecdc_data VALUES (43487, 210, 1448, 1370.33511969, 153, 244);
INSERT INTO public.ecdc_data VALUES (43488, 2, 100, 264.12126522, 62, 244);
INSERT INTO public.ecdc_data VALUES (43489, 0, 0, 1.59306495, 3, 244);
INSERT INTO public.ecdc_data VALUES (43490, 0, 0, 28.79631407, 63, 244);
INSERT INTO public.ecdc_data VALUES (43491, 0, 0, 2.22777273, 108, 244);
INSERT INTO public.ecdc_data VALUES (43492, 5, 48, 14.08829697, 64, 244);
INSERT INTO public.ecdc_data VALUES (43493, 0, 0, 15.39468114, 65, 244);
INSERT INTO public.ecdc_data VALUES (43494, 20, 1211, 652.1966993, 154, 244);
INSERT INTO public.ecdc_data VALUES (43495, 0, 0, 82.99680992, 4, 244);
INSERT INTO public.ecdc_data VALUES (43496, 128, 10554, 127.9259016, 66, 244);
INSERT INTO public.ecdc_data VALUES (43497, 0, 0, 0, 67, 244);
INSERT INTO public.ecdc_data VALUES (43498, 0, 0, 0, 109, 244);
INSERT INTO public.ecdc_data VALUES (43499, 33, 675, 532.43989069, 155, 244);
INSERT INTO public.ecdc_data VALUES (43500, 0, 4, 0.58066914, 5, 244);
INSERT INTO public.ecdc_data VALUES (43501, 0, 2, 0.50301039, 6, 244);
INSERT INTO public.ecdc_data VALUES (43502, 0, 2, 0.06065553, 110, 244);
INSERT INTO public.ecdc_data VALUES (43503, 4, 79, 3.2887126, 7, 244);
INSERT INTO public.ecdc_data VALUES (43504, 32, 4058, 128.32843612, 68, 244);
INSERT INTO public.ecdc_data VALUES (43505, 0, 78, 176.92967909, 8, 244);
INSERT INTO public.ecdc_data VALUES (43506, 0, 0, 16.93662622, 69, 244);
INSERT INTO public.ecdc_data VALUES (43507, 0, 0, 0.35825835, 9, 244);
INSERT INTO public.ecdc_data VALUES (43508, 0, 4, 0.68979002, 10, 244);
INSERT INTO public.ecdc_data VALUES (43509, 44, 1581, 102.864943, 70, 244);
INSERT INTO public.ecdc_data VALUES (43510, 0, 32, 0.02852592, 111, 244);
INSERT INTO public.ecdc_data VALUES (43511, 196, 7440, 254.27774399, 71, 244);
INSERT INTO public.ecdc_data VALUES (43512, 0, 0, 5.40609784, 11, 244);
INSERT INTO public.ecdc_data VALUES (43513, 0, 0, 2.34178806, 12, 244);
INSERT INTO public.ecdc_data VALUES (43514, 0, 0, 262.9983075, 72, 244);
INSERT INTO public.ecdc_data VALUES (43515, 0, 19, 1.40765361, 13, 244);
INSERT INTO public.ecdc_data VALUES (43516, 42, 2543, 757.24085347, 156, 244);
INSERT INTO public.ecdc_data VALUES (43517, 0, 30, 6.44991425, 73, 244);
INSERT INTO public.ecdc_data VALUES (43518, 0, 20, 146.24624441, 74, 244);
INSERT INTO public.ecdc_data VALUES (43519, 0, 116, 278.79926795, 157, 244);
INSERT INTO public.ecdc_data VALUES (43520, 177, 3608, 1471.68021935, 158, 244);
INSERT INTO public.ecdc_data VALUES (43521, 0, 17, 0.5357725, 14, 244);
INSERT INTO public.ecdc_data VALUES (43522, 3, 891, 254.30234266, 159, 244);
INSERT INTO public.ecdc_data VALUES (43523, 0, 3, 7.39556081, 15, 244);
INSERT INTO public.ecdc_data VALUES (43524, 0, 0, 5.57040998, 75, 244);
INSERT INTO public.ecdc_data VALUES (43525, 2, 537, 52.65874516, 76, 244);
INSERT INTO public.ecdc_data VALUES (43526, 15, 1421, 76.39151619, 77, 244);
INSERT INTO public.ecdc_data VALUES (43527, 13, 239, 2.65071322, 16, 244);
INSERT INTO public.ecdc_data VALUES (43528, 4, 0, 39.66808966, 78, 244);
INSERT INTO public.ecdc_data VALUES (43529, 0, 0, 0.95871479, 17, 244);
INSERT INTO public.ecdc_data VALUES (43530, 0, 0, 0.85784948, 18, 244);
INSERT INTO public.ecdc_data VALUES (43531, 2, 192, 129.37606618, 160, 244);
INSERT INTO public.ecdc_data VALUES (43532, 0, 14, 12.97759058, 19, 244);
INSERT INTO public.ecdc_data VALUES (43533, 5, 474, 5.64960021, 20, 244);
INSERT INTO public.ecdc_data VALUES (43534, 0, 0, 0, 79, 244);
INSERT INTO public.ecdc_data VALUES (43535, 0, 2, 14.38050825, 161, 244);
INSERT INTO public.ecdc_data VALUES (43536, 0, 0, 0.11236523, 203, 244);
INSERT INTO public.ecdc_data VALUES (43537, 0, 412, 53.44406107, 162, 244);
INSERT INTO public.ecdc_data VALUES (43538, 270, 38619, 968.19741362, 163, 244);
INSERT INTO public.ecdc_data VALUES (43539, 0, 0, 1503.12404891, 204, 244);
INSERT INTO public.ecdc_data VALUES (43540, 0, 0, 4.74091149, 21, 244);
INSERT INTO public.ecdc_data VALUES (43541, 0, 0, 1.02227886, 22, 244);
INSERT INTO public.ecdc_data VALUES (43542, 24, 2927, 760.04025258, 164, 244);
INSERT INTO public.ecdc_data VALUES (43543, 63, 13363, 281.86487386, 165, 244);
INSERT INTO public.ecdc_data VALUES (43544, 0, 298, 4.97076421, 23, 244);
INSERT INTO public.ecdc_data VALUES (43545, 0, 8, 373.82068474, 166, 244);
INSERT INTO public.ecdc_data VALUES (43546, 35, 1889, 241.65006076, 167, 244);
INSERT INTO public.ecdc_data VALUES (43547, 0, 0, 0, 80, 244);
INSERT INTO public.ecdc_data VALUES (43548, 0, 2, 3.5713648, 81, 244);
INSERT INTO public.ecdc_data VALUES (43549, 0, 120, 607.90818614, 205, 244);
INSERT INTO public.ecdc_data VALUES (43550, 10, 212, 36.82853476, 82, 244);
INSERT INTO public.ecdc_data VALUES (43551, 0, 0, 21.71620029, 168, 244);
INSERT INTO public.ecdc_data VALUES (43552, 1, 26, 5.9273778, 24, 244);
INSERT INTO public.ecdc_data VALUES (43553, 0, 0, 0.5205847, 25, 244);
INSERT INTO public.ecdc_data VALUES (43554, 0, 30, 62.72555971, 83, 244);
INSERT INTO public.ecdc_data VALUES (43555, 0, 0, 0.89673525, 84, 244);
INSERT INTO public.ecdc_data VALUES (43556, 0, 0, 0, 169, 244);
INSERT INTO public.ecdc_data VALUES (43557, 6, 467, 74.8400773, 85, 244);
INSERT INTO public.ecdc_data VALUES (43558, 55, 5162, 544.52398075, 170, 244);
INSERT INTO public.ecdc_data VALUES (43559, 2, 15, 176.47503719, 171, 244);
INSERT INTO public.ecdc_data VALUES (43560, 490, 45903, 47.10843351, 112, 244);
INSERT INTO public.ecdc_data VALUES (43561, 74, 3880, 17.73816145, 113, 244);
INSERT INTO public.ecdc_data VALUES (43562, 459, 9236, 136.99754756, 114, 244);
INSERT INTO public.ecdc_data VALUES (43563, 44, 2530, 119.16115856, 115, 244);
INSERT INTO public.ecdc_data VALUES (43564, 2, 539, 168.54803191, 172, 244);
INSERT INTO public.ecdc_data VALUES (43565, 1, 0, 10.63968128, 173, 244);
INSERT INTO public.ecdc_data VALUES (43566, 30, 540, 110.50108969, 116, 244);
INSERT INTO public.ecdc_data VALUES (43567, 331, 32614, 678.13962683, 174, 244);
INSERT INTO public.ecdc_data VALUES (43568, 3, 34, 26.86314753, 86, 244);
INSERT INTO public.ecdc_data VALUES (43569, 6, 998, 8.67883813, 117, 244);
INSERT INTO public.ecdc_data VALUES (43570, 0, 0, 104.82763739, 175, 244);
INSERT INTO public.ecdc_data VALUES (43571, 52, 4519, 556.67874418, 118, 244);
INSERT INTO public.ecdc_data VALUES (43572, 0, 656, 45.34960867, 119, 244);
INSERT INTO public.ecdc_data VALUES (43573, 8, 719, 24.28388179, 26, 244);
INSERT INTO public.ecdc_data VALUES (43574, 11, 730, 345.39779128, 176, 244);
INSERT INTO public.ecdc_data VALUES (43575, 3, 538, 240.26182549, 120, 244);
INSERT INTO public.ecdc_data VALUES (43576, 5, 571, 112.53378546, 121, 244);
INSERT INTO public.ecdc_data VALUES (43577, 0, 0, 0, 122, 244);
INSERT INTO public.ecdc_data VALUES (43578, 3, 215, 177.9717162, 177, 244);
INSERT INTO public.ecdc_data VALUES (43579, 10, 1139, 333.24051531, 123, 244);
INSERT INTO public.ecdc_data VALUES (43580, 0, 0, 1.27042861, 27, 244);
INSERT INTO public.ecdc_data VALUES (43581, 0, 0, 0.99243039, 28, 244);
INSERT INTO public.ecdc_data VALUES (43582, 9, 1078, 178.59216434, 29, 244);
INSERT INTO public.ecdc_data VALUES (43583, 0, 23, 1102.19396529, 178, 244);
INSERT INTO public.ecdc_data VALUES (43584, 4, 1980, 519.47187444, 179, 244);
INSERT INTO public.ecdc_data VALUES (43585, 0, 0, 1348.27836728, 180, 244);
INSERT INTO public.ecdc_data VALUES (43586, 0, 10, 0.94551932, 30, 244);
INSERT INTO public.ecdc_data VALUES (43587, 0, 3, 0.32745087, 31, 244);
INSERT INTO public.ecdc_data VALUES (43588, 4, 852, 42.70450738, 124, 244);
INSERT INTO public.ecdc_data VALUES (43589, 1, 24, 90.59114015, 125, 244);
INSERT INTO public.ecdc_data VALUES (43590, 0, 0, 0.94617857, 32, 244);
INSERT INTO public.ecdc_data VALUES (43591, 3, 102, 337.34568714, 181, 244);
INSERT INTO public.ecdc_data VALUES (43592, 0, 0, 0, 206, 244);
INSERT INTO public.ecdc_data VALUES (43593, 0, 6, 3.18182963, 33, 244);
INSERT INTO public.ecdc_data VALUES (43594, 0, 0, 1.33893059, 34, 244);
INSERT INTO public.ecdc_data VALUES (43595, 219, 5887, 60.09381313, 87, 244);
INSERT INTO public.ecdc_data VALUES (43596, 2, 671, 268.17482337, 182, 244);
INSERT INTO public.ecdc_data VALUES (43597, 0, 3, 544.05319631, 183, 244);
INSERT INTO public.ecdc_data VALUES (43598, 0, 7, 0.89917852, 126, 244);
INSERT INTO public.ecdc_data VALUES (43599, 4, 426, 965.6338499, 184, 244);
INSERT INTO public.ecdc_data VALUES (43600, 0, 0, 0, 88, 244);
INSERT INTO public.ecdc_data VALUES (43601, 75, 4596, 162.59152354, 35, 244);
INSERT INTO public.ecdc_data VALUES (43602, 0, 191, 5.86839714, 36, 244);
INSERT INTO public.ecdc_data VALUES (43603, 24, 1029, 30.72045584, 127, 244);
INSERT INTO public.ecdc_data VALUES (43604, 0, 41, 22.08838239, 37, 244);
INSERT INTO public.ecdc_data VALUES (43605, 21, 2817, 127.10812072, 128, 244);
INSERT INTO public.ecdc_data VALUES (43606, 44, 5659, 686.53443438, 185, 244);
INSERT INTO public.ecdc_data VALUES (43607, 0, 0, 0.70732113, 207, 244);
INSERT INTO public.ecdc_data VALUES (43608, 0, 4, 0.96172703, 208, 244);
INSERT INTO public.ecdc_data VALUES (43609, 0, 0, 2.39859335, 89, 244);
INSERT INTO public.ecdc_data VALUES (43610, 0, 1, 0.12011642, 38, 244);
INSERT INTO public.ecdc_data VALUES (43611, 0, 300, 1.04397014, 39, 244);
INSERT INTO public.ecdc_data VALUES (43612, 26, 978, 616.52316752, 186, 244);
INSERT INTO public.ecdc_data VALUES (43613, 0, 2, 13.98283607, 209, 244);
INSERT INTO public.ecdc_data VALUES (43614, 0, 0, 112.4767558, 187, 244);
INSERT INTO public.ecdc_data VALUES (43615, 15, 973, 104.68358542, 129, 244);
INSERT INTO public.ecdc_data VALUES (43616, 9, 1650, 7.49750709, 130, 244);
INSERT INTO public.ecdc_data VALUES (43617, 3, 549, 162.9052909, 131, 244);
INSERT INTO public.ecdc_data VALUES (43618, 17, 1021, 243.19194431, 90, 244);
INSERT INTO public.ecdc_data VALUES (43619, 0, 0, 0.10255103, 210, 244);
INSERT INTO public.ecdc_data VALUES (43620, 11, 648, 113.49055644, 91, 244);
INSERT INTO public.ecdc_data VALUES (43621, 39, 2323, 103.40671258, 92, 244);
INSERT INTO public.ecdc_data VALUES (43622, 54, 2434, 24.38755439, 132, 244);
INSERT INTO public.ecdc_data VALUES (43623, 236, 24785, 770.91209363, 188, 244);
INSERT INTO public.ecdc_data VALUES (43624, 48, 5784, 590.05799282, 189, 244);
INSERT INTO public.ecdc_data VALUES (43625, 10, 610, 325.96941983, 93, 244);
INSERT INTO public.ecdc_data VALUES (43626, 0, 190, 107.09477269, 133, 244);
INSERT INTO public.ecdc_data VALUES (43627, 86, 6752, 484.70577958, 190, 244);
INSERT INTO public.ecdc_data VALUES (43628, 286, 20498, 178.55142575, 191, 244);
INSERT INTO public.ecdc_data VALUES (43629, 0, 9, 1.23545392, 40, 244);
INSERT INTO public.ecdc_data VALUES (43630, 0, 0, 0, 94, 244);
INSERT INTO public.ecdc_data VALUES (43631, 0, 8, 42.12369047, 95, 244);
INSERT INTO public.ecdc_data VALUES (43632, 0, 0, 2.71264908, 96, 244);
INSERT INTO public.ecdc_data VALUES (43633, 0, 0, 650.16108902, 192, 244);
INSERT INTO public.ecdc_data VALUES (43634, 0, 0, 10.23027417, 41, 244);
INSERT INTO public.ecdc_data VALUES (43635, 15, 363, 16.68294545, 134, 244);
INSERT INTO public.ecdc_data VALUES (43636, 0, 15, 0.96340521, 42, 244);
INSERT INTO public.ecdc_data VALUES (43637, 10, 2112, 334.02912563, 193, 244);
INSERT INTO public.ecdc_data VALUES (43638, 0, 0, 5.11556051, 43, 244);
INSERT INTO public.ecdc_data VALUES (43639, 0, 0, 0.44795946, 44, 244);
INSERT INTO public.ecdc_data VALUES (43640, 0, 2, 1.48164917, 135, 244);
INSERT INTO public.ecdc_data VALUES (43641, 0, 10, 264.21949091, 97, 244);
INSERT INTO public.ecdc_data VALUES (43642, 0, 1828, 580.72578247, 194, 244);
INSERT INTO public.ecdc_data VALUES (43643, 4, 890, 1067.37059015, 195, 244);
INSERT INTO public.ecdc_data VALUES (43644, 0, 0, 1.34364256, 211, 244);
INSERT INTO public.ecdc_data VALUES (43645, 0, 0, 1.86493397, 45, 244);
INSERT INTO public.ecdc_data VALUES (43646, 20, 1372, 36.56187435, 46, 244);
INSERT INTO public.ecdc_data VALUES (43647, 2, 126, 3.11955097, 136, 244);
INSERT INTO public.ecdc_data VALUES (43648, 0, 0, 0.65087017, 47, 244);
INSERT INTO public.ecdc_data VALUES (43649, 512, 52386, 602.71776715, 196, 244);
INSERT INTO public.ecdc_data VALUES (43650, 1, 510, 28.40496885, 137, 244);
INSERT INTO public.ecdc_data VALUES (43651, 278, 147, 0.81283272, 48, 244);
INSERT INTO public.ecdc_data VALUES (43652, 0, 5, 11.86866037, 98, 244);
INSERT INTO public.ecdc_data VALUES (43653, 22, 2097, 413.46270864, 197, 244);
INSERT INTO public.ecdc_data VALUES (43654, 0, 0, 1262.05932757, 198, 244);
INSERT INTO public.ecdc_data VALUES (43655, 4, 68, 4.72755571, 138, 244);
INSERT INTO public.ecdc_data VALUES (43656, 0, 1, 0.11777631, 139, 244);
INSERT INTO public.ecdc_data VALUES (43657, 0, 80, 6.00792424, 140, 244);
INSERT INTO public.ecdc_data VALUES (43658, 0, 3, 0.13931661, 141, 244);
INSERT INTO public.ecdc_data VALUES (43659, 0, 0, 0.07733234, 142, 244);
INSERT INTO public.ecdc_data VALUES (43660, 0, 33, 3.90974962, 49, 244);
INSERT INTO public.ecdc_data VALUES (43661, 0, 11, 24.22992912, 99, 244);
INSERT INTO public.ecdc_data VALUES (43662, 79, 1576, 190.85534405, 50, 244);
INSERT INTO public.ecdc_data VALUES (43663, 84, 2516, 39.57617519, 199, 244);
INSERT INTO public.ecdc_data VALUES (43664, 0, 0, 15.70927371, 100, 244);
INSERT INTO public.ecdc_data VALUES (43665, 1, 337, 6.68630588, 51, 244);
INSERT INTO public.ecdc_data VALUES (43666, 138, 9397, 265.58837148, 200, 244);
INSERT INTO public.ecdc_data VALUES (43667, 0, 1111, 174.19737689, 143, 244);
INSERT INTO public.ecdc_data VALUES (43668, 156, 20572, 477.45954843, 201, 244);
INSERT INTO public.ecdc_data VALUES (43669, 0, 0, 0, 52, 244);
INSERT INTO public.ecdc_data VALUES (43670, 459, 110693, 405.84271705, 101, 244);
INSERT INTO public.ecdc_data VALUES (43671, 0, 0, 54.50425038, 102, 244);
INSERT INTO public.ecdc_data VALUES (43672, 1, 73, 19.15226804, 103, 244);
INSERT INTO public.ecdc_data VALUES (43673, 4, 421, 10.02979985, 144, 244);
INSERT INTO public.ecdc_data VALUES (43674, 5, 578, 18.64929124, 104, 244);
INSERT INTO public.ecdc_data VALUES (43675, 0, 0, 0.04665044, 145, 244);
INSERT INTO public.ecdc_data VALUES (43676, 0, 0, 0, 213, 244);
INSERT INTO public.ecdc_data VALUES (43677, 0, 0, 0, 53, 244);
INSERT INTO public.ecdc_data VALUES (43678, 0, 0, 0, 146, 244);
INSERT INTO public.ecdc_data VALUES (43679, 0, 46, 4.68617886, 54, 244);
INSERT INTO public.ecdc_data VALUES (43680, 2, 33, 1.74115237, 55, 244);
INSERT INTO public.ecdc_data VALUES (43681, 2, 77, 1.33274601, 105, 245);
INSERT INTO public.ecdc_data VALUES (43682, 4, 169, 69.10219894, 147, 245);
INSERT INTO public.ecdc_data VALUES (43683, 4, 138, 4.82892572, 1, 245);
INSERT INTO public.ecdc_data VALUES (43684, 1, 0, 1069.87673445, 148, 245);
INSERT INTO public.ecdc_data VALUES (43685, 0, 138, 4.71323145, 2, 245);
INSERT INTO public.ecdc_data VALUES (43686, 0, 0, 0, 56, 245);
INSERT INTO public.ecdc_data VALUES (43687, 0, 3, 13.38619163, 57, 245);
INSERT INTO public.ecdc_data VALUES (43688, 484, 15454, 397.6938713, 58, 245);
INSERT INTO public.ecdc_data VALUES (43689, 10, 718, 210.36417142, 149, 245);
INSERT INTO public.ecdc_data VALUES (43690, 0, 25, 354.62327156, 59, 245);
INSERT INTO public.ecdc_data VALUES (43691, 0, 24, 0.88480828, 202, 245);
INSERT INTO public.ecdc_data VALUES (43692, 9, 1221, 128.20056949, 150, 245);
INSERT INTO public.ecdc_data VALUES (43693, 1, 191, 16.10315734, 151, 245);
INSERT INTO public.ecdc_data VALUES (43694, 0, 0, 260.34311888, 60, 245);
INSERT INTO public.ecdc_data VALUES (43695, 2, 490, 451.38694244, 106, 245);
INSERT INTO public.ecdc_data VALUES (43696, 20, 1441, 11.78071196, 107, 245);
INSERT INTO public.ecdc_data VALUES (43697, 0, 0, 4.87769188, 61, 245);
INSERT INTO public.ecdc_data VALUES (43698, 6, 477, 56.39832132, 152, 245);
INSERT INTO public.ecdc_data VALUES (43699, 20, 6588, 362.497762, 153, 245);
INSERT INTO public.ecdc_data VALUES (43700, 0, 63, 157.55051223, 62, 245);
INSERT INTO public.ecdc_data VALUES (43701, 0, 0, 0.72874248, 3, 245);
INSERT INTO public.ecdc_data VALUES (43702, 0, 2, 4.79938568, 63, 245);
INSERT INTO public.ecdc_data VALUES (43703, 0, 0, 5.37286363, 108, 245);
INSERT INTO public.ecdc_data VALUES (43704, 36, 263, 46.47748278, 64, 245);
INSERT INTO public.ecdc_data VALUES (43705, 0, 2, 265.55824962, 65, 245);
INSERT INTO public.ecdc_data VALUES (43706, 5, 453, 97.30390627, 154, 245);
INSERT INTO public.ecdc_data VALUES (43707, 2, 1348, 69.40998905, 4, 245);
INSERT INTO public.ecdc_data VALUES (43708, 729, 27750, 175.66588247, 66, 245);
INSERT INTO public.ecdc_data VALUES (43709, 0, 0, 0, 67, 245);
INSERT INTO public.ecdc_data VALUES (43710, 0, 0, 0.23078911, 109, 245);
INSERT INTO public.ecdc_data VALUES (43711, 7, 516, 52.65684948, 155, 245);
INSERT INTO public.ecdc_data VALUES (43712, 1, 19, 1.43198915, 5, 245);
INSERT INTO public.ecdc_data VALUES (43713, 0, 0, 0.32955853, 6, 245);
INSERT INTO public.ecdc_data VALUES (43714, 0, 1, 0.04245887, 110, 245);
INSERT INTO public.ecdc_data VALUES (43715, 3, 279, 1.89748283, 7, 245);
INSERT INTO public.ecdc_data VALUES (43716, 16, 2436, 70.74115399, 68, 245);
INSERT INTO public.ecdc_data VALUES (43717, 0, 93, 225.11710454, 8, 245);
INSERT INTO public.ecdc_data VALUES (43718, 0, 1, 6.15877317, 69, 245);
INSERT INTO public.ecdc_data VALUES (43719, 0, 0, 1.01155299, 9, 245);
INSERT INTO public.ecdc_data VALUES (43720, 1, 11, 0.57064447, 10, 245);
INSERT INTO public.ecdc_data VALUES (43721, 77, 1576, 128.65109209, 70, 245);
INSERT INTO public.ecdc_data VALUES (43722, 0, 39, 0.02120264, 111, 245);
INSERT INTO public.ecdc_data VALUES (43723, 151, 8496, 189.42601332, 71, 245);
INSERT INTO public.ecdc_data VALUES (43724, 0, 4, 2.46800119, 11, 245);
INSERT INTO public.ecdc_data VALUES (43725, 0, 0, 2.100175, 12, 245);
INSERT INTO public.ecdc_data VALUES (43726, 16, 1331, 304.48369024, 72, 245);
INSERT INTO public.ecdc_data VALUES (43727, 0, 47, 1.87039057, 13, 245);
INSERT INTO public.ecdc_data VALUES (43728, 1, 542, 83.82712918, 156, 245);
INSERT INTO public.ecdc_data VALUES (43729, 0, 19, 5.35581115, 73, 245);
INSERT INTO public.ecdc_data VALUES (43730, 0, 29, 116.26270476, 74, 245);
INSERT INTO public.ecdc_data VALUES (43731, 0, 21, 29.11294567, 157, 245);
INSERT INTO public.ecdc_data VALUES (43732, 40, 5397, 397.96991493, 158, 245);
INSERT INTO public.ecdc_data VALUES (43733, 0, 17, 0.30763712, 14, 245);
INSERT INTO public.ecdc_data VALUES (43734, 2, 446, 107.47352646, 159, 245);
INSERT INTO public.ecdc_data VALUES (43735, 0, 0, 1.64345796, 15, 245);
INSERT INTO public.ecdc_data VALUES (43736, 0, 0, 9.74821747, 75, 245);
INSERT INTO public.ecdc_data VALUES (43737, 4, 724, 62.85526611, 76, 245);
INSERT INTO public.ecdc_data VALUES (43738, 398, 1514, 80.00042823, 77, 245);
INSERT INTO public.ecdc_data VALUES (43739, 7, 121, 1.63664856, 16, 245);
INSERT INTO public.ecdc_data VALUES (43740, 4, 0, 25.42786528, 78, 245);
INSERT INTO public.ecdc_data VALUES (43741, 0, 0, 3.24488083, 17, 245);
INSERT INTO public.ecdc_data VALUES (43742, 0, 7, 1.17239429, 18, 245);
INSERT INTO public.ecdc_data VALUES (43743, 0, 45, 51.62965535, 160, 245);
INSERT INTO public.ecdc_data VALUES (43744, 0, 15, 22.38416629, 19, 245);
INSERT INTO public.ecdc_data VALUES (43745, 7, 902, 9.02044507, 20, 245);
INSERT INTO public.ecdc_data VALUES (43746, 0, 0, 0, 79, 245);
INSERT INTO public.ecdc_data VALUES (43747, 0, 1, 45.19588307, 161, 245);
INSERT INTO public.ecdc_data VALUES (43748, 0, 0, 0, 203, 245);
INSERT INTO public.ecdc_data VALUES (43749, 0, 296, 35.62937404, 162, 245);
INSERT INTO public.ecdc_data VALUES (43750, 76, 18129, 260.24995821, 163, 245);
INSERT INTO public.ecdc_data VALUES (43751, 0, 0, 343.0187801, 204, 245);
INSERT INTO public.ecdc_data VALUES (43752, 0, 0, 4.55679842, 21, 245);
INSERT INTO public.ecdc_data VALUES (43753, 0, 4, 2.76867192, 22, 245);
INSERT INTO public.ecdc_data VALUES (43754, 3, 472, 145.7679992, 164, 245);
INSERT INTO public.ecdc_data VALUES (43755, 11, 4516, 41.4807594, 165, 245);
INSERT INTO public.ecdc_data VALUES (43756, 3, 118, 2.38346829, 23, 245);
INSERT INTO public.ecdc_data VALUES (43757, 0, 7, 269.98160565, 166, 245);
INSERT INTO public.ecdc_data VALUES (43758, 6, 434, 44.32799772, 167, 245);
INSERT INTO public.ecdc_data VALUES (43759, 0, 1, 1.76491352, 80, 245);
INSERT INTO public.ecdc_data VALUES (43760, 0, 0, 0, 81, 245);
INSERT INTO public.ecdc_data VALUES (43761, 0, 116, 417.8248005, 205, 245);
INSERT INTO public.ecdc_data VALUES (43762, 12, 776, 48.61366588, 82, 245);
INSERT INTO public.ecdc_data VALUES (43763, 0, 1, 3.10231433, 168, 245);
INSERT INTO public.ecdc_data VALUES (43764, 0, 38, 3.31212788, 24, 245);
INSERT INTO public.ecdc_data VALUES (43765, 0, 0, 3.07144973, 25, 245);
INSERT INTO public.ecdc_data VALUES (43766, 3, 37, 95.81297308, 83, 245);
INSERT INTO public.ecdc_data VALUES (43767, 1, 16, 1.84674191, 84, 245);
INSERT INTO public.ecdc_data VALUES (43768, 0, 0, 0, 169, 245);
INSERT INTO public.ecdc_data VALUES (43769, 11, 656, 86.99876823, 85, 245);
INSERT INTO public.ecdc_data VALUES (43770, 15, 1176, 133.99495495, 170, 245);
INSERT INTO public.ecdc_data VALUES (43771, 0, 95, 211.48992552, 171, 245);
INSERT INTO public.ecdc_data VALUES (43772, 964, 70496, 79.59359392, 112, 245);
INSERT INTO public.ecdc_data VALUES (43773, 108, 4850, 21.63210248, 113, 245);
INSERT INTO public.ecdc_data VALUES (43774, 230, 4392, 62.61556191, 114, 245);
INSERT INTO public.ecdc_data VALUES (43775, 79, 3522, 146.17224224, 115, 245);
INSERT INTO public.ecdc_data VALUES (43776, 1, 502, 124.21904311, 172, 245);
INSERT INTO public.ecdc_data VALUES (43777, 0, 0, 5.91093405, 173, 245);
INSERT INTO public.ecdc_data VALUES (43778, 40, 4912, 844.36965021, 116, 245);
INSERT INTO public.ecdc_data VALUES (43779, 22, 4458, 56.45337359, 174, 245);
INSERT INTO public.ecdc_data VALUES (43780, 2, 82, 57.93214138, 86, 245);
INSERT INTO public.ecdc_data VALUES (43781, 3, 619, 5.62981489, 117, 245);
INSERT INTO public.ecdc_data VALUES (43782, 0, 2, 40.81784111, 175, 245);
INSERT INTO public.ecdc_data VALUES (43783, 13, 1317, 147.75735206, 118, 245);
INSERT INTO public.ecdc_data VALUES (43784, 2, 348, 18.13337496, 119, 245);
INSERT INTO public.ecdc_data VALUES (43785, 3, 271, 5.11469869, 26, 245);
INSERT INTO public.ecdc_data VALUES (43786, 0, 33, 35.47388777, 176, 245);
INSERT INTO public.ecdc_data VALUES (43787, 3, 698, 180.41029437, 120, 245);
INSERT INTO public.ecdc_data VALUES (43788, 8, 520, 41.84947562, 121, 245);
INSERT INTO public.ecdc_data VALUES (43789, 0, 0, 0, 122, 245);
INSERT INTO public.ecdc_data VALUES (43790, 0, 109, 40.41734029, 177, 245);
INSERT INTO public.ecdc_data VALUES (43791, 6, 1367, 246.87453916, 123, 245);
INSERT INTO public.ecdc_data VALUES (43792, 2, 103, 13.1277623, 27, 245);
INSERT INTO public.ecdc_data VALUES (43793, 0, 5, 0.44558099, 28, 245);
INSERT INTO public.ecdc_data VALUES (43794, 8, 779, 142.53141999, 29, 245);
INSERT INTO public.ecdc_data VALUES (43795, 0, 6, 49.50753036, 178, 245);
INSERT INTO public.ecdc_data VALUES (43796, 1, 142, 55.65131001, 179, 245);
INSERT INTO public.ecdc_data VALUES (43797, 1, 100, 172.83114023, 180, 245);
INSERT INTO public.ecdc_data VALUES (43798, 0, 21, 1.71676646, 30, 245);
INSERT INTO public.ecdc_data VALUES (43799, 0, 6, 0.33281891, 31, 245);
INSERT INTO public.ecdc_data VALUES (43800, 5, 375, 11.86862298, 124, 245);
INSERT INTO public.ecdc_data VALUES (43801, 0, 86, 151.23635247, 125, 245);
INSERT INTO public.ecdc_data VALUES (43802, 0, 25, 0.98687442, 32, 245);
INSERT INTO public.ecdc_data VALUES (43803, 0, 75, 130.07563432, 181, 245);
INSERT INTO public.ecdc_data VALUES (43804, 0, 0, 1.98864352, 33, 245);
INSERT INTO public.ecdc_data VALUES (43805, 0, 0, 2.20529744, 34, 245);
INSERT INTO public.ecdc_data VALUES (43806, 3013, 4936, 47.40956238, 87, 245);
INSERT INTO public.ecdc_data VALUES (43807, 18, 1121, 271.11799445, 182, 245);
INSERT INTO public.ecdc_data VALUES (43808, 0, 2, 72.54042618, 183, 245);
INSERT INTO public.ecdc_data VALUES (43809, 0, 0, 0.06201231, 126, 245);
INSERT INTO public.ecdc_data VALUES (43810, 1, 210, 528.30200809, 184, 245);
INSERT INTO public.ecdc_data VALUES (43811, 0, 0, 0, 88, 245);
INSERT INTO public.ecdc_data VALUES (43812, 47, 2929, 90.08063936, 35, 245);
INSERT INTO public.ecdc_data VALUES (43813, 0, 145, 7.37666083, 36, 245);
INSERT INTO public.ecdc_data VALUES (43814, 25, 1012, 25.77461603, 127, 245);
INSERT INTO public.ecdc_data VALUES (43815, 1, 67, 41.73140848, 37, 245);
INSERT INTO public.ecdc_data VALUES (43816, 12, 4364, 102.47227112, 128, 245);
INSERT INTO public.ecdc_data VALUES (43817, 13, 5813, 304.33690505, 185, 245);
INSERT INTO public.ecdc_data VALUES (43818, 0, 0, 0.35366056, 207, 245);
INSERT INTO public.ecdc_data VALUES (43819, 0, 2, 0.77356304, 208, 245);
INSERT INTO public.ecdc_data VALUES (43820, 0, 0, 2.91803395, 89, 245);
INSERT INTO public.ecdc_data VALUES (43821, 0, 1, 0.0300291, 38, 245);
INSERT INTO public.ecdc_data VALUES (43822, 0, 103, 0.99122427, 39, 245);
INSERT INTO public.ecdc_data VALUES (43823, 3, 364, 124.06529773, 186, 245);
INSERT INTO public.ecdc_data VALUES (43824, 0, 0, 10.48712705, 209, 245);
INSERT INTO public.ecdc_data VALUES (43825, 0, 228, 32.6000542, 187, 245);
INSERT INTO public.ecdc_data VALUES (43826, 9, 664, 165.26659741, 129, 245);
INSERT INTO public.ecdc_data VALUES (43827, 8, 661, 3.96185323, 130, 245);
INSERT INTO public.ecdc_data VALUES (43828, 4, 416, 130.98669416, 131, 245);
INSERT INTO public.ecdc_data VALUES (43829, 15, 754, 219.66635582, 90, 245);
INSERT INTO public.ecdc_data VALUES (43830, 0, 8, 0.20510205, 210, 245);
INSERT INTO public.ecdc_data VALUES (43831, 23, 881, 154.89793018, 91, 245);
INSERT INTO public.ecdc_data VALUES (43832, 89, 2952, 152.82465072, 92, 245);
INSERT INTO public.ecdc_data VALUES (43833, 144, 2232, 32.47789225, 132, 245);
INSERT INTO public.ecdc_data VALUES (43834, 75, 4280, 75.81740325, 188, 245);
INSERT INTO public.ecdc_data VALUES (43835, 10, 1278, 110.71736934, 189, 245);
INSERT INTO public.ecdc_data VALUES (43836, 10, 526, 288.12942234, 93, 245);
INSERT INTO public.ecdc_data VALUES (43837, 0, 213, 104.83494234, 133, 245);
INSERT INTO public.ecdc_data VALUES (43838, 44, 3130, 142.39903066, 190, 245);
INSERT INTO public.ecdc_data VALUES (43839, 191, 11493, 89.99380691, 191, 245);
INSERT INTO public.ecdc_data VALUES (43840, 0, 2, 0.76027933, 40, 245);
INSERT INTO public.ecdc_data VALUES (43841, 0, 0, 0, 94, 245);
INSERT INTO public.ecdc_data VALUES (43842, 0, 0, 0.54706092, 95, 245);
INSERT INTO public.ecdc_data VALUES (43843, 0, 0, 0, 96, 245);
INSERT INTO public.ecdc_data VALUES (43844, 0, 1, 72.56262154, 192, 245);
INSERT INTO public.ecdc_data VALUES (43845, 0, 7, 5.11513709, 41, 245);
INSERT INTO public.ecdc_data VALUES (43846, 25, 421, 18.31126162, 134, 245);
INSERT INTO public.ecdc_data VALUES (43847, 0, 16, 2.29499075, 42, 245);
INSERT INTO public.ecdc_data VALUES (43848, 2, 151, 16.95921918, 193, 245);
INSERT INTO public.ecdc_data VALUES (43849, 0, 0, 5.11556051, 43, 245);
INSERT INTO public.ecdc_data VALUES (43850, 0, 6, 1.34387838, 44, 245);
INSERT INTO public.ecdc_data VALUES (43851, 0, 9, 3.35955336, 135, 245);
INSERT INTO public.ecdc_data VALUES (43852, 0, 9, 188.72820779, 97, 245);
INSERT INTO public.ecdc_data VALUES (43853, 2, 1037, 148.55733163, 194, 245);
INSERT INTO public.ecdc_data VALUES (43854, 0, 387, 129.51077126, 195, 245);
INSERT INTO public.ecdc_data VALUES (43855, 0, 0, 1.81313025, 45, 245);
INSERT INTO public.ecdc_data VALUES (43856, 160, 1736, 33.88419948, 46, 245);
INSERT INTO public.ecdc_data VALUES (43857, 1, 54, 1.99315491, 136, 245);
INSERT INTO public.ecdc_data VALUES (43858, 0, 14, 0.75934853, 47, 245);
INSERT INTO public.ecdc_data VALUES (43859, 241, 12788, 308.13817482, 196, 245);
INSERT INTO public.ecdc_data VALUES (43860, 0, 29, 5.41649976, 137, 245);
INSERT INTO public.ecdc_data VALUES (43861, 0, 0, 0.17751519, 48, 245);
INSERT INTO public.ecdc_data VALUES (43862, 0, 25, 36.98205768, 98, 245);
INSERT INTO public.ecdc_data VALUES (43863, 1, 834, 71.30858337, 197, 245);
INSERT INTO public.ecdc_data VALUES (43864, 4, 2243, 84.88474552, 198, 245);
INSERT INTO public.ecdc_data VALUES (43865, 3, 62, 3.51491131, 138, 245);
INSERT INTO public.ecdc_data VALUES (43866, 0, 3, 0.07571334, 139, 245);
INSERT INTO public.ecdc_data VALUES (43867, 0, 42, 6.19030765, 140, 245);
INSERT INTO public.ecdc_data VALUES (43868, 0, 6, 0.15655166, 141, 245);
INSERT INTO public.ecdc_data VALUES (43869, 0, 0, 0.07733234, 142, 245);
INSERT INTO public.ecdc_data VALUES (43870, 0, 9, 2.47452507, 49, 245);
INSERT INTO public.ecdc_data VALUES (43871, 2, 76, 52.18753965, 99, 245);
INSERT INTO public.ecdc_data VALUES (43872, 0, 0, 106.54379869, 50, 245);
INSERT INTO public.ecdc_data VALUES (43873, 58, 1615, 25.56342394, 199, 245);
INSERT INTO public.ecdc_data VALUES (43874, 0, 0, 41.89139655, 100, 245);
INSERT INTO public.ecdc_data VALUES (43875, 0, 182, 5.37163358, 51, 245);
INSERT INTO public.ecdc_data VALUES (43876, 93, 5397, 128.71859691, 200, 245);
INSERT INTO public.ecdc_data VALUES (43877, 2, 1089, 147.35132991, 143, 245);
INSERT INTO public.ecdc_data VALUES (43878, 77, 17540, 218.24201475, 201, 245);
INSERT INTO public.ecdc_data VALUES (43879, 0, 0, 0, 52, 245);
INSERT INTO public.ecdc_data VALUES (43880, 972, 56800, 190.89759119, 101, 245);
INSERT INTO public.ecdc_data VALUES (43881, 0, 2, 26.77401773, 102, 245);
INSERT INTO public.ecdc_data VALUES (43882, 0, 20, 7.71290432, 103, 245);
INSERT INTO public.ecdc_data VALUES (43883, 2, 217, 18.6648875, 144, 245);
INSERT INTO public.ecdc_data VALUES (43884, 7, 615, 37.21792552, 104, 245);
INSERT INTO public.ecdc_data VALUES (43885, 0, 1, 0.03213697, 145, 245);
INSERT INTO public.ecdc_data VALUES (43886, 0, 0, 0, 53, 245);
INSERT INTO public.ecdc_data VALUES (43887, 0, 1, 0.07201171, 146, 245);
INSERT INTO public.ecdc_data VALUES (43888, 0, 0, 4.10390574, 54, 245);
INSERT INTO public.ecdc_data VALUES (43889, 0, 32, 1.35878165, 55, 245);
INSERT INTO public.ecdc_data VALUES (43890, 3, 26, 1.18028197, 105, 246);
INSERT INTO public.ecdc_data VALUES (43891, 2, 147, 62.67408741, 147, 246);
INSERT INTO public.ecdc_data VALUES (43892, 9, 285, 10.93999046, 1, 246);
INSERT INTO public.ecdc_data VALUES (43893, 0, 0, 263.85917009, 148, 246);
INSERT INTO public.ecdc_data VALUES (43894, 3, 16, 2.1932237, 2, 246);
INSERT INTO public.ecdc_data VALUES (43895, 0, 0, 0, 56, 246);
INSERT INTO public.ecdc_data VALUES (43896, 0, 0, 1.02970705, 57, 246);
INSERT INTO public.ecdc_data VALUES (43897, 267, 9215, 306.24817513, 58, 246);
INSERT INTO public.ecdc_data VALUES (43898, 3, 108, 68.19423558, 149, 246);
INSERT INTO public.ecdc_data VALUES (43899, 0, 107, 864.45301477, 59, 246);
INSERT INTO public.ecdc_data VALUES (43900, 8, 52, 5.24139792, 202, 246);
INSERT INTO public.ecdc_data VALUES (43901, 1, 495, 49.23931356, 150, 246);
INSERT INTO public.ecdc_data VALUES (43902, 1, 139, 19.88511024, 151, 246);
INSERT INTO public.ecdc_data VALUES (43903, 4, 72, 216.69585043, 60, 246);
INSERT INTO public.ecdc_data VALUES (43904, 2, 0, 365.59417584, 106, 246);
INSERT INTO public.ecdc_data VALUES (43905, 36, 1892, 18.16847305, 107, 246);
INSERT INTO public.ecdc_data VALUES (43906, 0, 1, 5.574505, 61, 246);
INSERT INTO public.ecdc_data VALUES (43907, 5, 177, 26.24727728, 152, 246);
INSERT INTO public.ecdc_data VALUES (43908, 3, 871, 61.86537685, 153, 246);
INSERT INTO public.ecdc_data VALUES (43909, 0, 54, 161.64938735, 62, 246);
INSERT INTO public.ecdc_data VALUES (43910, 0, 0, 0.83042747, 3, 246);
INSERT INTO public.ecdc_data VALUES (43911, 0, 0, 11.19856658, 63, 246);
INSERT INTO public.ecdc_data VALUES (43912, 0, 1, 7.99377272, 108, 246);
INSERT INTO public.ecdc_data VALUES (43913, 43, 704, 98.22721974, 64, 246);
INSERT INTO public.ecdc_data VALUES (43914, 0, 4, 38.48670284, 65, 246);
INSERT INTO public.ecdc_data VALUES (43915, 5, 301, 110.17880047, 154, 246);
INSERT INTO public.ecdc_data VALUES (43916, 0, 0, 24.48232259, 4, 246);
INSERT INTO public.ecdc_data VALUES (43917, 504, 14279, 233.15760317, 66, 246);
INSERT INTO public.ecdc_data VALUES (43918, 0, 0, 123.19781574, 67, 246);
INSERT INTO public.ecdc_data VALUES (43919, 0, 0, 0.23078911, 109, 246);
INSERT INTO public.ecdc_data VALUES (43920, 15, 167, 24.62843421, 155, 246);
INSERT INTO public.ecdc_data VALUES (43921, 0, 3, 0.56098544, 5, 246);
INSERT INTO public.ecdc_data VALUES (43922, 0, 0, 0.31221334, 6, 246);
INSERT INTO public.ecdc_data VALUES (43923, 0, 0, 0.00606555, 110, 246);
INSERT INTO public.ecdc_data VALUES (43924, 0, 0, 2.43851663, 7, 246);
INSERT INTO public.ecdc_data VALUES (43925, 7, 1606, 20.79332843, 68, 246);
INSERT INTO public.ecdc_data VALUES (43926, 0, 42, 151.29033197, 8, 246);
INSERT INTO public.ecdc_data VALUES (43927, 0, 0, 0, 69, 246);
INSERT INTO public.ecdc_data VALUES (43928, 0, 7, 0.94833093, 9, 246);
INSERT INTO public.ecdc_data VALUES (43929, 0, 5, 0.31354092, 10, 246);
INSERT INTO public.ecdc_data VALUES (43930, 30, 1267, 129.5691993, 70, 246);
INSERT INTO public.ecdc_data VALUES (43931, 1, 8, 0.02336475, 111, 246);
INSERT INTO public.ecdc_data VALUES (43932, 202, 7665, 233.1869266, 71, 246);
INSERT INTO public.ecdc_data VALUES (43933, 0, 0, 4.11333532, 11, 246);
INSERT INTO public.ecdc_data VALUES (43934, 0, 0, 16.95008497, 12, 246);
INSERT INTO public.ecdc_data VALUES (43935, 21, 1117, 289.09011699, 72, 246);
INSERT INTO public.ecdc_data VALUES (43936, 0, 77, 4.72847179, 13, 246);
INSERT INTO public.ecdc_data VALUES (43937, 2, 204, 92.1190723, 156, 246);
INSERT INTO public.ecdc_data VALUES (43938, 2, 25, 5.58521987, 73, 246);
INSERT INTO public.ecdc_data VALUES (43939, 0, 5, 36.71453835, 74, 246);
INSERT INTO public.ecdc_data VALUES (43940, 0, 1, 4.22423133, 157, 246);
INSERT INTO public.ecdc_data VALUES (43941, 4, 1161, 68.81819377, 158, 246);
INSERT INTO public.ecdc_data VALUES (43942, 0, 59, 0.46203177, 14, 246);
INSERT INTO public.ecdc_data VALUES (43943, 0, 243, 32.31095123, 159, 246);
INSERT INTO public.ecdc_data VALUES (43944, 0, 0, 0.51358061, 15, 246);
INSERT INTO public.ecdc_data VALUES (43945, 0, 0, 0, 75, 246);
INSERT INTO public.ecdc_data VALUES (43946, 25, 233, 73.69430756, 76, 246);
INSERT INTO public.ecdc_data VALUES (43947, 51, 665, 9.94033668, 77, 246);
INSERT INTO public.ecdc_data VALUES (43948, 19, 187, 2.59891424, 16, 246);
INSERT INTO public.ecdc_data VALUES (43949, 1, 98, 23.63040497, 78, 246);
INSERT INTO public.ecdc_data VALUES (43950, 0, 13, 4.35109021, 17, 246);
INSERT INTO public.ecdc_data VALUES (43951, 0, 11, 0.74346955, 18, 246);
INSERT INTO public.ecdc_data VALUES (43952, 0, 32, 20.30464516, 160, 246);
INSERT INTO public.ecdc_data VALUES (43953, 2, 20, 50.25550176, 19, 246);
INSERT INTO public.ecdc_data VALUES (43954, 16, 1136, 15.25356368, 20, 246);
INSERT INTO public.ecdc_data VALUES (43955, 0, 0, 0, 79, 246);
INSERT INTO public.ecdc_data VALUES (43956, 0, 1, 6.16307496, 161, 246);
INSERT INTO public.ecdc_data VALUES (43957, 0, 0, 0.3370957, 203, 246);
INSERT INTO public.ecdc_data VALUES (43958, 0, 10, 6.45170761, 162, 246);
INSERT INTO public.ecdc_data VALUES (43959, 38, 6544, 130.37194654, 163, 246);
INSERT INTO public.ecdc_data VALUES (43960, 0, 0, 143.58092987, 204, 246);
INSERT INTO public.ecdc_data VALUES (43961, 0, 0, 9.15962511, 21, 246);
INSERT INTO public.ecdc_data VALUES (43962, 0, 78, 25.08842712, 22, 246);
INSERT INTO public.ecdc_data VALUES (43963, 0, 89, 8.43182556, 164, 246);
INSERT INTO public.ecdc_data VALUES (43964, 9, 1176, 20.53139193, 165, 246);
INSERT INTO public.ecdc_data VALUES (43965, 0, 0, 4.2573675, 23, 246);
INSERT INTO public.ecdc_data VALUES (43966, 0, 5, 189.8771732, 166, 246);
INSERT INTO public.ecdc_data VALUES (43967, 1, 169, 26.52779838, 167, 246);
INSERT INTO public.ecdc_data VALUES (43968, 0, 0, 0, 80, 246);
INSERT INTO public.ecdc_data VALUES (43969, 0, 0, 0, 81, 246);
INSERT INTO public.ecdc_data VALUES (43970, 4, 42, 435.75719537, 205, 246);
INSERT INTO public.ecdc_data VALUES (43971, 28, 893, 51.58838769, 82, 246);
INSERT INTO public.ecdc_data VALUES (43972, 0, 0, 1.55115716, 168, 246);
INSERT INTO public.ecdc_data VALUES (43973, 2, 50, 5.63766448, 24, 246);
INSERT INTO public.ecdc_data VALUES (43974, 0, 0, 4.99761312, 25, 246);
INSERT INTO public.ecdc_data VALUES (43975, 1, 53, 70.64609882, 83, 246);
INSERT INTO public.ecdc_data VALUES (43976, 0, 14, 2.34394165, 84, 246);
INSERT INTO public.ecdc_data VALUES (43977, 0, 0, 0, 169, 246);
INSERT INTO public.ecdc_data VALUES (43978, 11, 404, 99.92699655, 85, 246);
INSERT INTO public.ecdc_data VALUES (43979, 1, 341, 41.84080724, 170, 246);
INSERT INTO public.ecdc_data VALUES (43980, 0, 7, 20.44869479, 171, 246);
INSERT INTO public.ecdc_data VALUES (43981, 1115, 89706, 83.11177127, 112, 246);
INSERT INTO public.ecdc_data VALUES (43982, 100, 3046, 15.58463247, 113, 246);
INSERT INTO public.ecdc_data VALUES (43983, 132, 2302, 36.13628418, 114, 246);
INSERT INTO public.ecdc_data VALUES (43984, 68, 4894, 146.60724839, 115, 246);
INSERT INTO public.ecdc_data VALUES (43985, 1, 306, 38.31378562, 172, 246);
INSERT INTO public.ecdc_data VALUES (43986, 0, 0, 1.18218681, 173, 246);
INSERT INTO public.ecdc_data VALUES (43987, 14, 3676, 371.40057138, 116, 246);
INSERT INTO public.ecdc_data VALUES (43988, 10, 1369, 31.44324512, 174, 246);
INSERT INTO public.ecdc_data VALUES (43989, 2, 140, 53.96372186, 86, 246);
INSERT INTO public.ecdc_data VALUES (43990, 16, 492, 7.0187443, 117, 246);
INSERT INTO public.ecdc_data VALUES (43991, 0, 1, 15.77052952, 175, 246);
INSERT INTO public.ecdc_data VALUES (43992, 2, 103, 8.5629177, 118, 246);
INSERT INTO public.ecdc_data VALUES (43993, 47, 523, 39.15601538, 119, 246);
INSERT INTO public.ecdc_data VALUES (43994, 0, 151, 4.85601553, 26, 246);
INSERT INTO public.ecdc_data VALUES (43995, 0, 97, 89.96355864, 176, 246);
INSERT INTO public.ecdc_data VALUES (43996, 2, 857, 229.87456612, 120, 246);
INSERT INTO public.ecdc_data VALUES (43997, 1, 87, 19.56092808, 121, 246);
INSERT INTO public.ecdc_data VALUES (43998, 0, 0, 0, 122, 246);
INSERT INTO public.ecdc_data VALUES (43999, 0, 3, 4.68757813, 177, 246);
INSERT INTO public.ecdc_data VALUES (44000, 7, 498, 111.39621008, 123, 246);
INSERT INTO public.ecdc_data VALUES (44001, 0, 16, 5.41108482, 27, 246);
INSERT INTO public.ecdc_data VALUES (44002, 0, 0, 0.3240589, 28, 246);
INSERT INTO public.ecdc_data VALUES (44003, 18, 750, 122.49439428, 29, 246);
INSERT INTO public.ecdc_data VALUES (44004, 0, 0, 18.23961645, 178, 246);
INSERT INTO public.ecdc_data VALUES (44005, 0, 31, 15.6396286, 179, 246);
INSERT INTO public.ecdc_data VALUES (44006, 0, 24, -140.74090967, 180, 246);
INSERT INTO public.ecdc_data VALUES (44007, 4, 83, 3.55960216, 30, 246);
INSERT INTO public.ecdc_data VALUES (44008, 0, 9, 1.11118573, 31, 246);
INSERT INTO public.ecdc_data VALUES (44009, 0, 100, 0.85759565, 124, 246);
INSERT INTO public.ecdc_data VALUES (44010, 0, 74, 319.04655179, 125, 246);
INSERT INTO public.ecdc_data VALUES (44011, 0, 12, 0.85969988, 32, 246);
INSERT INTO public.ecdc_data VALUES (44012, 0, 63, 83.27271917, 181, 246);
INSERT INTO public.ecdc_data VALUES (44013, 0, 7, 4.88322464, 33, 246);
INSERT INTO public.ecdc_data VALUES (44014, 0, 0, 0.78760623, 34, 246);
INSERT INTO public.ecdc_data VALUES (44015, 703, 6403, 58.18749143, 87, 246);
INSERT INTO public.ecdc_data VALUES (44016, 13, 501, 153.29222127, 182, 246);
INSERT INTO public.ecdc_data VALUES (44017, 0, 3, 105.78812151, 183, 246);
INSERT INTO public.ecdc_data VALUES (44018, 0, 0, 0.31006156, 126, 246);
INSERT INTO public.ecdc_data VALUES (44019, 3, 216, 229.99701052, 184, 246);
INSERT INTO public.ecdc_data VALUES (44020, 0, 0, 0, 88, 246);
INSERT INTO public.ecdc_data VALUES (44021, 33, 1941, 58.1079622, 35, 246);
INSERT INTO public.ecdc_data VALUES (44022, 1, 90, 3.75090031, 36, 246);
INSERT INTO public.ecdc_data VALUES (44023, 4, 197, 2.41093501, 127, 246);
INSERT INTO public.ecdc_data VALUES (44024, 0, 118, 110.96305347, 37, 246);
INSERT INTO public.ecdc_data VALUES (44025, 6, 902, 51.05087733, 128, 246);
INSERT INTO public.ecdc_data VALUES (44026, 1, 963, 52.07102838, 185, 246);
INSERT INTO public.ecdc_data VALUES (44027, 0, 0, 1.06098169, 207, 246);
INSERT INTO public.ecdc_data VALUES (44028, 0, 6, 1.94436116, 208, 246);
INSERT INTO public.ecdc_data VALUES (44029, 3, 150, 4.94996336, 89, 246);
INSERT INTO public.ecdc_data VALUES (44030, 0, 0, 0.02144936, 38, 246);
INSERT INTO public.ecdc_data VALUES (44031, 6, 296, 1.32163236, 39, 246);
INSERT INTO public.ecdc_data VALUES (44032, 6, 37, 70.00036589, 186, 246);
INSERT INTO public.ecdc_data VALUES (44033, 0, 0, 8.73927254, 209, 246);
INSERT INTO public.ecdc_data VALUES (44034, 0, 132, 21.09525672, 187, 246);
INSERT INTO public.ecdc_data VALUES (44035, 8, 262, 59.05537135, 129, 246);
INSERT INTO public.ecdc_data VALUES (44036, 9, 426, 2.52394985, 130, 246);
INSERT INTO public.ecdc_data VALUES (44037, 8, 717, 187.81785603, 131, 246);
INSERT INTO public.ecdc_data VALUES (44038, 8, 829, 236.10365388, 90, 246);
INSERT INTO public.ecdc_data VALUES (44039, 0, 6, 0.9571429, 210, 246);
INSERT INTO public.ecdc_data VALUES (44040, 14, 861, 141.75318281, 91, 246);
INSERT INTO public.ecdc_data VALUES (44041, 147, 4615, 273.16744991, 92, 246);
INSERT INTO public.ecdc_data VALUES (44042, 26, 3260, 41.45801004, 132, 246);
INSERT INTO public.ecdc_data VALUES (44043, 12, 400, 22.26066376, 188, 246);
INSERT INTO public.ecdc_data VALUES (44044, 3, 388, 48.48871959, 189, 246);
INSERT INTO public.ecdc_data VALUES (44045, 5, 129, 163.08698018, 93, 246);
INSERT INTO public.ecdc_data VALUES (44046, 0, 231, 108.78964546, 133, 246);
INSERT INTO public.ecdc_data VALUES (44047, 41, 1136, 85.72477274, 190, 246);
INSERT INTO public.ecdc_data VALUES (44048, 122, 5099, 47.71297846, 191, 246);
INSERT INTO public.ecdc_data VALUES (44049, 1, 30, 7.1434579, 40, 246);
INSERT INTO public.ecdc_data VALUES (44050, 0, 0, 0, 94, 246);
INSERT INTO public.ecdc_data VALUES (44051, 0, 0, 0, 95, 246);
INSERT INTO public.ecdc_data VALUES (44052, 0, 0, 3.61686544, 96, 246);
INSERT INTO public.ecdc_data VALUES (44053, 0, 0, 17.41502917, 192, 246);
INSERT INTO public.ecdc_data VALUES (44054, 0, 0, 2.79007477, 41, 246);
INSERT INTO public.ecdc_data VALUES (44055, 30, 642, 36.38615477, 134, 246);
INSERT INTO public.ecdc_data VALUES (44056, 1, 30, 6.06270283, 42, 246);
INSERT INTO public.ecdc_data VALUES (44057, 2, 53, 16.85869883, 193, 246);
INSERT INTO public.ecdc_data VALUES (44058, 0, 0, 1.0231121, 43, 246);
INSERT INTO public.ecdc_data VALUES (44059, 1, 9, 0.80632703, 44, 246);
INSERT INTO public.ecdc_data VALUES (44060, 0, 47, 11.30188206, 135, 246);
INSERT INTO public.ecdc_data VALUES (44061, 0, 11, 257.14218311, 97, 246);
INSERT INTO public.ecdc_data VALUES (44062, 0, 91, 23.39268838, 194, 246);
INSERT INTO public.ecdc_data VALUES (44063, 0, 42, 26.23854587, 195, 246);
INSERT INTO public.ecdc_data VALUES (44064, 0, 0, 0.56336547, 45, 246);
INSERT INTO public.ecdc_data VALUES (44065, 82, 1079, 46.83198702, 46, 246);
INSERT INTO public.ecdc_data VALUES (44066, 3, 156, 6.48702621, 136, 246);
INSERT INTO public.ecdc_data VALUES (44067, 0, 0, 0.34351481, 47, 246);
INSERT INTO public.ecdc_data VALUES (44068, 34, 8866, 263.18222743, 196, 246);
INSERT INTO public.ecdc_data VALUES (44069, 0, 17, 0.79254412, 137, 246);
INSERT INTO public.ecdc_data VALUES (44070, 0, 0, 1.08144124, 48, 246);
INSERT INTO public.ecdc_data VALUES (44071, 0, 59, 124.01890041, 98, 246);
INSERT INTO public.ecdc_data VALUES (44072, 1, 236, 24.85781049, 197, 246);
INSERT INTO public.ecdc_data VALUES (44073, 0, 245, 53.46112196, 198, 246);
INSERT INTO public.ecdc_data VALUES (44074, 3, 60, 5.83475277, 138, 246);
INSERT INTO public.ecdc_data VALUES (44075, 0, 1, 0.03365037, 139, 246);
INSERT INTO public.ecdc_data VALUES (44076, 0, 36, 5.16037778, 140, 246);
INSERT INTO public.ecdc_data VALUES (44077, 0, 1, 0.06319516, 141, 246);
INSERT INTO public.ecdc_data VALUES (44078, 0, 0, 0.07733234, 142, 246);
INSERT INTO public.ecdc_data VALUES (44079, 1, 20, 2.52401558, 49, 246);
INSERT INTO public.ecdc_data VALUES (44080, 2, 114, 81.65055998, 99, 246);
INSERT INTO public.ecdc_data VALUES (44081, 3, 293, 20.07743494, 50, 246);
INSERT INTO public.ecdc_data VALUES (44082, 52, 1761, 26.92067676, 199, 246);
INSERT INTO public.ecdc_data VALUES (44083, 0, 15, 479.13284809, 100, 246);
INSERT INTO public.ecdc_data VALUES (44084, 2, 124, 3.32959962, 51, 246);
INSERT INTO public.ecdc_data VALUES (44085, 102, 4962, 74.8858193, 200, 246);
INSERT INTO public.ecdc_data VALUES (44086, 1, 644, 76.52607444, 143, 246);
INSERT INTO public.ecdc_data VALUES (44087, 32, 2460, 37.15389798, 201, 246);
INSERT INTO public.ecdc_data VALUES (44088, 0, 0, 0, 52, 246);
INSERT INTO public.ecdc_data VALUES (44089, 471, 27122, 166.76496693, 101, 246);
INSERT INTO public.ecdc_data VALUES (44090, 1, 1, 153.95060194, 102, 246);
INSERT INTO public.ecdc_data VALUES (44091, 0, 19, 5.08416165, 103, 246);
INSERT INTO public.ecdc_data VALUES (44092, 6, 450, 14.45346308, 144, 246);
INSERT INTO public.ecdc_data VALUES (44093, 8, 1213, 50.51580299, 104, 246);
INSERT INTO public.ecdc_data VALUES (44094, 0, 5, 0.02591691, 145, 246);
INSERT INTO public.ecdc_data VALUES (44095, 0, 0, 0, 53, 246);
INSERT INTO public.ecdc_data VALUES (44096, 3, 3, 0.24003905, 146, 246);
INSERT INTO public.ecdc_data VALUES (44097, 1, 116, 9.33316627, 54, 246);
INSERT INTO public.ecdc_data VALUES (44098, 8, 90, 8.13903382, 55, 246);
INSERT INTO public.ecdc_data VALUES (44099, 5, 39, 2.35793526, 105, 247);
INSERT INTO public.ecdc_data VALUES (44100, 4, 124, 57.22416676, 147, 247);
INSERT INTO public.ecdc_data VALUES (44101, 11, 538, 18.41681196, 1, 247);
INSERT INTO public.ecdc_data VALUES (44102, 0, 1, 77.45119918, 148, 247);
INSERT INTO public.ecdc_data VALUES (44103, 0, 0, 1.89471904, 2, 247);
INSERT INTO public.ecdc_data VALUES (44104, 0, 0, 0, 56, 247);
INSERT INTO public.ecdc_data VALUES (44105, 0, 0, 10.29707048, 57, 247);
INSERT INTO public.ecdc_data VALUES (44106, 159, 7482, 183.4653006, 58, 247);
INSERT INTO public.ecdc_data VALUES (44107, 8, 300, 96.96632009, 149, 247);
INSERT INTO public.ecdc_data VALUES (44108, 0, 113, 366.85166024, 59, 247);
INSERT INTO public.ecdc_data VALUES (44109, 12, 426, 26.77437786, 202, 247);
INSERT INTO public.ecdc_data VALUES (44110, 1, 116, 17.90315252, 150, 247);
INSERT INTO public.ecdc_data VALUES (44111, 5, 105, 38.29724936, 151, 247);
INSERT INTO public.ecdc_data VALUES (44112, 0, 48, 141.72524815, 60, 247);
INSERT INTO public.ecdc_data VALUES (44113, 2, 322, 297.47179441, 106, 247);
INSERT INTO public.ecdc_data VALUES (44114, 32, 2611, 20.81312267, 107, 247);
INSERT INTO public.ecdc_data VALUES (44115, 0, 0, 10.45219688, 61, 247);
INSERT INTO public.ecdc_data VALUES (44116, 2, 124, 18.36568858, 152, 247);
INSERT INTO public.ecdc_data VALUES (44117, 2, 304, 70.6733584, 153, 247);
INSERT INTO public.ecdc_data VALUES (44118, 0, 7, 26.89886794, 62, 247);
INSERT INTO public.ecdc_data VALUES (44119, 0, 0, 2.05064743, 3, 247);
INSERT INTO public.ecdc_data VALUES (44120, 0, 0, 6.3991809, 63, 247);
INSERT INTO public.ecdc_data VALUES (44121, 0, 0, 1.96568182, 108, 247);
INSERT INTO public.ecdc_data VALUES (44122, 63, 1164, 180.43790457, 64, 247);
INSERT INTO public.ecdc_data VALUES (44123, 0, 0, 7.69734057, 65, 247);
INSERT INTO public.ecdc_data VALUES (44124, 2, 402, 131.02098214, 154, 247);
INSERT INTO public.ecdc_data VALUES (44125, 0, 0, 9.68006727, 4, 247);
INSERT INTO public.ecdc_data VALUES (44126, 905, 49970, 292.77441755, 66, 247);
INSERT INTO public.ecdc_data VALUES (44127, 0, 0, 3.3296707, 67, 247);
INSERT INTO public.ecdc_data VALUES (44128, 0, 0, 0.23078911, 109, 247);
INSERT INTO public.ecdc_data VALUES (44129, 10, 329, 43.29975876, 155, 247);
INSERT INTO public.ecdc_data VALUES (44130, 0, 5, 0.46256694, 5, 247);
INSERT INTO public.ecdc_data VALUES (44131, 0, 3, 0.40761187, 6, 247);
INSERT INTO public.ecdc_data VALUES (44132, 0, 0, 0.12737662, 110, 247);
INSERT INTO public.ecdc_data VALUES (44133, 0, 0, 3.90317242, 7, 247);
INSERT INTO public.ecdc_data VALUES (44134, 6, 236, 15.13724372, 68, 247);
INSERT INTO public.ecdc_data VALUES (44135, 3, 55, 104.92129993, 8, 247);
INSERT INTO public.ecdc_data VALUES (44136, 0, 0, 0, 69, 247);
INSERT INTO public.ecdc_data VALUES (44137, 1, 0, 0.90618289, 9, 247);
INSERT INTO public.ecdc_data VALUES (44138, 0, 0, 0.16931209, 10, 247);
INSERT INTO public.ecdc_data VALUES (44139, 53, 2198, 144.73907419, 70, 247);
INSERT INTO public.ecdc_data VALUES (44140, 0, 92, 0.159787, 111, 247);
INSERT INTO public.ecdc_data VALUES (44141, 290, 9674, 270.31487019, 71, 247);
INSERT INTO public.ecdc_data VALUES (44142, 0, 3, 6.9339081, 11, 247);
INSERT INTO public.ecdc_data VALUES (44143, 0, 27, 11.6345978, 12, 247);
INSERT INTO public.ecdc_data VALUES (44144, 10, 1, 148.23000653, 72, 247);
INSERT INTO public.ecdc_data VALUES (44145, 0, 96, 4.37850266, 13, 247);
INSERT INTO public.ecdc_data VALUES (44146, 2, 77, 18.42381446, 156, 247);
INSERT INTO public.ecdc_data VALUES (44147, 0, 59, 3.61759897, 73, 247);
INSERT INTO public.ecdc_data VALUES (44148, 0, 0, 1.22381794, 74, 247);
INSERT INTO public.ecdc_data VALUES (44149, 0, 11, 20.55031459, 157, 247);
INSERT INTO public.ecdc_data VALUES (44150, 0, 175, 28.38550959, 158, 247);
INSERT INTO public.ecdc_data VALUES (44151, 6, 99, 0.7523859, 14, 247);
INSERT INTO public.ecdc_data VALUES (44152, 0, 0, 17.29221483, 159, 247);
INSERT INTO public.ecdc_data VALUES (44153, 0, 0, 30.71212061, 15, 247);
INSERT INTO public.ecdc_data VALUES (44154, 0, 0, 0, 75, 247);
INSERT INTO public.ecdc_data VALUES (44155, 30, 1069, 166.51523979, 76, 247);
INSERT INTO public.ecdc_data VALUES (44156, 19, 1603, 77.9110581, 77, 247);
INSERT INTO public.ecdc_data VALUES (44157, 21, 167, 3.71657686, 16, 247);
INSERT INTO public.ecdc_data VALUES (44158, 0, 434, 89.20671568, 78, 247);
INSERT INTO public.ecdc_data VALUES (44159, 0, 0, 129.05776035, 17, 247);
INSERT INTO public.ecdc_data VALUES (44160, 0, 0, 0.62908962, 18, 247);
INSERT INTO public.ecdc_data VALUES (44161, 0, 14, 8.60494256, 160, 247);
INSERT INTO public.ecdc_data VALUES (44162, 0, 92, 85.8785524, 19, 247);
INSERT INTO public.ecdc_data VALUES (44163, 10, 801, 8.52971858, 20, 247);
INSERT INTO public.ecdc_data VALUES (44164, 0, 0, 0, 79, 247);
INSERT INTO public.ecdc_data VALUES (44165, 0, 0, 205.43583212, 161, 247);
INSERT INTO public.ecdc_data VALUES (44166, 0, 0, 0, 203, 247);
INSERT INTO public.ecdc_data VALUES (44167, 0, 14, 3.26209935, 162, 247);
INSERT INTO public.ecdc_data VALUES (44168, 0, 0, 25.95471083, 163, 247);
INSERT INTO public.ecdc_data VALUES (44169, 0, 0, 0, 204, 247);
INSERT INTO public.ecdc_data VALUES (44170, 0, 0, 43.2205426, 21, 247);
INSERT INTO public.ecdc_data VALUES (44171, 0, 0, 34.62969652, 22, 247);
INSERT INTO public.ecdc_data VALUES (44172, 0, 12, 2.35190387, 164, 247);
INSERT INTO public.ecdc_data VALUES (44173, 1, 555, 12.79462864, 165, 247);
INSERT INTO public.ecdc_data VALUES (44174, 0, 436, 28.54244372, 23, 247);
INSERT INTO public.ecdc_data VALUES (44175, 0, 7, 35.60196998, 166, 247);
INSERT INTO public.ecdc_data VALUES (44176, 1, 151, 11.70206923, 167, 247);
INSERT INTO public.ecdc_data VALUES (44177, 0, 0, 1.76491352, 80, 247);
INSERT INTO public.ecdc_data VALUES (44178, 0, 0, 0.8928412, 81, 247);
INSERT INTO public.ecdc_data VALUES (44179, 0, 0, 44.83098718, 205, 247);
INSERT INTO public.ecdc_data VALUES (44180, 29, 919, 66.53025036, 82, 247);
INSERT INTO public.ecdc_data VALUES (44181, 0, 0, 0, 168, 247);
INSERT INTO public.ecdc_data VALUES (44182, 0, 98, 7.4229249, 24, 247);
INSERT INTO public.ecdc_data VALUES (44183, 2, 20, 5.10173006, 25, 247);
INSERT INTO public.ecdc_data VALUES (44184, 0, 16, 24.78362237, 83, 247);
INSERT INTO public.ecdc_data VALUES (44185, 5, 12, 2.78787, 84, 247);
INSERT INTO public.ecdc_data VALUES (44186, 0, 0, 0, 169, 247);
INSERT INTO public.ecdc_data VALUES (44187, 11, 611, 87.60413765, 85, 247);
INSERT INTO public.ecdc_data VALUES (44188, 0, 32, 2.23069112, 170, 247);
INSERT INTO public.ecdc_data VALUES (44189, 0, 3, 31.37333994, 171, 247);
INSERT INTO public.ecdc_data VALUES (44190, 861, 64399, 56.16788838, 112, 247);
INSERT INTO public.ecdc_data VALUES (44191, 65, 2277, 9.68755476, 113, 247);
INSERT INTO public.ecdc_data VALUES (44192, 132, 2125, 43.24124547, 114, 247);
INSERT INTO public.ecdc_data VALUES (44193, 74, 3325, 101.28774794, 115, 247);
INSERT INTO public.ecdc_data VALUES (44194, 0, 174, 15.8026524, 172, 247);
INSERT INTO public.ecdc_data VALUES (44195, 0, 0, 0, 173, 247);
INSERT INTO public.ecdc_data VALUES (44196, 13, 1474, 255.73478236, 116, 247);
INSERT INTO public.ecdc_data VALUES (44197, 13, 347, 7.02291565, 174, 247);
INSERT INTO public.ecdc_data VALUES (44198, 0, 16, 5.63040718, 86, 247);
INSERT INTO public.ecdc_data VALUES (44199, 1, 1344, 13.71666324, 117, 247);
INSERT INTO public.ecdc_data VALUES (44200, 0, 0, 12.05981669, 175, 247);
INSERT INTO public.ecdc_data VALUES (44201, 0, 9, 0.91073807, 118, 247);
INSERT INTO public.ecdc_data VALUES (44202, 0, 1883, 162.26244147, 119, 247);
INSERT INTO public.ecdc_data VALUES (44203, 5, 699, 17.48774256, 26, 247);
INSERT INTO public.ecdc_data VALUES (44204, 12, 190, 174.70055702, 176, 247);
INSERT INTO public.ecdc_data VALUES (44205, 3, 472, 187.54113604, 120, 247);
INSERT INTO public.ecdc_data VALUES (44206, 8, 332, 110.75693622, 121, 247);
INSERT INTO public.ecdc_data VALUES (44207, 0, 0, 0, 122, 247);
INSERT INTO public.ecdc_data VALUES (44208, 0, 7, 4.27090452, 177, 247);
INSERT INTO public.ecdc_data VALUES (44209, 6, 272, 38.52263858, 123, 247);
INSERT INTO public.ecdc_data VALUES (44210, 0, 0, 15.1980904, 27, 247);
INSERT INTO public.ecdc_data VALUES (44211, 1, 4, 1.60004083, 28, 247);
INSERT INTO public.ecdc_data VALUES (44212, 0, 0, 37.35916723, 29, 247);
INSERT INTO public.ecdc_data VALUES (44213, 0, 0, 5.21131898, 178, 247);
INSERT INTO public.ecdc_data VALUES (44214, 0, 37, 8.23138347, 179, 247);
INSERT INTO public.ecdc_data VALUES (44215, 0, 0, 150.51458395, 180, 247);
INSERT INTO public.ecdc_data VALUES (44216, 6, 214, 15.03931914, 30, 247);
INSERT INTO public.ecdc_data VALUES (44217, 6, 49, 6.28598303, 31, 247);
INSERT INTO public.ecdc_data VALUES (44218, 0, 7, 0.58216347, 124, 247);
INSERT INTO public.ecdc_data VALUES (44219, 0, 129, 310.00627169, 125, 247);
INSERT INTO public.ecdc_data VALUES (44220, 0, 4, 0.31539286, 32, 247);
INSERT INTO public.ecdc_data VALUES (44221, 0, 54, 57.74385636, 181, 247);
INSERT INTO public.ecdc_data VALUES (44222, 0, 116, 9.52339286, 33, 247);
INSERT INTO public.ecdc_data VALUES (44223, 0, 0, 0, 34, 247);
INSERT INTO public.ecdc_data VALUES (44224, 695, 3616, 67.44475267, 87, 247);
INSERT INTO public.ecdc_data VALUES (44225, 6, 453, 114.1406262, 182, 247);
INSERT INTO public.ecdc_data VALUES (44226, 0, 1, 39.29273084, 183, 247);
INSERT INTO public.ecdc_data VALUES (44227, 0, 0, 0.15503078, 126, 247);
INSERT INTO public.ecdc_data VALUES (44228, 1, 39, 163.77844425, 184, 247);
INSERT INTO public.ecdc_data VALUES (44229, 0, 0, 0, 88, 247);
INSERT INTO public.ecdc_data VALUES (44230, 19, 1345, 33.89471187, 35, 247);
INSERT INTO public.ecdc_data VALUES (44231, 1, 28, 2.0582201, 36, 247);
INSERT INTO public.ecdc_data VALUES (44232, 0, 0, 0.01850295, 127, 247);
INSERT INTO public.ecdc_data VALUES (44233, 0, 0, 44.69790629, 37, 247);
INSERT INTO public.ecdc_data VALUES (44234, 3, 378, 14.36275624, 128, 247);
INSERT INTO public.ecdc_data VALUES (44235, 3, 486, 30.40707347, 185, 247);
INSERT INTO public.ecdc_data VALUES (44236, 0, 0, 0.35366056, 207, 247);
INSERT INTO public.ecdc_data VALUES (44237, 0, 0, 0.27179242, 208, 247);
INSERT INTO public.ecdc_data VALUES (44238, 0, 0, 7.07355875, 89, 247);
INSERT INTO public.ecdc_data VALUES (44239, 0, 4, 0.14156577, 38, 247);
INSERT INTO public.ecdc_data VALUES (44240, 6, 453, 3.06672448, 39, 247);
INSERT INTO public.ecdc_data VALUES (44241, 4, 200, 88.43925181, 186, 247);
INSERT INTO public.ecdc_data VALUES (44242, 0, 1, 13.98283607, 209, 247);
INSERT INTO public.ecdc_data VALUES (44243, 0, 0, 7.18815242, 187, 247);
INSERT INTO public.ecdc_data VALUES (44244, 7, 290, 130.63337589, 129, 247);
INSERT INTO public.ecdc_data VALUES (44245, 14, 634, 5.08299304, 130, 247);
INSERT INTO public.ecdc_data VALUES (44246, 6, 426, 111.71508858, 131, 247);
INSERT INTO public.ecdc_data VALUES (44247, 18, 1091, 348.22109814, 90, 247);
INSERT INTO public.ecdc_data VALUES (44248, 0, 0, 1.69778919, 210, 247);
INSERT INTO public.ecdc_data VALUES (44249, 3, 197, 33.74197031, 91, 247);
INSERT INTO public.ecdc_data VALUES (44250, 195, 7137, 280.30361426, 92, 247);
INSERT INTO public.ecdc_data VALUES (44251, 41, 4131, 44.83399417, 132, 247);
INSERT INTO public.ecdc_data VALUES (44252, 13, 843, 22.50294237, 188, 247);
INSERT INTO public.ecdc_data VALUES (44253, 4, 186, 25.12499979, 189, 247);
INSERT INTO public.ecdc_data VALUES (44254, 9, 738, 234.67616462, 93, 247);
INSERT INTO public.ecdc_data VALUES (44255, 2, 267, 127.60979509, 133, 247);
INSERT INTO public.ecdc_data VALUES (44256, 43, 1350, 87.2803145, 190, 247);
INSERT INTO public.ecdc_data VALUES (44257, 129, 5212, 51.84467561, 191, 247);
INSERT INTO public.ecdc_data VALUES (44258, 1, 6, 3.02527818, 40, 247);
INSERT INTO public.ecdc_data VALUES (44259, 0, 0, 0, 94, 247);
INSERT INTO public.ecdc_data VALUES (44260, 0, 0, 0.54706092, 95, 247);
INSERT INTO public.ecdc_data VALUES (44261, 0, 0, 3.61686544, 96, 247);
INSERT INTO public.ecdc_data VALUES (44262, 0, 0, 31.92755348, 192, 247);
INSERT INTO public.ecdc_data VALUES (44263, 0, 0, 7.4401994, 41, 247);
INSERT INTO public.ecdc_data VALUES (44264, 37, 1469, 65.04218492, 134, 247);
INSERT INTO public.ecdc_data VALUES (44265, 4, 146, 9.0879179, 42, 247);
INSERT INTO public.ecdc_data VALUES (44266, 6, 255, 66.05623051, 193, 247);
INSERT INTO public.ecdc_data VALUES (44267, 0, 0, 12.27734523, 43, 247);
INSERT INTO public.ecdc_data VALUES (44268, 0, 8, 1.6254529, 44, 247);
INSERT INTO public.ecdc_data VALUES (44269, 0, 132, 86.84876135, 135, 247);
INSERT INTO public.ecdc_data VALUES (44270, 0, 12, 224.11474675, 97, 247);
INSERT INTO public.ecdc_data VALUES (44271, 0, 43, 7.79756279, 194, 247);
INSERT INTO public.ecdc_data VALUES (44272, 1, 14, 8.69812601, 195, 247);
INSERT INTO public.ecdc_data VALUES (44273, 0, 0, 0.31729779, 45, 247);
INSERT INTO public.ecdc_data VALUES (44274, 301, 7712, 203.195904, 46, 247);
INSERT INTO public.ecdc_data VALUES (44275, 1, 36, 0.87456748, 136, 247);
INSERT INTO public.ecdc_data VALUES (44276, 0, 0, 1.85317201, 47, 247);
INSERT INTO public.ecdc_data VALUES (44277, 0, 0, 89.35583098, 196, 247);
INSERT INTO public.ecdc_data VALUES (44278, 0, 2, 0.33296232, 137, 247);
INSERT INTO public.ecdc_data VALUES (44279, 4, 44, 1.38274992, 48, 247);
INSERT INTO public.ecdc_data VALUES (44280, 0, 103, 159.10885282, 98, 247);
INSERT INTO public.ecdc_data VALUES (44281, 1, 260, 33.4011555, 197, 247);
INSERT INTO public.ecdc_data VALUES (44282, 0, 182, 25.12719546, 198, 247);
INSERT INTO public.ecdc_data VALUES (44283, 2, 65, 2.91737639, 138, 247);
INSERT INTO public.ecdc_data VALUES (44284, 0, 1, 0.09253853, 139, 247);
INSERT INTO public.ecdc_data VALUES (44285, 0, 0, 5.96501049, 140, 247);
INSERT INTO public.ecdc_data VALUES (44286, 0, 3, 0.08617522, 141, 247);
INSERT INTO public.ecdc_data VALUES (44287, 0, 0, 0.07733234, 142, 247);
INSERT INTO public.ecdc_data VALUES (44288, 1, 18, 2.3879167, 49, 247);
INSERT INTO public.ecdc_data VALUES (44289, 0, 50, 9.17583115, 99, 247);
INSERT INTO public.ecdc_data VALUES (44290, 0, 22, 2.00945367, 50, 247);
INSERT INTO public.ecdc_data VALUES (44291, 16, 1172, 17.61989756, 199, 247);
INSERT INTO public.ecdc_data VALUES (44292, 0, 27, 261.82122847, 100, 247);
INSERT INTO public.ecdc_data VALUES (44293, 0, 13, 0.37045749, 51, 247);
INSERT INTO public.ecdc_data VALUES (44294, 27, 1489, 35.96201388, 200, 247);
INSERT INTO public.ecdc_data VALUES (44295, 0, 239, 38.25791979, 143, 247);
INSERT INTO public.ecdc_data VALUES (44296, 3, 758, 14.9038716, 201, 247);
INSERT INTO public.ecdc_data VALUES (44297, 0, 0, 0, 52, 247);
INSERT INTO public.ecdc_data VALUES (44298, 1069, 56221, 249.18791328, 101, 247);
INSERT INTO public.ecdc_data VALUES (44299, 0, 19, 186.46190918, 102, 247);
INSERT INTO public.ecdc_data VALUES (44300, 0, 10, 4.65085242, 103, 247);
INSERT INTO public.ecdc_data VALUES (44301, 5, 738, 30.23190274, 144, 247);
INSERT INTO public.ecdc_data VALUES (44302, 0, 0, 34.72808032, 104, 247);
INSERT INTO public.ecdc_data VALUES (44303, 0, 23, 0.41156057, 145, 247);
INSERT INTO public.ecdc_data VALUES (44304, 0, 0, 0, 53, 247);
INSERT INTO public.ecdc_data VALUES (44305, 1, 4, 0.43207029, 146, 247);
INSERT INTO public.ecdc_data VALUES (44306, 3, 417, 20.01563851, 54, 247);
INSERT INTO public.ecdc_data VALUES (44307, 0, 124, 14.61885185, 55, 247);
INSERT INTO public.ecdc_data VALUES (44308, 1, 59, 10.35178265, 105, 248);
INSERT INTO public.ecdc_data VALUES (44309, 2, 68, 34.65590564, 147, 248);
INSERT INTO public.ecdc_data VALUES (44310, 10, 469, 11.84584954, 1, 248);
INSERT INTO public.ecdc_data VALUES (44311, 0, 0, 0, 148, 248);
INSERT INTO public.ecdc_data VALUES (44312, 2, 33, 0.6190044, 2, 248);
INSERT INTO public.ecdc_data VALUES (44313, 0, 0, 0, 56, 248);
INSERT INTO public.ecdc_data VALUES (44314, 0, 3, 8.23765639, 57, 248);
INSERT INTO public.ecdc_data VALUES (44315, 52, 2979, 74.97653843, 58, 248);
INSERT INTO public.ecdc_data VALUES (44316, 14, 526, 265.67689794, 149, 248);
INSERT INTO public.ecdc_data VALUES (44317, 0, 0, 3.76258113, 59, 248);
INSERT INTO public.ecdc_data VALUES (44318, 0, 131, 5.41597892, 202, 248);
INSERT INTO public.ecdc_data VALUES (44319, 0, 101, 12.77829045, 150, 248);
INSERT INTO public.ecdc_data VALUES (44320, 9, 542, 75.74853556, 151, 248);
INSERT INTO public.ecdc_data VALUES (44321, 0, 2, 0.51349728, 60, 248);
INSERT INTO public.ecdc_data VALUES (44322, 2, 610, 448.52312139, 106, 248);
INSERT INTO public.ecdc_data VALUES (44323, 46, 3489, 30.34355182, 107, 248);
INSERT INTO public.ecdc_data VALUES (44324, 0, 0, 0.34840656, 61, 248);
INSERT INTO public.ecdc_data VALUES (44325, 7, 221, 45.26888331, 152, 248);
INSERT INTO public.ecdc_data VALUES (44326, 1, 137, 10.49275899, 153, 248);
INSERT INTO public.ecdc_data VALUES (44327, 0, 0, 1.79325786, 62, 248);
INSERT INTO public.ecdc_data VALUES (44328, 2, 86, 3.24544614, 3, 248);
INSERT INTO public.ecdc_data VALUES (44329, 0, 1, 4.79938568, 63, 248);
INSERT INTO public.ecdc_data VALUES (44330, 0, 0, 1.31045454, 108, 248);
INSERT INTO public.ecdc_data VALUES (44331, 47, 1439, 134.60316776, 64, 248);
INSERT INTO public.ecdc_data VALUES (44332, 0, 0, 0, 65, 248);
INSERT INTO public.ecdc_data VALUES (44333, 1, 250, 66.43445407, 154, 248);
INSERT INTO public.ecdc_data VALUES (44334, 0, 0, 9.76688401, 4, 248);
INSERT INTO public.ecdc_data VALUES (44335, 1223, 44571, 248.53361547, 66, 248);
INSERT INTO public.ecdc_data VALUES (44336, 0, 0, 0, 67, 248);
INSERT INTO public.ecdc_data VALUES (44337, 0, 0, 0, 109, 248);
INSERT INTO public.ecdc_data VALUES (44338, 5, 240, 29.99983286, 155, 248);
INSERT INTO public.ecdc_data VALUES (44339, 0, 2, 0.34938567, 5, 248);
INSERT INTO public.ecdc_data VALUES (44340, 0, 0, 0.40761187, 6, 248);
INSERT INTO public.ecdc_data VALUES (44341, 0, 0, 0.06672109, 110, 248);
INSERT INTO public.ecdc_data VALUES (44342, 0, 0, 10.22553883, 7, 248);
INSERT INTO public.ecdc_data VALUES (44343, 26, 267, 11.17317301, 68, 248);
INSERT INTO public.ecdc_data VALUES (44344, 0, 43, 98.73876233, 8, 248);
INSERT INTO public.ecdc_data VALUES (44345, 0, 0, 7.69846647, 69, 248);
INSERT INTO public.ecdc_data VALUES (44346, 0, 38, 21.28476081, 9, 248);
INSERT INTO public.ecdc_data VALUES (44347, 0, 0, 0.08152064, 10, 248);
INSERT INTO public.ecdc_data VALUES (44348, 139, 2064, 256.79036578, 70, 248);
INSERT INTO public.ecdc_data VALUES (44349, 0, 33, 0.01931951, 111, 248);
INSERT INTO public.ecdc_data VALUES (44350, 168, 4144, 102.35512538, 71, 248);
INSERT INTO public.ecdc_data VALUES (44351, 0, 0, 7.75657517, 11, 248);
INSERT INTO public.ecdc_data VALUES (44352, 3, 264, 13.6418447, 12, 248);
INSERT INTO public.ecdc_data VALUES (44353, 1, 350, 65.79415286, 72, 248);
INSERT INTO public.ecdc_data VALUES (44354, 3, 538, 13.99876515, 13, 248);
INSERT INTO public.ecdc_data VALUES (44355, 1, 53, 22.98683642, 156, 248);
INSERT INTO public.ecdc_data VALUES (44356, 0, 4, 0.70587297, 73, 248);
INSERT INTO public.ecdc_data VALUES (44357, 0, 0, 0.61190897, 74, 248);
INSERT INTO public.ecdc_data VALUES (44358, 0, 3, 1.94086304, 157, 248);
INSERT INTO public.ecdc_data VALUES (44359, 0, 129, 19.12711976, 158, 248);
INSERT INTO public.ecdc_data VALUES (44360, 2, 77, 1.97026018, 14, 248);
INSERT INTO public.ecdc_data VALUES (44361, 0, 12, 4.90864664, 159, 248);
INSERT INTO public.ecdc_data VALUES (44362, 0, 11, 26.60347571, 15, 248);
INSERT INTO public.ecdc_data VALUES (44363, 0, 0, 0, 75, 248);
INSERT INTO public.ecdc_data VALUES (44364, 8, 1158, 102.03039271, 76, 248);
INSERT INTO public.ecdc_data VALUES (44365, 27, 976, 68.41967699, 77, 248);
INSERT INTO public.ecdc_data VALUES (44366, 75, 1025, 18.6705441, 16, 248);
INSERT INTO public.ecdc_data VALUES (44367, 6, 259, 52.93210713, 78, 248);
INSERT INTO public.ecdc_data VALUES (44368, 0, 0, 78.90960204, 17, 248);
INSERT INTO public.ecdc_data VALUES (44369, 0, 0, 2.05883875, 18, 248);
INSERT INTO public.ecdc_data VALUES (44370, 0, 8, 1.50963905, 160, 248);
INSERT INTO public.ecdc_data VALUES (44371, 0, 82, 39.01986965, 19, 248);
INSERT INTO public.ecdc_data VALUES (44372, 1, 108, 1.55248016, 20, 248);
INSERT INTO public.ecdc_data VALUES (44373, 0, 0, 0, 79, 248);
INSERT INTO public.ecdc_data VALUES (44374, 0, 0, 2.05435832, 161, 248);
INSERT INTO public.ecdc_data VALUES (44375, 0, 2, 0.3370957, 203, 248);
INSERT INTO public.ecdc_data VALUES (44376, 0, 7, 2.10224181, 162, 248);
INSERT INTO public.ecdc_data VALUES (44377, 32, 663, 12.12453432, 163, 248);
INSERT INTO public.ecdc_data VALUES (44378, 0, 0, 0.71611436, 204, 248);
INSERT INTO public.ecdc_data VALUES (44379, 0, 128, 42.11586419, 21, 248);
INSERT INTO public.ecdc_data VALUES (44380, 0, 2, 0.89449401, 22, 248);
INSERT INTO public.ecdc_data VALUES (44381, 0, 5, 1.27603295, 164, 248);
INSERT INTO public.ecdc_data VALUES (44382, 12, 442, 6.87069871, 165, 248);
INSERT INTO public.ecdc_data VALUES (44383, 0, 854, 25.67241914, 23, 248);
INSERT INTO public.ecdc_data VALUES (44384, 0, 0, 8.90049249, 166, 248);
INSERT INTO public.ecdc_data VALUES (44385, 0, 33, 2.90919968, 167, 248);
INSERT INTO public.ecdc_data VALUES (44386, 0, 0, 0, 80, 248);
INSERT INTO public.ecdc_data VALUES (44387, 0, 0, 0, 81, 248);
INSERT INTO public.ecdc_data VALUES (44388, 0, 6, 46.62422667, 205, 248);
INSERT INTO public.ecdc_data VALUES (44389, 49, 624, 60.24522628, 82, 248);
INSERT INTO public.ecdc_data VALUES (44390, 0, 0, 0, 168, 248);
INSERT INTO public.ecdc_data VALUES (44391, 0, 0, 4.09513684, 24, 248);
INSERT INTO public.ecdc_data VALUES (44392, 0, 0, 12.18168198, 25, 248);
INSERT INTO public.ecdc_data VALUES (44393, 0, 0, 9.70904794, 83, 248);
INSERT INTO public.ecdc_data VALUES (44394, 6, 54, 9.38464518, 84, 248);
INSERT INTO public.ecdc_data VALUES (44395, 0, 0, 0, 169, 248);
INSERT INTO public.ecdc_data VALUES (44396, 17, 550, 117.04150833, 85, 248);
INSERT INTO public.ecdc_data VALUES (44397, 0, 5, 0.98232269, 170, 248);
INSERT INTO public.ecdc_data VALUES (44398, 0, 0, 4.48190571, 171, 248);
INSERT INTO public.ecdc_data VALUES (44399, 487, 24879, 21.530092, 112, 248);
INSERT INTO public.ecdc_data VALUES (44400, 50, 1853, 7.04663651, 113, 248);
INSERT INTO public.ecdc_data VALUES (44401, 153, 2691, 43.27139723, 114, 248);
INSERT INTO public.ecdc_data VALUES (44402, 94, 2741, 78.19935131, 115, 248);
INSERT INTO public.ecdc_data VALUES (44403, 0, 4, 2.97701581, 172, 248);
INSERT INTO public.ecdc_data VALUES (44404, 0, 0, 0, 173, 248);
INSERT INTO public.ecdc_data VALUES (44405, 2, 1335, 135.13905307, 116, 248);
INSERT INTO public.ecdc_data VALUES (44406, 15, 193, 4.53780749, 174, 248);
INSERT INTO public.ecdc_data VALUES (44407, 0, 6, 2.47602244, 86, 248);
INSERT INTO public.ecdc_data VALUES (44408, 1, 197, 1.78227548, 117, 248);
INSERT INTO public.ecdc_data VALUES (44409, 0, 0, 5.56606924, 175, 248);
INSERT INTO public.ecdc_data VALUES (44410, 0, 0, 0.97013403, 118, 248);
INSERT INTO public.ecdc_data VALUES (44411, 0, 1962, 181.85123, 119, 248);
INSERT INTO public.ecdc_data VALUES (44412, 2, 278, 6.31871664, 26, 248);
INSERT INTO public.ecdc_data VALUES (44413, 3, 183, 84.68139667, 176, 248);
INSERT INTO public.ecdc_data VALUES (44414, 2, 762, 240.73721494, 120, 248);
INSERT INTO public.ecdc_data VALUES (44415, 4, 361, 76.26423993, 121, 248);
INSERT INTO public.ecdc_data VALUES (44416, 0, 0, 0, 122, 248);
INSERT INTO public.ecdc_data VALUES (44417, 0, 7, 1.56252604, 177, 248);
INSERT INTO public.ecdc_data VALUES (44418, 0, 39, 4.40508779, 123, 248);
INSERT INTO public.ecdc_data VALUES (44419, 0, 0, 3.48191545, 27, 248);
INSERT INTO public.ecdc_data VALUES (44420, 0, 9, 5.34697189, 28, 248);
INSERT INTO public.ecdc_data VALUES (44421, 0, 0, 8.01185932, 29, 248);
INSERT INTO public.ecdc_data VALUES (44422, 0, 0, 5.21131898, 178, 248);
INSERT INTO public.ecdc_data VALUES (44423, 0, 10, 1.78943119, 179, 248);
INSERT INTO public.ecdc_data VALUES (44424, 0, 47, 83.0762314, 180, 248);
INSERT INTO public.ecdc_data VALUES (44425, 0, 101, 6.62234319, 30, 248);
INSERT INTO public.ecdc_data VALUES (44426, 1, 52, 5.30363043, 31, 248);
INSERT INTO public.ecdc_data VALUES (44427, 0, 3, 0.2535228, 124, 248);
INSERT INTO public.ecdc_data VALUES (44428, 1, 16, 48.21482719, 125, 248);
INSERT INTO public.ecdc_data VALUES (44429, 1, 10, 1.81605241, 32, 248);
INSERT INTO public.ecdc_data VALUES (44430, 0, 1, 1.21566013, 181, 248);
INSERT INTO public.ecdc_data VALUES (44431, 5, 145, 38.27033974, 33, 248);
INSERT INTO public.ecdc_data VALUES (44432, 0, 0, 0.07876062, 34, 248);
INSERT INTO public.ecdc_data VALUES (44433, 782, 7401, 66.62719776, 87, 248);
INSERT INTO public.ecdc_data VALUES (44434, 11, 330, 83.91747447, 182, 248);
INSERT INTO public.ecdc_data VALUES (44435, 0, 0, 18.13510654, 183, 248);
INSERT INTO public.ecdc_data VALUES (44436, 0, 7, 0.34106772, 126, 248);
INSERT INTO public.ecdc_data VALUES (44437, 0, 53, 91.77378966, 184, 248);
INSERT INTO public.ecdc_data VALUES (44438, 0, 0, 0, 88, 248);
INSERT INTO public.ecdc_data VALUES (44439, 7, 442, 10.59449658, 35, 248);
INSERT INTO public.ecdc_data VALUES (44440, 0, 31, 1.01758402, 36, 248);
INSERT INTO public.ecdc_data VALUES (44441, 0, 2, 0.04625739, 127, 248);
INSERT INTO public.ecdc_data VALUES (44442, 0, 54, 20.72539691, 37, 248);
INSERT INTO public.ecdc_data VALUES (44443, 0, 459, 19.90652149, 128, 248);
INSERT INTO public.ecdc_data VALUES (44444, 3, 52, 5.4507066, 185, 248);
INSERT INTO public.ecdc_data VALUES (44445, 0, 0, 0, 207, 248);
INSERT INTO public.ecdc_data VALUES (44446, 0, 3, 0.4390493, 208, 248);
INSERT INTO public.ecdc_data VALUES (44447, 0, 0, 10.32770132, 89, 248);
INSERT INTO public.ecdc_data VALUES (44448, 0, 3, 0.17588475, 38, 248);
INSERT INTO public.ecdc_data VALUES (44449, 15, 460, 4.09477133, 39, 248);
INSERT INTO public.ecdc_data VALUES (44450, 8, 161, 93.92758862, 186, 248);
INSERT INTO public.ecdc_data VALUES (44451, 0, 0, 1.74785451, 209, 248);
INSERT INTO public.ecdc_data VALUES (44452, 0, 11, 3.19056374, 187, 248);
INSERT INTO public.ecdc_data VALUES (44453, 9, 1210, 335.09601623, 129, 248);
INSERT INTO public.ecdc_data VALUES (44454, 61, 3359, 22.10787981, 130, 248);
INSERT INTO public.ecdc_data VALUES (44455, 3, 475, 80.96081802, 131, 248);
INSERT INTO public.ecdc_data VALUES (44456, 20, 960, 311.34314861, 90, 248);
INSERT INTO public.ecdc_data VALUES (44457, 0, 0, 0.01139456, 210, 248);
INSERT INTO public.ecdc_data VALUES (44458, 0, 52, 14.56426653, 91, 248);
INSERT INTO public.ecdc_data VALUES (44459, 181, 3633, 148.32763681, 92, 248);
INSERT INTO public.ecdc_data VALUES (44460, 5, 2486, 16.7078842, 132, 248);
INSERT INTO public.ecdc_data VALUES (44461, 14, 277, 10.18623535, 188, 248);
INSERT INTO public.ecdc_data VALUES (44462, 2, 443, 46.27009063, 189, 248);
INSERT INTO public.ecdc_data VALUES (44463, 2, 190, 71.04374304, 93, 248);
INSERT INTO public.ecdc_data VALUES (44464, 4, 608, 380.46362538, 133, 248);
INSERT INTO public.ecdc_data VALUES (44465, 18, 555, 27.55163188, 190, 248);
INSERT INTO public.ecdc_data VALUES (44466, 173, 6562, 64.37892989, 191, 248);
INSERT INTO public.ecdc_data VALUES (44467, 0, 22, 2.8827258, 40, 248);
INSERT INTO public.ecdc_data VALUES (44468, 0, 0, 1.8927206, 94, 248);
INSERT INTO public.ecdc_data VALUES (44469, 0, 0, 1.64118275, 95, 248);
INSERT INTO public.ecdc_data VALUES (44470, 0, 0, 0, 96, 248);
INSERT INTO public.ecdc_data VALUES (44471, 0, 1, 2.90250486, 192, 248);
INSERT INTO public.ecdc_data VALUES (44472, 0, 0, 6.51017447, 41, 248);
INSERT INTO public.ecdc_data VALUES (44473, 42, 3036, 154.30192524, 134, 248);
INSERT INTO public.ecdc_data VALUES (44474, 4, 110, 9.37632583, 42, 248);
INSERT INTO public.ecdc_data VALUES (44475, 11, 357, 55.15695248, 193, 248);
INSERT INTO public.ecdc_data VALUES (44476, 0, 10, 81.84896819, 43, 248);
INSERT INTO public.ecdc_data VALUES (44477, 0, 12, 2.9437336, 44, 248);
INSERT INTO public.ecdc_data VALUES (44478, 0, 158, 46.08618064, 135, 248);
INSERT INTO public.ecdc_data VALUES (44479, 0, 0, 2.3591026, 97, 248);
INSERT INTO public.ecdc_data VALUES (44480, 0, 31, 3.50431646, 194, 248);
INSERT INTO public.ecdc_data VALUES (44481, 0, 24, 10.66841975, 195, 248);
INSERT INTO public.ecdc_data VALUES (44482, 0, 13, 1.08787815, 45, 248);
INSERT INTO public.ecdc_data VALUES (44483, 100, 8810, 192.74648275, 46, 248);
INSERT INTO public.ecdc_data VALUES (44484, 2, 49, 1.42507648, 136, 248);
INSERT INTO public.ecdc_data VALUES (44485, 0, 8, 1.59101597, 47, 248);
INSERT INTO public.ecdc_data VALUES (44486, 5, 543, 11.86695545, 196, 248);
INSERT INTO public.ecdc_data VALUES (44487, 0, 13, 0.43613375, 137, 248);
INSERT INTO public.ecdc_data VALUES (44488, 14, 87, 2.79119283, 48, 248);
INSERT INTO public.ecdc_data VALUES (44489, 3, 51, 52.97894775, 98, 248);
INSERT INTO public.ecdc_data VALUES (44490, 11, 533, 99.26506705, 197, 248);
INSERT INTO public.ecdc_data VALUES (44491, 0, 129, 13.10780573, 198, 248);
INSERT INTO public.ecdc_data VALUES (44492, 0, 0, 0.82600416, 138, 248);
INSERT INTO public.ecdc_data VALUES (44493, 0, 0, 0.01261889, 139, 248);
INSERT INTO public.ecdc_data VALUES (44494, 1, 49, 7.87467213, 140, 248);
INSERT INTO public.ecdc_data VALUES (44495, 0, 5, 0.06319516, 141, 248);
INSERT INTO public.ecdc_data VALUES (44496, 0, 0, 0, 142, 248);
INSERT INTO public.ecdc_data VALUES (44497, 0, 6, 1.38573404, 49, 248);
INSERT INTO public.ecdc_data VALUES (44498, 0, 0, 0.71686181, 99, 248);
INSERT INTO public.ecdc_data VALUES (44499, 0, 16, 0.52160287, 50, 248);
INSERT INTO public.ecdc_data VALUES (44500, 22, 1041, 21.0733926, 199, 248);
INSERT INTO public.ecdc_data VALUES (44501, 0, 6, 104.72849139, 100, 248);
INSERT INTO public.ecdc_data VALUES (44502, 0, 6, 0.38852859, 51, 248);
INSERT INTO public.ecdc_data VALUES (44503, 23, 807, 25.91283472, 200, 248);
INSERT INTO public.ecdc_data VALUES (44504, 1, 445, 70.74337656, 143, 248);
INSERT INTO public.ecdc_data VALUES (44505, 57, 597, 13.05532939, 201, 248);
INSERT INTO public.ecdc_data VALUES (44506, 0, 0, 0, 52, 248);
INSERT INTO public.ecdc_data VALUES (44507, 829, 58906, 204.71431781, 101, 248);
INSERT INTO public.ecdc_data VALUES (44508, 0, 22, 61.19775481, 102, 248);
INSERT INTO public.ecdc_data VALUES (44509, 0, 9, 2.07988431, 103, 248);
INSERT INTO public.ecdc_data VALUES (44510, 6, 421, 12.94353553, 144, 248);
INSERT INTO public.ecdc_data VALUES (44511, 4, 317, 12.78237431, 104, 248);
INSERT INTO public.ecdc_data VALUES (44512, 0, 0, 0.0176235, 145, 248);
INSERT INTO public.ecdc_data VALUES (44513, 0, 0, 84.81298222, 53, 248);
INSERT INTO public.ecdc_data VALUES (44514, 3, 21, 1.03902617, 146, 248);
INSERT INTO public.ecdc_data VALUES (44515, 0, 0, 2.27310468, 54, 248);
INSERT INTO public.ecdc_data VALUES (44516, 0, 98, 2.42395722, 55, 248);
INSERT INTO public.ecdc_data VALUES (44517, 12, 575, 25.61395889, 105, 249);
INSERT INTO public.ecdc_data VALUES (44518, 0, 17, 9.04826569, 147, 249);
INSERT INTO public.ecdc_data VALUES (44519, 8, 111, 4.09262488, 1, 249);
INSERT INTO public.ecdc_data VALUES (44520, 0, 0, 116.83316487, 148, 249);
INSERT INTO public.ecdc_data VALUES (44521, 0, 1, 0.07226955, 2, 249);
INSERT INTO public.ecdc_data VALUES (44522, 0, 0, 0, 56, 249);
INSERT INTO public.ecdc_data VALUES (44523, 0, 0, 1.02970705, 57, 249);
INSERT INTO public.ecdc_data VALUES (44524, 29, 826, 24.54630262, 58, 249);
INSERT INTO public.ecdc_data VALUES (44525, 6, 350, 212.08846791, 149, 249);
INSERT INTO public.ecdc_data VALUES (44526, 0, 0, 0, 59, 249);
INSERT INTO public.ecdc_data VALUES (44527, 0, 5, 0.58325927, 202, 249);
INSERT INTO public.ecdc_data VALUES (44528, 0, 21, 4.85394425, 150, 249);
INSERT INTO public.ecdc_data VALUES (44529, 5, 323, 35.87879, 151, 249);
INSERT INTO public.ecdc_data VALUES (44530, 0, 0, 0.77024591, 60, 249);
INSERT INTO public.ecdc_data VALUES (44531, 1, 654, 380.58353705, 106, 249);
INSERT INTO public.ecdc_data VALUES (44532, 42, 2735, 20.18998631, 107, 249);
INSERT INTO public.ecdc_data VALUES (44533, 0, 0, 0, 61, 249);
INSERT INTO public.ecdc_data VALUES (44534, 7, 823, 130.22077229, 152, 249);
INSERT INTO public.ecdc_data VALUES (44535, 9, 153, 17.39772768, 153, 249);
INSERT INTO public.ecdc_data VALUES (44536, 0, 1, 0.25617969, 62, 249);
INSERT INTO public.ecdc_data VALUES (44537, 0, 37, 0.96600747, 3, 249);
INSERT INTO public.ecdc_data VALUES (44538, 0, 0, 12.79836181, 63, 249);
INSERT INTO public.ecdc_data VALUES (44539, 0, 0, 4.19345454, 108, 249);
INSERT INTO public.ecdc_data VALUES (44540, 10, 306, 63.31047879, 64, 249);
INSERT INTO public.ecdc_data VALUES (44541, 0, 0, 0, 65, 249);
INSERT INTO public.ecdc_data VALUES (44542, 0, 30, 9.02757287, 154, 249);
INSERT INTO public.ecdc_data VALUES (44543, 0, 2, 0.30385861, 4, 249);
INSERT INTO public.ecdc_data VALUES (44544, 679, 15654, 157.55259788, 66, 249);
INSERT INTO public.ecdc_data VALUES (44545, 0, 0, 0, 67, 249);
INSERT INTO public.ecdc_data VALUES (44546, 0, 0, 0, 109, 249);
INSERT INTO public.ecdc_data VALUES (44547, 4, 83, 5.38568428, 155, 249);
INSERT INTO public.ecdc_data VALUES (44548, 0, 1, 0.24112532, 5, 249);
INSERT INTO public.ecdc_data VALUES (44549, 0, 0, 0.35557631, 6, 249);
INSERT INTO public.ecdc_data VALUES (44550, 0, 0, 0.01213111, 110, 249);
INSERT INTO public.ecdc_data VALUES (44551, 5, 404, 12.62927471, 7, 249);
INSERT INTO public.ecdc_data VALUES (44552, 35, 545, 28.15479218, 68, 249);
INSERT INTO public.ecdc_data VALUES (44553, 0, 13, 32.18556341, 8, 249);
INSERT INTO public.ecdc_data VALUES (44554, 0, 7, 56.96865184, 69, 249);
INSERT INTO public.ecdc_data VALUES (44555, 0, 216, 25.24667668, 9, 249);
INSERT INTO public.ecdc_data VALUES (44556, 1, 2, 0.95316439, 10, 249);
INSERT INTO public.ecdc_data VALUES (44557, 74, 4696, 342.17433642, 70, 249);
INSERT INTO public.ecdc_data VALUES (44558, 0, 3, 0.00641659, 111, 249);
INSERT INTO public.ecdc_data VALUES (44559, 49, 1483, 37.22329625, 71, 249);
INSERT INTO public.ecdc_data VALUES (44560, 0, 0, 6.34628877, 11, 249);
INSERT INTO public.ecdc_data VALUES (44561, 0, 0, 2.82501416, 12, 249);
INSERT INTO public.ecdc_data VALUES (44562, 0, 24, 7.7463155, 72, 249);
INSERT INTO public.ecdc_data VALUES (44563, 2, 142, 5.66949989, 13, 249);
INSERT INTO public.ecdc_data VALUES (44564, 0, 0, 0.07359713, 156, 249);
INSERT INTO public.ecdc_data VALUES (44565, 0, 9, 2.23232326, 73, 249);
INSERT INTO public.ecdc_data VALUES (44566, 0, 0, 1.83572692, 74, 249);
INSERT INTO public.ecdc_data VALUES (44567, 0, 6, 3.76755768, 157, 249);
INSERT INTO public.ecdc_data VALUES (44568, 1, 69, 6.50716445, 158, 249);
INSERT INTO public.ecdc_data VALUES (44569, 2, 89, 2.08317567, 14, 249);
INSERT INTO public.ecdc_data VALUES (44570, 4, 14, 9.90340989, 159, 249);
INSERT INTO public.ecdc_data VALUES (44571, 3, 71, 185.91618159, 15, 249);
INSERT INTO public.ecdc_data VALUES (44572, 0, 0, 2.78520499, 75, 249);
INSERT INTO public.ecdc_data VALUES (44573, 1, 526, 47.05298662, 76, 249);
INSERT INTO public.ecdc_data VALUES (44574, 21, 258, 34.66742782, 77, 249);
INSERT INTO public.ecdc_data VALUES (44575, 34, 1365, 17.40943815, 16, 249);
INSERT INTO public.ecdc_data VALUES (44576, 3, 89, 17.37028457, 78, 249);
INSERT INTO public.ecdc_data VALUES (44577, 0, 0, 19.3955377, 17, 249);
INSERT INTO public.ecdc_data VALUES (44578, 0, 0, 0.05718997, 18, 249);
INSERT INTO public.ecdc_data VALUES (44579, 0, 1, 8.75590646, 160, 249);
INSERT INTO public.ecdc_data VALUES (44580, 0, 7, 7.31622556, 19, 249);
INSERT INTO public.ecdc_data VALUES (44581, 0, 136, 1.3392372, 20, 249);
INSERT INTO public.ecdc_data VALUES (44582, 0, 0, 0, 79, 249);
INSERT INTO public.ecdc_data VALUES (44583, 0, 0, 0, 161, 249);
INSERT INTO public.ecdc_data VALUES (44584, 0, 0, 0, 203, 249);
INSERT INTO public.ecdc_data VALUES (44585, 0, 20, 7.28535522, 162, 249);
INSERT INTO public.ecdc_data VALUES (44586, 54, 211, 13.29445862, 163, 249);
INSERT INTO public.ecdc_data VALUES (44587, 0, 0, 0, 204, 249);
INSERT INTO public.ecdc_data VALUES (44588, 0, 146, 51.18343277, 21, 249);
INSERT INTO public.ecdc_data VALUES (44589, 0, 2, 0.12778486, 22, 249);
INSERT INTO public.ecdc_data VALUES (44590, 0, 4, 2.02664057, 164, 249);
INSERT INTO public.ecdc_data VALUES (44591, 37, 350, 6.67435862, 165, 249);
INSERT INTO public.ecdc_data VALUES (44592, 4, 272, 10.19795674, 23, 249);
INSERT INTO public.ecdc_data VALUES (44593, 0, 1, 62.30344746, 166, 249);
INSERT INTO public.ecdc_data VALUES (44594, 2, 52, 1.55716778, 167, 249);
INSERT INTO public.ecdc_data VALUES (44595, 0, 0, 1.76491352, 80, 249);
INSERT INTO public.ecdc_data VALUES (44596, 0, 0, 0, 81, 249);
INSERT INTO public.ecdc_data VALUES (44597, 0, 1, 8.36845094, 205, 249);
INSERT INTO public.ecdc_data VALUES (44598, 15, 447, 21.2837648, 82, 249);
INSERT INTO public.ecdc_data VALUES (44599, 0, 0, 0, 168, 249);
INSERT INTO public.ecdc_data VALUES (44600, 0, 51, 7.36811428, 24, 249);
INSERT INTO public.ecdc_data VALUES (44601, 0, 21, 11.24462952, 25, 249);
INSERT INTO public.ecdc_data VALUES (44602, 0, 0, 2.17176072, 83, 249);
INSERT INTO public.ecdc_data VALUES (44603, 3, 204, 21.97445299, 84, 249);
INSERT INTO public.ecdc_data VALUES (44604, 0, 0, 0, 169, 249);
INSERT INTO public.ecdc_data VALUES (44605, 4, 123, 23.19898749, 85, 249);
INSERT INTO public.ecdc_data VALUES (44606, 6, 44, 2.48650432, 170, 249);
INSERT INTO public.ecdc_data VALUES (44607, 0, 0, 0.84035732, 171, 249);
INSERT INTO public.ecdc_data VALUES (44608, 331, 9987, 8.87122547, 112, 249);
INSERT INTO public.ecdc_data VALUES (44609, 32, 847, 3.43020067, 113, 249);
INSERT INTO public.ecdc_data VALUES (44610, 70, 2043, 43.54879345, 114, 249);
INSERT INTO public.ecdc_data VALUES (44611, 24, 1115, 22.51093233, 115, 249);
INSERT INTO public.ecdc_data VALUES (44612, 4, 6, 10.37877429, 172, 249);
INSERT INTO public.ecdc_data VALUES (44613, 0, 0, 0, 173, 249);
INSERT INTO public.ecdc_data VALUES (44614, 0, 174, 15.90492634, 116, 249);
INSERT INTO public.ecdc_data VALUES (44615, 65, 280, 8.4825025, 174, 249);
INSERT INTO public.ecdc_data VALUES (44616, 0, 1, 1.45847897, 86, 249);
INSERT INTO public.ecdc_data VALUES (44617, 0, 36, 0.46271371, 117, 249);
INSERT INTO public.ecdc_data VALUES (44618, 0, 1, 4.63839103, 175, 249);
INSERT INTO public.ecdc_data VALUES (44619, 0, 23, 1.18791922, 118, 249);
INSERT INTO public.ecdc_data VALUES (44620, 2, 215, 22.12767664, 119, 249);
INSERT INTO public.ecdc_data VALUES (44621, 1, 95, 2.99768134, 26, 249);
INSERT INTO public.ecdc_data VALUES (44622, 0, 29, 12.51038362, 176, 249);
INSERT INTO public.ecdc_data VALUES (44623, 5, 662, 250.60154592, 120, 249);
INSERT INTO public.ecdc_data VALUES (44624, 1, 23, 9.14921497, 121, 249);
INSERT INTO public.ecdc_data VALUES (44625, 0, 0, 0, 122, 249);
INSERT INTO public.ecdc_data VALUES (44626, 1, 0, 2.03128385, 177, 249);
INSERT INTO public.ecdc_data VALUES (44627, 0, 19, 3.36945457, 123, 249);
INSERT INTO public.ecdc_data VALUES (44628, 0, 0, 0.09410582, 27, 249);
INSERT INTO public.ecdc_data VALUES (44629, 0, 11, 2.12663655, 28, 249);
INSERT INTO public.ecdc_data VALUES (44630, 0, 14, 2.87718705, 29, 249);
INSERT INTO public.ecdc_data VALUES (44631, 0, 0, 0, 178, 249);
INSERT INTO public.ecdc_data VALUES (44632, 0, 6, 3.04203302, 179, 249);
INSERT INTO public.ecdc_data VALUES (44633, 0, 1, 7.65604485, 180, 249);
INSERT INTO public.ecdc_data VALUES (44634, 0, 42, 2.04677124, 30, 249);
INSERT INTO public.ecdc_data VALUES (44635, 0, 5, 1.83587207, 31, 249);
INSERT INTO public.ecdc_data VALUES (44636, 0, 7, 2.85447895, 124, 249);
INSERT INTO public.ecdc_data VALUES (44637, 0, 13, 98.1247069, 125, 249);
INSERT INTO public.ecdc_data VALUES (44638, 0, 14, 2.48244699, 32, 249);
INSERT INTO public.ecdc_data VALUES (44639, 0, 2, 4.25481047, 181, 249);
INSERT INTO public.ecdc_data VALUES (44640, 0, 0, 15.68818777, 33, 249);
INSERT INTO public.ecdc_data VALUES (44641, 0, 0, 0.23628187, 34, 249);
INSERT INTO public.ecdc_data VALUES (44642, 354, 6128, 45.69058068, 87, 249);
INSERT INTO public.ecdc_data VALUES (44643, 12, 107, 65.78852994, 182, 249);
INSERT INTO public.ecdc_data VALUES (44644, 0, 0, 0, 183, 249);
INSERT INTO public.ecdc_data VALUES (44645, 0, 0, 1.64332627, 126, 249);
INSERT INTO public.ecdc_data VALUES (44646, 0, 0, 0, 184, 249);
INSERT INTO public.ecdc_data VALUES (44647, 0, 0, 0, 88, 249);
INSERT INTO public.ecdc_data VALUES (44648, 0, 78, 2.11122214, 35, 249);
INSERT INTO public.ecdc_data VALUES (44649, 0, 7, 0.73766608, 36, 249);
INSERT INTO public.ecdc_data VALUES (44650, 0, 1, 0.07586211, 127, 249);
INSERT INTO public.ecdc_data VALUES (44651, 0, 2, 0.40087808, 37, 249);
INSERT INTO public.ecdc_data VALUES (44652, 1, 314, 10.76595017, 128, 249);
INSERT INTO public.ecdc_data VALUES (44653, 3, 165, 13.27380143, 185, 249);
INSERT INTO public.ecdc_data VALUES (44654, 0, 0, 0.70732113, 207, 249);
INSERT INTO public.ecdc_data VALUES (44655, 0, 0, 0, 208, 249);
INSERT INTO public.ecdc_data VALUES (44656, 0, 0, 15.73599462, 89, 249);
INSERT INTO public.ecdc_data VALUES (44657, 0, 0, 0.09437718, 38, 249);
INSERT INTO public.ecdc_data VALUES (44658, 7, 315, 2.35515284, 39, 249);
INSERT INTO public.ecdc_data VALUES (44659, 3, 127, 55.65366091, 186, 249);
INSERT INTO public.ecdc_data VALUES (44660, 0, 1, 10.48712705, 209, 249);
INSERT INTO public.ecdc_data VALUES (44661, 1, 43, 3.65976429, 187, 249);
INSERT INTO public.ecdc_data VALUES (44662, 6, 604, 195.29679646, 129, 249);
INSERT INTO public.ecdc_data VALUES (44663, 105, 4646, 23.37031649, 130, 249);
INSERT INTO public.ecdc_data VALUES (44664, 0, 1, 1.00372946, 131, 249);
INSERT INTO public.ecdc_data VALUES (44665, 5, 429, 133.5471595, 90, 249);
INSERT INTO public.ecdc_data VALUES (44666, 0, 0, 0, 210, 249);
INSERT INTO public.ecdc_data VALUES (44667, 0, 10, 3.97465363, 91, 249);
INSERT INTO public.ecdc_data VALUES (44668, 106, 3181, 232.90041218, 92, 249);
INSERT INTO public.ecdc_data VALUES (44669, 8, 579, 7.54278098, 132, 249);
INSERT INTO public.ecdc_data VALUES (44670, 9, 599, 14.5604176, 188, 249);
INSERT INTO public.ecdc_data VALUES (44671, 6, 392, 39.86720533, 189, 249);
INSERT INTO public.ecdc_data VALUES (44672, 0, 61, 60.88489686, 93, 249);
INSERT INTO public.ecdc_data VALUES (44673, 3, 1368, 871.90610687, 133, 249);
INSERT INTO public.ecdc_data VALUES (44674, 8, 125, 11.95500796, 190, 249);
INSERT INTO public.ecdc_data VALUES (44675, 112, 8985, 84.4787076, 191, 249);
INSERT INTO public.ecdc_data VALUES (44676, 0, 12, 0.91075128, 40, 249);
INSERT INTO public.ecdc_data VALUES (44677, 0, 0, 0, 94, 249);
INSERT INTO public.ecdc_data VALUES (44678, 0, 0, 0.54706092, 95, 249);
INSERT INTO public.ecdc_data VALUES (44679, 0, 1, 8.13794725, 96, 249);
INSERT INTO public.ecdc_data VALUES (44680, 0, 0, 60.9526021, 192, 249);
INSERT INTO public.ecdc_data VALUES (44681, 0, 0, 99.9776794, 41, 249);
INSERT INTO public.ecdc_data VALUES (44682, 34, 3369, 88.96792739, 134, 249);
INSERT INTO public.ecdc_data VALUES (44683, 3, 99, 7.95883155, 42, 249);
INSERT INTO public.ecdc_data VALUES (44684, 1, 73, 10.09511523, 193, 249);
INSERT INTO public.ecdc_data VALUES (44685, 0, 0, 0, 43, 249);
INSERT INTO public.ecdc_data VALUES (44686, 1, 32, 3.40449191, 44, 249);
INSERT INTO public.ecdc_data VALUES (44687, 0, 386, 109.15964132, 135, 249);
INSERT INTO public.ecdc_data VALUES (44688, 0, 0, 0, 97, 249);
INSERT INTO public.ecdc_data VALUES (44689, 0, 2, 0.34859692, 194, 249);
INSERT INTO public.ecdc_data VALUES (44690, 0, 0, 0.76889512, 195, 249);
INSERT INTO public.ecdc_data VALUES (44691, 1, 34, 4.39684085, 45, 249);
INSERT INTO public.ecdc_data VALUES (44692, 82, 2594, 46.55875489, 46, 249);
INSERT INTO public.ecdc_data VALUES (44693, 1, 38, 1.22400404, 136, 249);
INSERT INTO public.ecdc_data VALUES (44694, 5, 287, 8.57883041, 47, 249);
INSERT INTO public.ecdc_data VALUES (44695, 0, 249, 12.15883568, 196, 249);
INSERT INTO public.ecdc_data VALUES (44696, 0, 22, 3.16548687, 137, 249);
INSERT INTO public.ecdc_data VALUES (44697, 13, 159, 5.64311453, 48, 249);
INSERT INTO public.ecdc_data VALUES (44698, 1, 8, 20.4691389, 98, 249);
INSERT INTO public.ecdc_data VALUES (44699, 38, 677, 100.69221622, 197, 249);
INSERT INTO public.ecdc_data VALUES (44700, 0, 7, 2.64496794, 198, 249);
INSERT INTO public.ecdc_data VALUES (44701, 0, 3, 0.22261105, 138, 249);
INSERT INTO public.ecdc_data VALUES (44702, 0, 0, 0.00841259, 139, 249);
INSERT INTO public.ecdc_data VALUES (44703, 0, 80, 16.18921013, 140, 249);
INSERT INTO public.ecdc_data VALUES (44704, 0, 0, 0.11059154, 141, 249);
INSERT INTO public.ecdc_data VALUES (44705, 0, 0, 0, 142, 249);
INSERT INTO public.ecdc_data VALUES (44706, 0, 2, 1.37336142, 49, 249);
INSERT INTO public.ecdc_data VALUES (44707, 0, 0, 0.07168618, 99, 249);
INSERT INTO public.ecdc_data VALUES (44708, 0, 0, 0.3078312, 50, 249);
INSERT INTO public.ecdc_data VALUES (44709, 19, 989, 16.22728056, 199, 249);
INSERT INTO public.ecdc_data VALUES (44710, 0, 0, 0, 100, 249);
INSERT INTO public.ecdc_data VALUES (44711, 0, 30, 0.95776814, 51, 249);
INSERT INTO public.ecdc_data VALUES (44712, 9, 463, 14.13158715, 200, 249);
INSERT INTO public.ecdc_data VALUES (44713, 5, 568, 92.81997714, 143, 249);
INSERT INTO public.ecdc_data VALUES (44714, 47, 721, 28.19026877, 201, 249);
INSERT INTO public.ecdc_data VALUES (44715, 0, 0, 0, 52, 249);
INSERT INTO public.ecdc_data VALUES (44716, 493, 18822, 90.82797483, 101, 249);
INSERT INTO public.ecdc_data VALUES (44717, 0, 0, 1.91242984, 102, 249);
INSERT INTO public.ecdc_data VALUES (44718, 0, 0, 1.67546236, 103, 249);
INSERT INTO public.ecdc_data VALUES (44719, 1, 96, 3.59896385, 144, 249);
INSERT INTO public.ecdc_data VALUES (44720, 0, 96, 4.5448442, 104, 249);
INSERT INTO public.ecdc_data VALUES (44721, 0, 1, 0.00622006, 145, 249);
INSERT INTO public.ecdc_data VALUES (44722, 0, 0, 2.91866538, 53, 249);
INSERT INTO public.ecdc_data VALUES (44723, 0, 10, 0.88814448, 146, 249);
INSERT INTO public.ecdc_data VALUES (44724, 3, 46, 1.5676584, 54, 249);
INSERT INTO public.ecdc_data VALUES (44725, 0, 5, 1.5772792, 55, 249);
INSERT INTO public.ecdc_data VALUES (44726, 3, 215, 6.37983151, 105, 250);
INSERT INTO public.ecdc_data VALUES (44727, 0, 8, 6.00888686, 147, 250);
INSERT INTO public.ecdc_data VALUES (44728, 5, 187, 5.20752837, 1, 250);
INSERT INTO public.ecdc_data VALUES (44729, 0, 0, 27.56737598, 148, 250);
INSERT INTO public.ecdc_data VALUES (44730, 0, 7, 0.05655878, 2, 250);
INSERT INTO public.ecdc_data VALUES (44731, 0, 0, 0, 56, 250);
INSERT INTO public.ecdc_data VALUES (44732, 0, 0, 1.02970705, 57, 250);
INSERT INTO public.ecdc_data VALUES (44733, 11, 240, 4.85700584, 58, 250);
INSERT INTO public.ecdc_data VALUES (44734, 1, 146, 50.64698309, 149, 250);
INSERT INTO public.ecdc_data VALUES (44735, 0, 0, 0.94064528, 59, 250);
INSERT INTO public.ecdc_data VALUES (44736, 0, 18, 0.90067928, 202, 250);
INSERT INTO public.ecdc_data VALUES (44737, 5, 62, 7.52925771, 150, 250);
INSERT INTO public.ecdc_data VALUES (44738, 0, 75, 6.83737274, 151, 250);
INSERT INTO public.ecdc_data VALUES (44739, 0, 0, 4.87822412, 60, 250);
INSERT INTO public.ecdc_data VALUES (44740, 0, 245, 117.35573044, 106, 250);
INSERT INTO public.ecdc_data VALUES (44741, 7, 709, 5.17951439, 107, 250);
INSERT INTO public.ecdc_data VALUES (44742, 0, 1, 2.43884594, 61, 250);
INSERT INTO public.ecdc_data VALUES (44743, 5, 933, 130.42177925, 152, 250);
INSERT INTO public.ecdc_data VALUES (44744, 74, 483, 58.57438672, 153, 250);
INSERT INTO public.ecdc_data VALUES (44745, 0, 0, 0, 62, 250);
INSERT INTO public.ecdc_data VALUES (44746, 0, 102, 1.55916995, 3, 250);
INSERT INTO public.ecdc_data VALUES (44747, 0, 0, 30.3961093, 63, 250);
INSERT INTO public.ecdc_data VALUES (44748, 0, 0, 0, 108, 250);
INSERT INTO public.ecdc_data VALUES (44749, 4, 185, 12.67251867, 64, 250);
INSERT INTO public.ecdc_data VALUES (44750, 0, 0, 0, 65, 250);
INSERT INTO public.ecdc_data VALUES (44751, 8, 43, 19.69101466, 154, 250);
INSERT INTO public.ecdc_data VALUES (44752, 0, 0, 0.04340837, 4, 250);
INSERT INTO public.ecdc_data VALUES (44753, 751, 10222, 43.7494482, 66, 250);
INSERT INTO public.ecdc_data VALUES (44754, 0, 0, 3.3296707, 67, 250);
INSERT INTO public.ecdc_data VALUES (44755, 0, 0, 0.69236734, 109, 250);
INSERT INTO public.ecdc_data VALUES (44756, 4, 82, 10.32851388, 155, 250);
INSERT INTO public.ecdc_data VALUES (44757, 0, 8, 0.58066914, 5, 250);
INSERT INTO public.ecdc_data VALUES (44758, 0, 0, 0.06070815, 6, 250);
INSERT INTO public.ecdc_data VALUES (44759, 0, 0, 0, 110, 250);
INSERT INTO public.ecdc_data VALUES (44760, 0, 0, 3.3312224, 7, 250);
INSERT INTO public.ecdc_data VALUES (44761, 161, 1512, 60.29503913, 68, 250);
INSERT INTO public.ecdc_data VALUES (44762, 0, 12, 25.82118647, 8, 250);
INSERT INTO public.ecdc_data VALUES (44763, 0, 3, 23.0953994, 69, 250);
INSERT INTO public.ecdc_data VALUES (44764, 0, 49, 2.61317855, 9, 250);
INSERT INTO public.ecdc_data VALUES (44765, 1, 7, 1.37958003, 10, 250);
INSERT INTO public.ecdc_data VALUES (44766, 9, 1391, 72.10835143, 70, 250);
INSERT INTO public.ecdc_data VALUES (44767, 0, 0, 0.00537041, 111, 250);
INSERT INTO public.ecdc_data VALUES (44768, 21, 595, 10.27027653, 71, 250);
INSERT INTO public.ecdc_data VALUES (44769, 0, 0, 0, 11, 250);
INSERT INTO public.ecdc_data VALUES (44770, 0, 13, 1.6169489, 12, 250);
INSERT INTO public.ecdc_data VALUES (44771, 0, 8, 1.70379318, 72, 250);
INSERT INTO public.ecdc_data VALUES (44772, 0, 31, 2.04148658, 13, 250);
INSERT INTO public.ecdc_data VALUES (44773, 0, 36, 3.72892117, 156, 250);
INSERT INTO public.ecdc_data VALUES (44774, 1, 12, 4.02347592, 73, 250);
INSERT INTO public.ecdc_data VALUES (44775, 0, 0, 0, 74, 250);
INSERT INTO public.ecdc_data VALUES (44776, 0, 2, 9.93265205, 157, 250);
INSERT INTO public.ecdc_data VALUES (44777, 3, 46, 7.54943755, 158, 250);
INSERT INTO public.ecdc_data VALUES (44778, 3, 40, 0.60029565, 14, 250);
INSERT INTO public.ecdc_data VALUES (44779, 6, 135, 34.58442967, 159, 250);
INSERT INTO public.ecdc_data VALUES (44780, 0, 2, 13.96939265, 15, 250);
INSERT INTO public.ecdc_data VALUES (44781, 0, 0, 0, 75, 250);
INSERT INTO public.ecdc_data VALUES (44782, 7, 281, 33.77422966, 76, 250);
INSERT INTO public.ecdc_data VALUES (44783, 50, -1480, 101.50424864, 77, 250);
INSERT INTO public.ecdc_data VALUES (44784, 21, 495, 4.36705252, 16, 250);
INSERT INTO public.ecdc_data VALUES (44785, 1, 89, 8.10406675, 78, 250);
INSERT INTO public.ecdc_data VALUES (44786, 0, 0, 16.7406352, 17, 250);
INSERT INTO public.ecdc_data VALUES (44787, 0, 0, 0, 18, 250);
INSERT INTO public.ecdc_data VALUES (44788, 0, 5, 9.05783427, 160, 250);
INSERT INTO public.ecdc_data VALUES (44789, 0, 6, 10.36465288, 19, 250);
INSERT INTO public.ecdc_data VALUES (44790, 0, 3, 0.06870171, 20, 250);
INSERT INTO public.ecdc_data VALUES (44791, 0, 0, 29.65599051, 79, 250);
INSERT INTO public.ecdc_data VALUES (44792, 0, 0, 0, 161, 250);
INSERT INTO public.ecdc_data VALUES (44793, 0, 0, 0, 203, 250);
INSERT INTO public.ecdc_data VALUES (44794, 5, 65, 24.33888573, 162, 250);
INSERT INTO public.ecdc_data VALUES (44795, 243, 642, 23.64321499, 163, 250);
INSERT INTO public.ecdc_data VALUES (44796, 0, 0, 1.07417155, 204, 250);
INSERT INTO public.ecdc_data VALUES (44797, 0, 116, 20.62066356, 21, 250);
INSERT INTO public.ecdc_data VALUES (44798, 0, 2, 0.42594953, 22, 250);
INSERT INTO public.ecdc_data VALUES (44799, 1, 8, 4.47862545, 164, 250);
INSERT INTO public.ecdc_data VALUES (44800, 103, 1251, 19.40876023, 165, 250);
INSERT INTO public.ecdc_data VALUES (44801, 0, 921, 8.98485357, 23, 250);
INSERT INTO public.ecdc_data VALUES (44802, 0, 2, 38.56880081, 166, 250);
INSERT INTO public.ecdc_data VALUES (44803, 2, 13, 1.87419595, 167, 250);
INSERT INTO public.ecdc_data VALUES (44804, 0, 0, 0, 80, 250);
INSERT INTO public.ecdc_data VALUES (44805, 0, 0, 5.3570472, 81, 250);
INSERT INTO public.ecdc_data VALUES (44806, 0, 0, 5.97746496, 205, 250);
INSERT INTO public.ecdc_data VALUES (44807, 1, 68, 2.67326816, 82, 250);
INSERT INTO public.ecdc_data VALUES (44808, 0, 0, 10.85810014, 168, 250);
INSERT INTO public.ecdc_data VALUES (44809, 0, 82, 8.26074449, 24, 250);
INSERT INTO public.ecdc_data VALUES (44810, 0, 30, 28.21569074, 25, 250);
INSERT INTO public.ecdc_data VALUES (44811, 0, 1, 2.68276325, 83, 250);
INSERT INTO public.ecdc_data VALUES (44812, 0, 17, 0.65701395, 84, 250);
INSERT INTO public.ecdc_data VALUES (44813, 0, 0, 368.09815951, 169, 250);
INSERT INTO public.ecdc_data VALUES (44814, 2, 86, 12.10738843, 85, 250);
INSERT INTO public.ecdc_data VALUES (44815, 13, 35, 7.87904661, 170, 250);
INSERT INTO public.ecdc_data VALUES (44816, 0, 0, 3.36142928, 171, 250);
INSERT INTO public.ecdc_data VALUES (44817, 95, 3320, 2.57285884, 112, 250);
INSERT INTO public.ecdc_data VALUES (44818, 13, 336, 1.81098928, 113, 250);
INSERT INTO public.ecdc_data VALUES (44819, 55, 1556, 19.89654496, 114, 250);
INSERT INTO public.ecdc_data VALUES (44820, 2, 60, 2.27678658, 115, 250);
INSERT INTO public.ecdc_data VALUES (44821, 26, 156, 88.84149226, 172, 250);
INSERT INTO public.ecdc_data VALUES (44822, 0, 0, 24.82592299, 173, 250);
INSERT INTO public.ecdc_data VALUES (44823, 5, 55, 16.17489926, 116, 250);
INSERT INTO public.ecdc_data VALUES (44824, 243, 1327, 40.07816759, 174, 250);
INSERT INTO public.ecdc_data VALUES (44825, 0, 2, 6.85145934, 86, 250);
INSERT INTO public.ecdc_data VALUES (44826, 44, 81, 2.1567031, 117, 250);
INSERT INTO public.ecdc_data VALUES (44827, 0, 0, 13.9151731, 175, 250);
INSERT INTO public.ecdc_data VALUES (44828, 0, 14, 0.6632549, 118, 250);
INSERT INTO public.ecdc_data VALUES (44829, 0, 144, 12.6782693, 119, 250);
INSERT INTO public.ecdc_data VALUES (44830, 0, 14, 0.54209339, 26, 250);
INSERT INTO public.ecdc_data VALUES (44831, 1, 1, 8.84067109, 176, 250);
INSERT INTO public.ecdc_data VALUES (44832, 3, 641, 109.19695551, 120, 250);
INSERT INTO public.ecdc_data VALUES (44833, 0, 25, 4.14598157, 121, 250);
INSERT INTO public.ecdc_data VALUES (44834, 0, 0, 0, 122, 250);
INSERT INTO public.ecdc_data VALUES (44835, 0, 19, 7.500125, 177, 250);
INSERT INTO public.ecdc_data VALUES (44836, 1, 12, 1.45863834, 123, 250);
INSERT INTO public.ecdc_data VALUES (44837, 0, 10, 1.66080188, 28, 250);
INSERT INTO public.ecdc_data VALUES (44838, 0, 0, 0.04426442, 29, 250);
INSERT INTO public.ecdc_data VALUES (44839, 0, 0, 2.60565949, 178, 250);
INSERT INTO public.ecdc_data VALUES (44840, 0, 3, 0.93050422, 179, 250);
INSERT INTO public.ecdc_data VALUES (44841, 0, 12, 28.66944456, 180, 250);
INSERT INTO public.ecdc_data VALUES (44842, 0, 0, 0.17427219, 30, 250);
INSERT INTO public.ecdc_data VALUES (44843, 0, 0, 0.05368047, 31, 250);
INSERT INTO public.ecdc_data VALUES (44844, 0, 68, 2.64164499, 124, 250);
INSERT INTO public.ecdc_data VALUES (44845, 0, 2, 97.18301105, 125, 250);
INSERT INTO public.ecdc_data VALUES (44846, 3, 18, 1.74483467, 32, 250);
INSERT INTO public.ecdc_data VALUES (44847, 0, 1, 8.50962094, 181, 250);
INSERT INTO public.ecdc_data VALUES (44848, 0, 0, 0.02209604, 33, 250);
INSERT INTO public.ecdc_data VALUES (44849, 0, 0, 0.07876062, 34, 250);
INSERT INTO public.ecdc_data VALUES (44850, 199, 2393, 19.39400149, 87, 250);
INSERT INTO public.ecdc_data VALUES (44851, 7, 123, 40.01723363, 182, 250);
INSERT INTO public.ecdc_data VALUES (44852, 0, 0, 3.02251776, 183, 250);
INSERT INTO public.ecdc_data VALUES (44853, 0, 0, 0.18603694, 126, 250);
INSERT INTO public.ecdc_data VALUES (44854, 0, 0, 0.80362338, 184, 250);
INSERT INTO public.ecdc_data VALUES (44855, 0, 0, 0, 88, 250);
INSERT INTO public.ecdc_data VALUES (44856, 3, 163, 5.35482707, 35, 250);
INSERT INTO public.ecdc_data VALUES (44857, 0, 1, 0.05598359, 36, 250);
INSERT INTO public.ecdc_data VALUES (44858, 0, 1, 0.06105975, 127, 250);
INSERT INTO public.ecdc_data VALUES (44859, 0, 0, 0, 37, 250);
INSERT INTO public.ecdc_data VALUES (44860, 0, 0, 0.1817628, 128, 250);
INSERT INTO public.ecdc_data VALUES (44861, 71, 319, 32.16032623, 185, 250);
INSERT INTO public.ecdc_data VALUES (44862, 0, 0, 0, 207, 250);
INSERT INTO public.ecdc_data VALUES (44863, 0, 1, 0.52267773, 208, 250);
INSERT INTO public.ecdc_data VALUES (44864, 0, 0, 0.07638832, 89, 250);
INSERT INTO public.ecdc_data VALUES (44865, 2, 14, 0.4890454, 38, 250);
INSERT INTO public.ecdc_data VALUES (44866, 10, 386, 1.40174636, 39, 250);
INSERT INTO public.ecdc_data VALUES (44867, 1, 14, 12.51725937, 186, 250);
INSERT INTO public.ecdc_data VALUES (44868, 0, 0, 1.74785451, 209, 250);
INSERT INTO public.ecdc_data VALUES (44869, 4, 39, 11.74878177, 187, 250);
INSERT INTO public.ecdc_data VALUES (44870, 1, 154, 26.57290705, 129, 250);
INSERT INTO public.ecdc_data VALUES (44871, 24, 1637, 7.17289371, 130, 250);
INSERT INTO public.ecdc_data VALUES (44872, 0, 0, 4.15543995, 131, 250);
INSERT INTO public.ecdc_data VALUES (44873, 6, 202, 64.33624401, 90, 250);
INSERT INTO public.ecdc_data VALUES (44874, 0, 0, 0, 210, 250);
INSERT INTO public.ecdc_data VALUES (44875, 0, 101, 4.82636513, 91, 250);
INSERT INTO public.ecdc_data VALUES (44876, 87, 3321, 123.64942707, 92, 250);
INSERT INTO public.ecdc_data VALUES (44877, 11, 120, 3.02543674, 132, 250);
INSERT INTO public.ecdc_data VALUES (44878, 21, 319, 11.782114, 188, 250);
INSERT INTO public.ecdc_data VALUES (44879, 9, 553, 38.89412245, 189, 250);
INSERT INTO public.ecdc_data VALUES (44880, 5, 125, 29.99927729, 93, 250);
INSERT INTO public.ecdc_data VALUES (44881, 0, 1311, 412.27779953, 133, 250);
INSERT INTO public.ecdc_data VALUES (44882, 22, 312, 22.6326174, 190, 250);
INSERT INTO public.ecdc_data VALUES (44883, 98, 10699, 81.74069559, 191, 250);
INSERT INTO public.ecdc_data VALUES (44884, 0, 2, 0.76819891, 40, 250);
INSERT INTO public.ecdc_data VALUES (44885, 0, 0, 0, 94, 250);
INSERT INTO public.ecdc_data VALUES (44886, 0, 0, 1.64118275, 95, 250);
INSERT INTO public.ecdc_data VALUES (44887, 0, 0, 2.71264908, 96, 250);
INSERT INTO public.ecdc_data VALUES (44888, 0, 1, 319.27553479, 192, 250);
INSERT INTO public.ecdc_data VALUES (44889, 1, 21, 93.00249247, 41, 250);
INSERT INTO public.ecdc_data VALUES (44890, 10, 1701, 59.32556953, 134, 250);
INSERT INTO public.ecdc_data VALUES (44891, 1, 59, 6.17315693, 42, 250);
INSERT INTO public.ecdc_data VALUES (44892, 3, 95, 35.32572327, 193, 250);
INSERT INTO public.ecdc_data VALUES (44893, 0, 0, 0, 43, 250);
INSERT INTO public.ecdc_data VALUES (44894, 1, 26, 2.23979731, 44, 250);
INSERT INTO public.ecdc_data VALUES (44895, 0, 768, 165.94470726, 135, 250);
INSERT INTO public.ecdc_data VALUES (44896, 1, 0, 7.07730779, 97, 250);
INSERT INTO public.ecdc_data VALUES (44897, 0, 10, 1.74298462, 194, 250);
INSERT INTO public.ecdc_data VALUES (44898, 1, 4, 3.89253153, 195, 250);
INSERT INTO public.ecdc_data VALUES (44899, 0, 0, 3.8852791, 45, 250);
INSERT INTO public.ecdc_data VALUES (44900, 17, 663, 7.98350129, 46, 250);
INSERT INTO public.ecdc_data VALUES (44901, 0, 18, 0.23816347, 136, 250);
INSERT INTO public.ecdc_data VALUES (44902, 0, 30, 1.0395843, 47, 250);
INSERT INTO public.ecdc_data VALUES (44903, 227, 743, 33.43200448, 196, 250);
INSERT INTO public.ecdc_data VALUES (44904, 0, 11, 1.94618822, 137, 250);
INSERT INTO public.ecdc_data VALUES (44905, 7, 181, 2.18857546, 48, 250);
INSERT INTO public.ecdc_data VALUES (44906, 0, 0, 0, 98, 250);
INSERT INTO public.ecdc_data VALUES (44907, 60, 700, 78.66915408, 197, 250);
INSERT INTO public.ecdc_data VALUES (44908, 8, 81, 17.89449551, 198, 250);
INSERT INTO public.ecdc_data VALUES (44909, 0, 2, 0.02929093, 138, 250);
INSERT INTO public.ecdc_data VALUES (44910, 0, 0, 0.05047556, 139, 250);
INSERT INTO public.ecdc_data VALUES (44911, 0, 61, 0, 140, 250);
INSERT INTO public.ecdc_data VALUES (44912, 0, 8, 0.20969304, 141, 250);
INSERT INTO public.ecdc_data VALUES (44913, 0, 0, 0, 142, 250);
INSERT INTO public.ecdc_data VALUES (44914, 1, 10, 0.6804944, 49, 250);
INSERT INTO public.ecdc_data VALUES (44915, 0, 0, 0.07168618, 99, 250);
INSERT INTO public.ecdc_data VALUES (44916, 1, 4, 0.9234936, 50, 250);
INSERT INTO public.ecdc_data VALUES (44917, 48, 1848, 37.38481551, 199, 250);
INSERT INTO public.ecdc_data VALUES (44918, 0, 0, 2.61821228, 100, 250);
INSERT INTO public.ecdc_data VALUES (44919, 0, 0, 0.05873107, 51, 250);
INSERT INTO public.ecdc_data VALUES (44920, 21, 504, 14.88396858, 200, 250);
INSERT INTO public.ecdc_data VALUES (44921, 9, 553, 76.59771849, 143, 250);
INSERT INTO public.ecdc_data VALUES (44922, 579, 3767, 86.49587097, 201, 250);
INSERT INTO public.ecdc_data VALUES (44923, 0, 0, 0.3603109, 52, 250);
INSERT INTO public.ecdc_data VALUES (44924, 1510, 26957, 119.55239823, 101, 250);
INSERT INTO public.ecdc_data VALUES (44925, 0, 2, 13.38700886, 102, 250);
INSERT INTO public.ecdc_data VALUES (44926, 1, 10, 3.78423396, 103, 250);
INSERT INTO public.ecdc_data VALUES (44927, 0, 38, 1.51599151, 144, 250);
INSERT INTO public.ecdc_data VALUES (44928, 0, 7, 0.2454777, 104, 250);
INSERT INTO public.ecdc_data VALUES (44929, 0, 0, 0.01866018, 145, 250);
INSERT INTO public.ecdc_data VALUES (44930, 0, 0, 1.03011719, 53, 250);
INSERT INTO public.ecdc_data VALUES (44931, 1, 8, 0.11316127, 146, 250);
INSERT INTO public.ecdc_data VALUES (44932, 0, 14, 0.46469874, 54, 250);
INSERT INTO public.ecdc_data VALUES (44933, 0, 1, 0.04096829, 55, 250);
INSERT INTO public.ecdc_data VALUES (44934, 3, 56, 0.91478425, 105, 251);
INSERT INTO public.ecdc_data VALUES (44935, 0, 17, 8.87358874, 147, 251);
INSERT INTO public.ecdc_data VALUES (44936, 12, 104, 2.94984881, 1, 251);
INSERT INTO public.ecdc_data VALUES (44937, 1, 19, 493.58730325, 148, 251);
INSERT INTO public.ecdc_data VALUES (44938, 0, 2, 0.05341662, 2, 251);
INSERT INTO public.ecdc_data VALUES (44939, 0, 0, 20.17213556, 56, 251);
INSERT INTO public.ecdc_data VALUES (44940, 0, 0, 12.35648458, 57, 251);
INSERT INTO public.ecdc_data VALUES (44941, 5, 80, 2.88740623, 58, 251);
INSERT INTO public.ecdc_data VALUES (44942, 1, 40, 21.33394281, 149, 251);
INSERT INTO public.ecdc_data VALUES (44943, 0, 3, 56.43871696, 59, 251);
INSERT INTO public.ecdc_data VALUES (44944, 5, 96, 12.90709116, 202, 251);
INSERT INTO public.ecdc_data VALUES (44945, 30, 329, 79.93204478, 150, 251);
INSERT INTO public.ecdc_data VALUES (44946, 0, 105, 7.25537806, 151, 251);
INSERT INTO public.ecdc_data VALUES (44947, 1, 4, 8.98620233, 60, 251);
INSERT INTO public.ecdc_data VALUES (44948, 0, 12, 24.61667451, 106, 251);
INSERT INTO public.ecdc_data VALUES (44949, 3, 54, 0.10978485, 107, 251);
INSERT INTO public.ecdc_data VALUES (44950, 0, 0, 15.67829532, 61, 251);
INSERT INTO public.ecdc_data VALUES (44951, 0, 205, 10.36772742, 152, 251);
INSERT INTO public.ecdc_data VALUES (44952, 322, 1599, 163.81623565, 153, 251);
INSERT INTO public.ecdc_data VALUES (44953, 0, 1, 1.53707817, 62, 251);
INSERT INTO public.ecdc_data VALUES (44954, 0, 0, 0.17794874, 3, 251);
INSERT INTO public.ecdc_data VALUES (44955, 1, 0, 52.79324246, 63, 251);
INSERT INTO public.ecdc_data VALUES (44956, 0, 0, 0.26209091, 108, 251);
INSERT INTO public.ecdc_data VALUES (44957, 3, 54, 1.9542952, 64, 251);
INSERT INTO public.ecdc_data VALUES (44958, 0, 0, 0, 65, 251);
INSERT INTO public.ecdc_data VALUES (44959, 3, 35, 19.47895758, 154, 251);
INSERT INTO public.ecdc_data VALUES (44960, 0, 1, 0, 4, 251);
INSERT INTO public.ecdc_data VALUES (44961, 133, 2210, 6.39376013, 66, 251);
INSERT INTO public.ecdc_data VALUES (44962, 0, 0, 9.98901209, 67, 251);
INSERT INTO public.ecdc_data VALUES (44963, 0, 0, 6.4620952, 109, 251);
INSERT INTO public.ecdc_data VALUES (44964, 1, 16, 5.01425778, 155, 251);
INSERT INTO public.ecdc_data VALUES (44965, 4, 30, 1.47627748, 5, 251);
INSERT INTO public.ecdc_data VALUES (44966, 0, 0, 0, 6, 251);
INSERT INTO public.ecdc_data VALUES (44967, 0, 1, 0.13344217, 110, 251);
INSERT INTO public.ecdc_data VALUES (44968, 1, 45, 2.54285886, 7, 251);
INSERT INTO public.ecdc_data VALUES (44969, 55, 1391, 42.47142247, 68, 251);
INSERT INTO public.ecdc_data VALUES (44970, 0, 0, 0.54551802, 8, 251);
INSERT INTO public.ecdc_data VALUES (44971, 0, 0, 64.66711831, 69, 251);
INSERT INTO public.ecdc_data VALUES (44972, 0, 1, 0.12644412, 9, 251);
INSERT INTO public.ecdc_data VALUES (44973, 0, 1, 0.04389573, 10, 251);
INSERT INTO public.ecdc_data VALUES (44974, 5, 430, 23.2376101, 70, 251);
INSERT INTO public.ecdc_data VALUES (44975, 2, 86, 0.07930066, 111, 251);
INSERT INTO public.ecdc_data VALUES (44976, 5, 274, 3.14663792, 71, 251);
INSERT INTO public.ecdc_data VALUES (44977, 0, 15, 1.04079469, 12, 251);
INSERT INTO public.ecdc_data VALUES (44978, 0, 19, 5.96327612, 72, 251);
INSERT INTO public.ecdc_data VALUES (44979, 0, 35, 1.18211795, 13, 251);
INSERT INTO public.ecdc_data VALUES (44980, 1, 61, 22.6924479, 156, 251);
INSERT INTO public.ecdc_data VALUES (44981, 1, 61, 3.52936484, 73, 251);
INSERT INTO public.ecdc_data VALUES (44982, 0, 1, 4.89527178, 74, 251);
INSERT INTO public.ecdc_data VALUES (44983, 0, 32, 44.98235527, 157, 251);
INSERT INTO public.ecdc_data VALUES (44984, 11, 295, 34.34806287, 158, 251);
INSERT INTO public.ecdc_data VALUES (44985, 2, 3, 0.15900345, 14, 251);
INSERT INTO public.ecdc_data VALUES (44986, 15, 331, 63.34737666, 159, 251);
INSERT INTO public.ecdc_data VALUES (44987, 0, 14, 12.63408306, 15, 251);
INSERT INTO public.ecdc_data VALUES (44988, 0, 0, 11.14081996, 75, 251);
INSERT INTO public.ecdc_data VALUES (44989, 10, 155, 16.0071411, 76, 251);
INSERT INTO public.ecdc_data VALUES (44990, 22, 455, 18.64316764, 77, 251);
INSERT INTO public.ecdc_data VALUES (44991, 18, 238, 1.11367808, 16, 251);
INSERT INTO public.ecdc_data VALUES (44992, 1, 25, 1.39458128, 78, 251);
INSERT INTO public.ecdc_data VALUES (44993, 0, 2, 0.51623104, 17, 251);
INSERT INTO public.ecdc_data VALUES (44994, 0, 2, 0.8292545, 18, 251);
INSERT INTO public.ecdc_data VALUES (44995, 3, 36, 58.95140472, 160, 251);
INSERT INTO public.ecdc_data VALUES (44996, 0, 2, 0.69678339, 19, 251);
INSERT INTO public.ecdc_data VALUES (44997, 0, 3, 0.03836589, 20, 251);
INSERT INTO public.ecdc_data VALUES (44998, 0, 0, 0, 79, 251);
INSERT INTO public.ecdc_data VALUES (44999, 0, 0, 106.8266327, 161, 251);
INSERT INTO public.ecdc_data VALUES (45000, 0, 0, 1.12365232, 203, 251);
INSERT INTO public.ecdc_data VALUES (45001, 6, 179, 29.12329811, 162, 251);
INSERT INTO public.ecdc_data VALUES (45002, 541, 3881, 84.78220524, 163, 251);
INSERT INTO public.ecdc_data VALUES (45003, 0, 4, 9.30948673, 204, 251);
INSERT INTO public.ecdc_data VALUES (45004, 0, 3, 1.24276321, 21, 251);
INSERT INTO public.ecdc_data VALUES (45005, 0, 0, 0.04259495, 22, 251);
INSERT INTO public.ecdc_data VALUES (45006, 0, 15, 3.45279504, 164, 251);
INSERT INTO public.ecdc_data VALUES (45007, 246, 4974, 86.35832286, 165, 251);
INSERT INTO public.ecdc_data VALUES (45008, 1, 26, 0.8054479, 23, 251);
INSERT INTO public.ecdc_data VALUES (45009, 0, 7, 278.88209814, 166, 251);
INSERT INTO public.ecdc_data VALUES (45010, 2, 52, 9.91179251, 167, 251);
INSERT INTO public.ecdc_data VALUES (45011, 0, 0, 10.58948112, 80, 251);
INSERT INTO public.ecdc_data VALUES (45012, 0, 0, 9.82125319, 81, 251);
INSERT INTO public.ecdc_data VALUES (45013, 0, 4, 52.60169162, 205, 251);
INSERT INTO public.ecdc_data VALUES (45014, 0, 7, 0.35833169, 82, 251);
INSERT INTO public.ecdc_data VALUES (45015, 1, 15, 234.22473165, 168, 251);
INSERT INTO public.ecdc_data VALUES (45016, 0, 20, 1.25281433, 24, 251);
INSERT INTO public.ecdc_data VALUES (45017, 0, 0, 1.71792951, 25, 251);
INSERT INTO public.ecdc_data VALUES (45018, 1, 4, 4.08802018, 83, 251);
INSERT INTO public.ecdc_data VALUES (45019, 0, 2, 0.16869277, 84, 251);
INSERT INTO public.ecdc_data VALUES (45020, 0, 1, 858.89570552, 169, 251);
INSERT INTO public.ecdc_data VALUES (45021, 1, 31, 2.98580511, 85, 251);
INSERT INTO public.ecdc_data VALUES (45022, 8, 85, 7.35718768, 170, 251);
INSERT INTO public.ecdc_data VALUES (45023, 0, 30, 246.22469474, 171, 251);
INSERT INTO public.ecdc_data VALUES (45024, 17, 540, 0.37214095, 112, 251);
INSERT INTO public.ecdc_data VALUES (45025, 19, 218, 0.80036784, 113, 251);
INSERT INTO public.ecdc_data VALUES (45026, 121, 1997, 45.31086244, 114, 251);
INSERT INTO public.ecdc_data VALUES (45027, 5, 171, 2.17757465, 115, 251);
INSERT INTO public.ecdc_data VALUES (45028, 25, 515, 95.01981958, 172, 251);
INSERT INTO public.ecdc_data VALUES (45029, 0, 8, 159.59521924, 173, 251);
INSERT INTO public.ecdc_data VALUES (45030, 6, 156, 82.57649947, 116, 251);
INSERT INTO public.ecdc_data VALUES (45031, 540, 3836, 107.74766265, 174, 251);
INSERT INTO public.ecdc_data VALUES (45032, 1, 0, 1.28888839, 86, 251);
INSERT INTO public.ecdc_data VALUES (45033, 4, 511, 2.75894037, 117, 251);
INSERT INTO public.ecdc_data VALUES (45034, 0, 0, 141.00708746, 175, 251);
INSERT INTO public.ecdc_data VALUES (45035, 0, 9, 2.029362, 118, 251);
INSERT INTO public.ecdc_data VALUES (45036, 1, 55, 3.61697224, 119, 251);
INSERT INTO public.ecdc_data VALUES (45037, 0, 7, 0.29292064, 26, 251);
INSERT INTO public.ecdc_data VALUES (45038, 1, 14, 8.50706086, 176, 251);
INSERT INTO public.ecdc_data VALUES (45039, 0, 112, 15.68785168, 120, 251);
INSERT INTO public.ecdc_data VALUES (45040, 0, 10, 3.67838966, 121, 251);
INSERT INTO public.ecdc_data VALUES (45041, 0, 3, 0.18132478, 122, 251);
INSERT INTO public.ecdc_data VALUES (45042, 0, 29, 18.5419757, 177, 251);
INSERT INTO public.ecdc_data VALUES (45043, 0, 27, 3.52990478, 123, 251);
INSERT INTO public.ecdc_data VALUES (45044, 1, 17, 0.56710308, 28, 251);
INSERT INTO public.ecdc_data VALUES (45045, 0, 2, 0.29509611, 29, 251);
INSERT INTO public.ecdc_data VALUES (45046, 0, 1, 72.95846579, 178, 251);
INSERT INTO public.ecdc_data VALUES (45047, 0, 32, 22.83314198, 179, 251);
INSERT INTO public.ecdc_data VALUES (45048, 2, 64, 277.08366591, 180, 251);
INSERT INTO public.ecdc_data VALUES (45049, 0, 8, 0.274386, 30, 251);
INSERT INTO public.ecdc_data VALUES (45050, 0, 0, 0, 31, 251);
INSERT INTO public.ecdc_data VALUES (45051, 2, 156, 7.27078354, 124, 251);
INSERT INTO public.ecdc_data VALUES (45052, 0, 0, 1.13003501, 125, 251);
INSERT INTO public.ecdc_data VALUES (45053, 2, 3, 0.28995795, 32, 251);
INSERT INTO public.ecdc_data VALUES (45054, 1, 38, 41.12983453, 181, 251);
INSERT INTO public.ecdc_data VALUES (45055, 0, 0, 0.08838416, 33, 251);
INSERT INTO public.ecdc_data VALUES (45056, 0, 5, 17.72114014, 34, 251);
INSERT INTO public.ecdc_data VALUES (45057, 33, 534, 3.45364039, 87, 251);
INSERT INTO public.ecdc_data VALUES (45058, 5, 118, 25.35084331, 182, 251);
INSERT INTO public.ecdc_data VALUES (45059, 0, 0, 93.69805048, 183, 251);
INSERT INTO public.ecdc_data VALUES (45060, 0, 1, 0.18603694, 126, 251);
INSERT INTO public.ecdc_data VALUES (45061, 0, 8, 31.50203638, 184, 251);
INSERT INTO public.ecdc_data VALUES (45062, 0, 3, 160.28851933, 88, 251);
INSERT INTO public.ecdc_data VALUES (45063, 3, 91, 2.87893929, 35, 251);
INSERT INTO public.ecdc_data VALUES (45064, 0, 7, 0.03951783, 36, 251);
INSERT INTO public.ecdc_data VALUES (45065, 2, 0, 0.03515561, 127, 251);
INSERT INTO public.ecdc_data VALUES (45066, 0, 0, 0.4810537, 37, 251);
INSERT INTO public.ecdc_data VALUES (45067, 0, 0, 0.02097263, 128, 251);
INSERT INTO public.ecdc_data VALUES (45068, 147, 969, 81.80110325, 185, 251);
INSERT INTO public.ecdc_data VALUES (45069, 0, 0, 1.41464225, 207, 251);
INSERT INTO public.ecdc_data VALUES (45070, 0, 23, 15.26218979, 208, 251);
INSERT INTO public.ecdc_data VALUES (45071, 0, 0, 0.06111066, 89, 251);
INSERT INTO public.ecdc_data VALUES (45072, 0, 64, 1.43710711, 38, 251);
INSERT INTO public.ecdc_data VALUES (45073, 0, 22, 0.11196057, 39, 251);
INSERT INTO public.ecdc_data VALUES (45074, 4, 18, 21.18305433, 186, 251);
INSERT INTO public.ecdc_data VALUES (45075, 0, 3, 0, 209, 251);
INSERT INTO public.ecdc_data VALUES (45076, 11, 147, 58.06826005, 187, 251);
INSERT INTO public.ecdc_data VALUES (45077, 0, 0, 6.43217115, 129, 251);
INSERT INTO public.ecdc_data VALUES (45078, 5, 250, 1.5076283, 130, 251);
INSERT INTO public.ecdc_data VALUES (45079, 0, 3, 4.0751416, 131, 251);
INSERT INTO public.ecdc_data VALUES (45080, 4, 279, 45.685327, 90, 251);
INSERT INTO public.ecdc_data VALUES (45081, 0, 0, 0.01139456, 210, 251);
INSERT INTO public.ecdc_data VALUES (45082, 0, 9, 1.1782009, 91, 251);
INSERT INTO public.ecdc_data VALUES (45083, 14, 1388, 11.63933013, 92, 251);
INSERT INTO public.ecdc_data VALUES (45084, 5, 106, 2.99121443, 132, 251);
INSERT INTO public.ecdc_data VALUES (45085, 30, 357, 10.9394058, 188, 251);
INSERT INTO public.ecdc_data VALUES (45086, 35, 699, 98.72898834, 189, 251);
INSERT INTO public.ecdc_data VALUES (45087, 1, 47, 0, 93, 251);
INSERT INTO public.ecdc_data VALUES (45088, 0, 153, 59.07337775, 133, 251);
INSERT INTO public.ecdc_data VALUES (45089, 27, 344, 19.85633593, 190, 251);
INSERT INTO public.ecdc_data VALUES (45090, 5, 1175, 5.49384784, 191, 251);
INSERT INTO public.ecdc_data VALUES (45091, 0, 5, 0.54645077, 40, 251);
INSERT INTO public.ecdc_data VALUES (45092, 0, 0, 17.03448537, 94, 251);
INSERT INTO public.ecdc_data VALUES (45093, 0, 0, 6.01767007, 95, 251);
INSERT INTO public.ecdc_data VALUES (45094, 0, 0, 6.32951453, 96, 251);
INSERT INTO public.ecdc_data VALUES (45095, 0, 29, 290.25048617, 192, 251);
INSERT INTO public.ecdc_data VALUES (45096, 0, 4, 0, 41, 251);
INSERT INTO public.ecdc_data VALUES (45097, 0, 137, 5.92963882, 134, 251);
INSERT INTO public.ecdc_data VALUES (45098, 0, 7, 0.88976914, 42, 251);
INSERT INTO public.ecdc_data VALUES (45099, 4, 219, 33.93279841, 193, 251);
INSERT INTO public.ecdc_data VALUES (45100, 0, 0, 3.06933631, 43, 251);
INSERT INTO public.ecdc_data VALUES (45101, 0, 1, 0, 44, 251);
INSERT INTO public.ecdc_data VALUES (45102, 0, 142, 18.17604508, 135, 251);
INSERT INTO public.ecdc_data VALUES (45103, 0, 0, 92.0050013, 97, 251);
INSERT INTO public.ecdc_data VALUES (45104, 0, 101, 8.54979826, 194, 251);
INSERT INTO public.ecdc_data VALUES (45105, 4, 36, 27.05549693, 195, 251);
INSERT INTO public.ecdc_data VALUES (45106, 0, 0, 0.04532826, 45, 251);
INSERT INTO public.ecdc_data VALUES (45107, 5, 96, 1.93994812, 46, 251);
INSERT INTO public.ecdc_data VALUES (45108, 4, 39, 2.3074526, 136, 251);
INSERT INTO public.ecdc_data VALUES (45109, 0, 1, 0, 47, 251);
INSERT INTO public.ecdc_data VALUES (45110, 757, 5745, 197.01915714, 196, 251);
INSERT INTO public.ecdc_data VALUES (45111, 1, 4, 0.40799609, 137, 251);
INSERT INTO public.ecdc_data VALUES (45112, 0, 0, 0.02569299, 48, 251);
INSERT INTO public.ecdc_data VALUES (45113, 0, 0, 0.34401914, 98, 251);
INSERT INTO public.ecdc_data VALUES (45114, 115, 654, 57.68224133, 197, 251);
INSERT INTO public.ecdc_data VALUES (45115, 64, 546, 152.0973601, 198, 251);
INSERT INTO public.ecdc_data VALUES (45116, 0, 0, 0.10544734, 138, 251);
INSERT INTO public.ecdc_data VALUES (45117, 0, 3, 0.60570674, 139, 251);
INSERT INTO public.ecdc_data VALUES (45118, 2, 54, 1.97915763, 141, 251);
INSERT INTO public.ecdc_data VALUES (45119, 0, 0, 0, 142, 251);
INSERT INTO public.ecdc_data VALUES (45120, 0, 5, 0.58151339, 49, 251);
INSERT INTO public.ecdc_data VALUES (45121, 0, 0, 3.3692505, 99, 251);
INSERT INTO public.ecdc_data VALUES (45122, 1, 27, 3.84789, 50, 251);
INSERT INTO public.ecdc_data VALUES (45123, 87, 4117, 43.64793364, 199, 251);
INSERT INTO public.ecdc_data VALUES (45124, 0, 0, 18.32748599, 100, 251);
INSERT INTO public.ecdc_data VALUES (45125, 0, 1, 0.0880966, 51, 251);
INSERT INTO public.ecdc_data VALUES (45126, 7, 206, 3.53460158, 200, 251);
INSERT INTO public.ecdc_data VALUES (45127, 0, 284, 23.17173098, 143, 251);
INSERT INTO public.ecdc_data VALUES (45128, 1030, 5450, 84.74335692, 201, 251);
INSERT INTO public.ecdc_data VALUES (45129, 0, 1, 0.02241168, 52, 251);
INSERT INTO public.ecdc_data VALUES (45130, 1922, 33323, 110.29373879, 101, 251);
INSERT INTO public.ecdc_data VALUES (45131, 0, 0, 26.77401773, 102, 251);
INSERT INTO public.ecdc_data VALUES (45132, 0, 9, 6.03744196, 103, 251);
INSERT INTO public.ecdc_data VALUES (45133, 1, 51, 1.48567168, 144, 251);
INSERT INTO public.ecdc_data VALUES (45134, 1, 1, 0.21391628, 104, 251);
INSERT INTO public.ecdc_data VALUES (45135, 0, 4, 0.105741, 145, 251);
INSERT INTO public.ecdc_data VALUES (45136, 0, 0, 0.15116706, 54, 251);
INSERT INTO public.ecdc_data VALUES (45137, 1, 1, 0.05462439, 55, 251);
INSERT INTO public.ecdc_data VALUES (45138, 0, 2, 0, 147, 252);
INSERT INTO public.ecdc_data VALUES (45139, 0, 3, 0.04645431, 1, 252);
INSERT INTO public.ecdc_data VALUES (45140, 0, 3, 0, 58, 252);
INSERT INTO public.ecdc_data VALUES (45141, 0, 6, 0.23012951, 202, 252);
INSERT INTO public.ecdc_data VALUES (45142, 0, 3, 1.15140073, 150, 252);
INSERT INTO public.ecdc_data VALUES (45143, 0, 16, 4.81365665, 106, 252);
INSERT INTO public.ecdc_data VALUES (45144, 0, 3, 0, 107, 252);
INSERT INTO public.ecdc_data VALUES (45145, 0, 64, 2.98546055, 153, 252);
INSERT INTO public.ecdc_data VALUES (45146, 0, 12, 0.01184556, 66, 252);
INSERT INTO public.ecdc_data VALUES (45147, 0, 2, 0, 155, 252);
INSERT INTO public.ecdc_data VALUES (45148, 0, 1, 0, 7, 252);
INSERT INTO public.ecdc_data VALUES (45149, 0, 5, 0.14166942, 68, 252);
INSERT INTO public.ecdc_data VALUES (45150, 0, 5, 0, 70, 252);
INSERT INTO public.ecdc_data VALUES (45151, 23, 45, 0.25282754, 111, 252);
INSERT INTO public.ecdc_data VALUES (45152, 0, 4, 0, 72, 252);
INSERT INTO public.ecdc_data VALUES (45153, 0, 6, 0.30047513, 158, 252);
INSERT INTO public.ecdc_data VALUES (45154, 0, 7, 0.65448622, 159, 252);
INSERT INTO public.ecdc_data VALUES (45155, 0, 1, 0.08058177, 77, 252);
INSERT INTO public.ecdc_data VALUES (45156, 1, 34, 0.04781444, 16, 252);
INSERT INTO public.ecdc_data VALUES (45157, 0, 0, 0, 161, 252);
INSERT INTO public.ecdc_data VALUES (45158, 0, 11, 0.52556045, 162, 252);
INSERT INTO public.ecdc_data VALUES (45159, 9, 410, 1.66236692, 163, 252);
INSERT INTO public.ecdc_data VALUES (45160, 0, 1, 0.3252633, 164, 252);
INSERT INTO public.ecdc_data VALUES (45161, 0, 55, 1.06842738, 165, 252);
INSERT INTO public.ecdc_data VALUES (45162, 0, 7, 0.68067813, 167, 252);
INSERT INTO public.ecdc_data VALUES (45163, 0, 1, 0, 170, 252);
INSERT INTO public.ecdc_data VALUES (45164, 0, 2, 15.40655087, 171, 252);
INSERT INTO public.ecdc_data VALUES (45165, 0, 2, 0.00221709, 113, 252);
INSERT INTO public.ecdc_data VALUES (45166, 49, 743, 7.86719784, 114, 252);
INSERT INTO public.ecdc_data VALUES (45167, 4, 7, 0.15517763, 115, 252);
INSERT INTO public.ecdc_data VALUES (45168, 0, 2, 0.4282009, 172, 252);
INSERT INTO public.ecdc_data VALUES (45169, 0, 14, 0.44604221, 116, 252);
INSERT INTO public.ecdc_data VALUES (45170, 133, 1492, 11.99975891, 174, 252);
INSERT INTO public.ecdc_data VALUES (45171, 1, 33, 0.27116442, 117, 252);
INSERT INTO public.ecdc_data VALUES (45172, 0, 3, 1.52124622, 120, 252);
INSERT INTO public.ecdc_data VALUES (45173, 0, 1, 0, 177, 252);
INSERT INTO public.ecdc_data VALUES (45174, 0, 10, 0.46676427, 123, 252);
INSERT INTO public.ecdc_data VALUES (45175, 0, 2, 0.81447286, 180, 252);
INSERT INTO public.ecdc_data VALUES (45176, 0, 6, 0.24100316, 124, 252);
INSERT INTO public.ecdc_data VALUES (45177, 0, 2, 0, 125, 252);
INSERT INTO public.ecdc_data VALUES (45178, 0, 0, 0, 181, 252);
INSERT INTO public.ecdc_data VALUES (45179, 0, 4, 0.01959623, 87, 252);
INSERT INTO public.ecdc_data VALUES (45180, 2, 77, 1.53337288, 185, 252);
INSERT INTO public.ecdc_data VALUES (45181, 0, 22, 3.17179572, 187, 252);
INSERT INTO public.ecdc_data VALUES (45182, 0, 6, 0, 92, 252);
INSERT INTO public.ecdc_data VALUES (45183, 0, 4, 0.00647449, 132, 252);
INSERT INTO public.ecdc_data VALUES (45184, 0, 5, 0, 188, 252);
INSERT INTO public.ecdc_data VALUES (45185, 0, 9, 0, 189, 252);
INSERT INTO public.ecdc_data VALUES (45186, 0, 3, 0.52964774, 133, 252);
INSERT INTO public.ecdc_data VALUES (45187, 0, 2, 0.07726201, 190, 252);
INSERT INTO public.ecdc_data VALUES (45188, 0, 0, 0.00548425, 191, 252);
INSERT INTO public.ecdc_data VALUES (45189, 0, 11, 107.39267988, 192, 252);
INSERT INTO public.ecdc_data VALUES (45190, 0, 4, 0, 134, 252);
INSERT INTO public.ecdc_data VALUES (45191, 0, 12, 1.0509372, 135, 252);
INSERT INTO public.ecdc_data VALUES (45192, 0, 2, 0, 194, 252);
INSERT INTO public.ecdc_data VALUES (45193, 0, 4, 0, 195, 252);
INSERT INTO public.ecdc_data VALUES (45194, 0, 1, 0, 46, 252);
INSERT INTO public.ecdc_data VALUES (45195, 1, 248, 12.92329627, 136, 252);
INSERT INTO public.ecdc_data VALUES (45196, 0, 433, 3.24903179, 196, 252);
INSERT INTO public.ecdc_data VALUES (45197, 0, 46, 1.73994898, 197, 252);
INSERT INTO public.ecdc_data VALUES (45198, 1, 68, 3.88552813, 198, 252);
INSERT INTO public.ecdc_data VALUES (45199, 0, 0, 0.07150705, 139, 252);
INSERT INTO public.ecdc_data VALUES (45200, 0, 60, 0.60167648, 201, 252);
INSERT INTO public.ecdc_data VALUES (45201, 4, 121, 0.15771964, 101, 252);
INSERT INTO public.ecdc_data VALUES (45202, 0, 9, 0.01451347, 145, 252);
INSERT INTO public.ecdc_data VALUES (45203, 0, 0, 0, 105, 253);
INSERT INTO public.ecdc_data VALUES (45204, 0, 0, 0, 1, 253);
INSERT INTO public.ecdc_data VALUES (45205, 0, 0, 0, 149, 253);
INSERT INTO public.ecdc_data VALUES (45206, 0, 0, 0.0396775, 202, 253);
INSERT INTO public.ecdc_data VALUES (45207, 0, 0, 0, 150, 253);
INSERT INTO public.ecdc_data VALUES (45208, 0, 0, 0, 151, 253);
INSERT INTO public.ecdc_data VALUES (45209, 0, 0, 0, 106, 253);
INSERT INTO public.ecdc_data VALUES (45210, 0, 0, 0, 152, 253);
INSERT INTO public.ecdc_data VALUES (45211, 0, 0, 0.00872942, 153, 253);
INSERT INTO public.ecdc_data VALUES (45212, 0, 0, 0, 66, 253);
INSERT INTO public.ecdc_data VALUES (45213, 0, 0, 0.00606555, 110, 253);
INSERT INTO public.ecdc_data VALUES (45214, 0, 0, 0.01603805, 68, 253);
INSERT INTO public.ecdc_data VALUES (45215, 0, 0, 0, 214, 253);
INSERT INTO public.ecdc_data VALUES (45216, 89, 2607, 2.45811137, 111, 253);
INSERT INTO public.ecdc_data VALUES (45217, 0, 0, 0, 156, 253);
INSERT INTO public.ecdc_data VALUES (45218, 0, 0, 0, 158, 253);
INSERT INTO public.ecdc_data VALUES (45219, 0, 0, 0, 159, 253);
INSERT INTO public.ecdc_data VALUES (45220, 0, 0, 0, 76, 253);
INSERT INTO public.ecdc_data VALUES (45221, 0, 0, 0, 77, 253);
INSERT INTO public.ecdc_data VALUES (45222, 0, 0, 0, 16, 253);
INSERT INTO public.ecdc_data VALUES (45223, 0, 0, 0, 160, 253);
INSERT INTO public.ecdc_data VALUES (45224, 0, 0, 0.01812277, 162, 253);
INSERT INTO public.ecdc_data VALUES (45225, 0, 0, 0.011938, 163, 253);
INSERT INTO public.ecdc_data VALUES (45226, 0, 0, 0, 164, 253);
INSERT INTO public.ecdc_data VALUES (45227, 0, 0, 0.01565903, 165, 253);
INSERT INTO public.ecdc_data VALUES (45228, 0, 0, 0, 167, 253);
INSERT INTO public.ecdc_data VALUES (45229, 0, 0, 0, 171, 253);
INSERT INTO public.ecdc_data VALUES (45230, 0, 0, 0.00021955, 112, 253);
INSERT INTO public.ecdc_data VALUES (45231, 0, 0, 0, 113, 253);
INSERT INTO public.ecdc_data VALUES (45232, 0, 0, 0, 114, 253);
INSERT INTO public.ecdc_data VALUES (45233, 0, 0, 0, 115, 253);
INSERT INTO public.ecdc_data VALUES (45234, 0, 0, 0, 172, 253);
INSERT INTO public.ecdc_data VALUES (45235, 0, 0, 0, 116, 253);
INSERT INTO public.ecdc_data VALUES (45236, 0, 0, 0.00497022, 174, 253);
INSERT INTO public.ecdc_data VALUES (45237, 0, 0, 0.01734191, 117, 253);
INSERT INTO public.ecdc_data VALUES (45238, 0, 0, 0, 120, 253);
INSERT INTO public.ecdc_data VALUES (45239, 0, 0, 0, 123, 253);
INSERT INTO public.ecdc_data VALUES (45240, 0, 0, 0, 179, 253);
INSERT INTO public.ecdc_data VALUES (45241, 0, 0, 0, 180, 253);
INSERT INTO public.ecdc_data VALUES (45242, 0, 1, 0.03755893, 124, 253);
INSERT INTO public.ecdc_data VALUES (45243, 0, 0, 0.00078385, 87, 253);
INSERT INTO public.ecdc_data VALUES (45244, 0, 0, 0, 183, 253);
INSERT INTO public.ecdc_data VALUES (45245, 0, 0, 0, 128, 253);
INSERT INTO public.ecdc_data VALUES (45246, 0, 0, 0, 185, 253);
INSERT INTO public.ecdc_data VALUES (45247, 0, 0, 0, 208, 253);
INSERT INTO public.ecdc_data VALUES (45248, 0, 0, 0, 39, 253);
INSERT INTO public.ecdc_data VALUES (45249, 0, 0, 0, 186, 253);
INSERT INTO public.ecdc_data VALUES (45250, 0, 0, 0, 187, 253);
INSERT INTO public.ecdc_data VALUES (45251, 0, 0, 0, 129, 253);
INSERT INTO public.ecdc_data VALUES (45252, 0, 0, 0, 130, 253);
INSERT INTO public.ecdc_data VALUES (45253, 0, 0, 0.00277478, 132, 253);
INSERT INTO public.ecdc_data VALUES (45254, 0, 0, 0, 133, 253);
INSERT INTO public.ecdc_data VALUES (45255, 0, 0, 0, 190, 253);
INSERT INTO public.ecdc_data VALUES (45256, 0, 0, 0.00137106, 191, 253);
INSERT INTO public.ecdc_data VALUES (45257, 0, 0, 0, 192, 253);
INSERT INTO public.ecdc_data VALUES (45258, 0, 7, 0.62022523, 135, 253);
INSERT INTO public.ecdc_data VALUES (45259, 0, 1, 0.04294751, 136, 253);
INSERT INTO public.ecdc_data VALUES (45260, 0, 0, 0.00213051, 196, 253);
INSERT INTO public.ecdc_data VALUES (45261, 0, 0, 0.00468961, 137, 253);
INSERT INTO public.ecdc_data VALUES (45262, 0, 0, 0.00977499, 197, 253);
INSERT INTO public.ecdc_data VALUES (45263, 0, 0, 0, 198, 253);
INSERT INTO public.ecdc_data VALUES (45264, 0, 1, 0.06309445, 139, 253);
INSERT INTO public.ecdc_data VALUES (45265, 0, 0, 0.03877885, 141, 253);
INSERT INTO public.ecdc_data VALUES (45266, 0, 0, 0.07164404, 143, 253);
INSERT INTO public.ecdc_data VALUES (45267, 0, 0, 0.00600176, 201, 253);
INSERT INTO public.ecdc_data VALUES (45268, 0, 0, 0.00303891, 101, 253);
INSERT INTO public.ecdc_data VALUES (45269, 0, 1, 0.01244012, 145, 253);
INSERT INTO public.ecdc_data VALUES (45270, 0, 0, 0, 105, 254);
INSERT INTO public.ecdc_data VALUES (45271, 0, 0, 0, 1, 254);
INSERT INTO public.ecdc_data VALUES (45272, 0, 0, 0, 149, 254);
INSERT INTO public.ecdc_data VALUES (45273, 0, 0, 0, 202, 254);
INSERT INTO public.ecdc_data VALUES (45274, 0, 0, 0, 150, 254);
INSERT INTO public.ecdc_data VALUES (45275, 0, 0, 0, 151, 254);
INSERT INTO public.ecdc_data VALUES (45276, 0, 0, 0, 106, 254);
INSERT INTO public.ecdc_data VALUES (45277, 0, 0, 0, 152, 254);
INSERT INTO public.ecdc_data VALUES (45278, 0, 0, 0, 153, 254);
INSERT INTO public.ecdc_data VALUES (45279, 0, 0, 0, 66, 254);
INSERT INTO public.ecdc_data VALUES (45280, 0, 0, 0, 110, 254);
INSERT INTO public.ecdc_data VALUES (45281, 0, 0, 0, 68, 254);
INSERT INTO public.ecdc_data VALUES (45282, 0, 0, 0, 214, 254);
INSERT INTO public.ecdc_data VALUES (45283, 0, 0, 0, 111, 254);
INSERT INTO public.ecdc_data VALUES (45284, 0, 0, 0, 156, 254);
INSERT INTO public.ecdc_data VALUES (45285, 0, 0, 0, 158, 254);
INSERT INTO public.ecdc_data VALUES (45286, 0, 0, 0, 159, 254);
INSERT INTO public.ecdc_data VALUES (45287, 0, 0, 0, 76, 254);
INSERT INTO public.ecdc_data VALUES (45288, 0, 0, 0, 77, 254);
INSERT INTO public.ecdc_data VALUES (45289, 0, 0, 0, 16, 254);
INSERT INTO public.ecdc_data VALUES (45290, 0, 0, 0, 160, 254);
INSERT INTO public.ecdc_data VALUES (45291, 0, 0, 0, 162, 254);
INSERT INTO public.ecdc_data VALUES (45292, 0, 0, 0, 163, 254);
INSERT INTO public.ecdc_data VALUES (45293, 0, 0, 0, 164, 254);
INSERT INTO public.ecdc_data VALUES (45294, 0, 0, 0, 165, 254);
INSERT INTO public.ecdc_data VALUES (45295, 0, 0, 0, 167, 254);
INSERT INTO public.ecdc_data VALUES (45296, 0, 0, 0, 171, 254);
INSERT INTO public.ecdc_data VALUES (45297, 0, 0, 0, 112, 254);
INSERT INTO public.ecdc_data VALUES (45298, 0, 0, 0, 113, 254);
INSERT INTO public.ecdc_data VALUES (45299, 0, 0, 0, 114, 254);
INSERT INTO public.ecdc_data VALUES (45300, 0, 0, 0, 115, 254);
INSERT INTO public.ecdc_data VALUES (45301, 0, 0, 0, 172, 254);
INSERT INTO public.ecdc_data VALUES (45302, 0, 0, 0, 116, 254);
INSERT INTO public.ecdc_data VALUES (45303, 0, 0, 0, 174, 254);
INSERT INTO public.ecdc_data VALUES (45304, 0, 0, 0, 117, 254);
INSERT INTO public.ecdc_data VALUES (45305, 0, 0, 0, 120, 254);
INSERT INTO public.ecdc_data VALUES (45306, 0, 0, 0, 123, 254);
INSERT INTO public.ecdc_data VALUES (45307, 0, 0, 0, 179, 254);
INSERT INTO public.ecdc_data VALUES (45308, 0, 0, 0, 180, 254);
INSERT INTO public.ecdc_data VALUES (45309, 0, 0, 0, 124, 254);
INSERT INTO public.ecdc_data VALUES (45310, 0, 0, 0, 87, 254);
INSERT INTO public.ecdc_data VALUES (45311, 0, 0, 0, 183, 254);
INSERT INTO public.ecdc_data VALUES (45312, 0, 0, 0, 128, 254);
INSERT INTO public.ecdc_data VALUES (45313, 0, 0, 0, 185, 254);
INSERT INTO public.ecdc_data VALUES (45314, 0, 0, 0, 208, 254);
INSERT INTO public.ecdc_data VALUES (45315, 0, 0, 0, 39, 254);
INSERT INTO public.ecdc_data VALUES (45316, 0, 0, 0, 186, 254);
INSERT INTO public.ecdc_data VALUES (45317, 0, 0, 0, 187, 254);
INSERT INTO public.ecdc_data VALUES (45318, 0, 0, 0, 129, 254);
INSERT INTO public.ecdc_data VALUES (45319, 0, 0, 0, 130, 254);
INSERT INTO public.ecdc_data VALUES (45320, 0, 0, 0, 132, 254);
INSERT INTO public.ecdc_data VALUES (45321, 0, 0, 0, 133, 254);
INSERT INTO public.ecdc_data VALUES (45322, 0, 0, 0, 190, 254);
INSERT INTO public.ecdc_data VALUES (45323, 0, 0, 0, 191, 254);
INSERT INTO public.ecdc_data VALUES (45324, 0, 0, 0, 192, 254);
INSERT INTO public.ecdc_data VALUES (45325, 0, 0, 0, 135, 254);
INSERT INTO public.ecdc_data VALUES (45326, 0, 0, 0, 136, 254);
INSERT INTO public.ecdc_data VALUES (45327, 0, 0, 0, 196, 254);
INSERT INTO public.ecdc_data VALUES (45328, 0, 0, 0, 137, 254);
INSERT INTO public.ecdc_data VALUES (45329, 0, 0, 0, 197, 254);
INSERT INTO public.ecdc_data VALUES (45330, 0, 0, 0, 198, 254);
INSERT INTO public.ecdc_data VALUES (45331, 0, 0, 0, 139, 254);
INSERT INTO public.ecdc_data VALUES (45332, 0, 0, 0, 141, 254);
INSERT INTO public.ecdc_data VALUES (45333, 0, 0, 0, 143, 254);
INSERT INTO public.ecdc_data VALUES (45334, 0, 0, 0, 201, 254);
INSERT INTO public.ecdc_data VALUES (45335, 0, 0, 0, 101, 254);
INSERT INTO public.ecdc_data VALUES (45336, 0, 0, 0, 145, 254);
INSERT INTO public.ecdc_data VALUES (45337, 6, 200, 7.09483529, 105, 255);
INSERT INTO public.ecdc_data VALUES (45338, 17, 695, 353.79068182, 147, 255);
INSERT INTO public.ecdc_data VALUES (45339, 11, 573, 30.0977487, 1, 255);
INSERT INTO public.ecdc_data VALUES (45340, 0, 34, 1023.93110781, 148, 255);
INSERT INTO public.ecdc_data VALUES (45341, 0, 112, 3.62918821, 2, 255);
INSERT INTO public.ecdc_data VALUES (45342, 0, 0, 33.62022593, 56, 255);
INSERT INTO public.ecdc_data VALUES (45343, 0, 0, 7.20794934, 57, 255);
INSERT INTO public.ecdc_data VALUES (45344, 118, 3216, 205.35867313, 58, 255);
INSERT INTO public.ecdc_data VALUES (45345, 28, 584, 520.87277802, 149, 255);
INSERT INTO public.ecdc_data VALUES (45346, 0, 1, 215.40776973, 59, 255);
INSERT INTO public.ecdc_data VALUES (45347, 0, 7, 0.54358177, 202, 255);
INSERT INTO public.ecdc_data VALUES (45348, 95, 2181, 608.92166242, 150, 255);
INSERT INTO public.ecdc_data VALUES (45349, 43, 3086, 542.25242565, 151, 255);
INSERT INTO public.ecdc_data VALUES (45350, 0, 0, 42.6202739, 60, 255);
INSERT INTO public.ecdc_data VALUES (45351, 0, 181, 135.57450687, 106, 255);
INSERT INTO public.ecdc_data VALUES (45352, 36, 2198, 18.3892694, 107, 255);
INSERT INTO public.ecdc_data VALUES (45353, 0, 2, 10.10379031, 61, 255);
INSERT INTO public.ecdc_data VALUES (45354, 8, 1796, 248.30707177, 152, 255);
INSERT INTO public.ecdc_data VALUES (45355, 96, 3353, 273.67594607, 153, 255);
INSERT INTO public.ecdc_data VALUES (45356, 3, 184, 692.70989443, 62, 255);
INSERT INTO public.ecdc_data VALUES (45357, 0, 18, 1.33037871, 3, 255);
INSERT INTO public.ecdc_data VALUES (45358, 0, 18, 126.38382287, 63, 255);
INSERT INTO public.ecdc_data VALUES (45359, 0, 2, 6.0280909, 108, 255);
INSERT INTO public.ecdc_data VALUES (45360, 2, 97, 14.58338509, 64, 255);
INSERT INTO public.ecdc_data VALUES (45361, 0, 5, 30.78936228, 65, 255);
INSERT INTO public.ecdc_data VALUES (45362, 60, 437, 435.9590645, 154, 255);
INSERT INTO public.ecdc_data VALUES (45363, 0, 0, 84.08201925, 4, 255);
INSERT INTO public.ecdc_data VALUES (45364, 376, 20371, 254.11240099, 66, 255);
INSERT INTO public.ecdc_data VALUES (45365, 0, 0, 3.3296707, 67, 255);
INSERT INTO public.ecdc_data VALUES (45366, 0, 0, 0.69236734, 109, 255);
INSERT INTO public.ecdc_data VALUES (45367, 213, 2764, 560.26830708, 155, 255);
INSERT INTO public.ecdc_data VALUES (45368, 0, 103, 2.76063888, 5, 255);
INSERT INTO public.ecdc_data VALUES (45369, 0, 4, 0.29486816, 6, 255);
INSERT INTO public.ecdc_data VALUES (45370, 0, 2, 0.26688435, 110, 255);
INSERT INTO public.ecdc_data VALUES (45371, 0, 0, 4.73018123, 7, 255);
INSERT INTO public.ecdc_data VALUES (45372, 112, 7872, 228.53950217, 68, 255);
INSERT INTO public.ecdc_data VALUES (45373, 0, 0, 138.37973873, 8, 255);
INSERT INTO public.ecdc_data VALUES (45374, 0, 2, 38.49233233, 69, 255);
INSERT INTO public.ecdc_data VALUES (45375, 0, 0, 0.23181423, 9, 255);
INSERT INTO public.ecdc_data VALUES (45376, 0, 3, 0.50166547, 10, 255);
INSERT INTO public.ecdc_data VALUES (45377, 35, 1760, 105.85670615, 70, 255);
INSERT INTO public.ecdc_data VALUES (45378, 0, 12, 0.01234496, 111, 255);
INSERT INTO public.ecdc_data VALUES (45379, 187, 5997, 242.59505613, 71, 255);
INSERT INTO public.ecdc_data VALUES (45380, 0, 0, 2.35047732, 11, 255);
INSERT INTO public.ecdc_data VALUES (45381, 0, 0, 2.63915797, 12, 255);
INSERT INTO public.ecdc_data VALUES (45382, 52, 2736, 279.85793535, 72, 255);
INSERT INTO public.ecdc_data VALUES (45383, 0, 22, 1.39598797, 13, 255);
INSERT INTO public.ecdc_data VALUES (45384, 59, 1886, 1141.9330433, 156, 255);
INSERT INTO public.ecdc_data VALUES (45385, 0, 124, 9.06164424, 73, 255);
INSERT INTO public.ecdc_data VALUES (45386, 0, 0, 834.03192941, 74, 255);
INSERT INTO public.ecdc_data VALUES (45387, 2, 416, 447.54018443, 157, 255);
INSERT INTO public.ecdc_data VALUES (45388, 134, 4237, 511.10818983, 158, 255);
INSERT INTO public.ecdc_data VALUES (45389, 0, 155, 1.69603683, 14, 255);
INSERT INTO public.ecdc_data VALUES (45390, 9, 2046, 361.60363591, 159, 255);
INSERT INTO public.ecdc_data VALUES (45391, 0, 7, 4.1086449, 15, 255);
INSERT INTO public.ecdc_data VALUES (45392, 0, 0, 11.14081996, 75, 255);
INSERT INTO public.ecdc_data VALUES (45393, 1, 685, 95.99628716, 76, 255);
INSERT INTO public.ecdc_data VALUES (45394, 2, 246, 70.79683915, 77, 255);
INSERT INTO public.ecdc_data VALUES (45395, 19, 415, 5.44486977, 16, 255);
INSERT INTO public.ecdc_data VALUES (45396, 0, 0, 38.13405025, 78, 255);
INSERT INTO public.ecdc_data VALUES (45397, 0, 0, 2.13867146, 17, 255);
INSERT INTO public.ecdc_data VALUES (45398, 0, 17, 2.60214342, 18, 255);
INSERT INTO public.ecdc_data VALUES (45399, 3, 248, 397.78988844, 160, 255);
INSERT INTO public.ecdc_data VALUES (45400, 1, 28, 25.7809853, 19, 255);
INSERT INTO public.ecdc_data VALUES (45401, 8, 440, 6.72027619, 20, 255);
INSERT INTO public.ecdc_data VALUES (45402, 0, 0, 29.65599051, 79, 255);
INSERT INTO public.ecdc_data VALUES (45403, 0, 0, 20.54358321, 161, 255);
INSERT INTO public.ecdc_data VALUES (45404, 0, 0, 1.01128709, 203, 255);
INSERT INTO public.ecdc_data VALUES (45405, 9, 250, 107.73989252, 162, 255);
INSERT INTO public.ecdc_data VALUES (45406, 366, 3411, 225.6998852, 163, 255);
INSERT INTO public.ecdc_data VALUES (45407, 0, 0, 762.30373991, 204, 255);
INSERT INTO public.ecdc_data VALUES (45408, 0, 24, 5.89161816, 21, 255);
INSERT INTO public.ecdc_data VALUES (45409, 0, 0, 1.87417792, 22, 255);
INSERT INTO public.ecdc_data VALUES (45410, 36, 4673, 1446.94630303, 164, 255);
INSERT INTO public.ecdc_data VALUES (45411, 423, 14055, 307.18431407, 165, 255);
INSERT INTO public.ecdc_data VALUES (45412, 0, 0, 4.38229411, 23, 255);
INSERT INTO public.ecdc_data VALUES (45413, 0, 2, 261.08111315, 166, 255);
INSERT INTO public.ecdc_data VALUES (45414, 89, 1250, 221.1271489, 167, 255);
INSERT INTO public.ecdc_data VALUES (45415, 0, 0, 0, 80, 255);
INSERT INTO public.ecdc_data VALUES (45416, 0, 0, 0, 81, 255);
INSERT INTO public.ecdc_data VALUES (45417, 0, 15, 249.26028871, 205, 255);
INSERT INTO public.ecdc_data VALUES (45418, 24, 124, 39.54161755, 82, 255);
INSERT INTO public.ecdc_data VALUES (45419, 0, 0, 7.75578582, 168, 255);
INSERT INTO public.ecdc_data VALUES (45420, 3, 31, 3.13986591, 24, 255);
INSERT INTO public.ecdc_data VALUES (45421, 0, 0, 1.09322787, 25, 255);
INSERT INTO public.ecdc_data VALUES (45422, 1, 32, 72.05135575, 83, 255);
INSERT INTO public.ecdc_data VALUES (45423, 0, 19, 1.46496353, 84, 255);
INSERT INTO public.ecdc_data VALUES (45424, 0, 0, 0, 169, 255);
INSERT INTO public.ecdc_data VALUES (45425, 0, 0, 62.67112588, 85, 255);
INSERT INTO public.ecdc_data VALUES (45426, 136, 2219, 762.18008513, 170, 255);
INSERT INTO public.ecdc_data VALUES (45427, 0, 14, 57.98465508, 171, 255);
INSERT INTO public.ecdc_data VALUES (45428, 385, 26567, 38.48969305, 112, 255);
INSERT INTO public.ecdc_data VALUES (45429, 127, 5754, 29.35421102, 113, 255);
INSERT INTO public.ecdc_data VALUES (45430, 284, 10827, 222.58392812, 114, 255);
INSERT INTO public.ecdc_data VALUES (45431, 28, 1815, 72.64857107, 115, 255);
INSERT INTO public.ecdc_data VALUES (45432, 0, 222, 76.60718073, 172, 255);
INSERT INTO public.ecdc_data VALUES (45433, 0, 0, 1.18218681, 173, 255);
INSERT INTO public.ecdc_data VALUES (45434, 7, 2130, 199.55693923, 116, 255);
INSERT INTO public.ecdc_data VALUES (45435, 528, 13679, 514.85145365, 174, 255);
INSERT INTO public.ecdc_data VALUES (45436, 0, 64, 28.52513519, 86, 255);
INSERT INTO public.ecdc_data VALUES (45437, 47, 1862, 23.6480603, 117, 255);
INSERT INTO public.ecdc_data VALUES (45438, 0, 31, 513.00604846, 175, 255);
INSERT INTO public.ecdc_data VALUES (45439, 60, 3980, 550.98663126, 118, 255);
INSERT INTO public.ecdc_data VALUES (45440, 2, 688, 68.53380775, 119, 255);
INSERT INTO public.ecdc_data VALUES (45441, 5, 199, 20.53107387, 26, 255);
INSERT INTO public.ecdc_data VALUES (45442, 14, 519, 466.16469447, 176, 255);
INSERT INTO public.ecdc_data VALUES (45443, 6, 230, 99.97440028, 120, 255);
INSERT INTO public.ecdc_data VALUES (45444, 4, 295, 82.98197698, 121, 255);
INSERT INTO public.ecdc_data VALUES (45445, 0, 0, 0.04184418, 122, 255);
INSERT INTO public.ecdc_data VALUES (45446, 10, 207, 431.46552443, 177, 255);
INSERT INTO public.ecdc_data VALUES (45447, 16, 943, 300.17318413, 123, 255);
INSERT INTO public.ecdc_data VALUES (45448, 0, 0, 3.01138633, 27, 255);
INSERT INTO public.ecdc_data VALUES (45449, 0, 0, 2.53171018, 28, 255);
INSERT INTO public.ecdc_data VALUES (45450, 12, 517, 127.24544161, 29, 255);
INSERT INTO public.ecdc_data VALUES (45451, 1, 35, 651.4148731, 178, 255);
INSERT INTO public.ecdc_data VALUES (45452, 36, 1390, 1045.02781492, 179, 255);
INSERT INTO public.ecdc_data VALUES (45453, 3, 531, 1185.87247961, 180, 255);
INSERT INTO public.ecdc_data VALUES (45454, 0, 0, 0.63776205, 30, 255);
INSERT INTO public.ecdc_data VALUES (45455, 0, 0, 0.22545797, 31, 255);
INSERT INTO public.ecdc_data VALUES (45456, 2, 1600, 55.19598267, 124, 255);
INSERT INTO public.ecdc_data VALUES (45457, 0, 15, 85.69432176, 125, 255);
INSERT INTO public.ecdc_data VALUES (45458, 11, 155, 5.26502589, 32, 255);
INSERT INTO public.ecdc_data VALUES (45459, 4, 139, 310.6011642, 181, 255);
INSERT INTO public.ecdc_data VALUES (45460, 0, 0, 0, 206, 255);
INSERT INTO public.ecdc_data VALUES (45461, 11, 806, 30.6251102, 33, 255);
INSERT INTO public.ecdc_data VALUES (45462, 0, 0, 0.86636685, 34, 255);
INSERT INTO public.ecdc_data VALUES (45463, 357, 6399, 104.16652868, 87, 255);
INSERT INTO public.ecdc_data VALUES (45464, 19, 860, 471.82247584, 182, 255);
INSERT INTO public.ecdc_data VALUES (45465, 0, 3, 175.30602992, 183, 255);
INSERT INTO public.ecdc_data VALUES (45466, 0, 1, 6.69732969, 126, 255);
INSERT INTO public.ecdc_data VALUES (45467, 10, 316, 1116.07214609, 184, 255);
INSERT INTO public.ecdc_data VALUES (45468, 0, 0, 0, 88, 255);
INSERT INTO public.ecdc_data VALUES (45469, 75, 1531, 147.1275068, 35, 255);
INSERT INTO public.ecdc_data VALUES (45470, 3, 82, 4.00776617, 36, 255);
INSERT INTO public.ecdc_data VALUES (45471, 22, 1276, 36.86898772, 127, 255);
INSERT INTO public.ecdc_data VALUES (45472, 0, 141, 52.99608262, 37, 255);
INSERT INTO public.ecdc_data VALUES (45473, 20, 1014, 68.88460387, 128, 255);
INSERT INTO public.ecdc_data VALUES (45474, 17, 7055, 430.41487342, 185, 255);
INSERT INTO public.ecdc_data VALUES (45475, 0, 0, 1.06098169, 207, 255);
INSERT INTO public.ecdc_data VALUES (45476, 0, 6, 1.1289839, 208, 255);
INSERT INTO public.ecdc_data VALUES (45477, 0, 0, 1.72637611, 89, 255);
INSERT INTO public.ecdc_data VALUES (45478, 1, 38, 2.20070432, 38, 255);
INSERT INTO public.ecdc_data VALUES (45479, 1, 390, 1.59531375, 39, 255);
INSERT INTO public.ecdc_data VALUES (45480, 25, 364, 635.73234633, 186, 255);
INSERT INTO public.ecdc_data VALUES (45481, 0, 2, 12.23498156, 209, 255);
INSERT INTO public.ecdc_data VALUES (45482, 5, 951, 104.25636217, 187, 255);
INSERT INTO public.ecdc_data VALUES (45483, 8, 229, 55.45737561, 129, 255);
INSERT INTO public.ecdc_data VALUES (45484, 89, 2885, 19.9921209, 130, 255);
INSERT INTO public.ecdc_data VALUES (45485, 20, 1720, 559.3382773, 131, 255);
INSERT INTO public.ecdc_data VALUES (45486, 19, 1511, 555.10027223, 90, 255);
INSERT INTO public.ecdc_data VALUES (45487, 0, 0, 0.76343541, 210, 255);
INSERT INTO public.ecdc_data VALUES (45488, 19, 803, 165.38817674, 91, 255);
INSERT INTO public.ecdc_data VALUES (45489, 50, 1204, 75.54183635, 92, 255);
INSERT INTO public.ecdc_data VALUES (45490, 18, 1565, 19.22461099, 132, 255);
INSERT INTO public.ecdc_data VALUES (45491, 92, 4421, 504.40562579, 188, 255);
INSERT INTO public.ecdc_data VALUES (45492, 78, 2597, 586.46731702, 189, 255);
INSERT INTO public.ecdc_data VALUES (45493, 11, 1382, 457.93214982, 93, 255);
INSERT INTO public.ecdc_data VALUES (45494, 0, 178, 94.31260728, 133, 255);
INSERT INTO public.ecdc_data VALUES (45495, 127, 3660, 486.15315452, 190, 255);
INSERT INTO public.ecdc_data VALUES (45496, 456, 28142, 256.66977395, 191, 255);
INSERT INTO public.ecdc_data VALUES (45497, 0, 62, 3.68260302, 40, 255);
INSERT INTO public.ecdc_data VALUES (45498, 0, 0, 9.46360298, 94, 255);
INSERT INTO public.ecdc_data VALUES (45499, 0, 5, 25.71186302, 95, 255);
INSERT INTO public.ecdc_data VALUES (45500, 0, 0, 2.71264908, 96, 255);
INSERT INTO public.ecdc_data VALUES (45501, 0, 11, 1079.73180855, 192, 255);
INSERT INTO public.ecdc_data VALUES (45502, 0, 3, 9.76526171, 41, 255);
INSERT INTO public.ecdc_data VALUES (45503, 12, 209, 10.01793803, 134, 255);
INSERT INTO public.ecdc_data VALUES (45504, 2, 76, 4.02543832, 42, 255);
INSERT INTO public.ecdc_data VALUES (45505, 56, 6557, 1436.32093219, 193, 255);
INSERT INTO public.ecdc_data VALUES (45506, 0, 0, 18.41601784, 43, 255);
INSERT INTO public.ecdc_data VALUES (45507, 0, 2, 0.28157452, 44, 255);
INSERT INTO public.ecdc_data VALUES (45508, 0, 13, 1.8606757, 135, 255);
INSERT INTO public.ecdc_data VALUES (45509, 0, 14, 325.55615844, 97, 255);
INSERT INTO public.ecdc_data VALUES (45510, 22, 552, 381.823716, 194, 255);
INSERT INTO public.ecdc_data VALUES (45511, 30, 483, 985.62742803, 195, 255);
INSERT INTO public.ecdc_data VALUES (45512, 0, 0, 0.14929362, 211, 255);
INSERT INTO public.ecdc_data VALUES (45513, 0, 54, 0.86771233, 45, 255);
INSERT INTO public.ecdc_data VALUES (45514, 43, 3313, 82.17285529, 46, 255);
INSERT INTO public.ecdc_data VALUES (45515, 3, 594, 14.44988505, 136, 255);
INSERT INTO public.ecdc_data VALUES (45516, 0, 0, 1.2113417, 47, 255);
INSERT INTO public.ecdc_data VALUES (45517, 0, 0, 228.99602148, 196, 255);
INSERT INTO public.ecdc_data VALUES (45518, 2, 703, 37.85453336, 137, 255);
INSERT INTO public.ecdc_data VALUES (45519, 6, 279, 8.31518532, 48, 255);
INSERT INTO public.ecdc_data VALUES (45520, 0, 1, 4.81626798, 98, 255);
INSERT INTO public.ecdc_data VALUES (45521, 19, 3778, 707.76823684, 197, 255);
INSERT INTO public.ecdc_data VALUES (45522, 175, 9774, 628.51928492, 198, 255);
INSERT INTO public.ecdc_data VALUES (45523, 5, 87, 7.00053169, 138, 255);
INSERT INTO public.ecdc_data VALUES (45524, 0, 2, 0.42062968, 139, 255);
INSERT INTO public.ecdc_data VALUES (45525, 0, 41, 5.76117021, 140, 255);
INSERT INTO public.ecdc_data VALUES (45526, 0, 0, 0.26857945, 141, 255);
INSERT INTO public.ecdc_data VALUES (45527, 0, 0, 0.07733234, 142, 255);
INSERT INTO public.ecdc_data VALUES (45528, 0, 16, 3.17976472, 49, 255);
INSERT INTO public.ecdc_data VALUES (45529, 0, 8, 21.50585425, 99, 255);
INSERT INTO public.ecdc_data VALUES (45530, 35, 327, 129.40881617, 50, 255);
INSERT INTO public.ecdc_data VALUES (45531, 203, 32137, 469.92897239, 199, 255);
INSERT INTO public.ecdc_data VALUES (45532, 0, 0, 26.18212285, 100, 255);
INSERT INTO public.ecdc_data VALUES (45533, 1, 701, 11.37349666, 51, 255);
INSERT INTO public.ecdc_data VALUES (45534, 145, 8641, 423.3748044, 200, 255);
INSERT INTO public.ecdc_data VALUES (45535, 2, 1148, 179.33527837, 143, 255);
INSERT INTO public.ecdc_data VALUES (45536, 189, 14718, 315.79012756, 201, 255);
INSERT INTO public.ecdc_data VALUES (45537, 0, 0, 0, 52, 255);
INSERT INTO public.ecdc_data VALUES (45538, 1433, 197334, 769.89671919, 101, 255);
INSERT INTO public.ecdc_data VALUES (45539, 0, 0, 135.78251848, 102, 255);
INSERT INTO public.ecdc_data VALUES (45540, 1, 202, 79.20892756, 103, 255);
INSERT INTO public.ecdc_data VALUES (45541, 0, 153, 7.15244795, 144, 255);
INSERT INTO public.ecdc_data VALUES (45542, 0, 0, 0, 212, 255);
INSERT INTO public.ecdc_data VALUES (45543, 5, 462, 16.69599015, 104, 255);
INSERT INTO public.ecdc_data VALUES (45544, 0, 1, 0.05701721, 145, 255);
INSERT INTO public.ecdc_data VALUES (45545, 0, 0, 0, 213, 255);
INSERT INTO public.ecdc_data VALUES (45546, 0, 0, 0, 53, 255);
INSERT INTO public.ecdc_data VALUES (45547, 0, 1, 0.02057478, 146, 255);
INSERT INTO public.ecdc_data VALUES (45548, 0, 15, 2.67061806, 54, 255);
INSERT INTO public.ecdc_data VALUES (45549, 3, 121, 10.45374226, 55, 255);
INSERT INTO public.ecdc_data VALUES (45550, 6, 126, 3.65650829, 105, 256);
INSERT INTO public.ecdc_data VALUES (45551, 8, 495, 169.33182925, 147, 256);
INSERT INTO public.ecdc_data VALUES (45552, 12, 581, 12.7772585, 1, 256);
INSERT INTO public.ecdc_data VALUES (45553, 0, 184, 1681.60993476, 148, 256);
INSERT INTO public.ecdc_data VALUES (45554, 1, 121, 10.66447168, 2, 256);
INSERT INTO public.ecdc_data VALUES (45555, 0, 0, 0, 56, 256);
INSERT INTO public.ecdc_data VALUES (45556, 0, 1, 7.20794934, 57, 256);
INSERT INTO public.ecdc_data VALUES (45557, 212, 8037, 347.28150033, 58, 256);
INSERT INTO public.ecdc_data VALUES (45558, 26, 2175, 966.51889558, 149, 256);
INSERT INTO public.ecdc_data VALUES (45559, 1, 11, 168.3755056, 59, 256);
INSERT INTO public.ecdc_data VALUES (45560, 0, 7, 0.60706577, 202, 256);
INSERT INTO public.ecdc_data VALUES (45561, 23, 7898, 753.2869951, 150, 256);
INSERT INTO public.ecdc_data VALUES (45562, 30, 2875, 146.65019991, 151, 256);
INSERT INTO public.ecdc_data VALUES (45563, 2, 65, 152.76543958, 60, 256);
INSERT INTO public.ecdc_data VALUES (45564, 1, 241, 200.40654072, 106, 256);
INSERT INTO public.ecdc_data VALUES (45565, 13, 1289, 13.03741119, 107, 256);
INSERT INTO public.ecdc_data VALUES (45566, 0, 0, 5.22609844, 61, 256);
INSERT INTO public.ecdc_data VALUES (45567, 3, 997, 140.75776873, 152, 256);
INSERT INTO public.ecdc_data VALUES (45568, 208, 3046, 1444.63118607, 153, 256);
INSERT INTO public.ecdc_data VALUES (45569, 1, 60, 248.49430384, 62, 256);
INSERT INTO public.ecdc_data VALUES (45570, 0, 0, 1.59306495, 3, 256);
INSERT INTO public.ecdc_data VALUES (45571, 0, 0, 28.79631407, 63, 256);
INSERT INTO public.ecdc_data VALUES (45572, 0, 1, 2.48986363, 108, 256);
INSERT INTO public.ecdc_data VALUES (45573, 9, 84, 14.31412664, 64, 256);
INSERT INTO public.ecdc_data VALUES (45574, 0, 0, 15.39468114, 65, 256);
INSERT INTO public.ecdc_data VALUES (45575, 33, 1785, 649.92465915, 154, 256);
INSERT INTO public.ecdc_data VALUES (45576, 0, 0, 82.99680992, 4, 256);
INSERT INTO public.ecdc_data VALUES (45577, 231, 19814, 129.31846578, 66, 256);
INSERT INTO public.ecdc_data VALUES (45578, 0, 0, 0, 67, 256);
INSERT INTO public.ecdc_data VALUES (45579, 0, 0, 0, 109, 256);
INSERT INTO public.ecdc_data VALUES (45580, 56, 2301, 527.46848982, 155, 256);
INSERT INTO public.ecdc_data VALUES (45581, 0, 3, 0.59543192, 5, 256);
INSERT INTO public.ecdc_data VALUES (45582, 0, 7, 0.49433779, 6, 256);
INSERT INTO public.ecdc_data VALUES (45583, 0, 1, 0.04852443, 110, 256);
INSERT INTO public.ecdc_data VALUES (45584, 0, 239, 2.98341496, 7, 256);
INSERT INTO public.ecdc_data VALUES (45585, 54, 4246, 123.21497201, 68, 256);
INSERT INTO public.ecdc_data VALUES (45586, 0, 67, 176.20232172, 8, 256);
INSERT INTO public.ecdc_data VALUES (45587, 0, 5, 16.93662622, 69, 256);
INSERT INTO public.ecdc_data VALUES (45588, 0, 4, 0.35825835, 9, 256);
INSERT INTO public.ecdc_data VALUES (45589, 0, 5, 0.6835192, 10, 256);
INSERT INTO public.ecdc_data VALUES (45590, 49, 1587, 102.54835431, 70, 256);
INSERT INTO public.ecdc_data VALUES (45591, 0, 24, 0.02810745, 111, 256);
INSERT INTO public.ecdc_data VALUES (45592, 190, 8714, 255.73584515, 71, 256);
INSERT INTO public.ecdc_data VALUES (45593, 0, 6, 5.40609784, 11, 256);
INSERT INTO public.ecdc_data VALUES (45594, 0, 0, 2.34178806, 12, 256);
INSERT INTO public.ecdc_data VALUES (45595, 11, 946, 262.9983075, 72, 256);
INSERT INTO public.ecdc_data VALUES (45596, 0, 12, 1.49320162, 13, 256);
INSERT INTO public.ecdc_data VALUES (45597, 35, 2399, 754.24790359, 156, 256);
INSERT INTO public.ecdc_data VALUES (45598, 0, 39, 6.46756108, 73, 256);
INSERT INTO public.ecdc_data VALUES (45599, 0, 24, 146.85815338, 74, 256);
INSERT INTO public.ecdc_data VALUES (45600, 1, 314, 277.08674174, 157, 256);
INSERT INTO public.ecdc_data VALUES (45601, 155, 7723, 1506.34753704, 158, 256);
INSERT INTO public.ecdc_data VALUES (45602, 0, 41, 0.51618512, 14, 256);
INSERT INTO public.ecdc_data VALUES (45603, 2, 1050, 255.23240203, 159, 256);
INSERT INTO public.ecdc_data VALUES (45604, 0, 1, 7.70370918, 15, 256);
INSERT INTO public.ecdc_data VALUES (45605, 0, 0, 6.96301248, 75, 256);
INSERT INTO public.ecdc_data VALUES (45606, 2, 345, 52.39801221, 76, 256);
INSERT INTO public.ecdc_data VALUES (45607, 54, 978, 79.84502054, 77, 256);
INSERT INTO public.ecdc_data VALUES (45608, 12, 208, 2.55508433, 16, 256);
INSERT INTO public.ecdc_data VALUES (45609, 4, 0, 39.66808966, 78, 256);
INSERT INTO public.ecdc_data VALUES (45610, 0, 0, 0.95871479, 17, 256);
INSERT INTO public.ecdc_data VALUES (45611, 0, 7, 0.85784948, 18, 256);
INSERT INTO public.ecdc_data VALUES (45612, 0, 228, 119.41244848, 160, 256);
INSERT INTO public.ecdc_data VALUES (45613, 0, 13, 12.36790511, 19, 256);
INSERT INTO public.ecdc_data VALUES (45614, 6, 455, 5.65941474, 20, 256);
INSERT INTO public.ecdc_data VALUES (45615, 0, 0, 0, 79, 256);
INSERT INTO public.ecdc_data VALUES (45616, 0, 0, 10.27179161, 161, 256);
INSERT INTO public.ecdc_data VALUES (45617, 0, 0, 0.11236523, 203, 256);
INSERT INTO public.ecdc_data VALUES (45618, 0, 0, 49.52954184, 162, 256);
INSERT INTO public.ecdc_data VALUES (45619, 304, 86852, 988.18013844, 163, 256);
INSERT INTO public.ecdc_data VALUES (45620, 0, 241, 1503.12404891, 204, 256);
INSERT INTO public.ecdc_data VALUES (45621, 0, 0, 4.74091149, 21, 256);
INSERT INTO public.ecdc_data VALUES (45622, 1, 3, 1.06487382, 22, 256);
INSERT INTO public.ecdc_data VALUES (45623, 34, 2901, 733.64388472, 164, 256);
INSERT INTO public.ecdc_data VALUES (45624, 63, 16017, 276.23003364, 165, 256);
INSERT INTO public.ecdc_data VALUES (45625, 0, 116, 3.99107656, 23, 256);
INSERT INTO public.ecdc_data VALUES (45626, 0, 15, 370.85385391, 166, 256);
INSERT INTO public.ecdc_data VALUES (45627, 34, 2555, 231.40259137, 167, 256);
INSERT INTO public.ecdc_data VALUES (45628, 0, 0, 0, 80, 256);
INSERT INTO public.ecdc_data VALUES (45629, 0, 0, 1.7856824, 81, 256);
INSERT INTO public.ecdc_data VALUES (45630, 0, 0, 536.17860665, 205, 256);
INSERT INTO public.ecdc_data VALUES (45631, 17, 548, 36.5043299, 82, 256);
INSERT INTO public.ecdc_data VALUES (45632, 0, 1, 21.71620029, 168, 256);
INSERT INTO public.ecdc_data VALUES (45633, 0, 37, 5.72379547, 24, 256);
INSERT INTO public.ecdc_data VALUES (45634, 0, 0, 0.5205847, 25, 256);
INSERT INTO public.ecdc_data VALUES (45635, 1, 27, 62.59780908, 83, 256);
INSERT INTO public.ecdc_data VALUES (45636, 0, 0, 0.99439949, 84, 256);
INSERT INTO public.ecdc_data VALUES (45637, 0, 0, 0, 169, 256);
INSERT INTO public.ecdc_data VALUES (45638, 4, 465, 75.07606877, 85, 256);
INSERT INTO public.ecdc_data VALUES (45639, 81, 4673, 515.40220589, 170, 256);
INSERT INTO public.ecdc_data VALUES (45640, 0, 24, 187.39968234, 171, 256);
INSERT INTO public.ecdc_data VALUES (45641, 559, 45674, 47.05317954, 112, 256);
INSERT INTO public.ecdc_data VALUES (45642, 98, 4262, 17.68347334, 113, 256);
INSERT INTO public.ecdc_data VALUES (45643, 423, 9450, 133.32506291, 114, 256);
INSERT INTO public.ecdc_data VALUES (45644, 39, 2880, 119.22221206, 115, 256);
INSERT INTO public.ecdc_data VALUES (45645, 5, 317, 178.35587165, 172, 256);
INSERT INTO public.ecdc_data VALUES (45646, 0, 0, 10.63968128, 173, 256);
INSERT INTO public.ecdc_data VALUES (45647, 0, 620, 112.78999053, 116, 256);
INSERT INTO public.ecdc_data VALUES (45648, 425, 39809, 659.35055244, 174, 256);
INSERT INTO public.ecdc_data VALUES (45649, 0, 46, 27.20232868, 86, 256);
INSERT INTO public.ecdc_data VALUES (45650, 3, 1172, 8.31781107, 117, 256);
INSERT INTO public.ecdc_data VALUES (45651, 0, 0, 104.82763739, 175, 256);
INSERT INTO public.ecdc_data VALUES (45652, 45, 3554, 535.07841306, 118, 256);
INSERT INTO public.ecdc_data VALUES (45653, 1, 899, 42.70830256, 119, 256);
INSERT INTO public.ecdc_data VALUES (45654, 10, 1065, 24.68712319, 26, 256);
INSERT INTO public.ecdc_data VALUES (45655, 12, 491, 315.15046377, 176, 256);
INSERT INTO public.ecdc_data VALUES (45656, 4, 742, 244.30263577, 120, 256);
INSERT INTO public.ecdc_data VALUES (45657, 5, 515, 110.18023953, 121, 256);
INSERT INTO public.ecdc_data VALUES (45658, 0, 0, 0, 122, 256);
INSERT INTO public.ecdc_data VALUES (45659, 1, 404, 177.76337939, 177, 256);
INSERT INTO public.ecdc_data VALUES (45660, 13, 1769, 338.27281759, 123, 256);
INSERT INTO public.ecdc_data VALUES (45661, 0, 0, 1.55274608, 27, 256);
INSERT INTO public.ecdc_data VALUES (45662, 0, 0, 0.99243039, 28, 256);
INSERT INTO public.ecdc_data VALUES (45663, 5, 595, 186.86961016, 29, 256);
INSERT INTO public.ecdc_data VALUES (45664, 0, 12, 1107.40528428, 178, 256);
INSERT INTO public.ecdc_data VALUES (45665, 11, 1972, 470.29830534, 179, 256);
INSERT INTO public.ecdc_data VALUES (45666, 5, 675, 1428.25960182, 180, 256);
INSERT INTO public.ecdc_data VALUES (45667, 0, 0, 0.90844014, 30, 256);
INSERT INTO public.ecdc_data VALUES (45668, 0, 6, 0.32745087, 31, 256);
INSERT INTO public.ecdc_data VALUES (45669, 3, 1168, 42.61373995, 124, 256);
INSERT INTO public.ecdc_data VALUES (45670, 0, 30, 101.89149027, 125, 256);
INSERT INTO public.ecdc_data VALUES (45671, 0, 19, 1.03774423, 32, 256);
INSERT INTO public.ecdc_data VALUES (45672, 2, 102, 332.88826665, 181, 256);
INSERT INTO public.ecdc_data VALUES (45673, 0, 0, 0, 206, 256);
INSERT INTO public.ecdc_data VALUES (45674, 0, 10, 3.0492534, 33, 256);
INSERT INTO public.ecdc_data VALUES (45675, 0, 0, 1.33893059, 34, 256);
INSERT INTO public.ecdc_data VALUES (45676, 485, 6810, 58.89687512, 87, 256);
INSERT INTO public.ecdc_data VALUES (45677, 9, 1174, 261.81856315, 182, 256);
INSERT INTO public.ecdc_data VALUES (45678, 0, 29, 565.21082061, 183, 256);
INSERT INTO public.ecdc_data VALUES (45679, 0, 4, 0.71314159, 126, 256);
INSERT INTO public.ecdc_data VALUES (45680, 5, 300, 924.16688364, 184, 256);
INSERT INTO public.ecdc_data VALUES (45681, 0, 0, 0, 88, 256);
INSERT INTO public.ecdc_data VALUES (45682, 70, 5836, 158.27037276, 35, 256);
INSERT INTO public.ecdc_data VALUES (45683, 0, 92, 5.53908193, 36, 256);
INSERT INTO public.ecdc_data VALUES (45684, 20, 1071, 30.64089314, 127, 256);
INSERT INTO public.ecdc_data VALUES (45685, 1, 27, 23.69189473, 37, 256);
INSERT INTO public.ecdc_data VALUES (45686, 17, 2753, 127.24444282, 128, 256);
INSERT INTO public.ecdc_data VALUES (45687, 73, 6659, 712.77536267, 185, 256);
INSERT INTO public.ecdc_data VALUES (45688, 0, 0, 0.70732113, 207, 256);
INSERT INTO public.ecdc_data VALUES (45689, 0, 6, 0.98263414, 208, 256);
INSERT INTO public.ecdc_data VALUES (45690, 0, 0, 2.39859335, 89, 256);
INSERT INTO public.ecdc_data VALUES (45691, 0, 12, 0.11582654, 38, 256);
INSERT INTO public.ecdc_data VALUES (45692, 0, 59, 0.92554073, 39, 256);
INSERT INTO public.ecdc_data VALUES (45693, 14, 1283, 596.39926591, 186, 256);
INSERT INTO public.ecdc_data VALUES (45694, 0, 0, 17.47854509, 209, 256);
INSERT INTO public.ecdc_data VALUES (45695, 0, 0, 112.4767558, 187, 256);
INSERT INTO public.ecdc_data VALUES (45696, 0, 0, 107.13585067, 129, 256);
INSERT INTO public.ecdc_data VALUES (45697, 25, 1436, 7.06207264, 130, 256);
INSERT INTO public.ecdc_data VALUES (45698, 1, 431, 160.97813034, 131, 256);
INSERT INTO public.ecdc_data VALUES (45699, 11, 746, 235.27943407, 90, 256);
INSERT INTO public.ecdc_data VALUES (45700, 0, 0, 0.15952382, 210, 256);
INSERT INTO public.ecdc_data VALUES (45701, 7, 460, 112.11362286, 91, 256);
INSERT INTO public.ecdc_data VALUES (45702, 57, 2507, 103.95422864, 92, 256);
INSERT INTO public.ecdc_data VALUES (45703, 24, 2152, 24.17944578, 132, 256);
INSERT INTO public.ecdc_data VALUES (45704, 349, 27875, 736.56383415, 188, 256);
INSERT INTO public.ecdc_data VALUES (45705, 56, 6640, 558.85122507, 189, 256);
INSERT INTO public.ecdc_data VALUES (45706, 0, 936, 346.86664367, 93, 256);
INSERT INTO public.ecdc_data VALUES (45707, 0, 202, 107.62442043, 133, 256);
INSERT INTO public.ecdc_data VALUES (45708, 130, 9937, 469.78391053, 190, 256);
INSERT INTO public.ecdc_data VALUES (45709, 364, 20396, 175.95463318, 191, 256);
INSERT INTO public.ecdc_data VALUES (45710, 0, 5, 1.21169519, 40, 256);
INSERT INTO public.ecdc_data VALUES (45711, 0, 0, 0, 94, 256);
INSERT INTO public.ecdc_data VALUES (45712, 0, 13, 38.84132498, 95, 256);
INSERT INTO public.ecdc_data VALUES (45713, 0, 0, 2.71264908, 96, 256);
INSERT INTO public.ecdc_data VALUES (45714, 0, 0, 650.16108902, 192, 256);
INSERT INTO public.ecdc_data VALUES (45715, 0, 2, 10.23027417, 41, 256);
INSERT INTO public.ecdc_data VALUES (45716, 19, 407, 16.56622028, 134, 256);
INSERT INTO public.ecdc_data VALUES (45717, 0, 17, 0.92045083, 42, 256);
INSERT INTO public.ecdc_data VALUES (45718, 9, 2677, 312.51777056, 193, 256);
INSERT INTO public.ecdc_data VALUES (45719, 0, 0, 5.11556051, 43, 256);
INSERT INTO public.ecdc_data VALUES (45720, 0, 8, 0.4607583, 44, 256);
INSERT INTO public.ecdc_data VALUES (45721, 0, 7, 1.53333461, 135, 256);
INSERT INTO public.ecdc_data VALUES (45722, 0, 0, 250.06487532, 97, 256);
INSERT INTO public.ecdc_data VALUES (45723, 34, 2579, 602.99929125, 194, 256);
INSERT INTO public.ecdc_data VALUES (45724, 25, 1613, 1104.99839493, 195, 256);
INSERT INTO public.ecdc_data VALUES (45725, 0, 0, 1.34364256, 211, 256);
INSERT INTO public.ecdc_data VALUES (45726, 0, 0, 2.14985444, 45, 256);
INSERT INTO public.ecdc_data VALUES (45727, 40, 1731, 36.98879955, 46, 256);
INSERT INTO public.ecdc_data VALUES (45728, 1, 143, 3.10588586, 136, 256);
INSERT INTO public.ecdc_data VALUES (45729, 0, 0, 0.69606949, 47, 256);
INSERT INTO public.ecdc_data VALUES (45730, 0, 0, 602.29592565, 196, 256);
INSERT INTO public.ecdc_data VALUES (45731, 4, 449, 27.65932083, 137, 256);
INSERT INTO public.ecdc_data VALUES (45732, 0, 0, 0.46948097, 48, 256);
INSERT INTO public.ecdc_data VALUES (45733, 1, 7, 11.6966508, 98, 256);
INSERT INTO public.ecdc_data VALUES (45734, 26, 4452, 384.38210062, 197, 256);
INSERT INTO public.ecdc_data VALUES (45735, 0, 0, 1262.05932757, 198, 256);
INSERT INTO public.ecdc_data VALUES (45736, 4, 45, 4.61625018, 138, 256);
INSERT INTO public.ecdc_data VALUES (45737, 0, 4, 0.11357001, 139, 256);
INSERT INTO public.ecdc_data VALUES (45738, 0, 0, 5.57878679, 140, 256);
INSERT INTO public.ecdc_data VALUES (45739, 0, 7, 0.14506163, 141, 256);
INSERT INTO public.ecdc_data VALUES (45740, 0, 0, 0.07733234, 142, 256);
INSERT INTO public.ecdc_data VALUES (45741, 0, 23, 3.66229711, 49, 256);
INSERT INTO public.ecdc_data VALUES (45742, 0, 40, 24.01487058, 99, 256);
INSERT INTO public.ecdc_data VALUES (45743, 217, 3209, 177.37917818, 50, 256);
INSERT INTO public.ecdc_data VALUES (45744, 81, 2483, 38.96766741, 199, 256);
INSERT INTO public.ecdc_data VALUES (45745, 0, 0, 15.70927371, 100, 256);
INSERT INTO public.ecdc_data VALUES (45746, 0, 214, 6.25485844, 51, 256);
INSERT INTO public.ecdc_data VALUES (45747, 187, 10746, 258.04637275, 200, 256);
INSERT INTO public.ecdc_data VALUES (45748, 4, 1141, 176.73562304, 143, 256);
INSERT INTO public.ecdc_data VALUES (45749, 413, 24957, 476.28620427, 201, 256);
INSERT INTO public.ecdc_data VALUES (45750, 0, 0, 0, 52, 256);
INSERT INTO public.ecdc_data VALUES (45751, 1014, 121413, 390.26737086, 101, 256);
INSERT INTO public.ecdc_data VALUES (45752, 0, 15, 54.50425038, 102, 256);
INSERT INTO public.ecdc_data VALUES (45753, 0, 71, 18.31453686, 103, 256);
INSERT INTO public.ecdc_data VALUES (45754, 2, 228, 9.60229024, 144, 256);
INSERT INTO public.ecdc_data VALUES (45755, 0, 0, 18.10573349, 104, 256);
INSERT INTO public.ecdc_data VALUES (45756, 0, 0, 0.05494385, 145, 256);
INSERT INTO public.ecdc_data VALUES (45757, 0, 0, 0, 213, 256);
INSERT INTO public.ecdc_data VALUES (45758, 0, 0, 0, 53, 256);
INSERT INTO public.ecdc_data VALUES (45759, 0, 0, 0, 146, 256);
INSERT INTO public.ecdc_data VALUES (45760, 0, 89, 4.42863498, 54, 256);
INSERT INTO public.ecdc_data VALUES (45761, 1, 27, 1.56362311, 55, 256);
INSERT INTO public.ecdc_data VALUES (45762, 1, 68, 1.1723959, 105, 257);
INSERT INTO public.ecdc_data VALUES (45763, 4, 162, 67.87946033, 147, 257);
INSERT INTO public.ecdc_data VALUES (45764, 6, 121, 4.92415706, 1, 257);
INSERT INTO public.ecdc_data VALUES (45765, 0, 198, 1069.87673445, 148, 257);
INSERT INTO public.ecdc_data VALUES (45766, 0, 0, 4.67866775, 2, 257);
INSERT INTO public.ecdc_data VALUES (45767, 0, 0, 0, 56, 257);
INSERT INTO public.ecdc_data VALUES (45768, 0, 0, 11.32677753, 57, 257);
INSERT INTO public.ecdc_data VALUES (45769, 399, 16447, 393.25668941, 58, 257);
INSERT INTO public.ecdc_data VALUES (45770, 5, 672, 198.73362256, 149, 257);
INSERT INTO public.ecdc_data VALUES (45771, 0, 14, 364.02972439, 59, 257);
INSERT INTO public.ecdc_data VALUES (45772, 2, 8, 0.82925978, 202, 257);
INSERT INTO public.ecdc_data VALUES (45773, 4, 947, 122.18393627, 150, 257);
INSERT INTO public.ecdc_data VALUES (45774, 2, 182, 15.81453462, 151, 257);
INSERT INTO public.ecdc_data VALUES (45775, 2, 154, 281.13975855, 60, 257);
INSERT INTO public.ecdc_data VALUES (45776, 0, 456, 458.82069068, 106, 257);
INSERT INTO public.ecdc_data VALUES (45777, 35, 1520, 11.84143095, 107, 257);
INSERT INTO public.ecdc_data VALUES (45778, 0, 3, 4.87769188, 61, 257);
INSERT INTO public.ecdc_data VALUES (45779, 6, 415, 54.46230691, 152, 257);
INSERT INTO public.ecdc_data VALUES (45780, 20, 6803, 321.41712654, 153, 257);
INSERT INTO public.ecdc_data VALUES (45781, 0, 67, 154.73253559, 62, 257);
INSERT INTO public.ecdc_data VALUES (45782, 0, 54, 0.72874248, 3, 257);
INSERT INTO public.ecdc_data VALUES (45783, 0, 1, 1.59979523, 63, 257);
INSERT INTO public.ecdc_data VALUES (45784, 0, 4, 5.63495454, 108, 257);
INSERT INTO public.ecdc_data VALUES (45785, 36, 238, 49.64778389, 64, 257);
INSERT INTO public.ecdc_data VALUES (45786, 0, 4, 292.49894162, 65, 257);
INSERT INTO public.ecdc_data VALUES (45787, 5, 365, 90.6998429, 154, 257);
INSERT INTO public.ecdc_data VALUES (45788, 0, 0, 26.2620659, 4, 257);
INSERT INTO public.ecdc_data VALUES (45789, 734, 31553, 178.06674082, 66, 257);
INSERT INTO public.ecdc_data VALUES (45790, 0, 0, 0, 67, 257);
INSERT INTO public.ecdc_data VALUES (45791, 0, 0, 0.23078911, 109, 257);
INSERT INTO public.ecdc_data VALUES (45792, 11, 437, 49.42829604, 155, 257);
INSERT INTO public.ecdc_data VALUES (45793, 0, 25, 1.441831, 5, 257);
INSERT INTO public.ecdc_data VALUES (45794, 0, 1, 0.33823112, 6, 257);
INSERT INTO public.ecdc_data VALUES (45795, 0, 1, 0.03639332, 110, 257);
INSERT INTO public.ecdc_data VALUES (45796, 0, 0, 0.90429935, 7, 257);
INSERT INTO public.ecdc_data VALUES (45797, 11, 1800, 67.81421034, 68, 257);
INSERT INTO public.ecdc_data VALUES (45798, 2, 106, 220.38928166, 8, 257);
INSERT INTO public.ecdc_data VALUES (45799, 0, 0, 4.61907988, 69, 257);
INSERT INTO public.ecdc_data VALUES (45800, 0, 0, 1.05370103, 9, 257);
INSERT INTO public.ecdc_data VALUES (45801, 0, 13, 0.54556119, 10, 257);
INSERT INTO public.ecdc_data VALUES (45802, 20, 1134, 129.46894621, 70, 257);
INSERT INTO public.ecdc_data VALUES (45803, 0, 22, 0.01952875, 111, 257);
INSERT INTO public.ecdc_data VALUES (45804, 163, 7875, 185.57018996, 71, 257);
INSERT INTO public.ecdc_data VALUES (45805, 0, 0, 2.46800119, 11, 257);
INSERT INTO public.ecdc_data VALUES (45806, 1, 29, 2.100175, 12, 257);
INSERT INTO public.ecdc_data VALUES (45807, 20, 1355, 305.85068709, 72, 257);
INSERT INTO public.ecdc_data VALUES (45808, 0, 32, 1.96371567, 13, 257);
INSERT INTO public.ecdc_data VALUES (45809, 5, 363, 76.22209258, 156, 257);
INSERT INTO public.ecdc_data VALUES (45810, 0, 15, 5.54110281, 73, 257);
INSERT INTO public.ecdc_data VALUES (45811, 0, 14, 107.08407017, 74, 257);
INSERT INTO public.ecdc_data VALUES (45812, 1, 21, 27.7429247, 157, 257);
INSERT INTO public.ecdc_data VALUES (45813, 35, 5338, 374.61736371, 158, 257);
INSERT INTO public.ecdc_data VALUES (45814, 1, 26, 0.30878931, 14, 257);
INSERT INTO public.ecdc_data VALUES (45815, 0, 331, 109.4197618, 159, 257);
INSERT INTO public.ecdc_data VALUES (45816, 0, 0, 1.64345796, 15, 257);
INSERT INTO public.ecdc_data VALUES (45817, 0, 0, 9.74821747, 75, 257);
INSERT INTO public.ecdc_data VALUES (45818, 10, 777, 59.69853497, 76, 257);
INSERT INTO public.ecdc_data VALUES (45819, 41, 1475, 78.50390968, 77, 257);
INSERT INTO public.ecdc_data VALUES (45820, 9, 133, 1.65358284, 16, 257);
INSERT INTO public.ecdc_data VALUES (45821, 4, 105, 29.25521612, 78, 257);
INSERT INTO public.ecdc_data VALUES (45822, 0, 10, 3.24488083, 17, 257);
INSERT INTO public.ecdc_data VALUES (45823, 0, 0, 0.97222941, 18, 257);
INSERT INTO public.ecdc_data VALUES (45824, 0, 56, 51.47869144, 160, 257);
INSERT INTO public.ecdc_data VALUES (45825, 1, 19, 23.86483099, 19, 257);
INSERT INTO public.ecdc_data VALUES (45826, 17, 892, 8.75456053, 20, 257);
INSERT INTO public.ecdc_data VALUES (45827, 0, 0, 0, 79, 257);
INSERT INTO public.ecdc_data VALUES (45828, 0, 1, 51.35895803, 161, 257);
INSERT INTO public.ecdc_data VALUES (45829, 0, 0, 0, 203, 257);
INSERT INTO public.ecdc_data VALUES (45830, 0, 120, 31.91420534, 162, 257);
INSERT INTO public.ecdc_data VALUES (45831, 80, 18746, 257.21621319, 163, 257);
INSERT INTO public.ecdc_data VALUES (45832, 0, 62, 343.0187801, 204, 257);
INSERT INTO public.ecdc_data VALUES (45833, 0, 7, 4.55679842, 21, 257);
INSERT INTO public.ecdc_data VALUES (45834, 0, 0, 3.02424164, 22, 257);
INSERT INTO public.ecdc_data VALUES (45835, 5, 508, 133.95843936, 164, 257);
INSERT INTO public.ecdc_data VALUES (45836, 16, 4058, 38.63443032, 165, 257);
INSERT INTO public.ecdc_data VALUES (45837, 0, 0, 2.22237871, 23, 257);
INSERT INTO public.ecdc_data VALUES (45838, 0, 8, 261.08111315, 166, 257);
INSERT INTO public.ecdc_data VALUES (45839, 4, 406, 43.46083243, 167, 257);
INSERT INTO public.ecdc_data VALUES (45840, 0, 0, 0, 80, 257);
INSERT INTO public.ecdc_data VALUES (45841, 0, 0, 0, 81, 257);
INSERT INTO public.ecdc_data VALUES (45842, 3, 0, 348.486207, 205, 257);
INSERT INTO public.ecdc_data VALUES (45843, 25, 834, 46.99264157, 82, 257);
INSERT INTO public.ecdc_data VALUES (45844, 0, 0, 1.55115716, 168, 257);
INSERT INTO public.ecdc_data VALUES (45845, 0, 0, 3.35910842, 24, 257);
INSERT INTO public.ecdc_data VALUES (45846, 0, 0, 3.07144973, 25, 257);
INSERT INTO public.ecdc_data VALUES (45847, 3, 104, 96.70722749, 83, 257);
INSERT INTO public.ecdc_data VALUES (45848, 0, 0, 1.70468484, 84, 257);
INSERT INTO public.ecdc_data VALUES (45849, 0, 0, 0, 169, 257);
INSERT INTO public.ecdc_data VALUES (45850, 19, 354, 85.58281941, 85, 257);
INSERT INTO public.ecdc_data VALUES (45851, 21, 932, 131.44705547, 170, 257);
INSERT INTO public.ecdc_data VALUES (45852, 0, 91, 194.96289822, 171, 257);
INSERT INTO public.ecdc_data VALUES (45853, 971, 78524, 80.73204517, 112, 257);
INSERT INTO public.ecdc_data VALUES (45854, 98, 4538, 21.55228741, 113, 257);
INSERT INTO public.ecdc_data VALUES (45855, 239, 4019, 61.5650745, 114, 257);
INSERT INTO public.ecdc_data VALUES (45856, 73, 3923, 148.58639918, 115, 257);
INSERT INTO public.ecdc_data VALUES (45857, 5, 609, 120.4875781, 172, 257);
INSERT INTO public.ecdc_data VALUES (45858, 0, 0, 5.91093405, 173, 257);
INSERT INTO public.ecdc_data VALUES (45859, 27, 4455, 901.36915005, 116, 257);
INSERT INTO public.ecdc_data VALUES (45860, 31, 3677, 52.0265676, 174, 257);
INSERT INTO public.ecdc_data VALUES (45861, 3, 82, 61.66313409, 86, 257);
INSERT INTO public.ecdc_data VALUES (45862, 8, 477, 5.50132709, 117, 257);
INSERT INTO public.ecdc_data VALUES (45863, 0, 3, 38.96248469, 175, 257);
INSERT INTO public.ecdc_data VALUES (45864, 9, 1199, 140.15466906, 118, 257);
INSERT INTO public.ecdc_data VALUES (45865, 1, 358, 17.83151141, 119, 257);
INSERT INTO public.ecdc_data VALUES (45866, 5, 321, 4.86742802, 26, 257);
INSERT INTO public.ecdc_data VALUES (45867, 3, 49, 37.14193892, 176, 257);
INSERT INTO public.ecdc_data VALUES (45868, 7, 475, 176.93995142, 120, 257);
INSERT INTO public.ecdc_data VALUES (45869, 3, 298, 36.4721687, 121, 257);
INSERT INTO public.ecdc_data VALUES (45870, 0, 0, 0, 122, 257);
INSERT INTO public.ecdc_data VALUES (45871, 1, 67, 35.88601477, 177, 257);
INSERT INTO public.ecdc_data VALUES (45872, 9, 1459, 241.9151688, 123, 257);
INSERT INTO public.ecdc_data VALUES (45873, 0, 0, 12.18670407, 27, 257);
INSERT INTO public.ecdc_data VALUES (45874, 0, 1, 0.36456627, 28, 257);
INSERT INTO public.ecdc_data VALUES (45875, 6, 1045, 138.93124748, 29, 257);
INSERT INTO public.ecdc_data VALUES (45876, 0, 0, 33.8735734, 178, 257);
INSERT INTO public.ecdc_data VALUES (45877, 2, 117, 55.50815551, 179, 257);
INSERT INTO public.ecdc_data VALUES (45878, 0, 140, 167.61851395, 180, 257);
INSERT INTO public.ecdc_data VALUES (45879, 1, 33, 1.72789022, 30, 257);
INSERT INTO public.ecdc_data VALUES (45880, 0, 7, 0.30597868, 31, 257);
INSERT INTO public.ecdc_data VALUES (45881, 0, 489, 10.91713, 124, 257);
INSERT INTO public.ecdc_data VALUES (45882, 0, 35, 145.20949907, 125, 257);
INSERT INTO public.ecdc_data VALUES (45883, 0, 15, 0.89530875, 32, 257);
INSERT INTO public.ecdc_data VALUES (45884, 0, 64, 121.16079334, 181, 257);
INSERT INTO public.ecdc_data VALUES (45885, 0, 0, 2.16541183, 33, 257);
INSERT INTO public.ecdc_data VALUES (45886, 0, 0, 2.20529744, 34, 257);
INSERT INTO public.ecdc_data VALUES (45887, 369, 5175, 47.58200924, 87, 257);
INSERT INTO public.ecdc_data VALUES (45888, 17, 1062, 261.22498243, 182, 257);
INSERT INTO public.ecdc_data VALUES (45889, 0, 3, 84.6304972, 183, 257);
INSERT INTO public.ecdc_data VALUES (45890, 0, 0, 0.06201231, 126, 257);
INSERT INTO public.ecdc_data VALUES (45891, 2, 210, 540.99925745, 184, 257);
INSERT INTO public.ecdc_data VALUES (45892, 0, 0, 0, 88, 257);
INSERT INTO public.ecdc_data VALUES (45893, 29, 2776, 88.50956107, 35, 257);
INSERT INTO public.ecdc_data VALUES (45894, 1, 96, 7.35031561, 36, 257);
INSERT INTO public.ecdc_data VALUES (45895, 39, 1400, 25.17512029, 127, 257);
INSERT INTO public.ecdc_data VALUES (45896, 1, 41, 42.13228656, 37, 257);
INSERT INTO public.ecdc_data VALUES (45897, 15, 3439, 92.45084933, 128, 257);
INSERT INTO public.ecdc_data VALUES (45898, 36, 4979, 285.40408975, 185, 257);
INSERT INTO public.ecdc_data VALUES (45899, 0, 0, 0.35366056, 207, 257);
INSERT INTO public.ecdc_data VALUES (45900, 0, 3, 0.77356304, 208, 257);
INSERT INTO public.ecdc_data VALUES (45901, 0, 0, 2.91803395, 89, 257);
INSERT INTO public.ecdc_data VALUES (45902, 0, 0, 0.0300291, 38, 257);
INSERT INTO public.ecdc_data VALUES (45903, 0, 155, 1.00217152, 39, 257);
INSERT INTO public.ecdc_data VALUES (45904, 4, 316, 113.8107737, 186, 257);
INSERT INTO public.ecdc_data VALUES (45905, 0, 0, 10.48712705, 209, 257);
INSERT INTO public.ecdc_data VALUES (45906, 0, 180, 30.62941189, 187, 257);
INSERT INTO public.ecdc_data VALUES (45907, 10, 817, 163.33694607, 129, 257);
INSERT INTO public.ecdc_data VALUES (45908, 9, 583, 4.02511359, 130, 257);
INSERT INTO public.ecdc_data VALUES (45909, 6, 510, 136.94884714, 131, 257);
INSERT INTO public.ecdc_data VALUES (45910, 8, 698, 219.24247134, 90, 257);
INSERT INTO public.ecdc_data VALUES (45911, 0, 0, 0.11394558, 210, 257);
INSERT INTO public.ecdc_data VALUES (45912, 23, 788, 154.21656099, 91, 257);
INSERT INTO public.ecdc_data VALUES (45913, 95, 2733, 162.92293847, 92, 257);
INSERT INTO public.ecdc_data VALUES (45914, 60, 2804, 32.41499721, 132, 257);
INSERT INTO public.ecdc_data VALUES (45915, 75, 3003, 67.5377952, 188, 257);
INSERT INTO public.ecdc_data VALUES (45916, 8, 944, 105.00537288, 189, 257);
INSERT INTO public.ecdc_data VALUES (45917, 9, 31, 310.79933074, 93, 257);
INSERT INTO public.ecdc_data VALUES (45918, 2, 238, 106.14140677, 133, 257);
INSERT INTO public.ecdc_data VALUES (45919, 82, 2958, 134.71918711, 190, 257);
INSERT INTO public.ecdc_data VALUES (45920, 202, 11115, 86.6360746, 191, 257);
INSERT INTO public.ecdc_data VALUES (45921, 0, 10, 0.82363594, 40, 257);
INSERT INTO public.ecdc_data VALUES (45922, 0, 0, 0, 94, 257);
INSERT INTO public.ecdc_data VALUES (45923, 0, 1, 0.54706092, 95, 257);
INSERT INTO public.ecdc_data VALUES (45924, 0, 0, 0, 96, 257);
INSERT INTO public.ecdc_data VALUES (45925, 0, 0, 81.27013613, 192, 257);
INSERT INTO public.ecdc_data VALUES (45926, 0, 0, 2.79007477, 41, 257);
INSERT INTO public.ecdc_data VALUES (45927, 24, 468, 18.53595758, 134, 257);
INSERT INTO public.ecdc_data VALUES (45928, 1, 33, 2.32567244, 42, 257);
INSERT INTO public.ecdc_data VALUES (45929, 1, 121, 15.98273577, 193, 257);
INSERT INTO public.ecdc_data VALUES (45930, 0, 0, 5.11556051, 43, 257);
INSERT INTO public.ecdc_data VALUES (45931, 0, 10, 1.33107954, 44, 257);
INSERT INTO public.ecdc_data VALUES (45932, 0, 10, 3.46292423, 135, 257);
INSERT INTO public.ecdc_data VALUES (45933, 0, 3, 172.21448961, 97, 257);
INSERT INTO public.ecdc_data VALUES (45934, 0, 877, 136.13627278, 194, 257);
INSERT INTO public.ecdc_data VALUES (45935, 0, 356, 116.77594589, 195, 257);
INSERT INTO public.ecdc_data VALUES (45936, 0, 0, 1.81313025, 45, 257);
INSERT INTO public.ecdc_data VALUES (45937, 145, 1913, 34.09766208, 46, 257);
INSERT INTO public.ecdc_data VALUES (45938, 2, 69, 2.11028448, 136, 257);
INSERT INTO public.ecdc_data VALUES (45939, 0, 0, 0.6689499, 47, 257);
INSERT INTO public.ecdc_data VALUES (45940, 126, 12423, 307.0388303, 196, 257);
INSERT INTO public.ecdc_data VALUES (45941, 0, 207, 5.32270755, 137, 257);
INSERT INTO public.ecdc_data VALUES (45942, 0, 15, 0.21021536, 48, 257);
INSERT INTO public.ecdc_data VALUES (45943, 0, 14, 34.40191412, 98, 257);
INSERT INTO public.ecdc_data VALUES (45944, 3, 831, 68.59113496, 197, 257);
INSERT INTO public.ecdc_data VALUES (45945, 0, 0, 64.57935003, 198, 257);
INSERT INTO public.ecdc_data VALUES (45946, 3, 47, 3.3977476, 138, 257);
INSERT INTO public.ecdc_data VALUES (45947, 0, 3, 0.06309445, 139, 257);
INSERT INTO public.ecdc_data VALUES (45948, 0, 41, 6.22249296, 140, 257);
INSERT INTO public.ecdc_data VALUES (45949, 0, 7, 0.15224289, 141, 257);
INSERT INTO public.ecdc_data VALUES (45950, 0, 0, 0.07733234, 142, 257);
INSERT INTO public.ecdc_data VALUES (45951, 0, 17, 2.4374072, 49, 257);
INSERT INTO public.ecdc_data VALUES (45952, 1, 41, 53.83632181, 99, 257);
INSERT INTO public.ecdc_data VALUES (45953, 43, 2312, 113.60681456, 50, 257);
INSERT INTO public.ecdc_data VALUES (45954, 56, 1581, 25.69268611, 199, 257);
INSERT INTO public.ecdc_data VALUES (45955, 0, 0, 49.74603341, 100, 257);
INSERT INTO public.ecdc_data VALUES (45956, 1, 178, 5.37841024, 51, 257);
INSERT INTO public.ecdc_data VALUES (45957, 77, 4753, 124.11565916, 200, 257);
INSERT INTO public.ecdc_data VALUES (45958, 1, 1046, 146.46089678, 143, 257);
INSERT INTO public.ecdc_data VALUES (45959, 70, 14162, 201.87821492, 201, 257);
INSERT INTO public.ecdc_data VALUES (45960, 0, 0, 0, 52, 257);
INSERT INTO public.ecdc_data VALUES (45961, 892, 48182, 187.07251007, 101, 257);
INSERT INTO public.ecdc_data VALUES (45962, 0, 1, 30.5988774, 102, 257);
INSERT INTO public.ecdc_data VALUES (45963, 0, 29, 7.51069335, 103, 257);
INSERT INTO public.ecdc_data VALUES (45964, 5, 562, 18.91351011, 144, 257);
INSERT INTO public.ecdc_data VALUES (45965, 6, 608, 38.45232765, 104, 257);
INSERT INTO public.ecdc_data VALUES (45966, 0, 1, 0.03110029, 145, 257);
INSERT INTO public.ecdc_data VALUES (45967, 0, 0, 0, 53, 257);
INSERT INTO public.ecdc_data VALUES (45968, 1, 8, 0.07201171, 146, 257);
INSERT INTO public.ecdc_data VALUES (45969, 0, 54, 4.37264718, 54, 257);
INSERT INTO public.ecdc_data VALUES (45970, 0, 4, 1.32464141, 55, 257);
INSERT INTO public.ecdc_data VALUES (45971, 3, 96, 1.11456471, 105, 258);
INSERT INTO public.ecdc_data VALUES (45972, 3, 151, 62.91863513, 147, 258);
INSERT INTO public.ecdc_data VALUES (45973, 6, 289, 11.13742128, 1, 258);
INSERT INTO public.ecdc_data VALUES (45974, 0, 46, 263.85917009, 148, 258);
INSERT INTO public.ecdc_data VALUES (45975, 0, 30, 2.33462064, 2, 258);
INSERT INTO public.ecdc_data VALUES (45976, 0, 0, 0, 56, 258);
INSERT INTO public.ecdc_data VALUES (45977, 0, 0, 1.02970705, 57, 258);
INSERT INTO public.ecdc_data VALUES (45978, 105, 6986, 305.12715585, 58, 258);
INSERT INTO public.ecdc_data VALUES (45979, 3, 62, 68.29566478, 149, 258);
INSERT INTO public.ecdc_data VALUES (45980, 1, 33, 803.31107139, 59, 258);
INSERT INTO public.ecdc_data VALUES (45981, 9, 43, 5.57865668, 202, 258);
INSERT INTO public.ecdc_data VALUES (45982, 10, 511, 46.9365121, 150, 258);
INSERT INTO public.ecdc_data VALUES (45983, 3, 89, 19.8253952, 151, 258);
INSERT INTO public.ecdc_data VALUES (45984, 1, 39, 202.06117807, 60, 258);
INSERT INTO public.ecdc_data VALUES (45985, 2, 1305, 411.04971837, 106, 258);
INSERT INTO public.ecdc_data VALUES (45986, 67, 2202, 18.5689731, 107, 258);
INSERT INTO public.ecdc_data VALUES (45987, 0, 0, 6.27131813, 61, 258);
INSERT INTO public.ecdc_data VALUES (45988, 5, 172, 25.24224248, 152, 258);
INSERT INTO public.ecdc_data VALUES (45989, 4, 918, 59.15052823, 153, 258);
INSERT INTO public.ecdc_data VALUES (45990, 1, 46, 152.17073864, 62, 258);
INSERT INTO public.ecdc_data VALUES (45991, 0, 0, 0.83042747, 3, 258);
INSERT INTO public.ecdc_data VALUES (45992, 0, 0, 11.19856658, 63, 258);
INSERT INTO public.ecdc_data VALUES (45993, 0, 3, 10.09049999, 108, 258);
INSERT INTO public.ecdc_data VALUES (45994, 46, 835, 99.50402593, 64, 258);
INSERT INTO public.ecdc_data VALUES (45995, 0, 1, 23.09202171, 65, 258);
INSERT INTO public.ecdc_data VALUES (45996, 25, 518, 110.057625, 154, 258);
INSERT INTO public.ecdc_data VALUES (45997, 1, 124, 24.48232259, 4, 258);
INSERT INTO public.ecdc_data VALUES (45998, 310, 10273, 248.72503974, 66, 258);
INSERT INTO public.ecdc_data VALUES (45999, 0, 0, 123.19781574, 67, 258);
INSERT INTO public.ecdc_data VALUES (46000, 0, 0, 0.46157823, 109, 258);
INSERT INTO public.ecdc_data VALUES (46001, 6, 96, 25.14271706, 155, 258);
INSERT INTO public.ecdc_data VALUES (46002, 1, 11, 0.61511561, 5, 258);
INSERT INTO public.ecdc_data VALUES (46003, 0, 4, 0.31221334, 6, 258);
INSERT INTO public.ecdc_data VALUES (46004, 0, 0, 0.00606555, 110, 258);
INSERT INTO public.ecdc_data VALUES (46005, 0, 0, 3.25393186, 7, 258);
INSERT INTO public.ecdc_data VALUES (46006, 1, 247, 17.36118629, 68, 258);
INSERT INTO public.ecdc_data VALUES (46007, 0, 28, 150.19929592, 8, 258);
INSERT INTO public.ecdc_data VALUES (46008, 0, 0, 0, 69, 258);
INSERT INTO public.ecdc_data VALUES (46009, 0, 0, 1.05370103, 9, 258);
INSERT INTO public.ecdc_data VALUES (46010, 0, 1, 0.33235337, 10, 258);
INSERT INTO public.ecdc_data VALUES (46011, 60, 1764, 130.36067103, 70, 258);
INSERT INTO public.ecdc_data VALUES (46012, 2, 21, 0.02517814, 111, 258);
INSERT INTO public.ecdc_data VALUES (46013, 203, 5327, 238.68361038, 71, 258);
INSERT INTO public.ecdc_data VALUES (46014, 0, 0, 4.11333532, 11, 258);
INSERT INTO public.ecdc_data VALUES (46015, 1, 263, 19.34762989, 12, 258);
INSERT INTO public.ecdc_data VALUES (46016, 32, 1860, 283.64194113, 72, 258);
INSERT INTO public.ecdc_data VALUES (46017, 0, 113, 4.64681232, 13, 258);
INSERT INTO public.ecdc_data VALUES (46018, 3, 117, 92.48705794, 156, 258);
INSERT INTO public.ecdc_data VALUES (46019, 1, 43, 5.60286669, 73, 258);
INSERT INTO public.ecdc_data VALUES (46020, 0, 10, 33.65499348, 74, 258);
INSERT INTO public.ecdc_data VALUES (46021, 0, 1, 6.73593645, 157, 258);
INSERT INTO public.ecdc_data VALUES (46022, 1, 560, 61.3626547, 158, 258);
INSERT INTO public.ecdc_data VALUES (46023, 0, 23, 0.45050978, 14, 258);
INSERT INTO public.ecdc_data VALUES (46024, 1, 566, 29.55521978, 159, 258);
INSERT INTO public.ecdc_data VALUES (46025, 0, 0, 0.51358061, 15, 258);
INSERT INTO public.ecdc_data VALUES (46026, 0, 0, 0, 75, 258);
INSERT INTO public.ecdc_data VALUES (46027, 19, 565, 77.19557868, 76, 258);
INSERT INTO public.ecdc_data VALUES (46028, 52, 308, 10.37778057, 77, 258);
INSERT INTO public.ecdc_data VALUES (46029, 11, 178, 2.55309206, 16, 258);
INSERT INTO public.ecdc_data VALUES (46030, 0, 105, 24.82354673, 78, 258);
INSERT INTO public.ecdc_data VALUES (46031, 0, 0, 3.39237542, 17, 258);
INSERT INTO public.ecdc_data VALUES (46032, 0, 0, 0.68627958, 18, 258);
INSERT INTO public.ecdc_data VALUES (46033, 0, 16, 19.32337978, 160, 258);
INSERT INTO public.ecdc_data VALUES (46034, 0, 31, 50.51679553, 19, 258);
INSERT INTO public.ecdc_data VALUES (46035, 15, 976, 15.61848575, 20, 258);
INSERT INTO public.ecdc_data VALUES (46036, 0, 0, 0, 79, 258);
INSERT INTO public.ecdc_data VALUES (46037, 0, 0, 6.16307496, 161, 258);
INSERT INTO public.ecdc_data VALUES (46038, 0, 0, 0.3370957, 203, 258);
INSERT INTO public.ecdc_data VALUES (46039, 0, 36, 7.04975916, 162, 258);
INSERT INTO public.ecdc_data VALUES (46040, 25, 4203, 125.53705532, 163, 258);
INSERT INTO public.ecdc_data VALUES (46041, 0, 17, 143.58092987, 204, 258);
INSERT INTO public.ecdc_data VALUES (46042, 0, 7, 9.15962511, 21, 258);
INSERT INTO public.ecdc_data VALUES (46043, 0, 0, 26.06811103, 22, 258);
INSERT INTO public.ecdc_data VALUES (46044, 0, 44, 6.58032677, 164, 258);
INSERT INTO public.ecdc_data VALUES (46045, 4, 1499, 21.01320811, 165, 258);
INSERT INTO public.ecdc_data VALUES (46046, 0, 235, 4.56968403, 23, 258);
INSERT INTO public.ecdc_data VALUES (46047, 0, 0, 198.7776657, 166, 258);
INSERT INTO public.ecdc_data VALUES (46048, 5, 139, 26.51847402, 167, 258);
INSERT INTO public.ecdc_data VALUES (46049, 0, 0, 0, 80, 258);
INSERT INTO public.ecdc_data VALUES (46050, 0, 0, 0, 81, 258);
INSERT INTO public.ecdc_data VALUES (46051, 1, 52, 456.67832272, 205, 258);
INSERT INTO public.ecdc_data VALUES (46052, 10, 145, 52.86814372, 82, 258);
INSERT INTO public.ecdc_data VALUES (46053, 0, 1, 1.55115716, 168, 258);
INSERT INTO public.ecdc_data VALUES (46054, 0, 76, 6.14662031, 24, 258);
INSERT INTO public.ecdc_data VALUES (46055, 0, 0, 4.99761312, 25, 258);
INSERT INTO public.ecdc_data VALUES (46056, 1, 92, 77.28913162, 83, 258);
INSERT INTO public.ecdc_data VALUES (46057, 0, 2, 2.23739885, 84, 258);
INSERT INTO public.ecdc_data VALUES (46058, 0, 0, 0, 169, 258);
INSERT INTO public.ecdc_data VALUES (46059, 16, 50, 95.78175509, 85, 258);
INSERT INTO public.ecdc_data VALUES (46060, 1, 576, 38.59709584, 170, 258);
INSERT INTO public.ecdc_data VALUES (46061, 0, 2, 19.60833747, 171, 258);
INSERT INTO public.ecdc_data VALUES (46062, 1133, 75809, 81.46110478, 112, 258);
INSERT INTO public.ecdc_data VALUES (46063, 105, 2880, 15.36329345, 113, 258);
INSERT INTO public.ecdc_data VALUES (46064, 117, 2152, 36.06753816, 114, 258);
INSERT INTO public.ecdc_data VALUES (46065, 77, 4314, 144.23633767, 115, 258);
INSERT INTO public.ecdc_data VALUES (46066, 0, 102, 33.80748087, 172, 258);
INSERT INTO public.ecdc_data VALUES (46067, 0, 0, 1.18218681, 173, 258);
INSERT INTO public.ecdc_data VALUES (46068, 7, 4399, 351.90383142, 116, 258);
INSERT INTO public.ecdc_data VALUES (46069, 12, 1150, 30.6264729, 174, 258);
INSERT INTO public.ecdc_data VALUES (46070, 1, 80, 53.28535955, 86, 258);
INSERT INTO public.ecdc_data VALUES (46071, 14, 378, 7.18349245, 117, 258);
INSERT INTO public.ecdc_data VALUES (46072, 0, 0, 18.55356414, 175, 258);
INSERT INTO public.ecdc_data VALUES (46073, 1, 67, 8.3055352, 118, 258);
INSERT INTO public.ecdc_data VALUES (46074, 1, 80, 36.33682539, 119, 258);
INSERT INTO public.ecdc_data VALUES (46075, 2, 102, 5.03671332, 26, 258);
INSERT INTO public.ecdc_data VALUES (46076, 5, 85, 92.13202514, 176, 258);
INSERT INTO public.ecdc_data VALUES (46077, 2, 805, 224.07481489, 120, 258);
INSERT INTO public.ecdc_data VALUES (46078, 0, 75, 19.9661744, 121, 258);
INSERT INTO public.ecdc_data VALUES (46079, 0, 0, 0, 122, 258);
INSERT INTO public.ecdc_data VALUES (46080, 0, 1, 4.79174653, 177, 258);
INSERT INTO public.ecdc_data VALUES (46081, 9, 400, 111.89214711, 123, 258);
INSERT INTO public.ecdc_data VALUES (46082, 0, 0, 6.25803723, 27, 258);
INSERT INTO public.ecdc_data VALUES (46083, 0, 4, 0.42532731, 28, 258);
INSERT INTO public.ecdc_data VALUES (46084, 11, 1084, 115.44159731, 29, 258);
INSERT INTO public.ecdc_data VALUES (46085, 0, 0, 18.23961645, 178, 258);
INSERT INTO public.ecdc_data VALUES (46086, 0, 17, 15.28174236, 179, 258);
INSERT INTO public.ecdc_data VALUES (46087, 0, 54, -137.48301824, 180, 258);
INSERT INTO public.ecdc_data VALUES (46088, 2, 33, 3.52252297, 30, 258);
INSERT INTO public.ecdc_data VALUES (46089, 1, 7, 1.08434549, 31, 258);
INSERT INTO public.ecdc_data VALUES (46090, 0, 62, 0.57903356, 124, 258);
INSERT INTO public.ecdc_data VALUES (46091, 0, 83, 330.53524108, 125, 258);
INSERT INTO public.ecdc_data VALUES (46092, 0, 28, 0.82409101, 32, 258);
INSERT INTO public.ecdc_data VALUES (46093, 0, 23, 79.82834879, 181, 258);
INSERT INTO public.ecdc_data VALUES (46094, 0, 8, 5.23676127, 33, 258);
INSERT INTO public.ecdc_data VALUES (46095, 0, 0, 0.78760623, 34, 258);
INSERT INTO public.ecdc_data VALUES (46096, 223, 6188, 58.18749143, 87, 258);
INSERT INTO public.ecdc_data VALUES (46097, 11, 258, 154.00946464, 182, 258);
INSERT INTO public.ecdc_data VALUES (46098, 0, 5, 114.85567478, 183, 258);
INSERT INTO public.ecdc_data VALUES (46099, 0, 0, 0.37207387, 126, 258);
INSERT INTO public.ecdc_data VALUES (46100, 1, 106, 205.88830921, 184, 258);
INSERT INTO public.ecdc_data VALUES (46101, 0, 0, 0, 88, 258);
INSERT INTO public.ecdc_data VALUES (46102, 33, 1386, 56.28463398, 35, 258);
INSERT INTO public.ecdc_data VALUES (46103, 0, 113, 3.67845096, 36, 258);
INSERT INTO public.ecdc_data VALUES (46104, 0, 146, 2.10193566, 127, 258);
INSERT INTO public.ecdc_data VALUES (46105, 2, 125, 111.44410717, 37, 258);
INSERT INTO public.ecdc_data VALUES (46106, 11, 979, 50.88659173, 128, 258);
INSERT INTO public.ecdc_data VALUES (46107, 0, 797, 48.89434268, 185, 258);
INSERT INTO public.ecdc_data VALUES (46108, 0, 0, 1.06098169, 207, 258);
INSERT INTO public.ecdc_data VALUES (46109, 0, 6, 1.92345406, 208, 258);
INSERT INTO public.ecdc_data VALUES (46110, 0, 0, 5.45412629, 89, 258);
INSERT INTO public.ecdc_data VALUES (46111, 0, 1, 0.02573923, 38, 258);
INSERT INTO public.ecdc_data VALUES (46112, 4, 155, 1.29973784, 39, 258);
INSERT INTO public.ecdc_data VALUES (46113, 11, 328, 71.97424141, 186, 258);
INSERT INTO public.ecdc_data VALUES (46114, 0, 1, 8.73927254, 209, 258);
INSERT INTO public.ecdc_data VALUES (46115, 0, 267, 19.9691754, 187, 258);
INSERT INTO public.ecdc_data VALUES (46116, 6, 256, 56.6634077, 129, 258);
INSERT INTO public.ecdc_data VALUES (46117, 5, 330, 2.5498081, 130, 258);
INSERT INTO public.ecdc_data VALUES (46118, 4, 789, 184.94718978, 131, 258);
INSERT INTO public.ecdc_data VALUES (46119, 13, 535, 237.68144611, 90, 258);
INSERT INTO public.ecdc_data VALUES (46120, 0, 0, 1.0938776, 210, 258);
INSERT INTO public.ecdc_data VALUES (46121, 14, 867, 138.4173128, 91, 258);
INSERT INTO public.ecdc_data VALUES (46122, 138, 1598, 280.33129766, 92, 258);
INSERT INTO public.ecdc_data VALUES (46123, 15, 1362, 41.13613539, 132, 258);
INSERT INTO public.ecdc_data VALUES (46124, 4, 302, 23.21661087, 188, 258);
INSERT INTO public.ecdc_data VALUES (46125, 3, 249, 46.58147715, 189, 258);
INSERT INTO public.ecdc_data VALUES (46126, 0, 842, 162.16654781, 93, 258);
INSERT INTO public.ecdc_data VALUES (46127, 2, 253, 108.82495531, 133, 258);
INSERT INTO public.ecdc_data VALUES (46128, 33, 883, 85.33331191, 190, 258);
INSERT INTO public.ecdc_data VALUES (46129, 51, 5185, 47.43670935, 191, 258);
INSERT INTO public.ecdc_data VALUES (46130, 0, 35, 8.73529275, 40, 258);
INSERT INTO public.ecdc_data VALUES (46131, 0, 0, 0, 94, 258);
INSERT INTO public.ecdc_data VALUES (46132, 0, 0, 0, 95, 258);
INSERT INTO public.ecdc_data VALUES (46133, 0, 1, 3.61686544, 96, 258);
INSERT INTO public.ecdc_data VALUES (46134, 0, 0, 17.41502917, 192, 258);
INSERT INTO public.ecdc_data VALUES (46135, 0, 0, 2.79007477, 41, 258);
INSERT INTO public.ecdc_data VALUES (46136, 26, 768, 37.76351182, 134, 258);
INSERT INTO public.ecdc_data VALUES (46137, 1, 27, 6.14247523, 42, 258);
INSERT INTO public.ecdc_data VALUES (46138, 1, 36, 17.61978149, 193, 258);
INSERT INTO public.ecdc_data VALUES (46139, 0, 0, 5.11556051, 43, 258);
INSERT INTO public.ecdc_data VALUES (46140, 0, 1, 0.74233282, 44, 258);
INSERT INTO public.ecdc_data VALUES (46141, 0, 22, 11.0262264, 135, 258);
INSERT INTO public.ecdc_data VALUES (46142, 0, 5, 254.78308052, 97, 258);
INSERT INTO public.ecdc_data VALUES (46143, 0, 22, 22.23681437, 194, 258);
INSERT INTO public.ecdc_data VALUES (46144, 0, 16, 25.22937102, 195, 258);
INSERT INTO public.ecdc_data VALUES (46145, 0, 0, 0.60221826, 45, 258);
INSERT INTO public.ecdc_data VALUES (46146, 115, 845, 47.66534501, 46, 258);
INSERT INTO public.ecdc_data VALUES (46147, 5, 136, 6.80718038, 136, 258);
INSERT INTO public.ecdc_data VALUES (46148, 0, 1, 0.3706344, 47, 258);
INSERT INTO public.ecdc_data VALUES (46149, 78, 8964, 259.83732258, 196, 258);
INSERT INTO public.ecdc_data VALUES (46150, 0, 0, 0.76909607, 137, 258);
INSERT INTO public.ecdc_data VALUES (46151, 1, 30, 1.40377146, 48, 258);
INSERT INTO public.ecdc_data VALUES (46152, 6, 14, 125.22296741, 98, 258);
INSERT INTO public.ecdc_data VALUES (46153, 1, 185, 24.75028555, 197, 258);
INSERT INTO public.ecdc_data VALUES (46154, 2, 191, 52.95787584, 198, 258);
INSERT INTO public.ecdc_data VALUES (46155, 3, 58, 5.48326164, 138, 258);
INSERT INTO public.ecdc_data VALUES (46156, 0, 1, 0.02944408, 139, 258);
INSERT INTO public.ecdc_data VALUES (46157, 0, 32, 5.12819247, 140, 258);
INSERT INTO public.ecdc_data VALUES (46158, 0, 1, 0.06319516, 141, 258);
INSERT INTO public.ecdc_data VALUES (46159, 0, 0, 0.07733234, 142, 258);
INSERT INTO public.ecdc_data VALUES (46160, 1, 5, 2.44977982, 49, 258);
INSERT INTO public.ecdc_data VALUES (46161, 3, 27, 84.44632103, 99, 258);
INSERT INTO public.ecdc_data VALUES (46162, 0, 348, 19.07698354, 50, 258);
INSERT INTO public.ecdc_data VALUES (46163, 57, 1703, 26.60483805, 199, 258);
INSERT INTO public.ecdc_data VALUES (46164, 0, 1, 565.53385348, 100, 258);
INSERT INTO public.ecdc_data VALUES (46165, 3, 109, 3.19406639, 51, 258);
INSERT INTO public.ecdc_data VALUES (46166, 66, 2174, 71.17846549, 200, 258);
INSERT INTO public.ecdc_data VALUES (46167, 2, 470, 73.40444107, 143, 258);
INSERT INTO public.ecdc_data VALUES (46168, 3, 2948, 35.2393364, 201, 258);
INSERT INTO public.ecdc_data VALUES (46169, 0, 0, 0, 52, 258);
INSERT INTO public.ecdc_data VALUES (46170, 267, 24250, 170.10686071, 101, 258);
INSERT INTO public.ecdc_data VALUES (46171, 0, 9, 183.59326442, 102, 258);
INSERT INTO public.ecdc_data VALUES (46172, 0, 14, 4.62196514, 103, 258);
INSERT INTO public.ecdc_data VALUES (46173, 6, 332, 13.9501539, 144, 258);
INSERT INTO public.ecdc_data VALUES (46174, 8, 1061, 49.13762107, 104, 258);
INSERT INTO public.ecdc_data VALUES (46175, 0, 0, 0.02799027, 145, 258);
INSERT INTO public.ecdc_data VALUES (46176, 0, 0, 0, 53, 258);
INSERT INTO public.ecdc_data VALUES (46177, 1, 4, 0.25718469, 146, 258);
INSERT INTO public.ecdc_data VALUES (46178, 0, 60, 9.45074065, 54, 258);
INSERT INTO public.ecdc_data VALUES (46179, 3, 321, 8.38484356, 55, 258);
INSERT INTO public.ecdc_data VALUES (46180, 9, 78, 2.57348786, 105, 259);
INSERT INTO public.ecdc_data VALUES (46181, 1, 135, 55.23284961, 147, 259);
INSERT INTO public.ecdc_data VALUES (46182, 9, 529, 18.57243391, 1, 259);
INSERT INTO public.ecdc_data VALUES (46183, 0, 11, 86.64032451, 148, 259);
INSERT INTO public.ecdc_data VALUES (46184, 2, 88, 1.98584152, 2, 259);
INSERT INTO public.ecdc_data VALUES (46185, 0, 0, 0, 56, 259);
INSERT INTO public.ecdc_data VALUES (46186, 0, 0, 10.29707048, 57, 259);
INSERT INTO public.ecdc_data VALUES (46187, 156, 7513, 179.0236525, 58, 259);
INSERT INTO public.ecdc_data VALUES (46188, 5, 66, 97.67632453, 149, 259);
INSERT INTO public.ecdc_data VALUES (46189, 0, 133, 261.49938858, 59, 259);
INSERT INTO public.ecdc_data VALUES (46190, 11, 410, 26.4926676, 202, 259);
INSERT INTO public.ecdc_data VALUES (46191, 1, 130, 17.94830549, 150, 259);
INSERT INTO public.ecdc_data VALUES (46192, 4, 129, 40.446991, 151, 259);
INSERT INTO public.ecdc_data VALUES (46193, 0, 69, 131.96879991, 60, 259);
INSERT INTO public.ecdc_data VALUES (46194, 3, 418, 295.46102644, 106, 259);
INSERT INTO public.ecdc_data VALUES (46195, 27, 2851, 20.75731026, 107, 259);
INSERT INTO public.ecdc_data VALUES (46196, 0, 5, 10.45219688, 61, 259);
INSERT INTO public.ecdc_data VALUES (46197, 3, 111, 18.70422662, 152, 259);
INSERT INTO public.ecdc_data VALUES (46198, 6, 771, 68.27276879, 153, 259);
INSERT INTO public.ecdc_data VALUES (46199, 0, 32, 25.10561008, 62, 259);
INSERT INTO public.ecdc_data VALUES (46200, 0, 0, 2.05064743, 3, 259);
INSERT INTO public.ecdc_data VALUES (46201, 0, 0, 6.3991809, 63, 259);
INSERT INTO public.ecdc_data VALUES (46202, 0, 0, 2.09672727, 108, 259);
INSERT INTO public.ecdc_data VALUES (46203, 59, 1468, 186.17918959, 64, 259);
INSERT INTO public.ecdc_data VALUES (46204, 0, 0, 7.69734057, 65, 259);
INSERT INTO public.ecdc_data VALUES (46205, 15, 290, 127.99159527, 154, 259);
INSERT INTO public.ecdc_data VALUES (46206, 0, 0, 9.68006727, 4, 259);
INSERT INTO public.ecdc_data VALUES (46207, 1079, 50230, 293.33210658, 66, 259);
INSERT INTO public.ecdc_data VALUES (46208, 0, 0, 3.3296707, 67, 259);
INSERT INTO public.ecdc_data VALUES (46209, 0, 1, 0.23078911, 109, 259);
INSERT INTO public.ecdc_data VALUES (46210, 11, 297, 41.2997699, 155, 259);
INSERT INTO public.ecdc_data VALUES (46211, 0, 13, 0.46256694, 5, 259);
INSERT INTO public.ecdc_data VALUES (46212, 0, 5, 0.52035557, 6, 259);
INSERT INTO public.ecdc_data VALUES (46213, 0, 3, 0.26688435, 110, 259);
INSERT INTO public.ecdc_data VALUES (46214, 0, 0, 3.90317242, 7, 259);
INSERT INTO public.ecdc_data VALUES (46215, 4, 424, 15.44196662, 68, 259);
INSERT INTO public.ecdc_data VALUES (46216, 2, 46, 101.83003113, 8, 259);
INSERT INTO public.ecdc_data VALUES (46217, 0, 0, 0, 69, 259);
INSERT INTO public.ecdc_data VALUES (46218, 0, 21, 1.01155299, 9, 259);
INSERT INTO public.ecdc_data VALUES (46219, 0, 0, 0.16931209, 10, 259);
INSERT INTO public.ecdc_data VALUES (46220, 69, 2154, 145.21395723, 70, 259);
INSERT INTO public.ecdc_data VALUES (46221, 1, 120, 0.16585486, 111, 259);
INSERT INTO public.ecdc_data VALUES (46222, 311, 9486, 265.50750671, 71, 259);
INSERT INTO public.ecdc_data VALUES (46223, 0, 0, 6.5813365, 11, 259);
INSERT INTO public.ecdc_data VALUES (46224, 0, 0, 11.13278607, 12, 259);
INSERT INTO public.ecdc_data VALUES (46225, 18, 1011, 166.65474672, 72, 259);
INSERT INTO public.ecdc_data VALUES (46226, 1, 77, 4.94234181, 13, 259);
INSERT INTO public.ecdc_data VALUES (46227, 0, 62, 18.42381446, 156, 259);
INSERT INTO public.ecdc_data VALUES (46228, 0, 54, 3.17642836, 73, 259);
INSERT INTO public.ecdc_data VALUES (46229, 0, 0, 1.22381794, 74, 259);
INSERT INTO public.ecdc_data VALUES (46230, 0, 14, 19.97947252, 157, 259);
INSERT INTO public.ecdc_data VALUES (46231, 0, 320, 27.97235629, 158, 259);
INSERT INTO public.ecdc_data VALUES (46232, 3, 46, 0.67749297, 14, 259);
INSERT INTO public.ecdc_data VALUES (46233, 0, 136, 17.29221483, 159, 259);
INSERT INTO public.ecdc_data VALUES (46234, 0, 4, 30.71212061, 15, 259);
INSERT INTO public.ecdc_data VALUES (46235, 0, 0, 0, 75, 259);
INSERT INTO public.ecdc_data VALUES (46236, 13, 1173, 173.49915825, 76, 259);
INSERT INTO public.ecdc_data VALUES (46237, 10, 1432, 74.36546031, 77, 259);
INSERT INTO public.ecdc_data VALUES (46238, 20, 141, 4.05924704, 16, 259);
INSERT INTO public.ecdc_data VALUES (46239, 16, 418, 89.12923895, 78, 259);
INSERT INTO public.ecdc_data VALUES (46240, 0, 0, 129.05776035, 17, 259);
INSERT INTO public.ecdc_data VALUES (46241, 0, 3, 0.68627958, 18, 259);
INSERT INTO public.ecdc_data VALUES (46242, 0, 9, 7.92560499, 160, 259);
INSERT INTO public.ecdc_data VALUES (46243, 1, 68, 83.87530016, 19, 259);
INSERT INTO public.ecdc_data VALUES (46244, 15, 552, 8.49313715, 20, 259);
INSERT INTO public.ecdc_data VALUES (46245, 0, 0, 0, 79, 259);
INSERT INTO public.ecdc_data VALUES (46246, 0, 50, 205.43583212, 161, 259);
INSERT INTO public.ecdc_data VALUES (46247, 0, 0, 0, 203, 259);
INSERT INTO public.ecdc_data VALUES (46248, 0, 22, 3.15336271, 162, 259);
INSERT INTO public.ecdc_data VALUES (46249, 12, 2288, 25.95471083, 163, 259);
INSERT INTO public.ecdc_data VALUES (46250, 0, 0, 0, 204, 259);
INSERT INTO public.ecdc_data VALUES (46251, 0, 136, 43.2205426, 21, 259);
INSERT INTO public.ecdc_data VALUES (46252, 3, 155, 37.22798863, 22, 259);
INSERT INTO public.ecdc_data VALUES (46253, 0, 7, 2.40194437, 164, 259);
INSERT INTO public.ecdc_data VALUES (46254, 12, 1122, 12.49349352, 165, 259);
INSERT INTO public.ecdc_data VALUES (46255, 0, 0, 29.71938392, 23, 259);
INSERT INTO public.ecdc_data VALUES (46256, 0, 0, 17.80098499, 166, 259);
INSERT INTO public.ecdc_data VALUES (46257, 0, 147, 10.58314628, 167, 259);
INSERT INTO public.ecdc_data VALUES (46258, 0, 0, 1.76491352, 80, 259);
INSERT INTO public.ecdc_data VALUES (46259, 0, 0, 0.8928412, 81, 259);
INSERT INTO public.ecdc_data VALUES (46260, 0, 1, 44.83098718, 205, 259);
INSERT INTO public.ecdc_data VALUES (46261, 49, 931, 68.17971369, 82, 259);
INSERT INTO public.ecdc_data VALUES (46262, 0, 0, 0, 168, 259);
INSERT INTO public.ecdc_data VALUES (46263, 1, 113, 7.1253815, 24, 259);
INSERT INTO public.ecdc_data VALUES (46264, 0, 0, 4.06056066, 25, 259);
INSERT INTO public.ecdc_data VALUES (46265, 0, 0, 23.76161732, 83, 259);
INSERT INTO public.ecdc_data VALUES (46266, 6, 17, 3.00983417, 84, 259);
INSERT INTO public.ecdc_data VALUES (46267, 0, 0, 0, 169, 259);
INSERT INTO public.ecdc_data VALUES (46268, 19, 610, 90.35395129, 85, 259);
INSERT INTO public.ecdc_data VALUES (46269, 2, 24, 2.01580803, 170, 259);
INSERT INTO public.ecdc_data VALUES (46270, 0, 20, 30.53298262, 171, 259);
INSERT INTO public.ecdc_data VALUES (46271, 933, 61537, 55.01611763, 112, 259);
INSERT INTO public.ecdc_data VALUES (46272, 72, 2473, 9.53642344, 113, 259);
INSERT INTO public.ecdc_data VALUES (46273, 316, 2450, 43.47160493, 114, 259);
INSERT INTO public.ecdc_data VALUES (46274, 75, 3461, 100.10992427, 115, 259);
INSERT INTO public.ecdc_data VALUES (46275, 4, 98, 12.74407452, 172, 259);
INSERT INTO public.ecdc_data VALUES (46276, 0, 0, 0, 173, 259);
INSERT INTO public.ecdc_data VALUES (46277, 5, 937, 252.55379709, 116, 259);
INSERT INTO public.ecdc_data VALUES (46278, 3, 552, 6.90197372, 174, 259);
INSERT INTO public.ecdc_data VALUES (46279, 1, 29, 5.63040718, 86, 259);
INSERT INTO public.ecdc_data VALUES (46280, 6, 1624, 13.12703827, 117, 259);
INSERT INTO public.ecdc_data VALUES (46281, 0, 0, 12.05981669, 175, 259);
INSERT INTO public.ecdc_data VALUES (46282, 0, 5, 0.90083874, 118, 259);
INSERT INTO public.ecdc_data VALUES (46283, 0, 2009, 160.16556785, 119, 259);
INSERT INTO public.ecdc_data VALUES (46284, 14, 727, 16.87146796, 26, 259);
INSERT INTO public.ecdc_data VALUES (46285, 3, 181, 177.31383715, 176, 259);
INSERT INTO public.ecdc_data VALUES (46286, 2, 682, 192.58026416, 120, 259);
INSERT INTO public.ecdc_data VALUES (46287, 9, 425, 125.04966216, 121, 259);
INSERT INTO public.ecdc_data VALUES (46288, 0, 0, 0, 122, 259);
INSERT INTO public.ecdc_data VALUES (46289, 0, 6, 3.95839931, 177, 259);
INSERT INTO public.ecdc_data VALUES (46290, 0, 279, 37.10775939, 123, 259);
INSERT INTO public.ecdc_data VALUES (46291, 0, 0, 18.02126509, 27, 259);
INSERT INTO public.ecdc_data VALUES (46292, 0, 6, 1.92409973, 28, 259);
INSERT INTO public.ecdc_data VALUES (46293, 9, 604, 39.15925348, 29, 259);
INSERT INTO public.ecdc_data VALUES (46294, 0, 0, 5.21131898, 178, 259);
INSERT INTO public.ecdc_data VALUES (46295, 0, 23, 7.44403375, 179, 259);
INSERT INTO public.ecdc_data VALUES (46296, 0, 40, 172.17956194, 180, 259);
INSERT INTO public.ecdc_data VALUES (46297, 1, 182, 14.70931436, 30, 259);
INSERT INTO public.ecdc_data VALUES (46298, 0, 84, 6.02294872, 31, 259);
INSERT INTO public.ecdc_data VALUES (46299, 0, 25, 0.63224205, 124, 259);
INSERT INTO public.ecdc_data VALUES (46300, 0, 89, 310.5712892, 125, 259);
INSERT INTO public.ecdc_data VALUES (46301, 1, 9, 0.29504493, 32, 259);
INSERT INTO public.ecdc_data VALUES (46302, 0, 40, 49.63945547, 181, 259);
INSERT INTO public.ecdc_data VALUES (46303, 0, 0, 6.96025232, 33, 259);
INSERT INTO public.ecdc_data VALUES (46304, 0, 0, 0, 34, 259);
INSERT INTO public.ecdc_data VALUES (46305, 794, 6539, 67.83432581, 87, 259);
INSERT INTO public.ecdc_data VALUES (46306, 7, 362, 111.46951295, 182, 259);
INSERT INTO public.ecdc_data VALUES (46307, 0, 2, 36.27021309, 183, 259);
INSERT INTO public.ecdc_data VALUES (46308, 0, 0, 0.15503078, 126, 259);
INSERT INTO public.ecdc_data VALUES (46309, 1, 69, 157.51018191, 184, 259);
INSERT INTO public.ecdc_data VALUES (46310, 0, 0, 20.03606492, 88, 259);
INSERT INTO public.ecdc_data VALUES (46311, 12, 1018, 32.43056561, 35, 259);
INSERT INTO public.ecdc_data VALUES (46312, 0, 93, 2.05163379, 36, 259);
INSERT INTO public.ecdc_data VALUES (46313, 0, 0, 0.02405384, 127, 259);
INSERT INTO public.ecdc_data VALUES (46314, 1, 150, 47.46396507, 37, 259);
INSERT INTO public.ecdc_data VALUES (46315, 5, 464, 13.42248332, 128, 259);
INSERT INTO public.ecdc_data VALUES (46316, 0, 519, 28.38765032, 185, 259);
INSERT INTO public.ecdc_data VALUES (46317, 0, 1, 0.35366056, 207, 259);
INSERT INTO public.ecdc_data VALUES (46318, 0, 0, 0.27179242, 208, 259);
INSERT INTO public.ecdc_data VALUES (46319, 0, 0, 7.07355875, 89, 259);
INSERT INTO public.ecdc_data VALUES (46320, 0, 0, 0.12440629, 38, 259);
INSERT INTO public.ecdc_data VALUES (46321, 6, 443, 3.05926044, 39, 259);
INSERT INTO public.ecdc_data VALUES (46322, 8, 282, 85.40622358, 186, 259);
INSERT INTO public.ecdc_data VALUES (46323, 0, 0, 15.73069058, 209, 259);
INSERT INTO public.ecdc_data VALUES (46324, 0, 59, 7.18815242, 187, 259);
INSERT INTO public.ecdc_data VALUES (46325, 10, 354, 146.25149146, 129, 259);
INSERT INTO public.ecdc_data VALUES (46326, 16, 842, 5.35635168, 130, 259);
INSERT INTO public.ecdc_data VALUES (46327, 5, 514, 110.83180666, 131, 259);
INSERT INTO public.ecdc_data VALUES (46328, 17, 1142, 343.04028786, 90, 259);
INSERT INTO public.ecdc_data VALUES (46329, 0, 25, 1.7775511, 210, 259);
INSERT INTO public.ecdc_data VALUES (46330, 3, 133, 32.4218175, 91, 259);
INSERT INTO public.ecdc_data VALUES (46331, 225, 8466, 270.41756589, 92, 259);
INSERT INTO public.ecdc_data VALUES (46332, 18, 3294, 42.83337672, 132, 259);
INSERT INTO public.ecdc_data VALUES (46333, 13, 809, 21.82087542, 188, 259);
INSERT INTO public.ecdc_data VALUES (46334, 3, 290, 25.87427361, 189, 259);
INSERT INTO public.ecdc_data VALUES (46335, 7, 752, 229.05130013, 93, 259);
INSERT INTO public.ecdc_data VALUES (46336, 2, 291, 132.23538534, 133, 259);
INSERT INTO public.ecdc_data VALUES (46337, 50, 1378, 86.94036166, 190, 259);
INSERT INTO public.ecdc_data VALUES (46338, 119, 5241, 52.29644074, 191, 259);
INSERT INTO public.ecdc_data VALUES (46339, 0, 17, 3.15991098, 40, 259);
INSERT INTO public.ecdc_data VALUES (46340, 0, 0, 0, 94, 259);
INSERT INTO public.ecdc_data VALUES (46341, 0, 0, 0.54706092, 95, 259);
INSERT INTO public.ecdc_data VALUES (46342, 0, 0, 3.61686544, 96, 259);
INSERT INTO public.ecdc_data VALUES (46343, 0, 0, 31.92755348, 192, 259);
INSERT INTO public.ecdc_data VALUES (46344, 0, 0, 8.37022432, 41, 259);
INSERT INTO public.ecdc_data VALUES (46345, 38, 1567, 67.17825559, 134, 259);
INSERT INTO public.ecdc_data VALUES (46346, 2, 172, 8.98973648, 42, 259);
INSERT INTO public.ecdc_data VALUES (46347, 5, 276, 68.29639833, 193, 259);
INSERT INTO public.ecdc_data VALUES (46348, 0, 0, 12.27734523, 43, 259);
INSERT INTO public.ecdc_data VALUES (46349, 0, 10, 1.72784364, 44, 259);
INSERT INTO public.ecdc_data VALUES (46350, 0, 242, 93.41281175, 135, 259);
INSERT INTO public.ecdc_data VALUES (46351, 1, 1, 195.80551558, 97, 259);
INSERT INTO public.ecdc_data VALUES (46352, 2, 43, 7.43061866, 194, 259);
INSERT INTO public.ecdc_data VALUES (46353, 1, 10, 8.69812601, 195, 259);
INSERT INTO public.ecdc_data VALUES (46354, 0, 0, 0.36262605, 45, 259);
INSERT INTO public.ecdc_data VALUES (46355, 305, 7292, 210.86689604, 46, 259);
INSERT INTO public.ecdc_data VALUES (46356, 1, 43, 0.91751499, 136, 259);
INSERT INTO public.ecdc_data VALUES (46357, 0, 5, 1.85317201, 47, 259);
INSERT INTO public.ecdc_data VALUES (46358, 0, 0, 89.35583098, 196, 259);
INSERT INTO public.ecdc_data VALUES (46359, 0, 0, 0.35172076, 137, 259);
INSERT INTO public.ecdc_data VALUES (46360, 6, 70, 1.43180017, 48, 259);
INSERT INTO public.ecdc_data VALUES (46361, 0, 107, 154.46459441, 98, 259);
INSERT INTO public.ecdc_data VALUES (46362, 2, 380, 32.24770618, 197, 259);
INSERT INTO public.ecdc_data VALUES (46363, 3, 161, 24.72927992, 198, 259);
INSERT INTO public.ecdc_data VALUES (46364, 0, 116, 2.7884963, 138, 259);
INSERT INTO public.ecdc_data VALUES (46365, 0, 2, 0.08833223, 139, 259);
INSERT INTO public.ecdc_data VALUES (46366, 0, 41, 6.45851856, 140, 259);
INSERT INTO public.ecdc_data VALUES (46367, 0, 3, 0.09479275, 141, 259);
INSERT INTO public.ecdc_data VALUES (46368, 0, 0, 0.07733234, 142, 259);
INSERT INTO public.ecdc_data VALUES (46369, 0, 16, 2.33842619, 49, 259);
INSERT INTO public.ecdc_data VALUES (46370, 0, 15, 5.94995301, 99, 259);
INSERT INTO public.ecdc_data VALUES (46371, 0, 14, 1.9752502, 50, 259);
INSERT INTO public.ecdc_data VALUES (46372, 15, 1185, 17.31381449, 199, 259);
INSERT INTO public.ecdc_data VALUES (46373, 0, 29, 204.2205582, 100, 259);
INSERT INTO public.ecdc_data VALUES (46374, 1, 31, 0.37271638, 51, 259);
INSERT INTO public.ecdc_data VALUES (46375, 33, 1453, 35.09143355, 200, 259);
INSERT INTO public.ecdc_data VALUES (46376, 2, 216, 39.01529969, 143, 259);
INSERT INTO public.ecdc_data VALUES (46377, 12, 871, 14.76733155, 201, 259);
INSERT INTO public.ecdc_data VALUES (46378, 0, 0, 0, 52, 259);
INSERT INTO public.ecdc_data VALUES (46379, 1252, 58150, 252.00711384, 101, 259);
INSERT INTO public.ecdc_data VALUES (46380, 0, 6, 168.29382572, 102, 259);
INSERT INTO public.ecdc_data VALUES (46381, 0, 7, 4.59307786, 103, 259);
INSERT INTO public.ecdc_data VALUES (46382, 6, 650, 29.73162554, 144, 259);
INSERT INTO public.ecdc_data VALUES (46383, 6, 886, 34.72808032, 104, 259);
INSERT INTO public.ecdc_data VALUES (46384, 0, 39, 0.38771701, 145, 259);
INSERT INTO public.ecdc_data VALUES (46385, 0, 0, 0, 53, 259);
INSERT INTO public.ecdc_data VALUES (46386, 3, 29, 0.48693635, 146, 259);
INSERT INTO public.ecdc_data VALUES (46387, 1, 322, 20.32357141, 54, 259);
INSERT INTO public.ecdc_data VALUES (46388, 5, 56, 14.71444452, 55, 259);
INSERT INTO public.ecdc_data VALUES (46389, 16, 210, 10.81180346, 105, 260);
INSERT INTO public.ecdc_data VALUES (46390, 2, 74, 34.62097025, 147, 260);
INSERT INTO public.ecdc_data VALUES (46391, 9, 475, 11.15600301, 1, 260);
INSERT INTO public.ecdc_data VALUES (46392, 0, 0, 0, 148, 260);
INSERT INTO public.ecdc_data VALUES (46393, 0, 0, 0.52473977, 2, 260);
INSERT INTO public.ecdc_data VALUES (46394, 0, 0, 0, 56, 260);
INSERT INTO public.ecdc_data VALUES (46395, 0, 0, 45.30711013, 57, 260);
INSERT INTO public.ecdc_data VALUES (46396, 79, 2632, 79.31099743, 58, 260);
INSERT INTO public.ecdc_data VALUES (46397, 18, 535, 273.96028303, 149, 260);
INSERT INTO public.ecdc_data VALUES (46398, 0, 0, 3.76258113, 59, 260);
INSERT INTO public.ecdc_data VALUES (46399, 0, 169, 5.01126841, 202, 260);
INSERT INTO public.ecdc_data VALUES (46400, 0, 89, 12.01068997, 150, 260);
INSERT INTO public.ecdc_data VALUES (46401, 7, 537, 76.22625593, 151, 260);
INSERT INTO public.ecdc_data VALUES (46402, 0, 0, 0, 60, 260);
INSERT INTO public.ecdc_data VALUES (46403, 0, 500, 442.30802041, 106, 260);
INSERT INTO public.ecdc_data VALUES (46404, 55, 3027, 30.3269921, 107, 260);
INSERT INTO public.ecdc_data VALUES (46405, 0, 0, 0.34840656, 61, 260);
INSERT INTO public.ecdc_data VALUES (46406, 7, 199, 47.77618065, 152, 260);
INSERT INTO public.ecdc_data VALUES (46407, 3, 99, 10.58878258, 153, 260);
INSERT INTO public.ecdc_data VALUES (46408, 0, 0, 1.79325786, 62, 260);
INSERT INTO public.ecdc_data VALUES (46409, 0, 0, 2.95733865, 3, 260);
INSERT INTO public.ecdc_data VALUES (46410, 0, 2, 3.19959045, 63, 260);
INSERT INTO public.ecdc_data VALUES (46411, 0, 0, 1.31045454, 108, 260);
INSERT INTO public.ecdc_data VALUES (46412, 54, 1036, 131.64132481, 64, 260);
INSERT INTO public.ecdc_data VALUES (46413, 0, 0, 0, 65, 260);
INSERT INTO public.ecdc_data VALUES (46414, 10, 161, 61.52684734, 154, 260);
INSERT INTO public.ecdc_data VALUES (46415, 0, 39, 9.76688401, 4, 260);
INSERT INTO public.ecdc_data VALUES (46416, 1254, 45305, 247.65893923, 66, 260);
INSERT INTO public.ecdc_data VALUES (46417, 0, 0, 0, 67, 260);
INSERT INTO public.ecdc_data VALUES (46418, 0, 0, 0, 109, 260);
INSERT INTO public.ecdc_data VALUES (46419, 4, 188, 28.39984177, 155, 260);
INSERT INTO public.ecdc_data VALUES (46420, 0, 3, 0.41335769, 5, 260);
INSERT INTO public.ecdc_data VALUES (46421, 0, 0, 0.40761187, 6, 260);
INSERT INTO public.ecdc_data VALUES (46422, 0, 0, 0.06672109, 110, 260);
INSERT INTO public.ecdc_data VALUES (46423, 29, 879, 11.11051554, 7, 260);
INSERT INTO public.ecdc_data VALUES (46424, 18, 232, 11.2052491, 68, 260);
INSERT INTO public.ecdc_data VALUES (46425, 1, 36, 94.01093945, 8, 260);
INSERT INTO public.ecdc_data VALUES (46426, 0, 0, 9.23815976, 69, 260);
INSERT INTO public.ecdc_data VALUES (46427, 0, 38, 21.49550101, 9, 260);
INSERT INTO public.ecdc_data VALUES (46428, 0, 1, 0.08152064, 10, 260);
INSERT INTO public.ecdc_data VALUES (46429, 50, 2462, 265.15358377, 70, 260);
INSERT INTO public.ecdc_data VALUES (46430, 0, 21, 0.01841282, 111, 260);
INSERT INTO public.ecdc_data VALUES (46431, 149, 4213, 101.15725754, 71, 260);
INSERT INTO public.ecdc_data VALUES (46432, 0, 2, 7.75657517, 11, 260);
INSERT INTO public.ecdc_data VALUES (46433, 0, 0, 8.73524116, 12, 260);
INSERT INTO public.ecdc_data VALUES (46434, 0, 245, 61.7724085, 72, 260);
INSERT INTO public.ecdc_data VALUES (46435, 0, 0, 11.90672747, 13, 260);
INSERT INTO public.ecdc_data VALUES (46436, 0, 52, 22.22633276, 156, 260);
INSERT INTO public.ecdc_data VALUES (46437, 0, 15, 0.67940273, 73, 260);
INSERT INTO public.ecdc_data VALUES (46438, 0, 0, 0.61190897, 74, 260);
INSERT INTO public.ecdc_data VALUES (46439, 0, 1, 1.71252622, 157, 260);
INSERT INTO public.ecdc_data VALUES (46440, 1, 119, 19.10834006, 158, 260);
INSERT INTO public.ecdc_data VALUES (46441, 0, 228, 1.88154086, 14, 260);
INSERT INTO public.ecdc_data VALUES (46442, 2, 10, 5.63202615, 159, 260);
INSERT INTO public.ecdc_data VALUES (46443, 0, 56, 26.80890795, 15, 260);
INSERT INTO public.ecdc_data VALUES (46444, 0, 0, 0, 75, 260);
INSERT INTO public.ecdc_data VALUES (46445, 17, 302, 97.71898705, 76, 260);
INSERT INTO public.ecdc_data VALUES (46446, 52, 865, 66.77926242, 77, 260);
INSERT INTO public.ecdc_data VALUES (46447, 67, 1057, 19.06401712, 16, 260);
INSERT INTO public.ecdc_data VALUES (46448, 6, 280, 51.66148864, 78, 260);
INSERT INTO public.ecdc_data VALUES (46449, 0, 0, 78.90960204, 17, 260);
INSERT INTO public.ecdc_data VALUES (46450, 0, 0, 2.05883875, 18, 260);
INSERT INTO public.ecdc_data VALUES (46451, 0, 1, 0.98126538, 160, 260);
INSERT INTO public.ecdc_data VALUES (46452, 1, 45, 33.27140671, 19, 260);
INSERT INTO public.ecdc_data VALUES (46453, 3, 280, 1.6220741, 20, 260);
INSERT INTO public.ecdc_data VALUES (46454, 0, 0, 0, 79, 260);
INSERT INTO public.ecdc_data VALUES (46455, 0, 1, 2.05435832, 161, 260);
INSERT INTO public.ecdc_data VALUES (46456, 0, 0, 0.11236523, 203, 260);
INSERT INTO public.ecdc_data VALUES (46457, 0, 1, 2.19285568, 162, 260);
INSERT INTO public.ecdc_data VALUES (46458, 13, 475, 11.2560446, 163, 260);
INSERT INTO public.ecdc_data VALUES (46459, 0, 0, 0.71611436, 204, 260);
INSERT INTO public.ecdc_data VALUES (46460, 0, 0, 40.04459218, 21, 260);
INSERT INTO public.ecdc_data VALUES (46461, 0, 0, 0.8093041, 22, 260);
INSERT INTO public.ecdc_data VALUES (46462, 0, 5, 1.22599244, 164, 260);
INSERT INTO public.ecdc_data VALUES (46463, 12, 397, 7.09715232, 165, 260);
INSERT INTO public.ecdc_data VALUES (46464, 0, 891, 24.32781427, 23, 260);
INSERT INTO public.ecdc_data VALUES (46465, 0, 0, 8.90049249, 166, 260);
INSERT INTO public.ecdc_data VALUES (46466, 1, 27, 2.67609073, 167, 260);
INSERT INTO public.ecdc_data VALUES (46467, 0, 0, 0, 80, 260);
INSERT INTO public.ecdc_data VALUES (46468, 0, 0, 0, 81, 260);
INSERT INTO public.ecdc_data VALUES (46469, 0, 0, 46.02648017, 205, 260);
INSERT INTO public.ecdc_data VALUES (46470, 23, 815, 58.2829337, 82, 260);
INSERT INTO public.ecdc_data VALUES (46471, 0, 0, 0, 168, 260);
INSERT INTO public.ecdc_data VALUES (46472, 0, 61, 4.64324311, 24, 260);
INSERT INTO public.ecdc_data VALUES (46473, 0, 25, 12.18168198, 25, 260);
INSERT INTO public.ecdc_data VALUES (46474, 0, 7, 10.09229983, 83, 260);
INSERT INTO public.ecdc_data VALUES (46475, 4, 61, 9.83745209, 84, 260);
INSERT INTO public.ecdc_data VALUES (46476, 0, 0, 0, 169, 260);
INSERT INTO public.ecdc_data VALUES (46477, 21, 763, 117.84182723, 85, 260);
INSERT INTO public.ecdc_data VALUES (46478, 0, 16, 1.00278775, 170, 260);
INSERT INTO public.ecdc_data VALUES (46479, 0, 1, 5.04214392, 171, 260);
INSERT INTO public.ecdc_data VALUES (46480, 482, 22752, 20.94776643, 112, 260);
INSERT INTO public.ecdc_data VALUES (46481, 68, 1268, 6.77319597, 113, 260);
INSERT INTO public.ecdc_data VALUES (46482, 200, 2637, 43.07842595, 114, 260);
INSERT INTO public.ecdc_data VALUES (46483, 118, 2426, 76.82310378, 115, 260);
INSERT INTO public.ecdc_data VALUES (46484, 2, 7, 2.99740633, 172, 260);
INSERT INTO public.ecdc_data VALUES (46485, 0, 0, 0, 173, 260);
INSERT INTO public.ecdc_data VALUES (46486, 4, 1036, 125.7134768, 116, 260);
INSERT INTO public.ecdc_data VALUES (46487, 30, 137, 5.17399518, 174, 260);
INSERT INTO public.ecdc_data VALUES (46488, 0, 8, 2.54385867, 86, 260);
INSERT INTO public.ecdc_data VALUES (46489, 2, 193, 1.69241285, 117, 260);
INSERT INTO public.ecdc_data VALUES (46490, 0, 0, 6.49374745, 175, 260);
INSERT INTO public.ecdc_data VALUES (46491, 0, 2, 1.20771787, 118, 260);
INSERT INTO public.ecdc_data VALUES (46492, 0, 1376, 174.07824346, 119, 260);
INSERT INTO public.ecdc_data VALUES (46493, 3, 183, 6.27306667, 26, 260);
INSERT INTO public.ecdc_data VALUES (46494, 4, 195, 79.78844663, 176, 260);
INSERT INTO public.ecdc_data VALUES (46495, 4, 601, 242.7338506, 120, 260);
INSERT INTO public.ecdc_data VALUES (46496, 13, 345, 74.19124914, 121, 260);
INSERT INTO public.ecdc_data VALUES (46497, 0, 0, 0, 122, 260);
INSERT INTO public.ecdc_data VALUES (46498, 0, 7, 1.19793663, 177, 260);
INSERT INTO public.ecdc_data VALUES (46499, 0, 22, 4.15711927, 123, 260);
INSERT INTO public.ecdc_data VALUES (46500, 0, 0, 3.48191545, 27, 260);
INSERT INTO public.ecdc_data VALUES (46501, 2, 26, 5.36722557, 28, 260);
INSERT INTO public.ecdc_data VALUES (46502, 3, 136, 8.01185932, 29, 260);
INSERT INTO public.ecdc_data VALUES (46503, 0, 0, 5.21131898, 178, 260);
INSERT INTO public.ecdc_data VALUES (46504, 0, 3, 1.46733358, 179, 260);
INSERT INTO public.ecdc_data VALUES (46505, 0, 61, 76.56044855, 180, 260);
INSERT INTO public.ecdc_data VALUES (46506, 0, 222, 6.48144227, 30, 260);
INSERT INTO public.ecdc_data VALUES (46507, 5, 59, 5.52372035, 31, 260);
INSERT INTO public.ecdc_data VALUES (46508, 0, 6, 0.26291253, 124, 260);
INSERT INTO public.ecdc_data VALUES (46509, 0, 10, 49.53320137, 125, 260);
INSERT INTO public.ecdc_data VALUES (46510, 0, 17, 1.88218317, 32, 260);
INSERT INTO public.ecdc_data VALUES (46511, 0, 0, 1.62088018, 181, 260);
INSERT INTO public.ecdc_data VALUES (46512, 0, 0, 41.87199411, 33, 260);
INSERT INTO public.ecdc_data VALUES (46513, 0, 0, 0.15752125, 34, 260);
INSERT INTO public.ecdc_data VALUES (46514, 895, 7827, 65.73596101, 87, 260);
INSERT INTO public.ecdc_data VALUES (46515, 8, 235, 84.75838049, 182, 260);
INSERT INTO public.ecdc_data VALUES (46516, 0, 0, 21.1576243, 183, 260);
INSERT INTO public.ecdc_data VALUES (46517, 0, 0, 0.15503078, 126, 260);
INSERT INTO public.ecdc_data VALUES (46518, 3, 66, 85.0233533, 184, 260);
INSERT INTO public.ecdc_data VALUES (46519, 0, 0, 0, 88, 260);
INSERT INTO public.ecdc_data VALUES (46520, 0, 0, 11.14560781, 35, 260);
INSERT INTO public.ecdc_data VALUES (46521, 0, 28, 0.93196206, 36, 260);
INSERT INTO public.ecdc_data VALUES (46522, 0, 0, 0.04440709, 127, 260);
INSERT INTO public.ecdc_data VALUES (46523, 0, 54, 18.72100649, 37, 260);
INSERT INTO public.ecdc_data VALUES (46524, 0, 0, 24.25135138, 128, 260);
INSERT INTO public.ecdc_data VALUES (46525, 4, 37, 5.62429599, 185, 260);
INSERT INTO public.ecdc_data VALUES (46526, 0, 0, 0, 207, 260);
INSERT INTO public.ecdc_data VALUES (46527, 0, 1, 0.4390493, 208, 260);
INSERT INTO public.ecdc_data VALUES (46528, 8, 327, 10.32770132, 89, 260);
INSERT INTO public.ecdc_data VALUES (46529, 0, 1, 0.18446449, 38, 260);
INSERT INTO public.ecdc_data VALUES (46530, 15, 503, 4.18881821, 39, 260);
INSERT INTO public.ecdc_data VALUES (46531, 5, 118, 92.72400599, 186, 260);
INSERT INTO public.ecdc_data VALUES (46532, 0, 0, 1.74785451, 209, 260);
INSERT INTO public.ecdc_data VALUES (46533, 0, 6, 3.47208407, 187, 260);
INSERT INTO public.ecdc_data VALUES (46534, 6, 1262, 333.72917987, 129, 260);
INSERT INTO public.ecdc_data VALUES (46535, 83, 2980, 22.42418162, 130, 260);
INSERT INTO public.ecdc_data VALUES (46536, 1, 306, 74.61724785, 131, 260);
INSERT INTO public.ecdc_data VALUES (46537, 29, 957, 305.59715903, 90, 260);
INSERT INTO public.ecdc_data VALUES (46538, 0, 0, 0.02278912, 210, 260);
INSERT INTO public.ecdc_data VALUES (46539, 0, 46, 15.33080687, 91, 260);
INSERT INTO public.ecdc_data VALUES (46540, 180, 3575, 149.0843163, 92, 260);
INSERT INTO public.ecdc_data VALUES (46541, 6, 1540, 14.84323104, 132, 260);
INSERT INTO public.ecdc_data VALUES (46542, 7, 257, 10.23100422, 188, 260);
INSERT INTO public.ecdc_data VALUES (46543, 9, 287, 45.53054765, 189, 260);
INSERT INTO public.ecdc_data VALUES (46544, 2, 129, 69.16878821, 93, 260);
INSERT INTO public.ecdc_data VALUES (46545, 1, 600, 401.33174627, 133, 260);
INSERT INTO public.ecdc_data VALUES (46546, 31, 397, 26.34634456, 190, 260);
INSERT INTO public.ecdc_data VALUES (46547, 198, 6368, 64.79984611, 191, 260);
INSERT INTO public.ecdc_data VALUES (46548, 0, 59, 2.96192157, 40, 260);
INSERT INTO public.ecdc_data VALUES (46549, 0, 0, 1.8927206, 94, 260);
INSERT INTO public.ecdc_data VALUES (46550, 0, 0, 1.64118275, 95, 260);
INSERT INTO public.ecdc_data VALUES (46551, 0, 0, 0, 96, 260);
INSERT INTO public.ecdc_data VALUES (46552, 0, 0, 0, 192, 260);
INSERT INTO public.ecdc_data VALUES (46553, 0, 3, 7.90521186, 41, 260);
INSERT INTO public.ecdc_data VALUES (46554, 49, 3392, 154.5558025, 134, 260);
INSERT INTO public.ecdc_data VALUES (46555, 1, 69, 9.28428075, 42, 260);
INSERT INTO public.ecdc_data VALUES (46556, 13, 299, 52.08390175, 193, 260);
INSERT INTO public.ecdc_data VALUES (46557, 0, 0, 71.61784717, 43, 260);
INSERT INTO public.ecdc_data VALUES (46558, 1, 30, 2.8797394, 44, 260);
INSERT INTO public.ecdc_data VALUES (46559, 0, 157, 46.65472044, 135, 260);
INSERT INTO public.ecdc_data VALUES (46560, 0, 0, 2.3591026, 97, 260);
INSERT INTO public.ecdc_data VALUES (46561, 0, 2, 3.26580277, 194, 260);
INSERT INTO public.ecdc_data VALUES (46562, 0, 23, 9.85146869, 195, 260);
INSERT INTO public.ecdc_data VALUES (46563, 0, 9, 1.16558373, 45, 260);
INSERT INTO public.ecdc_data VALUES (46564, 192, 10134, 187.41504082, 46, 260);
INSERT INTO public.ecdc_data VALUES (46565, 0, 63, 1.38408113, 136, 260);
INSERT INTO public.ecdc_data VALUES (46566, 0, 5, 1.64525515, 47, 260);
INSERT INTO public.ecdc_data VALUES (46567, 4, 383, 11.56229214, 196, 260);
INSERT INTO public.ecdc_data VALUES (46568, 0, 3, 0.42206492, 137, 260);
INSERT INTO public.ecdc_data VALUES (46569, 14, 230, 2.58798465, 48, 260);
INSERT INTO public.ecdc_data VALUES (46570, 0, 0, 50.74282333, 98, 260);
INSERT INTO public.ecdc_data VALUES (46571, 12, 278, 109.34308617, 197, 260);
INSERT INTO public.ecdc_data VALUES (46572, 0, 54, 12.11301691, 198, 260);
INSERT INTO public.ecdc_data VALUES (46573, 0, 0, 0.82600416, 138, 260);
INSERT INTO public.ecdc_data VALUES (46574, 0, 0, 0.01261889, 139, 260);
INSERT INTO public.ecdc_data VALUES (46575, 0, 53, 8.02487023, 140, 260);
INSERT INTO public.ecdc_data VALUES (46576, 0, 2, 0.0588864, 141, 260);
INSERT INTO public.ecdc_data VALUES (46577, 0, 0, 0, 142, 260);
INSERT INTO public.ecdc_data VALUES (46578, 0, 9, 1.39810667, 49, 260);
INSERT INTO public.ecdc_data VALUES (46579, 0, 0, 0.71686181, 99, 260);
INSERT INTO public.ecdc_data VALUES (46580, 0, 6, 0.39333987, 50, 260);
INSERT INTO public.ecdc_data VALUES (46581, 19, 1053, 21.62336656, 199, 260);
INSERT INTO public.ecdc_data VALUES (46582, 0, 0, 91.63742996, 100, 260);
INSERT INTO public.ecdc_data VALUES (46583, 0, 18, 0.39304636, 51, 260);
INSERT INTO public.ecdc_data VALUES (46584, 21, 564, 26.21515113, 200, 260);
INSERT INTO public.ecdc_data VALUES (46585, 2, 532, 70.79455088, 143, 260);
INSERT INTO public.ecdc_data VALUES (46586, 54, 704, 13.48895658, 201, 260);
INSERT INTO public.ecdc_data VALUES (46587, 0, 0, 0, 52, 260);
INSERT INTO public.ecdc_data VALUES (46588, 1174, 57473, 197.24861766, 101, 260);
INSERT INTO public.ecdc_data VALUES (46589, 0, 6, 43.98588627, 102, 260);
INSERT INTO public.ecdc_data VALUES (46590, 0, 5, 2.31098257, 103, 260);
INSERT INTO public.ecdc_data VALUES (46591, 3, 379, 12.37958669, 144, 260);
INSERT INTO public.ecdc_data VALUES (46592, 3, 282, 12.29843257, 104, 260);
INSERT INTO public.ecdc_data VALUES (46593, 0, 0, 0.02073353, 145, 260);
INSERT INTO public.ecdc_data VALUES (46594, 0, 0, 84.81298222, 53, 260);
INSERT INTO public.ecdc_data VALUES (46595, 3, 7, 1.04588442, 146, 260);
INSERT INTO public.ecdc_data VALUES (46596, 12, 263, 2.34029004, 54, 260);
INSERT INTO public.ecdc_data VALUES (46597, 0, 53, 1.78894871, 55, 260);
INSERT INTO public.ecdc_data VALUES (46598, 30, 791, 25.65601794, 105, 261);
INSERT INTO public.ecdc_data VALUES (46599, 0, 14, 8.66397641, 147, 261);
INSERT INTO public.ecdc_data VALUES (46600, 9, 104, 4.29237842, 1, 261);
INSERT INTO public.ecdc_data VALUES (46601, 0, 0, 116.83316487, 148, 261);
INSERT INTO public.ecdc_data VALUES (46602, 0, 5, 0.06912739, 2, 261);
INSERT INTO public.ecdc_data VALUES (46603, 0, 0, 0, 56, 261);
INSERT INTO public.ecdc_data VALUES (46604, 0, 0, 1.02970705, 57, 261);
INSERT INTO public.ecdc_data VALUES (46605, 16, 774, 23.93443154, 58, 261);
INSERT INTO public.ecdc_data VALUES (46606, 11, 195, 210.02607407, 149, 261);
INSERT INTO public.ecdc_data VALUES (46607, 0, 0, 0, 59, 261);
INSERT INTO public.ecdc_data VALUES (46608, 0, 5, 0.59913027, 202, 261);
INSERT INTO public.ecdc_data VALUES (46609, 0, 46, 4.84265601, 150, 261);
INSERT INTO public.ecdc_data VALUES (46610, 4, 314, 34.14705367, 151, 261);
INSERT INTO public.ecdc_data VALUES (46611, 0, 0, 0.77024591, 60, 261);
INSERT INTO public.ecdc_data VALUES (46612, 2, 380, 342.74453985, 106, 261);
INSERT INTO public.ecdc_data VALUES (46613, 42, 2743, 19.72386068, 107, 261);
INSERT INTO public.ecdc_data VALUES (46614, 0, 0, 0, 61, 261);
INSERT INTO public.ecdc_data VALUES (46615, 6, 879, 131.52202788, 152, 261);
INSERT INTO public.ecdc_data VALUES (46616, 12, 53, 17.58977485, 153, 261);
INSERT INTO public.ecdc_data VALUES (46617, 0, 0, 0, 62, 261);
INSERT INTO public.ecdc_data VALUES (46618, 0, 0, 0.65247873, 3, 261);
INSERT INTO public.ecdc_data VALUES (46619, 0, 0, 12.79836181, 63, 261);
INSERT INTO public.ecdc_data VALUES (46620, 0, 11, 4.19345454, 108, 261);
INSERT INTO public.ecdc_data VALUES (46621, 11, 285, 64.10088263, 64, 261);
INSERT INTO public.ecdc_data VALUES (46622, 0, 0, 0, 65, 261);
INSERT INTO public.ecdc_data VALUES (46623, 1, 37, 8.27022616, 154, 261);
INSERT INTO public.ecdc_data VALUES (46624, 0, 0, 0.21704187, 4, 261);
INSERT INTO public.ecdc_data VALUES (46625, 525, 18921, 155.67294422, 66, 261);
INSERT INTO public.ecdc_data VALUES (46626, 0, 0, 0, 67, 261);
INSERT INTO public.ecdc_data VALUES (46627, 0, 0, 0, 109, 261);
INSERT INTO public.ecdc_data VALUES (46628, 0, 16, 4.1999766, 155, 261);
INSERT INTO public.ecdc_data VALUES (46629, 0, 1, 0.28049272, 5, 261);
INSERT INTO public.ecdc_data VALUES (46630, 0, 0, 0.35557631, 6, 261);
INSERT INTO public.ecdc_data VALUES (46631, 0, 1, 0.01213111, 110, 261);
INSERT INTO public.ecdc_data VALUES (46632, 0, 309, 11.66314293, 7, 261);
INSERT INTO public.ecdc_data VALUES (46633, 27, 642, 29.40308686, 68, 261);
INSERT INTO public.ecdc_data VALUES (46634, 0, 12, 31.64004539, 8, 261);
INSERT INTO public.ecdc_data VALUES (46635, 0, 0, 53.88926526, 69, 261);
INSERT INTO public.ecdc_data VALUES (46636, 0, 64, 21.70624122, 9, 261);
INSERT INTO public.ecdc_data VALUES (46637, 0, 1, 1.01587257, 10, 261);
INSERT INTO public.ecdc_data VALUES (46638, 649, 6405, 343.22435559, 70, 261);
INSERT INTO public.ecdc_data VALUES (46639, 0, 5, 0.00669557, 111, 261);
INSERT INTO public.ecdc_data VALUES (46640, 54, 1209, 35.87842639, 71, 261);
INSERT INTO public.ecdc_data VALUES (46641, 0, 0, 6.34628877, 11, 261);
INSERT INTO public.ecdc_data VALUES (46642, 0, 0, 3.64278142, 12, 261);
INSERT INTO public.ecdc_data VALUES (46643, 0, 55, 7.68688085, 72, 261);
INSERT INTO public.ecdc_data VALUES (46644, 0, 182, 5.30008803, 13, 261);
INSERT INTO public.ecdc_data VALUES (46645, 0, 0, 0.07359713, 156, 261);
INSERT INTO public.ecdc_data VALUES (46646, 0, 18, 2.20585303, 73, 261);
INSERT INTO public.ecdc_data VALUES (46647, 0, 0, 2.44763589, 74, 261);
INSERT INTO public.ecdc_data VALUES (46648, 0, 4, 3.31088402, 157, 261);
INSERT INTO public.ecdc_data VALUES (46649, 0, 61, 6.3005878, 158, 261);
INSERT INTO public.ecdc_data VALUES (46650, 4, 138, 1.98062997, 14, 261);
INSERT INTO public.ecdc_data VALUES (46651, 2, 24, 10.12731307, 159, 261);
INSERT INTO public.ecdc_data VALUES (46652, 2, 38, 198.96112914, 15, 261);
INSERT INTO public.ecdc_data VALUES (46653, 0, 0, 2.78520499, 75, 261);
INSERT INTO public.ecdc_data VALUES (46654, 2, 405, 48.21697303, 76, 261);
INSERT INTO public.ecdc_data VALUES (46655, 13, 392, 36.63016946, 77, 261);
INSERT INTO public.ecdc_data VALUES (46656, 39, 1467, 16.74900115, 16, 261);
INSERT INTO public.ecdc_data VALUES (46657, 2, 81, 17.04488227, 78, 261);
INSERT INTO public.ecdc_data VALUES (46658, 0, 0, 19.3955377, 17, 261);
INSERT INTO public.ecdc_data VALUES (46659, 0, 0, 0.05718997, 18, 261);
INSERT INTO public.ecdc_data VALUES (46660, 0, 8, 8.75590646, 160, 261);
INSERT INTO public.ecdc_data VALUES (46661, 0, 11, 7.22912764, 19, 261);
INSERT INTO public.ecdc_data VALUES (46662, 7, 86, 1.28302671, 20, 261);
INSERT INTO public.ecdc_data VALUES (46663, 0, 0, 0, 79, 261);
INSERT INTO public.ecdc_data VALUES (46664, 0, 0, 0, 161, 261);
INSERT INTO public.ecdc_data VALUES (46665, 0, 0, 0, 203, 261);
INSERT INTO public.ecdc_data VALUES (46666, 1, 17, 7.28535522, 162, 261);
INSERT INTO public.ecdc_data VALUES (46667, 13, 343, 13.51381942, 163, 261);
INSERT INTO public.ecdc_data VALUES (46668, 0, 0, 0, 204, 261);
INSERT INTO public.ecdc_data VALUES (46669, 0, 0, 53.71498745, 21, 261);
INSERT INTO public.ecdc_data VALUES (46670, 0, 0, 0.04259495, 22, 261);
INSERT INTO public.ecdc_data VALUES (46671, 0, 0, 1.9515798, 164, 261);
INSERT INTO public.ecdc_data VALUES (46672, 6, 214, 6.77313094, 165, 261);
INSERT INTO public.ecdc_data VALUES (46673, 0, 176, 9.714688, 23, 261);
INSERT INTO public.ecdc_data VALUES (46674, 0, 1, 71.20393995, 166, 261);
INSERT INTO public.ecdc_data VALUES (46675, 0, 17, 1.1095986, 167, 261);
INSERT INTO public.ecdc_data VALUES (46676, 0, 0, 3.52982704, 80, 261);
INSERT INTO public.ecdc_data VALUES (46677, 0, 0, 0.8928412, 81, 261);
INSERT INTO public.ecdc_data VALUES (46678, 0, 0, 7.77070444, 205, 261);
INSERT INTO public.ecdc_data VALUES (46679, 22, 263, 20.65241849, 82, 261);
INSERT INTO public.ecdc_data VALUES (46680, 0, 0, 0, 168, 261);
INSERT INTO public.ecdc_data VALUES (46681, 0, 48, 6.96877971, 24, 261);
INSERT INTO public.ecdc_data VALUES (46682, 0, 0, 10.15140165, 25, 261);
INSERT INTO public.ecdc_data VALUES (46683, 0, 0, 2.42726198, 83, 261);
INSERT INTO public.ecdc_data VALUES (46684, 1, 262, 21.09547487, 84, 261);
INSERT INTO public.ecdc_data VALUES (46685, 0, 0, 0, 169, 261);
INSERT INTO public.ecdc_data VALUES (46686, 8, 172, 24.38920534, 85, 261);
INSERT INTO public.ecdc_data VALUES (46687, 0, 0, 2.189761, 170, 261);
INSERT INTO public.ecdc_data VALUES (46688, 0, 1, 0.84035732, 171, 261);
INSERT INTO public.ecdc_data VALUES (46689, 206, 9983, 8.61859409, 112, 261);
INSERT INTO public.ecdc_data VALUES (46690, 50, 672, 3.29421943, 113, 261);
INSERT INTO public.ecdc_data VALUES (46691, 72, 2364, 43.52467204, 114, 261);
INSERT INTO public.ecdc_data VALUES (46692, 28, 1268, 20.0891437, 115, 261);
INSERT INTO public.ecdc_data VALUES (46693, 9, 18, 11.4594718, 172, 261);
INSERT INTO public.ecdc_data VALUES (46694, 0, 0, 0, 173, 261);
INSERT INTO public.ecdc_data VALUES (46695, 1, 132, 14.02685385, 116, 261);
INSERT INTO public.ecdc_data VALUES (46696, 53, 197, 8.51563728, 174, 261);
INSERT INTO public.ecdc_data VALUES (46697, 0, 2, 1.56023332, 86, 261);
INSERT INTO public.ecdc_data VALUES (46698, 0, 33, 0.46744333, 117, 261);
INSERT INTO public.ecdc_data VALUES (46699, 0, 0, 4.63839103, 175, 261);
INSERT INTO public.ecdc_data VALUES (46700, 0, 13, 0.98993268, 118, 261);
INSERT INTO public.ecdc_data VALUES (46701, 3, 165, 23.32974044, 119, 261);
INSERT INTO public.ecdc_data VALUES (46702, 1, 167, 2.95393346, 26, 261);
INSERT INTO public.ecdc_data VALUES (46703, 1, 40, 11.2315444, 176, 261);
INSERT INTO public.ecdc_data VALUES (46704, 10, 717, 250.67285434, 120, 261);
INSERT INTO public.ecdc_data VALUES (46705, 1, 25, 9.33625173, 121, 261);
INSERT INTO public.ecdc_data VALUES (46706, 0, 0, 0, 122, 261);
INSERT INTO public.ecdc_data VALUES (46707, 0, 2, 2.13545226, 177, 261);
INSERT INTO public.ecdc_data VALUES (46708, 1, 11, 3.1652452, 123, 261);
INSERT INTO public.ecdc_data VALUES (46709, 0, 0, 0.09410582, 27, 261);
INSERT INTO public.ecdc_data VALUES (46710, 0, 14, 1.90384605, 28, 261);
INSERT INTO public.ecdc_data VALUES (46711, 0, 0, 2.67061977, 29, 261);
INSERT INTO public.ecdc_data VALUES (46712, 0, 0, 0, 178, 261);
INSERT INTO public.ecdc_data VALUES (46713, 0, 9, 3.25676477, 179, 261);
INSERT INTO public.ecdc_data VALUES (46714, 0, 4, 7.65604485, 180, 261);
INSERT INTO public.ecdc_data VALUES (46715, 1, 26, 1.94665743, 30, 261);
INSERT INTO public.ecdc_data VALUES (46716, 0, 29, 1.90565668, 31, 261);
INSERT INTO public.ecdc_data VALUES (46717, 0, 19, 3.37091428, 124, 261);
INSERT INTO public.ecdc_data VALUES (46718, 1, 2, 100.19643775, 125, 261);
INSERT INTO public.ecdc_data VALUES (46719, 2, 10, 2.55875171, 32, 261);
INSERT INTO public.ecdc_data VALUES (46720, 0, 1, 3.84959042, 181, 261);
INSERT INTO public.ecdc_data VALUES (46721, 0, 0, 15.68818777, 33, 261);
INSERT INTO public.ecdc_data VALUES (46722, 0, 0, 0.23628187, 34, 261);
INSERT INTO public.ecdc_data VALUES (46723, 188, 2323, 44.48737187, 87, 261);
INSERT INTO public.ecdc_data VALUES (46724, 10, 189, 64.47770585, 182, 261);
INSERT INTO public.ecdc_data VALUES (46725, 0, 0, 0, 183, 261);
INSERT INTO public.ecdc_data VALUES (46726, 0, 1, 1.64332627, 126, 261);
INSERT INTO public.ecdc_data VALUES (46727, 0, 0, 0, 184, 261);
INSERT INTO public.ecdc_data VALUES (46728, 0, 0, 0, 88, 261);
INSERT INTO public.ecdc_data VALUES (46729, 0, 92, 2.16880093, 35, 261);
INSERT INTO public.ecdc_data VALUES (46730, 0, 15, 0.7640113, 36, 261);
INSERT INTO public.ecdc_data VALUES (46731, 0, 3, 0.07771241, 127, 261);
INSERT INTO public.ecdc_data VALUES (46732, 0, 0, 0.32070247, 37, 261);
INSERT INTO public.ecdc_data VALUES (46733, 2, 536, 9.94452215, 128, 261);
INSERT INTO public.ecdc_data VALUES (46734, 2, 239, 13.52839919, 185, 261);
INSERT INTO public.ecdc_data VALUES (46735, 0, 0, 0.70732113, 207, 261);
INSERT INTO public.ecdc_data VALUES (46736, 0, 0, 0, 208, 261);
INSERT INTO public.ecdc_data VALUES (46737, 0, 0, 15.73599462, 89, 261);
INSERT INTO public.ecdc_data VALUES (46738, 0, 3, 0.12011642, 38, 261);
INSERT INTO public.ecdc_data VALUES (46739, 12, 253, 2.31235902, 39, 261);
INSERT INTO public.ecdc_data VALUES (46740, 2, 111, 50.55047055, 186, 261);
INSERT INTO public.ecdc_data VALUES (46741, 0, 0, 8.73927254, 209, 261);
INSERT INTO public.ecdc_data VALUES (46742, 0, 0, 3.65976429, 187, 261);
INSERT INTO public.ecdc_data VALUES (46743, 3, 866, 183.15607342, 129, 261);
INSERT INTO public.ecdc_data VALUES (46744, 65, 4728, 21.85114434, 130, 261);
INSERT INTO public.ecdc_data VALUES (46745, 0, 8, 0.98365487, 131, 261);
INSERT INTO public.ecdc_data VALUES (46746, 7, 421, 129.49670783, 90, 261);
INSERT INTO public.ecdc_data VALUES (46747, 0, 0, 0, 210, 261);
INSERT INTO public.ecdc_data VALUES (46748, 0, 45, 3.87528729, 91, 261);
INSERT INTO public.ecdc_data VALUES (46749, 164, 4757, 235.48111989, 92, 261);
INSERT INTO public.ecdc_data VALUES (46750, 9, 555, 7.26992747, 132, 261);
INSERT INTO public.ecdc_data VALUES (46751, 4, 575, 13.78617944, 188, 261);
INSERT INTO public.ecdc_data VALUES (46752, 5, 142, 37.6583072, 189, 261);
INSERT INTO public.ecdc_data VALUES (46753, 0, 70, 61.22579774, 93, 261);
INSERT INTO public.ecdc_data VALUES (46754, 3, 1595, 885.42977913, 133, 261);
INSERT INTO public.ecdc_data VALUES (46755, 8, 189, 12.40827841, 190, 261);
INSERT INTO public.ecdc_data VALUES (46756, 134, 8984, 84.45197188, 191, 261);
INSERT INTO public.ecdc_data VALUES (46757, 0, 8, 0.88699256, 40, 261);
INSERT INTO public.ecdc_data VALUES (46758, 0, 0, 0, 94, 261);
INSERT INTO public.ecdc_data VALUES (46759, 0, 0, 0.54706092, 95, 261);
INSERT INTO public.ecdc_data VALUES (46760, 0, 0, 7.23373089, 96, 261);
INSERT INTO public.ecdc_data VALUES (46761, 0, 0, 63.85510696, 192, 261);
INSERT INTO public.ecdc_data VALUES (46762, 0, 1, 99.9776794, 41, 261);
INSERT INTO public.ecdc_data VALUES (46763, 36, 3045, 85.65876872, 134, 261);
INSERT INTO public.ecdc_data VALUES (46764, 2, 79, 7.86065013, 42, 261);
INSERT INTO public.ecdc_data VALUES (46765, 1, 82, 9.53507327, 193, 261);
INSERT INTO public.ecdc_data VALUES (46766, 0, 0, 0, 43, 261);
INSERT INTO public.ecdc_data VALUES (46767, 0, 23, 3.35329654, 44, 261);
INSERT INTO public.ecdc_data VALUES (46768, 0, 383, 108.43604522, 135, 261);
INSERT INTO public.ecdc_data VALUES (46769, 0, 0, 0, 97, 261);
INSERT INTO public.ecdc_data VALUES (46770, 0, 0, 0.34859692, 194, 261);
INSERT INTO public.ecdc_data VALUES (46771, 0, 0, 0.76889512, 195, 261);
INSERT INTO public.ecdc_data VALUES (46772, 1, 45, 4.79184423, 45, 261);
INSERT INTO public.ecdc_data VALUES (46773, 46, 2312, 43.89132622, 46, 261);
INSERT INTO public.ecdc_data VALUES (46774, 0, 38, 1.18691301, 136, 261);
INSERT INTO public.ecdc_data VALUES (46775, 0, 0, 6.81605704, 47, 261);
INSERT INTO public.ecdc_data VALUES (46776, 0, 167, 13.4584484, 196, 261);
INSERT INTO public.ecdc_data VALUES (46777, 0, 21, 3.25458946, 137, 261);
INSERT INTO public.ecdc_data VALUES (46778, 12, 218, 5.7201935, 48, 261);
INSERT INTO public.ecdc_data VALUES (46779, 0, 22, 19.09306234, 98, 261);
INSERT INTO public.ecdc_data VALUES (46780, 33, 462, 98.22891766, 197, 261);
INSERT INTO public.ecdc_data VALUES (46781, 0, 9, 2.68007814, 198, 261);
INSERT INTO public.ecdc_data VALUES (46782, 0, 17, 0.3222002, 138, 261);
INSERT INTO public.ecdc_data VALUES (46783, 0, 0, 0.00841259, 139, 261);
INSERT INTO public.ecdc_data VALUES (46784, 0, 76, 19.21462912, 140, 261);
INSERT INTO public.ecdc_data VALUES (46785, 0, 7, 0.11059154, 141, 261);
INSERT INTO public.ecdc_data VALUES (46786, 0, 0, 0, 142, 261);
INSERT INTO public.ecdc_data VALUES (46787, 0, 8, 1.41047929, 49, 261);
INSERT INTO public.ecdc_data VALUES (46788, 0, 0, 0.07168618, 99, 261);
INSERT INTO public.ecdc_data VALUES (46789, 0, 0, 0.3078312, 50, 261);
INSERT INTO public.ecdc_data VALUES (46790, 23, 914, 16.22484165, 199, 261);
INSERT INTO public.ecdc_data VALUES (46791, 0, 0, 0, 100, 261);
INSERT INTO public.ecdc_data VALUES (46792, 0, 23, 0.9125904, 51, 261);
INSERT INTO public.ecdc_data VALUES (46793, 11, 485, 13.66788379, 200, 261);
INSERT INTO public.ecdc_data VALUES (46794, 1, 540, 95.41963247, 143, 261);
INSERT INTO public.ecdc_data VALUES (46795, 54, 801, 29.15505176, 201, 261);
INSERT INTO public.ecdc_data VALUES (46796, 0, 0, 0, 52, 261);
INSERT INTO public.ecdc_data VALUES (46797, 712, 22302, 90.90151655, 101, 261);
INSERT INTO public.ecdc_data VALUES (46798, 0, 0, 1.91242984, 102, 261);
INSERT INTO public.ecdc_data VALUES (46799, 0, 0, 2.19543344, 103, 261);
INSERT INTO public.ecdc_data VALUES (46800, 0, 171, 3.60199583, 144, 261);
INSERT INTO public.ecdc_data VALUES (46801, 0, 61, 4.40457123, 104, 261);
INSERT INTO public.ecdc_data VALUES (46802, 0, 2, 0.00622006, 145, 261);
INSERT INTO public.ecdc_data VALUES (46803, 0, 0, 2.91866538, 53, 261);
INSERT INTO public.ecdc_data VALUES (46804, 0, 13, 0.90529012, 146, 261);
INSERT INTO public.ecdc_data VALUES (46805, 0, 0, 1.31011452, 54, 261);
INSERT INTO public.ecdc_data VALUES (46806, 0, 3, 1.54313896, 55, 261);
INSERT INTO public.ecdc_data VALUES (46807, 2, 171, 5.99867141, 105, 262);
INSERT INTO public.ecdc_data VALUES (46808, 0, 10, 6.25343459, 147, 262);
INSERT INTO public.ecdc_data VALUES (46809, 7, 185, 5.05190642, 1, 262);
INSERT INTO public.ecdc_data VALUES (46810, 1, 1, 36.75650131, 148, 262);
INSERT INTO public.ecdc_data VALUES (46811, 0, 0, 0.0345637, 2, 262);
INSERT INTO public.ecdc_data VALUES (46812, 0, 0, 0, 56, 262);
INSERT INTO public.ecdc_data VALUES (46813, 0, 0, 1.02970705, 57, 262);
INSERT INTO public.ecdc_data VALUES (46814, 9, 163, 4.32106037, 58, 262);
INSERT INTO public.ecdc_data VALUES (46815, 1, 145, 48.44935031, 149, 262);
INSERT INTO public.ecdc_data VALUES (46816, 1, 0, 0.94064528, 59, 262);
INSERT INTO public.ecdc_data VALUES (46817, 0, 21, 0.90861478, 202, 262);
INSERT INTO public.ecdc_data VALUES (46818, 1, 22, 7.7663108, 150, 262);
INSERT INTO public.ecdc_data VALUES (46819, 0, 77, 6.528845, 151, 262);
INSERT INTO public.ecdc_data VALUES (46820, 0, 0, 5.13497276, 60, 262);
INSERT INTO public.ecdc_data VALUES (46821, 0, 265, 120.76794275, 106, 262);
INSERT INTO public.ecdc_data VALUES (46822, 13, 706, 5.05316982, 107, 262);
INSERT INTO public.ecdc_data VALUES (46823, 0, 0, 2.09043938, 61, 262);
INSERT INTO public.ecdc_data VALUES (46824, 4, 913, 128.49634416, 152, 262);
INSERT INTO public.ecdc_data VALUES (46825, 71, 442, 63.23589529, 153, 262);
INSERT INTO public.ecdc_data VALUES (46826, 0, 0, 0, 62, 262);
INSERT INTO public.ecdc_data VALUES (46827, 0, 38, 0.69484748, 3, 262);
INSERT INTO public.ecdc_data VALUES (46828, 0, 0, 30.3961093, 63, 262);
INSERT INTO public.ecdc_data VALUES (46829, 0, 0, 0, 108, 262);
INSERT INTO public.ecdc_data VALUES (46830, 11, 195, 11.96897239, 64, 262);
INSERT INTO public.ecdc_data VALUES (46831, 0, 0, 0, 65, 262);
INSERT INTO public.ecdc_data VALUES (46832, 6, 41, 18.60043538, 154, 262);
INSERT INTO public.ecdc_data VALUES (46833, 0, 0, 0.04340837, 4, 262);
INSERT INTO public.ecdc_data VALUES (46834, 610, 9888, 40.56583517, 66, 262);
INSERT INTO public.ecdc_data VALUES (46835, 0, 0, 6.65934139, 67, 262);
INSERT INTO public.ecdc_data VALUES (46836, 0, 2, 0.69236734, 109, 262);
INSERT INTO public.ecdc_data VALUES (46837, 0, 51, 10.4570846, 155, 262);
INSERT INTO public.ecdc_data VALUES (46838, 0, 7, 0.59051099, 5, 262);
INSERT INTO public.ecdc_data VALUES (46839, 0, 0, 0.06938074, 6, 262);
INSERT INTO public.ecdc_data VALUES (46840, 0, 0, 0, 110, 262);
INSERT INTO public.ecdc_data VALUES (46841, 0, 0, 3.33895145, 7, 262);
INSERT INTO public.ecdc_data VALUES (46842, 176, 1426, 61.00605923, 68, 262);
INSERT INTO public.ecdc_data VALUES (46843, 0, 27, 24.73015042, 8, 262);
INSERT INTO public.ecdc_data VALUES (46844, 0, 0, 18.47631952, 69, 262);
INSERT INTO public.ecdc_data VALUES (46845, 0, 0, 1.62269959, 9, 262);
INSERT INTO public.ecdc_data VALUES (46846, 10, 83, 1.3356843, 10, 262);
INSERT INTO public.ecdc_data VALUES (46847, 4, 1533, 67.37535046, 70, 262);
INSERT INTO public.ecdc_data VALUES (46848, 0, 6, 0.00641659, 111, 262);
INSERT INTO public.ecdc_data VALUES (46849, 10, 497, 9.72398523, 71, 262);
INSERT INTO public.ecdc_data VALUES (46850, 0, 0, 0, 11, 262);
INSERT INTO public.ecdc_data VALUES (46851, 0, 10, 1.63553451, 12, 262);
INSERT INTO public.ecdc_data VALUES (46852, 0, 4, 1.54530079, 72, 262);
INSERT INTO public.ecdc_data VALUES (46853, 2, 55, 2.20480551, 13, 262);
INSERT INTO public.ecdc_data VALUES (46854, 1, 6, 3.53266216, 156, 262);
INSERT INTO public.ecdc_data VALUES (46855, 4, 26, 4.35876558, 73, 262);
INSERT INTO public.ecdc_data VALUES (46856, 0, 0, 1.22381794, 74, 262);
INSERT INTO public.ecdc_data VALUES (46857, 0, 6, 10.73183095, 157, 262);
INSERT INTO public.ecdc_data VALUES (46858, 8, 57, 7.91564161, 158, 262);
INSERT INTO public.ecdc_data VALUES (46859, 0, 34, 0.57955606, 14, 262);
INSERT INTO public.ecdc_data VALUES (46860, 6, 100, 34.61887631, 159, 262);
INSERT INTO public.ecdc_data VALUES (46861, 0, 13, 15.09927, 15, 262);
INSERT INTO public.ecdc_data VALUES (46862, 0, 0, 0, 75, 262);
INSERT INTO public.ecdc_data VALUES (46863, 11, 288, 33.07583781, 76, 262);
INSERT INTO public.ecdc_data VALUES (46864, 36, 878, 110.0228927, 77, 262);
INSERT INTO public.ecdc_data VALUES (46865, 13, 393, 4.30529219, 16, 262);
INSERT INTO public.ecdc_data VALUES (46866, 0, 0, 6.89542965, 78, 262);
INSERT INTO public.ecdc_data VALUES (46867, 0, 0, 26.18028853, 17, 262);
INSERT INTO public.ecdc_data VALUES (46868, 0, 0, 0, 18, 262);
INSERT INTO public.ecdc_data VALUES (46869, 1, 7, 9.66168989, 160, 262);
INSERT INTO public.ecdc_data VALUES (46870, 0, 30, 10.53884872, 19, 262);
INSERT INTO public.ecdc_data VALUES (46871, 0, 29, 0.06691725, 20, 262);
INSERT INTO public.ecdc_data VALUES (46872, 0, 0, 29.65599051, 79, 262);
INSERT INTO public.ecdc_data VALUES (46873, 0, 0, 0, 161, 262);
INSERT INTO public.ecdc_data VALUES (46874, 0, 0, 0, 203, 262);
INSERT INTO public.ecdc_data VALUES (46875, 3, 100, 25.17253334, 162, 262);
INSERT INTO public.ecdc_data VALUES (46876, 178, 629, 25.33095017, 163, 262);
INSERT INTO public.ecdc_data VALUES (46877, 0, 0, 1.07417155, 204, 262);
INSERT INTO public.ecdc_data VALUES (46878, 0, 65, 15.51152594, 21, 262);
INSERT INTO public.ecdc_data VALUES (46879, 0, 1, 0.34075962, 22, 262);
INSERT INTO public.ecdc_data VALUES (46880, 0, 5, 4.75384824, 164, 262);
INSERT INTO public.ecdc_data VALUES (46881, 147, 1209, 20.37721075, 165, 262);
INSERT INTO public.ecdc_data VALUES (46882, 0, 0, 6.36796976, 23, 262);
INSERT INTO public.ecdc_data VALUES (46883, 0, 0, 32.63513914, 166, 262);
INSERT INTO public.ecdc_data VALUES (46884, 1, 15, 2.00473696, 167, 262);
INSERT INTO public.ecdc_data VALUES (46885, 0, 0, 0, 80, 262);
INSERT INTO public.ecdc_data VALUES (46886, 0, 0, 5.3570472, 81, 262);
INSERT INTO public.ecdc_data VALUES (46887, 0, 0, 6.57521145, 205, 262);
INSERT INTO public.ecdc_data VALUES (46888, 2, 34, 2.54813646, 82, 262);
INSERT INTO public.ecdc_data VALUES (46889, 0, 0, 10.85810014, 168, 262);
INSERT INTO public.ecdc_data VALUES (46890, 0, 71, 8.33904538, 24, 262);
INSERT INTO public.ecdc_data VALUES (46891, 0, 89, 26.65393664, 25, 262);
INSERT INTO public.ecdc_data VALUES (46892, 0, 0, 2.93826451, 83, 262);
INSERT INTO public.ecdc_data VALUES (46893, 0, 21, 0.50607831, 84, 262);
INSERT INTO public.ecdc_data VALUES (46894, 0, 0, 368.09815951, 169, 262);
INSERT INTO public.ecdc_data VALUES (46895, 6, 224, 11.96374145, 85, 262);
INSERT INTO public.ecdc_data VALUES (46896, 9, 28, 8.13485981, 170, 262);
INSERT INTO public.ecdc_data VALUES (46897, 0, 2, 3.36142928, 171, 262);
INSERT INTO public.ecdc_data VALUES (46898, 103, 3390, 2.43446778, 112, 262);
INSERT INTO public.ecdc_data VALUES (46899, 35, 338, 1.8479407, 113, 262);
INSERT INTO public.ecdc_data VALUES (46900, 68, 1485, 19.42858961, 114, 262);
INSERT INTO public.ecdc_data VALUES (46901, 0, 63, 2.20301361, 115, 262);
INSERT INTO public.ecdc_data VALUES (46902, 28, 137, 97.42590085, 172, 262);
INSERT INTO public.ecdc_data VALUES (46903, 0, 2, 26.0081098, 173, 262);
INSERT INTO public.ecdc_data VALUES (46904, 1, 71, 17.59519157, 116, 262);
INSERT INTO public.ecdc_data VALUES (46905, 274, 1401, 42.88468306, 174, 262);
INSERT INTO public.ecdc_data VALUES (46906, 0, 10, 8.00467527, 86, 262);
INSERT INTO public.ecdc_data VALUES (46907, 6, 84, 2.60680451, 117, 262);
INSERT INTO public.ecdc_data VALUES (46908, 0, 0, 15.77052952, 175, 262);
INSERT INTO public.ecdc_data VALUES (46909, 0, 21, 0.56426163, 118, 262);
INSERT INTO public.ecdc_data VALUES (46910, 1, 188, 12.69983098, 119, 262);
INSERT INTO public.ecdc_data VALUES (46911, 3, 25, 0.54589755, 26, 262);
INSERT INTO public.ecdc_data VALUES (46912, 1, 1, 10.67552735, 176, 262);
INSERT INTO public.ecdc_data VALUES (46913, 2, 278, 99.07116033, 120, 262);
INSERT INTO public.ecdc_data VALUES (46914, 0, 11, 3.89659922, 121, 262);
INSERT INTO public.ecdc_data VALUES (46915, 0, 0, 0, 122, 262);
INSERT INTO public.ecdc_data VALUES (46916, 1, 9, 6.82303038, 177, 262);
INSERT INTO public.ecdc_data VALUES (46917, 0, 34, 1.40029281, 123, 262);
INSERT INTO public.ecdc_data VALUES (46918, 0, 11, 1.78232396, 28, 262);
INSERT INTO public.ecdc_data VALUES (46919, 0, 0, 0.05901922, 29, 262);
INSERT INTO public.ecdc_data VALUES (46920, 0, 0, 2.60565949, 178, 262);
INSERT INTO public.ecdc_data VALUES (46921, 1, 5, 0.82313835, 179, 262);
INSERT INTO public.ecdc_data VALUES (46922, 2, 8, 31.60154685, 180, 262);
INSERT INTO public.ecdc_data VALUES (46923, 0, 11, 0.17798011, 30, 262);
INSERT INTO public.ecdc_data VALUES (46924, 0, 0, 0.05368047, 31, 262);
INSERT INTO public.ecdc_data VALUES (46925, 0, 39, 2.70424321, 124, 262);
INSERT INTO public.ecdc_data VALUES (46926, 1, 25, 100.19643775, 125, 262);
INSERT INTO public.ecdc_data VALUES (46927, 0, 19, 1.7346607, 32, 262);
INSERT INTO public.ecdc_data VALUES (46928, 0, 3, 8.50962094, 181, 262);
INSERT INTO public.ecdc_data VALUES (46929, 0, 0, 0.02209604, 33, 262);
INSERT INTO public.ecdc_data VALUES (46930, 0, 0, 0.07876062, 34, 262);
INSERT INTO public.ecdc_data VALUES (46931, 257, 2374, 18.77005738, 87, 262);
INSERT INTO public.ecdc_data VALUES (46932, 2, 129, 41.52591796, 182, 262);
INSERT INTO public.ecdc_data VALUES (46933, 0, 0, 3.02251776, 183, 262);
INSERT INTO public.ecdc_data VALUES (46934, 0, 1, 0.18603694, 126, 262);
INSERT INTO public.ecdc_data VALUES (46935, 0, 0, 0.80362338, 184, 262);
INSERT INTO public.ecdc_data VALUES (46936, 0, 0, 0, 88, 262);
INSERT INTO public.ecdc_data VALUES (46937, 0, 140, 5.42885694, 35, 262);
INSERT INTO public.ecdc_data VALUES (46938, 0, 0, 0.11526033, 36, 262);
INSERT INTO public.ecdc_data VALUES (46939, 0, 14, 0.081413, 127, 262);
INSERT INTO public.ecdc_data VALUES (46940, 0, 0, 0, 37, 262);
INSERT INTO public.ecdc_data VALUES (46941, 0, 2, 0.18525823, 128, 262);
INSERT INTO public.ecdc_data VALUES (46942, 84, 455, 34.97826053, 185, 262);
INSERT INTO public.ecdc_data VALUES (46943, 0, 0, 0, 207, 262);
INSERT INTO public.ecdc_data VALUES (46944, 0, 2, 0.56449195, 208, 262);
INSERT INTO public.ecdc_data VALUES (46945, 0, 0, 0.09166599, 89, 262);
INSERT INTO public.ecdc_data VALUES (46946, 4, 11, 0.47188592, 38, 262);
INSERT INTO public.ecdc_data VALUES (46947, 4, 381, 1.26639847, 39, 262);
INSERT INTO public.ecdc_data VALUES (46948, 1, 33, 13.09497904, 186, 262);
INSERT INTO public.ecdc_data VALUES (46949, 0, 0, 1.74785451, 209, 262);
INSERT INTO public.ecdc_data VALUES (46950, 0, 42, 12.1992143, 187, 262);
INSERT INTO public.ecdc_data VALUES (46951, 1, 55, 24.96486427, 129, 262);
INSERT INTO public.ecdc_data VALUES (46952, 30, 1764, 6.77947891, 130, 262);
INSERT INTO public.ecdc_data VALUES (46953, 0, 1, 4.23573831, 131, 262);
INSERT INTO public.ecdc_data VALUES (46954, 7, 137, 63.62976988, 90, 262);
INSERT INTO public.ecdc_data VALUES (46955, 0, 0, 0, 210, 262);
INSERT INTO public.ecdc_data VALUES (46956, 0, 22, 3.43523635, 91, 262);
INSERT INTO public.ecdc_data VALUES (46957, 94, 3709, 115.69198863, 92, 262);
INSERT INTO public.ecdc_data VALUES (46958, 27, 339, 3.10960511, 132, 262);
INSERT INTO public.ecdc_data VALUES (46959, 22, 307, 11.94538872, 188, 262);
INSERT INTO public.ecdc_data VALUES (46960, 16, 533, 42.44587494, 189, 262);
INSERT INTO public.ecdc_data VALUES (46961, 3, 63, 26.55617842, 93, 262);
INSERT INTO public.ecdc_data VALUES (46962, 0, 918, 392.85738246, 133, 262);
INSERT INTO public.ecdc_data VALUES (46963, 18, 392, 22.67897461, 190, 262);
INSERT INTO public.ecdc_data VALUES (46964, 88, 11231, 78.41586879, 191, 262);
INSERT INTO public.ecdc_data VALUES (46965, 0, 3, 0.92659044, 40, 262);
INSERT INTO public.ecdc_data VALUES (46966, 0, 0, 0, 94, 262);
INSERT INTO public.ecdc_data VALUES (46967, 0, 0, 1.64118275, 95, 262);
INSERT INTO public.ecdc_data VALUES (46968, 0, 0, 3.61686544, 96, 262);
INSERT INTO public.ecdc_data VALUES (46969, 0, 14, 351.20308827, 192, 262);
INSERT INTO public.ecdc_data VALUES (46970, 1, 13, 83.23723076, 41, 262);
INSERT INTO public.ecdc_data VALUES (46971, 10, 1793, 57.78187911, 134, 262);
INSERT INTO public.ecdc_data VALUES (46972, 1, 59, 6.2161113, 42, 262);
INSERT INTO public.ecdc_data VALUES (46973, 3, 57, 36.93404889, 193, 262);
INSERT INTO public.ecdc_data VALUES (46974, 0, 0, 0, 43, 262);
INSERT INTO public.ecdc_data VALUES (46975, 2, 6, 2.13740657, 44, 262);
INSERT INTO public.ecdc_data VALUES (46976, 0, 741, 168.16718102, 135, 262);
INSERT INTO public.ecdc_data VALUES (46977, 0, 0, 7.07730779, 97, 262);
INSERT INTO public.ecdc_data VALUES (46978, 1, 16, 2.20166479, 194, 262);
INSERT INTO public.ecdc_data VALUES (46979, 0, 1, 4.03669936, 195, 262);
INSERT INTO public.ecdc_data VALUES (46980, 5, 55, 3.8852791, 45, 262);
INSERT INTO public.ecdc_data VALUES (46981, 8, 424, 7.30725177, 46, 262);
INSERT INTO public.ecdc_data VALUES (46982, 0, 12, 0.22254619, 136, 262);
INSERT INTO public.ecdc_data VALUES (46983, 0, 16, 0.77742826, 47, 262);
INSERT INTO public.ecdc_data VALUES (46984, 181, 1173, 37.18809827, 196, 262);
INSERT INTO public.ecdc_data VALUES (46985, 0, 27, 2.13846224, 137, 262);
INSERT INTO public.ecdc_data VALUES (46986, 3, 78, 1.79383773, 48, 262);
INSERT INTO public.ecdc_data VALUES (46987, 0, 0, 0, 98, 262);
INSERT INTO public.ecdc_data VALUES (46988, 80, 784, 78.41500423, 197, 262);
INSERT INTO public.ecdc_data VALUES (46989, 13, 66, 19.0648353, 198, 262);
INSERT INTO public.ecdc_data VALUES (46990, 0, 0, 0.01757456, 138, 262);
INSERT INTO public.ecdc_data VALUES (46991, 0, 1, 0.05468186, 139, 262);
INSERT INTO public.ecdc_data VALUES (46992, 4, 82, 0, 140, 262);
INSERT INTO public.ecdc_data VALUES (46993, 0, 3, 0.21974682, 141, 262);
INSERT INTO public.ecdc_data VALUES (46994, 0, 0, 0.07733234, 142, 262);
INSERT INTO public.ecdc_data VALUES (46995, 0, 7, 0.58151339, 49, 262);
INSERT INTO public.ecdc_data VALUES (46996, 0, 0, 0.07168618, 99, 262);
INSERT INTO public.ecdc_data VALUES (46997, 1, 1, 0.9234936, 50, 262);
INSERT INTO public.ecdc_data VALUES (46998, 57, 1977, 38.9384005, 199, 262);
INSERT INTO public.ecdc_data VALUES (46999, 0, 0, 2.61821228, 100, 262);
INSERT INTO public.ecdc_data VALUES (47000, 0, 3, 0.06098995, 51, 262);
INSERT INTO public.ecdc_data VALUES (47001, 13, 507, 14.82259607, 200, 262);
INSERT INTO public.ecdc_data VALUES (47002, 8, 502, 76.02456613, 143, 262);
INSERT INTO public.ecdc_data VALUES (47003, 458, 3827, 88.58298316, 201, 262);
INSERT INTO public.ecdc_data VALUES (47004, 3, 29, 0.38617054, 52, 262);
INSERT INTO public.ecdc_data VALUES (47005, 2239, 28369, 117.8490869, 101, 262);
INSERT INTO public.ecdc_data VALUES (47006, 0, 0, 11.47457903, 102, 262);
INSERT INTO public.ecdc_data VALUES (47007, 0, 11, 3.66868483, 103, 262);
INSERT INTO public.ecdc_data VALUES (47008, 0, 65, 1.57663117, 144, 262);
INSERT INTO public.ecdc_data VALUES (47009, 0, 2, 0.29106641, 104, 262);
INSERT INTO public.ecdc_data VALUES (47010, 0, 17, 0.01866018, 145, 262);
INSERT INTO public.ecdc_data VALUES (47011, 0, 0, 0, 53, 262);
INSERT INTO public.ecdc_data VALUES (47012, 1, 1, 0.08572823, 146, 262);
INSERT INTO public.ecdc_data VALUES (47013, 0, 7, 0.43110606, 54, 262);
INSERT INTO public.ecdc_data VALUES (47014, 0, 0, 0.03414024, 55, 262);
INSERT INTO public.ecdc_data VALUES (47015, 4, 30, 0.85432437, 105, 263);
INSERT INTO public.ecdc_data VALUES (47016, 0, 6, 9.08320107, 147, 263);
INSERT INTO public.ecdc_data VALUES (47017, 20, 45, 2.79654958, 1, 263);
INSERT INTO public.ecdc_data VALUES (47018, 1, 19, 500.1509642, 148, 263);
INSERT INTO public.ecdc_data VALUES (47019, 0, 1, 0.04713231, 2, 263);
INSERT INTO public.ecdc_data VALUES (47020, 0, 0, 0, 56, 263);
INSERT INTO public.ecdc_data VALUES (47021, 0, 0, 12.35648458, 57, 263);
INSERT INTO public.ecdc_data VALUES (47022, 7, 87, 2.96556495, 58, 263);
INSERT INTO public.ecdc_data VALUES (47023, 1, 28, 20.82679678, 149, 263);
INSERT INTO public.ecdc_data VALUES (47024, 0, 3, 58.32000753, 59, 263);
INSERT INTO public.ecdc_data VALUES (47025, 3, 112, 14.0180612, 202, 263);
INSERT INTO public.ecdc_data VALUES (47026, 23, 343, 83.05888794, 150, 263);
INSERT INTO public.ecdc_data VALUES (47027, 1, 76, 6.27007981, 151, 263);
INSERT INTO public.ecdc_data VALUES (47028, 1, 3, 8.21595641, 60, 263);
INSERT INTO public.ecdc_data VALUES (47029, 1, 55, 25.65252467, 106, 263);
INSERT INTO public.ecdc_data VALUES (47030, 5, 41, 0.0766654, 107, 263);
INSERT INTO public.ecdc_data VALUES (47031, 1, 3, 15.67829532, 61, 263);
INSERT INTO public.ecdc_data VALUES (47032, 0, 161, 8.25186468, 152, 263);
INSERT INTO public.ecdc_data VALUES (47033, 277, 1515, 161.02282227, 153, 263);
INSERT INTO public.ecdc_data VALUES (47034, 0, 0, 1.53707817, 62, 263);
INSERT INTO public.ecdc_data VALUES (47035, 0, 0, 0.17794874, 3, 263);
INSERT INTO public.ecdc_data VALUES (47036, 0, 0, 52.79324246, 63, 263);
INSERT INTO public.ecdc_data VALUES (47037, 0, 0, 0.39313636, 108, 263);
INSERT INTO public.ecdc_data VALUES (47038, 1, 16, 1.54606465, 64, 263);
INSERT INTO public.ecdc_data VALUES (47039, 0, 0, 0, 65, 263);
INSERT INTO public.ecdc_data VALUES (47040, 4, 86, 18.69131699, 154, 263);
INSERT INTO public.ecdc_data VALUES (47041, 0, 0, 0, 4, 263);
INSERT INTO public.ecdc_data VALUES (47042, 114, 1661, 5.45653933, 66, 263);
INSERT INTO public.ecdc_data VALUES (47043, 0, 0, 0, 67, 263);
INSERT INTO public.ecdc_data VALUES (47044, 0, 0, 7.15446254, 109, 263);
INSERT INTO public.ecdc_data VALUES (47045, 1, 28, 5.09997159, 155, 263);
INSERT INTO public.ecdc_data VALUES (47046, 2, 20, 1.4024636, 5, 263);
INSERT INTO public.ecdc_data VALUES (47047, 0, 0, 0, 6, 263);
INSERT INTO public.ecdc_data VALUES (47048, 0, 2, 0.15770439, 110, 263);
INSERT INTO public.ecdc_data VALUES (47049, 0, 27, 2.36895514, 7, 263);
INSERT INTO public.ecdc_data VALUES (47050, 57, 1230, 42.56497775, 68, 263);
INSERT INTO public.ecdc_data VALUES (47051, 0, 0, 0.72735737, 8, 263);
INSERT INTO public.ecdc_data VALUES (47052, 0, 6, 64.66711831, 69, 263);
INSERT INTO public.ecdc_data VALUES (47053, 0, 0, 0.1053701, 9, 263);
INSERT INTO public.ecdc_data VALUES (47054, 0, 0, 0.03762491, 10, 263);
INSERT INTO public.ecdc_data VALUES (47055, 6, 301, 22.12954968, 70, 263);
INSERT INTO public.ecdc_data VALUES (47056, 2, 86, 0.08041659, 111, 263);
INSERT INTO public.ecdc_data VALUES (47057, 4, 201, 2.7850924, 71, 263);
INSERT INTO public.ecdc_data VALUES (47058, 0, 0, 0.7620104, 12, 263);
INSERT INTO public.ecdc_data VALUES (47059, 0, 16, 6.06233387, 72, 263);
INSERT INTO public.ecdc_data VALUES (47060, 0, 26, 1.07323866, 13, 263);
INSERT INTO public.ecdc_data VALUES (47061, 2, 60, 22.0791385, 156, 263);
INSERT INTO public.ecdc_data VALUES (47062, 2, 46, 3.07054742, 73, 263);
INSERT INTO public.ecdc_data VALUES (47063, 0, 0, 6.11908972, 74, 263);
INSERT INTO public.ecdc_data VALUES (47064, 0, 29, 42.24231333, 157, 263);
INSERT INTO public.ecdc_data VALUES (47065, 10, 195, 34.01941821, 158, 263);
INSERT INTO public.ecdc_data VALUES (47066, 0, 19, 0.15554686, 14, 263);
INSERT INTO public.ecdc_data VALUES (47067, 16, 390, 59.93715899, 159, 263);
INSERT INTO public.ecdc_data VALUES (47068, 0, 31, 12.12050245, 15, 263);
INSERT INTO public.ecdc_data VALUES (47069, 0, 0, 18.10383244, 75, 263);
INSERT INTO public.ecdc_data VALUES (47070, 12, 128, 15.30874926, 76, 263);
INSERT INTO public.ecdc_data VALUES (47071, 29, 248, 16.76676361, 77, 263);
INSERT INTO public.ecdc_data VALUES (47072, 7, 249, 0.95230434, 16, 263);
INSERT INTO public.ecdc_data VALUES (47073, 0, 0, 1.06917898, 78, 263);
INSERT INTO public.ecdc_data VALUES (47074, 0, 0, 0.51623104, 17, 263);
INSERT INTO public.ecdc_data VALUES (47075, 0, 0, 0.85784948, 18, 263);
INSERT INTO public.ecdc_data VALUES (47076, 2, 41, 58.87592277, 160, 263);
INSERT INTO public.ecdc_data VALUES (47077, 0, 0, 0.52258754, 19, 263);
INSERT INTO public.ecdc_data VALUES (47078, 0, 8, 0.03658143, 20, 263);
INSERT INTO public.ecdc_data VALUES (47079, 0, 3, 0, 79, 263);
INSERT INTO public.ecdc_data VALUES (47080, 0, 1, 127.37021591, 161, 263);
INSERT INTO public.ecdc_data VALUES (47081, 0, 1, 1.12365232, 203, 263);
INSERT INTO public.ecdc_data VALUES (47082, 7, 132, 27.47412566, 162, 263);
INSERT INTO public.ecdc_data VALUES (47083, 1417, 3777, 83.36456738, 163, 263);
INSERT INTO public.ecdc_data VALUES (47084, 0, 6, 7.877258, 204, 263);
INSERT INTO public.ecdc_data VALUES (47085, 0, 9, 1.10467841, 21, 263);
INSERT INTO public.ecdc_data VALUES (47086, 0, 0, 0.04259495, 22, 263);
INSERT INTO public.ecdc_data VALUES (47087, 1, 8, 3.15255199, 164, 263);
INSERT INTO public.ecdc_data VALUES (47088, 254, 4003, 86.33423205, 165, 263);
INSERT INTO public.ecdc_data VALUES (47089, 0, 0, 0.76928494, 23, 263);
INSERT INTO public.ecdc_data VALUES (47090, 0, 4, 290.74942147, 166, 263);
INSERT INTO public.ecdc_data VALUES (47091, 2, 77, 10.15422581, 167, 263);
INSERT INTO public.ecdc_data VALUES (47092, 0, 0, 12.35439463, 80, 263);
INSERT INTO public.ecdc_data VALUES (47093, 0, 0, 9.82125319, 81, 263);
INSERT INTO public.ecdc_data VALUES (47094, 0, 9, 53.19943812, 205, 263);
INSERT INTO public.ecdc_data VALUES (47095, 0, 6, 0.33558047, 82, 263);
INSERT INTO public.ecdc_data VALUES (47096, 0, 1, 221.81547434, 168, 263);
INSERT INTO public.ecdc_data VALUES (47097, 0, 16, 1.09621254, 24, 263);
INSERT INTO public.ecdc_data VALUES (47098, 0, 0, 0, 25, 263);
INSERT INTO public.ecdc_data VALUES (47099, 0, 2, 3.57701766, 83, 263);
INSERT INTO public.ecdc_data VALUES (47100, 0, 1, 0.1598142, 84, 263);
INSERT INTO public.ecdc_data VALUES (47101, 0, 0, 736.19631902, 169, 263);
INSERT INTO public.ecdc_data VALUES (47102, 0, 7, 2.83189763, 85, 263);
INSERT INTO public.ecdc_data VALUES (47103, 11, 78, 6.84556127, 170, 263);
INSERT INTO public.ecdc_data VALUES (47104, 0, 24, 262.75172203, 171, 263);
INSERT INTO public.ecdc_data VALUES (47105, 35, 773, 0.33898857, 112, 263);
INSERT INTO public.ecdc_data VALUES (47106, 12, 247, 0.75824322, 113, 263);
INSERT INTO public.ecdc_data VALUES (47107, 133, 2089, 45.56293117, 114, 263);
INSERT INTO public.ecdc_data VALUES (47108, 0, 0, 1.81888537, 115, 263);
INSERT INTO public.ecdc_data VALUES (47109, 36, 345, 89.3104742, 172, 263);
INSERT INTO public.ecdc_data VALUES (47110, 0, 11, 150.13772476, 173, 263);
INSERT INTO public.ecdc_data VALUES (47111, 8, 344, 85.89834017, 116, 263);
INSERT INTO public.ecdc_data VALUES (47112, 604, 3039, 110.02402172, 174, 263);
INSERT INTO public.ecdc_data VALUES (47113, 0, 4, 1.42456085, 86, 263);
INSERT INTO public.ecdc_data VALUES (47114, 1, 351, 2.41525522, 117, 263);
INSERT INTO public.ecdc_data VALUES (47115, 0, 1, 141.00708746, 175, 263);
INSERT INTO public.ecdc_data VALUES (47116, 0, 0, 2.19765055, 118, 263);
INSERT INTO public.ecdc_data VALUES (47117, 0, 34, 3.36901289, 119, 263);
INSERT INTO public.ecdc_data VALUES (47118, 2, 14, 0.27960606, 26, 263);
INSERT INTO public.ecdc_data VALUES (47119, 2, 19, 8.17345063, 176, 263);
INSERT INTO public.ecdc_data VALUES (47120, 0, 78, 13.12074868, 120, 263);
INSERT INTO public.ecdc_data VALUES (47121, 0, 42, 3.55369849, 121, 263);
INSERT INTO public.ecdc_data VALUES (47122, 0, 0, 0.1394806, 122, 263);
INSERT INTO public.ecdc_data VALUES (47123, 1, 6, 18.28155469, 177, 263);
INSERT INTO public.ecdc_data VALUES (47124, 0, 7, 3.55907755, 123, 263);
INSERT INTO public.ecdc_data VALUES (47125, 0, 0, 0.2227905, 28, 263);
INSERT INTO public.ecdc_data VALUES (47126, 0, 1, 0.2655865, 29, 263);
INSERT INTO public.ecdc_data VALUES (47127, 0, 0, 80.77544426, 178, 263);
INSERT INTO public.ecdc_data VALUES (47128, 1, 37, 24.01416657, 179, 263);
INSERT INTO public.ecdc_data VALUES (47129, 3, 127, 304.77574304, 180, 263);
INSERT INTO public.ecdc_data VALUES (47130, 0, 8, 0.24472265, 30, 263);
INSERT INTO public.ecdc_data VALUES (47131, 1, 3, 0, 31, 263);
INSERT INTO public.ecdc_data VALUES (47132, 1, 170, 7.32086212, 124, 263);
INSERT INTO public.ecdc_data VALUES (47133, 0, 0, 1.13003501, 125, 263);
INSERT INTO public.ecdc_data VALUES (47134, 0, 9, 0.28487097, 32, 263);
INSERT INTO public.ecdc_data VALUES (47135, 0, 6, 34.44370379, 181, 263);
INSERT INTO public.ecdc_data VALUES (47136, 0, 0, 0.08838416, 33, 263);
INSERT INTO public.ecdc_data VALUES (47137, 0, 24, 17.79990076, 34, 263);
INSERT INTO public.ecdc_data VALUES (47138, 16, 473, 3.15656148, 87, 263);
INSERT INTO public.ecdc_data VALUES (47139, 3, 91, 23.02598548, 182, 263);
INSERT INTO public.ecdc_data VALUES (47140, 0, 2, 93.69805048, 183, 263);
INSERT INTO public.ecdc_data VALUES (47141, 0, 0, 0.15503078, 126, 263);
INSERT INTO public.ecdc_data VALUES (47142, 0, 8, 31.18058703, 184, 263);
INSERT INTO public.ecdc_data VALUES (47143, 0, 0, 100.18032458, 88, 263);
INSERT INTO public.ecdc_data VALUES (47144, 10, 64, 2.7802328, 35, 263);
INSERT INTO public.ecdc_data VALUES (47145, 0, 0, 0.02963837, 36, 263);
INSERT INTO public.ecdc_data VALUES (47146, 0, 0, 0.03515561, 127, 263);
INSERT INTO public.ecdc_data VALUES (47147, 0, 0, 0.52114151, 37, 263);
INSERT INTO public.ecdc_data VALUES (47148, 0, 0, 0.02097263, 128, 263);
INSERT INTO public.ecdc_data VALUES (47149, 234, 777, 81.12410466, 185, 263);
INSERT INTO public.ecdc_data VALUES (47150, 0, 0, 3.18294507, 207, 263);
INSERT INTO public.ecdc_data VALUES (47151, 0, 26, 16.30754525, 208, 263);
INSERT INTO public.ecdc_data VALUES (47152, 0, 0, 0.06111066, 89, 263);
INSERT INTO public.ecdc_data VALUES (47153, 1, 25, 1.1625553, 38, 263);
INSERT INTO public.ecdc_data VALUES (47154, 1, 16, 0.10449653, 39, 263);
INSERT INTO public.ecdc_data VALUES (47155, 5, 29, 21.71263069, 186, 263);
INSERT INTO public.ecdc_data VALUES (47156, 1, 0, 0, 209, 263);
INSERT INTO public.ecdc_data VALUES (47157, 10, 108, 61.87816851, 187, 263);
INSERT INTO public.ecdc_data VALUES (47158, 0, 48, 6.73367917, 129, 263);
INSERT INTO public.ecdc_data VALUES (47159, 4, 208, 1.42266548, 130, 263);
INSERT INTO public.ecdc_data VALUES (47160, 0, 7, 4.03499242, 131, 263);
INSERT INTO public.ecdc_data VALUES (47161, 4, 149, 42.52974256, 90, 263);
INSERT INTO public.ecdc_data VALUES (47162, 0, 1, 0.01139456, 210, 263);
INSERT INTO public.ecdc_data VALUES (47163, 0, 2, 1.10722494, 91, 263);
INSERT INTO public.ecdc_data VALUES (47164, 15, 393, 7.80671773, 92, 263);
INSERT INTO public.ecdc_data VALUES (47165, 14, 104, 2.97086603, 132, 263);
INSERT INTO public.ecdc_data VALUES (47166, 22, 435, 10.39427894, 188, 263);
INSERT INTO public.ecdc_data VALUES (47167, 34, 712, 98.08675365, 189, 263);
INSERT INTO public.ecdc_data VALUES (47168, 2, 60, 0, 93, 263);
INSERT INTO public.ecdc_data VALUES (47169, 2, 225, 54.05937916, 133, 263);
INSERT INTO public.ecdc_data VALUES (47170, 25, 360, 18.82617583, 190, 263);
INSERT INTO public.ecdc_data VALUES (47171, 11, 1154, 4.80009016, 191, 263);
INSERT INTO public.ecdc_data VALUES (47172, 0, 0, 0.51477247, 40, 263);
INSERT INTO public.ecdc_data VALUES (47173, 0, 0, 20.81992656, 94, 263);
INSERT INTO public.ecdc_data VALUES (47174, 0, 0, 6.56473098, 95, 263);
INSERT INTO public.ecdc_data VALUES (47175, 0, 1, 6.32951453, 96, 263);
INSERT INTO public.ecdc_data VALUES (47176, 2, 2, 267.03044728, 192, 263);
INSERT INTO public.ecdc_data VALUES (47177, 3, 272, 5.91796631, 134, 263);
INSERT INTO public.ecdc_data VALUES (47178, 0, 11, 0.92658717, 42, 263);
INSERT INTO public.ecdc_data VALUES (47179, 3, 247, 31.56339014, 193, 263);
INSERT INTO public.ecdc_data VALUES (47180, 0, 0, 3.06933631, 43, 263);
INSERT INTO public.ecdc_data VALUES (47181, 0, 0, 0, 44, 263);
INSERT INTO public.ecdc_data VALUES (47182, 0, 106, 15.90188588, 135, 263);
INSERT INTO public.ecdc_data VALUES (47183, 4, 15, 94.36410389, 97, 263);
INSERT INTO public.ecdc_data VALUES (47184, 0, 47, 6.91689688, 194, 263);
INSERT INTO public.ecdc_data VALUES (47185, 6, 34, 27.63216827, 195, 263);
INSERT INTO public.ecdc_data VALUES (47186, 0, 1, 0.04532826, 45, 263);
INSERT INTO public.ecdc_data VALUES (47187, 1, 63, 2.03557937, 46, 263);
INSERT INTO public.ecdc_data VALUES (47188, 8, 53, 2.43434297, 136, 263);
INSERT INTO public.ecdc_data VALUES (47189, 0, 0, 0, 47, 263);
INSERT INTO public.ecdc_data VALUES (47190, 743, 5583, 203.85597223, 196, 263);
INSERT INTO public.ecdc_data VALUES (47191, 1, 7, 0.38923764, 137, 263);
INSERT INTO public.ecdc_data VALUES (47192, 0, 2, 0.02569299, 48, 263);
INSERT INTO public.ecdc_data VALUES (47193, 0, 0, 0.34401914, 98, 263);
INSERT INTO public.ecdc_data VALUES (47194, 84, 738, 52.71654423, 197, 263);
INSERT INTO public.ecdc_data VALUES (47195, 57, 590, 156.53294793, 198, 263);
INSERT INTO public.ecdc_data VALUES (47196, 0, 0, 0.10544734, 138, 263);
INSERT INTO public.ecdc_data VALUES (47197, 0, 3, 0.67300749, 139, 263);
INSERT INTO public.ecdc_data VALUES (47198, 4, 111, 2.06102409, 141, 263);
INSERT INTO public.ecdc_data VALUES (47199, 0, 0, 0, 142, 263);
INSERT INTO public.ecdc_data VALUES (47200, 0, 7, 0.58151339, 49, 263);
INSERT INTO public.ecdc_data VALUES (47201, 0, 2, 3.58430904, 99, 263);
INSERT INTO public.ecdc_data VALUES (47202, 0, 22, 4.12151773, 50, 263);
INSERT INTO public.ecdc_data VALUES (47203, 76, 3892, 39.31155357, 199, 263);
INSERT INTO public.ecdc_data VALUES (47204, 0, 0, 18.32748599, 100, 263);
INSERT INTO public.ecdc_data VALUES (47205, 0, 0, 0.09713215, 51, 263);
INSERT INTO public.ecdc_data VALUES (47206, 7, 143, 3.13227072, 200, 263);
INSERT INTO public.ecdc_data VALUES (47207, 1, 268, 21.13499314, 143, 263);
INSERT INTO public.ecdc_data VALUES (47208, 1105, 5282, 80.12950359, 201, 263);
INSERT INTO public.ecdc_data VALUES (47209, 0, 0, 0.02068771, 52, 263);
INSERT INTO public.ecdc_data VALUES (47210, 1906, 30613, 104.41040119, 101, 263);
INSERT INTO public.ecdc_data VALUES (47211, 0, 3, 26.77401773, 102, 263);
INSERT INTO public.ecdc_data VALUES (47212, 1, 6, 6.58630032, 103, 263);
INSERT INTO public.ecdc_data VALUES (47213, 0, 107, 1.36136038, 144, 263);
INSERT INTO public.ecdc_data VALUES (47214, 2, 7, 0.26301182, 104, 263);
INSERT INTO public.ecdc_data VALUES (47215, 0, 0, 0.11818112, 145, 263);
INSERT INTO public.ecdc_data VALUES (47216, 0, 0, 0.20155608, 54, 263);
INSERT INTO public.ecdc_data VALUES (47217, 0, 1, 0.05462439, 55, 263);
INSERT INTO public.ecdc_data VALUES (47218, 0, 3, 0.01051476, 105, 264);
INSERT INTO public.ecdc_data VALUES (47219, 1, 1, 0, 58, 264);
INSERT INTO public.ecdc_data VALUES (47220, 1, 11, 0.20632301, 202, 264);
INSERT INTO public.ecdc_data VALUES (47221, 0, 25, 1.117536, 150, 264);
INSERT INTO public.ecdc_data VALUES (47222, 0, 7, 3.83873885, 106, 264);
INSERT INTO public.ecdc_data VALUES (47223, 0, 27, 2.74976629, 153, 264);
INSERT INTO public.ecdc_data VALUES (47224, 0, 0, 0.00615969, 66, 264);
INSERT INTO public.ecdc_data VALUES (47225, 0, 2, 0, 155, 264);
INSERT INTO public.ecdc_data VALUES (47226, 0, 1, 0.00606555, 110, 264);
INSERT INTO public.ecdc_data VALUES (47227, 0, 6, 0.12830438, 68, 264);
INSERT INTO public.ecdc_data VALUES (47228, 27, 46, 0.26489351, 111, 264);
INSERT INTO public.ecdc_data VALUES (47229, 0, 1, 0.29438851, 156, 264);
INSERT INTO public.ecdc_data VALUES (47230, 0, 7, 0.24413604, 158, 264);
INSERT INTO public.ecdc_data VALUES (47231, 0, 8, 0.53392297, 159, 264);
INSERT INTO public.ecdc_data VALUES (47232, 0, 1, 0, 161, 264);
INSERT INTO public.ecdc_data VALUES (47233, 1, 103, 1.05054427, 163, 264);
INSERT INTO public.ecdc_data VALUES (47234, 0, 3, 0.30024305, 164, 264);
INSERT INTO public.ecdc_data VALUES (47235, 0, 163, 1.00217765, 165, 264);
INSERT INTO public.ecdc_data VALUES (47236, 0, 21, 0.61540763, 167, 264);
INSERT INTO public.ecdc_data VALUES (47237, 0, 3, 0, 170, 264);
INSERT INTO public.ecdc_data VALUES (47238, 0, 10, 14.84631265, 171, 264);
INSERT INTO public.ecdc_data VALUES (47239, 0, 3, 0.00226871, 112, 264);
INSERT INTO public.ecdc_data VALUES (47240, 21, 1076, 6.98917852, 114, 264);
INSERT INTO public.ecdc_data VALUES (47241, 0, 16, 0.13737036, 115, 264);
INSERT INTO public.ecdc_data VALUES (47242, 0, 1, 0.38741987, 172, 264);
INSERT INTO public.ecdc_data VALUES (47243, 0, 6, 0.29344883, 116, 264);
INSERT INTO public.ecdc_data VALUES (47244, 36, 1247, 9.61571182, 174, 264);
INSERT INTO public.ecdc_data VALUES (47245, 0, 47, 0.25461078, 117, 264);
INSERT INTO public.ecdc_data VALUES (47246, 0, 0, 0, 118, 264);
INSERT INTO public.ecdc_data VALUES (47247, 0, 3, 1.44993781, 120, 264);
INSERT INTO public.ecdc_data VALUES (47248, 0, 1, 0, 177, 264);
INSERT INTO public.ecdc_data VALUES (47249, 0, 10, 0.22222369, 124, 264);
INSERT INTO public.ecdc_data VALUES (47250, 0, 2, 0, 125, 264);
INSERT INTO public.ecdc_data VALUES (47251, 0, 2, 0, 181, 264);
INSERT INTO public.ecdc_data VALUES (47252, 0, 1, 0.01646084, 87, 264);
INSERT INTO public.ecdc_data VALUES (47253, 0, 1, 0, 182, 264);
INSERT INTO public.ecdc_data VALUES (47254, 0, 60, 1.0878268, 185, 264);
INSERT INTO public.ecdc_data VALUES (47255, 0, 34, 2.75889923, 187, 264);
INSERT INTO public.ecdc_data VALUES (47256, 0, 3, 0, 131, 264);
INSERT INTO public.ecdc_data VALUES (47257, 0, 1, 0, 91, 264);
INSERT INTO public.ecdc_data VALUES (47258, 0, 1, 0.00277478, 132, 264);
INSERT INTO public.ecdc_data VALUES (47259, 0, 1, 0, 188, 264);
INSERT INTO public.ecdc_data VALUES (47260, 0, 8, 0, 189, 264);
INSERT INTO public.ecdc_data VALUES (47261, 0, 1, 0.42371819, 133, 264);
INSERT INTO public.ecdc_data VALUES (47262, 0, 6, 0.06696041, 190, 264);
INSERT INTO public.ecdc_data VALUES (47263, 0, 0, 0.00548425, 191, 264);
INSERT INTO public.ecdc_data VALUES (47264, 0, 3, 75.4651264, 192, 264);
INSERT INTO public.ecdc_data VALUES (47265, 0, 2, 0, 134, 264);
INSERT INTO public.ecdc_data VALUES (47266, 0, 8, 0.84419546, 135, 264);
INSERT INTO public.ecdc_data VALUES (47267, 0, 2, 0, 194, 264);
INSERT INTO public.ecdc_data VALUES (47268, 0, 3, 0, 195, 264);
INSERT INTO public.ecdc_data VALUES (47269, 0, 1, 0, 46, 264);
INSERT INTO public.ecdc_data VALUES (47270, 6, 367, 12.75345839, 136, 264);
INSERT INTO public.ecdc_data VALUES (47271, 0, 330, 2.32651981, 196, 264);
INSERT INTO public.ecdc_data VALUES (47272, 0, 33, 1.41737417, 197, 264);
INSERT INTO public.ecdc_data VALUES (47273, 0, 55, 3.08969707, 198, 264);
INSERT INTO public.ecdc_data VALUES (47274, 0, 0, 0.07991964, 139, 264);
INSERT INTO public.ecdc_data VALUES (47275, 0, 16, 0.36845509, 143, 264);
INSERT INTO public.ecdc_data VALUES (47276, 1, 81, 0.51165008, 201, 264);
INSERT INTO public.ecdc_data VALUES (47277, 3, 95, 0.12094878, 101, 264);
INSERT INTO public.ecdc_data VALUES (47278, 0, 4, 0.00518338, 145, 264);
INSERT INTO public.ecdc_data VALUES (47279, 0, 0, 0, 105, 265);
INSERT INTO public.ecdc_data VALUES (47280, 0, 0, 0, 1, 265);
INSERT INTO public.ecdc_data VALUES (47281, 0, 0, 0, 149, 265);
INSERT INTO public.ecdc_data VALUES (47282, 0, 0, 0.05158075, 202, 265);
INSERT INTO public.ecdc_data VALUES (47283, 0, 0, 0, 150, 265);
INSERT INTO public.ecdc_data VALUES (47284, 0, 0, 0, 151, 265);
INSERT INTO public.ecdc_data VALUES (47285, 0, 0, 0, 106, 265);
INSERT INTO public.ecdc_data VALUES (47286, 0, 0, 0, 152, 265);
INSERT INTO public.ecdc_data VALUES (47287, 0, 0, 0.00872942, 153, 265);
INSERT INTO public.ecdc_data VALUES (47288, 0, 0, 0, 66, 265);
INSERT INTO public.ecdc_data VALUES (47289, 0, 0, 0.00606555, 110, 265);
INSERT INTO public.ecdc_data VALUES (47290, 0, 0, 0.01871106, 68, 265);
INSERT INTO public.ecdc_data VALUES (47291, 0, 3, 0, 214, 265);
INSERT INTO public.ecdc_data VALUES (47292, 86, 3418, 2.32266556, 111, 265);
INSERT INTO public.ecdc_data VALUES (47293, 0, 0, 0, 156, 265);
INSERT INTO public.ecdc_data VALUES (47294, 0, 0, 0, 158, 265);
INSERT INTO public.ecdc_data VALUES (47295, 0, 0, 0, 159, 265);
INSERT INTO public.ecdc_data VALUES (47296, 0, 0, 0, 76, 265);
INSERT INTO public.ecdc_data VALUES (47297, 0, 0, 0, 77, 265);
INSERT INTO public.ecdc_data VALUES (47298, 0, 0, 0, 16, 265);
INSERT INTO public.ecdc_data VALUES (47299, 0, 0, 0, 160, 265);
INSERT INTO public.ecdc_data VALUES (47300, 0, 0, 0.01812277, 162, 265);
INSERT INTO public.ecdc_data VALUES (47301, 0, 5, 0.011938, 163, 265);
INSERT INTO public.ecdc_data VALUES (47302, 0, 0, 0, 164, 265);
INSERT INTO public.ecdc_data VALUES (47303, 0, 1, 0.01565903, 165, 265);
INSERT INTO public.ecdc_data VALUES (47304, 0, 0, 0, 167, 265);
INSERT INTO public.ecdc_data VALUES (47305, 0, 0, 0, 171, 265);
INSERT INTO public.ecdc_data VALUES (47306, 0, 0, 0.00021955, 112, 265);
INSERT INTO public.ecdc_data VALUES (47307, 0, 0, 0, 113, 265);
INSERT INTO public.ecdc_data VALUES (47308, 0, 0, 0, 114, 265);
INSERT INTO public.ecdc_data VALUES (47309, 0, 0, 0, 115, 265);
INSERT INTO public.ecdc_data VALUES (47310, 0, 0, 0, 172, 265);
INSERT INTO public.ecdc_data VALUES (47311, 0, 0, 0, 116, 265);
INSERT INTO public.ecdc_data VALUES (47312, 0, 0, 0.00497022, 174, 265);
INSERT INTO public.ecdc_data VALUES (47313, 0, 0, 0.01813018, 117, 265);
INSERT INTO public.ecdc_data VALUES (47314, 0, 0, 0, 120, 265);
INSERT INTO public.ecdc_data VALUES (47315, 0, 0, 0, 123, 265);
INSERT INTO public.ecdc_data VALUES (47316, 0, 0, 0, 179, 265);
INSERT INTO public.ecdc_data VALUES (47317, 0, 0, 0, 180, 265);
INSERT INTO public.ecdc_data VALUES (47318, 0, 1, 0.03755893, 124, 265);
INSERT INTO public.ecdc_data VALUES (47319, 0, 0, 0.00078385, 87, 265);
INSERT INTO public.ecdc_data VALUES (47320, 0, 0, 0, 183, 265);
INSERT INTO public.ecdc_data VALUES (47321, 0, 0, 0, 128, 265);
INSERT INTO public.ecdc_data VALUES (47322, 0, 0, 0, 185, 265);
INSERT INTO public.ecdc_data VALUES (47323, 0, 0, 0, 208, 265);
INSERT INTO public.ecdc_data VALUES (47324, 0, 0, 0, 39, 265);
INSERT INTO public.ecdc_data VALUES (47325, 0, 0, 0, 186, 265);
INSERT INTO public.ecdc_data VALUES (47326, 0, 0, 0, 187, 265);
INSERT INTO public.ecdc_data VALUES (47327, 0, 0, 0, 129, 265);
INSERT INTO public.ecdc_data VALUES (47328, 0, 0, 0, 130, 265);
INSERT INTO public.ecdc_data VALUES (47329, 0, 0, 0.00277478, 132, 265);
INSERT INTO public.ecdc_data VALUES (47330, 0, 0, 0, 133, 265);
INSERT INTO public.ecdc_data VALUES (47331, 0, 0, 0, 190, 265);
INSERT INTO public.ecdc_data VALUES (47332, 0, 0, 0.00137106, 191, 265);
INSERT INTO public.ecdc_data VALUES (47333, 0, 0, 0, 192, 265);
INSERT INTO public.ecdc_data VALUES (47334, 0, 3, 0.51685436, 135, 265);
INSERT INTO public.ecdc_data VALUES (47335, 0, 0, 0.04294751, 136, 265);
INSERT INTO public.ecdc_data VALUES (47336, 0, 0, 0.00213051, 196, 265);
INSERT INTO public.ecdc_data VALUES (47337, 0, 0, 0.00468961, 137, 265);
INSERT INTO public.ecdc_data VALUES (47338, 0, 0, 0.00977499, 197, 265);
INSERT INTO public.ecdc_data VALUES (47339, 0, 0, 0, 198, 265);
INSERT INTO public.ecdc_data VALUES (47340, 0, 1, 0.05888816, 139, 265);
INSERT INTO public.ecdc_data VALUES (47341, 0, 7, 0.03877885, 141, 265);
INSERT INTO public.ecdc_data VALUES (47342, 0, 2, 0.07164404, 143, 265);
INSERT INTO public.ecdc_data VALUES (47343, 0, 0, 0.00600176, 201, 265);
INSERT INTO public.ecdc_data VALUES (47344, 0, 0, 0.00303891, 101, 265);
INSERT INTO public.ecdc_data VALUES (47345, 0, 1, 0.01140344, 145, 265);
INSERT INTO public.ecdc_data VALUES (47346, 0, 0, 0, 105, 266);
INSERT INTO public.ecdc_data VALUES (47347, 0, 0, 0, 1, 266);
INSERT INTO public.ecdc_data VALUES (47348, 0, 0, 0, 149, 266);
INSERT INTO public.ecdc_data VALUES (47349, 0, 0, 0, 202, 266);
INSERT INTO public.ecdc_data VALUES (47350, 0, 0, 0, 150, 266);
INSERT INTO public.ecdc_data VALUES (47351, 0, 0, 0, 151, 266);
INSERT INTO public.ecdc_data VALUES (47352, 0, 0, 0, 106, 266);
INSERT INTO public.ecdc_data VALUES (47353, 0, 0, 0, 152, 266);
INSERT INTO public.ecdc_data VALUES (47354, 0, 0, 0, 153, 266);
INSERT INTO public.ecdc_data VALUES (47355, 0, 0, 0, 66, 266);
INSERT INTO public.ecdc_data VALUES (47356, 0, 0, 0, 110, 266);
INSERT INTO public.ecdc_data VALUES (47357, 0, 0, 0, 68, 266);
INSERT INTO public.ecdc_data VALUES (47358, 0, 0, 0, 214, 266);
INSERT INTO public.ecdc_data VALUES (47359, 0, 0, 0, 111, 266);
INSERT INTO public.ecdc_data VALUES (47360, 0, 0, 0, 156, 266);
INSERT INTO public.ecdc_data VALUES (47361, 0, 0, 0, 158, 266);
INSERT INTO public.ecdc_data VALUES (47362, 0, 0, 0, 159, 266);
INSERT INTO public.ecdc_data VALUES (47363, 0, 0, 0, 76, 266);
INSERT INTO public.ecdc_data VALUES (47364, 0, 0, 0, 77, 266);
INSERT INTO public.ecdc_data VALUES (47365, 0, 0, 0, 16, 266);
INSERT INTO public.ecdc_data VALUES (47366, 0, 0, 0, 160, 266);
INSERT INTO public.ecdc_data VALUES (47367, 0, 0, 0, 162, 266);
INSERT INTO public.ecdc_data VALUES (47368, 0, 0, 0, 163, 266);
INSERT INTO public.ecdc_data VALUES (47369, 0, 0, 0, 164, 266);
INSERT INTO public.ecdc_data VALUES (47370, 0, 0, 0, 165, 266);
INSERT INTO public.ecdc_data VALUES (47371, 0, 0, 0, 167, 266);
INSERT INTO public.ecdc_data VALUES (47372, 0, 0, 0, 171, 266);
INSERT INTO public.ecdc_data VALUES (47373, 0, 0, 0, 112, 266);
INSERT INTO public.ecdc_data VALUES (47374, 0, 0, 0, 113, 266);
INSERT INTO public.ecdc_data VALUES (47375, 0, 0, 0, 114, 266);
INSERT INTO public.ecdc_data VALUES (47376, 0, 0, 0, 115, 266);
INSERT INTO public.ecdc_data VALUES (47377, 0, 0, 0, 172, 266);
INSERT INTO public.ecdc_data VALUES (47378, 0, 0, 0, 116, 266);
INSERT INTO public.ecdc_data VALUES (47379, 0, 0, 0, 174, 266);
INSERT INTO public.ecdc_data VALUES (47380, 0, 0, 0, 117, 266);
INSERT INTO public.ecdc_data VALUES (47381, 0, 0, 0, 120, 266);
INSERT INTO public.ecdc_data VALUES (47382, 0, 0, 0, 123, 266);
INSERT INTO public.ecdc_data VALUES (47383, 0, 0, 0, 179, 266);
INSERT INTO public.ecdc_data VALUES (47384, 0, 0, 0, 180, 266);
INSERT INTO public.ecdc_data VALUES (47385, 0, 0, 0, 124, 266);
INSERT INTO public.ecdc_data VALUES (47386, 0, 0, 0, 87, 266);
INSERT INTO public.ecdc_data VALUES (47387, 0, 0, 0, 183, 266);
INSERT INTO public.ecdc_data VALUES (47388, 0, 0, 0, 128, 266);
INSERT INTO public.ecdc_data VALUES (47389, 0, 0, 0, 185, 266);
INSERT INTO public.ecdc_data VALUES (47390, 0, 0, 0, 208, 266);
INSERT INTO public.ecdc_data VALUES (47391, 0, 0, 0, 39, 266);
INSERT INTO public.ecdc_data VALUES (47392, 0, 0, 0, 186, 266);
INSERT INTO public.ecdc_data VALUES (47393, 0, 0, 0, 187, 266);
INSERT INTO public.ecdc_data VALUES (47394, 0, 0, 0, 129, 266);
INSERT INTO public.ecdc_data VALUES (47395, 0, 0, 0, 130, 266);
INSERT INTO public.ecdc_data VALUES (47396, 0, 0, 0, 132, 266);
INSERT INTO public.ecdc_data VALUES (47397, 0, 0, 0, 133, 266);
INSERT INTO public.ecdc_data VALUES (47398, 0, 0, 0, 190, 266);
INSERT INTO public.ecdc_data VALUES (47399, 0, 0, 0, 191, 266);
INSERT INTO public.ecdc_data VALUES (47400, 0, 0, 0, 192, 266);
INSERT INTO public.ecdc_data VALUES (47401, 0, 0, 0, 135, 266);
INSERT INTO public.ecdc_data VALUES (47402, 0, 0, 0, 136, 266);
INSERT INTO public.ecdc_data VALUES (47403, 0, 0, 0, 196, 266);
INSERT INTO public.ecdc_data VALUES (47404, 0, 0, 0, 137, 266);
INSERT INTO public.ecdc_data VALUES (47405, 0, 0, 0, 197, 266);
INSERT INTO public.ecdc_data VALUES (47406, 0, 0, 0, 198, 266);
INSERT INTO public.ecdc_data VALUES (47407, 0, 0, 0, 139, 266);
INSERT INTO public.ecdc_data VALUES (47408, 0, 0, 0, 141, 266);
INSERT INTO public.ecdc_data VALUES (47409, 0, 0, 0, 143, 266);
INSERT INTO public.ecdc_data VALUES (47410, 0, 0, 0, 201, 266);
INSERT INTO public.ecdc_data VALUES (47411, 0, 0, 0, 101, 266);
INSERT INTO public.ecdc_data VALUES (47412, 0, 0, 0, 145, 266);
INSERT INTO public.ecdc_data VALUES (47413, 26, 210, 7.21575505, 105, 267);
INSERT INTO public.ecdc_data VALUES (47414, 16, 840, 357.2842207, 147, 267);
INSERT INTO public.ecdc_data VALUES (47415, 15, 750, 31.10116184, 1, 267);
INSERT INTO public.ecdc_data VALUES (47416, 0, 45, 1042.30935847, 148, 267);
INSERT INTO public.ecdc_data VALUES (47417, 0, 0, 3.27726693, 2, 267);
INSERT INTO public.ecdc_data VALUES (47418, 0, 2, 33.62022593, 56, 267);
INSERT INTO public.ecdc_data VALUES (47419, 0, 2, 7.20794934, 57, 267);
INSERT INTO public.ecdc_data VALUES (47420, 138, 3278, 207.10496213, 58, 267);
INSERT INTO public.ecdc_data VALUES (47421, 18, 407, 528.61520735, 149, 267);
INSERT INTO public.ecdc_data VALUES (47422, 0, 8, 220.11099614, 59, 267);
INSERT INTO public.ecdc_data VALUES (47423, 0, 9, 0.57135602, 202, 267);
INSERT INTO public.ecdc_data VALUES (47424, 58, 2745, 619.18267481, 150, 267);
INSERT INTO public.ecdc_data VALUES (47425, 39, 4356, 533.30512129, 151, 267);
INSERT INTO public.ecdc_data VALUES (47426, 0, 9, 42.6202739, 60, 267);
INSERT INTO public.ecdc_data VALUES (47427, 0, 198, 135.57450687, 106, 267);
INSERT INTO public.ecdc_data VALUES (47428, 31, 1666, 18.52481383, 107, 267);
INSERT INTO public.ecdc_data VALUES (47429, 0, 2, 9.75538375, 61, 267);
INSERT INTO public.ecdc_data VALUES (47430, 9, 1878, 244.99574659, 152, 267);
INSERT INTO public.ecdc_data VALUES (47431, 83, 592, 273.64975782, 153, 267);
INSERT INTO public.ecdc_data VALUES (47432, 1, 168, 662.48069046, 62, 267);
INSERT INTO public.ecdc_data VALUES (47433, 0, 0, 1.17785121, 3, 267);
INSERT INTO public.ecdc_data VALUES (47434, 0, 0, 97.5875088, 63, 267);
INSERT INTO public.ecdc_data VALUES (47435, 0, 4, 6.29018181, 108, 267);
INSERT INTO public.ecdc_data VALUES (47436, 3, 68, 14.22726907, 64, 267);
INSERT INTO public.ecdc_data VALUES (47437, 0, 0, 11.54601085, 65, 267);
INSERT INTO public.ecdc_data VALUES (47438, 30, 739, 439.26109619, 154, 267);
INSERT INTO public.ecdc_data VALUES (47439, 0, 0, 84.08201925, 4, 267);
INSERT INTO public.ecdc_data VALUES (47440, 313, 26363, 252.13940431, 66, 267);
INSERT INTO public.ecdc_data VALUES (47441, 0, 0, 3.3296707, 67, 267);
INSERT INTO public.ecdc_data VALUES (47442, 0, 0, 0.69236734, 109, 267);
INSERT INTO public.ecdc_data VALUES (47443, 68, 577, 565.72541953, 155, 267);
INSERT INTO public.ecdc_data VALUES (47444, 0, 56, 2.34728119, 5, 267);
INSERT INTO public.ecdc_data VALUES (47445, 0, 0, 0.27752297, 6, 267);
INSERT INTO public.ecdc_data VALUES (47446, 0, 2, 0.25475324, 110, 267);
INSERT INTO public.ecdc_data VALUES (47447, 0, 0, 4.73018123, 7, 267);
INSERT INTO public.ecdc_data VALUES (47448, 76, 6261, 226.34763569, 68, 267);
INSERT INTO public.ecdc_data VALUES (47449, 0, 27, 143.10756161, 8, 267);
INSERT INTO public.ecdc_data VALUES (47450, 0, 0, 41.57171891, 69, 267);
INSERT INTO public.ecdc_data VALUES (47451, 0, 0, 0.23181423, 9, 267);
INSERT INTO public.ecdc_data VALUES (47452, 0, 3, 0.52047792, 10, 267);
INSERT INTO public.ecdc_data VALUES (47453, 36, 1714, 104.16823312, 70, 267);
INSERT INTO public.ecdc_data VALUES (47454, 0, 15, 0.01304241, 111, 267);
INSERT INTO public.ecdc_data VALUES (47455, 175, 8854, 243.71743644, 71, 267);
INSERT INTO public.ecdc_data VALUES (47456, 0, 0, 2.35047732, 11, 267);
INSERT INTO public.ecdc_data VALUES (47457, 0, 0, 2.63915797, 12, 267);
INSERT INTO public.ecdc_data VALUES (47458, 0, 0, 282.6513637, 72, 267);
INSERT INTO public.ecdc_data VALUES (47459, 0, 44, 1.34932542, 13, 267);
INSERT INTO public.ecdc_data VALUES (47460, 72, 2899, 1144.06736002, 156, 267);
INSERT INTO public.ecdc_data VALUES (47461, 0, 68, 8.25871374, 73, 267);
INSERT INTO public.ecdc_data VALUES (47462, 0, 125, 848.71774475, 74, 267);
INSERT INTO public.ecdc_data VALUES (47463, 2, 270, 434.75332202, 157, 267);
INSERT INTO public.ecdc_data VALUES (47464, 87, 2654, 512.40398881, 158, 267);
INSERT INTO public.ecdc_data VALUES (47465, 0, 67, 1.56122956, 14, 267);
INSERT INTO public.ecdc_data VALUES (47466, 7, 1745, 346.49878291, 159, 267);
INSERT INTO public.ecdc_data VALUES (47467, 0, 9, 3.38963204, 15, 267);
INSERT INTO public.ecdc_data VALUES (47468, 0, 0, 11.14081996, 75, 267);
INSERT INTO public.ecdc_data VALUES (47469, 0, 798, 93.51932408, 76, 267);
INSERT INTO public.ecdc_data VALUES (47470, 22, 607, 71.11341038, 77, 267);
INSERT INTO public.ecdc_data VALUES (47471, 21, 418, 5.38410558, 16, 267);
INSERT INTO public.ecdc_data VALUES (47472, 5, 214, 43.12355215, 78, 267);
INSERT INTO public.ecdc_data VALUES (47473, 0, 7, 2.6549025, 17, 267);
INSERT INTO public.ecdc_data VALUES (47474, 0, 0, 2.3161936, 18, 267);
INSERT INTO public.ecdc_data VALUES (47475, 5, 478, 396.5821772, 160, 267);
INSERT INTO public.ecdc_data VALUES (47476, 0, 6, 24.56161438, 19, 267);
INSERT INTO public.ecdc_data VALUES (47477, 2, 555, 6.70064713, 20, 267);
INSERT INTO public.ecdc_data VALUES (47478, 0, 0, 29.65599051, 79, 267);
INSERT INTO public.ecdc_data VALUES (47479, 0, 4, 20.54358321, 161, 267);
INSERT INTO public.ecdc_data VALUES (47480, 0, 0, 1.01128709, 203, 267);
INSERT INTO public.ecdc_data VALUES (47481, 0, 413, 108.59166291, 162, 267);
INSERT INTO public.ecdc_data VALUES (47482, 174, 11022, 227.25331784, 163, 267);
INSERT INTO public.ecdc_data VALUES (47483, 0, 0, 762.30373991, 204, 267);
INSERT INTO public.ecdc_data VALUES (47484, 0, 0, 5.66147683, 21, 267);
INSERT INTO public.ecdc_data VALUES (47485, 0, 0, 1.87417792, 22, 267);
INSERT INTO public.ecdc_data VALUES (47486, 36, 2501, 1408.29001076, 164, 267);
INSERT INTO public.ecdc_data VALUES (47487, 147, 12332, 306.58083931, 165, 267);
INSERT INTO public.ecdc_data VALUES (47488, 0, 76, 4.60255946, 23, 267);
INSERT INTO public.ecdc_data VALUES (47489, 0, 5, 281.84892897, 166, 267);
INSERT INTO public.ecdc_data VALUES (47490, 101, 903, 222.40458594, 167, 267);
INSERT INTO public.ecdc_data VALUES (47491, 0, 0, 0, 80, 267);
INSERT INTO public.ecdc_data VALUES (47492, 0, 0, 0, 81, 267);
INSERT INTO public.ecdc_data VALUES (47493, 0, 0, 271.97465555, 205, 267);
INSERT INTO public.ecdc_data VALUES (47494, 11, 198, 39.36529561, 82, 267);
INSERT INTO public.ecdc_data VALUES (47495, 0, 0, 7.75578582, 168, 267);
INSERT INTO public.ecdc_data VALUES (47496, 0, 0, 3.18684645, 24, 267);
INSERT INTO public.ecdc_data VALUES (47497, 0, 0, 1.09322787, 25, 267);
INSERT INTO public.ecdc_data VALUES (47498, 2, 28, 67.96333557, 83, 267);
INSERT INTO public.ecdc_data VALUES (47499, 0, 0, 1.38505643, 84, 267);
INSERT INTO public.ecdc_data VALUES (47500, 0, 0, 0, 169, 267);
INSERT INTO public.ecdc_data VALUES (47501, 1, 300, 67.59616524, 85, 267);
INSERT INTO public.ecdc_data VALUES (47502, 116, 3870, 779.67770811, 170, 267);
INSERT INTO public.ecdc_data VALUES (47503, 0, 6, 57.42441686, 171, 267);
INSERT INTO public.ecdc_data VALUES (47504, 391, 32981, 39.32457681, 112, 267);
INSERT INTO public.ecdc_data VALUES (47505, 151, 6089, 28.86940834, 113, 267);
INSERT INTO public.ecdc_data VALUES (47506, 294, 11561, 224.55344124, 114, 267);
INSERT INTO public.ecdc_data VALUES (47507, 21, 1680, 73.46516157, 115, 267);
INSERT INTO public.ecdc_data VALUES (47508, 0, 298, 77.17811526, 172, 267);
INSERT INTO public.ecdc_data VALUES (47509, 0, 0, 2.36437362, 173, 267);
INSERT INTO public.ecdc_data VALUES (47510, 8, 1135, 185.43618175, 116, 267);
INSERT INTO public.ecdc_data VALUES (47511, 564, 18887, 530.1729738, 174, 267);
INSERT INTO public.ecdc_data VALUES (47512, 4, 57, 28.35554461, 86, 267);
INSERT INTO public.ecdc_data VALUES (47513, 20, 1969, 24.55456927, 117, 267);
INSERT INTO public.ecdc_data VALUES (47514, 0, 96, 506.51230101, 175, 267);
INSERT INTO public.ecdc_data VALUES (47515, 46, 2576, 560.8958574, 118, 267);
INSERT INTO public.ecdc_data VALUES (47516, 0, 745, 68.47990354, 119, 267);
INSERT INTO public.ecdc_data VALUES (47517, 8, 396, 20.93811943, 26, 267);
INSERT INTO public.ecdc_data VALUES (47518, 19, 468, 473.1705093, 176, 267);
INSERT INTO public.ecdc_data VALUES (47519, 2, 205, 102.51773381, 120, 267);
INSERT INTO public.ecdc_data VALUES (47520, 2, 422, 85.8810468, 121, 267);
INSERT INTO public.ecdc_data VALUES (47521, 0, 2, 0.23711701, 122, 267);
INSERT INTO public.ecdc_data VALUES (47522, 9, 526, 426.7258621, 177, 267);
INSERT INTO public.ecdc_data VALUES (47523, 21, 2858, 301.6026497, 123, 267);
INSERT INTO public.ecdc_data VALUES (47524, 0, 0, 3.05843925, 27, 267);
INSERT INTO public.ecdc_data VALUES (47525, 0, 0, 2.53171018, 28, 267);
INSERT INTO public.ecdc_data VALUES (47526, 12, 1051, 129.20783073, 29, 267);
INSERT INTO public.ecdc_data VALUES (47527, 0, 0, 740.00729585, 178, 267);
INSERT INTO public.ecdc_data VALUES (47528, 11, 1387, 1037.4764153, 179, 267);
INSERT INTO public.ecdc_data VALUES (47529, 5, 667, 1197.43799418, 180, 267);
INSERT INTO public.ecdc_data VALUES (47530, 0, 0, 0.63776205, 30, 267);
INSERT INTO public.ecdc_data VALUES (47531, 0, 2, 0.25766626, 31, 267);
INSERT INTO public.ecdc_data VALUES (47532, 2, 1335, 56.08487743, 124, 267);
INSERT INTO public.ecdc_data VALUES (47533, 0, 39, 111.12010954, 125, 267);
INSERT INTO public.ecdc_data VALUES (47534, 1, 73, 4.72580585, 32, 267);
INSERT INTO public.ecdc_data VALUES (47535, 2, 97, 309.38550406, 181, 267);
INSERT INTO public.ecdc_data VALUES (47536, 0, 0, 0, 206, 267);
INSERT INTO public.ecdc_data VALUES (47537, 0, 0, 13.56696801, 33, 267);
INSERT INTO public.ecdc_data VALUES (47538, 0, 0, 0.86636685, 34, 267);
INSERT INTO public.ecdc_data VALUES (47539, 261, 7455, 105.01622141, 87, 267);
INSERT INTO public.ecdc_data VALUES (47540, 16, 1078, 462.34991682, 182, 267);
INSERT INTO public.ecdc_data VALUES (47541, 0, 1, 169.26099441, 183, 267);
INSERT INTO public.ecdc_data VALUES (47542, 0, 38, 7.65852052, 126, 267);
INSERT INTO public.ecdc_data VALUES (47543, 3, 367, 1154.64606819, 184, 267);
INSERT INTO public.ecdc_data VALUES (47544, 0, 0, 0, 88, 267);
INSERT INTO public.ecdc_data VALUES (47545, 61, 2919, 160.93270614, 35, 267);
INSERT INTO public.ecdc_data VALUES (47546, 0, 111, 3.97483465, 36, 267);
INSERT INTO public.ecdc_data VALUES (47547, 29, 1108, 36.8375327, 127, 267);
INSERT INTO public.ecdc_data VALUES (47548, 0, 128, 48.62651151, 37, 267);
INSERT INTO public.ecdc_data VALUES (47549, 17, 1096, 72.26119733, 128, 267);
INSERT INTO public.ecdc_data VALUES (47550, 25, 6769, 419.46716971, 185, 267);
INSERT INTO public.ecdc_data VALUES (47551, 0, 0, 1.06098169, 207, 267);
INSERT INTO public.ecdc_data VALUES (47552, 0, 1, 1.02444836, 208, 267);
INSERT INTO public.ecdc_data VALUES (47553, 0, 0, 1.72637611, 89, 267);
INSERT INTO public.ecdc_data VALUES (47554, 0, 67, 2.09345752, 38, 267);
INSERT INTO public.ecdc_data VALUES (47555, 0, 318, 1.4291145, 39, 267);
INSERT INTO public.ecdc_data VALUES (47556, 23, 657, 636.69521244, 186, 267);
INSERT INTO public.ecdc_data VALUES (47557, 0, 3, 8.73927254, 209, 267);
INSERT INTO public.ecdc_data VALUES (47558, 0, 0, 111.35067449, 187, 267);
INSERT INTO public.ecdc_data VALUES (47559, 9, 557, 56.38200021, 129, 267);
INSERT INTO public.ecdc_data VALUES (47560, 37, 3795, 20.02398196, 130, 267);
INSERT INTO public.ecdc_data VALUES (47561, 17, 2333, 555.96574633, 131, 267);
INSERT INTO public.ecdc_data VALUES (47562, 20, 1812, 540.12302069, 90, 267);
INSERT INTO public.ecdc_data VALUES (47563, 0, 0, 0.76343541, 210, 267);
INSERT INTO public.ecdc_data VALUES (47564, 20, 707, 162.44977209, 91, 267);
INSERT INTO public.ecdc_data VALUES (47565, 43, 1224, 74.56676562, 92, 267);
INSERT INTO public.ecdc_data VALUES (47566, 28, 1765, 19.43826917, 132, 267);
INSERT INTO public.ecdc_data VALUES (47567, 228, 9176, 532.27029908, 188, 267);
INSERT INTO public.ecdc_data VALUES (47568, 87, 3834, 600.5478262, 189, 267);
INSERT INTO public.ecdc_data VALUES (47569, 7, 2480, 449.3073576, 93, 267);
INSERT INTO public.ecdc_data VALUES (47570, 0, 125, 94.59508607, 133, 267);
INSERT INTO public.ecdc_data VALUES (47571, 134, 5231, 488.97064239, 190, 267);
INSERT INTO public.ecdc_data VALUES (47572, 457, 29039, 254.63443152, 191, 267);
INSERT INTO public.ecdc_data VALUES (47573, 0, 45, 3.67468344, 40, 267);
INSERT INTO public.ecdc_data VALUES (47574, 0, 0, 9.46360298, 94, 267);
INSERT INTO public.ecdc_data VALUES (47575, 0, 0, 24.61774119, 95, 267);
INSERT INTO public.ecdc_data VALUES (47576, 0, 0, 2.71264908, 96, 267);
INSERT INTO public.ecdc_data VALUES (47577, 0, 0, 1143.58691551, 192, 267);
INSERT INTO public.ecdc_data VALUES (47578, 0, 0, 9.30024925, 41, 267);
INSERT INTO public.ecdc_data VALUES (47579, 11, 187, 10.08213688, 134, 267);
INSERT INTO public.ecdc_data VALUES (47580, 1, 80, 3.65112164, 42, 267);
INSERT INTO public.ecdc_data VALUES (47581, 58, 5809, 1414.92445752, 193, 267);
INSERT INTO public.ecdc_data VALUES (47582, 0, 0, 18.41601784, 43, 267);
INSERT INTO public.ecdc_data VALUES (47583, 0, 6, 0.26877568, 44, 267);
INSERT INTO public.ecdc_data VALUES (47584, 0, 5, 1.72284787, 135, 267);
INSERT INTO public.ecdc_data VALUES (47585, 0, 2, 316.11974805, 97, 267);
INSERT INTO public.ecdc_data VALUES (47586, 15, 1269, 375.93426269, 194, 267);
INSERT INTO public.ecdc_data VALUES (47587, 14, 1030, 985.00270074, 195, 267);
INSERT INTO public.ecdc_data VALUES (47588, 0, 0, 0.14929362, 211, 267);
INSERT INTO public.ecdc_data VALUES (47589, 0, 0, 0.51803721, 45, 267);
INSERT INTO public.ecdc_data VALUES (47590, 139, 4116, 80.06726019, 46, 267);
INSERT INTO public.ecdc_data VALUES (47591, 4, 615, 13.97160596, 136, 267);
INSERT INTO public.ecdc_data VALUES (47592, 0, 15, 1.2113417, 47, 267);
INSERT INTO public.ecdc_data VALUES (47593, 394, 17681, 255.04793014, 196, 267);
INSERT INTO public.ecdc_data VALUES (47594, 3, 649, 36.13813603, 137, 267);
INSERT INTO public.ecdc_data VALUES (47595, 5, 272, 8.47635043, 48, 267);
INSERT INTO public.ecdc_data VALUES (47596, 0, 0, 4.81626798, 98, 267);
INSERT INTO public.ecdc_data VALUES (47597, 44, 1803, 713.81895831, 197, 267);
INSERT INTO public.ecdc_data VALUES (47598, 0, 0, 627.51279269, 198, 267);
INSERT INTO public.ecdc_data VALUES (47599, 5, 83, 6.90094254, 138, 267);
INSERT INTO public.ecdc_data VALUES (47600, 0, 0, 0.41221709, 139, 267);
INSERT INTO public.ecdc_data VALUES (47601, 0, 39, 5.7289849, 140, 267);
INSERT INTO public.ecdc_data VALUES (47602, 0, 21, 0.27863322, 141, 267);
INSERT INTO public.ecdc_data VALUES (47603, 0, 0, 0.07733234, 142, 267);
INSERT INTO public.ecdc_data VALUES (47604, 0, 10, 3.11790159, 49, 267);
INSERT INTO public.ecdc_data VALUES (47605, 0, 16, 22.72451933, 99, 267);
INSERT INTO public.ecdc_data VALUES (47606, 35, 1011, 130.75130223, 50, 267);
INSERT INTO public.ecdc_data VALUES (47607, 195, 30402, 438.92556208, 199, 267);
INSERT INTO public.ecdc_data VALUES (47608, 0, 0, 26.18212285, 100, 267);
INSERT INTO public.ecdc_data VALUES (47609, 0, 311, 10.23501755, 51, 267);
INSERT INTO public.ecdc_data VALUES (47610, 167, 11590, 456.06816421, 200, 267);
INSERT INTO public.ecdc_data VALUES (47611, 3, 1153, 178.4857847, 143, 267);
INSERT INTO public.ecdc_data VALUES (47612, 231, 17271, 316.88844972, 201, 267);
INSERT INTO public.ecdc_data VALUES (47613, 0, 0, 0, 52, 267);
INSERT INTO public.ecdc_data VALUES (47614, 1111, 173432, 762.79447316, 101, 267);
INSERT INTO public.ecdc_data VALUES (47615, 0, 0, 138.65116324, 102, 267);
INSERT INTO public.ecdc_data VALUES (47616, 1, 338, 75.22248263, 103, 267);
INSERT INTO public.ecdc_data VALUES (47617, 0, 461, 7.38591065, 144, 267);
INSERT INTO public.ecdc_data VALUES (47618, 0, 0, 0, 212, 267);
INSERT INTO public.ecdc_data VALUES (47619, 3, 265, 16.15593922, 104, 267);
INSERT INTO public.ecdc_data VALUES (47620, 0, 1, 0.06220059, 145, 267);
INSERT INTO public.ecdc_data VALUES (47621, 0, 0, 0, 213, 267);
INSERT INTO public.ecdc_data VALUES (47622, 0, 0, 0, 53, 267);
INSERT INTO public.ecdc_data VALUES (47623, 0, 0, 0.02743303, 146, 267);
INSERT INTO public.ecdc_data VALUES (47624, 0, 18, 2.75459976, 54, 267);
INSERT INTO public.ecdc_data VALUES (47625, 0, 101, 10.22841666, 55, 267);
INSERT INTO public.ecdc_data VALUES (47626, 2, 58, 3.53821723, 105, 268);
INSERT INTO public.ecdc_data VALUES (47627, 6, 489, 162.58929922, 147, 268);
INSERT INTO public.ecdc_data VALUES (47628, 13, 631, 12.00843963, 1, 268);
INSERT INTO public.ecdc_data VALUES (47629, 0, 0, 1440.06721189, 148, 268);
INSERT INTO public.ecdc_data VALUES (47630, 3, 289, 11.06038312, 2, 268);
INSERT INTO public.ecdc_data VALUES (47631, 0, 0, 0, 56, 268);
INSERT INTO public.ecdc_data VALUES (47632, 0, 0, 8.23765639, 57, 268);
INSERT INTO public.ecdc_data VALUES (47633, 370, 11786, 356.05984055, 58, 268);
INSERT INTO public.ecdc_data VALUES (47634, 27, 2476, 1046.0393924, 149, 268);
INSERT INTO public.ecdc_data VALUES (47635, 0, 14, 166.49421503, 59, 268);
INSERT INTO public.ecdc_data VALUES (47636, 0, 12, 0.63880777, 202, 268);
INSERT INTO public.ecdc_data VALUES (47637, 44, 6324, 697.87301292, 150, 268);
INSERT INTO public.ecdc_data VALUES (47638, 0, 0, 125.91912652, 151, 268);
INSERT INTO public.ecdc_data VALUES (47639, 0, 0, 157.6436637, 60, 268);
INSERT INTO public.ecdc_data VALUES (47640, 0, 237, 210.15571875, 106, 268);
INSERT INTO public.ecdc_data VALUES (47641, 15, 1469, 12.91781316, 107, 268);
INSERT INTO public.ecdc_data VALUES (47642, 0, 3, 5.22609844, 61, 268);
INSERT INTO public.ecdc_data VALUES (47643, 3, 991, 138.79001639, 152, 268);
INSERT INTO public.ecdc_data VALUES (47644, 214, 6648, 1551.37449469, 153, 268);
INSERT INTO public.ecdc_data VALUES (47645, 1, 39, 247.46958507, 62, 268);
INSERT INTO public.ecdc_data VALUES (47646, 0, 0, 1.59306495, 3, 268);
INSERT INTO public.ecdc_data VALUES (47647, 0, 2, 30.3961093, 63, 268);
INSERT INTO public.ecdc_data VALUES (47648, 0, 0, 2.883, 108, 268);
INSERT INTO public.ecdc_data VALUES (47649, 13, 142, 15.03504442, 64, 268);
INSERT INTO public.ecdc_data VALUES (47650, 0, 0, 15.39468114, 65, 268);
INSERT INTO public.ecdc_data VALUES (47651, 55, 1921, 633.95979034, 154, 268);
INSERT INTO public.ecdc_data VALUES (47652, 0, 0, 82.99680992, 4, 268);
INSERT INTO public.ecdc_data VALUES (47653, 302, 21428, 132.71340363, 66, 268);
INSERT INTO public.ecdc_data VALUES (47654, 0, 0, 0, 67, 268);
INSERT INTO public.ecdc_data VALUES (47655, 0, 0, 0, 109, 268);
INSERT INTO public.ecdc_data VALUES (47656, 58, 3839, 509.49716137, 155, 268);
INSERT INTO public.ecdc_data VALUES (47657, 0, 12, 0.63479931, 5, 268);
INSERT INTO public.ecdc_data VALUES (47658, 0, 5, 0.45097483, 6, 268);
INSERT INTO public.ecdc_data VALUES (47659, 0, 2, 0.04245887, 110, 268);
INSERT INTO public.ecdc_data VALUES (47660, 0, 0, 2.05979297, 7, 268);
INSERT INTO public.ecdc_data VALUES (47661, 55, 4471, 117.81816907, 68, 268);
INSERT INTO public.ecdc_data VALUES (47662, 3, 75, 186.56716418, 8, 268);
INSERT INTO public.ecdc_data VALUES (47663, 0, 1, 9.23815976, 69, 268);
INSERT INTO public.ecdc_data VALUES (47664, 0, 0, 0.27396227, 9, 268);
INSERT INTO public.ecdc_data VALUES (47665, 0, 9, 0.72114411, 10, 268);
INSERT INTO public.ecdc_data VALUES (47666, 46, 1808, 102.80690174, 70, 268);
INSERT INTO public.ecdc_data VALUES (47667, 0, 33, 0.02775872, 111, 268);
INSERT INTO public.ecdc_data VALUES (47668, 196, 9756, 255.84510341, 71, 268);
INSERT INTO public.ecdc_data VALUES (47669, 0, 0, 4.70095465, 11, 268);
INSERT INTO public.ecdc_data VALUES (47670, 0, 0, 4.14459315, 12, 268);
INSERT INTO public.ecdc_data VALUES (47671, 9, 1050, 269.25875685, 72, 268);
INSERT INTO public.ecdc_data VALUES (47672, 0, 12, 1.53986417, 13, 268);
INSERT INTO public.ecdc_data VALUES (47673, 34, 2890, 750.39632054, 156, 268);
INSERT INTO public.ecdc_data VALUES (47674, 1, 44, 6.60873567, 73, 268);
INSERT INTO public.ecdc_data VALUES (47675, 0, 23, 143.79860852, 74, 268);
INSERT INTO public.ecdc_data VALUES (47676, 0, 224, 256.07975349, 157, 268);
INSERT INTO public.ecdc_data VALUES (47677, 196, 11552, 1550.95870345, 158, 268);
INSERT INTO public.ecdc_data VALUES (47678, 1, 64, 0.49314114, 14, 268);
INSERT INTO public.ecdc_data VALUES (47679, 5, 1427, 250.7371151, 159, 268);
INSERT INTO public.ecdc_data VALUES (47680, 0, 5, 7.8064253, 15, 268);
INSERT INTO public.ecdc_data VALUES (47681, 0, 0, 6.96301248, 75, 268);
INSERT INTO public.ecdc_data VALUES (47682, 1, 476, 55.08914879, 76, 268);
INSERT INTO public.ecdc_data VALUES (47683, 31, 725, 81.95165819, 77, 268);
INSERT INTO public.ecdc_data VALUES (47684, 14, 224, 2.51424283, 16, 268);
INSERT INTO public.ecdc_data VALUES (47685, 4, 363, 42.20932665, 78, 268);
INSERT INTO public.ecdc_data VALUES (47686, 0, 0, 0.95871479, 17, 268);
INSERT INTO public.ecdc_data VALUES (47687, 0, 0, 0.6576846, 18, 268);
INSERT INTO public.ecdc_data VALUES (47688, 0, 241, 106.05214293, 160, 268);
INSERT INTO public.ecdc_data VALUES (47689, 0, 9, 12.62919888, 19, 268);
INSERT INTO public.ecdc_data VALUES (47690, 4, 355, 5.81466276, 20, 268);
INSERT INTO public.ecdc_data VALUES (47691, 0, 0, 0, 79, 268);
INSERT INTO public.ecdc_data VALUES (47692, 0, 0, 10.27179161, 161, 268);
INSERT INTO public.ecdc_data VALUES (47693, 0, 0, 0.11236523, 203, 268);
INSERT INTO public.ecdc_data VALUES (47694, 1, 266, 52.75539565, 162, 268);
INSERT INTO public.ecdc_data VALUES (47695, 828, 60486, 926.35620527, 163, 268);
INSERT INTO public.ecdc_data VALUES (47696, 0, 467, 1416.83226811, 204, 268);
INSERT INTO public.ecdc_data VALUES (47697, 0, 17, 4.74091149, 21, 268);
INSERT INTO public.ecdc_data VALUES (47698, 0, 1, 0.93708896, 22, 268);
INSERT INTO public.ecdc_data VALUES (47699, 18, 2859, 757.8634905, 164, 268);
INSERT INTO public.ecdc_data VALUES (47700, 130, 23399, 270.39885334, 165, 268);
INSERT INTO public.ecdc_data VALUES (47701, 0, 0, 3.90231291, 23, 268);
INSERT INTO public.ecdc_data VALUES (47702, 0, 16, 382.72117724, 166, 268);
INSERT INTO public.ecdc_data VALUES (47703, 13, 2447, 216.29713148, 167, 268);
INSERT INTO public.ecdc_data VALUES (47704, 0, 0, 0, 80, 268);
INSERT INTO public.ecdc_data VALUES (47705, 0, 0, 2.6785236, 81, 268);
INSERT INTO public.ecdc_data VALUES (47706, 4, 109, 581.00959383, 205, 268);
INSERT INTO public.ecdc_data VALUES (47707, 28, 653, 37.53951033, 82, 268);
INSERT INTO public.ecdc_data VALUES (47708, 0, 4, 20.16504312, 168, 268);
INSERT INTO public.ecdc_data VALUES (47709, 0, 0, 5.7003052, 24, 268);
INSERT INTO public.ecdc_data VALUES (47710, 0, 0, 0.5205847, 25, 268);
INSERT INTO public.ecdc_data VALUES (47711, 3, 64, 63.49206349, 83, 268);
INSERT INTO public.ecdc_data VALUES (47712, 0, 18, 0.99439949, 84, 268);
INSERT INTO public.ecdc_data VALUES (47713, 0, 0, 0, 169, 268);
INSERT INTO public.ecdc_data VALUES (47714, 5, 229, 78.94427677, 85, 268);
INSERT INTO public.ecdc_data VALUES (47715, 107, 5318, 499.80783312, 170, 268);
INSERT INTO public.ecdc_data VALUES (47716, 0, 22, 204.76706696, 171, 268);
INSERT INTO public.ecdc_data VALUES (47717, 577, 50356, 47.37921453, 112, 268);
INSERT INTO public.ecdc_data VALUES (47718, 94, 3778, 17.61252661, 113, 268);
INSERT INTO public.ecdc_data VALUES (47719, 424, 8864, 128.93979058, 114, 268);
INSERT INTO public.ecdc_data VALUES (47720, 69, 3568, 120.04643424, 115, 268);
INSERT INTO public.ecdc_data VALUES (47721, 7, 492, 189.16284684, 172, 268);
INSERT INTO public.ecdc_data VALUES (47722, 0, 0, 10.63968128, 173, 268);
INSERT INTO public.ecdc_data VALUES (47723, 5, 291, 112.23830674, 116, 268);
INSERT INTO public.ecdc_data VALUES (47724, 446, 37802, 625.93578819, 174, 268);
INSERT INTO public.ecdc_data VALUES (47725, 1, 53, 26.72747506, 86, 268);
INSERT INTO public.ecdc_data VALUES (47726, 3, 1132, 7.94495999, 117, 268);
INSERT INTO public.ecdc_data VALUES (47727, 0, 11, 104.82763739, 175, 268);
INSERT INTO public.ecdc_data VALUES (47728, 67, 5384, 517.91298036, 118, 268);
INSERT INTO public.ecdc_data VALUES (47729, 2, 774, 39.56029692, 119, 268);
INSERT INTO public.ecdc_data VALUES (47730, 21, 1109, 24.46267751, 26, 268);
INSERT INTO public.ecdc_data VALUES (47731, 12, 728, 297.07990966, 176, 268);
INSERT INTO public.ecdc_data VALUES (47732, 5, 825, 243.18547058, 120, 268);
INSERT INTO public.ecdc_data VALUES (47733, 2, 556, 111.59860165, 121, 268);
INSERT INTO public.ecdc_data VALUES (47734, 0, 0, 0, 122, 268);
INSERT INTO public.ecdc_data VALUES (47735, 7, 357, 170.21117019, 177, 268);
INSERT INTO public.ecdc_data VALUES (47736, 17, 2142, 333.28427446, 123, 268);
INSERT INTO public.ecdc_data VALUES (47737, 0, 4, 2.0703281, 27, 268);
INSERT INTO public.ecdc_data VALUES (47738, 0, 2, 0.99243039, 28, 268);
INSERT INTO public.ecdc_data VALUES (47739, 8, 1004, 192.69775829, 29, 268);
INSERT INTO public.ecdc_data VALUES (47740, 0, 50, 1102.19396529, 178, 268);
INSERT INTO public.ecdc_data VALUES (47741, 6, 1656, 416.68694689, 179, 268);
INSERT INTO public.ecdc_data VALUES (47742, 3, 659, 1458.72088667, 180, 268);
INSERT INTO public.ecdc_data VALUES (47743, 5, 102, 1.49429133, 30, 268);
INSERT INTO public.ecdc_data VALUES (47744, 0, 2, 0.30597868, 31, 268);
INSERT INTO public.ecdc_data VALUES (47745, 2, 1755, 42.80153462, 124, 268);
INSERT INTO public.ecdc_data VALUES (47746, 1, 39, 101.89149027, 125, 268);
INSERT INTO public.ecdc_data VALUES (47747, 0, 24, 1.08352707, 32, 268);
INSERT INTO public.ecdc_data VALUES (47748, 0, 146, 336.9404671, 181, 268);
INSERT INTO public.ecdc_data VALUES (47749, 0, 0, 0, 206, 268);
INSERT INTO public.ecdc_data VALUES (47750, 0, 27, 3.35859794, 33, 268);
INSERT INTO public.ecdc_data VALUES (47751, 0, 0, 1.33893059, 34, 268);
INSERT INTO public.ecdc_data VALUES (47752, 551, 5931, 58.28155335, 87, 268);
INSERT INTO public.ecdc_data VALUES (47753, 16, 935, 253.3847704, 182, 268);
INSERT INTO public.ecdc_data VALUES (47754, 0, 24, 480.58032341, 183, 268);
INSERT INTO public.ecdc_data VALUES (47755, 0, 1, 0.62012312, 126, 268);
INSERT INTO public.ecdc_data VALUES (47756, 0, 546, 906.96934338, 184, 268);
INSERT INTO public.ecdc_data VALUES (47757, 0, 0, 0, 88, 268);
INSERT INTO public.ecdc_data VALUES (47758, 68, 5398, 153.35972489, 35, 268);
INSERT INTO public.ecdc_data VALUES (47759, 2, 94, 5.7202053, 36, 268);
INSERT INTO public.ecdc_data VALUES (47760, 24, 1342, 31.29219714, 127, 268);
INSERT INTO public.ecdc_data VALUES (47761, 0, 53, 25.73637295, 37, 268);
INSERT INTO public.ecdc_data VALUES (47762, 18, 2909, 125.39885136, 128, 268);
INSERT INTO public.ecdc_data VALUES (47763, 118, 7232, 724.2322619, 185, 268);
INSERT INTO public.ecdc_data VALUES (47764, 0, 0, 0.70732113, 207, 268);
INSERT INTO public.ecdc_data VALUES (47765, 0, 2, 0.87809859, 208, 268);
INSERT INTO public.ecdc_data VALUES (47766, 0, 0, 2.39859335, 89, 268);
INSERT INTO public.ecdc_data VALUES (47767, 0, 4, 0.06434808, 38, 268);
INSERT INTO public.ecdc_data VALUES (47768, 0, 223, 0.9200671, 39, 268);
INSERT INTO public.ecdc_data VALUES (47769, 12, 1127, 554.03315726, 186, 268);
INSERT INTO public.ecdc_data VALUES (47770, 0, 0, 17.47854509, 209, 268);
INSERT INTO public.ecdc_data VALUES (47771, 1, 650, 112.4767558, 187, 268);
INSERT INTO public.ecdc_data VALUES (47772, 0, 0, 107.13585067, 129, 268);
INSERT INTO public.ecdc_data VALUES (47773, 20, 1502, 6.78317295, 130, 268);
INSERT INTO public.ecdc_data VALUES (47774, 3, 681, 160.55656397, 131, 268);
INSERT INTO public.ecdc_data VALUES (47775, 14, 1193, 232.99516772, 90, 268);
INSERT INTO public.ecdc_data VALUES (47776, 0, 0, 0.15952382, 210, 268);
INSERT INTO public.ecdc_data VALUES (47777, 10, 703, 116.71286492, 91, 268);
INSERT INTO public.ecdc_data VALUES (47778, 53, 2781, 105.77210499, 92, 268);
INSERT INTO public.ecdc_data VALUES (47779, 52, 2084, 24.0573554, 132, 268);
INSERT INTO public.ecdc_data VALUES (47780, 445, 27086, 699.04488506, 188, 268);
INSERT INTO public.ecdc_data VALUES (47781, 52, 5550, 529.9409329, 189, 268);
INSERT INTO public.ecdc_data VALUES (47782, 7, 1103, 325.04898746, 93, 268);
INSERT INTO public.ecdc_data VALUES (47783, 0, 192, 109.46053259, 133, 268);
INSERT INTO public.ecdc_data VALUES (47784, 123, 10260, 443.12336713, 190, 268);
INSERT INTO public.ecdc_data VALUES (47785, 378, 20582, 173.2981994, 191, 268);
INSERT INTO public.ecdc_data VALUES (47786, 0, 16, 1.23545392, 40, 268);
INSERT INTO public.ecdc_data VALUES (47787, 0, 0, 0, 94, 268);
INSERT INTO public.ecdc_data VALUES (47788, 0, 4, 33.91777674, 95, 268);
INSERT INTO public.ecdc_data VALUES (47789, 0, 0, 2.71264908, 96, 268);
INSERT INTO public.ecdc_data VALUES (47790, 0, 0, 650.16108902, 192, 268);
INSERT INTO public.ecdc_data VALUES (47791, 0, 2, 10.23027417, 41, 268);
INSERT INTO public.ecdc_data VALUES (47792, 17, 436, 16.53120273, 134, 268);
INSERT INTO public.ecdc_data VALUES (47793, 0, 36, 0.92658717, 42, 268);
INSERT INTO public.ecdc_data VALUES (47794, 10, 2282, 284.94647435, 193, 268);
INSERT INTO public.ecdc_data VALUES (47795, 0, 0, 5.11556051, 43, 268);
INSERT INTO public.ecdc_data VALUES (47796, 0, 2, 0.38396525, 44, 268);
INSERT INTO public.ecdc_data VALUES (47797, 0, 4, 1.65393396, 135, 268);
INSERT INTO public.ecdc_data VALUES (47798, 0, 9, 250.06487532, 97, 268);
INSERT INTO public.ecdc_data VALUES (47799, 31, 2354, 608.70527249, 194, 268);
INSERT INTO public.ecdc_data VALUES (47800, 12, 1564, 1121.86603156, 195, 268);
INSERT INTO public.ecdc_data VALUES (47801, 0, 0, 1.49293617, 211, 268);
INSERT INTO public.ecdc_data VALUES (47802, 0, 0, 2.14985444, 45, 268);
INSERT INTO public.ecdc_data VALUES (47803, 72, 1761, 37.16469273, 46, 268);
INSERT INTO public.ecdc_data VALUES (47804, 1, 89, 2.94580877, 136, 268);
INSERT INTO public.ecdc_data VALUES (47805, 0, 10, 0.71414921, 47, 268);
INSERT INTO public.ecdc_data VALUES (47806, 0, 0, 602.29592565, 196, 268);
INSERT INTO public.ecdc_data VALUES (47807, 1, 400, 27.27946241, 137, 268);
INSERT INTO public.ecdc_data VALUES (47808, 0, 0, 0.51152404, 48, 268);
INSERT INTO public.ecdc_data VALUES (47809, 0, 2, 12.38468908, 98, 268);
INSERT INTO public.ecdc_data VALUES (47810, 25, 4453, 359.11374037, 197, 268);
INSERT INTO public.ecdc_data VALUES (47811, 70, 9359, 1262.05932757, 198, 268);
INSERT INTO public.ecdc_data VALUES (47812, 4, 62, 4.58695926, 138, 268);
INSERT INTO public.ecdc_data VALUES (47813, 0, 0, 0.09674483, 139, 268);
INSERT INTO public.ecdc_data VALUES (47814, 0, 37, 6.01865267, 140, 268);
INSERT INTO public.ecdc_data VALUES (47815, 0, 12, 0.14218912, 141, 268);
INSERT INTO public.ecdc_data VALUES (47816, 0, 0, 0.07733234, 142, 268);
INSERT INTO public.ecdc_data VALUES (47817, 0, 18, 3.68704236, 49, 268);
INSERT INTO public.ecdc_data VALUES (47818, 0, 24, 22.29440224, 99, 268);
INSERT INTO public.ecdc_data VALUES (47819, 0, 0, 163.49257071, 50, 268);
INSERT INTO public.ecdc_data VALUES (47820, 83, 2436, 38.48964126, 199, 268);
INSERT INTO public.ecdc_data VALUES (47821, 0, 2, 20.94569828, 100, 268);
INSERT INTO public.ecdc_data VALUES (47822, 14, 284, 6.07414747, 51, 268);
INSERT INTO public.ecdc_data VALUES (47823, 201, 9721, 249.56332896, 200, 268);
INSERT INTO public.ecdc_data VALUES (47824, 2, 1292, 180.31782526, 143, 268);
INSERT INTO public.ecdc_data VALUES (47825, 355, 23287, 473.36784826, 201, 268);
INSERT INTO public.ecdc_data VALUES (47826, 0, 0, 0, 52, 268);
INSERT INTO public.ecdc_data VALUES (47827, 1162, 130623, 378.61100823, 101, 268);
INSERT INTO public.ecdc_data VALUES (47828, 0, 0, 42.07345643, 102, 268);
INSERT INTO public.ecdc_data VALUES (47829, 0, 61, 17.65012937, 103, 268);
INSERT INTO public.ecdc_data VALUES (47830, 0, 0, 10.09043951, 144, 268);
INSERT INTO public.ecdc_data VALUES (47831, 2, 384, 19.59262696, 104, 268);
INSERT INTO public.ecdc_data VALUES (47832, 0, 6, 0.06738397, 145, 268);
INSERT INTO public.ecdc_data VALUES (47833, 0, 0, 0, 213, 268);
INSERT INTO public.ecdc_data VALUES (47834, 0, 0, 0, 53, 268);
INSERT INTO public.ecdc_data VALUES (47835, 0, 0, 0.00685826, 146, 268);
INSERT INTO public.ecdc_data VALUES (47836, 0, 49, 4.05351672, 54, 268);
INSERT INTO public.ecdc_data VALUES (47837, 2, 27, 1.46120238, 55, 268);
INSERT INTO public.ecdc_data VALUES (47838, 2, 62, 1.05936222, 105, 269);
INSERT INTO public.ecdc_data VALUES (47839, 3, 158, 66.44710939, 147, 269);
INSERT INTO public.ecdc_data VALUES (47840, 5, 129, 5.07513358, 1, 269);
INSERT INTO public.ecdc_data VALUES (47841, 0, 0, 904.47247857, 148, 269);
INSERT INTO public.ecdc_data VALUES (47842, 13, 355, 4.67866775, 2, 269);
INSERT INTO public.ecdc_data VALUES (47843, 0, 0, 0, 56, 269);
INSERT INTO public.ecdc_data VALUES (47844, 0, 1, 12.35648458, 57, 269);
INSERT INTO public.ecdc_data VALUES (47845, 359, 14740, 384.75078815, 58, 269);
INSERT INTO public.ecdc_data VALUES (47846, 6, 406, 183.11352498, 149, 269);
INSERT INTO public.ecdc_data VALUES (47847, 1, 15, 403.53682626, 59, 269);
INSERT INTO public.ecdc_data VALUES (47848, 1, 25, 0.92051803, 202, 269);
INSERT INTO public.ecdc_data VALUES (47849, 22, 549, 118.95549893, 150, 269);
INSERT INTO public.ecdc_data VALUES (47850, 2, 143, 15.45624435, 151, 269);
INSERT INTO public.ecdc_data VALUES (47851, 0, 0, 280.36951264, 60, 269);
INSERT INTO public.ecdc_data VALUES (47852, 1, 360, 470.64156903, 106, 269);
INSERT INTO public.ecdc_data VALUES (47853, 30, 1499, 11.93097614, 107, 269);
INSERT INTO public.ecdc_data VALUES (47854, 0, 0, 3.83247219, 61, 269);
INSERT INTO public.ecdc_data VALUES (47855, 6, 394, 52.74845809, 152, 269);
INSERT INTO public.ecdc_data VALUES (47856, 18, 5687, 289.87774364, 153, 269);
INSERT INTO public.ecdc_data VALUES (47857, 4, 39, 147.04714475, 62, 269);
INSERT INTO public.ecdc_data VALUES (47858, 0, 0, 0.53384623, 3, 269);
INSERT INTO public.ecdc_data VALUES (47859, 0, 0, 1.59979523, 63, 269);
INSERT INTO public.ecdc_data VALUES (47860, 0, 1, 5.11077272, 108, 269);
INSERT INTO public.ecdc_data VALUES (47861, 27, 361, 52.24482507, 64, 269);
INSERT INTO public.ecdc_data VALUES (47862, 1, 17, 296.3476119, 65, 269);
INSERT INTO public.ecdc_data VALUES (47863, 15, 261, 90.06367165, 154, 269);
INSERT INTO public.ecdc_data VALUES (47864, 0, 0, 26.2620659, 4, 269);
INSERT INTO public.ecdc_data VALUES (47865, 819, 41906, 178.88550601, 66, 269);
INSERT INTO public.ecdc_data VALUES (47866, 0, 0, 0, 67, 269);
INSERT INTO public.ecdc_data VALUES (47867, 0, 0, 0.23078911, 109, 269);
INSERT INTO public.ecdc_data VALUES (47868, 8, 436, 45.47117523, 155, 269);
INSERT INTO public.ecdc_data VALUES (47869, 0, 13, 1.42706823, 5, 269);
INSERT INTO public.ecdc_data VALUES (47870, 0, 0, 0.34690372, 6, 269);
INSERT INTO public.ecdc_data VALUES (47871, 0, 0, 0.03032777, 110, 269);
INSERT INTO public.ecdc_data VALUES (47872, 0, 0, 1.25983585, 7, 269);
INSERT INTO public.ecdc_data VALUES (47873, 26, 2363, 65.91637473, 68, 269);
INSERT INTO public.ecdc_data VALUES (47874, 1, 85, 224.93526519, 8, 269);
INSERT INTO public.ecdc_data VALUES (47875, 0, 0, 4.61907988, 69, 269);
INSERT INTO public.ecdc_data VALUES (47876, 0, 7, 1.05370103, 9, 269);
INSERT INTO public.ecdc_data VALUES (47877, 2, 15, 0.52047792, 10, 269);
INSERT INTO public.ecdc_data VALUES (47878, 33, 1560, 130.76695985, 70, 269);
INSERT INTO public.ecdc_data VALUES (47879, 0, 15, 0.0186918, 111, 269);
INSERT INTO public.ecdc_data VALUES (47880, 173, 7650, 183.29761813, 71, 269);
INSERT INTO public.ecdc_data VALUES (47881, 0, 4, 2.46800119, 11, 269);
INSERT INTO public.ecdc_data VALUES (47882, 0, 0, 1.6169489, 12, 269);
INSERT INTO public.ecdc_data VALUES (47883, 17, 1013, 306.14786032, 72, 269);
INSERT INTO public.ecdc_data VALUES (47884, 0, 18, 2.17758569, 13, 269);
INSERT INTO public.ecdc_data VALUES (47885, 4, 287, 72.32144478, 156, 269);
INSERT INTO public.ecdc_data VALUES (47886, 0, 38, 5.83227541, 73, 269);
INSERT INTO public.ecdc_data VALUES (47887, 0, 10, 104.63643428, 74, 269);
INSERT INTO public.ecdc_data VALUES (47888, 1, 29, 29.45545091, 157, 269);
INSERT INTO public.ecdc_data VALUES (47889, 36, 4456, 346.14734549, 158, 269);
INSERT INTO public.ecdc_data VALUES (47890, 0, 0, 0.29496293, 14, 269);
INSERT INTO public.ecdc_data VALUES (47891, 4, 322, 113.32945579, 159, 269);
INSERT INTO public.ecdc_data VALUES (47892, 0, 2, 1.64345796, 15, 269);
INSERT INTO public.ecdc_data VALUES (47893, 0, 0, 9.74821747, 75, 269);
INSERT INTO public.ecdc_data VALUES (47894, 5, 317, 56.82116057, 76, 269);
INSERT INTO public.ecdc_data VALUES (47895, 21, 717, 82.95893029, 77, 269);
INSERT INTO public.ecdc_data VALUES (47896, 11, 121, 1.64162923, 16, 269);
INSERT INTO public.ecdc_data VALUES (47897, 4, 94, 27.62820463, 78, 269);
INSERT INTO public.ecdc_data VALUES (47898, 0, 0, 2.50740792, 17, 269);
INSERT INTO public.ecdc_data VALUES (47899, 0, 0, 0.97222941, 18, 269);
INSERT INTO public.ecdc_data VALUES (47900, 0, 42, 51.5541734, 160, 269);
INSERT INTO public.ecdc_data VALUES (47901, 0, 19, 25.34549569, 19, 269);
INSERT INTO public.ecdc_data VALUES (47902, 8, 566, 8.54845541, 20, 269);
INSERT INTO public.ecdc_data VALUES (47903, 0, 0, 0, 79, 269);
INSERT INTO public.ecdc_data VALUES (47904, 0, 0, 55.46767467, 161, 269);
INSERT INTO public.ecdc_data VALUES (47905, 0, 0, 0, 203, 269);
INSERT INTO public.ecdc_data VALUES (47906, 0, 227, 31.42489043, 162, 269);
INSERT INTO public.ecdc_data VALUES (47907, 66, 10489, 248.74918454, 163, 269);
INSERT INTO public.ecdc_data VALUES (47908, 0, 0, 320.81923483, 204, 269);
INSERT INTO public.ecdc_data VALUES (47909, 0, 0, 4.78693976, 21, 269);
INSERT INTO public.ecdc_data VALUES (47910, 2, 19, 3.10943154, 22, 269);
INSERT INTO public.ecdc_data VALUES (47911, 4, 549, 127.72839614, 164, 269);
INSERT INTO public.ecdc_data VALUES (47912, 16, 2828, 36.32773536, 165, 269);
INSERT INTO public.ecdc_data VALUES (47913, 0, 0, 2.34401778, 23, 269);
INSERT INTO public.ecdc_data VALUES (47914, 0, 5, 243.28012817, 166, 269);
INSERT INTO public.ecdc_data VALUES (47915, 3, 399, 43.01326325, 167, 269);
INSERT INTO public.ecdc_data VALUES (47916, 0, 0, 0, 80, 269);
INSERT INTO public.ecdc_data VALUES (47917, 0, 0, 0, 81, 269);
INSERT INTO public.ecdc_data VALUES (47918, 0, 65, 375.38479931, 205, 269);
INSERT INTO public.ecdc_data VALUES (47919, 8, 688, 46.9073245, 82, 269);
INSERT INTO public.ecdc_data VALUES (47920, 0, 0, 1.55115716, 168, 269);
INSERT INTO public.ecdc_data VALUES (47921, 1, 63, 3.72712263, 24, 269);
INSERT INTO public.ecdc_data VALUES (47922, 0, 0, 3.07144973, 25, 269);
INSERT INTO public.ecdc_data VALUES (47923, 2, 0, 95.94072371, 83, 269);
INSERT INTO public.ecdc_data VALUES (47924, 0, 19, 1.82010621, 84, 269);
INSERT INTO public.ecdc_data VALUES (47925, 0, 0, 0, 169, 269);
INSERT INTO public.ecdc_data VALUES (47926, 14, 642, 85.73672689, 85, 269);
INSERT INTO public.ecdc_data VALUES (47927, 24, 816, 129.58473536, 170, 269);
INSERT INTO public.ecdc_data VALUES (47928, 0, 101, 185.4388486, 171, 269);
INSERT INTO public.ecdc_data VALUES (47929, 986, 72049, 81.31634671, 112, 269);
INSERT INTO public.ecdc_data VALUES (47930, 121, 4056, 21.52531287, 113, 269);
INSERT INTO public.ecdc_data VALUES (47931, 227, 4151, 61.06576132, 114, 269);
INSERT INTO public.ecdc_data VALUES (47932, 67, 4172, 151.46608902, 115, 269);
INSERT INTO public.ecdc_data VALUES (47933, 1, 424, 112.77996183, 172, 269);
INSERT INTO public.ecdc_data VALUES (47934, 0, 1, 5.91093405, 173, 269);
INSERT INTO public.ecdc_data VALUES (47935, 40, 4717, 981.9032457, 116, 269);
INSERT INTO public.ecdc_data VALUES (47936, 28, 2677, 48.65179072, 174, 269);
INSERT INTO public.ecdc_data VALUES (47937, 3, 97, 63.01985872, 86, 269);
INSERT INTO public.ecdc_data VALUES (47938, 3, 496, 5.34052028, 117, 269);
INSERT INTO public.ecdc_data VALUES (47939, 0, 7, 37.10712828, 175, 269);
INSERT INTO public.ecdc_data VALUES (47940, 12, 1537, 131.87883184, 118, 269);
INSERT INTO public.ecdc_data VALUES (47941, 22, 335, 17.55659996, 119, 269);
INSERT INTO public.ecdc_data VALUES (47942, 8, 137, 4.50413034, 26, 269);
INSERT INTO public.ecdc_data VALUES (47943, 5, 75, 37.86476109, 176, 269);
INSERT INTO public.ecdc_data VALUES (47944, 4, 676, 180.29144701, 120, 269);
INSERT INTO public.ecdc_data VALUES (47945, 0, 0, 33.80689483, 121, 269);
INSERT INTO public.ecdc_data VALUES (47946, 0, 0, 0, 122, 269);
INSERT INTO public.ecdc_data VALUES (47947, 0, 68, 33.02138369, 177, 269);
INSERT INTO public.ecdc_data VALUES (47948, 10, 1261, 234.34483581, 123, 269);
INSERT INTO public.ecdc_data VALUES (47949, 0, 0, 12.18670407, 27, 269);
INSERT INTO public.ecdc_data VALUES (47950, 0, 0, 0.36456627, 28, 269);
INSERT INTO public.ecdc_data VALUES (47951, 6, 1031, 133.11785416, 29, 269);
INSERT INTO public.ecdc_data VALUES (47952, 0, 1, 36.47923289, 178, 269);
INSERT INTO public.ecdc_data VALUES (47953, 5, 81, 53.93345606, 179, 269);
INSERT INTO public.ecdc_data VALUES (47954, 1, 54, 156.86747223, 180, 269);
INSERT INTO public.ecdc_data VALUES (47955, 1, 30, 1.72047438, 30, 269);
INSERT INTO public.ecdc_data VALUES (47956, 0, 2, 0.31671477, 31, 269);
INSERT INTO public.ecdc_data VALUES (47957, 4, 691, 9.8467004, 124, 269);
INSERT INTO public.ecdc_data VALUES (47958, 0, 54, 151.23635247, 125, 269);
INSERT INTO public.ecdc_data VALUES (47959, 0, 6, 0.83935195, 32, 269);
INSERT INTO public.ecdc_data VALUES (47960, 1, 68, 116.70337285, 181, 269);
INSERT INTO public.ecdc_data VALUES (47961, 0, 0, 3.07134944, 33, 269);
INSERT INTO public.ecdc_data VALUES (47962, 0, 14, 2.20529744, 34, 269);
INSERT INTO public.ecdc_data VALUES (47963, 446, 5405, 47.83284105, 87, 269);
INSERT INTO public.ecdc_data VALUES (47964, 14, 831, 254.39880413, 182, 269);
INSERT INTO public.ecdc_data VALUES (47965, 0, 1, 81.60797945, 183, 269);
INSERT INTO public.ecdc_data VALUES (47966, 0, 0, 0.06201231, 126, 269);
INSERT INTO public.ecdc_data VALUES (47967, 6, 225, 553.85723149, 184, 269);
INSERT INTO public.ecdc_data VALUES (47968, 0, 0, 0, 88, 269);
INSERT INTO public.ecdc_data VALUES (47969, 41, 2553, 87.47040108, 35, 269);
INSERT INTO public.ecdc_data VALUES (47970, 1, 102, 7.52155953, 36, 269);
INSERT INTO public.ecdc_data VALUES (47971, 27, 1252, 24.1907631, 127, 269);
INSERT INTO public.ecdc_data VALUES (47972, 0, 19, 42.73360369, 37, 269);
INSERT INTO public.ecdc_data VALUES (47973, 9, 1551, 84.52669056, 128, 269);
INSERT INTO public.ecdc_data VALUES (47974, 21, 4517, 270.19765986, 185, 269);
INSERT INTO public.ecdc_data VALUES (47975, 0, 0, 0.35366056, 207, 269);
INSERT INTO public.ecdc_data VALUES (47976, 0, 3, 0.77356304, 208, 269);
INSERT INTO public.ecdc_data VALUES (47977, 2, 94, 2.91803395, 89, 269);
INSERT INTO public.ecdc_data VALUES (47978, 0, 0, 0.0300291, 38, 269);
INSERT INTO public.ecdc_data VALUES (47979, 0, 118, 0.98027701, 39, 269);
INSERT INTO public.ecdc_data VALUES (47980, 8, 224, 107.35957079, 186, 269);
INSERT INTO public.ecdc_data VALUES (47981, 0, 0, 10.48712705, 209, 269);
INSERT INTO public.ecdc_data VALUES (47982, 0, 147, 30.10390728, 187, 269);
INSERT INTO public.ecdc_data VALUES (47983, 5, 834, 159.53794499, 129, 269);
INSERT INTO public.ecdc_data VALUES (47984, 12, 624, 4.12485255, 130, 269);
INSERT INTO public.ecdc_data VALUES (47985, 10, 475, 136.80832501, 131, 269);
INSERT INTO public.ecdc_data VALUES (47986, 10, 683, 219.43086444, 90, 269);
INSERT INTO public.ecdc_data VALUES (47987, 0, 0, 0.15952382, 210, 269);
INSERT INTO public.ecdc_data VALUES (47988, 19, 932, 153.57777737, 91, 269);
INSERT INTO public.ecdc_data VALUES (47989, 80, 2930, 173.43032529, 92, 269);
INSERT INTO public.ecdc_data VALUES (47990, 25, 2071, 32.41314735, 132, 269);
INSERT INTO public.ecdc_data VALUES (47991, 58, 2236, 62.19449853, 188, 269);
INSERT INTO public.ecdc_data VALUES (47992, 14, 427, 103.6235952, 189, 269);
INSERT INTO public.ecdc_data VALUES (47993, 1, 432, 311.61749285, 93, 269);
INSERT INTO public.ecdc_data VALUES (47994, 0, 251, 106.84760375, 133, 269);
INSERT INTO public.ecdc_data VALUES (47995, 73, 2121, 128.58458372, 190, 269);
INSERT INTO public.ecdc_data VALUES (47996, 188, 11615, 83.425046, 191, 269);
INSERT INTO public.ecdc_data VALUES (47997, 0, 6, 1.06914281, 40, 269);
INSERT INTO public.ecdc_data VALUES (47998, 0, 0, 0, 94, 269);
INSERT INTO public.ecdc_data VALUES (47999, 0, 0, 0, 95, 269);
INSERT INTO public.ecdc_data VALUES (48000, 0, 0, 0, 96, 269);
INSERT INTO public.ecdc_data VALUES (48001, 0, 19, 81.27013613, 192, 269);
INSERT INTO public.ecdc_data VALUES (48002, 0, 1, 2.79007477, 41, 269);
INSERT INTO public.ecdc_data VALUES (48003, 25, 477, 18.80734361, 134, 269);
INSERT INTO public.ecdc_data VALUES (48004, 0, 19, 2.34408146, 42, 269);
INSERT INTO public.ecdc_data VALUES (48005, 3, 171, 15.40833377, 193, 269);
INSERT INTO public.ecdc_data VALUES (48006, 0, 0, 5.11556051, 43, 269);
INSERT INTO public.ecdc_data VALUES (48007, 0, 8, 1.3182807, 44, 269);
INSERT INTO public.ecdc_data VALUES (48008, 0, 11, 3.49738119, 135, 269);
INSERT INTO public.ecdc_data VALUES (48009, 0, 0, 217.03743896, 97, 269);
INSERT INTO public.ecdc_data VALUES (48010, 0, 320, 126.24712843, 194, 269);
INSERT INTO public.ecdc_data VALUES (48011, 1, 194, 106.20363803, 195, 269);
INSERT INTO public.ecdc_data VALUES (48012, 0, 0, 1.81313025, 45, 269);
INSERT INTO public.ecdc_data VALUES (48013, 87, 1027, 34.08570817, 46, 269);
INSERT INTO public.ecdc_data VALUES (48014, 3, 114, 2.21960542, 136, 269);
INSERT INTO public.ecdc_data VALUES (48015, 0, 8, 0.6689499, 47, 269);
INSERT INTO public.ecdc_data VALUES (48016, 76, 10491, 303.26782291, 196, 269);
INSERT INTO public.ecdc_data VALUES (48017, 0, 519, 4.40354396, 137, 269);
INSERT INTO public.ecdc_data VALUES (48018, 0, 0, 0.17517947, 48, 269);
INSERT INTO public.ecdc_data VALUES (48019, 0, 11, 35.43397155, 98, 269);
INSERT INTO public.ecdc_data VALUES (48020, 4, 786, 65.18943695, 197, 269);
INSERT INTO public.ecdc_data VALUES (48021, 0, 699, 69.68203155, 198, 269);
INSERT INTO public.ecdc_data VALUES (48022, 2, 46, 3.3977476, 138, 269);
INSERT INTO public.ecdc_data VALUES (48023, 0, 3, 0.05047556, 139, 269);
INSERT INTO public.ecdc_data VALUES (48024, 0, 40, 6.24394983, 140, 269);
INSERT INTO public.ecdc_data VALUES (48025, 0, 15, 0.14506163, 141, 269);
INSERT INTO public.ecdc_data VALUES (48026, 0, 0, 0.07733234, 142, 269);
INSERT INTO public.ecdc_data VALUES (48027, 1, 17, 2.44977982, 49, 269);
INSERT INTO public.ecdc_data VALUES (48028, 1, 79, 58.78266829, 99, 269);
INSERT INTO public.ecdc_data VALUES (48029, 0, 0, 104.26071729, 50, 269);
INSERT INTO public.ecdc_data VALUES (48030, 55, 1511, 25.91950464, 199, 269);
INSERT INTO public.ecdc_data VALUES (48031, 0, 0, 60.21888255, 100, 269);
INSERT INTO public.ecdc_data VALUES (48032, 2, 117, 5.35356248, 51, 269);
INSERT INTO public.ecdc_data VALUES (48033, 90, 4348, 121.26070123, 200, 269);
INSERT INTO public.ecdc_data VALUES (48034, 6, 1061, 146.83958673, 143, 269);
INSERT INTO public.ecdc_data VALUES (48035, 76, 14542, 189.89870109, 201, 269);
INSERT INTO public.ecdc_data VALUES (48036, 0, 0, 0, 52, 269);
INSERT INTO public.ecdc_data VALUES (48037, 717, 43062, 183.95701539, 101, 269);
INSERT INTO public.ecdc_data VALUES (48038, 0, 0, 41.11724151, 102, 269);
INSERT INTO public.ecdc_data VALUES (48039, 1, 22, 7.01960955, 103, 269);
INSERT INTO public.ecdc_data VALUES (48040, 4, 397, 19.07723719, 144, 269);
INSERT INTO public.ecdc_data VALUES (48041, 7, 679, 39.77790721, 104, 269);
INSERT INTO public.ecdc_data VALUES (48042, 0, 1, 0.03110029, 145, 269);
INSERT INTO public.ecdc_data VALUES (48043, 0, 0, 0, 53, 269);
INSERT INTO public.ecdc_data VALUES (48044, 1, 0, 0.04457868, 146, 269);
INSERT INTO public.ecdc_data VALUES (48045, 1, 81, 4.37264718, 54, 269);
INSERT INTO public.ecdc_data VALUES (48046, 1, 17, 1.39292189, 55, 269);
INSERT INTO public.ecdc_data VALUES (48047, 2, 74, 1.04884745, 105, 270);
INSERT INTO public.ecdc_data VALUES (48048, 4, 153, 63.86189063, 147, 270);
INSERT INTO public.ecdc_data VALUES (48049, 7, 293, 11.39059728, 1, 270);
INSERT INTO public.ecdc_data VALUES (48050, 0, 0, 223.16447222, 148, 270);
INSERT INTO public.ecdc_data VALUES (48051, 2, 59, 2.40060588, 2, 270);
INSERT INTO public.ecdc_data VALUES (48052, 0, 0, 0, 56, 270);
INSERT INTO public.ecdc_data VALUES (48053, 0, 0, 1.02970705, 57, 270);
INSERT INTO public.ecdc_data VALUES (48054, 122, 9924, 301.47826043, 58, 270);
INSERT INTO public.ecdc_data VALUES (48055, 2, 134, 67.31518246, 149, 270);
INSERT INTO public.ecdc_data VALUES (48056, 0, 21, 828.70849403, 59, 270);
INSERT INTO public.ecdc_data VALUES (48057, 5, 72, 5.82068944, 202, 270);
INSERT INTO public.ecdc_data VALUES (48058, 1, 220, 44.64499889, 150, 270);
INSERT INTO public.ecdc_data VALUES (48059, 3, 137, 20.45240318, 151, 270);
INSERT INTO public.ecdc_data VALUES (48060, 3, 70, 200.52068624, 60, 270);
INSERT INTO public.ecdc_data VALUES (48061, 2, 676, 349.32523502, 106, 270);
INSERT INTO public.ecdc_data VALUES (48062, 2, 1592, 18.74254356, 107, 270);
INSERT INTO public.ecdc_data VALUES (48063, 0, 1, 6.27131813, 61, 270);
INSERT INTO public.ecdc_data VALUES (48064, 6, 196, 25.29513905, 152, 270);
INSERT INTO public.ecdc_data VALUES (48065, 2, 155, 58.80135156, 153, 270);
INSERT INTO public.ecdc_data VALUES (48066, 0, 67, 147.30332444, 62, 270);
INSERT INTO public.ecdc_data VALUES (48067, 0, 0, 0.83042747, 3, 270);
INSERT INTO public.ecdc_data VALUES (48068, 0, 0, 12.79836181, 63, 270);
INSERT INTO public.ecdc_data VALUES (48069, 0, 2, 9.82840908, 108, 270);
INSERT INTO public.ecdc_data VALUES (48070, 1610, 528, 100.92848999, 64, 270);
INSERT INTO public.ecdc_data VALUES (48071, 0, 0, 19.24335142, 65, 270);
INSERT INTO public.ecdc_data VALUES (48072, 0, 0, 98.21272233, 154, 270);
INSERT INTO public.ecdc_data VALUES (48073, 0, 0, 30.12541113, 4, 270);
INSERT INTO public.ecdc_data VALUES (48074, 447, 14521, 251.94940151, 66, 270);
INSERT INTO public.ecdc_data VALUES (48075, 0, 0, 139.84616921, 67, 270);
INSERT INTO public.ecdc_data VALUES (48076, 0, 0, 0.46157823, 109, 270);
INSERT INTO public.ecdc_data VALUES (48077, 6, 96, 25.18557397, 155, 270);
INSERT INTO public.ecdc_data VALUES (48078, 0, 5, 0.61019469, 5, 270);
INSERT INTO public.ecdc_data VALUES (48079, 0, 2, 0.28619557, 6, 270);
INSERT INTO public.ecdc_data VALUES (48080, 0, 0, 0.00606555, 110, 270);
INSERT INTO public.ecdc_data VALUES (48081, 0, 0, 3.25393186, 7, 270);
INSERT INTO public.ecdc_data VALUES (48082, 2, 400, 18.70838227, 68, 270);
INSERT INTO public.ecdc_data VALUES (48083, 0, 55, 149.29009921, 8, 270);
INSERT INTO public.ecdc_data VALUES (48084, 0, 0, 0, 69, 270);
INSERT INTO public.ecdc_data VALUES (48085, 0, 0, 1.05370103, 9, 270);
INSERT INTO public.ecdc_data VALUES (48086, 2, 5, 0.33235337, 10, 270);
INSERT INTO public.ecdc_data VALUES (48087, 41, 2076, 131.0941015, 70, 270);
INSERT INTO public.ecdc_data VALUES (48088, 2, 33, 0.02531763, 111, 270);
INSERT INTO public.ecdc_data VALUES (48089, 256, 8065, 249.05718563, 71, 270);
INSERT INTO public.ecdc_data VALUES (48090, 0, 4, 4.11333532, 11, 270);
INSERT INTO public.ecdc_data VALUES (48091, 0, 0, 14.45961196, 12, 270);
INSERT INTO public.ecdc_data VALUES (48092, 0, 0, 259.5312865, 72, 270);
INSERT INTO public.ecdc_data VALUES (48093, 0, 116, 4.34350574, 13, 270);
INSERT INTO public.ecdc_data VALUES (48094, 1, 225, 92.95317309, 156, 270);
INSERT INTO public.ecdc_data VALUES (48095, 1, 11, 5.53227939, 73, 270);
INSERT INTO public.ecdc_data VALUES (48096, 0, 4, 29.98353965, 74, 270);
INSERT INTO public.ecdc_data VALUES (48097, 0, 2, 10.04682047, 157, 270);
INSERT INTO public.ecdc_data VALUES (48098, 5, 404, 58.52692069, 158, 270);
INSERT INTO public.ecdc_data VALUES (48099, 1, 31, 0.4378356, 14, 270);
INSERT INTO public.ecdc_data VALUES (48100, 0, 0, 24.4571166, 159, 270);
INSERT INTO public.ecdc_data VALUES (48101, 1, 1, 0.61629673, 15, 270);
INSERT INTO public.ecdc_data VALUES (48102, 0, 0, 1.3926025, 75, 270);
INSERT INTO public.ecdc_data VALUES (48103, 5, 557, 76.09677551, 76, 270);
INSERT INTO public.ecdc_data VALUES (48104, 3800, -8261, 11.59801877, 77, 270);
INSERT INTO public.ecdc_data VALUES (48105, 19, 151, 2.61584852, 16, 270);
INSERT INTO public.ecdc_data VALUES (48106, 5, 0, 26.12515592, 78, 270);
INSERT INTO public.ecdc_data VALUES (48107, 0, 0, 3.39237542, 17, 270);
INSERT INTO public.ecdc_data VALUES (48108, 0, 0, 0.68627958, 18, 270);
INSERT INTO public.ecdc_data VALUES (48109, 0, 25, 18.3421144, 160, 270);
INSERT INTO public.ecdc_data VALUES (48110, 0, 34, 54.69749585, 19, 270);
INSERT INTO public.ecdc_data VALUES (48111, 21, 1206, 16.06103181, 20, 270);
INSERT INTO public.ecdc_data VALUES (48112, 0, 0, 0, 79, 270);
INSERT INTO public.ecdc_data VALUES (48113, 0, 0, 59.57639131, 161, 270);
INSERT INTO public.ecdc_data VALUES (48114, 0, 0, 0.3370957, 203, 270);
INSERT INTO public.ecdc_data VALUES (48115, 0, 30, 6.72354922, 162, 270);
INSERT INTO public.ecdc_data VALUES (48116, 3, 7071, 122.18247647, 163, 270);
INSERT INTO public.ecdc_data VALUES (48117, 0, 0, 163.99018923, 204, 270);
INSERT INTO public.ecdc_data VALUES (48118, 0, 0, 9.80402085, 21, 270);
INSERT INTO public.ecdc_data VALUES (48119, 0, 47, 32.37216403, 22, 270);
INSERT INTO public.ecdc_data VALUES (48120, 0, 19, 5.72963814, 164, 270);
INSERT INTO public.ecdc_data VALUES (48121, 0, 814, 20.74700467, 165, 270);
INSERT INTO public.ecdc_data VALUES (48122, 0, 0, 4.18175402, 23, 270);
INSERT INTO public.ecdc_data VALUES (48123, 0, 3, 255.14745149, 166, 270);
INSERT INTO public.ecdc_data VALUES (48124, 4, 138, 26.66766375, 167, 270);
INSERT INTO public.ecdc_data VALUES (48125, 0, 0, 0, 80, 270);
INSERT INTO public.ecdc_data VALUES (48126, 0, 0, 0, 81, 270);
INSERT INTO public.ecdc_data VALUES (48127, 0, 0, 477.59945007, 205, 270);
INSERT INTO public.ecdc_data VALUES (48128, 7, 202, 54.00570464, 82, 270);
INSERT INTO public.ecdc_data VALUES (48129, 0, 0, 0, 168, 270);
INSERT INTO public.ecdc_data VALUES (48130, 0, 73, 5.91171762, 24, 270);
INSERT INTO public.ecdc_data VALUES (48131, 0, 0, 4.99761312, 25, 270);
INSERT INTO public.ecdc_data VALUES (48132, 0, 9, 65.53607358, 83, 270);
INSERT INTO public.ecdc_data VALUES (48133, 2, 24, 2.46824159, 84, 270);
INSERT INTO public.ecdc_data VALUES (48134, 0, 0, 0, 169, 270);
INSERT INTO public.ecdc_data VALUES (48135, 1, 412, 105.20089287, 85, 270);
INSERT INTO public.ecdc_data VALUES (48136, 0, 495, 33.07153069, 170, 270);
INSERT INTO public.ecdc_data VALUES (48137, 0, 5, 21.56917121, 171, 270);
INSERT INTO public.ecdc_data VALUES (48138, 1016, 90802, 80.37549243, 112, 270);
INSERT INTO public.ecdc_data VALUES (48139, 85, 3444, 14.99267067, 113, 270);
INSERT INTO public.ecdc_data VALUES (48140, 139, 1992, 33.47207446, 114, 270);
INSERT INTO public.ecdc_data VALUES (48141, 90, 3651, 142.53192761, 115, 270);
INSERT INTO public.ecdc_data VALUES (48142, 0, 138, 34.72505424, 172, 270);
INSERT INTO public.ecdc_data VALUES (48143, 0, 1, 1.18218681, 173, 270);
INSERT INTO public.ecdc_data VALUES (48144, 12, 1471, 322.71154227, 116, 270);
INSERT INTO public.ecdc_data VALUES (48145, 7, 1296, 30.30009537, 174, 270);
INSERT INTO public.ecdc_data VALUES (48146, 1, 79, 53.3871139, 86, 270);
INSERT INTO public.ecdc_data VALUES (48147, 6, 437, 7.96309017, 117, 270);
INSERT INTO public.ecdc_data VALUES (48148, 0, 0, 19.48124235, 175, 270);
INSERT INTO public.ecdc_data VALUES (48149, 0, 58, 7.93926011, 118, 270);
INSERT INTO public.ecdc_data VALUES (48150, 1, 199, 35.90559174, 119, 270);
INSERT INTO public.ecdc_data VALUES (48151, 3, 83, 5.20980279, 26, 270);
INSERT INTO public.ecdc_data VALUES (48152, 7, 92, 92.91044901, 176, 270);
INSERT INTO public.ecdc_data VALUES (48153, 4, 619, 215.20880174, 120, 270);
INSERT INTO public.ecdc_data VALUES (48154, 0, 48, 20.65197586, 121, 270);
INSERT INTO public.ecdc_data VALUES (48155, 0, 0, 0, 122, 270);
INSERT INTO public.ecdc_data VALUES (48156, 0, 3, 4.73966233, 177, 270);
INSERT INTO public.ecdc_data VALUES (48157, 4, 415, 120.11886736, 123, 270);
INSERT INTO public.ecdc_data VALUES (48158, 0, 0, 6.25803723, 27, 270);
INSERT INTO public.ecdc_data VALUES (48159, 0, 1, 0.42532731, 28, 270);
INSERT INTO public.ecdc_data VALUES (48160, 13, 655, 107.88713695, 29, 270);
INSERT INTO public.ecdc_data VALUES (48161, 0, 0, 18.23961645, 178, 270);
INSERT INTO public.ecdc_data VALUES (48162, 0, 43, 16.03330346, 179, 270);
INSERT INTO public.ecdc_data VALUES (48163, 0, 42, -131.61881367, 180, 270);
INSERT INTO public.ecdc_data VALUES (48164, 1, 50, 3.67825557, 30, 270);
INSERT INTO public.ecdc_data VALUES (48165, 0, 3, 1.56746972, 31, 270);
INSERT INTO public.ecdc_data VALUES (48166, 0, 6, 0.40688845, 124, 270);
INSERT INTO public.ecdc_data VALUES (48167, 0, 98, 339.95219952, 125, 270);
INSERT INTO public.ecdc_data VALUES (48168, 1, 9, 0.69691647, 32, 270);
INSERT INTO public.ecdc_data VALUES (48169, 0, 37, 82.86749912, 181, 270);
INSERT INTO public.ecdc_data VALUES (48170, 0, 0, 5.50191374, 33, 270);
INSERT INTO public.ecdc_data VALUES (48171, 0, 0, 0.78760623, 34, 270);
INSERT INTO public.ecdc_data VALUES (48172, 4, 1980, 58.70718357, 87, 270);
INSERT INTO public.ecdc_data VALUES (48173, 0, 324, 156.28485741, 182, 270);
INSERT INTO public.ecdc_data VALUES (48174, 0, 1, 111.83315702, 183, 270);
INSERT INTO public.ecdc_data VALUES (48175, 0, 0, 0.37207387, 126, 270);
INSERT INTO public.ecdc_data VALUES (48176, 1, 131, 194.47685725, 184, 270);
INSERT INTO public.ecdc_data VALUES (48177, 0, 0, 0, 88, 270);
INSERT INTO public.ecdc_data VALUES (48178, 32, 2234, 54.96032191, 35, 270);
INSERT INTO public.ecdc_data VALUES (48179, 1, 103, 3.45451661, 36, 270);
INSERT INTO public.ecdc_data VALUES (48180, 0, 145, 1.85214577, 127, 270);
INSERT INTO public.ecdc_data VALUES (48181, 2, 171, 113.4885854, 37, 270);
INSERT INTO public.ecdc_data VALUES (48182, 9, 980, 50.06166827, 128, 270);
INSERT INTO public.ecdc_data VALUES (48183, 2, 925, 47.59242231, 185, 270);
INSERT INTO public.ecdc_data VALUES (48184, 0, 0, 1.06098169, 207, 270);
INSERT INTO public.ecdc_data VALUES (48185, 0, 4, 1.94436116, 208, 270);
INSERT INTO public.ecdc_data VALUES (48186, 0, 0, 5.45412629, 89, 270);
INSERT INTO public.ecdc_data VALUES (48187, 0, 0, 0.02144936, 38, 270);
INSERT INTO public.ecdc_data VALUES (48188, 3, 100, 1.38233987, 39, 270);
INSERT INTO public.ecdc_data VALUES (48189, 0, 0, 60.082845, 186, 270);
INSERT INTO public.ecdc_data VALUES (48190, 0, 0, 6.99141803, 209, 270);
INSERT INTO public.ecdc_data VALUES (48191, 0, 0, 17.3228843, 187, 270);
INSERT INTO public.ecdc_data VALUES (48192, 23, 692, 66.39206656, 129, 270);
INSERT INTO public.ecdc_data VALUES (48193, 3, 394, 2.83424885, 130, 270);
INSERT INTO public.ecdc_data VALUES (48194, 4, 603, 180.43040722, 131, 270);
INSERT INTO public.ecdc_data VALUES (48195, 11, 738, 238.85890299, 90, 270);
INSERT INTO public.ecdc_data VALUES (48196, 0, 9, 1.0938776, 210, 270);
INSERT INTO public.ecdc_data VALUES (48197, 23, 615, 131.3481074, 91, 270);
INSERT INTO public.ecdc_data VALUES (48198, 151, 6275, 294.21605882, 92, 270);
INSERT INTO public.ecdc_data VALUES (48199, 85, 2795, 44.17822081, 132, 270);
INSERT INTO public.ecdc_data VALUES (48200, 7, 437, 23.8644428, 188, 270);
INSERT INTO public.ecdc_data VALUES (48201, 2, 315, 45.35539273, 189, 270);
INSERT INTO public.ecdc_data VALUES (48202, 13, 41, 158.07573727, 93, 270);
INSERT INTO public.ecdc_data VALUES (48203, 1, 231, 109.00150455, 133, 270);
INSERT INTO public.ecdc_data VALUES (48204, 43, 1150, 84.93154947, 190, 270);
INSERT INTO public.ecdc_data VALUES (48205, 61, 5195, 47.13439005, 191, 270);
INSERT INTO public.ecdc_data VALUES (48206, 1, 25, 10.17665565, 40, 270);
INSERT INTO public.ecdc_data VALUES (48207, 0, 0, 0, 94, 270);
INSERT INTO public.ecdc_data VALUES (48208, 0, 0, 0, 95, 270);
INSERT INTO public.ecdc_data VALUES (48209, 0, 0, 2.71264908, 96, 270);
INSERT INTO public.ecdc_data VALUES (48210, 0, 0, 17.41502917, 192, 270);
INSERT INTO public.ecdc_data VALUES (48211, 0, 0, 2.79007477, 41, 270);
INSERT INTO public.ecdc_data VALUES (48212, 32, 895, 38.95119046, 134, 270);
INSERT INTO public.ecdc_data VALUES (48213, 3, 39, 6.36951977, 42, 270);
INSERT INTO public.ecdc_data VALUES (48214, 1, 56, 17.92134254, 193, 270);
INSERT INTO public.ecdc_data VALUES (48215, 0, 1, 5.11556051, 43, 270);
INSERT INTO public.ecdc_data VALUES (48216, 0, 13, 0.79352819, 44, 270);
INSERT INTO public.ecdc_data VALUES (48217, 0, 40, 11.52585228, 135, 270);
INSERT INTO public.ecdc_data VALUES (48218, 0, 0, 271.2967987, 97, 270);
INSERT INTO public.ecdc_data VALUES (48219, 0, 88, 23.08078587, 194, 270);
INSERT INTO public.ecdc_data VALUES (48220, 0, 43, 25.13325913, 195, 270);
INSERT INTO public.ecdc_data VALUES (48221, 0, 30, 0.60221826, 45, 270);
INSERT INTO public.ecdc_data VALUES (48222, 110, 1633, 49.08615209, 46, 270);
INSERT INTO public.ecdc_data VALUES (48223, 2, 119, 7.08829135, 136, 270);
INSERT INTO public.ecdc_data VALUES (48224, 0, 0, 0.40679386, 47, 270);
INSERT INTO public.ecdc_data VALUES (48225, 98, 26560, 255.90226571, 196, 270);
INSERT INTO public.ecdc_data VALUES (48226, 0, 2, 0.79723373, 137, 270);
INSERT INTO public.ecdc_data VALUES (48227, 9, 218, 1.33369967, 48, 270);
INSERT INTO public.ecdc_data VALUES (48228, 8, 26, 127.11507268, 98, 270);
INSERT INTO public.ecdc_data VALUES (48229, 3, 67, 24.65253561, 197, 270);
INSERT INTO public.ecdc_data VALUES (48230, 1, 444, 52.55996031, 198, 270);
INSERT INTO public.ecdc_data VALUES (48231, 4, 67, 6.02221471, 138, 270);
INSERT INTO public.ecdc_data VALUES (48232, 0, 0, 0.02523778, 139, 270);
INSERT INTO public.ecdc_data VALUES (48233, 0, 35, 5.16037778, 140, 270);
INSERT INTO public.ecdc_data VALUES (48234, 0, 1, 0.06894018, 141, 270);
INSERT INTO public.ecdc_data VALUES (48235, 0, 0, 0.07733234, 142, 270);
INSERT INTO public.ecdc_data VALUES (48236, 0, 11, 2.61062395, 49, 270);
INSERT INTO public.ecdc_data VALUES (48237, 1, 20, 89.10592278, 99, 270);
INSERT INTO public.ecdc_data VALUES (48238, 6, 234, 17.42666627, 50, 270);
INSERT INTO public.ecdc_data VALUES (48239, 53, 1578, 26.28777989, 199, 270);
INSERT INTO public.ecdc_data VALUES (48240, 0, 7, 562.9156412, 100, 270);
INSERT INTO public.ecdc_data VALUES (48241, 2, 128, 3.17147752, 51, 270);
INSERT INTO public.ecdc_data VALUES (48242, 0, 2107, 70.31925044, 200, 270);
INSERT INTO public.ecdc_data VALUES (48243, 0, 513, 71.40864269, 143, 270);
INSERT INTO public.ecdc_data VALUES (48244, 2, 2988, 32.27446675, 201, 270);
INSERT INTO public.ecdc_data VALUES (48245, 0, 0, 0, 52, 270);
INSERT INTO public.ecdc_data VALUES (48246, 403, 30555, 174.37592717, 101, 270);
INSERT INTO public.ecdc_data VALUES (48247, 1, 14, 188.37433902, 102, 270);
INSERT INTO public.ecdc_data VALUES (48248, 0, 10, 4.39086688, 103, 270);
INSERT INTO public.ecdc_data VALUES (48249, 5, 299, 14.64144603, 144, 270);
INSERT INTO public.ecdc_data VALUES (48250, 8, 1124, 48.13116252, 104, 270);
INSERT INTO public.ecdc_data VALUES (48251, 0, 0, 0.03421032, 145, 270);
INSERT INTO public.ecdc_data VALUES (48252, 0, 0, 0, 53, 270);
INSERT INTO public.ecdc_data VALUES (48253, 0, 0, 0.26061382, 146, 270);
INSERT INTO public.ecdc_data VALUES (48254, 3, 67, 9.48433333, 54, 270);
INSERT INTO public.ecdc_data VALUES (48255, 1, 140, 7.14896678, 55, 270);
INSERT INTO public.ecdc_data VALUES (48256, 0, 41, 2.65234858, 105, 271);
INSERT INTO public.ecdc_data VALUES (48257, 6, 127, 54.14985256, 147, 271);
INSERT INTO public.ecdc_data VALUES (48258, 12, 571, 18.91155039, 1, 271);
INSERT INTO public.ecdc_data VALUES (48259, 0, 5, 72.20027042, 148, 271);
INSERT INTO public.ecdc_data VALUES (48260, 3, 51, 1.83187596, 2, 271);
INSERT INTO public.ecdc_data VALUES (48261, 0, 0, 0, 56, 271);
INSERT INTO public.ecdc_data VALUES (48262, 0, 0, 16.47531277, 57, 271);
INSERT INTO public.ecdc_data VALUES (48263, 126, 7147, 175.9285674, 58, 271);
INSERT INTO public.ecdc_data VALUES (48264, 2, 233, 108.39401054, 149, 271);
INSERT INTO public.ecdc_data VALUES (48265, 0, 92, 137.33421127, 59, 271);
INSERT INTO public.ecdc_data VALUES (48266, 8, 418, 26.01256983, 202, 271);
INSERT INTO public.ecdc_data VALUES (48267, 0, 114, 17.68867592, 150, 271);
INSERT INTO public.ecdc_data VALUES (48268, 3, 144, 42.46735005, 151, 271);
INSERT INTO public.ecdc_data VALUES (48269, 0, 10, 125.03658668, 60, 271);
INSERT INTO public.ecdc_data VALUES (48270, 2, 375, 298.1420504, 106, 271);
INSERT INTO public.ecdc_data VALUES (48271, 39, 2977, 20.57147333, 107, 271);
INSERT INTO public.ecdc_data VALUES (48272, 0, 0, 9.40697719, 61, 271);
INSERT INTO public.ecdc_data VALUES (48273, 3, 127, 19.20145436, 152, 271);
INSERT INTO public.ecdc_data VALUES (48274, 4, 769, 65.39206124, 153, 271);
INSERT INTO public.ecdc_data VALUES (48275, 0, 28, 17.16403954, 62, 271);
INSERT INTO public.ecdc_data VALUES (48276, 0, 22, 2.05064743, 3, 271);
INSERT INTO public.ecdc_data VALUES (48277, 0, 0, 6.3991809, 63, 271);
INSERT INTO public.ecdc_data VALUES (48278, 0, 3, 2.09672727, 108, 271);
INSERT INTO public.ecdc_data VALUES (48279, 80, 1282, 183.88614988, 64, 271);
INSERT INTO public.ecdc_data VALUES (48280, 0, 0, 7.69734057, 65, 271);
INSERT INTO public.ecdc_data VALUES (48281, 5, 251, 119.26696108, 154, 271);
INSERT INTO public.ecdc_data VALUES (48282, 0, 105, 9.68006727, 4, 271);
INSERT INTO public.ecdc_data VALUES (48283, 1237, 53139, 296.01441546, 66, 271);
INSERT INTO public.ecdc_data VALUES (48284, 0, 0, 3.3296707, 67, 271);
INSERT INTO public.ecdc_data VALUES (48285, 0, 0, 0, 109, 271);
INSERT INTO public.ecdc_data VALUES (48286, 9, 303, 40.91405776, 155, 271);
INSERT INTO public.ecdc_data VALUES (48287, 0, 4, 0.42812047, 5, 271);
INSERT INTO public.ecdc_data VALUES (48288, 0, 0, 0.47699261, 6, 271);
INSERT INTO public.ecdc_data VALUES (48289, 0, 0, 0.24868769, 110, 271);
INSERT INTO public.ecdc_data VALUES (48290, 0, 0, 3.90317242, 7, 271);
INSERT INTO public.ecdc_data VALUES (48291, 4, 374, 15.73599749, 68, 271);
INSERT INTO public.ecdc_data VALUES (48292, 0, 45, 98.92060167, 8, 271);
INSERT INTO public.ecdc_data VALUES (48293, 0, 0, 0, 69, 271);
INSERT INTO public.ecdc_data VALUES (48294, 0, 2, 0.63222062, 9, 271);
INSERT INTO public.ecdc_data VALUES (48295, 1, 3, 0.16931209, 10, 271);
INSERT INTO public.ecdc_data VALUES (48296, 97, 1948, 147.27706022, 70, 271);
INSERT INTO public.ecdc_data VALUES (48297, 3, 132, 0.16843545, 111, 271);
INSERT INTO public.ecdc_data VALUES (48298, 315, 11996, 260.90276764, 71, 271);
INSERT INTO public.ecdc_data VALUES (48299, 0, 8, 6.5813365, 11, 271);
INSERT INTO public.ecdc_data VALUES (48300, 0, 91, 11.13278607, 12, 271);
INSERT INTO public.ecdc_data VALUES (48301, 9, 653, 157.32350733, 72, 271);
INSERT INTO public.ecdc_data VALUES (48302, 0, 98, 5.62283734, 13, 271);
INSERT INTO public.ecdc_data VALUES (48303, 1, 28, 18.88992961, 156, 271);
INSERT INTO public.ecdc_data VALUES (48304, 0, 49, 2.72643434, 73, 271);
INSERT INTO public.ecdc_data VALUES (48305, 0, 0, 1.83572692, 74, 271);
INSERT INTO public.ecdc_data VALUES (48306, 0, 13, 18.60945155, 157, 271);
INSERT INTO public.ecdc_data VALUES (48307, 1, 211, 27.60615223, 158, 271);
INSERT INTO public.ecdc_data VALUES (48308, 0, 56, 0.67864517, 14, 271);
INSERT INTO public.ecdc_data VALUES (48309, 1, 121, 15.77656254, 159, 271);
INSERT INTO public.ecdc_data VALUES (48310, 0, 4, 31.12298509, 15, 271);
INSERT INTO public.ecdc_data VALUES (48311, 0, 0, 0, 75, 271);
INSERT INTO public.ecdc_data VALUES (48312, 24, 876, 176.19029483, 76, 271);
INSERT INTO public.ecdc_data VALUES (48313, 40, 1671, 71.30910896, 77, 271);
INSERT INTO public.ecdc_data VALUES (48314, 21, 131, 4.57524457, 16, 271);
INSERT INTO public.ecdc_data VALUES (48315, 7, 425, 89.0827529, 78, 271);
INSERT INTO public.ecdc_data VALUES (48316, 0, 0, 129.05776035, 17, 271);
INSERT INTO public.ecdc_data VALUES (48317, 0, 0, 0.60049464, 18, 271);
INSERT INTO public.ecdc_data VALUES (48318, 0, 11, 7.32174937, 160, 271);
INSERT INTO public.ecdc_data VALUES (48319, 2, 59, 82.48173339, 19, 271);
INSERT INTO public.ecdc_data VALUES (48320, 9, 564, 8.36554826, 20, 271);
INSERT INTO public.ecdc_data VALUES (48321, 0, 0, 0, 79, 271);
INSERT INTO public.ecdc_data VALUES (48322, 0, 0, 102.71791606, 161, 271);
INSERT INTO public.ecdc_data VALUES (48323, 0, 0, 0, 203, 271);
INSERT INTO public.ecdc_data VALUES (48324, 0, 20, 2.89964387, 162, 271);
INSERT INTO public.ecdc_data VALUES (48325, 7, 1604, 24.22668489, 163, 271);
INSERT INTO public.ecdc_data VALUES (48326, 0, 0, 0, 204, 271);
INSERT INTO public.ecdc_data VALUES (48327, 0, 0, 55.18789199, 21, 271);
INSERT INTO public.ecdc_data VALUES (48328, 0, 136, 32.58513879, 22, 271);
INSERT INTO public.ecdc_data VALUES (48329, 0, 0, 2.5520659, 164, 271);
INSERT INTO public.ecdc_data VALUES (48330, 8, 1147, 12.08274523, 165, 271);
INSERT INTO public.ecdc_data VALUES (48331, 7, 1022, 31.99107577, 23, 271);
INSERT INTO public.ecdc_data VALUES (48332, 0, 1, 17.80098499, 166, 271);
INSERT INTO public.ecdc_data VALUES (48333, 0, 150, 9.44557461, 167, 271);
INSERT INTO public.ecdc_data VALUES (48334, 0, 0, 1.76491352, 80, 271);
INSERT INTO public.ecdc_data VALUES (48335, 0, 0, 0.8928412, 81, 271);
INSERT INTO public.ecdc_data VALUES (48336, 0, 14, 44.23324068, 205, 271);
INSERT INTO public.ecdc_data VALUES (48337, 47, 830, 69.08976243, 82, 271);
INSERT INTO public.ecdc_data VALUES (48338, 0, 0, 0, 168, 271);
INSERT INTO public.ecdc_data VALUES (48339, 0, 89, 6.71821684, 24, 271);
INSERT INTO public.ecdc_data VALUES (48340, 0, 0, 4.06056066, 25, 271);
INSERT INTO public.ecdc_data VALUES (48341, 0, 29, 23.88936795, 83, 271);
INSERT INTO public.ecdc_data VALUES (48342, 0, 38, 3.41824824, 84, 271);
INSERT INTO public.ecdc_data VALUES (48343, 0, 0, 0, 169, 271);
INSERT INTO public.ecdc_data VALUES (48344, 23, 657, 90.83619473, 85, 271);
INSERT INTO public.ecdc_data VALUES (48345, 1, 33, 2.03627308, 170, 271);
INSERT INTO public.ecdc_data VALUES (48346, 0, 6, 25.4908387, 171, 271);
INSERT INTO public.ecdc_data VALUES (48347, 886, 62538, 54.0924616, 112, 271);
INSERT INTO public.ecdc_data VALUES (48348, 69, 1882, 9.2733293, 113, 271);
INSERT INTO public.ecdc_data VALUES (48349, 14, 2634, 43.51864168, 114, 271);
INSERT INTO public.ecdc_data VALUES (48350, 67, 3047, 97.62708215, 115, 271);
INSERT INTO public.ecdc_data VALUES (48351, 5, 69, 11.1332235, 172, 271);
INSERT INTO public.ecdc_data VALUES (48352, 0, 0, 0, 173, 271);
INSERT INTO public.ecdc_data VALUES (48353, 11, 1730, 259.08009897, 116, 271);
INSERT INTO public.ecdc_data VALUES (48354, 6, 401, 6.40495208, 174, 271);
INSERT INTO public.ecdc_data VALUES (48355, 0, 30, 4.81637241, 86, 271);
INSERT INTO public.ecdc_data VALUES (48356, 7, 1552, 12.50115294, 117, 271);
INSERT INTO public.ecdc_data VALUES (48357, 0, 1, 12.9874949, 175, 271);
INSERT INTO public.ecdc_data VALUES (48358, 0, 1, 0.99983201, 118, 271);
INSERT INTO public.ecdc_data VALUES (48359, 0, 2404, 158.7155447, 119, 271);
INSERT INTO public.ecdc_data VALUES (48360, 8, 538, 16.75734304, 26, 271);
INSERT INTO public.ecdc_data VALUES (48361, 16, 196, 179.09309171, 176, 271);
INSERT INTO public.ecdc_data VALUES (48362, 1, 620, 194.26789669, 120, 271);
INSERT INTO public.ecdc_data VALUES (48363, 4, 503, 123.36633129, 121, 271);
INSERT INTO public.ecdc_data VALUES (48364, 0, 0, 0.01394806, 122, 271);
INSERT INTO public.ecdc_data VALUES (48365, 0, 18, 3.7500625, 177, 271);
INSERT INTO public.ecdc_data VALUES (48366, 2, 255, 35.18235678, 123, 271);
INSERT INTO public.ecdc_data VALUES (48367, 2, 16, 18.02126509, 27, 271);
INSERT INTO public.ecdc_data VALUES (48368, 0, 3, 2.16714391, 28, 271);
INSERT INTO public.ecdc_data VALUES (48369, 3, 251, 31.88513443, 29, 271);
INSERT INTO public.ecdc_data VALUES (48370, 0, 0, 5.21131898, 178, 271);
INSERT INTO public.ecdc_data VALUES (48371, 0, 24, 7.55139962, 179, 271);
INSERT INTO public.ecdc_data VALUES (48372, 1, 66, 182.60481451, 180, 271);
INSERT INTO public.ecdc_data VALUES (48373, 7, 304, 15.36932393, 30, 271);
INSERT INTO public.ecdc_data VALUES (48374, 1, 65, 5.93169192, 31, 271);
INSERT INTO public.ecdc_data VALUES (48375, 0, 15, 0.6197224, 124, 271);
INSERT INTO public.ecdc_data VALUES (48376, 0, 86, 297.01086905, 125, 271);
INSERT INTO public.ecdc_data VALUES (48377, 0, 6, 0.29504493, 32, 271);
INSERT INTO public.ecdc_data VALUES (48378, 0, 50, 42.34549466, 181, 271);
INSERT INTO public.ecdc_data VALUES (48379, 0, 0, 7.84409388, 33, 271);
INSERT INTO public.ecdc_data VALUES (48380, 0, 0, 0.07876062, 34, 271);
INSERT INTO public.ecdc_data VALUES (48381, 819, 6617, 68.93955345, 87, 271);
INSERT INTO public.ecdc_data VALUES (48382, 5, 406, 111.86523343, 182, 271);
INSERT INTO public.ecdc_data VALUES (48383, 0, 1, 33.24769533, 183, 271);
INSERT INTO public.ecdc_data VALUES (48384, 0, 0, 0.15503078, 126, 271);
INSERT INTO public.ecdc_data VALUES (48385, 3, 69, 195.92337933, 184, 271);
INSERT INTO public.ecdc_data VALUES (48386, 0, 0, 20.03606492, 88, 271);
INSERT INTO public.ecdc_data VALUES (48387, 14, 1144, 31.20221818, 35, 271);
INSERT INTO public.ecdc_data VALUES (48388, 0, 41, 1.77171586, 36, 271);
INSERT INTO public.ecdc_data VALUES (48389, 0, 2, 0.02960473, 127, 271);
INSERT INTO public.ecdc_data VALUES (48390, 3, 112, 45.29922342, 37, 271);
INSERT INTO public.ecdc_data VALUES (48391, 5, 360, 12.26549322, 128, 271);
INSERT INTO public.ecdc_data VALUES (48392, 0, 601, 26.48973974, 185, 271);
INSERT INTO public.ecdc_data VALUES (48393, 0, 0, 0, 207, 271);
INSERT INTO public.ecdc_data VALUES (48394, 0, 0, 0.27179242, 208, 271);
INSERT INTO public.ecdc_data VALUES (48395, 0, 0, 7.07355875, 89, 271);
INSERT INTO public.ecdc_data VALUES (48396, 0, 1, 0.12440629, 38, 271);
INSERT INTO public.ecdc_data VALUES (48397, 3, 354, 3.13290561, 39, 271);
INSERT INTO public.ecdc_data VALUES (48398, 6, 88, 77.99215457, 186, 271);
INSERT INTO public.ecdc_data VALUES (48399, 0, 1, 15.73069058, 209, 271);
INSERT INTO public.ecdc_data VALUES (48400, 0, 47, 6.51250363, 187, 271);
INSERT INTO public.ecdc_data VALUES (48401, 4, 427, 162.15101451, 129, 271);
INSERT INTO public.ecdc_data VALUES (48402, 17, 782, 5.65418331, 130, 271);
INSERT INTO public.ecdc_data VALUES (48403, 1, 453, 111.45411892, 131, 271);
INSERT INTO public.ecdc_data VALUES (48404, 21, 1187, 343.84095854, 90, 271);
INSERT INTO public.ecdc_data VALUES (48405, 1, 10, 1.5040817, 210, 271);
INSERT INTO public.ecdc_data VALUES (48406, 5, 315, 32.10952328, 91, 271);
INSERT INTO public.ecdc_data VALUES (48407, 196, 7785, 259.34113148, 92, 271);
INSERT INTO public.ecdc_data VALUES (48408, 27, 3480, 41.68646704, 132, 271);
INSERT INTO public.ecdc_data VALUES (48409, 18, 726, 20.89652986, 188, 271);
INSERT INTO public.ecdc_data VALUES (48410, 3, 213, 26.09808267, 189, 271);
INSERT INTO public.ecdc_data VALUES (48411, 12, 283, 220.25605747, 93, 271);
INSERT INTO public.ecdc_data VALUES (48412, 0, 287, 135.87229981, 133, 271);
INSERT INTO public.ecdc_data VALUES (48413, 45, 1345, 85.60630433, 190, 271);
INSERT INTO public.ecdc_data VALUES (48414, 74, 4551, 52.68719358, 191, 271);
INSERT INTO public.ecdc_data VALUES (48415, 0, 7, 3.17575013, 40, 271);
INSERT INTO public.ecdc_data VALUES (48416, 0, 0, 0, 94, 271);
INSERT INTO public.ecdc_data VALUES (48417, 0, 0, 0.54706092, 95, 271);
INSERT INTO public.ecdc_data VALUES (48418, 0, 0, 3.61686544, 96, 271);
INSERT INTO public.ecdc_data VALUES (48419, 0, 0, 31.92755348, 192, 271);
INSERT INTO public.ecdc_data VALUES (48420, 0, 0, 59.98660764, 41, 271);
INSERT INTO public.ecdc_data VALUES (48421, 35, 1402, 69.54485849, 134, 271);
INSERT INTO public.ecdc_data VALUES (48422, 9, 177, 8.89155506, 42, 271);
INSERT INTO public.ecdc_data VALUES (48423, 7, 299, 70.20628499, 193, 271);
INSERT INTO public.ecdc_data VALUES (48424, 0, 0, 12.27734523, 43, 271);
INSERT INTO public.ecdc_data VALUES (48425, 1, 17, 1.59985522, 44, 271);
INSERT INTO public.ecdc_data VALUES (48426, 0, 301, 94.01580851, 135, 271);
INSERT INTO public.ecdc_data VALUES (48427, 0, 16, 217.03743896, 97, 271);
INSERT INTO public.ecdc_data VALUES (48428, 0, 63, 7.17375777, 194, 271);
INSERT INTO public.ecdc_data VALUES (48429, 0, 15, 9.13062951, 195, 271);
INSERT INTO public.ecdc_data VALUES (48430, 0, 6, 0.36262605, 45, 271);
INSERT INTO public.ecdc_data VALUES (48431, 306, 8307, 222.22652183, 46, 271);
INSERT INTO public.ecdc_data VALUES (48432, 1, 20, 1.05416616, 136, 271);
INSERT INTO public.ecdc_data VALUES (48433, 0, 8, 1.97973009, 47, 271);
INSERT INTO public.ecdc_data VALUES (48434, 3, 4507, 89.35583098, 196, 271);
INSERT INTO public.ecdc_data VALUES (48435, 0, 0, 0.40330648, 137, 271);
INSERT INTO public.ecdc_data VALUES (48436, 0, 0, 1.26829933, 48, 271);
INSERT INTO public.ecdc_data VALUES (48437, 2, 46, 148.27224987, 98, 271);
INSERT INTO public.ecdc_data VALUES (48438, 4, 378, 30.70325708, 197, 271);
INSERT INTO public.ecdc_data VALUES (48439, 3, 181, 24.64735614, 198, 271);
INSERT INTO public.ecdc_data VALUES (48440, 0, 0, 2.10894678, 138, 271);
INSERT INTO public.ecdc_data VALUES (48441, 0, 0, 0.07991964, 139, 271);
INSERT INTO public.ecdc_data VALUES (48442, 1, 40, 6.49070386, 140, 271);
INSERT INTO public.ecdc_data VALUES (48443, 0, 15, 0.09479275, 141, 271);
INSERT INTO public.ecdc_data VALUES (48444, 0, 0, 0.07733234, 142, 271);
INSERT INTO public.ecdc_data VALUES (48445, 1, 11, 2.27656307, 49, 271);
INSERT INTO public.ecdc_data VALUES (48446, 0, 11, 4.94634648, 99, 271);
INSERT INTO public.ecdc_data VALUES (48447, 0, 41, 2.01800453, 50, 271);
INSERT INTO public.ecdc_data VALUES (48448, 14, 1153, 17.01138978, 199, 271);
INSERT INTO public.ecdc_data VALUES (48449, 0, 12, 133.52882652, 100, 271);
INSERT INTO public.ecdc_data VALUES (48450, 0, 10, 0.33431529, 51, 271);
INSERT INTO public.ecdc_data VALUES (48451, 31, 1318, 33.99809377, 200, 271);
INSERT INTO public.ecdc_data VALUES (48452, 1, 239, 39.47586855, 143, 271);
INSERT INTO public.ecdc_data VALUES (48453, 18, 950, 14.55726994, 201, 271);
INSERT INTO public.ecdc_data VALUES (48454, 0, 0, 0, 52, 271);
INSERT INTO public.ecdc_data VALUES (48455, 1848, 59755, 258.16911986, 101, 271);
INSERT INTO public.ecdc_data VALUES (48456, 0, 21, 177.85597491, 102, 271);
INSERT INTO public.ecdc_data VALUES (48457, 0, 9, 5.11304893, 103, 271);
INSERT INTO public.ecdc_data VALUES (48458, 6, 740, 29.78316925, 144, 271);
INSERT INTO public.ecdc_data VALUES (48459, 7, 981, 33.90046981, 104, 271);
INSERT INTO public.ecdc_data VALUES (48460, 1, 33, 0.35039666, 145, 271);
INSERT INTO public.ecdc_data VALUES (48461, 0, 0, 0, 53, 271);
INSERT INTO public.ecdc_data VALUES (48462, 1, 3, 0.38749161, 146, 271);
INSERT INTO public.ecdc_data VALUES (48463, 23, 142, 20.04923119, 54, 271);
INSERT INTO public.ecdc_data VALUES (48464, 13, 56, 15.50649815, 55, 271);
INSERT INTO public.ecdc_data VALUES (48465, 56, 433, 11.14827583, 105, 272);
INSERT INTO public.ecdc_data VALUES (48466, 3, 71, 33.85239169, 147, 272);
INSERT INTO public.ecdc_data VALUES (48467, 7, 463, 10.41505673, 1, 272);
INSERT INTO public.ecdc_data VALUES (48468, 0, 0, 0, 148, 272);
INSERT INTO public.ecdc_data VALUES (48469, 0, 7, 0.53416623, 2, 272);
INSERT INTO public.ecdc_data VALUES (48470, 0, 0, 0, 56, 272);
INSERT INTO public.ecdc_data VALUES (48471, 0, 2, 45.30711013, 57, 272);
INSERT INTO public.ecdc_data VALUES (48472, 33, 2439, 73.43346209, 58, 272);
INSERT INTO public.ecdc_data VALUES (48473, 12, 349, 279.9107964, 149, 272);
INSERT INTO public.ecdc_data VALUES (48474, 0, 0, 3.76258113, 59, 272);
INSERT INTO public.ecdc_data VALUES (48475, 2, 137, 4.41213814, 202, 272);
INSERT INTO public.ecdc_data VALUES (48476, 0, 57, 11.3559719, 150, 272);
INSERT INTO public.ecdc_data VALUES (48477, 8, 513, 75.93763321, 151, 272);
INSERT INTO public.ecdc_data VALUES (48478, 0, 0, 0, 60, 272);
INSERT INTO public.ecdc_data VALUES (48479, 1, 454, 451.75253661, 106, 272);
INSERT INTO public.ecdc_data VALUES (48480, 44, 3201, 30.56312153, 107, 272);
INSERT INTO public.ecdc_data VALUES (48481, 0, 0, 0.34840656, 61, 272);
INSERT INTO public.ecdc_data VALUES (48482, 6, 250, 50.57969878, 152, 272);
INSERT INTO public.ecdc_data VALUES (48483, 1, 112, 10.8593945, 153, 272);
INSERT INTO public.ecdc_data VALUES (48484, 0, 0, 1.79325786, 62, 272);
INSERT INTO public.ecdc_data VALUES (48485, 0, 0, 3.32170989, 3, 272);
INSERT INTO public.ecdc_data VALUES (48486, 0, 0, 0, 63, 272);
INSERT INTO public.ecdc_data VALUES (48487, 0, 0, 1.4415, 108, 272);
INSERT INTO public.ecdc_data VALUES (48488, 42, 1212, 130.42531891, 64, 272);
INSERT INTO public.ecdc_data VALUES (48489, 0, 0, 0, 65, 272);
INSERT INTO public.ecdc_data VALUES (48490, 3, 64, 58.5580482, 154, 272);
INSERT INTO public.ecdc_data VALUES (48491, 0, 0, 8.07395745, 4, 272);
INSERT INTO public.ecdc_data VALUES (48492, 620, 20229, 244.87807527, 66, 272);
INSERT INTO public.ecdc_data VALUES (48493, 0, 0, 0, 67, 272);
INSERT INTO public.ecdc_data VALUES (48494, 0, 0, 0, 109, 272);
INSERT INTO public.ecdc_data VALUES (48495, 4, 174, 27.57127496, 155, 272);
INSERT INTO public.ecdc_data VALUES (48496, 0, 13, 0.45764602, 5, 272);
INSERT INTO public.ecdc_data VALUES (48497, 0, 0, 0.40761187, 6, 272);
INSERT INTO public.ecdc_data VALUES (48498, 0, 0, 0.06672109, 110, 272);
INSERT INTO public.ecdc_data VALUES (48499, 2, 326, 8.28941073, 7, 272);
INSERT INTO public.ecdc_data VALUES (48500, 9, 399, 11.45651185, 68, 272);
INSERT INTO public.ecdc_data VALUES (48501, 0, 12, 94.37461814, 8, 272);
INSERT INTO public.ecdc_data VALUES (48502, 0, 0, 9.23815976, 69, 272);
INSERT INTO public.ecdc_data VALUES (48503, 4, 64, 22.54920204, 9, 272);
INSERT INTO public.ecdc_data VALUES (48504, 0, 0, 0.08779146, 10, 272);
INSERT INTO public.ecdc_data VALUES (48505, 76, 3025, 272.23461755, 70, 272);
INSERT INTO public.ecdc_data VALUES (48506, 0, 25, 0.01897078, 111, 272);
INSERT INTO public.ecdc_data VALUES (48507, 146, 3171, 97.5338563, 71, 272);
INSERT INTO public.ecdc_data VALUES (48508, 0, 0, 7.52152743, 11, 272);
INSERT INTO public.ecdc_data VALUES (48509, 0, 0, 8.73524116, 12, 272);
INSERT INTO public.ecdc_data VALUES (48510, 4, 245, 58.72143001, 72, 272);
INSERT INTO public.ecdc_data VALUES (48511, 1, 194, 13.50880837, 13, 272);
INSERT INTO public.ecdc_data VALUES (48512, 0, 69, 21.68662048, 156, 272);
INSERT INTO public.ecdc_data VALUES (48513, 0, 8, 0.57352179, 73, 272);
INSERT INTO public.ecdc_data VALUES (48514, 0, 0, 1.22381794, 74, 272);
INSERT INTO public.ecdc_data VALUES (48515, 0, 1, 1.82669463, 157, 272);
INSERT INTO public.ecdc_data VALUES (48516, 2, 51, 18.82664463, 158, 272);
INSERT INTO public.ecdc_data VALUES (48517, 1, 22, 1.73636379, 14, 272);
INSERT INTO public.ecdc_data VALUES (48518, 1, 46, 6.04538586, 159, 272);
INSERT INTO public.ecdc_data VALUES (48519, 0, 30, 22.9056953, 15, 272);
INSERT INTO public.ecdc_data VALUES (48520, 0, 0, 0, 75, 272);
INSERT INTO public.ecdc_data VALUES (48521, 10, 703, 100.17732635, 76, 272);
INSERT INTO public.ecdc_data VALUES (48522, 40, 422, 67.57356842, 77, 272);
INSERT INTO public.ecdc_data VALUES (48523, 79, 969, 19.33795404, 16, 272);
INSERT INTO public.ecdc_data VALUES (48524, 6, 250, 49.87952367, 78, 272);
INSERT INTO public.ecdc_data VALUES (48525, 0, 0, 78.90960204, 17, 272);
INSERT INTO public.ecdc_data VALUES (48526, 0, 0, 2.05883875, 18, 272);
INSERT INTO public.ecdc_data VALUES (48527, 0, 1, 0.98126538, 160, 272);
INSERT INTO public.ecdc_data VALUES (48528, 0, 23, 32.05203578, 19, 272);
INSERT INTO public.ecdc_data VALUES (48529, 13, 540, 1.53731225, 20, 272);
INSERT INTO public.ecdc_data VALUES (48530, 0, 0, 0, 79, 272);
INSERT INTO public.ecdc_data VALUES (48531, 0, 0, 0, 161, 272);
INSERT INTO public.ecdc_data VALUES (48532, 0, 1, 0.11236523, 203, 272);
INSERT INTO public.ecdc_data VALUES (48533, 0, 3, 2.37408342, 162, 272);
INSERT INTO public.ecdc_data VALUES (48534, 27, 1375, 11.31871912, 163, 272);
INSERT INTO public.ecdc_data VALUES (48535, 0, 0, 0.71611436, 204, 272);
INSERT INTO public.ecdc_data VALUES (48536, 2, 123, 46.21237995, 21, 272);
INSERT INTO public.ecdc_data VALUES (48537, 1, 4, 0.85189905, 22, 272);
INSERT INTO public.ecdc_data VALUES (48538, 0, 5, 1.17595193, 164, 272);
INSERT INTO public.ecdc_data VALUES (48539, 8, 390, 7.326015, 165, 272);
INSERT INTO public.ecdc_data VALUES (48540, 7, 992, 22.75965651, 23, 272);
INSERT INTO public.ecdc_data VALUES (48541, 0, 1, 8.90049249, 166, 272);
INSERT INTO public.ecdc_data VALUES (48542, 0, 43, 2.56419844, 167, 272);
INSERT INTO public.ecdc_data VALUES (48543, 0, 0, 0, 80, 272);
INSERT INTO public.ecdc_data VALUES (48544, 0, 0, 0, 81, 272);
INSERT INTO public.ecdc_data VALUES (48545, 0, 2, 46.62422667, 205, 272);
INSERT INTO public.ecdc_data VALUES (48546, 34, 724, 58.03267029, 82, 272);
INSERT INTO public.ecdc_data VALUES (48547, 0, 0, 0, 168, 272);
INSERT INTO public.ecdc_data VALUES (48548, 0, 26, 5.07389804, 24, 272);
INSERT INTO public.ecdc_data VALUES (48549, 0, 0, 10.88022023, 25, 272);
INSERT INTO public.ecdc_data VALUES (48550, 1, 5, 9.32579605, 83, 272);
INSERT INTO public.ecdc_data VALUES (48551, 0, 38, 10.29913756, 84, 272);
INSERT INTO public.ecdc_data VALUES (48552, 0, 0, 0, 169, 272);
INSERT INTO public.ecdc_data VALUES (48553, 17, 722, 116.03597946, 85, 272);
INSERT INTO public.ecdc_data VALUES (48554, 0, 6, 0.8390673, 170, 272);
INSERT INTO public.ecdc_data VALUES (48555, 0, 2, 4.76202481, 171, 272);
INSERT INTO public.ecdc_data VALUES (48556, 467, 22252, 20.45128576, 112, 272);
INSERT INTO public.ecdc_data VALUES (48557, 70, 1209, 6.69301138, 113, 272);
INSERT INTO public.ecdc_data VALUES (48558, 160, 2613, 42.84686042, 114, 272);
INSERT INTO public.ecdc_data VALUES (48559, 94, 1796, 75.29676641, 115, 272);
INSERT INTO public.ecdc_data VALUES (48560, 0, 4, 3.01779685, 172, 272);
INSERT INTO public.ecdc_data VALUES (48561, 0, 0, 0, 173, 272);
INSERT INTO public.ecdc_data VALUES (48562, 7, 1228, 118.60027727, 116, 272);
INSERT INTO public.ecdc_data VALUES (48563, 8, 208, 5.13423345, 174, 272);
INSERT INTO public.ecdc_data VALUES (48564, 0, 5, 2.44210432, 86, 272);
INSERT INTO public.ecdc_data VALUES (48565, 1, 206, 1.58678485, 117, 272);
INSERT INTO public.ecdc_data VALUES (48566, 0, 5, 6.49374745, 175, 272);
INSERT INTO public.ecdc_data VALUES (48567, 0, 3, 1.23741585, 118, 272);
INSERT INTO public.ecdc_data VALUES (48568, 76, 1109, 169.5395093, 119, 272);
INSERT INTO public.ecdc_data VALUES (48569, 4, 181, 6.21980837, 26, 272);
INSERT INTO public.ecdc_data VALUES (48570, 9, 152, 71.83740282, 176, 272);
INSERT INTO public.ecdc_data VALUES (48571, 5, 703, 246.08534619, 120, 272);
INSERT INTO public.ecdc_data VALUES (48572, 7, 450, 72.04032637, 121, 272);
INSERT INTO public.ecdc_data VALUES (48573, 0, 0, 0, 122, 272);
INSERT INTO public.ecdc_data VALUES (48574, 0, 3, 0.83334722, 177, 272);
INSERT INTO public.ecdc_data VALUES (48575, 0, 12, 4.11336012, 123, 272);
INSERT INTO public.ecdc_data VALUES (48576, 0, 12, 4.0936033, 27, 272);
INSERT INTO public.ecdc_data VALUES (48577, 2, 17, 4.88113722, 28, 272);
INSERT INTO public.ecdc_data VALUES (48578, 5, 57, 7.00853256, 29, 272);
INSERT INTO public.ecdc_data VALUES (48579, 0, 1, 5.21131898, 178, 272);
INSERT INTO public.ecdc_data VALUES (48580, 0, 5, 1.43154495, 179, 272);
INSERT INTO public.ecdc_data VALUES (48581, 0, 20, 68.57861455, 180, 272);
INSERT INTO public.ecdc_data VALUES (48582, 4, 522, 5.96974946, 30, 272);
INSERT INTO public.ecdc_data VALUES (48583, 0, 76, 5.4485677, 31, 272);
INSERT INTO public.ecdc_data VALUES (48584, 0, 10, 0.2535228, 124, 272);
INSERT INTO public.ecdc_data VALUES (48585, 1, 23, 51.60493223, 125, 272);
INSERT INTO public.ecdc_data VALUES (48586, 0, 1, 1.88218317, 32, 272);
INSERT INTO public.ecdc_data VALUES (48587, 0, 1, 1.62088018, 181, 272);
INSERT INTO public.ecdc_data VALUES (48588, 0, 0, 41.87199411, 33, 272);
INSERT INTO public.ecdc_data VALUES (48589, 0, 1, 0.15752125, 34, 272);
INSERT INTO public.ecdc_data VALUES (48590, 480, 7786, 64.75379773, 87, 272);
INSERT INTO public.ecdc_data VALUES (48591, 10, 92, 87.62735398, 182, 272);
INSERT INTO public.ecdc_data VALUES (48592, 0, 0, 21.1576243, 183, 272);
INSERT INTO public.ecdc_data VALUES (48593, 0, 0, 0.15503078, 126, 272);
INSERT INTO public.ecdc_data VALUES (48594, 0, 60, 76.18349615, 184, 272);
INSERT INTO public.ecdc_data VALUES (48595, 0, 0, 0, 88, 272);
INSERT INTO public.ecdc_data VALUES (48596, 0, 114, 11.39785773, 35, 272);
INSERT INTO public.ecdc_data VALUES (48597, 0, 25, 0.90561684, 36, 272);
INSERT INTO public.ecdc_data VALUES (48598, 0, 3, 0.04625739, 127, 272);
INSERT INTO public.ecdc_data VALUES (48599, 0, 73, 16.91705512, 37, 272);
INSERT INTO public.ecdc_data VALUES (48600, 1, 180, 24.25135138, 128, 272);
INSERT INTO public.ecdc_data VALUES (48601, 1, 36, 5.78052643, 185, 272);
INSERT INTO public.ecdc_data VALUES (48602, 0, 0, 0, 207, 272);
INSERT INTO public.ecdc_data VALUES (48603, 0, 3, 0.4390493, 208, 272);
INSERT INTO public.ecdc_data VALUES (48604, 0, 0, 7.71522066, 89, 272);
INSERT INTO public.ecdc_data VALUES (48605, 0, 0, 0.20162398, 38, 272);
INSERT INTO public.ecdc_data VALUES (48606, 9, 575, 4.16344048, 39, 272);
INSERT INTO public.ecdc_data VALUES (48607, 5, 76, 92.72400599, 186, 272);
INSERT INTO public.ecdc_data VALUES (48608, 0, 0, 1.74785451, 209, 272);
INSERT INTO public.ecdc_data VALUES (48609, 0, 35, 3.47208407, 187, 272);
INSERT INTO public.ecdc_data VALUES (48610, 5, 1557, 334.85480982, 129, 272);
INSERT INTO public.ecdc_data VALUES (48611, 77, 2691, 22.84530168, 130, 272);
INSERT INTO public.ecdc_data VALUES (48612, 1, 328, 72.06777502, 131, 272);
INSERT INTO public.ecdc_data VALUES (48613, 23, 1185, 296.29524967, 90, 272);
INSERT INTO public.ecdc_data VALUES (48614, 0, 0, 0.02278912, 210, 272);
INSERT INTO public.ecdc_data VALUES (48615, 0, 29, 15.10368381, 91, 272);
INSERT INTO public.ecdc_data VALUES (48616, 183, 2985, 156.15588607, 92, 272);
INSERT INTO public.ecdc_data VALUES (48617, 13, 4503, 14.47603496, 132, 272);
INSERT INTO public.ecdc_data VALUES (48618, 4, 205, 10.34424314, 188, 272);
INSERT INTO public.ecdc_data VALUES (48619, 6, 232, 46.09493572, 189, 272);
INSERT INTO public.ecdc_data VALUES (48620, 0, 669, 68.8960675, 93, 272);
INSERT INTO public.ecdc_data VALUES (48621, 5, 546, 421.67021943, 133, 272);
INSERT INTO public.ecdc_data VALUES (48622, 18, 250, 25.40374807, 190, 272);
INSERT INTO public.ecdc_data VALUES (48623, 135, 6611, 65.5244527, 191, 272);
INSERT INTO public.ecdc_data VALUES (48624, 0, 8, 2.5817819, 40, 272);
INSERT INTO public.ecdc_data VALUES (48625, 0, 0, 1.8927206, 94, 272);
INSERT INTO public.ecdc_data VALUES (48626, 0, 0, 1.64118275, 95, 272);
INSERT INTO public.ecdc_data VALUES (48627, 0, 0, 0, 96, 272);
INSERT INTO public.ecdc_data VALUES (48628, 0, 0, 0, 192, 272);
INSERT INTO public.ecdc_data VALUES (48629, 0, 1, 8.83523678, 41, 272);
INSERT INTO public.ecdc_data VALUES (48630, 52, 4207, 153.81751577, 134, 272);
INSERT INTO public.ecdc_data VALUES (48631, 3, 78, 9.25359905, 42, 272);
INSERT INTO public.ecdc_data VALUES (48632, 6, 289, 49.25497188, 193, 272);
INSERT INTO public.ecdc_data VALUES (48633, 0, 70, 71.61784717, 43, 272);
INSERT INTO public.ecdc_data VALUES (48634, 0, 0, 2.58536603, 44, 272);
INSERT INTO public.ecdc_data VALUES (48635, 0, 319, 46.00003825, 135, 272);
INSERT INTO public.ecdc_data VALUES (48636, 0, 0, 2.3591026, 97, 272);
INSERT INTO public.ecdc_data VALUES (48637, 0, 1, 3.24745556, 194, 272);
INSERT INTO public.ecdc_data VALUES (48638, 0, 16, 9.37090924, 195, 272);
INSERT INTO public.ecdc_data VALUES (48639, 0, 9, 1.25624024, 45, 272);
INSERT INTO public.ecdc_data VALUES (48640, 111, 8971, 177.82459307, 46, 272);
INSERT INTO public.ecdc_data VALUES (48641, 2, 90, 1.36065521, 136, 272);
INSERT INTO public.ecdc_data VALUES (48642, 2, 57, 1.81701255, 47, 272);
INSERT INTO public.ecdc_data VALUES (48643, 4, 341, 11.45789702, 196, 272);
INSERT INTO public.ecdc_data VALUES (48644, 0, 2, 0.59558049, 137, 272);
INSERT INTO public.ecdc_data VALUES (48645, 0, 0, 2.49689132, 48, 272);
INSERT INTO public.ecdc_data VALUES (48646, 0, 20, 50.74282333, 98, 272);
INSERT INTO public.ecdc_data VALUES (48647, 15, 251, 114.70955804, 197, 272);
INSERT INTO public.ecdc_data VALUES (48648, 0, 46, 11.73850817, 198, 272);
INSERT INTO public.ecdc_data VALUES (48649, 1, 14, 0.89630238, 138, 272);
INSERT INTO public.ecdc_data VALUES (48650, 0, 0, 0.01261889, 139, 272);
INSERT INTO public.ecdc_data VALUES (48651, 0, 49, 8.03559867, 140, 272);
INSERT INTO public.ecdc_data VALUES (48652, 0, 0, 0.06319516, 141, 272);
INSERT INTO public.ecdc_data VALUES (48653, 0, 0, 0, 142, 272);
INSERT INTO public.ecdc_data VALUES (48654, 0, 0, 1.37336142, 49, 272);
INSERT INTO public.ecdc_data VALUES (48655, 0, 0, 0.71686181, 99, 272);
INSERT INTO public.ecdc_data VALUES (48656, 0, 11, 0.34203467, 50, 272);
INSERT INTO public.ecdc_data VALUES (48657, 16, 1086, 21.88554927, 199, 272);
INSERT INTO public.ecdc_data VALUES (48658, 0, 2, 91.63742996, 100, 272);
INSERT INTO public.ecdc_data VALUES (48659, 0, 14, 0.40434079, 51, 272);
INSERT INTO public.ecdc_data VALUES (48660, 13, 543, 26.82660311, 200, 272);
INSERT INTO public.ecdc_data VALUES (48661, 1, 528, 69.23885162, 143, 272);
INSERT INTO public.ecdc_data VALUES (48662, 11, 555, 13.77704108, 201, 272);
INSERT INTO public.ecdc_data VALUES (48663, 0, 0, 0, 52, 272);
INSERT INTO public.ecdc_data VALUES (48664, 359, 49990, 190.33417652, 101, 272);
INSERT INTO public.ecdc_data VALUES (48665, 0, 4, 38.24859675, 102, 272);
INSERT INTO public.ecdc_data VALUES (48666, 1, 4, 2.253208, 103, 272);
INSERT INTO public.ecdc_data VALUES (48667, 3, 316, 12.00362079, 144, 272);
INSERT INTO public.ecdc_data VALUES (48668, 4, 242, 11.79344988, 104, 272);
INSERT INTO public.ecdc_data VALUES (48669, 0, 14, 0.02073353, 145, 272);
INSERT INTO public.ecdc_data VALUES (48670, 0, 0, 84.81298222, 53, 272);
INSERT INTO public.ecdc_data VALUES (48671, 7, 25, 1.10760875, 146, 272);
INSERT INTO public.ecdc_data VALUES (48672, 0, 0, 1.13095356, 54, 272);
INSERT INTO public.ecdc_data VALUES (48673, 1, 18, 1.51582677, 55, 272);
INSERT INTO public.ecdc_data VALUES (48674, 18, 582, 25.11187903, 105, 273);
INSERT INTO public.ecdc_data VALUES (48675, 1, 20, 8.48929947, 147, 273);
INSERT INTO public.ecdc_data VALUES (48676, 8, 115, 4.49910011, 1, 273);
INSERT INTO public.ecdc_data VALUES (48677, 0, 0, 118.14589706, 148, 273);
INSERT INTO public.ecdc_data VALUES (48678, 0, 0, 0.08169601, 2, 273);
INSERT INTO public.ecdc_data VALUES (48679, 0, 0, 0, 56, 273);
INSERT INTO public.ecdc_data VALUES (48680, 0, 0, 1.02970705, 57, 273);
INSERT INTO public.ecdc_data VALUES (48681, 16, 983, 23.82054312, 58, 273);
INSERT INTO public.ecdc_data VALUES (48682, 10, 766, 218.71517597, 149, 273);
INSERT INTO public.ecdc_data VALUES (48683, 0, 0, 0, 59, 273);
INSERT INTO public.ecdc_data VALUES (48684, 0, 4, 0.59119477, 202, 273);
INSERT INTO public.ecdc_data VALUES (48685, 0, 19, 4.68462062, 150, 273);
INSERT INTO public.ecdc_data VALUES (48686, 2, 379, 32.41531735, 151, 273);
INSERT INTO public.ecdc_data VALUES (48687, 0, 1, 0.77024591, 60, 273);
INSERT INTO public.ecdc_data VALUES (48688, 1, 548, 340.06351589, 106, 273);
INSERT INTO public.ecdc_data VALUES (48689, 35, 2635, 18.98112629, 107, 273);
INSERT INTO public.ecdc_data VALUES (48690, 0, 0, 0, 61, 273);
INSERT INTO public.ecdc_data VALUES (48691, 4, 883, 132.3154764, 152, 273);
INSERT INTO public.ecdc_data VALUES (48692, 11, 69, 18.06116336, 153, 273);
INSERT INTO public.ecdc_data VALUES (48693, 0, 0, 0, 62, 273);
INSERT INTO public.ecdc_data VALUES (48694, 1, 7, 1.12700871, 3, 273);
INSERT INTO public.ecdc_data VALUES (48695, 0, 0, 12.79836181, 63, 273);
INSERT INTO public.ecdc_data VALUES (48696, 0, 0, 3.14509091, 108, 273);
INSERT INTO public.ecdc_data VALUES (48697, 27, 630, 64.64808529, 64, 273);
INSERT INTO public.ecdc_data VALUES (48698, 0, 0, 3.84867028, 65, 273);
INSERT INTO public.ecdc_data VALUES (48699, 0, 31, 7.42199783, 154, 273);
INSERT INTO public.ecdc_data VALUES (48700, 0, 0, 0.43408373, 4, 273);
INSERT INTO public.ecdc_data VALUES (48701, 904, 27075, 154.20030405, 66, 273);
INSERT INTO public.ecdc_data VALUES (48702, 0, 0, 0, 67, 273);
INSERT INTO public.ecdc_data VALUES (48703, 0, 0, 0, 109, 273);
INSERT INTO public.ecdc_data VALUES (48704, 0, 43, 4.32854731, 155, 273);
INSERT INTO public.ecdc_data VALUES (48705, 0, 0, 0.36414844, 5, 273);
INSERT INTO public.ecdc_data VALUES (48706, 0, 20, 0.35557631, 6, 273);
INSERT INTO public.ecdc_data VALUES (48707, 0, 0, 0.00606555, 110, 273);
INSERT INTO public.ecdc_data VALUES (48708, 0, 0, 11.60131049, 7, 273);
INSERT INTO public.ecdc_data VALUES (48709, 70, 722, 30.56851831, 68, 273);
INSERT INTO public.ecdc_data VALUES (48710, 0, 6, 31.09452736, 8, 273);
INSERT INTO public.ecdc_data VALUES (48711, 0, 0, 53.88926526, 69, 273);
INSERT INTO public.ecdc_data VALUES (48712, 1, 119, 21.45335297, 9, 273);
INSERT INTO public.ecdc_data VALUES (48713, 1, 0, 1.17891385, 10, 273);
INSERT INTO public.ecdc_data VALUES (48714, 93, 5246, 328.9989703, 70, 273);
INSERT INTO public.ecdc_data VALUES (48715, 0, 9, 0.00711404, 111, 273);
INSERT INTO public.ecdc_data VALUES (48716, 60, 1392, 35.45927197, 71, 273);
INSERT INTO public.ecdc_data VALUES (48717, 0, 9, 7.40400357, 11, 273);
INSERT INTO public.ecdc_data VALUES (48718, 2, 44, 3.64278142, 12, 273);
INSERT INTO public.ecdc_data VALUES (48719, 0, 35, 6.83498426, 72, 273);
INSERT INTO public.ecdc_data VALUES (48720, 0, 126, 4.63125814, 13, 273);
INSERT INTO public.ecdc_data VALUES (48721, 1, 0, 0.0981295, 156, 273);
INSERT INTO public.ecdc_data VALUES (48722, 0, 40, 2.13526573, 73, 273);
INSERT INTO public.ecdc_data VALUES (48723, 0, 0, 3.05954486, 74, 273);
INSERT INTO public.ecdc_data VALUES (48724, 1, 0, 3.76755768, 157, 273);
INSERT INTO public.ecdc_data VALUES (48725, 0, 38, 6.35692689, 158, 273);
INSERT INTO public.ecdc_data VALUES (48726, 0, 114, 2.00136955, 14, 273);
INSERT INTO public.ecdc_data VALUES (48727, 1, 49, 10.93680918, 159, 273);
INSERT INTO public.ecdc_data VALUES (48728, 0, 46, 195.05791649, 15, 273);
INSERT INTO public.ecdc_data VALUES (48729, 0, 0, 2.78520499, 75, 273);
INSERT INTO public.ecdc_data VALUES (48730, 11, 487, 44.44565706, 76, 273);
INSERT INTO public.ecdc_data VALUES (48731, 74, 1153, 37.24028856, 77, 273);
INSERT INTO public.ecdc_data VALUES (48732, 32, 1497, 15.93715174, 16, 273);
INSERT INTO public.ecdc_data VALUES (48733, 0, 85, 17.27731249, 78, 273);
INSERT INTO public.ecdc_data VALUES (48734, 0, 0, 19.3955377, 17, 273);
INSERT INTO public.ecdc_data VALUES (48735, 0, 0, 0.05718997, 18, 273);
INSERT INTO public.ecdc_data VALUES (48736, 0, 21, 8.30301475, 160, 273);
INSERT INTO public.ecdc_data VALUES (48737, 0, 17, 7.31622556, 19, 273);
INSERT INTO public.ecdc_data VALUES (48738, 1, 129, 1.28481117, 20, 273);
INSERT INTO public.ecdc_data VALUES (48739, 0, 0, 0, 79, 273);
INSERT INTO public.ecdc_data VALUES (48740, 0, 0, 0, 161, 273);
INSERT INTO public.ecdc_data VALUES (48741, 0, 0, 0, 203, 273);
INSERT INTO public.ecdc_data VALUES (48742, 0, 23, 7.17661858, 162, 273);
INSERT INTO public.ecdc_data VALUES (48743, 31, 579, 13.17358634, 163, 273);
INSERT INTO public.ecdc_data VALUES (48744, 0, 0, 0, 204, 273);
INSERT INTO public.ecdc_data VALUES (48745, 0, 0, 53.71498745, 21, 273);
INSERT INTO public.ecdc_data VALUES (48746, 0, 0, 0.04259495, 22, 273);
INSERT INTO public.ecdc_data VALUES (48747, 0, 3, 2.00162031, 164, 273);
INSERT INTO public.ecdc_data VALUES (48748, 22, 301, 6.86347147, 165, 273);
INSERT INTO public.ecdc_data VALUES (48749, 2, 294, 9.35305833, 23, 273);
INSERT INTO public.ecdc_data VALUES (48750, 0, 0, 68.23710912, 166, 273);
INSERT INTO public.ecdc_data VALUES (48751, 0, 13, 0.96973323, 167, 273);
INSERT INTO public.ecdc_data VALUES (48752, 0, 0, 3.52982704, 80, 273);
INSERT INTO public.ecdc_data VALUES (48753, 0, 0, 0.8928412, 81, 273);
INSERT INTO public.ecdc_data VALUES (48754, 0, 0, 7.77070444, 205, 273);
INSERT INTO public.ecdc_data VALUES (48755, 14, 307, 21.26101358, 82, 273);
INSERT INTO public.ecdc_data VALUES (48756, 0, 0, 0, 168, 273);
INSERT INTO public.ecdc_data VALUES (48757, 0, 57, 7.36811428, 24, 273);
INSERT INTO public.ecdc_data VALUES (48758, 0, 0, 13.22285138, 25, 273);
INSERT INTO public.ecdc_data VALUES (48759, 0, 1, 3.44926703, 83, 273);
INSERT INTO public.ecdc_data VALUES (48760, 0, 148, 19.59499707, 84, 273);
INSERT INTO public.ecdc_data VALUES (48761, 0, 0, 0, 169, 273);
INSERT INTO public.ecdc_data VALUES (48762, 2, 184, 24.74832279, 85, 273);
INSERT INTO public.ecdc_data VALUES (48763, 0, 0, 2.34324893, 170, 273);
INSERT INTO public.ecdc_data VALUES (48764, 0, 0, 0.56023821, 171, 273);
INSERT INTO public.ecdc_data VALUES (48765, 287, 9971, 8.39860281, 112, 273);
INSERT INTO public.ecdc_data VALUES (48766, 31, 993, 3.24027035, 113, 273);
INSERT INTO public.ecdc_data VALUES (48767, 75, 2269, 43.30275506, 114, 273);
INSERT INTO public.ecdc_data VALUES (48768, 33, 1252, 17.36463149, 115, 273);
INSERT INTO public.ecdc_data VALUES (48769, 0, 20, 12.25470205, 172, 273);
INSERT INTO public.ecdc_data VALUES (48770, 0, 0, 0, 173, 273);
INSERT INTO public.ecdc_data VALUES (48771, 5, 77, 12.82958265, 116, 273);
INSERT INTO public.ecdc_data VALUES (48772, 72, 270, 9.06898803, 174, 273);
INSERT INTO public.ecdc_data VALUES (48773, 0, 1, 1.56023332, 86, 273);
INSERT INTO public.ecdc_data VALUES (48774, 2, 38, 0.46586679, 117, 273);
INSERT INTO public.ecdc_data VALUES (48775, 0, 2, 4.63839103, 175, 273);
INSERT INTO public.ecdc_data VALUES (48776, 0, 11, 0.90083874, 118, 273);
INSERT INTO public.ecdc_data VALUES (48777, 1, 183, 23.56691895, 119, 273);
INSERT INTO public.ecdc_data VALUES (48778, 4, 126, 2.67813156, 26, 273);
INSERT INTO public.ecdc_data VALUES (48779, 0, 36, 9.00747621, 176, 273);
INSERT INTO public.ecdc_data VALUES (48780, 10, 487, 253.54896048, 120, 273);
INSERT INTO public.ecdc_data VALUES (48781, 0, 33, 9.41418371, 121, 273);
INSERT INTO public.ecdc_data VALUES (48782, 0, 0, 0, 122, 273);
INSERT INTO public.ecdc_data VALUES (48783, 0, 4, 2.08336806, 177, 273);
INSERT INTO public.ecdc_data VALUES (48784, 1, 8, 3.2527635, 123, 273);
INSERT INTO public.ecdc_data VALUES (48785, 0, 0, 0.09410582, 27, 273);
INSERT INTO public.ecdc_data VALUES (48786, 0, 11, 1.82283133, 28, 273);
INSERT INTO public.ecdc_data VALUES (48787, 0, 17, 2.67061977, 29, 273);
INSERT INTO public.ecdc_data VALUES (48788, 0, 0, 0, 178, 273);
INSERT INTO public.ecdc_data VALUES (48789, 0, 11, 3.18518752, 179, 273);
INSERT INTO public.ecdc_data VALUES (48790, 0, 3, 7.33025571, 180, 273);
INSERT INTO public.ecdc_data VALUES (48791, 1, 51, 2.14317714, 30, 273);
INSERT INTO public.ecdc_data VALUES (48792, 0, 0, 1.74998332, 31, 273);
INSERT INTO public.ecdc_data VALUES (48793, 1, 37, 3.49924064, 124, 273);
INSERT INTO public.ecdc_data VALUES (48794, 0, 18, 112.62682289, 125, 273);
INSERT INTO public.ecdc_data VALUES (48795, 3, 38, 2.58418662, 32, 273);
INSERT INTO public.ecdc_data VALUES (48796, 0, 2, 3.84959042, 181, 273);
INSERT INTO public.ecdc_data VALUES (48797, 0, 64, 15.90914816, 33, 273);
INSERT INTO public.ecdc_data VALUES (48798, 0, 0, 0.39380311, 34, 273);
INSERT INTO public.ecdc_data VALUES (48799, 341, 2983, 44.12523345, 87, 273);
INSERT INTO public.ecdc_data VALUES (48800, 8, 264, 62.25177815, 182, 273);
INSERT INTO public.ecdc_data VALUES (48801, 0, 0, 0, 183, 273);
INSERT INTO public.ecdc_data VALUES (48802, 0, 2, 1.61232011, 126, 273);
INSERT INTO public.ecdc_data VALUES (48803, 0, 0, 0, 184, 273);
INSERT INTO public.ecdc_data VALUES (48804, 0, 0, 0, 88, 273);
INSERT INTO public.ecdc_data VALUES (48805, 0, 61, 1.99058088, 35, 273);
INSERT INTO public.ecdc_data VALUES (48806, 0, 57, 0.80023597, 36, 273);
INSERT INTO public.ecdc_data VALUES (48807, 0, 4, 0.07216152, 127, 273);
INSERT INTO public.ecdc_data VALUES (48808, 0, 4, 0.36079028, 37, 273);
INSERT INTO public.ecdc_data VALUES (48809, 0, 0, 8.13738051, 128, 273);
INSERT INTO public.ecdc_data VALUES (48810, 6, 183, 13.14071624, 185, 273);
INSERT INTO public.ecdc_data VALUES (48811, 0, 0, 0.70732113, 207, 273);
INSERT INTO public.ecdc_data VALUES (48812, 0, 0, 0, 208, 273);
INSERT INTO public.ecdc_data VALUES (48813, 0, 191, 15.73599462, 89, 273);
INSERT INTO public.ecdc_data VALUES (48814, 0, 4, 0.11582654, 38, 273);
INSERT INTO public.ecdc_data VALUES (48815, 9, 389, 2.34221517, 39, 273);
INSERT INTO public.ecdc_data VALUES (48816, 2, 125, 46.98786596, 186, 273);
INSERT INTO public.ecdc_data VALUES (48817, 0, 1, 8.73927254, 209, 273);
INSERT INTO public.ecdc_data VALUES (48818, 0, 0, 3.65976429, 187, 273);
INSERT INTO public.ecdc_data VALUES (48819, 0, 930, 176.06058462, 129, 273);
INSERT INTO public.ecdc_data VALUES (48820, 67, 4960, 20.47511606, 130, 273);
INSERT INTO public.ecdc_data VALUES (48821, 0, 0, 0.82305815, 131, 273);
INSERT INTO public.ecdc_data VALUES (48822, 16, 541, 127.80116992, 90, 273);
INSERT INTO public.ecdc_data VALUES (48823, 0, 0, 0, 210, 273);
INSERT INTO public.ecdc_data VALUES (48824, 0, 3, 3.40684597, 91, 273);
INSERT INTO public.ecdc_data VALUES (48825, 139, 4358, 233.78320493, 92, 273);
INSERT INTO public.ecdc_data VALUES (48826, 7, 714, 6.9952241, 132, 273);
INSERT INTO public.ecdc_data VALUES (48827, 16, 567, 13.31215608, 188, 273);
INSERT INTO public.ecdc_data VALUES (48828, 9, 382, 37.75561549, 189, 273);
INSERT INTO public.ecdc_data VALUES (48829, 1, 295, 61.87350941, 93, 273);
INSERT INTO public.ecdc_data VALUES (48830, 2, 1700, 882.1106533, 133, 273);
INSERT INTO public.ecdc_data VALUES (48831, 10, 187, 12.53189762, 190, 273);
INSERT INTO public.ecdc_data VALUES (48832, 197, 8855, 84.18804233, 191, 273);
INSERT INTO public.ecdc_data VALUES (48833, 0, 11, 0.8394751, 40, 273);
INSERT INTO public.ecdc_data VALUES (48834, 0, 0, 0, 94, 273);
INSERT INTO public.ecdc_data VALUES (48835, 0, 0, 0.54706092, 95, 273);
INSERT INTO public.ecdc_data VALUES (48836, 0, 0, 7.23373089, 96, 273);
INSERT INTO public.ecdc_data VALUES (48837, 0, 0, 63.85510696, 192, 273);
INSERT INTO public.ecdc_data VALUES (48838, 0, 4, 103.23276664, 41, 273);
INSERT INTO public.ecdc_data VALUES (48839, 34, 3121, 83.77365717, 134, 273);
INSERT INTO public.ecdc_data VALUES (48840, 2, 94, 7.81155941, 42, 273);
INSERT INTO public.ecdc_data VALUES (48841, 1, 74, 9.31967252, 193, 273);
INSERT INTO public.ecdc_data VALUES (48842, 0, 0, 0, 43, 273);
INSERT INTO public.ecdc_data VALUES (48843, 1, 17, 4.15962357, 44, 273);
INSERT INTO public.ecdc_data VALUES (48844, 1, 344, 111.27874421, 135, 273);
INSERT INTO public.ecdc_data VALUES (48845, 0, 0, 0, 97, 273);
INSERT INTO public.ecdc_data VALUES (48846, 0, 2, 0.44033296, 194, 273);
INSERT INTO public.ecdc_data VALUES (48847, 0, 1, 0.81695106, 195, 273);
INSERT INTO public.ecdc_data VALUES (48848, 3, 85, 4.5004483, 45, 273);
INSERT INTO public.ecdc_data VALUES (48849, 44, 2539, 42.06067096, 46, 273);
INSERT INTO public.ecdc_data VALUES (48850, 0, 57, 1.1439655, 136, 273);
INSERT INTO public.ecdc_data VALUES (48851, 0, 0, 6.81605704, 47, 273);
INSERT INTO public.ecdc_data VALUES (48852, 1, 240, 12.31010208, 196, 273);
INSERT INTO public.ecdc_data VALUES (48853, 0, 13, 3.39996738, 137, 273);
INSERT INTO public.ecdc_data VALUES (48854, 14, 151, 5.22501954, 48, 273);
INSERT INTO public.ecdc_data VALUES (48855, 0, 9, 15.30885178, 98, 273);
INSERT INTO public.ecdc_data VALUES (48856, 29, 780, 94.54374481, 197, 273);
INSERT INTO public.ecdc_data VALUES (48857, 1, 20, 2.70348493, 198, 273);
INSERT INTO public.ecdc_data VALUES (48858, 0, 0, 0.31634202, 138, 273);
INSERT INTO public.ecdc_data VALUES (48859, 0, 0, 0.00841259, 139, 273);
INSERT INTO public.ecdc_data VALUES (48860, 0, 83, 20.40548554, 140, 273);
INSERT INTO public.ecdc_data VALUES (48861, 0, 8, 0.10341027, 141, 273);
INSERT INTO public.ecdc_data VALUES (48862, 0, 0, 0, 142, 273);
INSERT INTO public.ecdc_data VALUES (48863, 0, 2, 1.41047929, 49, 273);
INSERT INTO public.ecdc_data VALUES (48864, 0, 0, 0.07168618, 99, 273);
INSERT INTO public.ecdc_data VALUES (48865, 0, 0, 0.3334838, 50, 273);
INSERT INTO public.ecdc_data VALUES (48866, 21, 878, 16.50165781, 199, 273);
INSERT INTO public.ecdc_data VALUES (48867, 0, 0, 0, 100, 273);
INSERT INTO public.ecdc_data VALUES (48868, 0, 36, 0.89226041, 51, 273);
INSERT INTO public.ecdc_data VALUES (48869, 15, 550, 13.48831239, 200, 273);
INSERT INTO public.ecdc_data VALUES (48870, 1, 626, 97.88623458, 143, 273);
INSERT INTO public.ecdc_data VALUES (48871, 143, 1120, 30.24437128, 201, 273);
INSERT INTO public.ecdc_data VALUES (48872, 0, 0, 0, 52, 273);
INSERT INTO public.ecdc_data VALUES (48873, 659, 22223, 90.37456886, 101, 273);
INSERT INTO public.ecdc_data VALUES (48874, 0, 0, 1.91242984, 102, 273);
INSERT INTO public.ecdc_data VALUES (48875, 0, 11, 2.33986985, 103, 273);
INSERT INTO public.ecdc_data VALUES (48876, 1, 159, 3.18055019, 144, 273);
INSERT INTO public.ecdc_data VALUES (48877, 2, 171, 4.81136284, 104, 273);
INSERT INTO public.ecdc_data VALUES (48878, 0, 0, 0.00518338, 145, 273);
INSERT INTO public.ecdc_data VALUES (48879, 0, 0, 2.91866538, 53, 273);
INSERT INTO public.ecdc_data VALUES (48880, 1, 4, 0.89500274, 146, 273);
INSERT INTO public.ecdc_data VALUES (48881, 0, 43, 1.31011452, 54, 273);
INSERT INTO public.ecdc_data VALUES (48882, 0, 14, 1.52265482, 55, 273);
INSERT INTO public.ecdc_data VALUES (48883, 9, 168, 5.82517784, 105, 274);
INSERT INTO public.ecdc_data VALUES (48884, 0, 12, 6.91720697, 147, 274);
INSERT INTO public.ecdc_data VALUES (48885, 6, 159, 4.84750745, 1, 274);
INSERT INTO public.ecdc_data VALUES (48886, 0, 0, 36.75650131, 148, 274);
INSERT INTO public.ecdc_data VALUES (48887, 0, 0, 0.03770585, 2, 274);
INSERT INTO public.ecdc_data VALUES (48888, 0, 0, 0, 56, 274);
INSERT INTO public.ecdc_data VALUES (48889, 0, 0, 1.02970705, 57, 274);
INSERT INTO public.ecdc_data VALUES (48890, 9, 188, 4.28533067, 58, 274);
INSERT INTO public.ecdc_data VALUES (48891, 2, 102, 46.01504939, 149, 274);
INSERT INTO public.ecdc_data VALUES (48892, 0, 1, 0.94064528, 59, 274);
INSERT INTO public.ecdc_data VALUES (48893, 1, 26, 0.87687278, 202, 274);
INSERT INTO public.ecdc_data VALUES (48894, 2, 65, 8.20655226, 150, 274);
INSERT INTO public.ecdc_data VALUES (48895, 2, 67, 6.06107715, 151, 274);
INSERT INTO public.ecdc_data VALUES (48896, 0, 3, 5.64847003, 60, 274);
INSERT INTO public.ecdc_data VALUES (48897, 0, 214, 117.41666281, 106, 274);
INSERT INTO public.ecdc_data VALUES (48898, 3, 790, 4.87407944, 107, 274);
INSERT INTO public.ecdc_data VALUES (48899, 0, 0, 2.09043938, 61, 274);
INSERT INTO public.ecdc_data VALUES (48900, 5, 905, 126.6767022, 152, 274);
INSERT INTO public.ecdc_data VALUES (48901, 76, 552, 65.20874349, 153, 274);
INSERT INTO public.ecdc_data VALUES (48902, 0, 0, 0, 62, 274);
INSERT INTO public.ecdc_data VALUES (48903, 0, 6, 0.40673999, 3, 274);
INSERT INTO public.ecdc_data VALUES (48904, 0, 3, 30.3961093, 63, 274);
INSERT INTO public.ecdc_data VALUES (48905, 0, 0, 0, 108, 274);
INSERT INTO public.ecdc_data VALUES (48906, 5, 84, 10.54450833, 64, 274);
INSERT INTO public.ecdc_data VALUES (48907, 0, 0, 0, 65, 274);
INSERT INTO public.ecdc_data VALUES (48908, 6, 40, 18.75190473, 154, 274);
INSERT INTO public.ecdc_data VALUES (48909, 0, 0, 0.04340837, 4, 274);
INSERT INTO public.ecdc_data VALUES (48910, 615, 10503, 37.65040564, 66, 274);
INSERT INTO public.ecdc_data VALUES (48911, 0, 0, 6.65934139, 67, 274);
INSERT INTO public.ecdc_data VALUES (48912, 0, 1, 0.23078911, 109, 274);
INSERT INTO public.ecdc_data VALUES (48913, 6, 89, 10.77136856, 155, 274);
INSERT INTO public.ecdc_data VALUES (48914, 0, 41, 0.59051099, 5, 274);
INSERT INTO public.ecdc_data VALUES (48915, 0, 0, 0.06938074, 6, 274);
INSERT INTO public.ecdc_data VALUES (48916, 0, 0, 0, 110, 274);
INSERT INTO public.ecdc_data VALUES (48917, 44, 161, 4.25870891, 7, 274);
INSERT INTO public.ecdc_data VALUES (48918, 189, 1450, 62.32652513, 68, 274);
INSERT INTO public.ecdc_data VALUES (48919, 0, 5, 21.45704227, 8, 274);
INSERT INTO public.ecdc_data VALUES (48920, 0, 3, 18.47631952, 69, 274);
INSERT INTO public.ecdc_data VALUES (48921, 0, 0, 1.64377361, 9, 274);
INSERT INTO public.ecdc_data VALUES (48922, 0, 0, 0.85283129, 10, 274);
INSERT INTO public.ecdc_data VALUES (48923, 6, 1032, 62.0091721, 70, 274);
INSERT INTO public.ecdc_data VALUES (48924, 0, 2, 0.00655608, 111, 274);
INSERT INTO public.ecdc_data VALUES (48925, 19, 346, 9.14392319, 71, 274);
INSERT INTO public.ecdc_data VALUES (48926, 0, 4, 0, 11, 274);
INSERT INTO public.ecdc_data VALUES (48927, 0, 28, 1.44967832, 12, 274);
INSERT INTO public.ecdc_data VALUES (48928, 0, 6, 1.58492389, 72, 274);
INSERT INTO public.ecdc_data VALUES (48929, 0, 52, 2.19313987, 13, 274);
INSERT INTO public.ecdc_data VALUES (48930, 2, 7, 4.14597156, 156, 274);
INSERT INTO public.ecdc_data VALUES (48931, 0, 18, 4.53523383, 73, 274);
INSERT INTO public.ecdc_data VALUES (48932, 0, 0, 1.22381794, 74, 274);
INSERT INTO public.ecdc_data VALUES (48933, 0, 5, 10.61766254, 157, 274);
INSERT INTO public.ecdc_data VALUES (48934, 5, 78, 7.86869237, 158, 274);
INSERT INTO public.ecdc_data VALUES (48935, 2, 158, 0.55996868, 14, 274);
INSERT INTO public.ecdc_data VALUES (48936, 3, 162, 35.66949893, 159, 274);
INSERT INTO public.ecdc_data VALUES (48937, 1, 0, 14.99655387, 15, 274);
INSERT INTO public.ecdc_data VALUES (48938, 0, 0, 0, 75, 274);
INSERT INTO public.ecdc_data VALUES (48939, 8, 327, 32.6568027, 76, 274);
INSERT INTO public.ecdc_data VALUES (48940, 49, -2461, 106.88595959, 77, 274);
INSERT INTO public.ecdc_data VALUES (48941, 17, 387, 4.08215812, 16, 274);
INSERT INTO public.ecdc_data VALUES (48942, 1, 108, 7.09686917, 78, 274);
INSERT INTO public.ecdc_data VALUES (48943, 0, 0, 26.25403582, 17, 274);
INSERT INTO public.ecdc_data VALUES (48944, 0, 0, 0, 18, 274);
INSERT INTO public.ecdc_data VALUES (48945, 0, 2, 11.62422065, 160, 274);
INSERT INTO public.ecdc_data VALUES (48946, 1, 7, 8.01300895, 19, 274);
INSERT INTO public.ecdc_data VALUES (48947, 0, 17, 0.04104258, 20, 274);
INSERT INTO public.ecdc_data VALUES (48948, 0, 0, 29.65599051, 79, 274);
INSERT INTO public.ecdc_data VALUES (48949, 0, 0, 4.10871664, 161, 274);
INSERT INTO public.ecdc_data VALUES (48950, 0, 0, 0, 203, 274);
INSERT INTO public.ecdc_data VALUES (48951, 6, 161, 26.16928592, 162, 274);
INSERT INTO public.ecdc_data VALUES (48952, 278, 4183, 26.85901456, 163, 274);
INSERT INTO public.ecdc_data VALUES (48953, 0, 0, 1.07417155, 204, 274);
INSERT INTO public.ecdc_data VALUES (48954, 2, 42, 12.56571686, 21, 274);
INSERT INTO public.ecdc_data VALUES (48955, 0, 0, 0.29816467, 22, 274);
INSERT INTO public.ecdc_data VALUES (48956, 0, 6, 4.85392926, 164, 274);
INSERT INTO public.ecdc_data VALUES (48957, 123, 1284, 21.73593238, 165, 274);
INSERT INTO public.ecdc_data VALUES (48958, 0, 372, 6.36796976, 23, 274);
INSERT INTO public.ecdc_data VALUES (48959, 0, 0, 32.63513914, 166, 274);
INSERT INTO public.ecdc_data VALUES (48960, 1, 21, 2.37771128, 167, 274);
INSERT INTO public.ecdc_data VALUES (48961, 0, 0, 0, 80, 274);
INSERT INTO public.ecdc_data VALUES (48962, 0, 0, 5.3570472, 81, 274);
INSERT INTO public.ecdc_data VALUES (48963, 0, 2, 8.36845094, 205, 274);
INSERT INTO public.ecdc_data VALUES (48964, 2, 35, 2.5936389, 82, 274);
INSERT INTO public.ecdc_data VALUES (48965, 0, 0, 13.96041447, 168, 274);
INSERT INTO public.ecdc_data VALUES (48966, 1, 45, 8.57394807, 24, 274);
INSERT INTO public.ecdc_data VALUES (48967, 0, 0, 22.12484975, 25, 274);
INSERT INTO public.ecdc_data VALUES (48968, 0, 0, 3.3215164, 83, 274);
INSERT INTO public.ecdc_data VALUES (48969, 0, 7, 0.40841408, 84, 274);
INSERT INTO public.ecdc_data VALUES (48970, 0, 1, 368.09815951, 169, 274);
INSERT INTO public.ecdc_data VALUES (48971, 6, 191, 9.66538975, 85, 274);
INSERT INTO public.ecdc_data VALUES (48972, 10, 39, 8.8613693, 170, 274);
INSERT INTO public.ecdc_data VALUES (48973, 0, 0, 3.92166749, 171, 274);
INSERT INTO public.ecdc_data VALUES (48974, 89, 3561, 2.30961577, 112, 274);
INSERT INTO public.ecdc_data VALUES (48975, 23, 367, 1.85496147, 113, 274);
INSERT INTO public.ecdc_data VALUES (48976, 78, 1680, 18.87982753, 114, 274);
INSERT INTO public.ecdc_data VALUES (48977, 0, 49, 2.23354035, 115, 274);
INSERT INTO public.ecdc_data VALUES (48978, 36, 265, 113.71792571, 172, 274);
INSERT INTO public.ecdc_data VALUES (48979, 0, 1, 23.64373618, 173, 274);
INSERT INTO public.ecdc_data VALUES (48980, 1, 21, 20.16580328, 116, 274);
INSERT INTO public.ecdc_data VALUES (48981, 369, 1444, 44.94732283, 174, 274);
INSERT INTO public.ecdc_data VALUES (48982, 0, 5, 7.66549412, 86, 274);
INSERT INTO public.ecdc_data VALUES (48983, 8, 109, 2.90949969, 117, 274);
INSERT INTO public.ecdc_data VALUES (48984, 1, 0, 35.25177187, 175, 274);
INSERT INTO public.ecdc_data VALUES (48985, 0, 2, 0.44546971, 118, 274);
INSERT INTO public.ecdc_data VALUES (48986, 1, 225, 12.45726205, 119, 274);
INSERT INTO public.ecdc_data VALUES (48987, 2, 47, 0.5306809, 26, 274);
INSERT INTO public.ecdc_data VALUES (48988, 0, 4, 12.78839214, 176, 274);
INSERT INTO public.ecdc_data VALUES (48989, 2, 485, 96.05243736, 120, 274);
INSERT INTO public.ecdc_data VALUES (48990, 0, 24, 4.11480878, 121, 274);
INSERT INTO public.ecdc_data VALUES (48991, 0, 0, 0, 122, 274);
INSERT INTO public.ecdc_data VALUES (48992, 0, 4, 7.239704, 177, 274);
INSERT INTO public.ecdc_data VALUES (48993, 0, 9, 0.99187407, 123, 274);
INSERT INTO public.ecdc_data VALUES (48994, 0, 8, 1.55953347, 28, 274);
INSERT INTO public.ecdc_data VALUES (48995, 0, 1, 0.07377403, 29, 274);
INSERT INTO public.ecdc_data VALUES (48996, 0, 0, 2.60565949, 178, 274);
INSERT INTO public.ecdc_data VALUES (48997, 2, 5, 1.07365871, 179, 274);
INSERT INTO public.ecdc_data VALUES (48998, 2, 11, 32.09023056, 180, 274);
INSERT INTO public.ecdc_data VALUES (48999, 0, 0, 0.137193, 30, 274);
INSERT INTO public.ecdc_data VALUES (49000, 0, 2, 0.10736094, 31, 274);
INSERT INTO public.ecdc_data VALUES (49001, 1, 45, 2.80440037, 124, 274);
INSERT INTO public.ecdc_data VALUES (49002, 1, 44, 100.19643775, 125, 274);
INSERT INTO public.ecdc_data VALUES (49003, 0, 19, 1.71939976, 32, 274);
INSERT INTO public.ecdc_data VALUES (49004, 0, 2, 8.30701091, 181, 274);
INSERT INTO public.ecdc_data VALUES (49005, 0, 0, 0.02209604, 33, 274);
INSERT INTO public.ecdc_data VALUES (49006, 0, 0, 0.23628187, 34, 274);
INSERT INTO public.ecdc_data VALUES (49007, 197, 2265, 17.99953344, 87, 274);
INSERT INTO public.ecdc_data VALUES (49008, 7, 113, 41.99583603, 182, 274);
INSERT INTO public.ecdc_data VALUES (49009, 0, 0, 3.02251776, 183, 274);
INSERT INTO public.ecdc_data VALUES (49010, 0, 0, 0.18603694, 126, 274);
INSERT INTO public.ecdc_data VALUES (49011, 0, 0, 1.44652208, 184, 274);
INSERT INTO public.ecdc_data VALUES (49012, 0, 0, 0, 88, 274);
INSERT INTO public.ecdc_data VALUES (49013, 2, 189, 5.56869113, 35, 274);
INSERT INTO public.ecdc_data VALUES (49014, 0, 0, 0.13172609, 36, 274);
INSERT INTO public.ecdc_data VALUES (49015, 0, 1, 0.06476034, 127, 274);
INSERT INTO public.ecdc_data VALUES (49016, 0, 0, 0, 37, 274);
INSERT INTO public.ecdc_data VALUES (49017, 0, 17, 0.18875367, 128, 274);
INSERT INTO public.ecdc_data VALUES (49018, 36, 232, 37.47794764, 185, 274);
INSERT INTO public.ecdc_data VALUES (49019, 0, 0, 0, 207, 274);
INSERT INTO public.ecdc_data VALUES (49020, 0, 1, 0.56449195, 208, 274);
INSERT INTO public.ecdc_data VALUES (49021, 0, 0, 0.09166599, 89, 274);
INSERT INTO public.ecdc_data VALUES (49022, 0, 7, 0.46330617, 38, 274);
INSERT INTO public.ecdc_data VALUES (49023, 5, 195, 1.13055298, 39, 274);
INSERT INTO public.ecdc_data VALUES (49024, 2, 13, 13.48012548, 186, 274);
INSERT INTO public.ecdc_data VALUES (49025, 0, 1, 1.74785451, 209, 274);
INSERT INTO public.ecdc_data VALUES (49026, 0, 50, 13.19391946, 187, 274);
INSERT INTO public.ecdc_data VALUES (49027, 1, 168, 25.9095894, 129, 274);
INSERT INTO public.ecdc_data VALUES (49028, 38, 1523, 6.61417082, 130, 274);
INSERT INTO public.ecdc_data VALUES (49029, 0, 8, 4.23573831, 131, 274);
INSERT INTO public.ecdc_data VALUES (49030, 8, 208, 64.50108797, 90, 274);
INSERT INTO public.ecdc_data VALUES (49031, 0, 0, 0, 210, 274);
INSERT INTO public.ecdc_data VALUES (49032, 0, 9, 3.22230848, 91, 274);
INSERT INTO public.ecdc_data VALUES (49033, 89, 3628, 109.40170583, 92, 274);
INSERT INTO public.ecdc_data VALUES (49034, 21, 320, 3.04671006, 132, 274);
INSERT INTO public.ecdc_data VALUES (49035, 17, 309, 12.03755993, 188, 274);
INSERT INTO public.ecdc_data VALUES (49036, 15, 480, 40.86948069, 189, 274);
INSERT INTO public.ecdc_data VALUES (49037, 0, 44, 24.40850289, 93, 274);
INSERT INTO public.ecdc_data VALUES (49038, 0, 830, 382.44097694, 133, 274);
INSERT INTO public.ecdc_data VALUES (49039, 31, 270, 22.6480698, 190, 274);
INSERT INTO public.ecdc_data VALUES (49040, 86, 10559, 73.98939319, 191, 274);
INSERT INTO public.ecdc_data VALUES (49041, 0, 7, 0.91075128, 40, 274);
INSERT INTO public.ecdc_data VALUES (49042, 0, 0, 0, 94, 274);
INSERT INTO public.ecdc_data VALUES (49043, 0, 0, 1.64118275, 95, 274);
INSERT INTO public.ecdc_data VALUES (49044, 0, 0, 3.61686544, 96, 274);
INSERT INTO public.ecdc_data VALUES (49045, 0, 19, 348.3005834, 192, 274);
INSERT INTO public.ecdc_data VALUES (49046, 0, 0, 77.65708121, 41, 274);
INSERT INTO public.ecdc_data VALUES (49047, 9, 1687, 55.92886698, 134, 274);
INSERT INTO public.ecdc_data VALUES (49048, 1, 104, 6.08111185, 42, 274);
INSERT INTO public.ecdc_data VALUES (49049, 3, 114, 38.44185415, 193, 274);
INSERT INTO public.ecdc_data VALUES (49050, 0, 0, 0, 43, 274);
INSERT INTO public.ecdc_data VALUES (49051, 3, 26, 2.09901005, 44, 274);
INSERT INTO public.ecdc_data VALUES (49052, 2, 788, 173.26681073, 135, 274);
INSERT INTO public.ecdc_data VALUES (49053, 0, 0, 7.07730779, 97, 274);
INSERT INTO public.ecdc_data VALUES (49054, 0, 8, 3.39423322, 194, 274);
INSERT INTO public.ecdc_data VALUES (49055, 1, 1, 4.6133707, 195, 274);
INSERT INTO public.ecdc_data VALUES (49056, 1, 38, 3.80109806, 45, 274);
INSERT INTO public.ecdc_data VALUES (49057, 5, 236, 7.12623548, 46, 274);
INSERT INTO public.ecdc_data VALUES (49058, 1, 4, 0.21083323, 136, 274);
INSERT INTO public.ecdc_data VALUES (49059, 0, 22, 0.63279044, 47, 274);
INSERT INTO public.ecdc_data VALUES (49060, 213, 921, 39.19291068, 196, 274);
INSERT INTO public.ecdc_data VALUES (49061, 0, 26, 2.19004795, 137, 274);
INSERT INTO public.ecdc_data VALUES (49062, 4, 74, 1.66303706, 48, 274);
INSERT INTO public.ecdc_data VALUES (49063, 0, 0, 0, 98, 274);
INSERT INTO public.ecdc_data VALUES (49064, 73, 745, 78.19017936, 197, 274);
INSERT INTO public.ecdc_data VALUES (49065, 22, 51, 20.96078578, 198, 274);
INSERT INTO public.ecdc_data VALUES (49066, 0, 1, 0.01757456, 138, 274);
INSERT INTO public.ecdc_data VALUES (49067, 0, 1, 0.05468186, 139, 274);
INSERT INTO public.ecdc_data VALUES (49068, 3, 86, 0, 140, 274);
INSERT INTO public.ecdc_data VALUES (49069, 1, 1, 0.21543806, 141, 274);
INSERT INTO public.ecdc_data VALUES (49070, 0, 0, 0.07733234, 142, 274);
INSERT INTO public.ecdc_data VALUES (49071, 0, 0, 0.49490501, 49, 274);
INSERT INTO public.ecdc_data VALUES (49072, 0, 0, 0.07168618, 99, 274);
INSERT INTO public.ecdc_data VALUES (49073, 0, 3, 1.06030747, 50, 274);
INSERT INTO public.ecdc_data VALUES (49074, 64, 2253, 40.32735914, 199, 274);
INSERT INTO public.ecdc_data VALUES (49075, 0, 0, 2.61821228, 100, 274);
INSERT INTO public.ecdc_data VALUES (49076, 0, 0, 0.08357882, 51, 274);
INSERT INTO public.ecdc_data VALUES (49077, 11, 487, 14.98398303, 200, 274);
INSERT INTO public.ecdc_data VALUES (49078, 11, 546, 75.90174777, 143, 274);
INSERT INTO public.ecdc_data VALUES (49079, 647, 3682, 91.07371374, 201, 274);
INSERT INTO public.ecdc_data VALUES (49080, 0, 0, 0.33617524, 52, 274);
INSERT INTO public.ecdc_data VALUES (49081, 2353, 24128, 117.2941812, 101, 274);
INSERT INTO public.ecdc_data VALUES (49082, 0, 0, 11.47457903, 102, 274);
INSERT INTO public.ecdc_data VALUES (49083, 0, 3, 3.58202298, 103, 274);
INSERT INTO public.ecdc_data VALUES (49084, 0, 26, 1.56753522, 144, 274);
INSERT INTO public.ecdc_data VALUES (49085, 0, 12, 0.319121, 104, 274);
INSERT INTO public.ecdc_data VALUES (49086, 0, 0, 0.00311003, 145, 274);
INSERT INTO public.ecdc_data VALUES (49087, 0, 0, 0, 53, 274);
INSERT INTO public.ecdc_data VALUES (49088, 2, 4, 0.0822991, 146, 274);
INSERT INTO public.ecdc_data VALUES (49089, 0, 7, 0.40311216, 54, 274);
INSERT INTO public.ecdc_data VALUES (49090, 0, 0, 0.04096829, 55, 274);
INSERT INTO public.ecdc_data VALUES (49091, 0, 38, 0.78072104, 105, 275);
INSERT INTO public.ecdc_data VALUES (49092, 1, 16, 9.67710268, 147, 275);
INSERT INTO public.ecdc_data VALUES (49093, 21, 103, 2.77099971, 1, 275);
INSERT INTO public.ecdc_data VALUES (49094, 3, 25, 515.90375048, 148, 275);
INSERT INTO public.ecdc_data VALUES (49095, 0, 2, 0.04399016, 2, 275);
INSERT INTO public.ecdc_data VALUES (49096, 0, 0, 0, 56, 275);
INSERT INTO public.ecdc_data VALUES (49097, 0, 0, 14.41589868, 57, 275);
INSERT INTO public.ecdc_data VALUES (49098, 7, 74, 2.96333184, 58, 275);
INSERT INTO public.ecdc_data VALUES (49099, 0, 20, 20.89441625, 149, 275);
INSERT INTO public.ecdc_data VALUES (49100, 0, 7, 63.02323394, 59, 275);
INSERT INTO public.ecdc_data VALUES (49101, 6, 100, 15.95432326, 202, 275);
INSERT INTO public.ecdc_data VALUES (49102, 16, 314, 88.17246177, 150, 275);
INSERT INTO public.ecdc_data VALUES (49103, 0, 57, 5.66297684, 151, 275);
INSERT INTO public.ecdc_data VALUES (49104, 0, 4, 7.4457105, 60, 275);
INSERT INTO public.ecdc_data VALUES (49105, 0, 56, 25.40879522, 106, 275);
INSERT INTO public.ecdc_data VALUES (49106, 3, 35, 0.05519909, 107, 275);
INSERT INTO public.ecdc_data VALUES (49107, 1, 4, 14.98148219, 61, 275);
INSERT INTO public.ecdc_data VALUES (49108, 5, 136, 6.54859518, 152, 275);
INSERT INTO public.ecdc_data VALUES (49109, 257, 1937, 155.70660744, 153, 275);
INSERT INTO public.ecdc_data VALUES (49110, 0, 2, 1.53707817, 62, 275);
INSERT INTO public.ecdc_data VALUES (49111, 1, 4, 0.17794874, 3, 275);
INSERT INTO public.ecdc_data VALUES (49112, 2, 2, 52.79324246, 63, 275);
INSERT INTO public.ecdc_data VALUES (49113, 0, 0, 0.39313636, 108, 275);
INSERT INTO public.ecdc_data VALUES (49114, 3, 11, 1.44183557, 64, 275);
INSERT INTO public.ecdc_data VALUES (49115, 0, 0, 0, 65, 275);
INSERT INTO public.ecdc_data VALUES (49116, 4, 32, 17.08574195, 154, 275);
INSERT INTO public.ecdc_data VALUES (49117, 0, 0, 0, 4, 275);
INSERT INTO public.ecdc_data VALUES (49118, 67, 926, 4.8164052, 66, 275);
INSERT INTO public.ecdc_data VALUES (49119, 0, 0, 0, 67, 275);
INSERT INTO public.ecdc_data VALUES (49120, 0, 0, 10.15472102, 109, 275);
INSERT INTO public.ecdc_data VALUES (49121, 2, 18, 4.97140087, 155, 275);
INSERT INTO public.ecdc_data VALUES (49122, 0, 19, 1.4221473, 5, 275);
INSERT INTO public.ecdc_data VALUES (49123, 0, 0, 0, 6, 275);
INSERT INTO public.ecdc_data VALUES (49124, 0, 1, 0.16983549, 110, 275);
INSERT INTO public.ecdc_data VALUES (49125, 0, 8, 2.32644534, 7, 275);
INSERT INTO public.ecdc_data VALUES (49126, 43, 1157, 40.11382951, 68, 275);
INSERT INTO public.ecdc_data VALUES (49127, 0, 0, 0.72735737, 8, 275);
INSERT INTO public.ecdc_data VALUES (49128, 0, 0, 55.42895855, 69, 275);
INSERT INTO public.ecdc_data VALUES (49129, 0, 0, 0.1053701, 9, 275);
INSERT INTO public.ecdc_data VALUES (49130, 0, 0, 0.04389573, 10, 275);
INSERT INTO public.ecdc_data VALUES (49131, 3, 344, 21.4699899, 70, 275);
INSERT INTO public.ecdc_data VALUES (49132, 0, 56, 0.07985863, 111, 275);
INSERT INTO public.ecdc_data VALUES (49133, 11, 94, 2.52883211, 71, 275);
INSERT INTO public.ecdc_data VALUES (49134, 0, 0, 0.7620104, 12, 275);
INSERT INTO public.ecdc_data VALUES (49135, 0, 13, 6.12176851, 72, 275);
INSERT INTO public.ecdc_data VALUES (49136, 0, 62, 1.15878667, 13, 275);
INSERT INTO public.ecdc_data VALUES (49137, 1, 40, 22.47165652, 156, 275);
INSERT INTO public.ecdc_data VALUES (49138, 1, 30, 2.73525775, 73, 275);
INSERT INTO public.ecdc_data VALUES (49139, 0, 2, 7.34290767, 74, 275);
INSERT INTO public.ecdc_data VALUES (49140, 0, 19, 39.84477662, 157, 275);
INSERT INTO public.ecdc_data VALUES (49141, 11, 235, 33.67199384, 158, 275);
INSERT INTO public.ecdc_data VALUES (49142, 0, 7, 0.15554686, 14, 275);
INSERT INTO public.ecdc_data VALUES (49143, 8, 312, 55.47631871, 159, 275);
INSERT INTO public.ecdc_data VALUES (49144, 0, 31, 8.93630265, 15, 275);
INSERT INTO public.ecdc_data VALUES (49145, 0, 1, 19.49643494, 75, 275);
INSERT INTO public.ecdc_data VALUES (49146, 4, 83, 14.74072389, 76, 275);
INSERT INTO public.ecdc_data VALUES (49147, 11, 101, 15.92065505, 77, 275);
INSERT INTO public.ecdc_data VALUES (49148, 7, 3, 0.74311614, 16, 275);
INSERT INTO public.ecdc_data VALUES (49149, 1, 9, 1.13116037, 78, 275);
INSERT INTO public.ecdc_data VALUES (49150, 0, 0, 0.51623104, 17, 275);
INSERT INTO public.ecdc_data VALUES (49151, 0, 2, 0.85784948, 18, 275);
INSERT INTO public.ecdc_data VALUES (49152, 4, 11, 57.06435591, 160, 275);
INSERT INTO public.ecdc_data VALUES (49153, 0, 1, 0.52258754, 19, 275);
INSERT INTO public.ecdc_data VALUES (49154, 0, 1, 0.02944359, 20, 275);
INSERT INTO public.ecdc_data VALUES (49155, 0, 0, 0, 79, 275);
INSERT INTO public.ecdc_data VALUES (49156, 0, 2, 133.53329088, 161, 275);
INSERT INTO public.ecdc_data VALUES (49157, 0, 0, 1.12365232, 203, 275);
INSERT INTO public.ecdc_data VALUES (49158, 0, 249, 26.74921469, 162, 275);
INSERT INTO public.ecdc_data VALUES (49159, 833, 3912, 81.37838212, 163, 275);
INSERT INTO public.ecdc_data VALUES (49160, 0, 0, 6.44502927, 204, 275);
INSERT INTO public.ecdc_data VALUES (49161, 0, 0, 0.690424, 21, 275);
INSERT INTO public.ecdc_data VALUES (49162, 0, 0, 0.08518991, 22, 275);
INSERT INTO public.ecdc_data VALUES (49163, 0, 14, 3.17757224, 164, 275);
INSERT INTO public.ecdc_data VALUES (49164, 173, 3834, 84.33349037, 165, 275);
INSERT INTO public.ecdc_data VALUES (49165, 0, 73, 0.85476104, 23, 275);
INSERT INTO public.ecdc_data VALUES (49166, 0, 6, 278.88209814, 166, 275);
INSERT INTO public.ecdc_data VALUES (49167, 6, 20, 9.88381943, 167, 275);
INSERT INTO public.ecdc_data VALUES (49168, 0, 0, 12.35439463, 80, 275);
INSERT INTO public.ecdc_data VALUES (49169, 0, 0, 9.82125319, 81, 275);
INSERT INTO public.ecdc_data VALUES (49170, 0, 2, 49.61295914, 205, 275);
INSERT INTO public.ecdc_data VALUES (49171, 0, 4, 0.30714145, 82, 275);
INSERT INTO public.ecdc_data VALUES (49172, 1, 11, 224.91778867, 168, 275);
INSERT INTO public.ecdc_data VALUES (49173, 0, 7, 0.98659128, 24, 275);
INSERT INTO public.ecdc_data VALUES (49174, 0, 15, 0, 25, 275);
INSERT INTO public.ecdc_data VALUES (49175, 1, 2, 3.3215164, 83, 275);
INSERT INTO public.ecdc_data VALUES (49176, 1, 3, 0.16869277, 84, 275);
INSERT INTO public.ecdc_data VALUES (49177, 0, 0, 736.19631902, 169, 275);
INSERT INTO public.ecdc_data VALUES (49178, 0, 7, 2.82163713, 85, 275);
INSERT INTO public.ecdc_data VALUES (49179, 9, 73, 6.44649268, 170, 275);
INSERT INTO public.ecdc_data VALUES (49180, 2, 76, 272.83600987, 171, 275);
INSERT INTO public.ecdc_data VALUES (49181, 5, 354, 0.28754017, 112, 275);
INSERT INTO public.ecdc_data VALUES (49182, 11, 218, 0.70651122, 113, 275);
INSERT INTO public.ecdc_data VALUES (49183, 136, 2274, 45.16854612, 114, 275);
INSERT INTO public.ecdc_data VALUES (49184, 3, 70, 1.94608015, 115, 275);
INSERT INTO public.ecdc_data VALUES (49185, 16, 253, 86.43541099, 172, 275);
INSERT INTO public.ecdc_data VALUES (49186, 0, 12, 148.95553795, 173, 275);
INSERT INTO public.ecdc_data VALUES (49187, 8, 474, 87.58860541, 116, 275);
INSERT INTO public.ecdc_data VALUES (49188, 636, 3599, 113.6854144, 174, 275);
INSERT INTO public.ecdc_data VALUES (49189, 0, 1, 1.35672462, 86, 275);
INSERT INTO public.ecdc_data VALUES (49190, 7, 252, 2.18981038, 117, 275);
INSERT INTO public.ecdc_data VALUES (49191, 0, 14, 140.07940925, 175, 275);
INSERT INTO public.ecdc_data VALUES (49192, 1, 4, 2.34614046, 118, 275);
INSERT INTO public.ecdc_data VALUES (49193, 1, 139, 3.27737574, 119, 275);
INSERT INTO public.ecdc_data VALUES (49194, 0, 16, 0.27009565, 26, 275);
INSERT INTO public.ecdc_data VALUES (49195, 2, 26, 7.22822165, 176, 275);
INSERT INTO public.ecdc_data VALUES (49196, 0, 109, 11.31426879, 120, 275);
INSERT INTO public.ecdc_data VALUES (49197, 0, 12, 3.30431614, 121, 275);
INSERT INTO public.ecdc_data VALUES (49198, 0, 1, 0.16737672, 122, 275);
INSERT INTO public.ecdc_data VALUES (49199, 0, 9, 18.85448091, 177, 275);
INSERT INTO public.ecdc_data VALUES (49200, 1, 14, 3.99666905, 123, 275);
INSERT INTO public.ecdc_data VALUES (49201, 0, 1, 0.2227905, 28, 275);
INSERT INTO public.ecdc_data VALUES (49202, 0, 0, 0.2655865, 29, 275);
INSERT INTO public.ecdc_data VALUES (49203, 0, 0, 83.38110376, 178, 275);
INSERT INTO public.ecdc_data VALUES (49204, 1, 32, 23.7636462, 179, 275);
INSERT INTO public.ecdc_data VALUES (49205, 5, 39, 320.57651647, 180, 275);
INSERT INTO public.ecdc_data VALUES (49206, 0, 5, 0.22247514, 30, 275);
INSERT INTO public.ecdc_data VALUES (49207, 0, 1, 0, 31, 275);
INSERT INTO public.ecdc_data VALUES (49208, 1, 131, 7.12054781, 124, 275);
INSERT INTO public.ecdc_data VALUES (49209, 0, 0, 1.13003501, 125, 275);
INSERT INTO public.ecdc_data VALUES (49210, 0, 2, 0, 32, 275);
INSERT INTO public.ecdc_data VALUES (49211, 0, 52, 36.26719399, 181, 275);
INSERT INTO public.ecdc_data VALUES (49212, 0, 0, 0.08838416, 33, 275);
INSERT INTO public.ecdc_data VALUES (49213, 0, 17, 16.38220955, 34, 275);
INSERT INTO public.ecdc_data VALUES (49214, 31, 573, 2.9331644, 87, 275);
INSERT INTO public.ecdc_data VALUES (49215, 4, 101, 21.17104573, 182, 275);
INSERT INTO public.ecdc_data VALUES (49216, 0, 1, 90.67553272, 183, 275);
INSERT INTO public.ecdc_data VALUES (49217, 0, 1, 0.15503078, 126, 275);
INSERT INTO public.ecdc_data VALUES (49218, 0, 19, 33.10928314, 184, 275);
INSERT INTO public.ecdc_data VALUES (49219, 0, 0, 100.18032458, 88, 275);
INSERT INTO public.ecdc_data VALUES (49220, 10, 99, 2.70346108, 35, 275);
INSERT INTO public.ecdc_data VALUES (49221, 0, 0, 0.02963837, 36, 275);
INSERT INTO public.ecdc_data VALUES (49222, 0, 1, 0.03700591, 127, 275);
INSERT INTO public.ecdc_data VALUES (49223, 0, 0, 0.52114151, 37, 275);
INSERT INTO public.ecdc_data VALUES (49224, 0, 0, 0.02446807, 128, 275);
INSERT INTO public.ecdc_data VALUES (49225, 101, 952, 81.3208393, 185, 275);
INSERT INTO public.ecdc_data VALUES (49226, 0, 0, 3.8902662, 207, 275);
INSERT INTO public.ecdc_data VALUES (49227, 0, 32, 16.74659455, 208, 275);
INSERT INTO public.ecdc_data VALUES (49228, 0, 1, 0.06111066, 89, 275);
INSERT INTO public.ecdc_data VALUES (49229, 0, 69, 1.07675786, 38, 275);
INSERT INTO public.ecdc_data VALUES (49230, 0, 6, 0.0985253, 39, 275);
INSERT INTO public.ecdc_data VALUES (49231, 4, 87, 20.8941945, 186, 275);
INSERT INTO public.ecdc_data VALUES (49232, 0, 0, 0, 209, 275);
INSERT INTO public.ecdc_data VALUES (49233, 1, 115, 63.51098642, 187, 275);
INSERT INTO public.ecdc_data VALUES (49234, 0, 73, 6.13066312, 129, 275);
INSERT INTO public.ecdc_data VALUES (49235, 4, 587, 1.37464301, 130, 275);
INSERT INTO public.ecdc_data VALUES (49236, 0, 36, 3.89447029, 131, 275);
INSERT INTO public.ecdc_data VALUES (49237, 1, 112, 41.32873654, 90, 275);
INSERT INTO public.ecdc_data VALUES (49238, 0, 0, 0, 210, 275);
INSERT INTO public.ecdc_data VALUES (49239, 0, 0, 1.22078647, 91, 275);
INSERT INTO public.ecdc_data VALUES (49240, 9, 280, 6.66247068, 92, 275);
INSERT INTO public.ecdc_data VALUES (49241, 11, 414, 2.95791705, 132, 275);
INSERT INTO public.ecdc_data VALUES (49242, 13, 311, 9.64900888, 188, 275);
INSERT INTO public.ecdc_data VALUES (49243, 16, 452, 94.09711387, 189, 275);
INSERT INTO public.ecdc_data VALUES (49244, 1, 38, 0, 93, 275);
INSERT INTO public.ecdc_data VALUES (49245, 0, 228, 46.99740932, 133, 275);
INSERT INTO public.ecdc_data VALUES (49246, 9, 193, 17.92993655, 190, 275);
INSERT INTO public.ecdc_data VALUES (49247, 2, 954, 4.04806233, 191, 275);
INSERT INTO public.ecdc_data VALUES (49248, 0, 1, 0.54645077, 40, 275);
INSERT INTO public.ecdc_data VALUES (49249, 0, 1, 0, 94, 275);
INSERT INTO public.ecdc_data VALUES (49250, 0, 0, 6.56473098, 95, 275);
INSERT INTO public.ecdc_data VALUES (49251, 0, 0, 5.42529817, 96, 275);
INSERT INTO public.ecdc_data VALUES (49252, 0, 11, 261.22543755, 192, 275);
INSERT INTO public.ecdc_data VALUES (49253, 4, 138, 5.72245164, 134, 275);
INSERT INTO public.ecdc_data VALUES (49254, 0, 4, 0.90204182, 42, 275);
INSERT INTO public.ecdc_data VALUES (49255, 7, 292, 28.40417912, 193, 275);
INSERT INTO public.ecdc_data VALUES (49256, 0, 0, 3.06933631, 43, 275);
INSERT INTO public.ecdc_data VALUES (49257, 0, 0, 0, 44, 275);
INSERT INTO public.ecdc_data VALUES (49258, 0, 66, 14.91986259, 135, 275);
INSERT INTO public.ecdc_data VALUES (49259, 0, 0, 0, 97, 275);
INSERT INTO public.ecdc_data VALUES (49260, 2, 49, 6.29309185, 194, 275);
INSERT INTO public.ecdc_data VALUES (49261, 2, 24, 27.82439204, 195, 275);
INSERT INTO public.ecdc_data VALUES (49262, 0, 0, 0.03885279, 45, 275);
INSERT INTO public.ecdc_data VALUES (49263, 1, 31, 2.19268784, 46, 275);
INSERT INTO public.ecdc_data VALUES (49264, 6, 47, 2.52609447, 136, 275);
INSERT INTO public.ecdc_data VALUES (49265, 0, 0, 0, 47, 275);
INSERT INTO public.ecdc_data VALUES (49266, 637, 5209, 210.1835948, 196, 275);
INSERT INTO public.ecdc_data VALUES (49267, 0, 12, 0.37985842, 137, 275);
INSERT INTO public.ecdc_data VALUES (49268, 0, 0, 0.02335726, 48, 275);
INSERT INTO public.ecdc_data VALUES (49269, 0, 0, 0.68803828, 98, 275);
INSERT INTO public.ecdc_data VALUES (49270, 90, 389, 50.69312041, 197, 275);
INSERT INTO public.ecdc_data VALUES (49271, 25, 552, 158.68637316, 198, 275);
INSERT INTO public.ecdc_data VALUES (49272, 0, 0, 0.10544734, 138, 275);
INSERT INTO public.ecdc_data VALUES (49273, 0, 10, 0.74872083, 139, 275);
INSERT INTO public.ecdc_data VALUES (49274, 0, 38, 2.05527908, 141, 275);
INSERT INTO public.ecdc_data VALUES (49275, 0, 0, 0, 142, 275);
INSERT INTO public.ecdc_data VALUES (49276, 0, 14, 0.49490501, 49, 275);
INSERT INTO public.ecdc_data VALUES (49277, 1, 1, 3.87105377, 99, 275);
INSERT INTO public.ecdc_data VALUES (49278, 3, 21, 4.14717033, 50, 275);
INSERT INTO public.ecdc_data VALUES (49279, 75, 3148, 34.98370967, 199, 275);
INSERT INTO public.ecdc_data VALUES (49280, 0, 3, 20.94569828, 100, 275);
INSERT INTO public.ecdc_data VALUES (49281, 0, 0, 0.09713215, 51, 275);
INSERT INTO public.ecdc_data VALUES (49282, 1, 11, 2.83222737, 200, 275);
INSERT INTO public.ecdc_data VALUES (49283, 1, 262, 18.9037929, 143, 275);
INSERT INTO public.ecdc_data VALUES (49284, 567, 3592, 75.7122079, 201, 275);
INSERT INTO public.ecdc_data VALUES (49285, 0, 2, 0.02068771, 52, 275);
INSERT INTO public.ecdc_data VALUES (49286, 1342, 30561, 97.77827516, 101, 275);
INSERT INTO public.ecdc_data VALUES (49287, 0, 0, 40.16102659, 102, 275);
INSERT INTO public.ecdc_data VALUES (49288, 0, 4, 7.19293325, 103, 275);
INSERT INTO public.ecdc_data VALUES (49289, 0, 55, 1.05513009, 144, 275);
INSERT INTO public.ecdc_data VALUES (49290, 0, 11, 0.26301182, 104, 275);
INSERT INTO public.ecdc_data VALUES (49291, 0, 6, 0.1233645, 145, 275);
INSERT INTO public.ecdc_data VALUES (49292, 0, 0, 0.20155608, 54, 275);
INSERT INTO public.ecdc_data VALUES (49293, 0, 0, 0.04779634, 55, 275);
INSERT INTO public.ecdc_data VALUES (49294, 0, 6, 0, 58, 276);
INSERT INTO public.ecdc_data VALUES (49295, 0, 4, 0.16664551, 202, 276);
INSERT INTO public.ecdc_data VALUES (49296, 0, 33, 0.83532994, 150, 276);
INSERT INTO public.ecdc_data VALUES (49297, 0, 3, 0.08957257, 151, 276);
INSERT INTO public.ecdc_data VALUES (49298, 0, 4, 3.41221231, 106, 276);
INSERT INTO public.ecdc_data VALUES (49299, 0, 110, 1.78953044, 153, 276);
INSERT INTO public.ecdc_data VALUES (49300, 0, 5, 0.00615969, 66, 276);
INSERT INTO public.ecdc_data VALUES (49301, 0, 1, 0, 7, 276);
INSERT INTO public.ecdc_data VALUES (49302, 0, 6, 0.11226633, 68, 276);
INSERT INTO public.ecdc_data VALUES (49303, 0, 1, 0, 70, 276);
INSERT INTO public.ecdc_data VALUES (49304, 28, 101, 0.30681058, 111, 276);
INSERT INTO public.ecdc_data VALUES (49305, 0, 1, 0, 71, 276);
INSERT INTO public.ecdc_data VALUES (49306, 0, 1, 0, 72, 276);
INSERT INTO public.ecdc_data VALUES (49307, 0, 1, 0.26985614, 156, 276);
INSERT INTO public.ecdc_data VALUES (49308, 0, 7, 0.17840711, 158, 276);
INSERT INTO public.ecdc_data VALUES (49309, 0, 3, 0.3961364, 159, 276);
INSERT INTO public.ecdc_data VALUES (49310, 0, 1, 0.01862378, 76, 276);
INSERT INTO public.ecdc_data VALUES (49311, 0, 12, 0.01394588, 16, 276);
INSERT INTO public.ecdc_data VALUES (49312, 0, 5, 0.75481952, 160, 276);
INSERT INTO public.ecdc_data VALUES (49313, 0, 1, 0, 161, 276);
INSERT INTO public.ecdc_data VALUES (49314, 0, 7, 0.32620994, 162, 276);
INSERT INTO public.ecdc_data VALUES (49315, 2, 190, 0.89684248, 163, 276);
INSERT INTO public.ecdc_data VALUES (49316, 0, 284, 0.80583756, 165, 276);
INSERT INTO public.ecdc_data VALUES (49317, 0, 13, 0.41959611, 167, 276);
INSERT INTO public.ecdc_data VALUES (49318, 0, 1, 0, 169, 276);
INSERT INTO public.ecdc_data VALUES (49319, 0, 2, 0, 170, 276);
INSERT INTO public.ecdc_data VALUES (49320, 0, 8, 12.04512159, 171, 276);
INSERT INTO public.ecdc_data VALUES (49321, 0, 2, 0.00204915, 112, 276);
INSERT INTO public.ecdc_data VALUES (49322, 0, 2, 0.00147806, 113, 276);
INSERT INTO public.ecdc_data VALUES (49323, 17, 1234, 5.70350737, 114, 276);
INSERT INTO public.ecdc_data VALUES (49324, 0, 5, 0.36702935, 172, 276);
INSERT INTO public.ecdc_data VALUES (49325, 0, 2, 0.22302111, 116, 276);
INSERT INTO public.ecdc_data VALUES (49326, 49, 778, 7.65247638, 174, 276);
INSERT INTO public.ecdc_data VALUES (49327, 0, 59, 0.23884541, 117, 276);
INSERT INTO public.ecdc_data VALUES (49328, 0, 6, 0.32090043, 123, 276);
INSERT INTO public.ecdc_data VALUES (49329, 0, 2, 0.48868371, 180, 276);
INSERT INTO public.ecdc_data VALUES (49330, 0, 33, 0.19092458, 124, 276);
INSERT INTO public.ecdc_data VALUES (49331, 0, 1, 0, 181, 276);
INSERT INTO public.ecdc_data VALUES (49332, 0, 0, 0.01646084, 87, 276);
INSERT INTO public.ecdc_data VALUES (49333, 1, 46, 0.74064803, 185, 276);
INSERT INTO public.ecdc_data VALUES (49334, 0, 1, 0.10453555, 208, 276);
INSERT INTO public.ecdc_data VALUES (49335, 0, 2, 0.14442992, 186, 276);
INSERT INTO public.ecdc_data VALUES (49336, 0, 27, 2.12078649, 187, 276);
INSERT INTO public.ecdc_data VALUES (49337, 0, 1, 0.00277053, 130, 276);
INSERT INTO public.ecdc_data VALUES (49338, 0, 9, 0, 131, 276);
INSERT INTO public.ecdc_data VALUES (49339, 0, 1, 0, 92, 276);
INSERT INTO public.ecdc_data VALUES (49340, 0, 2, 0.00184985, 132, 276);
INSERT INTO public.ecdc_data VALUES (49341, 0, 4, 0, 188, 276);
INSERT INTO public.ecdc_data VALUES (49342, 0, 4, 0, 189, 276);
INSERT INTO public.ecdc_data VALUES (49343, 0, 3, 0.38840834, 133, 276);
INSERT INTO public.ecdc_data VALUES (49344, 0, 1, 0.0360556, 190, 276);
INSERT INTO public.ecdc_data VALUES (49345, 0, 6, 0.00548425, 191, 276);
INSERT INTO public.ecdc_data VALUES (49346, 0, 1, 66.75761182, 192, 276);
INSERT INTO public.ecdc_data VALUES (49347, 0, 1, 0, 193, 276);
INSERT INTO public.ecdc_data VALUES (49348, 0, 13, 0.75805306, 135, 276);
INSERT INTO public.ecdc_data VALUES (49349, 0, 1, 0, 194, 276);
INSERT INTO public.ecdc_data VALUES (49350, 0, 3, 0, 195, 276);
INSERT INTO public.ecdc_data VALUES (49351, 2, 483, 12.53676868, 136, 276);
INSERT INTO public.ecdc_data VALUES (49352, 2, 233, 1.62345064, 196, 276);
INSERT INTO public.ecdc_data VALUES (49353, 0, 59, 0.84064951, 197, 276);
INSERT INTO public.ecdc_data VALUES (49354, 0, 122, 2.44601018, 198, 276);
INSERT INTO public.ecdc_data VALUES (49355, 0, 1, 0.07991964, 139, 276);
INSERT INTO public.ecdc_data VALUES (49356, 0, 3, 0.02154381, 141, 276);
INSERT INTO public.ecdc_data VALUES (49357, 0, 1, 0, 49, 276);
INSERT INTO public.ecdc_data VALUES (49358, 1, 51, 0.39161487, 201, 276);
INSERT INTO public.ecdc_data VALUES (49359, 2, 105, 0.0920791, 101, 276);
INSERT INTO public.ecdc_data VALUES (49360, 0, 1, 0.00103668, 145, 276);
INSERT INTO public.ecdc_data VALUES (49361, 0, 0, 0, 105, 277);
INSERT INTO public.ecdc_data VALUES (49362, 0, 0, 0, 1, 277);
INSERT INTO public.ecdc_data VALUES (49363, 0, 0, 0, 149, 277);
INSERT INTO public.ecdc_data VALUES (49364, 0, 1, 0.0555485, 202, 277);
INSERT INTO public.ecdc_data VALUES (49365, 0, 0, 0, 150, 277);
INSERT INTO public.ecdc_data VALUES (49366, 0, 0, 0, 151, 277);
INSERT INTO public.ecdc_data VALUES (49367, 0, 0, 0, 106, 277);
INSERT INTO public.ecdc_data VALUES (49368, 0, 0, 0, 152, 277);
INSERT INTO public.ecdc_data VALUES (49369, 0, 0, 0.00872942, 153, 277);
INSERT INTO public.ecdc_data VALUES (49370, 0, 0, 0, 66, 277);
INSERT INTO public.ecdc_data VALUES (49371, 0, 0, 0.00606555, 110, 277);
INSERT INTO public.ecdc_data VALUES (49372, 0, 2, 0.01871106, 68, 277);
INSERT INTO public.ecdc_data VALUES (49373, 0, 41, 0, 214, 277);
INSERT INTO public.ecdc_data VALUES (49374, 73, 3160, 2.11503312, 111, 277);
INSERT INTO public.ecdc_data VALUES (49375, 0, 0, 0, 156, 277);
INSERT INTO public.ecdc_data VALUES (49376, 0, 0, 0, 158, 277);
INSERT INTO public.ecdc_data VALUES (49377, 0, 0, 0, 159, 277);
INSERT INTO public.ecdc_data VALUES (49378, 0, 0, 0, 76, 277);
INSERT INTO public.ecdc_data VALUES (49379, 0, 0, 0, 77, 277);
INSERT INTO public.ecdc_data VALUES (49380, 0, 0, 0, 16, 277);
INSERT INTO public.ecdc_data VALUES (49381, 0, 0, 0, 160, 277);
INSERT INTO public.ecdc_data VALUES (49382, 0, 0, 0.01812277, 162, 277);
INSERT INTO public.ecdc_data VALUES (49383, 0, 0, 0.0089535, 163, 277);
INSERT INTO public.ecdc_data VALUES (49384, 0, 0, 0, 164, 277);
INSERT INTO public.ecdc_data VALUES (49385, 0, 1, 0.01445449, 165, 277);
INSERT INTO public.ecdc_data VALUES (49386, 0, 0, 0, 167, 277);
INSERT INTO public.ecdc_data VALUES (49387, 0, 0, 0, 171, 277);
INSERT INTO public.ecdc_data VALUES (49388, 0, 0, 0.00021955, 112, 277);
INSERT INTO public.ecdc_data VALUES (49389, 0, 0, 0, 113, 277);
INSERT INTO public.ecdc_data VALUES (49390, 0, 0, 0, 114, 277);
INSERT INTO public.ecdc_data VALUES (49391, 0, 0, 0, 115, 277);
INSERT INTO public.ecdc_data VALUES (49392, 0, 0, 0, 172, 277);
INSERT INTO public.ecdc_data VALUES (49393, 0, 0, 0, 116, 277);
INSERT INTO public.ecdc_data VALUES (49394, 0, 0, 0.00497022, 174, 277);
INSERT INTO public.ecdc_data VALUES (49395, 0, 0, 0.01813018, 117, 277);
INSERT INTO public.ecdc_data VALUES (49396, 0, 0, 0, 120, 277);
INSERT INTO public.ecdc_data VALUES (49397, 0, 0, 0, 123, 277);
INSERT INTO public.ecdc_data VALUES (49398, 0, 0, 0, 179, 277);
INSERT INTO public.ecdc_data VALUES (49399, 0, 0, 0, 180, 277);
INSERT INTO public.ecdc_data VALUES (49400, 0, 2, 0.04381876, 124, 277);
INSERT INTO public.ecdc_data VALUES (49401, 0, 0, 0.00078385, 87, 277);
INSERT INTO public.ecdc_data VALUES (49402, 0, 0, 0, 183, 277);
INSERT INTO public.ecdc_data VALUES (49403, 0, 0, 0.00349544, 128, 277);
INSERT INTO public.ecdc_data VALUES (49404, 0, 0, 0, 185, 277);
INSERT INTO public.ecdc_data VALUES (49405, 0, 0, 0, 208, 277);
INSERT INTO public.ecdc_data VALUES (49406, 0, 0, 0, 39, 277);
INSERT INTO public.ecdc_data VALUES (49407, 0, 0, 0, 186, 277);
INSERT INTO public.ecdc_data VALUES (49408, 0, 0, 0, 187, 277);
INSERT INTO public.ecdc_data VALUES (49409, 0, 0, 0, 129, 277);
INSERT INTO public.ecdc_data VALUES (49410, 0, 0, 0, 130, 277);
INSERT INTO public.ecdc_data VALUES (49411, 0, 0, 0.00277478, 132, 277);
INSERT INTO public.ecdc_data VALUES (49412, 0, 0, 0, 133, 277);
INSERT INTO public.ecdc_data VALUES (49413, 0, 0, 0, 190, 277);
INSERT INTO public.ecdc_data VALUES (49414, 0, 0, 0.00137106, 191, 277);
INSERT INTO public.ecdc_data VALUES (49415, 0, 0, 0, 192, 277);
INSERT INTO public.ecdc_data VALUES (49416, 0, 2, 0.46516893, 135, 277);
INSERT INTO public.ecdc_data VALUES (49417, 0, 1, 0.04294751, 136, 277);
INSERT INTO public.ecdc_data VALUES (49418, 0, 0, 0.00213051, 196, 277);
INSERT INTO public.ecdc_data VALUES (49419, 0, 0, 0.00468961, 137, 277);
INSERT INTO public.ecdc_data VALUES (49420, 0, 0, 0.00977499, 197, 277);
INSERT INTO public.ecdc_data VALUES (49421, 0, 0, 0, 198, 277);
INSERT INTO public.ecdc_data VALUES (49422, 0, 5, 0.06309445, 139, 277);
INSERT INTO public.ecdc_data VALUES (49423, 0, 0, 0.03016133, 141, 277);
INSERT INTO public.ecdc_data VALUES (49424, 0, 0, 0.05117432, 143, 277);
INSERT INTO public.ecdc_data VALUES (49425, 0, 1, 0.00600176, 201, 277);
INSERT INTO public.ecdc_data VALUES (49426, 0, 0, 0.00334281, 101, 277);
INSERT INTO public.ecdc_data VALUES (49427, 0, 2, 0.01036676, 145, 277);
INSERT INTO public.ecdc_data VALUES (49428, 0, 0, 0, 105, 278);
INSERT INTO public.ecdc_data VALUES (49429, 0, 0, 0, 1, 278);
INSERT INTO public.ecdc_data VALUES (49430, 0, 0, 0, 149, 278);
INSERT INTO public.ecdc_data VALUES (49431, 0, 0, 0, 202, 278);
INSERT INTO public.ecdc_data VALUES (49432, 0, 0, 0, 150, 278);
INSERT INTO public.ecdc_data VALUES (49433, 0, 0, 0, 151, 278);
INSERT INTO public.ecdc_data VALUES (49434, 0, 0, 0, 106, 278);
INSERT INTO public.ecdc_data VALUES (49435, 0, 0, 0, 152, 278);
INSERT INTO public.ecdc_data VALUES (49436, 0, 0, 0, 153, 278);
INSERT INTO public.ecdc_data VALUES (49437, 0, 0, 0, 66, 278);
INSERT INTO public.ecdc_data VALUES (49438, 0, 0, 0, 110, 278);
INSERT INTO public.ecdc_data VALUES (49439, 0, 0, 0, 68, 278);
INSERT INTO public.ecdc_data VALUES (49440, 0, 0, 0, 214, 278);
INSERT INTO public.ecdc_data VALUES (49441, 0, 0, 0, 111, 278);
INSERT INTO public.ecdc_data VALUES (49442, 0, 0, 0, 156, 278);
INSERT INTO public.ecdc_data VALUES (49443, 0, 0, 0, 158, 278);
INSERT INTO public.ecdc_data VALUES (49444, 0, 0, 0, 159, 278);
INSERT INTO public.ecdc_data VALUES (49445, 0, 0, 0, 76, 278);
INSERT INTO public.ecdc_data VALUES (49446, 0, 0, 0, 77, 278);
INSERT INTO public.ecdc_data VALUES (49447, 0, 0, 0, 16, 278);
INSERT INTO public.ecdc_data VALUES (49448, 0, 0, 0, 160, 278);
INSERT INTO public.ecdc_data VALUES (49449, 0, 0, 0, 162, 278);
INSERT INTO public.ecdc_data VALUES (49450, 0, 0, 0, 163, 278);
INSERT INTO public.ecdc_data VALUES (49451, 0, 0, 0, 164, 278);
INSERT INTO public.ecdc_data VALUES (49452, 0, 0, 0, 165, 278);
INSERT INTO public.ecdc_data VALUES (49453, 0, 0, 0, 167, 278);
INSERT INTO public.ecdc_data VALUES (49454, 0, 0, 0, 171, 278);
INSERT INTO public.ecdc_data VALUES (49455, 0, 0, 0, 112, 278);
INSERT INTO public.ecdc_data VALUES (49456, 0, 0, 0, 113, 278);
INSERT INTO public.ecdc_data VALUES (49457, 0, 0, 0, 114, 278);
INSERT INTO public.ecdc_data VALUES (49458, 0, 0, 0, 115, 278);
INSERT INTO public.ecdc_data VALUES (49459, 0, 0, 0, 172, 278);
INSERT INTO public.ecdc_data VALUES (49460, 0, 0, 0, 116, 278);
INSERT INTO public.ecdc_data VALUES (49461, 0, 0, 0, 174, 278);
INSERT INTO public.ecdc_data VALUES (49462, 0, 0, 0, 117, 278);
INSERT INTO public.ecdc_data VALUES (49463, 0, 0, 0, 120, 278);
INSERT INTO public.ecdc_data VALUES (49464, 0, 0, 0, 123, 278);
INSERT INTO public.ecdc_data VALUES (49465, 0, 0, 0, 179, 278);
INSERT INTO public.ecdc_data VALUES (49466, 0, 0, 0, 180, 278);
INSERT INTO public.ecdc_data VALUES (49467, 0, 0, 0, 124, 278);
INSERT INTO public.ecdc_data VALUES (49468, 0, 0, 0, 87, 278);
INSERT INTO public.ecdc_data VALUES (49469, 0, 0, 0, 183, 278);
INSERT INTO public.ecdc_data VALUES (49470, 0, 0, 0, 128, 278);
INSERT INTO public.ecdc_data VALUES (49471, 0, 0, 0, 185, 278);
INSERT INTO public.ecdc_data VALUES (49472, 0, 0, 0, 208, 278);
INSERT INTO public.ecdc_data VALUES (49473, 0, 0, 0, 39, 278);
INSERT INTO public.ecdc_data VALUES (49474, 0, 0, 0, 186, 278);
INSERT INTO public.ecdc_data VALUES (49475, 0, 0, 0, 187, 278);
INSERT INTO public.ecdc_data VALUES (49476, 0, 0, 0, 129, 278);
INSERT INTO public.ecdc_data VALUES (49477, 0, 0, 0, 130, 278);
INSERT INTO public.ecdc_data VALUES (49478, 0, 0, 0, 132, 278);
INSERT INTO public.ecdc_data VALUES (49479, 0, 0, 0, 133, 278);
INSERT INTO public.ecdc_data VALUES (49480, 0, 0, 0, 190, 278);
INSERT INTO public.ecdc_data VALUES (49481, 0, 0, 0, 191, 278);
INSERT INTO public.ecdc_data VALUES (49482, 0, 0, 0, 192, 278);
INSERT INTO public.ecdc_data VALUES (49483, 0, 0, 0, 135, 278);
INSERT INTO public.ecdc_data VALUES (49484, 0, 0, 0, 136, 278);
INSERT INTO public.ecdc_data VALUES (49485, 0, 0, 0, 196, 278);
INSERT INTO public.ecdc_data VALUES (49486, 0, 0, 0, 137, 278);
INSERT INTO public.ecdc_data VALUES (49487, 0, 0, 0, 197, 278);
INSERT INTO public.ecdc_data VALUES (49488, 0, 0, 0, 198, 278);
INSERT INTO public.ecdc_data VALUES (49489, 0, 0, 0, 139, 278);
INSERT INTO public.ecdc_data VALUES (49490, 0, 0, 0, 141, 278);
INSERT INTO public.ecdc_data VALUES (49491, 0, 0, 0, 143, 278);
INSERT INTO public.ecdc_data VALUES (49492, 0, 0, 0, 201, 278);
INSERT INTO public.ecdc_data VALUES (49493, 0, 0, 0, 101, 278);
INSERT INTO public.ecdc_data VALUES (49494, 0, 0, 0, 145, 278);
INSERT INTO public.ecdc_data VALUES (49495, 10, 234, 7.32616004, 105, 279);
INSERT INTO public.ecdc_data VALUES (49496, 19, 846, 347.67698879, 147, 279);
INSERT INTO public.ecdc_data VALUES (49497, 9, 772, 31.88623971, 1, 279);
INSERT INTO public.ecdc_data VALUES (49498, 1, 50, 1047.56028723, 148, 279);
INSERT INTO public.ecdc_data VALUES (49499, 1, 43, 3.52863928, 2, 279);
INSERT INTO public.ecdc_data VALUES (49500, 0, 0, 26.89618074, 56, 279);
INSERT INTO public.ecdc_data VALUES (49501, 0, 0, 5.14853524, 57, 279);
INSERT INTO public.ecdc_data VALUES (49502, 120, 5201, 209.12145697, 58, 279);
INSERT INTO public.ecdc_data VALUES (49503, 17, 978, 531.25236668, 149, 279);
INSERT INTO public.ecdc_data VALUES (49504, 0, 15, 219.17035086, 59, 279);
INSERT INTO public.ecdc_data VALUES (49505, 0, 7, 0.59119477, 202, 279);
INSERT INTO public.ecdc_data VALUES (49506, 87, 3160, 647.06463365, 150, 279);
INSERT INTO public.ecdc_data VALUES (49507, 42, 4323, 521.76021244, 151, 279);
INSERT INTO public.ecdc_data VALUES (49508, 0, 5, 44.93101164, 60, 279);
INSERT INTO public.ecdc_data VALUES (49509, 0, 132, 130.45618841, 106, 279);
INSERT INTO public.ecdc_data VALUES (49510, 35, 1888, 18.76646317, 107, 279);
INSERT INTO public.ecdc_data VALUES (49511, 0, 1, 10.45219688, 61, 279);
INSERT INTO public.ecdc_data VALUES (49512, 8, 1896, 241.67384209, 152, 279);
INSERT INTO public.ecdc_data VALUES (49513, 85, 1098, 275.09011159, 153, 279);
INSERT INTO public.ecdc_data VALUES (49514, 2, 218, 638.14361946, 62, 279);
INSERT INTO public.ecdc_data VALUES (49515, 0, 0, 1.17785121, 3, 279);
INSERT INTO public.ecdc_data VALUES (49516, 0, 10, 97.5875088, 63, 279);
INSERT INTO public.ecdc_data VALUES (49517, 0, 2, 6.15913636, 108, 279);
INSERT INTO public.ecdc_data VALUES (49518, 5, 167, 13.63663763, 64, 279);
INSERT INTO public.ecdc_data VALUES (49519, 0, 0, 23.09202171, 65, 279);
INSERT INTO public.ecdc_data VALUES (49520, 57, 975, 438.01904757, 154, 279);
INSERT INTO public.ecdc_data VALUES (49521, 0, 1521, 84.08201925, 4, 279);
INSERT INTO public.ecdc_data VALUES (49522, 664, 43209, 248.46822797, 66, 279);
INSERT INTO public.ecdc_data VALUES (49523, 0, 0, 3.3296707, 67, 279);
INSERT INTO public.ecdc_data VALUES (49524, 0, 0, 0.69236734, 109, 279);
INSERT INTO public.ecdc_data VALUES (49525, 79, 2037, 573.52537607, 155, 279);
INSERT INTO public.ecdc_data VALUES (49526, 0, 65, 2.22917899, 5, 279);
INSERT INTO public.ecdc_data VALUES (49527, 0, 2, 0.32955853, 6, 279);
INSERT INTO public.ecdc_data VALUES (49528, 0, 1, 0.24262213, 110, 279);
INSERT INTO public.ecdc_data VALUES (49529, 0, 0, 4.73018123, 7, 279);
INSERT INTO public.ecdc_data VALUES (49530, 93, 6352, 222.42098709, 68, 279);
INSERT INTO public.ecdc_data VALUES (49531, 1, 40, 145.83515173, 8, 279);
INSERT INTO public.ecdc_data VALUES (49532, 0, 0, 41.57171891, 69, 279);
INSERT INTO public.ecdc_data VALUES (49533, 0, 4, 0.23181423, 9, 279);
INSERT INTO public.ecdc_data VALUES (49534, 0, 3, 0.55810283, 10, 279);
INSERT INTO public.ecdc_data VALUES (49535, 34, 1533, 103.02323735, 70, 279);
INSERT INTO public.ecdc_data VALUES (49536, 0, 18, 0.01276343, 111, 279);
INSERT INTO public.ecdc_data VALUES (49537, 166, 9642, 241.86997858, 71, 279);
INSERT INTO public.ecdc_data VALUES (49538, 0, 1, 2.35047732, 11, 279);
INSERT INTO public.ecdc_data VALUES (49539, 0, 0, 2.63915797, 12, 279);
INSERT INTO public.ecdc_data VALUES (49540, 0, 0, 282.6513637, 72, 279);
INSERT INTO public.ecdc_data VALUES (49541, 0, 29, 1.22489195, 13, 279);
INSERT INTO public.ecdc_data VALUES (49542, 70, 4084, 1154.10110185, 156, 279);
INSERT INTO public.ecdc_data VALUES (49543, 0, 104, 8.08224549, 73, 279);
INSERT INTO public.ecdc_data VALUES (49544, 0, 121, 813.22702435, 74, 279);
INSERT INTO public.ecdc_data VALUES (49545, 2, 369, 425.27734362, 157, 279);
INSERT INTO public.ecdc_data VALUES (49546, 77, 1773, 501.69017259, 158, 279);
INSERT INTO public.ecdc_data VALUES (49547, 6, 213, 1.55201197, 14, 279);
INSERT INTO public.ecdc_data VALUES (49548, 11, 2115, 331.08391013, 159, 279);
INSERT INTO public.ecdc_data VALUES (49549, 0, 2, 3.1841998, 15, 279);
INSERT INTO public.ecdc_data VALUES (49550, 0, 0, 18.10383244, 75, 279);
INSERT INTO public.ecdc_data VALUES (49551, 2, 975, 101.22957006, 76, 279);
INSERT INTO public.ecdc_data VALUES (49552, 60, 909, 72.03434487, 77, 279);
INSERT INTO public.ecdc_data VALUES (49553, 18, 431, 5.31736458, 16, 279);
INSERT INTO public.ecdc_data VALUES (49554, 6, 413, 44.64209621, 78, 279);
INSERT INTO public.ecdc_data VALUES (49555, 0, 0, 2.13867146, 17, 279);
INSERT INTO public.ecdc_data VALUES (49556, 0, 0, 2.3161936, 18, 279);
INSERT INTO public.ecdc_data VALUES (49557, 1, 561, 386.84500536, 160, 279);
INSERT INTO public.ecdc_data VALUES (49558, 0, 15, 25.25839776, 19, 279);
INSERT INTO public.ecdc_data VALUES (49559, 11, 649, 6.59179507, 20, 279);
INSERT INTO public.ecdc_data VALUES (49560, 0, 0, 29.65599051, 79, 279);
INSERT INTO public.ecdc_data VALUES (49561, 0, 1, 14.38050825, 161, 279);
INSERT INTO public.ecdc_data VALUES (49562, 0, 0, 1.01128709, 203, 279);
INSERT INTO public.ecdc_data VALUES (49563, 0, 460, 108.77289065, 162, 279);
INSERT INTO public.ecdc_data VALUES (49564, 214, 12923, 230.4392724, 163, 279);
INSERT INTO public.ecdc_data VALUES (49565, 1, 210, 762.30373991, 204, 279);
INSERT INTO public.ecdc_data VALUES (49566, 0, 0, 5.66147683, 21, 279);
INSERT INTO public.ecdc_data VALUES (49567, 0, 3, 1.87417792, 22, 279);
INSERT INTO public.ecdc_data VALUES (49568, 42, 4321, 1444.74452069, 164, 279);
INSERT INTO public.ecdc_data VALUES (49569, 255, 17767, 304.81257393, 165, 279);
INSERT INTO public.ecdc_data VALUES (49570, 0, 102, 4.35270623, 23, 279);
INSERT INTO public.ecdc_data VALUES (49571, 0, 6, 281.84892897, 166, 279);
INSERT INTO public.ecdc_data VALUES (49572, 98, 1383, 227.95257893, 167, 279);
INSERT INTO public.ecdc_data VALUES (49573, 0, 0, 0, 80, 279);
INSERT INTO public.ecdc_data VALUES (49574, 0, 0, 0, 81, 279);
INSERT INTO public.ecdc_data VALUES (49575, 0, 45, 271.97465555, 205, 279);
INSERT INTO public.ecdc_data VALUES (49576, 15, 547, 39.44492487, 82, 279);
INSERT INTO public.ecdc_data VALUES (49577, 0, 0, 7.75578582, 168, 279);
INSERT INTO public.ecdc_data VALUES (49578, 0, 47, 3.40608896, 24, 279);
INSERT INTO public.ecdc_data VALUES (49579, 0, 0, 1.09322787, 25, 279);
INSERT INTO public.ecdc_data VALUES (49580, 0, 36, 69.49634314, 83, 279);
INSERT INTO public.ecdc_data VALUES (49581, 0, 23, 1.38505643, 84, 279);
INSERT INTO public.ecdc_data VALUES (49582, 0, 0, 0, 169, 279);
INSERT INTO public.ecdc_data VALUES (49583, 4, 763, 64.51801564, 85, 279);
INSERT INTO public.ecdc_data VALUES (49584, 162, 6697, 774.19307307, 170, 279);
INSERT INTO public.ecdc_data VALUES (49585, 0, 14, 57.98465508, 171, 279);
INSERT INTO public.ecdc_data VALUES (49586, 482, 36011, 40.13530983, 112, 279);
INSERT INTO public.ecdc_data VALUES (49587, 110, 6027, 28.23051822, 113, 279);
INSERT INTO public.ecdc_data VALUES (49588, 321, 12151, 226.35289842, 114, 279);
INSERT INTO public.ecdc_data VALUES (49589, 24, 1898, 73.68393659, 115, 279);
INSERT INTO public.ecdc_data VALUES (49590, 11, 457, 77.58592565, 172, 279);
INSERT INTO public.ecdc_data VALUES (49591, 0, 0, 2.36437362, 173, 279);
INSERT INTO public.ecdc_data VALUES (49592, 13, 1965, 183.92198581, 116, 279);
INSERT INTO public.ecdc_data VALUES (49593, 662, 21052, 545.82915518, 174, 279);
INSERT INTO public.ecdc_data VALUES (49594, 1, 76, 27.91460911, 86, 279);
INSERT INTO public.ecdc_data VALUES (49595, 32, 2424, 23.58421053, 117, 279);
INSERT INTO public.ecdc_data VALUES (49596, 0, 23, 417.45519314, 175, 279);
INSERT INTO public.ecdc_data VALUES (49597, 50, 3160, 587.54484519, 118, 279);
INSERT INTO public.ecdc_data VALUES (49598, 4, 966, 69.40705589, 119, 279);
INSERT INTO public.ecdc_data VALUES (49599, 12, 735, 22.02611038, 26, 279);
INSERT INTO public.ecdc_data VALUES (49600, 14, 560, 486.45931679, 176, 279);
INSERT INTO public.ecdc_data VALUES (49601, 3, 247, 105.29876206, 120, 279);
INSERT INTO public.ecdc_data VALUES (49602, 5, 199, 84.04185197, 121, 279);
INSERT INTO public.ecdc_data VALUES (49603, 0, 0, 0.20922089, 122, 279);
INSERT INTO public.ecdc_data VALUES (49604, 11, 794, 418.91323189, 177, 279);
INSERT INTO public.ecdc_data VALUES (49605, 0, 0, 277.31632133, 123, 279);
INSERT INTO public.ecdc_data VALUES (49606, 0, 0, 3.05843925, 27, 279);
INSERT INTO public.ecdc_data VALUES (49607, 0, 0, 2.53171018, 28, 279);
INSERT INTO public.ecdc_data VALUES (49608, 0, 0, 128.67665774, 29, 279);
INSERT INTO public.ecdc_data VALUES (49609, 0, 0, 747.82427432, 178, 279);
INSERT INTO public.ecdc_data VALUES (49610, 15, 2219, 1070.40194919, 179, 279);
INSERT INTO public.ecdc_data VALUES (49611, 6, 588, 1181.80011533, 180, 279);
INSERT INTO public.ecdc_data VALUES (49612, 0, 0, 0.75270754, 30, 279);
INSERT INTO public.ecdc_data VALUES (49613, 0, 2, 0.24693016, 31, 279);
INSERT INTO public.ecdc_data VALUES (49614, 4, 1123, 55.33682867, 124, 279);
INSERT INTO public.ecdc_data VALUES (49615, 0, 16, 109.42505702, 125, 279);
INSERT INTO public.ecdc_data VALUES (49616, 0, 124, 4.35445619, 32, 279);
INSERT INTO public.ecdc_data VALUES (49617, 0, 103, 305.94113368, 181, 279);
INSERT INTO public.ecdc_data VALUES (49618, 0, 0, 0, 206, 279);
INSERT INTO public.ecdc_data VALUES (49619, 0, 0, 13.56696801, 33, 279);
INSERT INTO public.ecdc_data VALUES (49620, 0, 0, 0.86636685, 34, 279);
INSERT INTO public.ecdc_data VALUES (49621, 593, 11625, 106.37384855, 87, 279);
INSERT INTO public.ecdc_data VALUES (49622, 19, 1728, 466.65337705, 182, 279);
INSERT INTO public.ecdc_data VALUES (49623, 0, 7, 169.26099441, 183, 279);
INSERT INTO public.ecdc_data VALUES (49624, 0, 7, 7.47248359, 126, 279);
INSERT INTO public.ecdc_data VALUES (49625, 8, 412, 1161.39650456, 184, 279);
INSERT INTO public.ecdc_data VALUES (49626, 0, 0, 0, 88, 279);
INSERT INTO public.ecdc_data VALUES (49627, 48, 4118, 152.92925492, 35, 279);
INSERT INTO public.ecdc_data VALUES (49628, 0, 95, 3.79371128, 36, 279);
INSERT INTO public.ecdc_data VALUES (49629, 22, 1527, 37.37411839, 127, 279);
INSERT INTO public.ecdc_data VALUES (49630, 0, 146, 45.66001369, 37, 279);
INSERT INTO public.ecdc_data VALUES (49631, 10, 1024, 74.26408351, 128, 279);
INSERT INTO public.ecdc_data VALUES (49632, 39, 6520, 411.44155393, 185, 279);
INSERT INTO public.ecdc_data VALUES (49633, 0, 0, 1.06098169, 207, 279);
INSERT INTO public.ecdc_data VALUES (49634, 0, 0, 1.04535546, 208, 279);
INSERT INTO public.ecdc_data VALUES (49635, 0, 0, 1.72637611, 89, 279);
INSERT INTO public.ecdc_data VALUES (49636, 0, 63, 1.87896392, 38, 279);
INSERT INTO public.ecdc_data VALUES (49637, 1, 310, 1.34800529, 39, 279);
INSERT INTO public.ecdc_data VALUES (49638, 24, 981, 658.60041634, 186, 279);
INSERT INTO public.ecdc_data VALUES (49639, 0, 0, 5.24356353, 209, 279);
INSERT INTO public.ecdc_data VALUES (49640, 0, 0, 111.35067449, 187, 279);
INSERT INTO public.ecdc_data VALUES (49641, 0, 0, 59.67848793, 129, 279);
INSERT INTO public.ecdc_data VALUES (49642, 58, 3308, 19.54421908, 130, 279);
INSERT INTO public.ecdc_data VALUES (49643, 15, 1422, 540.44808892, 131, 279);
INSERT INTO public.ecdc_data VALUES (49644, 19, 2300, 525.85224329, 90, 279);
INSERT INTO public.ecdc_data VALUES (49645, 0, 0, 0.76343541, 210, 279);
INSERT INTO public.ecdc_data VALUES (49646, 37, 1736, 161.20059523, 91, 279);
INSERT INTO public.ecdc_data VALUES (49647, 36, 1828, 75.68948113, 92, 279);
INSERT INTO public.ecdc_data VALUES (49648, 17, 1724, 19.62417953, 132, 279);
INSERT INTO public.ecdc_data VALUES (49649, 502, 12427, 555.12875897, 188, 279);
INSERT INTO public.ecdc_data VALUES (49650, 73, 6087, 609.83103681, 189, 279);
INSERT INTO public.ecdc_data VALUES (49651, 12, 1055, 425.54656638, 93, 279);
INSERT INTO public.ecdc_data VALUES (49652, 0, 140, 96.07809974, 133, 279);
INSERT INTO public.ecdc_data VALUES (49653, 134, 8072, 492.0920275, 190, 279);
INSERT INTO public.ecdc_data VALUES (49654, 508, 28782, 251.57833299, 191, 279);
INSERT INTO public.ecdc_data VALUES (49655, 0, 41, 3.67468344, 40, 279);
INSERT INTO public.ecdc_data VALUES (49656, 0, 3, 11.35632358, 94, 279);
INSERT INTO public.ecdc_data VALUES (49657, 0, 3, 33.37071583, 95, 279);
INSERT INTO public.ecdc_data VALUES (49658, 0, 0, 2.71264908, 96, 279);
INSERT INTO public.ecdc_data VALUES (49659, 1, 33, 1143.58691551, 192, 279);
INSERT INTO public.ecdc_data VALUES (49660, 0, 0, 9.30024925, 41, 279);
INSERT INTO public.ecdc_data VALUES (49661, 14, 190, 10.19010766, 134, 279);
INSERT INTO public.ecdc_data VALUES (49662, 1, 100, 3.26453229, 42, 279);
INSERT INTO public.ecdc_data VALUES (49663, 57, 6903, 1403.23537673, 193, 279);
INSERT INTO public.ecdc_data VALUES (49664, 0, 0, 21.48535415, 43, 279);
INSERT INTO public.ecdc_data VALUES (49665, 0, 0, 0.19198263, 44, 279);
INSERT INTO public.ecdc_data VALUES (49666, 0, 13, 1.84344723, 135, 279);
INSERT INTO public.ecdc_data VALUES (49667, 0, 19, 337.35167142, 97, 279);
INSERT INTO public.ecdc_data VALUES (49668, 24, 2070, 370.70530882, 194, 279);
INSERT INTO public.ecdc_data VALUES (49669, 37, 1642, 984.71436508, 195, 279);
INSERT INTO public.ecdc_data VALUES (49670, 0, 0, 0.14929362, 211, 279);
INSERT INTO public.ecdc_data VALUES (49671, 0, 0, 0.92599152, 45, 279);
INSERT INTO public.ecdc_data VALUES (49672, 104, 4645, 76.91484449, 46, 279);
INSERT INTO public.ecdc_data VALUES (49673, 5, 631, 13.30006307, 136, 279);
INSERT INTO public.ecdc_data VALUES (49674, 0, 12, 1.07574375, 47, 279);
INSERT INTO public.ecdc_data VALUES (49675, 0, 0, 272.52878642, 196, 279);
INSERT INTO public.ecdc_data VALUES (49676, 7, 669, 34.9704231, 137, 279);
INSERT INTO public.ecdc_data VALUES (49677, 19, 843, 8.5627723, 48, 279);
INSERT INTO public.ecdc_data VALUES (49678, 0, 2, 4.98827755, 98, 279);
INSERT INTO public.ecdc_data VALUES (49679, 19, 4865, 710.18266043, 197, 279);
INSERT INTO public.ecdc_data VALUES (49680, 0, 0, 627.51279269, 198, 279);
INSERT INTO public.ecdc_data VALUES (49681, 5, 87, 6.83064431, 138, 279);
INSERT INTO public.ecdc_data VALUES (49682, 0, 23, 0.41642338, 139, 279);
INSERT INTO public.ecdc_data VALUES (49683, 0, 40, 5.73971333, 140, 279);
INSERT INTO public.ecdc_data VALUES (49684, 0, 14, 0.24847189, 141, 279);
INSERT INTO public.ecdc_data VALUES (49685, 0, 0, 0.07733234, 142, 279);
INSERT INTO public.ecdc_data VALUES (49686, 0, 34, 3.16739209, 49, 279);
INSERT INTO public.ecdc_data VALUES (49687, 1, 16, 30.60999922, 99, 279);
INSERT INTO public.ecdc_data VALUES (49688, 45, 1091, 132.7094507, 50, 279);
INSERT INTO public.ecdc_data VALUES (49689, 196, 31896, 409.18916497, 199, 279);
INSERT INTO public.ecdc_data VALUES (49690, 0, 1, 41.89139655, 100, 279);
INSERT INTO public.ecdc_data VALUES (49691, 0, 290, 10.21242868, 51, 279);
INSERT INTO public.ecdc_data VALUES (49692, 226, 13825, 429.72344891, 200, 279);
INSERT INTO public.ecdc_data VALUES (49693, 3, 1214, 179.0179976, 143, 279);
INSERT INTO public.ecdc_data VALUES (49694, 397, 15539, 318.97556191, 201, 279);
INSERT INTO public.ecdc_data VALUES (49695, 0, 0, 0, 52, 279);
INSERT INTO public.ecdc_data VALUES (49696, 2203, 211933, 757.94406245, 101, 279);
INSERT INTO public.ecdc_data VALUES (49697, 0, 16, 151.08195718, 102, 279);
INSERT INTO public.ecdc_data VALUES (49698, 1, 234, 69.35836436, 103, 279);
INSERT INTO public.ecdc_data VALUES (49699, 0, 0, 7.00994475, 144, 279);
INSERT INTO public.ecdc_data VALUES (49700, 0, 0, 0, 212, 279);
INSERT INTO public.ecdc_data VALUES (49701, 3, 300, 18.09521301, 104, 279);
INSERT INTO public.ecdc_data VALUES (49702, 0, 4, 0.06116391, 145, 279);
INSERT INTO public.ecdc_data VALUES (49703, 0, 0, 0, 213, 279);
INSERT INTO public.ecdc_data VALUES (49704, 0, 0, 0, 53, 279);
INSERT INTO public.ecdc_data VALUES (49705, 0, 0, 0.02743303, 146, 279);
INSERT INTO public.ecdc_data VALUES (49706, 0, 41, 2.82178512, 54, 279);
INSERT INTO public.ecdc_data VALUES (49707, 11, 70, 9.86653009, 55, 279);
INSERT INTO public.ecdc_data VALUES (49708, 0, 40, 3.5461033, 105, 280);
INSERT INTO public.ecdc_data VALUES (49709, 7, 421, 156.19612308, 147, 280);
INSERT INTO public.ecdc_data VALUES (49710, 12, 642, 11.17690745, 1, 280);
INSERT INTO public.ecdc_data VALUES (49711, 0, 90, 1738.05741891, 148, 280);
INSERT INTO public.ecdc_data VALUES (49712, 5, 236, 10.91898618, 2, 280);
INSERT INTO public.ecdc_data VALUES (49713, 0, 0, 0, 56, 280);
INSERT INTO public.ecdc_data VALUES (49714, 0, 0, 8.23765639, 57, 280);
INSERT INTO public.ecdc_data VALUES (49715, 246, 11100, 364.84041386, 58, 280);
INSERT INTO public.ecdc_data VALUES (49716, 30, 2210, 1045.97177293, 149, 280);
INSERT INTO public.ecdc_data VALUES (49717, 0, 11, 164.61292447, 59, 280);
INSERT INTO public.ecdc_data VALUES (49718, 0, 11, 0.66261427, 202, 280);
INSERT INTO public.ecdc_data VALUES (49719, 47, 7051, 665.34029818, 150, 280);
INSERT INTO public.ecdc_data VALUES (49720, 14, 1364, 133.91099015, 151, 280);
INSERT INTO public.ecdc_data VALUES (49721, 0, 39, 191.79123255, 60, 280);
INSERT INTO public.ecdc_data VALUES (49722, 0, 162, 217.83319644, 106, 280);
INSERT INTO public.ecdc_data VALUES (49723, 17, 1842, 12.98957198, 107, 280);
INSERT INTO public.ecdc_data VALUES (49724, 0, 0, 5.22609844, 61, 280);
INSERT INTO public.ecdc_data VALUES (49725, 3, 982, 136.63183639, 152, 280);
INSERT INTO public.ecdc_data VALUES (49726, 206, 7659, 1638.91308635, 153, 280);
INSERT INTO public.ecdc_data VALUES (49727, 2, 72, 251.56846018, 62, 280);
INSERT INTO public.ecdc_data VALUES (49728, 0, 0, 1.59306495, 3, 280);
INSERT INTO public.ecdc_data VALUES (49729, 0, 1, 30.3961093, 63, 280);
INSERT INTO public.ecdc_data VALUES (49730, 0, 0, 2.883, 108, 280);
INSERT INTO public.ecdc_data VALUES (49731, 10, 139, 15.25218833, 64, 280);
INSERT INTO public.ecdc_data VALUES (49732, 0, 1, 15.39468114, 65, 280);
INSERT INTO public.ecdc_data VALUES (49733, 44, 1908, 611.4514459, 154, 280);
INSERT INTO public.ecdc_data VALUES (49734, 3, 1193, 82.99680992, 4, 280);
INSERT INTO public.ecdc_data VALUES (49735, 630, 22294, 136.78732904, 66, 280);
INSERT INTO public.ecdc_data VALUES (49736, 0, 0, 0, 67, 280);
INSERT INTO public.ecdc_data VALUES (49737, 0, 0, 0, 109, 280);
INSERT INTO public.ecdc_data VALUES (49738, 52, 3754, 477.35448331, 155, 280);
INSERT INTO public.ecdc_data VALUES (49739, 0, 11, 0.63479931, 5, 280);
INSERT INTO public.ecdc_data VALUES (49740, 0, 1, 0.42495705, 6, 280);
INSERT INTO public.ecdc_data VALUES (49741, 0, 0, 0.03639332, 110, 280);
INSERT INTO public.ecdc_data VALUES (49742, 0, 0, 2.05979297, 7, 280);
INSERT INTO public.ecdc_data VALUES (49743, 50, 3635, 112.77420316, 68, 280);
INSERT INTO public.ecdc_data VALUES (49744, 2, 96, 186.74900352, 8, 280);
INSERT INTO public.ecdc_data VALUES (49745, 0, 2, 12.31754634, 69, 280);
INSERT INTO public.ecdc_data VALUES (49746, 0, 0, 0.27396227, 9, 280);
INSERT INTO public.ecdc_data VALUES (49747, 0, 12, 0.74622738, 10, 280);
INSERT INTO public.ecdc_data VALUES (49748, 64, 1540, 102.63277796, 70, 280);
INSERT INTO public.ecdc_data VALUES (49749, 0, 32, 0.02775872, 111, 280);
INSERT INTO public.ecdc_data VALUES (49750, 196, 9893, 253.69172241, 71, 280);
INSERT INTO public.ecdc_data VALUES (49751, 0, 3, 4.70095465, 11, 280);
INSERT INTO public.ecdc_data VALUES (49752, 0, 0, 4.14459315, 12, 280);
INSERT INTO public.ecdc_data VALUES (49753, 13, 1106, 272.42860463, 72, 280);
INSERT INTO public.ecdc_data VALUES (49754, 0, 11, 1.5515298, 13, 280);
INSERT INTO public.ecdc_data VALUES (49755, 29, 2848, 725.29969977, 156, 280);
INSERT INTO public.ecdc_data VALUES (49756, 0, 40, 6.73226344, 73, 280);
INSERT INTO public.ecdc_data VALUES (49757, 0, 9, 138.29142777, 74, 280);
INSERT INTO public.ecdc_data VALUES (49758, 0, 233, 248.77297497, 157, 280);
INSERT INTO public.ecdc_data VALUES (49759, 197, 13229, 1585.75747901, 158, 280);
INSERT INTO public.ecdc_data VALUES (49760, 0, 36, 0.44820539, 14, 280);
INSERT INTO public.ecdc_data VALUES (49761, 4, 1223, 240.95426846, 159, 280);
INSERT INTO public.ecdc_data VALUES (49762, 0, 19, 7.90914143, 15, 280);
INSERT INTO public.ecdc_data VALUES (49763, 0, 0, 12.53342246, 75, 280);
INSERT INTO public.ecdc_data VALUES (49764, 3, 546, 55.41506498, 76, 280);
INSERT INTO public.ecdc_data VALUES (49765, 26, 350, 88.24854779, 77, 280);
INSERT INTO public.ecdc_data VALUES (49766, 11, 201, 2.46045158, 16, 280);
INSERT INTO public.ecdc_data VALUES (49767, 5, 767, 39.04827576, 78, 280);
INSERT INTO public.ecdc_data VALUES (49768, 2, 3, 1.32745125, 17, 280);
INSERT INTO public.ecdc_data VALUES (49769, 0, 4, 0.77206453, 18, 280);
INSERT INTO public.ecdc_data VALUES (49770, 0, 131, 91.86153591, 160, 280);
INSERT INTO public.ecdc_data VALUES (49771, 0, 12, 13.32598227, 19, 280);
INSERT INTO public.ecdc_data VALUES (49772, 5, 510, 5.97615639, 20, 280);
INSERT INTO public.ecdc_data VALUES (49773, 0, 0, 0, 79, 280);
INSERT INTO public.ecdc_data VALUES (49774, 0, 0, 10.27179161, 161, 280);
INSERT INTO public.ecdc_data VALUES (49775, 0, 0, 0.11236523, 203, 280);
INSERT INTO public.ecdc_data VALUES (49776, 0, 189, 51.90362526, 162, 280);
INSERT INTO public.ecdc_data VALUES (49777, 363, 58046, 898.81821679, 163, 280);
INSERT INTO public.ecdc_data VALUES (49778, 1, 338, 1499.54347709, 204, 280);
INSERT INTO public.ecdc_data VALUES (49779, 0, 0, 4.78693976, 21, 280);
INSERT INTO public.ecdc_data VALUES (49780, 0, 0, 0.89449401, 22, 280);
INSERT INTO public.ecdc_data VALUES (49781, 22, 2775, 730.34121121, 164, 280);
INSERT INTO public.ecdc_data VALUES (49782, 166, 21506, 259.93741955, 165, 280);
INSERT INTO public.ecdc_data VALUES (49783, 0, 145, 4.10942809, 23, 280);
INSERT INTO public.ecdc_data VALUES (49784, 0, 11, 367.88702308, 166, 280);
INSERT INTO public.ecdc_data VALUES (49785, 29, 2915, 201.32221261, 167, 280);
INSERT INTO public.ecdc_data VALUES (49786, 0, 0, 0, 80, 280);
INSERT INTO public.ecdc_data VALUES (49787, 0, 0, 2.6785236, 81, 280);
INSERT INTO public.ecdc_data VALUES (49788, 2, 101, 566.66367793, 205, 280);
INSERT INTO public.ecdc_data VALUES (49789, 14, 702, 37.97747129, 82, 280);
INSERT INTO public.ecdc_data VALUES (49790, 0, 1, 18.61388596, 168, 280);
INSERT INTO public.ecdc_data VALUES (49791, 0, 32, 5.7003052, 24, 280);
INSERT INTO public.ecdc_data VALUES (49792, 0, 0, 0.5205847, 25, 280);
INSERT INTO public.ecdc_data VALUES (49793, 0, 69, 65.91932548, 83, 280);
INSERT INTO public.ecdc_data VALUES (49794, 0, 9, 1.15421369, 84, 280);
INSERT INTO public.ecdc_data VALUES (49795, 0, 0, 0, 169, 280);
INSERT INTO public.ecdc_data VALUES (49796, 6, 223, 80.42178858, 85, 280);
INSERT INTO public.ecdc_data VALUES (49797, 103, 4709, 464.01444997, 170, 280);
INSERT INTO public.ecdc_data VALUES (49798, 1, 28, 209.80921088, 171, 280);
INSERT INTO public.ecdc_data VALUES (49799, 670, 47638, 47.59979129, 112, 280);
INSERT INTO public.ecdc_data VALUES (49800, 89, 4065, 17.83090952, 113, 280);
INSERT INTO public.ecdc_data VALUES (49801, 406, 8772, 125.64721813, 114, 280);
INSERT INTO public.ecdc_data VALUES (49802, 47, 3701, 120.59845958, 115, 280);
INSERT INTO public.ecdc_data VALUES (49803, 3, 563, 195.13726898, 172, 280);
INSERT INTO public.ecdc_data VALUES (49804, 0, 0, 10.63968128, 173, 280);
INSERT INTO public.ecdc_data VALUES (49805, 42, 555, 111.96833382, 116, 280);
INSERT INTO public.ecdc_data VALUES (49806, 428, 34502, 595.02269947, 174, 280);
INSERT INTO public.ecdc_data VALUES (49807, 2, 47, 26.21870333, 86, 280);
INSERT INTO public.ecdc_data VALUES (49808, 12, 944, 7.60206312, 117, 280);
INSERT INTO public.ecdc_data VALUES (49809, 0, 12, 98.33388994, 175, 280);
INSERT INTO public.ecdc_data VALUES (49810, 40, 4630, 489.25442923, 118, 280);
INSERT INTO public.ecdc_data VALUES (49811, 0, 822, 37.16155975, 119, 280);
INSERT INTO public.ecdc_data VALUES (49812, 21, 1008, 23.55348228, 26, 280);
INSERT INTO public.ecdc_data VALUES (49813, 6, 661, 265.99855658, 176, 280);
INSERT INTO public.ecdc_data VALUES (49814, 5, 795, 242.87646744, 120, 280);
INSERT INTO public.ecdc_data VALUES (49815, 3, 439, 111.59860165, 121, 280);
INSERT INTO public.ecdc_data VALUES (49816, 0, 0, 0, 122, 280);
INSERT INTO public.ecdc_data VALUES (49817, 3, 367, 164.63816064, 177, 280);
INSERT INTO public.ecdc_data VALUES (49818, 7, 2089, 323.21966991, 123, 280);
INSERT INTO public.ecdc_data VALUES (49819, 0, 0, 2.11738102, 27, 280);
INSERT INTO public.ecdc_data VALUES (49820, 0, 2, 1.11395248, 28, 280);
INSERT INTO public.ecdc_data VALUES (49821, 7, 853, 189.156605, 29, 280);
INSERT INTO public.ecdc_data VALUES (49822, 0, 30, 1081.34868935, 178, 280);
INSERT INTO public.ecdc_data VALUES (49823, 4, 999, 373.20376897, 179, 280);
INSERT INTO public.ecdc_data VALUES (49824, 6, 803, 1435.7527521, 180, 280);
INSERT INTO public.ecdc_data VALUES (49825, 0, 0, 1.1160836, 30, 280);
INSERT INTO public.ecdc_data VALUES (49826, 0, 6, 0.3542911, 31, 280);
INSERT INTO public.ecdc_data VALUES (49827, 6, 1009, 39.5307775, 124, 280);
INSERT INTO public.ecdc_data VALUES (49828, 0, 71, 100.76145526, 125, 280);
INSERT INTO public.ecdc_data VALUES (49829, 0, 24, 0.98178744, 32, 280);
INSERT INTO public.ecdc_data VALUES (49830, 4, 129, 330.65955641, 181, 280);
INSERT INTO public.ecdc_data VALUES (49831, 0, 0, 0, 206, 280);
INSERT INTO public.ecdc_data VALUES (49832, 1, 19, 2.76200489, 33, 280);
INSERT INTO public.ecdc_data VALUES (49833, 0, 0, 2.44157931, 34, 280);
INSERT INTO public.ecdc_data VALUES (49834, 544, 5567, 58.80908399, 87, 280);
INSERT INTO public.ecdc_data VALUES (49835, 15, 1059, 247.27583548, 182, 280);
INSERT INTO public.ecdc_data VALUES (49836, 0, 18, 450.35514584, 183, 280);
INSERT INTO public.ecdc_data VALUES (49837, 0, 3, 0.86817237, 126, 280);
INSERT INTO public.ecdc_data VALUES (49838, 2, 682, 847.66193815, 184, 280);
INSERT INTO public.ecdc_data VALUES (49839, 0, 0, 0, 88, 280);
INSERT INTO public.ecdc_data VALUES (49840, 77, 5641, 148.66294108, 35, 280);
INSERT INTO public.ecdc_data VALUES (49841, 2, 108, 6.03305475, 36, 280);
INSERT INTO public.ecdc_data VALUES (49842, 22, 995, 31.31995158, 127, 280);
INSERT INTO public.ecdc_data VALUES (49843, 0, 44, 25.25531925, 37, 280);
INSERT INTO public.ecdc_data VALUES (49844, 18, 3051, 130.95659837, 128, 280);
INSERT INTO public.ecdc_data VALUES (49845, 87, 6957, 740.15040826, 185, 280);
INSERT INTO public.ecdc_data VALUES (49846, 0, 1, 0.70732113, 207, 280);
INSERT INTO public.ecdc_data VALUES (49847, 0, 1, 1.06626257, 208, 280);
INSERT INTO public.ecdc_data VALUES (49848, 1, 77, 2.39859335, 89, 280);
INSERT INTO public.ecdc_data VALUES (49849, 0, 1, 0.04718859, 38, 280);
INSERT INTO public.ecdc_data VALUES (49850, 0, 180, 0.84741713, 39, 280);
INSERT INTO public.ecdc_data VALUES (49851, 13, 1275, 524.71388434, 186, 280);
INSERT INTO public.ecdc_data VALUES (49852, 0, 2, 17.47854509, 209, 280);
INSERT INTO public.ecdc_data VALUES (49853, 2, 621, 105.3073714, 187, 280);
INSERT INTO public.ecdc_data VALUES (49854, 11, 320, 107.13585067, 129, 280);
INSERT INTO public.ecdc_data VALUES (49855, 30, 1376, 6.48072378, 130, 280);
INSERT INTO public.ecdc_data VALUES (49856, 4, 582, 157.18403299, 131, 280);
INSERT INTO public.ecdc_data VALUES (49857, 12, 543, 219.94894547, 90, 280);
INSERT INTO public.ecdc_data VALUES (49858, 0, 0, 0.15952382, 210, 280);
INSERT INTO public.ecdc_data VALUES (49859, 8, 520, 117.13872066, 91, 280);
INSERT INTO public.ecdc_data VALUES (49860, 59, 2935, 107.1839582, 92, 280);
INSERT INTO public.ecdc_data VALUES (49861, 42, 1588, 23.897343, 132, 280);
INSERT INTO public.ecdc_data VALUES (49862, 367, 27143, 663.61427223, 188, 280);
INSERT INTO public.ecdc_data VALUES (49863, 46, 4410, 504.14450592, 189, 280);
INSERT INTO public.ecdc_data VALUES (49864, 5, 396, 353.82102158, 93, 280);
INSERT INTO public.ecdc_data VALUES (49865, 0, 249, 111.473194, 133, 280);
INSERT INTO public.ecdc_data VALUES (49866, 121, 9714, 416.17437891, 190, 280);
INSERT INTO public.ecdc_data VALUES (49867, 292, 19404, 171.07570692, 191, 280);
INSERT INTO public.ecdc_data VALUES (49868, 1, 18, 1.38592587, 40, 280);
INSERT INTO public.ecdc_data VALUES (49869, 0, 0, 0, 94, 280);
INSERT INTO public.ecdc_data VALUES (49870, 0, 1, 35.01189857, 95, 280);
INSERT INTO public.ecdc_data VALUES (49871, 0, 1, 7.23373089, 96, 280);
INSERT INTO public.ecdc_data VALUES (49872, 0, 49, 699.50367167, 192, 280);
INSERT INTO public.ecdc_data VALUES (49873, 0, 0, 10.69528663, 41, 280);
INSERT INTO public.ecdc_data VALUES (49874, 18, 450, 16.37654187, 134, 280);
INSERT INTO public.ecdc_data VALUES (49875, 0, 0, 0.80999673, 42, 280);
INSERT INTO public.ecdc_data VALUES (49876, 11, 2181, 260.49130901, 193, 280);
INSERT INTO public.ecdc_data VALUES (49877, 0, 1, 5.11556051, 43, 280);
INSERT INTO public.ecdc_data VALUES (49878, 0, 2, 0.39676409, 44, 280);
INSERT INTO public.ecdc_data VALUES (49879, 0, 7, 1.75730483, 135, 280);
INSERT INTO public.ecdc_data VALUES (49880, 1, 7, 238.26936233, 97, 280);
INSERT INTO public.ecdc_data VALUES (49881, 25, 1962, 612.87008838, 194, 280);
INSERT INTO public.ecdc_data VALUES (49882, 20, 1686, 1126.57551415, 195, 280);
INSERT INTO public.ecdc_data VALUES (49883, 0, 0, 1.49293617, 211, 280);
INSERT INTO public.ecdc_data VALUES (49884, 0, 0, 2.14985444, 45, 280);
INSERT INTO public.ecdc_data VALUES (49885, 92, 1866, 37.39694004, 46, 280);
INSERT INTO public.ecdc_data VALUES (49886, 1, 145, 2.92238286, 136, 280);
INSERT INTO public.ecdc_data VALUES (49887, 0, 2, 0.65991003, 47, 280);
INSERT INTO public.ecdc_data VALUES (49888, 347, 22516, 602.29592565, 196, 280);
INSERT INTO public.ecdc_data VALUES (49889, 5, 383, 29.46482075, 137, 280);
INSERT INTO public.ecdc_data VALUES (49890, 0, 0, 0.51152404, 48, 280);
INSERT INTO public.ecdc_data VALUES (49891, 0, 5, 12.21267951, 98, 280);
INSERT INTO public.ecdc_data VALUES (49892, 22, 4744, 329.02630793, 197, 280);
INSERT INTO public.ecdc_data VALUES (49893, 62, 10098, 1229.67602537, 198, 280);
INSERT INTO public.ecdc_data VALUES (49894, 4, 76, 4.5283774, 138, 280);
INSERT INTO public.ecdc_data VALUES (49895, 0, 4, 0.10515742, 139, 280);
INSERT INTO public.ecdc_data VALUES (49896, 0, 39, 6.07229485, 140, 280);
INSERT INTO public.ecdc_data VALUES (49897, 1, 8, 0.13069909, 141, 280);
INSERT INTO public.ecdc_data VALUES (49898, 0, 0, 0.07733234, 142, 280);
INSERT INTO public.ecdc_data VALUES (49899, 0, 36, 3.74890549, 49, 280);
INSERT INTO public.ecdc_data VALUES (49900, 1, 10, 23.51306732, 99, 280);
INSERT INTO public.ecdc_data VALUES (49901, 65, 1971, 174.79681644, 50, 280);
INSERT INTO public.ecdc_data VALUES (49902, 81, 2311, 38.1591691, 199, 280);
INSERT INTO public.ecdc_data VALUES (49903, 0, 0, 18.32748599, 100, 280);
INSERT INTO public.ecdc_data VALUES (49904, 0, 217, 5.70820776, 51, 280);
INSERT INTO public.ecdc_data VALUES (49905, 193, 9850, 244.55351424, 200, 280);
INSERT INTO public.ecdc_data VALUES (49906, 3, 1289, 183.09147327, 143, 280);
INSERT INTO public.ecdc_data VALUES (49907, 378, 24138, 469.23263532, 201, 280);
INSERT INTO public.ecdc_data VALUES (49908, 0, 0, 0, 52, 280);
INSERT INTO public.ecdc_data VALUES (49909, 1208, 122436, 364.84655093, 101, 280);
INSERT INTO public.ecdc_data VALUES (49910, 0, 2, 44.94210119, 102, 280);
INSERT INTO public.ecdc_data VALUES (49911, 0, 64, 17.56346753, 103, 280);
INSERT INTO public.ecdc_data VALUES (49912, 2, 360, 10.63013248, 144, 280);
INSERT INTO public.ecdc_data VALUES (49913, 9, 821, 19.30506737, 104, 280);
INSERT INTO public.ecdc_data VALUES (49914, 0, 0, 0.06116391, 145, 280);
INSERT INTO public.ecdc_data VALUES (49915, 0, 0, 0, 213, 280);
INSERT INTO public.ecdc_data VALUES (49916, 0, 0, 0, 53, 280);
INSERT INTO public.ecdc_data VALUES (49917, 0, 0, 0.00685826, 146, 280);
INSERT INTO public.ecdc_data VALUES (49918, 0, 72, 4.1151033, 54, 280);
INSERT INTO public.ecdc_data VALUES (49919, 0, 17, 1.3792658, 55, 280);
INSERT INTO public.ecdc_data VALUES (49920, 5, 145, 1.08302043, 105, 281);
INSERT INTO public.ecdc_data VALUES (49921, 4, 144, 65.5038539, 147, 281);
INSERT INTO public.ecdc_data VALUES (49922, 8, 134, 5.21914195, 1, 281);
INSERT INTO public.ecdc_data VALUES (49923, 0, 260, 904.47247857, 148, 281);
INSERT INTO public.ecdc_data VALUES (49924, 0, 0, 3.93711933, 2, 281);
INSERT INTO public.ecdc_data VALUES (49925, 0, 0, 0, 56, 281);
INSERT INTO public.ecdc_data VALUES (49926, 0, 0, 11.32677753, 57, 281);
INSERT INTO public.ecdc_data VALUES (49927, 450, 11242, 378.69237121, 58, 281);
INSERT INTO public.ecdc_data VALUES (49928, 7, 181, 173.27489208, 149, 281);
INSERT INTO public.ecdc_data VALUES (49929, 0, 0, 462.79747907, 59, 281);
INSERT INTO public.ecdc_data VALUES (49930, 0, 13, 0.94035678, 202, 281);
INSERT INTO public.ecdc_data VALUES (49931, 5, 1268, 121.19057093, 150, 281);
INSERT INTO public.ecdc_data VALUES (49932, 2, 97, 15.0083815, 151, 281);
INSERT INTO public.ecdc_data VALUES (49933, 4, 150, 292.9501959, 60, 281);
INSERT INTO public.ecdc_data VALUES (49934, 1, 454, 492.15069304, 106, 281);
INSERT INTO public.ecdc_data VALUES (49935, 27, 1442, 11.96654889, 107, 281);
INSERT INTO public.ecdc_data VALUES (49936, 0, 1, 3.83247219, 61, 281);
INSERT INTO public.ecdc_data VALUES (49937, 5, 401, 50.75954712, 152, 281);
INSERT INTO public.ecdc_data VALUES (49938, 14, 5249, 263.29666949, 153, 281);
INSERT INTO public.ecdc_data VALUES (49939, 0, 8, 145.76624628, 62, 281);
INSERT INTO public.ecdc_data VALUES (49940, 0, 0, 0.53384623, 3, 281);
INSERT INTO public.ecdc_data VALUES (49941, 0, 0, 1.59979523, 63, 281);
INSERT INTO public.ecdc_data VALUES (49942, 0, 1, 4.97972727, 108, 281);
INSERT INTO public.ecdc_data VALUES (49943, 28, 239, 53.16551525, 64, 281);
INSERT INTO public.ecdc_data VALUES (49944, 0, 0, 261.70957934, 65, 281);
INSERT INTO public.ecdc_data VALUES (49945, 17, 474, 88.85191691, 154, 281);
INSERT INTO public.ecdc_data VALUES (49946, 0, 0, 26.2620659, 4, 281);
INSERT INTO public.ecdc_data VALUES (49947, 323, 11946, 174.91961211, 66, 281);
INSERT INTO public.ecdc_data VALUES (49948, 0, 0, 0, 67, 281);
INSERT INTO public.ecdc_data VALUES (49949, 0, 0, 0.23078911, 109, 281);
INSERT INTO public.ecdc_data VALUES (49950, 10, 283, 40.79977269, 155, 281);
INSERT INTO public.ecdc_data VALUES (49951, 0, 17, 1.41722638, 5, 281);
INSERT INTO public.ecdc_data VALUES (49952, 0, 1, 0.34690372, 6, 281);
INSERT INTO public.ecdc_data VALUES (49953, 0, 0, 0.03032777, 110, 281);
INSERT INTO public.ecdc_data VALUES (49954, 0, 0, 1.25983585, 7, 281);
INSERT INTO public.ecdc_data VALUES (49955, 23, 2804, 62.93597093, 68, 281);
INSERT INTO public.ecdc_data VALUES (49956, 3, 73, 213.84306537, 8, 281);
INSERT INTO public.ecdc_data VALUES (49957, 0, 0, 4.61907988, 69, 281);
INSERT INTO public.ecdc_data VALUES (49958, 0, 0, 1.09584907, 9, 281);
INSERT INTO public.ecdc_data VALUES (49959, 0, 6, 0.43895728, 10, 281);
INSERT INTO public.ecdc_data VALUES (49960, 58, 1567, 128.10233835, 70, 281);
INSERT INTO public.ecdc_data VALUES (49961, 0, 23, 0.01890104, 111, 281);
INSERT INTO public.ecdc_data VALUES (49962, 132, 7106, 182.20900855, 71, 281);
INSERT INTO public.ecdc_data VALUES (49963, 0, 0, 1.99790572, 11, 281);
INSERT INTO public.ecdc_data VALUES (49964, 0, 0, 1.6169489, 12, 281);
INSERT INTO public.ecdc_data VALUES (49965, 37, 1947, 307.61391492, 72, 281);
INSERT INTO public.ecdc_data VALUES (49966, 0, 3, 2.1698086, 13, 281);
INSERT INTO public.ecdc_data VALUES (49967, 2, 138, 68.813315, 156, 281);
INSERT INTO public.ecdc_data VALUES (49968, 1, 36, 6.21168213, 73, 281);
INSERT INTO public.ecdc_data VALUES (49969, 0, 0, 104.02452531, 74, 281);
INSERT INTO public.ecdc_data VALUES (49970, 0, 23, 27.85709311, 157, 281);
INSERT INTO public.ecdc_data VALUES (49971, 31, 3120, 326.78547954, 158, 281);
INSERT INTO public.ecdc_data VALUES (49972, 1, 19, 0.29957172, 14, 281);
INSERT INTO public.ecdc_data VALUES (49973, 1, 377, 115.98184731, 159, 281);
INSERT INTO public.ecdc_data VALUES (49974, 0, 2, 1.74617408, 15, 281);
INSERT INTO public.ecdc_data VALUES (49975, 0, 0, 9.74821747, 75, 281);
INSERT INTO public.ecdc_data VALUES (49976, 10, 574, 58.39487019, 76, 281);
INSERT INTO public.ecdc_data VALUES (49977, 34, 305, 84.19643602, 77, 281);
INSERT INTO public.ecdc_data VALUES (49978, 9, 98, 1.63366016, 16, 281);
INSERT INTO public.ecdc_data VALUES (49979, 6, 193, 28.58891618, 78, 281);
INSERT INTO public.ecdc_data VALUES (49980, 0, 7, 2.50740792, 17, 281);
INSERT INTO public.ecdc_data VALUES (49981, 0, 0, 0.97222941, 18, 281);
INSERT INTO public.ecdc_data VALUES (49982, 0, 10, 51.02579973, 160, 281);
INSERT INTO public.ecdc_data VALUES (49983, 1, 10, 25.86808323, 19, 281);
INSERT INTO public.ecdc_data VALUES (49984, 8, 618, 8.67961322, 20, 281);
INSERT INTO public.ecdc_data VALUES (49985, 0, 0, 0, 79, 281);
INSERT INTO public.ecdc_data VALUES (49986, 0, 1, 78.0656162, 161, 281);
INSERT INTO public.ecdc_data VALUES (49987, 0, 0, 0, 203, 281);
INSERT INTO public.ecdc_data VALUES (49988, 1, 164, 30.01131405, 162, 281);
INSERT INTO public.ecdc_data VALUES (49989, 69, 5104, 248.03141211, 163, 281);
INSERT INTO public.ecdc_data VALUES (49990, 1, 264, 320.81923483, 204, 281);
INSERT INTO public.ecdc_data VALUES (49991, 0, 11, 4.78693976, 21, 281);
INSERT INTO public.ecdc_data VALUES (49992, 0, 0, 2.30012744, 22, 281);
INSERT INTO public.ecdc_data VALUES (49993, 4, 578, 119.67187438, 164, 281);
INSERT INTO public.ecdc_data VALUES (49994, 12, 2639, 35.05212703, 165, 281);
INSERT INTO public.ecdc_data VALUES (49995, 0, 0, 2.52154507, 23, 281);
INSERT INTO public.ecdc_data VALUES (49996, 0, 0, 243.28012817, 166, 281);
INSERT INTO public.ecdc_data VALUES (49997, 8, 300, 42.39785562, 167, 281);
INSERT INTO public.ecdc_data VALUES (49998, 0, 0, 0, 80, 281);
INSERT INTO public.ecdc_data VALUES (49999, 0, 0, 0, 81, 281);
INSERT INTO public.ecdc_data VALUES (50000, 3, 54, 362.2343764, 205, 281);
INSERT INTO public.ecdc_data VALUES (50001, 9, 219, 48.35202687, 82, 281);
INSERT INTO public.ecdc_data VALUES (50002, 0, 0, 1.55115716, 168, 281);
INSERT INTO public.ecdc_data VALUES (50003, 1, 46, 3.57052084, 24, 281);
INSERT INTO public.ecdc_data VALUES (50004, 0, 0, 3.07144973, 25, 281);
INSERT INTO public.ecdc_data VALUES (50005, 3, 95, 100.41199578, 83, 281);
INSERT INTO public.ecdc_data VALUES (50006, 0, 0, 1.73132054, 84, 281);
INSERT INTO public.ecdc_data VALUES (50007, 0, 0, 0, 169, 281);
INSERT INTO public.ecdc_data VALUES (50008, 11, 391, 81.51966194, 85, 281);
INSERT INTO public.ecdc_data VALUES (50009, 20, 818, 130.96612665, 170, 281);
INSERT INTO public.ecdc_data VALUES (50010, 0, 59, 168.91182131, 171, 281);
INSERT INTO public.ecdc_data VALUES (50011, 884, 61267, 82.14318023, 112, 281);
INSERT INTO public.ecdc_data VALUES (50012, 102, 3622, 21.53085558, 113, 281);
INSERT INTO public.ecdc_data VALUES (50013, 235, 3902, 60.53629637, 114, 281);
INSERT INTO public.ecdc_data VALUES (50014, 65, 3808, 152.8703194, 115, 281);
INSERT INTO public.ecdc_data VALUES (50015, 0, 519, 110.72051939, 172, 281);
INSERT INTO public.ecdc_data VALUES (50016, 0, 2, 4.72874724, 173, 281);
INSERT INTO public.ecdc_data VALUES (50017, 38, 4134, 935.86699397, 116, 281);
INSERT INTO public.ecdc_data VALUES (50018, 16, 2257, 46.52122466, 174, 281);
INSERT INTO public.ecdc_data VALUES (50019, 0, 117, 64.10523842, 86, 281);
INSERT INTO public.ecdc_data VALUES (50020, 3, 308, 5.20966768, 117, 281);
INSERT INTO public.ecdc_data VALUES (50021, 0, 10, 32.46873724, 175, 281);
INSERT INTO public.ecdc_data VALUES (50022, 9, 1824, 122.93973973, 118, 281);
INSERT INTO public.ecdc_data VALUES (50023, 0, 60, 18.12259412, 119, 281);
INSERT INTO public.ecdc_data VALUES (50024, 4, 22, 4.50793451, 26, 281);
INSERT INTO public.ecdc_data VALUES (50025, 0, 0, 37.36434574, 176, 281);
INSERT INTO public.ecdc_data VALUES (50026, 4, 567, 181.31353431, 120, 281);
INSERT INTO public.ecdc_data VALUES (50027, 0, 164, 35.17849776, 121, 281);
INSERT INTO public.ecdc_data VALUES (50028, 0, 0, 0, 122, 281);
INSERT INTO public.ecdc_data VALUES (50029, 1, 40, 31.25052084, 177, 281);
INSERT INTO public.ecdc_data VALUES (50030, 8, 1175, 228.56862799, 123, 281);
INSERT INTO public.ecdc_data VALUES (50031, 0, 3, 12.18670407, 27, 281);
INSERT INTO public.ecdc_data VALUES (50032, 0, 6, 0.36456627, 28, 281);
INSERT INTO public.ecdc_data VALUES (50033, 4, 628, 127.49627331, 29, 281);
INSERT INTO public.ecdc_data VALUES (50034, 0, 3, 39.08489239, 178, 281);
INSERT INTO public.ecdc_data VALUES (50035, 0, 100, 52.64506561, 179, 281);
INSERT INTO public.ecdc_data VALUES (50036, 2, 216, 164.36062252, 180, 281);
INSERT INTO public.ecdc_data VALUES (50037, 1, 12, 1.8428357, 30, 281);
INSERT INTO public.ecdc_data VALUES (50038, 1, 8, 0.32745087, 31, 281);
INSERT INTO public.ecdc_data VALUES (50039, 0, 432, 7.94058452, 124, 281);
INSERT INTO public.ecdc_data VALUES (50040, 0, 37, 150.10631746, 125, 281);
INSERT INTO public.ecdc_data VALUES (50041, 0, 5, 0.83935195, 32, 281);
INSERT INTO public.ecdc_data VALUES (50042, 1, 47, 111.43551227, 181, 281);
INSERT INTO public.ecdc_data VALUES (50043, 1, 3, 3.07134944, 33, 281);
INSERT INTO public.ecdc_data VALUES (50044, 0, 0, 1.10264872, 34, 281);
INSERT INTO public.ecdc_data VALUES (50045, 180, 5247, 48.25141662, 87, 281);
INSERT INTO public.ecdc_data VALUES (50046, 9, 322, 249.92221619, 182, 281);
INSERT INTO public.ecdc_data VALUES (50047, 0, 1, 84.6304972, 183, 281);
INSERT INTO public.ecdc_data VALUES (50048, 0, 1, 0.06201231, 126, 281);
INSERT INTO public.ecdc_data VALUES (50049, 3, 232, 565.26868344, 184, 281);
INSERT INTO public.ecdc_data VALUES (50050, 0, 0, 0, 88, 281);
INSERT INTO public.ecdc_data VALUES (50051, 39, 1423, 86.57655897, 35, 281);
INSERT INTO public.ecdc_data VALUES (50052, 0, 100, 7.85087474, 36, 281);
INSERT INTO public.ecdc_data VALUES (50053, 32, 987, 22.77713735, 127, 281);
INSERT INTO public.ecdc_data VALUES (50054, 2, 28, 45.2190478, 37, 281);
INSERT INTO public.ecdc_data VALUES (50055, 19, 2440, 83.84508007, 128, 281);
INSERT INTO public.ecdc_data VALUES (50056, 7, 4572, 257.03958469, 185, 281);
INSERT INTO public.ecdc_data VALUES (50057, 0, 0, 0.35366056, 207, 281);
INSERT INTO public.ecdc_data VALUES (50058, 0, 3, 0.79447015, 208, 281);
INSERT INTO public.ecdc_data VALUES (50059, 0, 0, 3.19303192, 89, 281);
INSERT INTO public.ecdc_data VALUES (50060, 0, 0, 0.04718859, 38, 281);
INSERT INTO public.ecdc_data VALUES (50061, 0, 120, 1.00913796, 39, 281);
INSERT INTO public.ecdc_data VALUES (50062, 7, 271, 100.76393797, 186, 281);
INSERT INTO public.ecdc_data VALUES (50063, 0, 2, 10.48712705, 209, 281);
INSERT INTO public.ecdc_data VALUES (50064, 0, 308, 29.29688233, 187, 281);
INSERT INTO public.ecdc_data VALUES (50065, 8, 544, 156.04045192, 129, 281);
INSERT INTO public.ecdc_data VALUES (50066, 10, 1111, 4.08237114, 130, 281);
INSERT INTO public.ecdc_data VALUES (50067, 11, 521, 138.45444132, 131, 281);
INSERT INTO public.ecdc_data VALUES (50068, 7, 633, 214.50909468, 90, 281);
INSERT INTO public.ecdc_data VALUES (50069, 0, 1, 0.17091838, 210, 281);
INSERT INTO public.ecdc_data VALUES (50070, 18, 533, 148.41072765, 91, 281);
INSERT INTO public.ecdc_data VALUES (50071, 92, 1830, 175.64499699, 92, 281);
INSERT INTO public.ecdc_data VALUES (50072, 64, 2265, 31.97658173, 132, 281);
INSERT INTO public.ecdc_data VALUES (50073, 55, 3940, 58.17846727, 188, 281);
INSERT INTO public.ecdc_data VALUES (50074, 23, 1638, 103.97390503, 189, 281);
INSERT INTO public.ecdc_data VALUES (50075, 9, 630, 300.98138545, 93, 281);
INSERT INTO public.ecdc_data VALUES (50076, 0, 194, 109.0368144, 133, 281);
INSERT INTO public.ecdc_data VALUES (50077, 101, 3426, 123.11443358, 190, 281);
INSERT INTO public.ecdc_data VALUES (50078, 117, 10888, 79.72317698, 191, 281);
INSERT INTO public.ecdc_data VALUES (50079, 0, 1, 1.14833858, 40, 281);
INSERT INTO public.ecdc_data VALUES (50080, 0, 0, 0, 94, 281);
INSERT INTO public.ecdc_data VALUES (50081, 0, 0, 0, 95, 281);
INSERT INTO public.ecdc_data VALUES (50082, 0, 0, 0, 96, 281);
INSERT INTO public.ecdc_data VALUES (50083, 0, 0, 26.12254376, 192, 281);
INSERT INTO public.ecdc_data VALUES (50084, 0, 0, 2.32506231, 41, 281);
INSERT INTO public.ecdc_data VALUES (50085, 23, 379, 19.02620331, 134, 281);
INSERT INTO public.ecdc_data VALUES (50086, 0, 28, 2.35635414, 42, 281);
INSERT INTO public.ecdc_data VALUES (50087, 0, 0, 13.82872826, 193, 281);
INSERT INTO public.ecdc_data VALUES (50088, 0, 3, 5.11556051, 43, 281);
INSERT INTO public.ecdc_data VALUES (50089, 0, 0, 1.29268302, 44, 281);
INSERT INTO public.ecdc_data VALUES (50090, 0, 7, 3.66966597, 135, 281);
INSERT INTO public.ecdc_data VALUES (50091, 0, 7, 224.11474675, 97, 281);
INSERT INTO public.ecdc_data VALUES (50092, 0, 353, 123.58678348, 194, 281);
INSERT INTO public.ecdc_data VALUES (50093, 0, 76, 101.10970788, 195, 281);
INSERT INTO public.ecdc_data VALUES (50094, 0, 0, 1.81313025, 45, 281);
INSERT INTO public.ecdc_data VALUES (50095, 40, 926, 34.63046473, 46, 281);
INSERT INTO public.ecdc_data VALUES (50096, 0, 75, 2.21179678, 136, 281);
INSERT INTO public.ecdc_data VALUES (50097, 0, 0, 0.69606949, 47, 281);
INSERT INTO public.ecdc_data VALUES (50098, 261, 11998, 304.967972, 196, 281);
INSERT INTO public.ecdc_data VALUES (50099, 0, 331, 2.03529082, 137, 281);
INSERT INTO public.ecdc_data VALUES (50100, 0, 0, 0.22890117, 48, 281);
INSERT INTO public.ecdc_data VALUES (50101, 0, 13, 36.81004811, 98, 281);
INSERT INTO public.ecdc_data VALUES (50102, 2, 374, 64.13373756, 197, 281);
INSERT INTO public.ecdc_data VALUES (50103, 3, 1540, 64.82512139, 198, 281);
INSERT INTO public.ecdc_data VALUES (50104, 2, 45, 3.38603123, 138, 281);
INSERT INTO public.ecdc_data VALUES (50105, 0, 1, 0.03785667, 139, 281);
INSERT INTO public.ecdc_data VALUES (50106, 0, 39, 6.28686358, 140, 281);
INSERT INTO public.ecdc_data VALUES (50107, 0, 10, 0.12782658, 141, 281);
INSERT INTO public.ecdc_data VALUES (50108, 0, 0, 0.07733234, 142, 281);
INSERT INTO public.ecdc_data VALUES (50109, 0, 10, 2.41266195, 49, 281);
INSERT INTO public.ecdc_data VALUES (50110, 1, 4, 58.92604065, 99, 281);
INSERT INTO public.ecdc_data VALUES (50111, 0, 0, 104.26071729, 50, 281);
INSERT INTO public.ecdc_data VALUES (50112, 57, 1603, 26.1402259, 199, 281);
INSERT INTO public.ecdc_data VALUES (50113, 0, 0, 70.69173169, 100, 281);
INSERT INTO public.ecdc_data VALUES (50114, 1, 157, 5.64044115, 51, 281);
INSERT INTO public.ecdc_data VALUES (50115, 33, 3774, 117.93294772, 200, 281);
INSERT INTO public.ecdc_data VALUES (50116, 3, 932, 144.70050026, 143, 281);
INSERT INTO public.ecdc_data VALUES (50117, 19, 12593, 175.470469, 201, 281);
INSERT INTO public.ecdc_data VALUES (50118, 0, 0, 0, 52, 281);
INSERT INTO public.ecdc_data VALUES (50119, 398, 40705, 182.51201176, 101, 281);
INSERT INTO public.ecdc_data VALUES (50120, 0, 0, 49.72317578, 102, 281);
INSERT INTO public.ecdc_data VALUES (50121, 0, 10, 6.58630032, 103, 281);
INSERT INTO public.ecdc_data VALUES (50122, 2, 87, 19.57145042, 144, 281);
INSERT INTO public.ecdc_data VALUES (50123, 5, 683, 40.93866603, 104, 281);
INSERT INTO public.ecdc_data VALUES (50124, 0, 1, 0.03006362, 145, 281);
INSERT INTO public.ecdc_data VALUES (50125, 0, 0, 0, 53, 281);
INSERT INTO public.ecdc_data VALUES (50126, 1, 0, 0.05143694, 146, 281);
INSERT INTO public.ecdc_data VALUES (50127, 0, 37, 5.11728492, 54, 281);
INSERT INTO public.ecdc_data VALUES (50128, 0, 13, 1.31098531, 55, 281);
INSERT INTO public.ecdc_data VALUES (50129, 0, 20, 0.85432437, 105, 282);
INSERT INTO public.ecdc_data VALUES (50130, 6, 135, 63.82695524, 147, 282);
INSERT INTO public.ecdc_data VALUES (50131, 10, 298, 11.62054613, 1, 282);
INSERT INTO public.ecdc_data VALUES (50132, 0, 0, 223.16447222, 148, 282);
INSERT INTO public.ecdc_data VALUES (50133, 2, 71, 2.53886067, 2, 282);
INSERT INTO public.ecdc_data VALUES (50134, 0, 0, 0, 56, 282);
INSERT INTO public.ecdc_data VALUES (50135, 0, 0, 1.02970705, 57, 282);
INSERT INTO public.ecdc_data VALUES (50136, 217, 10684, 296.64358565, 58, 282);
INSERT INTO public.ecdc_data VALUES (50137, 4, 188, 68.73519134, 149, 282);
INSERT INTO public.ecdc_data VALUES (50138, 1, 70, 840.9368827, 59, 282);
INSERT INTO public.ecdc_data VALUES (50139, 11, 71, 6.36823895, 202, 282);
INSERT INTO public.ecdc_data VALUES (50140, 0, 208, 43.74193949, 150, 282);
INSERT INTO public.ecdc_data VALUES (50141, 2, 161, 20.77088342, 151, 282);
INSERT INTO public.ecdc_data VALUES (50142, 5, 90, 182.54828158, 60, 282);
INSERT INTO public.ecdc_data VALUES (50143, 2, 662, 308.13495787, 106, 282);
INSERT INTO public.ecdc_data VALUES (50144, 35, 1950, 18.9762197, 107, 282);
INSERT INTO public.ecdc_data VALUES (50145, 0, 0, 6.96813125, 61, 282);
INSERT INTO public.ecdc_data VALUES (50146, 4, 178, 25.15760797, 152, 282);
INSERT INTO public.ecdc_data VALUES (50147, 1, 322, 57.76255096, 153, 282);
INSERT INTO public.ecdc_data VALUES (50148, 0, 42, 134.7505194, 62, 282);
INSERT INTO public.ecdc_data VALUES (50149, 0, 19, 0.83042747, 3, 282);
INSERT INTO public.ecdc_data VALUES (50150, 0, 1, 12.79836181, 63, 282);
INSERT INTO public.ecdc_data VALUES (50151, 0, 0, 9.56631817, 108, 282);
INSERT INTO public.ecdc_data VALUES (50152, 55, 661, 102.61352675, 64, 282);
INSERT INTO public.ecdc_data VALUES (50153, 0, 0, 19.24335142, 65, 282);
INSERT INTO public.ecdc_data VALUES (50154, 0, 0, 113.60200764, 154, 282);
INSERT INTO public.ecdc_data VALUES (50155, 0, 0, 30.12541113, 4, 282);
INSERT INTO public.ecdc_data VALUES (50156, 682, 30168, 256.1664213, 66, 282);
INSERT INTO public.ecdc_data VALUES (50157, 0, 0, 139.84616921, 67, 282);
INSERT INTO public.ecdc_data VALUES (50158, 0, 0, 0.46157823, 109, 282);
INSERT INTO public.ecdc_data VALUES (50159, 7, 179, 24.67129112, 155, 282);
INSERT INTO public.ecdc_data VALUES (50160, 0, 39, 0.62495746, 5, 282);
INSERT INTO public.ecdc_data VALUES (50161, 0, 9, 0.26885038, 6, 282);
INSERT INTO public.ecdc_data VALUES (50162, 0, 0, 0.00606555, 110, 282);
INSERT INTO public.ecdc_data VALUES (50163, 0, 0, 3.25393186, 7, 282);
INSERT INTO public.ecdc_data VALUES (50164, 2, 371, 18.35287222, 68, 282);
INSERT INTO public.ecdc_data VALUES (50165, 1, 75, 149.10825987, 8, 282);
INSERT INTO public.ecdc_data VALUES (50166, 0, 0, 0, 69, 282);
INSERT INTO public.ecdc_data VALUES (50167, 0, 0, 1.05370103, 9, 282);
INSERT INTO public.ecdc_data VALUES (50168, 0, 11, 0.32608255, 10, 282);
INSERT INTO public.ecdc_data VALUES (50169, 57, 1965, 130.4662006, 70, 282);
INSERT INTO public.ecdc_data VALUES (50170, 0, 17, 0.02587559, 111, 282);
INSERT INTO public.ecdc_data VALUES (50171, 268, 8394, 249.01546884, 71, 282);
INSERT INTO public.ecdc_data VALUES (50172, 0, 0, 4.93600238, 11, 282);
INSERT INTO public.ecdc_data VALUES (50173, 0, 0, 14.45961196, 12, 282);
INSERT INTO public.ecdc_data VALUES (50174, 9, 1240, 274.11258626, 72, 282);
INSERT INTO public.ecdc_data VALUES (50175, 0, 203, 4.26962337, 13, 282);
INSERT INTO public.ecdc_data VALUES (50176, 2, 311, 94.1797919, 156, 282);
INSERT INTO public.ecdc_data VALUES (50177, 0, 32, 6.00874365, 73, 282);
INSERT INTO public.ecdc_data VALUES (50178, 0, 10, 31.20735759, 74, 282);
INSERT INTO public.ecdc_data VALUES (50179, 0, 9, 10.2751573, 157, 282);
INSERT INTO public.ecdc_data VALUES (50180, 2, 503, 55.98227197, 158, 282);
INSERT INTO public.ecdc_data VALUES (50181, 0, 30, 0.42400921, 14, 282);
INSERT INTO public.ecdc_data VALUES (50182, 0, 0, 24.4571166, 159, 282);
INSERT INTO public.ecdc_data VALUES (50183, 0, 0, 0.51358061, 15, 282);
INSERT INTO public.ecdc_data VALUES (50184, 0, 0, 1.3926025, 75, 282);
INSERT INTO public.ecdc_data VALUES (50185, 39, 2147, 76.49718683, 76, 282);
INSERT INTO public.ecdc_data VALUES (50186, 50, 870, 63.0609894, 77, 282);
INSERT INTO public.ecdc_data VALUES (50187, 16, 130, 2.46543225, 16, 282);
INSERT INTO public.ecdc_data VALUES (50188, 7, 209, 29.25521612, 78, 282);
INSERT INTO public.ecdc_data VALUES (50189, 0, 0, 3.39237542, 17, 282);
INSERT INTO public.ecdc_data VALUES (50190, 0, 0, 0.68627958, 18, 282);
INSERT INTO public.ecdc_data VALUES (50191, 0, 34, 16.98343926, 160, 282);
INSERT INTO public.ecdc_data VALUES (50192, 0, 39, 54.87169169, 19, 282);
INSERT INTO public.ecdc_data VALUES (50193, 17, 950, 16.44647516, 20, 282);
INSERT INTO public.ecdc_data VALUES (50194, 0, 0, 0, 79, 282);
INSERT INTO public.ecdc_data VALUES (50195, 0, 0, 59.57639131, 161, 282);
INSERT INTO public.ecdc_data VALUES (50196, 0, 0, 0.3370957, 203, 282);
INSERT INTO public.ecdc_data VALUES (50197, 1, 36, 6.43358484, 162, 282);
INSERT INTO public.ecdc_data VALUES (50198, 12, 8550, 118.93832414, 163, 282);
INSERT INTO public.ecdc_data VALUES (50199, 0, 62, 163.99018923, 204, 282);
INSERT INTO public.ecdc_data VALUES (50200, 0, 0, 9.80402085, 21, 282);
INSERT INTO public.ecdc_data VALUES (50201, 0, 30, 30.37020125, 22, 282);
INSERT INTO public.ecdc_data VALUES (50202, 0, 25, 5.67959763, 164, 282);
INSERT INTO public.ecdc_data VALUES (50203, 1, 988, 20.62293701, 165, 282);
INSERT INTO public.ecdc_data VALUES (50204, 0, 0, 4.18175402, 23, 282);
INSERT INTO public.ecdc_data VALUES (50205, 0, 7, 246.246959, 166, 282);
INSERT INTO public.ecdc_data VALUES (50206, 1, 186, 28.01969565, 167, 282);
INSERT INTO public.ecdc_data VALUES (50207, 0, 0, 0, 80, 282);
INSERT INTO public.ecdc_data VALUES (50208, 0, 0, 0, 81, 282);
INSERT INTO public.ecdc_data VALUES (50209, 0, 0, 477.59945007, 205, 282);
INSERT INTO public.ecdc_data VALUES (50210, 20, 441, 54.74511924, 82, 282);
INSERT INTO public.ecdc_data VALUES (50211, 0, 0, 0, 168, 282);
INSERT INTO public.ecdc_data VALUES (50212, 0, 70, 5.61417422, 24, 282);
INSERT INTO public.ecdc_data VALUES (50213, 0, 0, 4.99761312, 25, 282);
INSERT INTO public.ecdc_data VALUES (50214, 2, 43, 68.21883683, 83, 282);
INSERT INTO public.ecdc_data VALUES (50215, 0, 10, 2.53927012, 84, 282);
INSERT INTO public.ecdc_data VALUES (50216, 0, 0, 0, 169, 282);
INSERT INTO public.ecdc_data VALUES (50217, 22, 554, 106.39111071, 85, 282);
INSERT INTO public.ecdc_data VALUES (50218, 3, 510, 28.23154492, 170, 282);
INSERT INTO public.ecdc_data VALUES (50219, 0, 1, 21.84929032, 171, 282);
INSERT INTO public.ecdc_data VALUES (50220, 1065, 90632, 78.22432015, 112, 282);
INSERT INTO public.ecdc_data VALUES (50221, 108, 3128, 14.47276413, 113, 282);
INSERT INTO public.ecdc_data VALUES (50222, 110, 1894, 33.61800899, 114, 282);
INSERT INTO public.ecdc_data VALUES (50223, 63, 4644, 141.61612518, 115, 282);
INSERT INTO public.ecdc_data VALUES (50224, 0, 231, 33.15498426, 172, 282);
INSERT INTO public.ecdc_data VALUES (50225, 0, 0, 0, 173, 282);
INSERT INTO public.ecdc_data VALUES (50226, 14, 2754, 318.01636106, 116, 282);
INSERT INTO public.ecdc_data VALUES (50227, 16, 1694, 30.15595909, 174, 282);
INSERT INTO public.ecdc_data VALUES (50228, 2, 60, 54.64208417, 86, 282);
INSERT INTO public.ecdc_data VALUES (50229, 8, 543, 7.62413464, 117, 282);
INSERT INTO public.ecdc_data VALUES (50230, 0, 1, 19.48124235, 175, 282);
INSERT INTO public.ecdc_data VALUES (50231, 0, 52, 7.69177694, 118, 282);
INSERT INTO public.ecdc_data VALUES (50232, 8, 896, 36.22901698, 119, 282);
INSERT INTO public.ecdc_data VALUES (50233, 5, 136, 5.51984217, 26, 282);
INSERT INTO public.ecdc_data VALUES (50234, 5, 117, 93.9668814, 176, 282);
INSERT INTO public.ecdc_data VALUES (50235, 3, 720, 214.06786707, 120, 282);
INSERT INTO public.ecdc_data VALUES (50236, 0, 87, 23.59780487, 121, 282);
INSERT INTO public.ecdc_data VALUES (50237, 0, 0, 0, 122, 282);
INSERT INTO public.ecdc_data VALUES (50238, 0, 9, 4.79174653, 177, 282);
INSERT INTO public.ecdc_data VALUES (50239, 4, 521, 114.06551824, 123, 282);
INSERT INTO public.ecdc_data VALUES (50240, 0, 0, 6.25803723, 27, 282);
INSERT INTO public.ecdc_data VALUES (50241, 0, 0, 0.40507363, 28, 282);
INSERT INTO public.ecdc_data VALUES (50242, 10, 649, 102.88525793, 29, 282);
INSERT INTO public.ecdc_data VALUES (50243, 0, 0, 18.23961645, 178, 282);
INSERT INTO public.ecdc_data VALUES (50244, 0, 36, 15.96172621, 179, 282);
INSERT INTO public.ecdc_data VALUES (50245, 0, 0, -138.46038567, 180, 282);
INSERT INTO public.ecdc_data VALUES (50246, 1, 82, 3.67825557, 30, 282);
INSERT INTO public.ecdc_data VALUES (50247, 0, 3, 1.55136558, 31, 282);
INSERT INTO public.ecdc_data VALUES (50248, 0, 17, 0.41940809, 124, 282);
INSERT INTO public.ecdc_data VALUES (50249, 0, 125, 343.90732206, 125, 282);
INSERT INTO public.ecdc_data VALUES (50250, 0, 19, 0.68165553, 32, 282);
INSERT INTO public.ecdc_data VALUES (50251, 1, 25, 86.91969957, 181, 282);
INSERT INTO public.ecdc_data VALUES (50252, 0, 8, 5.50191374, 33, 282);
INSERT INTO public.ecdc_data VALUES (50253, 0, 0, 0.78760623, 34, 282);
INSERT INTO public.ecdc_data VALUES (50254, 703, 2749, 58.93449989, 87, 282);
INSERT INTO public.ecdc_data VALUES (50255, 16, 567, 158.31292487, 182, 282);
INSERT INTO public.ecdc_data VALUES (50256, 0, 0, 117.87819253, 183, 282);
INSERT INTO public.ecdc_data VALUES (50257, 0, 4, 0.37207387, 126, 282);
INSERT INTO public.ecdc_data VALUES (50258, 1, 147, 178.56511439, 184, 282);
INSERT INTO public.ecdc_data VALUES (50259, 0, 0, 0, 88, 282);
INSERT INTO public.ecdc_data VALUES (50260, 37, 1555, 53.04925459, 35, 282);
INSERT INTO public.ecdc_data VALUES (50261, 0, 76, 3.41499879, 36, 282);
INSERT INTO public.ecdc_data VALUES (50262, 1, 103, 1.61900854, 127, 282);
INSERT INTO public.ecdc_data VALUES (50263, 1, 191, 119.30131761, 37, 282);
INSERT INTO public.ecdc_data VALUES (50264, 9, 1041, 49.49540726, 128, 282);
INSERT INTO public.ecdc_data VALUES (50265, 4, 654, 44.87864164, 185, 282);
INSERT INTO public.ecdc_data VALUES (50266, 0, 0, 1.06098169, 207, 282);
INSERT INTO public.ecdc_data VALUES (50267, 2, 8, 2.0279896, 208, 282);
INSERT INTO public.ecdc_data VALUES (50268, 0, 0, 5.45412629, 89, 282);
INSERT INTO public.ecdc_data VALUES (50269, 0, 0, 0.02144936, 38, 282);
INSERT INTO public.ecdc_data VALUES (50270, 3, 162, 1.49280763, 39, 282);
INSERT INTO public.ecdc_data VALUES (50271, 0, 0, 74.33326337, 186, 282);
INSERT INTO public.ecdc_data VALUES (50272, 0, 1, 6.99141803, 209, 282);
INSERT INTO public.ecdc_data VALUES (50273, 0, 0, 17.3228843, 187, 282);
INSERT INTO public.ecdc_data VALUES (50274, 0, 0, 52.48249645, 129, 282);
INSERT INTO public.ecdc_data VALUES (50275, 2, 484, 2.65231759, 130, 282);
INSERT INTO public.ecdc_data VALUES (50276, 7, 592, 174.68907473, 131, 282);
INSERT INTO public.ecdc_data VALUES (50277, 12, 709, 254.91941485, 90, 282);
INSERT INTO public.ecdc_data VALUES (50278, 0, 17, 1.44710891, 210, 282);
INSERT INTO public.ecdc_data VALUES (50279, 14, 1217, 126.29461921, 91, 282);
INSERT INTO public.ecdc_data VALUES (50280, 133, 6854, 302.87480996, 92, 282);
INSERT INTO public.ecdc_data VALUES (50281, 102, 6167, 43.76847808, 132, 282);
INSERT INTO public.ecdc_data VALUES (50282, 13, 567, 24.24366149, 188, 282);
INSERT INTO public.ecdc_data VALUES (50283, 5, 486, 43.70115185, 189, 282);
INSERT INTO public.ecdc_data VALUES (50284, 9, 251, 167.55278168, 93, 282);
INSERT INTO public.ecdc_data VALUES (50285, 1, 227, 109.42522274, 133, 282);
INSERT INTO public.ecdc_data VALUES (50286, 38, 1269, 84.06106418, 190, 282);
INSERT INTO public.ecdc_data VALUES (50287, 110, 5205, 46.89925281, 191, 282);
INSERT INTO public.ecdc_data VALUES (50288, 0, 45, 11.56258152, 40, 282);
INSERT INTO public.ecdc_data VALUES (50289, 0, 0, 0, 94, 282);
INSERT INTO public.ecdc_data VALUES (50290, 0, 0, 0, 95, 282);
INSERT INTO public.ecdc_data VALUES (50291, 0, 0, 2.71264908, 96, 282);
INSERT INTO public.ecdc_data VALUES (50292, 0, 1, 17.41502917, 192, 282);
INSERT INTO public.ecdc_data VALUES (50293, 0, 1, 2.79007477, 41, 282);
INSERT INTO public.ecdc_data VALUES (50294, 34, 791, 39.57567014, 134, 282);
INSERT INTO public.ecdc_data VALUES (50295, 0, 67, 6.73770011, 42, 282);
INSERT INTO public.ecdc_data VALUES (50296, 2, 77, 18.68242519, 193, 282);
INSERT INTO public.ecdc_data VALUES (50297, 0, 0, 4.09244841, 43, 282);
INSERT INTO public.ecdc_data VALUES (50298, 0, 0, 0.78072935, 44, 282);
INSERT INTO public.ecdc_data VALUES (50299, 0, 74, 12.33559078, 135, 282);
INSERT INTO public.ecdc_data VALUES (50300, 0, 0, 337.35167142, 97, 282);
INSERT INTO public.ecdc_data VALUES (50301, 0, 226, 22.20011995, 194, 282);
INSERT INTO public.ecdc_data VALUES (50302, 1, 43, 24.70075563, 195, 282);
INSERT INTO public.ecdc_data VALUES (50303, 0, 0, 0.40795431, 45, 282);
INSERT INTO public.ecdc_data VALUES (50304, 101, 1806, 50.95608448, 46, 282);
INSERT INTO public.ecdc_data VALUES (50305, 3, 335, 7.37525881, 136, 282);
INSERT INTO public.ecdc_data VALUES (50306, 1, 8, 0.42487358, 47, 282);
INSERT INTO public.ecdc_data VALUES (50307, 0, 0, 240.60944593, 196, 282);
INSERT INTO public.ecdc_data VALUES (50308, 0, 6, 0.81599217, 137, 282);
INSERT INTO public.ecdc_data VALUES (50309, 0, 0, 1.32202104, 48, 282);
INSERT INTO public.ecdc_data VALUES (50310, 2, 68, 129.17918753, 98, 282);
INSERT INTO public.ecdc_data VALUES (50311, 0, 171, 24.54501067, 197, 282);
INSERT INTO public.ecdc_data VALUES (50312, 0, 425, 50.59378945, 198, 282);
INSERT INTO public.ecdc_data VALUES (50313, 3, 63, 5.62971628, 138, 282);
INSERT INTO public.ecdc_data VALUES (50314, 0, 3, 0.02523778, 139, 282);
INSERT INTO public.ecdc_data VALUES (50315, 1, 33, 5.14964935, 140, 282);
INSERT INTO public.ecdc_data VALUES (50316, 0, 13, 0.07037643, 141, 282);
INSERT INTO public.ecdc_data VALUES (50317, 0, 0, 0.07733234, 142, 282);
INSERT INTO public.ecdc_data VALUES (50318, 1, 20, 2.49927032, 49, 282);
INSERT INTO public.ecdc_data VALUES (50319, 2, 190, 93.19203509, 99, 282);
INSERT INTO public.ecdc_data VALUES (50320, 3, 148, 15.42576347, 50, 282);
INSERT INTO public.ecdc_data VALUES (50321, 56, 1673, 25.84755683, 199, 282);
INSERT INTO public.ecdc_data VALUES (50322, 0, 14, 544.58815521, 100, 282);
INSERT INTO public.ecdc_data VALUES (50323, 4, 186, 3.81977812, 51, 282);
INSERT INTO public.ecdc_data VALUES (50324, 88, 2836, 70.04648376, 200, 282);
INSERT INTO public.ecdc_data VALUES (50325, 1, 705, 70.14975448, 143, 282);
INSERT INTO public.ecdc_data VALUES (50326, 12, 1813, 29.35310985, 201, 282);
INSERT INTO public.ecdc_data VALUES (50327, 0, 0, 0, 52, 282);
INSERT INTO public.ecdc_data VALUES (50328, 773, 44140, 175.57660211, 101, 282);
INSERT INTO public.ecdc_data VALUES (50329, 0, 17, 224.71050593, 102, 282);
INSERT INTO public.ecdc_data VALUES (50330, 0, 16, 4.27531775, 103, 282);
INSERT INTO public.ecdc_data VALUES (50331, 7, 478, 14.48681489, 144, 282);
INSERT INTO public.ecdc_data VALUES (50332, 8, 1192, 46.31813439, 104, 282);
INSERT INTO public.ecdc_data VALUES (50333, 0, 3, 0.03628368, 145, 282);
INSERT INTO public.ecdc_data VALUES (50334, 0, 0, 0, 53, 282);
INSERT INTO public.ecdc_data VALUES (50335, 0, 4, 0.27433034, 146, 282);
INSERT INTO public.ecdc_data VALUES (50336, 0, 70, 11.65665997, 54, 282);
INSERT INTO public.ecdc_data VALUES (50337, 0, 0, 6.44567779, 55, 282);
INSERT INTO public.ecdc_data VALUES (50338, 4, 67, 2.57874525, 105, 283);
INSERT INTO public.ecdc_data VALUES (50339, 6, 139, 53.48608017, 147, 283);
INSERT INTO public.ecdc_data VALUES (50340, 13, 551, 19.00678173, 1, 283);
INSERT INTO public.ecdc_data VALUES (50341, 0, 0, 65.63660948, 148, 283);
INSERT INTO public.ecdc_data VALUES (50342, 5, 180, 1.77531718, 2, 283);
INSERT INTO public.ecdc_data VALUES (50343, 0, 0, 0, 56, 283);
INSERT INTO public.ecdc_data VALUES (50344, 0, 0, 16.47531277, 57, 283);
INSERT INTO public.ecdc_data VALUES (50345, 146, 6792, 172.88037753, 58, 283);
INSERT INTO public.ecdc_data VALUES (50346, 2, 288, 115.76453278, 149, 283);
INSERT INTO public.ecdc_data VALUES (50347, 0, 39, 50.79484526, 59, 283);
INSERT INTO public.ecdc_data VALUES (50348, 15, 715, 25.98082783, 202, 283);
INSERT INTO public.ecdc_data VALUES (50349, 0, 103, 18.25308804, 150, 283);
INSERT INTO public.ecdc_data VALUES (50350, 3, 193, 44.4877091, 151, 283);
INSERT INTO public.ecdc_data VALUES (50351, 0, 36, 136.59027539, 60, 283);
INSERT INTO public.ecdc_data VALUES (50352, 3, 382, 297.1671326, 106, 283);
INSERT INTO public.ecdc_data VALUES (50353, 33, 2654, 20.49726123, 107, 283);
INSERT INTO public.ecdc_data VALUES (50354, 0, 1, 9.40697719, 61, 283);
INSERT INTO public.ecdc_data VALUES (50355, 3, 126, 19.62462691, 152, 283);
INSERT INTO public.ecdc_data VALUES (50356, 5, 776, 63.4454013, 153, 283);
INSERT INTO public.ecdc_data VALUES (50357, 0, 14, 11.01572687, 62, 283);
INSERT INTO public.ecdc_data VALUES (50358, 0, 0, 2.64380991, 3, 283);
INSERT INTO public.ecdc_data VALUES (50359, 0, 0, 6.3991809, 63, 283);
INSERT INTO public.ecdc_data VALUES (50360, 0, 0, 1.70359091, 108, 283);
INSERT INTO public.ecdc_data VALUES (50361, 65, 1780, 182.45300007, 64, 283);
INSERT INTO public.ecdc_data VALUES (50362, 0, 0, 11.54601085, 65, 283);
INSERT INTO public.ecdc_data VALUES (50363, 6, 288, 122.08429087, 154, 283);
INSERT INTO public.ecdc_data VALUES (50364, 0, 0, 12.2411613, 4, 283);
INSERT INTO public.ecdc_data VALUES (50365, 1437, 57152, 299.24683221, 66, 283);
INSERT INTO public.ecdc_data VALUES (50366, 0, 0, 3.3296707, 67, 283);
INSERT INTO public.ecdc_data VALUES (50367, 0, 0, 0, 109, 283);
INSERT INTO public.ecdc_data VALUES (50368, 11, 255, 40.42834618, 155, 283);
INSERT INTO public.ecdc_data VALUES (50369, 0, 2, 0.45272509, 5, 283);
INSERT INTO public.ecdc_data VALUES (50370, 0, 5, 0.62442669, 6, 283);
INSERT INTO public.ecdc_data VALUES (50371, 0, 0, 0.2729499, 110, 283);
INSERT INTO public.ecdc_data VALUES (50372, 0, 0, 4.62197447, 7, 283);
INSERT INTO public.ecdc_data VALUES (50373, 4, 395, 15.89103195, 68, 283);
INSERT INTO public.ecdc_data VALUES (50374, 1, 58, 97.2840476, 8, 283);
INSERT INTO public.ecdc_data VALUES (50375, 0, 0, 0, 69, 283);
INSERT INTO public.ecdc_data VALUES (50376, 0, 0, 0.92725691, 9, 283);
INSERT INTO public.ecdc_data VALUES (50377, 0, 1, 0.31354092, 10, 283);
INSERT INTO public.ecdc_data VALUES (50378, 47, 1761, 149.43513981, 70, 283);
INSERT INTO public.ecdc_data VALUES (50379, 1, 122, 0.16892367, 111, 283);
INSERT INTO public.ecdc_data VALUES (50380, 309, 10735, 252.85540009, 71, 283);
INSERT INTO public.ecdc_data VALUES (50381, 0, 0, 5.99371717, 11, 283);
INSERT INTO public.ecdc_data VALUES (50382, 0, 0, 12.91700554, 12, 283);
INSERT INTO public.ecdc_data VALUES (50383, 10, 580, 159.60183542, 72, 283);
INSERT INTO public.ecdc_data VALUES (50384, 0, 56, 7.0693764, 13, 283);
INSERT INTO public.ecdc_data VALUES (50385, 0, 58, 20.75439019, 156, 283);
INSERT INTO public.ecdc_data VALUES (50386, 0, 25, 2.3293808, 73, 283);
INSERT INTO public.ecdc_data VALUES (50387, 0, 2, 1.83572692, 74, 283);
INSERT INTO public.ecdc_data VALUES (50388, 0, 15, 17.69610423, 157, 283);
INSERT INTO public.ecdc_data VALUES (50389, 5, 243, 27.78455933, 158, 283);
INSERT INTO public.ecdc_data VALUES (50390, 0, 75, 0.72242873, 14, 283);
INSERT INTO public.ecdc_data VALUES (50391, 0, 112, 14.38147349, 159, 283);
INSERT INTO public.ecdc_data VALUES (50392, 0, 82, 30.81483673, 15, 283);
INSERT INTO public.ecdc_data VALUES (50393, 0, 0, 0, 75, 283);
INSERT INTO public.ecdc_data VALUES (50394, 9, 1365, 182.67137116, 76, 283);
INSERT INTO public.ecdc_data VALUES (50395, 39, 903, 66.8195533, 77, 283);
INSERT INTO public.ecdc_data VALUES (50396, 18, 123, 5.11016866, 16, 283);
INSERT INTO public.ecdc_data VALUES (50397, 27, 439, 88.72635991, 78, 283);
INSERT INTO public.ecdc_data VALUES (50398, 0, 0, 129.05776035, 17, 283);
INSERT INTO public.ecdc_data VALUES (50399, 0, 0, 0.88644446, 18, 283);
INSERT INTO public.ecdc_data VALUES (50400, 0, 22, 6.6424118, 160, 283);
INSERT INTO public.ecdc_data VALUES (50401, 4, 53, 84.57208355, 19, 283);
INSERT INTO public.ecdc_data VALUES (50402, 13, 459, 8.26561851, 20, 283);
INSERT INTO public.ecdc_data VALUES (50403, 0, 0, 0, 79, 283);
INSERT INTO public.ecdc_data VALUES (50404, 0, 14, 102.71791606, 161, 283);
INSERT INTO public.ecdc_data VALUES (50405, 0, 0, 0, 203, 283);
INSERT INTO public.ecdc_data VALUES (50406, 0, 29, 2.71841613, 162, 283);
INSERT INTO public.ecdc_data VALUES (50407, 9, 1695, 23.41788518, 163, 283);
INSERT INTO public.ecdc_data VALUES (50408, 0, 0, 0, 204, 283);
INSERT INTO public.ecdc_data VALUES (50409, 0, 141, 55.18789199, 21, 283);
INSERT INTO public.ecdc_data VALUES (50410, 2, 128, 27.81450409, 22, 283);
INSERT INTO public.ecdc_data VALUES (50411, 0, 9, 3.32769377, 164, 283);
INSERT INTO public.ecdc_data VALUES (50412, 7, 1045, 11.6828378, 165, 283);
INSERT INTO public.ecdc_data VALUES (50413, 8, 1263, 30.91276184, 23, 283);
INSERT INTO public.ecdc_data VALUES (50414, 0, 0, 20.76781582, 166, 283);
INSERT INTO public.ecdc_data VALUES (50415, 1, 118, 8.35462473, 167, 283);
INSERT INTO public.ecdc_data VALUES (50416, 0, 0, 1.76491352, 80, 283);
INSERT INTO public.ecdc_data VALUES (50417, 0, 0, 0.8928412, 81, 283);
INSERT INTO public.ecdc_data VALUES (50418, 0, 8, 38.85352222, 205, 283);
INSERT INTO public.ecdc_data VALUES (50419, 35, 1144, 70.38089407, 82, 283);
INSERT INTO public.ecdc_data VALUES (50420, 0, 0, 0, 168, 283);
INSERT INTO public.ecdc_data VALUES (50421, 1, 86, 6.48331416, 24, 283);
INSERT INTO public.ecdc_data VALUES (50422, 0, 0, 4.06056066, 25, 283);
INSERT INTO public.ecdc_data VALUES (50423, 0, 12, 20.31235029, 83, 283);
INSERT INTO public.ecdc_data VALUES (50424, 0, 12, 3.34721971, 84, 283);
INSERT INTO public.ecdc_data VALUES (50425, 0, 0, 0, 169, 283);
INSERT INTO public.ecdc_data VALUES (50426, 23, 799, 92.30344604, 85, 283);
INSERT INTO public.ecdc_data VALUES (50427, 1, 11, 1.88278516, 170, 283);
INSERT INTO public.ecdc_data VALUES (50428, 0, 8, 24.09024317, 171, 283);
INSERT INTO public.ecdc_data VALUES (50429, 904, 56282, 53.12438285, 112, 283);
INSERT INTO public.ecdc_data VALUES (50430, 64, 1815, 9.28219764, 113, 283);
INSERT INTO public.ecdc_data VALUES (50431, 185, 2697, 43.50296277, 114, 283);
INSERT INTO public.ecdc_data VALUES (50432, 77, 2834, 95.88196976, 115, 283);
INSERT INTO public.ecdc_data VALUES (50433, 0, 50, 9.8690113, 172, 283);
INSERT INTO public.ecdc_data VALUES (50434, 0, 0, 0, 173, 283);
INSERT INTO public.ecdc_data VALUES (50435, 4, 1682, 261.04033712, 116, 283);
INSERT INTO public.ecdc_data VALUES (50436, 10, 384, 6.2475619, 174, 283);
INSERT INTO public.ecdc_data VALUES (50437, 0, 8, 3.79882894, 86, 283);
INSERT INTO public.ecdc_data VALUES (50438, 4, 1134, 12.00848502, 117, 283);
INSERT INTO public.ecdc_data VALUES (50439, 0, 1, 12.05981669, 175, 283);
INSERT INTO public.ecdc_data VALUES (50440, 0, 7, 1.09882528, 118, 283);
INSERT INTO public.ecdc_data VALUES (50441, 0, 2590, 154.85061312, 119, 283);
INSERT INTO public.ecdc_data VALUES (50442, 3, 671, 17.24808021, 26, 283);
INSERT INTO public.ecdc_data VALUES (50443, -12, 218, 178.25906614, 176, 283);
INSERT INTO public.ecdc_data VALUES (50444, 3, 651, 195.86045133, 120, 283);
INSERT INTO public.ecdc_data VALUES (50445, 9, 549, 129.88144519, 121, 283);
INSERT INTO public.ecdc_data VALUES (50446, 0, 0, 0.01394806, 122, 283);
INSERT INTO public.ecdc_data VALUES (50447, 0, 8, 3.12505208, 177, 283);
INSERT INTO public.ecdc_data VALUES (50448, 3, 355, 33.73830482, 123, 283);
INSERT INTO public.ecdc_data VALUES (50449, 0, 0, 17.26841851, 27, 283);
INSERT INTO public.ecdc_data VALUES (50450, 0, 5, 2.16714391, 28, 283);
INSERT INTO public.ecdc_data VALUES (50451, 3, 161, 30.21784142, 29, 283);
INSERT INTO public.ecdc_data VALUES (50452, 0, 0, 5.21131898, 178, 283);
INSERT INTO public.ecdc_data VALUES (50453, 1, 10, 6.69247265, 179, 283);
INSERT INTO public.ecdc_data VALUES (50454, 0, 90, 187.8174408, 180, 283);
INSERT INTO public.ecdc_data VALUES (50455, 4, 327, 15.05415082, 30, 283);
INSERT INTO public.ecdc_data VALUES (50456, 8, 79, 6.03368482, 31, 283);
INSERT INTO public.ecdc_data VALUES (50457, 0, 21, 0.60094294, 124, 283);
INSERT INTO public.ecdc_data VALUES (50458, 0, 148, 280.81370054, 125, 283);
INSERT INTO public.ecdc_data VALUES (50459, 0, 3, 0.26452304, 32, 283);
INSERT INTO public.ecdc_data VALUES (50460, 0, 19, 32.62021359, 181, 283);
INSERT INTO public.ecdc_data VALUES (50461, 0, 0, 10.14208195, 33, 283);
INSERT INTO public.ecdc_data VALUES (50462, 0, 0, 0.07876062, 34, 283);
INSERT INTO public.ecdc_data VALUES (50463, 829, 7071, 70.01421095, 87, 283);
INSERT INTO public.ecdc_data VALUES (50464, 13, 408, 109.41671296, 182, 283);
INSERT INTO public.ecdc_data VALUES (50465, 0, 3, 33.24769533, 183, 283);
INSERT INTO public.ecdc_data VALUES (50466, 0, 0, 0.18603694, 126, 283);
INSERT INTO public.ecdc_data VALUES (50467, 4, 50, 236.90817156, 184, 283);
INSERT INTO public.ecdc_data VALUES (50468, 0, 0, 20.03606492, 88, 283);
INSERT INTO public.ecdc_data VALUES (50469, 18, 1283, 28.89358305, 35, 283);
INSERT INTO public.ecdc_data VALUES (50470, 0, 50, 1.71902543, 36, 283);
INSERT INTO public.ecdc_data VALUES (50471, 0, 1, 0.02590414, 127, 283);
INSERT INTO public.ecdc_data VALUES (50472, 0, 70, 45.61992589, 37, 283);
INSERT INTO public.ecdc_data VALUES (50473, 2, 381, 11.52096485, 128, 283);
INSERT INTO public.ecdc_data VALUES (50474, 4, 426, 23.95533476, 185, 283);
INSERT INTO public.ecdc_data VALUES (50475, 0, 0, 0, 207, 283);
INSERT INTO public.ecdc_data VALUES (50476, 0, 0, 0.29269953, 208, 283);
INSERT INTO public.ecdc_data VALUES (50477, 0, 0, 7.07355875, 89, 283);
INSERT INTO public.ecdc_data VALUES (50478, 0, 0, 0.12869616, 38, 283);
INSERT INTO public.ecdc_data VALUES (50479, 17, 457, 3.25730625, 39, 283);
INSERT INTO public.ecdc_data VALUES (50480, 5, 61, 79.62902695, 186, 283);
INSERT INTO public.ecdc_data VALUES (50481, 0, 0, 13.98283607, 209, 283);
INSERT INTO public.ecdc_data VALUES (50482, 0, 29, 5.7993188, 187, 283);
INSERT INTO public.ecdc_data VALUES (50483, 67, 1127, 175.65857392, 129, 283);
INSERT INTO public.ecdc_data VALUES (50484, 21, 727, 5.85135246, 130, 283);
INSERT INTO public.ecdc_data VALUES (50485, 4, 353, 114.44523271, 131, 283);
INSERT INTO public.ecdc_data VALUES (50486, 31, 807, 337.34139656, 90, 283);
INSERT INTO public.ecdc_data VALUES (50487, 0, 39, 1.40153068, 210, 283);
INSERT INTO public.ecdc_data VALUES (50488, 2, 208, 29.24209459, 91, 283);
INSERT INTO public.ecdc_data VALUES (50489, 221, 7734, 249.37818478, 92, 283);
INSERT INTO public.ecdc_data VALUES (50490, 8, 3387, 40.42949104, 132, 283);
INSERT INTO public.ecdc_data VALUES (50491, 18, 640, 20.08542322, 188, 283);
INSERT INTO public.ecdc_data VALUES (50492, 1, 167, 26.25377593, 189, 283);
INSERT INTO public.ecdc_data VALUES (50493, 9, 327, 225.43775082, 93, 283);
INSERT INTO public.ecdc_data VALUES (50494, 1, 267, 138.90894684, 133, 283);
INSERT INTO public.ecdc_data VALUES (50495, 41, 1309, 84.40616782, 190, 283);
INSERT INTO public.ecdc_data VALUES (50496, 181, 5920, 53.57632767, 191, 283);
INSERT INTO public.ecdc_data VALUES (50497, 0, 5, 3.2866242, 40, 283);
INSERT INTO public.ecdc_data VALUES (50498, 0, 0, 0, 94, 283);
INSERT INTO public.ecdc_data VALUES (50499, 0, 0, 1.09412183, 95, 283);
INSERT INTO public.ecdc_data VALUES (50500, 0, 1, 5.42529817, 96, 283);
INSERT INTO public.ecdc_data VALUES (50501, 0, 11, 31.92755348, 192, 283);
INSERT INTO public.ecdc_data VALUES (50502, 0, 3, 60.91663257, 41, 283);
INSERT INTO public.ecdc_data VALUES (50503, 36, 1389, 71.98441462, 134, 283);
INSERT INTO public.ecdc_data VALUES (50504, 0, 106, 8.69519222, 42, 283);
INSERT INTO public.ecdc_data VALUES (50505, 9, 295, 71.82897065, 193, 283);
INSERT INTO public.ecdc_data VALUES (50506, 0, 0, 12.27734523, 43, 283);
INSERT INTO public.ecdc_data VALUES (50507, 0, 5, 1.65105059, 44, 283);
INSERT INTO public.ecdc_data VALUES (50508, 0, 908, 94.92891788, 135, 283);
INSERT INTO public.ecdc_data VALUES (50509, 0, 4, 186.36910519, 97, 283);
INSERT INTO public.ecdc_data VALUES (50510, 0, 49, 6.58664716, 194, 283);
INSERT INTO public.ecdc_data VALUES (50511, 0, 18, 9.27479735, 195, 283);
INSERT INTO public.ecdc_data VALUES (50512, 0, 1, 0.38852791, 45, 283);
INSERT INTO public.ecdc_data VALUES (50513, 414, 8559, 230.41836262, 46, 283);
INSERT INTO public.ecdc_data VALUES (50514, 0, 43, 1.09516151, 136, 283);
INSERT INTO public.ecdc_data VALUES (50515, 0, 13, 2.16052736, 47, 283);
INSERT INTO public.ecdc_data VALUES (50516, 1, 4088, 84.55791649, 196, 283);
INSERT INTO public.ecdc_data VALUES (50517, 0, 5, 0.40799609, 137, 283);
INSERT INTO public.ecdc_data VALUES (50518, 0, 0, 1.52522922, 48, 283);
INSERT INTO public.ecdc_data VALUES (50519, 0, 69, 150.33636472, 98, 283);
INSERT INTO public.ecdc_data VALUES (50520, 1, 425, 29.45205781, 197, 283);
INSERT INTO public.ecdc_data VALUES (50521, 0, 181, 23.89833867, 198, 283);
INSERT INTO public.ecdc_data VALUES (50522, 2, 52, 2.24368505, 138, 283);
INSERT INTO public.ecdc_data VALUES (50523, 0, 1, 0.09253853, 139, 283);
INSERT INTO public.ecdc_data VALUES (50524, 0, 42, 6.54434604, 140, 283);
INSERT INTO public.ecdc_data VALUES (50525, 0, 2, 0.08761148, 141, 283);
INSERT INTO public.ecdc_data VALUES (50526, 0, 0, 0.07733234, 142, 283);
INSERT INTO public.ecdc_data VALUES (50527, 2, 13, 2.41266195, 49, 283);
INSERT INTO public.ecdc_data VALUES (50528, 0, 5, 4.15779849, 99, 283);
INSERT INTO public.ecdc_data VALUES (50529, 0, 17, 1.7700294, 50, 283);
INSERT INTO public.ecdc_data VALUES (50530, 19, 1178, 16.71872071, 199, 283);
INSERT INTO public.ecdc_data VALUES (50531, 0, 13, 112.58312824, 100, 283);
INSERT INTO public.ecdc_data VALUES (50532, 0, 10, 0.31172642, 51, 283);
INSERT INTO public.ecdc_data VALUES (50533, 24, 1271, 32.94794205, 200, 283);
INSERT INTO public.ecdc_data VALUES (50534, 2, 254, 39.6293915, 143, 283);
INSERT INTO public.ecdc_data VALUES (50535, 14, 891, 14.29169204, 201, 283);
INSERT INTO public.ecdc_data VALUES (50536, 0, 0, 0, 52, 283);
INSERT INTO public.ecdc_data VALUES (50537, 1450, 52804, 259.21481019, 101, 283);
INSERT INTO public.ecdc_data VALUES (50538, 1, 38, 157.77546161, 102, 283);
INSERT INTO public.ecdc_data VALUES (50539, 0, 9, 5.54635817, 103, 283);
INSERT INTO public.ecdc_data VALUES (50540, 6, 755, 28.91905409, 144, 283);
INSERT INTO public.ecdc_data VALUES (50541, 8, 861, 33.40250077, 104, 283);
INSERT INTO public.ecdc_data VALUES (50542, 1, 45, 0.32033304, 145, 283);
INSERT INTO public.ecdc_data VALUES (50543, 0, 0, 0, 53, 283);
INSERT INTO public.ecdc_data VALUES (50544, 2, 4, 0.42521203, 146, 283);
INSERT INTO public.ecdc_data VALUES (50545, 5, 442, 19.25420443, 54, 283);
INSERT INTO public.ecdc_data VALUES (50546, 3, 118, 15.7386518, 55, 283);
INSERT INTO public.ecdc_data VALUES (50547, 38, 279, 10.82494691, 105, 284);
INSERT INTO public.ecdc_data VALUES (50548, 2, 74, 33.74758553, 147, 284);
INSERT INTO public.ecdc_data VALUES (50549, 6, 441, 9.68572404, 1, 284);
INSERT INTO public.ecdc_data VALUES (50550, 0, 0, 0, 148, 284);
INSERT INTO public.ecdc_data VALUES (50551, 0, 0, 0.53416623, 2, 284);
INSERT INTO public.ecdc_data VALUES (50552, 0, 0, 0, 56, 284);
INSERT INTO public.ecdc_data VALUES (50553, 0, 0, 43.24769603, 57, 284);
INSERT INTO public.ecdc_data VALUES (50554, 37, 2590, 72.77916199, 58, 284);
INSERT INTO public.ecdc_data VALUES (50555, 7, 330, 282.24366811, 149, 284);
INSERT INTO public.ecdc_data VALUES (50556, 0, 0, 3.76258113, 59, 284);
INSERT INTO public.ecdc_data VALUES (50557, 0, 87, 3.92013713, 202, 284);
INSERT INTO public.ecdc_data VALUES (50558, 1, 73, 11.10763057, 150, 284);
INSERT INTO public.ecdc_data VALUES (50559, 9, 523, 75.58929544, 151, 284);
INSERT INTO public.ecdc_data VALUES (50560, 0, 0, 0, 60, 284);
INSERT INTO public.ecdc_data VALUES (50561, 0, 510, 463.26875315, 106, 284);
INSERT INTO public.ecdc_data VALUES (50562, 55, 2738, 30.7342387, 107, 284);
INSERT INTO public.ecdc_data VALUES (50563, 0, 1, 0.34840656, 61, 284);
INSERT INTO public.ecdc_data VALUES (50564, 5, 284, 53.41495485, 152, 284);
INSERT INTO public.ecdc_data VALUES (50565, 2, 24, 10.82447683, 153, 284);
INSERT INTO public.ecdc_data VALUES (50566, 0, 0, 2.04943756, 62, 284);
INSERT INTO public.ecdc_data VALUES (50567, 0, 0, 3.67760738, 3, 284);
INSERT INTO public.ecdc_data VALUES (50568, 0, 0, 0, 63, 284);
INSERT INTO public.ecdc_data VALUES (50569, 0, 2, 1.57254545, 108, 284);
INSERT INTO public.ecdc_data VALUES (50570, 56, 1226, 129.49594297, 64, 284);
INSERT INTO public.ecdc_data VALUES (50571, 0, 0, 0, 65, 284);
INSERT INTO public.ecdc_data VALUES (50572, 3, 144, 59.43657039, 154, 284);
INSERT INTO public.ecdc_data VALUES (50573, 0, 0, 8.07395745, 4, 284);
INSERT INTO public.ecdc_data VALUES (50574, 602, 26051, 245.44808368, 66, 284);
INSERT INTO public.ecdc_data VALUES (50575, 0, 0, 0, 67, 284);
INSERT INTO public.ecdc_data VALUES (50576, 0, 0, 0, 109, 284);
INSERT INTO public.ecdc_data VALUES (50577, 5, 63, 26.21413966, 155, 284);
INSERT INTO public.ecdc_data VALUES (50578, 0, 0, 0.41335769, 5, 284);
INSERT INTO public.ecdc_data VALUES (50579, 0, 0, 0.40761187, 6, 284);
INSERT INTO public.ecdc_data VALUES (50580, 0, 0, 0.07278664, 110, 284);
INSERT INTO public.ecdc_data VALUES (50581, 15, 1119, 8.11937153, 7, 284);
INSERT INTO public.ecdc_data VALUES (50582, 10, 219, 11.22128715, 68, 284);
INSERT INTO public.ecdc_data VALUES (50583, 1, 31, 102.01187047, 8, 284);
INSERT INTO public.ecdc_data VALUES (50584, 0, 0, 9.23815976, 69, 284);
INSERT INTO public.ecdc_data VALUES (50585, 0, 0, 24.46693792, 9, 284);
INSERT INTO public.ecdc_data VALUES (50586, 0, 1, 0.08779146, 10, 284);
INSERT INTO public.ecdc_data VALUES (50587, 116, 3685, 280.58728258, 70, 284);
INSERT INTO public.ecdc_data VALUES (50588, 0, 14, 0.02085391, 111, 284);
INSERT INTO public.ecdc_data VALUES (50589, 122, 3721, 96.26248745, 71, 284);
INSERT INTO public.ecdc_data VALUES (50590, 0, 2, 7.52152743, 11, 284);
INSERT INTO public.ecdc_data VALUES (50591, 0, 0, 10.110577, 12, 284);
INSERT INTO public.ecdc_data VALUES (50592, 1, 375, 55.13553972, 72, 284);
INSERT INTO public.ecdc_data VALUES (50593, 2, 310, 12.75443047, 13, 284);
INSERT INTO public.ecdc_data VALUES (50594, 0, 57, 20.46000168, 156, 284);
INSERT INTO public.ecdc_data VALUES (50595, 0, 3, 0.52940473, 73, 284);
INSERT INTO public.ecdc_data VALUES (50596, 0, 0, 1.22381794, 74, 284);
INSERT INTO public.ecdc_data VALUES (50597, 0, 1, 1.94086304, 157, 284);
INSERT INTO public.ecdc_data VALUES (50598, -3, 75, 18.9393228, 158, 284);
INSERT INTO public.ecdc_data VALUES (50599, 0, 32, 1.82508311, 14, 284);
INSERT INTO public.ecdc_data VALUES (50600, 0, 0, 7.5954848, 159, 284);
INSERT INTO public.ecdc_data VALUES (50601, 0, 56, 21.57038571, 15, 284);
INSERT INTO public.ecdc_data VALUES (50602, 0, 0, 0, 75, 284);
INSERT INTO public.ecdc_data VALUES (50603, 8, 1241, 100.08420743, 76, 284);
INSERT INTO public.ecdc_data VALUES (50604, 12, 423, 65.1446037, 77, 284);
INSERT INTO public.ecdc_data VALUES (50605, 63, 1218, 19.94260753, 16, 284);
INSERT INTO public.ecdc_data VALUES (50606, 7, 270, 48.82584004, 78, 284);
INSERT INTO public.ecdc_data VALUES (50607, 0, 0, 103.76243932, 17, 284);
INSERT INTO public.ecdc_data VALUES (50608, 0, 0, 2.05883875, 18, 284);
INSERT INTO public.ecdc_data VALUES (50609, 0, 0, 0.90578343, 160, 284);
INSERT INTO public.ecdc_data VALUES (50610, 0, 34, 30.74556693, 19, 284);
INSERT INTO public.ecdc_data VALUES (50611, 0, 0, 1.17239019, 20, 284);
INSERT INTO public.ecdc_data VALUES (50612, 0, 0, 0, 79, 284);
INSERT INTO public.ecdc_data VALUES (50613, 0, 0, 0, 161, 284);
INSERT INTO public.ecdc_data VALUES (50614, 0, 0, 0, 203, 284);
INSERT INTO public.ecdc_data VALUES (50615, 0, 2, 2.33783787, 162, 284);
INSERT INTO public.ecdc_data VALUES (50616, 0, 0, 9.82348424, 163, 284);
INSERT INTO public.ecdc_data VALUES (50617, 0, 0, 0.71611436, 204, 284);
INSERT INTO public.ecdc_data VALUES (50618, 0, 0, 54.86569412, 21, 284);
INSERT INTO public.ecdc_data VALUES (50619, 0, 0, 0.85189905, 22, 284);
INSERT INTO public.ecdc_data VALUES (50620, 0, 5, 1.12591143, 164, 284);
INSERT INTO public.ecdc_data VALUES (50621, 4, 219, 7.46212807, 165, 284);
INSERT INTO public.ecdc_data VALUES (50622, 5, 697, 19.49841439, 23, 284);
INSERT INTO public.ecdc_data VALUES (50623, 0, 0, 5.93366166, 166, 284);
INSERT INTO public.ecdc_data VALUES (50624, 0, 8, 2.35906256, 167, 284);
INSERT INTO public.ecdc_data VALUES (50625, 0, 0, 0, 80, 284);
INSERT INTO public.ecdc_data VALUES (50626, 0, 0, 0, 81, 284);
INSERT INTO public.ecdc_data VALUES (50627, 0, 13, 47.22197316, 205, 284);
INSERT INTO public.ecdc_data VALUES (50628, 27, 747, 57.46388983, 82, 284);
INSERT INTO public.ecdc_data VALUES (50629, 0, 0, 0, 168, 284);
INSERT INTO public.ecdc_data VALUES (50630, 0, 40, 4.87031571, 24, 284);
INSERT INTO public.ecdc_data VALUES (50631, 0, 0, 11.66109728, 25, 284);
INSERT INTO public.ecdc_data VALUES (50632, 1, 1, 11.36980614, 83, 284);
INSERT INTO public.ecdc_data VALUES (50633, 0, 39, 9.96175202, 84, 284);
INSERT INTO public.ecdc_data VALUES (50634, 0, 0, 0, 169, 284);
INSERT INTO public.ecdc_data VALUES (50635, 10, 1022, 114.65081214, 85, 284);
INSERT INTO public.ecdc_data VALUES (50636, 0, 0, 0.82883477, 170, 284);
INSERT INTO public.ecdc_data VALUES (50637, 0, 0, 4.2017866, 171, 284);
INSERT INTO public.ecdc_data VALUES (50638, 425, 24248, 19.91565162, 112, 284);
INSERT INTO public.ecdc_data VALUES (50639, 82, 1607, 6.59878525, 113, 284);
INSERT INTO public.ecdc_data VALUES (50640, 163, 2560, 42.7986176, 114, 284);
INSERT INTO public.ecdc_data VALUES (50641, 105, 2125, 75.32729316, 115, 284);
INSERT INTO public.ecdc_data VALUES (50642, 0, 18, 3.01779685, 172, 284);
INSERT INTO public.ecdc_data VALUES (50643, 0, 0, 0, 173, 284);
INSERT INTO public.ecdc_data VALUES (50644, 1, 788, 107.75440869, 116, 284);
INSERT INTO public.ecdc_data VALUES (50645, 7, 192, 5.15577105, 174, 284);
INSERT INTO public.ecdc_data VALUES (50646, 0, 4, 2.47602244, 86, 284);
INSERT INTO public.ecdc_data VALUES (50647, 0, 253, 1.46539147, 117, 284);
INSERT INTO public.ecdc_data VALUES (50648, 0, 0, 1.85535641, 175, 284);
INSERT INTO public.ecdc_data VALUES (50649, 0, 14, 1.29681181, 118, 284);
INSERT INTO public.ecdc_data VALUES (50650, 0, 1403, 166.25135273, 119, 284);
INSERT INTO public.ecdc_data VALUES (50651, 1, 309, 5.98775436, 26, 284);
INSERT INTO public.ecdc_data VALUES (50652, 11, 292, 65.9992238, 176, 284);
INSERT INTO public.ecdc_data VALUES (50653, 3, 638, 244.61163891, 120, 284);
INSERT INTO public.ecdc_data VALUES (50654, 4, 314, 67.56703047, 121, 284);
INSERT INTO public.ecdc_data VALUES (50655, 0, 0, 0, 122, 284);
INSERT INTO public.ecdc_data VALUES (50656, 0, 1, 0.67709462, 177, 284);
INSERT INTO public.ecdc_data VALUES (50657, 1, 18, 4.17170565, 123, 284);
INSERT INTO public.ecdc_data VALUES (50658, 0, 44, 3.52896836, 27, 284);
INSERT INTO public.ecdc_data VALUES (50659, 0, 5, 5.02291299, 28, 284);
INSERT INTO public.ecdc_data VALUES (50660, 0, 0, 6.56588839, 29, 284);
INSERT INTO public.ecdc_data VALUES (50661, 0, 0, 2.60565949, 178, 284);
INSERT INTO public.ecdc_data VALUES (50662, 0, 5, 1.3599677, 179, 284);
INSERT INTO public.ecdc_data VALUES (50663, 0, 46, 65.48361769, 180, 284);
INSERT INTO public.ecdc_data VALUES (50664, 0, 0, 4.19736422, 30, 284);
INSERT INTO public.ecdc_data VALUES (50665, 2, 129, 5.43246355, 31, 284);
INSERT INTO public.ecdc_data VALUES (50666, 0, 0, 0.26917236, 124, 284);
INSERT INTO public.ecdc_data VALUES (50667, 1, 33, 49.90987971, 125, 284);
INSERT INTO public.ecdc_data VALUES (50668, 1, 27, 1.87709619, 32, 284);
INSERT INTO public.ecdc_data VALUES (50669, 0, 0, 1.41827016, 181, 284);
INSERT INTO public.ecdc_data VALUES (50670, 1, 52, 45.6504168, 33, 284);
INSERT INTO public.ecdc_data VALUES (50671, 0, 0, 0.31504249, 34, 284);
INSERT INTO public.ecdc_data VALUES (50672, 273, 2953, 64.00600542, 87, 284);
INSERT INTO public.ecdc_data VALUES (50673, 5, 142, 89.38336361, 182, 284);
INSERT INTO public.ecdc_data VALUES (50674, 0, 2, 21.1576243, 183, 284);
INSERT INTO public.ecdc_data VALUES (50675, 0, 0, 0.21704309, 126, 284);
INSERT INTO public.ecdc_data VALUES (50676, 0, 61, 67.343639, 184, 284);
INSERT INTO public.ecdc_data VALUES (50677, 0, 0, 0, 88, 284);
INSERT INTO public.ecdc_data VALUES (50678, 3, 393, 11.61994733, 35, 284);
INSERT INTO public.ecdc_data VALUES (50679, 1, 18, 0.83646065, 36, 284);
INSERT INTO public.ecdc_data VALUES (50680, 0, 0, 0.0425568, 127, 284);
INSERT INTO public.ecdc_data VALUES (50681, 0, 37, 14.31134758, 37, 284);
INSERT INTO public.ecdc_data VALUES (50682, 0, 293, 23.62217247, 128, 284);
INSERT INTO public.ecdc_data VALUES (50683, 1, 73, 5.9483295, 185, 284);
INSERT INTO public.ecdc_data VALUES (50684, 0, 0, 0, 207, 284);
INSERT INTO public.ecdc_data VALUES (50685, 0, 0, 0.41814219, 208, 284);
INSERT INTO public.ecdc_data VALUES (50686, 0, 0, 7.71522066, 89, 284);
INSERT INTO public.ecdc_data VALUES (50687, 0, 11, 0.2445227, 38, 284);
INSERT INTO public.ecdc_data VALUES (50688, 11, 544, 4.21320074, 39, 284);
INSERT INTO public.ecdc_data VALUES (50689, 7, 114, 93.39801226, 186, 284);
INSERT INTO public.ecdc_data VALUES (50690, 0, 0, 1.74785451, 209, 284);
INSERT INTO public.ecdc_data VALUES (50691, 0, 0, 3.50962011, 187, 284);
INSERT INTO public.ecdc_data VALUES (50692, 10, 1072, 335.81963549, 129, 284);
INSERT INTO public.ecdc_data VALUES (50693, 50, 3344, 23.42480352, 130, 284);
INSERT INTO public.ecdc_data VALUES (50694, 4, 208, 68.9762883, 131, 284);
INSERT INTO public.ecdc_data VALUES (50695, 27, 1166, 285.39199894, 90, 284);
INSERT INTO public.ecdc_data VALUES (50696, 0, 0, 0.02278912, 210, 284);
INSERT INTO public.ecdc_data VALUES (50697, 0, 42, 14.87656074, 91, 284);
INSERT INTO public.ecdc_data VALUES (50698, 177, 3638, 146.97422633, 92, 284);
INSERT INTO public.ecdc_data VALUES (50699, 0, 0, 10.89379208, 132, 284);
INSERT INTO public.ecdc_data VALUES (50700, 5, 231, 10.58388828, 188, 284);
INSERT INTO public.ecdc_data VALUES (50701, 9, 328, 46.35766809, 189, 284);
INSERT INTO public.ecdc_data VALUES (50702, 0, 229, 47.41931217, 93, 284);
INSERT INTO public.ecdc_data VALUES (50703, 5, 616, 438.90142585, 133, 284);
INSERT INTO public.ecdc_data VALUES (50704, 19, 391, 25.38314487, 190, 284);
INSERT INTO public.ecdc_data VALUES (50705, 134, 6736, 66.20244315, 191, 284);
INSERT INTO public.ecdc_data VALUES (50706, 0, 13, 2.9856803, 40, 284);
INSERT INTO public.ecdc_data VALUES (50707, 0, 0, 1.8927206, 94, 284);
INSERT INTO public.ecdc_data VALUES (50708, 0, 0, 1.64118275, 95, 284);
INSERT INTO public.ecdc_data VALUES (50709, 0, 0, 0, 96, 284);
INSERT INTO public.ecdc_data VALUES (50710, 0, 0, 5.80500972, 192, 284);
INSERT INTO public.ecdc_data VALUES (50711, 0, 1, 10.23027417, 41, 284);
INSERT INTO public.ecdc_data VALUES (50712, 58, 3580, 151.44215849, 134, 284);
INSERT INTO public.ecdc_data VALUES (50713, 4, 128, 9.27814441, 42, 284);
INSERT INTO public.ecdc_data VALUES (50714, 5, 302, 46.48348221, 193, 284);
INSERT INTO public.ecdc_data VALUES (50715, 0, 0, 0, 43, 284);
INSERT INTO public.ecdc_data VALUES (50716, 0, 9, 2.75175098, 44, 284);
INSERT INTO public.ecdc_data VALUES (50717, 0, 0, 44.25996189, 135, 284);
INSERT INTO public.ecdc_data VALUES (50718, 0, 0, 2.3591026, 97, 284);
INSERT INTO public.ecdc_data VALUES (50719, 0, 15, 3.24745556, 194, 284);
INSERT INTO public.ecdc_data VALUES (50720, 0, 21, 8.65007007, 195, 284);
INSERT INTO public.ecdc_data VALUES (50721, 0, 36, 1.41165141, 45, 284);
INSERT INTO public.ecdc_data VALUES (50722, 173, 8773, 169.82743017, 46, 284);
INSERT INTO public.ecdc_data VALUES (50723, 0, 0, 1.27476019, 136, 284);
INSERT INTO public.ecdc_data VALUES (50724, 0, 0, 1.39213897, 47, 284);
INSERT INTO public.ecdc_data VALUES (50725, 3, 1244, 11.25975935, 196, 284);
INSERT INTO public.ecdc_data VALUES (50726, 0, 2, 0.59089088, 137, 284);
INSERT INTO public.ecdc_data VALUES (50727, 4, 104, 2.77250702, 48, 284);
INSERT INTO public.ecdc_data VALUES (50728, 0, 29, 48.16267977, 98, 284);
INSERT INTO public.ecdc_data VALUES (50729, 9, 315, 114.768208, 197, 284);
INSERT INTO public.ecdc_data VALUES (50730, 0, 70, 11.41081303, 198, 284);
INSERT INTO public.ecdc_data VALUES (50731, 3, 20, 0.90216057, 138, 284);
INSERT INTO public.ecdc_data VALUES (50732, 0, 0, 0.01261889, 139, 284);
INSERT INTO public.ecdc_data VALUES (50733, 1, 54, 8.11069772, 140, 284);
INSERT INTO public.ecdc_data VALUES (50734, 0, 5, 0.06750393, 141, 284);
INSERT INTO public.ecdc_data VALUES (50735, 0, 0, 0, 142, 284);
INSERT INTO public.ecdc_data VALUES (50736, 0, 4, 1.37336142, 49, 284);
INSERT INTO public.ecdc_data VALUES (50737, 0, 3, 0.71686181, 99, 284);
INSERT INTO public.ecdc_data VALUES (50738, 0, 2, 0.26507687, 50, 284);
INSERT INTO public.ecdc_data VALUES (50739, 19, 1148, 22.03920053, 199, 284);
INSERT INTO public.ecdc_data VALUES (50740, 0, 2, 86.40100539, 100, 284);
INSERT INTO public.ecdc_data VALUES (50741, 0, 12, 0.38175192, 51, 284);
INSERT INTO public.ecdc_data VALUES (50742, 22, 823, 27.14028479, 200, 284);
INSERT INTO public.ecdc_data VALUES (50743, 2, 683, 67.7036221, 143, 284);
INSERT INTO public.ecdc_data VALUES (50744, 19, 401, 13.90307805, 201, 284);
INSERT INTO public.ecdc_data VALUES (50745, 0, 0, 0, 52, 284);
INSERT INTO public.ecdc_data VALUES (50746, 271, 49093, 184.68179639, 101, 284);
INSERT INTO public.ecdc_data VALUES (50747, 0, 1, 34.42373708, 102, 284);
INSERT INTO public.ecdc_data VALUES (50748, 0, 1, 2.31098257, 103, 284);
INSERT INTO public.ecdc_data VALUES (50749, 4, 314, 11.47605575, 144, 284);
INSERT INTO public.ecdc_data VALUES (50750, 2, 419, 11.40068556, 104, 284);
INSERT INTO public.ecdc_data VALUES (50751, 0, 0, 0.00622006, 145, 284);
INSERT INTO public.ecdc_data VALUES (50752, 0, 0, 84.81298222, 53, 284);
INSERT INTO public.ecdc_data VALUES (50753, 1, 17, 1.11103788, 146, 284);
INSERT INTO public.ecdc_data VALUES (50754, 0, 0, 1.13095356, 54, 284);
INSERT INTO public.ecdc_data VALUES (50755, 0, 18, 1.54996701, 55, 284);
INSERT INTO public.ecdc_data VALUES (50756, 9, 915, 25.63761711, 105, 285);
INSERT INTO public.ecdc_data VALUES (50757, 0, 15, 8.0700748, 147, 285);
INSERT INTO public.ecdc_data VALUES (50758, 9, 104, 4.68491736, 1, 285);
INSERT INTO public.ecdc_data VALUES (50759, 0, 0, 118.14589706, 148, 285);
INSERT INTO public.ecdc_data VALUES (50760, 0, 0, 0.08169601, 2, 285);
INSERT INTO public.ecdc_data VALUES (50761, 0, 0, 0, 56, 285);
INSERT INTO public.ecdc_data VALUES (50762, 0, 0, 1.02970705, 57, 285);
INSERT INTO public.ecdc_data VALUES (50763, 44, 1769, 23.19750651, 58, 285);
INSERT INTO public.ecdc_data VALUES (50764, 7, 547, 204.95461381, 149, 285);
INSERT INTO public.ecdc_data VALUES (50765, 0, 0, 0, 59, 285);
INSERT INTO public.ecdc_data VALUES (50766, 0, 11, 0.61896902, 202, 285);
INSERT INTO public.ecdc_data VALUES (50767, 2, 62, 4.98940316, 150, 285);
INSERT INTO public.ecdc_data VALUES (50768, 4, 338, 29.90728542, 151, 285);
INSERT INTO public.ecdc_data VALUES (50769, 0, 0, 1.28374319, 60, 285);
INSERT INTO public.ecdc_data VALUES (50770, 2, 539, 330.31433787, 106, 285);
INSERT INTO public.ecdc_data VALUES (50771, 30, 2828, 18.51377401, 107, 285);
INSERT INTO public.ecdc_data VALUES (50772, 0, 0, 0.69681313, 61, 285);
INSERT INTO public.ecdc_data VALUES (50773, 6, 887, 132.9290766, 152, 285);
INSERT INTO public.ecdc_data VALUES (50774, 12, 154, 18.88172854, 153, 285);
INSERT INTO public.ecdc_data VALUES (50775, 0, 0, 0, 62, 285);
INSERT INTO public.ecdc_data VALUES (50776, 0, 0, 1.06769246, 3, 285);
INSERT INTO public.ecdc_data VALUES (50777, 0, 0, 20.79733794, 63, 285);
INSERT INTO public.ecdc_data VALUES (50778, 0, 0, 3.14509091, 108, 285);
INSERT INTO public.ecdc_data VALUES (50779, 12, 483, 62.09447289, 64, 285);
INSERT INTO public.ecdc_data VALUES (50780, 0, 0, 3.84867028, 65, 285);
INSERT INTO public.ecdc_data VALUES (50781, 0, 12, 7.05847141, 154, 285);
INSERT INTO public.ecdc_data VALUES (50782, 0, 0, 0.43408373, 4, 285);
INSERT INTO public.ecdc_data VALUES (50783, 1005, 30830, 149.19342223, 66, 285);
INSERT INTO public.ecdc_data VALUES (50784, 0, 0, 0, 67, 285);
INSERT INTO public.ecdc_data VALUES (50785, 0, 0, 0, 109, 285);
INSERT INTO public.ecdc_data VALUES (50786, 13, 83, 3.71426502, 155, 285);
INSERT INTO public.ecdc_data VALUES (50787, 0, 3, 0.36414844, 5, 285);
INSERT INTO public.ecdc_data VALUES (50788, 0, 0, 0.18212445, 6, 285);
INSERT INTO public.ecdc_data VALUES (50789, 0, 0, 0.00606555, 110, 285);
INSERT INTO public.ecdc_data VALUES (50790, 0, 810, 12.36262234, 7, 285);
INSERT INTO public.ecdc_data VALUES (50791, 66, 609, 31.68850862, 68, 285);
INSERT INTO public.ecdc_data VALUES (50792, 0, 34, 31.64004539, 8, 285);
INSERT INTO public.ecdc_data VALUES (50793, 0, 4, 66.2068116, 69, 285);
INSERT INTO public.ecdc_data VALUES (50794, 0, 163, 20.48394802, 9, 285);
INSERT INTO public.ecdc_data VALUES (50795, 2, 8, 1.41093412, 10, 285);
INSERT INTO public.ecdc_data VALUES (50796, 92, 4207, 319.97619253, 70, 285);
INSERT INTO public.ecdc_data VALUES (50797, 0, 6, 0.00669557, 111, 285);
INSERT INTO public.ecdc_data VALUES (50798, 58, 1515, 34.77193818, 71, 285);
INSERT INTO public.ecdc_data VALUES (50799, 0, 0, 6.34628877, 11, 285);
INSERT INTO public.ecdc_data VALUES (50800, 0, 4, 3.15955531, 12, 285);
INSERT INTO public.ecdc_data VALUES (50801, 0, 34, 6.2802609, 72, 285);
INSERT INTO public.ecdc_data VALUES (50802, 1, 169, 4.39405684, 13, 285);
INSERT INTO public.ecdc_data VALUES (50803, 0, 0, 0.0981295, 156, 285);
INSERT INTO public.ecdc_data VALUES (50804, 0, 14, 1.91468043, 73, 285);
INSERT INTO public.ecdc_data VALUES (50805, 0, 0, 3.05954486, 74, 285);
INSERT INTO public.ecdc_data VALUES (50806, 0, 2, 3.76755768, 157, 285);
INSERT INTO public.ecdc_data VALUES (50807, 1, 35, 6.72313095, 158, 285);
INSERT INTO public.ecdc_data VALUES (50808, 3, 121, 2.00367395, 14, 285);
INSERT INTO public.ecdc_data VALUES (50809, 4, 64, 11.1090424, 159, 285);
INSERT INTO public.ecdc_data VALUES (50810, 0, 69, 190.33297485, 15, 285);
INSERT INTO public.ecdc_data VALUES (50811, 0, 0, 2.78520499, 75, 285);
INSERT INTO public.ecdc_data VALUES (50812, 5, 389, 43.94281493, 76, 285);
INSERT INTO public.ecdc_data VALUES (50813, 48, 609, 33.07881582, 77, 285);
INSERT INTO public.ecdc_data VALUES (50814, 40, 1348, 15.2697418, 16, 285);
INSERT INTO public.ecdc_data VALUES (50815, 1, 68, 17.41677061, 78, 285);
INSERT INTO public.ecdc_data VALUES (50816, 0, 0, 29.72015853, 17, 285);
INSERT INTO public.ecdc_data VALUES (50817, 0, 0, 0.05718997, 18, 285);
INSERT INTO public.ecdc_data VALUES (50818, 0, 20, 7.77464108, 160, 285);
INSERT INTO public.ecdc_data VALUES (50819, 0, 5, 7.40332348, 19, 285);
INSERT INTO public.ecdc_data VALUES (50820, 1, 169, 1.22413953, 20, 285);
INSERT INTO public.ecdc_data VALUES (50821, 0, 0, 0, 79, 285);
INSERT INTO public.ecdc_data VALUES (50822, 0, 0, 0, 161, 285);
INSERT INTO public.ecdc_data VALUES (50823, 0, 0, 0, 203, 285);
INSERT INTO public.ecdc_data VALUES (50824, 0, 30, 7.32160077, 162, 285);
INSERT INTO public.ecdc_data VALUES (50825, 46, 611, 12.66771346, 163, 285);
INSERT INTO public.ecdc_data VALUES (50826, 0, 0, 0, 204, 285);
INSERT INTO public.ecdc_data VALUES (50827, 0, 146, 63.19681043, 21, 285);
INSERT INTO public.ecdc_data VALUES (50828, 0, 0, 0.04259495, 22, 285);
INSERT INTO public.ecdc_data VALUES (50829, 0, 4, 2.05166082, 164, 285);
INSERT INTO public.ecdc_data VALUES (50830, 33, 407, 7.02006173, 165, 285);
INSERT INTO public.ecdc_data VALUES (50831, 4, 283, 8.38652084, 23, 285);
INSERT INTO public.ecdc_data VALUES (50832, 0, 1, 68.23710912, 166, 285);
INSERT INTO public.ecdc_data VALUES (50833, 0, 15, 0.87648965, 167, 285);
INSERT INTO public.ecdc_data VALUES (50834, 0, 0, 3.52982704, 80, 285);
INSERT INTO public.ecdc_data VALUES (50835, 0, 0, 0.8928412, 81, 285);
INSERT INTO public.ecdc_data VALUES (50836, 0, 0, 8.36845094, 205, 285);
INSERT INTO public.ecdc_data VALUES (50837, 58, 331, 21.2837648, 82, 285);
INSERT INTO public.ecdc_data VALUES (50838, 0, 0, 0, 168, 285);
INSERT INTO public.ecdc_data VALUES (50839, 0, 69, 7.77527894, 24, 285);
INSERT INTO public.ecdc_data VALUES (50840, 3, 22, 14.52431313, 25, 285);
INSERT INTO public.ecdc_data VALUES (50841, 0, 0, 3.3215164, 83, 285);
INSERT INTO public.ecdc_data VALUES (50842, 0, 284, 18.75153322, 84, 285);
INSERT INTO public.ecdc_data VALUES (50843, 0, 0, 0, 169, 285);
INSERT INTO public.ecdc_data VALUES (50844, 5, 91, 25.58968368, 85, 285);
INSERT INTO public.ecdc_data VALUES (50845, 3, 16, 2.62975971, 170, 285);
INSERT INTO public.ecdc_data VALUES (50846, 0, 0, 0.84035732, 171, 285);
INSERT INTO public.ecdc_data VALUES (50847, 294, 9887, 8.16412108, 112, 285);
INSERT INTO public.ecdc_data VALUES (50848, 49, 703, 3.22401172, 113, 285);
INSERT INTO public.ecdc_data VALUES (50849, 63, 2886, 42.82032687, 114, 285);
INSERT INTO public.ecdc_data VALUES (50850, 14, 1006, 14.96319403, 115, 285);
INSERT INTO public.ecdc_data VALUES (50851, 6, 21, 13.39657113, 172, 285);
INSERT INTO public.ecdc_data VALUES (50852, 0, 0, 0, 173, 285);
INSERT INTO public.ecdc_data VALUES (50853, 1, 144, 11.92576026, 116, 285);
INSERT INTO public.ecdc_data VALUES (50854, 85, 518, 9.7300268, 174, 285);
INSERT INTO public.ecdc_data VALUES (50855, 0, 4, 1.72982389, 86, 285);
INSERT INTO public.ecdc_data VALUES (50856, 7, 39, 0.44694834, 117, 285);
INSERT INTO public.ecdc_data VALUES (50857, 0, 0, 2.78303462, 175, 285);
INSERT INTO public.ecdc_data VALUES (50858, 0, 19, 0.83154345, 118, 285);
INSERT INTO public.ecdc_data VALUES (50859, 0, 199, 24.75281148, 119, 285);
INSERT INTO public.ecdc_data VALUES (50860, 1, 134, 2.49743376, 26, 285);
INSERT INTO public.ecdc_data VALUES (50861, 0, 11, 7.39502676, 176, 285);
INSERT INTO public.ecdc_data VALUES (50862, 8, 723, 263.36575252, 120, 285);
INSERT INTO public.ecdc_data VALUES (50863, 0, 38, 9.5077021, 121, 285);
INSERT INTO public.ecdc_data VALUES (50864, 0, 0, 0, 122, 285);
INSERT INTO public.ecdc_data VALUES (50865, 0, 0, 2.70837847, 177, 285);
INSERT INTO public.ecdc_data VALUES (50866, 0, 6, 3.29652265, 123, 285);
INSERT INTO public.ecdc_data VALUES (50867, 0, 0, 0.14115873, 27, 285);
INSERT INTO public.ecdc_data VALUES (50868, 2, 13, 1.72156292, 28, 285);
INSERT INTO public.ecdc_data VALUES (50869, 0, 43, 2.4640525, 29, 285);
INSERT INTO public.ecdc_data VALUES (50870, 0, 0, 0, 178, 285);
INSERT INTO public.ecdc_data VALUES (50871, 0, 7, 3.22097614, 179, 285);
INSERT INTO public.ecdc_data VALUES (50872, 0, 5, 8.30762314, 180, 285);
INSERT INTO public.ecdc_data VALUES (50873, 0, 18, 1.95407327, 30, 285);
INSERT INTO public.ecdc_data VALUES (50874, 0, 16, 1.75535137, 31, 285);
INSERT INTO public.ecdc_data VALUES (50875, 1, 296, 3.53366966, 124, 285);
INSERT INTO public.ecdc_data VALUES (50876, 0, 11, 114.69855374, 125, 285);
INSERT INTO public.ecdc_data VALUES (50877, 2, 24, 2.62488247, 32, 285);
INSERT INTO public.ecdc_data VALUES (50878, 0, 2, 3.6469804, 181, 285);
INSERT INTO public.ecdc_data VALUES (50879, 4, 99, 15.68818777, 33, 285);
INSERT INTO public.ecdc_data VALUES (50880, 0, 2, 0.39380311, 34, 285);
INSERT INTO public.ecdc_data VALUES (50881, 625, 5013, 43.55537495, 87, 285);
INSERT INTO public.ecdc_data VALUES (50882, 8, 229, 59.35807213, 182, 285);
INSERT INTO public.ecdc_data VALUES (50883, 0, 0, 0, 183, 285);
INSERT INTO public.ecdc_data VALUES (50884, 0, 0, 1.5503078, 126, 285);
INSERT INTO public.ecdc_data VALUES (50885, 0, 0, 0, 184, 285);
INSERT INTO public.ecdc_data VALUES (50886, 0, 0, 0, 88, 285);
INSERT INTO public.ecdc_data VALUES (50887, 0, 68, 2.02622489, 35, 285);
INSERT INTO public.ecdc_data VALUES (50888, 0, 2, 0.62569891, 36, 285);
INSERT INTO public.ecdc_data VALUES (50889, 0, 0, 0.06476034, 127, 285);
INSERT INTO public.ecdc_data VALUES (50890, 0, 0, 0.24052685, 37, 285);
INSERT INTO public.ecdc_data VALUES (50891, 1, 278, 8.2632163, 128, 285);
INSERT INTO public.ecdc_data VALUES (50892, 15, 210, 13.10021205, 185, 285);
INSERT INTO public.ecdc_data VALUES (50893, 0, 0, 0.70732113, 207, 285);
INSERT INTO public.ecdc_data VALUES (50894, 0, 0, 0, 208, 285);
INSERT INTO public.ecdc_data VALUES (50895, 0, 0, 12.81796067, 89, 285);
INSERT INTO public.ecdc_data VALUES (50896, 0, 3, 0.12440629, 38, 285);
INSERT INTO public.ecdc_data VALUES (50897, 10, 328, 2.28051246, 39, 285);
INSERT INTO public.ecdc_data VALUES (50898, 2, 180, 41.93281891, 186, 285);
INSERT INTO public.ecdc_data VALUES (50899, 0, 0, 6.99141803, 209, 285);
INSERT INTO public.ecdc_data VALUES (50900, 0, 27, 3.65976429, 187, 285);
INSERT INTO public.ecdc_data VALUES (50901, 5, 770, 166.67363485, 129, 285);
INSERT INTO public.ecdc_data VALUES (50902, 97, 4734, 19.1840506, 130, 285);
INSERT INTO public.ecdc_data VALUES (50903, 0, 0, 0.82305815, 131, 285);
INSERT INTO public.ecdc_data VALUES (50904, 7, 419, 122.36131913, 90, 285);
INSERT INTO public.ecdc_data VALUES (50905, 0, 0, 0, 210, 285);
INSERT INTO public.ecdc_data VALUES (50906, 0, 1, 3.5346027, 91, 285);
INSERT INTO public.ecdc_data VALUES (50907, 131, 4202, 232.85427319, 92, 285);
INSERT INTO public.ecdc_data VALUES (50908, 3, 244, 6.501313, 132, 285);
INSERT INTO public.ecdc_data VALUES (50909, 20, 371, 12.64062298, 188, 285);
INSERT INTO public.ecdc_data VALUES (50910, 10, 377, 36.6754935, 189, 285);
INSERT INTO public.ecdc_data VALUES (50911, 1, 112, 54.20323965, 93, 285);
INSERT INTO public.ecdc_data VALUES (50912, 4, 1754, 883.24056847, 133, 285);
INSERT INTO public.ecdc_data VALUES (50913, 9, 196, 12.315564, 190, 285);
INSERT INTO public.ecdc_data VALUES (50914, 144, 8726, 84.58496495, 191, 285);
INSERT INTO public.ecdc_data VALUES (50915, 0, 10, 0.78403806, 40, 285);
INSERT INTO public.ecdc_data VALUES (50916, 0, 0, 0, 94, 285);
INSERT INTO public.ecdc_data VALUES (50917, 0, 0, 0.54706092, 95, 285);
INSERT INTO public.ecdc_data VALUES (50918, 0, 0, 7.23373089, 96, 285);
INSERT INTO public.ecdc_data VALUES (50919, 0, 0, 75.4651264, 192, 285);
INSERT INTO public.ecdc_data VALUES (50920, 0, 10, 119.97321528, 41, 285);
INSERT INTO public.ecdc_data VALUES (50921, 31, 2591, 81.79224734, 134, 285);
INSERT INTO public.ecdc_data VALUES (50922, 0, 134, 7.64587826, 42, 285);
INSERT INTO public.ecdc_data VALUES (50923, 1, 96, 9.23351222, 193, 285);
INSERT INTO public.ecdc_data VALUES (50924, 0, 0, 0, 43, 285);
INSERT INTO public.ecdc_data VALUES (50925, 0, 15, 4.13402589, 44, 285);
INSERT INTO public.ecdc_data VALUES (50926, 0, 261, 116.41283088, 135, 285);
INSERT INTO public.ecdc_data VALUES (50927, 0, 0, 0, 97, 285);
INSERT INTO public.ecdc_data VALUES (50928, 0, 0, 0.42198575, 194, 285);
INSERT INTO public.ecdc_data VALUES (50929, 0, 5, 0.76889512, 195, 285);
INSERT INTO public.ecdc_data VALUES (50930, 0, 0, 3.95003376, 45, 285);
INSERT INTO public.ecdc_data VALUES (50931, 60, 2642, 39.80479819, 46, 285);
INSERT INTO public.ecdc_data VALUES (50932, 0, 51, 1.0814964, 136, 285);
INSERT INTO public.ecdc_data VALUES (50933, 0, 0, 8.84098645, 47, 285);
INSERT INTO public.ecdc_data VALUES (50934, 1, 332, 12.82568614, 196, 285);
INSERT INTO public.ecdc_data VALUES (50935, 0, 4, 3.43748426, 137, 285);
INSERT INTO public.ecdc_data VALUES (50936, 19, 215, 5.45625644, 48, 285);
INSERT INTO public.ecdc_data VALUES (50937, 0, 9, 13.76076565, 98, 285);
INSERT INTO public.ecdc_data VALUES (50938, 37, 1146, 88.54189831, 197, 285);
INSERT INTO public.ecdc_data VALUES (50939, 0, 23, 2.68007814, 198, 285);
INSERT INTO public.ecdc_data VALUES (50940, 0, 0, 0.38078206, 138, 285);
INSERT INTO public.ecdc_data VALUES (50941, 0, 0, 0.00841259, 139, 285);
INSERT INTO public.ecdc_data VALUES (50942, 0, 81, 21.671441, 140, 285);
INSERT INTO public.ecdc_data VALUES (50943, 0, 2, 0.09192024, 141, 285);
INSERT INTO public.ecdc_data VALUES (50944, 0, 0, 0, 142, 285);
INSERT INTO public.ecdc_data VALUES (50945, 0, 20, 1.50946029, 49, 285);
INSERT INTO public.ecdc_data VALUES (50946, 0, 0, 0.07168618, 99, 285);
INSERT INTO public.ecdc_data VALUES (50947, 0, 0, 0.3334838, 50, 285);
INSERT INTO public.ecdc_data VALUES (50948, 18, 930, 16.87724979, 199, 285);
INSERT INTO public.ecdc_data VALUES (50949, 0, 0, 0, 100, 285);
INSERT INTO public.ecdc_data VALUES (50950, 0, 35, 0.86289488, 51, 285);
INSERT INTO public.ecdc_data VALUES (50951, 15, 553, 13.22009182, 200, 285);
INSERT INTO public.ecdc_data VALUES (50952, 1, 624, 99.78991919, 143, 285);
INSERT INTO public.ecdc_data VALUES (50953, 258, 1243, 31.65778586, 201, 285);
INSERT INTO public.ecdc_data VALUES (50954, 0, 0, 0, 52, 285);
INSERT INTO public.ecdc_data VALUES (50955, 932, 25178, 90.07462804, 101, 285);
INSERT INTO public.ecdc_data VALUES (50956, 0, 0, 1.91242984, 102, 285);
INSERT INTO public.ecdc_data VALUES (50957, 0, 2, 2.33986985, 103, 285);
INSERT INTO public.ecdc_data VALUES (50958, 0, 57, 2.86219198, 144, 285);
INSERT INTO public.ecdc_data VALUES (50959, 0, 58, 4.2116959, 104, 285);
INSERT INTO public.ecdc_data VALUES (50960, 0, 1, 0.00518338, 145, 285);
INSERT INTO public.ecdc_data VALUES (50961, 0, 0, 2.91866538, 53, 285);
INSERT INTO public.ecdc_data VALUES (50962, 8, 16, 0.90529012, 146, 285);
INSERT INTO public.ecdc_data VALUES (50963, 0, 0, 1.06936698, 54, 285);
INSERT INTO public.ecdc_data VALUES (50964, 0, 28, 1.42706214, 55, 285);
INSERT INTO public.ecdc_data VALUES (50965, 5, 330, 5.60436785, 105, 286);
INSERT INTO public.ecdc_data VALUES (50966, 0, 17, 7.37136703, 147, 286);
INSERT INTO public.ecdc_data VALUES (50967, 5, 190, 4.70814451, 1, 286);
INSERT INTO public.ecdc_data VALUES (50968, 1, 1, 44.63289444, 148, 286);
INSERT INTO public.ecdc_data VALUES (50969, 0, 1, 0.03770585, 2, 286);
INSERT INTO public.ecdc_data VALUES (50970, 0, 0, 0, 56, 286);
INSERT INTO public.ecdc_data VALUES (50971, 0, 0, 1.02970705, 57, 286);
INSERT INTO public.ecdc_data VALUES (50972, 4, 133, 4.187074, 58, 286);
INSERT INTO public.ecdc_data VALUES (50973, 0, 163, 44.25694317, 149, 286);
INSERT INTO public.ecdc_data VALUES (50974, 0, 0, 2.82193585, 59, 286);
INSERT INTO public.ecdc_data VALUES (50975, 1, 24, 0.80148553, 202, 286);
INSERT INTO public.ecdc_data VALUES (50976, 6, 17, 8.50004656, 150, 286);
INSERT INTO public.ecdc_data VALUES (50977, 0, 76, 5.77245442, 151, 286);
INSERT INTO public.ecdc_data VALUES (50978, 0, 6, 6.16196731, 60, 286);
INSERT INTO public.ecdc_data VALUES (50979, 0, 187, 106.44883753, 106, 286);
INSERT INTO public.ecdc_data VALUES (50980, 1, 786, 4.62875016, 107, 286);
INSERT INTO public.ecdc_data VALUES (50981, 0, 0, 2.43884594, 61, 286);
INSERT INTO public.ecdc_data VALUES (50982, 4, 861, 123.00568035, 152, 286);
INSERT INTO public.ecdc_data VALUES (50983, 81, 547, 71.52011183, 153, 286);
INSERT INTO public.ecdc_data VALUES (50984, 0, 0, 0, 62, 286);
INSERT INTO public.ecdc_data VALUES (50985, 0, 0, 0.35589749, 3, 286);
INSERT INTO public.ecdc_data VALUES (50986, 0, 0, 27.19651885, 63, 286);
INSERT INTO public.ecdc_data VALUES (50987, 0, 0, 0.13104545, 108, 286);
INSERT INTO public.ecdc_data VALUES (50988, 4, 121, 10.36210745, 64, 286);
INSERT INTO public.ecdc_data VALUES (50989, 0, 0, 0, 65, 286);
INSERT INTO public.ecdc_data VALUES (50990, 1, 20, 18.35808443, 154, 286);
INSERT INTO public.ecdc_data VALUES (50991, 0, 0, 0.13022512, 4, 286);
INSERT INTO public.ecdc_data VALUES (50992, 600, 6935, 33.94274497, 66, 286);
INSERT INTO public.ecdc_data VALUES (50993, 0, 0, 6.65934139, 67, 286);
INSERT INTO public.ecdc_data VALUES (50994, 0, 0, 0, 109, 286);
INSERT INTO public.ecdc_data VALUES (50995, 0, 37, 10.19994317, 155, 286);
INSERT INTO public.ecdc_data VALUES (50996, 2, 16, 0.43304139, 5, 286);
INSERT INTO public.ecdc_data VALUES (50997, 0, 0, 0.11274371, 6, 286);
INSERT INTO public.ecdc_data VALUES (50998, 0, 0, 0, 110, 286);
INSERT INTO public.ecdc_data VALUES (50999, 0, 0, 3.63652004, 7, 286);
INSERT INTO public.ecdc_data VALUES (51000, 189, 1274, 63.17119562, 68, 286);
INSERT INTO public.ecdc_data VALUES (51001, 0, 11, 21.63888162, 8, 286);
INSERT INTO public.ecdc_data VALUES (51002, 0, 0, 13.85723964, 69, 286);
INSERT INTO public.ecdc_data VALUES (51003, 0, 0, 1.68592165, 9, 286);
INSERT INTO public.ecdc_data VALUES (51004, 7, 53, 0.85283129, 10, 286);
INSERT INTO public.ecdc_data VALUES (51005, 5, 1373, 59.01213247, 70, 286);
INSERT INTO public.ecdc_data VALUES (51006, 0, 2, 0.00725353, 111, 286);
INSERT INTO public.ecdc_data VALUES (51007, 20, 640, 8.86779776, 71, 286);
INSERT INTO public.ecdc_data VALUES (51008, 0, 0, 0, 11, 286);
INSERT INTO public.ecdc_data VALUES (51009, 0, 0, 1.31957898, 12, 286);
INSERT INTO public.ecdc_data VALUES (51010, 0, 13, 1.70379318, 72, 286);
INSERT INTO public.ecdc_data VALUES (51011, 1, 32, 2.13092314, 13, 286);
INSERT INTO public.ecdc_data VALUES (51012, 3, 11, 5.00460473, 156, 286);
INSERT INTO public.ecdc_data VALUES (51013, 0, 17, 4.83522984, 73, 286);
INSERT INTO public.ecdc_data VALUES (51014, 0, 0, 1.22381794, 74, 286);
INSERT INTO public.ecdc_data VALUES (51015, 0, 4, 10.73183095, 157, 286);
INSERT INTO public.ecdc_data VALUES (51016, 5, 77, 8.02831978, 158, 286);
INSERT INTO public.ecdc_data VALUES (51017, 0, 21, 0.39866083, 14, 286);
INSERT INTO public.ecdc_data VALUES (51018, 7, 151, 36.61678161, 159, 286);
INSERT INTO public.ecdc_data VALUES (51019, 0, 4, 17.97532142, 15, 286);
INSERT INTO public.ecdc_data VALUES (51020, 0, 0, 0, 75, 286);
INSERT INTO public.ecdc_data VALUES (51021, 8, 245, 31.99565842, 76, 286);
INSERT INTO public.ecdc_data VALUES (51022, 0, 0, 123.6527232, 77, 286);
INSERT INTO public.ecdc_data VALUES (51023, 16, 388, 3.69665417, 16, 286);
INSERT INTO public.ecdc_data VALUES (51024, 1, 0, 5.6093158, 78, 286);
INSERT INTO public.ecdc_data VALUES (51025, 2, 124, 26.54902499, 17, 286);
INSERT INTO public.ecdc_data VALUES (51026, 0, 0, 0, 18, 286);
INSERT INTO public.ecdc_data VALUES (51027, 0, 8, 12.00163041, 160, 286);
INSERT INTO public.ecdc_data VALUES (51028, 0, 0, 8.01300895, 19, 286);
INSERT INTO public.ecdc_data VALUES (51029, 1, 5, 0.02765913, 20, 286);
INSERT INTO public.ecdc_data VALUES (51030, 0, 0, 29.65599051, 79, 286);
INSERT INTO public.ecdc_data VALUES (51031, 0, 0, 4.10871664, 161, 286);
INSERT INTO public.ecdc_data VALUES (51032, 0, 0, 0, 203, 286);
INSERT INTO public.ecdc_data VALUES (51033, 6, 85, 25.33563831, 162, 286);
INSERT INTO public.ecdc_data VALUES (51034, 330, 1104, 23.34327267, 163, 286);
INSERT INTO public.ecdc_data VALUES (51035, 0, 2, 1.07417155, 204, 286);
INSERT INTO public.ecdc_data VALUES (51036, 0, 30, 11.09281232, 21, 286);
INSERT INTO public.ecdc_data VALUES (51037, 0, 0, 0.29816467, 22, 286);
INSERT INTO public.ecdc_data VALUES (51038, 0, 11, 4.90396976, 164, 286);
INSERT INTO public.ecdc_data VALUES (51039, 165, 947, 23.02238158, 165, 286);
INSERT INTO public.ecdc_data VALUES (51040, 0, 0, 5.51320872, 23, 286);
INSERT INTO public.ecdc_data VALUES (51041, 0, 0, 32.63513914, 166, 286);
INSERT INTO public.ecdc_data VALUES (51042, 0, 10, 2.24717027, 167, 286);
INSERT INTO public.ecdc_data VALUES (51043, 0, 0, 0, 80, 286);
INSERT INTO public.ecdc_data VALUES (51044, 0, 0, 6.24988839, 81, 286);
INSERT INTO public.ecdc_data VALUES (51045, 0, 0, 7.77070444, 205, 286);
INSERT INTO public.ecdc_data VALUES (51046, 0, 33, 2.54244865, 82, 286);
INSERT INTO public.ecdc_data VALUES (51047, 0, 0, 20.16504312, 168, 286);
INSERT INTO public.ecdc_data VALUES (51048, 1, 101, 8.79319058, 24, 286);
INSERT INTO public.ecdc_data VALUES (51049, 0, 62, 22.12484975, 25, 286);
INSERT INTO public.ecdc_data VALUES (51050, 1, 1, 3.3215164, 83, 286);
INSERT INTO public.ecdc_data VALUES (51051, 1, 1, 0.38177838, 84, 286);
INSERT INTO public.ecdc_data VALUES (51052, 0, 0, 245.39877301, 169, 286);
INSERT INTO public.ecdc_data VALUES (51053, 11, 92, 7.79797899, 85, 286);
INSERT INTO public.ecdc_data VALUES (51054, 10, 46, 9.64927396, 170, 286);
INSERT INTO public.ecdc_data VALUES (51055, 0, 0, 5.88250124, 171, 286);
INSERT INTO public.ecdc_data VALUES (51056, 126, 2958, 2.15212367, 112, 286);
INSERT INTO public.ecdc_data VALUES (51057, 8, 484, 1.82392228, 113, 286);
INSERT INTO public.ecdc_data VALUES (51058, 63, 1323, 18.29367727, 114, 286);
INSERT INTO public.ecdc_data VALUES (51059, 4, 85, 2.10888947, 115, 286);
INSERT INTO public.ecdc_data VALUES (51060, 20, 261, 121.18085575, 172, 286);
INSERT INTO public.ecdc_data VALUES (51061, 0, 1, 22.46154937, 173, 286);
INSERT INTO public.ecdc_data VALUES (51062, 3, 43, 27.54897573, 116, 286);
INSERT INTO public.ecdc_data VALUES (51063, 236, 1075, 48.1382017, 174, 286);
INSERT INTO public.ecdc_data VALUES (51064, 0, 2, 8.14034774, 86, 286);
INSERT INTO public.ecdc_data VALUES (51065, 22, 123, 3.04114055, 117, 286);
INSERT INTO public.ecdc_data VALUES (51066, 0, 0, 35.25177187, 175, 286);
INSERT INTO public.ecdc_data VALUES (51067, 0, 6, 0.45536903, 118, 286);
INSERT INTO public.ecdc_data VALUES (51068, 0, 156, 12.13922723, 119, 286);
INSERT INTO public.ecdc_data VALUES (51069, 0, 45, 0.48312885, 26, 286);
INSERT INTO public.ecdc_data VALUES (51070, 0, 1, 14.01162965, 176, 286);
INSERT INTO public.ecdc_data VALUES (51071, 0, 526, 88.51751465, 120, 286);
INSERT INTO public.ecdc_data VALUES (51072, 1, 28, 4.03687679, 121, 286);
INSERT INTO public.ecdc_data VALUES (51073, 0, 0, 0, 122, 286);
INSERT INTO public.ecdc_data VALUES (51074, 1, 0, 7.70846181, 177, 286);
INSERT INTO public.ecdc_data VALUES (51075, 0, 1, 0.93352854, 123, 286);
INSERT INTO public.ecdc_data VALUES (51076, 2, 4, 1.39750402, 28, 286);
INSERT INTO public.ecdc_data VALUES (51077, 0, 0, 0.17705766, 29, 286);
INSERT INTO public.ecdc_data VALUES (51078, 0, 0, 2.60565949, 178, 286);
INSERT INTO public.ecdc_data VALUES (51079, 0, 4, 1.89679706, 179, 286);
INSERT INTO public.ecdc_data VALUES (51080, 0, 12, 36.16259485, 180, 286);
INSERT INTO public.ecdc_data VALUES (51081, 0, 9, 0.137193, 30, 286);
INSERT INTO public.ecdc_data VALUES (51082, 0, 0, 0.12346508, 31, 286);
INSERT INTO public.ecdc_data VALUES (51083, 1, 30, 2.82004992, 124, 286);
INSERT INTO public.ecdc_data VALUES (51084, 0, 22, 91.90951433, 125, 286);
INSERT INTO public.ecdc_data VALUES (51085, 3, 32, 1.80079146, 32, 286);
INSERT INTO public.ecdc_data VALUES (51086, 1, 3, 7.90179087, 181, 286);
INSERT INTO public.ecdc_data VALUES (51087, 0, 0, 0.02209604, 33, 286);
INSERT INTO public.ecdc_data VALUES (51088, 0, 0, 0.31504249, 34, 286);
INSERT INTO public.ecdc_data VALUES (51089, 236, 2082, 17.24547033, 87, 286);
INSERT INTO public.ecdc_data VALUES (51090, 4, 115, 43.25719506, 182, 286);
INSERT INTO public.ecdc_data VALUES (51091, 0, 0, 3.02251776, 183, 286);
INSERT INTO public.ecdc_data VALUES (51092, 0, 0, 0.18603694, 126, 286);
INSERT INTO public.ecdc_data VALUES (51093, 0, 1, 1.76797143, 184, 286);
INSERT INTO public.ecdc_data VALUES (51094, 0, 0, 0, 88, 286);
INSERT INTO public.ecdc_data VALUES (51095, 2, 176, 5.51111235, 35, 286);
INSERT INTO public.ecdc_data VALUES (51096, 0, 1, 0.13831239, 36, 286);
INSERT INTO public.ecdc_data VALUES (51097, 0, 0, 0.07401182, 127, 286);
INSERT INTO public.ecdc_data VALUES (51098, 0, 0, 0, 37, 286);
INSERT INTO public.ecdc_data VALUES (51099, 0, 0, 0.13981753, 128, 286);
INSERT INTO public.ecdc_data VALUES (51100, 86, 317, 40.2322325, 185, 286);
INSERT INTO public.ecdc_data VALUES (51101, 0, 0, 0, 207, 286);
INSERT INTO public.ecdc_data VALUES (51102, 1, 1, 0.54358484, 208, 286);
INSERT INTO public.ecdc_data VALUES (51103, 0, 1, 0.09166599, 89, 286);
INSERT INTO public.ecdc_data VALUES (51104, 1, 8, 0.46330617, 38, 286);
INSERT INTO public.ecdc_data VALUES (51105, 5, 148, 1.07880231, 39, 286);
INSERT INTO public.ecdc_data VALUES (51106, 1, 8, 14.20227506, 186, 286);
INSERT INTO public.ecdc_data VALUES (51107, 0, 0, 0, 209, 286);
INSERT INTO public.ecdc_data VALUES (51108, 1, 56, 13.83203221, 187, 286);
INSERT INTO public.ecdc_data VALUES (51109, 0, 98, 24.66335624, 129, 286);
INSERT INTO public.ecdc_data VALUES (51110, 40, 1049, 5.91091878, 130, 286);
INSERT INTO public.ecdc_data VALUES (51111, 0, 14, 4.19558913, 131, 286);
INSERT INTO public.ecdc_data VALUES (51112, 7, 136, 63.62976988, 90, 286);
INSERT INTO public.ecdc_data VALUES (51113, 0, 0, 0.01139456, 210, 286);
INSERT INTO public.ecdc_data VALUES (51114, 0, 16, 3.09455176, 91, 286);
INSERT INTO public.ecdc_data VALUES (51115, 100, 3817, 102.58851443, 92, 286);
INSERT INTO public.ecdc_data VALUES (51116, 14, 199, 2.85340028, 132, 286);
INSERT INTO public.ecdc_data VALUES (51117, 18, 425, 12.04809378, 188, 286);
INSERT INTO public.ecdc_data VALUES (51118, 11, 178, 42.06637262, 189, 286);
INSERT INTO public.ecdc_data VALUES (51119, 2, 81, 22.90853902, 93, 286);
INSERT INTO public.ecdc_data VALUES (51120, 0, 951, 374.60219041, 133, 286);
INSERT INTO public.ecdc_data VALUES (51121, 24, 325, 23.6679283, 190, 286);
INSERT INTO public.ecdc_data VALUES (51122, 95, 10102, 70.34031008, 191, 286);
INSERT INTO public.ecdc_data VALUES (51123, 0, 0, 0.87907298, 40, 286);
INSERT INTO public.ecdc_data VALUES (51124, 0, 0, 0, 94, 286);
INSERT INTO public.ecdc_data VALUES (51125, 0, 0, 1.64118275, 95, 286);
INSERT INTO public.ecdc_data VALUES (51126, 0, 0, 4.5210818, 96, 286);
INSERT INTO public.ecdc_data VALUES (51127, 0, 7, 327.98304937, 192, 286);
INSERT INTO public.ecdc_data VALUES (51128, 0, 0, 79.0521186, 41, 286);
INSERT INTO public.ecdc_data VALUES (51129, 9, 1595, 54.33556836, 134, 286);
INSERT INTO public.ecdc_data VALUES (51130, 1, 58, 5.62702277, 42, 286);
INSERT INTO public.ecdc_data VALUES (51131, 3, 120, 40.02145966, 193, 286);
INSERT INTO public.ecdc_data VALUES (51132, 0, 0, 0, 43, 286);
INSERT INTO public.ecdc_data VALUES (51133, 2, 21, 1.90702742, 44, 286);
INSERT INTO public.ecdc_data VALUES (51134, 0, 632, 177.19490388, 135, 286);
INSERT INTO public.ecdc_data VALUES (51135, 1, 0, 18.87282078, 97, 286);
INSERT INTO public.ecdc_data VALUES (51136, 0, 8, 4.07307986, 194, 286);
INSERT INTO public.ecdc_data VALUES (51137, 1, 3, 5.19004204, 195, 286);
INSERT INTO public.ecdc_data VALUES (51138, 3, 79, 3.55503038, 45, 286);
INSERT INTO public.ecdc_data VALUES (51139, 10, 352, 7.01352723, 46, 286);
INSERT INTO public.ecdc_data VALUES (51140, 1, 2, 0.21864187, 136, 286);
INSERT INTO public.ecdc_data VALUES (51141, 0, 6, 0.43391345, 47, 286);
INSERT INTO public.ecdc_data VALUES (51142, 244, 880, 43.44328341, 196, 286);
INSERT INTO public.ecdc_data VALUES (51143, 1, 16, 2.16191029, 137, 286);
INSERT INTO public.ecdc_data VALUES (51144, 4, 100, 1.56727229, 48, 286);
INSERT INTO public.ecdc_data VALUES (51145, 0, 0, 0, 98, 286);
INSERT INTO public.ecdc_data VALUES (51146, 72, 657, 78.67892907, 197, 286);
INSERT INTO public.ecdc_data VALUES (51147, 6, 28, 22.76310906, 198, 286);
INSERT INTO public.ecdc_data VALUES (51148, 0, 0, 0.01171637, 138, 286);
INSERT INTO public.ecdc_data VALUES (51149, 0, 0, 0.05468186, 139, 286);
INSERT INTO public.ecdc_data VALUES (51150, 2, 63, 0, 140, 286);
INSERT INTO public.ecdc_data VALUES (51151, 0, 1, 0.25421691, 141, 286);
INSERT INTO public.ecdc_data VALUES (51152, 0, 0, 0.07733234, 142, 286);
INSERT INTO public.ecdc_data VALUES (51153, 0, 2, 0.51965027, 49, 286);
INSERT INTO public.ecdc_data VALUES (51154, 0, 0, 0.07168618, 99, 286);
INSERT INTO public.ecdc_data VALUES (51155, 0, 4, 1.03465487, 50, 286);
INSERT INTO public.ecdc_data VALUES (51156, 59, 1832, 41.33950634, 199, 286);
INSERT INTO public.ecdc_data VALUES (51157, 0, 0, 2.61821228, 100, 286);
INSERT INTO public.ecdc_data VALUES (51158, 0, 1, 0.09035548, 51, 286);
INSERT INTO public.ecdc_data VALUES (51159, 13, 366, 14.93852191, 200, 286);
INSERT INTO public.ecdc_data VALUES (51160, 9, 462, 74.99084491, 143, 286);
INSERT INTO public.ecdc_data VALUES (51161, 726, 3389, 92.69118818, 201, 286);
INSERT INTO public.ecdc_data VALUES (51162, 0, 0, 0.38961849, 52, 286);
INSERT INTO public.ecdc_data VALUES (51163, 2144, 23841, 115.30673141, 101, 286);
INSERT INTO public.ecdc_data VALUES (51164, 0, 0, 11.47457903, 102, 286);
INSERT INTO public.ecdc_data VALUES (51165, 0, 13, 3.66868483, 103, 286);
INSERT INTO public.ecdc_data VALUES (51166, 0, 18, 1.56147126, 144, 286);
INSERT INTO public.ecdc_data VALUES (51167, 0, 6, 0.28755959, 104, 286);
INSERT INTO public.ecdc_data VALUES (51168, 0, 0, 0.00311003, 145, 286);
INSERT INTO public.ecdc_data VALUES (51169, 0, 0, 0, 53, 286);
INSERT INTO public.ecdc_data VALUES (51170, 1, 9, 0.06858259, 146, 286);
INSERT INTO public.ecdc_data VALUES (51171, 1, 2, 0.41430972, 54, 286);
INSERT INTO public.ecdc_data VALUES (51172, 0, 0, 0.04096829, 55, 286);
INSERT INTO public.ecdc_data VALUES (51173, 2, 29, 0.69660295, 105, 287);
INSERT INTO public.ecdc_data VALUES (51174, 2, 28, 9.50242574, 147, 287);
INSERT INTO public.ecdc_data VALUES (51175, 22, 69, 2.59911875, 1, 287);
INSERT INTO public.ecdc_data VALUES (51176, 1, 35, 509.34008953, 148, 287);
INSERT INTO public.ecdc_data VALUES (51177, 0, 4, 0.03770585, 2, 287);
INSERT INTO public.ecdc_data VALUES (51178, 0, 0, 0, 56, 287);
INSERT INTO public.ecdc_data VALUES (51179, 0, 0, 14.41589868, 57, 287);
INSERT INTO public.ecdc_data VALUES (51180, 3, 103, 2.8762407, 58, 287);
INSERT INTO public.ecdc_data VALUES (51181, 1, 11, 21.60442069, 149, 287);
INSERT INTO public.ecdc_data VALUES (51182, 0, 0, 58.32000753, 59, 287);
INSERT INTO public.ecdc_data VALUES (51183, 2, 57, 16.00987176, 202, 287);
INSERT INTO public.ecdc_data VALUES (51184, 18, 217, 94.27940093, 150, 287);
INSERT INTO public.ecdc_data VALUES (51185, 2, 63, 5.16535146, 151, 287);
INSERT INTO public.ecdc_data VALUES (51186, 1, 1, 6.41871595, 60, 287);
INSERT INTO public.ecdc_data VALUES (51187, 0, 12, 22.30124473, 106, 287);
INSERT INTO public.ecdc_data VALUES (51188, 1, 18, 0.03741271, 107, 287);
INSERT INTO public.ecdc_data VALUES (51189, 1, 5, 13.58785594, 61, 287);
INSERT INTO public.ecdc_data VALUES (51190, 3, 170, 5.16270508, 152, 287);
INSERT INTO public.ecdc_data VALUES (51191, 247, 667, 154.126583, 153, 287);
INSERT INTO public.ecdc_data VALUES (51192, 1, 1, 1.28089847, 62, 287);
INSERT INTO public.ecdc_data VALUES (51193, 0, 6, 0.16947499, 3, 287);
INSERT INTO public.ecdc_data VALUES (51194, 0, 0, 49.59365201, 63, 287);
INSERT INTO public.ecdc_data VALUES (51195, 0, 0, 0.39313636, 108, 287);
INSERT INTO public.ecdc_data VALUES (51196, 1, 26, 1.35497801, 64, 287);
INSERT INTO public.ecdc_data VALUES (51197, 0, 0, 0, 65, 287);
INSERT INTO public.ecdc_data VALUES (51198, 3, 31, 16.29810136, 154, 287);
INSERT INTO public.ecdc_data VALUES (51199, 0, 2, 0, 4, 287);
INSERT INTO public.ecdc_data VALUES (51200, 54, 852, 4.54111435, 66, 287);
INSERT INTO public.ecdc_data VALUES (51201, 0, 0, 0, 67, 287);
INSERT INTO public.ecdc_data VALUES (51202, 0, 0, 10.84708836, 109, 287);
INSERT INTO public.ecdc_data VALUES (51203, 3, 28, 4.9428296, 155, 287);
INSERT INTO public.ecdc_data VALUES (51204, 1, 43, 1.3827799, 5, 287);
INSERT INTO public.ecdc_data VALUES (51205, 0, 0, 0, 6, 287);
INSERT INTO public.ecdc_data VALUES (51206, 0, 0, 0.16983549, 110, 287);
INSERT INTO public.ecdc_data VALUES (51207, 0, 95, 2.40760041, 7, 287);
INSERT INTO public.ecdc_data VALUES (51208, 49, 1614, 37.59852908, 68, 287);
INSERT INTO public.ecdc_data VALUES (51209, 0, 0, 0.72735737, 8, 287);
INSERT INTO public.ecdc_data VALUES (51210, 0, 4, 55.42895855, 69, 287);
INSERT INTO public.ecdc_data VALUES (51211, 0, 0, 0.1053701, 9, 287);
INSERT INTO public.ecdc_data VALUES (51212, 0, 1, 0.04389573, 10, 287);
INSERT INTO public.ecdc_data VALUES (51213, 7, 310, 20.25639991, 70, 287);
INSERT INTO public.ecdc_data VALUES (51214, 2, 67, 0.08076532, 111, 287);
INSERT INTO public.ecdc_data VALUES (51215, 3, 79, 2.48314229, 71, 287);
INSERT INTO public.ecdc_data VALUES (51216, 0, 0, 0.7620104, 12, 287);
INSERT INTO public.ecdc_data VALUES (51217, 0, 19, 6.33969555, 72, 287);
INSERT INTO public.ecdc_data VALUES (51218, 1, 16, 0.91769683, 13, 287);
INSERT INTO public.ecdc_data VALUES (51219, 3, 56, 23.23216018, 156, 287);
INSERT INTO public.ecdc_data VALUES (51220, 2, 32, 2.51467245, 73, 287);
INSERT INTO public.ecdc_data VALUES (51221, 0, 0, 6.7309987, 74, 287);
INSERT INTO public.ecdc_data VALUES (51222, 0, 20, 40.07311345, 157, 287);
INSERT INTO public.ecdc_data VALUES (51223, 8, 115, 32.13205882, 158, 287);
INSERT INTO public.ecdc_data VALUES (51224, 0, 0, 0.14748146, 14, 287);
INSERT INTO public.ecdc_data VALUES (51225, 18, 292, 51.22215829, 159, 287);
INSERT INTO public.ecdc_data VALUES (51226, 0, 8, 5.9575351, 15, 287);
INSERT INTO public.ecdc_data VALUES (51227, 0, 0, 18.10383244, 75, 287);
INSERT INTO public.ecdc_data VALUES (51228, 5, 167, 14.36824824, 76, 287);
INSERT INTO public.ecdc_data VALUES (51229, 8, 181, 16.44443654, 77, 287);
INSERT INTO public.ecdc_data VALUES (51230, 5, 85, 0.77300017, 16, 287);
INSERT INTO public.ecdc_data VALUES (51231, 0, 7, 1.02269294, 78, 287);
INSERT INTO public.ecdc_data VALUES (51232, 0, 0, 0.73747292, 17, 287);
INSERT INTO public.ecdc_data VALUES (51233, 0, 0, 0.80065951, 18, 287);
INSERT INTO public.ecdc_data VALUES (51234, 2, 79, 58.1965852, 160, 287);
INSERT INTO public.ecdc_data VALUES (51235, 0, 0, 0.43548962, 19, 287);
INSERT INTO public.ecdc_data VALUES (51236, 2, 5, 0.02855136, 20, 287);
INSERT INTO public.ecdc_data VALUES (51237, 0, 1, 0, 79, 287);
INSERT INTO public.ecdc_data VALUES (51238, 0, 0, 135.5876492, 161, 287);
INSERT INTO public.ecdc_data VALUES (51239, 0, 2, 1.23601755, 203, 287);
INSERT INTO public.ecdc_data VALUES (51240, 2, 45, 23.57772921, 162, 287);
INSERT INTO public.ecdc_data VALUES (51241, 518, 1873, 81.2679556, 163, 287);
INSERT INTO public.ecdc_data VALUES (51242, 0, 1, 8.23531518, 204, 287);
INSERT INTO public.ecdc_data VALUES (51243, 0, 0, 0.690424, 21, 287);
INSERT INTO public.ecdc_data VALUES (51244, 0, 0, 0.12778486, 22, 287);
INSERT INTO public.ecdc_data VALUES (51245, 2, 17, 3.00243047, 164, 287);
INSERT INTO public.ecdc_data VALUES (51246, 92, 3677, 85.0610328, 165, 287);
INSERT INTO public.ecdc_data VALUES (51247, 0, 0, 0.62463307, 23, 287);
INSERT INTO public.ecdc_data VALUES (51248, 0, 5, 261.08111315, 166, 287);
INSERT INTO public.ecdc_data VALUES (51249, 5, 62, 10.35936169, 167, 287);
INSERT INTO public.ecdc_data VALUES (51250, 0, 1, 15.88422167, 80, 287);
INSERT INTO public.ecdc_data VALUES (51251, 0, 0, 9.82125319, 81, 287);
INSERT INTO public.ecdc_data VALUES (51252, 0, 17, 49.61295914, 205, 287);
INSERT INTO public.ecdc_data VALUES (51253, 1, 9, 0.29007803, 82, 287);
INSERT INTO public.ecdc_data VALUES (51254, 1, 18, 212.50853136, 168, 287);
INSERT INTO public.ecdc_data VALUES (51255, 0, 10, 0.93178066, 24, 287);
INSERT INTO public.ecdc_data VALUES (51256, 0, 0, 0, 25, 287);
INSERT INTO public.ecdc_data VALUES (51257, 0, 5, 3.06601514, 83, 287);
INSERT INTO public.ecdc_data VALUES (51258, 0, 0, 0.16869277, 84, 287);
INSERT INTO public.ecdc_data VALUES (51259, 0, 0, 736.19631902, 169, 287);
INSERT INTO public.ecdc_data VALUES (51260, 0, 30, 2.78059514, 85, 287);
INSERT INTO public.ecdc_data VALUES (51261, 4, 11, 5.90416869, 170, 287);
INSERT INTO public.ecdc_data VALUES (51262, 0, 69, 257.1493399, 171, 287);
INSERT INTO public.ecdc_data VALUES (51263, 32, 693, 0.26551177, 112, 287);
INSERT INTO public.ecdc_data VALUES (51264, 7, 181, 0.64997554, 113, 287);
INSERT INTO public.ecdc_data VALUES (51265, 151, 2483, 44.12770728, 114, 287);
INSERT INTO public.ecdc_data VALUES (51266, 5, 83, 1.85195601, 115, 287);
INSERT INTO public.ecdc_data VALUES (51267, 21, 507, 85.74213334, 172, 287);
INSERT INTO public.ecdc_data VALUES (51268, 0, 1, 147.77335114, 173, 287);
INSERT INTO public.ecdc_data VALUES (51269, 3, 412, 86.37959624, 116, 287);
INSERT INTO public.ecdc_data VALUES (51270, 527, 4316, 115.65693354, 174, 287);
INSERT INTO public.ecdc_data VALUES (51271, 0, 3, 1.32280651, 86, 287);
INSERT INTO public.ecdc_data VALUES (51272, 3, 383, 2.02190916, 117, 287);
INSERT INTO public.ecdc_data VALUES (51273, 0, 32, 129.87494898, 175, 287);
INSERT INTO public.ecdc_data VALUES (51274, 0, 22, 2.4352344, 118, 287);
INSERT INTO public.ecdc_data VALUES (51275, 2, 71, 2.53888811, 119, 287);
INSERT INTO public.ecdc_data VALUES (51276, 0, 16, 0.24156442, 26, 287);
INSERT INTO public.ecdc_data VALUES (51277, 0, 10, 7.33942506, 176, 287);
INSERT INTO public.ecdc_data VALUES (51278, 0, 77, 8.74716579, 120, 287);
INSERT INTO public.ecdc_data VALUES (51279, 3, 72, 3.14845217, 121, 287);
INSERT INTO public.ecdc_data VALUES (51280, 0, 1, 0, 122, 287);
INSERT INTO public.ecdc_data VALUES (51281, 0, 24, 20.52117535, 177, 287);
INSERT INTO public.ecdc_data VALUES (51282, 1, 7, 4.06960097, 123, 287);
INSERT INTO public.ecdc_data VALUES (51283, 2, 3, 0.20253681, 28, 287);
INSERT INTO public.ecdc_data VALUES (51284, 0, 0, 0, 29, 287);
INSERT INTO public.ecdc_data VALUES (51285, 0, 1, 83.38110376, 178, 287);
INSERT INTO public.ecdc_data VALUES (51286, 4, 40, 23.9068007, 179, 287);
INSERT INTO public.ecdc_data VALUES (51287, 5, 75, 326.76651018, 180, 287);
INSERT INTO public.ecdc_data VALUES (51288, 0, 1, 0.25584641, 30, 287);
INSERT INTO public.ecdc_data VALUES (51289, 0, 0, 0, 31, 287);
INSERT INTO public.ecdc_data VALUES (51290, 4, 179, 7.37407061, 124, 287);
INSERT INTO public.ecdc_data VALUES (51291, 0, 0, 1.13003501, 125, 287);
INSERT INTO public.ecdc_data VALUES (51292, 2, 4, 0, 32, 287);
INSERT INTO public.ecdc_data VALUES (51293, 0, 14, 27.14974299, 181, 287);
INSERT INTO public.ecdc_data VALUES (51294, 0, 0, 0.08838416, 33, 287);
INSERT INTO public.ecdc_data VALUES (51295, 0, 31, 15.67336394, 34, 287);
INSERT INTO public.ecdc_data VALUES (51296, 15, 237, 2.58983837, 87, 287);
INSERT INTO public.ecdc_data VALUES (51297, 3, 112, 19.04404814, 182, 287);
INSERT INTO public.ecdc_data VALUES (51298, 0, 3, 93.69805048, 183, 287);
INSERT INTO public.ecdc_data VALUES (51299, 0, 0, 0.12402462, 126, 287);
INSERT INTO public.ecdc_data VALUES (51300, 0, 13, 31.01986236, 184, 287);
INSERT INTO public.ecdc_data VALUES (51301, 0, 0, 100.18032458, 88, 287);
INSERT INTO public.ecdc_data VALUES (51302, 11, 102, 2.48411333, 35, 287);
INSERT INTO public.ecdc_data VALUES (51303, 0, 0, 0.02963837, 36, 287);
INSERT INTO public.ecdc_data VALUES (51304, 0, 0, 0.03885621, 127, 287);
INSERT INTO public.ecdc_data VALUES (51305, 0, 2, 0.52114151, 37, 287);
INSERT INTO public.ecdc_data VALUES (51306, 0, 3, 0.02796351, 128, 287);
INSERT INTO public.ecdc_data VALUES (51307, 115, 1224, 78.96581001, 185, 287);
INSERT INTO public.ecdc_data VALUES (51308, 0, 0, 4.59758733, 207, 287);
INSERT INTO public.ecdc_data VALUES (51309, 0, 39, 16.91385142, 208, 287);
INSERT INTO public.ecdc_data VALUES (51310, 0, 0, 0.04583299, 89, 287);
INSERT INTO public.ecdc_data VALUES (51311, 5, 64, 0.78504657, 38, 287);
INSERT INTO public.ecdc_data VALUES (51312, 1, 22, 0.10051571, 39, 287);
INSERT INTO public.ecdc_data VALUES (51313, 0, 0, 17.76487965, 186, 287);
INSERT INTO public.ecdc_data VALUES (51314, 0, 0, 0, 209, 287);
INSERT INTO public.ecdc_data VALUES (51315, 8, 130, 65.83822115, 187, 287);
INSERT INTO public.ecdc_data VALUES (51316, 0, 21, 4.88442996, 129, 287);
INSERT INTO public.ecdc_data VALUES (51317, 15, 827, 1.15115386, 130, 287);
INSERT INTO public.ecdc_data VALUES (51318, 0, 62, 3.31230721, 131, 287);
INSERT INTO public.ecdc_data VALUES (51319, 8, 187, 39.44480553, 90, 287);
INSERT INTO public.ecdc_data VALUES (51320, 0, 0, 0, 210, 287);
INSERT INTO public.ecdc_data VALUES (51321, 2, 9, 1.29176243, 91, 287);
INSERT INTO public.ecdc_data VALUES (51322, 10, 535, 5.89963932, 92, 287);
INSERT INTO public.ecdc_data VALUES (51323, 8, 152, 2.65084124, 132, 287);
INSERT INTO public.ecdc_data VALUES (51324, 15, 475, 9.1328501, 188, 287);
INSERT INTO public.ecdc_data VALUES (51325, 29, 754, 94.1749605, 189, 287);
INSERT INTO public.ecdc_data VALUES (51326, 2, 23, 0, 93, 287);
INSERT INTO public.ecdc_data VALUES (51327, 1, 279, 39.19393264, 133, 287);
INSERT INTO public.ecdc_data VALUES (51328, 7, 251, 17.67239652, 190, 287);
INSERT INTO public.ecdc_data VALUES (51329, 2, 658, 3.44273819, 191, 287);
INSERT INTO public.ecdc_data VALUES (51330, 0, 2, 0.67316399, 40, 287);
INSERT INTO public.ecdc_data VALUES (51331, 0, 0, 0, 94, 287);
INSERT INTO public.ecdc_data VALUES (51332, 0, 0, 6.56473098, 95, 287);
INSERT INTO public.ecdc_data VALUES (51333, 0, 0, 6.32951453, 96, 287);
INSERT INTO public.ecdc_data VALUES (51334, 0, 7, 333.78805909, 192, 287);
INSERT INTO public.ecdc_data VALUES (51335, 5, 206, 5.46857439, 134, 287);
INSERT INTO public.ecdc_data VALUES (51336, 0, 3, 0.95113253, 42, 287);
INSERT INTO public.ecdc_data VALUES (51337, 7, 284, 24.69928619, 193, 287);
INSERT INTO public.ecdc_data VALUES (51338, 0, 0, 3.06933631, 43, 287);
INSERT INTO public.ecdc_data VALUES (51339, 0, 2, 0, 44, 287);
INSERT INTO public.ecdc_data VALUES (51340, 0, 120, 14.71312085, 135, 287);
INSERT INTO public.ecdc_data VALUES (51341, 2, 2, 0, 97, 287);
INSERT INTO public.ecdc_data VALUES (51342, 0, 14, 5.50416197, 194, 287);
INSERT INTO public.ecdc_data VALUES (51343, 6, 20, 28.01661582, 195, 287);
INSERT INTO public.ecdc_data VALUES (51344, 0, 0, 0.03885279, 45, 287);
INSERT INTO public.ecdc_data VALUES (51345, 2, 70, 2.35833482, 46, 287);
INSERT INTO public.ecdc_data VALUES (51346, 3, 47, 2.5827071, 136, 287);
INSERT INTO public.ecdc_data VALUES (51347, 0, 1, 0, 47, 287);
INSERT INTO public.ecdc_data VALUES (51348, 674, 3667, 215.47152719, 196, 287);
INSERT INTO public.ecdc_data VALUES (51349, 0, 7, 0.3704792, 137, 287);
INSERT INTO public.ecdc_data VALUES (51350, 0, 2, 0.02335726, 48, 287);
INSERT INTO public.ecdc_data VALUES (51351, 0, 0, 0.86004785, 98, 287);
INSERT INTO public.ecdc_data VALUES (51352, 85, 340, 48.52307167, 197, 287);
INSERT INTO public.ecdc_data VALUES (51353, 19, 821, 164.44444496, 198, 287);
INSERT INTO public.ecdc_data VALUES (51354, 0, 3, 0.10544734, 138, 287);
INSERT INTO public.ecdc_data VALUES (51355, 0, 0, 0.83284677, 139, 287);
INSERT INTO public.ecdc_data VALUES (51356, 3, 51, 2.15294433, 141, 287);
INSERT INTO public.ecdc_data VALUES (51357, 0, 0, 0, 142, 287);
INSERT INTO public.ecdc_data VALUES (51358, 0, 3, 0.35880614, 49, 287);
INSERT INTO public.ecdc_data VALUES (51359, 1, 1, 3.87105377, 99, 287);
INSERT INTO public.ecdc_data VALUES (51360, 1, 58, 4.08731427, 50, 287);
INSERT INTO public.ecdc_data VALUES (51361, 73, 3135, 31.50216718, 199, 287);
INSERT INTO public.ecdc_data VALUES (51362, 1, 0, 0, 100, 287);
INSERT INTO public.ecdc_data VALUES (51363, 0, 4, 0.11520324, 51, 287);
INSERT INTO public.ecdc_data VALUES (51364, 5, 83, 2.86632321, 200, 287);
INSERT INTO public.ecdc_data VALUES (51365, 0, 278, 16.68282752, 143, 287);
INSERT INTO public.ecdc_data VALUES (51366, 599, 4020, 72.3902335, 201, 287);
INSERT INTO public.ecdc_data VALUES (51367, 0, 1, 0.01723976, 52, 287);
INSERT INTO public.ecdc_data VALUES (51368, 1146, 25398, 91.90557376, 101, 287);
INSERT INTO public.ecdc_data VALUES (51369, 1, 2, 0, 102, 287);
INSERT INTO public.ecdc_data VALUES (51370, 1, 17, 7.19293325, 103, 287);
INSERT INTO public.ecdc_data VALUES (51371, 0, 76, 0.89746698, 144, 287);
INSERT INTO public.ecdc_data VALUES (51372, 0, 4, 0.39276431, 104, 287);
INSERT INTO public.ecdc_data VALUES (51373, 0, 4, 0.12854789, 145, 287);
INSERT INTO public.ecdc_data VALUES (51374, 0, 0, 0.20155608, 54, 287);
INSERT INTO public.ecdc_data VALUES (51375, 0, 0, 0.04779634, 55, 287);
INSERT INTO public.ecdc_data VALUES (51376, 0, 5, 0.03948617, 1, 288);
INSERT INTO public.ecdc_data VALUES (51377, 0, 1, 0, 58, 288);
INSERT INTO public.ecdc_data VALUES (51378, 0, 7, 0.16664551, 202, 288);
INSERT INTO public.ecdc_data VALUES (51379, 0, 12, 0.46281794, 150, 288);
INSERT INTO public.ecdc_data VALUES (51380, 0, 3, 0.05971505, 151, 288);
INSERT INTO public.ecdc_data VALUES (51381, 0, 0, 3.16848286, 106, 288);
INSERT INTO public.ecdc_data VALUES (51382, 0, 81, 1.08244768, 153, 288);
INSERT INTO public.ecdc_data VALUES (51383, 0, 1, 0, 108, 288);
INSERT INTO public.ecdc_data VALUES (51384, 0, 2, 0, 154, 288);
INSERT INTO public.ecdc_data VALUES (51385, 0, 5, 0.00379058, 66, 288);
INSERT INTO public.ecdc_data VALUES (51386, 0, 12, 0.09622828, 68, 288);
INSERT INTO public.ecdc_data VALUES (51387, 0, 1, 0, 70, 288);
INSERT INTO public.ecdc_data VALUES (51388, 30, 170, 0.35737608, 111, 288);
INSERT INTO public.ecdc_data VALUES (51389, 0, 1, 0.24532376, 156, 288);
INSERT INTO public.ecdc_data VALUES (51390, 0, 4, 0.11267817, 158, 288);
INSERT INTO public.ecdc_data VALUES (51391, 0, 10, 0.34446643, 159, 288);
INSERT INTO public.ecdc_data VALUES (51392, 0, 3, 0.07482593, 77, 288);
INSERT INTO public.ecdc_data VALUES (51393, 0, 1, 0.00199227, 16, 288);
INSERT INTO public.ecdc_data VALUES (51394, 0, 3, 0.37740976, 160, 288);
INSERT INTO public.ecdc_data VALUES (51395, 0, 1, 0, 161, 288);
INSERT INTO public.ecdc_data VALUES (51396, 0, 5, 0.19935052, 162, 288);
INSERT INTO public.ecdc_data VALUES (51397, 3, 138, 0.61331491, 163, 288);
INSERT INTO public.ecdc_data VALUES (51398, 0, 6, 0.22518229, 164, 288);
INSERT INTO public.ecdc_data VALUES (51399, 0, 138, 0.46374807, 165, 288);
INSERT INTO public.ecdc_data VALUES (51400, 0, 22, 0.29837945, 167, 288);
INSERT INTO public.ecdc_data VALUES (51401, 0, 9, 9.80416873, 171, 288);
INSERT INTO public.ecdc_data VALUES (51402, 0, 1, 0.00190279, 112, 288);
INSERT INTO public.ecdc_data VALUES (51403, 15, 591, 4.2308953, 114, 288);
INSERT INTO public.ecdc_data VALUES (51404, 2, 7, 0.09666803, 115, 288);
INSERT INTO public.ecdc_data VALUES (51405, 0, 7, 0.26507675, 172, 288);
INSERT INTO public.ecdc_data VALUES (51406, 0, 2, 0.1995452, 116, 288);
INSERT INTO public.ecdc_data VALUES (51407, 41, 769, 6.38672796, 174, 288);
INSERT INTO public.ecdc_data VALUES (51408, 0, 32, 0.20179678, 117, 288);
INSERT INTO public.ecdc_data VALUES (51409, 0, 2, 1.37862939, 120, 288);
INSERT INTO public.ecdc_data VALUES (51410, 0, 3, 0.23338213, 123, 288);
INSERT INTO public.ecdc_data VALUES (51411, 0, 0, 0.08763751, 124, 288);
INSERT INTO public.ecdc_data VALUES (51412, 0, 2, 0.01646084, 87, 288);
INSERT INTO public.ecdc_data VALUES (51413, 0, 1, 0, 35, 288);
INSERT INTO public.ecdc_data VALUES (51414, 0, 44, 0.47447764, 185, 288);
INSERT INTO public.ecdc_data VALUES (51415, 0, 1, 0.08362844, 208, 288);
INSERT INTO public.ecdc_data VALUES (51416, 0, 30, 1.61404989, 187, 288);
INSERT INTO public.ecdc_data VALUES (51417, 0, 1, 0.32160856, 129, 288);
INSERT INTO public.ecdc_data VALUES (51418, 0, 7, 0, 131, 288);
INSERT INTO public.ecdc_data VALUES (51419, 0, 4, 0, 189, 288);
INSERT INTO public.ecdc_data VALUES (51420, 0, 2, 0.0309048, 190, 288);
INSERT INTO public.ecdc_data VALUES (51421, 0, 0, 0.00137106, 191, 288);
INSERT INTO public.ecdc_data VALUES (51422, 0, 7, 63.85510696, 192, 288);
INSERT INTO public.ecdc_data VALUES (51423, 0, 4, 0, 134, 288);
INSERT INTO public.ecdc_data VALUES (51424, 0, 1, 0, 42, 288);
INSERT INTO public.ecdc_data VALUES (51425, 0, 5, 0.55131132, 135, 288);
INSERT INTO public.ecdc_data VALUES (51426, 0, 5, 0, 195, 288);
INSERT INTO public.ecdc_data VALUES (51427, 0, 1, 0, 46, 288);
INSERT INTO public.ecdc_data VALUES (51428, 7, 518, 11.96478593, 136, 288);
INSERT INTO public.ecdc_data VALUES (51429, 2, 183, 1.12704119, 196, 288);
INSERT INTO public.ecdc_data VALUES (51430, 0, 25, 0.59627465, 197, 288);
INSERT INTO public.ecdc_data VALUES (51431, 1, 30, 1.01819562, 198, 288);
INSERT INTO public.ecdc_data VALUES (51432, 0, 2, 0.08412594, 139, 288);
INSERT INTO public.ecdc_data VALUES (51433, 0, 2, 0.20469727, 143, 288);
INSERT INTO public.ecdc_data VALUES (51434, 0, 56, 0.31509242, 201, 288);
INSERT INTO public.ecdc_data VALUES (51435, 1, 74, 0.06594443, 101, 288);
INSERT INTO public.ecdc_data VALUES (51436, 0, 0, 0, 105, 289);
INSERT INTO public.ecdc_data VALUES (51437, 0, 0, 0, 1, 289);
INSERT INTO public.ecdc_data VALUES (51438, 0, 0, 0, 149, 289);
INSERT INTO public.ecdc_data VALUES (51439, 0, 1, 0.05158075, 202, 289);
INSERT INTO public.ecdc_data VALUES (51440, 0, 0, 0, 150, 289);
INSERT INTO public.ecdc_data VALUES (51441, 0, 0, 0, 151, 289);
INSERT INTO public.ecdc_data VALUES (51442, 0, 0, 0, 106, 289);
INSERT INTO public.ecdc_data VALUES (51443, 0, 0, 0, 152, 289);
INSERT INTO public.ecdc_data VALUES (51444, 0, 0, 0.00872942, 153, 289);
INSERT INTO public.ecdc_data VALUES (51445, 0, 0, 0, 66, 289);
INSERT INTO public.ecdc_data VALUES (51446, 0, 0, 0.00606555, 110, 289);
INSERT INTO public.ecdc_data VALUES (51447, 0, 0, 0.01336504, 68, 289);
INSERT INTO public.ecdc_data VALUES (51448, 0, 10, 0, 214, 289);
INSERT INTO public.ecdc_data VALUES (51449, 72, 3727, 1.91270135, 111, 289);
INSERT INTO public.ecdc_data VALUES (51450, 0, 0, 0, 156, 289);
INSERT INTO public.ecdc_data VALUES (51451, 0, 0, 0, 158, 289);
INSERT INTO public.ecdc_data VALUES (51452, 0, 0, 0, 159, 289);
INSERT INTO public.ecdc_data VALUES (51453, 0, 0, 0, 76, 289);
INSERT INTO public.ecdc_data VALUES (51454, 0, 0, 0, 77, 289);
INSERT INTO public.ecdc_data VALUES (51455, 0, 0, 0, 16, 289);
INSERT INTO public.ecdc_data VALUES (51456, 0, 0, 0, 160, 289);
INSERT INTO public.ecdc_data VALUES (51457, 0, 0, 0.01812277, 162, 289);
INSERT INTO public.ecdc_data VALUES (51458, 0, 0, 0.0089535, 163, 289);
INSERT INTO public.ecdc_data VALUES (51459, 0, 0, 0, 164, 289);
INSERT INTO public.ecdc_data VALUES (51460, 0, 0, 0.01324994, 165, 289);
INSERT INTO public.ecdc_data VALUES (51461, 0, 0, 0, 167, 289);
INSERT INTO public.ecdc_data VALUES (51462, 0, 0, 0, 171, 289);
INSERT INTO public.ecdc_data VALUES (51463, 0, 0, 0.00021955, 112, 289);
INSERT INTO public.ecdc_data VALUES (51464, 0, 0, 0, 113, 289);
INSERT INTO public.ecdc_data VALUES (51465, 0, 0, 0, 114, 289);
INSERT INTO public.ecdc_data VALUES (51466, 0, 0, 0, 115, 289);
INSERT INTO public.ecdc_data VALUES (51467, 0, 0, 0, 172, 289);
INSERT INTO public.ecdc_data VALUES (51468, 0, 0, 0, 116, 289);
INSERT INTO public.ecdc_data VALUES (51469, 0, 0, 0.00497022, 174, 289);
INSERT INTO public.ecdc_data VALUES (51470, 0, 0, 0.01891845, 117, 289);
INSERT INTO public.ecdc_data VALUES (51471, 0, 0, 0, 120, 289);
INSERT INTO public.ecdc_data VALUES (51472, 0, 0, 0, 123, 289);
INSERT INTO public.ecdc_data VALUES (51473, 0, 0, 0, 179, 289);
INSERT INTO public.ecdc_data VALUES (51474, 0, 0, 0, 180, 289);
INSERT INTO public.ecdc_data VALUES (51475, 0, 2, 0.03755893, 124, 289);
INSERT INTO public.ecdc_data VALUES (51476, 0, 0, 0.00078385, 87, 289);
INSERT INTO public.ecdc_data VALUES (51477, 0, 0, 0, 183, 289);
INSERT INTO public.ecdc_data VALUES (51478, 0, 0, 0.00349544, 128, 289);
INSERT INTO public.ecdc_data VALUES (51479, 0, 0, 0, 185, 289);
INSERT INTO public.ecdc_data VALUES (51480, 0, 0, 0, 208, 289);
INSERT INTO public.ecdc_data VALUES (51481, 0, 0, 0, 39, 289);
INSERT INTO public.ecdc_data VALUES (51482, 0, 0, 0, 186, 289);
INSERT INTO public.ecdc_data VALUES (51483, 0, 0, 0, 187, 289);
INSERT INTO public.ecdc_data VALUES (51484, 0, 0, 0, 129, 289);
INSERT INTO public.ecdc_data VALUES (51485, 0, 0, 0, 130, 289);
INSERT INTO public.ecdc_data VALUES (51486, 0, 1, 0.00277478, 132, 289);
INSERT INTO public.ecdc_data VALUES (51487, 0, 0, 0, 133, 289);
INSERT INTO public.ecdc_data VALUES (51488, 0, 0, 0, 190, 289);
INSERT INTO public.ecdc_data VALUES (51489, 0, 0, 0.00137106, 191, 289);
INSERT INTO public.ecdc_data VALUES (51490, 0, 0, 0, 192, 289);
INSERT INTO public.ecdc_data VALUES (51491, 0, 4, 0.4823974, 135, 289);
INSERT INTO public.ecdc_data VALUES (51492, 0, 5, 0.04294751, 136, 289);
INSERT INTO public.ecdc_data VALUES (51493, 0, 0, 0.00213051, 196, 289);
INSERT INTO public.ecdc_data VALUES (51494, 0, 0, 0.00468961, 137, 289);
INSERT INTO public.ecdc_data VALUES (51495, 0, 0, 0.00977499, 197, 289);
INSERT INTO public.ecdc_data VALUES (51496, 0, 0, 0, 198, 289);
INSERT INTO public.ecdc_data VALUES (51497, 0, 0, 0.04206297, 139, 289);
INSERT INTO public.ecdc_data VALUES (51498, 0, 0, 0.03016133, 141, 289);
INSERT INTO public.ecdc_data VALUES (51499, 0, 0, 0.05117432, 143, 289);
INSERT INTO public.ecdc_data VALUES (51500, 0, 0, 0.00450132, 201, 289);
INSERT INTO public.ecdc_data VALUES (51501, 0, 1, 0.00334281, 101, 289);
INSERT INTO public.ecdc_data VALUES (51502, 0, 0, 0.01036676, 145, 289);
INSERT INTO public.ecdc_data VALUES (51503, 0, 0, 0, 105, 290);
INSERT INTO public.ecdc_data VALUES (51504, 0, 0, 0, 1, 290);
INSERT INTO public.ecdc_data VALUES (51505, 0, 0, 0, 149, 290);
INSERT INTO public.ecdc_data VALUES (51506, 0, 0, 0, 202, 290);
INSERT INTO public.ecdc_data VALUES (51507, 0, 0, 0, 150, 290);
INSERT INTO public.ecdc_data VALUES (51508, 0, 0, 0, 151, 290);
INSERT INTO public.ecdc_data VALUES (51509, 0, 0, 0, 106, 290);
INSERT INTO public.ecdc_data VALUES (51510, 0, 0, 0, 152, 290);
INSERT INTO public.ecdc_data VALUES (51511, 0, 0, 0, 153, 290);
INSERT INTO public.ecdc_data VALUES (51512, 0, 0, 0, 66, 290);
INSERT INTO public.ecdc_data VALUES (51513, 0, 0, 0, 110, 290);
INSERT INTO public.ecdc_data VALUES (51514, 0, 0, 0, 68, 290);
INSERT INTO public.ecdc_data VALUES (51515, 0, 0, 0, 214, 290);
INSERT INTO public.ecdc_data VALUES (51516, 0, 0, 0, 111, 290);
INSERT INTO public.ecdc_data VALUES (51517, 0, 0, 0, 156, 290);
INSERT INTO public.ecdc_data VALUES (51518, 0, 0, 0, 158, 290);
INSERT INTO public.ecdc_data VALUES (51519, 0, 0, 0, 159, 290);
INSERT INTO public.ecdc_data VALUES (51520, 0, 0, 0, 76, 290);
INSERT INTO public.ecdc_data VALUES (51521, 0, 0, 0, 77, 290);
INSERT INTO public.ecdc_data VALUES (51522, 0, 0, 0, 16, 290);
INSERT INTO public.ecdc_data VALUES (51523, 0, 0, 0, 160, 290);
INSERT INTO public.ecdc_data VALUES (51524, 0, 0, 0, 162, 290);
INSERT INTO public.ecdc_data VALUES (51525, 0, 0, 0, 163, 290);
INSERT INTO public.ecdc_data VALUES (51526, 0, 0, 0, 164, 290);
INSERT INTO public.ecdc_data VALUES (51527, 0, 0, 0, 165, 290);
INSERT INTO public.ecdc_data VALUES (51528, 0, 0, 0, 167, 290);
INSERT INTO public.ecdc_data VALUES (51529, 0, 0, 0, 171, 290);
INSERT INTO public.ecdc_data VALUES (51530, 0, 0, 0, 112, 290);
INSERT INTO public.ecdc_data VALUES (51531, 0, 0, 0, 113, 290);
INSERT INTO public.ecdc_data VALUES (51532, 0, 0, 0, 114, 290);
INSERT INTO public.ecdc_data VALUES (51533, 0, 0, 0, 115, 290);
INSERT INTO public.ecdc_data VALUES (51534, 0, 0, 0, 172, 290);
INSERT INTO public.ecdc_data VALUES (51535, 0, 0, 0, 116, 290);
INSERT INTO public.ecdc_data VALUES (51536, 0, 0, 0, 174, 290);
INSERT INTO public.ecdc_data VALUES (51537, 0, 0, 0, 117, 290);
INSERT INTO public.ecdc_data VALUES (51538, 0, 0, 0, 120, 290);
INSERT INTO public.ecdc_data VALUES (51539, 0, 0, 0, 123, 290);
INSERT INTO public.ecdc_data VALUES (51540, 0, 0, 0, 179, 290);
INSERT INTO public.ecdc_data VALUES (51541, 0, 0, 0, 180, 290);
INSERT INTO public.ecdc_data VALUES (51542, 0, 0, 0, 124, 290);
INSERT INTO public.ecdc_data VALUES (51543, 0, 0, 0, 87, 290);
INSERT INTO public.ecdc_data VALUES (51544, 0, 0, 0, 183, 290);
INSERT INTO public.ecdc_data VALUES (51545, 0, 0, 0, 128, 290);
INSERT INTO public.ecdc_data VALUES (51546, 0, 0, 0, 185, 290);
INSERT INTO public.ecdc_data VALUES (51547, 0, 0, 0, 208, 290);
INSERT INTO public.ecdc_data VALUES (51548, 0, 0, 0, 39, 290);
INSERT INTO public.ecdc_data VALUES (51549, 0, 0, 0, 186, 290);
INSERT INTO public.ecdc_data VALUES (51550, 0, 0, 0, 187, 290);
INSERT INTO public.ecdc_data VALUES (51551, 0, 0, 0, 129, 290);
INSERT INTO public.ecdc_data VALUES (51552, 0, 0, 0, 130, 290);
INSERT INTO public.ecdc_data VALUES (51553, 0, 0, 0, 132, 290);
INSERT INTO public.ecdc_data VALUES (51554, 0, 0, 0, 133, 290);
INSERT INTO public.ecdc_data VALUES (51555, 0, 0, 0, 190, 290);
INSERT INTO public.ecdc_data VALUES (51556, 0, 0, 0, 191, 290);
INSERT INTO public.ecdc_data VALUES (51557, 0, 0, 0, 192, 290);
INSERT INTO public.ecdc_data VALUES (51558, 0, 0, 0, 135, 290);
INSERT INTO public.ecdc_data VALUES (51559, 0, 0, 0, 136, 290);
INSERT INTO public.ecdc_data VALUES (51560, 0, 0, 0, 196, 290);
INSERT INTO public.ecdc_data VALUES (51561, 0, 0, 0, 137, 290);
INSERT INTO public.ecdc_data VALUES (51562, 0, 0, 0, 197, 290);
INSERT INTO public.ecdc_data VALUES (51563, 0, 0, 0, 198, 290);
INSERT INTO public.ecdc_data VALUES (51564, 0, 0, 0, 139, 290);
INSERT INTO public.ecdc_data VALUES (51565, 0, 0, 0, 141, 290);
INSERT INTO public.ecdc_data VALUES (51566, 0, 0, 0, 143, 290);
INSERT INTO public.ecdc_data VALUES (51567, 0, 0, 0, 201, 290);
INSERT INTO public.ecdc_data VALUES (51568, 0, 0, 0, 101, 290);
INSERT INTO public.ecdc_data VALUES (51569, 0, 0, 0, 145, 290);
INSERT INTO public.ecdc_data VALUES (51570, 18, 235, 7.11586481, 105, 291);
INSERT INTO public.ecdc_data VALUES (51571, 18, 801, 343.86903142, 147, 291);
INSERT INTO public.ecdc_data VALUES (51572, 12, 803, 32.45995046, 1, 291);
INSERT INTO public.ecdc_data VALUES (51573, 0, 51, 1067.25127007, 148, 291);
INSERT INTO public.ecdc_data VALUES (51574, 1, 132, 4.27018769, 2, 291);
INSERT INTO public.ecdc_data VALUES (51575, 0, 1, 26.89618074, 56, 291);
INSERT INTO public.ecdc_data VALUES (51576, 0, 0, 5.14853524, 57, 291);
INSERT INTO public.ecdc_data VALUES (51577, 207, 6899, 213.45814908, 58, 291);
INSERT INTO public.ecdc_data VALUES (51578, 32, 1267, 545.01292884, 149, 291);
INSERT INTO public.ecdc_data VALUES (51579, 0, 19, 229.51744897, 59, 291);
INSERT INTO public.ecdc_data VALUES (51580, 0, 10, 0.63484002, 202, 291);
INSERT INTO public.ecdc_data VALUES (51581, 140, 3634, 681.82113215, 150, 291);
INSERT INTO public.ecdc_data VALUES (51582, 41, 4267, 505.95563033, 151, 291);
INSERT INTO public.ecdc_data VALUES (51583, 0, 0, 50.83623031, 60, 291);
INSERT INTO public.ecdc_data VALUES (51584, 0, 168, 129.96872951, 106, 291);
INSERT INTO public.ecdc_data VALUES (51585, 24, 2252, 18.74131692, 107, 291);
INSERT INTO public.ecdc_data VALUES (51586, 0, 3, 10.80060344, 61, 291);
INSERT INTO public.ecdc_data VALUES (51587, 9, 1774, 238.41541347, 152, 291);
INSERT INTO public.ecdc_data VALUES (51588, 106, 2549, 279.73416132, 153, 291);
INSERT INTO public.ecdc_data VALUES (51589, 6, 147, 596.13014953, 62, 291);
INSERT INTO public.ecdc_data VALUES (51590, 0, 0, 1.17785121, 3, 291);
INSERT INTO public.ecdc_data VALUES (51591, 0, 6, 81.58955654, 63, 291);
INSERT INTO public.ecdc_data VALUES (51592, 0, 6, 6.0280909, 108, 291);
INSERT INTO public.ecdc_data VALUES (51593, 5, 139, 13.63663763, 64, 291);
INSERT INTO public.ecdc_data VALUES (51594, 0, 0, 23.09202171, 65, 291);
INSERT INTO public.ecdc_data VALUES (51595, 53, 1254, 448.31896293, 154, 291);
INSERT INTO public.ecdc_data VALUES (51596, 0, 0, 18.05788333, 4, 291);
INSERT INTO public.ecdc_data VALUES (51597, 694, 46884, 243.4518697, 66, 291);
INSERT INTO public.ecdc_data VALUES (51598, 0, 0, 3.3296707, 67, 291);
INSERT INTO public.ecdc_data VALUES (51599, 0, 0, 0.69236734, 109, 291);
INSERT INTO public.ecdc_data VALUES (51600, 147, 3614, 576.98249967, 155, 291);
INSERT INTO public.ecdc_data VALUES (51601, 0, 29, 1.99297459, 5, 291);
INSERT INTO public.ecdc_data VALUES (51602, 0, 0, 0.37292149, 6, 291);
INSERT INTO public.ecdc_data VALUES (51603, 0, 14, 0.24262213, 110, 291);
INSERT INTO public.ecdc_data VALUES (51604, 2, 265, 4.73018123, 7, 291);
INSERT INTO public.ecdc_data VALUES (51605, 89, 6299, 218.78569635, 68, 291);
INSERT INTO public.ecdc_data VALUES (51606, 1, 58, 153.47240406, 8, 291);
INSERT INTO public.ecdc_data VALUES (51607, 0, 0, 41.57171891, 69, 291);
INSERT INTO public.ecdc_data VALUES (51608, 0, 0, 0.14751814, 9, 291);
INSERT INTO public.ecdc_data VALUES (51609, 0, 11, 0.5831861, 10, 291);
INSERT INTO public.ecdc_data VALUES (51610, 39, 1729, 103.1551493, 70, 291);
INSERT INTO public.ecdc_data VALUES (51611, 0, 17, 0.01262394, 111, 291);
INSERT INTO public.ecdc_data VALUES (51612, 162, 9285, 236.7189482, 71, 291);
INSERT INTO public.ecdc_data VALUES (51613, 0, 0, 2.70304892, 11, 291);
INSERT INTO public.ecdc_data VALUES (51614, 0, 0, 2.63915797, 12, 291);
INSERT INTO public.ecdc_data VALUES (51615, 16, 1180, 282.6513637, 72, 291);
INSERT INTO public.ecdc_data VALUES (51616, 0, 23, 1.21711486, 13, 291);
INSERT INTO public.ecdc_data VALUES (51617, 68, 3955, 1141.56505765, 156, 291);
INSERT INTO public.ecdc_data VALUES (51618, 0, 79, 7.47343006, 73, 291);
INSERT INTO public.ecdc_data VALUES (51619, 0, 150, 777.12439498, 74, 291);
INSERT INTO public.ecdc_data VALUES (51620, 3, 289, 411.12046024, 157, 291);
INSERT INTO public.ecdc_data VALUES (51621, 97, 4743, 514.96741723, 158, 291);
INSERT INTO public.ecdc_data VALUES (51622, 0, 33, 1.36650794, 14, 291);
INSERT INTO public.ecdc_data VALUES (51623, 9, 1603, 316.58187338, 159, 291);
INSERT INTO public.ecdc_data VALUES (51624, 0, 1, 3.08148367, 15, 291);
INSERT INTO public.ecdc_data VALUES (51625, 0, 0, 18.10383244, 75, 291);
INSERT INTO public.ecdc_data VALUES (51626, 8, 671, 92.15047607, 76, 291);
INSERT INTO public.ecdc_data VALUES (51627, 84, 598, 72.76533662, 77, 291);
INSERT INTO public.ecdc_data VALUES (51628, 19, 427, 5.24464678, 16, 291);
INSERT INTO public.ecdc_data VALUES (51629, 11, 0, 38.24251768, 78, 291);
INSERT INTO public.ecdc_data VALUES (51630, 0, 0, 2.80239708, 17, 291);
INSERT INTO public.ecdc_data VALUES (51631, 0, 38, 3.00247318, 18, 291);
INSERT INTO public.ecdc_data VALUES (51632, 2, 470, 367.06873387, 160, 291);
INSERT INTO public.ecdc_data VALUES (51633, 0, 6, 25.69388738, 19, 291);
INSERT INTO public.ecdc_data VALUES (51634, 10, 512, 6.43476259, 20, 291);
INSERT INTO public.ecdc_data VALUES (51635, 0, 0, 29.65599051, 79, 291);
INSERT INTO public.ecdc_data VALUES (51636, 0, 0, 14.38050825, 161, 291);
INSERT INTO public.ecdc_data VALUES (51637, 0, 0, 1.01128709, 203, 291);
INSERT INTO public.ecdc_data VALUES (51638, 7, 316, 108.93599562, 162, 291);
INSERT INTO public.ecdc_data VALUES (51639, 627, 11221, 237.83784978, 163, 291);
INSERT INTO public.ecdc_data VALUES (51640, 1, 181, 745.11699518, 204, 291);
INSERT INTO public.ecdc_data VALUES (51641, 0, 15, 5.66147683, 21, 291);
INSERT INTO public.ecdc_data VALUES (51642, 0, 0, 2.64088707, 22, 291);
INSERT INTO public.ecdc_data VALUES (51643, 37, 5450, 1437.91399138, 164, 291);
INSERT INTO public.ecdc_data VALUES (51644, 483, 23318, 302.37217498, 165, 291);
INSERT INTO public.ecdc_data VALUES (51645, 2, 429, 4.81624972, 23, 291);
INSERT INTO public.ecdc_data VALUES (51646, 0, 4, 293.7162523, 166, 291);
INSERT INTO public.ecdc_data VALUES (51647, 98, 1648, 236.58693439, 167, 291);
INSERT INTO public.ecdc_data VALUES (51648, 0, 0, 0, 80, 291);
INSERT INTO public.ecdc_data VALUES (51649, 0, 0, 0, 81, 291);
INSERT INTO public.ecdc_data VALUES (51650, 1, 17, 303.05747333, 205, 291);
INSERT INTO public.ecdc_data VALUES (51651, 15, 752, 40.08764679, 82, 291);
INSERT INTO public.ecdc_data VALUES (51652, 0, 0, 7.75578582, 168, 291);
INSERT INTO public.ecdc_data VALUES (51653, 0, 0, 3.03807475, 24, 291);
INSERT INTO public.ecdc_data VALUES (51654, 0, 0, 1.09322787, 25, 291);
INSERT INTO public.ecdc_data VALUES (51655, 0, 73, 76.13937594, 83, 291);
INSERT INTO public.ecdc_data VALUES (51656, 0, 34, 1.18084939, 84, 291);
INSERT INTO public.ecdc_data VALUES (51657, 0, 0, 0, 169, 291);
INSERT INTO public.ecdc_data VALUES (51658, 3, 200, 66.4059474, 85, 291);
INSERT INTO public.ecdc_data VALUES (51659, 193, 5525, 749.87035387, 170, 291);
INSERT INTO public.ecdc_data VALUES (51660, 0, 14, 59.1051315, 171, 291);
INSERT INTO public.ecdc_data VALUES (51661, 512, 36652, 40.80845682, 112, 291);
INSERT INTO public.ecdc_data VALUES (51662, 124, 5803, 27.85028807, 113, 291);
INSERT INTO public.ecdc_data VALUES (51663, 347, 13341, 227.29363341, 114, 291);
INSERT INTO public.ecdc_data VALUES (51664, 26, 1855, 73.39902028, 115, 291);
INSERT INTO public.ecdc_data VALUES (51665, 6, 263, 75.22062542, 172, 291);
INSERT INTO public.ecdc_data VALUES (51666, 0, 1, 2.36437362, 173, 291);
INSERT INTO public.ecdc_data VALUES (51667, 5, 557, 168.47483964, 116, 291);
INSERT INTO public.ecdc_data VALUES (51668, 814, 24110, 568.54635719, 174, 291);
INSERT INTO public.ecdc_data VALUES (51669, 1, 76, 28.35554461, 86, 291);
INSERT INTO public.ecdc_data VALUES (51670, 43, 2442, 23.65515471, 117, 291);
INSERT INTO public.ecdc_data VALUES (51671, 0, 68, 396.11859438, 175, 291);
INSERT INTO public.ecdc_data VALUES (51672, 51, 3116, 594.13779685, 118, 291);
INSERT INTO public.ecdc_data VALUES (51673, 46, 992, 68.27506756, 119, 291);
INSERT INTO public.ecdc_data VALUES (51674, 6, 866, 22.93150144, 26, 291);
INSERT INTO public.ecdc_data VALUES (51675, 11, 478, 494.85517424, 176, 291);
INSERT INTO public.ecdc_data VALUES (51676, 2, 343, 109.55349759, 120, 291);
INSERT INTO public.ecdc_data VALUES (51677, 5, 401, 87.67348244, 121, 291);
INSERT INTO public.ecdc_data VALUES (51678, 0, 0, 0.20922089, 122, 291);
INSERT INTO public.ecdc_data VALUES (51679, 7, 686, 410.99643327, 177, 291);
INSERT INTO public.ecdc_data VALUES (51680, 11, 1478, 301.06295352, 123, 291);
INSERT INTO public.ecdc_data VALUES (51681, 0, 5, 3.95244456, 27, 291);
INSERT INTO public.ecdc_data VALUES (51682, 0, 13, 2.53171018, 28, 291);
INSERT INTO public.ecdc_data VALUES (51683, 7, 680, 128.67665774, 29, 291);
INSERT INTO public.ecdc_data VALUES (51684, 0, 12, 786.90916671, 178, 291);
INSERT INTO public.ecdc_data VALUES (51685, 21, 2848, 1061.95583398, 179, 291);
INSERT INTO public.ecdc_data VALUES (51686, 5, 627, 1170.5603899, 180, 291);
INSERT INTO public.ecdc_data VALUES (51687, 0, 0, 1.0382173, 30, 291);
INSERT INTO public.ecdc_data VALUES (51688, 0, 4, 0.23619407, 31, 291);
INSERT INTO public.ecdc_data VALUES (51689, 0, 1141, 55.08017596, 124, 291);
INSERT INTO public.ecdc_data VALUES (51690, 0, 37, 112.43848372, 125, 291);
INSERT INTO public.ecdc_data VALUES (51691, 1, 58, 4.2984994, 32, 291);
INSERT INTO public.ecdc_data VALUES (51692, 1, 123, 305.73852366, 181, 291);
INSERT INTO public.ecdc_data VALUES (51693, 0, 0, 0, 206, 291);
INSERT INTO public.ecdc_data VALUES (51694, 0, 0, 14.93692244, 33, 291);
INSERT INTO public.ecdc_data VALUES (51695, 0, 0, 0.86636685, 34, 291);
INSERT INTO public.ecdc_data VALUES (51696, 690, 12127, 102.52828346, 87, 291);
INSERT INTO public.ecdc_data VALUES (51697, 21, 1522, 456.21624937, 182, 291);
INSERT INTO public.ecdc_data VALUES (51698, 0, 0, 160.19344114, 183, 291);
INSERT INTO public.ecdc_data VALUES (51699, 0, 11, 8.18562517, 126, 291);
INSERT INTO public.ecdc_data VALUES (51700, 6, 535, 1187.43390198, 184, 291);
INSERT INTO public.ecdc_data VALUES (51701, 0, 0, 0, 88, 291);
INSERT INTO public.ecdc_data VALUES (51702, 73, 3996, 154.53049353, 35, 291);
INSERT INTO public.ecdc_data VALUES (51703, 1, 120, 3.82334965, 36, 291);
INSERT INTO public.ecdc_data VALUES (51704, 31, 1502, 37.20204091, 127, 291);
INSERT INTO public.ecdc_data VALUES (51705, 1, 205, 43.7758867, 37, 291);
INSERT INTO public.ecdc_data VALUES (51706, 16, 1272, 76.53611845, 128, 291);
INSERT INTO public.ecdc_data VALUES (51707, 58, 5867, 408.79142269, 185, 291);
INSERT INTO public.ecdc_data VALUES (51708, 0, 0, 1.06098169, 207, 291);
INSERT INTO public.ecdc_data VALUES (51709, 0, 9, 1.23351945, 208, 291);
INSERT INTO public.ecdc_data VALUES (51710, 0, 0, 2.70414665, 89, 291);
INSERT INTO public.ecdc_data VALUES (51711, 1, 86, 1.65589058, 38, 291);
INSERT INTO public.ecdc_data VALUES (51712, 0, 324, 1.31615873, 39, 291);
INSERT INTO public.ecdc_data VALUES (51713, 30, 1099, 668.27722071, 186, 291);
INSERT INTO public.ecdc_data VALUES (51714, 0, 0, 5.24356353, 209, 291);
INSERT INTO public.ecdc_data VALUES (51715, 1, 403, 111.35067449, 187, 291);
INSERT INTO public.ecdc_data VALUES (51716, 0, 0, 59.67848793, 129, 291);
INSERT INTO public.ecdc_data VALUES (51717, 43, 3119, 19.24731096, 130, 291);
INSERT INTO public.ecdc_data VALUES (51718, 17, 1968, 541.73286262, 131, 291);
INSERT INTO public.ecdc_data VALUES (51719, 13, 2388, 502.02051601, 90, 291);
INSERT INTO public.ecdc_data VALUES (51720, 0, 2, 0.76343541, 210, 291);
INSERT INTO public.ecdc_data VALUES (51721, 0, 0, 147.89970075, 91, 291);
INSERT INTO public.ecdc_data VALUES (51722, 91, 2014, 76.20008599, 92, 291);
INSERT INTO public.ecdc_data VALUES (51723, 63, 932, 19.68060008, 132, 291);
INSERT INTO public.ecdc_data VALUES (51724, 531, 13236, 586.16675531, 188, 291);
INSERT INTO public.ecdc_data VALUES (51725, 79, 4935, 613.57740587, 189, 291);
INSERT INTO public.ecdc_data VALUES (51726, 18, 618, 433.72818746, 93, 291);
INSERT INTO public.ecdc_data VALUES (51727, 0, 166, 97.27863461, 133, 291);
INSERT INTO public.ecdc_data VALUES (51728, 176, 8062, 500.40026871, 190, 291);
INSERT INTO public.ecdc_data VALUES (51729, 569, 27403, 248.86362904, 191, 291);
INSERT INTO public.ecdc_data VALUES (51730, 1, 32, 3.61924641, 40, 291);
INSERT INTO public.ecdc_data VALUES (51731, 0, 0, 5.67816179, 94, 291);
INSERT INTO public.ecdc_data VALUES (51732, 0, 0, 32.276594, 95, 291);
INSERT INTO public.ecdc_data VALUES (51733, 0, 0, 2.71264908, 96, 291);
INSERT INTO public.ecdc_data VALUES (51734, 1, 42, 1047.80425507, 192, 291);
INSERT INTO public.ecdc_data VALUES (51735, 0, 2, 11.62531156, 41, 291);
INSERT INTO public.ecdc_data VALUES (51736, 10, 234, 10.28056967, 134, 291);
INSERT INTO public.ecdc_data VALUES (51737, 1, 80, 2.75521616, 42, 291);
INSERT INTO public.ecdc_data VALUES (51738, 69, 7782, 1387.02288016, 193, 291);
INSERT INTO public.ecdc_data VALUES (51739, 0, 1, 21.48535415, 43, 291);
INSERT INTO public.ecdc_data VALUES (51740, 0, 4, 0.26877568, 44, 291);
INSERT INTO public.ecdc_data VALUES (51741, 0, 3, 1.7056194, 135, 291);
INSERT INTO public.ecdc_data VALUES (51742, 1, 15, 323.19705584, 97, 291);
INSERT INTO public.ecdc_data VALUES (51743, 27, 2184, 366.87074265, 194, 291);
INSERT INTO public.ecdc_data VALUES (51744, 111, 1784, 987.69383365, 195, 291);
INSERT INTO public.ecdc_data VALUES (51745, 0, 0, 0.14929362, 211, 291);
INSERT INTO public.ecdc_data VALUES (51746, 0, 0, 0.92599152, 45, 291);
INSERT INTO public.ecdc_data VALUES (51747, 160, 4932, 73.50115057, 46, 291);
INSERT INTO public.ecdc_data VALUES (51748, 4, 583, 12.71246304, 136, 291);
INSERT INTO public.ecdc_data VALUES (51749, 0, 0, 1.24750116, 47, 291);
INSERT INTO public.ecdc_data VALUES (51750, 0, 0, 272.52878642, 196, 291);
INSERT INTO public.ecdc_data VALUES (51751, 1, 521, 34.13567249, 137, 291);
INSERT INTO public.ecdc_data VALUES (51752, 0, 0, 6.5937551, 48, 291);
INSERT INTO public.ecdc_data VALUES (51753, 0, 0, 5.67631583, 98, 291);
INSERT INTO public.ecdc_data VALUES (51754, 37, 7343, 691.75679619, 197, 291);
INSERT INTO public.ecdc_data VALUES (51755, 100, 4370, 627.51279269, 198, 291);
INSERT INTO public.ecdc_data VALUES (51756, 5, 86, 6.76034608, 138, 291);
INSERT INTO public.ecdc_data VALUES (51757, 0, 3, 0.34491634, 139, 291);
INSERT INTO public.ecdc_data VALUES (51758, 0, 41, 5.7289849, 140, 291);
INSERT INTO public.ecdc_data VALUES (51759, 0, 33, 0.24416313, 141, 291);
INSERT INTO public.ecdc_data VALUES (51760, 0, 0, 0.07733234, 142, 291);
INSERT INTO public.ecdc_data VALUES (51761, 0, 12, 3.15501947, 49, 291);
INSERT INTO public.ecdc_data VALUES (51762, 0, 10, 33.97924972, 99, 291);
INSERT INTO public.ecdc_data VALUES (51763, 122, 2620, 133.69280037, 50, 291);
INSERT INTO public.ecdc_data VALUES (51764, 193, 32736, 377.03946747, 199, 291);
INSERT INTO public.ecdc_data VALUES (51765, 0, 4, 39.27318427, 100, 291);
INSERT INTO public.ecdc_data VALUES (51766, 0, 286, 10.09044878, 51, 291);
INSERT INTO public.ecdc_data VALUES (51767, 235, 15131, 398.29845417, 200, 291);
INSERT INTO public.ecdc_data VALUES (51768, 1, 1311, 179.50927105, 143, 291);
INSERT INTO public.ecdc_data VALUES (51769, 504, 16298, 325.48147022, 201, 291);
INSERT INTO public.ecdc_data VALUES (51770, 0, 0, 0, 52, 291);
INSERT INTO public.ecdc_data VALUES (51771, 2680, 231930, 746.87056354, 101, 291);
INSERT INTO public.ecdc_data VALUES (51772, 0, 20, 144.38845275, 102, 291);
INSERT INTO public.ecdc_data VALUES (51773, 0, 276, 65.11193389, 103, 291);
INSERT INTO public.ecdc_data VALUES (51774, 0, 0, 7.00994475, 144, 291);
INSERT INTO public.ecdc_data VALUES (51775, 0, 0, 0, 212, 291);
INSERT INTO public.ecdc_data VALUES (51776, 8, 810, 18.27756787, 104, 291);
INSERT INTO public.ecdc_data VALUES (51777, 0, 0, 0.05805388, 145, 291);
INSERT INTO public.ecdc_data VALUES (51778, 0, 0, 0, 213, 291);
INSERT INTO public.ecdc_data VALUES (51779, 0, 0, 0, 53, 291);
INSERT INTO public.ecdc_data VALUES (51780, 0, 0, 0.03086216, 146, 291);
INSERT INTO public.ecdc_data VALUES (51781, 7, 127, 2.70980952, 54, 291);
INSERT INTO public.ecdc_data VALUES (51782, 0, 123, 9.74362521, 55, 291);
INSERT INTO public.ecdc_data VALUES (51783, 6, 121, 3.74588377, 105, 292);
INSERT INTO public.ecdc_data VALUES (51784, 4, 396, 152.03881182, 147, 292);
INSERT INTO public.ecdc_data VALUES (51785, 10, 548, 10.30356639, 1, 292);
INSERT INTO public.ecdc_data VALUES (51786, 0, 135, 1619.91152185, 148, 292);
INSERT INTO public.ecdc_data VALUES (51787, 2, 349, 11.08552036, 2, 292);
INSERT INTO public.ecdc_data VALUES (51788, 0, 0, 0, 56, 292);
INSERT INTO public.ecdc_data VALUES (51789, 0, 0, 8.23765639, 57, 292);
INSERT INTO public.ecdc_data VALUES (51790, 468, 10652, 376.50839341, 58, 292);
INSERT INTO public.ecdc_data VALUES (51791, 28, 2413, 1049.21750749, 149, 292);
INSERT INTO public.ecdc_data VALUES (51792, 1, 15, 173.07873201, 59, 292);
INSERT INTO public.ecdc_data VALUES (51793, 0, 12, 0.70625952, 202, 292);
INSERT INTO public.ecdc_data VALUES (51794, 35, 6514, 614.75768377, 150, 292);
INSERT INTO public.ecdc_data VALUES (51795, 12, 1227, 128.54658853, 151, 292);
INSERT INTO public.ecdc_data VALUES (51796, 1, 53, 203.34492126, 60, 292);
INSERT INTO public.ecdc_data VALUES (51797, 4, 261, 226.48559193, 106, 292);
INSERT INTO public.ecdc_data VALUES (51798, 21, 1517, 12.90002679, 107, 292);
INSERT INTO public.ecdc_data VALUES (51799, 0, 1, 5.92291156, 61, 292);
INSERT INTO public.ecdc_data VALUES (51800, 3, 984, 134.05048385, 152, 292);
INSERT INTO public.ecdc_data VALUES (51801, 198, 9230, 1710.97442202, 153, 292);
INSERT INTO public.ecdc_data VALUES (51802, 3, 115, 247.98194446, 62, 292);
INSERT INTO public.ecdc_data VALUES (51803, 2, 62, 1.59306495, 3, 292);
INSERT INTO public.ecdc_data VALUES (51804, 0, 0, 28.79631407, 63, 292);
INSERT INTO public.ecdc_data VALUES (51805, 0, 0, 3.40718182, 108, 292);
INSERT INTO public.ecdc_data VALUES (51806, 7, 126, 15.92967734, 64, 292);
INSERT INTO public.ecdc_data VALUES (51807, 0, 0, 11.54601085, 65, 292);
INSERT INTO public.ecdc_data VALUES (51808, 41, 1776, 584.03549472, 154, 292);
INSERT INTO public.ecdc_data VALUES (51809, 0, 0, 44.84084971, 4, 292);
INSERT INTO public.ecdc_data VALUES (51810, 610, 23976, 138.0022098, 66, 292);
INSERT INTO public.ecdc_data VALUES (51811, 0, 0, 0, 67, 292);
INSERT INTO public.ecdc_data VALUES (51812, 0, 0, 0.23078911, 109, 292);
INSERT INTO public.ecdc_data VALUES (51813, 54, 4054, 446.51179801, 155, 292);
INSERT INTO public.ecdc_data VALUES (51814, 0, 9, 0.65448301, 5, 292);
INSERT INTO public.ecdc_data VALUES (51815, 0, 2, 0.42495705, 6, 292);
INSERT INTO public.ecdc_data VALUES (51816, 0, 0, 0.03639332, 110, 292);
INSERT INTO public.ecdc_data VALUES (51817, 0, 0, 2.05979297, 7, 292);
INSERT INTO public.ecdc_data VALUES (51818, 52, 2768, 110.51016548, 68, 292);
INSERT INTO public.ecdc_data VALUES (51819, 0, 109, 185.47612813, 8, 292);
INSERT INTO public.ecdc_data VALUES (51820, 0, 0, 10.77785305, 69, 292);
INSERT INTO public.ecdc_data VALUES (51821, 0, 9, 0.35825835, 9, 292);
INSERT INTO public.ecdc_data VALUES (51822, 1, 4, 0.70860247, 10, 292);
INSERT INTO public.ecdc_data VALUES (51823, 21, 840, 102.39005996, 70, 292);
INSERT INTO public.ecdc_data VALUES (51824, 0, 27, 0.02754948, 111, 292);
INSERT INTO public.ecdc_data VALUES (51825, 166, 8692, 251.06356461, 71, 292);
INSERT INTO public.ecdc_data VALUES (51826, 0, 0, 5.87619331, 11, 292);
INSERT INTO public.ecdc_data VALUES (51827, 0, 31, 4.14459315, 12, 292);
INSERT INTO public.ecdc_data VALUES (51828, 12, 1141, 274.11258626, 72, 292);
INSERT INTO public.ecdc_data VALUES (51829, 0, 13, 1.61374654, 13, 292);
INSERT INTO public.ecdc_data VALUES (51830, 26, 2480, 693.77559647, 156, 292);
INSERT INTO public.ecdc_data VALUES (51831, 0, 109, 6.8469678, 73, 292);
INSERT INTO public.ecdc_data VALUES (51832, 1, 21, 144.41051749, 74, 292);
INSERT INTO public.ecdc_data VALUES (51833, 0, 166, 243.63539632, 157, 292);
INSERT INTO public.ecdc_data VALUES (51834, 220, 15731, 1594.40552874, 158, 292);
INSERT INTO public.ecdc_data VALUES (51835, 0, 23, 0.44244439, 14, 292);
INSERT INTO public.ecdc_data VALUES (51836, 1, 936, 232.97987059, 159, 292);
INSERT INTO public.ecdc_data VALUES (51837, 0, 5, 6.98469632, 15, 292);
INSERT INTO public.ecdc_data VALUES (51838, 0, 0, 12.53342246, 75, 292);
INSERT INTO public.ecdc_data VALUES (51839, 5, 430, 54.7539207, 76, 292);
INSERT INTO public.ecdc_data VALUES (51840, 6, 1323, 90.9883279, 77, 292);
INSERT INTO public.ecdc_data VALUES (51841, 13, 207, 2.43654436, 16, 292);
INSERT INTO public.ecdc_data VALUES (51842, 5, 0, 29.36368355, 78, 292);
INSERT INTO public.ecdc_data VALUES (51843, 0, 0, 1.10620937, 17, 292);
INSERT INTO public.ecdc_data VALUES (51844, 0, 0, 0.80065951, 18, 292);
INSERT INTO public.ecdc_data VALUES (51845, 0, 208, 87.71002853, 160, 292);
INSERT INTO public.ecdc_data VALUES (51846, 0, 13, 13.0646885, 19, 292);
INSERT INTO public.ecdc_data VALUES (51847, 9, 379, 6.03415133, 20, 292);
INSERT INTO public.ecdc_data VALUES (51848, 0, 0, 0, 79, 292);
INSERT INTO public.ecdc_data VALUES (51849, 0, 0, 14.38050825, 161, 292);
INSERT INTO public.ecdc_data VALUES (51850, 0, 0, 0.11236523, 203, 292);
INSERT INTO public.ecdc_data VALUES (51851, 2, 293, 51.81301139, 162, 292);
INSERT INTO public.ecdc_data VALUES (51852, 385, 40558, 874.30949658, 163, 292);
INSERT INTO public.ecdc_data VALUES (51853, 0, 303, 1553.61011153, 204, 292);
INSERT INTO public.ecdc_data VALUES (51854, 0, 21, 4.78693976, 21, 292);
INSERT INTO public.ecdc_data VALUES (51855, 0, 1, 0.97968391, 22, 292);
INSERT INTO public.ecdc_data VALUES (51856, 20, 2401, 700.81731161, 164, 292);
INSERT INTO public.ecdc_data VALUES (51857, 118, 19990, 247.57401639, 165, 292);
INSERT INTO public.ecdc_data VALUES (51858, 0, 443, 3.8858752, 23, 292);
INSERT INTO public.ecdc_data VALUES (51859, 0, 13, 361.95336142, 166, 292);
INSERT INTO public.ecdc_data VALUES (51860, 18, 2646, 182.36579288, 167, 292);
INSERT INTO public.ecdc_data VALUES (51861, 0, 0, 1.76491352, 80, 292);
INSERT INTO public.ecdc_data VALUES (51862, 0, 1, 2.6785236, 81, 292);
INSERT INTO public.ecdc_data VALUES (51863, 2, 91, 558.89297349, 205, 292);
INSERT INTO public.ecdc_data VALUES (51864, 4, 664, 38.29030054, 82, 292);
INSERT INTO public.ecdc_data VALUES (51865, 0, 1, 20.16504312, 168, 292);
INSERT INTO public.ecdc_data VALUES (51866, 0, 118, 5.44974234, 24, 292);
INSERT INTO public.ecdc_data VALUES (51867, 0, 0, 0.5205847, 25, 292);
INSERT INTO public.ecdc_data VALUES (51868, 2, 79, 60.55379898, 83, 292);
INSERT INTO public.ecdc_data VALUES (51869, 0, 0, 1.07430659, 84, 292);
INSERT INTO public.ecdc_data VALUES (51870, 0, 0, 0, 169, 292);
INSERT INTO public.ecdc_data VALUES (51871, 24, 436, 82.5559723, 85, 292);
INSERT INTO public.ecdc_data VALUES (51872, 84, 3928, 436.9698783, 170, 292);
INSERT INTO public.ecdc_data VALUES (51873, 0, 32, 212.61040194, 171, 292);
INSERT INTO public.ecdc_data VALUES (51874, 704, 50210, 48.09217365, 112, 292);
INSERT INTO public.ecdc_data VALUES (51875, 113, 3356, 17.96652125, 113, 292);
INSERT INTO public.ecdc_data VALUES (51876, 419, 8452, 121.66597943, 114, 292);
INSERT INTO public.ecdc_data VALUES (51877, 60, 3574, 121.10215092, 115, 292);
INSERT INTO public.ecdc_data VALUES (51878, 8, 435, 205.14901391, 172, 292);
INSERT INTO public.ecdc_data VALUES (51879, 0, 1, 10.63968128, 173, 292);
INSERT INTO public.ecdc_data VALUES (51880, 5, 764, 119.97361778, 116, 292);
INSERT INTO public.ecdc_data VALUES (51881, 352, 30548, 564.49894438, 174, 292);
INSERT INTO public.ecdc_data VALUES (51882, 1, 30, 29.88185981, 86, 292);
INSERT INTO public.ecdc_data VALUES (51883, 8, 938, 7.34193445, 117, 292);
INSERT INTO public.ecdc_data VALUES (51884, 0, 12, 89.98478608, 175, 292);
INSERT INTO public.ecdc_data VALUES (51885, 62, 4658, 471.34654702, 118, 292);
INSERT INTO public.ecdc_data VALUES (51886, 1, 703, 34.69813752, 119, 292);
INSERT INTO public.ecdc_data VALUES (51887, 12, 1494, 23.6676072, 26, 292);
INSERT INTO public.ecdc_data VALUES (51888, 9, 546, 238.08650068, 176, 292);
INSERT INTO public.ecdc_data VALUES (51889, 5, 763, 245.11079783, 120, 292);
INSERT INTO public.ecdc_data VALUES (51890, 4, 535, 113.8274564, 121, 292);
INSERT INTO public.ecdc_data VALUES (51891, 0, 0, 0, 122, 292);
INSERT INTO public.ecdc_data VALUES (51892, 6, 313, 153.90881515, 177, 292);
INSERT INTO public.ecdc_data VALUES (51893, 9, 1888, 313.89897092, 123, 292);
INSERT INTO public.ecdc_data VALUES (51894, 0, 2, 2.11738102, 27, 292);
INSERT INTO public.ecdc_data VALUES (51895, 0, 2, 1.07344511, 28, 292);
INSERT INTO public.ecdc_data VALUES (51896, 7, 899, 191.25178736, 29, 292);
INSERT INTO public.ecdc_data VALUES (51897, 0, 30, 1070.92605138, 178, 292);
INSERT INTO public.ecdc_data VALUES (51898, 7, 639, 352.62531029, 179, 292);
INSERT INTO public.ecdc_data VALUES (51899, 4, 710, 1412.78461754, 180, 292);
INSERT INTO public.ecdc_data VALUES (51900, 0, 0, 1.1160836, 30, 292);
INSERT INTO public.ecdc_data VALUES (51901, 0, 0, 0.37576329, 31, 292);
INSERT INTO public.ecdc_data VALUES (51902, 8, 1032, 39.02373189, 124, 292);
INSERT INTO public.ecdc_data VALUES (51903, 0, 26, 95.29961937, 125, 292);
INSERT INTO public.ecdc_data VALUES (51904, 1, 36, 0.92074366, 32, 292);
INSERT INTO public.ecdc_data VALUES (51905, 4, 173, 329.03867623, 181, 292);
INSERT INTO public.ecdc_data VALUES (51906, 0, 0, 0, 206, 292);
INSERT INTO public.ecdc_data VALUES (51907, 1, 19, 2.4305643, 33, 292);
INSERT INTO public.ecdc_data VALUES (51908, 0, 1, 2.59910055, 34, 292);
INSERT INTO public.ecdc_data VALUES (51909, 635, 5225, 59.6282066, 87, 292);
INSERT INTO public.ecdc_data VALUES (51910, 13, 1020, 240.301262, 182, 292);
INSERT INTO public.ecdc_data VALUES (51911, 0, 15, 420.12996826, 183, 292);
INSERT INTO public.ecdc_data VALUES (51912, 0, 1, 0.7751539, 126, 292);
INSERT INTO public.ecdc_data VALUES (51913, 4, 874, 768.58539784, 184, 292);
INSERT INTO public.ecdc_data VALUES (51914, 0, 0, 0, 88, 292);
INSERT INTO public.ecdc_data VALUES (51915, 82, 5745, 144.57758914, 35, 292);
INSERT INTO public.ecdc_data VALUES (51916, 0, 81, 6.42823301, 36, 292);
INSERT INTO public.ecdc_data VALUES (51917, 23, 1136, 31.90649524, 127, 292);
INSERT INTO public.ecdc_data VALUES (51918, 0, 16, 25.65619733, 37, 292);
INSERT INTO public.ecdc_data VALUES (51919, 30, 3309, 133.00492525, 128, 292);
INSERT INTO public.ecdc_data VALUES (51920, 106, 7622, 753.52257701, 185, 292);
INSERT INTO public.ecdc_data VALUES (51921, 0, 0, 0.35366056, 207, 292);
INSERT INTO public.ecdc_data VALUES (51922, 0, 2, 1.23351945, 208, 292);
INSERT INTO public.ecdc_data VALUES (51923, 0, 0, 1.22221317, 89, 292);
INSERT INTO public.ecdc_data VALUES (51924, 0, 3, 0.04718859, 38, 292);
INSERT INTO public.ecdc_data VALUES (51925, 3, 155, 0.82651782, 39, 292);
INSERT INTO public.ecdc_data VALUES (51926, 22, 1189, 493.99845556, 186, 292);
INSERT INTO public.ecdc_data VALUES (51927, 0, 0, 13.98283607, 209, 292);
INSERT INTO public.ecdc_data VALUES (51928, 0, 620, 97.27465799, 187, 292);
INSERT INTO public.ecdc_data VALUES (51929, 11, 319, 107.79916832, 129, 292);
INSERT INTO public.ecdc_data VALUES (51930, 26, 1302, 6.18520093, 130, 292);
INSERT INTO public.ecdc_data VALUES (51931, 3, 734, 155.65836422, 131, 292);
INSERT INTO public.ecdc_data VALUES (51932, 13, 432, 225.81268074, 90, 292);
INSERT INTO public.ecdc_data VALUES (51933, 0, 0, 0.15952382, 210, 292);
INSERT INTO public.ecdc_data VALUES (51934, 13, 630, 119.79322148, 91, 292);
INSERT INTO public.ecdc_data VALUES (51935, 48, 2885, 107.35621044, 92, 292);
INSERT INTO public.ecdc_data VALUES (51936, 49, 976, 23.95006385, 132, 292);
INSERT INTO public.ecdc_data VALUES (51937, 373, 24692, 624.01752075, 188, 292);
INSERT INTO public.ecdc_data VALUES (51938, 59, 7497, 493.05136116, 189, 292);
INSERT INTO public.ecdc_data VALUES (51939, 8, 77, 347.37799498, 93, 292);
INSERT INTO public.ecdc_data VALUES (51940, 0, 227, 111.57912355, 133, 292);
INSERT INTO public.ecdc_data VALUES (51941, 146, 8651, 391.3887269, 190, 292);
INSERT INTO public.ecdc_data VALUES (51942, 389, 19768, 168.72227797, 191, 292);
INSERT INTO public.ecdc_data VALUES (51943, 0, 12, 1.28297137, 40, 292);
INSERT INTO public.ecdc_data VALUES (51944, 0, 0, 0, 94, 292);
INSERT INTO public.ecdc_data VALUES (51945, 0, 8, 36.10602041, 95, 292);
INSERT INTO public.ecdc_data VALUES (51946, 0, 0, 6.32951453, 96, 292);
INSERT INTO public.ecdc_data VALUES (51947, 0, 0, 638.55106957, 192, 292);
INSERT INTO public.ecdc_data VALUES (51948, 0, 4, 10.69528663, 41, 292);
INSERT INTO public.ecdc_data VALUES (51949, 15, 426, 16.23355353, 134, 292);
INSERT INTO public.ecdc_data VALUES (51950, 1, 3, 0.95726887, 42, 292);
INSERT INTO public.ecdc_data VALUES (51951, 6, 2412, 235.14582056, 193, 292);
INSERT INTO public.ecdc_data VALUES (51952, 0, 0, 6.13867261, 43, 292);
INSERT INTO public.ecdc_data VALUES (51953, 0, 1, 0.40956294, 44, 292);
INSERT INTO public.ecdc_data VALUES (51954, 0, 7, 1.77453331, 135, 292);
INSERT INTO public.ecdc_data VALUES (51955, 0, 11, 238.26936233, 97, 292);
INSERT INTO public.ecdc_data VALUES (51956, 26, 3216, 608.57684205, 194, 292);
INSERT INTO public.ecdc_data VALUES (51957, 39, 2025, 1125.71050714, 195, 292);
INSERT INTO public.ecdc_data VALUES (51958, 0, 0, 1.49293617, 211, 292);
INSERT INTO public.ecdc_data VALUES (51959, 0, 0, 2.19518269, 45, 292);
INSERT INTO public.ecdc_data VALUES (51960, 46, 1712, 37.89217328, 46, 292);
INSERT INTO public.ecdc_data VALUES (51961, 1, 125, 2.94190445, 136, 292);
INSERT INTO public.ecdc_data VALUES (51962, 0, 3, 0.65991003, 47, 292);
INSERT INTO public.ecdc_data VALUES (51963, 368, 21908, 596.61810944, 196, 292);
INSERT INTO public.ecdc_data VALUES (51964, 1, 443, 29.1177896, 137, 292);
INSERT INTO public.ecdc_data VALUES (51965, 0, 77, 0.51152404, 48, 292);
INSERT INTO public.ecdc_data VALUES (51966, 1, 2, 12.04066994, 98, 292);
INSERT INTO public.ecdc_data VALUES (51967, 21, 4483, 300.55174955, 197, 292);
INSERT INTO public.ecdc_data VALUES (51968, 72, 10043, 1169.63759375, 198, 292);
INSERT INTO public.ecdc_data VALUES (51969, 3, 76, 4.33505728, 138, 292);
INSERT INTO public.ecdc_data VALUES (51970, 0, 1, 0.10515742, 139, 292);
INSERT INTO public.ecdc_data VALUES (51971, 0, 41, 6.08302329, 140, 292);
INSERT INTO public.ecdc_data VALUES (51972, 0, 6, 0.13069909, 141, 292);
INSERT INTO public.ecdc_data VALUES (51973, 0, 0, 0.07733234, 142, 292);
INSERT INTO public.ecdc_data VALUES (51974, 0, 25, 3.53857086, 49, 292);
INSERT INTO public.ecdc_data VALUES (51975, 0, 10, 26.66725927, 99, 292);
INSERT INTO public.ecdc_data VALUES (51976, 29, 1237, 157.94305824, 50, 292);
INSERT INTO public.ecdc_data VALUES (51977, 77, 2391, 37.90430312, 199, 292);
INSERT INTO public.ecdc_data VALUES (51978, 0, 1, 18.32748599, 100, 292);
INSERT INTO public.ecdc_data VALUES (51979, 2, 252, 5.46198906, 51, 292);
INSERT INTO public.ecdc_data VALUES (51980, 199, 9524, 238.19577751, 200, 292);
INSERT INTO public.ecdc_data VALUES (51981, 2, 1161, 186.04934883, 143, 292);
INSERT INTO public.ecdc_data VALUES (51982, 492, 25177, 464.881359, 201, 292);
INSERT INTO public.ecdc_data VALUES (51983, 0, 0, 0, 52, 292);
INSERT INTO public.ecdc_data VALUES (51984, 1102, 102507, 349.53710972, 101, 292);
INSERT INTO public.ecdc_data VALUES (51985, 1, 3, 43.02967135, 102, 292);
INSERT INTO public.ecdc_data VALUES (51986, 0, 49, 16.81239819, 103, 292);
INSERT INTO public.ecdc_data VALUES (51987, 3, 226, 10.44214954, 144, 292);
INSERT INTO public.ecdc_data VALUES (51988, 0, 0, 17.76206471, 104, 292);
INSERT INTO public.ecdc_data VALUES (51989, 0, 4, 0.06427394, 145, 292);
INSERT INTO public.ecdc_data VALUES (51990, 0, 0, 0, 213, 292);
INSERT INTO public.ecdc_data VALUES (51991, 0, 0, 0, 53, 292);
INSERT INTO public.ecdc_data VALUES (51992, 0, 0, 0.00685826, 146, 292);
INSERT INTO public.ecdc_data VALUES (51993, 0, 37, 3.90794844, 54, 292);
INSERT INTO public.ecdc_data VALUES (51994, 2, 17, 1.44754628, 55, 292);
INSERT INTO public.ecdc_data VALUES (51995, 0, 44, 0.78072104, 105, 293);
INSERT INTO public.ecdc_data VALUES (51996, 4, 149, 65.71346623, 147, 293);
INSERT INTO public.ecdc_data VALUES (51997, 4, 141, 5.36547303, 1, 293);
INSERT INTO public.ecdc_data VALUES (51998, 0, 0, 716.75177547, 148, 293);
INSERT INTO public.ecdc_data VALUES (51999, 4, 159, 4.33303078, 2, 293);
INSERT INTO public.ecdc_data VALUES (52000, 0, 0, 0, 56, 293);
INSERT INTO public.ecdc_data VALUES (52001, 0, 0, 11.32677753, 57, 293);
INSERT INTO public.ecdc_data VALUES (52002, 223, 7668, 392.02624793, 58, 293);
INSERT INTO public.ecdc_data VALUES (52003, 5, 571, 171.24630798, 149, 293);
INSERT INTO public.ecdc_data VALUES (52004, 0, 5, 496.66070925, 59, 293);
INSERT INTO public.ecdc_data VALUES (52005, 1, 15, 0.94432453, 202, 293);
INSERT INTO public.ecdc_data VALUES (52006, 4, 599, 113.57100728, 150, 293);
INSERT INTO public.ecdc_data VALUES (52007, 1, 130, 14.95861897, 151, 293);
INSERT INTO public.ecdc_data VALUES (52008, 0, 0, 266.76183483, 60, 293);
INSERT INTO public.ecdc_data VALUES (52009, 2, 352, 497.39087623, 106, 293);
INSERT INTO public.ecdc_data VALUES (52010, 23, 1125, 12.12785289, 107, 293);
INSERT INTO public.ecdc_data VALUES (52011, 0, 3, 3.48406563, 61, 293);
INSERT INTO public.ecdc_data VALUES (52012, 6, 443, 48.88700859, 152, 293);
INSERT INTO public.ecdc_data VALUES (52013, 14, 1035, 258.28598425, 153, 293);
INSERT INTO public.ecdc_data VALUES (52014, 1, 65, 145.76624628, 62, 293);
INSERT INTO public.ecdc_data VALUES (52015, 0, 0, 0.65247873, 3, 293);
INSERT INTO public.ecdc_data VALUES (52016, 0, 0, 1.59979523, 63, 293);
INSERT INTO public.ecdc_data VALUES (52017, 0, 15, 4.84868181, 108, 293);
INSERT INTO public.ecdc_data VALUES (52018, 28, 299, 53.78220396, 64, 293);
INSERT INTO public.ecdc_data VALUES (52019, 0, 0, 338.68298503, 65, 293);
INSERT INTO public.ecdc_data VALUES (52020, 7, 4, 77.27965906, 154, 293);
INSERT INTO public.ecdc_data VALUES (52021, 0, 0, 26.2620659, 4, 293);
INSERT INTO public.ecdc_data VALUES (52022, 365, 8456, 175.62702903, 66, 293);
INSERT INTO public.ecdc_data VALUES (52023, 0, 0, 0, 67, 293);
INSERT INTO public.ecdc_data VALUES (52024, 0, 0, 0.23078911, 109, 293);
INSERT INTO public.ecdc_data VALUES (52025, 3, 69, 38.91406891, 155, 293);
INSERT INTO public.ecdc_data VALUES (52026, 0, 13, 1.5796169, 5, 293);
INSERT INTO public.ecdc_data VALUES (52027, 0, 0, 0.34690372, 6, 293);
INSERT INTO public.ecdc_data VALUES (52028, 0, 2, 0.03032777, 110, 293);
INSERT INTO public.ecdc_data VALUES (52029, 0, 0, 1.90521188, 7, 293);
INSERT INTO public.ecdc_data VALUES (52030, 19, 1685, 60.16138873, 68, 293);
INSERT INTO public.ecdc_data VALUES (52031, 3, 64, 200.56879346, 8, 293);
INSERT INTO public.ecdc_data VALUES (52032, 0, 0, 6.15877317, 69, 293);
INSERT INTO public.ecdc_data VALUES (52033, 0, 0, 1.09584907, 9, 293);
INSERT INTO public.ecdc_data VALUES (52034, 1, 3, 0.41387401, 10, 293);
INSERT INTO public.ecdc_data VALUES (52035, 60, 1708, 126.13421197, 70, 293);
INSERT INTO public.ecdc_data VALUES (52036, 0, 25, 0.01813384, 111, 293);
INSERT INTO public.ecdc_data VALUES (52037, 156, 6905, 178.73856888, 71, 293);
INSERT INTO public.ecdc_data VALUES (52038, 0, 0, 1.99790572, 11, 293);
INSERT INTO public.ecdc_data VALUES (52039, 0, 0, 1.91431881, 12, 293);
INSERT INTO public.ecdc_data VALUES (52040, 0, 0, 306.48465665, 72, 293);
INSERT INTO public.ecdc_data VALUES (52041, 0, 33, 2.18536278, 13, 293);
INSERT INTO public.ecdc_data VALUES (52042, 5, 258, 67.14511342, 156, 293);
INSERT INTO public.ecdc_data VALUES (52043, 0, 29, 6.3352099, 73, 293);
INSERT INTO public.ecdc_data VALUES (52044, 0, 23, 112.59125093, 74, 293);
INSERT INTO public.ecdc_data VALUES (52045, 0, 13, 25.57372482, 157, 293);
INSERT INTO public.ecdc_data VALUES (52046, 16, 1841, 311.79928262, 158, 293);
INSERT INTO public.ecdc_data VALUES (52047, 0, 7, 0.28228874, 14, 293);
INSERT INTO public.ecdc_data VALUES (52048, 4, 378, 134.91027769, 159, 293);
INSERT INTO public.ecdc_data VALUES (52049, 0, 1, 1.64345796, 15, 293);
INSERT INTO public.ecdc_data VALUES (52050, 0, 0, 9.74821747, 75, 293);
INSERT INTO public.ecdc_data VALUES (52051, 6, 554, 57.64991889, 76, 293);
INSERT INTO public.ecdc_data VALUES (52052, 50, 683, 84.12161009, 77, 293);
INSERT INTO public.ecdc_data VALUES (52053, 11, 108, 1.66155192, 16, 293);
INSERT INTO public.ecdc_data VALUES (52054, 0, 92, 29.39467425, 78, 293);
INSERT INTO public.ecdc_data VALUES (52055, 0, 0, 3.17113354, 17, 293);
INSERT INTO public.ecdc_data VALUES (52056, 0, 0, 0.97222941, 18, 293);
INSERT INTO public.ecdc_data VALUES (52057, 0, 30, 51.5541734, 160, 293);
INSERT INTO public.ecdc_data VALUES (52058, 0, 39, 26.129377, 19, 293);
INSERT INTO public.ecdc_data VALUES (52059, 8, 959, 8.92140754, 20, 293);
INSERT INTO public.ecdc_data VALUES (52060, 0, 0, 0, 79, 293);
INSERT INTO public.ecdc_data VALUES (52061, 0, 1, 82.17433285, 161, 293);
INSERT INTO public.ecdc_data VALUES (52062, 0, 0, 0, 203, 293);
INSERT INTO public.ecdc_data VALUES (52063, 0, 294, 28.23528218, 162, 293);
INSERT INTO public.ecdc_data VALUES (52064, 32, 12545, 246.8286583, 163, 293);
INSERT INTO public.ecdc_data VALUES (52065, 0, 0, 231.3049394, 204, 293);
INSERT INTO public.ecdc_data VALUES (52066, 0, 0, 4.64885495, 21, 293);
INSERT INTO public.ecdc_data VALUES (52067, 0, 4, 2.89645678, 22, 293);
INSERT INTO public.ecdc_data VALUES (52068, 0, 0, 110.66458298, 164, 293);
INSERT INTO public.ecdc_data VALUES (52069, 5, 1382, 34.06681294, 165, 293);
INSERT INTO public.ecdc_data VALUES (52070, 0, 26, 2.71222254, 23, 293);
INSERT INTO public.ecdc_data VALUES (52071, 0, 4, 243.28012817, 166, 293);
INSERT INTO public.ecdc_data VALUES (52072, 4, 229, 43.82448239, 167, 293);
INSERT INTO public.ecdc_data VALUES (52073, 0, 0, 0, 80, 293);
INSERT INTO public.ecdc_data VALUES (52074, 0, 0, 0, 81, 293);
INSERT INTO public.ecdc_data VALUES (52075, 1, 0, 347.8884605, 205, 293);
INSERT INTO public.ecdc_data VALUES (52076, 8, 215, 48.45440735, 82, 293);
INSERT INTO public.ecdc_data VALUES (52077, 0, 0, 3.10231433, 168, 293);
INSERT INTO public.ecdc_data VALUES (52078, 0, 19, 3.35910842, 24, 293);
INSERT INTO public.ecdc_data VALUES (52079, 0, 0, 3.07144973, 25, 293);
INSERT INTO public.ecdc_data VALUES (52080, 2, 88, 105.26651975, 83, 293);
INSERT INTO public.ecdc_data VALUES (52081, 0, 8, 1.77571337, 84, 293);
INSERT INTO public.ecdc_data VALUES (52082, 0, 0, 0, 169, 293);
INSERT INTO public.ecdc_data VALUES (52083, 23, 841, 82.21737585, 85, 293);
INSERT INTO public.ecdc_data VALUES (52084, 11, 905, 129.07310896, 170, 293);
INSERT INTO public.ecdc_data VALUES (52085, 0, 49, 161.06848632, 171, 293);
INSERT INTO public.ecdc_data VALUES (52086, 903, 74442, 83.15429121, 112, 293);
INSERT INTO public.ecdc_data VALUES (52087, 96, 3992, 21.73556647, 113, 293);
INSERT INTO public.ecdc_data VALUES (52088, 211, 3653, 59.85969082, 114, 293);
INSERT INTO public.ecdc_data VALUES (52089, 52, 3210, 152.90339004, 115, 293);
INSERT INTO public.ecdc_data VALUES (52090, 0, 364, 103.97125752, 172, 293);
INSERT INTO public.ecdc_data VALUES (52091, 0, 0, 3.54656043, 173, 293);
INSERT INTO public.ecdc_data VALUES (52092, 37, 3318, 936.07827712, 116, 293);
INSERT INTO public.ecdc_data VALUES (52093, 18, 2578, 45.0185626, 174, 293);
INSERT INTO public.ecdc_data VALUES (52094, 1, 100, 64.68184638, 86, 293);
INSERT INTO public.ecdc_data VALUES (52095, 2, 400, 5.58251877, 117, 293);
INSERT INTO public.ecdc_data VALUES (52096, 0, 0, 25.9749898, 175, 293);
INSERT INTO public.ecdc_data VALUES (52097, 13, 891, 107.51658855, 118, 293);
INSERT INTO public.ecdc_data VALUES (52098, 2, 96, 18.26813548, 119, 293);
INSERT INTO public.ecdc_data VALUES (52099, 3, 243, 4.65249274, 26, 293);
INSERT INTO public.ecdc_data VALUES (52100, 0, 56, 41.75688043, 176, 293);
INSERT INTO public.ecdc_data VALUES (52101, 4, 567, 180.43406384, 120, 293);
INSERT INTO public.ecdc_data VALUES (52102, 0, 207, 33.72896285, 121, 293);
INSERT INTO public.ecdc_data VALUES (52103, 0, 0, 0, 122, 293);
INSERT INTO public.ecdc_data VALUES (52104, 0, 67, 29.21923699, 177, 293);
INSERT INTO public.ecdc_data VALUES (52105, 8, 988, 221.40671373, 123, 293);
INSERT INTO public.ecdc_data VALUES (52106, 0, 0, 12.04554534, 27, 293);
INSERT INTO public.ecdc_data VALUES (52107, 0, 1, 0.26329786, 28, 293);
INSERT INTO public.ecdc_data VALUES (52108, 14, 722, 130.72757568, 29, 293);
INSERT INTO public.ecdc_data VALUES (52109, 0, 3, 36.47923289, 178, 293);
INSERT INTO public.ecdc_data VALUES (52110, 0, 104, 51.57140689, 179, 293);
INSERT INTO public.ecdc_data VALUES (52111, 0, 0, 147.41958709, 180, 293);
INSERT INTO public.ecdc_data VALUES (52112, 0, 29, 1.87249906, 30, 293);
INSERT INTO public.ecdc_data VALUES (52113, 0, 3, 0.29524258, 31, 293);
INSERT INTO public.ecdc_data VALUES (52114, 0, 293, 6.76686785, 124, 293);
INSERT INTO public.ecdc_data VALUES (52115, 0, 65, 151.80136998, 125, 293);
INSERT INTO public.ecdc_data VALUES (52116, 0, 14, 0.86987384, 32, 293);
INSERT INTO public.ecdc_data VALUES (52117, 0, 57, 109.61202207, 181, 293);
INSERT INTO public.ecdc_data VALUES (52118, 0, 9, 3.35859794, 33, 293);
INSERT INTO public.ecdc_data VALUES (52119, 0, 0, 1.10264872, 34, 293);
INSERT INTO public.ecdc_data VALUES (52120, 208, 1580, 48.86595454, 87, 293);
INSERT INTO public.ecdc_data VALUES (52121, 13, 691, 246.90484753, 182, 293);
INSERT INTO public.ecdc_data VALUES (52122, 0, 0, 87.65301496, 183, 293);
INSERT INTO public.ecdc_data VALUES (52123, 0, 1, 0.06201231, 126, 293);
INSERT INTO public.ecdc_data VALUES (52124, 5, 193, 564.94723409, 184, 293);
INSERT INTO public.ecdc_data VALUES (52125, 0, 0, 0, 88, 293);
INSERT INTO public.ecdc_data VALUES (52126, 37, 2044, 86.44769217, 35, 293);
INSERT INTO public.ecdc_data VALUES (52127, 2, 147, 7.98589398, 36, 293);
INSERT INTO public.ecdc_data VALUES (52128, 41, 1291, 22.1831925, 127, 293);
INSERT INTO public.ecdc_data VALUES (52129, 0, 54, 50.06967261, 37, 293);
INSERT INTO public.ecdc_data VALUES (52130, 7, 2253, 79.34994634, 128, 293);
INSERT INTO public.ecdc_data VALUES (52131, 5, 4000, 243.40124555, 185, 293);
INSERT INTO public.ecdc_data VALUES (52132, 0, 0, 0.35366056, 207, 293);
INSERT INTO public.ecdc_data VALUES (52133, 0, 1, 0.73174883, 208, 293);
INSERT INTO public.ecdc_data VALUES (52134, 0, 0, 3.19303192, 89, 293);
INSERT INTO public.ecdc_data VALUES (52135, 0, 0, 0.05147846, 38, 293);
INSERT INTO public.ecdc_data VALUES (52136, 0, 58, 1.04645815, 39, 293);
INSERT INTO public.ecdc_data VALUES (52137, 0, 0, 89.88355097, 186, 293);
INSERT INTO public.ecdc_data VALUES (52138, 0, 0, 6.99141803, 209, 293);
INSERT INTO public.ecdc_data VALUES (52139, 0, 0, 28.22710508, 187, 293);
INSERT INTO public.ecdc_data VALUES (52140, 42, 2685, 156.68366904, 129, 293);
INSERT INTO public.ecdc_data VALUES (52141, 0, 0, 3.83810303, 130, 293);
INSERT INTO public.ecdc_data VALUES (52142, 1, 420, 140.26115435, 131, 293);
INSERT INTO public.ecdc_data VALUES (52143, 9, 633, 213.8968171, 90, 293);
INSERT INTO public.ecdc_data VALUES (52144, 0, 0, 0.26207484, 210, 293);
INSERT INTO public.ecdc_data VALUES (52145, 16, 730, 151.3491323, 91, 293);
INSERT INTO public.ecdc_data VALUES (52146, 77, 3184, 182.32284733, 92, 293);
INSERT INTO public.ecdc_data VALUES (52147, 98, 3167, 33.06984563, 132, 293);
INSERT INTO public.ecdc_data VALUES (52148, 0, 0, 49.77245299, 188, 293);
INSERT INTO public.ecdc_data VALUES (52149, 0, 0, 94.09711387, 189, 293);
INSERT INTO public.ecdc_data VALUES (52150, 5, 1067, 301.25410615, 93, 293);
INSERT INTO public.ecdc_data VALUES (52151, 0, 159, 110.23734928, 133, 293);
INSERT INTO public.ecdc_data VALUES (52152, 0, 0, 109.62963787, 190, 293);
INSERT INTO public.ecdc_data VALUES (52153, 107, 10499, 76.50666412, 191, 293);
INSERT INTO public.ecdc_data VALUES (52154, 0, 14, 1.22753434, 40, 293);
INSERT INTO public.ecdc_data VALUES (52155, 0, 0, 3.78544119, 94, 293);
INSERT INTO public.ecdc_data VALUES (52156, 0, 0, 0, 95, 293);
INSERT INTO public.ecdc_data VALUES (52157, 0, 0, 0, 96, 293);
INSERT INTO public.ecdc_data VALUES (52158, 0, 0, 26.12254376, 192, 293);
INSERT INTO public.ecdc_data VALUES (52159, 0, 0, 2.32506231, 41, 293);
INSERT INTO public.ecdc_data VALUES (52160, 25, 390, 19.35595193, 134, 293);
INSERT INTO public.ecdc_data VALUES (52161, 0, 26, 2.33180878, 42, 293);
INSERT INTO public.ecdc_data VALUES (52162, 1, 59, 14.25952976, 193, 293);
INSERT INTO public.ecdc_data VALUES (52163, 0, 0, 4.09244841, 43, 293);
INSERT INTO public.ecdc_data VALUES (52164, 0, 10, 1.29268302, 44, 293);
INSERT INTO public.ecdc_data VALUES (52165, 0, 12, 4.06592098, 135, 293);
INSERT INTO public.ecdc_data VALUES (52166, 0, 1, 224.11474675, 97, 293);
INSERT INTO public.ecdc_data VALUES (52167, 1, 818, 118.55964888, 194, 293);
INSERT INTO public.ecdc_data VALUES (52168, 0, 168, 99.86025331, 195, 293);
INSERT INTO public.ecdc_data VALUES (52169, 0, 0, 1.96206595, 45, 293);
INSERT INTO public.ecdc_data VALUES (52170, 38, 1573, 34.28721687, 46, 293);
INSERT INTO public.ecdc_data VALUES (52171, 1, 73, 2.18446655, 136, 293);
INSERT INTO public.ecdc_data VALUES (52172, 0, 11, 0.75934853, 47, 293);
INSERT INTO public.ecdc_data VALUES (52173, 139, 23480, 302.41348734, 196, 293);
INSERT INTO public.ecdc_data VALUES (52174, 0, 6, 0.53930517, 137, 293);
INSERT INTO public.ecdc_data VALUES (52175, 0, 0, 0.22890117, 48, 293);
INSERT INTO public.ecdc_data VALUES (52176, 0, 17, 37.49808639, 98, 293);
INSERT INTO public.ecdc_data VALUES (52177, 3, 156, 63.8991377, 197, 293);
INSERT INTO public.ecdc_data VALUES (52178, 0, 0, 59.5937025, 198, 293);
INSERT INTO public.ecdc_data VALUES (52179, 1, 37, 3.315733, 138, 293);
INSERT INTO public.ecdc_data VALUES (52180, 0, 0, 0.03365037, 139, 293);
INSERT INTO public.ecdc_data VALUES (52181, 1, 40, 6.31904889, 140, 293);
INSERT INTO public.ecdc_data VALUES (52182, 0, 7, 0.12064531, 141, 293);
INSERT INTO public.ecdc_data VALUES (52183, 0, 0, 0.07733234, 142, 293);
INSERT INTO public.ecdc_data VALUES (52184, 0, 14, 2.32605357, 49, 293);
INSERT INTO public.ecdc_data VALUES (52185, 3, 54, 61.79348788, 99, 293);
INSERT INTO public.ecdc_data VALUES (52186, 45, 2509, 108.77557489, 50, 293);
INSERT INTO public.ecdc_data VALUES (52187, 57, 1429, 26.31094952, 199, 293);
INSERT INTO public.ecdc_data VALUES (52188, 0, 0, 70.69173169, 100, 293);
INSERT INTO public.ecdc_data VALUES (52189, 2, 146, 5.69465444, 51, 293);
INSERT INTO public.ecdc_data VALUES (52190, 44, 4230, 115.43485953, 200, 293);
INSERT INTO public.ecdc_data VALUES (52191, 0, 1041, 142.11107979, 143, 293);
INSERT INTO public.ecdc_data VALUES (52192, 33, 22961, 163.1293491, 201, 293);
INSERT INTO public.ecdc_data VALUES (52193, 0, 0, 0, 52, 293);
INSERT INTO public.ecdc_data VALUES (52194, 400, 34901, 186.29485197, 101, 293);
INSERT INTO public.ecdc_data VALUES (52195, 0, 0, 49.72317578, 102, 293);
INSERT INTO public.ecdc_data VALUES (52196, 0, 23, 6.58630032, 103, 293);
INSERT INTO public.ecdc_data VALUES (52197, 4, 438, 21.43611998, 144, 293);
INSERT INTO public.ecdc_data VALUES (52198, 10, 1614, 41.30337575, 104, 293);
INSERT INTO public.ecdc_data VALUES (52199, 0, 0, 0.02902694, 145, 293);
INSERT INTO public.ecdc_data VALUES (52200, 0, 0, 0, 53, 293);
INSERT INTO public.ecdc_data VALUES (52201, 1, 1, 0.05143694, 146, 293);
INSERT INTO public.ecdc_data VALUES (52202, 0, 78, 5.15647638, 54, 293);
INSERT INTO public.ecdc_data VALUES (52203, 0, 0, 1.3792658, 55, 293);
INSERT INTO public.ecdc_data VALUES (52204, 0, 16, 1.07776305, 105, 294);
INSERT INTO public.ecdc_data VALUES (52205, 5, 123, 64.5605984, 147, 294);
INSERT INTO public.ecdc_data VALUES (52206, 8, 304, 11.85978584, 1, 294);
INSERT INTO public.ecdc_data VALUES (52207, 0, 16, 223.16447222, 148, 294);
INSERT INTO public.ecdc_data VALUES (52208, 1, 28, 2.39117942, 2, 294);
INSERT INTO public.ecdc_data VALUES (52209, 0, 0, 0, 56, 294);
INSERT INTO public.ecdc_data VALUES (52210, 0, 0, 1.02970705, 57, 294);
INSERT INTO public.ecdc_data VALUES (52211, 313, 12026, 291.00499267, 58, 294);
INSERT INTO public.ecdc_data VALUES (52212, 4, 190, 67.07851432, 149, 294);
INSERT INTO public.ecdc_data VALUES (52213, 0, 66, 840.9368827, 59, 294);
INSERT INTO public.ecdc_data VALUES (52214, 59, 87, 6.86023997, 202, 294);
INSERT INTO public.ecdc_data VALUES (52215, 0, 271, 43.83224543, 150, 294);
INSERT INTO public.ecdc_data VALUES (52216, 2, 132, 20.9997911, 151, 294);
INSERT INTO public.ecdc_data VALUES (52217, 0, 0, 175.35931972, 60, 294);
INSERT INTO public.ecdc_data VALUES (52218, 4, 626, 312.58302034, 106, 294);
INSERT INTO public.ecdc_data VALUES (52219, 29, 1929, 19.16941651, 107, 294);
INSERT INTO public.ecdc_data VALUES (52220, 0, 1, 7.31653781, 61, 294);
INSERT INTO public.ecdc_data VALUES (52221, 5, 183, 25.11529072, 152, 294);
INSERT INTO public.ecdc_data VALUES (52222, 2, 728, 55.8595381, 153, 294);
INSERT INTO public.ecdc_data VALUES (52223, 2, 34, 129.11456612, 62, 294);
INSERT INTO public.ecdc_data VALUES (52224, 0, 0, 0.83890122, 3, 294);
INSERT INTO public.ecdc_data VALUES (52225, 0, 0, 11.19856658, 63, 294);
INSERT INTO public.ecdc_data VALUES (52226, 0, 1, 9.82840908, 108, 294);
INSERT INTO public.ecdc_data VALUES (52227, 140, 1652, 105.48851213, 64, 294);
INSERT INTO public.ecdc_data VALUES (52228, 0, 0, 19.24335142, 65, 294);
INSERT INTO public.ecdc_data VALUES (52229, 3, 338, 113.60200764, 154, 294);
INSERT INTO public.ecdc_data VALUES (52230, 2, 278, 30.12541113, 4, 294);
INSERT INTO public.ecdc_data VALUES (52231, 907, 51194, 265.57843043, 66, 294);
INSERT INTO public.ecdc_data VALUES (52232, 0, 16, 139.84616921, 67, 294);
INSERT INTO public.ecdc_data VALUES (52233, 0, 1, 0.46157823, 109, 294);
INSERT INTO public.ecdc_data VALUES (52234, 10, 158, 23.48558344, 155, 294);
INSERT INTO public.ecdc_data VALUES (52235, 0, 22, 0.46748787, 5, 294);
INSERT INTO public.ecdc_data VALUES (52236, 0, 3, 0.21681482, 6, 294);
INSERT INTO public.ecdc_data VALUES (52237, 0, 0, 0.00606555, 110, 294);
INSERT INTO public.ecdc_data VALUES (52238, 0, 0, 3.25393186, 7, 294);
INSERT INTO public.ecdc_data VALUES (52239, 0, 631, 18.04814932, 68, 294);
INSERT INTO public.ecdc_data VALUES (52240, 0, 75, 143.28940095, 8, 294);
INSERT INTO public.ecdc_data VALUES (52241, 0, 0, 0, 69, 294);
INSERT INTO public.ecdc_data VALUES (52242, 0, 0, 1.05370103, 9, 294);
INSERT INTO public.ecdc_data VALUES (52243, 0, 5, 0.26337437, 10, 294);
INSERT INTO public.ecdc_data VALUES (52244, 72, 1968, 130.32901216, 70, 294);
INSERT INTO public.ecdc_data VALUES (52245, 0, 22, 0.02734025, 111, 294);
INSERT INTO public.ecdc_data VALUES (52246, 270, 8488, 254.12279592, 71, 294);
INSERT INTO public.ecdc_data VALUES (52247, 0, 0, 4.93600238, 11, 294);
INSERT INTO public.ecdc_data VALUES (52248, 0, 0, 14.45961196, 12, 294);
INSERT INTO public.ecdc_data VALUES (52249, 9, 1222, 268.36723717, 72, 294);
INSERT INTO public.ecdc_data VALUES (52250, 0, 61, 3.7291155, 13, 294);
INSERT INTO public.ecdc_data VALUES (52251, 1, 334, 94.05713002, 156, 294);
INSERT INTO public.ecdc_data VALUES (52252, 0, 52, 6.03521388, 73, 294);
INSERT INTO public.ecdc_data VALUES (52253, 0, 3, 25.08826787, 74, 294);
INSERT INTO public.ecdc_data VALUES (52254, 0, 0, 10.50349412, 157, 294);
INSERT INTO public.ecdc_data VALUES (52255, 3, 797, 53.50335218, 158, 294);
INSERT INTO public.ecdc_data VALUES (52256, 0, 23, 0.39981303, 14, 294);
INSERT INTO public.ecdc_data VALUES (52257, 1, 173, 24.4571166, 159, 294);
INSERT INTO public.ecdc_data VALUES (52258, 0, 0, 0.51358061, 15, 294);
INSERT INTO public.ecdc_data VALUES (52259, 0, 0, 1.3926025, 75, 294);
INSERT INTO public.ecdc_data VALUES (52260, 0, 0, 62.96700881, 76, 294);
INSERT INTO public.ecdc_data VALUES (52261, 26, 815, 61.55295917, 77, 294);
INSERT INTO public.ecdc_data VALUES (52262, 16, 157, 2.42459075, 16, 294);
INSERT INTO public.ecdc_data VALUES (52263, 8, 99, 26.01668849, 78, 294);
INSERT INTO public.ecdc_data VALUES (52264, 0, 7, 5.89978333, 17, 294);
INSERT INTO public.ecdc_data VALUES (52265, 0, 0, 0.68627958, 18, 294);
INSERT INTO public.ecdc_data VALUES (52266, 0, 15, 16.00217388, 160, 294);
INSERT INTO public.ecdc_data VALUES (52267, 0, 60, 56.78784601, 19, 294);
INSERT INTO public.ecdc_data VALUES (52268, 24, 1303, 16.81942729, 20, 294);
INSERT INTO public.ecdc_data VALUES (52269, 0, 0, 0, 79, 294);
INSERT INTO public.ecdc_data VALUES (52270, 0, 1, 59.57639131, 161, 294);
INSERT INTO public.ecdc_data VALUES (52271, 0, 0, 0.3370957, 203, 294);
INSERT INTO public.ecdc_data VALUES (52272, 0, 25, 6.41546206, 162, 294);
INSERT INTO public.ecdc_data VALUES (52273, 0, 8975, 111.55466927, 163, 294);
INSERT INTO public.ecdc_data VALUES (52274, 0, 36, 141.79064397, 204, 294);
INSERT INTO public.ecdc_data VALUES (52275, 0, 63, 9.80402085, 21, 294);
INSERT INTO public.ecdc_data VALUES (52276, 0, 19, 29.09235267, 22, 294);
INSERT INTO public.ecdc_data VALUES (52277, 0, 28, 5.27927357, 164, 294);
INSERT INTO public.ecdc_data VALUES (52278, 2, 1378, 20.37480167, 165, 294);
INSERT INTO public.ecdc_data VALUES (52279, 3, 64, 4.77351167, 23, 294);
INSERT INTO public.ecdc_data VALUES (52280, 0, 10, 225.47914318, 166, 294);
INSERT INTO public.ecdc_data VALUES (52281, 1, 202, 28.55118406, 167, 294);
INSERT INTO public.ecdc_data VALUES (52282, 0, 0, 0, 80, 294);
INSERT INTO public.ecdc_data VALUES (52283, 0, 0, 0, 81, 294);
INSERT INTO public.ecdc_data VALUES (52284, 1, 59, 509.28001435, 205, 294);
INSERT INTO public.ecdc_data VALUES (52285, 21, 682, 57.44113862, 82, 294);
INSERT INTO public.ecdc_data VALUES (52286, 0, 0, 0, 168, 294);
INSERT INTO public.ecdc_data VALUES (52287, 1, 53, 5.06606795, 24, 294);
INSERT INTO public.ecdc_data VALUES (52288, 4, 40, 4.99761312, 25, 294);
INSERT INTO public.ecdc_data VALUES (52289, 0, 15, 68.34658746, 83, 294);
INSERT INTO public.ecdc_data VALUES (52290, 2, 25, 2.75235573, 84, 294);
INSERT INTO public.ecdc_data VALUES (52291, 0, 0, 0, 169, 294);
INSERT INTO public.ecdc_data VALUES (52292, 30, 640, 106.88361465, 85, 294);
INSERT INTO public.ecdc_data VALUES (52293, 1, 459, 23.37109409, 170, 294);
INSERT INTO public.ecdc_data VALUES (52294, 0, 7, 23.81012406, 171, 294);
INSERT INTO public.ecdc_data VALUES (52295, 1089, 86432, 76.65869354, 112, 294);
INSERT INTO public.ecdc_data VALUES (52296, 82, 3269, 14.08920836, 113, 294);
INSERT INTO public.ecdc_data VALUES (52297, 118, 2026, 33.77962243, 114, 294);
INSERT INTO public.ecdc_data VALUES (52298, 84, 5036, 139.88882006, 115, 294);
INSERT INTO public.ecdc_data VALUES (52299, 0, 97, 31.56452376, 172, 294);
INSERT INTO public.ecdc_data VALUES (52300, 0, 0, 0, 173, 294);
INSERT INTO public.ecdc_data VALUES (52301, 8, 1159, 301.70060637, 116, 294);
INSERT INTO public.ecdc_data VALUES (52302, 11, 1732, 29.12381084, 174, 294);
INSERT INTO public.ecdc_data VALUES (52303, 1, 68, 54.87951098, 86, 294);
INSERT INTO public.ecdc_data VALUES (52304, 19, 608, 7.99540919, 117, 294);
INSERT INTO public.ecdc_data VALUES (52305, 0, 2, 18.55356414, 175, 294);
INSERT INTO public.ecdc_data VALUES (52306, 0, 68, 7.61258232, 118, 294);
INSERT INTO public.ecdc_data VALUES (52307, 0, 104, 36.5740039, 119, 294);
INSERT INTO public.ecdc_data VALUES (52308, 4, 179, 5.93639814, 26, 294);
INSERT INTO public.ecdc_data VALUES (52309, 3, 119, 96.85817006, 176, 294);
INSERT INTO public.ecdc_data VALUES (52310, 1, 865, 213.30724396, 120, 294);
INSERT INTO public.ecdc_data VALUES (52311, 0, 89, 25.14085817, 121, 294);
INSERT INTO public.ecdc_data VALUES (52312, 0, 0, 0, 122, 294);
INSERT INTO public.ecdc_data VALUES (52313, 1, 6, 4.47924132, 177, 294);
INSERT INTO public.ecdc_data VALUES (52314, 4, 527, 115.37829275, 123, 294);
INSERT INTO public.ecdc_data VALUES (52315, 0, 63, 6.25803723, 27, 294);
INSERT INTO public.ecdc_data VALUES (52316, 0, 0, 0.42532731, 28, 294);
INSERT INTO public.ecdc_data VALUES (52317, 8, 672, 99.41787866, 29, 294);
INSERT INTO public.ecdc_data VALUES (52318, 0, 0, 20.84527594, 178, 294);
INSERT INTO public.ecdc_data VALUES (52319, 0, 26, 15.74699447, 179, 294);
INSERT INTO public.ecdc_data VALUES (52320, 0, 109, -138.46038567, 180, 294);
INSERT INTO public.ecdc_data VALUES (52321, 1, 81, 3.59297343, 30, 294);
INSERT INTO public.ecdc_data VALUES (52322, 0, 15, 1.74998332, 31, 294);
INSERT INTO public.ecdc_data VALUES (52323, 0, 0, 0.39123889, 124, 294);
INSERT INTO public.ecdc_data VALUES (52324, 0, 80, 338.44548617, 125, 294);
INSERT INTO public.ecdc_data VALUES (52325, 0, 7, 0.64095967, 32, 294);
INSERT INTO public.ecdc_data VALUES (52326, 0, 30, 88.94579979, 181, 294);
INSERT INTO public.ecdc_data VALUES (52327, 0, 20, 5.32514543, 33, 294);
INSERT INTO public.ecdc_data VALUES (52328, 0, 0, 0.78760623, 34, 294);
INSERT INTO public.ecdc_data VALUES (52329, 522, 5893, 59.15319387, 87, 294);
INSERT INTO public.ecdc_data VALUES (52330, 11, 534, 158.83230801, 182, 294);
INSERT INTO public.ecdc_data VALUES (52331, 0, 4, 123.92322805, 183, 294);
INSERT INTO public.ecdc_data VALUES (52332, 0, 0, 0.24804925, 126, 294);
INSERT INTO public.ecdc_data VALUES (52333, 2, 110, 160.40322607, 184, 294);
INSERT INTO public.ecdc_data VALUES (52334, 0, 0, 0, 88, 294);
INSERT INTO public.ecdc_data VALUES (52335, 39, 1750, 53.07667306, 35, 294);
INSERT INTO public.ecdc_data VALUES (52336, 0, 58, 3.52367281, 36, 294);
INSERT INTO public.ecdc_data VALUES (52337, 0, 83, 1.44508077, 127, 294);
INSERT INTO public.ecdc_data VALUES (52338, 0, 241, 124.11185461, 37, 294);
INSERT INTO public.ecdc_data VALUES (52339, 14, 1359, 48.07276384, 128, 294);
INSERT INTO public.ecdc_data VALUES (52340, 2, 744, 44.03383998, 185, 294);
INSERT INTO public.ecdc_data VALUES (52341, 0, 0, 1.06098169, 207, 294);
INSERT INTO public.ecdc_data VALUES (52342, 0, 0, 1.92345406, 208, 294);
INSERT INTO public.ecdc_data VALUES (52343, 0, 0, 5.45412629, 89, 294);
INSERT INTO public.ecdc_data VALUES (52344, 0, 0, 0.02144936, 38, 294);
INSERT INTO public.ecdc_data VALUES (52345, 3, 156, 1.71125515, 39, 294);
INSERT INTO public.ecdc_data VALUES (52346, 0, 162, 74.33326337, 186, 294);
INSERT INTO public.ecdc_data VALUES (52347, 0, 0, 5.24356353, 209, 294);
INSERT INTO public.ecdc_data VALUES (52348, 0, 85, 17.3228843, 187, 294);
INSERT INTO public.ecdc_data VALUES (52349, 0, 0, 52.48249645, 129, 294);
INSERT INTO public.ecdc_data VALUES (52350, 5, 513, 2.70172532, 130, 294);
INSERT INTO public.ecdc_data VALUES (52351, 3, 729, 169.007966, 131, 294);
INSERT INTO public.ecdc_data VALUES (52352, 17, 682, 263.84453801, 90, 294);
INSERT INTO public.ecdc_data VALUES (52353, 0, 0, 1.25340142, 210, 294);
INSERT INTO public.ecdc_data VALUES (52354, 25, 695, 115.236565, 91, 294);
INSERT INTO public.ecdc_data VALUES (52355, 149, 6703, 309.99559465, 92, 294);
INSERT INTO public.ecdc_data VALUES (52356, 0, 0, 42.58179653, 132, 294);
INSERT INTO public.ecdc_data VALUES (52357, 8, 691, 25.12060471, 188, 294);
INSERT INTO public.ecdc_data VALUES (52358, 4, 406, 41.31709881, 189, 294);
INSERT INTO public.ecdc_data VALUES (52359, 7, 43, 183.81375358, 93, 294);
INSERT INTO public.ecdc_data VALUES (52360, 0, 217, 111.43788415, 133, 294);
INSERT INTO public.ecdc_data VALUES (52361, 47, 1339, 83.64900014, 190, 294);
INSERT INTO public.ecdc_data VALUES (52362, 121, 5110, 46.70456192, 191, 294);
INSERT INTO public.ecdc_data VALUES (52363, 0, 49, 12.06943441, 40, 294);
INSERT INTO public.ecdc_data VALUES (52364, 0, 0, 0, 94, 294);
INSERT INTO public.ecdc_data VALUES (52365, 0, 0, 0, 95, 294);
INSERT INTO public.ecdc_data VALUES (52366, 0, 0, 2.71264908, 96, 294);
INSERT INTO public.ecdc_data VALUES (52367, 0, 0, 14.51252431, 192, 294);
INSERT INTO public.ecdc_data VALUES (52368, 0, 0, 4.18511216, 41, 294);
INSERT INTO public.ecdc_data VALUES (52369, 33, 822, 40.72249497, 134, 294);
INSERT INTO public.ecdc_data VALUES (52370, 0, 55, 7.31451596, 42, 294);
INSERT INTO public.ecdc_data VALUES (52371, 3, 96, 20.01790985, 193, 294);
INSERT INTO public.ecdc_data VALUES (52372, 0, 0, 4.09244841, 43, 294);
INSERT INTO public.ecdc_data VALUES (52373, 0, 6, 0.88312008, 44, 294);
INSERT INTO public.ecdc_data VALUES (52374, 0, 0, 11.92210729, 135, 294);
INSERT INTO public.ecdc_data VALUES (52375, 0, 7, 372.73821038, 97, 294);
INSERT INTO public.ecdc_data VALUES (52376, 0, 137, 19.72324707, 194, 294);
INSERT INTO public.ecdc_data VALUES (52377, 0, 47, 24.70075563, 195, 294);
INSERT INTO public.ecdc_data VALUES (52378, 0, 22, 0.43385617, 45, 294);
INSERT INTO public.ecdc_data VALUES (52379, 115, 2063, 54.20242372, 46, 294);
INSERT INTO public.ecdc_data VALUES (52380, 0, 0, 7.4962927, 136, 294);
INSERT INTO public.ecdc_data VALUES (52381, 0, 3, 0.35255467, 47, 294);
INSERT INTO public.ecdc_data VALUES (52382, 0, 0, 240.60944593, 196, 294);
INSERT INTO public.ecdc_data VALUES (52383, 0, 4, 0.81599217, 137, 294);
INSERT INTO public.ecdc_data VALUES (52384, 0, 0, 1.32202104, 48, 294);
INSERT INTO public.ecdc_data VALUES (52385, 2, 37, 136.23157993, 98, 294);
INSERT INTO public.ecdc_data VALUES (52386, 0, 262, 24.89691047, 197, 294);
INSERT INTO public.ecdc_data VALUES (52387, 1, 297, 49.06064432, 198, 294);
INSERT INTO public.ecdc_data VALUES (52388, 3, 68, 5.67072358, 138, 294);
INSERT INTO public.ecdc_data VALUES (52389, 0, 0, 0.01261889, 139, 294);
INSERT INTO public.ecdc_data VALUES (52390, 0, 34, 5.18183465, 140, 294);
INSERT INTO public.ecdc_data VALUES (52391, 0, 0, 0.0588864, 141, 294);
INSERT INTO public.ecdc_data VALUES (52392, 0, 0, 0.07733234, 142, 294);
INSERT INTO public.ecdc_data VALUES (52393, 0, 14, 2.69723233, 49, 294);
INSERT INTO public.ecdc_data VALUES (52394, 2, 56, 84.30294867, 99, 294);
INSERT INTO public.ecdc_data VALUES (52395, 0, 0, 15.28039874, 50, 294);
INSERT INTO public.ecdc_data VALUES (52396, 53, 1612, 25.4036754, 199, 294);
INSERT INTO public.ecdc_data VALUES (52397, 1, 22, 602.18882547, 100, 294);
INSERT INTO public.ecdc_data VALUES (52398, 2, 65, 3.39962512, 51, 294);
INSERT INTO public.ecdc_data VALUES (52399, 13, 2723, 68.89177148, 200, 294);
INSERT INTO public.ecdc_data VALUES (52400, 0, 612, 67.27375783, 143, 294);
INSERT INTO public.ecdc_data VALUES (52401, 10, 1940, 28.5653788, 201, 294);
INSERT INTO public.ecdc_data VALUES (52402, 0, 0, 0, 52, 294);
INSERT INTO public.ecdc_data VALUES (52403, 968, 51071, 175.64892826, 101, 294);
INSERT INTO public.ecdc_data VALUES (52404, 0, 0, 208.45485231, 102, 294);
INSERT INTO public.ecdc_data VALUES (52405, 1, 17, 3.95755765, 103, 294);
INSERT INTO public.ecdc_data VALUES (52406, 2, 93, 14.45346308, 144, 294);
INSERT INTO public.ecdc_data VALUES (52407, 10, 1096, 44.83474775, 104, 294);
INSERT INTO public.ecdc_data VALUES (52408, 0, 0, 0.03835703, 145, 294);
INSERT INTO public.ecdc_data VALUES (52409, 0, 0, 0, 53, 294);
INSERT INTO public.ecdc_data VALUES (52410, 0, 3, 0.26404295, 146, 294);
INSERT INTO public.ecdc_data VALUES (52411, 0, 116, 11.26474537, 54, 294);
INSERT INTO public.ecdc_data VALUES (52412, 0, 159, 6.97826557, 55, 294);
INSERT INTO public.ecdc_data VALUES (52413, 6, 82, 2.89681678, 105, 295);
INSERT INTO public.ecdc_data VALUES (52414, 4, 130, 51.00566757, 147, 295);
INSERT INTO public.ecdc_data VALUES (52415, 9, 532, 19.1066585, 1, 295);
INSERT INTO public.ecdc_data VALUES (52416, 0, 2, 72.20027042, 148, 295);
INSERT INTO public.ecdc_data VALUES (52417, 0, 0, 1.30399403, 2, 295);
INSERT INTO public.ecdc_data VALUES (52418, 0, 0, 0, 56, 295);
INSERT INTO public.ecdc_data VALUES (52419, 0, 0, 16.47531277, 57, 295);
INSERT INTO public.ecdc_data VALUES (52420, 196, 4824, 169.64683985, 58, 295);
INSERT INTO public.ecdc_data VALUES (52421, 6, 196, 121.88409482, 149, 295);
INSERT INTO public.ecdc_data VALUES (52422, 0, 8, 14.10967924, 59, 295);
INSERT INTO public.ecdc_data VALUES (52423, 11, 411, 25.00079355, 202, 295);
INSERT INTO public.ecdc_data VALUES (52424, 1, 131, 18.67075301, 150, 295);
INSERT INTO public.ecdc_data VALUES (52425, 5, 226, 46.45830561, 151, 295);
INSERT INTO public.ecdc_data VALUES (52426, 0, 36, 133.76604037, 60, 295);
INSERT INTO public.ecdc_data VALUES (52427, 1, 297, 293.45025848, 106, 295);
INSERT INTO public.ecdc_data VALUES (52428, 50, 1918, 20.55246031, 107, 295);
INSERT INTO public.ecdc_data VALUES (52429, 0, 0, 9.05857063, 61, 295);
INSERT INTO public.ecdc_data VALUES (52430, 3, 84, 20.12185465, 152, 295);
INSERT INTO public.ecdc_data VALUES (52431, 5, 814, 57.60542146, 153, 295);
INSERT INTO public.ecdc_data VALUES (52432, 0, 15, 7.42921115, 62, 295);
INSERT INTO public.ecdc_data VALUES (52433, 2, 109, 2.64380991, 3, 295);
INSERT INTO public.ecdc_data VALUES (52434, 0, 0, 6.3991809, 63, 295);
INSERT INTO public.ecdc_data VALUES (52435, 0, 2, 1.70359091, 108, 295);
INSERT INTO public.ecdc_data VALUES (52436, 92, 1515, 182.43562856, 64, 295);
INSERT INTO public.ecdc_data VALUES (52437, 0, 0, 11.54601085, 65, 295);
INSERT INTO public.ecdc_data VALUES (52438, 21, 562, 123.35663336, 154, 295);
INSERT INTO public.ecdc_data VALUES (52439, 0, 0, 12.2411613, 4, 295);
INSERT INTO public.ecdc_data VALUES (52440, 1154, 51603, 304.320523, 66, 295);
INSERT INTO public.ecdc_data VALUES (52441, 0, 0, 3.3296707, 67, 295);
INSERT INTO public.ecdc_data VALUES (52442, 0, 0, 0, 109, 295);
INSERT INTO public.ecdc_data VALUES (52443, 16, 204, 41.49976879, 155, 295);
INSERT INTO public.ecdc_data VALUES (52444, 0, 3, 0.44780417, 5, 295);
INSERT INTO public.ecdc_data VALUES (52445, 0, 0, 0.58106372, 6, 295);
INSERT INTO public.ecdc_data VALUES (52446, 0, 3, 0.27901545, 110, 295);
INSERT INTO public.ecdc_data VALUES (52447, 4, 463, 6.03252687, 7, 295);
INSERT INTO public.ecdc_data VALUES (52448, 11, 760, 16.28663711, 68, 295);
INSERT INTO public.ecdc_data VALUES (52449, 1, 48, 95.28381484, 8, 295);
INSERT INTO public.ecdc_data VALUES (52450, 0, 0, 0, 69, 295);
INSERT INTO public.ecdc_data VALUES (52451, 0, 4, 1.20121917, 9, 295);
INSERT INTO public.ecdc_data VALUES (52452, 0, 2, 0.3072701, 10, 295);
INSERT INTO public.ecdc_data VALUES (52453, 38, 1469, 149.21352773, 70, 295);
INSERT INTO public.ecdc_data VALUES (52454, 4, 107, 0.16983036, 111, 295);
INSERT INTO public.ecdc_data VALUES (52455, 298, 7129, 246.21051131, 71, 295);
INSERT INTO public.ecdc_data VALUES (52456, 0, 2, 5.99371717, 11, 295);
INSERT INTO public.ecdc_data VALUES (52457, 0, 0, 12.91700554, 12, 295);
INSERT INTO public.ecdc_data VALUES (52458, 10, 435, 159.00748896, 72, 295);
INSERT INTO public.ecdc_data VALUES (52459, 1, 73, 6.85161783, 13, 295);
INSERT INTO public.ecdc_data VALUES (52460, 1, 22, 21.981009, 156, 295);
INSERT INTO public.ecdc_data VALUES (52461, 1, 31, 2.22349985, 73, 295);
INSERT INTO public.ecdc_data VALUES (52462, 0, 0, 0.61190897, 74, 295);
INSERT INTO public.ecdc_data VALUES (52463, 0, 25, 15.98357802, 157, 295);
INSERT INTO public.ecdc_data VALUES (52464, 0, 278, 27.81272888, 158, 295);
INSERT INTO public.ecdc_data VALUES (52465, 0, 45, 0.74201611, 14, 295);
INSERT INTO public.ecdc_data VALUES (52466, 0, 77, 13.27918091, 159, 295);
INSERT INTO public.ecdc_data VALUES (52467, 0, 8, 22.70026306, 15, 295);
INSERT INTO public.ecdc_data VALUES (52468, 0, 0, 0, 75, 295);
INSERT INTO public.ecdc_data VALUES (52469, 30, 1178, 181.5632561, 76, 295);
INSERT INTO public.ecdc_data VALUES (52470, 41, 922, 67.60810346, 77, 295);
INSERT INTO public.ecdc_data VALUES (52471, 24, 112, 5.65206569, 16, 295);
INSERT INTO public.ecdc_data VALUES (52472, 0, 419, 88.01357392, 78, 295);
INSERT INTO public.ecdc_data VALUES (52473, 0, 0, 129.05776035, 17, 295);
INSERT INTO public.ecdc_data VALUES (52474, 0, 0, 0.88644446, 18, 295);
INSERT INTO public.ecdc_data VALUES (52475, 0, 11, 5.20825471, 160, 295);
INSERT INTO public.ecdc_data VALUES (52476, 4, 18, 83.78820224, 19, 295);
INSERT INTO public.ecdc_data VALUES (52477, 7, 588, 8.35662596, 20, 295);
INSERT INTO public.ecdc_data VALUES (52478, 0, 0, 0, 79, 295);
INSERT INTO public.ecdc_data VALUES (52479, 0, 2, 73.95689956, 161, 295);
INSERT INTO public.ecdc_data VALUES (52480, 0, 0, 0, 203, 295);
INSERT INTO public.ecdc_data VALUES (52481, 2, 17, 2.39220619, 162, 295);
INSERT INTO public.ecdc_data VALUES (52482, 2, 1039, 22.37778667, 163, 295);
INSERT INTO public.ecdc_data VALUES (52483, 0, 0, 0, 204, 295);
INSERT INTO public.ecdc_data VALUES (52484, 0, 0, 55.83228772, 21, 295);
INSERT INTO public.ecdc_data VALUES (52485, 5, 173, 23.81057854, 22, 295);
INSERT INTO public.ecdc_data VALUES (52486, 0, 15, 3.70299758, 164, 295);
INSERT INTO public.ecdc_data VALUES (52487, 12, 741, 11.10947655, 165, 295);
INSERT INTO public.ecdc_data VALUES (52488, 0, 0, 29.00598721, 23, 295);
INSERT INTO public.ecdc_data VALUES (52489, 0, 1, 26.70147748, 166, 295);
INSERT INTO public.ecdc_data VALUES (52490, 0, 118, 7.52475687, 167, 295);
INSERT INTO public.ecdc_data VALUES (52491, 0, 0, 1.76491352, 80, 295);
INSERT INTO public.ecdc_data VALUES (52492, 0, 0, 0.8928412, 81, 295);
INSERT INTO public.ecdc_data VALUES (52493, 0, 14, 35.26704325, 205, 295);
INSERT INTO public.ecdc_data VALUES (52494, 24, 823, 69.02719658, 82, 295);
INSERT INTO public.ecdc_data VALUES (52495, 0, 0, 0, 168, 295);
INSERT INTO public.ecdc_data VALUES (52496, 2, 125, 6.55378496, 24, 295);
INSERT INTO public.ecdc_data VALUES (52497, 0, 51, 4.06056066, 25, 295);
INSERT INTO public.ecdc_data VALUES (52498, 1, 23, 20.18459966, 83, 295);
INSERT INTO public.ecdc_data VALUES (52499, 5, 21, 3.42712681, 84, 295);
INSERT INTO public.ecdc_data VALUES (52500, 0, 0, 0, 169, 295);
INSERT INTO public.ecdc_data VALUES (52501, 16, 505, 91.8725051, 85, 295);
INSERT INTO public.ecdc_data VALUES (52502, 1, 9, 1.91348275, 170, 295);
INSERT INTO public.ecdc_data VALUES (52503, 0, 3, 22.12940942, 171, 295);
INSERT INTO public.ecdc_data VALUES (52504, 857, 52509, 52.3514128, 112, 295);
INSERT INTO public.ecdc_data VALUES (52505, 86, 1922, 9.3069551, 113, 295);
INSERT INTO public.ecdc_data VALUES (52506, 212, 2751, 43.36908894, 114, 295);
INSERT INTO public.ecdc_data VALUES (52507, 83, 2836, 95.55635112, 115, 295);
INSERT INTO public.ecdc_data VALUES (52508, 0, 45, 9.19612417, 172, 295);
INSERT INTO public.ecdc_data VALUES (52509, 0, 0, 0, 173, 295);
INSERT INTO public.ecdc_data VALUES (52510, 15, 1739, 265.27773816, 116, 295);
INSERT INTO public.ecdc_data VALUES (52511, 5, 190, 6.07526107, 174, 295);
INSERT INTO public.ecdc_data VALUES (52512, 0, 15, 3.76491083, 86, 295);
INSERT INTO public.ecdc_data VALUES (52513, 6, 1271, 11.6868714, 117, 295);
INSERT INTO public.ecdc_data VALUES (52514, 0, 4, 11.13213848, 175, 295);
INSERT INTO public.ecdc_data VALUES (52515, 0, 6, 1.09882528, 118, 295);
INSERT INTO public.ecdc_data VALUES (52516, 0, 2861, 149.76205605, 119, 295);
INSERT INTO public.ecdc_data VALUES (52517, 6, 605, 17.18340942, 26, 295);
INSERT INTO public.ecdc_data VALUES (52518, 40, 225, 188.87899179, 176, 295);
INSERT INTO public.ecdc_data VALUES (52519, 4, 475, 198.23739855, 120, 295);
INSERT INTO public.ecdc_data VALUES (52520, 11, 569, 136.39655908, 121, 295);
INSERT INTO public.ecdc_data VALUES (52521, 0, 0, 0.01394806, 122, 295);
INSERT INTO public.ecdc_data VALUES (52522, 0, 3, 2.91671528, 177, 295);
INSERT INTO public.ecdc_data VALUES (52523, 0, 0, 30.36885025, 123, 295);
INSERT INTO public.ecdc_data VALUES (52524, 2, 8, 17.26841851, 27, 295);
INSERT INTO public.ecdc_data VALUES (52525, 0, 2, 2.18739759, 28, 295);
INSERT INTO public.ecdc_data VALUES (52526, 0, 0, 29.14074063, 29, 295);
INSERT INTO public.ecdc_data VALUES (52527, 0, 0, 5.21131898, 178, 295);
INSERT INTO public.ecdc_data VALUES (52528, 0, 17, 6.72826127, 179, 295);
INSERT INTO public.ecdc_data VALUES (52529, 0, 53, 194.17032908, 180, 295);
INSERT INTO public.ecdc_data VALUES (52530, 5, 235, 16.11832355, 30, 295);
INSERT INTO public.ecdc_data VALUES (52531, 5, 74, 6.43092029, 31, 295);
INSERT INTO public.ecdc_data VALUES (52532, 0, 1, 0.58529338, 124, 295);
INSERT INTO public.ecdc_data VALUES (52533, 1, 153, 264.05151453, 125, 295);
INSERT INTO public.ecdc_data VALUES (52534, 0, 0, 0.33574078, 32, 295);
INSERT INTO public.ecdc_data VALUES (52535, 0, 21, 28.97323319, 181, 295);
INSERT INTO public.ecdc_data VALUES (52536, 0, 59, 10.14208195, 33, 295);
INSERT INTO public.ecdc_data VALUES (52537, 0, 0, 0.07876062, 34, 295);
INSERT INTO public.ecdc_data VALUES (52538, 857, 7286, 70.95874946, 87, 295);
INSERT INTO public.ecdc_data VALUES (52539, 10, 332, 108.13062139, 182, 295);
INSERT INTO public.ecdc_data VALUES (52540, 0, 2, 27.20265982, 183, 295);
INSERT INTO public.ecdc_data VALUES (52541, 0, 0, 0.18603694, 126, 295);
INSERT INTO public.ecdc_data VALUES (52542, 1, 60, 231.60425728, 184, 295);
INSERT INTO public.ecdc_data VALUES (52543, 0, 0, 20.03606492, 88, 295);
INSERT INTO public.ecdc_data VALUES (52544, 16, 1021, 25.97899976, 35, 295);
INSERT INTO public.ecdc_data VALUES (52545, 1, 56, 1.62352401, 36, 295);
INSERT INTO public.ecdc_data VALUES (52546, 0, 1, 0.02775443, 127, 295);
INSERT INTO public.ecdc_data VALUES (52547, 0, 64, 44.2569404, 37, 295);
INSERT INTO public.ecdc_data VALUES (52548, 1, 259, 10.71351859, 128, 295);
INSERT INTO public.ecdc_data VALUES (52549, 1, 540, 22.46246607, 185, 295);
INSERT INTO public.ecdc_data VALUES (52550, 0, 0, 0, 207, 295);
INSERT INTO public.ecdc_data VALUES (52551, 0, 2, 0.29269953, 208, 295);
INSERT INTO public.ecdc_data VALUES (52552, 7, 230, 7.07355875, 89, 295);
INSERT INTO public.ecdc_data VALUES (52553, 0, 0, 0.16730501, 38, 295);
INSERT INTO public.ecdc_data VALUES (52554, 14, 304, 3.30010007, 39, 295);
INSERT INTO public.ecdc_data VALUES (52555, 0, 0, 83.19163154, 186, 295);
INSERT INTO public.ecdc_data VALUES (52556, 0, 0, 13.98283607, 209, 295);
INSERT INTO public.ecdc_data VALUES (52557, 0, 65, 5.53656649, 187, 295);
INSERT INTO public.ecdc_data VALUES (52558, 0, 0, 186.37215899, 129, 295);
INSERT INTO public.ecdc_data VALUES (52559, 15, 675, 6.32973007, 130, 295);
INSERT INTO public.ecdc_data VALUES (52560, 0, 604, 114.52553106, 131, 295);
INSERT INTO public.ecdc_data VALUES (52561, 25, 968, 336.06974313, 90, 295);
INSERT INTO public.ecdc_data VALUES (52562, 0, 3, 0.99132658, 210, 295);
INSERT INTO public.ecdc_data VALUES (52563, 4, 128, 28.8872148, 91, 295);
INSERT INTO public.ecdc_data VALUES (52564, 196, 6790, 239.31680823, 92, 295);
INSERT INTO public.ecdc_data VALUES (52565, 11, 6263, 38.68877812, 132, 295);
INSERT INTO public.ecdc_data VALUES (52566, 6, 680, 19.40072281, 188, 295);
INSERT INTO public.ecdc_data VALUES (52567, 1, 112, 27.08089637, 189, 295);
INSERT INTO public.ecdc_data VALUES (52568, 7, 533, 217.6311207, 93, 295);
INSERT INTO public.ecdc_data VALUES (52569, 0, 216, 145.05286061, 133, 295);
INSERT INTO public.ecdc_data VALUES (52570, 48, 1232, 82.96909448, 190, 295);
INSERT INTO public.ecdc_data VALUES (52571, 144, 5159, 53.53656686, 191, 295);
INSERT INTO public.ecdc_data VALUES (52572, 0, 7, 3.51629191, 40, 295);
INSERT INTO public.ecdc_data VALUES (52573, 0, 0, 0, 94, 295);
INSERT INTO public.ecdc_data VALUES (52574, 0, 0, 1.09412183, 95, 295);
INSERT INTO public.ecdc_data VALUES (52575, 0, 0, 4.5210818, 96, 295);
INSERT INTO public.ecdc_data VALUES (52576, 0, 0, 0, 192, 295);
INSERT INTO public.ecdc_data VALUES (52577, 0, 1, 59.98660764, 41, 295);
INSERT INTO public.ecdc_data VALUES (52578, 35, 1342, 74.73329246, 134, 295);
INSERT INTO public.ecdc_data VALUES (52579, 3, 46, 8.87928238, 42, 295);
INSERT INTO public.ecdc_data VALUES (52580, 7, 287, 73.71013722, 193, 295);
INSERT INTO public.ecdc_data VALUES (52581, 0, 12, 12.27734523, 43, 295);
INSERT INTO public.ecdc_data VALUES (52582, 0, 7, 1.63825174, 44, 295);
INSERT INTO public.ecdc_data VALUES (52583, 0, 295, 84.62628759, 135, 295);
INSERT INTO public.ecdc_data VALUES (52584, 0, 6, 181.6509, 97, 295);
INSERT INTO public.ecdc_data VALUES (52585, 0, 14, 6.36648068, 194, 295);
INSERT INTO public.ecdc_data VALUES (52586, 1, 9, 10.23591624, 195, 295);
INSERT INTO public.ecdc_data VALUES (52587, 0, 0, 0.55041454, 45, 295);
INSERT INTO public.ecdc_data VALUES (52588, 345, 4456, 238.25841704, 46, 295);
INSERT INTO public.ecdc_data VALUES (52589, 1, 33, 1.12639606, 136, 295);
INSERT INTO public.ecdc_data VALUES (52590, 1, 8, 2.04300914, 47, 295);
INSERT INTO public.ecdc_data VALUES (52591, 1, 2953, 81.41967136, 196, 295);
INSERT INTO public.ecdc_data VALUES (52592, 0, 6, 0.48771946, 137, 295);
INSERT INTO public.ecdc_data VALUES (52593, 11, 42, 1.52522922, 48, 295);
INSERT INTO public.ecdc_data VALUES (52594, 0, 88, 146.20813502, 98, 295);
INSERT INTO public.ecdc_data VALUES (52595, 2, 333, 28.40613342, 197, 295);
INSERT INTO public.ecdc_data VALUES (52596, 0, 130, 23.43020275, 198, 295);
INSERT INTO public.ecdc_data VALUES (52597, 0, 45, 2.0620813, 138, 295);
INSERT INTO public.ecdc_data VALUES (52598, 0, 0, 0.08833223, 139, 295);
INSERT INTO public.ecdc_data VALUES (52599, 0, 45, 6.60871666, 140, 295);
INSERT INTO public.ecdc_data VALUES (52600, 0, 7, 0.096229, 141, 295);
INSERT INTO public.ecdc_data VALUES (52601, 0, 1, 0.07733234, 142, 295);
INSERT INTO public.ecdc_data VALUES (52602, 0, 12, 2.44977982, 49, 295);
INSERT INTO public.ecdc_data VALUES (52603, 0, 12, 3.94273995, 99, 295);
INSERT INTO public.ecdc_data VALUES (52604, 0, 19, 1.667419, 50, 295);
INSERT INTO public.ecdc_data VALUES (52605, 18, 1083, 16.38215127, 199, 295);
INSERT INTO public.ecdc_data VALUES (52606, 0, 0, 89.01921768, 100, 295);
INSERT INTO public.ecdc_data VALUES (52607, 0, 8, 0.29591421, 51, 295);
INSERT INTO public.ecdc_data VALUES (52608, 26, 1061, 31.94325144, 200, 295);
INSERT INTO public.ecdc_data VALUES (52609, 0, 189, 39.44516396, 143, 295);
INSERT INTO public.ecdc_data VALUES (52610, 18, 670, 14.08163042, 201, 295);
INSERT INTO public.ecdc_data VALUES (52611, 0, 0, 0, 52, 295);
INSERT INTO public.ecdc_data VALUES (52612, 1403, 57525, 264.09044389, 101, 295);
INSERT INTO public.ecdc_data VALUES (52613, 0, 24, 136.7387334, 102, 295);
INSERT INTO public.ecdc_data VALUES (52614, 1, 9, 5.89300555, 103, 295);
INSERT INTO public.ecdc_data VALUES (52615, 6, 764, 27.72142079, 144, 295);
INSERT INTO public.ecdc_data VALUES (52616, 13, 1232, 30.38312511, 104, 295);
INSERT INTO public.ecdc_data VALUES (52617, 0, 20, 0.28093933, 145, 295);
INSERT INTO public.ecdc_data VALUES (52618, 0, 0, 0, 53, 295);
INSERT INTO public.ecdc_data VALUES (52619, 7, 22, 0.44921593, 146, 295);
INSERT INTO public.ecdc_data VALUES (52620, 0, 0, 18.21843013, 54, 295);
INSERT INTO public.ecdc_data VALUES (52621, 1, 146, 16.39414446, 55, 295);
INSERT INTO public.ecdc_data VALUES (52622, 7, 348, 11.16667666, 105, 296);
INSERT INTO public.ecdc_data VALUES (52623, 2, 67, 32.42004076, 147, 296);
INSERT INTO public.ecdc_data VALUES (52624, 9, 430, 8.98658664, 1, 296);
INSERT INTO public.ecdc_data VALUES (52625, 0, 0, 0, 148, 296);
INSERT INTO public.ecdc_data VALUES (52626, 1, 18, 0.54673485, 2, 296);
INSERT INTO public.ecdc_data VALUES (52627, 0, 0, 0, 56, 296);
INSERT INTO public.ecdc_data VALUES (52628, 0, 0, 43.24769603, 57, 296);
INSERT INTO public.ecdc_data VALUES (52629, 16, 0, 70.5259579, 58, 296);
INSERT INTO public.ecdc_data VALUES (52630, 7, 706, 281.90557076, 149, 296);
INSERT INTO public.ecdc_data VALUES (52631, 0, 1, 3.76258113, 59, 296);
INSERT INTO public.ecdc_data VALUES (52632, 0, 107, 3.67413662, 202, 296);
INSERT INTO public.ecdc_data VALUES (52633, 0, 123, 10.71254208, 150, 296);
INSERT INTO public.ecdc_data VALUES (52634, 6, 534, 75.2708152, 151, 296);
INSERT INTO public.ecdc_data VALUES (52635, 0, 0, 0, 60, 296);
INSERT INTO public.ecdc_data VALUES (52636, 2, 447, 458.57696123, 106, 296);
INSERT INTO public.ecdc_data VALUES (52637, 29, 3288, 31.22060399, 107, 296);
INSERT INTO public.ecdc_data VALUES (52638, 0, 0, 0, 61, 296);
INSERT INTO public.ecdc_data VALUES (52639, 6, 273, 56.43005926, 152, 296);
INSERT INTO public.ecdc_data VALUES (52640, 3, 64, 10.702265, 153, 296);
INSERT INTO public.ecdc_data VALUES (52641, 0, 0, 2.04943756, 62, 296);
INSERT INTO public.ecdc_data VALUES (52642, 0, 0, 4.6520886, 3, 296);
INSERT INTO public.ecdc_data VALUES (52643, 0, 0, 0, 63, 296);
INSERT INTO public.ecdc_data VALUES (52644, 0, 0, 1.31045454, 108, 296);
INSERT INTO public.ecdc_data VALUES (52645, 58, 1253, 126.45592821, 64, 296);
INSERT INTO public.ecdc_data VALUES (52646, 0, 0, 0, 65, 296);
INSERT INTO public.ecdc_data VALUES (52647, 0, 289, 57.40688119, 154, 296);
INSERT INTO public.ecdc_data VALUES (52648, 0, 0, 8.07395745, 4, 296);
INSERT INTO public.ecdc_data VALUES (52649, 1091, 37923, 241.3770012, 66, 296);
INSERT INTO public.ecdc_data VALUES (52650, 0, 0, 0, 67, 296);
INSERT INTO public.ecdc_data VALUES (52651, 0, 0, 0, 109, 296);
INSERT INTO public.ecdc_data VALUES (52652, 2, 180, 25.78557062, 155, 296);
INSERT INTO public.ecdc_data VALUES (52653, 0, 0, 0.41827862, 5, 296);
INSERT INTO public.ecdc_data VALUES (52654, 0, 0, 0.40761187, 6, 296);
INSERT INTO public.ecdc_data VALUES (52655, 0, 0, 0.07278664, 110, 296);
INSERT INTO public.ecdc_data VALUES (52656, 0, 0, 5.06639509, 7, 296);
INSERT INTO public.ecdc_data VALUES (52657, 11, 226, 11.48591493, 68, 296);
INSERT INTO public.ecdc_data VALUES (52658, 1, 38, 101.28451311, 8, 296);
INSERT INTO public.ecdc_data VALUES (52659, 0, 0, 9.23815976, 69, 296);
INSERT INTO public.ecdc_data VALUES (52660, 0, 51, 24.46693792, 9, 296);
INSERT INTO public.ecdc_data VALUES (52661, 0, 0, 0.08152064, 10, 296);
INSERT INTO public.ecdc_data VALUES (52662, 141, 3758, 290.72867373, 70, 296);
INSERT INTO public.ecdc_data VALUES (52663, 0, 18, 0.02120264, 111, 296);
INSERT INTO public.ecdc_data VALUES (52664, 165, 3884, 94.86795474, 71, 296);
INSERT INTO public.ecdc_data VALUES (52665, 0, 0, 7.2864797, 11, 296);
INSERT INTO public.ecdc_data VALUES (52666, 0, 0, 10.110577, 12, 296);
INSERT INTO public.ecdc_data VALUES (52667, 0, 310, 49.41000218, 72, 296);
INSERT INTO public.ecdc_data VALUES (52668, 2, 218, 13.9521026, 13, 296);
INSERT INTO public.ecdc_data VALUES (52669, 1, 86, 19.50323901, 156, 296);
INSERT INTO public.ecdc_data VALUES (52670, 0, 8, 0.52940473, 73, 296);
INSERT INTO public.ecdc_data VALUES (52671, 0, 0, 1.22381794, 74, 296);
INSERT INTO public.ecdc_data VALUES (52672, 0, 3, 1.94086304, 157, 296);
INSERT INTO public.ecdc_data VALUES (52673, -1, 121, 18.70457661, 158, 296);
INSERT INTO public.ecdc_data VALUES (52674, 6, 190, 1.96680358, 14, 296);
INSERT INTO public.ecdc_data VALUES (52675, 0, 0, 7.5954848, 159, 296);
INSERT INTO public.ecdc_data VALUES (52676, 0, 0, 17.56445693, 15, 296);
INSERT INTO public.ecdc_data VALUES (52677, 0, 0, 0, 75, 296);
INSERT INTO public.ecdc_data VALUES (52678, 11, 1036, 96.89954062, 76, 296);
INSERT INTO public.ecdc_data VALUES (52679, 69, 878, 65.34030227, 77, 296);
INSERT INTO public.ecdc_data VALUES (52680, 79, 1324, 20.19861403, 16, 296);
INSERT INTO public.ecdc_data VALUES (52681, 0, 240, 44.64209621, 78, 296);
INSERT INTO public.ecdc_data VALUES (52682, 0, 0, 103.76243932, 17, 296);
INSERT INTO public.ecdc_data VALUES (52683, 0, 0, 2.05883875, 18, 296);
INSERT INTO public.ecdc_data VALUES (52684, 0, 2, 0.90578343, 160, 296);
INSERT INTO public.ecdc_data VALUES (52685, 0, 45, 28.48102093, 19, 296);
INSERT INTO public.ecdc_data VALUES (52686, 0, 0, 1.22860068, 20, 296);
INSERT INTO public.ecdc_data VALUES (52687, 0, 0, 0, 79, 296);
INSERT INTO public.ecdc_data VALUES (52688, 0, 0, 0, 161, 296);
INSERT INTO public.ecdc_data VALUES (52689, 0, 0, 0, 203, 296);
INSERT INTO public.ecdc_data VALUES (52690, 0, 1, 2.3197151, 162, 296);
INSERT INTO public.ecdc_data VALUES (52691, 0, 0, 10.24728335, 163, 296);
INSERT INTO public.ecdc_data VALUES (52692, 0, 0, 0.71611436, 204, 296);
INSERT INTO public.ecdc_data VALUES (52693, 0, 0, 54.86569412, 21, 296);
INSERT INTO public.ecdc_data VALUES (52694, 0, 2, 0.85189905, 22, 296);
INSERT INTO public.ecdc_data VALUES (52695, 0, 2, 1.25101269, 164, 296);
INSERT INTO public.ecdc_data VALUES (52696, 2, 239, 7.84517194, 165, 296);
INSERT INTO public.ecdc_data VALUES (52697, 0, 0, 18.6633786, 23, 296);
INSERT INTO public.ecdc_data VALUES (52698, 0, 0, 5.93366166, 166, 296);
INSERT INTO public.ecdc_data VALUES (52699, 0, 25, 2.37771128, 167, 296);
INSERT INTO public.ecdc_data VALUES (52700, 0, 0, 0, 80, 296);
INSERT INTO public.ecdc_data VALUES (52701, 0, 0, 0, 81, 296);
INSERT INTO public.ecdc_data VALUES (52702, 0, 0, 39.45126872, 205, 296);
INSERT INTO public.ecdc_data VALUES (52703, 40, 1208, 55.43334359, 82, 296);
INSERT INTO public.ecdc_data VALUES (52704, 0, 0, 0, 168, 296);
INSERT INTO public.ecdc_data VALUES (52705, 1, 49, 4.77635463, 24, 296);
INSERT INTO public.ecdc_data VALUES (52706, 1, 55, 11.66109728, 25, 296);
INSERT INTO public.ecdc_data VALUES (52707, 0, 16, 11.36980614, 83, 296);
INSERT INTO public.ecdc_data VALUES (52708, 3, 64, 10.80521587, 84, 296);
INSERT INTO public.ecdc_data VALUES (52709, 0, 0, 0, 169, 296);
INSERT INTO public.ecdc_data VALUES (52710, 24, 805, 109.48978131, 85, 296);
INSERT INTO public.ecdc_data VALUES (52711, 1, 11, 0.910695, 170, 296);
INSERT INTO public.ecdc_data VALUES (52712, 0, 0, 4.2017866, 171, 296);
INSERT INTO public.ecdc_data VALUES (52713, 613, 24850, 19.22574548, 112, 296);
INSERT INTO public.ecdc_data VALUES (52714, 53, 1447, 6.32349714, 113, 296);
INSERT INTO public.ecdc_data VALUES (52715, 148, 2449, 42.56705206, 114, 296);
INSERT INTO public.ecdc_data VALUES (52716, 106, 2334, 74.10876716, 115, 296);
INSERT INTO public.ecdc_data VALUES (52717, 1, 11, 2.7527201, 172, 296);
INSERT INTO public.ecdc_data VALUES (52718, 0, 0, 0, 173, 296);
INSERT INTO public.ecdc_data VALUES (52719, 4, 1115, 100.2069049, 116, 296);
INSERT INTO public.ecdc_data VALUES (52720, 21, 235, 5.20878669, 174, 296);
INSERT INTO public.ecdc_data VALUES (52721, 0, 7, 2.40818621, 86, 296);
INSERT INTO public.ecdc_data VALUES (52722, 0, 240, 1.35818693, 117, 296);
INSERT INTO public.ecdc_data VALUES (52723, 0, 0, 1.85535641, 175, 296);
INSERT INTO public.ecdc_data VALUES (52724, 0, 3, 1.33640912, 118, 296);
INSERT INTO public.ecdc_data VALUES (52725, 0, 1452, 161.42153585, 119, 296);
INSERT INTO public.ecdc_data VALUES (52726, 5, 389, 5.89455234, 26, 296);
INSERT INTO public.ecdc_data VALUES (52727, 0, 0, 55.10128963, 176, 296);
INSERT INTO public.ecdc_data VALUES (52728, 5, 631, 241.4502991, 120, 296);
INSERT INTO public.ecdc_data VALUES (52729, 10, 283, 65.86811321, 121, 296);
INSERT INTO public.ecdc_data VALUES (52730, 0, 0, 0, 122, 296);
INSERT INTO public.ecdc_data VALUES (52731, 0, 1, 0.62501042, 177, 296);
INSERT INTO public.ecdc_data VALUES (52732, 0, 25, 4.65305631, 123, 296);
INSERT INTO public.ecdc_data VALUES (52733, 0, 0, 1.45864026, 27, 296);
INSERT INTO public.ecdc_data VALUES (52734, 0, 36, 5.42798662, 28, 296);
INSERT INTO public.ecdc_data VALUES (52735, 0, 71, 6.92000372, 29, 296);
INSERT INTO public.ecdc_data VALUES (52736, 0, 0, 2.60565949, 178, 296);
INSERT INTO public.ecdc_data VALUES (52737, 0, 3, 1.28839046, 179, 296);
INSERT INTO public.ecdc_data VALUES (52738, 0, 29, 60.43388598, 180, 296);
INSERT INTO public.ecdc_data VALUES (52739, 3, 216, 4.54220068, 30, 296);
INSERT INTO public.ecdc_data VALUES (52740, 1, 115, 5.33047066, 31, 296);
INSERT INTO public.ecdc_data VALUES (52741, 0, 10, 0.31925093, 124, 296);
INSERT INTO public.ecdc_data VALUES (52742, 0, 25, 46.70811384, 125, 296);
INSERT INTO public.ecdc_data VALUES (52743, 1, 18, 1.88218317, 32, 296);
INSERT INTO public.ecdc_data VALUES (52744, 0, 0, 1.41827016, 181, 296);
INSERT INTO public.ecdc_data VALUES (52745, 0, 355, 44.50142276, 33, 296);
INSERT INTO public.ecdc_data VALUES (52746, 0, 0, 0.31504249, 34, 296);
INSERT INTO public.ecdc_data VALUES (52747, 523, 3623, 63.59683604, 87, 296);
INSERT INTO public.ecdc_data VALUES (52748, 8, 227, 91.98027927, 182, 296);
INSERT INTO public.ecdc_data VALUES (52749, 0, 0, 18.13510654, 183, 296);
INSERT INTO public.ecdc_data VALUES (52750, 0, 0, 0.43408618, 126, 296);
INSERT INTO public.ecdc_data VALUES (52751, 1, 57, 58.02160783, 184, 296);
INSERT INTO public.ecdc_data VALUES (52752, 0, 0, 0, 88, 296);
INSERT INTO public.ecdc_data VALUES (52753, 2, 534, 11.02496655, 35, 296);
INSERT INTO public.ecdc_data VALUES (52754, 1, 30, 0.92537576, 36, 296);
INSERT INTO public.ecdc_data VALUES (52755, 0, 7, 0.04810768, 127, 296);
INSERT INTO public.ecdc_data VALUES (52756, 0, 25, 13.18888894, 37, 296);
INSERT INTO public.ecdc_data VALUES (52757, 2, 232, 24.06958859, 128, 296);
INSERT INTO public.ecdc_data VALUES (52758, 6, 61, 6.05248313, 185, 296);
INSERT INTO public.ecdc_data VALUES (52759, 0, 0, 0, 207, 296);
INSERT INTO public.ecdc_data VALUES (52760, 0, 3, 0.4599564, 208, 296);
INSERT INTO public.ecdc_data VALUES (52761, 0, 0, 7.71522066, 89, 296);
INSERT INTO public.ecdc_data VALUES (52762, 0, 0, 0.20162398, 38, 296);
INSERT INTO public.ecdc_data VALUES (52763, 6, 603, 4.15945966, 39, 296);
INSERT INTO public.ecdc_data VALUES (52764, 13, 289, 92.77214929, 186, 296);
INSERT INTO public.ecdc_data VALUES (52765, 0, 0, 1.74785451, 209, 296);
INSERT INTO public.ecdc_data VALUES (52766, 0, 0, 3.50962011, 187, 296);
INSERT INTO public.ecdc_data VALUES (52767, 10, 1177, 332.46284617, 129, 296);
INSERT INTO public.ecdc_data VALUES (52768, 93, 3191, 23.94520079, 130, 296);
INSERT INTO public.ecdc_data VALUES (52769, 1, 561, 65.66398109, 131, 296);
INSERT INTO public.ecdc_data VALUES (52770, 22, 988, 276.96140767, 90, 296);
INSERT INTO public.ecdc_data VALUES (52771, 0, 0, 0.03418368, 210, 296);
INSERT INTO public.ecdc_data VALUES (52772, 1, 36, 14.52168095, 91, 296);
INSERT INTO public.ecdc_data VALUES (52773, 186, 3481, 146.85118901, 92, 296);
INSERT INTO public.ecdc_data VALUES (52774, 10, 1494, 11.49684458, 132, 296);
INSERT INTO public.ecdc_data VALUES (52775, 5, 314, 10.79456533, 188, 296);
INSERT INTO public.ecdc_data VALUES (52776, 7, 413, 46.00735826, 189, 296);
INSERT INTO public.ecdc_data VALUES (52777, 1, 4, 41.7262675, 93, 296);
INSERT INTO public.ecdc_data VALUES (52778, 2, 530, 448.25853589, 133, 296);
INSERT INTO public.ecdc_data VALUES (52779, 23, 416, 24.99168403, 190, 296);
INSERT INTO public.ecdc_data VALUES (52780, 168, 6632, 66.8824902, 191, 296);
INSERT INTO public.ecdc_data VALUES (52781, 0, 11, 3.08863479, 40, 296);
INSERT INTO public.ecdc_data VALUES (52782, 0, 1, 1.8927206, 94, 296);
INSERT INTO public.ecdc_data VALUES (52783, 0, 0, 1.64118275, 95, 296);
INSERT INTO public.ecdc_data VALUES (52784, 0, 0, 0, 96, 296);
INSERT INTO public.ecdc_data VALUES (52785, 0, 0, 5.80500972, 192, 296);
INSERT INTO public.ecdc_data VALUES (52786, 0, 0, 9.76526171, 41, 296);
INSERT INTO public.ecdc_data VALUES (52787, 56, 4128, 150.85561449, 134, 296);
INSERT INTO public.ecdc_data VALUES (52788, 4, 108, 9.41314387, 42, 296);
INSERT INTO public.ecdc_data VALUES (52789, 8, 325, 43.45351164, 193, 296);
INSERT INTO public.ecdc_data VALUES (52790, 0, 0, 0, 43, 296);
INSERT INTO public.ecdc_data VALUES (52791, 0, 9, 2.86694055, 44, 296);
INSERT INTO public.ecdc_data VALUES (52792, 0, 185, 48.77382333, 135, 296);
INSERT INTO public.ecdc_data VALUES (52793, 0, 1, 2.3591026, 97, 296);
INSERT INTO public.ecdc_data VALUES (52794, 0, 29, 2.99059467, 194, 296);
INSERT INTO public.ecdc_data VALUES (52795, 0, 30, 7.68895117, 195, 296);
INSERT INTO public.ecdc_data VALUES (52796, 2, 17, 1.33394583, 45, 296);
INSERT INTO public.ecdc_data VALUES (52797, 74, 10853, 162.73705641, 46, 296);
INSERT INTO public.ecdc_data VALUES (52798, 0, 61, 1.3079469, 136, 296);
INSERT INTO public.ecdc_data VALUES (52799, 0, 0, 9.10368055, 196, 296);
INSERT INTO public.ecdc_data VALUES (52800, 0, 0, 1.55485651, 47, 296);
INSERT INTO public.ecdc_data VALUES (52801, 0, 5, 0.58151166, 137, 296);
INSERT INTO public.ecdc_data VALUES (52802, 0, 0, 2.52959149, 48, 296);
INSERT INTO public.ecdc_data VALUES (52803, 1, 4, 45.23851707, 98, 296);
INSERT INTO public.ecdc_data VALUES (52804, 15, 364, 118.0330561, 197, 296);
INSERT INTO public.ecdc_data VALUES (52805, 0, 97, 10.59157517, 198, 296);
INSERT INTO public.ecdc_data VALUES (52806, 0, 10, 0.82014597, 138, 296);
INSERT INTO public.ecdc_data VALUES (52807, 0, 0, 0.01261889, 139, 296);
INSERT INTO public.ecdc_data VALUES (52808, 0, 51, 8.15361147, 140, 296);
INSERT INTO public.ecdc_data VALUES (52809, 0, 5, 0.06175891, 141, 296);
INSERT INTO public.ecdc_data VALUES (52810, 0, 0, 0, 142, 296);
INSERT INTO public.ecdc_data VALUES (52811, 1, 5, 1.42285192, 49, 296);
INSERT INTO public.ecdc_data VALUES (52812, 0, 0, 0.50180327, 99, 296);
INSERT INTO public.ecdc_data VALUES (52813, 0, 5, 0.256526, 50, 296);
INSERT INTO public.ecdc_data VALUES (52814, 20, 1154, 22.09285653, 199, 296);
INSERT INTO public.ecdc_data VALUES (52815, 0, 1, 86.40100539, 100, 296);
INSERT INTO public.ecdc_data VALUES (52816, 0, 16, 0.38852859, 51, 296);
INSERT INTO public.ecdc_data VALUES (52817, 15, 914, 26.94025589, 200, 296);
INSERT INTO public.ecdc_data VALUES (52818, 3, 716, 64.72527682, 143, 296);
INSERT INTO public.ecdc_data VALUES (52819, 32, 579, 14.33220392, 201, 296);
INSERT INTO public.ecdc_data VALUES (52820, 0, 0, 0, 52, 296);
INSERT INTO public.ecdc_data VALUES (52821, 242, 45221, 177.60112665, 101, 296);
INSERT INTO public.ecdc_data VALUES (52822, 0, 0, 35.379952, 102, 296);
INSERT INTO public.ecdc_data VALUES (52823, 0, 3, 2.77317908, 103, 296);
INSERT INTO public.ecdc_data VALUES (52824, 2, 329, 10.95455467, 144, 296);
INSERT INTO public.ecdc_data VALUES (52825, 3, 213, 10.38019971, 104, 296);
INSERT INTO public.ecdc_data VALUES (52826, 0, 0, 0.00622006, 145, 296);
INSERT INTO public.ecdc_data VALUES (52827, 0, 0, 84.81298222, 53, 296);
INSERT INTO public.ecdc_data VALUES (52828, 2, 8, 1.11446701, 146, 296);
INSERT INTO public.ecdc_data VALUES (52829, 0, 0, 1.13095356, 54, 296);
INSERT INTO public.ecdc_data VALUES (52830, 1, 73, 1.44754628, 55, 296);
INSERT INTO public.ecdc_data VALUES (52831, 6, 787, 24.65185822, 105, 297);
INSERT INTO public.ecdc_data VALUES (52832, 0, 13, 7.96526863, 147, 297);
INSERT INTO public.ecdc_data VALUES (52833, 14, 205, 4.8846709, 1, 297);
INSERT INTO public.ecdc_data VALUES (52834, 0, 1, 118.14589706, 148, 297);
INSERT INTO public.ecdc_data VALUES (52835, 0, 0, 0.08798032, 2, 297);
INSERT INTO public.ecdc_data VALUES (52836, 0, 0, 0, 56, 297);
INSERT INTO public.ecdc_data VALUES (52837, 0, 0, 1.02970705, 57, 297);
INSERT INTO public.ecdc_data VALUES (52838, 5, 0, 20.85051197, 58, 297);
INSERT INTO public.ecdc_data VALUES (52839, 7, 596, 199.10552965, 149, 297);
INSERT INTO public.ecdc_data VALUES (52840, 0, 0, 0, 59, 297);
INSERT INTO public.ecdc_data VALUES (52841, 0, 11, 0.63087227, 202, 297);
INSERT INTO public.ecdc_data VALUES (52842, 0, 36, 4.61689116, 150, 297);
INSERT INTO public.ecdc_data VALUES (52843, 2, 262, 27.59830365, 151, 297);
INSERT INTO public.ecdc_data VALUES (52844, 0, 0, 1.28374319, 60, 297);
INSERT INTO public.ecdc_data VALUES (52845, 1, 481, 312.09556144, 106, 297);
INSERT INTO public.ecdc_data VALUES (52846, 35, 2423, 17.8182655, 107, 297);
INSERT INTO public.ecdc_data VALUES (52847, 0, 0, 0.69681313, 61, 297);
INSERT INTO public.ecdc_data VALUES (52848, 5, 865, 133.40514571, 152, 297);
INSERT INTO public.ecdc_data VALUES (52849, 14, 172, 17.99132802, 153, 297);
INSERT INTO public.ecdc_data VALUES (52850, 0, 0, 0, 62, 297);
INSERT INTO public.ecdc_data VALUES (52851, 0, 17, 1.06769246, 3, 297);
INSERT INTO public.ecdc_data VALUES (52852, 0, 0, 25.59672362, 63, 297);
INSERT INTO public.ecdc_data VALUES (52853, 0, 1, 3.53822727, 108, 297);
INSERT INTO public.ecdc_data VALUES (52854, 15, 607, 61.30406905, 64, 297);
INSERT INTO public.ecdc_data VALUES (52855, 0, 0, 3.84867028, 65, 297);
INSERT INTO public.ecdc_data VALUES (52856, 2, 43, 7.30082236, 154, 297);
INSERT INTO public.ecdc_data VALUES (52857, 0, 0, 0.47749211, 4, 297);
INSERT INTO public.ecdc_data VALUES (52858, 1473, 30916, 144.44240453, 66, 297);
INSERT INTO public.ecdc_data VALUES (52859, 0, 0, 0, 67, 297);
INSERT INTO public.ecdc_data VALUES (52860, 0, 0, 0, 109, 297);
INSERT INTO public.ecdc_data VALUES (52861, 0, 0, 3.04284019, 155, 297);
INSERT INTO public.ecdc_data VALUES (52862, 0, 1, 0.35922752, 5, 297);
INSERT INTO public.ecdc_data VALUES (52863, 0, 0, 0.18212445, 6, 297);
INSERT INTO public.ecdc_data VALUES (52864, 0, 0, 0.01213111, 110, 297);
INSERT INTO public.ecdc_data VALUES (52865, 3, 37, 9.66518239, 7, 297);
INSERT INTO public.ecdc_data VALUES (52866, 139, 641, 33.15064394, 68, 297);
INSERT INTO public.ecdc_data VALUES (52867, 0, 25, 26.54854383, 8, 297);
INSERT INTO public.ecdc_data VALUES (52868, 0, 4, 75.44497136, 69, 297);
INSERT INTO public.ecdc_data VALUES (52869, 0, 99, 17.95506555, 9, 297);
INSERT INTO public.ecdc_data VALUES (52870, 0, 8, 1.5049964, 10, 297);
INSERT INTO public.ecdc_data VALUES (52871, 81, 4664, 320.34026953, 70, 297);
INSERT INTO public.ecdc_data VALUES (52872, 0, 11, 0.00641659, 111, 297);
INSERT INTO public.ecdc_data VALUES (52873, 42, 1766, 33.3535673, 71, 297);
INSERT INTO public.ecdc_data VALUES (52874, 0, 0, 11.51733888, 11, 297);
INSERT INTO public.ecdc_data VALUES (52875, 0, 17, 3.08521284, 12, 297);
INSERT INTO public.ecdc_data VALUES (52876, 0, 37, 5.76516064, 72, 297);
INSERT INTO public.ecdc_data VALUES (52877, 2, 238, 4.0090908, 13, 297);
INSERT INTO public.ecdc_data VALUES (52878, 0, 1, 0.24532376, 156, 297);
INSERT INTO public.ecdc_data VALUES (52879, 0, 12, 1.86173996, 73, 297);
INSERT INTO public.ecdc_data VALUES (52880, 0, 1, 3.05954486, 74, 297);
INSERT INTO public.ecdc_data VALUES (52881, 0, 0, 3.9958945, 157, 297);
INSERT INTO public.ecdc_data VALUES (52882, 2, 56, 6.9484873, 158, 297);
INSERT INTO public.ecdc_data VALUES (52883, 3, 149, 1.95643379, 14, 297);
INSERT INTO public.ecdc_data VALUES (52884, 2, 40, 10.83346925, 159, 297);
INSERT INTO public.ecdc_data VALUES (52885, 0, 119, 206.15125771, 15, 297);
INSERT INTO public.ecdc_data VALUES (52886, 0, 0, 2.78520499, 75, 297);
INSERT INTO public.ecdc_data VALUES (52887, 4, 279, 43.41203713, 76, 297);
INSERT INTO public.ecdc_data VALUES (52888, 0, 0, 32.57805769, 77, 297);
INSERT INTO public.ecdc_data VALUES (52889, 38, 1152, 14.70692595, 16, 297);
INSERT INTO public.ecdc_data VALUES (52890, 1, 76, 17.68019152, 78, 297);
INSERT INTO public.ecdc_data VALUES (52891, 0, 0, 29.72015853, 17, 297);
INSERT INTO public.ecdc_data VALUES (52892, 0, 1, 0.05718997, 18, 297);
INSERT INTO public.ecdc_data VALUES (52893, 0, 10, 6.7933757, 160, 297);
INSERT INTO public.ecdc_data VALUES (52894, 0, 5, 6.96783387, 19, 297);
INSERT INTO public.ecdc_data VALUES (52895, 1, 150, 1.10368848, 20, 297);
INSERT INTO public.ecdc_data VALUES (52896, 0, 0, 0, 79, 297);
INSERT INTO public.ecdc_data VALUES (52897, 0, 0, 0, 161, 297);
INSERT INTO public.ecdc_data VALUES (52898, 0, 0, 0, 203, 297);
INSERT INTO public.ecdc_data VALUES (52899, 1, 0, 7.57531961, 162, 297);
INSERT INTO public.ecdc_data VALUES (52900, 44, 767, 12.35732538, 163, 297);
INSERT INTO public.ecdc_data VALUES (52901, 0, 0, 0, 204, 297);
INSERT INTO public.ecdc_data VALUES (52902, 1, 53, 63.88723443, 21, 297);
INSERT INTO public.ecdc_data VALUES (52903, 0, 0, 0.08518991, 22, 297);
INSERT INTO public.ecdc_data VALUES (52904, 0, 1, 2.00162031, 164, 297);
INSERT INTO public.ecdc_data VALUES (52905, 32, 507, 7.29831057, 165, 297);
INSERT INTO public.ecdc_data VALUES (52906, 0, 337, 7.88681438, 23, 297);
INSERT INTO public.ecdc_data VALUES (52907, 0, 0, 65.27027829, 166, 297);
INSERT INTO public.ecdc_data VALUES (52908, 1, 15, 0.92311144, 167, 297);
INSERT INTO public.ecdc_data VALUES (52909, 0, 0, 3.52982704, 80, 297);
INSERT INTO public.ecdc_data VALUES (52910, 0, 0, 0.8928412, 81, 297);
INSERT INTO public.ecdc_data VALUES (52911, 0, 0, 8.36845094, 205, 297);
INSERT INTO public.ecdc_data VALUES (52912, 15, 394, 20.71498434, 82, 297);
INSERT INTO public.ecdc_data VALUES (52913, 0, 0, 0, 168, 297);
INSERT INTO public.ecdc_data VALUES (52914, 0, 105, 7.23500276, 24, 297);
INSERT INTO public.ecdc_data VALUES (52915, 1, 7, 13.37902679, 25, 297);
INSERT INTO public.ecdc_data VALUES (52916, 0, 0, 3.3215164, 83, 297);
INSERT INTO public.ecdc_data VALUES (52917, 0, 0, 16.92254844, 84, 297);
INSERT INTO public.ecdc_data VALUES (52918, 0, 0, 0, 169, 297);
INSERT INTO public.ecdc_data VALUES (52919, 9, 190, 27.45709444, 85, 297);
INSERT INTO public.ecdc_data VALUES (52920, 5, 23, 2.82417774, 170, 297);
INSERT INTO public.ecdc_data VALUES (52921, 0, 0, 0.84035732, 171, 297);
INSERT INTO public.ecdc_data VALUES (52922, 273, 9851, 7.92751701, 112, 297);
INSERT INTO public.ecdc_data VALUES (52923, 23, 585, 3.19851524, 113, 297);
INSERT INTO public.ecdc_data VALUES (52924, 59, 3574, 42.12683633, 114, 297);
INSERT INTO public.ecdc_data VALUES (52925, 15, 672, 12.62535395, 115, 297);
INSERT INTO public.ecdc_data VALUES (52926, 5, 31, 15.31327994, 172, 297);
INSERT INTO public.ecdc_data VALUES (52927, 0, 0, 0, 173, 297);
INSERT INTO public.ecdc_data VALUES (52928, 0, 133, 10.23549503, 116, 297);
INSERT INTO public.ecdc_data VALUES (52929, 88, 177, 9.95202979, 174, 297);
INSERT INTO public.ecdc_data VALUES (52930, 1, 1, 1.93333259, 86, 297);
INSERT INTO public.ecdc_data VALUES (52931, 4, 46, 0.43433604, 117, 297);
INSERT INTO public.ecdc_data VALUES (52932, 0, 0, 2.78303462, 175, 297);
INSERT INTO public.ecdc_data VALUES (52933, 0, 8, 0.80184547, 118, 297);
INSERT INTO public.ecdc_data VALUES (52934, 4, 245, 25.41583322, 119, 297);
INSERT INTO public.ecdc_data VALUES (52935, 4, 124, 2.34146303, 26, 297);
INSERT INTO public.ecdc_data VALUES (52936, 0, 5, 7.95104381, 176, 297);
INSERT INTO public.ecdc_data VALUES (52937, 6, 562, 268.88027008, 120, 297);
INSERT INTO public.ecdc_data VALUES (52938, 2, 37, 9.13362857, 121, 297);
INSERT INTO public.ecdc_data VALUES (52939, 0, 0, 0, 122, 297);
INSERT INTO public.ecdc_data VALUES (52940, 1, 3, 2.96879948, 177, 297);
INSERT INTO public.ecdc_data VALUES (52941, 1, 50, 4.11336012, 123, 297);
INSERT INTO public.ecdc_data VALUES (52942, 0, 2, 0.14115873, 27, 297);
INSERT INTO public.ecdc_data VALUES (52943, 0, 5, 1.64054819, 28, 297);
INSERT INTO public.ecdc_data VALUES (52944, 0, 0, 1.84435067, 29, 297);
INSERT INTO public.ecdc_data VALUES (52945, 0, 0, 0, 178, 297);
INSERT INTO public.ecdc_data VALUES (52946, 0, 3, 3.32834201, 179, 297);
INSERT INTO public.ecdc_data VALUES (52947, 0, 7, 7.65604485, 180, 297);
INSERT INTO public.ecdc_data VALUES (52948, 1, 49, 2.04677124, 30, 297);
INSERT INTO public.ecdc_data VALUES (52949, 0, 24, 1.72314308, 31, 297);
INSERT INTO public.ecdc_data VALUES (52950, 0, 0, 2.85134903, 124, 297);
INSERT INTO public.ecdc_data VALUES (52951, 0, 22, 123.55049467, 125, 297);
INSERT INTO public.ecdc_data VALUES (52952, 7, 110, 2.61470851, 32, 297);
INSERT INTO public.ecdc_data VALUES (52953, 0, 3, 5.06525056, 181, 297);
INSERT INTO public.ecdc_data VALUES (52954, 8, 116, 13.5006799, 33, 297);
INSERT INTO public.ecdc_data VALUES (52955, 0, 0, 0.23628187, 34, 297);
INSERT INTO public.ecdc_data VALUES (52956, 817, 4870, 42.7323331, 87, 297);
INSERT INTO public.ecdc_data VALUES (52957, 5, 223, 57.23107454, 182, 297);
INSERT INTO public.ecdc_data VALUES (52958, 0, 0, 0, 183, 297);
INSERT INTO public.ecdc_data VALUES (52959, 0, 5, 1.5503078, 126, 297);
INSERT INTO public.ecdc_data VALUES (52960, 0, 0, 0, 184, 297);
INSERT INTO public.ecdc_data VALUES (52961, 0, 0, 0, 88, 297);
INSERT INTO public.ecdc_data VALUES (52962, 2, 81, 2.17154278, 35, 297);
INSERT INTO public.ecdc_data VALUES (52963, 0, 36, 0.62569891, 36, 297);
INSERT INTO public.ecdc_data VALUES (52964, 0, 2, 0.06846093, 127, 297);
INSERT INTO public.ecdc_data VALUES (52965, 0, 0, 0.28061466, 37, 297);
INSERT INTO public.ecdc_data VALUES (52966, 1, 334, 7.50470617, 128, 297);
INSERT INTO public.ecdc_data VALUES (52967, 13, 209, 12.97291317, 185, 297);
INSERT INTO public.ecdc_data VALUES (52968, 0, 0, 0.70732113, 207, 297);
INSERT INTO public.ecdc_data VALUES (52969, 0, 0, 0, 208, 297);
INSERT INTO public.ecdc_data VALUES (52970, 0, 0, 16.6984875, 89, 297);
INSERT INTO public.ecdc_data VALUES (52971, 0, 2, 0.16730501, 38, 297);
INSERT INTO public.ecdc_data VALUES (52972, 8, 350, 2.23921145, 39, 297);
INSERT INTO public.ecdc_data VALUES (52973, 2, 120, 34.37431998, 186, 297);
INSERT INTO public.ecdc_data VALUES (52974, 0, 2, 6.99141803, 209, 297);
INSERT INTO public.ecdc_data VALUES (52975, 1, 31, 3.9225166, 187, 297);
INSERT INTO public.ecdc_data VALUES (52976, 0, 779, 159.7188498, 129, 297);
INSERT INTO public.ecdc_data VALUES (52977, 68, 3985, 17.80294303, 130, 297);
INSERT INTO public.ecdc_data VALUES (52978, 0, 8, 0.82305815, 131, 297);
INSERT INTO public.ecdc_data VALUES (52979, 6, 435, 116.05015024, 90, 297);
INSERT INTO public.ecdc_data VALUES (52980, 0, 0, 0, 210, 297);
INSERT INTO public.ecdc_data VALUES (52981, 0, 16, 3.54879789, 91, 297);
INSERT INTO public.ecdc_data VALUES (52982, 137, 4284, 228.93861059, 92, 297);
INSERT INTO public.ecdc_data VALUES (52983, 10, 634, 6.4263939, 132, 297);
INSERT INTO public.ecdc_data VALUES (52984, 2, 361, 12.91713661, 188, 297);
INSERT INTO public.ecdc_data VALUES (52985, 8, 331, 35.80944974, 189, 297);
INSERT INTO public.ecdc_data VALUES (52986, 0, 485, 54.37369009, 93, 297);
INSERT INTO public.ecdc_data VALUES (52987, 0, 1581, 885.92411702, 133, 297);
INSERT INTO public.ecdc_data VALUES (52988, 11, 238, 11.96015876, 190, 297);
INSERT INTO public.ecdc_data VALUES (52989, 169, 8831, 84.70013421, 191, 297);
INSERT INTO public.ecdc_data VALUES (52990, 0, 13, 0.71276187, 40, 297);
INSERT INTO public.ecdc_data VALUES (52991, 0, 0, 0, 94, 297);
INSERT INTO public.ecdc_data VALUES (52992, 0, 1, 0.54706092, 95, 297);
INSERT INTO public.ecdc_data VALUES (52993, 0, 0, 7.23373089, 96, 297);
INSERT INTO public.ecdc_data VALUES (52994, 0, 0, 84.17264099, 192, 297);
INSERT INTO public.ecdc_data VALUES (52995, 0, 15, 115.32309066, 41, 297);
INSERT INTO public.ecdc_data VALUES (52996, 32, 1975, 81.94107194, 134, 297);
INSERT INTO public.ecdc_data VALUES (52997, 0, 89, 7.41883372, 42, 297);
INSERT INTO public.ecdc_data VALUES (52998, 1, 48, 9.36275267, 193, 297);
INSERT INTO public.ecdc_data VALUES (52999, 0, 0, 0, 43, 297);
INSERT INTO public.ecdc_data VALUES (53000, 0, 5, 4.21081894, 44, 297);
INSERT INTO public.ecdc_data VALUES (53001, 0, 517, 122.49448387, 135, 297);
INSERT INTO public.ecdc_data VALUES (53002, 0, 0, 0, 97, 297);
INSERT INTO public.ecdc_data VALUES (53003, 0, 1, 0.44033296, 194, 297);
INSERT INTO public.ecdc_data VALUES (53004, 0, 2, 0.52861539, 195, 297);
INSERT INTO public.ecdc_data VALUES (53005, 0, 58, 3.95003376, 45, 297);
INSERT INTO public.ecdc_data VALUES (53006, 56, 3267, 36.98026104, 46, 297);
INSERT INTO public.ecdc_data VALUES (53007, 0, 39, 1.02683593, 136, 297);
INSERT INTO public.ecdc_data VALUES (53008, 4, 323, 8.84098645, 47, 297);
INSERT INTO public.ecdc_data VALUES (53009, 1, 318, 13.11117484, 196, 297);
INSERT INTO public.ecdc_data VALUES (53010, 0, 48, 3.47969075, 137, 297);
INSERT INTO public.ecdc_data VALUES (53011, 7, 189, 5.51464959, 48, 297);
INSERT INTO public.ecdc_data VALUES (53012, 0, 8, 12.21267951, 98, 297);
INSERT INTO public.ecdc_data VALUES (53013, 43, 1038, 84.35820076, 197, 297);
INSERT INTO public.ecdc_data VALUES (53014, 0, 20, 2.56304416, 198, 297);
INSERT INTO public.ecdc_data VALUES (53015, 0, 1, 0.38664024, 138, 297);
INSERT INTO public.ecdc_data VALUES (53016, 0, 0, 0.00841259, 139, 297);
INSERT INTO public.ecdc_data VALUES (53017, 1, 189, 23.05540926, 140, 297);
INSERT INTO public.ecdc_data VALUES (53018, 0, 1, 0.09335649, 141, 297);
INSERT INTO public.ecdc_data VALUES (53019, 0, 0, 0, 142, 297);
INSERT INTO public.ecdc_data VALUES (53020, 0, 13, 1.37336142, 49, 297);
INSERT INTO public.ecdc_data VALUES (53021, 0, 0, 0.07168618, 99, 297);
INSERT INTO public.ecdc_data VALUES (53022, 0, 0, 0.35058553, 50, 297);
INSERT INTO public.ecdc_data VALUES (53023, 21, 988, 16.90407779, 199, 297);
INSERT INTO public.ecdc_data VALUES (53024, 0, 0, 0, 100, 297);
INSERT INTO public.ecdc_data VALUES (53025, 0, 15, 0.81771714, 51, 297);
INSERT INTO public.ecdc_data VALUES (53026, 12, 588, 12.96778264, 200, 297);
INSERT INTO public.ecdc_data VALUES (53027, 3, 659, 103.57681869, 143, 297);
INSERT INTO public.ecdc_data VALUES (53028, 130, 1356, 33.65487165, 201, 297);
INSERT INTO public.ecdc_data VALUES (53029, 0, 0, 0, 52, 297);
INSERT INTO public.ecdc_data VALUES (53030, 1036, 21140, 89.761316, 101, 297);
INSERT INTO public.ecdc_data VALUES (53031, 0, 1, 1.91242984, 102, 297);
INSERT INTO public.ecdc_data VALUES (53032, 0, 4, 2.39764442, 103, 297);
INSERT INTO public.ecdc_data VALUES (53033, 0, 91, 2.90767172, 144, 297);
INSERT INTO public.ecdc_data VALUES (53034, 0, 135, 4.22572319, 104, 297);
INSERT INTO public.ecdc_data VALUES (53035, 0, 0, 0.00414671, 145, 297);
INSERT INTO public.ecdc_data VALUES (53036, 0, 0, 2.91866538, 53, 297);
INSERT INTO public.ecdc_data VALUES (53037, 15, 50, 0.89157361, 146, 297);
INSERT INTO public.ecdc_data VALUES (53038, 0, 22, 1.3717011, 54, 297);
INSERT INTO public.ecdc_data VALUES (53039, 0, 15, 1.27001702, 55, 297);
INSERT INTO public.ecdc_data VALUES (53040, 5, 190, 4.89725015, 105, 298);
INSERT INTO public.ecdc_data VALUES (53041, 0, 8, 7.65085014, 147, 298);
INSERT INTO public.ecdc_data VALUES (53042, 2, 174, 4.4828411, 1, 298);
INSERT INTO public.ecdc_data VALUES (53043, 0, 2, 43.32016225, 148, 298);
INSERT INTO public.ecdc_data VALUES (53044, 0, 0, 0.0345637, 2, 298);
INSERT INTO public.ecdc_data VALUES (53045, 0, 0, 0, 56, 298);
INSERT INTO public.ecdc_data VALUES (53046, 0, 0, 2.0594141, 57, 298);
INSERT INTO public.ecdc_data VALUES (53047, 14, 104, 4.14017877, 58, 298);
INSERT INTO public.ecdc_data VALUES (53048, 1, 112, 41.18025728, 149, 298);
INSERT INTO public.ecdc_data VALUES (53049, 0, 0, 2.82193585, 59, 298);
INSERT INTO public.ecdc_data VALUES (53050, 0, 24, 0.79355003, 202, 298);
INSERT INTO public.ecdc_data VALUES (53051, 2, 31, 8.87255856, 150, 298);
INSERT INTO public.ecdc_data VALUES (53052, 1, 52, 5.45397418, 151, 298);
INSERT INTO public.ecdc_data VALUES (53053, 0, 0, 4.87822412, 60, 298);
INSERT INTO public.ecdc_data VALUES (53054, 0, 150, 99.07602165, 106, 298);
INSERT INTO public.ecdc_data VALUES (53055, 5, 688, 4.4128604, 107, 298);
INSERT INTO public.ecdc_data VALUES (53056, 0, 0, 2.43884594, 61, 298);
INSERT INTO public.ecdc_data VALUES (53057, 4, 784, 118.75279624, 152, 298);
INSERT INTO public.ecdc_data VALUES (53058, 95, 670, 76.82759725, 153, 298);
INSERT INTO public.ecdc_data VALUES (53059, 0, 0, 0, 62, 298);
INSERT INTO public.ecdc_data VALUES (53060, 0, 6, 0.35589749, 3, 298);
INSERT INTO public.ecdc_data VALUES (53061, 0, 0, 46.39406156, 63, 298);
INSERT INTO public.ecdc_data VALUES (53062, 0, 0, 0.13104545, 108, 298);
INSERT INTO public.ecdc_data VALUES (53063, 6, 87, 9.40667424, 64, 298);
INSERT INTO public.ecdc_data VALUES (53064, 0, 0, 3.84867028, 65, 298);
INSERT INTO public.ecdc_data VALUES (53065, 1, 69, 18.96396181, 154, 298);
INSERT INTO public.ecdc_data VALUES (53066, 0, 0, 0.13022512, 4, 298);
INSERT INTO public.ecdc_data VALUES (53067, 296, 6633, 31.84039477, 66, 298);
INSERT INTO public.ecdc_data VALUES (53068, 0, 1, 6.65934139, 67, 298);
INSERT INTO public.ecdc_data VALUES (53069, 0, 0, 0, 109, 298);
INSERT INTO public.ecdc_data VALUES (53070, 5, 34, 10.32851388, 155, 298);
INSERT INTO public.ecdc_data VALUES (53071, 1, 10, 0.44780417, 5, 298);
INSERT INTO public.ecdc_data VALUES (53072, 0, 0, 0.11274371, 6, 298);
INSERT INTO public.ecdc_data VALUES (53073, 0, 0, 0, 110, 298);
INSERT INTO public.ecdc_data VALUES (53074, 0, 27, 4.20074101, 7, 298);
INSERT INTO public.ecdc_data VALUES (53075, 172, 1298, 64.01586612, 68, 298);
INSERT INTO public.ecdc_data VALUES (53076, 0, 10, 19.63864886, 8, 298);
INSERT INTO public.ecdc_data VALUES (53077, 0, 1, 13.85723964, 69, 298);
INSERT INTO public.ecdc_data VALUES (53078, 0, 22, 1.72806969, 9, 298);
INSERT INTO public.ecdc_data VALUES (53079, 0, 0, 0.52674874, 10, 298);
INSERT INTO public.ecdc_data VALUES (53080, 10, 980, 53.48238329, 70, 298);
INSERT INTO public.ecdc_data VALUES (53081, 0, 2, 0.00816023, 111, 298);
INSERT INTO public.ecdc_data VALUES (53082, 18, 305, 7.93810929, 71, 298);
INSERT INTO public.ecdc_data VALUES (53083, 1, 1, 0, 11, 298);
INSERT INTO public.ecdc_data VALUES (53084, 0, 7, 1.41250708, 12, 298);
INSERT INTO public.ecdc_data VALUES (53085, 0, 3, 1.58492389, 72, 298);
INSERT INTO public.ecdc_data VALUES (53086, 0, 34, 2.15036587, 13, 298);
INSERT INTO public.ecdc_data VALUES (53087, 1, 5, 5.39712274, 156, 298);
INSERT INTO public.ecdc_data VALUES (53088, 2, 19, 5.12640244, 73, 298);
INSERT INTO public.ecdc_data VALUES (53089, 0, 0, 1.22381794, 74, 298);
INSERT INTO public.ecdc_data VALUES (53090, 0, 2, 11.64517827, 157, 298);
INSERT INTO public.ecdc_data VALUES (53091, 4, 38, 8.49781217, 158, 298);
INSERT INTO public.ecdc_data VALUES (53092, 0, 0, 0.38483444, 14, 298);
INSERT INTO public.ecdc_data VALUES (53093, 9, 147, 37.11625794, 159, 298);
INSERT INTO public.ecdc_data VALUES (53094, 0, 4, 27.73335305, 15, 298);
INSERT INTO public.ecdc_data VALUES (53095, 0, 0, 0, 75, 298);
INSERT INTO public.ecdc_data VALUES (53096, 13, 281, 30.45919636, 76, 298);
INSERT INTO public.ecdc_data VALUES (53097, 5, 2343, 125.20680016, 77, 298);
INSERT INTO public.ecdc_data VALUES (53098, 7, 348, 3.46654716, 16, 298);
INSERT INTO public.ecdc_data VALUES (53099, 1, 32, 5.71778324, 78, 298);
INSERT INTO public.ecdc_data VALUES (53100, 1, 0, 17.40436082, 17, 298);
INSERT INTO public.ecdc_data VALUES (53101, 0, 0, 0, 18, 298);
INSERT INTO public.ecdc_data VALUES (53102, 0, 3, 12.68096798, 160, 298);
INSERT INTO public.ecdc_data VALUES (53103, 0, 4, 8.01300895, 19, 298);
INSERT INTO public.ecdc_data VALUES (53104, 0, 5, 0.02587467, 20, 298);
INSERT INTO public.ecdc_data VALUES (53105, 0, 0, 59.31198102, 79, 298);
INSERT INTO public.ecdc_data VALUES (53106, 0, 0, 4.10871664, 161, 298);
INSERT INTO public.ecdc_data VALUES (53107, 0, 0, 0, 203, 298);
INSERT INTO public.ecdc_data VALUES (53108, 10, 73, 26.44112753, 162, 298);
INSERT INTO public.ecdc_data VALUES (53109, 306, 576, 25.67566001, 163, 298);
INSERT INTO public.ecdc_data VALUES (53110, 0, 0, 0.71611436, 204, 298);
INSERT INTO public.ecdc_data VALUES (53111, 1, 32, 11.36898192, 21, 298);
INSERT INTO public.ecdc_data VALUES (53112, 0, 0, 0.29816467, 22, 298);
INSERT INTO public.ecdc_data VALUES (53113, 0, 4, 4.77886849, 164, 298);
INSERT INTO public.ecdc_data VALUES (53114, 139, 685, 24.57623876, 165, 298);
INSERT INTO public.ecdc_data VALUES (53115, 0, 550, 5.51320872, 23, 298);
INSERT INTO public.ecdc_data VALUES (53116, 0, 0, 32.63513914, 166, 298);
INSERT INTO public.ecdc_data VALUES (53117, 2, 6, 3.60852653, 167, 298);
INSERT INTO public.ecdc_data VALUES (53118, 0, 0, 0, 80, 298);
INSERT INTO public.ecdc_data VALUES (53119, 0, 0, 6.24988839, 81, 298);
INSERT INTO public.ecdc_data VALUES (53120, 0, 0, 7.77070444, 205, 298);
INSERT INTO public.ecdc_data VALUES (53121, 2, 27, 2.4798828, 82, 298);
INSERT INTO public.ecdc_data VALUES (53122, 0, 0, 20.16504312, 168, 298);
INSERT INTO public.ecdc_data VALUES (53123, 2, 124, 8.51913744, 24, 298);
INSERT INTO public.ecdc_data VALUES (53124, 0, 121, 18.89722461, 25, 298);
INSERT INTO public.ecdc_data VALUES (53125, 0, 10, 3.3215164, 83, 298);
INSERT INTO public.ecdc_data VALUES (53126, 3, 15, 0.38177838, 84, 298);
INSERT INTO public.ecdc_data VALUES (53127, 0, 0, 245.39877301, 169, 298);
INSERT INTO public.ecdc_data VALUES (53128, 0, 123, 7.01818109, 85, 298);
INSERT INTO public.ecdc_data VALUES (53129, 12, 30, 9.89485463, 170, 298);
INSERT INTO public.ecdc_data VALUES (53130, 0, 0, 7.28309677, 171, 298);
INSERT INTO public.ecdc_data VALUES (53131, 195, 3900, 2.03693196, 112, 298);
INSERT INTO public.ecdc_data VALUES (53132, 19, 395, 1.78364522, 113, 298);
INSERT INTO public.ecdc_data VALUES (53133, 74, 1223, 18.26231944, 114, 298);
INSERT INTO public.ecdc_data VALUES (53134, 1, 50, 1.96388742, 115, 298);
INSERT INTO public.ecdc_data VALUES (53135, 16, 216, 123.77045169, 172, 298);
INSERT INTO public.ecdc_data VALUES (53136, 1, 4, 29.55467023, 173, 298);
INSERT INTO public.ecdc_data VALUES (53137, 3, 38, 29.73223499, 116, 298);
INSERT INTO public.ecdc_data VALUES (53138, 195, 1221, 50.87844763, 174, 298);
INSERT INTO public.ecdc_data VALUES (53139, 0, 2, 8.41169266, 86, 298);
INSERT INTO public.ecdc_data VALUES (53140, 11, 174, 3.24214907, 117, 298);
INSERT INTO public.ecdc_data VALUES (53141, 0, 1, 40.81784111, 175, 298);
INSERT INTO public.ecdc_data VALUES (53142, 0, 4, 0.39597307, 118, 298);
INSERT INTO public.ecdc_data VALUES (53143, 2, 157, 11.70799358, 119, 298);
INSERT INTO public.ecdc_data VALUES (53144, 0, 25, 0.39753515, 26, 298);
INSERT INTO public.ecdc_data VALUES (53145, 1, 4, 14.28963818, 176, 298);
INSERT INTO public.ecdc_data VALUES (53146, 2, 295, 78.03517739, 120, 298);
INSERT INTO public.ecdc_data VALUES (53147, 1, 13, 3.94335841, 121, 298);
INSERT INTO public.ecdc_data VALUES (53148, 0, 0, 0, 122, 298);
INSERT INTO public.ecdc_data VALUES (53149, 0, 17, 8.17721962, 177, 298);
INSERT INTO public.ecdc_data VALUES (53150, 0, 3, 0.91894215, 123, 298);
INSERT INTO public.ecdc_data VALUES (53151, 0, 8, 1.35699665, 28, 298);
INSERT INTO public.ecdc_data VALUES (53152, 0, 0, 0.17705766, 29, 298);
INSERT INTO public.ecdc_data VALUES (53153, 0, 0, 2.60565949, 178, 298);
INSERT INTO public.ecdc_data VALUES (53154, 0, 9, 2.46941504, 179, 298);
INSERT INTO public.ecdc_data VALUES (53155, 0, 4, 43.98153427, 180, 298);
INSERT INTO public.ecdc_data VALUES (53156, 0, 0, 0.10382173, 30, 298);
INSERT INTO public.ecdc_data VALUES (53157, 0, 2, 0.12883313, 31, 298);
INSERT INTO public.ecdc_data VALUES (53158, 0, 55, 2.90455752, 124, 298);
INSERT INTO public.ecdc_data VALUES (53159, 0, 24, 90.77947932, 125, 298);
INSERT INTO public.ecdc_data VALUES (53160, 2, 17, 1.69905183, 32, 298);
INSERT INTO public.ecdc_data VALUES (53161, 0, 1, 7.49657083, 181, 298);
INSERT INTO public.ecdc_data VALUES (53162, 0, 0, 0.02209604, 33, 298);
INSERT INTO public.ecdc_data VALUES (53163, 0, 0, 0.31504249, 34, 298);
INSERT INTO public.ecdc_data VALUES (53164, 117, 2507, 16.69912731, 87, 298);
INSERT INTO public.ecdc_data VALUES (53165, 7, 127, 42.04530109, 182, 298);
INSERT INTO public.ecdc_data VALUES (53166, 0, 0, 3.02251776, 183, 298);
INSERT INTO public.ecdc_data VALUES (53167, 0, 1, 0.21704309, 126, 298);
INSERT INTO public.ecdc_data VALUES (53168, 0, 1, 1.76797143, 184, 298);
INSERT INTO public.ecdc_data VALUES (53169, 0, 0, 0, 88, 298);
INSERT INTO public.ecdc_data VALUES (53170, 5, 140, 5.47546834, 35, 298);
INSERT INTO public.ecdc_data VALUES (53171, 0, 0, 0.13501924, 36, 298);
INSERT INTO public.ecdc_data VALUES (53172, 0, 6, 0.07771241, 127, 298);
INSERT INTO public.ecdc_data VALUES (53173, 0, 0, 0, 37, 298);
INSERT INTO public.ecdc_data VALUES (53174, 0, 7, 0.17826736, 128, 298);
INSERT INTO public.ecdc_data VALUES (53175, 26, 199, 42.61619335, 185, 298);
INSERT INTO public.ecdc_data VALUES (53176, 0, 0, 0, 207, 298);
INSERT INTO public.ecdc_data VALUES (53177, 0, 0, 0.62721328, 208, 298);
INSERT INTO public.ecdc_data VALUES (53178, 0, 1, 0.09166599, 89, 298);
INSERT INTO public.ecdc_data VALUES (53179, 1, 5, 0.4289872, 38, 298);
INSERT INTO public.ecdc_data VALUES (53180, 6, 244, 1.06337664, 39, 298);
INSERT INTO public.ecdc_data VALUES (53181, 1, 7, 14.10598845, 186, 298);
INSERT INTO public.ecdc_data VALUES (53182, 0, 0, 0, 209, 298);
INSERT INTO public.ecdc_data VALUES (53183, 0, 38, 13.77572814, 187, 298);
INSERT INTO public.ecdc_data VALUES (53184, 0, 69, 22.69350383, 129, 298);
INSERT INTO public.ecdc_data VALUES (53185, 24, 1315, 5.67265348, 130, 298);
INSERT INTO public.ecdc_data VALUES (53186, 0, 2, 3.91454488, 131, 298);
INSERT INTO public.ecdc_data VALUES (53187, 3, 190, 64.26559659, 90, 298);
INSERT INTO public.ecdc_data VALUES (53188, 0, 0, 0.01139456, 210, 298);
INSERT INTO public.ecdc_data VALUES (53189, 0, 19, 2.93840465, 91, 298);
INSERT INTO public.ecdc_data VALUES (53190, 58, 1444, 95.49848907, 92, 298);
INSERT INTO public.ecdc_data VALUES (53191, 16, 262, 2.79882958, 132, 298);
INSERT INTO public.ecdc_data VALUES (53192, 20, 313, 11.62147275, 188, 298);
INSERT INTO public.ecdc_data VALUES (53193, 0, 0, 45.35539273, 189, 298);
INSERT INTO public.ecdc_data VALUES (53194, 0, 35, 20.14724191, 93, 298);
INSERT INTO public.ecdc_data VALUES (53195, 0, 640, 359.3130257, 133, 298);
INSERT INTO public.ecdc_data VALUES (53196, 23, 349, 23.57006309, 190, 298);
INSERT INTO public.ecdc_data VALUES (53197, 76, 10581, 67.28284048, 191, 298);
INSERT INTO public.ecdc_data VALUES (53198, 0, 2, 0.90283171, 40, 298);
INSERT INTO public.ecdc_data VALUES (53199, 0, 0, 0, 94, 298);
INSERT INTO public.ecdc_data VALUES (53200, 0, 0, 1.64118275, 95, 298);
INSERT INTO public.ecdc_data VALUES (53201, 0, 0, 4.5210818, 96, 298);
INSERT INTO public.ecdc_data VALUES (53202, 0, 0, 348.3005834, 192, 298);
INSERT INTO public.ecdc_data VALUES (53203, 2, 156, 79.0521186, 41, 298);
INSERT INTO public.ecdc_data VALUES (53204, 7, 1645, 53.02824641, 134, 298);
INSERT INTO public.ecdc_data VALUES (53205, 1, 89, 5.48588697, 42, 298);
INSERT INTO public.ecdc_data VALUES (53206, 4, 93, 42.03186667, 193, 298);
INSERT INTO public.ecdc_data VALUES (53207, 0, 0, 0, 43, 298);
INSERT INTO public.ecdc_data VALUES (53208, 1, 21, 1.72784364, 44, 298);
INSERT INTO public.ecdc_data VALUES (53209, 0, 573, 185.4473452, 135, 298);
INSERT INTO public.ecdc_data VALUES (53210, 0, 0, 18.87282078, 97, 298);
INSERT INTO public.ecdc_data VALUES (53211, 1, 5, 4.40332958, 194, 298);
INSERT INTO public.ecdc_data VALUES (53212, 1, 6, 5.28615393, 195, 298);
INSERT INTO public.ecdc_data VALUES (53213, 3, 34, 3.36076643, 45, 298);
INSERT INTO public.ecdc_data VALUES (53214, 7, 437, 6.69418718, 46, 298);
INSERT INTO public.ecdc_data VALUES (53215, 2, 3, 0.23621131, 136, 298);
INSERT INTO public.ecdc_data VALUES (53216, 0, 0, 0.37967426, 47, 298);
INSERT INTO public.ecdc_data VALUES (53217, 185, 1039, 46.49417752, 196, 298);
INSERT INTO public.ecdc_data VALUES (53218, 1, 37, 2.11501419, 137, 298);
INSERT INTO public.ecdc_data VALUES (53219, 0, 0, 1.36873556, 48, 298);
INSERT INTO public.ecdc_data VALUES (53220, 0, 0, 0, 98, 298);
INSERT INTO public.ecdc_data VALUES (53221, 84, 477, 78.52252916, 197, 298);
INSERT INTO public.ecdc_data VALUES (53222, 4, 76, 24.24944061, 198, 298);
INSERT INTO public.ecdc_data VALUES (53223, 0, 0, 0.02929093, 138, 298);
INSERT INTO public.ecdc_data VALUES (53224, 0, 2, 0.06730075, 139, 298);
INSERT INTO public.ecdc_data VALUES (53225, 1, 154, 0, 140, 298);
INSERT INTO public.ecdc_data VALUES (53226, 0, 18, 0.28006948, 141, 298);
INSERT INTO public.ecdc_data VALUES (53227, 0, 0, 0.15466469, 142, 298);
INSERT INTO public.ecdc_data VALUES (53228, 0, 2, 0.51965027, 49, 298);
INSERT INTO public.ecdc_data VALUES (53229, 0, 0, 0.14337236, 99, 298);
INSERT INTO public.ecdc_data VALUES (53230, 1, 5, 1.14581613, 50, 298);
INSERT INTO public.ecdc_data VALUES (53231, 64, 1614, 44.7283703, 199, 298);
INSERT INTO public.ecdc_data VALUES (53232, 0, 0, 2.61821228, 100, 298);
INSERT INTO public.ecdc_data VALUES (53233, 0, 8, 0.09261437, 51, 298);
INSERT INTO public.ecdc_data VALUES (53234, 15, 418, 15.04990164, 200, 298);
INSERT INTO public.ecdc_data VALUES (53235, 11, 567, 75.01131464, 143, 298);
INSERT INTO public.ecdc_data VALUES (53236, 272, 2982, 94.88933294, 201, 298);
INSERT INTO public.ecdc_data VALUES (53237, 2, 0, 0.53443244, 52, 298);
INSERT INTO public.ecdc_data VALUES (53238, 1252, 22593, 119.39346302, 101, 298);
INSERT INTO public.ecdc_data VALUES (53239, 0, 0, 11.47457903, 102, 298);
INSERT INTO public.ecdc_data VALUES (53240, 0, 2, 3.52424842, 103, 298);
INSERT INTO public.ecdc_data VALUES (53241, 0, 40, 1.61301497, 144, 298);
INSERT INTO public.ecdc_data VALUES (53242, 0, 4, 0.36821654, 104, 298);
INSERT INTO public.ecdc_data VALUES (53243, 0, 0, 0.00311003, 145, 298);
INSERT INTO public.ecdc_data VALUES (53244, 0, 0, 0, 53, 298);
INSERT INTO public.ecdc_data VALUES (53245, 0, 2, 0.03772042, 146, 298);
INSERT INTO public.ecdc_data VALUES (53246, 0, 13, 0.40311216, 54, 298);
INSERT INTO public.ecdc_data VALUES (53247, 0, 0, 0.06145244, 55, 298);
INSERT INTO public.ecdc_data VALUES (53248, 1, 35, 0.64665783, 105, 299);
INSERT INTO public.ecdc_data VALUES (53249, 2, 29, 8.97839491, 147, 299);
INSERT INTO public.ecdc_data VALUES (53250, 25, 80, 2.58285974, 1, 299);
INSERT INTO public.ecdc_data VALUES (53251, 1, 27, 496.21276763, 148, 299);
INSERT INTO public.ecdc_data VALUES (53252, 0, 2, 0.02513723, 2, 299);
INSERT INTO public.ecdc_data VALUES (53253, 0, 0, 0, 56, 299);
INSERT INTO public.ecdc_data VALUES (53254, 0, 0, 14.41589868, 57, 299);
INSERT INTO public.ecdc_data VALUES (53255, 6, 186, 2.73778812, 58, 299);
INSERT INTO public.ecdc_data VALUES (53256, 0, 52, 21.36775255, 149, 299);
INSERT INTO public.ecdc_data VALUES (53257, 0, 2, 60.20129809, 59, 299);
INSERT INTO public.ecdc_data VALUES (53258, 4, 139, 18.20800533, 202, 299);
INSERT INTO public.ecdc_data VALUES (53259, 18, 241, 98.68181549, 150, 299);
INSERT INTO public.ecdc_data VALUES (53260, 0, 78, 4.65777357, 151, 299);
INSERT INTO public.ecdc_data VALUES (53261, 1, 4, 6.16196731, 60, 299);
INSERT INTO public.ecdc_data VALUES (53262, 0, 45, 23.27616253, 106, 299);
INSERT INTO public.ecdc_data VALUES (53263, 2, 9, 0.02821287, 107, 299);
INSERT INTO public.ecdc_data VALUES (53264, 0, 6, 12.89104282, 61, 299);
INSERT INTO public.ecdc_data VALUES (53265, 1, 43, 3.36422176, 152, 299);
INSERT INTO public.ecdc_data VALUES (53266, 271, 923, 150.16342778, 153, 299);
INSERT INTO public.ecdc_data VALUES (53267, 0, 0, 0, 62, 299);
INSERT INTO public.ecdc_data VALUES (53268, 0, 0, 0.1186325, 3, 299);
INSERT INTO public.ecdc_data VALUES (53269, 0, 2, 55.99283292, 63, 299);
INSERT INTO public.ecdc_data VALUES (53270, 0, 0, 0.39313636, 108, 299);
INSERT INTO public.ecdc_data VALUES (53271, 0, 18, 1.18994863, 64, 299);
INSERT INTO public.ecdc_data VALUES (53272, 0, 0, 0, 65, 299);
INSERT INTO public.ecdc_data VALUES (53273, 3, 46, 16.3586891, 154, 299);
INSERT INTO public.ecdc_data VALUES (53274, 0, 0, 0, 4, 299);
INSERT INTO public.ecdc_data VALUES (53275, 73, 1222, 4.33547541, 66, 299);
INSERT INTO public.ecdc_data VALUES (53276, 0, 0, 0, 67, 299);
INSERT INTO public.ecdc_data VALUES (53277, 0, 2, 12.00103394, 109, 299);
INSERT INTO public.ecdc_data VALUES (53278, 3, 18, 4.8571158, 155, 299);
INSERT INTO public.ecdc_data VALUES (53279, 0, 14, 1.17118013, 5, 299);
INSERT INTO public.ecdc_data VALUES (53280, 0, 0, 0, 6, 299);
INSERT INTO public.ecdc_data VALUES (53281, 0, 0, 0.38212986, 110, 299);
INSERT INTO public.ecdc_data VALUES (53282, 1, 46, 2.04047033, 7, 299);
INSERT INTO public.ecdc_data VALUES (53283, 44, 1363, 33.62643934, 68, 299);
INSERT INTO public.ecdc_data VALUES (53284, 0, 1, 0.72735737, 8, 299);
INSERT INTO public.ecdc_data VALUES (53285, 0, 6, 49.27018538, 69, 299);
INSERT INTO public.ecdc_data VALUES (53286, 0, 1, 0.12644412, 9, 299);
INSERT INTO public.ecdc_data VALUES (53287, 0, 1, 0.03762491, 10, 299);
INSERT INTO public.ecdc_data VALUES (53288, 5, 424, 19.12195709, 70, 299);
INSERT INTO public.ecdc_data VALUES (53289, 3, 48, 0.08571725, 111, 299);
INSERT INTO public.ecdc_data VALUES (53290, 7, 139, 2.37587055, 71, 299);
INSERT INTO public.ecdc_data VALUES (53291, 2, 4, 0.7620104, 12, 299);
INSERT INTO public.ecdc_data VALUES (53292, 0, 19, 6.30007245, 72, 299);
INSERT INTO public.ecdc_data VALUES (53293, 1, 27, 0.88658846, 13, 299);
INSERT INTO public.ecdc_data VALUES (53294, 4, 47, 22.56978602, 156, 299);
INSERT INTO public.ecdc_data VALUES (53295, 0, 19, 2.32055739, 73, 299);
INSERT INTO public.ecdc_data VALUES (53296, 0, 0, 0, 74, 299);
INSERT INTO public.ecdc_data VALUES (53297, 0, 30, 39.04559772, 157, 299);
INSERT INTO public.ecdc_data VALUES (53298, 6, 282, 32.64850044, 158, 299);
INSERT INTO public.ecdc_data VALUES (53299, 5, 20, 0.15093806, 14, 299);
INSERT INTO public.ecdc_data VALUES (53300, 22, 320, 47.38135758, 159, 299);
INSERT INTO public.ecdc_data VALUES (53301, 0, 10, 5.13580612, 15, 299);
INSERT INTO public.ecdc_data VALUES (53302, 0, 0, 19.49643494, 75, 299);
INSERT INTO public.ecdc_data VALUES (53303, 9, 90, 13.65123261, 76, 299);
INSERT INTO public.ecdc_data VALUES (53304, 27, 97, 16.88188042, 77, 299);
INSERT INTO public.ecdc_data VALUES (53305, 14, 206, 0.69729397, 16, 299);
INSERT INTO public.ecdc_data VALUES (53306, 0, 6, 0.9142255, 78, 299);
INSERT INTO public.ecdc_data VALUES (53307, 0, 0, 0.73747292, 17, 299);
INSERT INTO public.ecdc_data VALUES (53308, 0, 7, 0.80065951, 18, 299);
INSERT INTO public.ecdc_data VALUES (53309, 1, 57, 53.74315001, 160, 299);
INSERT INTO public.ecdc_data VALUES (53310, 0, 0, 0.69678339, 19, 299);
INSERT INTO public.ecdc_data VALUES (53311, 0, 3, 0.02587467, 20, 299);
INSERT INTO public.ecdc_data VALUES (53312, 0, 0, 0, 79, 299);
INSERT INTO public.ecdc_data VALUES (53313, 0, 2, 182.83789058, 161, 299);
INSERT INTO public.ecdc_data VALUES (53314, 0, 0, 1.12365232, 203, 299);
INSERT INTO public.ecdc_data VALUES (53315, 5, 267, 24.66509566, 162, 299);
INSERT INTO public.ecdc_data VALUES (53316, 1053, 4267, 80.79938898, 163, 299);
INSERT INTO public.ecdc_data VALUES (53317, 0, 1, 8.23531518, 204, 299);
INSERT INTO public.ecdc_data VALUES (53318, 0, 0, 0.8285088, 21, 299);
INSERT INTO public.ecdc_data VALUES (53319, 0, 0, 0.12778486, 22, 299);
INSERT INTO public.ecdc_data VALUES (53320, 0, 9, 2.70218742, 164, 299);
INSERT INTO public.ecdc_data VALUES (53321, 184, 5936, 84.620171, 165, 299);
INSERT INTO public.ecdc_data VALUES (53322, 0, 9, 0.6344957, 23, 299);
INSERT INTO public.ecdc_data VALUES (53323, 0, 3, 261.08111315, 166, 299);
INSERT INTO public.ecdc_data VALUES (53324, 9, 60, 10.65774114, 167, 299);
INSERT INTO public.ecdc_data VALUES (53325, 0, 0, 14.11930815, 80, 299);
INSERT INTO public.ecdc_data VALUES (53326, 0, 0, 10.71409439, 81, 299);
INSERT INTO public.ecdc_data VALUES (53327, 0, 6, 46.62422667, 205, 299);
INSERT INTO public.ecdc_data VALUES (53328, 1, 11, 0.2502634, 82, 299);
INSERT INTO public.ecdc_data VALUES (53329, 0, 22, 209.40621704, 168, 299);
INSERT INTO public.ecdc_data VALUES (53330, 0, 59, 0.85347976, 24, 299);
INSERT INTO public.ecdc_data VALUES (53331, 0, 3, 0, 25, 299);
INSERT INTO public.ecdc_data VALUES (53332, 0, 1, 2.42726198, 83, 299);
INSERT INTO public.ecdc_data VALUES (53333, 0, 3, 0.16869277, 84, 299);
INSERT INTO public.ecdc_data VALUES (53334, 0, 0, 736.19631902, 169, 299);
INSERT INTO public.ecdc_data VALUES (53335, 7, 4, 2.48304068, 85, 299);
INSERT INTO public.ecdc_data VALUES (53336, 2, 55, 6.15998189, 170, 299);
INSERT INTO public.ecdc_data VALUES (53337, 0, 53, 264.43243667, 171, 299);
INSERT INTO public.ecdc_data VALUES (53338, 9, 472, 0.22350412, 112, 299);
INSERT INTO public.ecdc_data VALUES (53339, 10, 106, 0.60674238, 113, 299);
INSERT INTO public.ecdc_data VALUES (53340, 292, 5275, 42.37287471, 114, 299);
INSERT INTO public.ecdc_data VALUES (53341, 2, 106, 1.68914669, 115, 299);
INSERT INTO public.ecdc_data VALUES (53342, 17, 331, 77.87139292, 172, 299);
INSERT INTO public.ecdc_data VALUES (53343, 0, 12, 146.59116434, 173, 299);
INSERT INTO public.ecdc_data VALUES (53344, 7, 590, 83.75029477, 116, 299);
INSERT INTO public.ecdc_data VALUES (53345, 681, 4805, 117.71791657, 174, 299);
INSERT INTO public.ecdc_data VALUES (53346, 0, 2, 1.22105216, 86, 299);
INSERT INTO public.ecdc_data VALUES (53347, 1, 336, 1.75389781, 117, 299);
INSERT INTO public.ecdc_data VALUES (53348, 1, 5, 102.97228098, 175, 299);
INSERT INTO public.ecdc_data VALUES (53349, 0, 24, 2.36593911, 118, 299);
INSERT INTO public.ecdc_data VALUES (53350, 0, 0, 2.17772993, 119, 299);
INSERT INTO public.ecdc_data VALUES (53351, 0, 4, 0.22634777, 26, 299);
INSERT INTO public.ecdc_data VALUES (53352, 0, 8, 6.89461142, 176, 299);
INSERT INTO public.ecdc_data VALUES (53353, 1, 137, 7.20215009, 120, 299);
INSERT INTO public.ecdc_data VALUES (53354, 0, 0, 2.02623159, 121, 299);
INSERT INTO public.ecdc_data VALUES (53355, 0, 0, 0, 122, 299);
INSERT INTO public.ecdc_data VALUES (53356, 0, 16, 20.05241754, 177, 299);
INSERT INTO public.ecdc_data VALUES (53357, 1, 26, 4.23005119, 123, 299);
INSERT INTO public.ecdc_data VALUES (53358, 1, 3, 0.14177577, 28, 299);
INSERT INTO public.ecdc_data VALUES (53359, 0, 7, 0, 29, 299);
INSERT INTO public.ecdc_data VALUES (53360, 1, 2, 106.83203919, 178, 299);
INSERT INTO public.ecdc_data VALUES (53361, 0, 0, 23.83522345, 179, 299);
INSERT INTO public.ecdc_data VALUES (53362, 0, 117, 335.39992246, 180, 299);
INSERT INTO public.ecdc_data VALUES (53363, 0, 6, 0.25213849, 30, 299);
INSERT INTO public.ecdc_data VALUES (53364, 0, 1, 0, 31, 299);
INSERT INTO public.ecdc_data VALUES (53365, 4, 150, 7.19879559, 124, 299);
INSERT INTO public.ecdc_data VALUES (53366, 0, 0, 1.13003501, 125, 299);
INSERT INTO public.ecdc_data VALUES (53367, 0, 2, 0, 32, 299);
INSERT INTO public.ecdc_data VALUES (53368, 0, 14, 27.75757306, 181, 299);
INSERT INTO public.ecdc_data VALUES (53369, 0, 0, 0.08838416, 33, 299);
INSERT INTO public.ecdc_data VALUES (53370, 0, 10, 14.33443336, 34, 299);
INSERT INTO public.ecdc_data VALUES (53371, 19, 229, 2.44247468, 87, 299);
INSERT INTO public.ecdc_data VALUES (53372, 4, 161, 16.6202602, 182, 299);
INSERT INTO public.ecdc_data VALUES (53373, 0, 1, 90.67553272, 183, 299);
INSERT INTO public.ecdc_data VALUES (53374, 0, 0, 0.12402462, 126, 299);
INSERT INTO public.ecdc_data VALUES (53375, 0, 27, 30.0555143, 184, 299);
INSERT INTO public.ecdc_data VALUES (53376, 0, 1, 100.18032458, 88, 299);
INSERT INTO public.ecdc_data VALUES (53377, 15, 211, 2.25654003, 35, 299);
INSERT INTO public.ecdc_data VALUES (53378, 0, 0, 0.03293152, 36, 299);
INSERT INTO public.ecdc_data VALUES (53379, 0, 1, 0.03885621, 127, 299);
INSERT INTO public.ecdc_data VALUES (53380, 0, 0, 0.44096589, 37, 299);
INSERT INTO public.ecdc_data VALUES (53381, 0, 0, 0.01747719, 128, 299);
INSERT INTO public.ecdc_data VALUES (53382, 164, 904, 75.19892041, 185, 299);
INSERT INTO public.ecdc_data VALUES (53383, 0, 0, 4.95124789, 207, 299);
INSERT INTO public.ecdc_data VALUES (53384, 0, 48, 16.85113009, 208, 299);
INSERT INTO public.ecdc_data VALUES (53385, 0, 0, 0.04583299, 89, 299);
INSERT INTO public.ecdc_data VALUES (53386, 0, 22, 0.51049476, 38, 299);
INSERT INTO public.ecdc_data VALUES (53387, 2, 20, 0.09354928, 39, 299);
INSERT INTO public.ecdc_data VALUES (53388, 5, 53, 19.1610355, 186, 299);
INSERT INTO public.ecdc_data VALUES (53389, 0, 0, 0, 209, 299);
INSERT INTO public.ecdc_data VALUES (53390, 6, 302, 67.26459082, 187, 299);
INSERT INTO public.ecdc_data VALUES (53391, 1, 46, 4.52262034, 129, 299);
INSERT INTO public.ecdc_data VALUES (53392, 4, 159, 0.83300504, 130, 299);
INSERT INTO public.ecdc_data VALUES (53393, 5, 128, 36.64245815, 90, 299);
INSERT INTO public.ecdc_data VALUES (53394, 0, 0, 0, 210, 299);
INSERT INTO public.ecdc_data VALUES (53395, 0, 8, 1.16400571, 91, 299);
INSERT INTO public.ecdc_data VALUES (53396, 12, 151, 4.3924322, 92, 299);
INSERT INTO public.ecdc_data VALUES (53397, 8, 76, 2.51025231, 132, 299);
INSERT INTO public.ecdc_data VALUES (53398, 8, 244, 8.14003451, 188, 299);
INSERT INTO public.ecdc_data VALUES (53399, 20, 638, 89.95178082, 189, 299);
INSERT INTO public.ecdc_data VALUES (53400, 3, 74, 0, 93, 299);
INSERT INTO public.ecdc_data VALUES (53401, 0, 376, 29.80151274, 133, 299);
INSERT INTO public.ecdc_data VALUES (53402, 8, 430, 16.71949843, 190, 299);
INSERT INTO public.ecdc_data VALUES (53403, 9, 582, 3.033476, 191, 299);
INSERT INTO public.ecdc_data VALUES (53404, 0, 13, 0.67316399, 40, 299);
INSERT INTO public.ecdc_data VALUES (53405, 0, 1, 0, 94, 299);
INSERT INTO public.ecdc_data VALUES (53406, 0, 1, 6.56473098, 95, 299);
INSERT INTO public.ecdc_data VALUES (53407, 0, 0, 0, 96, 299);
INSERT INTO public.ecdc_data VALUES (53408, 0, 8, 313.47052506, 192, 299);
INSERT INTO public.ecdc_data VALUES (53409, 8, 294, 5.21469714, 134, 299);
INSERT INTO public.ecdc_data VALUES (53410, 1, 12, 1.00022324, 42, 299);
INSERT INTO public.ecdc_data VALUES (53411, 5, 148, 21.18107391, 193, 299);
INSERT INTO public.ecdc_data VALUES (53412, 0, 0, 3.06933631, 43, 299);
INSERT INTO public.ecdc_data VALUES (53413, 0, 2, 0, 44, 299);
INSERT INTO public.ecdc_data VALUES (53414, 1, 75, 13.04195841, 135, 299);
INSERT INTO public.ecdc_data VALUES (53415, 0, 0, 0, 97, 299);
INSERT INTO public.ecdc_data VALUES (53416, 0, 21, 5.37573153, 194, 299);
INSERT INTO public.ecdc_data VALUES (53417, 2, 43, 28.54523122, 195, 299);
INSERT INTO public.ecdc_data VALUES (53418, 0, 2, 0.03885279, 45, 299);
INSERT INTO public.ecdc_data VALUES (53419, 2, 80, 2.29685759, 46, 299);
INSERT INTO public.ecdc_data VALUES (53420, 6, 81, 2.61589381, 136, 299);
INSERT INTO public.ecdc_data VALUES (53421, 809, 5533, 217.55729907, 196, 299);
INSERT INTO public.ecdc_data VALUES (53422, 1, 8, 0.37985842, 137, 299);
INSERT INTO public.ecdc_data VALUES (53423, 0, 3, 0.01868581, 48, 299);
INSERT INTO public.ecdc_data VALUES (53424, 0, 0, 0.86004785, 98, 299);
INSERT INTO public.ecdc_data VALUES (53425, 70, 357, 46.36279794, 197, 299);
INSERT INTO public.ecdc_data VALUES (53426, 56, 974, 165.29879302, 198, 299);
INSERT INTO public.ecdc_data VALUES (53427, 0, 0, 0.09373097, 138, 299);
INSERT INTO public.ecdc_data VALUES (53428, 0, 8, 0.88332233, 139, 299);
INSERT INTO public.ecdc_data VALUES (53429, 4, 191, 2.25491835, 141, 299);
INSERT INTO public.ecdc_data VALUES (53430, 0, 0, 0, 142, 299);
INSERT INTO public.ecdc_data VALUES (53431, 0, 1, 0.32168826, 49, 299);
INSERT INTO public.ecdc_data VALUES (53432, 0, 3, 3.87105377, 99, 299);
INSERT INTO public.ecdc_data VALUES (53433, 5, 40, 3.719627, 50, 299);
INSERT INTO public.ecdc_data VALUES (53434, 76, 3013, 28.03159977, 199, 299);
INSERT INTO public.ecdc_data VALUES (53435, 0, 0, 0, 100, 299);
INSERT INTO public.ecdc_data VALUES (53436, 0, 0, 0.10616769, 51, 299);
INSERT INTO public.ecdc_data VALUES (53437, 5, 153, 2.69129792, 200, 299);
INSERT INTO public.ecdc_data VALUES (53438, 1, 241, 13.83753546, 143, 299);
INSERT INTO public.ecdc_data VALUES (53439, 756, 4911, 68.15599152, 201, 299);
INSERT INTO public.ecdc_data VALUES (53440, 0, 0, 0.02585963, 52, 299);
INSERT INTO public.ecdc_data VALUES (53441, 1344, 34272, 86.75795725, 101, 299);
INSERT INTO public.ecdc_data VALUES (53442, 0, 0, 0, 102, 299);
INSERT INTO public.ecdc_data VALUES (53443, 1, 19, 7.36625694, 103, 299);
INSERT INTO public.ecdc_data VALUES (53444, 0, 39, 0.70645204, 144, 299);
INSERT INTO public.ecdc_data VALUES (53445, 2, 0, 0.37873702, 104, 299);
INSERT INTO public.ecdc_data VALUES (53446, 0, 1, 0.15135477, 145, 299);
INSERT INTO public.ecdc_data VALUES (53447, 0, 0, 0.20715486, 54, 299);
INSERT INTO public.ecdc_data VALUES (53448, 0, 0, 0.04779634, 55, 299);
INSERT INTO public.ecdc_data VALUES (53449, 0, 7, 0.02787259, 1, 300);
INSERT INTO public.ecdc_data VALUES (53450, 1, 11, 0.14680675, 202, 300);
INSERT INTO public.ecdc_data VALUES (53451, 0, 5, 0.32735903, 150, 300);
INSERT INTO public.ecdc_data VALUES (53452, 0, 3, 3.16848286, 106, 300);
INSERT INTO public.ecdc_data VALUES (53453, 0, 2, 0.06347588, 152, 300);
INSERT INTO public.ecdc_data VALUES (53454, 0, 53, 0.61978859, 153, 300);
INSERT INTO public.ecdc_data VALUES (53455, 0, 1, 0.00142147, 66, 300);
INSERT INTO public.ecdc_data VALUES (53456, 0, 3, 0.0668252, 68, 300);
INSERT INTO public.ecdc_data VALUES (53457, 0, 2, 0, 70, 300);
INSERT INTO public.ecdc_data VALUES (53458, 31, 117, 0.40766261, 111, 300);
INSERT INTO public.ecdc_data VALUES (53459, 0, 3, 0.07511878, 158, 300);
INSERT INTO public.ecdc_data VALUES (53460, 0, 2, 0.17223322, 159, 300);
INSERT INTO public.ecdc_data VALUES (53461, 0, 3, 0.05755841, 77, 300);
INSERT INTO public.ecdc_data VALUES (53462, 0, 73, 0.40738435, 163, 300);
INSERT INTO public.ecdc_data VALUES (53463, 0, 0, 0.07506076, 164, 300);
INSERT INTO public.ecdc_data VALUES (53464, 0, 66, 0.29752149, 165, 300);
INSERT INTO public.ecdc_data VALUES (53465, 0, 3, 0.09324358, 167, 300);
INSERT INTO public.ecdc_data VALUES (53466, 0, 2, 0, 170, 300);
INSERT INTO public.ecdc_data VALUES (53467, 0, 10, 7.28309677, 171, 300);
INSERT INTO public.ecdc_data VALUES (53468, 0, 22, 0.0018296, 112, 300);
INSERT INTO public.ecdc_data VALUES (53469, 15, 586, 3.52172585, 114, 300);
INSERT INTO public.ecdc_data VALUES (53470, 0, 5, 0.07886076, 115, 300);
INSERT INTO public.ecdc_data VALUES (53471, 0, 4, 0.12234312, 172, 300);
INSERT INTO public.ecdc_data VALUES (53472, 0, 5, 0.1760693, 116, 300);
INSERT INTO public.ecdc_data VALUES (53473, 27, 587, 5.11269584, 174, 300);
INSERT INTO public.ecdc_data VALUES (53474, 0, 49, 0.1836666, 117, 300);
INSERT INTO public.ecdc_data VALUES (53475, 0, 1, 0, 178, 300);
INSERT INTO public.ecdc_data VALUES (53476, 0, 14, 0.08763751, 124, 300);
INSERT INTO public.ecdc_data VALUES (53477, 0, 3, 0.01489314, 87, 300);
INSERT INTO public.ecdc_data VALUES (53478, 0, 10, 0.21987988, 185, 300);
INSERT INTO public.ecdc_data VALUES (53479, 0, 1, 0.06272133, 208, 300);
INSERT INTO public.ecdc_data VALUES (53480, 0, 23, 1.05100923, 187, 300);
INSERT INTO public.ecdc_data VALUES (53481, 0, 8, 0.30150802, 129, 300);
INSERT INTO public.ecdc_data VALUES (53482, 0, 1, 0, 189, 300);
INSERT INTO public.ecdc_data VALUES (53483, 0, 0, 0.00137106, 191, 300);
INSERT INTO public.ecdc_data VALUES (53484, 0, 5, 43.53757293, 192, 300);
INSERT INTO public.ecdc_data VALUES (53485, 0, 2, 0, 42, 300);
INSERT INTO public.ecdc_data VALUES (53486, 0, 2, 0.4823974, 135, 300);
INSERT INTO public.ecdc_data VALUES (53487, 0, 1, 0, 195, 300);
INSERT INTO public.ecdc_data VALUES (53488, 3, 438, 11.09997925, 136, 300);
INSERT INTO public.ecdc_data VALUES (53489, 1, 81, 0.73715738, 196, 300);
INSERT INTO public.ecdc_data VALUES (53490, 0, 30, 0.30302482, 197, 300);
INSERT INTO public.ecdc_data VALUES (53491, 0, 20, 0.66709368, 198, 300);
INSERT INTO public.ecdc_data VALUES (53492, 0, 0, 0.07571334, 139, 300);
INSERT INTO public.ecdc_data VALUES (53493, 0, 4, 0.01723504, 141, 300);
INSERT INTO public.ecdc_data VALUES (53494, 0, 55, 0.23106778, 201, 300);
INSERT INTO public.ecdc_data VALUES (53495, 2, 34, 0.04376036, 101, 300);
INSERT INTO public.ecdc_data VALUES (53496, 0, 0, 0, 105, 301);
INSERT INTO public.ecdc_data VALUES (53497, 0, 0, 0, 1, 301);
INSERT INTO public.ecdc_data VALUES (53498, 0, 0, 0, 149, 301);
INSERT INTO public.ecdc_data VALUES (53499, 0, 1, 0.047613, 202, 301);
INSERT INTO public.ecdc_data VALUES (53500, 0, 0, 0, 150, 301);
INSERT INTO public.ecdc_data VALUES (53501, 0, 0, 0, 151, 301);
INSERT INTO public.ecdc_data VALUES (53502, 0, 0, 0, 106, 301);
INSERT INTO public.ecdc_data VALUES (53503, 0, 0, 0, 152, 301);
INSERT INTO public.ecdc_data VALUES (53504, 0, 0, 0.00872942, 153, 301);
INSERT INTO public.ecdc_data VALUES (53505, 0, 0, 0, 66, 301);
INSERT INTO public.ecdc_data VALUES (53506, 0, 0, 0.00606555, 110, 301);
INSERT INTO public.ecdc_data VALUES (53507, 0, 1, 0.01336504, 68, 301);
INSERT INTO public.ecdc_data VALUES (53508, 0, 10, 0, 214, 301);
INSERT INTO public.ecdc_data VALUES (53509, 66, 3872, 1.65952508, 111, 301);
INSERT INTO public.ecdc_data VALUES (53510, 0, 0, 0, 156, 301);
INSERT INTO public.ecdc_data VALUES (53511, 0, 0, 0, 158, 301);
INSERT INTO public.ecdc_data VALUES (53512, 0, 0, 0, 159, 301);
INSERT INTO public.ecdc_data VALUES (53513, 0, 0, 0, 76, 301);
INSERT INTO public.ecdc_data VALUES (53514, 0, 0, 0, 77, 301);
INSERT INTO public.ecdc_data VALUES (53515, 0, 0, 0, 16, 301);
INSERT INTO public.ecdc_data VALUES (53516, 0, 0, 0, 160, 301);
INSERT INTO public.ecdc_data VALUES (53517, 0, 0, 0.01812277, 162, 301);
INSERT INTO public.ecdc_data VALUES (53518, 0, 0, 0.0089535, 163, 301);
INSERT INTO public.ecdc_data VALUES (53519, 0, 0, 0, 164, 301);
INSERT INTO public.ecdc_data VALUES (53520, 0, 0, 0.01324994, 165, 301);
INSERT INTO public.ecdc_data VALUES (53521, 0, 0, 0, 167, 301);
INSERT INTO public.ecdc_data VALUES (53522, 0, 0, 0, 171, 301);
INSERT INTO public.ecdc_data VALUES (53523, 0, 0, 0.00021955, 112, 301);
INSERT INTO public.ecdc_data VALUES (53524, 0, 0, 0, 113, 301);
INSERT INTO public.ecdc_data VALUES (53525, 0, 0, 0, 114, 301);
INSERT INTO public.ecdc_data VALUES (53526, 0, 0, 0, 115, 301);
INSERT INTO public.ecdc_data VALUES (53527, 0, 0, 0, 172, 301);
INSERT INTO public.ecdc_data VALUES (53528, 0, 0, 0, 116, 301);
INSERT INTO public.ecdc_data VALUES (53529, 0, 0, 0.00497022, 174, 301);
INSERT INTO public.ecdc_data VALUES (53530, 0, 5, 0.01891845, 117, 301);
INSERT INTO public.ecdc_data VALUES (53531, 0, 0, 0, 120, 301);
INSERT INTO public.ecdc_data VALUES (53532, 0, 0, 0, 123, 301);
INSERT INTO public.ecdc_data VALUES (53533, 0, 0, 0, 179, 301);
INSERT INTO public.ecdc_data VALUES (53534, 0, 0, 0, 180, 301);
INSERT INTO public.ecdc_data VALUES (53535, 0, 2, 0.03129911, 124, 301);
INSERT INTO public.ecdc_data VALUES (53536, 0, 0, 0.00078385, 87, 301);
INSERT INTO public.ecdc_data VALUES (53537, 0, 0, 0, 183, 301);
INSERT INTO public.ecdc_data VALUES (53538, 0, 0, 0.00349544, 128, 301);
INSERT INTO public.ecdc_data VALUES (53539, 0, 0, 0, 185, 301);
INSERT INTO public.ecdc_data VALUES (53540, 0, 0, 0, 208, 301);
INSERT INTO public.ecdc_data VALUES (53541, 0, 0, 0, 39, 301);
INSERT INTO public.ecdc_data VALUES (53542, 0, 0, 0, 186, 301);
INSERT INTO public.ecdc_data VALUES (53543, 0, 0, 0, 187, 301);
INSERT INTO public.ecdc_data VALUES (53544, 0, 0, 0, 129, 301);
INSERT INTO public.ecdc_data VALUES (53545, 0, 0, 0, 130, 301);
INSERT INTO public.ecdc_data VALUES (53546, 0, 0, 0.00184985, 132, 301);
INSERT INTO public.ecdc_data VALUES (53547, 0, 0, 0, 133, 301);
INSERT INTO public.ecdc_data VALUES (53548, 0, 0, 0, 190, 301);
INSERT INTO public.ecdc_data VALUES (53549, 0, 0, 0.00137106, 191, 301);
INSERT INTO public.ecdc_data VALUES (53550, 0, 0, 0, 192, 301);
INSERT INTO public.ecdc_data VALUES (53551, 0, 6, 0.41348349, 135, 301);
INSERT INTO public.ecdc_data VALUES (53552, 0, 2, 0.03318671, 136, 301);
INSERT INTO public.ecdc_data VALUES (53553, 0, 0, 0.00213051, 196, 301);
INSERT INTO public.ecdc_data VALUES (53554, 0, 0, 0.00468961, 137, 301);
INSERT INTO public.ecdc_data VALUES (53555, 0, 1, 0, 197, 301);
INSERT INTO public.ecdc_data VALUES (53556, 0, 0, 0, 198, 301);
INSERT INTO public.ecdc_data VALUES (53557, 0, 1, 0.04206297, 139, 301);
INSERT INTO public.ecdc_data VALUES (53558, 0, 6, 0.03016133, 141, 301);
INSERT INTO public.ecdc_data VALUES (53559, 0, 0, 0.05117432, 143, 301);
INSERT INTO public.ecdc_data VALUES (53560, 0, 1, 0.00450132, 201, 301);
INSERT INTO public.ecdc_data VALUES (53561, 0, 0, 0.00303891, 101, 301);
INSERT INTO public.ecdc_data VALUES (53562, 0, 1, 0.01036676, 145, 301);
INSERT INTO public.ecdc_data VALUES (53563, 0, 0, 0, 105, 302);
INSERT INTO public.ecdc_data VALUES (53564, 0, 0, 0, 1, 302);
INSERT INTO public.ecdc_data VALUES (53565, 0, 0, 0, 149, 302);
INSERT INTO public.ecdc_data VALUES (53566, 0, 0, 0, 202, 302);
INSERT INTO public.ecdc_data VALUES (53567, 0, 0, 0, 150, 302);
INSERT INTO public.ecdc_data VALUES (53568, 0, 0, 0, 151, 302);
INSERT INTO public.ecdc_data VALUES (53569, 0, 0, 0, 106, 302);
INSERT INTO public.ecdc_data VALUES (53570, 0, 0, 0, 152, 302);
INSERT INTO public.ecdc_data VALUES (53571, 0, 0, 0, 153, 302);
INSERT INTO public.ecdc_data VALUES (53572, 0, 0, 0, 66, 302);
INSERT INTO public.ecdc_data VALUES (53573, 0, 0, 0, 110, 302);
INSERT INTO public.ecdc_data VALUES (53574, 0, 0, 0, 68, 302);
INSERT INTO public.ecdc_data VALUES (53575, 0, 0, 0, 214, 302);
INSERT INTO public.ecdc_data VALUES (53576, 0, 15, 0, 111, 302);
INSERT INTO public.ecdc_data VALUES (53577, 0, 0, 0, 156, 302);
INSERT INTO public.ecdc_data VALUES (53578, 0, 0, 0, 158, 302);
INSERT INTO public.ecdc_data VALUES (53579, 0, 0, 0, 159, 302);
INSERT INTO public.ecdc_data VALUES (53580, 0, 0, 0, 76, 302);
INSERT INTO public.ecdc_data VALUES (53581, 0, 0, 0, 77, 302);
INSERT INTO public.ecdc_data VALUES (53582, 0, 0, 0, 16, 302);
INSERT INTO public.ecdc_data VALUES (53583, 0, 0, 0, 160, 302);
INSERT INTO public.ecdc_data VALUES (53584, 0, 0, 0, 162, 302);
INSERT INTO public.ecdc_data VALUES (53585, 0, 0, 0, 163, 302);
INSERT INTO public.ecdc_data VALUES (53586, 0, 0, 0, 164, 302);
INSERT INTO public.ecdc_data VALUES (53587, 0, 0, 0, 165, 302);
INSERT INTO public.ecdc_data VALUES (53588, 0, 0, 0, 167, 302);
INSERT INTO public.ecdc_data VALUES (53589, 0, 0, 0, 171, 302);
INSERT INTO public.ecdc_data VALUES (53590, 0, 0, 0, 112, 302);
INSERT INTO public.ecdc_data VALUES (53591, 0, 0, 0, 113, 302);
INSERT INTO public.ecdc_data VALUES (53592, 0, 0, 0, 114, 302);
INSERT INTO public.ecdc_data VALUES (53593, 0, 0, 0, 115, 302);
INSERT INTO public.ecdc_data VALUES (53594, 0, 0, 0, 172, 302);
INSERT INTO public.ecdc_data VALUES (53595, 0, 0, 0, 116, 302);
INSERT INTO public.ecdc_data VALUES (53596, 0, 0, 0, 174, 302);
INSERT INTO public.ecdc_data VALUES (53597, 0, 0, 0, 117, 302);
INSERT INTO public.ecdc_data VALUES (53598, 0, 0, 0, 120, 302);
INSERT INTO public.ecdc_data VALUES (53599, 0, 0, 0, 123, 302);
INSERT INTO public.ecdc_data VALUES (53600, 0, 0, 0, 179, 302);
INSERT INTO public.ecdc_data VALUES (53601, 0, 0, 0, 180, 302);
INSERT INTO public.ecdc_data VALUES (53602, 0, 0, 0, 124, 302);
INSERT INTO public.ecdc_data VALUES (53603, 0, 0, 0, 87, 302);
INSERT INTO public.ecdc_data VALUES (53604, 0, 0, 0, 183, 302);
INSERT INTO public.ecdc_data VALUES (53605, 0, 0, 0, 128, 302);
INSERT INTO public.ecdc_data VALUES (53606, 0, 0, 0, 185, 302);
INSERT INTO public.ecdc_data VALUES (53607, 0, 0, 0, 208, 302);
INSERT INTO public.ecdc_data VALUES (53608, 0, 0, 0, 39, 302);
INSERT INTO public.ecdc_data VALUES (53609, 0, 0, 0, 186, 302);
INSERT INTO public.ecdc_data VALUES (53610, 0, 0, 0, 187, 302);
INSERT INTO public.ecdc_data VALUES (53611, 0, 0, 0, 129, 302);
INSERT INTO public.ecdc_data VALUES (53612, 0, 0, 0, 130, 302);
INSERT INTO public.ecdc_data VALUES (53613, 0, 0, 0, 132, 302);
INSERT INTO public.ecdc_data VALUES (53614, 0, 0, 0, 133, 302);
INSERT INTO public.ecdc_data VALUES (53615, 0, 0, 0, 190, 302);
INSERT INTO public.ecdc_data VALUES (53616, 0, 0, 0, 191, 302);
INSERT INTO public.ecdc_data VALUES (53617, 0, 0, 0, 192, 302);
INSERT INTO public.ecdc_data VALUES (53618, 0, 0, 0, 135, 302);
INSERT INTO public.ecdc_data VALUES (53619, 0, 0, 0, 136, 302);
INSERT INTO public.ecdc_data VALUES (53620, 0, 0, 0, 196, 302);
INSERT INTO public.ecdc_data VALUES (53621, 0, 0, 0, 137, 302);
INSERT INTO public.ecdc_data VALUES (53622, 0, 0, 0, 197, 302);
INSERT INTO public.ecdc_data VALUES (53623, 0, 0, 0, 198, 302);
INSERT INTO public.ecdc_data VALUES (53624, 0, 0, 0, 139, 302);
INSERT INTO public.ecdc_data VALUES (53625, 0, 0, 0, 141, 302);
INSERT INTO public.ecdc_data VALUES (53626, 0, 0, 0, 143, 302);
INSERT INTO public.ecdc_data VALUES (53627, 0, 0, 0, 201, 302);
INSERT INTO public.ecdc_data VALUES (53628, 0, 0, 0, 101, 302);
INSERT INTO public.ecdc_data VALUES (53629, 0, 0, 0, 145, 302);
INSERT INTO public.ecdc_data VALUES (53630, 5, 119, 7.10797874, 105, 303);
INSERT INTO public.ecdc_data VALUES (53631, 13, 782, 345.09177003, 147, 303);
INSERT INTO public.ecdc_data VALUES (53632, 16, 843, 33.15676514, 1, 303);
INSERT INTO public.ecdc_data VALUES (53633, 1, 62, 1100.06957481, 148, 303);
INSERT INTO public.ecdc_data VALUES (53634, 1, 42, 4.52156003, 2, 303);
INSERT INTO public.ecdc_data VALUES (53635, 0, 0, 20.17213556, 56, 303);
INSERT INTO public.ecdc_data VALUES (53636, 0, 0, 5.14853524, 57, 303);
INSERT INTO public.ecdc_data VALUES (53637, 149, 7625, 219.4719039, 58, 303);
INSERT INTO public.ecdc_data VALUES (53638, 23, 1184, 542.51100845, 149, 303);
INSERT INTO public.ecdc_data VALUES (53639, 0, 21, 216.34841501, 59, 303);
INSERT INTO public.ecdc_data VALUES (53640, 0, 16, 0.61500127, 202, 303);
INSERT INTO public.ecdc_data VALUES (53641, 118, 3783, 715.43751817, 150, 303);
INSERT INTO public.ecdc_data VALUES (53642, 40, 4189, 495.02777695, 151, 303);
INSERT INTO public.ecdc_data VALUES (53643, 0, 22, 62.13317038, 60, 303);
INSERT INTO public.ecdc_data VALUES (53644, 0, 162, 128.87194698, 106, 303);
INSERT INTO public.ecdc_data VALUES (53645, 35, 2316, 18.75542335, 107, 303);
INSERT INTO public.ecdc_data VALUES (53646, 0, 2, 9.75538375, 61, 303);
INSERT INTO public.ecdc_data VALUES (53647, 7, 1701, 235.06177103, 152, 303);
INSERT INTO public.ecdc_data VALUES (53648, 93, 2364, 285.45192933, 153, 303);
INSERT INTO public.ecdc_data VALUES (53649, 16, 1382, 568.20656281, 62, 303);
INSERT INTO public.ecdc_data VALUES (53650, 0, 0, 1.17785121, 3, 303);
INSERT INTO public.ecdc_data VALUES (53651, 0, 5, 73.59058041, 63, 303);
INSERT INTO public.ecdc_data VALUES (53652, 0, 3, 5.24181818, 108, 303);
INSERT INTO public.ecdc_data VALUES (53653, 10, 192, 12.42931749, 64, 303);
INSERT INTO public.ecdc_data VALUES (53654, 0, 1, 23.09202171, 65, 303);
INSERT INTO public.ecdc_data VALUES (53655, 39, 1161, 447.80396716, 154, 303);
INSERT INTO public.ecdc_data VALUES (53656, 3, 18, 18.05788333, 4, 303);
INSERT INTO public.ecdc_data VALUES (53657, 755, 50434, 239.43053857, 66, 303);
INSERT INTO public.ecdc_data VALUES (53658, 0, 0, 3.3296707, 67, 303);
INSERT INTO public.ecdc_data VALUES (53659, 0, 0, 0.69236734, 109, 303);
INSERT INTO public.ecdc_data VALUES (53660, 156, 3280, 582.25389887, 155, 303);
INSERT INTO public.ecdc_data VALUES (53661, 0, 52, 1.85026777, 5, 303);
INSERT INTO public.ecdc_data VALUES (53662, 0, 3, 0.43362964, 6, 303);
INSERT INTO public.ecdc_data VALUES (53663, 0, 0, 0.16376994, 110, 303);
INSERT INTO public.ecdc_data VALUES (53664, 0, 0, 6.14846269, 7, 303);
INSERT INTO public.ecdc_data VALUES (53665, 82, 6495, 215.22792284, 68, 303);
INSERT INTO public.ecdc_data VALUES (53666, 1, 71, 170.56530214, 8, 303);
INSERT INTO public.ecdc_data VALUES (53667, 0, 3, 44.6511055, 69, 303);
INSERT INTO public.ecdc_data VALUES (53668, 0, 0, 0.23181423, 9, 303);
INSERT INTO public.ecdc_data VALUES (53669, 0, 3, 0.55183201, 10, 303);
INSERT INTO public.ecdc_data VALUES (53670, 81, 1508, 102.3320187, 70, 303);
INSERT INTO public.ecdc_data VALUES (53671, 0, 17, 0.01255419, 111, 303);
INSERT INTO public.ecdc_data VALUES (53672, 188, 9233, 234.07489829, 71, 303);
INSERT INTO public.ecdc_data VALUES (53673, 0, 2, 2.70304892, 11, 303);
INSERT INTO public.ecdc_data VALUES (53674, 0, 0, 4.81367545, 12, 303);
INSERT INTO public.ecdc_data VALUES (53675, 18, 1165, 282.79004454, 72, 303);
INSERT INTO public.ecdc_data VALUES (53676, 0, 28, 1.18989504, 13, 303);
INSERT INTO public.ecdc_data VALUES (53677, 48, 4534, 1117.10627867, 156, 303);
INSERT INTO public.ecdc_data VALUES (53678, 0, 75, 7.11167016, 73, 303);
INSERT INTO public.ecdc_data VALUES (53679, 0, 82, 721.44067848, 74, 303);
INSERT INTO public.ecdc_data VALUES (53680, 2, 348, 404.61286062, 157, 303);
INSERT INTO public.ecdc_data VALUES (53681, 126, 4621, 524.96760503, 158, 303);
INSERT INTO public.ecdc_data VALUES (53682, 0, 149, 1.46790144, 14, 303);
INSERT INTO public.ecdc_data VALUES (53683, 6, 1605, 310.62260413, 159, 303);
INSERT INTO public.ecdc_data VALUES (53684, 0, 7, 3.1841998, 15, 303);
INSERT INTO public.ecdc_data VALUES (53685, 0, 0, 18.10383244, 75, 303);
INSERT INTO public.ecdc_data VALUES (53686, 1, 812, 91.49864368, 76, 303);
INSERT INTO public.ecdc_data VALUES (53687, 50, 1008, 72.74231326, 77, 303);
INSERT INTO public.ecdc_data VALUES (53688, 19, 432, 5.18089419, 16, 303);
INSERT INTO public.ecdc_data VALUES (53689, 8, 588, 40.42736168, 78, 303);
INSERT INTO public.ecdc_data VALUES (53690, 0, 0, 2.80239708, 17, 303);
INSERT INTO public.ecdc_data VALUES (53691, 0, 17, 1.91586384, 18, 303);
INSERT INTO public.ecdc_data VALUES (53692, 1, 450, 358.84120107, 160, 303);
INSERT INTO public.ecdc_data VALUES (53693, 0, 19, 27.69713962, 19, 303);
INSERT INTO public.ecdc_data VALUES (53694, 9, 595, 6.38122879, 20, 303);
INSERT INTO public.ecdc_data VALUES (53695, 0, 0, 29.65599051, 79, 303);
INSERT INTO public.ecdc_data VALUES (53696, 0, 2, 14.38050825, 161, 303);
INSERT INTO public.ecdc_data VALUES (53697, 0, 2, 1.01128709, 203, 303);
INSERT INTO public.ecdc_data VALUES (53698, 0, 560, 111.56379787, 162, 303);
INSERT INTO public.ecdc_data VALUES (53699, 324, 12696, 255.23898144, 163, 303);
INSERT INTO public.ecdc_data VALUES (53700, 1, 157, 762.30373991, 204, 303);
INSERT INTO public.ecdc_data VALUES (53701, 0, 0, 5.66147683, 21, 303);
INSERT INTO public.ecdc_data VALUES (53702, 0, 2, 2.64088707, 22, 303);
INSERT INTO public.ecdc_data VALUES (53703, 38, 5068, 1491.50737522, 164, 303);
INSERT INTO public.ecdc_data VALUES (53704, 432, 23448, 301.94576766, 165, 303);
INSERT INTO public.ecdc_data VALUES (53705, 0, 0, 3.405894, 23, 303);
INSERT INTO public.ecdc_data VALUES (53706, 0, 3, 317.45089895, 166, 303);
INSERT INTO public.ecdc_data VALUES (53707, 100, 1882, 245.00682963, 167, 303);
INSERT INTO public.ecdc_data VALUES (53708, 0, 0, 0, 80, 303);
INSERT INTO public.ecdc_data VALUES (53709, 0, 0, 4.464206, 81, 303);
INSERT INTO public.ecdc_data VALUES (53710, 0, 22, 314.41465674, 205, 303);
INSERT INTO public.ecdc_data VALUES (53711, 18, 593, 39.74069071, 82, 303);
INSERT INTO public.ecdc_data VALUES (53712, 0, 1, 9.30694298, 168, 303);
INSERT INTO public.ecdc_data VALUES (53713, 0, 43, 3.70363236, 24, 303);
INSERT INTO public.ecdc_data VALUES (53714, 0, 0, 1.09322787, 25, 303);
INSERT INTO public.ecdc_data VALUES (53715, 0, 79, 70.51834818, 83, 303);
INSERT INTO public.ecdc_data VALUES (53716, 0, 17, 0.90561382, 84, 303);
INSERT INTO public.ecdc_data VALUES (53717, 0, 0, 0, 169, 303);
INSERT INTO public.ecdc_data VALUES (53718, 8, 616, 64.35384766, 85, 303);
INSERT INTO public.ecdc_data VALUES (53719, 189, 6212, 738.32806222, 170, 303);
INSERT INTO public.ecdc_data VALUES (53720, 0, 15, 60.78584614, 171, 303);
INSERT INTO public.ecdc_data VALUES (53721, 540, 36595, 41.50956013, 112, 303);
INSERT INTO public.ecdc_data VALUES (53722, 156, 8369, 27.47670918, 113, 303);
INSERT INTO public.ecdc_data VALUES (53723, 358, 13922, 243.14381186, 114, 303);
INSERT INTO public.ecdc_data VALUES (53724, 21, 2039, 75.14922047, 115, 303);
INSERT INTO public.ecdc_data VALUES (53725, 6, 162, 76.56639969, 172, 303);
INSERT INTO public.ecdc_data VALUES (53726, 0, 0, 3.54656043, 173, 303);
INSERT INTO public.ecdc_data VALUES (53727, 8, 1605, 165.93944179, 116, 303);
INSERT INTO public.ecdc_data VALUES (53728, 993, 23219, 590.2976805, 174, 303);
INSERT INTO public.ecdc_data VALUES (53729, 1, 47, 27.91460911, 86, 303);
INSERT INTO public.ecdc_data VALUES (53730, 27, 2405, 23.62047089, 117, 303);
INSERT INTO public.ecdc_data VALUES (53731, 0, 60, 346.0239712, 175, 303);
INSERT INTO public.ecdc_data VALUES (53732, 55, 4029, 612.19416896, 118, 303);
INSERT INTO public.ecdc_data VALUES (53733, 2, 1044, 68.18882083, 119, 303);
INSERT INTO public.ecdc_data VALUES (53734, 16, 1253, 23.27768038, 26, 303);
INSERT INTO public.ecdc_data VALUES (53735, 22, 627, 515.81701701, 176, 303);
INSERT INTO public.ecdc_data VALUES (53736, 2, 314, 112.95253213, 120, 303);
INSERT INTO public.ecdc_data VALUES (53737, 4, 440, 88.3904567, 121, 303);
INSERT INTO public.ecdc_data VALUES (53738, 0, 0, 0.20922089, 122, 303);
INSERT INTO public.ecdc_data VALUES (53739, 11, 930, 395.05866764, 177, 303);
INSERT INTO public.ecdc_data VALUES (53740, 12, 1520, 304.43240808, 123, 303);
INSERT INTO public.ecdc_data VALUES (53741, 0, 3, 4.0936033, 27, 303);
INSERT INTO public.ecdc_data VALUES (53742, 0, 65, 2.51145649, 28, 303);
INSERT INTO public.ecdc_data VALUES (53743, 12, 42, 130.47674399, 29, 303);
INSERT INTO public.ecdc_data VALUES (53744, 0, 40, 812.96576163, 178, 303);
INSERT INTO public.ecdc_data VALUES (53745, 26, 2516, 1041.0910663, 179, 303);
INSERT INTO public.ecdc_data VALUES (53746, 4, 673, 1177.56485647, 180, 303);
INSERT INTO public.ecdc_data VALUES (53747, 4, 172, 1.0382173, 30, 303);
INSERT INTO public.ecdc_data VALUES (53748, 0, 3, 0.22008993, 31, 303);
INSERT INTO public.ecdc_data VALUES (53749, 11, 1075, 54.50740222, 124, 303);
INSERT INTO public.ecdc_data VALUES (53750, 0, 36, 123.17381634, 125, 303);
INSERT INTO public.ecdc_data VALUES (53751, 1, 43, 4.57828338, 32, 303);
INSERT INTO public.ecdc_data VALUES (53752, 2, 96, 309.38550406, 181, 303);
INSERT INTO public.ecdc_data VALUES (53753, 0, 0, 0, 206, 303);
INSERT INTO public.ecdc_data VALUES (53754, 0, 0, 14.93692244, 33, 303);
INSERT INTO public.ecdc_data VALUES (53755, 0, 0, 0.86636685, 34, 303);
INSERT INTO public.ecdc_data VALUES (53756, 608, 11030, 98.05955811, 87, 303);
INSERT INTO public.ecdc_data VALUES (53757, 20, 1727, 453.74299637, 182, 303);
INSERT INTO public.ecdc_data VALUES (53758, 0, 9, 172.28351217, 183, 303);
INSERT INTO public.ecdc_data VALUES (53759, 0, 12, 10.10800684, 126, 303);
INSERT INTO public.ecdc_data VALUES (53760, 6, 581, 1182.12998769, 184, 303);
INSERT INTO public.ecdc_data VALUES (53761, 0, 0, 0, 88, 303);
INSERT INTO public.ecdc_data VALUES (53762, 78, 4434, 156.47720486, 35, 303);
INSERT INTO public.ecdc_data VALUES (53763, 0, 52, 3.93531683, 36, 303);
INSERT INTO public.ecdc_data VALUES (53764, 30, 1418, 37.25754977, 127, 303);
INSERT INTO public.ecdc_data VALUES (53765, 0, 122, 37.56227641, 37, 303);
INSERT INTO public.ecdc_data VALUES (53766, 13, 1343, 78.88854847, 128, 303);
INSERT INTO public.ecdc_data VALUES (53767, 61, 5603, 409.09231096, 185, 303);
INSERT INTO public.ecdc_data VALUES (53768, 0, 1, 1.76830282, 207, 303);
INSERT INTO public.ecdc_data VALUES (53769, 0, 0, 1.17079812, 208, 303);
INSERT INTO public.ecdc_data VALUES (53770, 0, 0, 2.70414665, 89, 303);
INSERT INTO public.ecdc_data VALUES (53771, 0, 0, 1.30841095, 38, 303);
INSERT INTO public.ecdc_data VALUES (53772, 2, 343, 1.22609267, 39, 303);
INSERT INTO public.ecdc_data VALUES (53773, 22, 1341, 674.87285353, 186, 303);
INSERT INTO public.ecdc_data VALUES (53774, 0, 0, 5.24356353, 209, 303);
INSERT INTO public.ecdc_data VALUES (53775, 2, 377, 116.36173636, 187, 303);
INSERT INTO public.ecdc_data VALUES (53776, 5, 184, 59.67848793, 129, 303);
INSERT INTO public.ecdc_data VALUES (53777, 55, 3262, 19.11986673, 130, 303);
INSERT INTO public.ecdc_data VALUES (53778, 19, 2738, 531.77586641, 131, 303);
INSERT INTO public.ecdc_data VALUES (53779, 27, 1880, 474.0441405, 90, 303);
INSERT INTO public.ecdc_data VALUES (53780, 0, 0, 0.74064629, 210, 303);
INSERT INTO public.ecdc_data VALUES (53781, 13, 995, 155.89159359, 91, 303);
INSERT INTO public.ecdc_data VALUES (53782, 28, 1771, 76.67993152, 92, 303);
INSERT INTO public.ecdc_data VALUES (53783, 10, 1056, 20.33267373, 132, 303);
INSERT INTO public.ecdc_data VALUES (53784, 620, 14863, 610.46835299, 188, 303);
INSERT INTO public.ecdc_data VALUES (53785, 79, 3772, 628.69911373, 189, 303);
INSERT INTO public.ecdc_data VALUES (53786, 11, 437, 453.67088884, 93, 303);
INSERT INTO public.ecdc_data VALUES (53787, 0, 221, 99.8562536, 133, 303);
INSERT INTO public.ecdc_data VALUES (53788, 211, 7661, 506.63273731, 190, 303);
INSERT INTO public.ecdc_data VALUES (53789, 554, 28145, 246.74876498, 191, 303);
INSERT INTO public.ecdc_data VALUES (53790, 0, 17, 3.70636175, 40, 303);
INSERT INTO public.ecdc_data VALUES (53791, 0, 0, 5.67816179, 94, 303);
INSERT INTO public.ecdc_data VALUES (53792, 0, 1, 32.276594, 95, 303);
INSERT INTO public.ecdc_data VALUES (53793, 0, 2, 2.71264908, 96, 303);
INSERT INTO public.ecdc_data VALUES (53794, 0, 27, 1033.29173076, 192, 303);
INSERT INTO public.ecdc_data VALUES (53795, 0, 0, 10.69528663, 41, 303);
INSERT INTO public.ecdc_data VALUES (53796, 11, 230, 10.4323124, 134, 303);
INSERT INTO public.ecdc_data VALUES (53797, 2, 44, 2.34408146, 42, 303);
INSERT INTO public.ecdc_data VALUES (53798, 61, 7802, 1365.08072359, 193, 303);
INSERT INTO public.ecdc_data VALUES (53799, 0, 0, 20.46224205, 43, 303);
INSERT INTO public.ecdc_data VALUES (53800, 0, 0, 0.24317799, 44, 303);
INSERT INTO public.ecdc_data VALUES (53801, 0, 9, 1.72284787, 135, 303);
INSERT INTO public.ecdc_data VALUES (53802, 0, 13, 311.40154285, 97, 303);
INSERT INTO public.ecdc_data VALUES (53803, 32, 1982, 360.15566504, 194, 303);
INSERT INTO public.ecdc_data VALUES (53804, 54, 1783, 976.25651879, 195, 303);
INSERT INTO public.ecdc_data VALUES (53805, 0, 0, 0.14929362, 211, 303);
INSERT INTO public.ecdc_data VALUES (53806, 0, 0, 0.92599152, 45, 303);
INSERT INTO public.ecdc_data VALUES (53807, 94, 4400, 70.38118119, 46, 303);
INSERT INTO public.ecdc_data VALUES (53808, 7, 629, 12.32788761, 136, 303);
INSERT INTO public.ecdc_data VALUES (53809, 1, 36, 1.24750116, 47, 303);
INSERT INTO public.ecdc_data VALUES (53810, 214, 8745, 272.52878642, 196, 303);
INSERT INTO public.ecdc_data VALUES (53811, 5, 628, 33.75112445, 137, 303);
INSERT INTO public.ecdc_data VALUES (53812, 6, 99, 7.72191087, 48, 303);
INSERT INTO public.ecdc_data VALUES (53813, 0, 2, 6.53636368, 98, 303);
INSERT INTO public.ecdc_data VALUES (53814, 51, 6990, 697.92481759, 197, 303);
INSERT INTO public.ecdc_data VALUES (53815, 65, 3071, 633.98477177, 198, 303);
INSERT INTO public.ecdc_data VALUES (53816, 6, 88, 6.77206245, 138, 303);
INSERT INTO public.ecdc_data VALUES (53817, 0, 4, 0.34071004, 139, 303);
INSERT INTO public.ecdc_data VALUES (53818, 0, 39, 5.75044177, 140, 303);
INSERT INTO public.ecdc_data VALUES (53819, 0, 0, 0.2111293, 141, 303);
INSERT INTO public.ecdc_data VALUES (53820, 0, 0, 0.07733234, 142, 303);
INSERT INTO public.ecdc_data VALUES (53821, 0, 25, 3.3158636, 49, 303);
INSERT INTO public.ecdc_data VALUES (53822, 0, 21, 35.26960097, 99, 303);
INSERT INTO public.ecdc_data VALUES (53823, 0, 0, 122.14913036, 50, 303);
INSERT INTO public.ecdc_data VALUES (53824, 187, 32381, 343.34228226, 199, 303);
INSERT INTO public.ecdc_data VALUES (53825, 0, 0, 78.54636854, 100, 303);
INSERT INTO public.ecdc_data VALUES (53826, 0, 203, 10.08367212, 51, 303);
INSERT INTO public.ecdc_data VALUES (53827, 243, 14496, 430.17578699, 200, 303);
INSERT INTO public.ecdc_data VALUES (53828, 5, 1317, 179.07940678, 143, 303);
INSERT INTO public.ecdc_data VALUES (53829, 414, 14878, 331.41421042, 201, 303);
INSERT INTO public.ecdc_data VALUES (53830, 0, 0, 0, 52, 303);
INSERT INTO public.ecdc_data VALUES (53831, 2481, 214747, 735.98730065, 101, 303);
INSERT INTO public.ecdc_data VALUES (53832, 0, 24, 137.69494832, 102, 303);
INSERT INTO public.ecdc_data VALUES (53833, 0, 230, 60.02777223, 103, 303);
INSERT INTO public.ecdc_data VALUES (53834, 0, 161, 7.6436292, 144, 303);
INSERT INTO public.ecdc_data VALUES (53835, 0, 0, 0, 212, 303);
INSERT INTO public.ecdc_data VALUES (53836, 0, 0, 15.43704025, 104, 303);
INSERT INTO public.ecdc_data VALUES (53837, 0, 3, 0.05909056, 145, 303);
INSERT INTO public.ecdc_data VALUES (53838, 0, 0, 0, 213, 303);
INSERT INTO public.ecdc_data VALUES (53839, 0, 0, 0, 53, 303);
INSERT INTO public.ecdc_data VALUES (53840, 1, 0, 0.03086216, 146, 303);
INSERT INTO public.ecdc_data VALUES (53841, 0, 30, 2.1275364, 54, 303);
INSERT INTO public.ecdc_data VALUES (53842, 3, 181, 9.40905084, 55, 303);
INSERT INTO public.ecdc_data VALUES (53843, 4, 86, 3.78268543, 105, 304);
INSERT INTO public.ecdc_data VALUES (53844, 5, 381, 148.58020833, 147, 304);
INSERT INTO public.ecdc_data VALUES (53845, 9, 405, 9.61604257, 1, 304);
INSERT INTO public.ecdc_data VALUES (53846, 0, 22, 1689.48632789, 148, 304);
INSERT INTO public.ecdc_data VALUES (53847, 3, 193, 10.68018245, 2, 304);
INSERT INTO public.ecdc_data VALUES (53848, 0, 0, 0, 56, 304);
INSERT INTO public.ecdc_data VALUES (53849, 0, 2, 11.32677753, 57, 304);
INSERT INTO public.ecdc_data VALUES (53850, 429, 12145, 393.64524988, 58, 304);
INSERT INTO public.ecdc_data VALUES (53851, 35, 2374, 1029.70929037, 149, 304);
INSERT INTO public.ecdc_data VALUES (53852, 0, 14, 172.13808673, 59, 304);
INSERT INTO public.ecdc_data VALUES (53853, 0, 8, 0.71419502, 202, 304);
INSERT INTO public.ecdc_data VALUES (53854, 34, 4445, 567.80988342, 150, 304);
INSERT INTO public.ecdc_data VALUES (53855, 15, 1242, 123.44095212, 151, 304);
INSERT INTO public.ecdc_data VALUES (53856, 3, 55, 222.6010691, 60, 304);
INSERT INTO public.ecdc_data VALUES (53857, 1, 230, 233.37094891, 106, 304);
INSERT INTO public.ecdc_data VALUES (53858, 17, 1659, 12.91535987, 107, 304);
INSERT INTO public.ecdc_data VALUES (53859, 0, 0, 5.574505, 61, 304);
INSERT INTO public.ecdc_data VALUES (53860, 3, 929, 131.39507611, 152, 304);
INSERT INTO public.ecdc_data VALUES (53861, 172, 12102, 1773.50323455, 153, 304);
INSERT INTO public.ecdc_data VALUES (53862, 2, 166, 231.586444, 62, 304);
INSERT INTO public.ecdc_data VALUES (53863, 0, 0, 1.5845912, 3, 304);
INSERT INTO public.ecdc_data VALUES (53864, 0, 0, 28.79631407, 63, 304);
INSERT INTO public.ecdc_data VALUES (53865, 0, 2, 3.53822727, 108, 304);
INSERT INTO public.ecdc_data VALUES (53866, 10, 69, 16.49425151, 64, 304);
INSERT INTO public.ecdc_data VALUES (53867, 0, 0, 11.54601085, 65, 304);
INSERT INTO public.ecdc_data VALUES (53868, 37, 1553, 558.34629406, 154, 304);
INSERT INTO public.ecdc_data VALUES (53869, 0, 0, 44.84084971, 4, 304);
INSERT INTO public.ecdc_data VALUES (53870, 243, 11843, 138.40116831, 66, 304);
INSERT INTO public.ecdc_data VALUES (53871, 0, 0, 0, 67, 304);
INSERT INTO public.ecdc_data VALUES (53872, 0, 0, 0.23078911, 109, 304);
INSERT INTO public.ecdc_data VALUES (53873, 63, 4041, 409.62628922, 155, 304);
INSERT INTO public.ecdc_data VALUES (53874, 0, 13, 0.61019469, 5, 304);
INSERT INTO public.ecdc_data VALUES (53875, 0, 8, 0.40761187, 6, 304);
INSERT INTO public.ecdc_data VALUES (53876, 0, 0, 0.03639332, 110, 304);
INSERT INTO public.ecdc_data VALUES (53877, 3, 310, 2.05979297, 7, 304);
INSERT INTO public.ecdc_data VALUES (53878, 71, 4672, 110.25355672, 68, 304);
INSERT INTO public.ecdc_data VALUES (53879, 0, 62, 189.65843298, 8, 304);
INSERT INTO public.ecdc_data VALUES (53880, 0, 2, 10.77785305, 69, 304);
INSERT INTO public.ecdc_data VALUES (53881, 0, 0, 0.16859216, 9, 304);
INSERT INTO public.ecdc_data VALUES (53882, 0, 14, 0.71487329, 10, 304);
INSERT INTO public.ecdc_data VALUES (53883, 17, 1014, 104.07325651, 70, 304);
INSERT INTO public.ecdc_data VALUES (53884, 0, 16, 0.02720076, 111, 304);
INSERT INTO public.ecdc_data VALUES (53885, 177, 6136, 248.81681746, 71, 304);
INSERT INTO public.ecdc_data VALUES (53886, 0, 9, 5.87619331, 11, 304);
INSERT INTO public.ecdc_data VALUES (53887, 0, 58, 3.56843894, 12, 304);
INSERT INTO public.ecdc_data VALUES (53888, 15, 863, 281.28436685, 72, 304);
INSERT INTO public.ecdc_data VALUES (53889, 0, 12, 1.64485491, 13, 304);
INSERT INTO public.ecdc_data VALUES (53890, 34, 1427, 667.86940729, 156, 304);
INSERT INTO public.ecdc_data VALUES (53891, 0, 65, 6.44109084, 73, 304);
INSERT INTO public.ecdc_data VALUES (53892, 0, 5, 147.47006235, 74, 304);
INSERT INTO public.ecdc_data VALUES (53893, 0, 174, 239.18282816, 157, 304);
INSERT INTO public.ecdc_data VALUES (53894, 259, 12089, 1587.2504648, 158, 304);
INSERT INTO public.ecdc_data VALUES (53895, 7, 54, 0.41594382, 14, 304);
INSERT INTO public.ecdc_data VALUES (53896, 4, 1353, 227.70953419, 159, 304);
INSERT INTO public.ecdc_data VALUES (53897, 0, 2, 7.8064253, 15, 304);
INSERT INTO public.ecdc_data VALUES (53898, 0, 0, 12.53342246, 75, 304);
INSERT INTO public.ecdc_data VALUES (53899, 2, 257, 54.70736125, 76, 304);
INSERT INTO public.ecdc_data VALUES (53900, 6, 548, 92.06467009, 77, 304);
INSERT INTO public.ecdc_data VALUES (53901, 14, 197, 2.40765646, 16, 304);
INSERT INTO public.ecdc_data VALUES (53902, 5, 0, 31.61050894, 78, 304);
INSERT INTO public.ecdc_data VALUES (53903, 0, 0, 1.10620937, 17, 304);
INSERT INTO public.ecdc_data VALUES (53904, 0, 17, 0.80065951, 18, 304);
INSERT INTO public.ecdc_data VALUES (53905, 0, 79, 75.33098836, 160, 304);
INSERT INTO public.ecdc_data VALUES (53906, 0, 13, 12.36790511, 19, 304);
INSERT INTO public.ecdc_data VALUES (53907, 5, 560, 6.2563166, 20, 304);
INSERT INTO public.ecdc_data VALUES (53908, 0, 0, 0, 79, 304);
INSERT INTO public.ecdc_data VALUES (53909, 0, 0, 14.38050825, 161, 304);
INSERT INTO public.ecdc_data VALUES (53910, 0, 0, 0.11236523, 203, 304);
INSERT INTO public.ecdc_data VALUES (53911, 0, 237, 50.52629442, 162, 304);
INSERT INTO public.ecdc_data VALUES (53912, 854, 36330, 853.59407683, 163, 304);
INSERT INTO public.ecdc_data VALUES (53913, 9, 1384, 1467.31833074, 204, 304);
INSERT INTO public.ecdc_data VALUES (53914, 0, 0, 4.60282669, 21, 304);
INSERT INTO public.ecdc_data VALUES (53915, 1, 7, 1.02227886, 22, 304);
INSERT INTO public.ecdc_data VALUES (53916, 19, 2295, 674.54604502, 164, 304);
INSERT INTO public.ecdc_data VALUES (53917, 151, 17214, 237.09090087, 165, 304);
INSERT INTO public.ecdc_data VALUES (53918, 0, 0, 2.42949388, 23, 304);
INSERT INTO public.ecdc_data VALUES (53919, 0, 23, 361.95336142, 166, 304);
INSERT INTO public.ecdc_data VALUES (53920, 13, 2166, 165.75911137, 167, 304);
INSERT INTO public.ecdc_data VALUES (53921, 0, 0, 1.76491352, 80, 304);
INSERT INTO public.ecdc_data VALUES (53922, 0, 0, 1.7856824, 81, 304);
INSERT INTO public.ecdc_data VALUES (53923, 2, 119, 553.51325503, 205, 304);
INSERT INTO public.ecdc_data VALUES (53924, 10, 379, 35.62840799, 82, 304);
INSERT INTO public.ecdc_data VALUES (53925, 0, 1, 20.16504312, 168, 304);
INSERT INTO public.ecdc_data VALUES (53926, 0, 0, 5.28531045, 24, 304);
INSERT INTO public.ecdc_data VALUES (53927, 0, 0, 0.5205847, 25, 304);
INSERT INTO public.ecdc_data VALUES (53928, 0, 7, 57.36003322, 83, 304);
INSERT INTO public.ecdc_data VALUES (53929, 0, 46, 1.10094229, 84, 304);
INSERT INTO public.ecdc_data VALUES (53930, 0, 0, 0, 169, 304);
INSERT INTO public.ecdc_data VALUES (53931, 18, 283, 86.76277676, 85, 304);
INSERT INTO public.ecdc_data VALUES (53932, 90, 4219, 417.5690051, 170, 304);
INSERT INTO public.ecdc_data VALUES (53933, 5, 26, 214.01099748, 171, 304);
INSERT INTO public.ecdc_data VALUES (53934, 514, 46253, 48.50412673, 112, 304);
INSERT INTO public.ecdc_data VALUES (53935, 102, 2973, 18.30314872, 113, 304);
INSERT INTO public.ecdc_data VALUES (53936, 422, 8932, 118.2455635, 114, 304);
INSERT INTO public.ecdc_data VALUES (53937, 51, 3595, 121.33873321, 115, 304);
INSERT INTO public.ecdc_data VALUES (53938, 5, 298, 220.05448347, 172, 304);
INSERT INTO public.ecdc_data VALUES (53939, 0, 1, 9.45749447, 173, 304);
INSERT INTO public.ecdc_data VALUES (53940, 12, 809, 120.77179858, 116, 304);
INSERT INTO public.ecdc_data VALUES (53941, 353, 28241, 539.06966099, 174, 304);
INSERT INTO public.ecdc_data VALUES (53942, 4, 39, 31.27250255, 86, 304);
INSERT INTO public.ecdc_data VALUES (53943, 6, 619, 7.06840522, 117, 304);
INSERT INTO public.ecdc_data VALUES (53944, 0, 17, 85.34639504, 175, 304);
INSERT INTO public.ecdc_data VALUES (53945, 54, 4833, 451.44890012, 118, 304);
INSERT INTO public.ecdc_data VALUES (53946, 1, 701, 32.64438727, 119, 304);
INSERT INTO public.ecdc_data VALUES (53947, 12, 492, 21.77123138, 26, 304);
INSERT INTO public.ecdc_data VALUES (53948, 8, 344, 214.62258119, 176, 304);
INSERT INTO public.ecdc_data VALUES (53949, 3, 787, 246.29927144, 120, 304);
INSERT INTO public.ecdc_data VALUES (53950, 4, 495, 114.01449317, 121, 304);
INSERT INTO public.ecdc_data VALUES (53951, 0, 0, 0.01394806, 122, 304);
INSERT INTO public.ecdc_data VALUES (53952, 2, 171, 147.39828997, 177, 304);
INSERT INTO public.ecdc_data VALUES (53953, 15, 1512, 304.46158085, 123, 304);
INSERT INTO public.ecdc_data VALUES (53954, 0, 8, 6.02277267, 27, 304);
INSERT INTO public.ecdc_data VALUES (53955, 0, 0, 1.05319143, 28, 304);
INSERT INTO public.ecdc_data VALUES (53956, 13, 781, 188.59592239, 29, 304);
INSERT INTO public.ecdc_data VALUES (53957, 0, 36, 1026.62984001, 178, 304);
INSERT INTO public.ecdc_data VALUES (53958, 5, 897, 340.88664168, 179, 304);
INSERT INTO public.ecdc_data VALUES (53959, 7, 533, 1367.17413755, 180, 304);
INSERT INTO public.ecdc_data VALUES (53960, 0, 0, 1.1160836, 30, 304);
INSERT INTO public.ecdc_data VALUES (53961, 0, 1, 0.39186743, 31, 304);
INSERT INTO public.ecdc_data VALUES (53962, 12, 1054, 38.08475856, 124, 304);
INSERT INTO public.ecdc_data VALUES (53963, 0, 59, 98.87806357, 125, 304);
INSERT INTO public.ecdc_data VALUES (53964, 0, 0, 0.82409101, 32, 304);
INSERT INTO public.ecdc_data VALUES (53965, 0, 84, 316.47685484, 181, 304);
INSERT INTO public.ecdc_data VALUES (53966, 0, 0, 0, 206, 304);
INSERT INTO public.ecdc_data VALUES (53967, 0, 0, 2.29798807, 33, 304);
INSERT INTO public.ecdc_data VALUES (53968, 0, 0, 2.52033993, 34, 304);
INSERT INTO public.ecdc_data VALUES (53969, 493, 5250, 60.8980426, 87, 304);
INSERT INTO public.ecdc_data VALUES (53970, 20, 710, 235.67627888, 182, 304);
INSERT INTO public.ecdc_data VALUES (53971, 0, 22, 380.83723742, 183, 304);
INSERT INTO public.ecdc_data VALUES (53972, 0, 2, 0.7751539, 126, 304);
INSERT INTO public.ecdc_data VALUES (53973, 2, 767, 656.56029908, 184, 304);
INSERT INTO public.ecdc_data VALUES (53974, 0, 0, 0, 88, 304);
INSERT INTO public.ecdc_data VALUES (53975, 74, 4495, 138.63326498, 35, 304);
INSERT INTO public.ecdc_data VALUES (53976, 1, 72, 6.62582214, 36, 304);
INSERT INTO public.ecdc_data VALUES (53977, 25, 1197, 32.01381238, 127, 304);
INSERT INTO public.ecdc_data VALUES (53978, 0, 18, 26.57821693, 37, 304);
INSERT INTO public.ecdc_data VALUES (53979, 20, 3114, 141.51282223, 128, 304);
INSERT INTO public.ecdc_data VALUES (53980, 113, 7729, 759.98010203, 185, 304);
INSERT INTO public.ecdc_data VALUES (53981, 0, 0, 0.35366056, 207, 304);
INSERT INTO public.ecdc_data VALUES (53982, 0, 3, 1.23351945, 208, 304);
INSERT INTO public.ecdc_data VALUES (53983, 0, 0, 1.22221317, 89, 304);
INSERT INTO public.ecdc_data VALUES (53984, 0, 0, 0.04289872, 38, 304);
INSERT INTO public.ecdc_data VALUES (53985, 4, 137, 0.76780072, 39, 304);
INSERT INTO public.ecdc_data VALUES (53986, 24, 911, 467.56778096, 186, 304);
INSERT INTO public.ecdc_data VALUES (53987, 0, 0, 13.98283607, 209, 304);
INSERT INTO public.ecdc_data VALUES (53988, 0, 700, 88.79151205, 187, 304);
INSERT INTO public.ecdc_data VALUES (53989, 8, 376, 110.45243892, 129, 304);
INSERT INTO public.ecdc_data VALUES (53990, 18, 1313, 5.92384791, 130, 304);
INSERT INTO public.ecdc_data VALUES (53991, 8, 633, 152.34605701, 131, 304);
INSERT INTO public.ecdc_data VALUES (53992, 11, 677, 232.02965307, 90, 304);
INSERT INTO public.ecdc_data VALUES (53993, 0, 7, 0.18231293, 210, 304);
INSERT INTO public.ecdc_data VALUES (53994, 12, 472, 121.4398637, 91, 304);
INSERT INTO public.ecdc_data VALUES (53995, 38, 2357, 106.99325036, 92, 304);
INSERT INTO public.ecdc_data VALUES (53996, 49, 1761, 24.40512801, 132, 304);
INSERT INTO public.ecdc_data VALUES (53997, 227, 19364, 585.4320191, 188, 304);
INSERT INTO public.ecdc_data VALUES (53998, 45, 2596, 444.76698898, 189, 304);
INSERT INTO public.ecdc_data VALUES (53999, 3, 771, 351.12790465, 93, 304);
INSERT INTO public.ecdc_data VALUES (54000, 0, 226, 112.95620767, 133, 304);
INSERT INTO public.ecdc_data VALUES (54001, 120, 7733, 371.80023259, 190, 304);
INSERT INTO public.ecdc_data VALUES (54002, 355, 18648, 165.93353664, 191, 304);
INSERT INTO public.ecdc_data VALUES (54003, 0, 7, 1.3067301, 40, 304);
INSERT INTO public.ecdc_data VALUES (54004, 0, 0, 0, 94, 304);
INSERT INTO public.ecdc_data VALUES (54005, 0, 13, 33.37071583, 95, 304);
INSERT INTO public.ecdc_data VALUES (54006, 0, 0, 6.32951453, 96, 304);
INSERT INTO public.ecdc_data VALUES (54007, 0, 66, 661.77110847, 192, 304);
INSERT INTO public.ecdc_data VALUES (54008, 0, 5, 9.76526171, 41, 304);
INSERT INTO public.ecdc_data VALUES (54009, 19, 473, 16.17227282, 134, 304);
INSERT INTO public.ecdc_data VALUES (54010, 0, 0, 1.09226832, 42, 304);
INSERT INTO public.ecdc_data VALUES (54011, 11, 1878, 207.86172535, 193, 304);
INSERT INTO public.ecdc_data VALUES (54012, 0, 2, 8.18489682, 43, 304);
INSERT INTO public.ecdc_data VALUES (54013, 0, 2, 0.40956294, 44, 304);
INSERT INTO public.ecdc_data VALUES (54014, 0, 9, 1.8606757, 135, 304);
INSERT INTO public.ecdc_data VALUES (54015, 0, 15, 242.98756753, 97, 304);
INSERT INTO public.ecdc_data VALUES (54016, 16, 1727, 589.97277458, 194, 304);
INSERT INTO public.ecdc_data VALUES (54017, 31, 1177, 1100.86558368, 195, 304);
INSERT INTO public.ecdc_data VALUES (54018, 0, 5, 1.49293617, 211, 304);
INSERT INTO public.ecdc_data VALUES (54019, 3, 288, 2.19518269, 45, 304);
INSERT INTO public.ecdc_data VALUES (54020, 74, 1241, 38.47791466, 46, 304);
INSERT INTO public.ecdc_data VALUES (54021, 2, 118, 2.9301915, 136, 304);
INSERT INTO public.ecdc_data VALUES (54022, 0, 14, 0.8407073, 47, 304);
INSERT INTO public.ecdc_data VALUES (54023, 1623, 25042, 594.65377678, 196, 304);
INSERT INTO public.ecdc_data VALUES (54024, 2, 409, 27.82345719, 137, 304);
INSERT INTO public.ecdc_data VALUES (54025, 0, 47, 0.33167312, 48, 304);
INSERT INTO public.ecdc_data VALUES (54026, 0, 6, 12.72870823, 98, 304);
INSERT INTO public.ecdc_data VALUES (54027, 19, 3608, 277.89331278, 197, 304);
INSERT INTO public.ecdc_data VALUES (54028, 72, 6090, 1117.59258295, 198, 304);
INSERT INTO public.ecdc_data VALUES (54029, 3, 45, 4.14759534, 138, 304);
INSERT INTO public.ecdc_data VALUES (54030, 0, 1, 0.10515742, 139, 304);
INSERT INTO public.ecdc_data VALUES (54031, 1, 43, 6.06156642, 140, 304);
INSERT INTO public.ecdc_data VALUES (54032, 0, 7, 0.1364441, 141, 304);
INSERT INTO public.ecdc_data VALUES (54033, 0, 0, 0.07733234, 142, 304);
INSERT INTO public.ecdc_data VALUES (54034, 0, 17, 3.42721723, 49, 304);
INSERT INTO public.ecdc_data VALUES (54035, 1, 50, 30.17988213, 99, 304);
INSERT INTO public.ecdc_data VALUES (54036, 102, 1220, 159.69598591, 50, 304);
INSERT INTO public.ecdc_data VALUES (54037, 79, 2343, 37.44334933, 199, 304);
INSERT INTO public.ecdc_data VALUES (54038, 0, 0, 15.70927371, 100, 304);
INSERT INTO public.ecdc_data VALUES (54039, 1, 128, 5.22028814, 51, 304);
INSERT INTO public.ecdc_data VALUES (54040, 157, 8899, 231.81985634, 200, 304);
INSERT INTO public.ecdc_data VALUES (54041, 6, 1008, 189.90789237, 143, 304);
INSERT INTO public.ecdc_data VALUES (54042, 397, 20018, 467.14702356, 201, 304);
INSERT INTO public.ecdc_data VALUES (54043, 0, 0, 0, 52, 304);
INSERT INTO public.ecdc_data VALUES (54044, 1076, 92734, 337.52458637, 101, 304);
INSERT INTO public.ecdc_data VALUES (54045, 1, 7, 45.89831611, 102, 304);
INSERT INTO public.ecdc_data VALUES (54046, 1, 31, 16.55241265, 103, 304);
INSERT INTO public.ecdc_data VALUES (54047, 3, 299, 10.74231586, 144, 304);
INSERT INTO public.ecdc_data VALUES (54048, 5, 395, 19.13323298, 104, 304);
INSERT INTO public.ecdc_data VALUES (54049, 0, 11, 0.06427394, 145, 304);
INSERT INTO public.ecdc_data VALUES (54050, 0, 0, 0, 213, 304);
INSERT INTO public.ecdc_data VALUES (54051, 0, 0, 0, 53, 304);
INSERT INTO public.ecdc_data VALUES (54052, 2, 0, 0.01028739, 146, 304);
INSERT INTO public.ecdc_data VALUES (54053, 0, 118, 3.80157162, 54, 304);
INSERT INTO public.ecdc_data VALUES (54054, 1, 21, 1.52265482, 55, 304);
INSERT INTO public.ecdc_data VALUES (54055, 4, 7, 0.66505866, 105, 305);
INSERT INTO public.ecdc_data VALUES (54056, 3, 152, 66.06282012, 147, 305);
INSERT INTO public.ecdc_data VALUES (54057, 7, 148, 5.50948139, 1, 305);
INSERT INTO public.ecdc_data VALUES (54058, 0, 0, 716.75177547, 148, 305);
INSERT INTO public.ecdc_data VALUES (54059, 4, 97, 4.11622213, 2, 305);
INSERT INTO public.ecdc_data VALUES (54060, 0, 0, 0, 56, 305);
INSERT INTO public.ecdc_data VALUES (54061, 0, 1, 11.32677753, 57, 305);
INSERT INTO public.ecdc_data VALUES (54062, 196, 11129, 395.61708259, 58, 305);
INSERT INTO public.ecdc_data VALUES (54063, 6, 543, 161.30624588, 149, 305);
INSERT INTO public.ecdc_data VALUES (54064, 0, 36, 577.55620356, 59, 305);
INSERT INTO public.ecdc_data VALUES (54065, 3, 8, 0.93638903, 202, 305);
INSERT INTO public.ecdc_data VALUES (54066, 6, 830, 113.6838897, 150, 305);
INSERT INTO public.ecdc_data VALUES (54067, 1, 108, 15.11785909, 151, 305);
INSERT INTO public.ecdc_data VALUES (54068, 0, 189, 280.88300992, 60, 305);
INSERT INTO public.ecdc_data VALUES (54069, 3, 507, 513.72074942, 106, 305);
INSERT INTO public.ecdc_data VALUES (54070, 20, 1182, 12.38483531, 107, 305);
INSERT INTO public.ecdc_data VALUES (54071, 0, 3, 3.83247219, 61, 305);
INSERT INTO public.ecdc_data VALUES (54072, 7, 431, 46.45376644, 152, 305);
INSERT INTO public.ecdc_data VALUES (54073, 15, 1709, 251.17150956, 153, 305);
INSERT INTO public.ecdc_data VALUES (54074, 1, 51, 134.49433971, 62, 305);
INSERT INTO public.ecdc_data VALUES (54075, 0, 0, 0.65247873, 3, 305);
INSERT INTO public.ecdc_data VALUES (54076, 0, 0, 1.59979523, 63, 305);
INSERT INTO public.ecdc_data VALUES (54077, 0, 0, 3.14509091, 108, 305);
INSERT INTO public.ecdc_data VALUES (54078, 28, 350, 52.97442861, 64, 305);
INSERT INTO public.ecdc_data VALUES (54079, 0, 0, 338.68298503, 65, 305);
INSERT INTO public.ecdc_data VALUES (54080, 10, 226, 83.58078375, 154, 305);
INSERT INTO public.ecdc_data VALUES (54081, 0, 0, 26.2620659, 4, 305);
INSERT INTO public.ecdc_data VALUES (54082, 599, 26310, 179.38586252, 66, 305);
INSERT INTO public.ecdc_data VALUES (54083, 0, 0, 0, 67, 305);
INSERT INTO public.ecdc_data VALUES (54084, 0, 0, 0.23078911, 109, 305);
INSERT INTO public.ecdc_data VALUES (54085, 3, 182, 38.55692804, 155, 305);
INSERT INTO public.ecdc_data VALUES (54086, 1, 31, 1.66327262, 5, 305);
INSERT INTO public.ecdc_data VALUES (54087, 0, 0, 0.34690372, 6, 305);
INSERT INTO public.ecdc_data VALUES (54088, 0, 0, 0.01819666, 110, 305);
INSERT INTO public.ecdc_data VALUES (54089, 0, 0, 1.90521188, 7, 305);
INSERT INTO public.ecdc_data VALUES (54090, 53, 1812, 57.99625234, 68, 305);
INSERT INTO public.ecdc_data VALUES (54091, 0, 91, 201.84166885, 8, 305);
INSERT INTO public.ecdc_data VALUES (54092, 0, 0, 6.15877317, 69, 305);
INSERT INTO public.ecdc_data VALUES (54093, 0, 16, 1.24336722, 9, 305);
INSERT INTO public.ecdc_data VALUES (54094, 0, 3, 0.40760319, 10, 305);
INSERT INTO public.ecdc_data VALUES (54095, 52, 1881, 125.56435232, 70, 305);
INSERT INTO public.ecdc_data VALUES (54096, 0, 20, 0.01890104, 111, 305);
INSERT INTO public.ecdc_data VALUES (54097, 159, 6616, 178.28763024, 71, 305);
INSERT INTO public.ecdc_data VALUES (54098, 0, 3, 1.99790572, 11, 305);
INSERT INTO public.ecdc_data VALUES (54099, 0, 0, 1.91431881, 12, 305);
INSERT INTO public.ecdc_data VALUES (54100, 20, 1353, 306.48465665, 72, 305);
INSERT INTO public.ecdc_data VALUES (54101, 0, 56, 2.25535661, 13, 305);
INSERT INTO public.ecdc_data VALUES (54102, 2, 241, 65.64863848, 156, 305);
INSERT INTO public.ecdc_data VALUES (54103, 0, 62, 6.39697378, 73, 305);
INSERT INTO public.ecdc_data VALUES (54104, 0, 18, 111.36743298, 74, 305);
INSERT INTO public.ecdc_data VALUES (54105, 0, 22, 26.37290373, 157, 305);
INSERT INTO public.ecdc_data VALUES (54106, 12, 2554, 303.28269075, 158, 305);
INSERT INTO public.ecdc_data VALUES (54107, 1, 68, 0.30418052, 14, 305);
INSERT INTO public.ecdc_data VALUES (54108, 2, 370, 128.39986214, 159, 305);
INSERT INTO public.ecdc_data VALUES (54109, 0, 1, 1.54074184, 15, 305);
INSERT INTO public.ecdc_data VALUES (54110, 0, 0, 9.74821747, 75, 305);
INSERT INTO public.ecdc_data VALUES (54111, 11, 576, 57.97583508, 76, 305);
INSERT INTO public.ecdc_data VALUES (54112, 102, 817, 84.7892876, 77, 305);
INSERT INTO public.ecdc_data VALUES (54113, 14, 109, 1.66852486, 16, 305);
INSERT INTO public.ecdc_data VALUES (54114, 10, 183, 29.90602072, 78, 305);
INSERT INTO public.ecdc_data VALUES (54115, 0, 0, 3.17113354, 17, 305);
INSERT INTO public.ecdc_data VALUES (54116, 0, 17, 0.97222941, 18, 305);
INSERT INTO public.ecdc_data VALUES (54117, 1, 70, 52.98833049, 160, 305);
INSERT INTO public.ecdc_data VALUES (54118, 0, 9, 24.82290815, 19, 305);
INSERT INTO public.ecdc_data VALUES (54119, 6, 872, 8.68050545, 20, 305);
INSERT INTO public.ecdc_data VALUES (54120, 0, 0, 0, 79, 305);
INSERT INTO public.ecdc_data VALUES (54121, 0, 1, 86.28304949, 161, 305);
INSERT INTO public.ecdc_data VALUES (54122, 0, 0, 0, 203, 305);
INSERT INTO public.ecdc_data VALUES (54123, 0, 40, 23.95830747, 162, 305);
INSERT INTO public.ecdc_data VALUES (54124, 43, 16972, 245.37222194, 163, 305);
INSERT INTO public.ecdc_data VALUES (54125, 0, 0, 248.13362694, 204, 305);
INSERT INTO public.ecdc_data VALUES (54126, 0, 0, 4.64885495, 21, 305);
INSERT INTO public.ecdc_data VALUES (54127, 0, 5, 3.66316593, 22, 305);
INSERT INTO public.ecdc_data VALUES (54128, 2, 554, 115.49349198, 164, 305);
INSERT INTO public.ecdc_data VALUES (54129, 2, 2279, 33.51272434, 165, 305);
INSERT INTO public.ecdc_data VALUES (54130, 2, 109, 3.04426433, 23, 305);
INSERT INTO public.ecdc_data VALUES (54131, 0, 12, 243.28012817, 166, 305);
INSERT INTO public.ecdc_data VALUES (54132, 7, 267, 43.21839912, 167, 305);
INSERT INTO public.ecdc_data VALUES (54133, 0, 0, 0, 80, 305);
INSERT INTO public.ecdc_data VALUES (54134, 0, 0, 0, 81, 305);
INSERT INTO public.ecdc_data VALUES (54135, 2, 149, 347.8884605, 205, 305);
INSERT INTO public.ecdc_data VALUES (54136, 18, 658, 48.89236831, 82, 305);
INSERT INTO public.ecdc_data VALUES (54137, 0, 1, 4.65347149, 168, 305);
INSERT INTO public.ecdc_data VALUES (54138, 0, 0, 3.51571021, 24, 305);
INSERT INTO public.ecdc_data VALUES (54139, 0, 0, 3.07144973, 25, 305);
INSERT INTO public.ecdc_data VALUES (54140, 0, 37, 106.92727795, 83, 305);
INSERT INTO public.ecdc_data VALUES (54141, 0, 19, 1.74019911, 84, 305);
INSERT INTO public.ecdc_data VALUES (54142, 0, 0, 0, 169, 305);
INSERT INTO public.ecdc_data VALUES (54143, 13, 519, 78.44151234, 85, 305);
INSERT INTO public.ecdc_data VALUES (54144, 10, 858, 128.77636564, 170, 305);
INSERT INTO public.ecdc_data VALUES (54145, 0, 63, 158.26729525, 171, 305);
INSERT INTO public.ecdc_data VALUES (54146, 940, 75829, 84.07048247, 112, 305);
INSERT INTO public.ecdc_data VALUES (54147, 83, 4007, 21.73445793, 113, 305);
INSERT INTO public.ecdc_data VALUES (54148, 179, 3523, 59.18911563, 114, 305);
INSERT INTO public.ecdc_data VALUES (54149, 49, 3672, 153.48339824, 115, 305);
INSERT INTO public.ecdc_data VALUES (54150, 9, 605, 104.60336362, 172, 305);
INSERT INTO public.ecdc_data VALUES (54151, 0, 1, 3.54656043, 173, 305);
INSERT INTO public.ecdc_data VALUES (54152, 49, 5955, 953.76737232, 116, 305);
INSERT INTO public.ecdc_data VALUES (54153, 27, 2843, 43.37673448, 174, 305);
INSERT INTO public.ecdc_data VALUES (54154, 3, 104, 69.0912014, 86, 305);
INSERT INTO public.ecdc_data VALUES (54155, 7, 571, 5.2672113, 117, 305);
INSERT INTO public.ecdc_data VALUES (54156, 0, 0, 25.9749898, 175, 305);
INSERT INTO public.ecdc_data VALUES (54157, 9, 1099, 101.06222747, 118, 305);
INSERT INTO public.ecdc_data VALUES (54158, 0, 264, 18.3274301, 119, 305);
INSERT INTO public.ecdc_data VALUES (54159, 3, 261, 4.47940328, 26, 305);
INSERT INTO public.ecdc_data VALUES (54160, 3, 55, 42.03488896, 176, 305);
INSERT INTO public.ecdc_data VALUES (54161, 5, 371, 176.10801989, 120, 305);
INSERT INTO public.ecdc_data VALUES (54162, 1, 244, 31.35983052, 121, 305);
INSERT INTO public.ecdc_data VALUES (54163, 0, 0, 0, 122, 305);
INSERT INTO public.ecdc_data VALUES (54164, 0, 74, 26.25043751, 177, 305);
INSERT INTO public.ecdc_data VALUES (54165, 12, 1321, 221.66926863, 123, 305);
INSERT INTO public.ecdc_data VALUES (54166, 0, 0, 13.64534433, 27, 305);
INSERT INTO public.ecdc_data VALUES (54167, 0, 1, 0.24304418, 28, 305);
INSERT INTO public.ecdc_data VALUES (54168, 8, 370, 130.62429205, 29, 305);
INSERT INTO public.ecdc_data VALUES (54169, 0, 2, 28.66225442, 178, 305);
INSERT INTO public.ecdc_data VALUES (54170, 1, 125, 50.71247992, 179, 305);
INSERT INTO public.ecdc_data VALUES (54171, 0, 0, 161.42852023, 180, 305);
INSERT INTO public.ecdc_data VALUES (54172, 0, 36, 1.88733073, 30, 305);
INSERT INTO public.ecdc_data VALUES (54173, 0, 0, 0.35965915, 31, 305);
INSERT INTO public.ecdc_data VALUES (54174, 1, 317, 6.01255927, 124, 305);
INSERT INTO public.ecdc_data VALUES (54175, 0, 67, 153.68476167, 125, 305);
INSERT INTO public.ecdc_data VALUES (54176, 0, 14, 0.83426497, 32, 305);
INSERT INTO public.ecdc_data VALUES (54177, 1, 66, 107.38331182, 181, 305);
INSERT INTO public.ecdc_data VALUES (54178, 0, 6, 3.31440587, 33, 305);
INSERT INTO public.ecdc_data VALUES (54179, 0, 0, 1.10264872, 34, 305);
INSERT INTO public.ecdc_data VALUES (54180, 388, 2266, 48.96080031, 87, 305);
INSERT INTO public.ecdc_data VALUES (54181, 9, 872, 236.24512707, 182, 305);
INSERT INTO public.ecdc_data VALUES (54182, 0, 1, 90.67553272, 183, 305);
INSERT INTO public.ecdc_data VALUES (54183, 0, 0, 0.03100616, 126, 305);
INSERT INTO public.ecdc_data VALUES (54184, 2, 244, 648.68478998, 184, 305);
INSERT INTO public.ecdc_data VALUES (54185, 0, 0, 0, 88, 305);
INSERT INTO public.ecdc_data VALUES (54186, 30, 2663, 86.12689608, 35, 305);
INSERT INTO public.ecdc_data VALUES (54187, 0, 70, 8.27239822, 36, 305);
INSERT INTO public.ecdc_data VALUES (54188, 18, 978, 20.79732119, 127, 305);
INSERT INTO public.ecdc_data VALUES (54189, 0, 92, 51.31239467, 37, 305);
INSERT INTO public.ecdc_data VALUES (54190, 8, 2120, 76.10617953, 128, 305);
INSERT INTO public.ecdc_data VALUES (54191, 21, 3963, 230.92016896, 185, 305);
INSERT INTO public.ecdc_data VALUES (54192, 0, 0, 0.35366056, 207, 305);
INSERT INTO public.ecdc_data VALUES (54193, 0, 5, 0.71084172, 208, 305);
INSERT INTO public.ecdc_data VALUES (54194, 0, 0, 3.19303192, 89, 305);
INSERT INTO public.ecdc_data VALUES (54195, 0, 2, 0.0772177, 38, 305);
INSERT INTO public.ecdc_data VALUES (54196, 1, 160, 1.06586465, 39, 305);
INSERT INTO public.ecdc_data VALUES (54197, 4, 239, 98.45305931, 186, 305);
INSERT INTO public.ecdc_data VALUES (54198, 0, 0, 8.73927254, 209, 305);
INSERT INTO public.ecdc_data VALUES (54199, 0, 0, 28.22710508, 187, 305);
INSERT INTO public.ecdc_data VALUES (54200, 0, 0, 137.32685399, 129, 305);
INSERT INTO public.ecdc_data VALUES (54201, 6, 632, 4.1303936, 130, 305);
INSERT INTO public.ecdc_data VALUES (54202, 11, 406, 145.54077129, 131, 305);
INSERT INTO public.ecdc_data VALUES (54203, 8, 691, 213.16679383, 90, 305);
INSERT INTO public.ecdc_data VALUES (54204, 0, 1, 0.2734694, 210, 305);
INSERT INTO public.ecdc_data VALUES (54205, 23, 768, 148.1552142, 91, 305);
INSERT INTO public.ecdc_data VALUES (54206, 56, 3421, 191.0769524, 92, 305);
INSERT INTO public.ecdc_data VALUES (54207, 62, 2652, 33.17713718, 132, 305);
INSERT INTO public.ecdc_data VALUES (54208, 34, 2367, 52.16890443, 188, 305);
INSERT INTO public.ecdc_data VALUES (54209, 12, 963, 99.46853133, 189, 305);
INSERT INTO public.ecdc_data VALUES (54210, 16, 541, 293.68610665, 93, 305);
INSERT INTO public.ecdc_data VALUES (54211, 1, 175, 112.74434857, 133, 305);
INSERT INTO public.ecdc_data VALUES (54212, 32, 2064, 115.97027329, 190, 305);
INSERT INTO public.ecdc_data VALUES (54213, 174, 9859, 73.52391743, 191, 305);
INSERT INTO public.ecdc_data VALUES (54214, 0, 5, 1.29089095, 40, 305);
INSERT INTO public.ecdc_data VALUES (54215, 0, 0, 3.78544119, 94, 305);
INSERT INTO public.ecdc_data VALUES (54216, 0, 0, 0, 95, 305);
INSERT INTO public.ecdc_data VALUES (54217, 0, 0, 0, 96, 305);
INSERT INTO public.ecdc_data VALUES (54218, 0, 0, 26.12254376, 192, 305);
INSERT INTO public.ecdc_data VALUES (54219, 0, 2, 2.32506231, 41, 305);
INSERT INTO public.ecdc_data VALUES (54220, 27, 419, 19.62733796, 134, 305);
INSERT INTO public.ecdc_data VALUES (54221, 0, 17, 2.33180878, 42, 305);
INSERT INTO public.ecdc_data VALUES (54222, 2, 107, 14.38877021, 193, 305);
INSERT INTO public.ecdc_data VALUES (54223, 0, 1, 4.09244841, 43, 305);
INSERT INTO public.ecdc_data VALUES (54224, 0, 7, 1.27988418, 44, 305);
INSERT INTO public.ecdc_data VALUES (54225, 0, 6, 4.16929186, 135, 305);
INSERT INTO public.ecdc_data VALUES (54226, 0, 4, 221.75564415, 97, 305);
INSERT INTO public.ecdc_data VALUES (54227, 0, 704, 105.95511796, 194, 305);
INSERT INTO public.ecdc_data VALUES (54228, 0, 227, 97.12106446, 195, 305);
INSERT INTO public.ecdc_data VALUES (54229, 0, 152, 1.96206595, 45, 305);
INSERT INTO public.ecdc_data VALUES (54230, 29, 1883, 34.25647825, 46, 305);
INSERT INTO public.ecdc_data VALUES (54231, 1, 64, 2.17861007, 136, 305);
INSERT INTO public.ecdc_data VALUES (54232, 0, 0, 0.65991003, 47, 305);
INSERT INTO public.ecdc_data VALUES (54233, 0, 0, 319.34680187, 196, 305);
INSERT INTO public.ecdc_data VALUES (54234, 0, 8, 0.52992595, 137, 305);
INSERT INTO public.ecdc_data VALUES (54235, 0, 0, 0.27561569, 48, 305);
INSERT INTO public.ecdc_data VALUES (54236, 1, 25, 36.98205768, 98, 305);
INSERT INTO public.ecdc_data VALUES (54237, 3, 461, 62.12008874, 197, 305);
INSERT INTO public.ecdc_data VALUES (54238, 0, 0, 59.5937025, 198, 305);
INSERT INTO public.ecdc_data VALUES (54239, 1, 40, 3.30401663, 138, 305);
INSERT INTO public.ecdc_data VALUES (54240, 0, 0, 0.04206297, 139, 305);
INSERT INTO public.ecdc_data VALUES (54241, 0, 43, 6.35123419, 140, 305);
INSERT INTO public.ecdc_data VALUES (54242, 0, 0, 0.11059154, 141, 305);
INSERT INTO public.ecdc_data VALUES (54243, 0, 0, 0.07733234, 142, 305);
INSERT INTO public.ecdc_data VALUES (54244, 0, 22, 2.23944519, 49, 305);
INSERT INTO public.ecdc_data VALUES (54245, 2, 80, 61.3633708, 99, 305);
INSERT INTO public.ecdc_data VALUES (54246, 5, 1223, 95.83811362, 50, 305);
INSERT INTO public.ecdc_data VALUES (54247, 59, 1502, 26.42070042, 199, 305);
INSERT INTO public.ecdc_data VALUES (54248, 0, 0, 70.69173169, 100, 305);
INSERT INTO public.ecdc_data VALUES (54249, 0, 171, 5.97475644, 51, 305);
INSERT INTO public.ecdc_data VALUES (54250, 92, 4571, 112.56171716, 200, 305);
INSERT INTO public.ecdc_data VALUES (54251, 2, 1231, 138.35488489, 143, 305);
INSERT INTO public.ecdc_data VALUES (54252, 49, 12871, 134.52795974, 201, 305);
INSERT INTO public.ecdc_data VALUES (54253, 0, 0, 0, 52, 305);
INSERT INTO public.ecdc_data VALUES (54254, 678, 50659, 187.79941831, 101, 305);
INSERT INTO public.ecdc_data VALUES (54255, 0, 0, 75.54097859, 102, 305);
INSERT INTO public.ecdc_data VALUES (54256, 0, 25, 6.2974275, 103, 305);
INSERT INTO public.ecdc_data VALUES (54257, 4, 645, 21.78783001, 144, 305);
INSERT INTO public.ecdc_data VALUES (54258, 0, 0, 38.12268618, 104, 305);
INSERT INTO public.ecdc_data VALUES (54259, 0, 0, 0.02902694, 145, 305);
INSERT INTO public.ecdc_data VALUES (54260, 0, 0, 0, 53, 305);
INSERT INTO public.ecdc_data VALUES (54261, 2, 1, 0.05486607, 146, 305);
INSERT INTO public.ecdc_data VALUES (54262, 0, 144, 5.318841, 54, 305);
INSERT INTO public.ecdc_data VALUES (54263, 0, 27, 1.45437433, 55, 305);
INSERT INTO public.ecdc_data VALUES (54264, 1, 45, 1.13559424, 105, 306);
INSERT INTO public.ecdc_data VALUES (54265, 5, 116, 65.57372467, 147, 306);
INSERT INTO public.ecdc_data VALUES (54266, 6, 311, 12.10367097, 1, 306);
INSERT INTO public.ecdc_data VALUES (54267, 0, 0, 229.72813316, 148, 306);
INSERT INTO public.ecdc_data VALUES (54268, 3, 48, 2.39432157, 2, 306);
INSERT INTO public.ecdc_data VALUES (54269, 0, 0, 0, 56, 306);
INSERT INTO public.ecdc_data VALUES (54270, 0, 1, 1.02970705, 57, 306);
INSERT INTO public.ecdc_data VALUES (54271, 184, 10933, 282.51695625, 58, 306);
INSERT INTO public.ecdc_data VALUES (54272, 3, 196, 65.9966028, 149, 306);
INSERT INTO public.ecdc_data VALUES (54273, 1, 81, 851.28398081, 59, 306);
INSERT INTO public.ecdc_data VALUES (54274, 15, 126, 7.19353098, 202, 306);
INSERT INTO public.ecdc_data VALUES (54275, 1, 312, 43.8773984, 150, 306);
INSERT INTO public.ecdc_data VALUES (54276, 3, 167, 21.29836633, 151, 306);
INSERT INTO public.ecdc_data VALUES (54277, 3, 49, 199.23694305, 60, 306);
INSERT INTO public.ecdc_data VALUES (54278, 0, 367, 295.94848534, 106, 306);
INSERT INTO public.ecdc_data VALUES (54279, 32, 2158, 19.45890506, 107, 306);
INSERT INTO public.ecdc_data VALUES (54280, 0, 1, 7.31653781, 61, 306);
INSERT INTO public.ecdc_data VALUES (54281, 5, 161, 24.88254581, 152, 306);
INSERT INTO public.ecdc_data VALUES (54282, 4, 677, 55.02151408, 153, 306);
INSERT INTO public.ecdc_data VALUES (54283, 0, 17, 131.42018337, 62, 306);
INSERT INTO public.ecdc_data VALUES (54284, 0, 0, 0.83890122, 3, 306);
INSERT INTO public.ecdc_data VALUES (54285, 0, 2, 12.79836181, 63, 306);
INSERT INTO public.ecdc_data VALUES (54286, 0, 0, 9.69736363, 108, 306);
INSERT INTO public.ecdc_data VALUES (54287, 0, 0, 103.03912881, 64, 306);
INSERT INTO public.ecdc_data VALUES (54288, 0, 0, 19.24335142, 65, 306);
INSERT INTO public.ecdc_data VALUES (54289, 9, 287, 114.35935435, 154, 306);
INSERT INTO public.ecdc_data VALUES (54290, 0, 0, 18.05788333, 4, 306);
INSERT INTO public.ecdc_data VALUES (54291, 834, 43773, 255.70444442, 66, 306);
INSERT INTO public.ecdc_data VALUES (54292, 0, 0, 116.53847434, 67, 306);
INSERT INTO public.ecdc_data VALUES (54293, 0, 0, 0.23078911, 109, 306);
INSERT INTO public.ecdc_data VALUES (54294, 6, 163, 23.64272542, 155, 306);
INSERT INTO public.ecdc_data VALUES (54295, 0, 8, 0.43796232, 5, 306);
INSERT INTO public.ecdc_data VALUES (54296, 0, 0, 0.22548741, 6, 306);
INSERT INTO public.ecdc_data VALUES (54297, 0, 0, 0.00606555, 110, 306);
INSERT INTO public.ecdc_data VALUES (54298, 0, 144, 3.25393186, 7, 306);
INSERT INTO public.ecdc_data VALUES (54299, 6, 570, 17.69531228, 68, 306);
INSERT INTO public.ecdc_data VALUES (54300, 0, 77, 137.65238137, 8, 306);
INSERT INTO public.ecdc_data VALUES (54301, 0, 0, 0, 69, 306);
INSERT INTO public.ecdc_data VALUES (54302, 0, 17, 1.05370103, 9, 306);
INSERT INTO public.ecdc_data VALUES (54303, 0, 1, 0.28845764, 10, 306);
INSERT INTO public.ecdc_data VALUES (54304, 78, 1762, 130.07574121, 70, 306);
INSERT INTO public.ecdc_data VALUES (54305, 1, 33, 0.02922338, 111, 306);
INSERT INTO public.ecdc_data VALUES (54306, 270, 8235, 253.98572646, 71, 306);
INSERT INTO public.ecdc_data VALUES (54307, 0, 21, 4.93600238, 11, 306);
INSERT INTO public.ecdc_data VALUES (54308, 0, 0, 14.45961196, 12, 306);
INSERT INTO public.ecdc_data VALUES (54309, 7, 1153, 265.13795475, 72, 306);
INSERT INTO public.ecdc_data VALUES (54310, 2, 47, 3.7291155, 13, 306);
INSERT INTO public.ecdc_data VALUES (54311, 3, 369, 92.36439606, 156, 306);
INSERT INTO public.ecdc_data VALUES (54312, 2, 88, 5.72639446, 73, 306);
INSERT INTO public.ecdc_data VALUES (54313, 0, 7, 24.4763589, 74, 306);
INSERT INTO public.ecdc_data VALUES (54314, 0, 3, 11.75934668, 157, 306);
INSERT INTO public.ecdc_data VALUES (54315, 1, 679, 50.7709065, 158, 306);
INSERT INTO public.ecdc_data VALUES (54316, 0, 12, 0.42516141, 14, 306);
INSERT INTO public.ecdc_data VALUES (54317, 0, 179, 22.7003378, 159, 306);
INSERT INTO public.ecdc_data VALUES (54318, 0, 0, 1.33530959, 15, 306);
INSERT INTO public.ecdc_data VALUES (54319, 0, 0, 2.78520499, 75, 306);
INSERT INTO public.ecdc_data VALUES (54320, 36, 1002, 70.94729963, 76, 306);
INSERT INTO public.ecdc_data VALUES (54321, 29, 903, 62.46238198, 77, 306);
INSERT INTO public.ecdc_data VALUES (54322, 18, 145, 2.39072218, 16, 306);
INSERT INTO public.ecdc_data VALUES (54323, 5, 96, 31.54852755, 78, 306);
INSERT INTO public.ecdc_data VALUES (54324, 0, 0, 5.38355229, 17, 306);
INSERT INTO public.ecdc_data VALUES (54325, 0, 11, 0.74346955, 18, 306);
INSERT INTO public.ecdc_data VALUES (54326, 0, 26, 16.15313778, 160, 306);
INSERT INTO public.ecdc_data VALUES (54327, 0, 52, 53.12973323, 19, 306);
INSERT INTO public.ecdc_data VALUES (54328, 10, 804, 17.28874026, 20, 306);
INSERT INTO public.ecdc_data VALUES (54329, 0, 0, 0, 79, 306);
INSERT INTO public.ecdc_data VALUES (54330, 0, 1, 59.57639131, 161, 306);
INSERT INTO public.ecdc_data VALUES (54331, 0, 2, 0.3370957, 203, 306);
INSERT INTO public.ecdc_data VALUES (54332, 0, 39, 6.48795316, 162, 306);
INSERT INTO public.ecdc_data VALUES (54333, 0, 7157, 105.00518236, 163, 306);
INSERT INTO public.ecdc_data VALUES (54334, 0, 0, 130.33281415, 204, 306);
INSERT INTO public.ecdc_data VALUES (54335, 0, 0, 10.08019045, 21, 306);
INSERT INTO public.ecdc_data VALUES (54336, 2, 34, 29.81646687, 22, 306);
INSERT INTO public.ecdc_data VALUES (54337, 0, 20, 4.95401027, 164, 306);
INSERT INTO public.ecdc_data VALUES (54338, 1, 1453, 21.16498021, 165, 306);
INSERT INTO public.ecdc_data VALUES (54339, 4, 55, 4.77679921, 23, 306);
INSERT INTO public.ecdc_data VALUES (54340, 0, 0, 195.81083487, 166, 306);
INSERT INTO public.ecdc_data VALUES (54341, 5, 241, 28.56983277, 167, 306);
INSERT INTO public.ecdc_data VALUES (54342, 0, 0, 0, 80, 306);
INSERT INTO public.ecdc_data VALUES (54343, 0, 0, 0, 81, 306);
INSERT INTO public.ecdc_data VALUES (54344, 0, 113, 511.67100033, 205, 306);
INSERT INTO public.ecdc_data VALUES (54345, 14, 694, 59.01097269, 82, 306);
INSERT INTO public.ecdc_data VALUES (54346, 0, 0, 0, 168, 306);
INSERT INTO public.ecdc_data VALUES (54347, 1, 47, 5.08955822, 24, 306);
INSERT INTO public.ecdc_data VALUES (54348, 0, 0, 4.58114536, 25, 306);
INSERT INTO public.ecdc_data VALUES (54349, 3, 19, 70.90160008, 83, 306);
INSERT INTO public.ecdc_data VALUES (54350, 4, 43, 2.69908433, 84, 306);
INSERT INTO public.ecdc_data VALUES (54351, 0, 0, 0, 169, 306);
INSERT INTO public.ecdc_data VALUES (54352, 30, 632, 106.08329575, 85, 306);
INSERT INTO public.ecdc_data VALUES (54353, 1, 301, 19.20645517, 170, 306);
INSERT INTO public.ecdc_data VALUES (54354, 0, 7, 24.65048138, 171, 306);
INSERT INTO public.ecdc_data VALUES (54355, 1096, 83341, 75.4472046, 112, 306);
INSERT INTO public.ecdc_data VALUES (54356, 134, 3622, 13.69308909, 113, 306);
INSERT INTO public.ecdc_data VALUES (54357, 129, 1994, 33.99671512, 114, 306);
INSERT INTO public.ecdc_data VALUES (54358, 74, 4755, 137.98598614, 115, 306);
INSERT INTO public.ecdc_data VALUES (54359, 0, 92, 31.19749441, 172, 306);
INSERT INTO public.ecdc_data VALUES (54360, 0, 0, 0, 173, 306);
INSERT INTO public.ecdc_data VALUES (54361, 16, 2721, 301.20761234, 116, 306);
INSERT INTO public.ecdc_data VALUES (54362, 10, 1397, 27.8232709, 174, 306);
INSERT INTO public.ecdc_data VALUES (54363, 2, 74, 54.4724936, 86, 306);
INSERT INTO public.ecdc_data VALUES (54364, 11, 669, 8.31386973, 117, 306);
INSERT INTO public.ecdc_data VALUES (54365, 0, 0, 17.62588593, 175, 306);
INSERT INTO public.ecdc_data VALUES (54366, 1, 72, 7.27600521, 118, 306);
INSERT INTO public.ecdc_data VALUES (54367, 4, 570, 40.90790208, 119, 306);
INSERT INTO public.ecdc_data VALUES (54368, 8, 212, 6.20839588, 26, 306);
INSERT INTO public.ecdc_data VALUES (54369, 9, 78, 99.24904337, 176, 306);
INSERT INTO public.ecdc_data VALUES (54370, 1, 900, 204.67892553, 120, 306);
INSERT INTO public.ecdc_data VALUES (54371, 1, 92, 23.75366884, 121, 306);
INSERT INTO public.ecdc_data VALUES (54372, 0, 0, 0.02789612, 122, 306);
INSERT INTO public.ecdc_data VALUES (54373, 0, 4, 4.32298872, 177, 306);
INSERT INTO public.ecdc_data VALUES (54374, 2, 588, 116.85151747, 123, 306);
INSERT INTO public.ecdc_data VALUES (54375, 0, 0, 4.18770912, 27, 306);
INSERT INTO public.ecdc_data VALUES (54376, 0, 1, 0.44558099, 28, 306);
INSERT INTO public.ecdc_data VALUES (54377, 4, 617, 93.10282196, 29, 306);
INSERT INTO public.ecdc_data VALUES (54378, 0, 0, 20.84527594, 178, 306);
INSERT INTO public.ecdc_data VALUES (54379, 0, 20, 16.10488071, 179, 306);
INSERT INTO public.ecdc_data VALUES (54380, 0, 0, -145.30195767, 180, 306);
INSERT INTO public.ecdc_data VALUES (54381, 1, 83, 3.52993881, 30, 306);
INSERT INTO public.ecdc_data VALUES (54382, 0, 14, 1.89492059, 31, 306);
INSERT INTO public.ecdc_data VALUES (54383, 0, 14, 0.41940809, 124, 306);
INSERT INTO public.ecdc_data VALUES (54384, 0, 141, 359.9161514, 125, 306);
INSERT INTO public.ecdc_data VALUES (54385, 0, 5, 0.71217741, 32, 306);
INSERT INTO public.ecdc_data VALUES (54386, 0, 19, 89.14840982, 181, 306);
INSERT INTO public.ecdc_data VALUES (54387, 0, 17, 6.12060283, 33, 306);
INSERT INTO public.ecdc_data VALUES (54388, 0, 0, 0.78760623, 34, 306);
INSERT INTO public.ecdc_data VALUES (54389, 513, 6148, 59.32955998, 87, 306);
INSERT INTO public.ecdc_data VALUES (54390, 12, 632, 159.1538309, 182, 306);
INSERT INTO public.ecdc_data VALUES (54391, 0, 1, 123.92322805, 183, 306);
INSERT INTO public.ecdc_data VALUES (54392, 0, 0, 0.24804925, 126, 306);
INSERT INTO public.ecdc_data VALUES (54393, 0, 146, 150.43829619, 184, 306);
INSERT INTO public.ecdc_data VALUES (54394, 0, 0, 0, 88, 306);
INSERT INTO public.ecdc_data VALUES (54395, 37, 1402, 52.69007264, 35, 306);
INSERT INTO public.ecdc_data VALUES (54396, 1, 90, 3.59612216, 36, 306);
INSERT INTO public.ecdc_data VALUES (54397, 1, 75, 1.33961393, 127, 306);
INSERT INTO public.ecdc_data VALUES (54398, 4, 238, 127.07835242, 37, 306);
INSERT INTO public.ecdc_data VALUES (54399, 6, 1228, 46.25164045, 128, 306);
INSERT INTO public.ecdc_data VALUES (54400, 0, 421, 42.8187143, 185, 306);
INSERT INTO public.ecdc_data VALUES (54401, 0, 3, 1.06098169, 207, 306);
INSERT INTO public.ecdc_data VALUES (54402, 0, 5, 2.04889671, 208, 306);
INSERT INTO public.ecdc_data VALUES (54403, 0, 0, 5.45412629, 89, 306);
INSERT INTO public.ecdc_data VALUES (54404, 0, 0, 0.03431898, 38, 306);
INSERT INTO public.ecdc_data VALUES (54405, 21, 124, 1.80281402, 39, 306);
INSERT INTO public.ecdc_data VALUES (54406, 2, 145, 77.75143804, 186, 306);
INSERT INTO public.ecdc_data VALUES (54407, 0, 0, 5.24356353, 209, 306);
INSERT INTO public.ecdc_data VALUES (54408, 0, 164, 16.3844832, 187, 306);
INSERT INTO public.ecdc_data VALUES (54409, 16, 452, 52.48249645, 129, 306);
INSERT INTO public.ecdc_data VALUES (54410, 7, 498, 2.73543339, 130, 306);
INSERT INTO public.ecdc_data VALUES (54411, 5, 755, 163.54767775, 131, 306);
INSERT INTO public.ecdc_data VALUES (54412, 16, 830, 260.42991306, 90, 306);
INSERT INTO public.ecdc_data VALUES (54413, 0, 0, 1.25340142, 210, 306);
INSERT INTO public.ecdc_data VALUES (54414, 15, 821, 115.57724959, 91, 306);
INSERT INTO public.ecdc_data VALUES (54415, 146, 6708, 317.08562001, 92, 306);
INSERT INTO public.ecdc_data VALUES (54416, 65, 1963, 46.59875518, 132, 306);
INSERT INTO public.ecdc_data VALUES (54417, 14, 612, 25.67889889, 188, 306);
INSERT INTO public.ecdc_data VALUES (54418, 2, 418, 39.49743383, 189, 306);
INSERT INTO public.ecdc_data VALUES (54419, 5, 195, 206.41548181, 93, 306);
INSERT INTO public.ecdc_data VALUES (54420, 2, 214, 112.85027812, 133, 306);
INSERT INTO public.ecdc_data VALUES (54421, 44, 1365, 83.92199257, 190, 306);
INSERT INTO public.ecdc_data VALUES (54422, 114, 4995, 46.54003441, 191, 306);
INSERT INTO public.ecdc_data VALUES (54423, 1, 37, 12.18030848, 40, 306);
INSERT INTO public.ecdc_data VALUES (54424, 0, 0, 0, 94, 306);
INSERT INTO public.ecdc_data VALUES (54425, 0, 0, 0, 95, 306);
INSERT INTO public.ecdc_data VALUES (54426, 0, 0, 2.71264908, 96, 306);
INSERT INTO public.ecdc_data VALUES (54427, 0, 0, 14.51252431, 192, 306);
INSERT INTO public.ecdc_data VALUES (54428, 0, 1, 5.58014955, 41, 306);
INSERT INTO public.ecdc_data VALUES (54429, 26, 833, 41.86348355, 134, 306);
INSERT INTO public.ecdc_data VALUES (54430, 0, 83, 7.77474138, 42, 306);
INSERT INTO public.ecdc_data VALUES (54431, 2, 95, 21.06619351, 193, 306);
INSERT INTO public.ecdc_data VALUES (54432, 0, 0, 4.09244841, 43, 306);
INSERT INTO public.ecdc_data VALUES (54433, 0, 6, 0.84472356, 44, 306);
INSERT INTO public.ecdc_data VALUES (54434, 0, 48, 13.9378393, 135, 306);
INSERT INTO public.ecdc_data VALUES (54435, 0, 22, 356.2244922, 97, 306);
INSERT INTO public.ecdc_data VALUES (54436, 4, 121, 19.46638617, 194, 306);
INSERT INTO public.ecdc_data VALUES (54437, 1, 53, 24.26825213, 195, 306);
INSERT INTO public.ecdc_data VALUES (54438, 0, 0, 0.29139593, 45, 306);
INSERT INTO public.ecdc_data VALUES (54439, 174, 2420, 56.4822043, 46, 306);
INSERT INTO public.ecdc_data VALUES (54440, 2, 198, 8.14440968, 136, 306);
INSERT INTO public.ecdc_data VALUES (54441, 0, 1, 0.35255467, 47, 306);
INSERT INTO public.ecdc_data VALUES (54442, 184, 10476, 240.60944593, 196, 306);
INSERT INTO public.ecdc_data VALUES (54443, 0, 10, 0.90509476, 137, 306);
INSERT INTO public.ecdc_data VALUES (54444, 0, 0, 1.40844291, 48, 306);
INSERT INTO public.ecdc_data VALUES (54445, 1, 66, 146.03612545, 98, 306);
INSERT INTO public.ecdc_data VALUES (54446, 2, 286, 25.3563352, 197, 306);
INSERT INTO public.ecdc_data VALUES (54447, 4, 472, 49.1659749, 198, 306);
INSERT INTO public.ecdc_data VALUES (54448, 4, 75, 5.65314902, 138, 306);
INSERT INTO public.ecdc_data VALUES (54449, 0, 1, 0.01682519, 139, 306);
INSERT INTO public.ecdc_data VALUES (54450, 0, 36, 5.2247484, 140, 306);
INSERT INTO public.ecdc_data VALUES (54451, 0, 4, 0.0588864, 141, 306);
INSERT INTO public.ecdc_data VALUES (54452, 0, 0, 0.07733234, 142, 306);
INSERT INTO public.ecdc_data VALUES (54453, 1, 9, 2.85807646, 49, 306);
INSERT INTO public.ecdc_data VALUES (54454, 1, 64, 87.24208208, 99, 306);
INSERT INTO public.ecdc_data VALUES (54455, 3, 198, 15.8276542, 50, 306);
INSERT INTO public.ecdc_data VALUES (54456, 49, 1642, 24.90491853, 199, 306);
INSERT INTO public.ecdc_data VALUES (54457, 0, 0, 578.62491491, 100, 306);
INSERT INTO public.ecdc_data VALUES (54458, 1, 176, 3.47416839, 51, 306);
INSERT INTO public.ecdc_data VALUES (54459, 54, 2439, 67.48929612, 200, 306);
INSERT INTO public.ecdc_data VALUES (54460, 0, 614, 65.011853, 143, 306);
INSERT INTO public.ecdc_data VALUES (54461, 13, 1735, 27.20447962, 201, 306);
INSERT INTO public.ecdc_data VALUES (54462, 0, 0, 0, 52, 306);
INSERT INTO public.ecdc_data VALUES (54463, 1053, 36249, 175.2869936, 101, 306);
INSERT INTO public.ecdc_data VALUES (54464, 1, 6, 268.6963922, 102, 306);
INSERT INTO public.ecdc_data VALUES (54465, 0, 10, 3.75534667, 103, 306);
INSERT INTO public.ecdc_data VALUES (54466, 7, 365, 15.40247376, 144, 306);
INSERT INTO public.ecdc_data VALUES (54467, 4, 994, 43.16900624, 104, 306);
INSERT INTO public.ecdc_data VALUES (54468, 0, 0, 0.04043038, 145, 306);
INSERT INTO public.ecdc_data VALUES (54469, 0, 0, 0, 53, 306);
INSERT INTO public.ecdc_data VALUES (54470, 1, 4, 0.27775947, 146, 306);
INSERT INTO public.ecdc_data VALUES (54471, 0, 108, 12.04297579, 54, 306);
INSERT INTO public.ecdc_data VALUES (54472, 0, 40, 6.37056925, 55, 306);
INSERT INTO public.ecdc_data VALUES (54473, 4, 37, 2.97567749, 105, 307);
INSERT INTO public.ecdc_data VALUES (54474, 6, 101, 50.62137829, 147, 307);
INSERT INTO public.ecdc_data VALUES (54475, 8, 507, 19.23440785, 1, 307);
INSERT INTO public.ecdc_data VALUES (54476, 0, 12, 69.57480604, 148, 307);
INSERT INTO public.ecdc_data VALUES (54477, 2, 16, 1.30399403, 2, 307);
INSERT INTO public.ecdc_data VALUES (54478, 0, 0, 0, 56, 307);
INSERT INTO public.ecdc_data VALUES (54479, 0, 1, 16.47531277, 57, 307);
INSERT INTO public.ecdc_data VALUES (54480, 55, 5376, 167.84918941, 58, 307);
INSERT INTO public.ecdc_data VALUES (54481, 0, 0, 130.09986043, 149, 307);
INSERT INTO public.ecdc_data VALUES (54482, 0, 2, 8.46580754, 59, 307);
INSERT INTO public.ecdc_data VALUES (54483, 13, 395, 24.79447054, 202, 307);
INSERT INTO public.ecdc_data VALUES (54484, 0, 32, 18.76105895, 150, 307);
INSERT INTO public.ecdc_data VALUES (54485, 6, 241, 47.71232157, 151, 307);
INSERT INTO public.ecdc_data VALUES (54486, 0, 31, 129.65806216, 60, 307);
INSERT INTO public.ecdc_data VALUES (54487, 3, 299, 298.50764457, 106, 307);
INSERT INTO public.ecdc_data VALUES (54488, 30, 1356, 21.25103544, 107, 307);
INSERT INTO public.ecdc_data VALUES (54489, 0, 0, 9.05857063, 61, 307);
INSERT INTO public.ecdc_data VALUES (54490, 4, 99, 20.66139965, 152, 307);
INSERT INTO public.ecdc_data VALUES (54491, 3, 794, 54.54139616, 153, 307);
INSERT INTO public.ecdc_data VALUES (54492, 0, 0, 3.84269542, 62, 307);
INSERT INTO public.ecdc_data VALUES (54493, 0, 0, 1.72017119, 3, 307);
INSERT INTO public.ecdc_data VALUES (54494, 0, 1, 6.3991809, 63, 307);
INSERT INTO public.ecdc_data VALUES (54495, 0, 0, 1.70359091, 108, 307);
INSERT INTO public.ecdc_data VALUES (54496, 75, 1693, 181.14145084, 64, 307);
INSERT INTO public.ecdc_data VALUES (54497, 0, 2, 11.54601085, 65, 307);
INSERT INTO public.ecdc_data VALUES (54498, 4, 188, 112.23878354, 154, 307);
INSERT INTO public.ecdc_data VALUES (54499, 0, 0, 12.2411613, 4, 307);
INSERT INTO public.ecdc_data VALUES (54500, 561, 16641, 299.30037415, 66, 307);
INSERT INTO public.ecdc_data VALUES (54501, 0, 0, 3.3296707, 67, 307);
INSERT INTO public.ecdc_data VALUES (54502, 0, 0, 0, 109, 307);
INSERT INTO public.ecdc_data VALUES (54503, 0, 0, 43.22833059, 155, 307);
INSERT INTO public.ecdc_data VALUES (54504, 1, 3, 0.43304139, 5, 307);
INSERT INTO public.ecdc_data VALUES (54505, 0, 0, 0.63309928, 6, 307);
INSERT INTO public.ecdc_data VALUES (54506, 0, 0, 0.26081879, 110, 307);
INSERT INTO public.ecdc_data VALUES (54507, 0, 0, 4.24325081, 7, 307);
INSERT INTO public.ecdc_data VALUES (54508, 2, 147, 15.78143862, 68, 307);
INSERT INTO public.ecdc_data VALUES (54509, 1, 36, 93.10174275, 8, 307);
INSERT INTO public.ecdc_data VALUES (54510, 0, 0, 0, 69, 307);
INSERT INTO public.ecdc_data VALUES (54511, 0, 0, 1.39088536, 9, 307);
INSERT INTO public.ecdc_data VALUES (54512, 0, 0, 0.29472846, 10, 307);
INSERT INTO public.ecdc_data VALUES (54513, 99, 1762, 150.1896762, 70, 307);
INSERT INTO public.ecdc_data VALUES (54514, 3, 114, 0.16752876, 111, 307);
INSERT INTO public.ecdc_data VALUES (54515, 367, 10199, 246.01980598, 71, 307);
INSERT INTO public.ecdc_data VALUES (54516, 0, 0, 6.11124104, 11, 307);
INSERT INTO public.ecdc_data VALUES (54517, 2, 159, 12.91700554, 12, 307);
INSERT INTO public.ecdc_data VALUES (54518, 9, 427, 155.87726429, 72, 307);
INSERT INTO public.ecdc_data VALUES (54519, 0, 38, 7.41934553, 13, 307);
INSERT INTO public.ecdc_data VALUES (54520, 4, 36, 22.71698028, 156, 307);
INSERT INTO public.ecdc_data VALUES (54521, 0, 24, 1.97644431, 73, 307);
INSERT INTO public.ecdc_data VALUES (54522, 0, 0, 0.61190897, 74, 307);
INSERT INTO public.ecdc_data VALUES (54523, 0, 5, 13.35770448, 157, 307);
INSERT INTO public.ecdc_data VALUES (54524, 0, 208, 27.3244568, 158, 307);
INSERT INTO public.ecdc_data VALUES (54525, 0, 18, 0.79501727, 14, 307);
INSERT INTO public.ecdc_data VALUES (54526, 1, 207, 12.64191802, 159, 307);
INSERT INTO public.ecdc_data VALUES (54527, 0, 79, 22.59754693, 15, 307);
INSERT INTO public.ecdc_data VALUES (54528, 0, 0, 0, 75, 307);
INSERT INTO public.ecdc_data VALUES (54529, 5, 874, 178.42514874, 76, 307);
INSERT INTO public.ecdc_data VALUES (54530, 17, 517, 71.49329586, 77, 307);
INSERT INTO public.ecdc_data VALUES (54531, 23, 157, 6.2138854, 16, 307);
INSERT INTO public.ecdc_data VALUES (54532, 19, 395, 87.33177863, 78, 307);
INSERT INTO public.ecdc_data VALUES (54533, 0, 0, 129.05776035, 17, 307);
INSERT INTO public.ecdc_data VALUES (54534, 0, 3, 0.88644446, 18, 307);
INSERT INTO public.ecdc_data VALUES (54535, 0, 1, 4.45343518, 160, 307);
INSERT INTO public.ecdc_data VALUES (54536, 2, 63, 88.1430984, 19, 307);
INSERT INTO public.ecdc_data VALUES (54537, 52, 1290, 8.10323265, 20, 307);
INSERT INTO public.ecdc_data VALUES (54538, 0, 0, 0, 79, 307);
INSERT INTO public.ecdc_data VALUES (54539, 0, 0, 69.84818292, 161, 307);
INSERT INTO public.ecdc_data VALUES (54540, 0, 0, 0.11236523, 203, 307);
INSERT INTO public.ecdc_data VALUES (54541, 0, 13, 2.28346955, 162, 307);
INSERT INTO public.ecdc_data VALUES (54542, 29, 3376, 21.69881275, 163, 307);
INSERT INTO public.ecdc_data VALUES (54543, 0, 0, 0, 204, 307);
INSERT INTO public.ecdc_data VALUES (54544, 1, 115, 55.83228772, 21, 307);
INSERT INTO public.ecdc_data VALUES (54545, 0, 0, 16.44165173, 22, 307);
INSERT INTO public.ecdc_data VALUES (54546, 0, 5, 3.57789631, 164, 307);
INSERT INTO public.ecdc_data VALUES (54547, 8, 879, 10.76377344, 165, 307);
INSERT INTO public.ecdc_data VALUES (54548, 9, 798, 30.84372345, 23, 307);
INSERT INTO public.ecdc_data VALUES (54549, 0, 0, 23.73464665, 166, 307);
INSERT INTO public.ecdc_data VALUES (54550, 1, 75, 6.76015952, 167, 307);
INSERT INTO public.ecdc_data VALUES (54551, 0, 0, 1.76491352, 80, 307);
INSERT INTO public.ecdc_data VALUES (54552, 0, 0, 0.8928412, 81, 307);
INSERT INTO public.ecdc_data VALUES (54553, 0, 7, 28.69183179, 205, 307);
INSERT INTO public.ecdc_data VALUES (54554, 18, 236, 71.11462087, 82, 307);
INSERT INTO public.ecdc_data VALUES (54555, 0, 0, 0, 168, 307);
INSERT INTO public.ecdc_data VALUES (54556, 0, 0, 6.06048932, 24, 307);
INSERT INTO public.ecdc_data VALUES (54557, 1, 0, 1.61381257, 25, 307);
INSERT INTO public.ecdc_data VALUES (54558, 0, 0, 17.50183642, 83, 307);
INSERT INTO public.ecdc_data VALUES (54559, 1, 35, 3.97759796, 84, 307);
INSERT INTO public.ecdc_data VALUES (54560, 0, 0, 0, 169, 307);
INSERT INTO public.ecdc_data VALUES (54561, 7, 597, 94.22215929, 85, 307);
INSERT INTO public.ecdc_data VALUES (54562, 0, 9, 2.01580803, 170, 307);
INSERT INTO public.ecdc_data VALUES (54563, 0, 8, 21.2890521, 171, 307);
INSERT INTO public.ecdc_data VALUES (54564, 803, 52050, 51.26938646, 112, 307);
INSERT INTO public.ecdc_data VALUES (54565, 66, 1679, 9.20829479, 113, 307);
INSERT INTO public.ecdc_data VALUES (54566, 215, 2598, 43.21712406, 114, 307);
INSERT INTO public.ecdc_data VALUES (54567, 66, 2735, 94.61510974, 115, 307);
INSERT INTO public.ecdc_data VALUES (54568, 0, 46, 9.0126095, 172, 307);
INSERT INTO public.ecdc_data VALUES (54569, 0, 0, 0, 173, 307);
INSERT INTO public.ecdc_data VALUES (54570, 10, 1878, 272.6374347, 116, 307);
INSERT INTO public.ecdc_data VALUES (54571, 12, 159, 5.97254327, 174, 307);
INSERT INTO public.ecdc_data VALUES (54572, 0, 11, 3.25613909, 86, 307);
INSERT INTO public.ecdc_data VALUES (54573, 5, 1786, 11.13193025, 117, 307);
INSERT INTO public.ecdc_data VALUES (54574, 0, 4, 7.42142566, 175, 307);
INSERT INTO public.ecdc_data VALUES (54575, 0, 5, -0.04949663, 118, 307);
INSERT INTO public.ecdc_data VALUES (54576, 0, 1434, 143.42292141, 119, 307);
INSERT INTO public.ecdc_data VALUES (54577, 13, 544, 16.78777635, 26, 307);
INSERT INTO public.ecdc_data VALUES (54578, 7, 250, 176.36860817, 176, 307);
INSERT INTO public.ecdc_data VALUES (54579, 4, 388, 202.89621512, 120, 307);
INSERT INTO public.ecdc_data VALUES (54580, 7, 412, 144.797627, 121, 307);
INSERT INTO public.ecdc_data VALUES (54581, 0, 0, 0.01394806, 122, 307);
INSERT INTO public.ecdc_data VALUES (54582, 0, 3, 2.81254688, 177, 307);
INSERT INTO public.ecdc_data VALUES (54583, 3, 177, 31.46282901, 123, 307);
INSERT INTO public.ecdc_data VALUES (54584, 0, 0, 16.89199522, 27, 307);
INSERT INTO public.ecdc_data VALUES (54585, 1, 7, 2.16714391, 28, 307);
INSERT INTO public.ecdc_data VALUES (54586, 13, 372, 31.02935572, 29, 307);
INSERT INTO public.ecdc_data VALUES (54587, 0, 0, 5.21131898, 178, 307);
INSERT INTO public.ecdc_data VALUES (54588, 0, 10, 6.19143192, 179, 307);
INSERT INTO public.ecdc_data VALUES (54589, 1, 169, 205.08426536, 180, 307);
INSERT INTO public.ecdc_data VALUES (54590, 4, 132, 16.71159058, 30, 307);
INSERT INTO public.ecdc_data VALUES (54591, 0, 42, 6.5919617, 31, 307);
INSERT INTO public.ecdc_data VALUES (54592, 0, 2, 0.62911214, 124, 307);
INSERT INTO public.ecdc_data VALUES (54593, 1, 129, 249.92607688, 125, 307);
INSERT INTO public.ecdc_data VALUES (54594, 0, 2, 0.34591474, 32, 307);
INSERT INTO public.ecdc_data VALUES (54595, 0, 16, 25.12364277, 181, 307);
INSERT INTO public.ecdc_data VALUES (54596, 0, 13, 8.83841564, 33, 307);
INSERT INTO public.ecdc_data VALUES (54597, 0, 0, 0.07876062, 34, 307);
INSERT INTO public.ecdc_data VALUES (54598, 266, 7430, 71.99656605, 87, 307);
INSERT INTO public.ecdc_data VALUES (54599, 9, 120, 108.00695874, 182, 307);
INSERT INTO public.ecdc_data VALUES (54600, 0, 1, 27.20265982, 183, 307);
INSERT INTO public.ecdc_data VALUES (54601, 0, 0, 0.18603694, 126, 307);
INSERT INTO public.ecdc_data VALUES (54602, 1, 43, 231.4435326, 184, 307);
INSERT INTO public.ecdc_data VALUES (54603, 0, 0, 20.03606492, 88, 307);
INSERT INTO public.ecdc_data VALUES (54604, 19, 659, 23.67310648, 35, 307);
INSERT INTO public.ecdc_data VALUES (54605, 1, 27, 1.53460891, 36, 307);
INSERT INTO public.ecdc_data VALUES (54606, 0, 2, 0.02590414, 127, 307);
INSERT INTO public.ecdc_data VALUES (54607, 1, 112, 42.57325245, 37, 307);
INSERT INTO public.ecdc_data VALUES (54608, 0, 418, 10.15774389, 128, 307);
INSERT INTO public.ecdc_data VALUES (54609, 0, 372, 20.28102617, 185, 307);
INSERT INTO public.ecdc_data VALUES (54610, 0, 0, 0, 207, 307);
INSERT INTO public.ecdc_data VALUES (54611, 0, 0, 0.25088531, 208, 307);
INSERT INTO public.ecdc_data VALUES (54612, 0, 0, 8.02077396, 89, 307);
INSERT INTO public.ecdc_data VALUES (54613, 0, 5, 0.20162398, 38, 307);
INSERT INTO public.ecdc_data VALUES (54614, 8, 288, 3.43544796, 39, 307);
INSERT INTO public.ecdc_data VALUES (54615, 3, 86, 91.0389903, 186, 307);
INSERT INTO public.ecdc_data VALUES (54616, 0, 0, 13.98283607, 209, 307);
INSERT INTO public.ecdc_data VALUES (54617, 1, 60, 4.50432528, 187, 307);
INSERT INTO public.ecdc_data VALUES (54618, 0, 0, 216.26165429, 129, 307);
INSERT INTO public.ecdc_data VALUES (54619, 15, 432, 6.63310275, 130, 307);
INSERT INTO public.ecdc_data VALUES (54620, 0, 244, 110.49053865, 131, 307);
INSERT INTO public.ecdc_data VALUES (54621, 26, 1003, 330.39440096, 90, 307);
INSERT INTO public.ecdc_data VALUES (54622, 0, 1, 1.04829937, 210, 307);
INSERT INTO public.ecdc_data VALUES (54623, 3, 80, 28.0496985, 91, 307);
INSERT INTO public.ecdc_data VALUES (54624, 197, 4250, 231.98378417, 92, 307);
INSERT INTO public.ecdc_data VALUES (54625, 45, 3145, 34.62187341, 132, 307);
INSERT INTO public.ecdc_data VALUES (54626, 1, 575, 18.66071967, 188, 307);
INSERT INTO public.ecdc_data VALUES (54627, 0, 106, 27.2268588, 189, 307);
INSERT INTO public.ecdc_data VALUES (54628, 0, 380, 215.79025596, 93, 307);
INSERT INTO public.ecdc_data VALUES (54629, 0, 215, 151.30270392, 133, 307);
INSERT INTO public.ecdc_data VALUES (54630, 19, 823, 81.74320396, 190, 307);
INSERT INTO public.ecdc_data VALUES (54631, 79, 5394, 54.00478473, 191, 307);
INSERT INTO public.ecdc_data VALUES (54632, 0, 30, 3.66676387, 40, 307);
INSERT INTO public.ecdc_data VALUES (54633, 0, 0, 0, 94, 307);
INSERT INTO public.ecdc_data VALUES (54634, 0, 0, 1.09412183, 95, 307);
INSERT INTO public.ecdc_data VALUES (54635, 0, 0, 4.5210818, 96, 307);
INSERT INTO public.ecdc_data VALUES (54636, 0, 0, 0, 192, 307);
INSERT INTO public.ecdc_data VALUES (54637, 0, 0, 59.52159518, 41, 307);
INSERT INTO public.ecdc_data VALUES (54638, 32, 1258, 78.04245114, 134, 307);
INSERT INTO public.ecdc_data VALUES (54639, 2, 42, 8.82405533, 42, 307);
INSERT INTO public.ecdc_data VALUES (54640, 8, 258, 74.64354048, 193, 307);
INSERT INTO public.ecdc_data VALUES (54641, 0, 0, 6.13867261, 43, 307);
INSERT INTO public.ecdc_data VALUES (54642, 0, 5, 1.75344132, 44, 307);
INSERT INTO public.ecdc_data VALUES (54643, 0, 226, 86.41804938, 135, 307);
INSERT INTO public.ecdc_data VALUES (54644, 0, 4, 167.49628441, 97, 307);
INSERT INTO public.ecdc_data VALUES (54645, 0, 10, 6.86185526, 194, 307);
INSERT INTO public.ecdc_data VALUES (54646, 0, 1, 10.95675542, 195, 307);
INSERT INTO public.ecdc_data VALUES (54647, 0, 8, 0.58279187, 45, 307);
INSERT INTO public.ecdc_data VALUES (54648, 173, 5377, 244.60081785, 46, 307);
INSERT INTO public.ecdc_data VALUES (54649, 0, 34, 1.18496085, 136, 307);
INSERT INTO public.ecdc_data VALUES (54650, 0, 0, 1.97069023, 47, 307);
INSERT INTO public.ecdc_data VALUES (54651, 26, 5760, 78.01937318, 196, 307);
INSERT INTO public.ecdc_data VALUES (54652, 0, 5, 0.4595818, 137, 307);
INSERT INTO public.ecdc_data VALUES (54653, 0, 0, 1.74245176, 48, 307);
INSERT INTO public.ecdc_data VALUES (54654, 0, 44, 140.01579048, 98, 307);
INSERT INTO public.ecdc_data VALUES (54655, 4, 165, 28.07378361, 197, 307);
INSERT INTO public.ecdc_data VALUES (54656, 0, 66, 23.17272799, 198, 307);
INSERT INTO public.ecdc_data VALUES (54657, 2, 38, 1.90391029, 138, 307);
INSERT INTO public.ecdc_data VALUES (54658, 0, 1, 0.08833223, 139, 307);
INSERT INTO public.ecdc_data VALUES (54659, 0, 43, 6.6194451, 140, 307);
INSERT INTO public.ecdc_data VALUES (54660, 0, 1, 0.09479275, 141, 307);
INSERT INTO public.ecdc_data VALUES (54661, 0, 0, 0, 142, 307);
INSERT INTO public.ecdc_data VALUES (54662, 0, 15, 2.3879167, 49, 307);
INSERT INTO public.ecdc_data VALUES (54663, 0, 0, 3.22587814, 99, 307);
INSERT INTO public.ecdc_data VALUES (54664, 0, 4, 1.57335947, 50, 307);
INSERT INTO public.ecdc_data VALUES (54665, 19, 995, 16.19313583, 199, 307);
INSERT INTO public.ecdc_data VALUES (54666, 0, 0, 91.63742996, 100, 307);
INSERT INTO public.ecdc_data VALUES (54667, 1, 13, 0.28461978, 51, 307);
INSERT INTO public.ecdc_data VALUES (54668, 13, 990, 31.06130583, 200, 307);
INSERT INTO public.ecdc_data VALUES (54669, 0, 164, 40.63240812, 143, 307);
INSERT INTO public.ecdc_data VALUES (54670, 1, 928, 14.26618456, 201, 307);
INSERT INTO public.ecdc_data VALUES (54671, 0, 0, 0, 52, 307);
INSERT INTO public.ecdc_data VALUES (54672, 543, 45607, 268.50385877, 101, 307);
INSERT INTO public.ecdc_data VALUES (54673, 0, 18, 125.26415437, 102, 307);
INSERT INTO public.ecdc_data VALUES (54674, 0, 5, 6.55741304, 103, 307);
INSERT INTO public.ecdc_data VALUES (54675, 6, 722, 27.1665679, 144, 307);
INSERT INTO public.ecdc_data VALUES (54676, 0, 0, 27.60572032, 104, 307);
INSERT INTO public.ecdc_data VALUES (54677, 2, 31, 0.28923274, 145, 307);
INSERT INTO public.ecdc_data VALUES (54678, 0, 0, 0, 53, 307);
INSERT INTO public.ecdc_data VALUES (54679, 2, 4, 0.40806638, 146, 307);
INSERT INTO public.ecdc_data VALUES (54680, 1, 233, 18.21843013, 54, 307);
INSERT INTO public.ecdc_data VALUES (54681, 10, 154, 16.12785057, 55, 307);
INSERT INTO public.ecdc_data VALUES (54682, 12, 302, 11.68715735, 105, 308);
INSERT INTO public.ecdc_data VALUES (54683, 3, 90, 31.93094531, 147, 308);
INSERT INTO public.ecdc_data VALUES (54684, 9, 413, 8.28280382, 1, 308);
INSERT INTO public.ecdc_data VALUES (54685, 0, 0, 0, 148, 308);
INSERT INTO public.ecdc_data VALUES (54686, 1, 13, 0.509029, 2, 308);
INSERT INTO public.ecdc_data VALUES (54687, 0, 0, 0, 56, 308);
INSERT INTO public.ecdc_data VALUES (54688, 0, 0, 43.24769603, 57, 308);
INSERT INTO public.ecdc_data VALUES (54689, 52, 2845, 74.17485333, 58, 308);
INSERT INTO public.ecdc_data VALUES (54690, 8, 580, 276.96934945, 149, 308);
INSERT INTO public.ecdc_data VALUES (54691, 0, 0, 2.82193585, 59, 308);
INSERT INTO public.ecdc_data VALUES (54692, 0, 254, 3.35671661, 202, 308);
INSERT INTO public.ecdc_data VALUES (54693, 0, 121, 10.02395929, 150, 308);
INSERT INTO public.ecdc_data VALUES (54694, 7, 583, 74.64380722, 151, 308);
INSERT INTO public.ecdc_data VALUES (54695, 0, 0, 0, 60, 308);
INSERT INTO public.ecdc_data VALUES (54696, 1, 573, 456.62712563, 106, 308);
INSERT INTO public.ecdc_data VALUES (54697, 42, 3114, 31.19116448, 107, 308);
INSERT INTO public.ecdc_data VALUES (54698, 0, 0, 0, 61, 308);
INSERT INTO public.ecdc_data VALUES (54699, 7, 299, 59.92123278, 152, 308);
INSERT INTO public.ecdc_data VALUES (54700, 2, 94, 10.93795925, 153, 308);
INSERT INTO public.ecdc_data VALUES (54701, 0, 2, 2.04943756, 62, 308);
INSERT INTO public.ecdc_data VALUES (54702, 0, 0, 4.6520886, 3, 308);
INSERT INTO public.ecdc_data VALUES (54703, 0, 0, 0, 63, 308);
INSERT INTO public.ecdc_data VALUES (54704, 0, 1, 1.31045454, 108, 308);
INSERT INTO public.ecdc_data VALUES (54705, 49, 1290, 124.57111906, 64, 308);
INSERT INTO public.ecdc_data VALUES (54706, 0, 0, 0, 65, 308);
INSERT INTO public.ecdc_data VALUES (54707, 2, 172, 50.65134847, 154, 308);
INSERT INTO public.ecdc_data VALUES (54708, 0, 48, 8.07395745, 4, 308);
INSERT INTO public.ecdc_data VALUES (54709, 1290, 42223, 239.83376148, 66, 308);
INSERT INTO public.ecdc_data VALUES (54710, 0, 0, 0, 67, 308);
INSERT INTO public.ecdc_data VALUES (54711, 0, 0, 0, 109, 308);
INSERT INTO public.ecdc_data VALUES (54712, 7, 182, 24.88557564, 155, 308);
INSERT INTO public.ecdc_data VALUES (54713, 0, 7, 0.42812047, 5, 308);
INSERT INTO public.ecdc_data VALUES (54714, 0, 21, 0.75451558, 6, 308);
INSERT INTO public.ecdc_data VALUES (54715, 0, 0, 0.07278664, 110, 308);
INSERT INTO public.ecdc_data VALUES (54716, 0, 0, 5.06639509, 7, 308);
INSERT INTO public.ecdc_data VALUES (54717, 21, 319, 11.92428823, 68, 308);
INSERT INTO public.ecdc_data VALUES (54718, 0, 81, 97.10220826, 8, 308);
INSERT INTO public.ecdc_data VALUES (54719, 0, 0, 9.23815976, 69, 308);
INSERT INTO public.ecdc_data VALUES (54720, 0, 95, 27.67018905, 9, 308);
INSERT INTO public.ecdc_data VALUES (54721, 0, 3, 0.08152064, 10, 308);
INSERT INTO public.ecdc_data VALUES (54722, 131, 3548, 299.15520945, 70, 308);
INSERT INTO public.ecdc_data VALUES (54723, 0, 9, 0.02196984, 111, 308);
INSERT INTO public.ecdc_data VALUES (54724, 136, 3395, 91.83454811, 71, 308);
INSERT INTO public.ecdc_data VALUES (54725, 0, 6, 11.63486275, 11, 308);
INSERT INTO public.ecdc_data VALUES (54726, 3, 175, 12.52670754, 12, 308);
INSERT INTO public.ecdc_data VALUES (54727, 1, 288, 44.63541897, 72, 308);
INSERT INTO public.ecdc_data VALUES (54728, 2, 252, 14.77647433, 13, 308);
INSERT INTO public.ecdc_data VALUES (54729, 2, 96, 17.85956981, 156, 308);
INSERT INTO public.ecdc_data VALUES (54730, 0, 8, 0.49411108, 73, 308);
INSERT INTO public.ecdc_data VALUES (54731, 0, 0, 1.22381794, 74, 308);
INSERT INTO public.ecdc_data VALUES (54732, 0, 0, 1.5983578, 157, 308);
INSERT INTO public.ecdc_data VALUES (54733, 1, 141, 17.96277864, 158, 308);
INSERT INTO public.ecdc_data VALUES (54734, 0, 0, 1.97256458, 14, 308);
INSERT INTO public.ecdc_data VALUES (54735, 0, 17, 7.5954848, 159, 308);
INSERT INTO public.ecdc_data VALUES (54736, 0, 21, 17.56445693, 15, 308);
INSERT INTO public.ecdc_data VALUES (54737, 0, 0, 0, 75, 308);
INSERT INTO public.ecdc_data VALUES (54738, 10, 951, 93.86386406, 76, 308);
INSERT INTO public.ecdc_data VALUES (54739, 61, 1189, 62.88831419, 77, 308);
INSERT INTO public.ecdc_data VALUES (54740, 81, 1412, 20.42075196, 16, 308);
INSERT INTO public.ecdc_data VALUES (54741, 19, 267, 45.52533102, 78, 308);
INSERT INTO public.ecdc_data VALUES (54742, 0, 0, 103.76243932, 17, 308);
INSERT INTO public.ecdc_data VALUES (54743, 0, 0, 2.08743373, 18, 308);
INSERT INTO public.ecdc_data VALUES (54744, 0, 1, 0.90578343, 160, 308);
INSERT INTO public.ecdc_data VALUES (54745, 2, 36, 24.91000607, 19, 308);
INSERT INTO public.ecdc_data VALUES (54746, 0, 0, 1.58460044, 20, 308);
INSERT INTO public.ecdc_data VALUES (54747, 0, 0, 0, 79, 308);
INSERT INTO public.ecdc_data VALUES (54748, 0, 0, 0, 161, 308);
INSERT INTO public.ecdc_data VALUES (54749, 0, 0, 0, 203, 308);
INSERT INTO public.ecdc_data VALUES (54750, 0, 28, 2.46469729, 162, 308);
INSERT INTO public.ecdc_data VALUES (54751, 18, 582, 11.20381584, 163, 308);
INSERT INTO public.ecdc_data VALUES (54752, 0, 0, 0.71611436, 204, 308);
INSERT INTO public.ecdc_data VALUES (54753, 2, 107, 54.86569412, 21, 308);
INSERT INTO public.ecdc_data VALUES (54754, 0, 0, 0.8093041, 22, 308);
INSERT INTO public.ecdc_data VALUES (54755, 0, 7, 1.25101269, 164, 308);
INSERT INTO public.ecdc_data VALUES (54756, 7, 422, 8.38480606, 165, 308);
INSERT INTO public.ecdc_data VALUES (54757, 0, 1254, 20.33345017, 23, 308);
INSERT INTO public.ecdc_data VALUES (54758, 0, 0, 5.93366166, 166, 308);
INSERT INTO public.ecdc_data VALUES (54759, 0, 28, 2.32176513, 167, 308);
INSERT INTO public.ecdc_data VALUES (54760, 0, 0, 0, 80, 308);
INSERT INTO public.ecdc_data VALUES (54761, 0, 0, 0, 81, 308);
INSERT INTO public.ecdc_data VALUES (54762, 0, 2, 52.60169162, 205, 308);
INSERT INTO public.ecdc_data VALUES (54763, 37, 1221, 49.96167557, 82, 308);
INSERT INTO public.ecdc_data VALUES (54764, 0, 0, 0, 168, 308);
INSERT INTO public.ecdc_data VALUES (54765, 0, 71, 4.83116526, 24, 308);
INSERT INTO public.ecdc_data VALUES (54766, 0, 56, 10.30757706, 25, 308);
INSERT INTO public.ecdc_data VALUES (54767, 0, 6, 9.32579605, 83, 308);
INSERT INTO public.ecdc_data VALUES (54768, 0, 129, 11.09820858, 84, 308);
INSERT INTO public.ecdc_data VALUES (54769, 0, 0, 0, 169, 308);
INSERT INTO public.ecdc_data VALUES (54770, 14, 996, 111.40849456, 85, 308);
INSERT INTO public.ecdc_data VALUES (54771, 1, 6, 0.87999741, 170, 308);
INSERT INTO public.ecdc_data VALUES (54772, 0, 0, 4.2017866, 171, 308);
INSERT INTO public.ecdc_data VALUES (54773, 442, 22771, 18.5351075, 112, 308);
INSERT INTO public.ecdc_data VALUES (54774, 49, 1301, 6.2418345, 113, 308);
INSERT INTO public.ecdc_data VALUES (54775, 154, 2566, 42.41388111, 114, 308);
INSERT INTO public.ecdc_data VALUES (54776, 102, 2312, 72.92839959, 115, 308);
INSERT INTO public.ecdc_data VALUES (54777, 2, 9, 2.6507675, 172, 308);
INSERT INTO public.ecdc_data VALUES (54778, 0, 0, 0, 173, 308);
INSERT INTO public.ecdc_data VALUES (54779, 1, 513, 90.57004547, 116, 308);
INSERT INTO public.ecdc_data VALUES (54780, 15, 223, 5.25683212, 174, 308);
INSERT INTO public.ecdc_data VALUES (54781, 0, 6, 2.34034997, 86, 308);
INSERT INTO public.ecdc_data VALUES (54782, 1, 214, 1.16900245, 117, 308);
INSERT INTO public.ecdc_data VALUES (54783, 0, 0, 1.85535641, 175, 308);
INSERT INTO public.ecdc_data VALUES (54784, 1, 11, 1.37600643, 118, 308);
INSERT INTO public.ecdc_data VALUES (54785, 0, 1644, 155.99877271, 119, 308);
INSERT INTO public.ecdc_data VALUES (54786, 2, 247, 5.35245895, 26, 308);
INSERT INTO public.ecdc_data VALUES (54787, 0, 0, 59.2714175, 176, 308);
INSERT INTO public.ecdc_data VALUES (54788, 1, 813, 237.55210565, 120, 308);
INSERT INTO public.ecdc_data VALUES (54789, 2, 327, 64.10685036, 121, 308);
INSERT INTO public.ecdc_data VALUES (54790, 0, 0, 0, 122, 308);
INSERT INTO public.ecdc_data VALUES (54791, 0, 0, 0.62501042, 177, 308);
INSERT INTO public.ecdc_data VALUES (54792, 0, 34, 4.66764269, 123, 308);
INSERT INTO public.ecdc_data VALUES (54793, 0, 0, 1.45864026, 27, 308);
INSERT INTO public.ecdc_data VALUES (54794, 0, 14, 5.10392772, 28, 308);
INSERT INTO public.ecdc_data VALUES (54795, 1, 27, 6.0199606, 29, 308);
INSERT INTO public.ecdc_data VALUES (54796, 0, 1, 2.60565949, 178, 308);
INSERT INTO public.ecdc_data VALUES (54797, 1, 3, 1.28839046, 179, 308);
INSERT INTO public.ecdc_data VALUES (54798, 0, 52, 56.68731084, 180, 308);
INSERT INTO public.ecdc_data VALUES (54799, 2, 109, 3.96376533, 30, 308);
INSERT INTO public.ecdc_data VALUES (54800, 0, 96, 4.71314526, 31, 308);
INSERT INTO public.ecdc_data VALUES (54801, 0, 5, 0.35367996, 124, 308);
INSERT INTO public.ecdc_data VALUES (54802, 0, 10, 48.96818386, 125, 308);
INSERT INTO public.ecdc_data VALUES (54803, 0, 25, 1.84148732, 32, 308);
INSERT INTO public.ecdc_data VALUES (54804, 0, 0, 1.62088018, 181, 308);
INSERT INTO public.ecdc_data VALUES (54805, 0, 0, 49.69399195, 33, 308);
INSERT INTO public.ecdc_data VALUES (54806, 0, 0, 0.31504249, 34, 308);
INSERT INTO public.ecdc_data VALUES (54807, 654, 7016, 63.52864114, 87, 308);
INSERT INTO public.ecdc_data VALUES (54808, 12, 295, 96.18480938, 182, 308);
INSERT INTO public.ecdc_data VALUES (54809, 0, 0, 18.13510654, 183, 308);
INSERT INTO public.ecdc_data VALUES (54810, 0, 0, 0.4960985, 126, 308);
INSERT INTO public.ecdc_data VALUES (54811, 0, 47, 49.50320003, 184, 308);
INSERT INTO public.ecdc_data VALUES (54812, 0, 0, 0, 88, 308);
INSERT INTO public.ecdc_data VALUES (54813, 1, 319, 10.0762875, 35, 308);
INSERT INTO public.ecdc_data VALUES (54814, 0, 21, 0.89244423, 36, 308);
INSERT INTO public.ecdc_data VALUES (54815, 0, 2, 0.03700591, 127, 308);
INSERT INTO public.ecdc_data VALUES (54816, 0, 57, 12.22678154, 37, 308);
INSERT INTO public.ecdc_data VALUES (54817, 1, 740, 24.41563698, 128, 308);
INSERT INTO public.ecdc_data VALUES (54818, 2, 75, 6.13927782, 185, 308);
INSERT INTO public.ecdc_data VALUES (54819, 0, 0, 0, 207, 308);
INSERT INTO public.ecdc_data VALUES (54820, 0, 0, 0.4390493, 208, 308);
INSERT INTO public.ecdc_data VALUES (54821, 0, 0, 7.71522066, 89, 308);
INSERT INTO public.ecdc_data VALUES (54822, 0, 1, 0.26597206, 38, 308);
INSERT INTO public.ecdc_data VALUES (54823, 12, 454, 4.18832061, 39, 308);
INSERT INTO public.ecdc_data VALUES (54824, 0, 0, 87.76524554, 186, 308);
INSERT INTO public.ecdc_data VALUES (54825, 0, 0, 1.74785451, 209, 308);
INSERT INTO public.ecdc_data VALUES (54826, 0, 0, 3.80990846, 187, 308);
INSERT INTO public.ecdc_data VALUES (54827, 5, 1374, 326.81459588, 129, 308);
INSERT INTO public.ecdc_data VALUES (54828, 68, 3387, 24.75788863, 130, 308);
INSERT INTO public.ecdc_data VALUES (54829, 4, 272, 56.83116187, 131, 308);
INSERT INTO public.ecdc_data VALUES (54830, 31, 758, 276.01944217, 90, 308);
INSERT INTO public.ecdc_data VALUES (54831, 0, 0, 0.03418368, 210, 308);
INSERT INTO public.ecdc_data VALUES (54832, 0, 46, 14.37972904, 91, 308);
INSERT INTO public.ecdc_data VALUES (54833, 181, 3595, 146.64202557, 92, 308);
INSERT INTO public.ecdc_data VALUES (54834, 6, 1531, 10.98535986, 132, 308);
INSERT INTO public.ecdc_data VALUES (54835, 15, 259, 10.7682307, 188, 308);
INSERT INTO public.ecdc_data VALUES (54836, 11, 374, 45.65704842, 189, 308);
INSERT INTO public.ecdc_data VALUES (54837, 1, 75, 53.58961807, 93, 308);
INSERT INTO public.ecdc_data VALUES (54838, 3, 756, 465.77222111, 133, 308);
INSERT INTO public.ecdc_data VALUES (54839, 21, 420, 24.54871519, 190, 308);
INSERT INTO public.ecdc_data VALUES (54840, 176, 6718, 67.74420304, 191, 308);
INSERT INTO public.ecdc_data VALUES (54841, 0, 18, 3.32622208, 40, 308);
INSERT INTO public.ecdc_data VALUES (54842, 0, 0, 0, 94, 308);
INSERT INTO public.ecdc_data VALUES (54843, 0, 0, 1.64118275, 95, 308);
INSERT INTO public.ecdc_data VALUES (54844, 0, 0, 0, 96, 308);
INSERT INTO public.ecdc_data VALUES (54845, 0, 0, 5.80500972, 192, 308);
INSERT INTO public.ecdc_data VALUES (54846, 0, 2, 12.09032402, 41, 308);
INSERT INTO public.ecdc_data VALUES (54847, 50, 4193, 150.3099243, 134, 308);
INSERT INTO public.ecdc_data VALUES (54848, 4, 110, 9.35791682, 42, 308);
INSERT INTO public.ecdc_data VALUES (54849, 11, 309, 40.13634006, 193, 308);
INSERT INTO public.ecdc_data VALUES (54850, 0, 0, 0, 43, 308);
INSERT INTO public.ecdc_data VALUES (54851, 2, 6, 2.89253824, 44, 308);
INSERT INTO public.ecdc_data VALUES (54852, 0, 169, 49.34236312, 135, 308);
INSERT INTO public.ecdc_data VALUES (54853, 0, 0, 0, 97, 308);
INSERT INTO public.ecdc_data VALUES (54854, 0, 20, 2.64199775, 194, 308);
INSERT INTO public.ecdc_data VALUES (54855, 0, 16, 6.53560849, 195, 308);
INSERT INTO public.ecdc_data VALUES (54856, 0, 0, 1.45697966, 45, 308);
INSERT INTO public.ecdc_data VALUES (54857, 108, 9063, 152.68382174, 46, 308);
INSERT INTO public.ecdc_data VALUES (54858, 1, 63, 1.28256883, 136, 308);
INSERT INTO public.ecdc_data VALUES (54859, 0, 0, 2.01588955, 47, 308);
INSERT INTO public.ecdc_data VALUES (54860, 0, 0, 9.81527177, 196, 308);
INSERT INTO public.ecdc_data VALUES (54861, 0, 3, 0.55806361, 137, 308);
INSERT INTO public.ecdc_data VALUES (54862, 2, 90, 3.14622321, 48, 308);
INSERT INTO public.ecdc_data VALUES (54863, 0, 14, 46.09856492, 98, 308);
INSERT INTO public.ecdc_data VALUES (54864, 8, 694, 123.06717816, 197, 308);
INSERT INTO public.ecdc_data VALUES (54865, 0, 133, 9.45634556, 198, 308);
INSERT INTO public.ecdc_data VALUES (54866, 1, 16, 0.82600416, 138, 308);
INSERT INTO public.ecdc_data VALUES (54867, 0, 0, 0.01261889, 139, 308);
INSERT INTO public.ecdc_data VALUES (54868, 0, 50, 8.26089583, 140, 308);
INSERT INTO public.ecdc_data VALUES (54869, 0, 5, 0.0560139, 141, 308);
INSERT INTO public.ecdc_data VALUES (54870, 0, 0, 0, 142, 308);
INSERT INTO public.ecdc_data VALUES (54871, 0, 4, 1.43522454, 49, 308);
INSERT INTO public.ecdc_data VALUES (54872, 0, 0, 0.50180327, 99, 308);
INSERT INTO public.ecdc_data VALUES (54873, 0, 3, 0.29928033, 50, 308);
INSERT INTO public.ecdc_data VALUES (54874, 19, 1172, 22.20748525, 199, 308);
INSERT INTO public.ecdc_data VALUES (54875, 0, 0, 83.78279311, 100, 308);
INSERT INTO public.ecdc_data VALUES (54876, 0, 9, 0.35238639, 51, 308);
INSERT INTO public.ecdc_data VALUES (54877, 27, 876, 26.77432283, 200, 308);
INSERT INTO public.ecdc_data VALUES (54878, 1, 672, 61.36824159, 143, 308);
INSERT INTO public.ecdc_data VALUES (54879, 49, 602, 14.94288305, 201, 308);
INSERT INTO public.ecdc_data VALUES (54880, 0, 0, 0, 52, 308);
INSERT INTO public.ecdc_data VALUES (54881, 694, 54442, 174.23917603, 101, 308);
INSERT INTO public.ecdc_data VALUES (54882, 0, 13, 35.379952, 102, 308);
INSERT INTO public.ecdc_data VALUES (54883, 0, 5, 2.85984093, 103, 308);
INSERT INTO public.ecdc_data VALUES (54884, 2, 301, 10.53614101, 144, 308);
INSERT INTO public.ecdc_data VALUES (54885, 2, 264, 10.33110417, 104, 308);
INSERT INTO public.ecdc_data VALUES (54886, 0, 0, 0.00622006, 145, 308);
INSERT INTO public.ecdc_data VALUES (54887, 0, 58, 84.81298222, 53, 308);
INSERT INTO public.ecdc_data VALUES (54888, 10, 19, 1.10075049, 146, 308);
INSERT INTO public.ecdc_data VALUES (54889, 0, 0, 1.13095356, 54, 308);
INSERT INTO public.ecdc_data VALUES (54890, 0, 8, 0.99689508, 55, 308);
INSERT INTO public.ecdc_data VALUES (54891, 24, 758, 23.97891349, 105, 309);
INSERT INTO public.ecdc_data VALUES (54892, 0, 20, 7.68578552, 147, 309);
INSERT INTO public.ecdc_data VALUES (54893, 0, 0, 4.8405393, 1, 309);
INSERT INTO public.ecdc_data VALUES (54894, 0, 7, 116.83316487, 148, 309);
INSERT INTO public.ecdc_data VALUES (54895, 0, 0, 0.10683325, 2, 309);
INSERT INTO public.ecdc_data VALUES (54896, 0, 0, 0, 56, 309);
INSERT INTO public.ecdc_data VALUES (54897, 0, 1, 1.02970705, 57, 309);
INSERT INTO public.ecdc_data VALUES (54898, 14, 949, 22.29756474, 58, 309);
INSERT INTO public.ecdc_data VALUES (54899, 6, 697, 189.84166225, 149, 309);
INSERT INTO public.ecdc_data VALUES (54900, 0, 0, 0, 59, 309);
INSERT INTO public.ecdc_data VALUES (54901, 0, 8, 0.59516252, 202, 309);
INSERT INTO public.ecdc_data VALUES (54902, 1, 31, 4.85394425, 150, 309);
INSERT INTO public.ecdc_data VALUES (54903, 5, 325, 26.16514256, 151, 309);
INSERT INTO public.ecdc_data VALUES (54904, 0, 0, 1.28374319, 60, 309);
INSERT INTO public.ecdc_data VALUES (54905, 1, 504, 300.21375073, 106, 309);
INSERT INTO public.ecdc_data VALUES (54906, 37, 2695, 17.41960543, 107, 309);
INSERT INTO public.ecdc_data VALUES (54907, 0, 0, 0.69681313, 61, 309);
INSERT INTO public.ecdc_data VALUES (54908, 5, 861, 134.25149081, 152, 309);
INSERT INTO public.ecdc_data VALUES (54909, 20, 159, 19.96417622, 153, 309);
INSERT INTO public.ecdc_data VALUES (54910, 0, 0, 0, 62, 309);
INSERT INTO public.ecdc_data VALUES (54911, 0, 0, 0.96600747, 3, 309);
INSERT INTO public.ecdc_data VALUES (54912, 0, 0, 25.59672362, 63, 309);
INSERT INTO public.ecdc_data VALUES (54913, 0, 0, 3.40718182, 108, 309);
INSERT INTO public.ecdc_data VALUES (54914, 24, 647, 58.35959761, 64, 309);
INSERT INTO public.ecdc_data VALUES (54915, 0, 0, 3.84867028, 65, 309);
INSERT INTO public.ecdc_data VALUES (54916, 0, 16, 6.54347564, 154, 309);
INSERT INTO public.ecdc_data VALUES (54917, 0, 2, 0.47749211, 4, 309);
INSERT INTO public.ecdc_data VALUES (54918, 1349, 28633, 138.56321558, 66, 309);
INSERT INTO public.ecdc_data VALUES (54919, 0, 0, 0, 67, 309);
INSERT INTO public.ecdc_data VALUES (54920, 0, 0, 0, 109, 309);
INSERT INTO public.ecdc_data VALUES (54921, 3, 47, 3.62855121, 155, 309);
INSERT INTO public.ecdc_data VALUES (54922, 0, 1, 0.36906937, 5, 309);
INSERT INTO public.ecdc_data VALUES (54923, 0, 0, 0.18212445, 6, 309);
INSERT INTO public.ecdc_data VALUES (54924, 0, 0, 0.01819666, 110, 309);
INSERT INTO public.ecdc_data VALUES (54925, 0, 167, 11.66700745, 7, 309);
INSERT INTO public.ecdc_data VALUES (54926, 103, 675, 34.70366152, 68, 309);
INSERT INTO public.ecdc_data VALUES (54927, 0, 11, 23.27543569, 8, 309);
INSERT INTO public.ecdc_data VALUES (54928, 0, 5, 69.28619819, 69, 309);
INSERT INTO public.ecdc_data VALUES (54929, 0, 16, 16.39558803, 9, 309);
INSERT INTO public.ecdc_data VALUES (54930, 0, 17, 1.59905867, 10, 309);
INSERT INTO public.ecdc_data VALUES (54931, 87, 4942, 316.64673477, 70, 309);
INSERT INTO public.ecdc_data VALUES (54932, 0, 1, 0.00648633, 111, 309);
INSERT INTO public.ecdc_data VALUES (54933, 36, 1521, 31.12271226, 71, 309);
INSERT INTO public.ecdc_data VALUES (54934, 0, 0, 11.51733888, 11, 309);
INSERT INTO public.ecdc_data VALUES (54935, 0, 7, 3.67995266, 12, 309);
INSERT INTO public.ecdc_data VALUES (54936, 0, 52, 5.15100263, 72, 309);
INSERT INTO public.ecdc_data VALUES (54937, 0, 0, 3.08361688, 13, 309);
INSERT INTO public.ecdc_data VALUES (54938, 0, 0, 0.29438851, 156, 309);
INSERT INTO public.ecdc_data VALUES (54939, 0, 15, 1.82644631, 73, 309);
INSERT INTO public.ecdc_data VALUES (54940, 0, 0, 2.44763589, 74, 309);
INSERT INTO public.ecdc_data VALUES (54941, 0, 6, 4.11006292, 157, 309);
INSERT INTO public.ecdc_data VALUES (54942, 1, 74, 6.7325208, 158, 309);
INSERT INTO public.ecdc_data VALUES (54943, 3, 169, 1.91149803, 14, 309);
INSERT INTO public.ecdc_data VALUES (54944, 0, 37, 11.26405229, 159, 309);
INSERT INTO public.ecdc_data VALUES (54945, 1, 156, 216.42286995, 15, 309);
INSERT INTO public.ecdc_data VALUES (54946, 0, 0, 2.78520499, 75, 309);
INSERT INTO public.ecdc_data VALUES (54947, 1, 288, 42.49015989, 76, 309);
INSERT INTO public.ecdc_data VALUES (54948, 48, 552, 35.17969763, 77, 309);
INSERT INTO public.ecdc_data VALUES (54949, 36, 1079, 14.33038721, 16, 309);
INSERT INTO public.ecdc_data VALUES (54950, 2, 52, 17.57172409, 78, 309);
INSERT INTO public.ecdc_data VALUES (54951, 0, 0, 30.67887332, 17, 309);
INSERT INTO public.ecdc_data VALUES (54952, 0, 1, 0.02859498, 18, 309);
INSERT INTO public.ecdc_data VALUES (54953, 0, 10, 6.49144789, 160, 309);
INSERT INTO public.ecdc_data VALUES (54954, 0, 2, 6.79363802, 19, 309);
INSERT INTO public.ecdc_data VALUES (54955, 3, 142, 0.97877628, 20, 309);
INSERT INTO public.ecdc_data VALUES (54956, 0, 0, 0, 79, 309);
INSERT INTO public.ecdc_data VALUES (54957, 0, 0, 0, 161, 309);
INSERT INTO public.ecdc_data VALUES (54958, 0, 0, 0, 203, 309);
INSERT INTO public.ecdc_data VALUES (54959, 1, 24, 8.48145832, 162, 309);
INSERT INTO public.ecdc_data VALUES (54960, 81, 352, 11.68730496, 163, 309);
INSERT INTO public.ecdc_data VALUES (54961, 0, 0, 0, 204, 309);
INSERT INTO public.ecdc_data VALUES (54962, 0, 99, 61.44773628, 21, 309);
INSERT INTO public.ecdc_data VALUES (54963, 0, 0, 0.08518991, 22, 309);
INSERT INTO public.ecdc_data VALUES (54964, 0, 0, 2.17676209, 164, 309);
INSERT INTO public.ecdc_data VALUES (54965, 30, 394, 7.24169717, 165, 309);
INSERT INTO public.ecdc_data VALUES (54966, 0, 251, 7.49230929, 23, 309);
INSERT INTO public.ecdc_data VALUES (54967, 0, 1, 71.20393995, 166, 309);
INSERT INTO public.ecdc_data VALUES (54968, 0, 0, 0.81121914, 167, 309);
INSERT INTO public.ecdc_data VALUES (54969, 0, 0, 3.52982704, 80, 309);
INSERT INTO public.ecdc_data VALUES (54970, 0, 0, 0.8928412, 81, 309);
INSERT INTO public.ecdc_data VALUES (54971, 0, 2, 8.36845094, 205, 309);
INSERT INTO public.ecdc_data VALUES (54972, 20, 174, 19.87887706, 82, 309);
INSERT INTO public.ecdc_data VALUES (54973, 0, 0, 0, 168, 309);
INSERT INTO public.ecdc_data VALUES (54974, 0, 42, 8.01018162, 24, 309);
INSERT INTO public.ecdc_data VALUES (54975, 0, 0, 15.66959947, 25, 309);
INSERT INTO public.ecdc_data VALUES (54976, 0, 0, 3.57701766, 83, 309);
INSERT INTO public.ecdc_data VALUES (54977, 2, 133, 18.14779067, 84, 309);
INSERT INTO public.ecdc_data VALUES (54978, 0, 0, 0, 169, 309);
INSERT INTO public.ecdc_data VALUES (54979, 9, 163, 26.57469156, 85, 309);
INSERT INTO public.ecdc_data VALUES (54980, 0, 0, 2.96743314, 170, 309);
INSERT INTO public.ecdc_data VALUES (54981, 0, 0, 0.84035732, 171, 309);
INSERT INTO public.ecdc_data VALUES (54982, 260, 9304, 7.65212539, 112, 309);
INSERT INTO public.ecdc_data VALUES (54983, 35, 684, 3.34188676, 113, 309);
INSERT INTO public.ecdc_data VALUES (54984, 70, 3134, 40.70126101, 114, 309);
INSERT INTO public.ecdc_data VALUES (54985, 21, 781, 11.30507213, 115, 309);
INSERT INTO public.ecdc_data VALUES (54986, 1, 45, 16.2308533, 172, 309);
INSERT INTO public.ecdc_data VALUES (54987, 0, 0, 0, 173, 309);
INSERT INTO public.ecdc_data VALUES (54988, 1, 87, 8.90910634, 116, 309);
INSERT INTO public.ecdc_data VALUES (54989, 71, 321, 10.72241332, 174, 309);
INSERT INTO public.ecdc_data VALUES (54990, 0, 0, 2.06900505, 86, 309);
INSERT INTO public.ecdc_data VALUES (54991, 3, 32, 0.46823159, 117, 309);
INSERT INTO public.ecdc_data VALUES (54992, 0, 1, 2.78303462, 175, 309);
INSERT INTO public.ecdc_data VALUES (54993, 0, 2, 0.84144278, 118, 309);
INSERT INTO public.ecdc_data VALUES (54994, 4, 271, 26.05190285, 119, 309);
INSERT INTO public.ecdc_data VALUES (54995, 3, 123, 2.25777142, 26, 309);
INSERT INTO public.ecdc_data VALUES (54996, 0, 19, 7.72863699, 176, 309);
INSERT INTO public.ecdc_data VALUES (54997, 4, 710, 280.26584729, 120, 309);
INSERT INTO public.ecdc_data VALUES (54998, 0, 28, 9.13362857, 121, 309);
INSERT INTO public.ecdc_data VALUES (54999, 0, 0, 0, 122, 309);
INSERT INTO public.ecdc_data VALUES (55000, 0, 0, 3.28130469, 177, 309);
INSERT INTO public.ecdc_data VALUES (55001, 0, 14, 4.30298311, 123, 309);
INSERT INTO public.ecdc_data VALUES (55002, 0, 0, 0.04705291, 27, 309);
INSERT INTO public.ecdc_data VALUES (55003, 0, 5, 1.57978715, 28, 309);
INSERT INTO public.ecdc_data VALUES (55004, 0, 14, 1.87386028, 29, 309);
INSERT INTO public.ecdc_data VALUES (55005, 0, 0, 0, 178, 309);
INSERT INTO public.ecdc_data VALUES (55006, 0, 2, 3.82938275, 179, 309);
INSERT INTO public.ecdc_data VALUES (55007, 0, 0, 7.981834, 180, 309);
INSERT INTO public.ecdc_data VALUES (55008, 0, 63, 1.99115246, 30, 309);
INSERT INTO public.ecdc_data VALUES (55009, 0, 11, 1.59430996, 31, 309);
INSERT INTO public.ecdc_data VALUES (55010, 0, 93, 3.00784459, 124, 309);
INSERT INTO public.ecdc_data VALUES (55011, 0, 9, 125.05720802, 125, 309);
INSERT INTO public.ecdc_data VALUES (55012, 0, 0, 2.13653224, 32, 309);
INSERT INTO public.ecdc_data VALUES (55013, 0, 0, 4.66003051, 181, 309);
INSERT INTO public.ecdc_data VALUES (55014, 0, 0, 11.865573, 33, 309);
INSERT INTO public.ecdc_data VALUES (55015, 0, 0, 0.23628187, 34, 309);
INSERT INTO public.ecdc_data VALUES (55016, 1091, 4916, 42.03313944, 87, 309);
INSERT INTO public.ecdc_data VALUES (55017, 3, 247, 55.45033238, 182, 309);
INSERT INTO public.ecdc_data VALUES (55018, 0, 0, 0, 183, 309);
INSERT INTO public.ecdc_data VALUES (55019, 0, 1, 1.42628317, 126, 309);
INSERT INTO public.ecdc_data VALUES (55020, 0, 0, 0, 184, 309);
INSERT INTO public.ecdc_data VALUES (55021, 0, 0, 0, 88, 309);
INSERT INTO public.ecdc_data VALUES (55022, 0, 56, 2.16331724, 35, 309);
INSERT INTO public.ecdc_data VALUES (55023, 0, 9, 0.52690435, 36, 309);
INSERT INTO public.ecdc_data VALUES (55024, 0, 1, 0.06476034, 127, 309);
INSERT INTO public.ecdc_data VALUES (55025, 0, 0, 0.36079028, 37, 309);
INSERT INTO public.ecdc_data VALUES (55026, 1, 201, 6.48753361, 128, 309);
INSERT INTO public.ecdc_data VALUES (55027, 10, 86, 13.22751093, 185, 309);
INSERT INTO public.ecdc_data VALUES (55028, 0, 0, 0.70732113, 207, 309);
INSERT INTO public.ecdc_data VALUES (55029, 0, 0, 0.02090711, 208, 309);
INSERT INTO public.ecdc_data VALUES (55030, 0, 0, 16.6984875, 89, 309);
INSERT INTO public.ecdc_data VALUES (55031, 0, 1, 0.17588475, 38, 309);
INSERT INTO public.ecdc_data VALUES (55032, 1, 347, 2.23373782, 39, 309);
INSERT INTO public.ecdc_data VALUES (55033, 4, 101, 30.52285555, 186, 309);
INSERT INTO public.ecdc_data VALUES (55034, 0, 1, 3.49570902, 209, 309);
INSERT INTO public.ecdc_data VALUES (55035, 0, 0, 3.34070791, 187, 309);
INSERT INTO public.ecdc_data VALUES (55036, 8, 738, 150.63340805, 129, 309);
INSERT INTO public.ecdc_data VALUES (55037, 82, 4801, 17.16479837, 130, 309);
INSERT INTO public.ecdc_data VALUES (55038, 0, 5, 1.16432617, 131, 309);
INSERT INTO public.ecdc_data VALUES (55039, 5, 514, 109.0796055, 90, 309);
INSERT INTO public.ecdc_data VALUES (55040, 0, 0, 0, 210, 309);
INSERT INTO public.ecdc_data VALUES (55041, 0, 57, 3.3642604, 91, 309);
INSERT INTO public.ecdc_data VALUES (55042, 260, 8875, 230.3689194, 92, 309);
INSERT INTO public.ecdc_data VALUES (55043, 8, 751, 6.03699957, 132, 309);
INSERT INTO public.ecdc_data VALUES (55044, 23, 292, 13.03037552, 188, 309);
INSERT INTO public.ecdc_data VALUES (55045, 11, 366, 35.04071427, 189, 309);
INSERT INTO public.ecdc_data VALUES (55046, 2, 88, 39.44223162, 93, 309);
INSERT INTO public.ecdc_data VALUES (55047, 2, 1901, 884.97075109, 133, 309);
INSERT INTO public.ecdc_data VALUES (55048, 9, 152, 11.75412674, 190, 309);
INSERT INTO public.ecdc_data VALUES (55049, 178, 8536, 84.71247378, 191, 309);
INSERT INTO public.ecdc_data VALUES (55050, 0, 13, 0.65732484, 40, 309);
INSERT INTO public.ecdc_data VALUES (55051, 0, 0, 0, 94, 309);
INSERT INTO public.ecdc_data VALUES (55052, 0, 0, 0, 95, 309);
INSERT INTO public.ecdc_data VALUES (55053, 0, 0, 7.23373089, 96, 309);
INSERT INTO public.ecdc_data VALUES (55054, 0, 0, 89.97765071, 192, 309);
INSERT INTO public.ecdc_data VALUES (55055, 0, 0, 108.34790372, 41, 309);
INSERT INTO public.ecdc_data VALUES (55056, 30, 2171, 83.56646998, 134, 309);
INSERT INTO public.ecdc_data VALUES (55057, 2, 96, 7.47406078, 42, 309);
INSERT INTO public.ecdc_data VALUES (55058, 0, 69, 9.90843458, 193, 309);
INSERT INTO public.ecdc_data VALUES (55059, 0, 0, 0, 43, 309);
INSERT INTO public.ecdc_data VALUES (55060, 1, 13, 4.33880736, 44, 309);
INSERT INTO public.ecdc_data VALUES (55061, 0, 569, 121.30571884, 135, 309);
INSERT INTO public.ecdc_data VALUES (55062, 0, 0, 0, 97, 309);
INSERT INTO public.ecdc_data VALUES (55063, 0, 3, 0.53206899, 194, 309);
INSERT INTO public.ecdc_data VALUES (55064, 0, 2, 0.4325035, 195, 309);
INSERT INTO public.ecdc_data VALUES (55065, 0, 57, 3.71044155, 45, 309);
INSERT INTO public.ecdc_data VALUES (55066, 37, 1713, 33.33773522, 46, 309);
INSERT INTO public.ecdc_data VALUES (55067, 0, 39, 0.9897449, 136, 309);
INSERT INTO public.ecdc_data VALUES (55068, 0, 0, 6.40926318, 47, 309);
INSERT INTO public.ecdc_data VALUES (55069, 5, 334, 16.24089792, 196, 309);
INSERT INTO public.ecdc_data VALUES (55070, 0, 66, 3.38120894, 137, 309);
INSERT INTO public.ecdc_data VALUES (55071, 0, 0, 6.03084509, 48, 309);
INSERT INTO public.ecdc_data VALUES (55072, 0, 20, 10.83660295, 98, 309);
INSERT INTO public.ecdc_data VALUES (55073, 28, 1046, 82.03175211, 197, 309);
INSERT INTO public.ecdc_data VALUES (55074, 3, 19, 2.75029852, 198, 309);
INSERT INTO public.ecdc_data VALUES (55075, 0, 0, 0.38078206, 138, 309);
INSERT INTO public.ecdc_data VALUES (55076, 0, 0, 0.00841259, 139, 309);
INSERT INTO public.ecdc_data VALUES (55077, 0, 87, 23.2163358, 140, 309);
INSERT INTO public.ecdc_data VALUES (55078, 0, 18, 0.096229, 141, 309);
INSERT INTO public.ecdc_data VALUES (55079, 0, 0, 0, 142, 309);
INSERT INTO public.ecdc_data VALUES (55080, 0, 7, 1.38573404, 49, 309);
INSERT INTO public.ecdc_data VALUES (55081, 0, 0, 0.07168618, 99, 309);
INSERT INTO public.ecdc_data VALUES (55082, 1, 1, 0.3591364, 50, 309);
INSERT INTO public.ecdc_data VALUES (55083, 24, 867, 16.87115251, 199, 309);
INSERT INTO public.ecdc_data VALUES (55084, 0, 0, 0, 100, 309);
INSERT INTO public.ecdc_data VALUES (55085, 0, 18, 0.81771714, 51, 309);
INSERT INTO public.ecdc_data VALUES (55086, 8, 483, 12.7132004, 200, 309);
INSERT INTO public.ecdc_data VALUES (55087, 1, 571, 105.98201161, 143, 309);
INSERT INTO public.ecdc_data VALUES (55088, 254, 1484, 35.69847108, 201, 309);
INSERT INTO public.ecdc_data VALUES (55089, 0, 0, 0, 52, 309);
INSERT INTO public.ecdc_data VALUES (55090, 994, 19699, 91.0662257, 101, 309);
INSERT INTO public.ecdc_data VALUES (55091, 0, 0, 0.95621492, 102, 309);
INSERT INTO public.ecdc_data VALUES (55092, 0, 2, 2.36875713, 103, 309);
INSERT INTO public.ecdc_data VALUES (55093, 1, 105, 2.80155231, 144, 309);
INSERT INTO public.ecdc_data VALUES (55094, 2, 133, 3.95569773, 104, 309);
INSERT INTO public.ecdc_data VALUES (55095, 0, 0, 0.00414671, 145, 309);
INSERT INTO public.ecdc_data VALUES (55096, 0, 0, 2.91866538, 53, 309);
INSERT INTO public.ecdc_data VALUES (55097, 1, 4, 0.76469582, 146, 309);
INSERT INTO public.ecdc_data VALUES (55098, 0, 0, 1.43888646, 54, 309);
INSERT INTO public.ecdc_data VALUES (55099, 0, 16, 1.18808044, 55, 309);
INSERT INTO public.ecdc_data VALUES (55100, 13, 235, 4.48980314, 105, 310);
INSERT INTO public.ecdc_data VALUES (55101, 0, 6, 8.13994558, 147, 310);
INSERT INTO public.ecdc_data VALUES (55102, 4, 179, 4.28541028, 1, 310);
INSERT INTO public.ecdc_data VALUES (55103, 1, 1, 45.94562663, 148, 310);
INSERT INTO public.ecdc_data VALUES (55104, 0, 0, 0.0345637, 2, 310);
INSERT INTO public.ecdc_data VALUES (55105, 0, 0, 0, 56, 310);
INSERT INTO public.ecdc_data VALUES (55106, 0, 0, 2.0594141, 57, 310);
INSERT INTO public.ecdc_data VALUES (55107, 9, 102, 4.10891529, 58, 310);
INSERT INTO public.ecdc_data VALUES (55108, 4, 121, 39.48977053, 149, 310);
INSERT INTO public.ecdc_data VALUES (55109, 0, 0, 2.82193585, 59, 310);
INSERT INTO public.ecdc_data VALUES (55110, 2, 18, 0.74990477, 202, 310);
INSERT INTO public.ecdc_data VALUES (55111, 2, 68, 9.34666475, 150, 310);
INSERT INTO public.ecdc_data VALUES (55112, 0, 38, 5.31463907, 151, 310);
INSERT INTO public.ecdc_data VALUES (55113, 0, 0, 5.90521867, 60, 310);
INSERT INTO public.ecdc_data VALUES (55114, 0, 99, 92.00786759, 106, 310);
INSERT INTO public.ecdc_data VALUES (55115, 2, 665, 4.29264905, 107, 310);
INSERT INTO public.ecdc_data VALUES (55116, 0, 1, 2.43884594, 61, 310);
INSERT INTO public.ecdc_data VALUES (55117, 2, 877, 115.29336067, 152, 310);
INSERT INTO public.ecdc_data VALUES (55118, 94, 140, 79.48133996, 153, 310);
INSERT INTO public.ecdc_data VALUES (55119, 0, 0, 0, 62, 310);
INSERT INTO public.ecdc_data VALUES (55120, 0, 0, 0.44910874, 3, 310);
INSERT INTO public.ecdc_data VALUES (55121, 0, 1, 46.39406156, 63, 310);
INSERT INTO public.ecdc_data VALUES (55122, 0, 0, 0.26209091, 108, 310);
INSERT INTO public.ecdc_data VALUES (55123, 5, 124, 8.94632915, 64, 310);
INSERT INTO public.ecdc_data VALUES (55124, 0, 0, 3.84867028, 65, 310);
INSERT INTO public.ecdc_data VALUES (55125, 5, 17, 17.8127948, 154, 310);
INSERT INTO public.ecdc_data VALUES (55126, 0, 0, 0.13022512, 4, 310);
INSERT INTO public.ecdc_data VALUES (55127, 275, 4588, 29.61058632, 66, 310);
INSERT INTO public.ecdc_data VALUES (55128, 0, 0, 6.65934139, 67, 310);
INSERT INTO public.ecdc_data VALUES (55129, 0, 0, 0, 109, 310);
INSERT INTO public.ecdc_data VALUES (55130, 1, 24, 10.04280119, 155, 310);
INSERT INTO public.ecdc_data VALUES (55131, 1, 10, 0.42319954, 5, 310);
INSERT INTO public.ecdc_data VALUES (55132, 0, 0, 0.11274371, 6, 310);
INSERT INTO public.ecdc_data VALUES (55133, 0, 0, 0, 110, 310);
INSERT INTO public.ecdc_data VALUES (55134, 0, 0, 4.1002633, 7, 310);
INSERT INTO public.ecdc_data VALUES (55135, 116, 2760, 66.01527603, 68, 310);
INSERT INTO public.ecdc_data VALUES (55136, 0, 13, 18.9112915, 8, 310);
INSERT INTO public.ecdc_data VALUES (55137, 0, 0, 20.01601281, 69, 310);
INSERT INTO public.ecdc_data VALUES (55138, 0, 0, 1.26444124, 9, 310);
INSERT INTO public.ecdc_data VALUES (55139, 0, 0, 0.52674874, 10, 310);
INSERT INTO public.ecdc_data VALUES (55140, 13, 1228, 50.52227901, 70, 310);
INSERT INTO public.ecdc_data VALUES (55141, 0, 3, 0.01025259, 111, 310);
INSERT INTO public.ecdc_data VALUES (55142, 16, 383, 7.69972763, 71, 310);
INSERT INTO public.ecdc_data VALUES (55143, 0, 2, 0, 11, 310);
INSERT INTO public.ecdc_data VALUES (55144, 0, 0, 1.28240774, 12, 310);
INSERT INTO public.ecdc_data VALUES (55145, 0, 6, 1.56511234, 72, 310);
INSERT INTO public.ecdc_data VALUES (55146, 2, 36, 2.14258878, 13, 310);
INSERT INTO public.ecdc_data VALUES (55147, 2, 8, 5.51978463, 156, 310);
INSERT INTO public.ecdc_data VALUES (55148, 1, 38, 5.41757504, 73, 310);
INSERT INTO public.ecdc_data VALUES (55149, 0, 0, 1.22381794, 74, 310);
INSERT INTO public.ecdc_data VALUES (55150, 0, 8, 11.98768351, 157, 310);
INSERT INTO public.ecdc_data VALUES (55151, 3, 26, 9.33350861, 158, 310);
INSERT INTO public.ecdc_data VALUES (55152, 1, 10, 0.40557403, 14, 310);
INSERT INTO public.ecdc_data VALUES (55153, 8, 116, 36.84068479, 159, 310);
INSERT INTO public.ecdc_data VALUES (55154, 0, 0, 27.32248857, 15, 310);
INSERT INTO public.ecdc_data VALUES (55155, 0, 0, 0, 75, 310);
INSERT INTO public.ecdc_data VALUES (55156, 7, 376, 30.48713204, 76, 310);
INSERT INTO public.ecdc_data VALUES (55157, 193, 2074, 115.51972046, 77, 310);
INSERT INTO public.ecdc_data VALUES (55158, 14, 272, 3.30816182, 16, 310);
INSERT INTO public.ecdc_data VALUES (55159, 1, 109, 5.48535302, 78, 310);
INSERT INTO public.ecdc_data VALUES (55160, 0, 0, 17.40436082, 17, 310);
INSERT INTO public.ecdc_data VALUES (55161, 0, 0, 0, 18, 310);
INSERT INTO public.ecdc_data VALUES (55162, 2, 1, 12.98289579, 160, 310);
INSERT INTO public.ecdc_data VALUES (55163, 0, 4, 7.8388131, 19, 310);
INSERT INTO public.ecdc_data VALUES (55164, 0, 2, 0.02409021, 20, 310);
INSERT INTO public.ecdc_data VALUES (55165, 0, 0, 59.31198102, 79, 310);
INSERT INTO public.ecdc_data VALUES (55166, 0, 0, 4.10871664, 161, 310);
INSERT INTO public.ecdc_data VALUES (55167, 0, 0, 0.11236523, 203, 310);
INSERT INTO public.ecdc_data VALUES (55168, 10, 75, 26.65860082, 162, 310);
INSERT INTO public.ecdc_data VALUES (55169, 135, 308, 27.87672931, 163, 310);
INSERT INTO public.ecdc_data VALUES (55170, 0, 0, 1.07417155, 204, 310);
INSERT INTO public.ecdc_data VALUES (55171, 0, 0, 10.40238831, 21, 310);
INSERT INTO public.ecdc_data VALUES (55172, 0, 0, 0.29816467, 22, 310);
INSERT INTO public.ecdc_data VALUES (55173, 1, 7, 4.87894951, 164, 310);
INSERT INTO public.ecdc_data VALUES (55174, 43, 679, 25.90123325, 165, 310);
INSERT INTO public.ecdc_data VALUES (55175, 0, 0, 3.70506036, 23, 310);
INSERT INTO public.ecdc_data VALUES (55176, 0, 0, 32.63513914, 166, 310);
INSERT INTO public.ecdc_data VALUES (55177, 1, 6, 3.64582396, 167, 310);
INSERT INTO public.ecdc_data VALUES (55178, 0, 0, 0, 80, 310);
INSERT INTO public.ecdc_data VALUES (55179, 0, 0, 6.24988839, 81, 310);
INSERT INTO public.ecdc_data VALUES (55180, 0, 1, 7.77070444, 205, 310);
INSERT INTO public.ecdc_data VALUES (55181, 0, 15, 2.3547511, 82, 310);
INSERT INTO public.ecdc_data VALUES (55182, 0, 0, 20.16504312, 168, 310);
INSERT INTO public.ecdc_data VALUES (55183, 0, 0, 7.88490019, 24, 310);
INSERT INTO public.ecdc_data VALUES (55184, 1, 35, 12.59814974, 25, 310);
INSERT INTO public.ecdc_data VALUES (55185, 0, 0, 2.17176072, 83, 310);
INSERT INTO public.ecdc_data VALUES (55186, 0, 0, 0.33738554, 84, 310);
INSERT INTO public.ecdc_data VALUES (55187, 0, 0, 368.09815951, 169, 310);
INSERT INTO public.ecdc_data VALUES (55188, 6, 45, 5.93056823, 85, 310);
INSERT INTO public.ecdc_data VALUES (55189, 11, 37, 10.75438699, 170, 310);
INSERT INTO public.ecdc_data VALUES (55190, 0, 1, 7.84333499, 171, 310);
INSERT INTO public.ecdc_data VALUES (55191, 72, 2553, 1.84921485, 112, 310);
INSERT INTO public.ecdc_data VALUES (55192, 14, 349, 1.70604723, 113, 310);
INSERT INTO public.ecdc_data VALUES (55193, 47, 976, 18.34795045, 114, 310);
INSERT INTO public.ecdc_data VALUES (55194, 2, 77, 1.92572898, 115, 310);
INSERT INTO public.ecdc_data VALUES (55195, 38, 330, 127.54269775, 172, 310);
INSERT INTO public.ecdc_data VALUES (55196, 0, 1, 27.19029661, 173, 310);
INSERT INTO public.ecdc_data VALUES (55197, 3, 23, 31.89201834, 116, 310);
INSERT INTO public.ecdc_data VALUES (55198, 174, 1389, 52.59317225, 174, 310);
INSERT INTO public.ecdc_data VALUES (55199, 1, 6, 9.25964555, 86, 310);
INSERT INTO public.ecdc_data VALUES (55200, 18, 218, 3.39428492, 117, 310);
INSERT INTO public.ecdc_data VALUES (55201, 0, 1, 39.8901629, 175, 310);
INSERT INTO public.ecdc_data VALUES (55202, 0, 1, 0.43557038, 118, 310);
INSERT INTO public.ecdc_data VALUES (55203, 2, 87, 12.01524756, 119, 310);
INSERT INTO public.ecdc_data VALUES (55204, 2, 30, 0.370906, 26, 310);
INSERT INTO public.ecdc_data VALUES (55205, 0, 11, 16.12449444, 176, 310);
INSERT INTO public.ecdc_data VALUES (55206, 5, 364, 72.92474086, 120, 310);
INSERT INTO public.ecdc_data VALUES (55207, 0, 35, 4.08363598, 121, 310);
INSERT INTO public.ecdc_data VALUES (55208, 0, 0, 0, 122, 310);
INSERT INTO public.ecdc_data VALUES (55209, 0, 8, 7.91679861, 177, 310);
INSERT INTO public.ecdc_data VALUES (55210, 0, 4, 0.93352854, 123, 310);
INSERT INTO public.ecdc_data VALUES (55211, 0, 4, 1.35699665, 28, 310);
INSERT INTO public.ecdc_data VALUES (55212, 0, 0, 0.20656728, 29, 310);
INSERT INTO public.ecdc_data VALUES (55213, 0, 0, 2.60565949, 178, 310);
INSERT INTO public.ecdc_data VALUES (55214, 0, 4, 3.0062444, 179, 310);
INSERT INTO public.ecdc_data VALUES (55215, 4, 12, 44.63311256, 180, 310);
INSERT INTO public.ecdc_data VALUES (55216, 0, 14, 0.10382173, 30, 310);
INSERT INTO public.ecdc_data VALUES (55217, 0, 1, 0.11809703, 31, 310);
INSERT INTO public.ecdc_data VALUES (55218, 2, 122, 2.84508921, 124, 310);
INSERT INTO public.ecdc_data VALUES (55219, 0, 8, 89.46110514, 125, 310);
INSERT INTO public.ecdc_data VALUES (55220, 1, 19, 1.72448674, 32, 310);
INSERT INTO public.ecdc_data VALUES (55221, 0, 3, 9.72528107, 181, 310);
INSERT INTO public.ecdc_data VALUES (55222, 0, 0, 0.02209604, 33, 310);
INSERT INTO public.ecdc_data VALUES (55223, 0, 0, 0.31504249, 34, 310);
INSERT INTO public.ecdc_data VALUES (55224, 93, 1241, 15.85648922, 87, 310);
INSERT INTO public.ecdc_data VALUES (55225, 1, 69, 40.78394206, 182, 310);
INSERT INTO public.ecdc_data VALUES (55226, 0, 0, 3.02251776, 183, 310);
INSERT INTO public.ecdc_data VALUES (55227, 0, 1, 0.24804925, 126, 310);
INSERT INTO public.ecdc_data VALUES (55228, 1, 0, 2.25014546, 184, 310);
INSERT INTO public.ecdc_data VALUES (55229, 0, 0, 0, 88, 310);
INSERT INTO public.ecdc_data VALUES (55230, 1, 174, 5.61530253, 35, 310);
INSERT INTO public.ecdc_data VALUES (55231, 0, 1, 0.13501924, 36, 310);
INSERT INTO public.ecdc_data VALUES (55232, 0, 4, 0.081413, 127, 310);
INSERT INTO public.ecdc_data VALUES (55233, 0, 0, 0, 37, 310);
INSERT INTO public.ecdc_data VALUES (55234, 0, 16, 0.15379929, 128, 310);
INSERT INTO public.ecdc_data VALUES (55235, 69, 335, 45.80445168, 185, 310);
INSERT INTO public.ecdc_data VALUES (55236, 0, 0, 0, 207, 310);
INSERT INTO public.ecdc_data VALUES (55237, 0, 1, 0.6690275, 208, 310);
INSERT INTO public.ecdc_data VALUES (55238, 1, 0, 0.07638832, 89, 310);
INSERT INTO public.ecdc_data VALUES (55239, 1, 14, 0.43756694, 38, 310);
INSERT INTO public.ecdc_data VALUES (55240, 2, 170, 0.96087051, 39, 310);
INSERT INTO public.ecdc_data VALUES (55241, 2, 5, 14.63556481, 186, 310);
INSERT INTO public.ecdc_data VALUES (55242, 0, 0, 0, 209, 310);
INSERT INTO public.ecdc_data VALUES (55243, 4, 50, 13.9071043, 187, 310);
INSERT INTO public.ecdc_data VALUES (55244, 0, 85, 26.17089636, 129, 310);
INSERT INTO public.ecdc_data VALUES (55245, 22, 1083, 5.43392643, 130, 310);
INSERT INTO public.ecdc_data VALUES (55246, 0, 5, 4.01491783, 131, 310);
INSERT INTO public.ecdc_data VALUES (55247, 3, 107, 64.28914573, 90, 310);
INSERT INTO public.ecdc_data VALUES (55248, 0, 0, 0.01139456, 210, 310);
INSERT INTO public.ecdc_data VALUES (55249, 0, 26, 2.69708639, 91, 310);
INSERT INTO public.ecdc_data VALUES (55250, 86, 3394, 93.20076719, 92, 310);
INSERT INTO public.ecdc_data VALUES (55251, 4, 295, 2.7414841, 132, 310);
INSERT INTO public.ecdc_data VALUES (55252, 14, 318, 11.60303851, 188, 310);
INSERT INTO public.ecdc_data VALUES (55253, 40, 334, 51.74854721, 189, 310);
INSERT INTO public.ecdc_data VALUES (55254, 2, 51, 20.28360226, 93, 310);
INSERT INTO public.ecdc_data VALUES (55255, 0, 679, 356.7354067, 133, 310);
INSERT INTO public.ecdc_data VALUES (55256, 9, 431, 22.75108581, 190, 310);
INSERT INTO public.ecdc_data VALUES (55257, 58, 10633, 62.95508138, 191, 310);
INSERT INTO public.ecdc_data VALUES (55258, 0, 4, 0.88699256, 40, 310);
INSERT INTO public.ecdc_data VALUES (55259, 0, 0, 0, 94, 310);
INSERT INTO public.ecdc_data VALUES (55260, 0, 1, 1.64118275, 95, 310);
INSERT INTO public.ecdc_data VALUES (55261, 0, 1, 4.5210818, 96, 310);
INSERT INTO public.ecdc_data VALUES (55262, 0, 2, 351.20308827, 192, 310);
INSERT INTO public.ecdc_data VALUES (55263, 0, 0, 6.51017447, 41, 310);
INSERT INTO public.ecdc_data VALUES (55264, 8, 1552, 51.50206477, 134, 310);
INSERT INTO public.ecdc_data VALUES (55265, 0, 67, 5.0011162, 42, 310);
INSERT INTO public.ecdc_data VALUES (55266, 4, 102, 45.17671765, 193, 310);
INSERT INTO public.ecdc_data VALUES (55267, 0, 0, 0, 43, 310);
INSERT INTO public.ecdc_data VALUES (55268, 0, 2, 1.56145869, 44, 310);
INSERT INTO public.ecdc_data VALUES (55269, 1, 657, 200.14323757, 135, 310);
INSERT INTO public.ecdc_data VALUES (55270, 0, 0, 21.23192338, 97, 310);
INSERT INTO public.ecdc_data VALUES (55271, 0, 1, 4.53176002, 194, 310);
INSERT INTO public.ecdc_data VALUES (55272, 2, 0, 5.23809798, 195, 310);
INSERT INTO public.ecdc_data VALUES (55273, 1, 51, 3.61330957, 45, 310);
INSERT INTO public.ecdc_data VALUES (55274, 8, 447, 6.19041544, 46, 310);
INSERT INTO public.ecdc_data VALUES (55275, 2, 8, 0.24792426, 136, 310);
INSERT INTO public.ecdc_data VALUES (55276, 0, 1, 0.37967426, 47, 310);
INSERT INTO public.ecdc_data VALUES (55277, 164, 466, 50.56771771, 196, 310);
INSERT INTO public.ecdc_data VALUES (55278, 0, 13, 1.98370511, 137, 310);
INSERT INTO public.ecdc_data VALUES (55279, 0, 86, 1.42946444, 48, 310);
INSERT INTO public.ecdc_data VALUES (55280, 0, 0, 0, 98, 310);
INSERT INTO public.ecdc_data VALUES (55281, 75, 261, 79.76395344, 197, 310);
INSERT INTO public.ecdc_data VALUES (55282, 6, 88, 25.32615322, 198, 310);
INSERT INTO public.ecdc_data VALUES (55283, 0, 0, 0.02929093, 138, 310);
INSERT INTO public.ecdc_data VALUES (55284, 0, 4, 0.06730075, 139, 310);
INSERT INTO public.ecdc_data VALUES (55285, 2, 44, 0, 140, 310);
INSERT INTO public.ecdc_data VALUES (55286, 0, 3, 0.29299576, 141, 310);
INSERT INTO public.ecdc_data VALUES (55287, 0, 0, 0.38666172, 142, 310);
INSERT INTO public.ecdc_data VALUES (55288, 0, 1, 0.49490501, 49, 310);
INSERT INTO public.ecdc_data VALUES (55289, 0, 0, 0.14337236, 99, 310);
INSERT INTO public.ecdc_data VALUES (55290, 0, 4, 1.14581613, 50, 310);
INSERT INTO public.ecdc_data VALUES (55291, 61, 1670, 48.45990096, 199, 310);
INSERT INTO public.ecdc_data VALUES (55292, 0, 0, 2.61821228, 100, 310);
INSERT INTO public.ecdc_data VALUES (55293, 0, 1, 0.07680216, 51, 310);
INSERT INTO public.ecdc_data VALUES (55294, 9, 502, 14.6930319, 200, 310);
INSERT INTO public.ecdc_data VALUES (55295, 7, 564, 73.89571452, 143, 310);
INSERT INTO public.ecdc_data VALUES (55296, 253, 3229, 96.19621627, 201, 310);
INSERT INTO public.ecdc_data VALUES (55297, 0, 0, 0.53443244, 52, 310);
INSERT INTO public.ecdc_data VALUES (55298, 1297, 24972, 121.05635679, 101, 310);
INSERT INTO public.ecdc_data VALUES (55299, 0, 0, 12.43079395, 102, 310);
INSERT INTO public.ecdc_data VALUES (55300, 0, 3, 3.66868483, 103, 310);
INSERT INTO public.ecdc_data VALUES (55301, 1, 22, 1.77067809, 144, 310);
INSERT INTO public.ecdc_data VALUES (55302, 0, 12, 0.35418925, 104, 310);
INSERT INTO public.ecdc_data VALUES (55303, 0, 1, 0.00311003, 145, 310);
INSERT INTO public.ecdc_data VALUES (55304, 0, 0, 0, 53, 310);
INSERT INTO public.ecdc_data VALUES (55305, 0, 0, 0.03086216, 146, 310);
INSERT INTO public.ecdc_data VALUES (55306, 0, 5, 0.35272314, 54, 310);
INSERT INTO public.ecdc_data VALUES (55307, 0, 0, 0.06145244, 55, 310);
INSERT INTO public.ecdc_data VALUES (55308, 0, 0, 0.55465367, 105, 311);
INSERT INTO public.ecdc_data VALUES (55309, 1, 27, 8.17488097, 147, 311);
INSERT INTO public.ecdc_data VALUES (55310, 42, 185, 2.48298297, 1, 311);
INSERT INTO public.ecdc_data VALUES (55311, 1, 11, 477.83451698, 148, 311);
INSERT INTO public.ecdc_data VALUES (55312, 0, 0, 0.02513723, 2, 311);
INSERT INTO public.ecdc_data VALUES (55313, 0, 0, 0, 56, 311);
INSERT INTO public.ecdc_data VALUES (55314, 0, 6, 14.41589868, 57, 311);
INSERT INTO public.ecdc_data VALUES (55315, 3, 132, 2.47204849, 58, 311);
INSERT INTO public.ecdc_data VALUES (55316, 0, 34, 20.62393837, 149, 311);
INSERT INTO public.ecdc_data VALUES (55317, 0, 2, 0, 59, 311);
INSERT INTO public.ecdc_data VALUES (55318, 7, 324, 18.54526409, 202, 311);
INSERT INTO public.ecdc_data VALUES (55319, 10, 396, 100.19443998, 150, 311);
INSERT INTO public.ecdc_data VALUES (55320, 0, 43, 3.97105054, 151, 311);
INSERT INTO public.ecdc_data VALUES (55321, 2, 0, 5.13497276, 60, 311);
INSERT INTO public.ecdc_data VALUES (55322, 0, 0, 21.81378583, 106, 311);
INSERT INTO public.ecdc_data VALUES (55323, 0, 5, 0.02698622, 107, 311);
INSERT INTO public.ecdc_data VALUES (55324, 0, 0, 13.58785594, 61, 311);
INSERT INTO public.ecdc_data VALUES (55325, 0, 97, 3.11031823, 152, 311);
INSERT INTO public.ecdc_data VALUES (55326, 236, 1694, 141.15466964, 153, 311);
INSERT INTO public.ecdc_data VALUES (55327, 0, 1, 0, 62, 311);
INSERT INTO public.ecdc_data VALUES (55328, 0, 3, 0.1186325, 3, 311);
INSERT INTO public.ecdc_data VALUES (55329, 0, 0, 52.79324246, 63, 311);
INSERT INTO public.ecdc_data VALUES (55330, 0, 0, 0.39313636, 108, 311);
INSERT INTO public.ecdc_data VALUES (55331, 1, 7, 1.04229077, 64, 311);
INSERT INTO public.ecdc_data VALUES (55332, 0, 0, 0, 65, 311);
INSERT INTO public.ecdc_data VALUES (55333, 1, 54, 15.8739872, 154, 311);
INSERT INTO public.ecdc_data VALUES (55334, 0, 0, 0, 4, 311);
INSERT INTO public.ecdc_data VALUES (55335, 60, 1146, 3.86260061, 66, 311);
INSERT INTO public.ecdc_data VALUES (55336, 0, 0, 0, 67, 311);
INSERT INTO public.ecdc_data VALUES (55337, 0, 0, 12.69340128, 109, 311);
INSERT INTO public.ecdc_data VALUES (55338, 4, 28, 5.11425722, 155, 311);
INSERT INTO public.ecdc_data VALUES (55339, 0, 0, 1.22038938, 5, 311);
INSERT INTO public.ecdc_data VALUES (55340, 0, 0, 0, 6, 311);
INSERT INTO public.ecdc_data VALUES (55341, 0, 0, 0.40639207, 110, 311);
INSERT INTO public.ecdc_data VALUES (55342, 1, 238, 1.86270208, 7, 311);
INSERT INTO public.ecdc_data VALUES (55343, 49, 1251, 30.86789519, 68, 311);
INSERT INTO public.ecdc_data VALUES (55344, 0, 0, 0.72735737, 8, 311);
INSERT INTO public.ecdc_data VALUES (55345, 0, 1, 40.03202562, 69, 311);
INSERT INTO public.ecdc_data VALUES (55346, 0, 0, 0.14751814, 9, 311);
INSERT INTO public.ecdc_data VALUES (55347, 0, 0, 0.03762491, 10, 311);
INSERT INTO public.ecdc_data VALUES (55348, 4, 333, 17.42820758, 70, 311);
INSERT INTO public.ecdc_data VALUES (55349, 4, 62, 0.08690293, 111, 311);
INSERT INTO public.ecdc_data VALUES (55350, 6, 106, 2.20304384, 71, 311);
INSERT INTO public.ecdc_data VALUES (55351, 0, 0, 0.70625354, 12, 311);
INSERT INTO public.ecdc_data VALUES (55352, 0, 20, 6.00289922, 72, 311);
INSERT INTO public.ecdc_data VALUES (55353, 0, 24, 0.79326336, 13, 311);
INSERT INTO public.ecdc_data VALUES (55354, 1, 68, 23.37935444, 156, 311);
INSERT INTO public.ecdc_data VALUES (55355, 0, 36, 2.1882062, 73, 311);
INSERT INTO public.ecdc_data VALUES (55356, 0, 0, 0, 74, 311);
INSERT INTO public.ecdc_data VALUES (55357, 0, 40, 37.56140834, 157, 311);
INSERT INTO public.ecdc_data VALUES (55358, 9, 332, 30.85503953, 158, 311);
INSERT INTO public.ecdc_data VALUES (55359, 2, 11, 0.13826387, 14, 311);
INSERT INTO public.ecdc_data VALUES (55360, 16, 371, 43.09275051, 159, 311);
INSERT INTO public.ecdc_data VALUES (55361, 0, 0, 4.1086449, 15, 311);
INSERT INTO public.ecdc_data VALUES (55362, 0, 2, 0, 75, 311);
INSERT INTO public.ecdc_data VALUES (55363, 8, 108, 13.53948992, 76, 311);
INSERT INTO public.ecdc_data VALUES (55364, 25, 205, 16.93368299, 77, 311);
INSERT INTO public.ecdc_data VALUES (55365, 0, 0, 0.52097821, 16, 311);
INSERT INTO public.ecdc_data VALUES (55366, 1, 10, 0.82125342, 78, 311);
INSERT INTO public.ecdc_data VALUES (55367, 0, 1, 0.8849675, 17, 311);
INSERT INTO public.ecdc_data VALUES (55368, 0, 0, 0.62908962, 18, 311);
INSERT INTO public.ecdc_data VALUES (55369, 1, 103, 51.17676364, 160, 311);
INSERT INTO public.ecdc_data VALUES (55370, 0, 0, 0.69678339, 19, 311);
INSERT INTO public.ecdc_data VALUES (55371, 0, 6, 0.02319798, 20, 311);
INSERT INTO public.ecdc_data VALUES (55372, 0, 1, 0, 79, 311);
INSERT INTO public.ecdc_data VALUES (55373, 0, 2, 203.3814738, 161, 311);
INSERT INTO public.ecdc_data VALUES (55374, 0, 5, 1.23601755, 203, 311);
INSERT INTO public.ecdc_data VALUES (55375, 1, 97, 21.11303192, 162, 311);
INSERT INTO public.ecdc_data VALUES (55376, 2004, 5233, 77.18814306, 163, 311);
INSERT INTO public.ecdc_data VALUES (55377, 0, 2, 8.59337236, 204, 311);
INSERT INTO public.ecdc_data VALUES (55378, 0, 3, 0.8285088, 21, 311);
INSERT INTO public.ecdc_data VALUES (55379, 0, 0, 0.12778486, 22, 311);
INSERT INTO public.ecdc_data VALUES (55380, 0, 27, 2.62712666, 164, 311);
INSERT INTO public.ecdc_data VALUES (55381, 141, 6082, 81.4160934, 165, 311);
INSERT INTO public.ecdc_data VALUES (55382, 0, 1, 0.62134553, 23, 311);
INSERT INTO public.ecdc_data VALUES (55383, 0, 7, 252.18062066, 166, 311);
INSERT INTO public.ecdc_data VALUES (55384, 6, 99, 10.42463219, 167, 311);
INSERT INTO public.ecdc_data VALUES (55385, 0, 0, 14.11930815, 80, 311);
INSERT INTO public.ecdc_data VALUES (55386, 0, 2, 0, 81, 311);
INSERT INTO public.ecdc_data VALUES (55387, 1, 5, 43.63549419, 205, 311);
INSERT INTO public.ecdc_data VALUES (55388, 0, 3, 0.21044877, 82, 311);
INSERT INTO public.ecdc_data VALUES (55389, 2, 23, 175.28075945, 168, 311);
INSERT INTO public.ecdc_data VALUES (55390, 0, 0, 0.39150448, 24, 311);
INSERT INTO public.ecdc_data VALUES (55391, 0, 6, 0, 25, 311);
INSERT INTO public.ecdc_data VALUES (55392, 0, 4, 2.29951135, 83, 311);
INSERT INTO public.ecdc_data VALUES (55393, 0, 0, 0.14205707, 84, 311);
INSERT INTO public.ecdc_data VALUES (55394, 0, 1, 736.19631902, 169, 311);
INSERT INTO public.ecdc_data VALUES (55395, 0, 42, 2.46251968, 85, 311);
INSERT INTO public.ecdc_data VALUES (55396, 6, 55, 5.88370363, 170, 311);
INSERT INTO public.ecdc_data VALUES (55397, 0, 45, 267.51374685, 171, 311);
INSERT INTO public.ecdc_data VALUES (55398, 12, 601, 0.19547463, 112, 311);
INSERT INTO public.ecdc_data VALUES (55399, 11, 196, 0.61967538, 113, 311);
INSERT INTO public.ecdc_data VALUES (55400, 0, 0, 37.17591695, 114, 311);
INSERT INTO public.ecdc_data VALUES (55401, 0, 0, 1.47291556, 115, 311);
INSERT INTO public.ecdc_data VALUES (55402, 22, 424, 73.20196401, 172, 311);
INSERT INTO public.ecdc_data VALUES (55403, 0, 43, 133.58710944, 173, 311);
INSERT INTO public.ecdc_data VALUES (55404, 5, 1176, 78.83209246, 116, 311);
INSERT INTO public.ecdc_data VALUES (55405, 764, 4585, 120.62052289, 174, 311);
INSERT INTO public.ecdc_data VALUES (55406, 0, 6, 1.15321593, 86, 311);
INSERT INTO public.ecdc_data VALUES (55407, 6, 318, 1.51978201, 117, 311);
INSERT INTO public.ecdc_data VALUES (55408, 0, 37, 98.33388994, 175, 311);
INSERT INTO public.ecdc_data VALUES (55409, 0, 0, 2.27684517, 118, 311);
INSERT INTO public.ecdc_data VALUES (55410, 0, 74, 2.19390119, 119, 311);
INSERT INTO public.ecdc_data VALUES (55411, 1, 12, 0.21873944, 26, 311);
INSERT INTO public.ecdc_data VALUES (55412, 0, 9, 6.83900971, 176, 311);
INSERT INTO public.ecdc_data VALUES (55413, 0, 0, 4.34981342, 120, 311);
INSERT INTO public.ecdc_data VALUES (55414, 0, 19, 2.15092277, 121, 311);
INSERT INTO public.ecdc_data VALUES (55415, 0, 0, 0, 122, 311);
INSERT INTO public.ecdc_data VALUES (55416, 1, 35, 19.89616494, 177, 311);
INSERT INTO public.ecdc_data VALUES (55417, 0, 0, 4.82809291, 123, 311);
INSERT INTO public.ecdc_data VALUES (55418, 0, 1, 0.10126841, 28, 311);
INSERT INTO public.ecdc_data VALUES (55419, 0, 0, 0, 29, 311);
INSERT INTO public.ecdc_data VALUES (55420, 0, 0, 106.83203919, 178, 311);
INSERT INTO public.ecdc_data VALUES (55421, 0, 122, 25.12361391, 179, 311);
INSERT INTO public.ecdc_data VALUES (55422, 1, 125, 346.63964789, 180, 311);
INSERT INTO public.ecdc_data VALUES (55423, 0, 6, 0.22989097, 30, 311);
INSERT INTO public.ecdc_data VALUES (55424, 0, 0, 0, 31, 311);
INSERT INTO public.ecdc_data VALUES (55425, 3, 217, 7.20818532, 124, 311);
INSERT INTO public.ecdc_data VALUES (55426, 0, 0, 1.13003501, 125, 311);
INSERT INTO public.ecdc_data VALUES (55427, 0, 3, 0, 32, 311);
INSERT INTO public.ecdc_data VALUES (55428, 0, 11, 28.36540312, 181, 311);
INSERT INTO public.ecdc_data VALUES (55429, 0, 0, 0.08838416, 33, 311);
INSERT INTO public.ecdc_data VALUES (55430, 0, 17, 13.70434837, 34, 311);
INSERT INTO public.ecdc_data VALUES (55431, 10, 347, 2.31627493, 87, 311);
INSERT INTO public.ecdc_data VALUES (55432, 2, 86, 12.98457828, 182, 311);
INSERT INTO public.ecdc_data VALUES (55433, 0, 4, 87.65301496, 183, 311);
INSERT INTO public.ecdc_data VALUES (55434, 0, 0, 0.24804925, 126, 311);
INSERT INTO public.ecdc_data VALUES (55435, 0, 30, 25.71594807, 184, 311);
INSERT INTO public.ecdc_data VALUES (55436, 0, 0, 100.18032458, 88, 311);
INSERT INTO public.ecdc_data VALUES (55437, 0, 0, 1.7054288, 35, 311);
INSERT INTO public.ecdc_data VALUES (55438, 0, 0, 0, 36, 311);
INSERT INTO public.ecdc_data VALUES (55439, 0, 0, 0, 127, 311);
INSERT INTO public.ecdc_data VALUES (55440, 0, 1, 0.44096589, 37, 311);
INSERT INTO public.ecdc_data VALUES (55441, 0, 1, 0.01747719, 128, 311);
INSERT INTO public.ecdc_data VALUES (55442, 148, 1026, 73.65397491, 185, 311);
INSERT INTO public.ecdc_data VALUES (55443, 0, 2, 5.65856902, 207, 311);
INSERT INTO public.ecdc_data VALUES (55444, 0, 52, 16.11938127, 208, 311);
INSERT INTO public.ecdc_data VALUES (55445, 0, 0, 0.04583299, 89, 311);
INSERT INTO public.ecdc_data VALUES (55446, 0, 24, 0.41611758, 38, 311);
INSERT INTO public.ecdc_data VALUES (55447, 0, 16, 0.08857325, 39, 311);
INSERT INTO public.ecdc_data VALUES (55448, 1, 76, 17.3315899, 186, 311);
INSERT INTO public.ecdc_data VALUES (55449, 0, 0, 0, 209, 311);
INSERT INTO public.ecdc_data VALUES (55450, 2, 273, 65.04996423, 187, 311);
INSERT INTO public.ecdc_data VALUES (55451, 0, 0, 3.67839787, 129, 311);
INSERT INTO public.ecdc_data VALUES (55452, 0, 0, 0.829311, 130, 311);
INSERT INTO public.ecdc_data VALUES (55453, 0, 0, 2.14798104, 131, 311);
INSERT INTO public.ecdc_data VALUES (55454, 4, 198, 34.68787973, 90, 311);
INSERT INTO public.ecdc_data VALUES (55455, 0, 0, 0, 210, 311);
INSERT INTO public.ecdc_data VALUES (55456, 0, 19, 1.10722494, 91, 311);
INSERT INTO public.ecdc_data VALUES (55457, 6, 181, 4.09714264, 92, 311);
INSERT INTO public.ecdc_data VALUES (55458, 29, 385, 2.57869692, 132, 311);
INSERT INTO public.ecdc_data VALUES (55459, 14, 437, 7.78978391, 188, 311);
INSERT INTO public.ecdc_data VALUES (55460, 37, 852, 86.27352756, 189, 311);
INSERT INTO public.ecdc_data VALUES (55461, 3, 62, 0, 93, 311);
INSERT INTO public.ecdc_data VALUES (55462, 0, 0, 16.91341778, 133, 311);
INSERT INTO public.ecdc_data VALUES (55463, 39, 445, 14.80855144, 190, 311);
INSERT INTO public.ecdc_data VALUES (55464, 4, 601, 2.67082994, 191, 311);
INSERT INTO public.ecdc_data VALUES (55465, 0, 7, 0.5702095, 40, 311);
INSERT INTO public.ecdc_data VALUES (55466, 0, 1, 0, 94, 311);
INSERT INTO public.ecdc_data VALUES (55467, 0, 0, 6.01767007, 95, 311);
INSERT INTO public.ecdc_data VALUES (55468, 0, 5, 0, 96, 311);
INSERT INTO public.ecdc_data VALUES (55469, 2, 6, 290.25048617, 192, 311);
INSERT INTO public.ecdc_data VALUES (55470, 0, 0, 4.70110637, 134, 311);
INSERT INTO public.ecdc_data VALUES (55471, 0, 12, 0.98181422, 42, 311);
INSERT INTO public.ecdc_data VALUES (55472, 8, 305, 19.2568272, 193, 311);
INSERT INTO public.ecdc_data VALUES (55473, 0, 0, 3.06933631, 43, 311);
INSERT INTO public.ecdc_data VALUES (55474, 0, 0, 0, 44, 311);
INSERT INTO public.ecdc_data VALUES (55475, 0, 65, 12.559561, 135, 311);
INSERT INTO public.ecdc_data VALUES (55476, 0, 0, 0, 97, 311);
INSERT INTO public.ecdc_data VALUES (55477, 0, 24, 5.74267566, 194, 311);
INSERT INTO public.ecdc_data VALUES (55478, 4, 37, 28.49717527, 195, 311);
INSERT INTO public.ecdc_data VALUES (55479, 0, 0, 0.02590186, 45, 311);
INSERT INTO public.ecdc_data VALUES (55480, 2, 43, 2.22001105, 46, 311);
INSERT INTO public.ecdc_data VALUES (55481, 3, 94, 2.64908052, 136, 311);
INSERT INTO public.ecdc_data VALUES (55482, 932, 6663, 216.13624714, 196, 311);
INSERT INTO public.ecdc_data VALUES (55483, 1, 3, 0.39861687, 137, 311);
INSERT INTO public.ecdc_data VALUES (55484, 0, 0, 0.01167863, 48, 311);
INSERT INTO public.ecdc_data VALUES (55485, 1, 0, 1.54808614, 98, 311);
INSERT INTO public.ecdc_data VALUES (55486, 80, 601, 42.24752534, 197, 311);
INSERT INTO public.ecdc_data VALUES (55487, 52, 1033, 168.77470222, 198, 311);
INSERT INTO public.ecdc_data VALUES (55488, 0, 0, 0, 138, 311);
INSERT INTO public.ecdc_data VALUES (55489, 0, 16, 0.9253853, 139, 311);
INSERT INTO public.ecdc_data VALUES (55490, 4, 103, 2.315241, 141, 311);
INSERT INTO public.ecdc_data VALUES (55491, 0, 0, 0.07733234, 142, 311);
INSERT INTO public.ecdc_data VALUES (55492, 1, 1, 0.38355139, 49, 311);
INSERT INTO public.ecdc_data VALUES (55493, 0, 3, 6.52344246, 99, 311);
INSERT INTO public.ecdc_data VALUES (55494, 0, 0, 3.42889753, 50, 311);
INSERT INTO public.ecdc_data VALUES (55495, 69, 2786, 24.69517236, 199, 311);
INSERT INTO public.ecdc_data VALUES (55496, 0, 0, 0, 100, 311);
INSERT INTO public.ecdc_data VALUES (55497, 0, 3, 0.10842658, 51, 311);
INSERT INTO public.ecdc_data VALUES (55498, 5, 175, 2.37761624, 200, 311);
INSERT INTO public.ecdc_data VALUES (55499, 1, 240, 11.50398658, 143, 311);
INSERT INTO public.ecdc_data VALUES (55500, 736, 4868, 62.67038248, 201, 311);
INSERT INTO public.ecdc_data VALUES (55501, 0, 0, 0.03103156, 52, 311);
INSERT INTO public.ecdc_data VALUES (55502, 1104, 32425, 78.50760949, 101, 311);
INSERT INTO public.ecdc_data VALUES (55503, 0, 7, 0, 102, 311);
INSERT INTO public.ecdc_data VALUES (55504, 0, 12, 7.53958063, 103, 311);
INSERT INTO public.ecdc_data VALUES (55505, 0, 37, 0.58820471, 144, 311);
INSERT INTO public.ecdc_data VALUES (55506, 0, 0, 0.37873702, 104, 311);
INSERT INTO public.ecdc_data VALUES (55507, 0, 4, 0.15757483, 145, 311);
INSERT INTO public.ecdc_data VALUES (55508, 0, 0, 0.20715486, 54, 311);
INSERT INTO public.ecdc_data VALUES (55509, 0, 1, 0.05462439, 55, 311);
INSERT INTO public.ecdc_data VALUES (55510, 0, 2, 0.01161358, 1, 312);
INSERT INTO public.ecdc_data VALUES (55511, 0, 1, 0, 58, 312);
INSERT INTO public.ecdc_data VALUES (55512, 0, 8, 0.1031615, 202, 312);
INSERT INTO public.ecdc_data VALUES (55513, 0, 6, 0.27091782, 150, 312);
INSERT INTO public.ecdc_data VALUES (55514, 0, 2, 2.98568577, 106, 312);
INSERT INTO public.ecdc_data VALUES (55515, 0, 3, 0.04231725, 152, 312);
INSERT INTO public.ecdc_data VALUES (55516, 0, 34, 0.32298842, 153, 312);
INSERT INTO public.ecdc_data VALUES (55517, 0, 0, 0.00094764, 66, 312);
INSERT INTO public.ecdc_data VALUES (55518, 0, 3, 0.05880617, 68, 312);
INSERT INTO public.ecdc_data VALUES (55519, 0, 1, 0, 70, 312);
INSERT INTO public.ecdc_data VALUES (55520, 37, 119, 0.42698212, 111, 312);
INSERT INTO public.ecdc_data VALUES (55521, 0, 1, 0.22079139, 156, 312);
INSERT INTO public.ecdc_data VALUES (55522, 0, 0, 0.04694924, 158, 312);
INSERT INTO public.ecdc_data VALUES (55523, 0, 3, 0.13778657, 159, 312);
INSERT INTO public.ecdc_data VALUES (55524, 0, 1, 0.1509639, 160, 312);
INSERT INTO public.ecdc_data VALUES (55525, 0, 1, 0.10873665, 162, 312);
INSERT INTO public.ecdc_data VALUES (55526, 1, 34, 0.29845008, 163, 312);
INSERT INTO public.ecdc_data VALUES (55527, 0, 39, 0.21802182, 165, 312);
INSERT INTO public.ecdc_data VALUES (55528, 0, 10, 4.48190571, 171, 312);
INSERT INTO public.ecdc_data VALUES (55529, 0, 1, 0.00021955, 112, 312);
INSERT INTO public.ecdc_data VALUES (55530, 11, 835, 2.81738068, 114, 312);
INSERT INTO public.ecdc_data VALUES (55531, 0, 5, 0.06614129, 115, 312);
INSERT INTO public.ecdc_data VALUES (55532, 0, 1, 0.04078104, 172, 312);
INSERT INTO public.ecdc_data VALUES (55533, 28, 466, 4.14019019, 174, 312);
INSERT INTO public.ecdc_data VALUES (55534, 0, 14, 0.15923027, 117, 312);
INSERT INTO public.ecdc_data VALUES (55535, 0, 7, 0.04381876, 124, 312);
INSERT INTO public.ecdc_data VALUES (55536, 0, 3, 0.01254159, 87, 312);
INSERT INTO public.ecdc_data VALUES (55537, 0, 10, 0.16201676, 185, 312);
INSERT INTO public.ecdc_data VALUES (55538, 0, 1, 0.04181422, 208, 312);
INSERT INTO public.ecdc_data VALUES (55539, 0, 8, 0.61934473, 187, 312);
INSERT INTO public.ecdc_data VALUES (55540, 0, 1, 0.00230877, 130, 312);
INSERT INTO public.ecdc_data VALUES (55541, 0, 1, 0, 188, 312);
INSERT INTO public.ecdc_data VALUES (55542, 0, 2, 0, 189, 312);
INSERT INTO public.ecdc_data VALUES (55543, 0, 5, 0.28247879, 133, 312);
INSERT INTO public.ecdc_data VALUES (55544, 0, 1, 0.0206032, 190, 312);
INSERT INTO public.ecdc_data VALUES (55545, 0, 1, 0.00137106, 191, 312);
INSERT INTO public.ecdc_data VALUES (55546, 0, 2, 29.02504862, 192, 312);
INSERT INTO public.ecdc_data VALUES (55547, 0, 2, 0.49962588, 135, 312);
INSERT INTO public.ecdc_data VALUES (55548, 4, 516, 10.31130679, 136, 312);
INSERT INTO public.ecdc_data VALUES (55549, 0, 75, 0.56458585, 196, 312);
INSERT INTO public.ecdc_data VALUES (55550, 0, 13, 0.1759499, 197, 312);
INSERT INTO public.ecdc_data VALUES (55551, 0, 7, 0.43302573, 198, 312);
INSERT INTO public.ecdc_data VALUES (55552, 0, 1, 0.08412594, 139, 312);
INSERT INTO public.ecdc_data VALUES (55553, 0, 1, 0, 200, 312);
INSERT INTO public.ecdc_data VALUES (55554, 0, 6, 0.18422754, 143, 312);
INSERT INTO public.ecdc_data VALUES (55555, 0, 40, 0.14854357, 201, 312);
INSERT INTO public.ecdc_data VALUES (55556, 3, 22, 0.03342805, 101, 312);
INSERT INTO public.ecdc_data VALUES (55557, 0, 0, 0, 105, 313);
INSERT INTO public.ecdc_data VALUES (55558, 0, 0, 0, 1, 313);
INSERT INTO public.ecdc_data VALUES (55559, 0, 0, 0, 149, 313);
INSERT INTO public.ecdc_data VALUES (55560, 0, 0, 0.04364525, 202, 313);
INSERT INTO public.ecdc_data VALUES (55561, 0, 0, 0, 150, 313);
INSERT INTO public.ecdc_data VALUES (55562, 0, 0, 0, 151, 313);
INSERT INTO public.ecdc_data VALUES (55563, 0, 0, 0, 106, 313);
INSERT INTO public.ecdc_data VALUES (55564, 0, 0, 0, 152, 313);
INSERT INTO public.ecdc_data VALUES (55565, 0, 1, 0, 153, 313);
INSERT INTO public.ecdc_data VALUES (55566, 0, 0, 0, 66, 313);
INSERT INTO public.ecdc_data VALUES (55567, 0, 0, 0.00606555, 110, 313);
INSERT INTO public.ecdc_data VALUES (55568, 0, 0, 0.01069203, 68, 313);
INSERT INTO public.ecdc_data VALUES (55569, 0, 0, 0, 214, 313);
INSERT INTO public.ecdc_data VALUES (55570, 65, 3237, 1.39923477, 111, 313);
INSERT INTO public.ecdc_data VALUES (55571, 0, 0, 0, 156, 313);
INSERT INTO public.ecdc_data VALUES (55572, 0, 0, 0, 158, 313);
INSERT INTO public.ecdc_data VALUES (55573, 0, 0, 0, 159, 313);
INSERT INTO public.ecdc_data VALUES (55574, 0, 0, 0, 76, 313);
INSERT INTO public.ecdc_data VALUES (55575, 0, 0, 0, 77, 313);
INSERT INTO public.ecdc_data VALUES (55576, 0, 0, 0, 16, 313);
INSERT INTO public.ecdc_data VALUES (55577, 0, 0, 0, 160, 313);
INSERT INTO public.ecdc_data VALUES (55578, 0, 0, 0.01812277, 162, 313);
INSERT INTO public.ecdc_data VALUES (55579, 0, 0, 0.0089535, 163, 313);
INSERT INTO public.ecdc_data VALUES (55580, 0, 0, 0, 164, 313);
INSERT INTO public.ecdc_data VALUES (55581, 0, 2, 0.01324994, 165, 313);
INSERT INTO public.ecdc_data VALUES (55582, 0, 0, 0, 167, 313);
INSERT INTO public.ecdc_data VALUES (55583, 0, 0, 0, 171, 313);
INSERT INTO public.ecdc_data VALUES (55584, 0, 1, 0.00021955, 112, 313);
INSERT INTO public.ecdc_data VALUES (55585, 0, 0, 0, 113, 313);
INSERT INTO public.ecdc_data VALUES (55586, 0, 0, 0, 114, 313);
INSERT INTO public.ecdc_data VALUES (55587, 0, 0, 0, 115, 313);
INSERT INTO public.ecdc_data VALUES (55588, 0, 0, 0, 172, 313);
INSERT INTO public.ecdc_data VALUES (55589, 0, 0, 0, 116, 313);
INSERT INTO public.ecdc_data VALUES (55590, 0, 0, 0.00497022, 174, 313);
INSERT INTO public.ecdc_data VALUES (55591, 0, 0, 0.0149771, 117, 313);
INSERT INTO public.ecdc_data VALUES (55592, 0, 0, 0, 120, 313);
INSERT INTO public.ecdc_data VALUES (55593, 0, 0, 0, 123, 313);
INSERT INTO public.ecdc_data VALUES (55594, 0, 0, 0, 179, 313);
INSERT INTO public.ecdc_data VALUES (55595, 0, 0, 0, 180, 313);
INSERT INTO public.ecdc_data VALUES (55596, 0, 0, 0.02503929, 124, 313);
INSERT INTO public.ecdc_data VALUES (55597, 0, 0, 0.00078385, 87, 313);
INSERT INTO public.ecdc_data VALUES (55598, 0, 0, 0, 183, 313);
INSERT INTO public.ecdc_data VALUES (55599, 0, 0, 0.00349544, 128, 313);
INSERT INTO public.ecdc_data VALUES (55600, 0, 0, 0, 185, 313);
INSERT INTO public.ecdc_data VALUES (55601, 0, 0, 0, 208, 313);
INSERT INTO public.ecdc_data VALUES (55602, 0, 0, 0, 39, 313);
INSERT INTO public.ecdc_data VALUES (55603, 0, 0, 0, 186, 313);
INSERT INTO public.ecdc_data VALUES (55604, 0, 0, 0, 187, 313);
INSERT INTO public.ecdc_data VALUES (55605, 0, 0, 0, 129, 313);
INSERT INTO public.ecdc_data VALUES (55606, 0, 0, 0, 130, 313);
INSERT INTO public.ecdc_data VALUES (55607, 0, 0, 0.00184985, 132, 313);
INSERT INTO public.ecdc_data VALUES (55608, 0, 0, 0, 133, 313);
INSERT INTO public.ecdc_data VALUES (55609, 0, 0, 0, 190, 313);
INSERT INTO public.ecdc_data VALUES (55610, 0, 0, 0.00137106, 191, 313);
INSERT INTO public.ecdc_data VALUES (55611, 0, 0, 0, 192, 313);
INSERT INTO public.ecdc_data VALUES (55612, 0, 0, 0.31011262, 135, 313);
INSERT INTO public.ecdc_data VALUES (55613, 0, 1, 0.02928239, 136, 313);
INSERT INTO public.ecdc_data VALUES (55614, 0, 0, 0.00213051, 196, 313);
INSERT INTO public.ecdc_data VALUES (55615, 0, 0, 0.00468961, 137, 313);
INSERT INTO public.ecdc_data VALUES (55616, 0, 0, 0, 197, 313);
INSERT INTO public.ecdc_data VALUES (55617, 0, 0, 0, 198, 313);
INSERT INTO public.ecdc_data VALUES (55618, 0, 0, 0.03785667, 139, 313);
INSERT INTO public.ecdc_data VALUES (55619, 0, 0, 0.02441631, 141, 313);
INSERT INTO public.ecdc_data VALUES (55620, 0, 0, 0.05117432, 143, 313);
INSERT INTO public.ecdc_data VALUES (55621, 0, 0, 0.00300088, 201, 313);
INSERT INTO public.ecdc_data VALUES (55622, 0, 0, 0.00303891, 101, 313);
INSERT INTO public.ecdc_data VALUES (55623, 0, 1, 0.00933009, 145, 313);
INSERT INTO public.ecdc_data VALUES (55624, 0, 0, 0, 105, 314);
INSERT INTO public.ecdc_data VALUES (55625, 0, 0, 0, 1, 314);
INSERT INTO public.ecdc_data VALUES (55626, 0, 0, 0, 149, 314);
INSERT INTO public.ecdc_data VALUES (55627, 0, 0, 0, 202, 314);
INSERT INTO public.ecdc_data VALUES (55628, 0, 0, 0, 150, 314);
INSERT INTO public.ecdc_data VALUES (55629, 0, 0, 0, 151, 314);
INSERT INTO public.ecdc_data VALUES (55630, 0, 0, 0, 106, 314);
INSERT INTO public.ecdc_data VALUES (55631, 0, 0, 0, 152, 314);
INSERT INTO public.ecdc_data VALUES (55632, 0, 0, 0, 153, 314);
INSERT INTO public.ecdc_data VALUES (55633, 0, 0, 0, 66, 314);
INSERT INTO public.ecdc_data VALUES (55634, 0, 0, 0, 110, 314);
INSERT INTO public.ecdc_data VALUES (55635, 0, 0, 0, 68, 314);
INSERT INTO public.ecdc_data VALUES (55636, 0, 0, 0, 214, 314);
INSERT INTO public.ecdc_data VALUES (55637, 0, 0, 0, 111, 314);
INSERT INTO public.ecdc_data VALUES (55638, 0, 0, 0, 156, 314);
INSERT INTO public.ecdc_data VALUES (55639, 0, 0, 0, 158, 314);
INSERT INTO public.ecdc_data VALUES (55640, 0, 0, 0, 159, 314);
INSERT INTO public.ecdc_data VALUES (55641, 0, 0, 0, 76, 314);
INSERT INTO public.ecdc_data VALUES (55642, 0, 0, 0, 77, 314);
INSERT INTO public.ecdc_data VALUES (55643, 0, 0, 0, 16, 314);
INSERT INTO public.ecdc_data VALUES (55644, 0, 0, 0, 160, 314);
INSERT INTO public.ecdc_data VALUES (55645, 0, 0, 0, 162, 314);
INSERT INTO public.ecdc_data VALUES (55646, 0, 0, 0, 163, 314);
INSERT INTO public.ecdc_data VALUES (55647, 0, 0, 0, 164, 314);
INSERT INTO public.ecdc_data VALUES (55648, 0, 0, 0, 165, 314);
INSERT INTO public.ecdc_data VALUES (55649, 0, 0, 0, 167, 314);
INSERT INTO public.ecdc_data VALUES (55650, 0, 0, 0, 171, 314);
INSERT INTO public.ecdc_data VALUES (55651, 0, 0, 0, 112, 314);
INSERT INTO public.ecdc_data VALUES (55652, 0, 0, 0, 113, 314);
INSERT INTO public.ecdc_data VALUES (55653, 0, 0, 0, 114, 314);
INSERT INTO public.ecdc_data VALUES (55654, 0, 0, 0, 115, 314);
INSERT INTO public.ecdc_data VALUES (55655, 0, 0, 0, 172, 314);
INSERT INTO public.ecdc_data VALUES (55656, 0, 0, 0, 116, 314);
INSERT INTO public.ecdc_data VALUES (55657, 0, 0, 0, 174, 314);
INSERT INTO public.ecdc_data VALUES (55658, 0, 0, 0, 117, 314);
INSERT INTO public.ecdc_data VALUES (55659, 0, 0, 0, 120, 314);
INSERT INTO public.ecdc_data VALUES (55660, 0, 0, 0, 123, 314);
INSERT INTO public.ecdc_data VALUES (55661, 0, 0, 0, 179, 314);
INSERT INTO public.ecdc_data VALUES (55662, 0, 0, 0, 180, 314);
INSERT INTO public.ecdc_data VALUES (55663, 0, 0, 0, 124, 314);
INSERT INTO public.ecdc_data VALUES (55664, 0, 0, 0, 87, 314);
INSERT INTO public.ecdc_data VALUES (55665, 0, 0, 0, 183, 314);
INSERT INTO public.ecdc_data VALUES (55666, 0, 0, 0, 128, 314);
INSERT INTO public.ecdc_data VALUES (55667, 0, 0, 0, 185, 314);
INSERT INTO public.ecdc_data VALUES (55668, 0, 0, 0, 208, 314);
INSERT INTO public.ecdc_data VALUES (55669, 0, 0, 0, 39, 314);
INSERT INTO public.ecdc_data VALUES (55670, 0, 0, 0, 186, 314);
INSERT INTO public.ecdc_data VALUES (55671, 0, 0, 0, 187, 314);
INSERT INTO public.ecdc_data VALUES (55672, 0, 0, 0, 129, 314);
INSERT INTO public.ecdc_data VALUES (55673, 0, 0, 0, 130, 314);
INSERT INTO public.ecdc_data VALUES (55674, 0, 0, 0, 132, 314);
INSERT INTO public.ecdc_data VALUES (55675, 0, 0, 0, 133, 314);
INSERT INTO public.ecdc_data VALUES (55676, 0, 0, 0, 190, 314);
INSERT INTO public.ecdc_data VALUES (55677, 0, 0, 0, 191, 314);
INSERT INTO public.ecdc_data VALUES (55678, 0, 0, 0, 192, 314);
INSERT INTO public.ecdc_data VALUES (55679, 0, 0, 0, 135, 314);
INSERT INTO public.ecdc_data VALUES (55680, 0, 0, 0, 136, 314);
INSERT INTO public.ecdc_data VALUES (55681, 0, 0, 0, 196, 314);
INSERT INTO public.ecdc_data VALUES (55682, 0, 0, 0, 137, 314);
INSERT INTO public.ecdc_data VALUES (55683, 0, 0, 0, 197, 314);
INSERT INTO public.ecdc_data VALUES (55684, 0, 0, 0, 198, 314);
INSERT INTO public.ecdc_data VALUES (55685, 0, 0, 0, 139, 314);
INSERT INTO public.ecdc_data VALUES (55686, 0, 0, 0, 141, 314);
INSERT INTO public.ecdc_data VALUES (55687, 0, 0, 0, 143, 314);
INSERT INTO public.ecdc_data VALUES (55688, 0, 0, 0, 201, 314);
INSERT INTO public.ecdc_data VALUES (55689, 0, 0, 0, 101, 314);
INSERT INTO public.ecdc_data VALUES (55690, 0, 0, 0, 145, 314);
INSERT INTO public.ecdc_data VALUES (55691, 19, 202, 7.53645527, 105, 315);
INSERT INTO public.ecdc_data VALUES (55692, 17, 705, 345.23151158, 147, 315);
INSERT INTO public.ecdc_data VALUES (55693, 17, 932, 33.57485395, 1, 315);
INSERT INTO public.ecdc_data VALUES (55694, 0, 52, 1081.69132415, 148, 315);
INSERT INTO public.ecdc_data VALUES (55695, 1, 68, 4.7163736, 2, 315);
INSERT INTO public.ecdc_data VALUES (55696, 0, 0, 20.17213556, 56, 315);
INSERT INTO public.ecdc_data VALUES (55697, 0, 2, 5.14853524, 57, 315);
INSERT INTO public.ecdc_data VALUES (55698, 228, 7535, 225.02117264, 58, 315);
INSERT INTO public.ecdc_data VALUES (55699, 26, 1277, 558.84111047, 149, 315);
INSERT INTO public.ecdc_data VALUES (55700, 0, 30, 204.12002634, 59, 315);
INSERT INTO public.ecdc_data VALUES (55701, 0, 11, 0.57929152, 202, 315);
INSERT INTO public.ecdc_data VALUES (55702, 133, 3660, 749.83279291, 150, 315);
INSERT INTO public.ecdc_data VALUES (55703, 37, 3942, 479.18338481, 151, 315);
INSERT INTO public.ecdc_data VALUES (55704, 0, 0, 56.48470035, 60, 315);
INSERT INTO public.ecdc_data VALUES (55705, 0, 133, 127.22677319, 106, 315);
INSERT INTO public.ecdc_data VALUES (55706, 38, 2198, 18.78486286, 107, 315);
INSERT INTO public.ecdc_data VALUES (55707, 0, 1, 9.40697719, 61, 315);
INSERT INTO public.ecdc_data VALUES (55708, 8, 1689, 231.68696996, 152, 315);
INSERT INTO public.ecdc_data VALUES (55709, 117, 2611, 294.95826422, 153, 315);
INSERT INTO public.ecdc_data VALUES (55710, 0, 0, 229.53700644, 62, 315);
INSERT INTO public.ecdc_data VALUES (55711, 1, 40, 1.17785121, 3, 315);
INSERT INTO public.ecdc_data VALUES (55712, 0, 5, 68.79119473, 63, 315);
INSERT INTO public.ecdc_data VALUES (55713, 0, 1, 4.84868181, 108, 315);
INSERT INTO public.ecdc_data VALUES (55714, 9, 184, 12.37720295, 64, 315);
INSERT INTO public.ecdc_data VALUES (55715, 0, 1, 19.24335142, 65, 315);
INSERT INTO public.ecdc_data VALUES (55716, 46, 1293, 448.37955067, 154, 315);
INSERT INTO public.ecdc_data VALUES (55717, 0, 0, 38.59004394, 4, 315);
INSERT INTO public.ecdc_data VALUES (55718, 698, 49863, 232.5525319, 66, 315);
INSERT INTO public.ecdc_data VALUES (55719, 0, 0, 3.3296707, 67, 315);
INSERT INTO public.ecdc_data VALUES (55720, 0, 1, 0.69236734, 109, 315);
INSERT INTO public.ecdc_data VALUES (55721, 159, 3138, 591.09670675, 155, 315);
INSERT INTO public.ecdc_data VALUES (55722, 0, 79, 1.67311447, 5, 315);
INSERT INTO public.ecdc_data VALUES (55723, 0, 0, 0.40761187, 6, 315);
INSERT INTO public.ecdc_data VALUES (55724, 0, 2, 0.16376994, 110, 315);
INSERT INTO public.ecdc_data VALUES (55725, 0, 0, 6.14846269, 7, 315);
INSERT INTO public.ecdc_data VALUES (55726, 114, 6307, 210.27483921, 68, 315);
INSERT INTO public.ecdc_data VALUES (55727, 0, 51, 157.65470891, 8, 315);
INSERT INTO public.ecdc_data VALUES (55728, 0, 0, 41.57171891, 69, 315);
INSERT INTO public.ecdc_data VALUES (55729, 0, 0, 0.37933237, 9, 315);
INSERT INTO public.ecdc_data VALUES (55730, 0, 5, 0.55810283, 10, 315);
INSERT INTO public.ecdc_data VALUES (55731, 8, 1034, 102.04708887, 70, 315);
INSERT INTO public.ecdc_data VALUES (55732, 0, 16, 0.01255419, 111, 315);
INSERT INTO public.ecdc_data VALUES (55733, 183, 9297, 230.60644513, 71, 315);
INSERT INTO public.ecdc_data VALUES (55734, 0, 0, 2.58552506, 11, 315);
INSERT INTO public.ecdc_data VALUES (55735, 0, 0, 4.81367545, 12, 315);
INSERT INTO public.ecdc_data VALUES (55736, 8, 1168, 283.85986816, 72, 315);
INSERT INTO public.ecdc_data VALUES (55737, 0, 27, 1.2287805, 13, 315);
INSERT INTO public.ecdc_data VALUES (55738, 55, 3539, 1083.49692339, 156, 315);
INSERT INTO public.ecdc_data VALUES (55739, 0, 75, 6.63520591, 73, 315);
INSERT INTO public.ecdc_data VALUES (55740, 0, 155, 719.60495157, 74, 315);
INSERT INTO public.ecdc_data VALUES (55741, 3, 292, 395.47938746, 157, 315);
INSERT INTO public.ecdc_data VALUES (55742, 108, 4568, 542.33882326, 158, 315);
INSERT INTO public.ecdc_data VALUES (55743, 1, 145, 1.39992171, 14, 315);
INSERT INTO public.ecdc_data VALUES (55744, 6, 1586, 305.31782109, 159, 315);
INSERT INTO public.ecdc_data VALUES (55745, 0, 2, 2.46518694, 15, 315);
INSERT INTO public.ecdc_data VALUES (55746, 0, 0, 23.67424242, 75, 315);
INSERT INTO public.ecdc_data VALUES (55747, 1, 895, 93.49138841, 76, 315);
INSERT INTO public.ecdc_data VALUES (55748, 61, 1203, 72.67324317, 77, 315);
INSERT INTO public.ecdc_data VALUES (55749, 28, 421, 5.09124211, 16, 315);
INSERT INTO public.ecdc_data VALUES (55750, 5, 0, 33.54742738, 78, 315);
INSERT INTO public.ecdc_data VALUES (55751, 0, 3, 2.80239708, 17, 315);
INSERT INTO public.ecdc_data VALUES (55752, 0, 0, 1.68710398, 18, 315);
INSERT INTO public.ecdc_data VALUES (55753, 1, 522, 355.89740493, 160, 315);
INSERT INTO public.ecdc_data VALUES (55754, 0, 13, 27.08745415, 19, 315);
INSERT INTO public.ecdc_data VALUES (55755, 6, 430, 6.29557472, 20, 315);
INSERT INTO public.ecdc_data VALUES (55756, 0, 0, 29.65599051, 79, 315);
INSERT INTO public.ecdc_data VALUES (55757, 0, 0, 10.27179161, 161, 315);
INSERT INTO public.ecdc_data VALUES (55758, 0, 0, 0.78655662, 203, 315);
INSERT INTO public.ecdc_data VALUES (55759, 9, 420, 107.77613807, 162, 315);
INSERT INTO public.ecdc_data VALUES (55760, 310, 14064, 267.85446613, 163, 315);
INSERT INTO public.ecdc_data VALUES (55761, 1, 187, 706.08876238, 204, 315);
INSERT INTO public.ecdc_data VALUES (55762, 0, 25, 7.13438137, 21, 315);
INSERT INTO public.ecdc_data VALUES (55763, 0, 22, 2.55569716, 22, 315);
INSERT INTO public.ecdc_data VALUES (55764, 45, 4260, 1457.20460713, 164, 315);
INSERT INTO public.ecdc_data VALUES (55765, 479, 22046, 302.18667575, 165, 315);
INSERT INTO public.ecdc_data VALUES (55766, 0, 0, 3.97792639, 23, 315);
INSERT INTO public.ecdc_data VALUES (55767, 0, 5, 323.38456061, 166, 315);
INSERT INTO public.ecdc_data VALUES (55768, 89, 2185, 257.54809108, 167, 315);
INSERT INTO public.ecdc_data VALUES (55769, 0, 0, 0, 80, 315);
INSERT INTO public.ecdc_data VALUES (55770, 0, 0, 4.464206, 81, 315);
INSERT INTO public.ecdc_data VALUES (55771, 0, 31, 343.10648854, 205, 315);
INSERT INTO public.ecdc_data VALUES (55772, 13, 686, 40.26396874, 82, 315);
INSERT INTO public.ecdc_data VALUES (55773, 0, 0, 7.75578582, 168, 315);
INSERT INTO public.ecdc_data VALUES (55774, 0, 24, 3.36693851, 24, 315);
INSERT INTO public.ecdc_data VALUES (55775, 0, 0, 1.09322787, 25, 315);
INSERT INTO public.ecdc_data VALUES (55776, 0, 26, 68.34658746, 83, 315);
INSERT INTO public.ecdc_data VALUES (55777, 0, 0, 0.78131388, 84, 315);
INSERT INTO public.ecdc_data VALUES (55778, 0, 0, 0, 169, 315);
INSERT INTO public.ecdc_data VALUES (55779, 3, 503, 58.03338048, 85, 315);
INSERT INTO public.ecdc_data VALUES (55780, 182, 6635, 720.19602249, 170, 315);
INSERT INTO public.ecdc_data VALUES (55781, 0, 20, 57.98465508, 171, 315);
INSERT INTO public.ecdc_data VALUES (55782, 526, 35551, 42.1892205, 112, 315);
INSERT INTO public.ecdc_data VALUES (55783, 118, 5533, 26.15717383, 113, 315);
INSERT INTO public.ecdc_data VALUES (55784, 362, 13621, 226.35289842, 114, 315);
INSERT INTO public.ecdc_data VALUES (55785, 34, 1961, 76.0014255, 115, 315);
INSERT INTO public.ecdc_data VALUES (55786, 5, 268, 81.72520105, 172, 315);
INSERT INTO public.ecdc_data VALUES (55787, 0, 0, 5.91093405, 173, 315);
INSERT INTO public.ecdc_data VALUES (55788, 6, 1348, 159.73006464, 116, 315);
INSERT INTO public.ecdc_data VALUES (55789, 684, 20709, 611.76404475, 174, 315);
INSERT INTO public.ecdc_data VALUES (55790, 0, 54, 28.66080765, 86, 315);
INSERT INTO public.ecdc_data VALUES (55791, 41, 2441, 23.53849095, 117, 315);
INSERT INTO public.ecdc_data VALUES (55792, 0, 56, 300.56773906, 175, 315);
INSERT INTO public.ecdc_data VALUES (55793, 52, 3591, 626.44919958, 118, 315);
INSERT INTO public.ecdc_data VALUES (55794, 2, 777, 67.67673087, 119, 315);
INSERT INTO public.ecdc_data VALUES (55795, 10, 961, 23.66950928, 26, 315);
INSERT INTO public.ecdc_data VALUES (55796, 14, 555, 525.82532391, 176, 315);
INSERT INTO public.ecdc_data VALUES (55797, 1, 268, 117.01711188, 120, 315);
INSERT INTO public.ecdc_data VALUES (55798, 4, 420, 87.54879127, 121, 315);
INSERT INTO public.ecdc_data VALUES (55799, 0, 0, 0.20922089, 122, 315);
INSERT INTO public.ecdc_data VALUES (55800, 14, 690, 365.68317805, 177, 315);
INSERT INTO public.ecdc_data VALUES (55801, 22, 1842, 310.10651123, 123, 315);
INSERT INTO public.ecdc_data VALUES (55802, 0, 5, 3.95244456, 27, 315);
INSERT INTO public.ecdc_data VALUES (55803, 0, 0, 1.4177577, 28, 315);
INSERT INTO public.ecdc_data VALUES (55804, 4, 1390, 137.83939188, 29, 315);
INSERT INTO public.ecdc_data VALUES (55805, 1, 0, 763.45823128, 178, 315);
INSERT INTO public.ecdc_data VALUES (55806, 17, 2445, 1011.24335405, 179, 315);
INSERT INTO public.ecdc_data VALUES (55807, 9, 451, 1213.2387676, 180, 315);
INSERT INTO public.ecdc_data VALUES (55808, 0, 0, 0.40045524, 30, 315);
INSERT INTO public.ecdc_data VALUES (55809, 0, 12, 0.22008993, 31, 315);
INSERT INTO public.ecdc_data VALUES (55810, 2, 851, 55.18033312, 124, 315);
INSERT INTO public.ecdc_data VALUES (55811, 0, 21, 129.20066973, 125, 315);
INSERT INTO public.ecdc_data VALUES (55812, 1, 75, 4.35954317, 32, 315);
INSERT INTO public.ecdc_data VALUES (55813, 5, 126, 314.45075462, 181, 315);
INSERT INTO public.ecdc_data VALUES (55814, 0, 0, 0, 206, 315);
INSERT INTO public.ecdc_data VALUES (55815, 0, 0, 16.74879764, 33, 315);
INSERT INTO public.ecdc_data VALUES (55816, 0, 0, 0.86636685, 34, 315);
INSERT INTO public.ecdc_data VALUES (55817, 800, 11251, 92.91907385, 87, 315);
INSERT INTO public.ecdc_data VALUES (55818, 20, 1717, 446.6942253, 182, 315);
INSERT INTO public.ecdc_data VALUES (55819, 0, 4, 169.26099441, 183, 315);
INSERT INTO public.ecdc_data VALUES (55820, 0, 7, 9.73593297, 126, 315);
INSERT INTO public.ecdc_data VALUES (55821, 6, 502, 1176.50462405, 184, 315);
INSERT INTO public.ecdc_data VALUES (55822, 0, 0, 0, 88, 315);
INSERT INTO public.ecdc_data VALUES (55823, 70, 4346, 156.81993573, 35, 315);
INSERT INTO public.ecdc_data VALUES (55824, 1, 96, 4.2810978, 36, 315);
INSERT INTO public.ecdc_data VALUES (55825, 26, 1411, 37.52029173, 127, 315);
INSERT INTO public.ecdc_data VALUES (55826, 0, 61, 34.75612983, 37, 315);
INSERT INTO public.ecdc_data VALUES (55827, 9, 2794, 81.54508163, 128, 315);
INSERT INTO public.ecdc_data VALUES (55828, 66, 4917, 409.2948319, 185, 315);
INSERT INTO public.ecdc_data VALUES (55829, 0, 1, 1.41464225, 207, 315);
INSERT INTO public.ecdc_data VALUES (55830, 0, 9, 1.23351945, 208, 315);
INSERT INTO public.ecdc_data VALUES (55831, 0, 0, 2.70414665, 89, 315);
INSERT INTO public.ecdc_data VALUES (55832, 1, 54, 1.32557044, 38, 315);
INSERT INTO public.ecdc_data VALUES (55833, 1, 77, 1.12806497, 39, 315);
INSERT INTO public.ecdc_data VALUES (55834, 33, 945, 667.98836087, 186, 315);
INSERT INTO public.ecdc_data VALUES (55835, 0, 0, 5.24356353, 209, 315);
INSERT INTO public.ecdc_data VALUES (55836, 17, 441, 121.57924647, 187, 315);
INSERT INTO public.ecdc_data VALUES (55837, 0, 237, 60.62321306, 129, 315);
INSERT INTO public.ecdc_data VALUES (55838, 39, 3499, 18.8779074, 130, 315);
INSERT INTO public.ecdc_data VALUES (55839, 16, 2180, 501.92495235, 131, 315);
INSERT INTO public.ecdc_data VALUES (55840, 16, 2028, 459.34947862, 90, 315);
INSERT INTO public.ecdc_data VALUES (55841, 0, 0, 0.74064629, 210, 315);
INSERT INTO public.ecdc_data VALUES (55842, 12, 1003, 153.91846197, 91, 315);
INSERT INTO public.ecdc_data VALUES (55843, 45, 1847, 77.27973844, 92, 315);
INSERT INTO public.ecdc_data VALUES (55844, 18, 1432, 20.58887855, 132, 315);
INSERT INTO public.ecdc_data VALUES (55845, 609, 13823, 634.46446895, 188, 315);
INSERT INTO public.ecdc_data VALUES (55846, 68, 3384, 660.05184391, 189, 315);
INSERT INTO public.ecdc_data VALUES (55847, 22, 588, 454.86404191, 93, 315);
INSERT INTO public.ecdc_data VALUES (55848, 1, 255, 99.39722556, 133, 315);
INSERT INTO public.ecdc_data VALUES (55849, 135, 4916, 519.23674614, 190, 315);
INSERT INTO public.ecdc_data VALUES (55850, 589, 25345, 243.63988054, 191, 315);
INSERT INTO public.ecdc_data VALUES (55851, 1, 46, 3.57172895, 40, 315);
INSERT INTO public.ecdc_data VALUES (55852, 0, 0, 5.67816179, 94, 315);
INSERT INTO public.ecdc_data VALUES (55853, 0, 2, 42.67075139, 95, 315);
INSERT INTO public.ecdc_data VALUES (55854, 0, 0, 1.80843272, 96, 315);
INSERT INTO public.ecdc_data VALUES (55855, 0, 37, 954.9240995, 192, 315);
INSERT INTO public.ecdc_data VALUES (55856, 0, 1, 13.95037387, 41, 315);
INSERT INTO public.ecdc_data VALUES (55857, 12, 249, 10.69202591, 134, 315);
INSERT INTO public.ecdc_data VALUES (55858, 0, 66, 2.14771861, 42, 315);
INSERT INTO public.ecdc_data VALUES (55859, 52, 7919, 1340.76915875, 193, 315);
INSERT INTO public.ecdc_data VALUES (55860, 0, 0, 23.53157836, 43, 315);
INSERT INTO public.ecdc_data VALUES (55861, 0, 3, 0.24317799, 44, 315);
INSERT INTO public.ecdc_data VALUES (55862, 0, 2, 1.63670548, 135, 315);
INSERT INTO public.ecdc_data VALUES (55863, 0, 20, 301.96513246, 97, 315);
INSERT INTO public.ecdc_data VALUES (55864, 30, 2043, 354.33960056, 194, 315);
INSERT INTO public.ecdc_data VALUES (55865, 78, 2431, 990.04857495, 195, 315);
INSERT INTO public.ecdc_data VALUES (55866, 0, 0, 0.14929362, 211, 315);
INSERT INTO public.ecdc_data VALUES (55867, 0, 0, 0.92599152, 45, 315);
INSERT INTO public.ecdc_data VALUES (55868, 65, 4173, 67.16045746, 46, 315);
INSERT INTO public.ecdc_data VALUES (55869, 3, 540, 11.80861317, 136, 315);
INSERT INTO public.ecdc_data VALUES (55870, 0, 7, 0.92206607, 47, 315);
INSERT INTO public.ecdc_data VALUES (55871, 254, 10127, 286.18750301, 196, 315);
INSERT INTO public.ecdc_data VALUES (55872, 2, 878, 32.86478813, 137, 315);
INSERT INTO public.ecdc_data VALUES (55873, 0, 0, 7.49067397, 48, 315);
INSERT INTO public.ecdc_data VALUES (55874, 0, 1, 6.53636368, 98, 315);
INSERT INTO public.ecdc_data VALUES (55875, 52, 6548, 682.41190164, 197, 315);
INSERT INTO public.ecdc_data VALUES (55876, 130, 6130, 656.42018569, 198, 315);
INSERT INTO public.ecdc_data VALUES (55877, 4, 86, 6.67833149, 138, 315);
INSERT INTO public.ecdc_data VALUES (55878, 0, 1, 0.32388485, 139, 315);
INSERT INTO public.ecdc_data VALUES (55879, 1, 38, 5.77189864, 140, 315);
INSERT INTO public.ecdc_data VALUES (55880, 0, 13, 0.21687431, 141, 315);
INSERT INTO public.ecdc_data VALUES (55881, 0, 1, 0.07733234, 142, 315);
INSERT INTO public.ecdc_data VALUES (55882, 1, 17, 3.24162785, 49, 315);
INSERT INTO public.ecdc_data VALUES (55883, 1, 19, 37.56355876, 99, 315);
INSERT INTO public.ecdc_data VALUES (55884, 48, 1208, 132.6068403, 50, 315);
INSERT INTO public.ecdc_data VALUES (55885, 193, 31923, 309.39388943, 199, 315);
INSERT INTO public.ecdc_data VALUES (55886, 0, 1, 78.54636854, 100, 315);
INSERT INTO public.ecdc_data VALUES (55887, 1, 374, 10.1740276, 51, 315);
INSERT INTO public.ecdc_data VALUES (55888, 169, 13141, 427.58677657, 200, 315);
INSERT INTO public.ecdc_data VALUES (55889, 4, 1285, 177.40088916, 143, 315);
INSERT INTO public.ecdc_data VALUES (55890, 648, 16170, 343.47324757, 201, 315);
INSERT INTO public.ecdc_data VALUES (55891, 0, 0, 0, 52, 315);
INSERT INTO public.ecdc_data VALUES (55892, 3190, 203311, 727.86519506, 101, 315);
INSERT INTO public.ecdc_data VALUES (55893, 0, 26, 120.48307978, 102, 315);
INSERT INTO public.ecdc_data VALUES (55894, 2, 201, 55.7235672, 103, 315);
INSERT INTO public.ecdc_data VALUES (55895, 1, 337, 7.80129232, 144, 315);
INSERT INTO public.ecdc_data VALUES (55896, 0, 0, 0, 212, 315);
INSERT INTO public.ecdc_data VALUES (55897, 4, 446, 16.54168988, 104, 315);
INSERT INTO public.ecdc_data VALUES (55898, 0, 7, 0.06012724, 145, 315);
INSERT INTO public.ecdc_data VALUES (55899, 0, 0, 0, 213, 315);
INSERT INTO public.ecdc_data VALUES (55900, 0, 0, 0, 53, 315);
INSERT INTO public.ecdc_data VALUES (55901, 0, 0, 0.03086216, 146, 315);
INSERT INTO public.ecdc_data VALUES (55902, 0, 35, 2.3514876, 54, 315);
INSERT INTO public.ecdc_data VALUES (55903, 0, 114, 8.61699721, 55, 315);
INSERT INTO public.ecdc_data VALUES (55904, 3, 95, 3.78794281, 105, 316);
INSERT INTO public.ecdc_data VALUES (55905, 9, 321, 145.78537723, 147, 316);
INSERT INTO public.ecdc_data VALUES (55906, 7, 302, 9.19330833, 1, 316);
INSERT INTO public.ecdc_data VALUES (55907, 0, 63, 1660.60621973, 148, 316);
INSERT INTO public.ecdc_data VALUES (55908, 2, 230, 10.72417262, 2, 316);
INSERT INTO public.ecdc_data VALUES (55909, 0, 0, 0, 56, 316);
INSERT INTO public.ecdc_data VALUES (55910, 0, 0, 9.26736344, 57, 316);
INSERT INTO public.ecdc_data VALUES (55911, 483, 9598, 403.00643079, 58, 316);
INSERT INTO public.ecdc_data VALUES (55912, 22, 1328, 991.16619243, 149, 316);
INSERT INTO public.ecdc_data VALUES (55913, 0, 5, 178.72260371, 59, 316);
INSERT INTO public.ecdc_data VALUES (55914, 0, 7, 0.80545328, 202, 316);
INSERT INTO public.ecdc_data VALUES (55915, 21, 3160, 537.98634687, 150, 316);
INSERT INTO public.ecdc_data VALUES (55916, 13, 596, 116.8922021, 151, 316);
INSERT INTO public.ecdc_data VALUES (55917, 2, 21, 246.99218971, 60, 316);
INSERT INTO public.ecdc_data VALUES (55918, 2, 210, 238.18460556, 106, 316);
INSERT INTO public.ecdc_data VALUES (55919, 25, 1736, 12.74608267, 107, 316);
INSERT INTO public.ecdc_data VALUES (55920, 0, 1, 5.574505, 61, 316);
INSERT INTO public.ecdc_data VALUES (55921, 4, 941, 128.11548887, 152, 316);
INSERT INTO public.ecdc_data VALUES (55922, 208, 13858, 1788.36070195, 153, 316);
INSERT INTO public.ecdc_data VALUES (55923, 1, 162, 202.6381385, 62, 316);
INSERT INTO public.ecdc_data VALUES (55924, 0, 40, 1.5845912, 3, 316);
INSERT INTO public.ecdc_data VALUES (55925, 0, 7, 33.59569975, 63, 316);
INSERT INTO public.ecdc_data VALUES (55926, 0, 2, 3.40718182, 108, 316);
INSERT INTO public.ecdc_data VALUES (55927, 10, 34, 17.17174051, 64, 316);
INSERT INTO public.ecdc_data VALUES (55928, 0, 0, 11.54601085, 65, 316);
INSERT INTO public.ecdc_data VALUES (55929, 32, 764, 533.29326464, 154, 316);
INSERT INTO public.ecdc_data VALUES (55930, 0, 0, 44.84084971, 4, 316);
INSERT INTO public.ecdc_data VALUES (55931, 179, 8501, 143.79516307, 66, 316);
INSERT INTO public.ecdc_data VALUES (55932, 0, 0, 0, 67, 316);
INSERT INTO public.ecdc_data VALUES (55933, 0, 0, 0.23078911, 109, 316);
INSERT INTO public.ecdc_data VALUES (55934, 51, 2427, 370.98364738, 155, 316);
INSERT INTO public.ecdc_data VALUES (55935, 0, 17, 0.63972024, 5, 316);
INSERT INTO public.ecdc_data VALUES (55936, 0, 0, 0.34690372, 6, 316);
INSERT INTO public.ecdc_data VALUES (55937, 0, 1, 0.04245887, 110, 316);
INSERT INTO public.ecdc_data VALUES (55938, 0, 0, 1.10911929, 7, 316);
INSERT INTO public.ecdc_data VALUES (55939, 29, 3422, 103.7822046, 68, 316);
INSERT INTO public.ecdc_data VALUES (55940, 0, 34, 196.75016729, 8, 316);
INSERT INTO public.ecdc_data VALUES (55941, 0, 0, 7.69846647, 69, 316);
INSERT INTO public.ecdc_data VALUES (55942, 0, 0, 0.21074021, 9, 316);
INSERT INTO public.ecdc_data VALUES (55943, 0, 1, 0.6835192, 10, 316);
INSERT INTO public.ecdc_data VALUES (55944, 55, 1324, 104.91221655, 70, 316);
INSERT INTO public.ecdc_data VALUES (55945, 0, 49, 0.02720076, 111, 316);
INSERT INTO public.ecdc_data VALUES (55946, 155, 9935, 253.02822679, 71, 316);
INSERT INTO public.ecdc_data VALUES (55947, 0, 0, 5.05352624, 11, 316);
INSERT INTO public.ecdc_data VALUES (55948, 0, 0, 2.49047301, 12, 316);
INSERT INTO public.ecdc_data VALUES (55949, 19, 1286, 280.96738207, 72, 316);
INSERT INTO public.ecdc_data VALUES (55950, 0, 37, 1.66818618, 13, 316);
INSERT INTO public.ecdc_data VALUES (55951, 32, 1165, 654.69552132, 156, 316);
INSERT INTO public.ecdc_data VALUES (55952, 1, 35, 6.28226942, 73, 316);
INSERT INTO public.ecdc_data VALUES (55953, 0, 8, 149.30578927, 74, 316);
INSERT INTO public.ecdc_data VALUES (55954, 0, 197, 236.67112304, 157, 316);
INSERT INTO public.ecdc_data VALUES (55955, 225, 9252, 1586.26453079, 158, 316);
INSERT INTO public.ecdc_data VALUES (55956, 0, 1, 0.36985586, 14, 316);
INSERT INTO public.ecdc_data VALUES (55957, 1, 942, 213.51751724, 159, 316);
INSERT INTO public.ecdc_data VALUES (55958, 0, 10, 10.68247673, 15, 316);
INSERT INTO public.ecdc_data VALUES (55959, 0, 0, 12.53342246, 75, 316);
INSERT INTO public.ecdc_data VALUES (55960, 1, 259, 55.16364392, 76, 316);
INSERT INTO public.ecdc_data VALUES (55961, 8, 368, 92.89351114, 77, 316);
INSERT INTO public.ecdc_data VALUES (55962, 13, 189, 2.36880723, 16, 316);
INSERT INTO public.ecdc_data VALUES (55963, 4, 0, 36.39857133, 78, 316);
INSERT INTO public.ecdc_data VALUES (55964, 0, 0, 1.40119854, 17, 316);
INSERT INTO public.ecdc_data VALUES (55965, 0, 0, 0.31454481, 18, 316);
INSERT INTO public.ecdc_data VALUES (55966, 0, 61, 72.53815613, 160, 316);
INSERT INTO public.ecdc_data VALUES (55967, 0, 4, 12.28080719, 19, 316);
INSERT INTO public.ecdc_data VALUES (55968, 11, 359, 6.3187727, 20, 316);
INSERT INTO public.ecdc_data VALUES (55969, 0, 0, 0, 79, 316);
INSERT INTO public.ecdc_data VALUES (55970, 0, 0, 20.54358321, 161, 316);
INSERT INTO public.ecdc_data VALUES (55971, 0, 0, 0.22473046, 203, 316);
INSERT INTO public.ecdc_data VALUES (55972, 1, 109, 51.55929255, 162, 316);
INSERT INTO public.ecdc_data VALUES (55973, 416, 52518, 829.92400133, 163, 316);
INSERT INTO public.ecdc_data VALUES (55974, 0, 0, 1240.6681347, 204, 316);
INSERT INTO public.ecdc_data VALUES (55975, 0, 16, 4.60282669, 21, 316);
INSERT INTO public.ecdc_data VALUES (55976, 0, 0, 0.7241142, 22, 316);
INSERT INTO public.ecdc_data VALUES (55977, 20, 1943, 646.99874548, 164, 316);
INSERT INTO public.ecdc_data VALUES (55978, 131, 15352, 225.50442631, 165, 316);
INSERT INTO public.ecdc_data VALUES (55979, 0, 76, 2.72208516, 23, 316);
INSERT INTO public.ecdc_data VALUES (55980, 0, 4, 385.68800807, 166, 316);
INSERT INTO public.ecdc_data VALUES (55981, 7, 1151, 151.78189879, 167, 316);
INSERT INTO public.ecdc_data VALUES (55982, 0, 0, 1.76491352, 80, 316);
INSERT INTO public.ecdc_data VALUES (55983, 0, 1, 1.7856824, 81, 316);
INSERT INTO public.ecdc_data VALUES (55984, 0, 0, 560.08846648, 205, 316);
INSERT INTO public.ecdc_data VALUES (55985, 0, 0, 36.9991689, 82, 316);
INSERT INTO public.ecdc_data VALUES (55986, 0, 1, 20.16504312, 168, 316);
INSERT INTO public.ecdc_data VALUES (55987, 0, 18, 5.44191225, 24, 316);
INSERT INTO public.ecdc_data VALUES (55988, 0, 0, 1.24940328, 25, 316);
INSERT INTO public.ecdc_data VALUES (55989, 2, 30, 60.42604835, 83, 316);
INSERT INTO public.ecdc_data VALUES (55990, 0, 0, 0.69252822, 84, 316);
INSERT INTO public.ecdc_data VALUES (55991, 0, 0, 0, 169, 316);
INSERT INTO public.ecdc_data VALUES (55992, 13, 193, 92.59074, 85, 316);
INSERT INTO public.ecdc_data VALUES (55993, 84, 3989, 388.95885664, 170, 316);
INSERT INTO public.ecdc_data VALUES (55994, 0, 41, 232.49885851, 171, 316);
INSERT INTO public.ecdc_data VALUES (55995, 490, 38310, 49.07430374, 112, 316);
INSERT INTO public.ecdc_data VALUES (55996, 101, 2618, 18.53557317, 113, 316);
INSERT INTO public.ecdc_data VALUES (55997, 440, 8289, 113.55033106, 114, 316);
INSERT INTO public.ecdc_data VALUES (55998, 51, 3413, 122.16549929, 115, 316);
INSERT INTO public.ecdc_data VALUES (55999, 2, 748, 239.73133452, 172, 316);
INSERT INTO public.ecdc_data VALUES (56000, 0, 2, 8.27530766, 173, 316);
INSERT INTO public.ecdc_data VALUES (56001, 26, 852, 130.37344415, 116, 316);
INSERT INTO public.ecdc_data VALUES (56002, 233, 22253, 510.29210856, 174, 316);
INSERT INTO public.ecdc_data VALUES (56003, 1, 126, 31.74735617, 86, 316);
INSERT INTO public.ecdc_data VALUES (56004, 6, 468, 6.93755262, 117, 316);
INSERT INTO public.ecdc_data VALUES (56005, 0, 17, 76.06961297, 175, 316);
INSERT INTO public.ecdc_data VALUES (56006, 47, 5877, 423.75058369, 118, 316);
INSERT INTO public.ecdc_data VALUES (56007, 34, 458, 30.8224251, 119, 316);
INSERT INTO public.ecdc_data VALUES (56008, 14, 724, 21.92149586, 26, 316);
INSERT INTO public.ecdc_data VALUES (56009, 9, 476, 202.72381632, 176, 316);
INSERT INTO public.ecdc_data VALUES (56010, 4, 759, 248.65244919, 120, 316);
INSERT INTO public.ecdc_data VALUES (56011, 4, 400, 114.8561586, 121, 316);
INSERT INTO public.ecdc_data VALUES (56012, 0, 0, 0.01394806, 122, 316);
INSERT INTO public.ecdc_data VALUES (56013, 3, 132, 144.48157469, 177, 316);
INSERT INTO public.ecdc_data VALUES (56014, 9, 1080, 302.71121484, 123, 316);
INSERT INTO public.ecdc_data VALUES (56015, 1, 6, 5.64634938, 27, 316);
INSERT INTO public.ecdc_data VALUES (56016, 0, 10, 1.11395248, 28, 316);
INSERT INTO public.ecdc_data VALUES (56017, 9, 862, 191.19276814, 29, 316);
INSERT INTO public.ecdc_data VALUES (56018, 0, 56, 990.15060712, 178, 316);
INSERT INTO public.ecdc_data VALUES (56019, 4, 837, 316.01354814, 179, 316);
INSERT INTO public.ecdc_data VALUES (56020, 0, 319, 1337.85311471, 180, 316);
INSERT INTO public.ecdc_data VALUES (56021, 0, 0, 1.1160836, 30, 316);
INSERT INTO public.ecdc_data VALUES (56022, 0, 1, 0.39186743, 31, 316);
INSERT INTO public.ecdc_data VALUES (56023, 2, 834, 37.48381562, 124, 316);
INSERT INTO public.ecdc_data VALUES (56024, 0, 36, 95.1112802, 125, 316);
INSERT INTO public.ecdc_data VALUES (56025, 0, 28, 0.84443893, 32, 316);
INSERT INTO public.ecdc_data VALUES (56026, 1, 106, 330.86216643, 181, 316);
INSERT INTO public.ecdc_data VALUES (56027, 0, 0, 0, 206, 316);
INSERT INTO public.ecdc_data VALUES (56028, 0, 8, 2.58523658, 33, 316);
INSERT INTO public.ecdc_data VALUES (56029, 0, 5, 2.52033993, 34, 316);
INSERT INTO public.ecdc_data VALUES (56030, 205, 3763, 61.31975357, 87, 316);
INSERT INTO public.ecdc_data VALUES (56031, 18, 195, 234.34072226, 182, 316);
INSERT INTO public.ecdc_data VALUES (56032, 0, 9, 323.40940003, 183, 316);
INSERT INTO public.ecdc_data VALUES (56033, 0, 1, 0.74414774, 126, 316);
INSERT INTO public.ecdc_data VALUES (56034, 7, 496, 554.50013019, 184, 316);
INSERT INTO public.ecdc_data VALUES (56035, 0, 0, 0, 88, 316);
INSERT INTO public.ecdc_data VALUES (56036, 64, 2526, 135.23063292, 35, 316);
INSERT INTO public.ecdc_data VALUES (56037, 1, 142, 6.75096192, 36, 316);
INSERT INTO public.ecdc_data VALUES (56038, 24, 1202, 32.19884193, 127, 316);
INSERT INTO public.ecdc_data VALUES (56039, 0, 24, 27.50023652, 37, 316);
INSERT INTO public.ecdc_data VALUES (56040, 24, 2933, 141.43941802, 128, 316);
INSERT INTO public.ecdc_data VALUES (56041, 29, 8278, 762.41035338, 185, 316);
INSERT INTO public.ecdc_data VALUES (56042, 0, 0, 0.35366056, 207, 316);
INSERT INTO public.ecdc_data VALUES (56043, 0, 5, 1.69347585, 208, 316);
INSERT INTO public.ecdc_data VALUES (56044, 0, 0, 2.45970401, 89, 316);
INSERT INTO public.ecdc_data VALUES (56045, 0, 1, 0.04718859, 38, 316);
INSERT INTO public.ecdc_data VALUES (56046, 1, 72, 0.73545656, 39, 316);
INSERT INTO public.ecdc_data VALUES (56047, 21, 561, 443.3516984, 186, 316);
INSERT INTO public.ecdc_data VALUES (56048, 0, 0, 13.98283607, 209, 316);
INSERT INTO public.ecdc_data VALUES (56049, 0, 1071, 78.41279589, 187, 316);
INSERT INTO public.ecdc_data VALUES (56050, 10, 418, 111.71877261, 129, 316);
INSERT INTO public.ecdc_data VALUES (56051, 14, 1167, 5.91415106, 130, 316);
INSERT INTO public.ecdc_data VALUES (56052, 4, 749, 149.93710631, 131, 316);
INSERT INTO public.ecdc_data VALUES (56053, 14, 579, 229.2273057, 90, 316);
INSERT INTO public.ecdc_data VALUES (56054, 0, 0, 0.10255103, 210, 316);
INSERT INTO public.ecdc_data VALUES (56055, 11, 425, 123.55494724, 91, 316);
INSERT INTO public.ecdc_data VALUES (56056, 56, 1634, 109.71545098, 92, 316);
INSERT INTO public.ecdc_data VALUES (56057, 31, 2287, 24.2617643, 132, 316);
INSERT INTO public.ecdc_data VALUES (56058, 92, 15578, 558.90514508, 188, 316);
INSERT INTO public.ecdc_data VALUES (56059, 46, 2506, 437.76079229, 189, 316);
INSERT INTO public.ecdc_data VALUES (56060, 7, 1511, 348.4688778, 93, 316);
INSERT INTO public.ecdc_data VALUES (56061, 0, 197, 114.61577058, 133, 316);
INSERT INTO public.ecdc_data VALUES (56062, 86, 4041, 349.48181402, 190, 316);
INSERT INTO public.ecdc_data VALUES (56063, 238, 18257, 164.33693425, 191, 316);
INSERT INTO public.ecdc_data VALUES (56064, 0, 9, 1.29089095, 40, 316);
INSERT INTO public.ecdc_data VALUES (56065, 0, 0, 0, 94, 316);
INSERT INTO public.ecdc_data VALUES (56066, 0, 0, 26.25892393, 95, 316);
INSERT INTO public.ecdc_data VALUES (56067, 0, 0, 7.23373089, 96, 316);
INSERT INTO public.ecdc_data VALUES (56068, 0, 0, 470.20578759, 192, 316);
INSERT INTO public.ecdc_data VALUES (56069, 0, 0, 7.4401994, 41, 316);
INSERT INTO public.ecdc_data VALUES (56070, 35, 381, 15.91547743, 134, 316);
INSERT INTO public.ecdc_data VALUES (56071, 0, 7, 1.25794947, 42, 316);
INSERT INTO public.ecdc_data VALUES (56072, 7, 802, 185.57492758, 193, 316);
INSERT INTO public.ecdc_data VALUES (56073, 0, 2, 6.13867261, 43, 316);
INSERT INTO public.ecdc_data VALUES (56074, 0, 0, 0.44795946, 44, 316);
INSERT INTO public.ecdc_data VALUES (56075, 0, 1, 1.80899027, 135, 316);
INSERT INTO public.ecdc_data VALUES (56076, 0, 13, 207.60102857, 97, 316);
INSERT INTO public.ecdc_data VALUES (56077, 0, 1883, 571.22192946, 194, 316);
INSERT INTO public.ecdc_data VALUES (56078, 15, 557, 1082.46015682, 195, 316);
INSERT INTO public.ecdc_data VALUES (56079, 0, 0, 0.74646809, 211, 316);
INSERT INTO public.ecdc_data VALUES (56080, 0, 0, 0.33024872, 45, 316);
INSERT INTO public.ecdc_data VALUES (56081, 54, 772, 38.1517438, 46, 316);
INSERT INTO public.ecdc_data VALUES (56082, 4, 75, 2.87748319, 136, 316);
INSERT INTO public.ecdc_data VALUES (56083, 0, 0, 0.71414921, 47, 316);
INSERT INTO public.ecdc_data VALUES (56084, 238, 18669, 577.46267022, 196, 316);
INSERT INTO public.ecdc_data VALUES (56085, 0, 275, 26.77767412, 137, 316);
INSERT INTO public.ecdc_data VALUES (56086, 0, 0, 0.2849586, 48, 316);
INSERT INTO public.ecdc_data VALUES (56087, 0, 2, 13.58875608, 98, 316);
INSERT INTO public.ecdc_data VALUES (56088, 20, 1570, 270.08309234, 197, 316);
INSERT INTO public.ecdc_data VALUES (56089, 93, 21842, 1081.52271039, 198, 316);
INSERT INTO public.ecdc_data VALUES (56090, 3, 54, 4.15345353, 138, 316);
INSERT INTO public.ecdc_data VALUES (56091, 0, 4, 0.11357001, 139, 316);
INSERT INTO public.ecdc_data VALUES (56092, 0, 42, 6.04010955, 140, 316);
INSERT INTO public.ecdc_data VALUES (56093, 0, 10, 0.13931661, 141, 316);
INSERT INTO public.ecdc_data VALUES (56094, 0, 0, 0.07733234, 142, 316);
INSERT INTO public.ecdc_data VALUES (56095, 0, 7, 3.62517923, 49, 316);
INSERT INTO public.ecdc_data VALUES (56096, 2, 36, 29.10458942, 99, 316);
INSERT INTO public.ecdc_data VALUES (56097, 0, 0, 163.99707184, 50, 316);
INSERT INTO public.ecdc_data VALUES (56098, 76, 2302, 36.89581427, 199, 316);
INSERT INTO public.ecdc_data VALUES (56099, 0, 0, 15.70927371, 100, 316);
INSERT INTO public.ecdc_data VALUES (56100, 2, 228, 5.15026264, 51, 316);
INSERT INTO public.ecdc_data VALUES (56101, 69, 6754, 211.59193386, 200, 316);
INSERT INTO public.ecdc_data VALUES (56102, 1, 1234, 190.61409795, 143, 316);
INSERT INTO public.ecdc_data VALUES (56103, 136, 18950, 469.11560099, 201, 316);
INSERT INTO public.ecdc_data VALUES (56104, 0, 0, 0, 52, 316);
INSERT INTO public.ecdc_data VALUES (56105, 555, 83883, 327.13605869, 101, 316);
INSERT INTO public.ecdc_data VALUES (56106, 0, 2, 40.16102659, 102, 316);
INSERT INTO public.ecdc_data VALUES (56107, 1, 16, 17.47680568, 103, 316);
INSERT INTO public.ecdc_data VALUES (56108, 1, 98, 10.6634843, 144, 316);
INSERT INTO public.ecdc_data VALUES (56109, 4, 380, 21.28291624, 104, 316);
INSERT INTO public.ecdc_data VALUES (56110, 0, 12, 0.05390718, 145, 316);
INSERT INTO public.ecdc_data VALUES (56111, 0, 0, 0, 213, 316);
INSERT INTO public.ecdc_data VALUES (56112, 0, 0, 0, 53, 316);
INSERT INTO public.ecdc_data VALUES (56113, 0, 0, 0.01028739, 146, 316);
INSERT INTO public.ecdc_data VALUES (56114, 0, 63, 3.61681188, 54, 316);
INSERT INTO public.ecdc_data VALUES (56115, 2, 15, 1.57045116, 55, 316);
INSERT INTO public.ecdc_data VALUES (56116, 0, 5, 0.97524412, 105, 317);
INSERT INTO public.ecdc_data VALUES (56117, 1, 159, 66.09775551, 147, 317);
INSERT INTO public.ecdc_data VALUES (56118, 8, 157, 5.65348976, 1, 317);
INSERT INTO public.ecdc_data VALUES (56119, 0, 60, 716.75177547, 148, 317);
INSERT INTO public.ecdc_data VALUES (56120, 2, 142, 4.16335444, 2, 317);
INSERT INTO public.ecdc_data VALUES (56121, 0, 0, 0, 56, 317);
INSERT INTO public.ecdc_data VALUES (56122, 0, 0, 11.32677753, 57, 317);
INSERT INTO public.ecdc_data VALUES (56123, 311, 14687, 397.4392972, 58, 317);
INSERT INTO public.ecdc_data VALUES (56124, 3, 532, 151.1971351, 149, 317);
INSERT INTO public.ecdc_data VALUES (56125, 3, 40, 543.69297338, 59, 317);
INSERT INTO public.ecdc_data VALUES (56126, 2, 17, 0.99987303, 202, 317);
INSERT INTO public.ecdc_data VALUES (56127, 1, 872, 112.859848, 150, 317);
INSERT INTO public.ecdc_data VALUES (56128, 1, 144, 15.51595939, 151, 317);
INSERT INTO public.ecdc_data VALUES (56129, 0, 0, 258.28912978, 60, 317);
INSERT INTO public.ecdc_data VALUES (56130, 1, 429, 524.87137178, 106, 317);
INSERT INTO public.ecdc_data VALUES (56131, 33, 1396, 12.62096474, 107, 317);
INSERT INTO public.ecdc_data VALUES (56132, 0, 0, 2.7872525, 61, 317);
INSERT INTO public.ecdc_data VALUES (56133, 5, 402, 44.3379037, 152, 317);
INSERT INTO public.ecdc_data VALUES (56134, 11, 3721, 233.60792296, 153, 317);
INSERT INTO public.ecdc_data VALUES (56135, 1, 54, 125.5280504, 62, 317);
INSERT INTO public.ecdc_data VALUES (56136, 0, 0, 0.65247873, 3, 317);
INSERT INTO public.ecdc_data VALUES (56137, 0, 0, 4.79938568, 63, 317);
INSERT INTO public.ecdc_data VALUES (56138, 0, 1, 3.27613636, 108, 317);
INSERT INTO public.ecdc_data VALUES (56139, 44, 503, 53.57374581, 64, 317);
INSERT INTO public.ecdc_data VALUES (56140, 0, 18, 338.68298503, 65, 317);
INSERT INTO public.ecdc_data VALUES (56141, 0, 0, 86.42840741, 154, 317);
INSERT INTO public.ecdc_data VALUES (56142, 0, 0, 26.2620659, 4, 317);
INSERT INTO public.ecdc_data VALUES (56143, 708, 33431, 182.58274258, 66, 317);
INSERT INTO public.ecdc_data VALUES (56144, 0, 0, 6.65934139, 67, 317);
INSERT INTO public.ecdc_data VALUES (56145, 0, 0, 0.23078911, 109, 317);
INSERT INTO public.ecdc_data VALUES (56146, 6, 240, 37.18550711, 155, 317);
INSERT INTO public.ecdc_data VALUES (56147, 0, 35, 1.60422152, 5, 317);
INSERT INTO public.ecdc_data VALUES (56148, 0, 3, 0.34690372, 6, 317);
INSERT INTO public.ecdc_data VALUES (56149, 0, 1, 0.01819666, 110, 317);
INSERT INTO public.ecdc_data VALUES (56150, 2, 86, 2.13708351, 7, 317);
INSERT INTO public.ecdc_data VALUES (56151, 90, 2124, 55.45956784, 68, 317);
INSERT INTO public.ecdc_data VALUES (56152, 1, 79, 193.47705915, 8, 317);
INSERT INTO public.ecdc_data VALUES (56153, 0, 2, 6.15877317, 69, 317);
INSERT INTO public.ecdc_data VALUES (56154, 0, 0, 0.90618289, 9, 317);
INSERT INTO public.ecdc_data VALUES (56155, 0, 8, 0.40133237, 10, 317);
INSERT INTO public.ecdc_data VALUES (56156, 45, 1840, 125.38495206, 70, 317);
INSERT INTO public.ecdc_data VALUES (56157, 0, 17, 0.01924977, 111, 317);
INSERT INTO public.ecdc_data VALUES (56158, 201, 6192, 180.89194988, 71, 317);
INSERT INTO public.ecdc_data VALUES (56159, 0, 0, 1.64533413, 11, 317);
INSERT INTO public.ecdc_data VALUES (56160, 0, 0, 2.02583252, 12, 317);
INSERT INTO public.ecdc_data VALUES (56161, 13, 1001, 306.18748342, 72, 317);
INSERT INTO public.ecdc_data VALUES (56162, 0, 38, 2.3059077, 13, 317);
INSERT INTO public.ecdc_data VALUES (56163, 7, 333, 64.93719957, 156, 317);
INSERT INTO public.ecdc_data VALUES (56164, 0, 48, 6.29991625, 73, 317);
INSERT INTO public.ecdc_data VALUES (56165, 0, 12, 111.97934195, 74, 317);
INSERT INTO public.ecdc_data VALUES (56166, 0, 17, 25.57372482, 157, 317);
INSERT INTO public.ecdc_data VALUES (56167, 21, 3796, 298.49386843, 158, 317);
INSERT INTO public.ecdc_data VALUES (56168, 0, 0, 0.26270136, 14, 317);
INSERT INTO public.ecdc_data VALUES (56169, 1, 536, 122.02723317, 159, 317);
INSERT INTO public.ecdc_data VALUES (56170, 0, 0, 1.43802571, 15, 317);
INSERT INTO public.ecdc_data VALUES (56171, 0, 0, 9.74821747, 75, 317);
INSERT INTO public.ecdc_data VALUES (56172, 9, 622, 61.62609646, 76, 317);
INSERT INTO public.ecdc_data VALUES (56173, 62, 950, 88.66872415, 77, 317);
INSERT INTO public.ecdc_data VALUES (56174, 10, 149, 1.68745141, 16, 317);
INSERT INTO public.ecdc_data VALUES (56175, 5, 0, 28.34099062, 78, 317);
INSERT INTO public.ecdc_data VALUES (56176, 0, 0, 3.17113354, 17, 317);
INSERT INTO public.ecdc_data VALUES (56177, 0, 6, 0.48611471, 18, 317);
INSERT INTO public.ecdc_data VALUES (56178, 1, 57, 52.30899292, 160, 317);
INSERT INTO public.ecdc_data VALUES (56179, 0, 21, 26.65196454, 19, 317);
INSERT INTO public.ecdc_data VALUES (56180, 3, 890, 8.45209457, 20, 317);
INSERT INTO public.ecdc_data VALUES (56181, 0, 0, 0, 79, 317);
INSERT INTO public.ecdc_data VALUES (56182, 0, 0, 86.28304949, 161, 317);
INSERT INTO public.ecdc_data VALUES (56183, 0, 0, 0, 203, 317);
INSERT INTO public.ecdc_data VALUES (56184, 1, 101, 24.39325405, 162, 317);
INSERT INTO public.ecdc_data VALUES (56185, 136, 12148, 240.18814412, 163, 317);
INSERT INTO public.ecdc_data VALUES (56186, 1, 174, 270.33317221, 204, 317);
INSERT INTO public.ecdc_data VALUES (56187, 0, 31, 4.64885495, 21, 317);
INSERT INTO public.ecdc_data VALUES (56188, 2, 1, 4.25949527, 22, 317);
INSERT INTO public.ecdc_data VALUES (56189, 5, 471, 106.53624109, 164, 317);
INSERT INTO public.ecdc_data VALUES (56190, 19, 2563, 32.38768356, 165, 317);
INSERT INTO public.ecdc_data VALUES (56191, 0, 38, 2.75167305, 23, 317);
INSERT INTO public.ecdc_data VALUES (56192, 0, 6, 216.57865069, 166, 317);
INSERT INTO public.ecdc_data VALUES (56193, 5, 460, 42.96664146, 167, 317);
INSERT INTO public.ecdc_data VALUES (56194, 0, 0, 0, 80, 317);
INSERT INTO public.ecdc_data VALUES (56195, 0, 0, 0, 81, 317);
INSERT INTO public.ecdc_data VALUES (56196, 0, 0, 301.86198033, 205, 317);
INSERT INTO public.ecdc_data VALUES (56197, 6, 681, 49.745539, 82, 317);
INSERT INTO public.ecdc_data VALUES (56198, 0, 0, 3.10231433, 168, 317);
INSERT INTO public.ecdc_data VALUES (56199, 0, 83, 3.94636514, 24, 317);
INSERT INTO public.ecdc_data VALUES (56200, 0, 38, 3.07144973, 25, 317);
INSERT INTO public.ecdc_data VALUES (56201, 3, 39, 110.63204625, 83, 317);
INSERT INTO public.ecdc_data VALUES (56202, 0, 26, 1.70468484, 84, 317);
INSERT INTO public.ecdc_data VALUES (56203, 0, 0, 0, 169, 317);
INSERT INTO public.ecdc_data VALUES (56204, 6, 671, 78.57489882, 85, 317);
INSERT INTO public.ecdc_data VALUES (56205, 14, 1086, 130.94566159, 170, 317);
INSERT INTO public.ecdc_data VALUES (56206, 0, 40, 162.18896275, 171, 317);
INSERT INTO public.ecdc_data VALUES (56207, 1069, 79476, 85.29821827, 112, 317);
INSERT INTO public.ecdc_data VALUES (56208, 116, 4317, 21.79394972, 113, 317);
INSERT INTO public.ecdc_data VALUES (56209, 187, 3552, 58.37139983, 114, 317);
INSERT INTO public.ecdc_data VALUES (56210, 67, 4785, 154.08121371, 115, 317);
INSERT INTO public.ecdc_data VALUES (56211, -5, 466, 97.71136812, 172, 317);
INSERT INTO public.ecdc_data VALUES (56212, 0, 1, 2.36437362, 173, 317);
INSERT INTO public.ecdc_data VALUES (56213, 11, 3131, 937.05252722, 116, 317);
INSERT INTO public.ecdc_data VALUES (56214, 23, 2499, 41.37870752, 174, 317);
INSERT INTO public.ecdc_data VALUES (56215, 5, 136, 71.906405, 86, 317);
INSERT INTO public.ecdc_data VALUES (56216, 12, 553, 5.27745879, 117, 317);
INSERT INTO public.ecdc_data VALUES (56217, 0, 2, 25.9749898, 175, 317);
INSERT INTO public.ecdc_data VALUES (56218, 10, 549, 92.12313535, 118, 317);
INSERT INTO public.ecdc_data VALUES (56219, 1, 228, 18.71014997, 119, 317);
INSERT INTO public.ecdc_data VALUES (56220, 7, 210, 4.18267847, 26, 317);
INSERT INTO public.ecdc_data VALUES (56221, 0, 40, 42.4797026, 176, 317);
INSERT INTO public.ecdc_data VALUES (56222, 3, 411, 179.67344073, 120, 317);
INSERT INTO public.ecdc_data VALUES (56223, 0, 128, 28.81924783, 121, 317);
INSERT INTO public.ecdc_data VALUES (56224, 0, 0, 0, 122, 317);
INSERT INTO public.ecdc_data VALUES (56225, 1, 77, 23.28163803, 177, 317);
INSERT INTO public.ecdc_data VALUES (56226, 12, 1291, 213.76344883, 123, 317);
INSERT INTO public.ecdc_data VALUES (56227, 1, 41, 16.60967775, 27, 317);
INSERT INTO public.ecdc_data VALUES (56228, 0, 3, 0.24304418, 28, 317);
INSERT INTO public.ecdc_data VALUES (56229, 11, 509, 136.90983914, 29, 317);
INSERT INTO public.ecdc_data VALUES (56230, 0, 1, 23.45093543, 178, 317);
INSERT INTO public.ecdc_data VALUES (56231, 1, 172, 49.7819757, 179, 317);
INSERT INTO public.ecdc_data VALUES (56232, 0, 114, 161.42852023, 180, 317);
INSERT INTO public.ecdc_data VALUES (56233, 0, 39, 1.93553368, 30, 317);
INSERT INTO public.ecdc_data VALUES (56234, 0, 4, 0.35965915, 31, 317);
INSERT INTO public.ecdc_data VALUES (56235, 0, 287, 5.08297567, 124, 317);
INSERT INTO public.ecdc_data VALUES (56236, 0, 44, 156.32151003, 125, 317);
INSERT INTO public.ecdc_data VALUES (56237, 0, 25, 0.83935195, 32, 317);
INSERT INTO public.ecdc_data VALUES (56238, 1, 65, 100.49457106, 181, 317);
INSERT INTO public.ecdc_data VALUES (56239, 0, 3, 3.18182963, 33, 317);
INSERT INTO public.ecdc_data VALUES (56240, 0, 0, 1.18140934, 34, 317);
INSERT INTO public.ecdc_data VALUES (56241, 414, 4699, 49.26806927, 87, 317);
INSERT INTO public.ecdc_data VALUES (56242, 8, 952, 231.69434154, 182, 317);
INSERT INTO public.ecdc_data VALUES (56243, 0, 2, 90.67553272, 183, 317);
INSERT INTO public.ecdc_data VALUES (56244, 0, 0, 0.06201231, 126, 317);
INSERT INTO public.ecdc_data VALUES (56245, 2, 703, 639.52348348, 184, 317);
INSERT INTO public.ecdc_data VALUES (56246, 0, 0, 0, 88, 317);
INSERT INTO public.ecdc_data VALUES (56247, 34, 2521, 85.82255107, 35, 317);
INSERT INTO public.ecdc_data VALUES (56248, 2, 91, 8.94090811, 36, 317);
INSERT INTO public.ecdc_data VALUES (56249, 32, 1142, 20.17562191, 127, 317);
INSERT INTO public.ecdc_data VALUES (56250, 0, 107, 51.03178001, 37, 317);
INSERT INTO public.ecdc_data VALUES (56251, 11, 2722, 72.90435799, 128, 317);
INSERT INTO public.ecdc_data VALUES (56252, 9, 3820, 218.87885214, 185, 317);
INSERT INTO public.ecdc_data VALUES (56253, 0, 0, 0.35366056, 207, 317);
INSERT INTO public.ecdc_data VALUES (56254, 0, 1, 0.68993461, 208, 317);
INSERT INTO public.ecdc_data VALUES (56255, 0, 0, 3.19303192, 89, 317);
INSERT INTO public.ecdc_data VALUES (56256, 0, 1, 0.06863795, 38, 317);
INSERT INTO public.ecdc_data VALUES (56257, 0, 126, 1.08029512, 39, 317);
INSERT INTO public.ecdc_data VALUES (56258, 6, 225, 93.68687209, 186, 317);
INSERT INTO public.ecdc_data VALUES (56259, 0, 0, 19.22639959, 209, 317);
INSERT INTO public.ecdc_data VALUES (56260, 1, 122, 28.22710508, 187, 317);
INSERT INTO public.ecdc_data VALUES (56261, 0, 0, 137.32685399, 129, 317);
INSERT INTO public.ecdc_data VALUES (56262, 8, 553, 4.13408764, 130, 317);
INSERT INTO public.ecdc_data VALUES (56263, 3, 545, 151.96463982, 131, 317);
INSERT INTO public.ecdc_data VALUES (56264, 19, 620, 213.8968171, 90, 317);
INSERT INTO public.ecdc_data VALUES (56265, 0, 0, 0.26207484, 210, 317);
INSERT INTO public.ecdc_data VALUES (56266, 21, 885, 149.85863718, 91, 317);
INSERT INTO public.ecdc_data VALUES (56267, 74, 3267, 200.40318098, 92, 317);
INSERT INTO public.ecdc_data VALUES (56268, 54, 2599, 34.3628938, 132, 317);
INSERT INTO public.ecdc_data VALUES (56269, 27, 2292, 48.57422727, 188, 317);
INSERT INTO public.ecdc_data VALUES (56270, 6, 888, 98.35921685, 189, 317);
INSERT INTO public.ecdc_data VALUES (56271, 0, 0, 319.86729411, 93, 317);
INSERT INTO public.ecdc_data VALUES (56272, 1, 205, 114.65108043, 133, 317);
INSERT INTO public.ecdc_data VALUES (56273, 53, 2343, 112.20503812, 190, 317);
INSERT INTO public.ecdc_data VALUES (56274, 186, 9412, 70.92301168, 191, 317);
INSERT INTO public.ecdc_data VALUES (56275, 0, 4, 1.39384544, 40, 317);
INSERT INTO public.ecdc_data VALUES (56276, 0, 0, 3.78544119, 94, 317);
INSERT INTO public.ecdc_data VALUES (56277, 0, 0, 0, 95, 317);
INSERT INTO public.ecdc_data VALUES (56278, 0, 0, 0, 96, 317);
INSERT INTO public.ecdc_data VALUES (56279, 0, 0, 26.12254376, 192, 317);
INSERT INTO public.ecdc_data VALUES (56280, 0, 0, 1.39503739, 41, 317);
INSERT INTO public.ecdc_data VALUES (56281, 29, 481, 20.01253103, 134, 317);
INSERT INTO public.ecdc_data VALUES (56282, 1, 32, 2.49135359, 42, 317);
INSERT INTO public.ecdc_data VALUES (56283, 1, 73, 14.04412901, 193, 317);
INSERT INTO public.ecdc_data VALUES (56284, 0, 0, 3.06933631, 43, 317);
INSERT INTO public.ecdc_data VALUES (56285, 0, 14, 1.26708533, 44, 317);
INSERT INTO public.ecdc_data VALUES (56286, 0, 10, 4.32434816, 135, 317);
INSERT INTO public.ecdc_data VALUES (56287, 0, 6, 235.91025974, 97, 317);
INSERT INTO public.ecdc_data VALUES (56288, 6, 679, 98.35937444, 194, 317);
INSERT INTO public.ecdc_data VALUES (56289, 2, 238, 91.6907427, 195, 317);
INSERT INTO public.ecdc_data VALUES (56290, 0, 0, 1.31451943, 45, 317);
INSERT INTO public.ecdc_data VALUES (56291, 43, 1749, 34.50580257, 46, 317);
INSERT INTO public.ecdc_data VALUES (56292, 4, 75, 2.21374894, 136, 317);
INSERT INTO public.ecdc_data VALUES (56293, 1, 11, 0.95822553, 47, 317);
INSERT INTO public.ecdc_data VALUES (56294, 0, 0, 319.34680187, 196, 317);
INSERT INTO public.ecdc_data VALUES (56295, 0, 6, 0.50178829, 137, 317);
INSERT INTO public.ecdc_data VALUES (56296, 0, 0, 0.27561569, 48, 317);
INSERT INTO public.ecdc_data VALUES (56297, 0, 8, 35.77799069, 98, 317);
INSERT INTO public.ecdc_data VALUES (56298, 3, 712, 59.43196531, 197, 317);
INSERT INTO public.ecdc_data VALUES (56299, 0, 551, 59.5937025, 198, 317);
INSERT INTO public.ecdc_data VALUES (56300, 1, 42, 3.26886752, 138, 317);
INSERT INTO public.ecdc_data VALUES (56301, 0, 0, 0.04626926, 139, 317);
INSERT INTO public.ecdc_data VALUES (56302, 0, 41, 6.36196263, 140, 317);
INSERT INTO public.ecdc_data VALUES (56303, 0, 8, 0.11920906, 141, 317);
INSERT INTO public.ecdc_data VALUES (56304, 0, 0, 0.07733234, 142, 317);
INSERT INTO public.ecdc_data VALUES (56305, 0, 9, 2.20232732, 49, 317);
INSERT INTO public.ecdc_data VALUES (56306, 0, 59, 70.10908486, 99, 317);
INSERT INTO public.ecdc_data VALUES (56307, 6, 1308, 95.35071422, 50, 317);
INSERT INTO public.ecdc_data VALUES (56308, 63, 1442, 26.46460079, 199, 317);
INSERT INTO public.ecdc_data VALUES (56309, 0, 5, 73.30994397, 100, 317);
INSERT INTO public.ecdc_data VALUES (56310, 4, 204, 6.54399599, 51, 317);
INSERT INTO public.ecdc_data VALUES (56311, 68, 8702, 109.53628005, 200, 317);
INSERT INTO public.ecdc_data VALUES (56312, 3, 1181, 134.03577249, 143, 317);
INSERT INTO public.ecdc_data VALUES (56313, 66, 6968, 121.85074126, 201, 317);
INSERT INTO public.ecdc_data VALUES (56314, 0, 0, 0, 52, 317);
INSERT INTO public.ecdc_data VALUES (56315, 908, 54471, 184.64988779, 101, 317);
INSERT INTO public.ecdc_data VALUES (56316, 0, 0, 75.54097859, 102, 317);
INSERT INTO public.ecdc_data VALUES (56317, 0, 36, 5.9796674, 103, 317);
INSERT INTO public.ecdc_data VALUES (56318, 3, 322, 22.80960829, 144, 317);
INSERT INTO public.ecdc_data VALUES (56319, 8, 791, 40.84047495, 104, 317);
INSERT INTO public.ecdc_data VALUES (56320, 0, 1, 0.02902694, 145, 317);
INSERT INTO public.ecdc_data VALUES (56321, 0, 0, 0, 53, 317);
INSERT INTO public.ecdc_data VALUES (56322, 0, 5, 0.06515346, 146, 317);
INSERT INTO public.ecdc_data VALUES (56323, 0, 28, 4.52381424, 54, 317);
INSERT INTO public.ecdc_data VALUES (56324, 0, 8, 1.44071823, 55, 317);
INSERT INTO public.ecdc_data VALUES (56325, 3, 38, 1.27228614, 105, 318);
INSERT INTO public.ecdc_data VALUES (56326, 6, 122, 66.93620484, 147, 318);
INSERT INTO public.ecdc_data VALUES (56327, 7, 325, 12.33594253, 1, 318);
INSERT INTO public.ecdc_data VALUES (56328, 0, 15, 229.72813316, 148, 318);
INSERT INTO public.ecdc_data VALUES (56329, 1, 75, 2.39746373, 2, 318);
INSERT INTO public.ecdc_data VALUES (56330, 0, 0, 0, 56, 318);
INSERT INTO public.ecdc_data VALUES (56331, 0, 0, 0, 57, 318);
INSERT INTO public.ecdc_data VALUES (56332, 241, 10504, 273.04858625, 58, 318);
INSERT INTO public.ecdc_data VALUES (56333, 3, 197, 68.26185505, 149, 318);
INSERT INTO public.ecdc_data VALUES (56334, 2, 107, 860.69043364, 59, 318);
INSERT INTO public.ecdc_data VALUES (56335, 6, 104, 7.65775775, 202, 318);
INSERT INTO public.ecdc_data VALUES (56336, 0, 442, 43.83224543, 150, 318);
INSERT INTO public.ecdc_data VALUES (56337, 2, 154, 21.01969611, 151, 318);
INSERT INTO public.ecdc_data VALUES (56338, 1, 61, 206.93940219, 60, 318);
INSERT INTO public.ecdc_data VALUES (56339, 0, 468, 320.19956567, 106, 318);
INSERT INTO public.ecdc_data VALUES (56340, 35, 2582, 19.89436452, 107, 318);
INSERT INTO public.ecdc_data VALUES (56341, 0, 0, 7.31653781, 61, 318);
INSERT INTO public.ecdc_data VALUES (56342, 5, 179, 24.75559405, 152, 318);
INSERT INTO public.ecdc_data VALUES (56343, 2, 574, 55.35323192, 153, 318);
INSERT INTO public.ecdc_data VALUES (56344, 0, 51, 140.38647269, 62, 318);
INSERT INTO public.ecdc_data VALUES (56345, 0, 49, 1.11006121, 3, 318);
INSERT INTO public.ecdc_data VALUES (56346, 0, 0, 9.59877136, 63, 318);
INSERT INTO public.ecdc_data VALUES (56347, 0, 0, 10.09049999, 108, 318);
INSERT INTO public.ecdc_data VALUES (56348, 102, 661, 111.85517161, 64, 318);
INSERT INTO public.ecdc_data VALUES (56349, 0, 3, 19.24335142, 65, 318);
INSERT INTO public.ecdc_data VALUES (56350, 7, 283, 115.90434166, 154, 318);
INSERT INTO public.ecdc_data VALUES (56351, 0, 0, 18.05788333, 4, 318);
INSERT INTO public.ecdc_data VALUES (56352, 1184, 46934, 256.43886921, 66, 318);
INSERT INTO public.ecdc_data VALUES (56353, 0, 0, 119.86814504, 67, 318);
INSERT INTO public.ecdc_data VALUES (56354, 0, 0, 0.46157823, 109, 318);
INSERT INTO public.ecdc_data VALUES (56355, 13, 188, 23.34272709, 155, 318);
INSERT INTO public.ecdc_data VALUES (56356, 0, 3, 0.42319954, 5, 318);
INSERT INTO public.ecdc_data VALUES (56357, 0, 3, 0.22548741, 6, 318);
INSERT INTO public.ecdc_data VALUES (56358, 0, 0, 0.00606555, 110, 318);
INSERT INTO public.ecdc_data VALUES (56359, 0, 51, 3.23074469, 7, 318);
INSERT INTO public.ecdc_data VALUES (56360, 3, 498, 17.1954598, 68, 318);
INSERT INTO public.ecdc_data VALUES (56361, 1, 78, 132.19720113, 8, 318);
INSERT INTO public.ecdc_data VALUES (56362, 0, 0, 0, 69, 318);
INSERT INTO public.ecdc_data VALUES (56363, 0, 1, 0.69544268, 9, 318);
INSERT INTO public.ecdc_data VALUES (56364, 0, 0, 0.28845764, 10, 318);
INSERT INTO public.ecdc_data VALUES (56365, 23, 1594, 130.33956512, 70, 318);
INSERT INTO public.ecdc_data VALUES (56366, 3, 19, 0.02971159, 111, 318);
INSERT INTO public.ecdc_data VALUES (56367, 296, 9270, 260.5531412, 71, 318);
INSERT INTO public.ecdc_data VALUES (56368, 0, 4, 2.58552506, 11, 318);
INSERT INTO public.ecdc_data VALUES (56369, 0, 0, 14.45961196, 12, 318);
INSERT INTO public.ecdc_data VALUES (56370, 10, 1121, 255.48973058, 72, 318);
INSERT INTO public.ecdc_data VALUES (56371, 0, 58, 3.61245912, 13, 318);
INSERT INTO public.ecdc_data VALUES (56372, 4, 311, 89.56770519, 156, 318);
INSERT INTO public.ecdc_data VALUES (56373, 3, 61, 5.6822774, 73, 318);
INSERT INTO public.ecdc_data VALUES (56374, 0, 0, 20.19299609, 74, 318);
INSERT INTO public.ecdc_data VALUES (56375, 0, 5, 12.55852558, 157, 318);
INSERT INTO public.ecdc_data VALUES (56376, 0, 656, 46.71449229, 158, 318);
INSERT INTO public.ecdc_data VALUES (56377, 0, 10, 0.4297702, 14, 318);
INSERT INTO public.ecdc_data VALUES (56378, 1, 111, 21.61526854, 159, 318);
INSERT INTO public.ecdc_data VALUES (56379, 0, 0, 1.33530959, 15, 318);
INSERT INTO public.ecdc_data VALUES (56380, 0, 0, 2.78520499, 75, 318);
INSERT INTO public.ecdc_data VALUES (56381, 27, 648, 69.83918457, 76, 318);
INSERT INTO public.ecdc_data VALUES (56382, 48, 1148, 63.21064126, 77, 318);
INSERT INTO public.ecdc_data VALUES (56383, 21, 165, 2.35685362, 16, 318);
INSERT INTO public.ecdc_data VALUES (56384, 8, 0, 33.88832503, 78, 318);
INSERT INTO public.ecdc_data VALUES (56385, 0, 0, 5.38355229, 17, 318);
INSERT INTO public.ecdc_data VALUES (56386, 0, 0, 0.42892474, 18, 318);
INSERT INTO public.ecdc_data VALUES (56387, 0, 20, 15.70024607, 160, 318);
INSERT INTO public.ecdc_data VALUES (56388, 0, 50, 53.12973323, 19, 318);
INSERT INTO public.ecdc_data VALUES (56389, 18, 1105, 18.15777226, 20, 318);
INSERT INTO public.ecdc_data VALUES (56390, 0, 0, 0, 79, 318);
INSERT INTO public.ecdc_data VALUES (56391, 0, 0, 59.57639131, 161, 318);
INSERT INTO public.ecdc_data VALUES (56392, 0, 0, 0.11236523, 203, 318);
INSERT INTO public.ecdc_data VALUES (56393, 0, 19, 6.45170761, 162, 318);
INSERT INTO public.ecdc_data VALUES (56394, 25, 7017, 101.44467296, 163, 318);
INSERT INTO public.ecdc_data VALUES (56395, 0, 23, 130.33281415, 204, 318);
INSERT INTO public.ecdc_data VALUES (56396, 0, 5, 10.08019045, 21, 318);
INSERT INTO public.ecdc_data VALUES (56397, 1, 38, 33.18146813, 22, 318);
INSERT INTO public.ecdc_data VALUES (56398, 0, 38, 4.67878748, 164, 318);
INSERT INTO public.ecdc_data VALUES (56399, 8, 1311, 21.13366216, 165, 318);
INSERT INTO public.ecdc_data VALUES (56400, 0, 198, 5.14171642, 23, 318);
INSERT INTO public.ecdc_data VALUES (56401, 0, 5, 213.61181985, 166, 318);
INSERT INTO public.ecdc_data VALUES (56402, 2, 233, 28.653752, 167, 318);
INSERT INTO public.ecdc_data VALUES (56403, 0, 0, 0, 80, 318);
INSERT INTO public.ecdc_data VALUES (56404, 0, 0, 0, 81, 318);
INSERT INTO public.ecdc_data VALUES (56405, 0, 0, 506.88902836, 205, 318);
INSERT INTO public.ecdc_data VALUES (56406, 12, 771, 61.33159696, 82, 318);
INSERT INTO public.ecdc_data VALUES (56407, 0, 0, 0, 168, 318);
INSERT INTO public.ecdc_data VALUES (56408, 0, 0, 5.37927153, 24, 318);
INSERT INTO public.ecdc_data VALUES (56409, 0, 0, 4.58114536, 25, 318);
INSERT INTO public.ecdc_data VALUES (56410, 0, 9, 77.41688225, 83, 318);
INSERT INTO public.ecdc_data VALUES (56411, 0, 0, 2.74347716, 84, 318);
INSERT INTO public.ecdc_data VALUES (56412, 0, 0, 0, 169, 318);
INSERT INTO public.ecdc_data VALUES (56413, 36, 757, 104.9649014, 85, 318);
INSERT INTO public.ecdc_data VALUES (56414, 3, 365, 16.57669546, 170, 318);
INSERT INTO public.ecdc_data VALUES (56415, 0, 5, 24.09024317, 171, 318);
INSERT INTO public.ecdc_data VALUES (56416, 1043, 83883, 74.39020721, 112, 318);
INSERT INTO public.ecdc_data VALUES (56417, 111, 3075, 13.19202779, 113, 318);
INSERT INTO public.ecdc_data VALUES (56418, 125, 1858, 37.2880815, 114, 318);
INSERT INTO public.ecdc_data VALUES (56419, 78, 3946, 136.05262547, 115, 318);
INSERT INTO public.ecdc_data VALUES (56420, 0, 89, 31.95194362, 172, 318);
INSERT INTO public.ecdc_data VALUES (56421, 0, 0, 0, 173, 318);
INSERT INTO public.ecdc_data VALUES (56422, 12, 3274, 288.4015056, 116, 318);
INSERT INTO public.ecdc_data VALUES (56423, 6, 1326, 26.90046741, 174, 318);
INSERT INTO public.ecdc_data VALUES (56424, 3, 139, 55.28652837, 86, 318);
INSERT INTO public.ecdc_data VALUES (56425, 12, 598, 8.74820577, 117, 318);
INSERT INTO public.ecdc_data VALUES (56426, 0, 2, 18.55356414, 175, 318);
INSERT INTO public.ecdc_data VALUES (56427, 0, 64, 6.72164291, 118, 318);
INSERT INTO public.ecdc_data VALUES (56428, 6, 659, 43.11258411, 119, 318);
INSERT INTO public.ecdc_data VALUES (56429, 0, 178, 6.61544144, 26, 318);
INSERT INTO public.ecdc_data VALUES (56430, 6, 112, 103.69717977, 176, 318);
INSERT INTO public.ecdc_data VALUES (56431, 1, 667, 198.07101225, 120, 318);
INSERT INTO public.ecdc_data VALUES (56432, 0, 99, 28.21137835, 121, 318);
INSERT INTO public.ecdc_data VALUES (56433, 0, 0, 0.02789612, 122, 318);
INSERT INTO public.ecdc_data VALUES (56434, 0, 2, 4.16673611, 177, 318);
INSERT INTO public.ecdc_data VALUES (56435, 6, 598, 117.09948599, 123, 318);
INSERT INTO public.ecdc_data VALUES (56436, 0, 0, 6.54035469, 27, 318);
INSERT INTO public.ecdc_data VALUES (56437, 0, 0, 0.46583467, 28, 318);
INSERT INTO public.ecdc_data VALUES (56438, 8, 532, 89.82725517, 29, 318);
INSERT INTO public.ecdc_data VALUES (56439, 0, 0, 26.05659492, 178, 318);
INSERT INTO public.ecdc_data VALUES (56440, 0, 29, 16.53434419, 179, 318);
INSERT INTO public.ecdc_data VALUES (56441, 0, 68, -133.7364431, 180, 318);
INSERT INTO public.ecdc_data VALUES (56442, 1, 66, 3.51881506, 30, 318);
INSERT INTO public.ecdc_data VALUES (56443, 0, 3, 1.81976793, 31, 318);
INSERT INTO public.ecdc_data VALUES (56444, 0, 6, 0.39123889, 124, 318);
INSERT INTO public.ecdc_data VALUES (56445, 0, 137, 360.66950808, 125, 318);
INSERT INTO public.ecdc_data VALUES (56446, 0, 25, 0.68674251, 32, 318);
INSERT INTO public.ecdc_data VALUES (56447, 0, 34, 92.59278019, 181, 318);
INSERT INTO public.ecdc_data VALUES (56448, 1, 14, 5.74497017, 33, 318);
INSERT INTO public.ecdc_data VALUES (56449, 0, 0, 0.78760623, 34, 318);
INSERT INTO public.ecdc_data VALUES (56450, 575, 6758, 59.08735052, 87, 318);
INSERT INTO public.ecdc_data VALUES (56451, 16, 532, 156.43325259, 182, 318);
INSERT INTO public.ecdc_data VALUES (56452, 0, 2, 126.94574581, 183, 318);
INSERT INTO public.ecdc_data VALUES (56453, 0, 0, 0.24804925, 126, 318);
INSERT INTO public.ecdc_data VALUES (56454, 2, 102, 135.81235073, 184, 318);
INSERT INTO public.ecdc_data VALUES (56455, 0, 0, 0, 88, 318);
INSERT INTO public.ecdc_data VALUES (56456, 32, 1672, 52.47895043, 35, 318);
INSERT INTO public.ecdc_data VALUES (56457, 2, 78, 3.53025911, 36, 318);
INSERT INTO public.ecdc_data VALUES (56458, 0, 120, 1.22489561, 127, 318);
INSERT INTO public.ecdc_data VALUES (56459, 1, 152, 127.4391427, 37, 318);
INSERT INTO public.ecdc_data VALUES (56460, 12, 1120, 44.43051706, 128, 318);
INSERT INTO public.ecdc_data VALUES (56461, 5, 914, 43.44363608, 185, 318);
INSERT INTO public.ecdc_data VALUES (56462, 0, 0, 0, 207, 318);
INSERT INTO public.ecdc_data VALUES (56463, 0, 2, 2.17433937, 208, 318);
INSERT INTO public.ecdc_data VALUES (56464, 0, 0, 5.45412629, 89, 318);
INSERT INTO public.ecdc_data VALUES (56465, 0, 1, 0.04289872, 38, 318);
INSERT INTO public.ecdc_data VALUES (56466, 4, 216, 1.97797011, 39, 318);
INSERT INTO public.ecdc_data VALUES (56467, 1, 114, 70.77065877, 186, 318);
INSERT INTO public.ecdc_data VALUES (56468, 0, 0, 5.24356353, 209, 318);
INSERT INTO public.ecdc_data VALUES (56469, 0, 88, 14.26369671, 187, 318);
INSERT INTO public.ecdc_data VALUES (56470, 0, 0, 46.67344189, 129, 318);
INSERT INTO public.ecdc_data VALUES (56471, 10, 424, 2.79638498, 130, 318);
INSERT INTO public.ecdc_data VALUES (56472, 4, 843, 158.70970177, 131, 318);
INSERT INTO public.ecdc_data VALUES (56473, 12, 532, 243.26259172, 90, 318);
INSERT INTO public.ecdc_data VALUES (56474, 0, 11, 1.27619053, 210, 318);
INSERT INTO public.ecdc_data VALUES (56475, 10, 800, 113.63250835, 91, 318);
INSERT INTO public.ecdc_data VALUES (56476, 191, 6308, 323.02524646, 92, 318);
INSERT INTO public.ecdc_data VALUES (56477, 26, 2176, 48.71221374, 132, 318);
INSERT INTO public.ecdc_data VALUES (56478, 20, 595, 26.08708568, 188, 318);
INSERT INTO public.ecdc_data VALUES (56479, 3, 390, 38.26161859, 189, 318);
INSERT INTO public.ecdc_data VALUES (56480, 8, 582, 206.89274304, 93, 318);
INSERT INTO public.ecdc_data VALUES (56481, 1, 212, 114.75700998, 133, 318);
INSERT INTO public.ecdc_data VALUES (56482, 40, 1298, 83.82412736, 190, 318);
INSERT INTO public.ecdc_data VALUES (56483, 115, 4952, 46.39607284, 191, 318);
INSERT INTO public.ecdc_data VALUES (56484, 1, 76, 12.46541323, 40, 318);
INSERT INTO public.ecdc_data VALUES (56485, 0, 0, 0, 94, 318);
INSERT INTO public.ecdc_data VALUES (56486, 0, 0, 0, 95, 318);
INSERT INTO public.ecdc_data VALUES (56487, 0, 0, 2.71264908, 96, 318);
INSERT INTO public.ecdc_data VALUES (56488, 0, 0, 14.51252431, 192, 318);
INSERT INTO public.ecdc_data VALUES (56489, 0, 0, 5.11513709, 41, 318);
INSERT INTO public.ecdc_data VALUES (56490, 27, 816, 43.18831427, 134, 318);
INSERT INTO public.ecdc_data VALUES (56491, 3, 75, 7.95883155, 42, 318);
INSERT INTO public.ecdc_data VALUES (56492, 1, 99, 22.01395682, 193, 318);
INSERT INTO public.ecdc_data VALUES (56493, 0, 0, 4.09244841, 43, 318);
INSERT INTO public.ecdc_data VALUES (56494, 0, 1, 0.87032124, 44, 318);
INSERT INTO public.ecdc_data VALUES (56495, 0, 8, 14.28240888, 135, 318);
INSERT INTO public.ecdc_data VALUES (56496, 0, 0, 316.11974805, 97, 318);
INSERT INTO public.ecdc_data VALUES (56497, 0, 53, 18.71415071, 194, 318);
INSERT INTO public.ecdc_data VALUES (56498, 0, 55, 23.78769268, 195, 318);
INSERT INTO public.ecdc_data VALUES (56499, 0, 0, 0.29139593, 45, 318);
INSERT INTO public.ecdc_data VALUES (56500, 126, 2336, 58.97544748, 46, 318);
INSERT INTO public.ecdc_data VALUES (56501, 3, 195, 8.39038178, 136, 318);
INSERT INTO public.ecdc_data VALUES (56502, 0, 5, 0.34351481, 47, 318);
INSERT INTO public.ecdc_data VALUES (56503, 40, 8959, 235.64961248, 196, 318);
INSERT INTO public.ecdc_data VALUES (56504, 0, 9, 0.93323243, 137, 318);
INSERT INTO public.ecdc_data VALUES (56505, 0, 0, 1.50187196, 48, 318);
INSERT INTO public.ecdc_data VALUES (56506, 0, 60, 146.8961733, 98, 318);
INSERT INTO public.ecdc_data VALUES (56507, 2, 213, 26.70528441, 197, 318);
INSERT INTO public.ecdc_data VALUES (56508, 0, 370, 46.73166812, 198, 318);
INSERT INTO public.ecdc_data VALUES (56509, 4, 68, 5.68829813, 138, 318);
INSERT INTO public.ecdc_data VALUES (56510, 0, 0, 0.01261889, 139, 318);
INSERT INTO public.ecdc_data VALUES (56511, 0, 35, 5.23547684, 140, 318);
INSERT INTO public.ecdc_data VALUES (56512, 0, 2, 0.05457764, 141, 318);
INSERT INTO public.ecdc_data VALUES (56513, 0, 0, 0.15466469, 142, 318);
INSERT INTO public.ecdc_data VALUES (56514, 2, 18, 3.01892059, 49, 318);
INSERT INTO public.ecdc_data VALUES (56515, 1, 123, 88.46074716, 99, 318);
INSERT INTO public.ecdc_data VALUES (56516, 4, 393, 15.12648314, 50, 318);
INSERT INTO public.ecdc_data VALUES (56517, 45, 1596, 24.624444, 199, 318);
INSERT INTO public.ecdc_data VALUES (56518, 0, 47, 596.9524009, 100, 318);
INSERT INTO public.ecdc_data VALUES (56519, 0, 75, 3.40866067, 51, 318);
INSERT INTO public.ecdc_data VALUES (56520, 51, 2486, 66.79601414, 200, 318);
INSERT INTO public.ecdc_data VALUES (56521, 3, 735, 63.44591888, 143, 318);
INSERT INTO public.ecdc_data VALUES (56522, 10, 1508, 26.37473624, 201, 318);
INSERT INTO public.ecdc_data VALUES (56523, 0, 0, 0, 52, 318);
INSERT INTO public.ecdc_data VALUES (56524, 1055, 38754, 177.64397534, 101, 318);
INSERT INTO public.ecdc_data VALUES (56525, 0, 1, 302.16391436, 102, 318);
INSERT INTO public.ecdc_data VALUES (56526, 0, 15, 3.84200852, 103, 318);
INSERT INTO public.ecdc_data VALUES (56527, 3, 170, 15.68748017, 144, 318);
INSERT INTO public.ecdc_data VALUES (56528, 7, 1127, 42.13449309, 104, 318);
INSERT INTO public.ecdc_data VALUES (56529, 1, 2, 0.05390718, 145, 318);
INSERT INTO public.ecdc_data VALUES (56530, 0, 0, 0, 53, 318);
INSERT INTO public.ecdc_data VALUES (56531, 1, 14, 0.28461773, 146, 318);
INSERT INTO public.ecdc_data VALUES (56532, 2, 34, 12.30051967, 54, 318);
INSERT INTO public.ecdc_data VALUES (56533, 3, 79, 6.79390826, 55, 318);
INSERT INTO public.ecdc_data VALUES (56534, 1, 0, 3.2464326, 105, 319);
INSERT INTO public.ecdc_data VALUES (56535, 5, 123, 49.92267052, 147, 319);
INSERT INTO public.ecdc_data VALUES (56536, 8, 515, 19.46667941, 1, 319);
INSERT INTO public.ecdc_data VALUES (56537, 0, 0, 59.07294853, 148, 319);
INSERT INTO public.ecdc_data VALUES (56538, 0, 34, 1.39197435, 2, 319);
INSERT INTO public.ecdc_data VALUES (56539, 0, 0, 0, 56, 319);
INSERT INTO public.ecdc_data VALUES (56540, 0, 0, 15.44560573, 57, 319);
INSERT INTO public.ecdc_data VALUES (56541, 54, 5241, 165.29228289, 58, 319);
INSERT INTO public.ecdc_data VALUES (56542, 8, 52, 139.3299181, 149, 319);
INSERT INTO public.ecdc_data VALUES (56543, 0, 1, 8.46580754, 59, 319);
INSERT INTO public.ecdc_data VALUES (56544, 8, 641, 24.28659853, 202, 319);
INSERT INTO public.ecdc_data VALUES (56545, 0, 85, 19.61896538, 150, 319);
INSERT INTO public.ecdc_data VALUES (56546, 8, 286, 48.98624255, 151, 319);
INSERT INTO public.ecdc_data VALUES (56547, 0, 49, 127.09057578, 60, 319);
INSERT INTO public.ecdc_data VALUES (56548, 0, 346, 311.60810254, 106, 319);
INSERT INTO public.ecdc_data VALUES (56549, 22, 886, 22.2151795, 107, 319);
INSERT INTO public.ecdc_data VALUES (56550, 0, 10, 9.40697719, 61, 319);
INSERT INTO public.ecdc_data VALUES (56551, 4, 121, 20.86240661, 152, 319);
INSERT INTO public.ecdc_data VALUES (56552, 5, 148, 53.80812515, 153, 319);
INSERT INTO public.ecdc_data VALUES (56553, 0, 1, 4.35505481, 62, 319);
INSERT INTO public.ecdc_data VALUES (56554, 0, 0, 1.72017119, 3, 319);
INSERT INTO public.ecdc_data VALUES (56555, 0, 0, 4.79938568, 63, 319);
INSERT INTO public.ecdc_data VALUES (56556, 0, 1, 1.83463636, 108, 319);
INSERT INTO public.ecdc_data VALUES (56557, 89, 1360, 178.67469601, 64, 319);
INSERT INTO public.ecdc_data VALUES (56558, 0, 0, 3.84867028, 65, 319);
INSERT INTO public.ecdc_data VALUES (56559, 8, 233, 110.75438398, 154, 319);
INSERT INTO public.ecdc_data VALUES (56560, 0, 0, 12.2411613, 4, 319);
INSERT INTO public.ecdc_data VALUES (56561, 541, 25800, 301.01371612, 66, 319);
INSERT INTO public.ecdc_data VALUES (56562, 0, 1, 3.3296707, 67, 319);
INSERT INTO public.ecdc_data VALUES (56563, 0, 0, 0, 109, 319);
INSERT INTO public.ecdc_data VALUES (56564, 3, 119, 46.02831499, 155, 319);
INSERT INTO public.ecdc_data VALUES (56565, 0, 1, 0.41827862, 5, 319);
INSERT INTO public.ecdc_data VALUES (56566, 0, 0, 0.73717039, 6, 319);
INSERT INTO public.ecdc_data VALUES (56567, 0, 0, 0.41852318, 110, 319);
INSERT INTO public.ecdc_data VALUES (56568, 0, 0, 4.24325081, 7, 319);
INSERT INTO public.ecdc_data VALUES (56569, 4, 285, 17.46008758, 68, 319);
INSERT INTO public.ecdc_data VALUES (56570, 0, 67, 91.64702802, 8, 319);
INSERT INTO public.ecdc_data VALUES (56571, 0, 0, 0, 69, 319);
INSERT INTO public.ecdc_data VALUES (56572, 0, 0, 2.71854866, 9, 319);
INSERT INTO public.ecdc_data VALUES (56573, 0, 0, 0.29472846, 10, 319);
INSERT INTO public.ecdc_data VALUES (56574, 75, 2073, 151.96784936, 70, 319);
INSERT INTO public.ecdc_data VALUES (56575, 2, 158, 0.16543639, 111, 319);
INSERT INTO public.ecdc_data VALUES (56576, 320, 11470, 239.12262994, 71, 319);
INSERT INTO public.ecdc_data VALUES (56577, 0, 0, 6.11124104, 11, 319);
INSERT INTO public.ecdc_data VALUES (56578, 0, 0, 14.01355709, 12, 319);
INSERT INTO public.ecdc_data VALUES (56579, 8, 788, 155.73858345, 72, 319);
INSERT INTO public.ecdc_data VALUES (56580, 0, 73, 8.02207014, 13, 319);
INSERT INTO public.ecdc_data VALUES (56581, 4, 36, 22.22633276, 156, 319);
INSERT INTO public.ecdc_data VALUES (56582, 0, 13, 1.76468242, 73, 319);
INSERT INTO public.ecdc_data VALUES (56583, 0, 0, 0.61190897, 74, 319);
INSERT INTO public.ecdc_data VALUES (56584, 0, 26, 12.78686241, 157, 319);
INSERT INTO public.ecdc_data VALUES (56585, 0, 101, 26.80801517, 158, 319);
INSERT INTO public.ecdc_data VALUES (56586, 0, 31, 0.82036564, 14, 319);
INSERT INTO public.ecdc_data VALUES (56587, 0, 0, 10.60956607, 159, 319);
INSERT INTO public.ecdc_data VALUES (56588, 1, 80, 15.40741836, 15, 319);
INSERT INTO public.ecdc_data VALUES (56589, 0, 0, 0, 75, 319);
INSERT INTO public.ecdc_data VALUES (56590, 8, 828, 180.53894806, 76, 319);
INSERT INTO public.ecdc_data VALUES (56591, 14, 292, 72.01132151, 77, 319);
INSERT INTO public.ecdc_data VALUES (56592, 31, 167, 6.6820685, 16, 319);
INSERT INTO public.ecdc_data VALUES (56593, 0, 398, 86.80493682, 78, 319);
INSERT INTO public.ecdc_data VALUES (56594, 0, 0, 129.05776035, 17, 319);
INSERT INTO public.ecdc_data VALUES (56595, 0, 0, 0.80065951, 18, 319);
INSERT INTO public.ecdc_data VALUES (56596, 0, 7, 4.37795323, 160, 319);
INSERT INTO public.ecdc_data VALUES (56597, 0, 69, 85.5301607, 19, 319);
INSERT INTO public.ecdc_data VALUES (56598, 0, 0, 7.58038588, 20, 319);
INSERT INTO public.ecdc_data VALUES (56599, 0, 0, 0, 79, 319);
INSERT INTO public.ecdc_data VALUES (56600, 0, 0, 69.84818292, 161, 319);
INSERT INTO public.ecdc_data VALUES (56601, 0, 0, 0.11236523, 203, 319);
INSERT INTO public.ecdc_data VALUES (56602, 0, 10, 2.08411903, 162, 319);
INSERT INTO public.ecdc_data VALUES (56603, 0, 0, 19.76485626, 163, 319);
INSERT INTO public.ecdc_data VALUES (56604, 0, 0, 0, 204, 319);
INSERT INTO public.ecdc_data VALUES (56605, 0, 0, 55.97037253, 21, 319);
INSERT INTO public.ecdc_data VALUES (56606, 0, 0, 17.25095583, 22, 319);
INSERT INTO public.ecdc_data VALUES (56607, 0, 6, 3.72801783, 164, 319);
INSERT INTO public.ecdc_data VALUES (56608, 7, 509, 10.3337525, 165, 319);
INSERT INTO public.ecdc_data VALUES (56609, 0, 0, 30.72865946, 23, 319);
INSERT INTO public.ecdc_data VALUES (56610, 0, 0, 23.73464665, 166, 319);
INSERT INTO public.ecdc_data VALUES (56611, 2, 75, 6.10745446, 167, 319);
INSERT INTO public.ecdc_data VALUES (56612, 0, 0, 1.76491352, 80, 319);
INSERT INTO public.ecdc_data VALUES (56613, 0, 0, 0.8928412, 81, 319);
INSERT INTO public.ecdc_data VALUES (56614, 0, 9, 29.28957829, 205, 319);
INSERT INTO public.ecdc_data VALUES (56615, 36, 327, 71.83128424, 82, 319);
INSERT INTO public.ecdc_data VALUES (56616, 0, 0, 0, 168, 319);
INSERT INTO public.ecdc_data VALUES (56617, 0, 47, 6.42067344, 24, 319);
INSERT INTO public.ecdc_data VALUES (56618, 0, 0, 2.81115738, 25, 319);
INSERT INTO public.ecdc_data VALUES (56619, 1, 44, 17.62958705, 83, 319);
INSERT INTO public.ecdc_data VALUES (56620, 0, 8, 3.75563378, 84, 319);
INSERT INTO public.ecdc_data VALUES (56621, 0, 0, 0, 169, 319);
INSERT INTO public.ecdc_data VALUES (56622, 9, 512, 96.05878855, 85, 319);
INSERT INTO public.ecdc_data VALUES (56623, 0, 9, 2.06697067, 170, 319);
INSERT INTO public.ecdc_data VALUES (56624, 0, 14, 19.04809925, 171, 319);
INSERT INTO public.ecdc_data VALUES (56625, 771, 52972, 50.17879759, 112, 319);
INSERT INTO public.ecdc_data VALUES (56626, 43, 1519, 9.21346799, 113, 319);
INSERT INTO public.ecdc_data VALUES (56627, 208, 2685, 42.99520709, 114, 319);
INSERT INTO public.ecdc_data VALUES (56628, 63, 2447, 93.16000144, 115, 319);
INSERT INTO public.ecdc_data VALUES (56629, 0, 53, 8.19698873, 172, 319);
INSERT INTO public.ecdc_data VALUES (56630, 0, 0, 0, 173, 319);
INSERT INTO public.ecdc_data VALUES (56631, 9, 742, 266.87409977, 116, 319);
INSERT INTO public.ecdc_data VALUES (56632, 8, 238, 6.02390217, 174, 319);
INSERT INTO public.ecdc_data VALUES (56633, 2, 11, 3.52748402, 86, 319);
INSERT INTO public.ecdc_data VALUES (56634, 1, 1991, 10.22857435, 117, 319);
INSERT INTO public.ecdc_data VALUES (56635, 0, 0, 3.71071283, 175, 319);
INSERT INTO public.ecdc_data VALUES (56636, 0, 19, -0.04949663, 118, 319);
INSERT INTO public.ecdc_data VALUES (56637, 286, 1867, 144.47944385, 119, 319);
INSERT INTO public.ecdc_data VALUES (56638, 5, 690, 16.54811401, 26, 319);
INSERT INTO public.ecdc_data VALUES (56639, 13, 245, 170.36362403, 176, 319);
INSERT INTO public.ecdc_data VALUES (56640, 4, 463, 206.96079487, 120, 319);
INSERT INTO public.ecdc_data VALUES (56641, 11, 410, 155.64575923, 121, 319);
INSERT INTO public.ecdc_data VALUES (56642, 0, 0, 0.01394806, 122, 319);
INSERT INTO public.ecdc_data VALUES (56643, 0, 5, 2.65629427, 177, 319);
INSERT INTO public.ecdc_data VALUES (56644, 1, 155, 29.55201278, 123, 319);
INSERT INTO public.ecdc_data VALUES (56645, 5, 16, 16.89199522, 27, 319);
INSERT INTO public.ecdc_data VALUES (56646, 2, 18, 2.34942704, 28, 319);
INSERT INTO public.ecdc_data VALUES (56647, 6, 70, 26.92751982, 29, 319);
INSERT INTO public.ecdc_data VALUES (56648, 0, 0, 5.21131898, 178, 319);
INSERT INTO public.ecdc_data VALUES (56649, 0, 17, 6.37037504, 179, 319);
INSERT INTO public.ecdc_data VALUES (56650, 3, 0, 197.42822051, 180, 319);
INSERT INTO public.ecdc_data VALUES (56651, 7, 255, 16.60776885, 30, 319);
INSERT INTO public.ecdc_data VALUES (56652, 3, 45, 6.65101022, 31, 319);
INSERT INTO public.ecdc_data VALUES (56653, 0, 14, 0.68858045, 124, 319);
INSERT INTO public.ecdc_data VALUES (56654, 0, 215, 225.63032411, 125, 319);
INSERT INTO public.ecdc_data VALUES (56655, 0, 6, 0.33574078, 32, 319);
INSERT INTO public.ecdc_data VALUES (56656, 0, 14, 21.88188241, 181, 319);
INSERT INTO public.ecdc_data VALUES (56657, 0, 0, 9.65596909, 33, 319);
INSERT INTO public.ecdc_data VALUES (56658, 0, 0, 0.07876062, 34, 319);
INSERT INTO public.ecdc_data VALUES (56659, 274, 2474, 73.26169896, 87, 319);
INSERT INTO public.ecdc_data VALUES (56660, 3, 249, 108.3779467, 182, 319);
INSERT INTO public.ecdc_data VALUES (56661, 0, 0, 24.18014206, 183, 319);
INSERT INTO public.ecdc_data VALUES (56662, 0, 0, 0.18603694, 126, 319);
INSERT INTO public.ecdc_data VALUES (56663, 1, 60, 238.99759234, 184, 319);
INSERT INTO public.ecdc_data VALUES (56664, 0, 0, 20.03606492, 88, 319);
INSERT INTO public.ecdc_data VALUES (56665, 15, 522, 22.76007145, 35, 319);
INSERT INTO public.ecdc_data VALUES (56666, 2, 39, 1.49838423, 36, 319);
INSERT INTO public.ecdc_data VALUES (56667, 0, 0, 0.02220355, 127, 319);
INSERT INTO public.ecdc_data VALUES (56668, 0, 70, 41.97193533, 37, 319);
INSERT INTO public.ecdc_data VALUES (56669, 1, 246, 9.34680219, 128, 319);
INSERT INTO public.ecdc_data VALUES (56670, 0, 311, 19.19898568, 185, 319);
INSERT INTO public.ecdc_data VALUES (56671, 0, 0, 0, 207, 319);
INSERT INTO public.ecdc_data VALUES (56672, 0, 2, 0.27179242, 208, 319);
INSERT INTO public.ecdc_data VALUES (56673, 0, 0, 8.02077396, 89, 319);
INSERT INTO public.ecdc_data VALUES (56674, 0, 11, 0.18446449, 38, 319);
INSERT INTO public.ecdc_data VALUES (56675, 5, 304, 3.57179106, 39, 319);
INSERT INTO public.ecdc_data VALUES (56676, 4, 154, 92.53143276, 186, 319);
INSERT INTO public.ecdc_data VALUES (56677, 0, 1, 15.73069058, 209, 319);
INSERT INTO public.ecdc_data VALUES (56678, 0, 0, 3.62222824, 187, 319);
INSERT INTO public.ecdc_data VALUES (56679, 0, 0, 251.21648437, 129, 319);
INSERT INTO public.ecdc_data VALUES (56680, 33, 1724, 6.90138209, 130, 319);
INSERT INTO public.ecdc_data VALUES (56681, 2, 225, 114.98724661, 131, 319);
INSERT INTO public.ecdc_data VALUES (56682, 22, 1070, 329.33468976, 90, 319);
INSERT INTO public.ecdc_data VALUES (56683, 0, 19, 1.05969393, 210, 319);
INSERT INTO public.ecdc_data VALUES (56684, 0, 159, 27.29735335, 91, 319);
INSERT INTO public.ecdc_data VALUES (56685, 206, 6667, 231.49471084, 92, 319);
INSERT INTO public.ecdc_data VALUES (56686, 20, 4953, 33.04672245, 132, 319);
INSERT INTO public.ecdc_data VALUES (56687, 10, 548, 17.88121459, 188, 319);
INSERT INTO public.ecdc_data VALUES (56688, 1, 153, 27.50905283, 189, 319);
INSERT INTO public.ecdc_data VALUES (56689, 5, 539, 216.40387754, 93, 319);
INSERT INTO public.ecdc_data VALUES (56690, 3, 196, 157.44661769, 133, 319);
INSERT INTO public.ecdc_data VALUES (56691, 34, 1075, 81.01179029, 190, 319);
INSERT INTO public.ecdc_data VALUES (56692, 70, 5427, 54.37908482, 191, 319);
INSERT INTO public.ecdc_data VALUES (56693, 0, 20, 3.80139666, 40, 319);
INSERT INTO public.ecdc_data VALUES (56694, 0, 0, 0, 94, 319);
INSERT INTO public.ecdc_data VALUES (56695, 0, 0, 1.09412183, 95, 319);
INSERT INTO public.ecdc_data VALUES (56696, 0, 0, 4.5210818, 96, 319);
INSERT INTO public.ecdc_data VALUES (56697, 0, 0, 0, 192, 319);
INSERT INTO public.ecdc_data VALUES (56698, 0, 0, 59.52159518, 41, 319);
INSERT INTO public.ecdc_data VALUES (56699, 50, 1357, 81.4595806, 134, 319);
INSERT INTO public.ecdc_data VALUES (56700, 0, 60, 9.41314387, 42, 319);
INSERT INTO public.ecdc_data VALUES (56701, 8, 311, 76.09390554, 193, 319);
INSERT INTO public.ecdc_data VALUES (56702, 0, 0, 14.32356943, 43, 319);
INSERT INTO public.ecdc_data VALUES (56703, 0, 20, 1.68944711, 44, 319);
INSERT INTO public.ecdc_data VALUES (56704, 0, 313, 84.64351607, 135, 319);
INSERT INTO public.ecdc_data VALUES (56705, 1, 18, 158.05987402, 97, 319);
INSERT INTO public.ecdc_data VALUES (56706, 0, 7, 6.6967304, 194, 319);
INSERT INTO public.ecdc_data VALUES (56707, 0, 9, 11.24509109, 195, 319);
INSERT INTO public.ecdc_data VALUES (56708, 0, 0, 0.60221826, 45, 319);
INSERT INTO public.ecdc_data VALUES (56709, 213, 8195, 251.30012813, 46, 319);
INSERT INTO public.ecdc_data VALUES (56710, 0, 53, 1.20643461, 136, 319);
INSERT INTO public.ecdc_data VALUES (56711, 0, 77, 2.07012873, 47, 319);
INSERT INTO public.ecdc_data VALUES (56712, 27, 8532, 68.6408565, 196, 319);
INSERT INTO public.ecdc_data VALUES (56713, 0, 8, 0.46427141, 137, 319);
INSERT INTO public.ecdc_data VALUES (56714, 6, 94, 2.27966879, 48, 319);
INSERT INTO public.ecdc_data VALUES (56715, 1, 89, 141.0478479, 98, 319);
INSERT INTO public.ecdc_data VALUES (56716, 3, 38, 28.7775832, 197, 319);
INSERT INTO public.ecdc_data VALUES (56717, 0, 49, 22.90354984, 198, 319);
INSERT INTO public.ecdc_data VALUES (56718, 1, 52, 1.83361207, 138, 319);
INSERT INTO public.ecdc_data VALUES (56719, 0, 1, 0.08412594, 139, 319);
INSERT INTO public.ecdc_data VALUES (56720, 1, 44, 6.6194451, 140, 319);
INSERT INTO public.ecdc_data VALUES (56721, 0, 3, 0.10053776, 141, 319);
INSERT INTO public.ecdc_data VALUES (56722, 0, 0, 0, 142, 319);
INSERT INTO public.ecdc_data VALUES (56723, 0, 3, 2.31368094, 49, 319);
INSERT INTO public.ecdc_data VALUES (56724, 0, 9, 3.22587814, 99, 319);
INSERT INTO public.ecdc_data VALUES (56725, 0, 9, 1.59901207, 50, 319);
INSERT INTO public.ecdc_data VALUES (56726, 18, 987, 16.11509075, 199, 319);
INSERT INTO public.ecdc_data VALUES (56727, 0, 2, 91.63742996, 100, 319);
INSERT INTO public.ecdc_data VALUES (56728, 0, 6, 0.26428979, 51, 319);
INSERT INTO public.ecdc_data VALUES (56729, 16, 1112, 30.29073996, 200, 319);
INSERT INTO public.ecdc_data VALUES (56730, 0, 239, 41.72753852, 143, 319);
INSERT INTO public.ecdc_data VALUES (56731, 5, 743, 13.4934579, 201, 319);
INSERT INTO public.ecdc_data VALUES (56732, 0, 0, 0, 52, 319);
INSERT INTO public.ecdc_data VALUES (56733, 413, 47511, 271.8901207, 101, 319);
INSERT INTO public.ecdc_data VALUES (56734, 0, 0, 118.57064994, 102, 319);
INSERT INTO public.ecdc_data VALUES (56735, 1, 8, 6.70184945, 103, 319);
INSERT INTO public.ecdc_data VALUES (56736, 6, 788, 26.86943356, 144, 319);
INSERT INTO public.ecdc_data VALUES (56737, 5, 763, 29.15924345, 104, 319);
INSERT INTO public.ecdc_data VALUES (56738, 1, 31, 0.25709577, 145, 319);
INSERT INTO public.ecdc_data VALUES (56739, 0, 0, 0, 53, 319);
INSERT INTO public.ecdc_data VALUES (56740, 3, 4, 0.43892855, 146, 319);
INSERT INTO public.ecdc_data VALUES (56741, 5, 119, 18.85109227, 54, 319);
INSERT INTO public.ecdc_data VALUES (56742, 1, 262, 15.77279204, 55, 319);
INSERT INTO public.ecdc_data VALUES (56743, 33, 186, 11.80281973, 105, 320);
INSERT INTO public.ecdc_data VALUES (56744, 4, 82, 30.53352976, 147, 320);
INSERT INTO public.ecdc_data VALUES (56745, 8, 385, 7.59992543, 1, 320);
INSERT INTO public.ecdc_data VALUES (56746, 0, 0, 0, 148, 320);
INSERT INTO public.ecdc_data VALUES (56747, 2, 24, 0.50274469, 2, 320);
INSERT INTO public.ecdc_data VALUES (56748, 0, 0, 0, 56, 320);
INSERT INTO public.ecdc_data VALUES (56749, 0, 2, 43.24769603, 57, 320);
INSERT INTO public.ecdc_data VALUES (56750, 34, 2744, 76.79428682, 58, 320);
INSERT INTO public.ecdc_data VALUES (56751, 10, 662, 275.98886713, 149, 320);
INSERT INTO public.ecdc_data VALUES (56752, 0, 1, 2.82193585, 59, 320);
INSERT INTO public.ecdc_data VALUES (56753, 0, 81, 2.42032758, 202, 320);
INSERT INTO public.ecdc_data VALUES (56754, 0, 138, 8.99672923, 150, 320);
INSERT INTO public.ecdc_data VALUES (56755, 8, 572, 73.20069361, 151, 320);
INSERT INTO public.ecdc_data VALUES (56756, 0, 0, 0, 60, 320);
INSERT INTO public.ecdc_data VALUES (56757, 2, 423, 451.32601008, 106, 320);
INSERT INTO public.ecdc_data VALUES (56758, 38, 4019, 31.27028317, 107, 320);
INSERT INTO public.ecdc_data VALUES (56759, 0, 0, 0, 61, 320);
INSERT INTO public.ecdc_data VALUES (56760, 7, 274, 63.90963404, 152, 320);
INSERT INTO public.ecdc_data VALUES (56761, 5, 93, 11.0689005, 153, 320);
INSERT INTO public.ecdc_data VALUES (56762, 0, 0, 1.53707817, 62, 320);
INSERT INTO public.ecdc_data VALUES (56763, 0, 0, 5.10119733, 3, 320);
INSERT INTO public.ecdc_data VALUES (56764, 0, 0, 3.19959045, 63, 320);
INSERT INTO public.ecdc_data VALUES (56765, 0, 0, 1.31045454, 108, 320);
INSERT INTO public.ecdc_data VALUES (56766, 70, 1301, 121.85247729, 64, 320);
INSERT INTO public.ecdc_data VALUES (56767, 0, 0, 0, 65, 320);
INSERT INTO public.ecdc_data VALUES (56768, 1, 182, 48.04607576, 154, 320);
INSERT INTO public.ecdc_data VALUES (56769, 0, 0, 6.42443926, 4, 320);
INSERT INTO public.ecdc_data VALUES (56770, 1252, 48105, 245.77928557, 66, 320);
INSERT INTO public.ecdc_data VALUES (56771, 0, 0, 0, 67, 320);
INSERT INTO public.ecdc_data VALUES (56772, 0, 0, 0, 109, 320);
INSERT INTO public.ecdc_data VALUES (56773, 0, 161, 23.44272653, 155, 320);
INSERT INTO public.ecdc_data VALUES (56774, 0, 18, 0.39859492, 5, 320);
INSERT INTO public.ecdc_data VALUES (56775, 0, 0, 0.57239113, 6, 320);
INSERT INTO public.ecdc_data VALUES (56776, 0, 0, 0.07278664, 110, 320);
INSERT INTO public.ecdc_data VALUES (56777, 0, 0, 7.55128604, 7, 320);
INSERT INTO public.ecdc_data VALUES (56778, 51, 567, 12.16485894, 68, 320);
INSERT INTO public.ecdc_data VALUES (56779, 0, 34, 86.91920514, 8, 320);
INSERT INTO public.ecdc_data VALUES (56780, 0, 0, 12.31754634, 69, 320);
INSERT INTO public.ecdc_data VALUES (56781, 1, 78, 25.66815709, 9, 320);
INSERT INTO public.ecdc_data VALUES (56782, 0, 2, 0.08779146, 10, 320);
INSERT INTO public.ecdc_data VALUES (56783, 167, 2498, 313.62331275, 70, 320);
INSERT INTO public.ecdc_data VALUES (56784, 0, 14, 0.0234345, 111, 320);
INSERT INTO public.ecdc_data VALUES (56785, 171, 4101, 91.16707946, 71, 320);
INSERT INTO public.ecdc_data VALUES (56786, 0, 0, 10.92971955, 11, 320);
INSERT INTO public.ecdc_data VALUES (56787, 0, 0, 9.27422412, 12, 320);
INSERT INTO public.ecdc_data VALUES (56788, 0, 270, 41.28726726, 72, 320);
INSERT INTO public.ecdc_data VALUES (56789, 0, 290, 15.27809675, 13, 320);
INSERT INTO public.ecdc_data VALUES (56790, 2, 81, 15.77431784, 156, 320);
INSERT INTO public.ecdc_data VALUES (56791, 0, 5, 0.5117579, 73, 320);
INSERT INTO public.ecdc_data VALUES (56792, 0, 0, 1.22381794, 74, 320);
INSERT INTO public.ecdc_data VALUES (56793, 0, 0, 1.5983578, 157, 320);
INSERT INTO public.ecdc_data VALUES (56794, 2, 132, 18.29142331, 158, 320);
INSERT INTO public.ecdc_data VALUES (56795, 1, 67, 2.19609117, 14, 320);
INSERT INTO public.ecdc_data VALUES (56796, 0, 21, 8.11218445, 159, 320);
INSERT INTO public.ecdc_data VALUES (56797, 0, 11, 16.22914734, 15, 320);
INSERT INTO public.ecdc_data VALUES (56798, 0, 0, 0, 75, 320);
INSERT INTO public.ecdc_data VALUES (56799, 11, 810, 88.94718547, 76, 320);
INSERT INTO public.ecdc_data VALUES (56800, 63, 1211, 59.69382266, 77, 320);
INSERT INTO public.ecdc_data VALUES (56801, 86, 1485, 20.78135256, 16, 320);
INSERT INTO public.ecdc_data VALUES (56802, 9, 264, 43.38697306, 78, 320);
INSERT INTO public.ecdc_data VALUES (56803, 19, 1070, 130.16396973, 17, 320);
INSERT INTO public.ecdc_data VALUES (56804, 0, 12, 2.08743373, 18, 320);
INSERT INTO public.ecdc_data VALUES (56805, 0, 1, 0.98126538, 160, 320);
INSERT INTO public.ecdc_data VALUES (56806, 0, 33, 24.99710399, 19, 320);
INSERT INTO public.ecdc_data VALUES (56807, 0, 0, 1.68809912, 20, 320);
INSERT INTO public.ecdc_data VALUES (56808, 0, 0, 0, 79, 320);
INSERT INTO public.ecdc_data VALUES (56809, 0, 0, 0, 161, 320);
INSERT INTO public.ecdc_data VALUES (56810, 0, 0, 0, 203, 320);
INSERT INTO public.ecdc_data VALUES (56811, 0, 5, 2.247224, 162, 320);
INSERT INTO public.ecdc_data VALUES (56812, 14, 659, 11.54554118, 163, 320);
INSERT INTO public.ecdc_data VALUES (56813, 0, 0, 0.71611436, 204, 320);
INSERT INTO public.ecdc_data VALUES (56814, 0, 0, 53.99115705, 21, 320);
INSERT INTO public.ecdc_data VALUES (56815, 0, 6, 0.8093041, 22, 320);
INSERT INTO public.ecdc_data VALUES (56816, 0, 8, 1.10089117, 164, 320);
INSERT INTO public.ecdc_data VALUES (56817, 9, 446, 8.6004188, 165, 320);
INSERT INTO public.ecdc_data VALUES (56818, 0, 0, 17.11165855, 23, 320);
INSERT INTO public.ecdc_data VALUES (56819, 0, 0, 5.93366166, 166, 320);
INSERT INTO public.ecdc_data VALUES (56820, 0, 26, 2.15392669, 167, 320);
INSERT INTO public.ecdc_data VALUES (56821, 0, 0, 0, 80, 320);
INSERT INTO public.ecdc_data VALUES (56822, 0, 0, 0, 81, 320);
INSERT INTO public.ecdc_data VALUES (56823, 0, 6, 51.40619863, 205, 320);
INSERT INTO public.ecdc_data VALUES (56824, 26, 1061, 46.66274891, 82, 320);
INSERT INTO public.ecdc_data VALUES (56825, 0, 0, 0, 168, 320);
INSERT INTO public.ecdc_data VALUES (56826, 0, 46, 4.76852454, 24, 320);
INSERT INTO public.ecdc_data VALUES (56827, 0, 0, 7.39230274, 25, 320);
INSERT INTO public.ecdc_data VALUES (56828, 1, 2, 8.55929226, 83, 320);
INSERT INTO public.ecdc_data VALUES (56829, 3, 61, 10.52110173, 84, 320);
INSERT INTO public.ecdc_data VALUES (56830, 0, 0, 0, 169, 320);
INSERT INTO public.ecdc_data VALUES (56831, 49, 858, 106.5142367, 85, 320);
INSERT INTO public.ecdc_data VALUES (56832, 1, 9, 0.86976489, 170, 320);
INSERT INTO public.ecdc_data VALUES (56833, 0, 5, 4.48190571, 171, 320);
INSERT INTO public.ecdc_data VALUES (56834, 379, 20903, 17.93097308, 112, 320);
INSERT INTO public.ecdc_data VALUES (56835, 53, 1624, 6.1457608, 113, 320);
INSERT INTO public.ecdc_data VALUES (56836, 148, 2652, 42.47297856, 114, 320);
INSERT INTO public.ecdc_data VALUES (56837, 110, 2184, 71.20618226, 115, 320);
INSERT INTO public.ecdc_data VALUES (56838, 0, 12, 2.73232958, 172, 320);
INSERT INTO public.ecdc_data VALUES (56839, 0, 0, 0, 173, 320);
INSERT INTO public.ecdc_data VALUES (56840, 3, 1285, 88.10507534, 116, 320);
INSERT INTO public.ecdc_data VALUES (56841, 30, 201, 4.64218203, 174, 320);
INSERT INTO public.ecdc_data VALUES (56842, 0, 8, 3.01871229, 86, 320);
INSERT INTO public.ecdc_data VALUES (56843, 1, 194, 1.0468208, 117, 320);
INSERT INTO public.ecdc_data VALUES (56844, 0, 1, 1.85535641, 175, 320);
INSERT INTO public.ecdc_data VALUES (56845, 0, 3, 1.33640912, 118, 320);
INSERT INTO public.ecdc_data VALUES (56846, 0, 1501, 149.44402124, 119, 320);
INSERT INTO public.ecdc_data VALUES (56847, 3, 268, 5.10518828, 26, 320);
INSERT INTO public.ecdc_data VALUES (56848, 1, 73, 63.83075731, 176, 320);
INSERT INTO public.ecdc_data VALUES (56849, 1, 919, 232.58428595, 120, 320);
INSERT INTO public.ecdc_data VALUES (56850, 14, 1032, 62.00268678, 121, 320);
INSERT INTO public.ecdc_data VALUES (56851, 0, 0, 0, 122, 320);
INSERT INTO public.ecdc_data VALUES (56852, 0, 1, 0.72917882, 177, 320);
INSERT INTO public.ecdc_data VALUES (56853, 1, 8, 4.39050141, 123, 320);
INSERT INTO public.ecdc_data VALUES (56854, 0, 0, 1.45864026, 27, 320);
INSERT INTO public.ecdc_data VALUES (56855, 0, 15, 5.61026975, 28, 320);
INSERT INTO public.ecdc_data VALUES (56856, 2, 33, 5.7691289, 29, 320);
INSERT INTO public.ecdc_data VALUES (56857, 0, 0, 0, 178, 320);
INSERT INTO public.ecdc_data VALUES (56858, 0, 7, 1.46733358, 179, 320);
INSERT INTO public.ecdc_data VALUES (56859, 0, 50, 49.5199497, 180, 320);
INSERT INTO public.ecdc_data VALUES (56860, 2, 100, 3.70791892, 30, 320);
INSERT INTO public.ecdc_data VALUES (56861, 0, 60, 4.34811806, 31, 320);
INSERT INTO public.ecdc_data VALUES (56862, 0, 3, 0.35680987, 124, 320);
INSERT INTO public.ecdc_data VALUES (56863, 1, 18, 49.53320137, 125, 320);
INSERT INTO public.ecdc_data VALUES (56864, 1, 58, 1.80079146, 32, 320);
INSERT INTO public.ecdc_data VALUES (56865, 0, 1, 1.8234902, 181, 320);
INSERT INTO public.ecdc_data VALUES (56866, 3, 323, 49.69399195, 33, 320);
INSERT INTO public.ecdc_data VALUES (56867, 0, 0, 0.31504249, 34, 320);
INSERT INTO public.ecdc_data VALUES (56868, 679, 7000, 62.78947117, 87, 320);
INSERT INTO public.ecdc_data VALUES (56869, 11, 252, 100.01835154, 182, 320);
INSERT INTO public.ecdc_data VALUES (56870, 0, 3, 18.13510654, 183, 320);
INSERT INTO public.ecdc_data VALUES (56871, 0, 0, 0.4960985, 126, 320);
INSERT INTO public.ecdc_data VALUES (56872, 1, 40, 44.84218444, 184, 320);
INSERT INTO public.ecdc_data VALUES (56873, 0, 0, 0, 88, 320);
INSERT INTO public.ecdc_data VALUES (56874, 1, 333, 10.67949383, 35, 320);
INSERT INTO public.ecdc_data VALUES (56875, 0, 15, 0.84304695, 36, 320);
INSERT INTO public.ecdc_data VALUES (56876, 0, 0, 0.03330532, 127, 320);
INSERT INTO public.ecdc_data VALUES (56877, 0, 8, 10.18230332, 37, 320);
INSERT INTO public.ecdc_data VALUES (56878, 1, 473, 23.31806934, 128, 320);
INSERT INTO public.ecdc_data VALUES (56879, 3, 77, 6.32443983, 185, 320);
INSERT INTO public.ecdc_data VALUES (56880, 0, 0, 0, 207, 320);
INSERT INTO public.ecdc_data VALUES (56881, 0, 0, 0.48086351, 208, 320);
INSERT INTO public.ecdc_data VALUES (56882, 0, 0, 7.71522066, 89, 320);
INSERT INTO public.ecdc_data VALUES (56883, 1, 6, 0.26168219, 38, 320);
INSERT INTO public.ecdc_data VALUES (56884, 13, 626, 4.29430995, 39, 320);
INSERT INTO public.ecdc_data VALUES (56885, 15, 173, 95.27560117, 186, 320);
INSERT INTO public.ecdc_data VALUES (56886, 0, 1, 1.74785451, 209, 320);
INSERT INTO public.ecdc_data VALUES (56887, 0, 8, 3.80990846, 187, 320);
INSERT INTO public.ecdc_data VALUES (56888, 3, 1361, 316.3221167, 129, 320);
INSERT INTO public.ecdc_data VALUES (56889, 78, 4087, 26.24335272, 130, 320);
INSERT INTO public.ecdc_data VALUES (56890, 0, 322, 52.63557273, 131, 320);
INSERT INTO public.ecdc_data VALUES (56891, 22, 774, 279.90504988, 90, 320);
INSERT INTO public.ecdc_data VALUES (56892, 0, 0, 0.03418368, 210, 320);
INSERT INTO public.ecdc_data VALUES (56893, 0, 43, 13.81192138, 91, 320);
INSERT INTO public.ecdc_data VALUES (56894, 185, 3527, 146.46362146, 92, 320);
INSERT INTO public.ecdc_data VALUES (56895, 4, 294, 10.17974831, 132, 320);
INSERT INTO public.ecdc_data VALUES (56896, 15, 371, 10.87883615, 188, 320);
INSERT INTO public.ecdc_data VALUES (56897, 8, 328, 45.66677925, 189, 320);
INSERT INTO public.ecdc_data VALUES (56898, 0, 71, 51.03286148, 93, 320);
INSERT INTO public.ecdc_data VALUES (56899, 3, 894, 475.12933115, 133, 320);
INSERT INTO public.ecdc_data VALUES (56900, 20, 450, 24.03363514, 190, 320);
INSERT INTO public.ecdc_data VALUES (56901, 147, 6760, 68.60385929, 191, 320);
INSERT INTO public.ecdc_data VALUES (56902, 0, 21, 3.30246335, 40, 320);
INSERT INTO public.ecdc_data VALUES (56903, 0, 0, 0, 94, 320);
INSERT INTO public.ecdc_data VALUES (56904, 0, 3, 1.64118275, 95, 320);
INSERT INTO public.ecdc_data VALUES (56905, 0, 0, 0, 96, 320);
INSERT INTO public.ecdc_data VALUES (56906, 0, 0, 5.80500972, 192, 320);
INSERT INTO public.ecdc_data VALUES (56907, 0, 2, 13.48536141, 41, 320);
INSERT INTO public.ecdc_data VALUES (56908, 54, 3383, 150.62508227, 134, 320);
INSERT INTO public.ecdc_data VALUES (56909, 5, 129, 9.68927912, 42, 320);
INSERT INTO public.ecdc_data VALUES (56910, 6, 359, 37.03456924, 193, 320);
INSERT INTO public.ecdc_data VALUES (56911, 0, 0, 0, 43, 320);
INSERT INTO public.ecdc_data VALUES (56912, 0, 20, 3.14851507, 44, 320);
INSERT INTO public.ecdc_data VALUES (56913, 0, 188, 48.8771942, 135, 320);
INSERT INTO public.ecdc_data VALUES (56914, 0, 0, 0, 97, 320);
INSERT INTO public.ecdc_data VALUES (56915, 0, 13, 2.53191451, 194, 320);
INSERT INTO public.ecdc_data VALUES (56916, 0, 20, 5.86282527, 195, 320);
INSERT INTO public.ecdc_data VALUES (56917, 0, 20, 1.45697966, 45, 320);
INSERT INTO public.ecdc_data VALUES (56918, 95, 8728, 143.7388849, 46, 320);
INSERT INTO public.ecdc_data VALUES (56919, 0, 63, 1.29037747, 136, 320);
INSERT INTO public.ecdc_data VALUES (56920, 1, 30, 2.01588955, 47, 320);
INSERT INTO public.ecdc_data VALUES (56921, 17, 442, 10.58864786, 196, 320);
INSERT INTO public.ecdc_data VALUES (56922, 0, 12, 0.55806361, 137, 320);
INSERT INTO public.ecdc_data VALUES (56923, 0, 0, 3.62738281, 48, 320);
INSERT INTO public.ecdc_data VALUES (56924, 0, 12, 46.44258407, 98, 320);
INSERT INTO public.ecdc_data VALUES (56925, 15, 687, 130.95559855, 197, 320);
INSERT INTO public.ecdc_data VALUES (56926, 1, 33, 8.97650625, 198, 320);
INSERT INTO public.ecdc_data VALUES (56927, 0, 19, 0.73227319, 138, 320);
INSERT INTO public.ecdc_data VALUES (56928, 0, 1, 0.01261889, 139, 320);
INSERT INTO public.ecdc_data VALUES (56929, 0, 53, 8.35745175, 140, 320);
INSERT INTO public.ecdc_data VALUES (56930, 0, 1, 0.0560139, 141, 320);
INSERT INTO public.ecdc_data VALUES (56931, 0, 0, 0, 142, 320);
INSERT INTO public.ecdc_data VALUES (56932, 0, 6, 1.48471504, 49, 320);
INSERT INTO public.ecdc_data VALUES (56933, 0, 0, 0.50180327, 99, 320);
INSERT INTO public.ecdc_data VALUES (56934, 0, 3, 0.39333987, 50, 320);
INSERT INTO public.ecdc_data VALUES (56935, 17, 1186, 22.25870234, 199, 320);
INSERT INTO public.ecdc_data VALUES (56936, 0, 2, 83.78279311, 100, 320);
INSERT INTO public.ecdc_data VALUES (56937, 0, 9, 0.36368083, 51, 320);
INSERT INTO public.ecdc_data VALUES (56938, 12, 889, 26.87661033, 200, 320);
INSERT INTO public.ecdc_data VALUES (56939, 1, 400, 58.51271467, 143, 320);
INSERT INTO public.ecdc_data VALUES (56940, 41, 651, 15.58057009, 201, 320);
INSERT INTO public.ecdc_data VALUES (56941, 0, 0, 0, 52, 320);
INSERT INTO public.ecdc_data VALUES (56942, 678, 53399, 166.78380819, 101, 320);
INSERT INTO public.ecdc_data VALUES (56943, 0, 6, 23.90537297, 102, 320);
INSERT INTO public.ecdc_data VALUES (56944, 0, 4, 2.80206637, 103, 320);
INSERT INTO public.ecdc_data VALUES (56945, 1, 295, 10.13895123, 144, 320);
INSERT INTO public.ecdc_data VALUES (56946, 3, 211, 9.78053277, 104, 320);
INSERT INTO public.ecdc_data VALUES (56947, 0, 0, 0.01347679, 145, 320);
INSERT INTO public.ecdc_data VALUES (56948, 0, 0, 75.19855509, 53, 320);
INSERT INTO public.ecdc_data VALUES (56949, 7, 31, 1.08017572, 146, 320);
INSERT INTO public.ecdc_data VALUES (56950, 0, 0, 1.20933648, 54, 320);
INSERT INTO public.ecdc_data VALUES (56951, 0, 12, 1.05151947, 55, 320);
INSERT INTO public.ecdc_data VALUES (56952, 5, 759, 23.27968185, 105, 321);
INSERT INTO public.ecdc_data VALUES (56953, 0, 21, 7.51110858, 147, 321);
INSERT INTO public.ecdc_data VALUES (56954, 6, 113, 5.22378738, 1, 321);
INSERT INTO public.ecdc_data VALUES (56955, 0, 79, 108.95677173, 148, 321);
INSERT INTO public.ecdc_data VALUES (56956, 0, 0, 0.11311755, 2, 321);
INSERT INTO public.ecdc_data VALUES (56957, 0, 0, 0, 56, 321);
INSERT INTO public.ecdc_data VALUES (56958, 0, 0, 0, 57, 321);
INSERT INTO public.ecdc_data VALUES (56959, 13, 904, 21.23683933, 58, 321);
INSERT INTO public.ecdc_data VALUES (56960, 12, 515, 177.60253816, 149, 321);
INSERT INTO public.ecdc_data VALUES (56961, 0, 0, 0, 59, 321);
INSERT INTO public.ecdc_data VALUES (56962, 0, 17, 0.60706577, 202, 321);
INSERT INTO public.ecdc_data VALUES (56963, 1, 11, 4.7071971, 150, 321);
INSERT INTO public.ecdc_data VALUES (56964, 3, 273, 24.05521094, 151, 321);
INSERT INTO public.ecdc_data VALUES (56965, 0, 0, 1.54049183, 60, 321);
INSERT INTO public.ecdc_data VALUES (56966, 0, 507, 291.19576106, 106, 321);
INSERT INTO public.ecdc_data VALUES (56967, 37, 2911, 16.75844302, 107, 321);
INSERT INTO public.ecdc_data VALUES (56968, 0, 0, 0.69681313, 61, 321);
INSERT INTO public.ecdc_data VALUES (56969, 3, 852, 134.85451169, 152, 321);
INSERT INTO public.ecdc_data VALUES (56970, 23, 183, 20.91568265, 153, 321);
INSERT INTO public.ecdc_data VALUES (56971, 0, 0, 0, 62, 321);
INSERT INTO public.ecdc_data VALUES (56972, 0, 1, 0.96600747, 3, 321);
INSERT INTO public.ecdc_data VALUES (56973, 0, 0, 25.59672362, 63, 321);
INSERT INTO public.ecdc_data VALUES (56974, 0, 0, 3.40718182, 108, 321);
INSERT INTO public.ecdc_data VALUES (56975, 33, 460, 56.54427451, 64, 321);
INSERT INTO public.ecdc_data VALUES (56976, 0, 0, 3.84867028, 65, 321);
INSERT INTO public.ecdc_data VALUES (56977, 3, 11, 6.51318177, 154, 321);
INSERT INTO public.ecdc_data VALUES (56978, 0, 0, 0.56430885, 4, 321);
INSERT INTO public.ecdc_data VALUES (56979, 1262, 28936, 134.44948908, 66, 321);
INSERT INTO public.ecdc_data VALUES (56980, 0, 0, 0, 67, 321);
INSERT INTO public.ecdc_data VALUES (56981, 0, 0, 0, 109, 321);
INSERT INTO public.ecdc_data VALUES (56982, 0, 25, 3.51426613, 155, 321);
INSERT INTO public.ecdc_data VALUES (56983, 0, 2, 0.37891122, 5, 321);
INSERT INTO public.ecdc_data VALUES (56984, 0, 0, 0.18212445, 6, 321);
INSERT INTO public.ecdc_data VALUES (56985, 0, 0, 0.01819666, 110, 321);
INSERT INTO public.ecdc_data VALUES (56986, 1, 188, 11.80999496, 7, 321);
INSERT INTO public.ecdc_data VALUES (56987, 69, 705, 35.54565901, 68, 321);
INSERT INTO public.ecdc_data VALUES (56988, 1, 8, 23.82095371, 8, 321);
INSERT INTO public.ecdc_data VALUES (56989, 0, 1, 61.58773172, 69, 321);
INSERT INTO public.ecdc_data VALUES (56990, 0, 104, 16.0584037, 9, 321);
INSERT INTO public.ecdc_data VALUES (56991, 0, 13, 1.61787113, 10, 321);
INSERT INTO public.ecdc_data VALUES (56992, 75, 3527, 311.87679845, 70, 321);
INSERT INTO public.ecdc_data VALUES (56993, 0, 5, 0.00655608, 111, 321);
INSERT INTO public.ecdc_data VALUES (56994, 40, 1340, 29.59508312, 71, 321);
INSERT INTO public.ecdc_data VALUES (56995, 0, 26, 11.51733888, 11, 321);
INSERT INTO public.ecdc_data VALUES (56996, 0, 0, 3.54985332, 12, 321);
INSERT INTO public.ecdc_data VALUES (56997, 0, 21, 4.41797534, 72, 321);
INSERT INTO public.ecdc_data VALUES (56998, 0, 73, 3.38692346, 13, 321);
INSERT INTO public.ecdc_data VALUES (56999, 0, 0, 0.34345327, 156, 321);
INSERT INTO public.ecdc_data VALUES (57000, 0, 9, 1.80879948, 73, 321);
INSERT INTO public.ecdc_data VALUES (57001, 0, 0, 2.44763589, 74, 321);
INSERT INTO public.ecdc_data VALUES (57002, 0, 3, 3.88172609, 157, 321);
INSERT INTO public.ecdc_data VALUES (57003, 2, 62, 6.7325208, 158, 321);
INSERT INTO public.ecdc_data VALUES (57004, 0, 131, 1.8366051, 14, 321);
INSERT INTO public.ecdc_data VALUES (57005, 4, 35, 11.88409187, 159, 321);
INSERT INTO public.ecdc_data VALUES (57006, 1, 210, 232.2411528, 15, 321);
INSERT INTO public.ecdc_data VALUES (57007, 0, 0, 2.78520499, 75, 321);
INSERT INTO public.ecdc_data VALUES (57008, 13, 180, 42.17355559, 76, 321);
INSERT INTO public.ecdc_data VALUES (57009, 44, 420, 36.04882956, 77, 321);
INSERT INTO public.ecdc_data VALUES (57010, 47, 1152, 13.99767837, 16, 321);
INSERT INTO public.ecdc_data VALUES (57011, 3, 71, 17.89712639, 78, 321);
INSERT INTO public.ecdc_data VALUES (57012, 0, 0, 30.67887332, 17, 321);
INSERT INTO public.ecdc_data VALUES (57013, 0, 0, 0, 18, 321);
INSERT INTO public.ecdc_data VALUES (57014, 0, 0, 5.96307423, 160, 321);
INSERT INTO public.ecdc_data VALUES (57015, 0, 0, 7.40332348, 19, 321);
INSERT INTO public.ecdc_data VALUES (57016, 2, 87, 0.87349315, 20, 321);
INSERT INTO public.ecdc_data VALUES (57017, 0, 0, 0, 79, 321);
INSERT INTO public.ecdc_data VALUES (57018, 0, 0, 0, 161, 321);
INSERT INTO public.ecdc_data VALUES (57019, 0, 0, 0, 203, 321);
INSERT INTO public.ecdc_data VALUES (57020, 0, 2, 8.8439138, 162, 321);
INSERT INTO public.ecdc_data VALUES (57021, 107, -766, 11.78579349, 163, 321);
INSERT INTO public.ecdc_data VALUES (57022, 0, 0, 0, 204, 321);
INSERT INTO public.ecdc_data VALUES (57023, 3, 148, 59.88277521, 21, 321);
INSERT INTO public.ecdc_data VALUES (57024, 0, 1, 0.08518991, 22, 321);
INSERT INTO public.ecdc_data VALUES (57025, 1, 4, 2.32688361, 164, 321);
INSERT INTO public.ecdc_data VALUES (57026, 29, 342, 7.66449087, 165, 321);
INSERT INTO public.ecdc_data VALUES (57027, 2, 227, 7.23588097, 23, 321);
INSERT INTO public.ecdc_data VALUES (57028, 0, 2, 74.17077078, 166, 321);
INSERT INTO public.ecdc_data VALUES (57029, 0, 19, 0.90446272, 167, 321);
INSERT INTO public.ecdc_data VALUES (57030, 0, 0, 3.52982704, 80, 321);
INSERT INTO public.ecdc_data VALUES (57031, 0, 0, 0.8928412, 81, 321);
INSERT INTO public.ecdc_data VALUES (57032, 0, 2, 13.7481694, 205, 321);
INSERT INTO public.ecdc_data VALUES (57033, 7, 250, 19.63998927, 82, 321);
INSERT INTO public.ecdc_data VALUES (57034, 0, 0, 0, 168, 321);
INSERT INTO public.ecdc_data VALUES (57035, 0, 0, 7.68131786, 24, 321);
INSERT INTO public.ecdc_data VALUES (57036, 0, 0, 15.66959947, 25, 321);
INSERT INTO public.ecdc_data VALUES (57037, 0, 0, 3.57701766, 83, 321);
INSERT INTO public.ecdc_data VALUES (57038, 3, 281, 16.96694128, 84, 321);
INSERT INTO public.ecdc_data VALUES (57039, 0, 0, 0, 169, 321);
INSERT INTO public.ecdc_data VALUES (57040, 8, 165, 26.39000258, 85, 321);
INSERT INTO public.ecdc_data VALUES (57041, 2, 10, 3.40743184, 170, 321);
INSERT INTO public.ecdc_data VALUES (57042, 0, 0, 1.12047643, 171, 321);
INSERT INTO public.ecdc_data VALUES (57043, 217, 8909, 7.38171028, 112, 321);
INSERT INTO public.ecdc_data VALUES (57044, 22, 609, 3.34521239, 113, 321);
INSERT INTO public.ecdc_data VALUES (57045, 64, 3117, 39.75087746, 114, 321);
INSERT INTO public.ecdc_data VALUES (57046, 20, 519, 9.60574986, 115, 321);
INSERT INTO public.ecdc_data VALUES (57047, 8, 4, 16.61827317, 172, 321);
INSERT INTO public.ecdc_data VALUES (57048, 0, 0, 1.18218681, 173, 321);
INSERT INTO public.ecdc_data VALUES (57049, 3, 123, 8.12266349, 116, 321);
INSERT INTO public.ecdc_data VALUES (57050, 55, 318, 11.29233146, 174, 321);
INSERT INTO public.ecdc_data VALUES (57051, 0, 2, 2.37426809, 86, 321);
INSERT INTO public.ecdc_data VALUES (57052, 6, 56, 0.47374947, 117, 321);
INSERT INTO public.ecdc_data VALUES (57053, 1, 0, 4.63839103, 175, 321);
INSERT INTO public.ecdc_data VALUES (57054, 0, 9, 1.04932864, 118, 321);
INSERT INTO public.ecdc_data VALUES (57055, 3, 225, 26.01956033, 119, 321);
INSERT INTO public.ecdc_data VALUES (57056, 2, 72, 2.14935274, 26, 321);
INSERT INTO public.ecdc_data VALUES (57057, 0, 13, 7.45062847, 176, 321);
INSERT INTO public.ecdc_data VALUES (57058, 6, 887, 282.50017768, 120, 321);
INSERT INTO public.ecdc_data VALUES (57059, 3, 26, 9.36742452, 121, 321);
INSERT INTO public.ecdc_data VALUES (57060, 0, 0, 0, 122, 321);
INSERT INTO public.ecdc_data VALUES (57061, 0, 8, 3.48964149, 177, 321);
INSERT INTO public.ecdc_data VALUES (57062, 0, 9, 4.20087842, 123, 321);
INSERT INTO public.ecdc_data VALUES (57063, 0, 0, 0.04705291, 27, 321);
INSERT INTO public.ecdc_data VALUES (57064, 1, 15, 1.57978715, 28, 321);
INSERT INTO public.ecdc_data VALUES (57065, 0, 14, 1.68204781, 29, 321);
INSERT INTO public.ecdc_data VALUES (57066, 0, 0, 0, 178, 321);
INSERT INTO public.ecdc_data VALUES (57067, 1, 4, 4.29463486, 179, 321);
INSERT INTO public.ecdc_data VALUES (57068, 0, 1, 10.09946343, 180, 321);
INSERT INTO public.ecdc_data VALUES (57069, 0, 19, 1.92440992, 30, 321);
INSERT INTO public.ecdc_data VALUES (57070, 0, 22, 1.54062949, 31, 321);
INSERT INTO public.ecdc_data VALUES (57071, 0, 20, 2.8137901, 124, 321);
INSERT INTO public.ecdc_data VALUES (57072, 1, 12, 131.46073976, 125, 321);
INSERT INTO public.ecdc_data VALUES (57073, 0, 36, 2.28914169, 32, 321);
INSERT INTO public.ecdc_data VALUES (57074, 0, 2, 7.69918085, 181, 321);
INSERT INTO public.ecdc_data VALUES (57075, 8, 138, 12.97037496, 33, 321);
INSERT INTO public.ecdc_data VALUES (57076, 0, 0, 0.23628187, 34, 321);
INSERT INTO public.ecdc_data VALUES (57077, 470, 4716, 41.23204537, 87, 321);
INSERT INTO public.ecdc_data VALUES (57078, 0, 188, 54.60942636, 182, 321);
INSERT INTO public.ecdc_data VALUES (57079, 0, 0, 0, 183, 321);
INSERT INTO public.ecdc_data VALUES (57080, 0, 0, 1.39527702, 126, 321);
INSERT INTO public.ecdc_data VALUES (57081, 0, 0, 0, 184, 321);
INSERT INTO public.ecdc_data VALUES (57082, 0, 0, 0, 88, 321);
INSERT INTO public.ecdc_data VALUES (57083, 1, 33, 2.31137697, 35, 321);
INSERT INTO public.ecdc_data VALUES (57084, 0, 53, 0.5301975, 36, 321);
INSERT INTO public.ecdc_data VALUES (57085, 0, 5, 0.07401182, 127, 321);
INSERT INTO public.ecdc_data VALUES (57086, 0, 0, 0.36079028, 37, 321);
INSERT INTO public.ecdc_data VALUES (57087, 0, 301, 5.93175891, 128, 321);
INSERT INTO public.ecdc_data VALUES (57088, 5, 102, 13.87557796, 185, 321);
INSERT INTO public.ecdc_data VALUES (57089, 0, 0, 0.70732113, 207, 321);
INSERT INTO public.ecdc_data VALUES (57090, 0, 0, 0.02090711, 208, 321);
INSERT INTO public.ecdc_data VALUES (57091, 11, 359, 16.6984875, 89, 321);
INSERT INTO public.ecdc_data VALUES (57092, 0, 2, 0.19733411, 38, 321);
INSERT INTO public.ecdc_data VALUES (57093, 15, 241, 2.19840804, 39, 321);
INSERT INTO public.ecdc_data VALUES (57094, 1, 76, 26.57510452, 186, 321);
INSERT INTO public.ecdc_data VALUES (57095, 0, 1, 3.49570902, 209, 321);
INSERT INTO public.ecdc_data VALUES (57096, 1, 35, 3.54715616, 187, 321);
INSERT INTO public.ecdc_data VALUES (57097, 9, 576, 143.2766123, 129, 321);
INSERT INTO public.ecdc_data VALUES (57098, 67, 4065, 15.96054275, 130, 321);
INSERT INTO public.ecdc_data VALUES (57099, 0, 2, 1.20447535, 131, 321);
INSERT INTO public.ecdc_data VALUES (57100, 8, 258, 99.5657539, 90, 321);
INSERT INTO public.ecdc_data VALUES (57101, 0, 0, 0, 210, 321);
INSERT INTO public.ecdc_data VALUES (57102, 0, 18, 2.61191525, 91, 321);
INSERT INTO public.ecdc_data VALUES (57103, 0, 0, 217.02552243, 92, 321);
INSERT INTO public.ecdc_data VALUES (57104, 6, 359, 5.60043395, 132, 321);
INSERT INTO public.ecdc_data VALUES (57105, 18, 230, 13.50176542, 188, 321);
INSERT INTO public.ecdc_data VALUES (57106, 12, 195, 33.69785991, 189, 321);
INSERT INTO public.ecdc_data VALUES (57107, 2, 62, 38.52179925, 93, 321);
INSERT INTO public.ecdc_data VALUES (57108, 3, 1826, 870.4937129, 133, 321);
INSERT INTO public.ecdc_data VALUES (57109, 0, 119, 11.98076197, 190, 321);
INSERT INTO public.ecdc_data VALUES (57110, 182, 8863, 84.86877491, 191, 321);
INSERT INTO public.ecdc_data VALUES (57111, 1, 7, 0.60188781, 40, 321);
INSERT INTO public.ecdc_data VALUES (57112, 0, 0, 0, 94, 321);
INSERT INTO public.ecdc_data VALUES (57113, 0, 0, 0, 95, 321);
INSERT INTO public.ecdc_data VALUES (57114, 0, 0, 8.13794725, 96, 321);
INSERT INTO public.ecdc_data VALUES (57115, 0, 0, 92.88015557, 192, 321);
INSERT INTO public.ecdc_data VALUES (57116, 0, 0, 108.34790372, 41, 321);
INSERT INTO public.ecdc_data VALUES (57117, 24, 1869, 85.08389724, 134, 321);
INSERT INTO public.ecdc_data VALUES (57118, 1, 97, 7.48019711, 42, 321);
INSERT INTO public.ecdc_data VALUES (57119, 1, 24, 10.35359613, 193, 321);
INSERT INTO public.ecdc_data VALUES (57120, 0, 0, 0, 43, 321);
INSERT INTO public.ecdc_data VALUES (57121, 0, 35, 4.63318072, 44, 321);
INSERT INTO public.ecdc_data VALUES (57122, 0, 544, 121.32294732, 135, 321);
INSERT INTO public.ecdc_data VALUES (57123, 0, 0, 0, 97, 321);
INSERT INTO public.ecdc_data VALUES (57124, 0, 0, 0.49537458, 194, 321);
INSERT INTO public.ecdc_data VALUES (57125, 0, 0, 0.33639161, 195, 321);
INSERT INTO public.ecdc_data VALUES (57126, 0, 66, 3.80109806, 45, 321);
INSERT INTO public.ecdc_data VALUES (57127, 50, 1455, 31.78372748, 46, 321);
INSERT INTO public.ecdc_data VALUES (57128, 1, 49, 0.93703659, 136, 321);
INSERT INTO public.ecdc_data VALUES (57129, 0, 0, 6.40926318, 47, 321);
INSERT INTO public.ecdc_data VALUES (57130, 1, 394, 16.55621379, 196, 321);
INSERT INTO public.ecdc_data VALUES (57131, 0, 40, 3.07638428, 137, 321);
INSERT INTO public.ecdc_data VALUES (57132, 9, 137, 6.35083958, 48, 321);
INSERT INTO public.ecdc_data VALUES (57133, 0, 10, 7.39641154, 98, 321);
INSERT INTO public.ecdc_data VALUES (57134, 36, 900, 79.74440345, 197, 321);
INSERT INTO public.ecdc_data VALUES (57135, 0, 3, 2.99606988, 198, 321);
INSERT INTO public.ecdc_data VALUES (57136, 1, 0, 0.38078206, 138, 321);
INSERT INTO public.ecdc_data VALUES (57137, 0, 0, 0.01261889, 139, 321);
INSERT INTO public.ecdc_data VALUES (57138, 0, 83, 24.50374814, 140, 321);
INSERT INTO public.ecdc_data VALUES (57139, 1, 1, 0.07037643, 141, 321);
INSERT INTO public.ecdc_data VALUES (57140, 0, 0, 0, 142, 321);
INSERT INTO public.ecdc_data VALUES (57141, 0, 2, 1.32387091, 49, 321);
INSERT INTO public.ecdc_data VALUES (57142, 0, 0, 0.07168618, 99, 321);
INSERT INTO public.ecdc_data VALUES (57143, 0, 2, 0.3591364, 50, 321);
INSERT INTO public.ecdc_data VALUES (57144, 22, 786, 16.99919523, 199, 321);
INSERT INTO public.ecdc_data VALUES (57145, 0, 0, 0, 100, 321);
INSERT INTO public.ecdc_data VALUES (57146, 0, 32, 0.51728515, 51, 321);
INSERT INTO public.ecdc_data VALUES (57147, 9, 328, 12.41997622, 200, 321);
INSERT INTO public.ecdc_data VALUES (57148, 3, 596, 109.76891111, 143, 321);
INSERT INTO public.ecdc_data VALUES (57149, 249, 1441, 38.05116117, 201, 321);
INSERT INTO public.ecdc_data VALUES (57150, 0, 0, 0, 52, 321);
INSERT INTO public.ecdc_data VALUES (57151, 1034, 20544, 92.15598027, 101, 321);
INSERT INTO public.ecdc_data VALUES (57152, 0, 0, 0.95621492, 102, 321);
INSERT INTO public.ecdc_data VALUES (57153, 0, 1, 2.54208083, 103, 321);
INSERT INTO public.ecdc_data VALUES (57154, 0, 51, 2.69543291, 144, 321);
INSERT INTO public.ecdc_data VALUES (57155, 1, 157, 3.75230192, 104, 321);
INSERT INTO public.ecdc_data VALUES (57156, 0, 0, 0.00414671, 145, 321);
INSERT INTO public.ecdc_data VALUES (57157, 0, 0, 2.91866538, 53, 321);
INSERT INTO public.ecdc_data VALUES (57158, 3, 45, 0.79555799, 146, 321);
INSERT INTO public.ecdc_data VALUES (57159, 0, 0, 1.77481326, 54, 321);
INSERT INTO public.ecdc_data VALUES (57160, 0, 3, 1.09248776, 55, 321);
INSERT INTO public.ecdc_data VALUES (57161, 4, 134, 4.10338566, 105, 322);
INSERT INTO public.ecdc_data VALUES (57162, 0, 7, 8.41942869, 147, 322);
INSERT INTO public.ecdc_data VALUES (57163, 6, 141, 4.08797945, 1, 322);
INSERT INTO public.ecdc_data VALUES (57164, 1, 1, 56.44748415, 148, 322);
INSERT INTO public.ecdc_data VALUES (57165, 0, 6, 0.0345637, 2, 322);
INSERT INTO public.ecdc_data VALUES (57166, 0, 0, 0, 56, 322);
INSERT INTO public.ecdc_data VALUES (57167, 0, 0, 2.0594141, 57, 322);
INSERT INTO public.ecdc_data VALUES (57168, 12, 149, 4.10891529, 58, 322);
INSERT INTO public.ecdc_data VALUES (57169, 2, 113, 37.02165987, 149, 322);
INSERT INTO public.ecdc_data VALUES (57170, 0, 0, 3.76258113, 59, 322);
INSERT INTO public.ecdc_data VALUES (57171, 0, 16, 0.78164678, 202, 322);
INSERT INTO public.ecdc_data VALUES (57172, 7, 12, 9.1208999, 150, 322);
INSERT INTO public.ecdc_data VALUES (57173, 0, 40, 5.18525647, 151, 322);
INSERT INTO public.ecdc_data VALUES (57174, 0, 1, 6.41871595, 60, 322);
INSERT INTO public.ecdc_data VALUES (57175, 0, 114, 92.06879995, 106, 322);
INSERT INTO public.ecdc_data VALUES (57176, 5, 552, 4.07614596, 107, 322);
INSERT INTO public.ecdc_data VALUES (57177, 0, 0, 2.09043938, 61, 322);
INSERT INTO public.ecdc_data VALUES (57178, 4, 911, 111.41075254, 152, 322);
INSERT INTO public.ecdc_data VALUES (57179, 75, 286, 83.28736568, 153, 322);
INSERT INTO public.ecdc_data VALUES (57180, 0, 0, 0, 62, 322);
INSERT INTO public.ecdc_data VALUES (57181, 0, 0, 0.44910874, 3, 322);
INSERT INTO public.ecdc_data VALUES (57182, 1, 0, 44.79426633, 63, 322);
INSERT INTO public.ecdc_data VALUES (57183, 0, 0, 0.26209091, 108, 322);
INSERT INTO public.ecdc_data VALUES (57184, 5, 241, 8.25146863, 64, 322);
INSERT INTO public.ecdc_data VALUES (57185, 0, 0, 7.69734057, 65, 322);
INSERT INTO public.ecdc_data VALUES (57186, 2, 58, 17.75220706, 154, 322);
INSERT INTO public.ecdc_data VALUES (57187, 0, 0, 0.34726699, 4, 322);
INSERT INTO public.ecdc_data VALUES (57188, 421, 4970, 28.41039406, 66, 322);
INSERT INTO public.ecdc_data VALUES (57189, 0, 0, 9.98901209, 67, 322);
INSERT INTO public.ecdc_data VALUES (57190, 0, 0, 0.23078911, 109, 322);
INSERT INTO public.ecdc_data VALUES (57191, 3, 6, 10.22851444, 155, 322);
INSERT INTO public.ecdc_data VALUES (57192, 0, 3, 0.42812047, 5, 322);
INSERT INTO public.ecdc_data VALUES (57193, 0, 4, 0.11274371, 6, 322);
INSERT INTO public.ecdc_data VALUES (57194, 0, 0, 0, 110, 322);
INSERT INTO public.ecdc_data VALUES (57195, 3, 8, 4.1002633, 7, 322);
INSERT INTO public.ecdc_data VALUES (57196, 175, 1653, 62.47621357, 68, 322);
INSERT INTO public.ecdc_data VALUES (57197, 0, 29, 17.09289808, 8, 322);
INSERT INTO public.ecdc_data VALUES (57198, 0, 0, 20.01601281, 69, 322);
INSERT INTO public.ecdc_data VALUES (57199, 0, 0, 1.26444124, 9, 322);
INSERT INTO public.ecdc_data VALUES (57200, 5, 44, 0.52674874, 10, 322);
INSERT INTO public.ecdc_data VALUES (57201, 13, 1427, 45.93174295, 70, 322);
INSERT INTO public.ecdc_data VALUES (57202, 0, 2, 0.01101979, 111, 322);
INSERT INTO public.ecdc_data VALUES (57203, 10, 279, 7.27858669, 71, 322);
INSERT INTO public.ecdc_data VALUES (57204, 0, 0, 0, 11, 322);
INSERT INTO public.ecdc_data VALUES (57205, 0, 0, 1.59836328, 12, 322);
INSERT INTO public.ecdc_data VALUES (57206, 0, 8, 1.54530079, 72, 322);
INSERT INTO public.ecdc_data VALUES (57207, 0, 29, 2.18147424, 13, 322);
INSERT INTO public.ecdc_data VALUES (57208, 2, 3, 6.28028828, 156, 322);
INSERT INTO public.ecdc_data VALUES (57209, 2, 74, 5.51463257, 73, 322);
INSERT INTO public.ecdc_data VALUES (57210, 0, 0, 1.22381794, 74, 322);
INSERT INTO public.ecdc_data VALUES (57211, 0, 7, 11.75934668, 157, 322);
INSERT INTO public.ecdc_data VALUES (57212, 5, 18, 10.33822231, 158, 322);
INSERT INTO public.ecdc_data VALUES (57213, 1, 70, 0.39981303, 14, 322);
INSERT INTO public.ecdc_data VALUES (57214, 11, 96, 37.28849115, 159, 322);
INSERT INTO public.ecdc_data VALUES (57215, 0, 15, 39.03212652, 15, 322);
INSERT INTO public.ecdc_data VALUES (57216, 0, 0, 0, 75, 322);
INSERT INTO public.ecdc_data VALUES (57217, 13, 290, 30.19846341, 76, 322);
INSERT INTO public.ecdc_data VALUES (57218, 308, 1128, 106.14921199, 77, 322);
INSERT INTO public.ecdc_data VALUES (57219, 9, 298, 3.14878034, 16, 322);
INSERT INTO public.ecdc_data VALUES (57220, 1, 0, 3.96680897, 78, 322);
INSERT INTO public.ecdc_data VALUES (57221, 0, 0, 17.40436082, 17, 322);
INSERT INTO public.ecdc_data VALUES (57222, 0, 0, 0.11437993, 18, 322);
INSERT INTO public.ecdc_data VALUES (57223, 1, 5, 14.11512507, 160, 322);
INSERT INTO public.ecdc_data VALUES (57224, 0, 2, 7.75171518, 19, 322);
INSERT INTO public.ecdc_data VALUES (57225, 0, 0, 0.02498244, 20, 322);
INSERT INTO public.ecdc_data VALUES (57226, 0, 0, 59.31198102, 79, 322);
INSERT INTO public.ecdc_data VALUES (57227, 0, 0, 6.16307496, 161, 322);
INSERT INTO public.ecdc_data VALUES (57228, 0, 0, 0.11236523, 203, 322);
INSERT INTO public.ecdc_data VALUES (57229, 2, 128, 27.14791573, 162, 322);
INSERT INTO public.ecdc_data VALUES (57230, 166, 794, 28.58853275, 163, 322);
INSERT INTO public.ecdc_data VALUES (57231, 0, 0, 1.07417155, 204, 322);
INSERT INTO public.ecdc_data VALUES (57232, 1, 27, 10.40238831, 21, 322);
INSERT INTO public.ecdc_data VALUES (57233, 0, 5, 0.34075962, 22, 322);
INSERT INTO public.ecdc_data VALUES (57234, 0, 0, 4.85392926, 164, 322);
INSERT INTO public.ecdc_data VALUES (57235, 74, 793, 27.22140958, 165, 322);
INSERT INTO public.ecdc_data VALUES (57236, 1, 95, 4.3888692, 23, 322);
INSERT INTO public.ecdc_data VALUES (57237, 0, 0, 32.63513914, 166, 322);
INSERT INTO public.ecdc_data VALUES (57238, 3, 29, 3.85095984, 167, 322);
INSERT INTO public.ecdc_data VALUES (57239, 0, 0, 0, 80, 322);
INSERT INTO public.ecdc_data VALUES (57240, 0, 1, 6.24988839, 81, 322);
INSERT INTO public.ecdc_data VALUES (57241, 0, 2, 7.17295795, 205, 322);
INSERT INTO public.ecdc_data VALUES (57242, 1, 44, 2.45144378, 82, 322);
INSERT INTO public.ecdc_data VALUES (57243, 0, 0, 20.16504312, 168, 322);
INSERT INTO public.ecdc_data VALUES (57244, 0, 49, 8.68356932, 24, 322);
INSERT INTO public.ecdc_data VALUES (57245, 0, 0, 10.77610329, 25, 322);
INSERT INTO public.ecdc_data VALUES (57246, 0, 0, 2.42726198, 83, 322);
INSERT INTO public.ecdc_data VALUES (57247, 0, 0, 0.36402124, 84, 322);
INSERT INTO public.ecdc_data VALUES (57248, 0, 0, 368.09815951, 169, 322);
INSERT INTO public.ecdc_data VALUES (57249, 1, 111, 5.52014828, 85, 322);
INSERT INTO public.ecdc_data VALUES (57250, 5, 56, 11.07159536, 170, 322);
INSERT INTO public.ecdc_data VALUES (57251, 0, 0, 10.64452605, 171, 322);
INSERT INTO public.ecdc_data VALUES (57252, 83, 2644, 1.77603079, 112, 322);
INSERT INTO public.ecdc_data VALUES (57253, 31, 292, 1.69791792, 113, 322);
INSERT INTO public.ecdc_data VALUES (57254, 65, 802, 18.79057832, 114, 322);
INSERT INTO public.ecdc_data VALUES (57255, 1, 66, 1.87485107, 115, 322);
INSERT INTO public.ecdc_data VALUES (57256, 0, 343, 130.86635238, 172, 322);
INSERT INTO public.ecdc_data VALUES (57257, 0, 4, 27.19029661, 173, 322);
INSERT INTO public.ecdc_data VALUES (57258, 4, 84, 34.27482281, 116, 322);
INSERT INTO public.ecdc_data VALUES (57259, 474, 1900, 55.34004514, 174, 322);
INSERT INTO public.ecdc_data VALUES (57260, 0, 31, 9.83625351, 86, 322);
INSERT INTO public.ecdc_data VALUES (57261, 34, 295, 3.52986713, 117, 322);
INSERT INTO public.ecdc_data VALUES (57262, 0, 5, 42.67319752, 175, 322);
INSERT INTO public.ecdc_data VALUES (57263, 1, 1, 0.46526836, 118, 322);
INSERT INTO public.ecdc_data VALUES (57264, 0, 206, 11.98290504, 119, 322);
INSERT INTO public.ecdc_data VALUES (57265, 1, 24, 0.3290602, 26, 322);
INSERT INTO public.ecdc_data VALUES (57266, 1, 11, 17.06972343, 176, 322);
INSERT INTO public.ecdc_data VALUES (57267, 3, 242, 68.14707694, 120, 322);
INSERT INTO public.ecdc_data VALUES (57268, 2, 26, 3.75632165, 121, 322);
INSERT INTO public.ecdc_data VALUES (57269, 0, 0, 0, 122, 322);
INSERT INTO public.ecdc_data VALUES (57270, 0, 1, 8.28138802, 177, 322);
INSERT INTO public.ecdc_data VALUES (57271, 1, 4, 0.88976939, 123, 322);
INSERT INTO public.ecdc_data VALUES (57272, 0, 2, 1.47851874, 28, 322);
INSERT INTO public.ecdc_data VALUES (57273, 0, 0, 0.20656728, 29, 322);
INSERT INTO public.ecdc_data VALUES (57274, 0, 0, 2.60565949, 178, 322);
INSERT INTO public.ecdc_data VALUES (57275, 1, 7, 3.86517137, 179, 322);
INSERT INTO public.ecdc_data VALUES (57276, 0, 10, 44.79600713, 180, 322);
INSERT INTO public.ecdc_data VALUES (57277, 0, 0, 0.06674254, 30, 322);
INSERT INTO public.ecdc_data VALUES (57278, 0, 1, 0.11272899, 31, 322);
INSERT INTO public.ecdc_data VALUES (57279, 0, 105, 2.72615259, 124, 322);
INSERT INTO public.ecdc_data VALUES (57280, 0, 28, 91.15615765, 125, 322);
INSERT INTO public.ecdc_data VALUES (57281, 0, 36, 1.66852994, 32, 322);
INSERT INTO public.ecdc_data VALUES (57282, 0, 9, 9.92789109, 181, 322);
INSERT INTO public.ecdc_data VALUES (57283, 0, 0, 0.02209604, 33, 322);
INSERT INTO public.ecdc_data VALUES (57284, 0, 0, 0.55132436, 34, 322);
INSERT INTO public.ecdc_data VALUES (57285, 89, 1352, 15.43634595, 87, 322);
INSERT INTO public.ecdc_data VALUES (57286, 2, 72, 42.07003362, 182, 322);
INSERT INTO public.ecdc_data VALUES (57287, 0, 0, 3.02251776, 183, 322);
INSERT INTO public.ecdc_data VALUES (57288, 0, 0, 0.24804925, 126, 322);
INSERT INTO public.ecdc_data VALUES (57289, 0, 0, 2.41087013, 184, 322);
INSERT INTO public.ecdc_data VALUES (57290, 0, 0, 0, 88, 322);
INSERT INTO public.ecdc_data VALUES (57291, 2, 160, 5.60433515, 35, 322);
INSERT INTO public.ecdc_data VALUES (57292, 0, 0, 0.14489869, 36, 322);
INSERT INTO public.ecdc_data VALUES (57293, 0, 0, 0.081413, 127, 322);
INSERT INTO public.ecdc_data VALUES (57294, 0, 0, 0, 37, 322);
INSERT INTO public.ecdc_data VALUES (57295, 0, 0, 0.09787227, 128, 322);
INSERT INTO public.ecdc_data VALUES (57296, 94, 445, 50.03424629, 185, 322);
INSERT INTO public.ecdc_data VALUES (57297, 0, 0, 0, 207, 322);
INSERT INTO public.ecdc_data VALUES (57298, 0, 2, 0.79447015, 208, 322);
INSERT INTO public.ecdc_data VALUES (57299, 0, 0, 0.07638832, 89, 322);
INSERT INTO public.ecdc_data VALUES (57300, 2, 8, 0.41611758, 38, 322);
INSERT INTO public.ecdc_data VALUES (57301, 17, 218, 0.9185743, 39, 322);
INSERT INTO public.ecdc_data VALUES (57302, 1, 12, 16.17615058, 186, 322);
INSERT INTO public.ecdc_data VALUES (57303, 0, 0, 0, 209, 322);
INSERT INTO public.ecdc_data VALUES (57304, 0, 0, 14.54521704, 187, 322);
INSERT INTO public.ecdc_data VALUES (57305, 1, 36, 26.19099689, 129, 322);
INSERT INTO public.ecdc_data VALUES (57306, 23, 989, 5.130092, 130, 322);
INSERT INTO public.ecdc_data VALUES (57307, 0, 0, 4.09521619, 131, 322);
INSERT INTO public.ecdc_data VALUES (57308, 5, 370, 66.33792071, 90, 322);
INSERT INTO public.ecdc_data VALUES (57309, 0, 0, 0.01139456, 210, 322);
INSERT INTO public.ecdc_data VALUES (57310, 0, 37, 2.38479218, 91, 322);
INSERT INTO public.ecdc_data VALUES (57311, 76, 2075, 86.47677784, 92, 322);
INSERT INTO public.ecdc_data VALUES (57312, 24, 156, 2.62771806, 132, 322);
INSERT INTO public.ecdc_data VALUES (57313, 13, 270, 12.20083464, 188, 322);
INSERT INTO public.ecdc_data VALUES (57314, 16, -161, 53.56821219, 189, 322);
INSERT INTO public.ecdc_data VALUES (57315, 1, 182, 21.78356612, 93, 322);
INSERT INTO public.ecdc_data VALUES (57316, 0, 776, 348.29635274, 133, 322);
INSERT INTO public.ecdc_data VALUES (57317, 27, 165, 22.22055336, 190, 322);
INSERT INTO public.ecdc_data VALUES (57318, 53, 9623, 59.82014675, 191, 322);
INSERT INTO public.ecdc_data VALUES (57319, 0, 6, 0.87907298, 40, 322);
INSERT INTO public.ecdc_data VALUES (57320, 0, 0, 1.8927206, 94, 322);
INSERT INTO public.ecdc_data VALUES (57321, 0, 0, 1.09412183, 95, 322);
INSERT INTO public.ecdc_data VALUES (57322, 0, 0, 3.61686544, 96, 322);
INSERT INTO public.ecdc_data VALUES (57323, 0, 0, 362.81310771, 192, 322);
INSERT INTO public.ecdc_data VALUES (57324, 0, 0, 6.51017447, 41, 322);
INSERT INTO public.ecdc_data VALUES (57325, 7, 1362, 50.14805275, 134, 322);
INSERT INTO public.ecdc_data VALUES (57326, 0, 91, 4.69429926, 42, 322);
INSERT INTO public.ecdc_data VALUES (57327, 4, 157, 48.36464877, 193, 322);
INSERT INTO public.ecdc_data VALUES (57328, 0, 0, 0, 43, 322);
INSERT INTO public.ecdc_data VALUES (57329, 1, 19, 1.59985522, 44, 322);
INSERT INTO public.ecdc_data VALUES (57330, 1, 447, 199.09230037, 135, 322);
INSERT INTO public.ecdc_data VALUES (57331, 0, 0, 28.30923117, 97, 322);
INSERT INTO public.ecdc_data VALUES (57332, 1, 4, 5.83441169, 194, 322);
INSERT INTO public.ecdc_data VALUES (57333, 1, 5, 5.86282527, 195, 322);
INSERT INTO public.ecdc_data VALUES (57334, 3, 70, 3.47084933, 45, 322);
INSERT INTO public.ecdc_data VALUES (57335, 7, 385, 5.63882808, 46, 322);
INSERT INTO public.ecdc_data VALUES (57336, 0, 13, 0.25768506, 136, 322);
INSERT INTO public.ecdc_data VALUES (57337, 0, 0, 0.3706344, 47, 322);
INSERT INTO public.ecdc_data VALUES (57338, 164, 935, 54.30037587, 196, 322);
INSERT INTO public.ecdc_data VALUES (57339, 0, 15, 2.11501419, 137, 322);
INSERT INTO public.ecdc_data VALUES (57340, 10, 150, 1.22859199, 48, 322);
INSERT INTO public.ecdc_data VALUES (57341, 0, 0, 0, 98, 322);
INSERT INTO public.ecdc_data VALUES (57342, 73, 299, 82.04152711, 197, 322);
INSERT INTO public.ecdc_data VALUES (57343, 32, 112, 28.22859592, 198, 322);
INSERT INTO public.ecdc_data VALUES (57344, 0, 0, 0.03514911, 138, 322);
INSERT INTO public.ecdc_data VALUES (57345, 0, 3, 0.14301409, 139, 322);
INSERT INTO public.ecdc_data VALUES (57346, 0, 17, 0, 140, 322);
INSERT INTO public.ecdc_data VALUES (57347, 0, 6, 0.33464712, 141, 322);
INSERT INTO public.ecdc_data VALUES (57348, 0, 0, 0.46399406, 142, 322);
INSERT INTO public.ecdc_data VALUES (57349, 0, 0, 0.48253239, 49, 322);
INSERT INTO public.ecdc_data VALUES (57350, 0, 0, 0.14337236, 99, 322);
INSERT INTO public.ecdc_data VALUES (57351, 1, 11, 1.22277393, 50, 322);
INSERT INTO public.ecdc_data VALUES (57352, 78, 1983, 51.27318241, 199, 322);
INSERT INTO public.ecdc_data VALUES (57353, 0, 0, 2.61821228, 100, 322);
INSERT INTO public.ecdc_data VALUES (57354, 0, 3, 0.07454328, 51, 322);
INSERT INTO public.ecdc_data VALUES (57355, 7, 550, 14.33161605, 200, 322);
INSERT INTO public.ecdc_data VALUES (57356, 8, 561, 72.75964467, 143, 322);
INSERT INTO public.ecdc_data VALUES (57357, 584, 4737, 98.43487292, 201, 322);
INSERT INTO public.ecdc_data VALUES (57358, 0, 0, 0.5723599, 52, 322);
INSERT INTO public.ecdc_data VALUES (57359, 1317, 29288, 120.94361308, 101, 322);
INSERT INTO public.ecdc_data VALUES (57360, 0, 0, 12.43079395, 102, 322);
INSERT INTO public.ecdc_data VALUES (57361, 0, 4, 3.89978309, 103, 322);
INSERT INTO public.ecdc_data VALUES (57362, 0, 33, 1.91621327, 144, 322);
INSERT INTO public.ecdc_data VALUES (57363, 0, 10, 0.41380526, 104, 322);
INSERT INTO public.ecdc_data VALUES (57364, 0, 0, 0.00207335, 145, 322);
INSERT INTO public.ecdc_data VALUES (57365, 0, 0, 0, 53, 322);
INSERT INTO public.ecdc_data VALUES (57366, 0, 3, 0.03086216, 146, 322);
INSERT INTO public.ecdc_data VALUES (57367, 0, 10, 0.34712436, 54, 322);
INSERT INTO public.ecdc_data VALUES (57368, 0, 0, 0.06145244, 55, 322);
INSERT INTO public.ecdc_data VALUES (57369, 0, 43, 0.55991105, 105, 323);
INSERT INTO public.ecdc_data VALUES (57370, 1, 18, 7.23162547, 147, 323);
INSERT INTO public.ecdc_data VALUES (57371, 5, 139, 2.08115317, 1, 323);
INSERT INTO public.ecdc_data VALUES (57372, 1, 38, 463.3944629, 148, 323);
INSERT INTO public.ecdc_data VALUES (57373, 0, 0, 0, 2, 323);
INSERT INTO public.ecdc_data VALUES (57374, 0, 1, 0, 56, 323);
INSERT INTO public.ecdc_data VALUES (57375, 0, 2, 8.23765639, 57, 323);
INSERT INTO public.ecdc_data VALUES (57376, 3, 0, 2.24427166, 58, 323);
INSERT INTO public.ecdc_data VALUES (57377, 3, 73, 20.28584102, 149, 323);
INSERT INTO public.ecdc_data VALUES (57378, 0, 5, 0, 59, 323);
INSERT INTO public.ecdc_data VALUES (57379, 2, 248, 17.91439182, 202, 323);
INSERT INTO public.ecdc_data VALUES (57380, 12, 418, 100.8378698, 150, 323);
INSERT INTO public.ecdc_data VALUES (57381, 0, 41, 3.54309272, 151, 323);
INSERT INTO public.ecdc_data VALUES (57382, 0, 3, 5.3917214, 60, 323);
INSERT INTO public.ecdc_data VALUES (57383, 0, 74, 22.78870363, 106, 323);
INSERT INTO public.ecdc_data VALUES (57384, 0, 2, 0.02821287, 107, 323);
INSERT INTO public.ecdc_data VALUES (57385, 0, 0, 14.98148219, 61, 323);
INSERT INTO public.ecdc_data VALUES (57386, 4, 102, 2.0841248, 152, 323);
INSERT INTO public.ecdc_data VALUES (57387, 219, 1479, 134.46793637, 153, 323);
INSERT INTO public.ecdc_data VALUES (57388, 0, 0, 0, 62, 323);
INSERT INTO public.ecdc_data VALUES (57389, 0, 0, 0.09321125, 3, 323);
INSERT INTO public.ecdc_data VALUES (57390, 0, 3, 52.79324246, 63, 323);
INSERT INTO public.ecdc_data VALUES (57391, 0, 0, 0.52418182, 108, 323);
INSERT INTO public.ecdc_data VALUES (57392, 1, 9, 1.01623351, 64, 323);
INSERT INTO public.ecdc_data VALUES (57393, 0, 0, 0, 65, 323);
INSERT INTO public.ecdc_data VALUES (57394, 4, 68, 14.78340793, 154, 323);
INSERT INTO public.ecdc_data VALUES (57395, 0, 0, 0, 4, 323);
INSERT INTO public.ecdc_data VALUES (57396, 58, 1074, 3.45369183, 66, 323);
INSERT INTO public.ecdc_data VALUES (57397, 0, 0, 0, 67, 323);
INSERT INTO public.ecdc_data VALUES (57398, 0, 2, 13.84734685, 109, 323);
INSERT INTO public.ecdc_data VALUES (57399, 0, 35, 5.02854341, 155, 323);
INSERT INTO public.ecdc_data VALUES (57400, 2, 27, 1.25483585, 5, 323);
INSERT INTO public.ecdc_data VALUES (57401, 0, 1, 0, 6, 323);
INSERT INTO public.ecdc_data VALUES (57402, 0, 4, 0.5458998, 110, 323);
INSERT INTO public.ecdc_data VALUES (57403, 1, 38, 0.99318348, 7, 323);
INSERT INTO public.ecdc_data VALUES (57404, 29, 1673, 27.8580883, 68, 323);
INSERT INTO public.ecdc_data VALUES (57405, 0, 0, 1.09103605, 8, 323);
INSERT INTO public.ecdc_data VALUES (57406, 0, 6, 41.57171891, 69, 323);
INSERT INTO public.ecdc_data VALUES (57407, 0, 0, 0.14751814, 9, 323);
INSERT INTO public.ecdc_data VALUES (57408, 0, 0, 0.03762491, 10, 323);
INSERT INTO public.ecdc_data VALUES (57409, 2, 373, 16.15657633, 70, 323);
INSERT INTO public.ecdc_data VALUES (57410, 10, 70, 0.08620547, 111, 323);
INSERT INTO public.ecdc_data VALUES (57411, 2, 96, 2.05206879, 71, 323);
INSERT INTO public.ecdc_data VALUES (57412, 1, 19, 0.70625354, 12, 323);
INSERT INTO public.ecdc_data VALUES (57413, 0, 21, 6.12176851, 72, 323);
INSERT INTO public.ecdc_data VALUES (57414, 0, 4, 0.71938099, 13, 323);
INSERT INTO public.ecdc_data VALUES (57415, 1, 48, 22.25086513, 156, 323);
INSERT INTO public.ecdc_data VALUES (57416, 0, 21, 1.91468043, 73, 323);
INSERT INTO public.ecdc_data VALUES (57417, 0, 0, 0, 74, 323);
INSERT INTO public.ecdc_data VALUES (57418, 0, 36, 34.02218749, 157, 323);
INSERT INTO public.ecdc_data VALUES (57419, 5, 269, 29.70947811, 158, 323);
INSERT INTO public.ecdc_data VALUES (57420, 0, 0, 0.12558968, 14, 323);
INSERT INTO public.ecdc_data VALUES (57421, 19, 279, 38.49412366, 159, 323);
INSERT INTO public.ecdc_data VALUES (57422, 0, 7, 4.1086449, 15, 323);
INSERT INTO public.ecdc_data VALUES (57423, 0, 0, 0, 75, 323);
INSERT INTO public.ecdc_data VALUES (57424, 3, 96, 12.65486024, 76, 323);
INSERT INTO public.ecdc_data VALUES (57425, 0, 405, 17.06031148, 77, 323);
INSERT INTO public.ecdc_data VALUES (57426, 6, 69, 0.56680038, 16, 323);
INSERT INTO public.ecdc_data VALUES (57427, 0, 5, 0.69729064, 78, 323);
INSERT INTO public.ecdc_data VALUES (57428, 0, 0, 0.81122021, 17, 323);
INSERT INTO public.ecdc_data VALUES (57429, 0, 4, 0, 18, 323);
INSERT INTO public.ecdc_data VALUES (57430, 6, 79, 44.60983379, 160, 323);
INSERT INTO public.ecdc_data VALUES (57431, 0, 0, 0.69678339, 19, 323);
INSERT INTO public.ecdc_data VALUES (57432, 0, 0, 0.01962906, 20, 323);
INSERT INTO public.ecdc_data VALUES (57433, 0, 4, 215.70762372, 161, 323);
INSERT INTO public.ecdc_data VALUES (57434, 0, 0, 0.67419139, 203, 323);
INSERT INTO public.ecdc_data VALUES (57435, 2, 72, 20.26126154, 162, 323);
INSERT INTO public.ecdc_data VALUES (57436, 471, 2116, 71.79216569, 163, 323);
INSERT INTO public.ecdc_data VALUES (57437, 0, 0, 12.17394418, 204, 323);
INSERT INTO public.ecdc_data VALUES (57438, 0, 0, 0.690424, 21, 323);
INSERT INTO public.ecdc_data VALUES (57439, 0, 0, 0.12778486, 22, 323);
INSERT INTO public.ecdc_data VALUES (57440, 0, 6, 2.02664057, 164, 323);
INSERT INTO public.ecdc_data VALUES (57441, 145, 6174, 78.96726267, 165, 323);
INSERT INTO public.ecdc_data VALUES (57442, 0, 9, 0.6344957, 23, 323);
INSERT INTO public.ecdc_data VALUES (57443, 0, 19, 231.41280484, 166, 323);
INSERT INTO public.ecdc_data VALUES (57444, 3, 139, 9.79057585, 167, 323);
INSERT INTO public.ecdc_data VALUES (57445, 0, 0, 14.11930815, 80, 323);
INSERT INTO public.ecdc_data VALUES (57446, 0, 0, 0, 81, 323);
INSERT INTO public.ecdc_data VALUES (57447, 0, 5, 41.8422547, 205, 323);
INSERT INTO public.ecdc_data VALUES (57448, 0, 1, 0.21613657, 82, 323);
INSERT INTO public.ecdc_data VALUES (57449, 0, 13, 139.60414469, 168, 323);
INSERT INTO public.ecdc_data VALUES (57450, 0, 22, 0.39933457, 24, 323);
INSERT INTO public.ecdc_data VALUES (57451, 0, 0, 0, 25, 323);
INSERT INTO public.ecdc_data VALUES (57452, 0, 0, 1.78850883, 83, 323);
INSERT INTO public.ecdc_data VALUES (57453, 0, 2, 0.14205707, 84, 323);
INSERT INTO public.ecdc_data VALUES (57454, 0, 0, 613.49693252, 169, 323);
INSERT INTO public.ecdc_data VALUES (57455, 1, 3, 2.03157874, 85, 323);
INSERT INTO public.ecdc_data VALUES (57456, 5, 38, 5.5051001, 170, 323);
INSERT INTO public.ecdc_data VALUES (57457, 2, 99, 277.03779647, 171, 323);
INSERT INTO public.ecdc_data VALUES (57458, 6, 336, 0.15441837, 112, 323);
INSERT INTO public.ecdc_data VALUES (57459, 13, 113, 0.57755075, 113, 323);
INSERT INTO public.ecdc_data VALUES (57460, 124, 2875, 38.66782615, 114, 323);
INSERT INTO public.ecdc_data VALUES (57461, 4, 78, 1.51361789, 115, 323);
INSERT INTO public.ecdc_data VALUES (57462, 13, 402, 67.12558929, 172, 323);
INSERT INTO public.ecdc_data VALUES (57463, 1, 6, 83.93526345, 173, 323);
INSERT INTO public.ecdc_data VALUES (57464, 13, 661, 65.43908806, 116, 323);
INSERT INTO public.ecdc_data VALUES (57465, 760, 4668, 122.94161391, 174, 323);
INSERT INTO public.ecdc_data VALUES (57466, 0, 3, 1.05146158, 86, 323);
INSERT INTO public.ecdc_data VALUES (57467, 6, 439, 1.31404388, 117, 323);
INSERT INTO public.ecdc_data VALUES (57468, 0, 0, 70.50354373, 175, 323);
INSERT INTO public.ecdc_data VALUES (57469, 0, 21, 2.40553642, 118, 323);
INSERT INTO public.ecdc_data VALUES (57470, 1, 38, 1.81657175, 119, 323);
INSERT INTO public.ecdc_data VALUES (57471, 2, 29, 0.19591445, 26, 323);
INSERT INTO public.ecdc_data VALUES (57472, 0, 8, 6.50539948, 176, 323);
INSERT INTO public.ecdc_data VALUES (57473, 0, 25, 4.61127762, 120, 323);
INSERT INTO public.ecdc_data VALUES (57474, 0, 13, 1.85478123, 121, 323);
INSERT INTO public.ecdc_data VALUES (57475, 0, 0, 0, 122, 323);
INSERT INTO public.ecdc_data VALUES (57476, 0, 12, 19.37532292, 177, 323);
INSERT INTO public.ecdc_data VALUES (57477, 4, 15, 5.03230228, 123, 323);
INSERT INTO public.ecdc_data VALUES (57478, 0, 0, 0.08101473, 28, 323);
INSERT INTO public.ecdc_data VALUES (57479, 1, 1, 0, 29, 323);
INSERT INTO public.ecdc_data VALUES (57480, 0, 3, 130.28297462, 178, 323);
INSERT INTO public.ecdc_data VALUES (57481, 1, 68, 21.5089629, 179, 323);
INSERT INTO public.ecdc_data VALUES (57482, 1, 168, 348.92017189, 180, 323);
INSERT INTO public.ecdc_data VALUES (57483, 0, 5, 0.21876722, 30, 323);
INSERT INTO public.ecdc_data VALUES (57484, 0, 3, 0, 31, 323);
INSERT INTO public.ecdc_data VALUES (57485, 5, 208, 6.93588305, 124, 323);
INSERT INTO public.ecdc_data VALUES (57486, 0, 0, 1.13003501, 125, 323);
INSERT INTO public.ecdc_data VALUES (57487, 2, 8, 0, 32, 323);
INSERT INTO public.ecdc_data VALUES (57488, 0, 7, 27.96018308, 181, 323);
INSERT INTO public.ecdc_data VALUES (57489, 1, 1, 0.08838416, 33, 323);
INSERT INTO public.ecdc_data VALUES (57490, 2, 15, 13.07426339, 34, 323);
INSERT INTO public.ecdc_data VALUES (57491, 13, 321, 2.13677342, 87, 323);
INSERT INTO public.ecdc_data VALUES (57492, 1, 82, 11.2780337, 182, 323);
INSERT INTO public.ecdc_data VALUES (57493, 0, 3, 93.69805048, 183, 323);
INSERT INTO public.ecdc_data VALUES (57494, 0, 0, 0.2790554, 126, 323);
INSERT INTO public.ecdc_data VALUES (57495, 1, 21, 21.05493248, 184, 323);
INSERT INTO public.ecdc_data VALUES (57496, 0, 0, 0, 88, 323);
INSERT INTO public.ecdc_data VALUES (57497, 5, 54, 1.76849128, 35, 323);
INSERT INTO public.ecdc_data VALUES (57498, 0, 0, 0, 36, 323);
INSERT INTO public.ecdc_data VALUES (57499, 0, 4, 0, 127, 323);
INSERT INTO public.ecdc_data VALUES (57500, 0, 0, 0.44096589, 37, 323);
INSERT INTO public.ecdc_data VALUES (57501, 0, 0, 0.01398175, 128, 323);
INSERT INTO public.ecdc_data VALUES (57502, 166, 1083, 70.80710904, 185, 323);
INSERT INTO public.ecdc_data VALUES (57503, 0, 0, 5.65856902, 207, 323);
INSERT INTO public.ecdc_data VALUES (57504, 0, 49, 15.32491111, 208, 323);
INSERT INTO public.ecdc_data VALUES (57505, 0, 0, 0.06111066, 89, 323);
INSERT INTO public.ecdc_data VALUES (57506, 0, 0, 0.31745053, 38, 323);
INSERT INTO public.ecdc_data VALUES (57507, 0, 23, 0.08260202, 39, 323);
INSERT INTO public.ecdc_data VALUES (57508, 1, 0, 14.73185142, 186, 323);
INSERT INTO public.ecdc_data VALUES (57509, 0, 2, 0, 209, 323);
INSERT INTO public.ecdc_data VALUES (57510, 10, 270, 63.4922184, 187, 323);
INSERT INTO public.ecdc_data VALUES (57511, 0, 21, 3.85930269, 129, 323);
INSERT INTO public.ecdc_data VALUES (57512, 0, 0, 0.83716083, 130, 323);
INSERT INTO public.ecdc_data VALUES (57513, 0, 21, 2.16805563, 131, 323);
INSERT INTO public.ecdc_data VALUES (57514, 5, 158, 31.50874615, 90, 323);
INSERT INTO public.ecdc_data VALUES (57515, 0, 0, 0.01139456, 210, 323);
INSERT INTO public.ecdc_data VALUES (57516, 0, 8, 0.90849226, 91, 323);
INSERT INTO public.ecdc_data VALUES (57517, 8, 91, 3.62960083, 92, 323);
INSERT INTO public.ecdc_data VALUES (57518, 11, 322, 2.22259996, 132, 323);
INSERT INTO public.ecdc_data VALUES (57519, 14, 392, 6.82330295, 188, 323);
INSERT INTO public.ecdc_data VALUES (57520, 22, 783, 80.26960623, 189, 323);
INSERT INTO public.ecdc_data VALUES (57521, 1, 30, 0, 93, 323);
INSERT INTO public.ecdc_data VALUES (57522, 1, 114, 17.26651627, 133, 323);
INSERT INTO public.ecdc_data VALUES (57523, 9, 278, 12.67612003, 190, 323);
INSERT INTO public.ecdc_data VALUES (57524, 6, 771, 2.29584432, 191, 323);
INSERT INTO public.ecdc_data VALUES (57525, 0, 0, 0.56228992, 40, 323);
INSERT INTO public.ecdc_data VALUES (57526, 0, 0, 0, 94, 323);
INSERT INTO public.ecdc_data VALUES (57527, 0, 0, 6.01767007, 95, 323);
INSERT INTO public.ecdc_data VALUES (57528, 0, 0, 0, 96, 323);
INSERT INTO public.ecdc_data VALUES (57529, 4, 9, 345.39807854, 192, 323);
INSERT INTO public.ecdc_data VALUES (57530, 5, 165, 4.80615903, 134, 323);
INSERT INTO public.ecdc_data VALUES (57531, 0, 5, 0.97567788, 42, 323);
INSERT INTO public.ecdc_data VALUES (57532, 8, 111, 15.00625237, 193, 323);
INSERT INTO public.ecdc_data VALUES (57533, 0, 0, 4.09244841, 43, 323);
INSERT INTO public.ecdc_data VALUES (57534, 0, 1, 0, 44, 323);
INSERT INTO public.ecdc_data VALUES (57535, 1, 49, 12.12884904, 135, 323);
INSERT INTO public.ecdc_data VALUES (57536, 1, 7, 0, 97, 323);
INSERT INTO public.ecdc_data VALUES (57537, 0, 26, 5.55920359, 194, 323);
INSERT INTO public.ecdc_data VALUES (57538, 1, 56, 27.7763361, 195, 323);
INSERT INTO public.ecdc_data VALUES (57539, 0, 0, 0.02590186, 45, 323);
INSERT INTO public.ecdc_data VALUES (57540, 0, 82, 2.24050346, 46, 323);
INSERT INTO public.ecdc_data VALUES (57541, 5, 86, 2.75254498, 136, 323);
INSERT INTO public.ecdc_data VALUES (57542, 950, 7272, 213.54341324, 196, 323);
INSERT INTO public.ecdc_data VALUES (57543, 1, 5, 0.44551297, 137, 323);
INSERT INTO public.ecdc_data VALUES (57544, 0, 0, 0.01167863, 48, 323);
INSERT INTO public.ecdc_data VALUES (57545, 0, 0, 1.54808614, 98, 323);
INSERT INTO public.ecdc_data VALUES (57546, 70, 554, 38.23000268, 197, 323);
INSERT INTO public.ecdc_data VALUES (57547, 54, 1124, 167.7213964, 198, 323);
INSERT INTO public.ecdc_data VALUES (57548, 0, 6, 0, 138, 323);
INSERT INTO public.ecdc_data VALUES (57549, 0, 0, 0.97165456, 139, 323);
INSERT INTO public.ecdc_data VALUES (57550, 3, 104, 2.38848994, 141, 323);
INSERT INTO public.ecdc_data VALUES (57551, 0, 0, 0, 142, 323);
INSERT INTO public.ecdc_data VALUES (57552, 0, 3, 0.47015976, 49, 323);
INSERT INTO public.ecdc_data VALUES (57553, 1, 8, 6.30838391, 99, 323);
INSERT INTO public.ecdc_data VALUES (57554, 3, 61, 3.55716053, 50, 323);
INSERT INTO public.ecdc_data VALUES (57555, 79, 2456, 21.67702256, 199, 323);
INSERT INTO public.ecdc_data VALUES (57556, 0, 0, 0, 100, 323);
INSERT INTO public.ecdc_data VALUES (57557, 0, 1, 0, 51, 323);
INSERT INTO public.ecdc_data VALUES (57558, 2, 103, 1.9798315, 200, 323);
INSERT INTO public.ecdc_data VALUES (57559, 0, 210, 9.04761934, 143, 323);
INSERT INTO public.ecdc_data VALUES (57560, 657, 4913, 56.94920434, 201, 323);
INSERT INTO public.ecdc_data VALUES (57561, 0, 1, 0.03103156, 52, 323);
INSERT INTO public.ecdc_data VALUES (57562, 915, 28819, 70.28704309, 101, 323);
INSERT INTO public.ecdc_data VALUES (57563, 0, 3, 0, 102, 323);
INSERT INTO public.ecdc_data VALUES (57564, 2, 18, 7.65512976, 103, 323);
INSERT INTO public.ecdc_data VALUES (57565, 0, 3, 0.50634117, 144, 323);
INSERT INTO public.ecdc_data VALUES (57566, 0, 1, 0.38925749, 104, 323);
INSERT INTO public.ecdc_data VALUES (57567, 0, 3, 0.1544648, 145, 323);
INSERT INTO public.ecdc_data VALUES (57568, 1, 3, 0.20715486, 54, 323);
INSERT INTO public.ecdc_data VALUES (57569, 0, 0, 0.05462439, 55, 323);
INSERT INTO public.ecdc_data VALUES (57570, 0, 1, 0, 148, 324);
INSERT INTO public.ecdc_data VALUES (57571, 0, 4, 0.0714195, 202, 324);
INSERT INTO public.ecdc_data VALUES (57572, 0, 4, 0.20318836, 150, 324);
INSERT INTO public.ecdc_data VALUES (57573, 0, 19, 0.1571295, 153, 324);
INSERT INTO public.ecdc_data VALUES (57574, 0, 0, 0.00094764, 66, 324);
INSERT INTO public.ecdc_data VALUES (57575, 0, 3, 0.05078715, 68, 324);
INSERT INTO public.ecdc_data VALUES (57576, 32, 127, 0.54073708, 111, 324);
INSERT INTO public.ecdc_data VALUES (57577, 0, 1, 0.19625901, 156, 324);
INSERT INTO public.ecdc_data VALUES (57578, 0, 2, 0.04694924, 158, 324);
INSERT INTO public.ecdc_data VALUES (57579, 0, 1, 0.08611661, 159, 324);
INSERT INTO public.ecdc_data VALUES (57580, 0, 1, 0.04029088, 77, 324);
INSERT INTO public.ecdc_data VALUES (57581, 1, 48, 0.24771356, 163, 324);
INSERT INTO public.ecdc_data VALUES (57582, 0, 28, 0.17104474, 165, 324);
INSERT INTO public.ecdc_data VALUES (57583, 0, 3, 1.68071464, 171, 324);
INSERT INTO public.ecdc_data VALUES (57584, 0, 2, 0.00014637, 112, 324);
INSERT INTO public.ecdc_data VALUES (57585, 12, 523, 1.81031181, 114, 324);
INSERT INTO public.ecdc_data VALUES (57586, 0, 2, 0.05342181, 115, 324);
INSERT INTO public.ecdc_data VALUES (57587, 17, 347, 3.36814992, 174, 324);
INSERT INTO public.ecdc_data VALUES (57588, 0, 0, 0.15371239, 117, 324);
INSERT INTO public.ecdc_data VALUES (57589, 0, 1, 0, 118, 324);
INSERT INTO public.ecdc_data VALUES (57590, 0, 10, 1.33109045, 120, 324);
INSERT INTO public.ecdc_data VALUES (57591, 0, 1, 0, 177, 324);
INSERT INTO public.ecdc_data VALUES (57592, 0, 3, 0.18962298, 123, 324);
INSERT INTO public.ecdc_data VALUES (57593, 0, 1, 0.01019004, 87, 324);
INSERT INTO public.ecdc_data VALUES (57594, 0, 1, 0, 35, 324);
INSERT INTO public.ecdc_data VALUES (57595, 0, 5, 0.10415363, 185, 324);
INSERT INTO public.ecdc_data VALUES (57596, 0, 6, 0.46920055, 187, 324);
INSERT INTO public.ecdc_data VALUES (57597, 0, 1, 0.14070374, 129, 324);
INSERT INTO public.ecdc_data VALUES (57598, 0, 2, 0, 189, 324);
INSERT INTO public.ecdc_data VALUES (57599, 0, 1, 0.00068553, 191, 324);
INSERT INTO public.ecdc_data VALUES (57600, 0, 1, 0, 134, 324);
INSERT INTO public.ecdc_data VALUES (57601, 0, 1, 0, 42, 324);
INSERT INTO public.ecdc_data VALUES (57602, 0, 2, 0.53408284, 135, 324);
INSERT INTO public.ecdc_data VALUES (57603, 0, 1, 0, 97, 324);
INSERT INTO public.ecdc_data VALUES (57604, 6, 600, 9.33327485, 136, 324);
INSERT INTO public.ecdc_data VALUES (57605, 0, 56, 0.4047974, 196, 324);
INSERT INTO public.ecdc_data VALUES (57606, 0, 5, 0.12707493, 197, 324);
INSERT INTO public.ecdc_data VALUES (57607, 0, 6, 0.35110194, 198, 324);
INSERT INTO public.ecdc_data VALUES (57608, 0, 1, 0.07991964, 139, 324);
INSERT INTO public.ecdc_data VALUES (57609, 0, 1, 0, 50, 324);
INSERT INTO public.ecdc_data VALUES (57610, 0, 22, 0.08852597, 201, 324);
INSERT INTO public.ecdc_data VALUES (57611, 4, 14, 0.02674244, 101, 324);
INSERT INTO public.ecdc_data VALUES (57612, 0, 0, 0, 105, 325);
INSERT INTO public.ecdc_data VALUES (57613, 0, 0, 0, 1, 325);
INSERT INTO public.ecdc_data VALUES (57614, 0, 0, 0, 149, 325);
INSERT INTO public.ecdc_data VALUES (57615, 0, 0, 0.04364525, 202, 325);
INSERT INTO public.ecdc_data VALUES (57616, 0, 0, 0, 150, 325);
INSERT INTO public.ecdc_data VALUES (57617, 0, 0, 0, 151, 325);
INSERT INTO public.ecdc_data VALUES (57618, 0, 0, 0, 106, 325);
INSERT INTO public.ecdc_data VALUES (57619, 0, 0, 0, 152, 325);
INSERT INTO public.ecdc_data VALUES (57620, 0, 0, 0, 153, 325);
INSERT INTO public.ecdc_data VALUES (57621, 0, 0, 0, 66, 325);
INSERT INTO public.ecdc_data VALUES (57622, 0, 0, 0.00606555, 110, 325);
INSERT INTO public.ecdc_data VALUES (57623, 0, 0, 0.01069203, 68, 325);
INSERT INTO public.ecdc_data VALUES (57624, 0, 0, 0, 214, 325);
INSERT INTO public.ecdc_data VALUES (57625, 57, 2812, 1.18400008, 111, 325);
INSERT INTO public.ecdc_data VALUES (57626, 0, 0, 0, 156, 325);
INSERT INTO public.ecdc_data VALUES (57627, 0, 0, 0, 158, 325);
INSERT INTO public.ecdc_data VALUES (57628, 0, 0, 0, 159, 325);
INSERT INTO public.ecdc_data VALUES (57629, 0, 0, 0, 76, 325);
INSERT INTO public.ecdc_data VALUES (57630, 0, 0, 0, 77, 325);
INSERT INTO public.ecdc_data VALUES (57631, 0, 0, 0, 16, 325);
INSERT INTO public.ecdc_data VALUES (57632, 0, 0, 0, 160, 325);
INSERT INTO public.ecdc_data VALUES (57633, 0, 0, 0.01812277, 162, 325);
INSERT INTO public.ecdc_data VALUES (57634, 0, 0, 0.0089535, 163, 325);
INSERT INTO public.ecdc_data VALUES (57635, 0, 0, 0, 164, 325);
INSERT INTO public.ecdc_data VALUES (57636, 0, 1, 0.01084086, 165, 325);
INSERT INTO public.ecdc_data VALUES (57637, 0, 0, 0, 167, 325);
INSERT INTO public.ecdc_data VALUES (57638, 0, 0, 0, 171, 325);
INSERT INTO public.ecdc_data VALUES (57639, 0, 0, 0.00014637, 112, 325);
INSERT INTO public.ecdc_data VALUES (57640, 0, 0, 0, 113, 325);
INSERT INTO public.ecdc_data VALUES (57641, 0, 0, 0, 114, 325);
INSERT INTO public.ecdc_data VALUES (57642, 0, 0, 0, 115, 325);
INSERT INTO public.ecdc_data VALUES (57643, 0, 0, 0, 172, 325);
INSERT INTO public.ecdc_data VALUES (57644, 0, 0, 0, 116, 325);
INSERT INTO public.ecdc_data VALUES (57645, 0, 0, 0.00497022, 174, 325);
INSERT INTO public.ecdc_data VALUES (57646, 0, 1, 0.0149771, 117, 325);
INSERT INTO public.ecdc_data VALUES (57647, 0, 0, 0, 120, 325);
INSERT INTO public.ecdc_data VALUES (57648, 0, 0, 0, 123, 325);
INSERT INTO public.ecdc_data VALUES (57649, 0, 0, 0, 179, 325);
INSERT INTO public.ecdc_data VALUES (57650, 0, 0, 0, 180, 325);
INSERT INTO public.ecdc_data VALUES (57651, 0, 0, 0.02503929, 124, 325);
INSERT INTO public.ecdc_data VALUES (57652, 0, 0, 0.00078385, 87, 325);
INSERT INTO public.ecdc_data VALUES (57653, 0, 0, 0, 183, 325);
INSERT INTO public.ecdc_data VALUES (57654, 0, 0, 0.00349544, 128, 325);
INSERT INTO public.ecdc_data VALUES (57655, 0, 0, 0, 185, 325);
INSERT INTO public.ecdc_data VALUES (57656, 0, 0, 0, 208, 325);
INSERT INTO public.ecdc_data VALUES (57657, 0, 0, 0, 39, 325);
INSERT INTO public.ecdc_data VALUES (57658, 0, 0, 0, 186, 325);
INSERT INTO public.ecdc_data VALUES (57659, 0, 0, 0, 187, 325);
INSERT INTO public.ecdc_data VALUES (57660, 0, 0, 0, 129, 325);
INSERT INTO public.ecdc_data VALUES (57661, 0, 0, 0, 130, 325);
INSERT INTO public.ecdc_data VALUES (57662, 0, 0, 0.00184985, 132, 325);
INSERT INTO public.ecdc_data VALUES (57663, 0, 0, 0, 133, 325);
INSERT INTO public.ecdc_data VALUES (57664, 0, 0, 0, 190, 325);
INSERT INTO public.ecdc_data VALUES (57665, 0, 0, 0.00137106, 191, 325);
INSERT INTO public.ecdc_data VALUES (57666, 0, 0, 0, 192, 325);
INSERT INTO public.ecdc_data VALUES (57667, 0, 0, 0.31011262, 135, 325);
INSERT INTO public.ecdc_data VALUES (57668, 0, 0, 0.02733023, 136, 325);
INSERT INTO public.ecdc_data VALUES (57669, 0, 0, 0.00213051, 196, 325);
INSERT INTO public.ecdc_data VALUES (57670, 0, 0, 0.00468961, 137, 325);
INSERT INTO public.ecdc_data VALUES (57671, 0, 0, 0, 197, 325);
INSERT INTO public.ecdc_data VALUES (57672, 0, 0, 0, 198, 325);
INSERT INTO public.ecdc_data VALUES (57673, 0, 0, 0.04206297, 139, 325);
INSERT INTO public.ecdc_data VALUES (57674, 0, 0, 0.02441631, 141, 325);
INSERT INTO public.ecdc_data VALUES (57675, 0, 0, 0.05117432, 143, 325);
INSERT INTO public.ecdc_data VALUES (57676, 0, 0, 0.00300088, 201, 325);
INSERT INTO public.ecdc_data VALUES (57677, 0, 3, 0.00334281, 101, 325);
INSERT INTO public.ecdc_data VALUES (57678, 0, 1, 0.00829341, 145, 325);
INSERT INTO public.ecdc_data VALUES (57679, 0, 0, 0, 105, 326);
INSERT INTO public.ecdc_data VALUES (57680, 0, 0, 0, 1, 326);
INSERT INTO public.ecdc_data VALUES (57681, 0, 0, 0, 149, 326);
INSERT INTO public.ecdc_data VALUES (57682, 0, 0, 0, 202, 326);
INSERT INTO public.ecdc_data VALUES (57683, 0, 0, 0, 150, 326);
INSERT INTO public.ecdc_data VALUES (57684, 0, 0, 0, 151, 326);
INSERT INTO public.ecdc_data VALUES (57685, 0, 0, 0, 106, 326);
INSERT INTO public.ecdc_data VALUES (57686, 0, 0, 0, 152, 326);
INSERT INTO public.ecdc_data VALUES (57687, 0, 0, 0, 153, 326);
INSERT INTO public.ecdc_data VALUES (57688, 0, 0, 0, 66, 326);
INSERT INTO public.ecdc_data VALUES (57689, 0, 0, 0, 110, 326);
INSERT INTO public.ecdc_data VALUES (57690, 0, 0, 0, 68, 326);
INSERT INTO public.ecdc_data VALUES (57691, 0, 0, 0, 214, 326);
INSERT INTO public.ecdc_data VALUES (57692, 0, 17, 0, 111, 326);
INSERT INTO public.ecdc_data VALUES (57693, 0, 0, 0, 156, 326);
INSERT INTO public.ecdc_data VALUES (57694, 0, 0, 0, 158, 326);
INSERT INTO public.ecdc_data VALUES (57695, 0, 0, 0, 159, 326);
INSERT INTO public.ecdc_data VALUES (57696, 0, 0, 0, 76, 326);
INSERT INTO public.ecdc_data VALUES (57697, 0, 0, 0, 77, 326);
INSERT INTO public.ecdc_data VALUES (57698, 0, 0, 0, 16, 326);
INSERT INTO public.ecdc_data VALUES (57699, 0, 0, 0, 160, 326);
INSERT INTO public.ecdc_data VALUES (57700, 0, 0, 0, 162, 326);
INSERT INTO public.ecdc_data VALUES (57701, 0, 0, 0, 163, 326);
INSERT INTO public.ecdc_data VALUES (57702, 0, 0, 0, 164, 326);
INSERT INTO public.ecdc_data VALUES (57703, 0, 0, 0, 165, 326);
INSERT INTO public.ecdc_data VALUES (57704, 0, 0, 0, 167, 326);
INSERT INTO public.ecdc_data VALUES (57705, 0, 0, 0, 171, 326);
INSERT INTO public.ecdc_data VALUES (57706, 0, 0, 0, 112, 326);
INSERT INTO public.ecdc_data VALUES (57707, 0, 0, 0, 113, 326);
INSERT INTO public.ecdc_data VALUES (57708, 0, 0, 0, 114, 326);
INSERT INTO public.ecdc_data VALUES (57709, 0, 0, 0, 115, 326);
INSERT INTO public.ecdc_data VALUES (57710, 0, 0, 0, 172, 326);
INSERT INTO public.ecdc_data VALUES (57711, 0, 0, 0, 116, 326);
INSERT INTO public.ecdc_data VALUES (57712, 0, 0, 0, 174, 326);
INSERT INTO public.ecdc_data VALUES (57713, 0, 0, 0, 117, 326);
INSERT INTO public.ecdc_data VALUES (57714, 0, 0, 0, 120, 326);
INSERT INTO public.ecdc_data VALUES (57715, 0, 0, 0, 123, 326);
INSERT INTO public.ecdc_data VALUES (57716, 0, 0, 0, 179, 326);
INSERT INTO public.ecdc_data VALUES (57717, 0, 0, 0, 180, 326);
INSERT INTO public.ecdc_data VALUES (57718, 0, 0, 0, 124, 326);
INSERT INTO public.ecdc_data VALUES (57719, 0, 0, 0, 87, 326);
INSERT INTO public.ecdc_data VALUES (57720, 0, 0, 0, 183, 326);
INSERT INTO public.ecdc_data VALUES (57721, 0, 0, 0, 128, 326);
INSERT INTO public.ecdc_data VALUES (57722, 0, 0, 0, 185, 326);
INSERT INTO public.ecdc_data VALUES (57723, 0, 0, 0, 208, 326);
INSERT INTO public.ecdc_data VALUES (57724, 0, 0, 0, 39, 326);
INSERT INTO public.ecdc_data VALUES (57725, 0, 0, 0, 186, 326);
INSERT INTO public.ecdc_data VALUES (57726, 0, 0, 0, 187, 326);
INSERT INTO public.ecdc_data VALUES (57727, 0, 0, 0, 129, 326);
INSERT INTO public.ecdc_data VALUES (57728, 0, 0, 0, 130, 326);
INSERT INTO public.ecdc_data VALUES (57729, 0, 0, 0, 132, 326);
INSERT INTO public.ecdc_data VALUES (57730, 0, 0, 0, 133, 326);
INSERT INTO public.ecdc_data VALUES (57731, 0, 0, 0, 190, 326);
INSERT INTO public.ecdc_data VALUES (57732, 0, 0, 0, 191, 326);
INSERT INTO public.ecdc_data VALUES (57733, 0, 0, 0, 192, 326);
INSERT INTO public.ecdc_data VALUES (57734, 0, 0, 0, 135, 326);
INSERT INTO public.ecdc_data VALUES (57735, 0, 0, 0, 136, 326);
INSERT INTO public.ecdc_data VALUES (57736, 0, 0, 0, 196, 326);
INSERT INTO public.ecdc_data VALUES (57737, 0, 0, 0, 137, 326);
INSERT INTO public.ecdc_data VALUES (57738, 0, 0, 0, 197, 326);
INSERT INTO public.ecdc_data VALUES (57739, 0, 0, 0, 198, 326);
INSERT INTO public.ecdc_data VALUES (57740, 0, 0, 0, 139, 326);
INSERT INTO public.ecdc_data VALUES (57741, 0, 0, 0, 141, 326);
INSERT INTO public.ecdc_data VALUES (57742, 0, 0, 0, 143, 326);
INSERT INTO public.ecdc_data VALUES (57743, 0, 0, 0, 201, 326);
INSERT INTO public.ecdc_data VALUES (57744, 0, 0, 0, 101, 326);
INSERT INTO public.ecdc_data VALUES (57745, 0, 0, 0, 145, 326);
INSERT INTO public.ecdc_data VALUES (57746, 48, 400, 7.00545982, 105, 327);
INSERT INTO public.ecdc_data VALUES (57747, 12, 832, 345.44112391, 147, 327);
INSERT INTO public.ecdc_data VALUES (57748, 16, 963, 33.8210618, 1, 327);
INSERT INTO public.ecdc_data VALUES (57749, 0, 45, 1101.382307, 148, 327);
INSERT INTO public.ecdc_data VALUES (57750, 2, 112, 5.14056443, 2, 327);
INSERT INTO public.ecdc_data VALUES (57751, 0, 0, 20.17213556, 56, 327);
INSERT INTO public.ecdc_data VALUES (57752, 0, 1, 8.23765639, 57, 327);
INSERT INTO public.ecdc_data VALUES (57753, 198, 8037, 231.26717049, 58, 327);
INSERT INTO public.ecdc_data VALUES (57754, 35, 1264, 567.05687609, 149, 327);
INSERT INTO public.ecdc_data VALUES (57755, 0, 27, 184.3664754, 59, 327);
INSERT INTO public.ecdc_data VALUES (57756, 0, 8, 0.61896902, 202, 327);
INSERT INTO public.ecdc_data VALUES (57757, 213, 3464, 796.1823164, 150, 327);
INSERT INTO public.ecdc_data VALUES (57758, 41, 4426, 462.23426431, 151, 327);
INSERT INTO public.ecdc_data VALUES (57759, 0, 2, 59.30893537, 60, 327);
INSERT INTO public.ecdc_data VALUES (57760, 0, 181, 129.72500006, 106, 327);
INSERT INTO public.ecdc_data VALUES (57761, 31, 2293, 18.73150374, 107, 327);
INSERT INTO public.ecdc_data VALUES (57762, 0, 2, 9.75538375, 61, 327);
INSERT INTO public.ecdc_data VALUES (57763, 8, 1572, 227.66683075, 152, 327);
INSERT INTO public.ecdc_data VALUES (57764, 110, 2674, 313.76142801, 153, 327);
INSERT INTO public.ecdc_data VALUES (57765, 0, 0, 239.27183484, 62, 327);
INSERT INTO public.ecdc_data VALUES (57766, 0, 0, 1.4490112, 3, 327);
INSERT INTO public.ecdc_data VALUES (57767, 0, 2, 62.39201382, 63, 327);
INSERT INTO public.ecdc_data VALUES (57768, 0, 4, 4.71763636, 108, 327);
INSERT INTO public.ecdc_data VALUES (57769, 6, 102, 11.61285638, 64, 327);
INSERT INTO public.ecdc_data VALUES (57770, 0, 0, 19.24335142, 65, 327);
INSERT INTO public.ecdc_data VALUES (57771, 46, 1184, 458.67946603, 154, 327);
INSERT INTO public.ecdc_data VALUES (57772, 0, 0, 38.59004394, 4, 327);
INSERT INTO public.ecdc_data VALUES (57773, 697, 50909, 225.07940423, 66, 327);
INSERT INTO public.ecdc_data VALUES (57774, 0, 0, 3.3296707, 67, 327);
INSERT INTO public.ecdc_data VALUES (57775, 0, 0, 0.46157823, 109, 327);
INSERT INTO public.ecdc_data VALUES (57776, 153, 3475, 602.5252145, 155, 327);
INSERT INTO public.ecdc_data VALUES (57777, 0, 45, 1.37293805, 5, 327);
INSERT INTO public.ecdc_data VALUES (57778, 0, 1, 0.50301039, 6, 327);
INSERT INTO public.ecdc_data VALUES (57779, 0, 3, 0.15163883, 110, 327);
INSERT INTO public.ecdc_data VALUES (57780, 4, 42, 6.14846269, 7, 327);
INSERT INTO public.ecdc_data VALUES (57781, 81, 5329, 205.82160805, 68, 327);
INSERT INTO public.ecdc_data VALUES (57782, 2, 290, 155.65447616, 8, 327);
INSERT INTO public.ecdc_data VALUES (57783, 0, 3, 43.11141221, 69, 327);
INSERT INTO public.ecdc_data VALUES (57784, 0, 5, 0.37933237, 9, 327);
INSERT INTO public.ecdc_data VALUES (57785, 1, 12, 0.57691529, 10, 327);
INSERT INTO public.ecdc_data VALUES (57786, 20, 1121, 101.59331175, 70, 327);
INSERT INTO public.ecdc_data VALUES (57787, 0, 9, 0.01227521, 111, 327);
INSERT INTO public.ecdc_data VALUES (57788, 168, 7986, 225.79510862, 71, 327);
INSERT INTO public.ecdc_data VALUES (57789, 0, 2, 2.58552506, 11, 327);
INSERT INTO public.ecdc_data VALUES (57790, 0, 0, 4.81367545, 12, 327);
INSERT INTO public.ecdc_data VALUES (57791, 5, 534, 288.8920015, 72, 327);
INSERT INTO public.ecdc_data VALUES (57792, 0, 3, 1.28322014, 13, 327);
INSERT INTO public.ecdc_data VALUES (57793, 75, 2900, 1076.43159907, 156, 327);
INSERT INTO public.ecdc_data VALUES (57794, 1, 97, 6.29991625, 73, 327);
INSERT INTO public.ecdc_data VALUES (57795, 3, 124, 665.75696199, 74, 327);
INSERT INTO public.ecdc_data VALUES (57796, 0, 318, 384.74755651, 157, 327);
INSERT INTO public.ecdc_data VALUES (57797, 112, 5176, 551.23100903, 158, 327);
INSERT INTO public.ecdc_data VALUES (57798, 1, 128, 1.29161501, 14, 327);
INSERT INTO public.ecdc_data VALUES (57799, 9, 1468, 299.6513483, 159, 327);
INSERT INTO public.ecdc_data VALUES (57800, 0, 1, 2.46518694, 15, 327);
INSERT INTO public.ecdc_data VALUES (57801, 0, 0, 23.67424242, 75, 327);
INSERT INTO public.ecdc_data VALUES (57802, 2, 314, 89.4407157, 76, 327);
INSERT INTO public.ecdc_data VALUES (57803, 40, 988, 72.34516026, 77, 327);
INSERT INTO public.ecdc_data VALUES (57804, 16, 392, 4.99959776, 16, 327);
INSERT INTO public.ecdc_data VALUES (57805, 15, 189, 38.13405025, 78, 327);
INSERT INTO public.ecdc_data VALUES (57806, 0, 3, 2.58115521, 17, 327);
INSERT INTO public.ecdc_data VALUES (57807, 0, 0, 2.40197854, 18, 327);
INSERT INTO public.ecdc_data VALUES (57808, 3, 189, 336.95143491, 160, 327);
INSERT INTO public.ecdc_data VALUES (57809, 0, 23, 27.69713962, 19, 327);
INSERT INTO public.ecdc_data VALUES (57810, 3, 480, 6.3874744, 20, 327);
INSERT INTO public.ecdc_data VALUES (57811, 0, 0, 29.65599051, 79, 327);
INSERT INTO public.ecdc_data VALUES (57812, 0, 0, 10.27179161, 161, 327);
INSERT INTO public.ecdc_data VALUES (57813, 0, 0, 0.78655662, 203, 327);
INSERT INTO public.ecdc_data VALUES (57814, 0, 550, 105.38393188, 162, 327);
INSERT INTO public.ecdc_data VALUES (57815, 775, 8083, 289.2219993, 163, 327);
INSERT INTO public.ecdc_data VALUES (57816, 2, 276, 805.98671608, 204, 327);
INSERT INTO public.ecdc_data VALUES (57817, 0, 0, 5.98367469, 21, 327);
INSERT INTO public.ecdc_data VALUES (57818, 0, 1, 1.6186082, 22, 327);
INSERT INTO public.ecdc_data VALUES (57819, 39, 4033, 1436.7630597, 164, 327);
INSERT INTO public.ecdc_data VALUES (57820, 487, 17270, 302.86483202, 165, 327);
INSERT INTO public.ecdc_data VALUES (57821, 0, 0, 3.97792639, 23, 327);
INSERT INTO public.ecdc_data VALUES (57822, 0, 10, 341.1855456, 166, 327);
INSERT INTO public.ecdc_data VALUES (57823, 111, 2199, 267.09623362, 167, 327);
INSERT INTO public.ecdc_data VALUES (57824, 0, 0, 0, 80, 327);
INSERT INTO public.ecdc_data VALUES (57825, 0, 0, 7.14272959, 81, 327);
INSERT INTO public.ecdc_data VALUES (57826, 0, 37, 391.52395469, 205, 327);
INSERT INTO public.ecdc_data VALUES (57827, 7, 712, 40.06489558, 82, 327);
INSERT INTO public.ecdc_data VALUES (57828, 0, 0, 7.75578582, 168, 327);
INSERT INTO public.ecdc_data VALUES (57829, 0, 0, 3.64099165, 24, 327);
INSERT INTO public.ecdc_data VALUES (57830, 0, 1, 1.09322787, 25, 327);
INSERT INTO public.ecdc_data VALUES (57831, 0, 17, 68.0910862, 83, 327);
INSERT INTO public.ecdc_data VALUES (57832, 1, 32, 0.93224952, 84, 327);
INSERT INTO public.ecdc_data VALUES (57833, 0, 0, 0, 169, 327);
INSERT INTO public.ecdc_data VALUES (57834, 9, 388, 52.87234965, 85, 327);
INSERT INTO public.ecdc_data VALUES (57835, 165, 4136, 698.47236542, 170, 327);
INSERT INTO public.ecdc_data VALUES (57836, 1, 21, 55.46358312, 171, 327);
INSERT INTO public.ecdc_data VALUES (57837, 501, 36604, 42.92289071, 112, 327);
INSERT INTO public.ecdc_data VALUES (57838, 136, 5092, 25.68862978, 113, 327);
INSERT INTO public.ecdc_data VALUES (57839, 382, 13881, 226.11168432, 114, 327);
INSERT INTO public.ecdc_data VALUES (57840, 48, 2218, 76.988457, 115, 327);
INSERT INTO public.ecdc_data VALUES (57841, 16, 254, 83.84581505, 172, 327);
INSERT INTO public.ecdc_data VALUES (57842, 0, 0, 5.91093405, 173, 327);
INSERT INTO public.ecdc_data VALUES (57843, 12, 1218, 149.41240394, 116, 327);
INSERT INTO public.ecdc_data VALUES (57844, 785, 19347, 634.24764659, 174, 327);
INSERT INTO public.ecdc_data VALUES (57845, 1, 47, 29.88185981, 86, 327);
INSERT INTO public.ecdc_data VALUES (57846, 33, 1692, 23.30989303, 117, 327);
INSERT INTO public.ecdc_data VALUES (57847, 0, 42, 258.82221975, 175, 327);
INSERT INTO public.ecdc_data VALUES (57848, 51, 4187, 669.43207661, 118, 327);
INSERT INTO public.ecdc_data VALUES (57849, 1, 1002, 68.68473953, 119, 327);
INSERT INTO public.ecdc_data VALUES (57850, 5, 551, 23.66190096, 26, 327);
INSERT INTO public.ecdc_data VALUES (57851, 10, 521, 534.99960523, 176, 327);
INSERT INTO public.ecdc_data VALUES (57852, 1, 357, 121.39069477, 120, 327);
INSERT INTO public.ecdc_data VALUES (57853, 2, 335, 87.57996406, 121, 327);
INSERT INTO public.ecdc_data VALUES (57854, 0, 0, 0.20922089, 122, 327);
INSERT INTO public.ecdc_data VALUES (57855, 4, 612, 352.7662961, 177, 327);
INSERT INTO public.ecdc_data VALUES (57856, 15, 1511, 313.63641601, 123, 327);
INSERT INTO public.ecdc_data VALUES (57857, 0, 28, 4.5170795, 27, 327);
INSERT INTO public.ecdc_data VALUES (57858, 0, 0, 1.7418166, 28, 327);
INSERT INTO public.ecdc_data VALUES (57859, 13, 608, 125.13550444, 29, 327);
INSERT INTO public.ecdc_data VALUES (57860, 0, 42, 891.13554641, 178, 327);
INSERT INTO public.ecdc_data VALUES (57861, 28, 2106, 992.95536729, 179, 327);
INSERT INTO public.ecdc_data VALUES (57862, 9, 140, 1209.00350875, 180, 327);
INSERT INTO public.ecdc_data VALUES (57863, 0, 0, 0.40045524, 30, 327);
INSERT INTO public.ecdc_data VALUES (57864, 0, 0, 0.17714555, 31, 327);
INSERT INTO public.ecdc_data VALUES (57865, 3, 1472, 54.58252009, 124, 327);
INSERT INTO public.ecdc_data VALUES (57866, 1, 38, 130.70738308, 125, 327);
INSERT INTO public.ecdc_data VALUES (57867, 4, 52, 3.97801956, 32, 327);
INSERT INTO public.ecdc_data VALUES (57868, 4, 102, 317.28729493, 181, 327);
INSERT INTO public.ecdc_data VALUES (57869, 0, 0, 0, 206, 327);
INSERT INTO public.ecdc_data VALUES (57870, 0, 109, 16.74879764, 33, 327);
INSERT INTO public.ecdc_data VALUES (57871, 0, 1, 1.10264872, 34, 327);
INSERT INTO public.ecdc_data VALUES (57872, 825, 8819, 87.1711063, 87, 327);
INSERT INTO public.ecdc_data VALUES (57873, 19, 1499, 443.97364699, 182, 327);
INSERT INTO public.ecdc_data VALUES (57874, 0, 8, 181.35106544, 183, 327);
INSERT INTO public.ecdc_data VALUES (57875, 0, 11, 11.06919768, 126, 327);
INSERT INTO public.ecdc_data VALUES (57876, 5, 584, 1198.52390458, 184, 327);
INSERT INTO public.ecdc_data VALUES (57877, 0, 0, 0, 88, 327);
INSERT INTO public.ecdc_data VALUES (57878, 69, 3508, 159.68516578, 35, 327);
INSERT INTO public.ecdc_data VALUES (57879, 0, 69, 3.9649552, 36, 327);
INSERT INTO public.ecdc_data VALUES (57880, 31, 1476, 37.85519521, 127, 327);
INSERT INTO public.ecdc_data VALUES (57881, 0, 36, 34.07463709, 37, 327);
INSERT INTO public.ecdc_data VALUES (57882, 21, 0, 76.81924896, 128, 327);
INSERT INTO public.ecdc_data VALUES (57883, 62, 4042, 407.49528864, 185, 327);
INSERT INTO public.ecdc_data VALUES (57884, 0, 0, 1.06098169, 207, 327);
INSERT INTO public.ecdc_data VALUES (57885, 0, 1, 1.08716968, 208, 327);
INSERT INTO public.ecdc_data VALUES (57886, 1, 54, 2.70414665, 89, 327);
INSERT INTO public.ecdc_data VALUES (57887, 3, 38, 1.11107684, 38, 327);
INSERT INTO public.ecdc_data VALUES (57888, 3, 326, 1.20718377, 39, 327);
INSERT INTO public.ecdc_data VALUES (57889, 29, 1067, 689.98985139, 186, 327);
INSERT INTO public.ecdc_data VALUES (57890, 0, 0, 5.24356353, 209, 327);
INSERT INTO public.ecdc_data VALUES (57891, 2, 324, 124.61966603, 187, 327);
INSERT INTO public.ecdc_data VALUES (57892, 7, 209, 64.12070612, 129, 327);
INSERT INTO public.ecdc_data VALUES (57893, 75, 2829, 18.43831716, 130, 327);
INSERT INTO public.ecdc_data VALUES (57894, 13, 1854, 483.27565904, 131, 327);
INSERT INTO public.ecdc_data VALUES (57895, 19, 1505, 437.77846855, 90, 327);
INSERT INTO public.ecdc_data VALUES (57896, 0, 14, 0.76343541, 210, 327);
INSERT INTO public.ecdc_data VALUES (57897, 15, 1055, 150.78132464, 91, 327);
INSERT INTO public.ecdc_data VALUES (57898, 65, 1623, 77.81187484, 92, 327);
INSERT INTO public.ecdc_data VALUES (57899, 26, 1295, 20.53985741, 132, 327);
INSERT INTO public.ecdc_data VALUES (57900, 449, 9113, 650.42325546, 188, 327);
INSERT INTO public.ecdc_data VALUES (57901, 72, 2401, 684.44703155, 189, 327);
INSERT INTO public.ecdc_data VALUES (57902, 16, 1041, 454.28451042, 93, 327);
INSERT INTO public.ecdc_data VALUES (57903, 1, 168, 98.12607099, 133, 327);
INSERT INTO public.ecdc_data VALUES (57904, 199, 4272, 546.80898122, 190, 327);
INSERT INTO public.ecdc_data VALUES (57905, 569, 26402, 240.65096407, 191, 327);
INSERT INTO public.ecdc_data VALUES (57906, 0, 14, 3.49253319, 40, 327);
INSERT INTO public.ecdc_data VALUES (57907, 0, 0, 5.67816179, 94, 327);
INSERT INTO public.ecdc_data VALUES (57908, 0, 0, 44.31193413, 95, 327);
INSERT INTO public.ecdc_data VALUES (57909, 0, 0, 1.80843272, 96, 327);
INSERT INTO public.ecdc_data VALUES (57910, 0, 38, 1044.90175021, 192, 327);
INSERT INTO public.ecdc_data VALUES (57911, 0, 5, 13.48536141, 41, 327);
INSERT INTO public.ecdc_data VALUES (57912, 11, 263, 10.81166921, 134, 327);
INSERT INTO public.ecdc_data VALUES (57913, 0, 18, 1.84703801, 42, 327);
INSERT INTO public.ecdc_data VALUES (57914, 48, 7999, 1307.65488319, 193, 327);
INSERT INTO public.ecdc_data VALUES (57915, 0, 0, 23.53157836, 43, 327);
INSERT INTO public.ecdc_data VALUES (57916, 0, 1, 0.26877568, 44, 327);
INSERT INTO public.ecdc_data VALUES (57917, 0, 10, 1.68839092, 135, 327);
INSERT INTO public.ecdc_data VALUES (57918, 0, 3, 278.37410649, 97, 327);
INSERT INTO public.ecdc_data VALUES (57919, 29, 1254, 340.90944534, 194, 327);
INSERT INTO public.ecdc_data VALUES (57920, 16, 1321, 970.63397325, 195, 327);
INSERT INTO public.ecdc_data VALUES (57921, 0, 0, 0.14929362, 211, 327);
INSERT INTO public.ecdc_data VALUES (57922, 8, 80, 0.92599152, 45, 327);
INSERT INTO public.ecdc_data VALUES (57923, 109, 2295, 64.96606192, 46, 327);
INSERT INTO public.ecdc_data VALUES (57924, 0, 511, 11.42403773, 136, 327);
INSERT INTO public.ecdc_data VALUES (57925, 0, 2, 0.85878703, 47, 327);
INSERT INTO public.ecdc_data VALUES (57926, 273, 9331, 299.19641324, 196, 327);
INSERT INTO public.ecdc_data VALUES (57927, 4, 545, 30.28081292, 137, 327);
INSERT INTO public.ecdc_data VALUES (57928, 16, 444, 7.49067397, 48, 327);
INSERT INTO public.ecdc_data VALUES (57929, 0, 7, 7.0523924, 98, 327);
INSERT INTO public.ecdc_data VALUES (57930, 51, 5819, 669.1276844, 197, 327);
INSERT INTO public.ecdc_data VALUES (57931, 107, 3760, 655.89353278, 198, 327);
INSERT INTO public.ecdc_data VALUES (57932, 5, 86, 6.66075693, 138, 327);
INSERT INTO public.ecdc_data VALUES (57933, 0, 6, 0.32809115, 139, 327);
INSERT INTO public.ecdc_data VALUES (57934, 0, 37, 5.81481239, 140, 327);
INSERT INTO public.ecdc_data VALUES (57935, 0, 28, 0.20969304, 141, 327);
INSERT INTO public.ecdc_data VALUES (57936, 0, 0, 0, 142, 327);
INSERT INTO public.ecdc_data VALUES (57937, 0, 23, 3.40247198, 49, 327);
INSERT INTO public.ecdc_data VALUES (57938, 0, 16, 39.42739946, 99, 327);
INSERT INTO public.ecdc_data VALUES (57939, 51, 1303, 139.79811917, 50, 327);
INSERT INTO public.ecdc_data VALUES (57940, 190, 30110, 275.60524513, 199, 327);
INSERT INTO public.ecdc_data VALUES (57941, 0, 2, 78.54636854, 100, 327);
INSERT INTO public.ecdc_data VALUES (57942, 0, 576, 10.10174321, 51, 327);
INSERT INTO public.ecdc_data VALUES (57943, 221, 12498, 426.12065566, 200, 327);
INSERT INTO public.ecdc_data VALUES (57944, 4, 1289, 177.47253321, 143, 327);
INSERT INTO public.ecdc_data VALUES (57945, 603, 13429, 348.63326111, 201, 327);
INSERT INTO public.ecdc_data VALUES (57946, 0, 0, 0, 52, 327);
INSERT INTO public.ecdc_data VALUES (57947, 2600, 180421, 717.74378792, 101, 327);
INSERT INTO public.ecdc_data VALUES (57948, 0, 13, 108.05228583, 102, 327);
INSERT INTO public.ecdc_data VALUES (57949, 1, 167, 52.45930432, 103, 327);
INSERT INTO public.ecdc_data VALUES (57950, 0, 0, 7.41623048, 144, 327);
INSERT INTO public.ecdc_data VALUES (57951, 0, 0, 0, 212, 327);
INSERT INTO public.ecdc_data VALUES (57952, 4, 227, 16.02969354, 104, 327);
INSERT INTO public.ecdc_data VALUES (57953, 0, 5, 0.06531062, 145, 327);
INSERT INTO public.ecdc_data VALUES (57954, 0, 0, 0, 213, 327);
INSERT INTO public.ecdc_data VALUES (57955, 0, 0, 0, 53, 327);
INSERT INTO public.ecdc_data VALUES (57956, 0, 0, 0.03086216, 146, 327);
INSERT INTO public.ecdc_data VALUES (57957, 0, 18, 2.36268516, 54, 327);
INSERT INTO public.ecdc_data VALUES (57958, 0, 95, 8.08440943, 55, 327);
INSERT INTO public.ecdc_data VALUES (57959, 5, 132, 3.76691329, 105, 328);
INSERT INTO public.ecdc_data VALUES (57960, 9, 327, 144.87705713, 147, 328);
INSERT INTO public.ecdc_data VALUES (57961, 9, 330, 8.98890936, 1, 328);
INSERT INTO public.ecdc_data VALUES (57962, 0, 69, 1900.8362104, 148, 328);
INSERT INTO public.ecdc_data VALUES (57963, 5, 247, 10.50422181, 2, 328);
INSERT INTO public.ecdc_data VALUES (57964, 0, 0, 0, 56, 328);
INSERT INTO public.ecdc_data VALUES (57965, 0, 0, 9.26736344, 57, 328);
INSERT INTO public.ecdc_data VALUES (57966, 138, 6609, 410.56326194, 58, 328);
INSERT INTO public.ecdc_data VALUES (57967, 28, 1194, 972.16512134, 149, 328);
INSERT INTO public.ecdc_data VALUES (57968, 0, 6, 185.30712068, 59, 328);
INSERT INTO public.ecdc_data VALUES (57969, 0, 5, 0.81338878, 202, 328);
INSERT INTO public.ecdc_data VALUES (57970, 17, 4526, 514.21330827, 150, 328);
INSERT INTO public.ecdc_data VALUES (57971, 10, 1175, 114.25478758, 151, 328);
INSERT INTO public.ecdc_data VALUES (57972, 0, 0, 259.57287297, 60, 328);
INSERT INTO public.ecdc_data VALUES (57973, 0, 278, 245.00903018, 106, 328);
INSERT INTO public.ecdc_data VALUES (57974, 18, 1568, 12.68536367, 107, 328);
INSERT INTO public.ecdc_data VALUES (57975, 0, 0, 5.22609844, 61, 328);
INSERT INTO public.ecdc_data VALUES (57976, 5, 977, 124.42330839, 152, 328);
INSERT INTO public.ecdc_data VALUES (57977, 164, 2666, 1802.52854541, 153, 328);
INSERT INTO public.ecdc_data VALUES (57978, 0, 0, 166.26062185, 62, 328);
INSERT INTO public.ecdc_data VALUES (57979, 0, 0, 1.24564121, 3, 328);
INSERT INTO public.ecdc_data VALUES (57980, 0, 0, 22.39713317, 63, 328);
INSERT INTO public.ecdc_data VALUES (57981, 0, 5, 3.53822727, 108, 328);
INSERT INTO public.ecdc_data VALUES (57982, 6, 76, 17.91002981, 64, 328);
INSERT INTO public.ecdc_data VALUES (57983, 0, 0, 11.54601085, 65, 328);
INSERT INTO public.ecdc_data VALUES (57984, 14, 1415, 526.6589074, 154, 328);
INSERT INTO public.ecdc_data VALUES (57985, 0, 0, 60.77172274, 4, 328);
INSERT INTO public.ecdc_data VALUES (57986, 190, 10100, 147.05600916, 66, 328);
INSERT INTO public.ecdc_data VALUES (57987, 0, 0, 3.3296707, 67, 328);
INSERT INTO public.ecdc_data VALUES (57988, 0, 0, 0.23078911, 109, 328);
INSERT INTO public.ecdc_data VALUES (57989, 19, 1225, 350.9409019, 155, 328);
INSERT INTO public.ecdc_data VALUES (57990, 0, 0, 0.58559007, 5, 328);
INSERT INTO public.ecdc_data VALUES (57991, 0, 4, 0.40761187, 6, 328);
INSERT INTO public.ecdc_data VALUES (57992, 0, 0, 0.04852443, 110, 328);
INSERT INTO public.ecdc_data VALUES (57993, 0, 0, 1.36031356, 7, 328);
INSERT INTO public.ecdc_data VALUES (57994, 43, 2330, 103.42669455, 68, 328);
INSERT INTO public.ecdc_data VALUES (57995, 0, 55, 199.29591807, 8, 328);
INSERT INTO public.ecdc_data VALUES (57996, 0, 0, 10.77785305, 69, 328);
INSERT INTO public.ecdc_data VALUES (57997, 0, 0, 0.23181423, 9, 328);
INSERT INTO public.ecdc_data VALUES (57998, 0, 15, 0.74622738, 10, 328);
INSERT INTO public.ecdc_data VALUES (57999, 40, 1608, 106.07831824, 70, 328);
INSERT INTO public.ecdc_data VALUES (58000, 0, 24, 0.02615457, 111, 328);
INSERT INTO public.ecdc_data VALUES (58001, 201, 9137, 245.82910065, 71, 328);
INSERT INTO public.ecdc_data VALUES (58002, 0, 0, 5.05352624, 11, 328);
INSERT INTO public.ecdc_data VALUES (58003, 0, 0, 2.49047301, 12, 328);
INSERT INTO public.ecdc_data VALUES (58004, 0, 0, 286.41555793, 72, 328);
INSERT INTO public.ecdc_data VALUES (58005, 0, 0, 1.52819853, 13, 328);
INSERT INTO public.ecdc_data VALUES (58006, 16, 2179, 635.75652696, 156, 328);
INSERT INTO public.ecdc_data VALUES (58007, 0, 48, 6.30873966, 73, 328);
INSERT INTO public.ecdc_data VALUES (58008, 0, 17, 148.6938803, 74, 328);
INSERT INTO public.ecdc_data VALUES (58009, 0, 197, 219.08918722, 157, 328);
INSERT INTO public.ecdc_data VALUES (58010, 178, 6542, 1575.23145975, 158, 328);
INSERT INTO public.ecdc_data VALUES (58011, 1, 66, 0.36870366, 14, 328);
INSERT INTO public.ecdc_data VALUES (58012, 2, 948, 205.07808968, 159, 328);
INSERT INTO public.ecdc_data VALUES (58013, 0, 2, 10.68247673, 15, 328);
INSERT INTO public.ecdc_data VALUES (58014, 0, 0, 12.53342246, 75, 328);
INSERT INTO public.ecdc_data VALUES (58015, 4, 314, 55.73166929, 76, 328);
INSERT INTO public.ecdc_data VALUES (58016, 14, 1002, 91.54664444, 77, 328);
INSERT INTO public.ecdc_data VALUES (58017, 12, 181, 2.30306237, 16, 328);
INSERT INTO public.ecdc_data VALUES (58018, 4, 570, 36.39857133, 78, 328);
INSERT INTO public.ecdc_data VALUES (58019, 0, 1, 1.40119854, 17, 328);
INSERT INTO public.ecdc_data VALUES (58020, 0, 0, 1.08660934, 18, 328);
INSERT INTO public.ecdc_data VALUES (58021, 0, 80, 68.4621307, 160, 328);
INSERT INTO public.ecdc_data VALUES (58022, 0, 8, 12.62919888, 19, 328);
INSERT INTO public.ecdc_data VALUES (58023, 9, 414, 6.64354441, 20, 328);
INSERT INTO public.ecdc_data VALUES (58024, 0, 0, 0, 79, 328);
INSERT INTO public.ecdc_data VALUES (58025, 0, 0, 20.54358321, 161, 328);
INSERT INTO public.ecdc_data VALUES (58026, 0, 0, 0.22473046, 203, 328);
INSERT INTO public.ecdc_data VALUES (58027, 0, 178, 51.95799358, 162, 328);
INSERT INTO public.ecdc_data VALUES (58028, 231, 49290, 771.31586773, 163, 328);
INSERT INTO public.ecdc_data VALUES (58029, 0, 0, 1240.6681347, 204, 328);
INSERT INTO public.ecdc_data VALUES (58030, 0, 0, 4.00445922, 21, 328);
INSERT INTO public.ecdc_data VALUES (58031, 0, 0, 0.97968391, 22, 328);
INSERT INTO public.ecdc_data VALUES (58032, 7, 1852, 628.05841329, 164, 328);
INSERT INTO public.ecdc_data VALUES (58033, 49, 12097, 215.28510515, 165, 328);
INSERT INTO public.ecdc_data VALUES (58034, 0, 0, 2.67605957, 23, 328);
INSERT INTO public.ecdc_data VALUES (58035, 0, 6, 391.62166973, 166, 328);
INSERT INTO public.ecdc_data VALUES (58036, 9, 1678, 145.07768542, 167, 328);
INSERT INTO public.ecdc_data VALUES (58037, 0, 0, 1.76491352, 80, 328);
INSERT INTO public.ecdc_data VALUES (58038, 0, 0, 0.8928412, 81, 328);
INSERT INTO public.ecdc_data VALUES (58039, 0, 3, 608.50593263, 205, 328);
INSERT INTO public.ecdc_data VALUES (58040, 9, 165, 38.3585542, 82, 328);
INSERT INTO public.ecdc_data VALUES (58041, 0, 2, 18.61388596, 168, 328);
INSERT INTO public.ecdc_data VALUES (58042, 1, 123, 5.30097063, 24, 328);
INSERT INTO public.ecdc_data VALUES (58043, 0, 0, 1.24940328, 25, 328);
INSERT INTO public.ecdc_data VALUES (58044, 2, 46, 60.55379898, 83, 328);
INSERT INTO public.ecdc_data VALUES (58045, 0, 0, 1.14533513, 84, 328);
INSERT INTO public.ecdc_data VALUES (58046, 0, 0, 0, 169, 328);
INSERT INTO public.ecdc_data VALUES (58047, 3, 808, 100.41950049, 85, 328);
INSERT INTO public.ecdc_data VALUES (58048, 70, 3581, 358.26127246, 170, 328);
INSERT INTO public.ecdc_data VALUES (58049, 0, 25, 233.89945405, 171, 328);
INSERT INTO public.ecdc_data VALUES (58050, 496, 45231, 49.69490458, 112, 328);
INSERT INTO public.ecdc_data VALUES (58051, 74, 2696, 18.81455642, 113, 328);
INSERT INTO public.ecdc_data VALUES (58052, 434, 7719, 108.6802184, 114, 328);
INSERT INTO public.ecdc_data VALUES (58053, 56, 2658, 123.77069742, 115, 328);
INSERT INTO public.ecdc_data VALUES (58054, 2, 546, 245.50185146, 172, 328);
INSERT INTO public.ecdc_data VALUES (58055, 0, 0, 5.91093405, 173, 328);
INSERT INTO public.ecdc_data VALUES (58056, 13, 633, 132.46279979, 116, 328);
INSERT INTO public.ecdc_data VALUES (58057, 208, 29905, 488.89367061, 174, 328);
INSERT INTO public.ecdc_data VALUES (58058, 3, 37, 29.06782504, 86, 328);
INSERT INTO public.ecdc_data VALUES (58059, 8, 667, 6.84690172, 117, 328);
INSERT INTO public.ecdc_data VALUES (58060, 0, 0, 77.92496939, 175, 328);
INSERT INTO public.ecdc_data VALUES (58061, 37, 3259, 379.07492177, 118, 328);
INSERT INTO public.ecdc_data VALUES (58062, 0, 483, 29.05436714, 119, 328);
INSERT INTO public.ecdc_data VALUES (58063, 17, 685, 20.91529445, 26, 328);
INSERT INTO public.ecdc_data VALUES (58064, 7, 337, 182.81840594, 176, 328);
INSERT INTO public.ecdc_data VALUES (58065, 3, 608, 246.91727772, 120, 328);
INSERT INTO public.ecdc_data VALUES (58066, 5, 436, 114.60677625, 121, 328);
INSERT INTO public.ecdc_data VALUES (58067, 0, 0, 0.01394806, 122, 328);
INSERT INTO public.ecdc_data VALUES (58068, 3, 242, 139.89816497, 177, 328);
INSERT INTO public.ecdc_data VALUES (58069, 6, 1389, 296.55576105, 123, 328);
INSERT INTO public.ecdc_data VALUES (58070, 0, 0, 5.36403191, 27, 328);
INSERT INTO public.ecdc_data VALUES (58071, 0, 0, 0.99243039, 28, 328);
INSERT INTO public.ecdc_data VALUES (58072, 14, 950, 195.57494534, 29, 328);
INSERT INTO public.ecdc_data VALUES (58073, 0, 18, 852.05065402, 178, 328);
INSERT INTO public.ecdc_data VALUES (58074, 1, 895, 293.3951379, 179, 328);
INSERT INTO public.ecdc_data VALUES (58075, 3, 849, 1325.31023271, 180, 328);
INSERT INTO public.ecdc_data VALUES (58076, 0, 143, 1.1160836, 30, 328);
INSERT INTO public.ecdc_data VALUES (58077, 0, 2, 0.40260352, 31, 328);
INSERT INTO public.ecdc_data VALUES (58078, 0, 957, 37.58084287, 124, 328);
INSERT INTO public.ecdc_data VALUES (58079, 0, 42, 92.47453184, 125, 328);
INSERT INTO public.ecdc_data VALUES (58080, 0, 0, 0.84443893, 32, 328);
INSERT INTO public.ecdc_data VALUES (58081, 0, 218, 336.53524705, 181, 328);
INSERT INTO public.ecdc_data VALUES (58082, 0, 0, 0, 206, 328);
INSERT INTO public.ecdc_data VALUES (58083, 0, 0, 2.51894846, 33, 328);
INSERT INTO public.ecdc_data VALUES (58084, 0, 5, 3.07166429, 34, 328);
INSERT INTO public.ecdc_data VALUES (58085, 142, 4430, 61.26958721, 87, 328);
INSERT INTO public.ecdc_data VALUES (58086, 15, 542, 235.75047647, 182, 328);
INSERT INTO public.ecdc_data VALUES (58087, 0, 7, 305.27429349, 183, 328);
INSERT INTO public.ecdc_data VALUES (58088, 0, 3, 0.7751539, 126, 328);
INSERT INTO public.ecdc_data VALUES (58089, 12, 373, 498.08576912, 184, 328);
INSERT INTO public.ecdc_data VALUES (58090, 0, 0, 0, 88, 328);
INSERT INTO public.ecdc_data VALUES (58091, 67, 3460, 134.10921752, 35, 328);
INSERT INTO public.ecdc_data VALUES (58092, 1, 119, 6.98806888, 36, 328);
INSERT INTO public.ecdc_data VALUES (58093, 21, 699, 32.15813543, 127, 328);
INSERT INTO public.ecdc_data VALUES (58094, 0, 53, 27.86102679, 37, 328);
INSERT INTO public.ecdc_data VALUES (58095, 23, 2824, 144.4350087, 128, 328);
INSERT INTO public.ecdc_data VALUES (58096, 39, 8673, 759.18159087, 185, 328);
INSERT INTO public.ecdc_data VALUES (58097, 0, 0, 0.35366056, 207, 328);
INSERT INTO public.ecdc_data VALUES (58098, 0, 4, 1.60984742, 208, 328);
INSERT INTO public.ecdc_data VALUES (58099, 0, 0, 2.45970401, 89, 328);
INSERT INTO public.ecdc_data VALUES (58100, 0, 1, 0.04718859, 38, 328);
INSERT INTO public.ecdc_data VALUES (58101, 2, 111, 0.75834628, 39, 328);
INSERT INTO public.ecdc_data VALUES (58102, 10, 864, 424.04623298, 186, 328);
INSERT INTO public.ecdc_data VALUES (58103, 0, 0, 17.47854509, 209, 328);
INSERT INTO public.ecdc_data VALUES (58104, 0, 0, 64.31801137, 187, 328);
INSERT INTO public.ecdc_data VALUES (58105, 38, 1300, 116.20119188, 129, 328);
INSERT INTO public.ecdc_data VALUES (58106, 12, 1123, 5.37528361, 130, 328);
INSERT INTO public.ecdc_data VALUES (58107, 7, 494, 145.80174095, 131, 328);
INSERT INTO public.ecdc_data VALUES (58108, 6, 738, 225.85977901, 90, 328);
INSERT INTO public.ecdc_data VALUES (58109, 0, 1, 0.10255103, 210, 328);
INSERT INTO public.ecdc_data VALUES (58110, 14, 546, 127.85609028, 91, 328);
INSERT INTO public.ecdc_data VALUES (58111, 53, 2408, 111.45950494, 92, 328);
INSERT INTO public.ecdc_data VALUES (58112, 17, 2384, 24.50594507, 132, 328);
INSERT INTO public.ecdc_data VALUES (58113, 152, 17171, 537.58462765, 188, 328);
INSERT INTO public.ecdc_data VALUES (58114, 37, 3062, 432.34072069, 189, 328);
INSERT INTO public.ecdc_data VALUES (58115, 10, 533, 319.35594279, 93, 328);
INSERT INTO public.ecdc_data VALUES (58116, 0, 164, 116.1340941, 133, 328);
INSERT INTO public.ecdc_data VALUES (58117, 99, 5324, 341.36930323, 190, 328);
INSERT INTO public.ecdc_data VALUES (58118, 245, 18665, 162.77735054, 191, 328);
INSERT INTO public.ecdc_data VALUES (58119, 0, 9, 1.36216714, 40, 328);
INSERT INTO public.ecdc_data VALUES (58120, 0, 0, 0, 94, 328);
INSERT INTO public.ecdc_data VALUES (58121, 0, 6, 27.90010668, 95, 328);
INSERT INTO public.ecdc_data VALUES (58122, 0, 1, 7.23373089, 96, 328);
INSERT INTO public.ecdc_data VALUES (58123, 0, 0, 490.52332163, 192, 328);
INSERT INTO public.ecdc_data VALUES (58124, 0, 4, 7.4401994, 41, 328);
INSERT INTO public.ecdc_data VALUES (58125, 0, 374, 15.91547743, 134, 328);
INSERT INTO public.ecdc_data VALUES (58126, 1, 14, 1.30090385, 42, 328);
INSERT INTO public.ecdc_data VALUES (58127, 6, 1449, 175.81009351, 193, 328);
INSERT INTO public.ecdc_data VALUES (58128, 0, 0, 4.09244841, 43, 328);
INSERT INTO public.ecdc_data VALUES (58129, 0, 0, 0.4607583, 44, 328);
INSERT INTO public.ecdc_data VALUES (58130, 0, 4, 1.8606757, 135, 328);
INSERT INTO public.ecdc_data VALUES (58131, 0, 5, 184.0100026, 97, 328);
INSERT INTO public.ecdc_data VALUES (58132, 0, 2282, 552.45273714, 194, 328);
INSERT INTO public.ecdc_data VALUES (58133, 5, 1342, 1081.49903792, 195, 328);
INSERT INTO public.ecdc_data VALUES (58134, 0, 0, 0.74646809, 211, 328);
INSERT INTO public.ecdc_data VALUES (58135, 0, 0, 0.49861082, 45, 328);
INSERT INTO public.ecdc_data VALUES (58136, 135, 1371, 39.32834966, 46, 328);
INSERT INTO public.ecdc_data VALUES (58137, 2, 97, 2.84429648, 136, 328);
INSERT INTO public.ecdc_data VALUES (58138, 1, 21, 0.75934853, 47, 328);
INSERT INTO public.ecdc_data VALUES (58139, 379, 55019, 567.24473156, 196, 328);
INSERT INTO public.ecdc_data VALUES (58140, 1, 397, 25.8960274, 137, 328);
INSERT INTO public.ecdc_data VALUES (58141, 0, 54, 0.29897296, 48, 328);
INSERT INTO public.ecdc_data VALUES (58142, 0, 7, 13.76076565, 98, 328);
INSERT INTO public.ecdc_data VALUES (58143, 22, 1297, 260.54269791, 197, 328);
INSERT INTO public.ecdc_data VALUES (58144, 0, 0, 928.14967991, 198, 328);
INSERT INTO public.ecdc_data VALUES (58145, 4, 61, 4.17102809, 138, 328);
INSERT INTO public.ecdc_data VALUES (58146, 0, 5, 0.09674483, 139, 328);
INSERT INTO public.ecdc_data VALUES (58147, 0, 37, 6.01865267, 140, 328);
INSERT INTO public.ecdc_data VALUES (58148, 0, 3, 0.13788036, 141, 328);
INSERT INTO public.ecdc_data VALUES (58149, 0, 0, 0.07733234, 142, 328);
INSERT INTO public.ecdc_data VALUES (58150, 0, 26, 3.71178761, 49, 328);
INSERT INTO public.ecdc_data VALUES (58151, 0, 0, 26.59557309, 99, 328);
INSERT INTO public.ecdc_data VALUES (58152, 33, 791, 182.68071551, 50, 328);
INSERT INTO public.ecdc_data VALUES (58153, 74, 2106, 36.55924484, 199, 328);
INSERT INTO public.ecdc_data VALUES (58154, 0, 0, 15.70927371, 100, 328);
INSERT INTO public.ecdc_data VALUES (58155, 1, 248, 4.86338398, 51, 328);
INSERT INTO public.ecdc_data VALUES (58156, 110, 7959, 208.67105732, 200, 328);
INSERT INTO public.ecdc_data VALUES (58157, 1, 1278, 187.34917649, 143, 328);
INSERT INTO public.ecdc_data VALUES (58158, 162, 23254, 468.89503629, 201, 328);
INSERT INTO public.ecdc_data VALUES (58159, 0, 0, 0, 52, 328);
INSERT INTO public.ecdc_data VALUES (58160, 440, 81001, 319.92684288, 101, 328);
INSERT INTO public.ecdc_data VALUES (58161, 0, 0, 39.20481167, 102, 328);
INSERT INTO public.ecdc_data VALUES (58162, 1, 25, 17.85234035, 103, 328);
INSERT INTO public.ecdc_data VALUES (58163, 2, 101, 11.29716875, 144, 328);
INSERT INTO public.ecdc_data VALUES (58164, 3, 312, 19.95032303, 104, 328);
INSERT INTO public.ecdc_data VALUES (58165, 0, 0, 0.04768712, 145, 328);
INSERT INTO public.ecdc_data VALUES (58166, 0, 0, 0, 213, 328);
INSERT INTO public.ecdc_data VALUES (58167, 0, 0, 0, 53, 328);
INSERT INTO public.ecdc_data VALUES (58168, 0, 0, 0.01371652, 146, 328);
INSERT INTO public.ecdc_data VALUES (58169, 0, 48, 3.51043506, 54, 328);
INSERT INTO public.ecdc_data VALUES (58170, 1, 12, 1.54996701, 55, 328);
INSERT INTO public.ecdc_data VALUES (58171, 0, 17, 1.08564912, 105, 329);
INSERT INTO public.ecdc_data VALUES (58172, 1, 157, 64.90995229, 147, 329);
INSERT INTO public.ecdc_data VALUES (58173, 7, 160, 5.79749813, 1, 329);
INSERT INTO public.ecdc_data VALUES (58174, 0, 0, 744.31915145, 148, 329);
INSERT INTO public.ecdc_data VALUES (58175, 1, 0, 3.8428547, 2, 329);
INSERT INTO public.ecdc_data VALUES (58176, 0, 0, 0, 56, 329);
INSERT INTO public.ecdc_data VALUES (58177, 0, 5, 11.32677753, 57, 329);
INSERT INTO public.ecdc_data VALUES (58178, 3351, 14001, 393.00434842, 58, 329);
INSERT INTO public.ecdc_data VALUES (58179, 4, 491, 141.29088273, 149, 329);
INSERT INTO public.ecdc_data VALUES (58180, 0, 35, 579.43749412, 59, 329);
INSERT INTO public.ecdc_data VALUES (58181, 6, 33, 1.12287329, 202, 329);
INSERT INTO public.ecdc_data VALUES (58182, 3, 564, 112.28414764, 150, 329);
INSERT INTO public.ecdc_data VALUES (58183, 2, 80, 15.24724169, 151, 329);
INSERT INTO public.ecdc_data VALUES (58184, 0, 97, 267.78882938, 60, 329);
INSERT INTO public.ecdc_data VALUES (58185, 2, 510, 541.68870387, 106, 329);
INSERT INTO public.ecdc_data VALUES (58186, 21, 1508, 12.7098966, 107, 329);
INSERT INTO public.ecdc_data VALUES (58187, 0, 3, 2.7872525, 61, 329);
INSERT INTO public.ecdc_data VALUES (58188, 6, 388, 42.65579282, 152, 329);
INSERT INTO public.ecdc_data VALUES (58189, 15, 3410, 219.13454991, 153, 329);
INSERT INTO public.ecdc_data VALUES (58190, 0, 34, 117.58647986, 62, 329);
INSERT INTO public.ecdc_data VALUES (58191, 0, 0, 0.65247873, 3, 329);
INSERT INTO public.ecdc_data VALUES (58192, 0, 0, 4.79938568, 63, 329);
INSERT INTO public.ecdc_data VALUES (58193, 0, 0, 3.93136363, 108, 329);
INSERT INTO public.ecdc_data VALUES (58194, 36, 405, 54.69420839, 64, 329);
INSERT INTO public.ecdc_data VALUES (58195, 0, 0, 269.40691991, 65, 329);
INSERT INTO public.ecdc_data VALUES (58196, 5, 280, 95.27421707, 154, 329);
INSERT INTO public.ecdc_data VALUES (58197, 0, 0, 26.2620659, 4, 329);
INSERT INTO public.ecdc_data VALUES (58198, 728, 36157, 185.5990963, 66, 329);
INSERT INTO public.ecdc_data VALUES (58199, 0, 0, 6.65934139, 67, 329);
INSERT INTO public.ecdc_data VALUES (58200, 0, 0, 0.23078911, 109, 329);
INSERT INTO public.ecdc_data VALUES (58201, 7, 263, 36.45693974, 155, 329);
INSERT INTO public.ecdc_data VALUES (58202, 0, 32, 1.5796169, 5, 329);
INSERT INTO public.ecdc_data VALUES (58203, 0, 2, 0.32088594, 6, 329);
INSERT INTO public.ecdc_data VALUES (58204, 0, 0, 0.01213111, 110, 329);
INSERT INTO public.ecdc_data VALUES (58205, 0, 0, 1.80473418, 7, 329);
INSERT INTO public.ecdc_data VALUES (58206, 22, 1777, 52.57271931, 68, 329);
INSERT INTO public.ecdc_data VALUES (58207, 1, 102, 193.29521981, 8, 329);
INSERT INTO public.ecdc_data VALUES (58208, 0, 0, 4.61907988, 69, 329);
INSERT INTO public.ecdc_data VALUES (58209, 0, 0, 0.99047897, 9, 329);
INSERT INTO public.ecdc_data VALUES (58210, 0, 3, 0.55183201, 10, 329);
INSERT INTO public.ecdc_data VALUES (58211, 81, 1759, 124.52488611, 70, 329);
INSERT INTO public.ecdc_data VALUES (58212, 0, 39, 0.01904053, 111, 329);
INSERT INTO public.ecdc_data VALUES (58213, 198, 5660, 181.5554455, 71, 329);
INSERT INTO public.ecdc_data VALUES (58214, 0, 5, 1.99790572, 11, 329);
INSERT INTO public.ecdc_data VALUES (58215, 0, 0, 2.02583252, 12, 329);
INSERT INTO public.ecdc_data VALUES (58216, 13, 1068, 317.18289289, 72, 329);
INSERT INTO public.ecdc_data VALUES (58217, 0, 31, 2.32146189, 13, 329);
INSERT INTO public.ecdc_data VALUES (58218, 4, 234, 62.50849434, 156, 329);
INSERT INTO public.ecdc_data VALUES (58219, 0, 73, 6.50285473, 73, 329);
INSERT INTO public.ecdc_data VALUES (58220, 0, 7, 115.65079579, 74, 329);
INSERT INTO public.ecdc_data VALUES (58221, 0, 17, 24.43204068, 157, 329);
INSERT INTO public.ecdc_data VALUES (58222, 23, 5336, 282.63441567, 158, 329);
INSERT INTO public.ecdc_data VALUES (58223, 0, 25, 0.27883214, 14, 329);
INSERT INTO public.ecdc_data VALUES (58224, 1, 398, 120.6149208, 159, 329);
INSERT INTO public.ecdc_data VALUES (58225, 0, 1, 1.64345796, 15, 329);
INSERT INTO public.ecdc_data VALUES (58226, 0, 0, 9.74821747, 75, 329);
INSERT INTO public.ecdc_data VALUES (58227, 3, 519, 61.38398729, 76, 329);
INSERT INTO public.ecdc_data VALUES (58228, 78, 1537, 93.97560917, 77, 329);
INSERT INTO public.ecdc_data VALUES (58229, 16, 119, 1.66952099, 16, 329);
INSERT INTO public.ecdc_data VALUES (58230, 5, 98, 29.84403933, 78, 329);
INSERT INTO public.ecdc_data VALUES (58231, 0, 15, 3.31862812, 17, 329);
INSERT INTO public.ecdc_data VALUES (58232, 0, 0, 0.31454481, 18, 329);
INSERT INTO public.ecdc_data VALUES (58233, 1, 79, 50.72387192, 160, 329);
INSERT INTO public.ecdc_data VALUES (58234, 2, 18, 26.91325831, 19, 329);
INSERT INTO public.ecdc_data VALUES (58235, 7, 730, 8.19513234, 20, 329);
INSERT INTO public.ecdc_data VALUES (58236, 0, 0, 0, 79, 329);
INSERT INTO public.ecdc_data VALUES (58237, 0, 5, 88.33740781, 161, 329);
INSERT INTO public.ecdc_data VALUES (58238, 0, 0, 0, 203, 329);
INSERT INTO public.ecdc_data VALUES (58239, 0, 111, 23.63209754, 162, 329);
INSERT INTO public.ecdc_data VALUES (58240, 63, 13970, 241.78037528, 163, 329);
INSERT INTO public.ecdc_data VALUES (58241, 0, 124, 214.83430904, 204, 329);
INSERT INTO public.ecdc_data VALUES (58242, 0, 0, 4.05048749, 21, 329);
INSERT INTO public.ecdc_data VALUES (58243, 1, 5, 4.72803975, 22, 329);
INSERT INTO public.ecdc_data VALUES (58244, 4, 453, 99.43048898, 164, 329);
INSERT INTO public.ecdc_data VALUES (58245, 8, 2673, 32.0672758, 165, 329);
INSERT INTO public.ecdc_data VALUES (58246, 0, 0, 3.09686501, 23, 329);
INSERT INTO public.ecdc_data VALUES (58247, 0, 14, 198.7776657, 166, 329);
INSERT INTO public.ecdc_data VALUES (58248, 2, 411, 41.82906979, 167, 329);
INSERT INTO public.ecdc_data VALUES (58249, 0, 0, 0, 80, 329);
INSERT INTO public.ecdc_data VALUES (58250, 0, 0, 0, 81, 329);
INSERT INTO public.ecdc_data VALUES (58251, 2, 107, 301.86198033, 205, 329);
INSERT INTO public.ecdc_data VALUES (58252, 15, 663, 49.73985119, 82, 329);
INSERT INTO public.ecdc_data VALUES (58253, 0, 0, 4.65347149, 168, 329);
INSERT INTO public.ecdc_data VALUES (58254, 0, 0, 3.8993846, 24, 329);
INSERT INTO public.ecdc_data VALUES (58255, 0, 0, 2.55086503, 25, 329);
INSERT INTO public.ecdc_data VALUES (58256, 2, 35, 115.23106895, 83, 329);
INSERT INTO public.ecdc_data VALUES (58257, 0, 0, 1.86449904, 84, 329);
INSERT INTO public.ecdc_data VALUES (58258, 0, 0, 0, 169, 329);
INSERT INTO public.ecdc_data VALUES (58259, 27, 698, 76.72800906, 85, 329);
INSERT INTO public.ecdc_data VALUES (58260, 17, 1322, 128.11125132, 170, 329);
INSERT INTO public.ecdc_data VALUES (58261, 0, 41, 157.70705704, 171, 329);
INSERT INTO public.ecdc_data VALUES (58262, 1095, 81484, 86.31262254, 112, 329);
INSERT INTO public.ecdc_data VALUES (58263, 116, 4174, 21.63653665, 113, 329);
INSERT INTO public.ecdc_data VALUES (58264, 211, 3825, 57.76474637, 114, 329);
INSERT INTO public.ecdc_data VALUES (58265, 50, 4493, 152.86014382, 115, 329);
INSERT INTO public.ecdc_data VALUES (58266, 2, 442, 93.26623493, 172, 329);
INSERT INTO public.ecdc_data VALUES (58267, 0, 0, 1.18218681, 173, 329);
INSERT INTO public.ecdc_data VALUES (58268, 51, 7638, 925.39673988, 116, 329);
INSERT INTO public.ecdc_data VALUES (58269, 24, 2548, 40.39791817, 174, 329);
INSERT INTO public.ecdc_data VALUES (58270, 4, 93, 73.97541004, 86, 329);
INSERT INTO public.ecdc_data VALUES (58271, 14, 1205, 5.29795378, 117, 329);
INSERT INTO public.ecdc_data VALUES (58272, 0, 5, 25.9749898, 175, 329);
INSERT INTO public.ecdc_data VALUES (58273, 8, 1276, 88.79696154, 118, 329);
INSERT INTO public.ecdc_data VALUES (58274, 2, 298, 19.09826025, 119, 329);
INSERT INTO public.ecdc_data VALUES (58275, 7, 184, 4.06474938, 26, 329);
INSERT INTO public.ecdc_data VALUES (58276, 2, 43, 43.42493158, 176, 329);
INSERT INTO public.ecdc_data VALUES (58277, 2, 494, 186.6378961, 120, 329);
INSERT INTO public.ecdc_data VALUES (58278, 0, 215, 28.24255114, 121, 329);
INSERT INTO public.ecdc_data VALUES (58279, 0, 0, 0, 122, 329);
INSERT INTO public.ecdc_data VALUES (58280, 0, 44, 19.47949132, 177, 329);
INSERT INTO public.ecdc_data VALUES (58281, 7, 1248, 205.8722154, 123, 329);
INSERT INTO public.ecdc_data VALUES (58282, 2, 44, 14.68050838, 27, 329);
INSERT INTO public.ecdc_data VALUES (58283, 0, 0, 0.20253681, 28, 329);
INSERT INTO public.ecdc_data VALUES (58284, 8, 683, 138.48860331, 29, 329);
INSERT INTO public.ecdc_data VALUES (58285, 0, 0, 23.45093543, 178, 329);
INSERT INTO public.ecdc_data VALUES (58286, 0, 91, 45.80943846, 179, 329);
INSERT INTO public.ecdc_data VALUES (58287, 1, 86, 171.69087823, 180, 329);
INSERT INTO public.ecdc_data VALUES (58288, 2, 46, 2.16171673, 30, 329);
INSERT INTO public.ecdc_data VALUES (58289, 0, 6, 0.3650272, 31, 329);
INSERT INTO public.ecdc_data VALUES (58290, 2, 349, 4.48203273, 124, 329);
INSERT INTO public.ecdc_data VALUES (58291, 0, 63, 161.97168509, 125, 329);
INSERT INTO public.ecdc_data VALUES (58292, 0, 13, 0.83935195, 32, 329);
INSERT INTO public.ecdc_data VALUES (58293, 2, 44, 100.49457106, 181, 329);
INSERT INTO public.ecdc_data VALUES (58294, 0, 14, 3.75632665, 33, 329);
INSERT INTO public.ecdc_data VALUES (58295, 0, 0, 1.26016997, 34, 329);
INSERT INTO public.ecdc_data VALUES (58296, 432, 4955, 49.93590895, 87, 329);
INSERT INTO public.ecdc_data VALUES (58297, 16, 1022, 224.59610542, 182, 329);
INSERT INTO public.ecdc_data VALUES (58298, 0, 1, 99.74308599, 183, 329);
INSERT INTO public.ecdc_data VALUES (58299, 0, 0, 0.06201231, 126, 329);
INSERT INTO public.ecdc_data VALUES (58300, 1, 215, 559.96476915, 184, 329);
INSERT INTO public.ecdc_data VALUES (58301, 0, 0, 0, 88, 329);
INSERT INTO public.ecdc_data VALUES (58302, 35, 2391, 86.47785248, 35, 329);
INSERT INTO public.ecdc_data VALUES (58303, 1, 160, 8.98042593, 36, 329);
INSERT INTO public.ecdc_data VALUES (58304, 11, 1010, 18.65837961, 127, 329);
INSERT INTO public.ecdc_data VALUES (58305, 2, 108, 51.91371179, 37, 329);
INSERT INTO public.ecdc_data VALUES (58306, 11, 1911, 70.45056026, 128, 329);
INSERT INTO public.ecdc_data VALUES (58307, 13, 3253, 208.18574619, 185, 329);
INSERT INTO public.ecdc_data VALUES (58308, 0, 0, 0.35366056, 207, 329);
INSERT INTO public.ecdc_data VALUES (58309, 0, 12, 0.71084172, 208, 329);
INSERT INTO public.ecdc_data VALUES (58310, 0, 0, 3.19303192, 89, 329);
INSERT INTO public.ecdc_data VALUES (58311, 0, 0, 0.07292782, 38, 329);
INSERT INTO public.ecdc_data VALUES (58312, 0, 153, 1.12756736, 39, 329);
INSERT INTO public.ecdc_data VALUES (58313, 4, 161, 89.73912106, 186, 329);
INSERT INTO public.ecdc_data VALUES (58314, 0, 3, 19.22639959, 209, 329);
INSERT INTO public.ecdc_data VALUES (58315, 0, 113, 28.67753761, 187, 329);
INSERT INTO public.ecdc_data VALUES (58316, 0, 0, 137.32685399, 129, 329);
INSERT INTO public.ecdc_data VALUES (58317, 15, 625, 4.17656905, 130, 329);
INSERT INTO public.ecdc_data VALUES (58318, 8, 521, 154.91560442, 131, 329);
INSERT INTO public.ecdc_data VALUES (58319, 15, 747, 216.74626275, 90, 329);
INSERT INTO public.ecdc_data VALUES (58320, 0, 5, 0.26207484, 210, 329);
INSERT INTO public.ecdc_data VALUES (58321, 12, 1041, 151.68981689, 91, 329);
INSERT INTO public.ecdc_data VALUES (58322, 72, 3468, 209.77554856, 92, 329);
INSERT INTO public.ecdc_data VALUES (58323, 114, 4776, 34.95299733, 132, 329);
INSERT INTO public.ecdc_data VALUES (58324, 30, 1967, 44.53186137, 188, 329);
INSERT INTO public.ecdc_data VALUES (58325, 6, 854, 97.30828735, 189, 329);
INSERT INTO public.ecdc_data VALUES (58326, 4, 312, 347.71889586, 93, 329);
INSERT INTO public.ecdc_data VALUES (58327, 0, 199, 115.32196756, 133, 329);
INSERT INTO public.ecdc_data VALUES (58328, 37, 2086, 108.00198491, 190, 329);
INSERT INTO public.ecdc_data VALUES (58329, 169, 8945, 68.51885341, 191, 329);
INSERT INTO public.ecdc_data VALUES (58330, 0, 3, 1.50471951, 40, 329);
INSERT INTO public.ecdc_data VALUES (58331, 0, 0, 3.78544119, 94, 329);
INSERT INTO public.ecdc_data VALUES (58332, 0, 0, 0, 95, 329);
INSERT INTO public.ecdc_data VALUES (58333, 0, 0, 0, 96, 329);
INSERT INTO public.ecdc_data VALUES (58334, 0, 0, 26.12254376, 192, 329);
INSERT INTO public.ecdc_data VALUES (58335, 0, 0, 1.86004985, 41, 329);
INSERT INTO public.ecdc_data VALUES (58336, 26, 492, 20.28975332, 134, 329);
INSERT INTO public.ecdc_data VALUES (58337, 0, 37, 2.4606719, 42, 329);
INSERT INTO public.ecdc_data VALUES (58338, 1, 111, 13.88616846, 193, 329);
INSERT INTO public.ecdc_data VALUES (58339, 0, 0, 3.06933631, 43, 329);
INSERT INTO public.ecdc_data VALUES (58340, 0, 7, 1.34387838, 44, 329);
INSERT INTO public.ecdc_data VALUES (58341, 0, 42, 4.34157664, 135, 329);
INSERT INTO public.ecdc_data VALUES (58342, 0, 1, 242.98756753, 97, 329);
INSERT INTO public.ecdc_data VALUES (58343, 0, 797, 90.21321472, 194, 329);
INSERT INTO public.ecdc_data VALUES (58344, 0, 175, 86.83709227, 195, 329);
INSERT INTO public.ecdc_data VALUES (58345, 0, 5, 1.31451943, 45, 329);
INSERT INTO public.ecdc_data VALUES (58346, 132, 1745, 35.02835902, 46, 329);
INSERT INTO public.ecdc_data VALUES (58347, 3, 140, 2.28207452, 136, 329);
INSERT INTO public.ecdc_data VALUES (58348, 0, 0, 0.94918566, 47, 329);
INSERT INTO public.ecdc_data VALUES (58349, 113, 11325, 319.34680187, 196, 329);
INSERT INTO public.ecdc_data VALUES (58350, 0, 2, 0.49709868, 137, 329);
INSERT INTO public.ecdc_data VALUES (58351, 0, 13, 0.27561569, 48, 329);
INSERT INTO public.ecdc_data VALUES (58352, 1, 14, 37.84210553, 98, 329);
INSERT INTO public.ecdc_data VALUES (58353, 1, 633, 57.0468667, 197, 329);
INSERT INTO public.ecdc_data VALUES (58354, 1, 550, 58.84468502, 198, 329);
INSERT INTO public.ecdc_data VALUES (58355, 2, 47, 3.25715115, 138, 329);
INSERT INTO public.ecdc_data VALUES (58356, 0, 3, 0.05888816, 139, 329);
INSERT INTO public.ecdc_data VALUES (58357, 1, 42, 6.40487637, 140, 329);
INSERT INTO public.ecdc_data VALUES (58358, 0, 6, 0.11202779, 141, 329);
INSERT INTO public.ecdc_data VALUES (58359, 0, 0, 0.07733234, 142, 329);
INSERT INTO public.ecdc_data VALUES (58360, 0, 25, 2.36317145, 49, 329);
INSERT INTO public.ecdc_data VALUES (58361, 0, 39, 81.43550143, 99, 329);
INSERT INTO public.ecdc_data VALUES (58362, 0, 0, 84.16618062, 50, 329);
INSERT INTO public.ecdc_data VALUES (58363, 67, 1407, 26.8658013, 199, 329);
INSERT INTO public.ecdc_data VALUES (58364, 0, 1, 70.69173169, 100, 329);
INSERT INTO public.ecdc_data VALUES (58365, 0, 158, 6.56658487, 51, 329);
INSERT INTO public.ecdc_data VALUES (58366, 64, 0, 97.09357327, 200, 329);
INSERT INTO public.ecdc_data VALUES (58367, 2, 1158, 130.80155562, 143, 329);
INSERT INTO public.ecdc_data VALUES (58368, 59, 6914, 117.88057673, 201, 329);
INSERT INTO public.ecdc_data VALUES (58369, 0, 0, 0, 52, 329);
INSERT INTO public.ecdc_data VALUES (58370, 880, 44771, 183.35470262, 101, 329);
INSERT INTO public.ecdc_data VALUES (58371, 0, 3, 79.36583827, 102, 329);
INSERT INTO public.ecdc_data VALUES (58372, 0, 15, 5.34414719, 103, 329);
INSERT INTO public.ecdc_data VALUES (58373, 1, 457, 22.61859336, 144, 329);
INSERT INTO public.ecdc_data VALUES (58374, 7, 907, 41.18765055, 104, 329);
INSERT INTO public.ecdc_data VALUES (58375, 0, 1, 0.03006362, 145, 329);
INSERT INTO public.ecdc_data VALUES (58376, 0, 0, 0, 53, 329);
INSERT INTO public.ecdc_data VALUES (58377, 0, 3, 0.05143694, 146, 329);
INSERT INTO public.ecdc_data VALUES (58378, 1, 43, 4.89333372, 54, 329);
INSERT INTO public.ecdc_data VALUES (58379, 0, 12, 1.48168653, 55, 329);
INSERT INTO public.ecdc_data VALUES (58380, 0, 9, 1.59298636, 105, 330);
INSERT INTO public.ecdc_data VALUES (58381, 6, 93, 68.19387883, 147, 330);
INSERT INTO public.ecdc_data VALUES (58382, 8, 339, 12.51711435, 1, 330);
INSERT INTO public.ecdc_data VALUES (58383, 0, 8, 234.97906192, 148, 330);
INSERT INTO public.ecdc_data VALUES (58384, 1, 30, 2.16180216, 2, 330);
INSERT INTO public.ecdc_data VALUES (58385, 0, 0, 0, 56, 330);
INSERT INTO public.ecdc_data VALUES (58386, 0, 0, 1.02970705, 57, 330);
INSERT INTO public.ecdc_data VALUES (58387, 232, 9309, 264.86648538, 58, 330);
INSERT INTO public.ecdc_data VALUES (58388, 2, 97, 68.7013816, 149, 330);
INSERT INTO public.ecdc_data VALUES (58389, 0, 98, 924.65431286, 59, 330);
INSERT INTO public.ecdc_data VALUES (58390, 5, 73, 8.11801676, 202, 330);
INSERT INTO public.ecdc_data VALUES (58391, 1, 337, 43.64034531, 150, 330);
INSERT INTO public.ecdc_data VALUES (58392, 2, 143, 20.94007605, 151, 330);
INSERT INTO public.ecdc_data VALUES (58393, 2, 59, 218.74983953, 60, 330);
INSERT INTO public.ecdc_data VALUES (58394, 0, 398, 291.68321996, 106, 330);
INSERT INTO public.ecdc_data VALUES (58395, 35, 1950, 19.99556285, 107, 330);
INSERT INTO public.ecdc_data VALUES (58396, 0, 2, 8.01335094, 61, 330);
INSERT INTO public.ecdc_data VALUES (58397, 5, 119, 24.21604905, 152, 330);
INSERT INTO public.ecdc_data VALUES (58398, 3, 565, 56.74993861, 153, 330);
INSERT INTO public.ecdc_data VALUES (58399, 0, 43, 127.32130826, 62, 330);
INSERT INTO public.ecdc_data VALUES (58400, 0, 0, 0.69484748, 3, 330);
INSERT INTO public.ecdc_data VALUES (58401, 0, 0, 9.59877136, 63, 330);
INSERT INTO public.ecdc_data VALUES (58402, 0, 2, 10.48363635, 108, 330);
INSERT INTO public.ecdc_data VALUES (58403, 74, 669, 123.75465795, 64, 330);
INSERT INTO public.ecdc_data VALUES (58404, 0, 0, 7.69734057, 65, 330);
INSERT INTO public.ecdc_data VALUES (58405, 11, 270, 117.63109217, 154, 330);
INSERT INTO public.ecdc_data VALUES (58406, 0, 0, 18.05788333, 4, 330);
INSERT INTO public.ecdc_data VALUES (58407, 1215, 42659, 257.55898548, 66, 330);
INSERT INTO public.ecdc_data VALUES (58408, 0, 0, 119.86814504, 67, 330);
INSERT INTO public.ecdc_data VALUES (58409, 0, 0, 0.46157823, 109, 330);
INSERT INTO public.ecdc_data VALUES (58410, 0, 0, 22.81415861, 155, 330);
INSERT INTO public.ecdc_data VALUES (58411, 0, 5, 0.44288324, 5, 330);
INSERT INTO public.ecdc_data VALUES (58412, 0, 0, 0.25150519, 6, 330);
INSERT INTO public.ecdc_data VALUES (58413, 0, 0, 0.00606555, 110, 330);
INSERT INTO public.ecdc_data VALUES (58414, 3, 267, 3.13026699, 7, 330);
INSERT INTO public.ecdc_data VALUES (58415, 6, 477, 16.76243252, 68, 330);
INSERT INTO public.ecdc_data VALUES (58416, 0, 86, 130.37880772, 8, 330);
INSERT INTO public.ecdc_data VALUES (58417, 0, 0, 3.07938659, 69, 330);
INSERT INTO public.ecdc_data VALUES (58418, 0, 0, 0.67436866, 9, 330);
INSERT INTO public.ecdc_data VALUES (58419, 0, 4, 0.29472846, 10, 330);
INSERT INTO public.ecdc_data VALUES (58420, 32, 1419, 128.16565609, 70, 330);
INSERT INTO public.ecdc_data VALUES (58421, 1, 20, 0.03068803, 111, 330);
INSERT INTO public.ecdc_data VALUES (58422, 389, 8901, 268.07408258, 71, 330);
INSERT INTO public.ecdc_data VALUES (58423, 0, 0, 2.11542959, 11, 330);
INSERT INTO public.ecdc_data VALUES (58424, 4, 649, 14.73839625, 12, 330);
INSERT INTO public.ecdc_data VALUES (58425, 7, 897, 248.45663084, 72, 330);
INSERT INTO public.ecdc_data VALUES (58426, 0, 36, 3.70578422, 13, 330);
INSERT INTO public.ecdc_data VALUES (58427, 1, 145, 87.31072659, 156, 330);
INSERT INTO public.ecdc_data VALUES (58428, 1, 33, 5.79698176, 73, 330);
INSERT INTO public.ecdc_data VALUES (58429, 0, 0, 20.19299609, 74, 330);
INSERT INTO public.ecdc_data VALUES (58430, 0, 2, 14.95606229, 157, 330);
INSERT INTO public.ecdc_data VALUES (58431, 1, 499, 43.51255423, 158, 330);
INSERT INTO public.ecdc_data VALUES (58432, 1, 7, 0.44129219, 14, 330);
INSERT INTO public.ecdc_data VALUES (58433, 1, 99, 21.16746218, 159, 330);
INSERT INTO public.ecdc_data VALUES (58434, 0, 0, 1.33530959, 15, 330);
INSERT INTO public.ecdc_data VALUES (58435, 0, 0, 2.78520499, 75, 330);
INSERT INTO public.ecdc_data VALUES (58436, 28, 264, 73.15421786, 76, 330);
INSERT INTO public.ecdc_data VALUES (58437, 15, 542, 65.43239572, 77, 330);
INSERT INTO public.ecdc_data VALUES (58438, 19, 176, 2.51523896, 16, 330);
INSERT INTO public.ecdc_data VALUES (58439, 7, 84, 37.83963865, 78, 330);
INSERT INTO public.ecdc_data VALUES (58440, 0, 24, 5.38355229, 17, 330);
INSERT INTO public.ecdc_data VALUES (58441, 0, 1, 0.42892474, 18, 330);
INSERT INTO public.ecdc_data VALUES (58442, 0, 20, 14.71898069, 160, 330);
INSERT INTO public.ecdc_data VALUES (58443, 3, 41, 54.78459377, 19, 330);
INSERT INTO public.ecdc_data VALUES (58444, 19, 1173, 18.36387738, 20, 330);
INSERT INTO public.ecdc_data VALUES (58445, 0, 0, 0, 79, 330);
INSERT INTO public.ecdc_data VALUES (58446, 0, 0, 78.0656162, 161, 330);
INSERT INTO public.ecdc_data VALUES (58447, 0, 1, 0.11236523, 203, 330);
INSERT INTO public.ecdc_data VALUES (58448, 0, 56, 6.63293535, 162, 330);
INSERT INTO public.ecdc_data VALUES (58449, 26, 4982, 96.60828948, 163, 330);
INSERT INTO public.ecdc_data VALUES (58450, 0, 46, 129.61669979, 204, 330);
INSERT INTO public.ecdc_data VALUES (58451, 0, 0, 12.10543419, 21, 330);
INSERT INTO public.ecdc_data VALUES (58452, 0, 66, 49.28236024, 22, 330);
INSERT INTO public.ecdc_data VALUES (58453, 0, 23, 3.72801783, 164, 330);
INSERT INTO public.ecdc_data VALUES (58454, 11, 1256, 21.61066017, 165, 330);
INSERT INTO public.ecdc_data VALUES (58455, 0, 162, 4.8228248, 23, 330);
INSERT INTO public.ecdc_data VALUES (58456, 0, 5, 201.74449653, 166, 330);
INSERT INTO public.ecdc_data VALUES (58457, 5, 207, 28.45794048, 167, 330);
INSERT INTO public.ecdc_data VALUES (58458, 0, 0, 0, 80, 330);
INSERT INTO public.ecdc_data VALUES (58459, 0, 0, 0, 81, 330);
INSERT INTO public.ecdc_data VALUES (58460, 3, 52, 506.88902836, 205, 330);
INSERT INTO public.ecdc_data VALUES (58461, 18, 819, 62.82748957, 82, 330);
INSERT INTO public.ecdc_data VALUES (58462, 0, 0, 0, 168, 330);
INSERT INTO public.ecdc_data VALUES (58463, 0, 70, 5.98218843, 24, 330);
INSERT INTO public.ecdc_data VALUES (58464, 0, 0, 4.58114536, 25, 330);
INSERT INTO public.ecdc_data VALUES (58465, 2, 67, 81.24940117, 83, 330);
INSERT INTO public.ecdc_data VALUES (58466, 5, 34, 2.99207703, 84, 330);
INSERT INTO public.ecdc_data VALUES (58467, 0, 0, 0, 169, 330);
INSERT INTO public.ecdc_data VALUES (58468, 15, 755, 103.62077607, 85, 330);
INSERT INTO public.ecdc_data VALUES (58469, 1, 118, 13.16926361, 170, 330);
INSERT INTO public.ecdc_data VALUES (58470, 0, 9, 24.93060049, 171, 330);
INSERT INTO public.ecdc_data VALUES (58471, 1105, 78357, 73.34872484, 112, 330);
INSERT INTO public.ecdc_data VALUES (58472, 88, 2775, 12.75858759, 113, 330);
INSERT INTO public.ecdc_data VALUES (58473, 101, 1682, 35.04720252, 114, 330);
INSERT INTO public.ecdc_data VALUES (58474, 81, 3404, 136.42657812, 115, 330);
INSERT INTO public.ecdc_data VALUES (58475, 0, 214, 31.11593234, 172, 330);
INSERT INTO public.ecdc_data VALUES (58476, 0, 0, 0, 173, 330);
INSERT INTO public.ecdc_data VALUES (58477, 18, 2235, 268.28265413, 116, 330);
INSERT INTO public.ecdc_data VALUES (58478, 8, 975, 25.76725809, 174, 330);
INSERT INTO public.ecdc_data VALUES (58479, 3, 326, 52.13214362, 86, 330);
INSERT INTO public.ecdc_data VALUES (58480, 11, 609, 9.02646462, 117, 330);
INSERT INTO public.ecdc_data VALUES (58481, 0, 5, 20.40892055, 175, 330);
INSERT INTO public.ecdc_data VALUES (58482, 0, 63, 6.52365637, 118, 330);
INSERT INTO public.ecdc_data VALUES (58483, 68, 99, 45.11782058, 119, 330);
INSERT INTO public.ecdc_data VALUES (58484, 0, 114, 6.99775994, 26, 330);
INSERT INTO public.ecdc_data VALUES (58485, 8, 147, 106.47726502, 176, 330);
INSERT INTO public.ecdc_data VALUES (58486, 3, 702, 198.26116803, 120, 330);
INSERT INTO public.ecdc_data VALUES (58487, 0, 78, 29.4582901, 121, 330);
INSERT INTO public.ecdc_data VALUES (58488, 0, 0, 0.02789612, 122, 330);
INSERT INTO public.ecdc_data VALUES (58489, 0, 8, 4.21882031, 177, 330);
INSERT INTO public.ecdc_data VALUES (58490, 4, 469, 123.10907595, 123, 330);
INSERT INTO public.ecdc_data VALUES (58491, 0, 0, 6.54035469, 27, 330);
INSERT INTO public.ecdc_data VALUES (58492, 0, 1, 0.46583467, 28, 330);
INSERT INTO public.ecdc_data VALUES (58493, 5, 658, 89.19279853, 29, 330);
INSERT INTO public.ecdc_data VALUES (58494, 0, 0, 28.66225442, 178, 330);
INSERT INTO public.ecdc_data VALUES (58495, 0, 23, 16.28382383, 179, 330);
INSERT INTO public.ecdc_data VALUES (58496, 0, 0, -133.89933767, 180, 330);
INSERT INTO public.ecdc_data VALUES (58497, 3, 94, 3.51510714, 30, 330);
INSERT INTO public.ecdc_data VALUES (58498, 0, 10, 2.055962, 31, 330);
INSERT INTO public.ecdc_data VALUES (58499, 1, 14, 0.422538, 124, 330);
INSERT INTO public.ecdc_data VALUES (58500, 1, 195, 362.3645606, 125, 330);
INSERT INTO public.ecdc_data VALUES (58501, 0, 1, 0.56465495, 32, 330);
INSERT INTO public.ecdc_data VALUES (58502, 1, 21, 93.80844033, 181, 330);
INSERT INTO public.ecdc_data VALUES (58503, 0, 27, 6.31946718, 33, 330);
INSERT INTO public.ecdc_data VALUES (58504, 0, 0, 0.78760623, 34, 330);
INSERT INTO public.ecdc_data VALUES (58505, 827, 6936, 58.6092024, 87, 330);
INSERT INTO public.ecdc_data VALUES (58506, 13, 288, 158.75811041, 182, 330);
INSERT INTO public.ecdc_data VALUES (58507, 0, 2, 120.90071029, 183, 330);
INSERT INTO public.ecdc_data VALUES (58508, 0, 2, 0.24804925, 126, 330);
INSERT INTO public.ecdc_data VALUES (58509, 2, 82, 126.1688702, 184, 330);
INSERT INTO public.ecdc_data VALUES (58510, 0, 0, 0, 88, 330);
INSERT INTO public.ecdc_data VALUES (58511, 43, 1191, 52.03477123, 35, 330);
INSERT INTO public.ecdc_data VALUES (58512, 0, 123, 3.70479618, 36, 330);
INSERT INTO public.ecdc_data VALUES (58513, 0, 51, 1.03431517, 127, 330);
INSERT INTO public.ecdc_data VALUES (58514, 6, 142, 129.40344531, 37, 330);
INSERT INTO public.ecdc_data VALUES (58515, 11, 1069, 42.89601962, 128, 330);
INSERT INTO public.ecdc_data VALUES (58516, 6, 461, 41.34899086, 185, 330);
INSERT INTO public.ecdc_data VALUES (58517, 0, 0, 0, 207, 330);
INSERT INTO public.ecdc_data VALUES (58518, 0, 5, 2.23706069, 208, 330);
INSERT INTO public.ecdc_data VALUES (58519, 4, 174, 5.45412629, 89, 330);
INSERT INTO public.ecdc_data VALUES (58520, 0, 0, 0.03860885, 38, 330);
INSERT INTO public.ecdc_data VALUES (58521, 10, 239, 2.16556627, 39, 330);
INSERT INTO public.ecdc_data VALUES (58522, 3, 11, 70.48179894, 186, 330);
INSERT INTO public.ecdc_data VALUES (58523, 0, 1, 5.24356353, 209, 330);
INSERT INTO public.ecdc_data VALUES (58524, 0, 139, 13.5692799, 187, 330);
INSERT INTO public.ecdc_data VALUES (58525, 4, 206, 50.45234244, 129, 330);
INSERT INTO public.ecdc_data VALUES (58526, 20, 441, 3.12053661, 130, 330);
INSERT INTO public.ecdc_data VALUES (58527, 7, 621, 150.29844892, 131, 330);
INSERT INTO public.ecdc_data VALUES (58528, 16, 570, 253.43581918, 90, 330);
INSERT INTO public.ecdc_data VALUES (58529, 0, 1, 1.28758509, 210, 330);
INSERT INTO public.ecdc_data VALUES (58530, 22, 676, 109.75722106, 91, 330);
INSERT INTO public.ecdc_data VALUES (58531, 124, 5092, 331.61017521, 92, 330);
INSERT INTO public.ecdc_data VALUES (58532, 34, 3445, 50.91816502, 132, 330);
INSERT INTO public.ecdc_data VALUES (58533, 19, 550, 26.45577051, 188, 330);
INSERT INTO public.ecdc_data VALUES (58534, 2, 231, 36.92849505, 189, 330);
INSERT INTO public.ecdc_data VALUES (58535, 1, 222, 194.58622133, 93, 330);
INSERT INTO public.ecdc_data VALUES (58536, 1, 216, 117.68772746, 133, 330);
INSERT INTO public.ecdc_data VALUES (58537, 60, 1053, 84.39586621, 190, 330);
INSERT INTO public.ecdc_data VALUES (58538, 123, 4729, 46.31106696, 191, 330);
INSERT INTO public.ecdc_data VALUES (58539, 0, 79, 12.39413704, 40, 330);
INSERT INTO public.ecdc_data VALUES (58540, 0, 0, 0, 94, 330);
INSERT INTO public.ecdc_data VALUES (58541, 0, 0, 0, 95, 330);
INSERT INTO public.ecdc_data VALUES (58542, 0, 1, 2.71264908, 96, 330);
INSERT INTO public.ecdc_data VALUES (58543, 0, 0, 14.51252431, 192, 330);
INSERT INTO public.ecdc_data VALUES (58544, 0, 0, 5.11513709, 41, 330);
INSERT INTO public.ecdc_data VALUES (58545, 32, 898, 44.75534973, 134, 330);
INSERT INTO public.ecdc_data VALUES (58546, 0, 57, 8.36382991, 42, 330);
INSERT INTO public.ecdc_data VALUES (58547, 2, 76, 22.86119978, 193, 330);
INSERT INTO public.ecdc_data VALUES (58548, 0, 0, 9.20800892, 43, 330);
INSERT INTO public.ecdc_data VALUES (58549, 1, 2, 0.88312008, 44, 330);
INSERT INTO public.ecdc_data VALUES (58550, 0, 40, 15.74682957, 135, 330);
INSERT INTO public.ecdc_data VALUES (58551, 2, 6, 368.02000519, 97, 330);
INSERT INTO public.ecdc_data VALUES (58552, 0, 72, 19.57646941, 194, 330);
INSERT INTO public.ecdc_data VALUES (58553, 0, 41, 22.92268567, 195, 330);
INSERT INTO public.ecdc_data VALUES (58554, 0, 0, 0.34319965, 45, 330);
INSERT INTO public.ecdc_data VALUES (58555, 114, 1218, 61.67361476, 46, 330);
INSERT INTO public.ecdc_data VALUES (58556, 2, 267, 8.57193262, 136, 330);
INSERT INTO public.ecdc_data VALUES (58557, 0, 0, 0.33447495, 47, 330);
INSERT INTO public.ecdc_data VALUES (58558, 42, 8581, 231.5590282, 196, 330);
INSERT INTO public.ecdc_data VALUES (58559, 0, 43, 0.89102593, 137, 330);
INSERT INTO public.ecdc_data VALUES (58560, 0, 0, 1.64435126, 48, 330);
INSERT INTO public.ecdc_data VALUES (58561, 1, 55, 150.16435514, 98, 330);
INSERT INTO public.ecdc_data VALUES (58562, 3, 171, 28.10310859, 197, 330);
INSERT INTO public.ecdc_data VALUES (58563, 1, 216, 46.02946424, 198, 330);
INSERT INTO public.ecdc_data VALUES (58564, 4, 65, 6.24482576, 138, 330);
INSERT INTO public.ecdc_data VALUES (58565, 0, 1, 0.01261889, 139, 330);
INSERT INTO public.ecdc_data VALUES (58566, 1, 36, 5.23547684, 140, 330);
INSERT INTO public.ecdc_data VALUES (58567, 0, 8, 0.06175891, 141, 330);
INSERT INTO public.ecdc_data VALUES (58568, 0, 0, 0.15466469, 142, 330);
INSERT INTO public.ecdc_data VALUES (58569, 0, 16, 3.00654796, 49, 330);
INSERT INTO public.ecdc_data VALUES (58570, 5, 38, 83.72945922, 99, 330);
INSERT INTO public.ecdc_data VALUES (58571, 0, 0, 13.83530227, 50, 330);
INSERT INTO public.ecdc_data VALUES (58572, 47, 1572, 24.26714384, 199, 330);
INSERT INTO public.ecdc_data VALUES (58573, 0, 0, 505.31497094, 100, 330);
INSERT INTO public.ecdc_data VALUES (58574, 0, 65, 3.23924413, 51, 330);
INSERT INTO public.ecdc_data VALUES (58575, 48, 2088, 65.61629825, 200, 330);
INSERT INTO public.ecdc_data VALUES (58576, 0, 574, 60.37545983, 143, 330);
INSERT INTO public.ecdc_data VALUES (58577, 3, 1295, 25.33042992, 201, 330);
INSERT INTO public.ecdc_data VALUES (58578, 0, 0, 0, 52, 330);
INSERT INTO public.ecdc_data VALUES (58579, 1091, 44639, 180.2793216, 101, 330);
INSERT INTO public.ecdc_data VALUES (58580, 0, 4, 331.80657685, 102, 330);
INSERT INTO public.ecdc_data VALUES (58581, 0, 16, 3.63979755, 103, 330);
INSERT INTO public.ecdc_data VALUES (58582, 4, 376, 17.00942477, 144, 330);
INSERT INTO public.ecdc_data VALUES (58583, 10, 1888, 42.28879336, 104, 330);
INSERT INTO public.ecdc_data VALUES (58584, 0, 0, 0.05701721, 145, 330);
INSERT INTO public.ecdc_data VALUES (58585, 0, 0, 0, 53, 330);
INSERT INTO public.ecdc_data VALUES (58586, 4, 4, 0.26061382, 146, 330);
INSERT INTO public.ecdc_data VALUES (58587, 2, 284, 13.43707201, 54, 330);
INSERT INTO public.ecdc_data VALUES (58588, 1, 62, 8.06392528, 55, 330);
INSERT INTO public.ecdc_data VALUES (58589, 0, 0, 3.70382472, 105, 331);
INSERT INTO public.ecdc_data VALUES (58590, 4, 120, 48.49031958, 147, 331);
INSERT INTO public.ecdc_data VALUES (58591, 13, 556, 19.51313373, 1, 331);
INSERT INTO public.ecdc_data VALUES (58592, 0, 0, 59.07294853, 148, 331);
INSERT INTO public.ecdc_data VALUES (58593, 1, 5, 1.34169988, 2, 331);
INSERT INTO public.ecdc_data VALUES (58594, 0, 0, 0, 56, 331);
INSERT INTO public.ecdc_data VALUES (58595, 0, 0, 15.44560573, 57, 331);
INSERT INTO public.ecdc_data VALUES (58596, 92, 5929, 160.78587471, 58, 331);
INSERT INTO public.ecdc_data VALUES (58597, 5, 209, 141.08802432, 149, 331);
INSERT INTO public.ecdc_data VALUES (58598, 0, 0, 12.22838867, 59, 331);
INSERT INTO public.ecdc_data VALUES (58599, 4, 377, 23.17562849, 202, 331);
INSERT INTO public.ecdc_data VALUES (58600, 0, 126, 19.37062404, 150, 331);
INSERT INTO public.ecdc_data VALUES (58601, 6, 279, 50.00139833, 151, 331);
INSERT INTO public.ecdc_data VALUES (58602, 0, 25, 118.36112209, 60, 331);
INSERT INTO public.ecdc_data VALUES (58603, 0, 208, 315.99523265, 106, 331);
INSERT INTO public.ecdc_data VALUES (58604, 21, 2199, 23.17993689, 107, 331);
INSERT INTO public.ecdc_data VALUES (58605, 0, 12, 6.27131813, 61, 331);
INSERT INTO public.ecdc_data VALUES (58606, 4, 138, 21.0845722, 152, 331);
INSERT INTO public.ecdc_data VALUES (58607, 2, 309, 52.24555954, 153, 331);
INSERT INTO public.ecdc_data VALUES (58608, 0, 8, 4.09887511, 62, 331);
INSERT INTO public.ecdc_data VALUES (58609, 0, 0, 1.72017119, 3, 331);
INSERT INTO public.ecdc_data VALUES (58610, 0, 0, 4.79938568, 63, 331);
INSERT INTO public.ecdc_data VALUES (58611, 0, 1, 1.96568182, 108, 331);
INSERT INTO public.ecdc_data VALUES (58612, 87, 2004, 179.40429955, 64, 331);
INSERT INTO public.ecdc_data VALUES (58613, 0, 0, 3.84867028, 65, 331);
INSERT INTO public.ecdc_data VALUES (58614, 7, 431, 112.42054676, 154, 331);
INSERT INTO public.ecdc_data VALUES (58615, 0, 0, 12.2411613, 4, 331);
INSERT INTO public.ecdc_data VALUES (58616, 1088, 45392, 299.93766534, 66, 331);
INSERT INTO public.ecdc_data VALUES (58617, 0, 0, 0, 67, 331);
INSERT INTO public.ecdc_data VALUES (58618, 0, 0, 0, 109, 331);
INSERT INTO public.ecdc_data VALUES (58619, 2, 146, 45.68545975, 155, 331);
INSERT INTO public.ecdc_data VALUES (58620, 0, 6, 0.47732972, 5, 331);
INSERT INTO public.ecdc_data VALUES (58621, 0, 4, 0.73717039, 6, 331);
INSERT INTO public.ecdc_data VALUES (58622, 0, 1, 0.41852318, 110, 331);
INSERT INTO public.ecdc_data VALUES (58623, 0, 0, 4.24325081, 7, 331);
INSERT INTO public.ecdc_data VALUES (58624, 6, 287, 18.5159257, 68, 331);
INSERT INTO public.ecdc_data VALUES (58625, 1, 29, 84.73713305, 8, 331);
INSERT INTO public.ecdc_data VALUES (58626, 0, 0, 0, 69, 331);
INSERT INTO public.ecdc_data VALUES (58627, 0, 6, 2.71854866, 9, 331);
INSERT INTO public.ecdc_data VALUES (58628, 0, 0, 0.29472846, 10, 331);
INSERT INTO public.ecdc_data VALUES (58629, 76, 1991, 152.02589062, 70, 331);
INSERT INTO public.ecdc_data VALUES (58630, 6, 172, 0.16348352, 111, 331);
INSERT INTO public.ecdc_data VALUES (58631, 225, 10673, 229.40460426, 71, 331);
INSERT INTO public.ecdc_data VALUES (58632, 0, 4, 6.81638424, 11, 331);
INSERT INTO public.ecdc_data VALUES (58633, 0, 11, 14.01355709, 12, 331);
INSERT INTO public.ecdc_data VALUES (58634, 4, 367, 151.28098501, 72, 331);
INSERT INTO public.ecdc_data VALUES (58635, 0, 62, 8.54313529, 13, 331);
INSERT INTO public.ecdc_data VALUES (58636, 0, 86, 24.26251998, 156, 331);
INSERT INTO public.ecdc_data VALUES (58637, 0, 25, 1.65880148, 73, 331);
INSERT INTO public.ecdc_data VALUES (58638, 0, 0, 1.83572692, 74, 331);
INSERT INTO public.ecdc_data VALUES (58639, 0, 10, 9.93265205, 157, 331);
INSERT INTO public.ecdc_data VALUES (58640, 1, 125, 26.70472685, 158, 331);
INSERT INTO public.ecdc_data VALUES (58641, 0, 13, 0.87567119, 14, 331);
INSERT INTO public.ecdc_data VALUES (58642, 0, 0, 10.60956607, 159, 331);
INSERT INTO public.ecdc_data VALUES (58643, 0, 0, 8.01185755, 15, 331);
INSERT INTO public.ecdc_data VALUES (58644, 0, 0, 0, 75, 331);
INSERT INTO public.ecdc_data VALUES (58645, 10, 1766, 185.26938882, 76, 331);
INSERT INTO public.ecdc_data VALUES (58646, 34, 877, 73.96255147, 77, 331);
INSERT INTO public.ecdc_data VALUES (58647, 29, 238, 7.11638303, 16, 331);
INSERT INTO public.ecdc_data VALUES (58648, 19, 418, 85.87521597, 78, 331);
INSERT INTO public.ecdc_data VALUES (58649, 32, 1750, 129.05776035, 17, 331);
INSERT INTO public.ecdc_data VALUES (58650, 0, 0, 0.80065951, 18, 331);
INSERT INTO public.ecdc_data VALUES (58651, 0, 8, 3.84957957, 160, 331);
INSERT INTO public.ecdc_data VALUES (58652, 2, 58, 85.09467109, 19, 331);
INSERT INTO public.ecdc_data VALUES (58653, 10, 469, 7.89801976, 20, 331);
INSERT INTO public.ecdc_data VALUES (58654, 0, 0, 0, 79, 331);
INSERT INTO public.ecdc_data VALUES (58655, 0, 0, 76.01125788, 161, 331);
INSERT INTO public.ecdc_data VALUES (58656, 0, 0, 0.11236523, 203, 331);
INSERT INTO public.ecdc_data VALUES (58657, 0, 11, 2.26534677, 162, 331);
INSERT INTO public.ecdc_data VALUES (58658, 0, 0, 19.76485626, 163, 331);
INSERT INTO public.ecdc_data VALUES (58659, 0, 0, 0, 204, 331);
INSERT INTO public.ecdc_data VALUES (58660, 1, 179, 55.97037253, 21, 331);
INSERT INTO public.ecdc_data VALUES (58661, 0, 0, 17.25095583, 22, 331);
INSERT INTO public.ecdc_data VALUES (58662, 0, 3, 3.57789631, 164, 331);
INSERT INTO public.ecdc_data VALUES (58663, 0, 240, 10.02057198, 165, 331);
INSERT INTO public.ecdc_data VALUES (58664, 0, 1513, 32.72419774, 23, 331);
INSERT INTO public.ecdc_data VALUES (58665, 0, 1, 23.73464665, 166, 331);
INSERT INTO public.ecdc_data VALUES (58666, 0, 110, 5.6319122, 167, 331);
INSERT INTO public.ecdc_data VALUES (58667, 0, 0, 1.76491352, 80, 331);
INSERT INTO public.ecdc_data VALUES (58668, 0, 0, 0.8928412, 81, 331);
INSERT INTO public.ecdc_data VALUES (58669, 0, 0, 26.30084581, 205, 331);
INSERT INTO public.ecdc_data VALUES (58670, 35, 1190, 73.58312806, 82, 331);
INSERT INTO public.ecdc_data VALUES (58671, 0, 0, 0, 168, 331);
INSERT INTO public.ecdc_data VALUES (58672, 0, 9, 6.46765398, 24, 331);
INSERT INTO public.ecdc_data VALUES (58673, 0, 0, 2.81115738, 25, 331);
INSERT INTO public.ecdc_data VALUES (58674, 0, 17, 13.15831497, 83, 331);
INSERT INTO public.ecdc_data VALUES (58675, 4, 44, 3.68460525, 84, 331);
INSERT INTO public.ecdc_data VALUES (58676, 0, 0, 0, 169, 331);
INSERT INTO public.ecdc_data VALUES (58677, 31, 283, 101.49685285, 85, 331);
INSERT INTO public.ecdc_data VALUES (58678, 1, 21, 2.15906342, 170, 331);
INSERT INTO public.ecdc_data VALUES (58679, 0, 8, 15.40655087, 171, 331);
INSERT INTO public.ecdc_data VALUES (58680, 853, 54735, 49.26055718, 112, 331);
INSERT INTO public.ecdc_data VALUES (58681, 62, 1560, 9.2578097, 113, 331);
INSERT INTO public.ecdc_data VALUES (58682, 216, 2548, 42.38855363, 114, 331);
INSERT INTO public.ecdc_data VALUES (58683, 64, 2095, 92.81148774, 115, 331);
INSERT INTO public.ecdc_data VALUES (58684, 0, 44, 7.3201964, 172, 331);
INSERT INTO public.ecdc_data VALUES (58685, 0, 0, 0, 173, 331);
INSERT INTO public.ecdc_data VALUES (58686, 15, 1313, 269.01040722, 116, 331);
INSERT INTO public.ecdc_data VALUES (58687, 5, 295, 5.99076739, 174, 331);
INSERT INTO public.ecdc_data VALUES (58688, 0, 19, 3.6970746, 86, 331);
INSERT INTO public.ecdc_data VALUES (58689, 4, 1709, 9.01700539, 117, 331);
INSERT INTO public.ecdc_data VALUES (58690, 0, 0, 3.71071283, 175, 331);
INSERT INTO public.ecdc_data VALUES (58691, 0, 1, -0.19798654, 118, 331);
INSERT INTO public.ecdc_data VALUES (58692, 30, 6407, 142.49576906, 119, 331);
INSERT INTO public.ecdc_data VALUES (58693, 23, 727, 16.38263287, 26, 331);
INSERT INTO public.ecdc_data VALUES (58694, 9, 224, 163.3022075, 176, 331);
INSERT INTO public.ecdc_data VALUES (58695, 6, 491, 203.08637089, 120, 331);
INSERT INTO public.ecdc_data VALUES (58696, 12, 420, 158.778625, 121, 331);
INSERT INTO public.ecdc_data VALUES (58697, 0, 0, 0.01394806, 122, 331);
INSERT INTO public.ecdc_data VALUES (58698, 0, 7, 2.55212587, 177, 331);
INSERT INTO public.ecdc_data VALUES (58699, 0, 175, 28.51637956, 123, 331);
INSERT INTO public.ecdc_data VALUES (58700, 1, 98, 16.13914863, 27, 331);
INSERT INTO public.ecdc_data VALUES (58701, 0, 3, 2.04562182, 28, 331);
INSERT INTO public.ecdc_data VALUES (58702, 3, 399, 27.00129385, 29, 331);
INSERT INTO public.ecdc_data VALUES (58703, 0, 0, 7.81697848, 178, 331);
INSERT INTO public.ecdc_data VALUES (58704, 0, 18, 6.37037504, 179, 331);
INSERT INTO public.ecdc_data VALUES (58705, 0, 0, 209.48241879, 180, 331);
INSERT INTO public.ecdc_data VALUES (58706, 1, 405, 16.40383331, 30, 331);
INSERT INTO public.ecdc_data VALUES (58707, 6, 108, 6.8657321, 31, 331);
INSERT INTO public.ecdc_data VALUES (58708, 0, 9, 0.69171036, 124, 331);
INSERT INTO public.ecdc_data VALUES (58709, 1, 156, 191.91761291, 125, 331);
INSERT INTO public.ecdc_data VALUES (58710, 0, 0, 0.32047984, 32, 331);
INSERT INTO public.ecdc_data VALUES (58711, 0, 15, 19.24795212, 181, 331);
INSERT INTO public.ecdc_data VALUES (58712, 0, 15, 19.09097779, 33, 331);
INSERT INTO public.ecdc_data VALUES (58713, 0, 0, 0.07876062, 34, 331);
INSERT INTO public.ecdc_data VALUES (58714, 784, 3721, 73.97892115, 87, 331);
INSERT INTO public.ecdc_data VALUES (58715, 10, 380, 106.8197973, 182, 331);
INSERT INTO public.ecdc_data VALUES (58716, 0, 0, 24.18014206, 183, 331);
INSERT INTO public.ecdc_data VALUES (58717, 0, 2, 0.18603694, 126, 331);
INSERT INTO public.ecdc_data VALUES (58718, 1, 86, 246.55165209, 184, 331);
INSERT INTO public.ecdc_data VALUES (58719, 0, 0, 20.03606492, 88, 331);
INSERT INTO public.ecdc_data VALUES (58720, 14, 693, 21.93477552, 35, 331);
INSERT INTO public.ecdc_data VALUES (58721, 0, 43, 1.55436782, 36, 331);
INSERT INTO public.ecdc_data VALUES (58722, 0, 0, 0.02220355, 127, 331);
INSERT INTO public.ecdc_data VALUES (58723, 1, 95, 40.92965231, 37, 331);
INSERT INTO public.ecdc_data VALUES (58724, 0, 315, 9.03221274, 128, 331);
INSERT INTO public.ecdc_data VALUES (58725, 0, 431, 18.23267145, 185, 331);
INSERT INTO public.ecdc_data VALUES (58726, 0, 0, 0, 207, 331);
INSERT INTO public.ecdc_data VALUES (58727, 0, 3, 0.25088531, 208, 331);
INSERT INTO public.ecdc_data VALUES (58728, 0, 0, 8.02077396, 89, 331);
INSERT INTO public.ecdc_data VALUES (58729, 0, 2, 0.1372759, 38, 331);
INSERT INTO public.ecdc_data VALUES (58730, 4, 386, 3.6971869, 39, 331);
INSERT INTO public.ecdc_data VALUES (58731, 7, 138, 91.0389903, 186, 331);
INSERT INTO public.ecdc_data VALUES (58732, 0, 3, 13.98283607, 209, 331);
INSERT INTO public.ecdc_data VALUES (58733, 0, 0, 3.62222824, 187, 331);
INSERT INTO public.ecdc_data VALUES (58734, 0, 0, 274.47280317, 129, 331);
INSERT INTO public.ecdc_data VALUES (58735, 0, 0, 6.83812173, 130, 331);
INSERT INTO public.ecdc_data VALUES (58736, 0, 323, 119.80514801, 131, 331);
INSERT INTO public.ecdc_data VALUES (58737, 28, 1127, 332.56092162, 90, 331);
INSERT INTO public.ecdc_data VALUES (58738, 0, 19, 0.86598643, 210, 331);
INSERT INTO public.ecdc_data VALUES (58739, 3, 147, 26.34627552, 91, 331);
INSERT INTO public.ecdc_data VALUES (58740, 191, 7448, 223.56803173, 92, 331);
INSERT INTO public.ecdc_data VALUES (58741, 16, 4878, 30.45600148, 132, 331);
INSERT INTO public.ecdc_data VALUES (58742, 5, 658, 17.3808566, 188, 331);
INSERT INTO public.ecdc_data VALUES (58743, 2, 238, 28.41401991, 189, 331);
INSERT INTO public.ecdc_data VALUES (58744, 6, 1091, 218.82427378, 93, 331);
INSERT INTO public.ecdc_data VALUES (58745, 0, 216, 162.53123598, 133, 331);
INSERT INTO public.ecdc_data VALUES (58746, 36, 1225, 79.42534373, 190, 331);
INSERT INTO public.ecdc_data VALUES (58747, 95, 5462, 54.84661717, 191, 331);
INSERT INTO public.ecdc_data VALUES (58748, 0, 20, 3.98354692, 40, 331);
INSERT INTO public.ecdc_data VALUES (58749, 0, 0, 0, 94, 331);
INSERT INTO public.ecdc_data VALUES (58750, 0, 0, 1.09412183, 95, 331);
INSERT INTO public.ecdc_data VALUES (58751, 0, 1, 9.94637997, 96, 331);
INSERT INTO public.ecdc_data VALUES (58752, 0, 0, 0, 192, 331);
INSERT INTO public.ecdc_data VALUES (58753, 0, 3, 60.91663257, 41, 331);
INSERT INTO public.ecdc_data VALUES (58754, 1, 1573, 84.80667495, 134, 331);
INSERT INTO public.ecdc_data VALUES (58755, 4, 52, 9.91018732, 42, 331);
INSERT INTO public.ecdc_data VALUES (58756, 9, 330, 77.3145098, 193, 331);
INSERT INTO public.ecdc_data VALUES (58757, 0, 0, 14.32356943, 43, 331);
INSERT INTO public.ecdc_data VALUES (58758, 0, 5, 1.56145869, 44, 331);
INSERT INTO public.ecdc_data VALUES (58759, 0, 307, 83.67872126, 135, 331);
INSERT INTO public.ecdc_data VALUES (58760, 0, 0, 115.59602727, 97, 331);
INSERT INTO public.ecdc_data VALUES (58761, 0, 45, 6.62334157, 194, 331);
INSERT INTO public.ecdc_data VALUES (58762, 0, 6, 11.10092325, 195, 331);
INSERT INTO public.ecdc_data VALUES (58763, 0, 0, 0.65402198, 45, 331);
INSERT INTO public.ecdc_data VALUES (58764, 148, 10107, 260.27238818, 46, 331);
INSERT INTO public.ecdc_data VALUES (58765, 0, 0, 1.1537263, 136, 331);
INSERT INTO public.ecdc_data VALUES (58766, 0, 30, 1.45541802, 47, 331);
INSERT INTO public.ecdc_data VALUES (58767, 0, 0, 60.22320103, 196, 331);
INSERT INTO public.ecdc_data VALUES (58768, 0, 0, 0.52054673, 137, 331);
INSERT INTO public.ecdc_data VALUES (58769, 0, 0, 2.24696862, 48, 331);
INSERT INTO public.ecdc_data VALUES (58770, 0, 54, 130.55526409, 98, 331);
INSERT INTO public.ecdc_data VALUES (58771, 2, 303, 27.68278384, 197, 331);
INSERT INTO public.ecdc_data VALUES (58772, 2, 342, 23.47701634, 198, 331);
INSERT INTO public.ecdc_data VALUES (58773, 2, 19, 1.52898642, 138, 331);
INSERT INTO public.ecdc_data VALUES (58774, 0, 0, 0.07991964, 139, 331);
INSERT INTO public.ecdc_data VALUES (58775, 0, 42, 6.6194451, 140, 331);
INSERT INTO public.ecdc_data VALUES (58776, 0, 5, 0.09766525, 141, 331);
INSERT INTO public.ecdc_data VALUES (58777, 0, 0, 0, 142, 331);
INSERT INTO public.ecdc_data VALUES (58778, 0, 17, 2.37554407, 49, 331);
INSERT INTO public.ecdc_data VALUES (58779, 0, 4, 2.58070251, 99, 331);
INSERT INTO public.ecdc_data VALUES (58780, 1, 17, 1.7443768, 50, 331);
INSERT INTO public.ecdc_data VALUES (58781, 19, 996, 16.03826512, 199, 331);
INSERT INTO public.ecdc_data VALUES (58782, 0, 7, 102.1102791, 100, 331);
INSERT INTO public.ecdc_data VALUES (58783, 1, 22, 0.25751313, 51, 331);
INSERT INTO public.ecdc_data VALUES (58784, 16, 1172, 29.42470575, 200, 331);
INSERT INTO public.ecdc_data VALUES (58785, 0, 254, 41.44096234, 143, 331);
INSERT INTO public.ecdc_data VALUES (58786, 13, 771, 13.11834787, 201, 331);
INSERT INTO public.ecdc_data VALUES (58787, 0, 0, 0, 52, 331);
INSERT INTO public.ecdc_data VALUES (58788, 1133, 58407, 276.23120942, 101, 331);
INSERT INTO public.ecdc_data VALUES (58789, 0, 15, 118.57064994, 102, 331);
INSERT INTO public.ecdc_data VALUES (58790, 0, 14, 6.75962401, 103, 331);
INSERT INTO public.ecdc_data VALUES (58791, 6, 736, 26.10840582, 144, 331);
INSERT INTO public.ecdc_data VALUES (58792, 5, 869, 27.91432085, 104, 331);
INSERT INTO public.ecdc_data VALUES (58793, 2, 32, 0.2249588, 145, 331);
INSERT INTO public.ecdc_data VALUES (58794, 0, 0, 0, 53, 331);
INSERT INTO public.ecdc_data VALUES (58795, 1, 2, 0.51094026, 146, 331);
INSERT INTO public.ecdc_data VALUES (58796, 14, 265, 18.18483745, 54, 331);
INSERT INTO public.ecdc_data VALUES (58797, 2, 490, 14.89197379, 55, 331);
INSERT INTO public.ecdc_data VALUES (58798, 28, 319, 13.04356158, 105, 332);
INSERT INTO public.ecdc_data VALUES (58799, 3, 45, 29.97456354, 147, 332);
INSERT INTO public.ecdc_data VALUES (58800, 8, 365, 6.97743765, 1, 332);
INSERT INTO public.ecdc_data VALUES (58801, 0, 0, 1.31273219, 148, 332);
INSERT INTO public.ecdc_data VALUES (58802, 2, 7, 0.42733298, 2, 332);
INSERT INTO public.ecdc_data VALUES (58803, 0, 0, 0, 56, 332);
INSERT INTO public.ecdc_data VALUES (58804, 0, 0, 41.18828193, 57, 332);
INSERT INTO public.ecdc_data VALUES (58805, 44, 2667, 70.66664359, 58, 332);
INSERT INTO public.ecdc_data VALUES (58806, 6, 593, 269.12549092, 149, 332);
INSERT INTO public.ecdc_data VALUES (58807, 0, 0, 1.88129057, 59, 332);
INSERT INTO public.ecdc_data VALUES (58808, 0, 86, 2.18226257, 202, 332);
INSERT INTO public.ecdc_data VALUES (58809, 0, 37, 7.89048147, 150, 332);
INSERT INTO public.ecdc_data VALUES (58810, 7, 588, 70.87180683, 151, 332);
INSERT INTO public.ecdc_data VALUES (58811, 0, 0, 0, 60, 332);
INSERT INTO public.ecdc_data VALUES (58812, 5, 656, 454.12889876, 106, 332);
INSERT INTO public.ecdc_data VALUES (58813, 41, 3775, 31.13780536, 107, 332);
INSERT INTO public.ecdc_data VALUES (58814, 0, 0, 0, 61, 332);
INSERT INTO public.ecdc_data VALUES (58815, 6, 306, 67.62297315, 152, 332);
INSERT INTO public.ecdc_data VALUES (58816, 2, 135, 10.9641475, 153, 332);
INSERT INTO public.ecdc_data VALUES (58817, 0, 0, 1.53707817, 62, 332);
INSERT INTO public.ecdc_data VALUES (58818, 0, 0, 5.31304108, 3, 332);
INSERT INTO public.ecdc_data VALUES (58819, 0, 0, 3.19959045, 63, 332);
INSERT INTO public.ecdc_data VALUES (58820, 0, 0, 1.31045454, 108, 332);
INSERT INTO public.ecdc_data VALUES (58821, 78, 1008, 117.6225139, 64, 332);
INSERT INTO public.ecdc_data VALUES (58822, 0, 0, 0, 65, 332);
INSERT INTO public.ecdc_data VALUES (58823, 2, 153, 44.28963604, 154, 332);
INSERT INTO public.ecdc_data VALUES (58824, 0, 0, 7.24919836, 4, 332);
INSERT INTO public.ecdc_data VALUES (58825, 1038, 46712, 233.77262471, 66, 332);
INSERT INTO public.ecdc_data VALUES (58826, 0, 0, 0, 67, 332);
INSERT INTO public.ecdc_data VALUES (58827, 0, 0, 0, 109, 332);
INSERT INTO public.ecdc_data VALUES (58828, 2, 165, 23.02844313, 155, 332);
INSERT INTO public.ecdc_data VALUES (58829, 0, 0, 0.31001827, 5, 332);
INSERT INTO public.ecdc_data VALUES (58830, 0, 0, 0.57239113, 6, 332);
INSERT INTO public.ecdc_data VALUES (58831, 0, 0, 0.07278664, 110, 332);
INSERT INTO public.ecdc_data VALUES (58832, 0, 0, 10.54243005, 7, 332);
INSERT INTO public.ecdc_data VALUES (58833, 0, 0, 11.63025736, 68, 332);
INSERT INTO public.ecdc_data VALUES (58834, 0, 40, 86.37368712, 8, 332);
INSERT INTO public.ecdc_data VALUES (58835, 0, 1, 12.31754634, 69, 332);
INSERT INTO public.ecdc_data VALUES (58836, 0, 0, 24.88841833, 9, 332);
INSERT INTO public.ecdc_data VALUES (58837, 0, 0, 0.07524982, 10, 332);
INSERT INTO public.ecdc_data VALUES (58838, 65, 2650, 324.0549102, 70, 332);
INSERT INTO public.ecdc_data VALUES (58839, 0, 31, 0.0249689, 111, 332);
INSERT INTO public.ecdc_data VALUES (58840, 136, 4163, 89.31962159, 71, 332);
INSERT INTO public.ecdc_data VALUES (58841, 0, 0, 12.45752981, 11, 332);
INSERT INTO public.ecdc_data VALUES (58842, 1, 137, 9.27422412, 12, 332);
INSERT INTO public.ecdc_data VALUES (58843, 1, 294, 37.28533444, 72, 332);
INSERT INTO public.ecdc_data VALUES (58844, 0, 203, 14.15041844, 13, 332);
INSERT INTO public.ecdc_data VALUES (58845, 1, 54, 14.05705151, 156, 332);
INSERT INTO public.ecdc_data VALUES (58846, 0, 7, 0.59999202, 73, 332);
INSERT INTO public.ecdc_data VALUES (58847, 0, 0, 1.22381794, 74, 332);
INSERT INTO public.ecdc_data VALUES (58848, 0, 1, 1.5983578, 157, 332);
INSERT INTO public.ecdc_data VALUES (58849, 0, 92, 17.69047306, 158, 332);
INSERT INTO public.ecdc_data VALUES (58850, 5, 83, 2.32974625, 14, 332);
INSERT INTO public.ecdc_data VALUES (58851, 1, 26, 8.61166077, 159, 332);
INSERT INTO public.ecdc_data VALUES (58852, 1, 22, 16.33186347, 15, 332);
INSERT INTO public.ecdc_data VALUES (58853, 0, 0, 0, 75, 332);
INSERT INTO public.ecdc_data VALUES (58854, 7, 819, 86.43297482, 76, 332);
INSERT INTO public.ecdc_data VALUES (58855, 49, 1825, 56.21729495, 77, 332);
INSERT INTO public.ecdc_data VALUES (58856, 81, 1503, 20.51538472, 16, 332);
INSERT INTO public.ecdc_data VALUES (58857, 8, 298, 41.37257788, 78, 332);
INSERT INTO public.ecdc_data VALUES (58858, 0, 0, 51.25436768, 17, 332);
INSERT INTO public.ecdc_data VALUES (58859, 0, 0, 2.05883875, 18, 332);
INSERT INTO public.ecdc_data VALUES (58860, 0, 0, 0.90578343, 160, 332);
INSERT INTO public.ecdc_data VALUES (58861, 0, 28, 24.12612476, 19, 332);
INSERT INTO public.ecdc_data VALUES (58862, 0, 0, 1.86208396, 20, 332);
INSERT INTO public.ecdc_data VALUES (58863, 0, 0, 0, 79, 332);
INSERT INTO public.ecdc_data VALUES (58864, 0, 0, 0, 161, 332);
INSERT INTO public.ecdc_data VALUES (58865, 0, 0, 0, 203, 332);
INSERT INTO public.ecdc_data VALUES (58866, 0, 22, 2.15661013, 162, 332);
INSERT INTO public.ecdc_data VALUES (58867, 18, 918, 11.2590291, 163, 332);
INSERT INTO public.ecdc_data VALUES (58868, 0, 0, 0.71611436, 204, 332);
INSERT INTO public.ecdc_data VALUES (58869, 0, 119, 59.10029467, 21, 332);
INSERT INTO public.ecdc_data VALUES (58870, 0, 2, 0.63892429, 22, 332);
INSERT INTO public.ecdc_data VALUES (58871, 0, 3, 0.95076965, 164, 332);
INSERT INTO public.ecdc_data VALUES (58872, 9, 503, 8.9906899, 165, 332);
INSERT INTO public.ecdc_data VALUES (58873, 5, 393, 18.22613545, 23, 332);
INSERT INTO public.ecdc_data VALUES (58874, 0, 1, 5.93366166, 166, 332);
INSERT INTO public.ecdc_data VALUES (58875, 0, 23, 2.13527797, 167, 332);
INSERT INTO public.ecdc_data VALUES (58876, 0, 0, 0, 80, 332);
INSERT INTO public.ecdc_data VALUES (58877, 0, 0, 0, 81, 332);
INSERT INTO public.ecdc_data VALUES (58878, 0, 13, 52.60169162, 205, 332);
INSERT INTO public.ecdc_data VALUES (58879, 44, 915, 44.13736367, 82, 332);
INSERT INTO public.ecdc_data VALUES (58880, 0, 0, 0, 168, 332);
INSERT INTO public.ecdc_data VALUES (58881, 0, 13, 5.76294592, 24, 332);
INSERT INTO public.ecdc_data VALUES (58882, 0, 0, 8.43347214, 25, 332);
INSERT INTO public.ecdc_data VALUES (58883, 1, 3, 9.83679857, 83, 332);
INSERT INTO public.ecdc_data VALUES (58884, 2, 65, 12.0038224, 84, 332);
INSERT INTO public.ecdc_data VALUES (58885, 0, 0, 0, 169, 332);
INSERT INTO public.ecdc_data VALUES (58886, 45, 704, 102.22534825, 85, 332);
INSERT INTO public.ecdc_data VALUES (58887, 1, 2, 0.79813719, 170, 332);
INSERT INTO public.ecdc_data VALUES (58888, 0, 1, 3.64154839, 171, 332);
INSERT INTO public.ecdc_data VALUES (58889, 434, 19148, 17.39548531, 112, 332);
INSERT INTO public.ecdc_data VALUES (58890, 58, 1385, 6.03749312, 113, 332);
INSERT INTO public.ecdc_data VALUES (58891, 141, 2549, 42.40543862, 114, 332);
INSERT INTO public.ecdc_data VALUES (58892, 107, 2415, 69.37203352, 115, 332);
INSERT INTO public.ecdc_data VALUES (58893, 2, 4, 2.77311061, 172, 332);
INSERT INTO public.ecdc_data VALUES (58894, 0, 0, 0, 173, 332);
INSERT INTO public.ecdc_data VALUES (58895, 2, 1013, 74.68859504, 116, 332);
INSERT INTO public.ecdc_data VALUES (58896, 21, 182, 4.85755807, 174, 332);
INSERT INTO public.ecdc_data VALUES (58897, 0, 5, 2.74736736, 86, 332);
INSERT INTO public.ecdc_data VALUES (58898, 1, 151, 0.95065202, 117, 332);
INSERT INTO public.ecdc_data VALUES (58899, 0, 0, 0.92767821, 175, 332);
INSERT INTO public.ecdc_data VALUES (58900, 0, 1, 1.44530172, 118, 332);
INSERT INTO public.ecdc_data VALUES (58901, 0, 1509, 143.90805926, 119, 332);
INSERT INTO public.ecdc_data VALUES (58902, 1, 307, 5.00057376, 26, 332);
INSERT INTO public.ecdc_data VALUES (58903, 3, 113, 64.38677436, 176, 332);
INSERT INTO public.ecdc_data VALUES (58904, 4, 745, 223.59942544, 120, 332);
INSERT INTO public.ecdc_data VALUES (58905, 0, 0, 47.97492959, 121, 332);
INSERT INTO public.ecdc_data VALUES (58906, 0, 0, 0, 122, 332);
INSERT INTO public.ecdc_data VALUES (58907, 0, 3, 0.88543142, 177, 332);
INSERT INTO public.ecdc_data VALUES (58908, 0, 10, 4.36132864, 123, 332);
INSERT INTO public.ecdc_data VALUES (58909, 0, 8, 1.45864026, 27, 332);
INSERT INTO public.ecdc_data VALUES (58910, 1, 24, 5.97483602, 28, 332);
INSERT INTO public.ecdc_data VALUES (58911, 0, 34, 5.7691289, 29, 332);
INSERT INTO public.ecdc_data VALUES (58912, 0, 0, 0, 178, 332);
INSERT INTO public.ecdc_data VALUES (58913, 0, 1, 1.43154495, 179, 332);
INSERT INTO public.ecdc_data VALUES (58914, 0, 46, 42.35258856, 180, 332);
INSERT INTO public.ecdc_data VALUES (58915, 2, 89, 3.429825, 30, 332);
INSERT INTO public.ecdc_data VALUES (58916, 0, 77, 4.13339618, 31, 332);
INSERT INTO public.ecdc_data VALUES (58917, 0, 1, 0.39123889, 124, 332);
INSERT INTO public.ecdc_data VALUES (58918, 0, 21, 49.3448622, 125, 332);
INSERT INTO public.ecdc_data VALUES (58919, 0, 21, 1.58713824, 32, 332);
INSERT INTO public.ecdc_data VALUES (58920, 0, 0, 1.62088018, 181, 332);
INSERT INTO public.ecdc_data VALUES (58921, 0, 0, 46.22491381, 33, 332);
INSERT INTO public.ecdc_data VALUES (58922, 0, 0, 0.31504249, 34, 332);
INSERT INTO public.ecdc_data VALUES (58923, 741, 7543, 62.02286647, 87, 332);
INSERT INTO public.ecdc_data VALUES (58924, 4, 285, 103.0357202, 182, 332);
INSERT INTO public.ecdc_data VALUES (58925, 0, 0, 9.06755327, 183, 332);
INSERT INTO public.ecdc_data VALUES (58926, 0, 0, 0.58911696, 126, 332);
INSERT INTO public.ecdc_data VALUES (58927, 0, 28, 39.05609613, 184, 332);
INSERT INTO public.ecdc_data VALUES (58928, 0, 0, 0, 88, 332);
INSERT INTO public.ecdc_data VALUES (58929, 0, 103, 9.97758101, 35, 332);
INSERT INTO public.ecdc_data VALUES (58930, 0, 14, 0.82987434, 36, 332);
INSERT INTO public.ecdc_data VALUES (58931, 0, 5, 0.07586211, 127, 332);
INSERT INTO public.ecdc_data VALUES (58932, 0, 82, 9.98186428, 37, 332);
INSERT INTO public.ecdc_data VALUES (58933, 1, 482, 24.01016613, 128, 332);
INSERT INTO public.ecdc_data VALUES (58934, 2, 62, 6.54431971, 185, 332);
INSERT INTO public.ecdc_data VALUES (58935, 0, 0, 0, 207, 332);
INSERT INTO public.ecdc_data VALUES (58936, 0, 2, 0.48086351, 208, 332);
INSERT INTO public.ecdc_data VALUES (58937, 0, 0, 7.71522066, 89, 332);
INSERT INTO public.ecdc_data VALUES (58938, 0, 0, 0.23594296, 38, 332);
INSERT INTO public.ecdc_data VALUES (58939, 13, 790, 4.35352465, 39, 332);
INSERT INTO public.ecdc_data VALUES (58940, 4, 120, 95.70889091, 186, 332);
INSERT INTO public.ecdc_data VALUES (58941, 0, 0, 0, 209, 332);
INSERT INTO public.ecdc_data VALUES (58942, 1, 22, 4.26034099, 187, 332);
INSERT INTO public.ecdc_data VALUES (58943, 9, 1124, 303.81958403, 129, 332);
INSERT INTO public.ecdc_data VALUES (58944, 78, 4339, 26.63907628, 130, 332);
INSERT INTO public.ecdc_data VALUES (58945, 2, 330, 48.05856641, 131, 332);
INSERT INTO public.ecdc_data VALUES (58946, 14, 913, 279.43406712, 90, 332);
INSERT INTO public.ecdc_data VALUES (58947, 0, 0, 0.03418368, 210, 332);
INSERT INTO public.ecdc_data VALUES (58948, 2, 39, 13.51382235, 91, 332);
INSERT INTO public.ecdc_data VALUES (58949, 183, 3264, 146.31905262, 92, 332);
INSERT INTO public.ecdc_data VALUES (58950, 4, 997, 10.42670386, 132, 332);
INSERT INTO public.ecdc_data VALUES (58951, 14, 382, 10.72872875, 188, 332);
INSERT INTO public.ecdc_data VALUES (58952, 3, 313, 46.53282301, 189, 332);
INSERT INTO public.ecdc_data VALUES (58953, 0, 72, 52.29419473, 93, 332);
INSERT INTO public.ecdc_data VALUES (58954, 2, 915, 488.29990491, 133, 332);
INSERT INTO public.ecdc_data VALUES (58955, 16, 326, 23.36403107, 190, 332);
INSERT INTO public.ecdc_data VALUES (58956, 216, 6556, 69.30995653, 191, 332);
INSERT INTO public.ecdc_data VALUES (58957, 1, 17, 3.19158928, 40, 332);
INSERT INTO public.ecdc_data VALUES (58958, 0, 0, 0, 94, 332);
INSERT INTO public.ecdc_data VALUES (58959, 0, 0, 0, 95, 332);
INSERT INTO public.ecdc_data VALUES (58960, 0, 0, 0, 96, 332);
INSERT INTO public.ecdc_data VALUES (58961, 0, 0, 5.80500972, 192, 332);
INSERT INTO public.ecdc_data VALUES (58962, 0, 1, 14.88039879, 41, 332);
INSERT INTO public.ecdc_data VALUES (58963, 49, 3402, 154.63459199, 134, 332);
INSERT INTO public.ecdc_data VALUES (58964, 4, 132, 9.54814332, 42, 332);
INSERT INTO public.ecdc_data VALUES (58965, 4, 272, 33.22915596, 193, 332);
INSERT INTO public.ecdc_data VALUES (58966, 0, 0, 0, 43, 332);
INSERT INTO public.ecdc_data VALUES (58967, 0, 36, 3.1869116, 44, 332);
INSERT INTO public.ecdc_data VALUES (58968, 0, 215, 50.06595923, 135, 332);
INSERT INTO public.ecdc_data VALUES (58969, 0, 0, 0, 97, 332);
INSERT INTO public.ecdc_data VALUES (58970, 0, 20, 2.31174803, 194, 332);
INSERT INTO public.ecdc_data VALUES (58971, 0, 13, 5.28615393, 195, 332);
INSERT INTO public.ecdc_data VALUES (58972, 0, 0, 1.47640606, 45, 332);
INSERT INTO public.ecdc_data VALUES (58973, 92, 8124, 134.77345564, 46, 332);
INSERT INTO public.ecdc_data VALUES (58974, 0, 54, 1.26304723, 136, 332);
INSERT INTO public.ecdc_data VALUES (58975, 0, 0, 1.79893283, 47, 332);
INSERT INTO public.ecdc_data VALUES (58976, 5, 444, 10.30102865, 196, 332);
INSERT INTO public.ecdc_data VALUES (58977, 0, 7, 0.60964932, 137, 332);
INSERT INTO public.ecdc_data VALUES (58978, 30, 315, 3.62738281, 48, 332);
INSERT INTO public.ecdc_data VALUES (58979, 0, 18, 47.13062235, 98, 332);
INSERT INTO public.ecdc_data VALUES (58980, 15, 684, 138.51166914, 197, 332);
INSERT INTO public.ecdc_data VALUES (58981, 1, 220, 8.78925188, 198, 332);
INSERT INTO public.ecdc_data VALUES (58982, 0, 14, 0.67369133, 138, 332);
INSERT INTO public.ecdc_data VALUES (58983, 0, 1, 0.01261889, 139, 332);
INSERT INTO public.ecdc_data VALUES (58984, 0, 51, 8.41109393, 140, 332);
INSERT INTO public.ecdc_data VALUES (58985, 0, 6, 0.05457764, 141, 332);
INSERT INTO public.ecdc_data VALUES (58986, 0, 0, 0, 142, 332);
INSERT INTO public.ecdc_data VALUES (58987, 0, 11, 1.44759717, 49, 332);
INSERT INTO public.ecdc_data VALUES (58988, 0, 0, 0.50180327, 99, 332);
INSERT INTO public.ecdc_data VALUES (58989, 0, 1, 0.40189073, 50, 332);
INSERT INTO public.ecdc_data VALUES (58990, 19, 1192, 22.40259796, 199, 332);
INSERT INTO public.ecdc_data VALUES (58991, 0, 1, 78.54636854, 100, 332);
INSERT INTO public.ecdc_data VALUES (58992, 0, 4, 0.36368083, 51, 332);
INSERT INTO public.ecdc_data VALUES (58993, 14, 664, 26.74022699, 200, 332);
INSERT INTO public.ecdc_data VALUES (58994, 1, 402, 58.38989631, 143, 332);
INSERT INTO public.ecdc_data VALUES (58995, 97, 617, 16.12372941, 201, 332);
INSERT INTO public.ecdc_data VALUES (58996, 0, 0, 0, 52, 332);
INSERT INTO public.ecdc_data VALUES (58997, 652, 52048, 158.99294424, 101, 332);
INSERT INTO public.ecdc_data VALUES (58998, 0, 8, 18.16808346, 102, 332);
INSERT INTO public.ecdc_data VALUES (58999, 1, 7, 2.71540452, 103, 332);
INSERT INTO public.ecdc_data VALUES (59000, 0, 277, 9.72356956, 144, 332);
INSERT INTO public.ecdc_data VALUES (59001, 3, 230, 10.21187215, 104, 332);
INSERT INTO public.ecdc_data VALUES (59002, 0, 0, 0.02073353, 145, 332);
INSERT INTO public.ecdc_data VALUES (59003, 0, 81, 75.19855509, 53, 332);
INSERT INTO public.ecdc_data VALUES (59004, 6, 32, 0.98758923, 146, 332);
INSERT INTO public.ecdc_data VALUES (59005, 6, 38, 1.2317316, 54, 332);
INSERT INTO public.ecdc_data VALUES (59006, 0, 14, 1.39292189, 55, 332);
INSERT INTO public.ecdc_data VALUES (59007, 8, 545, 22.81177497, 105, 333);
INSERT INTO public.ecdc_data VALUES (59008, 0, 6, 6.81240081, 147, 333);
INSERT INTO public.ecdc_data VALUES (59009, 8, 119, 5.37011846, 1, 333);
INSERT INTO public.ecdc_data VALUES (59010, 0, 1, 5.25092876, 148, 333);
INSERT INTO public.ecdc_data VALUES (59011, 0, 0, 0.11940186, 2, 333);
INSERT INTO public.ecdc_data VALUES (59012, 0, 0, 0, 56, 333);
INSERT INTO public.ecdc_data VALUES (59013, 0, 0, 0, 57, 333);
INSERT INTO public.ecdc_data VALUES (59014, 17, 564, 20.19621187, 58, 333);
INSERT INTO public.ecdc_data VALUES (59015, 19, 517, 167.96676368, 149, 333);
INSERT INTO public.ecdc_data VALUES (59016, 0, 0, 0, 59, 333);
INSERT INTO public.ecdc_data VALUES (59017, 0, 9, 0.57135602, 202, 333);
INSERT INTO public.ecdc_data VALUES (59018, 0, 21, 5.46350935, 150, 333);
INSERT INTO public.ecdc_data VALUES (59019, 5, 168, 23.63720562, 151, 333);
INSERT INTO public.ecdc_data VALUES (59020, 0, 0, 1.54049183, 60, 333);
INSERT INTO public.ecdc_data VALUES (59021, 0, 406, 281.5075154, 106, 333);
INSERT INTO public.ecdc_data VALUES (59022, 22, 2381, 15.74032651, 107, 333);
INSERT INTO public.ecdc_data VALUES (59023, 0, 0, 1.39362625, 61, 333);
INSERT INTO public.ecdc_data VALUES (59024, 5, 847, 135.74317404, 152, 333);
INSERT INTO public.ecdc_data VALUES (59025, 21, 59, 23.16787218, 153, 333);
INSERT INTO public.ecdc_data VALUES (59026, 0, 0, 0, 62, 333);
INSERT INTO public.ecdc_data VALUES (59027, 0, 11, -0.81347997, 3, 333);
INSERT INTO public.ecdc_data VALUES (59028, 0, 1, 25.59672362, 63, 333);
INSERT INTO public.ecdc_data VALUES (59029, 0, 4, 3.40718182, 108, 333);
INSERT INTO public.ecdc_data VALUES (59030, 30, 549, 54.44232145, 64, 333);
INSERT INTO public.ecdc_data VALUES (59031, 0, 0, 3.84867028, 65, 333);
INSERT INTO public.ecdc_data VALUES (59032, 1, 14, 6.66465111, 154, 333);
INSERT INTO public.ecdc_data VALUES (59033, 0, 0, 0.56430885, 4, 333);
INSERT INTO public.ecdc_data VALUES (59034, 623, 11598, 128.98726388, 66, 333);
INSERT INTO public.ecdc_data VALUES (59035, 0, 0, 0, 67, 333);
INSERT INTO public.ecdc_data VALUES (59036, 0, 0, 0, 109, 333);
INSERT INTO public.ecdc_data VALUES (59037, 4, 0, 3.62855121, 155, 333);
INSERT INTO public.ecdc_data VALUES (59038, 0, 0, 0.41827862, 5, 333);
INSERT INTO public.ecdc_data VALUES (59039, 0, 0, 0.18212445, 6, 333);
INSERT INTO public.ecdc_data VALUES (59040, 0, 0, 0.01819666, 110, 333);
INSERT INTO public.ecdc_data VALUES (59041, 8, 493, 11.99935679, 7, 333);
INSERT INTO public.ecdc_data VALUES (59042, 31, 758, 36.44111666, 68, 333);
INSERT INTO public.ecdc_data VALUES (59043, 0, 23, 23.63911437, 8, 333);
INSERT INTO public.ecdc_data VALUES (59044, 0, 9, 86.22282441, 69, 333);
INSERT INTO public.ecdc_data VALUES (59045, 2, 58, 15.4472571, 9, 333);
INSERT INTO public.ecdc_data VALUES (59046, 1, 12, 1.69939177, 10, 333);
INSERT INTO public.ecdc_data VALUES (59047, 59, 5471, 311.83986311, 70, 333);
INSERT INTO public.ecdc_data VALUES (59048, 0, 7, 0.00634684, 111, 333);
INSERT INTO public.ecdc_data VALUES (59049, 30, 1110, 28.20452344, 71, 333);
INSERT INTO public.ecdc_data VALUES (59050, 0, 0, 11.16476729, 11, 333);
INSERT INTO public.ecdc_data VALUES (59051, 0, 0, 3.69853828, 12, 333);
INSERT INTO public.ecdc_data VALUES (59052, 0, 28, 4.31891759, 72, 333);
INSERT INTO public.ecdc_data VALUES (59053, 0, 118, 3.23527017, 13, 333);
INSERT INTO public.ecdc_data VALUES (59054, 0, 0, 0.44158277, 156, 333);
INSERT INTO public.ecdc_data VALUES (59055, 0, 38, 1.78232925, 73, 333);
INSERT INTO public.ecdc_data VALUES (59056, 0, 1, 2.44763589, 74, 333);
INSERT INTO public.ecdc_data VALUES (59057, 0, 5, 3.65338926, 157, 333);
INSERT INTO public.ecdc_data VALUES (59058, 1, 29, 6.72313095, 158, 333);
INSERT INTO public.ecdc_data VALUES (59059, 1, 145, 1.80319133, 14, 333);
INSERT INTO public.ecdc_data VALUES (59060, 2, 30, 12.59024805, 159, 333);
INSERT INTO public.ecdc_data VALUES (59061, 0, 215, 210.67076709, 15, 333);
INSERT INTO public.ecdc_data VALUES (59062, 0, 2, 2.78520499, 75, 333);
INSERT INTO public.ecdc_data VALUES (59063, 0, 287, 45.13473701, 76, 333);
INSERT INTO public.ecdc_data VALUES (59064, 36, 896, 36.90644981, 77, 333);
INSERT INTO public.ecdc_data VALUES (59065, 46, 1399, 13.56734838, 16, 333);
INSERT INTO public.ecdc_data VALUES (59066, 0, 65, 18.11406125, 78, 333);
INSERT INTO public.ecdc_data VALUES (59067, 0, 0, 43.28966019, 17, 333);
INSERT INTO public.ecdc_data VALUES (59068, 0, 0, 0, 18, 333);
INSERT INTO public.ecdc_data VALUES (59069, 0, 1, 6.49144789, 160, 333);
INSERT INTO public.ecdc_data VALUES (59070, 1, 8, 7.8388131, 19, 333);
INSERT INTO public.ecdc_data VALUES (59071, 1, 85, 0.80746813, 20, 333);
INSERT INTO public.ecdc_data VALUES (59072, 0, 0, 0, 79, 333);
INSERT INTO public.ecdc_data VALUES (59073, 0, 0, 0, 161, 333);
INSERT INTO public.ecdc_data VALUES (59074, 0, 0, 0, 203, 333);
INSERT INTO public.ecdc_data VALUES (59075, 0, 26, 9.15200096, 162, 333);
INSERT INTO public.ecdc_data VALUES (59076, 31, 338, 13.71079647, 163, 333);
INSERT INTO public.ecdc_data VALUES (59077, 0, 0, 0, 204, 333);
INSERT INTO public.ecdc_data VALUES (59078, 0, 0, 56.29257039, 21, 333);
INSERT INTO public.ecdc_data VALUES (59079, 0, 0, 0.04259495, 22, 333);
INSERT INTO public.ecdc_data VALUES (59080, 0, 13, 2.35190387, 164, 333);
INSERT INTO public.ecdc_data VALUES (59081, 11, 213, 8.21255677, 165, 333);
INSERT INTO public.ecdc_data VALUES (59082, 0, 0, 7.67641167, 23, 333);
INSERT INTO public.ecdc_data VALUES (59083, 0, 1, 68.23710912, 166, 333);
INSERT INTO public.ecdc_data VALUES (59084, 4, 1, 0.76459735, 167, 333);
INSERT INTO public.ecdc_data VALUES (59085, 0, 0, 3.52982704, 80, 333);
INSERT INTO public.ecdc_data VALUES (59086, 0, 0, 0.8928412, 81, 333);
INSERT INTO public.ecdc_data VALUES (59087, 0, 0, 12.55267641, 205, 333);
INSERT INTO public.ecdc_data VALUES (59088, 8, 249, 18.96882833, 82, 333);
INSERT INTO public.ecdc_data VALUES (59089, 0, 0, 0, 168, 333);
INSERT INTO public.ecdc_data VALUES (59090, 0, 73, 8.20593386, 24, 333);
INSERT INTO public.ecdc_data VALUES (59091, 0, 17, 18.16840603, 25, 333);
INSERT INTO public.ecdc_data VALUES (59092, 0, 0, 3.70476829, 83, 333);
INSERT INTO public.ecdc_data VALUES (59093, 1, 102, 15.0314137, 84, 333);
INSERT INTO public.ecdc_data VALUES (59094, 0, 0, 0, 169, 333);
INSERT INTO public.ecdc_data VALUES (59095, 5, 160, 26.30791859, 85, 333);
INSERT INTO public.ecdc_data VALUES (59096, 6, 45, 3.73487274, 170, 333);
INSERT INTO public.ecdc_data VALUES (59097, 0, 0, 1.12047643, 171, 333);
INSERT INTO public.ecdc_data VALUES (59098, 204, 8171, 7.14034925, 112, 333);
INSERT INTO public.ecdc_data VALUES (59099, 28, 467, 3.29976214, 113, 333);
INSERT INTO public.ecdc_data VALUES (59100, 81, 2979, 38.53757054, 114, 333);
INSERT INTO public.ecdc_data VALUES (59101, 10, 429, 8.43047008, 115, 333);
INSERT INTO public.ecdc_data VALUES (59102, 0, 72, 17.57662757, 172, 333);
INSERT INTO public.ecdc_data VALUES (59103, 0, 0, 1.18218681, 173, 333);
INSERT INTO public.ecdc_data VALUES (59104, 2, 148, 7.0192959, 116, 333);
INSERT INTO public.ecdc_data VALUES (59105, 60, 178, 12.11241715, 174, 333);
INSERT INTO public.ecdc_data VALUES (59106, 0, 2, 2.30643186, 86, 333);
INSERT INTO public.ecdc_data VALUES (59107, 2, 46, 0.4453718, 117, 333);
INSERT INTO public.ecdc_data VALUES (59108, 0, 0, 4.63839103, 175, 333);
INSERT INTO public.ecdc_data VALUES (59109, 0, 7, 1.15822124, 118, 333);
INSERT INTO public.ecdc_data VALUES (59110, 0, 263, 25.98182738, 119, 333);
INSERT INTO public.ecdc_data VALUES (59111, 5, 59, 2.10940902, 26, 333);
INSERT INTO public.ecdc_data VALUES (59112, 0, 27, 6.78340801, 176, 333);
INSERT INTO public.ecdc_data VALUES (59113, 8, 719, 286.92129952, 120, 333);
INSERT INTO public.ecdc_data VALUES (59114, 1, 28, 9.38301092, 121, 333);
INSERT INTO public.ecdc_data VALUES (59115, 0, 0, 0, 122, 333);
INSERT INTO public.ecdc_data VALUES (59116, 0, 5, 3.22922049, 177, 333);
INSERT INTO public.ecdc_data VALUES (59117, 0, 13, 4.40508779, 123, 333);
INSERT INTO public.ecdc_data VALUES (59118, 0, 0, 0.04705291, 27, 333);
INSERT INTO public.ecdc_data VALUES (59119, 0, 8, 1.35699665, 28, 333);
INSERT INTO public.ecdc_data VALUES (59120, 0, 12, 1.51974495, 29, 333);
INSERT INTO public.ecdc_data VALUES (59121, 0, 0, 0, 178, 333);
INSERT INTO public.ecdc_data VALUES (59122, 0, 3, 4.68830972, 179, 333);
INSERT INTO public.ecdc_data VALUES (59123, 0, 1, 11.72840914, 180, 333);
INSERT INTO public.ecdc_data VALUES (59124, 0, 55, 1.86879114, 30, 333);
INSERT INTO public.ecdc_data VALUES (59125, 0, 52, 1.4279005, 31, 333);
INSERT INTO public.ecdc_data VALUES (59126, 0, 38, 2.86699859, 124, 333);
INSERT INTO public.ecdc_data VALUES (59127, 1, 56, 136.16921898, 125, 333);
INSERT INTO public.ecdc_data VALUES (59128, 1, 50, 2.24335886, 32, 333);
INSERT INTO public.ecdc_data VALUES (59129, 0, 1, 10.33311114, 181, 333);
INSERT INTO public.ecdc_data VALUES (59130, 0, 0, 9.92112156, 33, 333);
INSERT INTO public.ecdc_data VALUES (59131, 0, 0, 0.23628187, 34, 333);
INSERT INTO public.ecdc_data VALUES (59132, 237, 5249, 40.31572544, 87, 333);
INSERT INTO public.ecdc_data VALUES (59133, 12, 109, 54.95568178, 182, 333);
INSERT INTO public.ecdc_data VALUES (59134, 0, 0, 0, 183, 333);
INSERT INTO public.ecdc_data VALUES (59135, 0, 0, 1.39527702, 126, 333);
INSERT INTO public.ecdc_data VALUES (59136, 0, 0, 0, 184, 333);
INSERT INTO public.ecdc_data VALUES (59137, 0, 0, 0, 88, 333);
INSERT INTO public.ecdc_data VALUES (59138, 0, 26, 2.41556715, 35, 333);
INSERT INTO public.ecdc_data VALUES (59139, 0, 0, 0.35895359, 36, 333);
INSERT INTO public.ecdc_data VALUES (59140, 0, 0, 0.06846093, 127, 333);
INSERT INTO public.ecdc_data VALUES (59141, 0, 1, 0.36079028, 37, 333);
INSERT INTO public.ecdc_data VALUES (59142, 0, 226, 4.97400879, 128, 333);
INSERT INTO public.ecdc_data VALUES (59143, 6, 103, 13.91029584, 185, 333);
INSERT INTO public.ecdc_data VALUES (59144, 0, 1, 0.70732113, 207, 333);
INSERT INTO public.ecdc_data VALUES (59145, 0, 0, 0.02090711, 208, 333);
INSERT INTO public.ecdc_data VALUES (59146, 0, 0, 11.21380588, 89, 333);
INSERT INTO public.ecdc_data VALUES (59147, 1, 0, 0.21020373, 38, 333);
INSERT INTO public.ecdc_data VALUES (59148, 12, 416, 2.190944, 39, 333);
INSERT INTO public.ecdc_data VALUES (59149, 7, 89, 23.97536603, 186, 333);
INSERT INTO public.ecdc_data VALUES (59150, 0, 0, 1.74785451, 209, 333);
INSERT INTO public.ecdc_data VALUES (59151, 0, 0, 3.04041956, 187, 333);
INSERT INTO public.ecdc_data VALUES (59152, 3, 786, 137.56806041, 129, 333);
INSERT INTO public.ecdc_data VALUES (59153, 78, 3938, 14.9756205, 130, 333);
INSERT INTO public.ecdc_data VALUES (59154, 0, 1, 1.22454994, 131, 333);
INSERT INTO public.ecdc_data VALUES (59155, 8, 374, 96.8105048, 90, 333);
INSERT INTO public.ecdc_data VALUES (59156, 0, 0, 0, 210, 333);
INSERT INTO public.ecdc_data VALUES (59157, 0, 9, 2.93840465, 91, 333);
INSERT INTO public.ecdc_data VALUES (59158, 128, 5563, 231.02101717, 92, 333);
INSERT INTO public.ecdc_data VALUES (59159, 3, 552, 5.47556878, 132, 333);
INSERT INTO public.ecdc_data VALUES (59160, 10, 379, 13.90468528, 188, 333);
INSERT INTO public.ecdc_data VALUES (59161, 14, 200, 33.97032311, 189, 333);
INSERT INTO public.ecdc_data VALUES (59162, 0, 97, 39.64677215, 93, 333);
INSERT INTO public.ecdc_data VALUES (59163, 2, 1523, 863.8201514, 133, 333);
INSERT INTO public.ecdc_data VALUES (59164, 17, 141, 12.16619078, 190, 333);
INSERT INTO public.ecdc_data VALUES (59165, 162, 9035, 85.14298743, 191, 333);
INSERT INTO public.ecdc_data VALUES (59166, 0, 7, 0.63356611, 40, 333);
INSERT INTO public.ecdc_data VALUES (59167, 0, 0, 0, 94, 333);
INSERT INTO public.ecdc_data VALUES (59168, 0, 0, 0, 95, 333);
INSERT INTO public.ecdc_data VALUES (59169, 0, 0, 8.13794725, 96, 333);
INSERT INTO public.ecdc_data VALUES (59170, 0, 16, 95.78266044, 192, 333);
INSERT INTO public.ecdc_data VALUES (59171, 0, 1, 110.67296604, 41, 333);
INSERT INTO public.ecdc_data VALUES (59172, 22, 1881, 86.95150002, 134, 333);
INSERT INTO public.ecdc_data VALUES (59173, 0, 94, 7.33292498, 42, 333);
INSERT INTO public.ecdc_data VALUES (59174, 1, 18, 10.49719663, 193, 333);
INSERT INTO public.ecdc_data VALUES (59175, 0, 0, 0, 43, 333);
INSERT INTO public.ecdc_data VALUES (59176, 0, 0, 4.37720388, 44, 333);
INSERT INTO public.ecdc_data VALUES (59177, 1, 408, 119.72069879, 135, 333);
INSERT INTO public.ecdc_data VALUES (59178, 0, 0, 0, 97, 333);
INSERT INTO public.ecdc_data VALUES (59179, 0, 0, 0.49537458, 194, 333);
INSERT INTO public.ecdc_data VALUES (59180, 0, 2, 0.38444756, 195, 333);
INSERT INTO public.ecdc_data VALUES (59181, 1, 47, 3.67806422, 45, 333);
INSERT INTO public.ecdc_data VALUES (59182, 22, 1674, 30.60882932, 46, 333);
INSERT INTO public.ecdc_data VALUES (59183, 1, 38, 0.90384988, 136, 333);
INSERT INTO public.ecdc_data VALUES (59184, 0, 0, 6.43638277, 47, 333);
INSERT INTO public.ecdc_data VALUES (59185, 0, 294, 16.82039736, 196, 333);
INSERT INTO public.ecdc_data VALUES (59186, 1, 10, 3.05293623, 137, 333);
INSERT INTO public.ecdc_data VALUES (59187, 12, 147, 6.03084509, 48, 333);
INSERT INTO public.ecdc_data VALUES (59188, 0, 21, 5.67631583, 98, 333);
INSERT INTO public.ecdc_data VALUES (59189, 39, 648, 77.61345469, 197, 333);
INSERT INTO public.ecdc_data VALUES (59190, 0, 9, 3.20673105, 198, 333);
INSERT INTO public.ecdc_data VALUES (59191, 1, 1, 0.38078206, 138, 333);
INSERT INTO public.ecdc_data VALUES (59192, 0, 1, 0.01261889, 139, 333);
INSERT INTO public.ecdc_data VALUES (59193, 0, 123, 23.61328794, 140, 333);
INSERT INTO public.ecdc_data VALUES (59194, 0, 1, 0.07324894, 141, 333);
INSERT INTO public.ecdc_data VALUES (59195, 0, 0, 0, 142, 333);
INSERT INTO public.ecdc_data VALUES (59196, 0, 1, 1.39810667, 49, 333);
INSERT INTO public.ecdc_data VALUES (59197, 0, 0, 0.07168618, 99, 333);
INSERT INTO public.ecdc_data VALUES (59198, 0, 7, 0.35058553, 50, 333);
INSERT INTO public.ecdc_data VALUES (59199, 23, 827, 17.28698649, 199, 333);
INSERT INTO public.ecdc_data VALUES (59200, 0, 0, 0, 100, 333);
INSERT INTO public.ecdc_data VALUES (59201, 0, -1, 0.44500076, 51, 333);
INSERT INTO public.ecdc_data VALUES (59202, 10, 340, 12.26540844, 200, 333);
INSERT INTO public.ecdc_data VALUES (59203, 2, 635, 112.6039683, 143, 333);
INSERT INTO public.ecdc_data VALUES (59204, 86, 1079, 39.77366641, 201, 333);
INSERT INTO public.ecdc_data VALUES (59205, 0, 0, 0, 52, 333);
INSERT INTO public.ecdc_data VALUES (59206, 764, 21086, 91.98154661, 101, 333);
INSERT INTO public.ecdc_data VALUES (59207, 0, 1, 0.95621492, 102, 333);
INSERT INTO public.ecdc_data VALUES (59208, 1, 2, 2.54208083, 103, 333);
INSERT INTO public.ecdc_data VALUES (59209, 0, 56, 2.77729645, 144, 333);
INSERT INTO public.ecdc_data VALUES (59210, 3, 152, 3.66112449, 104, 333);
INSERT INTO public.ecdc_data VALUES (59211, 0, 0, 0.00414671, 145, 333);
INSERT INTO public.ecdc_data VALUES (59212, 0, 0, 2.91866538, 53, 333);
INSERT INTO public.ecdc_data VALUES (59213, 4, 31, 0.76812495, 146, 333);
INSERT INTO public.ecdc_data VALUES (59214, 0, 32, 1.83639984, 54, 333);
INSERT INTO public.ecdc_data VALUES (59215, 0, 25, 1.07200362, 55, 333);
INSERT INTO public.ecdc_data VALUES (59216, 4, 164, 3.91674864, 105, 334);
INSERT INTO public.ecdc_data VALUES (59217, 0, 9, 8.48929947, 147, 334);
INSERT INTO public.ecdc_data VALUES (59218, 3, 148, 4.03223428, 1, 334);
INSERT INTO public.ecdc_data VALUES (59219, 1, 1, 65.63660948, 148, 334);
INSERT INTO public.ecdc_data VALUES (59220, 0, 2, 0.03142154, 2, 334);
INSERT INTO public.ecdc_data VALUES (59221, 0, 0, 0, 56, 334);
INSERT INTO public.ecdc_data VALUES (59222, 0, 1, 2.0594141, 57, 334);
INSERT INTO public.ecdc_data VALUES (59223, 7, 104, 4.15581051, 58, 334);
INSERT INTO public.ecdc_data VALUES (59224, 0, 125, 34.65497842, 149, 334);
INSERT INTO public.ecdc_data VALUES (59225, 0, 0, 3.76258113, 59, 334);
INSERT INTO public.ecdc_data VALUES (59226, 1, 5, 0.92845353, 202, 334);
INSERT INTO public.ecdc_data VALUES (59227, 5, 34, 9.65144729, 150, 334);
INSERT INTO public.ecdc_data VALUES (59228, 1, 50, 5.11558892, 151, 334);
INSERT INTO public.ecdc_data VALUES (59229, 0, 1, 6.93221322, 60, 334);
INSERT INTO public.ecdc_data VALUES (59230, 0, 130, 86.88954912, 106, 334);
INSERT INTO public.ecdc_data VALUES (59231, 2, 571, 3.92526846, 107, 334);
INSERT INTO public.ecdc_data VALUES (59232, 0, 0, 2.09043938, 61, 334);
INSERT INTO public.ecdc_data VALUES (59233, 4, 890, 107.25308226, 152, 334);
INSERT INTO public.ecdc_data VALUES (59234, 93, 237, 93.39603033, 153, 334);
INSERT INTO public.ecdc_data VALUES (59235, 0, 0, 0, 62, 334);
INSERT INTO public.ecdc_data VALUES (59236, 0, 6, 0.44910874, 3, 334);
INSERT INTO public.ecdc_data VALUES (59237, 0, 0, 49.59365201, 63, 334);
INSERT INTO public.ecdc_data VALUES (59238, 0, 0, 0.26209091, 108, 334);
INSERT INTO public.ecdc_data VALUES (59239, 4, 62, 6.39271675, 64, 334);
INSERT INTO public.ecdc_data VALUES (59240, 0, 0, 7.69734057, 65, 334);
INSERT INTO public.ecdc_data VALUES (59241, 1, 25, 17.3280929, 154, 334);
INSERT INTO public.ecdc_data VALUES (59242, 0, 0, 0.34726699, 4, 334);
INSERT INTO public.ecdc_data VALUES (59243, 428, 6209, 27.43763657, 66, 334);
INSERT INTO public.ecdc_data VALUES (59244, 0, 0, 9.98901209, 67, 334);
INSERT INTO public.ecdc_data VALUES (59245, 0, 0, 0.46157823, 109, 334);
INSERT INTO public.ecdc_data VALUES (59246, 3, 82, 10.59994094, 155, 334);
INSERT INTO public.ecdc_data VALUES (59247, 1, 4, 0.45272509, 5, 334);
INSERT INTO public.ecdc_data VALUES (59248, 0, 0, 0.07805334, 6, 334);
INSERT INTO public.ecdc_data VALUES (59249, 0, 0, 0, 110, 334);
INSERT INTO public.ecdc_data VALUES (59250, 0, 237, 4.06934708, 7, 334);
INSERT INTO public.ecdc_data VALUES (59251, 207, 1825, 61.98438012, 68, 334);
INSERT INTO public.ecdc_data VALUES (59252, 1, 2, 12.18323587, 8, 334);
INSERT INTO public.ecdc_data VALUES (59253, 0, 1, 20.01601281, 69, 334);
INSERT INTO public.ecdc_data VALUES (59254, 0, 22, 1.26444124, 9, 334);
INSERT INTO public.ecdc_data VALUES (59255, 0, 0, 0.25083273, 10, 334);
INSERT INTO public.ecdc_data VALUES (59256, 7, 985, 40.92436511, 70, 334);
INSERT INTO public.ecdc_data VALUES (59257, 0, 3, 0.01213572, 111, 334);
INSERT INTO public.ecdc_data VALUES (59258, 21, 499, 7.08589485, 71, 334);
INSERT INTO public.ecdc_data VALUES (59259, 0, 1, 0, 11, 334);
INSERT INTO public.ecdc_data VALUES (59260, 1, 9, 1.59836328, 12, 334);
INSERT INTO public.ecdc_data VALUES (59261, 0, 6, 1.50567769, 72, 334);
INSERT INTO public.ecdc_data VALUES (59262, 1, 58, 2.29813061, 13, 334);
INSERT INTO public.ecdc_data VALUES (59263, 6, 9, 6.64827393, 156, 334);
INSERT INTO public.ecdc_data VALUES (59264, 3, 36, 5.41757504, 73, 334);
INSERT INTO public.ecdc_data VALUES (59265, 0, 0, 1.22381794, 74, 334);
INSERT INTO public.ecdc_data VALUES (59266, 0, 7, 13.92854656, 157, 334);
INSERT INTO public.ecdc_data VALUES (59267, 4, 55, 11.15513906, 158, 334);
INSERT INTO public.ecdc_data VALUES (59268, 1, 32, 0.34220308, 14, 334);
INSERT INTO public.ecdc_data VALUES (59269, 10, 153, 38.54579363, 159, 334);
INSERT INTO public.ecdc_data VALUES (59270, 0, 8, 37.49138469, 15, 334);
INSERT INTO public.ecdc_data VALUES (59271, 0, 0, 0, 75, 334);
INSERT INTO public.ecdc_data VALUES (59272, 12, 316, 29.44420021, 76, 334);
INSERT INTO public.ecdc_data VALUES (59273, 163, 1402, 102.94896463, 77, 334);
INSERT INTO public.ecdc_data VALUES (59274, 14, 358, 3.03920557, 16, 334);
INSERT INTO public.ecdc_data VALUES (59275, 0, 22, 4.16824848, 78, 334);
INSERT INTO public.ecdc_data VALUES (59276, 0, 0, 17.40436082, 17, 334);
INSERT INTO public.ecdc_data VALUES (59277, 0, 0, 0.11437993, 18, 334);
INSERT INTO public.ecdc_data VALUES (59278, 0, 5, 17.73825878, 160, 334);
INSERT INTO public.ecdc_data VALUES (59279, 0, 6, 7.57751933, 19, 334);
INSERT INTO public.ecdc_data VALUES (59280, 0, 2, 0.03301251, 20, 334);
INSERT INTO public.ecdc_data VALUES (59281, 0, 0, 59.31198102, 79, 334);
INSERT INTO public.ecdc_data VALUES (59282, 0, 0, 6.16307496, 161, 334);
INSERT INTO public.ecdc_data VALUES (59283, 0, 0, 0.11236523, 203, 334);
INSERT INTO public.ecdc_data VALUES (59284, 7, 56, 28.30777327, 162, 334);
INSERT INTO public.ecdc_data VALUES (59285, 218, 604, 31.23727717, 163, 334);
INSERT INTO public.ecdc_data VALUES (59286, 0, 0, 1.07417155, 204, 334);
INSERT INTO public.ecdc_data VALUES (59287, 1, 32, 9.20565338, 21, 334);
INSERT INTO public.ecdc_data VALUES (59288, 0, 0, 0.12778486, 22, 334);
INSERT INTO public.ecdc_data VALUES (59289, 2, 43, 5.30429383, 164, 334);
INSERT INTO public.ecdc_data VALUES (59290, 94, 945, 29.22696942, 165, 334);
INSERT INTO public.ecdc_data VALUES (59291, 0, 0, 4.71104836, 23, 334);
INSERT INTO public.ecdc_data VALUES (59292, 0, 0, 32.63513914, 166, 334);
INSERT INTO public.ecdc_data VALUES (59293, 0, 0, 3.58055345, 167, 334);
INSERT INTO public.ecdc_data VALUES (59294, 0, 0, 0, 80, 334);
INSERT INTO public.ecdc_data VALUES (59295, 0, 0, 5.3570472, 81, 334);
INSERT INTO public.ecdc_data VALUES (59296, 0, 0, 5.97746496, 205, 334);
INSERT INTO public.ecdc_data VALUES (59297, 0, 45, 2.32631208, 82, 334);
INSERT INTO public.ecdc_data VALUES (59298, 0, 1, 27.92082894, 168, 334);
INSERT INTO public.ecdc_data VALUES (59299, 0, 42, 8.29989494, 24, 334);
INSERT INTO public.ecdc_data VALUES (59300, 0, 52, 10.77610329, 25, 334);
INSERT INTO public.ecdc_data VALUES (59301, 0, 0, 2.42726198, 83, 334);
INSERT INTO public.ecdc_data VALUES (59302, 0, 4, 0.36402124, 84, 334);
INSERT INTO public.ecdc_data VALUES (59303, 0, 0, 368.09815951, 169, 334);
INSERT INTO public.ecdc_data VALUES (59304, 0, 95, 4.53514041, 85, 334);
INSERT INTO public.ecdc_data VALUES (59305, 12, 79, 11.33764109, 170, 334);
INSERT INTO public.ecdc_data VALUES (59306, 0, 1, 12.32524069, 171, 334);
INSERT INTO public.ecdc_data VALUES (59307, 71, 2293, 1.68015967, 112, 334);
INSERT INTO public.ecdc_data VALUES (59308, 8, 433, 1.71011189, 113, 334);
INSERT INTO public.ecdc_data VALUES (59309, 63, 1006, 19.48045064, 114, 334);
INSERT INTO public.ecdc_data VALUES (59310, 1, 68, 1.70695396, 115, 334);
INSERT INTO public.ecdc_data VALUES (59311, 33, 221, 139.73622824, 172, 334);
INSERT INTO public.ecdc_data VALUES (59312, 1, 1, 31.91904385, 173, 334);
INSERT INTO public.ecdc_data VALUES (59313, 3, 155, 36.61067546, 116, 334);
INSERT INTO public.ecdc_data VALUES (59314, 269, 1965, 57.97591652, 174, 334);
INSERT INTO public.ecdc_data VALUES (59315, 0, 10, 9.12397309, 86, 334);
INSERT INTO public.ecdc_data VALUES (59316, 26, 263, 3.74348794, 117, 334);
INSERT INTO public.ecdc_data VALUES (59317, 1, 0, 57.51604883, 175, 334);
INSERT INTO public.ecdc_data VALUES (59318, 0, 6, 0.51476499, 118, 334);
INSERT INTO public.ecdc_data VALUES (59319, 0, 167, 11.21207489, 119, 334);
INSERT INTO public.ecdc_data VALUES (59320, 4, 15, 0.31384354, 26, 334);
INSERT INTO public.ecdc_data VALUES (59321, 0, 9, 18.18175753, 176, 334);
INSERT INTO public.ecdc_data VALUES (59322, 4, 353, 64.62919504, 120, 334);
INSERT INTO public.ecdc_data VALUES (59323, 0, 23, 4.09922238, 121, 334);
INSERT INTO public.ecdc_data VALUES (59324, 0, 0, 0, 122, 334);
INSERT INTO public.ecdc_data VALUES (59325, 1, 12, 9.79182986, 177, 334);
INSERT INTO public.ecdc_data VALUES (59326, 0, 4, 0.88976939, 123, 334);
INSERT INTO public.ecdc_data VALUES (59327, 2, 11, 1.53927979, 28, 334);
INSERT INTO public.ecdc_data VALUES (59328, 0, 2, 0.20656728, 29, 334);
INSERT INTO public.ecdc_data VALUES (59329, 0, 0, 5.21131898, 178, 334);
INSERT INTO public.ecdc_data VALUES (59330, 0, 14, 5.72617981, 179, 334);
INSERT INTO public.ecdc_data VALUES (59331, 2, 18, 52.45205198, 180, 334);
INSERT INTO public.ecdc_data VALUES (59332, 0, 3, 0.06674254, 30, 334);
INSERT INTO public.ecdc_data VALUES (59333, 0, 0, 0.10736094, 31, 334);
INSERT INTO public.ecdc_data VALUES (59334, 1, 69, 2.56652712, 124, 334);
INSERT INTO public.ecdc_data VALUES (59335, 0, 23, 87.01269594, 125, 334);
INSERT INTO public.ecdc_data VALUES (59336, 0, 18, 1.61766013, 32, 334);
INSERT INTO public.ecdc_data VALUES (59337, 0, 1, 8.30701091, 181, 334);
INSERT INTO public.ecdc_data VALUES (59338, 0, 0, 0.02209604, 33, 334);
INSERT INTO public.ecdc_data VALUES (59339, 0, 0, 0.63008498, 34, 334);
INSERT INTO public.ecdc_data VALUES (59340, 113, 1379, 14.96838786, 87, 334);
INSERT INTO public.ecdc_data VALUES (59341, 3, 83, 42.44102157, 182, 334);
INSERT INTO public.ecdc_data VALUES (59342, 0, 0, 3.02251776, 183, 334);
INSERT INTO public.ecdc_data VALUES (59343, 0, 1, 0.24804925, 126, 334);
INSERT INTO public.ecdc_data VALUES (59344, 0, 0, 3.05376883, 184, 334);
INSERT INTO public.ecdc_data VALUES (59345, 0, 0, 0, 88, 334);
INSERT INTO public.ecdc_data VALUES (59346, 1, 146, 5.49740311, 35, 334);
INSERT INTO public.ecdc_data VALUES (59347, 0, 3, 0.14819185, 36, 334);
INSERT INTO public.ecdc_data VALUES (59348, 0, 0, 0.10546684, 127, 334);
INSERT INTO public.ecdc_data VALUES (59349, 0, 0, 0, 37, 334);
INSERT INTO public.ecdc_data VALUES (59350, 0, 2, 0.10136771, 128, 334);
INSERT INTO public.ecdc_data VALUES (59351, 98, 475, 54.05573365, 185, 334);
INSERT INTO public.ecdc_data VALUES (59352, 0, 0, 0, 207, 334);
INSERT INTO public.ecdc_data VALUES (59353, 1, 2, 0.83628437, 208, 334);
INSERT INTO public.ecdc_data VALUES (59354, 0, 0, 0.07638832, 89, 334);
INSERT INTO public.ecdc_data VALUES (59355, 1, 9, 0.43327707, 38, 334);
INSERT INTO public.ecdc_data VALUES (59356, 10, 238, 0.83447947, 39, 334);
INSERT INTO public.ecdc_data VALUES (59357, 4, 29, 18.15002609, 186, 334);
INSERT INTO public.ecdc_data VALUES (59358, 0, 0, 0, 209, 334);
INSERT INTO public.ecdc_data VALUES (59359, 0, 49, 18.16744529, 187, 334);
INSERT INTO public.ecdc_data VALUES (59360, 0, 99, 27.698537, 129, 334);
INSERT INTO public.ecdc_data VALUES (59361, 32, 1297, 4.90983512, 130, 334);
INSERT INTO public.ecdc_data VALUES (59362, 0, 10, 4.21566372, 131, 334);
INSERT INTO public.ecdc_data VALUES (59363, 4, 188, 59.10833545, 90, 334);
INSERT INTO public.ecdc_data VALUES (59364, 0, 0, 0.01139456, 210, 334);
INSERT INTO public.ecdc_data VALUES (59365, 0, 67, 1.85957009, 91, 334);
INSERT INTO public.ecdc_data VALUES (59366, 73, 3483, 82.9579106, 92, 334);
INSERT INTO public.ecdc_data VALUES (59367, 11, 284, 2.6767392, 132, 334);
INSERT INTO public.ecdc_data VALUES (59368, 7, 228, 12.44574671, 188, 334);
INSERT INTO public.ecdc_data VALUES (59369, 0, 364, 61.58641506, 189, 334);
INSERT INTO public.ecdc_data VALUES (59370, 2, 36, 17.28367453, 93, 334);
INSERT INTO public.ecdc_data VALUES (59371, 2, 687, 333.07780772, 133, 334);
INSERT INTO public.ecdc_data VALUES (59372, 27, 327, 23.17860226, 190, 334);
INSERT INTO public.ecdc_data VALUES (59373, 96, 7933, 56.50354632, 191, 334);
INSERT INTO public.ecdc_data VALUES (59374, 0, 6, 0.8394751, 40, 334);
INSERT INTO public.ecdc_data VALUES (59375, 0, 0, 1.8927206, 94, 334);
INSERT INTO public.ecdc_data VALUES (59376, 0, 0, 1.09412183, 95, 334);
INSERT INTO public.ecdc_data VALUES (59377, 0, 0, 3.61686544, 96, 334);
INSERT INTO public.ecdc_data VALUES (59378, 0, 11, 420.86320495, 192, 334);
INSERT INTO public.ecdc_data VALUES (59379, 0, 2, 6.51017447, 41, 334);
INSERT INTO public.ecdc_data VALUES (59380, 7, 1344, 49.476883, 134, 334);
INSERT INTO public.ecdc_data VALUES (59381, 0, 91, 4.18498313, 42, 334);
INSERT INTO public.ecdc_data VALUES (59382, 6, 196, 50.47557614, 193, 334);
INSERT INTO public.ecdc_data VALUES (59383, 0, 0, 0, 43, 334);
INSERT INTO public.ecdc_data VALUES (59384, 0, 12, 1.40787259, 44, 334);
INSERT INTO public.ecdc_data VALUES (59385, 1, 932, 207.62039735, 135, 334);
INSERT INTO public.ecdc_data VALUES (59386, 0, 0, 44.82294935, 97, 334);
INSERT INTO public.ecdc_data VALUES (59387, 0, 7, 6.49491113, 194, 334);
INSERT INTO public.ecdc_data VALUES (59388, 2, 5, 6.24727283, 195, 334);
INSERT INTO public.ecdc_data VALUES (59389, 0, 0, 3.14060061, 45, 334);
INSERT INTO public.ecdc_data VALUES (59390, 13, 304, 5.40999617, 46, 334);
INSERT INTO public.ecdc_data VALUES (59391, 2, 6, 0.24792426, 136, 334);
INSERT INTO public.ecdc_data VALUES (59392, 0, 10, 0.3706344, 47, 334);
INSERT INTO public.ecdc_data VALUES (59393, 276, 1234, 50.78929102, 196, 334);
INSERT INTO public.ecdc_data VALUES (59394, 0, 25, 2.09156614, 137, 334);
INSERT INTO public.ecdc_data VALUES (59395, 0, 0, 0.95764775, 48, 334);
INSERT INTO public.ecdc_data VALUES (59396, 0, 0, 0, 98, 334);
INSERT INTO public.ecdc_data VALUES (59397, 78, 532, 83.56642622, 197, 334);
INSERT INTO public.ecdc_data VALUES (59398, 12, 119, 30.72141969, 198, 334);
INSERT INTO public.ecdc_data VALUES (59399, 0, 1, 0.03514911, 138, 334);
INSERT INTO public.ecdc_data VALUES (59400, 0, 0, 0.14301409, 139, 334);
INSERT INTO public.ecdc_data VALUES (59401, 0, 0, 0, 140, 334);
INSERT INTO public.ecdc_data VALUES (59402, 0, 0, 0.37342597, 141, 334);
INSERT INTO public.ecdc_data VALUES (59403, 0, 0, 0.46399406, 142, 334);
INSERT INTO public.ecdc_data VALUES (59404, 0, 7, 0.49490501, 49, 334);
INSERT INTO public.ecdc_data VALUES (59405, 0, 0, 0.14337236, 99, 334);
INSERT INTO public.ecdc_data VALUES (59406, 1, 4, 1.14581613, 50, 334);
INSERT INTO public.ecdc_data VALUES (59407, 84, 2188, 53.46820044, 199, 334);
INSERT INTO public.ecdc_data VALUES (59408, 0, 0, 2.61821228, 100, 334);
INSERT INTO public.ecdc_data VALUES (59409, 0, 2, 0.06776661, 51, 334);
INSERT INTO public.ecdc_data VALUES (59410, 11, 455, 14.54528328, 200, 334);
INSERT INTO public.ecdc_data VALUES (59411, 6, 557, 71.5724005, 143, 334);
INSERT INTO public.ecdc_data VALUES (59412, 698, 4966, 98.7634693, 201, 334);
INSERT INTO public.ecdc_data VALUES (59413, 0, 0, 0.57408388, 52, 334);
INSERT INTO public.ecdc_data VALUES (59414, 2062, 33955, 122.04795445, 101, 334);
INSERT INTO public.ecdc_data VALUES (59415, 0, 0, 14.34322378, 102, 334);
INSERT INTO public.ecdc_data VALUES (59416, 0, 5, 4.0442195, 103, 334);
INSERT INTO public.ecdc_data VALUES (59417, 0, 48, 1.95259707, 144, 334);
INSERT INTO public.ecdc_data VALUES (59418, 0, 2, 0.37873702, 104, 334);
INSERT INTO public.ecdc_data VALUES (59419, 0, 0, 0.00207335, 145, 334);
INSERT INTO public.ecdc_data VALUES (59420, 0, 0, 0, 53, 334);
INSERT INTO public.ecdc_data VALUES (59421, 0, 1, 0.02057478, 146, 334);
INSERT INTO public.ecdc_data VALUES (59422, 0, 3, 0.31913046, 54, 334);
INSERT INTO public.ecdc_data VALUES (59423, 0, 0, 0.06828049, 55, 334);
INSERT INTO public.ecdc_data VALUES (59424, 0, 26, 0.44687736, 105, 335);
INSERT INTO public.ecdc_data VALUES (59425, 0, 16, 6.98707775, 147, 335);
INSERT INTO public.ecdc_data VALUES (59426, 14, 131, 1.80010459, 1, 335);
INSERT INTO public.ecdc_data VALUES (59427, 2, 14, 442.39074786, 148, 335);
INSERT INTO public.ecdc_data VALUES (59428, 0, 1, 0, 2, 335);
INSERT INTO public.ecdc_data VALUES (59429, 0, 0, 0, 56, 335);
INSERT INTO public.ecdc_data VALUES (59430, 0, 0, 7.20794934, 57, 335);
INSERT INTO public.ecdc_data VALUES (59431, 7, 167, 2.31349795, 58, 335);
INSERT INTO public.ecdc_data VALUES (59432, 1, 92, 18.69678348, 149, 335);
INSERT INTO public.ecdc_data VALUES (59433, 0, 0, 0, 59, 335);
INSERT INTO public.ecdc_data VALUES (59434, 1, 269, 17.50174581, 202, 335);
INSERT INTO public.ecdc_data VALUES (59435, 18, 529, 102.3279178, 150, 335);
INSERT INTO public.ecdc_data VALUES (59436, 0, 61, 3.23456498, 151, 335);
INSERT INTO public.ecdc_data VALUES (59437, 1, 6, 5.13497276, 60, 335);
INSERT INTO public.ecdc_data VALUES (59438, 0, 2, 19.07182951, 106, 335);
INSERT INTO public.ecdc_data VALUES (59439, 1, 3, 0.02698622, 107, 335);
INSERT INTO public.ecdc_data VALUES (59440, 0, 11, 15.32988875, 61, 335);
INSERT INTO public.ecdc_data VALUES (59441, 0, 0, 1.12140725, 152, 335);
INSERT INTO public.ecdc_data VALUES (59442, 233, 1517, 125.89564908, 153, 335);
INSERT INTO public.ecdc_data VALUES (59443, 0, 0, 0, 62, 335);
INSERT INTO public.ecdc_data VALUES (59444, 0, 5, 0.101685, 3, 335);
INSERT INTO public.ecdc_data VALUES (59445, 0, 0, 51.19344724, 63, 335);
INSERT INTO public.ecdc_data VALUES (59446, 0, 1, 0.52418182, 108, 335);
INSERT INTO public.ecdc_data VALUES (59447, 1, 8, 0.96411897, 64, 335);
INSERT INTO public.ecdc_data VALUES (59448, 0, 2, 0, 65, 335);
INSERT INTO public.ecdc_data VALUES (59449, 1, 51, 12.99606967, 154, 335);
INSERT INTO public.ecdc_data VALUES (59450, 1, 1, 0, 4, 335);
INSERT INTO public.ecdc_data VALUES (59451, 40, 1119, 3.03625425, 66, 335);
INSERT INTO public.ecdc_data VALUES (59452, 0, 0, 0, 67, 335);
INSERT INTO public.ecdc_data VALUES (59453, 0, 2, 14.53971419, 109, 335);
INSERT INTO public.ecdc_data VALUES (59454, 2, 23, 4.71425945, 155, 335);
INSERT INTO public.ecdc_data VALUES (59455, 2, 15, 1.15641736, 5, 335);
INSERT INTO public.ecdc_data VALUES (59456, 0, 0, 0, 6, 335);
INSERT INTO public.ecdc_data VALUES (59457, 0, 1, 0.52163759, 110, 335);
INSERT INTO public.ecdc_data VALUES (59458, 0, 40, 0.86178955, 7, 335);
INSERT INTO public.ecdc_data VALUES (59459, 13, 1059, 23.80313532, 68, 335);
INSERT INTO public.ecdc_data VALUES (59460, 0, 0, 0, 8, 335);
INSERT INTO public.ecdc_data VALUES (59461, 0, 8, 33.87325245, 69, 335);
INSERT INTO public.ecdc_data VALUES (59462, 0, 2, 0.14751814, 9, 335);
INSERT INTO public.ecdc_data VALUES (59463, 0, 0, 0.04389573, 10, 335);
INSERT INTO public.ecdc_data VALUES (59464, 4, 293, 14.73720368, 70, 335);
INSERT INTO public.ecdc_data VALUES (59465, 6, 100, 0.08822809, 111, 335);
INSERT INTO public.ecdc_data VALUES (59466, 1, 159, 1.91301282, 71, 335);
INSERT INTO public.ecdc_data VALUES (59467, 0, 0, 0.35312677, 12, 335);
INSERT INTO public.ecdc_data VALUES (59468, 0, 28, 6.06233387, 72, 335);
INSERT INTO public.ecdc_data VALUES (59469, 0, 22, 0.71549244, 13, 335);
INSERT INTO public.ecdc_data VALUES (59470, 0, 96, 21.63755573, 156, 335);
INSERT INTO public.ecdc_data VALUES (59471, 0, 26, 1.77350583, 73, 335);
INSERT INTO public.ecdc_data VALUES (59472, 0, 0, 0, 74, 335);
INSERT INTO public.ecdc_data VALUES (59473, 1, 58, 29.91212457, 157, 335);
INSERT INTO public.ecdc_data VALUES (59474, 8, 281, 28.79866289, 158, 335);
INSERT INTO public.ecdc_data VALUES (59475, 3, 25, 0.12558968, 14, 335);
INSERT INTO public.ecdc_data VALUES (59476, 14, 247, 34.30885652, 159, 335);
INSERT INTO public.ecdc_data VALUES (59477, 0, 3, 3.38963204, 15, 335);
INSERT INTO public.ecdc_data VALUES (59478, 0, 1, 0, 75, 335);
INSERT INTO public.ecdc_data VALUES (59479, 6, 175, 11.76091868, 76, 335);
INSERT INTO public.ecdc_data VALUES (59480, 41, 456, 14.9076271, 77, 335);
INSERT INTO public.ecdc_data VALUES (59481, 5, 54, 0.512013, 16, 335);
INSERT INTO public.ecdc_data VALUES (59482, 1, 9, 0.6198139, 78, 335);
INSERT INTO public.ecdc_data VALUES (59483, 0, 0, 0.8849675, 17, 335);
INSERT INTO public.ecdc_data VALUES (59484, 0, 3, 0, 18, 335);
INSERT INTO public.ecdc_data VALUES (59485, 1, 34, 39.32609713, 160, 335);
INSERT INTO public.ecdc_data VALUES (59486, 0, 0, 0.69678339, 19, 335);
INSERT INTO public.ecdc_data VALUES (59487, 0, 4, 0.02052129, 20, 335);
INSERT INTO public.ecdc_data VALUES (59488, 0, 4, 258.84914847, 161, 335);
INSERT INTO public.ecdc_data VALUES (59489, 0, 2, 0.78655662, 203, 335);
INSERT INTO public.ecdc_data VALUES (59490, 0, 62, 19.5182278, 162, 335);
INSERT INTO public.ecdc_data VALUES (59491, 509, 4861, 71.41164185, 163, 335);
INSERT INTO public.ecdc_data VALUES (59492, 0, 0, 12.17394418, 204, 335);
INSERT INTO public.ecdc_data VALUES (59493, 0, 2, 0.690424, 21, 335);
INSERT INTO public.ecdc_data VALUES (59494, 0, 0, 0.12778486, 22, 335);
INSERT INTO public.ecdc_data VALUES (59495, 0, 5, 2.02664057, 164, 335);
INSERT INTO public.ecdc_data VALUES (59496, 140, 6156, 78.68540021, 165, 335);
INSERT INTO public.ecdc_data VALUES (59497, 0, 43, 0.61805798, 23, 335);
INSERT INTO public.ecdc_data VALUES (59498, 0, 0, 204.71132736, 166, 335);
INSERT INTO public.ecdc_data VALUES (59499, 1, 61, 8.92341056, 167, 335);
INSERT INTO public.ecdc_data VALUES (59500, 0, 0, 17.64913519, 80, 335);
INSERT INTO public.ecdc_data VALUES (59501, 0, 1, 0, 81, 335);
INSERT INTO public.ecdc_data VALUES (59502, 0, 8, 44.23324068, 205, 335);
INSERT INTO public.ecdc_data VALUES (59503, 0, 8, 0.21613657, 82, 335);
INSERT INTO public.ecdc_data VALUES (59504, 0, 18, 120.99025873, 168, 335);
INSERT INTO public.ecdc_data VALUES (59505, 0, 14, 0.2270726, 24, 335);
INSERT INTO public.ecdc_data VALUES (59506, 0, 1, 0, 25, 335);
INSERT INTO public.ecdc_data VALUES (59507, 2, 7, 1.78850883, 83, 335);
INSERT INTO public.ecdc_data VALUES (59508, 0, 1, 0.14205707, 84, 335);
INSERT INTO public.ecdc_data VALUES (59509, 0, 0, 613.49693252, 169, 335);
INSERT INTO public.ecdc_data VALUES (59510, 4, 47, 2.12392322, 85, 335);
INSERT INTO public.ecdc_data VALUES (59511, 1, 60, 5.23905437, 170, 335);
INSERT INTO public.ecdc_data VALUES (59512, 0, 85, 271.71553344, 171, 335);
INSERT INTO public.ecdc_data VALUES (59513, 15, 568, 0.13173131, 112, 335);
INSERT INTO public.ecdc_data VALUES (59514, 21, 149, 0.55611893, 113, 335);
INSERT INTO public.ecdc_data VALUES (59515, 138, 2987, 36.46192321, 114, 335);
INSERT INTO public.ecdc_data VALUES (59516, 0, 0, 1.34826468, 115, 335);
INSERT INTO public.ecdc_data VALUES (59517, 14, 212, 62.82318973, 172, 335);
INSERT INTO public.ecdc_data VALUES (59518, 0, 13, 0, 173, 335);
INSERT INTO public.ecdc_data VALUES (59519, 1, 675, 60.54436166, 116, 335);
INSERT INTO public.ecdc_data VALUES (59520, 727, 4782, 124.02512106, 174, 335);
INSERT INTO public.ecdc_data VALUES (59521, 2, 6, 0.98362535, 86, 335);
INSERT INTO public.ecdc_data VALUES (59522, 1, 225, 1.02869062, 117, 335);
INSERT INTO public.ecdc_data VALUES (59523, 0, 0, 75.14193477, 175, 335);
INSERT INTO public.ecdc_data VALUES (59524, 0, 4, 2.23724786, 118, 335);
INSERT INTO public.ecdc_data VALUES (59525, 1, 8, 1.67642081, 119, 335);
INSERT INTO public.ecdc_data VALUES (59526, 0, 22, 0.14075407, 26, 335);
INSERT INTO public.ecdc_data VALUES (59527, 0, 13, 6.11618755, 176, 335);
INSERT INTO public.ecdc_data VALUES (59528, 0, 28, 4.15965764, 120, 335);
INSERT INTO public.ecdc_data VALUES (59529, 1, 5, 1.69891726, 121, 335);
INSERT INTO public.ecdc_data VALUES (59530, 0, 1, 0, 122, 335);
INSERT INTO public.ecdc_data VALUES (59531, 0, 48, 19.53157553, 177, 335);
INSERT INTO public.ecdc_data VALUES (59532, 0, 16, 5.04688866, 123, 335);
INSERT INTO public.ecdc_data VALUES (59533, 0, 3, 0.08101473, 28, 335);
INSERT INTO public.ecdc_data VALUES (59534, 0, 0, 0, 29, 335);
INSERT INTO public.ecdc_data VALUES (59535, 0, 4, 122.46599614, 178, 335);
INSERT INTO public.ecdc_data VALUES (59536, 1, 48, 19.61216584, 179, 335);
INSERT INTO public.ecdc_data VALUES (59537, 6, 141, 343.54465103, 180, 335);
INSERT INTO public.ecdc_data VALUES (59538, 0, 8, 0, 30, 335);
INSERT INTO public.ecdc_data VALUES (59539, 2, 142, 6.62915176, 124, 335);
INSERT INTO public.ecdc_data VALUES (59540, 0, 1, 1.13003501, 125, 335);
INSERT INTO public.ecdc_data VALUES (59541, 0, 10, 0, 32, 335);
INSERT INTO public.ecdc_data VALUES (59542, 0, 7, 28.97323319, 181, 335);
INSERT INTO public.ecdc_data VALUES (59543, 0, 0, 0.08838416, 33, 335);
INSERT INTO public.ecdc_data VALUES (59544, 2, 11, 12.12913592, 34, 335);
INSERT INTO public.ecdc_data VALUES (59545, 8, 337, 2.00116748, 87, 335);
INSERT INTO public.ecdc_data VALUES (59546, 1, 70, 9.57148913, 182, 335);
INSERT INTO public.ecdc_data VALUES (59547, 0, 3, 93.69805048, 183, 335);
INSERT INTO public.ecdc_data VALUES (59548, 0, 2, 0.2790554, 126, 335);
INSERT INTO public.ecdc_data VALUES (59549, 0, 14, 18.48333767, 184, 335);
INSERT INTO public.ecdc_data VALUES (59550, 0, 0, 0, 88, 335);
INSERT INTO public.ecdc_data VALUES (59551, 3, 37, 1.64510816, 35, 335);
INSERT INTO public.ecdc_data VALUES (59552, 0, 2, 0, 36, 335);
INSERT INTO public.ecdc_data VALUES (59553, 0, 1, 0, 127, 335);
INSERT INTO public.ecdc_data VALUES (59554, 0, 2, 0.44096589, 37, 335);
INSERT INTO public.ecdc_data VALUES (59555, 0, 0, 0.01398175, 128, 335);
INSERT INTO public.ecdc_data VALUES (59556, 134, 1019, 66.90713425, 185, 335);
INSERT INTO public.ecdc_data VALUES (59557, 0, 0, 0, 207, 335);
INSERT INTO public.ecdc_data VALUES (59558, 0, 76, 14.53044096, 208, 335);
INSERT INTO public.ecdc_data VALUES (59559, 0, 1, 0.06111066, 89, 335);
INSERT INTO public.ecdc_data VALUES (59560, 2, 54, 0, 38, 335);
INSERT INTO public.ecdc_data VALUES (59561, 0, 20, 0.07115716, 39, 335);
INSERT INTO public.ecdc_data VALUES (59562, 1, 25, 15.02071125, 186, 335);
INSERT INTO public.ecdc_data VALUES (59563, 1, 0, 0, 209, 335);
INSERT INTO public.ecdc_data VALUES (59564, 4, 218, 60.8459273, 187, 335);
INSERT INTO public.ecdc_data VALUES (59565, 0, 18, 3.43719146, 129, 335);
INSERT INTO public.ecdc_data VALUES (59566, 5, 252, 0.91842961, 130, 335);
INSERT INTO public.ecdc_data VALUES (59567, 0, 17, 1.80671302, 131, 335);
INSERT INTO public.ecdc_data VALUES (59568, 2, 136, 28.44735826, 90, 335);
INSERT INTO public.ecdc_data VALUES (59569, 0, 0, 0, 210, 335);
INSERT INTO public.ecdc_data VALUES (59570, 0, 0, 0.82332111, 91, 335);
INSERT INTO public.ecdc_data VALUES (59571, 17, 258, 3.62344897, 92, 335);
INSERT INTO public.ecdc_data VALUES (59572, 8, 227, 1.95067138, 132, 335);
INSERT INTO public.ecdc_data VALUES (59573, 10, 243, 5.9700609, 188, 335);
INSERT INTO public.ecdc_data VALUES (59574, 27, 808, 74.04187584, 189, 335);
INSERT INTO public.ecdc_data VALUES (59575, 3, 47, 0, 93, 335);
INSERT INTO public.ecdc_data VALUES (59576, 0, 54, 13.52367225, 133, 335);
INSERT INTO public.ecdc_data VALUES (59577, 16, 215, 11.3317611, 190, 335);
INSERT INTO public.ecdc_data VALUES (59578, 7, 440, 1.80294732, 191, 335);
INSERT INTO public.ecdc_data VALUES (59579, 0, 7, 0.56228992, 40, 335);
INSERT INTO public.ecdc_data VALUES (59580, 0, 0, 0, 94, 335);
INSERT INTO public.ecdc_data VALUES (59581, 0, 0, 6.01767007, 95, 335);
INSERT INTO public.ecdc_data VALUES (59582, 0, 1, 0, 96, 335);
INSERT INTO public.ecdc_data VALUES (59583, 0, 6, 368.61811744, 192, 335);
INSERT INTO public.ecdc_data VALUES (59584, 6, 157, 4.52018235, 134, 335);
INSERT INTO public.ecdc_data VALUES (59585, 1, 15, 0.94499619, 42, 335);
INSERT INTO public.ecdc_data VALUES (59586, 0, 160, 13.87180841, 193, 335);
INSERT INTO public.ecdc_data VALUES (59587, 0, 0, 4.09244841, 43, 335);
INSERT INTO public.ecdc_data VALUES (59588, 0, 0, 0, 44, 335);
INSERT INTO public.ecdc_data VALUES (59589, 1, 121, 11.8359649, 135, 335);
INSERT INTO public.ecdc_data VALUES (59590, 1, 10, 0, 97, 335);
INSERT INTO public.ecdc_data VALUES (59591, 0, 37, 5.37573153, 194, 335);
INSERT INTO public.ecdc_data VALUES (59592, 2, 27, 26.67104937, 195, 335);
INSERT INTO public.ecdc_data VALUES (59593, 0, 2, 0.02590186, 45, 335);
INSERT INTO public.ecdc_data VALUES (59594, 0, 27, 2.15853382, 46, 335);
INSERT INTO public.ecdc_data VALUES (59595, 6, 190, 2.75449714, 136, 335);
INSERT INTO public.ecdc_data VALUES (59596, 864, 7583, 207.78463756, 196, 335);
INSERT INTO public.ecdc_data VALUES (59597, 0, 21, 0.47365063, 137, 335);
INSERT INTO public.ecdc_data VALUES (59598, 0, 0, 0.01167863, 48, 335);
INSERT INTO public.ecdc_data VALUES (59599, 0, 0, 1.72009571, 98, 335);
INSERT INTO public.ecdc_data VALUES (59600, 53, 486, 34.89672963, 197, 335);
INSERT INTO public.ecdc_data VALUES (59601, 5, 962, 164.63169933, 198, 335);
INSERT INTO public.ecdc_data VALUES (59602, 0, 0, 0, 138, 335);
INSERT INTO public.ecdc_data VALUES (59603, 0, 17, 0.97165456, 139, 335);
INSERT INTO public.ecdc_data VALUES (59604, 2, 120, 2.28938844, 141, 335);
INSERT INTO public.ecdc_data VALUES (59605, 0, 0, 0, 142, 335);
INSERT INTO public.ecdc_data VALUES (59606, 1, 2, 0.43304189, 49, 335);
INSERT INTO public.ecdc_data VALUES (59607, 2, 2, 5.73489447, 99, 335);
INSERT INTO public.ecdc_data VALUES (59608, 1, 32, 3.12106633, 50, 335);
INSERT INTO public.ecdc_data VALUES (59609, 63, 2148, 18.88691074, 199, 335);
INSERT INTO public.ecdc_data VALUES (59610, 0, 0, 0, 100, 335);
INSERT INTO public.ecdc_data VALUES (59611, 0, 0, 0, 51, 335);
INSERT INTO public.ecdc_data VALUES (59612, 7, 245, 1.76161815, 200, 335);
INSERT INTO public.ecdc_data VALUES (59613, 2, 150, 7.17463932, 143, 335);
INSERT INTO public.ecdc_data VALUES (59614, 672, 4514, 51.07648175, 201, 335);
INSERT INTO public.ecdc_data VALUES (59615, 0, 1, 0.02930759, 52, 335);
INSERT INTO public.ecdc_data VALUES (59616, 1059, 27103, 62.99851163, 101, 335);
INSERT INTO public.ecdc_data VALUES (59617, 0, 0, 0, 102, 335);
INSERT INTO public.ecdc_data VALUES (59618, 1, 11, 7.56846791, 103, 335);
INSERT INTO public.ecdc_data VALUES (59619, 0, 14, 0.49724522, 144, 335);
INSERT INTO public.ecdc_data VALUES (59620, 0, 8, 0.38575067, 104, 335);
INSERT INTO public.ecdc_data VALUES (59621, 0, 21, 0.16275821, 145, 335);
INSERT INTO public.ecdc_data VALUES (59622, 0, 1, 0.19035852, 54, 335);
INSERT INTO public.ecdc_data VALUES (59623, 0, 0, 0, 55, 335);
INSERT INTO public.ecdc_data VALUES (59624, 0, 0, 0.00262869, 105, 336);
INSERT INTO public.ecdc_data VALUES (59625, 0, 0, 0.00696815, 1, 336);
INSERT INTO public.ecdc_data VALUES (59626, 0, 0, 0.03380974, 149, 336);
INSERT INTO public.ecdc_data VALUES (59627, 0, 3, 0.0555485, 202, 336);
INSERT INTO public.ecdc_data VALUES (59628, 0, 4, 0.15803539, 150, 336);
INSERT INTO public.ecdc_data VALUES (59629, 0, 2, 0.02985752, 151, 336);
INSERT INTO public.ecdc_data VALUES (59630, 0, 6, 2.86382104, 106, 336);
INSERT INTO public.ecdc_data VALUES (59631, 0, 0, 0.01057931, 152, 336);
INSERT INTO public.ecdc_data VALUES (59632, 0, 0, 0.1571295, 153, 336);
INSERT INTO public.ecdc_data VALUES (59633, 0, 0, 0.00094764, 66, 336);
INSERT INTO public.ecdc_data VALUES (59634, 0, 0, 0, 110, 336);
INSERT INTO public.ecdc_data VALUES (59635, 0, 4, 0.04276813, 68, 336);
INSERT INTO public.ecdc_data VALUES (59636, 0, 0, 0, 214, 336);
INSERT INTO public.ecdc_data VALUES (59637, 42, 205, 0.66369844, 111, 336);
INSERT INTO public.ecdc_data VALUES (59638, 0, 2, 0.17172663, 156, 336);
INSERT INTO public.ecdc_data VALUES (59639, 0, 3, 0.02816954, 158, 336);
INSERT INTO public.ecdc_data VALUES (59640, 0, 1, 0.06889329, 159, 336);
INSERT INTO public.ecdc_data VALUES (59641, 0, 1, 0.00931189, 76, 336);
INSERT INTO public.ecdc_data VALUES (59642, 0, 5, 0.03453504, 77, 336);
INSERT INTO public.ecdc_data VALUES (59643, 0, 1, 0.00099613, 16, 336);
INSERT INTO public.ecdc_data VALUES (59644, 0, 0, 0.07548195, 160, 336);
INSERT INTO public.ecdc_data VALUES (59645, 0, 3, 0.09061387, 162, 336);
INSERT INTO public.ecdc_data VALUES (59646, 0, 30, 0.17608554, 163, 336);
INSERT INTO public.ecdc_data VALUES (59647, 0, 0, 0.07506076, 164, 336);
INSERT INTO public.ecdc_data VALUES (59648, 0, 18, 0.13731761, 165, 336);
INSERT INTO public.ecdc_data VALUES (59649, 0, 0, 0.06527051, 167, 336);
INSERT INTO public.ecdc_data VALUES (59650, 0, 2, 0.84035732, 171, 336);
INSERT INTO public.ecdc_data VALUES (59651, 0, 0, 0, 112, 336);
INSERT INTO public.ecdc_data VALUES (59652, 0, 2, 0.00073903, 113, 336);
INSERT INTO public.ecdc_data VALUES (59653, 11, 385, 1.17953694, 114, 336);
INSERT INTO public.ecdc_data VALUES (59654, 0, 6, 0.04833402, 115, 336);
INSERT INTO public.ecdc_data VALUES (59655, 0, 0, 0.02039052, 172, 336);
INSERT INTO public.ecdc_data VALUES (59656, 0, 3, 0.11737953, 116, 336);
INSERT INTO public.ecdc_data VALUES (59657, 6, 561, 2.79326157, 174, 336);
INSERT INTO public.ecdc_data VALUES (59658, 1, 15, 0.15371239, 117, 336);
INSERT INTO public.ecdc_data VALUES (59659, 0, 1, 1.09339572, 120, 336);
INSERT INTO public.ecdc_data VALUES (59660, 0, 6, 0.14586383, 123, 336);
INSERT INTO public.ecdc_data VALUES (59661, 0, 0, 0.03578862, 179, 336);
INSERT INTO public.ecdc_data VALUES (59662, 0, 0, 0.16289457, 180, 336);
INSERT INTO public.ecdc_data VALUES (59663, 0, 4, 0.02190938, 124, 336);
INSERT INTO public.ecdc_data VALUES (59664, 0, 0, 0.00940619, 87, 336);
INSERT INTO public.ecdc_data VALUES (59665, 0, 0, 3.02251776, 183, 336);
INSERT INTO public.ecdc_data VALUES (59666, 0, 0, 0, 128, 336);
INSERT INTO public.ecdc_data VALUES (59667, 0, 6, 0.07522207, 185, 336);
INSERT INTO public.ecdc_data VALUES (59668, 0, 0, 0.02090711, 208, 336);
INSERT INTO public.ecdc_data VALUES (59669, 0, 0, 0.0004976, 39, 336);
INSERT INTO public.ecdc_data VALUES (59670, 0, 0, 0.04814331, 186, 336);
INSERT INTO public.ecdc_data VALUES (59671, 0, 4, 0.35659242, 187, 336);
INSERT INTO public.ecdc_data VALUES (59672, 0, 0, 0.12060321, 129, 336);
INSERT INTO public.ecdc_data VALUES (59673, 0, 0, 0.00184702, 130, 336);
INSERT INTO public.ecdc_data VALUES (59674, 0, 0, 0, 132, 336);
INSERT INTO public.ecdc_data VALUES (59675, 0, 2, 0.10592955, 133, 336);
INSERT INTO public.ecdc_data VALUES (59676, 0, 0, 0.0154524, 190, 336);
INSERT INTO public.ecdc_data VALUES (59677, 0, 0, 0, 191, 336);
INSERT INTO public.ecdc_data VALUES (59678, 1, 7, 23.22003889, 192, 336);
INSERT INTO public.ecdc_data VALUES (59679, 0, 4, 0.53408284, 135, 336);
INSERT INTO public.ecdc_data VALUES (59680, 5, 686, 8.16393127, 136, 336);
INSERT INTO public.ecdc_data VALUES (59681, 0, 54, 0.28548869, 196, 336);
INSERT INTO public.ecdc_data VALUES (59682, 0, 0, 0, 137, 336);
INSERT INTO public.ecdc_data VALUES (59683, 0, 0, 0.01954999, 197, 336);
INSERT INTO public.ecdc_data VALUES (59684, 0, 6, 0.28088155, 198, 336);
INSERT INTO public.ecdc_data VALUES (59685, 0, 0, 0.08412594, 139, 336);
INSERT INTO public.ecdc_data VALUES (59686, 0, 1, 0.01292628, 141, 336);
INSERT INTO public.ecdc_data VALUES (59687, 0, 0, 0.12281836, 143, 336);
INSERT INTO public.ecdc_data VALUES (59688, 0, 5, 0.05551628, 201, 336);
INSERT INTO public.ecdc_data VALUES (59689, 1, 20, 0.02248796, 101, 336);
INSERT INTO public.ecdc_data VALUES (59690, 0, 0, 0, 145, 336);
INSERT INTO public.ecdc_data VALUES (59691, 0, 0, 0, 105, 337);
INSERT INTO public.ecdc_data VALUES (59692, 0, 0, 0, 1, 337);
INSERT INTO public.ecdc_data VALUES (59693, 0, 0, 0, 149, 337);
INSERT INTO public.ecdc_data VALUES (59694, 0, 2, 0.04364525, 202, 337);
INSERT INTO public.ecdc_data VALUES (59695, 0, 0, 0, 150, 337);
INSERT INTO public.ecdc_data VALUES (59696, 0, 0, 0, 151, 337);
INSERT INTO public.ecdc_data VALUES (59697, 0, 0, 0, 106, 337);
INSERT INTO public.ecdc_data VALUES (59698, 0, 0, 0, 152, 337);
INSERT INTO public.ecdc_data VALUES (59699, 0, 0, 0, 153, 337);
INSERT INTO public.ecdc_data VALUES (59700, 0, 0, 0, 66, 337);
INSERT INTO public.ecdc_data VALUES (59701, 0, 0, 0.00606555, 110, 337);
INSERT INTO public.ecdc_data VALUES (59702, 0, 0, 0.01069203, 68, 337);
INSERT INTO public.ecdc_data VALUES (59703, 0, 0, 0, 214, 337);
INSERT INTO public.ecdc_data VALUES (59704, 45, 2590, 0.98920082, 111, 337);
INSERT INTO public.ecdc_data VALUES (59705, 0, 0, 0, 156, 337);
INSERT INTO public.ecdc_data VALUES (59706, 0, 0, 0, 158, 337);
INSERT INTO public.ecdc_data VALUES (59707, 0, 0, 0, 159, 337);
INSERT INTO public.ecdc_data VALUES (59708, 0, 0, 0, 76, 337);
INSERT INTO public.ecdc_data VALUES (59709, 0, 0, 0, 77, 337);
INSERT INTO public.ecdc_data VALUES (59710, 0, 0, 0, 16, 337);
INSERT INTO public.ecdc_data VALUES (59711, 0, 0, 0, 160, 337);
INSERT INTO public.ecdc_data VALUES (59712, 0, 0, 0.01812277, 162, 337);
INSERT INTO public.ecdc_data VALUES (59713, 0, 0, 0.0089535, 163, 337);
INSERT INTO public.ecdc_data VALUES (59714, 0, 0, 0, 164, 337);
INSERT INTO public.ecdc_data VALUES (59715, 0, 1, 0.00963632, 165, 337);
INSERT INTO public.ecdc_data VALUES (59716, 0, 0, 0, 167, 337);
INSERT INTO public.ecdc_data VALUES (59717, 0, 0, 0, 171, 337);
INSERT INTO public.ecdc_data VALUES (59718, 0, 1, 0.00014637, 112, 337);
INSERT INTO public.ecdc_data VALUES (59719, 0, 0, 0, 113, 337);
INSERT INTO public.ecdc_data VALUES (59720, 0, 0, 0, 114, 337);
INSERT INTO public.ecdc_data VALUES (59721, 0, 0, 0, 115, 337);
INSERT INTO public.ecdc_data VALUES (59722, 0, 0, 0, 172, 337);
INSERT INTO public.ecdc_data VALUES (59723, 0, 0, 0, 116, 337);
INSERT INTO public.ecdc_data VALUES (59724, 0, 0, 0.00497022, 174, 337);
INSERT INTO public.ecdc_data VALUES (59725, 0, 4, 0.01418884, 117, 337);
INSERT INTO public.ecdc_data VALUES (59726, 0, 0, 0, 120, 337);
INSERT INTO public.ecdc_data VALUES (59727, 0, 0, 0, 123, 337);
INSERT INTO public.ecdc_data VALUES (59728, 0, 0, 0, 179, 337);
INSERT INTO public.ecdc_data VALUES (59729, 0, 0, 0, 180, 337);
INSERT INTO public.ecdc_data VALUES (59730, 0, 0, 0.02503929, 124, 337);
INSERT INTO public.ecdc_data VALUES (59731, 0, 0, 0.00078385, 87, 337);
INSERT INTO public.ecdc_data VALUES (59732, 0, 0, 0, 183, 337);
INSERT INTO public.ecdc_data VALUES (59733, 0, 0, 0.00349544, 128, 337);
INSERT INTO public.ecdc_data VALUES (59734, 0, 0, 0, 185, 337);
INSERT INTO public.ecdc_data VALUES (59735, 0, 0, 0, 208, 337);
INSERT INTO public.ecdc_data VALUES (59736, 0, 0, 0, 39, 337);
INSERT INTO public.ecdc_data VALUES (59737, 0, 0, 0, 186, 337);
INSERT INTO public.ecdc_data VALUES (59738, 0, 0, 0, 187, 337);
INSERT INTO public.ecdc_data VALUES (59739, 0, 0, 0, 129, 337);
INSERT INTO public.ecdc_data VALUES (59740, 0, 0, 0, 130, 337);
INSERT INTO public.ecdc_data VALUES (59741, 1, 1, 0.00184985, 132, 337);
INSERT INTO public.ecdc_data VALUES (59742, 0, 0, 0, 133, 337);
INSERT INTO public.ecdc_data VALUES (59743, 0, 0, 0, 190, 337);
INSERT INTO public.ecdc_data VALUES (59744, 0, 0, 0.00137106, 191, 337);
INSERT INTO public.ecdc_data VALUES (59745, 0, 0, 0, 192, 337);
INSERT INTO public.ecdc_data VALUES (59746, 0, 2, 0.31011262, 135, 337);
INSERT INTO public.ecdc_data VALUES (59747, 0, 3, 0.02928239, 136, 337);
INSERT INTO public.ecdc_data VALUES (59748, 0, 0, 0.00213051, 196, 337);
INSERT INTO public.ecdc_data VALUES (59749, 0, 0, 0.00468961, 137, 337);
INSERT INTO public.ecdc_data VALUES (59750, 0, 0, 0, 197, 337);
INSERT INTO public.ecdc_data VALUES (59751, 0, 0, 0, 198, 337);
INSERT INTO public.ecdc_data VALUES (59752, 0, 0, 0.04206297, 139, 337);
INSERT INTO public.ecdc_data VALUES (59753, 0, 0, 0.02441631, 141, 337);
INSERT INTO public.ecdc_data VALUES (59754, 0, 1, 0.05117432, 143, 337);
INSERT INTO public.ecdc_data VALUES (59755, 0, 0, 0.00300088, 201, 337);
INSERT INTO public.ecdc_data VALUES (59756, 0, 1, 0.00243113, 101, 337);
INSERT INTO public.ecdc_data VALUES (59757, 0, 2, 0.00725674, 145, 337);
INSERT INTO public.ecdc_data VALUES (59758, 0, 0, 0, 105, 338);
INSERT INTO public.ecdc_data VALUES (59759, 0, 0, 0, 1, 338);
INSERT INTO public.ecdc_data VALUES (59760, 0, 0, 0, 149, 338);
INSERT INTO public.ecdc_data VALUES (59761, 0, 0, 0, 202, 338);
INSERT INTO public.ecdc_data VALUES (59762, 0, 0, 0, 150, 338);
INSERT INTO public.ecdc_data VALUES (59763, 0, 0, 0, 151, 338);
INSERT INTO public.ecdc_data VALUES (59764, 0, 0, 0, 106, 338);
INSERT INTO public.ecdc_data VALUES (59765, 0, 0, 0, 152, 338);
INSERT INTO public.ecdc_data VALUES (59766, 0, 0, 0, 153, 338);
INSERT INTO public.ecdc_data VALUES (59767, 0, 0, 0, 66, 338);
INSERT INTO public.ecdc_data VALUES (59768, 0, 0, 0, 110, 338);
INSERT INTO public.ecdc_data VALUES (59769, 0, 0, 0, 68, 338);
INSERT INTO public.ecdc_data VALUES (59770, 0, 0, 0, 214, 338);
INSERT INTO public.ecdc_data VALUES (59771, 0, 0, 0, 111, 338);
INSERT INTO public.ecdc_data VALUES (59772, 0, 0, 0, 156, 338);
INSERT INTO public.ecdc_data VALUES (59773, 0, 0, 0, 158, 338);
INSERT INTO public.ecdc_data VALUES (59774, 0, 0, 0, 159, 338);
INSERT INTO public.ecdc_data VALUES (59775, 0, 0, 0, 76, 338);
INSERT INTO public.ecdc_data VALUES (59776, 0, 0, 0, 77, 338);
INSERT INTO public.ecdc_data VALUES (59777, 0, 0, 0, 16, 338);
INSERT INTO public.ecdc_data VALUES (59778, 0, 0, 0, 160, 338);
INSERT INTO public.ecdc_data VALUES (59779, 0, 0, 0, 162, 338);
INSERT INTO public.ecdc_data VALUES (59780, 0, 0, 0, 163, 338);
INSERT INTO public.ecdc_data VALUES (59781, 0, 0, 0, 164, 338);
INSERT INTO public.ecdc_data VALUES (59782, 0, 0, 0, 165, 338);
INSERT INTO public.ecdc_data VALUES (59783, 0, 0, 0, 167, 338);
INSERT INTO public.ecdc_data VALUES (59784, 0, 0, 0, 171, 338);
INSERT INTO public.ecdc_data VALUES (59785, 0, 0, 0, 112, 338);
INSERT INTO public.ecdc_data VALUES (59786, 0, 0, 0, 113, 338);
INSERT INTO public.ecdc_data VALUES (59787, 0, 0, 0, 114, 338);
INSERT INTO public.ecdc_data VALUES (59788, 0, 0, 0, 115, 338);
INSERT INTO public.ecdc_data VALUES (59789, 0, 0, 0, 172, 338);
INSERT INTO public.ecdc_data VALUES (59790, 0, 0, 0, 116, 338);
INSERT INTO public.ecdc_data VALUES (59791, 0, 0, 0, 174, 338);
INSERT INTO public.ecdc_data VALUES (59792, 0, 0, 0, 117, 338);
INSERT INTO public.ecdc_data VALUES (59793, 0, 0, 0, 120, 338);
INSERT INTO public.ecdc_data VALUES (59794, 0, 0, 0, 123, 338);
INSERT INTO public.ecdc_data VALUES (59795, 0, 0, 0, 179, 338);
INSERT INTO public.ecdc_data VALUES (59796, 0, 0, 0, 180, 338);
INSERT INTO public.ecdc_data VALUES (59797, 0, 0, 0, 124, 338);
INSERT INTO public.ecdc_data VALUES (59798, 0, 0, 0, 87, 338);
INSERT INTO public.ecdc_data VALUES (59799, 0, 0, 0, 183, 338);
INSERT INTO public.ecdc_data VALUES (59800, 0, 0, 0, 128, 338);
INSERT INTO public.ecdc_data VALUES (59801, 0, 0, 0, 185, 338);
INSERT INTO public.ecdc_data VALUES (59802, 0, 0, 0, 208, 338);
INSERT INTO public.ecdc_data VALUES (59803, 0, 0, 0, 39, 338);
INSERT INTO public.ecdc_data VALUES (59804, 0, 0, 0, 186, 338);
INSERT INTO public.ecdc_data VALUES (59805, 0, 0, 0, 187, 338);
INSERT INTO public.ecdc_data VALUES (59806, 0, 0, 0, 129, 338);
INSERT INTO public.ecdc_data VALUES (59807, 0, 0, 0, 130, 338);
INSERT INTO public.ecdc_data VALUES (59808, 0, 0, 0, 132, 338);
INSERT INTO public.ecdc_data VALUES (59809, 0, 0, 0, 133, 338);
INSERT INTO public.ecdc_data VALUES (59810, 0, 0, 0, 190, 338);
INSERT INTO public.ecdc_data VALUES (59811, 0, 0, 0, 191, 338);
INSERT INTO public.ecdc_data VALUES (59812, 0, 0, 0, 192, 338);
INSERT INTO public.ecdc_data VALUES (59813, 0, 0, 0, 135, 338);
INSERT INTO public.ecdc_data VALUES (59814, 0, 0, 0, 136, 338);
INSERT INTO public.ecdc_data VALUES (59815, 0, 0, 0, 196, 338);
INSERT INTO public.ecdc_data VALUES (59816, 0, 0, 0, 137, 338);
INSERT INTO public.ecdc_data VALUES (59817, 0, 0, 0, 197, 338);
INSERT INTO public.ecdc_data VALUES (59818, 0, 0, 0, 198, 338);
INSERT INTO public.ecdc_data VALUES (59819, 0, 0, 0, 139, 338);
INSERT INTO public.ecdc_data VALUES (59820, 0, 0, 0, 141, 338);
INSERT INTO public.ecdc_data VALUES (59821, 0, 0, 0, 143, 338);
INSERT INTO public.ecdc_data VALUES (59822, 0, 0, 0, 201, 338);
INSERT INTO public.ecdc_data VALUES (59823, 0, 0, 0, 101, 338);
INSERT INTO public.ecdc_data VALUES (59824, 0, 0, 0, 145, 338);
INSERT INTO public.ecdc_data VALUES (59825, 11, 272, 6.96077208, 105, 339);
INSERT INTO public.ecdc_data VALUES (59826, 12, 557, 340.62004027, 147, 339);
INSERT INTO public.ecdc_data VALUES (59827, 21, 968, 33.91164771, 1, 339);
INSERT INTO public.ecdc_data VALUES (59828, 0, 33, 1090.88044948, 148, 339);
INSERT INTO public.ecdc_data VALUES (59829, 2, 36, 5.30395645, 2, 339);
INSERT INTO public.ecdc_data VALUES (59830, 0, 2, 20.17213556, 56, 339);
INSERT INTO public.ecdc_data VALUES (59831, 0, 0, 7.20794934, 57, 339);
INSERT INTO public.ecdc_data VALUES (59832, 257, 5724, 237.03751674, 58, 339);
INSERT INTO public.ecdc_data VALUES (59833, 29, 843, 578.04503998, 149, 339);
INSERT INTO public.ecdc_data VALUES (59834, 0, 7, 166.49421503, 59, 339);
INSERT INTO public.ecdc_data VALUES (59835, 1, 11, 0.61103352, 202, 339);
INSERT INTO public.ecdc_data VALUES (59836, 79, 2348, 821.01644979, 150, 339);
INSERT INTO public.ecdc_data VALUES (59837, 31, 2981, 438.83591888, 151, 339);
INSERT INTO public.ecdc_data VALUES (59838, 0, 45, 73.17336182, 60, 339);
INSERT INTO public.ecdc_data VALUES (59839, 0, 169, 126.37372012, 106, 339);
INSERT INTO public.ecdc_data VALUES (59840, 35, 2525, 18.68182457, 107, 339);
INSERT INTO public.ecdc_data VALUES (59841, 0, 1, 9.05857063, 61, 339);
INSERT INTO public.ecdc_data VALUES (59842, 7, 1639, 224.27087106, 152, 339);
INSERT INTO public.ecdc_data VALUES (59843, 99, 3293, 335.82939367, 153, 339);
INSERT INTO public.ecdc_data VALUES (59844, 1, 111, 248.75048354, 62, 339);
INSERT INTO public.ecdc_data VALUES (59845, 0, 41, 1.4490112, 3, 339);
INSERT INTO public.ecdc_data VALUES (59846, 0, 9, 59.19242337, 63, 339);
INSERT INTO public.ecdc_data VALUES (59847, 0, 14, 4.3245, 108, 339);
INSERT INTO public.ecdc_data VALUES (59848, 5, 86, 12.69857594, 64, 339);
INSERT INTO public.ecdc_data VALUES (59849, 0, 1, 19.24335142, 65, 339);
INSERT INTO public.ecdc_data VALUES (59850, 61, 527, 460.83033071, 154, 339);
INSERT INTO public.ecdc_data VALUES (59851, 0, 0, 38.59004394, 4, 339);
INSERT INTO public.ecdc_data VALUES (59852, 287, 21138, 217.68066669, 66, 339);
INSERT INTO public.ecdc_data VALUES (59853, 0, 0, 3.3296707, 67, 339);
INSERT INTO public.ecdc_data VALUES (59854, 0, 0, 0.46157823, 109, 339);
INSERT INTO public.ecdc_data VALUES (59855, 221, 2814, 621.85367824, 155, 339);
INSERT INTO public.ecdc_data VALUES (59856, 0, 30, 1.15149643, 5, 339);
INSERT INTO public.ecdc_data VALUES (59857, 0, 7, 0.50301039, 6, 339);
INSERT INTO public.ecdc_data VALUES (59858, 0, 3, 0.13950773, 110, 339);
INSERT INTO public.ecdc_data VALUES (59859, 0, 328, 6.77451609, 7, 339);
INSERT INTO public.ecdc_data VALUES (59860, 98, 7861, 203.00693074, 68, 339);
INSERT INTO public.ecdc_data VALUES (59861, 0, 0, 124.74178814, 8, 339);
INSERT INTO public.ecdc_data VALUES (59862, 0, 8, 38.49233233, 69, 339);
INSERT INTO public.ecdc_data VALUES (59863, 0, 0, 0.27396227, 9, 339);
INSERT INTO public.ecdc_data VALUES (59864, 0, 6, 0.53301956, 10, 339);
INSERT INTO public.ecdc_data VALUES (59865, 54, 1313, 100.98651675, 70, 339);
INSERT INTO public.ecdc_data VALUES (59866, 0, 12, 0.01220547, 111, 339);
INSERT INTO public.ecdc_data VALUES (59867, 182, 8430, 221.67309241, 71, 339);
INSERT INTO public.ecdc_data VALUES (59868, 0, 0, 3.76076372, 11, 339);
INSERT INTO public.ecdc_data VALUES (59869, 0, 0, 4.81367545, 12, 339);
INSERT INTO public.ecdc_data VALUES (59870, 36, 2545, 298.08456005, 72, 339);
INSERT INTO public.ecdc_data VALUES (59871, 1, 21, 1.33377124, 13, 339);
INSERT INTO public.ecdc_data VALUES (59872, 74, 1830, 1053.00317989, 156, 339);
INSERT INTO public.ecdc_data VALUES (59873, 1, 51, 5.69110081, 73, 339);
INSERT INTO public.ecdc_data VALUES (59874, 0, 15, 614.96851728, 74, 339);
INSERT INTO public.ecdc_data VALUES (59875, 1, 182, 374.47239921, 157, 339);
INSERT INTO public.ecdc_data VALUES (59876, 157, 3575, 542.49845068, 158, 339);
INSERT INTO public.ecdc_data VALUES (59877, 3, 158, 1.17639511, 14, 339);
INSERT INTO public.ecdc_data VALUES (59878, 8, 1129, 295.37996456, 159, 339);
INSERT INTO public.ecdc_data VALUES (59879, 0, 2, 2.46518694, 15, 339);
INSERT INTO public.ecdc_data VALUES (59880, 0, 0, 23.67424242, 75, 339);
INSERT INTO public.ecdc_data VALUES (59881, 1, 515, 91.11685613, 76, 339);
INSERT INTO public.ecdc_data VALUES (59882, 38, 568, 69.12188954, 77, 339);
INSERT INTO public.ecdc_data VALUES (59883, 14, 370, 4.88305005, 16, 339);
INSERT INTO public.ecdc_data VALUES (59884, 0, 536, 35.20542957, 78, 339);
INSERT INTO public.ecdc_data VALUES (59885, 0, 0, 2.35991333, 17, 339);
INSERT INTO public.ecdc_data VALUES (59886, 0, 0, 2.40197854, 18, 339);
INSERT INTO public.ecdc_data VALUES (59887, 6, 256, 336.6495071, 160, 339);
INSERT INTO public.ecdc_data VALUES (59888, 1, 9, 27.34874792, 19, 339);
INSERT INTO public.ecdc_data VALUES (59889, 6, 540, 6.26166998, 20, 339);
INSERT INTO public.ecdc_data VALUES (59890, 0, 0, 59.31198102, 79, 339);
INSERT INTO public.ecdc_data VALUES (59891, 0, 1, 10.27179161, 161, 339);
INSERT INTO public.ecdc_data VALUES (59892, 0, 0, 0.78655662, 203, 339);
INSERT INTO public.ecdc_data VALUES (59893, 6, 283, 99.54839859, 162, 339);
INSERT INTO public.ecdc_data VALUES (59894, 406, 4005, 345.09036121, 163, 339);
INSERT INTO public.ecdc_data VALUES (59895, 0, 0, 855.75666434, 204, 339);
INSERT INTO public.ecdc_data VALUES (59896, 1, 23, 5.98367469, 21, 339);
INSERT INTO public.ecdc_data VALUES (59897, 0, 8, 1.57601325, 22, 339);
INSERT INTO public.ecdc_data VALUES (59898, 36, 3759, 1344.86366714, 164, 339);
INSERT INTO public.ecdc_data VALUES (59899, 388, 13604, 303.21535329, 165, 339);
INSERT INTO public.ecdc_data VALUES (59900, 0, 98, 4.24421733, 23, 339);
INSERT INTO public.ecdc_data VALUES (59901, 0, 6, 335.25188394, 166, 339);
INSERT INTO public.ecdc_data VALUES (59902, 85, 1044, 269.17556545, 167, 339);
INSERT INTO public.ecdc_data VALUES (59903, 0, 0, 0, 80, 339);
INSERT INTO public.ecdc_data VALUES (59904, 0, 0, 8.03557079, 81, 339);
INSERT INTO public.ecdc_data VALUES (59905, 0, 34, 436.95268836, 205, 339);
INSERT INTO public.ecdc_data VALUES (59906, 5, 91, 39.98526631, 82, 339);
INSERT INTO public.ecdc_data VALUES (59907, 0, 1, 7.75578582, 168, 339);
INSERT INTO public.ecdc_data VALUES (59908, 0, 80, 3.87589433, 24, 339);
INSERT INTO public.ecdc_data VALUES (59909, 1, 19, 1.14528634, 25, 339);
INSERT INTO public.ecdc_data VALUES (59910, 1, 30, 74.47861774, 83, 339);
INSERT INTO public.ecdc_data VALUES (59911, 0, 0, 0.66589251, 84, 339);
INSERT INTO public.ecdc_data VALUES (59912, 0, 0, 0, 169, 339);
INSERT INTO public.ecdc_data VALUES (59913, 9, 365, 51.44614033, 85, 339);
INSERT INTO public.ecdc_data VALUES (59914, 154, 3951, 700.04817474, 170, 339);
INSERT INTO public.ecdc_data VALUES (59915, 0, 11, 52.38227294, 171, 339);
INSERT INTO public.ecdc_data VALUES (59916, 482, 31118, 43.07021022, 112, 339);
INSERT INTO public.ecdc_data VALUES (59917, 130, 4617, 25.21380399, 113, 339);
INSERT INTO public.ecdc_data VALUES (59918, 371, 13321, 225.47367303, 114, 339);
INSERT INTO public.ecdc_data VALUES (59919, 34, 2114, 78.87857144, 115, 339);
INSERT INTO public.ecdc_data VALUES (59920, 1, 303, 85.39549451, 172, 339);
INSERT INTO public.ecdc_data VALUES (59921, 0, 0, 7.09312085, 173, 339);
INSERT INTO public.ecdc_data VALUES (59922, 1, 1393, 144.82286431, 116, 339);
INSERT INTO public.ecdc_data VALUES (59923, 672, 16376, 655.52679936, 174, 339);
INSERT INTO public.ecdc_data VALUES (59924, 1, 54, 28.28770838, 86, 339);
INSERT INTO public.ecdc_data VALUES (59925, 20, 1934, 23.14987449, 117, 339);
INSERT INTO public.ecdc_data VALUES (59926, 0, 84, 230.06419533, 175, 339);
INSERT INTO public.ecdc_data VALUES (59927, 57, 5123, 691.8738505, 118, 339);
INSERT INTO public.ecdc_data VALUES (59928, 0, 757, 68.40443765, 119, 339);
INSERT INTO public.ecdc_data VALUES (59929, 17, 302, 24.37327965, 26, 339);
INSERT INTO public.ecdc_data VALUES (59930, 11, 539, 544.39629337, 176, 339);
INSERT INTO public.ecdc_data VALUES (59931, 2, 209, 126.12081975, 120, 339);
INSERT INTO public.ecdc_data VALUES (59932, 4, 371, 88.98273978, 121, 339);
INSERT INTO public.ecdc_data VALUES (59933, 0, 0, 0.20922089, 122, 339);
INSERT INTO public.ecdc_data VALUES (59934, 9, 100, 335.37017284, 177, 339);
INSERT INTO public.ecdc_data VALUES (59935, 14, 1000, 313.57807048, 123, 339);
INSERT INTO public.ecdc_data VALUES (59936, 0, 0, 3.19959798, 27, 339);
INSERT INTO public.ecdc_data VALUES (59937, 0, 3, 1.7418166, 28, 339);
INSERT INTO public.ecdc_data VALUES (59938, 17, 379, 125.19452367, 29, 339);
INSERT INTO public.ecdc_data VALUES (59939, 0, 29, 815.57142113, 178, 339);
INSERT INTO public.ecdc_data VALUES (59940, 13, 1190, 952.12054754, 179, 339);
INSERT INTO public.ecdc_data VALUES (59941, 6, 565, 1212.91297846, 180, 339);
INSERT INTO public.ecdc_data VALUES (59942, 0, 0, 0.40045524, 30, 339);
INSERT INTO public.ecdc_data VALUES (59943, 0, 3, 0.30597868, 31, 339);
INSERT INTO public.ecdc_data VALUES (59944, 3, 1212, 53.76248338, 124, 339);
INSERT INTO public.ecdc_data VALUES (59945, 0, 17, 131.27240059, 125, 339);
INSERT INTO public.ecdc_data VALUES (59946, 7, 51, 4.28323845, 32, 339);
INSERT INTO public.ecdc_data VALUES (59947, 4, 121, 331.67260652, 181, 339);
INSERT INTO public.ecdc_data VALUES (59948, 0, 0, 5.10282186, 206, 339);
INSERT INTO public.ecdc_data VALUES (59949, 2, 52, 15.820764, 33, 339);
INSERT INTO public.ecdc_data VALUES (59950, 0, 3, 2.04777619, 34, 339);
INSERT INTO public.ecdc_data VALUES (59951, 285, 6472, 81.63556194, 87, 339);
INSERT INTO public.ecdc_data VALUES (59952, 14, 347, 433.33865907, 182, 339);
INSERT INTO public.ecdc_data VALUES (59953, 0, 1, 172.28351217, 183, 339);
INSERT INTO public.ecdc_data VALUES (59954, 0, 10, 11.37925924, 126, 339);
INSERT INTO public.ecdc_data VALUES (59955, 12, 384, 1204.14926822, 184, 339);
INSERT INTO public.ecdc_data VALUES (59956, 0, 0, 0, 88, 339);
INSERT INTO public.ecdc_data VALUES (59957, 57, 2533, 164.91386789, 35, 339);
INSERT INTO public.ecdc_data VALUES (59958, 1, 88, 3.90897161, 36, 339);
INSERT INTO public.ecdc_data VALUES (59959, 23, 1227, 38.02727269, 127, 339);
INSERT INTO public.ecdc_data VALUES (59960, 0, 35, 33.07244188, 37, 339);
INSERT INTO public.ecdc_data VALUES (59961, 29, 1474, 78.57395902, 128, 339);
INSERT INTO public.ecdc_data VALUES (59962, 27, 4562, 408.96501208, 185, 339);
INSERT INTO public.ecdc_data VALUES (59963, 0, 1, 1.06098169, 207, 339);
INSERT INTO public.ecdc_data VALUES (59964, 0, 3, 1.1289839, 208, 339);
INSERT INTO public.ecdc_data VALUES (59965, 0, 0, 1.87915276, 89, 339);
INSERT INTO public.ecdc_data VALUES (59966, 2, 32, 0.9952503, 38, 339);
INSERT INTO public.ecdc_data VALUES (59967, 0, 145, 1.12060093, 39, 339);
INSERT INTO public.ecdc_data VALUES (59968, 32, 335, 685.65695392, 186, 339);
INSERT INTO public.ecdc_data VALUES (59969, 0, 0, 5.24356353, 209, 339);
INSERT INTO public.ecdc_data VALUES (59970, 4, 1079, 128.80493494, 187, 339);
INSERT INTO public.ecdc_data VALUES (59971, 5, 215, 59.91969434, 129, 339);
INSERT INTO public.ecdc_data VALUES (59972, 66, 2458, 18.19312554, 130, 339);
INSERT INTO public.ecdc_data VALUES (59973, 18, 2752, 469.30374499, 131, 339);
INSERT INTO public.ecdc_data VALUES (59974, 19, 1077, 427.15780748, 90, 339);
INSERT INTO public.ecdc_data VALUES (59975, 0, 0, 0.60391159, 210, 339);
INSERT INTO public.ecdc_data VALUES (59976, 13, 518, 146.56535275, 91, 339);
INSERT INTO public.ecdc_data VALUES (59977, 43, 1075, 77.93491215, 92, 339);
INSERT INTO public.ecdc_data VALUES (59978, 19, 1766, 20.40019341, 132, 339);
INSERT INTO public.ecdc_data VALUES (59979, 121, 5736, 676.86059173, 188, 339);
INSERT INTO public.ecdc_data VALUES (59980, 78, 3262, 704.40496128, 189, 339);
INSERT INTO public.ecdc_data VALUES (59981, 12, 1290, 442.76206073, 93, 339);
INSERT INTO public.ecdc_data VALUES (59982, 0, 185, 99.04412707, 133, 339);
INSERT INTO public.ecdc_data VALUES (59983, 138, 3826, 567.36067522, 190, 339);
INSERT INTO public.ecdc_data VALUES (59984, 368, 26338, 237.91432312, 191, 339);
INSERT INTO public.ecdc_data VALUES (59985, 1, 15, 3.50837234, 40, 339);
INSERT INTO public.ecdc_data VALUES (59986, 0, 0, 5.67816179, 94, 339);
INSERT INTO public.ecdc_data VALUES (59987, 0, 2, 47.04723871, 95, 339);
INSERT INTO public.ecdc_data VALUES (59988, 0, 0, 6.32951453, 96, 339);
INSERT INTO public.ecdc_data VALUES (59989, 1, 26, 934.60656547, 192, 339);
INSERT INTO public.ecdc_data VALUES (59990, 0, 2, 12.09032402, 41, 339);
INSERT INTO public.ecdc_data VALUES (59991, 12, 232, 11.10056402, 134, 339);
INSERT INTO public.ecdc_data VALUES (59992, 0, 14, 1.7672656, 42, 339);
INSERT INTO public.ecdc_data VALUES (59993, 55, 6224, 1264.50293261, 193, 339);
INSERT INTO public.ecdc_data VALUES (59994, 0, 10, 25.57780256, 43, 339);
INSERT INTO public.ecdc_data VALUES (59995, 0, 1, 0.26877568, 44, 339);
INSERT INTO public.ecdc_data VALUES (59996, 0, 5, 1.619477, 135, 339);
INSERT INTO public.ecdc_data VALUES (59997, 0, 3, 306.68333766, 97, 339);
INSERT INTO public.ecdc_data VALUES (59998, 23, 196, 342.23044422, 194, 339);
INSERT INTO public.ecdc_data VALUES (59999, 21, 433, 974.09400127, 195, 339);
INSERT INTO public.ecdc_data VALUES (60000, 0, 0, 0.14929362, 211, 339);
INSERT INTO public.ecdc_data VALUES (60001, 0, 0, 0.40795431, 45, 339);
INSERT INTO public.ecdc_data VALUES (60002, 58, 2302, 64.44009007, 46, 339);
INSERT INTO public.ecdc_data VALUES (60003, 0, 451, 11.03751014, 136, 339);
INSERT INTO public.ecdc_data VALUES (60004, 0, 0, 0.87686675, 47, 339);
INSERT INTO public.ecdc_data VALUES (60005, 442, 8257, 311.95179246, 196, 339);
INSERT INTO public.ecdc_data VALUES (60006, 2, 503, 29.60550905, 137, 339);
INSERT INTO public.ecdc_data VALUES (60007, 8, 183, 7.43695227, 48, 339);
INSERT INTO public.ecdc_data VALUES (60008, 0, 0, 6.36435411, 98, 339);
INSERT INTO public.ecdc_data VALUES (60009, 55, 3488, 659.89031479, 197, 339);
INSERT INTO public.ecdc_data VALUES (60010, 194, 8753, 664.81152204, 198, 339);
INSERT INTO public.ecdc_data VALUES (60011, 4, 90, 6.60803326, 138, 339);
INSERT INTO public.ecdc_data VALUES (60012, 0, 4, 0.31126596, 139, 339);
INSERT INTO public.ecdc_data VALUES (60013, 0, 39, 5.8469977, 140, 339);
INSERT INTO public.ecdc_data VALUES (60014, 0, 21, 0.17235045, 141, 339);
INSERT INTO public.ecdc_data VALUES (60015, 0, 0, 0, 142, 339);
INSERT INTO public.ecdc_data VALUES (60016, 0, 12, 3.47670773, 49, 339);
INSERT INTO public.ecdc_data VALUES (60017, 0, 9, 41.07618162, 99, 339);
INSERT INTO public.ecdc_data VALUES (60018, 41, 518, 134.8129639, 50, 339);
INSERT INTO public.ecdc_data VALUES (60019, 188, 31219, 243.5445678, 199, 339);
INSERT INTO public.ecdc_data VALUES (60020, 0, 0, 73.30994397, 100, 339);
INSERT INTO public.ecdc_data VALUES (60021, 4, 314, 9.49184369, 51, 339);
INSERT INTO public.ecdc_data VALUES (60022, 114, 9946, 424.91593615, 200, 339);
INSERT INTO public.ecdc_data VALUES (60023, 2, 1107, 177.12454785, 143, 339);
INSERT INTO public.ecdc_data VALUES (60024, 203, 12330, 358.56917551, 201, 339);
INSERT INTO public.ecdc_data VALUES (60025, 0, 0, 0, 52, 339);
INSERT INTO public.ecdc_data VALUES (60026, 1172, 157903, 709.81070279, 101, 339);
INSERT INTO public.ecdc_data VALUES (60027, 0, 6, 110.92093059, 102, 339);
INSERT INTO public.ecdc_data VALUES (60028, 1, 141, 50.63940555, 103, 339);
INSERT INTO public.ecdc_data VALUES (60029, 2, 224, 8.03475502, 144, 339);
INSERT INTO public.ecdc_data VALUES (60030, 0, 0, 0, 212, 339);
INSERT INTO public.ecdc_data VALUES (60031, 3, 354, 16.32426678, 104, 339);
INSERT INTO public.ecdc_data VALUES (60032, 0, 3, 0.06531062, 145, 339);
INSERT INTO public.ecdc_data VALUES (60033, 0, 0, 0, 213, 339);
INSERT INTO public.ecdc_data VALUES (60034, 0, 0, 0, 53, 339);
INSERT INTO public.ecdc_data VALUES (60035, 0, 0, 0.03086216, 146, 339);
INSERT INTO public.ecdc_data VALUES (60036, 0, 39, 2.5754388, 54, 339);
INSERT INTO public.ecdc_data VALUES (60037, 1, 84, 7.76349115, 55, 339);
INSERT INTO public.ecdc_data VALUES (60038, 0, 76, 3.57501889, 105, 340);
INSERT INTO public.ecdc_data VALUES (60039, 7, 241, 143.27002924, 147, 340);
INSERT INTO public.ecdc_data VALUES (60040, 8, 291, 8.68463362, 1, 340);
INSERT INTO public.ecdc_data VALUES (60041, 0, 91, 1810.25768933, 148, 340);
INSERT INTO public.ecdc_data VALUES (60042, 4, 289, 10.48222673, 2, 340);
INSERT INTO public.ecdc_data VALUES (60043, 0, 0, 0, 56, 340);
INSERT INTO public.ecdc_data VALUES (60044, 0, 1, 9.26736344, 57, 340);
INSERT INTO public.ecdc_data VALUES (60045, 210, 9745, 419.38849738, 58, 340);
INSERT INTO public.ecdc_data VALUES (60046, 22, 2441, 989.06998886, 149, 340);
INSERT INTO public.ecdc_data VALUES (60047, 1, 41, 196.59486408, 59, 340);
INSERT INTO public.ecdc_data VALUES (60048, 0, 8, 0.82132428, 202, 340);
INSERT INTO public.ecdc_data VALUES (60049, 18, 5141, 475.11083643, 150, 340);
INSERT INTO public.ecdc_data VALUES (60050, 12, 1095, 108.99986355, 151, 340);
INSERT INTO public.ecdc_data VALUES (60051, 2, 70, 278.82902081, 60, 340);
INSERT INTO public.ecdc_data VALUES (60052, 2, 179, 248.2384454, 106, 340);
INSERT INTO public.ecdc_data VALUES (60053, 18, 1320, 12.50504665, 107, 340);
INSERT INTO public.ecdc_data VALUES (60054, 0, 1, 6.27131813, 61, 340);
INSERT INTO public.ecdc_data VALUES (60055, 3, 983, 127.90390259, 152, 340);
INSERT INTO public.ecdc_data VALUES (60056, 177, 6308, 1817.25507155, 153, 340);
INSERT INTO public.ecdc_data VALUES (60057, 0, 0, 175.99545025, 62, 340);
INSERT INTO public.ecdc_data VALUES (60058, 0, 0, 1.24564121, 3, 340);
INSERT INTO public.ecdc_data VALUES (60059, 0, 0, 22.39713317, 63, 340);
INSERT INTO public.ecdc_data VALUES (60060, 0, 1, 3.14509091, 108, 340);
INSERT INTO public.ecdc_data VALUES (60061, 10, 126, 17.77974346, 64, 340);
INSERT INTO public.ecdc_data VALUES (60062, 0, 0, 11.54601085, 65, 340);
INSERT INTO public.ecdc_data VALUES (60063, 22, 1937, 500.72735579, 154, 340);
INSERT INTO public.ecdc_data VALUES (60064, 0, 0, 60.77172274, 4, 340);
INSERT INTO public.ecdc_data VALUES (60065, 407, 18947, 147.47392056, 66, 340);
INSERT INTO public.ecdc_data VALUES (60066, 0, 0, 3.3296707, 67, 340);
INSERT INTO public.ecdc_data VALUES (60067, 0, 0, 0.23078911, 109, 340);
INSERT INTO public.ecdc_data VALUES (60068, 25, 1803, 339.0838251, 155, 340);
INSERT INTO public.ecdc_data VALUES (60069, 0, 23, 0.77258521, 5, 340);
INSERT INTO public.ecdc_data VALUES (60070, 0, 3, 0.42495705, 6, 340);
INSERT INTO public.ecdc_data VALUES (60071, 0, 1, 0.04852443, 110, 340);
INSERT INTO public.ecdc_data VALUES (60072, 0, 0, 1.36031356, 7, 340);
INSERT INTO public.ecdc_data VALUES (60073, 26, 2512, 102.08217158, 68, 340);
INSERT INTO public.ecdc_data VALUES (60074, 0, 99, 210.02443921, 8, 340);
INSERT INTO public.ecdc_data VALUES (60075, 0, 0, 10.77785305, 69, 340);
INSERT INTO public.ecdc_data VALUES (60076, 0, 0, 0.23181423, 9, 340);
INSERT INTO public.ecdc_data VALUES (60077, 0, 0, 0.73995656, 10, 340);
INSERT INTO public.ecdc_data VALUES (60078, 49, 1685, 106.86451349, 70, 340);
INSERT INTO public.ecdc_data VALUES (60079, 0, 24, 0.02566635, 111, 340);
INSERT INTO public.ecdc_data VALUES (60080, 179, 11033, 241.98320987, 71, 340);
INSERT INTO public.ecdc_data VALUES (60081, 0, 8, 5.05352624, 11, 340);
INSERT INTO public.ecdc_data VALUES (60082, 0, 0, 2.49047301, 12, 340);
INSERT INTO public.ecdc_data VALUES (60083, 14, 1105, 286.41555793, 72, 340);
INSERT INTO public.ecdc_data VALUES (60084, 2, 24, 1.61374654, 13, 340);
INSERT INTO public.ecdc_data VALUES (60085, 15, 2769, 602.39249545, 156, 340);
INSERT INTO public.ecdc_data VALUES (60086, 0, 86, 6.32638648, 73, 340);
INSERT INTO public.ecdc_data VALUES (60087, 0, 26, 156.03678797, 74, 340);
INSERT INTO public.ecdc_data VALUES (60088, 1, 149, 226.8526394, 157, 340);
INSERT INTO public.ecdc_data VALUES (60089, 173, 11429, 1561.29692576, 158, 340);
INSERT INTO public.ecdc_data VALUES (60090, 0, 0, 0.34565968, 14, 340);
INSERT INTO public.ecdc_data VALUES (60091, 2, 1126, 196.51809887, 159, 340);
INSERT INTO public.ecdc_data VALUES (60092, 0, 2, 11.19605734, 15, 340);
INSERT INTO public.ecdc_data VALUES (60093, 0, 0, 12.53342246, 75, 340);
INSERT INTO public.ecdc_data VALUES (60094, 9, 686, 56.73735354, 76, 340);
INSERT INTO public.ecdc_data VALUES (60095, 38, 1045, 90.76960596, 77, 340);
INSERT INTO public.ecdc_data VALUES (60096, 8, 179, 2.24927112, 16, 340);
INSERT INTO public.ecdc_data VALUES (60097, 4, 0, 30.82024622, 78, 340);
INSERT INTO public.ecdc_data VALUES (60098, 0, 0, 1.32745125, 17, 340);
INSERT INTO public.ecdc_data VALUES (60099, 0, 2, 1.17239429, 18, 340);
INSERT INTO public.ecdc_data VALUES (60100, 0, 134, 64.38610528, 160, 340);
INSERT INTO public.ecdc_data VALUES (60101, 0, 8, 13.23888435, 19, 340);
INSERT INTO public.ecdc_data VALUES (60102, 5, 380, 6.90139887, 20, 340);
INSERT INTO public.ecdc_data VALUES (60103, 0, 0, 0, 79, 340);
INSERT INTO public.ecdc_data VALUES (60104, 0, 1, 24.65229985, 161, 340);
INSERT INTO public.ecdc_data VALUES (60105, 0, 0, 0.22473046, 203, 340);
INSERT INTO public.ecdc_data VALUES (60106, 0, 203, 51.1062232, 162, 340);
INSERT INTO public.ecdc_data VALUES (60107, 223, 32641, 742.28712112, 163, 340);
INSERT INTO public.ecdc_data VALUES (60108, 0, 0, 1240.6681347, 204, 340);
INSERT INTO public.ecdc_data VALUES (60109, 0, 0, 4.00445922, 21, 340);
INSERT INTO public.ecdc_data VALUES (60110, 0, 2, 0.97968391, 22, 340);
INSERT INTO public.ecdc_data VALUES (60111, 28, 1791, 611.54504571, 164, 340);
INSERT INTO public.ecdc_data VALUES (60112, 29, 14177, 205.92341679, 165, 340);
INSERT INTO public.ecdc_data VALUES (60113, 0, 69, 2.93248788, 23, 340);
INSERT INTO public.ecdc_data VALUES (60114, 0, 4, 412.38948555, 166, 340);
INSERT INTO public.ecdc_data VALUES (60115, 6, 2055, 133.51548156, 167, 340);
INSERT INTO public.ecdc_data VALUES (60116, 0, 0, 1.76491352, 80, 340);
INSERT INTO public.ecdc_data VALUES (60117, 0, 0, 0.8928412, 81, 340);
INSERT INTO public.ecdc_data VALUES (60118, 0, 9, 641.3819899, 205, 340);
INSERT INTO public.ecdc_data VALUES (60119, 15, 600, 39.30841756, 82, 340);
INSERT INTO public.ecdc_data VALUES (60120, 0, 1, 15.51157163, 168, 340);
INSERT INTO public.ecdc_data VALUES (60121, 0, 0, 4.6510732, 24, 340);
INSERT INTO public.ecdc_data VALUES (60122, 0, 10, 1.24940328, 25, 340);
INSERT INTO public.ecdc_data VALUES (60123, 0, 19, 57.74328511, 83, 340);
INSERT INTO public.ecdc_data VALUES (60124, 0, 0, 1.14533513, 84, 340);
INSERT INTO public.ecdc_data VALUES (60125, 0, 0, 0, 169, 340);
INSERT INTO public.ecdc_data VALUES (60126, 3, 516, 100.65549196, 85, 340);
INSERT INTO public.ecdc_data VALUES (60127, 69, 3878, 336.74226595, 170, 340);
INSERT INTO public.ecdc_data VALUES (60128, 0, 68, 242.86326546, 171, 340);
INSERT INTO public.ecdc_data VALUES (60129, 470, 46963, 50.46267856, 112, 340);
INSERT INTO public.ecdc_data VALUES (60130, 87, 3143, 19.33520198, 113, 340);
INSERT INTO public.ecdc_data VALUES (60131, 386, 7820, 104.06217448, 114, 340);
INSERT INTO public.ecdc_data VALUES (60132, 48, 1997, 124.92053824, 115, 340);
INSERT INTO public.ecdc_data VALUES (60133, 5, 397, 260.55005465, 172, 340);
INSERT INTO public.ecdc_data VALUES (60134, 0, 0, 5.91093405, 173, 340);
INSERT INTO public.ecdc_data VALUES (60135, 27, 797, 136.93495988, 116, 340);
INSERT INTO public.ecdc_data VALUES (60136, 297, 31756, 458.74102499, 174, 340);
INSERT INTO public.ecdc_data VALUES (60137, 1, 89, 30.49238589, 86, 340);
INSERT INTO public.ecdc_data VALUES (60138, 11, 754, 6.69240106, 117, 340);
INSERT INTO public.ecdc_data VALUES (60139, 0, 0, 77.92496939, 175, 340);
INSERT INTO public.ecdc_data VALUES (60140, 57, 3301, 361.85999243, 118, 340);
INSERT INTO public.ecdc_data VALUES (60141, 1, 681, 27.27552833, 119, 340);
INSERT INTO public.ecdc_data VALUES (60142, 15, 1395, 20.91529445, 26, 340);
INSERT INTO public.ecdc_data VALUES (60143, 3, 514, 171.69806495, 176, 340);
INSERT INTO public.ecdc_data VALUES (60144, 6, 589, 248.22459869, 120, 340);
INSERT INTO public.ecdc_data VALUES (60145, 5, 565, 123.95861438, 121, 340);
INSERT INTO public.ecdc_data VALUES (60146, 0, 0, 0.01394806, 122, 340);
INSERT INTO public.ecdc_data VALUES (60147, 2, 215, 130.31467191, 177, 340);
INSERT INTO public.ecdc_data VALUES (60148, 12, 1699, 290.91083067, 123, 340);
INSERT INTO public.ecdc_data VALUES (60149, 0, 0, 5.36403191, 27, 340);
INSERT INTO public.ecdc_data VALUES (60150, 0, 0, 0.99243039, 28, 340);
INSERT INTO public.ecdc_data VALUES (60151, 10, 467, 195.50117131, 29, 340);
INSERT INTO public.ecdc_data VALUES (60152, 1, 10, 823.3883996, 178, 340);
INSERT INTO public.ecdc_data VALUES (60153, 8, 1001, 270.3830528, 179, 340);
INSERT INTO public.ecdc_data VALUES (60154, 5, 799, 1215.5192916, 180, 340);
INSERT INTO public.ecdc_data VALUES (60155, 0, 0, 0.58585119, 30, 340);
INSERT INTO public.ecdc_data VALUES (60156, 0, 7, 0.41870767, 31, 340);
INSERT INTO public.ecdc_data VALUES (60157, 0, 649, 37.31167051, 124, 340);
INSERT INTO public.ecdc_data VALUES (60158, 1, 16, 90.59114015, 125, 340);
INSERT INTO public.ecdc_data VALUES (60159, 0, 0, 0.84443893, 32, 340);
INSERT INTO public.ecdc_data VALUES (60160, 2, 140, 314.45075462, 181, 340);
INSERT INTO public.ecdc_data VALUES (60161, 0, 0, 0, 206, 340);
INSERT INTO public.ecdc_data VALUES (60162, 0, 40, 2.51894846, 33, 340);
INSERT INTO public.ecdc_data VALUES (60163, 0, 0, 2.67786118, 34, 340);
INSERT INTO public.ecdc_data VALUES (60164, 464, 6151, 58.83181562, 87, 340);
INSERT INTO public.ecdc_data VALUES (60165, 19, 839, 232.18899214, 182, 340);
INSERT INTO public.ecdc_data VALUES (60166, 0, 4, 299.22925797, 183, 340);
INSERT INTO public.ecdc_data VALUES (60167, 0, 0, 0.68213543, 126, 340);
INSERT INTO public.ecdc_data VALUES (60168, 7, 275, 468.35170416, 184, 340);
INSERT INTO public.ecdc_data VALUES (60169, 0, 0, 0, 88, 340);
INSERT INTO public.ecdc_data VALUES (60170, 70, 3790, 132.08299264, 35, 340);
INSERT INTO public.ecdc_data VALUES (60171, 1, 92, 7.11979496, 36, 340);
INSERT INTO public.ecdc_data VALUES (60172, 18, 1210, 32.99261869, 127, 340);
INSERT INTO public.ecdc_data VALUES (60173, 0, 28, 26.9390072, 37, 340);
INSERT INTO public.ecdc_data VALUES (60174, 17, 2508, 144.84747043, 128, 340);
INSERT INTO public.ecdc_data VALUES (60175, 50, 9790, 757.82759369, 185, 340);
INSERT INTO public.ecdc_data VALUES (60176, 0, 0, 0.35366056, 207, 340);
INSERT INTO public.ecdc_data VALUES (60177, 0, 2, 1.52621898, 208, 340);
INSERT INTO public.ecdc_data VALUES (60178, 0, 0, 2.45970401, 89, 340);
INSERT INTO public.ecdc_data VALUES (60179, 0, 0, 0.04718859, 38, 340);
INSERT INTO public.ecdc_data VALUES (60180, 0, 162, 0.76929353, 39, 340);
INSERT INTO public.ecdc_data VALUES (60181, 12, 1124, 403.00760857, 186, 340);
INSERT INTO public.ecdc_data VALUES (60182, 0, 4, 17.47854509, 209, 340);
INSERT INTO public.ecdc_data VALUES (60183, 0, 0, 64.31801137, 187, 340);
INSERT INTO public.ecdc_data VALUES (60184, 0, 0, 123.37708282, 129, 340);
INSERT INTO public.ecdc_data VALUES (60185, 17, 977, 5.05667304, 130, 340);
INSERT INTO public.ecdc_data VALUES (60186, 2, 566, 143.69390909, 131, 340);
INSERT INTO public.ecdc_data VALUES (60187, 12, 731, 223.50486525, 90, 340);
INSERT INTO public.ecdc_data VALUES (60188, 0, 0, 0.09115647, 210, 340);
INSERT INTO public.ecdc_data VALUES (60189, 17, 589, 130.16990651, 91, 340);
INSERT INTO public.ecdc_data VALUES (60190, 65, 2323, 113.66802477, 92, 340);
INSERT INTO public.ecdc_data VALUES (60191, 36, 1796, 24.40975265, 132, 340);
INSERT INTO public.ecdc_data VALUES (60192, 280, 21897, 514.8446736, 188, 340);
INSERT INTO public.ecdc_data VALUES (60193, 39, 4007, 420.60534123, 189, 340);
INSERT INTO public.ecdc_data VALUES (60194, 2, 385, 323.10585245, 93, 340);
INSERT INTO public.ecdc_data VALUES (60195, 0, 213, 117.54648806, 133, 340);
INSERT INTO public.ecdc_data VALUES (60196, 101, 5753, 334.13757932, 190, 340);
INSERT INTO public.ecdc_data VALUES (60197, 334, 18140, 160.33274592, 191, 340);
INSERT INTO public.ecdc_data VALUES (60198, 0, 3, 1.31464968, 40, 340);
INSERT INTO public.ecdc_data VALUES (60199, 0, 0, 0, 94, 340);
INSERT INTO public.ecdc_data VALUES (60200, 0, 0, 24.61774119, 95, 340);
INSERT INTO public.ecdc_data VALUES (60201, 0, 0, 6.32951453, 96, 340);
INSERT INTO public.ecdc_data VALUES (60202, 0, 0, 490.52332163, 192, 340);
INSERT INTO public.ecdc_data VALUES (60203, 0, 0, 6.04516201, 41, 340);
INSERT INTO public.ecdc_data VALUES (60204, 19, 402, 15.83960607, 134, 340);
INSERT INTO public.ecdc_data VALUES (60205, 1, 11, 1.37453991, 42, 340);
INSERT INTO public.ecdc_data VALUES (60206, 6, 1817, 158.07543162, 193, 340);
INSERT INTO public.ecdc_data VALUES (60207, 0, 0, 4.09244841, 43, 340);
INSERT INTO public.ecdc_data VALUES (60208, 0, 1, 0.49915483, 44, 340);
INSERT INTO public.ecdc_data VALUES (60209, 0, 12, 1.91236114, 135, 340);
INSERT INTO public.ecdc_data VALUES (60210, 0, 21, 181.6509, 97, 340);
INSERT INTO public.ecdc_data VALUES (60211, 7, 2573, 539.33448444, 194, 340);
INSERT INTO public.ecdc_data VALUES (60212, 6, 1797, 1051.99268781, 195, 340);
INSERT INTO public.ecdc_data VALUES (60213, 0, 0, 0.74646809, 211, 340);
INSERT INTO public.ecdc_data VALUES (60214, 0, 0, 0.49861082, 45, 340);
INSERT INTO public.ecdc_data VALUES (60215, 46, 1770, 39.82529059, 46, 340);
INSERT INTO public.ecdc_data VALUES (60216, 2, 124, 2.80330113, 136, 340);
INSERT INTO public.ecdc_data VALUES (60217, 0, 2, 0.79550798, 47, 340);
INSERT INTO public.ecdc_data VALUES (60218, 0, 0, 530.7490499, 196, 340);
INSERT INTO public.ecdc_data VALUES (60219, 1, 239, 24.3296976, 137, 340);
INSERT INTO public.ecdc_data VALUES (60220, 0, 0, 0.17284374, 48, 340);
INSERT INTO public.ecdc_data VALUES (60221, 0, 2, 13.76076565, 98, 340);
INSERT INTO public.ecdc_data VALUES (60222, 13, 2987, 238.15796098, 197, 340);
INSERT INTO public.ecdc_data VALUES (60223, 0, 0, 930.43184251, 198, 340);
INSERT INTO public.ecdc_data VALUES (60224, 3, 45, 4.07143893, 138, 340);
INSERT INTO public.ecdc_data VALUES (60225, 0, 3, 0.09674483, 139, 340);
INSERT INTO public.ecdc_data VALUES (60226, 0, 40, 6.02938111, 140, 340);
INSERT INTO public.ecdc_data VALUES (60227, 0, 4, 0.14075286, 141, 340);
INSERT INTO public.ecdc_data VALUES (60228, 0, 0, 0.07733234, 142, 340);
INSERT INTO public.ecdc_data VALUES (60229, 2, 19, 3.48908035, 49, 340);
INSERT INTO public.ecdc_data VALUES (60230, 0, 0, 27.74255199, 99, 340);
INSERT INTO public.ecdc_data VALUES (60231, 31, 1302, 175.91697998, 50, 340);
INSERT INTO public.ecdc_data VALUES (60232, 75, 2213, 36.20438359, 199, 340);
INSERT INTO public.ecdc_data VALUES (60233, 0, 1, 15.70927371, 100, 340);
INSERT INTO public.ecdc_data VALUES (60234, 1, 85, 4.60812973, 51, 340);
INSERT INTO public.ecdc_data VALUES (60235, 155, 8752, 213.30354479, 200, 340);
INSERT INTO public.ecdc_data VALUES (60236, 5, 1121, 186.70438009, 143, 340);
INSERT INTO public.ecdc_data VALUES (60237, 326, 21915, 459.48277549, 201, 340);
INSERT INTO public.ecdc_data VALUES (60238, 0, 0, 0, 52, 340);
INSERT INTO public.ecdc_data VALUES (60239, 848, 78934, 309.85041167, 101, 340);
INSERT INTO public.ecdc_data VALUES (60240, 0, 14, 39.20481167, 102, 340);
INSERT INTO public.ecdc_data VALUES (60241, 0, 42, 17.99677676, 103, 340);
INSERT INTO public.ecdc_data VALUES (60242, 5, 427, 11.91872527, 144, 340);
INSERT INTO public.ecdc_data VALUES (60243, 5, 424, 21.93518554, 104, 340);
INSERT INTO public.ecdc_data VALUES (60244, 0, 3, 0.05598053, 145, 340);
INSERT INTO public.ecdc_data VALUES (60245, 0, 0, 0, 213, 340);
INSERT INTO public.ecdc_data VALUES (60246, 0, 0, 0, 53, 340);
INSERT INTO public.ecdc_data VALUES (60247, 0, 0, 0.01371652, 146, 340);
INSERT INTO public.ecdc_data VALUES (60248, 0, 17, 3.60001554, 54, 340);
INSERT INTO public.ecdc_data VALUES (60249, 0, 0, 1.72066822, 55, 340);
INSERT INTO public.ecdc_data VALUES (60250, 0, 14, 1.04096138, 105, 341);
INSERT INTO public.ecdc_data VALUES (60251, 3, 131, 64.03656757, 147, 341);
INSERT INTO public.ecdc_data VALUES (60252, 8, 162, 5.95544279, 1, 341);
INSERT INTO public.ecdc_data VALUES (60253, 0, 84, 803.39209998, 148, 341);
INSERT INTO public.ecdc_data VALUES (60254, 3, 67, 4.40844248, 2, 341);
INSERT INTO public.ecdc_data VALUES (60255, 0, 0, 0, 56, 341);
INSERT INTO public.ecdc_data VALUES (60256, 0, 0, 6.17824229, 57, 341);
INSERT INTO public.ecdc_data VALUES (60257, 418, 14392, 387.80791044, 58, 341);
INSERT INTO public.ecdc_data VALUES (60258, 1, 458, 134.66417466, 149, 341);
INSERT INTO public.ecdc_data VALUES (60259, 1, 29, 597.30975449, 59, 341);
INSERT INTO public.ecdc_data VALUES (60260, 0, 0, 1.12684104, 202, 341);
INSERT INTO public.ecdc_data VALUES (60261, 3, 1146, 116.32533844, 150, 341);
INSERT INTO public.ecdc_data VALUES (60262, 1, 110, 15.63538948, 151, 341);
INSERT INTO public.ecdc_data VALUES (60263, 5, 220, 265.99158891, 60, 341);
INSERT INTO public.ecdc_data VALUES (60264, 6, 442, 561.85731591, 106, 341);
INSERT INTO public.ecdc_data VALUES (60265, 32, 1436, 12.76202907, 107, 341);
INSERT INTO public.ecdc_data VALUES (60266, 0, 0, 1.74203281, 61, 341);
INSERT INTO public.ecdc_data VALUES (60267, 5, 371, 40.92078538, 152, 341);
INSERT INTO public.ecdc_data VALUES (60268, 6, 3243, 207.77757865, 153, 341);
INSERT INTO public.ecdc_data VALUES (60269, 1, 49, 116.81794078, 62, 341);
INSERT INTO public.ecdc_data VALUES (60270, 1, 17, 0.65247873, 3, 341);
INSERT INTO public.ecdc_data VALUES (60271, 0, 0, 4.79938568, 63, 341);
INSERT INTO public.ecdc_data VALUES (60272, 0, 1, 4.71763636, 108, 341);
INSERT INTO public.ecdc_data VALUES (60273, 34, 670, 55.92758581, 64, 341);
INSERT INTO public.ecdc_data VALUES (60274, 0, 0, 284.80160105, 65, 341);
INSERT INTO public.ecdc_data VALUES (60275, 13, 243, 98.7277181, 154, 341);
INSERT INTO public.ecdc_data VALUES (60276, 0, 0, 30.77653673, 4, 341);
INSERT INTO public.ecdc_data VALUES (60277, 1031, 33413, 185.66827437, 66, 341);
INSERT INTO public.ecdc_data VALUES (60278, 0, 0, 16.64835348, 67, 341);
INSERT INTO public.ecdc_data VALUES (60279, 0, 0, 0.23078911, 109, 341);
INSERT INTO public.ecdc_data VALUES (60280, 11, 286, 34.89980556, 155, 341);
INSERT INTO public.ecdc_data VALUES (60281, 0, 24, 1.51564488, 5, 341);
INSERT INTO public.ecdc_data VALUES (60282, 0, 2, 0.31221334, 6, 341);
INSERT INTO public.ecdc_data VALUES (60283, 0, 0, 0.01213111, 110, 341);
INSERT INTO public.ecdc_data VALUES (60284, 0, 0, 2.06752202, 7, 341);
INSERT INTO public.ecdc_data VALUES (60285, 6, 1797, 50.81655313, 68, 341);
INSERT INTO public.ecdc_data VALUES (60286, 1, 124, 190.20395101, 8, 341);
INSERT INTO public.ecdc_data VALUES (60287, 0, 0, 4.61907988, 69, 341);
INSERT INTO public.ecdc_data VALUES (60288, 0, 4, 0.99047897, 9, 341);
INSERT INTO public.ecdc_data VALUES (60289, 0, 7, 0.68979002, 10, 341);
INSERT INTO public.ecdc_data VALUES (60290, 16, 1691, 125.07363985, 70, 341);
INSERT INTO public.ecdc_data VALUES (60291, 0, 0, 0.01938926, 111, 341);
INSERT INTO public.ecdc_data VALUES (60292, 170, 5637, 185.3457139, 71, 341);
INSERT INTO public.ecdc_data VALUES (60293, 0, 0, 2.58552506, 11, 341);
INSERT INTO public.ecdc_data VALUES (60294, 0, 0, 2.88077102, 12, 341);
INSERT INTO public.ecdc_data VALUES (60295, 24, 1156, 321.81879526, 72, 341);
INSERT INTO public.ecdc_data VALUES (60296, 0, 55, 2.30201916, 13, 341);
INSERT INTO public.ecdc_data VALUES (60297, 5, 213, 62.90101235, 156, 341);
INSERT INTO public.ecdc_data VALUES (60298, 0, 66, 6.36168013, 73, 341);
INSERT INTO public.ecdc_data VALUES (60299, 0, 22, 122.38179448, 74, 341);
INSERT INTO public.ecdc_data VALUES (60300, 0, 12, 23.63286178, 157, 341);
INSERT INTO public.ecdc_data VALUES (60301, 19, 1076, 261.85468272, 158, 341);
INSERT INTO public.ecdc_data VALUES (60302, 1, 29, 0.29726733, 14, 341);
INSERT INTO public.ecdc_data VALUES (60303, 0, 534, 127.91760914, 159, 341);
INSERT INTO public.ecdc_data VALUES (60304, 0, 0, 1.74617408, 15, 341);
INSERT INTO public.ecdc_data VALUES (60305, 0, 7, 9.74821747, 75, 341);
INSERT INTO public.ecdc_data VALUES (60306, 4, 309, 62.27792885, 76, 341);
INSERT INTO public.ecdc_data VALUES (60307, 43, 1298, 89.3421575, 77, 341);
INSERT INTO public.ecdc_data VALUES (60308, 16, 119, 1.69143594, 16, 341);
INSERT INTO public.ecdc_data VALUES (60309, 0, 96, 29.65809516, 78, 341);
INSERT INTO public.ecdc_data VALUES (60310, 0, 0, 2.21241875, 17, 341);
INSERT INTO public.ecdc_data VALUES (60311, 0, 0, 0.31454481, 18, 341);
INSERT INTO public.ecdc_data VALUES (60312, 0, 56, 46.42140064, 160, 341);
INSERT INTO public.ecdc_data VALUES (60313, 1, 20, 28.48102093, 19, 341);
INSERT INTO public.ecdc_data VALUES (60314, 7, 784, 8.15855091, 20, 341);
INSERT INTO public.ecdc_data VALUES (60315, 0, 0, 0, 79, 341);
INSERT INTO public.ecdc_data VALUES (60316, 0, 4, 80.11997453, 161, 341);
INSERT INTO public.ecdc_data VALUES (60317, 0, 0, 0, 203, 341);
INSERT INTO public.ecdc_data VALUES (60318, 1, 100, 22.50848554, 162, 341);
INSERT INTO public.ecdc_data VALUES (60319, 63, 12845, 236.74104575, 163, 341);
INSERT INTO public.ecdc_data VALUES (60320, 0, 0, 190.1283635, 204, 341);
INSERT INTO public.ecdc_data VALUES (60321, 0, 14, 4.05048749, 21, 341);
INSERT INTO public.ecdc_data VALUES (60322, 0, 0, 5.92069842, 22, 341);
INSERT INTO public.ecdc_data VALUES (60323, 6, 774, 92.65000018, 164, 341);
INSERT INTO public.ecdc_data VALUES (60324, 12, 2503, 31.15543868, 165, 341);
INSERT INTO public.ecdc_data VALUES (60325, 0, 174, 3.29083001, 23, 341);
INSERT INTO public.ecdc_data VALUES (60326, 0, 5, 183.94351154, 166, 341);
INSERT INTO public.ecdc_data VALUES (60327, 3, 352, 41.34420317, 167, 341);
INSERT INTO public.ecdc_data VALUES (60328, 0, 0, 0, 80, 341);
INSERT INTO public.ecdc_data VALUES (60329, 0, 0, 0, 81, 341);
INSERT INTO public.ecdc_data VALUES (60330, 0, 0, 285.12507845, 205, 341);
INSERT INTO public.ecdc_data VALUES (60331, 8, 778, 50.17781215, 82, 341);
INSERT INTO public.ecdc_data VALUES (60332, 0, 0, 4.65347149, 168, 341);
INSERT INTO public.ecdc_data VALUES (60333, 0, 18, 3.8993846, 24, 341);
INSERT INTO public.ecdc_data VALUES (60334, 0, 0, 2.55086503, 25, 341);
INSERT INTO public.ecdc_data VALUES (60335, 2, 48, 119.5745904, 83, 341);
INSERT INTO public.ecdc_data VALUES (60336, 0, 19, 1.99767754, 84, 341);
INSERT INTO public.ecdc_data VALUES (60337, 0, 0, 0, 169, 341);
INSERT INTO public.ecdc_data VALUES (60338, 30, 802, 74.28601037, 85, 341);
INSERT INTO public.ecdc_data VALUES (60339, 16, 848, 124.21265813, 170, 341);
INSERT INTO public.ecdc_data VALUES (60340, 0, 33, 150.98419848, 171, 341);
INSERT INTO public.ecdc_data VALUES (60341, 1181, 86821, 87.4059924, 112, 341);
INSERT INTO public.ecdc_data VALUES (60342, 139, 4284, 21.43736848, 113, 341);
INSERT INTO public.ecdc_data VALUES (60343, 183, 3582, 56.54661517, 114, 341);
INSERT INTO public.ecdc_data VALUES (60344, 59, 4691, 152.43531325, 115, 341);
INSERT INTO public.ecdc_data VALUES (60345, 1, 415, 88.82110174, 172, 341);
INSERT INTO public.ecdc_data VALUES (60346, 0, 0, 1.18218681, 173, 341);
INSERT INTO public.ecdc_data VALUES (60347, 43, 11207, 896.36878207, 116, 341);
INSERT INTO public.ecdc_data VALUES (60348, 19, 1850, 38.79916526, 174, 341);
INSERT INTO public.ecdc_data VALUES (60349, 7, 80, 78.38476507, 86, 341);
INSERT INTO public.ecdc_data VALUES (60350, 0, 0, 4.73040033, 117, 341);
INSERT INTO public.ecdc_data VALUES (60351, 0, 5, 23.19195517, 175, 341);
INSERT INTO public.ecdc_data VALUES (60352, 4, 1776, 78.9273327, 118, 341);
INSERT INTO public.ecdc_data VALUES (60353, 2, 251, 19.21684951, 119, 341);
INSERT INTO public.ecdc_data VALUES (60354, 4, 151, 4.23783885, 26, 341);
INSERT INTO public.ecdc_data VALUES (60355, 0, 46, 43.42493158, 176, 341);
INSERT INTO public.ecdc_data VALUES (60356, 3, 614, 194.50559141, 120, 341);
INSERT INTO public.ecdc_data VALUES (60357, 1, 172, 26.30983793, 121, 341);
INSERT INTO public.ecdc_data VALUES (60358, 0, 0, 0, 122, 341);
INSERT INTO public.ecdc_data VALUES (60359, 0, 95, 17.60446007, 177, 341);
INSERT INTO public.ecdc_data VALUES (60360, 6, 1257, 197.66008155, 123, 341);
INSERT INTO public.ecdc_data VALUES (60361, 1, 19, 12.61018027, 27, 341);
INSERT INTO public.ecdc_data VALUES (60362, 0, 0, 0.2227905, 28, 341);
INSERT INTO public.ecdc_data VALUES (60363, 11, 511, 141.48382881, 29, 341);
INSERT INTO public.ecdc_data VALUES (60364, 0, 0, 23.45093543, 178, 341);
INSERT INTO public.ecdc_data VALUES (60365, 0, 115, 44.77156837, 179, 341);
INSERT INTO public.ecdc_data VALUES (60366, 0, 78, 181.62744708, 180, 341);
INSERT INTO public.ecdc_data VALUES (60367, 1, 31, 1.99115246, 30, 341);
INSERT INTO public.ecdc_data VALUES (60368, 0, 1, 0.38649938, 31, 341);
INSERT INTO public.ecdc_data VALUES (60369, 0, 0, 3.45542188, 124, 341);
INSERT INTO public.ecdc_data VALUES (60370, 0, 97, 162.72504176, 125, 341);
INSERT INTO public.ecdc_data VALUES (60371, 1, 28, 0.77322119, 32, 341);
INSERT INTO public.ecdc_data VALUES (60372, 1, 37, 99.27891093, 181, 341);
INSERT INTO public.ecdc_data VALUES (60373, 0, 14, 3.73423061, 33, 341);
INSERT INTO public.ecdc_data VALUES (60374, 0, 0, 1.26016997, 34, 341);
INSERT INTO public.ecdc_data VALUES (60375, 483, 5212, 50.75503155, 87, 341);
INSERT INTO public.ecdc_data VALUES (60376, 10, 1013, 214.7030934, 182, 341);
INSERT INTO public.ecdc_data VALUES (60377, 0, 4, 111.83315702, 183, 341);
INSERT INTO public.ecdc_data VALUES (60378, 0, 0, 0.06201231, 126, 341);
INSERT INTO public.ecdc_data VALUES (60379, 5, 197, 559.48259512, 184, 341);
INSERT INTO public.ecdc_data VALUES (60380, 0, 0, 0, 88, 341);
INSERT INTO public.ecdc_data VALUES (60381, 42, 2470, 86.74381164, 35, 341);
INSERT INTO public.ecdc_data VALUES (60382, 2, 172, 9.003478, 36, 341);
INSERT INTO public.ecdc_data VALUES (60383, 26, 948, 17.53895085, 127, 341);
INSERT INTO public.ecdc_data VALUES (60384, 0, 125, 52.15423864, 37, 341);
INSERT INTO public.ecdc_data VALUES (60385, 7, 1559, 68.12609374, 128, 341);
INSERT INTO public.ecdc_data VALUES (60386, 13, 3293, 199.48891814, 185, 341);
INSERT INTO public.ecdc_data VALUES (60387, 0, 0, 0.35366056, 207, 341);
INSERT INTO public.ecdc_data VALUES (60388, 0, 0, 0.4599564, 208, 341);
INSERT INTO public.ecdc_data VALUES (60389, 0, 0, 3.19303192, 89, 341);
INSERT INTO public.ecdc_data VALUES (60390, 0, 1, 0.07292782, 38, 341);
INSERT INTO public.ecdc_data VALUES (60391, 1, 201, 1.11662011, 39, 341);
INSERT INTO public.ecdc_data VALUES (60392, 2, 191, 90.94270369, 186, 341);
INSERT INTO public.ecdc_data VALUES (60393, 0, 0, 15.73069058, 209, 341);
INSERT INTO public.ecdc_data VALUES (60394, 0, 126, 28.54616145, 187, 341);
INSERT INTO public.ecdc_data VALUES (60395, 0, 0, 148.5228519, 129, 341);
INSERT INTO public.ecdc_data VALUES (60396, 5, 543, 4.23521186, 130, 341);
INSERT INTO public.ecdc_data VALUES (60397, 8, 426, 163.84879659, 131, 341);
INSERT INTO public.ecdc_data VALUES (60398, 8, 742, 214.98007743, 90, 341);
INSERT INTO public.ecdc_data VALUES (60399, 0, 0, 0.20510205, 210, 341);
INSERT INTO public.ecdc_data VALUES (60400, 16, 657, 146.76408543, 91, 341);
INSERT INTO public.ecdc_data VALUES (60401, 67, 3061, 216.63487895, 92, 341);
INSERT INTO public.ecdc_data VALUES (60402, 0, 0, 33.63867584, 132, 341);
INSERT INTO public.ecdc_data VALUES (60403, 30, 1552, 41.55604805, 188, 341);
INSERT INTO public.ecdc_data VALUES (60404, 8, 825, 96.49089773, 189, 341);
INSERT INTO public.ecdc_data VALUES (60405, 7, 288, 337.5259596, 93, 341);
INSERT INTO public.ecdc_data VALUES (60406, 0, 227, 116.91091078, 133, 341);
INSERT INTO public.ecdc_data VALUES (60407, 33, 2158, 105.90560911, 190, 341);
INSERT INTO public.ecdc_data VALUES (60408, 177, 8481, 66.33680729, 191, 341);
INSERT INTO public.ecdc_data VALUES (60409, 0, 4, 1.63143274, 40, 341);
INSERT INTO public.ecdc_data VALUES (60410, 0, 0, 3.78544119, 94, 341);
INSERT INTO public.ecdc_data VALUES (60411, 0, 0, 0, 95, 341);
INSERT INTO public.ecdc_data VALUES (60412, 0, 0, 0, 96, 341);
INSERT INTO public.ecdc_data VALUES (60413, 0, 5, 26.12254376, 192, 341);
INSERT INTO public.ecdc_data VALUES (60414, 0, 0, 1.86004985, 41, 341);
INSERT INTO public.ecdc_data VALUES (60415, 29, 418, 20.58448438, 134, 341);
INSERT INTO public.ecdc_data VALUES (60416, 1, 37, 2.5404443, 42, 341);
INSERT INTO public.ecdc_data VALUES (60417, 0, 72, 13.469727, 193, 341);
INSERT INTO public.ecdc_data VALUES (60418, 0, 1, 4.09244841, 43, 341);
INSERT INTO public.ecdc_data VALUES (60419, 0, 9, 1.25428649, 44, 341);
INSERT INTO public.ecdc_data VALUES (60420, 0, 0, 3.92809315, 135, 341);
INSERT INTO public.ecdc_data VALUES (60421, 0, 8, 259.50128571, 97, 341);
INSERT INTO public.ecdc_data VALUES (60422, 3, 567, 78.54439134, 194, 341);
INSERT INTO public.ecdc_data VALUES (60423, 0, 203, 83.13678452, 195, 341);
INSERT INTO public.ecdc_data VALUES (60424, 0, 0, 1.2821421, 45, 341);
INSERT INTO public.ecdc_data VALUES (60425, 67, 1767, 35.68240843, 46, 341);
INSERT INTO public.ecdc_data VALUES (60426, 0, 0, 2.25474429, 136, 341);
INSERT INTO public.ecdc_data VALUES (60427, 0, 4, 0.99438498, 47, 341);
INSERT INTO public.ecdc_data VALUES (60428, 182, 9419, 325.87469262, 196, 341);
INSERT INTO public.ecdc_data VALUES (60429, 0, 6, 0.51116751, 137, 341);
INSERT INTO public.ecdc_data VALUES (60430, 0, 34, 0.24525125, 48, 341);
INSERT INTO public.ecdc_data VALUES (60431, 0, 14, 39.90622038, 98, 341);
INSERT INTO public.ecdc_data VALUES (60432, 4, 689, 53.53764375, 197, 341);
INSERT INTO public.ecdc_data VALUES (60433, 1, 411, 58.61061707, 198, 341);
INSERT INTO public.ecdc_data VALUES (60434, 3, 52, 3.19856929, 138, 341);
INSERT INTO public.ecdc_data VALUES (60435, 0, 0, 0.04626926, 139, 341);
INSERT INTO public.ecdc_data VALUES (60436, 1, 43, 6.41560481, 140, 341);
INSERT INTO public.ecdc_data VALUES (60437, 0, 5, 0.11346404, 141, 341);
INSERT INTO public.ecdc_data VALUES (60438, 0, 0, 0.07733234, 142, 341);
INSERT INTO public.ecdc_data VALUES (60439, 0, 25, 2.17758206, 49, 341);
INSERT INTO public.ecdc_data VALUES (60440, 2, 68, 86.31016173, 99, 341);
INSERT INTO public.ecdc_data VALUES (60441, 19, 1008, 88.18508796, 50, 341);
INSERT INTO public.ecdc_data VALUES (60442, 65, 1391, 27.15968983, 199, 341);
INSERT INTO public.ecdc_data VALUES (60443, 0, 3, 78.54636854, 100, 341);
INSERT INTO public.ecdc_data VALUES (60444, 0, 112, 6.46719383, 51, 341);
INSERT INTO public.ecdc_data VALUES (60445, 64, 4027, 105.24020482, 200, 341);
INSERT INTO public.ecdc_data VALUES (60446, 3, 1100, 126.99418639, 143, 341);
INSERT INTO public.ecdc_data VALUES (60447, 71, 7108, 112.60052799, 201, 341);
INSERT INTO public.ecdc_data VALUES (60448, 0, 0, 0, 52, 341);
INSERT INTO public.ecdc_data VALUES (60449, 930, 41982, 182.98881737, 101, 341);
INSERT INTO public.ecdc_data VALUES (60450, 0, 0, 76.49719351, 102, 341);
INSERT INTO public.ecdc_data VALUES (60451, 0, 13, 5.4885836, 103, 341);
INSERT INTO public.ecdc_data VALUES (60452, 3, 478, 23.07945478, 144, 341);
INSERT INTO public.ecdc_data VALUES (60453, 7, 759, 41.05088441, 104, 341);
INSERT INTO public.ecdc_data VALUES (60454, 0, 0, 0.03213697, 145, 341);
INSERT INTO public.ecdc_data VALUES (60455, 0, 0, 0, 53, 341);
INSERT INTO public.ecdc_data VALUES (60456, 0, 0, 0.05143694, 146, 341);
INSERT INTO public.ecdc_data VALUES (60457, 0, 44, 4.88213616, 54, 341);
INSERT INTO public.ecdc_data VALUES (60458, 0, 1, 1.63873164, 55, 341);
INSERT INTO public.ecdc_data VALUES (60459, 4, 34, 1.56932815, 105, 342);
INSERT INTO public.ecdc_data VALUES (60460, 4, 133, 70.35987293, 147, 342);
INSERT INTO public.ecdc_data VALUES (60461, 9, 348, 12.7029316, 1, 342);
INSERT INTO public.ecdc_data VALUES (60462, 0, 52, 224.47720441, 148, 342);
INSERT INTO public.ecdc_data VALUES (60463, 0, 0, 2.25606679, 2, 342);
INSERT INTO public.ecdc_data VALUES (60464, 0, 0, 0, 56, 342);
INSERT INTO public.ecdc_data VALUES (60465, 0, 0, 1.02970705, 57, 342);
INSERT INTO public.ecdc_data VALUES (60466, 97, 7187, 254.25476503, 58, 342);
INSERT INTO public.ecdc_data VALUES (60467, 2, 31, 70.32424888, 149, 342);
INSERT INTO public.ecdc_data VALUES (60468, 0, 9, 832.47107516, 59, 342);
INSERT INTO public.ecdc_data VALUES (60469, 41, 76, 8.51875952, 202, 342);
INSERT INTO public.ecdc_data VALUES (60470, 0, 186, 41.61974991, 150, 342);
INSERT INTO public.ecdc_data VALUES (60471, 3, 126, 20.82064596, 151, 342);
INSERT INTO public.ecdc_data VALUES (60472, 1, 50, 227.9927905, 60, 342);
INSERT INTO public.ecdc_data VALUES (60473, 1, 0, 267.43213963, 106, 342);
INSERT INTO public.ecdc_data VALUES (60474, 33, 2174, 20.76221685, 107, 342);
INSERT INTO public.ecdc_data VALUES (60475, 0, 1, 7.66494438, 61, 342);
INSERT INTO public.ecdc_data VALUES (60476, 5, 156, 23.84577307, 152, 342);
INSERT INTO public.ecdc_data VALUES (60477, 3, 634, 57.38718604, 153, 342);
INSERT INTO public.ecdc_data VALUES (60478, 0, 13, 136.28759757, 62, 342);
INSERT INTO public.ecdc_data VALUES (60479, 0, 0, 0.69484748, 3, 342);
INSERT INTO public.ecdc_data VALUES (60480, 0, 3, 9.59877136, 63, 342);
INSERT INTO public.ecdc_data VALUES (60481, 0, 1, 10.3525909, 108, 342);
INSERT INTO public.ecdc_data VALUES (60482, 61, 630, 133.54350548, 64, 342);
INSERT INTO public.ecdc_data VALUES (60483, 0, 0, 7.69734057, 65, 342);
INSERT INTO public.ecdc_data VALUES (60484, 17, 175, 119.02461013, 154, 342);
INSERT INTO public.ecdc_data VALUES (60485, 0, 91, 18.05788333, 4, 342);
INSERT INTO public.ecdc_data VALUES (60486, 553, 45961, 259.98732553, 66, 342);
INSERT INTO public.ecdc_data VALUES (60487, 0, 10, 126.52748643, 67, 342);
INSERT INTO public.ecdc_data VALUES (60488, 0, 0, 0.46157823, 109, 342);
INSERT INTO public.ecdc_data VALUES (60489, 16, 76, 25.22843087, 155, 342);
INSERT INTO public.ecdc_data VALUES (60490, 0, 2, 0.44288324, 5, 342);
INSERT INTO public.ecdc_data VALUES (60491, 0, 0, 0.27752297, 6, 342);
INSERT INTO public.ecdc_data VALUES (60492, 0, 0, 0.00606555, 110, 342);
INSERT INTO public.ecdc_data VALUES (60493, 0, 0, 2.1641352, 7, 342);
INSERT INTO public.ecdc_data VALUES (60494, 9, 1008, 16.24119598, 68, 342);
INSERT INTO public.ecdc_data VALUES (60495, 0, 32, 123.83259143, 8, 342);
INSERT INTO public.ecdc_data VALUES (60496, 0, 0, 3.07938659, 69, 342);
INSERT INTO public.ecdc_data VALUES (60497, 1, 11, 0.92725691, 9, 342);
INSERT INTO public.ecdc_data VALUES (60498, 0, 1, 0.33862419, 10, 342);
INSERT INTO public.ecdc_data VALUES (60499, 45, 1752, 127.81740853, 70, 342);
INSERT INTO public.ecdc_data VALUES (60500, 1, 19, 0.03298963, 111, 342);
INSERT INTO public.ecdc_data VALUES (60501, 299, 7230, 275.14805835, 71, 342);
INSERT INTO public.ecdc_data VALUES (60502, 0, 0, 2.11542959, 11, 342);
INSERT INTO public.ecdc_data VALUES (60503, 0, 0, 2.67632921, 12, 342);
INSERT INTO public.ecdc_data VALUES (60504, 18, 1588, 241.76032741, 72, 342);
INSERT INTO public.ecdc_data VALUES (60505, 2, 119, 4.04797626, 13, 342);
INSERT INTO public.ecdc_data VALUES (60506, 2, 146, 88.6354749, 156, 342);
INSERT INTO public.ecdc_data VALUES (60507, 0, 59, 5.89403929, 73, 342);
INSERT INTO public.ecdc_data VALUES (60508, 0, 11, 20.19299609, 74, 342);
INSERT INTO public.ecdc_data VALUES (60509, 0, 1, 15.64107277, 157, 342);
INSERT INTO public.ecdc_data VALUES (60510, 1, 251, 41.46556743, 158, 342);
INSERT INTO public.ecdc_data VALUES (60511, 0, 52, 0.45050978, 14, 342);
INSERT INTO public.ecdc_data VALUES (60512, 0, 285, 21.44303533, 159, 342);
INSERT INTO public.ecdc_data VALUES (60513, 0, 2, 1.54074184, 15, 342);
INSERT INTO public.ecdc_data VALUES (60514, 0, 0, 2.78520499, 75, 342);
INSERT INTO public.ecdc_data VALUES (60515, 29, 474, 74.2902686, 76, 342);
INSERT INTO public.ecdc_data VALUES (60516, 1, 119, 69.16218042, 77, 342);
INSERT INTO public.ecdc_data VALUES (60517, 22, 212, 2.33991933, 16, 342);
INSERT INTO public.ecdc_data VALUES (60518, 7, 91, 40.70627794, 78, 342);
INSERT INTO public.ecdc_data VALUES (60519, 0, 0, 8.849675, 17, 342);
INSERT INTO public.ecdc_data VALUES (60520, 0, 0, 0.94363443, 18, 342);
INSERT INTO public.ecdc_data VALUES (60521, 0, 2, 13.81319726, 160, 342);
INSERT INTO public.ecdc_data VALUES (60522, 0, 16, 59.48788163, 19, 342);
INSERT INTO public.ecdc_data VALUES (60523, 16, 1009, 18.55392237, 20, 342);
INSERT INTO public.ecdc_data VALUES (60524, 0, 0, 0, 79, 342);
INSERT INTO public.ecdc_data VALUES (60525, 0, 0, 78.0656162, 161, 342);
INSERT INTO public.ecdc_data VALUES (60526, 0, 0, 0, 203, 342);
INSERT INTO public.ecdc_data VALUES (60527, 0, 9, 6.05300658, 162, 342);
INSERT INTO public.ecdc_data VALUES (60528, 29, 3082, 92.51355445, 163, 342);
INSERT INTO public.ecdc_data VALUES (60529, 0, 107, 113.14606943, 204, 342);
INSERT INTO public.ecdc_data VALUES (60530, 0, 28, 12.10543419, 21, 342);
INSERT INTO public.ecdc_data VALUES (60531, 0, 0, 46.47109336, 22, 342);
INSERT INTO public.ecdc_data VALUES (60532, 0, 0, 3.40275453, 164, 342);
INSERT INTO public.ecdc_data VALUES (60533, 4, 1218, 21.91661345, 165, 342);
INSERT INTO public.ecdc_data VALUES (60534, 0, 93, 5.40800736, 23, 342);
INSERT INTO public.ecdc_data VALUES (60535, 0, 0, 201.74449653, 166, 342);
INSERT INTO public.ecdc_data VALUES (60536, 4, 183, 28.85888787, 167, 342);
INSERT INTO public.ecdc_data VALUES (60537, 0, 0, 0, 80, 342);
INSERT INTO public.ecdc_data VALUES (60538, 0, 0, 0, 81, 342);
INSERT INTO public.ecdc_data VALUES (60539, 0, 48, 488.95663349, 205, 342);
INSERT INTO public.ecdc_data VALUES (60540, 20, 162, 63.30526516, 82, 342);
INSERT INTO public.ecdc_data VALUES (60541, 0, 0, 0, 168, 342);
INSERT INTO public.ecdc_data VALUES (60542, 0, 38, 6.17794066, 24, 342);
INSERT INTO public.ecdc_data VALUES (60543, 0, 0, 4.58114536, 25, 342);
INSERT INTO public.ecdc_data VALUES (60544, 2, 72, 76.26712657, 83, 342);
INSERT INTO public.ecdc_data VALUES (60545, 0, 15, 2.90329136, 84, 342);
INSERT INTO public.ecdc_data VALUES (60546, 0, 0, 0, 169, 342);
INSERT INTO public.ecdc_data VALUES (60547, 15, 840, 102.79993618, 85, 342);
INSERT INTO public.ecdc_data VALUES (60548, 1, 178, 11.9618253, 170, 342);
INSERT INTO public.ecdc_data VALUES (60549, 0, 2, 26.05107692, 171, 342);
INSERT INTO public.ecdc_data VALUES (60550, 759, 69921, 72.33688202, 112, 342);
INSERT INTO public.ecdc_data VALUES (60551, 74, 2743, 12.3513829, 113, 342);
INSERT INTO public.ecdc_data VALUES (60552, 109, 1642, 35.89507008, 114, 342);
INSERT INTO public.ecdc_data VALUES (60553, 83, 3757, 139.40802379, 115, 342);
INSERT INTO public.ecdc_data VALUES (60554, 0, 51, 30.5449978, 172, 342);
INSERT INTO public.ecdc_data VALUES (60555, 0, 0, 0, 173, 342);
INSERT INTO public.ecdc_data VALUES (60556, 20, 3010, 257.072909, 116, 342);
INSERT INTO public.ecdc_data VALUES (60557, 6, 996, 24.81629004, 174, 342);
INSERT INTO public.ecdc_data VALUES (60558, 0, 0, 41.65144591, 86, 342);
INSERT INTO public.ecdc_data VALUES (60559, 17, 527, 9.80133272, 117, 342);
INSERT INTO public.ecdc_data VALUES (60560, 0, 0, 15.77052952, 175, 342);
INSERT INTO public.ecdc_data VALUES (60561, 0, 68, 6.29597186, 118, 342);
INSERT INTO public.ecdc_data VALUES (60562, 34, 923, 51.87201762, 119, 342);
INSERT INTO public.ecdc_data VALUES (60563, 3, 144, 7.29638682, 26, 342);
INSERT INTO public.ecdc_data VALUES (60564, 9, 120, 106.14365479, 176, 342);
INSERT INTO public.ecdc_data VALUES (60565, 1, 473, 196.85876916, 120, 342);
INSERT INTO public.ecdc_data VALUES (60566, 1, 60, 28.24255114, 121, 342);
INSERT INTO public.ecdc_data VALUES (60567, 0, 0, 0.02789612, 122, 342);
INSERT INTO public.ecdc_data VALUES (60568, 0, 3, 3.8021467, 177, 342);
INSERT INTO public.ecdc_data VALUES (60569, 7, 438, 116.26806214, 123, 342);
INSERT INTO public.ecdc_data VALUES (60570, 0, 19, 6.54035469, 27, 342);
INSERT INTO public.ecdc_data VALUES (60571, 0, 0, 0.5468494, 28, 342);
INSERT INTO public.ecdc_data VALUES (60572, 5, 543, 79.48413659, 29, 342);
INSERT INTO public.ecdc_data VALUES (60573, 0, 0, 36.47923289, 178, 342);
INSERT INTO public.ecdc_data VALUES (60574, 0, 32, 16.82065319, 179, 342);
INSERT INTO public.ecdc_data VALUES (60575, 0, 52, -129.01250053, 180, 342);
INSERT INTO public.ecdc_data VALUES (60576, 1, 20, 3.62263679, 30, 342);
INSERT INTO public.ecdc_data VALUES (60577, 1, 30, 2.65181521, 31, 342);
INSERT INTO public.ecdc_data VALUES (60578, 1, 6, 0.40062862, 124, 342);
INSERT INTO public.ecdc_data VALUES (60579, 0, 141, 357.65608138, 125, 342);
INSERT INTO public.ecdc_data VALUES (60580, 0, 3, 0.69182949, 32, 342);
INSERT INTO public.ecdc_data VALUES (60581, 0, 26, 99.07630091, 181, 342);
INSERT INTO public.ecdc_data VALUES (60582, 0, 26, 7.66732557, 33, 342);
INSERT INTO public.ecdc_data VALUES (60583, 0, 10, 0.78760623, 34, 342);
INSERT INTO public.ecdc_data VALUES (60584, 256, 6729, 58.31525888, 87, 342);
INSERT INTO public.ecdc_data VALUES (60585, 3, 220, 161.82494414, 182, 342);
INSERT INTO public.ecdc_data VALUES (60586, 0, 7, 114.85567478, 183, 342);
INSERT INTO public.ecdc_data VALUES (60587, 0, 3, 0.18603694, 126, 342);
INSERT INTO public.ecdc_data VALUES (60588, 2, 45, 120.54350656, 184, 342);
INSERT INTO public.ecdc_data VALUES (60589, 0, 0, 0, 88, 342);
INSERT INTO public.ecdc_data VALUES (60590, 30, 1191, 52.18283096, 35, 342);
INSERT INTO public.ecdc_data VALUES (60591, 0, 95, 3.29973846, 36, 342);
INSERT INTO public.ecdc_data VALUES (60592, 0, 100, 0.94550099, 127, 342);
INSERT INTO public.ecdc_data VALUES (60593, 3, 185, 128.52151352, 37, 342);
INSERT INTO public.ecdc_data VALUES (60594, 7, 899, 42.71076139, 128, 342);
INSERT INTO public.ecdc_data VALUES (60595, 0, 525, 41.499435, 185, 342);
INSERT INTO public.ecdc_data VALUES (60596, 0, 0, 0, 207, 342);
INSERT INTO public.ecdc_data VALUES (60597, 0, 14, 2.2579678, 208, 342);
INSERT INTO public.ecdc_data VALUES (60598, 0, 0, 5.79023491, 89, 342);
INSERT INTO public.ecdc_data VALUES (60599, 0, 0, 0.03860885, 38, 342);
INSERT INTO public.ecdc_data VALUES (60600, 0, 143, 2.2506563, 39, 342);
INSERT INTO public.ecdc_data VALUES (60601, 16, 403, 74.91098303, 186, 342);
INSERT INTO public.ecdc_data VALUES (60602, 0, 0, 3.49570902, 209, 342);
INSERT INTO public.ecdc_data VALUES (60603, 0, 101, 12.01153408, 187, 342);
INSERT INTO public.ecdc_data VALUES (60604, 8, 178, 50.17093495, 129, 342);
INSERT INTO public.ecdc_data VALUES (60605, 4, 300, 2.91690289, 130, 342);
INSERT INTO public.ecdc_data VALUES (60606, 7, 806, 150.11777761, 131, 342);
INSERT INTO public.ecdc_data VALUES (60607, 7, 917, 245.82944773, 90, 342);
INSERT INTO public.ecdc_data VALUES (60608, 0, 0, 1.43571435, 210, 342);
INSERT INTO public.ecdc_data VALUES (60609, 18, 467, 106.84720679, 91, 342);
INSERT INTO public.ecdc_data VALUES (60610, 156, 4871, 340.02592765, 92, 342);
INSERT INTO public.ecdc_data VALUES (60611, 43, 3423, 52.11502076, 132, 342);
INSERT INTO public.ecdc_data VALUES (60612, 6, 502, 26.57954328, 188, 342);
INSERT INTO public.ecdc_data VALUES (60613, 3, 244, 36.76307096, 189, 342);
INSERT INTO public.ecdc_data VALUES (60614, 0, 351, 219.50607554, 93, 342);
INSERT INTO public.ecdc_data VALUES (60615, 0, 203, 120.40658585, 133, 342);
INSERT INTO public.ecdc_data VALUES (60616, 43, 755, 84.194985, 190, 342);
INSERT INTO public.ecdc_data VALUES (60617, 83, 4993, 46.32409205, 191, 342);
INSERT INTO public.ecdc_data VALUES (60618, 0, 43, 12.06151483, 40, 342);
INSERT INTO public.ecdc_data VALUES (60619, 0, 0, 0, 94, 342);
INSERT INTO public.ecdc_data VALUES (60620, 0, 0, 0.54706092, 95, 342);
INSERT INTO public.ecdc_data VALUES (60621, 0, 0, 1.80843272, 96, 342);
INSERT INTO public.ecdc_data VALUES (60622, 0, 5, 14.51252431, 192, 342);
INSERT INTO public.ecdc_data VALUES (60623, 0, 0, 5.11513709, 41, 342);
INSERT INTO public.ecdc_data VALUES (60624, 27, 951, 46.27569511, 134, 342);
INSERT INTO public.ecdc_data VALUES (60625, 0, 55, 8.43132964, 42, 342);
INSERT INTO public.ecdc_data VALUES (60626, 2, 41, 23.32072138, 193, 342);
INSERT INTO public.ecdc_data VALUES (60627, 0, 0, 9.20800892, 43, 342);
INSERT INTO public.ecdc_data VALUES (60628, 0, 4, 0.89591892, 44, 342);
INSERT INTO public.ecdc_data VALUES (60629, 0, 41, 16.7805383, 135, 342);
INSERT INTO public.ecdc_data VALUES (60630, 0, 13, 353.86538961, 97, 342);
INSERT INTO public.ecdc_data VALUES (60631, 0, 41, 18.53067864, 194, 342);
INSERT INTO public.ecdc_data VALUES (60632, 0, 27, 21.81739894, 195, 342);
INSERT INTO public.ecdc_data VALUES (60633, 0, 0, 0.34319965, 45, 342);
INSERT INTO public.ecdc_data VALUES (60634, 121, 1985, 63.4496236, 46, 342);
INSERT INTO public.ecdc_data VALUES (60635, 0, 235, 8.63049741, 136, 342);
INSERT INTO public.ecdc_data VALUES (60636, 0, 8, 0.33447495, 47, 342);
INSERT INTO public.ecdc_data VALUES (60637, 58, 8115, 227.48974904, 196, 342);
INSERT INTO public.ecdc_data VALUES (60638, 0, 37, 0.69875192, 137, 342);
INSERT INTO public.ecdc_data VALUES (60639, 0, 0, 1.81953072, 48, 342);
INSERT INTO public.ecdc_data VALUES (60640, 4, 25, 164.61315908, 98, 342);
INSERT INTO public.ecdc_data VALUES (60641, 2, 162, 28.22040853, 197, 342);
INSERT INTO public.ecdc_data VALUES (60642, 1, 163, 45.79539628, 198, 342);
INSERT INTO public.ecdc_data VALUES (60643, 3, 62, 5.8640437, 138, 342);
INSERT INTO public.ecdc_data VALUES (60644, 0, 0, 0.01261889, 139, 342);
INSERT INTO public.ecdc_data VALUES (60645, 0, 33, 5.19256309, 140, 342);
INSERT INTO public.ecdc_data VALUES (60646, 0, 5, 0.0560139, 141, 342);
INSERT INTO public.ecdc_data VALUES (60647, 0, 0, 0.15466469, 142, 342);
INSERT INTO public.ecdc_data VALUES (60648, 1, 4, 3.04366584, 49, 342);
INSERT INTO public.ecdc_data VALUES (60649, 1, 76, 86.52522027, 99, 342);
INSERT INTO public.ecdc_data VALUES (60650, 1, 118, 13.83530227, 50, 342);
INSERT INTO public.ecdc_data VALUES (60651, 44, 1587, 23.89033241, 199, 342);
INSERT INTO public.ecdc_data VALUES (60652, 1, 1, 549.82457978, 100, 342);
INSERT INTO public.ecdc_data VALUES (60653, 2, 44, 3.18954862, 51, 342);
INSERT INTO public.ecdc_data VALUES (60654, 30, 2141, 60.87015799, 200, 342);
INSERT INTO public.ecdc_data VALUES (60655, 2, 541, 58.23637335, 143, 342);
INSERT INTO public.ecdc_data VALUES (60656, 2, 1406, 25.02133926, 201, 342);
INSERT INTO public.ecdc_data VALUES (60657, 0, 0, 0, 52, 342);
INSERT INTO public.ecdc_data VALUES (60658, 529, 33850, 180.11278911, 101, 342);
INSERT INTO public.ecdc_data VALUES (60659, 1, 5, 327.98171717, 102, 342);
INSERT INTO public.ecdc_data VALUES (60660, 0, 10, 3.98644493, 103, 342);
INSERT INTO public.ecdc_data VALUES (60661, 5, 343, 17.87050795, 144, 342);
INSERT INTO public.ecdc_data VALUES (60662, 0, 0, 38.8065169, 104, 342);
INSERT INTO public.ecdc_data VALUES (60663, 2, 4, 0.06323727, 145, 342);
INSERT INTO public.ecdc_data VALUES (60664, 0, 0, 0, 53, 342);
INSERT INTO public.ecdc_data VALUES (60665, 2, 5, 0.26061382, 146, 342);
INSERT INTO public.ecdc_data VALUES (60666, 1, 72, 12.64204525, 54, 342);
INSERT INTO public.ecdc_data VALUES (60667, 6, 85, 8.11854967, 55, 342);
INSERT INTO public.ecdc_data VALUES (60668, 12, 168, 3.73536901, 105, 343);
INSERT INTO public.ecdc_data VALUES (60669, 3, 79, 47.86148258, 147, 343);
INSERT INTO public.ecdc_data VALUES (60670, 10, 563, 19.61765593, 1, 343);
INSERT INTO public.ecdc_data VALUES (60671, 0, 3, 59.07294853, 148, 343);
INSERT INTO public.ecdc_data VALUES (60672, 3, 31, 1.47995467, 2, 343);
INSERT INTO public.ecdc_data VALUES (60673, 0, 0, 0, 56, 343);
INSERT INTO public.ecdc_data VALUES (60674, 0, 0, 15.44560573, 57, 343);
INSERT INTO public.ecdc_data VALUES (60675, 155, 6377, 157.63496196, 58, 343);
INSERT INTO public.ecdc_data VALUES (60676, 11, 291, 148.05282974, 149, 343);
INSERT INTO public.ecdc_data VALUES (60677, 0, 1, 12.22838867, 59, 343);
INSERT INTO public.ecdc_data VALUES (60678, 7, 602, 22.49714322, 202, 343);
INSERT INTO public.ecdc_data VALUES (60679, 0, 89, 19.09970622, 150, 343);
INSERT INTO public.ecdc_data VALUES (60680, 7, 318, 52.17104499, 151, 343);
INSERT INTO public.ecdc_data VALUES (60681, 0, 66, 114.25314389, 60, 343);
INSERT INTO public.ecdc_data VALUES (60682, 1, 227, 335.67638578, 106, 343);
INSERT INTO public.ecdc_data VALUES (60683, 28, 2772, 23.49273172, 107, 343);
INSERT INTO public.ecdc_data VALUES (60684, 0, 0, 2.09043938, 61, 343);
INSERT INTO public.ecdc_data VALUES (60685, 6, 143, 21.43368955, 152, 343);
INSERT INTO public.ecdc_data VALUES (60686, 3, 684, 48.66649865, 153, 343);
INSERT INTO public.ecdc_data VALUES (60687, 0, 0, 2.04943756, 62, 343);
INSERT INTO public.ecdc_data VALUES (60688, 1, 35, 1.72017119, 3, 343);
INSERT INTO public.ecdc_data VALUES (60689, 0, 0, 6.3991809, 63, 343);
INSERT INTO public.ecdc_data VALUES (60690, 0, 0, 1.83463636, 108, 343);
INSERT INTO public.ecdc_data VALUES (60691, 83, 1555, 179.68224376, 64, 343);
INSERT INTO public.ecdc_data VALUES (60692, 0, 0, 3.84867028, 65, 343);
INSERT INTO public.ecdc_data VALUES (60693, 0, 0, 12.2411613, 4, 343);
INSERT INTO public.ecdc_data VALUES (60694, 0, 0, 107.11911973, 154, 343);
INSERT INTO public.ecdc_data VALUES (60695, 1212, 52383, 291.94901885, 66, 343);
INSERT INTO public.ecdc_data VALUES (60696, 0, 0, 0, 67, 343);
INSERT INTO public.ecdc_data VALUES (60697, 0, 0, 0, 109, 343);
INSERT INTO public.ecdc_data VALUES (60698, 9, 270, 46.39974149, 155, 343);
INSERT INTO public.ecdc_data VALUES (60699, 0, 26, 0.47240879, 5, 343);
INSERT INTO public.ecdc_data VALUES (60700, 0, 4, 0.70248002, 6, 343);
INSERT INTO public.ecdc_data VALUES (60701, 0, 5, 0.41245763, 110, 343);
INSERT INTO public.ecdc_data VALUES (60702, 0, 0, 4.24325081, 7, 343);
INSERT INTO public.ecdc_data VALUES (60703, 6, 513, 17.74877243, 68, 343);
INSERT INTO public.ecdc_data VALUES (60704, 0, 78, 93.10174275, 8, 343);
INSERT INTO public.ecdc_data VALUES (60705, 0, 0, 0, 69, 343);
INSERT INTO public.ecdc_data VALUES (60706, 0, 3, 4.61521051, 9, 343);
INSERT INTO public.ecdc_data VALUES (60707, 0, 1, 0.3072701, 10, 343);
INSERT INTO public.ecdc_data VALUES (60708, 80, 2131, 153.69325774, 70, 343);
INSERT INTO public.ecdc_data VALUES (60709, 2, 166, 0.15706693, 111, 343);
INSERT INTO public.ecdc_data VALUES (60710, 295, 9488, 225.20710052, 71, 343);
INSERT INTO public.ecdc_data VALUES (60711, 0, 4, 6.34628877, 11, 343);
INSERT INTO public.ecdc_data VALUES (60712, 0, 0, 13.80911528, 12, 343);
INSERT INTO public.ecdc_data VALUES (60713, 10, 530, 155.54046796, 72, 343);
INSERT INTO public.ecdc_data VALUES (60714, 2, 69, 9.14197135, 13, 343);
INSERT INTO public.ecdc_data VALUES (60715, 1, 67, 24.55690849, 156, 343);
INSERT INTO public.ecdc_data VALUES (60716, 0, 11, 1.44703959, 73, 343);
INSERT INTO public.ecdc_data VALUES (60717, 0, 0, 1.83572692, 74, 343);
INSERT INTO public.ecdc_data VALUES (60718, 0, 30, 9.47597839, 157, 343);
INSERT INTO public.ecdc_data VALUES (60719, 3, 232, 26.59204868, 158, 343);
INSERT INTO public.ecdc_data VALUES (60720, 0, 60, 0.94710752, 14, 343);
INSERT INTO public.ecdc_data VALUES (60721, 0, 64, 10.60956607, 159, 343);
INSERT INTO public.ecdc_data VALUES (60722, 0, 0, 8.01185755, 15, 343);
INSERT INTO public.ecdc_data VALUES (60723, 0, 0, 0, 75, 343);
INSERT INTO public.ecdc_data VALUES (60724, 14, 1734, 181.91710796, 76, 343);
INSERT INTO public.ecdc_data VALUES (60725, 45, 985, 74.31365774, 77, 343);
INSERT INTO public.ecdc_data VALUES (60726, 31, 321, 7.57460478, 16, 343);
INSERT INTO public.ecdc_data VALUES (60727, 9, 402, 84.06226031, 78, 343);
INSERT INTO public.ecdc_data VALUES (60728, 0, 0, 0, 17, 343);
INSERT INTO public.ecdc_data VALUES (60729, 0, 0, 0.80065951, 18, 343);
INSERT INTO public.ecdc_data VALUES (60730, 0, 13, 3.3212059, 160, 343);
INSERT INTO public.ecdc_data VALUES (60731, 1, 71, 89.6237631, 19, 343);
INSERT INTO public.ecdc_data VALUES (60732, 11, 915, 7.78649101, 20, 343);
INSERT INTO public.ecdc_data VALUES (60733, 0, 0, 0, 79, 343);
INSERT INTO public.ecdc_data VALUES (60734, 0, 5, 76.01125788, 161, 343);
INSERT INTO public.ecdc_data VALUES (60735, 1, 0, 0.11236523, 203, 343);
INSERT INTO public.ecdc_data VALUES (60736, 0, 9, 2.37408342, 162, 343);
INSERT INTO public.ecdc_data VALUES (60737, 11, 1346, 19.76485626, 163, 343);
INSERT INTO public.ecdc_data VALUES (60738, 0, 0, 0, 204, 343);
INSERT INTO public.ecdc_data VALUES (60739, 0, 0, 47.73131275, 21, 343);
INSERT INTO public.ecdc_data VALUES (60740, 1, 95, 17.88988012, 22, 343);
INSERT INTO public.ecdc_data VALUES (60741, 0, 8, 3.75303808, 164, 343);
INSERT INTO public.ecdc_data VALUES (60742, 0, 955, 9.97479945, 165, 343);
INSERT INTO public.ecdc_data VALUES (60743, 7, 359, 29.35446671, 23, 343);
INSERT INTO public.ecdc_data VALUES (60744, 0, 0, 20.76781582, 166, 343);
INSERT INTO public.ecdc_data VALUES (60745, 3, 76, 4.78339563, 167, 343);
INSERT INTO public.ecdc_data VALUES (60746, 0, 0, 1.76491352, 80, 343);
INSERT INTO public.ecdc_data VALUES (60747, 0, 0, 0.8928412, 81, 343);
INSERT INTO public.ecdc_data VALUES (60748, 0, 3, 26.30084581, 205, 343);
INSERT INTO public.ecdc_data VALUES (60749, 57, 963, 90.89111745, 82, 343);
INSERT INTO public.ecdc_data VALUES (60750, 0, 0, 0, 168, 343);
INSERT INTO public.ecdc_data VALUES (60751, 0, 66, 6.87481864, 24, 343);
INSERT INTO public.ecdc_data VALUES (60752, 0, 0, 2.81115738, 25, 343);
INSERT INTO public.ecdc_data VALUES (60753, 0, 12, 12.51956182, 83, 343);
INSERT INTO public.ecdc_data VALUES (60754, 0, 12, 3.98647652, 84, 343);
INSERT INTO public.ecdc_data VALUES (60755, 0, 0, 0, 169, 343);
INSERT INTO public.ecdc_data VALUES (60756, 25, 976, 109.34613433, 85, 343);
INSERT INTO public.ecdc_data VALUES (60757, 0, 0, 2.16929595, 170, 343);
INSERT INTO public.ecdc_data VALUES (60758, 0, 13, 13.72583623, 171, 343);
INSERT INTO public.ecdc_data VALUES (60759, 764, 57118, 48.10183395, 112, 343);
INSERT INTO public.ecdc_data VALUES (60760, 73, 2040, 9.32875644, 113, 343);
INSERT INTO public.ecdc_data VALUES (60761, 197, 2674, 41.9278347, 114, 343);
INSERT INTO public.ecdc_data VALUES (60762, 70, 3346, 92.69446855, 115, 343);
INSERT INTO public.ecdc_data VALUES (60763, 0, 38, 6.83082394, 172, 343);
INSERT INTO public.ecdc_data VALUES (60764, 0, 0, 0, 173, 343);
INSERT INTO public.ecdc_data VALUES (60765, 9, 591, 275.97101336, 116, 343);
INSERT INTO public.ecdc_data VALUES (60766, 9, 379, 5.91455741, 174, 343);
INSERT INTO public.ecdc_data VALUES (60767, 0, 0, 3.25613909, 86, 343);
INSERT INTO public.ecdc_data VALUES (60768, 1, 598, 8.07187125, 117, 343);
INSERT INTO public.ecdc_data VALUES (60769, 0, 0, 3.71071283, 175, 343);
INSERT INTO public.ecdc_data VALUES (60770, 0, 2, -0.15838923, 118, 343);
INSERT INTO public.ecdc_data VALUES (60771, 0, 1289, 116.77807229, 119, 343);
INSERT INTO public.ecdc_data VALUES (60772, 16, 723, 16.30845167, 26, 343);
INSERT INTO public.ecdc_data VALUES (60773, 15, 226, 158.90967281, 176, 343);
INSERT INTO public.ecdc_data VALUES (60774, 2, 428, 207.65010957, 120, 343);
INSERT INTO public.ecdc_data VALUES (60775, 19, 494, 182.2517387, 121, 343);
INSERT INTO public.ecdc_data VALUES (60776, 0, 0, 0.01394806, 122, 343);
INSERT INTO public.ecdc_data VALUES (60777, 1, 3, 2.39587326, 177, 343);
INSERT INTO public.ecdc_data VALUES (60778, 4, 221, 27.05774122, 123, 343);
INSERT INTO public.ecdc_data VALUES (60779, 0, 0, 13.78650306, 27, 343);
INSERT INTO public.ecdc_data VALUES (60780, 2, 5, 2.04562182, 28, 343);
INSERT INTO public.ecdc_data VALUES (60781, 0, 0, 22.39779457, 29, 343);
INSERT INTO public.ecdc_data VALUES (60782, 0, 0, 7.81697848, 178, 343);
INSERT INTO public.ecdc_data VALUES (60783, 0, 13, 5.97670017, 179, 343);
INSERT INTO public.ecdc_data VALUES (60784, 0, 79, 229.68134564, 180, 343);
INSERT INTO public.ecdc_data VALUES (60785, 1, 120, 16.31855117, 30, 343);
INSERT INTO public.ecdc_data VALUES (60786, 5, 97, 6.80668358, 31, 343);
INSERT INTO public.ecdc_data VALUES (60787, 1, 12, 0.69171036, 124, 343);
INSERT INTO public.ecdc_data VALUES (60788, 0, 74, 165.73846846, 125, 343);
INSERT INTO public.ecdc_data VALUES (60789, 0, 13, 0.34591474, 32, 343);
INSERT INTO public.ecdc_data VALUES (60790, 0, 18, 16.20880178, 181, 343);
INSERT INTO public.ecdc_data VALUES (60791, 1, 25, 18.7595372, 33, 343);
INSERT INTO public.ecdc_data VALUES (60792, 0, 0, 0.07876062, 34, 343);
INSERT INTO public.ecdc_data VALUES (60793, 688, 6660, 74.46725931, 87, 343);
INSERT INTO public.ecdc_data VALUES (60794, 7, 786, 104.8411949, 182, 343);
INSERT INTO public.ecdc_data VALUES (60795, 0, 0, 24.18014206, 183, 343);
INSERT INTO public.ecdc_data VALUES (60796, 0, 0, 0.12402462, 126, 343);
INSERT INTO public.ecdc_data VALUES (60797, 1, 39, 240.12266507, 184, 343);
INSERT INTO public.ecdc_data VALUES (60798, 0, 0, 20.03606492, 88, 343);
INSERT INTO public.ecdc_data VALUES (60799, 7, 1063, 20.82706936, 35, 343);
INSERT INTO public.ecdc_data VALUES (60800, 0, 56, 1.5214363, 36, 343);
INSERT INTO public.ecdc_data VALUES (60801, 0, 0, 0.02590414, 127, 343);
INSERT INTO public.ecdc_data VALUES (60802, 0, 77, 42.13228656, 37, 343);
INSERT INTO public.ecdc_data VALUES (60803, 4, 224, 8.13038964, 128, 343);
INSERT INTO public.ecdc_data VALUES (60804, 0, 338, 16.47363238, 185, 343);
INSERT INTO public.ecdc_data VALUES (60805, 0, 0, 0, 207, 343);
INSERT INTO public.ecdc_data VALUES (60806, 0, 2, 0.25088531, 208, 343);
INSERT INTO public.ecdc_data VALUES (60807, 0, 0, 8.02077396, 89, 343);
INSERT INTO public.ecdc_data VALUES (60808, 0, 0, 0.1372759, 38, 343);
INSERT INTO public.ecdc_data VALUES (60809, 1, 462, 3.83004678, 39, 343);
INSERT INTO public.ecdc_data VALUES (60810, 6, 139, 95.80517752, 186, 343);
INSERT INTO public.ecdc_data VALUES (60811, 0, 0, 8.73927254, 209, 343);
INSERT INTO public.ecdc_data VALUES (60812, 0, 36, 3.62222824, 187, 343);
INSERT INTO public.ecdc_data VALUES (60813, 0, 0, 300.82460434, 129, 343);
INSERT INTO public.ecdc_data VALUES (60814, 0, 0, 7.56723201, 130, 343);
INSERT INTO public.ecdc_data VALUES (60815, 1, 394, 123.98066255, 131, 343);
INSERT INTO public.ecdc_data VALUES (60816, 24, 1065, 326.10845791, 90, 343);
INSERT INTO public.ecdc_data VALUES (60817, 0, 0, 0.64948983, 210, 343);
INSERT INTO public.ecdc_data VALUES (60818, 2, 131, 26.7011553, 91, 343);
INSERT INTO public.ecdc_data VALUES (60819, 196, 7243, 212.84840554, 92, 343);
INSERT INTO public.ecdc_data VALUES (60820, 40, 3980, 28.07431405, 132, 343);
INSERT INTO public.ecdc_data VALUES (60821, 7, 657, 16.54078186, 188, 343);
INSERT INTO public.ecdc_data VALUES (60822, 8, 204, 29.14383206, 189, 343);
INSERT INTO public.ecdc_data VALUES (60823, 5, 209, 192.9839872, 93, 343);
INSERT INTO public.ecdc_data VALUES (60824, 3, 235, 169.38134672, 133, 343);
INSERT INTO public.ecdc_data VALUES (60825, 39, 1295, 77.69467476, 190, 343);
INSERT INTO public.ecdc_data VALUES (60826, 161, 5482, 55.37584733, 191, 343);
INSERT INTO public.ecdc_data VALUES (60827, 0, 28, 4.25281252, 40, 343);
INSERT INTO public.ecdc_data VALUES (60828, 0, 0, 0, 94, 343);
INSERT INTO public.ecdc_data VALUES (60829, 0, 0, 1.09412183, 95, 343);
INSERT INTO public.ecdc_data VALUES (60830, 0, 2, 14.46746177, 96, 343);
INSERT INTO public.ecdc_data VALUES (60831, 0, 0, 0, 192, 343);
INSERT INTO public.ecdc_data VALUES (60832, 0, 1, 60.4516201, 41, 343);
INSERT INTO public.ecdc_data VALUES (60833, 0, 1686, 87.70145926, 134, 343);
INSERT INTO public.ecdc_data VALUES (60834, 1, 126, 10.35814006, 42, 343);
INSERT INTO public.ecdc_data VALUES (60835, 8, 339, 78.16175275, 193, 343);
INSERT INTO public.ecdc_data VALUES (60836, 0, 0, 14.32356943, 43, 343);
INSERT INTO public.ecdc_data VALUES (60837, 0, 0, 1.66384943, 44, 343);
INSERT INTO public.ecdc_data VALUES (60838, 0, 396, 81.86973099, 135, 343);
INSERT INTO public.ecdc_data VALUES (60839, 0, 0, 115.59602727, 97, 343);
INSERT INTO public.ecdc_data VALUES (60840, 1, 27, 5.99953655, 194, 343);
INSERT INTO public.ecdc_data VALUES (60841, 0, 26, 11.96593026, 195, 343);
INSERT INTO public.ecdc_data VALUES (60842, 0, 0, 0.68639931, 45, 343);
INSERT INTO public.ecdc_data VALUES (60843, 193, 11014, 265.69946136, 46, 343);
INSERT INTO public.ecdc_data VALUES (60844, 0, 31, 1.22009972, 136, 343);
INSERT INTO public.ecdc_data VALUES (60845, 0, 0, 1.18422211, 47, 343);
INSERT INTO public.ecdc_data VALUES (60846, 0, 0, 60.22320103, 196, 343);
INSERT INTO public.ecdc_data VALUES (60847, 0, 1, 0.553374, 137, 343);
INSERT INTO public.ecdc_data VALUES (60848, 21, 148, 2.60900618, 48, 343);
INSERT INTO public.ecdc_data VALUES (60849, 0, 56, 131.24330238, 98, 343);
INSERT INTO public.ecdc_data VALUES (60850, 2, 258, 27.93693369, 197, 343);
INSERT INTO public.ecdc_data VALUES (60851, 0, 137, 20.76182801, 198, 343);
INSERT INTO public.ecdc_data VALUES (60852, 0, 0, 1.41768089, 138, 343);
INSERT INTO public.ecdc_data VALUES (60853, 0, 7, 0.08412594, 139, 343);
INSERT INTO public.ecdc_data VALUES (60854, 0, 43, 6.68381571, 140, 343);
INSERT INTO public.ecdc_data VALUES (60855, 0, 2, 0.09479275, 141, 343);
INSERT INTO public.ecdc_data VALUES (60856, 0, 0, 0, 142, 343);
INSERT INTO public.ecdc_data VALUES (60857, 1, 14, 2.37554407, 49, 343);
INSERT INTO public.ecdc_data VALUES (60858, 0, 5, 2.36564397, 99, 343);
INSERT INTO public.ecdc_data VALUES (60859, 0, 21, 1.70162247, 50, 343);
INSERT INTO public.ecdc_data VALUES (60860, 17, 982, 15.94314767, 199, 343);
INSERT INTO public.ecdc_data VALUES (60861, 0, 3, 86.40100539, 100, 343);
INSERT INTO public.ecdc_data VALUES (60862, 1, 7, 0.22137094, 51, 343);
INSERT INTO public.ecdc_data VALUES (60863, 20, 1090, 28.68596265, 200, 343);
INSERT INTO public.ecdc_data VALUES (60864, 0, 0, 41.79918256, 143, 343);
INSERT INTO public.ecdc_data VALUES (60865, 20, 880, 12.81525897, 201, 343);
INSERT INTO public.ecdc_data VALUES (60866, 0, 0, 0, 52, 343);
INSERT INTO public.ecdc_data VALUES (60867, 1244, 67023, 277.8545973, 101, 343);
INSERT INTO public.ecdc_data VALUES (60868, 0, 21, 117.61443502, 102, 343);
INSERT INTO public.ecdc_data VALUES (60869, 0, 21, 6.55741304, 103, 343);
INSERT INTO public.ecdc_data VALUES (60870, 6, 746, 25.49291327, 144, 343);
INSERT INTO public.ecdc_data VALUES (60871, 6, 715, 25.89088327, 104, 343);
INSERT INTO public.ecdc_data VALUES (60872, 3, 49, 0.19178515, 145, 343);
INSERT INTO public.ecdc_data VALUES (60873, 0, 0, 0, 53, 343);
INSERT INTO public.ecdc_data VALUES (60874, 6, 2, 0.52122765, 146, 343);
INSERT INTO public.ecdc_data VALUES (60875, 2, 408, 17.65295335, 54, 343);
INSERT INTO public.ecdc_data VALUES (60876, 14, 77, 11.94225683, 55, 343);
INSERT INTO public.ecdc_data VALUES (60877, 13, 279, 13.68759072, 105, 344);
INSERT INTO public.ecdc_data VALUES (60878, 4, 69, 30.14924049, 147, 344);
INSERT INTO public.ecdc_data VALUES (60879, 7, 336, 6.41069505, 1, 344);
INSERT INTO public.ecdc_data VALUES (60880, 0, 0, 1.31273219, 148, 344);
INSERT INTO public.ecdc_data VALUES (60881, 2, 8, 0.44618591, 2, 344);
INSERT INTO public.ecdc_data VALUES (60882, 0, 0, 0, 56, 344);
INSERT INTO public.ecdc_data VALUES (60883, 0, 0, 41.18828193, 57, 344);
INSERT INTO public.ecdc_data VALUES (60884, 27, 2262, 67.82166638, 58, 344);
INSERT INTO public.ecdc_data VALUES (60885, 10, 523, 271.55979184, 149, 344);
INSERT INTO public.ecdc_data VALUES (60886, 0, 0, 1.88129057, 59, 344);
INSERT INTO public.ecdc_data VALUES (60887, 0, 67, 1.93229431, 202, 344);
INSERT INTO public.ecdc_data VALUES (60888, 2, 111, 7.66471662, 150, 344);
INSERT INTO public.ecdc_data VALUES (60889, 7, 556, 68.29410735, 151, 344);
INSERT INTO public.ecdc_data VALUES (60890, 0, 0, 0, 60, 344);
INSERT INTO public.ecdc_data VALUES (60891, 3, 519, 439.01767282, 106, 344);
INSERT INTO public.ecdc_data VALUES (60892, 64, 3682, 31.28070967, 107, 344);
INSERT INTO public.ecdc_data VALUES (60893, 0, 0, 0, 61, 344);
INSERT INTO public.ecdc_data VALUES (60894, 5, 328, 71.39978814, 152, 344);
INSERT INTO public.ecdc_data VALUES (60895, 8, 100, 10.95541808, 153, 344);
INSERT INTO public.ecdc_data VALUES (60896, 0, 4, 1.79325786, 62, 344);
INSERT INTO public.ecdc_data VALUES (60897, 2, 12, 5.65199106, 3, 344);
INSERT INTO public.ecdc_data VALUES (60898, 0, 0, 3.19959045, 63, 344);
INSERT INTO public.ecdc_data VALUES (60899, 0, 0, 1.31045454, 108, 344);
INSERT INTO public.ecdc_data VALUES (60900, 52, 1094, 115.83324807, 64, 344);
INSERT INTO public.ecdc_data VALUES (60901, 0, 0, 0, 65, 344);
INSERT INTO public.ecdc_data VALUES (60902, 2, 110, 41.47230625, 154, 344);
INSERT INTO public.ecdc_data VALUES (60903, 0, 52, 7.24919836, 4, 344);
INSERT INTO public.ecdc_data VALUES (60904, 1280, 33846, 226.89082746, 66, 344);
INSERT INTO public.ecdc_data VALUES (60905, 0, 0, 0, 67, 344);
INSERT INTO public.ecdc_data VALUES (60906, 0, 0, 0, 109, 344);
INSERT INTO public.ecdc_data VALUES (60907, 7, 158, 21.94273489, 155, 344);
INSERT INTO public.ecdc_data VALUES (60908, 0, 3, 0.32970197, 5, 344);
INSERT INTO public.ecdc_data VALUES (60909, 0, 0, 0.57239113, 6, 344);
INSERT INTO public.ecdc_data VALUES (60910, 0, 0, 0.07885219, 110, 344);
INSERT INTO public.ecdc_data VALUES (60911, 0, 0, 10.54243005, 7, 344);
INSERT INTO public.ecdc_data VALUES (60912, 25, 286, 12.66203841, 68, 344);
INSERT INTO public.ecdc_data VALUES (60913, 3, 62, 81.10034622, 8, 344);
INSERT INTO public.ecdc_data VALUES (60914, 0, 1, 10.77785305, 69, 344);
INSERT INTO public.ecdc_data VALUES (60915, 0, 132, 28.1338175, 9, 344);
INSERT INTO public.ecdc_data VALUES (60916, 0, 0, 0.08152064, 10, 344);
INSERT INTO public.ecdc_data VALUES (60917, 113, 3394, 500.96994861, 70, 344);
INSERT INTO public.ecdc_data VALUES (60918, 0, 5, 0.02531763, 111, 344);
INSERT INTO public.ecdc_data VALUES (60919, 111, 2803, 85.25124126, 71, 344);
INSERT INTO public.ecdc_data VALUES (60920, 0, 31, 12.45752981, 11, 344);
INSERT INTO public.ecdc_data VALUES (60921, 0, 0, 6.72799425, 12, 344);
INSERT INTO public.ecdc_data VALUES (60922, 1, 190, 33.48151711, 72, 344);
INSERT INTO public.ecdc_data VALUES (60923, 2, 285, 14.85424525, 13, 344);
INSERT INTO public.ecdc_data VALUES (60924, 0, 52, 12.80590033, 156, 344);
INSERT INTO public.ecdc_data VALUES (60925, 0, 1, 0.59999202, 73, 344);
INSERT INTO public.ecdc_data VALUES (60926, 0, 1, 1.83572692, 74, 344);
INSERT INTO public.ecdc_data VALUES (60927, 0, 2, 1.48418939, 157, 344);
INSERT INTO public.ecdc_data VALUES (60928, 1, 149, 17.3054893, 158, 344);
INSERT INTO public.ecdc_data VALUES (60929, 2, 99, 2.3781386, 14, 344);
INSERT INTO public.ecdc_data VALUES (60930, 0, 17, 8.92168056, 159, 344);
INSERT INTO public.ecdc_data VALUES (60931, 1, 26, 14.68840551, 15, 344);
INSERT INTO public.ecdc_data VALUES (60932, 0, 0, 0, 75, 344);
INSERT INTO public.ecdc_data VALUES (60933, 14, 752, 82.70821831, 76, 344);
INSERT INTO public.ecdc_data VALUES (60934, 25, 767, 48.86133069, 77, 344);
INSERT INTO public.ecdc_data VALUES (60935, 81, 1557, 20.37592592, 16, 344);
INSERT INTO public.ecdc_data VALUES (60936, 10, 265, 38.69188276, 78, 344);
INSERT INTO public.ecdc_data VALUES (60937, 0, 0, 51.25436768, 17, 344);
INSERT INTO public.ecdc_data VALUES (60938, 0, 12, 2.34478858, 18, 344);
INSERT INTO public.ecdc_data VALUES (60939, 0, 2, 1.05674733, 160, 344);
INSERT INTO public.ecdc_data VALUES (60940, 0, 17, 25.43259361, 19, 344);
INSERT INTO public.ecdc_data VALUES (60941, 0, 0, 1.97718163, 20, 344);
INSERT INTO public.ecdc_data VALUES (60942, 0, 0, 0, 79, 344);
INSERT INTO public.ecdc_data VALUES (60943, 0, 0, 0, 161, 344);
INSERT INTO public.ecdc_data VALUES (60944, 0, 0, 0, 203, 344);
INSERT INTO public.ecdc_data VALUES (60945, 0, 5, 1.84852297, 162, 344);
INSERT INTO public.ecdc_data VALUES (60946, 30, 541, 10.57259393, 163, 344);
INSERT INTO public.ecdc_data VALUES (60947, 0, 0, 0.71611436, 204, 344);
INSERT INTO public.ecdc_data VALUES (60948, 0, 0, 58.91618161, 21, 344);
INSERT INTO public.ecdc_data VALUES (60949, 0, 0, 0.55373438, 22, 344);
INSERT INTO public.ecdc_data VALUES (60950, 0, 0, 1.00081016, 164, 344);
INSERT INTO public.ecdc_data VALUES (60951, 12, 466, 9.08343952, 165, 344);
INSERT INTO public.ecdc_data VALUES (60952, 0, 390, 18.23928562, 23, 344);
INSERT INTO public.ecdc_data VALUES (60953, 0, 0, 2.96683083, 166, 344);
INSERT INTO public.ecdc_data VALUES (60954, 1, 19, 2.43365743, 167, 344);
INSERT INTO public.ecdc_data VALUES (60955, 0, 0, 0, 80, 344);
INSERT INTO public.ecdc_data VALUES (60956, 0, 0, 0, 81, 344);
INSERT INTO public.ecdc_data VALUES (60957, 0, 10, 47.22197316, 205, 344);
INSERT INTO public.ecdc_data VALUES (60958, 27, 687, 42.03287597, 82, 344);
INSERT INTO public.ecdc_data VALUES (60959, 0, 0, 0, 168, 344);
INSERT INTO public.ecdc_data VALUES (60960, 2, 40, 5.88822735, 24, 344);
INSERT INTO public.ecdc_data VALUES (60961, 3, 40, 8.43347214, 25, 344);
INSERT INTO public.ecdc_data VALUES (60962, 0, 10, 9.45354668, 83, 344);
INSERT INTO public.ecdc_data VALUES (60963, 0, 42, 12.67859348, 84, 344);
INSERT INTO public.ecdc_data VALUES (60964, 0, 0, 0, 169, 344);
INSERT INTO public.ecdc_data VALUES (60965, 12, 740, 101.59945784, 85, 344);
INSERT INTO public.ecdc_data VALUES (60966, 0, 10, 0.78790466, 170, 344);
INSERT INTO public.ecdc_data VALUES (60967, 0, 2, 3.36142928, 171, 344);
INSERT INTO public.ecdc_data VALUES (60968, 507, 18653, 16.9368408, 112, 344);
INSERT INTO public.ecdc_data VALUES (60969, 71, 1293, 5.90668508, 113, 344);
INSERT INTO public.ecdc_data VALUES (60970, 147, 2457, 42.48142106, 114, 344);
INSERT INTO public.ecdc_data VALUES (60971, 104, 1958, 67.18173939, 115, 344);
INSERT INTO public.ecdc_data VALUES (60972, 1, 11, 2.83428217, 172, 344);
INSERT INTO public.ecdc_data VALUES (60973, 0, 0, 0, 173, 344);
INSERT INTO public.ecdc_data VALUES (60974, 1, 803, 65.81470256, 116, 344);
INSERT INTO public.ecdc_data VALUES (60975, 23, 142, 5.09944193, 174, 344);
INSERT INTO public.ecdc_data VALUES (60976, 0, 4, 2.74736736, 86, 344);
INSERT INTO public.ecdc_data VALUES (60977, 2, 130, 0.8631542, 117, 344);
INSERT INTO public.ecdc_data VALUES (60978, 0, 0, 2.78303462, 175, 344);
INSERT INTO public.ecdc_data VALUES (60979, 0, 4, 1.49479835, 118, 344);
INSERT INTO public.ecdc_data VALUES (60980, 0, 19246, 137.57970545, 119, 344);
INSERT INTO public.ecdc_data VALUES (60981, 4, 176, 4.76661767, 26, 344);
INSERT INTO public.ecdc_data VALUES (60982, 2, 79, 62.38511298, 176, 344);
INSERT INTO public.ecdc_data VALUES (60983, 4, 671, 219.55861516, 120, 344);
INSERT INTO public.ecdc_data VALUES (60984, 5, 439, 49.4556373, 121, 344);
INSERT INTO public.ecdc_data VALUES (60985, 0, 0, 0, 122, 344);
INSERT INTO public.ecdc_data VALUES (60986, 0, 1, 1.04168403, 177, 344);
INSERT INTO public.ecdc_data VALUES (60987, 0, 33, 4.44884694, 123, 344);
INSERT INTO public.ecdc_data VALUES (60988, 0, 0, 1.08221696, 27, 344);
INSERT INTO public.ecdc_data VALUES (60989, 0, 10, 5.48874766, 28, 344);
INSERT INTO public.ecdc_data VALUES (60990, 3, 62, 5.26746552, 29, 344);
INSERT INTO public.ecdc_data VALUES (60991, 0, 0, 0, 178, 344);
INSERT INTO public.ecdc_data VALUES (60992, 0, 1, 1.46733358, 179, 344);
INSERT INTO public.ecdc_data VALUES (60993, 0, 43, 36.48838399, 180, 344);
INSERT INTO public.ecdc_data VALUES (60994, 0, 76, 3.32600327, 30, 344);
INSERT INTO public.ecdc_data VALUES (60995, 2, 41, 3.76300094, 31, 344);
INSERT INTO public.ecdc_data VALUES (60996, 0, 2, 0.41940809, 124, 344);
INSERT INTO public.ecdc_data VALUES (60997, 1, 25, 50.28655805, 125, 344);
INSERT INTO public.ecdc_data VALUES (60998, 1, 8, 1.50574653, 32, 344);
INSERT INTO public.ecdc_data VALUES (60999, 0, 1, 1.8234902, 181, 344);
INSERT INTO public.ecdc_data VALUES (61000, 0, 0, 46.22491381, 33, 344);
INSERT INTO public.ecdc_data VALUES (61001, 0, 0, 0.31504249, 34, 344);
INSERT INTO public.ecdc_data VALUES (61002, 648, 7143, 60.88706871, 87, 344);
INSERT INTO public.ecdc_data VALUES (61003, 9, 256, 107.8090985, 182, 344);
INSERT INTO public.ecdc_data VALUES (61004, 0, 0, 9.06755327, 183, 344);
INSERT INTO public.ecdc_data VALUES (61005, 0, 0, 0.71314159, 126, 344);
INSERT INTO public.ecdc_data VALUES (61006, 1, 47, 35.68087794, 184, 344);
INSERT INTO public.ecdc_data VALUES (61007, 0, 0, 0, 88, 344);
INSERT INTO public.ecdc_data VALUES (61008, 3, 243, 9.90355115, 35, 344);
INSERT INTO public.ecdc_data VALUES (61009, 0, 6, 0.82658119, 36, 344);
INSERT INTO public.ecdc_data VALUES (61010, 0, 0, 0.06846093, 127, 344);
INSERT INTO public.ecdc_data VALUES (61011, 0, 7, 6.77483961, 37, 344);
INSERT INTO public.ecdc_data VALUES (61012, 0, 316, 24.37369172, 128, 344);
INSERT INTO public.ecdc_data VALUES (61013, 6, 50, 6.86256691, 185, 344);
INSERT INTO public.ecdc_data VALUES (61014, 0, 0, 0, 207, 344);
INSERT INTO public.ecdc_data VALUES (61015, 0, 0, 0.4599564, 208, 344);
INSERT INTO public.ecdc_data VALUES (61016, 9, 349, 10.63325462, 89, 344);
INSERT INTO public.ecdc_data VALUES (61017, 0, 0, 0.25310245, 38, 344);
INSERT INTO public.ecdc_data VALUES (61018, 17, 561, 4.25251134, 39, 344);
INSERT INTO public.ecdc_data VALUES (61019, 4, 126, 99.2233522, 186, 344);
INSERT INTO public.ecdc_data VALUES (61020, 0, 0, 0, 209, 344);
INSERT INTO public.ecdc_data VALUES (61021, 1, 10, 4.39171715, 187, 344);
INSERT INTO public.ecdc_data VALUES (61022, 7, 1010, 297.50801609, 129, 344);
INSERT INTO public.ecdc_data VALUES (61023, 91, 4133, 27.10960407, 130, 344);
INSERT INTO public.ecdc_data VALUES (61024, 1, 322, 41.65477247, 131, 344);
INSERT INTO public.ecdc_data VALUES (61025, 11, 765, 272.88740686, 90, 344);
INSERT INTO public.ecdc_data VALUES (61026, 0, 0, 0.03418368, 210, 344);
INSERT INTO public.ecdc_data VALUES (61027, 1, 30, 13.03118584, 91, 344);
INSERT INTO public.ecdc_data VALUES (61028, 173, 2848, 147.82010788, 92, 344);
INSERT INTO public.ecdc_data VALUES (61029, 11, 1076, 9.92724319, 132, 344);
INSERT INTO public.ecdc_data VALUES (61030, 19, 239, 11.05527818, 188, 344);
INSERT INTO public.ecdc_data VALUES (61031, 8, 229, 46.75663207, 189, 344);
INSERT INTO public.ecdc_data VALUES (61032, 0, 215, 51.61239297, 93, 344);
INSERT INTO public.ecdc_data VALUES (61033, 0, 982, 494.72629747, 133, 344);
INSERT INTO public.ecdc_data VALUES (61034, 17, 388, 23.46189628, 190, 344);
INSERT INTO public.ecdc_data VALUES (61035, 154, 6693, 70.19223532, 191, 344);
INSERT INTO public.ecdc_data VALUES (61036, 0, 24, 3.08071521, 40, 344);
INSERT INTO public.ecdc_data VALUES (61037, 0, 0, 0, 94, 344);
INSERT INTO public.ecdc_data VALUES (61038, 0, 0, 0, 95, 344);
INSERT INTO public.ecdc_data VALUES (61039, 0, 0, 0, 96, 344);
INSERT INTO public.ecdc_data VALUES (61040, 0, 0, 11.61001945, 192, 344);
INSERT INTO public.ecdc_data VALUES (61041, 0, 1, 19.99553588, 41, 344);
INSERT INTO public.ecdc_data VALUES (61042, 50, 4387, 159.0613942, 134, 344);
INSERT INTO public.ecdc_data VALUES (61043, 4, 95, 9.48677993, 42, 344);
INSERT INTO public.ecdc_data VALUES (61044, 3, 276, 30.70178714, 193, 344);
INSERT INTO public.ecdc_data VALUES (61045, 0, 0, 0, 43, 344);
INSERT INTO public.ecdc_data VALUES (61046, 0, 12, 3.0333255, 44, 344);
INSERT INTO public.ecdc_data VALUES (61047, 0, 246, 50.61727055, 135, 344);
INSERT INTO public.ecdc_data VALUES (61048, 0, 0, 0, 97, 344);
INSERT INTO public.ecdc_data VALUES (61049, 0, 2, 2.10992876, 194, 344);
INSERT INTO public.ecdc_data VALUES (61050, 0, 15, 4.85365043, 195, 344);
INSERT INTO public.ecdc_data VALUES (61051, 0, 20, 1.72247374, 45, 344);
INSERT INTO public.ecdc_data VALUES (61052, 128, 6945, 127.86409816, 46, 344);
INSERT INTO public.ecdc_data VALUES (61053, 0, 50, 1.27280803, 136, 344);
INSERT INTO public.ecdc_data VALUES (61054, 0, 0, 2.07916859, 47, 344);
INSERT INTO public.ecdc_data VALUES (61055, 8, 388, 10.60143094, 196, 344);
INSERT INTO public.ecdc_data VALUES (61056, 0, 5, 0.61902854, 137, 344);
INSERT INTO public.ecdc_data VALUES (61057, 0, 0, 3.54563239, 48, 344);
INSERT INTO public.ecdc_data VALUES (61058, 0, 16, 48.33468934, 98, 344);
INSERT INTO public.ecdc_data VALUES (61059, 20, 804, 142.47054183, 197, 344);
INSERT INTO public.ecdc_data VALUES (61060, 2, 62, 6.64753005, 198, 344);
INSERT INTO public.ecdc_data VALUES (61061, 0, 10, 0.59753492, 138, 344);
INSERT INTO public.ecdc_data VALUES (61062, 0, 0, 0.00841259, 139, 344);
INSERT INTO public.ecdc_data VALUES (61063, 0, 54, 8.51837829, 140, 344);
INSERT INTO public.ecdc_data VALUES (61064, 0, 2, 0.05457764, 141, 344);
INSERT INTO public.ecdc_data VALUES (61065, 0, 0, 0, 142, 344);
INSERT INTO public.ecdc_data VALUES (61066, 0, 7, 1.39810667, 49, 344);
INSERT INTO public.ecdc_data VALUES (61067, 0, 4, 0.50180327, 99, 344);
INSERT INTO public.ecdc_data VALUES (61068, 0, 2, 0.41899247, 50, 344);
INSERT INTO public.ecdc_data VALUES (61069, 16, 1293, 22.69160867, 199, 344);
INSERT INTO public.ecdc_data VALUES (61070, 1, 0, 75.92815625, 100, 344);
INSERT INTO public.ecdc_data VALUES (61071, 0, 19, 0.37271638, 51, 344);
INSERT INTO public.ecdc_data VALUES (61072, 12, 706, 26.95389423, 200, 344);
INSERT INTO public.ecdc_data VALUES (61073, 1, 421, 58.18519904, 143, 344);
INSERT INTO public.ecdc_data VALUES (61074, 53, 730, 16.85144287, 201, 344);
INSERT INTO public.ecdc_data VALUES (61075, 0, 0, 0, 52, 344);
INSERT INTO public.ecdc_data VALUES (61076, 1270, 43880, 150.94316481, 101, 344);
INSERT INTO public.ecdc_data VALUES (61077, 0, 0, 10.51836411, 102, 344);
INSERT INTO public.ecdc_data VALUES (61078, 0, 4, 2.51319354, 103, 344);
INSERT INTO public.ecdc_data VALUES (61079, 2, 329, 9.29605995, 144, 344);
INSERT INTO public.ecdc_data VALUES (61080, 3, 302, 9.71390311, 104, 344);
INSERT INTO public.ecdc_data VALUES (61081, 0, 0, 0.02073353, 145, 344);
INSERT INTO public.ecdc_data VALUES (61082, 0, 172, 61.29197298, 53, 344);
INSERT INTO public.ecdc_data VALUES (61083, 8, 30, 0.92243577, 146, 344);
INSERT INTO public.ecdc_data VALUES (61084, 2, 26, 1.05816942, 54, 344);
INSERT INTO public.ecdc_data VALUES (61085, 0, 17, 1.34512556, 55, 344);
INSERT INTO public.ecdc_data VALUES (61086, 8, 680, 22.45164439, 105, 345);
INSERT INTO public.ecdc_data VALUES (61087, 0, 15, 6.67265925, 147, 345);
INSERT INTO public.ecdc_data VALUES (61088, 7, 127, 5.51644954, 1, 345);
INSERT INTO public.ecdc_data VALUES (61089, 0, 0, 3.93819657, 148, 345);
INSERT INTO public.ecdc_data VALUES (61090, 0, 2, 0.11940186, 2, 345);
INSERT INTO public.ecdc_data VALUES (61091, 0, 0, 0, 56, 345);
INSERT INTO public.ecdc_data VALUES (61092, 0, 0, 0, 57, 345);
INSERT INTO public.ecdc_data VALUES (61093, 11, 637, 20.20067808, 58, 345);
INSERT INTO public.ecdc_data VALUES (61094, 8, 210, 157.8576529, 149, 345);
INSERT INTO public.ecdc_data VALUES (61095, 0, 0, 0, 59, 345);
INSERT INTO public.ecdc_data VALUES (61096, 0, 10, 0.59516252, 202, 345);
INSERT INTO public.ecdc_data VALUES (61097, 0, 4, 5.50866232, 150, 345);
INSERT INTO public.ecdc_data VALUES (61098, 2, 248, 22.09456694, 151, 345);
INSERT INTO public.ecdc_data VALUES (61099, 0, 0, 1.54049183, 60, 345);
INSERT INTO public.ecdc_data VALUES (61100, 2, 605, 270.66155485, 106, 345);
INSERT INTO public.ecdc_data VALUES (61101, 40, 2545, 15.26254774, 107, 345);
INSERT INTO public.ecdc_data VALUES (61102, 0, 0, 1.39362625, 61, 345);
INSERT INTO public.ecdc_data VALUES (61103, 6, 898, 136.53662257, 152, 345);
INSERT INTO public.ecdc_data VALUES (61104, 22, 49, 23.44721352, 153, 345);
INSERT INTO public.ecdc_data VALUES (61105, 0, 0, 0, 62, 345);
INSERT INTO public.ecdc_data VALUES (61106, 0, 0, -0.90669122, 3, 345);
INSERT INTO public.ecdc_data VALUES (61107, 0, 0, 27.19651885, 63, 345);
INSERT INTO public.ecdc_data VALUES (61108, 0, 0, 2.883, 108, 345);
INSERT INTO public.ecdc_data VALUES (61109, 3, 390, 51.19384854, 64, 345);
INSERT INTO public.ecdc_data VALUES (61110, 0, 0, 3.84867028, 65, 345);
INSERT INTO public.ecdc_data VALUES (61111, 0, 16, 6.66465111, 154, 345);
INSERT INTO public.ecdc_data VALUES (61112, 0, 3, 0.56430885, 4, 345);
INSERT INTO public.ecdc_data VALUES (61113, 480, 16409, 129.7178981, 66, 345);
INSERT INTO public.ecdc_data VALUES (61114, 0, 0, 0, 67, 345);
INSERT INTO public.ecdc_data VALUES (61115, 0, 0, 0, 109, 345);
INSERT INTO public.ecdc_data VALUES (61116, 0, 0, 3.97140645, 155, 345);
INSERT INTO public.ecdc_data VALUES (61117, 0, 28, 0.41827862, 5, 345);
INSERT INTO public.ecdc_data VALUES (61118, 0, 21, 0.18212445, 6, 345);
INSERT INTO public.ecdc_data VALUES (61119, 0, 0, 0.01819666, 110, 345);
INSERT INTO public.ecdc_data VALUES (61120, 0, 0, 10.09414491, 7, 345);
INSERT INTO public.ecdc_data VALUES (61121, 222, 757, 37.27509512, 68, 345);
INSERT INTO public.ecdc_data VALUES (61122, 0, 14, 19.45680952, 8, 345);
INSERT INTO public.ecdc_data VALUES (61123, 0, 0, 72.36558478, 69, 345);
INSERT INTO public.ecdc_data VALUES (61124, 1, 49, 14.41463009, 9, 345);
INSERT INTO public.ecdc_data VALUES (61125, 0, 19, 1.72447504, 10, 345);
INSERT INTO public.ecdc_data VALUES (61126, 57, 4830, 294.99206813, 70, 345);
INSERT INTO public.ecdc_data VALUES (61127, 0, 19, 0.00648633, 111, 345);
INSERT INTO public.ecdc_data VALUES (61128, 49, 1147, 27.43176956, 71, 345);
INSERT INTO public.ecdc_data VALUES (61129, 0, 0, 11.16476729, 11, 345);
INSERT INTO public.ecdc_data VALUES (61130, 1, 24, 3.69853828, 12, 345);
INSERT INTO public.ecdc_data VALUES (61131, 0, 9, 3.82362888, 72, 345);
INSERT INTO public.ecdc_data VALUES (61132, 0, 34, 2.81530721, 13, 345);
INSERT INTO public.ecdc_data VALUES (61133, 0, 0, 0.49064752, 156, 345);
INSERT INTO public.ecdc_data VALUES (61134, 0, 20, 1.5264503, 73, 345);
INSERT INTO public.ecdc_data VALUES (61135, 0, 0, 1.83572692, 74, 345);
INSERT INTO public.ecdc_data VALUES (61136, 0, 1, 3.1967156, 157, 345);
INSERT INTO public.ecdc_data VALUES (61137, 1, 43, 7.49309846, 158, 345);
INSERT INTO public.ecdc_data VALUES (61138, 2, 83, 1.8377573, 14, 345);
INSERT INTO public.ecdc_data VALUES (61139, 3, 36, 12.77970459, 159, 345);
INSERT INTO public.ecdc_data VALUES (61140, 2, 160, 200.6045871, 15, 345);
INSERT INTO public.ecdc_data VALUES (61141, 0, 0, 0, 75, 345);
INSERT INTO public.ecdc_data VALUES (61142, 4, 377, 46.28941153, 76, 345);
INSERT INTO public.ecdc_data VALUES (61143, 24, 527, 34.05155288, 77, 345);
INSERT INTO public.ecdc_data VALUES (61144, 46, 1536, 12.70668839, 16, 345);
INSERT INTO public.ecdc_data VALUES (61145, 0, 0, 18.26901473, 78, 345);
INSERT INTO public.ecdc_data VALUES (61146, 0, 0, 52.50807164, 17, 345);
INSERT INTO public.ecdc_data VALUES (61147, 0, 0, 0, 18, 345);
INSERT INTO public.ecdc_data VALUES (61148, 0, 4, 7.17078547, 160, 345);
INSERT INTO public.ecdc_data VALUES (61149, 0, 2, 7.14202971, 19, 345);
INSERT INTO public.ecdc_data VALUES (61150, 3, 109, 0.76285663, 20, 345);
INSERT INTO public.ecdc_data VALUES (61151, 0, 0, 0, 79, 345);
INSERT INTO public.ecdc_data VALUES (61152, 0, 0, 0, 161, 345);
INSERT INTO public.ecdc_data VALUES (61153, 0, 0, 0, 203, 345);
INSERT INTO public.ecdc_data VALUES (61154, 4, 33, 9.27886038, 162, 345);
INSERT INTO public.ecdc_data VALUES (61155, 31, 257, 13.94060303, 163, 345);
INSERT INTO public.ecdc_data VALUES (61156, 0, 0, 0, 204, 345);
INSERT INTO public.ecdc_data VALUES (61157, 0, 0, 61.44773628, 21, 345);
INSERT INTO public.ecdc_data VALUES (61158, 0, 0, 0.08518991, 22, 345);
INSERT INTO public.ecdc_data VALUES (61159, 0, 26, 2.05166082, 164, 345);
INSERT INTO public.ecdc_data VALUES (61160, 11, 333, 8.57391891, 165, 345);
INSERT INTO public.ecdc_data VALUES (61161, 1, 302, 7.67641167, 23, 345);
INSERT INTO public.ecdc_data VALUES (61162, 0, 8, 65.27027829, 166, 345);
INSERT INTO public.ecdc_data VALUES (61163, 0, 2, 0.77392171, 167, 345);
INSERT INTO public.ecdc_data VALUES (61164, 0, 0, 3.52982704, 80, 345);
INSERT INTO public.ecdc_data VALUES (61165, 0, 0, 0.8928412, 81, 345);
INSERT INTO public.ecdc_data VALUES (61166, 0, 2, 12.55267641, 205, 345);
INSERT INTO public.ecdc_data VALUES (61167, 6, 348, 18.05877959, 82, 345);
INSERT INTO public.ecdc_data VALUES (61168, 0, 0, 0, 168, 345);
INSERT INTO public.ecdc_data VALUES (61169, 0, 65, 8.71488968, 24, 345);
INSERT INTO public.ecdc_data VALUES (61170, 0, 66, 17.28341204, 25, 345);
INSERT INTO public.ecdc_data VALUES (61171, 0, 1, 4.59902271, 83, 345);
INSERT INTO public.ecdc_data VALUES (61172, 3, 259, 14.80944953, 84, 345);
INSERT INTO public.ecdc_data VALUES (61173, 0, 0, 0, 169, 345);
INSERT INTO public.ecdc_data VALUES (61174, 11, 108, 26.2258346, 85, 345);
INSERT INTO public.ecdc_data VALUES (61175, 2, 9, 3.48929207, 170, 345);
INSERT INTO public.ecdc_data VALUES (61176, 0, 0, 1.12047643, 171, 345);
INSERT INTO public.ecdc_data VALUES (61177, 230, 8392, 6.90608707, 112, 345);
INSERT INTO public.ecdc_data VALUES (61178, 40, 700, 3.31047805, 113, 345);
INSERT INTO public.ecdc_data VALUES (61179, 63, 2516, 37.71141225, 114, 345);
INSERT INTO public.ecdc_data VALUES (61180, 10, 260, 7.7207232, 115, 345);
INSERT INTO public.ecdc_data VALUES (61181, 0, 61, 17.90287588, 172, 345);
INSERT INTO public.ecdc_data VALUES (61182, 0, 0, 1.18218681, 173, 345);
INSERT INTO public.ecdc_data VALUES (61183, 1, 59, 5.32903067, 116, 345);
INSERT INTO public.ecdc_data VALUES (61184, 75, 355, 12.56470683, 174, 345);
INSERT INTO public.ecdc_data VALUES (61185, 0, 5, 2.23859563, 86, 345);
INSERT INTO public.ecdc_data VALUES (61186, 1, 33, 0.45640756, 117, 345);
INSERT INTO public.ecdc_data VALUES (61187, 0, 0, 5.56606924, 175, 345);
INSERT INTO public.ecdc_data VALUES (61188, 0, 5, 1.24731518, 118, 345);
INSERT INTO public.ecdc_data VALUES (61189, 3, 450, 26.24056757, 119, 345);
INSERT INTO public.ecdc_data VALUES (61190, 1, 74, 2.04473823, 26, 345);
INSERT INTO public.ecdc_data VALUES (61191, 0, 13, 5.44896709, 176, 345);
INSERT INTO public.ecdc_data VALUES (61192, 7, 851, 289.82117513, 120, 345);
INSERT INTO public.ecdc_data VALUES (61193, 0, 69, 9.36742452, 121, 345);
INSERT INTO public.ecdc_data VALUES (61194, 0, 0, 0, 122, 345);
INSERT INTO public.ecdc_data VALUES (61195, 0, 1, 3.02088368, 177, 345);
INSERT INTO public.ecdc_data VALUES (61196, 1, 29, 4.50719247, 123, 345);
INSERT INTO public.ecdc_data VALUES (61197, 0, 0, 0.04705291, 27, 345);
INSERT INTO public.ecdc_data VALUES (61198, 0, 8, 1.25572825, 28, 345);
INSERT INTO public.ecdc_data VALUES (61199, 0, 26, 1.34268729, 29, 345);
INSERT INTO public.ecdc_data VALUES (61200, 0, 0, 0, 178, 345);
INSERT INTO public.ecdc_data VALUES (61201, 0, 5, 4.79567559, 179, 345);
INSERT INTO public.ecdc_data VALUES (61202, 0, 2, 11.89130371, 180, 345);
INSERT INTO public.ecdc_data VALUES (61203, 0, 13, 1.73159814, 30, 345);
INSERT INTO public.ecdc_data VALUES (61204, 0, 5, 1.14876206, 31, 345);
INSERT INTO public.ecdc_data VALUES (61205, 0, 57, 2.89516779, 124, 345);
INSERT INTO public.ecdc_data VALUES (61206, 0, 101, 127.88229555, 125, 345);
INSERT INTO public.ecdc_data VALUES (61207, 1, 15, 2.06022752, 32, 345);
INSERT INTO public.ecdc_data VALUES (61208, 0, 1, 12.35921136, 181, 345);
INSERT INTO public.ecdc_data VALUES (61209, 2, 47, 10.3409463, 33, 345);
INSERT INTO public.ecdc_data VALUES (61210, 0, 0, 0.23628187, 34, 345);
INSERT INTO public.ecdc_data VALUES (61211, 151, 2061, 39.33512986, 87, 345);
INSERT INTO public.ecdc_data VALUES (61212, 4, 153, 54.18897335, 182, 345);
INSERT INTO public.ecdc_data VALUES (61213, 0, 0, 3.02251776, 183, 345);
INSERT INTO public.ecdc_data VALUES (61214, 0, 6, 1.39527702, 126, 345);
INSERT INTO public.ecdc_data VALUES (61215, 0, 0, 0, 184, 345);
INSERT INTO public.ecdc_data VALUES (61216, 0, 0, 0, 88, 345);
INSERT INTO public.ecdc_data VALUES (61217, 1, 27, 2.56911058, 35, 345);
INSERT INTO public.ecdc_data VALUES (61218, 0, 10, 0.3852988, 36, 345);
INSERT INTO public.ecdc_data VALUES (61219, 0, 4, 0.07586211, 127, 345);
INSERT INTO public.ecdc_data VALUES (61220, 0, 1, 0.32070247, 37, 345);
INSERT INTO public.ecdc_data VALUES (61221, 2, 171, 4.43221585, 128, 345);
INSERT INTO public.ecdc_data VALUES (61222, 5, 185, 14.15910728, 185, 345);
INSERT INTO public.ecdc_data VALUES (61223, 0, 0, 0.35366056, 207, 345);
INSERT INTO public.ecdc_data VALUES (61224, 0, 0, 0.10453555, 208, 345);
INSERT INTO public.ecdc_data VALUES (61225, 0, 0, 11.21380588, 89, 345);
INSERT INTO public.ecdc_data VALUES (61226, 0, 2, 0.23165309, 38, 345);
INSERT INTO public.ecdc_data VALUES (61227, 14, 307, 2.09142349, 39, 345);
INSERT INTO public.ecdc_data VALUES (61228, 2, 62, 20.8941945, 186, 345);
INSERT INTO public.ecdc_data VALUES (61229, 0, 0, 1.74785451, 209, 345);
INSERT INTO public.ecdc_data VALUES (61230, 0, 0, 4.01635671, 187, 345);
INSERT INTO public.ecdc_data VALUES (61231, 5, 1014, 125.64844325, 129, 345);
INSERT INTO public.ecdc_data VALUES (61232, 60, 2964, 14.0073214, 130, 345);
INSERT INTO public.ecdc_data VALUES (61233, 0, 1, 1.34499747, 131, 345);
INSERT INTO public.ecdc_data VALUES (61234, 6, 445, 90.82902384, 90, 345);
INSERT INTO public.ecdc_data VALUES (61235, 0, 0, 0, 210, 345);
INSERT INTO public.ecdc_data VALUES (61236, 0, 22, 2.83903831, 91, 345);
INSERT INTO public.ecdc_data VALUES (61237, 135, 8805, 222.09158393, 92, 345);
INSERT INTO public.ecdc_data VALUES (61238, 7, 862, 5.15461906, 132, 345);
INSERT INTO public.ecdc_data VALUES (61239, 3, 215, 13.84411563, 188, 345);
INSERT INTO public.ecdc_data VALUES (61240, 14, 297, 33.70759074, 189, 345);
INSERT INTO public.ecdc_data VALUES (61241, 3, 58, 38.52179925, 93, 345);
INSERT INTO public.ecdc_data VALUES (61242, 2, 1648, 858.24119522, 133, 345);
INSERT INTO public.ecdc_data VALUES (61243, 9, 124, 12.28981, 190, 345);
INSERT INTO public.ecdc_data VALUES (61244, 138, 9268, 85.06826452, 191, 345);
INSERT INTO public.ecdc_data VALUES (61245, 0, 11, 0.61772696, 40, 345);
INSERT INTO public.ecdc_data VALUES (61246, 0, 0, 0, 94, 345);
INSERT INTO public.ecdc_data VALUES (61247, 0, 0, 0, 95, 345);
INSERT INTO public.ecdc_data VALUES (61248, 0, 0, 8.13794725, 96, 345);
INSERT INTO public.ecdc_data VALUES (61249, 0, 0, 49.34258265, 192, 345);
INSERT INTO public.ecdc_data VALUES (61250, 0, 4, 115.32309066, 41, 345);
INSERT INTO public.ecdc_data VALUES (61251, 23, 1877, 89.02920811, 134, 345);
INSERT INTO public.ecdc_data VALUES (61252, 0, 110, 7.14883481, 42, 345);
INSERT INTO public.ecdc_data VALUES (61253, 1, 31, 11.51676019, 193, 345);
INSERT INTO public.ecdc_data VALUES (61254, 0, 0, 0, 43, 345);
INSERT INTO public.ecdc_data VALUES (61255, 0, 9, 4.55638767, 44, 345);
INSERT INTO public.ecdc_data VALUES (61256, 0, 518, 117.94616548, 135, 345);
INSERT INTO public.ecdc_data VALUES (61257, 0, 0, 0, 97, 345);
INSERT INTO public.ecdc_data VALUES (61258, 0, 1, 0.51372178, 194, 345);
INSERT INTO public.ecdc_data VALUES (61259, 0, 0, 0.33639161, 195, 345);
INSERT INTO public.ecdc_data VALUES (61260, 5, 60, 3.59388317, 45, 345);
INSERT INTO public.ecdc_data VALUES (61261, 40, 1716, 29.31780751, 46, 345);
INSERT INTO public.ecdc_data VALUES (61262, 1, 35, 0.85504589, 136, 345);
INSERT INTO public.ecdc_data VALUES (61263, 0, 0, 6.43638277, 47, 345);
INSERT INTO public.ecdc_data VALUES (61264, 0, 209, 17.11227759, 196, 345);
INSERT INTO public.ecdc_data VALUES (61265, 0, 13, 3.05762584, 137, 345);
INSERT INTO public.ecdc_data VALUES (61266, 24, 226, 6.39288265, 48, 345);
INSERT INTO public.ecdc_data VALUES (61267, 0, 9, 2.23612442, 98, 345);
INSERT INTO public.ecdc_data VALUES (61268, 46, 265, 77.55480473, 197, 345);
INSERT INTO public.ecdc_data VALUES (61269, 0, 17, 3.21843444, 198, 345);
INSERT INTO public.ecdc_data VALUES (61270, 0, 0, 0.37492387, 138, 345);
INSERT INTO public.ecdc_data VALUES (61271, 0, 0, 0.00841259, 139, 345);
INSERT INTO public.ecdc_data VALUES (61272, 0, 0, 24.4930197, 140, 345);
INSERT INTO public.ecdc_data VALUES (61273, 0, 0, 0.07612145, 141, 345);
INSERT INTO public.ecdc_data VALUES (61274, 0, 0, 0, 142, 345);
INSERT INTO public.ecdc_data VALUES (61275, 0, 9, 1.74454018, 49, 345);
INSERT INTO public.ecdc_data VALUES (61276, 0, 0, 0.07168618, 99, 345);
INSERT INTO public.ecdc_data VALUES (61277, 0, 1, 0.34203467, 50, 345);
INSERT INTO public.ecdc_data VALUES (61278, 25, 839, 17.69062591, 199, 345);
INSERT INTO public.ecdc_data VALUES (61279, 0, 0, 0, 100, 345);
INSERT INTO public.ecdc_data VALUES (61280, 0, 45, 0.52180293, 51, 345);
INSERT INTO public.ecdc_data VALUES (61281, 12, 468, 12.2313126, 200, 345);
INSERT INTO public.ecdc_data VALUES (61282, 2, 661, 114.62023641, 143, 345);
INSERT INTO public.ecdc_data VALUES (61283, 60, 1125, 40.91250045, 201, 345);
INSERT INTO public.ecdc_data VALUES (61284, 0, 0, 0, 52, 345);
INSERT INTO public.ecdc_data VALUES (61285, 602, 19807, 92.21098462, 101, 345);
INSERT INTO public.ecdc_data VALUES (61286, 0, 0, 0, 102, 345);
INSERT INTO public.ecdc_data VALUES (61287, 0, 2, 2.57096811, 103, 345);
INSERT INTO public.ecdc_data VALUES (61288, 1, 108, 2.75607257, 144, 345);
INSERT INTO public.ecdc_data VALUES (61289, 0, 51, 3.39811268, 104, 345);
INSERT INTO public.ecdc_data VALUES (61290, 0, 1, 0.00829341, 145, 345);
INSERT INTO public.ecdc_data VALUES (61291, 0, 0, 2.91866538, 53, 345);
INSERT INTO public.ecdc_data VALUES (61292, 3, 13, 0.66868021, 146, 345);
INSERT INTO public.ecdc_data VALUES (61293, 0, 0, 1.70202912, 54, 345);
INSERT INTO public.ecdc_data VALUES (61294, 0, 4, 0.9013024, 55, 345);
INSERT INTO public.ecdc_data VALUES (61295, 4, 222, 3.61970663, 105, 346);
INSERT INTO public.ecdc_data VALUES (61296, 0, 7, 8.90852413, 147, 346);
INSERT INTO public.ecdc_data VALUES (61297, 6, 158, 4.03687971, 1, 346);
INSERT INTO public.ecdc_data VALUES (61298, 0, 2, 82.70212794, 148, 346);
INSERT INTO public.ecdc_data VALUES (61299, 0, 0, 0.02513723, 2, 346);
INSERT INTO public.ecdc_data VALUES (61300, 0, 0, 0, 56, 346);
INSERT INTO public.ecdc_data VALUES (61301, 0, 0, 1.02970705, 57, 346);
INSERT INTO public.ecdc_data VALUES (61302, 4, 143, 4.14241188, 58, 346);
INSERT INTO public.ecdc_data VALUES (61303, 1, 82, 32.01781908, 149, 346);
INSERT INTO public.ecdc_data VALUES (61304, 0, 0, 4.70322641, 59, 346);
INSERT INTO public.ecdc_data VALUES (61305, 2, 16, 1.05145378, 202, 346);
INSERT INTO public.ecdc_data VALUES (61306, 4, 60, 11.01732463, 150, 346);
INSERT INTO public.ecdc_data VALUES (61307, 1, 38, 5.18525647, 151, 346);
INSERT INTO public.ecdc_data VALUES (61308, 0, 1, 6.93221322, 60, 346);
INSERT INTO public.ecdc_data VALUES (61309, 0, 119, 81.64936594, 106, 346);
INSERT INTO public.ecdc_data VALUES (61310, 5, 564, 3.73820488, 107, 346);
INSERT INTO public.ecdc_data VALUES (61311, 0, 1, 2.09043938, 61, 346);
INSERT INTO public.ecdc_data VALUES (61312, 5, 846, 103.92059844, 152, 346);
INSERT INTO public.ecdc_data VALUES (61313, 87, 586, 102.90236523, 153, 346);
INSERT INTO public.ecdc_data VALUES (61314, 0, 0, 0, 62, 346);
INSERT INTO public.ecdc_data VALUES (61315, 0, 15, 0.39826624, 3, 346);
INSERT INTO public.ecdc_data VALUES (61316, 0, 3, 49.59365201, 63, 346);
INSERT INTO public.ecdc_data VALUES (61317, 0, 0, 0.26209091, 108, 346);
INSERT INTO public.ecdc_data VALUES (61318, 3, 57, 6.09740103, 64, 346);
INSERT INTO public.ecdc_data VALUES (61319, 0, 0, 7.69734057, 65, 346);
INSERT INTO public.ecdc_data VALUES (61320, 4, 68, 18.32779057, 154, 346);
INSERT INTO public.ecdc_data VALUES (61321, 0, 0, 0.34726699, 4, 346);
INSERT INTO public.ecdc_data VALUES (61322, 435, 7218, 26.0389127, 66, 346);
INSERT INTO public.ecdc_data VALUES (61323, 0, 0, 9.98901209, 67, 346);
INSERT INTO public.ecdc_data VALUES (61324, 0, 0, 0.46157823, 109, 346);
INSERT INTO public.ecdc_data VALUES (61325, 2, 59, 10.08565809, 155, 346);
INSERT INTO public.ecdc_data VALUES (61326, 0, 4, 0.50193434, 5, 346);
INSERT INTO public.ecdc_data VALUES (61327, 0, 0, 0.08672593, 6, 346);
INSERT INTO public.ecdc_data VALUES (61328, 0, 0, 0, 110, 346);
INSERT INTO public.ecdc_data VALUES (61329, 0, 0, 3.77564302, 7, 346);
INSERT INTO public.ecdc_data VALUES (61330, 188, 1649, 61.89349785, 68, 346);
INSERT INTO public.ecdc_data VALUES (61331, 0, 8, 12.00139653, 8, 346);
INSERT INTO public.ecdc_data VALUES (61332, 0, 0, 18.47631952, 69, 346);
INSERT INTO public.ecdc_data VALUES (61333, 0, 0, 0.80081278, 9, 346);
INSERT INTO public.ecdc_data VALUES (61334, 3, 21, 0.28845764, 10, 346);
INSERT INTO public.ecdc_data VALUES (61335, 11, 1138, 38.07506687, 70, 346);
INSERT INTO public.ecdc_data VALUES (61336, 0, 12, 0.0140886, 111, 346);
INSERT INTO public.ecdc_data VALUES (61337, 15, 296, 6.5038463, 71, 346);
INSERT INTO public.ecdc_data VALUES (61338, 0, 0, 1.91431881, 12, 346);
INSERT INTO public.ecdc_data VALUES (61339, 0, 6, 1.52548924, 72, 346);
INSERT INTO public.ecdc_data VALUES (61340, 0, 37, 2.28257643, 13, 346);
INSERT INTO public.ecdc_data VALUES (61341, 2, 14, 6.99172719, 156, 346);
INSERT INTO public.ecdc_data VALUES (61342, 3, 34, 5.63816034, 73, 346);
INSERT INTO public.ecdc_data VALUES (61343, 0, 0, 1.22381794, 74, 346);
INSERT INTO public.ecdc_data VALUES (61344, 0, 7, 13.12936766, 157, 346);
INSERT INTO public.ecdc_data VALUES (61345, 9, 103, 11.72791977, 158, 346);
INSERT INTO public.ecdc_data VALUES (61346, 0, 72, 0.3283767, 14, 346);
INSERT INTO public.ecdc_data VALUES (61347, 9, 150, 39.25194981, 159, 346);
INSERT INTO public.ecdc_data VALUES (61348, 0, 12, 51.15262897, 15, 346);
INSERT INTO public.ecdc_data VALUES (61349, 0, 0, 0, 75, 346);
INSERT INTO public.ecdc_data VALUES (61350, 8, 320, 29.95635423, 76, 346);
INSERT INTO public.ecdc_data VALUES (61351, 17, 259, 96.17434027, 77, 346);
INSERT INTO public.ecdc_data VALUES (61352, 12, 269, 2.85292847, 16, 346);
INSERT INTO public.ecdc_data VALUES (61353, 1, 47, 4.02879036, 78, 346);
INSERT INTO public.ecdc_data VALUES (61354, 0, 0, 19.46928499, 17, 346);
INSERT INTO public.ecdc_data VALUES (61355, 0, 0, 0.11437993, 18, 346);
INSERT INTO public.ecdc_data VALUES (61356, 2, 23, 19.24789783, 160, 346);
INSERT INTO public.ecdc_data VALUES (61357, 0, 9, 7.31622556, 19, 346);
INSERT INTO public.ecdc_data VALUES (61358, 0, 1, 0.03479697, 20, 346);
INSERT INTO public.ecdc_data VALUES (61359, 0, 0, 59.31198102, 79, 346);
INSERT INTO public.ecdc_data VALUES (61360, 0, 0, 6.16307496, 161, 346);
INSERT INTO public.ecdc_data VALUES (61361, 0, 0, 0.11236523, 203, 346);
INSERT INTO public.ecdc_data VALUES (61362, 5, 89, 29.46763082, 162, 346);
INSERT INTO public.ecdc_data VALUES (61363, 289, 1139, 30.94031934, 163, 346);
INSERT INTO public.ecdc_data VALUES (61364, 0, 0, 1.07417155, 204, 346);
INSERT INTO public.ecdc_data VALUES (61365, 0, 0, 8.33111631, 21, 346);
INSERT INTO public.ecdc_data VALUES (61366, 0, 1, 0.12778486, 22, 346);
INSERT INTO public.ecdc_data VALUES (61367, 0, 22, 4.77886849, 164, 346);
INSERT INTO public.ecdc_data VALUES (61368, 193, 1639, 32.43586518, 165, 346);
INSERT INTO public.ecdc_data VALUES (61369, 1, 403, 4.71104836, 23, 346);
INSERT INTO public.ecdc_data VALUES (61370, 0, 3, 32.63513914, 166, 346);
INSERT INTO public.ecdc_data VALUES (61371, 1, 15, 3.58055345, 167, 346);
INSERT INTO public.ecdc_data VALUES (61372, 0, 0, 0, 80, 346);
INSERT INTO public.ecdc_data VALUES (61373, 0, 0, 5.3570472, 81, 346);
INSERT INTO public.ecdc_data VALUES (61374, 0, 1, 6.57521145, 205, 346);
INSERT INTO public.ecdc_data VALUES (61375, 0, 14, 2.18980477, 82, 346);
INSERT INTO public.ecdc_data VALUES (61376, 0, 0, 26.36967178, 168, 346);
INSERT INTO public.ecdc_data VALUES (61377, 0, 144, 8.27640467, 24, 346);
INSERT INTO public.ecdc_data VALUES (61378, 0, 128, 8.27729673, 25, 346);
INSERT INTO public.ecdc_data VALUES (61379, 1, 4, 3.19376577, 83, 346);
INSERT INTO public.ecdc_data VALUES (61380, 2, 5, 0.33738554, 84, 346);
INSERT INTO public.ecdc_data VALUES (61381, 0, 1, 368.09815951, 169, 346);
INSERT INTO public.ecdc_data VALUES (61382, 4, 33, 3.71430052, 85, 346);
INSERT INTO public.ecdc_data VALUES (61383, 11, 88, 11.25578087, 170, 346);
INSERT INTO public.ecdc_data VALUES (61384, 0, 0, 16.24690819, 171, 346);
INSERT INTO public.ecdc_data VALUES (61385, 73, 1993, 1.58487402, 112, 346);
INSERT INTO public.ecdc_data VALUES (61386, 8, 347, 1.70050452, 113, 346);
INSERT INTO public.ecdc_data VALUES (61387, 71, 983, 20.07504339, 114, 346);
INSERT INTO public.ecdc_data VALUES (61388, 1, 82, 1.65607605, 115, 346);
INSERT INTO public.ecdc_data VALUES (61389, 42, 359, 149.68680162, 172, 346);
INSERT INTO public.ecdc_data VALUES (61390, 0, 2, 36.64779108, 173, 346);
INSERT INTO public.ecdc_data VALUES (61391, 7, 112, 37.42059422, 116, 346);
INSERT INTO public.ecdc_data VALUES (61392, 285, 1872, 60.50741336, 174, 346);
INSERT INTO public.ecdc_data VALUES (61393, 1, 26, 9.46315424, 86, 346);
INSERT INTO public.ecdc_data VALUES (61394, 17, 193, 4.03120601, 117, 346);
INSERT INTO public.ecdc_data VALUES (61395, 2, 0, 58.44372704, 175, 346);
INSERT INTO public.ecdc_data VALUES (61396, 0, 2, 0.50486567, 118, 346);
INSERT INTO public.ecdc_data VALUES (61397, 0, 299, 10.96411554, 119, 346);
INSERT INTO public.ecdc_data VALUES (61398, 2, 12, 0.3081373, 26, 346);
INSERT INTO public.ecdc_data VALUES (61399, 3, 12, 19.68300356, 176, 346);
INSERT INTO public.ecdc_data VALUES (61400, 2, 284, 59.42368062, 120, 346);
INSERT INTO public.ecdc_data VALUES (61401, 0, 0, 4.005704, 121, 346);
INSERT INTO public.ecdc_data VALUES (61402, 0, 0, 0, 122, 346);
INSERT INTO public.ecdc_data VALUES (61403, 0, 9, 9.53140886, 177, 346);
INSERT INTO public.ecdc_data VALUES (61404, 0, 4, 0.90435577, 123, 346);
INSERT INTO public.ecdc_data VALUES (61405, 0, 0, 1.37725034, 28, 346);
INSERT INTO public.ecdc_data VALUES (61406, 1, 0, 0.17705766, 29, 346);
INSERT INTO public.ecdc_data VALUES (61407, 0, 0, 5.21131898, 178, 346);
INSERT INTO public.ecdc_data VALUES (61408, 0, 10, 8.44611522, 179, 346);
INSERT INTO public.ecdc_data VALUES (61409, 1, 15, 55.38415427, 180, 346);
INSERT INTO public.ecdc_data VALUES (61410, 0, 4, 0.0778663, 30, 346);
INSERT INTO public.ecdc_data VALUES (61411, 0, 1, 0.11272899, 31, 346);
INSERT INTO public.ecdc_data VALUES (61412, 2, 57, 2.56652712, 124, 346);
INSERT INTO public.ecdc_data VALUES (61413, 1, 191, 83.43425174, 125, 346);
INSERT INTO public.ecdc_data VALUES (61414, 1, 8, 1.62274711, 32, 346);
INSERT INTO public.ecdc_data VALUES (61415, 0, 2, 8.91484098, 181, 346);
INSERT INTO public.ecdc_data VALUES (61416, 0, 1, 0.02209604, 33, 346);
INSERT INTO public.ecdc_data VALUES (61417, 0, 0, 0.63008498, 34, 346);
INSERT INTO public.ecdc_data VALUES (61418, 127, 1765, 14.7308815, 87, 346);
INSERT INTO public.ecdc_data VALUES (61419, 8, 126, 43.10879988, 182, 346);
INSERT INTO public.ecdc_data VALUES (61420, 0, 0, 6.04503551, 183, 346);
INSERT INTO public.ecdc_data VALUES (61421, 0, 0, 0.21704309, 126, 346);
INSERT INTO public.ecdc_data VALUES (61422, 0, 0, 3.05376883, 184, 346);
INSERT INTO public.ecdc_data VALUES (61423, 0, 0, 0, 88, 346);
INSERT INTO public.ecdc_data VALUES (61424, 2, 102, 5.86755245, 35, 346);
INSERT INTO public.ecdc_data VALUES (61425, 0, 0, 0.14819185, 36, 346);
INSERT INTO public.ecdc_data VALUES (61426, 0, 1, 0.1221195, 127, 346);
INSERT INTO public.ecdc_data VALUES (61427, 0, 0, 0, 37, 346);
INSERT INTO public.ecdc_data VALUES (61428, 0, 0, 0.14331297, 128, 346);
INSERT INTO public.ecdc_data VALUES (61429, 84, 514, 58.45333133, 185, 346);
INSERT INTO public.ecdc_data VALUES (61430, 0, 0, 0, 207, 346);
INSERT INTO public.ecdc_data VALUES (61431, 0, 3, 0.96172703, 208, 346);
INSERT INTO public.ecdc_data VALUES (61432, 0, 0, 0.07638832, 89, 346);
INSERT INTO public.ecdc_data VALUES (61433, 0, 6, 0.47188592, 38, 346);
INSERT INTO public.ecdc_data VALUES (61434, 7, 204, 0.74142779, 39, 346);
INSERT INTO public.ecdc_data VALUES (61435, 4, 23, 18.48702923, 186, 346);
INSERT INTO public.ecdc_data VALUES (61436, 0, 0, 1.74785451, 209, 346);
INSERT INTO public.ecdc_data VALUES (61437, 2, 43, 17.24781221, 187, 346);
INSERT INTO public.ecdc_data VALUES (61438, 1, 74, 26.7136108, 129, 346);
INSERT INTO public.ecdc_data VALUES (61439, 39, 1058, 4.52149963, 130, 346);
INSERT INTO public.ecdc_data VALUES (61440, 2, 0, 4.27588749, 131, 346);
INSERT INTO public.ecdc_data VALUES (61441, 10, 154, 59.24963028, 90, 346);
INSERT INTO public.ecdc_data VALUES (61442, 0, 0, 0.01139456, 210, 346);
INSERT INTO public.ecdc_data VALUES (61443, 1, 17, 1.30595762, 91, 346);
INSERT INTO public.ecdc_data VALUES (61444, 108, 3045, 75.31421731, 92, 346);
INSERT INTO public.ecdc_data VALUES (61445, 10, 276, 2.615694, 132, 346);
INSERT INTO public.ecdc_data VALUES (61446, 20, 237, 13.05934362, 188, 346);
INSERT INTO public.ecdc_data VALUES (61447, 18, 295, 59.8056734, 189, 346);
INSERT INTO public.ecdc_data VALUES (61448, 6, 106, 16.90868356, 93, 346);
INSERT INTO public.ecdc_data VALUES (61449, 0, 845, 328.59345687, 133, 346);
INSERT INTO public.ecdc_data VALUES (61450, 42, 262, 23.34857867, 190, 346);
INSERT INTO public.ecdc_data VALUES (61451, 101, 7099, 53.85533891, 191, 346);
INSERT INTO public.ecdc_data VALUES (61452, 0, 18, 0.83155552, 40, 346);
INSERT INTO public.ecdc_data VALUES (61453, 0, 0, 1.8927206, 94, 346);
INSERT INTO public.ecdc_data VALUES (61454, 0, 0, 1.09412183, 95, 346);
INSERT INTO public.ecdc_data VALUES (61455, 0, 0, 3.61686544, 96, 346);
INSERT INTO public.ecdc_data VALUES (61456, 0, 6, 415.05819522, 192, 346);
INSERT INTO public.ecdc_data VALUES (61457, 1, 2, 5.58014955, 41, 346);
INSERT INTO public.ecdc_data VALUES (61458, 5, 1351, 47.77853173, 134, 346);
INSERT INTO public.ecdc_data VALUES (61459, 0, 51, 3.66953066, 42, 346);
INSERT INTO public.ecdc_data VALUES (61460, 6, 285, 53.00294496, 193, 346);
INSERT INTO public.ecdc_data VALUES (61461, 0, 0, 0, 43, 346);
INSERT INTO public.ecdc_data VALUES (61462, 3, 8, 1.39507375, 44, 346);
INSERT INTO public.ecdc_data VALUES (61463, 1, 528, 202.29679742, 135, 346);
INSERT INTO public.ecdc_data VALUES (61464, 0, 0, 44.82294935, 97, 346);
INSERT INTO public.ecdc_data VALUES (61465, 1, 5, 7.68747955, 194, 346);
INSERT INTO public.ecdc_data VALUES (61466, 2, 11, 7.73700711, 195, 346);
INSERT INTO public.ecdc_data VALUES (61467, 0, 19, 3.37371736, 45, 346);
INSERT INTO public.ecdc_data VALUES (61468, 0, 297, 5.19482586, 46, 346);
INSERT INTO public.ecdc_data VALUES (61469, 1, 9, 0.27135018, 136, 346);
INSERT INTO public.ecdc_data VALUES (61470, 0, 1, 0.28023577, 47, 346);
INSERT INTO public.ecdc_data VALUES (61471, 281, 1387, 56.33288493, 196, 346);
INSERT INTO public.ecdc_data VALUES (61472, 0, 16, 2.00246355, 137, 346);
INSERT INTO public.ecdc_data VALUES (61473, 3, 67, 0.95764775, 48, 346);
INSERT INTO public.ecdc_data VALUES (61474, 0, 0, 0, 98, 346);
INSERT INTO public.ecdc_data VALUES (61475, 78, 636, 83.43935129, 197, 346);
INSERT INTO public.ecdc_data VALUES (61476, 15, 179, 33.37809103, 198, 346);
INSERT INTO public.ecdc_data VALUES (61477, 0, 0, 0.05858186, 138, 346);
INSERT INTO public.ecdc_data VALUES (61478, 0, 0, 0.14301409, 139, 346);
INSERT INTO public.ecdc_data VALUES (61479, 0, 15, 0, 140, 346);
INSERT INTO public.ecdc_data VALUES (61480, 0, 6, 0.37342597, 141, 346);
INSERT INTO public.ecdc_data VALUES (61481, 0, 0, 0.46399406, 142, 346);
INSERT INTO public.ecdc_data VALUES (61482, 2, 7, 0.43304189, 49, 346);
INSERT INTO public.ecdc_data VALUES (61483, 0, 0, 0.14337236, 99, 346);
INSERT INTO public.ecdc_data VALUES (61484, 0, 14, 1.47074907, 50, 346);
INSERT INTO public.ecdc_data VALUES (61485, 93, 2615, 56.10831936, 199, 346);
INSERT INTO public.ecdc_data VALUES (61486, 0, 0, 2.61821228, 100, 346);
INSERT INTO public.ecdc_data VALUES (61487, 0, 2, 0.06324884, 51, 346);
INSERT INTO public.ecdc_data VALUES (61488, 11, 540, 14.19523271, 200, 346);
INSERT INTO public.ecdc_data VALUES (61489, 7, 552, 70.49773984, 143, 346);
INSERT INTO public.ecdc_data VALUES (61490, 634, 5442, 99.25261278, 201, 346);
INSERT INTO public.ecdc_data VALUES (61491, 0, 0, 0.66545459, 52, 346);
INSERT INTO public.ecdc_data VALUES (61492, 2040, 29917, 121.09920548, 101, 346);
INSERT INTO public.ecdc_data VALUES (61493, 0, 0, 14.34322378, 102, 346);
INSERT INTO public.ecdc_data VALUES (61494, 2, 13, 4.07310678, 103, 346);
INSERT INTO public.ecdc_data VALUES (61495, 0, 44, 2.01930069, 144, 346);
INSERT INTO public.ecdc_data VALUES (61496, 0, 2, 0.45238033, 104, 346);
INSERT INTO public.ecdc_data VALUES (61497, 0, 0, 0.00207335, 145, 346);
INSERT INTO public.ecdc_data VALUES (61498, 0, 0, 0, 53, 346);
INSERT INTO public.ecdc_data VALUES (61499, 2, 0, 0.01714565, 146, 346);
INSERT INTO public.ecdc_data VALUES (61500, 0, 9, 0.32472924, 54, 346);
INSERT INTO public.ecdc_data VALUES (61501, 0, 0, 0.06828049, 55, 346);
INSERT INTO public.ecdc_data VALUES (61502, 0, 25, 0.37853141, 105, 347);
INSERT INTO public.ecdc_data VALUES (61503, 3, 20, 6.56785308, 147, 347);
INSERT INTO public.ecdc_data VALUES (61504, 9, 132, 1.52370143, 1, 347);
INSERT INTO public.ecdc_data VALUES (61505, 4, 6, 475.2090526, 148, 347);
INSERT INTO public.ecdc_data VALUES (61506, 0, 0, 0, 2, 347);
INSERT INTO public.ecdc_data VALUES (61507, 0, 0, 0, 56, 347);
INSERT INTO public.ecdc_data VALUES (61508, 0, 0, 0, 57, 347);
INSERT INTO public.ecdc_data VALUES (61509, 0, 0, 1.98076514, 58, 347);
INSERT INTO public.ecdc_data VALUES (61510, 0, 39, 16.66819937, 149, 347);
INSERT INTO public.ecdc_data VALUES (61511, 0, 5, 0, 59, 347);
INSERT INTO public.ecdc_data VALUES (61512, 1, 150, 16.87484129, 202, 347);
INSERT INTO public.ecdc_data VALUES (61513, 20, 564, 99.90094567, 150, 347);
INSERT INTO public.ecdc_data VALUES (61514, 1, 25, 2.68717706, 151, 347);
INSERT INTO public.ecdc_data VALUES (61515, 0, 1, 3.59448093, 60, 347);
INSERT INTO public.ecdc_data VALUES (61516, 0, 52, 20.10767967, 106, 347);
INSERT INTO public.ecdc_data VALUES (61517, 0, 2, 0.0263729, 107, 347);
INSERT INTO public.ecdc_data VALUES (61518, 0, 0, 11.49741657, 61, 347);
INSERT INTO public.ecdc_data VALUES (61519, 0, 47, 1.22720039, 152, 347);
INSERT INTO public.ecdc_data VALUES (61520, 208, 1683, 114.88785449, 153, 347);
INSERT INTO public.ecdc_data VALUES (61521, 0, 0, 0, 62, 347);
INSERT INTO public.ecdc_data VALUES (61522, 0, 2, 0.05931625, 3, 347);
INSERT INTO public.ecdc_data VALUES (61523, 0, 5, 0, 63, 347);
INSERT INTO public.ecdc_data VALUES (61524, 0, 0, 0.39313636, 108, 347);
INSERT INTO public.ecdc_data VALUES (61525, 1, 8, 0.89463291, 64, 347);
INSERT INTO public.ecdc_data VALUES (61526, 4, 60, 11.60255171, 154, 347);
INSERT INTO public.ecdc_data VALUES (61527, 0, 3, 0, 4, 347);
INSERT INTO public.ecdc_data VALUES (61528, 42, 1138, 2.57096061, 66, 347);
INSERT INTO public.ecdc_data VALUES (61529, 0, 0, 0, 67, 347);
INSERT INTO public.ecdc_data VALUES (61530, 0, 2, 16.84760533, 109, 347);
INSERT INTO public.ecdc_data VALUES (61531, 0, 40, 4.54283183, 155, 347);
INSERT INTO public.ecdc_data VALUES (61532, 0, 24, 1.11212903, 5, 347);
INSERT INTO public.ecdc_data VALUES (61533, 0, 2, 0, 6, 347);
INSERT INTO public.ecdc_data VALUES (61534, 0, 0, 0.51557203, 110, 347);
INSERT INTO public.ecdc_data VALUES (61535, 4, 51, 0.70720847, 7, 347);
INSERT INTO public.ecdc_data VALUES (61536, 7, 1112, 21.29585391, 68, 347);
INSERT INTO public.ecdc_data VALUES (61537, 0, 1, 0, 8, 347);
INSERT INTO public.ecdc_data VALUES (61538, 0, 2, 0, 69, 347);
INSERT INTO public.ecdc_data VALUES (61539, 0, 0, 0.1053701, 9, 347);
INSERT INTO public.ecdc_data VALUES (61540, 0, 0, 0, 10, 347);
INSERT INTO public.ecdc_data VALUES (61541, 4, 289, 13.38642526, 70, 347);
INSERT INTO public.ecdc_data VALUES (61542, 1, 54, 0.08432234, 111, 347);
INSERT INTO public.ecdc_data VALUES (61543, 2, 108, 1.67065814, 71, 347);
INSERT INTO public.ecdc_data VALUES (61544, 2, 3, 0.39029801, 12, 347);
INSERT INTO public.ecdc_data VALUES (61545, 0, 17, 5.88402993, 72, 347);
INSERT INTO public.ecdc_data VALUES (61546, 0, 0, 0.63383298, 13, 347);
INSERT INTO public.ecdc_data VALUES (61547, 0, 77, 19.57683614, 156, 347);
INSERT INTO public.ecdc_data VALUES (61548, 2, 16, 1.57939077, 73, 347);
INSERT INTO public.ecdc_data VALUES (61549, 0, 2, 0, 74, 347);
INSERT INTO public.ecdc_data VALUES (61550, 1, 32, 25.345388, 157, 347);
INSERT INTO public.ecdc_data VALUES (61551, 7, 306, 26.98642228, 158, 347);
INSERT INTO public.ecdc_data VALUES (61552, 0, 0, 0.1094589, 14, 347);
INSERT INTO public.ecdc_data VALUES (61553, 13, 283, 31.62201836, 159, 347);
INSERT INTO public.ecdc_data VALUES (61554, 0, 5, 3.1841998, 15, 347);
INSERT INTO public.ecdc_data VALUES (61555, 0, 0, 0, 75, 347);
INSERT INTO public.ecdc_data VALUES (61556, 9, 208, 10.22445662, 76, 347);
INSERT INTO public.ecdc_data VALUES (61557, 17, 336, 12.61104671, 77, 347);
INSERT INTO public.ecdc_data VALUES (61558, 1, 47, 0.48810578, 16, 347);
INSERT INTO public.ecdc_data VALUES (61559, 1, 0, 0.49585112, 78, 347);
INSERT INTO public.ecdc_data VALUES (61560, 0, 1, 1.03246208, 17, 347);
INSERT INTO public.ecdc_data VALUES (61561, 0, 3, 0, 18, 347);
INSERT INTO public.ecdc_data VALUES (61562, 1, 30, 39.25061518, 160, 347);
INSERT INTO public.ecdc_data VALUES (61563, 0, 0, 0.69678339, 19, 347);
INSERT INTO public.ecdc_data VALUES (61564, 0, 2, 0.0178446, 20, 347);
INSERT INTO public.ecdc_data VALUES (61565, 0, 1, 310.2081065, 161, 347);
INSERT INTO public.ecdc_data VALUES (61566, 0, 0, 0, 203, 347);
INSERT INTO public.ecdc_data VALUES (61567, 4, 71, 19.30075451, 162, 347);
INSERT INTO public.ecdc_data VALUES (61568, 499, 7578, 66.25293229, 163, 347);
INSERT INTO public.ecdc_data VALUES (61569, 0, 1, 13.24811572, 204, 347);
INSERT INTO public.ecdc_data VALUES (61570, 0, 9, 0.690424, 21, 347);
INSERT INTO public.ecdc_data VALUES (61571, 0, 0, 0.12778486, 22, 347);
INSERT INTO public.ecdc_data VALUES (61572, 0, 12, 1.9015393, 164, 347);
INSERT INTO public.ecdc_data VALUES (61573, 149, 5453, 72.52538036, 165, 347);
INSERT INTO public.ecdc_data VALUES (61574, 0, 0, 0.4799812, 23, 347);
INSERT INTO public.ecdc_data VALUES (61575, 0, 0, 0, 166, 347);
INSERT INTO public.ecdc_data VALUES (61576, 6, 102, 8.64367982, 167, 347);
INSERT INTO public.ecdc_data VALUES (61577, 0, 0, 0, 80, 347);
INSERT INTO public.ecdc_data VALUES (61578, 0, 0, 0, 81, 347);
INSERT INTO public.ecdc_data VALUES (61579, 2, 9, 41.2445082, 205, 347);
INSERT INTO public.ecdc_data VALUES (61580, 0, 2, 0.18200975, 82, 347);
INSERT INTO public.ecdc_data VALUES (61581, 0, 15, 0, 168, 347);
INSERT INTO public.ecdc_data VALUES (61582, 0, 0, 0.11745134, 24, 347);
INSERT INTO public.ecdc_data VALUES (61583, 0, 6, 0, 25, 347);
INSERT INTO public.ecdc_data VALUES (61584, 1, 4, 1.02200505, 83, 347);
INSERT INTO public.ecdc_data VALUES (61585, 0, 0, 0, 84, 347);
INSERT INTO public.ecdc_data VALUES (61586, 0, 0, 613.49693252, 169, 347);
INSERT INTO public.ecdc_data VALUES (61587, 3, 31, 1.67246128, 85, 347);
INSERT INTO public.ecdc_data VALUES (61588, 4, 33, 4.86045083, 170, 347);
INSERT INTO public.ecdc_data VALUES (61589, 0, 49, 248.7457667, 171, 347);
INSERT INTO public.ecdc_data VALUES (61590, 3, 146, 0.09221192, 112, 347);
INSERT INTO public.ecdc_data VALUES (61591, 14, 114, 0.50106131, 113, 347);
INSERT INTO public.ecdc_data VALUES (61592, 141, 3111, 34.29702668, 114, 347);
INSERT INTO public.ecdc_data VALUES (61593, 4, 64, 1.37370363, 115, 347);
INSERT INTO public.ecdc_data VALUES (61594, 17, 325, 60.00929808, 172, 347);
INSERT INTO public.ecdc_data VALUES (61595, 0, 10, 0, 173, 347);
INSERT INTO public.ecdc_data VALUES (61596, 3, 443, 52.69167109, 116, 347);
INSERT INTO public.ecdc_data VALUES (61597, 839, 4053, 123.07249627, 174, 347);
INSERT INTO public.ecdc_data VALUES (61598, 0, 0, 0.84795289, 86, 347);
INSERT INTO public.ecdc_data VALUES (61599, 0, 0, 0.88601399, 117, 347);
INSERT INTO public.ecdc_data VALUES (61600, 0, 18, 0, 175, 347);
INSERT INTO public.ecdc_data VALUES (61601, 0, 6, 2.36593911, 118, 347);
INSERT INTO public.ecdc_data VALUES (61602, 0, 15, 1.65485913, 119, 347);
INSERT INTO public.ecdc_data VALUES (61603, 0, 9, 0.10461451, 26, 347);
INSERT INTO public.ecdc_data VALUES (61604, 0, 7, 5.44896709, 176, 347);
INSERT INTO public.ecdc_data VALUES (61605, 0, 23, 3.77934609, 120, 347);
INSERT INTO public.ecdc_data VALUES (61606, 0, 23, 1.66774447, 121, 347);
INSERT INTO public.ecdc_data VALUES (61607, 0, 0, 0, 122, 347);
INSERT INTO public.ecdc_data VALUES (61608, 0, 22, 17.55237587, 177, 347);
INSERT INTO public.ecdc_data VALUES (61609, 1, 17, 5.00312951, 123, 347);
INSERT INTO public.ecdc_data VALUES (61610, 0, 0, 0.02025368, 28, 347);
INSERT INTO public.ecdc_data VALUES (61611, 0, 2, 0, 29, 347);
INSERT INTO public.ecdc_data VALUES (61612, 0, 4, 158.94522904, 178, 347);
INSERT INTO public.ecdc_data VALUES (61613, 0, 49, 18.18062089, 179, 347);
INSERT INTO public.ecdc_data VALUES (61614, 1, 190, 331.97913646, 180, 347);
INSERT INTO public.ecdc_data VALUES (61615, 0, 2, 0, 30, 347);
INSERT INTO public.ecdc_data VALUES (61616, 6, 140, 6.55090398, 124, 347);
INSERT INTO public.ecdc_data VALUES (61617, 0, 1, 0.94169584, 125, 347);
INSERT INTO public.ecdc_data VALUES (61618, 1, 0, 0, 32, 347);
INSERT INTO public.ecdc_data VALUES (61619, 0, 19, 28.36540312, 181, 347);
INSERT INTO public.ecdc_data VALUES (61620, 0, 0, 0.08838416, 33, 347);
INSERT INTO public.ecdc_data VALUES (61621, 0, 15, 0, 34, 347);
INSERT INTO public.ecdc_data VALUES (61622, 1, 286, 1.81931442, 87, 347);
INSERT INTO public.ecdc_data VALUES (61623, 2, 55, 7.98860721, 182, 347);
INSERT INTO public.ecdc_data VALUES (61624, 0, 1, 84.6304972, 183, 347);
INSERT INTO public.ecdc_data VALUES (61625, 0, 0, 0.24804925, 126, 347);
INSERT INTO public.ecdc_data VALUES (61626, 0, 18, 17.19754027, 184, 347);
INSERT INTO public.ecdc_data VALUES (61627, 3, 61, 1.5710783, 35, 347);
INSERT INTO public.ecdc_data VALUES (61628, 0, 0, 0, 36, 347);
INSERT INTO public.ecdc_data VALUES (61629, 1, 1, 0, 127, 347);
INSERT INTO public.ecdc_data VALUES (61630, 0, 0, 0.36079028, 37, 347);
INSERT INTO public.ecdc_data VALUES (61631, 0, 0, 0.01398175, 128, 347);
INSERT INTO public.ecdc_data VALUES (61632, 175, 845, 63.01294578, 185, 347);
INSERT INTO public.ecdc_data VALUES (61633, 0, 0, 0, 207, 347);
INSERT INTO public.ecdc_data VALUES (61634, 0, 0, 13.10875753, 208, 347);
INSERT INTO public.ecdc_data VALUES (61635, 0, 0, 0.06111066, 89, 347);
INSERT INTO public.ecdc_data VALUES (61636, 0, 0, 0, 38, 347);
INSERT INTO public.ecdc_data VALUES (61637, 0, 0, 0.06369313, 39, 347);
INSERT INTO public.ecdc_data VALUES (61638, 2, 44, 14.34670498, 186, 347);
INSERT INTO public.ecdc_data VALUES (61639, 0, 4, 0, 209, 347);
INSERT INTO public.ecdc_data VALUES (61640, 2, 221, 58.91282104, 187, 347);
INSERT INTO public.ecdc_data VALUES (61641, 1, 13, 3.37688985, 129, 347);
INSERT INTO public.ecdc_data VALUES (61642, 8, 414, 0.85516925, 130, 347);
INSERT INTO public.ecdc_data VALUES (61643, 0, 2, 1.52566877, 131, 347);
INSERT INTO public.ecdc_data VALUES (61644, 4, 106, 25.78630571, 90, 347);
INSERT INTO public.ecdc_data VALUES (61645, 0, 0, 0, 210, 347);
INSERT INTO public.ecdc_data VALUES (61646, 0, 4, 0.82332111, 91, 347);
INSERT INTO public.ecdc_data VALUES (61647, 6, 115, 2.9159844, 92, 347);
INSERT INTO public.ecdc_data VALUES (61648, 0, 0, 1.75458682, 132, 347);
INSERT INTO public.ecdc_data VALUES (61649, 2, 256, 5.45916905, 188, 347);
INSERT INTO public.ecdc_data VALUES (61650, 20, 1035, 68.067147, 189, 347);
INSERT INTO public.ecdc_data VALUES (61651, 2, 65, 0, 93, 347);
INSERT INTO public.ecdc_data VALUES (61652, 1, 88, 11.97003889, 133, 347);
INSERT INTO public.ecdc_data VALUES (61653, 25, 293, 10.44582342, 190, 347);
INSERT INTO public.ecdc_data VALUES (61654, 7, 501, 1.52393608, 191, 347);
INSERT INTO public.ecdc_data VALUES (61655, 0, 5, 0.53853119, 40, 347);
INSERT INTO public.ecdc_data VALUES (61656, 0, 1, 0, 94, 347);
INSERT INTO public.ecdc_data VALUES (61657, 0, 4, 6.01767007, 95, 347);
INSERT INTO public.ecdc_data VALUES (61658, 0, 0, 0, 96, 347);
INSERT INTO public.ecdc_data VALUES (61659, 1, 1, 365.71561257, 192, 347);
INSERT INTO public.ecdc_data VALUES (61660, 2, 110, 4.17292496, 134, 347);
INSERT INTO public.ecdc_data VALUES (61661, 0, 13, 0.8836328, 42, 347);
INSERT INTO public.ecdc_data VALUES (61662, 7, 115, 11.89012149, 193, 347);
INSERT INTO public.ecdc_data VALUES (61663, 0, 0, 6.13867261, 43, 347);
INSERT INTO public.ecdc_data VALUES (61664, 0, 1, 0, 44, 347);
INSERT INTO public.ecdc_data VALUES (61665, 0, 35, 10.56105747, 135, 347);
INSERT INTO public.ecdc_data VALUES (61666, 0, 3, 0, 97, 347);
INSERT INTO public.ecdc_data VALUES (61667, 0, 27, 4.88035695, 194, 347);
INSERT INTO public.ecdc_data VALUES (61668, 2, 51, 25.90215425, 195, 347);
INSERT INTO public.ecdc_data VALUES (61669, 0, 0, 0.01295093, 45, 347);
INSERT INTO public.ecdc_data VALUES (61670, 2, 27, 2.16536463, 46, 347);
INSERT INTO public.ecdc_data VALUES (61671, 0, 0, 2.68031507, 136, 347);
INSERT INTO public.ecdc_data VALUES (61672, 849, 7413, 200.25114483, 196, 347);
INSERT INTO public.ecdc_data VALUES (61673, 1, 2, 0.37516881, 137, 347);
INSERT INTO public.ecdc_data VALUES (61674, 0, 1, 0.01401436, 48, 347);
INSERT INTO public.ecdc_data VALUES (61675, 0, 2, 0, 98, 347);
INSERT INTO public.ecdc_data VALUES (61676, 48, 475, 31.41683166, 197, 347);
INSERT INTO public.ecdc_data VALUES (61677, 78, 696, 157.50432996, 198, 347);
INSERT INTO public.ecdc_data VALUES (61678, 0, 0, 0, 138, 347);
INSERT INTO public.ecdc_data VALUES (61679, 0, 16, 1.03054272, 139, 347);
INSERT INTO public.ecdc_data VALUES (61680, 0, 0, 2.11703799, 141, 347);
INSERT INTO public.ecdc_data VALUES (61681, 0, 0, 0, 142, 347);
INSERT INTO public.ecdc_data VALUES (61682, 0, 0, 0.40829664, 49, 347);
INSERT INTO public.ecdc_data VALUES (61683, 0, 2, 5.73489447, 99, 347);
INSERT INTO public.ecdc_data VALUES (61684, 1, 50, 2.89019293, 50, 347);
INSERT INTO public.ecdc_data VALUES (61685, 46, 2704, 16.38093182, 199, 347);
INSERT INTO public.ecdc_data VALUES (61686, 0, 0, 0, 100, 347);
INSERT INTO public.ecdc_data VALUES (61687, 0, 11, 0, 51, 347);
INSERT INTO public.ecdc_data VALUES (61688, 2, 69, 1.21608479, 200, 347);
INSERT INTO public.ecdc_data VALUES (61689, 1, 53, 5.63940979, 143, 347);
INSERT INTO public.ecdc_data VALUES (61690, 403, 4273, 45.45733355, 201, 347);
INSERT INTO public.ecdc_data VALUES (61691, 0, 0, 0.03103156, 52, 347);
INSERT INTO public.ecdc_data VALUES (61692, 909, 24998, 55.67017039, 101, 347);
INSERT INTO public.ecdc_data VALUES (61693, 0, 0, 0, 102, 347);
INSERT INTO public.ecdc_data VALUES (61694, 0, 6, 8.08843899, 103, 347);
INSERT INTO public.ecdc_data VALUES (61695, 0, 24, 0.47602133, 144, 347);
INSERT INTO public.ecdc_data VALUES (61696, 0, 0, 0.35769607, 104, 347);
INSERT INTO public.ecdc_data VALUES (61697, 0, 6, 0.14928142, 145, 347);
INSERT INTO public.ecdc_data VALUES (61698, 0, 0, 0.1959573, 54, 347);
INSERT INTO public.ecdc_data VALUES (61699, 0, 1, 0, 55, 347);
INSERT INTO public.ecdc_data VALUES (61700, 0, 0, 0.00262869, 105, 348);
INSERT INTO public.ecdc_data VALUES (61701, 0, 2, 0.00696815, 1, 348);
INSERT INTO public.ecdc_data VALUES (61702, 0, 1, 0.03380974, 149, 348);
INSERT INTO public.ecdc_data VALUES (61703, 1, 1, 0.04364525, 202, 348);
INSERT INTO public.ecdc_data VALUES (61704, 0, 3, 0.11288242, 150, 348);
INSERT INTO public.ecdc_data VALUES (61705, 0, 0, 0.00995251, 151, 348);
INSERT INTO public.ecdc_data VALUES (61706, 0, 3, 2.49822687, 106, 348);
INSERT INTO public.ecdc_data VALUES (61707, 0, 0, 0.01057931, 152, 348);
INSERT INTO public.ecdc_data VALUES (61708, 0, 18, 0, 153, 348);
INSERT INTO public.ecdc_data VALUES (61709, 0, 1, 0.00094764, 66, 348);
INSERT INTO public.ecdc_data VALUES (61710, 0, 0, 0, 110, 348);
INSERT INTO public.ecdc_data VALUES (61711, 0, 4, 0.03207609, 68, 348);
INSERT INTO public.ecdc_data VALUES (61712, 0, 0, 0, 214, 348);
INSERT INTO public.ecdc_data VALUES (61713, 35, 574, 0.79251843, 111, 348);
INSERT INTO public.ecdc_data VALUES (61714, 0, 0, 0.12266188, 156, 348);
INSERT INTO public.ecdc_data VALUES (61715, 0, 0, 0, 158, 348);
INSERT INTO public.ecdc_data VALUES (61716, 0, 1, 0.05166996, 159, 348);
INSERT INTO public.ecdc_data VALUES (61717, 0, 0, 0, 76, 348);
INSERT INTO public.ecdc_data VALUES (61718, 0, 1, 0.00575584, 77, 348);
INSERT INTO public.ecdc_data VALUES (61719, 0, 0, 0, 16, 348);
INSERT INTO public.ecdc_data VALUES (61720, 0, 0, 0.07548195, 160, 348);
INSERT INTO public.ecdc_data VALUES (61721, 0, 0, 0.03624555, 162, 348);
INSERT INTO public.ecdc_data VALUES (61722, 0, 43, 0.13281028, 163, 348);
INSERT INTO public.ecdc_data VALUES (61723, 0, 1, 0.07506076, 164, 348);
INSERT INTO public.ecdc_data VALUES (61724, 0, 54, 0.11563588, 165, 348);
INSERT INTO public.ecdc_data VALUES (61725, 0, 3, 0.06527051, 167, 348);
INSERT INTO public.ecdc_data VALUES (61726, 0, 0, 0.28011911, 171, 348);
INSERT INTO public.ecdc_data VALUES (61727, 0, 0, 0, 112, 348);
INSERT INTO public.ecdc_data VALUES (61728, 0, 0, 0, 113, 348);
INSERT INTO public.ecdc_data VALUES (61729, 9, 205, 0.7151998, 114, 348);
INSERT INTO public.ecdc_data VALUES (61730, 0, 6, 0.03307064, 115, 348);
INSERT INTO public.ecdc_data VALUES (61731, 0, 1, 0.02039052, 172, 348);
INSERT INTO public.ecdc_data VALUES (61732, 0, 0, 0.08216567, 116, 348);
INSERT INTO public.ecdc_data VALUES (61733, 8, 240, 1.86383112, 174, 348);
INSERT INTO public.ecdc_data VALUES (61734, 2, 9, 0.14740624, 117, 348);
INSERT INTO public.ecdc_data VALUES (61735, 0, 0, 1.06962625, 120, 348);
INSERT INTO public.ecdc_data VALUES (61736, 0, 1, 0.05834553, 123, 348);
INSERT INTO public.ecdc_data VALUES (61737, 0, 0, 0.03578862, 179, 348);
INSERT INTO public.ecdc_data VALUES (61738, 0, 1, 0.16289457, 180, 348);
INSERT INTO public.ecdc_data VALUES (61739, 0, 0, 0.00938973, 124, 348);
INSERT INTO public.ecdc_data VALUES (61740, 0, 1, 0.00940619, 87, 348);
INSERT INTO public.ecdc_data VALUES (61741, 0, 0, 3.02251776, 183, 348);
INSERT INTO public.ecdc_data VALUES (61742, 0, 0, 0, 128, 348);
INSERT INTO public.ecdc_data VALUES (61743, 0, 5, 0.04050419, 185, 348);
INSERT INTO public.ecdc_data VALUES (61744, 0, 0, 0.02090711, 208, 348);
INSERT INTO public.ecdc_data VALUES (61745, 0, 0, 0.0004976, 39, 348);
INSERT INTO public.ecdc_data VALUES (61746, 0, 0, 0.04814331, 186, 348);
INSERT INTO public.ecdc_data VALUES (61747, 0, 9, 0.28152033, 187, 348);
INSERT INTO public.ecdc_data VALUES (61748, 0, 0, 0.12060321, 129, 348);
INSERT INTO public.ecdc_data VALUES (61749, 0, 2, 0.00184702, 130, 348);
INSERT INTO public.ecdc_data VALUES (61750, 0, 0, 0, 132, 348);
INSERT INTO public.ecdc_data VALUES (61751, 0, 1, 0.03530985, 133, 348);
INSERT INTO public.ecdc_data VALUES (61752, 0, 0, 0.0154524, 190, 348);
INSERT INTO public.ecdc_data VALUES (61753, 0, 0, 0, 191, 348);
INSERT INTO public.ecdc_data VALUES (61754, 0, 0, 2.90250486, 192, 348);
INSERT INTO public.ecdc_data VALUES (61755, 0, 4, 0.51685436, 135, 348);
INSERT INTO public.ecdc_data VALUES (61756, 1, 595, 6.82670197, 136, 348);
INSERT INTO public.ecdc_data VALUES (61757, 0, 28, 0.17044101, 196, 348);
INSERT INTO public.ecdc_data VALUES (61758, 0, 0, 0, 137, 348);
INSERT INTO public.ecdc_data VALUES (61759, 0, 3, 0.09774994, 197, 348);
INSERT INTO public.ecdc_data VALUES (61760, 0, 6, 0.21066116, 198, 348);
INSERT INTO public.ecdc_data VALUES (61761, 0, 1, 0.09253853, 139, 348);
INSERT INTO public.ecdc_data VALUES (61762, 1, 0, 0.01149003, 141, 348);
INSERT INTO public.ecdc_data VALUES (61763, 0, 0, 0.13305323, 143, 348);
INSERT INTO public.ecdc_data VALUES (61764, 0, 12, 0.04801408, 201, 348);
INSERT INTO public.ecdc_data VALUES (61765, 1, 3, 0.01641014, 101, 348);
INSERT INTO public.ecdc_data VALUES (61766, 0, 0, 0, 145, 348);
INSERT INTO public.ecdc_data VALUES (61767, 0, 0, 0, 105, 349);
INSERT INTO public.ecdc_data VALUES (61768, 0, 0, 0, 1, 349);
INSERT INTO public.ecdc_data VALUES (61769, 0, 0, 0, 149, 349);
INSERT INTO public.ecdc_data VALUES (61770, 0, 2, 0.03570975, 202, 349);
INSERT INTO public.ecdc_data VALUES (61771, 0, 0, 0, 150, 349);
INSERT INTO public.ecdc_data VALUES (61772, 0, 0, 0, 151, 349);
INSERT INTO public.ecdc_data VALUES (61773, 0, 0, 0, 106, 349);
INSERT INTO public.ecdc_data VALUES (61774, 0, 0, 0, 152, 349);
INSERT INTO public.ecdc_data VALUES (61775, 0, 0, 0, 153, 349);
INSERT INTO public.ecdc_data VALUES (61776, 0, 0, 0, 66, 349);
INSERT INTO public.ecdc_data VALUES (61777, 0, 0, 0.00606555, 110, 349);
INSERT INTO public.ecdc_data VALUES (61778, 0, 1, 0.01069203, 68, 349);
INSERT INTO public.ecdc_data VALUES (61779, 0, 0, 0, 214, 349);
INSERT INTO public.ecdc_data VALUES (61780, 46, 2095, 0.81804529, 111, 349);
INSERT INTO public.ecdc_data VALUES (61781, 0, 0, 0, 156, 349);
INSERT INTO public.ecdc_data VALUES (61782, 0, 0, 0, 158, 349);
INSERT INTO public.ecdc_data VALUES (61783, 0, 0, 0, 159, 349);
INSERT INTO public.ecdc_data VALUES (61784, 0, 0, 0, 76, 349);
INSERT INTO public.ecdc_data VALUES (61785, 0, 0, 0, 77, 349);
INSERT INTO public.ecdc_data VALUES (61786, 0, 0, 0, 16, 349);
INSERT INTO public.ecdc_data VALUES (61787, 0, 0, 0, 160, 349);
INSERT INTO public.ecdc_data VALUES (61788, 0, 0, 0.01812277, 162, 349);
INSERT INTO public.ecdc_data VALUES (61789, 0, 0, 0.0089535, 163, 349);
INSERT INTO public.ecdc_data VALUES (61790, 0, 0, 0, 164, 349);
INSERT INTO public.ecdc_data VALUES (61791, 0, 2, 0.00843178, 165, 349);
INSERT INTO public.ecdc_data VALUES (61792, 0, 0, 0, 167, 349);
INSERT INTO public.ecdc_data VALUES (61793, 0, 0, 0, 171, 349);
INSERT INTO public.ecdc_data VALUES (61794, 0, 0, 7.318e-05, 112, 349);
INSERT INTO public.ecdc_data VALUES (61795, 0, 0, 0, 113, 349);
INSERT INTO public.ecdc_data VALUES (61796, 0, 0, 0, 114, 349);
INSERT INTO public.ecdc_data VALUES (61797, 0, 0, 0, 115, 349);
INSERT INTO public.ecdc_data VALUES (61798, 0, 0, 0, 172, 349);
INSERT INTO public.ecdc_data VALUES (61799, 0, 0, 0, 116, 349);
INSERT INTO public.ecdc_data VALUES (61800, 0, 0, 0.00497022, 174, 349);
INSERT INTO public.ecdc_data VALUES (61801, 0, 1, 0.01103576, 117, 349);
INSERT INTO public.ecdc_data VALUES (61802, 0, 0, 0, 120, 349);
INSERT INTO public.ecdc_data VALUES (61803, 0, 0, 0, 123, 349);
INSERT INTO public.ecdc_data VALUES (61804, 0, 0, 0, 179, 349);
INSERT INTO public.ecdc_data VALUES (61805, 0, 0, 0, 180, 349);
INSERT INTO public.ecdc_data VALUES (61806, 0, 0, 0.02503929, 124, 349);
INSERT INTO public.ecdc_data VALUES (61807, 0, 0, 0.00078385, 87, 349);
INSERT INTO public.ecdc_data VALUES (61808, 0, 0, 0, 183, 349);
INSERT INTO public.ecdc_data VALUES (61809, 0, 0, 0.00349544, 128, 349);
INSERT INTO public.ecdc_data VALUES (61810, 0, 0, 0, 185, 349);
INSERT INTO public.ecdc_data VALUES (61811, 0, 0, 0, 208, 349);
INSERT INTO public.ecdc_data VALUES (61812, 0, 0, 0, 39, 349);
INSERT INTO public.ecdc_data VALUES (61813, 0, 0, 0, 186, 349);
INSERT INTO public.ecdc_data VALUES (61814, 0, 0, 0, 187, 349);
INSERT INTO public.ecdc_data VALUES (61815, 0, 0, 0, 129, 349);
INSERT INTO public.ecdc_data VALUES (61816, 0, 0, 0, 130, 349);
INSERT INTO public.ecdc_data VALUES (61817, 0, 0, 0.00092493, 132, 349);
INSERT INTO public.ecdc_data VALUES (61818, 0, 0, 0, 133, 349);
INSERT INTO public.ecdc_data VALUES (61819, 0, 0, 0, 190, 349);
INSERT INTO public.ecdc_data VALUES (61820, 0, 2, 0.00137106, 191, 349);
INSERT INTO public.ecdc_data VALUES (61821, 0, 0, 0, 192, 349);
INSERT INTO public.ecdc_data VALUES (61822, 0, 3, 0.27565566, 135, 349);
INSERT INTO public.ecdc_data VALUES (61823, 0, 5, 0.02342591, 136, 349);
INSERT INTO public.ecdc_data VALUES (61824, 0, 1, 0.00213051, 196, 349);
INSERT INTO public.ecdc_data VALUES (61825, 0, 0, 0.00468961, 137, 349);
INSERT INTO public.ecdc_data VALUES (61826, 0, 0, 0, 197, 349);
INSERT INTO public.ecdc_data VALUES (61827, 0, 0, 0, 198, 349);
INSERT INTO public.ecdc_data VALUES (61828, 0, 1, 0.04206297, 139, 349);
INSERT INTO public.ecdc_data VALUES (61829, 0, 5, 0.02441631, 141, 349);
INSERT INTO public.ecdc_data VALUES (61830, 0, 0, 0.04093945, 143, 349);
INSERT INTO public.ecdc_data VALUES (61831, 0, 2, 0.00300088, 201, 349);
INSERT INTO public.ecdc_data VALUES (61832, 0, 1, 0.00212724, 101, 349);
INSERT INTO public.ecdc_data VALUES (61833, 0, 0, 0.00518338, 145, 349);
INSERT INTO public.ecdc_data VALUES (61834, 0, 0, 0, 105, 350);
INSERT INTO public.ecdc_data VALUES (61835, 0, 0, 0, 1, 350);
INSERT INTO public.ecdc_data VALUES (61836, 0, 0, 0, 149, 350);
INSERT INTO public.ecdc_data VALUES (61837, 0, 0, 0, 202, 350);
INSERT INTO public.ecdc_data VALUES (61838, 0, 0, 0, 150, 350);
INSERT INTO public.ecdc_data VALUES (61839, 0, 0, 0, 151, 350);
INSERT INTO public.ecdc_data VALUES (61840, 0, 0, 0, 106, 350);
INSERT INTO public.ecdc_data VALUES (61841, 0, 0, 0, 152, 350);
INSERT INTO public.ecdc_data VALUES (61842, 0, 0, 0, 153, 350);
INSERT INTO public.ecdc_data VALUES (61843, 0, 0, 0, 66, 350);
INSERT INTO public.ecdc_data VALUES (61844, 0, 0, 0, 110, 350);
INSERT INTO public.ecdc_data VALUES (61845, 0, 0, 0, 68, 350);
INSERT INTO public.ecdc_data VALUES (61846, 0, 0, 0, 214, 350);
INSERT INTO public.ecdc_data VALUES (61847, 0, 0, 0, 111, 350);
INSERT INTO public.ecdc_data VALUES (61848, 0, 0, 0, 156, 350);
INSERT INTO public.ecdc_data VALUES (61849, 0, 0, 0, 158, 350);
INSERT INTO public.ecdc_data VALUES (61850, 0, 0, 0, 159, 350);
INSERT INTO public.ecdc_data VALUES (61851, 0, 0, 0, 76, 350);
INSERT INTO public.ecdc_data VALUES (61852, 0, 0, 0, 77, 350);
INSERT INTO public.ecdc_data VALUES (61853, 0, 0, 0, 16, 350);
INSERT INTO public.ecdc_data VALUES (61854, 0, 0, 0, 160, 350);
INSERT INTO public.ecdc_data VALUES (61855, 0, 0, 0, 162, 350);
INSERT INTO public.ecdc_data VALUES (61856, 0, 0, 0, 163, 350);
INSERT INTO public.ecdc_data VALUES (61857, 0, 0, 0, 164, 350);
INSERT INTO public.ecdc_data VALUES (61858, 0, 0, 0, 165, 350);
INSERT INTO public.ecdc_data VALUES (61859, 0, 0, 0, 167, 350);
INSERT INTO public.ecdc_data VALUES (61860, 0, 0, 0, 171, 350);
INSERT INTO public.ecdc_data VALUES (61861, 0, 0, 0, 112, 350);
INSERT INTO public.ecdc_data VALUES (61862, 0, 0, 0, 113, 350);
INSERT INTO public.ecdc_data VALUES (61863, 0, 0, 0, 114, 350);
INSERT INTO public.ecdc_data VALUES (61864, 0, 0, 0, 115, 350);
INSERT INTO public.ecdc_data VALUES (61865, 0, 0, 0, 172, 350);
INSERT INTO public.ecdc_data VALUES (61866, 0, 0, 0, 116, 350);
INSERT INTO public.ecdc_data VALUES (61867, 0, 0, 0, 174, 350);
INSERT INTO public.ecdc_data VALUES (61868, 0, 0, 0, 117, 350);
INSERT INTO public.ecdc_data VALUES (61869, 0, 0, 0, 120, 350);
INSERT INTO public.ecdc_data VALUES (61870, 0, 0, 0, 123, 350);
INSERT INTO public.ecdc_data VALUES (61871, 0, 0, 0, 179, 350);
INSERT INTO public.ecdc_data VALUES (61872, 0, 0, 0, 180, 350);
INSERT INTO public.ecdc_data VALUES (61873, 0, 0, 0, 124, 350);
INSERT INTO public.ecdc_data VALUES (61874, 0, 0, 0, 87, 350);
INSERT INTO public.ecdc_data VALUES (61875, 0, 0, 0, 183, 350);
INSERT INTO public.ecdc_data VALUES (61876, 0, 0, 0, 128, 350);
INSERT INTO public.ecdc_data VALUES (61877, 0, 0, 0, 185, 350);
INSERT INTO public.ecdc_data VALUES (61878, 0, 0, 0, 208, 350);
INSERT INTO public.ecdc_data VALUES (61879, 0, 0, 0, 39, 350);
INSERT INTO public.ecdc_data VALUES (61880, 0, 0, 0, 186, 350);
INSERT INTO public.ecdc_data VALUES (61881, 0, 0, 0, 187, 350);
INSERT INTO public.ecdc_data VALUES (61882, 0, 0, 0, 129, 350);
INSERT INTO public.ecdc_data VALUES (61883, 0, 0, 0, 130, 350);
INSERT INTO public.ecdc_data VALUES (61884, 0, 0, 0, 132, 350);
INSERT INTO public.ecdc_data VALUES (61885, 0, 0, 0, 133, 350);
INSERT INTO public.ecdc_data VALUES (61886, 0, 0, 0, 190, 350);
INSERT INTO public.ecdc_data VALUES (61887, 0, 0, 0, 191, 350);
INSERT INTO public.ecdc_data VALUES (61888, 0, 0, 0, 192, 350);
INSERT INTO public.ecdc_data VALUES (61889, 0, 0, 0, 135, 350);
INSERT INTO public.ecdc_data VALUES (61890, 0, 0, 0, 136, 350);
INSERT INTO public.ecdc_data VALUES (61891, 0, 0, 0, 196, 350);
INSERT INTO public.ecdc_data VALUES (61892, 0, 0, 0, 137, 350);
INSERT INTO public.ecdc_data VALUES (61893, 0, 0, 0, 197, 350);
INSERT INTO public.ecdc_data VALUES (61894, 0, 0, 0, 198, 350);
INSERT INTO public.ecdc_data VALUES (61895, 0, 0, 0, 139, 350);
INSERT INTO public.ecdc_data VALUES (61896, 0, 0, 0, 141, 350);
INSERT INTO public.ecdc_data VALUES (61897, 0, 0, 0, 143, 350);
INSERT INTO public.ecdc_data VALUES (61898, 0, 0, 0, 201, 350);
INSERT INTO public.ecdc_data VALUES (61899, 0, 0, 0, 101, 350);
INSERT INTO public.ecdc_data VALUES (61900, 0, 0, 0, 145, 350);


--
-- Data for Name: ecdc_date_reported; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.ecdc_date_reported VALUES (1, '2019-12-31', '2020-01', '2019-12-31', 2019, 12, 31, 2, 1);
INSERT INTO public.ecdc_date_reported VALUES (2, '2020-10-31', '2020-44', '2020-10-31', 2020, 10, 31, 6, 44);
INSERT INTO public.ecdc_date_reported VALUES (3, '2020-08-31', '2020-36', '2020-08-31', 2020, 8, 31, 1, 36);
INSERT INTO public.ecdc_date_reported VALUES (4, '2020-07-31', '2020-31', '2020-07-31', 2020, 7, 31, 5, 31);
INSERT INTO public.ecdc_date_reported VALUES (5, '2020-05-31', '2020-22', '2020-05-31', 2020, 5, 31, 7, 22);
INSERT INTO public.ecdc_date_reported VALUES (6, '2020-03-31', '2020-14', '2020-03-31', 2020, 3, 31, 2, 14);
INSERT INTO public.ecdc_date_reported VALUES (7, '2020-01-31', '2020-05', '2020-01-31', 2020, 1, 31, 5, 5);
INSERT INTO public.ecdc_date_reported VALUES (8, '2020-11-30', '2020-49', '2020-11-30', 2020, 11, 30, 1, 49);
INSERT INTO public.ecdc_date_reported VALUES (9, '2020-10-30', '2020-44', '2020-10-30', 2020, 10, 30, 5, 44);
INSERT INTO public.ecdc_date_reported VALUES (10, '2020-09-30', '2020-40', '2020-09-30', 2020, 9, 30, 3, 40);
INSERT INTO public.ecdc_date_reported VALUES (11, '2020-08-30', '2020-35', '2020-08-30', 2020, 8, 30, 7, 35);
INSERT INTO public.ecdc_date_reported VALUES (12, '2020-07-30', '2020-31', '2020-07-30', 2020, 7, 30, 4, 31);
INSERT INTO public.ecdc_date_reported VALUES (13, '2020-06-30', '2020-27', '2020-06-30', 2020, 6, 30, 2, 27);
INSERT INTO public.ecdc_date_reported VALUES (14, '2020-05-30', '2020-22', '2020-05-30', 2020, 5, 30, 6, 22);
INSERT INTO public.ecdc_date_reported VALUES (15, '2020-04-30', '2020-18', '2020-04-30', 2020, 4, 30, 4, 18);
INSERT INTO public.ecdc_date_reported VALUES (16, '2020-03-30', '2020-14', '2020-03-30', 2020, 3, 30, 1, 14);
INSERT INTO public.ecdc_date_reported VALUES (17, '2020-01-30', '2020-05', '2020-01-30', 2020, 1, 30, 4, 5);
INSERT INTO public.ecdc_date_reported VALUES (18, '2020-11-29', '2020-48', '2020-11-29', 2020, 11, 29, 7, 48);
INSERT INTO public.ecdc_date_reported VALUES (19, '2020-10-29', '2020-44', '2020-10-29', 2020, 10, 29, 4, 44);
INSERT INTO public.ecdc_date_reported VALUES (20, '2020-09-29', '2020-40', '2020-09-29', 2020, 9, 29, 2, 40);
INSERT INTO public.ecdc_date_reported VALUES (21, '2020-08-29', '2020-35', '2020-08-29', 2020, 8, 29, 6, 35);
INSERT INTO public.ecdc_date_reported VALUES (22, '2020-07-29', '2020-31', '2020-07-29', 2020, 7, 29, 3, 31);
INSERT INTO public.ecdc_date_reported VALUES (23, '2020-06-29', '2020-27', '2020-06-29', 2020, 6, 29, 1, 27);
INSERT INTO public.ecdc_date_reported VALUES (24, '2020-05-29', '2020-22', '2020-05-29', 2020, 5, 29, 5, 22);
INSERT INTO public.ecdc_date_reported VALUES (25, '2020-04-29', '2020-18', '2020-04-29', 2020, 4, 29, 3, 18);
INSERT INTO public.ecdc_date_reported VALUES (26, '2020-03-29', '2020-13', '2020-03-29', 2020, 3, 29, 7, 13);
INSERT INTO public.ecdc_date_reported VALUES (27, '2020-02-29', '2020-09', '2020-02-29', 2020, 2, 29, 6, 9);
INSERT INTO public.ecdc_date_reported VALUES (28, '2020-01-29', '2020-05', '2020-01-29', 2020, 1, 29, 3, 5);
INSERT INTO public.ecdc_date_reported VALUES (29, '2020-11-28', '2020-48', '2020-11-28', 2020, 11, 28, 6, 48);
INSERT INTO public.ecdc_date_reported VALUES (30, '2020-10-28', '2020-44', '2020-10-28', 2020, 10, 28, 3, 44);
INSERT INTO public.ecdc_date_reported VALUES (31, '2020-09-28', '2020-40', '2020-09-28', 2020, 9, 28, 1, 40);
INSERT INTO public.ecdc_date_reported VALUES (32, '2020-08-28', '2020-35', '2020-08-28', 2020, 8, 28, 5, 35);
INSERT INTO public.ecdc_date_reported VALUES (33, '2020-07-28', '2020-31', '2020-07-28', 2020, 7, 28, 2, 31);
INSERT INTO public.ecdc_date_reported VALUES (34, '2020-06-28', '2020-26', '2020-06-28', 2020, 6, 28, 7, 26);
INSERT INTO public.ecdc_date_reported VALUES (35, '2020-05-28', '2020-22', '2020-05-28', 2020, 5, 28, 4, 22);
INSERT INTO public.ecdc_date_reported VALUES (36, '2020-04-28', '2020-18', '2020-04-28', 2020, 4, 28, 2, 18);
INSERT INTO public.ecdc_date_reported VALUES (37, '2020-03-28', '2020-13', '2020-03-28', 2020, 3, 28, 6, 13);
INSERT INTO public.ecdc_date_reported VALUES (38, '2020-02-28', '2020-09', '2020-02-28', 2020, 2, 28, 5, 9);
INSERT INTO public.ecdc_date_reported VALUES (39, '2020-01-28', '2020-05', '2020-01-28', 2020, 1, 28, 2, 5);
INSERT INTO public.ecdc_date_reported VALUES (40, '2020-11-27', '2020-48', '2020-11-27', 2020, 11, 27, 5, 48);
INSERT INTO public.ecdc_date_reported VALUES (41, '2020-10-27', '2020-44', '2020-10-27', 2020, 10, 27, 2, 44);
INSERT INTO public.ecdc_date_reported VALUES (42, '2020-09-27', '2020-39', '2020-09-27', 2020, 9, 27, 7, 39);
INSERT INTO public.ecdc_date_reported VALUES (43, '2020-08-27', '2020-35', '2020-08-27', 2020, 8, 27, 4, 35);
INSERT INTO public.ecdc_date_reported VALUES (44, '2020-07-27', '2020-31', '2020-07-27', 2020, 7, 27, 1, 31);
INSERT INTO public.ecdc_date_reported VALUES (45, '2020-06-27', '2020-26', '2020-06-27', 2020, 6, 27, 6, 26);
INSERT INTO public.ecdc_date_reported VALUES (46, '2020-05-27', '2020-22', '2020-05-27', 2020, 5, 27, 3, 22);
INSERT INTO public.ecdc_date_reported VALUES (47, '2020-04-27', '2020-18', '2020-04-27', 2020, 4, 27, 1, 18);
INSERT INTO public.ecdc_date_reported VALUES (48, '2020-03-27', '2020-13', '2020-03-27', 2020, 3, 27, 5, 13);
INSERT INTO public.ecdc_date_reported VALUES (49, '2020-02-27', '2020-09', '2020-02-27', 2020, 2, 27, 4, 9);
INSERT INTO public.ecdc_date_reported VALUES (50, '2020-01-27', '2020-05', '2020-01-27', 2020, 1, 27, 1, 5);
INSERT INTO public.ecdc_date_reported VALUES (51, '2020-11-26', '2020-48', '2020-11-26', 2020, 11, 26, 4, 48);
INSERT INTO public.ecdc_date_reported VALUES (52, '2020-10-26', '2020-44', '2020-10-26', 2020, 10, 26, 1, 44);
INSERT INTO public.ecdc_date_reported VALUES (53, '2020-09-26', '2020-39', '2020-09-26', 2020, 9, 26, 6, 39);
INSERT INTO public.ecdc_date_reported VALUES (54, '2020-08-26', '2020-35', '2020-08-26', 2020, 8, 26, 3, 35);
INSERT INTO public.ecdc_date_reported VALUES (55, '2020-07-26', '2020-30', '2020-07-26', 2020, 7, 26, 7, 30);
INSERT INTO public.ecdc_date_reported VALUES (56, '2020-06-26', '2020-26', '2020-06-26', 2020, 6, 26, 5, 26);
INSERT INTO public.ecdc_date_reported VALUES (57, '2020-05-26', '2020-22', '2020-05-26', 2020, 5, 26, 2, 22);
INSERT INTO public.ecdc_date_reported VALUES (58, '2020-04-26', '2020-17', '2020-04-26', 2020, 4, 26, 7, 17);
INSERT INTO public.ecdc_date_reported VALUES (59, '2020-03-26', '2020-13', '2020-03-26', 2020, 3, 26, 4, 13);
INSERT INTO public.ecdc_date_reported VALUES (60, '2020-02-26', '2020-09', '2020-02-26', 2020, 2, 26, 3, 9);
INSERT INTO public.ecdc_date_reported VALUES (61, '2020-01-26', '2020-04', '2020-01-26', 2020, 1, 26, 7, 4);
INSERT INTO public.ecdc_date_reported VALUES (62, '2020-11-25', '2020-48', '2020-11-25', 2020, 11, 25, 3, 48);
INSERT INTO public.ecdc_date_reported VALUES (63, '2020-10-25', '2020-43', '2020-10-25', 2020, 10, 25, 7, 43);
INSERT INTO public.ecdc_date_reported VALUES (64, '2020-09-25', '2020-39', '2020-09-25', 2020, 9, 25, 5, 39);
INSERT INTO public.ecdc_date_reported VALUES (65, '2020-08-25', '2020-35', '2020-08-25', 2020, 8, 25, 2, 35);
INSERT INTO public.ecdc_date_reported VALUES (66, '2020-07-25', '2020-30', '2020-07-25', 2020, 7, 25, 6, 30);
INSERT INTO public.ecdc_date_reported VALUES (67, '2020-06-25', '2020-26', '2020-06-25', 2020, 6, 25, 4, 26);
INSERT INTO public.ecdc_date_reported VALUES (68, '2020-05-25', '2020-22', '2020-05-25', 2020, 5, 25, 1, 22);
INSERT INTO public.ecdc_date_reported VALUES (69, '2020-04-25', '2020-17', '2020-04-25', 2020, 4, 25, 6, 17);
INSERT INTO public.ecdc_date_reported VALUES (70, '2020-03-25', '2020-13', '2020-03-25', 2020, 3, 25, 3, 13);
INSERT INTO public.ecdc_date_reported VALUES (71, '2020-02-25', '2020-09', '2020-02-25', 2020, 2, 25, 2, 9);
INSERT INTO public.ecdc_date_reported VALUES (72, '2020-01-25', '2020-04', '2020-01-25', 2020, 1, 25, 6, 4);
INSERT INTO public.ecdc_date_reported VALUES (73, '2020-11-24', '2020-48', '2020-11-24', 2020, 11, 24, 2, 48);
INSERT INTO public.ecdc_date_reported VALUES (74, '2020-10-24', '2020-43', '2020-10-24', 2020, 10, 24, 6, 43);
INSERT INTO public.ecdc_date_reported VALUES (75, '2020-09-24', '2020-39', '2020-09-24', 2020, 9, 24, 4, 39);
INSERT INTO public.ecdc_date_reported VALUES (76, '2020-08-24', '2020-35', '2020-08-24', 2020, 8, 24, 1, 35);
INSERT INTO public.ecdc_date_reported VALUES (77, '2020-07-24', '2020-30', '2020-07-24', 2020, 7, 24, 5, 30);
INSERT INTO public.ecdc_date_reported VALUES (78, '2020-06-24', '2020-26', '2020-06-24', 2020, 6, 24, 3, 26);
INSERT INTO public.ecdc_date_reported VALUES (79, '2020-05-24', '2020-21', '2020-05-24', 2020, 5, 24, 7, 21);
INSERT INTO public.ecdc_date_reported VALUES (80, '2020-04-24', '2020-17', '2020-04-24', 2020, 4, 24, 5, 17);
INSERT INTO public.ecdc_date_reported VALUES (81, '2020-03-24', '2020-13', '2020-03-24', 2020, 3, 24, 2, 13);
INSERT INTO public.ecdc_date_reported VALUES (82, '2020-02-24', '2020-09', '2020-02-24', 2020, 2, 24, 1, 9);
INSERT INTO public.ecdc_date_reported VALUES (83, '2020-01-24', '2020-04', '2020-01-24', 2020, 1, 24, 5, 4);
INSERT INTO public.ecdc_date_reported VALUES (84, '2020-11-23', '2020-48', '2020-11-23', 2020, 11, 23, 1, 48);
INSERT INTO public.ecdc_date_reported VALUES (85, '2020-10-23', '2020-43', '2020-10-23', 2020, 10, 23, 5, 43);
INSERT INTO public.ecdc_date_reported VALUES (86, '2020-09-23', '2020-39', '2020-09-23', 2020, 9, 23, 3, 39);
INSERT INTO public.ecdc_date_reported VALUES (87, '2020-08-23', '2020-34', '2020-08-23', 2020, 8, 23, 7, 34);
INSERT INTO public.ecdc_date_reported VALUES (88, '2020-07-23', '2020-30', '2020-07-23', 2020, 7, 23, 4, 30);
INSERT INTO public.ecdc_date_reported VALUES (89, '2020-06-23', '2020-26', '2020-06-23', 2020, 6, 23, 2, 26);
INSERT INTO public.ecdc_date_reported VALUES (90, '2020-05-23', '2020-21', '2020-05-23', 2020, 5, 23, 6, 21);
INSERT INTO public.ecdc_date_reported VALUES (91, '2020-04-23', '2020-17', '2020-04-23', 2020, 4, 23, 4, 17);
INSERT INTO public.ecdc_date_reported VALUES (92, '2020-03-23', '2020-13', '2020-03-23', 2020, 3, 23, 1, 13);
INSERT INTO public.ecdc_date_reported VALUES (93, '2020-02-23', '2020-08', '2020-02-23', 2020, 2, 23, 7, 8);
INSERT INTO public.ecdc_date_reported VALUES (94, '2020-01-23', '2020-04', '2020-01-23', 2020, 1, 23, 4, 4);
INSERT INTO public.ecdc_date_reported VALUES (95, '2020-11-22', '2020-47', '2020-11-22', 2020, 11, 22, 7, 47);
INSERT INTO public.ecdc_date_reported VALUES (96, '2020-10-22', '2020-43', '2020-10-22', 2020, 10, 22, 4, 43);
INSERT INTO public.ecdc_date_reported VALUES (97, '2020-09-22', '2020-39', '2020-09-22', 2020, 9, 22, 2, 39);
INSERT INTO public.ecdc_date_reported VALUES (98, '2020-08-22', '2020-34', '2020-08-22', 2020, 8, 22, 6, 34);
INSERT INTO public.ecdc_date_reported VALUES (99, '2020-07-22', '2020-30', '2020-07-22', 2020, 7, 22, 3, 30);
INSERT INTO public.ecdc_date_reported VALUES (100, '2020-06-22', '2020-26', '2020-06-22', 2020, 6, 22, 1, 26);
INSERT INTO public.ecdc_date_reported VALUES (101, '2020-05-22', '2020-21', '2020-05-22', 2020, 5, 22, 5, 21);
INSERT INTO public.ecdc_date_reported VALUES (102, '2020-04-22', '2020-17', '2020-04-22', 2020, 4, 22, 3, 17);
INSERT INTO public.ecdc_date_reported VALUES (103, '2020-03-22', '2020-12', '2020-03-22', 2020, 3, 22, 7, 12);
INSERT INTO public.ecdc_date_reported VALUES (104, '2020-02-22', '2020-08', '2020-02-22', 2020, 2, 22, 6, 8);
INSERT INTO public.ecdc_date_reported VALUES (105, '2020-01-22', '2020-04', '2020-01-22', 2020, 1, 22, 3, 4);
INSERT INTO public.ecdc_date_reported VALUES (106, '2020-11-21', '2020-47', '2020-11-21', 2020, 11, 21, 6, 47);
INSERT INTO public.ecdc_date_reported VALUES (107, '2020-10-21', '2020-43', '2020-10-21', 2020, 10, 21, 3, 43);
INSERT INTO public.ecdc_date_reported VALUES (108, '2020-09-21', '2020-39', '2020-09-21', 2020, 9, 21, 1, 39);
INSERT INTO public.ecdc_date_reported VALUES (109, '2020-08-21', '2020-34', '2020-08-21', 2020, 8, 21, 5, 34);
INSERT INTO public.ecdc_date_reported VALUES (110, '2020-07-21', '2020-30', '2020-07-21', 2020, 7, 21, 2, 30);
INSERT INTO public.ecdc_date_reported VALUES (111, '2020-06-21', '2020-25', '2020-06-21', 2020, 6, 21, 7, 25);
INSERT INTO public.ecdc_date_reported VALUES (112, '2020-05-21', '2020-21', '2020-05-21', 2020, 5, 21, 4, 21);
INSERT INTO public.ecdc_date_reported VALUES (113, '2020-04-21', '2020-17', '2020-04-21', 2020, 4, 21, 2, 17);
INSERT INTO public.ecdc_date_reported VALUES (114, '2020-03-21', '2020-12', '2020-03-21', 2020, 3, 21, 6, 12);
INSERT INTO public.ecdc_date_reported VALUES (115, '2020-02-21', '2020-08', '2020-02-21', 2020, 2, 21, 5, 8);
INSERT INTO public.ecdc_date_reported VALUES (116, '2020-01-21', '2020-04', '2020-01-21', 2020, 1, 21, 2, 4);
INSERT INTO public.ecdc_date_reported VALUES (117, '2020-11-20', '2020-47', '2020-11-20', 2020, 11, 20, 5, 47);
INSERT INTO public.ecdc_date_reported VALUES (118, '2020-10-20', '2020-43', '2020-10-20', 2020, 10, 20, 2, 43);
INSERT INTO public.ecdc_date_reported VALUES (119, '2020-09-20', '2020-38', '2020-09-20', 2020, 9, 20, 7, 38);
INSERT INTO public.ecdc_date_reported VALUES (120, '2020-08-20', '2020-34', '2020-08-20', 2020, 8, 20, 4, 34);
INSERT INTO public.ecdc_date_reported VALUES (121, '2020-07-20', '2020-30', '2020-07-20', 2020, 7, 20, 1, 30);
INSERT INTO public.ecdc_date_reported VALUES (122, '2020-06-20', '2020-25', '2020-06-20', 2020, 6, 20, 6, 25);
INSERT INTO public.ecdc_date_reported VALUES (123, '2020-05-20', '2020-21', '2020-05-20', 2020, 5, 20, 3, 21);
INSERT INTO public.ecdc_date_reported VALUES (124, '2020-04-20', '2020-17', '2020-04-20', 2020, 4, 20, 1, 17);
INSERT INTO public.ecdc_date_reported VALUES (125, '2020-03-20', '2020-12', '2020-03-20', 2020, 3, 20, 5, 12);
INSERT INTO public.ecdc_date_reported VALUES (126, '2020-02-20', '2020-08', '2020-02-20', 2020, 2, 20, 4, 8);
INSERT INTO public.ecdc_date_reported VALUES (127, '2020-01-20', '2020-04', '2020-01-20', 2020, 1, 20, 1, 4);
INSERT INTO public.ecdc_date_reported VALUES (128, '2020-11-19', '2020-47', '2020-11-19', 2020, 11, 19, 4, 47);
INSERT INTO public.ecdc_date_reported VALUES (129, '2020-10-19', '2020-43', '2020-10-19', 2020, 10, 19, 1, 43);
INSERT INTO public.ecdc_date_reported VALUES (130, '2020-09-19', '2020-38', '2020-09-19', 2020, 9, 19, 6, 38);
INSERT INTO public.ecdc_date_reported VALUES (131, '2020-08-19', '2020-34', '2020-08-19', 2020, 8, 19, 3, 34);
INSERT INTO public.ecdc_date_reported VALUES (132, '2020-07-19', '2020-29', '2020-07-19', 2020, 7, 19, 7, 29);
INSERT INTO public.ecdc_date_reported VALUES (133, '2020-06-19', '2020-25', '2020-06-19', 2020, 6, 19, 5, 25);
INSERT INTO public.ecdc_date_reported VALUES (134, '2020-05-19', '2020-21', '2020-05-19', 2020, 5, 19, 2, 21);
INSERT INTO public.ecdc_date_reported VALUES (135, '2020-04-19', '2020-16', '2020-04-19', 2020, 4, 19, 7, 16);
INSERT INTO public.ecdc_date_reported VALUES (136, '2020-03-19', '2020-12', '2020-03-19', 2020, 3, 19, 4, 12);
INSERT INTO public.ecdc_date_reported VALUES (137, '2020-02-19', '2020-08', '2020-02-19', 2020, 2, 19, 3, 8);
INSERT INTO public.ecdc_date_reported VALUES (138, '2020-01-19', '2020-03', '2020-01-19', 2020, 1, 19, 7, 3);
INSERT INTO public.ecdc_date_reported VALUES (139, '2020-11-18', '2020-47', '2020-11-18', 2020, 11, 18, 3, 47);
INSERT INTO public.ecdc_date_reported VALUES (140, '2020-10-18', '2020-42', '2020-10-18', 2020, 10, 18, 7, 42);
INSERT INTO public.ecdc_date_reported VALUES (141, '2020-09-18', '2020-38', '2020-09-18', 2020, 9, 18, 5, 38);
INSERT INTO public.ecdc_date_reported VALUES (142, '2020-08-18', '2020-34', '2020-08-18', 2020, 8, 18, 2, 34);
INSERT INTO public.ecdc_date_reported VALUES (143, '2020-07-18', '2020-29', '2020-07-18', 2020, 7, 18, 6, 29);
INSERT INTO public.ecdc_date_reported VALUES (144, '2020-06-18', '2020-25', '2020-06-18', 2020, 6, 18, 4, 25);
INSERT INTO public.ecdc_date_reported VALUES (145, '2020-05-18', '2020-21', '2020-05-18', 2020, 5, 18, 1, 21);
INSERT INTO public.ecdc_date_reported VALUES (146, '2020-04-18', '2020-16', '2020-04-18', 2020, 4, 18, 6, 16);
INSERT INTO public.ecdc_date_reported VALUES (147, '2020-03-18', '2020-12', '2020-03-18', 2020, 3, 18, 3, 12);
INSERT INTO public.ecdc_date_reported VALUES (148, '2020-02-18', '2020-08', '2020-02-18', 2020, 2, 18, 2, 8);
INSERT INTO public.ecdc_date_reported VALUES (149, '2020-01-18', '2020-03', '2020-01-18', 2020, 1, 18, 6, 3);
INSERT INTO public.ecdc_date_reported VALUES (150, '2020-11-17', '2020-47', '2020-11-17', 2020, 11, 17, 2, 47);
INSERT INTO public.ecdc_date_reported VALUES (151, '2020-10-17', '2020-42', '2020-10-17', 2020, 10, 17, 6, 42);
INSERT INTO public.ecdc_date_reported VALUES (152, '2020-09-17', '2020-38', '2020-09-17', 2020, 9, 17, 4, 38);
INSERT INTO public.ecdc_date_reported VALUES (153, '2020-08-17', '2020-34', '2020-08-17', 2020, 8, 17, 1, 34);
INSERT INTO public.ecdc_date_reported VALUES (154, '2020-07-17', '2020-29', '2020-07-17', 2020, 7, 17, 5, 29);
INSERT INTO public.ecdc_date_reported VALUES (155, '2020-06-17', '2020-25', '2020-06-17', 2020, 6, 17, 3, 25);
INSERT INTO public.ecdc_date_reported VALUES (156, '2020-05-17', '2020-20', '2020-05-17', 2020, 5, 17, 7, 20);
INSERT INTO public.ecdc_date_reported VALUES (157, '2020-04-17', '2020-16', '2020-04-17', 2020, 4, 17, 5, 16);
INSERT INTO public.ecdc_date_reported VALUES (158, '2020-03-17', '2020-12', '2020-03-17', 2020, 3, 17, 2, 12);
INSERT INTO public.ecdc_date_reported VALUES (159, '2020-02-17', '2020-08', '2020-02-17', 2020, 2, 17, 1, 8);
INSERT INTO public.ecdc_date_reported VALUES (160, '2020-01-17', '2020-03', '2020-01-17', 2020, 1, 17, 5, 3);
INSERT INTO public.ecdc_date_reported VALUES (161, '2020-11-16', '2020-47', '2020-11-16', 2020, 11, 16, 1, 47);
INSERT INTO public.ecdc_date_reported VALUES (162, '2020-10-16', '2020-42', '2020-10-16', 2020, 10, 16, 5, 42);
INSERT INTO public.ecdc_date_reported VALUES (163, '2020-09-16', '2020-38', '2020-09-16', 2020, 9, 16, 3, 38);
INSERT INTO public.ecdc_date_reported VALUES (164, '2020-08-16', '2020-33', '2020-08-16', 2020, 8, 16, 7, 33);
INSERT INTO public.ecdc_date_reported VALUES (165, '2020-07-16', '2020-29', '2020-07-16', 2020, 7, 16, 4, 29);
INSERT INTO public.ecdc_date_reported VALUES (166, '2020-06-16', '2020-25', '2020-06-16', 2020, 6, 16, 2, 25);
INSERT INTO public.ecdc_date_reported VALUES (167, '2020-05-16', '2020-20', '2020-05-16', 2020, 5, 16, 6, 20);
INSERT INTO public.ecdc_date_reported VALUES (168, '2020-04-16', '2020-16', '2020-04-16', 2020, 4, 16, 4, 16);
INSERT INTO public.ecdc_date_reported VALUES (169, '2020-03-16', '2020-12', '2020-03-16', 2020, 3, 16, 1, 12);
INSERT INTO public.ecdc_date_reported VALUES (170, '2020-02-16', '2020-07', '2020-02-16', 2020, 2, 16, 7, 7);
INSERT INTO public.ecdc_date_reported VALUES (171, '2020-01-16', '2020-03', '2020-01-16', 2020, 1, 16, 4, 3);
INSERT INTO public.ecdc_date_reported VALUES (172, '2020-11-15', '2020-46', '2020-11-15', 2020, 11, 15, 7, 46);
INSERT INTO public.ecdc_date_reported VALUES (173, '2020-10-15', '2020-42', '2020-10-15', 2020, 10, 15, 4, 42);
INSERT INTO public.ecdc_date_reported VALUES (174, '2020-09-15', '2020-38', '2020-09-15', 2020, 9, 15, 2, 38);
INSERT INTO public.ecdc_date_reported VALUES (175, '2020-08-15', '2020-33', '2020-08-15', 2020, 8, 15, 6, 33);
INSERT INTO public.ecdc_date_reported VALUES (176, '2020-07-15', '2020-29', '2020-07-15', 2020, 7, 15, 3, 29);
INSERT INTO public.ecdc_date_reported VALUES (177, '2020-06-15', '2020-25', '2020-06-15', 2020, 6, 15, 1, 25);
INSERT INTO public.ecdc_date_reported VALUES (178, '2020-05-15', '2020-20', '2020-05-15', 2020, 5, 15, 5, 20);
INSERT INTO public.ecdc_date_reported VALUES (179, '2020-04-15', '2020-16', '2020-04-15', 2020, 4, 15, 3, 16);
INSERT INTO public.ecdc_date_reported VALUES (180, '2020-03-15', '2020-11', '2020-03-15', 2020, 3, 15, 7, 11);
INSERT INTO public.ecdc_date_reported VALUES (181, '2020-02-15', '2020-07', '2020-02-15', 2020, 2, 15, 6, 7);
INSERT INTO public.ecdc_date_reported VALUES (182, '2020-01-15', '2020-03', '2020-01-15', 2020, 1, 15, 3, 3);
INSERT INTO public.ecdc_date_reported VALUES (183, '2020-12-14', '2020-51', '2020-12-14', 2020, 12, 14, 1, 51);
INSERT INTO public.ecdc_date_reported VALUES (184, '2020-11-14', '2020-46', '2020-11-14', 2020, 11, 14, 6, 46);
INSERT INTO public.ecdc_date_reported VALUES (185, '2020-10-14', '2020-42', '2020-10-14', 2020, 10, 14, 3, 42);
INSERT INTO public.ecdc_date_reported VALUES (186, '2020-09-14', '2020-38', '2020-09-14', 2020, 9, 14, 1, 38);
INSERT INTO public.ecdc_date_reported VALUES (187, '2020-08-14', '2020-33', '2020-08-14', 2020, 8, 14, 5, 33);
INSERT INTO public.ecdc_date_reported VALUES (188, '2020-07-14', '2020-29', '2020-07-14', 2020, 7, 14, 2, 29);
INSERT INTO public.ecdc_date_reported VALUES (189, '2020-06-14', '2020-24', '2020-06-14', 2020, 6, 14, 7, 24);
INSERT INTO public.ecdc_date_reported VALUES (190, '2020-05-14', '2020-20', '2020-05-14', 2020, 5, 14, 4, 20);
INSERT INTO public.ecdc_date_reported VALUES (191, '2020-04-14', '2020-16', '2020-04-14', 2020, 4, 14, 2, 16);
INSERT INTO public.ecdc_date_reported VALUES (192, '2020-03-14', '2020-11', '2020-03-14', 2020, 3, 14, 6, 11);
INSERT INTO public.ecdc_date_reported VALUES (193, '2020-02-14', '2020-07', '2020-02-14', 2020, 2, 14, 5, 7);
INSERT INTO public.ecdc_date_reported VALUES (194, '2020-01-14', '2020-03', '2020-01-14', 2020, 1, 14, 2, 3);
INSERT INTO public.ecdc_date_reported VALUES (195, '2020-12-13', '2020-50', '2020-12-13', 2020, 12, 13, 7, 50);
INSERT INTO public.ecdc_date_reported VALUES (196, '2020-11-13', '2020-46', '2020-11-13', 2020, 11, 13, 5, 46);
INSERT INTO public.ecdc_date_reported VALUES (197, '2020-10-13', '2020-42', '2020-10-13', 2020, 10, 13, 2, 42);
INSERT INTO public.ecdc_date_reported VALUES (198, '2020-09-13', '2020-37', '2020-09-13', 2020, 9, 13, 7, 37);
INSERT INTO public.ecdc_date_reported VALUES (199, '2020-08-13', '2020-33', '2020-08-13', 2020, 8, 13, 4, 33);
INSERT INTO public.ecdc_date_reported VALUES (200, '2020-07-13', '2020-29', '2020-07-13', 2020, 7, 13, 1, 29);
INSERT INTO public.ecdc_date_reported VALUES (201, '2020-06-13', '2020-24', '2020-06-13', 2020, 6, 13, 6, 24);
INSERT INTO public.ecdc_date_reported VALUES (202, '2020-05-13', '2020-20', '2020-05-13', 2020, 5, 13, 3, 20);
INSERT INTO public.ecdc_date_reported VALUES (203, '2020-04-13', '2020-16', '2020-04-13', 2020, 4, 13, 1, 16);
INSERT INTO public.ecdc_date_reported VALUES (204, '2020-03-13', '2020-11', '2020-03-13', 2020, 3, 13, 5, 11);
INSERT INTO public.ecdc_date_reported VALUES (205, '2020-02-13', '2020-07', '2020-02-13', 2020, 2, 13, 4, 7);
INSERT INTO public.ecdc_date_reported VALUES (206, '2020-01-13', '2020-03', '2020-01-13', 2020, 1, 13, 1, 3);
INSERT INTO public.ecdc_date_reported VALUES (207, '2020-12-12', '2020-50', '2020-12-12', 2020, 12, 12, 6, 50);
INSERT INTO public.ecdc_date_reported VALUES (208, '2020-11-12', '2020-46', '2020-11-12', 2020, 11, 12, 4, 46);
INSERT INTO public.ecdc_date_reported VALUES (209, '2020-10-12', '2020-42', '2020-10-12', 2020, 10, 12, 1, 42);
INSERT INTO public.ecdc_date_reported VALUES (210, '2020-09-12', '2020-37', '2020-09-12', 2020, 9, 12, 6, 37);
INSERT INTO public.ecdc_date_reported VALUES (211, '2020-08-12', '2020-33', '2020-08-12', 2020, 8, 12, 3, 33);
INSERT INTO public.ecdc_date_reported VALUES (212, '2020-07-12', '2020-28', '2020-07-12', 2020, 7, 12, 7, 28);
INSERT INTO public.ecdc_date_reported VALUES (213, '2020-06-12', '2020-24', '2020-06-12', 2020, 6, 12, 5, 24);
INSERT INTO public.ecdc_date_reported VALUES (214, '2020-05-12', '2020-20', '2020-05-12', 2020, 5, 12, 2, 20);
INSERT INTO public.ecdc_date_reported VALUES (215, '2020-04-12', '2020-15', '2020-04-12', 2020, 4, 12, 7, 15);
INSERT INTO public.ecdc_date_reported VALUES (216, '2020-03-12', '2020-11', '2020-03-12', 2020, 3, 12, 4, 11);
INSERT INTO public.ecdc_date_reported VALUES (217, '2020-02-12', '2020-07', '2020-02-12', 2020, 2, 12, 3, 7);
INSERT INTO public.ecdc_date_reported VALUES (218, '2020-01-12', '2020-02', '2020-01-12', 2020, 1, 12, 7, 2);
INSERT INTO public.ecdc_date_reported VALUES (219, '2020-12-11', '2020-50', '2020-12-11', 2020, 12, 11, 5, 50);
INSERT INTO public.ecdc_date_reported VALUES (220, '2020-11-11', '2020-46', '2020-11-11', 2020, 11, 11, 3, 46);
INSERT INTO public.ecdc_date_reported VALUES (221, '2020-10-11', '2020-41', '2020-10-11', 2020, 10, 11, 7, 41);
INSERT INTO public.ecdc_date_reported VALUES (222, '2020-09-11', '2020-37', '2020-09-11', 2020, 9, 11, 5, 37);
INSERT INTO public.ecdc_date_reported VALUES (223, '2020-08-11', '2020-33', '2020-08-11', 2020, 8, 11, 2, 33);
INSERT INTO public.ecdc_date_reported VALUES (224, '2020-07-11', '2020-28', '2020-07-11', 2020, 7, 11, 6, 28);
INSERT INTO public.ecdc_date_reported VALUES (225, '2020-06-11', '2020-24', '2020-06-11', 2020, 6, 11, 4, 24);
INSERT INTO public.ecdc_date_reported VALUES (226, '2020-05-11', '2020-20', '2020-05-11', 2020, 5, 11, 1, 20);
INSERT INTO public.ecdc_date_reported VALUES (227, '2020-04-11', '2020-15', '2020-04-11', 2020, 4, 11, 6, 15);
INSERT INTO public.ecdc_date_reported VALUES (228, '2020-03-11', '2020-11', '2020-03-11', 2020, 3, 11, 3, 11);
INSERT INTO public.ecdc_date_reported VALUES (229, '2020-02-11', '2020-07', '2020-02-11', 2020, 2, 11, 2, 7);
INSERT INTO public.ecdc_date_reported VALUES (230, '2020-01-11', '2020-02', '2020-01-11', 2020, 1, 11, 6, 2);
INSERT INTO public.ecdc_date_reported VALUES (231, '2020-12-10', '2020-50', '2020-12-10', 2020, 12, 10, 4, 50);
INSERT INTO public.ecdc_date_reported VALUES (232, '2020-11-10', '2020-46', '2020-11-10', 2020, 11, 10, 2, 46);
INSERT INTO public.ecdc_date_reported VALUES (233, '2020-10-10', '2020-41', '2020-10-10', 2020, 10, 10, 6, 41);
INSERT INTO public.ecdc_date_reported VALUES (234, '2020-09-10', '2020-37', '2020-09-10', 2020, 9, 10, 4, 37);
INSERT INTO public.ecdc_date_reported VALUES (235, '2020-08-10', '2020-33', '2020-08-10', 2020, 8, 10, 1, 33);
INSERT INTO public.ecdc_date_reported VALUES (236, '2020-07-10', '2020-28', '2020-07-10', 2020, 7, 10, 5, 28);
INSERT INTO public.ecdc_date_reported VALUES (237, '2020-06-10', '2020-24', '2020-06-10', 2020, 6, 10, 3, 24);
INSERT INTO public.ecdc_date_reported VALUES (238, '2020-05-10', '2020-19', '2020-05-10', 2020, 5, 10, 7, 19);
INSERT INTO public.ecdc_date_reported VALUES (239, '2020-04-10', '2020-15', '2020-04-10', 2020, 4, 10, 5, 15);
INSERT INTO public.ecdc_date_reported VALUES (240, '2020-03-10', '2020-11', '2020-03-10', 2020, 3, 10, 2, 11);
INSERT INTO public.ecdc_date_reported VALUES (241, '2020-02-10', '2020-07', '2020-02-10', 2020, 2, 10, 1, 7);
INSERT INTO public.ecdc_date_reported VALUES (242, '2020-01-10', '2020-02', '2020-01-10', 2020, 1, 10, 5, 2);
INSERT INTO public.ecdc_date_reported VALUES (243, '2020-12-09', '2020-50', '2020-12-09', 2020, 12, 9, 3, 50);
INSERT INTO public.ecdc_date_reported VALUES (244, '2020-11-09', '2020-46', '2020-11-09', 2020, 11, 9, 1, 46);
INSERT INTO public.ecdc_date_reported VALUES (245, '2020-10-09', '2020-41', '2020-10-09', 2020, 10, 9, 5, 41);
INSERT INTO public.ecdc_date_reported VALUES (246, '2020-09-09', '2020-37', '2020-09-09', 2020, 9, 9, 3, 37);
INSERT INTO public.ecdc_date_reported VALUES (247, '2020-08-09', '2020-32', '2020-08-09', 2020, 8, 9, 7, 32);
INSERT INTO public.ecdc_date_reported VALUES (248, '2020-07-09', '2020-28', '2020-07-09', 2020, 7, 9, 4, 28);
INSERT INTO public.ecdc_date_reported VALUES (249, '2020-06-09', '2020-24', '2020-06-09', 2020, 6, 9, 2, 24);
INSERT INTO public.ecdc_date_reported VALUES (250, '2020-05-09', '2020-19', '2020-05-09', 2020, 5, 9, 6, 19);
INSERT INTO public.ecdc_date_reported VALUES (251, '2020-04-09', '2020-15', '2020-04-09', 2020, 4, 9, 4, 15);
INSERT INTO public.ecdc_date_reported VALUES (252, '2020-03-09', '2020-11', '2020-03-09', 2020, 3, 9, 1, 11);
INSERT INTO public.ecdc_date_reported VALUES (253, '2020-02-09', '2020-06', '2020-02-09', 2020, 2, 9, 7, 6);
INSERT INTO public.ecdc_date_reported VALUES (254, '2020-01-09', '2020-02', '2020-01-09', 2020, 1, 9, 4, 2);
INSERT INTO public.ecdc_date_reported VALUES (255, '2020-12-08', '2020-50', '2020-12-08', 2020, 12, 8, 2, 50);
INSERT INTO public.ecdc_date_reported VALUES (256, '2020-11-08', '2020-45', '2020-11-08', 2020, 11, 8, 7, 45);
INSERT INTO public.ecdc_date_reported VALUES (257, '2020-10-08', '2020-41', '2020-10-08', 2020, 10, 8, 4, 41);
INSERT INTO public.ecdc_date_reported VALUES (258, '2020-09-08', '2020-37', '2020-09-08', 2020, 9, 8, 2, 37);
INSERT INTO public.ecdc_date_reported VALUES (259, '2020-08-08', '2020-32', '2020-08-08', 2020, 8, 8, 6, 32);
INSERT INTO public.ecdc_date_reported VALUES (260, '2020-07-08', '2020-28', '2020-07-08', 2020, 7, 8, 3, 28);
INSERT INTO public.ecdc_date_reported VALUES (261, '2020-06-08', '2020-24', '2020-06-08', 2020, 6, 8, 1, 24);
INSERT INTO public.ecdc_date_reported VALUES (262, '2020-05-08', '2020-19', '2020-05-08', 2020, 5, 8, 5, 19);
INSERT INTO public.ecdc_date_reported VALUES (263, '2020-04-08', '2020-15', '2020-04-08', 2020, 4, 8, 3, 15);
INSERT INTO public.ecdc_date_reported VALUES (264, '2020-03-08', '2020-10', '2020-03-08', 2020, 3, 8, 7, 10);
INSERT INTO public.ecdc_date_reported VALUES (265, '2020-02-08', '2020-06', '2020-02-08', 2020, 2, 8, 6, 6);
INSERT INTO public.ecdc_date_reported VALUES (266, '2020-01-08', '2020-02', '2020-01-08', 2020, 1, 8, 3, 2);
INSERT INTO public.ecdc_date_reported VALUES (267, '2020-12-07', '2020-50', '2020-12-07', 2020, 12, 7, 1, 50);
INSERT INTO public.ecdc_date_reported VALUES (268, '2020-11-07', '2020-45', '2020-11-07', 2020, 11, 7, 6, 45);
INSERT INTO public.ecdc_date_reported VALUES (269, '2020-10-07', '2020-41', '2020-10-07', 2020, 10, 7, 3, 41);
INSERT INTO public.ecdc_date_reported VALUES (270, '2020-09-07', '2020-37', '2020-09-07', 2020, 9, 7, 1, 37);
INSERT INTO public.ecdc_date_reported VALUES (271, '2020-08-07', '2020-32', '2020-08-07', 2020, 8, 7, 5, 32);
INSERT INTO public.ecdc_date_reported VALUES (272, '2020-07-07', '2020-28', '2020-07-07', 2020, 7, 7, 2, 28);
INSERT INTO public.ecdc_date_reported VALUES (273, '2020-06-07', '2020-23', '2020-06-07', 2020, 6, 7, 7, 23);
INSERT INTO public.ecdc_date_reported VALUES (274, '2020-05-07', '2020-19', '2020-05-07', 2020, 5, 7, 4, 19);
INSERT INTO public.ecdc_date_reported VALUES (275, '2020-04-07', '2020-15', '2020-04-07', 2020, 4, 7, 2, 15);
INSERT INTO public.ecdc_date_reported VALUES (276, '2020-03-07', '2020-10', '2020-03-07', 2020, 3, 7, 6, 10);
INSERT INTO public.ecdc_date_reported VALUES (277, '2020-02-07', '2020-06', '2020-02-07', 2020, 2, 7, 5, 6);
INSERT INTO public.ecdc_date_reported VALUES (278, '2020-01-07', '2020-02', '2020-01-07', 2020, 1, 7, 2, 2);
INSERT INTO public.ecdc_date_reported VALUES (279, '2020-12-06', '2020-49', '2020-12-06', 2020, 12, 6, 7, 49);
INSERT INTO public.ecdc_date_reported VALUES (280, '2020-11-06', '2020-45', '2020-11-06', 2020, 11, 6, 5, 45);
INSERT INTO public.ecdc_date_reported VALUES (281, '2020-10-06', '2020-41', '2020-10-06', 2020, 10, 6, 2, 41);
INSERT INTO public.ecdc_date_reported VALUES (282, '2020-09-06', '2020-36', '2020-09-06', 2020, 9, 6, 7, 36);
INSERT INTO public.ecdc_date_reported VALUES (283, '2020-08-06', '2020-32', '2020-08-06', 2020, 8, 6, 4, 32);
INSERT INTO public.ecdc_date_reported VALUES (284, '2020-07-06', '2020-28', '2020-07-06', 2020, 7, 6, 1, 28);
INSERT INTO public.ecdc_date_reported VALUES (285, '2020-06-06', '2020-23', '2020-06-06', 2020, 6, 6, 6, 23);
INSERT INTO public.ecdc_date_reported VALUES (286, '2020-05-06', '2020-19', '2020-05-06', 2020, 5, 6, 3, 19);
INSERT INTO public.ecdc_date_reported VALUES (287, '2020-04-06', '2020-15', '2020-04-06', 2020, 4, 6, 1, 15);
INSERT INTO public.ecdc_date_reported VALUES (288, '2020-03-06', '2020-10', '2020-03-06', 2020, 3, 6, 5, 10);
INSERT INTO public.ecdc_date_reported VALUES (289, '2020-02-06', '2020-06', '2020-02-06', 2020, 2, 6, 4, 6);
INSERT INTO public.ecdc_date_reported VALUES (290, '2020-01-06', '2020-02', '2020-01-06', 2020, 1, 6, 1, 2);
INSERT INTO public.ecdc_date_reported VALUES (291, '2020-12-05', '2020-49', '2020-12-05', 2020, 12, 5, 6, 49);
INSERT INTO public.ecdc_date_reported VALUES (292, '2020-11-05', '2020-45', '2020-11-05', 2020, 11, 5, 4, 45);
INSERT INTO public.ecdc_date_reported VALUES (293, '2020-10-05', '2020-41', '2020-10-05', 2020, 10, 5, 1, 41);
INSERT INTO public.ecdc_date_reported VALUES (294, '2020-09-05', '2020-36', '2020-09-05', 2020, 9, 5, 6, 36);
INSERT INTO public.ecdc_date_reported VALUES (295, '2020-08-05', '2020-32', '2020-08-05', 2020, 8, 5, 3, 32);
INSERT INTO public.ecdc_date_reported VALUES (296, '2020-07-05', '2020-27', '2020-07-05', 2020, 7, 5, 7, 27);
INSERT INTO public.ecdc_date_reported VALUES (297, '2020-06-05', '2020-23', '2020-06-05', 2020, 6, 5, 5, 23);
INSERT INTO public.ecdc_date_reported VALUES (298, '2020-05-05', '2020-19', '2020-05-05', 2020, 5, 5, 2, 19);
INSERT INTO public.ecdc_date_reported VALUES (299, '2020-04-05', '2020-14', '2020-04-05', 2020, 4, 5, 7, 14);
INSERT INTO public.ecdc_date_reported VALUES (300, '2020-03-05', '2020-10', '2020-03-05', 2020, 3, 5, 4, 10);
INSERT INTO public.ecdc_date_reported VALUES (301, '2020-02-05', '2020-06', '2020-02-05', 2020, 2, 5, 3, 6);
INSERT INTO public.ecdc_date_reported VALUES (302, '2020-01-05', '2020-01', '2020-01-05', 2020, 1, 5, 7, 1);
INSERT INTO public.ecdc_date_reported VALUES (303, '2020-12-04', '2020-49', '2020-12-04', 2020, 12, 4, 5, 49);
INSERT INTO public.ecdc_date_reported VALUES (304, '2020-11-04', '2020-45', '2020-11-04', 2020, 11, 4, 3, 45);
INSERT INTO public.ecdc_date_reported VALUES (305, '2020-10-04', '2020-40', '2020-10-04', 2020, 10, 4, 7, 40);
INSERT INTO public.ecdc_date_reported VALUES (306, '2020-09-04', '2020-36', '2020-09-04', 2020, 9, 4, 5, 36);
INSERT INTO public.ecdc_date_reported VALUES (307, '2020-08-04', '2020-32', '2020-08-04', 2020, 8, 4, 2, 32);
INSERT INTO public.ecdc_date_reported VALUES (308, '2020-07-04', '2020-27', '2020-07-04', 2020, 7, 4, 6, 27);
INSERT INTO public.ecdc_date_reported VALUES (309, '2020-06-04', '2020-23', '2020-06-04', 2020, 6, 4, 4, 23);
INSERT INTO public.ecdc_date_reported VALUES (310, '2020-05-04', '2020-19', '2020-05-04', 2020, 5, 4, 1, 19);
INSERT INTO public.ecdc_date_reported VALUES (311, '2020-04-04', '2020-14', '2020-04-04', 2020, 4, 4, 6, 14);
INSERT INTO public.ecdc_date_reported VALUES (312, '2020-03-04', '2020-10', '2020-03-04', 2020, 3, 4, 3, 10);
INSERT INTO public.ecdc_date_reported VALUES (313, '2020-02-04', '2020-06', '2020-02-04', 2020, 2, 4, 2, 6);
INSERT INTO public.ecdc_date_reported VALUES (314, '2020-01-04', '2020-01', '2020-01-04', 2020, 1, 4, 6, 1);
INSERT INTO public.ecdc_date_reported VALUES (315, '2020-12-03', '2020-49', '2020-12-03', 2020, 12, 3, 4, 49);
INSERT INTO public.ecdc_date_reported VALUES (316, '2020-11-03', '2020-45', '2020-11-03', 2020, 11, 3, 2, 45);
INSERT INTO public.ecdc_date_reported VALUES (317, '2020-10-03', '2020-40', '2020-10-03', 2020, 10, 3, 6, 40);
INSERT INTO public.ecdc_date_reported VALUES (318, '2020-09-03', '2020-36', '2020-09-03', 2020, 9, 3, 4, 36);
INSERT INTO public.ecdc_date_reported VALUES (319, '2020-08-03', '2020-32', '2020-08-03', 2020, 8, 3, 1, 32);
INSERT INTO public.ecdc_date_reported VALUES (320, '2020-07-03', '2020-27', '2020-07-03', 2020, 7, 3, 5, 27);
INSERT INTO public.ecdc_date_reported VALUES (321, '2020-06-03', '2020-23', '2020-06-03', 2020, 6, 3, 3, 23);
INSERT INTO public.ecdc_date_reported VALUES (322, '2020-05-03', '2020-18', '2020-05-03', 2020, 5, 3, 7, 18);
INSERT INTO public.ecdc_date_reported VALUES (323, '2020-04-03', '2020-14', '2020-04-03', 2020, 4, 3, 5, 14);
INSERT INTO public.ecdc_date_reported VALUES (324, '2020-03-03', '2020-10', '2020-03-03', 2020, 3, 3, 2, 10);
INSERT INTO public.ecdc_date_reported VALUES (325, '2020-02-03', '2020-06', '2020-02-03', 2020, 2, 3, 1, 6);
INSERT INTO public.ecdc_date_reported VALUES (326, '2020-01-03', '2020-01', '2020-01-03', 2020, 1, 3, 5, 1);
INSERT INTO public.ecdc_date_reported VALUES (327, '2020-12-02', '2020-49', '2020-12-02', 2020, 12, 2, 3, 49);
INSERT INTO public.ecdc_date_reported VALUES (328, '2020-11-02', '2020-45', '2020-11-02', 2020, 11, 2, 1, 45);
INSERT INTO public.ecdc_date_reported VALUES (329, '2020-10-02', '2020-40', '2020-10-02', 2020, 10, 2, 5, 40);
INSERT INTO public.ecdc_date_reported VALUES (330, '2020-09-02', '2020-36', '2020-09-02', 2020, 9, 2, 3, 36);
INSERT INTO public.ecdc_date_reported VALUES (331, '2020-08-02', '2020-31', '2020-08-02', 2020, 8, 2, 7, 31);
INSERT INTO public.ecdc_date_reported VALUES (332, '2020-07-02', '2020-27', '2020-07-02', 2020, 7, 2, 4, 27);
INSERT INTO public.ecdc_date_reported VALUES (333, '2020-06-02', '2020-23', '2020-06-02', 2020, 6, 2, 2, 23);
INSERT INTO public.ecdc_date_reported VALUES (334, '2020-05-02', '2020-18', '2020-05-02', 2020, 5, 2, 6, 18);
INSERT INTO public.ecdc_date_reported VALUES (335, '2020-04-02', '2020-14', '2020-04-02', 2020, 4, 2, 4, 14);
INSERT INTO public.ecdc_date_reported VALUES (336, '2020-03-02', '2020-10', '2020-03-02', 2020, 3, 2, 1, 10);
INSERT INTO public.ecdc_date_reported VALUES (337, '2020-02-02', '2020-05', '2020-02-02', 2020, 2, 2, 7, 5);
INSERT INTO public.ecdc_date_reported VALUES (338, '2020-01-02', '2020-01', '2020-01-02', 2020, 1, 2, 4, 1);
INSERT INTO public.ecdc_date_reported VALUES (339, '2020-12-01', '2020-49', '2020-12-01', 2020, 12, 1, 2, 49);
INSERT INTO public.ecdc_date_reported VALUES (340, '2020-11-01', '2020-44', '2020-11-01', 2020, 11, 1, 7, 44);
INSERT INTO public.ecdc_date_reported VALUES (341, '2020-10-01', '2020-40', '2020-10-01', 2020, 10, 1, 4, 40);
INSERT INTO public.ecdc_date_reported VALUES (342, '2020-09-01', '2020-36', '2020-09-01', 2020, 9, 1, 2, 36);
INSERT INTO public.ecdc_date_reported VALUES (343, '2020-08-01', '2020-31', '2020-08-01', 2020, 8, 1, 6, 31);
INSERT INTO public.ecdc_date_reported VALUES (344, '2020-07-01', '2020-27', '2020-07-01', 2020, 7, 1, 3, 27);
INSERT INTO public.ecdc_date_reported VALUES (345, '2020-06-01', '2020-23', '2020-06-01', 2020, 6, 1, 1, 23);
INSERT INTO public.ecdc_date_reported VALUES (346, '2020-05-01', '2020-18', '2020-05-01', 2020, 5, 1, 5, 18);
INSERT INTO public.ecdc_date_reported VALUES (347, '2020-04-01', '2020-14', '2020-04-01', 2020, 4, 1, 3, 14);
INSERT INTO public.ecdc_date_reported VALUES (348, '2020-03-01', '2020-09', '2020-03-01', 2020, 3, 1, 7, 9);
INSERT INTO public.ecdc_date_reported VALUES (349, '2020-02-01', '2020-05', '2020-02-01', 2020, 2, 1, 6, 5);
INSERT INTO public.ecdc_date_reported VALUES (350, '2020-01-01', '2020-01', '2020-01-01', 2020, 1, 1, 3, 1);


--
-- Data for Name: ecdc_import; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.ecdc_import VALUES (1, '14/12/2020', '14', '12', '2020', '746', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '9.01377925');
INSERT INTO public.ecdc_import VALUES (2, '13/12/2020', '13', '12', '2020', '298', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.05277624');
INSERT INTO public.ecdc_import VALUES (3, '12/12/2020', '12', '12', '2020', '113', '11', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.86876792');
INSERT INTO public.ecdc_import VALUES (4, '11/12/2020', '11', '12', '2020', '63', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.13426564');
INSERT INTO public.ecdc_import VALUES (5, '10/12/2020', '10', '12', '2020', '202', '16', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.96865815');
INSERT INTO public.ecdc_import VALUES (6, '09/12/2020', '9', '12', '2020', '135', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.96340077');
INSERT INTO public.ecdc_import VALUES (7, '08/12/2020', '8', '12', '2020', '200', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.09483529');
INSERT INTO public.ecdc_import VALUES (8, '07/12/2020', '7', '12', '2020', '210', '26', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.21575505');
INSERT INTO public.ecdc_import VALUES (9, '06/12/2020', '6', '12', '2020', '234', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.32616004');
INSERT INTO public.ecdc_import VALUES (10, '05/12/2020', '5', '12', '2020', '235', '18', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.11586481');
INSERT INTO public.ecdc_import VALUES (11, '04/12/2020', '4', '12', '2020', '119', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.10797874');
INSERT INTO public.ecdc_import VALUES (12, '03/12/2020', '3', '12', '2020', '202', '19', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.53645527');
INSERT INTO public.ecdc_import VALUES (13, '02/12/2020', '2', '12', '2020', '400', '48', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.00545982');
INSERT INTO public.ecdc_import VALUES (14, '01/12/2020', '1', '12', '2020', '272', '11', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.96077208');
INSERT INTO public.ecdc_import VALUES (15, '30/11/2020', '30', '11', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.41663317');
INSERT INTO public.ecdc_import VALUES (16, '29/11/2020', '29', '11', '2020', '228', '11', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.8451097');
INSERT INTO public.ecdc_import VALUES (17, '28/11/2020', '28', '11', '2020', '214', '15', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.78464983');
INSERT INTO public.ecdc_import VALUES (18, '27/11/2020', '27', '11', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.39560365');
INSERT INTO public.ecdc_import VALUES (19, '26/11/2020', '26', '11', '2020', '200', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.34193218');
INSERT INTO public.ecdc_import VALUES (20, '25/11/2020', '25', '11', '2020', '185', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.1999829');
INSERT INTO public.ecdc_import VALUES (21, '24/11/2020', '24', '11', '2020', '246', '17', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.71367519');
INSERT INTO public.ecdc_import VALUES (22, '23/11/2020', '23', '11', '2020', '252', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.655844');
INSERT INTO public.ecdc_import VALUES (23, '22/11/2020', '22', '11', '2020', '154', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.20370926');
INSERT INTO public.ecdc_import VALUES (24, '21/11/2020', '21', '11', '2020', '232', '25', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.13010593');
INSERT INTO public.ecdc_import VALUES (25, '20/11/2020', '20', '11', '2020', '282', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.6727138');
INSERT INTO public.ecdc_import VALUES (26, '19/11/2020', '19', '11', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.03657073');
INSERT INTO public.ecdc_import VALUES (27, '18/11/2020', '18', '11', '2020', '383', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.35464227');
INSERT INTO public.ecdc_import VALUES (28, '17/11/2020', '17', '11', '2020', '65', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.57392123');
INSERT INTO public.ecdc_import VALUES (29, '16/11/2020', '16', '11', '2020', '163', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.65278194');
INSERT INTO public.ecdc_import VALUES (30, '15/11/2020', '15', '11', '2020', '205', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.57129254');
INSERT INTO public.ecdc_import VALUES (31, '14/11/2020', '14', '11', '2020', '66', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.23219148');
INSERT INTO public.ecdc_import VALUES (32, '13/11/2020', '13', '11', '2020', '360', '14', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.47140231');
INSERT INTO public.ecdc_import VALUES (33, '12/11/2020', '12', '11', '2020', '146', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.84840269');
INSERT INTO public.ecdc_import VALUES (34, '11/11/2020', '11', '11', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.4646139');
INSERT INTO public.ecdc_import VALUES (35, '10/11/2020', '10', '11', '2020', '224', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.76165591');
INSERT INTO public.ecdc_import VALUES (36, '09/11/2020', '9', '11', '2020', '80', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.69593865');
INSERT INTO public.ecdc_import VALUES (37, '08/11/2020', '8', '11', '2020', '126', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.65650829');
INSERT INTO public.ecdc_import VALUES (38, '07/11/2020', '7', '11', '2020', '58', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.53821723');
INSERT INTO public.ecdc_import VALUES (39, '06/11/2020', '6', '11', '2020', '40', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.5461033');
INSERT INTO public.ecdc_import VALUES (40, '05/11/2020', '5', '11', '2020', '121', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.74588377');
INSERT INTO public.ecdc_import VALUES (41, '04/11/2020', '4', '11', '2020', '86', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.78268543');
INSERT INTO public.ecdc_import VALUES (42, '03/11/2020', '3', '11', '2020', '95', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.78794281');
INSERT INTO public.ecdc_import VALUES (43, '02/11/2020', '2', '11', '2020', '132', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.76691329');
INSERT INTO public.ecdc_import VALUES (44, '01/11/2020', '1', '11', '2020', '76', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.57501889');
INSERT INTO public.ecdc_import VALUES (45, '31/10/2020', '31', '10', '2020', '157', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.55398937');
INSERT INTO public.ecdc_import VALUES (46, '30/10/2020', '30', '10', '2020', '123', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.26483343');
INSERT INTO public.ecdc_import VALUES (47, '29/10/2020', '29', '10', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.94150452');
INSERT INTO public.ecdc_import VALUES (48, '28/10/2020', '28', '10', '2020', '113', '7', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.02562261');
INSERT INTO public.ecdc_import VALUES (49, '27/10/2020', '27', '10', '2020', '199', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.90207416');
INSERT INTO public.ecdc_import VALUES (50, '26/10/2020', '26', '10', '2020', '65', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.71806583');
INSERT INTO public.ecdc_import VALUES (51, '25/10/2020', '25', '10', '2020', '81', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.79955524');
INSERT INTO public.ecdc_import VALUES (52, '24/10/2020', '24', '10', '2020', '61', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.58663132');
INSERT INTO public.ecdc_import VALUES (53, '23/10/2020', '23', '10', '2020', '116', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.45256811');
INSERT INTO public.ecdc_import VALUES (54, '22/10/2020', '22', '10', '2020', '135', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.35004918');
INSERT INTO public.ecdc_import VALUES (55, '21/10/2020', '21', '10', '2020', '88', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.17392693');
INSERT INTO public.ecdc_import VALUES (56, '20/10/2020', '20', '10', '2020', '87', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.10558098');
INSERT INTO public.ecdc_import VALUES (57, '19/10/2020', '19', '10', '2020', '59', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.25804502');
INSERT INTO public.ecdc_import VALUES (58, '18/10/2020', '18', '10', '2020', '68', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.21861467');
INSERT INTO public.ecdc_import VALUES (59, '17/10/2020', '17', '10', '2020', '47', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.05826455');
INSERT INTO public.ecdc_import VALUES (60, '16/10/2020', '16', '10', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.94785956');
INSERT INTO public.ecdc_import VALUES (61, '15/10/2020', '15', '10', '2020', '32', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.99254729');
INSERT INTO public.ecdc_import VALUES (62, '14/10/2020', '14', '10', '2020', '66', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.94523087');
INSERT INTO public.ecdc_import VALUES (63, '13/10/2020', '13', '10', '2020', '129', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.81116766');
INSERT INTO public.ecdc_import VALUES (64, '12/10/2020', '12', '10', '2020', '96', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.50361089');
INSERT INTO public.ecdc_import VALUES (65, '11/10/2020', '11', '10', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.25125661');
INSERT INTO public.ecdc_import VALUES (66, '10/10/2020', '10', '10', '2020', '10', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.34326078');
INSERT INTO public.ecdc_import VALUES (67, '09/10/2020', '9', '10', '2020', '77', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.33274601');
INSERT INTO public.ecdc_import VALUES (68, '08/10/2020', '8', '10', '2020', '68', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.1723959');
INSERT INTO public.ecdc_import VALUES (69, '07/10/2020', '7', '10', '2020', '62', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.05936222');
INSERT INTO public.ecdc_import VALUES (70, '06/10/2020', '6', '10', '2020', '145', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.08302043');
INSERT INTO public.ecdc_import VALUES (71, '05/10/2020', '5', '10', '2020', '44', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.78072104');
INSERT INTO public.ecdc_import VALUES (72, '04/10/2020', '4', '10', '2020', '7', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.66505866');
INSERT INTO public.ecdc_import VALUES (73, '03/10/2020', '3', '10', '2020', '5', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.97524412');
INSERT INTO public.ecdc_import VALUES (74, '02/10/2020', '2', '10', '2020', '17', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.08564912');
INSERT INTO public.ecdc_import VALUES (75, '01/10/2020', '1', '10', '2020', '14', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.04096138');
INSERT INTO public.ecdc_import VALUES (76, '30/09/2020', '30', '9', '2020', '15', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.04884745');
INSERT INTO public.ecdc_import VALUES (77, '29/09/2020', '29', '9', '2020', '12', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.11456471');
INSERT INTO public.ecdc_import VALUES (78, '28/09/2020', '28', '9', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.34326078');
INSERT INTO public.ecdc_import VALUES (79, '27/09/2020', '27', '9', '2020', '35', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.54041255');
INSERT INTO public.ecdc_import VALUES (80, '26/09/2020', '26', '9', '2020', '6', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.54041255');
INSERT INTO public.ecdc_import VALUES (81, '25/09/2020', '25', '9', '2020', '16', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.61401588');
INSERT INTO public.ecdc_import VALUES (82, '24/09/2020', '24', '9', '2020', '25', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.64556017');
INSERT INTO public.ecdc_import VALUES (83, '23/09/2020', '23', '9', '2020', '71', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.64293148');
INSERT INTO public.ecdc_import VALUES (84, '22/09/2020', '22', '9', '2020', '30', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.52464041');
INSERT INTO public.ecdc_import VALUES (85, '21/09/2020', '21', '9', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.69813397');
INSERT INTO public.ecdc_import VALUES (86, '20/09/2020', '20', '9', '2020', '125', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.89265706');
INSERT INTO public.ecdc_import VALUES (87, '19/09/2020', '19', '9', '2020', '47', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.61664457');
INSERT INTO public.ecdc_import VALUES (88, '18/09/2020', '18', '9', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.53515517');
INSERT INTO public.ecdc_import VALUES (89, '17/09/2020', '17', '9', '2020', '17', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.65344624');
INSERT INTO public.ecdc_import VALUES (90, '16/09/2020', '16', '9', '2020', '40', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.70864874');
INSERT INTO public.ecdc_import VALUES (91, '15/09/2020', '15', '9', '2020', '99', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.62715933');
INSERT INTO public.ecdc_import VALUES (92, '14/09/2020', '14', '9', '2020', '75', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.45629446');
INSERT INTO public.ecdc_import VALUES (93, '13/09/2020', '13', '9', '2020', '35', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.3090878');
INSERT INTO public.ecdc_import VALUES (94, '12/09/2020', '12', '9', '2020', '34', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.22496971');
INSERT INTO public.ecdc_import VALUES (95, '11/09/2020', '11', '9', '2020', '28', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.16450983');
INSERT INTO public.ecdc_import VALUES (96, '10/09/2020', '10', '9', '2020', '24', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.09879257');
INSERT INTO public.ecdc_import VALUES (97, '09/09/2020', '9', '9', '2020', '26', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.18028197');
INSERT INTO public.ecdc_import VALUES (98, '08/09/2020', '8', '9', '2020', '96', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.11456471');
INSERT INTO public.ecdc_import VALUES (99, '07/09/2020', '7', '9', '2020', '74', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.04884745');
INSERT INTO public.ecdc_import VALUES (100, '06/09/2020', '6', '9', '2020', '20', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.85432437');
INSERT INTO public.ecdc_import VALUES (101, '05/09/2020', '5', '9', '2020', '16', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.07776305');
INSERT INTO public.ecdc_import VALUES (102, '04/09/2020', '4', '9', '2020', '45', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.13559424');
INSERT INTO public.ecdc_import VALUES (103, '03/09/2020', '3', '9', '2020', '38', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.27228614');
INSERT INTO public.ecdc_import VALUES (104, '02/09/2020', '2', '9', '2020', '9', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.59298636');
INSERT INTO public.ecdc_import VALUES (105, '01/09/2020', '1', '9', '2020', '34', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.56932815');
INSERT INTO public.ecdc_import VALUES (106, '31/08/2020', '31', '8', '2020', '19', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.48783875');
INSERT INTO public.ecdc_import VALUES (107, '30/08/2020', '30', '8', '2020', '3', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.55618469');
INSERT INTO public.ecdc_import VALUES (108, '29/08/2020', '29', '8', '2020', '11', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.86374147');
INSERT INTO public.ecdc_import VALUES (109, '28/08/2020', '28', '8', '2020', '3', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.85322671');
INSERT INTO public.ecdc_import VALUES (110, '27/08/2020', '27', '8', '2020', '55', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.05300717');
INSERT INTO public.ecdc_import VALUES (111, '26/08/2020', '26', '8', '2020', '1', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.10820967');
INSERT INTO public.ecdc_import VALUES (112, '25/08/2020', '25', '8', '2020', '71', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.67074941');
INSERT INTO public.ecdc_import VALUES (113, '24/08/2020', '24', '8', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.48411239');
INSERT INTO public.ecdc_import VALUES (114, '23/08/2020', '23', '8', '2020', '105', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.48411239');
INSERT INTO public.ecdc_import VALUES (115, '22/08/2020', '22', '8', '2020', '38', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.31061883');
INSERT INTO public.ecdc_import VALUES (116, '21/08/2020', '21', '8', '2020', '97', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.41576644');
INSERT INTO public.ecdc_import VALUES (117, '20/08/2020', '20', '8', '2020', '160', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.26855978');
INSERT INTO public.ecdc_import VALUES (118, '19/08/2020', '19', '8', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.02409158');
INSERT INTO public.ecdc_import VALUES (119, '18/08/2020', '18', '8', '2020', '3', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.23964419');
INSERT INTO public.ecdc_import VALUES (120, '17/08/2020', '17', '8', '2020', '45', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.32901966');
INSERT INTO public.ecdc_import VALUES (121, '16/08/2020', '16', '8', '2020', '120', '7', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.21072859');
INSERT INTO public.ecdc_import VALUES (122, '15/08/2020', '15', '8', '2020', '7', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.89528575');
INSERT INTO public.ecdc_import VALUES (123, '14/08/2020', '14', '8', '2020', '79', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.3185049');
INSERT INTO public.ecdc_import VALUES (124, '13/08/2020', '13', '8', '2020', '76', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.29747538');
INSERT INTO public.ecdc_import VALUES (125, '12/08/2020', '12', '8', '2020', '215', '32', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.09769491');
INSERT INTO public.ecdc_import VALUES (126, '11/08/2020', '11', '8', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.80328159');
INSERT INTO public.ecdc_import VALUES (127, '10/08/2020', '10', '8', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.07929408');
INSERT INTO public.ecdc_import VALUES (128, '09/08/2020', '9', '8', '2020', '39', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.35793526');
INSERT INTO public.ecdc_import VALUES (129, '08/08/2020', '8', '8', '2020', '78', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.57348786');
INSERT INTO public.ecdc_import VALUES (130, '07/08/2020', '7', '8', '2020', '41', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.65234858');
INSERT INTO public.ecdc_import VALUES (131, '06/08/2020', '6', '8', '2020', '67', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.57874525');
INSERT INTO public.ecdc_import VALUES (132, '05/08/2020', '5', '8', '2020', '82', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.89681678');
INSERT INTO public.ecdc_import VALUES (133, '04/08/2020', '4', '8', '2020', '37', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.97567749');
INSERT INTO public.ecdc_import VALUES (134, '03/08/2020', '3', '8', '2020', '0', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.2464326');
INSERT INTO public.ecdc_import VALUES (135, '02/08/2020', '2', '8', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.70382472');
INSERT INTO public.ecdc_import VALUES (136, '01/08/2020', '1', '8', '2020', '168', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.73536901');
INSERT INTO public.ecdc_import VALUES (137, '31/07/2020', '31', '7', '2020', '71', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.86943221');
INSERT INTO public.ecdc_import VALUES (138, '30/07/2020', '30', '7', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.88257567');
INSERT INTO public.ecdc_import VALUES (139, '29/07/2020', '29', '7', '2020', '103', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.55026302');
INSERT INTO public.ecdc_import VALUES (140, '28/07/2020', '28', '7', '2020', '105', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.02868466');
INSERT INTO public.ecdc_import VALUES (141, '27/07/2020', '27', '7', '2020', '106', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.76318694');
INSERT INTO public.ecdc_import VALUES (142, '26/07/2020', '26', '7', '2020', '121', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.48454576');
INSERT INTO public.ecdc_import VALUES (143, '25/07/2020', '25', '7', '2020', '108', '35', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.38991291');
INSERT INTO public.ecdc_import VALUES (144, '24/07/2020', '24', '7', '2020', '13', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.30995453');
INSERT INTO public.ecdc_import VALUES (145, '23/07/2020', '23', '7', '2020', '188', '21', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.9460976');
INSERT INTO public.ecdc_import VALUES (146, '22/07/2020', '22', '7', '2020', '112', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.60699654');
INSERT INTO public.ecdc_import VALUES (147, '21/07/2020', '21', '7', '2020', '140', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.8646082');
INSERT INTO public.ecdc_import VALUES (148, '20/07/2020', '20', '7', '2020', '174', '17', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.63481448');
INSERT INTO public.ecdc_import VALUES (149, '19/07/2020', '19', '7', '2020', '12', '17', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.91082696');
INSERT INTO public.ecdc_import VALUES (150, '18/07/2020', '18', '7', '2020', '219', '32', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.79406692');
INSERT INTO public.ecdc_import VALUES (151, '17/07/2020', '17', '7', '2020', '76', '21', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.01224823');
INSERT INTO public.ecdc_import VALUES (152, '16/07/2020', '16', '7', '2020', '254', '49', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.30140416');
INSERT INTO public.ecdc_import VALUES (153, '15/07/2020', '15', '7', '2020', '285', '33', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.47226904');
INSERT INTO public.ecdc_import VALUES (154, '14/07/2020', '14', '7', '2020', '4', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.4564969');
INSERT INTO public.ecdc_import VALUES (155, '13/07/2020', '13', '7', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '9.15835722');
INSERT INTO public.ecdc_import VALUES (156, '12/07/2020', '12', '7', '2020', '85', '16', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.08102754');
INSERT INTO public.ecdc_import VALUES (157, '11/07/2020', '11', '7', '2020', '458', '37', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.29132277');
INSERT INTO public.ecdc_import VALUES (158, '10/07/2020', '10', '7', '2020', '255', '20', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '9.81290112');
INSERT INTO public.ecdc_import VALUES (159, '09/07/2020', '9', '7', '2020', '59', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.35178265');
INSERT INTO public.ecdc_import VALUES (160, '08/07/2020', '8', '7', '2020', '210', '16', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.81180346');
INSERT INTO public.ecdc_import VALUES (161, '07/07/2020', '7', '7', '2020', '433', '56', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '11.14827583');
INSERT INTO public.ecdc_import VALUES (162, '06/07/2020', '6', '7', '2020', '279', '38', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.82494691');
INSERT INTO public.ecdc_import VALUES (163, '05/07/2020', '5', '7', '2020', '348', '7', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '11.16667666');
INSERT INTO public.ecdc_import VALUES (164, '04/07/2020', '4', '7', '2020', '302', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '11.68715735');
INSERT INTO public.ecdc_import VALUES (165, '03/07/2020', '3', '7', '2020', '186', '33', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '11.80281973');
INSERT INTO public.ecdc_import VALUES (166, '02/07/2020', '2', '7', '2020', '319', '28', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '13.04356158');
INSERT INTO public.ecdc_import VALUES (167, '01/07/2020', '1', '7', '2020', '279', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '13.68759072');
INSERT INTO public.ecdc_import VALUES (168, '30/06/2020', '30', '6', '2020', '271', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '15.01245066');
INSERT INTO public.ecdc_import VALUES (169, '29/06/2020', '29', '6', '2020', '351', '18', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '16.30050894');
INSERT INTO public.ecdc_import VALUES (170, '28/06/2020', '28', '6', '2020', '165', '20', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '17.12328902');
INSERT INTO public.ecdc_import VALUES (171, '27/06/2020', '27', '6', '2020', '276', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '18.15110695');
INSERT INTO public.ecdc_import VALUES (172, '26/06/2020', '26', '6', '2020', '460', '36', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '19.15000929');
INSERT INTO public.ecdc_import VALUES (173, '25/06/2020', '25', '6', '2020', '234', '21', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '19.90444343');
INSERT INTO public.ecdc_import VALUES (174, '24/06/2020', '24', '6', '2020', '338', '20', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '21.08735409');
INSERT INTO public.ecdc_import VALUES (175, '23/06/2020', '23', '6', '2020', '310', '17', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '21.62360692');
INSERT INTO public.ecdc_import VALUES (176, '22/06/2020', '22', '6', '2020', '409', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '22.32020987');
INSERT INTO public.ecdc_import VALUES (177, '21/06/2020', '21', '6', '2020', '546', '21', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '23.32436959');
INSERT INTO public.ecdc_import VALUES (178, '20/06/2020', '20', '6', '2020', '346', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '23.41900244');
INSERT INTO public.ecdc_import VALUES (179, '19/06/2020', '19', '6', '2020', '658', '42', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '24.91472726');
INSERT INTO public.ecdc_import VALUES (180, '18/06/2020', '18', '6', '2020', '564', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.25382831');
INSERT INTO public.ecdc_import VALUES (181, '17/06/2020', '17', '6', '2020', '783', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.76379424');
INSERT INTO public.ecdc_import VALUES (182, '16/06/2020', '16', '6', '2020', '761', '7', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.70070567');
INSERT INTO public.ecdc_import VALUES (183, '15/06/2020', '15', '6', '2020', '664', '20', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.13290856');
INSERT INTO public.ecdc_import VALUES (184, '14/06/2020', '14', '6', '2020', '556', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.1749676');
INSERT INTO public.ecdc_import VALUES (185, '13/06/2020', '13', '6', '2020', '656', '20', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.98986161');
INSERT INTO public.ecdc_import VALUES (186, '12/06/2020', '12', '6', '2020', '747', '21', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.90311483');
INSERT INTO public.ecdc_import VALUES (187, '11/06/2020', '11', '6', '2020', '684', '21', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.46412354');
INSERT INTO public.ecdc_import VALUES (188, '10/06/2020', '10', '6', '2020', '542', '15', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.30903081');
INSERT INTO public.ecdc_import VALUES (189, '09/06/2020', '9', '6', '2020', '575', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.61395889');
INSERT INTO public.ecdc_import VALUES (190, '08/06/2020', '8', '6', '2020', '791', '30', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.65601794');
INSERT INTO public.ecdc_import VALUES (191, '07/06/2020', '7', '6', '2020', '582', '18', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.11187903');
INSERT INTO public.ecdc_import VALUES (192, '06/06/2020', '6', '6', '2020', '915', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '25.63761711');
INSERT INTO public.ecdc_import VALUES (193, '05/06/2020', '5', '6', '2020', '787', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '24.65185822');
INSERT INTO public.ecdc_import VALUES (194, '04/06/2020', '4', '6', '2020', '758', '24', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '23.97891349');
INSERT INTO public.ecdc_import VALUES (195, '03/06/2020', '3', '6', '2020', '759', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '23.27968185');
INSERT INTO public.ecdc_import VALUES (196, '02/06/2020', '2', '6', '2020', '545', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '22.81177497');
INSERT INTO public.ecdc_import VALUES (197, '01/06/2020', '1', '6', '2020', '680', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '22.45164439');
INSERT INTO public.ecdc_import VALUES (198, '31/05/2020', '31', '5', '2020', '866', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '21.35285181');
INSERT INTO public.ecdc_import VALUES (199, '30/05/2020', '30', '5', '2020', '623', '11', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '19.07640596');
INSERT INTO public.ecdc_import VALUES (200, '29/05/2020', '29', '5', '2020', '580', '8', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '20.23302972');
INSERT INTO public.ecdc_import VALUES (201, '28/05/2020', '28', '5', '2020', '625', '7', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '19.00543132');
INSERT INTO public.ecdc_import VALUES (202, '27/05/2020', '27', '5', '2020', '658', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '18.04333065');
INSERT INTO public.ecdc_import VALUES (203, '26/05/2020', '26', '5', '2020', '591', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '17.04968569');
INSERT INTO public.ecdc_import VALUES (204, '25/05/2020', '25', '5', '2020', '584', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '16.24530644');
INSERT INTO public.ecdc_import VALUES (205, '24/05/2020', '24', '5', '2020', '782', '11', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '15.68013801');
INSERT INTO public.ecdc_import VALUES (206, '23/05/2020', '23', '5', '2020', '540', '12', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '14.29481819');
INSERT INTO public.ecdc_import VALUES (207, '22/05/2020', '22', '5', '2020', '531', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '13.44049382');
INSERT INTO public.ecdc_import VALUES (208, '21/05/2020', '21', '5', '2020', '492', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '12.49416529');
INSERT INTO public.ecdc_import VALUES (209, '20/05/2020', '20', '5', '2020', '581', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '11.64246962');
INSERT INTO public.ecdc_import VALUES (210, '19/05/2020', '19', '5', '2020', '408', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.98266833');
INSERT INTO public.ecdc_import VALUES (211, '18/05/2020', '18', '5', '2020', '262', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.40961384');
INSERT INTO public.ecdc_import VALUES (212, '17/05/2020', '17', '5', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.3386392');
INSERT INTO public.ecdc_import VALUES (213, '16/05/2020', '16', '5', '2020', '1063', '32', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '10.6908837');
INSERT INTO public.ecdc_import VALUES (214, '15/05/2020', '15', '5', '2020', '113', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.32769107');
INSERT INTO public.ecdc_import VALUES (215, '14/05/2020', '14', '5', '2020', '259', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.61421832');
INSERT INTO public.ecdc_import VALUES (216, '13/05/2020', '13', '5', '2020', '280', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '8.25408774');
INSERT INTO public.ecdc_import VALUES (217, '12/05/2020', '12', '5', '2020', '285', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.84401204');
INSERT INTO public.ecdc_import VALUES (218, '11/05/2020', '11', '5', '2020', '369', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '7.54697003');
INSERT INTO public.ecdc_import VALUES (219, '10/05/2020', '10', '5', '2020', '255', '6', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.75573423');
INSERT INTO public.ecdc_import VALUES (220, '09/05/2020', '9', '5', '2020', '215', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '6.37983151');
INSERT INTO public.ecdc_import VALUES (221, '08/05/2020', '8', '5', '2020', '171', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.99867141');
INSERT INTO public.ecdc_import VALUES (222, '07/05/2020', '7', '5', '2020', '168', '9', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.82517784');
INSERT INTO public.ecdc_import VALUES (223, '06/05/2020', '6', '5', '2020', '330', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '5.60436785');
INSERT INTO public.ecdc_import VALUES (224, '05/05/2020', '5', '5', '2020', '190', '5', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.89725015');
INSERT INTO public.ecdc_import VALUES (225, '04/05/2020', '4', '5', '2020', '235', '13', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.48980314');
INSERT INTO public.ecdc_import VALUES (226, '03/05/2020', '3', '5', '2020', '134', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '4.10338566');
INSERT INTO public.ecdc_import VALUES (227, '02/05/2020', '2', '5', '2020', '164', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.91674864');
INSERT INTO public.ecdc_import VALUES (228, '01/05/2020', '1', '5', '2020', '222', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.61970663');
INSERT INTO public.ecdc_import VALUES (229, '30/04/2020', '30', '4', '2020', '122', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '3.06242427');
INSERT INTO public.ecdc_import VALUES (230, '29/04/2020', '29', '4', '2020', '124', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.92573237');
INSERT INTO public.ecdc_import VALUES (231, '28/04/2020', '28', '4', '2020', '172', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.7285806');
INSERT INTO public.ecdc_import VALUES (232, '27/04/2020', '27', '4', '2020', '68', '10', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.42890989');
INSERT INTO public.ecdc_import VALUES (233, '26/04/2020', '26', '4', '2020', '112', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.38685085');
INSERT INTO public.ecdc_import VALUES (234, '25/04/2020', '25', '4', '2020', '70', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.181813');
INSERT INTO public.ecdc_import VALUES (235, '24/04/2020', '24', '4', '2020', '105', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '2.09506622');
INSERT INTO public.ecdc_import VALUES (236, '23/04/2020', '23', '4', '2020', '84', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.97940384');
INSERT INTO public.ecdc_import VALUES (237, '22/04/2020', '22', '4', '2020', '61', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.90580051');
INSERT INTO public.ecdc_import VALUES (238, '21/04/2020', '21', '4', '2020', '35', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.82431111');
INSERT INTO public.ecdc_import VALUES (239, '20/04/2020', '20', '4', '2020', '88', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.83219718');
INSERT INTO public.ecdc_import VALUES (240, '19/04/2020', '19', '4', '2020', '63', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.67710445');
INSERT INTO public.ecdc_import VALUES (241, '18/04/2020', '18', '4', '2020', '51', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.60350112');
INSERT INTO public.ecdc_import VALUES (242, '17/04/2020', '17', '4', '2020', '10', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.46943791');
INSERT INTO public.ecdc_import VALUES (243, '16/04/2020', '16', '4', '2020', '70', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.55618469');
INSERT INTO public.ecdc_import VALUES (244, '15/04/2020', '15', '4', '2020', '49', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.44052232');
INSERT INTO public.ecdc_import VALUES (245, '14/04/2020', '14', '4', '2020', '58', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.37743375');
INSERT INTO public.ecdc_import VALUES (246, '13/04/2020', '13', '4', '2020', '52', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.29594435');
INSERT INTO public.ecdc_import VALUES (247, '12/04/2020', '12', '4', '2020', '34', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.18028197');
INSERT INTO public.ecdc_import VALUES (248, '11/04/2020', '11', '4', '2020', '37', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.13033686');
INSERT INTO public.ecdc_import VALUES (249, '10/04/2020', '10', '4', '2020', '61', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '1.07513436');
INSERT INTO public.ecdc_import VALUES (250, '09/04/2020', '9', '4', '2020', '56', '3', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.91478425');
INSERT INTO public.ecdc_import VALUES (251, '08/04/2020', '8', '4', '2020', '30', '4', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.85432437');
INSERT INTO public.ecdc_import VALUES (252, '07/04/2020', '7', '4', '2020', '38', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.78072104');
INSERT INTO public.ecdc_import VALUES (253, '06/04/2020', '6', '4', '2020', '29', '2', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.69660295');
INSERT INTO public.ecdc_import VALUES (254, '05/04/2020', '5', '4', '2020', '35', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.64665783');
INSERT INTO public.ecdc_import VALUES (255, '04/04/2020', '4', '4', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.55465367');
INSERT INTO public.ecdc_import VALUES (256, '03/04/2020', '3', '4', '2020', '43', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.55991105');
INSERT INTO public.ecdc_import VALUES (257, '02/04/2020', '2', '4', '2020', '26', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.44687736');
INSERT INTO public.ecdc_import VALUES (258, '01/04/2020', '1', '4', '2020', '25', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.37853141');
INSERT INTO public.ecdc_import VALUES (259, '31/03/2020', '31', '3', '2020', '27', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.31544284');
INSERT INTO public.ecdc_import VALUES (260, '30/03/2020', '30', '3', '2020', '8', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.25761166');
INSERT INTO public.ecdc_import VALUES (261, '29/03/2020', '29', '3', '2020', '15', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.25235427');
INSERT INTO public.ecdc_import VALUES (262, '28/03/2020', '28', '3', '2020', '16', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.22080999');
INSERT INTO public.ecdc_import VALUES (263, '27/03/2020', '27', '3', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.18663702');
INSERT INTO public.ecdc_import VALUES (264, '26/03/2020', '26', '3', '2020', '33', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.19452309');
INSERT INTO public.ecdc_import VALUES (265, '25/03/2020', '25', '3', '2020', '2', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.1077763');
INSERT INTO public.ecdc_import VALUES (266, '24/03/2020', '24', '3', '2020', '6', '1', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.10251892');
INSERT INTO public.ecdc_import VALUES (267, '23/03/2020', '23', '3', '2020', '10', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.08674678');
INSERT INTO public.ecdc_import VALUES (268, '22/03/2020', '22', '3', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.06045988');
INSERT INTO public.ecdc_import VALUES (269, '21/03/2020', '21', '3', '2020', '2', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.06045988');
INSERT INTO public.ecdc_import VALUES (270, '20/03/2020', '20', '3', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.0552025');
INSERT INTO public.ecdc_import VALUES (271, '19/03/2020', '19', '3', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.05783119');
INSERT INTO public.ecdc_import VALUES (272, '18/03/2020', '18', '3', '2020', '1', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.05783119');
INSERT INTO public.ecdc_import VALUES (273, '17/03/2020', '17', '3', '2020', '5', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.0552025');
INSERT INTO public.ecdc_import VALUES (274, '16/03/2020', '16', '3', '2020', '6', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.04205905');
INSERT INTO public.ecdc_import VALUES (275, '15/03/2020', '15', '3', '2020', '3', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.0262869');
INSERT INTO public.ecdc_import VALUES (276, '11/03/2020', '11', '3', '2020', '3', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.01840083');
INSERT INTO public.ecdc_import VALUES (277, '08/03/2020', '8', '3', '2020', '3', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.01051476');
INSERT INTO public.ecdc_import VALUES (278, '02/03/2020', '2', '3', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (279, '01/03/2020', '1', '3', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (280, '29/02/2020', '29', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (281, '28/02/2020', '28', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (282, '27/02/2020', '27', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (283, '26/02/2020', '26', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (284, '25/02/2020', '25', '2', '2020', '1', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0.00262869');
INSERT INTO public.ecdc_import VALUES (285, '24/02/2020', '24', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (286, '23/02/2020', '23', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (287, '22/02/2020', '22', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (288, '21/02/2020', '21', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (289, '20/02/2020', '20', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (290, '19/02/2020', '19', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (291, '18/02/2020', '18', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (292, '17/02/2020', '17', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (293, '16/02/2020', '16', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (294, '15/02/2020', '15', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (295, '14/02/2020', '14', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (296, '13/02/2020', '13', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (297, '12/02/2020', '12', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (298, '11/02/2020', '11', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (299, '10/02/2020', '10', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (300, '09/02/2020', '9', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (301, '08/02/2020', '8', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (302, '07/02/2020', '7', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (303, '06/02/2020', '6', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (304, '05/02/2020', '5', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (305, '04/02/2020', '4', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (306, '03/02/2020', '3', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (307, '02/02/2020', '2', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (308, '01/02/2020', '1', '2', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (309, '31/01/2020', '31', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (310, '30/01/2020', '30', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (311, '29/01/2020', '29', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (312, '28/01/2020', '28', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (313, '27/01/2020', '27', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (314, '26/01/2020', '26', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (315, '25/01/2020', '25', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (316, '24/01/2020', '24', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (317, '23/01/2020', '23', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (318, '22/01/2020', '22', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (319, '21/01/2020', '21', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (320, '20/01/2020', '20', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (321, '19/01/2020', '19', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (322, '18/01/2020', '18', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (323, '17/01/2020', '17', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (324, '16/01/2020', '16', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (325, '15/01/2020', '15', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (326, '14/01/2020', '14', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (327, '13/01/2020', '13', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (328, '12/01/2020', '12', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (329, '11/01/2020', '11', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (330, '10/01/2020', '10', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (331, '09/01/2020', '9', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (332, '08/01/2020', '8', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (333, '07/01/2020', '7', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (334, '06/01/2020', '6', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (335, '05/01/2020', '5', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (336, '04/01/2020', '4', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (337, '03/01/2020', '3', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (338, '02/01/2020', '2', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (339, '01/01/2020', '1', '1', '2020', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (340, '31/12/2019', '31', '12', '2019', '0', '0', '38041757', 'Afghanistan', 'AF', 'AFG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (341, '14/12/2020', '14', '12', '2020', '788', '14', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '380.97041427');
INSERT INTO public.ecdc_import VALUES (342, '13/12/2020', '13', '12', '2020', '879', '12', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '382.61237754');
INSERT INTO public.ecdc_import VALUES (343, '12/12/2020', '12', '12', '2020', '802', '12', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '370.9439577');
INSERT INTO public.ecdc_import VALUES (344, '11/12/2020', '11', '12', '2020', '873', '14', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '365.45910166');
INSERT INTO public.ecdc_import VALUES (345, '10/12/2020', '10', '12', '2020', '752', '15', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '357.87812231');
INSERT INTO public.ecdc_import VALUES (346, '09/12/2020', '9', '12', '2020', '753', '14', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '354.10510032');
INSERT INTO public.ecdc_import VALUES (347, '08/12/2020', '8', '12', '2020', '695', '17', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '353.79068182');
INSERT INTO public.ecdc_import VALUES (348, '07/12/2020', '7', '12', '2020', '840', '16', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '357.2842207');
INSERT INTO public.ecdc_import VALUES (349, '06/12/2020', '6', '12', '2020', '846', '19', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '347.67698879');
INSERT INTO public.ecdc_import VALUES (350, '05/12/2020', '5', '12', '2020', '801', '18', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '343.86903142');
INSERT INTO public.ecdc_import VALUES (351, '04/12/2020', '4', '12', '2020', '782', '13', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '345.09177003');
INSERT INTO public.ecdc_import VALUES (352, '03/12/2020', '3', '12', '2020', '705', '17', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '345.23151158');
INSERT INTO public.ecdc_import VALUES (353, '02/12/2020', '2', '12', '2020', '832', '12', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '345.44112391');
INSERT INTO public.ecdc_import VALUES (354, '01/12/2020', '1', '12', '2020', '557', '12', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '340.62004027');
INSERT INTO public.ecdc_import VALUES (355, '30/11/2020', '30', '11', '2020', '835', '11', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '342.19213276');
INSERT INTO public.ecdc_import VALUES (356, '29/11/2020', '29', '11', '2020', '545', '16', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '333.87751024');
INSERT INTO public.ecdc_import VALUES (357, '28/11/2020', '28', '11', '2020', '645', '18', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '333.42335019');
INSERT INTO public.ecdc_import VALUES (358, '27/11/2020', '27', '11', '2020', '656', '10', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '328.00836493');
INSERT INTO public.ecdc_import VALUES (359, '26/11/2020', '26', '11', '2020', '644', '8', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '319.4142593');
INSERT INTO public.ecdc_import VALUES (360, '25/11/2020', '25', '11', '2020', '744', '19', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '314.62811104');
INSERT INTO public.ecdc_import VALUES (361, '24/11/2020', '24', '11', '2020', '795', '17', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '308.30480568');
INSERT INTO public.ecdc_import VALUES (362, '23/11/2020', '23', '11', '2020', '565', '14', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '298.87225072');
INSERT INTO public.ecdc_import VALUES (363, '22/11/2020', '22', '11', '2020', '737', '13', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '296.63638584');
INSERT INTO public.ecdc_import VALUES (364, '21/11/2020', '21', '11', '2020', '836', '15', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '288.18202176');
INSERT INTO public.ecdc_import VALUES (365, '20/11/2020', '20', '11', '2020', '786', '11', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '276.05944187');
INSERT INTO public.ecdc_import VALUES (366, '19/11/2020', '19', '11', '2020', '711', '9', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '263.30802497');
INSERT INTO public.ecdc_import VALUES (367, '18/11/2020', '18', '11', '2020', '694', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '252.30337752');
INSERT INTO public.ecdc_import VALUES (368, '17/11/2020', '17', '11', '2020', '602', '8', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '241.36860084');
INSERT INTO public.ecdc_import VALUES (369, '16/11/2020', '16', '11', '2020', '597', '11', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '231.5517566');
INSERT INTO public.ecdc_import VALUES (370, '15/11/2020', '15', '11', '2020', '532', '7', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '222.11920164');
INSERT INTO public.ecdc_import VALUES (371, '14/11/2020', '14', '11', '2020', '490', '7', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '211.95300352');
INSERT INTO public.ecdc_import VALUES (372, '13/11/2020', '13', '11', '2020', '410', '8', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '205.97905204');
INSERT INTO public.ecdc_import VALUES (373, '12/11/2020', '12', '11', '2020', '507', '11', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '201.26277456');
INSERT INTO public.ecdc_import VALUES (374, '11/11/2020', '11', '11', '2020', '563', '8', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '194.41543837');
INSERT INTO public.ecdc_import VALUES (375, '10/11/2020', '10', '11', '2020', '525', '12', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '184.66846491');
INSERT INTO public.ecdc_import VALUES (376, '09/11/2020', '9', '11', '2020', '501', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '176.38877777');
INSERT INTO public.ecdc_import VALUES (377, '08/11/2020', '8', '11', '2020', '495', '8', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '169.33182925');
INSERT INTO public.ecdc_import VALUES (378, '07/11/2020', '7', '11', '2020', '489', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '162.58929922');
INSERT INTO public.ecdc_import VALUES (379, '06/11/2020', '6', '11', '2020', '421', '7', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '156.19612308');
INSERT INTO public.ecdc_import VALUES (380, '05/11/2020', '5', '11', '2020', '396', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '152.03881182');
INSERT INTO public.ecdc_import VALUES (381, '04/11/2020', '4', '11', '2020', '381', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '148.58020833');
INSERT INTO public.ecdc_import VALUES (382, '03/11/2020', '3', '11', '2020', '321', '9', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '145.78537723');
INSERT INTO public.ecdc_import VALUES (383, '02/11/2020', '2', '11', '2020', '327', '9', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '144.87705713');
INSERT INTO public.ecdc_import VALUES (384, '01/11/2020', '1', '11', '2020', '241', '7', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '143.27002924');
INSERT INTO public.ecdc_import VALUES (541, '28/05/2020', '28', '5', '2020', '21', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.93901609');
INSERT INTO public.ecdc_import VALUES (385, '31/10/2020', '31', '10', '2020', '319', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '144.38796168');
INSERT INTO public.ecdc_import VALUES (386, '30/10/2020', '30', '10', '2020', '275', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '143.33990002');
INSERT INTO public.ecdc_import VALUES (387, '29/10/2020', '29', '10', '2020', '311', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '142.71106302');
INSERT INTO public.ecdc_import VALUES (388, '28/10/2020', '28', '10', '2020', '284', '7', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '138.93804104');
INSERT INTO public.ecdc_import VALUES (389, '27/10/2020', '27', '10', '2020', '288', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '135.37463139');
INSERT INTO public.ecdc_import VALUES (390, '26/10/2020', '26', '10', '2020', '299', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '131.2871909');
INSERT INTO public.ecdc_import VALUES (391, '25/10/2020', '25', '10', '2020', '302', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '126.71065498');
INSERT INTO public.ecdc_import VALUES (392, '24/10/2020', '24', '10', '2020', '306', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '121.92450672');
INSERT INTO public.ecdc_import VALUES (393, '23/10/2020', '23', '10', '2020', '302', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '117.06848769');
INSERT INTO public.ecdc_import VALUES (394, '22/10/2020', '22', '10', '2020', '297', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '112.42208098');
INSERT INTO public.ecdc_import VALUES (395, '21/10/2020', '21', '10', '2020', '301', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '107.7058035');
INSERT INTO public.ecdc_import VALUES (396, '20/10/2020', '20', '10', '2020', '295', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '102.71004291');
INSERT INTO public.ecdc_import VALUES (397, '19/10/2020', '19', '10', '2020', '281', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '97.43479921');
INSERT INTO public.ecdc_import VALUES (398, '18/10/2020', '18', '10', '2020', '273', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '92.8233279');
INSERT INTO public.ecdc_import VALUES (399, '17/10/2020', '17', '10', '2020', '289', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '88.59614586');
INSERT INTO public.ecdc_import VALUES (400, '16/10/2020', '16', '10', '2020', '257', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '84.05454532');
INSERT INTO public.ecdc_import VALUES (401, '15/10/2020', '15', '10', '2020', '203', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '80.56100645');
INSERT INTO public.ecdc_import VALUES (402, '14/10/2020', '14', '10', '2020', '182', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '78.04565846');
INSERT INTO public.ecdc_import VALUES (403, '13/10/2020', '13', '10', '2020', '171', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '76.12421208');
INSERT INTO public.ecdc_import VALUES (404, '12/10/2020', '12', '10', '2020', '168', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '74.76173191');
INSERT INTO public.ecdc_import VALUES (405, '11/10/2020', '11', '10', '2020', '165', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.59573781');
INSERT INTO public.ecdc_import VALUES (406, '10/10/2020', '10', '10', '2020', '167', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '70.60442065');
INSERT INTO public.ecdc_import VALUES (407, '09/10/2020', '9', '10', '2020', '169', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '69.10219894');
INSERT INTO public.ecdc_import VALUES (408, '08/10/2020', '8', '10', '2020', '162', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '67.87946033');
INSERT INTO public.ecdc_import VALUES (409, '07/10/2020', '7', '10', '2020', '158', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.44710939');
INSERT INTO public.ecdc_import VALUES (410, '06/10/2020', '6', '10', '2020', '144', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.5038539');
INSERT INTO public.ecdc_import VALUES (411, '05/10/2020', '5', '10', '2020', '149', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.71346623');
INSERT INTO public.ecdc_import VALUES (412, '04/10/2020', '4', '10', '2020', '152', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.06282012');
INSERT INTO public.ecdc_import VALUES (413, '03/10/2020', '3', '10', '2020', '159', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.09775551');
INSERT INTO public.ecdc_import VALUES (414, '02/10/2020', '2', '10', '2020', '157', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '64.90995229');
INSERT INTO public.ecdc_import VALUES (415, '01/10/2020', '1', '10', '2020', '131', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '64.03656757');
INSERT INTO public.ecdc_import VALUES (416, '30/09/2020', '30', '9', '2020', '127', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '64.49072762');
INSERT INTO public.ecdc_import VALUES (417, '29/09/2020', '29', '9', '2020', '132', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.36411234');
INSERT INTO public.ecdc_import VALUES (418, '28/09/2020', '28', '9', '2020', '106', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.58685095');
INSERT INTO public.ecdc_import VALUES (419, '27/09/2020', '27', '9', '2020', '108', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '68.75284505');
INSERT INTO public.ecdc_import VALUES (420, '26/09/2020', '26', '9', '2020', '124', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '70.70922682');
INSERT INTO public.ecdc_import VALUES (421, '25/09/2020', '25', '9', '2020', '134', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.0018362');
INSERT INTO public.ecdc_import VALUES (422, '24/09/2020', '24', '9', '2020', '121', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.77041476');
INSERT INTO public.ecdc_import VALUES (423, '23/09/2020', '23', '9', '2020', '131', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '73.81847642');
INSERT INTO public.ecdc_import VALUES (424, '22/09/2020', '22', '9', '2020', '150', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '74.37744264');
INSERT INTO public.ecdc_import VALUES (425, '21/09/2020', '21', '9', '2020', '159', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '74.41237803');
INSERT INTO public.ecdc_import VALUES (426, '20/09/2020', '20', '9', '2020', '153', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '74.20276569');
INSERT INTO public.ecdc_import VALUES (427, '19/09/2020', '19', '9', '2020', '125', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '73.5739287');
INSERT INTO public.ecdc_import VALUES (428, '18/09/2020', '18', '9', '2020', '132', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '73.50405792');
INSERT INTO public.ecdc_import VALUES (429, '17/09/2020', '17', '9', '2020', '144', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.9450917');
INSERT INTO public.ecdc_import VALUES (430, '16/09/2020', '16', '9', '2020', '152', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.17651315');
INSERT INTO public.ecdc_import VALUES (431, '15/09/2020', '15', '9', '2020', '167', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '70.11532521');
INSERT INTO public.ecdc_import VALUES (432, '14/09/2020', '14', '9', '2020', '168', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '68.92752199');
INSERT INTO public.ecdc_import VALUES (433, '13/09/2020', '13', '9', '2020', '164', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.58685095');
INSERT INTO public.ecdc_import VALUES (434, '12/09/2020', '12', '9', '2020', '161', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '63.79201985');
INSERT INTO public.ecdc_import VALUES (435, '11/09/2020', '11', '9', '2020', '156', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '62.0801858');
INSERT INTO public.ecdc_import VALUES (436, '10/09/2020', '10', '9', '2020', '151', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '62.0801858');
INSERT INTO public.ecdc_import VALUES (437, '09/09/2020', '9', '9', '2020', '147', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '62.67408741');
INSERT INTO public.ecdc_import VALUES (438, '08/09/2020', '8', '9', '2020', '151', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '62.91863513');
INSERT INTO public.ecdc_import VALUES (439, '07/09/2020', '7', '9', '2020', '153', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '63.86189063');
INSERT INTO public.ecdc_import VALUES (440, '06/09/2020', '6', '9', '2020', '135', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '63.82695524');
INSERT INTO public.ecdc_import VALUES (441, '05/09/2020', '5', '9', '2020', '123', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '64.5605984');
INSERT INTO public.ecdc_import VALUES (442, '04/09/2020', '4', '9', '2020', '116', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.57372467');
INSERT INTO public.ecdc_import VALUES (443, '03/09/2020', '3', '9', '2020', '122', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.93620484');
INSERT INTO public.ecdc_import VALUES (444, '02/09/2020', '2', '9', '2020', '93', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '68.19387883');
INSERT INTO public.ecdc_import VALUES (445, '01/09/2020', '1', '9', '2020', '133', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '70.35987293');
INSERT INTO public.ecdc_import VALUES (446, '31/08/2020', '31', '8', '2020', '101', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '69.87077749');
INSERT INTO public.ecdc_import VALUES (447, '30/08/2020', '30', '8', '2020', '84', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '70.53454988');
INSERT INTO public.ecdc_import VALUES (448, '29/08/2020', '29', '8', '2020', '112', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.59573781');
INSERT INTO public.ecdc_import VALUES (449, '28/08/2020', '28', '8', '2020', '156', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '73.78354103');
INSERT INTO public.ecdc_import VALUES (450, '27/08/2020', '27', '8', '2020', '168', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '73.71367025');
INSERT INTO public.ecdc_import VALUES (451, '26/08/2020', '26', '8', '2020', '154', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.77041476');
INSERT INTO public.ecdc_import VALUES (452, '25/08/2020', '25', '8', '2020', '178', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '72.28131931');
INSERT INTO public.ecdc_import VALUES (453, '24/08/2020', '24', '8', '2020', '152', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '70.42974371');
INSERT INTO public.ecdc_import VALUES (454, '23/08/2020', '23', '8', '2020', '156', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '69.87077749');
INSERT INTO public.ecdc_import VALUES (455, '22/08/2020', '22', '8', '2020', '152', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '68.75284505');
INSERT INTO public.ecdc_import VALUES (456, '21/08/2020', '21', '8', '2020', '155', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '68.15894344');
INSERT INTO public.ecdc_import VALUES (457, '20/08/2020', '20', '8', '2020', '158', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '67.18075256');
INSERT INTO public.ecdc_import VALUES (458, '19/08/2020', '19', '8', '2020', '155', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '66.51698017');
INSERT INTO public.ecdc_import VALUES (459, '18/08/2020', '18', '8', '2020', '119', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.64359545');
INSERT INTO public.ecdc_import VALUES (460, '17/08/2020', '17', '8', '2020', '120', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.01475845');
INSERT INTO public.ecdc_import VALUES (461, '16/08/2020', '16', '8', '2020', '143', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '65.11956462');
INSERT INTO public.ecdc_import VALUES (462, '15/08/2020', '15', '8', '2020', '146', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '64.31605068');
INSERT INTO public.ecdc_import VALUES (463, '14/08/2020', '14', '8', '2020', '154', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '61.97537963');
INSERT INTO public.ecdc_import VALUES (464, '13/08/2020', '13', '8', '2020', '141', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '59.80938553');
INSERT INTO public.ecdc_import VALUES (465, '12/08/2020', '12', '8', '2020', '140', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '58.6565177');
INSERT INTO public.ecdc_import VALUES (466, '11/08/2020', '11', '8', '2020', '125', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '57.85300376');
INSERT INTO public.ecdc_import VALUES (467, '10/08/2020', '10', '8', '2020', '136', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '57.57352065');
INSERT INTO public.ecdc_import VALUES (468, '09/08/2020', '9', '8', '2020', '124', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '57.22416676');
INSERT INTO public.ecdc_import VALUES (469, '08/08/2020', '8', '8', '2020', '135', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '55.23284961');
INSERT INTO public.ecdc_import VALUES (470, '07/08/2020', '7', '8', '2020', '127', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '54.14985256');
INSERT INTO public.ecdc_import VALUES (471, '06/08/2020', '6', '8', '2020', '139', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '53.48608017');
INSERT INTO public.ecdc_import VALUES (472, '05/08/2020', '5', '8', '2020', '130', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '51.00566757');
INSERT INTO public.ecdc_import VALUES (473, '04/08/2020', '4', '8', '2020', '101', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '50.62137829');
INSERT INTO public.ecdc_import VALUES (474, '03/08/2020', '3', '8', '2020', '123', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '49.92267052');
INSERT INTO public.ecdc_import VALUES (475, '02/08/2020', '2', '8', '2020', '120', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '48.49031958');
INSERT INTO public.ecdc_import VALUES (476, '01/08/2020', '1', '8', '2020', '79', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '47.86148258');
INSERT INTO public.ecdc_import VALUES (477, '31/07/2020', '31', '7', '2020', '92', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '47.02303325');
INSERT INTO public.ecdc_import VALUES (478, '30/07/2020', '30', '7', '2020', '108', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '47.26758097');
INSERT INTO public.ecdc_import VALUES (479, '29/07/2020', '29', '7', '2020', '117', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '46.46406703');
INSERT INTO public.ecdc_import VALUES (480, '28/07/2020', '28', '7', '2020', '117', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '45.73042387');
INSERT INTO public.ecdc_import VALUES (481, '27/07/2020', '27', '7', '2020', '126', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '45.73042387');
INSERT INTO public.ecdc_import VALUES (482, '26/07/2020', '26', '7', '2020', '67', '6', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '44.22820215');
INSERT INTO public.ecdc_import VALUES (483, '25/07/2020', '25', '7', '2020', '104', '5', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '45.13652226');
INSERT INTO public.ecdc_import VALUES (484, '24/07/2020', '24', '7', '2020', '108', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '44.64742682');
INSERT INTO public.ecdc_import VALUES (485, '23/07/2020', '23', '7', '2020', '68', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '43.73910671');
INSERT INTO public.ecdc_import VALUES (486, '22/07/2020', '22', '7', '2020', '119', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '43.73910671');
INSERT INTO public.ecdc_import VALUES (487, '21/07/2020', '21', '7', '2020', '81', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '42.16701422');
INSERT INTO public.ecdc_import VALUES (488, '20/07/2020', '20', '7', '2020', '82', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '41.81766033');
INSERT INTO public.ecdc_import VALUES (489, '19/07/2020', '19', '7', '2020', '102', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '41.53817722');
INSERT INTO public.ecdc_import VALUES (490, '18/07/2020', '18', '7', '2020', '55', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '40.31543861');
INSERT INTO public.ecdc_import VALUES (491, '17/07/2020', '17', '7', '2020', '99', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '41.53817722');
INSERT INTO public.ecdc_import VALUES (492, '16/07/2020', '16', '7', '2020', '85', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '40.94427561');
INSERT INTO public.ecdc_import VALUES (493, '15/07/2020', '15', '7', '2020', '96', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '39.54686006');
INSERT INTO public.ecdc_import VALUES (494, '14/07/2020', '14', '7', '2020', '117', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '38.60360456');
INSERT INTO public.ecdc_import VALUES (495, '13/07/2020', '13', '7', '2020', '83', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '36.75202896');
INSERT INTO public.ecdc_import VALUES (496, '12/07/2020', '12', '7', '2020', '93', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '36.36773968');
INSERT INTO public.ecdc_import VALUES (497, '11/07/2020', '11', '7', '2020', '90', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '35.24980724');
INSERT INTO public.ecdc_import VALUES (498, '10/07/2020', '10', '7', '2020', '82', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '34.79564719');
INSERT INTO public.ecdc_import VALUES (499, '09/07/2020', '9', '7', '2020', '68', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '34.65590564');
INSERT INTO public.ecdc_import VALUES (500, '08/07/2020', '8', '7', '2020', '74', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '34.62097025');
INSERT INTO public.ecdc_import VALUES (501, '07/07/2020', '7', '7', '2020', '71', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '33.85239169');
INSERT INTO public.ecdc_import VALUES (502, '06/07/2020', '6', '7', '2020', '74', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '33.74758553');
INSERT INTO public.ecdc_import VALUES (503, '05/07/2020', '5', '7', '2020', '67', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '32.42004076');
INSERT INTO public.ecdc_import VALUES (504, '04/07/2020', '4', '7', '2020', '90', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '31.93094531');
INSERT INTO public.ecdc_import VALUES (505, '03/07/2020', '3', '7', '2020', '82', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '30.53352976');
INSERT INTO public.ecdc_import VALUES (506, '02/07/2020', '2', '7', '2020', '45', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '29.97456354');
INSERT INTO public.ecdc_import VALUES (507, '01/07/2020', '1', '7', '2020', '69', '4', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '30.14924049');
INSERT INTO public.ecdc_import VALUES (508, '30/06/2020', '30', '6', '2020', '64', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '30.60340054');
INSERT INTO public.ecdc_import VALUES (509, '29/06/2020', '29', '6', '2020', '72', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '30.77807748');
INSERT INTO public.ecdc_import VALUES (510, '28/06/2020', '28', '6', '2020', '61', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '30.25404665');
INSERT INTO public.ecdc_import VALUES (511, '27/06/2020', '27', '6', '2020', '77', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '29.7998866');
INSERT INTO public.ecdc_import VALUES (512, '26/06/2020', '26', '6', '2020', '78', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '28.19285872');
INSERT INTO public.ecdc_import VALUES (513, '25/06/2020', '25', '6', '2020', '67', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '27.0050555');
INSERT INTO public.ecdc_import VALUES (514, '24/06/2020', '24', '6', '2020', '52', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '26.13167078');
INSERT INTO public.ecdc_import VALUES (515, '23/06/2020', '23', '6', '2020', '68', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '25.57270456');
INSERT INTO public.ecdc_import VALUES (516, '22/06/2020', '22', '6', '2020', '36', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '23.79099974');
INSERT INTO public.ecdc_import VALUES (517, '21/06/2020', '21', '6', '2020', '53', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '23.02242118');
INSERT INTO public.ecdc_import VALUES (518, '20/06/2020', '20', '6', '2020', '50', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '21.86955335');
INSERT INTO public.ecdc_import VALUES (519, '19/06/2020', '19', '6', '2020', '66', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '20.64681475');
INSERT INTO public.ecdc_import VALUES (520, '18/06/2020', '18', '6', '2020', '50', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '18.79523914');
INSERT INTO public.ecdc_import VALUES (521, '17/06/2020', '17', '6', '2020', '82', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '17.74717748');
INSERT INTO public.ecdc_import VALUES (522, '16/06/2020', '16', '6', '2020', '69', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '15.61611877');
INSERT INTO public.ecdc_import VALUES (523, '15/06/2020', '15', '6', '2020', '57', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '13.41518928');
INSERT INTO public.ecdc_import VALUES (524, '14/06/2020', '14', '6', '2020', '48', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '11.94790295');
INSERT INTO public.ecdc_import VALUES (525, '13/06/2020', '13', '6', '2020', '31', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '11.07451823');
INSERT INTO public.ecdc_import VALUES (526, '12/06/2020', '12', '6', '2020', '44', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '10.79503512');
INSERT INTO public.ecdc_import VALUES (527, '11/06/2020', '11', '6', '2020', '42', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '10.16619812');
INSERT INTO public.ecdc_import VALUES (528, '10/06/2020', '10', '6', '2020', '36', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.43255496');
INSERT INTO public.ecdc_import VALUES (529, '09/06/2020', '9', '6', '2020', '17', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.04826569');
INSERT INTO public.ecdc_import VALUES (530, '08/06/2020', '8', '6', '2020', '14', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.66397641');
INSERT INTO public.ecdc_import VALUES (531, '07/06/2020', '7', '6', '2020', '20', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.48929947');
INSERT INTO public.ecdc_import VALUES (532, '06/06/2020', '6', '6', '2020', '15', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.0700748');
INSERT INTO public.ecdc_import VALUES (533, '05/06/2020', '5', '6', '2020', '13', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.96526863');
INSERT INTO public.ecdc_import VALUES (534, '04/06/2020', '4', '6', '2020', '20', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.68578552');
INSERT INTO public.ecdc_import VALUES (535, '03/06/2020', '3', '6', '2020', '21', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.51110858');
INSERT INTO public.ecdc_import VALUES (536, '02/06/2020', '2', '6', '2020', '6', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.81240081');
INSERT INTO public.ecdc_import VALUES (537, '01/06/2020', '1', '6', '2020', '15', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.67265925');
INSERT INTO public.ecdc_import VALUES (538, '31/05/2020', '31', '5', '2020', '23', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.60278847');
INSERT INTO public.ecdc_import VALUES (539, '30/05/2020', '30', '5', '2020', '23', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.39317614');
INSERT INTO public.ecdc_import VALUES (540, '29/05/2020', '29', '5', '2020', '26', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.2184992');
INSERT INTO public.ecdc_import VALUES (542, '27/05/2020', '27', '5', '2020', '25', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.34511448');
INSERT INTO public.ecdc_import VALUES (543, '26/05/2020', '26', '5', '2020', '6', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.61147131');
INSERT INTO public.ecdc_import VALUES (544, '25/05/2020', '25', '5', '2020', '9', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.54160054');
INSERT INTO public.ecdc_import VALUES (545, '24/05/2020', '24', '5', '2020', '8', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.6464067');
INSERT INTO public.ecdc_import VALUES (546, '23/05/2020', '23', '5', '2020', '12', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.57653593');
INSERT INTO public.ecdc_import VALUES (547, '22/05/2020', '22', '5', '2020', '5', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.43679437');
INSERT INTO public.ecdc_import VALUES (548, '21/05/2020', '21', '5', '2020', '15', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.61147131');
INSERT INTO public.ecdc_import VALUES (549, '20/05/2020', '20', '5', '2020', '1', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.50666515');
INSERT INTO public.ecdc_import VALUES (550, '19/05/2020', '19', '5', '2020', '2', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.06563137');
INSERT INTO public.ecdc_import VALUES (551, '18/05/2020', '18', '5', '2020', '13', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.2752437');
INSERT INTO public.ecdc_import VALUES (552, '17/05/2020', '17', '5', '2020', '17', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.03069598');
INSERT INTO public.ecdc_import VALUES (553, '16/05/2020', '16', '5', '2020', '18', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.68134209');
INSERT INTO public.ecdc_import VALUES (554, '15/05/2020', '15', '5', '2020', '18', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.36692359');
INSERT INTO public.ecdc_import VALUES (555, '14/05/2020', '14', '5', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '3.98263432');
INSERT INTO public.ecdc_import VALUES (556, '13/05/2020', '13', '5', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.40185898');
INSERT INTO public.ecdc_import VALUES (557, '12/05/2020', '12', '5', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.75121287');
INSERT INTO public.ecdc_import VALUES (558, '11/05/2020', '11', '5', '2020', '12', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.9608252');
INSERT INTO public.ecdc_import VALUES (559, '10/05/2020', '10', '5', '2020', '6', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.03069598');
INSERT INTO public.ecdc_import VALUES (560, '09/05/2020', '9', '5', '2020', '8', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.00888686');
INSERT INTO public.ecdc_import VALUES (561, '08/05/2020', '8', '5', '2020', '10', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.25343459');
INSERT INTO public.ecdc_import VALUES (562, '07/05/2020', '7', '5', '2020', '12', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.91720697');
INSERT INTO public.ecdc_import VALUES (563, '06/05/2020', '6', '5', '2020', '17', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.37136703');
INSERT INTO public.ecdc_import VALUES (564, '05/05/2020', '5', '5', '2020', '8', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.65085014');
INSERT INTO public.ecdc_import VALUES (565, '04/05/2020', '4', '5', '2020', '6', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.13994558');
INSERT INTO public.ecdc_import VALUES (566, '03/05/2020', '3', '5', '2020', '7', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.41942869');
INSERT INTO public.ecdc_import VALUES (567, '02/05/2020', '2', '5', '2020', '9', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.48929947');
INSERT INTO public.ecdc_import VALUES (568, '01/05/2020', '1', '5', '2020', '7', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.90852413');
INSERT INTO public.ecdc_import VALUES (569, '30/04/2020', '30', '4', '2020', '16', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.50242574');
INSERT INTO public.ecdc_import VALUES (570, '29/04/2020', '29', '4', '2020', '14', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.6072319');
INSERT INTO public.ecdc_import VALUES (571, '28/04/2020', '28', '4', '2020', '10', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.39761957');
INSERT INTO public.ecdc_import VALUES (572, '27/04/2020', '27', '4', '2020', '14', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.78190885');
INSERT INTO public.ecdc_import VALUES (573, '26/04/2020', '26', '4', '2020', '34', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.74697346');
INSERT INTO public.ecdc_import VALUES (574, '25/04/2020', '25', '4', '2020', '15', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.15307185');
INSERT INTO public.ecdc_import VALUES (575, '24/04/2020', '24', '4', '2020', '29', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.87358874');
INSERT INTO public.ecdc_import VALUES (576, '23/04/2020', '23', '4', '2020', '25', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.17488097');
INSERT INTO public.ecdc_import VALUES (577, '22/04/2020', '22', '4', '2020', '25', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.89539786');
INSERT INTO public.ecdc_import VALUES (578, '21/04/2020', '21', '4', '2020', '22', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.23162547');
INSERT INTO public.ecdc_import VALUES (579, '20/04/2020', '20', '4', '2020', '14', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.02201314');
INSERT INTO public.ecdc_import VALUES (580, '19/04/2020', '19', '4', '2020', '9', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.51110858');
INSERT INTO public.ecdc_import VALUES (581, '18/04/2020', '18', '4', '2020', '21', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.20981636');
INSERT INTO public.ecdc_import VALUES (582, '17/04/2020', '17', '4', '2020', '24', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.41942869');
INSERT INTO public.ecdc_import VALUES (583, '16/04/2020', '16', '4', '2020', '19', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.20981636');
INSERT INTO public.ecdc_import VALUES (584, '15/04/2020', '15', '4', '2020', '8', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.10501019');
INSERT INTO public.ecdc_import VALUES (585, '14/04/2020', '14', '4', '2020', '21', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.52423485');
INSERT INTO public.ecdc_import VALUES (586, '13/04/2020', '13', '4', '2020', '13', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.17488097');
INSERT INTO public.ecdc_import VALUES (587, '12/04/2020', '12', '4', '2020', '17', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.24475174');
INSERT INTO public.ecdc_import VALUES (588, '11/04/2020', '11', '4', '2020', '7', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.03513941');
INSERT INTO public.ecdc_import VALUES (589, '10/04/2020', '10', '4', '2020', '9', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.20981636');
INSERT INTO public.ecdc_import VALUES (590, '09/04/2020', '9', '4', '2020', '17', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.87358874');
INSERT INTO public.ecdc_import VALUES (591, '08/04/2020', '8', '4', '2020', '6', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.08320107');
INSERT INTO public.ecdc_import VALUES (592, '07/04/2020', '7', '4', '2020', '16', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.67710268');
INSERT INTO public.ecdc_import VALUES (593, '06/04/2020', '6', '4', '2020', '28', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '9.50242574');
INSERT INTO public.ecdc_import VALUES (594, '05/04/2020', '5', '4', '2020', '29', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.97839491');
INSERT INTO public.ecdc_import VALUES (595, '04/04/2020', '4', '4', '2020', '27', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '8.17488097');
INSERT INTO public.ecdc_import VALUES (596, '03/04/2020', '3', '4', '2020', '18', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '7.23162547');
INSERT INTO public.ecdc_import VALUES (597, '02/04/2020', '2', '4', '2020', '16', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.98707775');
INSERT INTO public.ecdc_import VALUES (598, '01/04/2020', '1', '4', '2020', '20', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.56785308');
INSERT INTO public.ecdc_import VALUES (599, '31/03/2020', '31', '3', '2020', '11', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '6.00888686');
INSERT INTO public.ecdc_import VALUES (600, '30/03/2020', '30', '3', '2020', '15', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.93901609');
INSERT INTO public.ecdc_import VALUES (601, '29/03/2020', '29', '3', '2020', '11', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.55472681');
INSERT INTO public.ecdc_import VALUES (602, '28/03/2020', '28', '3', '2020', '12', '3', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.34511448');
INSERT INTO public.ecdc_import VALUES (603, '27/03/2020', '27', '3', '2020', '28', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '5.2752437');
INSERT INTO public.ecdc_import VALUES (604, '26/03/2020', '26', '3', '2020', '23', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '4.71627748');
INSERT INTO public.ecdc_import VALUES (605, '25/03/2020', '25', '3', '2020', '23', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '3.94769893');
INSERT INTO public.ecdc_import VALUES (606, '24/03/2020', '24', '3', '2020', '11', '2', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '3.28392654');
INSERT INTO public.ecdc_import VALUES (607, '23/03/2020', '23', '3', '2020', '13', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '3.03937882');
INSERT INTO public.ecdc_import VALUES (608, '22/03/2020', '22', '3', '2020', '6', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '2.65508954');
INSERT INTO public.ecdc_import VALUES (609, '21/03/2020', '21', '3', '2020', '0', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (610, '20/03/2020', '20', '3', '2020', '11', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (611, '19/03/2020', '19', '3', '2020', '4', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (612, '18/03/2020', '18', '3', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (613, '17/03/2020', '17', '3', '2020', '9', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (614, '16/03/2020', '16', '3', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (615, '15/03/2020', '15', '3', '2020', '5', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (616, '14/03/2020', '14', '3', '2020', '10', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (617, '13/03/2020', '13', '3', '2020', '12', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (618, '12/03/2020', '12', '3', '2020', '1', '1', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (619, '11/03/2020', '11', '3', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (620, '10/03/2020', '10', '3', '2020', '4', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (621, '09/03/2020', '9', '3', '2020', '2', '0', '2862427', 'Albania', 'AL', 'ALB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (622, '14/12/2020', '14', '12', '2020', '464', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '22.95075281');
INSERT INTO public.ecdc_import VALUES (623, '13/12/2020', '13', '12', '2020', '517', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '24.21663281');
INSERT INTO public.ecdc_import VALUES (624, '12/12/2020', '12', '12', '2020', '542', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '25.44070393');
INSERT INTO public.ecdc_import VALUES (625, '11/12/2020', '11', '12', '2020', '565', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '26.63922518');
INSERT INTO public.ecdc_import VALUES (626, '10/12/2020', '10', '12', '2020', '598', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '27.84703729');
INSERT INTO public.ecdc_import VALUES (627, '09/12/2020', '9', '12', '2020', '591', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '28.83883685');
INSERT INTO public.ecdc_import VALUES (628, '08/12/2020', '8', '12', '2020', '573', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '30.0977487');
INSERT INTO public.ecdc_import VALUES (629, '07/12/2020', '7', '12', '2020', '750', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '31.10116184');
INSERT INTO public.ecdc_import VALUES (630, '06/12/2020', '6', '12', '2020', '772', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '31.88623971');
INSERT INTO public.ecdc_import VALUES (631, '05/12/2020', '5', '12', '2020', '803', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '32.45995046');
INSERT INTO public.ecdc_import VALUES (632, '04/12/2020', '4', '12', '2020', '843', '16', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '33.15676514');
INSERT INTO public.ecdc_import VALUES (633, '03/12/2020', '3', '12', '2020', '932', '17', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '33.57485395');
INSERT INTO public.ecdc_import VALUES (634, '02/12/2020', '2', '12', '2020', '963', '16', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '33.8210618');
INSERT INTO public.ecdc_import VALUES (635, '01/12/2020', '1', '12', '2020', '968', '21', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '33.91164771');
INSERT INTO public.ecdc_import VALUES (636, '30/11/2020', '30', '11', '2020', '1009', '17', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '33.7769302');
INSERT INTO public.ecdc_import VALUES (637, '29/11/2020', '29', '11', '2020', '1044', '21', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '33.43084558');
INSERT INTO public.ecdc_import VALUES (638, '28/11/2020', '28', '11', '2020', '1058', '20', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '32.96630246');
INSERT INTO public.ecdc_import VALUES (639, '27/11/2020', '27', '11', '2020', '1085', '23', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '32.52266378');
INSERT INTO public.ecdc_import VALUES (640, '26/11/2020', '26', '11', '2020', '1025', '20', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '31.97914833');
INSERT INTO public.ecdc_import VALUES (641, '25/11/2020', '25', '11', '2020', '1133', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '31.48208719');
INSERT INTO public.ecdc_import VALUES (642, '24/11/2020', '24', '11', '2020', '1005', '19', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '30.59945527');
INSERT INTO public.ecdc_import VALUES (643, '23/11/2020', '23', '11', '2020', '1088', '35', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '29.75630951');
INSERT INTO public.ecdc_import VALUES (644, '22/11/2020', '22', '11', '2020', '1019', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '28.78541439');
INSERT INTO public.ecdc_import VALUES (645, '21/11/2020', '21', '11', '2020', '1103', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '27.76806496');
INSERT INTO public.ecdc_import VALUES (646, '20/11/2020', '20', '11', '2020', '1023', '18', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '26.67174319');
INSERT INTO public.ecdc_import VALUES (647, '19/11/2020', '19', '11', '2020', '1038', '20', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '25.78678855');
INSERT INTO public.ecdc_import VALUES (648, '18/11/2020', '18', '11', '2020', '1002', '18', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '24.64865791');
INSERT INTO public.ecdc_import VALUES (649, '17/11/2020', '17', '11', '2020', '910', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '23.2619967');
INSERT INTO public.ecdc_import VALUES (650, '16/11/2020', '16', '11', '2020', '860', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '21.84978562');
INSERT INTO public.ecdc_import VALUES (651, '15/11/2020', '15', '11', '2020', '844', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '20.61874635');
INSERT INTO public.ecdc_import VALUES (652, '14/11/2020', '14', '11', '2020', '867', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.33428462');
INSERT INTO public.ecdc_import VALUES (653, '13/11/2020', '13', '11', '2020', '851', '18', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.06143648');
INSERT INTO public.ecdc_import VALUES (654, '12/11/2020', '12', '11', '2020', '811', '16', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.79555648');
INSERT INTO public.ecdc_import VALUES (655, '11/11/2020', '11', '11', '2020', '753', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.65510312');
INSERT INTO public.ecdc_import VALUES (656, '10/11/2020', '10', '11', '2020', '642', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '14.57271765');
INSERT INTO public.ecdc_import VALUES (657, '09/11/2020', '9', '11', '2020', '670', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.72260374');
INSERT INTO public.ecdc_import VALUES (658, '08/11/2020', '8', '11', '2020', '581', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.7772585');
INSERT INTO public.ecdc_import VALUES (659, '07/11/2020', '7', '11', '2020', '631', '13', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.00843963');
INSERT INTO public.ecdc_import VALUES (660, '06/11/2020', '6', '11', '2020', '642', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.17690745');
INSERT INTO public.ecdc_import VALUES (661, '05/11/2020', '5', '11', '2020', '548', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '10.30356639');
INSERT INTO public.ecdc_import VALUES (662, '04/11/2020', '4', '11', '2020', '405', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.61604257');
INSERT INTO public.ecdc_import VALUES (663, '03/11/2020', '3', '11', '2020', '302', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.19330833');
INSERT INTO public.ecdc_import VALUES (664, '02/11/2020', '2', '11', '2020', '330', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.98890936');
INSERT INTO public.ecdc_import VALUES (665, '01/11/2020', '1', '11', '2020', '291', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.68463362');
INSERT INTO public.ecdc_import VALUES (666, '31/10/2020', '31', '10', '2020', '319', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.50810723');
INSERT INTO public.ecdc_import VALUES (667, '30/10/2020', '30', '10', '2020', '306', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.25725395');
INSERT INTO public.ecdc_import VALUES (668, '29/10/2020', '29', '10', '2020', '320', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.99478708');
INSERT INTO public.ecdc_import VALUES (669, '28/10/2020', '28', '10', '2020', '287', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.68122048');
INSERT INTO public.ecdc_import VALUES (670, '27/10/2020', '27', '10', '2020', '276', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.41875362');
INSERT INTO public.ecdc_import VALUES (671, '26/10/2020', '26', '10', '2020', '263', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.1330596');
INSERT INTO public.ecdc_import VALUES (672, '25/10/2020', '25', '10', '2020', '250', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.82878385');
INSERT INTO public.ecdc_import VALUES (673, '24/10/2020', '24', '10', '2020', '273', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.56399428');
INSERT INTO public.ecdc_import VALUES (674, '23/10/2020', '23', '10', '2020', '266', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.26900939');
INSERT INTO public.ecdc_import VALUES (675, '22/10/2020', '22', '10', '2020', '252', '15', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.9717018');
INSERT INTO public.ecdc_import VALUES (676, '21/10/2020', '21', '10', '2020', '223', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.66742606');
INSERT INTO public.ecdc_import VALUES (677, '20/10/2020', '20', '10', '2020', '214', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.44909079');
INSERT INTO public.ecdc_import VALUES (678, '19/10/2020', '19', '10', '2020', '199', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.26327354');
INSERT INTO public.ecdc_import VALUES (679, '18/10/2020', '18', '10', '2020', '215', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.12855604');
INSERT INTO public.ecdc_import VALUES (680, '17/10/2020', '17', '10', '2020', '211', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.97293409');
INSERT INTO public.ecdc_import VALUES (681, '16/10/2020', '16', '10', '2020', '193', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.84750745');
INSERT INTO public.ecdc_import VALUES (682, '15/10/2020', '15', '10', '2020', '185', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.77085784');
INSERT INTO public.ecdc_import VALUES (683, '14/10/2020', '14', '10', '2020', '174', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.71743538');
INSERT INTO public.ecdc_import VALUES (684, '13/10/2020', '13', '10', '2020', '153', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.67330378');
INSERT INTO public.ecdc_import VALUES (685, '12/10/2020', '12', '10', '2020', '132', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.65704477');
INSERT INTO public.ecdc_import VALUES (686, '11/10/2020', '11', '10', '2020', '136', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.7058218');
INSERT INTO public.ecdc_import VALUES (687, '10/10/2020', '10', '10', '2020', '146', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.76156697');
INSERT INTO public.ecdc_import VALUES (688, '09/10/2020', '9', '10', '2020', '138', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.82892572');
INSERT INTO public.ecdc_import VALUES (689, '08/10/2020', '8', '10', '2020', '121', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.92415706');
INSERT INTO public.ecdc_import VALUES (690, '07/10/2020', '7', '10', '2020', '129', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.07513358');
INSERT INTO public.ecdc_import VALUES (691, '06/10/2020', '6', '10', '2020', '134', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.21914195');
INSERT INTO public.ecdc_import VALUES (692, '05/10/2020', '5', '10', '2020', '141', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.36547303');
INSERT INTO public.ecdc_import VALUES (693, '04/10/2020', '4', '10', '2020', '148', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.50948139');
INSERT INTO public.ecdc_import VALUES (694, '03/10/2020', '3', '10', '2020', '157', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.65348976');
INSERT INTO public.ecdc_import VALUES (695, '02/10/2020', '2', '10', '2020', '160', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.79749813');
INSERT INTO public.ecdc_import VALUES (696, '01/10/2020', '1', '10', '2020', '162', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.95544279');
INSERT INTO public.ecdc_import VALUES (697, '30/09/2020', '30', '9', '2020', '155', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.11803288');
INSERT INTO public.ecdc_import VALUES (698, '29/09/2020', '29', '9', '2020', '146', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.31081828');
INSERT INTO public.ecdc_import VALUES (699, '28/09/2020', '28', '9', '2020', '153', '3', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.53379897');
INSERT INTO public.ecdc_import VALUES (700, '27/09/2020', '27', '9', '2020', '160', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.75213424');
INSERT INTO public.ecdc_import VALUES (701, '26/09/2020', '26', '9', '2020', '175', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.97279222');
INSERT INTO public.ecdc_import VALUES (702, '25/09/2020', '25', '9', '2020', '179', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.17951391');
INSERT INTO public.ecdc_import VALUES (703, '24/09/2020', '24', '9', '2020', '186', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.39552646');
INSERT INTO public.ecdc_import VALUES (704, '23/09/2020', '23', '9', '2020', '191', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.60921629');
INSERT INTO public.ecdc_import VALUES (705, '22/09/2020', '22', '9', '2020', '197', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.82755156');
INSERT INTO public.ecdc_import VALUES (706, '21/09/2020', '21', '9', '2020', '203', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.04124139');
INSERT INTO public.ecdc_import VALUES (707, '20/09/2020', '20', '9', '2020', '210', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.2502858');
INSERT INTO public.ecdc_import VALUES (708, '19/09/2020', '19', '9', '2020', '219', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.45468477');
INSERT INTO public.ecdc_import VALUES (709, '18/09/2020', '18', '9', '2020', '228', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.6521156');
INSERT INTO public.ecdc_import VALUES (710, '17/09/2020', '17', '9', '2020', '232', '13', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.84490099');
INSERT INTO public.ecdc_import VALUES (711, '16/09/2020', '16', '9', '2020', '238', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.06091354');
INSERT INTO public.ecdc_import VALUES (712, '15/09/2020', '15', '9', '2020', '242', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.29550782');
INSERT INTO public.ecdc_import VALUES (713, '14/09/2020', '14', '9', '2020', '247', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.54171567');
INSERT INTO public.ecdc_import VALUES (714, '13/09/2020', '13', '9', '2020', '255', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.81347339');
INSERT INTO public.ecdc_import VALUES (715, '12/09/2020', '12', '9', '2020', '264', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '10.10149013');
INSERT INTO public.ecdc_import VALUES (716, '11/09/2020', '11', '9', '2020', '272', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '10.38718415');
INSERT INTO public.ecdc_import VALUES (717, '10/09/2020', '10', '9', '2020', '278', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '10.6775236');
INSERT INTO public.ecdc_import VALUES (718, '09/09/2020', '9', '9', '2020', '285', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '10.93999046');
INSERT INTO public.ecdc_import VALUES (719, '08/09/2020', '8', '9', '2020', '289', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.13742128');
INSERT INTO public.ecdc_import VALUES (720, '07/09/2020', '7', '9', '2020', '293', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.39059728');
INSERT INTO public.ecdc_import VALUES (721, '06/09/2020', '6', '9', '2020', '298', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.62054613');
INSERT INTO public.ecdc_import VALUES (722, '05/09/2020', '5', '9', '2020', '304', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.85978584');
INSERT INTO public.ecdc_import VALUES (723, '04/09/2020', '4', '9', '2020', '311', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.10367097');
INSERT INTO public.ecdc_import VALUES (724, '03/09/2020', '3', '9', '2020', '325', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.33594253');
INSERT INTO public.ecdc_import VALUES (725, '02/09/2020', '2', '9', '2020', '339', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.51711435');
INSERT INTO public.ecdc_import VALUES (726, '01/09/2020', '1', '9', '2020', '348', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.7029316');
INSERT INTO public.ecdc_import VALUES (727, '31/08/2020', '31', '8', '2020', '364', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.92126686');
INSERT INTO public.ecdc_import VALUES (728, '30/08/2020', '30', '8', '2020', '379', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.1210204');
INSERT INTO public.ecdc_import VALUES (729, '29/08/2020', '29', '8', '2020', '387', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.33006481');
INSERT INTO public.ecdc_import VALUES (730, '28/08/2020', '28', '8', '2020', '397', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.53910921');
INSERT INTO public.ecdc_import VALUES (731, '27/08/2020', '27', '8', '2020', '391', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.75047633');
INSERT INTO public.ecdc_import VALUES (732, '26/08/2020', '26', '8', '2020', '370', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.99203875');
INSERT INTO public.ecdc_import VALUES (733, '25/08/2020', '25', '8', '2020', '398', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '14.27541006');
INSERT INTO public.ecdc_import VALUES (734, '24/08/2020', '24', '8', '2020', '392', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '14.50768162');
INSERT INTO public.ecdc_import VALUES (735, '23/08/2020', '23', '8', '2020', '401', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '14.80731193');
INSERT INTO public.ecdc_import VALUES (736, '22/08/2020', '22', '8', '2020', '409', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.12552396');
INSERT INTO public.ecdc_import VALUES (737, '21/08/2020', '21', '8', '2020', '411', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.40424984');
INSERT INTO public.ecdc_import VALUES (738, '20/08/2020', '20', '8', '2020', '403', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.77588433');
INSERT INTO public.ecdc_import VALUES (739, '19/08/2020', '19', '8', '2020', '419', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.11964624');
INSERT INTO public.ecdc_import VALUES (740, '18/08/2020', '18', '8', '2020', '442', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.3821131');
INSERT INTO public.ecdc_import VALUES (741, '17/08/2020', '17', '8', '2020', '450', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.53308962');
INSERT INTO public.ecdc_import VALUES (742, '16/08/2020', '16', '8', '2020', '469', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.68406613');
INSERT INTO public.ecdc_import VALUES (743, '15/08/2020', '15', '8', '2020', '477', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.88614239');
INSERT INTO public.ecdc_import VALUES (744, '14/08/2020', '14', '8', '2020', '488', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.08589593');
INSERT INTO public.ecdc_import VALUES (745, '13/08/2020', '13', '8', '2020', '495', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.35068551');
INSERT INTO public.ecdc_import VALUES (746, '12/08/2020', '12', '8', '2020', '492', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.62708866');
INSERT INTO public.ecdc_import VALUES (747, '11/08/2020', '11', '8', '2020', '498', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.975496');
INSERT INTO public.ecdc_import VALUES (748, '10/08/2020', '10', '8', '2020', '521', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.24957644');
INSERT INTO public.ecdc_import VALUES (749, '09/08/2020', '9', '8', '2020', '538', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.41681196');
INSERT INTO public.ecdc_import VALUES (750, '08/08/2020', '8', '8', '2020', '529', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.57243391');
INSERT INTO public.ecdc_import VALUES (751, '07/08/2020', '7', '8', '2020', '571', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.91155039');
INSERT INTO public.ecdc_import VALUES (752, '06/08/2020', '6', '8', '2020', '551', '13', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.00678173');
INSERT INTO public.ecdc_import VALUES (753, '05/08/2020', '5', '8', '2020', '532', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.1066585');
INSERT INTO public.ecdc_import VALUES (754, '04/08/2020', '4', '8', '2020', '507', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.23440785');
INSERT INTO public.ecdc_import VALUES (755, '03/08/2020', '3', '8', '2020', '515', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.46667941');
INSERT INTO public.ecdc_import VALUES (756, '02/08/2020', '2', '8', '2020', '556', '13', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.51313373');
INSERT INTO public.ecdc_import VALUES (757, '01/08/2020', '1', '8', '2020', '563', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.61765593');
INSERT INTO public.ecdc_import VALUES (758, '31/07/2020', '31', '7', '2020', '602', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.6873374');
INSERT INTO public.ecdc_import VALUES (759, '30/07/2020', '30', '7', '2020', '614', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.64785123');
INSERT INTO public.ecdc_import VALUES (760, '29/07/2020', '29', '7', '2020', '642', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.50848829');
INSERT INTO public.ecdc_import VALUES (761, '28/07/2020', '28', '7', '2020', '616', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '19.241376');
INSERT INTO public.ecdc_import VALUES (762, '27/07/2020', '27', '7', '2020', '593', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.9580047');
INSERT INTO public.ecdc_import VALUES (763, '26/07/2020', '26', '7', '2020', '605', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.70250598');
INSERT INTO public.ecdc_import VALUES (764, '25/07/2020', '25', '7', '2020', '675', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '18.38893938');
INSERT INTO public.ecdc_import VALUES (765, '24/07/2020', '24', '7', '2020', '612', '13', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.82916492');
INSERT INTO public.ecdc_import VALUES (766, '23/07/2020', '23', '7', '2020', '594', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.47611215');
INSERT INTO public.ecdc_import VALUES (767, '22/07/2020', '22', '7', '2020', '587', '13', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '17.1857727');
INSERT INTO public.ecdc_import VALUES (768, '21/07/2020', '21', '7', '2020', '607', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.92562855');
INSERT INTO public.ecdc_import VALUES (769, '20/07/2020', '20', '7', '2020', '535', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.59115751');
INSERT INTO public.ecdc_import VALUES (770, '19/07/2020', '19', '7', '2020', '601', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '16.37282224');
INSERT INTO public.ecdc_import VALUES (771, '18/07/2020', '18', '7', '2020', '593', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.97563787');
INSERT INTO public.ecdc_import VALUES (772, '17/07/2020', '17', '7', '2020', '585', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.55754906');
INSERT INTO public.ecdc_import VALUES (773, '16/07/2020', '16', '7', '2020', '554', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '15.09300595');
INSERT INTO public.ecdc_import VALUES (774, '15/07/2020', '15', '7', '2020', '527', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '14.6540127');
INSERT INTO public.ecdc_import VALUES (775, '14/07/2020', '14', '7', '2020', '494', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '14.21037402');
INSERT INTO public.ecdc_import VALUES (776, '13/07/2020', '13', '7', '2020', '483', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.75512176');
INSERT INTO public.ecdc_import VALUES (777, '12/07/2020', '12', '7', '2020', '470', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '13.34167839');
INSERT INTO public.ecdc_import VALUES (778, '11/07/2020', '11', '7', '2020', '434', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.90733057');
INSERT INTO public.ecdc_import VALUES (779, '10/07/2020', '10', '7', '2020', '460', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '12.45672374');
INSERT INTO public.ecdc_import VALUES (780, '09/07/2020', '9', '7', '2020', '469', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.84584954');
INSERT INTO public.ecdc_import VALUES (781, '08/07/2020', '8', '7', '2020', '475', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '11.15600301');
INSERT INTO public.ecdc_import VALUES (782, '07/07/2020', '7', '7', '2020', '463', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '10.41505673');
INSERT INTO public.ecdc_import VALUES (783, '06/07/2020', '6', '7', '2020', '441', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '9.68572404');
INSERT INTO public.ecdc_import VALUES (784, '05/07/2020', '5', '7', '2020', '430', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.98658664');
INSERT INTO public.ecdc_import VALUES (785, '04/07/2020', '4', '7', '2020', '413', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '8.28280382');
INSERT INTO public.ecdc_import VALUES (786, '03/07/2020', '3', '7', '2020', '385', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '7.59992543');
INSERT INTO public.ecdc_import VALUES (787, '02/07/2020', '2', '7', '2020', '365', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.97743765');
INSERT INTO public.ecdc_import VALUES (788, '01/07/2020', '1', '7', '2020', '336', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.41069505');
INSERT INTO public.ecdc_import VALUES (789, '30/06/2020', '30', '6', '2020', '298', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.89969761');
INSERT INTO public.ecdc_import VALUES (790, '29/06/2020', '29', '6', '2020', '305', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.46767251');
INSERT INTO public.ecdc_import VALUES (791, '28/06/2020', '28', '6', '2020', '283', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.01242026');
INSERT INTO public.ecdc_import VALUES (792, '27/06/2020', '27', '6', '2020', '240', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.61523589');
INSERT INTO public.ecdc_import VALUES (793, '26/06/2020', '26', '6', '2020', '197', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.31096015');
INSERT INTO public.ecdc_import VALUES (794, '25/06/2020', '25', '6', '2020', '172', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.09727031');
INSERT INTO public.ecdc_import VALUES (795, '24/06/2020', '24', '6', '2020', '156', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.93468022');
INSERT INTO public.ecdc_import VALUES (796, '23/06/2020', '23', '6', '2020', '149', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.84409431');
INSERT INTO public.ecdc_import VALUES (797, '22/06/2020', '22', '6', '2020', '140', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.75583112');
INSERT INTO public.ecdc_import VALUES (798, '21/06/2020', '21', '6', '2020', '127', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.67221336');
INSERT INTO public.ecdc_import VALUES (799, '20/06/2020', '20', '6', '2020', '119', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.64434077');
INSERT INTO public.ecdc_import VALUES (800, '19/06/2020', '19', '6', '2020', '117', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.60950004');
INSERT INTO public.ecdc_import VALUES (801, '18/06/2020', '18', '6', '2020', '121', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.81389901');
INSERT INTO public.ecdc_import VALUES (802, '17/06/2020', '17', '6', '2020', '116', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.53285042');
INSERT INTO public.ecdc_import VALUES (803, '16/06/2020', '16', '6', '2020', '112', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.52588228');
INSERT INTO public.ecdc_import VALUES (804, '15/06/2020', '15', '6', '2020', '109', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.54214128');
INSERT INTO public.ecdc_import VALUES (805, '14/06/2020', '14', '6', '2020', '112', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.58395017');
INSERT INTO public.ecdc_import VALUES (806, '13/06/2020', '13', '6', '2020', '109', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.63272719');
INSERT INTO public.ecdc_import VALUES (807, '12/06/2020', '12', '6', '2020', '105', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.69776323');
INSERT INTO public.ecdc_import VALUES (808, '11/06/2020', '11', '6', '2020', '102', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.77905828');
INSERT INTO public.ecdc_import VALUES (809, '10/06/2020', '10', '6', '2020', '117', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.91377578');
INSERT INTO public.ecdc_import VALUES (810, '09/06/2020', '9', '6', '2020', '111', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.09262488');
INSERT INTO public.ecdc_import VALUES (811, '08/06/2020', '8', '6', '2020', '104', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.29237842');
INSERT INTO public.ecdc_import VALUES (812, '07/06/2020', '7', '6', '2020', '115', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.49910011');
INSERT INTO public.ecdc_import VALUES (813, '06/06/2020', '6', '6', '2020', '104', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.68491736');
INSERT INTO public.ecdc_import VALUES (814, '05/06/2020', '5', '6', '2020', '205', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.8846709');
INSERT INTO public.ecdc_import VALUES (815, '04/06/2020', '4', '6', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.8405393');
INSERT INTO public.ecdc_import VALUES (816, '03/06/2020', '3', '6', '2020', '113', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.22378738');
INSERT INTO public.ecdc_import VALUES (817, '02/06/2020', '2', '6', '2020', '119', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.37011846');
INSERT INTO public.ecdc_import VALUES (818, '01/06/2020', '1', '6', '2020', '127', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.51644954');
INSERT INTO public.ecdc_import VALUES (819, '31/05/2020', '31', '5', '2020', '133', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.68136235');
INSERT INTO public.ecdc_import VALUES (820, '30/05/2020', '30', '5', '2020', '137', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.81840257');
INSERT INTO public.ecdc_import VALUES (821, '29/05/2020', '29', '5', '2020', '140', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.93453835');
INSERT INTO public.ecdc_import VALUES (822, '28/05/2020', '28', '5', '2020', '160', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.04835141');
INSERT INTO public.ecdc_import VALUES (823, '27/05/2020', '27', '5', '2020', '194', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.10874202');
INSERT INTO public.ecdc_import VALUES (824, '26/05/2020', '26', '5', '2020', '197', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '6.06693314');
INSERT INTO public.ecdc_import VALUES (825, '25/05/2020', '25', '5', '2020', '193', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.99957439');
INSERT INTO public.ecdc_import VALUES (826, '24/05/2020', '24', '5', '2020', '195', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.93453835');
INSERT INTO public.ecdc_import VALUES (827, '23/05/2020', '23', '5', '2020', '190', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.92060206');
INSERT INTO public.ecdc_import VALUES (828, '22/05/2020', '22', '5', '2020', '186', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.91363391');
INSERT INTO public.ecdc_import VALUES (829, '21/05/2020', '21', '5', '2020', '165', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.91131119');
INSERT INTO public.ecdc_import VALUES (830, '20/05/2020', '20', '5', '2020', '176', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.8973749');
INSERT INTO public.ecdc_import VALUES (831, '19/05/2020', '19', '5', '2020', '182', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.92989292');
INSERT INTO public.ecdc_import VALUES (832, '18/05/2020', '18', '5', '2020', '198', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.91131119');
INSERT INTO public.ecdc_import VALUES (833, '17/05/2020', '17', '5', '2020', '192', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.8671796');
INSERT INTO public.ecdc_import VALUES (834, '16/05/2020', '16', '5', '2020', '187', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.7487211');
INSERT INTO public.ecdc_import VALUES (835, '15/05/2020', '15', '5', '2020', '189', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.65813519');
INSERT INTO public.ecdc_import VALUES (836, '14/05/2020', '14', '5', '2020', '186', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.58613101');
INSERT INTO public.ecdc_import VALUES (837, '13/05/2020', '13', '5', '2020', '176', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.61632631');
INSERT INTO public.ecdc_import VALUES (838, '12/05/2020', '12', '5', '2020', '168', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.51412683');
INSERT INTO public.ecdc_import VALUES (839, '11/05/2020', '11', '5', '2020', '165', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.43747721');
INSERT INTO public.ecdc_import VALUES (840, '10/05/2020', '10', '5', '2020', '189', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.3468913');
INSERT INTO public.ecdc_import VALUES (841, '09/05/2020', '9', '5', '2020', '187', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.20752837');
INSERT INTO public.ecdc_import VALUES (842, '08/05/2020', '8', '5', '2020', '185', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '5.05190642');
INSERT INTO public.ecdc_import VALUES (843, '07/05/2020', '7', '5', '2020', '159', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.84750745');
INSERT INTO public.ecdc_import VALUES (844, '06/05/2020', '6', '5', '2020', '190', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.70814451');
INSERT INTO public.ecdc_import VALUES (845, '05/05/2020', '5', '5', '2020', '174', '2', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.4828411');
INSERT INTO public.ecdc_import VALUES (846, '04/05/2020', '4', '5', '2020', '179', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.28541028');
INSERT INTO public.ecdc_import VALUES (847, '03/05/2020', '3', '5', '2020', '141', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.08797945');
INSERT INTO public.ecdc_import VALUES (848, '02/05/2020', '2', '5', '2020', '148', '3', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.03223428');
INSERT INTO public.ecdc_import VALUES (849, '01/05/2020', '1', '5', '2020', '158', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '4.03687971');
INSERT INTO public.ecdc_import VALUES (850, '30/04/2020', '30', '4', '2020', '199', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.92074393');
INSERT INTO public.ecdc_import VALUES (851, '29/04/2020', '29', '4', '2020', '132', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.66756793');
INSERT INTO public.ecdc_import VALUES (852, '28/04/2020', '28', '4', '2020', '135', '7', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.56304572');
INSERT INTO public.ecdc_import VALUES (853, '27/04/2020', '27', '4', '2020', '126', '6', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.4097465');
INSERT INTO public.ecdc_import VALUES (854, '26/04/2020', '26', '4', '2020', '129', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.32380602');
INSERT INTO public.ecdc_import VALUES (855, '25/04/2020', '25', '4', '2020', '120', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.1728295');
INSERT INTO public.ecdc_import VALUES (856, '24/04/2020', '24', '4', '2020', '97', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.11476161');
INSERT INTO public.ecdc_import VALUES (857, '23/04/2020', '23', '4', '2020', '99', '10', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.10779347');
INSERT INTO public.ecdc_import VALUES (858, '22/04/2020', '22', '4', '2020', '93', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.11940705');
INSERT INTO public.ecdc_import VALUES (859, '21/04/2020', '21', '4', '2020', '89', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.0079167');
INSERT INTO public.ecdc_import VALUES (860, '20/04/2020', '20', '4', '2020', '94', '8', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.04043472');
INSERT INTO public.ecdc_import VALUES (861, '19/04/2020', '19', '4', '2020', '117', '3', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.98236683');
INSERT INTO public.ecdc_import VALUES (862, '18/04/2020', '18', '4', '2020', '150', '16', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.89642635');
INSERT INTO public.ecdc_import VALUES (863, '17/04/2020', '17', '4', '2020', '108', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.97772139');
INSERT INTO public.ecdc_import VALUES (864, '16/04/2020', '16', '4', '2020', '90', '11', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.04972558');
INSERT INTO public.ecdc_import VALUES (865, '15/04/2020', '15', '4', '2020', '87', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.14495692');
INSERT INTO public.ecdc_import VALUES (866, '14/04/2020', '14', '4', '2020', '69', '20', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.24947912');
INSERT INTO public.ecdc_import VALUES (867, '13/04/2020', '13', '4', '2020', '89', '18', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.25876998');
INSERT INTO public.ecdc_import VALUES (868, '12/04/2020', '12', '4', '2020', '64', '19', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.18444308');
INSERT INTO public.ecdc_import VALUES (869, '11/04/2020', '11', '4', '2020', '95', '21', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.14031149');
INSERT INTO public.ecdc_import VALUES (870, '10/04/2020', '10', '4', '2020', '94', '30', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '3.01720756');
INSERT INTO public.ecdc_import VALUES (871, '09/04/2020', '9', '4', '2020', '104', '12', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.94984881');
INSERT INTO public.ecdc_import VALUES (872, '08/04/2020', '8', '4', '2020', '45', '20', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.79654958');
INSERT INTO public.ecdc_import VALUES (873, '07/04/2020', '7', '4', '2020', '103', '21', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.77099971');
INSERT INTO public.ecdc_import VALUES (874, '06/04/2020', '6', '4', '2020', '69', '22', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.59911875');
INSERT INTO public.ecdc_import VALUES (875, '05/04/2020', '5', '4', '2020', '80', '25', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.58285974');
INSERT INTO public.ecdc_import VALUES (876, '04/04/2020', '4', '4', '2020', '185', '42', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.48298297');
INSERT INTO public.ecdc_import VALUES (877, '03/04/2020', '3', '4', '2020', '139', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '2.08115317');
INSERT INTO public.ecdc_import VALUES (878, '02/04/2020', '2', '4', '2020', '131', '14', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '1.80010459');
INSERT INTO public.ecdc_import VALUES (879, '01/04/2020', '1', '4', '2020', '132', '9', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '1.52370143');
INSERT INTO public.ecdc_import VALUES (880, '31/03/2020', '31', '3', '2020', '73', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '1.2217484');
INSERT INTO public.ecdc_import VALUES (881, '30/03/2020', '30', '3', '2020', '57', '2', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '1.07541732');
INSERT INTO public.ecdc_import VALUES (882, '29/03/2020', '29', '3', '2020', '45', '3', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.9685724');
INSERT INTO public.ecdc_import VALUES (883, '28/03/2020', '28', '3', '2020', '42', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.88960007');
INSERT INTO public.ecdc_import VALUES (884, '27/03/2020', '27', '3', '2020', '65', '4', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.79436873');
INSERT INTO public.ecdc_import VALUES (885, '26/03/2020', '26', '3', '2020', '38', '2', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.6550058');
INSERT INTO public.ecdc_import VALUES (886, '25/03/2020', '25', '3', '2020', '34', '2', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.56674261');
INSERT INTO public.ecdc_import VALUES (887, '24/03/2020', '24', '3', '2020', '29', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.49473842');
INSERT INTO public.ecdc_import VALUES (888, '23/03/2020', '23', '3', '2020', '62', '2', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.43899325');
INSERT INTO public.ecdc_import VALUES (889, '22/03/2020', '22', '3', '2020', '37', '5', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.31124389');
INSERT INTO public.ecdc_import VALUES (890, '21/03/2020', '21', '3', '2020', '12', '3', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.22994884');
INSERT INTO public.ecdc_import VALUES (891, '20/03/2020', '20', '3', '2020', '18', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.20207626');
INSERT INTO public.ecdc_import VALUES (892, '19/03/2020', '19', '3', '2020', '12', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.16491281');
INSERT INTO public.ecdc_import VALUES (893, '18/03/2020', '18', '3', '2020', '2', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.13704022');
INSERT INTO public.ecdc_import VALUES (894, '17/03/2020', '17', '3', '2020', '10', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.13239479');
INSERT INTO public.ecdc_import VALUES (895, '16/03/2020', '16', '3', '2020', '11', '2', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.10916763');
INSERT INTO public.ecdc_import VALUES (896, '15/03/2020', '15', '3', '2020', '11', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.08594048');
INSERT INTO public.ecdc_import VALUES (897, '14/03/2020', '14', '3', '2020', '1', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.06039061');
INSERT INTO public.ecdc_import VALUES (898, '13/03/2020', '13', '3', '2020', '5', '1', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.05806789');
INSERT INTO public.ecdc_import VALUES (899, '12/03/2020', '12', '3', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.04645431');
INSERT INTO public.ecdc_import VALUES (900, '09/03/2020', '9', '3', '2020', '3', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.04645431');
INSERT INTO public.ecdc_import VALUES (901, '06/03/2020', '6', '3', '2020', '5', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.03948617');
INSERT INTO public.ecdc_import VALUES (902, '05/03/2020', '5', '3', '2020', '7', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.02787259');
INSERT INTO public.ecdc_import VALUES (903, '04/03/2020', '4', '3', '2020', '2', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.01161358');
INSERT INTO public.ecdc_import VALUES (904, '02/03/2020', '2', '3', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.00696815');
INSERT INTO public.ecdc_import VALUES (905, '01/03/2020', '1', '3', '2020', '2', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.00696815');
INSERT INTO public.ecdc_import VALUES (906, '29/02/2020', '29', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.00232272');
INSERT INTO public.ecdc_import VALUES (907, '28/02/2020', '28', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.00232272');
INSERT INTO public.ecdc_import VALUES (908, '27/02/2020', '27', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.00232272');
INSERT INTO public.ecdc_import VALUES (909, '26/02/2020', '26', '2', '2020', '1', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0.00232272');
INSERT INTO public.ecdc_import VALUES (910, '25/02/2020', '25', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (911, '24/02/2020', '24', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (912, '23/02/2020', '23', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (913, '22/02/2020', '22', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (914, '21/02/2020', '21', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (915, '20/02/2020', '20', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (916, '19/02/2020', '19', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (917, '18/02/2020', '18', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (918, '17/02/2020', '17', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (919, '16/02/2020', '16', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (920, '15/02/2020', '15', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (921, '14/02/2020', '14', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (922, '13/02/2020', '13', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (923, '12/02/2020', '12', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (924, '11/02/2020', '11', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (925, '10/02/2020', '10', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (926, '09/02/2020', '9', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (927, '08/02/2020', '8', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (928, '07/02/2020', '7', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (929, '06/02/2020', '6', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (930, '05/02/2020', '5', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (931, '04/02/2020', '4', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (932, '03/02/2020', '3', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (933, '02/02/2020', '2', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (934, '01/02/2020', '1', '2', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (935, '31/01/2020', '31', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (936, '30/01/2020', '30', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (937, '29/01/2020', '29', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (938, '28/01/2020', '28', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (939, '27/01/2020', '27', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (940, '26/01/2020', '26', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (941, '25/01/2020', '25', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (942, '24/01/2020', '24', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (943, '23/01/2020', '23', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (944, '22/01/2020', '22', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (945, '21/01/2020', '21', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (946, '20/01/2020', '20', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (947, '19/01/2020', '19', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (948, '18/01/2020', '18', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (949, '17/01/2020', '17', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (950, '16/01/2020', '16', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (951, '15/01/2020', '15', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (952, '14/01/2020', '14', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (953, '13/01/2020', '13', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (954, '12/01/2020', '12', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (955, '11/01/2020', '11', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (956, '10/01/2020', '10', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (957, '09/01/2020', '9', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (958, '08/01/2020', '8', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (959, '07/01/2020', '7', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (960, '06/01/2020', '6', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (961, '05/01/2020', '5', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (962, '04/01/2020', '4', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (963, '03/01/2020', '3', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (964, '02/01/2020', '2', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (965, '01/01/2020', '1', '1', '2020', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (966, '31/12/2019', '31', '12', '2019', '0', '0', '43053054', 'Algeria', 'DZ', 'DZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (967, '14/12/2020', '14', '12', '2020', '50', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '821.77035063');
INSERT INTO public.ecdc_import VALUES (968, '13/12/2020', '13', '12', '2020', '52', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '811.26849311');
INSERT INTO public.ecdc_import VALUES (969, '12/12/2020', '12', '12', '2020', '46', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '821.77035063');
INSERT INTO public.ecdc_import VALUES (970, '11/12/2020', '11', '12', '2020', '28', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '861.15231632');
INSERT INTO public.ecdc_import VALUES (971, '10/12/2020', '10', '12', '2020', '35', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '963.5454271');
INSERT INTO public.ecdc_import VALUES (972, '09/12/2020', '9', '12', '2020', '43', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1018.68017906');
INSERT INTO public.ecdc_import VALUES (973, '08/12/2020', '8', '12', '2020', '34', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1023.93110781');
INSERT INTO public.ecdc_import VALUES (974, '07/12/2020', '7', '12', '2020', '45', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1042.30935847');
INSERT INTO public.ecdc_import VALUES (975, '06/12/2020', '6', '12', '2020', '50', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1047.56028723');
INSERT INTO public.ecdc_import VALUES (976, '05/12/2020', '5', '12', '2020', '51', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1067.25127007');
INSERT INTO public.ecdc_import VALUES (977, '04/12/2020', '4', '12', '2020', '62', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1100.06957481');
INSERT INTO public.ecdc_import VALUES (978, '03/12/2020', '3', '12', '2020', '52', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1081.69132415');
INSERT INTO public.ecdc_import VALUES (979, '02/12/2020', '2', '12', '2020', '45', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1101.382307');
INSERT INTO public.ecdc_import VALUES (980, '01/12/2020', '1', '12', '2020', '33', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1090.88044948');
INSERT INTO public.ecdc_import VALUES (981, '30/11/2020', '30', '11', '2020', '42', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1102.69503919');
INSERT INTO public.ecdc_import VALUES (982, '29/11/2020', '29', '11', '2020', '60', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1240.53191908');
INSERT INTO public.ecdc_import VALUES (983, '28/11/2020', '28', '11', '2020', '76', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1161.76798771');
INSERT INTO public.ecdc_import VALUES (984, '27/11/2020', '27', '11', '2020', '106', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1205.08814997');
INSERT INTO public.ecdc_import VALUES (985, '26/11/2020', '26', '11', '2020', '77', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1130.26241516');
INSERT INTO public.ecdc_import VALUES (986, '25/11/2020', '25', '11', '2020', '47', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1147.32793363');
INSERT INTO public.ecdc_import VALUES (987, '24/11/2020', '24', '11', '2020', '48', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1138.1388083');
INSERT INTO public.ecdc_import VALUES (988, '23/11/2020', '23', '11', '2020', '49', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1146.01520144');
INSERT INTO public.ecdc_import VALUES (989, '22/11/2020', '22', '11', '2020', '65', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1165.70618428');
INSERT INTO public.ecdc_import VALUES (990, '21/11/2020', '21', '11', '2020', '76', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1321.92131483');
INSERT INTO public.ecdc_import VALUES (991, '20/11/2020', '20', '11', '2020', '48', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1222.15366843');
INSERT INTO public.ecdc_import VALUES (992, '19/11/2020', '19', '11', '2020', '67', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1277.28842039');
INSERT INTO public.ecdc_import VALUES (993, '18/11/2020', '18', '11', '2020', '37', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1366.55420928');
INSERT INTO public.ecdc_import VALUES (994, '17/11/2020', '17', '11', '2020', '42', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1346.86322643');
INSERT INTO public.ecdc_import VALUES (995, '16/11/2020', '16', '11', '2020', '147', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1374.43060241');
INSERT INTO public.ecdc_import VALUES (996, '15/11/2020', '15', '11', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1272.03749163');
INSERT INTO public.ecdc_import VALUES (997, '14/11/2020', '14', '11', '2020', '109', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1391.49612088');
INSERT INTO public.ecdc_import VALUES (998, '13/11/2020', '13', '11', '2020', '49', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1377.05606679');
INSERT INTO public.ecdc_import VALUES (999, '12/11/2020', '12', '11', '2020', '90', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1378.36879898');
INSERT INTO public.ecdc_import VALUES (1000, '11/11/2020', '11', '11', '2020', '40', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1400.6852462');
INSERT INTO public.ecdc_import VALUES (1001, '10/11/2020', '10', '11', '2020', '54', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1459.75819473');
INSERT INTO public.ecdc_import VALUES (1002, '09/11/2020', '9', '11', '2020', '64', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1765.62479489');
INSERT INTO public.ecdc_import VALUES (1003, '08/11/2020', '8', '11', '2020', '184', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1681.60993476');
INSERT INTO public.ecdc_import VALUES (1004, '07/11/2020', '7', '11', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1440.06721189');
INSERT INTO public.ecdc_import VALUES (1005, '06/11/2020', '6', '11', '2020', '90', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1738.05741891');
INSERT INTO public.ecdc_import VALUES (1006, '05/11/2020', '5', '11', '2020', '135', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1619.91152185');
INSERT INTO public.ecdc_import VALUES (1007, '04/11/2020', '4', '11', '2020', '22', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1689.48632789');
INSERT INTO public.ecdc_import VALUES (1008, '03/11/2020', '3', '11', '2020', '63', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1660.60621973');
INSERT INTO public.ecdc_import VALUES (1009, '02/11/2020', '2', '11', '2020', '69', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1900.8362104');
INSERT INTO public.ecdc_import VALUES (1010, '01/11/2020', '1', '11', '2020', '91', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1810.25768933');
INSERT INTO public.ecdc_import VALUES (1011, '31/10/2020', '31', '10', '2020', '98', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1690.79906008');
INSERT INTO public.ecdc_import VALUES (1012, '30/10/2020', '30', '10', '2020', '50', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1807.63222495');
INSERT INTO public.ecdc_import VALUES (1013, '29/10/2020', '29', '10', '2020', '107', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1741.99561547');
INSERT INTO public.ecdc_import VALUES (1014, '28/10/2020', '28', '10', '2020', '85', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1857.51604815');
INSERT INTO public.ecdc_import VALUES (1015, '27/10/2020', '27', '10', '2020', '287', '3', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1745.93381204');
INSERT INTO public.ecdc_import VALUES (1016, '26/10/2020', '26', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1761.68659832');
INSERT INTO public.ecdc_import VALUES (1017, '25/10/2020', '25', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1761.68659832');
INSERT INTO public.ecdc_import VALUES (1018, '24/10/2020', '24', '10', '2020', '227', '6', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1761.68659832');
INSERT INTO public.ecdc_import VALUES (1019, '23/10/2020', '23', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1631.72611156');
INSERT INTO public.ecdc_import VALUES (1020, '22/10/2020', '22', '10', '2020', '188', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1631.72611156');
INSERT INTO public.ecdc_import VALUES (1021, '21/10/2020', '21', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1644.85343345');
INSERT INTO public.ecdc_import VALUES (1022, '20/10/2020', '20', '10', '2020', '246', '3', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1644.85343345');
INSERT INTO public.ecdc_import VALUES (1023, '19/10/2020', '19', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1663.2316841');
INSERT INTO public.ecdc_import VALUES (1024, '18/10/2020', '18', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1663.2316841');
INSERT INTO public.ecdc_import VALUES (1025, '17/10/2020', '17', '10', '2020', '187', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1663.2316841');
INSERT INTO public.ecdc_import VALUES (1026, '16/10/2020', '16', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1496.51469604');
INSERT INTO public.ecdc_import VALUES (1027, '15/10/2020', '15', '10', '2020', '195', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1496.51469604');
INSERT INTO public.ecdc_import VALUES (1028, '14/10/2020', '14', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1350.801423');
INSERT INTO public.ecdc_import VALUES (1029, '13/10/2020', '13', '10', '2020', '299', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1350.801423');
INSERT INTO public.ecdc_import VALUES (1030, '12/10/2020', '12', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1128.94968298');
INSERT INTO public.ecdc_import VALUES (1031, '11/10/2020', '11', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1128.94968298');
INSERT INTO public.ecdc_import VALUES (1032, '10/10/2020', '10', '10', '2020', '128', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1128.94968298');
INSERT INTO public.ecdc_import VALUES (1033, '09/10/2020', '9', '10', '2020', '0', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1069.87673445');
INSERT INTO public.ecdc_import VALUES (1034, '08/10/2020', '8', '10', '2020', '198', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1069.87673445');
INSERT INTO public.ecdc_import VALUES (1035, '07/10/2020', '7', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '904.47247857');
INSERT INTO public.ecdc_import VALUES (1036, '06/10/2020', '6', '10', '2020', '260', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '904.47247857');
INSERT INTO public.ecdc_import VALUES (1037, '05/10/2020', '5', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '716.75177547');
INSERT INTO public.ecdc_import VALUES (1038, '04/10/2020', '4', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '716.75177547');
INSERT INTO public.ecdc_import VALUES (1039, '03/10/2020', '3', '10', '2020', '60', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '716.75177547');
INSERT INTO public.ecdc_import VALUES (1040, '02/10/2020', '2', '10', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '744.31915145');
INSERT INTO public.ecdc_import VALUES (1041, '01/10/2020', '1', '10', '2020', '84', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '803.39209998');
INSERT INTO public.ecdc_import VALUES (1042, '30/09/2020', '30', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '693.12259606');
INSERT INTO public.ecdc_import VALUES (1043, '29/09/2020', '29', '9', '2020', '130', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '693.12259606');
INSERT INTO public.ecdc_import VALUES (1044, '28/09/2020', '28', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '645.86423724');
INSERT INTO public.ecdc_import VALUES (1045, '27/09/2020', '27', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '645.86423724');
INSERT INTO public.ecdc_import VALUES (1046, '26/09/2020', '26', '9', '2020', '83', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '645.86423724');
INSERT INTO public.ecdc_import VALUES (1047, '25/09/2020', '25', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '593.35494966');
INSERT INTO public.ecdc_import VALUES (1048, '24/09/2020', '24', '9', '2020', '72', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '593.35494966');
INSERT INTO public.ecdc_import VALUES (1049, '23/09/2020', '23', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '551.34751959');
INSERT INTO public.ecdc_import VALUES (1050, '22/09/2020', '22', '9', '2020', '117', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '551.34751959');
INSERT INTO public.ecdc_import VALUES (1051, '21/09/2020', '21', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '458.14353414');
INSERT INTO public.ecdc_import VALUES (1052, '20/09/2020', '20', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '458.14353414');
INSERT INTO public.ecdc_import VALUES (1053, '19/09/2020', '19', '9', '2020', '81', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '458.14353414');
INSERT INTO public.ecdc_import VALUES (1054, '18/09/2020', '18', '9', '2020', '45', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '372.81594182');
INSERT INTO public.ecdc_import VALUES (1055, '17/09/2020', '17', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '313.74299329');
INSERT INTO public.ecdc_import VALUES (1056, '16/09/2020', '16', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '333.43397613');
INSERT INTO public.ecdc_import VALUES (1057, '15/09/2020', '15', '9', '2020', '94', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '343.93583365');
INSERT INTO public.ecdc_import VALUES (1058, '14/09/2020', '14', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '288.80108169');
INSERT INTO public.ecdc_import VALUES (1059, '13/09/2020', '13', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '288.80108169');
INSERT INTO public.ecdc_import VALUES (1060, '12/09/2020', '12', '9', '2020', '43', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '288.80108169');
INSERT INTO public.ecdc_import VALUES (1061, '11/09/2020', '11', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '266.48463447');
INSERT INTO public.ecdc_import VALUES (1062, '10/09/2020', '10', '9', '2020', '40', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '266.48463447');
INSERT INTO public.ecdc_import VALUES (1063, '09/09/2020', '9', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '263.85917009');
INSERT INTO public.ecdc_import VALUES (1064, '08/09/2020', '8', '9', '2020', '46', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '263.85917009');
INSERT INTO public.ecdc_import VALUES (1065, '07/09/2020', '7', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '223.16447222');
INSERT INTO public.ecdc_import VALUES (1066, '06/09/2020', '6', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '223.16447222');
INSERT INTO public.ecdc_import VALUES (1067, '05/09/2020', '5', '9', '2020', '16', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '223.16447222');
INSERT INTO public.ecdc_import VALUES (1068, '04/09/2020', '4', '9', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '229.72813316');
INSERT INTO public.ecdc_import VALUES (1069, '03/09/2020', '3', '9', '2020', '15', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '229.72813316');
INSERT INTO public.ecdc_import VALUES (1070, '02/09/2020', '2', '9', '2020', '8', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '234.97906192');
INSERT INTO public.ecdc_import VALUES (1071, '01/09/2020', '1', '9', '2020', '52', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '224.47720441');
INSERT INTO public.ecdc_import VALUES (1072, '31/08/2020', '31', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '177.21884558');
INSERT INTO public.ecdc_import VALUES (1073, '30/08/2020', '30', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '177.21884558');
INSERT INTO public.ecdc_import VALUES (1074, '29/08/2020', '29', '8', '2020', '26', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '177.21884558');
INSERT INTO public.ecdc_import VALUES (1075, '28/08/2020', '28', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '153.58966617');
INSERT INTO public.ecdc_import VALUES (1076, '27/08/2020', '27', '8', '2020', '38', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '158.84059493');
INSERT INTO public.ecdc_import VALUES (1077, '26/08/2020', '26', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '127.33502238');
INSERT INTO public.ecdc_import VALUES (1078, '25/08/2020', '25', '8', '2020', '15', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '127.33502238');
INSERT INTO public.ecdc_import VALUES (1079, '24/08/2020', '24', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1080, '23/08/2020', '23', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1081, '22/08/2020', '22', '8', '2020', '21', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '118.14589706');
INSERT INTO public.ecdc_import VALUES (1082, '21/08/2020', '21', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '105.01857516');
INSERT INTO public.ecdc_import VALUES (1083, '20/08/2020', '20', '8', '2020', '19', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '111.58223611');
INSERT INTO public.ecdc_import VALUES (1084, '19/08/2020', '19', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '86.64032451');
INSERT INTO public.ecdc_import VALUES (1085, '18/08/2020', '18', '8', '2020', '16', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '89.26578889');
INSERT INTO public.ecdc_import VALUES (1086, '17/08/2020', '17', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '84.01486013');
INSERT INTO public.ecdc_import VALUES (1087, '16/08/2020', '16', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '84.01486013');
INSERT INTO public.ecdc_import VALUES (1088, '15/08/2020', '15', '8', '2020', '8', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '84.01486013');
INSERT INTO public.ecdc_import VALUES (1089, '14/08/2020', '14', '8', '2020', '4', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '77.45119918');
INSERT INTO public.ecdc_import VALUES (1090, '13/08/2020', '13', '8', '2020', '14', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '77.45119918');
INSERT INTO public.ecdc_import VALUES (1091, '12/08/2020', '12', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '73.51300261');
INSERT INTO public.ecdc_import VALUES (1092, '11/08/2020', '11', '8', '2020', '7', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '73.51300261');
INSERT INTO public.ecdc_import VALUES (1093, '10/08/2020', '10', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '77.45119918');
INSERT INTO public.ecdc_import VALUES (1094, '09/08/2020', '9', '8', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '77.45119918');
INSERT INTO public.ecdc_import VALUES (1095, '08/08/2020', '8', '8', '2020', '11', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '86.64032451');
INSERT INTO public.ecdc_import VALUES (1096, '07/08/2020', '7', '8', '2020', '5', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '72.20027042');
INSERT INTO public.ecdc_import VALUES (1097, '06/08/2020', '6', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '65.63660948');
INSERT INTO public.ecdc_import VALUES (1098, '05/08/2020', '5', '8', '2020', '2', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '72.20027042');
INSERT INTO public.ecdc_import VALUES (1099, '04/08/2020', '4', '8', '2020', '12', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '69.57480604');
INSERT INTO public.ecdc_import VALUES (1100, '03/08/2020', '3', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '59.07294853');
INSERT INTO public.ecdc_import VALUES (1101, '02/08/2020', '2', '8', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '59.07294853');
INSERT INTO public.ecdc_import VALUES (1102, '01/08/2020', '1', '8', '2020', '3', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '59.07294853');
INSERT INTO public.ecdc_import VALUES (1103, '31/07/2020', '31', '7', '2020', '4', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '59.07294853');
INSERT INTO public.ecdc_import VALUES (1104, '30/07/2020', '30', '7', '2020', '11', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '73.51300261');
INSERT INTO public.ecdc_import VALUES (1105, '29/07/2020', '29', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '60.38568072');
INSERT INTO public.ecdc_import VALUES (1106, '28/07/2020', '28', '7', '2020', '10', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '64.32387729');
INSERT INTO public.ecdc_import VALUES (1107, '27/07/2020', '27', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '55.13475196');
INSERT INTO public.ecdc_import VALUES (1108, '26/07/2020', '26', '7', '2020', '8', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '55.13475196');
INSERT INTO public.ecdc_import VALUES (1109, '25/07/2020', '25', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '44.63289444');
INSERT INTO public.ecdc_import VALUES (1110, '24/07/2020', '24', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '44.63289444');
INSERT INTO public.ecdc_import VALUES (1111, '23/07/2020', '23', '7', '2020', '5', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '44.63289444');
INSERT INTO public.ecdc_import VALUES (1112, '22/07/2020', '22', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '38.0692335');
INSERT INTO public.ecdc_import VALUES (1113, '21/07/2020', '21', '7', '2020', '4', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '38.0692335');
INSERT INTO public.ecdc_import VALUES (1114, '20/07/2020', '20', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '32.81830474');
INSERT INTO public.ecdc_import VALUES (1115, '19/07/2020', '19', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '32.81830474');
INSERT INTO public.ecdc_import VALUES (1116, '18/07/2020', '18', '7', '2020', '3', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '32.81830474');
INSERT INTO public.ecdc_import VALUES (1117, '17/07/2020', '17', '7', '2020', '15', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '28.88010817');
INSERT INTO public.ecdc_import VALUES (1118, '16/07/2020', '16', '7', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '9.18912533');
INSERT INTO public.ecdc_import VALUES (1119, '15/07/2020', '15', '7', '2020', '3', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '7.87639314');
INSERT INTO public.ecdc_import VALUES (1120, '14/07/2020', '14', '7', '2020', '3', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1121, '13/07/2020', '13', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1122, '12/07/2020', '12', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1123, '11/07/2020', '11', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1124, '10/07/2020', '10', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1125, '09/07/2020', '9', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1126, '08/07/2020', '8', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1127, '07/07/2020', '7', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1128, '06/07/2020', '6', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1129, '05/07/2020', '5', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1130, '04/07/2020', '4', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1131, '03/07/2020', '3', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (1132, '02/07/2020', '2', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1.31273219');
INSERT INTO public.ecdc_import VALUES (1133, '01/07/2020', '1', '7', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '1.31273219');
INSERT INTO public.ecdc_import VALUES (1134, '30/06/2020', '30', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '2.62546438');
INSERT INTO public.ecdc_import VALUES (1135, '29/06/2020', '29', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '2.62546438');
INSERT INTO public.ecdc_import VALUES (1136, '28/06/2020', '28', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '2.62546438');
INSERT INTO public.ecdc_import VALUES (1137, '27/06/2020', '27', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '2.62546438');
INSERT INTO public.ecdc_import VALUES (1138, '26/06/2020', '26', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1139, '25/06/2020', '25', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1140, '24/06/2020', '24', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1141, '23/06/2020', '23', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1142, '22/06/2020', '22', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1143, '21/06/2020', '21', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1144, '20/06/2020', '20', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1145, '19/06/2020', '19', '6', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1146, '18/06/2020', '18', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1147, '17/06/2020', '17', '6', '2020', '1', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '13.1273219');
INSERT INTO public.ecdc_import VALUES (1148, '16/06/2020', '16', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '115.52043268');
INSERT INTO public.ecdc_import VALUES (1149, '15/06/2020', '15', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1150, '14/06/2020', '14', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1151, '13/06/2020', '13', '6', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1152, '12/06/2020', '12', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1153, '11/06/2020', '11', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1154, '10/06/2020', '10', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1155, '09/06/2020', '9', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1156, '08/06/2020', '8', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1157, '07/06/2020', '7', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '118.14589706');
INSERT INTO public.ecdc_import VALUES (1158, '06/06/2020', '6', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '118.14589706');
INSERT INTO public.ecdc_import VALUES (1159, '05/06/2020', '5', '6', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '118.14589706');
INSERT INTO public.ecdc_import VALUES (1160, '04/06/2020', '4', '6', '2020', '7', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '116.83316487');
INSERT INTO public.ecdc_import VALUES (1161, '03/06/2020', '3', '6', '2020', '79', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '108.95677173');
INSERT INTO public.ecdc_import VALUES (1162, '02/06/2020', '2', '6', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '5.25092876');
INSERT INTO public.ecdc_import VALUES (1163, '01/06/2020', '1', '6', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1164, '31/05/2020', '31', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1165, '30/05/2020', '30', '5', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1166, '29/05/2020', '29', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '2.62546438');
INSERT INTO public.ecdc_import VALUES (1167, '28/05/2020', '28', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '3.93819657');
INSERT INTO public.ecdc_import VALUES (1168, '27/05/2020', '27', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '6.56366095');
INSERT INTO public.ecdc_import VALUES (1169, '26/05/2020', '26', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '9.18912533');
INSERT INTO public.ecdc_import VALUES (1170, '25/05/2020', '25', '5', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '10.50185752');
INSERT INTO public.ecdc_import VALUES (1171, '24/05/2020', '24', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '10.50185752');
INSERT INTO public.ecdc_import VALUES (1172, '23/05/2020', '23', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '13.1273219');
INSERT INTO public.ecdc_import VALUES (1173, '22/05/2020', '22', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '13.1273219');
INSERT INTO public.ecdc_import VALUES (1174, '21/05/2020', '21', '5', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '14.44005408');
INSERT INTO public.ecdc_import VALUES (1175, '20/05/2020', '20', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '13.1273219');
INSERT INTO public.ecdc_import VALUES (1176, '19/05/2020', '19', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '14.44005408');
INSERT INTO public.ecdc_import VALUES (1177, '18/05/2020', '18', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '17.06551846');
INSERT INTO public.ecdc_import VALUES (1178, '17/05/2020', '17', '5', '2020', '0', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '18.37825065');
INSERT INTO public.ecdc_import VALUES (1179, '16/05/2020', '16', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '19.69098284');
INSERT INTO public.ecdc_import VALUES (1180, '15/05/2020', '15', '5', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '21.00371503');
INSERT INTO public.ecdc_import VALUES (1181, '14/05/2020', '14', '5', '2020', '2', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '22.31644722');
INSERT INTO public.ecdc_import VALUES (1182, '13/05/2020', '13', '5', '2020', '2', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '19.69098284');
INSERT INTO public.ecdc_import VALUES (1183, '12/05/2020', '12', '5', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '17.06551846');
INSERT INTO public.ecdc_import VALUES (1184, '11/05/2020', '11', '5', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '19.69098284');
INSERT INTO public.ecdc_import VALUES (1185, '10/05/2020', '10', '5', '2020', '2', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '27.56737598');
INSERT INTO public.ecdc_import VALUES (1186, '09/05/2020', '9', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '27.56737598');
INSERT INTO public.ecdc_import VALUES (1187, '08/05/2020', '8', '5', '2020', '1', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '36.75650131');
INSERT INTO public.ecdc_import VALUES (1188, '07/05/2020', '7', '5', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '36.75650131');
INSERT INTO public.ecdc_import VALUES (1189, '06/05/2020', '6', '5', '2020', '1', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '44.63289444');
INSERT INTO public.ecdc_import VALUES (1190, '05/05/2020', '5', '5', '2020', '2', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '43.32016225');
INSERT INTO public.ecdc_import VALUES (1191, '04/05/2020', '4', '5', '2020', '1', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '45.94562663');
INSERT INTO public.ecdc_import VALUES (1192, '03/05/2020', '3', '5', '2020', '1', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '56.44748415');
INSERT INTO public.ecdc_import VALUES (1193, '02/05/2020', '2', '5', '2020', '1', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '65.63660948');
INSERT INTO public.ecdc_import VALUES (1194, '01/05/2020', '1', '5', '2020', '2', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '82.70212794');
INSERT INTO public.ecdc_import VALUES (1195, '30/04/2020', '30', '4', '2020', '0', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '91.89125327');
INSERT INTO public.ecdc_import VALUES (1196, '29/04/2020', '29', '4', '2020', '0', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '110.26950392');
INSERT INTO public.ecdc_import VALUES (1197, '28/04/2020', '28', '4', '2020', '3', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '127.33502238');
INSERT INTO public.ecdc_import VALUES (1198, '27/04/2020', '27', '4', '2020', '7', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '133.89868333');
INSERT INTO public.ecdc_import VALUES (1199, '26/04/2020', '26', '4', '2020', '2', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '145.71327304');
INSERT INTO public.ecdc_import VALUES (1200, '25/04/2020', '25', '4', '2020', '7', '3', '76177', 'Andorra', 'AD', 'AND', 'Europe', '170.65518464');
INSERT INTO public.ecdc_import VALUES (1201, '24/04/2020', '24', '4', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '185.09523872');
INSERT INTO public.ecdc_import VALUES (1202, '23/04/2020', '23', '4', '2020', '6', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '208.72441813');
INSERT INTO public.ecdc_import VALUES (1203, '22/04/2020', '22', '4', '2020', '0', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '225.7899366');
INSERT INTO public.ecdc_import VALUES (1204, '21/04/2020', '21', '4', '2020', '4', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '250.7318482');
INSERT INTO public.ecdc_import VALUES (1205, '20/04/2020', '20', '4', '2020', '9', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '278.29922418');
INSERT INTO public.ecdc_import VALUES (1206, '19/04/2020', '19', '4', '2020', '8', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '312.4302611');
INSERT INTO public.ecdc_import VALUES (1207, '18/04/2020', '18', '4', '2020', '14', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '337.3721727');
INSERT INTO public.ecdc_import VALUES (1208, '17/04/2020', '17', '4', '2020', '9', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '333.43397613');
INSERT INTO public.ecdc_import VALUES (1209, '16/04/2020', '16', '4', '2020', '14', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '371.50320963');
INSERT INTO public.ecdc_import VALUES (1210, '15/04/2020', '15', '4', '2020', '13', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '371.50320963');
INSERT INTO public.ecdc_import VALUES (1211, '14/04/2020', '14', '4', '2020', '8', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '362.3140843');
INSERT INTO public.ecdc_import VALUES (1212, '13/04/2020', '13', '4', '2020', '16', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '399.07058561');
INSERT INTO public.ecdc_import VALUES (1213, '12/04/2020', '12', '4', '2020', '21', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '412.1979075');
INSERT INTO public.ecdc_import VALUES (1214, '11/04/2020', '11', '4', '2020', '18', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '438.4525513');
INSERT INTO public.ecdc_import VALUES (1215, '10/04/2020', '10', '4', '2020', '19', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '471.27085603');
INSERT INTO public.ecdc_import VALUES (1216, '09/04/2020', '9', '4', '2020', '19', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '493.58730325');
INSERT INTO public.ecdc_import VALUES (1217, '08/04/2020', '8', '4', '2020', '19', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '500.1509642');
INSERT INTO public.ecdc_import VALUES (1218, '07/04/2020', '7', '4', '2020', '25', '3', '76177', 'Andorra', 'AD', 'AND', 'Europe', '515.90375048');
INSERT INTO public.ecdc_import VALUES (1219, '06/04/2020', '6', '4', '2020', '35', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '509.34008953');
INSERT INTO public.ecdc_import VALUES (1220, '05/04/2020', '5', '4', '2020', '27', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '496.21276763');
INSERT INTO public.ecdc_import VALUES (1221, '04/04/2020', '4', '4', '2020', '11', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '477.83451698');
INSERT INTO public.ecdc_import VALUES (1222, '03/04/2020', '3', '4', '2020', '38', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '463.3944629');
INSERT INTO public.ecdc_import VALUES (1223, '02/04/2020', '2', '4', '2020', '14', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '442.39074786');
INSERT INTO public.ecdc_import VALUES (1224, '01/04/2020', '1', '4', '2020', '6', '4', '76177', 'Andorra', 'AD', 'AND', 'Europe', '475.2090526');
INSERT INTO public.ecdc_import VALUES (1225, '31/03/2020', '31', '3', '2020', '36', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '467.33265946');
INSERT INTO public.ecdc_import VALUES (1226, '30/03/2020', '30', '3', '2020', '26', '2', '76177', 'Andorra', 'AD', 'AND', 'Europe', '431.88889035');
INSERT INTO public.ecdc_import VALUES (1227, '29/03/2020', '29', '3', '2020', '41', '1', '76177', 'Andorra', 'AD', 'AND', 'Europe', '401.69604999');
INSERT INTO public.ecdc_import VALUES (1228, '28/03/2020', '28', '3', '2020', '43', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '349.18676241');
INSERT INTO public.ecdc_import VALUES (1229, '27/03/2020', '27', '3', '2020', '36', '3', '76177', 'Andorra', 'AD', 'AND', 'Europe', '294.05201045');
INSERT INTO public.ecdc_import VALUES (1230, '26/03/2020', '26', '3', '2020', '24', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1231, '25/03/2020', '25', '3', '2020', '31', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1232, '24/03/2020', '24', '3', '2020', '20', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1233, '23/03/2020', '23', '3', '2020', '25', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1234, '22/03/2020', '22', '3', '2020', '13', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1235, '21/03/2020', '21', '3', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1236, '20/03/2020', '20', '3', '2020', '22', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1237, '19/03/2020', '19', '3', '2020', '39', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1238, '18/03/2020', '18', '3', '2020', '0', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1239, '17/03/2020', '17', '3', '2020', '9', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1240, '16/03/2020', '16', '3', '2020', '3', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1241, '14/03/2020', '14', '3', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1242, '03/03/2020', '3', '3', '2020', '1', '0', '76177', 'Andorra', 'AD', 'AND', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (1243, '14/12/2020', '14', '12', '2020', '27', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.40923741');
INSERT INTO public.ecdc_import VALUES (1244, '13/12/2020', '13', '12', '2020', '100', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.37467371');
INSERT INTO public.ecdc_import VALUES (1245, '12/12/2020', '12', '12', '2020', '136', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.58519805');
INSERT INTO public.ecdc_import VALUES (1246, '11/12/2020', '11', '12', '2020', '121', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.46893834');
INSERT INTO public.ecdc_import VALUES (1247, '10/12/2020', '10', '12', '2020', '75', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.33696786');
INSERT INTO public.ecdc_import VALUES (1248, '09/12/2020', '9', '12', '2020', '81', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.44065896');
INSERT INTO public.ecdc_import VALUES (1249, '08/12/2020', '8', '12', '2020', '112', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.62918821');
INSERT INTO public.ecdc_import VALUES (1250, '07/12/2020', '7', '12', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.27726693');
INSERT INTO public.ecdc_import VALUES (1251, '06/12/2020', '6', '12', '2020', '43', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.52863928');
INSERT INTO public.ecdc_import VALUES (1252, '05/12/2020', '5', '12', '2020', '132', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.27018769');
INSERT INTO public.ecdc_import VALUES (1253, '04/12/2020', '4', '12', '2020', '42', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.52156003');
INSERT INTO public.ecdc_import VALUES (1254, '03/12/2020', '3', '12', '2020', '68', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.7163736');
INSERT INTO public.ecdc_import VALUES (1255, '02/12/2020', '2', '12', '2020', '112', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.14056443');
INSERT INTO public.ecdc_import VALUES (1256, '01/12/2020', '1', '12', '2020', '36', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.30395645');
INSERT INTO public.ecdc_import VALUES (1257, '30/11/2020', '30', '11', '2020', '16', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.43278478');
INSERT INTO public.ecdc_import VALUES (1258, '29/11/2020', '29', '11', '2020', '167', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.84126484');
INSERT INTO public.ecdc_import VALUES (1259, '28/11/2020', '28', '11', '2020', '99', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.85383345');
INSERT INTO public.ecdc_import VALUES (1260, '27/11/2020', '27', '11', '2020', '79', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.86954423');
INSERT INTO public.ecdc_import VALUES (1261, '26/11/2020', '26', '11', '2020', '108', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.05178918');
INSERT INTO public.ecdc_import VALUES (1262, '25/11/2020', '25', '11', '2020', '141', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.1397695');
INSERT INTO public.ecdc_import VALUES (1263, '24/11/2020', '24', '11', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.47283785');
INSERT INTO public.ecdc_import VALUES (1264, '23/11/2020', '23', '11', '2020', '80', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.78076897');
INSERT INTO public.ecdc_import VALUES (1265, '22/11/2020', '22', '11', '2020', '279', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.88131791');
INSERT INTO public.ecdc_import VALUES (1266, '21/11/2020', '21', '11', '2020', '212', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.38485753');
INSERT INTO public.ecdc_import VALUES (1267, '20/11/2020', '20', '11', '2020', '104', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.62680341');
INSERT INTO public.ecdc_import VALUES (1268, '19/11/2020', '19', '11', '2020', '203', '6', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '7.04156778');
INSERT INTO public.ecdc_import VALUES (1269, '18/11/2020', '18', '11', '2020', '164', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '7.50032231');
INSERT INTO public.ecdc_import VALUES (1270, '17/11/2020', '17', '11', '2020', '77', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '7.59144478');
INSERT INTO public.ecdc_import VALUES (1271, '16/11/2020', '16', '11', '2020', '146', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '8.07219439');
INSERT INTO public.ecdc_import VALUES (1272, '15/11/2020', '15', '11', '2020', '171', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '8.38955197');
INSERT INTO public.ecdc_import VALUES (1273, '14/11/2020', '14', '11', '2020', '104', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '8.76032618');
INSERT INTO public.ecdc_import VALUES (1274, '13/11/2020', '13', '11', '2020', '137', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.04626222');
INSERT INTO public.ecdc_import VALUES (1275, '12/11/2020', '12', '11', '2020', '136', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.2536444');
INSERT INTO public.ecdc_import VALUES (1276, '11/11/2020', '11', '11', '2020', '247', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.53958045');
INSERT INTO public.ecdc_import VALUES (1277, '10/11/2020', '10', '11', '2020', '98', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.58985491');
INSERT INTO public.ecdc_import VALUES (1278, '09/11/2020', '9', '11', '2020', '112', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.39738857');
INSERT INTO public.ecdc_import VALUES (1279, '08/11/2020', '8', '11', '2020', '121', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.66447168');
INSERT INTO public.ecdc_import VALUES (1280, '07/11/2020', '7', '11', '2020', '289', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '11.06038312');
INSERT INTO public.ecdc_import VALUES (1281, '06/11/2020', '6', '11', '2020', '236', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.91898618');
INSERT INTO public.ecdc_import VALUES (1282, '05/11/2020', '5', '11', '2020', '349', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '11.08552036');
INSERT INTO public.ecdc_import VALUES (1283, '04/11/2020', '4', '11', '2020', '193', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.68018245');
INSERT INTO public.ecdc_import VALUES (1284, '03/11/2020', '3', '11', '2020', '230', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.72417262');
INSERT INTO public.ecdc_import VALUES (1285, '02/11/2020', '2', '11', '2020', '247', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.50422181');
INSERT INTO public.ecdc_import VALUES (1286, '01/11/2020', '1', '11', '2020', '289', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.48222673');
INSERT INTO public.ecdc_import VALUES (1287, '31/10/2020', '31', '10', '2020', '195', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.97005558');
INSERT INTO public.ecdc_import VALUES (1288, '30/10/2020', '30', '10', '2020', '203', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.14287407');
INSERT INTO public.ecdc_import VALUES (1289, '29/10/2020', '29', '10', '2020', '227', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '10.02661436');
INSERT INTO public.ecdc_import VALUES (1290, '28/10/2020', '28', '10', '2020', '263', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.91663896');
INSERT INTO public.ecdc_import VALUES (1291, '27/10/2020', '27', '10', '2020', '355', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '9.4735952');
INSERT INTO public.ecdc_import VALUES (1292, '26/10/2020', '26', '10', '2020', '197', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '8.73518895');
INSERT INTO public.ecdc_import VALUES (1293, '25/10/2020', '25', '10', '2020', '247', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '8.79174772');
INSERT INTO public.ecdc_import VALUES (1294, '24/10/2020', '24', '10', '2020', '244', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '8.24501287');
INSERT INTO public.ecdc_import VALUES (1295, '23/10/2020', '23', '10', '2020', '289', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '7.77683188');
INSERT INTO public.ecdc_import VALUES (1296, '22/10/2020', '22', '10', '2020', '220', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '7.30236659');
INSERT INTO public.ecdc_import VALUES (1297, '21/10/2020', '21', '10', '2020', '207', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.61109264');
INSERT INTO public.ecdc_import VALUES (1298, '20/10/2020', '20', '10', '2020', '160', '6', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '7.07613148');
INSERT INTO public.ecdc_import VALUES (1299, '19/10/2020', '19', '10', '2020', '240', '7', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.57338679');
INSERT INTO public.ecdc_import VALUES (1300, '18/10/2020', '18', '10', '2020', '126', '6', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.31887229');
INSERT INTO public.ecdc_import VALUES (1301, '17/10/2020', '17', '10', '2020', '250', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '6.22774982');
INSERT INTO public.ecdc_import VALUES (1302, '16/10/2020', '16', '10', '2020', '166', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.88839715');
INSERT INTO public.ecdc_import VALUES (1303, '15/10/2020', '15', '10', '2020', '192', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '5.36679954');
INSERT INTO public.ecdc_import VALUES (1304, '14/10/2020', '14', '10', '2020', '122', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.97403025');
INSERT INTO public.ecdc_import VALUES (1305, '13/10/2020', '13', '10', '2020', '120', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.93004009');
INSERT INTO public.ecdc_import VALUES (1306, '12/10/2020', '12', '10', '2020', '215', '6', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.94575086');
INSERT INTO public.ecdc_import VALUES (1307, '11/10/2020', '11', '10', '2020', '73', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.52784434');
INSERT INTO public.ecdc_import VALUES (1308, '10/10/2020', '10', '10', '2020', '95', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.65981482');
INSERT INTO public.ecdc_import VALUES (1309, '09/10/2020', '9', '10', '2020', '138', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.71323145');
INSERT INTO public.ecdc_import VALUES (1310, '08/10/2020', '8', '10', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.67866775');
INSERT INTO public.ecdc_import VALUES (1311, '07/10/2020', '7', '10', '2020', '355', '13', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.67866775');
INSERT INTO public.ecdc_import VALUES (1312, '06/10/2020', '6', '10', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.93711933');
INSERT INTO public.ecdc_import VALUES (1313, '05/10/2020', '5', '10', '2020', '159', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.33303078');
INSERT INTO public.ecdc_import VALUES (1314, '04/10/2020', '4', '10', '2020', '97', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.11622213');
INSERT INTO public.ecdc_import VALUES (1315, '03/10/2020', '3', '10', '2020', '142', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.16335444');
INSERT INTO public.ecdc_import VALUES (1316, '02/10/2020', '2', '10', '2020', '0', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.8428547');
INSERT INTO public.ecdc_import VALUES (1317, '01/10/2020', '1', '10', '2020', '67', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.40844248');
INSERT INTO public.ecdc_import VALUES (1318, '30/09/2020', '30', '9', '2020', '108', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.6063982');
INSERT INTO public.ecdc_import VALUES (1319, '29/09/2020', '29', '9', '2020', '125', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.4272954');
INSERT INTO public.ecdc_import VALUES (1320, '28/09/2020', '28', '9', '2020', '82', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.20106029');
INSERT INTO public.ecdc_import VALUES (1321, '27/09/2020', '27', '9', '2020', '115', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '4.11936428');
INSERT INTO public.ecdc_import VALUES (1322, '26/09/2020', '26', '9', '2020', '112', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.95283011');
INSERT INTO public.ecdc_import VALUES (1323, '25/09/2020', '25', '9', '2020', '127', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.99367811');
INSERT INTO public.ecdc_import VALUES (1324, '24/09/2020', '24', '9', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.78001162');
INSERT INTO public.ecdc_import VALUES (1325, '23/09/2020', '23', '9', '2020', '119', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.94340364');
INSERT INTO public.ecdc_import VALUES (1326, '22/09/2020', '22', '9', '2020', '126', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.61976175');
INSERT INTO public.ecdc_import VALUES (1327, '21/09/2020', '21', '9', '2020', '90', '8', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.31811494');
INSERT INTO public.ecdc_import VALUES (1328, '20/09/2020', '20', '9', '2020', '112', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.22070815');
INSERT INTO public.ecdc_import VALUES (1329, '19/09/2020', '19', '9', '2020', '40', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.09187983');
INSERT INTO public.ecdc_import VALUES (1330, '18/09/2020', '18', '9', '2020', '180', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '3.05417398');
INSERT INTO public.ecdc_import VALUES (1331, '17/09/2020', '17', '9', '2020', '130', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.63940961');
INSERT INTO public.ecdc_import VALUES (1332, '16/09/2020', '16', '9', '2020', '51', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.46659112');
INSERT INTO public.ecdc_import VALUES (1333, '15/09/2020', '15', '9', '2020', '53', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.40060588');
INSERT INTO public.ecdc_import VALUES (1334, '14/09/2020', '14', '9', '2020', '56', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.23407171');
INSERT INTO public.ecdc_import VALUES (1335, '13/09/2020', '13', '9', '2020', '62', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.28748833');
INSERT INTO public.ecdc_import VALUES (1336, '12/09/2020', '12', '9', '2020', '125', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.34404711');
INSERT INTO public.ecdc_import VALUES (1337, '11/09/2020', '11', '9', '2020', '59', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.12723846');
INSERT INTO public.ecdc_import VALUES (1338, '10/09/2020', '10', '9', '2020', '52', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.20265016');
INSERT INTO public.ecdc_import VALUES (1339, '09/09/2020', '9', '9', '2020', '16', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.1932237');
INSERT INTO public.ecdc_import VALUES (1340, '08/09/2020', '8', '9', '2020', '30', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.33462064');
INSERT INTO public.ecdc_import VALUES (1341, '07/09/2020', '7', '9', '2020', '59', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.40060588');
INSERT INTO public.ecdc_import VALUES (1342, '06/09/2020', '6', '9', '2020', '71', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.53886067');
INSERT INTO public.ecdc_import VALUES (1343, '05/09/2020', '5', '9', '2020', '28', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.39117942');
INSERT INTO public.ecdc_import VALUES (1344, '04/09/2020', '4', '9', '2020', '48', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.39432157');
INSERT INTO public.ecdc_import VALUES (1345, '03/09/2020', '3', '9', '2020', '75', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.39746373');
INSERT INTO public.ecdc_import VALUES (1346, '02/09/2020', '2', '9', '2020', '30', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.16180216');
INSERT INTO public.ecdc_import VALUES (1347, '01/09/2020', '1', '9', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.25606679');
INSERT INTO public.ecdc_import VALUES (1348, '31/08/2020', '31', '8', '2020', '73', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.34090495');
INSERT INTO public.ecdc_import VALUES (1349, '30/08/2020', '30', '8', '2020', '80', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.19636585');
INSERT INTO public.ecdc_import VALUES (1350, '29/08/2020', '29', '8', '2020', '56', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.06125322');
INSERT INTO public.ecdc_import VALUES (1351, '28/08/2020', '28', '8', '2020', '83', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.05182676');
INSERT INTO public.ecdc_import VALUES (1352, '27/08/2020', '27', '8', '2020', '49', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.87586612');
INSERT INTO public.ecdc_import VALUES (1353, '26/08/2020', '26', '8', '2020', '61', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.8978612');
INSERT INTO public.ecdc_import VALUES (1354, '25/08/2020', '25', '8', '2020', '51', '4', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.72818486');
INSERT INTO public.ecdc_import VALUES (1355, '24/08/2020', '24', '8', '2020', '103', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.88215042');
INSERT INTO public.ecdc_import VALUES (1356, '23/08/2020', '23', '8', '2020', '24', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.83816026');
INSERT INTO public.ecdc_import VALUES (1357, '22/08/2020', '22', '8', '2020', '29', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.76274856');
INSERT INTO public.ecdc_import VALUES (1358, '21/08/2020', '21', '8', '2020', '49', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.94813566');
INSERT INTO public.ecdc_import VALUES (1359, '20/08/2020', '20', '8', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.95441997');
INSERT INTO public.ecdc_import VALUES (1360, '19/08/2020', '19', '8', '2020', '60', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.52000775');
INSERT INTO public.ecdc_import VALUES (1361, '18/08/2020', '18', '8', '2020', '27', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.33147849');
INSERT INTO public.ecdc_import VALUES (1362, '17/08/2020', '17', '8', '2020', '27', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.29691479');
INSERT INTO public.ecdc_import VALUES (1363, '16/08/2020', '16', '8', '2020', '37', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.31890987');
INSERT INTO public.ecdc_import VALUES (1364, '15/08/2020', '15', '8', '2020', '53', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.21836093');
INSERT INTO public.ecdc_import VALUES (1365, '14/08/2020', '14', '8', '2020', '27', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.14923354');
INSERT INTO public.ecdc_import VALUES (1366, '13/08/2020', '13', '8', '2020', '56', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.30948341');
INSERT INTO public.ecdc_import VALUES (1367, '12/08/2020', '12', '8', '2020', '7', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.29063048');
INSERT INTO public.ecdc_import VALUES (1368, '11/08/2020', '11', '8', '2020', '100', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.32519418');
INSERT INTO public.ecdc_import VALUES (1369, '10/08/2020', '10', '8', '2020', '89', '6', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '2.01726306');
INSERT INTO public.ecdc_import VALUES (1370, '09/08/2020', '9', '8', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.89471904');
INSERT INTO public.ecdc_import VALUES (1371, '08/08/2020', '8', '8', '2020', '88', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.98584152');
INSERT INTO public.ecdc_import VALUES (1372, '07/08/2020', '7', '8', '2020', '51', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.83187596');
INSERT INTO public.ecdc_import VALUES (1373, '06/08/2020', '6', '8', '2020', '180', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.77531718');
INSERT INTO public.ecdc_import VALUES (1374, '05/08/2020', '5', '8', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.30399403');
INSERT INTO public.ecdc_import VALUES (1375, '04/08/2020', '4', '8', '2020', '16', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.30399403');
INSERT INTO public.ecdc_import VALUES (1376, '03/08/2020', '3', '8', '2020', '34', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.39197435');
INSERT INTO public.ecdc_import VALUES (1377, '02/08/2020', '2', '8', '2020', '5', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.34169988');
INSERT INTO public.ecdc_import VALUES (1378, '01/08/2020', '1', '8', '2020', '31', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.47995467');
INSERT INTO public.ecdc_import VALUES (1379, '31/07/2020', '31', '7', '2020', '78', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.47995467');
INSERT INTO public.ecdc_import VALUES (1380, '30/07/2020', '30', '7', '2020', '50', '6', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.33227342');
INSERT INTO public.ecdc_import VALUES (1381, '29/07/2020', '29', '7', '2020', '18', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.33541558');
INSERT INTO public.ecdc_import VALUES (1382, '28/07/2020', '28', '7', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.33855773');
INSERT INTO public.ecdc_import VALUES (1383, '27/07/2020', '27', '7', '2020', '50', '5', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.33227342');
INSERT INTO public.ecdc_import VALUES (1384, '26/07/2020', '26', '7', '2020', '29', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.24743526');
INSERT INTO public.ecdc_import VALUES (1385, '25/07/2020', '25', '7', '2020', '39', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.23486664');
INSERT INTO public.ecdc_import VALUES (1386, '24/07/2020', '24', '7', '2020', '33', '3', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.30713619');
INSERT INTO public.ecdc_import VALUES (1387, '23/07/2020', '23', '7', '2020', '30', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.23486664');
INSERT INTO public.ecdc_import VALUES (1388, '22/07/2020', '22', '7', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.2442931');
INSERT INTO public.ecdc_import VALUES (1389, '21/07/2020', '21', '7', '2020', '44', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.2442931');
INSERT INTO public.ecdc_import VALUES (1390, '20/07/2020', '20', '7', '2020', '18', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.12803339');
INSERT INTO public.ecdc_import VALUES (1391, '19/07/2020', '19', '7', '2020', '49', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '1.07147462');
INSERT INTO public.ecdc_import VALUES (1392, '18/07/2020', '18', '7', '2020', '31', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.97406783');
INSERT INTO public.ecdc_import VALUES (1393, '17/07/2020', '17', '7', '2020', '31', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.91750905');
INSERT INTO public.ecdc_import VALUES (1394, '16/07/2020', '16', '7', '2020', '51', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.89551397');
INSERT INTO public.ecdc_import VALUES (1395, '15/07/2020', '15', '7', '2020', '19', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.75725919');
INSERT INTO public.ecdc_import VALUES (1396, '14/07/2020', '14', '7', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.72269549');
INSERT INTO public.ecdc_import VALUES (1397, '13/07/2020', '13', '7', '2020', '23', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.75097488');
INSERT INTO public.ecdc_import VALUES (1398, '12/07/2020', '12', '7', '2020', '25', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.75097488');
INSERT INTO public.ecdc_import VALUES (1399, '11/07/2020', '11', '7', '2020', '62', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.77296996');
INSERT INTO public.ecdc_import VALUES (1400, '10/07/2020', '10', '7', '2020', '10', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.62528871');
INSERT INTO public.ecdc_import VALUES (1401, '09/07/2020', '9', '7', '2020', '33', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.6190044');
INSERT INTO public.ecdc_import VALUES (1402, '08/07/2020', '8', '7', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.52473977');
INSERT INTO public.ecdc_import VALUES (1403, '07/07/2020', '7', '7', '2020', '7', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.53416623');
INSERT INTO public.ecdc_import VALUES (1404, '06/07/2020', '6', '7', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.53416623');
INSERT INTO public.ecdc_import VALUES (1405, '05/07/2020', '5', '7', '2020', '18', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.54673485');
INSERT INTO public.ecdc_import VALUES (1406, '04/07/2020', '4', '7', '2020', '13', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.509029');
INSERT INTO public.ecdc_import VALUES (1407, '03/07/2020', '3', '7', '2020', '24', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.50274469');
INSERT INTO public.ecdc_import VALUES (1408, '02/07/2020', '2', '7', '2020', '7', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.42733298');
INSERT INTO public.ecdc_import VALUES (1409, '01/07/2020', '1', '7', '2020', '8', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.44618591');
INSERT INTO public.ecdc_import VALUES (1410, '30/06/2020', '30', '6', '2020', '9', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.42104868');
INSERT INTO public.ecdc_import VALUES (1411, '29/06/2020', '29', '6', '2020', '23', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.3990536');
INSERT INTO public.ecdc_import VALUES (1412, '28/06/2020', '28', '6', '2020', '32', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.33306836');
INSERT INTO public.ecdc_import VALUES (1413, '27/06/2020', '27', '6', '2020', '15', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.25765665');
INSERT INTO public.ecdc_import VALUES (1414, '26/06/2020', '26', '6', '2020', '8', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.24823019');
INSERT INTO public.ecdc_import VALUES (1415, '25/06/2020', '25', '6', '2020', '3', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.23880373');
INSERT INTO public.ecdc_import VALUES (1416, '24/06/2020', '24', '6', '2020', '3', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.28279389');
INSERT INTO public.ecdc_import VALUES (1417, '23/06/2020', '23', '6', '2020', '7', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.28593604');
INSERT INTO public.ecdc_import VALUES (1418, '22/06/2020', '22', '6', '2020', '4', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.26708312');
INSERT INTO public.ecdc_import VALUES (1419, '21/06/2020', '21', '6', '2020', '6', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.27022527');
INSERT INTO public.ecdc_import VALUES (1420, '20/06/2020', '20', '6', '2020', '11', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.25137234');
INSERT INTO public.ecdc_import VALUES (1421, '19/06/2020', '19', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.21680865');
INSERT INTO public.ecdc_import VALUES (1422, '18/06/2020', '18', '6', '2020', '13', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.21680865');
INSERT INTO public.ecdc_import VALUES (1423, '17/06/2020', '17', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.17596064');
INSERT INTO public.ecdc_import VALUES (1424, '16/06/2020', '16', '6', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.17596064');
INSERT INTO public.ecdc_import VALUES (1425, '15/06/2020', '15', '6', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.16967633');
INSERT INTO public.ecdc_import VALUES (1426, '14/06/2020', '14', '6', '2020', '8', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.16967633');
INSERT INTO public.ecdc_import VALUES (1427, '13/06/2020', '13', '6', '2020', '12', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.16653418');
INSERT INTO public.ecdc_import VALUES (1428, '12/06/2020', '12', '6', '2020', '5', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.14139694');
INSERT INTO public.ecdc_import VALUES (1429, '11/06/2020', '11', '6', '2020', '17', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.13197048');
INSERT INTO public.ecdc_import VALUES (1430, '10/06/2020', '10', '6', '2020', '4', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.07855386');
INSERT INTO public.ecdc_import VALUES (1431, '09/06/2020', '9', '6', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.07226955');
INSERT INTO public.ecdc_import VALUES (1432, '08/06/2020', '8', '6', '2020', '5', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.06912739');
INSERT INTO public.ecdc_import VALUES (1433, '07/06/2020', '7', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.08169601');
INSERT INTO public.ecdc_import VALUES (1434, '06/06/2020', '6', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.08169601');
INSERT INTO public.ecdc_import VALUES (1435, '05/06/2020', '5', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.08798032');
INSERT INTO public.ecdc_import VALUES (1436, '04/06/2020', '4', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.10683325');
INSERT INTO public.ecdc_import VALUES (1437, '03/06/2020', '3', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.11311755');
INSERT INTO public.ecdc_import VALUES (1438, '02/06/2020', '2', '6', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.11940186');
INSERT INTO public.ecdc_import VALUES (1439, '01/06/2020', '1', '6', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.11940186');
INSERT INTO public.ecdc_import VALUES (1440, '31/05/2020', '31', '5', '2020', '7', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.11311755');
INSERT INTO public.ecdc_import VALUES (1441, '30/05/2020', '30', '5', '2020', '4', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.09112247');
INSERT INTO public.ecdc_import VALUES (1442, '29/05/2020', '29', '5', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.07855386');
INSERT INTO public.ecdc_import VALUES (1443, '28/05/2020', '28', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.08169601');
INSERT INTO public.ecdc_import VALUES (1444, '27/05/2020', '27', '5', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.08169601');
INSERT INTO public.ecdc_import VALUES (1445, '26/05/2020', '26', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0754117');
INSERT INTO public.ecdc_import VALUES (1446, '25/05/2020', '25', '5', '2020', '9', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0754117');
INSERT INTO public.ecdc_import VALUES (1447, '24/05/2020', '24', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05341662');
INSERT INTO public.ecdc_import VALUES (1448, '23/05/2020', '23', '5', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05341662');
INSERT INTO public.ecdc_import VALUES (1449, '22/05/2020', '22', '5', '2020', '6', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.06912739');
INSERT INTO public.ecdc_import VALUES (1450, '21/05/2020', '21', '5', '2020', '2', '1', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05027447');
INSERT INTO public.ecdc_import VALUES (1451, '20/05/2020', '20', '5', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04399016');
INSERT INTO public.ecdc_import VALUES (1452, '19/05/2020', '19', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04084801');
INSERT INTO public.ecdc_import VALUES (1453, '18/05/2020', '18', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04084801');
INSERT INTO public.ecdc_import VALUES (1454, '17/05/2020', '17', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04084801');
INSERT INTO public.ecdc_import VALUES (1455, '16/05/2020', '16', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05970093');
INSERT INTO public.ecdc_import VALUES (1456, '15/05/2020', '15', '5', '2020', '3', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.06598524');
INSERT INTO public.ecdc_import VALUES (1457, '14/05/2020', '14', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05655878');
INSERT INTO public.ecdc_import VALUES (1458, '13/05/2020', '13', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05655878');
INSERT INTO public.ecdc_import VALUES (1459, '12/05/2020', '12', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05655878');
INSERT INTO public.ecdc_import VALUES (1460, '11/05/2020', '11', '5', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05970093');
INSERT INTO public.ecdc_import VALUES (1461, '10/05/2020', '10', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05655878');
INSERT INTO public.ecdc_import VALUES (1462, '09/05/2020', '9', '5', '2020', '7', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05655878');
INSERT INTO public.ecdc_import VALUES (1463, '08/05/2020', '8', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1464, '07/05/2020', '7', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03770585');
INSERT INTO public.ecdc_import VALUES (1465, '06/05/2020', '6', '5', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03770585');
INSERT INTO public.ecdc_import VALUES (1466, '05/05/2020', '5', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1467, '04/05/2020', '4', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1468, '03/05/2020', '3', '5', '2020', '6', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1469, '02/05/2020', '2', '5', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03142154');
INSERT INTO public.ecdc_import VALUES (1470, '01/05/2020', '1', '5', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1471, '30/04/2020', '30', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1472, '29/04/2020', '29', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1473, '28/04/2020', '28', '4', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1474, '27/04/2020', '27', '4', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02199508');
INSERT INTO public.ecdc_import VALUES (1475, '26/04/2020', '26', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.01885293');
INSERT INTO public.ecdc_import VALUES (1476, '25/04/2020', '25', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.01885293');
INSERT INTO public.ecdc_import VALUES (1477, '24/04/2020', '24', '4', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.01885293');
INSERT INTO public.ecdc_import VALUES (1478, '23/04/2020', '23', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.01571077');
INSERT INTO public.ecdc_import VALUES (1479, '22/04/2020', '22', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02199508');
INSERT INTO public.ecdc_import VALUES (1480, '21/04/2020', '21', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1481, '20/04/2020', '20', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03142154');
INSERT INTO public.ecdc_import VALUES (1482, '19/04/2020', '19', '4', '2020', '5', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04399016');
INSERT INTO public.ecdc_import VALUES (1483, '18/04/2020', '18', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1484, '17/04/2020', '17', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1485, '16/04/2020', '16', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.0345637');
INSERT INTO public.ecdc_import VALUES (1486, '15/04/2020', '15', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03770585');
INSERT INTO public.ecdc_import VALUES (1487, '14/04/2020', '14', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03770585');
INSERT INTO public.ecdc_import VALUES (1488, '13/04/2020', '13', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03770585');
INSERT INTO public.ecdc_import VALUES (1489, '12/04/2020', '12', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04713231');
INSERT INTO public.ecdc_import VALUES (1490, '11/04/2020', '11', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04713231');
INSERT INTO public.ecdc_import VALUES (1491, '10/04/2020', '10', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05027447');
INSERT INTO public.ecdc_import VALUES (1492, '09/04/2020', '9', '4', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.05341662');
INSERT INTO public.ecdc_import VALUES (1493, '08/04/2020', '8', '4', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04713231');
INSERT INTO public.ecdc_import VALUES (1494, '07/04/2020', '7', '4', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.04399016');
INSERT INTO public.ecdc_import VALUES (1495, '06/04/2020', '6', '4', '2020', '4', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.03770585');
INSERT INTO public.ecdc_import VALUES (1496, '05/04/2020', '5', '4', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1497, '04/04/2020', '4', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '0.02513723');
INSERT INTO public.ecdc_import VALUES (1498, '03/04/2020', '3', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1499, '02/04/2020', '2', '4', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1500, '01/04/2020', '1', '4', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1501, '31/03/2020', '31', '3', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1502, '30/03/2020', '30', '3', '2020', '3', '2', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1503, '29/03/2020', '29', '3', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1504, '28/03/2020', '28', '3', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1505, '27/03/2020', '27', '3', '2020', '1', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1506, '26/03/2020', '26', '3', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1507, '25/03/2020', '25', '3', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1508, '24/03/2020', '24', '3', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1509, '23/03/2020', '23', '3', '2020', '0', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1510, '22/03/2020', '22', '3', '2020', '2', '0', '31825299', 'Angola', 'AO', 'AGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (1511, '14/12/2020', '14', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '40.34427111');
INSERT INTO public.ecdc_import VALUES (1512, '13/12/2020', '13', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '40.34427111');
INSERT INTO public.ecdc_import VALUES (1513, '12/12/2020', '12', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '40.34427111');
INSERT INTO public.ecdc_import VALUES (1514, '11/12/2020', '11', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '40.34427111');
INSERT INTO public.ecdc_import VALUES (1515, '10/12/2020', '10', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '40.34427111');
INSERT INTO public.ecdc_import VALUES (1516, '09/12/2020', '9', '12', '2020', '1', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '40.34427111');
INSERT INTO public.ecdc_import VALUES (1517, '08/12/2020', '8', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '33.62022593');
INSERT INTO public.ecdc_import VALUES (1518, '07/12/2020', '7', '12', '2020', '2', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '33.62022593');
INSERT INTO public.ecdc_import VALUES (1519, '06/12/2020', '6', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '26.89618074');
INSERT INTO public.ecdc_import VALUES (1520, '05/12/2020', '5', '12', '2020', '1', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '26.89618074');
INSERT INTO public.ecdc_import VALUES (1521, '04/12/2020', '4', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '20.17213556');
INSERT INTO public.ecdc_import VALUES (1522, '03/12/2020', '3', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '20.17213556');
INSERT INTO public.ecdc_import VALUES (1523, '02/12/2020', '2', '12', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '20.17213556');
INSERT INTO public.ecdc_import VALUES (1524, '01/12/2020', '1', '12', '2020', '2', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '20.17213556');
INSERT INTO public.ecdc_import VALUES (1525, '30/11/2020', '30', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1526, '29/11/2020', '29', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1527, '28/11/2020', '28', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1528, '27/11/2020', '27', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1529, '26/11/2020', '26', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1530, '25/11/2020', '25', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1531, '24/11/2020', '24', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1532, '23/11/2020', '23', '11', '2020', '1', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1533, '22/11/2020', '22', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1534, '21/11/2020', '21', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1535, '20/11/2020', '20', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1536, '19/11/2020', '19', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1537, '18/11/2020', '18', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1538, '17/11/2020', '17', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1539, '16/11/2020', '16', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1540, '15/11/2020', '15', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1541, '14/11/2020', '14', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1542, '13/11/2020', '13', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1543, '12/11/2020', '12', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1544, '11/11/2020', '11', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1545, '10/11/2020', '10', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1546, '09/11/2020', '9', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1547, '08/11/2020', '8', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1548, '07/11/2020', '7', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1549, '06/11/2020', '6', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1550, '05/11/2020', '5', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1551, '04/11/2020', '4', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1552, '03/11/2020', '3', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1553, '02/11/2020', '2', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1554, '01/11/2020', '1', '11', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1555, '31/10/2020', '31', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1556, '30/10/2020', '30', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1557, '29/10/2020', '29', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1558, '28/10/2020', '28', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1559, '27/10/2020', '27', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1560, '26/10/2020', '26', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1561, '25/10/2020', '25', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1562, '24/10/2020', '24', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1563, '23/10/2020', '23', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1564, '22/10/2020', '22', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1565, '21/10/2020', '21', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1566, '20/10/2020', '20', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1567, '19/10/2020', '19', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1568, '18/10/2020', '18', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1569, '17/10/2020', '17', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1570, '16/10/2020', '16', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1571, '15/10/2020', '15', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1572, '14/10/2020', '14', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1573, '13/10/2020', '13', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1574, '12/10/2020', '12', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1575, '11/10/2020', '11', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1576, '10/10/2020', '10', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1577, '09/10/2020', '9', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1578, '08/10/2020', '8', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1579, '07/10/2020', '7', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1580, '06/10/2020', '6', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1581, '05/10/2020', '5', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1582, '04/10/2020', '4', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1583, '03/10/2020', '3', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1584, '02/10/2020', '2', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1585, '01/10/2020', '1', '10', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1586, '30/09/2020', '30', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1587, '29/09/2020', '29', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1588, '28/09/2020', '28', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1589, '27/09/2020', '27', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1590, '26/09/2020', '26', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1591, '25/09/2020', '25', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1592, '24/09/2020', '24', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1593, '23/09/2020', '23', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1594, '22/09/2020', '22', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1595, '21/09/2020', '21', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1596, '20/09/2020', '20', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1597, '19/09/2020', '19', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1598, '18/09/2020', '18', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1599, '17/09/2020', '17', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1600, '16/09/2020', '16', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1601, '15/09/2020', '15', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1602, '14/09/2020', '14', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1603, '13/09/2020', '13', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1604, '12/09/2020', '12', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1605, '11/09/2020', '11', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1606, '10/09/2020', '10', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1607, '09/09/2020', '9', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1608, '08/09/2020', '8', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1609, '07/09/2020', '7', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1610, '06/09/2020', '6', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1611, '05/09/2020', '5', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1612, '04/09/2020', '4', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1613, '03/09/2020', '3', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1614, '02/09/2020', '2', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1615, '01/09/2020', '1', '9', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1616, '31/08/2020', '31', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1617, '30/08/2020', '30', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1618, '29/08/2020', '29', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1619, '28/08/2020', '28', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1620, '27/08/2020', '27', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1621, '26/08/2020', '26', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1622, '25/08/2020', '25', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1623, '24/08/2020', '24', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1624, '23/08/2020', '23', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1625, '22/08/2020', '22', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1626, '21/08/2020', '21', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1627, '20/08/2020', '20', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1628, '19/08/2020', '19', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1629, '18/08/2020', '18', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1630, '17/08/2020', '17', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1631, '16/08/2020', '16', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1632, '15/08/2020', '15', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1633, '14/08/2020', '14', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1634, '13/08/2020', '13', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1635, '12/08/2020', '12', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1636, '11/08/2020', '11', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1637, '10/08/2020', '10', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1638, '09/08/2020', '9', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1639, '08/08/2020', '8', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1640, '07/08/2020', '7', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1641, '06/08/2020', '6', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1642, '05/08/2020', '5', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1643, '04/08/2020', '4', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1644, '03/08/2020', '3', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1645, '02/08/2020', '2', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1646, '01/08/2020', '1', '8', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1647, '31/07/2020', '31', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1648, '30/07/2020', '30', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1649, '29/07/2020', '29', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1650, '28/07/2020', '28', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1651, '27/07/2020', '27', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1652, '26/07/2020', '26', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1653, '25/07/2020', '25', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1654, '24/07/2020', '24', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1655, '23/07/2020', '23', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1656, '22/07/2020', '22', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1657, '21/07/2020', '21', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1658, '20/07/2020', '20', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1659, '19/07/2020', '19', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1660, '18/07/2020', '18', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1661, '17/07/2020', '17', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1662, '16/07/2020', '16', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1663, '15/07/2020', '15', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1664, '14/07/2020', '14', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1665, '13/07/2020', '13', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1666, '12/07/2020', '12', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1667, '11/07/2020', '11', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1668, '10/07/2020', '10', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1669, '09/07/2020', '9', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1670, '08/07/2020', '8', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1671, '07/07/2020', '7', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1672, '06/07/2020', '6', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1673, '05/07/2020', '5', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1674, '04/07/2020', '4', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1675, '03/07/2020', '3', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1676, '02/07/2020', '2', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1677, '01/07/2020', '1', '7', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1678, '30/06/2020', '30', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1679, '29/06/2020', '29', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1680, '28/06/2020', '28', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1681, '27/06/2020', '27', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1682, '26/06/2020', '26', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1683, '25/06/2020', '25', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1684, '24/06/2020', '24', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1685, '23/06/2020', '23', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1686, '22/06/2020', '22', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1687, '21/06/2020', '21', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1688, '20/06/2020', '20', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1689, '19/06/2020', '19', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1690, '18/06/2020', '18', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1691, '17/06/2020', '17', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1692, '16/06/2020', '16', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1693, '15/06/2020', '15', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1694, '14/06/2020', '14', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1695, '13/06/2020', '13', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1696, '12/06/2020', '12', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1697, '11/06/2020', '11', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1698, '10/06/2020', '10', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1699, '09/06/2020', '9', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1700, '08/06/2020', '8', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1701, '07/06/2020', '7', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1702, '06/06/2020', '6', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1703, '05/06/2020', '5', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1704, '04/06/2020', '4', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1705, '03/06/2020', '3', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1706, '02/06/2020', '2', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1707, '01/06/2020', '1', '6', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1708, '31/05/2020', '31', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1709, '30/05/2020', '30', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1710, '29/05/2020', '29', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1711, '28/05/2020', '28', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1712, '27/05/2020', '27', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1713, '26/05/2020', '26', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1714, '25/05/2020', '25', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1715, '24/05/2020', '24', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1716, '23/05/2020', '23', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1717, '22/05/2020', '22', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1718, '21/05/2020', '21', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1719, '20/05/2020', '20', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1720, '19/05/2020', '19', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1721, '18/05/2020', '18', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1722, '17/05/2020', '17', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1723, '16/05/2020', '16', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1724, '15/05/2020', '15', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1725, '14/05/2020', '14', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1726, '13/05/2020', '13', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1727, '12/05/2020', '12', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1728, '11/05/2020', '11', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1729, '10/05/2020', '10', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1730, '09/05/2020', '9', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1731, '08/05/2020', '8', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1732, '07/05/2020', '7', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1733, '06/05/2020', '6', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1734, '05/05/2020', '5', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1735, '04/05/2020', '4', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1736, '03/05/2020', '3', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1737, '02/05/2020', '2', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1738, '01/05/2020', '1', '5', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1739, '30/04/2020', '30', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1740, '29/04/2020', '29', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1741, '28/04/2020', '28', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1742, '27/04/2020', '27', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1743, '26/04/2020', '26', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1744, '25/04/2020', '25', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1745, '24/04/2020', '24', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1746, '23/04/2020', '23', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1747, '22/04/2020', '22', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1748, '21/04/2020', '21', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1749, '20/04/2020', '20', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1750, '19/04/2020', '19', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1751, '18/04/2020', '18', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1752, '17/04/2020', '17', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1753, '16/04/2020', '16', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1754, '15/04/2020', '15', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1755, '14/04/2020', '14', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1756, '13/04/2020', '13', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1757, '12/04/2020', '12', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1758, '11/04/2020', '11', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1759, '10/04/2020', '10', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '6.72404519');
INSERT INTO public.ecdc_import VALUES (1760, '09/04/2020', '9', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '20.17213556');
INSERT INTO public.ecdc_import VALUES (1761, '08/04/2020', '8', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1762, '07/04/2020', '7', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1763, '06/04/2020', '6', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1764, '05/04/2020', '5', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1765, '04/04/2020', '4', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1766, '03/04/2020', '3', '4', '2020', '1', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1767, '02/04/2020', '2', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1768, '01/04/2020', '1', '4', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1769, '31/03/2020', '31', '3', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1770, '30/03/2020', '30', '3', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1771, '29/03/2020', '29', '3', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1772, '28/03/2020', '28', '3', '2020', '0', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1773, '27/03/2020', '27', '3', '2020', '2', '0', '14872', 'Anguilla', 'AI', 'AIA', 'America', '');
INSERT INTO public.ecdc_import VALUES (1774, '14/12/2020', '14', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1775, '13/12/2020', '13', '12', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1776, '12/12/2020', '12', '12', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1777, '11/12/2020', '11', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '5.14853524');
INSERT INTO public.ecdc_import VALUES (1778, '10/12/2020', '10', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1779, '09/12/2020', '9', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1780, '08/12/2020', '8', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1781, '07/12/2020', '7', '12', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1782, '06/12/2020', '6', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '5.14853524');
INSERT INTO public.ecdc_import VALUES (1783, '05/12/2020', '5', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '5.14853524');
INSERT INTO public.ecdc_import VALUES (1784, '04/12/2020', '4', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '5.14853524');
INSERT INTO public.ecdc_import VALUES (1785, '03/12/2020', '3', '12', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '5.14853524');
INSERT INTO public.ecdc_import VALUES (1786, '02/12/2020', '2', '12', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1787, '01/12/2020', '1', '12', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1788, '30/11/2020', '30', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1789, '29/11/2020', '29', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1790, '28/11/2020', '28', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1791, '27/11/2020', '27', '11', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1792, '26/11/2020', '26', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1793, '25/11/2020', '25', '11', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1794, '24/11/2020', '24', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1795, '23/11/2020', '23', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1796, '22/11/2020', '22', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1797, '21/11/2020', '21', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1798, '20/11/2020', '20', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1799, '19/11/2020', '19', '11', '2020', '5', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1800, '18/11/2020', '18', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '4.11882819');
INSERT INTO public.ecdc_import VALUES (1801, '17/11/2020', '17', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1802, '16/11/2020', '16', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1803, '15/11/2020', '15', '11', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1804, '14/11/2020', '14', '11', '2020', '2', '1', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1805, '13/11/2020', '13', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1806, '12/11/2020', '12', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1807, '11/11/2020', '11', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1808, '10/11/2020', '10', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1809, '09/11/2020', '9', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1810, '08/11/2020', '8', '11', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (1811, '07/11/2020', '7', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1812, '06/11/2020', '6', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1813, '05/11/2020', '5', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1814, '04/11/2020', '4', '11', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1815, '03/11/2020', '3', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1816, '02/11/2020', '2', '11', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1817, '01/11/2020', '1', '11', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1818, '31/10/2020', '31', '10', '2020', '3', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '15.44560573');
INSERT INTO public.ecdc_import VALUES (1819, '30/10/2020', '30', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1820, '29/10/2020', '29', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1821, '28/10/2020', '28', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '13.38619163');
INSERT INTO public.ecdc_import VALUES (1822, '27/10/2020', '27', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '13.38619163');
INSERT INTO public.ecdc_import VALUES (1823, '26/10/2020', '26', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '13.38619163');
INSERT INTO public.ecdc_import VALUES (1824, '25/10/2020', '25', '10', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '13.38619163');
INSERT INTO public.ecdc_import VALUES (1825, '24/10/2020', '24', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1826, '23/10/2020', '23', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1827, '22/10/2020', '22', '10', '2020', '3', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (1828, '21/10/2020', '21', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1829, '20/10/2020', '20', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1830, '19/10/2020', '19', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1831, '18/10/2020', '18', '10', '2020', '7', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1832, '17/10/2020', '17', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1833, '16/10/2020', '16', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1834, '15/10/2020', '15', '10', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1835, '14/10/2020', '14', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1836, '13/10/2020', '13', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1837, '12/10/2020', '12', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1838, '11/10/2020', '11', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1839, '10/10/2020', '10', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '13.38619163');
INSERT INTO public.ecdc_import VALUES (1840, '09/10/2020', '9', '10', '2020', '3', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '13.38619163');
INSERT INTO public.ecdc_import VALUES (1841, '08/10/2020', '8', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1842, '07/10/2020', '7', '10', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1843, '06/10/2020', '6', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1844, '05/10/2020', '5', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1845, '04/10/2020', '4', '10', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1846, '03/10/2020', '3', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1847, '02/10/2020', '2', '10', '2020', '5', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '11.32677753');
INSERT INTO public.ecdc_import VALUES (1848, '01/10/2020', '1', '10', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1849, '30/09/2020', '30', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1850, '29/09/2020', '29', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1851, '28/09/2020', '28', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1852, '27/09/2020', '27', '9', '2020', '3', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1853, '26/09/2020', '26', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (1854, '25/09/2020', '25', '9', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (1855, '24/09/2020', '24', '9', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1856, '23/09/2020', '23', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1857, '22/09/2020', '22', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1858, '21/09/2020', '21', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1859, '20/09/2020', '20', '9', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1860, '19/09/2020', '19', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1861, '18/09/2020', '18', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1862, '17/09/2020', '17', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1863, '16/09/2020', '16', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1864, '15/09/2020', '15', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1865, '14/09/2020', '14', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1866, '13/09/2020', '13', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1867, '12/09/2020', '12', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1868, '11/09/2020', '11', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1869, '10/09/2020', '10', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1870, '09/09/2020', '9', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1871, '08/09/2020', '8', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1872, '07/09/2020', '7', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1873, '06/09/2020', '6', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1874, '05/09/2020', '5', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1875, '04/09/2020', '4', '9', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1876, '03/09/2020', '3', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1877, '02/09/2020', '2', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1878, '01/09/2020', '1', '9', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1879, '31/08/2020', '31', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1880, '30/08/2020', '30', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1881, '29/08/2020', '29', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1882, '28/08/2020', '28', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1883, '27/08/2020', '27', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1884, '26/08/2020', '26', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1885, '25/08/2020', '25', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1886, '24/08/2020', '24', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1887, '23/08/2020', '23', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1888, '22/08/2020', '22', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1889, '21/08/2020', '21', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1890, '20/08/2020', '20', '8', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1891, '19/08/2020', '19', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1892, '18/08/2020', '18', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1893, '17/08/2020', '17', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1894, '16/08/2020', '16', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1895, '15/08/2020', '15', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1896, '14/08/2020', '14', '8', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1897, '13/08/2020', '13', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1898, '12/08/2020', '12', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1899, '11/08/2020', '11', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1900, '10/08/2020', '10', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1901, '09/08/2020', '9', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1902, '08/08/2020', '8', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '10.29707048');
INSERT INTO public.ecdc_import VALUES (1903, '07/08/2020', '7', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (1904, '06/08/2020', '6', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (1905, '05/08/2020', '5', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (1906, '04/08/2020', '4', '8', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (1907, '03/08/2020', '3', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '15.44560573');
INSERT INTO public.ecdc_import VALUES (1908, '02/08/2020', '2', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '15.44560573');
INSERT INTO public.ecdc_import VALUES (1909, '01/08/2020', '1', '8', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '15.44560573');
INSERT INTO public.ecdc_import VALUES (1910, '31/07/2020', '31', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '17.50501982');
INSERT INTO public.ecdc_import VALUES (1911, '30/07/2020', '30', '7', '2020', '5', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '17.50501982');
INSERT INTO public.ecdc_import VALUES (1912, '29/07/2020', '29', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1913, '28/07/2020', '28', '7', '2020', '4', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (1914, '27/07/2020', '27', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1915, '26/07/2020', '26', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1916, '25/07/2020', '25', '7', '2020', '6', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1917, '24/07/2020', '24', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (1918, '23/07/2020', '23', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (1919, '22/07/2020', '22', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1920, '21/07/2020', '21', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1921, '20/07/2020', '20', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1922, '19/07/2020', '19', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1923, '18/07/2020', '18', '7', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1924, '17/07/2020', '17', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '6.17824229');
INSERT INTO public.ecdc_import VALUES (1925, '16/07/2020', '16', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1926, '15/07/2020', '15', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1927, '14/07/2020', '14', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1928, '13/07/2020', '13', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1929, '12/07/2020', '12', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1930, '11/07/2020', '11', '7', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (1931, '10/07/2020', '10', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1932, '09/07/2020', '9', '7', '2020', '3', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (1933, '08/07/2020', '8', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '45.30711013');
INSERT INTO public.ecdc_import VALUES (1934, '07/07/2020', '7', '7', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '45.30711013');
INSERT INTO public.ecdc_import VALUES (1935, '06/07/2020', '6', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '43.24769603');
INSERT INTO public.ecdc_import VALUES (1936, '05/07/2020', '5', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '43.24769603');
INSERT INTO public.ecdc_import VALUES (1937, '04/07/2020', '4', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '43.24769603');
INSERT INTO public.ecdc_import VALUES (1938, '03/07/2020', '3', '7', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '43.24769603');
INSERT INTO public.ecdc_import VALUES (1939, '02/07/2020', '2', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '41.18828193');
INSERT INTO public.ecdc_import VALUES (1940, '01/07/2020', '1', '7', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '41.18828193');
INSERT INTO public.ecdc_import VALUES (1941, '30/06/2020', '30', '6', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '41.18828193');
INSERT INTO public.ecdc_import VALUES (1942, '29/06/2020', '29', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '40.15857489');
INSERT INTO public.ecdc_import VALUES (1943, '28/06/2020', '28', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '40.15857489');
INSERT INTO public.ecdc_import VALUES (1944, '27/06/2020', '27', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '40.15857489');
INSERT INTO public.ecdc_import VALUES (1945, '26/06/2020', '26', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '40.15857489');
INSERT INTO public.ecdc_import VALUES (1946, '25/06/2020', '25', '6', '2020', '39', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '40.15857489');
INSERT INTO public.ecdc_import VALUES (1947, '24/06/2020', '24', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1948, '23/06/2020', '23', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1949, '22/06/2020', '22', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1950, '21/06/2020', '21', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1951, '20/06/2020', '20', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1952, '19/06/2020', '19', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1953, '18/06/2020', '18', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1954, '17/06/2020', '17', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1955, '16/06/2020', '16', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1956, '15/06/2020', '15', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1957, '14/06/2020', '14', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1958, '13/06/2020', '13', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1959, '12/06/2020', '12', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1960, '11/06/2020', '11', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1961, '10/06/2020', '10', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1962, '09/06/2020', '9', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1963, '08/06/2020', '8', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1964, '07/06/2020', '7', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1965, '06/06/2020', '6', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1966, '05/06/2020', '5', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1967, '04/06/2020', '4', '6', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1968, '03/06/2020', '3', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1969, '02/06/2020', '2', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1970, '01/06/2020', '1', '6', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1971, '31/05/2020', '31', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1972, '30/05/2020', '30', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1973, '29/05/2020', '29', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1974, '28/05/2020', '28', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1975, '27/05/2020', '27', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1976, '26/05/2020', '26', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1977, '25/05/2020', '25', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1978, '24/05/2020', '24', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1979, '23/05/2020', '23', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1980, '22/05/2020', '22', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1981, '21/05/2020', '21', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1982, '20/05/2020', '20', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1983, '19/05/2020', '19', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1984, '18/05/2020', '18', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1985, '17/05/2020', '17', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1986, '16/05/2020', '16', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '0');
INSERT INTO public.ecdc_import VALUES (1987, '15/05/2020', '15', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1988, '14/05/2020', '14', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1989, '13/05/2020', '13', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1990, '12/05/2020', '12', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1991, '11/05/2020', '11', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1992, '10/05/2020', '10', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1993, '09/05/2020', '9', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1994, '08/05/2020', '8', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1995, '07/05/2020', '7', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1996, '06/05/2020', '6', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (1997, '05/05/2020', '5', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1998, '04/05/2020', '4', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (1999, '03/05/2020', '3', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (2000, '02/05/2020', '2', '5', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '2.0594141');
INSERT INTO public.ecdc_import VALUES (2001, '01/05/2020', '1', '5', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (2002, '30/04/2020', '30', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (2003, '29/04/2020', '29', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (2004, '28/04/2020', '28', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '1.02970705');
INSERT INTO public.ecdc_import VALUES (2005, '27/04/2020', '27', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (2006, '26/04/2020', '26', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (2007, '25/04/2020', '25', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '3.08912115');
INSERT INTO public.ecdc_import VALUES (2008, '24/04/2020', '24', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '5.14853524');
INSERT INTO public.ecdc_import VALUES (2009, '23/04/2020', '23', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (2010, '22/04/2020', '22', '4', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '9.26736344');
INSERT INTO public.ecdc_import VALUES (2011, '21/04/2020', '21', '4', '2020', '0', '1', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (2012, '20/04/2020', '20', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (2013, '19/04/2020', '19', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (2014, '18/04/2020', '18', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (2015, '17/04/2020', '17', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2016, '16/04/2020', '16', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (2017, '15/04/2020', '15', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (2018, '14/04/2020', '14', '4', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '16.47531277');
INSERT INTO public.ecdc_import VALUES (2019, '13/04/2020', '13', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2020, '12/04/2020', '12', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2021, '11/04/2020', '11', '4', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2022, '10/04/2020', '10', '4', '2020', '4', '2', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (2023, '09/04/2020', '9', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (2024, '08/04/2020', '8', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '12.35648458');
INSERT INTO public.ecdc_import VALUES (2025, '07/04/2020', '7', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2026, '06/04/2020', '6', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2027, '05/04/2020', '5', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2028, '04/04/2020', '4', '4', '2020', '6', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '14.41589868');
INSERT INTO public.ecdc_import VALUES (2029, '03/04/2020', '3', '4', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '8.23765639');
INSERT INTO public.ecdc_import VALUES (2030, '02/04/2020', '2', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '7.20794934');
INSERT INTO public.ecdc_import VALUES (2031, '01/04/2020', '1', '4', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2032, '31/03/2020', '31', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2033, '30/03/2020', '30', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2034, '29/03/2020', '29', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2035, '28/03/2020', '28', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2036, '27/03/2020', '27', '3', '2020', '4', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2037, '26/03/2020', '26', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2038, '25/03/2020', '25', '3', '2020', '2', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2039, '24/03/2020', '24', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2040, '23/03/2020', '23', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2041, '22/03/2020', '22', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2042, '21/03/2020', '21', '3', '2020', '0', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2043, '15/03/2020', '15', '3', '2020', '1', '0', '97115', 'Antigua_and_Barbuda', 'AG', 'ATG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2044, '14/12/2020', '14', '12', '2020', '3558', '98', '44780675', 'Argentina', 'AR', 'ARG', 'America', '177.23270138');
INSERT INTO public.ecdc_import VALUES (2045, '13/12/2020', '13', '12', '2020', '5274', '62', '44780675', 'Argentina', 'AR', 'ARG', 'America', '181.41754228');
INSERT INTO public.ecdc_import VALUES (2046, '12/12/2020', '12', '12', '2020', '7112', '175', '44780675', 'Argentina', 'AR', 'ARG', 'America', '183.25762173');
INSERT INTO public.ecdc_import VALUES (2047, '11/12/2020', '11', '12', '2020', '6994', '209', '44780675', 'Argentina', 'AR', 'ARG', 'America', '184.89672163');
INSERT INTO public.ecdc_import VALUES (2048, '10/12/2020', '10', '12', '2020', '5303', '213', '44780675', 'Argentina', 'AR', 'ARG', 'America', '189.4723561');
INSERT INTO public.ecdc_import VALUES (2049, '09/12/2020', '9', '12', '2020', '3610', '121', '44780675', 'Argentina', 'AR', 'ARG', 'America', '196.81927528');
INSERT INTO public.ecdc_import VALUES (2050, '08/12/2020', '8', '12', '2020', '3216', '118', '44780675', 'Argentina', 'AR', 'ARG', 'America', '205.35867313');
INSERT INTO public.ecdc_import VALUES (2051, '07/12/2020', '7', '12', '2020', '3278', '138', '44780675', 'Argentina', 'AR', 'ARG', 'America', '207.10496213');
INSERT INTO public.ecdc_import VALUES (2052, '06/12/2020', '6', '12', '2020', '5201', '120', '44780675', 'Argentina', 'AR', 'ARG', 'America', '209.12145697');
INSERT INTO public.ecdc_import VALUES (2053, '05/12/2020', '5', '12', '2020', '6899', '207', '44780675', 'Argentina', 'AR', 'ARG', 'America', '213.45814908');
INSERT INTO public.ecdc_import VALUES (2054, '04/12/2020', '4', '12', '2020', '7625', '149', '44780675', 'Argentina', 'AR', 'ARG', 'America', '219.4719039');
INSERT INTO public.ecdc_import VALUES (2055, '03/12/2020', '3', '12', '2020', '7535', '228', '44780675', 'Argentina', 'AR', 'ARG', 'America', '225.02117264');
INSERT INTO public.ecdc_import VALUES (2056, '02/12/2020', '2', '12', '2020', '8037', '198', '44780675', 'Argentina', 'AR', 'ARG', 'America', '231.26717049');
INSERT INTO public.ecdc_import VALUES (2057, '01/12/2020', '1', '12', '2020', '5724', '257', '44780675', 'Argentina', 'AR', 'ARG', 'America', '237.03751674');
INSERT INTO public.ecdc_import VALUES (2058, '30/11/2020', '30', '11', '2020', '5432', '164', '44780675', 'Argentina', 'AR', 'ARG', 'America', '241.88559016');
INSERT INTO public.ecdc_import VALUES (2059, '29/11/2020', '29', '11', '2020', '6098', '106', '44780675', 'Argentina', 'AR', 'ARG', 'America', '242.36124176');
INSERT INTO public.ecdc_import VALUES (2060, '28/11/2020', '28', '11', '2020', '7846', '262', '44780675', 'Argentina', 'AR', 'ARG', 'America', '247.6537033');
INSERT INTO public.ecdc_import VALUES (2061, '27/11/2020', '27', '11', '2020', '9043', '240', '44780675', 'Argentina', 'AR', 'ARG', 'America', '256.61515821');
INSERT INTO public.ecdc_import VALUES (2062, '26/11/2020', '26', '11', '2020', '8593', '269', '44780675', 'Argentina', 'AR', 'ARG', 'America', '261.34711011');
INSERT INTO public.ecdc_import VALUES (2063, '25/11/2020', '25', '11', '2020', '7434', '310', '44780675', 'Argentina', 'AR', 'ARG', 'America', '266.45422384');
INSERT INTO public.ecdc_import VALUES (2064, '24/11/2020', '24', '11', '2020', '3998', '120', '44780675', 'Argentina', 'AR', 'ARG', 'America', '276.59699189');
INSERT INTO public.ecdc_import VALUES (2065, '23/11/2020', '23', '11', '2020', '4181', '100', '44780675', 'Argentina', 'AR', 'ARG', 'America', '286.24177728');
INSERT INTO public.ecdc_import VALUES (2066, '22/11/2020', '22', '11', '2020', '7143', '112', '44780675', 'Argentina', 'AR', 'ARG', 'America', '288.80984934');
INSERT INTO public.ecdc_import VALUES (2067, '21/11/2020', '21', '11', '2020', '9592', '258', '44780675', 'Argentina', 'AR', 'ARG', 'America', '290.80624622');
INSERT INTO public.ecdc_import VALUES (2068, '20/11/2020', '20', '11', '2020', '10110', '185', '44780675', 'Argentina', 'AR', 'ARG', 'America', '295.70568108');
INSERT INTO public.ecdc_import VALUES (2069, '19/11/2020', '19', '11', '2020', '10332', '241', '44780675', 'Argentina', 'AR', 'ARG', 'America', '297.91645615');
INSERT INTO public.ecdc_import VALUES (2070, '18/11/2020', '18', '11', '2020', '10621', '379', '44780675', 'Argentina', 'AR', 'ARG', 'America', '298.63105011');
INSERT INTO public.ecdc_import VALUES (2071, '17/11/2020', '17', '11', '2020', '7895', '291', '44780675', 'Argentina', 'AR', 'ARG', 'America', '302.03430386');
INSERT INTO public.ecdc_import VALUES (2072, '16/11/2020', '16', '11', '2020', '5645', '129', '44780675', 'Argentina', 'AR', 'ARG', 'America', '305.83728361');
INSERT INTO public.ecdc_import VALUES (2073, '15/11/2020', '15', '11', '2020', '8468', '262', '44780675', 'Argentina', 'AR', 'ARG', 'America', '307.98999792');
INSERT INTO public.ecdc_import VALUES (2074, '14/11/2020', '14', '11', '2020', '11859', '263', '44780675', 'Argentina', 'AR', 'ARG', 'America', '310.84167445');
INSERT INTO public.ecdc_import VALUES (2075, '13/11/2020', '13', '11', '2020', '11162', '251', '44780675', 'Argentina', 'AR', 'ARG', 'America', '315.52226491');
INSERT INTO public.ecdc_import VALUES (2076, '12/11/2020', '12', '11', '2020', '10880', '348', '44780675', 'Argentina', 'AR', 'ARG', 'America', '318.93668418');
INSERT INTO public.ecdc_import VALUES (2077, '11/11/2020', '11', '11', '2020', '11976', '276', '44780675', 'Argentina', 'AR', 'ARG', 'America', '325.73425925');
INSERT INTO public.ecdc_import VALUES (2078, '10/11/2020', '10', '11', '2020', '8317', '347', '44780675', 'Argentina', 'AR', 'ARG', 'America', '330.94186276');
INSERT INTO public.ecdc_import VALUES (2079, '09/11/2020', '9', '11', '2020', '5331', '212', '44780675', 'Argentina', 'AR', 'ARG', 'America', '338.52325808');
INSERT INTO public.ecdc_import VALUES (2080, '08/11/2020', '8', '11', '2020', '8037', '212', '44780675', 'Argentina', 'AR', 'ARG', 'America', '347.28150033');
INSERT INTO public.ecdc_import VALUES (2081, '07/11/2020', '7', '11', '2020', '11786', '370', '44780675', 'Argentina', 'AR', 'ARG', 'America', '356.05984055');
INSERT INTO public.ecdc_import VALUES (2082, '06/11/2020', '6', '11', '2020', '11100', '246', '44780675', 'Argentina', 'AR', 'ARG', 'America', '364.84041386');
INSERT INTO public.ecdc_import VALUES (2083, '05/11/2020', '5', '11', '2020', '10652', '468', '44780675', 'Argentina', 'AR', 'ARG', 'America', '376.50839341');
INSERT INTO public.ecdc_import VALUES (2084, '04/11/2020', '4', '11', '2020', '12145', '429', '44780675', 'Argentina', 'AR', 'ARG', 'America', '393.64524988');
INSERT INTO public.ecdc_import VALUES (2085, '03/11/2020', '3', '11', '2020', '9598', '483', '44780675', 'Argentina', 'AR', 'ARG', 'America', '403.00643079');
INSERT INTO public.ecdc_import VALUES (2086, '02/11/2020', '2', '11', '2020', '6609', '138', '44780675', 'Argentina', 'AR', 'ARG', 'America', '410.56326194');
INSERT INTO public.ecdc_import VALUES (2087, '01/11/2020', '1', '11', '2020', '9745', '210', '44780675', 'Argentina', 'AR', 'ARG', 'America', '419.38849738');
INSERT INTO public.ecdc_import VALUES (2088, '31/10/2020', '31', '10', '2020', '13955', '350', '44780675', 'Argentina', 'AR', 'ARG', 'America', '427.79614197');
INSERT INTO public.ecdc_import VALUES (2089, '30/10/2020', '30', '10', '2020', '12691', '371', '44780675', 'Argentina', 'AR', 'ARG', 'America', '433.58211997');
INSERT INTO public.ecdc_import VALUES (2090, '29/10/2020', '29', '10', '2020', '13924', '341', '44780675', 'Argentina', 'AR', 'ARG', 'America', '443.41895248');
INSERT INTO public.ecdc_import VALUES (2091, '28/10/2020', '28', '10', '2020', '14308', '429', '44780675', 'Argentina', 'AR', 'ARG', 'America', '445.66992347');
INSERT INTO public.ecdc_import VALUES (2092, '27/10/2020', '27', '10', '2020', '11712', '405', '44780675', 'Argentina', 'AR', 'ARG', 'America', '443.43011801');
INSERT INTO public.ecdc_import VALUES (2093, '26/10/2020', '26', '10', '2020', '9253', '283', '44780675', 'Argentina', 'AR', 'ARG', 'America', '438.54408179');
INSERT INTO public.ecdc_import VALUES (2094, '25/10/2020', '25', '10', '2020', '11968', '275', '44780675', 'Argentina', 'AR', 'ARG', 'America', '440.90447498');
INSERT INTO public.ecdc_import VALUES (2095, '24/10/2020', '24', '10', '2020', '15718', '381', '44780675', 'Argentina', 'AR', 'ARG', 'America', '441.9317038');
INSERT INTO public.ecdc_import VALUES (2096, '23/10/2020', '23', '10', '2020', '16325', '438', '44780675', 'Argentina', 'AR', 'ARG', 'America', '440.5494111');
INSERT INTO public.ecdc_import VALUES (2097, '22/10/2020', '22', '10', '2020', '18326', '419', '44780675', 'Argentina', 'AR', 'ARG', 'America', '438.60437566');
INSERT INTO public.ecdc_import VALUES (2098, '21/10/2020', '21', '10', '2020', '16337', '384', '44780675', 'Argentina', 'AR', 'ARG', 'America', '434.40836924');
INSERT INTO public.ecdc_import VALUES (2099, '20/10/2020', '20', '10', '2020', '12982', '449', '44780675', 'Argentina', 'AR', 'ARG', 'America', '430.84209874');
INSERT INTO public.ecdc_import VALUES (2100, '19/10/2020', '19', '10', '2020', '10561', '160', '44780675', 'Argentina', 'AR', 'ARG', 'America', '426.95649407');
INSERT INTO public.ecdc_import VALUES (2101, '18/10/2020', '18', '10', '2020', '13510', '384', '44780675', 'Argentina', 'AR', 'ARG', 'America', '420.49611802');
INSERT INTO public.ecdc_import VALUES (2102, '17/10/2020', '17', '10', '2020', '16546', '381', '44780675', 'Argentina', 'AR', 'ARG', 'America', '415.17909232');
INSERT INTO public.ecdc_import VALUES (2103, '16/10/2020', '16', '10', '2020', '17096', '421', '44780675', 'Argentina', 'AR', 'ARG', 'America', '411.02774802');
INSERT INTO public.ecdc_import VALUES (2104, '15/10/2020', '15', '10', '2020', '14932', '349', '44780675', 'Argentina', 'AR', 'ARG', 'America', '404.11628454');
INSERT INTO public.ecdc_import VALUES (2105, '14/10/2020', '14', '10', '2020', '13305', '386', '44780675', 'Argentina', 'AR', 'ARG', 'America', '402.91040722');
INSERT INTO public.ecdc_import VALUES (2106, '13/10/2020', '13', '10', '2020', '9524', '318', '44780675', 'Argentina', 'AR', 'ARG', 'America', '403.29450148');
INSERT INTO public.ecdc_import VALUES (2107, '12/10/2020', '12', '10', '2020', '10310', '287', '44780675', 'Argentina', 'AR', 'ARG', 'America', '408.39268278');
INSERT INTO public.ecdc_import VALUES (2108, '11/10/2020', '11', '10', '2020', '12428', '356', '44780675', 'Argentina', 'AR', 'ARG', 'America', '405.11224987');
INSERT INTO public.ecdc_import VALUES (2109, '10/10/2020', '10', '10', '2020', '15099', '515', '44780675', 'Argentina', 'AR', 'ARG', 'America', '402.47941774');
INSERT INTO public.ecdc_import VALUES (2110, '09/10/2020', '9', '10', '2020', '15454', '484', '44780675', 'Argentina', 'AR', 'ARG', 'America', '397.6938713');
INSERT INTO public.ecdc_import VALUES (2111, '08/10/2020', '8', '10', '2020', '16447', '399', '44780675', 'Argentina', 'AR', 'ARG', 'America', '393.25668941');
INSERT INTO public.ecdc_import VALUES (2112, '07/10/2020', '7', '10', '2020', '14740', '359', '44780675', 'Argentina', 'AR', 'ARG', 'America', '384.75078815');
INSERT INTO public.ecdc_import VALUES (2113, '06/10/2020', '6', '10', '2020', '11242', '450', '44780675', 'Argentina', 'AR', 'ARG', 'America', '378.69237121');
INSERT INTO public.ecdc_import VALUES (2114, '05/10/2020', '5', '10', '2020', '7668', '223', '44780675', 'Argentina', 'AR', 'ARG', 'America', '392.02624793');
INSERT INTO public.ecdc_import VALUES (2115, '04/10/2020', '4', '10', '2020', '11129', '196', '44780675', 'Argentina', 'AR', 'ARG', 'America', '395.61708259');
INSERT INTO public.ecdc_import VALUES (2116, '03/10/2020', '3', '10', '2020', '14687', '311', '44780675', 'Argentina', 'AR', 'ARG', 'America', '397.4392972');
INSERT INTO public.ecdc_import VALUES (2117, '02/10/2020', '2', '10', '2020', '14001', '3351', '44780675', 'Argentina', 'AR', 'ARG', 'America', '393.00434842');
INSERT INTO public.ecdc_import VALUES (2118, '01/10/2020', '1', '10', '2020', '14392', '418', '44780675', 'Argentina', 'AR', 'ARG', 'America', '387.80791044');
INSERT INTO public.ecdc_import VALUES (2119, '30/09/2020', '30', '9', '2020', '13477', '406', '44780675', 'Argentina', 'AR', 'ARG', 'America', '382.22737822');
INSERT INTO public.ecdc_import VALUES (2120, '29/09/2020', '29', '9', '2020', '11807', '364', '44780675', 'Argentina', 'AR', 'ARG', 'America', '374.25742243');
INSERT INTO public.ecdc_import VALUES (2121, '28/09/2020', '28', '9', '2020', '8841', '206', '44780675', 'Argentina', 'AR', 'ARG', 'America', '368.11414745');
INSERT INTO public.ecdc_import VALUES (2122, '27/09/2020', '27', '9', '2020', '11249', '335', '44780675', 'Argentina', 'AR', 'ARG', 'America', '372.43967403');
INSERT INTO public.ecdc_import VALUES (2123, '26/09/2020', '26', '9', '2020', '12956', '442', '44780675', 'Argentina', 'AR', 'ARG', 'America', '373.0113492');
INSERT INTO public.ecdc_import VALUES (2124, '25/09/2020', '25', '9', '2020', '13467', '390', '44780675', 'Argentina', 'AR', 'ARG', 'America', '370.66435466');
INSERT INTO public.ecdc_import VALUES (2125, '24/09/2020', '24', '9', '2020', '12638', '424', '44780675', 'Argentina', 'AR', 'ARG', 'America', '367.96676245');
INSERT INTO public.ecdc_import VALUES (2126, '23/09/2020', '23', '9', '2020', '12027', '470', '44780675', 'Argentina', 'AR', 'ARG', 'America', '366.6023346');
INSERT INTO public.ecdc_import VALUES (2127, '22/09/2020', '22', '9', '2020', '17213', '573', '44780675', 'Argentina', 'AR', 'ARG', 'America', '360.32284015');
INSERT INTO public.ecdc_import VALUES (2128, '21/09/2020', '21', '9', '2020', '9276', '204', '44780675', 'Argentina', 'AR', 'ARG', 'America', '337.48486373');
INSERT INTO public.ecdc_import VALUES (2129, '20/09/2020', '20', '9', '2020', '11945', '214', '44780675', 'Argentina', 'AR', 'ARG', 'America', '338.9319165');
INSERT INTO public.ecdc_import VALUES (2130, '19/09/2020', '19', '9', '2020', '12701', '262', '44780675', 'Argentina', 'AR', 'ARG', 'America', '336.11596967');
INSERT INTO public.ecdc_import VALUES (2131, '18/09/2020', '18', '9', '2020', '11674', '319', '44780675', 'Argentina', 'AR', 'ARG', 'America', '334.60862303');
INSERT INTO public.ecdc_import VALUES (2132, '17/09/2020', '17', '9', '2020', '11893', '200', '44780675', 'Argentina', 'AR', 'ARG', 'America', '332.95389138');
INSERT INTO public.ecdc_import VALUES (2133, '16/09/2020', '16', '9', '2020', '9908', '298', '44780675', 'Argentina', 'AR', 'ARG', 'America', '329.85210696');
INSERT INTO public.ecdc_import VALUES (2134, '15/09/2020', '15', '9', '2020', '9056', '105', '44780675', 'Argentina', 'AR', 'ARG', 'America', '328.51447639');
INSERT INTO public.ecdc_import VALUES (2135, '14/09/2020', '14', '9', '2020', '10778', '101', '44780675', 'Argentina', 'AR', 'ARG', 'America', '324.34080103');
INSERT INTO public.ecdc_import VALUES (2136, '13/09/2020', '13', '9', '2020', '11505', '212', '44780675', 'Argentina', 'AR', 'ARG', 'America', '320.85492235');
INSERT INTO public.ecdc_import VALUES (2137, '12/09/2020', '12', '9', '2020', '11905', '281', '44780675', 'Argentina', 'AR', 'ARG', 'America', '321.35737123');
INSERT INTO public.ecdc_import VALUES (2138, '11/09/2020', '11', '9', '2020', '12259', '256', '44780675', 'Argentina', 'AR', 'ARG', 'America', '317.33554709');
INSERT INTO public.ecdc_import VALUES (2139, '10/09/2020', '10', '9', '2020', '12027', '278', '44780675', 'Argentina', 'AR', 'ARG', 'America', '313.5191687');
INSERT INTO public.ecdc_import VALUES (2140, '09/09/2020', '9', '9', '2020', '9215', '267', '44780675', 'Argentina', 'AR', 'ARG', 'America', '306.24817513');
INSERT INTO public.ecdc_import VALUES (2141, '08/09/2020', '8', '9', '2020', '6986', '105', '44780675', 'Argentina', 'AR', 'ARG', 'America', '305.12715585');
INSERT INTO public.ecdc_import VALUES (2142, '07/09/2020', '7', '9', '2020', '9924', '122', '44780675', 'Argentina', 'AR', 'ARG', 'America', '301.47826043');
INSERT INTO public.ecdc_import VALUES (2143, '06/09/2020', '6', '9', '2020', '10684', '217', '44780675', 'Argentina', 'AR', 'ARG', 'America', '296.64358565');
INSERT INTO public.ecdc_import VALUES (2144, '05/09/2020', '5', '9', '2020', '12026', '313', '44780675', 'Argentina', 'AR', 'ARG', 'America', '291.00499267');
INSERT INTO public.ecdc_import VALUES (2145, '04/09/2020', '4', '9', '2020', '10933', '184', '44780675', 'Argentina', 'AR', 'ARG', 'America', '282.51695625');
INSERT INTO public.ecdc_import VALUES (2146, '03/09/2020', '3', '9', '2020', '10504', '241', '44780675', 'Argentina', 'AR', 'ARG', 'America', '273.04858625');
INSERT INTO public.ecdc_import VALUES (2147, '02/09/2020', '2', '9', '2020', '9309', '232', '44780675', 'Argentina', 'AR', 'ARG', 'America', '264.86648538');
INSERT INTO public.ecdc_import VALUES (2148, '01/09/2020', '1', '9', '2020', '7187', '97', '44780675', 'Argentina', 'AR', 'ARG', 'America', '254.25476503');
INSERT INTO public.ecdc_import VALUES (2149, '31/08/2020', '31', '8', '2020', '9217', '96', '44780675', 'Argentina', 'AR', 'ARG', 'America', '250.41828869');
INSERT INTO public.ecdc_import VALUES (2150, '30/08/2020', '30', '8', '2020', '11730', '176', '44780675', 'Argentina', 'AR', 'ARG', 'America', '244.71493563');
INSERT INTO public.ecdc_import VALUES (2151, '29/08/2020', '29', '8', '2020', '10104', '185', '44780675', 'Argentina', 'AR', 'ARG', 'America', '232.73432122');
INSERT INTO public.ecdc_import VALUES (2152, '28/08/2020', '28', '8', '2020', '10550', '283', '44780675', 'Argentina', 'AR', 'ARG', 'America', '226.91484664');
INSERT INTO public.ecdc_import VALUES (2153, '27/08/2020', '27', '8', '2020', '8771', '259', '44780675', 'Argentina', 'AR', 'ARG', 'America', '220.46786923');
INSERT INTO public.ecdc_import VALUES (2154, '26/08/2020', '26', '8', '2020', '8713', '323', '44780675', 'Argentina', 'AR', 'ARG', 'America', '216.60906183');
INSERT INTO public.ecdc_import VALUES (2155, '25/08/2020', '25', '8', '2020', '5352', '231', '44780675', 'Argentina', 'AR', 'ARG', 'America', '213.60776719');
INSERT INTO public.ecdc_import VALUES (2156, '24/08/2020', '24', '8', '2020', '7759', '53', '44780675', 'Argentina', 'AR', 'ARG', 'America', '212.12498472');
INSERT INTO public.ecdc_import VALUES (2157, '23/08/2020', '23', '8', '2020', '8159', '228', '44780675', 'Argentina', 'AR', 'ARG', 'America', '208.49618725');
INSERT INTO public.ecdc_import VALUES (2158, '22/08/2020', '22', '8', '2020', '8225', '161', '44780675', 'Argentina', 'AR', 'ARG', 'America', '206.9843744');
INSERT INTO public.ecdc_import VALUES (2159, '21/08/2020', '21', '8', '2020', '6693', '292', '44780675', 'Argentina', 'AR', 'ARG', 'America', '205.39440283');
INSERT INTO public.ecdc_import VALUES (2160, '20/08/2020', '20', '8', '2020', '6840', '237', '44780675', 'Argentina', 'AR', 'ARG', 'America', '206.40823302');
INSERT INTO public.ecdc_import VALUES (2161, '19/08/2020', '19', '8', '2020', '4557', '127', '44780675', 'Argentina', 'AR', 'ARG', 'America', '206.30104392');
INSERT INTO public.ecdc_import VALUES (2162, '18/08/2020', '18', '8', '2020', '5469', '93', '44780675', 'Argentina', 'AR', 'ARG', 'America', '206.89728326');
INSERT INTO public.ecdc_import VALUES (2163, '17/08/2020', '17', '8', '2020', '6663', '92', '44780675', 'Argentina', 'AR', 'ARG', 'America', '206.68960439');
INSERT INTO public.ecdc_import VALUES (2164, '16/08/2020', '16', '8', '2020', '6365', '137', '44780675', 'Argentina', 'AR', 'ARG', 'America', '203.51412747');
INSERT INTO public.ecdc_import VALUES (2165, '15/08/2020', '15', '8', '2020', '7498', '182', '44780675', 'Argentina', 'AR', 'ARG', 'America', '202.54049319');
INSERT INTO public.ecdc_import VALUES (2166, '14/08/2020', '14', '8', '2020', '7663', '158', '44780675', 'Argentina', 'AR', 'ARG', 'America', '200.03718122');
INSERT INTO public.ecdc_import VALUES (2167, '13/08/2020', '13', '8', '2020', '7043', '303', '44780675', 'Argentina', 'AR', 'ARG', 'America', '195.52184062');
INSERT INTO public.ecdc_import VALUES (2168, '12/08/2020', '12', '8', '2020', '7369', '151', '44780675', 'Argentina', 'AR', 'ARG', 'America', '193.05649144');
INSERT INTO public.ecdc_import VALUES (2169, '11/08/2020', '11', '8', '2020', '4688', '78', '44780675', 'Argentina', 'AR', 'ARG', 'America', '187.52062134');
INSERT INTO public.ecdc_import VALUES (2170, '10/08/2020', '10', '8', '2020', '6134', '106', '44780675', 'Argentina', 'AR', 'ARG', 'America', '177.05181979');
INSERT INTO public.ecdc_import VALUES (2171, '09/08/2020', '9', '8', '2020', '7482', '159', '44780675', 'Argentina', 'AR', 'ARG', 'America', '183.4653006');
INSERT INTO public.ecdc_import VALUES (2172, '08/08/2020', '8', '8', '2020', '7513', '156', '44780675', 'Argentina', 'AR', 'ARG', 'America', '179.0236525');
INSERT INTO public.ecdc_import VALUES (2173, '07/08/2020', '7', '8', '2020', '7147', '126', '44780675', 'Argentina', 'AR', 'ARG', 'America', '175.9285674');
INSERT INTO public.ecdc_import VALUES (2174, '06/08/2020', '6', '8', '2020', '6792', '146', '44780675', 'Argentina', 'AR', 'ARG', 'America', '172.88037753');
INSERT INTO public.ecdc_import VALUES (2175, '05/08/2020', '5', '8', '2020', '4824', '196', '44780675', 'Argentina', 'AR', 'ARG', 'America', '169.64683985');
INSERT INTO public.ecdc_import VALUES (2176, '04/08/2020', '4', '8', '2020', '5376', '55', '44780675', 'Argentina', 'AR', 'ARG', 'America', '167.84918941');
INSERT INTO public.ecdc_import VALUES (2177, '03/08/2020', '3', '8', '2020', '5241', '54', '44780675', 'Argentina', 'AR', 'ARG', 'America', '165.29228289');
INSERT INTO public.ecdc_import VALUES (2178, '02/08/2020', '2', '8', '2020', '5929', '92', '44780675', 'Argentina', 'AR', 'ARG', 'America', '160.78587471');
INSERT INTO public.ecdc_import VALUES (2179, '01/08/2020', '1', '8', '2020', '6377', '155', '44780675', 'Argentina', 'AR', 'ARG', 'America', '157.63496196');
INSERT INTO public.ecdc_import VALUES (2180, '31/07/2020', '31', '7', '2020', '5641', '111', '44780675', 'Argentina', 'AR', 'ARG', 'America', '151.48498766');
INSERT INTO public.ecdc_import VALUES (2181, '30/07/2020', '30', '7', '2020', '5939', '118', '44780675', 'Argentina', 'AR', 'ARG', 'America', '148.37873703');
INSERT INTO public.ecdc_import VALUES (2182, '29/07/2020', '29', '7', '2020', '4890', '126', '44780675', 'Argentina', 'AR', 'ARG', 'America', '143.25599156');
INSERT INTO public.ecdc_import VALUES (2183, '28/07/2020', '28', '7', '2020', '0', '17', '44780675', 'Argentina', 'AR', 'ARG', 'America', '139.25649848');
INSERT INTO public.ecdc_import VALUES (2184, '27/07/2020', '27', '7', '2020', '9006', '92', '44780675', 'Argentina', 'AR', 'ARG', 'America', '145.18986147');
INSERT INTO public.ecdc_import VALUES (2185, '26/07/2020', '26', '7', '2020', '5493', '125', '44780675', 'Argentina', 'AR', 'ARG', 'America', '132.78049069');
INSERT INTO public.ecdc_import VALUES (2186, '25/07/2020', '25', '7', '2020', '6127', '105', '44780675', 'Argentina', 'AR', 'ARG', 'America', '128.03290705');
INSERT INTO public.ecdc_import VALUES (2187, '24/07/2020', '24', '7', '2020', '5782', '111', '44780675', 'Argentina', 'AR', 'ARG', 'America', '122.53053354');
INSERT INTO public.ecdc_import VALUES (2188, '23/07/2020', '23', '7', '2020', '5344', '133', '44780675', 'Argentina', 'AR', 'ARG', 'America', '117.66682838');
INSERT INTO public.ecdc_import VALUES (2189, '22/07/2020', '22', '7', '2020', '4019', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '112.38553238');
INSERT INTO public.ecdc_import VALUES (2190, '21/07/2020', '21', '7', '2020', '4231', '127', '44780675', 'Argentina', 'AR', 'ARG', 'America', '109.28821417');
INSERT INTO public.ecdc_import VALUES (2191, '20/07/2020', '20', '7', '2020', '3223', '42', '44780675', 'Argentina', 'AR', 'ARG', 'America', '105.28648798');
INSERT INTO public.ecdc_import VALUES (2192, '19/07/2020', '19', '7', '2020', '4518', '71', '44780675', 'Argentina', 'AR', 'ARG', 'America', '103.87293179');
INSERT INTO public.ecdc_import VALUES (2193, '18/07/2020', '18', '7', '2020', '3623', '21', '44780675', 'Argentina', 'AR', 'ARG', 'America', '93.78375828');
INSERT INTO public.ecdc_import VALUES (2194, '17/07/2020', '17', '7', '2020', '4250', '62', '44780675', 'Argentina', 'AR', 'ARG', 'America', '92.04640171');
INSERT INTO public.ecdc_import VALUES (2195, '16/07/2020', '16', '7', '2020', '3645', '124', '44780675', 'Argentina', 'AR', 'ARG', 'America', '88.68334388');
INSERT INTO public.ecdc_import VALUES (2196, '15/07/2020', '15', '7', '2020', '3099', '23', '44780675', 'Argentina', 'AR', 'ARG', 'America', '86.49936608');
INSERT INTO public.ecdc_import VALUES (2197, '14/07/2020', '14', '7', '2020', '2657', '85', '44780675', 'Argentina', 'AR', 'ARG', 'America', '84.63025624');
INSERT INTO public.ecdc_import VALUES (2198, '13/07/2020', '13', '7', '2020', '3449', '8', '44780675', 'Argentina', 'AR', 'ARG', 'America', '88.79946539');
INSERT INTO public.ecdc_import VALUES (2199, '12/07/2020', '12', '7', '2020', '3367', '61', '44780675', 'Argentina', 'AR', 'ARG', 'America', '81.09748234');
INSERT INTO public.ecdc_import VALUES (2200, '11/07/2020', '11', '7', '2020', '3663', '42', '44780675', 'Argentina', 'AR', 'ARG', 'America', '85.38504612');
INSERT INTO public.ecdc_import VALUES (2201, '10/07/2020', '10', '7', '2020', '3604', '53', '44780675', 'Argentina', 'AR', 'ARG', 'America', '77.20517835');
INSERT INTO public.ecdc_import VALUES (2202, '09/07/2020', '9', '7', '2020', '2979', '52', '44780675', 'Argentina', 'AR', 'ARG', 'America', '74.97653843');
INSERT INTO public.ecdc_import VALUES (2203, '08/07/2020', '8', '7', '2020', '2632', '79', '44780675', 'Argentina', 'AR', 'ARG', 'America', '79.31099743');
INSERT INTO public.ecdc_import VALUES (2204, '07/07/2020', '7', '7', '2020', '2439', '33', '44780675', 'Argentina', 'AR', 'ARG', 'America', '73.43346209');
INSERT INTO public.ecdc_import VALUES (2205, '06/07/2020', '6', '7', '2020', '2590', '37', '44780675', 'Argentina', 'AR', 'ARG', 'America', '72.77916199');
INSERT INTO public.ecdc_import VALUES (2206, '05/07/2020', '5', '7', '2020', '0', '16', '44780675', 'Argentina', 'AR', 'ARG', 'America', '70.5259579');
INSERT INTO public.ecdc_import VALUES (2207, '04/07/2020', '4', '7', '2020', '2845', '52', '44780675', 'Argentina', 'AR', 'ARG', 'America', '74.17485333');
INSERT INTO public.ecdc_import VALUES (2208, '03/07/2020', '3', '7', '2020', '2744', '34', '44780675', 'Argentina', 'AR', 'ARG', 'America', '76.79428682');
INSERT INTO public.ecdc_import VALUES (2209, '02/07/2020', '2', '7', '2020', '2667', '44', '44780675', 'Argentina', 'AR', 'ARG', 'America', '70.66664359');
INSERT INTO public.ecdc_import VALUES (2210, '01/07/2020', '1', '7', '2020', '2262', '27', '44780675', 'Argentina', 'AR', 'ARG', 'America', '67.82166638');
INSERT INTO public.ecdc_import VALUES (2211, '30/06/2020', '30', '6', '2020', '4524', '63', '44780675', 'Argentina', 'AR', 'ARG', 'America', '65.83866813');
INSERT INTO public.ecdc_import VALUES (2212, '29/06/2020', '29', '6', '2020', '0', '10', '44780675', 'Argentina', 'AR', 'ARG', 'America', '58.43368819');
INSERT INTO public.ecdc_import VALUES (2213, '28/06/2020', '28', '6', '2020', '5287', '40', '44780675', 'Argentina', 'AR', 'ARG', 'America', '61.29653026');
INSERT INTO public.ecdc_import VALUES (2214, '27/06/2020', '27', '6', '2020', '0', '43', '44780675', 'Argentina', 'AR', 'ARG', 'America', '52.90898362');
INSERT INTO public.ecdc_import VALUES (2215, '26/06/2020', '26', '6', '2020', '2606', '39', '44780675', 'Argentina', 'AR', 'ARG', 'America', '56.01523425');
INSERT INTO public.ecdc_import VALUES (2216, '25/06/2020', '25', '6', '2020', '4920', '36', '44780675', 'Argentina', 'AR', 'ARG', 'America', '53.26181439');
INSERT INTO public.ecdc_import VALUES (2217, '24/06/2020', '24', '6', '2020', '0', '6', '44780675', 'Argentina', 'AR', 'ARG', 'America', '45.04175071');
INSERT INTO public.ecdc_import VALUES (2218, '23/06/2020', '23', '6', '2020', '2146', '32', '44780675', 'Argentina', 'AR', 'ARG', 'America', '47.58972481');
INSERT INTO public.ecdc_import VALUES (2219, '22/06/2020', '22', '6', '2020', '1581', '19', '44780675', 'Argentina', 'AR', 'ARG', 'America', '44.64202471');
INSERT INTO public.ecdc_import VALUES (2220, '21/06/2020', '21', '6', '2020', '1634', '13', '44780675', 'Argentina', 'AR', 'ARG', 'America', '42.83990806');
INSERT INTO public.ecdc_import VALUES (2221, '20/06/2020', '20', '6', '2020', '4018', '50', '44780675', 'Argentina', 'AR', 'ARG', 'America', '41.38615597');
INSERT INTO public.ecdc_import VALUES (2222, '19/06/2020', '19', '6', '2020', '0', '16', '44780675', 'Argentina', 'AR', 'ARG', 'America', '36.36390028');
INSERT INTO public.ecdc_import VALUES (2223, '18/06/2020', '18', '6', '2020', '1393', '35', '44780675', 'Argentina', 'AR', 'ARG', 'America', '36.36390028');
INSERT INTO public.ecdc_import VALUES (2224, '17/06/2020', '17', '6', '2020', '1374', '24', '44780675', 'Argentina', 'AR', 'ARG', 'America', '35.37240115');
INSERT INTO public.ecdc_import VALUES (2225, '16/06/2020', '16', '6', '2020', '1208', '21', '44780675', 'Argentina', 'AR', 'ARG', 'America', '34.32284127');
INSERT INTO public.ecdc_import VALUES (2226, '15/06/2020', '15', '6', '2020', '1282', '18', '44780675', 'Argentina', 'AR', 'ARG', 'America', '32.88472092');
INSERT INTO public.ecdc_import VALUES (2227, '14/06/2020', '14', '6', '2020', '1531', '30', '44780675', 'Argentina', 'AR', 'ARG', 'America', '31.44436746');
INSERT INTO public.ecdc_import VALUES (2228, '13/06/2020', '13', '6', '2020', '1391', '20', '44780675', 'Argentina', 'AR', 'ARG', 'America', '29.80080135');
INSERT INTO public.ecdc_import VALUES (2229, '12/06/2020', '12', '6', '2020', '1373', '30', '44780675', 'Argentina', 'AR', 'ARG', 'America', '28.29568782');
INSERT INTO public.ecdc_import VALUES (2230, '11/06/2020', '11', '6', '2020', '1239', '18', '44780675', 'Argentina', 'AR', 'ARG', 'America', '26.94689171');
INSERT INTO public.ecdc_import VALUES (2231, '10/06/2020', '10', '6', '2020', '1141', '24', '44780675', 'Argentina', 'AR', 'ARG', 'America', '25.75441304');
INSERT INTO public.ecdc_import VALUES (2232, '09/06/2020', '9', '6', '2020', '826', '29', '44780675', 'Argentina', 'AR', 'ARG', 'America', '24.54630262');
INSERT INTO public.ecdc_import VALUES (2233, '08/06/2020', '8', '6', '2020', '774', '16', '44780675', 'Argentina', 'AR', 'ARG', 'America', '23.93443154');
INSERT INTO public.ecdc_import VALUES (2234, '07/06/2020', '7', '6', '2020', '983', '16', '44780675', 'Argentina', 'AR', 'ARG', 'America', '23.82054312');
INSERT INTO public.ecdc_import VALUES (2235, '06/06/2020', '6', '6', '2020', '1769', '44', '44780675', 'Argentina', 'AR', 'ARG', 'America', '23.19750651');
INSERT INTO public.ecdc_import VALUES (2236, '05/06/2020', '5', '6', '2020', '0', '5', '44780675', 'Argentina', 'AR', 'ARG', 'America', '20.85051197');
INSERT INTO public.ecdc_import VALUES (2237, '04/06/2020', '4', '6', '2020', '949', '14', '44780675', 'Argentina', 'AR', 'ARG', 'America', '22.29756474');
INSERT INTO public.ecdc_import VALUES (2238, '03/06/2020', '3', '6', '2020', '904', '13', '44780675', 'Argentina', 'AR', 'ARG', 'America', '21.23683933');
INSERT INTO public.ecdc_import VALUES (2239, '02/06/2020', '2', '6', '2020', '564', '17', '44780675', 'Argentina', 'AR', 'ARG', 'America', '20.19621187');
INSERT INTO public.ecdc_import VALUES (2240, '01/06/2020', '1', '6', '2020', '637', '11', '44780675', 'Argentina', 'AR', 'ARG', 'America', '20.20067808');
INSERT INTO public.ecdc_import VALUES (2241, '31/05/2020', '31', '5', '2020', '795', '8', '44780675', 'Argentina', 'AR', 'ARG', 'America', '18.77818948');
INSERT INTO public.ecdc_import VALUES (2242, '30/05/2020', '30', '5', '2020', '717', '12', '44780675', 'Argentina', 'AR', 'ARG', 'America', '17.7308627');
INSERT INTO public.ecdc_import VALUES (2243, '29/05/2020', '29', '5', '2020', '769', '8', '44780675', 'Argentina', 'AR', 'ARG', 'America', '16.90014722');
INSERT INTO public.ecdc_import VALUES (2244, '28/05/2020', '28', '5', '2020', '705', '16', '44780675', 'Argentina', 'AR', 'ARG', 'America', '15.75233066');
INSERT INTO public.ecdc_import VALUES (2245, '27/05/2020', '27', '5', '2020', '600', '17', '44780675', 'Argentina', 'AR', 'ARG', 'America', '14.88365238');
INSERT INTO public.ecdc_import VALUES (2246, '26/05/2020', '26', '5', '2020', '552', '15', '44780675', 'Argentina', 'AR', 'ARG', 'America', '14.72510184');
INSERT INTO public.ecdc_import VALUES (2247, '25/05/2020', '25', '5', '2020', '723', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '14.03953826');
INSERT INTO public.ecdc_import VALUES (2248, '24/05/2020', '24', '5', '2020', '704', '12', '44780675', 'Argentina', 'AR', 'ARG', 'America', '12.45403291');
INSERT INTO public.ecdc_import VALUES (2249, '23/05/2020', '23', '5', '2020', '718', '17', '44780675', 'Argentina', 'AR', 'ARG', 'America', '11.2503887');
INSERT INTO public.ecdc_import VALUES (2250, '22/05/2020', '22', '5', '2020', '648', '13', '44780675', 'Argentina', 'AR', 'ARG', 'America', '10.18296397');
INSERT INTO public.ecdc_import VALUES (2251, '21/05/2020', '21', '5', '2020', '474', '10', '44780675', 'Argentina', 'AR', 'ARG', 'America', '9.09990749');
INSERT INTO public.ecdc_import VALUES (2252, '20/05/2020', '20', '5', '2020', '438', '11', '44780675', 'Argentina', 'AR', 'ARG', 'America', '8.46123914');
INSERT INTO public.ecdc_import VALUES (2253, '19/05/2020', '19', '5', '2020', '566', '16', '44780675', 'Argentina', 'AR', 'ARG', 'America', '7.78014177');
INSERT INTO public.ecdc_import VALUES (2254, '18/05/2020', '18', '5', '2020', '0', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '6.74844674');
INSERT INTO public.ecdc_import VALUES (2255, '17/05/2020', '17', '5', '2020', '326', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '6.97622356');
INSERT INTO public.ecdc_import VALUES (2256, '16/05/2020', '16', '5', '2020', '345', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '6.58096378');
INSERT INTO public.ecdc_import VALUES (2257, '15/05/2020', '15', '5', '2020', '255', '24', '44780675', 'Argentina', 'AR', 'ARG', 'America', '6.0427852');
INSERT INTO public.ecdc_import VALUES (2258, '14/05/2020', '14', '5', '2020', '316', '10', '44780675', 'Argentina', 'AR', 'ARG', 'America', '5.79267731');
INSERT INTO public.ecdc_import VALUES (2259, '13/05/2020', '13', '5', '2020', '529', '14', '44780675', 'Argentina', 'AR', 'ARG', 'America', '5.43984654');
INSERT INTO public.ecdc_import VALUES (2260, '12/05/2020', '12', '5', '2020', '245', '5', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.53543856');
INSERT INTO public.ecdc_import VALUES (2261, '11/05/2020', '11', '5', '2020', '13', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.48631022');
INSERT INTO public.ecdc_import VALUES (2262, '10/05/2020', '10', '5', '2020', '165', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.45727984');
INSERT INTO public.ecdc_import VALUES (2263, '09/05/2020', '9', '5', '2020', '240', '11', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.85700584');
INSERT INTO public.ecdc_import VALUES (2264, '08/05/2020', '8', '5', '2020', '163', '9', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.32106037');
INSERT INTO public.ecdc_import VALUES (2265, '07/05/2020', '7', '5', '2020', '188', '9', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.28533067');
INSERT INTO public.ecdc_import VALUES (2266, '06/05/2020', '6', '5', '2020', '133', '4', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.187074');
INSERT INTO public.ecdc_import VALUES (2267, '05/05/2020', '5', '5', '2020', '104', '14', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.14017877');
INSERT INTO public.ecdc_import VALUES (2268, '04/05/2020', '4', '5', '2020', '102', '9', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.10891529');
INSERT INTO public.ecdc_import VALUES (2269, '03/05/2020', '3', '5', '2020', '149', '12', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.10891529');
INSERT INTO public.ecdc_import VALUES (2270, '02/05/2020', '2', '5', '2020', '104', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.15581051');
INSERT INTO public.ecdc_import VALUES (2271, '01/05/2020', '1', '5', '2020', '143', '4', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.14241188');
INSERT INTO public.ecdc_import VALUES (2272, '30/04/2020', '30', '4', '2020', '158', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '4.10891529');
INSERT INTO public.ecdc_import VALUES (2273, '29/04/2020', '29', '4', '2020', '124', '10', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.75608452');
INSERT INTO public.ecdc_import VALUES (2274, '28/04/2020', '28', '4', '2020', '223', '11', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.83647634');
INSERT INTO public.ecdc_import VALUES (2275, '27/04/2020', '27', '4', '2020', '0', '1', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.49257799');
INSERT INTO public.ecdc_import VALUES (2276, '26/04/2020', '26', '4', '2020', '344', '18', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.639963');
INSERT INTO public.ecdc_import VALUES (2277, '25/04/2020', '25', '4', '2020', '0', '2', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.23353768');
INSERT INTO public.ecdc_import VALUES (2278, '24/04/2020', '24', '4', '2020', '147', '6', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.41441928');
INSERT INTO public.ecdc_import VALUES (2279, '23/04/2020', '23', '4', '2020', '144', '8', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.30723018');
INSERT INTO public.ecdc_import VALUES (2280, '22/04/2020', '22', '4', '2020', '112', '9', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.16431139');
INSERT INTO public.ecdc_import VALUES (2281, '21/04/2020', '21', '4', '2020', '90', '8', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.10848374');
INSERT INTO public.ecdc_import VALUES (2282, '20/04/2020', '20', '4', '2020', '102', '2', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.07275404');
INSERT INTO public.ecdc_import VALUES (2283, '19/04/2020', '19', '4', '2020', '170', '10', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.07498715');
INSERT INTO public.ecdc_import VALUES (2284, '18/04/2020', '18', '4', '2020', '98', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.11071684');
INSERT INTO public.ecdc_import VALUES (2285, '17/04/2020', '17', '4', '2020', '128', '6', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.18664245');
INSERT INTO public.ecdc_import VALUES (2286, '16/04/2020', '16', '4', '2020', '0', '4', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.90080487');
INSERT INTO public.ecdc_import VALUES (2287, '15/04/2020', '15', '4', '2020', '160', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.27373359');
INSERT INTO public.ecdc_import VALUES (2288, '14/04/2020', '14', '4', '2020', '69', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.91643661');
INSERT INTO public.ecdc_import VALUES (2289, '13/04/2020', '13', '4', '2020', '66', '6', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.08838578');
INSERT INTO public.ecdc_import VALUES (2290, '12/04/2020', '12', '4', '2020', '162', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '3.10848374');
INSERT INTO public.ecdc_import VALUES (2291, '11/04/2020', '11', '4', '2020', '81', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.86954138');
INSERT INTO public.ecdc_import VALUES (2292, '10/04/2020', '10', '4', '2020', '99', '14', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.9142035');
INSERT INTO public.ecdc_import VALUES (2293, '09/04/2020', '9', '4', '2020', '80', '5', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.88740623');
INSERT INTO public.ecdc_import VALUES (2294, '08/04/2020', '8', '4', '2020', '87', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.96556495');
INSERT INTO public.ecdc_import VALUES (2295, '07/04/2020', '7', '4', '2020', '74', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.96333184');
INSERT INTO public.ecdc_import VALUES (2296, '06/04/2020', '6', '4', '2020', '103', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.8762407');
INSERT INTO public.ecdc_import VALUES (2297, '05/04/2020', '5', '4', '2020', '186', '6', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.73778812');
INSERT INTO public.ecdc_import VALUES (2298, '04/04/2020', '4', '4', '2020', '132', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.47204849');
INSERT INTO public.ecdc_import VALUES (2299, '03/04/2020', '3', '4', '2020', '0', '3', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.24427166');
INSERT INTO public.ecdc_import VALUES (2300, '02/04/2020', '2', '4', '2020', '167', '7', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.31349795');
INSERT INTO public.ecdc_import VALUES (2301, '01/04/2020', '1', '4', '2020', '0', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '1.98076514');
INSERT INTO public.ecdc_import VALUES (2302, '31/03/2020', '31', '3', '2020', '146', '4', '44780675', 'Argentina', 'AR', 'ARG', 'America', '2.01202863');
INSERT INTO public.ecdc_import VALUES (2303, '30/03/2020', '30', '3', '2020', '75', '1', '44780675', 'Argentina', 'AR', 'ARG', 'America', '1.70609309');
INSERT INTO public.ecdc_import VALUES (2304, '29/03/2020', '29', '3', '2020', '55', '2', '44780675', 'Argentina', 'AR', 'ARG', 'America', '1.56317429');
INSERT INTO public.ecdc_import VALUES (2305, '28/03/2020', '28', '3', '2020', '101', '5', '44780675', 'Argentina', 'AR', 'ARG', 'America', '1.46491762');
INSERT INTO public.ecdc_import VALUES (2306, '27/03/2020', '27', '3', '2020', '87', '4', '44780675', 'Argentina', 'AR', 'ARG', 'America', '1.24607322');
INSERT INTO public.ecdc_import VALUES (2307, '26/03/2020', '26', '3', '2020', '115', '2', '44780675', 'Argentina', 'AR', 'ARG', 'America', '1.07859026');
INSERT INTO public.ecdc_import VALUES (2308, '25/03/2020', '25', '3', '2020', '86', '2', '44780675', 'Argentina', 'AR', 'ARG', 'America', '0.8374148');
INSERT INTO public.ecdc_import VALUES (2309, '24/03/2020', '24', '3', '2020', '35', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '0.65206699');
INSERT INTO public.ecdc_import VALUES (2310, '23/03/2020', '23', '3', '2020', '41', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '0.57614138');
INSERT INTO public.ecdc_import VALUES (2311, '22/03/2020', '22', '3', '2020', '67', '1', '44780675', 'Argentina', 'AR', 'ARG', 'America', '0.49798267');
INSERT INTO public.ecdc_import VALUES (2312, '21/03/2020', '21', '3', '2020', '30', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '0.35059766');
INSERT INTO public.ecdc_import VALUES (2313, '20/03/2020', '20', '3', '2020', '31', '1', '44780675', 'Argentina', 'AR', 'ARG', 'America', '0.28583759');
INSERT INTO public.ecdc_import VALUES (2314, '19/03/2020', '19', '3', '2020', '18', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2315, '18/03/2020', '18', '3', '2020', '14', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2316, '17/03/2020', '17', '3', '2020', '9', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2317, '16/03/2020', '16', '3', '2020', '11', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2318, '15/03/2020', '15', '3', '2020', '11', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2319, '14/03/2020', '14', '3', '2020', '3', '1', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2320, '13/03/2020', '13', '3', '2020', '12', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2321, '11/03/2020', '11', '3', '2020', '7', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2322, '09/03/2020', '9', '3', '2020', '3', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2323, '08/03/2020', '8', '3', '2020', '1', '1', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2324, '07/03/2020', '7', '3', '2020', '6', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2325, '06/03/2020', '6', '3', '2020', '1', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2326, '04/03/2020', '4', '3', '2020', '1', '0', '44780675', 'Argentina', 'AR', 'ARG', 'America', '');
INSERT INTO public.ecdc_import VALUES (2327, '14/12/2020', '14', '12', '2020', '357', '17', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '458.39238767');
INSERT INTO public.ecdc_import VALUES (2328, '13/12/2020', '13', '12', '2020', '1013', '24', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '458.35857794');
INSERT INTO public.ecdc_import VALUES (2329, '12/12/2020', '12', '12', '2020', '995', '17', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '463.80194528');
INSERT INTO public.ecdc_import VALUES (2330, '11/12/2020', '11', '12', '2020', '1077', '29', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '472.35580824');
INSERT INTO public.ecdc_import VALUES (2331, '10/12/2020', '10', '12', '2020', '1174', '23', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '485.84589252');
INSERT INTO public.ecdc_import VALUES (2332, '09/12/2020', '9', '12', '2020', '1138', '21', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '506.50364063');
INSERT INTO public.ecdc_import VALUES (2333, '08/12/2020', '8', '12', '2020', '584', '28', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '520.87277802');
INSERT INTO public.ecdc_import VALUES (2334, '07/12/2020', '7', '12', '2020', '407', '18', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '528.61520735');
INSERT INTO public.ecdc_import VALUES (2335, '06/12/2020', '6', '12', '2020', '978', '17', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '531.25236668');
INSERT INTO public.ecdc_import VALUES (2336, '05/12/2020', '5', '12', '2020', '1267', '32', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '545.01292884');
INSERT INTO public.ecdc_import VALUES (2337, '04/12/2020', '4', '12', '2020', '1184', '23', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '542.51100845');
INSERT INTO public.ecdc_import VALUES (2338, '03/12/2020', '3', '12', '2020', '1277', '26', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '558.84111047');
INSERT INTO public.ecdc_import VALUES (2339, '02/12/2020', '2', '12', '2020', '1264', '35', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '567.05687609');
INSERT INTO public.ecdc_import VALUES (2340, '01/12/2020', '1', '12', '2020', '843', '29', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '578.04503998');
INSERT INTO public.ecdc_import VALUES (2341, '30/11/2020', '30', '11', '2020', '356', '22', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '582.81221262');
INSERT INTO public.ecdc_import VALUES (2342, '29/11/2020', '29', '11', '2020', '1174', '21', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '589.33749148');
INSERT INTO public.ecdc_import VALUES (2343, '28/11/2020', '28', '11', '2020', '1248', '31', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '599.75088987');
INSERT INTO public.ecdc_import VALUES (2344, '27/11/2020', '27', '11', '2020', '1476', '22', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '607.32427052');
INSERT INTO public.ecdc_import VALUES (2345, '26/11/2020', '26', '11', '2020', '1785', '28', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '614.99908038');
INSERT INTO public.ecdc_import VALUES (2346, '25/11/2020', '25', '11', '2020', '1563', '38', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '622.03150526');
INSERT INTO public.ecdc_import VALUES (2347, '24/11/2020', '24', '11', '2020', '813', '26', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '636.80635948');
INSERT INTO public.ecdc_import VALUES (2348, '23/11/2020', '23', '11', '2020', '485', '24', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '650.60073137');
INSERT INTO public.ecdc_import VALUES (2349, '22/11/2020', '22', '11', '2020', '1385', '21', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '669.43275379');
INSERT INTO public.ecdc_import VALUES (2350, '21/11/2020', '21', '11', '2020', '1193', '31', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '696.14244447');
INSERT INTO public.ecdc_import VALUES (2351, '20/11/2020', '20', '11', '2020', '1667', '30', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '739.52033453');
INSERT INTO public.ecdc_import VALUES (2352, '19/11/2020', '19', '11', '2020', '1520', '31', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '757.87902065');
INSERT INTO public.ecdc_import VALUES (2353, '18/11/2020', '18', '11', '2020', '1589', '28', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '788.07111404');
INSERT INTO public.ecdc_import VALUES (2354, '17/11/2020', '17', '11', '2020', '984', '23', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '814.61175605');
INSERT INTO public.ecdc_import VALUES (2355, '16/11/2020', '16', '11', '2020', '549', '25', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '826.2423049');
INSERT INTO public.ecdc_import VALUES (2356, '15/11/2020', '15', '11', '2020', '1482', '25', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '848.04958401');
INSERT INTO public.ecdc_import VALUES (2357, '14/11/2020', '14', '11', '2020', '1472', '41', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '880.47311991');
INSERT INTO public.ecdc_import VALUES (2358, '13/11/2020', '13', '11', '2020', '1703', '29', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '911.20616906');
INSERT INTO public.ecdc_import VALUES (2359, '12/11/2020', '12', '11', '2020', '1993', '32', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '934.70393491');
INSERT INTO public.ecdc_import VALUES (2360, '11/11/2020', '11', '11', '2020', '2000', '27', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '947.88973158');
INSERT INTO public.ecdc_import VALUES (2361, '10/11/2020', '10', '11', '2020', '1221', '29', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '956.03787772');
INSERT INTO public.ecdc_import VALUES (2362, '09/11/2020', '9', '11', '2020', '1042', '21', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '968.8517673');
INSERT INTO public.ecdc_import VALUES (2363, '08/11/2020', '8', '11', '2020', '2175', '26', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '966.51889558');
INSERT INTO public.ecdc_import VALUES (2364, '07/11/2020', '7', '11', '2020', '2476', '27', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '1046.0393924');
INSERT INTO public.ecdc_import VALUES (2365, '06/11/2020', '6', '11', '2020', '2210', '30', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '1045.97177293');
INSERT INTO public.ecdc_import VALUES (2366, '05/11/2020', '5', '11', '2020', '2413', '28', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '1049.21750749');
INSERT INTO public.ecdc_import VALUES (2367, '04/11/2020', '4', '11', '2020', '2374', '35', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '1029.70929037');
INSERT INTO public.ecdc_import VALUES (2368, '03/11/2020', '3', '11', '2020', '1328', '22', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '991.16619243');
INSERT INTO public.ecdc_import VALUES (2369, '02/11/2020', '2', '11', '2020', '1194', '28', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '972.16512134');
INSERT INTO public.ecdc_import VALUES (2370, '01/11/2020', '1', '11', '2020', '2441', '22', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '989.06998886');
INSERT INTO public.ecdc_import VALUES (2371, '31/10/2020', '31', '10', '2020', '2381', '41', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '958.60741759');
INSERT INTO public.ecdc_import VALUES (2372, '30/10/2020', '30', '10', '2020', '2398', '28', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '927.63770029');
INSERT INTO public.ecdc_import VALUES (2373, '29/10/2020', '29', '10', '2020', '2383', '29', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '892.9151024');
INSERT INTO public.ecdc_import VALUES (2374, '28/10/2020', '28', '10', '2020', '2241', '21', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '812.3465038');
INSERT INTO public.ecdc_import VALUES (2375, '27/10/2020', '27', '10', '2020', '1600', '26', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '772.34958725');
INSERT INTO public.ecdc_import VALUES (2376, '26/10/2020', '26', '10', '2020', '973', '16', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '755.95186576');
INSERT INTO public.ecdc_import VALUES (2377, '25/10/2020', '25', '10', '2020', '4527', '35', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '747.22895412');
INSERT INTO public.ecdc_import VALUES (2378, '24/10/2020', '24', '10', '2020', '2474', '14', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '616.11480163');
INSERT INTO public.ecdc_import VALUES (2379, '23/10/2020', '23', '10', '2020', '2306', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '553.22869446');
INSERT INTO public.ecdc_import VALUES (2380, '22/10/2020', '22', '10', '2020', '1836', '20', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '499.53883521');
INSERT INTO public.ecdc_import VALUES (2381, '21/10/2020', '21', '10', '2020', '1234', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '460.18430363');
INSERT INTO public.ecdc_import VALUES (2382, '20/10/2020', '20', '10', '2020', '766', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '432.18984301');
INSERT INTO public.ecdc_import VALUES (2383, '19/10/2020', '19', '10', '2020', '1694', '14', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '412.41114802');
INSERT INTO public.ecdc_import VALUES (2384, '18/10/2020', '18', '10', '2020', '1540', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '374.44281557');
INSERT INTO public.ecdc_import VALUES (2385, '17/10/2020', '17', '10', '2020', '1465', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '340.73450973');
INSERT INTO public.ecdc_import VALUES (2386, '16/10/2020', '16', '10', '2020', '1371', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '309.19002694');
INSERT INTO public.ecdc_import VALUES (2387, '15/10/2020', '15', '10', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '279.4374601');
INSERT INTO public.ecdc_import VALUES (2388, '14/10/2020', '14', '10', '2020', '1058', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '294.92231875');
INSERT INTO public.ecdc_import VALUES (2389, '13/10/2020', '13', '10', '2020', '1115', '12', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '270.20740244');
INSERT INTO public.ecdc_import VALUES (2390, '12/10/2020', '12', '10', '2020', '715', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '238.39244177');
INSERT INTO public.ecdc_import VALUES (2391, '11/10/2020', '11', '10', '2020', '649', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '225.30807431');
INSERT INTO public.ecdc_import VALUES (2392, '10/10/2020', '10', '10', '2020', '614', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '217.8699326');
INSERT INTO public.ecdc_import VALUES (2393, '09/10/2020', '9', '10', '2020', '718', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '210.36417142');
INSERT INTO public.ecdc_import VALUES (2394, '08/10/2020', '8', '10', '2020', '672', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '198.73362256');
INSERT INTO public.ecdc_import VALUES (2395, '07/10/2020', '7', '10', '2020', '406', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '183.11352498');
INSERT INTO public.ecdc_import VALUES (2396, '06/10/2020', '6', '10', '2020', '181', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '173.27489208');
INSERT INTO public.ecdc_import VALUES (2397, '05/10/2020', '5', '10', '2020', '571', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '171.24630798');
INSERT INTO public.ecdc_import VALUES (2398, '04/10/2020', '4', '10', '2020', '543', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '161.30624588');
INSERT INTO public.ecdc_import VALUES (2399, '03/10/2020', '3', '10', '2020', '532', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '151.1971351');
INSERT INTO public.ecdc_import VALUES (2400, '02/10/2020', '2', '10', '2020', '491', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '141.29088273');
INSERT INTO public.ecdc_import VALUES (2401, '01/10/2020', '1', '10', '2020', '458', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '134.66417466');
INSERT INTO public.ecdc_import VALUES (2402, '30/09/2020', '30', '9', '2020', '327', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '127.86841792');
INSERT INTO public.ecdc_import VALUES (2403, '29/09/2020', '29', '9', '2020', '174', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '121.88409482');
INSERT INTO public.ecdc_import VALUES (2404, '28/09/2020', '28', '9', '2020', '328', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '119.61884257');
INSERT INTO public.ecdc_import VALUES (2405, '27/09/2020', '27', '9', '2020', '429', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '114.85166993');
INSERT INTO public.ecdc_import VALUES (2406, '26/09/2020', '26', '9', '2020', '392', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '106.16256803');
INSERT INTO public.ecdc_import VALUES (2407, '25/09/2020', '25', '9', '2020', '374', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '98.89347499');
INSERT INTO public.ecdc_import VALUES (2408, '24/09/2020', '24', '9', '2020', '210', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '92.13152798');
INSERT INTO public.ecdc_import VALUES (2409, '23/09/2020', '23', '9', '2020', '115', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '91.7596209');
INSERT INTO public.ecdc_import VALUES (2410, '22/09/2020', '22', '9', '2020', '121', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '91.52295275');
INSERT INTO public.ecdc_import VALUES (2411, '21/09/2020', '21', '9', '2020', '277', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '89.52817839');
INSERT INTO public.ecdc_import VALUES (2412, '20/09/2020', '20', '9', '2020', '244', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '84.69338627');
INSERT INTO public.ecdc_import VALUES (2413, '19/09/2020', '19', '9', '2020', '239', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '82.80004111');
INSERT INTO public.ecdc_import VALUES (2414, '18/09/2020', '18', '9', '2020', '295', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '81.1433641');
INSERT INTO public.ecdc_import VALUES (2415, '17/09/2020', '17', '9', '2020', '257', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '77.79620033');
INSERT INTO public.ecdc_import VALUES (2416, '16/09/2020', '16', '9', '2020', '150', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '75.76761622');
INSERT INTO public.ecdc_import VALUES (2417, '15/09/2020', '15', '9', '2020', '107', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '73.97570027');
INSERT INTO public.ecdc_import VALUES (2418, '14/09/2020', '14', '9', '2020', '187', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '71.4061604');
INSERT INTO public.ecdc_import VALUES (2419, '13/09/2020', '13', '9', '2020', '172', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '69.2761471');
INSERT INTO public.ecdc_import VALUES (2420, '12/09/2020', '12', '9', '2020', '177', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '69.3775763');
INSERT INTO public.ecdc_import VALUES (2421, '11/09/2020', '11', '9', '2020', '174', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '69.51281524');
INSERT INTO public.ecdc_import VALUES (2422, '10/09/2020', '10', '9', '2020', '199', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '70.49329756');
INSERT INTO public.ecdc_import VALUES (2423, '09/09/2020', '9', '9', '2020', '108', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '68.19423558');
INSERT INTO public.ecdc_import VALUES (2424, '08/09/2020', '8', '9', '2020', '62', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '68.29566478');
INSERT INTO public.ecdc_import VALUES (2425, '07/09/2020', '7', '9', '2020', '134', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '67.31518246');
INSERT INTO public.ecdc_import VALUES (2426, '06/09/2020', '6', '9', '2020', '188', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '68.73519134');
INSERT INTO public.ecdc_import VALUES (2427, '05/09/2020', '5', '9', '2020', '190', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '67.07851432');
INSERT INTO public.ecdc_import VALUES (2428, '04/09/2020', '4', '9', '2020', '196', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '65.9966028');
INSERT INTO public.ecdc_import VALUES (2429, '03/09/2020', '3', '9', '2020', '197', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '68.26185505');
INSERT INTO public.ecdc_import VALUES (2430, '02/09/2020', '2', '9', '2020', '97', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '68.7013816');
INSERT INTO public.ecdc_import VALUES (2431, '01/09/2020', '1', '9', '2020', '31', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '70.32424888');
INSERT INTO public.ecdc_import VALUES (2432, '31/08/2020', '31', '8', '2020', '124', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '70.56091703');
INSERT INTO public.ecdc_import VALUES (2433, '30/08/2020', '30', '8', '2020', '175', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '72.04854537');
INSERT INTO public.ecdc_import VALUES (2434, '29/08/2020', '29', '8', '2020', '181', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '72.75854981');
INSERT INTO public.ecdc_import VALUES (2435, '28/08/2020', '28', '8', '2020', '203', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '75.97047463');
INSERT INTO public.ecdc_import VALUES (2436, '27/08/2020', '27', '8', '2020', '131', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '76.84952775');
INSERT INTO public.ecdc_import VALUES (2437, '26/08/2020', '26', '8', '2020', '111', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '79.2162092');
INSERT INTO public.ecdc_import VALUES (2438, '25/08/2020', '25', '8', '2020', '33', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '80.87288622');
INSERT INTO public.ecdc_import VALUES (2439, '24/08/2020', '24', '8', '2020', '176', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '80.53478886');
INSERT INTO public.ecdc_import VALUES (2440, '23/08/2020', '23', '8', '2020', '139', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '82.19146588');
INSERT INTO public.ecdc_import VALUES (2441, '22/08/2020', '22', '8', '2020', '158', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '87.63483322');
INSERT INTO public.ecdc_import VALUES (2442, '21/08/2020', '21', '8', '2020', '263', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '84.5243376');
INSERT INTO public.ecdc_import VALUES (2443, '20/08/2020', '20', '8', '2020', '210', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '83.51004555');
INSERT INTO public.ecdc_import VALUES (2444, '19/08/2020', '19', '8', '2020', '145', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '86.14720488');
INSERT INTO public.ecdc_import VALUES (2445, '18/08/2020', '18', '8', '2020', '38', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '87.87150137');
INSERT INTO public.ecdc_import VALUES (2446, '17/08/2020', '17', '8', '2020', '168', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '86.58673144');
INSERT INTO public.ecdc_import VALUES (2447, '16/08/2020', '16', '8', '2020', '196', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '82.66480217');
INSERT INTO public.ecdc_import VALUES (2448, '15/08/2020', '15', '8', '2020', '276', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '83.10432873');
INSERT INTO public.ecdc_import VALUES (2449, '14/08/2020', '14', '8', '2020', '229', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '83.61147475');
INSERT INTO public.ecdc_import VALUES (2450, '13/08/2020', '13', '8', '2020', '201', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '87.83769163');
INSERT INTO public.ecdc_import VALUES (2451, '12/08/2020', '12', '8', '2020', '160', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '89.79865627');
INSERT INTO public.ecdc_import VALUES (2452, '11/08/2020', '11', '8', '2020', '23', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '94.80249705');
INSERT INTO public.ecdc_import VALUES (2453, '10/08/2020', '10', '8', '2020', '225', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '102.10539982');
INSERT INTO public.ecdc_import VALUES (2454, '09/08/2020', '9', '8', '2020', '300', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '96.96632009');
INSERT INTO public.ecdc_import VALUES (2455, '08/08/2020', '8', '8', '2020', '66', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '97.67632453');
INSERT INTO public.ecdc_import VALUES (2456, '07/08/2020', '7', '8', '2020', '233', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '108.39401054');
INSERT INTO public.ecdc_import VALUES (2457, '06/08/2020', '6', '8', '2020', '288', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '115.76453278');
INSERT INTO public.ecdc_import VALUES (2458, '05/08/2020', '5', '8', '2020', '196', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '121.88409482');
INSERT INTO public.ecdc_import VALUES (2459, '04/08/2020', '4', '8', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '130.09986043');
INSERT INTO public.ecdc_import VALUES (2460, '03/08/2020', '3', '8', '2020', '52', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '139.3299181');
INSERT INTO public.ecdc_import VALUES (2461, '02/08/2020', '2', '8', '2020', '209', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '141.08802432');
INSERT INTO public.ecdc_import VALUES (2462, '01/08/2020', '1', '8', '2020', '291', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '148.05282974');
INSERT INTO public.ecdc_import VALUES (2463, '31/07/2020', '31', '7', '2020', '354', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '153.8004847');
INSERT INTO public.ecdc_import VALUES (2464, '30/07/2020', '30', '7', '2020', '259', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '156.77574138');
INSERT INTO public.ecdc_import VALUES (2465, '29/07/2020', '29', '7', '2020', '308', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '166.74961322');
INSERT INTO public.ecdc_import VALUES (2466, '28/07/2020', '28', '7', '2020', '239', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '173.74822837');
INSERT INTO public.ecdc_import VALUES (2467, '27/07/2020', '27', '7', '2020', '73', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '177.12920187');
INSERT INTO public.ecdc_import VALUES (2468, '26/07/2020', '26', '7', '2020', '321', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '180.81446299');
INSERT INTO public.ecdc_import VALUES (2469, '25/07/2020', '25', '7', '2020', '383', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '189.46975516');
INSERT INTO public.ecdc_import VALUES (2470, '24/07/2020', '24', '7', '2020', '451', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '193.05358708');
INSERT INTO public.ecdc_import VALUES (2471, '23/07/2020', '23', '7', '2020', '469', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '196.63741899');
INSERT INTO public.ecdc_import VALUES (2472, '22/07/2020', '22', '7', '2020', '439', '16', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '198.56457389');
INSERT INTO public.ecdc_import VALUES (2473, '21/07/2020', '21', '7', '2020', '273', '12', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '201.81030845');
INSERT INTO public.ecdc_import VALUES (2474, '20/07/2020', '20', '7', '2020', '104', '9', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '204.37984832');
INSERT INTO public.ecdc_import VALUES (2475, '19/07/2020', '19', '7', '2020', '415', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '212.02084844');
INSERT INTO public.ecdc_import VALUES (2476, '18/07/2020', '18', '7', '2020', '461', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '221.85948133');
INSERT INTO public.ecdc_import VALUES (2477, '17/07/2020', '17', '7', '2020', '442', '13', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '225.8828398');
INSERT INTO public.ecdc_import VALUES (2478, '16/07/2020', '16', '7', '2020', '554', '15', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '233.32098151');
INSERT INTO public.ecdc_import VALUES (2479, '15/07/2020', '15', '7', '2020', '515', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '234.63956118');
INSERT INTO public.ecdc_import VALUES (2480, '14/07/2020', '14', '7', '2020', '339', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '234.91003906');
INSERT INTO public.ecdc_import VALUES (2481, '13/07/2020', '13', '7', '2020', '182', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '237.47957892');
INSERT INTO public.ecdc_import VALUES (2482, '12/07/2020', '12', '7', '2020', '577', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '247.62249943');
INSERT INTO public.ecdc_import VALUES (2483, '11/07/2020', '11', '7', '2020', '489', '13', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '252.9982473');
INSERT INTO public.ecdc_import VALUES (2484, '10/07/2020', '10', '7', '2020', '557', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '258.84733147');
INSERT INTO public.ecdc_import VALUES (2485, '09/07/2020', '9', '7', '2020', '526', '14', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '265.67689794');
INSERT INTO public.ecdc_import VALUES (2486, '08/07/2020', '8', '7', '2020', '535', '18', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '273.96028303');
INSERT INTO public.ecdc_import VALUES (2487, '07/07/2020', '7', '7', '2020', '349', '12', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '279.9107964');
INSERT INTO public.ecdc_import VALUES (2488, '06/07/2020', '6', '7', '2020', '330', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '282.24366811');
INSERT INTO public.ecdc_import VALUES (2489, '05/07/2020', '5', '7', '2020', '706', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '281.90557076');
INSERT INTO public.ecdc_import VALUES (2490, '04/07/2020', '4', '7', '2020', '580', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '276.96934945');
INSERT INTO public.ecdc_import VALUES (2491, '03/07/2020', '3', '7', '2020', '662', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '275.98886713');
INSERT INTO public.ecdc_import VALUES (2492, '02/07/2020', '2', '7', '2020', '593', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '269.12549092');
INSERT INTO public.ecdc_import VALUES (2493, '01/07/2020', '1', '7', '2020', '523', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '271.55979184');
INSERT INTO public.ecdc_import VALUES (2494, '30/06/2020', '30', '6', '2020', '415', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '272.26979628');
INSERT INTO public.ecdc_import VALUES (2495, '29/06/2020', '29', '6', '2020', '482', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '272.60789363');
INSERT INTO public.ecdc_import VALUES (2496, '28/06/2020', '28', '6', '2020', '736', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '269.73406615');
INSERT INTO public.ecdc_import VALUES (2497, '27/06/2020', '27', '6', '2020', '662', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '267.26595549');
INSERT INTO public.ecdc_import VALUES (2498, '26/06/2020', '26', '6', '2020', '759', '13', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '269.32834933');
INSERT INTO public.ecdc_import VALUES (2499, '25/06/2020', '25', '6', '2020', '771', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '264.35831828');
INSERT INTO public.ecdc_import VALUES (2500, '24/06/2020', '24', '6', '2020', '711', '14', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '257.42732259');
INSERT INTO public.ecdc_import VALUES (2501, '23/06/2020', '23', '6', '2020', '418', '12', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '247.85916758');
INSERT INTO public.ecdc_import VALUES (2502, '22/06/2020', '22', '6', '2020', '320', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '245.56010559');
INSERT INTO public.ecdc_import VALUES (2503, '21/06/2020', '21', '6', '2020', '560', '18', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '241.33388871');
INSERT INTO public.ecdc_import VALUES (2504, '20/06/2020', '20', '6', '2020', '551', '13', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '248.29869413');
INSERT INTO public.ecdc_import VALUES (2505, '19/06/2020', '19', '6', '2020', '459', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '248.16345519');
INSERT INTO public.ecdc_import VALUES (2506, '18/06/2020', '18', '6', '2020', '665', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '252.79538889');
INSERT INTO public.ecdc_import VALUES (2507, '17/06/2020', '17', '6', '2020', '544', '9', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '253.87730041');
INSERT INTO public.ecdc_import VALUES (2508, '16/06/2020', '16', '6', '2020', '425', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '252.8968181');
INSERT INTO public.ecdc_import VALUES (2509, '15/06/2020', '15', '6', '2020', '397', '16', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '256.00731372');
INSERT INTO public.ecdc_import VALUES (2510, '14/06/2020', '14', '6', '2020', '663', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '249.68489327');
INSERT INTO public.ecdc_import VALUES (2511, '13/06/2020', '13', '6', '2020', '723', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '239.27149488');
INSERT INTO public.ecdc_import VALUES (2512, '12/06/2020', '12', '6', '2020', '612', '13', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '223.31329994');
INSERT INTO public.ecdc_import VALUES (2513, '11/06/2020', '11', '6', '2020', '566', '18', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '218.17422021');
INSERT INTO public.ecdc_import VALUES (2514, '10/06/2020', '10', '6', '2020', '428', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '213.98181307');
INSERT INTO public.ecdc_import VALUES (2515, '09/06/2020', '9', '6', '2020', '350', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '212.08846791');
INSERT INTO public.ecdc_import VALUES (2516, '08/06/2020', '8', '6', '2020', '195', '11', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '210.02607407');
INSERT INTO public.ecdc_import VALUES (2517, '07/06/2020', '7', '6', '2020', '766', '10', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '218.71517597');
INSERT INTO public.ecdc_import VALUES (2518, '06/06/2020', '6', '6', '2020', '547', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '204.95461381');
INSERT INTO public.ecdc_import VALUES (2519, '05/06/2020', '5', '6', '2020', '596', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '199.10552965');
INSERT INTO public.ecdc_import VALUES (2520, '04/06/2020', '4', '6', '2020', '697', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '189.84166225');
INSERT INTO public.ecdc_import VALUES (2521, '03/06/2020', '3', '6', '2020', '515', '12', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '177.60253816');
INSERT INTO public.ecdc_import VALUES (2522, '02/06/2020', '2', '6', '2020', '517', '19', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '167.96676368');
INSERT INTO public.ecdc_import VALUES (2523, '01/06/2020', '1', '6', '2020', '210', '8', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '157.8576529');
INSERT INTO public.ecdc_import VALUES (2524, '31/05/2020', '31', '5', '2020', '355', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '162.62482554');
INSERT INTO public.ecdc_import VALUES (2525, '30/05/2020', '30', '5', '2020', '251', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '157.01240953');
INSERT INTO public.ecdc_import VALUES (2526, '29/05/2020', '29', '5', '2020', '460', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '156.6066927');
INSERT INTO public.ecdc_import VALUES (2527, '28/05/2020', '28', '5', '2020', '442', '15', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '147.27520583');
INSERT INTO public.ecdc_import VALUES (2528, '27/05/2020', '27', '5', '2020', '372', '7', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '137.13228532');
INSERT INTO public.ecdc_import VALUES (2529, '26/05/2020', '26', '5', '2020', '289', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '130.64081619');
INSERT INTO public.ecdc_import VALUES (2530, '25/05/2020', '25', '5', '2020', '452', '6', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '125.80602408');
INSERT INTO public.ecdc_import VALUES (2531, '24/05/2020', '24', '5', '2020', '359', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '113.19499291');
INSERT INTO public.ecdc_import VALUES (2532, '23/05/2020', '23', '5', '2020', '374', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '105.72304147');
INSERT INTO public.ecdc_import VALUES (2533, '22/05/2020', '22', '5', '2020', '322', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '98.01442188');
INSERT INTO public.ecdc_import VALUES (2534, '21/05/2020', '21', '5', '2020', '335', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '92.03009878');
INSERT INTO public.ecdc_import VALUES (2535, '20/05/2020', '20', '5', '2020', '230', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '84.15243051');
INSERT INTO public.ecdc_import VALUES (2536, '19/05/2020', '19', '5', '2020', '218', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '81.88717827');
INSERT INTO public.ecdc_import VALUES (2537, '18/05/2020', '18', '5', '2020', '351', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '78.30334635');
INSERT INTO public.ecdc_import VALUES (2538, '17/05/2020', '17', '5', '2020', '189', '5', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '70.52710729');
INSERT INTO public.ecdc_import VALUES (2539, '16/05/2020', '16', '5', '2020', '239', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '67.95756743');
INSERT INTO public.ecdc_import VALUES (2540, '15/05/2020', '15', '5', '2020', '184', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '64.10325764');
INSERT INTO public.ecdc_import VALUES (2541, '14/05/2020', '14', '5', '2020', '142', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '60.65466466');
INSERT INTO public.ecdc_import VALUES (2542, '13/05/2020', '13', '5', '2020', '180', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '60.38418678');
INSERT INTO public.ecdc_import VALUES (2543, '12/05/2020', '12', '5', '2020', '146', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '56.49606725');
INSERT INTO public.ecdc_import VALUES (2544, '11/05/2020', '11', '5', '2020', '79', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '53.5546203');
INSERT INTO public.ecdc_import VALUES (2545, '10/05/2020', '10', '5', '2020', '138', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '52.97985481');
INSERT INTO public.ecdc_import VALUES (2546, '09/05/2020', '9', '5', '2020', '146', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '50.64698309');
INSERT INTO public.ecdc_import VALUES (2547, '08/05/2020', '8', '5', '2020', '145', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '48.44935031');
INSERT INTO public.ecdc_import VALUES (2548, '07/05/2020', '7', '5', '2020', '102', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '46.01504939');
INSERT INTO public.ecdc_import VALUES (2549, '06/05/2020', '6', '5', '2020', '163', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '44.25694317');
INSERT INTO public.ecdc_import VALUES (2550, '05/05/2020', '5', '5', '2020', '112', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '41.18025728');
INSERT INTO public.ecdc_import VALUES (2551, '04/05/2020', '4', '5', '2020', '121', '4', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '39.48977053');
INSERT INTO public.ecdc_import VALUES (2552, '03/05/2020', '3', '5', '2020', '113', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '37.02165987');
INSERT INTO public.ecdc_import VALUES (2553, '02/05/2020', '2', '5', '2020', '125', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '34.65497842');
INSERT INTO public.ecdc_import VALUES (2554, '01/05/2020', '1', '5', '2020', '82', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '32.01781908');
INSERT INTO public.ecdc_import VALUES (2555, '30/04/2020', '30', '4', '2020', '134', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '30.66542968');
INSERT INTO public.ecdc_import VALUES (2556, '29/04/2020', '29', '4', '2020', '65', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '27.75779247');
INSERT INTO public.ecdc_import VALUES (2557, '28/04/2020', '28', '4', '2020', '59', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '27.04778803');
INSERT INTO public.ecdc_import VALUES (2558, '27/04/2020', '27', '4', '2020', '62', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '25.99968625');
INSERT INTO public.ecdc_import VALUES (2559, '26/04/2020', '26', '4', '2020', '69', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '24.78253578');
INSERT INTO public.ecdc_import VALUES (2560, '25/04/2020', '25', '4', '2020', '81', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '24.00491188');
INSERT INTO public.ecdc_import VALUES (2561, '24/04/2020', '24', '4', '2020', '73', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '22.28061539');
INSERT INTO public.ecdc_import VALUES (2562, '23/04/2020', '23', '4', '2020', '50', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.35346049');
INSERT INTO public.ecdc_import VALUES (2563, '22/04/2020', '22', '4', '2020', '72', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.01536314');
INSERT INTO public.ecdc_import VALUES (2564, '21/04/2020', '21', '4', '2020', '62', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '18.5277348');
INSERT INTO public.ecdc_import VALUES (2565, '20/04/2020', '20', '4', '2020', '48', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '17.10772593');
INSERT INTO public.ecdc_import VALUES (2566, '19/04/2020', '19', '4', '2020', '43', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '15.85676573');
INSERT INTO public.ecdc_import VALUES (2567, '18/04/2020', '18', '4', '2020', '47', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '16.16105335');
INSERT INTO public.ecdc_import VALUES (2568, '17/04/2020', '17', '4', '2020', '42', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '15.72152679');
INSERT INTO public.ecdc_import VALUES (2569, '16/04/2020', '16', '4', '2020', '48', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '16.76962858');
INSERT INTO public.ecdc_import VALUES (2570, '15/04/2020', '15', '4', '2020', '44', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '18.25725692');
INSERT INTO public.ecdc_import VALUES (2571, '14/04/2020', '14', '4', '2020', '28', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '18.08820825');
INSERT INTO public.ecdc_import VALUES (2572, '13/04/2020', '13', '4', '2020', '26', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '18.83202242');
INSERT INTO public.ecdc_import VALUES (2573, '12/04/2020', '12', '4', '2020', '46', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '19.91393394');
INSERT INTO public.ecdc_import VALUES (2574, '11/04/2020', '11', '4', '2020', '30', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.11679235');
INSERT INTO public.ecdc_import VALUES (2575, '10/04/2020', '10', '4', '2020', '16', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.5563189');
INSERT INTO public.ecdc_import VALUES (2576, '09/04/2020', '9', '4', '2020', '40', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '21.33394281');
INSERT INTO public.ecdc_import VALUES (2577, '08/04/2020', '8', '4', '2020', '28', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.82679678');
INSERT INTO public.ecdc_import VALUES (2578, '07/04/2020', '7', '4', '2020', '20', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.89441625');
INSERT INTO public.ecdc_import VALUES (2579, '06/04/2020', '6', '4', '2020', '11', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '21.60442069');
INSERT INTO public.ecdc_import VALUES (2580, '05/04/2020', '5', '4', '2020', '52', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '21.36775255');
INSERT INTO public.ecdc_import VALUES (2581, '04/04/2020', '4', '4', '2020', '34', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.62393837');
INSERT INTO public.ecdc_import VALUES (2582, '03/04/2020', '3', '4', '2020', '73', '3', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '20.28584102');
INSERT INTO public.ecdc_import VALUES (2583, '02/04/2020', '2', '4', '2020', '92', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '18.69678348');
INSERT INTO public.ecdc_import VALUES (2584, '01/04/2020', '1', '4', '2020', '39', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '16.66819937');
INSERT INTO public.ecdc_import VALUES (2585, '31/03/2020', '31', '3', '2020', '50', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '16.46534096');
INSERT INTO public.ecdc_import VALUES (2586, '30/03/2020', '30', '3', '2020', '58', '2', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '15.34961971');
INSERT INTO public.ecdc_import VALUES (2587, '29/03/2020', '29', '3', '2020', '52', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '13.65913296');
INSERT INTO public.ecdc_import VALUES (2588, '28/03/2020', '28', '3', '2020', '43', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '12.13769488');
INSERT INTO public.ecdc_import VALUES (2589, '27/03/2020', '27', '3', '2020', '39', '1', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '10.92054442');
INSERT INTO public.ecdc_import VALUES (2590, '26/03/2020', '26', '3', '2020', '25', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '9.66958422');
INSERT INTO public.ecdc_import VALUES (2591, '25/03/2020', '25', '3', '2020', '30', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '8.92577005');
INSERT INTO public.ecdc_import VALUES (2592, '24/03/2020', '24', '3', '2020', '41', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '7.911478');
INSERT INTO public.ecdc_import VALUES (2593, '23/03/2020', '23', '3', '2020', '4', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '6.5590886');
INSERT INTO public.ecdc_import VALUES (2594, '22/03/2020', '22', '3', '2020', '30', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '6.42384966');
INSERT INTO public.ecdc_import VALUES (2595, '21/03/2020', '21', '3', '2020', '24', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '5.40955761');
INSERT INTO public.ecdc_import VALUES (2596, '20/03/2020', '20', '3', '2020', '26', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '4.59812397');
INSERT INTO public.ecdc_import VALUES (2597, '19/03/2020', '19', '3', '2020', '32', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '3.71907085');
INSERT INTO public.ecdc_import VALUES (2598, '18/03/2020', '18', '3', '2020', '33', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '2.63715933');
INSERT INTO public.ecdc_import VALUES (2599, '17/03/2020', '17', '3', '2020', '17', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '1.52143808');
INSERT INTO public.ecdc_import VALUES (2600, '16/03/2020', '16', '3', '2020', '8', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.94667258');
INSERT INTO public.ecdc_import VALUES (2601, '15/03/2020', '15', '3', '2020', '7', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.6761947');
INSERT INTO public.ecdc_import VALUES (2602, '14/03/2020', '14', '3', '2020', '7', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.43952656');
INSERT INTO public.ecdc_import VALUES (2603, '13/03/2020', '13', '3', '2020', '2', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.20285841');
INSERT INTO public.ecdc_import VALUES (2604, '12/03/2020', '12', '3', '2020', '3', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.13523894');
INSERT INTO public.ecdc_import VALUES (2605, '02/03/2020', '2', '3', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.03380974');
INSERT INTO public.ecdc_import VALUES (2606, '01/03/2020', '1', '3', '2020', '1', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0.03380974');
INSERT INTO public.ecdc_import VALUES (2607, '29/02/2020', '29', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2608, '28/02/2020', '28', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2609, '27/02/2020', '27', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2610, '26/02/2020', '26', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2611, '25/02/2020', '25', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2612, '24/02/2020', '24', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2613, '23/02/2020', '23', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2614, '22/02/2020', '22', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2615, '21/02/2020', '21', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2616, '20/02/2020', '20', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2617, '19/02/2020', '19', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2618, '18/02/2020', '18', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2619, '17/02/2020', '17', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2620, '16/02/2020', '16', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2621, '15/02/2020', '15', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2622, '14/02/2020', '14', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2623, '13/02/2020', '13', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2624, '12/02/2020', '12', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2625, '11/02/2020', '11', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2626, '10/02/2020', '10', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2627, '09/02/2020', '9', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2628, '08/02/2020', '8', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2629, '07/02/2020', '7', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2630, '06/02/2020', '6', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2631, '05/02/2020', '5', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2632, '04/02/2020', '4', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2633, '03/02/2020', '3', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2634, '02/02/2020', '2', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2635, '01/02/2020', '1', '2', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2636, '31/01/2020', '31', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2637, '30/01/2020', '30', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2638, '29/01/2020', '29', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2639, '28/01/2020', '28', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2640, '27/01/2020', '27', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2641, '26/01/2020', '26', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2642, '25/01/2020', '25', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2643, '24/01/2020', '24', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2644, '23/01/2020', '23', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2645, '22/01/2020', '22', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2646, '21/01/2020', '21', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2647, '20/01/2020', '20', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2648, '19/01/2020', '19', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2649, '18/01/2020', '18', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2650, '17/01/2020', '17', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2651, '16/01/2020', '16', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2652, '15/01/2020', '15', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2653, '14/01/2020', '14', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2654, '13/01/2020', '13', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (2655, '12/01/2020', '12', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2656, '11/01/2020', '11', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2657, '10/01/2020', '10', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2658, '09/01/2020', '9', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2659, '08/01/2020', '8', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2660, '07/01/2020', '7', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2661, '06/01/2020', '6', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2662, '05/01/2020', '5', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2663, '04/01/2020', '4', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2664, '03/01/2020', '3', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2665, '02/01/2020', '2', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2666, '01/01/2020', '1', '1', '2020', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2667, '31/12/2019', '31', '12', '2019', '0', '0', '2957728', 'Armenia', 'AM', 'ARM', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (2668, '14/12/2020', '14', '12', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '198.47615464');
INSERT INTO public.ecdc_import VALUES (2669, '13/12/2020', '13', '12', '2020', '13', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '198.47615464');
INSERT INTO public.ecdc_import VALUES (2670, '12/12/2020', '12', '12', '2020', '20', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '209.76389803');
INSERT INTO public.ecdc_import VALUES (2671, '11/12/2020', '11', '12', '2020', '15', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '206.94196219');
INSERT INTO public.ecdc_import VALUES (2672, '10/12/2020', '10', '12', '2020', '12', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '205.06067162');
INSERT INTO public.ecdc_import VALUES (2673, '09/12/2020', '9', '12', '2020', '18', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '219.17035086');
INSERT INTO public.ecdc_import VALUES (2674, '08/12/2020', '8', '12', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '215.40776973');
INSERT INTO public.ecdc_import VALUES (2675, '07/12/2020', '7', '12', '2020', '8', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '220.11099614');
INSERT INTO public.ecdc_import VALUES (2676, '06/12/2020', '6', '12', '2020', '15', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '219.17035086');
INSERT INTO public.ecdc_import VALUES (2677, '05/12/2020', '5', '12', '2020', '19', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '229.51744897');
INSERT INTO public.ecdc_import VALUES (2678, '04/12/2020', '4', '12', '2020', '21', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '216.34841501');
INSERT INTO public.ecdc_import VALUES (2679, '03/12/2020', '3', '12', '2020', '30', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '204.12002634');
INSERT INTO public.ecdc_import VALUES (2680, '02/12/2020', '2', '12', '2020', '27', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '184.3664754');
INSERT INTO public.ecdc_import VALUES (2681, '01/12/2020', '1', '12', '2020', '7', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '166.49421503');
INSERT INTO public.ecdc_import VALUES (2682, '30/11/2020', '30', '11', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '165.55356975');
INSERT INTO public.ecdc_import VALUES (2683, '29/11/2020', '29', '11', '2020', '25', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '164.61292447');
INSERT INTO public.ecdc_import VALUES (2684, '28/11/2020', '28', '11', '2020', '17', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '148.62195466');
INSERT INTO public.ecdc_import VALUES (2685, '27/11/2020', '27', '11', '2020', '13', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '142.97808296');
INSERT INTO public.ecdc_import VALUES (2686, '26/11/2020', '26', '11', '2020', '27', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '138.27485655');
INSERT INTO public.ecdc_import VALUES (2687, '25/11/2020', '25', '11', '2020', '14', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '121.34324146');
INSERT INTO public.ecdc_import VALUES (2688, '24/11/2020', '24', '11', '2020', '6', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '123.22453203');
INSERT INTO public.ecdc_import VALUES (2689, '23/11/2020', '23', '11', '2020', '7', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '123.22453203');
INSERT INTO public.ecdc_import VALUES (2690, '22/11/2020', '22', '11', '2020', '26', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '126.98711316');
INSERT INTO public.ecdc_import VALUES (2691, '21/11/2020', '21', '11', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '112.87743392');
INSERT INTO public.ecdc_import VALUES (2692, '20/11/2020', '20', '11', '2020', '8', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '121.34324146');
INSERT INTO public.ecdc_import VALUES (2693, '19/11/2020', '19', '11', '2020', '9', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '124.16517731');
INSERT INTO public.ecdc_import VALUES (2694, '18/11/2020', '18', '11', '2020', '8', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '129.80904901');
INSERT INTO public.ecdc_import VALUES (2695, '17/11/2020', '17', '11', '2020', '6', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '135.4529207');
INSERT INTO public.ecdc_import VALUES (2696, '16/11/2020', '16', '11', '2020', '4', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '134.51227542');
INSERT INTO public.ecdc_import VALUES (2697, '15/11/2020', '15', '11', '2020', '8', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '136.39356599');
INSERT INTO public.ecdc_import VALUES (2698, '14/11/2020', '14', '11', '2020', '11', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '167.43486031');
INSERT INTO public.ecdc_import VALUES (2699, '13/11/2020', '13', '11', '2020', '8', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '173.07873201');
INSERT INTO public.ecdc_import VALUES (2700, '12/11/2020', '12', '11', '2020', '9', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '182.48518484');
INSERT INTO public.ecdc_import VALUES (2701, '11/11/2020', '11', '11', '2020', '16', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '190.0103471');
INSERT INTO public.ecdc_import VALUES (2702, '10/11/2020', '10', '11', '2020', '6', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '174.96002258');
INSERT INTO public.ecdc_import VALUES (2703, '09/11/2020', '9', '11', '2020', '11', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '169.31615088');
INSERT INTO public.ecdc_import VALUES (2704, '08/11/2020', '8', '11', '2020', '11', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '168.3755056');
INSERT INTO public.ecdc_import VALUES (2705, '07/11/2020', '7', '11', '2020', '14', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '166.49421503');
INSERT INTO public.ecdc_import VALUES (2706, '06/11/2020', '6', '11', '2020', '11', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '164.61292447');
INSERT INTO public.ecdc_import VALUES (2707, '05/11/2020', '5', '11', '2020', '15', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '173.07873201');
INSERT INTO public.ecdc_import VALUES (2708, '04/11/2020', '4', '11', '2020', '14', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '172.13808673');
INSERT INTO public.ecdc_import VALUES (2709, '03/11/2020', '3', '11', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '178.72260371');
INSERT INTO public.ecdc_import VALUES (2710, '02/11/2020', '2', '11', '2020', '6', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '185.30712068');
INSERT INTO public.ecdc_import VALUES (2711, '01/11/2020', '1', '11', '2020', '41', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '196.59486408');
INSERT INTO public.ecdc_import VALUES (2712, '31/10/2020', '31', '10', '2020', '17', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '172.13808673');
INSERT INTO public.ecdc_import VALUES (2713, '30/10/2020', '30', '10', '2020', '18', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '159.90969805');
INSERT INTO public.ecdc_import VALUES (2714, '29/10/2020', '29', '10', '2020', '17', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '171.19744144');
INSERT INTO public.ecdc_import VALUES (2715, '28/10/2020', '28', '10', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '179.66324899');
INSERT INTO public.ecdc_import VALUES (2716, '27/10/2020', '27', '10', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '209.76389803');
INSERT INTO public.ecdc_import VALUES (2717, '26/10/2020', '26', '10', '2020', '10', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '212.58583388');
INSERT INTO public.ecdc_import VALUES (2718, '25/10/2020', '25', '10', '2020', '9', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '208.82325275');
INSERT INTO public.ecdc_import VALUES (2719, '24/10/2020', '24', '10', '2020', '12', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '220.11099614');
INSERT INTO public.ecdc_import VALUES (2720, '23/10/2020', '23', '10', '2020', '20', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '240.80519236');
INSERT INTO public.ecdc_import VALUES (2721, '22/10/2020', '22', '10', '2020', '14', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '245.50841878');
INSERT INTO public.ecdc_import VALUES (2722, '21/10/2020', '21', '10', '2020', '21', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '245.50841878');
INSERT INTO public.ecdc_import VALUES (2723, '20/10/2020', '20', '10', '2020', '12', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '239.86454708');
INSERT INTO public.ecdc_import VALUES (2724, '19/10/2020', '19', '10', '2020', '18', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '228.57680369');
INSERT INTO public.ecdc_import VALUES (2725, '18/10/2020', '18', '10', '2020', '15', '2', '106310', 'Aruba', 'AW', 'ABW', 'America', '216.34841501');
INSERT INTO public.ecdc_import VALUES (2726, '17/10/2020', '17', '10', '2020', '4', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '236.10196595');
INSERT INTO public.ecdc_import VALUES (2727, '16/10/2020', '16', '10', '2020', '30', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '269.96519612');
INSERT INTO public.ecdc_import VALUES (2728, '15/10/2020', '15', '10', '2020', '26', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '274.66842254');
INSERT INTO public.ecdc_import VALUES (2729, '14/10/2020', '14', '10', '2020', '32', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '277.49035839');
INSERT INTO public.ecdc_import VALUES (2730, '13/10/2020', '13', '10', '2020', '3', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '305.70971687');
INSERT INTO public.ecdc_import VALUES (2731, '12/10/2020', '12', '10', '2020', '6', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '329.22584893');
INSERT INTO public.ecdc_import VALUES (2732, '11/10/2020', '11', '10', '2020', '21', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '334.86972063');
INSERT INTO public.ecdc_import VALUES (2733, '10/10/2020', '10', '10', '2020', '34', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '346.15746402');
INSERT INTO public.ecdc_import VALUES (2734, '09/10/2020', '9', '10', '2020', '25', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '354.62327156');
INSERT INTO public.ecdc_import VALUES (2735, '08/10/2020', '8', '10', '2020', '14', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '364.02972439');
INSERT INTO public.ecdc_import VALUES (2736, '07/10/2020', '7', '10', '2020', '15', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '403.53682626');
INSERT INTO public.ecdc_import VALUES (2737, '06/10/2020', '6', '10', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '462.79747907');
INSERT INTO public.ecdc_import VALUES (2738, '05/10/2020', '5', '10', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '496.66070925');
INSERT INTO public.ecdc_import VALUES (2739, '04/10/2020', '4', '10', '2020', '36', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '577.55620356');
INSERT INTO public.ecdc_import VALUES (2740, '03/10/2020', '3', '10', '2020', '40', '3', '106310', 'Aruba', 'AW', 'ABW', 'America', '543.69297338');
INSERT INTO public.ecdc_import VALUES (2741, '02/10/2020', '2', '10', '2020', '35', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '579.43749412');
INSERT INTO public.ecdc_import VALUES (2742, '01/10/2020', '1', '10', '2020', '29', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '597.30975449');
INSERT INTO public.ecdc_import VALUES (2743, '30/09/2020', '30', '9', '2020', '62', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '735.58461104');
INSERT INTO public.ecdc_import VALUES (2744, '29/09/2020', '29', '9', '2020', '28', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '763.80396952');
INSERT INTO public.ecdc_import VALUES (2745, '28/09/2020', '28', '9', '2020', '12', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '750.63493557');
INSERT INTO public.ecdc_import VALUES (2746, '27/09/2020', '27', '9', '2020', '33', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '788.26074687');
INSERT INTO public.ecdc_import VALUES (2747, '26/09/2020', '26', '9', '2020', '43', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '847.52139968');
INSERT INTO public.ecdc_import VALUES (2748, '25/09/2020', '25', '9', '2020', '35', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '881.38462986');
INSERT INTO public.ecdc_import VALUES (2749, '24/09/2020', '24', '9', '2020', '56', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '932.17947512');
INSERT INTO public.ecdc_import VALUES (2750, '23/09/2020', '23', '9', '2020', '78', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '1012.13432415');
INSERT INTO public.ecdc_import VALUES (2751, '22/09/2020', '22', '9', '2020', '36', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '1039.41303734');
INSERT INTO public.ecdc_import VALUES (2752, '21/09/2020', '21', '9', '2020', '91', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1036.5911015');
INSERT INTO public.ecdc_import VALUES (2753, '20/09/2020', '20', '9', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '970.74593171');
INSERT INTO public.ecdc_import VALUES (2754, '19/09/2020', '19', '9', '2020', '78', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1036.5911015');
INSERT INTO public.ecdc_import VALUES (2755, '18/09/2020', '18', '9', '2020', '54', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '1025.3033581');
INSERT INTO public.ecdc_import VALUES (2756, '17/09/2020', '17', '9', '2020', '176', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1050.70078074');
INSERT INTO public.ecdc_import VALUES (2757, '16/09/2020', '16', '9', '2020', '92', '2', '106310', 'Aruba', 'AW', 'ABW', 'America', '985.79625623');
INSERT INTO public.ecdc_import VALUES (2758, '15/09/2020', '15', '9', '2020', '14', '2', '106310', 'Aruba', 'AW', 'ABW', 'America', '991.44012793');
INSERT INTO public.ecdc_import VALUES (2759, '14/09/2020', '14', '9', '2020', '52', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '986.73690151');
INSERT INTO public.ecdc_import VALUES (2760, '13/09/2020', '13', '9', '2020', '96', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '958.51754303');
INSERT INTO public.ecdc_import VALUES (2761, '12/09/2020', '12', '9', '2020', '79', '2', '106310', 'Aruba', 'AW', 'ABW', 'America', '933.1201204');
INSERT INTO public.ecdc_import VALUES (2762, '11/09/2020', '11', '9', '2020', '89', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '913.36656947');
INSERT INTO public.ecdc_import VALUES (2763, '10/09/2020', '10', '9', '2020', '141', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '912.42592418');
INSERT INTO public.ecdc_import VALUES (2764, '09/09/2020', '9', '9', '2020', '107', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '864.45301477');
INSERT INTO public.ecdc_import VALUES (2765, '08/09/2020', '8', '9', '2020', '33', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '803.31107139');
INSERT INTO public.ecdc_import VALUES (2766, '07/09/2020', '7', '9', '2020', '21', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '828.70849403');
INSERT INTO public.ecdc_import VALUES (2767, '06/09/2020', '6', '9', '2020', '70', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '840.9368827');
INSERT INTO public.ecdc_import VALUES (2768, '05/09/2020', '5', '9', '2020', '66', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '840.9368827');
INSERT INTO public.ecdc_import VALUES (2769, '04/09/2020', '4', '9', '2020', '81', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '851.28398081');
INSERT INTO public.ecdc_import VALUES (2770, '03/09/2020', '3', '9', '2020', '107', '2', '106310', 'Aruba', 'AW', 'ABW', 'America', '860.69043364');
INSERT INTO public.ecdc_import VALUES (2771, '02/09/2020', '2', '9', '2020', '98', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '924.65431286');
INSERT INTO public.ecdc_import VALUES (2772, '01/09/2020', '1', '9', '2020', '9', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '832.47107516');
INSERT INTO public.ecdc_import VALUES (2773, '31/08/2020', '31', '8', '2020', '22', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '841.87752798');
INSERT INTO public.ecdc_import VALUES (2774, '30/08/2020', '30', '8', '2020', '69', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '871.97817703');
INSERT INTO public.ecdc_import VALUES (2775, '29/08/2020', '29', '8', '2020', '58', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '877.62204873');
INSERT INTO public.ecdc_import VALUES (2776, '28/08/2020', '28', '8', '2020', '88', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '897.37559966');
INSERT INTO public.ecdc_import VALUES (2777, '27/08/2020', '27', '8', '2020', '90', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '904.90076192');
INSERT INTO public.ecdc_import VALUES (2778, '26/08/2020', '26', '8', '2020', '42', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '896.43495438');
INSERT INTO public.ecdc_import VALUES (2779, '25/08/2020', '25', '8', '2020', '60', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '938.7639921');
INSERT INTO public.ecdc_import VALUES (2780, '24/08/2020', '24', '8', '2020', '34', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '945.34850908');
INSERT INTO public.ecdc_import VALUES (2781, '23/08/2020', '23', '8', '2020', '70', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '964.16141473');
INSERT INTO public.ecdc_import VALUES (2782, '22/08/2020', '22', '8', '2020', '77', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1004.60916189');
INSERT INTO public.ecdc_import VALUES (2783, '21/08/2020', '21', '8', '2020', '91', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '1057.28529771');
INSERT INTO public.ecdc_import VALUES (2784, '20/08/2020', '20', '8', '2020', '175', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '1058.225943');
INSERT INTO public.ecdc_import VALUES (2785, '19/08/2020', '19', '8', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '930.29818455');
INSERT INTO public.ecdc_import VALUES (2786, '18/08/2020', '18', '8', '2020', '19', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '937.82334682');
INSERT INTO public.ecdc_import VALUES (2787, '17/08/2020', '17', '8', '2020', '54', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '921.83237701');
INSERT INTO public.ecdc_import VALUES (2788, '16/08/2020', '16', '8', '2020', '75', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '871.97817703');
INSERT INTO public.ecdc_import VALUES (2789, '15/08/2020', '15', '8', '2020', '79', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '801.42978083');
INSERT INTO public.ecdc_import VALUES (2790, '14/08/2020', '14', '8', '2020', '96', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '728.05944878');
INSERT INTO public.ecdc_import VALUES (2791, '13/08/2020', '13', '8', '2020', '81', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '638.69814693');
INSERT INTO public.ecdc_import VALUES (2792, '12/08/2020', '12', '8', '2020', '87', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '562.50587903');
INSERT INTO public.ecdc_import VALUES (2793, '11/08/2020', '11', '8', '2020', '67', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '480.66973944');
INSERT INTO public.ecdc_import VALUES (2794, '10/08/2020', '10', '8', '2020', '54', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '417.6465055');
INSERT INTO public.ecdc_import VALUES (2795, '09/08/2020', '9', '8', '2020', '113', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '366.85166024');
INSERT INTO public.ecdc_import VALUES (2796, '08/08/2020', '8', '8', '2020', '133', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '261.49938858');
INSERT INTO public.ecdc_import VALUES (2797, '07/08/2020', '7', '8', '2020', '92', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '137.33421127');
INSERT INTO public.ecdc_import VALUES (2798, '06/08/2020', '6', '8', '2020', '39', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '50.79484526');
INSERT INTO public.ecdc_import VALUES (2799, '05/08/2020', '5', '8', '2020', '8', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '14.10967924');
INSERT INTO public.ecdc_import VALUES (2800, '04/08/2020', '4', '8', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '8.46580754');
INSERT INTO public.ecdc_import VALUES (2801, '03/08/2020', '3', '8', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '8.46580754');
INSERT INTO public.ecdc_import VALUES (2802, '02/08/2020', '2', '8', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '12.22838867');
INSERT INTO public.ecdc_import VALUES (2803, '01/08/2020', '1', '8', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '12.22838867');
INSERT INTO public.ecdc_import VALUES (2804, '31/07/2020', '31', '7', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '11.28774339');
INSERT INTO public.ecdc_import VALUES (2805, '30/07/2020', '30', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '12.22838867');
INSERT INTO public.ecdc_import VALUES (2806, '29/07/2020', '29', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '12.22838867');
INSERT INTO public.ecdc_import VALUES (2807, '28/07/2020', '28', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '13.16903396');
INSERT INTO public.ecdc_import VALUES (2808, '27/07/2020', '27', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '13.16903396');
INSERT INTO public.ecdc_import VALUES (2809, '26/07/2020', '26', '7', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '13.16903396');
INSERT INTO public.ecdc_import VALUES (2810, '25/07/2020', '25', '7', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '12.22838867');
INSERT INTO public.ecdc_import VALUES (2811, '24/07/2020', '24', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '11.28774339');
INSERT INTO public.ecdc_import VALUES (2812, '23/07/2020', '23', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '11.28774339');
INSERT INTO public.ecdc_import VALUES (2813, '22/07/2020', '22', '7', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '11.28774339');
INSERT INTO public.ecdc_import VALUES (2814, '21/07/2020', '21', '7', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '9.40645283');
INSERT INTO public.ecdc_import VALUES (2815, '20/07/2020', '20', '7', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '7.52516226');
INSERT INTO public.ecdc_import VALUES (2816, '19/07/2020', '19', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2817, '18/07/2020', '18', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2818, '17/07/2020', '17', '7', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2819, '16/07/2020', '16', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2820, '15/07/2020', '15', '7', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2821, '14/07/2020', '14', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1.88129057');
INSERT INTO public.ecdc_import VALUES (2822, '13/07/2020', '13', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2823, '12/07/2020', '12', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2824, '11/07/2020', '11', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2825, '10/07/2020', '10', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2826, '09/07/2020', '9', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2827, '08/07/2020', '8', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2828, '07/07/2020', '7', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2829, '06/07/2020', '6', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2830, '05/07/2020', '5', '7', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2831, '04/07/2020', '4', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2832, '03/07/2020', '3', '7', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2833, '02/07/2020', '2', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1.88129057');
INSERT INTO public.ecdc_import VALUES (2834, '01/07/2020', '1', '7', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1.88129057');
INSERT INTO public.ecdc_import VALUES (2835, '30/06/2020', '30', '6', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '1.88129057');
INSERT INTO public.ecdc_import VALUES (2836, '29/06/2020', '29', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2837, '28/06/2020', '28', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2838, '27/06/2020', '27', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2839, '26/06/2020', '26', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2840, '25/06/2020', '25', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2841, '24/06/2020', '24', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2842, '23/06/2020', '23', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2843, '22/06/2020', '22', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2844, '21/06/2020', '21', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2845, '20/06/2020', '20', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2846, '19/06/2020', '19', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2847, '18/06/2020', '18', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2848, '17/06/2020', '17', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2849, '16/06/2020', '16', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2850, '15/06/2020', '15', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2851, '14/06/2020', '14', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2852, '13/06/2020', '13', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2853, '12/06/2020', '12', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2854, '11/06/2020', '11', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2855, '10/06/2020', '10', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2856, '09/06/2020', '9', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2857, '08/06/2020', '8', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2858, '07/06/2020', '7', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2859, '06/06/2020', '6', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2860, '05/06/2020', '5', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2861, '04/06/2020', '4', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2862, '03/06/2020', '3', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2863, '02/06/2020', '2', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2864, '01/06/2020', '1', '6', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2865, '31/05/2020', '31', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2866, '30/05/2020', '30', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2867, '29/05/2020', '29', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2868, '28/05/2020', '28', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2869, '27/05/2020', '27', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2870, '26/05/2020', '26', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2871, '25/05/2020', '25', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2872, '24/05/2020', '24', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2873, '23/05/2020', '23', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2874, '22/05/2020', '22', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2875, '21/05/2020', '21', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (2876, '20/05/2020', '20', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2877, '19/05/2020', '19', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2878, '18/05/2020', '18', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2879, '17/05/2020', '17', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2880, '16/05/2020', '16', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2881, '15/05/2020', '15', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2882, '14/05/2020', '14', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2883, '13/05/2020', '13', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2884, '12/05/2020', '12', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2885, '11/05/2020', '11', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2886, '10/05/2020', '10', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2887, '09/05/2020', '9', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2888, '08/05/2020', '8', '5', '2020', '0', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2889, '07/05/2020', '7', '5', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '0.94064528');
INSERT INTO public.ecdc_import VALUES (2890, '06/05/2020', '6', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2891, '05/05/2020', '5', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2892, '04/05/2020', '4', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '2.82193585');
INSERT INTO public.ecdc_import VALUES (2893, '03/05/2020', '3', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2894, '02/05/2020', '2', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '3.76258113');
INSERT INTO public.ecdc_import VALUES (2895, '01/05/2020', '1', '5', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '4.70322641');
INSERT INTO public.ecdc_import VALUES (2896, '30/04/2020', '30', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '6.58451698');
INSERT INTO public.ecdc_import VALUES (2897, '29/04/2020', '29', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '7.52516226');
INSERT INTO public.ecdc_import VALUES (2898, '28/04/2020', '28', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '7.52516226');
INSERT INTO public.ecdc_import VALUES (2899, '27/04/2020', '27', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '7.52516226');
INSERT INTO public.ecdc_import VALUES (2900, '26/04/2020', '26', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '7.52516226');
INSERT INTO public.ecdc_import VALUES (2901, '25/04/2020', '25', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '13.16903396');
INSERT INTO public.ecdc_import VALUES (2902, '24/04/2020', '24', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '16.93161509');
INSERT INTO public.ecdc_import VALUES (2903, '23/04/2020', '23', '4', '2020', '3', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '21.6348415');
INSERT INTO public.ecdc_import VALUES (2904, '22/04/2020', '22', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '21.6348415');
INSERT INTO public.ecdc_import VALUES (2905, '21/04/2020', '21', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '24.45677735');
INSERT INTO public.ecdc_import VALUES (2906, '20/04/2020', '20', '4', '2020', '1', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '31.04129433');
INSERT INTO public.ecdc_import VALUES (2907, '19/04/2020', '19', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '30.10064905');
INSERT INTO public.ecdc_import VALUES (2908, '18/04/2020', '18', '4', '2020', '1', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '31.98193961');
INSERT INTO public.ecdc_import VALUES (2909, '17/04/2020', '17', '4', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '32.92258489');
INSERT INTO public.ecdc_import VALUES (2910, '16/04/2020', '16', '4', '2020', '1', '1', '106310', 'Aruba', 'AW', 'ABW', 'America', '35.74452074');
INSERT INTO public.ecdc_import VALUES (2911, '15/04/2020', '15', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '34.80387546');
INSERT INTO public.ecdc_import VALUES (2912, '14/04/2020', '14', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '39.50710187');
INSERT INTO public.ecdc_import VALUES (2913, '13/04/2020', '13', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '60.20129809');
INSERT INTO public.ecdc_import VALUES (2914, '12/04/2020', '12', '4', '2020', '6', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '60.20129809');
INSERT INTO public.ecdc_import VALUES (2915, '11/04/2020', '11', '4', '2020', '4', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '54.55742639');
INSERT INTO public.ecdc_import VALUES (2916, '10/04/2020', '10', '4', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '59.26065281');
INSERT INTO public.ecdc_import VALUES (2917, '09/04/2020', '9', '4', '2020', '3', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '56.43871696');
INSERT INTO public.ecdc_import VALUES (2918, '08/04/2020', '8', '4', '2020', '3', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '58.32000753');
INSERT INTO public.ecdc_import VALUES (2919, '07/04/2020', '7', '4', '2020', '7', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '63.02323394');
INSERT INTO public.ecdc_import VALUES (2920, '06/04/2020', '6', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '58.32000753');
INSERT INTO public.ecdc_import VALUES (2921, '05/04/2020', '5', '4', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '60.20129809');
INSERT INTO public.ecdc_import VALUES (2922, '04/04/2020', '4', '4', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2923, '03/04/2020', '3', '4', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2924, '02/04/2020', '2', '4', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2925, '01/04/2020', '1', '4', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2926, '30/03/2020', '30', '3', '2020', '22', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2927, '29/03/2020', '29', '3', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2928, '28/03/2020', '28', '3', '2020', '0', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2929, '27/03/2020', '27', '3', '2020', '9', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2930, '26/03/2020', '26', '3', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2931, '25/03/2020', '25', '3', '2020', '5', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2932, '24/03/2020', '24', '3', '2020', '8', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2933, '20/03/2020', '20', '3', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2934, '13/03/2020', '13', '3', '2020', '2', '0', '106310', 'Aruba', 'AW', 'ABW', 'America', '');
INSERT INTO public.ecdc_import VALUES (2935, '14/12/2020', '14', '12', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.54754952');
INSERT INTO public.ecdc_import VALUES (2936, '13/12/2020', '13', '12', '2020', '13', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.55548502');
INSERT INTO public.ecdc_import VALUES (2937, '12/12/2020', '12', '12', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.54754952');
INSERT INTO public.ecdc_import VALUES (2938, '11/12/2020', '11', '12', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.52771077');
INSERT INTO public.ecdc_import VALUES (2939, '10/12/2020', '10', '12', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.55151727');
INSERT INTO public.ecdc_import VALUES (2940, '09/12/2020', '9', '12', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.55151727');
INSERT INTO public.ecdc_import VALUES (2941, '08/12/2020', '8', '12', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.54358177');
INSERT INTO public.ecdc_import VALUES (2942, '07/12/2020', '7', '12', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.57135602');
INSERT INTO public.ecdc_import VALUES (2943, '06/12/2020', '6', '12', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59119477');
INSERT INTO public.ecdc_import VALUES (2944, '05/12/2020', '5', '12', '2020', '10', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.63484002');
INSERT INTO public.ecdc_import VALUES (2945, '04/12/2020', '4', '12', '2020', '16', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61500127');
INSERT INTO public.ecdc_import VALUES (2946, '03/12/2020', '3', '12', '2020', '11', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.57929152');
INSERT INTO public.ecdc_import VALUES (2947, '02/12/2020', '2', '12', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61896902');
INSERT INTO public.ecdc_import VALUES (2948, '01/12/2020', '1', '12', '2020', '11', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61103352');
INSERT INTO public.ecdc_import VALUES (2949, '30/11/2020', '30', '11', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.66658202');
INSERT INTO public.ecdc_import VALUES (2950, '29/11/2020', '29', '11', '2020', '11', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.69038852');
INSERT INTO public.ecdc_import VALUES (2951, '28/11/2020', '28', '11', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.67848527');
INSERT INTO public.ecdc_import VALUES (2952, '27/11/2020', '27', '11', '2020', '13', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.67054977');
INSERT INTO public.ecdc_import VALUES (2953, '26/11/2020', '26', '11', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.66658202');
INSERT INTO public.ecdc_import VALUES (2954, '25/11/2020', '25', '11', '2020', '13', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.67451752');
INSERT INTO public.ecdc_import VALUES (2955, '24/11/2020', '24', '11', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.66261427');
INSERT INTO public.ecdc_import VALUES (2956, '23/11/2020', '23', '11', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.64674327');
INSERT INTO public.ecdc_import VALUES (2957, '22/11/2020', '22', '11', '2020', '18', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61500127');
INSERT INTO public.ecdc_import VALUES (2958, '21/11/2020', '21', '11', '2020', '5', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.57135602');
INSERT INTO public.ecdc_import VALUES (2959, '20/11/2020', '20', '11', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59913027');
INSERT INTO public.ecdc_import VALUES (2960, '19/11/2020', '19', '11', '2020', '21', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61500127');
INSERT INTO public.ecdc_import VALUES (2961, '18/11/2020', '18', '11', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.57929152');
INSERT INTO public.ecdc_import VALUES (2962, '17/11/2020', '17', '11', '2020', '25', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.58722702');
INSERT INTO public.ecdc_import VALUES (2963, '16/11/2020', '16', '11', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.51580752');
INSERT INTO public.ecdc_import VALUES (2964, '15/11/2020', '15', '11', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.48009777');
INSERT INTO public.ecdc_import VALUES (2965, '14/11/2020', '14', '11', '2020', '5', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.48009777');
INSERT INTO public.ecdc_import VALUES (2966, '13/11/2020', '13', '11', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.51183977');
INSERT INTO public.ecdc_import VALUES (2967, '12/11/2020', '12', '11', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.52374302');
INSERT INTO public.ecdc_import VALUES (2968, '11/11/2020', '11', '11', '2020', '10', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.54358177');
INSERT INTO public.ecdc_import VALUES (2969, '10/11/2020', '10', '11', '2020', '10', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.55945277');
INSERT INTO public.ecdc_import VALUES (2970, '09/11/2020', '9', '11', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.54754952');
INSERT INTO public.ecdc_import VALUES (2971, '08/11/2020', '8', '11', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.60706577');
INSERT INTO public.ecdc_import VALUES (2972, '07/11/2020', '7', '11', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.63880777');
INSERT INTO public.ecdc_import VALUES (2973, '06/11/2020', '6', '11', '2020', '11', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.66261427');
INSERT INTO public.ecdc_import VALUES (2974, '05/11/2020', '5', '11', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.70625952');
INSERT INTO public.ecdc_import VALUES (2975, '04/11/2020', '4', '11', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.71419502');
INSERT INTO public.ecdc_import VALUES (2976, '03/11/2020', '3', '11', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.80545328');
INSERT INTO public.ecdc_import VALUES (2977, '02/11/2020', '2', '11', '2020', '5', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.81338878');
INSERT INTO public.ecdc_import VALUES (2978, '01/11/2020', '1', '11', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.82132428');
INSERT INTO public.ecdc_import VALUES (2979, '31/10/2020', '31', '10', '2020', '13', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.83719528');
INSERT INTO public.ecdc_import VALUES (2980, '30/10/2020', '30', '10', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.82132428');
INSERT INTO public.ecdc_import VALUES (2981, '29/10/2020', '29', '10', '2020', '13', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.84513078');
INSERT INTO public.ecdc_import VALUES (2982, '28/10/2020', '28', '10', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.88877603');
INSERT INTO public.ecdc_import VALUES (2983, '27/10/2020', '27', '10', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.95622778');
INSERT INTO public.ecdc_import VALUES (2984, '26/10/2020', '26', '10', '2020', '21', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.01574403');
INSERT INTO public.ecdc_import VALUES (2985, '25/10/2020', '25', '10', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.01177628');
INSERT INTO public.ecdc_import VALUES (2986, '24/10/2020', '24', '10', '2020', '18', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.01177628');
INSERT INTO public.ecdc_import VALUES (2987, '23/10/2020', '23', '10', '2020', '22', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.03161503');
INSERT INTO public.ecdc_import VALUES (2988, '22/10/2020', '22', '10', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.03955053');
INSERT INTO public.ecdc_import VALUES (2989, '21/10/2020', '21', '10', '2020', '31', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.01574403');
INSERT INTO public.ecdc_import VALUES (2990, '20/10/2020', '20', '10', '2020', '9', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.99193753');
INSERT INTO public.ecdc_import VALUES (2991, '19/10/2020', '19', '10', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.00780853');
INSERT INTO public.ecdc_import VALUES (2992, '18/10/2020', '18', '10', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.03955053');
INSERT INTO public.ecdc_import VALUES (2993, '17/10/2020', '17', '10', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.02367953');
INSERT INTO public.ecdc_import VALUES (2994, '16/10/2020', '16', '10', '2020', '21', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.05542153');
INSERT INTO public.ecdc_import VALUES (2995, '15/10/2020', '15', '10', '2020', '24', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.10303454');
INSERT INTO public.ecdc_import VALUES (2996, '14/10/2020', '14', '10', '2020', '31', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.00780853');
INSERT INTO public.ecdc_import VALUES (2997, '13/10/2020', '13', '10', '2020', '22', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.96019553');
INSERT INTO public.ecdc_import VALUES (2998, '12/10/2020', '12', '10', '2020', '20', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.88877603');
INSERT INTO public.ecdc_import VALUES (2999, '11/10/2020', '11', '10', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90464703');
INSERT INTO public.ecdc_import VALUES (3000, '10/10/2020', '10', '10', '2020', '23', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90861478');
INSERT INTO public.ecdc_import VALUES (3001, '09/10/2020', '9', '10', '2020', '24', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.88480828');
INSERT INTO public.ecdc_import VALUES (3002, '08/10/2020', '8', '10', '2020', '8', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.82925978');
INSERT INTO public.ecdc_import VALUES (3003, '07/10/2020', '7', '10', '2020', '25', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.92051803');
INSERT INTO public.ecdc_import VALUES (3004, '06/10/2020', '6', '10', '2020', '13', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.94035678');
INSERT INTO public.ecdc_import VALUES (3005, '05/10/2020', '5', '10', '2020', '15', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.94432453');
INSERT INTO public.ecdc_import VALUES (3006, '04/10/2020', '4', '10', '2020', '8', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.93638903');
INSERT INTO public.ecdc_import VALUES (3007, '03/10/2020', '3', '10', '2020', '17', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.99987303');
INSERT INTO public.ecdc_import VALUES (3008, '02/10/2020', '2', '10', '2020', '33', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.12287329');
INSERT INTO public.ecdc_import VALUES (3009, '01/10/2020', '1', '10', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.12684104');
INSERT INTO public.ecdc_import VALUES (3010, '30/09/2020', '30', '9', '2020', '19', '7', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.28951879');
INSERT INTO public.ecdc_import VALUES (3011, '29/09/2020', '29', '9', '2020', '4', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.39664804');
INSERT INTO public.ecdc_import VALUES (3012, '28/09/2020', '28', '9', '2020', '24', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.5434548');
INSERT INTO public.ecdc_import VALUES (3013, '27/09/2020', '27', '9', '2020', '16', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.6228098');
INSERT INTO public.ecdc_import VALUES (3014, '26/09/2020', '26', '9', '2020', '17', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.72597131');
INSERT INTO public.ecdc_import VALUES (3015, '25/09/2020', '25', '9', '2020', '10', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.86484256');
INSERT INTO public.ecdc_import VALUES (3016, '24/09/2020', '24', '9', '2020', '31', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.01561706');
INSERT INTO public.ecdc_import VALUES (3017, '23/09/2020', '23', '9', '2020', '30', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.25368207');
INSERT INTO public.ecdc_import VALUES (3018, '22/09/2020', '22', '9', '2020', '14', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.34097257');
INSERT INTO public.ecdc_import VALUES (3019, '21/09/2020', '21', '9', '2020', '13', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.45603733');
INSERT INTO public.ecdc_import VALUES (3020, '20/09/2020', '20', '9', '2020', '24', '7', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.69013459');
INSERT INTO public.ecdc_import VALUES (3021, '19/09/2020', '19', '9', '2020', '48', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.87661884');
INSERT INTO public.ecdc_import VALUES (3022, '18/09/2020', '18', '9', '2020', '34', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.0313611');
INSERT INTO public.ecdc_import VALUES (3023, '17/09/2020', '17', '9', '2020', '41', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.39639411');
INSERT INTO public.ecdc_import VALUES (3024, '16/09/2020', '16', '9', '2020', '46', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.64636237');
INSERT INTO public.ecdc_import VALUES (3025, '15/09/2020', '15', '9', '2020', '41', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.75349162');
INSERT INTO public.ecdc_import VALUES (3026, '14/09/2020', '14', '9', '2020', '44', '7', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.89236287');
INSERT INTO public.ecdc_import VALUES (3027, '13/09/2020', '13', '9', '2020', '42', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '4.20581513');
INSERT INTO public.ecdc_import VALUES (3028, '12/09/2020', '12', '9', '2020', '52', '9', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '4.43197689');
INSERT INTO public.ecdc_import VALUES (3029, '11/09/2020', '11', '9', '2020', '48', '7', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '4.7255904');
INSERT INTO public.ecdc_import VALUES (3030, '10/09/2020', '10', '9', '2020', '91', '11', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '4.99936516');
INSERT INTO public.ecdc_import VALUES (3031, '09/09/2020', '9', '9', '2020', '52', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.24139792');
INSERT INTO public.ecdc_import VALUES (3032, '08/09/2020', '8', '9', '2020', '43', '9', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.57865668');
INSERT INTO public.ecdc_import VALUES (3033, '07/09/2020', '7', '9', '2020', '72', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.82068944');
INSERT INTO public.ecdc_import VALUES (3034, '06/09/2020', '6', '9', '2020', '71', '11', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '6.36823895');
INSERT INTO public.ecdc_import VALUES (3035, '05/09/2020', '5', '9', '2020', '87', '59', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '6.86023997');
INSERT INTO public.ecdc_import VALUES (3036, '04/09/2020', '4', '9', '2020', '126', '15', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '7.19353098');
INSERT INTO public.ecdc_import VALUES (3037, '03/09/2020', '3', '9', '2020', '104', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '7.65775775');
INSERT INTO public.ecdc_import VALUES (3038, '02/09/2020', '2', '9', '2020', '73', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '8.11801676');
INSERT INTO public.ecdc_import VALUES (3039, '01/09/2020', '1', '9', '2020', '76', '41', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '8.51875952');
INSERT INTO public.ecdc_import VALUES (3040, '31/08/2020', '31', '8', '2020', '123', '11', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '9.4511808');
INSERT INTO public.ecdc_import VALUES (3041, '30/08/2020', '30', '8', '2020', '99', '17', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '9.96698832');
INSERT INTO public.ecdc_import VALUES (3042, '29/08/2020', '29', '8', '2020', '126', '11', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '10.73276409');
INSERT INTO public.ecdc_import VALUES (3043, '28/08/2020', '28', '8', '2020', '117', '23', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '11.76041138');
INSERT INTO public.ecdc_import VALUES (3044, '27/08/2020', '27', '8', '2020', '152', '24', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '12.21273489');
INSERT INTO public.ecdc_import VALUES (3045, '26/08/2020', '26', '8', '2020', '137', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '13.25228542');
INSERT INTO public.ecdc_import VALUES (3046, '25/08/2020', '25', '8', '2020', '104', '15', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '13.9625127');
INSERT INTO public.ecdc_import VALUES (3047, '24/08/2020', '24', '8', '2020', '210', '17', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '14.79177247');
INSERT INTO public.ecdc_import VALUES (3048, '23/08/2020', '23', '8', '2020', '195', '13', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '15.4900965');
INSERT INTO public.ecdc_import VALUES (3049, '22/08/2020', '22', '8', '2020', '171', '9', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '16.40664678');
INSERT INTO public.ecdc_import VALUES (3050, '21/08/2020', '21', '8', '2020', '243', '13', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '17.35493906');
INSERT INTO public.ecdc_import VALUES (3051, '20/08/2020', '20', '8', '2020', '220', '12', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '18.04929533');
INSERT INTO public.ecdc_import VALUES (3052, '19/08/2020', '19', '8', '2020', '174', '17', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '20.01333164');
INSERT INTO public.ecdc_import VALUES (3053, '18/08/2020', '18', '8', '2020', '311', '25', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '20.95368842');
INSERT INTO public.ecdc_import VALUES (3054, '17/08/2020', '17', '8', '2020', '253', '17', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '21.28697943');
INSERT INTO public.ecdc_import VALUES (3055, '16/08/2020', '16', '8', '2020', '292', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '22.82646648');
INSERT INTO public.ecdc_import VALUES (3056, '15/08/2020', '15', '8', '2020', '385', '14', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '23.16372524');
INSERT INTO public.ecdc_import VALUES (3057, '14/08/2020', '14', '8', '2020', '231', '9', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '24.02472702');
INSERT INTO public.ecdc_import VALUES (3058, '13/08/2020', '13', '8', '2020', '414', '21', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '25.96892458');
INSERT INTO public.ecdc_import VALUES (3059, '12/08/2020', '12', '8', '2020', '316', '18', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '25.42931056');
INSERT INTO public.ecdc_import VALUES (3060, '11/08/2020', '11', '8', '2020', '313', '18', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '25.63960132');
INSERT INTO public.ecdc_import VALUES (3061, '10/08/2020', '10', '8', '2020', '386', '17', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '26.5085386');
INSERT INTO public.ecdc_import VALUES (3062, '09/08/2020', '9', '8', '2020', '426', '12', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '26.77437786');
INSERT INTO public.ecdc_import VALUES (3063, '08/08/2020', '8', '8', '2020', '410', '11', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '26.4926676');
INSERT INTO public.ecdc_import VALUES (3064, '07/08/2020', '7', '8', '2020', '418', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '26.01256983');
INSERT INTO public.ecdc_import VALUES (3065, '06/08/2020', '6', '8', '2020', '715', '15', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '25.98082783');
INSERT INTO public.ecdc_import VALUES (3066, '05/08/2020', '5', '8', '2020', '411', '11', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '25.00079355');
INSERT INTO public.ecdc_import VALUES (3067, '04/08/2020', '4', '8', '2020', '395', '13', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '24.79447054');
INSERT INTO public.ecdc_import VALUES (3068, '03/08/2020', '3', '8', '2020', '641', '8', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '24.28659853');
INSERT INTO public.ecdc_import VALUES (3069, '02/08/2020', '2', '8', '2020', '377', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '23.17562849');
INSERT INTO public.ecdc_import VALUES (3070, '01/08/2020', '1', '8', '2020', '602', '7', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '22.49714322');
INSERT INTO public.ecdc_import VALUES (3071, '31/07/2020', '31', '7', '2020', '721', '13', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '21.79485145');
INSERT INTO public.ecdc_import VALUES (3072, '30/07/2020', '30', '7', '2020', '278', '9', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '20.1839449');
INSERT INTO public.ecdc_import VALUES (3073, '29/07/2020', '29', '7', '2020', '369', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '20.04904139');
INSERT INTO public.ecdc_import VALUES (3074, '28/07/2020', '28', '7', '2020', '532', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '19.66020188');
INSERT INTO public.ecdc_import VALUES (3075, '27/07/2020', '27', '7', '2020', '453', '10', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '18.27545708');
INSERT INTO public.ecdc_import VALUES (3076, '26/07/2020', '26', '7', '2020', '355', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '17.44619731');
INSERT INTO public.ecdc_import VALUES (3077, '25/07/2020', '25', '7', '2020', '289', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '16.80738954');
INSERT INTO public.ecdc_import VALUES (3078, '24/07/2020', '24', '7', '2020', '410', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '16.85103479');
INSERT INTO public.ecdc_import VALUES (3079, '23/07/2020', '23', '7', '2020', '468', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '15.91067801');
INSERT INTO public.ecdc_import VALUES (3080, '22/07/2020', '22', '7', '2020', '359', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '14.57354622');
INSERT INTO public.ecdc_import VALUES (3081, '21/07/2020', '21', '7', '2020', '267', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '13.81967369');
INSERT INTO public.ecdc_import VALUES (3082, '20/07/2020', '20', '7', '2020', '361', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '13.30386618');
INSERT INTO public.ecdc_import VALUES (3083, '19/07/2020', '19', '7', '2020', '206', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '12.21670264');
INSERT INTO public.ecdc_import VALUES (3084, '18/07/2020', '18', '7', '2020', '425', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '11.82389538');
INSERT INTO public.ecdc_import VALUES (3085, '17/07/2020', '17', '7', '2020', '315', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '11.14541011');
INSERT INTO public.ecdc_import VALUES (3086, '16/07/2020', '16', '7', '2020', '244', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '10.21695658');
INSERT INTO public.ecdc_import VALUES (3087, '15/07/2020', '15', '7', '2020', '271', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '9.59005206');
INSERT INTO public.ecdc_import VALUES (3088, '14/07/2020', '14', '7', '2020', '183', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '8.78063103');
INSERT INTO public.ecdc_import VALUES (3089, '13/07/2020', '13', '7', '2020', '244', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '8.37592052');
INSERT INTO public.ecdc_import VALUES (3090, '12/07/2020', '12', '7', '2020', '194', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '7.58633824');
INSERT INTO public.ecdc_import VALUES (3091, '11/07/2020', '11', '7', '2020', '300', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '6.99911122');
INSERT INTO public.ecdc_import VALUES (3092, '10/07/2020', '10', '7', '2020', '173', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.95559294');
INSERT INTO public.ecdc_import VALUES (3093, '09/07/2020', '9', '7', '2020', '131', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.41597892');
INSERT INTO public.ecdc_import VALUES (3094, '08/07/2020', '8', '7', '2020', '169', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.01126841');
INSERT INTO public.ecdc_import VALUES (3095, '07/07/2020', '7', '7', '2020', '137', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '4.41213814');
INSERT INTO public.ecdc_import VALUES (3096, '06/07/2020', '6', '7', '2020', '87', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.92013713');
INSERT INTO public.ecdc_import VALUES (3097, '05/07/2020', '5', '7', '2020', '107', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.67413662');
INSERT INTO public.ecdc_import VALUES (3098, '04/07/2020', '4', '7', '2020', '254', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.35671661');
INSERT INTO public.ecdc_import VALUES (3099, '03/07/2020', '3', '7', '2020', '81', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.42032758');
INSERT INTO public.ecdc_import VALUES (3100, '02/07/2020', '2', '7', '2020', '86', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.18226257');
INSERT INTO public.ecdc_import VALUES (3101, '01/07/2020', '1', '7', '2020', '67', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.93229431');
INSERT INTO public.ecdc_import VALUES (3102, '30/06/2020', '30', '6', '2020', '81', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.71406805');
INSERT INTO public.ecdc_import VALUES (3103, '29/06/2020', '29', '6', '2020', '45', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.45219655');
INSERT INTO public.ecdc_import VALUES (3104, '28/06/2020', '28', '6', '2020', '46', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.34506729');
INSERT INTO public.ecdc_import VALUES (3105, '27/06/2020', '27', '6', '2020', '37', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.21016379');
INSERT INTO public.ecdc_import VALUES (3106, '26/06/2020', '26', '6', '2020', '37', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.08319578');
INSERT INTO public.ecdc_import VALUES (3107, '25/06/2020', '25', '6', '2020', '29', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.97209878');
INSERT INTO public.ecdc_import VALUES (3108, '24/06/2020', '24', '6', '2020', '18', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.89274378');
INSERT INTO public.ecdc_import VALUES (3109, '23/06/2020', '23', '6', '2020', '13', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.82925978');
INSERT INTO public.ecdc_import VALUES (3110, '22/06/2020', '22', '6', '2020', '25', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.79751778');
INSERT INTO public.ecdc_import VALUES (3111, '21/06/2020', '21', '6', '2020', '27', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.71816277');
INSERT INTO public.ecdc_import VALUES (3112, '20/06/2020', '20', '6', '2020', '18', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.62690452');
INSERT INTO public.ecdc_import VALUES (3113, '19/06/2020', '19', '6', '2020', '21', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59913027');
INSERT INTO public.ecdc_import VALUES (3114, '18/06/2020', '18', '6', '2020', '23', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.55945277');
INSERT INTO public.ecdc_import VALUES (3115, '17/06/2020', '17', '6', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.49993652');
INSERT INTO public.ecdc_import VALUES (3116, '16/06/2020', '16', '6', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.51977527');
INSERT INTO public.ecdc_import VALUES (3117, '15/06/2020', '15', '6', '2020', '18', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.49596877');
INSERT INTO public.ecdc_import VALUES (3118, '14/06/2020', '14', '6', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.46422676');
INSERT INTO public.ecdc_import VALUES (3119, '13/06/2020', '13', '6', '2020', '5', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.46422676');
INSERT INTO public.ecdc_import VALUES (3120, '12/06/2020', '12', '6', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.53564627');
INSERT INTO public.ecdc_import VALUES (3121, '11/06/2020', '11', '6', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.54358177');
INSERT INTO public.ecdc_import VALUES (3122, '10/06/2020', '10', '6', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.53167852');
INSERT INTO public.ecdc_import VALUES (3123, '09/06/2020', '9', '6', '2020', '5', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.58325927');
INSERT INTO public.ecdc_import VALUES (3124, '08/06/2020', '8', '6', '2020', '5', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59913027');
INSERT INTO public.ecdc_import VALUES (3125, '07/06/2020', '7', '6', '2020', '4', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59119477');
INSERT INTO public.ecdc_import VALUES (3126, '06/06/2020', '6', '6', '2020', '11', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61896902');
INSERT INTO public.ecdc_import VALUES (3127, '05/06/2020', '5', '6', '2020', '11', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.63087227');
INSERT INTO public.ecdc_import VALUES (3128, '04/06/2020', '4', '6', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59516252');
INSERT INTO public.ecdc_import VALUES (3129, '03/06/2020', '3', '6', '2020', '17', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.60706577');
INSERT INTO public.ecdc_import VALUES (3130, '02/06/2020', '2', '6', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.57135602');
INSERT INTO public.ecdc_import VALUES (3131, '01/06/2020', '1', '6', '2020', '10', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59516252');
INSERT INTO public.ecdc_import VALUES (3132, '31/05/2020', '31', '5', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.59119477');
INSERT INTO public.ecdc_import VALUES (3133, '30/05/2020', '30', '5', '2020', '23', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.61103352');
INSERT INTO public.ecdc_import VALUES (3134, '29/05/2020', '29', '5', '2020', '11', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.63880777');
INSERT INTO public.ecdc_import VALUES (3135, '28/05/2020', '28', '5', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.65071102');
INSERT INTO public.ecdc_import VALUES (3136, '27/05/2020', '27', '5', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.67054977');
INSERT INTO public.ecdc_import VALUES (3137, '26/05/2020', '26', '5', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.67451752');
INSERT INTO public.ecdc_import VALUES (3138, '25/05/2020', '25', '5', '2020', '3', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.66658202');
INSERT INTO public.ecdc_import VALUES (3139, '24/05/2020', '24', '5', '2020', '11', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.70229177');
INSERT INTO public.ecdc_import VALUES (3140, '23/05/2020', '23', '5', '2020', '14', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.71816277');
INSERT INTO public.ecdc_import VALUES (3141, '22/05/2020', '22', '5', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.73403377');
INSERT INTO public.ecdc_import VALUES (3142, '21/05/2020', '21', '5', '2020', '11', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.80942103');
INSERT INTO public.ecdc_import VALUES (3143, '20/05/2020', '20', '5', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.86893728');
INSERT INTO public.ecdc_import VALUES (3144, '19/05/2020', '19', '5', '2020', '15', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.93242128');
INSERT INTO public.ecdc_import VALUES (3145, '18/05/2020', '18', '5', '2020', '9', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.96813103');
INSERT INTO public.ecdc_import VALUES (3146, '17/05/2020', '17', '5', '2020', '17', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.00384078');
INSERT INTO public.ecdc_import VALUES (3147, '16/05/2020', '16', '5', '2020', '30', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.99987303');
INSERT INTO public.ecdc_import VALUES (3148, '15/05/2020', '15', '5', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90067928');
INSERT INTO public.ecdc_import VALUES (3149, '14/05/2020', '14', '5', '2020', '11', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90861478');
INSERT INTO public.ecdc_import VALUES (3150, '13/05/2020', '13', '5', '2020', '16', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.89671153');
INSERT INTO public.ecdc_import VALUES (3151, '12/05/2020', '12', '5', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.88480828');
INSERT INTO public.ecdc_import VALUES (3152, '11/05/2020', '11', '5', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90464703');
INSERT INTO public.ecdc_import VALUES (3153, '10/05/2020', '10', '5', '2020', '15', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.89671153');
INSERT INTO public.ecdc_import VALUES (3154, '09/05/2020', '9', '5', '2020', '18', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90067928');
INSERT INTO public.ecdc_import VALUES (3155, '08/05/2020', '8', '5', '2020', '21', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.90861478');
INSERT INTO public.ecdc_import VALUES (3156, '07/05/2020', '7', '5', '2020', '26', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.87687278');
INSERT INTO public.ecdc_import VALUES (3157, '06/05/2020', '6', '5', '2020', '24', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.80148553');
INSERT INTO public.ecdc_import VALUES (3158, '05/05/2020', '5', '5', '2020', '24', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.79355003');
INSERT INTO public.ecdc_import VALUES (3159, '04/05/2020', '4', '5', '2020', '18', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.74990477');
INSERT INTO public.ecdc_import VALUES (3160, '03/05/2020', '3', '5', '2020', '16', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.78164678');
INSERT INTO public.ecdc_import VALUES (3161, '02/05/2020', '2', '5', '2020', '5', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.92845353');
INSERT INTO public.ecdc_import VALUES (3162, '01/05/2020', '1', '5', '2020', '16', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.05145378');
INSERT INTO public.ecdc_import VALUES (3163, '30/04/2020', '30', '4', '2020', '8', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.14271204');
INSERT INTO public.ecdc_import VALUES (3164, '29/04/2020', '29', '4', '2020', '13', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.27761554');
INSERT INTO public.ecdc_import VALUES (3165, '28/04/2020', '28', '4', '2020', '12', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.4244223');
INSERT INTO public.ecdc_import VALUES (3166, '27/04/2020', '27', '4', '2020', '10', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.5513903');
INSERT INTO public.ecdc_import VALUES (3167, '26/04/2020', '26', '4', '2020', '16', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.64264855');
INSERT INTO public.ecdc_import VALUES (3168, '25/04/2020', '25', '4', '2020', '20', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.78151981');
INSERT INTO public.ecdc_import VALUES (3169, '24/04/2020', '24', '4', '2020', '13', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.04339132');
INSERT INTO public.ecdc_import VALUES (3170, '23/04/2020', '23', '4', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.38858558');
INSERT INTO public.ecdc_import VALUES (3171, '22/04/2020', '22', '4', '2020', '22', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.74171534');
INSERT INTO public.ecdc_import VALUES (3172, '21/04/2020', '21', '4', '2020', '13', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.09881285');
INSERT INTO public.ecdc_import VALUES (3173, '20/04/2020', '20', '4', '2020', '26', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.44400711');
INSERT INTO public.ecdc_import VALUES (3174, '19/04/2020', '19', '4', '2020', '53', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.56700736');
INSERT INTO public.ecdc_import VALUES (3175, '18/04/2020', '18', '4', '2020', '36', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.90823388');
INSERT INTO public.ecdc_import VALUES (3176, '17/04/2020', '17', '4', '2020', '39', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.05094591');
INSERT INTO public.ecdc_import VALUES (3177, '16/04/2020', '16', '4', '2020', '42', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '5.88020569');
INSERT INTO public.ecdc_import VALUES (3178, '15/04/2020', '15', '4', '2020', '50', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '6.78088497');
INSERT INTO public.ecdc_import VALUES (3179, '14/04/2020', '14', '4', '2020', '44', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '7.17765998');
INSERT INTO public.ecdc_import VALUES (3180, '13/04/2020', '13', '4', '2020', '33', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '8.84411503');
INSERT INTO public.ecdc_import VALUES (3181, '12/04/2020', '12', '4', '2020', '51', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '9.84002031');
INSERT INTO public.ecdc_import VALUES (3182, '11/04/2020', '11', '4', '2020', '86', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '11.34776536');
INSERT INTO public.ecdc_import VALUES (3183, '10/04/2020', '10', '4', '2020', '100', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '11.84770188');
INSERT INTO public.ecdc_import VALUES (3184, '09/04/2020', '9', '4', '2020', '96', '5', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '12.90709116');
INSERT INTO public.ecdc_import VALUES (3185, '08/04/2020', '8', '4', '2020', '112', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '14.0180612');
INSERT INTO public.ecdc_import VALUES (3186, '07/04/2020', '7', '4', '2020', '100', '6', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '15.95432326');
INSERT INTO public.ecdc_import VALUES (3187, '06/04/2020', '6', '4', '2020', '57', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '16.00987176');
INSERT INTO public.ecdc_import VALUES (3188, '05/04/2020', '5', '4', '2020', '139', '4', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '18.20800533');
INSERT INTO public.ecdc_import VALUES (3189, '04/04/2020', '4', '4', '2020', '324', '7', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '18.54526409');
INSERT INTO public.ecdc_import VALUES (3190, '03/04/2020', '3', '4', '2020', '248', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '17.91439182');
INSERT INTO public.ecdc_import VALUES (3191, '02/04/2020', '2', '4', '2020', '269', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '17.50174581');
INSERT INTO public.ecdc_import VALUES (3192, '01/04/2020', '1', '4', '2020', '150', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '16.87484129');
INSERT INTO public.ecdc_import VALUES (3193, '31/03/2020', '31', '3', '2020', '464', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '16.59313103');
INSERT INTO public.ecdc_import VALUES (3194, '30/03/2020', '30', '3', '2020', '284', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '15.05761173');
INSERT INTO public.ecdc_import VALUES (3195, '29/03/2020', '29', '3', '2020', '431', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '14.12519045');
INSERT INTO public.ecdc_import VALUES (3196, '28/03/2020', '28', '3', '2020', '212', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '12.62141315');
INSERT INTO public.ecdc_import VALUES (3197, '27/03/2020', '27', '3', '2020', '367', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '11.94292788');
INSERT INTO public.ecdc_import VALUES (3198, '26/03/2020', '26', '3', '2020', '376', '3', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '10.60579609');
INSERT INTO public.ecdc_import VALUES (3199, '25/03/2020', '25', '3', '2020', '600', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '9.16947054');
INSERT INTO public.ecdc_import VALUES (3200, '24/03/2020', '24', '3', '2020', '114', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '6.83643347');
INSERT INTO public.ecdc_import VALUES (3201, '23/03/2020', '23', '3', '2020', '611', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '6.46346496');
INSERT INTO public.ecdc_import VALUES (3202, '22/03/2020', '22', '3', '2020', '224', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '4.06297613');
INSERT INTO public.ecdc_import VALUES (3203, '21/03/2020', '21', '3', '2020', '165', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '3.21784535');
INSERT INTO public.ecdc_import VALUES (3204, '20/03/2020', '20', '3', '2020', '144', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.57903758');
INSERT INTO public.ecdc_import VALUES (3205, '19/03/2020', '19', '3', '2020', '111', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '2.03545582');
INSERT INTO public.ecdc_import VALUES (3206, '18/03/2020', '18', '3', '2020', '79', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.6386808');
INSERT INTO public.ecdc_import VALUES (3207, '17/03/2020', '17', '3', '2020', '77', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.35697054');
INSERT INTO public.ecdc_import VALUES (3208, '16/03/2020', '16', '3', '2020', '49', '2', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '1.06732478');
INSERT INTO public.ecdc_import VALUES (3209, '15/03/2020', '15', '3', '2020', '52', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.88480828');
INSERT INTO public.ecdc_import VALUES (3210, '14/03/2020', '14', '3', '2020', '41', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.68245302');
INSERT INTO public.ecdc_import VALUES (3211, '13/03/2020', '13', '3', '2020', '30', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.52771077');
INSERT INTO public.ecdc_import VALUES (3212, '12/03/2020', '12', '3', '2020', '14', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.40867826');
INSERT INTO public.ecdc_import VALUES (3213, '11/03/2020', '11', '3', '2020', '12', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.35709751');
INSERT INTO public.ecdc_import VALUES (3214, '10/03/2020', '10', '3', '2020', '20', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.30948451');
INSERT INTO public.ecdc_import VALUES (3215, '09/03/2020', '9', '3', '2020', '6', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.23012951');
INSERT INTO public.ecdc_import VALUES (3216, '08/03/2020', '8', '3', '2020', '11', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.20632301');
INSERT INTO public.ecdc_import VALUES (3217, '07/03/2020', '7', '3', '2020', '4', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.16664551');
INSERT INTO public.ecdc_import VALUES (3218, '06/03/2020', '6', '3', '2020', '7', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.16664551');
INSERT INTO public.ecdc_import VALUES (3219, '05/03/2020', '5', '3', '2020', '11', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.14680675');
INSERT INTO public.ecdc_import VALUES (3220, '04/03/2020', '4', '3', '2020', '8', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.1031615');
INSERT INTO public.ecdc_import VALUES (3221, '03/03/2020', '3', '3', '2020', '4', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0714195');
INSERT INTO public.ecdc_import VALUES (3222, '02/03/2020', '2', '3', '2020', '3', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0555485');
INSERT INTO public.ecdc_import VALUES (3223, '01/03/2020', '1', '3', '2020', '1', '1', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.04364525');
INSERT INTO public.ecdc_import VALUES (3224, '29/02/2020', '29', '2', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0396775');
INSERT INTO public.ecdc_import VALUES (3225, '28/02/2020', '28', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3226, '27/02/2020', '27', '2', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.03570975');
INSERT INTO public.ecdc_import VALUES (3227, '26/02/2020', '26', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3228, '25/02/2020', '25', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3229, '24/02/2020', '24', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3230, '23/02/2020', '23', '2', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3231, '22/02/2020', '22', '2', '2020', '4', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.02777425');
INSERT INTO public.ecdc_import VALUES (3232, '21/02/2020', '21', '2', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.01190325');
INSERT INTO public.ecdc_import VALUES (3233, '20/02/2020', '20', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0079355');
INSERT INTO public.ecdc_import VALUES (3234, '19/02/2020', '19', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.01190325');
INSERT INTO public.ecdc_import VALUES (3235, '18/02/2020', '18', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3236, '17/02/2020', '17', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3237, '16/02/2020', '16', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3238, '15/02/2020', '15', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0238065');
INSERT INTO public.ecdc_import VALUES (3239, '14/02/2020', '14', '2', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3240, '13/02/2020', '13', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.031742');
INSERT INTO public.ecdc_import VALUES (3241, '12/02/2020', '12', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0396775');
INSERT INTO public.ecdc_import VALUES (3242, '11/02/2020', '11', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0396775');
INSERT INTO public.ecdc_import VALUES (3243, '10/02/2020', '10', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0396775');
INSERT INTO public.ecdc_import VALUES (3244, '09/02/2020', '9', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0396775');
INSERT INTO public.ecdc_import VALUES (3245, '08/02/2020', '8', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.05158075');
INSERT INTO public.ecdc_import VALUES (3246, '07/02/2020', '7', '2', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0555485');
INSERT INTO public.ecdc_import VALUES (3247, '06/02/2020', '6', '2', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.05158075');
INSERT INTO public.ecdc_import VALUES (3248, '05/02/2020', '5', '2', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.047613');
INSERT INTO public.ecdc_import VALUES (3249, '04/02/2020', '4', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.04364525');
INSERT INTO public.ecdc_import VALUES (3250, '03/02/2020', '3', '2', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.04364525');
INSERT INTO public.ecdc_import VALUES (3251, '02/02/2020', '2', '2', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.04364525');
INSERT INTO public.ecdc_import VALUES (3252, '01/02/2020', '1', '2', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.03570975');
INSERT INTO public.ecdc_import VALUES (3253, '31/01/2020', '31', '1', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.02777425');
INSERT INTO public.ecdc_import VALUES (3254, '30/01/2020', '30', '1', '2020', '2', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.0238065');
INSERT INTO public.ecdc_import VALUES (3255, '29/01/2020', '29', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3256, '28/01/2020', '28', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3257, '27/01/2020', '27', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3258, '26/01/2020', '26', '1', '2020', '3', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.015871');
INSERT INTO public.ecdc_import VALUES (3259, '25/01/2020', '25', '1', '2020', '1', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0.00396775');
INSERT INTO public.ecdc_import VALUES (3260, '24/01/2020', '24', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3261, '23/01/2020', '23', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3262, '22/01/2020', '22', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3263, '21/01/2020', '21', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3264, '20/01/2020', '20', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3265, '19/01/2020', '19', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3266, '18/01/2020', '18', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3267, '17/01/2020', '17', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3268, '16/01/2020', '16', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3269, '15/01/2020', '15', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3270, '14/01/2020', '14', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3271, '13/01/2020', '13', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (3272, '12/01/2020', '12', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3273, '11/01/2020', '11', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3274, '10/01/2020', '10', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3275, '09/01/2020', '9', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3276, '08/01/2020', '8', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3277, '07/01/2020', '7', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3278, '06/01/2020', '6', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3279, '05/01/2020', '5', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3280, '04/01/2020', '4', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3281, '03/01/2020', '3', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3282, '02/01/2020', '2', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3283, '01/01/2020', '1', '1', '2020', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3284, '31/12/2019', '31', '12', '2019', '0', '0', '25203200', 'Australia', 'AU', 'AUS', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (3285, '14/12/2020', '14', '12', '2020', '3005', '45', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '472.45809946');
INSERT INTO public.ecdc_import VALUES (3286, '13/12/2020', '13', '12', '2020', '2938', '96', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '482.64009414');
INSERT INTO public.ecdc_import VALUES (3287, '12/12/2020', '12', '12', '2020', '3026', '101', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '503.2637131');
INSERT INTO public.ecdc_import VALUES (3288, '11/12/2020', '11', '12', '2020', '2466', '125', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '523.49224357');
INSERT INTO public.ecdc_import VALUES (3289, '10/12/2020', '10', '12', '2020', '2913', '126', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '557.14249431');
INSERT INTO public.ecdc_import VALUES (3290, '09/12/2020', '9', '12', '2020', '2531', '80', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '590.81532153');
INSERT INTO public.ecdc_import VALUES (3291, '08/12/2020', '8', '12', '2020', '2181', '95', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '608.92166242');
INSERT INTO public.ecdc_import VALUES (3292, '07/12/2020', '7', '12', '2020', '2745', '58', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '619.18267481');
INSERT INTO public.ecdc_import VALUES (3293, '06/12/2020', '6', '12', '2020', '3160', '87', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '647.06463365');
INSERT INTO public.ecdc_import VALUES (3294, '05/12/2020', '5', '12', '2020', '3634', '140', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '681.82113215');
INSERT INTO public.ecdc_import VALUES (3295, '04/12/2020', '4', '12', '2020', '3783', '118', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '715.43751817');
INSERT INTO public.ecdc_import VALUES (3296, '03/12/2020', '3', '12', '2020', '3660', '133', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '749.83279291');
INSERT INTO public.ecdc_import VALUES (3297, '02/12/2020', '2', '12', '2020', '3464', '213', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '796.1823164');
INSERT INTO public.ecdc_import VALUES (3298, '01/12/2020', '1', '12', '2020', '2348', '79', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '821.01644979');
INSERT INTO public.ecdc_import VALUES (3299, '30/11/2020', '30', '11', '2020', '3907', '82', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '843.09625202');
INSERT INTO public.ecdc_import VALUES (3300, '29/11/2020', '29', '11', '2020', '4765', '58', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '858.57243242');
INSERT INTO public.ecdc_import VALUES (3301, '28/11/2020', '28', '11', '2020', '4818', '148', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '885.96899684');
INSERT INTO public.ecdc_import VALUES (3302, '27/11/2020', '27', '11', '2020', '5447', '114', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '932.74747355');
INSERT INTO public.ecdc_import VALUES (3303, '26/11/2020', '26', '11', '2020', '5896', '94', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '988.29691464');
INSERT INTO public.ecdc_import VALUES (3304, '25/11/2020', '25', '11', '2020', '4135', '115', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1030.5939591');
INSERT INTO public.ecdc_import VALUES (3305, '24/11/2020', '24', '11', '2020', '3090', '94', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1027.25263933');
INSERT INTO public.ecdc_import VALUES (3306, '23/11/2020', '23', '11', '2020', '5215', '44', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1056.76010509');
INSERT INTO public.ecdc_import VALUES (3307, '22/11/2020', '22', '11', '2020', '6239', '58', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1065.68910487');
INSERT INTO public.ecdc_import VALUES (3308, '21/11/2020', '21', '11', '2020', '6612', '79', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1084.41629909');
INSERT INTO public.ecdc_import VALUES (3309, '20/11/2020', '20', '11', '2020', '6830', '90', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1081.16528527');
INSERT INTO public.ecdc_import VALUES (3310, '19/11/2020', '19', '11', '2020', '7766', '113', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1083.65998685');
INSERT INTO public.ecdc_import VALUES (3311, '18/11/2020', '18', '11', '2020', '5664', '74', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1069.5271073');
INSERT INTO public.ecdc_import VALUES (3312, '17/11/2020', '17', '11', '2020', '4304', '62', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1055.76673976');
INSERT INTO public.ecdc_import VALUES (3313, '16/11/2020', '16', '11', '2020', '5278', '50', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1042.8529904');
INSERT INTO public.ecdc_import VALUES (3314, '15/11/2020', '15', '11', '2020', '7192', '55', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1034.36423207');
INSERT INTO public.ecdc_import VALUES (3315, '14/11/2020', '14', '11', '2020', '8962', '64', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1011.21204681');
INSERT INTO public.ecdc_import VALUES (3316, '13/11/2020', '13', '11', '2020', '10368', '37', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '969.23107314');
INSERT INTO public.ecdc_import VALUES (3317, '12/11/2020', '12', '11', '2020', '9643', '55', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '900.79045918');
INSERT INTO public.ecdc_import VALUES (3318, '11/11/2020', '11', '11', '2020', '3839', '35', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '838.77285516');
INSERT INTO public.ecdc_import VALUES (3319, '10/11/2020', '10', '11', '2020', '5704', '48', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '825.89297053');
INSERT INTO public.ecdc_import VALUES (3320, '09/11/2020', '9', '11', '2020', '6006', '17', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '789.86090063');
INSERT INTO public.ecdc_import VALUES (3321, '08/11/2020', '8', '11', '2020', '7898', '23', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '753.2869951');
INSERT INTO public.ecdc_import VALUES (3322, '07/11/2020', '7', '11', '2020', '6324', '44', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '697.87301292');
INSERT INTO public.ecdc_import VALUES (3323, '06/11/2020', '6', '11', '2020', '7051', '47', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '665.34029818');
INSERT INTO public.ecdc_import VALUES (3324, '05/11/2020', '5', '11', '2020', '6514', '35', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '614.75768377');
INSERT INTO public.ecdc_import VALUES (3325, '04/11/2020', '4', '11', '2020', '4445', '34', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '567.80988342');
INSERT INTO public.ecdc_import VALUES (3326, '03/11/2020', '3', '11', '2020', '3160', '21', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '537.98634687');
INSERT INTO public.ecdc_import VALUES (3327, '02/11/2020', '2', '11', '2020', '4526', '17', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '514.21330827');
INSERT INTO public.ecdc_import VALUES (3328, '01/11/2020', '1', '11', '2020', '5141', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '475.11083643');
INSERT INTO public.ecdc_import VALUES (3329, '31/10/2020', '31', '10', '2020', '5243', '15', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '440.1059966');
INSERT INTO public.ecdc_import VALUES (3330, '30/10/2020', '30', '10', '2020', '4305', '24', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '400.01015942');
INSERT INTO public.ecdc_import VALUES (3331, '29/10/2020', '29', '10', '2020', '4149', '34', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '367.17266213');
INSERT INTO public.ecdc_import VALUES (3332, '28/10/2020', '28', '10', '2020', '2698', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '338.46666159');
INSERT INTO public.ecdc_import VALUES (3333, '27/10/2020', '27', '10', '2020', '2512', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '321.22951537');
INSERT INTO public.ecdc_import VALUES (3334, '26/10/2020', '26', '10', '2020', '2766', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '299.73670174');
INSERT INTO public.ecdc_import VALUES (3335, '25/10/2020', '25', '10', '2020', '2989', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '283.16556183');
INSERT INTO public.ecdc_import VALUES (3336, '24/10/2020', '24', '10', '2020', '3442', '15', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '259.5957116');
INSERT INTO public.ecdc_import VALUES (3337, '23/10/2020', '23', '10', '2020', '2570', '17', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '234.07299542');
INSERT INTO public.ecdc_import VALUES (3338, '22/10/2020', '22', '10', '2020', '2355', '13', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '218.84515636');
INSERT INTO public.ecdc_import VALUES (3339, '21/10/2020', '21', '10', '2020', '1803', '8', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '202.95131099');
INSERT INTO public.ecdc_import VALUES (3340, '20/10/2020', '20', '10', '2020', '1054', '9', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '188.79585496');
INSERT INTO public.ecdc_import VALUES (3341, '19/10/2020', '19', '10', '2020', '1062', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '191.21153884');
INSERT INTO public.ecdc_import VALUES (3342, '18/10/2020', '18', '10', '2020', '2040', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '185.98508259');
INSERT INTO public.ecdc_import VALUES (3343, '17/10/2020', '17', '10', '2020', '1691', '7', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '172.32630922');
INSERT INTO public.ecdc_import VALUES (3344, '16/10/2020', '16', '10', '2020', '1396', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '163.08123866');
INSERT INTO public.ecdc_import VALUES (3345, '15/10/2020', '15', '10', '2020', '1606', '9', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '153.68942094');
INSERT INTO public.ecdc_import VALUES (3346, '14/10/2020', '14', '10', '2020', '1171', '10', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '148.49682941');
INSERT INTO public.ecdc_import VALUES (3347, '13/10/2020', '13', '10', '2020', '608', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '143.42840856');
INSERT INTO public.ecdc_import VALUES (3348, '12/10/2020', '12', '10', '2020', '1298', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '141.29493073');
INSERT INTO public.ecdc_import VALUES (3349, '11/10/2020', '11', '10', '2020', '901', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '132.58040756');
INSERT INTO public.ecdc_import VALUES (3350, '10/10/2020', '10', '10', '2020', '1181', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '129.44227616');
INSERT INTO public.ecdc_import VALUES (3351, '09/10/2020', '9', '10', '2020', '1221', '9', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '128.20056949');
INSERT INTO public.ecdc_import VALUES (3352, '08/10/2020', '8', '10', '2020', '947', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '122.18393627');
INSERT INTO public.ecdc_import VALUES (3353, '07/10/2020', '7', '10', '2020', '549', '22', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '118.95549893');
INSERT INTO public.ecdc_import VALUES (3354, '06/10/2020', '6', '10', '2020', '1268', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '121.19057093');
INSERT INTO public.ecdc_import VALUES (3355, '05/10/2020', '5', '10', '2020', '599', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '113.57100728');
INSERT INTO public.ecdc_import VALUES (3356, '04/10/2020', '4', '10', '2020', '830', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '113.6838897');
INSERT INTO public.ecdc_import VALUES (3357, '03/10/2020', '3', '10', '2020', '872', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '112.859848');
INSERT INTO public.ecdc_import VALUES (3358, '02/10/2020', '2', '10', '2020', '564', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '112.28414764');
INSERT INTO public.ecdc_import VALUES (3359, '01/10/2020', '1', '10', '2020', '1146', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '116.32533844');
INSERT INTO public.ecdc_import VALUES (3360, '30/09/2020', '30', '9', '2020', '722', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '111.33593527');
INSERT INTO public.ecdc_import VALUES (3361, '29/09/2020', '29', '9', '2020', '419', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '112.89371273');
INSERT INTO public.ecdc_import VALUES (3362, '28/09/2020', '28', '9', '2020', '526', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '114.36118425');
INSERT INTO public.ecdc_import VALUES (3363, '27/09/2020', '27', '9', '2020', '623', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '112.75825382');
INSERT INTO public.ecdc_import VALUES (3364, '26/09/2020', '26', '9', '2020', '1071', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '111.31335879');
INSERT INTO public.ecdc_import VALUES (3365, '25/09/2020', '25', '9', '2020', '688', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '110.56833479');
INSERT INTO public.ecdc_import VALUES (3366, '24/09/2020', '24', '9', '2020', '661', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '108.41228048');
INSERT INTO public.ecdc_import VALUES (3367, '23/09/2020', '23', '9', '2020', '747', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '109.46208703');
INSERT INTO public.ecdc_import VALUES (3368, '22/09/2020', '22', '9', '2020', '593', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '106.61744993');
INSERT INTO public.ecdc_import VALUES (3369, '21/09/2020', '21', '9', '2020', '609', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '105.69181405');
INSERT INTO public.ecdc_import VALUES (3370, '20/09/2020', '20', '9', '2020', '757', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '101.30068774');
INSERT INTO public.ecdc_import VALUES (3371, '19/09/2020', '19', '9', '2020', '821', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '95.10344263');
INSERT INTO public.ecdc_import VALUES (3372, '18/09/2020', '18', '9', '2020', '922', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '88.89490928');
INSERT INTO public.ecdc_import VALUES (3373, '17/09/2020', '17', '9', '2020', '704', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '82.00908139');
INSERT INTO public.ecdc_import VALUES (3374, '16/09/2020', '16', '9', '2020', '860', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '79.05156187');
INSERT INTO public.ecdc_import VALUES (3375, '15/09/2020', '15', '9', '2020', '549', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '73.14781107');
INSERT INTO public.ecdc_import VALUES (3376, '14/09/2020', '14', '9', '2020', '384', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '69.05017906');
INSERT INTO public.ecdc_import VALUES (3377, '13/09/2020', '13', '9', '2020', '495', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '67.88749009');
INSERT INTO public.ecdc_import VALUES (3378, '12/09/2020', '12', '9', '2020', '1005', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '64.26396426');
INSERT INTO public.ecdc_import VALUES (3379, '11/09/2020', '11', '9', '2020', '497', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '57.23138922');
INSERT INTO public.ecdc_import VALUES (3380, '10/09/2020', '10', '9', '2020', '754', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '54.18356375');
INSERT INTO public.ecdc_import VALUES (3381, '09/09/2020', '9', '9', '2020', '495', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '49.23931356');
INSERT INTO public.ecdc_import VALUES (3382, '08/09/2020', '8', '9', '2020', '511', '10', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '46.9365121');
INSERT INTO public.ecdc_import VALUES (3383, '07/09/2020', '7', '9', '2020', '220', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '44.64499889');
INSERT INTO public.ecdc_import VALUES (3384, '06/09/2020', '6', '9', '2020', '208', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.74193949');
INSERT INTO public.ecdc_import VALUES (3385, '05/09/2020', '5', '9', '2020', '271', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.83224543');
INSERT INTO public.ecdc_import VALUES (3386, '04/09/2020', '4', '9', '2020', '312', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.8773984');
INSERT INTO public.ecdc_import VALUES (3387, '03/09/2020', '3', '9', '2020', '442', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.83224543');
INSERT INTO public.ecdc_import VALUES (3388, '02/09/2020', '2', '9', '2020', '337', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.64034531');
INSERT INTO public.ecdc_import VALUES (3389, '01/09/2020', '1', '9', '2020', '186', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '41.61974991');
INSERT INTO public.ecdc_import VALUES (3390, '31/08/2020', '31', '8', '2020', '281', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.40329222');
INSERT INTO public.ecdc_import VALUES (3391, '30/08/2020', '30', '8', '2020', '174', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '42.05999136');
INSERT INTO public.ecdc_import VALUES (3392, '29/08/2020', '29', '8', '2020', '382', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '43.03078022');
INSERT INTO public.ecdc_import VALUES (3393, '28/08/2020', '28', '8', '2020', '227', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '41.21337318');
INSERT INTO public.ecdc_import VALUES (3394, '27/08/2020', '27', '8', '2020', '316', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '41.23594967');
INSERT INTO public.ecdc_import VALUES (3395, '26/08/2020', '26', '8', '2020', '291', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '40.38933148');
INSERT INTO public.ecdc_import VALUES (3396, '25/08/2020', '25', '8', '2020', '308', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '38.66223039');
INSERT INTO public.ecdc_import VALUES (3397, '24/08/2020', '24', '8', '2020', '140', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '36.43844662');
INSERT INTO public.ecdc_import VALUES (3398, '23/08/2020', '23', '8', '2020', '216', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '35.71599911');
INSERT INTO public.ecdc_import VALUES (3399, '22/08/2020', '22', '8', '2020', '275', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '34.58717486');
INSERT INTO public.ecdc_import VALUES (3400, '21/08/2020', '21', '8', '2020', '308', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '32.95037971');
INSERT INTO public.ecdc_import VALUES (3401, '20/08/2020', '20', '8', '2020', '425', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '30.76046067');
INSERT INTO public.ecdc_import VALUES (3402, '19/08/2020', '19', '8', '2020', '158', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '27.1256466');
INSERT INTO public.ecdc_import VALUES (3403, '18/08/2020', '18', '8', '2020', '344', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '26.82086406');
INSERT INTO public.ecdc_import VALUES (3404, '17/08/2020', '17', '8', '2020', '162', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '23.29893241');
INSERT INTO public.ecdc_import VALUES (3405, '16/08/2020', '16', '8', '2020', '260', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '22.42973775');
INSERT INTO public.ecdc_import VALUES (3406, '15/08/2020', '15', '8', '2020', '221', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '20.91711326');
INSERT INTO public.ecdc_import VALUES (3407, '14/08/2020', '14', '8', '2020', '229', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.42706525');
INSERT INTO public.ecdc_import VALUES (3408, '13/08/2020', '13', '8', '2020', '241', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.68204125');
INSERT INTO public.ecdc_import VALUES (3409, '12/08/2020', '12', '8', '2020', '138', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.81284658');
INSERT INTO public.ecdc_import VALUES (3410, '11/08/2020', '11', '8', '2020', '111', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.74511713');
INSERT INTO public.ecdc_import VALUES (3411, '10/08/2020', '10', '8', '2020', '76', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.21456973');
INSERT INTO public.ecdc_import VALUES (3412, '09/08/2020', '9', '8', '2020', '116', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.90315252');
INSERT INTO public.ecdc_import VALUES (3413, '08/08/2020', '8', '8', '2020', '130', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.94830549');
INSERT INTO public.ecdc_import VALUES (3414, '07/08/2020', '7', '8', '2020', '114', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.68867592');
INSERT INTO public.ecdc_import VALUES (3415, '06/08/2020', '6', '8', '2020', '103', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.25308804');
INSERT INTO public.ecdc_import VALUES (3416, '05/08/2020', '5', '8', '2020', '131', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.67075301');
INSERT INTO public.ecdc_import VALUES (3417, '04/08/2020', '4', '8', '2020', '32', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.76105895');
INSERT INTO public.ecdc_import VALUES (3418, '03/08/2020', '3', '8', '2020', '85', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.61896538');
INSERT INTO public.ecdc_import VALUES (3419, '02/08/2020', '2', '8', '2020', '126', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.37062404');
INSERT INTO public.ecdc_import VALUES (3420, '01/08/2020', '1', '8', '2020', '89', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.09970622');
INSERT INTO public.ecdc_import VALUES (3421, '31/07/2020', '31', '7', '2020', '163', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.6528301');
INSERT INTO public.ecdc_import VALUES (3422, '30/07/2020', '30', '7', '2020', '164', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.53994768');
INSERT INTO public.ecdc_import VALUES (3423, '29/07/2020', '29', '7', '2020', '132', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.30952925');
INSERT INTO public.ecdc_import VALUES (3424, '28/07/2020', '28', '7', '2020', '64', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.08841798');
INSERT INTO public.ecdc_import VALUES (3425, '27/07/2020', '27', '7', '2020', '137', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.50142937');
INSERT INTO public.ecdc_import VALUES (3426, '26/07/2020', '26', '7', '2020', '120', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.54192877');
INSERT INTO public.ecdc_import VALUES (3427, '25/07/2020', '25', '7', '2020', '107', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.40646986');
INSERT INTO public.ecdc_import VALUES (3428, '24/07/2020', '24', '7', '2020', '164', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.03395786');
INSERT INTO public.ecdc_import VALUES (3429, '23/07/2020', '23', '7', '2020', '140', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '16.27764561');
INSERT INTO public.ecdc_import VALUES (3430, '22/07/2020', '22', '7', '2020', '139', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '15.83740416');
INSERT INTO public.ecdc_import VALUES (3431, '21/07/2020', '21', '7', '2020', '108', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '15.27299203');
INSERT INTO public.ecdc_import VALUES (3432, '20/07/2020', '20', '7', '2020', '63', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.69729167');
INSERT INTO public.ecdc_import VALUES (3433, '19/07/2020', '19', '7', '2020', '102', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.81017409');
INSERT INTO public.ecdc_import VALUES (3434, '18/07/2020', '18', '7', '2020', '138', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '15.04722718');
INSERT INTO public.ecdc_import VALUES (3435, '17/07/2020', '17', '7', '2020', '153', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.85532706');
INSERT INTO public.ecdc_import VALUES (3436, '16/07/2020', '16', '7', '2020', '55', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.68600343');
INSERT INTO public.ecdc_import VALUES (3437, '15/07/2020', '15', '7', '2020', '201', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.48281506');
INSERT INTO public.ecdc_import VALUES (3438, '14/07/2020', '14', '7', '2020', '12', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '13.46687324');
INSERT INTO public.ecdc_import VALUES (3439, '13/07/2020', '13', '7', '2020', '52', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '13.79423227');
INSERT INTO public.ecdc_import VALUES (3440, '12/07/2020', '12', '7', '2020', '108', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '13.91840294');
INSERT INTO public.ecdc_import VALUES (3441, '11/07/2020', '11', '7', '2020', '74', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '13.42172027');
INSERT INTO public.ecdc_import VALUES (3442, '10/07/2020', '10', '7', '2020', '97', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '13.34270257');
INSERT INTO public.ecdc_import VALUES (3443, '09/07/2020', '9', '7', '2020', '101', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '12.77829045');
INSERT INTO public.ecdc_import VALUES (3444, '08/07/2020', '8', '7', '2020', '89', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '12.01068997');
INSERT INTO public.ecdc_import VALUES (3445, '07/07/2020', '7', '7', '2020', '57', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '11.3559719');
INSERT INTO public.ecdc_import VALUES (3446, '06/07/2020', '6', '7', '2020', '73', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '11.10763057');
INSERT INTO public.ecdc_import VALUES (3447, '05/07/2020', '5', '7', '2020', '123', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '10.71254208');
INSERT INTO public.ecdc_import VALUES (3448, '04/07/2020', '4', '7', '2020', '121', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '10.02395929');
INSERT INTO public.ecdc_import VALUES (3449, '03/07/2020', '3', '7', '2020', '138', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '8.99672923');
INSERT INTO public.ecdc_import VALUES (3450, '02/07/2020', '2', '7', '2020', '37', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.89048147');
INSERT INTO public.ecdc_import VALUES (3451, '01/07/2020', '1', '7', '2020', '111', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.66471662');
INSERT INTO public.ecdc_import VALUES (3452, '30/06/2020', '30', '6', '2020', '41', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.78423371');
INSERT INTO public.ecdc_import VALUES (3453, '29/06/2020', '29', '6', '2020', '63', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.62619832');
INSERT INTO public.ecdc_import VALUES (3454, '28/06/2020', '28', '6', '2020', '64', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.18595686');
INSERT INTO public.ecdc_import VALUES (3455, '27/06/2020', '27', '6', '2020', '67', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.68927419');
INSERT INTO public.ecdc_import VALUES (3456, '26/06/2020', '26', '6', '2020', '47', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.27160922');
INSERT INTO public.ecdc_import VALUES (3457, '25/06/2020', '25', '6', '2020', '33', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.05713262');
INSERT INTO public.ecdc_import VALUES (3458, '24/06/2020', '24', '6', '2020', '31', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.06842086');
INSERT INTO public.ecdc_import VALUES (3459, '23/06/2020', '23', '6', '2020', '35', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.8652325');
INSERT INTO public.ecdc_import VALUES (3460, '22/06/2020', '22', '6', '2020', '38', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.7071971');
INSERT INTO public.ecdc_import VALUES (3461, '21/06/2020', '21', '6', '2020', '62', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.79750304');
INSERT INTO public.ecdc_import VALUES (3462, '20/06/2020', '20', '6', '2020', '30', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.31210862');
INSERT INTO public.ecdc_import VALUES (3463, '19/06/2020', '19', '6', '2020', '40', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.67333237');
INSERT INTO public.ecdc_import VALUES (3464, '18/06/2020', '18', '6', '2020', '17', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.6281794');
INSERT INTO public.ecdc_import VALUES (3465, '17/06/2020', '17', '6', '2020', '33', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.7862148');
INSERT INTO public.ecdc_import VALUES (3466, '16/06/2020', '16', '6', '2020', '27', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.53787346');
INSERT INTO public.ecdc_import VALUES (3467, '15/06/2020', '15', '6', '2020', '24', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.47014401');
INSERT INTO public.ecdc_import VALUES (3468, '14/06/2020', '14', '6', '2020', '20', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.24437916');
INSERT INTO public.ecdc_import VALUES (3469, '13/06/2020', '13', '6', '2020', '30', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.51529698');
INSERT INTO public.ecdc_import VALUES (3470, '12/06/2020', '12', '6', '2020', '28', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.75235007');
INSERT INTO public.ecdc_import VALUES (3471, '11/06/2020', '11', '6', '2020', '34', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.75235007');
INSERT INTO public.ecdc_import VALUES (3472, '10/06/2020', '10', '6', '2020', '13', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.57173819');
INSERT INTO public.ecdc_import VALUES (3473, '09/06/2020', '9', '6', '2020', '21', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.85394425');
INSERT INTO public.ecdc_import VALUES (3474, '08/06/2020', '8', '6', '2020', '46', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.84265601');
INSERT INTO public.ecdc_import VALUES (3475, '07/06/2020', '7', '6', '2020', '19', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.68462062');
INSERT INTO public.ecdc_import VALUES (3476, '06/06/2020', '6', '6', '2020', '62', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.98940316');
INSERT INTO public.ecdc_import VALUES (3477, '05/06/2020', '5', '6', '2020', '36', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.61689116');
INSERT INTO public.ecdc_import VALUES (3478, '04/06/2020', '4', '6', '2020', '31', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.85394425');
INSERT INTO public.ecdc_import VALUES (3479, '03/06/2020', '3', '6', '2020', '11', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.7071971');
INSERT INTO public.ecdc_import VALUES (3480, '02/06/2020', '2', '6', '2020', '21', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.46350935');
INSERT INTO public.ecdc_import VALUES (3481, '01/06/2020', '1', '6', '2020', '4', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.50866232');
INSERT INTO public.ecdc_import VALUES (3482, '31/05/2020', '31', '5', '2020', '44', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.62154474');
INSERT INTO public.ecdc_import VALUES (3483, '30/05/2020', '30', '5', '2020', '51', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.93761553');
INSERT INTO public.ecdc_import VALUES (3484, '29/05/2020', '29', '5', '2020', '28', '23', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.07307444');
INSERT INTO public.ecdc_import VALUES (3485, '28/05/2020', '28', '5', '2020', '18', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.21982159');
INSERT INTO public.ecdc_import VALUES (3486, '27/05/2020', '27', '5', '2020', '38', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.62619832');
INSERT INTO public.ecdc_import VALUES (3487, '26/05/2020', '26', '5', '2020', '20', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.60362183');
INSERT INTO public.ecdc_import VALUES (3488, '25/05/2020', '25', '5', '2020', '32', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.35993408');
INSERT INTO public.ecdc_import VALUES (3489, '24/05/2020', '24', '5', '2020', '46', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.11159274');
INSERT INTO public.ecdc_import VALUES (3490, '23/05/2020', '23', '5', '2020', '29', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.06643977');
INSERT INTO public.ecdc_import VALUES (3491, '22/05/2020', '22', '5', '2020', '57', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.43895177');
INSERT INTO public.ecdc_import VALUES (3492, '21/05/2020', '21', '5', '2020', '18', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.04386329');
INSERT INTO public.ecdc_import VALUES (3493, '20/05/2020', '20', '5', '2020', '78', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.57441068');
INSERT INTO public.ecdc_import VALUES (3494, '19/05/2020', '19', '5', '2020', '25', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.88582789');
INSERT INTO public.ecdc_import VALUES (3495, '18/05/2020', '18', '5', '2020', '14', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.95355735');
INSERT INTO public.ecdc_import VALUES (3496, '17/05/2020', '17', '5', '2020', '72', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.56312244');
INSERT INTO public.ecdc_import VALUES (3497, '16/05/2020', '16', '5', '2020', '63', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.88582789');
INSERT INTO public.ecdc_import VALUES (3498, '15/05/2020', '15', '5', '2020', '41', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.55846886');
INSERT INTO public.ecdc_import VALUES (3499, '14/05/2020', '14', '5', '2020', '54', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.77294547');
INSERT INTO public.ecdc_import VALUES (3500, '13/05/2020', '13', '5', '2020', '36', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.7277925');
INSERT INTO public.ecdc_import VALUES (3501, '12/05/2020', '12', '5', '2020', '87', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.97613383');
INSERT INTO public.ecdc_import VALUES (3502, '11/05/2020', '11', '5', '2020', '10', '3', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '6.75036898');
INSERT INTO public.ecdc_import VALUES (3503, '10/05/2020', '10', '5', '2020', '42', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.25833989');
INSERT INTO public.ecdc_import VALUES (3504, '09/05/2020', '9', '5', '2020', '62', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.52925771');
INSERT INTO public.ecdc_import VALUES (3505, '08/05/2020', '8', '5', '2020', '22', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.7663108');
INSERT INTO public.ecdc_import VALUES (3506, '07/05/2020', '7', '5', '2020', '65', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '8.20655226');
INSERT INTO public.ecdc_import VALUES (3507, '06/05/2020', '6', '5', '2020', '17', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '8.50004656');
INSERT INTO public.ecdc_import VALUES (3508, '05/05/2020', '5', '5', '2020', '31', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '8.87255856');
INSERT INTO public.ecdc_import VALUES (3509, '04/05/2020', '4', '5', '2020', '68', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '9.34666475');
INSERT INTO public.ecdc_import VALUES (3510, '03/05/2020', '3', '5', '2020', '12', '7', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '9.1208999');
INSERT INTO public.ecdc_import VALUES (3511, '02/05/2020', '2', '5', '2020', '34', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '9.65144729');
INSERT INTO public.ecdc_import VALUES (3512, '01/05/2020', '1', '5', '2020', '60', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '11.01732463');
INSERT INTO public.ecdc_import VALUES (3513, '30/04/2020', '30', '4', '2020', '50', '11', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '11.22051299');
INSERT INTO public.ecdc_import VALUES (3514, '29/04/2020', '29', '4', '2020', '58', '20', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '12.19130184');
INSERT INTO public.ecdc_import VALUES (3515, '28/04/2020', '28', '4', '2020', '67', '7', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '13.69263809');
INSERT INTO public.ecdc_import VALUES (3516, '27/04/2020', '27', '4', '2020', '55', '6', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.13287955');
INSERT INTO public.ecdc_import VALUES (3517, '26/04/2020', '26', '4', '2020', '66', '23', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.97949773');
INSERT INTO public.ecdc_import VALUES (3518, '25/04/2020', '25', '4', '2020', '83', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '17.02266961');
INSERT INTO public.ecdc_import VALUES (3519, '24/04/2020', '24', '4', '2020', '61', '14', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '19.60767713');
INSERT INTO public.ecdc_import VALUES (3520, '23/04/2020', '23', '4', '2020', '91', '31', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '22.06851399');
INSERT INTO public.ecdc_import VALUES (3521, '22/04/2020', '22', '4', '2020', '50', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '24.75511569');
INSERT INTO public.ecdc_import VALUES (3522, '21/04/2020', '21', '4', '2020', '73', '10', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '28.06257073');
INSERT INTO public.ecdc_import VALUES (3523, '20/04/2020', '20', '4', '2020', '48', '9', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '30.78303716');
INSERT INTO public.ecdc_import VALUES (3524, '19/04/2020', '19', '4', '2020', '59', '12', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '32.69075013');
INSERT INTO public.ecdc_import VALUES (3525, '18/04/2020', '18', '4', '2020', '155', '21', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '34.74521026');
INSERT INTO public.ecdc_import VALUES (3526, '17/04/2020', '17', '4', '2020', '78', '17', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '37.46567669');
INSERT INTO public.ecdc_import VALUES (3527, '16/04/2020', '16', '4', '2020', '136', '9', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '41.30367912');
INSERT INTO public.ecdc_import VALUES (3528, '15/04/2020', '15', '4', '2020', '191', '16', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '45.7399584');
INSERT INTO public.ecdc_import VALUES (3529, '14/04/2020', '14', '4', '2020', '106', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '49.95047284');
INSERT INTO public.ecdc_import VALUES (3530, '13/04/2020', '13', '4', '2020', '130', '13', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '57.84095431');
INSERT INTO public.ecdc_import VALUES (3531, '12/04/2020', '12', '4', '2020', '247', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '62.26594535');
INSERT INTO public.ecdc_import VALUES (3532, '11/04/2020', '11', '4', '2020', '312', '24', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '66.18296548');
INSERT INTO public.ecdc_import VALUES (3533, '10/04/2020', '10', '4', '2020', '279', '22', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '70.20157979');
INSERT INTO public.ecdc_import VALUES (3534, '09/04/2020', '9', '4', '2020', '329', '30', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '79.93204478');
INSERT INTO public.ecdc_import VALUES (3535, '08/04/2020', '8', '4', '2020', '343', '23', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '83.05888794');
INSERT INTO public.ecdc_import VALUES (3536, '07/04/2020', '7', '4', '2020', '314', '16', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '88.17246177');
INSERT INTO public.ecdc_import VALUES (3537, '06/04/2020', '6', '4', '2020', '217', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '94.27940093');
INSERT INTO public.ecdc_import VALUES (3538, '05/04/2020', '5', '4', '2020', '241', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '98.68181549');
INSERT INTO public.ecdc_import VALUES (3539, '04/04/2020', '4', '4', '2020', '396', '10', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '100.19443998');
INSERT INTO public.ecdc_import VALUES (3540, '03/04/2020', '3', '4', '2020', '418', '12', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '100.8378698');
INSERT INTO public.ecdc_import VALUES (3541, '02/04/2020', '2', '4', '2020', '529', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '102.3279178');
INSERT INTO public.ecdc_import VALUES (3542, '01/04/2020', '1', '4', '2020', '564', '20', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '99.90094567');
INSERT INTO public.ecdc_import VALUES (3543, '31/03/2020', '31', '3', '2020', '805', '22', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '97.10146155');
INSERT INTO public.ecdc_import VALUES (3544, '30/03/2020', '30', '3', '2020', '522', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '89.7753922');
INSERT INTO public.ecdc_import VALUES (3545, '29/03/2020', '29', '3', '2020', '594', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '86.19701934');
INSERT INTO public.ecdc_import VALUES (3546, '28/03/2020', '28', '3', '2020', '668', '16', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '81.19632793');
INSERT INTO public.ecdc_import VALUES (3547, '27/03/2020', '27', '3', '2020', '1141', '18', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '75.27000065');
INSERT INTO public.ecdc_import VALUES (3548, '26/03/2020', '26', '3', '2020', '606', '4', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '63.6882639');
INSERT INTO public.ecdc_import VALUES (3549, '25/03/2020', '25', '3', '2020', '796', '5', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '57.57003649');
INSERT INTO public.ecdc_import VALUES (3550, '24/03/2020', '24', '3', '2020', '855', '9', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '49.16029586');
INSERT INTO public.ecdc_import VALUES (3551, '23/03/2020', '23', '3', '2020', '607', '8', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '39.8362076');
INSERT INTO public.ecdc_import VALUES (3552, '22/03/2020', '22', '3', '2020', '375', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '33.01810916');
INSERT INTO public.ecdc_import VALUES (3553, '21/03/2020', '21', '3', '2020', '453', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '29.06722431');
INSERT INTO public.ecdc_import VALUES (3554, '20/03/2020', '20', '3', '2020', '550', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '24.32616248');
INSERT INTO public.ecdc_import VALUES (3555, '19/03/2020', '19', '3', '2020', '314', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '18.25308804');
INSERT INTO public.ecdc_import VALUES (3556, '18/03/2020', '18', '3', '2020', '316', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '14.76502112');
INSERT INTO public.ecdc_import VALUES (3557, '17/03/2020', '17', '3', '2020', '156', '2', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '11.26566596');
INSERT INTO public.ecdc_import VALUES (3558, '16/03/2020', '16', '3', '2020', '205', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '9.54985311');
INSERT INTO public.ecdc_import VALUES (3559, '15/03/2020', '15', '3', '2020', '151', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '7.28091638');
INSERT INTO public.ecdc_import VALUES (3560, '14/03/2020', '14', '3', '2020', '143', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '5.6102565');
INSERT INTO public.ecdc_import VALUES (3561, '13/03/2020', '13', '3', '2020', '115', '1', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '4.01861431');
INSERT INTO public.ecdc_import VALUES (3562, '12/03/2020', '12', '3', '2020', '64', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '2.75433116');
INSERT INTO public.ecdc_import VALUES (3563, '11/03/2020', '11', '3', '2020', '51', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '2.03188364');
INSERT INTO public.ecdc_import VALUES (3564, '10/03/2020', '10', '3', '2020', '29', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1.47875976');
INSERT INTO public.ecdc_import VALUES (3565, '09/03/2020', '9', '3', '2020', '3', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1.15140073');
INSERT INTO public.ecdc_import VALUES (3566, '08/03/2020', '8', '3', '2020', '25', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '1.117536');
INSERT INTO public.ecdc_import VALUES (3567, '07/03/2020', '7', '3', '2020', '33', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.83532994');
INSERT INTO public.ecdc_import VALUES (3568, '06/03/2020', '6', '3', '2020', '12', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.46281794');
INSERT INTO public.ecdc_import VALUES (3569, '05/03/2020', '5', '3', '2020', '5', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.32735903');
INSERT INTO public.ecdc_import VALUES (3570, '04/03/2020', '4', '3', '2020', '6', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.27091782');
INSERT INTO public.ecdc_import VALUES (3571, '03/03/2020', '3', '3', '2020', '4', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.20318836');
INSERT INTO public.ecdc_import VALUES (3572, '02/03/2020', '2', '3', '2020', '4', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.15803539');
INSERT INTO public.ecdc_import VALUES (3573, '01/03/2020', '1', '3', '2020', '3', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.11288242');
INSERT INTO public.ecdc_import VALUES (3574, '29/02/2020', '29', '2', '2020', '2', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.0790177');
INSERT INTO public.ecdc_import VALUES (3575, '28/02/2020', '28', '2', '2020', '3', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.05644121');
INSERT INTO public.ecdc_import VALUES (3576, '27/02/2020', '27', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.02257648');
INSERT INTO public.ecdc_import VALUES (3577, '26/02/2020', '26', '2', '2020', '2', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0.02257648');
INSERT INTO public.ecdc_import VALUES (3578, '25/02/2020', '25', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3579, '24/02/2020', '24', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3580, '23/02/2020', '23', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3581, '22/02/2020', '22', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3582, '21/02/2020', '21', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3583, '20/02/2020', '20', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3584, '19/02/2020', '19', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3585, '18/02/2020', '18', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3586, '17/02/2020', '17', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3587, '16/02/2020', '16', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3588, '15/02/2020', '15', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3589, '14/02/2020', '14', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3590, '13/02/2020', '13', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3591, '12/02/2020', '12', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3592, '11/02/2020', '11', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3593, '10/02/2020', '10', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3594, '09/02/2020', '9', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3595, '08/02/2020', '8', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3596, '07/02/2020', '7', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3597, '06/02/2020', '6', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3598, '05/02/2020', '5', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3599, '04/02/2020', '4', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3600, '03/02/2020', '3', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3601, '02/02/2020', '2', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3602, '01/02/2020', '1', '2', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3603, '31/01/2020', '31', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3604, '30/01/2020', '30', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3605, '29/01/2020', '29', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3606, '28/01/2020', '28', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3607, '27/01/2020', '27', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3608, '26/01/2020', '26', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3609, '25/01/2020', '25', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3610, '24/01/2020', '24', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3611, '23/01/2020', '23', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3612, '22/01/2020', '22', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3613, '21/01/2020', '21', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3614, '20/01/2020', '20', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3615, '19/01/2020', '19', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3616, '18/01/2020', '18', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3617, '17/01/2020', '17', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3618, '16/01/2020', '16', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3619, '15/01/2020', '15', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3620, '14/01/2020', '14', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3621, '13/01/2020', '13', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3622, '12/01/2020', '12', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3623, '11/01/2020', '11', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3624, '10/01/2020', '10', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3625, '09/01/2020', '9', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3626, '08/01/2020', '8', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3627, '07/01/2020', '7', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3628, '06/01/2020', '6', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3629, '05/01/2020', '5', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3630, '04/01/2020', '4', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3631, '03/01/2020', '3', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3632, '02/01/2020', '2', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3633, '01/01/2020', '1', '1', '2020', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3634, '31/12/2019', '31', '12', '2019', '0', '0', '8858775', 'Austria', 'AT', 'AUT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3635, '14/12/2020', '14', '12', '2020', '4451', '39', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '574.05068752');
INSERT INTO public.ecdc_import VALUES (3636, '13/12/2020', '13', '12', '2020', '4268', '43', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '571.25403288');
INSERT INTO public.ecdc_import VALUES (3637, '12/12/2020', '12', '12', '2020', '4381', '47', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '570.69669245');
INSERT INTO public.ecdc_import VALUES (3638, '11/12/2020', '11', '12', '2020', '4219', '38', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '564.03846485');
INSERT INTO public.ecdc_import VALUES (3639, '10/12/2020', '10', '12', '2020', '4403', '42', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '558.92287593');
INSERT INTO public.ecdc_import VALUES (3640, '09/12/2020', '9', '12', '2020', '4387', '38', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '549.6272338');
INSERT INTO public.ecdc_import VALUES (3641, '08/12/2020', '8', '12', '2020', '3086', '43', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '542.25242565');
INSERT INTO public.ecdc_import VALUES (3642, '07/12/2020', '7', '12', '2020', '4356', '39', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '533.30512129');
INSERT INTO public.ecdc_import VALUES (3643, '06/12/2020', '6', '12', '2020', '4323', '42', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '521.76021244');
INSERT INTO public.ecdc_import VALUES (3644, '05/12/2020', '5', '12', '2020', '4267', '41', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '505.95563033');
INSERT INTO public.ecdc_import VALUES (3645, '04/12/2020', '4', '12', '2020', '4189', '40', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '495.02777695');
INSERT INTO public.ecdc_import VALUES (3646, '03/12/2020', '3', '12', '2020', '3942', '37', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '479.18338481');
INSERT INTO public.ecdc_import VALUES (3647, '02/12/2020', '2', '12', '2020', '4426', '41', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '462.23426431');
INSERT INTO public.ecdc_import VALUES (3648, '01/12/2020', '1', '12', '2020', '2981', '31', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '438.83591888');
INSERT INTO public.ecdc_import VALUES (3649, '30/11/2020', '30', '11', '2020', '4170', '38', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '423.05124178');
INSERT INTO public.ecdc_import VALUES (3650, '29/11/2020', '29', '11', '2020', '4212', '32', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '404.0319997');
INSERT INTO public.ecdc_import VALUES (3651, '28/11/2020', '28', '11', '2020', '3712', '35', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '380.51422417');
INSERT INTO public.ecdc_import VALUES (3652, '27/11/2020', '27', '11', '2020', '3705', '32', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '357.14573626');
INSERT INTO public.ecdc_import VALUES (3653, '26/11/2020', '26', '11', '2020', '3469', '30', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '336.41466287');
INSERT INTO public.ecdc_import VALUES (3654, '25/11/2020', '25', '11', '2020', '3646', '34', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '313.85232808');
INSERT INTO public.ecdc_import VALUES (3655, '24/11/2020', '24', '11', '2020', '2187', '29', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '290.96156053');
INSERT INTO public.ecdc_import VALUES (3656, '23/11/2020', '23', '11', '2020', '3196', '24', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '275.51526869');
INSERT INTO public.ecdc_import VALUES (3657, '22/11/2020', '22', '11', '2020', '2735', '28', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '260.25807449');
INSERT INTO public.ecdc_import VALUES (3658, '21/11/2020', '21', '11', '2020', '3169', '26', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '261.65142556');
INSERT INTO public.ecdc_import VALUES (3659, '20/11/2020', '20', '11', '2020', '2597', '23', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '230.11192889');
INSERT INTO public.ecdc_import VALUES (3660, '19/11/2020', '19', '11', '2020', '2239', '25', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '217.84048698');
INSERT INTO public.ecdc_import VALUES (3661, '18/11/2020', '18', '11', '2020', '2075', '20', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '207.76854926');
INSERT INTO public.ecdc_import VALUES (3662, '17/11/2020', '17', '11', '2020', '1395', '18', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '199.4781104');
INSERT INTO public.ecdc_import VALUES (3663, '16/11/2020', '16', '11', '2020', '2259', '21', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '191.52605681');
INSERT INTO public.ecdc_import VALUES (3664, '15/11/2020', '15', '11', '2020', '1849', '19', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '180.73753854');
INSERT INTO public.ecdc_import VALUES (3665, '14/11/2020', '14', '11', '2020', '1364', '22', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '173.23334779');
INSERT INTO public.ecdc_import VALUES (3666, '13/11/2020', '13', '11', '2020', '1622', '20', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '169.82959018');
INSERT INTO public.ecdc_import VALUES (3667, '12/11/2020', '12', '11', '2020', '1202', '18', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '163.78841805');
INSERT INTO public.ecdc_import VALUES (3668, '11/11/2020', '11', '11', '2020', '1346', '15', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '161.65858142');
INSERT INTO public.ecdc_import VALUES (3669, '10/11/2020', '10', '11', '2020', '635', '12', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '154.8610187');
INSERT INTO public.ecdc_import VALUES (3670, '09/11/2020', '9', '11', '2020', '1663', '16', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '153.78614788');
INSERT INTO public.ecdc_import VALUES (3671, '08/11/2020', '8', '11', '2020', '2875', '30', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '146.65019991');
INSERT INTO public.ecdc_import VALUES (3672, '07/11/2020', '7', '11', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '125.91912652');
INSERT INTO public.ecdc_import VALUES (3673, '06/11/2020', '6', '11', '2020', '1364', '14', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '133.91099015');
INSERT INTO public.ecdc_import VALUES (3674, '05/11/2020', '5', '11', '2020', '1227', '12', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '128.54658853');
INSERT INTO public.ecdc_import VALUES (3675, '04/11/2020', '4', '11', '2020', '1242', '15', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '123.44095212');
INSERT INTO public.ecdc_import VALUES (3676, '03/11/2020', '3', '11', '2020', '596', '13', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '116.8922021');
INSERT INTO public.ecdc_import VALUES (3677, '02/11/2020', '2', '11', '2020', '1175', '10', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '114.25478758');
INSERT INTO public.ecdc_import VALUES (3678, '01/11/2020', '1', '11', '2020', '1095', '12', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '108.99986355');
INSERT INTO public.ecdc_import VALUES (3679, '31/10/2020', '31', '10', '2020', '1022', '10', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '103.35679173');
INSERT INTO public.ecdc_import VALUES (3680, '30/10/2020', '30', '10', '2020', '1015', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '98.25115531');
INSERT INTO public.ecdc_import VALUES (3681, '29/10/2020', '29', '10', '2020', '988', '11', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '93.42418911');
INSERT INTO public.ecdc_import VALUES (3682, '28/10/2020', '28', '10', '2020', '663', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '87.26358689');
INSERT INTO public.ecdc_import VALUES (3683, '27/10/2020', '27', '10', '2020', '527', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '83.42191894');
INSERT INTO public.ecdc_import VALUES (3684, '26/10/2020', '26', '10', '2020', '946', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '79.39115336');
INSERT INTO public.ecdc_import VALUES (3685, '25/10/2020', '25', '10', '2020', '792', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '72.26515789');
INSERT INTO public.ecdc_import VALUES (3686, '24/10/2020', '24', '10', '2020', '803', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '66.70170613');
INSERT INTO public.ecdc_import VALUES (3687, '23/10/2020', '23', '10', '2020', '825', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '60.84963164');
INSERT INTO public.ecdc_import VALUES (3688, '22/10/2020', '22', '10', '2020', '714', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '54.53974181');
INSERT INTO public.ecdc_import VALUES (3689, '21/10/2020', '21', '10', '2020', '584', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '49.24500775');
INSERT INTO public.ecdc_import VALUES (3690, '20/10/2020', '20', '10', '2020', '331', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '44.85595188');
INSERT INTO public.ecdc_import VALUES (3691, '19/10/2020', '19', '10', '2020', '647', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '42.5270651');
INSERT INTO public.ecdc_import VALUES (3692, '18/10/2020', '18', '10', '2020', '528', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '37.38161865');
INSERT INTO public.ecdc_import VALUES (3693, '17/10/2020', '17', '10', '2020', '509', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '33.20156545');
INSERT INTO public.ecdc_import VALUES (3694, '16/10/2020', '16', '10', '2020', '530', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '29.56890017');
INSERT INTO public.ecdc_import VALUES (3695, '15/10/2020', '15', '10', '2020', '369', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '25.09027173');
INSERT INTO public.ecdc_import VALUES (3696, '14/10/2020', '14', '10', '2020', '277', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '22.51257226');
INSERT INTO public.ecdc_import VALUES (3697, '13/10/2020', '13', '10', '2020', '122', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.33297309');
INSERT INTO public.ecdc_import VALUES (3698, '12/10/2020', '12', '10', '2020', '230', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.49696244');
INSERT INTO public.ecdc_import VALUES (3699, '11/10/2020', '11', '10', '2020', '233', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.48180667');
INSERT INTO public.ecdc_import VALUES (3700, '10/10/2020', '10', '10', '2020', '215', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.23774321');
INSERT INTO public.ecdc_import VALUES (3701, '09/10/2020', '9', '10', '2020', '191', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.10315734');
INSERT INTO public.ecdc_import VALUES (3702, '08/10/2020', '8', '10', '2020', '182', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.81453462');
INSERT INTO public.ecdc_import VALUES (3703, '07/10/2020', '7', '10', '2020', '143', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.45624435');
INSERT INTO public.ecdc_import VALUES (3704, '06/10/2020', '6', '10', '2020', '97', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.0083815');
INSERT INTO public.ecdc_import VALUES (3705, '05/10/2020', '5', '10', '2020', '130', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '14.95861897');
INSERT INTO public.ecdc_import VALUES (3706, '04/10/2020', '4', '10', '2020', '108', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.11785909');
INSERT INTO public.ecdc_import VALUES (3707, '03/10/2020', '3', '10', '2020', '144', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.51595939');
INSERT INTO public.ecdc_import VALUES (3708, '02/10/2020', '2', '10', '2020', '80', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.24724169');
INSERT INTO public.ecdc_import VALUES (3709, '01/10/2020', '1', '10', '2020', '110', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.63538948');
INSERT INTO public.ecdc_import VALUES (3710, '30/09/2020', '30', '9', '2020', '58', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.94391722');
INSERT INTO public.ecdc_import VALUES (3711, '29/09/2020', '29', '9', '2020', '38', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.50125765');
INSERT INTO public.ecdc_import VALUES (3712, '28/09/2020', '28', '9', '2020', '128', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.87945294');
INSERT INTO public.ecdc_import VALUES (3713, '27/09/2020', '27', '9', '2020', '108', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.14817064');
INSERT INTO public.ecdc_import VALUES (3714, '26/09/2020', '26', '9', '2020', '101', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.41688835');
INSERT INTO public.ecdc_import VALUES (3715, '25/09/2020', '25', '9', '2020', '162', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.03394382');
INSERT INTO public.ecdc_import VALUES (3716, '24/09/2020', '24', '9', '2020', '146', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.83489367');
INSERT INTO public.ecdc_import VALUES (3717, '23/09/2020', '23', '9', '2020', '98', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.12351639');
INSERT INTO public.ecdc_import VALUES (3718, '22/09/2020', '22', '9', '2020', '92', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.5315692');
INSERT INTO public.ecdc_import VALUES (3719, '21/09/2020', '21', '9', '2020', '146', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.50171168');
INSERT INTO public.ecdc_import VALUES (3720, '20/09/2020', '20', '9', '2020', '148', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.41213911');
INSERT INTO public.ecdc_import VALUES (3721, '19/09/2020', '19', '9', '2020', '117', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.54152171');
INSERT INTO public.ecdc_import VALUES (3722, '18/09/2020', '18', '9', '2020', '119', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.69080933');
INSERT INTO public.ecdc_import VALUES (3723, '17/09/2020', '17', '9', '2020', '141', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.16852969');
INSERT INTO public.ecdc_import VALUES (3724, '16/09/2020', '16', '9', '2020', '114', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.29791229');
INSERT INTO public.ecdc_import VALUES (3725, '15/09/2020', '15', '9', '2020', '76', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.58653501');
INSERT INTO public.ecdc_import VALUES (3726, '14/09/2020', '14', '9', '2020', '155', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.0841604');
INSERT INTO public.ecdc_import VALUES (3727, '13/09/2020', '13', '9', '2020', '135', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.88511024');
INSERT INTO public.ecdc_import VALUES (3728, '12/09/2020', '12', '9', '2020', '163', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.41259315');
INSERT INTO public.ecdc_import VALUES (3729, '11/09/2020', '11', '9', '2020', '142', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.20359049');
INSERT INTO public.ecdc_import VALUES (3730, '10/09/2020', '10', '9', '2020', '175', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.15382795');
INSERT INTO public.ecdc_import VALUES (3731, '09/09/2020', '9', '9', '2020', '139', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.88511024');
INSERT INTO public.ecdc_import VALUES (3732, '08/09/2020', '8', '9', '2020', '89', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.8253952');
INSERT INTO public.ecdc_import VALUES (3733, '07/09/2020', '7', '9', '2020', '137', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.45240318');
INSERT INTO public.ecdc_import VALUES (3734, '06/09/2020', '6', '9', '2020', '161', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.77088342');
INSERT INTO public.ecdc_import VALUES (3735, '05/09/2020', '5', '9', '2020', '132', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.9997911');
INSERT INTO public.ecdc_import VALUES (3736, '04/09/2020', '4', '9', '2020', '167', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '21.29836633');
INSERT INTO public.ecdc_import VALUES (3737, '03/09/2020', '3', '9', '2020', '154', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '21.01969611');
INSERT INTO public.ecdc_import VALUES (3738, '02/09/2020', '2', '9', '2020', '143', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.94007605');
INSERT INTO public.ecdc_import VALUES (3739, '01/09/2020', '1', '9', '2020', '126', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.82064596');
INSERT INTO public.ecdc_import VALUES (3740, '31/08/2020', '31', '8', '2020', '135', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.80074094');
INSERT INTO public.ecdc_import VALUES (3741, '30/08/2020', '30', '8', '2020', '188', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.57183327');
INSERT INTO public.ecdc_import VALUES (3742, '29/08/2020', '29', '8', '2020', '142', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.58653501');
INSERT INTO public.ecdc_import VALUES (3743, '28/08/2020', '28', '8', '2020', '137', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.19838722');
INSERT INTO public.ecdc_import VALUES (3744, '27/08/2020', '27', '8', '2020', '148', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.74057187');
INSERT INTO public.ecdc_import VALUES (3745, '26/08/2020', '26', '8', '2020', '133', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.19318395');
INSERT INTO public.ecdc_import VALUES (3746, '25/08/2020', '25', '8', '2020', '152', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.70551107');
INSERT INTO public.ecdc_import VALUES (3747, '24/08/2020', '24', '8', '2020', '169', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.97897801');
INSERT INTO public.ecdc_import VALUES (3748, '23/08/2020', '23', '8', '2020', '184', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.16287239');
INSERT INTO public.ecdc_import VALUES (3749, '22/08/2020', '22', '8', '2020', '162', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.37662429');
INSERT INTO public.ecdc_import VALUES (3750, '21/08/2020', '21', '8', '2020', '139', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.04819153');
INSERT INTO public.ecdc_import VALUES (3751, '20/08/2020', '20', '8', '2020', '146', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.09795407');
INSERT INTO public.ecdc_import VALUES (3752, '19/08/2020', '19', '8', '2020', '131', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.56572193');
INSERT INTO public.ecdc_import VALUES (3753, '18/08/2020', '18', '8', '2020', '124', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.51121016');
INSERT INTO public.ecdc_import VALUES (3754, '17/08/2020', '17', '8', '2020', '112', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.67565355');
INSERT INTO public.ecdc_import VALUES (3755, '16/08/2020', '16', '8', '2020', '89', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.40738988');
INSERT INTO public.ecdc_import VALUES (3756, '15/08/2020', '15', '8', '2020', '103', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '21.29836633');
INSERT INTO public.ecdc_import VALUES (3757, '14/08/2020', '14', '8', '2020', '91', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '23.43815547');
INSERT INTO public.ecdc_import VALUES (3758, '13/08/2020', '13', '8', '2020', '93', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '25.90637736');
INSERT INTO public.ecdc_import VALUES (3759, '12/08/2020', '12', '8', '2020', '84', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '28.59355442');
INSERT INTO public.ecdc_import VALUES (3760, '11/08/2020', '11', '8', '2020', '79', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '31.85797692');
INSERT INTO public.ecdc_import VALUES (3761, '10/08/2020', '10', '8', '2020', '87', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '35.01292184');
INSERT INTO public.ecdc_import VALUES (3762, '09/08/2020', '9', '8', '2020', '105', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '38.29724936');
INSERT INTO public.ecdc_import VALUES (3763, '08/08/2020', '8', '8', '2020', '129', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '40.446991');
INSERT INTO public.ecdc_import VALUES (3764, '07/08/2020', '7', '8', '2020', '144', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '42.46735005');
INSERT INTO public.ecdc_import VALUES (3765, '06/08/2020', '6', '8', '2020', '193', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '44.4877091');
INSERT INTO public.ecdc_import VALUES (3766, '05/08/2020', '5', '8', '2020', '226', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '46.45830561');
INSERT INTO public.ecdc_import VALUES (3767, '04/08/2020', '4', '8', '2020', '241', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '47.71232157');
INSERT INTO public.ecdc_import VALUES (3768, '03/08/2020', '3', '8', '2020', '286', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '48.98624255');
INSERT INTO public.ecdc_import VALUES (3769, '02/08/2020', '2', '8', '2020', '279', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '50.00139833');
INSERT INTO public.ecdc_import VALUES (3770, '01/08/2020', '1', '8', '2020', '318', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '52.17104499');
INSERT INTO public.ecdc_import VALUES (3771, '31/07/2020', '31', '7', '2020', '339', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '53.69377866');
INSERT INTO public.ecdc_import VALUES (3772, '30/07/2020', '30', '7', '2020', '363', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '55.22646483');
INSERT INTO public.ecdc_import VALUES (3773, '29/07/2020', '29', '7', '2020', '412', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '57.17715633');
INSERT INTO public.ecdc_import VALUES (3774, '28/07/2020', '28', '7', '2020', '396', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '58.48093483');
INSERT INTO public.ecdc_import VALUES (3775, '27/07/2020', '27', '7', '2020', '417', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '59.80461834');
INSERT INTO public.ecdc_import VALUES (3776, '26/07/2020', '26', '7', '2020', '321', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '60.82972663');
INSERT INTO public.ecdc_import VALUES (3777, '25/07/2020', '25', '7', '2020', '332', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '62.91975323');
INSERT INTO public.ecdc_import VALUES (3778, '24/07/2020', '24', '7', '2020', '347', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '64.85053971');
INSERT INTO public.ecdc_import VALUES (3779, '23/07/2020', '23', '7', '2020', '391', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '66.85099374');
INSERT INTO public.ecdc_import VALUES (3780, '22/07/2020', '22', '7', '2020', '352', '13', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '68.35382239');
INSERT INTO public.ecdc_import VALUES (3781, '21/07/2020', '21', '7', '2020', '369', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '70.19503631');
INSERT INTO public.ecdc_import VALUES (3782, '20/07/2020', '20', '7', '2020', '388', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '71.6281974');
INSERT INTO public.ecdc_import VALUES (3783, '19/07/2020', '19', '7', '2020', '497', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '72.97178593');
INSERT INTO public.ecdc_import VALUES (3784, '18/07/2020', '18', '7', '2020', '471', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '73.34002872');
INSERT INTO public.ecdc_import VALUES (3785, '17/07/2020', '17', '7', '2020', '493', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '74.45470957');
INSERT INTO public.ecdc_import VALUES (3786, '16/07/2020', '16', '7', '2020', '559', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.24095767');
INSERT INTO public.ecdc_import VALUES (3787, '15/07/2020', '15', '7', '2020', '543', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.5295804');
INSERT INTO public.ecdc_import VALUES (3788, '14/07/2020', '14', '7', '2020', '529', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.65896299');
INSERT INTO public.ecdc_import VALUES (3789, '13/07/2020', '13', '7', '2020', '520', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.80825061');
INSERT INTO public.ecdc_import VALUES (3790, '12/07/2020', '12', '7', '2020', '531', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.94758572');
INSERT INTO public.ecdc_import VALUES (3791, '11/07/2020', '11', '7', '2020', '526', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.84806064');
INSERT INTO public.ecdc_import VALUES (3792, '10/07/2020', '10', '7', '2020', '548', '10', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.75848807');
INSERT INTO public.ecdc_import VALUES (3793, '09/07/2020', '9', '7', '2020', '542', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.74853556');
INSERT INTO public.ecdc_import VALUES (3794, '08/07/2020', '8', '7', '2020', '537', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '76.22625593');
INSERT INTO public.ecdc_import VALUES (3795, '07/07/2020', '7', '7', '2020', '513', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.93763321');
INSERT INTO public.ecdc_import VALUES (3796, '06/07/2020', '6', '7', '2020', '523', '9', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.58929544');
INSERT INTO public.ecdc_import VALUES (3797, '05/07/2020', '5', '7', '2020', '534', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '75.2708152');
INSERT INTO public.ecdc_import VALUES (3798, '04/07/2020', '4', '7', '2020', '583', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '74.64380722');
INSERT INTO public.ecdc_import VALUES (3799, '03/07/2020', '3', '7', '2020', '572', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '73.20069361');
INSERT INTO public.ecdc_import VALUES (3800, '02/07/2020', '2', '7', '2020', '588', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '70.87180683');
INSERT INTO public.ecdc_import VALUES (3801, '01/07/2020', '1', '7', '2020', '556', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '68.29410735');
INSERT INTO public.ecdc_import VALUES (3802, '30/06/2020', '30', '6', '2020', '544', '8', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '66.12446069');
INSERT INTO public.ecdc_import VALUES (3803, '29/06/2020', '29', '6', '2020', '534', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '64.36286684');
INSERT INTO public.ecdc_import VALUES (3804, '28/06/2020', '28', '6', '2020', '521', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '62.89984821');
INSERT INTO public.ecdc_import VALUES (3805, '27/06/2020', '27', '6', '2020', '517', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '61.21787443');
INSERT INTO public.ecdc_import VALUES (3806, '26/06/2020', '26', '6', '2020', '547', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '59.41647054');
INSERT INTO public.ecdc_import VALUES (3807, '25/06/2020', '25', '6', '2020', '590', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '57.47573156');
INSERT INTO public.ecdc_import VALUES (3808, '24/06/2020', '24', '6', '2020', '508', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '54.97765214');
INSERT INTO public.ecdc_import VALUES (3809, '23/06/2020', '23', '6', '2020', '478', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '53.05681817');
INSERT INTO public.ecdc_import VALUES (3810, '22/06/2020', '22', '6', '2020', '491', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '51.51417949');
INSERT INTO public.ecdc_import VALUES (3811, '21/06/2020', '21', '6', '2020', '471', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '49.75258564');
INSERT INTO public.ecdc_import VALUES (3812, '20/06/2020', '20', '6', '2020', '438', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '48.83695493');
INSERT INTO public.ecdc_import VALUES (3813, '19/06/2020', '19', '6', '2020', '338', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '47.84170417');
INSERT INTO public.ecdc_import VALUES (3814, '18/06/2020', '18', '6', '2020', '329', '7', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '47.08531359');
INSERT INTO public.ecdc_import VALUES (3815, '17/06/2020', '17', '6', '2020', '338', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '47.04550356');
INSERT INTO public.ecdc_import VALUES (3816, '16/06/2020', '16', '6', '2020', '367', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '46.39859057');
INSERT INTO public.ecdc_import VALUES (3817, '15/06/2020', '15', '6', '2020', '387', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '44.41804155');
INSERT INTO public.ecdc_import VALUES (3818, '14/06/2020', '14', '6', '2020', '352', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '43.03464299');
INSERT INTO public.ecdc_import VALUES (3819, '13/06/2020', '13', '6', '2020', '336', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '42.08915476');
INSERT INTO public.ecdc_import VALUES (3820, '12/06/2020', '12', '6', '2020', '352', '6', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '41.03418895');
INSERT INTO public.ecdc_import VALUES (3821, '11/06/2020', '11', '6', '2020', '339', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '39.43183523');
INSERT INTO public.ecdc_import VALUES (3822, '10/06/2020', '10', '6', '2020', '315', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '37.7000989');
INSERT INTO public.ecdc_import VALUES (3823, '09/06/2020', '9', '6', '2020', '323', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '35.87879');
INSERT INTO public.ecdc_import VALUES (3824, '08/06/2020', '8', '6', '2020', '314', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '34.14705367');
INSERT INTO public.ecdc_import VALUES (3825, '07/06/2020', '7', '6', '2020', '379', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '32.41531735');
INSERT INTO public.ecdc_import VALUES (3826, '06/06/2020', '6', '6', '2020', '338', '4', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '29.90728542');
INSERT INTO public.ecdc_import VALUES (3827, '05/06/2020', '5', '6', '2020', '262', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '27.59830365');
INSERT INTO public.ecdc_import VALUES (3828, '04/06/2020', '4', '6', '2020', '325', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '26.16514256');
INSERT INTO public.ecdc_import VALUES (3829, '03/06/2020', '3', '6', '2020', '273', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '24.05521094');
INSERT INTO public.ecdc_import VALUES (3830, '02/06/2020', '2', '6', '2020', '168', '5', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '23.63720562');
INSERT INTO public.ecdc_import VALUES (3831, '01/06/2020', '1', '6', '2020', '248', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '22.09456694');
INSERT INTO public.ecdc_import VALUES (3832, '31/05/2020', '31', '5', '2020', '257', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '20.97988608');
INSERT INTO public.ecdc_import VALUES (3833, '30/05/2020', '30', '5', '2020', '230', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '19.99458783');
INSERT INTO public.ecdc_import VALUES (3834, '29/05/2020', '29', '5', '2020', '191', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.71071434');
INSERT INTO public.ecdc_import VALUES (3835, '28/05/2020', '28', '5', '2020', '165', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '18.01403881');
INSERT INTO public.ecdc_import VALUES (3836, '27/05/2020', '27', '5', '2020', '132', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '17.01878805');
INSERT INTO public.ecdc_import VALUES (3837, '26/05/2020', '26', '5', '2020', '149', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '16.74011783');
INSERT INTO public.ecdc_import VALUES (3838, '25/05/2020', '25', '5', '2020', '140', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.95386973');
INSERT INTO public.ecdc_import VALUES (3839, '24/05/2020', '24', '5', '2020', '127', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.5259119');
INSERT INTO public.ecdc_import VALUES (3840, '23/05/2020', '23', '5', '2020', '106', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.68515202');
INSERT INTO public.ecdc_import VALUES (3841, '22/05/2020', '22', '5', '2020', '118', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '15.37662429');
INSERT INTO public.ecdc_import VALUES (3842, '21/05/2020', '21', '5', '2020', '113', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '14.96857147');
INSERT INTO public.ecdc_import VALUES (3843, '20/05/2020', '20', '5', '2020', '231', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '14.51075612');
INSERT INTO public.ecdc_import VALUES (3844, '19/05/2020', '19', '5', '2020', '13', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '12.96811744');
INSERT INTO public.ecdc_import VALUES (3845, '18/05/2020', '18', '5', '2020', '136', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '13.35626524');
INSERT INTO public.ecdc_import VALUES (3846, '17/05/2020', '17', '5', '2020', '158', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '12.38091949');
INSERT INTO public.ecdc_import VALUES (3847, '16/05/2020', '16', '5', '2020', '101', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '11.20652359');
INSERT INTO public.ecdc_import VALUES (3848, '15/05/2020', '15', '5', '2020', '121', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '10.6989457');
INSERT INTO public.ecdc_import VALUES (3849, '14/05/2020', '14', '5', '2020', '65', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '9.87288757');
INSERT INTO public.ecdc_import VALUES (3850, '13/05/2020', '13', '5', '2020', '104', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '9.71364745');
INSERT INTO public.ecdc_import VALUES (3851, '12/05/2020', '12', '5', '2020', '70', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '9.06673445');
INSERT INTO public.ecdc_import VALUES (3852, '11/05/2020', '11', '5', '2020', '97', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.69849167');
INSERT INTO public.ecdc_import VALUES (3853, '10/05/2020', '10', '5', '2020', '143', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.01176864');
INSERT INTO public.ecdc_import VALUES (3854, '09/05/2020', '9', '5', '2020', '75', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '6.83737274');
INSERT INTO public.ecdc_import VALUES (3855, '08/05/2020', '8', '5', '2020', '77', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '6.528845');
INSERT INTO public.ecdc_import VALUES (3856, '07/05/2020', '7', '5', '2020', '67', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '6.06107715');
INSERT INTO public.ecdc_import VALUES (3857, '06/05/2020', '6', '5', '2020', '76', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.77245442');
INSERT INTO public.ecdc_import VALUES (3858, '05/05/2020', '5', '5', '2020', '52', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.45397418');
INSERT INTO public.ecdc_import VALUES (3859, '04/05/2020', '4', '5', '2020', '38', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.31463907');
INSERT INTO public.ecdc_import VALUES (3860, '03/05/2020', '3', '5', '2020', '40', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.18525647');
INSERT INTO public.ecdc_import VALUES (3861, '02/05/2020', '2', '5', '2020', '50', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.11558892');
INSERT INTO public.ecdc_import VALUES (3862, '01/05/2020', '1', '5', '2020', '38', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.18525647');
INSERT INTO public.ecdc_import VALUES (3863, '30/04/2020', '30', '4', '2020', '49', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.10563641');
INSERT INTO public.ecdc_import VALUES (3864, '29/04/2020', '29', '4', '2020', '39', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.17530397');
INSERT INTO public.ecdc_import VALUES (3865, '28/04/2020', '28', '4', '2020', '33', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.27482904');
INSERT INTO public.ecdc_import VALUES (3866, '27/04/2020', '27', '4', '2020', '28', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.44402167');
INSERT INTO public.ecdc_import VALUES (3867, '26/04/2020', '26', '4', '2020', '25', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.56345176');
INSERT INTO public.ecdc_import VALUES (3868, '25/04/2020', '25', '4', '2020', '44', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.98145708');
INSERT INTO public.ecdc_import VALUES (3869, '24/04/2020', '24', '4', '2020', '30', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '6.19045975');
INSERT INTO public.ecdc_import VALUES (3870, '23/04/2020', '23', '4', '2020', '38', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '6.92694531');
INSERT INTO public.ecdc_import VALUES (3871, '22/04/2020', '22', '4', '2020', '44', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '7.59376332');
INSERT INTO public.ecdc_import VALUES (3872, '21/04/2020', '21', '4', '2020', '38', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '7.91224356');
INSERT INTO public.ecdc_import VALUES (3873, '20/04/2020', '20', '4', '2020', '25', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.10134121');
INSERT INTO public.ecdc_import VALUES (3874, '19/04/2020', '19', '4', '2020', '33', '3', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.4795365');
INSERT INTO public.ecdc_import VALUES (3875, '18/04/2020', '18', '4', '2020', '57', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.92739934');
INSERT INTO public.ecdc_import VALUES (3876, '17/04/2020', '17', '4', '2020', '30', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.78806424');
INSERT INTO public.ecdc_import VALUES (3877, '16/04/2020', '16', '4', '2020', '56', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.89754182');
INSERT INTO public.ecdc_import VALUES (3878, '15/04/2020', '15', '4', '2020', '49', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.94730436');
INSERT INTO public.ecdc_import VALUES (3879, '14/04/2020', '14', '4', '2020', '50', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.70844418');
INSERT INTO public.ecdc_import VALUES (3880, '13/04/2020', '13', '4', '2020', '40', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.84777928');
INSERT INTO public.ecdc_import VALUES (3881, '12/04/2020', '12', '4', '2020', '67', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.71839668');
INSERT INTO public.ecdc_import VALUES (3882, '11/04/2020', '11', '4', '2020', '65', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.2207713');
INSERT INTO public.ecdc_import VALUES (3883, '10/04/2020', '10', '4', '2020', '104', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '8.00181613');
INSERT INTO public.ecdc_import VALUES (3884, '09/04/2020', '9', '4', '2020', '105', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '7.25537806');
INSERT INTO public.ecdc_import VALUES (3885, '08/04/2020', '8', '4', '2020', '76', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '6.27007981');
INSERT INTO public.ecdc_import VALUES (3886, '07/04/2020', '7', '4', '2020', '57', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.66297684');
INSERT INTO public.ecdc_import VALUES (3887, '06/04/2020', '6', '4', '2020', '63', '2', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '5.16535146');
INSERT INTO public.ecdc_import VALUES (3888, '05/04/2020', '5', '4', '2020', '78', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '4.65777357');
INSERT INTO public.ecdc_import VALUES (3889, '04/04/2020', '4', '4', '2020', '43', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '3.97105054');
INSERT INTO public.ecdc_import VALUES (3890, '03/04/2020', '3', '4', '2020', '41', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '3.54309272');
INSERT INTO public.ecdc_import VALUES (3891, '02/04/2020', '2', '4', '2020', '61', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '3.23456498');
INSERT INTO public.ecdc_import VALUES (3892, '01/04/2020', '1', '4', '2020', '25', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '2.68717706');
INSERT INTO public.ecdc_import VALUES (3893, '31/03/2020', '31', '3', '2020', '64', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '2.52793694');
INSERT INTO public.ecdc_import VALUES (3894, '30/03/2020', '30', '3', '2020', '27', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '1.89097645');
INSERT INTO public.ecdc_import VALUES (3895, '29/03/2020', '29', '3', '2020', '17', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '1.62225874');
INSERT INTO public.ecdc_import VALUES (3896, '28/03/2020', '28', '3', '2020', '43', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '1.51278116');
INSERT INTO public.ecdc_import VALUES (3897, '27/03/2020', '27', '3', '2020', '29', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '1.08482333');
INSERT INTO public.ecdc_import VALUES (3898, '26/03/2020', '26', '3', '2020', '6', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.81610563');
INSERT INTO public.ecdc_import VALUES (3899, '25/03/2020', '25', '3', '2020', '15', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.7762956');
INSERT INTO public.ecdc_import VALUES (3900, '24/03/2020', '24', '3', '2020', '7', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.6568655');
INSERT INTO public.ecdc_import VALUES (3901, '23/03/2020', '23', '3', '2020', '12', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.61705547');
INSERT INTO public.ecdc_import VALUES (3902, '22/03/2020', '22', '3', '2020', '9', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.5175304');
INSERT INTO public.ecdc_import VALUES (3903, '21/03/2020', '21', '3', '2020', '0', '1', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.42795783');
INSERT INTO public.ecdc_import VALUES (3904, '20/03/2020', '20', '3', '2020', '10', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.43791034');
INSERT INTO public.ecdc_import VALUES (3905, '19/03/2020', '19', '3', '2020', '6', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.33838526');
INSERT INTO public.ecdc_import VALUES (3906, '18/03/2020', '18', '3', '2020', '9', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.27867021');
INSERT INTO public.ecdc_import VALUES (3907, '17/03/2020', '17', '3', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.18909764');
INSERT INTO public.ecdc_import VALUES (3908, '16/03/2020', '16', '3', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.18909764');
INSERT INTO public.ecdc_import VALUES (3909, '15/03/2020', '15', '3', '2020', '6', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.18909764');
INSERT INTO public.ecdc_import VALUES (3910, '13/03/2020', '13', '3', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.1293826');
INSERT INTO public.ecdc_import VALUES (3911, '12/03/2020', '12', '3', '2020', '2', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.1293826');
INSERT INTO public.ecdc_import VALUES (3912, '11/03/2020', '11', '3', '2020', '2', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.10947758');
INSERT INTO public.ecdc_import VALUES (3913, '07/03/2020', '7', '3', '2020', '3', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.08957257');
INSERT INTO public.ecdc_import VALUES (3914, '06/03/2020', '6', '3', '2020', '3', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.05971505');
INSERT INTO public.ecdc_import VALUES (3915, '02/03/2020', '2', '3', '2020', '2', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.02985752');
INSERT INTO public.ecdc_import VALUES (3916, '01/03/2020', '1', '3', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.00995251');
INSERT INTO public.ecdc_import VALUES (3917, '29/02/2020', '29', '2', '2020', '1', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0.00995251');
INSERT INTO public.ecdc_import VALUES (3918, '28/02/2020', '28', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3919, '27/02/2020', '27', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3920, '26/02/2020', '26', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3921, '25/02/2020', '25', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3922, '24/02/2020', '24', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3923, '23/02/2020', '23', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3924, '22/02/2020', '22', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3925, '21/02/2020', '21', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3926, '20/02/2020', '20', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3927, '19/02/2020', '19', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3928, '18/02/2020', '18', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3929, '17/02/2020', '17', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3930, '16/02/2020', '16', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3931, '15/02/2020', '15', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3932, '14/02/2020', '14', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3933, '13/02/2020', '13', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3934, '12/02/2020', '12', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3935, '11/02/2020', '11', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3936, '10/02/2020', '10', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3937, '09/02/2020', '9', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3938, '08/02/2020', '8', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3939, '07/02/2020', '7', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3940, '06/02/2020', '6', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3941, '05/02/2020', '5', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3942, '04/02/2020', '4', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3943, '03/02/2020', '3', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3944, '02/02/2020', '2', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3945, '01/02/2020', '1', '2', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3946, '31/01/2020', '31', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3947, '30/01/2020', '30', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3948, '29/01/2020', '29', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3949, '28/01/2020', '28', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3950, '27/01/2020', '27', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3951, '26/01/2020', '26', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3952, '25/01/2020', '25', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3953, '24/01/2020', '24', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3954, '23/01/2020', '23', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3955, '22/01/2020', '22', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3956, '21/01/2020', '21', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3957, '20/01/2020', '20', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3958, '19/01/2020', '19', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3959, '18/01/2020', '18', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3960, '17/01/2020', '17', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3961, '16/01/2020', '16', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3962, '15/01/2020', '15', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3963, '14/01/2020', '14', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3964, '13/01/2020', '13', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (3965, '12/01/2020', '12', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3966, '11/01/2020', '11', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3967, '10/01/2020', '10', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3968, '09/01/2020', '9', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3969, '08/01/2020', '8', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3970, '07/01/2020', '7', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3971, '06/01/2020', '6', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3972, '05/01/2020', '5', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3973, '04/01/2020', '4', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3974, '03/01/2020', '3', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3975, '02/01/2020', '2', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3976, '01/01/2020', '1', '1', '2020', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3977, '31/12/2019', '31', '12', '2019', '0', '0', '10047719', 'Azerbaijan', 'AZ', 'AZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (3978, '14/12/2020', '14', '12', '2020', '15', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '45.70125755');
INSERT INTO public.ecdc_import VALUES (3979, '13/12/2020', '13', '12', '2020', '11', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '41.85002799');
INSERT INTO public.ecdc_import VALUES (3980, '12/12/2020', '12', '12', '2020', '63', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '39.02579297');
INSERT INTO public.ecdc_import VALUES (3981, '11/12/2020', '11', '12', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '26.44510971');
INSERT INTO public.ecdc_import VALUES (3982, '10/12/2020', '10', '12', '2020', '6', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '29.782842');
INSERT INTO public.ecdc_import VALUES (3983, '09/12/2020', '9', '12', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '42.6202739');
INSERT INTO public.ecdc_import VALUES (3984, '08/12/2020', '8', '12', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '42.6202739');
INSERT INTO public.ecdc_import VALUES (3985, '07/12/2020', '7', '12', '2020', '9', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '42.6202739');
INSERT INTO public.ecdc_import VALUES (3986, '06/12/2020', '6', '12', '2020', '5', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '44.93101164');
INSERT INTO public.ecdc_import VALUES (3987, '05/12/2020', '5', '12', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '50.83623031');
INSERT INTO public.ecdc_import VALUES (3988, '04/12/2020', '4', '12', '2020', '22', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '62.13317038');
INSERT INTO public.ecdc_import VALUES (3989, '03/12/2020', '3', '12', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '56.48470035');
INSERT INTO public.ecdc_import VALUES (3990, '02/12/2020', '2', '12', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '59.30893537');
INSERT INTO public.ecdc_import VALUES (3991, '01/12/2020', '1', '12', '2020', '45', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '73.17336182');
INSERT INTO public.ecdc_import VALUES (3992, '30/11/2020', '30', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '79.59207776');
INSERT INTO public.ecdc_import VALUES (3993, '29/11/2020', '29', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '85.49729644');
INSERT INTO public.ecdc_import VALUES (3994, '28/11/2020', '28', '11', '2020', '14', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '85.49729644');
INSERT INTO public.ecdc_import VALUES (3995, '27/11/2020', '27', '11', '2020', '13', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '91.91601239');
INSERT INTO public.ecdc_import VALUES (3996, '26/11/2020', '26', '11', '2020', '56', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '105.01019292');
INSERT INTO public.ecdc_import VALUES (3997, '25/11/2020', '25', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '110.14516568');
INSERT INTO public.ecdc_import VALUES (3998, '24/11/2020', '24', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '110.14516568');
INSERT INTO public.ecdc_import VALUES (3999, '23/11/2020', '23', '11', '2020', '18', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '119.64486528');
INSERT INTO public.ecdc_import VALUES (4000, '22/11/2020', '22', '11', '2020', '28', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '115.0233898');
INSERT INTO public.ecdc_import VALUES (4001, '21/11/2020', '21', '11', '2020', '44', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '124.52308941');
INSERT INTO public.ecdc_import VALUES (4002, '20/11/2020', '20', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '113.22614934');
INSERT INTO public.ecdc_import VALUES (4003, '19/11/2020', '19', '11', '2020', '11', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '123.23934622');
INSERT INTO public.ecdc_import VALUES (4004, '18/11/2020', '18', '11', '2020', '56', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '134.02278901');
INSERT INTO public.ecdc_import VALUES (4005, '17/11/2020', '17', '11', '2020', '70', '7', '389486', 'Bahamas', 'BS', 'BHS', 'America', '133.76604037');
INSERT INTO public.ecdc_import VALUES (4006, '16/11/2020', '16', '11', '2020', '23', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '121.18535711');
INSERT INTO public.ecdc_import VALUES (4007, '15/11/2020', '15', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '115.28013844');
INSERT INTO public.ecdc_import VALUES (4008, '14/11/2020', '14', '11', '2020', '39', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '133.2525431');
INSERT INTO public.ecdc_import VALUES (4009, '13/11/2020', '13', '11', '2020', '64', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '123.23934622');
INSERT INTO public.ecdc_import VALUES (4010, '12/11/2020', '12', '11', '2020', '76', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '131.19855399');
INSERT INTO public.ecdc_import VALUES (4011, '11/11/2020', '11', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '123.75284349');
INSERT INTO public.ecdc_import VALUES (4012, '10/11/2020', '10', '11', '2020', '37', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '132.99579446');
INSERT INTO public.ecdc_import VALUES (4013, '09/11/2020', '9', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '137.87401858');
INSERT INTO public.ecdc_import VALUES (4014, '08/11/2020', '8', '11', '2020', '65', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '152.76543958');
INSERT INTO public.ecdc_import VALUES (4015, '07/11/2020', '7', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '157.6436637');
INSERT INTO public.ecdc_import VALUES (4016, '06/11/2020', '6', '11', '2020', '39', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '191.79123255');
INSERT INTO public.ecdc_import VALUES (4017, '05/11/2020', '5', '11', '2020', '53', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '203.34492126');
INSERT INTO public.ecdc_import VALUES (4018, '04/11/2020', '4', '11', '2020', '55', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '222.6010691');
INSERT INTO public.ecdc_import VALUES (4019, '03/11/2020', '3', '11', '2020', '21', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '246.99218971');
INSERT INTO public.ecdc_import VALUES (4020, '02/11/2020', '2', '11', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '259.57287297');
INSERT INTO public.ecdc_import VALUES (4021, '01/11/2020', '1', '11', '2020', '70', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '278.82902081');
INSERT INTO public.ecdc_import VALUES (4022, '31/10/2020', '31', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '289.35571497');
INSERT INTO public.ecdc_import VALUES (4023, '30/10/2020', '30', '10', '2020', '95', '6', '389486', 'Bahamas', 'BS', 'BHS', 'America', '323.24653518');
INSERT INTO public.ecdc_import VALUES (4024, '29/10/2020', '29', '10', '2020', '47', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '298.85541457');
INSERT INTO public.ecdc_import VALUES (4025, '28/10/2020', '28', '10', '2020', '36', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '343.78642621');
INSERT INTO public.ecdc_import VALUES (4026, '27/10/2020', '27', '10', '2020', '56', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '334.54347525');
INSERT INTO public.ecdc_import VALUES (4027, '26/10/2020', '26', '10', '2020', '58', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '341.98918575');
INSERT INTO public.ecdc_import VALUES (4028, '25/10/2020', '25', '10', '2020', '84', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '341.21893983');
INSERT INTO public.ecdc_import VALUES (4029, '24/10/2020', '24', '10', '2020', '133', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '337.11096163');
INSERT INTO public.ecdc_import VALUES (4030, '23/10/2020', '23', '10', '2020', '84', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '365.09656316');
INSERT INTO public.ecdc_import VALUES (4031, '22/10/2020', '22', '10', '2020', '128', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '343.52967758');
INSERT INTO public.ecdc_import VALUES (4032, '21/10/2020', '21', '10', '2020', '150', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '350.20514216');
INSERT INTO public.ecdc_import VALUES (4033, '20/10/2020', '20', '10', '2020', '70', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '311.69284647');
INSERT INTO public.ecdc_import VALUES (4034, '19/10/2020', '19', '10', '2020', '75', '6', '389486', 'Bahamas', 'BS', 'BHS', 'America', '332.23273751');
INSERT INTO public.ecdc_import VALUES (4035, '18/10/2020', '18', '10', '2020', '111', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '312.97658966');
INSERT INTO public.ecdc_import VALUES (4036, '17/10/2020', '17', '10', '2020', '132', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '333.00298342');
INSERT INTO public.ecdc_import VALUES (4037, '16/10/2020', '16', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '299.11216321');
INSERT INTO public.ecdc_import VALUES (4038, '15/10/2020', '15', '10', '2020', '222', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '324.01678109');
INSERT INTO public.ecdc_import VALUES (4039, '14/10/2020', '14', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '323.50328382');
INSERT INTO public.ecdc_import VALUES (4040, '13/10/2020', '13', '10', '2020', '85', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '340.19194528');
INSERT INTO public.ecdc_import VALUES (4041, '12/10/2020', '12', '10', '2020', '55', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '330.69224568');
INSERT INTO public.ecdc_import VALUES (4042, '11/10/2020', '11', '10', '2020', '68', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '316.57107059');
INSERT INTO public.ecdc_import VALUES (4043, '10/10/2020', '10', '10', '2020', '242', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '299.11216321');
INSERT INTO public.ecdc_import VALUES (4044, '09/10/2020', '9', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '260.34311888');
INSERT INTO public.ecdc_import VALUES (4045, '08/10/2020', '8', '10', '2020', '154', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '281.13975855');
INSERT INTO public.ecdc_import VALUES (4046, '07/10/2020', '7', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '280.36951264');
INSERT INTO public.ecdc_import VALUES (4047, '06/10/2020', '6', '10', '2020', '150', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '292.9501959');
INSERT INTO public.ecdc_import VALUES (4048, '05/10/2020', '5', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '266.76183483');
INSERT INTO public.ecdc_import VALUES (4049, '04/10/2020', '4', '10', '2020', '189', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '280.88300992');
INSERT INTO public.ecdc_import VALUES (4050, '03/10/2020', '3', '10', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '258.28912978');
INSERT INTO public.ecdc_import VALUES (4051, '02/10/2020', '2', '10', '2020', '97', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '267.78882938');
INSERT INTO public.ecdc_import VALUES (4052, '01/10/2020', '1', '10', '2020', '220', '5', '389486', 'Bahamas', 'BS', 'BHS', 'America', '265.99158891');
INSERT INTO public.ecdc_import VALUES (4053, '30/09/2020', '30', '9', '2020', '65', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '223.62806365');
INSERT INTO public.ecdc_import VALUES (4054, '29/09/2020', '29', '9', '2020', '48', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '213.1013695');
INSERT INTO public.ecdc_import VALUES (4055, '28/09/2020', '28', '9', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '221.31732591');
INSERT INTO public.ecdc_import VALUES (4056, '27/09/2020', '27', '9', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '221.31732591');
INSERT INTO public.ecdc_import VALUES (4057, '26/09/2020', '26', '9', '2020', '91', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '250.58667064');
INSERT INTO public.ecdc_import VALUES (4058, '25/09/2020', '25', '9', '2020', '81', '6', '389486', 'Bahamas', 'BS', 'BHS', 'America', '251.10016791');
INSERT INTO public.ecdc_import VALUES (4059, '24/09/2020', '24', '9', '2020', '151', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '230.30352824');
INSERT INTO public.ecdc_import VALUES (4060, '23/09/2020', '23', '9', '2020', '49', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '207.96639674');
INSERT INTO public.ecdc_import VALUES (4061, '22/09/2020', '22', '9', '2020', '48', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '213.87161541');
INSERT INTO public.ecdc_import VALUES (4062, '21/09/2020', '21', '9', '2020', '55', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '211.56087767');
INSERT INTO public.ecdc_import VALUES (4063, '20/09/2020', '20', '9', '2020', '101', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '215.41210724');
INSERT INTO public.ecdc_import VALUES (4064, '19/09/2020', '19', '9', '2020', '37', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '212.58787222');
INSERT INTO public.ecdc_import VALUES (4065, '18/09/2020', '18', '9', '2020', '90', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '203.08817262');
INSERT INTO public.ecdc_import VALUES (4066, '17/09/2020', '17', '9', '2020', '55', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '192.56147846');
INSERT INTO public.ecdc_import VALUES (4067, '16/09/2020', '16', '9', '2020', '24', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '194.10197029');
INSERT INTO public.ecdc_import VALUES (4068, '15/09/2020', '15', '9', '2020', '80', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '203.08817262');
INSERT INTO public.ecdc_import VALUES (4069, '14/09/2020', '14', '9', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '195.38571348');
INSERT INTO public.ecdc_import VALUES (4070, '13/09/2020', '13', '9', '2020', '114', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '203.60166989');
INSERT INTO public.ecdc_import VALUES (4071, '12/09/2020', '12', '9', '2020', '93', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '194.35871893');
INSERT INTO public.ecdc_import VALUES (4072, '11/09/2020', '11', '9', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '204.88541308');
INSERT INTO public.ecdc_import VALUES (4073, '10/09/2020', '10', '9', '2020', '64', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '233.12776326');
INSERT INTO public.ecdc_import VALUES (4074, '09/09/2020', '9', '9', '2020', '72', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '216.69585043');
INSERT INTO public.ecdc_import VALUES (4075, '08/09/2020', '8', '9', '2020', '39', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '202.06117807');
INSERT INTO public.ecdc_import VALUES (4076, '07/09/2020', '7', '9', '2020', '70', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '200.52068624');
INSERT INTO public.ecdc_import VALUES (4077, '06/09/2020', '6', '9', '2020', '90', '5', '389486', 'Bahamas', 'BS', 'BHS', 'America', '182.54828158');
INSERT INTO public.ecdc_import VALUES (4078, '05/09/2020', '5', '9', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '175.35931972');
INSERT INTO public.ecdc_import VALUES (4079, '04/09/2020', '4', '9', '2020', '49', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '199.23694305');
INSERT INTO public.ecdc_import VALUES (4080, '03/09/2020', '3', '9', '2020', '61', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '206.93940219');
INSERT INTO public.ecdc_import VALUES (4081, '02/09/2020', '2', '9', '2020', '59', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '218.74983953');
INSERT INTO public.ecdc_import VALUES (4082, '01/09/2020', '1', '9', '2020', '50', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '227.9927905');
INSERT INTO public.ecdc_import VALUES (4083, '31/08/2020', '31', '8', '2020', '32', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '218.74983953');
INSERT INTO public.ecdc_import VALUES (4084, '30/08/2020', '30', '8', '2020', '78', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '226.70904731');
INSERT INTO public.ecdc_import VALUES (4085, '29/08/2020', '29', '8', '2020', '134', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '240.8302224');
INSERT INTO public.ecdc_import VALUES (4086, '28/08/2020', '28', '8', '2020', '110', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '214.12836405');
INSERT INTO public.ecdc_import VALUES (4087, '27/08/2020', '27', '8', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '199.49369169');
INSERT INTO public.ecdc_import VALUES (4088, '26/08/2020', '26', '8', '2020', '15', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '211.56087767');
INSERT INTO public.ecdc_import VALUES (4089, '25/08/2020', '25', '8', '2020', '33', '11', '389486', 'Bahamas', 'BS', 'BHS', 'America', '219.00658817');
INSERT INTO public.ecdc_import VALUES (4090, '24/08/2020', '24', '8', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '222.6010691');
INSERT INTO public.ecdc_import VALUES (4091, '23/08/2020', '23', '8', '2020', '62', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '227.73604186');
INSERT INTO public.ecdc_import VALUES (4092, '22/08/2020', '22', '8', '2020', '93', '4', '389486', 'Bahamas', 'BS', 'BHS', 'America', '224.14156093');
INSERT INTO public.ecdc_import VALUES (4093, '21/08/2020', '21', '8', '2020', '79', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '217.97959362');
INSERT INTO public.ecdc_import VALUES (4094, '20/08/2020', '20', '8', '2020', '107', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '200.2639376');
INSERT INTO public.ecdc_import VALUES (4095, '19/08/2020', '19', '8', '2020', '95', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '182.03478431');
INSERT INTO public.ecdc_import VALUES (4096, '18/08/2020', '18', '8', '2020', '14', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '166.88661467');
INSERT INTO public.ecdc_import VALUES (4097, '17/08/2020', '17', '8', '2020', '63', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '171.25134151');
INSERT INTO public.ecdc_import VALUES (4098, '16/08/2020', '16', '8', '2020', '133', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '167.65686058');
INSERT INTO public.ecdc_import VALUES (4099, '15/08/2020', '15', '8', '2020', '30', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '139.92800768');
INSERT INTO public.ecdc_import VALUES (4100, '14/08/2020', '14', '8', '2020', '53', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '149.17095865');
INSERT INTO public.ecdc_import VALUES (4101, '13/08/2020', '13', '8', '2020', '47', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '141.72524815');
INSERT INTO public.ecdc_import VALUES (4102, '12/08/2020', '12', '8', '2020', '44', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '139.15776177');
INSERT INTO public.ecdc_import VALUES (4103, '11/08/2020', '11', '8', '2020', '47', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '144.54948316');
INSERT INTO public.ecdc_import VALUES (4104, '10/08/2020', '10', '8', '2020', '20', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '142.7522427');
INSERT INTO public.ecdc_import VALUES (4105, '09/08/2020', '9', '8', '2020', '48', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '141.72524815');
INSERT INTO public.ecdc_import VALUES (4106, '08/08/2020', '8', '8', '2020', '69', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '131.96879991');
INSERT INTO public.ecdc_import VALUES (4107, '07/08/2020', '7', '8', '2020', '10', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '125.03658668');
INSERT INTO public.ecdc_import VALUES (4108, '06/08/2020', '6', '8', '2020', '36', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '136.59027539');
INSERT INTO public.ecdc_import VALUES (4109, '05/08/2020', '5', '8', '2020', '36', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '133.76604037');
INSERT INTO public.ecdc_import VALUES (4110, '04/08/2020', '4', '8', '2020', '31', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '129.65806216');
INSERT INTO public.ecdc_import VALUES (4111, '03/08/2020', '3', '8', '2020', '49', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '127.09057578');
INSERT INTO public.ecdc_import VALUES (4112, '02/08/2020', '2', '8', '2020', '25', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '118.36112209');
INSERT INTO public.ecdc_import VALUES (4113, '01/08/2020', '1', '8', '2020', '66', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '114.25314389');
INSERT INTO public.ecdc_import VALUES (4114, '31/07/2020', '31', '7', '2020', '24', '3', '389486', 'Bahamas', 'BS', 'BHS', 'America', '98.59147697');
INSERT INTO public.ecdc_import VALUES (4115, '30/07/2020', '30', '7', '2020', '37', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '93.71325285');
INSERT INTO public.ecdc_import VALUES (4116, '29/07/2020', '29', '7', '2020', '65', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '84.98379916');
INSERT INTO public.ecdc_import VALUES (4117, '28/07/2020', '28', '7', '2020', '40', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '69.06538361');
INSERT INTO public.ecdc_import VALUES (4118, '27/07/2020', '27', '7', '2020', '16', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '59.30893537');
INSERT INTO public.ecdc_import VALUES (4119, '26/07/2020', '26', '7', '2020', '10', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '55.20095716');
INSERT INTO public.ecdc_import VALUES (4120, '25/07/2020', '25', '7', '2020', '42', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '53.40371669');
INSERT INTO public.ecdc_import VALUES (4121, '24/07/2020', '24', '7', '2020', '55', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '42.87702254');
INSERT INTO public.ecdc_import VALUES (4122, '23/07/2020', '23', '7', '2020', '25', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '29.01259609');
INSERT INTO public.ecdc_import VALUES (4123, '22/07/2020', '22', '7', '2020', '20', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '23.10737742');
INSERT INTO public.ecdc_import VALUES (4124, '21/07/2020', '21', '7', '2020', '21', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '17.97240466');
INSERT INTO public.ecdc_import VALUES (4125, '20/07/2020', '20', '7', '2020', '15', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '12.58068326');
INSERT INTO public.ecdc_import VALUES (4126, '19/07/2020', '19', '7', '2020', '9', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.72945369');
INSERT INTO public.ecdc_import VALUES (4127, '18/07/2020', '18', '7', '2020', '5', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.41871595');
INSERT INTO public.ecdc_import VALUES (4128, '17/07/2020', '17', '7', '2020', '5', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.13497276');
INSERT INTO public.ecdc_import VALUES (4129, '16/07/2020', '16', '7', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.85122957');
INSERT INTO public.ecdc_import VALUES (4130, '15/07/2020', '15', '7', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.08098366');
INSERT INTO public.ecdc_import VALUES (4131, '14/07/2020', '14', '7', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '2.31073774');
INSERT INTO public.ecdc_import VALUES (4132, '13/07/2020', '13', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.79724047');
INSERT INTO public.ecdc_import VALUES (4133, '12/07/2020', '12', '7', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.79724047');
INSERT INTO public.ecdc_import VALUES (4134, '11/07/2020', '11', '7', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.02699455');
INSERT INTO public.ecdc_import VALUES (4135, '10/07/2020', '10', '7', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.77024591');
INSERT INTO public.ecdc_import VALUES (4136, '09/07/2020', '9', '7', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4137, '08/07/2020', '8', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4138, '07/07/2020', '7', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4139, '06/07/2020', '6', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4140, '05/07/2020', '5', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4141, '04/07/2020', '4', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4142, '03/07/2020', '3', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4143, '02/07/2020', '2', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4144, '01/07/2020', '1', '7', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4145, '30/06/2020', '30', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0');
INSERT INTO public.ecdc_import VALUES (4146, '29/06/2020', '29', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4147, '28/06/2020', '28', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4148, '27/06/2020', '27', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4149, '26/06/2020', '26', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4150, '25/06/2020', '25', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4151, '24/06/2020', '24', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4152, '23/06/2020', '23', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4153, '22/06/2020', '22', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4154, '21/06/2020', '21', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4155, '20/06/2020', '20', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4156, '19/06/2020', '19', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4157, '18/06/2020', '18', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4158, '17/06/2020', '17', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4159, '16/06/2020', '16', '6', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4160, '15/06/2020', '15', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4161, '14/06/2020', '14', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4162, '13/06/2020', '13', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.25674864');
INSERT INTO public.ecdc_import VALUES (4163, '12/06/2020', '12', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.51349728');
INSERT INTO public.ecdc_import VALUES (4164, '11/06/2020', '11', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.77024591');
INSERT INTO public.ecdc_import VALUES (4165, '10/06/2020', '10', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.77024591');
INSERT INTO public.ecdc_import VALUES (4166, '09/06/2020', '9', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.77024591');
INSERT INTO public.ecdc_import VALUES (4167, '08/06/2020', '8', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.77024591');
INSERT INTO public.ecdc_import VALUES (4168, '07/06/2020', '7', '6', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '0.77024591');
INSERT INTO public.ecdc_import VALUES (4169, '06/06/2020', '6', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4170, '05/06/2020', '5', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4171, '04/06/2020', '4', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4172, '03/06/2020', '3', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.54049183');
INSERT INTO public.ecdc_import VALUES (4173, '02/06/2020', '2', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.54049183');
INSERT INTO public.ecdc_import VALUES (4174, '01/06/2020', '1', '6', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.54049183');
INSERT INTO public.ecdc_import VALUES (4175, '31/05/2020', '31', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.54049183');
INSERT INTO public.ecdc_import VALUES (4176, '30/05/2020', '30', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.54049183');
INSERT INTO public.ecdc_import VALUES (4177, '29/05/2020', '29', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4178, '28/05/2020', '28', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.54049183');
INSERT INTO public.ecdc_import VALUES (4179, '27/05/2020', '27', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.79724047');
INSERT INTO public.ecdc_import VALUES (4180, '26/05/2020', '26', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.79724047');
INSERT INTO public.ecdc_import VALUES (4181, '25/05/2020', '25', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '2.0539891');
INSERT INTO public.ecdc_import VALUES (4182, '24/05/2020', '24', '5', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '2.0539891');
INSERT INTO public.ecdc_import VALUES (4183, '23/05/2020', '23', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4184, '22/05/2020', '22', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4185, '21/05/2020', '21', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.28374319');
INSERT INTO public.ecdc_import VALUES (4186, '20/05/2020', '20', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '1.79724047');
INSERT INTO public.ecdc_import VALUES (4187, '19/05/2020', '19', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.33773229');
INSERT INTO public.ecdc_import VALUES (4188, '18/05/2020', '18', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.33773229');
INSERT INTO public.ecdc_import VALUES (4189, '17/05/2020', '17', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.33773229');
INSERT INTO public.ecdc_import VALUES (4190, '16/05/2020', '16', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.59448093');
INSERT INTO public.ecdc_import VALUES (4191, '15/05/2020', '15', '5', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.85122957');
INSERT INTO public.ecdc_import VALUES (4192, '14/05/2020', '14', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.59448093');
INSERT INTO public.ecdc_import VALUES (4193, '13/05/2020', '13', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.33773229');
INSERT INTO public.ecdc_import VALUES (4194, '12/05/2020', '12', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.33773229');
INSERT INTO public.ecdc_import VALUES (4195, '11/05/2020', '11', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.08098366');
INSERT INTO public.ecdc_import VALUES (4196, '10/05/2020', '10', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.59448093');
INSERT INTO public.ecdc_import VALUES (4197, '09/05/2020', '9', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '4.87822412');
INSERT INTO public.ecdc_import VALUES (4198, '08/05/2020', '8', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.13497276');
INSERT INTO public.ecdc_import VALUES (4199, '07/05/2020', '7', '5', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.64847003');
INSERT INTO public.ecdc_import VALUES (4200, '06/05/2020', '6', '5', '2020', '6', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.16196731');
INSERT INTO public.ecdc_import VALUES (4201, '05/05/2020', '5', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '4.87822412');
INSERT INTO public.ecdc_import VALUES (4202, '04/05/2020', '4', '5', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.90521867');
INSERT INTO public.ecdc_import VALUES (4203, '03/05/2020', '3', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.41871595');
INSERT INTO public.ecdc_import VALUES (4204, '02/05/2020', '2', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.93221322');
INSERT INTO public.ecdc_import VALUES (4205, '01/05/2020', '1', '5', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.93221322');
INSERT INTO public.ecdc_import VALUES (4206, '30/04/2020', '30', '4', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.93221322');
INSERT INTO public.ecdc_import VALUES (4207, '29/04/2020', '29', '4', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4208, '28/04/2020', '28', '4', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4209, '27/04/2020', '27', '4', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.47270505');
INSERT INTO public.ecdc_import VALUES (4210, '26/04/2020', '26', '4', '2020', '5', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.21595641');
INSERT INTO public.ecdc_import VALUES (4211, '25/04/2020', '25', '4', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4212, '24/04/2020', '24', '4', '2020', '2', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4213, '23/04/2020', '23', '4', '2020', '5', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.70245914');
INSERT INTO public.ecdc_import VALUES (4214, '22/04/2020', '22', '4', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.4457105');
INSERT INTO public.ecdc_import VALUES (4215, '21/04/2020', '21', '4', '2020', '4', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4216, '20/04/2020', '20', '4', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4217, '19/04/2020', '19', '4', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.70245914');
INSERT INTO public.ecdc_import VALUES (4218, '18/04/2020', '18', '4', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.95920778');
INSERT INTO public.ecdc_import VALUES (4219, '17/04/2020', '17', '4', '2020', '1', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.70245914');
INSERT INTO public.ecdc_import VALUES (4220, '16/04/2020', '16', '4', '2020', '4', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.21595641');
INSERT INTO public.ecdc_import VALUES (4221, '15/04/2020', '15', '4', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.72945369');
INSERT INTO public.ecdc_import VALUES (4222, '14/04/2020', '14', '4', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.98620233');
INSERT INTO public.ecdc_import VALUES (4223, '13/04/2020', '13', '4', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.47270505');
INSERT INTO public.ecdc_import VALUES (4224, '12/04/2020', '12', '4', '2020', '4', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.98620233');
INSERT INTO public.ecdc_import VALUES (4225, '11/04/2020', '11', '4', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.47270505');
INSERT INTO public.ecdc_import VALUES (4226, '10/04/2020', '10', '4', '2020', '1', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.21595641');
INSERT INTO public.ecdc_import VALUES (4227, '09/04/2020', '9', '4', '2020', '4', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.98620233');
INSERT INTO public.ecdc_import VALUES (4228, '08/04/2020', '8', '4', '2020', '3', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '8.21595641');
INSERT INTO public.ecdc_import VALUES (4229, '07/04/2020', '7', '4', '2020', '4', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '7.4457105');
INSERT INTO public.ecdc_import VALUES (4230, '06/04/2020', '6', '4', '2020', '1', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.41871595');
INSERT INTO public.ecdc_import VALUES (4231, '05/04/2020', '5', '4', '2020', '4', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '6.16196731');
INSERT INTO public.ecdc_import VALUES (4232, '04/04/2020', '4', '4', '2020', '0', '2', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.13497276');
INSERT INTO public.ecdc_import VALUES (4233, '03/04/2020', '3', '4', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.3917214');
INSERT INTO public.ecdc_import VALUES (4234, '02/04/2020', '2', '4', '2020', '6', '1', '389486', 'Bahamas', 'BS', 'BHS', 'America', '5.13497276');
INSERT INTO public.ecdc_import VALUES (4235, '01/04/2020', '1', '4', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.59448093');
INSERT INTO public.ecdc_import VALUES (4236, '31/03/2020', '31', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '3.59448093');
INSERT INTO public.ecdc_import VALUES (4237, '30/03/2020', '30', '3', '2020', '3', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4238, '29/03/2020', '29', '3', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4239, '28/03/2020', '28', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4240, '27/03/2020', '27', '3', '2020', '4', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4241, '26/03/2020', '26', '3', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4242, '25/03/2020', '25', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4243, '24/03/2020', '24', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4244, '23/03/2020', '23', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4245, '22/03/2020', '22', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4246, '21/03/2020', '21', '3', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4247, '20/03/2020', '20', '3', '2020', '2', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4248, '17/03/2020', '17', '3', '2020', '0', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4249, '16/03/2020', '16', '3', '2020', '1', '0', '389486', 'Bahamas', 'BS', 'BHS', 'America', '');
INSERT INTO public.ecdc_import VALUES (4250, '14/12/2020', '14', '12', '2020', '178', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '143.55664638');
INSERT INTO public.ecdc_import VALUES (4251, '13/12/2020', '13', '12', '2020', '145', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '141.36308133');
INSERT INTO public.ecdc_import VALUES (4252, '12/12/2020', '12', '12', '2020', '188', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '140.44909589');
INSERT INTO public.ecdc_import VALUES (4253, '11/12/2020', '11', '12', '2020', '137', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '139.23044863');
INSERT INTO public.ecdc_import VALUES (4254, '10/12/2020', '10', '12', '2020', '201', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '140.7537577');
INSERT INTO public.ecdc_import VALUES (4255, '09/12/2020', '9', '12', '2020', '183', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '138.80392209');
INSERT INTO public.ecdc_import VALUES (4256, '08/12/2020', '8', '12', '2020', '181', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '135.57450687');
INSERT INTO public.ecdc_import VALUES (4257, '07/12/2020', '7', '12', '2020', '198', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '135.57450687');
INSERT INTO public.ecdc_import VALUES (4258, '06/12/2020', '6', '12', '2020', '132', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '130.45618841');
INSERT INTO public.ecdc_import VALUES (4259, '05/12/2020', '5', '12', '2020', '168', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '129.96872951');
INSERT INTO public.ecdc_import VALUES (4260, '04/12/2020', '4', '12', '2020', '162', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '128.87194698');
INSERT INTO public.ecdc_import VALUES (4261, '03/12/2020', '3', '12', '2020', '133', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '127.22677319');
INSERT INTO public.ecdc_import VALUES (4262, '02/12/2020', '2', '12', '2020', '181', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '129.72500006');
INSERT INTO public.ecdc_import VALUES (4263, '01/12/2020', '1', '12', '2020', '169', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '126.37372012');
INSERT INTO public.ecdc_import VALUES (4264, '30/11/2020', '30', '11', '2020', '142', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '126.98304374');
INSERT INTO public.ecdc_import VALUES (4265, '29/11/2020', '29', '11', '2020', '130', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '129.29847352');
INSERT INTO public.ecdc_import VALUES (4266, '28/11/2020', '28', '11', '2020', '168', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '131.97949748');
INSERT INTO public.ecdc_import VALUES (4267, '27/11/2020', '27', '11', '2020', '162', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '131.30924149');
INSERT INTO public.ecdc_import VALUES (4268, '26/11/2020', '26', '11', '2020', '169', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '130.57805314');
INSERT INTO public.ecdc_import VALUES (4269, '25/11/2020', '25', '11', '2020', '130', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '134.35585962');
INSERT INTO public.ecdc_import VALUES (4270, '24/11/2020', '24', '11', '2020', '181', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '137.34154539');
INSERT INTO public.ecdc_import VALUES (4271, '23/11/2020', '23', '11', '2020', '114', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '137.03688358');
INSERT INTO public.ecdc_import VALUES (4272, '22/11/2020', '22', '11', '2020', '124', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '141.78960786');
INSERT INTO public.ecdc_import VALUES (4273, '21/11/2020', '21', '11', '2020', '150', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '148.91869429');
INSERT INTO public.ecdc_import VALUES (4274, '20/11/2020', '20', '11', '2020', '135', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '154.21980984');
INSERT INTO public.ecdc_import VALUES (4275, '19/11/2020', '19', '11', '2020', '174', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '155.86498363');
INSERT INTO public.ecdc_import VALUES (4276, '18/11/2020', '18', '11', '2020', '126', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '161.16609918');
INSERT INTO public.ecdc_import VALUES (4277, '17/11/2020', '17', '11', '2020', '179', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '167.5030649');
INSERT INTO public.ecdc_import VALUES (4278, '16/11/2020', '16', '11', '2020', '180', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '169.39196814');
INSERT INTO public.ecdc_import VALUES (4279, '15/11/2020', '15', '11', '2020', '174', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '175.36333968');
INSERT INTO public.ecdc_import VALUES (4280, '14/11/2020', '14', '11', '2020', '157', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '175.66800149');
INSERT INTO public.ecdc_import VALUES (4281, '13/11/2020', '13', '11', '2020', '150', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '178.53182254');
INSERT INTO public.ecdc_import VALUES (4282, '12/11/2020', '12', '11', '2020', '231', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '184.01573517');
INSERT INTO public.ecdc_import VALUES (4283, '11/11/2020', '11', '11', '2020', '179', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '199.73628473');
INSERT INTO public.ecdc_import VALUES (4284, '10/11/2020', '10', '11', '2020', '176', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '188.82939182');
INSERT INTO public.ecdc_import VALUES (4285, '09/11/2020', '9', '11', '2020', '192', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '195.04449281');
INSERT INTO public.ecdc_import VALUES (4286, '08/11/2020', '8', '11', '2020', '241', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '200.40654072');
INSERT INTO public.ecdc_import VALUES (4287, '07/11/2020', '7', '11', '2020', '237', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '210.15571875');
INSERT INTO public.ecdc_import VALUES (4288, '06/11/2020', '6', '11', '2020', '162', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '217.83319644');
INSERT INTO public.ecdc_import VALUES (4289, '05/11/2020', '5', '11', '2020', '261', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '226.48559193');
INSERT INTO public.ecdc_import VALUES (4290, '04/11/2020', '4', '11', '2020', '230', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '233.37094891');
INSERT INTO public.ecdc_import VALUES (4291, '03/11/2020', '3', '11', '2020', '210', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '238.18460556');
INSERT INTO public.ecdc_import VALUES (4292, '02/11/2020', '2', '11', '2020', '278', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '245.00903018');
INSERT INTO public.ecdc_import VALUES (4293, '01/11/2020', '1', '11', '2020', '179', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '248.2384454');
INSERT INTO public.ecdc_import VALUES (4294, '31/10/2020', '31', '10', '2020', '204', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '252.32091369');
INSERT INTO public.ecdc_import VALUES (4295, '30/10/2020', '30', '10', '2020', '240', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '262.49661825');
INSERT INTO public.ecdc_import VALUES (4296, '29/10/2020', '29', '10', '2020', '489', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '268.16332798');
INSERT INTO public.ecdc_import VALUES (4297, '28/10/2020', '28', '10', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '259.63279721');
INSERT INTO public.ecdc_import VALUES (4298, '27/10/2020', '27', '10', '2020', '278', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '279.37488271');
INSERT INTO public.ecdc_import VALUES (4299, '26/10/2020', '26', '10', '2020', '280', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '302.7119776');
INSERT INTO public.ecdc_import VALUES (4300, '25/10/2020', '25', '10', '2020', '401', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '285.65091606');
INSERT INTO public.ecdc_import VALUES (4301, '24/10/2020', '24', '10', '2020', '363', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '287.23515749');
INSERT INTO public.ecdc_import VALUES (4302, '23/10/2020', '23', '10', '2020', '304', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '291.80508468');
INSERT INTO public.ecdc_import VALUES (4303, '22/10/2020', '22', '10', '2020', '374', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '303.13850413');
INSERT INTO public.ecdc_import VALUES (4304, '21/10/2020', '21', '10', '2020', '309', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '308.13495787');
INSERT INTO public.ecdc_import VALUES (4305, '20/10/2020', '20', '10', '2020', '322', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '311.24250837');
INSERT INTO public.ecdc_import VALUES (4306, '19/10/2020', '19', '10', '2020', '331', '5', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '319.28558023');
INSERT INTO public.ecdc_import VALUES (4307, '18/10/2020', '18', '10', '2020', '246', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '320.56515985');
INSERT INTO public.ecdc_import VALUES (4308, '17/10/2020', '17', '10', '2020', '371', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '336.4685065');
INSERT INTO public.ecdc_import VALUES (4309, '16/10/2020', '16', '10', '2020', '333', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '340.00258353');
INSERT INTO public.ecdc_import VALUES (4310, '15/10/2020', '15', '10', '2020', '349', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '350.78761172');
INSERT INTO public.ecdc_import VALUES (4311, '14/10/2020', '14', '10', '2020', '324', '6', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '356.45432145');
INSERT INTO public.ecdc_import VALUES (4312, '13/10/2020', '13', '10', '2020', '661', '7', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '371.68741211');
INSERT INTO public.ecdc_import VALUES (4313, '12/10/2020', '12', '10', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '396.79154551');
INSERT INTO public.ecdc_import VALUES (4314, '11/10/2020', '11', '10', '2020', '427', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '432.43697766');
INSERT INTO public.ecdc_import VALUES (4315, '10/10/2020', '10', '10', '2020', '438', '7', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '436.21478414');
INSERT INTO public.ecdc_import VALUES (4316, '09/10/2020', '9', '10', '2020', '490', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '451.38694244');
INSERT INTO public.ecdc_import VALUES (4317, '08/10/2020', '8', '10', '2020', '456', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '458.82069068');
INSERT INTO public.ecdc_import VALUES (4318, '07/10/2020', '7', '10', '2020', '360', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '470.64156903');
INSERT INTO public.ecdc_import VALUES (4319, '06/10/2020', '6', '10', '2020', '454', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '492.15069304');
INSERT INTO public.ecdc_import VALUES (4320, '05/10/2020', '5', '10', '2020', '352', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '497.39087623');
INSERT INTO public.ecdc_import VALUES (4321, '04/10/2020', '4', '10', '2020', '507', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '513.72074942');
INSERT INTO public.ecdc_import VALUES (4322, '03/10/2020', '3', '10', '2020', '429', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '524.87137178');
INSERT INTO public.ecdc_import VALUES (4323, '02/10/2020', '2', '10', '2020', '510', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '541.68870387');
INSERT INTO public.ecdc_import VALUES (4324, '01/10/2020', '1', '10', '2020', '442', '6', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '561.85731591');
INSERT INTO public.ecdc_import VALUES (4325, '30/09/2020', '30', '9', '2020', '574', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '576.23735349');
INSERT INTO public.ecdc_import VALUES (4326, '29/09/2020', '29', '9', '2020', '1073', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '581.35567195');
INSERT INTO public.ecdc_import VALUES (4327, '28/09/2020', '28', '9', '2020', '585', '6', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '559.9074803');
INSERT INTO public.ecdc_import VALUES (4328, '27/09/2020', '27', '9', '2020', '489', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '569.77852305');
INSERT INTO public.ecdc_import VALUES (4329, '26/09/2020', '26', '9', '2020', '687', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '578.49185091');
INSERT INTO public.ecdc_import VALUES (4330, '25/09/2020', '25', '9', '2020', '612', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '582.75711629');
INSERT INTO public.ecdc_import VALUES (4331, '24/09/2020', '24', '9', '2020', '650', '5', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '586.41305805');
INSERT INTO public.ecdc_import VALUES (4332, '23/09/2020', '23', '9', '2020', '713', '5', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '589.58154091');
INSERT INTO public.ecdc_import VALUES (4333, '22/09/2020', '22', '9', '2020', '540', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '546.13676634');
INSERT INTO public.ecdc_import VALUES (4334, '21/09/2020', '21', '9', '2020', '620', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '592.75002376');
INSERT INTO public.ecdc_import VALUES (4335, '20/09/2020', '20', '9', '2020', '690', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '596.16223607');
INSERT INTO public.ecdc_import VALUES (4336, '19/09/2020', '19', '9', '2020', '705', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '594.45612992');
INSERT INTO public.ecdc_import VALUES (4337, '18/09/2020', '18', '9', '2020', '841', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '589.64247327');
INSERT INTO public.ecdc_import VALUES (4338, '17/09/2020', '17', '9', '2020', '678', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '560.76053338');
INSERT INTO public.ecdc_import VALUES (4339, '16/09/2020', '16', '9', '2020', '658', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '547.96473722');
INSERT INTO public.ecdc_import VALUES (4340, '15/09/2020', '15', '9', '2020', '721', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '532.12232294');
INSERT INTO public.ecdc_import VALUES (4341, '14/09/2020', '14', '9', '2020', '747', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '488.19008947');
INSERT INTO public.ecdc_import VALUES (4342, '13/09/2020', '13', '9', '2020', '632', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '453.82423694');
INSERT INTO public.ecdc_import VALUES (4343, '12/09/2020', '12', '9', '2020', '757', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '432.25418057');
INSERT INTO public.ecdc_import VALUES (4344, '11/09/2020', '11', '9', '2020', '672', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '407.88123551');
INSERT INTO public.ecdc_import VALUES (4345, '10/09/2020', '10', '9', '2020', '702', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '389.05313546');
INSERT INTO public.ecdc_import VALUES (4346, '09/09/2020', '9', '9', '2020', '0', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '365.59417584');
INSERT INTO public.ecdc_import VALUES (4347, '08/09/2020', '8', '9', '2020', '1305', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '411.04971837');
INSERT INTO public.ecdc_import VALUES (4348, '07/09/2020', '7', '9', '2020', '676', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '349.32523502');
INSERT INTO public.ecdc_import VALUES (4349, '06/09/2020', '6', '9', '2020', '662', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '308.13495787');
INSERT INTO public.ecdc_import VALUES (4350, '05/09/2020', '5', '9', '2020', '626', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '312.58302034');
INSERT INTO public.ecdc_import VALUES (4351, '04/09/2020', '4', '9', '2020', '367', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '295.94848534');
INSERT INTO public.ecdc_import VALUES (4352, '03/09/2020', '3', '9', '2020', '468', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '320.19956567');
INSERT INTO public.ecdc_import VALUES (4353, '02/09/2020', '2', '9', '2020', '398', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '291.68321996');
INSERT INTO public.ecdc_import VALUES (4354, '01/09/2020', '1', '9', '2020', '0', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '267.43213963');
INSERT INTO public.ecdc_import VALUES (4355, '31/08/2020', '31', '8', '2020', '183', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '313.43607342');
INSERT INTO public.ecdc_import VALUES (4356, '30/08/2020', '30', '8', '2020', '278', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '302.28545106');
INSERT INTO public.ecdc_import VALUES (4357, '29/08/2020', '29', '8', '2020', '357', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '308.37868732');
INSERT INTO public.ecdc_import VALUES (4358, '28/08/2020', '28', '8', '2020', '363', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '306.48978408');
INSERT INTO public.ecdc_import VALUES (4359, '27/08/2020', '27', '8', '2020', '317', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '312.52208798');
INSERT INTO public.ecdc_import VALUES (4360, '26/08/2020', '26', '8', '2020', '746', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '321.23541584');
INSERT INTO public.ecdc_import VALUES (4361, '25/08/2020', '25', '8', '2020', '292', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '300.5793449');
INSERT INTO public.ecdc_import VALUES (4362, '24/08/2020', '24', '8', '2020', '0', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '306.30698699');
INSERT INTO public.ecdc_import VALUES (4363, '23/08/2020', '23', '8', '2020', '735', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '329.58314952');
INSERT INTO public.ecdc_import VALUES (4364, '22/08/2020', '22', '8', '2020', '353', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '304.41808375');
INSERT INTO public.ecdc_import VALUES (4365, '21/08/2020', '21', '8', '2020', '765', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '308.37868732');
INSERT INTO public.ecdc_import VALUES (4366, '20/08/2020', '20', '8', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '284.61506589');
INSERT INTO public.ecdc_import VALUES (4367, '19/08/2020', '19', '8', '2020', '0', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '307.89122842');
INSERT INTO public.ecdc_import VALUES (4368, '18/08/2020', '18', '8', '2020', '755', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '325.98814012');
INSERT INTO public.ecdc_import VALUES (4369, '17/08/2020', '17', '8', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '298.20298276');
INSERT INTO public.ecdc_import VALUES (4370, '16/08/2020', '16', '8', '2020', '378', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '319.28558023');
INSERT INTO public.ecdc_import VALUES (4371, '15/08/2020', '15', '8', '2020', '326', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '308.92707859');
INSERT INTO public.ecdc_import VALUES (4372, '14/08/2020', '14', '8', '2020', '462', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '302.89477468');
INSERT INTO public.ecdc_import VALUES (4373, '13/08/2020', '13', '8', '2020', '460', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '301.79799216');
INSERT INTO public.ecdc_import VALUES (4374, '12/08/2020', '12', '8', '2020', '407', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '297.53272677');
INSERT INTO public.ecdc_import VALUES (4375, '11/08/2020', '11', '8', '2020', '386', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '299.48256238');
INSERT INTO public.ecdc_import VALUES (4376, '10/08/2020', '10', '8', '2020', '382', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '297.34992968');
INSERT INTO public.ecdc_import VALUES (4377, '09/08/2020', '9', '8', '2020', '322', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '297.47179441');
INSERT INTO public.ecdc_import VALUES (4378, '08/08/2020', '8', '8', '2020', '418', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '295.46102644');
INSERT INTO public.ecdc_import VALUES (4379, '07/08/2020', '7', '8', '2020', '375', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '298.1420504');
INSERT INTO public.ecdc_import VALUES (4380, '06/08/2020', '6', '8', '2020', '382', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '297.1671326');
INSERT INTO public.ecdc_import VALUES (4381, '05/08/2020', '5', '8', '2020', '297', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '293.45025848');
INSERT INTO public.ecdc_import VALUES (4382, '04/08/2020', '4', '8', '2020', '299', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '298.50764457');
INSERT INTO public.ecdc_import VALUES (4383, '03/08/2020', '3', '8', '2020', '346', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '311.60810254');
INSERT INTO public.ecdc_import VALUES (4384, '02/08/2020', '2', '8', '2020', '208', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '315.99523265');
INSERT INTO public.ecdc_import VALUES (4385, '01/08/2020', '1', '8', '2020', '227', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '335.67638578');
INSERT INTO public.ecdc_import VALUES (4386, '31/07/2020', '31', '7', '2020', '444', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '345.54742853');
INSERT INTO public.ecdc_import VALUES (4387, '30/07/2020', '30', '7', '2020', '390', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '350.42201754');
INSERT INTO public.ecdc_import VALUES (4388, '29/07/2020', '29', '7', '2020', '439', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '356.02779491');
INSERT INTO public.ecdc_import VALUES (4389, '28/07/2020', '28', '7', '2020', '351', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '365.95977002');
INSERT INTO public.ecdc_import VALUES (4390, '27/07/2020', '27', '7', '2020', '384', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '377.17132474');
INSERT INTO public.ecdc_import VALUES (4391, '26/07/2020', '26', '7', '2020', '289', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '382.47244029');
INSERT INTO public.ecdc_import VALUES (4392, '25/07/2020', '25', '7', '2020', '462', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '391.12483579');
INSERT INTO public.ecdc_import VALUES (4393, '24/07/2020', '24', '7', '2020', '359', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '394.11052156');
INSERT INTO public.ecdc_import VALUES (4394, '23/07/2020', '23', '7', '2020', '321', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '408.61242387');
INSERT INTO public.ecdc_import VALUES (4395, '22/07/2020', '22', '7', '2020', '380', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '426.22187667');
INSERT INTO public.ecdc_import VALUES (4396, '21/07/2020', '21', '7', '2020', '514', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '433.53376018');
INSERT INTO public.ecdc_import VALUES (4397, '20/07/2020', '20', '7', '2020', '418', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '429.87781843');
INSERT INTO public.ecdc_import VALUES (4398, '19/07/2020', '19', '7', '2020', '531', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '435.48359579');
INSERT INTO public.ecdc_import VALUES (4399, '18/07/2020', '18', '7', '2020', '389', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '430.36527733');
INSERT INTO public.ecdc_import VALUES (4400, '17/07/2020', '17', '7', '2020', '524', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '441.57683205');
INSERT INTO public.ecdc_import VALUES (4401, '16/07/2020', '16', '7', '2020', '482', '6', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '435.42266343');
INSERT INTO public.ecdc_import VALUES (4402, '15/07/2020', '15', '7', '2020', '602', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '446.02489453');
INSERT INTO public.ecdc_import VALUES (4403, '14/07/2020', '14', '7', '2020', '535', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '440.96750843');
INSERT INTO public.ecdc_import VALUES (4404, '13/07/2020', '13', '7', '2020', '471', '5', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '440.90657606');
INSERT INTO public.ecdc_import VALUES (4405, '12/07/2020', '12', '7', '2020', '431', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '438.8958081');
INSERT INTO public.ecdc_import VALUES (4406, '11/07/2020', '11', '7', '2020', '511', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '440.78471134');
INSERT INTO public.ecdc_import VALUES (4407, '10/07/2020', '10', '7', '2020', '597', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '453.76330458');
INSERT INTO public.ecdc_import VALUES (4408, '09/07/2020', '9', '7', '2020', '610', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '448.52312139');
INSERT INTO public.ecdc_import VALUES (4409, '08/07/2020', '8', '7', '2020', '500', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '442.30802041');
INSERT INTO public.ecdc_import VALUES (4410, '07/07/2020', '7', '7', '2020', '454', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '451.75253661');
INSERT INTO public.ecdc_import VALUES (4411, '06/07/2020', '6', '7', '2020', '510', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '463.26875315');
INSERT INTO public.ecdc_import VALUES (4412, '05/07/2020', '5', '7', '2020', '447', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '458.57696123');
INSERT INTO public.ecdc_import VALUES (4413, '04/07/2020', '4', '7', '2020', '573', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '456.62712563');
INSERT INTO public.ecdc_import VALUES (4414, '03/07/2020', '3', '7', '2020', '423', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '451.32601008');
INSERT INTO public.ecdc_import VALUES (4415, '02/07/2020', '2', '7', '2020', '656', '5', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '454.12889876');
INSERT INTO public.ecdc_import VALUES (4416, '01/07/2020', '1', '7', '2020', '519', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '439.01767282');
INSERT INTO public.ecdc_import VALUES (4417, '30/06/2020', '30', '6', '2020', '534', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '440.29725244');
INSERT INTO public.ecdc_import VALUES (4418, '29/06/2020', '29', '6', '2020', '438', '5', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '436.33664887');
INSERT INTO public.ecdc_import VALUES (4419, '28/06/2020', '28', '6', '2020', '462', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '428.96383299');
INSERT INTO public.ecdc_import VALUES (4420, '27/06/2020', '27', '6', '2020', '724', '7', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '432.13231584');
INSERT INTO public.ecdc_import VALUES (4421, '26/06/2020', '26', '6', '2020', '511', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '451.75253661');
INSERT INTO public.ecdc_import VALUES (4422, '25/06/2020', '25', '6', '2020', '508', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '420.61609931');
INSERT INTO public.ecdc_import VALUES (4423, '24/06/2020', '24', '6', '2020', '655', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '418.11787244');
INSERT INTO public.ecdc_import VALUES (4424, '23/06/2020', '23', '6', '2020', '643', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '425.91721485');
INSERT INTO public.ecdc_import VALUES (4425, '22/06/2020', '22', '6', '2020', '433', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '426.58747084');
INSERT INTO public.ecdc_import VALUES (4426, '21/06/2020', '21', '6', '2020', '415', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '423.35805562');
INSERT INTO public.ecdc_import VALUES (4427, '20/06/2020', '20', '6', '2020', '486', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '431.46205986');
INSERT INTO public.ecdc_import VALUES (4428, '19/06/2020', '19', '6', '2020', '469', '6', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '434.69147508');
INSERT INTO public.ecdc_import VALUES (4429, '18/06/2020', '18', '6', '2020', '408', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '435.42266343');
INSERT INTO public.ecdc_import VALUES (4430, '17/06/2020', '17', '6', '2020', '540', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '441.27217024');
INSERT INTO public.ecdc_import VALUES (4431, '16/06/2020', '16', '6', '2020', '469', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '439.26140227');
INSERT INTO public.ecdc_import VALUES (4432, '15/06/2020', '15', '6', '2020', '317', '4', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '435.42266343');
INSERT INTO public.ecdc_import VALUES (4433, '14/06/2020', '14', '6', '2020', '514', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '452.97118387');
INSERT INTO public.ecdc_import VALUES (4434, '13/06/2020', '13', '6', '2020', '1046', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '442.61268222');
INSERT INTO public.ecdc_import VALUES (4435, '12/06/2020', '12', '6', '2020', '0', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '403.06757886');
INSERT INTO public.ecdc_import VALUES (4436, '11/06/2020', '11', '6', '2020', '467', '3', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '428.59823881');
INSERT INTO public.ecdc_import VALUES (4437, '10/06/2020', '10', '6', '2020', '783', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '416.41176628');
INSERT INTO public.ecdc_import VALUES (4438, '09/06/2020', '9', '6', '2020', '654', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '380.58353705');
INSERT INTO public.ecdc_import VALUES (4439, '08/06/2020', '8', '6', '2020', '380', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '342.74453985');
INSERT INTO public.ecdc_import VALUES (4440, '07/06/2020', '7', '6', '2020', '548', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '340.06351589');
INSERT INTO public.ecdc_import VALUES (4441, '06/06/2020', '6', '6', '2020', '539', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '330.31433787');
INSERT INTO public.ecdc_import VALUES (4442, '05/06/2020', '5', '6', '2020', '481', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '312.09556144');
INSERT INTO public.ecdc_import VALUES (4443, '04/06/2020', '4', '6', '2020', '504', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '300.21375073');
INSERT INTO public.ecdc_import VALUES (4444, '03/06/2020', '3', '6', '2020', '507', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '291.19576106');
INSERT INTO public.ecdc_import VALUES (4445, '02/06/2020', '2', '6', '2020', '406', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '281.5075154');
INSERT INTO public.ecdc_import VALUES (4446, '01/06/2020', '1', '6', '2020', '605', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '270.66155485');
INSERT INTO public.ecdc_import VALUES (4447, '31/05/2020', '31', '5', '2020', '344', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '246.53233924');
INSERT INTO public.ecdc_import VALUES (4448, '30/05/2020', '30', '5', '2020', '397', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '235.56451397');
INSERT INTO public.ecdc_import VALUES (4449, '29/05/2020', '29', '5', '2020', '419', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '234.83332562');
INSERT INTO public.ecdc_import VALUES (4450, '28/05/2020', '28', '5', '2020', '267', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '232.5788282');
INSERT INTO public.ecdc_import VALUES (4451, '27/05/2020', '27', '5', '2020', '195', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '233.67561073');
INSERT INTO public.ecdc_import VALUES (4452, '26/05/2020', '26', '5', '2020', '33', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '239.76884699');
INSERT INTO public.ecdc_import VALUES (4453, '25/05/2020', '25', '5', '2020', '336', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '255.733126');
INSERT INTO public.ecdc_import VALUES (4454, '24/05/2020', '24', '5', '2020', '388', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '245.43555671');
INSERT INTO public.ecdc_import VALUES (4455, '23/05/2020', '23', '5', '2020', '240', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '241.90147968');
INSERT INTO public.ecdc_import VALUES (4456, '22/05/2020', '22', '5', '2020', '286', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '242.20614149');
INSERT INTO public.ecdc_import VALUES (4457, '21/05/2020', '21', '5', '2020', '356', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '240.92656188');
INSERT INTO public.ecdc_import VALUES (4458, '20/05/2020', '20', '5', '2020', '348', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '232.27416638');
INSERT INTO public.ecdc_import VALUES (4459, '19/05/2020', '19', '5', '2020', '228', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '222.464056');
INSERT INTO public.ecdc_import VALUES (4460, '18/05/2020', '18', '5', '2020', '209', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '217.71133171');
INSERT INTO public.ecdc_import VALUES (4461, '17/05/2020', '17', '5', '2020', '164', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '211.00877182');
INSERT INTO public.ecdc_import VALUES (4462, '16/05/2020', '16', '5', '2020', '385', '2', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '207.96215369');
INSERT INTO public.ecdc_import VALUES (4463, '15/05/2020', '15', '5', '2020', '382', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '192.42440122');
INSERT INTO public.ecdc_import VALUES (4464, '14/05/2020', '14', '5', '2020', '285', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '176.39918984');
INSERT INTO public.ecdc_import VALUES (4465, '13/05/2020', '13', '5', '2020', '295', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '165.73602638');
INSERT INTO public.ecdc_import VALUES (4466, '12/05/2020', '12', '5', '2020', '295', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '153.12302731');
INSERT INTO public.ecdc_import VALUES (4467, '11/05/2020', '11', '5', '2020', '167', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '139.7788399');
INSERT INTO public.ecdc_import VALUES (4468, '10/05/2020', '10', '5', '2020', '330', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '133.13721237');
INSERT INTO public.ecdc_import VALUES (4469, '09/05/2020', '9', '5', '2020', '245', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '117.35573044');
INSERT INTO public.ecdc_import VALUES (4470, '08/05/2020', '8', '5', '2020', '265', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '120.76794275');
INSERT INTO public.ecdc_import VALUES (4471, '07/05/2020', '7', '5', '2020', '214', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '117.41666281');
INSERT INTO public.ecdc_import VALUES (4472, '06/05/2020', '6', '5', '2020', '187', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '106.44883753');
INSERT INTO public.ecdc_import VALUES (4473, '05/05/2020', '5', '5', '2020', '150', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '99.07602165');
INSERT INTO public.ecdc_import VALUES (4474, '04/05/2020', '4', '5', '2020', '99', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '92.00786759');
INSERT INTO public.ecdc_import VALUES (4475, '03/05/2020', '3', '5', '2020', '114', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '92.06879995');
INSERT INTO public.ecdc_import VALUES (4476, '02/05/2020', '2', '5', '2020', '130', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '86.88954912');
INSERT INTO public.ecdc_import VALUES (4477, '01/05/2020', '1', '5', '2020', '119', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '81.64936594');
INSERT INTO public.ecdc_import VALUES (4478, '30/04/2020', '30', '4', '2020', '110', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '76.04358857');
INSERT INTO public.ecdc_import VALUES (4479, '29/04/2020', '29', '4', '2020', '88', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '78.17622127');
INSERT INTO public.ecdc_import VALUES (4480, '28/04/2020', '28', '4', '2020', '76', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '82.98987792');
INSERT INTO public.ecdc_import VALUES (4481, '27/04/2020', '27', '4', '2020', '58', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '92.06879995');
INSERT INTO public.ecdc_import VALUES (4482, '26/04/2020', '26', '4', '2020', '71', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '94.38422973');
INSERT INTO public.ecdc_import VALUES (4483, '25/04/2020', '25', '4', '2020', '301', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '92.61719121');
INSERT INTO public.ecdc_import VALUES (4484, '24/04/2020', '24', '4', '2020', '210', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '81.04004231');
INSERT INTO public.ecdc_import VALUES (4485, '23/04/2020', '23', '4', '2020', '34', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '72.14391737');
INSERT INTO public.ecdc_import VALUES (4486, '22/04/2020', '22', '4', '2020', '66', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '70.80340539');
INSERT INTO public.ecdc_import VALUES (4487, '21/04/2020', '21', '4', '2020', '34', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '70.1331494');
INSERT INTO public.ecdc_import VALUES (4488, '20/04/2020', '20', '4', '2020', '100', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '71.47366138');
INSERT INTO public.ecdc_import VALUES (4489, '19/04/2020', '19', '4', '2020', '29', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '66.11161346');
INSERT INTO public.ecdc_import VALUES (4490, '18/04/2020', '18', '4', '2020', '44', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '67.08653127');
INSERT INTO public.ecdc_import VALUES (4491, '17/04/2020', '17', '4', '2020', '27', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '64.40550731');
INSERT INTO public.ecdc_import VALUES (4492, '16/04/2020', '16', '4', '2020', '145', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '67.26932835');
INSERT INTO public.ecdc_import VALUES (4493, '15/04/2020', '15', '4', '2020', '167', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '58.5560005');
INSERT INTO public.ecdc_import VALUES (4494, '14/04/2020', '14', '4', '2020', '225', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '51.54877879');
INSERT INTO public.ecdc_import VALUES (4495, '13/04/2020', '13', '4', '2020', '96', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '38.75298264');
INSERT INTO public.ecdc_import VALUES (4496, '12/04/2020', '12', '4', '2020', '42', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '34.54864962');
INSERT INTO public.ecdc_import VALUES (4497, '11/04/2020', '11', '4', '2020', '111', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '32.41601692');
INSERT INTO public.ecdc_import VALUES (4498, '10/04/2020', '10', '4', '2020', '64', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '26.13998357');
INSERT INTO public.ecdc_import VALUES (4499, '09/04/2020', '9', '4', '2020', '12', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '24.61667451');
INSERT INTO public.ecdc_import VALUES (4500, '08/04/2020', '8', '4', '2020', '55', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '25.65252467');
INSERT INTO public.ecdc_import VALUES (4501, '07/04/2020', '7', '4', '2020', '56', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '25.40879522');
INSERT INTO public.ecdc_import VALUES (4502, '06/04/2020', '6', '4', '2020', '12', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '22.30124473');
INSERT INTO public.ecdc_import VALUES (4503, '05/04/2020', '5', '4', '2020', '45', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '23.27616253');
INSERT INTO public.ecdc_import VALUES (4504, '04/04/2020', '4', '4', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '21.81378583');
INSERT INTO public.ecdc_import VALUES (4505, '03/04/2020', '3', '4', '2020', '74', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '22.78870363');
INSERT INTO public.ecdc_import VALUES (4506, '02/04/2020', '2', '4', '2020', '2', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '19.07182951');
INSERT INTO public.ecdc_import VALUES (4507, '01/04/2020', '1', '4', '2020', '52', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '20.10767967');
INSERT INTO public.ecdc_import VALUES (4508, '31/03/2020', '31', '3', '2020', '15', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '17.91411462');
INSERT INTO public.ecdc_import VALUES (4509, '30/03/2020', '30', '3', '2020', '27', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '17.42665572');
INSERT INTO public.ecdc_import VALUES (4510, '29/03/2020', '29', '3', '2020', '7', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '15.96427901');
INSERT INTO public.ecdc_import VALUES (4511, '28/03/2020', '28', '3', '2020', '8', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '15.59868484');
INSERT INTO public.ecdc_import VALUES (4512, '27/03/2020', '27', '3', '2020', '39', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '18.03597934');
INSERT INTO public.ecdc_import VALUES (4513, '26/03/2020', '26', '3', '2020', '29', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '15.6596172');
INSERT INTO public.ecdc_import VALUES (4514, '25/03/2020', '25', '3', '2020', '51', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '17.06106154');
INSERT INTO public.ecdc_import VALUES (4515, '24/03/2020', '24', '3', '2020', '5', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '14.01444341');
INSERT INTO public.ecdc_import VALUES (4516, '23/03/2020', '23', '3', '2020', '28', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '15.53775247');
INSERT INTO public.ecdc_import VALUES (4517, '22/03/2020', '22', '3', '2020', '21', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '14.80656412');
INSERT INTO public.ecdc_import VALUES (4518, '21/03/2020', '21', '3', '2020', '16', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '13.95351104');
INSERT INTO public.ecdc_import VALUES (4519, '20/03/2020', '20', '3', '2020', '13', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '13.22232269');
INSERT INTO public.ecdc_import VALUES (4520, '19/03/2020', '19', '3', '2020', '19', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '12.43020198');
INSERT INTO public.ecdc_import VALUES (4521, '18/03/2020', '18', '3', '2020', '16', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '11.45528418');
INSERT INTO public.ecdc_import VALUES (4522, '17/03/2020', '17', '3', '2020', '7', '1', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '10.6022311');
INSERT INTO public.ecdc_import VALUES (4523, '16/03/2020', '16', '3', '2020', '3', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '10.54129874');
INSERT INTO public.ecdc_import VALUES (4524, '15/03/2020', '15', '3', '2020', '1', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '10.54129874');
INSERT INTO public.ecdc_import VALUES (4525, '14/03/2020', '14', '3', '2020', '48', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '10.78502819');
INSERT INTO public.ecdc_import VALUES (4526, '13/03/2020', '13', '3', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '7.86027478');
INSERT INTO public.ecdc_import VALUES (4527, '12/03/2020', '12', '3', '2020', '52', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '8.46959841');
INSERT INTO public.ecdc_import VALUES (4528, '11/03/2020', '11', '3', '2020', '1', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '6.58069517');
INSERT INTO public.ecdc_import VALUES (4529, '10/03/2020', '10', '3', '2020', '30', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '6.58069517');
INSERT INTO public.ecdc_import VALUES (4530, '09/03/2020', '9', '3', '2020', '16', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '4.81365665');
INSERT INTO public.ecdc_import VALUES (4531, '08/03/2020', '8', '3', '2020', '7', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '3.83873885');
INSERT INTO public.ecdc_import VALUES (4532, '07/03/2020', '7', '3', '2020', '4', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '3.41221231');
INSERT INTO public.ecdc_import VALUES (4533, '06/03/2020', '6', '3', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '3.16848286');
INSERT INTO public.ecdc_import VALUES (4534, '05/03/2020', '5', '3', '2020', '3', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '3.16848286');
INSERT INTO public.ecdc_import VALUES (4535, '04/03/2020', '4', '3', '2020', '2', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '2.98568577');
INSERT INTO public.ecdc_import VALUES (4536, '02/03/2020', '2', '3', '2020', '6', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '2.86382104');
INSERT INTO public.ecdc_import VALUES (4537, '01/03/2020', '1', '3', '2020', '3', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '2.49822687');
INSERT INTO public.ecdc_import VALUES (4538, '29/02/2020', '29', '2', '2020', '5', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '2.31542978');
INSERT INTO public.ecdc_import VALUES (4539, '28/02/2020', '28', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '2.01076797');
INSERT INTO public.ecdc_import VALUES (4540, '27/02/2020', '27', '2', '2020', '10', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '2.01076797');
INSERT INTO public.ecdc_import VALUES (4541, '26/02/2020', '26', '2', '2020', '21', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '1.40144434');
INSERT INTO public.ecdc_import VALUES (4542, '25/02/2020', '25', '2', '2020', '1', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0.12186473');
INSERT INTO public.ecdc_import VALUES (4543, '24/02/2020', '24', '2', '2020', '1', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0.06093236');
INSERT INTO public.ecdc_import VALUES (4544, '23/02/2020', '23', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4545, '22/02/2020', '22', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4546, '21/02/2020', '21', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4547, '20/02/2020', '20', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4548, '19/02/2020', '19', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4549, '18/02/2020', '18', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4550, '17/02/2020', '17', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4551, '16/02/2020', '16', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4552, '15/02/2020', '15', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4553, '14/02/2020', '14', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4554, '13/02/2020', '13', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4555, '12/02/2020', '12', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4556, '11/02/2020', '11', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4557, '10/02/2020', '10', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4558, '09/02/2020', '9', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4559, '08/02/2020', '8', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4560, '07/02/2020', '7', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4561, '06/02/2020', '6', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4562, '05/02/2020', '5', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4563, '04/02/2020', '4', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4564, '03/02/2020', '3', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4565, '02/02/2020', '2', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4566, '01/02/2020', '1', '2', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4567, '31/01/2020', '31', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4568, '30/01/2020', '30', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4569, '29/01/2020', '29', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4570, '28/01/2020', '28', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4571, '27/01/2020', '27', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4572, '26/01/2020', '26', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4573, '25/01/2020', '25', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4574, '24/01/2020', '24', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4575, '23/01/2020', '23', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4576, '22/01/2020', '22', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4577, '21/01/2020', '21', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4578, '20/01/2020', '20', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4579, '19/01/2020', '19', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4580, '18/01/2020', '18', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4581, '17/01/2020', '17', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4582, '16/01/2020', '16', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4583, '15/01/2020', '15', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4584, '14/01/2020', '14', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4585, '13/01/2020', '13', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (4586, '12/01/2020', '12', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4587, '11/01/2020', '11', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4588, '10/01/2020', '10', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4589, '09/01/2020', '9', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4590, '08/01/2020', '8', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4591, '07/01/2020', '7', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4592, '06/01/2020', '6', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4593, '05/01/2020', '5', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4594, '04/01/2020', '4', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4595, '03/01/2020', '3', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4596, '02/01/2020', '2', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4597, '01/01/2020', '1', '1', '2020', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4598, '31/12/2019', '31', '12', '2019', '0', '0', '1641164', 'Bahrain', 'BH', 'BHR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4599, '14/12/2020', '14', '12', '2020', '1355', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.25032822');
INSERT INTO public.ecdc_import VALUES (4600, '13/12/2020', '13', '12', '2020', '1329', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.51589717');
INSERT INTO public.ecdc_import VALUES (4601, '12/12/2020', '12', '12', '2020', '1884', '19', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.8710113');
INSERT INTO public.ecdc_import VALUES (4602, '11/12/2020', '11', '12', '2020', '1861', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.10959402');
INSERT INTO public.ecdc_import VALUES (4603, '10/12/2020', '10', '12', '2020', '2159', '24', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.37393632');
INSERT INTO public.ecdc_import VALUES (4604, '09/12/2020', '9', '12', '2020', '2202', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.37209635');
INSERT INTO public.ecdc_import VALUES (4605, '08/12/2020', '8', '12', '2020', '2198', '36', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.3892694');
INSERT INTO public.ecdc_import VALUES (4606, '07/12/2020', '7', '12', '2020', '1666', '31', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.52481383');
INSERT INTO public.ecdc_import VALUES (4607, '06/12/2020', '6', '12', '2020', '1888', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.76646317');
INSERT INTO public.ecdc_import VALUES (4608, '05/12/2020', '5', '12', '2020', '2252', '24', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.74131692');
INSERT INTO public.ecdc_import VALUES (4609, '04/12/2020', '4', '12', '2020', '2316', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.75542335');
INSERT INTO public.ecdc_import VALUES (4610, '03/12/2020', '3', '12', '2020', '2198', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.78486286');
INSERT INTO public.ecdc_import VALUES (4611, '02/12/2020', '2', '12', '2020', '2293', '31', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.73150374');
INSERT INTO public.ecdc_import VALUES (4612, '01/12/2020', '1', '12', '2020', '2525', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.68182457');
INSERT INTO public.ecdc_import VALUES (4613, '30/11/2020', '30', '11', '2020', '1788', '29', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.44508181');
INSERT INTO public.ecdc_import VALUES (4614, '29/11/2020', '29', '11', '2020', '1908', '36', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.47513465');
INSERT INTO public.ecdc_import VALUES (4615, '28/11/2020', '28', '11', '2020', '2273', '20', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.2439118');
INSERT INTO public.ecdc_import VALUES (4616, '27/11/2020', '27', '11', '2020', '2292', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.93357027');
INSERT INTO public.ecdc_import VALUES (4617, '26/11/2020', '26', '11', '2020', '2156', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.6594148');
INSERT INTO public.ecdc_import VALUES (4618, '25/11/2020', '25', '11', '2020', '2230', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.39997908');
INSERT INTO public.ecdc_import VALUES (4619, '24/11/2020', '24', '11', '2020', '2419', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.07430447');
INSERT INTO public.ecdc_import VALUES (4620, '23/11/2020', '23', '11', '2020', '2060', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.62289859');
INSERT INTO public.ecdc_import VALUES (4621, '22/11/2020', '22', '11', '2020', '1847', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.2634912');
INSERT INTO public.ecdc_import VALUES (4622, '21/11/2020', '21', '11', '2020', '2275', '17', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.92125686');
INSERT INTO public.ecdc_import VALUES (4623, '20/11/2020', '20', '11', '2020', '2364', '30', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.42691836');
INSERT INTO public.ecdc_import VALUES (4624, '19/11/2020', '19', '11', '2020', '2111', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.10676365');
INSERT INTO public.ecdc_import VALUES (4625, '18/11/2020', '18', '11', '2020', '2212', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.74244967');
INSERT INTO public.ecdc_import VALUES (4626, '17/11/2020', '17', '11', '2020', '2139', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.40328195');
INSERT INTO public.ecdc_import VALUES (4627, '16/11/2020', '16', '11', '2020', '1837', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.1561127');
INSERT INTO public.ecdc_import VALUES (4628, '15/11/2020', '15', '11', '2020', '1531', '14', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.99112876');
INSERT INTO public.ecdc_import VALUES (4629, '14/11/2020', '14', '11', '2020', '1767', '19', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.86171756');
INSERT INTO public.ecdc_import VALUES (4630, '13/11/2020', '13', '11', '2020', '1845', '13', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.76174588');
INSERT INTO public.ecdc_import VALUES (4631, '12/11/2020', '12', '11', '2020', '1733', '19', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.66116088');
INSERT INTO public.ecdc_import VALUES (4632, '11/11/2020', '11', '11', '2020', '1699', '16', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.51396331');
INSERT INTO public.ecdc_import VALUES (4633, '10/11/2020', '10', '11', '2020', '1683', '25', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.29071367');
INSERT INTO public.ecdc_import VALUES (4634, '09/11/2020', '9', '11', '2020', '1474', '18', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.13922284');
INSERT INTO public.ecdc_import VALUES (4635, '08/11/2020', '8', '11', '2020', '1289', '13', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.03741119');
INSERT INTO public.ecdc_import VALUES (4636, '07/11/2020', '7', '11', '2020', '1469', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.91781316');
INSERT INTO public.ecdc_import VALUES (4637, '06/11/2020', '6', '11', '2020', '1842', '17', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.98957198');
INSERT INTO public.ecdc_import VALUES (4638, '05/11/2020', '5', '11', '2020', '1517', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.90002679');
INSERT INTO public.ecdc_import VALUES (4639, '04/11/2020', '4', '11', '2020', '1659', '17', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.91535987');
INSERT INTO public.ecdc_import VALUES (4640, '03/11/2020', '3', '11', '2020', '1736', '25', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.74608267');
INSERT INTO public.ecdc_import VALUES (4641, '02/11/2020', '2', '11', '2020', '1568', '18', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.68536367');
INSERT INTO public.ecdc_import VALUES (4642, '01/11/2020', '1', '11', '2020', '1320', '18', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.50504665');
INSERT INTO public.ecdc_import VALUES (4643, '31/10/2020', '31', '10', '2020', '1604', '19', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.43696778');
INSERT INTO public.ecdc_import VALUES (4644, '30/10/2020', '30', '10', '2020', '1681', '25', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.38974189');
INSERT INTO public.ecdc_import VALUES (4645, '29/10/2020', '29', '10', '2020', '1493', '23', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.34006271');
INSERT INTO public.ecdc_import VALUES (4646, '28/10/2020', '28', '10', '2020', '1335', '20', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.45720744');
INSERT INTO public.ecdc_import VALUES (4647, '27/10/2020', '27', '10', '2020', '1436', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.58109873');
INSERT INTO public.ecdc_import VALUES (4648, '26/10/2020', '26', '10', '2020', '1308', '23', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.60317836');
INSERT INTO public.ecdc_import VALUES (4649, '25/10/2020', '25', '10', '2020', '1094', '19', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.5326462');
INSERT INTO public.ecdc_import VALUES (4650, '24/10/2020', '24', '10', '2020', '1586', '14', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.59949843');
INSERT INTO public.ecdc_import VALUES (4651, '23/10/2020', '23', '10', '2020', '1696', '24', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.41059488');
INSERT INTO public.ecdc_import VALUES (4652, '22/10/2020', '22', '10', '2020', '1542', '24', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.25419747');
INSERT INTO public.ecdc_import VALUES (4653, '21/10/2020', '21', '10', '2020', '1383', '18', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.24070436');
INSERT INTO public.ecdc_import VALUES (4654, '20/10/2020', '20', '10', '2020', '1637', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.31184985');
INSERT INTO public.ecdc_import VALUES (4655, '19/10/2020', '19', '10', '2020', '1274', '14', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.19225182');
INSERT INTO public.ecdc_import VALUES (4656, '18/10/2020', '18', '10', '2020', '1209', '23', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.10086667');
INSERT INTO public.ecdc_import VALUES (4657, '17/10/2020', '17', '10', '2020', '1527', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.08430694');
INSERT INTO public.ecdc_import VALUES (4658, '16/10/2020', '16', '10', '2020', '1600', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.0039616');
INSERT INTO public.ecdc_import VALUES (4659, '15/10/2020', '15', '10', '2020', '1684', '16', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.94753587');
INSERT INTO public.ecdc_import VALUES (4660, '14/10/2020', '14', '10', '2020', '1537', '22', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.79543171');
INSERT INTO public.ecdc_import VALUES (4661, '13/10/2020', '13', '10', '2020', '1472', '31', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.76537888');
INSERT INTO public.ecdc_import VALUES (4662, '12/10/2020', '12', '10', '2020', '1193', '24', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.72551287');
INSERT INTO public.ecdc_import VALUES (4663, '11/10/2020', '11', '10', '2020', '1203', '23', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.77580537');
INSERT INTO public.ecdc_import VALUES (4664, '10/10/2020', '10', '10', '2020', '1278', '17', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.71631302');
INSERT INTO public.ecdc_import VALUES (4665, '09/10/2020', '9', '10', '2020', '1441', '20', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.78071196');
INSERT INTO public.ecdc_import VALUES (4666, '08/10/2020', '8', '10', '2020', '1520', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.84143095');
INSERT INTO public.ecdc_import VALUES (4667, '07/10/2020', '7', '10', '2020', '1499', '30', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.93097614');
INSERT INTO public.ecdc_import VALUES (4668, '06/10/2020', '6', '10', '2020', '1442', '27', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.96654889');
INSERT INTO public.ecdc_import VALUES (4669, '05/10/2020', '5', '10', '2020', '1125', '23', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.12785289');
INSERT INTO public.ecdc_import VALUES (4670, '04/10/2020', '4', '10', '2020', '1182', '20', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.38483531');
INSERT INTO public.ecdc_import VALUES (4671, '03/10/2020', '3', '10', '2020', '1396', '33', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.62096474');
INSERT INTO public.ecdc_import VALUES (4672, '02/10/2020', '2', '10', '2020', '1508', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.7098966');
INSERT INTO public.ecdc_import VALUES (4673, '01/10/2020', '1', '10', '2020', '1436', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.76202907');
INSERT INTO public.ecdc_import VALUES (4674, '30/09/2020', '30', '9', '2020', '1488', '26', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.87181392');
INSERT INTO public.ecdc_import VALUES (4675, '29/09/2020', '29', '9', '2020', '1407', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.0165582');
INSERT INTO public.ecdc_import VALUES (4676, '28/09/2020', '28', '9', '2020', '1275', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.26495409');
INSERT INTO public.ecdc_import VALUES (4677, '27/09/2020', '27', '9', '2020', '1106', '36', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.38823206');
INSERT INTO public.ecdc_import VALUES (4678, '26/09/2020', '26', '9', '2020', '1383', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.49617694');
INSERT INTO public.ecdc_import VALUES (4679, '25/09/2020', '25', '9', '2020', '1540', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.74702613');
INSERT INTO public.ecdc_import VALUES (4680, '24/09/2020', '24', '9', '2020', '1666', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.96291589');
INSERT INTO public.ecdc_import VALUES (4681, '23/09/2020', '23', '9', '2020', '1557', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.06166093');
INSERT INTO public.ecdc_import VALUES (4682, '22/09/2020', '22', '9', '2020', '1705', '40', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.2671242');
INSERT INTO public.ecdc_import VALUES (4683, '21/09/2020', '21', '9', '2020', '1544', '26', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.57194583');
INSERT INTO public.ecdc_import VALUES (4684, '20/09/2020', '20', '9', '2020', '1567', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.60138534');
INSERT INTO public.ecdc_import VALUES (4685, '19/09/2020', '19', '9', '2020', '1541', '22', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.83628812');
INSERT INTO public.ecdc_import VALUES (4686, '18/09/2020', '18', '9', '2020', '1593', '36', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.07425752');
INSERT INTO public.ecdc_import VALUES (4687, '17/09/2020', '17', '9', '2020', '1615', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.42078513');
INSERT INTO public.ecdc_import VALUES (4688, '16/09/2020', '16', '9', '2020', '1724', '43', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.01386866');
INSERT INTO public.ecdc_import VALUES (4689, '15/09/2020', '15', '9', '2020', '1812', '26', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.1524797');
INSERT INTO public.ecdc_import VALUES (4690, '14/09/2020', '14', '9', '2020', '1476', '31', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.3745027');
INSERT INTO public.ecdc_import VALUES (4691, '13/09/2020', '13', '9', '2020', '1282', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.63271177');
INSERT INTO public.ecdc_import VALUES (4692, '12/09/2020', '12', '9', '2020', '1792', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.15342316');
INSERT INTO public.ecdc_import VALUES (4693, '11/09/2020', '11', '9', '2020', '1892', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.41040558');
INSERT INTO public.ecdc_import VALUES (4694, '10/09/2020', '10', '9', '2020', '1827', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.7440534');
INSERT INTO public.ecdc_import VALUES (4695, '09/09/2020', '9', '9', '2020', '1892', '36', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.16847305');
INSERT INTO public.ecdc_import VALUES (4696, '08/09/2020', '8', '9', '2020', '2202', '67', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.5689731');
INSERT INTO public.ecdc_import VALUES (4697, '07/09/2020', '7', '9', '2020', '1592', '2', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.74254356');
INSERT INTO public.ecdc_import VALUES (4698, '06/09/2020', '6', '9', '2020', '1950', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.9762197');
INSERT INTO public.ecdc_import VALUES (4699, '05/09/2020', '5', '9', '2020', '1929', '29', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '19.16941651');
INSERT INTO public.ecdc_import VALUES (4700, '04/09/2020', '4', '9', '2020', '2158', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '19.45890506');
INSERT INTO public.ecdc_import VALUES (4701, '03/09/2020', '3', '9', '2020', '2582', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '19.89436452');
INSERT INTO public.ecdc_import VALUES (4702, '02/09/2020', '2', '9', '2020', '1950', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '19.99556285');
INSERT INTO public.ecdc_import VALUES (4703, '01/09/2020', '1', '9', '2020', '2174', '33', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.76221685');
INSERT INTO public.ecdc_import VALUES (4704, '31/08/2020', '31', '8', '2020', '1897', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.02042591');
INSERT INTO public.ecdc_import VALUES (4705, '30/08/2020', '30', '8', '2020', '2131', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.09831796');
INSERT INTO public.ecdc_import VALUES (4706, '29/08/2020', '29', '8', '2020', '2211', '47', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.41295276');
INSERT INTO public.ecdc_import VALUES (4707, '28/08/2020', '28', '8', '2020', '2436', '45', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.75334713');
INSERT INTO public.ecdc_import VALUES (4708, '27/08/2020', '27', '8', '2020', '2519', '54', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.86435863');
INSERT INTO public.ecdc_import VALUES (4709, '26/08/2020', '26', '8', '2020', '2545', '45', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '22.15630047');
INSERT INTO public.ecdc_import VALUES (4710, '25/08/2020', '25', '8', '2020', '2485', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '22.43290923');
INSERT INTO public.ecdc_import VALUES (4711, '24/08/2020', '24', '8', '2020', '1973', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '22.69173162');
INSERT INTO public.ecdc_import VALUES (4712, '23/08/2020', '23', '8', '2020', '2265', '46', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.00697975');
INSERT INTO public.ecdc_import VALUES (4713, '22/08/2020', '22', '8', '2020', '2401', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.21918957');
INSERT INTO public.ecdc_import VALUES (4714, '21/08/2020', '21', '8', '2020', '2868', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.49518501');
INSERT INTO public.ecdc_import VALUES (4715, '20/08/2020', '20', '8', '2020', '2747', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.56203724');
INSERT INTO public.ecdc_import VALUES (4716, '19/08/2020', '19', '8', '2020', '3200', '46', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.50499818');
INSERT INTO public.ecdc_import VALUES (4717, '18/08/2020', '18', '8', '2020', '2595', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '22.71871784');
INSERT INTO public.ecdc_import VALUES (4718, '17/08/2020', '17', '8', '2020', '2024', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.9588104');
INSERT INTO public.ecdc_import VALUES (4719, '16/08/2020', '16', '8', '2020', '2644', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.26084861');
INSERT INTO public.ecdc_import VALUES (4720, '15/08/2020', '15', '8', '2020', '2766', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.98791978');
INSERT INTO public.ecdc_import VALUES (4721, '14/08/2020', '14', '8', '2020', '2617', '44', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.99159972');
INSERT INTO public.ecdc_import VALUES (4722, '13/08/2020', '13', '8', '2020', '2995', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.03943893');
INSERT INTO public.ecdc_import VALUES (4723, '12/08/2020', '12', '8', '2020', '2996', '33', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.04802546');
INSERT INTO public.ecdc_import VALUES (4724, '11/08/2020', '11', '8', '2020', '2907', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.02594582');
INSERT INTO public.ecdc_import VALUES (4725, '10/08/2020', '10', '8', '2020', '2487', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.94314719');
INSERT INTO public.ecdc_import VALUES (4726, '09/08/2020', '9', '8', '2020', '2611', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.81312267');
INSERT INTO public.ecdc_import VALUES (4727, '08/08/2020', '8', '8', '2020', '2851', '27', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.75731026');
INSERT INTO public.ecdc_import VALUES (4728, '07/08/2020', '7', '8', '2020', '2977', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.57147333');
INSERT INTO public.ecdc_import VALUES (4729, '06/08/2020', '6', '8', '2020', '2654', '33', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.49726123');
INSERT INTO public.ecdc_import VALUES (4730, '05/08/2020', '5', '8', '2020', '1918', '50', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.55246031');
INSERT INTO public.ecdc_import VALUES (4731, '04/08/2020', '4', '8', '2020', '1356', '30', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.25103544');
INSERT INTO public.ecdc_import VALUES (4732, '03/08/2020', '3', '8', '2020', '886', '22', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '22.2151795');
INSERT INTO public.ecdc_import VALUES (4733, '02/08/2020', '2', '8', '2020', '2199', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.17993689');
INSERT INTO public.ecdc_import VALUES (4734, '01/08/2020', '1', '8', '2020', '2772', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.49273172');
INSERT INTO public.ecdc_import VALUES (4735, '31/07/2020', '31', '7', '2020', '2695', '48', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.6534224');
INSERT INTO public.ecdc_import VALUES (4736, '30/07/2020', '30', '7', '2020', '3009', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.67672868');
INSERT INTO public.ecdc_import VALUES (4737, '29/07/2020', '29', '7', '2020', '2960', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.99811003');
INSERT INTO public.ecdc_import VALUES (4738, '28/07/2020', '28', '7', '2020', '2772', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.12261464');
INSERT INTO public.ecdc_import VALUES (4739, '27/07/2020', '27', '7', '2020', '2275', '54', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.32317133');
INSERT INTO public.ecdc_import VALUES (4740, '26/07/2020', '26', '7', '2020', '2520', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.5629807');
INSERT INTO public.ecdc_import VALUES (4741, '25/07/2020', '25', '7', '2020', '2548', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.66479235');
INSERT INTO public.ecdc_import VALUES (4742, '24/07/2020', '24', '7', '2020', '2856', '50', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.91073495');
INSERT INTO public.ecdc_import VALUES (4743, '23/07/2020', '23', '7', '2020', '2744', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.21984984');
INSERT INTO public.ecdc_import VALUES (4744, '22/07/2020', '22', '7', '2020', '3057', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.67677562');
INSERT INTO public.ecdc_import VALUES (4745, '21/07/2020', '21', '7', '2020', '2928', '50', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.65837593');
INSERT INTO public.ecdc_import VALUES (4746, '20/07/2020', '20', '7', '2020', '2459', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.82581316');
INSERT INTO public.ecdc_import VALUES (4747, '19/07/2020', '19', '7', '2020', '2709', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.99693033');
INSERT INTO public.ecdc_import VALUES (4748, '18/07/2020', '18', '7', '2020', '3034', '51', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '26.35204446');
INSERT INTO public.ecdc_import VALUES (4749, '17/07/2020', '17', '7', '2020', '2733', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '26.40111032');
INSERT INTO public.ecdc_import VALUES (4750, '16/07/2020', '16', '7', '2020', '3533', '33', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '27.18984395');
INSERT INTO public.ecdc_import VALUES (4751, '15/07/2020', '15', '7', '2020', '3163', '33', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '27.33826816');
INSERT INTO public.ecdc_import VALUES (4752, '14/07/2020', '14', '7', '2020', '3099', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '27.6565829');
INSERT INTO public.ecdc_import VALUES (4753, '13/07/2020', '13', '7', '2020', '2666', '47', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '28.21777362');
INSERT INTO public.ecdc_import VALUES (4754, '12/07/2020', '12', '7', '2020', '2686', '30', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '28.91880204');
INSERT INTO public.ecdc_import VALUES (4755, '11/07/2020', '11', '7', '2020', '2949', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '29.42050041');
INSERT INTO public.ecdc_import VALUES (4756, '10/07/2020', '10', '7', '2020', '3360', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '29.98414443');
INSERT INTO public.ecdc_import VALUES (4757, '09/07/2020', '9', '7', '2020', '3489', '46', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.34355182');
INSERT INTO public.ecdc_import VALUES (4758, '08/07/2020', '8', '7', '2020', '3027', '55', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.3269921');
INSERT INTO public.ecdc_import VALUES (4759, '07/07/2020', '7', '7', '2020', '3201', '44', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.56312153');
INSERT INTO public.ecdc_import VALUES (4760, '06/07/2020', '6', '7', '2020', '2738', '55', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.7342387');
INSERT INTO public.ecdc_import VALUES (4761, '05/07/2020', '5', '7', '2020', '3288', '29', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '31.22060399');
INSERT INTO public.ecdc_import VALUES (4762, '04/07/2020', '4', '7', '2020', '3114', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '31.19116448');
INSERT INTO public.ecdc_import VALUES (4763, '03/07/2020', '3', '7', '2020', '4019', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '31.27028317');
INSERT INTO public.ecdc_import VALUES (4764, '02/07/2020', '2', '7', '2020', '3775', '41', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '31.13780536');
INSERT INTO public.ecdc_import VALUES (4765, '01/07/2020', '1', '7', '2020', '3682', '64', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '31.28070967');
INSERT INTO public.ecdc_import VALUES (4766, '30/06/2020', '30', '6', '2020', '4014', '45', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '31.39110784');
INSERT INTO public.ecdc_import VALUES (4767, '29/06/2020', '29', '6', '2020', '3809', '43', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.82991712');
INSERT INTO public.ecdc_import VALUES (4768, '28/06/2020', '28', '6', '2020', '3504', '34', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.42021722');
INSERT INTO public.ecdc_import VALUES (4769, '27/06/2020', '27', '6', '2020', '3868', '40', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '30.02278379');
INSERT INTO public.ecdc_import VALUES (4770, '26/06/2020', '26', '6', '2020', '3946', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '29.77929448');
INSERT INTO public.ecdc_import VALUES (4771, '25/06/2020', '25', '6', '2020', '3462', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '29.31378218');
INSERT INTO public.ecdc_import VALUES (4772, '24/06/2020', '24', '6', '2020', '3412', '43', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '29.14695827');
INSERT INTO public.ecdc_import VALUES (4773, '23/06/2020', '23', '6', '2020', '3480', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '28.99914738');
INSERT INTO public.ecdc_import VALUES (4774, '22/06/2020', '22', '6', '2020', '3531', '39', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '28.5422216');
INSERT INTO public.ecdc_import VALUES (4775, '21/06/2020', '21', '6', '2020', '3240', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '28.05892292');
INSERT INTO public.ecdc_import VALUES (4776, '20/06/2020', '20', '6', '2020', '3243', '45', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '27.68786238');
INSERT INTO public.ecdc_import VALUES (4777, '19/06/2020', '19', '6', '2020', '3803', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '27.43333326');
INSERT INTO public.ecdc_import VALUES (4778, '18/06/2020', '18', '6', '2020', '4008', '43', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '26.58694724');
INSERT INTO public.ecdc_import VALUES (4779, '17/06/2020', '17', '6', '2020', '3862', '53', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.78165389');
INSERT INTO public.ecdc_import VALUES (4780, '16/06/2020', '16', '6', '2020', '3099', '38', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '25.19838353');
INSERT INTO public.ecdc_import VALUES (4781, '15/06/2020', '15', '6', '2020', '3141', '32', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.75801747');
INSERT INTO public.ecdc_import VALUES (4782, '14/06/2020', '14', '6', '2020', '2856', '44', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '24.39247685');
INSERT INTO public.ecdc_import VALUES (4783, '13/06/2020', '13', '6', '2020', '3471', '46', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.72272792');
INSERT INTO public.ecdc_import VALUES (4784, '12/06/2020', '12', '6', '2020', '3187', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '23.14129753');
INSERT INTO public.ecdc_import VALUES (4785, '11/06/2020', '11', '6', '2020', '3190', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '22.43106927');
INSERT INTO public.ecdc_import VALUES (4786, '10/06/2020', '10', '6', '2020', '3171', '45', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '21.41969931');
INSERT INTO public.ecdc_import VALUES (4787, '09/06/2020', '9', '6', '2020', '2735', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '20.18998631');
INSERT INTO public.ecdc_import VALUES (4788, '08/06/2020', '8', '6', '2020', '2743', '42', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '19.72386068');
INSERT INTO public.ecdc_import VALUES (4789, '07/06/2020', '7', '6', '2020', '2635', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.98112629');
INSERT INTO public.ecdc_import VALUES (4790, '06/06/2020', '6', '6', '2020', '2828', '30', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '18.51377401');
INSERT INTO public.ecdc_import VALUES (4791, '05/06/2020', '5', '6', '2020', '2423', '35', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.8182655');
INSERT INTO public.ecdc_import VALUES (4792, '04/06/2020', '4', '6', '2020', '2695', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '17.41960543');
INSERT INTO public.ecdc_import VALUES (4793, '03/06/2020', '3', '6', '2020', '2911', '37', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '16.75844302');
INSERT INTO public.ecdc_import VALUES (4794, '02/06/2020', '2', '6', '2020', '2381', '22', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.74032651');
INSERT INTO public.ecdc_import VALUES (4795, '01/06/2020', '1', '6', '2020', '2545', '40', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '15.26254774');
INSERT INTO public.ecdc_import VALUES (4796, '31/05/2020', '31', '5', '2020', '1764', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '14.48240064');
INSERT INTO public.ecdc_import VALUES (4797, '30/05/2020', '30', '5', '2020', '2523', '23', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.97088909');
INSERT INTO public.ecdc_import VALUES (4798, '29/05/2020', '29', '5', '2020', '2029', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '13.16068915');
INSERT INTO public.ecdc_import VALUES (4799, '28/05/2020', '28', '5', '2020', '1541', '22', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.55472583');
INSERT INTO public.ecdc_import VALUES (4800, '27/05/2020', '27', '5', '2020', '1166', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.32227634');
INSERT INTO public.ecdc_import VALUES (4801, '26/05/2020', '26', '5', '2020', '1975', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '12.20145167');
INSERT INTO public.ecdc_import VALUES (4802, '25/05/2020', '25', '5', '2020', '1532', '28', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.62431454');
INSERT INTO public.ecdc_import VALUES (4803, '24/05/2020', '24', '5', '2020', '1873', '20', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '11.22872108');
INSERT INTO public.ecdc_import VALUES (4804, '23/05/2020', '23', '5', '2020', '1694', '24', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '10.47004029');
INSERT INTO public.ecdc_import VALUES (4805, '22/05/2020', '22', '5', '2020', '1773', '22', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '9.86591694');
INSERT INTO public.ecdc_import VALUES (4806, '21/05/2020', '21', '5', '2020', '1617', '16', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '9.21150109');
INSERT INTO public.ecdc_import VALUES (4807, '20/05/2020', '20', '5', '2020', '1251', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '8.7042828');
INSERT INTO public.ecdc_import VALUES (4808, '19/05/2020', '19', '5', '2020', '1602', '21', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '8.41908752');
INSERT INTO public.ecdc_import VALUES (4809, '18/05/2020', '18', '5', '2020', '1273', '14', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '7.85851012');
INSERT INTO public.ecdc_import VALUES (4810, '17/05/2020', '17', '5', '2020', '930', '16', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '7.48560961');
INSERT INTO public.ecdc_import VALUES (4811, '16/05/2020', '16', '5', '2020', '1202', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '7.25377344');
INSERT INTO public.ecdc_import VALUES (4812, '15/05/2020', '15', '5', '2020', '1041', '14', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '6.86676651');
INSERT INTO public.ecdc_import VALUES (4813, '14/05/2020', '14', '5', '2020', '1162', '19', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '6.57421134');
INSERT INTO public.ecdc_import VALUES (4814, '13/05/2020', '13', '5', '2020', '969', '11', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '6.25466996');
INSERT INTO public.ecdc_import VALUES (4815, '12/05/2020', '12', '5', '2020', '1034', '11', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '5.99707422');
INSERT INTO public.ecdc_import VALUES (4816, '11/05/2020', '11', '5', '2020', '887', '14', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '5.66771966');
INSERT INTO public.ecdc_import VALUES (4817, '10/05/2020', '10', '5', '2020', '636', '8', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '5.38007108');
INSERT INTO public.ecdc_import VALUES (4818, '09/05/2020', '9', '5', '2020', '709', '7', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '5.17951439');
INSERT INTO public.ecdc_import VALUES (4819, '08/05/2020', '8', '5', '2020', '706', '13', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '5.05316982');
INSERT INTO public.ecdc_import VALUES (4820, '07/05/2020', '7', '5', '2020', '790', '3', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '4.87407944');
INSERT INTO public.ecdc_import VALUES (4821, '06/05/2020', '6', '5', '2020', '786', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '4.62875016');
INSERT INTO public.ecdc_import VALUES (4822, '05/05/2020', '5', '5', '2020', '688', '5', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '4.4128604');
INSERT INTO public.ecdc_import VALUES (4823, '04/05/2020', '4', '5', '2020', '665', '2', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '4.29264905');
INSERT INTO public.ecdc_import VALUES (4824, '03/05/2020', '3', '5', '2020', '552', '5', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '4.07614596');
INSERT INTO public.ecdc_import VALUES (4825, '02/05/2020', '2', '5', '2020', '571', '2', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '3.92526846');
INSERT INTO public.ecdc_import VALUES (4826, '01/05/2020', '1', '5', '2020', '564', '5', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '3.73820488');
INSERT INTO public.ecdc_import VALUES (4827, '30/04/2020', '30', '4', '2020', '641', '8', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '3.60143381');
INSERT INTO public.ecdc_import VALUES (4828, '29/04/2020', '29', '4', '2020', '549', '3', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '3.34261142');
INSERT INTO public.ecdc_import VALUES (4829, '28/04/2020', '28', '4', '2020', '497', '7', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '3.13408153');
INSERT INTO public.ecdc_import VALUES (4830, '27/04/2020', '27', '4', '2020', '418', '5', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '2.94088473');
INSERT INTO public.ecdc_import VALUES (4831, '26/04/2020', '26', '4', '2020', '309', '9', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '2.76976756');
INSERT INTO public.ecdc_import VALUES (4832, '25/04/2020', '25', '4', '2020', '503', '4', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '2.61582343');
INSERT INTO public.ecdc_import VALUES (4833, '24/04/2020', '24', '4', '2020', '414', '7', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '2.36497425');
INSERT INTO public.ecdc_import VALUES (4834, '23/04/2020', '23', '4', '2020', '390', '10', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '2.17975064');
INSERT INTO public.ecdc_import VALUES (4835, '22/04/2020', '22', '4', '2020', '434', '9', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '1.97367405');
INSERT INTO public.ecdc_import VALUES (4836, '21/04/2020', '21', '4', '2020', '492', '10', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '1.73263803');
INSERT INTO public.ecdc_import VALUES (4837, '20/04/2020', '20', '4', '2020', '312', '7', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '1.45234933');
INSERT INTO public.ecdc_import VALUES (4838, '19/04/2020', '19', '4', '2020', '306', '9', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '1.27203231');
INSERT INTO public.ecdc_import VALUES (4839, '18/04/2020', '18', '4', '2020', '266', '15', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '1.08987532');
INSERT INTO public.ecdc_import VALUES (4840, '17/04/2020', '17', '4', '2020', '341', '10', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.92979797');
INSERT INTO public.ecdc_import VALUES (4841, '16/04/2020', '16', '4', '2020', '219', '4', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.7218814');
INSERT INTO public.ecdc_import VALUES (4842, '15/04/2020', '15', '4', '2020', '209', '7', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.58940359');
INSERT INTO public.ecdc_import VALUES (4843, '14/04/2020', '14', '4', '2020', '182', '5', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.46244569');
INSERT INTO public.ecdc_import VALUES (4844, '13/04/2020', '13', '4', '2020', '139', '4', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.35082087');
INSERT INTO public.ecdc_import VALUES (4845, '12/04/2020', '12', '4', '2020', '58', '3', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.26618227');
INSERT INTO public.ecdc_import VALUES (4846, '11/04/2020', '11', '4', '2020', '94', '6', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.23060952');
INSERT INTO public.ecdc_import VALUES (4847, '10/04/2020', '10', '4', '2020', '112', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.17295714');
INSERT INTO public.ecdc_import VALUES (4848, '09/04/2020', '9', '4', '2020', '54', '3', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.10978485');
INSERT INTO public.ecdc_import VALUES (4849, '08/04/2020', '8', '4', '2020', '41', '5', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.0766654');
INSERT INTO public.ecdc_import VALUES (4850, '07/04/2020', '7', '4', '2020', '35', '3', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.05519909');
INSERT INTO public.ecdc_import VALUES (4851, '06/04/2020', '6', '4', '2020', '18', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.03741271');
INSERT INTO public.ecdc_import VALUES (4852, '05/04/2020', '5', '4', '2020', '9', '2', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02821287');
INSERT INTO public.ecdc_import VALUES (4853, '04/04/2020', '4', '4', '2020', '5', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02698622');
INSERT INTO public.ecdc_import VALUES (4854, '03/04/2020', '3', '4', '2020', '2', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02821287');
INSERT INTO public.ecdc_import VALUES (4855, '02/04/2020', '2', '4', '2020', '3', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02698622');
INSERT INTO public.ecdc_import VALUES (4856, '01/04/2020', '1', '4', '2020', '2', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.0263729');
INSERT INTO public.ecdc_import VALUES (4857, '31/03/2020', '31', '3', '2020', '0', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02698622');
INSERT INTO public.ecdc_import VALUES (4858, '30/03/2020', '30', '3', '2020', '1', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02821287');
INSERT INTO public.ecdc_import VALUES (4859, '29/03/2020', '29', '3', '2020', '0', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02759954');
INSERT INTO public.ecdc_import VALUES (4860, '28/03/2020', '28', '3', '2020', '0', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '0.02943951');
INSERT INTO public.ecdc_import VALUES (4861, '27/03/2020', '27', '3', '2020', '9', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4862, '26/03/2020', '26', '3', '2020', '0', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4863, '25/03/2020', '25', '3', '2020', '6', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4864, '24/03/2020', '24', '3', '2020', '6', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4865, '23/03/2020', '23', '3', '2020', '3', '1', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4866, '22/03/2020', '22', '3', '2020', '7', '2', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4867, '21/03/2020', '21', '3', '2020', '7', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4868, '20/03/2020', '20', '3', '2020', '0', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4869, '19/03/2020', '19', '3', '2020', '2', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4870, '18/03/2020', '18', '3', '2020', '3', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4871, '17/03/2020', '17', '3', '2020', '2', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4872, '15/03/2020', '15', '3', '2020', '0', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4873, '09/03/2020', '9', '3', '2020', '3', '0', '163046173', 'Bangladesh', 'BD', 'BGD', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (4874, '14/12/2020', '14', '12', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.92291156');
INSERT INTO public.ecdc_import VALUES (4875, '13/12/2020', '13', '12', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4876, '12/12/2020', '12', '12', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4877, '11/12/2020', '11', '12', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.71016406');
INSERT INTO public.ecdc_import VALUES (4878, '10/12/2020', '10', '12', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.40697719');
INSERT INTO public.ecdc_import VALUES (4879, '09/12/2020', '9', '12', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.75538375');
INSERT INTO public.ecdc_import VALUES (4880, '08/12/2020', '8', '12', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.10379031');
INSERT INTO public.ecdc_import VALUES (4881, '07/12/2020', '7', '12', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.75538375');
INSERT INTO public.ecdc_import VALUES (4882, '06/12/2020', '6', '12', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.45219688');
INSERT INTO public.ecdc_import VALUES (4883, '05/12/2020', '5', '12', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.80060344');
INSERT INTO public.ecdc_import VALUES (4884, '04/12/2020', '4', '12', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.75538375');
INSERT INTO public.ecdc_import VALUES (4885, '03/12/2020', '3', '12', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.40697719');
INSERT INTO public.ecdc_import VALUES (4886, '02/12/2020', '2', '12', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.75538375');
INSERT INTO public.ecdc_import VALUES (4887, '01/12/2020', '1', '12', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.05857063');
INSERT INTO public.ecdc_import VALUES (4888, '30/11/2020', '30', '11', '2020', '5', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.71016406');
INSERT INTO public.ecdc_import VALUES (4889, '29/11/2020', '29', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4890, '28/11/2020', '28', '11', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4891, '27/11/2020', '27', '11', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.92291156');
INSERT INTO public.ecdc_import VALUES (4892, '26/11/2020', '26', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.87769188');
INSERT INTO public.ecdc_import VALUES (4893, '25/11/2020', '25', '11', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4894, '24/11/2020', '24', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.92291156');
INSERT INTO public.ecdc_import VALUES (4895, '23/11/2020', '23', '11', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.92291156');
INSERT INTO public.ecdc_import VALUES (4896, '22/11/2020', '22', '11', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.52928531');
INSERT INTO public.ecdc_import VALUES (4897, '21/11/2020', '21', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.83247219');
INSERT INTO public.ecdc_import VALUES (4898, '20/11/2020', '20', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.87769188');
INSERT INTO public.ecdc_import VALUES (4899, '19/11/2020', '19', '11', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.52928531');
INSERT INTO public.ecdc_import VALUES (4900, '18/11/2020', '18', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.18087875');
INSERT INTO public.ecdc_import VALUES (4901, '17/11/2020', '17', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.18087875');
INSERT INTO public.ecdc_import VALUES (4902, '16/11/2020', '16', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.52928531');
INSERT INTO public.ecdc_import VALUES (4903, '15/11/2020', '15', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.18087875');
INSERT INTO public.ecdc_import VALUES (4904, '14/11/2020', '14', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.52928531');
INSERT INTO public.ecdc_import VALUES (4905, '13/11/2020', '13', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4906, '12/11/2020', '12', '11', '2020', '6', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4907, '11/11/2020', '11', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4908, '10/11/2020', '10', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4909, '09/11/2020', '9', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4910, '08/11/2020', '8', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4911, '07/11/2020', '7', '11', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4912, '06/11/2020', '6', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4913, '05/11/2020', '5', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.92291156');
INSERT INTO public.ecdc_import VALUES (4914, '04/11/2020', '4', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.574505');
INSERT INTO public.ecdc_import VALUES (4915, '03/11/2020', '3', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.574505');
INSERT INTO public.ecdc_import VALUES (4916, '02/11/2020', '2', '11', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4917, '01/11/2020', '1', '11', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4918, '31/10/2020', '31', '10', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.92291156');
INSERT INTO public.ecdc_import VALUES (4919, '30/10/2020', '30', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.574505');
INSERT INTO public.ecdc_import VALUES (4920, '29/10/2020', '29', '10', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4921, '28/10/2020', '28', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.01335094');
INSERT INTO public.ecdc_import VALUES (4922, '27/10/2020', '27', '10', '2020', '6', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.71016406');
INSERT INTO public.ecdc_import VALUES (4923, '26/10/2020', '26', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4924, '25/10/2020', '25', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4925, '24/10/2020', '24', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.01335094');
INSERT INTO public.ecdc_import VALUES (4926, '23/10/2020', '23', '10', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4927, '22/10/2020', '22', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4928, '21/10/2020', '21', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4929, '20/10/2020', '20', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4930, '19/10/2020', '19', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.01335094');
INSERT INTO public.ecdc_import VALUES (4931, '18/10/2020', '18', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.01335094');
INSERT INTO public.ecdc_import VALUES (4932, '17/10/2020', '17', '10', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.05857063');
INSERT INTO public.ecdc_import VALUES (4933, '16/10/2020', '16', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.71016406');
INSERT INTO public.ecdc_import VALUES (4934, '15/10/2020', '15', '10', '2020', '5', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.71016406');
INSERT INTO public.ecdc_import VALUES (4935, '14/10/2020', '14', '10', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.96813125');
INSERT INTO public.ecdc_import VALUES (4936, '13/10/2020', '13', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4937, '12/10/2020', '12', '10', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4938, '11/10/2020', '11', '10', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.574505');
INSERT INTO public.ecdc_import VALUES (4939, '10/10/2020', '10', '10', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.87769188');
INSERT INTO public.ecdc_import VALUES (4940, '09/10/2020', '9', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.87769188');
INSERT INTO public.ecdc_import VALUES (4941, '08/10/2020', '8', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.87769188');
INSERT INTO public.ecdc_import VALUES (4942, '07/10/2020', '7', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.83247219');
INSERT INTO public.ecdc_import VALUES (4943, '06/10/2020', '6', '10', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.83247219');
INSERT INTO public.ecdc_import VALUES (4944, '05/10/2020', '5', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4945, '04/10/2020', '4', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.83247219');
INSERT INTO public.ecdc_import VALUES (4946, '03/10/2020', '3', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (4947, '02/10/2020', '2', '10', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (4948, '01/10/2020', '1', '10', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (4949, '30/09/2020', '30', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (4950, '29/09/2020', '29', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (4951, '28/09/2020', '28', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (4952, '27/09/2020', '27', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4953, '26/09/2020', '26', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4954, '25/09/2020', '25', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (4955, '24/09/2020', '24', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (4956, '23/09/2020', '23', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (4957, '22/09/2020', '22', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4958, '21/09/2020', '21', '9', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4959, '20/09/2020', '20', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (4960, '19/09/2020', '19', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (4961, '18/09/2020', '18', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (4962, '17/09/2020', '17', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (4963, '16/09/2020', '16', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (4964, '15/09/2020', '15', '9', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (4965, '14/09/2020', '14', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (4966, '13/09/2020', '13', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (4967, '12/09/2020', '12', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.87769188');
INSERT INTO public.ecdc_import VALUES (4968, '11/09/2020', '11', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4969, '10/09/2020', '10', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (4970, '09/09/2020', '9', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.574505');
INSERT INTO public.ecdc_import VALUES (4971, '08/09/2020', '8', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4972, '07/09/2020', '7', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4973, '06/09/2020', '6', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.96813125');
INSERT INTO public.ecdc_import VALUES (4974, '05/09/2020', '5', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4975, '04/09/2020', '4', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4976, '03/09/2020', '3', '9', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4977, '02/09/2020', '2', '9', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.01335094');
INSERT INTO public.ecdc_import VALUES (4978, '01/09/2020', '1', '9', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4979, '31/08/2020', '31', '8', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4980, '30/08/2020', '30', '8', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.96813125');
INSERT INTO public.ecdc_import VALUES (4981, '29/08/2020', '29', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4982, '28/08/2020', '28', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4983, '27/08/2020', '27', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4984, '26/08/2020', '26', '8', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4985, '25/08/2020', '25', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (4986, '24/08/2020', '24', '8', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4987, '23/08/2020', '23', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.96813125');
INSERT INTO public.ecdc_import VALUES (4988, '22/08/2020', '22', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4989, '21/08/2020', '21', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.01335094');
INSERT INTO public.ecdc_import VALUES (4990, '20/08/2020', '20', '8', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.66494438');
INSERT INTO public.ecdc_import VALUES (4991, '19/08/2020', '19', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '7.31653781');
INSERT INTO public.ecdc_import VALUES (4992, '18/08/2020', '18', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.96813125');
INSERT INTO public.ecdc_import VALUES (4993, '17/08/2020', '17', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (4994, '16/08/2020', '16', '8', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.75538375');
INSERT INTO public.ecdc_import VALUES (4995, '15/08/2020', '15', '8', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '13.23944938');
INSERT INTO public.ecdc_import VALUES (4996, '14/08/2020', '14', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.84582313');
INSERT INTO public.ecdc_import VALUES (4997, '13/08/2020', '13', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.49741657');
INSERT INTO public.ecdc_import VALUES (4998, '12/08/2020', '12', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.49741657');
INSERT INTO public.ecdc_import VALUES (4999, '11/08/2020', '11', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.49741657');
INSERT INTO public.ecdc_import VALUES (5000, '10/08/2020', '10', '8', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.14901');
INSERT INTO public.ecdc_import VALUES (5001, '09/08/2020', '9', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.45219688');
INSERT INTO public.ecdc_import VALUES (5002, '08/08/2020', '8', '8', '2020', '5', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.45219688');
INSERT INTO public.ecdc_import VALUES (5003, '07/08/2020', '7', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.40697719');
INSERT INTO public.ecdc_import VALUES (5004, '06/08/2020', '6', '8', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.40697719');
INSERT INTO public.ecdc_import VALUES (5005, '05/08/2020', '5', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.05857063');
INSERT INTO public.ecdc_import VALUES (5006, '04/08/2020', '4', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.05857063');
INSERT INTO public.ecdc_import VALUES (5007, '03/08/2020', '3', '8', '2020', '10', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '9.40697719');
INSERT INTO public.ecdc_import VALUES (5008, '02/08/2020', '2', '8', '2020', '12', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.27131813');
INSERT INTO public.ecdc_import VALUES (5009, '01/08/2020', '1', '8', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5010, '31/07/2020', '31', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5011, '30/07/2020', '30', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5012, '29/07/2020', '29', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5013, '28/07/2020', '28', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5014, '27/07/2020', '27', '7', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5015, '26/07/2020', '26', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5016, '25/07/2020', '25', '7', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (5017, '24/07/2020', '24', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5018, '23/07/2020', '23', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5019, '22/07/2020', '22', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5020, '21/07/2020', '21', '7', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5021, '20/07/2020', '20', '7', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5022, '19/07/2020', '19', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5023, '18/07/2020', '18', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5024, '17/07/2020', '17', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5025, '16/07/2020', '16', '7', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5026, '15/07/2020', '15', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5027, '14/07/2020', '14', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5028, '13/07/2020', '13', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5029, '12/07/2020', '12', '7', '2020', '5', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5030, '11/07/2020', '11', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5031, '10/07/2020', '10', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5032, '09/07/2020', '9', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5033, '08/07/2020', '8', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5034, '07/07/2020', '7', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5035, '06/07/2020', '6', '7', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5036, '05/07/2020', '5', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5037, '04/07/2020', '4', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5038, '03/07/2020', '3', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5039, '02/07/2020', '2', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5040, '01/07/2020', '1', '7', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5041, '30/06/2020', '30', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5042, '29/06/2020', '29', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5043, '28/06/2020', '28', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5044, '27/06/2020', '27', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5045, '26/06/2020', '26', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5046, '25/06/2020', '25', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.34840656');
INSERT INTO public.ecdc_import VALUES (5047, '24/06/2020', '24', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5048, '23/06/2020', '23', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5049, '22/06/2020', '22', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5050, '21/06/2020', '21', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5051, '20/06/2020', '20', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5052, '19/06/2020', '19', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5053, '18/06/2020', '18', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5054, '17/06/2020', '17', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5055, '16/06/2020', '16', '6', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5056, '15/06/2020', '15', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5057, '14/06/2020', '14', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5058, '13/06/2020', '13', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5059, '12/06/2020', '12', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5060, '11/06/2020', '11', '6', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5061, '10/06/2020', '10', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5062, '09/06/2020', '9', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5063, '08/06/2020', '8', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5064, '07/06/2020', '7', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (5065, '06/06/2020', '6', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.69681313');
INSERT INTO public.ecdc_import VALUES (5066, '05/06/2020', '5', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.69681313');
INSERT INTO public.ecdc_import VALUES (5067, '04/06/2020', '4', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.69681313');
INSERT INTO public.ecdc_import VALUES (5068, '03/06/2020', '3', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '0.69681313');
INSERT INTO public.ecdc_import VALUES (5069, '02/06/2020', '2', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5070, '01/06/2020', '1', '6', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5071, '31/05/2020', '31', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5072, '30/05/2020', '30', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5073, '29/05/2020', '29', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5074, '28/05/2020', '28', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5075, '27/05/2020', '27', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5076, '26/05/2020', '26', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5077, '25/05/2020', '25', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5078, '24/05/2020', '24', '5', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5079, '23/05/2020', '23', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5080, '22/05/2020', '22', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5081, '21/05/2020', '21', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5082, '20/05/2020', '20', '5', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5083, '19/05/2020', '19', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5084, '18/05/2020', '18', '5', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5085, '17/05/2020', '17', '5', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5086, '16/05/2020', '16', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5087, '15/05/2020', '15', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5088, '14/05/2020', '14', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5089, '13/05/2020', '13', '5', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5090, '12/05/2020', '12', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.39362625');
INSERT INTO public.ecdc_import VALUES (5091, '11/05/2020', '11', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5092, '10/05/2020', '10', '5', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5093, '09/05/2020', '9', '5', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5094, '08/05/2020', '8', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5095, '07/05/2020', '7', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5096, '06/05/2020', '6', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5097, '05/05/2020', '5', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5098, '04/05/2020', '4', '5', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5099, '03/05/2020', '3', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5100, '02/05/2020', '2', '5', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5101, '01/05/2020', '1', '5', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.09043938');
INSERT INTO public.ecdc_import VALUES (5102, '30/04/2020', '30', '4', '2020', '0', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '1.74203281');
INSERT INTO public.ecdc_import VALUES (5103, '29/04/2020', '29', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.43884594');
INSERT INTO public.ecdc_import VALUES (5104, '28/04/2020', '28', '4', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5105, '27/04/2020', '27', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '2.7872525');
INSERT INTO public.ecdc_import VALUES (5106, '26/04/2020', '26', '4', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.83247219');
INSERT INTO public.ecdc_import VALUES (5107, '25/04/2020', '25', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.13565906');
INSERT INTO public.ecdc_import VALUES (5108, '24/04/2020', '24', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '3.48406563');
INSERT INTO public.ecdc_import VALUES (5109, '23/04/2020', '23', '4', '2020', '1', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.52928531');
INSERT INTO public.ecdc_import VALUES (5110, '22/04/2020', '22', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '4.18087875');
INSERT INTO public.ecdc_import VALUES (5111, '21/04/2020', '21', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '5.22609844');
INSERT INTO public.ecdc_import VALUES (5112, '20/04/2020', '20', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '6.61972469');
INSERT INTO public.ecdc_import VALUES (5113, '19/04/2020', '19', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '8.3617575');
INSERT INTO public.ecdc_import VALUES (5114, '18/04/2020', '18', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.45219688');
INSERT INTO public.ecdc_import VALUES (5115, '17/04/2020', '17', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.45219688');
INSERT INTO public.ecdc_import VALUES (5116, '16/04/2020', '16', '4', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '10.45219688');
INSERT INTO public.ecdc_import VALUES (5117, '15/04/2020', '15', '4', '2020', '1', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '13.58785594');
INSERT INTO public.ecdc_import VALUES (5118, '14/04/2020', '14', '4', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '13.23944938');
INSERT INTO public.ecdc_import VALUES (5119, '13/04/2020', '13', '4', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '13.23944938');
INSERT INTO public.ecdc_import VALUES (5120, '12/04/2020', '12', '4', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '14.63307563');
INSERT INTO public.ecdc_import VALUES (5121, '11/04/2020', '11', '4', '2020', '1', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '14.98148219');
INSERT INTO public.ecdc_import VALUES (5122, '10/04/2020', '10', '4', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '14.63307563');
INSERT INTO public.ecdc_import VALUES (5123, '09/04/2020', '9', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '15.67829532');
INSERT INTO public.ecdc_import VALUES (5124, '08/04/2020', '8', '4', '2020', '3', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '15.67829532');
INSERT INTO public.ecdc_import VALUES (5125, '07/04/2020', '7', '4', '2020', '4', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '14.98148219');
INSERT INTO public.ecdc_import VALUES (5126, '06/04/2020', '6', '4', '2020', '5', '1', '287021', 'Barbados', 'BB', 'BRB', 'America', '13.58785594');
INSERT INTO public.ecdc_import VALUES (5127, '05/04/2020', '5', '4', '2020', '6', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '12.89104282');
INSERT INTO public.ecdc_import VALUES (5128, '04/04/2020', '4', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '13.58785594');
INSERT INTO public.ecdc_import VALUES (5129, '03/04/2020', '3', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '14.98148219');
INSERT INTO public.ecdc_import VALUES (5130, '02/04/2020', '2', '4', '2020', '11', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '15.32988875');
INSERT INTO public.ecdc_import VALUES (5131, '01/04/2020', '1', '4', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.49741657');
INSERT INTO public.ecdc_import VALUES (5132, '31/03/2020', '31', '3', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '11.84582313');
INSERT INTO public.ecdc_import VALUES (5133, '30/03/2020', '30', '3', '2020', '7', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5134, '29/03/2020', '29', '3', '2020', '2', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5135, '28/03/2020', '28', '3', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5136, '27/03/2020', '27', '3', '2020', '6', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5137, '26/03/2020', '26', '3', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5138, '25/03/2020', '25', '3', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5139, '24/03/2020', '24', '3', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5140, '23/03/2020', '23', '3', '2020', '3', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5141, '22/03/2020', '22', '3', '2020', '8', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5142, '21/03/2020', '21', '3', '2020', '4', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5143, '20/03/2020', '20', '3', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5144, '19/03/2020', '19', '3', '2020', '0', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5145, '18/03/2020', '18', '3', '2020', '1', '0', '287021', 'Barbados', 'BB', 'BRB', 'America', '');
INSERT INTO public.ecdc_import VALUES (5146, '14/12/2020', '14', '12', '2020', '1961', '9', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '267.51910545');
INSERT INTO public.ecdc_import VALUES (5147, '13/12/2020', '13', '12', '2020', '1975', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '264.58863555');
INSERT INTO public.ecdc_import VALUES (5148, '12/12/2020', '12', '12', '2020', '1967', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '261.58411046');
INSERT INTO public.ecdc_import VALUES (5149, '11/12/2020', '11', '12', '2020', '1939', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '257.92366792');
INSERT INTO public.ecdc_import VALUES (5150, '10/12/2020', '10', '12', '2020', '1851', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '253.94584597');
INSERT INTO public.ecdc_import VALUES (5151, '09/12/2020', '9', '12', '2020', '1649', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '250.19018961');
INSERT INTO public.ecdc_import VALUES (5152, '08/12/2020', '8', '12', '2020', '1796', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '248.30707177');
INSERT INTO public.ecdc_import VALUES (5153, '07/12/2020', '7', '12', '2020', '1878', '9', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '244.99574659');
INSERT INTO public.ecdc_import VALUES (5154, '06/12/2020', '6', '12', '2020', '1896', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '241.67384209');
INSERT INTO public.ecdc_import VALUES (5155, '05/12/2020', '5', '12', '2020', '1774', '9', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '238.41541347');
INSERT INTO public.ecdc_import VALUES (5156, '04/12/2020', '4', '12', '2020', '1701', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '235.06177103');
INSERT INTO public.ecdc_import VALUES (5157, '03/12/2020', '3', '12', '2020', '1689', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '231.68696996');
INSERT INTO public.ecdc_import VALUES (5158, '02/12/2020', '2', '12', '2020', '1572', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '227.66683075');
INSERT INTO public.ecdc_import VALUES (5159, '01/12/2020', '1', '12', '2020', '1639', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '224.27087106');
INSERT INTO public.ecdc_import VALUES (5160, '30/11/2020', '30', '11', '2020', '1684', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '220.29304911');
INSERT INTO public.ecdc_import VALUES (5161, '29/11/2020', '29', '11', '2020', '1691', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '216.38928235');
INSERT INTO public.ecdc_import VALUES (5162, '28/11/2020', '28', '11', '2020', '1621', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '211.70264638');
INSERT INTO public.ecdc_import VALUES (5163, '27/11/2020', '27', '11', '2020', '1563', '9', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '206.89963797');
INSERT INTO public.ecdc_import VALUES (5164, '26/11/2020', '26', '11', '2020', '1496', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '201.9802571');
INSERT INTO public.ecdc_import VALUES (5165, '25/11/2020', '25', '11', '2020', '1471', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '197.33593838');
INSERT INTO public.ecdc_import VALUES (5166, '24/11/2020', '24', '11', '2020', '1483', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '192.75509555');
INSERT INTO public.ecdc_import VALUES (5167, '23/11/2020', '23', '11', '2020', '1564', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '187.4654387');
INSERT INTO public.ecdc_import VALUES (5168, '22/11/2020', '22', '11', '2020', '1588', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '181.45638852');
INSERT INTO public.ecdc_import VALUES (5169, '21/11/2020', '21', '11', '2020', '1457', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '175.20401413');
INSERT INTO public.ecdc_import VALUES (5170, '20/11/2020', '20', '11', '2020', '1382', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '170.27405395');
INSERT INTO public.ecdc_import VALUES (5171, '19/11/2020', '19', '11', '2020', '1309', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '166.04232847');
INSERT INTO public.ecdc_import VALUES (5172, '18/11/2020', '18', '11', '2020', '1251', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '162.60405152');
INSERT INTO public.ecdc_import VALUES (5173, '17/11/2020', '17', '11', '2020', '1263', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '159.19751251');
INSERT INTO public.ecdc_import VALUES (5174, '16/11/2020', '16', '11', '2020', '1315', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '155.7909735');
INSERT INTO public.ecdc_import VALUES (5175, '15/11/2020', '15', '11', '2020', '1248', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '152.21516547');
INSERT INTO public.ecdc_import VALUES (5176, '14/11/2020', '14', '11', '2020', '1167', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '149.41164734');
INSERT INTO public.ecdc_import VALUES (5177, '13/11/2020', '13', '11', '2020', '1098', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '147.32752254');
INSERT INTO public.ecdc_import VALUES (5178, '12/11/2020', '12', '11', '2020', '1057', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '146.12148078');
INSERT INTO public.ecdc_import VALUES (5179, '11/11/2020', '11', '11', '2020', '1038', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '144.84138382');
INSERT INTO public.ecdc_import VALUES (5180, '10/11/2020', '10', '11', '2020', '983', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '143.40259716');
INSERT INTO public.ecdc_import VALUES (5181, '09/11/2020', '9', '11', '2020', '996', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '142.3552451');
INSERT INTO public.ecdc_import VALUES (5182, '08/11/2020', '8', '11', '2020', '997', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '140.75776873');
INSERT INTO public.ecdc_import VALUES (5183, '07/11/2020', '7', '11', '2020', '991', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '138.79001639');
INSERT INTO public.ecdc_import VALUES (5184, '06/11/2020', '6', '11', '2020', '982', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '136.63183639');
INSERT INTO public.ecdc_import VALUES (5185, '05/11/2020', '5', '11', '2020', '984', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '134.05048385');
INSERT INTO public.ecdc_import VALUES (5186, '04/11/2020', '4', '11', '2020', '929', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '131.39507611');
INSERT INTO public.ecdc_import VALUES (5187, '03/11/2020', '3', '11', '2020', '941', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '128.11548887');
INSERT INTO public.ecdc_import VALUES (5188, '02/11/2020', '2', '11', '2020', '977', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '124.42330839');
INSERT INTO public.ecdc_import VALUES (5189, '01/11/2020', '1', '11', '2020', '983', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '127.90390259');
INSERT INTO public.ecdc_import VALUES (5190, '31/10/2020', '31', '10', '2020', '970', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '117.50443723');
INSERT INTO public.ecdc_import VALUES (5191, '30/10/2020', '30', '10', '2020', '984', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '114.20369136');
INSERT INTO public.ecdc_import VALUES (5192, '29/10/2020', '29', '10', '2020', '936', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '110.27876597');
INSERT INTO public.ecdc_import VALUES (5193, '28/10/2020', '28', '10', '2020', '902', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '106.69237863');
INSERT INTO public.ecdc_import VALUES (5194, '27/10/2020', '27', '10', '2020', '884', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '102.71455668');
INSERT INTO public.ecdc_import VALUES (5195, '26/10/2020', '26', '10', '2020', '845', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '98.27124493');
INSERT INTO public.ecdc_import VALUES (5196, '25/10/2020', '25', '10', '2020', '811', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '100.57753531');
INSERT INTO public.ecdc_import VALUES (5197, '24/10/2020', '24', '10', '2020', '787', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '91.99771191');
INSERT INTO public.ecdc_import VALUES (5198, '23/10/2020', '23', '10', '2020', '738', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '88.84507642');
INSERT INTO public.ecdc_import VALUES (5199, '22/10/2020', '22', '10', '2020', '733', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '86.08387555');
INSERT INTO public.ecdc_import VALUES (5200, '21/10/2020', '21', '10', '2020', '619', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '82.71965379');
INSERT INTO public.ecdc_import VALUES (5201, '20/10/2020', '20', '10', '2020', '592', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '80.33930821');
INSERT INTO public.ecdc_import VALUES (5202, '19/10/2020', '19', '10', '2020', '1306', '8', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '78.3186593');
INSERT INTO public.ecdc_import VALUES (5203, '18/10/2020', '18', '10', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '69.18871158');
INSERT INTO public.ecdc_import VALUES (5204, '17/10/2020', '17', '10', '2020', '658', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '73.74839578');
INSERT INTO public.ecdc_import VALUES (5205, '16/10/2020', '16', '10', '2020', '613', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '71.04009147');
INSERT INTO public.ecdc_import VALUES (5206, '15/10/2020', '15', '10', '2020', '597', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '68.65974589');
INSERT INTO public.ecdc_import VALUES (5207, '14/10/2020', '14', '10', '2020', '526', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '66.268821');
INSERT INTO public.ecdc_import VALUES (5208, '13/10/2020', '13', '10', '2020', '464', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '64.02600649');
INSERT INTO public.ecdc_import VALUES (5209, '12/10/2020', '12', '10', '2020', '1063', '11', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '62.68243365');
INSERT INTO public.ecdc_import VALUES (5210, '11/10/2020', '11', '10', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '54.82200358');
INSERT INTO public.ecdc_import VALUES (5211, '10/10/2020', '10', '10', '2020', '489', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '58.33433572');
INSERT INTO public.ecdc_import VALUES (5212, '09/10/2020', '9', '10', '2020', '477', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '56.39832132');
INSERT INTO public.ecdc_import VALUES (5213, '08/10/2020', '8', '10', '2020', '415', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '54.46230691');
INSERT INTO public.ecdc_import VALUES (5214, '07/10/2020', '7', '10', '2020', '394', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '52.74845809');
INSERT INTO public.ecdc_import VALUES (5215, '06/10/2020', '6', '10', '2020', '401', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '50.75954712');
INSERT INTO public.ecdc_import VALUES (5216, '05/10/2020', '5', '10', '2020', '443', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '48.88700859');
INSERT INTO public.ecdc_import VALUES (5217, '04/10/2020', '4', '10', '2020', '431', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '46.45376644');
INSERT INTO public.ecdc_import VALUES (5218, '03/10/2020', '3', '10', '2020', '402', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '44.3379037');
INSERT INTO public.ecdc_import VALUES (5219, '02/10/2020', '2', '10', '2020', '388', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '42.65579282');
INSERT INTO public.ecdc_import VALUES (5220, '01/10/2020', '1', '10', '2020', '371', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '40.92078538');
INSERT INTO public.ecdc_import VALUES (5221, '30/09/2020', '30', '9', '2020', '314', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '39.22809519');
INSERT INTO public.ecdc_import VALUES (5222, '29/09/2020', '29', '9', '2020', '337', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '37.93741892');
INSERT INTO public.ecdc_import VALUES (5223, '28/09/2020', '28', '9', '2020', '320', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '36.35052186');
INSERT INTO public.ecdc_import VALUES (5224, '27/09/2020', '27', '9', '2020', '332', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '35.05984559');
INSERT INTO public.ecdc_import VALUES (5225, '26/09/2020', '26', '9', '2020', '306', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '33.56816236');
INSERT INTO public.ecdc_import VALUES (5226, '25/09/2020', '25', '9', '2020', '294', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '32.37269991');
INSERT INTO public.ecdc_import VALUES (5227, '24/09/2020', '24', '9', '2020', '253', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '31.26187197');
INSERT INTO public.ecdc_import VALUES (5228, '23/09/2020', '23', '9', '2020', '206', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '30.63769247');
INSERT INTO public.ecdc_import VALUES (5229, '22/09/2020', '22', '9', '2020', '224', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '30.33089237');
INSERT INTO public.ecdc_import VALUES (5230, '21/09/2020', '21', '9', '2020', '213', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '29.78076806');
INSERT INTO public.ecdc_import VALUES (5231, '20/09/2020', '20', '9', '2020', '231', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '29.60091972');
INSERT INTO public.ecdc_import VALUES (5232, '19/09/2020', '19', '9', '2020', '243', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '29.0402161');
INSERT INTO public.ecdc_import VALUES (5233, '18/09/2020', '18', '9', '2020', '224', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '28.40545728');
INSERT INTO public.ecdc_import VALUES (5234, '17/09/2020', '17', '9', '2020', '211', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '27.73896051');
INSERT INTO public.ecdc_import VALUES (5235, '16/09/2020', '16', '9', '2020', '192', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '27.40042247');
INSERT INTO public.ecdc_import VALUES (5236, '15/09/2020', '15', '9', '2020', '187', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '26.62813257');
INSERT INTO public.ecdc_import VALUES (5237, '14/09/2020', '14', '9', '2020', '198', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '26.30017385');
INSERT INTO public.ecdc_import VALUES (5238, '13/09/2020', '13', '9', '2020', '191', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.94047718');
INSERT INTO public.ecdc_import VALUES (5239, '12/09/2020', '12', '9', '2020', '193', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.79236679');
INSERT INTO public.ecdc_import VALUES (5240, '11/09/2020', '11', '9', '2020', '189', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.66541503');
INSERT INTO public.ecdc_import VALUES (5241, '10/09/2020', '10', '9', '2020', '194', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.68657366');
INSERT INTO public.ecdc_import VALUES (5242, '09/09/2020', '9', '9', '2020', '177', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '26.24727728');
INSERT INTO public.ecdc_import VALUES (5243, '08/09/2020', '8', '9', '2020', '172', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.24224248');
INSERT INTO public.ecdc_import VALUES (5244, '07/09/2020', '7', '9', '2020', '196', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.29513905');
INSERT INTO public.ecdc_import VALUES (5245, '06/09/2020', '6', '9', '2020', '178', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.15760797');
INSERT INTO public.ecdc_import VALUES (5246, '05/09/2020', '5', '9', '2020', '183', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.11529072');
INSERT INTO public.ecdc_import VALUES (5247, '04/09/2020', '4', '9', '2020', '161', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '24.88254581');
INSERT INTO public.ecdc_import VALUES (5248, '03/09/2020', '3', '9', '2020', '179', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '24.75559405');
INSERT INTO public.ecdc_import VALUES (5249, '02/09/2020', '2', '9', '2020', '119', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '24.21604905');
INSERT INTO public.ecdc_import VALUES (5250, '01/09/2020', '1', '9', '2020', '156', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '23.84577307');
INSERT INTO public.ecdc_import VALUES (5251, '31/08/2020', '31', '8', '2020', '164', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '22.96769004');
INSERT INTO public.ecdc_import VALUES (5252, '30/08/2020', '30', '8', '2020', '177', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '22.20597945');
INSERT INTO public.ecdc_import VALUES (5253, '29/08/2020', '29', '8', '2020', '181', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '21.56064131');
INSERT INTO public.ecdc_import VALUES (5254, '28/08/2020', '28', '8', '2020', '191', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '20.75661347');
INSERT INTO public.ecdc_import VALUES (5255, '27/08/2020', '27', '8', '2020', '247', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '19.80447524');
INSERT INTO public.ecdc_import VALUES (5256, '26/08/2020', '26', '8', '2020', '82', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '18.21757819');
INSERT INTO public.ecdc_import VALUES (5257, '25/08/2020', '25', '8', '2020', '177', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '17.96367466');
INSERT INTO public.ecdc_import VALUES (5258, '24/08/2020', '24', '8', '2020', '183', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '17.11732956');
INSERT INTO public.ecdc_import VALUES (5259, '23/08/2020', '23', '8', '2020', '174', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '16.36619829');
INSERT INTO public.ecdc_import VALUES (5260, '22/08/2020', '22', '8', '2020', '161', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.8372326');
INSERT INTO public.ecdc_import VALUES (5261, '21/08/2020', '21', '8', '2020', '149', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.30826692');
INSERT INTO public.ecdc_import VALUES (5262, '20/08/2020', '20', '8', '2020', '128', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.07552202');
INSERT INTO public.ecdc_import VALUES (5263, '19/08/2020', '19', '8', '2020', '84', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.05436339');
INSERT INTO public.ecdc_import VALUES (5264, '18/08/2020', '18', '8', '2020', '73', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.05436339');
INSERT INTO public.ecdc_import VALUES (5265, '17/08/2020', '17', '8', '2020', '92', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.32942555');
INSERT INTO public.ecdc_import VALUES (5266, '16/08/2020', '16', '8', '2020', '116', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.63622564');
INSERT INTO public.ecdc_import VALUES (5267, '15/08/2020', '15', '8', '2020', '105', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '15.86897054');
INSERT INTO public.ecdc_import VALUES (5268, '14/08/2020', '14', '8', '2020', '101', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '16.27098447');
INSERT INTO public.ecdc_import VALUES (5269, '13/08/2020', '13', '8', '2020', '97', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '16.7576329');
INSERT INTO public.ecdc_import VALUES (5270, '12/08/2020', '12', '8', '2020', '58', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '17.33949515');
INSERT INTO public.ecdc_import VALUES (5271, '11/08/2020', '11', '8', '2020', '97', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '17.94251603');
INSERT INTO public.ecdc_import VALUES (5272, '10/08/2020', '10', '8', '2020', '112', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '18.17526093');
INSERT INTO public.ecdc_import VALUES (5273, '09/08/2020', '9', '8', '2020', '124', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '18.36568858');
INSERT INTO public.ecdc_import VALUES (5274, '08/08/2020', '8', '8', '2020', '111', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '18.70422662');
INSERT INTO public.ecdc_import VALUES (5275, '07/08/2020', '7', '8', '2020', '127', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '19.20145436');
INSERT INTO public.ecdc_import VALUES (5276, '06/08/2020', '6', '8', '2020', '126', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '19.62462691');
INSERT INTO public.ecdc_import VALUES (5277, '05/08/2020', '5', '8', '2020', '84', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '20.12185465');
INSERT INTO public.ecdc_import VALUES (5278, '04/08/2020', '4', '8', '2020', '99', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '20.66139965');
INSERT INTO public.ecdc_import VALUES (5279, '03/08/2020', '3', '8', '2020', '121', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '20.86240661');
INSERT INTO public.ecdc_import VALUES (5280, '02/08/2020', '2', '8', '2020', '138', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '21.0845722');
INSERT INTO public.ecdc_import VALUES (5281, '01/08/2020', '1', '8', '2020', '143', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '21.43368955');
INSERT INTO public.ecdc_import VALUES (5282, '31/07/2020', '31', '7', '2020', '147', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '21.60295857');
INSERT INTO public.ecdc_import VALUES (5283, '30/07/2020', '30', '7', '2020', '152', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '21.95207592');
INSERT INTO public.ecdc_import VALUES (5284, '29/07/2020', '29', '7', '2020', '115', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '22.18482082');
INSERT INTO public.ecdc_import VALUES (5285, '28/07/2020', '28', '7', '2020', '119', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '22.60799337');
INSERT INTO public.ecdc_import VALUES (5286, '27/07/2020', '27', '7', '2020', '130', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '23.27449013');
INSERT INTO public.ecdc_import VALUES (5287, '26/07/2020', '26', '7', '2020', '156', '11', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '23.64476611');
INSERT INTO public.ecdc_import VALUES (5288, '25/07/2020', '25', '7', '2020', '158', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '23.71882131');
INSERT INTO public.ecdc_import VALUES (5289, '24/07/2020', '24', '7', '2020', '167', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '24.08909729');
INSERT INTO public.ecdc_import VALUES (5290, '23/07/2020', '23', '7', '2020', '173', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '24.30068356');
INSERT INTO public.ecdc_import VALUES (5291, '22/07/2020', '22', '7', '2020', '135', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '24.80849062');
INSERT INTO public.ecdc_import VALUES (5292, '21/07/2020', '21', '7', '2020', '118', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '25.4855667');
INSERT INTO public.ecdc_import VALUES (5293, '20/07/2020', '20', '7', '2020', '142', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '26.8820361');
INSERT INTO public.ecdc_import VALUES (5294, '19/07/2020', '19', '7', '2020', '171', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '28.38429865');
INSERT INTO public.ecdc_import VALUES (5295, '18/07/2020', '18', '7', '2020', '159', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '29.46338865');
INSERT INTO public.ecdc_import VALUES (5296, '17/07/2020', '17', '7', '2020', '180', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '30.94449256');
INSERT INTO public.ecdc_import VALUES (5297, '16/07/2020', '16', '7', '2020', '174', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '31.93894805');
INSERT INTO public.ecdc_import VALUES (5298, '15/07/2020', '15', '7', '2020', '155', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '33.33541746');
INSERT INTO public.ecdc_import VALUES (5299, '14/07/2020', '14', '7', '2020', '182', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '35.16563873');
INSERT INTO public.ecdc_import VALUES (5300, '13/07/2020', '13', '7', '2020', '165', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '36.57268745');
INSERT INTO public.ecdc_import VALUES (5301, '12/07/2020', '12', '7', '2020', '163', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '38.84723989');
INSERT INTO public.ecdc_import VALUES (5302, '11/07/2020', '11', '7', '2020', '193', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '41.16410959');
INSERT INTO public.ecdc_import VALUES (5303, '10/07/2020', '10', '7', '2020', '187', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '42.62405488');
INSERT INTO public.ecdc_import VALUES (5304, '09/07/2020', '9', '7', '2020', '221', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '45.26888331');
INSERT INTO public.ecdc_import VALUES (5305, '08/07/2020', '8', '7', '2020', '199', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '47.77618065');
INSERT INTO public.ecdc_import VALUES (5306, '07/07/2020', '7', '7', '2020', '250', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '50.57969878');
INSERT INTO public.ecdc_import VALUES (5307, '06/07/2020', '6', '7', '2020', '284', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '53.41495485');
INSERT INTO public.ecdc_import VALUES (5308, '05/07/2020', '5', '7', '2020', '273', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '56.43005926');
INSERT INTO public.ecdc_import VALUES (5309, '04/07/2020', '4', '7', '2020', '299', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '59.92123278');
INSERT INTO public.ecdc_import VALUES (5310, '03/07/2020', '3', '7', '2020', '274', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '63.90963404');
INSERT INTO public.ecdc_import VALUES (5311, '02/07/2020', '2', '7', '2020', '306', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '67.62297315');
INSERT INTO public.ecdc_import VALUES (5312, '01/07/2020', '1', '7', '2020', '328', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '71.39978814');
INSERT INTO public.ecdc_import VALUES (5313, '30/06/2020', '30', '6', '2020', '315', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '75.21892038');
INSERT INTO public.ecdc_import VALUES (5314, '29/06/2020', '29', '6', '2020', '380', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '79.36601135');
INSERT INTO public.ecdc_import VALUES (5315, '28/06/2020', '28', '6', '2020', '382', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '83.08992977');
INSERT INTO public.ecdc_import VALUES (5316, '27/06/2020', '27', '6', '2020', '331', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '86.67631712');
INSERT INTO public.ecdc_import VALUES (5317, '26/06/2020', '26', '6', '2020', '437', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '90.62240113');
INSERT INTO public.ecdc_import VALUES (5318, '25/06/2020', '25', '6', '2020', '458', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '93.93372631');
INSERT INTO public.ecdc_import VALUES (5319, '24/06/2020', '24', '6', '2020', '464', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '97.56243091');
INSERT INTO public.ecdc_import VALUES (5320, '23/06/2020', '23', '6', '2020', '518', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '101.24403208');
INSERT INTO public.ecdc_import VALUES (5321, '22/06/2020', '22', '6', '2020', '569', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '104.47072275');
INSERT INTO public.ecdc_import VALUES (5322, '21/06/2020', '21', '6', '2020', '603', '10', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '107.75031');
INSERT INTO public.ecdc_import VALUES (5323, '20/06/2020', '20', '6', '2020', '676', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '110.71251784');
INSERT INTO public.ecdc_import VALUES (5324, '19/06/2020', '19', '6', '2020', '625', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '112.94475303');
INSERT INTO public.ecdc_import VALUES (5325, '18/06/2020', '18', '6', '2020', '663', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '115.48378831');
INSERT INTO public.ecdc_import VALUES (5326, '17/06/2020', '17', '6', '2020', '689', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '117.57849242');
INSERT INTO public.ecdc_import VALUES (5327, '16/06/2020', '16', '6', '2020', '707', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '119.30292056');
INSERT INTO public.ecdc_import VALUES (5328, '15/06/2020', '15', '6', '2020', '732', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '120.78402447');
INSERT INTO public.ecdc_import VALUES (5329, '14/06/2020', '14', '6', '2020', '721', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '122.54019055');
INSERT INTO public.ecdc_import VALUES (5330, '13/06/2020', '13', '6', '2020', '704', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '124.37041182');
INSERT INTO public.ecdc_import VALUES (5331, '12/06/2020', '12', '6', '2020', '750', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '126.50743318');
INSERT INTO public.ecdc_import VALUES (5332, '11/06/2020', '11', '6', '2020', '801', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '128.11548887');
INSERT INTO public.ecdc_import VALUES (5333, '10/06/2020', '10', '6', '2020', '812', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '129.13110298');
INSERT INTO public.ecdc_import VALUES (5334, '09/06/2020', '9', '6', '2020', '823', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '130.22077229');
INSERT INTO public.ecdc_import VALUES (5335, '08/06/2020', '8', '6', '2020', '879', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '131.52202788');
INSERT INTO public.ecdc_import VALUES (5336, '07/06/2020', '7', '6', '2020', '883', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '132.3154764');
INSERT INTO public.ecdc_import VALUES (5337, '06/06/2020', '6', '6', '2020', '887', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '132.9290766');
INSERT INTO public.ecdc_import VALUES (5338, '05/06/2020', '5', '6', '2020', '865', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '133.40514571');
INSERT INTO public.ecdc_import VALUES (5339, '04/06/2020', '4', '6', '2020', '861', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '134.25149081');
INSERT INTO public.ecdc_import VALUES (5340, '03/06/2020', '3', '6', '2020', '852', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '134.85451169');
INSERT INTO public.ecdc_import VALUES (5341, '02/06/2020', '2', '6', '2020', '847', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '135.74317404');
INSERT INTO public.ecdc_import VALUES (5342, '01/06/2020', '1', '6', '2020', '898', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '136.53662257');
INSERT INTO public.ecdc_import VALUES (5343, '31/05/2020', '31', '5', '2020', '894', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '137.28775384');
INSERT INTO public.ecdc_import VALUES (5344, '30/05/2020', '30', '5', '2020', '906', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '137.89077472');
INSERT INTO public.ecdc_import VALUES (5345, '29/05/2020', '29', '5', '2020', '902', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '138.44089903');
INSERT INTO public.ecdc_import VALUES (5346, '28/05/2020', '28', '5', '2020', '897', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '138.91696815');
INSERT INTO public.ecdc_import VALUES (5347, '27/05/2020', '27', '5', '2020', '915', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.4988304');
INSERT INTO public.ecdc_import VALUES (5348, '26/05/2020', '26', '5', '2020', '946', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '140.04895472');
INSERT INTO public.ecdc_import VALUES (5349, '25/05/2020', '25', '5', '2020', '954', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.91142364');
INSERT INTO public.ecdc_import VALUES (5350, '24/05/2020', '24', '5', '2020', '941', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.56230629');
INSERT INTO public.ecdc_import VALUES (5351, '23/05/2020', '23', '5', '2020', '932', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.66809942');
INSERT INTO public.ecdc_import VALUES (5352, '22/05/2020', '22', '5', '2020', '945', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.67867874');
INSERT INTO public.ecdc_import VALUES (5353, '21/05/2020', '21', '5', '2020', '918', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.3401407');
INSERT INTO public.ecdc_import VALUES (5354, '20/05/2020', '20', '5', '2020', '936', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '139.20260962');
INSERT INTO public.ecdc_import VALUES (5355, '19/05/2020', '19', '5', '2020', '922', '6', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '138.40916109');
INSERT INTO public.ecdc_import VALUES (5356, '18/05/2020', '18', '5', '2020', '969', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '136.9492158');
INSERT INTO public.ecdc_import VALUES (5357, '17/05/2020', '17', '5', '2020', '951', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '135.97591894');
INSERT INTO public.ecdc_import VALUES (5358, '16/05/2020', '16', '5', '2020', '958', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '135.5527464');
INSERT INTO public.ecdc_import VALUES (5359, '15/05/2020', '15', '5', '2020', '947', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '134.83335306');
INSERT INTO public.ecdc_import VALUES (5360, '14/05/2020', '14', '5', '2020', '952', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '133.76484238');
INSERT INTO public.ecdc_import VALUES (5361, '13/05/2020', '13', '5', '2020', '967', '7', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '133.98700797');
INSERT INTO public.ecdc_import VALUES (5362, '12/05/2020', '12', '5', '2020', '933', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '133.47920091');
INSERT INTO public.ecdc_import VALUES (5363, '11/05/2020', '11', '5', '2020', '921', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '132.34721435');
INSERT INTO public.ecdc_import VALUES (5364, '10/05/2020', '10', '5', '2020', '951', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '131.83940729');
INSERT INTO public.ecdc_import VALUES (5365, '09/05/2020', '9', '5', '2020', '933', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '130.42177925');
INSERT INTO public.ecdc_import VALUES (5366, '08/05/2020', '8', '5', '2020', '913', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '128.49634416');
INSERT INTO public.ecdc_import VALUES (5367, '07/05/2020', '7', '5', '2020', '905', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '126.6767022');
INSERT INTO public.ecdc_import VALUES (5368, '06/05/2020', '6', '5', '2020', '861', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '123.00568035');
INSERT INTO public.ecdc_import VALUES (5369, '05/05/2020', '5', '5', '2020', '784', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '118.75279624');
INSERT INTO public.ecdc_import VALUES (5370, '04/05/2020', '4', '5', '2020', '877', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '115.29336067');
INSERT INTO public.ecdc_import VALUES (5371, '03/05/2020', '3', '5', '2020', '911', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '111.41075254');
INSERT INTO public.ecdc_import VALUES (5372, '02/05/2020', '2', '5', '2020', '890', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '107.25308226');
INSERT INTO public.ecdc_import VALUES (5373, '01/05/2020', '1', '5', '2020', '846', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '103.92059844');
INSERT INTO public.ecdc_import VALUES (5374, '30/04/2020', '30', '4', '2020', '973', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '100.00625237');
INSERT INTO public.ecdc_import VALUES (5375, '29/04/2020', '29', '4', '2020', '919', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '94.44153337');
INSERT INTO public.ecdc_import VALUES (5376, '28/04/2020', '28', '4', '2020', '826', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '88.54885564');
INSERT INTO public.ecdc_import VALUES (5377, '27/04/2020', '27', '4', '2020', '873', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '83.4178885');
INSERT INTO public.ecdc_import VALUES (5378, '26/04/2020', '26', '4', '2020', '817', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '77.90606606');
INSERT INTO public.ecdc_import VALUES (5379, '25/04/2020', '25', '4', '2020', '751', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '71.85469863');
INSERT INTO public.ecdc_import VALUES (5380, '24/04/2020', '24', '4', '2020', '741', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '69.14639432');
INSERT INTO public.ecdc_import VALUES (5381, '23/04/2020', '23', '4', '2020', '558', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '65.75043462');
INSERT INTO public.ecdc_import VALUES (5382, '22/04/2020', '22', '4', '2020', '459', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '62.01593689');
INSERT INTO public.ecdc_import VALUES (5383, '21/04/2020', '21', '4', '2020', '457', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '58.86330141');
INSERT INTO public.ecdc_import VALUES (5384, '20/04/2020', '20', '4', '2020', '510', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '55.46734171');
INSERT INTO public.ecdc_import VALUES (5385, '19/04/2020', '19', '4', '2020', '518', '2', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '51.87037505');
INSERT INTO public.ecdc_import VALUES (5386, '18/04/2020', '18', '4', '2020', '575', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '46.84520105');
INSERT INTO public.ecdc_import VALUES (5387, '17/04/2020', '17', '4', '2020', '476', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '41.7882891');
INSERT INTO public.ecdc_import VALUES (5388, '16/04/2020', '16', '4', '2020', '447', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '37.83162578');
INSERT INTO public.ecdc_import VALUES (5389, '15/04/2020', '15', '4', '2020', '362', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '33.10267256');
INSERT INTO public.ecdc_import VALUES (5390, '14/04/2020', '14', '4', '2020', '341', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '29.77018874');
INSERT INTO public.ecdc_import VALUES (5391, '13/04/2020', '13', '4', '2020', '352', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '26.27901522');
INSERT INTO public.ecdc_import VALUES (5392, '12/04/2020', '12', '4', '2020', '245', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '22.5550968');
INSERT INTO public.ecdc_import VALUES (5393, '11/04/2020', '11', '4', '2020', '495', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '19.96316495');
INSERT INTO public.ecdc_import VALUES (5394, '10/04/2020', '10', '4', '2020', '420', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '14.81103918');
INSERT INTO public.ecdc_import VALUES (5395, '09/04/2020', '9', '4', '2020', '205', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '10.36772742');
INSERT INTO public.ecdc_import VALUES (5396, '08/04/2020', '8', '4', '2020', '161', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '8.25186468');
INSERT INTO public.ecdc_import VALUES (5397, '07/04/2020', '7', '4', '2020', '136', '5', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '6.54859518');
INSERT INTO public.ecdc_import VALUES (5398, '06/04/2020', '6', '4', '2020', '170', '3', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '5.16270508');
INSERT INTO public.ecdc_import VALUES (5399, '05/04/2020', '5', '4', '2020', '43', '1', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '3.36422176');
INSERT INTO public.ecdc_import VALUES (5400, '04/04/2020', '4', '4', '2020', '97', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '3.11031823');
INSERT INTO public.ecdc_import VALUES (5401, '03/04/2020', '3', '4', '2020', '102', '4', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '2.0841248');
INSERT INTO public.ecdc_import VALUES (5402, '02/04/2020', '2', '4', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '1.12140725');
INSERT INTO public.ecdc_import VALUES (5403, '01/04/2020', '1', '4', '2020', '47', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '1.22720039');
INSERT INTO public.ecdc_import VALUES (5404, '31/03/2020', '31', '3', '2020', '11', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.72997265');
INSERT INTO public.ecdc_import VALUES (5405, '30/03/2020', '30', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.70881402');
INSERT INTO public.ecdc_import VALUES (5406, '29/03/2020', '29', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.7722899');
INSERT INTO public.ecdc_import VALUES (5407, '28/03/2020', '28', '3', '2020', '8', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.86750372');
INSERT INTO public.ecdc_import VALUES (5408, '27/03/2020', '27', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.81460715');
INSERT INTO public.ecdc_import VALUES (5409, '26/03/2020', '26', '3', '2020', '5', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.8463451');
INSERT INTO public.ecdc_import VALUES (5410, '25/03/2020', '25', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.81460715');
INSERT INTO public.ecdc_import VALUES (5411, '24/03/2020', '24', '3', '2020', '5', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.8463451');
INSERT INTO public.ecdc_import VALUES (5412, '23/03/2020', '23', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.79344853');
INSERT INTO public.ecdc_import VALUES (5413, '22/03/2020', '22', '3', '2020', '19', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.79344853');
INSERT INTO public.ecdc_import VALUES (5414, '21/03/2020', '21', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.59244157');
INSERT INTO public.ecdc_import VALUES (5415, '20/03/2020', '20', '3', '2020', '11', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.60302088');
INSERT INTO public.ecdc_import VALUES (5416, '19/03/2020', '19', '3', '2020', '10', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.48664843');
INSERT INTO public.ecdc_import VALUES (5417, '18/03/2020', '18', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.38085529');
INSERT INTO public.ecdc_import VALUES (5418, '17/03/2020', '17', '3', '2020', '9', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.38085529');
INSERT INTO public.ecdc_import VALUES (5419, '16/03/2020', '16', '3', '2020', '6', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.28564147');
INSERT INTO public.ecdc_import VALUES (5420, '13/03/2020', '13', '3', '2020', '9', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.22216559');
INSERT INTO public.ecdc_import VALUES (5421, '12/03/2020', '12', '3', '2020', '3', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.12695176');
INSERT INTO public.ecdc_import VALUES (5422, '11/03/2020', '11', '3', '2020', '3', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.09521382');
INSERT INTO public.ecdc_import VALUES (5423, '05/03/2020', '5', '3', '2020', '2', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.06347588');
INSERT INTO public.ecdc_import VALUES (5424, '04/03/2020', '4', '3', '2020', '3', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.04231725');
INSERT INTO public.ecdc_import VALUES (5425, '02/03/2020', '2', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.01057931');
INSERT INTO public.ecdc_import VALUES (5426, '01/03/2020', '1', '3', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.01057931');
INSERT INTO public.ecdc_import VALUES (5427, '29/02/2020', '29', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.01057931');
INSERT INTO public.ecdc_import VALUES (5428, '28/02/2020', '28', '2', '2020', '1', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0.01057931');
INSERT INTO public.ecdc_import VALUES (5429, '27/02/2020', '27', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5430, '26/02/2020', '26', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5431, '25/02/2020', '25', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5432, '24/02/2020', '24', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5433, '23/02/2020', '23', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5434, '22/02/2020', '22', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5435, '21/02/2020', '21', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5436, '20/02/2020', '20', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5437, '19/02/2020', '19', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5438, '18/02/2020', '18', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5439, '17/02/2020', '17', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5440, '16/02/2020', '16', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5441, '15/02/2020', '15', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5442, '14/02/2020', '14', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5443, '13/02/2020', '13', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5444, '12/02/2020', '12', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5445, '11/02/2020', '11', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5446, '10/02/2020', '10', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5447, '09/02/2020', '9', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5448, '08/02/2020', '8', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5449, '07/02/2020', '7', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5450, '06/02/2020', '6', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5451, '05/02/2020', '5', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5452, '04/02/2020', '4', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5453, '03/02/2020', '3', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5454, '02/02/2020', '2', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5455, '01/02/2020', '1', '2', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5456, '31/01/2020', '31', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5457, '30/01/2020', '30', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5458, '29/01/2020', '29', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5459, '28/01/2020', '28', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5460, '27/01/2020', '27', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5461, '26/01/2020', '26', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5462, '25/01/2020', '25', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5463, '24/01/2020', '24', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5464, '23/01/2020', '23', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5465, '22/01/2020', '22', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5466, '21/01/2020', '21', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5467, '20/01/2020', '20', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5468, '19/01/2020', '19', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5469, '18/01/2020', '18', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5470, '17/01/2020', '17', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5471, '16/01/2020', '16', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5472, '15/01/2020', '15', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5473, '14/01/2020', '14', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5474, '13/01/2020', '13', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5475, '12/01/2020', '12', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5476, '11/01/2020', '11', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5477, '10/01/2020', '10', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5478, '09/01/2020', '9', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5479, '08/01/2020', '8', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5480, '07/01/2020', '7', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5481, '06/01/2020', '6', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5482, '05/01/2020', '5', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5483, '04/01/2020', '4', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5484, '03/01/2020', '3', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5485, '02/01/2020', '2', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5486, '01/01/2020', '1', '1', '2020', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5487, '31/12/2019', '31', '12', '2019', '0', '0', '9452409', 'Belarus', 'BY', 'BLR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5488, '14/12/2020', '14', '12', '2020', '2', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '268.2375194');
INSERT INTO public.ecdc_import VALUES (5489, '13/12/2020', '13', '12', '2020', '856', '48', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '269.52947309');
INSERT INTO public.ecdc_import VALUES (5490, '12/12/2020', '12', '12', '2020', '2751', '92', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '269.08427283');
INSERT INTO public.ecdc_import VALUES (5491, '11/12/2020', '11', '12', '2020', '2604', '87', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '267.41695422');
INSERT INTO public.ecdc_import VALUES (5492, '10/12/2020', '10', '12', '2020', '2708', '83', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '267.11142463');
INSERT INTO public.ecdc_import VALUES (5493, '09/12/2020', '9', '12', '2020', '2715', '91', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '268.43829599');
INSERT INTO public.ecdc_import VALUES (5494, '08/12/2020', '8', '12', '2020', '3353', '96', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '273.67594607');
INSERT INTO public.ecdc_import VALUES (5495, '07/12/2020', '7', '12', '2020', '592', '83', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '273.64975782');
INSERT INTO public.ecdc_import VALUES (5496, '06/12/2020', '6', '12', '2020', '1098', '85', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '275.09011159');
INSERT INTO public.ecdc_import VALUES (5497, '05/12/2020', '5', '12', '2020', '2549', '106', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '279.73416132');
INSERT INTO public.ecdc_import VALUES (5498, '04/12/2020', '4', '12', '2020', '2364', '93', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '285.45192933');
INSERT INTO public.ecdc_import VALUES (5499, '03/12/2020', '3', '12', '2020', '2611', '117', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '294.95826422');
INSERT INTO public.ecdc_import VALUES (5500, '02/12/2020', '2', '12', '2020', '2674', '110', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '313.76142801');
INSERT INTO public.ecdc_import VALUES (5501, '01/12/2020', '1', '12', '2020', '3293', '99', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '335.82939367');
INSERT INTO public.ecdc_import VALUES (5502, '30/11/2020', '30', '11', '2020', '560', '119', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '340.16791382');
INSERT INTO public.ecdc_import VALUES (5503, '29/11/2020', '29', '11', '2020', '1004', '114', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '352.10102659');
INSERT INTO public.ecdc_import VALUES (5504, '28/11/2020', '28', '11', '2020', '2700', '124', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '378.36784174');
INSERT INTO public.ecdc_import VALUES (5505, '27/11/2020', '27', '11', '2020', '2413', '118', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '413.88783869');
INSERT INTO public.ecdc_import VALUES (5506, '26/11/2020', '26', '11', '2020', '2673', '138', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '408.04785885');
INSERT INTO public.ecdc_import VALUES (5507, '25/11/2020', '25', '11', '2020', '2867', '120', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '450.24585966');
INSERT INTO public.ecdc_import VALUES (5508, '24/11/2020', '24', '11', '2020', '3953', '139', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '491.12571853');
INSERT INTO public.ecdc_import VALUES (5509, '23/11/2020', '23', '11', '2020', '589', '135', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '498.62428756');
INSERT INTO public.ecdc_import VALUES (5510, '22/11/2020', '22', '11', '2020', '1263', '138', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '514.18883771');
INSERT INTO public.ecdc_import VALUES (5511, '21/11/2020', '21', '11', '2020', '3081', '165', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '545.32666743');
INSERT INTO public.ecdc_import VALUES (5512, '20/11/2020', '20', '11', '2020', '3019', '172', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '585.83116138');
INSERT INTO public.ecdc_import VALUES (5513, '19/11/2020', '19', '11', '2020', '3700', '158', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '634.10483628');
INSERT INTO public.ecdc_import VALUES (5514, '18/11/2020', '18', '11', '2020', '4828', '153', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '697.60261408');
INSERT INTO public.ecdc_import VALUES (5515, '17/11/2020', '17', '11', '2020', '5821', '195', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '767.76093689');
INSERT INTO public.ecdc_import VALUES (5516, '16/11/2020', '16', '11', '2020', '1057', '192', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '781.80656852');
INSERT INTO public.ecdc_import VALUES (5517, '15/11/2020', '15', '11', '2020', '2371', '175', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '816.17428246');
INSERT INTO public.ecdc_import VALUES (5518, '14/11/2020', '14', '11', '2020', '5709', '183', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '900.77979007');
INSERT INTO public.ecdc_import VALUES (5519, '13/11/2020', '13', '11', '2020', '6482', '173', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '975.92260988');
INSERT INTO public.ecdc_import VALUES (5520, '12/11/2020', '12', '11', '2020', '2004', '196', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1115.54090216');
INSERT INTO public.ecdc_import VALUES (5521, '11/11/2020', '11', '11', '2020', '7701', '218', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1242.1960105');
INSERT INTO public.ecdc_import VALUES (5522, '10/11/2020', '10', '11', '2020', '8636', '194', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1340.24481999');
INSERT INTO public.ecdc_import VALUES (5523, '09/11/2020', '9', '11', '2020', '1448', '210', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1370.33511969');
INSERT INTO public.ecdc_import VALUES (5524, '08/11/2020', '8', '11', '2020', '3046', '208', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1444.63118607');
INSERT INTO public.ecdc_import VALUES (5525, '07/11/2020', '7', '11', '2020', '6648', '214', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1551.37449469');
INSERT INTO public.ecdc_import VALUES (5526, '06/11/2020', '6', '11', '2020', '7659', '206', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1638.91308635');
INSERT INTO public.ecdc_import VALUES (5527, '05/11/2020', '5', '11', '2020', '9230', '198', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1710.97442202');
INSERT INTO public.ecdc_import VALUES (5528, '04/11/2020', '4', '11', '2020', '12102', '172', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1773.50323455');
INSERT INTO public.ecdc_import VALUES (5529, '03/11/2020', '3', '11', '2020', '13858', '208', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1788.36070195');
INSERT INTO public.ecdc_import VALUES (5530, '02/11/2020', '2', '11', '2020', '2666', '164', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1802.52854541');
INSERT INTO public.ecdc_import VALUES (5531, '01/11/2020', '1', '11', '2020', '6308', '177', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1817.25507155');
INSERT INTO public.ecdc_import VALUES (5532, '31/10/2020', '31', '10', '2020', '15401', '185', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1800.45967363');
INSERT INTO public.ecdc_import VALUES (5533, '30/10/2020', '30', '10', '2020', '15090', '139', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1771.89702186');
INSERT INTO public.ecdc_import VALUES (5534, '29/10/2020', '29', '10', '2020', '17998', '142', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1722.09569903');
INSERT INTO public.ecdc_import VALUES (5535, '28/10/2020', '28', '10', '2020', '22210', '132', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1638.005227');
INSERT INTO public.ecdc_import VALUES (5536, '27/10/2020', '27', '10', '2020', '19868', '121', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1549.55004658');
INSERT INTO public.ecdc_import VALUES (5537, '26/10/2020', '26', '10', '2020', '4895', '94', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1527.79633991');
INSERT INTO public.ecdc_import VALUES (5538, '25/10/2020', '25', '10', '2020', '11557', '93', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1464.53425637');
INSERT INTO public.ecdc_import VALUES (5539, '24/10/2020', '24', '10', '2020', '18876', '94', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1367.75121232');
INSERT INTO public.ecdc_import VALUES (5540, '23/10/2020', '23', '10', '2020', '17687', '55', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1270.86341527');
INSERT INTO public.ecdc_import VALUES (5541, '22/10/2020', '22', '10', '2020', '17485', '62', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1177.61578502');
INSERT INTO public.ecdc_import VALUES (5542, '21/10/2020', '21', '10', '2020', '19265', '52', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1059.08776372');
INSERT INTO public.ecdc_import VALUES (5543, '20/10/2020', '20', '10', '2020', '15560', '52', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '969.07874711');
INSERT INTO public.ecdc_import VALUES (5544, '19/10/2020', '19', '10', '2020', '4289', '31', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '940.67322484');
INSERT INTO public.ecdc_import VALUES (5545, '18/10/2020', '18', '10', '2020', '7995', '23', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '885.80011085');
INSERT INTO public.ecdc_import VALUES (5546, '17/10/2020', '17', '10', '2020', '13477', '36', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '800.63592055');
INSERT INTO public.ecdc_import VALUES (5547, '16/10/2020', '16', '10', '2020', '11818', '35', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '727.23898411');
INSERT INTO public.ecdc_import VALUES (5548, '15/10/2020', '15', '10', '2020', '12293', '41', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '648.23776208');
INSERT INTO public.ecdc_import VALUES (5549, '14/10/2020', '14', '10', '2020', '12577', '34', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '564.49646672');
INSERT INTO public.ecdc_import VALUES (5550, '13/10/2020', '13', '10', '2020', '9735', '36', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '503.80083172');
INSERT INTO public.ecdc_import VALUES (5551, '12/10/2020', '12', '10', '2020', '2403', '26', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '487.53792822');
INSERT INTO public.ecdc_import VALUES (5552, '11/10/2020', '11', '10', '2020', '4310', '22', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '458.15471128');
INSERT INTO public.ecdc_import VALUES (5553, '10/10/2020', '10', '10', '2020', '7789', '19', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '404.3291273');
INSERT INTO public.ecdc_import VALUES (5554, '09/10/2020', '9', '10', '2020', '6588', '20', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '362.497762');
INSERT INTO public.ecdc_import VALUES (5555, '08/10/2020', '8', '10', '2020', '6803', '20', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '321.41712654');
INSERT INTO public.ecdc_import VALUES (5556, '07/10/2020', '7', '10', '2020', '5687', '18', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '289.87774364');
INSERT INTO public.ecdc_import VALUES (5557, '06/10/2020', '6', '10', '2020', '5249', '14', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '263.29666949');
INSERT INTO public.ecdc_import VALUES (5558, '05/10/2020', '5', '10', '2020', '1035', '14', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '258.28598425');
INSERT INTO public.ecdc_import VALUES (5559, '04/10/2020', '4', '10', '2020', '1709', '15', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '251.17150956');
INSERT INTO public.ecdc_import VALUES (5560, '03/10/2020', '3', '10', '2020', '3721', '11', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '233.60792296');
INSERT INTO public.ecdc_import VALUES (5561, '02/10/2020', '2', '10', '2020', '3410', '15', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '219.13454991');
INSERT INTO public.ecdc_import VALUES (5562, '01/10/2020', '1', '10', '2020', '3243', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '207.77757865');
INSERT INTO public.ecdc_import VALUES (5563, '30/09/2020', '30', '9', '2020', '2984', '10', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '195.94048947');
INSERT INTO public.ecdc_import VALUES (5564, '29/09/2020', '29', '9', '2020', '2782', '13', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '186.73095475');
INSERT INTO public.ecdc_import VALUES (5565, '28/09/2020', '28', '9', '2020', '540', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '184.64462413');
INSERT INTO public.ecdc_import VALUES (5566, '27/09/2020', '27', '9', '2020', '944', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '181.79010484');
INSERT INTO public.ecdc_import VALUES (5567, '26/09/2020', '26', '9', '2020', '1623', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '178.83083254');
INSERT INTO public.ecdc_import VALUES (5568, '25/09/2020', '25', '9', '2020', '1796', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '173.13052337');
INSERT INTO public.ecdc_import VALUES (5569, '24/09/2020', '24', '9', '2020', '2097', '8', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '163.76385915');
INSERT INTO public.ecdc_import VALUES (5570, '23/09/2020', '23', '9', '2020', '2074', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '153.26237074');
INSERT INTO public.ecdc_import VALUES (5571, '22/09/2020', '22', '9', '2020', '2204', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '142.03634074');
INSERT INTO public.ecdc_import VALUES (5572, '21/09/2020', '21', '9', '2020', '461', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '139.3651392');
INSERT INTO public.ecdc_import VALUES (5573, '20/09/2020', '20', '9', '2020', '894', '8', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '134.37191279');
INSERT INTO public.ecdc_import VALUES (5574, '19/09/2020', '19', '9', '2020', '1709', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '125.80835491');
INSERT INTO public.ecdc_import VALUES (5575, '18/09/2020', '18', '9', '2020', '1752', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '116.42423185');
INSERT INTO public.ecdc_import VALUES (5576, '17/09/2020', '17', '9', '2020', '1942', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '104.48238967');
INSERT INTO public.ecdc_import VALUES (5577, '16/09/2020', '16', '9', '2020', '1628', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '95.20301961');
INSERT INTO public.ecdc_import VALUES (5578, '15/09/2020', '15', '9', '2020', '1727', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '85.66176705');
INSERT INTO public.ecdc_import VALUES (5579, '14/09/2020', '14', '9', '2020', '301', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '84.05555436');
INSERT INTO public.ecdc_import VALUES (5580, '13/09/2020', '13', '9', '2020', '617', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '80.37174047');
INSERT INTO public.ecdc_import VALUES (5581, '12/09/2020', '12', '9', '2020', '1284', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '74.52303121');
INSERT INTO public.ecdc_import VALUES (5582, '11/09/2020', '11', '9', '2020', '1143', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '69.2155458');
INSERT INTO public.ecdc_import VALUES (5583, '10/09/2020', '10', '9', '2020', '1024', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '64.86829623');
INSERT INTO public.ecdc_import VALUES (5584, '09/09/2020', '9', '9', '2020', '871', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '61.86537685');
INSERT INTO public.ecdc_import VALUES (5585, '08/09/2020', '8', '9', '2020', '918', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '59.15052823');
INSERT INTO public.ecdc_import VALUES (5586, '07/09/2020', '7', '9', '2020', '155', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '58.80135156');
INSERT INTO public.ecdc_import VALUES (5587, '06/09/2020', '6', '9', '2020', '322', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '57.76255096');
INSERT INTO public.ecdc_import VALUES (5588, '05/09/2020', '5', '9', '2020', '728', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '55.8595381');
INSERT INTO public.ecdc_import VALUES (5589, '04/09/2020', '4', '9', '2020', '677', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '55.02151408');
INSERT INTO public.ecdc_import VALUES (5590, '03/09/2020', '3', '9', '2020', '574', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '55.35323192');
INSERT INTO public.ecdc_import VALUES (5591, '02/09/2020', '2', '9', '2020', '565', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '56.74993861');
INSERT INTO public.ecdc_import VALUES (5592, '01/09/2020', '1', '9', '2020', '634', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '57.38718604');
INSERT INTO public.ecdc_import VALUES (5593, '31/08/2020', '31', '8', '2020', '117', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '57.51812729');
INSERT INTO public.ecdc_import VALUES (5594, '30/08/2020', '30', '8', '2020', '195', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '57.23878595');
INSERT INTO public.ecdc_import VALUES (5595, '29/08/2020', '29', '8', '2020', '614', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '57.0030917');
INSERT INTO public.ecdc_import VALUES (5596, '28/08/2020', '28', '8', '2020', '535', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '58.17283355');
INSERT INTO public.ecdc_import VALUES (5597, '27/08/2020', '27', '8', '2020', '526', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '58.89737514');
INSERT INTO public.ecdc_import VALUES (5598, '26/08/2020', '26', '8', '2020', '527', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '60.56469375');
INSERT INTO public.ecdc_import VALUES (5599, '25/08/2020', '25', '8', '2020', '607', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '62.88671862');
INSERT INTO public.ecdc_import VALUES (5600, '24/08/2020', '24', '8', '2020', '115', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '62.94782454');
INSERT INTO public.ecdc_import VALUES (5601, '23/08/2020', '23', '8', '2020', '203', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '63.82949563');
INSERT INTO public.ecdc_import VALUES (5602, '22/08/2020', '22', '8', '2020', '510', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '66.10787342');
INSERT INTO public.ecdc_import VALUES (5603, '21/08/2020', '21', '8', '2020', '581', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '67.74900378');
INSERT INTO public.ecdc_import VALUES (5604, '20/08/2020', '20', '8', '2020', '612', '9', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '69.18062813');
INSERT INTO public.ecdc_import VALUES (5605, '19/08/2020', '19', '8', '2020', '725', '11', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '69.95754623');
INSERT INTO public.ecdc_import VALUES (5606, '18/08/2020', '18', '8', '2020', '707', '7', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '70.71700549');
INSERT INTO public.ecdc_import VALUES (5607, '17/08/2020', '17', '8', '2020', '132', '7', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '70.85667616');
INSERT INTO public.ecdc_import VALUES (5608, '16/08/2020', '16', '8', '2020', '163', '9', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '72.13117101');
INSERT INTO public.ecdc_import VALUES (5609, '15/08/2020', '15', '8', '2020', '587', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '72.97792444');
INSERT INTO public.ecdc_import VALUES (5610, '14/08/2020', '14', '8', '2020', '669', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '72.68112427');
INSERT INTO public.ecdc_import VALUES (5611, '13/08/2020', '13', '8', '2020', '609', '11', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '73.50168945');
INSERT INTO public.ecdc_import VALUES (5612, '12/08/2020', '12', '8', '2020', '718', '13', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '73.21361869');
INSERT INTO public.ecdc_import VALUES (5613, '11/08/2020', '11', '8', '2020', '873', '11', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '70.78684082');
INSERT INTO public.ecdc_import VALUES (5614, '10/08/2020', '10', '8', '2020', '122', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '71.32806466');
INSERT INTO public.ecdc_import VALUES (5615, '09/08/2020', '9', '8', '2020', '304', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '70.6733584');
INSERT INTO public.ecdc_import VALUES (5616, '08/08/2020', '8', '8', '2020', '771', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '68.27276879');
INSERT INTO public.ecdc_import VALUES (5617, '07/08/2020', '7', '8', '2020', '769', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '65.39206124');
INSERT INTO public.ecdc_import VALUES (5618, '06/08/2020', '6', '8', '2020', '776', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '63.4454013');
INSERT INTO public.ecdc_import VALUES (5619, '05/08/2020', '5', '8', '2020', '814', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '57.60542146');
INSERT INTO public.ecdc_import VALUES (5620, '04/08/2020', '4', '8', '2020', '794', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '54.54139616');
INSERT INTO public.ecdc_import VALUES (5621, '03/08/2020', '3', '8', '2020', '148', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '53.80812515');
INSERT INTO public.ecdc_import VALUES (5622, '02/08/2020', '2', '8', '2020', '309', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '52.24555954');
INSERT INTO public.ecdc_import VALUES (5623, '01/08/2020', '1', '8', '2020', '684', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '48.66649865');
INSERT INTO public.ecdc_import VALUES (5624, '31/07/2020', '31', '7', '2020', '635', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '45.09616718');
INSERT INTO public.ecdc_import VALUES (5625, '30/07/2020', '30', '7', '2020', '703', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '41.22903554');
INSERT INTO public.ecdc_import VALUES (5626, '29/07/2020', '29', '7', '2020', '685', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '37.05637431');
INSERT INTO public.ecdc_import VALUES (5627, '28/07/2020', '28', '7', '2020', '595', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '33.81776068');
INSERT INTO public.ecdc_import VALUES (5628, '27/07/2020', '27', '7', '2020', '184', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '32.58691291');
INSERT INTO public.ecdc_import VALUES (5629, '26/07/2020', '26', '7', '2020', '229', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '31.12910031');
INSERT INTO public.ecdc_import VALUES (5630, '25/07/2020', '25', '7', '2020', '496', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '27.90794551');
INSERT INTO public.ecdc_import VALUES (5631, '24/07/2020', '24', '7', '2020', '439', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '25.15817921');
INSERT INTO public.ecdc_import VALUES (5632, '23/07/2020', '23', '7', '2020', '553', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '21.52674183');
INSERT INTO public.ecdc_import VALUES (5633, '22/07/2020', '22', '7', '2020', '145', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '21.12518865');
INSERT INTO public.ecdc_import VALUES (5634, '21/07/2020', '21', '7', '2020', '443', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '18.23575169');
INSERT INTO public.ecdc_import VALUES (5635, '20/07/2020', '20', '7', '2020', '64', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '17.88657502');
INSERT INTO public.ecdc_import VALUES (5636, '19/07/2020', '19', '7', '2020', '130', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '17.31043351');
INSERT INTO public.ecdc_import VALUES (5637, '18/07/2020', '18', '7', '2020', '274', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '15.73913849');
INSERT INTO public.ecdc_import VALUES (5638, '17/07/2020', '17', '7', '2020', '226', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '14.57812605');
INSERT INTO public.ecdc_import VALUES (5639, '16/07/2020', '16', '7', '2020', '260', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '13.48694895');
INSERT INTO public.ecdc_import VALUES (5640, '15/07/2020', '15', '7', '2020', '207', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '12.55290136');
INSERT INTO public.ecdc_import VALUES (5641, '14/07/2020', '14', '7', '2020', '224', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.70614793');
INSERT INTO public.ecdc_import VALUES (5642, '13/07/2020', '13', '7', '2020', '43', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.54028901');
INSERT INTO public.ecdc_import VALUES (5643, '12/07/2020', '12', '7', '2020', '62', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.35697126');
INSERT INTO public.ecdc_import VALUES (5644, '11/07/2020', '11', '7', '2020', '127', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.23475942');
INSERT INTO public.ecdc_import VALUES (5645, '10/07/2020', '10', '7', '2020', '124', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.81574741');
INSERT INTO public.ecdc_import VALUES (5646, '09/07/2020', '9', '7', '2020', '137', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.49275899');
INSERT INTO public.ecdc_import VALUES (5647, '08/07/2020', '8', '7', '2020', '99', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.58878258');
INSERT INTO public.ecdc_import VALUES (5648, '07/07/2020', '7', '7', '2020', '112', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.8593945');
INSERT INTO public.ecdc_import VALUES (5649, '06/07/2020', '6', '7', '2020', '24', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.82447683');
INSERT INTO public.ecdc_import VALUES (5650, '05/07/2020', '5', '7', '2020', '64', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.702265');
INSERT INTO public.ecdc_import VALUES (5651, '04/07/2020', '4', '7', '2020', '94', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.93795925');
INSERT INTO public.ecdc_import VALUES (5652, '03/07/2020', '3', '7', '2020', '93', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.0689005');
INSERT INTO public.ecdc_import VALUES (5653, '02/07/2020', '2', '7', '2020', '135', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.9641475');
INSERT INTO public.ecdc_import VALUES (5654, '01/07/2020', '1', '7', '2020', '100', '8', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.95541808');
INSERT INTO public.ecdc_import VALUES (5655, '30/06/2020', '30', '6', '2020', '127', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.13000642');
INSERT INTO public.ecdc_import VALUES (5656, '29/06/2020', '29', '6', '2020', '24', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.11254759');
INSERT INTO public.ecdc_import VALUES (5657, '28/06/2020', '28', '6', '2020', '41', '8', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.18238292');
INSERT INTO public.ecdc_import VALUES (5658, '27/06/2020', '27', '6', '2020', '113', '2', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '10.97287692');
INSERT INTO public.ecdc_import VALUES (5659, '26/06/2020', '26', '6', '2020', '76', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.13873584');
INSERT INTO public.ecdc_import VALUES (5660, '25/06/2020', '25', '6', '2020', '100', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.30459475');
INSERT INTO public.ecdc_import VALUES (5661, '24/06/2020', '24', '6', '2020', '110', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.61012434');
INSERT INTO public.ecdc_import VALUES (5662, '23/06/2020', '23', '6', '2020', '143', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.69741851');
INSERT INTO public.ecdc_import VALUES (5663, '22/06/2020', '22', '6', '2020', '20', '9', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.98548927');
INSERT INTO public.ecdc_import VALUES (5664, '21/06/2020', '21', '6', '2020', '50', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '12.15134818');
INSERT INTO public.ecdc_import VALUES (5665, '20/06/2020', '20', '6', '2020', '121', '4', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '12.43941894');
INSERT INTO public.ecdc_import VALUES (5666, '19/06/2020', '19', '6', '2020', '108', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '12.99810161');
INSERT INTO public.ecdc_import VALUES (5667, '18/06/2020', '18', '6', '2020', '123', '7', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '13.31236062');
INSERT INTO public.ecdc_import VALUES (5668, '17/06/2020', '17', '6', '2020', '99', '7', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '14.04563163');
INSERT INTO public.ecdc_import VALUES (5669, '16/06/2020', '16', '6', '2020', '147', '8', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '13.27744295');
INSERT INTO public.ecdc_import VALUES (5670, '15/06/2020', '15', '6', '2020', '22', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '13.5131372');
INSERT INTO public.ecdc_import VALUES (5671, '14/06/2020', '14', '6', '2020', '49', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '13.61789021');
INSERT INTO public.ecdc_import VALUES (5672, '13/06/2020', '13', '6', '2020', '89', '10', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '14.28132588');
INSERT INTO public.ecdc_import VALUES (5673, '12/06/2020', '12', '6', '2020', '95', '7', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '14.94476156');
INSERT INTO public.ecdc_import VALUES (5674, '11/06/2020', '11', '6', '2020', '119', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '15.49471482');
INSERT INTO public.ecdc_import VALUES (5675, '10/06/2020', '10', '6', '2020', '145', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '15.99229158');
INSERT INTO public.ecdc_import VALUES (5676, '09/06/2020', '9', '6', '2020', '153', '9', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '17.39772768');
INSERT INTO public.ecdc_import VALUES (5677, '08/06/2020', '8', '6', '2020', '53', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '17.58977485');
INSERT INTO public.ecdc_import VALUES (5678, '07/06/2020', '7', '6', '2020', '69', '11', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '18.06116336');
INSERT INTO public.ecdc_import VALUES (5679, '06/06/2020', '6', '6', '2020', '154', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '18.88172854');
INSERT INTO public.ecdc_import VALUES (5680, '05/06/2020', '5', '6', '2020', '172', '14', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '17.99132802');
INSERT INTO public.ecdc_import VALUES (5681, '04/06/2020', '4', '6', '2020', '159', '20', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '19.96417622');
INSERT INTO public.ecdc_import VALUES (5682, '03/06/2020', '3', '6', '2020', '183', '23', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '20.91568265');
INSERT INTO public.ecdc_import VALUES (5683, '02/06/2020', '2', '6', '2020', '59', '21', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '23.16787218');
INSERT INTO public.ecdc_import VALUES (5684, '01/06/2020', '1', '6', '2020', '49', '22', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '23.44721352');
INSERT INTO public.ecdc_import VALUES (5685, '31/05/2020', '31', '5', '2020', '61', '23', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '24.19794337');
INSERT INTO public.ecdc_import VALUES (5686, '30/05/2020', '30', '5', '2020', '165', '16', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '25.78669722');
INSERT INTO public.ecdc_import VALUES (5687, '29/05/2020', '29', '5', '2020', '171', '26', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '26.95643908');
INSERT INTO public.ecdc_import VALUES (5688, '28/05/2020', '28', '5', '2020', '182', '24', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '28.16982801');
INSERT INTO public.ecdc_import VALUES (5689, '27/05/2020', '27', '5', '2020', '202', '24', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '29.85460545');
INSERT INTO public.ecdc_import VALUES (5690, '26/05/2020', '26', '5', '2020', '314', '26', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '31.26877097');
INSERT INTO public.ecdc_import VALUES (5691, '25/05/2020', '25', '5', '2020', '75', '33', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '31.6441359');
INSERT INTO public.ecdc_import VALUES (5692, '24/05/2020', '24', '5', '2020', '123', '25', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '32.66547766');
INSERT INTO public.ecdc_import VALUES (5693, '23/05/2020', '23', '5', '2020', '248', '41', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '34.71689061');
INSERT INTO public.ecdc_import VALUES (5694, '22/05/2020', '22', '5', '2020', '70', '34', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '37.96423366');
INSERT INTO public.ecdc_import VALUES (5695, '21/05/2020', '21', '5', '2020', '385', '30', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '39.42204626');
INSERT INTO public.ecdc_import VALUES (5696, '20/05/2020', '20', '5', '2020', '292', '33', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '41.64804755');
INSERT INTO public.ecdc_import VALUES (5697, '19/05/2020', '19', '5', '2020', '317', '37', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '44.72953168');
INSERT INTO public.ecdc_import VALUES (5698, '18/05/2020', '18', '5', '2020', '81', '31', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '45.24456727');
INSERT INTO public.ecdc_import VALUES (5699, '17/05/2020', '17', '5', '2020', '147', '30', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '46.4579562');
INSERT INTO public.ecdc_import VALUES (5700, '16/05/2020', '16', '5', '2020', '347', '45', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '45.49772036');
INSERT INTO public.ecdc_import VALUES (5701, '15/05/2020', '15', '5', '2020', '305', '43', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '47.95068648');
INSERT INTO public.ecdc_import VALUES (5702, '14/05/2020', '14', '5', '2020', '321', '56', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '49.70529925');
INSERT INTO public.ecdc_import VALUES (5703, '13/05/2020', '13', '5', '2020', '395', '45', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '51.22421778');
INSERT INTO public.ecdc_import VALUES (5704, '12/05/2020', '12', '5', '2020', '476', '65', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '53.65972506');
INSERT INTO public.ecdc_import VALUES (5705, '11/05/2020', '11', '5', '2020', '118', '72', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '54.41918433');
INSERT INTO public.ecdc_import VALUES (5706, '10/05/2020', '10', '5', '2020', '240', '71', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '55.71113801');
INSERT INTO public.ecdc_import VALUES (5707, '09/05/2020', '9', '5', '2020', '483', '74', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '58.57438672');
INSERT INTO public.ecdc_import VALUES (5708, '08/05/2020', '8', '5', '2020', '442', '71', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '63.23589529');
INSERT INTO public.ecdc_import VALUES (5709, '07/05/2020', '7', '5', '2020', '552', '76', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '65.20874349');
INSERT INTO public.ecdc_import VALUES (5710, '06/05/2020', '6', '5', '2020', '547', '81', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '71.52011183');
INSERT INTO public.ecdc_import VALUES (5711, '05/05/2020', '5', '5', '2020', '670', '95', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '76.82759725');
INSERT INTO public.ecdc_import VALUES (5712, '04/05/2020', '4', '5', '2020', '140', '94', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '79.48133996');
INSERT INTO public.ecdc_import VALUES (5713, '03/05/2020', '3', '5', '2020', '286', '75', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '83.28736568');
INSERT INTO public.ecdc_import VALUES (5714, '02/05/2020', '2', '5', '2020', '237', '93', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '93.39603033');
INSERT INTO public.ecdc_import VALUES (5715, '01/05/2020', '1', '5', '2020', '586', '87', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '102.90236523');
INSERT INTO public.ecdc_import VALUES (5716, '30/04/2020', '30', '4', '2020', '522', '107', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '112.60074729');
INSERT INTO public.ecdc_import VALUES (5717, '29/04/2020', '29', '4', '2020', '569', '110', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '121.26032876');
INSERT INTO public.ecdc_import VALUES (5718, '28/04/2020', '28', '4', '2020', '755', '135', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '119.36604531');
INSERT INTO public.ecdc_import VALUES (5719, '27/04/2020', '27', '4', '2020', '205', '154', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '122.15072927');
INSERT INTO public.ecdc_import VALUES (5720, '26/04/2020', '26', '4', '2020', '388', '142', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '127.77247369');
INSERT INTO public.ecdc_import VALUES (5721, '25/04/2020', '25', '4', '2020', '811', '155', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '141.08483431');
INSERT INTO public.ecdc_import VALUES (5722, '24/04/2020', '24', '4', '2020', '976', '156', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '152.11881714');
INSERT INTO public.ecdc_import VALUES (5723, '23/04/2020', '23', '4', '2020', '778', '181', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '159.28566833');
INSERT INTO public.ecdc_import VALUES (5724, '22/04/2020', '22', '4', '2020', '1270', '203', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '161.42437545');
INSERT INTO public.ecdc_import VALUES (5725, '21/04/2020', '21', '4', '2020', '1278', '206', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '167.17706112');
INSERT INTO public.ecdc_import VALUES (5726, '20/04/2020', '20', '4', '2020', '444', '190', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '169.12372106');
INSERT INTO public.ecdc_import VALUES (5727, '19/04/2020', '19', '4', '2020', '722', '208', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '170.87833384');
INSERT INTO public.ecdc_import VALUES (5728, '18/04/2020', '18', '4', '2020', '1395', '205', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '173.48842946');
INSERT INTO public.ecdc_import VALUES (5729, '17/04/2020', '17', '4', '2020', '1675', '246', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '171.77746377');
INSERT INTO public.ecdc_import VALUES (5730, '16/04/2020', '16', '4', '2020', '1633', '280', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '170.76485142');
INSERT INTO public.ecdc_import VALUES (5731, '15/04/2020', '15', '4', '2020', '1561', '261', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '171.82984027');
INSERT INTO public.ecdc_import VALUES (5732, '14/04/2020', '14', '4', '2020', '538', '277', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '182.31386985');
INSERT INTO public.ecdc_import VALUES (5733, '13/04/2020', '13', '4', '2020', '524', '265', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '183.71930595');
INSERT INTO public.ecdc_import VALUES (5734, '12/04/2020', '12', '4', '2020', '1032', '284', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '182.08690501');
INSERT INTO public.ecdc_import VALUES (5735, '11/04/2020', '11', '4', '2020', '2336', '302', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '174.9637009');
INSERT INTO public.ecdc_import VALUES (5736, '10/04/2020', '10', '4', '2020', '2240', '272', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '167.30800237');
INSERT INTO public.ecdc_import VALUES (5737, '09/04/2020', '9', '4', '2020', '1599', '322', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '163.81623565');
INSERT INTO public.ecdc_import VALUES (5738, '08/04/2020', '8', '4', '2020', '1515', '277', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '161.02282227');
INSERT INTO public.ecdc_import VALUES (5739, '07/04/2020', '7', '4', '2020', '1937', '257', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '155.70660744');
INSERT INTO public.ecdc_import VALUES (5740, '06/04/2020', '6', '4', '2020', '667', '247', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '154.126583');
INSERT INTO public.ecdc_import VALUES (5741, '05/04/2020', '5', '4', '2020', '923', '271', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '150.16342778');
INSERT INTO public.ecdc_import VALUES (5742, '04/04/2020', '4', '4', '2020', '1694', '236', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '141.15466964');
INSERT INTO public.ecdc_import VALUES (5743, '03/04/2020', '3', '4', '2020', '1479', '219', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '134.46793637');
INSERT INTO public.ecdc_import VALUES (5744, '02/04/2020', '2', '4', '2020', '1517', '233', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '125.89564908');
INSERT INTO public.ecdc_import VALUES (5745, '01/04/2020', '1', '4', '2020', '1683', '208', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '114.88785449');
INSERT INTO public.ecdc_import VALUES (5746, '31/03/2020', '31', '3', '2020', '1739', '170', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '103.08568298');
INSERT INTO public.ecdc_import VALUES (5747, '30/03/2020', '30', '3', '2020', '685', '149', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '98.97412767');
INSERT INTO public.ecdc_import VALUES (5748, '29/03/2020', '29', '3', '2020', '845', '141', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '93.16033608');
INSERT INTO public.ecdc_import VALUES (5749, '28/03/2020', '28', '3', '2020', '1520', '128', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '82.84216542');
INSERT INTO public.ecdc_import VALUES (5750, '27/03/2020', '27', '3', '2020', '1363', '102', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '73.13505394');
INSERT INTO public.ecdc_import VALUES (5751, '26/03/2020', '26', '3', '2020', '1199', '107', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '64.18740172');
INSERT INTO public.ecdc_import VALUES (5752, '25/03/2020', '25', '3', '2020', '1195', '77', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '54.61996091');
INSERT INTO public.ecdc_import VALUES (5753, '24/03/2020', '24', '3', '2020', '1328', '78', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '43.84786058');
INSERT INTO public.ecdc_import VALUES (5754, '23/03/2020', '23', '3', '2020', '486', '47', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '40.16404669');
INSERT INTO public.ecdc_import VALUES (5755, '22/03/2020', '22', '3', '2020', '469', '40', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '36.30564447');
INSERT INTO public.ecdc_import VALUES (5756, '21/03/2020', '21', '3', '2020', '662', '35', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '31.48700639');
INSERT INTO public.ecdc_import VALUES (5757, '20/03/2020', '20', '3', '2020', '713', '33', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '25.97001498');
INSERT INTO public.ecdc_import VALUES (5758, '19/03/2020', '19', '3', '2020', '535', '22', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '21.76243608');
INSERT INTO public.ecdc_import VALUES (5759, '18/03/2020', '18', '3', '2020', '422', '10', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '18.37542236');
INSERT INTO public.ecdc_import VALUES (5760, '17/03/2020', '17', '3', '2020', '387', '12', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '15.16299698');
INSERT INTO public.ecdc_import VALUES (5761, '16/03/2020', '16', '3', '2020', '214', '6', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '13.29490178');
INSERT INTO public.ecdc_import VALUES (5762, '15/03/2020', '15', '3', '2020', '179', '5', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '11.88946568');
INSERT INTO public.ecdc_import VALUES (5763, '14/03/2020', '14', '3', '2020', '338', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '8.9389228');
INSERT INTO public.ecdc_import VALUES (5764, '13/03/2020', '13', '3', '2020', '251', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '6.74783919');
INSERT INTO public.ecdc_import VALUES (5765, '12/03/2020', '12', '3', '2020', '174', '3', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '5.22892066');
INSERT INTO public.ecdc_import VALUES (5766, '11/03/2020', '11', '3', '2020', '99', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '4.3647084');
INSERT INTO public.ecdc_import VALUES (5767, '10/03/2020', '10', '3', '2020', '94', '1', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '3.54414322');
INSERT INTO public.ecdc_import VALUES (5768, '09/03/2020', '9', '3', '2020', '64', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '2.98546055');
INSERT INTO public.ecdc_import VALUES (5769, '08/03/2020', '8', '3', '2020', '27', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '2.74976629');
INSERT INTO public.ecdc_import VALUES (5770, '07/03/2020', '7', '3', '2020', '110', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1.78953044');
INSERT INTO public.ecdc_import VALUES (5771, '06/03/2020', '6', '3', '2020', '81', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1.08244768');
INSERT INTO public.ecdc_import VALUES (5772, '05/03/2020', '5', '3', '2020', '53', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.61978859');
INSERT INTO public.ecdc_import VALUES (5773, '04/03/2020', '4', '3', '2020', '34', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.32298842');
INSERT INTO public.ecdc_import VALUES (5774, '03/03/2020', '3', '3', '2020', '19', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.1571295');
INSERT INTO public.ecdc_import VALUES (5775, '02/03/2020', '2', '3', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.1571295');
INSERT INTO public.ecdc_import VALUES (5776, '01/03/2020', '1', '3', '2020', '18', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5777, '29/02/2020', '29', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5778, '28/02/2020', '28', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5779, '27/02/2020', '27', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5780, '26/02/2020', '26', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5781, '25/02/2020', '25', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5782, '24/02/2020', '24', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5783, '23/02/2020', '23', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5784, '22/02/2020', '22', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5785, '21/02/2020', '21', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5786, '20/02/2020', '20', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5787, '19/02/2020', '19', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5788, '18/02/2020', '18', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5789, '17/02/2020', '17', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5790, '16/02/2020', '16', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5791, '15/02/2020', '15', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5792, '14/02/2020', '14', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5793, '13/02/2020', '13', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5794, '12/02/2020', '12', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5795, '11/02/2020', '11', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5796, '10/02/2020', '10', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5797, '09/02/2020', '9', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5798, '08/02/2020', '8', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5799, '07/02/2020', '7', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5800, '06/02/2020', '6', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5801, '05/02/2020', '5', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0.00872942');
INSERT INTO public.ecdc_import VALUES (5802, '04/02/2020', '4', '2', '2020', '1', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5803, '03/02/2020', '3', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5804, '02/02/2020', '2', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5805, '01/02/2020', '1', '2', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5806, '31/01/2020', '31', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5807, '30/01/2020', '30', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5808, '29/01/2020', '29', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5809, '28/01/2020', '28', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5810, '27/01/2020', '27', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5811, '26/01/2020', '26', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5812, '25/01/2020', '25', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5813, '24/01/2020', '24', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5814, '23/01/2020', '23', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5815, '22/01/2020', '22', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5816, '21/01/2020', '21', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5817, '20/01/2020', '20', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5818, '19/01/2020', '19', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5819, '18/01/2020', '18', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5820, '17/01/2020', '17', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5821, '16/01/2020', '16', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5822, '15/01/2020', '15', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5823, '14/01/2020', '14', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (5824, '13/01/2020', '13', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '1.06498885');
INSERT INTO public.ecdc_import VALUES (5825, '12/01/2020', '12', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5826, '11/01/2020', '11', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5827, '10/01/2020', '10', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5828, '09/01/2020', '9', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5829, '08/01/2020', '8', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5830, '07/01/2020', '7', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5831, '06/01/2020', '6', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5832, '05/01/2020', '5', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5833, '04/01/2020', '4', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5834, '03/01/2020', '3', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5835, '02/01/2020', '2', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5836, '01/01/2020', '1', '1', '2020', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5837, '31/12/2019', '31', '12', '2019', '0', '0', '11455519', 'Belgium', 'BE', 'BEL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (5838, '14/12/2020', '14', '12', '2020', '122', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '909.95027552');
INSERT INTO public.ecdc_import VALUES (5839, '13/12/2020', '13', '12', '2020', '208', '7', '390351', 'Belize', 'BZ', 'BLZ', 'America', '903.28960346');
INSERT INTO public.ecdc_import VALUES (5840, '12/12/2020', '12', '12', '2020', '160', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '865.37500865');
INSERT INTO public.ecdc_import VALUES (5841, '11/12/2020', '11', '12', '2020', '286', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '842.83119551');
INSERT INTO public.ecdc_import VALUES (5842, '10/12/2020', '10', '12', '2020', '506', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '793.13233474');
INSERT INTO public.ecdc_import VALUES (5843, '09/12/2020', '9', '12', '2020', '60', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '686.04922237');
INSERT INTO public.ecdc_import VALUES (5844, '08/12/2020', '8', '12', '2020', '184', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '692.70989443');
INSERT INTO public.ecdc_import VALUES (5845, '07/12/2020', '7', '12', '2020', '168', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '662.48069046');
INSERT INTO public.ecdc_import VALUES (5846, '06/12/2020', '6', '12', '2020', '218', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '638.14361946');
INSERT INTO public.ecdc_import VALUES (5847, '05/12/2020', '5', '12', '2020', '147', '6', '390351', 'Belize', 'BZ', 'BLZ', 'America', '596.13014953');
INSERT INTO public.ecdc_import VALUES (5848, '04/12/2020', '4', '12', '2020', '1382', '16', '390351', 'Belize', 'BZ', 'BLZ', 'America', '568.20656281');
INSERT INTO public.ecdc_import VALUES (5849, '03/12/2020', '3', '12', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '229.53700644');
INSERT INTO public.ecdc_import VALUES (5850, '02/12/2020', '2', '12', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '239.27183484');
INSERT INTO public.ecdc_import VALUES (5851, '01/12/2020', '1', '12', '2020', '111', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '248.75048354');
INSERT INTO public.ecdc_import VALUES (5852, '30/11/2020', '30', '11', '2020', '96', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '225.95049071');
INSERT INTO public.ecdc_import VALUES (5853, '29/11/2020', '29', '11', '2020', '60', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '221.33925621');
INSERT INTO public.ecdc_import VALUES (5854, '28/11/2020', '28', '11', '2020', '72', '10', '390351', 'Belize', 'BZ', 'BLZ', 'America', '223.38869377');
INSERT INTO public.ecdc_import VALUES (5855, '27/11/2020', '27', '11', '2020', '92', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '235.42913942');
INSERT INTO public.ecdc_import VALUES (5856, '26/11/2020', '26', '11', '2020', '88', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '231.3302643');
INSERT INTO public.ecdc_import VALUES (5857, '25/11/2020', '25', '11', '2020', '86', '5', '390351', 'Belize', 'BZ', 'BLZ', 'America', '235.9414988');
INSERT INTO public.ecdc_import VALUES (5858, '24/11/2020', '24', '11', '2020', '66', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '261.04710888');
INSERT INTO public.ecdc_import VALUES (5859, '23/11/2020', '23', '11', '2020', '73', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '257.97295255');
INSERT INTO public.ecdc_import VALUES (5860, '22/11/2020', '22', '11', '2020', '54', '5', '390351', 'Belize', 'BZ', 'BLZ', 'America', '264.8898043');
INSERT INTO public.ecdc_import VALUES (5861, '21/11/2020', '21', '11', '2020', '38', '5', '390351', 'Belize', 'BZ', 'BLZ', 'America', '266.42688247');
INSERT INTO public.ecdc_import VALUES (5862, '20/11/2020', '20', '11', '2020', '60', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '266.68306217');
INSERT INTO public.ecdc_import VALUES (5863, '19/11/2020', '19', '11', '2020', '38', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '269.7572185');
INSERT INTO public.ecdc_import VALUES (5864, '18/11/2020', '18', '11', '2020', '37', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '289.48305499');
INSERT INTO public.ecdc_import VALUES (5865, '17/11/2020', '17', '11', '2020', '22', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '322.53023561');
INSERT INTO public.ecdc_import VALUES (5866, '16/11/2020', '16', '11', '2020', '78', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '358.39539286');
INSERT INTO public.ecdc_import VALUES (5867, '15/11/2020', '15', '11', '2020', '68', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '338.41337668');
INSERT INTO public.ecdc_import VALUES (5868, '14/11/2020', '14', '11', '2020', '119', '10', '390351', 'Belize', 'BZ', 'BLZ', 'America', '320.99315744');
INSERT INTO public.ecdc_import VALUES (5869, '13/11/2020', '13', '11', '2020', '76', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '311.00214935');
INSERT INTO public.ecdc_import VALUES (5870, '12/11/2020', '12', '11', '2020', '106', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '322.53023561');
INSERT INTO public.ecdc_import VALUES (5871, '11/11/2020', '11', '11', '2020', '184', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '302.80439912');
INSERT INTO public.ecdc_import VALUES (5872, '10/11/2020', '10', '11', '2020', '54', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '263.86508553');
INSERT INTO public.ecdc_import VALUES (5873, '09/11/2020', '9', '11', '2020', '100', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '264.12126522');
INSERT INTO public.ecdc_import VALUES (5874, '08/11/2020', '8', '11', '2020', '60', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '248.49430384');
INSERT INTO public.ecdc_import VALUES (5875, '07/11/2020', '7', '11', '2020', '39', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '247.46958507');
INSERT INTO public.ecdc_import VALUES (5876, '06/11/2020', '6', '11', '2020', '72', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '251.56846018');
INSERT INTO public.ecdc_import VALUES (5877, '05/11/2020', '5', '11', '2020', '115', '3', '390351', 'Belize', 'BZ', 'BLZ', 'America', '247.98194446');
INSERT INTO public.ecdc_import VALUES (5878, '04/11/2020', '4', '11', '2020', '166', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '231.586444');
INSERT INTO public.ecdc_import VALUES (5879, '03/11/2020', '3', '11', '2020', '162', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '202.6381385');
INSERT INTO public.ecdc_import VALUES (5880, '02/11/2020', '2', '11', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '166.26062185');
INSERT INTO public.ecdc_import VALUES (5881, '01/11/2020', '1', '11', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '175.99545025');
INSERT INTO public.ecdc_import VALUES (5882, '31/10/2020', '31', '10', '2020', '80', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '188.0358959');
INSERT INTO public.ecdc_import VALUES (5883, '30/10/2020', '30', '10', '2020', '121', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '179.32578628');
INSERT INTO public.ecdc_import VALUES (5884, '29/10/2020', '29', '10', '2020', '29', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '164.46736399');
INSERT INTO public.ecdc_import VALUES (5885, '28/10/2020', '28', '10', '2020', '32', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '165.74826246');
INSERT INTO public.ecdc_import VALUES (5886, '27/10/2020', '27', '10', '2020', '55', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '161.64938735');
INSERT INTO public.ecdc_import VALUES (5887, '26/10/2020', '26', '10', '2020', '39', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '183.93702078');
INSERT INTO public.ecdc_import VALUES (5888, '25/10/2020', '25', '10', '2020', '56', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '173.94601269');
INSERT INTO public.ecdc_import VALUES (5889, '24/10/2020', '24', '10', '2020', '55', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '173.4336533');
INSERT INTO public.ecdc_import VALUES (5890, '23/10/2020', '23', '10', '2020', '58', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '159.34377009');
INSERT INTO public.ecdc_import VALUES (5891, '22/10/2020', '22', '10', '2020', '51', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '160.62466857');
INSERT INTO public.ecdc_import VALUES (5892, '21/10/2020', '21', '10', '2020', '53', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '164.72354368');
INSERT INTO public.ecdc_import VALUES (5893, '20/10/2020', '20', '10', '2020', '20', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '161.13702796');
INSERT INTO public.ecdc_import VALUES (5894, '19/10/2020', '19', '10', '2020', '38', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '158.06287162');
INSERT INTO public.ecdc_import VALUES (5895, '18/10/2020', '18', '10', '2020', '47', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '164.97972338');
INSERT INTO public.ecdc_import VALUES (5896, '17/10/2020', '17', '10', '2020', '46', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '166.00444216');
INSERT INTO public.ecdc_import VALUES (5897, '16/10/2020', '16', '10', '2020', '63', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '168.05387971');
INSERT INTO public.ecdc_import VALUES (5898, '15/10/2020', '15', '10', '2020', '34', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '160.62466857');
INSERT INTO public.ecdc_import VALUES (5899, '14/10/2020', '14', '10', '2020', '16', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '164.46736399');
INSERT INTO public.ecdc_import VALUES (5900, '13/10/2020', '13', '10', '2020', '142', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '173.689833');
INSERT INTO public.ecdc_import VALUES (5901, '12/10/2020', '12', '10', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '146.79096505');
INSERT INTO public.ecdc_import VALUES (5902, '11/10/2020', '11', '10', '2020', '54', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '154.2201762');
INSERT INTO public.ecdc_import VALUES (5903, '10/10/2020', '10', '10', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '144.7415275');
INSERT INTO public.ecdc_import VALUES (5904, '09/10/2020', '9', '10', '2020', '63', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '157.55051223');
INSERT INTO public.ecdc_import VALUES (5905, '08/10/2020', '8', '10', '2020', '67', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '154.73253559');
INSERT INTO public.ecdc_import VALUES (5906, '07/10/2020', '7', '10', '2020', '39', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '147.04714475');
INSERT INTO public.ecdc_import VALUES (5907, '06/10/2020', '6', '10', '2020', '8', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '145.76624628');
INSERT INTO public.ecdc_import VALUES (5908, '05/10/2020', '5', '10', '2020', '65', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '145.76624628');
INSERT INTO public.ecdc_import VALUES (5909, '04/10/2020', '4', '10', '2020', '51', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '134.49433971');
INSERT INTO public.ecdc_import VALUES (5910, '03/10/2020', '3', '10', '2020', '54', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '125.5280504');
INSERT INTO public.ecdc_import VALUES (5911, '02/10/2020', '2', '10', '2020', '34', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '117.58647986');
INSERT INTO public.ecdc_import VALUES (5912, '01/10/2020', '1', '10', '2020', '49', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '116.81794078');
INSERT INTO public.ecdc_import VALUES (5913, '30/09/2020', '30', '9', '2020', '52', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '106.31457329');
INSERT INTO public.ecdc_import VALUES (5914, '29/09/2020', '29', '9', '2020', '37', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '99.91008093');
INSERT INTO public.ecdc_import VALUES (5915, '28/09/2020', '28', '9', '2020', '29', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '95.81120581');
INSERT INTO public.ecdc_import VALUES (5916, '27/09/2020', '27', '9', '2020', '17', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '94.01794795');
INSERT INTO public.ecdc_import VALUES (5917, '26/09/2020', '26', '9', '2020', '50', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '95.55502612');
INSERT INTO public.ecdc_import VALUES (5918, '25/09/2020', '25', '9', '2020', '52', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '91.96851039');
INSERT INTO public.ecdc_import VALUES (5919, '24/09/2020', '24', '9', '2020', '37', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '87.35727589');
INSERT INTO public.ecdc_import VALUES (5920, '23/09/2020', '23', '9', '2020', '34', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '78.90334596');
INSERT INTO public.ecdc_import VALUES (5921, '22/09/2020', '22', '9', '2020', '8', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '84.02693986');
INSERT INTO public.ecdc_import VALUES (5922, '21/09/2020', '21', '9', '2020', '21', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '93.76176825');
INSERT INTO public.ecdc_import VALUES (5923, '20/09/2020', '20', '9', '2020', '16', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '105.54603421');
INSERT INTO public.ecdc_import VALUES (5924, '19/09/2020', '19', '9', '2020', '23', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '112.20670627');
INSERT INTO public.ecdc_import VALUES (5925, '18/09/2020', '18', '9', '2020', '31', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '115.02468291');
INSERT INTO public.ecdc_import VALUES (5926, '17/09/2020', '17', '9', '2020', '8', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '111.43816719');
INSERT INTO public.ecdc_import VALUES (5927, '16/09/2020', '16', '9', '2020', '27', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '122.45389406');
INSERT INTO public.ecdc_import VALUES (5928, '15/09/2020', '15', '9', '2020', '21', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '126.55276917');
INSERT INTO public.ecdc_import VALUES (5929, '14/09/2020', '14', '9', '2020', '22', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '124.50333162');
INSERT INTO public.ecdc_import VALUES (5930, '13/09/2020', '13', '9', '2020', '23', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '126.55276917');
INSERT INTO public.ecdc_import VALUES (5931, '12/09/2020', '12', '9', '2020', '36', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '144.7415275');
INSERT INTO public.ecdc_import VALUES (5932, '11/09/2020', '11', '9', '2020', '34', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '148.84040261');
INSERT INTO public.ecdc_import VALUES (5933, '10/09/2020', '10', '9', '2020', '4', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '154.98871528');
INSERT INTO public.ecdc_import VALUES (5934, '09/09/2020', '9', '9', '2020', '54', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '161.64938735');
INSERT INTO public.ecdc_import VALUES (5935, '08/09/2020', '8', '9', '2020', '46', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '152.17073864');
INSERT INTO public.ecdc_import VALUES (5936, '07/09/2020', '7', '9', '2020', '67', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '147.30332444');
INSERT INTO public.ecdc_import VALUES (5937, '06/09/2020', '6', '9', '2020', '42', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '134.7505194');
INSERT INTO public.ecdc_import VALUES (5938, '05/09/2020', '5', '9', '2020', '34', '2', '390351', 'Belize', 'BZ', 'BLZ', 'America', '129.11456612');
INSERT INTO public.ecdc_import VALUES (5939, '04/09/2020', '4', '9', '2020', '17', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '131.42018337');
INSERT INTO public.ecdc_import VALUES (5940, '03/09/2020', '3', '9', '2020', '51', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '140.38647269');
INSERT INTO public.ecdc_import VALUES (5941, '02/09/2020', '2', '9', '2020', '43', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '127.32130826');
INSERT INTO public.ecdc_import VALUES (5942, '01/09/2020', '1', '9', '2020', '13', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '136.28759757');
INSERT INTO public.ecdc_import VALUES (5943, '31/08/2020', '31', '8', '2020', '30', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '138.84939452');
INSERT INTO public.ecdc_import VALUES (5944, '30/08/2020', '30', '8', '2020', '94', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '131.16400368');
INSERT INTO public.ecdc_import VALUES (5945, '29/08/2020', '29', '8', '2020', '52', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '123.47861284');
INSERT INTO public.ecdc_import VALUES (5946, '28/08/2020', '28', '8', '2020', '58', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '118.35501894');
INSERT INTO public.ecdc_import VALUES (5947, '27/08/2020', '27', '8', '2020', '30', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '118.86737833');
INSERT INTO public.ecdc_import VALUES (5948, '26/08/2020', '26', '8', '2020', '17', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '133.21344124');
INSERT INTO public.ecdc_import VALUES (5949, '25/08/2020', '25', '8', '2020', '27', '4', '390351', 'Belize', 'BZ', 'BLZ', 'America', '137.31231635');
INSERT INTO public.ecdc_import VALUES (5950, '24/08/2020', '24', '8', '2020', '18', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '136.28759757');
INSERT INTO public.ecdc_import VALUES (5951, '23/08/2020', '23', '8', '2020', '20', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '131.93254276');
INSERT INTO public.ecdc_import VALUES (5952, '22/08/2020', '22', '8', '2020', '43', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '128.60220673');
INSERT INTO public.ecdc_import VALUES (5953, '21/08/2020', '21', '8', '2020', '52', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '125.78423009');
INSERT INTO public.ecdc_import VALUES (5954, '20/08/2020', '20', '8', '2020', '0', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '119.63591742');
INSERT INTO public.ecdc_import VALUES (5955, '19/08/2020', '19', '8', '2020', '78', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '123.22243314');
INSERT INTO public.ecdc_import VALUES (5956, '18/08/2020', '18', '8', '2020', '23', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '107.08311238');
INSERT INTO public.ecdc_import VALUES (5957, '17/08/2020', '17', '8', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '101.1909794');
INSERT INTO public.ecdc_import VALUES (5958, '16/08/2020', '16', '8', '2020', '64', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '101.4471591');
INSERT INTO public.ecdc_import VALUES (5959, '15/08/2020', '15', '8', '2020', '32', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '87.10109619');
INSERT INTO public.ecdc_import VALUES (5960, '14/08/2020', '14', '8', '2020', '60', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '78.90334596');
INSERT INTO public.ecdc_import VALUES (5961, '13/08/2020', '13', '8', '2020', '86', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '63.53256428');
INSERT INTO public.ecdc_import VALUES (5962, '12/08/2020', '12', '8', '2020', '33', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '41.50111054');
INSERT INTO public.ecdc_import VALUES (5963, '11/08/2020', '11', '8', '2020', '23', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '33.04718061');
INSERT INTO public.ecdc_import VALUES (5964, '10/08/2020', '10', '8', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '27.15504764');
INSERT INTO public.ecdc_import VALUES (5965, '09/08/2020', '9', '8', '2020', '7', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '26.89886794');
INSERT INTO public.ecdc_import VALUES (5966, '08/08/2020', '8', '8', '2020', '32', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '25.10561008');
INSERT INTO public.ecdc_import VALUES (5967, '07/08/2020', '7', '8', '2020', '28', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '17.16403954');
INSERT INTO public.ecdc_import VALUES (5968, '06/08/2020', '6', '8', '2020', '14', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '11.01572687');
INSERT INTO public.ecdc_import VALUES (5969, '05/08/2020', '5', '8', '2020', '15', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '7.42921115');
INSERT INTO public.ecdc_import VALUES (5970, '04/08/2020', '4', '8', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.84269542');
INSERT INTO public.ecdc_import VALUES (5971, '03/08/2020', '3', '8', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '4.35505481');
INSERT INTO public.ecdc_import VALUES (5972, '02/08/2020', '2', '8', '2020', '8', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '4.09887511');
INSERT INTO public.ecdc_import VALUES (5973, '01/08/2020', '1', '8', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (5974, '31/07/2020', '31', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (5975, '30/07/2020', '30', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.30561725');
INSERT INTO public.ecdc_import VALUES (5976, '29/07/2020', '29', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.30561725');
INSERT INTO public.ecdc_import VALUES (5977, '28/07/2020', '28', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (5978, '27/07/2020', '27', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (5979, '26/07/2020', '26', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (5980, '25/07/2020', '25', '7', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (5981, '24/07/2020', '24', '7', '2020', '4', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.58651573');
INSERT INTO public.ecdc_import VALUES (5982, '23/07/2020', '23', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (5983, '22/07/2020', '22', '7', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (5984, '21/07/2020', '21', '7', '2020', '2', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.07415634');
INSERT INTO public.ecdc_import VALUES (5985, '20/07/2020', '20', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.56179695');
INSERT INTO public.ecdc_import VALUES (5986, '19/07/2020', '19', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.56179695');
INSERT INTO public.ecdc_import VALUES (5987, '18/07/2020', '18', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.56179695');
INSERT INTO public.ecdc_import VALUES (5988, '17/07/2020', '17', '7', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.07415634');
INSERT INTO public.ecdc_import VALUES (5989, '16/07/2020', '16', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (5990, '15/07/2020', '15', '7', '2020', '2', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (5991, '14/07/2020', '14', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (5992, '13/07/2020', '13', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (5993, '12/07/2020', '12', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (5994, '11/07/2020', '11', '7', '2020', '4', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (5995, '10/07/2020', '10', '7', '2020', '3', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.56179695');
INSERT INTO public.ecdc_import VALUES (5996, '09/07/2020', '9', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.79325786');
INSERT INTO public.ecdc_import VALUES (5997, '08/07/2020', '8', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.79325786');
INSERT INTO public.ecdc_import VALUES (5998, '07/07/2020', '7', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.79325786');
INSERT INTO public.ecdc_import VALUES (5999, '06/07/2020', '6', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (6000, '05/07/2020', '5', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (6001, '04/07/2020', '4', '7', '2020', '2', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (6002, '03/07/2020', '3', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.53707817');
INSERT INTO public.ecdc_import VALUES (6003, '02/07/2020', '2', '7', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.53707817');
INSERT INTO public.ecdc_import VALUES (6004, '01/07/2020', '1', '7', '2020', '4', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.79325786');
INSERT INTO public.ecdc_import VALUES (6005, '30/06/2020', '30', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6006, '29/06/2020', '29', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6007, '28/06/2020', '28', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6008, '27/06/2020', '27', '6', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6009, '26/06/2020', '26', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6010, '25/06/2020', '25', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6011, '24/06/2020', '24', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6012, '23/06/2020', '23', '6', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6013, '22/06/2020', '22', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6014, '21/06/2020', '21', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6015, '20/06/2020', '20', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6016, '19/06/2020', '19', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6017, '18/06/2020', '18', '6', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6018, '17/06/2020', '17', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6019, '16/06/2020', '16', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6020, '15/06/2020', '15', '6', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.76853908');
INSERT INTO public.ecdc_import VALUES (6021, '14/06/2020', '14', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.51235939');
INSERT INTO public.ecdc_import VALUES (6022, '13/06/2020', '13', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.51235939');
INSERT INTO public.ecdc_import VALUES (6023, '12/06/2020', '12', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.51235939');
INSERT INTO public.ecdc_import VALUES (6024, '11/06/2020', '11', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.51235939');
INSERT INTO public.ecdc_import VALUES (6025, '10/06/2020', '10', '6', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.51235939');
INSERT INTO public.ecdc_import VALUES (6026, '09/06/2020', '9', '6', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0.25617969');
INSERT INTO public.ecdc_import VALUES (6027, '08/06/2020', '8', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6028, '07/06/2020', '7', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6029, '06/06/2020', '6', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6030, '05/06/2020', '5', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6031, '04/06/2020', '4', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6032, '03/06/2020', '3', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6033, '02/06/2020', '2', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6034, '01/06/2020', '1', '6', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6035, '31/05/2020', '31', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6036, '30/05/2020', '30', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6037, '29/05/2020', '29', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6038, '28/05/2020', '28', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6039, '27/05/2020', '27', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6040, '26/05/2020', '26', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6041, '25/05/2020', '25', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6042, '24/05/2020', '24', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6043, '23/05/2020', '23', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6044, '22/05/2020', '22', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6045, '21/05/2020', '21', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6046, '20/05/2020', '20', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6047, '19/05/2020', '19', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6048, '18/05/2020', '18', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6049, '17/05/2020', '17', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6050, '16/05/2020', '16', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6051, '15/05/2020', '15', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6052, '14/05/2020', '14', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6053, '13/05/2020', '13', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6054, '12/05/2020', '12', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6055, '11/05/2020', '11', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6056, '10/05/2020', '10', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6057, '09/05/2020', '9', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6058, '08/05/2020', '8', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6059, '07/05/2020', '7', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6060, '06/05/2020', '6', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6061, '05/05/2020', '5', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6062, '04/05/2020', '4', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6063, '03/05/2020', '3', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6064, '02/05/2020', '2', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6065, '01/05/2020', '1', '5', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6066, '30/04/2020', '30', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6067, '29/04/2020', '29', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6068, '28/04/2020', '28', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6069, '27/04/2020', '27', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.02471878');
INSERT INTO public.ecdc_import VALUES (6070, '26/04/2020', '26', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.28089847');
INSERT INTO public.ecdc_import VALUES (6071, '25/04/2020', '25', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (6072, '24/04/2020', '24', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.30561725');
INSERT INTO public.ecdc_import VALUES (6073, '23/04/2020', '23', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.56179695');
INSERT INTO public.ecdc_import VALUES (6074, '22/04/2020', '22', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (6075, '21/04/2020', '21', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (6076, '20/04/2020', '20', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.33033603');
INSERT INTO public.ecdc_import VALUES (6077, '19/04/2020', '19', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.58651573');
INSERT INTO public.ecdc_import VALUES (6078, '18/04/2020', '18', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.58651573');
INSERT INTO public.ecdc_import VALUES (6079, '17/04/2020', '17', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.84269542');
INSERT INTO public.ecdc_import VALUES (6080, '16/04/2020', '16', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.84269542');
INSERT INTO public.ecdc_import VALUES (6081, '15/04/2020', '15', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.84269542');
INSERT INTO public.ecdc_import VALUES (6082, '14/04/2020', '14', '4', '2020', '4', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.84269542');
INSERT INTO public.ecdc_import VALUES (6083, '13/04/2020', '13', '4', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '3.07415634');
INSERT INTO public.ecdc_import VALUES (6084, '12/04/2020', '12', '4', '2020', '3', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.81797664');
INSERT INTO public.ecdc_import VALUES (6085, '11/04/2020', '11', '4', '2020', '1', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '2.04943756');
INSERT INTO public.ecdc_import VALUES (6086, '10/04/2020', '10', '4', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.79325786');
INSERT INTO public.ecdc_import VALUES (6087, '09/04/2020', '9', '4', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.53707817');
INSERT INTO public.ecdc_import VALUES (6088, '08/04/2020', '8', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.53707817');
INSERT INTO public.ecdc_import VALUES (6089, '07/04/2020', '7', '4', '2020', '2', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.53707817');
INSERT INTO public.ecdc_import VALUES (6090, '06/04/2020', '6', '4', '2020', '1', '1', '390351', 'Belize', 'BZ', 'BLZ', 'America', '1.28089847');
INSERT INTO public.ecdc_import VALUES (6091, '05/04/2020', '5', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6092, '04/04/2020', '4', '4', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6093, '03/04/2020', '3', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6094, '02/04/2020', '2', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6095, '01/04/2020', '1', '4', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6096, '31/03/2020', '31', '3', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6097, '30/03/2020', '30', '3', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6098, '29/03/2020', '29', '3', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6099, '28/03/2020', '28', '3', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6100, '27/03/2020', '27', '3', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6101, '26/03/2020', '26', '3', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6102, '25/03/2020', '25', '3', '2020', '0', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6103, '24/03/2020', '24', '3', '2020', '1', '0', '390351', 'Belize', 'BZ', 'BLZ', 'America', '');
INSERT INTO public.ecdc_import VALUES (6104, '14/12/2020', '14', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.98295497');
INSERT INTO public.ecdc_import VALUES (6105, '13/12/2020', '13', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.98295497');
INSERT INTO public.ecdc_import VALUES (6106, '12/12/2020', '12', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.98295497');
INSERT INTO public.ecdc_import VALUES (6107, '11/12/2020', '11', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.98295497');
INSERT INTO public.ecdc_import VALUES (6108, '10/12/2020', '10', '12', '2020', '17', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.98295497');
INSERT INTO public.ecdc_import VALUES (6109, '09/12/2020', '9', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.33037871');
INSERT INTO public.ecdc_import VALUES (6110, '08/12/2020', '8', '12', '2020', '18', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.33037871');
INSERT INTO public.ecdc_import VALUES (6111, '07/12/2020', '7', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6112, '06/12/2020', '6', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6113, '05/12/2020', '5', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6114, '04/12/2020', '4', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6115, '03/12/2020', '3', '12', '2020', '40', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6116, '02/12/2020', '2', '12', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6117, '01/12/2020', '1', '12', '2020', '41', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6118, '30/11/2020', '30', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.10158746');
INSERT INTO public.ecdc_import VALUES (6119, '29/11/2020', '29', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.10158746');
INSERT INTO public.ecdc_import VALUES (6120, '28/11/2020', '28', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.10158746');
INSERT INTO public.ecdc_import VALUES (6121, '27/11/2020', '27', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.10158746');
INSERT INTO public.ecdc_import VALUES (6122, '26/11/2020', '26', '11', '2020', '58', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.10158746');
INSERT INTO public.ecdc_import VALUES (6123, '25/11/2020', '25', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.14395621');
INSERT INTO public.ecdc_import VALUES (6124, '24/11/2020', '24', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6125, '23/11/2020', '23', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6126, '22/11/2020', '22', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6127, '21/11/2020', '21', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6128, '20/11/2020', '20', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6129, '19/11/2020', '19', '11', '2020', '72', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.4490112');
INSERT INTO public.ecdc_import VALUES (6130, '18/11/2020', '18', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.36427371');
INSERT INTO public.ecdc_import VALUES (6131, '17/11/2020', '17', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.36427371');
INSERT INTO public.ecdc_import VALUES (6132, '16/11/2020', '16', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.70322369');
INSERT INTO public.ecdc_import VALUES (6133, '15/11/2020', '15', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.70322369');
INSERT INTO public.ecdc_import VALUES (6134, '14/11/2020', '14', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.70322369');
INSERT INTO public.ecdc_import VALUES (6135, '13/11/2020', '13', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.70322369');
INSERT INTO public.ecdc_import VALUES (6136, '12/11/2020', '12', '11', '2020', '63', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.70322369');
INSERT INTO public.ecdc_import VALUES (6137, '11/11/2020', '11', '11', '2020', '36', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.89811994');
INSERT INTO public.ecdc_import VALUES (6138, '10/11/2020', '10', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.59306495');
INSERT INTO public.ecdc_import VALUES (6139, '09/11/2020', '9', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.59306495');
INSERT INTO public.ecdc_import VALUES (6140, '08/11/2020', '8', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.59306495');
INSERT INTO public.ecdc_import VALUES (6141, '07/11/2020', '7', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.59306495');
INSERT INTO public.ecdc_import VALUES (6142, '06/11/2020', '6', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.59306495');
INSERT INTO public.ecdc_import VALUES (6143, '05/11/2020', '5', '11', '2020', '62', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.59306495');
INSERT INTO public.ecdc_import VALUES (6144, '04/11/2020', '4', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5845912');
INSERT INTO public.ecdc_import VALUES (6145, '03/11/2020', '3', '11', '2020', '40', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5845912');
INSERT INTO public.ecdc_import VALUES (6146, '02/11/2020', '2', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.24564121');
INSERT INTO public.ecdc_import VALUES (6147, '01/11/2020', '1', '11', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.24564121');
INSERT INTO public.ecdc_import VALUES (6148, '31/10/2020', '31', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.24564121');
INSERT INTO public.ecdc_import VALUES (6149, '30/10/2020', '30', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.24564121');
INSERT INTO public.ecdc_import VALUES (6150, '29/10/2020', '29', '10', '2020', '86', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.3981687');
INSERT INTO public.ecdc_import VALUES (6151, '28/10/2020', '28', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6152, '27/10/2020', '27', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6153, '26/10/2020', '26', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6154, '25/10/2020', '25', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6155, '24/10/2020', '24', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6156, '23/10/2020', '23', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6157, '22/10/2020', '22', '10', '2020', '61', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.23716746');
INSERT INTO public.ecdc_import VALUES (6158, '21/10/2020', '21', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6159, '20/10/2020', '20', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6160, '19/10/2020', '19', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6161, '18/10/2020', '18', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6162, '17/10/2020', '17', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6163, '16/10/2020', '16', '10', '2020', '18', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.17785121');
INSERT INTO public.ecdc_import VALUES (6164, '15/10/2020', '15', '10', '2020', '67', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.02532372');
INSERT INTO public.ecdc_import VALUES (6165, '14/10/2020', '14', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.60163623');
INSERT INTO public.ecdc_import VALUES (6166, '13/10/2020', '13', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.60163623');
INSERT INTO public.ecdc_import VALUES (6167, '12/10/2020', '12', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.60163623');
INSERT INTO public.ecdc_import VALUES (6168, '11/10/2020', '11', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6169, '10/10/2020', '10', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6170, '09/10/2020', '9', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6171, '08/10/2020', '8', '10', '2020', '54', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6172, '07/10/2020', '7', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.53384623');
INSERT INTO public.ecdc_import VALUES (6173, '06/10/2020', '6', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.53384623');
INSERT INTO public.ecdc_import VALUES (6174, '05/10/2020', '5', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.65247873');
INSERT INTO public.ecdc_import VALUES (6175, '04/10/2020', '4', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.65247873');
INSERT INTO public.ecdc_import VALUES (6176, '03/10/2020', '3', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.65247873');
INSERT INTO public.ecdc_import VALUES (6177, '02/10/2020', '2', '10', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.65247873');
INSERT INTO public.ecdc_import VALUES (6178, '01/10/2020', '1', '10', '2020', '17', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.65247873');
INSERT INTO public.ecdc_import VALUES (6179, '30/09/2020', '30', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.61858373');
INSERT INTO public.ecdc_import VALUES (6180, '29/09/2020', '29', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.61858373');
INSERT INTO public.ecdc_import VALUES (6181, '28/09/2020', '28', '9', '2020', '15', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.61858373');
INSERT INTO public.ecdc_import VALUES (6182, '27/09/2020', '27', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.70332123');
INSERT INTO public.ecdc_import VALUES (6183, '26/09/2020', '26', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.70332123');
INSERT INTO public.ecdc_import VALUES (6184, '25/09/2020', '25', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.70332123');
INSERT INTO public.ecdc_import VALUES (6185, '24/09/2020', '24', '9', '2020', '31', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.70332123');
INSERT INTO public.ecdc_import VALUES (6186, '23/09/2020', '23', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.68637373');
INSERT INTO public.ecdc_import VALUES (6187, '22/09/2020', '22', '9', '2020', '14', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.68637373');
INSERT INTO public.ecdc_import VALUES (6188, '21/09/2020', '21', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.56774123');
INSERT INTO public.ecdc_import VALUES (6189, '20/09/2020', '20', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.56774123');
INSERT INTO public.ecdc_import VALUES (6190, '19/09/2020', '19', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6191, '18/09/2020', '18', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6192, '17/09/2020', '17', '9', '2020', '13', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.72874248');
INSERT INTO public.ecdc_import VALUES (6193, '16/09/2020', '16', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.03379747');
INSERT INTO public.ecdc_import VALUES (6194, '15/09/2020', '15', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.03379747');
INSERT INTO public.ecdc_import VALUES (6195, '14/09/2020', '14', '9', '2020', '25', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.03379747');
INSERT INTO public.ecdc_import VALUES (6196, '13/09/2020', '13', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.82195372');
INSERT INTO public.ecdc_import VALUES (6197, '12/09/2020', '12', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.82195372');
INSERT INTO public.ecdc_import VALUES (6198, '11/09/2020', '11', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.82195372');
INSERT INTO public.ecdc_import VALUES (6199, '10/09/2020', '10', '9', '2020', '29', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.82195372');
INSERT INTO public.ecdc_import VALUES (6200, '09/09/2020', '9', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.83042747');
INSERT INTO public.ecdc_import VALUES (6201, '08/09/2020', '8', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.83042747');
INSERT INTO public.ecdc_import VALUES (6202, '07/09/2020', '7', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.83042747');
INSERT INTO public.ecdc_import VALUES (6203, '06/09/2020', '6', '9', '2020', '19', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.83042747');
INSERT INTO public.ecdc_import VALUES (6204, '05/09/2020', '5', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.83890122');
INSERT INTO public.ecdc_import VALUES (6205, '04/09/2020', '4', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.83890122');
INSERT INTO public.ecdc_import VALUES (6206, '03/09/2020', '3', '9', '2020', '49', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.11006121');
INSERT INTO public.ecdc_import VALUES (6207, '02/09/2020', '2', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.69484748');
INSERT INTO public.ecdc_import VALUES (6208, '01/09/2020', '1', '9', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.69484748');
INSERT INTO public.ecdc_import VALUES (6209, '31/08/2020', '31', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.69484748');
INSERT INTO public.ecdc_import VALUES (6210, '30/08/2020', '30', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.69484748');
INSERT INTO public.ecdc_import VALUES (6211, '29/08/2020', '29', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.22021996');
INSERT INTO public.ecdc_import VALUES (6212, '28/08/2020', '28', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.22021996');
INSERT INTO public.ecdc_import VALUES (6213, '27/08/2020', '27', '8', '2020', '30', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.22021996');
INSERT INTO public.ecdc_import VALUES (6214, '26/08/2020', '26', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.96600747');
INSERT INTO public.ecdc_import VALUES (6215, '25/08/2020', '25', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5168012');
INSERT INTO public.ecdc_import VALUES (6216, '24/08/2020', '24', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5168012');
INSERT INTO public.ecdc_import VALUES (6217, '23/08/2020', '23', '8', '2020', '20', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5168012');
INSERT INTO public.ecdc_import VALUES (6218, '22/08/2020', '22', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.34732621');
INSERT INTO public.ecdc_import VALUES (6219, '21/08/2020', '21', '8', '2020', '32', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.34732621');
INSERT INTO public.ecdc_import VALUES (6220, '20/08/2020', '20', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.26258871');
INSERT INTO public.ecdc_import VALUES (6221, '19/08/2020', '19', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.26258871');
INSERT INTO public.ecdc_import VALUES (6222, '18/08/2020', '18', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.18622743');
INSERT INTO public.ecdc_import VALUES (6223, '17/08/2020', '17', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.18622743');
INSERT INTO public.ecdc_import VALUES (6224, '16/08/2020', '16', '8', '2020', '62', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.18622743');
INSERT INTO public.ecdc_import VALUES (6225, '15/08/2020', '15', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.66085495');
INSERT INTO public.ecdc_import VALUES (6226, '14/08/2020', '14', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.95743619');
INSERT INTO public.ecdc_import VALUES (6227, '13/08/2020', '13', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.95743619');
INSERT INTO public.ecdc_import VALUES (6228, '12/08/2020', '12', '8', '2020', '65', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.95743619');
INSERT INTO public.ecdc_import VALUES (6229, '11/08/2020', '11', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.40664245');
INSERT INTO public.ecdc_import VALUES (6230, '10/08/2020', '10', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.40664245');
INSERT INTO public.ecdc_import VALUES (6231, '09/08/2020', '9', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.05064743');
INSERT INTO public.ecdc_import VALUES (6232, '08/08/2020', '8', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.05064743');
INSERT INTO public.ecdc_import VALUES (6233, '07/08/2020', '7', '8', '2020', '22', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.05064743');
INSERT INTO public.ecdc_import VALUES (6234, '06/08/2020', '6', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.64380991');
INSERT INTO public.ecdc_import VALUES (6235, '05/08/2020', '5', '8', '2020', '109', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.64380991');
INSERT INTO public.ecdc_import VALUES (6236, '04/08/2020', '4', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.72017119');
INSERT INTO public.ecdc_import VALUES (6237, '03/08/2020', '3', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.72017119');
INSERT INTO public.ecdc_import VALUES (6238, '02/08/2020', '2', '8', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.72017119');
INSERT INTO public.ecdc_import VALUES (6239, '01/08/2020', '1', '8', '2020', '35', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.72017119');
INSERT INTO public.ecdc_import VALUES (6240, '31/07/2020', '31', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.60144116');
INSERT INTO public.ecdc_import VALUES (6241, '30/07/2020', '30', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.32170989');
INSERT INTO public.ecdc_import VALUES (6242, '29/07/2020', '29', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.32170989');
INSERT INTO public.ecdc_import VALUES (6243, '28/07/2020', '28', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.32170989');
INSERT INTO public.ecdc_import VALUES (6244, '27/07/2020', '27', '7', '2020', '76', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.32170989');
INSERT INTO public.ecdc_import VALUES (6245, '26/07/2020', '26', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.67770491');
INSERT INTO public.ecdc_import VALUES (6246, '25/07/2020', '25', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.46576364');
INSERT INTO public.ecdc_import VALUES (6247, '24/07/2020', '24', '7', '2020', '92', '3', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.46576364');
INSERT INTO public.ecdc_import VALUES (6248, '23/07/2020', '23', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.68617866');
INSERT INTO public.ecdc_import VALUES (6249, '22/07/2020', '22', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.41492114');
INSERT INTO public.ecdc_import VALUES (6250, '21/07/2020', '21', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.41492114');
INSERT INTO public.ecdc_import VALUES (6251, '20/07/2020', '20', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.41492114');
INSERT INTO public.ecdc_import VALUES (6252, '19/07/2020', '19', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.41492114');
INSERT INTO public.ecdc_import VALUES (6253, '18/07/2020', '18', '7', '2020', '139', '3', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.41492114');
INSERT INTO public.ecdc_import VALUES (6254, '17/07/2020', '17', '7', '2020', '85', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.23706993');
INSERT INTO public.ecdc_import VALUES (6255, '16/07/2020', '16', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5168012');
INSERT INTO public.ecdc_import VALUES (6256, '15/07/2020', '15', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.5168012');
INSERT INTO public.ecdc_import VALUES (6257, '14/07/2020', '14', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.6184862');
INSERT INTO public.ecdc_import VALUES (6258, '13/07/2020', '13', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.94048869');
INSERT INTO public.ecdc_import VALUES (6259, '12/07/2020', '12', '7', '2020', '93', '3', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.15233243');
INSERT INTO public.ecdc_import VALUES (6260, '11/07/2020', '11', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.96590994');
INSERT INTO public.ecdc_import VALUES (6261, '10/07/2020', '10', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.27096493');
INSERT INTO public.ecdc_import VALUES (6262, '09/07/2020', '9', '7', '2020', '86', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.24544614');
INSERT INTO public.ecdc_import VALUES (6263, '08/07/2020', '8', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.95733865');
INSERT INTO public.ecdc_import VALUES (6264, '07/07/2020', '7', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.32170989');
INSERT INTO public.ecdc_import VALUES (6265, '06/07/2020', '6', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.67760738');
INSERT INTO public.ecdc_import VALUES (6266, '05/07/2020', '5', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '4.6520886');
INSERT INTO public.ecdc_import VALUES (6267, '04/07/2020', '4', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '4.6520886');
INSERT INTO public.ecdc_import VALUES (6268, '03/07/2020', '3', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.10119733');
INSERT INTO public.ecdc_import VALUES (6269, '02/07/2020', '2', '7', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.31304108');
INSERT INTO public.ecdc_import VALUES (6270, '01/07/2020', '1', '7', '2020', '12', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.65199106');
INSERT INTO public.ecdc_import VALUES (6271, '30/06/2020', '30', '6', '2020', '38', '3', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.9655198');
INSERT INTO public.ecdc_import VALUES (6272, '29/06/2020', '29', '6', '2020', '25', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.75367606');
INSERT INTO public.ecdc_import VALUES (6273, '28/06/2020', '28', '6', '2020', '71', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '6.0333098');
INSERT INTO public.ecdc_import VALUES (6274, '27/06/2020', '27', '6', '2020', '36', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.63504356');
INSERT INTO public.ecdc_import VALUES (6275, '26/06/2020', '26', '6', '2020', '115', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '6.0333098');
INSERT INTO public.ecdc_import VALUES (6276, '25/06/2020', '25', '6', '2020', '52', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '5.05882858');
INSERT INTO public.ecdc_import VALUES (6277, '24/06/2020', '24', '6', '2020', '43', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '4.6181936');
INSERT INTO public.ecdc_import VALUES (6278, '23/06/2020', '23', '6', '2020', '42', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '4.25382236');
INSERT INTO public.ecdc_import VALUES (6279, '22/06/2020', '22', '6', '2020', '115', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '4.21145361');
INSERT INTO public.ecdc_import VALUES (6280, '21/06/2020', '21', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.23697239');
INSERT INTO public.ecdc_import VALUES (6281, '20/06/2020', '20', '6', '2020', '53', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '3.29628864');
INSERT INTO public.ecdc_import VALUES (6282, '19/06/2020', '19', '6', '2020', '25', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.84717991');
INSERT INTO public.ecdc_import VALUES (6283, '18/06/2020', '18', '6', '2020', '40', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.77938991');
INSERT INTO public.ecdc_import VALUES (6284, '17/06/2020', '17', '6', '2020', '49', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.44043992');
INSERT INTO public.ecdc_import VALUES (6285, '16/06/2020', '16', '6', '2020', '13', '2', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.03369993');
INSERT INTO public.ecdc_import VALUES (6286, '15/06/2020', '15', '6', '2020', '58', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.01675243');
INSERT INTO public.ecdc_import VALUES (6287, '14/06/2020', '14', '6', '2020', '24', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.52527495');
INSERT INTO public.ecdc_import VALUES (6288, '13/06/2020', '13', '6', '2020', '83', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.38969495');
INSERT INTO public.ecdc_import VALUES (6289, '12/06/2020', '12', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.80500622');
INSERT INTO public.ecdc_import VALUES (6290, '11/06/2020', '11', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.80500622');
INSERT INTO public.ecdc_import VALUES (6291, '10/06/2020', '10', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.82195372');
INSERT INTO public.ecdc_import VALUES (6292, '09/06/2020', '9', '6', '2020', '37', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.96600747');
INSERT INTO public.ecdc_import VALUES (6293, '08/06/2020', '8', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.65247873');
INSERT INTO public.ecdc_import VALUES (6294, '07/06/2020', '7', '6', '2020', '7', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.12700871');
INSERT INTO public.ecdc_import VALUES (6295, '06/06/2020', '6', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.06769246');
INSERT INTO public.ecdc_import VALUES (6296, '05/06/2020', '5', '6', '2020', '17', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.06769246');
INSERT INTO public.ecdc_import VALUES (6297, '04/06/2020', '4', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.96600747');
INSERT INTO public.ecdc_import VALUES (6298, '03/06/2020', '3', '6', '2020', '1', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.96600747');
INSERT INTO public.ecdc_import VALUES (6299, '02/06/2020', '2', '6', '2020', '11', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.81347997');
INSERT INTO public.ecdc_import VALUES (6300, '01/06/2020', '1', '6', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.90669122');
INSERT INTO public.ecdc_import VALUES (6301, '31/05/2020', '31', '5', '2020', '8', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.90669122');
INSERT INTO public.ecdc_import VALUES (6302, '30/05/2020', '30', '5', '2020', '14', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.97448122');
INSERT INTO public.ecdc_import VALUES (6303, '29/05/2020', '29', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-1.09311371');
INSERT INTO public.ecdc_import VALUES (6304, '28/05/2020', '28', '5', '2020', '2', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.99142872');
INSERT INTO public.ecdc_import VALUES (6305, '27/05/2020', '27', '5', '2020', '17', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-1.00837622');
INSERT INTO public.ecdc_import VALUES (6306, '26/05/2020', '26', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-1.08463996');
INSERT INTO public.ecdc_import VALUES (6307, '25/05/2020', '25', '5', '2020', '56', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-1.08463996');
INSERT INTO public.ecdc_import VALUES (6308, '24/05/2020', '24', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-1.26258871');
INSERT INTO public.ecdc_import VALUES (6309, '23/05/2020', '23', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.90669122');
INSERT INTO public.ecdc_import VALUES (6310, '22/05/2020', '22', '5', '2020', '5', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '-0.04236875');
INSERT INTO public.ecdc_import VALUES (6311, '21/05/2020', '21', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.23726499');
INSERT INTO public.ecdc_import VALUES (6312, '20/05/2020', '20', '5', '2020', '-209', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.28810749');
INSERT INTO public.ecdc_import VALUES (6313, '19/05/2020', '19', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.05912118');
INSERT INTO public.ecdc_import VALUES (6314, '18/05/2020', '18', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.10996368');
INSERT INTO public.ecdc_import VALUES (6315, '17/05/2020', '17', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.10996368');
INSERT INTO public.ecdc_import VALUES (6316, '16/05/2020', '16', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.10996368');
INSERT INTO public.ecdc_import VALUES (6317, '15/05/2020', '15', '5', '2020', '12', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.16080618');
INSERT INTO public.ecdc_import VALUES (6318, '14/05/2020', '14', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.18622743');
INSERT INTO public.ecdc_import VALUES (6319, '13/05/2020', '13', '5', '2020', '8', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.22859618');
INSERT INTO public.ecdc_import VALUES (6320, '12/05/2020', '12', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.16080618');
INSERT INTO public.ecdc_import VALUES (6321, '11/05/2020', '11', '5', '2020', '35', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '2.16080618');
INSERT INTO public.ecdc_import VALUES (6322, '10/05/2020', '10', '5', '2020', '42', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.91506744');
INSERT INTO public.ecdc_import VALUES (6323, '09/05/2020', '9', '5', '2020', '102', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '1.55916995');
INSERT INTO public.ecdc_import VALUES (6324, '08/05/2020', '8', '5', '2020', '38', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.69484748');
INSERT INTO public.ecdc_import VALUES (6325, '07/05/2020', '7', '5', '2020', '6', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.40673999');
INSERT INTO public.ecdc_import VALUES (6326, '06/05/2020', '6', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.35589749');
INSERT INTO public.ecdc_import VALUES (6327, '05/05/2020', '5', '5', '2020', '6', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.35589749');
INSERT INTO public.ecdc_import VALUES (6328, '04/05/2020', '4', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.44910874');
INSERT INTO public.ecdc_import VALUES (6329, '03/05/2020', '3', '5', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.44910874');
INSERT INTO public.ecdc_import VALUES (6330, '02/05/2020', '2', '5', '2020', '6', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.44910874');
INSERT INTO public.ecdc_import VALUES (6331, '01/05/2020', '1', '5', '2020', '15', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.39826624');
INSERT INTO public.ecdc_import VALUES (6332, '30/04/2020', '30', '4', '2020', '5', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.28810749');
INSERT INTO public.ecdc_import VALUES (6333, '29/04/2020', '29', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6334, '28/04/2020', '28', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6335, '27/04/2020', '27', '4', '2020', '6', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6336, '26/04/2020', '26', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.19489624');
INSERT INTO public.ecdc_import VALUES (6337, '25/04/2020', '25', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.19489624');
INSERT INTO public.ecdc_import VALUES (6338, '24/04/2020', '24', '4', '2020', '4', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.23726499');
INSERT INTO public.ecdc_import VALUES (6339, '23/04/2020', '23', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.23726499');
INSERT INTO public.ecdc_import VALUES (6340, '22/04/2020', '22', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.23726499');
INSERT INTO public.ecdc_import VALUES (6341, '21/04/2020', '21', '4', '2020', '17', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.23726499');
INSERT INTO public.ecdc_import VALUES (6342, '20/04/2020', '20', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.12710625');
INSERT INTO public.ecdc_import VALUES (6343, '19/04/2020', '19', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.17794874');
INSERT INTO public.ecdc_import VALUES (6344, '18/04/2020', '18', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.17794874');
INSERT INTO public.ecdc_import VALUES (6345, '17/04/2020', '17', '4', '2020', '2', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.20336999');
INSERT INTO public.ecdc_import VALUES (6346, '16/04/2020', '16', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.18642249');
INSERT INTO public.ecdc_import VALUES (6347, '15/04/2020', '15', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.22879124');
INSERT INTO public.ecdc_import VALUES (6348, '14/04/2020', '14', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6349, '13/04/2020', '13', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6350, '12/04/2020', '12', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6351, '11/04/2020', '11', '4', '2020', '5', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.24573874');
INSERT INTO public.ecdc_import VALUES (6352, '10/04/2020', '10', '4', '2020', '4', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.20336999');
INSERT INTO public.ecdc_import VALUES (6353, '09/04/2020', '9', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.17794874');
INSERT INTO public.ecdc_import VALUES (6354, '08/04/2020', '8', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.17794874');
INSERT INTO public.ecdc_import VALUES (6355, '07/04/2020', '7', '4', '2020', '4', '1', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.17794874');
INSERT INTO public.ecdc_import VALUES (6356, '06/04/2020', '6', '4', '2020', '6', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.16947499');
INSERT INTO public.ecdc_import VALUES (6357, '05/04/2020', '5', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.1186325');
INSERT INTO public.ecdc_import VALUES (6358, '04/04/2020', '4', '4', '2020', '3', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.1186325');
INSERT INTO public.ecdc_import VALUES (6359, '03/04/2020', '3', '4', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.09321125');
INSERT INTO public.ecdc_import VALUES (6360, '02/04/2020', '2', '4', '2020', '5', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.101685');
INSERT INTO public.ecdc_import VALUES (6361, '01/04/2020', '1', '4', '2020', '2', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.05931625');
INSERT INTO public.ecdc_import VALUES (6362, '31/03/2020', '31', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.04236875');
INSERT INTO public.ecdc_import VALUES (6363, '30/03/2020', '30', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '0.0508425');
INSERT INTO public.ecdc_import VALUES (6364, '29/03/2020', '29', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6365, '28/03/2020', '28', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6366, '27/03/2020', '27', '3', '2020', '1', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6367, '26/03/2020', '26', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6368, '25/03/2020', '25', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6369, '24/03/2020', '24', '3', '2020', '3', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6370, '23/03/2020', '23', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6371, '22/03/2020', '22', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6372, '21/03/2020', '21', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6373, '20/03/2020', '20', '3', '2020', '1', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6374, '19/03/2020', '19', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6375, '18/03/2020', '18', '3', '2020', '0', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6376, '17/03/2020', '17', '3', '2020', '1', '0', '11801151', 'Benin', 'BJ', 'BEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (6377, '14/12/2020', '14', '12', '2020', '40', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '287.96314072');
INSERT INTO public.ecdc_import VALUES (6378, '13/12/2020', '13', '12', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '223.97133167');
INSERT INTO public.ecdc_import VALUES (6379, '12/12/2020', '12', '12', '2020', '27', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '238.36948871');
INSERT INTO public.ecdc_import VALUES (6380, '11/12/2020', '11', '12', '2020', '24', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '196.77481282');
INSERT INTO public.ecdc_import VALUES (6381, '10/12/2020', '10', '12', '2020', '10', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '161.57931785');
INSERT INTO public.ecdc_import VALUES (6382, '09/12/2020', '9', '12', '2020', '24', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '145.58136559');
INSERT INTO public.ecdc_import VALUES (6383, '08/12/2020', '8', '12', '2020', '18', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '126.38382287');
INSERT INTO public.ecdc_import VALUES (6384, '07/12/2020', '7', '12', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '97.5875088');
INSERT INTO public.ecdc_import VALUES (6385, '06/12/2020', '6', '12', '2020', '10', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '97.5875088');
INSERT INTO public.ecdc_import VALUES (6386, '05/12/2020', '5', '12', '2020', '6', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '81.58955654');
INSERT INTO public.ecdc_import VALUES (6387, '04/12/2020', '4', '12', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '73.59058041');
INSERT INTO public.ecdc_import VALUES (6388, '03/12/2020', '3', '12', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '68.79119473');
INSERT INTO public.ecdc_import VALUES (6389, '02/12/2020', '2', '12', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '62.39201382');
INSERT INTO public.ecdc_import VALUES (6390, '01/12/2020', '1', '12', '2020', '9', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '59.19242337');
INSERT INTO public.ecdc_import VALUES (6391, '30/11/2020', '30', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '46.39406156');
INSERT INTO public.ecdc_import VALUES (6392, '29/11/2020', '29', '11', '2020', '9', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '46.39406156');
INSERT INTO public.ecdc_import VALUES (6393, '28/11/2020', '28', '11', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '31.99590452');
INSERT INTO public.ecdc_import VALUES (6394, '27/11/2020', '27', '11', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '33.59569975');
INSERT INTO public.ecdc_import VALUES (6395, '26/11/2020', '26', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '38.39508543');
INSERT INTO public.ecdc_import VALUES (6396, '25/11/2020', '25', '11', '2020', '12', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '39.99488066');
INSERT INTO public.ecdc_import VALUES (6397, '24/11/2020', '24', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '20.79733794');
INSERT INTO public.ecdc_import VALUES (6398, '23/11/2020', '23', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6399, '22/11/2020', '22', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6400, '21/11/2020', '21', '11', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6401, '20/11/2020', '20', '11', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6402, '19/11/2020', '19', '11', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6403, '18/11/2020', '18', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '27.19651885');
INSERT INTO public.ecdc_import VALUES (6404, '17/11/2020', '17', '11', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '27.19651885');
INSERT INTO public.ecdc_import VALUES (6405, '16/11/2020', '16', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '36.7952902');
INSERT INTO public.ecdc_import VALUES (6406, '15/11/2020', '15', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '36.7952902');
INSERT INTO public.ecdc_import VALUES (6407, '14/11/2020', '14', '11', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '36.7952902');
INSERT INTO public.ecdc_import VALUES (6408, '13/11/2020', '13', '11', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '35.19549498');
INSERT INTO public.ecdc_import VALUES (6409, '12/11/2020', '12', '11', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '33.59569975');
INSERT INTO public.ecdc_import VALUES (6410, '11/11/2020', '11', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '31.99590452');
INSERT INTO public.ecdc_import VALUES (6411, '10/11/2020', '10', '11', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '33.59569975');
INSERT INTO public.ecdc_import VALUES (6412, '09/11/2020', '9', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6413, '08/11/2020', '8', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6414, '07/11/2020', '7', '11', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6415, '06/11/2020', '6', '11', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6416, '05/11/2020', '5', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6417, '04/11/2020', '4', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6418, '03/11/2020', '3', '11', '2020', '7', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '33.59569975');
INSERT INTO public.ecdc_import VALUES (6419, '02/11/2020', '2', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '22.39713317');
INSERT INTO public.ecdc_import VALUES (6420, '01/11/2020', '1', '11', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '22.39713317');
INSERT INTO public.ecdc_import VALUES (6421, '31/10/2020', '31', '10', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '22.39713317');
INSERT INTO public.ecdc_import VALUES (6422, '30/10/2020', '30', '10', '2020', '4', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '20.79733794');
INSERT INTO public.ecdc_import VALUES (6423, '29/10/2020', '29', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6424, '28/10/2020', '28', '10', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6425, '27/10/2020', '27', '10', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6426, '26/10/2020', '26', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6427, '25/10/2020', '25', '10', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6428, '24/10/2020', '24', '10', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6429, '23/10/2020', '23', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6430, '22/10/2020', '22', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6431, '21/10/2020', '21', '10', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6432, '20/10/2020', '20', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6433, '19/10/2020', '19', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6434, '18/10/2020', '18', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6435, '17/10/2020', '17', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6436, '16/10/2020', '16', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6437, '15/10/2020', '15', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6438, '14/10/2020', '14', '10', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6439, '13/10/2020', '13', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6440, '12/10/2020', '12', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6441, '11/10/2020', '11', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6442, '10/10/2020', '10', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6443, '09/10/2020', '9', '10', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6444, '08/10/2020', '8', '10', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '1.59979523');
INSERT INTO public.ecdc_import VALUES (6445, '07/10/2020', '7', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '1.59979523');
INSERT INTO public.ecdc_import VALUES (6446, '06/10/2020', '6', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '1.59979523');
INSERT INTO public.ecdc_import VALUES (6447, '05/10/2020', '5', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '1.59979523');
INSERT INTO public.ecdc_import VALUES (6448, '04/10/2020', '4', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '1.59979523');
INSERT INTO public.ecdc_import VALUES (6449, '03/10/2020', '3', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6450, '02/10/2020', '2', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6451, '01/10/2020', '1', '10', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6452, '30/09/2020', '30', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6453, '29/09/2020', '29', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6454, '28/09/2020', '28', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6455, '27/09/2020', '27', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6456, '26/09/2020', '26', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6457, '25/09/2020', '25', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6458, '24/09/2020', '24', '9', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6459, '23/09/2020', '23', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6460, '22/09/2020', '22', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6461, '21/09/2020', '21', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6462, '20/09/2020', '20', '9', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6463, '19/09/2020', '19', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6464, '18/09/2020', '18', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6465, '17/09/2020', '17', '9', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6466, '16/09/2020', '16', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6467, '15/09/2020', '15', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6468, '14/09/2020', '14', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6469, '13/09/2020', '13', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6470, '12/09/2020', '12', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6471, '11/09/2020', '11', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6472, '10/09/2020', '10', '9', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6473, '09/09/2020', '9', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6474, '08/09/2020', '8', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6475, '07/09/2020', '7', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6476, '06/09/2020', '6', '9', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6477, '05/09/2020', '5', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6478, '04/09/2020', '4', '9', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6479, '03/09/2020', '3', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6480, '02/09/2020', '2', '9', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6481, '01/09/2020', '1', '9', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6482, '31/08/2020', '31', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6483, '30/08/2020', '30', '8', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6484, '29/08/2020', '29', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6485, '28/08/2020', '28', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6486, '27/08/2020', '27', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6487, '26/08/2020', '26', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6488, '25/08/2020', '25', '8', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6489, '24/08/2020', '24', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6490, '23/08/2020', '23', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '15.99795226');
INSERT INTO public.ecdc_import VALUES (6491, '22/08/2020', '22', '8', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '15.99795226');
INSERT INTO public.ecdc_import VALUES (6492, '21/08/2020', '21', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6493, '20/08/2020', '20', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6494, '19/08/2020', '19', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6495, '18/08/2020', '18', '8', '2020', '4', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6496, '17/08/2020', '17', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6497, '16/08/2020', '16', '8', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6498, '15/08/2020', '15', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6499, '14/08/2020', '14', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6500, '13/08/2020', '13', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6501, '12/08/2020', '12', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6502, '11/08/2020', '11', '8', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6503, '10/08/2020', '10', '8', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6504, '09/08/2020', '9', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6505, '08/08/2020', '8', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6506, '07/08/2020', '7', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6507, '06/08/2020', '6', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6508, '05/08/2020', '5', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6509, '04/08/2020', '4', '8', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6510, '03/08/2020', '3', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6511, '02/08/2020', '2', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6512, '01/08/2020', '1', '8', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6513, '31/07/2020', '31', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6514, '30/07/2020', '30', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6515, '29/07/2020', '29', '7', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6516, '28/07/2020', '28', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6517, '27/07/2020', '27', '7', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6518, '26/07/2020', '26', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6519, '25/07/2020', '25', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6520, '24/07/2020', '24', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6521, '23/07/2020', '23', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6522, '22/07/2020', '22', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6523, '21/07/2020', '21', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6524, '20/07/2020', '20', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6525, '19/07/2020', '19', '7', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6526, '18/07/2020', '18', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6527, '17/07/2020', '17', '7', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '9.59877136');
INSERT INTO public.ecdc_import VALUES (6528, '16/07/2020', '16', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6529, '15/07/2020', '15', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6530, '14/07/2020', '14', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6531, '13/07/2020', '13', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6532, '12/07/2020', '12', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6533, '11/07/2020', '11', '7', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6534, '10/07/2020', '10', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6535, '09/07/2020', '9', '7', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6536, '08/07/2020', '8', '7', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6537, '07/07/2020', '7', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6538, '06/07/2020', '6', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6539, '05/07/2020', '5', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6540, '04/07/2020', '4', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (6541, '03/07/2020', '3', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6542, '02/07/2020', '2', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6543, '01/07/2020', '1', '7', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6544, '30/06/2020', '30', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6545, '29/06/2020', '29', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6546, '28/06/2020', '28', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6547, '27/06/2020', '27', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6548, '26/06/2020', '26', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6549, '25/06/2020', '25', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6550, '24/06/2020', '24', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6551, '23/06/2020', '23', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6552, '22/06/2020', '22', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6553, '21/06/2020', '21', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6554, '20/06/2020', '20', '6', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '7.99897613');
INSERT INTO public.ecdc_import VALUES (6555, '19/06/2020', '19', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6556, '18/06/2020', '18', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6557, '17/06/2020', '17', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6558, '16/06/2020', '16', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '4.79938568');
INSERT INTO public.ecdc_import VALUES (6559, '15/06/2020', '15', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6560, '14/06/2020', '14', '6', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '6.3991809');
INSERT INTO public.ecdc_import VALUES (6561, '13/06/2020', '13', '6', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6562, '12/06/2020', '12', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '1.59979523');
INSERT INTO public.ecdc_import VALUES (6563, '11/06/2020', '11', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6564, '10/06/2020', '10', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '3.19959045');
INSERT INTO public.ecdc_import VALUES (6565, '09/06/2020', '9', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6566, '08/06/2020', '8', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6567, '07/06/2020', '7', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6568, '06/06/2020', '6', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '20.79733794');
INSERT INTO public.ecdc_import VALUES (6569, '05/06/2020', '5', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '25.59672362');
INSERT INTO public.ecdc_import VALUES (6570, '04/06/2020', '4', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '25.59672362');
INSERT INTO public.ecdc_import VALUES (6571, '03/06/2020', '3', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '25.59672362');
INSERT INTO public.ecdc_import VALUES (6572, '02/06/2020', '2', '6', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '25.59672362');
INSERT INTO public.ecdc_import VALUES (6573, '01/06/2020', '1', '6', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '27.19651885');
INSERT INTO public.ecdc_import VALUES (6574, '31/05/2020', '31', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '27.19651885');
INSERT INTO public.ecdc_import VALUES (6575, '30/05/2020', '30', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '27.19651885');
INSERT INTO public.ecdc_import VALUES (6576, '29/05/2020', '29', '5', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6577, '28/05/2020', '28', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6578, '27/05/2020', '27', '5', '2020', '6', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '28.79631407');
INSERT INTO public.ecdc_import VALUES (6579, '26/05/2020', '26', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '22.39713317');
INSERT INTO public.ecdc_import VALUES (6580, '25/05/2020', '25', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '23.99692839');
INSERT INTO public.ecdc_import VALUES (6581, '24/05/2020', '24', '5', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '23.99692839');
INSERT INTO public.ecdc_import VALUES (6582, '23/05/2020', '23', '5', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '15.99795226');
INSERT INTO public.ecdc_import VALUES (6583, '22/05/2020', '22', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6584, '21/05/2020', '21', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '11.19856658');
INSERT INTO public.ecdc_import VALUES (6585, '20/05/2020', '20', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '15.99795226');
INSERT INTO public.ecdc_import VALUES (6586, '19/05/2020', '19', '5', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '15.99795226');
INSERT INTO public.ecdc_import VALUES (6587, '18/05/2020', '18', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6588, '17/05/2020', '17', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6589, '16/05/2020', '16', '5', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6590, '15/05/2020', '15', '5', '2020', '1', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '12.79836181');
INSERT INTO public.ecdc_import VALUES (6591, '14/05/2020', '14', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '15.99795226');
INSERT INTO public.ecdc_import VALUES (6592, '13/05/2020', '13', '5', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '17.59774749');
INSERT INTO public.ecdc_import VALUES (6593, '12/05/2020', '12', '5', '2020', '1', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6594, '11/05/2020', '11', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '14.39815704');
INSERT INTO public.ecdc_import VALUES (6595, '10/05/2020', '10', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6596, '09/05/2020', '9', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6597, '08/05/2020', '8', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6598, '07/05/2020', '7', '5', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '30.3961093');
INSERT INTO public.ecdc_import VALUES (6599, '06/05/2020', '6', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '27.19651885');
INSERT INTO public.ecdc_import VALUES (6600, '05/05/2020', '5', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '46.39406156');
INSERT INTO public.ecdc_import VALUES (6601, '04/05/2020', '4', '5', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '46.39406156');
INSERT INTO public.ecdc_import VALUES (6602, '03/05/2020', '3', '5', '2020', '0', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '44.79426633');
INSERT INTO public.ecdc_import VALUES (6603, '02/05/2020', '2', '5', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '49.59365201');
INSERT INTO public.ecdc_import VALUES (6604, '01/05/2020', '1', '5', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '49.59365201');
INSERT INTO public.ecdc_import VALUES (6605, '30/04/2020', '30', '4', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '47.99385679');
INSERT INTO public.ecdc_import VALUES (6606, '29/04/2020', '29', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '84.78914699');
INSERT INTO public.ecdc_import VALUES (6607, '28/04/2020', '28', '4', '2020', '1', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '84.78914699');
INSERT INTO public.ecdc_import VALUES (6608, '27/04/2020', '27', '4', '2020', '10', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '83.18935176');
INSERT INTO public.ecdc_import VALUES (6609, '26/04/2020', '26', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '78.38996608');
INSERT INTO public.ecdc_import VALUES (6610, '25/04/2020', '25', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '81.58955654');
INSERT INTO public.ecdc_import VALUES (6611, '24/04/2020', '24', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '81.58955654');
INSERT INTO public.ecdc_import VALUES (6612, '23/04/2020', '23', '4', '2020', '1', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '95.98771357');
INSERT INTO public.ecdc_import VALUES (6613, '22/04/2020', '22', '4', '2020', '12', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '94.38791835');
INSERT INTO public.ecdc_import VALUES (6614, '21/04/2020', '21', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '75.19037563');
INSERT INTO public.ecdc_import VALUES (6615, '20/04/2020', '20', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '78.38996608');
INSERT INTO public.ecdc_import VALUES (6616, '19/04/2020', '19', '4', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '78.38996608');
INSERT INTO public.ecdc_import VALUES (6617, '18/04/2020', '18', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '76.79017086');
INSERT INTO public.ecdc_import VALUES (6618, '17/04/2020', '17', '4', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '76.79017086');
INSERT INTO public.ecdc_import VALUES (6619, '16/04/2020', '16', '4', '2020', '24', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '78.38996608');
INSERT INTO public.ecdc_import VALUES (6620, '15/04/2020', '15', '4', '2020', '0', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '39.99488066');
INSERT INTO public.ecdc_import VALUES (6621, '14/04/2020', '14', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '47.99385679');
INSERT INTO public.ecdc_import VALUES (6622, '13/04/2020', '13', '4', '2020', '7', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '55.99283292');
INSERT INTO public.ecdc_import VALUES (6623, '12/04/2020', '12', '4', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '44.79426633');
INSERT INTO public.ecdc_import VALUES (6624, '11/04/2020', '11', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '49.59365201');
INSERT INTO public.ecdc_import VALUES (6625, '10/04/2020', '10', '4', '2020', '9', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '52.79324246');
INSERT INTO public.ecdc_import VALUES (6626, '09/04/2020', '9', '4', '2020', '0', '1', '62508', 'Bermuda', 'BM', 'BMU', 'America', '52.79324246');
INSERT INTO public.ecdc_import VALUES (6627, '08/04/2020', '8', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '52.79324246');
INSERT INTO public.ecdc_import VALUES (6628, '07/04/2020', '7', '4', '2020', '2', '2', '62508', 'Bermuda', 'BM', 'BMU', 'America', '52.79324246');
INSERT INTO public.ecdc_import VALUES (6629, '06/04/2020', '6', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '49.59365201');
INSERT INTO public.ecdc_import VALUES (6630, '05/04/2020', '5', '4', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '55.99283292');
INSERT INTO public.ecdc_import VALUES (6631, '04/04/2020', '4', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '52.79324246');
INSERT INTO public.ecdc_import VALUES (6632, '03/04/2020', '3', '4', '2020', '3', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '52.79324246');
INSERT INTO public.ecdc_import VALUES (6633, '02/04/2020', '2', '4', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '51.19344724');
INSERT INTO public.ecdc_import VALUES (6634, '01/04/2020', '1', '4', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6635, '31/03/2020', '31', '3', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6636, '30/03/2020', '30', '3', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6637, '29/03/2020', '29', '3', '2020', '5', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6638, '28/03/2020', '28', '3', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6639, '27/03/2020', '27', '3', '2020', '9', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6640, '26/03/2020', '26', '3', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6641, '25/03/2020', '25', '3', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6642, '24/03/2020', '24', '3', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6643, '23/03/2020', '23', '3', '2020', '4', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6644, '22/03/2020', '22', '3', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6645, '21/03/2020', '21', '3', '2020', '0', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6646, '20/03/2020', '20', '3', '2020', '2', '0', '62508', 'Bermuda', 'BM', 'BMU', 'America', '');
INSERT INTO public.ecdc_import VALUES (6647, '14/12/2020', '14', '12', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.50390909');
INSERT INTO public.ecdc_import VALUES (6648, '13/12/2020', '13', '12', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.37286363');
INSERT INTO public.ecdc_import VALUES (6649, '12/12/2020', '12', '12', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.37286363');
INSERT INTO public.ecdc_import VALUES (6650, '11/12/2020', '11', '12', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.89704545');
INSERT INTO public.ecdc_import VALUES (6651, '10/12/2020', '10', '12', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.15913636');
INSERT INTO public.ecdc_import VALUES (6652, '09/12/2020', '9', '12', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.15913636');
INSERT INTO public.ecdc_import VALUES (6653, '08/12/2020', '8', '12', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.0280909');
INSERT INTO public.ecdc_import VALUES (6654, '07/12/2020', '7', '12', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.29018181');
INSERT INTO public.ecdc_import VALUES (6655, '06/12/2020', '6', '12', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.15913636');
INSERT INTO public.ecdc_import VALUES (6656, '05/12/2020', '5', '12', '2020', '6', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.0280909');
INSERT INTO public.ecdc_import VALUES (6657, '04/12/2020', '4', '12', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.24181818');
INSERT INTO public.ecdc_import VALUES (6658, '03/12/2020', '3', '12', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.84868181');
INSERT INTO public.ecdc_import VALUES (6659, '02/12/2020', '2', '12', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.71763636');
INSERT INTO public.ecdc_import VALUES (6660, '01/12/2020', '1', '12', '2020', '14', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.3245');
INSERT INTO public.ecdc_import VALUES (6661, '30/11/2020', '30', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6662, '29/11/2020', '29', '11', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6663, '28/11/2020', '28', '11', '2020', '6', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6664, '27/11/2020', '27', '11', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6665, '26/11/2020', '26', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6666, '25/11/2020', '25', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6667, '24/11/2020', '24', '11', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6668, '23/11/2020', '23', '11', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.01404545');
INSERT INTO public.ecdc_import VALUES (6669, '22/11/2020', '22', '11', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6670, '21/11/2020', '21', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6671, '20/11/2020', '20', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6672, '19/11/2020', '19', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6673, '18/11/2020', '18', '11', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6674, '17/11/2020', '17', '11', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6675, '16/11/2020', '16', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6676, '15/11/2020', '15', '11', '2020', '6', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6677, '14/11/2020', '14', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6678, '13/11/2020', '13', '11', '2020', '5', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.01404545');
INSERT INTO public.ecdc_import VALUES (6679, '12/11/2020', '12', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.35881818');
INSERT INTO public.ecdc_import VALUES (6680, '11/11/2020', '11', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.48986363');
INSERT INTO public.ecdc_import VALUES (6681, '10/11/2020', '10', '11', '2020', '5', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6682, '09/11/2020', '9', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.22777273');
INSERT INTO public.ecdc_import VALUES (6683, '08/11/2020', '8', '11', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.48986363');
INSERT INTO public.ecdc_import VALUES (6684, '07/11/2020', '7', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6685, '06/11/2020', '6', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6686, '05/11/2020', '5', '11', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6687, '04/11/2020', '4', '11', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6688, '03/11/2020', '3', '11', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6689, '02/11/2020', '2', '11', '2020', '5', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6690, '01/11/2020', '1', '11', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.14509091');
INSERT INTO public.ecdc_import VALUES (6691, '31/10/2020', '31', '10', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6692, '30/10/2020', '30', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.93136363');
INSERT INTO public.ecdc_import VALUES (6693, '29/10/2020', '29', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.93136363');
INSERT INTO public.ecdc_import VALUES (6694, '28/10/2020', '28', '10', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6695, '27/10/2020', '27', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.3245');
INSERT INTO public.ecdc_import VALUES (6696, '26/10/2020', '26', '10', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.3245');
INSERT INTO public.ecdc_import VALUES (6697, '25/10/2020', '25', '10', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.45554545');
INSERT INTO public.ecdc_import VALUES (6698, '24/10/2020', '24', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.93136363');
INSERT INTO public.ecdc_import VALUES (6699, '23/10/2020', '23', '10', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6700, '22/10/2020', '22', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.66927272');
INSERT INTO public.ecdc_import VALUES (6701, '21/10/2020', '21', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.06240909');
INSERT INTO public.ecdc_import VALUES (6702, '20/10/2020', '20', '10', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.06240909');
INSERT INTO public.ecdc_import VALUES (6703, '19/10/2020', '19', '10', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.80031818');
INSERT INTO public.ecdc_import VALUES (6704, '18/10/2020', '18', '10', '2020', '9', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.50390909');
INSERT INTO public.ecdc_import VALUES (6705, '17/10/2020', '17', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.3245');
INSERT INTO public.ecdc_import VALUES (6706, '16/10/2020', '16', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.45554545');
INSERT INTO public.ecdc_import VALUES (6707, '15/10/2020', '15', '10', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.45554545');
INSERT INTO public.ecdc_import VALUES (6708, '14/10/2020', '14', '10', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6709, '13/10/2020', '13', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.80031818');
INSERT INTO public.ecdc_import VALUES (6710, '12/10/2020', '12', '10', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.71763636');
INSERT INTO public.ecdc_import VALUES (6711, '11/10/2020', '11', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.5865909');
INSERT INTO public.ecdc_import VALUES (6712, '10/10/2020', '10', '10', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.63495454');
INSERT INTO public.ecdc_import VALUES (6713, '09/10/2020', '9', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.37286363');
INSERT INTO public.ecdc_import VALUES (6714, '08/10/2020', '8', '10', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.63495454');
INSERT INTO public.ecdc_import VALUES (6715, '07/10/2020', '7', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.11077272');
INSERT INTO public.ecdc_import VALUES (6716, '06/10/2020', '6', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.97972727');
INSERT INTO public.ecdc_import VALUES (6717, '05/10/2020', '5', '10', '2020', '15', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.84868181');
INSERT INTO public.ecdc_import VALUES (6718, '04/10/2020', '4', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.14509091');
INSERT INTO public.ecdc_import VALUES (6719, '03/10/2020', '3', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.27613636');
INSERT INTO public.ecdc_import VALUES (6720, '02/10/2020', '2', '10', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.93136363');
INSERT INTO public.ecdc_import VALUES (6721, '01/10/2020', '1', '10', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.71763636');
INSERT INTO public.ecdc_import VALUES (6722, '30/09/2020', '30', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.5865909');
INSERT INTO public.ecdc_import VALUES (6723, '29/09/2020', '29', '9', '2020', '7', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.45554545');
INSERT INTO public.ecdc_import VALUES (6724, '28/09/2020', '28', '9', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.66927272');
INSERT INTO public.ecdc_import VALUES (6725, '27/09/2020', '27', '9', '2020', '8', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6726, '26/09/2020', '26', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6727, '25/09/2020', '25', '9', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.27613636');
INSERT INTO public.ecdc_import VALUES (6728, '24/09/2020', '24', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6729, '23/09/2020', '23', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6730, '22/09/2020', '22', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.66927272');
INSERT INTO public.ecdc_import VALUES (6731, '21/09/2020', '21', '9', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.06240909');
INSERT INTO public.ecdc_import VALUES (6732, '20/09/2020', '20', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.06240909');
INSERT INTO public.ecdc_import VALUES (6733, '19/09/2020', '19', '9', '2020', '6', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.93136363');
INSERT INTO public.ecdc_import VALUES (6734, '18/09/2020', '18', '9', '2020', '6', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.27613636');
INSERT INTO public.ecdc_import VALUES (6735, '17/09/2020', '17', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.48986363');
INSERT INTO public.ecdc_import VALUES (6736, '16/09/2020', '16', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.48986363');
INSERT INTO public.ecdc_import VALUES (6737, '15/09/2020', '15', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6738, '14/09/2020', '14', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.75195454');
INSERT INTO public.ecdc_import VALUES (6739, '13/09/2020', '13', '9', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.42122727');
INSERT INTO public.ecdc_import VALUES (6740, '12/09/2020', '12', '9', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.0280909');
INSERT INTO public.ecdc_import VALUES (6741, '11/09/2020', '11', '9', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '7.07645454');
INSERT INTO public.ecdc_import VALUES (6742, '10/09/2020', '10', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.68331818');
INSERT INTO public.ecdc_import VALUES (6743, '09/09/2020', '9', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '7.99377272');
INSERT INTO public.ecdc_import VALUES (6744, '08/09/2020', '8', '9', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '10.09049999');
INSERT INTO public.ecdc_import VALUES (6745, '07/09/2020', '7', '9', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '9.82840908');
INSERT INTO public.ecdc_import VALUES (6746, '06/09/2020', '6', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '9.56631817');
INSERT INTO public.ecdc_import VALUES (6747, '05/09/2020', '5', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '9.82840908');
INSERT INTO public.ecdc_import VALUES (6748, '04/09/2020', '4', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '9.69736363');
INSERT INTO public.ecdc_import VALUES (6749, '03/09/2020', '3', '9', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '10.09049999');
INSERT INTO public.ecdc_import VALUES (6750, '02/09/2020', '2', '9', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '10.48363635');
INSERT INTO public.ecdc_import VALUES (6751, '01/09/2020', '1', '9', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '10.3525909');
INSERT INTO public.ecdc_import VALUES (6752, '31/08/2020', '31', '8', '2020', '29', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '10.87677272');
INSERT INTO public.ecdc_import VALUES (6753, '30/08/2020', '30', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '8.12481817');
INSERT INTO public.ecdc_import VALUES (6754, '29/08/2020', '29', '8', '2020', '11', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '8.12481817');
INSERT INTO public.ecdc_import VALUES (6755, '28/08/2020', '28', '8', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.94540908');
INSERT INTO public.ecdc_import VALUES (6756, '27/08/2020', '27', '8', '2020', '10', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '7.20749999');
INSERT INTO public.ecdc_import VALUES (6757, '26/08/2020', '26', '8', '2020', '17', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '7.86272727');
INSERT INTO public.ecdc_import VALUES (6758, '25/08/2020', '25', '8', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.63495454');
INSERT INTO public.ecdc_import VALUES (6759, '24/08/2020', '24', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.89704545');
INSERT INTO public.ecdc_import VALUES (6760, '23/08/2020', '23', '8', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '6.15913636');
INSERT INTO public.ecdc_import VALUES (6761, '22/08/2020', '22', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.89704545');
INSERT INTO public.ecdc_import VALUES (6762, '21/08/2020', '21', '8', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.89704545');
INSERT INTO public.ecdc_import VALUES (6763, '20/08/2020', '20', '8', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.89704545');
INSERT INTO public.ecdc_import VALUES (6764, '19/08/2020', '19', '8', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.50390909');
INSERT INTO public.ecdc_import VALUES (6765, '18/08/2020', '18', '8', '2020', '5', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '5.63495454');
INSERT INTO public.ecdc_import VALUES (6766, '17/08/2020', '17', '8', '2020', '8', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.97972727');
INSERT INTO public.ecdc_import VALUES (6767, '16/08/2020', '16', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.06240909');
INSERT INTO public.ecdc_import VALUES (6768, '15/08/2020', '15', '8', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6769, '14/08/2020', '14', '8', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.93136363');
INSERT INTO public.ecdc_import VALUES (6770, '13/08/2020', '13', '8', '2020', '15', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6771, '12/08/2020', '12', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6772, '11/08/2020', '11', '8', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6773, '10/08/2020', '10', '8', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.96568182');
INSERT INTO public.ecdc_import VALUES (6774, '09/08/2020', '9', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.96568182');
INSERT INTO public.ecdc_import VALUES (6775, '08/08/2020', '8', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.09672727');
INSERT INTO public.ecdc_import VALUES (6776, '07/08/2020', '7', '8', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.09672727');
INSERT INTO public.ecdc_import VALUES (6777, '06/08/2020', '6', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.70359091');
INSERT INTO public.ecdc_import VALUES (6778, '05/08/2020', '5', '8', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.70359091');
INSERT INTO public.ecdc_import VALUES (6779, '04/08/2020', '4', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.70359091');
INSERT INTO public.ecdc_import VALUES (6780, '03/08/2020', '3', '8', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6781, '02/08/2020', '2', '8', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.96568182');
INSERT INTO public.ecdc_import VALUES (6782, '01/08/2020', '1', '8', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6783, '31/07/2020', '31', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.96568182');
INSERT INTO public.ecdc_import VALUES (6784, '30/07/2020', '30', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.22777273');
INSERT INTO public.ecdc_import VALUES (6785, '29/07/2020', '29', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.96568182');
INSERT INTO public.ecdc_import VALUES (6786, '28/07/2020', '28', '7', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.96568182');
INSERT INTO public.ecdc_import VALUES (6787, '27/07/2020', '27', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.4415');
INSERT INTO public.ecdc_import VALUES (6788, '26/07/2020', '26', '7', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.4415');
INSERT INTO public.ecdc_import VALUES (6789, '25/07/2020', '25', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6790, '24/07/2020', '24', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.57254545');
INSERT INTO public.ecdc_import VALUES (6791, '23/07/2020', '23', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.57254545');
INSERT INTO public.ecdc_import VALUES (6792, '22/07/2020', '22', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.57254545');
INSERT INTO public.ecdc_import VALUES (6793, '21/07/2020', '21', '7', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6794, '20/07/2020', '20', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.17940909');
INSERT INTO public.ecdc_import VALUES (6795, '19/07/2020', '19', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.17940909');
INSERT INTO public.ecdc_import VALUES (6796, '18/07/2020', '18', '7', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.17940909');
INSERT INTO public.ecdc_import VALUES (6797, '17/07/2020', '17', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.17940909');
INSERT INTO public.ecdc_import VALUES (6798, '16/07/2020', '16', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.91731818');
INSERT INTO public.ecdc_import VALUES (6799, '15/07/2020', '15', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.91731818');
INSERT INTO public.ecdc_import VALUES (6800, '14/07/2020', '14', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.91731818');
INSERT INTO public.ecdc_import VALUES (6801, '13/07/2020', '13', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.04836364');
INSERT INTO public.ecdc_import VALUES (6802, '12/07/2020', '12', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.78627273');
INSERT INTO public.ecdc_import VALUES (6803, '11/07/2020', '11', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.91731818');
INSERT INTO public.ecdc_import VALUES (6804, '10/07/2020', '10', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6805, '09/07/2020', '9', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6806, '08/07/2020', '8', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6807, '07/07/2020', '7', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.4415');
INSERT INTO public.ecdc_import VALUES (6808, '06/07/2020', '6', '7', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.57254545');
INSERT INTO public.ecdc_import VALUES (6809, '05/07/2020', '5', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6810, '04/07/2020', '4', '7', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6811, '03/07/2020', '3', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6812, '02/07/2020', '2', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6813, '01/07/2020', '1', '7', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6814, '30/06/2020', '30', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6815, '29/06/2020', '29', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6816, '28/06/2020', '28', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6817, '27/06/2020', '27', '6', '2020', '5', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.70359091');
INSERT INTO public.ecdc_import VALUES (6818, '26/06/2020', '26', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.04836364');
INSERT INTO public.ecdc_import VALUES (6819, '25/06/2020', '25', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.04836364');
INSERT INTO public.ecdc_import VALUES (6820, '24/06/2020', '24', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.4415');
INSERT INTO public.ecdc_import VALUES (6821, '23/06/2020', '23', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.31045454');
INSERT INTO public.ecdc_import VALUES (6822, '22/06/2020', '22', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.17940909');
INSERT INTO public.ecdc_import VALUES (6823, '21/06/2020', '21', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6824, '20/06/2020', '20', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6825, '19/06/2020', '19', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.48986363');
INSERT INTO public.ecdc_import VALUES (6826, '18/06/2020', '18', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6827, '17/06/2020', '17', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6828, '16/06/2020', '16', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.62090909');
INSERT INTO public.ecdc_import VALUES (6829, '15/06/2020', '15', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.01404545');
INSERT INTO public.ecdc_import VALUES (6830, '14/06/2020', '14', '6', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.01404545');
INSERT INTO public.ecdc_import VALUES (6831, '13/06/2020', '13', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.80031818');
INSERT INTO public.ecdc_import VALUES (6832, '12/06/2020', '12', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.06240909');
INSERT INTO public.ecdc_import VALUES (6833, '11/06/2020', '11', '6', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.45554545');
INSERT INTO public.ecdc_import VALUES (6834, '10/06/2020', '10', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6835, '09/06/2020', '9', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6836, '08/06/2020', '8', '6', '2020', '11', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '4.19345454');
INSERT INTO public.ecdc_import VALUES (6837, '07/06/2020', '7', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.14509091');
INSERT INTO public.ecdc_import VALUES (6838, '06/06/2020', '6', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.14509091');
INSERT INTO public.ecdc_import VALUES (6839, '05/06/2020', '5', '6', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.53822727');
INSERT INTO public.ecdc_import VALUES (6840, '04/06/2020', '4', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6841, '03/06/2020', '3', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6842, '02/06/2020', '2', '6', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '3.40718182');
INSERT INTO public.ecdc_import VALUES (6843, '01/06/2020', '1', '6', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6844, '31/05/2020', '31', '5', '2020', '10', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.883');
INSERT INTO public.ecdc_import VALUES (6845, '30/05/2020', '30', '5', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.57254545');
INSERT INTO public.ecdc_import VALUES (6846, '29/05/2020', '29', '5', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.4415');
INSERT INTO public.ecdc_import VALUES (6847, '28/05/2020', '28', '5', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.70359091');
INSERT INTO public.ecdc_import VALUES (6848, '27/05/2020', '27', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.09672727');
INSERT INTO public.ecdc_import VALUES (6849, '26/05/2020', '26', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.09672727');
INSERT INTO public.ecdc_import VALUES (6850, '25/05/2020', '25', '5', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.35881818');
INSERT INTO public.ecdc_import VALUES (6851, '24/05/2020', '24', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.22777273');
INSERT INTO public.ecdc_import VALUES (6852, '23/05/2020', '23', '5', '2020', '3', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '2.22777273');
INSERT INTO public.ecdc_import VALUES (6853, '22/05/2020', '22', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6854, '21/05/2020', '21', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6855, '20/05/2020', '20', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6856, '19/05/2020', '19', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6857, '18/05/2020', '18', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6858, '17/05/2020', '17', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6859, '16/05/2020', '16', '5', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.83463636');
INSERT INTO public.ecdc_import VALUES (6860, '15/05/2020', '15', '5', '2020', '5', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.70359091');
INSERT INTO public.ecdc_import VALUES (6861, '14/05/2020', '14', '5', '2020', '4', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '1.04836364');
INSERT INTO public.ecdc_import VALUES (6862, '13/05/2020', '13', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.52418182');
INSERT INTO public.ecdc_import VALUES (6863, '12/05/2020', '12', '5', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.52418182');
INSERT INTO public.ecdc_import VALUES (6864, '11/05/2020', '11', '5', '2020', '2', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6865, '10/05/2020', '10', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6866, '09/05/2020', '9', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6867, '08/05/2020', '8', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6868, '07/05/2020', '7', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6869, '06/05/2020', '6', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6870, '05/05/2020', '5', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6871, '04/05/2020', '4', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6872, '03/05/2020', '3', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6873, '02/05/2020', '2', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6874, '01/05/2020', '1', '5', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6875, '30/04/2020', '30', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6876, '29/04/2020', '29', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6877, '28/04/2020', '28', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6878, '27/04/2020', '27', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6879, '26/04/2020', '26', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6880, '25/04/2020', '25', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6881, '24/04/2020', '24', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6882, '23/04/2020', '23', '4', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6883, '22/04/2020', '22', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6884, '21/04/2020', '21', '4', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6885, '20/04/2020', '20', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6886, '19/04/2020', '19', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6887, '18/04/2020', '18', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6888, '17/04/2020', '17', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6889, '16/04/2020', '16', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (6890, '15/04/2020', '15', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6891, '14/04/2020', '14', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6892, '13/04/2020', '13', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6893, '12/04/2020', '12', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.13104545');
INSERT INTO public.ecdc_import VALUES (6894, '11/04/2020', '11', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6895, '10/04/2020', '10', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6896, '09/04/2020', '9', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6897, '08/04/2020', '8', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6898, '07/04/2020', '7', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6899, '06/04/2020', '6', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6900, '05/04/2020', '5', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6901, '04/04/2020', '4', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6902, '03/04/2020', '3', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.52418182');
INSERT INTO public.ecdc_import VALUES (6903, '02/04/2020', '2', '4', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.52418182');
INSERT INTO public.ecdc_import VALUES (6904, '01/04/2020', '1', '4', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6905, '31/03/2020', '31', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6906, '30/03/2020', '30', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6907, '29/03/2020', '29', '3', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6908, '28/03/2020', '28', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.26209091');
INSERT INTO public.ecdc_import VALUES (6909, '27/03/2020', '27', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '0.39313636');
INSERT INTO public.ecdc_import VALUES (6910, '26/03/2020', '26', '3', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6911, '25/03/2020', '25', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6912, '24/03/2020', '24', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6913, '23/03/2020', '23', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6914, '22/03/2020', '22', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6915, '21/03/2020', '21', '3', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6916, '20/03/2020', '20', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6917, '19/03/2020', '19', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6918, '18/03/2020', '18', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6919, '17/03/2020', '17', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6920, '15/03/2020', '15', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6921, '13/03/2020', '13', '3', '2020', '0', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6922, '06/03/2020', '6', '3', '2020', '1', '0', '763094', 'Bhutan', 'BT', 'BTN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (6923, '14/12/2020', '14', '12', '2020', '120', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '21.95759232');
INSERT INTO public.ecdc_import VALUES (6924, '13/12/2020', '13', '12', '2020', '333', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '21.17587423');
INSERT INTO public.ecdc_import VALUES (6925, '12/12/2020', '12', '12', '2020', '312', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '19.13472147');
INSERT INTO public.ecdc_import VALUES (6926, '11/12/2020', '11', '12', '2020', '325', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '17.32808413');
INSERT INTO public.ecdc_import VALUES (6927, '10/12/2020', '10', '12', '2020', '214', '2', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '15.49538951');
INSERT INTO public.ecdc_import VALUES (6928, '09/12/2020', '9', '12', '2020', '189', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '14.75710022');
INSERT INTO public.ecdc_import VALUES (6929, '08/12/2020', '8', '12', '2020', '97', '2', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '14.58338509');
INSERT INTO public.ecdc_import VALUES (6930, '07/12/2020', '7', '12', '2020', '68', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '14.22726907');
INSERT INTO public.ecdc_import VALUES (6931, '06/12/2020', '6', '12', '2020', '167', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.63663763');
INSERT INTO public.ecdc_import VALUES (6932, '05/12/2020', '5', '12', '2020', '139', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.63663763');
INSERT INTO public.ecdc_import VALUES (6933, '04/12/2020', '4', '12', '2020', '192', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.42931749');
INSERT INTO public.ecdc_import VALUES (6934, '03/12/2020', '3', '12', '2020', '184', '9', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.37720295');
INSERT INTO public.ecdc_import VALUES (6935, '02/12/2020', '2', '12', '2020', '102', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '11.61285638');
INSERT INTO public.ecdc_import VALUES (6936, '01/12/2020', '1', '12', '2020', '86', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.69857594');
INSERT INTO public.ecdc_import VALUES (6937, '30/11/2020', '30', '11', '2020', '30', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '11.95160088');
INSERT INTO public.ecdc_import VALUES (6938, '29/11/2020', '29', '11', '2020', '98', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.25560236');
INSERT INTO public.ecdc_import VALUES (6939, '28/11/2020', '28', '11', '2020', '104', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.37720295');
INSERT INTO public.ecdc_import VALUES (6940, '27/11/2020', '27', '11', '2020', '114', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.03732044');
INSERT INTO public.ecdc_import VALUES (6941, '26/11/2020', '26', '11', '2020', '129', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.02863468');
INSERT INTO public.ecdc_import VALUES (6942, '25/11/2020', '25', '11', '2020', '169', '21', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.88097682');
INSERT INTO public.ecdc_import VALUES (6943, '24/11/2020', '24', '11', '2020', '56', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.3077169');
INSERT INTO public.ecdc_import VALUES (6944, '23/11/2020', '23', '11', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.56828959');
INSERT INTO public.ecdc_import VALUES (6945, '22/11/2020', '22', '11', '2020', '167', '15', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.9852059');
INSERT INTO public.ecdc_import VALUES (6946, '21/11/2020', '21', '11', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.26428811');
INSERT INTO public.ecdc_import VALUES (6947, '20/11/2020', '20', '11', '2020', '186', '14', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.49766553');
INSERT INTO public.ecdc_import VALUES (6948, '19/11/2020', '19', '11', '2020', '96', '9', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.08943498');
INSERT INTO public.ecdc_import VALUES (6949, '18/11/2020', '18', '11', '2020', '227', '17', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.35000767');
INSERT INTO public.ecdc_import VALUES (6950, '17/11/2020', '17', '11', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '11.97765815');
INSERT INTO public.ecdc_import VALUES (6951, '16/11/2020', '16', '11', '2020', '65', '8', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.27297387');
INSERT INTO public.ecdc_import VALUES (6952, '15/11/2020', '15', '11', '2020', '112', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.36851719');
INSERT INTO public.ecdc_import VALUES (6953, '14/11/2020', '14', '11', '2020', '180', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.49011778');
INSERT INTO public.ecdc_import VALUES (6954, '13/11/2020', '13', '11', '2020', '113', '7', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.20348782');
INSERT INTO public.ecdc_import VALUES (6955, '12/11/2020', '12', '11', '2020', '112', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.63777564');
INSERT INTO public.ecdc_import VALUES (6956, '11/11/2020', '11', '11', '2020', '103', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.37606494');
INSERT INTO public.ecdc_import VALUES (6957, '10/11/2020', '10', '11', '2020', '86', '7', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.97538213');
INSERT INTO public.ecdc_import VALUES (6958, '09/11/2020', '9', '11', '2020', '48', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '14.08829697');
INSERT INTO public.ecdc_import VALUES (6959, '08/11/2020', '8', '11', '2020', '84', '9', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '14.31412664');
INSERT INTO public.ecdc_import VALUES (6960, '07/11/2020', '7', '11', '2020', '142', '13', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '15.03504442');
INSERT INTO public.ecdc_import VALUES (6961, '06/11/2020', '6', '11', '2020', '139', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '15.25218833');
INSERT INTO public.ecdc_import VALUES (6962, '05/11/2020', '5', '11', '2020', '126', '7', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '15.92967734');
INSERT INTO public.ecdc_import VALUES (6963, '04/11/2020', '4', '11', '2020', '69', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '16.49425151');
INSERT INTO public.ecdc_import VALUES (6964, '03/11/2020', '3', '11', '2020', '34', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '17.17174051');
INSERT INTO public.ecdc_import VALUES (6965, '02/11/2020', '2', '11', '2020', '76', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '17.91002981');
INSERT INTO public.ecdc_import VALUES (6966, '01/11/2020', '1', '11', '2020', '126', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '17.77974346');
INSERT INTO public.ecdc_import VALUES (6967, '31/10/2020', '31', '10', '2020', '147', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '17.9708301');
INSERT INTO public.ecdc_import VALUES (6968, '30/10/2020', '30', '10', '2020', '163', '11', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '18.80466272');
INSERT INTO public.ecdc_import VALUES (6969, '29/10/2020', '29', '10', '2020', '197', '22', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '18.93494907');
INSERT INTO public.ecdc_import VALUES (6970, '28/10/2020', '28', '10', '2020', '172', '14', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '19.12603571');
INSERT INTO public.ecdc_import VALUES (6971, '27/10/2020', '27', '10', '2020', '99', '13', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '19.60375232');
INSERT INTO public.ecdc_import VALUES (6972, '26/10/2020', '26', '10', '2020', '74', '18', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '19.79483896');
INSERT INTO public.ecdc_import VALUES (6973, '25/10/2020', '25', '10', '2020', '167', '19', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '20.11621195');
INSERT INTO public.ecdc_import VALUES (6974, '24/10/2020', '24', '10', '2020', '167', '24', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '20.7242149');
INSERT INTO public.ecdc_import VALUES (6975, '23/10/2020', '23', '10', '2020', '217', '26', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '21.50593298');
INSERT INTO public.ecdc_import VALUES (6976, '22/10/2020', '22', '10', '2020', '191', '32', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '21.90547778');
INSERT INTO public.ecdc_import VALUES (6977, '21/10/2020', '21', '10', '2020', '147', '24', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '22.31370833');
INSERT INTO public.ecdc_import VALUES (6978, '20/10/2020', '20', '10', '2020', '119', '21', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '24.17246021');
INSERT INTO public.ecdc_import VALUES (6979, '19/10/2020', '19', '10', '2020', '61', '18', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '25.21475099');
INSERT INTO public.ecdc_import VALUES (6980, '18/10/2020', '18', '10', '2020', '148', '24', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '27.28196102');
INSERT INTO public.ecdc_import VALUES (6981, '17/10/2020', '17', '10', '2020', '243', '32', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '29.03648383');
INSERT INTO public.ecdc_import VALUES (6982, '16/10/2020', '16', '10', '2020', '178', '30', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '31.2947805');
INSERT INTO public.ecdc_import VALUES (6983, '15/10/2020', '15', '10', '2020', '219', '26', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '33.26644722');
INSERT INTO public.ecdc_import VALUES (6984, '14/10/2020', '14', '10', '2020', '227', '25', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '37.18372338');
INSERT INTO public.ecdc_import VALUES (6985, '13/10/2020', '13', '10', '2020', '121', '18', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '38.10441356');
INSERT INTO public.ecdc_import VALUES (6986, '12/10/2020', '12', '10', '2020', '111', '16', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '40.58853991');
INSERT INTO public.ecdc_import VALUES (6987, '11/10/2020', '11', '10', '2020', '237', '30', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '42.30831969');
INSERT INTO public.ecdc_import VALUES (6988, '10/10/2020', '10', '10', '2020', '257', '34', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '43.46352529');
INSERT INTO public.ecdc_import VALUES (6989, '09/10/2020', '9', '10', '2020', '263', '36', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '46.47748278');
INSERT INTO public.ecdc_import VALUES (6990, '08/10/2020', '8', '10', '2020', '238', '36', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '49.64778389');
INSERT INTO public.ecdc_import VALUES (6991, '07/10/2020', '7', '10', '2020', '361', '27', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '52.24482507');
INSERT INTO public.ecdc_import VALUES (6992, '06/10/2020', '6', '10', '2020', '239', '28', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '53.16551525');
INSERT INTO public.ecdc_import VALUES (6993, '05/10/2020', '5', '10', '2020', '299', '28', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '53.78220396');
INSERT INTO public.ecdc_import VALUES (6994, '04/10/2020', '4', '10', '2020', '350', '28', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '52.97442861');
INSERT INTO public.ecdc_import VALUES (6995, '03/10/2020', '3', '10', '2020', '503', '44', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '53.57374581');
INSERT INTO public.ecdc_import VALUES (6996, '02/10/2020', '2', '10', '2020', '405', '36', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '54.69420839');
INSERT INTO public.ecdc_import VALUES (6997, '01/10/2020', '1', '10', '2020', '670', '34', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '55.92758581');
INSERT INTO public.ecdc_import VALUES (6998, '30/09/2020', '30', '9', '2020', '333', '31', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '55.19798226');
INSERT INTO public.ecdc_import VALUES (6999, '29/09/2020', '29', '9', '2020', '407', '42', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '58.09902492');
INSERT INTO public.ecdc_import VALUES (7000, '28/09/2020', '28', '9', '2020', '309', '30', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '61.75572839');
INSERT INTO public.ecdc_import VALUES (7001, '27/09/2020', '27', '9', '2020', '370', '28', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '66.09860661');
INSERT INTO public.ecdc_import VALUES (7002, '26/09/2020', '26', '9', '2020', '604', '35', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '69.92033945');
INSERT INTO public.ecdc_import VALUES (7003, '25/09/2020', '25', '9', '2020', '628', '34', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '73.07326905');
INSERT INTO public.ecdc_import VALUES (7004, '24/09/2020', '24', '9', '2020', '537', '38', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '75.08836454');
INSERT INTO public.ecdc_import VALUES (7005, '23/09/2020', '23', '9', '2020', '467', '39', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '79.43124277');
INSERT INTO public.ecdc_import VALUES (7006, '22/09/2020', '22', '9', '2020', '310', '37', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '81.48976705');
INSERT INTO public.ecdc_import VALUES (7007, '21/09/2020', '21', '9', '2020', '206', '31', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '86.04978919');
INSERT INTO public.ecdc_import VALUES (7008, '20/09/2020', '20', '9', '2020', '419', '36', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '88.84660277');
INSERT INTO public.ecdc_import VALUES (7009, '19/09/2020', '19', '9', '2020', '632', '39', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '90.94855583');
INSERT INTO public.ecdc_import VALUES (7010, '18/09/2020', '18', '9', '2020', '547', '33', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '99.80802741');
INSERT INTO public.ecdc_import VALUES (7011, '17/09/2020', '17', '9', '2020', '586', '31', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '95.05691863');
INSERT INTO public.ecdc_import VALUES (7012, '16/09/2020', '16', '9', '2020', '667', '53', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '95.70835036');
INSERT INTO public.ecdc_import VALUES (7013, '15/09/2020', '15', '9', '2020', '828', '50', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '95.72572188');
INSERT INTO public.ecdc_import VALUES (7014, '14/09/2020', '14', '9', '2020', '809', '47', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '94.0059421');
INSERT INTO public.ecdc_import VALUES (7015, '13/09/2020', '13', '9', '2020', '810', '47', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '92.31221959');
INSERT INTO public.ecdc_import VALUES (7016, '12/09/2020', '12', '9', '2020', '967', '57', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '93.48479671');
INSERT INTO public.ecdc_import VALUES (7017, '11/09/2020', '11', '9', '2020', '860', '47', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '96.20343848');
INSERT INTO public.ecdc_import VALUES (7018, '10/09/2020', '10', '9', '2020', '1037', '49', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '97.72344586');
INSERT INTO public.ecdc_import VALUES (7019, '09/09/2020', '9', '9', '2020', '704', '43', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '98.22721974');
INSERT INTO public.ecdc_import VALUES (7020, '08/09/2020', '8', '9', '2020', '835', '46', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '99.50402593');
INSERT INTO public.ecdc_import VALUES (7021, '07/09/2020', '7', '9', '2020', '528', '1610', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '100.92848999');
INSERT INTO public.ecdc_import VALUES (7022, '06/09/2020', '6', '9', '2020', '661', '55', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '102.61352675');
INSERT INTO public.ecdc_import VALUES (7023, '05/09/2020', '5', '9', '2020', '1652', '140', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '105.48851213');
INSERT INTO public.ecdc_import VALUES (7024, '04/09/2020', '4', '9', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '103.03912881');
INSERT INTO public.ecdc_import VALUES (7025, '03/09/2020', '3', '9', '2020', '661', '102', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '111.85517161');
INSERT INTO public.ecdc_import VALUES (7026, '02/09/2020', '2', '9', '2020', '669', '74', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '123.75465795');
INSERT INTO public.ecdc_import VALUES (7027, '01/09/2020', '1', '9', '2020', '630', '61', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '133.54350548');
INSERT INTO public.ecdc_import VALUES (7028, '31/08/2020', '31', '8', '2020', '614', '28', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '135.70625883');
INSERT INTO public.ecdc_import VALUES (7029, '30/08/2020', '30', '8', '2020', '945', '92', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '140.7787406');
INSERT INTO public.ecdc_import VALUES (7030, '29/08/2020', '29', '8', '2020', '1280', '55', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '155.90932835');
INSERT INTO public.ecdc_import VALUES (7031, '28/08/2020', '28', '8', '2020', '1035', '65', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '156.84739004');
INSERT INTO public.ecdc_import VALUES (7032, '27/08/2020', '27', '8', '2020', '1095', '62', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '147.85763211');
INSERT INTO public.ecdc_import VALUES (7033, '26/08/2020', '26', '8', '2020', '851', '86', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '153.4860023');
INSERT INTO public.ecdc_import VALUES (7034, '25/08/2020', '25', '8', '2020', '999', '69', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '160.79940923');
INSERT INTO public.ecdc_import VALUES (7035, '24/08/2020', '24', '8', '2020', '722', '67', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '166.33223609');
INSERT INTO public.ecdc_import VALUES (7036, '23/08/2020', '23', '8', '2020', '992', '76', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '168.26047402');
INSERT INTO public.ecdc_import VALUES (7037, '22/08/2020', '22', '8', '2020', '1370', '61', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '169.75442413');
INSERT INTO public.ecdc_import VALUES (7038, '21/08/2020', '21', '8', '2020', '1015', '72', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '170.60562827');
INSERT INTO public.ecdc_import VALUES (7039, '20/08/2020', '20', '8', '2020', '2031', '61', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '172.92472524');
INSERT INTO public.ecdc_import VALUES (7040, '19/08/2020', '19', '8', '2020', '1796', '49', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '170.74460037');
INSERT INTO public.ecdc_import VALUES (7041, '18/08/2020', '18', '8', '2020', '879', '75', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '168.30390281');
INSERT INTO public.ecdc_import VALUES (7042, '17/08/2020', '17', '8', '2020', '1198', '45', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '175.37410856');
INSERT INTO public.ecdc_import VALUES (7043, '16/08/2020', '16', '8', '2020', '2687', '119', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '176.7812011');
INSERT INTO public.ecdc_import VALUES (7044, '15/08/2020', '15', '8', '2020', '1388', '57', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '170.84882945');
INSERT INTO public.ecdc_import VALUES (7045, '14/08/2020', '14', '8', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '172.29935077');
INSERT INTO public.ecdc_import VALUES (7046, '13/08/2020', '13', '8', '2020', '1743', '66', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '187.06513675');
INSERT INTO public.ecdc_import VALUES (7047, '12/08/2020', '12', '8', '2020', '1693', '49', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '182.40957129');
INSERT INTO public.ecdc_import VALUES (7048, '11/08/2020', '11', '8', '2020', '1636', '72', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '172.18643594');
INSERT INTO public.ecdc_import VALUES (7049, '10/08/2020', '10', '8', '2020', '944', '53', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '178.66601026');
INSERT INTO public.ecdc_import VALUES (7050, '09/08/2020', '9', '8', '2020', '1164', '63', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '180.43790457');
INSERT INTO public.ecdc_import VALUES (7051, '08/08/2020', '8', '8', '2020', '1468', '59', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '186.17918959');
INSERT INTO public.ecdc_import VALUES (7052, '07/08/2020', '7', '8', '2020', '1282', '80', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '183.88614988');
INSERT INTO public.ecdc_import VALUES (7053, '06/08/2020', '6', '8', '2020', '1780', '65', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '182.45300007');
INSERT INTO public.ecdc_import VALUES (7054, '05/08/2020', '5', '8', '2020', '1515', '92', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '182.43562856');
INSERT INTO public.ecdc_import VALUES (7055, '04/08/2020', '4', '8', '2020', '1693', '75', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '181.14145084');
INSERT INTO public.ecdc_import VALUES (7056, '03/08/2020', '3', '8', '2020', '1360', '89', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '178.67469601');
INSERT INTO public.ecdc_import VALUES (7057, '02/08/2020', '2', '8', '2020', '2004', '87', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '179.40429955');
INSERT INTO public.ecdc_import VALUES (7058, '01/08/2020', '1', '8', '2020', '1555', '83', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '179.68224376');
INSERT INTO public.ecdc_import VALUES (7059, '31/07/2020', '31', '7', '2020', '1700', '86', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '183.07837453');
INSERT INTO public.ecdc_import VALUES (7060, '30/07/2020', '30', '7', '2020', '1207', '88', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '185.14558457');
INSERT INTO public.ecdc_import VALUES (7061, '29/07/2020', '29', '7', '2020', '516', '73', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '186.3963335');
INSERT INTO public.ecdc_import VALUES (7062, '28/07/2020', '28', '7', '2020', '2382', '64', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '195.95935135');
INSERT INTO public.ecdc_import VALUES (7063, '27/07/2020', '27', '7', '2020', '1148', '48', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '184.50283859');
INSERT INTO public.ecdc_import VALUES (7064, '26/07/2020', '26', '7', '2020', '1825', '62', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '183.1044318');
INSERT INTO public.ecdc_import VALUES (7065, '25/07/2020', '25', '7', '2020', '1204', '66', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '181.45413808');
INSERT INTO public.ecdc_import VALUES (7066, '24/07/2020', '24', '7', '2020', '1117', '79', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '183.60820568');
INSERT INTO public.ecdc_import VALUES (7067, '23/07/2020', '23', '7', '2020', '1778', '55', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '183.71243475');
INSERT INTO public.ecdc_import VALUES (7068, '22/07/2020', '22', '7', '2020', '1366', '55', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '180.76796332');
INSERT INTO public.ecdc_import VALUES (7069, '21/07/2020', '21', '7', '2020', '1409', '67', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '177.90166369');
INSERT INTO public.ecdc_import VALUES (7070, '20/07/2020', '20', '7', '2020', '1444', '45', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '176.19056967');
INSERT INTO public.ecdc_import VALUES (7071, '19/07/2020', '19', '7', '2020', '2036', '57', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '174.29707476');
INSERT INTO public.ecdc_import VALUES (7072, '18/07/2020', '18', '7', '2020', '1946', '65', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '167.49612746');
INSERT INTO public.ecdc_import VALUES (7073, '17/07/2020', '17', '7', '2020', '1938', '42', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '161.79827122');
INSERT INTO public.ecdc_import VALUES (7074, '16/07/2020', '16', '7', '2020', '1351', '44', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '156.26544436');
INSERT INTO public.ecdc_import VALUES (7075, '15/07/2020', '15', '7', '2020', '1617', '32', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '153.2862299');
INSERT INTO public.ecdc_import VALUES (7076, '14/07/2020', '14', '7', '2020', '1063', '59', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '148.74357927');
INSERT INTO public.ecdc_import VALUES (7077, '13/07/2020', '13', '7', '2020', '987', '53', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '144.73075979');
INSERT INTO public.ecdc_import VALUES (7078, '12/07/2020', '12', '7', '2020', '1635', '52', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '143.52343964');
INSERT INTO public.ecdc_import VALUES (7079, '11/07/2020', '11', '7', '2020', '1452', '64', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '140.20548068');
INSERT INTO public.ecdc_import VALUES (7080, '10/07/2020', '10', '7', '2020', '1129', '61', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '135.58465824');
INSERT INTO public.ecdc_import VALUES (7081, '09/07/2020', '9', '7', '2020', '1439', '47', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '134.60316776');
INSERT INTO public.ecdc_import VALUES (7082, '08/07/2020', '8', '7', '2020', '1036', '54', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '131.64132481');
INSERT INTO public.ecdc_import VALUES (7083, '07/07/2020', '7', '7', '2020', '1212', '42', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '130.42531891');
INSERT INTO public.ecdc_import VALUES (7084, '06/07/2020', '6', '7', '2020', '1226', '56', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '129.49594297');
INSERT INTO public.ecdc_import VALUES (7085, '05/07/2020', '5', '7', '2020', '1253', '58', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '126.45592821');
INSERT INTO public.ecdc_import VALUES (7086, '04/07/2020', '4', '7', '2020', '1290', '49', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '124.57111906');
INSERT INTO public.ecdc_import VALUES (7087, '03/07/2020', '3', '7', '2020', '1301', '70', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '121.85247729');
INSERT INTO public.ecdc_import VALUES (7088, '02/07/2020', '2', '7', '2020', '1008', '78', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '117.6225139');
INSERT INTO public.ecdc_import VALUES (7089, '01/07/2020', '1', '7', '2020', '1094', '52', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '115.83324807');
INSERT INTO public.ecdc_import VALUES (7090, '30/06/2020', '30', '6', '2020', '601', '57', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '113.36649324');
INSERT INTO public.ecdc_import VALUES (7091, '29/06/2020', '29', '6', '2020', '848', '44', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '113.47940807');
INSERT INTO public.ecdc_import VALUES (7092, '28/06/2020', '28', '6', '2020', '1253', '36', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '111.47299833');
INSERT INTO public.ecdc_import VALUES (7093, '27/06/2020', '27', '6', '2020', '920', '21', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '108.51984113');
INSERT INTO public.ecdc_import VALUES (7094, '26/06/2020', '26', '6', '2020', '1016', '37', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '107.16486313');
INSERT INTO public.ecdc_import VALUES (7095, '25/06/2020', '25', '6', '2020', '1098', '30', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '106.01834328');
INSERT INTO public.ecdc_import VALUES (7096, '24/06/2020', '24', '6', '2020', '896', '26', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '102.01420955');
INSERT INTO public.ecdc_import VALUES (7097, '23/06/2020', '23', '6', '2020', '1105', '47', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '100.2683725');
INSERT INTO public.ecdc_import VALUES (7098, '22/06/2020', '22', '6', '2020', '876', '33', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '93.3284531');
INSERT INTO public.ecdc_import VALUES (7099, '21/06/2020', '21', '6', '2020', '1036', '25', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '88.19517103');
INSERT INTO public.ecdc_import VALUES (7100, '20/06/2020', '20', '6', '2020', '977', '18', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '84.66875391');
INSERT INTO public.ecdc_import VALUES (7101, '19/06/2020', '19', '6', '2020', '814', '18', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '80.37799022');
INSERT INTO public.ecdc_import VALUES (7102, '18/06/2020', '18', '6', '2020', '802', '20', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '78.58003864');
INSERT INTO public.ecdc_import VALUES (7103, '17/06/2020', '17', '6', '2020', '810', '27', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '77.23374639');
INSERT INTO public.ecdc_import VALUES (7104, '16/06/2020', '16', '6', '2020', '614', '21', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '74.19373163');
INSERT INTO public.ecdc_import VALUES (7105, '15/06/2020', '15', '6', '2020', '617', '26', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '73.62915746');
INSERT INTO public.ecdc_import VALUES (7106, '14/06/2020', '14', '6', '2020', '913', '26', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '71.65749074');
INSERT INTO public.ecdc_import VALUES (7107, '13/06/2020', '13', '6', '2020', '764', '26', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '71.20583141');
INSERT INTO public.ecdc_import VALUES (7108, '12/06/2020', '12', '6', '2020', '884', '21', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '67.5578137');
INSERT INTO public.ecdc_import VALUES (7109, '11/06/2020', '11', '6', '2020', '637', '25', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '65.25608824');
INSERT INTO public.ecdc_import VALUES (7110, '10/06/2020', '10', '6', '2020', '695', '12', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '65.21265946');
INSERT INTO public.ecdc_import VALUES (7111, '09/06/2020', '9', '6', '2020', '306', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '63.31047879');
INSERT INTO public.ecdc_import VALUES (7112, '08/06/2020', '8', '6', '2020', '285', '11', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '64.10088263');
INSERT INTO public.ecdc_import VALUES (7113, '07/06/2020', '7', '6', '2020', '630', '27', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '64.64808529');
INSERT INTO public.ecdc_import VALUES (7114, '06/06/2020', '6', '6', '2020', '483', '12', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '62.09447289');
INSERT INTO public.ecdc_import VALUES (7115, '05/06/2020', '5', '6', '2020', '607', '15', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '61.30406905');
INSERT INTO public.ecdc_import VALUES (7116, '04/06/2020', '4', '6', '2020', '647', '24', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '58.35959761');
INSERT INTO public.ecdc_import VALUES (7117, '03/06/2020', '3', '6', '2020', '460', '33', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '56.54427451');
INSERT INTO public.ecdc_import VALUES (7118, '02/06/2020', '2', '6', '2020', '549', '30', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '54.44232145');
INSERT INTO public.ecdc_import VALUES (7119, '01/06/2020', '1', '6', '2020', '390', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '51.19384854');
INSERT INTO public.ecdc_import VALUES (7120, '31/05/2020', '31', '5', '2020', '861', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '50.08207171');
INSERT INTO public.ecdc_import VALUES (7121, '30/05/2020', '30', '5', '2020', '344', '7', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '44.76638876');
INSERT INTO public.ecdc_import VALUES (7122, '29/05/2020', '29', '5', '2020', '619', '13', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '43.55906862');
INSERT INTO public.ecdc_import VALUES (7123, '28/05/2020', '28', '5', '2020', '632', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '40.12819482');
INSERT INTO public.ecdc_import VALUES (7124, '27/05/2020', '27', '5', '2020', '476', '13', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '36.23697593');
INSERT INTO public.ecdc_import VALUES (7125, '26/05/2020', '26', '5', '2020', '397', '11', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '33.25776146');
INSERT INTO public.ecdc_import VALUES (7126, '25/05/2020', '25', '5', '2020', '348', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '32.19809917');
INSERT INTO public.ecdc_import VALUES (7127, '24/05/2020', '24', '5', '2020', '336', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '30.20906095');
INSERT INTO public.ecdc_import VALUES (7128, '23/05/2020', '23', '5', '2020', '392', '15', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '28.77591113');
INSERT INTO public.ecdc_import VALUES (7129, '22/05/2020', '22', '5', '2020', '268', '16', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '26.97795955');
INSERT INTO public.ecdc_import VALUES (7130, '21/05/2020', '21', '5', '2020', '438', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '26.34389932');
INSERT INTO public.ecdc_import VALUES (7131, '20/05/2020', '20', '5', '2020', '218', '15', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '23.26914154');
INSERT INTO public.ecdc_import VALUES (7132, '19/05/2020', '19', '5', '2020', '175', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '22.42662316');
INSERT INTO public.ecdc_import VALUES (7133, '18/05/2020', '18', '5', '2020', '262', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '21.6622766');
INSERT INTO public.ecdc_import VALUES (7134, '17/05/2020', '17', '5', '2020', '249', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '20.46364221');
INSERT INTO public.ecdc_import VALUES (7135, '16/05/2020', '16', '5', '2020', '205', '12', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '20.39415615');
INSERT INTO public.ecdc_import VALUES (7136, '15/05/2020', '15', '5', '2020', '224', '10', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '19.15209298');
INSERT INTO public.ecdc_import VALUES (7137, '14/05/2020', '14', '5', '2020', '184', '14', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '17.70157165');
INSERT INTO public.ecdc_import VALUES (7138, '13/05/2020', '13', '5', '2020', '133', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '16.59848058');
INSERT INTO public.ecdc_import VALUES (7139, '12/05/2020', '12', '5', '2020', '275', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '15.78201948');
INSERT INTO public.ecdc_import VALUES (7140, '11/05/2020', '11', '5', '2020', '119', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.94932486');
INSERT INTO public.ecdc_import VALUES (7141, '10/05/2020', '10', '5', '2020', '171', '8', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '13.64532339');
INSERT INTO public.ecdc_import VALUES (7142, '09/05/2020', '9', '5', '2020', '185', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '12.67251867');
INSERT INTO public.ecdc_import VALUES (7143, '08/05/2020', '8', '5', '2020', '195', '11', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '11.96897239');
INSERT INTO public.ecdc_import VALUES (7144, '07/05/2020', '7', '5', '2020', '84', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '10.54450833');
INSERT INTO public.ecdc_import VALUES (7145, '06/05/2020', '6', '5', '2020', '121', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '10.36210745');
INSERT INTO public.ecdc_import VALUES (7146, '05/05/2020', '5', '5', '2020', '87', '6', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '9.40667424');
INSERT INTO public.ecdc_import VALUES (7147, '04/05/2020', '4', '5', '2020', '124', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '8.94632915');
INSERT INTO public.ecdc_import VALUES (7148, '03/05/2020', '3', '5', '2020', '241', '5', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '8.25146863');
INSERT INTO public.ecdc_import VALUES (7149, '02/05/2020', '2', '5', '2020', '62', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '6.39271675');
INSERT INTO public.ecdc_import VALUES (7150, '01/05/2020', '1', '5', '2020', '57', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '6.09740103');
INSERT INTO public.ecdc_import VALUES (7151, '30/04/2020', '30', '4', '2020', '57', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '5.81077107');
INSERT INTO public.ecdc_import VALUES (7152, '29/04/2020', '29', '4', '2020', '39', '2', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '5.69785623');
INSERT INTO public.ecdc_import VALUES (7153, '28/04/2020', '28', '4', '2020', '64', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '5.73259926');
INSERT INTO public.ecdc_import VALUES (7154, '27/04/2020', '27', '4', '2020', '84', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '5.385169');
INSERT INTO public.ecdc_import VALUES (7155, '26/04/2020', '26', '4', '2020', '59', '2', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '4.91613815');
INSERT INTO public.ecdc_import VALUES (7156, '25/04/2020', '25', '4', '2020', '104', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '4.61213668');
INSERT INTO public.ecdc_import VALUES (7157, '24/04/2020', '24', '4', '2020', '31', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.77830406');
INSERT INTO public.ecdc_import VALUES (7158, '23/04/2020', '23', '4', '2020', '63', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.54378863');
INSERT INTO public.ecdc_import VALUES (7159, '22/04/2020', '22', '4', '2020', '11', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.46561683');
INSERT INTO public.ecdc_import VALUES (7160, '21/04/2020', '21', '4', '2020', '34', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.50904561');
INSERT INTO public.ecdc_import VALUES (7161, '20/04/2020', '20', '4', '2020', '44', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.30927321');
INSERT INTO public.ecdc_import VALUES (7162, '19/04/2020', '19', '4', '2020', '27', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.15292959');
INSERT INTO public.ecdc_import VALUES (7163, '18/04/2020', '18', '4', '2020', '28', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '3.07475778');
INSERT INTO public.ecdc_import VALUES (7164, '17/04/2020', '17', '4', '2020', '24', '2', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '2.8923569');
INSERT INTO public.ecdc_import VALUES (7165, '16/04/2020', '16', '4', '2020', '44', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '2.76207055');
INSERT INTO public.ecdc_import VALUES (7166, '15/04/2020', '15', '4', '2020', '43', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '2.44938332');
INSERT INTO public.ecdc_import VALUES (7167, '14/04/2020', '14', '4', '2020', '24', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '2.14538184');
INSERT INTO public.ecdc_import VALUES (7168, '13/04/2020', '13', '4', '2020', '30', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '2.03246701');
INSERT INTO public.ecdc_import VALUES (7169, '12/04/2020', '12', '4', '2020', '24', '4', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.90218066');
INSERT INTO public.ecdc_import VALUES (7170, '11/04/2020', '11', '4', '2020', '8', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.7545228');
INSERT INTO public.ecdc_import VALUES (7171, '10/04/2020', '10', '4', '2020', '4', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.79795159');
INSERT INTO public.ecdc_import VALUES (7172, '09/04/2020', '9', '4', '2020', '54', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.9542952');
INSERT INTO public.ecdc_import VALUES (7173, '08/04/2020', '8', '4', '2020', '16', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.54606465');
INSERT INTO public.ecdc_import VALUES (7174, '07/04/2020', '7', '4', '2020', '11', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.44183557');
INSERT INTO public.ecdc_import VALUES (7175, '06/04/2020', '6', '4', '2020', '26', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.35497801');
INSERT INTO public.ecdc_import VALUES (7176, '05/04/2020', '5', '4', '2020', '18', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.18994863');
INSERT INTO public.ecdc_import VALUES (7177, '04/04/2020', '4', '4', '2020', '7', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.04229077');
INSERT INTO public.ecdc_import VALUES (7178, '03/04/2020', '3', '4', '2020', '9', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '1.01623351');
INSERT INTO public.ecdc_import VALUES (7179, '02/04/2020', '2', '4', '2020', '8', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.96411897');
INSERT INTO public.ecdc_import VALUES (7180, '01/04/2020', '1', '4', '2020', '8', '1', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.89463291');
INSERT INTO public.ecdc_import VALUES (7181, '31/03/2020', '31', '3', '2020', '11', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.83383262');
INSERT INTO public.ecdc_import VALUES (7182, '30/03/2020', '30', '3', '2020', '15', '3', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.74697506');
INSERT INTO public.ecdc_import VALUES (7183, '29/03/2020', '29', '3', '2020', '7', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.61668871');
INSERT INTO public.ecdc_import VALUES (7184, '28/03/2020', '28', '3', '2020', '13', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.61668871');
INSERT INTO public.ecdc_import VALUES (7185, '27/03/2020', '27', '3', '2020', '22', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.51245963');
INSERT INTO public.ecdc_import VALUES (7186, '26/03/2020', '26', '3', '2020', '7', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '0.3387445');
INSERT INTO public.ecdc_import VALUES (7187, '25/03/2020', '25', '3', '2020', '4', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7188, '24/03/2020', '24', '3', '2020', '1', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7189, '23/03/2020', '23', '3', '2020', '7', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7190, '22/03/2020', '22', '3', '2020', '1', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7191, '21/03/2020', '21', '3', '2020', '4', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7192, '20/03/2020', '20', '3', '2020', '3', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7193, '19/03/2020', '19', '3', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7194, '18/03/2020', '18', '3', '2020', '1', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7195, '17/03/2020', '17', '3', '2020', '1', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7196, '15/03/2020', '15', '3', '2020', '0', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7197, '14/03/2020', '14', '3', '2020', '7', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7198, '13/03/2020', '13', '3', '2020', '1', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7199, '12/03/2020', '12', '3', '2020', '2', '0', '11513102', 'Bolivia', 'BO', 'BOL', 'America', '');
INSERT INTO public.ecdc_import VALUES (7200, '14/12/2020', '14', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '46.18404341');
INSERT INTO public.ecdc_import VALUES (7201, '13/12/2020', '13', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '46.18404341');
INSERT INTO public.ecdc_import VALUES (7202, '12/12/2020', '12', '12', '2020', '3', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '46.18404341');
INSERT INTO public.ecdc_import VALUES (7203, '11/12/2020', '11', '12', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '34.63803256');
INSERT INTO public.ecdc_import VALUES (7204, '10/12/2020', '10', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '30.78936228');
INSERT INTO public.ecdc_import VALUES (7205, '09/12/2020', '9', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '30.78936228');
INSERT INTO public.ecdc_import VALUES (7206, '08/12/2020', '8', '12', '2020', '5', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '30.78936228');
INSERT INTO public.ecdc_import VALUES (7207, '07/12/2020', '7', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7208, '06/12/2020', '6', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7209, '05/12/2020', '5', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7210, '04/12/2020', '4', '12', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7211, '03/12/2020', '3', '12', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7212, '02/12/2020', '2', '12', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7213, '01/12/2020', '1', '12', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7214, '30/11/2020', '30', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7215, '29/11/2020', '29', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7216, '28/11/2020', '28', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7217, '27/11/2020', '27', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7218, '26/11/2020', '26', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '26.94069199');
INSERT INTO public.ecdc_import VALUES (7219, '25/11/2020', '25', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '26.94069199');
INSERT INTO public.ecdc_import VALUES (7220, '24/11/2020', '24', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '26.94069199');
INSERT INTO public.ecdc_import VALUES (7221, '23/11/2020', '23', '11', '2020', '3', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '26.94069199');
INSERT INTO public.ecdc_import VALUES (7222, '22/11/2020', '22', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7223, '21/11/2020', '21', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7224, '20/11/2020', '20', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7225, '19/11/2020', '19', '11', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7226, '18/11/2020', '18', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7227, '17/11/2020', '17', '11', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7228, '16/11/2020', '16', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7229, '15/11/2020', '15', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7230, '14/11/2020', '14', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7231, '13/11/2020', '13', '11', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7232, '12/11/2020', '12', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7233, '11/11/2020', '11', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7234, '10/11/2020', '10', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7235, '09/11/2020', '9', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7236, '08/11/2020', '8', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7237, '07/11/2020', '7', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7238, '06/11/2020', '6', '11', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7239, '05/11/2020', '5', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7240, '04/11/2020', '4', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7241, '03/11/2020', '3', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7242, '02/11/2020', '2', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7243, '01/11/2020', '1', '11', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7244, '31/10/2020', '31', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7245, '30/10/2020', '30', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7246, '29/10/2020', '29', '10', '2020', '3', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7247, '28/10/2020', '28', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7248, '27/10/2020', '27', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7249, '26/10/2020', '26', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7250, '25/10/2020', '25', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7251, '24/10/2020', '24', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7252, '23/10/2020', '23', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7253, '22/10/2020', '22', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7254, '21/10/2020', '21', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '34.63803256');
INSERT INTO public.ecdc_import VALUES (7255, '20/10/2020', '20', '10', '2020', '0', '1', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '100.06542739');
INSERT INTO public.ecdc_import VALUES (7256, '19/10/2020', '19', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '100.06542739');
INSERT INTO public.ecdc_import VALUES (7257, '18/10/2020', '18', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '100.06542739');
INSERT INTO public.ecdc_import VALUES (7258, '17/10/2020', '17', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '100.06542739');
INSERT INTO public.ecdc_import VALUES (7259, '16/10/2020', '16', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '169.34149251');
INSERT INTO public.ecdc_import VALUES (7260, '15/10/2020', '15', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '169.34149251');
INSERT INTO public.ecdc_import VALUES (7261, '14/10/2020', '14', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '169.34149251');
INSERT INTO public.ecdc_import VALUES (7262, '13/10/2020', '13', '10', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '169.34149251');
INSERT INTO public.ecdc_import VALUES (7263, '12/10/2020', '12', '10', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '242.46622792');
INSERT INTO public.ecdc_import VALUES (7264, '11/10/2020', '11', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '238.61755763');
INSERT INTO public.ecdc_import VALUES (7265, '10/10/2020', '10', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '238.61755763');
INSERT INTO public.ecdc_import VALUES (7266, '09/10/2020', '9', '10', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '265.55824962');
INSERT INTO public.ecdc_import VALUES (7267, '08/10/2020', '8', '10', '2020', '4', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '292.49894162');
INSERT INTO public.ecdc_import VALUES (7268, '07/10/2020', '7', '10', '2020', '17', '1', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '296.3476119');
INSERT INTO public.ecdc_import VALUES (7269, '06/10/2020', '6', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '261.70957934');
INSERT INTO public.ecdc_import VALUES (7270, '05/10/2020', '5', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '338.68298503');
INSERT INTO public.ecdc_import VALUES (7271, '04/10/2020', '4', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '338.68298503');
INSERT INTO public.ecdc_import VALUES (7272, '03/10/2020', '3', '10', '2020', '18', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '338.68298503');
INSERT INTO public.ecdc_import VALUES (7273, '02/10/2020', '2', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '269.40691991');
INSERT INTO public.ecdc_import VALUES (7274, '01/10/2020', '1', '10', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '284.80160105');
INSERT INTO public.ecdc_import VALUES (7275, '30/09/2020', '30', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '300.19628218');
INSERT INTO public.ecdc_import VALUES (7276, '29/09/2020', '29', '9', '2020', '21', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '304.04495247');
INSERT INTO public.ecdc_import VALUES (7277, '28/09/2020', '28', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '227.07154678');
INSERT INTO public.ecdc_import VALUES (7278, '27/09/2020', '27', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '230.92021707');
INSERT INTO public.ecdc_import VALUES (7279, '26/09/2020', '26', '9', '2020', '7', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '230.92021707');
INSERT INTO public.ecdc_import VALUES (7280, '25/09/2020', '25', '9', '2020', '9', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '203.97952507');
INSERT INTO public.ecdc_import VALUES (7281, '24/09/2020', '24', '9', '2020', '5', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '169.34149251');
INSERT INTO public.ecdc_import VALUES (7282, '23/09/2020', '23', '9', '2020', '8', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '157.79548166');
INSERT INTO public.ecdc_import VALUES (7283, '22/09/2020', '22', '9', '2020', '20', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '142.40080052');
INSERT INTO public.ecdc_import VALUES (7284, '21/09/2020', '21', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '69.27606512');
INSERT INTO public.ecdc_import VALUES (7285, '20/09/2020', '20', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '69.27606512');
INSERT INTO public.ecdc_import VALUES (7286, '19/09/2020', '19', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '69.27606512');
INSERT INTO public.ecdc_import VALUES (7287, '18/09/2020', '18', '9', '2020', '4', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '69.27606512');
INSERT INTO public.ecdc_import VALUES (7288, '17/09/2020', '17', '9', '2020', '4', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '53.88138398');
INSERT INTO public.ecdc_import VALUES (7289, '16/09/2020', '16', '9', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '50.0327137');
INSERT INTO public.ecdc_import VALUES (7290, '15/09/2020', '15', '9', '2020', '1', '1', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '46.18404341');
INSERT INTO public.ecdc_import VALUES (7291, '14/09/2020', '14', '9', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '42.33537313');
INSERT INTO public.ecdc_import VALUES (7292, '13/09/2020', '13', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '38.48670284');
INSERT INTO public.ecdc_import VALUES (7293, '12/09/2020', '12', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '38.48670284');
INSERT INTO public.ecdc_import VALUES (7294, '11/09/2020', '11', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '42.33537313');
INSERT INTO public.ecdc_import VALUES (7295, '10/09/2020', '10', '9', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '46.18404341');
INSERT INTO public.ecdc_import VALUES (7296, '09/09/2020', '9', '9', '2020', '4', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '38.48670284');
INSERT INTO public.ecdc_import VALUES (7297, '08/09/2020', '8', '9', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '23.09202171');
INSERT INTO public.ecdc_import VALUES (7298, '07/09/2020', '7', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7299, '06/09/2020', '6', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7300, '05/09/2020', '5', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7301, '04/09/2020', '4', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7302, '03/09/2020', '3', '9', '2020', '3', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '19.24335142');
INSERT INTO public.ecdc_import VALUES (7303, '02/09/2020', '2', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7304, '01/09/2020', '1', '9', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7305, '31/08/2020', '31', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7306, '30/08/2020', '30', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7307, '29/08/2020', '29', '8', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7308, '28/08/2020', '28', '8', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7309, '27/08/2020', '27', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7310, '26/08/2020', '26', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7311, '25/08/2020', '25', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7312, '24/08/2020', '24', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7313, '23/08/2020', '23', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7314, '22/08/2020', '22', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7315, '21/08/2020', '21', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7316, '20/08/2020', '20', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7317, '19/08/2020', '19', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7318, '18/08/2020', '18', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7319, '17/08/2020', '17', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7320, '16/08/2020', '16', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7321, '15/08/2020', '15', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7322, '14/08/2020', '14', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7323, '13/08/2020', '13', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7324, '12/08/2020', '12', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7325, '11/08/2020', '11', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7326, '10/08/2020', '10', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7327, '09/08/2020', '9', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7328, '08/08/2020', '8', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7329, '07/08/2020', '7', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7330, '06/08/2020', '6', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7331, '05/08/2020', '5', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7332, '04/08/2020', '4', '8', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7333, '03/08/2020', '3', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7334, '02/08/2020', '2', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7335, '01/08/2020', '1', '8', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7336, '31/07/2020', '31', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7337, '30/07/2020', '30', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7338, '29/07/2020', '29', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7339, '28/07/2020', '28', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7340, '27/07/2020', '27', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7341, '26/07/2020', '26', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7342, '25/07/2020', '25', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7343, '24/07/2020', '24', '7', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7344, '23/07/2020', '23', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7345, '22/07/2020', '22', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7346, '21/07/2020', '21', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7347, '20/07/2020', '20', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7348, '19/07/2020', '19', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7349, '18/07/2020', '18', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7350, '17/07/2020', '17', '7', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7351, '16/07/2020', '16', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7352, '15/07/2020', '15', '7', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7353, '14/07/2020', '14', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7354, '13/07/2020', '13', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7355, '12/07/2020', '12', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7356, '11/07/2020', '11', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7357, '10/07/2020', '10', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7358, '09/07/2020', '9', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7359, '08/07/2020', '8', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7360, '07/07/2020', '7', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7361, '06/07/2020', '6', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7362, '05/07/2020', '5', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7363, '04/07/2020', '4', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7364, '03/07/2020', '3', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7365, '02/07/2020', '2', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7366, '01/07/2020', '1', '7', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7367, '30/06/2020', '30', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7368, '29/06/2020', '29', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7369, '28/06/2020', '28', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7370, '27/06/2020', '27', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7371, '26/06/2020', '26', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7372, '25/06/2020', '25', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7373, '24/06/2020', '24', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7869, '01/08/2020', '1', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7374, '23/06/2020', '23', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7375, '22/06/2020', '22', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7376, '21/06/2020', '21', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7377, '20/06/2020', '20', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7378, '19/06/2020', '19', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7379, '18/06/2020', '18', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7380, '17/06/2020', '17', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7381, '16/06/2020', '16', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7382, '15/06/2020', '15', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7383, '14/06/2020', '14', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7384, '13/06/2020', '13', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7385, '12/06/2020', '12', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7386, '11/06/2020', '11', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7387, '10/06/2020', '10', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7388, '09/06/2020', '9', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7389, '08/06/2020', '8', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7390, '07/06/2020', '7', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7391, '06/06/2020', '6', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7392, '05/06/2020', '5', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7393, '04/06/2020', '4', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7394, '03/06/2020', '3', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7395, '02/06/2020', '2', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7396, '01/06/2020', '1', '6', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7397, '31/05/2020', '31', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7398, '30/05/2020', '30', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7399, '29/05/2020', '29', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7400, '28/05/2020', '28', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7401, '27/05/2020', '27', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7402, '26/05/2020', '26', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7403, '25/05/2020', '25', '5', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7404, '24/05/2020', '24', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7405, '23/05/2020', '23', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7406, '22/05/2020', '22', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7407, '21/05/2020', '21', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7408, '20/05/2020', '20', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7409, '19/05/2020', '19', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7410, '18/05/2020', '18', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7411, '17/05/2020', '17', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7412, '16/05/2020', '16', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7413, '15/05/2020', '15', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7414, '14/05/2020', '14', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7415, '13/05/2020', '13', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7416, '12/05/2020', '12', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7417, '11/05/2020', '11', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7418, '10/05/2020', '10', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7419, '09/05/2020', '9', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7420, '08/05/2020', '8', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7421, '07/05/2020', '7', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7422, '06/05/2020', '6', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '0');
INSERT INTO public.ecdc_import VALUES (7423, '05/05/2020', '5', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7424, '04/05/2020', '4', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '3.84867028');
INSERT INTO public.ecdc_import VALUES (7425, '03/05/2020', '3', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7426, '02/05/2020', '2', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7427, '01/05/2020', '1', '5', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7428, '30/04/2020', '30', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7429, '29/04/2020', '29', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7430, '28/04/2020', '28', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7431, '27/04/2020', '27', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7432, '26/04/2020', '26', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7433, '25/04/2020', '25', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7434, '24/04/2020', '24', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7435, '23/04/2020', '23', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7436, '22/04/2020', '22', '4', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7437, '21/04/2020', '21', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7438, '20/04/2020', '20', '4', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '11.54601085');
INSERT INTO public.ecdc_import VALUES (7439, '19/04/2020', '19', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7440, '18/04/2020', '18', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7441, '17/04/2020', '17', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7442, '16/04/2020', '16', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '7.69734057');
INSERT INTO public.ecdc_import VALUES (7443, '15/04/2020', '15', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '15.39468114');
INSERT INTO public.ecdc_import VALUES (7444, '14/04/2020', '14', '4', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7445, '13/04/2020', '13', '4', '2020', '1', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7446, '12/04/2020', '12', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7447, '11/04/2020', '11', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7448, '10/04/2020', '10', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7449, '09/04/2020', '9', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7450, '08/04/2020', '8', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7451, '07/04/2020', '7', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7452, '06/04/2020', '6', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7453, '05/04/2020', '5', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7454, '04/04/2020', '4', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7455, '03/04/2020', '3', '4', '2020', '0', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7456, '02/04/2020', '2', '4', '2020', '2', '0', '25983', 'Bonaire, Saint Eustatius and Saba', 'BQ', 'BES', 'America', '');
INSERT INTO public.ecdc_import VALUES (7457, '14/12/2020', '14', '12', '2020', '811', '38', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '416.32863758');
INSERT INTO public.ecdc_import VALUES (7458, '13/12/2020', '13', '12', '2020', '763', '48', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '450.62129695');
INSERT INTO public.ecdc_import VALUES (7459, '12/12/2020', '12', '12', '2020', '940', '51', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '427.50707513');
INSERT INTO public.ecdc_import VALUES (7460, '11/12/2020', '11', '12', '2020', '1286', '48', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '434.74730975');
INSERT INTO public.ecdc_import VALUES (7461, '10/12/2020', '10', '12', '2020', '1296', '70', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '423.78092928');
INSERT INTO public.ecdc_import VALUES (7462, '09/12/2020', '9', '12', '2020', '1077', '69', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '432.65703281');
INSERT INTO public.ecdc_import VALUES (7463, '08/12/2020', '8', '12', '2020', '437', '60', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '435.9590645');
INSERT INTO public.ecdc_import VALUES (7464, '07/12/2020', '7', '12', '2020', '739', '30', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '439.26109619');
INSERT INTO public.ecdc_import VALUES (7465, '06/12/2020', '6', '12', '2020', '975', '57', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '438.01904757');
INSERT INTO public.ecdc_import VALUES (7466, '05/12/2020', '5', '12', '2020', '1254', '53', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '448.31896293');
INSERT INTO public.ecdc_import VALUES (7467, '04/12/2020', '4', '12', '2020', '1161', '39', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '447.80396716');
INSERT INTO public.ecdc_import VALUES (7468, '03/12/2020', '3', '12', '2020', '1293', '46', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '448.37955067');
INSERT INTO public.ecdc_import VALUES (7469, '02/12/2020', '2', '12', '2020', '1184', '46', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '458.67946603');
INSERT INTO public.ecdc_import VALUES (7470, '01/12/2020', '1', '12', '2020', '527', '61', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '460.83033071');
INSERT INTO public.ecdc_import VALUES (7471, '30/11/2020', '30', '11', '2020', '1943', '78', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '499.06119301');
INSERT INTO public.ecdc_import VALUES (7472, '29/11/2020', '29', '11', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '440.20020612');
INSERT INTO public.ecdc_import VALUES (7473, '28/11/2020', '28', '11', '2020', '1179', '62', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '478.82488872');
INSERT INTO public.ecdc_import VALUES (7474, '27/11/2020', '27', '11', '2020', '924', '51', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '483.45985063');
INSERT INTO public.ecdc_import VALUES (7475, '26/11/2020', '26', '11', '2020', '1589', '35', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '507.81612106');
INSERT INTO public.ecdc_import VALUES (7476, '25/11/2020', '25', '11', '2020', '1186', '52', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '506.36201537');
INSERT INTO public.ecdc_import VALUES (7477, '24/11/2020', '24', '11', '2020', '546', '66', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '519.05514635');
INSERT INTO public.ecdc_import VALUES (7478, '23/11/2020', '23', '11', '2020', '698', '27', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '532.68738727');
INSERT INTO public.ecdc_import VALUES (7479, '22/11/2020', '22', '11', '2020', '1315', '40', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '548.22814191');
INSERT INTO public.ecdc_import VALUES (7480, '21/11/2020', '21', '11', '2020', '1237', '56', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '562.4662602');
INSERT INTO public.ecdc_import VALUES (7481, '20/11/2020', '20', '11', '2020', '1180', '64', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '583.1872664');
INSERT INTO public.ecdc_import VALUES (7482, '19/11/2020', '19', '11', '2020', '1633', '47', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '605.24120281');
INSERT INTO public.ecdc_import VALUES (7483, '18/11/2020', '18', '11', '2020', '1255', '69', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '609.57322604');
INSERT INTO public.ecdc_import VALUES (7484, '17/11/2020', '17', '11', '2020', '1789', '116', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '618.60079891');
INSERT INTO public.ecdc_import VALUES (7485, '16/11/2020', '16', '11', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '587.54958349');
INSERT INTO public.ecdc_import VALUES (7486, '15/11/2020', '15', '11', '2020', '1275', '49', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '630.4154077');
INSERT INTO public.ecdc_import VALUES (7487, '14/11/2020', '14', '11', '2020', '1332', '58', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '650.46994879');
INSERT INTO public.ecdc_import VALUES (7488, '13/11/2020', '13', '11', '2020', '1728', '49', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '655.1049107');
INSERT INTO public.ecdc_import VALUES (7489, '12/11/2020', '12', '11', '2020', '1541', '72', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '660.6183948');
INSERT INTO public.ecdc_import VALUES (7490, '11/11/2020', '11', '11', '2020', '1605', '46', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '661.92103115');
INSERT INTO public.ecdc_import VALUES (7491, '10/11/2020', '10', '11', '2020', '996', '73', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '660.49721933');
INSERT INTO public.ecdc_import VALUES (7492, '09/11/2020', '9', '11', '2020', '1211', '20', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '652.1966993');
INSERT INTO public.ecdc_import VALUES (7493, '08/11/2020', '8', '11', '2020', '1785', '33', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '649.92465915');
INSERT INTO public.ecdc_import VALUES (7494, '07/11/2020', '7', '11', '2020', '1921', '55', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '633.95979034');
INSERT INTO public.ecdc_import VALUES (7495, '06/11/2020', '6', '11', '2020', '1908', '44', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '611.4514459');
INSERT INTO public.ecdc_import VALUES (7496, '05/11/2020', '5', '11', '2020', '1776', '41', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '584.03549472');
INSERT INTO public.ecdc_import VALUES (7497, '04/11/2020', '4', '11', '2020', '1553', '37', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '558.34629406');
INSERT INTO public.ecdc_import VALUES (7498, '03/11/2020', '3', '11', '2020', '764', '32', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '533.29326464');
INSERT INTO public.ecdc_import VALUES (7499, '02/11/2020', '2', '11', '2020', '1415', '14', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '526.6589074');
INSERT INTO public.ecdc_import VALUES (7500, '01/11/2020', '1', '11', '2020', '1937', '22', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '500.72735579');
INSERT INTO public.ecdc_import VALUES (7501, '31/10/2020', '31', '10', '2020', '1485', '30', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '463.6476605');
INSERT INTO public.ecdc_import VALUES (7502, '30/10/2020', '30', '10', '2020', '1910', '21', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '437.38287633');
INSERT INTO public.ecdc_import VALUES (7503, '29/10/2020', '29', '10', '2020', '1584', '36', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '397.03144322');
INSERT INTO public.ecdc_import VALUES (7504, '28/10/2020', '28', '10', '2020', '1558', '21', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '363.5567183');
INSERT INTO public.ecdc_import VALUES (7505, '27/10/2020', '27', '10', '2020', '722', '18', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '326.62849235');
INSERT INTO public.ecdc_import VALUES (7506, '26/10/2020', '26', '10', '2020', '1136', '15', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '310.48186033');
INSERT INTO public.ecdc_import VALUES (7507, '25/10/2020', '25', '10', '2020', '1258', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '285.21677384');
INSERT INTO public.ecdc_import VALUES (7870, '31/07/2020', '31', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7508, '24/10/2020', '24', '10', '2020', '1178', '14', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '260.07286281');
INSERT INTO public.ecdc_import VALUES (7509, '23/10/2020', '23', '10', '2020', '1003', '20', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '236.11041267');
INSERT INTO public.ecdc_import VALUES (7510, '22/10/2020', '22', '10', '2020', '928', '14', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '219.44878488');
INSERT INTO public.ecdc_import VALUES (7511, '21/10/2020', '21', '10', '2020', '726', '20', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '202.3933368');
INSERT INTO public.ecdc_import VALUES (7512, '20/10/2020', '20', '10', '2020', '545', '13', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '188.30668786');
INSERT INTO public.ecdc_import VALUES (7513, '19/10/2020', '19', '10', '2020', '559', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '186.15582318');
INSERT INTO public.ecdc_import VALUES (7514, '18/10/2020', '18', '10', '2020', '713', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '169.34272605');
INSERT INTO public.ecdc_import VALUES (7515, '17/10/2020', '17', '10', '2020', '618', '8', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '154.58961199');
INSERT INTO public.ecdc_import VALUES (7516, '16/10/2020', '16', '10', '2020', '578', '15', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '135.86800113');
INSERT INTO public.ecdc_import VALUES (7517, '15/10/2020', '15', '10', '2020', '479', '12', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '126.84042826');
INSERT INTO public.ecdc_import VALUES (7518, '14/10/2020', '14', '10', '2020', '339', '13', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '119.69107524');
INSERT INTO public.ecdc_import VALUES (7519, '13/10/2020', '13', '10', '2020', '189', '9', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '116.23757421');
INSERT INTO public.ecdc_import VALUES (7520, '12/10/2020', '12', '10', '2020', '302', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '112.93554252');
INSERT INTO public.ecdc_import VALUES (7521, '11/10/2020', '11', '10', '2020', '428', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '107.48264616');
INSERT INTO public.ecdc_import VALUES (7522, '10/10/2020', '10', '10', '2020', '387', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '101.51475402');
INSERT INTO public.ecdc_import VALUES (7523, '09/10/2020', '9', '10', '2020', '453', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '97.30390627');
INSERT INTO public.ecdc_import VALUES (7524, '08/10/2020', '8', '10', '2020', '365', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '90.6998429');
INSERT INTO public.ecdc_import VALUES (7525, '07/10/2020', '7', '10', '2020', '261', '15', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '90.06367165');
INSERT INTO public.ecdc_import VALUES (7526, '06/10/2020', '6', '10', '2020', '474', '17', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '88.85191691');
INSERT INTO public.ecdc_import VALUES (7527, '05/10/2020', '5', '10', '2020', '4', '7', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '77.27965906');
INSERT INTO public.ecdc_import VALUES (7528, '04/10/2020', '4', '10', '2020', '226', '10', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '83.58078375');
INSERT INTO public.ecdc_import VALUES (7529, '03/10/2020', '3', '10', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '86.42840741');
INSERT INTO public.ecdc_import VALUES (7530, '02/10/2020', '2', '10', '2020', '280', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '95.27421707');
INSERT INTO public.ecdc_import VALUES (7531, '01/10/2020', '1', '10', '2020', '243', '13', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '98.7277181');
INSERT INTO public.ecdc_import VALUES (7532, '30/09/2020', '30', '9', '2020', '225', '14', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '99.90917898');
INSERT INTO public.ecdc_import VALUES (7533, '29/09/2020', '29', '9', '2020', '80', '12', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '101.99945592');
INSERT INTO public.ecdc_import VALUES (7534, '28/09/2020', '28', '9', '2020', '122', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '104.66531637');
INSERT INTO public.ecdc_import VALUES (7535, '27/09/2020', '27', '9', '2020', '231', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.90585332');
INSERT INTO public.ecdc_import VALUES (7536, '26/09/2020', '26', '9', '2020', '248', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '112.99613026');
INSERT INTO public.ecdc_import VALUES (7537, '25/09/2020', '25', '9', '2020', '235', '12', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '114.26847275');
INSERT INTO public.ecdc_import VALUES (7538, '24/09/2020', '24', '9', '2020', '344', '12', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '115.81346005');
INSERT INTO public.ecdc_import VALUES (7539, '23/09/2020', '23', '9', '2020', '221', '15', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '114.38964822');
INSERT INTO public.ecdc_import VALUES (7540, '22/09/2020', '22', '9', '2020', '92', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '116.81315772');
INSERT INTO public.ecdc_import VALUES (7541, '21/09/2020', '21', '9', '2020', '212', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '129.71834579');
INSERT INTO public.ecdc_import VALUES (7542, '20/09/2020', '20', '9', '2020', '320', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '123.29604562');
INSERT INTO public.ecdc_import VALUES (7543, '19/09/2020', '19', '9', '2020', '292', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.60200764');
INSERT INTO public.ecdc_import VALUES (7544, '18/09/2020', '18', '9', '2020', '394', '12', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '114.9955256');
INSERT INTO public.ecdc_import VALUES (7545, '17/09/2020', '17', '9', '2020', '282', '11', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '111.75408164');
INSERT INTO public.ecdc_import VALUES (7546, '16/09/2020', '16', '9', '2020', '294', '20', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '111.78437551');
INSERT INTO public.ecdc_import VALUES (7547, '15/09/2020', '15', '9', '2020', '168', '9', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '111.05732266');
INSERT INTO public.ecdc_import VALUES (7548, '14/09/2020', '14', '9', '2020', '328', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '111.26937975');
INSERT INTO public.ecdc_import VALUES (7549, '13/09/2020', '13', '9', '2020', '300', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '118.75196531');
INSERT INTO public.ecdc_import VALUES (7550, '12/09/2020', '12', '9', '2020', '290', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '109.6638047');
INSERT INTO public.ecdc_import VALUES (7551, '11/09/2020', '11', '9', '2020', '286', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '109.78498018');
INSERT INTO public.ecdc_import VALUES (7552, '10/09/2020', '10', '9', '2020', '297', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.5423269');
INSERT INTO public.ecdc_import VALUES (7553, '09/09/2020', '9', '9', '2020', '301', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.17880047');
INSERT INTO public.ecdc_import VALUES (7554, '08/09/2020', '8', '9', '2020', '518', '25', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.057625');
INSERT INTO public.ecdc_import VALUES (7555, '07/09/2020', '7', '9', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '98.21272233');
INSERT INTO public.ecdc_import VALUES (7556, '06/09/2020', '6', '9', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.60200764');
INSERT INTO public.ecdc_import VALUES (7557, '05/09/2020', '5', '9', '2020', '338', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.60200764');
INSERT INTO public.ecdc_import VALUES (7558, '04/09/2020', '4', '9', '2020', '287', '9', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '114.35935435');
INSERT INTO public.ecdc_import VALUES (7559, '03/09/2020', '3', '9', '2020', '283', '7', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '115.90434166');
INSERT INTO public.ecdc_import VALUES (7560, '02/09/2020', '2', '9', '2020', '270', '11', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '117.63109217');
INSERT INTO public.ecdc_import VALUES (7561, '01/09/2020', '1', '9', '2020', '175', '17', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '119.02461013');
INSERT INTO public.ecdc_import VALUES (7562, '31/08/2020', '31', '8', '2020', '575', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '128.87011746');
INSERT INTO public.ecdc_import VALUES (7563, '30/08/2020', '30', '8', '2020', '0', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '111.45114296');
INSERT INTO public.ecdc_import VALUES (7564, '29/08/2020', '29', '8', '2020', '294', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '111.48143683');
INSERT INTO public.ecdc_import VALUES (7565, '28/08/2020', '28', '8', '2020', '311', '11', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.17789347');
INSERT INTO public.ecdc_import VALUES (7566, '27/08/2020', '27', '8', '2020', '285', '17', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.51203303');
INSERT INTO public.ecdc_import VALUES (7567, '26/08/2020', '26', '8', '2020', '297', '14', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '109.54262923');
INSERT INTO public.ecdc_import VALUES (7568, '25/08/2020', '25', '8', '2020', '127', '11', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '106.90706265');
INSERT INTO public.ecdc_import VALUES (7569, '24/08/2020', '24', '8', '2020', '508', '9', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '108.30058061');
INSERT INTO public.ecdc_import VALUES (7570, '23/08/2020', '23', '8', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '100.06064833');
INSERT INTO public.ecdc_import VALUES (7571, '22/08/2020', '22', '8', '2020', '363', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '112.23878354');
INSERT INTO public.ecdc_import VALUES (7572, '21/08/2020', '21', '8', '2020', '338', '8', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.02733113');
INSERT INTO public.ecdc_import VALUES (7573, '20/08/2020', '20', '8', '2020', '340', '12', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '107.39176455');
INSERT INTO public.ecdc_import VALUES (7574, '19/08/2020', '19', '8', '2020', '316', '20', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '105.81648338');
INSERT INTO public.ecdc_import VALUES (7575, '18/08/2020', '18', '8', '2020', '500', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.26877508');
INSERT INTO public.ecdc_import VALUES (7576, '17/08/2020', '17', '8', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '103.81708804');
INSERT INTO public.ecdc_import VALUES (7577, '16/08/2020', '16', '8', '2020', '1', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.87555945');
INSERT INTO public.ecdc_import VALUES (7578, '15/08/2020', '15', '8', '2020', '350', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '123.90192299');
INSERT INTO public.ecdc_import VALUES (7579, '14/08/2020', '14', '8', '2020', '223', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.29906895');
INSERT INTO public.ecdc_import VALUES (7580, '13/08/2020', '13', '8', '2020', '253', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '127.08277921');
INSERT INTO public.ecdc_import VALUES (7581, '12/08/2020', '12', '8', '2020', '210', '22', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '119.41843043');
INSERT INTO public.ecdc_import VALUES (7582, '11/08/2020', '11', '8', '2020', '173', '23', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '121.17547481');
INSERT INTO public.ecdc_import VALUES (7583, '10/08/2020', '10', '8', '2020', '236', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '128.9307052');
INSERT INTO public.ecdc_import VALUES (7584, '09/08/2020', '9', '8', '2020', '402', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '131.02098214');
INSERT INTO public.ecdc_import VALUES (7585, '08/08/2020', '8', '8', '2020', '290', '15', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '127.99159527');
INSERT INTO public.ecdc_import VALUES (7586, '07/08/2020', '7', '8', '2020', '251', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '119.26696108');
INSERT INTO public.ecdc_import VALUES (7587, '06/08/2020', '6', '8', '2020', '288', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '122.08429087');
INSERT INTO public.ecdc_import VALUES (7588, '05/08/2020', '5', '8', '2020', '562', '21', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '123.35663336');
INSERT INTO public.ecdc_import VALUES (7589, '04/08/2020', '4', '8', '2020', '188', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '112.23878354');
INSERT INTO public.ecdc_import VALUES (7590, '03/08/2020', '3', '8', '2020', '233', '8', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '110.75438398');
INSERT INTO public.ecdc_import VALUES (7591, '02/08/2020', '2', '8', '2020', '431', '7', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '112.42054676');
INSERT INTO public.ecdc_import VALUES (7592, '01/08/2020', '1', '8', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '107.11911973');
INSERT INTO public.ecdc_import VALUES (7593, '31/07/2020', '31', '7', '2020', '678', '31', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '113.99582793');
INSERT INTO public.ecdc_import VALUES (7594, '30/07/2020', '30', '7', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '101.75710497');
INSERT INTO public.ecdc_import VALUES (7595, '29/07/2020', '29', '7', '2020', '268', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '108.75498864');
INSERT INTO public.ecdc_import VALUES (7596, '28/07/2020', '28', '7', '2020', '429', '11', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '106.60412396');
INSERT INTO public.ecdc_import VALUES (7597, '27/07/2020', '27', '7', '2020', '305', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '96.48597182');
INSERT INTO public.ecdc_import VALUES (7598, '26/07/2020', '26', '7', '2020', '302', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '92.21453633');
INSERT INTO public.ecdc_import VALUES (7599, '25/07/2020', '25', '7', '2020', '2', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '92.69923823');
INSERT INTO public.ecdc_import VALUES (7600, '24/07/2020', '24', '7', '2020', '344', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '102.18121913');
INSERT INTO public.ecdc_import VALUES (7601, '23/07/2020', '23', '7', '2020', '330', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '98.39448555');
INSERT INTO public.ecdc_import VALUES (7602, '22/07/2020', '22', '7', '2020', '195', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '95.97097605');
INSERT INTO public.ecdc_import VALUES (7603, '21/07/2020', '21', '7', '2020', '139', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '94.94098451');
INSERT INTO public.ecdc_import VALUES (7604, '20/07/2020', '20', '7', '2020', '288', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '92.66894436');
INSERT INTO public.ecdc_import VALUES (7605, '19/07/2020', '19', '7', '2020', '256', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '88.30662727');
INSERT INTO public.ecdc_import VALUES (7606, '18/07/2020', '18', '7', '2020', '227', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '89.30632494');
INSERT INTO public.ecdc_import VALUES (7607, '17/07/2020', '17', '7', '2020', '274', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '87.64016216');
INSERT INTO public.ecdc_import VALUES (7608, '16/07/2020', '16', '7', '2020', '231', '8', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '84.85312624');
INSERT INTO public.ecdc_import VALUES (7609, '15/07/2020', '15', '7', '2020', '197', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '82.49020448');
INSERT INTO public.ecdc_import VALUES (7610, '14/07/2020', '14', '7', '2020', '95', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '79.8546379');
INSERT INTO public.ecdc_import VALUES (7611, '13/07/2020', '13', '7', '2020', '164', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '80.85433557');
INSERT INTO public.ecdc_import VALUES (7612, '12/07/2020', '12', '7', '2020', '318', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '79.15787892');
INSERT INTO public.ecdc_import VALUES (7613, '11/07/2020', '11', '7', '2020', '315', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '74.76526796');
INSERT INTO public.ecdc_import VALUES (7614, '10/07/2020', '10', '7', '2020', '219', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '69.46384094');
INSERT INTO public.ecdc_import VALUES (7615, '09/07/2020', '9', '7', '2020', '250', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '66.43445407');
INSERT INTO public.ecdc_import VALUES (7616, '08/07/2020', '8', '7', '2020', '161', '10', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '61.52684734');
INSERT INTO public.ecdc_import VALUES (7617, '07/07/2020', '7', '7', '2020', '64', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '58.5580482');
INSERT INTO public.ecdc_import VALUES (7618, '06/07/2020', '6', '7', '2020', '144', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '59.43657039');
INSERT INTO public.ecdc_import VALUES (7619, '05/07/2020', '5', '7', '2020', '289', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '57.40688119');
INSERT INTO public.ecdc_import VALUES (7620, '04/07/2020', '4', '7', '2020', '172', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '50.65134847');
INSERT INTO public.ecdc_import VALUES (7621, '03/07/2020', '3', '7', '2020', '182', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '48.04607576');
INSERT INTO public.ecdc_import VALUES (7622, '02/07/2020', '2', '7', '2020', '153', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '44.28963604');
INSERT INTO public.ecdc_import VALUES (7623, '01/07/2020', '1', '7', '2020', '110', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '41.47230625');
INSERT INTO public.ecdc_import VALUES (7624, '30/06/2020', '30', '6', '2020', '128', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '39.50320479');
INSERT INTO public.ecdc_import VALUES (7625, '29/06/2020', '29', '6', '2020', '108', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '36.77675661');
INSERT INTO public.ecdc_import VALUES (7626, '28/06/2020', '28', '6', '2020', '173', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '35.35294478');
INSERT INTO public.ecdc_import VALUES (7627, '27/06/2020', '27', '6', '2020', '140', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '31.56621119');
INSERT INTO public.ecdc_import VALUES (7628, '26/06/2020', '26', '6', '2020', '119', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '29.17299556');
INSERT INTO public.ecdc_import VALUES (7629, '25/06/2020', '25', '6', '2020', '88', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '27.23418796');
INSERT INTO public.ecdc_import VALUES (7630, '24/06/2020', '24', '6', '2020', '63', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '26.05272708');
INSERT INTO public.ecdc_import VALUES (7631, '23/06/2020', '23', '6', '2020', '93', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '24.8712662');
INSERT INTO public.ecdc_import VALUES (7632, '22/06/2020', '22', '6', '2020', '77', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '22.96275248');
INSERT INTO public.ecdc_import VALUES (7633, '21/06/2020', '21', '6', '2020', '66', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '21.75099773');
INSERT INTO public.ecdc_import VALUES (7634, '20/06/2020', '20', '6', '2020', '86', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '20.69071232');
INSERT INTO public.ecdc_import VALUES (7635, '19/06/2020', '19', '6', '2020', '58', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.44896604');
INSERT INTO public.ecdc_import VALUES (7636, '18/06/2020', '18', '6', '2020', '60', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.99455801');
INSERT INTO public.ecdc_import VALUES (7637, '17/06/2020', '17', '6', '2020', '45', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.66162779');
INSERT INTO public.ecdc_import VALUES (7638, '16/06/2020', '16', '6', '2020', '38', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '15.63163625');
INSERT INTO public.ecdc_import VALUES (7639, '15/06/2020', '15', '6', '2020', '61', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '14.9045834');
INSERT INTO public.ecdc_import VALUES (7640, '14/06/2020', '14', '6', '2020', '48', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '13.54135931');
INSERT INTO public.ecdc_import VALUES (7641, '13/06/2020', '13', '6', '2020', '61', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '12.35989843');
INSERT INTO public.ecdc_import VALUES (7642, '12/06/2020', '12', '6', '2020', '55', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '11.17843755');
INSERT INTO public.ecdc_import VALUES (7643, '11/06/2020', '11', '6', '2020', '49', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '10.3605031');
INSERT INTO public.ecdc_import VALUES (7644, '10/06/2020', '10', '6', '2020', '24', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '9.45168704');
INSERT INTO public.ecdc_import VALUES (7645, '09/06/2020', '9', '6', '2020', '30', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '9.02757287');
INSERT INTO public.ecdc_import VALUES (7646, '08/06/2020', '8', '6', '2020', '37', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '8.27022616');
INSERT INTO public.ecdc_import VALUES (7647, '07/06/2020', '7', '6', '2020', '31', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.42199783');
INSERT INTO public.ecdc_import VALUES (7648, '06/06/2020', '6', '6', '2020', '12', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.05847141');
INSERT INTO public.ecdc_import VALUES (7649, '05/06/2020', '5', '6', '2020', '43', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.30082236');
INSERT INTO public.ecdc_import VALUES (7650, '04/06/2020', '4', '6', '2020', '16', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.54347564');
INSERT INTO public.ecdc_import VALUES (7651, '03/06/2020', '3', '6', '2020', '11', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.51318177');
INSERT INTO public.ecdc_import VALUES (7652, '02/06/2020', '2', '6', '2020', '14', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.66465111');
INSERT INTO public.ecdc_import VALUES (7653, '01/06/2020', '1', '6', '2020', '16', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.66465111');
INSERT INTO public.ecdc_import VALUES (7654, '31/05/2020', '31', '5', '2020', '9', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.84641433');
INSERT INTO public.ecdc_import VALUES (7655, '30/05/2020', '30', '5', '2020', '22', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.48258557');
INSERT INTO public.ecdc_import VALUES (7656, '29/05/2020', '29', '5', '2020', '28', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.4522917');
INSERT INTO public.ecdc_import VALUES (7657, '28/05/2020', '28', '5', '2020', '19', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.66434878');
INSERT INTO public.ecdc_import VALUES (7658, '27/05/2020', '27', '5', '2020', '10', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.78552426');
INSERT INTO public.ecdc_import VALUES (7659, '26/05/2020', '26', '5', '2020', '5', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.96728747');
INSERT INTO public.ecdc_import VALUES (7660, '25/05/2020', '25', '5', '2020', '9', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '8.57316484');
INSERT INTO public.ecdc_import VALUES (7661, '24/05/2020', '24', '5', '2020', '19', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '9.05786674');
INSERT INTO public.ecdc_import VALUES (7662, '23/05/2020', '23', '5', '2020', '20', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '9.14874835');
INSERT INTO public.ecdc_import VALUES (7663, '22/05/2020', '22', '5', '2020', '18', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '9.84550733');
INSERT INTO public.ecdc_import VALUES (7664, '21/05/2020', '21', '5', '2020', '15', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '10.54226631');
INSERT INTO public.ecdc_import VALUES (7665, '20/05/2020', '20', '5', '2020', '16', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '11.29961303');
INSERT INTO public.ecdc_import VALUES (7666, '19/05/2020', '19', '5', '2020', '14', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '11.4207885');
INSERT INTO public.ecdc_import VALUES (7667, '18/05/2020', '18', '5', '2020', '22', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '13.08695128');
INSERT INTO public.ecdc_import VALUES (7668, '17/05/2020', '17', '5', '2020', '30', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '12.93548194');
INSERT INTO public.ecdc_import VALUES (7669, '16/05/2020', '16', '5', '2020', '21', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '13.78371026');
INSERT INTO public.ecdc_import VALUES (7670, '15/05/2020', '15', '5', '2020', '35', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '13.90488573');
INSERT INTO public.ecdc_import VALUES (7671, '14/05/2020', '14', '5', '2020', '23', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '14.9045834');
INSERT INTO public.ecdc_import VALUES (7672, '13/05/2020', '13', '5', '2020', '16', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.26750516');
INSERT INTO public.ecdc_import VALUES (7673, '12/05/2020', '12', '5', '2020', '25', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.50985611');
INSERT INTO public.ecdc_import VALUES (7674, '11/05/2020', '11', '5', '2020', '25', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.20661509');
INSERT INTO public.ecdc_import VALUES (7675, '10/05/2020', '10', '5', '2020', '22', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.3883783');
INSERT INTO public.ecdc_import VALUES (7676, '09/05/2020', '9', '5', '2020', '43', '8', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '19.69101466');
INSERT INTO public.ecdc_import VALUES (7677, '08/05/2020', '8', '5', '2020', '41', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.60043538');
INSERT INTO public.ecdc_import VALUES (7678, '07/05/2020', '7', '5', '2020', '40', '6', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.75190473');
INSERT INTO public.ecdc_import VALUES (7679, '06/05/2020', '6', '5', '2020', '20', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.35808443');
INSERT INTO public.ecdc_import VALUES (7680, '05/05/2020', '5', '5', '2020', '69', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.96396181');
INSERT INTO public.ecdc_import VALUES (7681, '04/05/2020', '4', '5', '2020', '17', '5', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.8127948');
INSERT INTO public.ecdc_import VALUES (7682, '03/05/2020', '3', '5', '2020', '58', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.75220706');
INSERT INTO public.ecdc_import VALUES (7683, '02/05/2020', '2', '5', '2020', '25', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.3280929');
INSERT INTO public.ecdc_import VALUES (7684, '01/05/2020', '1', '5', '2020', '68', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.32779057');
INSERT INTO public.ecdc_import VALUES (7685, '30/04/2020', '30', '4', '2020', '101', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.84308867');
INSERT INTO public.ecdc_import VALUES (7686, '29/04/2020', '29', '4', '2020', '24', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '15.60134238');
INSERT INTO public.ecdc_import VALUES (7687, '28/04/2020', '28', '4', '2020', '48', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.23751362');
INSERT INTO public.ecdc_import VALUES (7688, '27/04/2020', '27', '4', '2020', '31', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '15.41957917');
INSERT INTO public.ecdc_import VALUES (7689, '26/04/2020', '26', '4', '2020', '65', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.26780749');
INSERT INTO public.ecdc_import VALUES (7690, '25/04/2020', '25', '4', '2020', '7', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '15.72251786');
INSERT INTO public.ecdc_import VALUES (7691, '24/04/2020', '24', '4', '2020', '46', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.29810136');
INSERT INTO public.ecdc_import VALUES (7692, '23/04/2020', '23', '4', '2020', '27', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.69192166');
INSERT INTO public.ecdc_import VALUES (7693, '22/04/2020', '22', '4', '2020', '40', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.9342726');
INSERT INTO public.ecdc_import VALUES (7694, '21/04/2020', '21', '4', '2020', '31', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.32779057');
INSERT INTO public.ecdc_import VALUES (7695, '20/04/2020', '20', '4', '2020', '15', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.35808443');
INSERT INTO public.ecdc_import VALUES (7696, '19/04/2020', '19', '4', '2020', '44', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.84278633');
INSERT INTO public.ecdc_import VALUES (7697, '18/04/2020', '18', '4', '2020', '58', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.90337407');
INSERT INTO public.ecdc_import VALUES (7698, '17/04/2020', '17', '4', '2020', '52', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.7821986');
INSERT INTO public.ecdc_import VALUES (7699, '16/04/2020', '16', '4', '2020', '27', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '19.26690049');
INSERT INTO public.ecdc_import VALUES (7700, '15/04/2020', '15', '4', '2020', '45', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '19.99395334');
INSERT INTO public.ecdc_import VALUES (7701, '14/04/2020', '14', '4', '2020', '21', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '20.44836137');
INSERT INTO public.ecdc_import VALUES (7702, '13/04/2020', '13', '4', '2020', '59', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '20.72100619');
INSERT INTO public.ecdc_import VALUES (7703, '12/04/2020', '12', '4', '2020', '47', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '20.93306327');
INSERT INTO public.ecdc_import VALUES (7704, '11/04/2020', '11', '4', '2020', '26', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '20.23630429');
INSERT INTO public.ecdc_import VALUES (7705, '10/04/2020', '10', '4', '2020', '59', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '20.05454108');
INSERT INTO public.ecdc_import VALUES (7706, '09/04/2020', '9', '4', '2020', '35', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '19.47895758');
INSERT INTO public.ecdc_import VALUES (7707, '08/04/2020', '8', '4', '2020', '86', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '18.69131699');
INSERT INTO public.ecdc_import VALUES (7708, '07/04/2020', '7', '4', '2020', '32', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '17.08574195');
INSERT INTO public.ecdc_import VALUES (7709, '06/04/2020', '6', '4', '2020', '31', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.29810136');
INSERT INTO public.ecdc_import VALUES (7710, '05/04/2020', '5', '4', '2020', '46', '3', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '16.3586891');
INSERT INTO public.ecdc_import VALUES (7711, '04/04/2020', '4', '4', '2020', '54', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '15.8739872');
INSERT INTO public.ecdc_import VALUES (7712, '03/04/2020', '3', '4', '2020', '68', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '14.78340793');
INSERT INTO public.ecdc_import VALUES (7713, '02/04/2020', '2', '4', '2020', '51', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '12.99606967');
INSERT INTO public.ecdc_import VALUES (7714, '01/04/2020', '1', '4', '2020', '60', '4', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '11.60255171');
INSERT INTO public.ecdc_import VALUES (7715, '31/03/2020', '31', '3', '2020', '30', '2', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '10.05756441');
INSERT INTO public.ecdc_import VALUES (7716, '30/03/2020', '30', '3', '2020', '66', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '9.23962995');
INSERT INTO public.ecdc_import VALUES (7717, '29/03/2020', '29', '3', '2020', '24', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '7.69464265');
INSERT INTO public.ecdc_import VALUES (7718, '28/03/2020', '28', '3', '2020', '20', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.9675898');
INSERT INTO public.ecdc_import VALUES (7719, '27/03/2020', '27', '3', '2020', '40', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '6.3920063');
INSERT INTO public.ecdc_import VALUES (7720, '26/03/2020', '26', '3', '2020', '9', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '5.24083929');
INSERT INTO public.ecdc_import VALUES (7721, '25/03/2020', '25', '3', '2020', '33', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7722, '24/03/2020', '24', '3', '2020', '6', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7723, '23/03/2020', '23', '3', '2020', '33', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7724, '22/03/2020', '22', '3', '2020', '30', '1', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7725, '21/03/2020', '21', '3', '2020', '18', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7726, '20/03/2020', '20', '3', '2020', '9', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7727, '19/03/2020', '19', '3', '2020', '5', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7728, '18/03/2020', '18', '3', '2020', '9', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7729, '17/03/2020', '17', '3', '2020', '3', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7730, '16/03/2020', '16', '3', '2020', '15', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7731, '13/03/2020', '13', '3', '2020', '0', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7732, '12/03/2020', '12', '3', '2020', '1', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7733, '06/03/2020', '6', '3', '2020', '2', '0', '3300998', 'Bosnia_and_Herzegovina', 'BA', 'BIH', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (7734, '14/12/2020', '14', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '108.91160883');
INSERT INTO public.ecdc_import VALUES (7735, '13/12/2020', '13', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '108.91160883');
INSERT INTO public.ecdc_import VALUES (7736, '12/12/2020', '12', '12', '2020', '443', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '108.91160883');
INSERT INTO public.ecdc_import VALUES (7737, '11/12/2020', '11', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.68169942');
INSERT INTO public.ecdc_import VALUES (7738, '10/12/2020', '10', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.68169942');
INSERT INTO public.ecdc_import VALUES (7739, '09/12/2020', '9', '12', '2020', '527', '2', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.68169942');
INSERT INTO public.ecdc_import VALUES (7740, '08/12/2020', '8', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '84.08201925');
INSERT INTO public.ecdc_import VALUES (7741, '07/12/2020', '7', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '84.08201925');
INSERT INTO public.ecdc_import VALUES (7742, '06/12/2020', '6', '12', '2020', '1521', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '84.08201925');
INSERT INTO public.ecdc_import VALUES (7743, '05/12/2020', '5', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.05788333');
INSERT INTO public.ecdc_import VALUES (7744, '04/12/2020', '4', '12', '2020', '18', '3', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.05788333');
INSERT INTO public.ecdc_import VALUES (7745, '03/12/2020', '3', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '38.59004394');
INSERT INTO public.ecdc_import VALUES (7746, '02/12/2020', '2', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '38.59004394');
INSERT INTO public.ecdc_import VALUES (7747, '01/12/2020', '1', '12', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '38.59004394');
INSERT INTO public.ecdc_import VALUES (7748, '30/11/2020', '30', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.70259578');
INSERT INTO public.ecdc_import VALUES (7749, '29/11/2020', '29', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.70259578');
INSERT INTO public.ecdc_import VALUES (7750, '28/11/2020', '28', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.70259578');
INSERT INTO public.ecdc_import VALUES (7751, '27/11/2020', '27', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.70259578');
INSERT INTO public.ecdc_import VALUES (7752, '26/11/2020', '26', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '93.6318614');
INSERT INTO public.ecdc_import VALUES (7753, '25/11/2020', '25', '11', '2020', '398', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '93.6318614');
INSERT INTO public.ecdc_import VALUES (7754, '24/11/2020', '24', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.35532879');
INSERT INTO public.ecdc_import VALUES (7755, '23/11/2020', '23', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.35532879');
INSERT INTO public.ecdc_import VALUES (7756, '22/11/2020', '22', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.35532879');
INSERT INTO public.ecdc_import VALUES (7757, '21/11/2020', '21', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.35532879');
INSERT INTO public.ecdc_import VALUES (7758, '20/11/2020', '20', '11', '2020', '491', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '76.35532879');
INSERT INTO public.ecdc_import VALUES (7759, '19/11/2020', '19', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '106.82800691');
INSERT INTO public.ecdc_import VALUES (7760, '18/11/2020', '18', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '106.82800691');
INSERT INTO public.ecdc_import VALUES (7761, '17/11/2020', '17', '11', '2020', '878', '3', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '106.82800691');
INSERT INTO public.ecdc_import VALUES (7762, '16/11/2020', '16', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '68.71545507');
INSERT INTO public.ecdc_import VALUES (7763, '15/11/2020', '15', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '68.71545507');
INSERT INTO public.ecdc_import VALUES (7764, '14/11/2020', '14', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '68.71545507');
INSERT INTO public.ecdc_import VALUES (7765, '13/11/2020', '13', '11', '2020', '390', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '68.71545507');
INSERT INTO public.ecdc_import VALUES (7766, '12/11/2020', '12', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '67.3697955');
INSERT INTO public.ecdc_import VALUES (7767, '11/11/2020', '11', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '67.3697955');
INSERT INTO public.ecdc_import VALUES (7768, '10/11/2020', '10', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '67.3697955');
INSERT INTO public.ecdc_import VALUES (7769, '09/11/2020', '9', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '82.99680992');
INSERT INTO public.ecdc_import VALUES (7770, '08/11/2020', '8', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '82.99680992');
INSERT INTO public.ecdc_import VALUES (7771, '07/11/2020', '7', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '82.99680992');
INSERT INTO public.ecdc_import VALUES (7772, '06/11/2020', '6', '11', '2020', '1193', '3', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '82.99680992');
INSERT INTO public.ecdc_import VALUES (7773, '05/11/2020', '5', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '44.84084971');
INSERT INTO public.ecdc_import VALUES (7774, '04/11/2020', '4', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '44.84084971');
INSERT INTO public.ecdc_import VALUES (7775, '03/11/2020', '3', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '44.84084971');
INSERT INTO public.ecdc_import VALUES (7776, '02/11/2020', '2', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.77172274');
INSERT INTO public.ecdc_import VALUES (7777, '01/11/2020', '1', '11', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.77172274');
INSERT INTO public.ecdc_import VALUES (7778, '31/10/2020', '31', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.77172274');
INSERT INTO public.ecdc_import VALUES (7779, '30/10/2020', '30', '10', '2020', '359', '3', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.77172274');
INSERT INTO public.ecdc_import VALUES (7780, '29/10/2020', '29', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '54.0000165');
INSERT INTO public.ecdc_import VALUES (7781, '28/10/2020', '28', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '54.0000165');
INSERT INTO public.ecdc_import VALUES (7782, '27/10/2020', '27', '10', '2020', '360', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '62.94214141');
INSERT INTO public.ecdc_import VALUES (7783, '26/10/2020', '26', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.90194786');
INSERT INTO public.ecdc_import VALUES (7784, '25/10/2020', '25', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.90194786');
INSERT INTO public.ecdc_import VALUES (7785, '24/10/2020', '24', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.90194786');
INSERT INTO public.ecdc_import VALUES (7786, '23/10/2020', '23', '10', '2020', '314', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '60.90194786');
INSERT INTO public.ecdc_import VALUES (7787, '22/10/2020', '22', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '105.78620595');
INSERT INTO public.ecdc_import VALUES (7788, '21/10/2020', '21', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '105.78620595');
INSERT INTO public.ecdc_import VALUES (7789, '20/10/2020', '20', '10', '2020', '367', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '105.78620595');
INSERT INTO public.ecdc_import VALUES (7790, '19/10/2020', '19', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.85533291');
INSERT INTO public.ecdc_import VALUES (7791, '18/10/2020', '18', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.85533291');
INSERT INTO public.ecdc_import VALUES (7792, '17/10/2020', '17', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.85533291');
INSERT INTO public.ecdc_import VALUES (7793, '16/10/2020', '16', '10', '2020', '203', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '89.85533291');
INSERT INTO public.ecdc_import VALUES (7794, '15/10/2020', '15', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '81.04343312');
INSERT INTO public.ecdc_import VALUES (7795, '14/10/2020', '14', '10', '2020', '206', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '81.04343312');
INSERT INTO public.ecdc_import VALUES (7796, '13/10/2020', '13', '10', '2020', '313', '2', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '72.1013082');
INSERT INTO public.ecdc_import VALUES (7797, '12/10/2020', '12', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '69.40998905');
INSERT INTO public.ecdc_import VALUES (7798, '11/10/2020', '11', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '69.40998905');
INSERT INTO public.ecdc_import VALUES (7799, '10/10/2020', '10', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '69.40998905');
INSERT INTO public.ecdc_import VALUES (7800, '09/10/2020', '9', '10', '2020', '1348', '2', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '69.40998905');
INSERT INTO public.ecdc_import VALUES (7801, '08/10/2020', '8', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7802, '07/10/2020', '7', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7803, '06/10/2020', '6', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7804, '05/10/2020', '5', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7805, '04/10/2020', '4', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7806, '03/10/2020', '3', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7807, '02/10/2020', '2', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.2620659');
INSERT INTO public.ecdc_import VALUES (7808, '01/10/2020', '1', '10', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '30.77653673');
INSERT INTO public.ecdc_import VALUES (7809, '30/09/2020', '30', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '30.77653673');
INSERT INTO public.ecdc_import VALUES (7810, '29/09/2020', '29', '9', '2020', '251', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '30.77653673');
INSERT INTO public.ecdc_import VALUES (7811, '28/09/2020', '28', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '29.0402018');
INSERT INTO public.ecdc_import VALUES (7812, '27/09/2020', '27', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '29.0402018');
INSERT INTO public.ecdc_import VALUES (7813, '26/09/2020', '26', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '29.0402018');
INSERT INTO public.ecdc_import VALUES (7814, '25/09/2020', '25', '9', '2020', '354', '3', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '29.0402018');
INSERT INTO public.ecdc_import VALUES (7815, '24/09/2020', '24', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '19.14309266');
INSERT INTO public.ecdc_import VALUES (7816, '23/09/2020', '23', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '19.14309266');
INSERT INTO public.ecdc_import VALUES (7817, '22/09/2020', '22', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '19.14309266');
INSERT INTO public.ecdc_import VALUES (7818, '21/09/2020', '21', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '24.52573096');
INSERT INTO public.ecdc_import VALUES (7819, '20/09/2020', '20', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '24.52573096');
INSERT INTO public.ecdc_import VALUES (7820, '19/09/2020', '19', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '24.52573096');
INSERT INTO public.ecdc_import VALUES (7821, '18/09/2020', '18', '9', '2020', '104', '2', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '36.59325877');
INSERT INTO public.ecdc_import VALUES (7822, '17/09/2020', '17', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '32.07878793');
INSERT INTO public.ecdc_import VALUES (7823, '16/09/2020', '16', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '32.07878793');
INSERT INTO public.ecdc_import VALUES (7824, '15/09/2020', '15', '9', '2020', '211', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '32.07878793');
INSERT INTO public.ecdc_import VALUES (7825, '14/09/2020', '14', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.86978313');
INSERT INTO public.ecdc_import VALUES (7826, '13/09/2020', '13', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.86978313');
INSERT INTO public.ecdc_import VALUES (7827, '12/09/2020', '12', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.86978313');
INSERT INTO public.ecdc_import VALUES (7828, '11/09/2020', '11', '9', '2020', '126', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '26.86978313');
INSERT INTO public.ecdc_import VALUES (7829, '10/09/2020', '10', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '21.40032808');
INSERT INTO public.ecdc_import VALUES (7830, '09/09/2020', '9', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '24.48232259');
INSERT INTO public.ecdc_import VALUES (7831, '08/09/2020', '8', '9', '2020', '124', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '24.48232259');
INSERT INTO public.ecdc_import VALUES (7832, '07/09/2020', '7', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '30.12541113');
INSERT INTO public.ecdc_import VALUES (7833, '06/09/2020', '6', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '30.12541113');
INSERT INTO public.ecdc_import VALUES (7834, '05/09/2020', '5', '9', '2020', '278', '2', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '30.12541113');
INSERT INTO public.ecdc_import VALUES (7835, '04/09/2020', '4', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.05788333');
INSERT INTO public.ecdc_import VALUES (7836, '03/09/2020', '3', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.05788333');
INSERT INTO public.ecdc_import VALUES (7837, '02/09/2020', '2', '9', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.05788333');
INSERT INTO public.ecdc_import VALUES (7838, '01/09/2020', '1', '9', '2020', '91', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.05788333');
INSERT INTO public.ecdc_import VALUES (7839, '31/08/2020', '31', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.18810845');
INSERT INTO public.ecdc_import VALUES (7840, '30/08/2020', '30', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.18810845');
INSERT INTO public.ecdc_import VALUES (7841, '29/08/2020', '29', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.18810845');
INSERT INTO public.ecdc_import VALUES (7842, '28/08/2020', '28', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '18.18810845');
INSERT INTO public.ecdc_import VALUES (7843, '27/08/2020', '27', '8', '2020', '71', '3', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '24.61254771');
INSERT INTO public.ecdc_import VALUES (7844, '26/08/2020', '26', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '21.5305532');
INSERT INTO public.ecdc_import VALUES (7845, '25/08/2020', '25', '8', '2020', '254', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '21.5305532');
INSERT INTO public.ecdc_import VALUES (7846, '24/08/2020', '24', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.31994098');
INSERT INTO public.ecdc_import VALUES (7847, '23/08/2020', '23', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.31994098');
INSERT INTO public.ecdc_import VALUES (7848, '22/08/2020', '22', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.31994098');
INSERT INTO public.ecdc_import VALUES (7849, '21/08/2020', '21', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.31994098');
INSERT INTO public.ecdc_import VALUES (7850, '20/08/2020', '20', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '21.87782019');
INSERT INTO public.ecdc_import VALUES (7851, '19/08/2020', '19', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '21.87782019');
INSERT INTO public.ecdc_import VALUES (7852, '18/08/2020', '18', '8', '2020', '94', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '21.87782019');
INSERT INTO public.ecdc_import VALUES (7853, '17/08/2020', '17', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.79743309');
INSERT INTO public.ecdc_import VALUES (7854, '16/08/2020', '16', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.79743309');
INSERT INTO public.ecdc_import VALUES (7855, '15/08/2020', '15', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.79743309');
INSERT INTO public.ecdc_import VALUES (7856, '14/08/2020', '14', '8', '2020', '148', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.79743309');
INSERT INTO public.ecdc_import VALUES (7857, '13/08/2020', '13', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '11.37299383');
INSERT INTO public.ecdc_import VALUES (7858, '12/08/2020', '12', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '14.1945381');
INSERT INTO public.ecdc_import VALUES (7859, '11/08/2020', '11', '8', '2020', '157', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '14.1945381');
INSERT INTO public.ecdc_import VALUES (7860, '10/08/2020', '10', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.68006727');
INSERT INTO public.ecdc_import VALUES (7861, '09/08/2020', '9', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.68006727');
INSERT INTO public.ecdc_import VALUES (7862, '08/08/2020', '8', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.68006727');
INSERT INTO public.ecdc_import VALUES (7863, '07/08/2020', '7', '8', '2020', '105', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.68006727');
INSERT INTO public.ecdc_import VALUES (7864, '06/08/2020', '6', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7865, '05/08/2020', '5', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7866, '04/08/2020', '4', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7867, '03/08/2020', '3', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7868, '02/08/2020', '2', '8', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.2411613');
INSERT INTO public.ecdc_import VALUES (7871, '30/07/2020', '30', '7', '2020', '65', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '17.58039122');
INSERT INTO public.ecdc_import VALUES (7872, '29/07/2020', '29', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '14.75884695');
INSERT INTO public.ecdc_import VALUES (7873, '28/07/2020', '28', '7', '2020', '53', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '14.75884695');
INSERT INTO public.ecdc_import VALUES (7874, '27/07/2020', '27', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.45820316');
INSERT INTO public.ecdc_import VALUES (7875, '26/07/2020', '26', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '16.1479149');
INSERT INTO public.ecdc_import VALUES (7876, '25/07/2020', '25', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '16.1479149');
INSERT INTO public.ecdc_import VALUES (7877, '24/07/2020', '24', '7', '2020', '164', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '16.1479149');
INSERT INTO public.ecdc_import VALUES (7878, '23/07/2020', '23', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.02894166');
INSERT INTO public.ecdc_import VALUES (7879, '22/07/2020', '22', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.02894166');
INSERT INTO public.ecdc_import VALUES (7880, '21/07/2020', '21', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '10.72186823');
INSERT INTO public.ecdc_import VALUES (7881, '20/07/2020', '20', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '10.72186823');
INSERT INTO public.ecdc_import VALUES (7882, '19/07/2020', '19', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '10.72186823');
INSERT INTO public.ecdc_import VALUES (7883, '18/07/2020', '18', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '10.72186823');
INSERT INTO public.ecdc_import VALUES (7884, '17/07/2020', '17', '7', '2020', '123', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '12.80547015');
INSERT INTO public.ecdc_import VALUES (7885, '16/07/2020', '16', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '7.46624022');
INSERT INTO public.ecdc_import VALUES (7886, '15/07/2020', '15', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '7.46624022');
INSERT INTO public.ecdc_import VALUES (7887, '14/07/2020', '14', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.72347564');
INSERT INTO public.ecdc_import VALUES (7888, '13/07/2020', '13', '7', '2020', '85', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '11.89389431');
INSERT INTO public.ecdc_import VALUES (7889, '12/07/2020', '12', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '8.20418257');
INSERT INTO public.ecdc_import VALUES (7890, '11/07/2020', '11', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '8.20418257');
INSERT INTO public.ecdc_import VALUES (7891, '10/07/2020', '10', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.76688401');
INSERT INTO public.ecdc_import VALUES (7892, '09/07/2020', '9', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.76688401');
INSERT INTO public.ecdc_import VALUES (7893, '08/07/2020', '8', '7', '2020', '39', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '9.76688401');
INSERT INTO public.ecdc_import VALUES (7894, '07/07/2020', '7', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '8.07395745');
INSERT INTO public.ecdc_import VALUES (7895, '06/07/2020', '6', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '8.07395745');
INSERT INTO public.ecdc_import VALUES (7896, '05/07/2020', '5', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '8.07395745');
INSERT INTO public.ecdc_import VALUES (7897, '04/07/2020', '4', '7', '2020', '48', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '8.07395745');
INSERT INTO public.ecdc_import VALUES (7898, '03/07/2020', '3', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '6.42443926');
INSERT INTO public.ecdc_import VALUES (7899, '02/07/2020', '2', '7', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '7.24919836');
INSERT INTO public.ecdc_import VALUES (7900, '01/07/2020', '1', '7', '2020', '52', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '7.24919836');
INSERT INTO public.ecdc_import VALUES (7901, '30/06/2020', '30', '6', '2020', '50', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '4.99196294');
INSERT INTO public.ecdc_import VALUES (7902, '29/06/2020', '29', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.82154427');
INSERT INTO public.ecdc_import VALUES (7903, '28/06/2020', '28', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.82154427');
INSERT INTO public.ecdc_import VALUES (7904, '27/06/2020', '27', '6', '2020', '36', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.82154427');
INSERT INTO public.ecdc_import VALUES (7905, '26/06/2020', '26', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '1.77974331');
INSERT INTO public.ecdc_import VALUES (7906, '25/06/2020', '25', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '1.77974331');
INSERT INTO public.ecdc_import VALUES (7907, '24/06/2020', '24', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.04019355');
INSERT INTO public.ecdc_import VALUES (7908, '23/06/2020', '23', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.04019355');
INSERT INTO public.ecdc_import VALUES (7909, '22/06/2020', '22', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.1270103');
INSERT INTO public.ecdc_import VALUES (7910, '21/06/2020', '21', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.1270103');
INSERT INTO public.ecdc_import VALUES (7911, '20/06/2020', '20', '6', '2020', '10', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '2.1270103');
INSERT INTO public.ecdc_import VALUES (7912, '19/06/2020', '19', '6', '2020', '19', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '1.69292656');
INSERT INTO public.ecdc_import VALUES (7913, '18/06/2020', '18', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.86816747');
INSERT INTO public.ecdc_import VALUES (7914, '17/06/2020', '17', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.95498421');
INSERT INTO public.ecdc_import VALUES (7915, '16/06/2020', '16', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.95498421');
INSERT INTO public.ecdc_import VALUES (7916, '15/06/2020', '15', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.95498421');
INSERT INTO public.ecdc_import VALUES (7917, '14/06/2020', '14', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '1.08520933');
INSERT INTO public.ecdc_import VALUES (7918, '13/06/2020', '13', '6', '2020', '12', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '1.08520933');
INSERT INTO public.ecdc_import VALUES (7919, '12/06/2020', '12', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.56430885');
INSERT INTO public.ecdc_import VALUES (7920, '11/06/2020', '11', '6', '2020', '6', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.56430885');
INSERT INTO public.ecdc_import VALUES (7921, '10/06/2020', '10', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.30385861');
INSERT INTO public.ecdc_import VALUES (7922, '09/06/2020', '9', '6', '2020', '2', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.30385861');
INSERT INTO public.ecdc_import VALUES (7923, '08/06/2020', '8', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.21704187');
INSERT INTO public.ecdc_import VALUES (7924, '07/06/2020', '7', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.43408373');
INSERT INTO public.ecdc_import VALUES (7925, '06/06/2020', '6', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.43408373');
INSERT INTO public.ecdc_import VALUES (7926, '05/06/2020', '5', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7927, '04/06/2020', '4', '6', '2020', '2', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7928, '03/06/2020', '3', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.56430885');
INSERT INTO public.ecdc_import VALUES (7929, '02/06/2020', '2', '6', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.56430885');
INSERT INTO public.ecdc_import VALUES (7930, '01/06/2020', '1', '6', '2020', '3', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.56430885');
INSERT INTO public.ecdc_import VALUES (7931, '31/05/2020', '31', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7932, '30/05/2020', '30', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7933, '29/05/2020', '29', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7934, '28/05/2020', '28', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7935, '27/05/2020', '27', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7936, '26/05/2020', '26', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7937, '25/05/2020', '25', '5', '2020', '5', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.52090048');
INSERT INTO public.ecdc_import VALUES (7938, '24/05/2020', '24', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.30385861');
INSERT INTO public.ecdc_import VALUES (7939, '23/05/2020', '23', '5', '2020', '1', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.30385861');
INSERT INTO public.ecdc_import VALUES (7940, '22/05/2020', '22', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.26045024');
INSERT INTO public.ecdc_import VALUES (7941, '21/05/2020', '21', '5', '2020', '4', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.26045024');
INSERT INTO public.ecdc_import VALUES (7942, '20/05/2020', '20', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.08681675');
INSERT INTO public.ecdc_import VALUES (7943, '19/05/2020', '19', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.08681675');
INSERT INTO public.ecdc_import VALUES (7944, '18/05/2020', '18', '5', '2020', '1', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.08681675');
INSERT INTO public.ecdc_import VALUES (7945, '17/05/2020', '17', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7946, '16/05/2020', '16', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7947, '15/05/2020', '15', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7948, '14/05/2020', '14', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7949, '13/05/2020', '13', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7950, '12/05/2020', '12', '5', '2020', '1', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.08681675');
INSERT INTO public.ecdc_import VALUES (7951, '11/05/2020', '11', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7952, '10/05/2020', '10', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7953, '09/05/2020', '9', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7954, '08/05/2020', '8', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7955, '07/05/2020', '7', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.04340837');
INSERT INTO public.ecdc_import VALUES (7956, '06/05/2020', '6', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.13022512');
INSERT INTO public.ecdc_import VALUES (7957, '05/05/2020', '5', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.13022512');
INSERT INTO public.ecdc_import VALUES (7958, '04/05/2020', '4', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.13022512');
INSERT INTO public.ecdc_import VALUES (7959, '03/05/2020', '3', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.34726699');
INSERT INTO public.ecdc_import VALUES (7960, '02/05/2020', '2', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.34726699');
INSERT INTO public.ecdc_import VALUES (7961, '01/05/2020', '1', '5', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.34726699');
INSERT INTO public.ecdc_import VALUES (7962, '30/04/2020', '30', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.43408373');
INSERT INTO public.ecdc_import VALUES (7963, '29/04/2020', '29', '4', '2020', '1', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.43408373');
INSERT INTO public.ecdc_import VALUES (7964, '28/04/2020', '28', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.39067536');
INSERT INTO public.ecdc_import VALUES (7965, '27/04/2020', '27', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.39067536');
INSERT INTO public.ecdc_import VALUES (7966, '26/04/2020', '26', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.39067536');
INSERT INTO public.ecdc_import VALUES (7967, '25/04/2020', '25', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.39067536');
INSERT INTO public.ecdc_import VALUES (7968, '24/04/2020', '24', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.39067536');
INSERT INTO public.ecdc_import VALUES (7969, '23/04/2020', '23', '4', '2020', '2', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.6511256');
INSERT INTO public.ecdc_import VALUES (7970, '22/04/2020', '22', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.60771723');
INSERT INTO public.ecdc_import VALUES (7971, '21/04/2020', '21', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.60771723');
INSERT INTO public.ecdc_import VALUES (7972, '20/04/2020', '20', '4', '2020', '5', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.60771723');
INSERT INTO public.ecdc_import VALUES (7973, '19/04/2020', '19', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7974, '18/04/2020', '18', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7975, '17/04/2020', '17', '4', '2020', '2', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.47749211');
INSERT INTO public.ecdc_import VALUES (7976, '16/04/2020', '16', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.39067536');
INSERT INTO public.ecdc_import VALUES (7977, '15/04/2020', '15', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.43408373');
INSERT INTO public.ecdc_import VALUES (7978, '14/04/2020', '14', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '0.56430885');
INSERT INTO public.ecdc_import VALUES (7979, '13/04/2020', '13', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7980, '12/04/2020', '12', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7981, '11/04/2020', '11', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7982, '10/04/2020', '10', '4', '2020', '6', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7983, '09/04/2020', '9', '4', '2020', '1', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7984, '08/04/2020', '8', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7985, '07/04/2020', '7', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7986, '06/04/2020', '6', '4', '2020', '2', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7987, '05/04/2020', '5', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7988, '04/04/2020', '4', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7989, '03/04/2020', '3', '4', '2020', '0', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7990, '02/04/2020', '2', '4', '2020', '1', '1', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7991, '01/04/2020', '1', '4', '2020', '3', '0', '2303703', 'Botswana', 'BW', 'BWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (7992, '14/12/2020', '14', '12', '2020', '21825', '279', '211049519', 'Brazil', 'BR', 'BRA', 'America', '278.23422805');
INSERT INTO public.ecdc_import VALUES (7993, '13/12/2020', '13', '12', '2020', '43900', '686', '211049519', 'Brazil', 'BR', 'BRA', 'America', '279.48654079');
INSERT INTO public.ecdc_import VALUES (7994, '12/12/2020', '12', '12', '2020', '54428', '672', '211049519', 'Brazil', 'BR', 'BRA', 'America', '283.28754447');
INSERT INTO public.ecdc_import VALUES (7995, '11/12/2020', '11', '12', '2020', '53347', '770', '211049519', 'Brazil', 'BR', 'BRA', 'America', '273.6698964');
INSERT INTO public.ecdc_import VALUES (7996, '10/12/2020', '10', '12', '2020', '53453', '836', '211049519', 'Brazil', 'BR', 'BRA', 'America', '266.21524781');
INSERT INTO public.ecdc_import VALUES (7997, '09/12/2020', '9', '12', '2020', '51088', '842', '211049519', 'Brazil', 'BR', 'BRA', 'America', '263.5831641');
INSERT INTO public.ecdc_import VALUES (7998, '08/12/2020', '8', '12', '2020', '20371', '376', '211049519', 'Brazil', 'BR', 'BRA', 'America', '254.11240099');
INSERT INTO public.ecdc_import VALUES (7999, '07/12/2020', '7', '12', '2020', '26363', '313', '211049519', 'Brazil', 'BR', 'BRA', 'America', '252.13940431');
INSERT INTO public.ecdc_import VALUES (8000, '06/12/2020', '6', '12', '2020', '43209', '664', '211049519', 'Brazil', 'BR', 'BRA', 'America', '248.46822797');
INSERT INTO public.ecdc_import VALUES (8001, '05/12/2020', '5', '12', '2020', '46884', '694', '211049519', 'Brazil', 'BR', 'BRA', 'America', '243.4518697');
INSERT INTO public.ecdc_import VALUES (8002, '04/12/2020', '4', '12', '2020', '50434', '755', '211049519', 'Brazil', 'BR', 'BRA', 'America', '239.43053857');
INSERT INTO public.ecdc_import VALUES (8003, '03/12/2020', '3', '12', '2020', '49863', '698', '211049519', 'Brazil', 'BR', 'BRA', 'America', '232.5525319');
INSERT INTO public.ecdc_import VALUES (8004, '02/12/2020', '2', '12', '2020', '50909', '697', '211049519', 'Brazil', 'BR', 'BRA', 'America', '225.07940423');
INSERT INTO public.ecdc_import VALUES (8005, '01/12/2020', '1', '12', '2020', '21138', '287', '211049519', 'Brazil', 'BR', 'BRA', 'America', '217.68066669');
INSERT INTO public.ecdc_import VALUES (8006, '30/11/2020', '30', '11', '2020', '24468', '272', '211049519', 'Brazil', 'BR', 'BRA', 'America', '214.00048772');
INSERT INTO public.ecdc_import VALUES (8007, '29/11/2020', '29', '11', '2020', '51922', '587', '211049519', 'Brazil', 'BR', 'BRA', 'America', '209.10400653');
INSERT INTO public.ecdc_import VALUES (8008, '28/11/2020', '28', '11', '2020', '34130', '514', '211049519', 'Brazil', 'BR', 'BRA', 'America', '202.65291389');
INSERT INTO public.ecdc_import VALUES (8009, '27/11/2020', '27', '11', '2020', '37614', '691', '211049519', 'Brazil', 'BR', 'BRA', 'America', '200.25537229');
INSERT INTO public.ecdc_import VALUES (8010, '26/11/2020', '26', '11', '2020', '47898', '654', '211049519', 'Brazil', 'BR', 'BRA', 'America', '198.16723676');
INSERT INTO public.ecdc_import VALUES (8011, '25/11/2020', '25', '11', '2020', '31100', '630', '211049519', 'Brazil', 'BR', 'BRA', 'America', '198.37240188');
INSERT INTO public.ecdc_import VALUES (8012, '24/11/2020', '24', '11', '2020', '16207', '302', '211049519', 'Brazil', 'BR', 'BRA', 'America', '195.48777081');
INSERT INTO public.ecdc_import VALUES (8013, '23/11/2020', '23', '11', '2020', '18615', '194', '211049519', 'Brazil', 'BR', 'BRA', 'America', '192.98125005');
INSERT INTO public.ecdc_import VALUES (8014, '22/11/2020', '22', '11', '2020', '32622', '376', '211049519', 'Brazil', 'BR', 'BRA', 'America', '189.16176729');
INSERT INTO public.ecdc_import VALUES (8015, '21/11/2020', '21', '11', '2020', '38397', '552', '211049519', 'Brazil', 'BR', 'BRA', 'America', '183.09304936');
INSERT INTO public.ecdc_import VALUES (8016, '20/11/2020', '20', '11', '2020', '35918', '606', '211049519', 'Brazil', 'BR', 'BRA', 'America', '175.05275622');
INSERT INTO public.ecdc_import VALUES (8017, '19/11/2020', '19', '11', '2020', '34091', '756', '211049519', 'Brazil', 'BR', 'BRA', 'America', '168.59739917');
INSERT INTO public.ecdc_import VALUES (8018, '18/11/2020', '18', '11', '2020', '35294', '685', '211049519', 'Brazil', 'BR', 'BRA', 'America', '163.8046851');
INSERT INTO public.ecdc_import VALUES (8019, '17/11/2020', '17', '11', '2020', '13371', '216', '211049519', 'Brazil', 'BR', 'BRA', 'America', '152.69307484');
INSERT INTO public.ecdc_import VALUES (8020, '16/11/2020', '16', '11', '2020', '14134', '140', '211049519', 'Brazil', 'BR', 'BRA', 'America', '150.38555951');
INSERT INTO public.ecdc_import VALUES (8021, '15/11/2020', '15', '11', '2020', '38307', '921', '211049519', 'Brazil', 'BR', 'BRA', 'America', '148.47415975');
INSERT INTO public.ecdc_import VALUES (8022, '14/11/2020', '14', '11', '2020', '29070', '456', '211049519', 'Brazil', 'BR', 'BRA', 'America', '139.30095714');
INSERT INTO public.ecdc_import VALUES (8023, '13/11/2020', '13', '11', '2020', '33207', '908', '211049519', 'Brazil', 'BR', 'BRA', 'America', '136.08465035');
INSERT INTO public.ecdc_import VALUES (8024, '12/11/2020', '12', '11', '2020', '48331', '544', '211049519', 'Brazil', 'BR', 'BRA', 'America', '132.72003714');
INSERT INTO public.ecdc_import VALUES (8025, '11/11/2020', '11', '11', '2020', '25012', '201', '211049519', 'Brazil', 'BR', 'BRA', 'America', '123.38478725');
INSERT INTO public.ecdc_import VALUES (8026, '10/11/2020', '10', '11', '2020', '10917', '231', '211049519', 'Brazil', 'BR', 'BRA', 'America', '125.64728944');
INSERT INTO public.ecdc_import VALUES (8027, '09/11/2020', '9', '11', '2020', '10554', '128', '211049519', 'Brazil', 'BR', 'BRA', 'America', '127.9259016');
INSERT INTO public.ecdc_import VALUES (8028, '08/11/2020', '8', '11', '2020', '19814', '231', '211049519', 'Brazil', 'BR', 'BRA', 'America', '129.31846578');
INSERT INTO public.ecdc_import VALUES (8029, '07/11/2020', '7', '11', '2020', '21428', '302', '211049519', 'Brazil', 'BR', 'BRA', 'America', '132.71340363');
INSERT INTO public.ecdc_import VALUES (8030, '06/11/2020', '6', '11', '2020', '22294', '630', '211049519', 'Brazil', 'BR', 'BRA', 'America', '136.78732904');
INSERT INTO public.ecdc_import VALUES (8031, '05/11/2020', '5', '11', '2020', '23976', '610', '211049519', 'Brazil', 'BR', 'BRA', 'America', '138.0022098');
INSERT INTO public.ecdc_import VALUES (8032, '04/11/2020', '4', '11', '2020', '11843', '243', '211049519', 'Brazil', 'BR', 'BRA', 'America', '138.40116831');
INSERT INTO public.ecdc_import VALUES (8033, '03/11/2020', '3', '11', '2020', '8501', '179', '211049519', 'Brazil', 'BR', 'BRA', 'America', '143.79516307');
INSERT INTO public.ecdc_import VALUES (8034, '02/11/2020', '2', '11', '2020', '10100', '190', '211049519', 'Brazil', 'BR', 'BRA', 'America', '147.05600916');
INSERT INTO public.ecdc_import VALUES (8035, '01/11/2020', '1', '11', '2020', '18947', '407', '211049519', 'Brazil', 'BR', 'BRA', 'America', '147.47392056');
INSERT INTO public.ecdc_import VALUES (8036, '31/10/2020', '31', '10', '2020', '22282', '508', '211049519', 'Brazil', 'BR', 'BRA', 'America', '149.89752239');
INSERT INTO public.ecdc_import VALUES (8037, '30/10/2020', '30', '10', '2020', '26106', '513', '211049519', 'Brazil', 'BR', 'BRA', 'America', '153.98755777');
INSERT INTO public.ecdc_import VALUES (8038, '29/10/2020', '29', '10', '2020', '28629', '510', '211049519', 'Brazil', 'BR', 'BRA', 'America', '155.13278663');
INSERT INTO public.ecdc_import VALUES (8039, '28/10/2020', '28', '10', '2020', '29787', '549', '211049519', 'Brazil', 'BR', 'BRA', 'America', '154.47227814');
INSERT INTO public.ecdc_import VALUES (8040, '27/10/2020', '27', '10', '2020', '15726', '263', '211049519', 'Brazil', 'BR', 'BRA', 'America', '145.20099427');
INSERT INTO public.ecdc_import VALUES (8041, '26/10/2020', '26', '10', '2020', '13493', '231', '211049519', 'Brazil', 'BR', 'BRA', 'America', '141.7420904');
INSERT INTO public.ecdc_import VALUES (8042, '25/10/2020', '25', '10', '2020', '26979', '432', '211049519', 'Brazil', 'BR', 'BRA', 'America', '141.19814222');
INSERT INTO public.ecdc_import VALUES (8043, '24/10/2020', '24', '10', '2020', '30026', '571', '211049519', 'Brazil', 'BR', 'BRA', 'America', '141.08916306');
INSERT INTO public.ecdc_import VALUES (8044, '23/10/2020', '23', '10', '2020', '24858', '497', '211049519', 'Brazil', 'BR', 'BRA', 'America', '139.8657535');
INSERT INTO public.ecdc_import VALUES (8045, '22/10/2020', '22', '10', '2020', '24818', '566', '211049519', 'Brazil', 'BR', 'BRA', 'America', '141.23604802');
INSERT INTO public.ecdc_import VALUES (8046, '21/10/2020', '21', '10', '2020', '23227', '661', '211049519', 'Brazil', 'BR', 'BRA', 'America', '144.42724222');
INSERT INTO public.ecdc_import VALUES (8047, '20/10/2020', '20', '10', '2020', '15383', '271', '211049519', 'Brazil', 'BR', 'BRA', 'America', '153.27777174');
INSERT INTO public.ecdc_import VALUES (8048, '19/10/2020', '19', '10', '2020', '10982', '230', '211049519', 'Brazil', 'BR', 'BRA', 'America', '151.64924399');
INSERT INTO public.ecdc_import VALUES (8049, '18/10/2020', '18', '10', '2020', '24062', '461', '211049519', 'Brazil', 'BR', 'BRA', 'America', '150.45236848');
INSERT INTO public.ecdc_import VALUES (8050, '17/10/2020', '17', '10', '2020', '30914', '754', '211049519', 'Brazil', 'BR', 'BRA', 'America', '151.51752135');
INSERT INTO public.ecdc_import VALUES (8051, '16/10/2020', '16', '10', '2020', '28523', '713', '211049519', 'Brazil', 'BR', 'BRA', 'America', '152.71013245');
INSERT INTO public.ecdc_import VALUES (8052, '15/10/2020', '15', '10', '2020', '27235', '749', '211049519', 'Brazil', 'BR', 'BRA', 'America', '156.32729303');
INSERT INTO public.ecdc_import VALUES (8053, '14/10/2020', '14', '10', '2020', '10220', '309', '211049519', 'Brazil', 'BR', 'BRA', 'America', '159.25456812');
INSERT INTO public.ecdc_import VALUES (8054, '13/10/2020', '13', '10', '2020', '8426', '201', '211049519', 'Brazil', 'BR', 'BRA', 'America', '169.60190276');
INSERT INTO public.ecdc_import VALUES (8055, '12/10/2020', '12', '10', '2020', '12345', '290', '211049519', 'Brazil', 'BR', 'BRA', 'America', '171.84260913');
INSERT INTO public.ecdc_import VALUES (8056, '11/10/2020', '11', '10', '2020', '26749', '559', '211049519', 'Brazil', 'BR', 'BRA', 'America', '172.77746082');
INSERT INTO public.ecdc_import VALUES (8057, '10/10/2020', '10', '10', '2020', '27444', '682', '211049519', 'Brazil', 'BR', 'BRA', 'America', '173.54931759');
INSERT INTO public.ecdc_import VALUES (8058, '09/10/2020', '9', '10', '2020', '27750', '729', '211049519', 'Brazil', 'BR', 'BRA', 'America', '175.66588247');
INSERT INTO public.ecdc_import VALUES (8059, '08/10/2020', '8', '10', '2020', '31553', '734', '211049519', 'Brazil', 'BR', 'BRA', 'America', '178.06674082');
INSERT INTO public.ecdc_import VALUES (8060, '07/10/2020', '7', '10', '2020', '41906', '819', '211049519', 'Brazil', 'BR', 'BRA', 'America', '178.88550601');
INSERT INTO public.ecdc_import VALUES (8061, '06/10/2020', '6', '10', '2020', '11946', '323', '211049519', 'Brazil', 'BR', 'BRA', 'America', '174.91961211');
INSERT INTO public.ecdc_import VALUES (8062, '05/10/2020', '5', '10', '2020', '8456', '365', '211049519', 'Brazil', 'BR', 'BRA', 'America', '175.62702903');
INSERT INTO public.ecdc_import VALUES (8063, '04/10/2020', '4', '10', '2020', '26310', '599', '211049519', 'Brazil', 'BR', 'BRA', 'America', '179.38586252');
INSERT INTO public.ecdc_import VALUES (8064, '03/10/2020', '3', '10', '2020', '33431', '708', '211049519', 'Brazil', 'BR', 'BRA', 'America', '182.58274258');
INSERT INTO public.ecdc_import VALUES (8065, '02/10/2020', '2', '10', '2020', '36157', '728', '211049519', 'Brazil', 'BR', 'BRA', 'America', '185.5990963');
INSERT INTO public.ecdc_import VALUES (8066, '01/10/2020', '1', '10', '2020', '33413', '1031', '211049519', 'Brazil', 'BR', 'BRA', 'America', '185.66827437');
INSERT INTO public.ecdc_import VALUES (8067, '30/09/2020', '30', '9', '2020', '32058', '863', '211049519', 'Brazil', 'BR', 'BRA', 'America', '187.28258746');
INSERT INTO public.ecdc_import VALUES (8068, '29/09/2020', '29', '9', '2020', '13155', '317', '211049519', 'Brazil', 'BR', 'BRA', 'America', '189.45980161');
INSERT INTO public.ecdc_import VALUES (8069, '28/09/2020', '28', '9', '2020', '14318', '335', '211049519', 'Brazil', 'BR', 'BRA', 'America', '190.40744651');
INSERT INTO public.ecdc_import VALUES (8070, '27/09/2020', '27', '9', '2020', '28378', '869', '211049519', 'Brazil', 'BR', 'BRA', 'America', '190.62066661');
INSERT INTO public.ecdc_import VALUES (8071, '26/09/2020', '26', '9', '2020', '31911', '729', '211049519', 'Brazil', 'BR', 'BRA', 'America', '193.05848311');
INSERT INTO public.ecdc_import VALUES (8072, '25/09/2020', '25', '9', '2020', '32817', '831', '211049519', 'Brazil', 'BR', 'BRA', 'America', '198.65290477');
INSERT INTO public.ecdc_import VALUES (8073, '24/09/2020', '24', '9', '2020', '33281', '869', '211049519', 'Brazil', 'BR', 'BRA', 'America', '202.32029053');
INSERT INTO public.ecdc_import VALUES (8074, '23/09/2020', '23', '9', '2020', '33536', '836', '211049519', 'Brazil', 'BR', 'BRA', 'America', '203.52143044');
INSERT INTO public.ecdc_import VALUES (8075, '22/09/2020', '22', '9', '2020', '13439', '377', '211049519', 'Brazil', 'BR', 'BRA', 'America', '194.39703153');
INSERT INTO public.ecdc_import VALUES (8076, '21/09/2020', '21', '9', '2020', '16389', '363', '211049519', 'Brazil', 'BR', 'BRA', 'America', '192.89690966');
INSERT INTO public.ecdc_import VALUES (8077, '20/09/2020', '20', '9', '2020', '33057', '739', '211049519', 'Brazil', 'BR', 'BRA', 'America', '192.01180932');
INSERT INTO public.ecdc_import VALUES (8078, '19/09/2020', '19', '9', '2020', '39797', '858', '211049519', 'Brazil', 'BR', 'BRA', 'America', '190.64293627');
INSERT INTO public.ecdc_import VALUES (8079, '18/09/2020', '18', '9', '2020', '36303', '829', '211049519', 'Brazil', 'BR', 'BRA', 'America', '196.04309072');
INSERT INTO public.ecdc_import VALUES (8080, '17/09/2020', '17', '9', '2020', '36820', '987', '211049519', 'Brazil', 'BR', 'BRA', 'America', '199.58254442');
INSERT INTO public.ecdc_import VALUES (8081, '16/09/2020', '16', '9', '2020', '36653', '1113', '211049519', 'Brazil', 'BR', 'BRA', 'America', '204.37478467');
INSERT INTO public.ecdc_import VALUES (8082, '15/09/2020', '15', '9', '2020', '15155', '381', '211049519', 'Brazil', 'BR', 'BRA', 'America', '207.2205623');
INSERT INTO public.ecdc_import VALUES (8083, '14/09/2020', '14', '9', '2020', '14768', '415', '211049519', 'Brazil', 'BR', 'BRA', 'America', '221.81713667');
INSERT INTO public.ecdc_import VALUES (8084, '13/09/2020', '13', '9', '2020', '33523', '814', '211049519', 'Brazil', 'BR', 'BRA', 'America', '222.47574987');
INSERT INTO public.ecdc_import VALUES (8085, '12/09/2020', '12', '9', '2020', '43718', '874', '211049519', 'Brazil', 'BR', 'BRA', 'America', '226.18435818');
INSERT INTO public.ecdc_import VALUES (8086, '11/09/2020', '11', '9', '2020', '40557', '983', '211049519', 'Brazil', 'BR', 'BRA', 'America', '226.03936851');
INSERT INTO public.ecdc_import VALUES (8087, '10/09/2020', '10', '9', '2020', '35816', '1075', '211049519', 'Brazil', 'BR', 'BRA', 'America', '227.78208748');
INSERT INTO public.ecdc_import VALUES (8088, '09/09/2020', '9', '9', '2020', '14279', '504', '211049519', 'Brazil', 'BR', 'BRA', 'America', '233.15760317');
INSERT INTO public.ecdc_import VALUES (8089, '08/09/2020', '8', '9', '2020', '10273', '310', '211049519', 'Brazil', 'BR', 'BRA', 'America', '248.72503974');
INSERT INTO public.ecdc_import VALUES (8090, '07/09/2020', '7', '9', '2020', '14521', '447', '211049519', 'Brazil', 'BR', 'BRA', 'America', '251.94940151');
INSERT INTO public.ecdc_import VALUES (8091, '06/09/2020', '6', '9', '2020', '30168', '682', '211049519', 'Brazil', 'BR', 'BRA', 'America', '256.1664213');
INSERT INTO public.ecdc_import VALUES (8092, '05/09/2020', '5', '9', '2020', '51194', '907', '211049519', 'Brazil', 'BR', 'BRA', 'America', '265.57843043');
INSERT INTO public.ecdc_import VALUES (8093, '04/09/2020', '4', '9', '2020', '43773', '834', '211049519', 'Brazil', 'BR', 'BRA', 'America', '255.70444442');
INSERT INTO public.ecdc_import VALUES (8094, '03/09/2020', '3', '9', '2020', '46934', '1184', '211049519', 'Brazil', 'BR', 'BRA', 'America', '256.43886921');
INSERT INTO public.ecdc_import VALUES (8095, '02/09/2020', '2', '9', '2020', '42659', '1215', '211049519', 'Brazil', 'BR', 'BRA', 'America', '257.55898548');
INSERT INTO public.ecdc_import VALUES (8096, '01/09/2020', '1', '9', '2020', '45961', '553', '211049519', 'Brazil', 'BR', 'BRA', 'America', '259.98732553');
INSERT INTO public.ecdc_import VALUES (8097, '31/08/2020', '31', '8', '2020', '16158', '366', '211049519', 'Brazil', 'BR', 'BRA', 'America', '247.38933425');
INSERT INTO public.ecdc_import VALUES (8098, '30/08/2020', '30', '8', '2020', '41350', '958', '211049519', 'Brazil', 'BR', 'BRA', 'America', '250.67908352');
INSERT INTO public.ecdc_import VALUES (8099, '29/08/2020', '29', '8', '2020', '43412', '855', '211049519', 'Brazil', 'BR', 'BRA', 'America', '250.78616739');
INSERT INTO public.ecdc_import VALUES (8100, '28/08/2020', '28', '8', '2020', '44235', '984', '211049519', 'Brazil', 'BR', 'BRA', 'America', '254.21285135');
INSERT INTO public.ecdc_import VALUES (8101, '27/08/2020', '27', '8', '2020', '47161', '1085', '211049519', 'Brazil', 'BR', 'BRA', 'America', '261.7257801');
INSERT INTO public.ecdc_import VALUES (8334, '07/01/2020', '7', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8102, '26/08/2020', '26', '8', '2020', '47134', '1271', '211049519', 'Brazil', 'BR', 'BRA', 'America', '265.51351676');
INSERT INTO public.ecdc_import VALUES (8103, '25/08/2020', '25', '8', '2020', '17078', '565', '211049519', 'Brazil', 'BR', 'BRA', 'America', '267.89494839');
INSERT INTO public.ecdc_import VALUES (8104, '24/08/2020', '24', '8', '2020', '23421', '494', '211049519', 'Brazil', 'BR', 'BRA', 'America', '270.24984596');
INSERT INTO public.ecdc_import VALUES (8105, '23/08/2020', '23', '8', '2020', '50032', '892', '211049519', 'Brazil', 'BR', 'BRA', 'America', '270.05510493');
INSERT INTO public.ecdc_import VALUES (8106, '22/08/2020', '22', '8', '2020', '30355', '1054', '211049519', 'Brazil', 'BR', 'BRA', 'America', '270.02572794');
INSERT INTO public.ecdc_import VALUES (8107, '21/08/2020', '21', '8', '2020', '45323', '1204', '211049519', 'Brazil', 'BR', 'BRA', 'America', '279.44294912');
INSERT INTO public.ecdc_import VALUES (8108, '20/08/2020', '20', '8', '2020', '49298', '1212', '211049519', 'Brazil', 'BR', 'BRA', 'America', '283.14634538');
INSERT INTO public.ecdc_import VALUES (8109, '19/08/2020', '19', '8', '2020', '47784', '1352', '211049519', 'Brazil', 'BR', 'BRA', 'America', '286.8677469');
INSERT INTO public.ecdc_import VALUES (8110, '18/08/2020', '18', '8', '2020', '19373', '684', '211049519', 'Brazil', 'BR', 'BRA', 'America', '288.67727483');
INSERT INTO public.ecdc_import VALUES (8111, '17/08/2020', '17', '8', '2020', '23101', '620', '211049519', 'Brazil', 'BR', 'BRA', 'America', '287.3827919');
INSERT INTO public.ecdc_import VALUES (8112, '16/08/2020', '16', '8', '2020', '41576', '709', '211049519', 'Brazil', 'BR', 'BRA', 'America', '288.66163869');
INSERT INTO public.ecdc_import VALUES (8113, '15/08/2020', '15', '8', '2020', '50644', '1060', '211049519', 'Brazil', 'BR', 'BRA', 'America', '290.46974516');
INSERT INTO public.ecdc_import VALUES (8114, '14/08/2020', '14', '8', '2020', '60091', '1262', '211049519', 'Brazil', 'BR', 'BRA', 'America', '291.2937224');
INSERT INTO public.ecdc_import VALUES (8115, '13/08/2020', '13', '8', '2020', '55155', '1175', '211049519', 'Brazil', 'BR', 'BRA', 'America', '290.2257266');
INSERT INTO public.ecdc_import VALUES (8116, '12/08/2020', '12', '8', '2020', '52160', '1274', '211049519', 'Brazil', 'BR', 'BRA', 'America', '296.82086127');
INSERT INTO public.ecdc_import VALUES (8117, '11/08/2020', '11', '8', '2020', '22048', '703', '211049519', 'Brazil', 'BR', 'BRA', 'America', '291.44581941');
INSERT INTO public.ecdc_import VALUES (8118, '10/08/2020', '10', '8', '2020', '23010', '572', '211049519', 'Brazil', 'BR', 'BRA', 'America', '292.03146395');
INSERT INTO public.ecdc_import VALUES (8119, '09/08/2020', '9', '8', '2020', '49970', '905', '211049519', 'Brazil', 'BR', 'BRA', 'America', '292.77441755');
INSERT INTO public.ecdc_import VALUES (8120, '08/08/2020', '8', '8', '2020', '50230', '1079', '211049519', 'Brazil', 'BR', 'BRA', 'America', '293.33210658');
INSERT INTO public.ecdc_import VALUES (8121, '07/08/2020', '7', '8', '2020', '53139', '1237', '211049519', 'Brazil', 'BR', 'BRA', 'America', '296.01441546');
INSERT INTO public.ecdc_import VALUES (8122, '06/08/2020', '6', '8', '2020', '57152', '1437', '211049519', 'Brazil', 'BR', 'BRA', 'America', '299.24683221');
INSERT INTO public.ecdc_import VALUES (8123, '05/08/2020', '5', '8', '2020', '51603', '1154', '211049519', 'Brazil', 'BR', 'BRA', 'America', '304.320523');
INSERT INTO public.ecdc_import VALUES (8124, '04/08/2020', '4', '8', '2020', '16641', '561', '211049519', 'Brazil', 'BR', 'BRA', 'America', '299.30037415');
INSERT INTO public.ecdc_import VALUES (8125, '03/08/2020', '3', '8', '2020', '25800', '541', '211049519', 'Brazil', 'BR', 'BRA', 'America', '301.01371612');
INSERT INTO public.ecdc_import VALUES (8126, '02/08/2020', '2', '8', '2020', '45392', '1088', '211049519', 'Brazil', 'BR', 'BRA', 'America', '299.93766534');
INSERT INTO public.ecdc_import VALUES (8127, '01/08/2020', '1', '8', '2020', '52383', '1212', '211049519', 'Brazil', 'BR', 'BRA', 'America', '291.94901885');
INSERT INTO public.ecdc_import VALUES (8128, '31/07/2020', '31', '7', '2020', '57837', '1129', '211049519', 'Brazil', 'BR', 'BRA', 'America', '283.32260734');
INSERT INTO public.ecdc_import VALUES (8129, '30/07/2020', '30', '7', '2020', '69074', '1595', '211049519', 'Brazil', 'BR', 'BRA', 'America', '277.431099');
INSERT INTO public.ecdc_import VALUES (8130, '29/07/2020', '29', '7', '2020', '40816', '921', '211049519', 'Brazil', 'BR', 'BRA', 'America', '263.61917461');
INSERT INTO public.ecdc_import VALUES (8131, '28/07/2020', '28', '7', '2020', '23284', '614', '211049519', 'Brazil', 'BR', 'BRA', 'America', '264.11242378');
INSERT INTO public.ecdc_import VALUES (8132, '27/07/2020', '27', '7', '2020', '24578', '555', '211049519', 'Brazil', 'BR', 'BRA', 'America', '262.69190407');
INSERT INTO public.ecdc_import VALUES (8133, '26/07/2020', '26', '7', '2020', '51147', '1211', '211049519', 'Brazil', 'BR', 'BRA', 'America', '262.81178115');
INSERT INTO public.ecdc_import VALUES (8134, '25/07/2020', '25', '7', '2020', '55891', '1156', '211049519', 'Brazil', 'BR', 'BRA', 'America', '257.06715778');
INSERT INTO public.ecdc_import VALUES (8135, '24/07/2020', '24', '7', '2020', '59961', '1311', '211049519', 'Brazil', 'BR', 'BRA', 'America', '251.92950096');
INSERT INTO public.ecdc_import VALUES (8136, '23/07/2020', '23', '7', '2020', '67860', '1284', '211049519', 'Brazil', 'BR', 'BRA', 'America', '243.71247205');
INSERT INTO public.ecdc_import VALUES (8137, '22/07/2020', '22', '7', '2020', '41008', '1367', '211049519', 'Brazil', 'BR', 'BRA', 'America', '232.67762103');
INSERT INTO public.ecdc_import VALUES (8138, '21/07/2020', '21', '7', '2020', '20257', '632', '211049519', 'Brazil', 'BR', 'BRA', 'America', '234.71363609');
INSERT INTO public.ecdc_import VALUES (8139, '20/07/2020', '20', '7', '2020', '23529', '716', '211049519', 'Brazil', 'BR', 'BRA', 'America', '234.70036906');
INSERT INTO public.ecdc_import VALUES (8140, '19/07/2020', '19', '7', '2020', '28532', '921', '211049519', 'Brazil', 'BR', 'BRA', 'America', '235.89534928');
INSERT INTO public.ecdc_import VALUES (8141, '18/07/2020', '18', '7', '2020', '34177', '1163', '211049519', 'Brazil', 'BR', 'BRA', 'America', '240.3450159');
INSERT INTO public.ecdc_import VALUES (8142, '17/07/2020', '17', '7', '2020', '45403', '1322', '211049519', 'Brazil', 'BR', 'BRA', 'America', '244.15739133');
INSERT INTO public.ecdc_import VALUES (8143, '16/07/2020', '16', '7', '2020', '39924', '1233', '211049519', 'Brazil', 'BR', 'BRA', 'America', '245.43765959');
INSERT INTO public.ecdc_import VALUES (8144, '15/07/2020', '15', '7', '2020', '41857', '1300', '211049519', 'Brazil', 'BR', 'BRA', 'America', '248.65396637');
INSERT INTO public.ecdc_import VALUES (8145, '14/07/2020', '14', '7', '2020', '20286', '733', '211049519', 'Brazil', 'BR', 'BRA', 'America', '244.85817473');
INSERT INTO public.ecdc_import VALUES (8146, '13/07/2020', '13', '7', '2020', '24831', '631', '211049519', 'Brazil', 'BR', 'BRA', 'America', '246.64259007');
INSERT INTO public.ecdc_import VALUES (8147, '12/07/2020', '12', '7', '2020', '39023', '1071', '211049519', 'Brazil', 'BR', 'BRA', 'America', '249.3173178');
INSERT INTO public.ecdc_import VALUES (8148, '11/07/2020', '11', '7', '2020', '45048', '1214', '211049519', 'Brazil', 'BR', 'BRA', 'America', '249.16095639');
INSERT INTO public.ecdc_import VALUES (8149, '10/07/2020', '10', '7', '2020', '42619', '1220', '211049519', 'Brazil', 'BR', 'BRA', 'America', '250.01952267');
INSERT INTO public.ecdc_import VALUES (8150, '09/07/2020', '9', '7', '2020', '44571', '1223', '211049519', 'Brazil', 'BR', 'BRA', 'America', '248.53361547');
INSERT INTO public.ecdc_import VALUES (8151, '08/07/2020', '8', '7', '2020', '45305', '1254', '211049519', 'Brazil', 'BR', 'BRA', 'America', '247.65893923');
INSERT INTO public.ecdc_import VALUES (8152, '07/07/2020', '7', '7', '2020', '20229', '620', '211049519', 'Brazil', 'BR', 'BRA', 'America', '244.87807527');
INSERT INTO public.ecdc_import VALUES (8153, '06/07/2020', '6', '7', '2020', '26051', '602', '211049519', 'Brazil', 'BR', 'BRA', 'America', '245.44808368');
INSERT INTO public.ecdc_import VALUES (8154, '05/07/2020', '5', '7', '2020', '37923', '1091', '211049519', 'Brazil', 'BR', 'BRA', 'America', '241.3770012');
INSERT INTO public.ecdc_import VALUES (8155, '04/07/2020', '4', '7', '2020', '42223', '1290', '211049519', 'Brazil', 'BR', 'BRA', 'America', '239.83376148');
INSERT INTO public.ecdc_import VALUES (8156, '03/07/2020', '3', '7', '2020', '48105', '1252', '211049519', 'Brazil', 'BR', 'BRA', 'America', '245.77928557');
INSERT INTO public.ecdc_import VALUES (8157, '02/07/2020', '2', '7', '2020', '46712', '1038', '211049519', 'Brazil', 'BR', 'BRA', 'America', '233.77262471');
INSERT INTO public.ecdc_import VALUES (8158, '01/07/2020', '1', '7', '2020', '33846', '1280', '211049519', 'Brazil', 'BR', 'BRA', 'America', '226.89082746');
INSERT INTO public.ecdc_import VALUES (8159, '30/06/2020', '30', '6', '2020', '24052', '692', '211049519', 'Brazil', 'BR', 'BRA', 'America', '227.39876512');
INSERT INTO public.ecdc_import VALUES (8160, '29/06/2020', '29', '6', '2020', '30476', '552', '211049519', 'Brazil', 'BR', 'BRA', 'America', '225.78539968');
INSERT INTO public.ecdc_import VALUES (8161, '28/06/2020', '28', '6', '2020', '38693', '1109', '211049519', 'Brazil', 'BR', 'BRA', 'America', '219.45228883');
INSERT INTO public.ecdc_import VALUES (8162, '27/06/2020', '27', '6', '2020', '46860', '990', '211049519', 'Brazil', 'BR', 'BRA', 'America', '211.40251924');
INSERT INTO public.ecdc_import VALUES (8163, '26/06/2020', '26', '6', '2020', '39483', '1141', '211049519', 'Brazil', 'BR', 'BRA', 'America', '201.51005414');
INSERT INTO public.ecdc_import VALUES (8164, '25/06/2020', '25', '6', '2020', '42725', '1185', '211049519', 'Brazil', 'BR', 'BRA', 'America', '197.2120107');
INSERT INTO public.ecdc_import VALUES (8165, '24/06/2020', '24', '6', '2020', '39436', '1374', '211049519', 'Brazil', 'BR', 'BRA', 'America', '192.56286483');
INSERT INTO public.ecdc_import VALUES (8166, '23/06/2020', '23', '6', '2020', '21432', '654', '211049519', 'Brazil', 'BR', 'BRA', 'America', '189.08263894');
INSERT INTO public.ecdc_import VALUES (8167, '22/06/2020', '22', '6', '2020', '17459', '641', '211049519', 'Brazil', 'BR', 'BRA', 'America', '186.34489283');
INSERT INTO public.ecdc_import VALUES (8168, '21/06/2020', '21', '6', '2020', '34666', '1022', '211049519', 'Brazil', 'BR', 'BRA', 'America', '187.03762125');
INSERT INTO public.ecdc_import VALUES (8169, '20/06/2020', '20', '6', '2020', '54771', '1206', '211049519', 'Brazil', 'BR', 'BRA', 'America', '183.44083504');
INSERT INTO public.ecdc_import VALUES (8170, '19/06/2020', '19', '6', '2020', '22765', '1238', '211049519', 'Brazil', 'BR', 'BRA', 'America', '172.09705178');
INSERT INTO public.ecdc_import VALUES (8171, '18/06/2020', '18', '6', '2020', '32188', '1269', '211049519', 'Brazil', 'BR', 'BRA', 'America', '175.95917857');
INSERT INTO public.ecdc_import VALUES (8172, '17/06/2020', '17', '6', '2020', '34918', '1282', '211049519', 'Brazil', 'BR', 'BRA', 'America', '174.27473976');
INSERT INTO public.ecdc_import VALUES (8173, '16/06/2020', '16', '6', '2020', '20647', '627', '211049519', 'Brazil', 'BR', 'BRA', 'America', '171.44033387');
INSERT INTO public.ecdc_import VALUES (8174, '15/06/2020', '15', '6', '2020', '17110', '612', '211049519', 'Brazil', 'BR', 'BRA', 'America', '167.15271452');
INSERT INTO public.ecdc_import VALUES (8175, '14/06/2020', '14', '6', '2020', '21704', '892', '211049519', 'Brazil', 'BR', 'BRA', 'America', '166.82056499');
INSERT INTO public.ecdc_import VALUES (8176, '13/06/2020', '13', '6', '2020', '25982', '909', '211049519', 'Brazil', 'BR', 'BRA', 'America', '172.30269073');
INSERT INTO public.ecdc_import VALUES (8177, '12/06/2020', '12', '6', '2020', '30412', '1239', '211049519', 'Brazil', 'BR', 'BRA', 'America', '172.75092676');
INSERT INTO public.ecdc_import VALUES (8178, '11/06/2020', '11', '6', '2020', '32913', '1274', '211049519', 'Brazil', 'BR', 'BRA', 'America', '170.85800608');
INSERT INTO public.ecdc_import VALUES (8179, '10/06/2020', '10', '6', '2020', '32091', '1272', '211049519', 'Brazil', 'BR', 'BRA', 'America', '165.02335644');
INSERT INTO public.ecdc_import VALUES (8180, '09/06/2020', '9', '6', '2020', '15654', '679', '211049519', 'Brazil', 'BR', 'BRA', 'America', '157.55259788');
INSERT INTO public.ecdc_import VALUES (8181, '08/06/2020', '8', '6', '2020', '18921', '525', '211049519', 'Brazil', 'BR', 'BRA', 'America', '155.67294422');
INSERT INTO public.ecdc_import VALUES (8182, '07/06/2020', '7', '6', '2020', '27075', '904', '211049519', 'Brazil', 'BR', 'BRA', 'America', '154.20030405');
INSERT INTO public.ecdc_import VALUES (8183, '06/06/2020', '6', '6', '2020', '30830', '1005', '211049519', 'Brazil', 'BR', 'BRA', 'America', '149.19342223');
INSERT INTO public.ecdc_import VALUES (8184, '05/06/2020', '5', '6', '2020', '30916', '1473', '211049519', 'Brazil', 'BR', 'BRA', 'America', '144.44240453');
INSERT INTO public.ecdc_import VALUES (8185, '04/06/2020', '4', '6', '2020', '28633', '1349', '211049519', 'Brazil', 'BR', 'BRA', 'America', '138.56321558');
INSERT INTO public.ecdc_import VALUES (8186, '03/06/2020', '3', '6', '2020', '28936', '1262', '211049519', 'Brazil', 'BR', 'BRA', 'America', '134.44948908');
INSERT INTO public.ecdc_import VALUES (8187, '02/06/2020', '2', '6', '2020', '11598', '623', '211049519', 'Brazil', 'BR', 'BRA', 'America', '128.98726388');
INSERT INTO public.ecdc_import VALUES (8188, '01/06/2020', '1', '6', '2020', '16409', '480', '211049519', 'Brazil', 'BR', 'BRA', 'America', '129.7178981');
INSERT INTO public.ecdc_import VALUES (8189, '31/05/2020', '31', '5', '2020', '33274', '956', '211049519', 'Brazil', 'BR', 'BRA', 'America', '125.70414813');
INSERT INTO public.ecdc_import VALUES (8190, '30/05/2020', '30', '5', '2020', '26928', '1124', '211049519', 'Brazil', 'BR', 'BRA', 'America', '117.00713708');
INSERT INTO public.ecdc_import VALUES (8191, '29/05/2020', '29', '5', '2020', '26417', '1156', '211049519', 'Brazil', 'BR', 'BRA', 'America', '111.49989875');
INSERT INTO public.ecdc_import VALUES (8192, '28/05/2020', '28', '5', '2020', '20599', '1086', '211049519', 'Brazil', 'BR', 'BRA', 'America', '105.58991134');
INSERT INTO public.ecdc_import VALUES (8193, '27/05/2020', '27', '5', '2020', '16324', '1039', '211049519', 'Brazil', 'BR', 'BRA', 'America', '101.22411129');
INSERT INTO public.ecdc_import VALUES (8194, '26/05/2020', '26', '5', '2020', '11687', '807', '211049519', 'Brazil', 'BR', 'BRA', 'America', '97.87608187');
INSERT INTO public.ecdc_import VALUES (8195, '25/05/2020', '25', '5', '2020', '15813', '653', '211049519', 'Brazil', 'BR', 'BRA', 'America', '95.00708694');
INSERT INTO public.ecdc_import VALUES (8196, '24/05/2020', '24', '5', '2020', '16508', '965', '211049519', 'Brazil', 'BR', 'BRA', 'America', '90.71757231');
INSERT INTO public.ecdc_import VALUES (8197, '23/05/2020', '23', '5', '2020', '20803', '1001', '211049519', 'Brazil', 'BR', 'BRA', 'America', '87.92344132');
INSERT INTO public.ecdc_import VALUES (8198, '22/05/2020', '22', '5', '2020', '18508', '1188', '211049519', 'Brazil', 'BR', 'BRA', 'America', '82.90992599');
INSERT INTO public.ecdc_import VALUES (8199, '21/05/2020', '21', '5', '2020', '19951', '888', '211049519', 'Brazil', 'BR', 'BRA', 'America', '78.82557648');
INSERT INTO public.ecdc_import VALUES (8200, '20/05/2020', '20', '5', '2020', '17408', '1179', '211049519', 'Brazil', 'BR', 'BRA', 'America', '74.34890197');
INSERT INTO public.ecdc_import VALUES (8201, '19/05/2020', '19', '5', '2020', '13140', '674', '211049519', 'Brazil', 'BR', 'BRA', 'America', '69.38655946');
INSERT INTO public.ecdc_import VALUES (8202, '18/05/2020', '18', '5', '2020', '7938', '485', '211049519', 'Brazil', 'BR', 'BRA', 'America', '66.30339679');
INSERT INTO public.ecdc_import VALUES (8203, '17/05/2020', '17', '5', '2020', '14919', '816', '211049519', 'Brazil', 'BR', 'BRA', 'America', '64.71609158');
INSERT INTO public.ecdc_import VALUES (8204, '16/05/2020', '16', '5', '2020', '15305', '824', '211049519', 'Brazil', 'BR', 'BRA', 'America', '60.00203203');
INSERT INTO public.ecdc_import VALUES (8205, '15/05/2020', '15', '5', '2020', '13944', '844', '211049519', 'Brazil', 'BR', 'BRA', 'America', '55.69214304');
INSERT INTO public.ecdc_import VALUES (8206, '14/05/2020', '14', '5', '2020', '11385', '749', '211049519', 'Brazil', 'BR', 'BRA', 'America', '52.50521324');
INSERT INTO public.ecdc_import VALUES (8207, '13/05/2020', '13', '5', '2020', '9258', '881', '211049519', 'Brazil', 'BR', 'BRA', 'America', '50.08445435');
INSERT INTO public.ecdc_import VALUES (8208, '12/05/2020', '12', '5', '2020', '5632', '396', '211049519', 'Brazil', 'BR', 'BRA', 'America', '48.24934');
INSERT INTO public.ecdc_import VALUES (8209, '11/05/2020', '11', '5', '2020', '6760', '496', '211049519', 'Brazil', 'BR', 'BRA', 'America', '47.76651493');
INSERT INTO public.ecdc_import VALUES (8210, '10/05/2020', '10', '5', '2020', '10611', '730', '211049519', 'Brazil', 'BR', 'BRA', 'America', '46.16452123');
INSERT INTO public.ecdc_import VALUES (8211, '09/05/2020', '9', '5', '2020', '10222', '751', '211049519', 'Brazil', 'BR', 'BRA', 'America', '43.7494482');
INSERT INTO public.ecdc_import VALUES (8212, '08/05/2020', '8', '5', '2020', '9888', '610', '211049519', 'Brazil', 'BR', 'BRA', 'America', '40.56583517');
INSERT INTO public.ecdc_import VALUES (8213, '07/05/2020', '7', '5', '2020', '10503', '615', '211049519', 'Brazil', 'BR', 'BRA', 'America', '37.65040564');
INSERT INTO public.ecdc_import VALUES (8214, '06/05/2020', '6', '5', '2020', '6935', '600', '211049519', 'Brazil', 'BR', 'BRA', 'America', '33.94274497');
INSERT INTO public.ecdc_import VALUES (8215, '05/05/2020', '5', '5', '2020', '6633', '296', '211049519', 'Brazil', 'BR', 'BRA', 'America', '31.84039477');
INSERT INTO public.ecdc_import VALUES (8216, '04/05/2020', '4', '5', '2020', '4588', '275', '211049519', 'Brazil', 'BR', 'BRA', 'America', '29.61058632');
INSERT INTO public.ecdc_import VALUES (8217, '03/05/2020', '3', '5', '2020', '4970', '421', '211049519', 'Brazil', 'BR', 'BRA', 'America', '28.41039406');
INSERT INTO public.ecdc_import VALUES (8218, '02/05/2020', '2', '5', '2020', '6209', '428', '211049519', 'Brazil', 'BR', 'BRA', 'America', '27.43763657');
INSERT INTO public.ecdc_import VALUES (8219, '01/05/2020', '1', '5', '2020', '7218', '435', '211049519', 'Brazil', 'BR', 'BRA', 'America', '26.0389127');
INSERT INTO public.ecdc_import VALUES (8220, '30/04/2020', '30', '4', '2020', '6276', '449', '211049519', 'Brazil', 'BR', 'BRA', 'America', '23.61625851');
INSERT INTO public.ecdc_import VALUES (8221, '29/04/2020', '29', '4', '2020', '5385', '474', '211049519', 'Brazil', 'BR', 'BRA', 'America', '22.09149787');
INSERT INTO public.ecdc_import VALUES (8222, '28/04/2020', '28', '4', '2020', '4613', '338', '211049519', 'Brazil', 'BR', 'BRA', 'America', '20.40800671');
INSERT INTO public.ecdc_import VALUES (8223, '27/04/2020', '27', '4', '2020', '3379', '189', '211049519', 'Brazil', 'BR', 'BRA', 'America', '18.81975386');
INSERT INTO public.ecdc_import VALUES (8224, '26/04/2020', '26', '4', '2020', '5514', '346', '211049519', 'Brazil', 'BR', 'BRA', 'America', '17.90195978');
INSERT INTO public.ecdc_import VALUES (8225, '25/04/2020', '25', '4', '2020', '3503', '357', '211049519', 'Brazil', 'BR', 'BRA', 'America', '15.80529544');
INSERT INTO public.ecdc_import VALUES (8226, '24/04/2020', '24', '4', '2020', '3735', '407', '211049519', 'Brazil', 'BR', 'BRA', 'America', '14.98937318');
INSERT INTO public.ecdc_import VALUES (8227, '23/04/2020', '23', '4', '2020', '2678', '165', '211049519', 'Brazil', 'BR', 'BRA', 'America', '14.13412366');
INSERT INTO public.ecdc_import VALUES (8228, '22/04/2020', '22', '4', '2020', '2498', '166', '211049519', 'Brazil', 'BR', 'BRA', 'America', '13.91237475');
INSERT INTO public.ecdc_import VALUES (8229, '21/04/2020', '21', '4', '2020', '1927', '113', '211049519', 'Brazil', 'BR', 'BRA', 'America', '13.51578536');
INSERT INTO public.ecdc_import VALUES (8230, '20/04/2020', '20', '4', '2020', '2055', '115', '211049519', 'Brazil', 'BR', 'BRA', 'America', '13.04148909');
INSERT INTO public.ecdc_import VALUES (8231, '19/04/2020', '19', '4', '2020', '2917', '206', '211049519', 'Brazil', 'BR', 'BRA', 'America', '12.47148069');
INSERT INTO public.ecdc_import VALUES (8232, '18/04/2020', '18', '4', '2020', '3257', '217', '211049519', 'Brazil', 'BR', 'BRA', 'America', '11.66835163');
INSERT INTO public.ecdc_import VALUES (8233, '17/04/2020', '17', '4', '2020', '2105', '188', '211049519', 'Brazil', 'BR', 'BRA', 'America', '10.66811244');
INSERT INTO public.ecdc_import VALUES (8234, '16/04/2020', '16', '4', '2020', '3058', '204', '211049519', 'Brazil', 'BR', 'BRA', 'America', '10.1796015');
INSERT INTO public.ecdc_import VALUES (8235, '15/04/2020', '15', '4', '2020', '1832', '204', '211049519', 'Brazil', 'BR', 'BRA', 'America', '9.26085977');
INSERT INTO public.ecdc_import VALUES (8236, '14/04/2020', '14', '4', '2020', '1261', '105', '211049519', 'Brazil', 'BR', 'BRA', 'America', '8.93202699');
INSERT INTO public.ecdc_import VALUES (8237, '13/04/2020', '13', '4', '2020', '1442', '99', '211049519', 'Brazil', 'BR', 'BRA', 'America', '8.48758153');
INSERT INTO public.ecdc_import VALUES (8238, '12/04/2020', '12', '4', '2020', '1089', '68', '211049519', 'Brazil', 'BR', 'BRA', 'America', '7.97111506');
INSERT INTO public.ecdc_import VALUES (8239, '11/04/2020', '11', '4', '2020', '1781', '115', '211049519', 'Brazil', 'BR', 'BRA', 'America', '7.68587395');
INSERT INTO public.ecdc_import VALUES (8240, '10/04/2020', '10', '4', '2020', '1930', '141', '211049519', 'Brazil', 'BR', 'BRA', 'America', '7.07985504');
INSERT INTO public.ecdc_import VALUES (8241, '09/04/2020', '9', '4', '2020', '2210', '133', '211049519', 'Brazil', 'BR', 'BRA', 'America', '6.39376013');
INSERT INTO public.ecdc_import VALUES (8242, '08/04/2020', '8', '4', '2020', '1661', '114', '211049519', 'Brazil', 'BR', 'BRA', 'America', '5.45653933');
INSERT INTO public.ecdc_import VALUES (8243, '07/04/2020', '7', '4', '2020', '926', '67', '211049519', 'Brazil', 'BR', 'BRA', 'America', '4.8164052');
INSERT INTO public.ecdc_import VALUES (8244, '06/04/2020', '6', '4', '2020', '852', '54', '211049519', 'Brazil', 'BR', 'BRA', 'America', '4.54111435');
INSERT INTO public.ecdc_import VALUES (8245, '05/04/2020', '5', '4', '2020', '1222', '73', '211049519', 'Brazil', 'BR', 'BRA', 'America', '4.33547541');
INSERT INTO public.ecdc_import VALUES (8246, '04/04/2020', '4', '4', '2020', '1146', '60', '211049519', 'Brazil', 'BR', 'BRA', 'America', '3.86260061');
INSERT INTO public.ecdc_import VALUES (8247, '03/04/2020', '3', '4', '2020', '1074', '58', '211049519', 'Brazil', 'BR', 'BRA', 'America', '3.45369183');
INSERT INTO public.ecdc_import VALUES (8248, '02/04/2020', '2', '4', '2020', '1119', '40', '211049519', 'Brazil', 'BR', 'BRA', 'America', '3.03625425');
INSERT INTO public.ecdc_import VALUES (8249, '01/04/2020', '1', '4', '2020', '1138', '42', '211049519', 'Brazil', 'BR', 'BRA', 'America', '2.57096061');
INSERT INTO public.ecdc_import VALUES (8250, '31/03/2020', '31', '3', '2020', '323', '23', '211049519', 'Brazil', 'BR', 'BRA', 'America', '2.05875854');
INSERT INTO public.ecdc_import VALUES (8251, '30/03/2020', '30', '3', '2020', '352', '22', '211049519', 'Brazil', 'BR', 'BRA', 'America', '1.92182385');
INSERT INTO public.ecdc_import VALUES (8252, '29/03/2020', '29', '3', '2020', '487', '22', '211049519', 'Brazil', 'BR', 'BRA', 'America', '1.79247033');
INSERT INTO public.ecdc_import VALUES (8253, '28/03/2020', '28', '3', '2020', '502', '15', '211049519', 'Brazil', 'BR', 'BRA', 'America', '1.57261671');
INSERT INTO public.ecdc_import VALUES (8254, '27/03/2020', '27', '3', '2020', '482', '20', '211049519', 'Brazil', 'BR', 'BRA', 'America', '1.34470811');
INSERT INTO public.ecdc_import VALUES (8255, '26/03/2020', '26', '3', '2020', '232', '11', '211049519', 'Brazil', 'BR', 'BRA', 'America', '1.12817125');
INSERT INTO public.ecdc_import VALUES (8256, '25/03/2020', '25', '3', '2020', '310', '12', '211049519', 'Brazil', 'BR', 'BRA', 'America', '1.02677325');
INSERT INTO public.ecdc_import VALUES (8257, '24/03/2020', '24', '3', '2020', '345', '9', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.88415269');
INSERT INTO public.ecdc_import VALUES (8258, '23/03/2020', '23', '3', '2020', '418', '7', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.72068395');
INSERT INTO public.ecdc_import VALUES (8259, '22/03/2020', '22', '3', '2020', '224', '7', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.52831203');
INSERT INTO public.ecdc_import VALUES (8260, '21/03/2020', '21', '3', '2020', '283', '5', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.4221758');
INSERT INTO public.ecdc_import VALUES (8261, '20/03/2020', '20', '3', '2020', '193', '2', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.29045316');
INSERT INTO public.ecdc_import VALUES (8262, '19/03/2020', '19', '3', '2020', '137', '3', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.20137454');
INSERT INTO public.ecdc_import VALUES (8263, '18/03/2020', '18', '3', '2020', '57', '1', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.13693469');
INSERT INTO public.ecdc_import VALUES (8264, '17/03/2020', '17', '3', '2020', '34', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.10992681');
INSERT INTO public.ecdc_import VALUES (8265, '16/03/2020', '16', '3', '2020', '79', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.09381684');
INSERT INTO public.ecdc_import VALUES (8266, '15/03/2020', '15', '3', '2020', '23', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.05638487');
INSERT INTO public.ecdc_import VALUES (8267, '14/03/2020', '14', '3', '2020', '21', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.04596078');
INSERT INTO public.ecdc_import VALUES (8268, '13/03/2020', '13', '3', '2020', '25', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.03601051');
INSERT INTO public.ecdc_import VALUES (8269, '12/03/2020', '12', '3', '2020', '18', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.02416494');
INSERT INTO public.ecdc_import VALUES (8270, '11/03/2020', '11', '3', '2020', '9', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.01563614');
INSERT INTO public.ecdc_import VALUES (8271, '10/03/2020', '10', '3', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.01184556');
INSERT INTO public.ecdc_import VALUES (8272, '09/03/2020', '9', '3', '2020', '12', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.01184556');
INSERT INTO public.ecdc_import VALUES (8273, '08/03/2020', '8', '3', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00615969');
INSERT INTO public.ecdc_import VALUES (8274, '07/03/2020', '7', '3', '2020', '5', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00615969');
INSERT INTO public.ecdc_import VALUES (8275, '06/03/2020', '6', '3', '2020', '5', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00379058');
INSERT INTO public.ecdc_import VALUES (8276, '05/03/2020', '5', '3', '2020', '1', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00142147');
INSERT INTO public.ecdc_import VALUES (8277, '04/03/2020', '4', '3', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00094764');
INSERT INTO public.ecdc_import VALUES (8278, '03/03/2020', '3', '3', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00094764');
INSERT INTO public.ecdc_import VALUES (8279, '02/03/2020', '2', '3', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00094764');
INSERT INTO public.ecdc_import VALUES (8280, '01/03/2020', '1', '3', '2020', '1', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00094764');
INSERT INTO public.ecdc_import VALUES (8281, '29/02/2020', '29', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00047382');
INSERT INTO public.ecdc_import VALUES (8282, '28/02/2020', '28', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00047382');
INSERT INTO public.ecdc_import VALUES (8283, '27/02/2020', '27', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00047382');
INSERT INTO public.ecdc_import VALUES (8284, '26/02/2020', '26', '2', '2020', '1', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0.00047382');
INSERT INTO public.ecdc_import VALUES (8285, '25/02/2020', '25', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8286, '24/02/2020', '24', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8287, '23/02/2020', '23', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8288, '22/02/2020', '22', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8289, '21/02/2020', '21', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8290, '20/02/2020', '20', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8291, '19/02/2020', '19', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8292, '18/02/2020', '18', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8293, '17/02/2020', '17', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8294, '16/02/2020', '16', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8295, '15/02/2020', '15', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8296, '14/02/2020', '14', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8297, '13/02/2020', '13', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8298, '12/02/2020', '12', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8299, '11/02/2020', '11', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8300, '10/02/2020', '10', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8301, '09/02/2020', '9', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8302, '08/02/2020', '8', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8303, '07/02/2020', '7', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8304, '06/02/2020', '6', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8305, '05/02/2020', '5', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8306, '04/02/2020', '4', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8307, '03/02/2020', '3', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8308, '02/02/2020', '2', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8309, '01/02/2020', '1', '2', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8310, '31/01/2020', '31', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8311, '30/01/2020', '30', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8312, '29/01/2020', '29', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8313, '28/01/2020', '28', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8314, '27/01/2020', '27', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8315, '26/01/2020', '26', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8316, '25/01/2020', '25', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8317, '24/01/2020', '24', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8318, '23/01/2020', '23', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8319, '22/01/2020', '22', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8320, '21/01/2020', '21', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8321, '20/01/2020', '20', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8322, '19/01/2020', '19', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8323, '18/01/2020', '18', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8324, '17/01/2020', '17', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8325, '16/01/2020', '16', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8326, '15/01/2020', '15', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8327, '14/01/2020', '14', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8328, '13/01/2020', '13', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8329, '12/01/2020', '12', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8330, '11/01/2020', '11', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8331, '10/01/2020', '10', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8332, '09/01/2020', '9', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8333, '08/01/2020', '8', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8335, '06/01/2020', '6', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8336, '05/01/2020', '5', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8337, '04/01/2020', '4', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8338, '03/01/2020', '3', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8339, '02/01/2020', '2', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8340, '01/01/2020', '1', '1', '2020', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8341, '31/12/2019', '31', '12', '2019', '0', '0', '211049519', 'Brazil', 'BR', 'BRA', 'America', '');
INSERT INTO public.ecdc_import VALUES (8342, '14/12/2020', '14', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8343, '13/12/2020', '13', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '13.31868278');
INSERT INTO public.ecdc_import VALUES (8344, '12/12/2020', '12', '12', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '13.31868278');
INSERT INTO public.ecdc_import VALUES (8345, '11/12/2020', '11', '12', '2020', '2', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8346, '10/12/2020', '10', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8347, '09/12/2020', '9', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8348, '08/12/2020', '8', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8349, '07/12/2020', '7', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8350, '06/12/2020', '6', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8351, '05/12/2020', '5', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8352, '04/12/2020', '4', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8353, '03/12/2020', '3', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8354, '02/12/2020', '2', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8355, '01/12/2020', '1', '12', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8356, '30/11/2020', '30', '11', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8357, '29/11/2020', '29', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8358, '28/11/2020', '28', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8359, '27/11/2020', '27', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8360, '26/11/2020', '26', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8361, '25/11/2020', '25', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8362, '24/11/2020', '24', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8363, '23/11/2020', '23', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8364, '22/11/2020', '22', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8365, '21/11/2020', '21', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8366, '20/11/2020', '20', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8367, '19/11/2020', '19', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8368, '18/11/2020', '18', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8369, '17/11/2020', '17', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8370, '16/11/2020', '16', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8371, '15/11/2020', '15', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8372, '14/11/2020', '14', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8373, '13/11/2020', '13', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8374, '12/11/2020', '12', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8375, '11/11/2020', '11', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8376, '10/11/2020', '10', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8377, '09/11/2020', '9', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8378, '08/11/2020', '8', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8379, '07/11/2020', '7', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8380, '06/11/2020', '6', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8381, '05/11/2020', '5', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8382, '04/11/2020', '4', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8383, '03/11/2020', '3', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8384, '02/11/2020', '2', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8385, '01/11/2020', '1', '11', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8386, '31/10/2020', '31', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8387, '30/10/2020', '30', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8388, '29/10/2020', '29', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8389, '28/10/2020', '28', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8390, '27/10/2020', '27', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8391, '26/10/2020', '26', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8392, '25/10/2020', '25', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8393, '24/10/2020', '24', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8394, '23/10/2020', '23', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8395, '22/10/2020', '22', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8396, '21/10/2020', '21', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8397, '20/10/2020', '20', '10', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8398, '19/10/2020', '19', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8399, '18/10/2020', '18', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8400, '17/10/2020', '17', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8401, '16/10/2020', '16', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8402, '15/10/2020', '15', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8403, '14/10/2020', '14', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8404, '13/10/2020', '13', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8405, '12/10/2020', '12', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8406, '11/10/2020', '11', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8407, '10/10/2020', '10', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8408, '09/10/2020', '9', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8409, '08/10/2020', '8', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8410, '07/10/2020', '7', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8411, '06/10/2020', '6', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8412, '05/10/2020', '5', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8413, '04/10/2020', '4', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8414, '03/10/2020', '3', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8415, '02/10/2020', '2', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8416, '01/10/2020', '1', '10', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '16.64835348');
INSERT INTO public.ecdc_import VALUES (8417, '30/09/2020', '30', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '16.64835348');
INSERT INTO public.ecdc_import VALUES (8418, '29/09/2020', '29', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '16.64835348');
INSERT INTO public.ecdc_import VALUES (8419, '28/09/2020', '28', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '16.64835348');
INSERT INTO public.ecdc_import VALUES (8420, '27/09/2020', '27', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '16.64835348');
INSERT INTO public.ecdc_import VALUES (8421, '26/09/2020', '26', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '23.30769487');
INSERT INTO public.ecdc_import VALUES (8422, '25/09/2020', '25', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '26.63736556');
INSERT INTO public.ecdc_import VALUES (8423, '24/09/2020', '24', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '26.63736556');
INSERT INTO public.ecdc_import VALUES (8424, '23/09/2020', '23', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '26.63736556');
INSERT INTO public.ecdc_import VALUES (8425, '22/09/2020', '22', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '26.63736556');
INSERT INTO public.ecdc_import VALUES (8426, '21/09/2020', '21', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '26.63736556');
INSERT INTO public.ecdc_import VALUES (8427, '20/09/2020', '20', '9', '2020', '2', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '26.63736556');
INSERT INTO public.ecdc_import VALUES (8428, '19/09/2020', '19', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '19.97802417');
INSERT INTO public.ecdc_import VALUES (8429, '18/09/2020', '18', '9', '2020', '3', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '73.2527553');
INSERT INTO public.ecdc_import VALUES (8430, '17/09/2020', '17', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '63.26374322');
INSERT INTO public.ecdc_import VALUES (8431, '16/09/2020', '16', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '63.26374322');
INSERT INTO public.ecdc_import VALUES (8432, '15/09/2020', '15', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '63.26374322');
INSERT INTO public.ecdc_import VALUES (8433, '14/09/2020', '14', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '96.56045017');
INSERT INTO public.ecdc_import VALUES (8434, '13/09/2020', '13', '9', '2020', '2', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '103.21979156');
INSERT INTO public.ecdc_import VALUES (8435, '12/09/2020', '12', '9', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '96.56045017');
INSERT INTO public.ecdc_import VALUES (8436, '11/09/2020', '11', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '123.19781574');
INSERT INTO public.ecdc_import VALUES (8437, '10/09/2020', '10', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '123.19781574');
INSERT INTO public.ecdc_import VALUES (8438, '09/09/2020', '9', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '123.19781574');
INSERT INTO public.ecdc_import VALUES (8439, '08/09/2020', '8', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '123.19781574');
INSERT INTO public.ecdc_import VALUES (8440, '07/09/2020', '7', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '139.84616921');
INSERT INTO public.ecdc_import VALUES (8441, '06/09/2020', '6', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '139.84616921');
INSERT INTO public.ecdc_import VALUES (8442, '05/09/2020', '5', '9', '2020', '16', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '139.84616921');
INSERT INTO public.ecdc_import VALUES (8443, '04/09/2020', '4', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '116.53847434');
INSERT INTO public.ecdc_import VALUES (8444, '03/09/2020', '3', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '119.86814504');
INSERT INTO public.ecdc_import VALUES (8445, '02/09/2020', '2', '9', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '119.86814504');
INSERT INTO public.ecdc_import VALUES (8446, '01/09/2020', '1', '9', '2020', '10', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '126.52748643');
INSERT INTO public.ecdc_import VALUES (8447, '31/08/2020', '31', '8', '2020', '2', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '93.23077948');
INSERT INTO public.ecdc_import VALUES (8448, '30/08/2020', '30', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '86.57143808');
INSERT INTO public.ecdc_import VALUES (8449, '29/08/2020', '29', '8', '2020', '9', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '86.57143808');
INSERT INTO public.ecdc_import VALUES (8450, '28/08/2020', '28', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '56.60440182');
INSERT INTO public.ecdc_import VALUES (8451, '27/08/2020', '27', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '56.60440182');
INSERT INTO public.ecdc_import VALUES (8452, '26/08/2020', '26', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '56.60440182');
INSERT INTO public.ecdc_import VALUES (8453, '25/08/2020', '25', '8', '2020', '5', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '56.60440182');
INSERT INTO public.ecdc_import VALUES (8454, '24/08/2020', '24', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '39.95604835');
INSERT INTO public.ecdc_import VALUES (8455, '23/08/2020', '23', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '39.95604835');
INSERT INTO public.ecdc_import VALUES (8456, '22/08/2020', '22', '8', '2020', '9', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '39.95604835');
INSERT INTO public.ecdc_import VALUES (8457, '21/08/2020', '21', '8', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8458, '20/08/2020', '20', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8459, '19/08/2020', '19', '8', '2020', '2', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8460, '18/08/2020', '18', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8461, '17/08/2020', '17', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8462, '16/08/2020', '16', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8463, '15/08/2020', '15', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8464, '14/08/2020', '14', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8465, '13/08/2020', '13', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8466, '12/08/2020', '12', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8467, '11/08/2020', '11', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8468, '10/08/2020', '10', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8469, '09/08/2020', '9', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8470, '08/08/2020', '8', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8471, '07/08/2020', '7', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8472, '06/08/2020', '6', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8473, '05/08/2020', '5', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8474, '04/08/2020', '4', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8475, '03/08/2020', '3', '8', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8476, '02/08/2020', '2', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8477, '01/08/2020', '1', '8', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8478, '31/07/2020', '31', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8479, '30/07/2020', '30', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8480, '29/07/2020', '29', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8481, '28/07/2020', '28', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8482, '27/07/2020', '27', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8483, '26/07/2020', '26', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8484, '25/07/2020', '25', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8485, '24/07/2020', '24', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8486, '23/07/2020', '23', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8487, '22/07/2020', '22', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8488, '21/07/2020', '21', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8489, '20/07/2020', '20', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8490, '19/07/2020', '19', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8491, '18/07/2020', '18', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8492, '17/07/2020', '17', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8493, '16/07/2020', '16', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8494, '15/07/2020', '15', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8495, '14/07/2020', '14', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8496, '13/07/2020', '13', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8497, '12/07/2020', '12', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8498, '11/07/2020', '11', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8499, '10/07/2020', '10', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8500, '09/07/2020', '9', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8501, '08/07/2020', '8', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8502, '07/07/2020', '7', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8503, '06/07/2020', '6', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8504, '05/07/2020', '5', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8505, '04/07/2020', '4', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8506, '03/07/2020', '3', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8507, '02/07/2020', '2', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8508, '01/07/2020', '1', '7', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8509, '30/06/2020', '30', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8510, '29/06/2020', '29', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8511, '28/06/2020', '28', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8512, '27/06/2020', '27', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8513, '26/06/2020', '26', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8514, '25/06/2020', '25', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8515, '24/06/2020', '24', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8516, '23/06/2020', '23', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8517, '22/06/2020', '22', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8518, '21/06/2020', '21', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8519, '20/06/2020', '20', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8520, '19/06/2020', '19', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8521, '18/06/2020', '18', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8522, '17/06/2020', '17', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8523, '16/06/2020', '16', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8524, '15/06/2020', '15', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8525, '14/06/2020', '14', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8526, '13/06/2020', '13', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8527, '12/06/2020', '12', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8528, '11/06/2020', '11', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8529, '10/06/2020', '10', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8530, '09/06/2020', '9', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8531, '08/06/2020', '8', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8532, '07/06/2020', '7', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8533, '06/06/2020', '6', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8534, '05/06/2020', '5', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8535, '04/06/2020', '4', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8536, '03/06/2020', '3', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8537, '02/06/2020', '2', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8538, '01/06/2020', '1', '6', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8539, '31/05/2020', '31', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8540, '30/05/2020', '30', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8541, '29/05/2020', '29', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8542, '28/05/2020', '28', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8543, '27/05/2020', '27', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8544, '26/05/2020', '26', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8545, '25/05/2020', '25', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8546, '24/05/2020', '24', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8547, '23/05/2020', '23', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8548, '22/05/2020', '22', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8549, '21/05/2020', '21', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8550, '20/05/2020', '20', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8551, '19/05/2020', '19', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8552, '18/05/2020', '18', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8553, '17/05/2020', '17', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8554, '16/05/2020', '16', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8555, '15/05/2020', '15', '5', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8556, '14/05/2020', '14', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8557, '13/05/2020', '13', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8558, '12/05/2020', '12', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8559, '11/05/2020', '11', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8560, '10/05/2020', '10', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8561, '09/05/2020', '9', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8562, '08/05/2020', '8', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8563, '07/05/2020', '7', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8564, '06/05/2020', '6', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8565, '05/05/2020', '5', '5', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8566, '04/05/2020', '4', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8567, '03/05/2020', '3', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8568, '02/05/2020', '2', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8569, '01/05/2020', '1', '5', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8570, '30/04/2020', '30', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8571, '29/04/2020', '29', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8572, '28/04/2020', '28', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8573, '27/04/2020', '27', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8574, '26/04/2020', '26', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8575, '25/04/2020', '25', '4', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8576, '24/04/2020', '24', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8577, '23/04/2020', '23', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8578, '22/04/2020', '22', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8579, '21/04/2020', '21', '4', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '6.65934139');
INSERT INTO public.ecdc_import VALUES (8580, '20/04/2020', '20', '4', '2020', '1', '1', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8581, '19/04/2020', '19', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8582, '18/04/2020', '18', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8583, '17/04/2020', '17', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8584, '16/04/2020', '16', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8585, '15/04/2020', '15', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8586, '14/04/2020', '14', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '0');
INSERT INTO public.ecdc_import VALUES (8587, '13/04/2020', '13', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8588, '12/04/2020', '12', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8589, '11/04/2020', '11', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8590, '10/04/2020', '10', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '3.3296707');
INSERT INTO public.ecdc_import VALUES (8591, '09/04/2020', '9', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '9.98901209');
INSERT INTO public.ecdc_import VALUES (8592, '08/04/2020', '8', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8593, '07/04/2020', '7', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8594, '06/04/2020', '6', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8595, '05/04/2020', '5', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8596, '04/04/2020', '4', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8597, '03/04/2020', '3', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8598, '02/04/2020', '2', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8599, '01/04/2020', '1', '4', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8600, '31/03/2020', '31', '3', '2020', '1', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8601, '30/03/2020', '30', '3', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8602, '29/03/2020', '29', '3', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8603, '28/03/2020', '28', '3', '2020', '0', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8604, '27/03/2020', '27', '3', '2020', '2', '0', '30033', 'British_Virgin_Islands', 'VG', 'VGB', 'America', '');
INSERT INTO public.ecdc_import VALUES (8605, '14/12/2020', '14', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8606, '13/12/2020', '13', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8607, '12/12/2020', '12', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8608, '11/12/2020', '11', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8609, '10/12/2020', '10', '12', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8610, '09/12/2020', '9', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8611, '08/12/2020', '8', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8612, '07/12/2020', '7', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8613, '06/12/2020', '6', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8614, '05/12/2020', '5', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8615, '04/12/2020', '4', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8616, '03/12/2020', '3', '12', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8617, '02/12/2020', '2', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8618, '01/12/2020', '1', '12', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8619, '30/11/2020', '30', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8620, '29/11/2020', '29', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8621, '28/11/2020', '28', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8622, '27/11/2020', '27', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8623, '26/11/2020', '26', '11', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8624, '25/11/2020', '25', '11', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8625, '24/11/2020', '24', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8626, '23/11/2020', '23', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8627, '22/11/2020', '22', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8628, '21/11/2020', '21', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8629, '20/11/2020', '20', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8630, '19/11/2020', '19', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8631, '18/11/2020', '18', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8632, '17/11/2020', '17', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8633, '16/11/2020', '16', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8634, '15/11/2020', '15', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8635, '14/11/2020', '14', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8636, '13/11/2020', '13', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8637, '12/11/2020', '12', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8638, '11/11/2020', '11', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8639, '10/11/2020', '10', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8640, '09/11/2020', '9', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8641, '08/11/2020', '8', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8642, '07/11/2020', '7', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8643, '06/11/2020', '6', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8644, '05/11/2020', '5', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8645, '04/11/2020', '4', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8646, '03/11/2020', '3', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8647, '02/11/2020', '2', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8648, '01/11/2020', '1', '11', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8649, '31/10/2020', '31', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8650, '30/10/2020', '30', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8651, '29/10/2020', '29', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8652, '28/10/2020', '28', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8653, '27/10/2020', '27', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8654, '26/10/2020', '26', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8655, '25/10/2020', '25', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8656, '24/10/2020', '24', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8657, '23/10/2020', '23', '10', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8658, '22/10/2020', '22', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8659, '21/10/2020', '21', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8660, '20/10/2020', '20', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8661, '19/10/2020', '19', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8662, '18/10/2020', '18', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8663, '17/10/2020', '17', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8664, '16/10/2020', '16', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8665, '15/10/2020', '15', '10', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8666, '14/10/2020', '14', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8667, '13/10/2020', '13', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8668, '12/10/2020', '12', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8669, '11/10/2020', '11', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8670, '10/10/2020', '10', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8671, '09/10/2020', '9', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8672, '08/10/2020', '8', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8673, '07/10/2020', '7', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8674, '06/10/2020', '6', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8675, '05/10/2020', '5', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8676, '04/10/2020', '4', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8677, '03/10/2020', '3', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8678, '02/10/2020', '2', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8679, '01/10/2020', '1', '10', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8680, '30/09/2020', '30', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8681, '29/09/2020', '29', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8682, '28/09/2020', '28', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8683, '27/09/2020', '27', '9', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8684, '26/09/2020', '26', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8685, '25/09/2020', '25', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8686, '24/09/2020', '24', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8687, '23/09/2020', '23', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8688, '22/09/2020', '22', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8689, '21/09/2020', '21', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8690, '20/09/2020', '20', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8691, '19/09/2020', '19', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8692, '18/09/2020', '18', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8693, '17/09/2020', '17', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8694, '16/09/2020', '16', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8695, '15/09/2020', '15', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8696, '14/09/2020', '14', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8697, '13/09/2020', '13', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8698, '12/09/2020', '12', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8699, '11/09/2020', '11', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8700, '10/09/2020', '10', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8701, '09/09/2020', '9', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8702, '08/09/2020', '8', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8703, '07/09/2020', '7', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8704, '06/09/2020', '6', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8705, '05/09/2020', '5', '9', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8706, '04/09/2020', '4', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8707, '03/09/2020', '3', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8708, '02/09/2020', '2', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8709, '01/09/2020', '1', '9', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8710, '31/08/2020', '31', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8711, '30/08/2020', '30', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8712, '29/08/2020', '29', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8713, '28/08/2020', '28', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8714, '27/08/2020', '27', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8715, '26/08/2020', '26', '8', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8716, '25/08/2020', '25', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8717, '24/08/2020', '24', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8718, '23/08/2020', '23', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8719, '22/08/2020', '22', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8720, '21/08/2020', '21', '8', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8721, '20/08/2020', '20', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8722, '19/08/2020', '19', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8723, '18/08/2020', '18', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8724, '17/08/2020', '17', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8725, '16/08/2020', '16', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8726, '15/08/2020', '15', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8727, '14/08/2020', '14', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8728, '13/08/2020', '13', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8729, '12/08/2020', '12', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8730, '11/08/2020', '11', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8731, '10/08/2020', '10', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8732, '09/08/2020', '9', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8733, '08/08/2020', '8', '8', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8734, '07/08/2020', '7', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8735, '06/08/2020', '6', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8736, '05/08/2020', '5', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8737, '04/08/2020', '4', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8738, '03/08/2020', '3', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8739, '02/08/2020', '2', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8740, '01/08/2020', '1', '8', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8741, '31/07/2020', '31', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8742, '30/07/2020', '30', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8743, '29/07/2020', '29', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8744, '28/07/2020', '28', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8745, '27/07/2020', '27', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8746, '26/07/2020', '26', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8747, '25/07/2020', '25', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8748, '24/07/2020', '24', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8749, '23/07/2020', '23', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8750, '22/07/2020', '22', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8751, '21/07/2020', '21', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8752, '20/07/2020', '20', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8753, '19/07/2020', '19', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8754, '18/07/2020', '18', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8755, '17/07/2020', '17', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8756, '16/07/2020', '16', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8757, '15/07/2020', '15', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8758, '14/07/2020', '14', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8759, '13/07/2020', '13', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8760, '12/07/2020', '12', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8761, '11/07/2020', '11', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8762, '10/07/2020', '10', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8763, '09/07/2020', '9', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8764, '08/07/2020', '8', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8765, '07/07/2020', '7', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8766, '06/07/2020', '6', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8767, '05/07/2020', '5', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8768, '04/07/2020', '4', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8769, '03/07/2020', '3', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8770, '02/07/2020', '2', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8771, '01/07/2020', '1', '7', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8772, '30/06/2020', '30', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8773, '29/06/2020', '29', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8774, '28/06/2020', '28', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8775, '27/06/2020', '27', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8776, '26/06/2020', '26', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8777, '25/06/2020', '25', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8778, '24/06/2020', '24', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8779, '23/06/2020', '23', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8780, '22/06/2020', '22', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8781, '21/06/2020', '21', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8782, '20/06/2020', '20', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8783, '19/06/2020', '19', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8784, '18/06/2020', '18', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8785, '17/06/2020', '17', '6', '2020', '0', '1', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8786, '16/06/2020', '16', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8787, '15/06/2020', '15', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8788, '14/06/2020', '14', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8789, '13/06/2020', '13', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8790, '12/06/2020', '12', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8791, '11/06/2020', '11', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8792, '10/06/2020', '10', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8793, '09/06/2020', '9', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8794, '08/06/2020', '8', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8795, '07/06/2020', '7', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8796, '06/06/2020', '6', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8797, '05/06/2020', '5', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8798, '04/06/2020', '4', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8799, '03/06/2020', '3', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8800, '02/06/2020', '2', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8801, '01/06/2020', '1', '6', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8802, '31/05/2020', '31', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8803, '30/05/2020', '30', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8804, '29/05/2020', '29', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8805, '28/05/2020', '28', '5', '2020', '0', '1', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8806, '27/05/2020', '27', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8807, '26/05/2020', '26', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8808, '25/05/2020', '25', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8809, '24/05/2020', '24', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8810, '23/05/2020', '23', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8811, '22/05/2020', '22', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8812, '21/05/2020', '21', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8813, '20/05/2020', '20', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8814, '19/05/2020', '19', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8815, '18/05/2020', '18', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8816, '17/05/2020', '17', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8817, '16/05/2020', '16', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8818, '15/05/2020', '15', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8819, '14/05/2020', '14', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8820, '13/05/2020', '13', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8821, '12/05/2020', '12', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8822, '11/05/2020', '11', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8823, '10/05/2020', '10', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8824, '09/05/2020', '9', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8825, '08/05/2020', '8', '5', '2020', '2', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8826, '07/05/2020', '7', '5', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8827, '06/05/2020', '6', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8828, '05/05/2020', '5', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8829, '04/05/2020', '4', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (8830, '03/05/2020', '3', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.23078911');
INSERT INTO public.ecdc_import VALUES (8831, '02/05/2020', '2', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8832, '01/05/2020', '1', '5', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8833, '30/04/2020', '30', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8834, '29/04/2020', '29', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8835, '28/04/2020', '28', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8836, '27/04/2020', '27', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8837, '26/04/2020', '26', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8838, '25/04/2020', '25', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8839, '24/04/2020', '24', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8840, '23/04/2020', '23', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8841, '22/04/2020', '22', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8842, '21/04/2020', '21', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8843, '20/04/2020', '20', '4', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8844, '19/04/2020', '19', '4', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.46157823');
INSERT INTO public.ecdc_import VALUES (8845, '18/04/2020', '18', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8846, '17/04/2020', '17', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '0.69236734');
INSERT INTO public.ecdc_import VALUES (8847, '16/04/2020', '16', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '1.15394557');
INSERT INTO public.ecdc_import VALUES (8848, '15/04/2020', '15', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '1.6155238');
INSERT INTO public.ecdc_import VALUES (8849, '14/04/2020', '14', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '2.07710203');
INSERT INTO public.ecdc_import VALUES (8850, '13/04/2020', '13', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '2.30789114');
INSERT INTO public.ecdc_import VALUES (8851, '12/04/2020', '12', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '3.69262583');
INSERT INTO public.ecdc_import VALUES (8852, '11/04/2020', '11', '4', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '4.8465714');
INSERT INTO public.ecdc_import VALUES (8853, '10/04/2020', '10', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '4.8465714');
INSERT INTO public.ecdc_import VALUES (8854, '09/04/2020', '9', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '6.4620952');
INSERT INTO public.ecdc_import VALUES (8855, '08/04/2020', '8', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '7.15446254');
INSERT INTO public.ecdc_import VALUES (8856, '07/04/2020', '7', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '10.15472102');
INSERT INTO public.ecdc_import VALUES (8857, '06/04/2020', '6', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '10.84708836');
INSERT INTO public.ecdc_import VALUES (8858, '05/04/2020', '5', '4', '2020', '2', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '12.00103394');
INSERT INTO public.ecdc_import VALUES (8859, '04/04/2020', '4', '4', '2020', '0', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '12.69340128');
INSERT INTO public.ecdc_import VALUES (8860, '03/04/2020', '3', '4', '2020', '2', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '13.84734685');
INSERT INTO public.ecdc_import VALUES (8861, '02/04/2020', '2', '4', '2020', '2', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '14.53971419');
INSERT INTO public.ecdc_import VALUES (8862, '01/04/2020', '1', '4', '2020', '2', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '16.84760533');
INSERT INTO public.ecdc_import VALUES (8863, '31/03/2020', '31', '3', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '16.84760533');
INSERT INTO public.ecdc_import VALUES (8864, '30/03/2020', '30', '3', '2020', '6', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '17.53997267');
INSERT INTO public.ecdc_import VALUES (8865, '29/03/2020', '29', '3', '2020', '5', '1', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '18.46312913');
INSERT INTO public.ecdc_import VALUES (8866, '28/03/2020', '28', '3', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '18.0015509');
INSERT INTO public.ecdc_import VALUES (8867, '27/03/2020', '27', '3', '2020', '7', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '20.54023116');
INSERT INTO public.ecdc_import VALUES (8868, '26/03/2020', '26', '3', '2020', '3', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '22.15575496');
INSERT INTO public.ecdc_import VALUES (8869, '25/03/2020', '25', '3', '2020', '13', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '23.77127876');
INSERT INTO public.ecdc_import VALUES (8870, '24/03/2020', '24', '3', '2020', '3', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '21.00180939');
INSERT INTO public.ecdc_import VALUES (8871, '23/03/2020', '23', '3', '2020', '5', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8872, '22/03/2020', '22', '3', '2020', '5', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8873, '21/03/2020', '21', '3', '2020', '5', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8874, '20/03/2020', '20', '3', '2020', '5', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8875, '19/03/2020', '19', '3', '2020', '12', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8876, '18/03/2020', '18', '3', '2020', '2', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8877, '17/03/2020', '17', '3', '2020', '4', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8878, '16/03/2020', '16', '3', '2020', '10', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8879, '15/03/2020', '15', '3', '2020', '3', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8880, '14/03/2020', '14', '3', '2020', '12', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8881, '13/03/2020', '13', '3', '2020', '14', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8882, '12/03/2020', '12', '3', '2020', '10', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8883, '10/03/2020', '10', '3', '2020', '1', '0', '433296', 'Brunei_Darussalam', 'BN', 'BRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (8884, '14/12/2020', '14', '12', '2020', '497', '62', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '528.03991521');
INSERT INTO public.ecdc_import VALUES (8885, '13/12/2020', '13', '12', '2020', '1287', '64', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '531.4970388');
INSERT INTO public.ecdc_import VALUES (8886, '12/12/2020', '12', '12', '2020', '3097', '157', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '538.71128432');
INSERT INTO public.ecdc_import VALUES (8887, '11/12/2020', '11', '12', '2020', '3075', '122', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '541.9969803');
INSERT INTO public.ecdc_import VALUES (8888, '10/12/2020', '10', '12', '2020', '3328', '127', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '549.03979821');
INSERT INTO public.ecdc_import VALUES (8889, '09/12/2020', '9', '12', '2020', '3980', '146', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '554.52548193');
INSERT INTO public.ecdc_import VALUES (8890, '08/12/2020', '8', '12', '2020', '2764', '213', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '560.26830708');
INSERT INTO public.ecdc_import VALUES (8891, '07/12/2020', '7', '12', '2020', '577', '68', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '565.72541953');
INSERT INTO public.ecdc_import VALUES (8892, '06/12/2020', '6', '12', '2020', '2037', '79', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '573.52537607');
INSERT INTO public.ecdc_import VALUES (8893, '05/12/2020', '5', '12', '2020', '3614', '147', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '576.98249967');
INSERT INTO public.ecdc_import VALUES (8894, '04/12/2020', '4', '12', '2020', '3280', '156', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '582.25389887');
INSERT INTO public.ecdc_import VALUES (8895, '03/12/2020', '3', '12', '2020', '3138', '159', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '591.09670675');
INSERT INTO public.ecdc_import VALUES (8896, '02/12/2020', '2', '12', '2020', '3475', '153', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '602.5252145');
INSERT INTO public.ecdc_import VALUES (8897, '01/12/2020', '1', '12', '2020', '2814', '221', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '621.85367824');
INSERT INTO public.ecdc_import VALUES (8898, '30/11/2020', '30', '11', '2020', '739', '65', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '631.9250507');
INSERT INTO public.ecdc_import VALUES (8899, '29/11/2020', '29', '11', '2020', '1792', '69', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '633.02504457');
INSERT INTO public.ecdc_import VALUES (8900, '28/11/2020', '28', '11', '2020', '3327', '151', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '643.11070267');
INSERT INTO public.ecdc_import VALUES (8901, '27/11/2020', '27', '11', '2020', '3568', '162', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '655.75348937');
INSERT INTO public.ecdc_import VALUES (8902, '26/11/2020', '26', '11', '2020', '3712', '141', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '653.55350163');
INSERT INTO public.ecdc_import VALUES (8903, '25/11/2020', '25', '11', '2020', '4382', '157', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '656.88205451');
INSERT INTO public.ecdc_import VALUES (8904, '24/11/2020', '24', '11', '2020', '3146', '189', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '656.99633959');
INSERT INTO public.ecdc_import VALUES (8905, '23/11/2020', '23', '11', '2020', '1123', '60', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '666.56771484');
INSERT INTO public.ecdc_import VALUES (8906, '22/11/2020', '22', '11', '2020', '2279', '42', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '660.16775049');
INSERT INTO public.ecdc_import VALUES (8907, '21/11/2020', '21', '11', '2020', '3983', '129', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '660.48203446');
INSERT INTO public.ecdc_import VALUES (8908, '20/11/2020', '20', '11', '2020', '3899', '119', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '658.42490306');
INSERT INTO public.ecdc_import VALUES (8909, '19/11/2020', '19', '11', '2020', '3938', '117', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '656.35348603');
INSERT INTO public.ecdc_import VALUES (8910, '18/11/2020', '18', '11', '2020', '4828', '131', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '658.01061966');
INSERT INTO public.ecdc_import VALUES (8911, '17/11/2020', '17', '11', '2020', '3519', '152', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '646.76782515');
INSERT INTO public.ecdc_import VALUES (8912, '16/11/2020', '16', '11', '2020', '816', '39', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '631.16791206');
INSERT INTO public.ecdc_import VALUES (8913, '15/11/2020', '15', '11', '2020', '2498', '36', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '637.01073665');
INSERT INTO public.ecdc_import VALUES (8914, '14/11/2020', '14', '11', '2020', '4212', '85', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '627.08222054');
INSERT INTO public.ecdc_import VALUES (8915, '13/11/2020', '13', '11', '2020', '3414', '72', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '608.21089711');
INSERT INTO public.ecdc_import VALUES (8916, '12/11/2020', '12', '11', '2020', '3945', '47', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '597.85381196');
INSERT INTO public.ecdc_import VALUES (8917, '11/11/2020', '11', '11', '2020', '4390', '80', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '580.92533484');
INSERT INTO public.ecdc_import VALUES (8918, '10/11/2020', '10', '11', '2020', '3816', '106', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '554.91119407');
INSERT INTO public.ecdc_import VALUES (8919, '09/11/2020', '9', '11', '2020', '675', '33', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '532.43989069');
INSERT INTO public.ecdc_import VALUES (8920, '08/11/2020', '8', '11', '2020', '2301', '56', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '527.46848982');
INSERT INTO public.ecdc_import VALUES (8921, '07/11/2020', '7', '11', '2020', '3839', '58', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '509.49716137');
INSERT INTO public.ecdc_import VALUES (8922, '06/11/2020', '6', '11', '2020', '3754', '52', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '477.35448331');
INSERT INTO public.ecdc_import VALUES (8923, '05/11/2020', '5', '11', '2020', '4054', '54', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '446.51179801');
INSERT INTO public.ecdc_import VALUES (8924, '04/11/2020', '4', '11', '2020', '4041', '63', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '409.62628922');
INSERT INTO public.ecdc_import VALUES (8925, '03/11/2020', '3', '11', '2020', '2427', '51', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '370.98364738');
INSERT INTO public.ecdc_import VALUES (8926, '02/11/2020', '2', '11', '2020', '1225', '19', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '350.9409019');
INSERT INTO public.ecdc_import VALUES (8927, '01/11/2020', '1', '11', '2020', '1803', '25', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '339.0838251');
INSERT INTO public.ecdc_import VALUES (8928, '31/10/2020', '31', '10', '2020', '2891', '29', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '321.94106347');
INSERT INTO public.ecdc_import VALUES (8929, '30/10/2020', '30', '10', '2020', '2689', '28', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '294.89835699');
INSERT INTO public.ecdc_import VALUES (8930, '29/10/2020', '29', '10', '2020', '2760', '36', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '269.54135541');
INSERT INTO public.ecdc_import VALUES (8931, '28/10/2020', '28', '10', '2020', '2569', '25', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '241.81293847');
INSERT INTO public.ecdc_import VALUES (8932, '27/10/2020', '27', '10', '2020', '2243', '42', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '216.32736618');
INSERT INTO public.ecdc_import VALUES (8933, '26/10/2020', '26', '10', '2020', '327', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '192.67035512');
INSERT INTO public.ecdc_import VALUES (8934, '25/10/2020', '25', '10', '2020', '1043', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '195.5846246');
INSERT INTO public.ecdc_import VALUES (8935, '24/10/2020', '24', '10', '2020', '1589', '13', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '180.68470761');
INSERT INTO public.ecdc_import VALUES (8936, '23/10/2020', '23', '10', '2020', '1595', '16', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '166.72764252');
INSERT INTO public.ecdc_import VALUES (8937, '22/10/2020', '22', '10', '2020', '1472', '29', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '151.31344268');
INSERT INTO public.ecdc_import VALUES (8938, '21/10/2020', '21', '10', '2020', '1336', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '136.52781077');
INSERT INTO public.ecdc_import VALUES (8939, '20/10/2020', '20', '10', '2020', '1024', '22', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '123.67073955');
INSERT INTO public.ecdc_import VALUES (8940, '19/10/2020', '19', '10', '2020', '395', '18', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '113.08508424');
INSERT INTO public.ecdc_import VALUES (8941, '18/10/2020', '18', '10', '2020', '603', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '108.42796733');
INSERT INTO public.ecdc_import VALUES (8942, '17/10/2020', '17', '10', '2020', '998', '14', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '102.41371512');
INSERT INTO public.ecdc_import VALUES (8943, '16/10/2020', '16', '10', '2020', '914', '15', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '91.58520403');
INSERT INTO public.ecdc_import VALUES (8944, '15/10/2020', '15', '10', '2020', '819', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '82.28525584');
INSERT INTO public.ecdc_import VALUES (8945, '14/10/2020', '14', '10', '2020', '785', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '74.67101255');
INSERT INTO public.ecdc_import VALUES (8946, '13/10/2020', '13', '10', '2020', '587', '23', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '67.39962449');
INSERT INTO public.ecdc_import VALUES (8947, '12/10/2020', '12', '10', '2020', '531', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '62.09965402');
INSERT INTO public.ecdc_import VALUES (8948, '11/10/2020', '11', '10', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '55.34254881');
INSERT INTO public.ecdc_import VALUES (8949, '10/10/2020', '10', '10', '2020', '612', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '57.75682107');
INSERT INTO public.ecdc_import VALUES (8950, '09/10/2020', '9', '10', '2020', '516', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '52.65684948');
INSERT INTO public.ecdc_import VALUES (8951, '08/10/2020', '8', '10', '2020', '437', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '49.42829604');
INSERT INTO public.ecdc_import VALUES (8952, '07/10/2020', '7', '10', '2020', '436', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.47117523');
INSERT INTO public.ecdc_import VALUES (8953, '06/10/2020', '6', '10', '2020', '283', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '40.79977269');
INSERT INTO public.ecdc_import VALUES (8954, '05/10/2020', '5', '10', '2020', '69', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '38.91406891');
INSERT INTO public.ecdc_import VALUES (8955, '04/10/2020', '4', '10', '2020', '182', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '38.55692804');
INSERT INTO public.ecdc_import VALUES (8956, '03/10/2020', '3', '10', '2020', '240', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '37.18550711');
INSERT INTO public.ecdc_import VALUES (8957, '02/10/2020', '2', '10', '2020', '263', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '36.45693974');
INSERT INTO public.ecdc_import VALUES (8958, '01/10/2020', '1', '10', '2020', '286', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '34.89980556');
INSERT INTO public.ecdc_import VALUES (8959, '30/09/2020', '30', '9', '2020', '276', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '33.29981447');
INSERT INTO public.ecdc_import VALUES (8960, '29/09/2020', '29', '9', '2020', '216', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '31.57125267');
INSERT INTO public.ecdc_import VALUES (8961, '28/09/2020', '28', '9', '2020', '58', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '30.52840134');
INSERT INTO public.ecdc_import VALUES (8962, '27/09/2020', '27', '9', '2020', '169', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '30.08554667');
INSERT INTO public.ecdc_import VALUES (8963, '26/09/2020', '26', '9', '2020', '255', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '28.98555279');
INSERT INTO public.ecdc_import VALUES (8964, '25/09/2020', '25', '9', '2020', '290', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '28.21412852');
INSERT INTO public.ecdc_import VALUES (8965, '24/09/2020', '24', '9', '2020', '160', '12', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.39985292');
INSERT INTO public.ecdc_import VALUES (8966, '23/09/2020', '23', '9', '2020', '109', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.8569988');
INSERT INTO public.ecdc_import VALUES (8967, '22/09/2020', '22', '9', '2020', '151', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.68556561');
INSERT INTO public.ecdc_import VALUES (8968, '21/09/2020', '21', '9', '2020', '44', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.8998557');
INSERT INTO public.ecdc_import VALUES (8969, '20/09/2020', '20', '9', '2020', '86', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.6427087');
INSERT INTO public.ecdc_import VALUES (8970, '19/09/2020', '19', '9', '2020', '189', '9', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '27.97127273');
INSERT INTO public.ecdc_import VALUES (8971, '18/09/2020', '18', '9', '2020', '154', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '27.52841806');
INSERT INTO public.ecdc_import VALUES (8972, '17/09/2020', '17', '9', '2020', '174', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '27.65698877');
INSERT INTO public.ecdc_import VALUES (8973, '16/09/2020', '16', '9', '2020', '155', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '27.85698765');
INSERT INTO public.ecdc_import VALUES (8974, '15/09/2020', '15', '9', '2020', '143', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.64271428');
INSERT INTO public.ecdc_import VALUES (8975, '14/09/2020', '14', '9', '2020', '27', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.68557675');
INSERT INTO public.ecdc_import VALUES (8976, '13/09/2020', '13', '9', '2020', '92', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.67129112');
INSERT INTO public.ecdc_import VALUES (8977, '12/09/2020', '12', '9', '2020', '201', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.77129056');
INSERT INTO public.ecdc_import VALUES (8978, '11/09/2020', '11', '9', '2020', '163', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.14272263');
INSERT INTO public.ecdc_import VALUES (8979, '10/09/2020', '10', '9', '2020', '122', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.05700883');
INSERT INTO public.ecdc_import VALUES (8980, '09/09/2020', '9', '9', '2020', '167', '15', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.62843421');
INSERT INTO public.ecdc_import VALUES (8981, '08/09/2020', '8', '9', '2020', '96', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.14271706');
INSERT INTO public.ecdc_import VALUES (8982, '07/09/2020', '7', '9', '2020', '96', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.18557397');
INSERT INTO public.ecdc_import VALUES (8983, '06/09/2020', '6', '9', '2020', '179', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.67129112');
INSERT INTO public.ecdc_import VALUES (8984, '05/09/2020', '5', '9', '2020', '158', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '23.48558344');
INSERT INTO public.ecdc_import VALUES (8985, '04/09/2020', '4', '9', '2020', '163', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '23.64272542');
INSERT INTO public.ecdc_import VALUES (8986, '03/09/2020', '3', '9', '2020', '188', '13', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '23.34272709');
INSERT INTO public.ecdc_import VALUES (8987, '02/09/2020', '2', '9', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '22.81415861');
INSERT INTO public.ecdc_import VALUES (8988, '01/09/2020', '1', '9', '2020', '76', '16', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.22843087');
INSERT INTO public.ecdc_import VALUES (8989, '31/08/2020', '31', '8', '2020', '26', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.07128332');
INSERT INTO public.ecdc_import VALUES (8990, '30/08/2020', '30', '8', '2020', '99', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.15699713');
INSERT INTO public.ecdc_import VALUES (8991, '29/08/2020', '29', '8', '2020', '157', '9', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.02842641');
INSERT INTO public.ecdc_import VALUES (8992, '28/08/2020', '28', '8', '2020', '157', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.2712822');
INSERT INTO public.ecdc_import VALUES (8993, '27/08/2020', '27', '8', '2020', '162', '14', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.54270926');
INSERT INTO public.ecdc_import VALUES (8994, '26/08/2020', '26', '8', '2020', '203', '9', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.67127997');
INSERT INTO public.ecdc_import VALUES (8995, '25/08/2020', '25', '8', '2020', '99', '18', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.77127942');
INSERT INTO public.ecdc_import VALUES (8996, '24/08/2020', '24', '8', '2020', '60', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '27.01413521');
INSERT INTO public.ecdc_import VALUES (8997, '23/08/2020', '23', '8', '2020', '96', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.91413576');
INSERT INTO public.ecdc_import VALUES (8998, '22/08/2020', '22', '8', '2020', '169', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '30.24268865');
INSERT INTO public.ecdc_import VALUES (8999, '21/08/2020', '21', '8', '2020', '142', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '32.07124989');
INSERT INTO public.ecdc_import VALUES (9000, '20/08/2020', '20', '8', '2020', '151', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '34.37123707');
INSERT INTO public.ecdc_import VALUES (9001, '19/08/2020', '19', '8', '2020', '169', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '35.85694308');
INSERT INTO public.ecdc_import VALUES (9002, '18/08/2020', '18', '8', '2020', '135', '14', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '36.3569403');
INSERT INTO public.ecdc_import VALUES (9003, '17/08/2020', '17', '8', '2020', '32', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '34.42837961');
INSERT INTO public.ecdc_import VALUES (9004, '16/08/2020', '16', '8', '2020', '90', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '35.67122983');
INSERT INTO public.ecdc_import VALUES (9005, '15/08/2020', '15', '8', '2020', '174', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '36.47122537');
INSERT INTO public.ecdc_import VALUES (9006, '14/08/2020', '14', '8', '2020', '176', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '37.84264631');
INSERT INTO public.ecdc_import VALUES (9007, '13/08/2020', '13', '8', '2020', '171', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '39.11406779');
INSERT INTO public.ecdc_import VALUES (9008, '12/08/2020', '12', '8', '2020', '210', '12', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '40.72834451');
INSERT INTO public.ecdc_import VALUES (9009, '11/08/2020', '11', '8', '2020', '116', '12', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '41.2997699');
INSERT INTO public.ecdc_import VALUES (9010, '10/08/2020', '10', '8', '2020', '53', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '42.41404941');
INSERT INTO public.ecdc_import VALUES (9011, '09/08/2020', '9', '8', '2020', '329', '10', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '43.29975876');
INSERT INTO public.ecdc_import VALUES (9012, '08/08/2020', '8', '8', '2020', '297', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '41.2997699');
INSERT INTO public.ecdc_import VALUES (9013, '07/08/2020', '7', '8', '2020', '303', '9', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '40.91405776');
INSERT INTO public.ecdc_import VALUES (9014, '06/08/2020', '6', '8', '2020', '255', '11', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '40.42834618');
INSERT INTO public.ecdc_import VALUES (9015, '05/08/2020', '5', '8', '2020', '204', '16', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '41.49976879');
INSERT INTO public.ecdc_import VALUES (9016, '04/08/2020', '4', '8', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '43.22833059');
INSERT INTO public.ecdc_import VALUES (9017, '03/08/2020', '3', '8', '2020', '119', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '46.02831499');
INSERT INTO public.ecdc_import VALUES (9018, '02/08/2020', '2', '8', '2020', '146', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.68545975');
INSERT INTO public.ecdc_import VALUES (9019, '01/08/2020', '1', '8', '2020', '270', '9', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '46.39974149');
INSERT INTO public.ecdc_import VALUES (9020, '31/07/2020', '31', '7', '2020', '265', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '46.79973926');
INSERT INTO public.ecdc_import VALUES (9021, '30/07/2020', '30', '7', '2020', '284', '13', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '46.82831053');
INSERT INTO public.ecdc_import VALUES (9022, '29/07/2020', '29', '7', '2020', '250', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '46.08545752');
INSERT INTO public.ecdc_import VALUES (9023, '28/07/2020', '28', '7', '2020', '194', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.85688737');
INSERT INTO public.ecdc_import VALUES (9024, '27/07/2020', '27', '7', '2020', '115', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.35689015');
INSERT INTO public.ecdc_import VALUES (9025, '26/07/2020', '26', '7', '2020', '189', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '44.81403604');
INSERT INTO public.ecdc_import VALUES (9026, '25/07/2020', '25', '7', '2020', '270', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.12832');
INSERT INTO public.ecdc_import VALUES (9027, '24/07/2020', '24', '7', '2020', '269', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.44260396');
INSERT INTO public.ecdc_import VALUES (9028, '23/07/2020', '23', '7', '2020', '330', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '46.31402768');
INSERT INTO public.ecdc_import VALUES (9029, '22/07/2020', '22', '7', '2020', '325', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '45.02832056');
INSERT INTO public.ecdc_import VALUES (9030, '21/07/2020', '21', '7', '2020', '196', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '43.0711886');
INSERT INTO public.ecdc_import VALUES (9031, '20/07/2020', '20', '7', '2020', '95', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '42.75690464');
INSERT INTO public.ecdc_import VALUES (9032, '19/07/2020', '19', '7', '2020', '196', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '42.29976433');
INSERT INTO public.ecdc_import VALUES (9033, '18/07/2020', '18', '7', '2020', '298', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '42.07119417');
INSERT INTO public.ecdc_import VALUES (9034, '17/07/2020', '17', '7', '2020', '267', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '40.41406055');
INSERT INTO public.ecdc_import VALUES (9035, '16/07/2020', '16', '7', '2020', '232', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '38.89978327');
INSERT INTO public.ecdc_import VALUES (9036, '15/07/2020', '15', '7', '2020', '234', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '37.94264575');
INSERT INTO public.ecdc_import VALUES (9037, '14/07/2020', '14', '7', '2020', '159', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '36.85693751');
INSERT INTO public.ecdc_import VALUES (9038, '13/07/2020', '13', '7', '2020', '77', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '36.58551045');
INSERT INTO public.ecdc_import VALUES (9039, '12/07/2020', '12', '7', '2020', '211', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '36.42836847');
INSERT INTO public.ecdc_import VALUES (9040, '11/07/2020', '11', '7', '2020', '292', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '35.01409064');
INSERT INTO public.ecdc_import VALUES (9041, '10/07/2020', '10', '7', '2020', '330', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '32.34267695');
INSERT INTO public.ecdc_import VALUES (9042, '09/07/2020', '9', '7', '2020', '240', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '29.99983286');
INSERT INTO public.ecdc_import VALUES (9043, '08/07/2020', '8', '7', '2020', '188', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '28.39984177');
INSERT INTO public.ecdc_import VALUES (9044, '07/07/2020', '7', '7', '2020', '174', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '27.57127496');
INSERT INTO public.ecdc_import VALUES (9045, '06/07/2020', '6', '7', '2020', '63', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '26.21413966');
INSERT INTO public.ecdc_import VALUES (9046, '05/07/2020', '5', '7', '2020', '180', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '25.78557062');
INSERT INTO public.ecdc_import VALUES (9047, '04/07/2020', '4', '7', '2020', '182', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '24.88557564');
INSERT INTO public.ecdc_import VALUES (9048, '03/07/2020', '3', '7', '2020', '161', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '23.44272653');
INSERT INTO public.ecdc_import VALUES (9049, '02/07/2020', '2', '7', '2020', '165', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '23.02844313');
INSERT INTO public.ecdc_import VALUES (9050, '01/07/2020', '1', '7', '2020', '158', '7', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '21.94273489');
INSERT INTO public.ecdc_import VALUES (9051, '30/06/2020', '30', '6', '2020', '140', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '21.28559569');
INSERT INTO public.ecdc_import VALUES (9052, '29/06/2020', '29', '6', '2020', '66', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '20.01417421');
INSERT INTO public.ecdc_import VALUES (9053, '28/06/2020', '28', '6', '2020', '112', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '19.41417755');
INSERT INTO public.ecdc_import VALUES (9054, '27/06/2020', '27', '6', '2020', '105', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '18.88560907');
INSERT INTO public.ecdc_import VALUES (9055, '26/06/2020', '26', '6', '2020', '166', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '18.88560907');
INSERT INTO public.ecdc_import VALUES (9056, '25/06/2020', '25', '6', '2020', '128', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '17.84275773');
INSERT INTO public.ecdc_import VALUES (9057, '24/06/2020', '24', '6', '2020', '130', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '17.4999025');
INSERT INTO public.ecdc_import VALUES (9058, '23/06/2020', '23', '6', '2020', '79', '8', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '16.77133513');
INSERT INTO public.ecdc_import VALUES (9059, '22/06/2020', '22', '6', '2020', '33', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '16.82847767');
INSERT INTO public.ecdc_import VALUES (9060, '21/06/2020', '21', '6', '2020', '117', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '16.58562188');
INSERT INTO public.ecdc_import VALUES (9061, '20/06/2020', '20', '6', '2020', '81', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '15.52848491');
INSERT INTO public.ecdc_import VALUES (9062, '19/06/2020', '19', '6', '2020', '132', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '15.55705618');
INSERT INTO public.ecdc_import VALUES (9063, '18/06/2020', '18', '6', '2020', '89', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '13.6713524');
INSERT INTO public.ecdc_import VALUES (9064, '17/06/2020', '17', '6', '2020', '112', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '13.07135575');
INSERT INTO public.ecdc_import VALUES (9065, '16/06/2020', '16', '6', '2020', '51', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '11.82850553');
INSERT INTO public.ecdc_import VALUES (9066, '15/06/2020', '15', '6', '2020', '24', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '11.09993816');
INSERT INTO public.ecdc_import VALUES (9067, '14/06/2020', '14', '6', '2020', '75', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.75708292');
INSERT INTO public.ecdc_import VALUES (9068, '13/06/2020', '13', '6', '2020', '105', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '9.88565921');
INSERT INTO public.ecdc_import VALUES (9069, '12/06/2020', '12', '6', '2020', '93', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.58566645');
INSERT INTO public.ecdc_import VALUES (9070, '11/06/2020', '11', '6', '2020', '104', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '7.61424329');
INSERT INTO public.ecdc_import VALUES (9071, '10/06/2020', '10', '6', '2020', '79', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.12853728');
INSERT INTO public.ecdc_import VALUES (9072, '09/06/2020', '9', '6', '2020', '83', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.38568428');
INSERT INTO public.ecdc_import VALUES (9073, '08/06/2020', '8', '6', '2020', '16', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.1999766');
INSERT INTO public.ecdc_import VALUES (9074, '07/06/2020', '7', '6', '2020', '43', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.32854731');
INSERT INTO public.ecdc_import VALUES (9075, '06/06/2020', '6', '6', '2020', '83', '13', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.71426502');
INSERT INTO public.ecdc_import VALUES (9076, '05/06/2020', '5', '6', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.04284019');
INSERT INTO public.ecdc_import VALUES (9077, '04/06/2020', '4', '6', '2020', '47', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.62855121');
INSERT INTO public.ecdc_import VALUES (9078, '03/06/2020', '3', '6', '2020', '25', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.51426613');
INSERT INTO public.ecdc_import VALUES (9079, '02/06/2020', '2', '6', '2020', '0', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.62855121');
INSERT INTO public.ecdc_import VALUES (9080, '01/06/2020', '1', '6', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.97140645');
INSERT INTO public.ecdc_import VALUES (9081, '31/05/2020', '31', '5', '2020', '14', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.31426168');
INSERT INTO public.ecdc_import VALUES (9082, '30/05/2020', '30', '5', '2020', '14', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.15711412');
INSERT INTO public.ecdc_import VALUES (9083, '29/05/2020', '29', '5', '2020', '25', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.49996936');
INSERT INTO public.ecdc_import VALUES (9084, '28/05/2020', '28', '5', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.58568317');
INSERT INTO public.ecdc_import VALUES (9085, '27/05/2020', '27', '5', '2020', '27', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.24282236');
INSERT INTO public.ecdc_import VALUES (9086, '26/05/2020', '26', '5', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.32853617');
INSERT INTO public.ecdc_import VALUES (9087, '25/05/2020', '25', '5', '2020', '25', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.68567704');
INSERT INTO public.ecdc_import VALUES (9088, '24/05/2020', '24', '5', '2020', '0', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.47139252');
INSERT INTO public.ecdc_import VALUES (9089, '23/05/2020', '23', '5', '2020', '36', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '7.09996044');
INSERT INTO public.ecdc_import VALUES (9090, '22/05/2020', '22', '5', '2020', '41', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '7.75709964');
INSERT INTO public.ecdc_import VALUES (9091, '21/05/2020', '21', '5', '2020', '39', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '7.89995599');
INSERT INTO public.ecdc_import VALUES (9092, '20/05/2020', '20', '5', '2020', '33', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.61423772');
INSERT INTO public.ecdc_import VALUES (9093, '19/05/2020', '19', '5', '2020', '24', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.67138026');
INSERT INTO public.ecdc_import VALUES (9094, '18/05/2020', '18', '5', '2020', '24', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.81423661');
INSERT INTO public.ecdc_import VALUES (9095, '17/05/2020', '17', '5', '2020', '73', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.81423661');
INSERT INTO public.ecdc_import VALUES (9096, '16/05/2020', '16', '5', '2020', '38', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '7.85709908');
INSERT INTO public.ecdc_import VALUES (9097, '15/05/2020', '15', '5', '2020', '31', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.48566701');
INSERT INTO public.ecdc_import VALUES (9098, '14/05/2020', '14', '5', '2020', '46', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.88566478');
INSERT INTO public.ecdc_import VALUES (9099, '13/05/2020', '13', '5', '2020', '33', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.91423605');
INSERT INTO public.ecdc_import VALUES (9100, '12/05/2020', '12', '5', '2020', '25', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.95709295');
INSERT INTO public.ecdc_import VALUES (9101, '11/05/2020', '11', '5', '2020', '10', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '9.49994707');
INSERT INTO public.ecdc_import VALUES (9102, '10/05/2020', '10', '5', '2020', '44', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.11422936');
INSERT INTO public.ecdc_import VALUES (9103, '09/05/2020', '9', '5', '2020', '82', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.32851388');
INSERT INTO public.ecdc_import VALUES (9104, '08/05/2020', '8', '5', '2020', '51', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.4570846');
INSERT INTO public.ecdc_import VALUES (9105, '07/05/2020', '7', '5', '2020', '89', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.77136856');
INSERT INTO public.ecdc_import VALUES (9106, '06/05/2020', '6', '5', '2020', '37', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.19994317');
INSERT INTO public.ecdc_import VALUES (9107, '05/05/2020', '5', '5', '2020', '34', '5', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.32851388');
INSERT INTO public.ecdc_import VALUES (9108, '04/05/2020', '4', '5', '2020', '24', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.04280119');
INSERT INTO public.ecdc_import VALUES (9109, '03/05/2020', '3', '5', '2020', '6', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.22851444');
INSERT INTO public.ecdc_import VALUES (9110, '02/05/2020', '2', '5', '2020', '82', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.59994094');
INSERT INTO public.ecdc_import VALUES (9111, '01/05/2020', '1', '5', '2020', '59', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '10.08565809');
INSERT INTO public.ecdc_import VALUES (9112, '30/04/2020', '30', '4', '2020', '48', '6', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '9.99994429');
INSERT INTO public.ecdc_import VALUES (9113, '29/04/2020', '29', '4', '2020', '36', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '9.7999454');
INSERT INTO public.ecdc_import VALUES (9114, '28/04/2020', '28', '4', '2020', '63', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '9.68566032');
INSERT INTO public.ecdc_import VALUES (9115, '27/04/2020', '27', '4', '2020', '53', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.92852168');
INSERT INTO public.ecdc_import VALUES (9116, '26/04/2020', '26', '4', '2020', '59', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '8.37138193');
INSERT INTO public.ecdc_import VALUES (9117, '25/04/2020', '25', '4', '2020', '91', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '7.89995599');
INSERT INTO public.ecdc_import VALUES (9118, '24/04/2020', '24', '4', '2020', '73', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.75710521');
INSERT INTO public.ecdc_import VALUES (9119, '23/04/2020', '23', '4', '2020', '49', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '6.15710855');
INSERT INTO public.ecdc_import VALUES (9120, '22/04/2020', '22', '4', '2020', '46', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.68568261');
INSERT INTO public.ecdc_import VALUES (9121, '21/04/2020', '21', '4', '2020', '14', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.42854118');
INSERT INTO public.ecdc_import VALUES (9122, '20/04/2020', '20', '4', '2020', '37', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.48568372');
INSERT INTO public.ecdc_import VALUES (9123, '19/04/2020', '19', '4', '2020', '32', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.35711301');
INSERT INTO public.ecdc_import VALUES (9124, '18/04/2020', '18', '4', '2020', '46', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.15711412');
INSERT INTO public.ecdc_import VALUES (9125, '17/04/2020', '17', '4', '2020', '53', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.8999727');
INSERT INTO public.ecdc_import VALUES (9126, '16/04/2020', '16', '4', '2020', '34', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.64283128');
INSERT INTO public.ecdc_import VALUES (9127, '15/04/2020', '15', '4', '2020', '28', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.48568929');
INSERT INTO public.ecdc_import VALUES (9128, '14/04/2020', '14', '4', '2020', '10', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.65711691');
INSERT INTO public.ecdc_import VALUES (9129, '13/04/2020', '13', '4', '2020', '14', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.69997381');
INSERT INTO public.ecdc_import VALUES (9130, '12/04/2020', '12', '4', '2020', '26', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.71425945');
INSERT INTO public.ecdc_import VALUES (9131, '11/04/2020', '11', '4', '2020', '11', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.88568707');
INSERT INTO public.ecdc_import VALUES (9132, '10/04/2020', '10', '4', '2020', '31', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.14282849');
INSERT INTO public.ecdc_import VALUES (9133, '09/04/2020', '9', '4', '2020', '16', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.01425778');
INSERT INTO public.ecdc_import VALUES (9134, '08/04/2020', '8', '4', '2020', '28', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.09997159');
INSERT INTO public.ecdc_import VALUES (9135, '07/04/2020', '7', '4', '2020', '18', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.97140087');
INSERT INTO public.ecdc_import VALUES (9136, '06/04/2020', '6', '4', '2020', '28', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.9428296');
INSERT INTO public.ecdc_import VALUES (9137, '05/04/2020', '5', '4', '2020', '18', '3', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.8571158');
INSERT INTO public.ecdc_import VALUES (9138, '04/04/2020', '4', '4', '2020', '28', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.11425722');
INSERT INTO public.ecdc_import VALUES (9139, '03/04/2020', '3', '4', '2020', '35', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '5.02854341');
INSERT INTO public.ecdc_import VALUES (9140, '02/04/2020', '2', '4', '2020', '23', '2', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.71425945');
INSERT INTO public.ecdc_import VALUES (9141, '01/04/2020', '1', '4', '2020', '40', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.54283183');
INSERT INTO public.ecdc_import VALUES (9142, '31/03/2020', '31', '3', '2020', '13', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.2428335');
INSERT INTO public.ecdc_import VALUES (9143, '30/03/2020', '30', '3', '2020', '15', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.21426223');
INSERT INTO public.ecdc_import VALUES (9144, '29/03/2020', '29', '3', '2020', '38', '4', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '4.14283406');
INSERT INTO public.ecdc_import VALUES (9145, '28/03/2020', '28', '3', '2020', '29', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.74283629');
INSERT INTO public.ecdc_import VALUES (9146, '27/03/2020', '27', '3', '2020', '22', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.44283796');
INSERT INTO public.ecdc_import VALUES (9147, '26/03/2020', '26', '3', '2020', '22', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.35712415');
INSERT INTO public.ecdc_import VALUES (9148, '25/03/2020', '25', '3', '2020', '19', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '3.08569709');
INSERT INTO public.ecdc_import VALUES (9149, '24/03/2020', '24', '3', '2020', '16', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '2.8428413');
INSERT INTO public.ecdc_import VALUES (9150, '23/03/2020', '23', '3', '2020', '22', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '2.64284242');
INSERT INTO public.ecdc_import VALUES (9151, '22/03/2020', '22', '3', '2020', '36', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9152, '21/03/2020', '21', '3', '2020', '22', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9153, '20/03/2020', '20', '3', '2020', '13', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9154, '19/03/2020', '19', '3', '2020', '11', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9155, '18/03/2020', '18', '3', '2020', '19', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9156, '17/03/2020', '17', '3', '2020', '11', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9157, '16/03/2020', '16', '3', '2020', '10', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9158, '15/03/2020', '15', '3', '2020', '10', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9159, '14/03/2020', '14', '3', '2020', '8', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9160, '13/03/2020', '13', '3', '2020', '16', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9161, '12/03/2020', '12', '3', '2020', '3', '1', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9162, '09/03/2020', '9', '3', '2020', '2', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9163, '08/03/2020', '8', '3', '2020', '2', '0', '7000039', 'Bulgaria', 'BG', 'BGR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (9164, '14/12/2020', '14', '12', '2020', '136', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '5.77716586');
INSERT INTO public.ecdc_import VALUES (9165, '13/12/2020', '13', '12', '2020', '315', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '5.30475706');
INSERT INTO public.ecdc_import VALUES (9166, '12/12/2020', '12', '12', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '3.75466571');
INSERT INTO public.ecdc_import VALUES (9167, '11/12/2020', '11', '12', '2020', '110', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '3.94658179');
INSERT INTO public.ecdc_import VALUES (9168, '10/12/2020', '10', '12', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '3.40528004');
INSERT INTO public.ecdc_import VALUES (9169, '09/12/2020', '9', '12', '2020', '154', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '3.50369854');
INSERT INTO public.ecdc_import VALUES (9170, '08/12/2020', '8', '12', '2020', '103', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.76063888');
INSERT INTO public.ecdc_import VALUES (9171, '07/12/2020', '7', '12', '2020', '56', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.34728119');
INSERT INTO public.ecdc_import VALUES (9172, '06/12/2020', '6', '12', '2020', '65', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.22917899');
INSERT INTO public.ecdc_import VALUES (9173, '05/12/2020', '5', '12', '2020', '29', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.99297459');
INSERT INTO public.ecdc_import VALUES (9174, '04/12/2020', '4', '12', '2020', '52', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.85026777');
INSERT INTO public.ecdc_import VALUES (9175, '03/12/2020', '3', '12', '2020', '79', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.67311447');
INSERT INTO public.ecdc_import VALUES (9176, '02/12/2020', '2', '12', '2020', '45', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.37293805');
INSERT INTO public.ecdc_import VALUES (9177, '01/12/2020', '1', '12', '2020', '30', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.15149643');
INSERT INTO public.ecdc_import VALUES (9178, '30/11/2020', '30', '11', '2020', '40', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.05799886');
INSERT INTO public.ecdc_import VALUES (9179, '29/11/2020', '29', '11', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.89068741');
INSERT INTO public.ecdc_import VALUES (9180, '28/11/2020', '28', '11', '2020', '39', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.01863146');
INSERT INTO public.ecdc_import VALUES (9181, '27/11/2020', '27', '11', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.93989666');
INSERT INTO public.ecdc_import VALUES (9182, '26/11/2020', '26', '11', '2020', '20', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.93989666');
INSERT INTO public.ecdc_import VALUES (9183, '25/11/2020', '25', '11', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.86116186');
INSERT INTO public.ecdc_import VALUES (9184, '24/11/2020', '24', '11', '2020', '19', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.85132001');
INSERT INTO public.ecdc_import VALUES (9185, '23/11/2020', '23', '11', '2020', '32', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.81687354');
INSERT INTO public.ecdc_import VALUES (9186, '22/11/2020', '22', '11', '2020', '17', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.67908764');
INSERT INTO public.ecdc_import VALUES (9187, '21/11/2020', '21', '11', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9188, '20/11/2020', '20', '11', '2020', '16', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.66924579');
INSERT INTO public.ecdc_import VALUES (9189, '19/11/2020', '19', '11', '2020', '18', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.64464116');
INSERT INTO public.ecdc_import VALUES (9190, '18/11/2020', '18', '11', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.60035284');
INSERT INTO public.ecdc_import VALUES (9191, '17/11/2020', '17', '11', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.66432486');
INSERT INTO public.ecdc_import VALUES (9192, '16/11/2020', '16', '11', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.69385041');
INSERT INTO public.ecdc_import VALUES (9193, '15/11/2020', '15', '11', '2020', '26', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.66432486');
INSERT INTO public.ecdc_import VALUES (9194, '14/11/2020', '14', '11', '2020', '23', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.64956209');
INSERT INTO public.ecdc_import VALUES (9195, '13/11/2020', '13', '11', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.53638082');
INSERT INTO public.ecdc_import VALUES (9196, '12/11/2020', '12', '11', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.59051099');
INSERT INTO public.ecdc_import VALUES (9197, '11/11/2020', '11', '11', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.57082729');
INSERT INTO public.ecdc_import VALUES (9198, '10/11/2020', '10', '11', '2020', '12', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.60035284');
INSERT INTO public.ecdc_import VALUES (9199, '09/11/2020', '9', '11', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58066914');
INSERT INTO public.ecdc_import VALUES (9200, '08/11/2020', '8', '11', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.59543192');
INSERT INTO public.ecdc_import VALUES (9201, '07/11/2020', '7', '11', '2020', '12', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.63479931');
INSERT INTO public.ecdc_import VALUES (9202, '06/11/2020', '6', '11', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.63479931');
INSERT INTO public.ecdc_import VALUES (9203, '05/11/2020', '5', '11', '2020', '9', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.65448301');
INSERT INTO public.ecdc_import VALUES (9204, '04/11/2020', '4', '11', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9205, '03/11/2020', '3', '11', '2020', '17', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.63972024');
INSERT INTO public.ecdc_import VALUES (9206, '02/11/2020', '2', '11', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58559007');
INSERT INTO public.ecdc_import VALUES (9207, '01/11/2020', '1', '11', '2020', '23', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.77258521');
INSERT INTO public.ecdc_import VALUES (9208, '31/10/2020', '31', '10', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.65940394');
INSERT INTO public.ecdc_import VALUES (9209, '30/10/2020', '30', '10', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.69877134');
INSERT INTO public.ecdc_import VALUES (9210, '29/10/2020', '29', '10', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.79226891');
INSERT INTO public.ecdc_import VALUES (9211, '28/10/2020', '28', '10', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.79226891');
INSERT INTO public.ecdc_import VALUES (9212, '27/10/2020', '27', '10', '2020', '8', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.81195261');
INSERT INTO public.ecdc_import VALUES (9213, '26/10/2020', '26', '10', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.84147816');
INSERT INTO public.ecdc_import VALUES (9214, '25/10/2020', '25', '10', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.85132001');
INSERT INTO public.ecdc_import VALUES (9215, '24/10/2020', '24', '10', '2020', '12', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.88084556');
INSERT INTO public.ecdc_import VALUES (9216, '23/10/2020', '23', '10', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.88576649');
INSERT INTO public.ecdc_import VALUES (9217, '22/10/2020', '22', '10', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.90545019');
INSERT INTO public.ecdc_import VALUES (9218, '21/10/2020', '21', '10', '2020', '19', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.02847331');
INSERT INTO public.ecdc_import VALUES (9219, '20/10/2020', '20', '10', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.99894776');
INSERT INTO public.ecdc_import VALUES (9220, '19/10/2020', '19', '10', '2020', '38', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.05307793');
INSERT INTO public.ecdc_import VALUES (9221, '18/10/2020', '18', '10', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.93005481');
INSERT INTO public.ecdc_import VALUES (9222, '17/10/2020', '17', '10', '2020', '8', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.08260348');
INSERT INTO public.ecdc_import VALUES (9223, '16/10/2020', '16', '10', '2020', '30', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.21546846');
INSERT INTO public.ecdc_import VALUES (9224, '15/10/2020', '15', '10', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.2253103');
INSERT INTO public.ecdc_import VALUES (9225, '14/10/2020', '14', '10', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.3434125');
INSERT INTO public.ecdc_import VALUES (9226, '13/10/2020', '13', '10', '2020', '14', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.30896603');
INSERT INTO public.ecdc_import VALUES (9227, '12/10/2020', '12', '10', '2020', '9', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.33849158');
INSERT INTO public.ecdc_import VALUES (9228, '11/10/2020', '11', '10', '2020', '17', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.46643563');
INSERT INTO public.ecdc_import VALUES (9229, '10/10/2020', '10', '10', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.43691008');
INSERT INTO public.ecdc_import VALUES (9230, '09/10/2020', '9', '10', '2020', '19', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.43198915');
INSERT INTO public.ecdc_import VALUES (9231, '08/10/2020', '8', '10', '2020', '25', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.441831');
INSERT INTO public.ecdc_import VALUES (9232, '07/10/2020', '7', '10', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.42706823');
INSERT INTO public.ecdc_import VALUES (9233, '06/10/2020', '6', '10', '2020', '17', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.41722638');
INSERT INTO public.ecdc_import VALUES (9234, '05/10/2020', '5', '10', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.5796169');
INSERT INTO public.ecdc_import VALUES (9235, '04/10/2020', '4', '10', '2020', '31', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.66327262');
INSERT INTO public.ecdc_import VALUES (9236, '03/10/2020', '3', '10', '2020', '35', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.60422152');
INSERT INTO public.ecdc_import VALUES (9237, '02/10/2020', '2', '10', '2020', '32', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.5796169');
INSERT INTO public.ecdc_import VALUES (9238, '01/10/2020', '1', '10', '2020', '24', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.51564488');
INSERT INTO public.ecdc_import VALUES (9239, '30/09/2020', '30', '9', '2020', '4', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.47135655');
INSERT INTO public.ecdc_import VALUES (9240, '29/09/2020', '29', '9', '2020', '20', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.53040765');
INSERT INTO public.ecdc_import VALUES (9241, '28/09/2020', '28', '9', '2020', '35', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.4811984');
INSERT INTO public.ecdc_import VALUES (9242, '27/09/2020', '27', '9', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.25870454');
INSERT INTO public.ecdc_import VALUES (9243, '26/09/2020', '26', '9', '2020', '12', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.27838824');
INSERT INTO public.ecdc_import VALUES (9244, '25/09/2020', '25', '9', '2020', '21', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.28330916');
INSERT INTO public.ecdc_import VALUES (9245, '24/09/2020', '24', '9', '2020', '22', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.22917899');
INSERT INTO public.ecdc_import VALUES (9246, '23/09/2020', '23', '9', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.17012789');
INSERT INTO public.ecdc_import VALUES (9247, '22/09/2020', '22', '9', '2020', '50', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '2.13076049');
INSERT INTO public.ecdc_import VALUES (9248, '21/09/2020', '21', '9', '2020', '30', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.93884442');
INSERT INTO public.ecdc_import VALUES (9249, '20/09/2020', '20', '9', '2020', '19', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.8158213');
INSERT INTO public.ecdc_import VALUES (9250, '19/09/2020', '19', '9', '2020', '30', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.91423979');
INSERT INTO public.ecdc_import VALUES (9251, '18/09/2020', '18', '9', '2020', '19', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.87487239');
INSERT INTO public.ecdc_import VALUES (9252, '17/09/2020', '17', '9', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.82074222');
INSERT INTO public.ecdc_import VALUES (9253, '16/09/2020', '16', '9', '2020', '16', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.76169112');
INSERT INTO public.ecdc_import VALUES (9254, '15/09/2020', '15', '9', '2020', '10', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.70756095');
INSERT INTO public.ecdc_import VALUES (9255, '14/09/2020', '14', '9', '2020', '193', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.66819355');
INSERT INTO public.ecdc_import VALUES (9256, '13/09/2020', '13', '9', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.74798059');
INSERT INTO public.ecdc_import VALUES (9257, '12/09/2020', '12', '9', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.69385041');
INSERT INTO public.ecdc_import VALUES (9258, '11/09/2020', '11', '9', '2020', '10', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.63479931');
INSERT INTO public.ecdc_import VALUES (9259, '10/09/2020', '10', '9', '2020', '10', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9260, '09/09/2020', '9', '9', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.56098544');
INSERT INTO public.ecdc_import VALUES (9261, '08/09/2020', '8', '9', '2020', '11', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61511561');
INSERT INTO public.ecdc_import VALUES (9262, '07/09/2020', '7', '9', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9263, '06/09/2020', '6', '9', '2020', '39', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.62495746');
INSERT INTO public.ecdc_import VALUES (9264, '05/09/2020', '5', '9', '2020', '22', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.46748787');
INSERT INTO public.ecdc_import VALUES (9265, '04/09/2020', '4', '9', '2020', '8', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.43796232');
INSERT INTO public.ecdc_import VALUES (9266, '03/09/2020', '3', '9', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.42319954');
INSERT INTO public.ecdc_import VALUES (9267, '02/09/2020', '2', '9', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.44288324');
INSERT INTO public.ecdc_import VALUES (9268, '01/09/2020', '1', '9', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.44288324');
INSERT INTO public.ecdc_import VALUES (9269, '31/08/2020', '31', '8', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.49701342');
INSERT INTO public.ecdc_import VALUES (9270, '30/08/2020', '30', '8', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.55606452');
INSERT INTO public.ecdc_import VALUES (9271, '29/08/2020', '29', '8', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58066914');
INSERT INTO public.ecdc_import VALUES (9272, '28/08/2020', '28', '8', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58559007');
INSERT INTO public.ecdc_import VALUES (9273, '27/08/2020', '27', '8', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9274, '26/08/2020', '26', '8', '2020', '14', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.68400856');
INSERT INTO public.ecdc_import VALUES (9275, '25/08/2020', '25', '8', '2020', '10', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.62495746');
INSERT INTO public.ecdc_import VALUES (9276, '24/08/2020', '24', '8', '2020', '8', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9277, '23/08/2020', '23', '8', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.68892949');
INSERT INTO public.ecdc_import VALUES (9278, '22/08/2020', '22', '8', '2020', '16', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.67908764');
INSERT INTO public.ecdc_import VALUES (9279, '21/08/2020', '21', '8', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.66432486');
INSERT INTO public.ecdc_import VALUES (9280, '20/08/2020', '20', '8', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.65940394');
INSERT INTO public.ecdc_import VALUES (9281, '19/08/2020', '19', '8', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.63479931');
INSERT INTO public.ecdc_import VALUES (9282, '18/08/2020', '18', '8', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.62495746');
INSERT INTO public.ecdc_import VALUES (9283, '17/08/2020', '17', '8', '2020', '18', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.57574822');
INSERT INTO public.ecdc_import VALUES (9284, '16/08/2020', '16', '8', '2020', '9', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.49209249');
INSERT INTO public.ecdc_import VALUES (9285, '15/08/2020', '15', '8', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.47732972');
INSERT INTO public.ecdc_import VALUES (9286, '14/08/2020', '14', '8', '2020', '10', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.59543192');
INSERT INTO public.ecdc_import VALUES (9287, '13/08/2020', '13', '8', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.54622267');
INSERT INTO public.ecdc_import VALUES (9288, '12/08/2020', '12', '8', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.52653897');
INSERT INTO public.ecdc_import VALUES (9289, '11/08/2020', '11', '8', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.54622267');
INSERT INTO public.ecdc_import VALUES (9290, '10/08/2020', '10', '8', '2020', '24', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.51177619');
INSERT INTO public.ecdc_import VALUES (9291, '09/08/2020', '9', '8', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.46256694');
INSERT INTO public.ecdc_import VALUES (9292, '08/08/2020', '8', '8', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.46256694');
INSERT INTO public.ecdc_import VALUES (9293, '07/08/2020', '7', '8', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.42812047');
INSERT INTO public.ecdc_import VALUES (9294, '06/08/2020', '6', '8', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.45272509');
INSERT INTO public.ecdc_import VALUES (9295, '05/08/2020', '5', '8', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.44780417');
INSERT INTO public.ecdc_import VALUES (9296, '04/08/2020', '4', '8', '2020', '3', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.43304139');
INSERT INTO public.ecdc_import VALUES (9297, '03/08/2020', '3', '8', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.41827862');
INSERT INTO public.ecdc_import VALUES (9298, '02/08/2020', '2', '8', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.47732972');
INSERT INTO public.ecdc_import VALUES (9299, '01/08/2020', '1', '8', '2020', '26', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.47240879');
INSERT INTO public.ecdc_import VALUES (9300, '31/07/2020', '31', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.38875307');
INSERT INTO public.ecdc_import VALUES (9301, '30/07/2020', '30', '7', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.38875307');
INSERT INTO public.ecdc_import VALUES (9302, '29/07/2020', '29', '7', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.33462289');
INSERT INTO public.ecdc_import VALUES (9303, '28/07/2020', '28', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31493919');
INSERT INTO public.ecdc_import VALUES (9304, '27/07/2020', '27', '7', '2020', '14', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31493919');
INSERT INTO public.ecdc_import VALUES (9305, '26/07/2020', '26', '7', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.26080902');
INSERT INTO public.ecdc_import VALUES (9306, '25/07/2020', '25', '7', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.30017642');
INSERT INTO public.ecdc_import VALUES (9307, '24/07/2020', '24', '7', '2020', '9', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.27065087');
INSERT INTO public.ecdc_import VALUES (9308, '23/07/2020', '23', '7', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.30017642');
INSERT INTO public.ecdc_import VALUES (9309, '22/07/2020', '22', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.30509734');
INSERT INTO public.ecdc_import VALUES (9310, '21/07/2020', '21', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31986012');
INSERT INTO public.ecdc_import VALUES (9311, '20/07/2020', '20', '7', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.38383214');
INSERT INTO public.ecdc_import VALUES (9312, '19/07/2020', '19', '7', '2020', '5', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31986012');
INSERT INTO public.ecdc_import VALUES (9313, '18/07/2020', '18', '7', '2020', '9', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.2952555');
INSERT INTO public.ecdc_import VALUES (9314, '17/07/2020', '17', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.28541365');
INSERT INTO public.ecdc_import VALUES (9315, '16/07/2020', '16', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.37399029');
INSERT INTO public.ecdc_import VALUES (9316, '15/07/2020', '15', '7', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.37399029');
INSERT INTO public.ecdc_import VALUES (9317, '14/07/2020', '14', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.37891122');
INSERT INTO public.ecdc_import VALUES (9318, '13/07/2020', '13', '7', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.37891122');
INSERT INTO public.ecdc_import VALUES (9319, '12/07/2020', '12', '7', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.45272509');
INSERT INTO public.ecdc_import VALUES (9320, '11/07/2020', '11', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.38875307');
INSERT INTO public.ecdc_import VALUES (9321, '10/07/2020', '10', '7', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.38875307');
INSERT INTO public.ecdc_import VALUES (9322, '09/07/2020', '9', '7', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.34938567');
INSERT INTO public.ecdc_import VALUES (9323, '08/07/2020', '8', '7', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.41335769');
INSERT INTO public.ecdc_import VALUES (9324, '07/07/2020', '7', '7', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.45764602');
INSERT INTO public.ecdc_import VALUES (9325, '06/07/2020', '6', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.41335769');
INSERT INTO public.ecdc_import VALUES (9326, '05/07/2020', '5', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.41827862');
INSERT INTO public.ecdc_import VALUES (9327, '04/07/2020', '4', '7', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.42812047');
INSERT INTO public.ecdc_import VALUES (9328, '03/07/2020', '3', '7', '2020', '18', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.39859492');
INSERT INTO public.ecdc_import VALUES (9329, '02/07/2020', '2', '7', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31001827');
INSERT INTO public.ecdc_import VALUES (9330, '01/07/2020', '1', '7', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.32970197');
INSERT INTO public.ecdc_import VALUES (9331, '30/06/2020', '30', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31986012');
INSERT INTO public.ecdc_import VALUES (9332, '29/06/2020', '29', '6', '2020', '18', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31986012');
INSERT INTO public.ecdc_import VALUES (9333, '28/06/2020', '28', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.23128347');
INSERT INTO public.ecdc_import VALUES (9334, '27/06/2020', '27', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.24112532');
INSERT INTO public.ecdc_import VALUES (9335, '26/06/2020', '26', '6', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.24112532');
INSERT INTO public.ecdc_import VALUES (9336, '25/06/2020', '25', '6', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.21159977');
INSERT INTO public.ecdc_import VALUES (9337, '24/06/2020', '24', '6', '2020', '12', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.1377859');
INSERT INTO public.ecdc_import VALUES (9338, '23/06/2020', '23', '6', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.08365572');
INSERT INTO public.ecdc_import VALUES (9339, '22/06/2020', '22', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.06889295');
INSERT INTO public.ecdc_import VALUES (9340, '21/06/2020', '21', '6', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.06889295');
INSERT INTO public.ecdc_import VALUES (9341, '20/06/2020', '20', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.0590511');
INSERT INTO public.ecdc_import VALUES (9342, '19/06/2020', '19', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.06889295');
INSERT INTO public.ecdc_import VALUES (9343, '18/06/2020', '18', '6', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.07381387');
INSERT INTO public.ecdc_import VALUES (9344, '17/06/2020', '17', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.0590511');
INSERT INTO public.ecdc_import VALUES (9345, '16/06/2020', '16', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.06397202');
INSERT INTO public.ecdc_import VALUES (9346, '15/06/2020', '15', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.06397202');
INSERT INTO public.ecdc_import VALUES (9347, '14/06/2020', '14', '6', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.20175792');
INSERT INTO public.ecdc_import VALUES (9348, '13/06/2020', '13', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.22144162');
INSERT INTO public.ecdc_import VALUES (9349, '12/06/2020', '12', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.22144162');
INSERT INTO public.ecdc_import VALUES (9350, '11/06/2020', '11', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.22636255');
INSERT INTO public.ecdc_import VALUES (9351, '10/06/2020', '10', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.22636255');
INSERT INTO public.ecdc_import VALUES (9352, '09/06/2020', '9', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.24112532');
INSERT INTO public.ecdc_import VALUES (9353, '08/06/2020', '8', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.28049272');
INSERT INTO public.ecdc_import VALUES (9354, '07/06/2020', '7', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.36414844');
INSERT INTO public.ecdc_import VALUES (9355, '06/06/2020', '6', '6', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.36414844');
INSERT INTO public.ecdc_import VALUES (9356, '05/06/2020', '5', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.35922752');
INSERT INTO public.ecdc_import VALUES (9357, '04/06/2020', '4', '6', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.36906937');
INSERT INTO public.ecdc_import VALUES (9358, '03/06/2020', '3', '6', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.37891122');
INSERT INTO public.ecdc_import VALUES (9359, '02/06/2020', '2', '6', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.41827862');
INSERT INTO public.ecdc_import VALUES (9360, '01/06/2020', '1', '6', '2020', '28', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.41827862');
INSERT INTO public.ecdc_import VALUES (9361, '31/05/2020', '31', '5', '2020', '6', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.34938567');
INSERT INTO public.ecdc_import VALUES (9362, '30/05/2020', '30', '5', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.31986012');
INSERT INTO public.ecdc_import VALUES (9363, '29/05/2020', '29', '5', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.36414844');
INSERT INTO public.ecdc_import VALUES (9364, '28/05/2020', '28', '5', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.35430659');
INSERT INTO public.ecdc_import VALUES (9365, '27/05/2020', '27', '5', '2020', '4', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.38875307');
INSERT INTO public.ecdc_import VALUES (9366, '26/05/2020', '26', '5', '2020', '9', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.39859492');
INSERT INTO public.ecdc_import VALUES (9367, '25/05/2020', '25', '5', '2020', '18', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.39859492');
INSERT INTO public.ecdc_import VALUES (9368, '24/05/2020', '24', '5', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.32478104');
INSERT INTO public.ecdc_import VALUES (9369, '23/05/2020', '23', '5', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.34446474');
INSERT INTO public.ecdc_import VALUES (9370, '22/05/2020', '22', '5', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.37399029');
INSERT INTO public.ecdc_import VALUES (9371, '21/05/2020', '21', '5', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.39367399');
INSERT INTO public.ecdc_import VALUES (9372, '20/05/2020', '20', '5', '2020', '10', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58066914');
INSERT INTO public.ecdc_import VALUES (9373, '19/05/2020', '19', '5', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61019469');
INSERT INTO public.ecdc_import VALUES (9374, '18/05/2020', '18', '5', '2020', '14', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.65940394');
INSERT INTO public.ecdc_import VALUES (9375, '17/05/2020', '17', '5', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.63972024');
INSERT INTO public.ecdc_import VALUES (9376, '16/05/2020', '16', '5', '2020', '9', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.65448301');
INSERT INTO public.ecdc_import VALUES (9377, '15/05/2020', '15', '5', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.62987839');
INSERT INTO public.ecdc_import VALUES (9378, '14/05/2020', '14', '5', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.64956209');
INSERT INTO public.ecdc_import VALUES (9379, '13/05/2020', '13', '5', '2020', '6', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.62987839');
INSERT INTO public.ecdc_import VALUES (9380, '12/05/2020', '12', '5', '2020', '9', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.61511561');
INSERT INTO public.ecdc_import VALUES (9381, '11/05/2020', '11', '5', '2020', '3', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58559007');
INSERT INTO public.ecdc_import VALUES (9382, '10/05/2020', '10', '5', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58559007');
INSERT INTO public.ecdc_import VALUES (9383, '09/05/2020', '9', '5', '2020', '8', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.58066914');
INSERT INTO public.ecdc_import VALUES (9384, '08/05/2020', '8', '5', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.59051099');
INSERT INTO public.ecdc_import VALUES (9385, '07/05/2020', '7', '5', '2020', '41', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.59051099');
INSERT INTO public.ecdc_import VALUES (9386, '06/05/2020', '6', '5', '2020', '16', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.43304139');
INSERT INTO public.ecdc_import VALUES (9387, '05/05/2020', '5', '5', '2020', '10', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.44780417');
INSERT INTO public.ecdc_import VALUES (9388, '04/05/2020', '4', '5', '2020', '10', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.42319954');
INSERT INTO public.ecdc_import VALUES (9389, '03/05/2020', '3', '5', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.42812047');
INSERT INTO public.ecdc_import VALUES (9390, '02/05/2020', '2', '5', '2020', '4', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.45272509');
INSERT INTO public.ecdc_import VALUES (9391, '01/05/2020', '1', '5', '2020', '4', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.50193434');
INSERT INTO public.ecdc_import VALUES (9392, '30/04/2020', '30', '4', '2020', '3', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.48717157');
INSERT INTO public.ecdc_import VALUES (9393, '29/04/2020', '29', '4', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.54130174');
INSERT INTO public.ecdc_import VALUES (9394, '28/04/2020', '28', '4', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.59051099');
INSERT INTO public.ecdc_import VALUES (9395, '27/04/2020', '27', '4', '2020', '3', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.66432486');
INSERT INTO public.ecdc_import VALUES (9396, '26/04/2020', '26', '4', '2020', '3', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.71353411');
INSERT INTO public.ecdc_import VALUES (9397, '25/04/2020', '25', '4', '2020', '10', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.87592464');
INSERT INTO public.ecdc_import VALUES (9398, '24/04/2020', '24', '4', '2020', '7', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.85132001');
INSERT INTO public.ecdc_import VALUES (9399, '23/04/2020', '23', '4', '2020', '9', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.95958036');
INSERT INTO public.ecdc_import VALUES (9400, '22/04/2020', '22', '4', '2020', '19', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.06291978');
INSERT INTO public.ecdc_import VALUES (9401, '21/04/2020', '21', '4', '2020', '5', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.06784071');
INSERT INTO public.ecdc_import VALUES (9402, '20/04/2020', '20', '4', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.13673366');
INSERT INTO public.ecdc_import VALUES (9403, '19/04/2020', '19', '4', '2020', '8', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.29420325');
INSERT INTO public.ecdc_import VALUES (9404, '18/04/2020', '18', '4', '2020', '14', '3', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.3237288');
INSERT INTO public.ecdc_import VALUES (9405, '17/04/2020', '17', '4', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.25483585');
INSERT INTO public.ecdc_import VALUES (9406, '16/04/2020', '16', '4', '2020', '14', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.3827799');
INSERT INTO public.ecdc_import VALUES (9407, '15/04/2020', '15', '4', '2020', '13', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.38770083');
INSERT INTO public.ecdc_import VALUES (9408, '14/04/2020', '14', '4', '2020', '18', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.441831');
INSERT INTO public.ecdc_import VALUES (9409, '13/04/2020', '13', '4', '2020', '13', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.5599332');
INSERT INTO public.ecdc_import VALUES (9410, '12/04/2020', '12', '4', '2020', '36', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.49596118');
INSERT INTO public.ecdc_import VALUES (9411, '11/04/2020', '11', '4', '2020', '5', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.48611933');
INSERT INTO public.ecdc_import VALUES (9412, '10/04/2020', '10', '4', '2020', '29', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.4615147');
INSERT INTO public.ecdc_import VALUES (9413, '09/04/2020', '9', '4', '2020', '30', '4', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.47627748');
INSERT INTO public.ecdc_import VALUES (9414, '08/04/2020', '8', '4', '2020', '20', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.4024636');
INSERT INTO public.ecdc_import VALUES (9415, '07/04/2020', '7', '4', '2020', '19', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.4221473');
INSERT INTO public.ecdc_import VALUES (9416, '06/04/2020', '6', '4', '2020', '43', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.3827799');
INSERT INTO public.ecdc_import VALUES (9417, '05/04/2020', '5', '4', '2020', '14', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.17118013');
INSERT INTO public.ecdc_import VALUES (9418, '04/04/2020', '4', '4', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.22038938');
INSERT INTO public.ecdc_import VALUES (9419, '03/04/2020', '3', '4', '2020', '27', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.25483585');
INSERT INTO public.ecdc_import VALUES (9420, '02/04/2020', '2', '4', '2020', '15', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.15641736');
INSERT INTO public.ecdc_import VALUES (9421, '01/04/2020', '1', '4', '2020', '24', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '1.11212903');
INSERT INTO public.ecdc_import VALUES (9422, '31/03/2020', '31', '3', '2020', '42', '3', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.99402683');
INSERT INTO public.ecdc_import VALUES (9423, '30/03/2020', '30', '3', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.87100371');
INSERT INTO public.ecdc_import VALUES (9424, '29/03/2020', '29', '3', '2020', '34', '6', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.87100371');
INSERT INTO public.ecdc_import VALUES (9425, '28/03/2020', '28', '3', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.70861319');
INSERT INTO public.ecdc_import VALUES (9426, '27/03/2020', '27', '3', '2020', '32', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.70861319');
INSERT INTO public.ecdc_import VALUES (9427, '26/03/2020', '26', '3', '2020', '15', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '0.56098544');
INSERT INTO public.ecdc_import VALUES (9428, '25/03/2020', '25', '3', '2020', '24', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9429, '24/03/2020', '24', '3', '2020', '11', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9430, '23/03/2020', '23', '3', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9431, '22/03/2020', '22', '3', '2020', '24', '2', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9432, '21/03/2020', '21', '3', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9433, '20/03/2020', '20', '3', '2020', '7', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9434, '19/03/2020', '19', '3', '2020', '6', '1', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9435, '18/03/2020', '18', '3', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9436, '17/03/2020', '17', '3', '2020', '17', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9437, '16/03/2020', '16', '3', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9438, '15/03/2020', '15', '3', '2020', '1', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9439, '12/03/2020', '12', '3', '2020', '0', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9440, '11/03/2020', '11', '3', '2020', '2', '0', '20321383', 'Burkina_Faso', 'BF', 'BFA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9441, '14/12/2020', '14', '12', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.41628446');
INSERT INTO public.ecdc_import VALUES (9442, '13/12/2020', '13', '12', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9443, '12/12/2020', '12', '12', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.3642489');
INSERT INTO public.ecdc_import VALUES (9444, '11/12/2020', '11', '12', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.38159409');
INSERT INTO public.ecdc_import VALUES (9445, '10/12/2020', '10', '12', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9446, '09/12/2020', '9', '12', '2020', '18', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.37292149');
INSERT INTO public.ecdc_import VALUES (9447, '08/12/2020', '8', '12', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.29486816');
INSERT INTO public.ecdc_import VALUES (9448, '07/12/2020', '7', '12', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9449, '06/12/2020', '6', '12', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.32955853');
INSERT INTO public.ecdc_import VALUES (9450, '05/12/2020', '5', '12', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.37292149');
INSERT INTO public.ecdc_import VALUES (9451, '04/12/2020', '4', '12', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.43362964');
INSERT INTO public.ecdc_import VALUES (9452, '03/12/2020', '3', '12', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9453, '02/12/2020', '2', '12', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.50301039');
INSERT INTO public.ecdc_import VALUES (9454, '01/12/2020', '1', '12', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.50301039');
INSERT INTO public.ecdc_import VALUES (9455, '30/11/2020', '30', '11', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.45964742');
INSERT INTO public.ecdc_import VALUES (9456, '29/11/2020', '29', '11', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.46832002');
INSERT INTO public.ecdc_import VALUES (9457, '28/11/2020', '28', '11', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.49433779');
INSERT INTO public.ecdc_import VALUES (9458, '27/11/2020', '27', '11', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.46832002');
INSERT INTO public.ecdc_import VALUES (9459, '26/11/2020', '26', '11', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.45964742');
INSERT INTO public.ecdc_import VALUES (9460, '25/11/2020', '25', '11', '2020', '9', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.50301039');
INSERT INTO public.ecdc_import VALUES (9461, '24/11/2020', '24', '11', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.43362964');
INSERT INTO public.ecdc_import VALUES (9462, '23/11/2020', '23', '11', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.41628446');
INSERT INTO public.ecdc_import VALUES (9463, '22/11/2020', '22', '11', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.38159409');
INSERT INTO public.ecdc_import VALUES (9464, '21/11/2020', '21', '11', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.38159409');
INSERT INTO public.ecdc_import VALUES (9465, '20/11/2020', '20', '11', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.3642489');
INSERT INTO public.ecdc_import VALUES (9466, '19/11/2020', '19', '11', '2020', '11', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.37292149');
INSERT INTO public.ecdc_import VALUES (9467, '18/11/2020', '18', '11', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.29486816');
INSERT INTO public.ecdc_import VALUES (9468, '17/11/2020', '17', '11', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9469, '16/11/2020', '16', '11', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.33823112');
INSERT INTO public.ecdc_import VALUES (9470, '15/11/2020', '15', '11', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.3642489');
INSERT INTO public.ecdc_import VALUES (9471, '14/11/2020', '14', '11', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.3642489');
INSERT INTO public.ecdc_import VALUES (9472, '13/11/2020', '13', '11', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.54637335');
INSERT INTO public.ecdc_import VALUES (9473, '12/11/2020', '12', '11', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52902817');
INSERT INTO public.ecdc_import VALUES (9474, '11/11/2020', '11', '11', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.49433779');
INSERT INTO public.ecdc_import VALUES (9475, '10/11/2020', '10', '11', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.49433779');
INSERT INTO public.ecdc_import VALUES (9476, '09/11/2020', '9', '11', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.50301039');
INSERT INTO public.ecdc_import VALUES (9477, '08/11/2020', '8', '11', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.49433779');
INSERT INTO public.ecdc_import VALUES (9478, '07/11/2020', '7', '11', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.45097483');
INSERT INTO public.ecdc_import VALUES (9479, '06/11/2020', '6', '11', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.42495705');
INSERT INTO public.ecdc_import VALUES (9480, '05/11/2020', '5', '11', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.42495705');
INSERT INTO public.ecdc_import VALUES (9481, '04/11/2020', '4', '11', '2020', '8', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9482, '03/11/2020', '3', '11', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.34690372');
INSERT INTO public.ecdc_import VALUES (9483, '02/11/2020', '2', '11', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9484, '01/11/2020', '1', '11', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.42495705');
INSERT INTO public.ecdc_import VALUES (9485, '31/10/2020', '31', '10', '2020', '22', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.44230224');
INSERT INTO public.ecdc_import VALUES (9486, '30/10/2020', '30', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26885038');
INSERT INTO public.ecdc_import VALUES (9487, '29/10/2020', '29', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26017779');
INSERT INTO public.ecdc_import VALUES (9488, '28/10/2020', '28', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.25150519');
INSERT INTO public.ecdc_import VALUES (9489, '27/10/2020', '27', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9490, '26/10/2020', '26', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9491, '25/10/2020', '25', '10', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.32955853');
INSERT INTO public.ecdc_import VALUES (9492, '24/10/2020', '24', '10', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.32955853');
INSERT INTO public.ecdc_import VALUES (9493, '23/10/2020', '23', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9494, '22/10/2020', '22', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.30354075');
INSERT INTO public.ecdc_import VALUES (9495, '21/10/2020', '21', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9496, '20/10/2020', '20', '10', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.30354075');
INSERT INTO public.ecdc_import VALUES (9497, '19/10/2020', '19', '10', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.25150519');
INSERT INTO public.ecdc_import VALUES (9498, '18/10/2020', '18', '10', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9499, '17/10/2020', '17', '10', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.15610667');
INSERT INTO public.ecdc_import VALUES (9500, '16/10/2020', '16', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.16477926');
INSERT INTO public.ecdc_import VALUES (9501, '15/10/2020', '15', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9502, '14/10/2020', '14', '10', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9503, '13/10/2020', '13', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9504, '12/10/2020', '12', '10', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.33823112');
INSERT INTO public.ecdc_import VALUES (9505, '11/10/2020', '11', '10', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9506, '10/10/2020', '10', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9507, '09/10/2020', '9', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.32955853');
INSERT INTO public.ecdc_import VALUES (9508, '08/10/2020', '8', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.33823112');
INSERT INTO public.ecdc_import VALUES (9509, '07/10/2020', '7', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.34690372');
INSERT INTO public.ecdc_import VALUES (9510, '06/10/2020', '6', '10', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.34690372');
INSERT INTO public.ecdc_import VALUES (9511, '05/10/2020', '5', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.34690372');
INSERT INTO public.ecdc_import VALUES (9512, '04/10/2020', '4', '10', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.34690372');
INSERT INTO public.ecdc_import VALUES (9513, '03/10/2020', '3', '10', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.34690372');
INSERT INTO public.ecdc_import VALUES (9514, '02/10/2020', '2', '10', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.32088594');
INSERT INTO public.ecdc_import VALUES (9515, '01/10/2020', '1', '10', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9516, '30/09/2020', '30', '9', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.29486816');
INSERT INTO public.ecdc_import VALUES (9517, '29/09/2020', '29', '9', '2020', '17', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26017779');
INSERT INTO public.ecdc_import VALUES (9518, '28/09/2020', '28', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.11274371');
INSERT INTO public.ecdc_import VALUES (9519, '27/09/2020', '27', '9', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.1214163');
INSERT INTO public.ecdc_import VALUES (9520, '26/09/2020', '26', '9', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.1214163');
INSERT INTO public.ecdc_import VALUES (9521, '25/09/2020', '25', '9', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9522, '24/09/2020', '24', '9', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9523, '23/09/2020', '23', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9524, '22/09/2020', '22', '9', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9525, '21/09/2020', '21', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.09539852');
INSERT INTO public.ecdc_import VALUES (9526, '20/09/2020', '20', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.11274371');
INSERT INTO public.ecdc_import VALUES (9527, '19/09/2020', '19', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19079704');
INSERT INTO public.ecdc_import VALUES (9528, '18/09/2020', '18', '9', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.21681482');
INSERT INTO public.ecdc_import VALUES (9529, '17/09/2020', '17', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.20814223');
INSERT INTO public.ecdc_import VALUES (9530, '16/09/2020', '16', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.23416001');
INSERT INTO public.ecdc_import VALUES (9531, '15/09/2020', '15', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.23416001');
INSERT INTO public.ecdc_import VALUES (9532, '14/09/2020', '14', '9', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.23416001');
INSERT INTO public.ecdc_import VALUES (9533, '13/09/2020', '13', '9', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9534, '12/09/2020', '12', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9535, '11/09/2020', '11', '9', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.32955853');
INSERT INTO public.ecdc_import VALUES (9536, '10/09/2020', '10', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9537, '09/09/2020', '9', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9538, '08/09/2020', '8', '9', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.31221334');
INSERT INTO public.ecdc_import VALUES (9539, '07/09/2020', '7', '9', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.28619557');
INSERT INTO public.ecdc_import VALUES (9540, '06/09/2020', '6', '9', '2020', '9', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26885038');
INSERT INTO public.ecdc_import VALUES (9541, '05/09/2020', '5', '9', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.21681482');
INSERT INTO public.ecdc_import VALUES (9542, '04/09/2020', '4', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.22548741');
INSERT INTO public.ecdc_import VALUES (9543, '03/09/2020', '3', '9', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.22548741');
INSERT INTO public.ecdc_import VALUES (9544, '02/09/2020', '2', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.25150519');
INSERT INTO public.ecdc_import VALUES (9545, '01/09/2020', '1', '9', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9546, '31/08/2020', '31', '8', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.27752297');
INSERT INTO public.ecdc_import VALUES (9547, '30/08/2020', '30', '8', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.23416001');
INSERT INTO public.ecdc_import VALUES (9548, '29/08/2020', '29', '8', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9549, '28/08/2020', '28', '8', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9550, '27/08/2020', '27', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.17345186');
INSERT INTO public.ecdc_import VALUES (9551, '26/08/2020', '26', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19079704');
INSERT INTO public.ecdc_import VALUES (9552, '25/08/2020', '25', '8', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19079704');
INSERT INTO public.ecdc_import VALUES (9553, '24/08/2020', '24', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9554, '23/08/2020', '23', '8', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9555, '22/08/2020', '22', '8', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9556, '21/08/2020', '21', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19079704');
INSERT INTO public.ecdc_import VALUES (9557, '20/08/2020', '20', '8', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19079704');
INSERT INTO public.ecdc_import VALUES (9558, '19/08/2020', '19', '8', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9559, '18/08/2020', '18', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.15610667');
INSERT INTO public.ecdc_import VALUES (9560, '17/08/2020', '17', '8', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.15610667');
INSERT INTO public.ecdc_import VALUES (9561, '16/08/2020', '16', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.14743408');
INSERT INTO public.ecdc_import VALUES (9562, '15/08/2020', '15', '8', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9563, '14/08/2020', '14', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9564, '13/08/2020', '13', '8', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9565, '12/08/2020', '12', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26017779');
INSERT INTO public.ecdc_import VALUES (9566, '11/08/2020', '11', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26017779');
INSERT INTO public.ecdc_import VALUES (9567, '10/08/2020', '10', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9568, '09/08/2020', '9', '8', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9569, '08/08/2020', '8', '8', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52035557');
INSERT INTO public.ecdc_import VALUES (9570, '07/08/2020', '7', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.47699261');
INSERT INTO public.ecdc_import VALUES (9571, '06/08/2020', '6', '8', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.62442669');
INSERT INTO public.ecdc_import VALUES (9572, '05/08/2020', '5', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.58106372');
INSERT INTO public.ecdc_import VALUES (9573, '04/08/2020', '4', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.63309928');
INSERT INTO public.ecdc_import VALUES (9574, '03/08/2020', '3', '8', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.73717039');
INSERT INTO public.ecdc_import VALUES (9575, '02/08/2020', '2', '8', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.73717039');
INSERT INTO public.ecdc_import VALUES (9576, '01/08/2020', '1', '8', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.70248002');
INSERT INTO public.ecdc_import VALUES (9577, '31/07/2020', '31', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.7284978');
INSERT INTO public.ecdc_import VALUES (9578, '30/07/2020', '30', '7', '2020', '9', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.02336596');
INSERT INTO public.ecdc_import VALUES (9579, '29/07/2020', '29', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.94531262');
INSERT INTO public.ecdc_import VALUES (9580, '28/07/2020', '28', '7', '2020', '17', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.94531262');
INSERT INTO public.ecdc_import VALUES (9581, '27/07/2020', '27', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.96265781');
INSERT INTO public.ecdc_import VALUES (9582, '26/07/2020', '26', '7', '2020', '16', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.96265781');
INSERT INTO public.ecdc_import VALUES (9583, '25/07/2020', '25', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.03203855');
INSERT INTO public.ecdc_import VALUES (9584, '24/07/2020', '24', '7', '2020', '17', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.0927467');
INSERT INTO public.ecdc_import VALUES (9585, '23/07/2020', '23', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.18814522');
INSERT INTO public.ecdc_import VALUES (9586, '22/07/2020', '22', '7', '2020', '6', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.18814522');
INSERT INTO public.ecdc_import VALUES (9587, '21/07/2020', '21', '7', '2020', '12', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.13610967');
INSERT INTO public.ecdc_import VALUES (9588, '20/07/2020', '20', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.03203855');
INSERT INTO public.ecdc_import VALUES (9589, '19/07/2020', '19', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.03203855');
INSERT INTO public.ecdc_import VALUES (9590, '18/07/2020', '18', '7', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.03203855');
INSERT INTO public.ecdc_import VALUES (9591, '17/07/2020', '17', '7', '2020', '34', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '1.15345485');
INSERT INTO public.ecdc_import VALUES (9592, '16/07/2020', '16', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.8585867');
INSERT INTO public.ecdc_import VALUES (9593, '15/07/2020', '15', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.8585867');
INSERT INTO public.ecdc_import VALUES (9594, '14/07/2020', '14', '7', '2020', '19', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.8585867');
INSERT INTO public.ecdc_import VALUES (9595, '13/07/2020', '13', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.69380743');
INSERT INTO public.ecdc_import VALUES (9596, '12/07/2020', '12', '7', '2020', '24', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.91929485');
INSERT INTO public.ecdc_import VALUES (9597, '11/07/2020', '11', '7', '2020', '7', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.71115262');
INSERT INTO public.ecdc_import VALUES (9598, '10/07/2020', '10', '7', '2020', '28', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.65044447');
INSERT INTO public.ecdc_import VALUES (9599, '09/07/2020', '9', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9600, '08/07/2020', '8', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9601, '07/07/2020', '7', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9602, '06/07/2020', '6', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9603, '05/07/2020', '5', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.40761187');
INSERT INTO public.ecdc_import VALUES (9604, '04/07/2020', '4', '7', '2020', '21', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.75451558');
INSERT INTO public.ecdc_import VALUES (9605, '03/07/2020', '3', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.57239113');
INSERT INTO public.ecdc_import VALUES (9606, '02/07/2020', '2', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.57239113');
INSERT INTO public.ecdc_import VALUES (9607, '01/07/2020', '1', '7', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.57239113');
INSERT INTO public.ecdc_import VALUES (9608, '30/06/2020', '30', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.57239113');
INSERT INTO public.ecdc_import VALUES (9609, '29/06/2020', '29', '6', '2020', '26', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.65911706');
INSERT INTO public.ecdc_import VALUES (9610, '28/06/2020', '28', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.43362964');
INSERT INTO public.ecdc_import VALUES (9611, '27/06/2020', '27', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.43362964');
INSERT INTO public.ecdc_import VALUES (9612, '26/06/2020', '26', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.43362964');
INSERT INTO public.ecdc_import VALUES (9613, '25/06/2020', '25', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52902817');
INSERT INTO public.ecdc_import VALUES (9614, '24/06/2020', '24', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52902817');
INSERT INTO public.ecdc_import VALUES (9615, '23/06/2020', '23', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52902817');
INSERT INTO public.ecdc_import VALUES (9616, '22/06/2020', '22', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52902817');
INSERT INTO public.ecdc_import VALUES (9617, '21/06/2020', '21', '6', '2020', '40', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.52902817');
INSERT INTO public.ecdc_import VALUES (9618, '20/06/2020', '20', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9619, '19/06/2020', '19', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9620, '18/06/2020', '18', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9621, '17/06/2020', '17', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9622, '16/06/2020', '16', '6', '2020', '10', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9623, '15/06/2020', '15', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.26885038');
INSERT INTO public.ecdc_import VALUES (9624, '14/06/2020', '14', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.45097483');
INSERT INTO public.ecdc_import VALUES (9625, '13/06/2020', '13', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.45097483');
INSERT INTO public.ecdc_import VALUES (9626, '12/06/2020', '12', '6', '2020', '11', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.45097483');
INSERT INTO public.ecdc_import VALUES (9627, '11/06/2020', '11', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9628, '10/06/2020', '10', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9629, '09/06/2020', '9', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9630, '08/06/2020', '8', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9631, '07/06/2020', '7', '6', '2020', '20', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.35557631');
INSERT INTO public.ecdc_import VALUES (9632, '06/06/2020', '6', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9633, '05/06/2020', '5', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9634, '04/06/2020', '4', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9635, '03/06/2020', '3', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9636, '02/06/2020', '2', '6', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9637, '01/06/2020', '1', '6', '2020', '21', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.18212445');
INSERT INTO public.ecdc_import VALUES (9638, '31/05/2020', '31', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.13008889');
INSERT INTO public.ecdc_import VALUES (9639, '30/05/2020', '30', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.13008889');
INSERT INTO public.ecdc_import VALUES (9640, '29/05/2020', '29', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.13008889');
INSERT INTO public.ecdc_import VALUES (9641, '28/05/2020', '28', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.13008889');
INSERT INTO public.ecdc_import VALUES (9642, '27/05/2020', '27', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.13008889');
INSERT INTO public.ecdc_import VALUES (9643, '26/05/2020', '26', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9644, '25/05/2020', '25', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9645, '24/05/2020', '24', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9646, '23/05/2020', '23', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9647, '22/05/2020', '22', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9648, '21/05/2020', '21', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9649, '20/05/2020', '20', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9650, '19/05/2020', '19', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9651, '18/05/2020', '18', '5', '2020', '15', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.19946964');
INSERT INTO public.ecdc_import VALUES (9652, '17/05/2020', '17', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9653, '16/05/2020', '16', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.10407111');
INSERT INTO public.ecdc_import VALUES (9654, '15/05/2020', '15', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.10407111');
INSERT INTO public.ecdc_import VALUES (9655, '14/05/2020', '14', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.10407111');
INSERT INTO public.ecdc_import VALUES (9656, '13/05/2020', '13', '5', '2020', '8', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.10407111');
INSERT INTO public.ecdc_import VALUES (9657, '12/05/2020', '12', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.03469037');
INSERT INTO public.ecdc_import VALUES (9658, '11/05/2020', '11', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.03469037');
INSERT INTO public.ecdc_import VALUES (9659, '10/05/2020', '10', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.03469037');
INSERT INTO public.ecdc_import VALUES (9660, '09/05/2020', '9', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06070815');
INSERT INTO public.ecdc_import VALUES (9661, '08/05/2020', '8', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9662, '07/05/2020', '7', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9663, '06/05/2020', '6', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.11274371');
INSERT INTO public.ecdc_import VALUES (9664, '05/05/2020', '5', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.11274371');
INSERT INTO public.ecdc_import VALUES (9665, '04/05/2020', '4', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.11274371');
INSERT INTO public.ecdc_import VALUES (9666, '03/05/2020', '3', '5', '2020', '4', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.11274371');
INSERT INTO public.ecdc_import VALUES (9667, '02/05/2020', '2', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.07805334');
INSERT INTO public.ecdc_import VALUES (9668, '01/05/2020', '1', '5', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9669, '30/04/2020', '30', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9670, '29/04/2020', '29', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9671, '28/04/2020', '28', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9672, '27/04/2020', '27', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9673, '26/04/2020', '26', '4', '2020', '3', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.08672593');
INSERT INTO public.ecdc_import VALUES (9674, '25/04/2020', '25', '4', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.07805334');
INSERT INTO public.ecdc_import VALUES (9675, '24/04/2020', '24', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9676, '23/04/2020', '23', '4', '2020', '5', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.06938074');
INSERT INTO public.ecdc_import VALUES (9677, '22/04/2020', '22', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9678, '21/04/2020', '21', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9679, '20/04/2020', '20', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9680, '19/04/2020', '19', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9681, '18/04/2020', '18', '4', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9682, '17/04/2020', '17', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.01734519');
INSERT INTO public.ecdc_import VALUES (9683, '16/04/2020', '16', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9684, '15/04/2020', '15', '4', '2020', '0', '1', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.02601778');
INSERT INTO public.ecdc_import VALUES (9685, '14/04/2020', '14', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '0.04336296');
INSERT INTO public.ecdc_import VALUES (9686, '13/04/2020', '13', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9687, '12/04/2020', '12', '4', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9688, '11/04/2020', '11', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9689, '10/04/2020', '10', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9690, '09/04/2020', '9', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9691, '08/04/2020', '8', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9692, '07/04/2020', '7', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9693, '06/04/2020', '6', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9694, '05/04/2020', '5', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9695, '04/04/2020', '4', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9696, '03/04/2020', '3', '4', '2020', '1', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9697, '02/04/2020', '2', '4', '2020', '0', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9698, '01/04/2020', '1', '4', '2020', '2', '0', '11530577', 'Burundi', 'BI', 'BDI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (9699, '14/12/2020', '14', '12', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.21835992');
INSERT INTO public.ecdc_import VALUES (9700, '13/12/2020', '13', '12', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.31540877');
INSERT INTO public.ecdc_import VALUES (9701, '12/12/2020', '12', '12', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.30327767');
INSERT INTO public.ecdc_import VALUES (9702, '11/12/2020', '11', '12', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.29721211');
INSERT INTO public.ecdc_import VALUES (9703, '10/12/2020', '10', '12', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.29721211');
INSERT INTO public.ecdc_import VALUES (9704, '09/12/2020', '9', '12', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.28508101');
INSERT INTO public.ecdc_import VALUES (9705, '08/12/2020', '8', '12', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.26688435');
INSERT INTO public.ecdc_import VALUES (9706, '07/12/2020', '7', '12', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.25475324');
INSERT INTO public.ecdc_import VALUES (9707, '06/12/2020', '6', '12', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.24262213');
INSERT INTO public.ecdc_import VALUES (9708, '05/12/2020', '5', '12', '2020', '14', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.24262213');
INSERT INTO public.ecdc_import VALUES (9709, '04/12/2020', '4', '12', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.16376994');
INSERT INTO public.ecdc_import VALUES (9710, '03/12/2020', '3', '12', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.16376994');
INSERT INTO public.ecdc_import VALUES (9711, '02/12/2020', '2', '12', '2020', '3', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.15163883');
INSERT INTO public.ecdc_import VALUES (9712, '01/12/2020', '1', '12', '2020', '3', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13950773');
INSERT INTO public.ecdc_import VALUES (9713, '30/11/2020', '30', '11', '2020', '16', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.12737662');
INSERT INTO public.ecdc_import VALUES (9714, '29/11/2020', '29', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9715, '28/11/2020', '28', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9716, '27/11/2020', '27', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9717, '26/11/2020', '26', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9718, '25/11/2020', '25', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9719, '24/11/2020', '24', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9720, '23/11/2020', '23', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.05458998');
INSERT INTO public.ecdc_import VALUES (9721, '22/11/2020', '22', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9722, '21/11/2020', '21', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9723, '20/11/2020', '20', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9724, '19/11/2020', '19', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9725, '18/11/2020', '18', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9726, '17/11/2020', '17', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9727, '16/11/2020', '16', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9728, '15/11/2020', '15', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9729, '14/11/2020', '14', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9730, '13/11/2020', '13', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9731, '12/11/2020', '12', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9732, '11/11/2020', '11', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06065553');
INSERT INTO public.ecdc_import VALUES (9733, '10/11/2020', '10', '11', '2020', '3', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9734, '09/11/2020', '9', '11', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06065553');
INSERT INTO public.ecdc_import VALUES (9735, '08/11/2020', '8', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9736, '07/11/2020', '7', '11', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9737, '06/11/2020', '6', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9738, '05/11/2020', '5', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9739, '04/11/2020', '4', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9740, '03/11/2020', '3', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9741, '02/11/2020', '2', '11', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9742, '01/11/2020', '1', '11', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9743, '31/10/2020', '31', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9744, '30/10/2020', '30', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9745, '29/10/2020', '29', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9746, '28/10/2020', '28', '10', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9747, '27/10/2020', '27', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9748, '26/10/2020', '26', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9749, '25/10/2020', '25', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9750, '24/10/2020', '24', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9751, '23/10/2020', '23', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9752, '22/10/2020', '22', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9753, '21/10/2020', '21', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9754, '20/10/2020', '20', '10', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9755, '19/10/2020', '19', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9756, '18/10/2020', '18', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9757, '17/10/2020', '17', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9758, '16/10/2020', '16', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9759, '15/10/2020', '15', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9760, '14/10/2020', '14', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9761, '13/10/2020', '13', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9762, '12/10/2020', '12', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9763, '11/10/2020', '11', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9764, '10/10/2020', '10', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9765, '09/10/2020', '9', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9766, '08/10/2020', '8', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9767, '07/10/2020', '7', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9768, '06/10/2020', '6', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9769, '05/10/2020', '5', '10', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9770, '04/10/2020', '4', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9771, '03/10/2020', '3', '10', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9772, '02/10/2020', '2', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9773, '01/10/2020', '1', '10', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9774, '30/09/2020', '30', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9775, '29/09/2020', '29', '9', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9776, '28/09/2020', '28', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9777, '27/09/2020', '27', '9', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9778, '26/09/2020', '26', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9779, '25/09/2020', '25', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9780, '24/09/2020', '24', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9781, '23/09/2020', '23', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9782, '22/09/2020', '22', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9783, '21/09/2020', '21', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9784, '20/09/2020', '20', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9785, '19/09/2020', '19', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9786, '18/09/2020', '18', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9787, '17/09/2020', '17', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9788, '16/09/2020', '16', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9789, '15/09/2020', '15', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9790, '14/09/2020', '14', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9791, '13/09/2020', '13', '9', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9792, '12/09/2020', '12', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9793, '11/09/2020', '11', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9794, '10/09/2020', '10', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9795, '09/09/2020', '9', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9796, '08/09/2020', '8', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9797, '07/09/2020', '7', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9798, '06/09/2020', '6', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9799, '05/09/2020', '5', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9800, '04/09/2020', '4', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9801, '03/09/2020', '3', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9802, '02/09/2020', '2', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9803, '01/09/2020', '1', '9', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9804, '31/08/2020', '31', '8', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9805, '30/08/2020', '30', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9806, '29/08/2020', '29', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9807, '28/08/2020', '28', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9808, '27/08/2020', '27', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9809, '26/08/2020', '26', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9810, '25/08/2020', '25', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9811, '24/08/2020', '24', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13344217');
INSERT INTO public.ecdc_import VALUES (9812, '23/08/2020', '23', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.16376994');
INSERT INTO public.ecdc_import VALUES (9813, '22/08/2020', '22', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.16376994');
INSERT INTO public.ecdc_import VALUES (9814, '21/08/2020', '21', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9815, '20/08/2020', '20', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9816, '19/08/2020', '19', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9817, '18/08/2020', '18', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.20016326');
INSERT INTO public.ecdc_import VALUES (9818, '17/08/2020', '17', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.20016326');
INSERT INTO public.ecdc_import VALUES (9819, '16/08/2020', '16', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.20016326');
INSERT INTO public.ecdc_import VALUES (9820, '15/08/2020', '15', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.20622881');
INSERT INTO public.ecdc_import VALUES (9821, '14/08/2020', '14', '8', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.23655658');
INSERT INTO public.ecdc_import VALUES (9822, '13/08/2020', '13', '8', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.23049103');
INSERT INTO public.ecdc_import VALUES (9823, '12/08/2020', '12', '8', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.25475324');
INSERT INTO public.ecdc_import VALUES (9824, '11/08/2020', '11', '8', '2020', '15', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.24868769');
INSERT INTO public.ecdc_import VALUES (9825, '10/08/2020', '10', '8', '2020', '5', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.15770439');
INSERT INTO public.ecdc_import VALUES (9826, '09/08/2020', '9', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.12737662');
INSERT INTO public.ecdc_import VALUES (9827, '08/08/2020', '8', '8', '2020', '3', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.26688435');
INSERT INTO public.ecdc_import VALUES (9828, '07/08/2020', '7', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.24868769');
INSERT INTO public.ecdc_import VALUES (9829, '06/08/2020', '6', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.2729499');
INSERT INTO public.ecdc_import VALUES (9830, '05/08/2020', '5', '8', '2020', '3', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.27901545');
INSERT INTO public.ecdc_import VALUES (9831, '04/08/2020', '4', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.26081879');
INSERT INTO public.ecdc_import VALUES (9832, '03/08/2020', '3', '8', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.41852318');
INSERT INTO public.ecdc_import VALUES (9833, '02/08/2020', '2', '8', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.41852318');
INSERT INTO public.ecdc_import VALUES (9834, '01/08/2020', '1', '8', '2020', '5', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.41245763');
INSERT INTO public.ecdc_import VALUES (9835, '31/07/2020', '31', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.38212986');
INSERT INTO public.ecdc_import VALUES (9836, '30/07/2020', '30', '7', '2020', '8', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.41245763');
INSERT INTO public.ecdc_import VALUES (9837, '29/07/2020', '29', '7', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.36999875');
INSERT INTO public.ecdc_import VALUES (9838, '28/07/2020', '28', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.3639332');
INSERT INTO public.ecdc_import VALUES (9839, '27/07/2020', '27', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.41852318');
INSERT INTO public.ecdc_import VALUES (9840, '26/07/2020', '26', '7', '2020', '23', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.41852318');
INSERT INTO public.ecdc_import VALUES (9841, '25/07/2020', '25', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.36999875');
INSERT INTO public.ecdc_import VALUES (9842, '24/07/2020', '24', '7', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.36999875');
INSERT INTO public.ecdc_import VALUES (9843, '23/07/2020', '23', '7', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.34573654');
INSERT INTO public.ecdc_import VALUES (9844, '22/07/2020', '22', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.33967099');
INSERT INTO public.ecdc_import VALUES (9845, '21/07/2020', '21', '7', '2020', '26', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.33967099');
INSERT INTO public.ecdc_import VALUES (9846, '20/07/2020', '20', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9847, '19/07/2020', '19', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9848, '18/07/2020', '18', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9849, '17/07/2020', '17', '7', '2020', '5', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.1819666');
INSERT INTO public.ecdc_import VALUES (9850, '16/07/2020', '16', '7', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.15163883');
INSERT INTO public.ecdc_import VALUES (9851, '15/07/2020', '15', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.14557328');
INSERT INTO public.ecdc_import VALUES (9852, '14/07/2020', '14', '7', '2020', '9', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.14557328');
INSERT INTO public.ecdc_import VALUES (9853, '13/07/2020', '13', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.0909833');
INSERT INTO public.ecdc_import VALUES (9854, '12/07/2020', '12', '7', '2020', '15', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.0909833');
INSERT INTO public.ecdc_import VALUES (9855, '11/07/2020', '11', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9856, '10/07/2020', '10', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9857, '09/07/2020', '9', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9858, '08/07/2020', '8', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9859, '07/07/2020', '7', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9860, '06/07/2020', '6', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9861, '05/07/2020', '5', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9862, '04/07/2020', '4', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9863, '03/07/2020', '3', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9864, '02/07/2020', '2', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9865, '01/07/2020', '1', '7', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9866, '30/06/2020', '30', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9867, '29/06/2020', '29', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9868, '28/06/2020', '28', '6', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9869, '27/06/2020', '27', '6', '2020', '9', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9870, '26/06/2020', '26', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9871, '25/06/2020', '25', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9872, '24/06/2020', '24', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9873, '23/06/2020', '23', '6', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9874, '22/06/2020', '22', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9875, '21/06/2020', '21', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9876, '20/06/2020', '20', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9877, '19/06/2020', '19', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9878, '18/06/2020', '18', '6', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9879, '17/06/2020', '17', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9880, '16/06/2020', '16', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9881, '15/06/2020', '15', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9882, '14/06/2020', '14', '6', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9883, '13/06/2020', '13', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9884, '12/06/2020', '12', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9885, '11/06/2020', '11', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9886, '10/06/2020', '10', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9887, '09/06/2020', '9', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9888, '08/06/2020', '8', '6', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9889, '07/06/2020', '7', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9890, '06/06/2020', '6', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9891, '05/06/2020', '5', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9892, '04/06/2020', '4', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9893, '03/06/2020', '3', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9894, '02/06/2020', '2', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9895, '01/06/2020', '1', '6', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9896, '31/05/2020', '31', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9897, '30/05/2020', '30', '5', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9898, '29/05/2020', '29', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9899, '28/05/2020', '28', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9900, '27/05/2020', '27', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9901, '26/05/2020', '26', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9902, '25/05/2020', '25', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9903, '24/05/2020', '24', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9904, '23/05/2020', '23', '5', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9905, '22/05/2020', '22', '5', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9906, '21/05/2020', '21', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9907, '20/05/2020', '20', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9908, '19/05/2020', '19', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9909, '18/05/2020', '18', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9910, '17/05/2020', '17', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9911, '16/05/2020', '16', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9912, '15/05/2020', '15', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9913, '14/05/2020', '14', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9914, '13/05/2020', '13', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9915, '12/05/2020', '12', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9916, '11/05/2020', '11', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9917, '10/05/2020', '10', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9918, '09/05/2020', '9', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9919, '08/05/2020', '8', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9920, '07/05/2020', '7', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9921, '06/05/2020', '6', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9922, '05/05/2020', '5', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9923, '04/05/2020', '4', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9924, '03/05/2020', '3', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9925, '02/05/2020', '2', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9926, '01/05/2020', '1', '5', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9927, '30/04/2020', '30', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9928, '29/04/2020', '29', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9929, '28/04/2020', '28', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9930, '27/04/2020', '27', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9931, '26/04/2020', '26', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9932, '25/04/2020', '25', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9933, '24/04/2020', '24', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01819666');
INSERT INTO public.ecdc_import VALUES (9934, '23/04/2020', '23', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9935, '22/04/2020', '22', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03032777');
INSERT INTO public.ecdc_import VALUES (9936, '21/04/2020', '21', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04245887');
INSERT INTO public.ecdc_import VALUES (9937, '20/04/2020', '20', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9938, '19/04/2020', '19', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9939, '18/04/2020', '18', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9940, '17/04/2020', '17', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.04852443');
INSERT INTO public.ecdc_import VALUES (9941, '16/04/2020', '16', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07278664');
INSERT INTO public.ecdc_import VALUES (9942, '15/04/2020', '15', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9943, '14/04/2020', '14', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.07885219');
INSERT INTO public.ecdc_import VALUES (9944, '13/04/2020', '13', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.0909833');
INSERT INTO public.ecdc_import VALUES (9945, '12/04/2020', '12', '4', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.11524551');
INSERT INTO public.ecdc_import VALUES (9946, '11/04/2020', '11', '4', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.10917996');
INSERT INTO public.ecdc_import VALUES (9947, '10/04/2020', '10', '4', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.12737662');
INSERT INTO public.ecdc_import VALUES (9948, '09/04/2020', '9', '4', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13344217');
INSERT INTO public.ecdc_import VALUES (9949, '08/04/2020', '8', '4', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.15770439');
INSERT INTO public.ecdc_import VALUES (9950, '07/04/2020', '7', '4', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.16983549');
INSERT INTO public.ecdc_import VALUES (9951, '06/04/2020', '6', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.16983549');
INSERT INTO public.ecdc_import VALUES (9952, '05/04/2020', '5', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.38212986');
INSERT INTO public.ecdc_import VALUES (9953, '04/04/2020', '4', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.40639207');
INSERT INTO public.ecdc_import VALUES (9954, '03/04/2020', '3', '4', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.5458998');
INSERT INTO public.ecdc_import VALUES (9955, '02/04/2020', '2', '4', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.52163759');
INSERT INTO public.ecdc_import VALUES (9956, '01/04/2020', '1', '4', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.51557203');
INSERT INTO public.ecdc_import VALUES (9957, '31/03/2020', '31', '3', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.51557203');
INSERT INTO public.ecdc_import VALUES (9958, '30/03/2020', '30', '3', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.57622757');
INSERT INTO public.ecdc_import VALUES (9959, '29/03/2020', '29', '3', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.58229312');
INSERT INTO public.ecdc_import VALUES (9960, '28/03/2020', '28', '3', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.58835867');
INSERT INTO public.ecdc_import VALUES (9961, '27/03/2020', '27', '3', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.57622757');
INSERT INTO public.ecdc_import VALUES (9962, '26/03/2020', '26', '3', '2020', '5', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.57016201');
INSERT INTO public.ecdc_import VALUES (9963, '25/03/2020', '25', '3', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.5458998');
INSERT INTO public.ecdc_import VALUES (9964, '24/03/2020', '24', '3', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.52163759');
INSERT INTO public.ecdc_import VALUES (9965, '23/03/2020', '23', '3', '2020', '35', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.51557203');
INSERT INTO public.ecdc_import VALUES (9966, '22/03/2020', '22', '3', '2020', '4', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.30327767');
INSERT INTO public.ecdc_import VALUES (9967, '21/03/2020', '21', '3', '2020', '23', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.27901545');
INSERT INTO public.ecdc_import VALUES (9968, '20/03/2020', '20', '3', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13950773');
INSERT INTO public.ecdc_import VALUES (9969, '19/03/2020', '19', '3', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13950773');
INSERT INTO public.ecdc_import VALUES (9970, '18/03/2020', '18', '3', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13950773');
INSERT INTO public.ecdc_import VALUES (9971, '17/03/2020', '17', '3', '2020', '12', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.13950773');
INSERT INTO public.ecdc_import VALUES (9972, '16/03/2020', '16', '3', '2020', '5', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.06672109');
INSERT INTO public.ecdc_import VALUES (9973, '15/03/2020', '15', '3', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.03639332');
INSERT INTO public.ecdc_import VALUES (9974, '13/03/2020', '13', '3', '2020', '2', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.02426221');
INSERT INTO public.ecdc_import VALUES (9975, '12/03/2020', '12', '3', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.01213111');
INSERT INTO public.ecdc_import VALUES (9976, '08/03/2020', '8', '3', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9977, '02/03/2020', '2', '3', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9978, '01/03/2020', '1', '3', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9979, '29/02/2020', '29', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9980, '28/02/2020', '28', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9981, '27/02/2020', '27', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9982, '26/02/2020', '26', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9983, '25/02/2020', '25', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9984, '24/02/2020', '24', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9985, '23/02/2020', '23', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9986, '22/02/2020', '22', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9987, '21/02/2020', '21', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9988, '20/02/2020', '20', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9989, '19/02/2020', '19', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9990, '18/02/2020', '18', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9991, '17/02/2020', '17', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9992, '16/02/2020', '16', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9993, '15/02/2020', '15', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9994, '14/02/2020', '14', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9995, '13/02/2020', '13', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9996, '12/02/2020', '12', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9997, '11/02/2020', '11', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (9998, '10/02/2020', '10', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (9999, '09/02/2020', '9', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10000, '08/02/2020', '8', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10001, '07/02/2020', '7', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10002, '06/02/2020', '6', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10003, '05/02/2020', '5', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10004, '04/02/2020', '4', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10005, '03/02/2020', '3', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10006, '02/02/2020', '2', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10007, '01/02/2020', '1', '2', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10008, '31/01/2020', '31', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10009, '30/01/2020', '30', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10010, '29/01/2020', '29', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10011, '28/01/2020', '28', '1', '2020', '1', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0.00606555');
INSERT INTO public.ecdc_import VALUES (10012, '27/01/2020', '27', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10013, '26/01/2020', '26', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10014, '25/01/2020', '25', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10015, '24/01/2020', '24', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10016, '23/01/2020', '23', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10017, '22/01/2020', '22', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10018, '21/01/2020', '21', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10019, '20/01/2020', '20', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10020, '19/01/2020', '19', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10021, '18/01/2020', '18', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10022, '17/01/2020', '17', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10023, '16/01/2020', '16', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10024, '15/01/2020', '15', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10025, '14/01/2020', '14', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10026, '13/01/2020', '13', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (10027, '12/01/2020', '12', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10028, '11/01/2020', '11', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10029, '10/01/2020', '10', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10030, '09/01/2020', '9', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10031, '08/01/2020', '8', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10032, '07/01/2020', '7', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10033, '06/01/2020', '6', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10034, '05/01/2020', '5', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10035, '04/01/2020', '4', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10036, '03/01/2020', '3', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10037, '02/01/2020', '2', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10038, '01/01/2020', '1', '1', '2020', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10039, '31/12/2019', '31', '12', '2019', '0', '0', '16486542', 'Cambodia', 'KH', 'KHM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (10040, '14/12/2020', '14', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.96500485');
INSERT INTO public.ecdc_import VALUES (10041, '13/12/2020', '13', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.96500485');
INSERT INTO public.ecdc_import VALUES (10042, '12/12/2020', '12', '12', '2020', '56', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.96500485');
INSERT INTO public.ecdc_import VALUES (10043, '11/12/2020', '11', '12', '2020', '124', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.11572141');
INSERT INTO public.ecdc_import VALUES (10044, '10/12/2020', '10', '12', '2020', '211', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.05002445');
INSERT INTO public.ecdc_import VALUES (10045, '09/12/2020', '9', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.41237747');
INSERT INTO public.ecdc_import VALUES (10046, '08/12/2020', '8', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.73018123');
INSERT INTO public.ecdc_import VALUES (10047, '07/12/2020', '7', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.73018123');
INSERT INTO public.ecdc_import VALUES (10048, '06/12/2020', '6', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.73018123');
INSERT INTO public.ecdc_import VALUES (10049, '05/12/2020', '5', '12', '2020', '265', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.73018123');
INSERT INTO public.ecdc_import VALUES (10050, '04/12/2020', '4', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.14846269');
INSERT INTO public.ecdc_import VALUES (10051, '03/12/2020', '3', '12', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.14846269');
INSERT INTO public.ecdc_import VALUES (10052, '02/12/2020', '2', '12', '2020', '42', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.14846269');
INSERT INTO public.ecdc_import VALUES (10053, '01/12/2020', '1', '12', '2020', '328', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.77451609');
INSERT INTO public.ecdc_import VALUES (10054, '30/11/2020', '30', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.50695118');
INSERT INTO public.ecdc_import VALUES (10055, '29/11/2020', '29', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.55423804');
INSERT INTO public.ecdc_import VALUES (10056, '28/11/2020', '28', '11', '2020', '95', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.55423804');
INSERT INTO public.ecdc_import VALUES (10057, '27/11/2020', '27', '11', '2020', '107', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.18710796');
INSERT INTO public.ecdc_import VALUES (10058, '26/11/2020', '26', '11', '2020', '46', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.77360356');
INSERT INTO public.ecdc_import VALUES (10059, '25/11/2020', '25', '11', '2020', '341', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.59583531');
INSERT INTO public.ecdc_import VALUES (10060, '24/11/2020', '24', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.27803155');
INSERT INTO public.ecdc_import VALUES (10061, '23/11/2020', '23', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.27803155');
INSERT INTO public.ecdc_import VALUES (10062, '22/11/2020', '22', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.5833292');
INSERT INTO public.ecdc_import VALUES (10063, '21/11/2020', '21', '11', '2020', '632', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.50695118');
INSERT INTO public.ecdc_import VALUES (10064, '20/11/2020', '20', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.06457003');
INSERT INTO public.ecdc_import VALUES (10065, '19/11/2020', '19', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.06457003');
INSERT INTO public.ecdc_import VALUES (10066, '18/11/2020', '18', '11', '2020', '204', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.06457003');
INSERT INTO public.ecdc_import VALUES (10067, '17/11/2020', '17', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.4742099');
INSERT INTO public.ecdc_import VALUES (10068, '16/11/2020', '16', '11', '2020', '271', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.4742099');
INSERT INTO public.ecdc_import VALUES (10069, '15/11/2020', '15', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.42692305');
INSERT INTO public.ecdc_import VALUES (10070, '14/11/2020', '14', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.42692305');
INSERT INTO public.ecdc_import VALUES (10071, '13/11/2020', '13', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.42692305');
INSERT INTO public.ecdc_import VALUES (10072, '12/11/2020', '12', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.42692305');
INSERT INTO public.ecdc_import VALUES (10073, '11/11/2020', '11', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.42692305');
INSERT INTO public.ecdc_import VALUES (10074, '10/11/2020', '10', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.42692305');
INSERT INTO public.ecdc_import VALUES (10075, '09/11/2020', '9', '11', '2020', '79', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.2887126');
INSERT INTO public.ecdc_import VALUES (10076, '08/11/2020', '8', '11', '2020', '239', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.98341496');
INSERT INTO public.ecdc_import VALUES (10077, '07/11/2020', '7', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.05979297');
INSERT INTO public.ecdc_import VALUES (10078, '06/11/2020', '6', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.05979297');
INSERT INTO public.ecdc_import VALUES (10079, '05/11/2020', '5', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.05979297');
INSERT INTO public.ecdc_import VALUES (10080, '04/11/2020', '4', '11', '2020', '310', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.05979297');
INSERT INTO public.ecdc_import VALUES (10081, '03/11/2020', '3', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.10911929');
INSERT INTO public.ecdc_import VALUES (10082, '02/11/2020', '2', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.36031356');
INSERT INTO public.ecdc_import VALUES (10083, '01/11/2020', '1', '11', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.36031356');
INSERT INTO public.ecdc_import VALUES (10084, '31/10/2020', '31', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.36031356');
INSERT INTO public.ecdc_import VALUES (10085, '30/10/2020', '30', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.36031356');
INSERT INTO public.ecdc_import VALUES (10086, '29/10/2020', '29', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.36031356');
INSERT INTO public.ecdc_import VALUES (10087, '28/10/2020', '28', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.77768249');
INSERT INTO public.ecdc_import VALUES (10088, '27/10/2020', '27', '10', '2020', '223', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.28007102');
INSERT INTO public.ecdc_import VALUES (10089, '26/10/2020', '26', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.41828146');
INSERT INTO public.ecdc_import VALUES (10090, '25/10/2020', '25', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.41828146');
INSERT INTO public.ecdc_import VALUES (10091, '24/10/2020', '24', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.41828146');
INSERT INTO public.ecdc_import VALUES (10092, '23/10/2020', '23', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.41828146');
INSERT INTO public.ecdc_import VALUES (10093, '22/10/2020', '22', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.49648454');
INSERT INTO public.ecdc_import VALUES (10094, '21/10/2020', '21', '10', '2020', '64', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.49648454');
INSERT INTO public.ecdc_import VALUES (10095, '20/10/2020', '20', '10', '2020', '65', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.2491548');
INSERT INTO public.ecdc_import VALUES (10096, '19/10/2020', '19', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.99796053');
INSERT INTO public.ecdc_import VALUES (10097, '18/10/2020', '18', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.99796053');
INSERT INTO public.ecdc_import VALUES (10098, '17/10/2020', '17', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.99796053');
INSERT INTO public.ecdc_import VALUES (10099, '16/10/2020', '16', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.33030987');
INSERT INTO public.ecdc_import VALUES (10100, '15/10/2020', '15', '10', '2020', '108', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.33030987');
INSERT INTO public.ecdc_import VALUES (10101, '14/10/2020', '14', '10', '2020', '130', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.91294094');
INSERT INTO public.ecdc_import VALUES (10102, '13/10/2020', '13', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.41055241');
INSERT INTO public.ecdc_import VALUES (10103, '12/10/2020', '12', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.8085987');
INSERT INTO public.ecdc_import VALUES (10104, '11/10/2020', '11', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.8085987');
INSERT INTO public.ecdc_import VALUES (10105, '10/10/2020', '10', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.89748283');
INSERT INTO public.ecdc_import VALUES (10106, '09/10/2020', '9', '10', '2020', '279', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.89748283');
INSERT INTO public.ecdc_import VALUES (10107, '08/10/2020', '8', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.90429935');
INSERT INTO public.ecdc_import VALUES (10108, '07/10/2020', '7', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.25983585');
INSERT INTO public.ecdc_import VALUES (10109, '06/10/2020', '6', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.25983585');
INSERT INTO public.ecdc_import VALUES (10110, '05/10/2020', '5', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.90521188');
INSERT INTO public.ecdc_import VALUES (10111, '04/10/2020', '4', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.90521188');
INSERT INTO public.ecdc_import VALUES (10112, '03/10/2020', '3', '10', '2020', '86', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.13708351');
INSERT INTO public.ecdc_import VALUES (10113, '02/10/2020', '2', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.80473418');
INSERT INTO public.ecdc_import VALUES (10114, '01/10/2020', '1', '10', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.06752202');
INSERT INTO public.ecdc_import VALUES (10115, '30/09/2020', '30', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.19118689');
INSERT INTO public.ecdc_import VALUES (10116, '29/09/2020', '29', '9', '2020', '103', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.35736156');
INSERT INTO public.ecdc_import VALUES (10117, '28/09/2020', '28', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.19505142');
INSERT INTO public.ecdc_import VALUES (10118, '27/09/2020', '27', '9', '2020', '23', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.80564671');
INSERT INTO public.ecdc_import VALUES (10119, '26/09/2020', '26', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.71676258');
INSERT INTO public.ecdc_import VALUES (10120, '25/09/2020', '25', '9', '2020', '22', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.71676258');
INSERT INTO public.ecdc_import VALUES (10121, '24/09/2020', '24', '9', '2020', '92', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25393186');
INSERT INTO public.ecdc_import VALUES (10122, '23/09/2020', '23', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.84133998');
INSERT INTO public.ecdc_import VALUES (10123, '22/09/2020', '22', '9', '2020', '167', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.84133998');
INSERT INTO public.ecdc_import VALUES (10124, '21/09/2020', '21', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.19596395');
INSERT INTO public.ecdc_import VALUES (10125, '20/09/2020', '20', '9', '2020', '60', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.19596395');
INSERT INTO public.ecdc_import VALUES (10126, '19/09/2020', '19', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.96409232');
INSERT INTO public.ecdc_import VALUES (10127, '18/09/2020', '18', '9', '2020', '68', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.96409232');
INSERT INTO public.ecdc_import VALUES (10128, '17/09/2020', '17', '9', '2020', '32', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25779638');
INSERT INTO public.ecdc_import VALUES (10129, '16/09/2020', '16', '9', '2020', '43', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.3312224');
INSERT INTO public.ecdc_import VALUES (10130, '15/09/2020', '15', '9', '2020', '61', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.19687648');
INSERT INTO public.ecdc_import VALUES (10131, '14/09/2020', '14', '9', '2020', '158', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.96114032');
INSERT INTO public.ecdc_import VALUES (10132, '13/09/2020', '13', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.35054504');
INSERT INTO public.ecdc_import VALUES (10133, '12/09/2020', '12', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.35054504');
INSERT INTO public.ecdc_import VALUES (10134, '11/09/2020', '11', '9', '2020', '161', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.35054504');
INSERT INTO public.ecdc_import VALUES (10135, '10/09/2020', '10', '9', '2020', '244', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.38146125');
INSERT INTO public.ecdc_import VALUES (10136, '09/09/2020', '9', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.43851663');
INSERT INTO public.ecdc_import VALUES (10137, '08/09/2020', '8', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25393186');
INSERT INTO public.ecdc_import VALUES (10138, '07/09/2020', '7', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25393186');
INSERT INTO public.ecdc_import VALUES (10139, '06/09/2020', '6', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25393186');
INSERT INTO public.ecdc_import VALUES (10140, '05/09/2020', '5', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25393186');
INSERT INTO public.ecdc_import VALUES (10141, '04/09/2020', '4', '9', '2020', '144', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.25393186');
INSERT INTO public.ecdc_import VALUES (10142, '03/09/2020', '3', '9', '2020', '51', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.23074469');
INSERT INTO public.ecdc_import VALUES (10143, '02/09/2020', '2', '9', '2020', '267', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.13026699');
INSERT INTO public.ecdc_import VALUES (10144, '01/09/2020', '1', '9', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.1641352');
INSERT INTO public.ecdc_import VALUES (10145, '31/08/2020', '31', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.60082677');
INSERT INTO public.ecdc_import VALUES (10146, '30/08/2020', '30', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.60082677');
INSERT INTO public.ecdc_import VALUES (10147, '29/08/2020', '29', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.60082677');
INSERT INTO public.ecdc_import VALUES (10148, '28/08/2020', '28', '8', '2020', '169', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.22301564');
INSERT INTO public.ecdc_import VALUES (10149, '27/08/2020', '27', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.74381427');
INSERT INTO public.ecdc_import VALUES (10150, '26/08/2020', '26', '8', '2020', '211', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.93704063');
INSERT INTO public.ecdc_import VALUES (10151, '25/08/2020', '25', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.78245955');
INSERT INTO public.ecdc_import VALUES (10152, '24/08/2020', '24', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.78245955');
INSERT INTO public.ecdc_import VALUES (10153, '23/08/2020', '23', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.03456634');
INSERT INTO public.ecdc_import VALUES (10154, '22/08/2020', '22', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.03456634');
INSERT INTO public.ecdc_import VALUES (10155, '21/08/2020', '21', '8', '2020', '138', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.03456634');
INSERT INTO public.ecdc_import VALUES (10156, '20/08/2020', '20', '8', '2020', '25', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.50126159');
INSERT INTO public.ecdc_import VALUES (10157, '19/08/2020', '19', '8', '2020', '17', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.40464842');
INSERT INTO public.ecdc_import VALUES (10158, '18/08/2020', '18', '8', '2020', '113', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.12822752');
INSERT INTO public.ecdc_import VALUES (10159, '17/08/2020', '17', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.69153596');
INSERT INTO public.ecdc_import VALUES (10160, '16/08/2020', '16', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.69153596');
INSERT INTO public.ecdc_import VALUES (10161, '15/08/2020', '15', '8', '2020', '161', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.69153596');
INSERT INTO public.ecdc_import VALUES (10162, '14/08/2020', '14', '8', '2020', '45', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.06934708');
INSERT INTO public.ecdc_import VALUES (10163, '13/08/2020', '13', '8', '2020', '50', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.89544336');
INSERT INTO public.ecdc_import VALUES (10164, '12/08/2020', '12', '8', '2020', '171', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.81611335');
INSERT INTO public.ecdc_import VALUES (10165, '11/08/2020', '11', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.15527921');
INSERT INTO public.ecdc_import VALUES (10166, '10/08/2020', '10', '8', '2020', '324', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.15527921');
INSERT INTO public.ecdc_import VALUES (10167, '09/08/2020', '9', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.90317242');
INSERT INTO public.ecdc_import VALUES (10168, '08/08/2020', '8', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.90317242');
INSERT INTO public.ecdc_import VALUES (10169, '07/08/2020', '7', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.90317242');
INSERT INTO public.ecdc_import VALUES (10170, '06/08/2020', '6', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.62197447');
INSERT INTO public.ecdc_import VALUES (10171, '05/08/2020', '5', '8', '2020', '463', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.03252687');
INSERT INTO public.ecdc_import VALUES (10172, '04/08/2020', '4', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.24325081');
INSERT INTO public.ecdc_import VALUES (10173, '03/08/2020', '3', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.24325081');
INSERT INTO public.ecdc_import VALUES (10174, '02/08/2020', '2', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.24325081');
INSERT INTO public.ecdc_import VALUES (10175, '01/08/2020', '1', '8', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.24325081');
INSERT INTO public.ecdc_import VALUES (10176, '31/07/2020', '31', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.24325081');
INSERT INTO public.ecdc_import VALUES (10177, '30/07/2020', '30', '7', '2020', '547', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.04594552');
INSERT INTO public.ecdc_import VALUES (10178, '29/07/2020', '29', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.93204917');
INSERT INTO public.ecdc_import VALUES (10179, '28/07/2020', '28', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.93204917');
INSERT INTO public.ecdc_import VALUES (10180, '27/07/2020', '27', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.93204917');
INSERT INTO public.ecdc_import VALUES (10181, '26/07/2020', '26', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.92523265');
INSERT INTO public.ecdc_import VALUES (10182, '25/07/2020', '25', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.92523265');
INSERT INTO public.ecdc_import VALUES (10183, '24/07/2020', '24', '7', '2020', '186', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.92523265');
INSERT INTO public.ecdc_import VALUES (10184, '23/07/2020', '23', '7', '2020', '365', '9', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '6.2064306');
INSERT INTO public.ecdc_import VALUES (10185, '22/07/2020', '22', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.79587819');
INSERT INTO public.ecdc_import VALUES (10186, '21/07/2020', '21', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.19279755');
INSERT INTO public.ecdc_import VALUES (10187, '20/07/2020', '20', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.4526334');
INSERT INTO public.ecdc_import VALUES (10188, '19/07/2020', '19', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.77703928');
INSERT INTO public.ecdc_import VALUES (10189, '18/07/2020', '18', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.77703928');
INSERT INTO public.ecdc_import VALUES (10190, '17/07/2020', '17', '7', '2020', '984', '14', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.77703928');
INSERT INTO public.ecdc_import VALUES (10191, '16/07/2020', '16', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.97434456');
INSERT INTO public.ecdc_import VALUES (10192, '15/07/2020', '15', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.97434456');
INSERT INTO public.ecdc_import VALUES (10193, '14/07/2020', '14', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.97434456');
INSERT INTO public.ecdc_import VALUES (10194, '13/07/2020', '13', '7', '2020', '257', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.97434456');
INSERT INTO public.ecdc_import VALUES (10195, '12/07/2020', '12', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.98116109');
INSERT INTO public.ecdc_import VALUES (10196, '11/07/2020', '11', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.98116109');
INSERT INTO public.ecdc_import VALUES (10197, '10/07/2020', '10', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.98116109');
INSERT INTO public.ecdc_import VALUES (10198, '09/07/2020', '9', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.22553883');
INSERT INTO public.ecdc_import VALUES (10199, '08/07/2020', '8', '7', '2020', '879', '29', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.11051554');
INSERT INTO public.ecdc_import VALUES (10200, '07/07/2020', '7', '7', '2020', '326', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.28941073');
INSERT INTO public.ecdc_import VALUES (10201, '06/07/2020', '6', '7', '2020', '1119', '15', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.11937153');
INSERT INTO public.ecdc_import VALUES (10202, '05/07/2020', '5', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.06639509');
INSERT INTO public.ecdc_import VALUES (10203, '04/07/2020', '4', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.06639509');
INSERT INTO public.ecdc_import VALUES (10204, '03/07/2020', '3', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '7.55128604');
INSERT INTO public.ecdc_import VALUES (10205, '02/07/2020', '2', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.54243005');
INSERT INTO public.ecdc_import VALUES (10206, '01/07/2020', '1', '7', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.54243005');
INSERT INTO public.ecdc_import VALUES (10207, '30/06/2020', '30', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.54243005');
INSERT INTO public.ecdc_import VALUES (10208, '29/06/2020', '29', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.54243005');
INSERT INTO public.ecdc_import VALUES (10209, '28/06/2020', '28', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.67087198');
INSERT INTO public.ecdc_import VALUES (10210, '27/06/2020', '27', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.12393419');
INSERT INTO public.ecdc_import VALUES (10211, '26/06/2020', '26', '6', '2020', '322', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.15576294');
INSERT INTO public.ecdc_import VALUES (10212, '25/06/2020', '25', '6', '2020', '229', '5', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.91138519');
INSERT INTO public.ecdc_import VALUES (10213, '24/06/2020', '24', '6', '2020', '149', '5', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.98481121');
INSERT INTO public.ecdc_import VALUES (10214, '23/06/2020', '23', '6', '2020', '282', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.83500718');
INSERT INTO public.ecdc_import VALUES (10215, '22/06/2020', '22', '6', '2020', '329', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.30647949');
INSERT INTO public.ecdc_import VALUES (10216, '21/06/2020', '21', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.22918895');
INSERT INTO public.ecdc_import VALUES (10217, '20/06/2020', '20', '6', '2020', '643', '18', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.22918895');
INSERT INTO public.ecdc_import VALUES (10218, '19/06/2020', '19', '6', '2020', '774', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.87456498');
INSERT INTO public.ecdc_import VALUES (10219, '18/06/2020', '18', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.02640848');
INSERT INTO public.ecdc_import VALUES (10220, '17/06/2020', '17', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.67178451');
INSERT INTO public.ecdc_import VALUES (10221, '16/06/2020', '16', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.39831561');
INSERT INTO public.ecdc_import VALUES (10222, '15/06/2020', '15', '6', '2020', '292', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '15.3035275');
INSERT INTO public.ecdc_import VALUES (10223, '14/06/2020', '14', '6', '2020', '376', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.17508557');
INSERT INTO public.ecdc_import VALUES (10224, '13/06/2020', '13', '6', '2020', '267', '59', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '14.53062207');
INSERT INTO public.ecdc_import VALUES (10225, '12/06/2020', '12', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.80795549');
INSERT INTO public.ecdc_import VALUES (10226, '11/06/2020', '11', '6', '2020', '248', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '13.80795549');
INSERT INTO public.ecdc_import VALUES (10227, '10/06/2020', '10', '6', '2020', '369', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.84955276');
INSERT INTO public.ecdc_import VALUES (10228, '09/06/2020', '9', '6', '2020', '404', '5', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.62927471');
INSERT INTO public.ecdc_import VALUES (10229, '08/06/2020', '8', '6', '2020', '309', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.66314293');
INSERT INTO public.ecdc_import VALUES (10230, '07/06/2020', '7', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.60131049');
INSERT INTO public.ecdc_import VALUES (10231, '06/06/2020', '6', '6', '2020', '810', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '12.36262234');
INSERT INTO public.ecdc_import VALUES (10232, '05/06/2020', '5', '6', '2020', '37', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.66518239');
INSERT INTO public.ecdc_import VALUES (10233, '04/06/2020', '4', '6', '2020', '167', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.66700745');
INSERT INTO public.ecdc_import VALUES (10234, '03/06/2020', '3', '6', '2020', '188', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.80999496');
INSERT INTO public.ecdc_import VALUES (10235, '02/06/2020', '2', '6', '2020', '493', '8', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '11.99935679');
INSERT INTO public.ecdc_import VALUES (10236, '01/06/2020', '1', '6', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.09414491');
INSERT INTO public.ecdc_import VALUES (10237, '31/05/2020', '31', '5', '2020', '468', '14', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.09414491');
INSERT INTO public.ecdc_import VALUES (10238, '30/05/2020', '30', '5', '2020', '80', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.00821278');
INSERT INTO public.ecdc_import VALUES (10239, '29/05/2020', '29', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.2825942');
INSERT INTO public.ecdc_import VALUES (10240, '28/05/2020', '28', '5', '2020', '0', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.87773138');
INSERT INTO public.ecdc_import VALUES (10241, '27/05/2020', '27', '5', '2020', '312', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '10.3066939');
INSERT INTO public.ecdc_import VALUES (10242, '26/05/2020', '26', '5', '2020', '154', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '9.10096143');
INSERT INTO public.ecdc_import VALUES (10243, '25/05/2020', '25', '5', '2020', '293', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.93092223');
INSERT INTO public.ecdc_import VALUES (10244, '24/05/2020', '24', '5', '2020', '197', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.97729656');
INSERT INTO public.ecdc_import VALUES (10245, '23/05/2020', '23', '5', '2020', '112', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '8.25076546');
INSERT INTO public.ecdc_import VALUES (10246, '22/05/2020', '22', '5', '2020', '555', '10', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '7.81793842');
INSERT INTO public.ecdc_import VALUES (10247, '21/05/2020', '21', '5', '2020', '204', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.67312585');
INSERT INTO public.ecdc_import VALUES (10248, '20/05/2020', '20', '5', '2020', '237', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '5.50695118');
INSERT INTO public.ecdc_import VALUES (10249, '19/05/2020', '19', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.59105825');
INSERT INTO public.ecdc_import VALUES (10250, '18/05/2020', '18', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.69540048');
INSERT INTO public.ecdc_import VALUES (10251, '17/05/2020', '17', '5', '2020', '187', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.69540048');
INSERT INTO public.ecdc_import VALUES (10252, '16/05/2020', '16', '5', '2020', '151', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.00365012');
INSERT INTO public.ecdc_import VALUES (10253, '15/05/2020', '15', '5', '2020', '154', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.33599946');
INSERT INTO public.ecdc_import VALUES (10254, '14/05/2020', '14', '5', '2020', '111', '11', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.74086228');
INSERT INTO public.ecdc_import VALUES (10255, '13/05/2020', '13', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.41237747');
INSERT INTO public.ecdc_import VALUES (10256, '12/05/2020', '12', '5', '2020', '110', '11', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.12731499');
INSERT INTO public.ecdc_import VALUES (10257, '11/05/2020', '11', '5', '2020', '305', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.70221701');
INSERT INTO public.ecdc_import VALUES (10258, '10/05/2020', '10', '5', '2020', '9', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.92158252');
INSERT INTO public.ecdc_import VALUES (10259, '09/05/2020', '9', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.3312224');
INSERT INTO public.ecdc_import VALUES (10260, '08/05/2020', '8', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.33895145');
INSERT INTO public.ecdc_import VALUES (10261, '07/05/2020', '7', '5', '2020', '161', '44', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.25870891');
INSERT INTO public.ecdc_import VALUES (10262, '06/05/2020', '6', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.63652004');
INSERT INTO public.ecdc_import VALUES (10263, '05/05/2020', '5', '5', '2020', '27', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.20074101');
INSERT INTO public.ecdc_import VALUES (10264, '04/05/2020', '4', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.1002633');
INSERT INTO public.ecdc_import VALUES (10265, '03/05/2020', '3', '5', '2020', '8', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.1002633');
INSERT INTO public.ecdc_import VALUES (10266, '02/05/2020', '2', '5', '2020', '237', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '4.06934708');
INSERT INTO public.ecdc_import VALUES (10267, '01/05/2020', '1', '5', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.77564302');
INSERT INTO public.ecdc_import VALUES (10268, '30/04/2020', '30', '4', '2020', '26', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.77564302');
INSERT INTO public.ecdc_import VALUES (10269, '29/04/2020', '29', '4', '2020', '185', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.67516532');
INSERT INTO public.ecdc_import VALUES (10270, '28/04/2020', '28', '4', '2020', '0', '2', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.09548624');
INSERT INTO public.ecdc_import VALUES (10271, '27/04/2020', '27', '4', '2020', '103', '3', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '3.09548624');
INSERT INTO public.ecdc_import VALUES (10272, '26/04/2020', '26', '4', '2020', '115', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.69743995');
INSERT INTO public.ecdc_import VALUES (10273, '25/04/2020', '25', '4', '2020', '2', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.31871629');
INSERT INTO public.ecdc_import VALUES (10274, '24/04/2020', '24', '4', '2020', '238', '6', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.59309771');
INSERT INTO public.ecdc_import VALUES (10275, '23/04/2020', '23', '4', '2020', '0', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.67334025');
INSERT INTO public.ecdc_import VALUES (10276, '22/04/2020', '22', '4', '2020', '146', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.84724398');
INSERT INTO public.ecdc_import VALUES (10277, '21/04/2020', '21', '4', '2020', '1', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.38736525');
INSERT INTO public.ecdc_import VALUES (10278, '20/04/2020', '20', '4', '2020', '0', '21', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.41441694');
INSERT INTO public.ecdc_import VALUES (10279, '19/04/2020', '19', '4', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.78154701');
INSERT INTO public.ecdc_import VALUES (10280, '18/04/2020', '18', '4', '2020', '161', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.95931526');
INSERT INTO public.ecdc_import VALUES (10281, '17/04/2020', '17', '4', '2020', '0', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.25688385');
INSERT INTO public.ecdc_import VALUES (10282, '16/04/2020', '16', '4', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.40373588');
INSERT INTO public.ecdc_import VALUES (10283, '15/04/2020', '15', '4', '2020', '35', '5', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.55831697');
INSERT INTO public.ecdc_import VALUES (10284, '14/04/2020', '14', '4', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.6201494');
INSERT INTO public.ecdc_import VALUES (10285, '13/04/2020', '13', '4', '2020', '0', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.78632407');
INSERT INTO public.ecdc_import VALUES (10286, '12/04/2020', '12', '4', '2020', '17', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.78632407');
INSERT INTO public.ecdc_import VALUES (10287, '11/04/2020', '11', '4', '2020', '73', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.76313691');
INSERT INTO public.ecdc_import VALUES (10288, '10/04/2020', '10', '4', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.48102643');
INSERT INTO public.ecdc_import VALUES (10289, '09/04/2020', '9', '4', '2020', '45', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.54285886');
INSERT INTO public.ecdc_import VALUES (10290, '08/04/2020', '8', '4', '2020', '27', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.36895514');
INSERT INTO public.ecdc_import VALUES (10291, '07/04/2020', '7', '4', '2020', '8', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.32644534');
INSERT INTO public.ecdc_import VALUES (10292, '06/04/2020', '6', '4', '2020', '95', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.40760041');
INSERT INTO public.ecdc_import VALUES (10293, '05/04/2020', '5', '4', '2020', '46', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '2.04047033');
INSERT INTO public.ecdc_import VALUES (10294, '04/04/2020', '4', '4', '2020', '238', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '1.86270208');
INSERT INTO public.ecdc_import VALUES (10295, '03/04/2020', '3', '4', '2020', '38', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.99318348');
INSERT INTO public.ecdc_import VALUES (10296, '02/04/2020', '2', '4', '2020', '40', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.86178955');
INSERT INTO public.ecdc_import VALUES (10297, '01/04/2020', '1', '4', '2020', '51', '4', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.70720847');
INSERT INTO public.ecdc_import VALUES (10298, '31/03/2020', '31', '3', '2020', '43', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.53330475');
INSERT INTO public.ecdc_import VALUES (10299, '30/03/2020', '30', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.36713008');
INSERT INTO public.ecdc_import VALUES (10300, '29/03/2020', '29', '3', '2020', '11', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.37099461');
INSERT INTO public.ecdc_import VALUES (10301, '28/03/2020', '28', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.33234933');
INSERT INTO public.ecdc_import VALUES (10302, '27/03/2020', '27', '3', '2020', '16', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.33621386');
INSERT INTO public.ecdc_import VALUES (10303, '26/03/2020', '26', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '0.27824595');
INSERT INTO public.ecdc_import VALUES (10304, '25/03/2020', '25', '3', '2020', '16', '1', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10305, '24/03/2020', '24', '3', '2020', '29', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10306, '23/03/2020', '23', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10307, '22/03/2020', '22', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10308, '21/03/2020', '21', '3', '2020', '13', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10309, '20/03/2020', '20', '3', '2020', '4', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10310, '19/03/2020', '19', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10311, '18/03/2020', '18', '3', '2020', '6', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10312, '17/03/2020', '17', '3', '2020', '0', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10313, '16/03/2020', '16', '3', '2020', '1', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10314, '15/03/2020', '15', '3', '2020', '1', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10315, '09/03/2020', '9', '3', '2020', '1', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10316, '07/03/2020', '7', '3', '2020', '1', '0', '25876387', 'Cameroon', 'CM', 'CMR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10317, '14/12/2020', '14', '12', '2020', '5891', '81', '37411038', 'Canada', 'CA', 'CAN', 'America', '241.81365938');
INSERT INTO public.ecdc_import VALUES (10318, '13/12/2020', '13', '12', '2020', '6011', '99', '37411038', 'Canada', 'CA', 'CAN', 'America', '240.68297704');
INSERT INTO public.ecdc_import VALUES (10319, '12/12/2020', '12', '12', '2020', '6772', '142', '37411038', 'Canada', 'CA', 'CAN', 'America', '239.97462995');
INSERT INTO public.ecdc_import VALUES (10320, '11/12/2020', '11', '12', '2020', '6739', '126', '37411038', 'Canada', 'CA', 'CAN', 'America', '237.82285859');
INSERT INTO public.ecdc_import VALUES (10321, '10/12/2020', '10', '12', '2020', '6295', '116', '37411038', 'Canada', 'CA', 'CAN', 'America', '234.86116584');
INSERT INTO public.ecdc_import VALUES (10322, '09/12/2020', '9', '12', '2020', '5981', '90', '37411038', 'Canada', 'CA', 'CAN', 'America', '231.45842679');
INSERT INTO public.ecdc_import VALUES (10323, '08/12/2020', '8', '12', '2020', '7872', '112', '37411038', 'Canada', 'CA', 'CAN', 'America', '228.53950217');
INSERT INTO public.ecdc_import VALUES (10324, '07/12/2020', '7', '12', '2020', '6261', '76', '37411038', 'Canada', 'CA', 'CAN', 'America', '226.34763569');
INSERT INTO public.ecdc_import VALUES (10325, '06/12/2020', '6', '12', '2020', '6352', '93', '37411038', 'Canada', 'CA', 'CAN', 'America', '222.42098709');
INSERT INTO public.ecdc_import VALUES (10326, '05/12/2020', '5', '12', '2020', '6299', '89', '37411038', 'Canada', 'CA', 'CAN', 'America', '218.78569635');
INSERT INTO public.ecdc_import VALUES (10327, '04/12/2020', '4', '12', '2020', '6495', '82', '37411038', 'Canada', 'CA', 'CAN', 'America', '215.22792284');
INSERT INTO public.ecdc_import VALUES (10328, '03/12/2020', '3', '12', '2020', '6307', '114', '37411038', 'Canada', 'CA', 'CAN', 'America', '210.27483921');
INSERT INTO public.ecdc_import VALUES (10329, '02/12/2020', '2', '12', '2020', '5329', '81', '37411038', 'Canada', 'CA', 'CAN', 'America', '205.82160805');
INSERT INTO public.ecdc_import VALUES (10330, '01/12/2020', '1', '12', '2020', '7861', '98', '37411038', 'Canada', 'CA', 'CAN', 'America', '203.00693074');
INSERT INTO public.ecdc_import VALUES (10331, '30/11/2020', '30', '11', '2020', '5468', '56', '37411038', 'Canada', 'CA', 'CAN', 'America', '198.33985895');
INSERT INTO public.ecdc_import VALUES (10332, '29/11/2020', '29', '11', '2020', '5746', '82', '37411038', 'Canada', 'CA', 'CAN', 'America', '194.80614251');
INSERT INTO public.ecdc_import VALUES (10333, '28/11/2020', '28', '11', '2020', '5967', '95', '37411038', 'Canada', 'CA', 'CAN', 'America', '191.77762456');
INSERT INTO public.ecdc_import VALUES (10334, '27/11/2020', '27', '11', '2020', '5631', '89', '37411038', 'Canada', 'CA', 'CAN', 'America', '188.50051688');
INSERT INTO public.ecdc_import VALUES (10335, '26/11/2020', '26', '11', '2020', '5022', '92', '37411038', 'Canada', 'CA', 'CAN', 'America', '188.19312097');
INSERT INTO public.ecdc_import VALUES (10336, '25/11/2020', '25', '11', '2020', '4889', '97', '37411038', 'Canada', 'CA', 'CAN', 'America', '185.52545909');
INSERT INTO public.ecdc_import VALUES (10337, '24/11/2020', '24', '11', '2020', '7052', '66', '37411038', 'Canada', 'CA', 'CAN', 'America', '183.95640346');
INSERT INTO public.ecdc_import VALUES (10338, '23/11/2020', '23', '11', '2020', '4792', '49', '37411038', 'Canada', 'CA', 'CAN', 'America', '177.46099427');
INSERT INTO public.ecdc_import VALUES (10339, '22/11/2020', '22', '11', '2020', '4992', '72', '37411038', 'Canada', 'CA', 'CAN', 'America', '175.49900647');
INSERT INTO public.ecdc_import VALUES (10340, '21/11/2020', '21', '11', '2020', '4968', '69', '37411038', 'Canada', 'CA', 'CAN', 'America', '173.50494258');
INSERT INTO public.ecdc_import VALUES (10341, '20/11/2020', '20', '11', '2020', '4642', '79', '37411038', 'Canada', 'CA', 'CAN', 'America', '172.17645765');
INSERT INTO public.ecdc_import VALUES (10342, '19/11/2020', '19', '11', '2020', '4641', '100', '37411038', 'Canada', 'CA', 'CAN', 'America', '169.4847387');
INSERT INTO public.ecdc_import VALUES (10343, '18/11/2020', '18', '11', '2020', '4276', '59', '37411038', 'Canada', 'CA', 'CAN', 'America', '164.47819491');
INSERT INTO public.ecdc_import VALUES (10344, '17/11/2020', '17', '11', '2020', '6115', '74', '37411038', 'Canada', 'CA', 'CAN', 'America', '165.53670604');
INSERT INTO public.ecdc_import VALUES (10345, '16/11/2020', '16', '11', '2020', '4146', '62', '37411038', 'Canada', 'CA', 'CAN', 'America', '158.33829577');
INSERT INTO public.ecdc_import VALUES (10346, '15/11/2020', '15', '11', '2020', '4613', '63', '37411038', 'Canada', 'CA', 'CAN', 'America', '153.48411343');
INSERT INTO public.ecdc_import VALUES (10347, '14/11/2020', '14', '11', '2020', '4741', '60', '37411038', 'Canada', 'CA', 'CAN', 'America', '147.86812384');
INSERT INTO public.ecdc_import VALUES (10348, '13/11/2020', '13', '11', '2020', '5516', '83', '37411038', 'Canada', 'CA', 'CAN', 'America', '144.4359817');
INSERT INTO public.ecdc_import VALUES (10349, '12/11/2020', '12', '11', '2020', '4024', '53', '37411038', 'Canada', 'CA', 'CAN', 'America', '137.59308149');
INSERT INTO public.ecdc_import VALUES (10350, '11/11/2020', '11', '11', '2020', '4302', '68', '37411038', 'Canada', 'CA', 'CAN', 'America', '134.05134602');
INSERT INTO public.ecdc_import VALUES (10351, '10/11/2020', '10', '11', '2020', '4622', '42', '37411038', 'Canada', 'CA', 'CAN', 'America', '129.69968917');
INSERT INTO public.ecdc_import VALUES (10352, '09/11/2020', '9', '11', '2020', '4058', '32', '37411038', 'Canada', 'CA', 'CAN', 'America', '128.32843612');
INSERT INTO public.ecdc_import VALUES (10353, '08/11/2020', '8', '11', '2020', '4246', '54', '37411038', 'Canada', 'CA', 'CAN', 'America', '123.21497201');
INSERT INTO public.ecdc_import VALUES (10354, '07/11/2020', '7', '11', '2020', '4471', '55', '37411038', 'Canada', 'CA', 'CAN', 'America', '117.81816907');
INSERT INTO public.ecdc_import VALUES (10355, '06/11/2020', '6', '11', '2020', '3635', '50', '37411038', 'Canada', 'CA', 'CAN', 'America', '112.77420316');
INSERT INTO public.ecdc_import VALUES (10356, '05/11/2020', '5', '11', '2020', '2768', '52', '37411038', 'Canada', 'CA', 'CAN', 'America', '110.51016548');
INSERT INTO public.ecdc_import VALUES (10357, '04/11/2020', '4', '11', '2020', '4672', '71', '37411038', 'Canada', 'CA', 'CAN', 'America', '110.25355672');
INSERT INTO public.ecdc_import VALUES (10358, '03/11/2020', '3', '11', '2020', '3422', '29', '37411038', 'Canada', 'CA', 'CAN', 'America', '103.7822046');
INSERT INTO public.ecdc_import VALUES (10359, '02/11/2020', '2', '11', '2020', '2330', '43', '37411038', 'Canada', 'CA', 'CAN', 'America', '103.42669455');
INSERT INTO public.ecdc_import VALUES (10360, '01/11/2020', '1', '11', '2020', '2512', '26', '37411038', 'Canada', 'CA', 'CAN', 'America', '102.08217158');
INSERT INTO public.ecdc_import VALUES (10361, '31/10/2020', '31', '10', '2020', '3457', '36', '37411038', 'Canada', 'CA', 'CAN', 'America', '101.28828823');
INSERT INTO public.ecdc_import VALUES (10362, '30/10/2020', '30', '10', '2020', '2956', '42', '37411038', 'Canada', 'CA', 'CAN', 'America', '98.39342068');
INSERT INTO public.ecdc_import VALUES (10363, '29/10/2020', '29', '10', '2020', '2699', '31', '37411038', 'Canada', 'CA', 'CAN', 'America', '96.76021285');
INSERT INTO public.ecdc_import VALUES (10364, '28/10/2020', '28', '10', '2020', '2674', '28', '37411038', 'Canada', 'CA', 'CAN', 'America', '96.24432233');
INSERT INTO public.ecdc_import VALUES (10365, '27/10/2020', '27', '10', '2020', '4109', '27', '37411038', 'Canada', 'CA', 'CAN', 'America', '99.90099713');
INSERT INTO public.ecdc_import VALUES (10366, '26/10/2020', '26', '10', '2020', '2145', '24', '37411038', 'Canada', 'CA', 'CAN', 'America', '101.53955097');
INSERT INTO public.ecdc_import VALUES (10367, '25/10/2020', '25', '10', '2020', '2227', '34', '37411038', 'Canada', 'CA', 'CAN', 'America', '95.80594904');
INSERT INTO public.ecdc_import VALUES (10368, '24/10/2020', '24', '10', '2020', '2584', '26', '37411038', 'Canada', 'CA', 'CAN', 'America', '89.85316045');
INSERT INTO public.ecdc_import VALUES (10369, '23/10/2020', '23', '10', '2020', '2788', '33', '37411038', 'Canada', 'CA', 'CAN', 'America', '89.78366224');
INSERT INTO public.ecdc_import VALUES (10370, '22/10/2020', '22', '10', '2020', '2672', '35', '37411038', 'Canada', 'CA', 'CAN', 'America', '88.84276346');
INSERT INTO public.ecdc_import VALUES (10371, '21/10/2020', '21', '10', '2020', '2251', '16', '37411038', 'Canada', 'CA', 'CAN', 'America', '86.51190058');
INSERT INTO public.ecdc_import VALUES (10372, '20/10/2020', '20', '10', '2020', '3289', '18', '37411038', 'Canada', 'CA', 'CAN', 'America', '86.81127746');
INSERT INTO public.ecdc_import VALUES (10373, '19/10/2020', '19', '10', '2020', '1827', '14', '37411038', 'Canada', 'CA', 'CAN', 'America', '85.51486863');
INSERT INTO public.ecdc_import VALUES (10374, '18/10/2020', '18', '10', '2020', '2215', '24', '37411038', 'Canada', 'CA', 'CAN', 'America', '85.13530151');
INSERT INTO public.ecdc_import VALUES (10375, '17/10/2020', '17', '10', '2020', '2374', '23', '37411038', 'Canada', 'CA', 'CAN', 'America', '84.05807933');
INSERT INTO public.ecdc_import VALUES (10376, '16/10/2020', '16', '10', '2020', '2345', '35', '37411038', 'Canada', 'CA', 'CAN', 'America', '83.38982736');
INSERT INTO public.ecdc_import VALUES (10377, '15/10/2020', '15', '10', '2020', '2506', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '81.87155887');
INSERT INTO public.ecdc_import VALUES (10378, '14/10/2020', '14', '10', '2020', '4042', '27', '37411038', 'Canada', 'CA', 'CAN', 'America', '79.97639627');
INSERT INTO public.ecdc_import VALUES (10379, '13/10/2020', '13', '10', '2020', '4722', '42', '37411038', 'Canada', 'CA', 'CAN', 'America', '73.60929146');
INSERT INTO public.ecdc_import VALUES (10380, '12/10/2020', '12', '10', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '66.80381336');
INSERT INTO public.ecdc_import VALUES (10381, '11/10/2020', '11', '10', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '70.69036684');
INSERT INTO public.ecdc_import VALUES (10382, '10/10/2020', '10', '10', '2020', '2558', '28', '37411038', 'Canada', 'CA', 'CAN', 'America', '73.93807143');
INSERT INTO public.ecdc_import VALUES (10383, '09/10/2020', '9', '10', '2020', '2436', '16', '37411038', 'Canada', 'CA', 'CAN', 'America', '70.74115399');
INSERT INTO public.ecdc_import VALUES (10384, '08/10/2020', '8', '10', '2020', '1800', '11', '37411038', 'Canada', 'CA', 'CAN', 'America', '67.81421034');
INSERT INTO public.ecdc_import VALUES (10385, '07/10/2020', '7', '10', '2020', '2363', '26', '37411038', 'Canada', 'CA', 'CAN', 'America', '65.91637473');
INSERT INTO public.ecdc_import VALUES (10386, '06/10/2020', '6', '10', '2020', '2804', '23', '37411038', 'Canada', 'CA', 'CAN', 'America', '62.93597093');
INSERT INTO public.ecdc_import VALUES (10387, '05/10/2020', '5', '10', '2020', '1685', '19', '37411038', 'Canada', 'CA', 'CAN', 'America', '60.16138873');
INSERT INTO public.ecdc_import VALUES (10388, '04/10/2020', '4', '10', '2020', '1812', '53', '37411038', 'Canada', 'CA', 'CAN', 'America', '57.99625234');
INSERT INTO public.ecdc_import VALUES (10389, '03/10/2020', '3', '10', '2020', '2124', '90', '37411038', 'Canada', 'CA', 'CAN', 'America', '55.45956784');
INSERT INTO public.ecdc_import VALUES (10390, '02/10/2020', '2', '10', '2020', '1777', '22', '37411038', 'Canada', 'CA', 'CAN', 'America', '52.57271931');
INSERT INTO public.ecdc_import VALUES (10391, '01/10/2020', '1', '10', '2020', '1797', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '50.81655313');
INSERT INTO public.ecdc_import VALUES (10392, '30/09/2020', '30', '9', '2020', '1660', '13', '37411038', 'Canada', 'CA', 'CAN', 'America', '48.53647739');
INSERT INTO public.ecdc_import VALUES (10393, '29/09/2020', '29', '9', '2020', '2176', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '46.21897954');
INSERT INTO public.ecdc_import VALUES (10394, '28/09/2020', '28', '9', '2020', '1454', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '44.01374803');
INSERT INTO public.ecdc_import VALUES (10395, '27/09/2020', '27', '9', '2020', '1215', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '41.51181264');
INSERT INTO public.ecdc_import VALUES (10396, '26/09/2020', '26', '9', '2020', '1362', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '39.64070711');
INSERT INTO public.ecdc_import VALUES (10397, '25/09/2020', '25', '9', '2020', '1341', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '37.8765219');
INSERT INTO public.ecdc_import VALUES (10398, '24/09/2020', '24', '9', '2020', '1090', '9', '37411038', 'Canada', 'CA', 'CAN', 'America', '35.97601328');
INSERT INTO public.ecdc_import VALUES (10399, '23/09/2020', '23', '9', '2020', '1248', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '34.52189699');
INSERT INTO public.ecdc_import VALUES (10400, '22/09/2020', '22', '9', '2020', '1766', '11', '37411038', 'Canada', 'CA', 'CAN', 'America', '35.47883381');
INSERT INTO public.ecdc_import VALUES (10401, '21/09/2020', '21', '9', '2020', '875', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '31.41853482');
INSERT INTO public.ecdc_import VALUES (10402, '20/09/2020', '20', '9', '2020', '863', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '30.14885607');
INSERT INTO public.ecdc_import VALUES (10403, '19/09/2020', '19', '9', '2020', '1044', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '28.83373618');
INSERT INTO public.ecdc_import VALUES (10404, '18/09/2020', '18', '9', '2020', '1120', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '27.72978392');
INSERT INTO public.ecdc_import VALUES (10405, '17/09/2020', '17', '9', '2020', '944', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '26.25962958');
INSERT INTO public.ecdc_import VALUES (10406, '16/09/2020', '16', '9', '2020', '793', '9', '37411038', 'Canada', 'CA', 'CAN', 'America', '25.06746806');
INSERT INTO public.ecdc_import VALUES (10407, '15/09/2020', '15', '9', '2020', '1351', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '24.22279756');
INSERT INTO public.ecdc_import VALUES (10408, '14/09/2020', '14', '9', '2020', '518', '1', '37411038', 'Canada', 'CA', 'CAN', 'America', '23.30595585');
INSERT INTO public.ecdc_import VALUES (10409, '13/09/2020', '13', '9', '2020', '515', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '22.63503087');
INSERT INTO public.ecdc_import VALUES (10410, '12/09/2020', '12', '9', '2020', '702', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '22.10042929');
INSERT INTO public.ecdc_import VALUES (10411, '11/09/2020', '11', '9', '2020', '630', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '21.58721177');
INSERT INTO public.ecdc_import VALUES (10412, '10/09/2020', '10', '9', '2020', '546', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '21.0552832');
INSERT INTO public.ecdc_import VALUES (10413, '09/09/2020', '9', '9', '2020', '1606', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '20.79332843');
INSERT INTO public.ecdc_import VALUES (10414, '08/09/2020', '8', '9', '2020', '247', '1', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.36118629');
INSERT INTO public.ecdc_import VALUES (10415, '07/09/2020', '7', '9', '2020', '400', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.70838227');
INSERT INTO public.ecdc_import VALUES (10416, '06/09/2020', '6', '9', '2020', '371', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.35287222');
INSERT INTO public.ecdc_import VALUES (10417, '05/09/2020', '5', '9', '2020', '631', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.04814932');
INSERT INTO public.ecdc_import VALUES (10418, '04/09/2020', '4', '9', '2020', '570', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.69531228');
INSERT INTO public.ecdc_import VALUES (10419, '03/09/2020', '3', '9', '2020', '498', '3', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.1954598');
INSERT INTO public.ecdc_import VALUES (10420, '02/09/2020', '2', '9', '2020', '477', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.76243252');
INSERT INTO public.ecdc_import VALUES (10421, '01/09/2020', '1', '9', '2020', '1008', '9', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.24119598');
INSERT INTO public.ecdc_import VALUES (10422, '31/08/2020', '31', '8', '2020', '267', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.64511522');
INSERT INTO public.ecdc_import VALUES (10423, '30/08/2020', '30', '8', '2020', '315', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.46067767');
INSERT INTO public.ecdc_import VALUES (10424, '29/08/2020', '29', '8', '2020', '510', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.25218306');
INSERT INTO public.ecdc_import VALUES (10425, '28/08/2020', '28', '8', '2020', '431', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.00626633');
INSERT INTO public.ecdc_import VALUES (10426, '27/08/2020', '27', '8', '2020', '448', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.93676813');
INSERT INTO public.ecdc_import VALUES (10427, '26/08/2020', '26', '8', '2020', '322', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.86994293');
INSERT INTO public.ecdc_import VALUES (10428, '25/08/2020', '25', '8', '2020', '751', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.78173367');
INSERT INTO public.ecdc_import VALUES (10429, '24/08/2020', '24', '8', '2020', '267', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.554528');
INSERT INTO public.ecdc_import VALUES (10430, '23/08/2020', '23', '8', '2020', '257', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.49572182');
INSERT INTO public.ecdc_import VALUES (10431, '22/08/2020', '22', '8', '2020', '499', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.43958866');
INSERT INTO public.ecdc_import VALUES (10432, '21/08/2020', '21', '8', '2020', '383', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.23911307');
INSERT INTO public.ecdc_import VALUES (10433, '20/08/2020', '20', '8', '2020', '336', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.21505599');
INSERT INTO public.ecdc_import VALUES (10434, '19/08/2020', '19', '8', '2020', '282', '13', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.37276346');
INSERT INTO public.ecdc_import VALUES (10435, '18/08/2020', '18', '8', '2020', '785', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.65046124');
INSERT INTO public.ecdc_import VALUES (10436, '17/08/2020', '17', '8', '2020', '198', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '13.9450822');
INSERT INTO public.ecdc_import VALUES (10437, '16/08/2020', '16', '8', '2020', '237', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.17763388');
INSERT INTO public.ecdc_import VALUES (10438, '15/08/2020', '15', '8', '2020', '418', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.31128428');
INSERT INTO public.ecdc_import VALUES (10439, '14/08/2020', '14', '8', '2020', '405', '9', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.56522003');
INSERT INTO public.ecdc_import VALUES (10440, '13/08/2020', '13', '8', '2020', '423', '15', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.36207143');
INSERT INTO public.ecdc_import VALUES (10441, '12/08/2020', '12', '8', '2020', '289', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.50374085');
INSERT INTO public.ecdc_import VALUES (10442, '11/08/2020', '11', '8', '2020', '666', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.75500359');
INSERT INTO public.ecdc_import VALUES (10443, '10/08/2020', '10', '8', '2020', '245', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.84321285');
INSERT INTO public.ecdc_import VALUES (10444, '09/08/2020', '9', '8', '2020', '236', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.13724372');
INSERT INTO public.ecdc_import VALUES (10445, '08/08/2020', '8', '8', '2020', '424', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.44196662');
INSERT INTO public.ecdc_import VALUES (10446, '07/08/2020', '7', '8', '2020', '374', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.73599749');
INSERT INTO public.ecdc_import VALUES (10447, '06/08/2020', '6', '8', '2020', '395', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.89103195');
INSERT INTO public.ecdc_import VALUES (10448, '05/08/2020', '5', '8', '2020', '760', '11', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.28663711');
INSERT INTO public.ecdc_import VALUES (10449, '04/08/2020', '4', '8', '2020', '147', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.78143862');
INSERT INTO public.ecdc_import VALUES (10450, '03/08/2020', '3', '8', '2020', '285', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.46008758');
INSERT INTO public.ecdc_import VALUES (10451, '02/08/2020', '2', '8', '2020', '287', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.5159257');
INSERT INTO public.ecdc_import VALUES (10452, '01/08/2020', '1', '8', '2020', '513', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.74877243');
INSERT INTO public.ecdc_import VALUES (10453, '31/07/2020', '31', '7', '2020', '329', '12', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.46008758');
INSERT INTO public.ecdc_import VALUES (10454, '30/07/2020', '30', '7', '2020', '476', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.74877243');
INSERT INTO public.ecdc_import VALUES (10455, '29/07/2020', '29', '7', '2020', '383', '11', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.38791637');
INSERT INTO public.ecdc_import VALUES (10456, '28/07/2020', '28', '7', '2020', '699', '11', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.24891996');
INSERT INTO public.ecdc_import VALUES (10457, '27/07/2020', '27', '7', '2020', '355', '5', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.8907369');
INSERT INTO public.ecdc_import VALUES (10458, '26/07/2020', '26', '7', '2020', '350', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.59403302');
INSERT INTO public.ecdc_import VALUES (10459, '25/07/2020', '25', '7', '2020', '534', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.249215');
INSERT INTO public.ecdc_import VALUES (10460, '24/07/2020', '24', '7', '2020', '432', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.67986432');
INSERT INTO public.ecdc_import VALUES (10461, '23/07/2020', '23', '7', '2020', '543', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.51681084');
INSERT INTO public.ecdc_import VALUES (10462, '22/07/2020', '22', '7', '2020', '571', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.77906066');
INSERT INTO public.ecdc_import VALUES (10463, '21/07/2020', '21', '7', '2020', '775', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '13.87291098');
INSERT INTO public.ecdc_import VALUES (10464, '20/07/2020', '20', '7', '2020', '680', '13', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.86786002');
INSERT INTO public.ecdc_import VALUES (10465, '19/07/2020', '19', '7', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.63560337');
INSERT INTO public.ecdc_import VALUES (10466, '18/07/2020', '18', '7', '2020', '405', '12', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.23970316');
INSERT INTO public.ecdc_import VALUES (10467, '17/07/2020', '17', '7', '2020', '437', '17', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.00982448');
INSERT INTO public.ecdc_import VALUES (10468, '16/07/2020', '16', '7', '2020', '341', '12', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.35731551');
INSERT INTO public.ecdc_import VALUES (10469, '15/07/2020', '15', '7', '2020', '331', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.44581981');
INSERT INTO public.ecdc_import VALUES (10470, '14/07/2020', '14', '7', '2020', '565', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.32553446');
INSERT INTO public.ecdc_import VALUES (10471, '13/07/2020', '13', '7', '2020', '244', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.60085427');
INSERT INTO public.ecdc_import VALUES (10472, '12/07/2020', '12', '7', '2020', '221', '14', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.53135607');
INSERT INTO public.ecdc_import VALUES (10473, '11/07/2020', '11', '7', '2020', '321', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.5767972');
INSERT INTO public.ecdc_import VALUES (10474, '10/07/2020', '10', '7', '2020', '371', '12', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.17851902');
INSERT INTO public.ecdc_import VALUES (10475, '09/07/2020', '9', '7', '2020', '267', '26', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.17317301');
INSERT INTO public.ecdc_import VALUES (10476, '08/07/2020', '8', '7', '2020', '232', '18', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.2052491');
INSERT INTO public.ecdc_import VALUES (10477, '07/07/2020', '7', '7', '2020', '399', '9', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.45651185');
INSERT INTO public.ecdc_import VALUES (10478, '06/07/2020', '6', '7', '2020', '219', '10', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.22128715');
INSERT INTO public.ecdc_import VALUES (10479, '05/07/2020', '5', '7', '2020', '226', '11', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.48591493');
INSERT INTO public.ecdc_import VALUES (10480, '04/07/2020', '4', '7', '2020', '319', '21', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.92428823');
INSERT INTO public.ecdc_import VALUES (10481, '03/07/2020', '3', '7', '2020', '567', '51', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.16485894');
INSERT INTO public.ecdc_import VALUES (10482, '02/07/2020', '2', '7', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.63025736');
INSERT INTO public.ecdc_import VALUES (10483, '01/07/2020', '1', '7', '2020', '286', '25', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.66203841');
INSERT INTO public.ecdc_import VALUES (10484, '30/06/2020', '30', '6', '2020', '668', '44', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.75292068');
INSERT INTO public.ecdc_import VALUES (10485, '29/06/2020', '29', '6', '2020', '218', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '11.92963424');
INSERT INTO public.ecdc_import VALUES (10486, '28/06/2020', '28', '6', '2020', '238', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.3546425');
INSERT INTO public.ecdc_import VALUES (10487, '27/06/2020', '27', '6', '2020', '172', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.96676131');
INSERT INTO public.ecdc_import VALUES (10488, '26/06/2020', '26', '6', '2020', '369', '20', '37411038', 'Canada', 'CA', 'CAN', 'America', '13.61095621');
INSERT INTO public.ecdc_import VALUES (10489, '25/06/2020', '25', '6', '2020', '279', '30', '37411038', 'Canada', 'CA', 'CAN', 'America', '13.70718449');
INSERT INTO public.ecdc_import VALUES (10490, '24/06/2020', '24', '6', '2020', '326', '18', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.22307502');
INSERT INTO public.ecdc_import VALUES (10491, '23/06/2020', '23', '6', '2020', '311', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '14.44493467');
INSERT INTO public.ecdc_import VALUES (10492, '22/06/2020', '22', '6', '2020', '318', '20', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.07041852');
INSERT INTO public.ecdc_import VALUES (10493, '21/06/2020', '21', '6', '2020', '390', '64', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.93647308');
INSERT INTO public.ecdc_import VALUES (10494, '20/06/2020', '20', '6', '2020', '409', '46', '37411038', 'Canada', 'CA', 'CAN', 'America', '16.8239117');
INSERT INTO public.ecdc_import VALUES (10495, '19/06/2020', '19', '6', '2020', '367', '46', '37411038', 'Canada', 'CA', 'CAN', 'America', '17.35851328');
INSERT INTO public.ecdc_import VALUES (10496, '18/06/2020', '18', '6', '2020', '386', '41', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.09091745');
INSERT INTO public.ecdc_import VALUES (10497, '17/06/2020', '17', '6', '2020', '320', '38', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.86341673');
INSERT INTO public.ecdc_import VALUES (10498, '16/06/2020', '16', '6', '2020', '360', '29', '37411038', 'Canada', 'CA', 'CAN', 'America', '19.89252477');
INSERT INTO public.ecdc_import VALUES (10499, '15/06/2020', '15', '6', '2020', '377', '39', '37411038', 'Canada', 'CA', 'CAN', 'America', '20.95638191');
INSERT INTO public.ecdc_import VALUES (10500, '14/06/2020', '14', '6', '2020', '467', '58', '37411038', 'Canada', 'CA', 'CAN', 'America', '21.97212491');
INSERT INTO public.ecdc_import VALUES (10501, '13/06/2020', '13', '6', '2020', '413', '55', '37411038', 'Canada', 'CA', 'CAN', 'America', '22.78739232');
INSERT INTO public.ecdc_import VALUES (10502, '12/06/2020', '12', '6', '2020', '405', '34', '37411038', 'Canada', 'CA', 'CAN', 'America', '24.10518521');
INSERT INTO public.ecdc_import VALUES (10503, '11/06/2020', '11', '6', '2020', '472', '63', '37411038', 'Canada', 'CA', 'CAN', 'America', '25.67691386');
INSERT INTO public.ecdc_import VALUES (10504, '10/06/2020', '10', '6', '2020', '409', '62', '37411038', 'Canada', 'CA', 'CAN', 'America', '26.74611701');
INSERT INTO public.ecdc_import VALUES (10505, '09/06/2020', '9', '6', '2020', '545', '35', '37411038', 'Canada', 'CA', 'CAN', 'America', '28.15479218');
INSERT INTO public.ecdc_import VALUES (10506, '08/06/2020', '8', '6', '2020', '642', '27', '37411038', 'Canada', 'CA', 'CAN', 'America', '29.40308686');
INSERT INTO public.ecdc_import VALUES (10507, '07/06/2020', '7', '6', '2020', '722', '70', '37411038', 'Canada', 'CA', 'CAN', 'America', '30.56851831');
INSERT INTO public.ecdc_import VALUES (10508, '06/06/2020', '6', '6', '2020', '609', '66', '37411038', 'Canada', 'CA', 'CAN', 'America', '31.68850862');
INSERT INTO public.ecdc_import VALUES (10509, '05/06/2020', '5', '6', '2020', '641', '139', '37411038', 'Canada', 'CA', 'CAN', 'America', '33.15064394');
INSERT INTO public.ecdc_import VALUES (10510, '04/06/2020', '4', '6', '2020', '675', '103', '37411038', 'Canada', 'CA', 'CAN', 'America', '34.70366152');
INSERT INTO public.ecdc_import VALUES (10895, '30/04/2020', '30', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '10.5466818');
INSERT INTO public.ecdc_import VALUES (10511, '03/06/2020', '3', '6', '2020', '705', '69', '37411038', 'Canada', 'CA', 'CAN', 'America', '35.54565901');
INSERT INTO public.ecdc_import VALUES (10512, '02/06/2020', '2', '6', '2020', '758', '31', '37411038', 'Canada', 'CA', 'CAN', 'America', '36.44111666');
INSERT INTO public.ecdc_import VALUES (10513, '01/06/2020', '1', '6', '2020', '757', '222', '37411038', 'Canada', 'CA', 'CAN', 'America', '37.27509512');
INSERT INTO public.ecdc_import VALUES (10514, '31/05/2020', '31', '5', '2020', '772', '94', '37411038', 'Canada', 'CA', 'CAN', 'America', '38.29351113');
INSERT INTO public.ecdc_import VALUES (10515, '30/05/2020', '30', '5', '2020', '906', '102', '37411038', 'Canada', 'CA', 'CAN', 'America', '39.57388191');
INSERT INTO public.ecdc_import VALUES (10516, '29/05/2020', '29', '5', '2020', '993', '112', '37411038', 'Canada', 'CA', 'CAN', 'America', '40.36241924');
INSERT INTO public.ecdc_import VALUES (10517, '28/05/2020', '28', '5', '2020', '872', '126', '37411038', 'Canada', 'CA', 'CAN', 'America', '40.70991027');
INSERT INTO public.ecdc_import VALUES (10518, '27/05/2020', '27', '5', '2020', '936', '94', '37411038', 'Canada', 'CA', 'CAN', 'America', '41.37548923');
INSERT INTO public.ecdc_import VALUES (10519, '26/05/2020', '26', '5', '2020', '1012', '121', '37411038', 'Canada', 'CA', 'CAN', 'America', '42.01701113');
INSERT INTO public.ecdc_import VALUES (10520, '25/05/2020', '25', '5', '2020', '1078', '69', '37411038', 'Canada', 'CA', 'CAN', 'America', '42.34044508');
INSERT INTO public.ecdc_import VALUES (10521, '24/05/2020', '24', '5', '2020', '1141', '105', '37411038', 'Canada', 'CA', 'CAN', 'America', '42.52220962');
INSERT INTO public.ecdc_import VALUES (10522, '23/05/2020', '23', '5', '2020', '1156', '98', '37411038', 'Canada', 'CA', 'CAN', 'America', '42.86168162');
INSERT INTO public.ecdc_import VALUES (10523, '22/05/2020', '22', '5', '2020', '1222', '122', '37411038', 'Canada', 'CA', 'CAN', 'America', '43.81327244');
INSERT INTO public.ecdc_import VALUES (10524, '21/05/2020', '21', '5', '2020', '990', '118', '37411038', 'Canada', 'CA', 'CAN', 'America', '44.35856605');
INSERT INTO public.ecdc_import VALUES (10525, '20/05/2020', '20', '5', '2020', '1040', '70', '37411038', 'Canada', 'CA', 'CAN', 'America', '45.58814968');
INSERT INTO public.ecdc_import VALUES (10526, '19/05/2020', '19', '5', '2020', '1070', '60', '37411038', 'Canada', 'CA', 'CAN', 'America', '46.21363353');
INSERT INTO public.ecdc_import VALUES (10527, '18/05/2020', '18', '5', '2020', '1138', '103', '37411038', 'Canada', 'CA', 'CAN', 'America', '46.82307933');
INSERT INTO public.ecdc_import VALUES (10528, '17/05/2020', '17', '5', '2020', '1251', '117', '37411038', 'Canada', 'CA', 'CAN', 'America', '51.15869814');
INSERT INTO public.ecdc_import VALUES (10529, '16/05/2020', '16', '5', '2020', '1201', '90', '37411038', 'Canada', 'CA', 'CAN', 'America', '52.23324731');
INSERT INTO public.ecdc_import VALUES (10530, '15/05/2020', '15', '5', '2020', '1123', '168', '37411038', 'Canada', 'CA', 'CAN', 'America', '53.90120424');
INSERT INTO public.ecdc_import VALUES (10531, '14/05/2020', '14', '5', '2020', '1121', '135', '37411038', 'Canada', 'CA', 'CAN', 'America', '55.30720639');
INSERT INTO public.ecdc_import VALUES (10532, '13/05/2020', '13', '5', '2020', '1176', '176', '37411038', 'Canada', 'CA', 'CAN', 'America', '56.51273295');
INSERT INTO public.ecdc_import VALUES (10533, '12/05/2020', '12', '5', '2020', '1133', '122', '37411038', 'Canada', 'CA', 'CAN', 'America', '57.44828572');
INSERT INTO public.ecdc_import VALUES (10534, '11/05/2020', '11', '5', '2020', '1146', '178', '37411038', 'Canada', 'CA', 'CAN', 'America', '58.70994544');
INSERT INTO public.ecdc_import VALUES (10535, '10/05/2020', '10', '5', '2020', '1268', '124', '37411038', 'Canada', 'CA', 'CAN', 'America', '59.77112958');
INSERT INTO public.ecdc_import VALUES (10536, '09/05/2020', '9', '5', '2020', '1512', '161', '37411038', 'Canada', 'CA', 'CAN', 'America', '60.29503913');
INSERT INTO public.ecdc_import VALUES (10537, '08/05/2020', '8', '5', '2020', '1426', '176', '37411038', 'Canada', 'CA', 'CAN', 'America', '61.00605923');
INSERT INTO public.ecdc_import VALUES (10538, '07/05/2020', '7', '5', '2020', '1450', '189', '37411038', 'Canada', 'CA', 'CAN', 'America', '62.32652513');
INSERT INTO public.ecdc_import VALUES (10539, '06/05/2020', '6', '5', '2020', '1274', '189', '37411038', 'Canada', 'CA', 'CAN', 'America', '63.17119562');
INSERT INTO public.ecdc_import VALUES (10540, '05/05/2020', '5', '5', '2020', '1298', '172', '37411038', 'Canada', 'CA', 'CAN', 'America', '64.01586612');
INSERT INTO public.ecdc_import VALUES (10541, '04/05/2020', '4', '5', '2020', '2760', '116', '37411038', 'Canada', 'CA', 'CAN', 'America', '66.01527603');
INSERT INTO public.ecdc_import VALUES (10542, '03/05/2020', '3', '5', '2020', '1653', '175', '37411038', 'Canada', 'CA', 'CAN', 'America', '62.47621357');
INSERT INTO public.ecdc_import VALUES (10543, '02/05/2020', '2', '5', '2020', '1825', '207', '37411038', 'Canada', 'CA', 'CAN', 'America', '61.98438012');
INSERT INTO public.ecdc_import VALUES (10544, '01/05/2020', '1', '5', '2020', '1649', '188', '37411038', 'Canada', 'CA', 'CAN', 'America', '61.89349785');
INSERT INTO public.ecdc_import VALUES (10545, '30/04/2020', '30', '4', '2020', '1572', '137', '37411038', 'Canada', 'CA', 'CAN', 'America', '62.07526239');
INSERT INTO public.ecdc_import VALUES (10546, '29/04/2020', '29', '4', '2020', '1526', '152', '37411038', 'Canada', 'CA', 'CAN', 'America', '61.39631838');
INSERT INTO public.ecdc_import VALUES (10547, '28/04/2020', '28', '4', '2020', '1605', '147', '37411038', 'Canada', 'CA', 'CAN', 'America', '61.01407825');
INSERT INTO public.ecdc_import VALUES (10548, '27/04/2020', '27', '4', '2020', '1543', '95', '37411038', 'Canada', 'CA', 'CAN', 'America', '60.19346483');
INSERT INTO public.ecdc_import VALUES (10549, '26/04/2020', '26', '4', '2020', '1464', '163', '37411038', 'Canada', 'CA', 'CAN', 'America', '58.91309404');
INSERT INTO public.ecdc_import VALUES (10550, '25/04/2020', '25', '4', '2020', '1778', '156', '37411038', 'Canada', 'CA', 'CAN', 'America', '58.12188371');
INSERT INTO public.ecdc_import VALUES (10551, '24/04/2020', '24', '4', '2020', '1920', '172', '37411038', 'Canada', 'CA', 'CAN', 'America', '57.0713916');
INSERT INTO public.ecdc_import VALUES (10552, '23/04/2020', '23', '4', '2020', '1766', '140', '37411038', 'Canada', 'CA', 'CAN', 'America', '55.87923008');
INSERT INTO public.ecdc_import VALUES (10553, '22/04/2020', '22', '4', '2020', '1590', '144', '37411038', 'Canada', 'CA', 'CAN', 'America', '54.87685212');
INSERT INTO public.ecdc_import VALUES (10554, '21/04/2020', '21', '4', '2020', '2046', '110', '37411038', 'Canada', 'CA', 'CAN', 'America', '53.91456928');
INSERT INTO public.ecdc_import VALUES (10555, '20/04/2020', '20', '4', '2020', '1436', '113', '37411038', 'Canada', 'CA', 'CAN', 'America', '51.53826526');
INSERT INTO public.ecdc_import VALUES (10556, '19/04/2020', '19', '4', '2020', '1469', '158', '37411038', 'Canada', 'CA', 'CAN', 'America', '52.01406066');
INSERT INTO public.ecdc_import VALUES (10557, '18/04/2020', '18', '4', '2020', '1791', '116', '37411038', 'Canada', 'CA', 'CAN', 'America', '51.73072183');
INSERT INTO public.ecdc_import VALUES (10558, '17/04/2020', '17', '4', '2020', '1717', '183', '37411038', 'Canada', 'CA', 'CAN', 'America', '50.28729756');
INSERT INTO public.ecdc_import VALUES (10559, '16/04/2020', '16', '4', '2020', '1318', '107', '37411038', 'Canada', 'CA', 'CAN', 'America', '50.16968521');
INSERT INTO public.ecdc_import VALUES (10560, '15/04/2020', '15', '4', '2020', '1383', '123', '37411038', 'Canada', 'CA', 'CAN', 'America', '49.47737617');
INSERT INTO public.ecdc_import VALUES (10561, '14/04/2020', '14', '4', '2020', '1298', '63', '37411038', 'Canada', 'CA', 'CAN', 'America', '48.75299103');
INSERT INTO public.ecdc_import VALUES (10562, '13/04/2020', '13', '4', '2020', '1064', '64', '37411038', 'Canada', 'CA', 'CAN', 'America', '48.40817301');
INSERT INTO public.ecdc_import VALUES (10563, '12/04/2020', '12', '4', '2020', '1168', '84', '37411038', 'Canada', 'CA', 'CAN', 'America', '47.88693647');
INSERT INTO public.ecdc_import VALUES (10564, '11/04/2020', '11', '4', '2020', '1385', '60', '37411038', 'Canada', 'CA', 'CAN', 'America', '46.66537186');
INSERT INTO public.ecdc_import VALUES (10565, '10/04/2020', '10', '4', '2020', '1474', '74', '37411038', 'Canada', 'CA', 'CAN', 'America', '44.71942211');
INSERT INTO public.ecdc_import VALUES (10566, '09/04/2020', '9', '4', '2020', '1391', '55', '37411038', 'Canada', 'CA', 'CAN', 'America', '42.47142247');
INSERT INTO public.ecdc_import VALUES (10567, '08/04/2020', '8', '4', '2020', '1230', '57', '37411038', 'Canada', 'CA', 'CAN', 'America', '42.56497775');
INSERT INTO public.ecdc_import VALUES (10568, '07/04/2020', '7', '4', '2020', '1157', '43', '37411038', 'Canada', 'CA', 'CAN', 'America', '40.11382951');
INSERT INTO public.ecdc_import VALUES (10569, '06/04/2020', '6', '4', '2020', '1614', '49', '37411038', 'Canada', 'CA', 'CAN', 'America', '37.59852908');
INSERT INTO public.ecdc_import VALUES (10570, '05/04/2020', '5', '4', '2020', '1363', '44', '37411038', 'Canada', 'CA', 'CAN', 'America', '33.62643934');
INSERT INTO public.ecdc_import VALUES (10571, '04/04/2020', '4', '4', '2020', '1251', '49', '37411038', 'Canada', 'CA', 'CAN', 'America', '30.86789519');
INSERT INTO public.ecdc_import VALUES (10572, '03/04/2020', '3', '4', '2020', '1673', '29', '37411038', 'Canada', 'CA', 'CAN', 'America', '27.8580883');
INSERT INTO public.ecdc_import VALUES (10573, '02/04/2020', '2', '4', '2020', '1059', '13', '37411038', 'Canada', 'CA', 'CAN', 'America', '23.80313532');
INSERT INTO public.ecdc_import VALUES (10574, '01/04/2020', '1', '4', '2020', '1112', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '21.29585391');
INSERT INTO public.ecdc_import VALUES (10575, '31/03/2020', '31', '3', '2020', '1169', '28', '37411038', 'Canada', 'CA', 'CAN', 'America', '18.71105528');
INSERT INTO public.ecdc_import VALUES (10576, '30/03/2020', '30', '3', '2020', '869', '1', '37411038', 'Canada', 'CA', 'CAN', 'America', '15.90706999');
INSERT INTO public.ecdc_import VALUES (10577, '29/03/2020', '29', '3', '2020', '711', '7', '37411038', 'Canada', 'CA', 'CAN', 'America', '13.74460661');
INSERT INTO public.ecdc_import VALUES (10578, '28/03/2020', '28', '3', '2020', '657', '14', '37411038', 'Canada', 'CA', 'CAN', 'America', '12.02586253');
INSERT INTO public.ecdc_import VALUES (10579, '27/03/2020', '27', '3', '2020', '633', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '10.37127064');
INSERT INTO public.ecdc_import VALUES (10580, '26/03/2020', '26', '3', '2020', '1426', '8', '37411038', 'Canada', 'CA', 'CAN', 'America', '8.77281192');
INSERT INTO public.ecdc_import VALUES (10581, '25/03/2020', '25', '3', '2020', '313', '3', '37411038', 'Canada', 'CA', 'CAN', 'America', '4.98783274');
INSERT INTO public.ecdc_import VALUES (10582, '24/03/2020', '24', '3', '2020', '216', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '4.19394939');
INSERT INTO public.ecdc_import VALUES (10583, '23/03/2020', '23', '3', '2020', '128', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '3.6566748');
INSERT INTO public.ecdc_import VALUES (10584, '22/03/2020', '22', '3', '2020', '331', '6', '37411038', 'Canada', 'CA', 'CAN', 'America', '3.32789483');
INSERT INTO public.ecdc_import VALUES (10585, '21/03/2020', '21', '3', '2020', '125', '2', '37411038', 'Canada', 'CA', 'CAN', 'America', '2.45916727');
INSERT INTO public.ecdc_import VALUES (10586, '20/03/2020', '20', '3', '2020', '156', '1', '37411038', 'Canada', 'CA', 'CAN', 'America', '2.14107933');
INSERT INTO public.ecdc_import VALUES (10587, '19/03/2020', '19', '3', '2020', '121', '1', '37411038', 'Canada', 'CA', 'CAN', 'America', '1.75616619');
INSERT INTO public.ecdc_import VALUES (10588, '18/03/2020', '18', '3', '2020', '145', '4', '37411038', 'Canada', 'CA', 'CAN', 'America', '1.44075126');
INSERT INTO public.ecdc_import VALUES (10589, '17/03/2020', '17', '3', '2020', '120', '3', '37411038', 'Canada', 'CA', 'CAN', 'America', '1.06118414');
INSERT INTO public.ecdc_import VALUES (10590, '16/03/2020', '16', '3', '2020', '60', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.74844221');
INSERT INTO public.ecdc_import VALUES (10591, '15/03/2020', '15', '3', '2020', '68', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.59875377');
INSERT INTO public.ecdc_import VALUES (10592, '14/03/2020', '14', '3', '2020', '38', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.42768126');
INSERT INTO public.ecdc_import VALUES (10593, '13/03/2020', '13', '3', '2020', '35', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.33145298');
INSERT INTO public.ecdc_import VALUES (10594, '12/03/2020', '12', '3', '2020', '10', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.24324372');
INSERT INTO public.ecdc_import VALUES (10595, '11/03/2020', '11', '3', '2020', '16', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.21918665');
INSERT INTO public.ecdc_import VALUES (10596, '10/03/2020', '10', '3', '2020', '15', '1', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.17641852');
INSERT INTO public.ecdc_import VALUES (10597, '09/03/2020', '9', '3', '2020', '5', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.14166942');
INSERT INTO public.ecdc_import VALUES (10598, '08/03/2020', '8', '3', '2020', '6', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.12830438');
INSERT INTO public.ecdc_import VALUES (10599, '07/03/2020', '7', '3', '2020', '6', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.11226633');
INSERT INTO public.ecdc_import VALUES (10600, '06/03/2020', '6', '3', '2020', '12', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.09622828');
INSERT INTO public.ecdc_import VALUES (10601, '05/03/2020', '5', '3', '2020', '3', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.0668252');
INSERT INTO public.ecdc_import VALUES (10602, '04/03/2020', '4', '3', '2020', '3', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.05880617');
INSERT INTO public.ecdc_import VALUES (10603, '03/03/2020', '3', '3', '2020', '3', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.05078715');
INSERT INTO public.ecdc_import VALUES (10604, '02/03/2020', '2', '3', '2020', '4', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.04276813');
INSERT INTO public.ecdc_import VALUES (10605, '01/03/2020', '1', '3', '2020', '4', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.03207609');
INSERT INTO public.ecdc_import VALUES (10606, '29/02/2020', '29', '2', '2020', '2', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.02138406');
INSERT INTO public.ecdc_import VALUES (10607, '28/02/2020', '28', '2', '2020', '2', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01871106');
INSERT INTO public.ecdc_import VALUES (10608, '27/02/2020', '27', '2', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01336504');
INSERT INTO public.ecdc_import VALUES (10609, '26/02/2020', '26', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10610, '25/02/2020', '25', '2', '2020', '2', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10611, '24/02/2020', '24', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00534602');
INSERT INTO public.ecdc_import VALUES (10612, '23/02/2020', '23', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00534602');
INSERT INTO public.ecdc_import VALUES (10613, '22/02/2020', '22', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00534602');
INSERT INTO public.ecdc_import VALUES (10614, '21/02/2020', '21', '2', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00534602');
INSERT INTO public.ecdc_import VALUES (10615, '20/02/2020', '20', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00801902');
INSERT INTO public.ecdc_import VALUES (10616, '19/02/2020', '19', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00801902');
INSERT INTO public.ecdc_import VALUES (10617, '18/02/2020', '18', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10618, '17/02/2020', '17', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10619, '16/02/2020', '16', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10620, '15/02/2020', '15', '2', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10621, '14/02/2020', '14', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10622, '13/02/2020', '13', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10623, '12/02/2020', '12', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10624, '11/02/2020', '11', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01336504');
INSERT INTO public.ecdc_import VALUES (10625, '10/02/2020', '10', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01603805');
INSERT INTO public.ecdc_import VALUES (10626, '09/02/2020', '9', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01603805');
INSERT INTO public.ecdc_import VALUES (10627, '08/02/2020', '8', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01871106');
INSERT INTO public.ecdc_import VALUES (10628, '07/02/2020', '7', '2', '2020', '2', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01871106');
INSERT INTO public.ecdc_import VALUES (10629, '06/02/2020', '6', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01336504');
INSERT INTO public.ecdc_import VALUES (10630, '05/02/2020', '5', '2', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01336504');
INSERT INTO public.ecdc_import VALUES (10631, '04/02/2020', '4', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10632, '03/02/2020', '3', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10633, '02/02/2020', '2', '2', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10634, '01/02/2020', '1', '2', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.01069203');
INSERT INTO public.ecdc_import VALUES (10635, '31/01/2020', '31', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00801902');
INSERT INTO public.ecdc_import VALUES (10636, '30/01/2020', '30', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00801902');
INSERT INTO public.ecdc_import VALUES (10637, '29/01/2020', '29', '1', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00801902');
INSERT INTO public.ecdc_import VALUES (10638, '28/01/2020', '28', '1', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00534602');
INSERT INTO public.ecdc_import VALUES (10639, '27/01/2020', '27', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00267301');
INSERT INTO public.ecdc_import VALUES (10640, '26/01/2020', '26', '1', '2020', '1', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0.00267301');
INSERT INTO public.ecdc_import VALUES (10641, '25/01/2020', '25', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10642, '24/01/2020', '24', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10643, '23/01/2020', '23', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10644, '22/01/2020', '22', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10645, '21/01/2020', '21', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10646, '20/01/2020', '20', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10647, '19/01/2020', '19', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10648, '18/01/2020', '18', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10649, '17/01/2020', '17', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10650, '16/01/2020', '16', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10651, '15/01/2020', '15', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10652, '14/01/2020', '14', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10653, '13/01/2020', '13', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '0');
INSERT INTO public.ecdc_import VALUES (10654, '12/01/2020', '12', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10655, '11/01/2020', '11', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10656, '10/01/2020', '10', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10657, '09/01/2020', '9', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10658, '08/01/2020', '8', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10659, '07/01/2020', '7', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10660, '06/01/2020', '6', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10661, '05/01/2020', '5', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10662, '04/01/2020', '4', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10663, '03/01/2020', '3', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10664, '02/01/2020', '2', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10665, '01/01/2020', '1', '1', '2020', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10666, '31/12/2019', '31', '12', '2019', '0', '0', '37411038', 'Canada', 'CA', 'CAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (10667, '14/12/2020', '14', '12', '2020', '55', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '151.10849262');
INSERT INTO public.ecdc_import VALUES (10668, '13/12/2020', '13', '12', '2020', '40', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '141.10732885');
INSERT INTO public.ecdc_import VALUES (10669, '12/12/2020', '12', '12', '2020', '59', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '133.8337552');
INSERT INTO public.ecdc_import VALUES (10670, '11/12/2020', '11', '12', '2020', '11', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '123.10523406');
INSERT INTO public.ecdc_import VALUES (10671, '10/12/2020', '10', '12', '2020', '74', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '121.10500131');
INSERT INTO public.ecdc_import VALUES (10672, '09/12/2020', '9', '12', '2020', '55', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '130.56064706');
INSERT INTO public.ecdc_import VALUES (10673, '08/12/2020', '8', '12', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '138.37973873');
INSERT INTO public.ecdc_import VALUES (10674, '07/12/2020', '7', '12', '2020', '27', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '143.10756161');
INSERT INTO public.ecdc_import VALUES (10675, '06/12/2020', '6', '12', '2020', '40', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '145.83515173');
INSERT INTO public.ecdc_import VALUES (10676, '05/12/2020', '5', '12', '2020', '58', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '153.47240406');
INSERT INTO public.ecdc_import VALUES (10677, '04/12/2020', '4', '12', '2020', '71', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '170.56530214');
INSERT INTO public.ecdc_import VALUES (10678, '03/12/2020', '3', '12', '2020', '51', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '157.65470891');
INSERT INTO public.ecdc_import VALUES (10679, '02/12/2020', '2', '12', '2020', '290', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '155.65447616');
INSERT INTO public.ecdc_import VALUES (10680, '01/12/2020', '1', '12', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '124.74178814');
INSERT INTO public.ecdc_import VALUES (10681, '30/11/2020', '30', '11', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '128.01489628');
INSERT INTO public.ecdc_import VALUES (10682, '29/11/2020', '29', '11', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '135.65214861');
INSERT INTO public.ecdc_import VALUES (10683, '28/11/2020', '28', '11', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '142.74388292');
INSERT INTO public.ecdc_import VALUES (10684, '27/11/2020', '27', '11', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '151.29033197');
INSERT INTO public.ecdc_import VALUES (10685, '26/11/2020', '26', '11', '2020', '126', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '175.6568037');
INSERT INTO public.ecdc_import VALUES (10686, '25/11/2020', '25', '11', '2020', '98', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '163.83724652');
INSERT INTO public.ecdc_import VALUES (10687, '24/11/2020', '24', '11', '2020', '26', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '160.56413837');
INSERT INTO public.ecdc_import VALUES (10688, '23/11/2020', '23', '11', '2020', '42', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '164.92828256');
INSERT INTO public.ecdc_import VALUES (10689, '22/11/2020', '22', '11', '2020', '82', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '171.47449885');
INSERT INTO public.ecdc_import VALUES (10690, '21/11/2020', '21', '11', '2020', '152', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '168.74690873');
INSERT INTO public.ecdc_import VALUES (10691, '20/11/2020', '20', '11', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '154.74527945');
INSERT INTO public.ecdc_import VALUES (10692, '19/11/2020', '19', '11', '2020', '40', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '172.20185622');
INSERT INTO public.ecdc_import VALUES (10693, '18/11/2020', '18', '11', '2020', '120', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '184.74877077');
INSERT INTO public.ecdc_import VALUES (10694, '17/11/2020', '17', '11', '2020', '18', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '174.20208897');
INSERT INTO public.ecdc_import VALUES (10695, '16/11/2020', '16', '11', '2020', '42', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '177.11151843');
INSERT INTO public.ecdc_import VALUES (10696, '15/11/2020', '15', '11', '2020', '39', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '179.47542987');
INSERT INTO public.ecdc_import VALUES (10697, '14/11/2020', '14', '11', '2020', '47', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '190.38579035');
INSERT INTO public.ecdc_import VALUES (10698, '13/11/2020', '13', '11', '2020', '134', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '208.38788514');
INSERT INTO public.ecdc_import VALUES (10699, '12/11/2020', '12', '11', '2020', '61', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '184.0214134');
INSERT INTO public.ecdc_import VALUES (10700, '11/11/2020', '11', '11', '2020', '80', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '186.74900352');
INSERT INTO public.ecdc_import VALUES (10701, '10/11/2020', '10', '11', '2020', '50', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '181.11198394');
INSERT INTO public.ecdc_import VALUES (10702, '09/11/2020', '9', '11', '2020', '78', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '176.92967909');
INSERT INTO public.ecdc_import VALUES (10703, '08/11/2020', '8', '11', '2020', '67', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '176.20232172');
INSERT INTO public.ecdc_import VALUES (10704, '07/11/2020', '7', '11', '2020', '75', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '186.56716418');
INSERT INTO public.ecdc_import VALUES (10705, '06/11/2020', '6', '11', '2020', '96', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '186.74900352');
INSERT INTO public.ecdc_import VALUES (10706, '05/11/2020', '5', '11', '2020', '109', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '185.47612813');
INSERT INTO public.ecdc_import VALUES (10707, '04/11/2020', '4', '11', '2020', '62', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '189.65843298');
INSERT INTO public.ecdc_import VALUES (10708, '03/11/2020', '3', '11', '2020', '34', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '196.75016729');
INSERT INTO public.ecdc_import VALUES (10709, '02/11/2020', '2', '11', '2020', '55', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '199.29591807');
INSERT INTO public.ecdc_import VALUES (10710, '01/11/2020', '1', '11', '2020', '99', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '210.02443921');
INSERT INTO public.ecdc_import VALUES (10711, '31/10/2020', '31', '10', '2020', '146', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '212.38835064');
INSERT INTO public.ecdc_import VALUES (10712, '30/10/2020', '30', '10', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '200.7506328');
INSERT INTO public.ecdc_import VALUES (10713, '29/10/2020', '29', '10', '2020', '76', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '214.02490472');
INSERT INTO public.ecdc_import VALUES (10714, '28/10/2020', '28', '10', '2020', '49', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '221.48031771');
INSERT INTO public.ecdc_import VALUES (10715, '27/10/2020', '27', '10', '2020', '27', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '230.57228477');
INSERT INTO public.ecdc_import VALUES (10716, '26/10/2020', '26', '10', '2020', '74', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '240.75528789');
INSERT INTO public.ecdc_import VALUES (10717, '25/10/2020', '25', '10', '2020', '124', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '256.2116319');
INSERT INTO public.ecdc_import VALUES (10718, '24/10/2020', '24', '10', '2020', '76', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '252.57484507');
INSERT INTO public.ecdc_import VALUES (10719, '23/10/2020', '23', '10', '2020', '89', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '255.48427453');
INSERT INTO public.ecdc_import VALUES (10720, '22/10/2020', '22', '10', '2020', '132', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '256.2116319');
INSERT INTO public.ecdc_import VALUES (10721, '21/10/2020', '21', '10', '2020', '101', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '251.48380903');
INSERT INTO public.ecdc_import VALUES (10722, '20/10/2020', '20', '10', '2020', '48', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '248.57437956');
INSERT INTO public.ecdc_import VALUES (10723, '19/10/2020', '19', '10', '2020', '114', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '253.1203631');
INSERT INTO public.ecdc_import VALUES (10724, '18/10/2020', '18', '10', '2020', '112', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '244.02839603');
INSERT INTO public.ecdc_import VALUES (10725, '17/10/2020', '17', '10', '2020', '82', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '240.20976986');
INSERT INTO public.ecdc_import VALUES (10726, '16/10/2020', '16', '10', '2020', '73', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '239.66425184');
INSERT INTO public.ecdc_import VALUES (10727, '15/10/2020', '15', '10', '2020', '117', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '244.93759274');
INSERT INTO public.ecdc_import VALUES (10728, '14/10/2020', '14', '10', '2020', '99', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '246.21046813');
INSERT INTO public.ecdc_import VALUES (10729, '13/10/2020', '13', '10', '2020', '83', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '243.30103867');
INSERT INTO public.ecdc_import VALUES (10730, '12/10/2020', '12', '10', '2020', '159', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '236.57298304');
INSERT INTO public.ecdc_import VALUES (10731, '11/10/2020', '11', '10', '2020', '104', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '220.38928166');
INSERT INTO public.ecdc_import VALUES (10732, '10/10/2020', '10', '10', '2020', '92', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '214.75226208');
INSERT INTO public.ecdc_import VALUES (10733, '09/10/2020', '9', '10', '2020', '93', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '225.11710454');
INSERT INTO public.ecdc_import VALUES (10734, '08/10/2020', '8', '10', '2020', '106', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '220.38928166');
INSERT INTO public.ecdc_import VALUES (10735, '07/10/2020', '7', '10', '2020', '85', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '224.93526519');
INSERT INTO public.ecdc_import VALUES (10736, '06/10/2020', '6', '10', '2020', '73', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '213.84306537');
INSERT INTO public.ecdc_import VALUES (10737, '05/10/2020', '5', '10', '2020', '64', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '200.56879346');
INSERT INTO public.ecdc_import VALUES (10738, '04/10/2020', '4', '10', '2020', '91', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '201.84166885');
INSERT INTO public.ecdc_import VALUES (10739, '03/10/2020', '3', '10', '2020', '79', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '193.47705915');
INSERT INTO public.ecdc_import VALUES (10740, '02/10/2020', '2', '10', '2020', '102', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '193.29521981');
INSERT INTO public.ecdc_import VALUES (10741, '01/10/2020', '1', '10', '2020', '124', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '190.20395101');
INSERT INTO public.ecdc_import VALUES (10742, '30/09/2020', '30', '9', '2020', '83', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '181.11198394');
INSERT INTO public.ecdc_import VALUES (10743, '29/09/2020', '29', '9', '2020', '46', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '177.8388758');
INSERT INTO public.ecdc_import VALUES (10744, '28/09/2020', '28', '9', '2020', '70', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '174.20208897');
INSERT INTO public.ecdc_import VALUES (10745, '27/09/2020', '27', '9', '2020', '73', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '180.02094789');
INSERT INTO public.ecdc_import VALUES (10746, '26/09/2020', '26', '9', '2020', '149', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '177.65703646');
INSERT INTO public.ecdc_import VALUES (10747, '25/09/2020', '25', '9', '2020', '67', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '167.65587268');
INSERT INTO public.ecdc_import VALUES (10748, '24/09/2020', '24', '9', '2020', '131', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '170.74714149');
INSERT INTO public.ecdc_import VALUES (10749, '23/09/2020', '23', '9', '2020', '24', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '160.20045969');
INSERT INTO public.ecdc_import VALUES (10750, '22/09/2020', '22', '9', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '163.47356783');
INSERT INTO public.ecdc_import VALUES (10751, '21/09/2020', '21', '9', '2020', '71', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '168.56506939');
INSERT INTO public.ecdc_import VALUES (10752, '20/09/2020', '20', '9', '2020', '45', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '165.65563993');
INSERT INTO public.ecdc_import VALUES (10753, '19/09/2020', '19', '9', '2020', '78', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '171.11082017');
INSERT INTO public.ecdc_import VALUES (10754, '18/09/2020', '18', '9', '2020', '85', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '170.56530214');
INSERT INTO public.ecdc_import VALUES (10755, '17/09/2020', '17', '9', '2020', '74', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '169.11058741');
INSERT INTO public.ecdc_import VALUES (10756, '16/09/2020', '16', '9', '2020', '65', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '169.83794478');
INSERT INTO public.ecdc_import VALUES (10757, '15/09/2020', '15', '9', '2020', '26', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '173.65657095');
INSERT INTO public.ecdc_import VALUES (10758, '14/09/2020', '14', '9', '2020', '102', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '174.74760699');
INSERT INTO public.ecdc_import VALUES (10759, '13/09/2020', '13', '9', '2020', '60', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '169.65610544');
INSERT INTO public.ecdc_import VALUES (10760, '12/09/2020', '12', '9', '2020', '94', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '164.74644322');
INSERT INTO public.ecdc_import VALUES (10761, '11/09/2020', '11', '9', '2020', '84', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '156.01815484');
INSERT INTO public.ecdc_import VALUES (10762, '10/09/2020', '10', '9', '2020', '73', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '153.29056472');
INSERT INTO public.ecdc_import VALUES (10763, '09/09/2020', '9', '9', '2020', '42', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '151.29033197');
INSERT INTO public.ecdc_import VALUES (10764, '08/09/2020', '8', '9', '2020', '28', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '150.19929592');
INSERT INTO public.ecdc_import VALUES (10765, '07/09/2020', '7', '9', '2020', '55', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '149.29009921');
INSERT INTO public.ecdc_import VALUES (10766, '06/09/2020', '6', '9', '2020', '75', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '149.10825987');
INSERT INTO public.ecdc_import VALUES (10767, '05/09/2020', '5', '9', '2020', '75', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '143.28940095');
INSERT INTO public.ecdc_import VALUES (10768, '04/09/2020', '4', '9', '2020', '77', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '137.65238137');
INSERT INTO public.ecdc_import VALUES (10769, '03/09/2020', '3', '9', '2020', '78', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '132.19720113');
INSERT INTO public.ecdc_import VALUES (10770, '02/09/2020', '2', '9', '2020', '86', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '130.37880772');
INSERT INTO public.ecdc_import VALUES (10771, '01/09/2020', '1', '9', '2020', '32', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '123.83259143');
INSERT INTO public.ecdc_import VALUES (10772, '31/08/2020', '31', '8', '2020', '74', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '122.3778767');
INSERT INTO public.ecdc_import VALUES (10773, '30/08/2020', '30', '8', '2020', '33', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '111.8311949');
INSERT INTO public.ecdc_import VALUES (10774, '29/08/2020', '29', '8', '2020', '46', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '110.74015885');
INSERT INTO public.ecdc_import VALUES (10775, '28/08/2020', '28', '8', '2020', '69', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '113.83142766');
INSERT INTO public.ecdc_import VALUES (10776, '27/08/2020', '27', '8', '2020', '62', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '114.55878502');
INSERT INTO public.ecdc_import VALUES (10777, '26/08/2020', '26', '8', '2020', '36', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '117.83189317');
INSERT INTO public.ecdc_import VALUES (10778, '25/08/2020', '25', '8', '2020', '23', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '118.01373251');
INSERT INTO public.ecdc_import VALUES (10779, '24/08/2020', '24', '8', '2020', '54', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '118.37741119');
INSERT INTO public.ecdc_import VALUES (10780, '23/08/2020', '23', '8', '2020', '43', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '112.74039161');
INSERT INTO public.ecdc_import VALUES (10781, '22/08/2020', '22', '8', '2020', '44', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '114.9224637');
INSERT INTO public.ecdc_import VALUES (10782, '21/08/2020', '21', '8', '2020', '47', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '115.28614239');
INSERT INTO public.ecdc_import VALUES (10783, '20/08/2020', '20', '8', '2020', '68', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '114.9224637');
INSERT INTO public.ecdc_import VALUES (10784, '19/08/2020', '19', '8', '2020', '50', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '113.10407029');
INSERT INTO public.ecdc_import VALUES (10785, '18/08/2020', '18', '8', '2020', '24', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '112.74039161');
INSERT INTO public.ecdc_import VALUES (10786, '17/08/2020', '17', '8', '2020', '16', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '114.9224637');
INSERT INTO public.ecdc_import VALUES (10787, '16/08/2020', '16', '8', '2020', '27', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '124.19627011');
INSERT INTO public.ecdc_import VALUES (10788, '15/08/2020', '15', '8', '2020', '63', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '124.55994879');
INSERT INTO public.ecdc_import VALUES (10789, '14/08/2020', '14', '8', '2020', '73', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '127.28753891');
INSERT INTO public.ecdc_import VALUES (10790, '13/08/2020', '13', '8', '2020', '80', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '114.013267');
INSERT INTO public.ecdc_import VALUES (10791, '12/08/2020', '12', '8', '2020', '37', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '102.92106718');
INSERT INTO public.ecdc_import VALUES (10792, '11/08/2020', '11', '8', '2020', '25', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '100.92083442');
INSERT INTO public.ecdc_import VALUES (10793, '10/08/2020', '10', '8', '2020', '23', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '100.19347706');
INSERT INTO public.ecdc_import VALUES (10794, '09/08/2020', '9', '8', '2020', '55', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '104.92129993');
INSERT INTO public.ecdc_import VALUES (10795, '08/08/2020', '8', '8', '2020', '46', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '101.83003113');
INSERT INTO public.ecdc_import VALUES (10796, '07/08/2020', '7', '8', '2020', '45', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '98.92060167');
INSERT INTO public.ecdc_import VALUES (10797, '06/08/2020', '6', '8', '2020', '58', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '97.2840476');
INSERT INTO public.ecdc_import VALUES (10798, '05/08/2020', '5', '8', '2020', '48', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '95.28381484');
INSERT INTO public.ecdc_import VALUES (10799, '04/08/2020', '4', '8', '2020', '36', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '93.10174275');
INSERT INTO public.ecdc_import VALUES (10800, '03/08/2020', '3', '8', '2020', '67', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '91.64702802');
INSERT INTO public.ecdc_import VALUES (10801, '02/08/2020', '2', '8', '2020', '29', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '84.73713305');
INSERT INTO public.ecdc_import VALUES (10802, '01/08/2020', '1', '8', '2020', '78', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '93.10174275');
INSERT INTO public.ecdc_import VALUES (10803, '31/07/2020', '31', '7', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '87.10104449');
INSERT INTO public.ecdc_import VALUES (10804, '30/07/2020', '30', '7', '2020', '19', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '97.46588694');
INSERT INTO public.ecdc_import VALUES (10805, '29/07/2020', '29', '7', '2020', '26', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '104.37578191');
INSERT INTO public.ecdc_import VALUES (10806, '28/07/2020', '28', '7', '2020', '21', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '110.19464083');
INSERT INTO public.ecdc_import VALUES (10807, '27/07/2020', '27', '7', '2020', '49', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '110.74015885');
INSERT INTO public.ecdc_import VALUES (10808, '26/07/2020', '26', '7', '2020', '38', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '121.28684065');
INSERT INTO public.ecdc_import VALUES (10809, '25/07/2020', '25', '7', '2020', '30', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '121.28684065');
INSERT INTO public.ecdc_import VALUES (10810, '24/07/2020', '24', '7', '2020', '36', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '115.83166041');
INSERT INTO public.ecdc_import VALUES (10811, '23/07/2020', '23', '7', '2020', '47', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '111.28567688');
INSERT INTO public.ecdc_import VALUES (10812, '22/07/2020', '22', '7', '2020', '36', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '110.55831951');
INSERT INTO public.ecdc_import VALUES (10813, '21/07/2020', '21', '7', '2020', '28', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '110.55831951');
INSERT INTO public.ecdc_import VALUES (10814, '20/07/2020', '20', '7', '2020', '29', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '107.64889005');
INSERT INTO public.ecdc_import VALUES (10815, '19/07/2020', '19', '7', '2020', '75', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '108.01256874');
INSERT INTO public.ecdc_import VALUES (10816, '18/07/2020', '18', '7', '2020', '45', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '101.28451311');
INSERT INTO public.ecdc_import VALUES (10817, '17/07/2020', '17', '7', '2020', '57', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '107.83072939');
INSERT INTO public.ecdc_import VALUES (10818, '16/07/2020', '16', '7', '2020', '57', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '103.64842454');
INSERT INTO public.ecdc_import VALUES (10819, '15/07/2020', '15', '7', '2020', '58', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '100.55715574');
INSERT INTO public.ecdc_import VALUES (10820, '14/07/2020', '14', '7', '2020', '24', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '101.28451311');
INSERT INTO public.ecdc_import VALUES (10821, '13/07/2020', '13', '7', '2020', '107', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '98.73876233');
INSERT INTO public.ecdc_import VALUES (10822, '12/07/2020', '12', '7', '2020', '38', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '90.91967065');
INSERT INTO public.ecdc_import VALUES (10823, '11/07/2020', '11', '7', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '95.64749353');
INSERT INTO public.ecdc_import VALUES (10824, '10/07/2020', '10', '7', '2020', '11', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '100.01163772');
INSERT INTO public.ecdc_import VALUES (10825, '09/07/2020', '9', '7', '2020', '43', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '98.73876233');
INSERT INTO public.ecdc_import VALUES (10826, '08/07/2020', '8', '7', '2020', '36', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '94.01093945');
INSERT INTO public.ecdc_import VALUES (10827, '07/07/2020', '7', '7', '2020', '12', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '94.37461814');
INSERT INTO public.ecdc_import VALUES (10828, '06/07/2020', '6', '7', '2020', '31', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '102.01187047');
INSERT INTO public.ecdc_import VALUES (10829, '05/07/2020', '5', '7', '2020', '38', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '101.28451311');
INSERT INTO public.ecdc_import VALUES (10830, '04/07/2020', '4', '7', '2020', '81', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '97.10220826');
INSERT INTO public.ecdc_import VALUES (10831, '03/07/2020', '3', '7', '2020', '34', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '86.91920514');
INSERT INTO public.ecdc_import VALUES (10832, '02/07/2020', '2', '7', '2020', '40', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '86.37368712');
INSERT INTO public.ecdc_import VALUES (10833, '01/07/2020', '1', '7', '2020', '62', '3', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '81.10034622');
INSERT INTO public.ecdc_import VALUES (10834, '30/06/2020', '30', '6', '2020', '10', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '73.64493323');
INSERT INTO public.ecdc_import VALUES (10835, '29/06/2020', '29', '6', '2020', '64', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '73.64493323');
INSERT INTO public.ecdc_import VALUES (10836, '28/06/2020', '28', '6', '2020', '64', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '66.37135958');
INSERT INTO public.ecdc_import VALUES (10837, '27/06/2020', '27', '6', '2020', '24', '2', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '60.00698263');
INSERT INTO public.ecdc_import VALUES (10838, '26/06/2020', '26', '6', '2020', '4', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '62.91641209');
INSERT INTO public.ecdc_import VALUES (10839, '25/06/2020', '25', '6', '2020', '17', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '69.82630706');
INSERT INTO public.ecdc_import VALUES (10840, '24/06/2020', '24', '6', '2020', '38', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '72.1902185');
INSERT INTO public.ecdc_import VALUES (10841, '23/06/2020', '23', '6', '2020', '54', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '68.55343167');
INSERT INTO public.ecdc_import VALUES (10842, '22/06/2020', '22', '6', '2020', '27', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '61.09801868');
INSERT INTO public.ecdc_import VALUES (10843, '21/06/2020', '21', '6', '2020', '15', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '58.37042856');
INSERT INTO public.ecdc_import VALUES (10844, '20/06/2020', '20', '6', '2020', '25', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '56.73387449');
INSERT INTO public.ecdc_import VALUES (10845, '19/06/2020', '19', '6', '2020', '31', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '58.37042856');
INSERT INTO public.ecdc_import VALUES (10846, '18/06/2020', '18', '6', '2020', '11', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '57.27939251');
INSERT INTO public.ecdc_import VALUES (10847, '17/06/2020', '17', '6', '2020', '21', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '57.27939251');
INSERT INTO public.ecdc_import VALUES (10848, '16/06/2020', '16', '6', '2020', '10', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '54.91548107');
INSERT INTO public.ecdc_import VALUES (10849, '15/06/2020', '15', '6', '2020', '24', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '57.27939251');
INSERT INTO public.ecdc_import VALUES (10850, '14/06/2020', '14', '6', '2020', '29', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '55.4609991');
INSERT INTO public.ecdc_import VALUES (10851, '13/06/2020', '13', '6', '2020', '40', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '53.09708766');
INSERT INTO public.ecdc_import VALUES (10852, '12/06/2020', '12', '6', '2020', '42', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '48.55110413');
INSERT INTO public.ecdc_import VALUES (10853, '11/06/2020', '11', '6', '2020', '30', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '40.91385179');
INSERT INTO public.ecdc_import VALUES (10854, '10/06/2020', '10', '6', '2020', '18', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '35.45867155');
INSERT INTO public.ecdc_import VALUES (10855, '09/06/2020', '9', '6', '2020', '13', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '32.18556341');
INSERT INTO public.ecdc_import VALUES (10856, '08/06/2020', '8', '6', '2020', '12', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '31.64004539');
INSERT INTO public.ecdc_import VALUES (10857, '07/06/2020', '7', '6', '2020', '6', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '31.09452736');
INSERT INTO public.ecdc_import VALUES (10858, '06/06/2020', '6', '6', '2020', '34', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '31.64004539');
INSERT INTO public.ecdc_import VALUES (10859, '05/06/2020', '5', '6', '2020', '25', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '26.54854383');
INSERT INTO public.ecdc_import VALUES (10860, '04/06/2020', '4', '6', '2020', '11', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '23.27543569');
INSERT INTO public.ecdc_import VALUES (10861, '03/06/2020', '3', '6', '2020', '8', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '23.82095371');
INSERT INTO public.ecdc_import VALUES (10862, '02/06/2020', '2', '6', '2020', '23', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '23.63911437');
INSERT INTO public.ecdc_import VALUES (10863, '01/06/2020', '1', '6', '2020', '14', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '19.45680952');
INSERT INTO public.ecdc_import VALUES (10864, '31/05/2020', '31', '5', '2020', '16', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '16.91105874');
INSERT INTO public.ecdc_import VALUES (10865, '30/05/2020', '30', '5', '2020', '15', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '14.36530796');
INSERT INTO public.ecdc_import VALUES (10866, '29/05/2020', '29', '5', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '13.6379506');
INSERT INTO public.ecdc_import VALUES (10867, '28/05/2020', '28', '5', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '18.36577347');
INSERT INTO public.ecdc_import VALUES (10868, '27/05/2020', '27', '5', '2020', '0', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '21.82072096');
INSERT INTO public.ecdc_import VALUES (10869, '26/05/2020', '26', '5', '2020', '10', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '23.63911437');
INSERT INTO public.ecdc_import VALUES (10870, '25/05/2020', '25', '5', '2020', '9', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '24.36647173');
INSERT INTO public.ecdc_import VALUES (10871, '24/05/2020', '24', '5', '2020', '9', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '24.54831108');
INSERT INTO public.ecdc_import VALUES (10872, '23/05/2020', '23', '5', '2020', '6', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '24.00279305');
INSERT INTO public.ecdc_import VALUES (10873, '22/05/2020', '22', '5', '2020', '7', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '25.0938291');
INSERT INTO public.ecdc_import VALUES (10874, '21/05/2020', '21', '5', '2020', '14', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '28.73061593');
INSERT INTO public.ecdc_import VALUES (10875, '20/05/2020', '20', '5', '2020', '7', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '27.09406185');
INSERT INTO public.ecdc_import VALUES (10876, '19/05/2020', '19', '5', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '27.82141922');
INSERT INTO public.ecdc_import VALUES (10877, '18/05/2020', '18', '5', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '29.63981263');
INSERT INTO public.ecdc_import VALUES (10878, '17/05/2020', '17', '5', '2020', '2', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '32.00372407');
INSERT INTO public.ecdc_import VALUES (10879, '16/05/2020', '16', '5', '2020', '11', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '36.91338628');
INSERT INTO public.ecdc_import VALUES (10880, '15/05/2020', '15', '5', '2020', '26', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '35.27683221');
INSERT INTO public.ecdc_import VALUES (10881, '14/05/2020', '14', '5', '2020', '19', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '32.00372407');
INSERT INTO public.ecdc_import VALUES (10882, '13/05/2020', '13', '5', '2020', '10', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '28.54877658');
INSERT INTO public.ecdc_import VALUES (10883, '12/05/2020', '12', '5', '2020', '14', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '27.45774054');
INSERT INTO public.ecdc_import VALUES (10884, '11/05/2020', '11', '5', '2020', '10', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '25.45750778');
INSERT INTO public.ecdc_import VALUES (10885, '10/05/2020', '10', '5', '2020', '6', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '26.54854383');
INSERT INTO public.ecdc_import VALUES (10886, '09/05/2020', '9', '5', '2020', '12', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '25.82118647');
INSERT INTO public.ecdc_import VALUES (10887, '08/05/2020', '8', '5', '2020', '27', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '24.73015042');
INSERT INTO public.ecdc_import VALUES (10888, '07/05/2020', '7', '5', '2020', '5', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '21.45704227');
INSERT INTO public.ecdc_import VALUES (10889, '06/05/2020', '6', '5', '2020', '11', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '21.63888162');
INSERT INTO public.ecdc_import VALUES (10890, '05/05/2020', '5', '5', '2020', '10', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '19.63864886');
INSERT INTO public.ecdc_import VALUES (10891, '04/05/2020', '4', '5', '2020', '13', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '18.9112915');
INSERT INTO public.ecdc_import VALUES (10892, '03/05/2020', '3', '5', '2020', '29', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '17.09289808');
INSERT INTO public.ecdc_import VALUES (10893, '02/05/2020', '2', '5', '2020', '2', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '12.18323587');
INSERT INTO public.ecdc_import VALUES (10894, '01/05/2020', '1', '5', '2020', '8', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '12.00139653');
INSERT INTO public.ecdc_import VALUES (10896, '29/04/2020', '29', '4', '2020', '4', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '18.54761281');
INSERT INTO public.ecdc_import VALUES (10897, '28/04/2020', '28', '4', '2020', '3', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '18.00209479');
INSERT INTO public.ecdc_import VALUES (10898, '27/04/2020', '27', '4', '2020', '16', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '17.45657677');
INSERT INTO public.ecdc_import VALUES (10899, '26/04/2020', '26', '4', '2020', '2', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '14.91082599');
INSERT INTO public.ecdc_import VALUES (10900, '25/04/2020', '25', '4', '2020', '6', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '14.72898665');
INSERT INTO public.ecdc_import VALUES (10901, '24/04/2020', '24', '4', '2020', '9', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '13.6379506');
INSERT INTO public.ecdc_import VALUES (10902, '23/04/2020', '23', '4', '2020', '6', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '12.00139653');
INSERT INTO public.ecdc_import VALUES (10903, '22/04/2020', '22', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '10.91036048');
INSERT INTO public.ecdc_import VALUES (10904, '21/04/2020', '21', '4', '2020', '6', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '10.91036048');
INSERT INTO public.ecdc_import VALUES (10905, '20/04/2020', '20', '4', '2020', '3', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '9.81932443');
INSERT INTO public.ecdc_import VALUES (10906, '19/04/2020', '19', '4', '2020', '2', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '9.27380641');
INSERT INTO public.ecdc_import VALUES (10907, '18/04/2020', '18', '4', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '9.09196707');
INSERT INTO public.ecdc_import VALUES (10908, '17/04/2020', '17', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '8.91012772');
INSERT INTO public.ecdc_import VALUES (10909, '16/04/2020', '16', '4', '2020', '44', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '8.91012772');
INSERT INTO public.ecdc_import VALUES (10910, '15/04/2020', '15', '4', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.90919671');
INSERT INTO public.ecdc_import VALUES (10911, '14/04/2020', '14', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.90919671');
INSERT INTO public.ecdc_import VALUES (10912, '13/04/2020', '13', '4', '2020', '2', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.90919671');
INSERT INTO public.ecdc_import VALUES (10913, '12/04/2020', '12', '4', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.54551802');
INSERT INTO public.ecdc_import VALUES (10914, '11/04/2020', '11', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.36367868');
INSERT INTO public.ecdc_import VALUES (10915, '10/04/2020', '10', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.36367868');
INSERT INTO public.ecdc_import VALUES (10916, '09/04/2020', '9', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.54551802');
INSERT INTO public.ecdc_import VALUES (10917, '08/04/2020', '8', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.72735737');
INSERT INTO public.ecdc_import VALUES (10918, '07/04/2020', '7', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.72735737');
INSERT INTO public.ecdc_import VALUES (10919, '06/04/2020', '6', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.72735737');
INSERT INTO public.ecdc_import VALUES (10920, '05/04/2020', '5', '4', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.72735737');
INSERT INTO public.ecdc_import VALUES (10921, '04/04/2020', '4', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '0.72735737');
INSERT INTO public.ecdc_import VALUES (10922, '03/04/2020', '3', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '1.09103605');
INSERT INTO public.ecdc_import VALUES (10923, '02/04/2020', '2', '4', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10924, '01/04/2020', '1', '4', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10925, '31/03/2020', '31', '3', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10926, '30/03/2020', '30', '3', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10927, '29/03/2020', '29', '3', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10928, '28/03/2020', '28', '3', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10929, '27/03/2020', '27', '3', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10930, '26/03/2020', '26', '3', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10931, '25/03/2020', '25', '3', '2020', '0', '1', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10932, '24/03/2020', '24', '3', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10933, '23/03/2020', '23', '3', '2020', '0', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10934, '22/03/2020', '22', '3', '2020', '1', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10935, '21/03/2020', '21', '3', '2020', '2', '0', '549936', 'Cape_Verde', 'CV', 'CPV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (10936, '10/03/2020', '10', '3', '2020', '-9', '1', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10937, '02/03/2020', '2', '3', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10938, '01/03/2020', '1', '3', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10939, '29/02/2020', '29', '2', '2020', '0', '2', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10940, '28/02/2020', '28', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10941, '27/02/2020', '27', '2', '2020', '14', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10942, '26/02/2020', '26', '2', '2020', '0', '1', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10943, '25/02/2020', '25', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10944, '24/02/2020', '24', '2', '2020', '57', '1', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10945, '23/02/2020', '23', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10946, '22/02/2020', '22', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10947, '21/02/2020', '21', '2', '2020', '13', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10948, '20/02/2020', '20', '2', '2020', '79', '2', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10949, '19/02/2020', '19', '2', '2020', '88', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10950, '18/02/2020', '18', '2', '2020', '99', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10951, '17/02/2020', '17', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10952, '16/02/2020', '16', '2', '2020', '134', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10953, '15/02/2020', '15', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10954, '14/02/2020', '14', '2', '2020', '47', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10955, '13/02/2020', '13', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10956, '12/02/2020', '12', '2', '2020', '39', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10957, '11/02/2020', '11', '2', '2020', '65', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10958, '10/02/2020', '10', '2', '2020', '6', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10959, '09/02/2020', '9', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10960, '08/02/2020', '8', '2', '2020', '3', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10961, '07/02/2020', '7', '2', '2020', '41', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10962, '06/02/2020', '6', '2', '2020', '10', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10963, '05/02/2020', '5', '2', '2020', '10', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10964, '04/02/2020', '4', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10965, '03/02/2020', '3', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10966, '02/02/2020', '2', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10967, '01/02/2020', '1', '2', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10968, '31/01/2020', '31', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (11269, '20/03/2020', '20', '3', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (10969, '30/01/2020', '30', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10970, '29/01/2020', '29', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10971, '28/01/2020', '28', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10972, '27/01/2020', '27', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10973, '26/01/2020', '26', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10974, '25/01/2020', '25', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10975, '24/01/2020', '24', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10976, '23/01/2020', '23', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10977, '22/01/2020', '22', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10978, '21/01/2020', '21', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10979, '20/01/2020', '20', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10980, '19/01/2020', '19', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10981, '18/01/2020', '18', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10982, '17/01/2020', '17', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10983, '16/01/2020', '16', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10984, '15/01/2020', '15', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10985, '14/01/2020', '14', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10986, '13/01/2020', '13', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10987, '12/01/2020', '12', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10988, '11/01/2020', '11', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10989, '10/01/2020', '10', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10990, '09/01/2020', '9', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10991, '08/01/2020', '8', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10992, '07/01/2020', '7', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10993, '06/01/2020', '6', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10994, '05/01/2020', '5', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10995, '04/01/2020', '4', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10996, '03/01/2020', '3', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10997, '02/01/2020', '2', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10998, '01/01/2020', '1', '1', '2020', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (10999, '31/12/2019', '31', '12', '2019', '0', '0', '', 'Cases_on_an_international_conveyance_Japan', 'JPG11668', '', 'Other', '');
INSERT INTO public.ecdc_import VALUES (11000, '14/12/2020', '14', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '36.95263903');
INSERT INTO public.ecdc_import VALUES (11001, '13/12/2020', '13', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '36.95263903');
INSERT INTO public.ecdc_import VALUES (11002, '12/12/2020', '12', '12', '2020', '6', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '44.6511055');
INSERT INTO public.ecdc_import VALUES (11003, '11/12/2020', '11', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '35.41294574');
INSERT INTO public.ecdc_import VALUES (11004, '10/12/2020', '10', '12', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '40.03202562');
INSERT INTO public.ecdc_import VALUES (11005, '09/12/2020', '9', '12', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '40.03202562');
INSERT INTO public.ecdc_import VALUES (11006, '08/12/2020', '8', '12', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '38.49233233');
INSERT INTO public.ecdc_import VALUES (11007, '07/12/2020', '7', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '41.57171891');
INSERT INTO public.ecdc_import VALUES (11008, '06/12/2020', '6', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '41.57171891');
INSERT INTO public.ecdc_import VALUES (11009, '05/12/2020', '5', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '41.57171891');
INSERT INTO public.ecdc_import VALUES (11010, '04/12/2020', '4', '12', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '44.6511055');
INSERT INTO public.ecdc_import VALUES (11011, '03/12/2020', '3', '12', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '41.57171891');
INSERT INTO public.ecdc_import VALUES (11012, '02/12/2020', '2', '12', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '43.11141221');
INSERT INTO public.ecdc_import VALUES (11013, '01/12/2020', '1', '12', '2020', '8', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '38.49233233');
INSERT INTO public.ecdc_import VALUES (11014, '30/11/2020', '30', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11015, '29/11/2020', '29', '11', '2020', '5', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11016, '28/11/2020', '28', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '23.0953994');
INSERT INTO public.ecdc_import VALUES (11017, '27/11/2020', '27', '11', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '24.63509269');
INSERT INTO public.ecdc_import VALUES (11018, '26/11/2020', '26', '11', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '20.01601281');
INSERT INTO public.ecdc_import VALUES (11019, '25/11/2020', '25', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '18.47631952');
INSERT INTO public.ecdc_import VALUES (11020, '24/11/2020', '24', '11', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '23.0953994');
INSERT INTO public.ecdc_import VALUES (11021, '23/11/2020', '23', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11022, '22/11/2020', '22', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11023, '21/11/2020', '21', '11', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '24.63509269');
INSERT INTO public.ecdc_import VALUES (11024, '20/11/2020', '20', '11', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '23.0953994');
INSERT INTO public.ecdc_import VALUES (11025, '19/11/2020', '19', '11', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '24.63509269');
INSERT INTO public.ecdc_import VALUES (11026, '18/11/2020', '18', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '23.0953994');
INSERT INTO public.ecdc_import VALUES (11027, '17/11/2020', '17', '11', '2020', '3', '1', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '26.17478598');
INSERT INTO public.ecdc_import VALUES (11028, '16/11/2020', '16', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11029, '15/11/2020', '15', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11030, '14/11/2020', '14', '11', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11031, '13/11/2020', '13', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11032, '12/11/2020', '12', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11033, '11/11/2020', '11', '11', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11034, '10/11/2020', '10', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11035, '09/11/2020', '9', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11036, '08/11/2020', '8', '11', '2020', '5', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11037, '07/11/2020', '7', '11', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '9.23815976');
INSERT INTO public.ecdc_import VALUES (11038, '06/11/2020', '6', '11', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '12.31754634');
INSERT INTO public.ecdc_import VALUES (11039, '05/11/2020', '5', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '10.77785305');
INSERT INTO public.ecdc_import VALUES (11040, '04/11/2020', '4', '11', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '10.77785305');
INSERT INTO public.ecdc_import VALUES (11041, '03/11/2020', '3', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11042, '02/11/2020', '2', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '10.77785305');
INSERT INTO public.ecdc_import VALUES (11043, '01/11/2020', '1', '11', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '10.77785305');
INSERT INTO public.ecdc_import VALUES (11044, '31/10/2020', '31', '10', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '10.77785305');
INSERT INTO public.ecdc_import VALUES (11045, '30/10/2020', '30', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11046, '29/10/2020', '29', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11047, '28/10/2020', '28', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '27.71447928');
INSERT INTO public.ecdc_import VALUES (11048, '27/10/2020', '27', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '27.71447928');
INSERT INTO public.ecdc_import VALUES (11049, '26/10/2020', '26', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '27.71447928');
INSERT INTO public.ecdc_import VALUES (11050, '25/10/2020', '25', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '27.71447928');
INSERT INTO public.ecdc_import VALUES (11051, '24/10/2020', '24', '10', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '38.49233233');
INSERT INTO public.ecdc_import VALUES (11052, '23/10/2020', '23', '10', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '33.87325245');
INSERT INTO public.ecdc_import VALUES (11053, '22/10/2020', '22', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '33.87325245');
INSERT INTO public.ecdc_import VALUES (11054, '21/10/2020', '21', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '33.87325245');
INSERT INTO public.ecdc_import VALUES (11055, '20/10/2020', '20', '10', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '33.87325245');
INSERT INTO public.ecdc_import VALUES (11056, '19/10/2020', '19', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11057, '18/10/2020', '18', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11058, '17/10/2020', '17', '10', '2020', '8', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11059, '16/10/2020', '16', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11060, '15/10/2020', '15', '10', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11061, '14/10/2020', '14', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '15.39693293');
INSERT INTO public.ecdc_import VALUES (11062, '13/10/2020', '13', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '15.39693293');
INSERT INTO public.ecdc_import VALUES (11063, '12/10/2020', '12', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11064, '11/10/2020', '11', '10', '2020', '7', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11065, '10/10/2020', '10', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11066, '09/10/2020', '9', '10', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11067, '08/10/2020', '8', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11068, '07/10/2020', '7', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11069, '06/10/2020', '6', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11070, '05/10/2020', '5', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11071, '04/10/2020', '4', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11072, '03/10/2020', '3', '10', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11073, '02/10/2020', '2', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11074, '01/10/2020', '1', '10', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11075, '30/09/2020', '30', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11076, '29/09/2020', '29', '9', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11077, '28/09/2020', '28', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11078, '27/09/2020', '27', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11079, '26/09/2020', '26', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11080, '25/09/2020', '25', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11081, '24/09/2020', '24', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11082, '23/09/2020', '23', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11083, '22/09/2020', '22', '9', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11084, '21/09/2020', '21', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11085, '20/09/2020', '20', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11086, '19/09/2020', '19', '9', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '6.15877317');
INSERT INTO public.ecdc_import VALUES (11087, '18/09/2020', '18', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11088, '17/09/2020', '17', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11089, '16/09/2020', '16', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11090, '15/09/2020', '15', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11091, '14/09/2020', '14', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11092, '13/09/2020', '13', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11093, '12/09/2020', '12', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11094, '11/09/2020', '11', '9', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11095, '10/09/2020', '10', '9', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11096, '09/09/2020', '9', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11097, '08/09/2020', '8', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11098, '07/09/2020', '7', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11099, '06/09/2020', '6', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11100, '05/09/2020', '5', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11101, '04/09/2020', '4', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11102, '03/09/2020', '3', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11103, '02/09/2020', '2', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11104, '01/09/2020', '1', '9', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11105, '31/08/2020', '31', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11106, '30/08/2020', '30', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11107, '29/08/2020', '29', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11108, '28/08/2020', '28', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11109, '27/08/2020', '27', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11110, '26/08/2020', '26', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11111, '25/08/2020', '25', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11112, '24/08/2020', '24', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11113, '23/08/2020', '23', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11114, '22/08/2020', '22', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11115, '21/08/2020', '21', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11116, '20/08/2020', '20', '8', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11117, '19/08/2020', '19', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11118, '18/08/2020', '18', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11119, '17/08/2020', '17', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11120, '16/08/2020', '16', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11121, '15/08/2020', '15', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11122, '14/08/2020', '14', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11123, '13/08/2020', '13', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11124, '12/08/2020', '12', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11125, '11/08/2020', '11', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11126, '10/08/2020', '10', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11127, '09/08/2020', '9', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11128, '08/08/2020', '8', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11129, '07/08/2020', '7', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11130, '06/08/2020', '6', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11131, '05/08/2020', '5', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11132, '04/08/2020', '4', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11133, '03/08/2020', '3', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11134, '02/08/2020', '2', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11135, '01/08/2020', '1', '8', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11136, '31/07/2020', '31', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11137, '30/07/2020', '30', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11138, '29/07/2020', '29', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (11139, '28/07/2020', '28', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11140, '27/07/2020', '27', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11141, '26/07/2020', '26', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11142, '25/07/2020', '25', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11143, '24/07/2020', '24', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11144, '23/07/2020', '23', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11145, '22/07/2020', '22', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11146, '21/07/2020', '21', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11147, '20/07/2020', '20', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11148, '19/07/2020', '19', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11149, '18/07/2020', '18', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11150, '17/07/2020', '17', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11151, '16/07/2020', '16', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11152, '15/07/2020', '15', '7', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '4.61907988');
INSERT INTO public.ecdc_import VALUES (11153, '14/07/2020', '14', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '3.07938659');
INSERT INTO public.ecdc_import VALUES (11154, '13/07/2020', '13', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11155, '12/07/2020', '12', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11156, '11/07/2020', '11', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11157, '10/07/2020', '10', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11158, '09/07/2020', '9', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '7.69846647');
INSERT INTO public.ecdc_import VALUES (11159, '08/07/2020', '8', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '9.23815976');
INSERT INTO public.ecdc_import VALUES (11160, '07/07/2020', '7', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '9.23815976');
INSERT INTO public.ecdc_import VALUES (11161, '06/07/2020', '6', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '9.23815976');
INSERT INTO public.ecdc_import VALUES (11162, '05/07/2020', '5', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '9.23815976');
INSERT INTO public.ecdc_import VALUES (11163, '04/07/2020', '4', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '9.23815976');
INSERT INTO public.ecdc_import VALUES (11164, '03/07/2020', '3', '7', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '12.31754634');
INSERT INTO public.ecdc_import VALUES (11165, '02/07/2020', '2', '7', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '12.31754634');
INSERT INTO public.ecdc_import VALUES (11166, '01/07/2020', '1', '7', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '10.77785305');
INSERT INTO public.ecdc_import VALUES (11167, '30/06/2020', '30', '6', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '18.47631952');
INSERT INTO public.ecdc_import VALUES (11168, '29/06/2020', '29', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '13.85723964');
INSERT INTO public.ecdc_import VALUES (11169, '28/06/2020', '28', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '13.85723964');
INSERT INTO public.ecdc_import VALUES (11170, '27/06/2020', '27', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '13.85723964');
INSERT INTO public.ecdc_import VALUES (11171, '26/06/2020', '26', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '24.63509269');
INSERT INTO public.ecdc_import VALUES (11172, '25/06/2020', '25', '6', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '24.63509269');
INSERT INTO public.ecdc_import VALUES (11173, '24/06/2020', '24', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '29.25417257');
INSERT INTO public.ecdc_import VALUES (11174, '23/06/2020', '23', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '36.95263903');
INSERT INTO public.ecdc_import VALUES (11175, '22/06/2020', '22', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '47.73049209');
INSERT INTO public.ecdc_import VALUES (11176, '21/06/2020', '21', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '47.73049209');
INSERT INTO public.ecdc_import VALUES (11177, '20/06/2020', '20', '6', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '47.73049209');
INSERT INTO public.ecdc_import VALUES (11178, '19/06/2020', '19', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '50.80987867');
INSERT INTO public.ecdc_import VALUES (11179, '18/06/2020', '18', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '56.96865184');
INSERT INTO public.ecdc_import VALUES (11180, '17/06/2020', '17', '6', '2020', '6', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '64.66711831');
INSERT INTO public.ecdc_import VALUES (11181, '16/06/2020', '16', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '56.96865184');
INSERT INTO public.ecdc_import VALUES (11182, '15/06/2020', '15', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '70.82589148');
INSERT INTO public.ecdc_import VALUES (11183, '14/06/2020', '14', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '70.82589148');
INSERT INTO public.ecdc_import VALUES (11184, '13/06/2020', '13', '6', '2020', '7', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '70.82589148');
INSERT INTO public.ecdc_import VALUES (11185, '12/06/2020', '12', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '61.58773172');
INSERT INTO public.ecdc_import VALUES (11186, '11/06/2020', '11', '6', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '61.58773172');
INSERT INTO public.ecdc_import VALUES (11187, '10/06/2020', '10', '6', '2020', '5', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '60.04803843');
INSERT INTO public.ecdc_import VALUES (11188, '09/06/2020', '9', '6', '2020', '7', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '56.96865184');
INSERT INTO public.ecdc_import VALUES (11189, '08/06/2020', '8', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '53.88926526');
INSERT INTO public.ecdc_import VALUES (11190, '07/06/2020', '7', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '53.88926526');
INSERT INTO public.ecdc_import VALUES (11191, '06/06/2020', '6', '6', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '66.2068116');
INSERT INTO public.ecdc_import VALUES (11192, '05/06/2020', '5', '6', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '75.44497136');
INSERT INTO public.ecdc_import VALUES (11193, '04/06/2020', '4', '6', '2020', '5', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '69.28619819');
INSERT INTO public.ecdc_import VALUES (11194, '03/06/2020', '3', '6', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '61.58773172');
INSERT INTO public.ecdc_import VALUES (11195, '02/06/2020', '2', '6', '2020', '9', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '86.22282441');
INSERT INTO public.ecdc_import VALUES (11196, '01/06/2020', '1', '6', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '72.36558478');
INSERT INTO public.ecdc_import VALUES (11197, '31/05/2020', '31', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '72.36558478');
INSERT INTO public.ecdc_import VALUES (11198, '30/05/2020', '30', '5', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '73.90527807');
INSERT INTO public.ecdc_import VALUES (11199, '29/05/2020', '29', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '72.36558478');
INSERT INTO public.ecdc_import VALUES (11200, '28/05/2020', '28', '5', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '84.68313112');
INSERT INTO public.ecdc_import VALUES (11201, '27/05/2020', '27', '5', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '80.06405124');
INSERT INTO public.ecdc_import VALUES (11202, '26/05/2020', '26', '5', '2020', '5', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '76.98466465');
INSERT INTO public.ecdc_import VALUES (11203, '25/05/2020', '25', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '73.90527807');
INSERT INTO public.ecdc_import VALUES (11204, '24/05/2020', '24', '5', '2020', '8', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '73.90527807');
INSERT INTO public.ecdc_import VALUES (11205, '23/05/2020', '23', '5', '2020', '10', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '61.58773172');
INSERT INTO public.ecdc_import VALUES (11206, '22/05/2020', '22', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '50.80987867');
INSERT INTO public.ecdc_import VALUES (11207, '21/05/2020', '21', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '50.80987867');
INSERT INTO public.ecdc_import VALUES (11208, '20/05/2020', '20', '5', '2020', '17', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '55.42895855');
INSERT INTO public.ecdc_import VALUES (11209, '19/05/2020', '19', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '29.25417257');
INSERT INTO public.ecdc_import VALUES (11210, '18/05/2020', '18', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11211, '17/05/2020', '17', '5', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11212, '16/05/2020', '16', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '29.25417257');
INSERT INTO public.ecdc_import VALUES (11213, '15/05/2020', '15', '5', '2020', '8', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '30.79386586');
INSERT INTO public.ecdc_import VALUES (11214, '14/05/2020', '14', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '18.47631952');
INSERT INTO public.ecdc_import VALUES (11215, '13/05/2020', '13', '5', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '23.0953994');
INSERT INTO public.ecdc_import VALUES (11216, '12/05/2020', '12', '5', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '21.5557061');
INSERT INTO public.ecdc_import VALUES (11217, '11/05/2020', '11', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11218, '10/05/2020', '10', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '16.93662622');
INSERT INTO public.ecdc_import VALUES (11219, '09/05/2020', '9', '5', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '23.0953994');
INSERT INTO public.ecdc_import VALUES (11220, '08/05/2020', '8', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '18.47631952');
INSERT INTO public.ecdc_import VALUES (11221, '07/05/2020', '7', '5', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '18.47631952');
INSERT INTO public.ecdc_import VALUES (11222, '06/05/2020', '6', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '13.85723964');
INSERT INTO public.ecdc_import VALUES (11223, '05/05/2020', '5', '5', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '13.85723964');
INSERT INTO public.ecdc_import VALUES (11224, '04/05/2020', '4', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '20.01601281');
INSERT INTO public.ecdc_import VALUES (11225, '03/05/2020', '3', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '20.01601281');
INSERT INTO public.ecdc_import VALUES (11226, '02/05/2020', '2', '5', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '20.01601281');
INSERT INTO public.ecdc_import VALUES (11227, '01/05/2020', '1', '5', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '18.47631952');
INSERT INTO public.ecdc_import VALUES (11228, '30/04/2020', '30', '4', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '20.01601281');
INSERT INTO public.ecdc_import VALUES (11229, '29/04/2020', '29', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '24.63509269');
INSERT INTO public.ecdc_import VALUES (11230, '28/04/2020', '28', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '26.17478598');
INSERT INTO public.ecdc_import VALUES (11231, '27/04/2020', '27', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '26.17478598');
INSERT INTO public.ecdc_import VALUES (11232, '26/04/2020', '26', '4', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '26.17478598');
INSERT INTO public.ecdc_import VALUES (11233, '25/04/2020', '25', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '32.33355916');
INSERT INTO public.ecdc_import VALUES (11234, '24/04/2020', '24', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '32.33355916');
INSERT INTO public.ecdc_import VALUES (11235, '23/04/2020', '23', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '32.33355916');
INSERT INTO public.ecdc_import VALUES (11236, '22/04/2020', '22', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '32.33355916');
INSERT INTO public.ecdc_import VALUES (11237, '21/04/2020', '21', '4', '2020', '5', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '41.57171891');
INSERT INTO public.ecdc_import VALUES (11238, '20/04/2020', '20', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '33.87325245');
INSERT INTO public.ecdc_import VALUES (11239, '19/04/2020', '19', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '40.03202562');
INSERT INTO public.ecdc_import VALUES (11240, '18/04/2020', '18', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '49.27018538');
INSERT INTO public.ecdc_import VALUES (11241, '17/04/2020', '17', '4', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '50.80987867');
INSERT INTO public.ecdc_import VALUES (11242, '16/04/2020', '16', '4', '2020', '6', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '58.50834514');
INSERT INTO public.ecdc_import VALUES (11243, '15/04/2020', '15', '4', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '61.58773172');
INSERT INTO public.ecdc_import VALUES (11244, '14/04/2020', '14', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '63.12742502');
INSERT INTO public.ecdc_import VALUES (11245, '13/04/2020', '13', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '69.28619819');
INSERT INTO public.ecdc_import VALUES (11246, '12/04/2020', '12', '4', '2020', '8', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '69.28619819');
INSERT INTO public.ecdc_import VALUES (11247, '11/04/2020', '11', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '56.96865184');
INSERT INTO public.ecdc_import VALUES (11248, '10/04/2020', '10', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '60.04803843');
INSERT INTO public.ecdc_import VALUES (11249, '09/04/2020', '9', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '64.66711831');
INSERT INTO public.ecdc_import VALUES (11250, '08/04/2020', '8', '4', '2020', '6', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '64.66711831');
INSERT INTO public.ecdc_import VALUES (11251, '07/04/2020', '7', '4', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '55.42895855');
INSERT INTO public.ecdc_import VALUES (11252, '06/04/2020', '6', '4', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '55.42895855');
INSERT INTO public.ecdc_import VALUES (11253, '05/04/2020', '5', '4', '2020', '6', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '49.27018538');
INSERT INTO public.ecdc_import VALUES (11254, '04/04/2020', '4', '4', '2020', '1', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '40.03202562');
INSERT INTO public.ecdc_import VALUES (11255, '03/04/2020', '3', '4', '2020', '6', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '41.57171891');
INSERT INTO public.ecdc_import VALUES (11256, '02/04/2020', '2', '4', '2020', '8', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '33.87325245');
INSERT INTO public.ecdc_import VALUES (11257, '01/04/2020', '1', '4', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11258, '31/03/2020', '31', '3', '2020', '4', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11259, '30/03/2020', '30', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11260, '29/03/2020', '29', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11261, '28/03/2020', '28', '3', '2020', '2', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11262, '27/03/2020', '27', '3', '2020', '3', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11263, '26/03/2020', '26', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11264, '25/03/2020', '25', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11265, '24/03/2020', '24', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11266, '23/03/2020', '23', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11267, '22/03/2020', '22', '3', '2020', '0', '0', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11268, '21/03/2020', '21', '3', '2020', '2', '1', '64948', 'Cayman_Islands', 'KY', 'CYM', 'America', '');
INSERT INTO public.ecdc_import VALUES (11270, '14/12/2020', '14', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.48470247');
INSERT INTO public.ecdc_import VALUES (11271, '13/12/2020', '13', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.48470247');
INSERT INTO public.ecdc_import VALUES (11272, '12/12/2020', '12', '12', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.48470247');
INSERT INTO public.ecdc_import VALUES (11273, '11/12/2020', '11', '12', '2020', '5', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.40040639');
INSERT INTO public.ecdc_import VALUES (11274, '10/12/2020', '10', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.33718433');
INSERT INTO public.ecdc_import VALUES (11275, '09/12/2020', '9', '12', '2020', '5', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.33718433');
INSERT INTO public.ecdc_import VALUES (11276, '08/12/2020', '8', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11277, '07/12/2020', '7', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11278, '06/12/2020', '6', '12', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11279, '05/12/2020', '5', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.14751814');
INSERT INTO public.ecdc_import VALUES (11280, '04/12/2020', '4', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11281, '03/12/2020', '3', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.37933237');
INSERT INTO public.ecdc_import VALUES (11282, '02/12/2020', '2', '12', '2020', '5', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.37933237');
INSERT INTO public.ecdc_import VALUES (11283, '01/12/2020', '1', '12', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.27396227');
INSERT INTO public.ecdc_import VALUES (11284, '30/11/2020', '30', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.27396227');
INSERT INTO public.ecdc_import VALUES (11285, '29/11/2020', '29', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.35825835');
INSERT INTO public.ecdc_import VALUES (11286, '28/11/2020', '28', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.52685052');
INSERT INTO public.ecdc_import VALUES (11287, '27/11/2020', '27', '11', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.52685052');
INSERT INTO public.ecdc_import VALUES (11288, '26/11/2020', '26', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.56899856');
INSERT INTO public.ecdc_import VALUES (11289, '25/11/2020', '25', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.56899856');
INSERT INTO public.ecdc_import VALUES (11290, '24/11/2020', '24', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.65329464');
INSERT INTO public.ecdc_import VALUES (11291, '23/11/2020', '23', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.67436866');
INSERT INTO public.ecdc_import VALUES (11292, '22/11/2020', '22', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.67436866');
INSERT INTO public.ecdc_import VALUES (11293, '21/11/2020', '21', '11', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.75866474');
INSERT INTO public.ecdc_import VALUES (11294, '20/11/2020', '20', '11', '2020', '7', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.67436866');
INSERT INTO public.ecdc_import VALUES (11295, '19/11/2020', '19', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.52685052');
INSERT INTO public.ecdc_import VALUES (11296, '18/11/2020', '18', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.7165167');
INSERT INTO public.ecdc_import VALUES (11297, '17/11/2020', '17', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.7165167');
INSERT INTO public.ecdc_import VALUES (11298, '16/11/2020', '16', '11', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.7165167');
INSERT INTO public.ecdc_import VALUES (11299, '15/11/2020', '15', '11', '2020', '8', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.63222062');
INSERT INTO public.ecdc_import VALUES (11300, '14/11/2020', '14', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.46362845');
INSERT INTO public.ecdc_import VALUES (11301, '13/11/2020', '13', '11', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.52685052');
INSERT INTO public.ecdc_import VALUES (11302, '12/11/2020', '12', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.44255443');
INSERT INTO public.ecdc_import VALUES (11303, '11/11/2020', '11', '11', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.44255443');
INSERT INTO public.ecdc_import VALUES (11304, '10/11/2020', '10', '11', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.35825835');
INSERT INTO public.ecdc_import VALUES (11305, '09/11/2020', '9', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.35825835');
INSERT INTO public.ecdc_import VALUES (11306, '08/11/2020', '8', '11', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.35825835');
INSERT INTO public.ecdc_import VALUES (11307, '07/11/2020', '7', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.27396227');
INSERT INTO public.ecdc_import VALUES (11308, '06/11/2020', '6', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.27396227');
INSERT INTO public.ecdc_import VALUES (11309, '05/11/2020', '5', '11', '2020', '9', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.35825835');
INSERT INTO public.ecdc_import VALUES (11310, '04/11/2020', '4', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11311, '03/11/2020', '3', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.21074021');
INSERT INTO public.ecdc_import VALUES (11312, '02/11/2020', '2', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11313, '01/11/2020', '1', '11', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11314, '31/10/2020', '31', '10', '2020', '3', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11315, '30/10/2020', '30', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11316, '29/10/2020', '29', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11317, '28/10/2020', '28', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11318, '27/10/2020', '27', '10', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.18966619');
INSERT INTO public.ecdc_import VALUES (11319, '26/10/2020', '26', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11320, '25/10/2020', '25', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11321, '24/10/2020', '24', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.21074021');
INSERT INTO public.ecdc_import VALUES (11322, '23/10/2020', '23', '10', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.21074021');
INSERT INTO public.ecdc_import VALUES (11323, '22/10/2020', '22', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11324, '21/10/2020', '21', '10', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11325, '20/10/2020', '20', '10', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.23181423');
INSERT INTO public.ecdc_import VALUES (11326, '19/10/2020', '19', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.21074021');
INSERT INTO public.ecdc_import VALUES (11327, '18/10/2020', '18', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.21074021');
INSERT INTO public.ecdc_import VALUES (11328, '17/10/2020', '17', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.54792454');
INSERT INTO public.ecdc_import VALUES (11329, '16/10/2020', '16', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.54792454');
INSERT INTO public.ecdc_import VALUES (11330, '15/10/2020', '15', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.54792454');
INSERT INTO public.ecdc_import VALUES (11331, '14/10/2020', '14', '10', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.63222062');
INSERT INTO public.ecdc_import VALUES (11332, '13/10/2020', '13', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11333, '12/10/2020', '12', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11334, '11/10/2020', '11', '10', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11335, '10/10/2020', '10', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.96940495');
INSERT INTO public.ecdc_import VALUES (11336, '09/10/2020', '9', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11337, '08/10/2020', '8', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11338, '07/10/2020', '7', '10', '2020', '7', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11339, '06/10/2020', '6', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.09584907');
INSERT INTO public.ecdc_import VALUES (11340, '05/10/2020', '5', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.09584907');
INSERT INTO public.ecdc_import VALUES (11341, '04/10/2020', '4', '10', '2020', '16', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.24336722');
INSERT INTO public.ecdc_import VALUES (11342, '03/10/2020', '3', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.90618289');
INSERT INTO public.ecdc_import VALUES (11343, '02/10/2020', '2', '10', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.99047897');
INSERT INTO public.ecdc_import VALUES (11344, '01/10/2020', '1', '10', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.99047897');
INSERT INTO public.ecdc_import VALUES (11345, '30/09/2020', '30', '9', '2020', '19', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.11692309');
INSERT INTO public.ecdc_import VALUES (11346, '29/09/2020', '29', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.7165167');
INSERT INTO public.ecdc_import VALUES (11347, '28/09/2020', '28', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11348, '27/09/2020', '27', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11349, '26/09/2020', '26', '9', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11350, '25/09/2020', '25', '9', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11351, '24/09/2020', '24', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.39088536');
INSERT INTO public.ecdc_import VALUES (11352, '23/09/2020', '23', '9', '2020', '9', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.39088536');
INSERT INTO public.ecdc_import VALUES (11353, '22/09/2020', '22', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.34873732');
INSERT INTO public.ecdc_import VALUES (11354, '21/09/2020', '21', '9', '2020', '7', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.34873732');
INSERT INTO public.ecdc_import VALUES (11355, '20/09/2020', '20', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11356, '19/09/2020', '19', '9', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11357, '18/09/2020', '18', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.11692309');
INSERT INTO public.ecdc_import VALUES (11358, '17/09/2020', '17', '9', '2020', '10', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.47518144');
INSERT INTO public.ecdc_import VALUES (11359, '16/09/2020', '16', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.28551526');
INSERT INTO public.ecdc_import VALUES (11360, '15/09/2020', '15', '9', '2020', '23', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.28551526');
INSERT INTO public.ecdc_import VALUES (11361, '14/09/2020', '14', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.03262701');
INSERT INTO public.ecdc_import VALUES (11362, '13/09/2020', '13', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.03262701');
INSERT INTO public.ecdc_import VALUES (11363, '12/09/2020', '12', '9', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.03262701');
INSERT INTO public.ecdc_import VALUES (11364, '11/09/2020', '11', '9', '2020', '11', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.03262701');
INSERT INTO public.ecdc_import VALUES (11365, '10/09/2020', '10', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11366, '09/09/2020', '9', '9', '2020', '7', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.94833093');
INSERT INTO public.ecdc_import VALUES (11367, '08/09/2020', '8', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11368, '07/09/2020', '7', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11369, '06/09/2020', '6', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11370, '05/09/2020', '5', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11371, '04/09/2020', '4', '9', '2020', '17', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.05370103');
INSERT INTO public.ecdc_import VALUES (11372, '03/09/2020', '3', '9', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.69544268');
INSERT INTO public.ecdc_import VALUES (11373, '02/09/2020', '2', '9', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.67436866');
INSERT INTO public.ecdc_import VALUES (11374, '01/09/2020', '1', '9', '2020', '11', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.92725691');
INSERT INTO public.ecdc_import VALUES (11375, '31/08/2020', '31', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11376, '30/08/2020', '30', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11377, '29/08/2020', '29', '8', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11378, '28/08/2020', '28', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.96940495');
INSERT INTO public.ecdc_import VALUES (11379, '27/08/2020', '27', '8', '2020', '7', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.96940495');
INSERT INTO public.ecdc_import VALUES (11380, '26/08/2020', '26', '8', '2020', '12', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.92725691');
INSERT INTO public.ecdc_import VALUES (11381, '25/08/2020', '25', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11382, '24/08/2020', '24', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11383, '23/08/2020', '23', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11384, '22/08/2020', '22', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11385, '21/08/2020', '21', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.24336722');
INSERT INTO public.ecdc_import VALUES (11386, '20/08/2020', '20', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.28551526');
INSERT INTO public.ecdc_import VALUES (11387, '19/08/2020', '19', '8', '2020', '12', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.28551526');
INSERT INTO public.ecdc_import VALUES (11388, '18/08/2020', '18', '8', '2020', '15', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.11692309');
INSERT INTO public.ecdc_import VALUES (11389, '17/08/2020', '17', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11390, '16/08/2020', '16', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11391, '15/08/2020', '15', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.92725691');
INSERT INTO public.ecdc_import VALUES (11392, '14/08/2020', '14', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.99047897');
INSERT INTO public.ecdc_import VALUES (11393, '13/08/2020', '13', '8', '2020', '5', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.99047897');
INSERT INTO public.ecdc_import VALUES (11394, '12/08/2020', '12', '8', '2020', '6', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11395, '11/08/2020', '11', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.88510887');
INSERT INTO public.ecdc_import VALUES (11396, '10/08/2020', '10', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.88510887');
INSERT INTO public.ecdc_import VALUES (11397, '09/08/2020', '9', '8', '2020', '0', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.90618289');
INSERT INTO public.ecdc_import VALUES (11398, '08/08/2020', '8', '8', '2020', '21', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.01155299');
INSERT INTO public.ecdc_import VALUES (11399, '07/08/2020', '7', '8', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.63222062');
INSERT INTO public.ecdc_import VALUES (11400, '06/08/2020', '6', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.92725691');
INSERT INTO public.ecdc_import VALUES (11401, '05/08/2020', '5', '8', '2020', '4', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.20121917');
INSERT INTO public.ecdc_import VALUES (11402, '04/08/2020', '4', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.39088536');
INSERT INTO public.ecdc_import VALUES (11403, '03/08/2020', '3', '8', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '2.71854866');
INSERT INTO public.ecdc_import VALUES (11404, '02/08/2020', '2', '8', '2020', '6', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '2.71854866');
INSERT INTO public.ecdc_import VALUES (11405, '01/08/2020', '1', '8', '2020', '3', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '4.61521051');
INSERT INTO public.ecdc_import VALUES (11406, '31/07/2020', '31', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '4.88917278');
INSERT INTO public.ecdc_import VALUES (11407, '30/07/2020', '30', '7', '2020', '6', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '5.12098701');
INSERT INTO public.ecdc_import VALUES (11408, '29/07/2020', '29', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '5.12098701');
INSERT INTO public.ecdc_import VALUES (11409, '28/07/2020', '28', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '5.85857773');
INSERT INTO public.ecdc_import VALUES (11410, '27/07/2020', '27', '7', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '6.55402041');
INSERT INTO public.ecdc_import VALUES (11411, '26/07/2020', '26', '7', '2020', '5', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '6.53294639');
INSERT INTO public.ecdc_import VALUES (11412, '25/07/2020', '25', '7', '2020', '3', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '7.03872288');
INSERT INTO public.ecdc_import VALUES (11413, '24/07/2020', '24', '7', '2020', '16', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '8.21886803');
INSERT INTO public.ecdc_import VALUES (11414, '23/07/2020', '23', '7', '2020', '13', '2', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '9.79941958');
INSERT INTO public.ecdc_import VALUES (11415, '22/07/2020', '22', '7', '2020', '13', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '10.32627009');
INSERT INTO public.ecdc_import VALUES (11416, '21/07/2020', '21', '7', '2020', '63', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '10.85312061');
INSERT INTO public.ecdc_import VALUES (11417, '20/07/2020', '20', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '10.87419463');
INSERT INTO public.ecdc_import VALUES (11418, '19/07/2020', '19', '7', '2020', '96', '2', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '10.87419463');
INSERT INTO public.ecdc_import VALUES (11419, '18/07/2020', '18', '7', '2020', '16', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '9.9258637');
INSERT INTO public.ecdc_import VALUES (11420, '17/07/2020', '17', '7', '2020', '11', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '11.59071133');
INSERT INTO public.ecdc_import VALUES (11421, '16/07/2020', '16', '7', '2020', '6', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '13.00267071');
INSERT INTO public.ecdc_import VALUES (11422, '15/07/2020', '15', '7', '2020', '35', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '12.87622659');
INSERT INTO public.ecdc_import VALUES (11423, '14/07/2020', '14', '7', '2020', '33', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '14.92040659');
INSERT INTO public.ecdc_import VALUES (11424, '13/07/2020', '13', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '18.1025837');
INSERT INTO public.ecdc_import VALUES (11425, '12/07/2020', '12', '7', '2020', '29', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '18.1025837');
INSERT INTO public.ecdc_import VALUES (11426, '11/07/2020', '11', '7', '2020', '59', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '19.36702493');
INSERT INTO public.ecdc_import VALUES (11427, '10/07/2020', '10', '7', '2020', '91', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '20.14676369');
INSERT INTO public.ecdc_import VALUES (11428, '09/07/2020', '9', '7', '2020', '38', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '21.28476081');
INSERT INTO public.ecdc_import VALUES (11429, '08/07/2020', '8', '7', '2020', '38', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '21.49550101');
INSERT INTO public.ecdc_import VALUES (11430, '07/07/2020', '7', '7', '2020', '64', '4', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '22.54920204');
INSERT INTO public.ecdc_import VALUES (11431, '06/07/2020', '6', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.46693792');
INSERT INTO public.ecdc_import VALUES (11432, '05/07/2020', '5', '7', '2020', '51', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.46693792');
INSERT INTO public.ecdc_import VALUES (11433, '04/07/2020', '4', '7', '2020', '95', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '27.67018905');
INSERT INTO public.ecdc_import VALUES (11434, '03/07/2020', '3', '7', '2020', '78', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.66815709');
INSERT INTO public.ecdc_import VALUES (11435, '02/07/2020', '2', '7', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.88841833');
INSERT INTO public.ecdc_import VALUES (11436, '01/07/2020', '1', '7', '2020', '132', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '28.1338175');
INSERT INTO public.ecdc_import VALUES (11437, '30/06/2020', '30', '6', '2020', '184', '2', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '27.90200328');
INSERT INTO public.ecdc_import VALUES (11438, '29/06/2020', '29', '6', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.43634287');
INSERT INTO public.ecdc_import VALUES (11439, '28/06/2020', '28', '6', '2020', '89', '5', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '28.91355626');
INSERT INTO public.ecdc_import VALUES (11440, '27/06/2020', '27', '6', '2020', '96', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '27.03796843');
INSERT INTO public.ecdc_import VALUES (11441, '26/06/2020', '26', '6', '2020', '145', '2', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.28882472');
INSERT INTO public.ecdc_import VALUES (11442, '25/06/2020', '25', '6', '2020', '48', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.17190163');
INSERT INTO public.ecdc_import VALUES (11443, '24/06/2020', '24', '6', '2020', '88', '7', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.50908596');
INSERT INTO public.ecdc_import VALUES (11444, '23/06/2020', '23', '6', '2020', '155', '7', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '23.45538493');
INSERT INTO public.ecdc_import VALUES (11445, '22/06/2020', '22', '6', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.74090019');
INSERT INTO public.ecdc_import VALUES (11446, '21/06/2020', '21', '6', '2020', '203', '4', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '26.0896375');
INSERT INTO public.ecdc_import VALUES (11447, '20/06/2020', '20', '6', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.31941977');
INSERT INTO public.ecdc_import VALUES (11448, '19/06/2020', '19', '6', '2020', '41', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '27.75448513');
INSERT INTO public.ecdc_import VALUES (11449, '18/06/2020', '18', '6', '2020', '154', '4', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '28.97677833');
INSERT INTO public.ecdc_import VALUES (11450, '17/06/2020', '17', '6', '2020', '121', '4', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '26.06856348');
INSERT INTO public.ecdc_import VALUES (11451, '16/06/2020', '16', '6', '2020', '67', '3', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.71030513');
INSERT INTO public.ecdc_import VALUES (11452, '15/06/2020', '15', '6', '2020', '165', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.52063895');
INSERT INTO public.ecdc_import VALUES (11453, '14/06/2020', '14', '6', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '23.07605256');
INSERT INTO public.ecdc_import VALUES (11454, '13/06/2020', '13', '6', '2020', '13', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '24.93056637');
INSERT INTO public.ecdc_import VALUES (11455, '12/06/2020', '12', '6', '2020', '92', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '27.16441255');
INSERT INTO public.ecdc_import VALUES (11456, '11/06/2020', '11', '6', '2020', '64', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '26.34252575');
INSERT INTO public.ecdc_import VALUES (11457, '10/06/2020', '10', '6', '2020', '38', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.64708307');
INSERT INTO public.ecdc_import VALUES (11458, '09/06/2020', '9', '6', '2020', '216', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '25.24667668');
INSERT INTO public.ecdc_import VALUES (11459, '08/06/2020', '8', '6', '2020', '64', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '21.70624122');
INSERT INTO public.ecdc_import VALUES (11460, '07/06/2020', '7', '6', '2020', '119', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '21.45335297');
INSERT INTO public.ecdc_import VALUES (11461, '06/06/2020', '6', '6', '2020', '163', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '20.48394802');
INSERT INTO public.ecdc_import VALUES (11462, '05/06/2020', '5', '6', '2020', '99', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '17.95506555');
INSERT INTO public.ecdc_import VALUES (11463, '04/06/2020', '4', '6', '2020', '16', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '16.39558803');
INSERT INTO public.ecdc_import VALUES (11464, '03/06/2020', '3', '6', '2020', '104', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '16.0584037');
INSERT INTO public.ecdc_import VALUES (11465, '02/06/2020', '2', '6', '2020', '58', '2', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '15.4472571');
INSERT INTO public.ecdc_import VALUES (11466, '01/06/2020', '1', '6', '2020', '49', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '14.41463009');
INSERT INTO public.ecdc_import VALUES (11467, '31/05/2020', '31', '5', '2020', '88', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '13.38200308');
INSERT INTO public.ecdc_import VALUES (11468, '30/05/2020', '30', '5', '2020', '119', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '12.0754138');
INSERT INTO public.ecdc_import VALUES (11469, '29/05/2020', '29', '5', '2020', '53', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '11.253527');
INSERT INTO public.ecdc_import VALUES (11470, '28/05/2020', '28', '5', '2020', '31', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '10.6423804');
INSERT INTO public.ecdc_import VALUES (11471, '27/05/2020', '27', '5', '2020', '19', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '10.36841814');
INSERT INTO public.ecdc_import VALUES (11472, '26/05/2020', '26', '5', '2020', '48', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '9.96801174');
INSERT INTO public.ecdc_import VALUES (11473, '25/05/2020', '25', '5', '2020', '52', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '8.95645876');
INSERT INTO public.ecdc_import VALUES (11474, '24/05/2020', '24', '5', '2020', '73', '1', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '8.61927443');
INSERT INTO public.ecdc_import VALUES (11475, '23/05/2020', '23', '5', '2020', '43', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '7.08087092');
INSERT INTO public.ecdc_import VALUES (11476, '22/05/2020', '22', '5', '2020', '25', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '7.20731505');
INSERT INTO public.ecdc_import VALUES (11477, '21/05/2020', '21', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '6.68046453');
INSERT INTO public.ecdc_import VALUES (11478, '20/05/2020', '20', '5', '2020', '75', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '6.68046453');
INSERT INTO public.ecdc_import VALUES (11479, '19/05/2020', '19', '5', '2020', '9', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '5.09991299');
INSERT INTO public.ecdc_import VALUES (11480, '18/05/2020', '18', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '5.37387525');
INSERT INTO public.ecdc_import VALUES (11481, '17/05/2020', '17', '5', '2020', '26', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '5.37387525');
INSERT INTO public.ecdc_import VALUES (11482, '16/05/2020', '16', '5', '2020', '80', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '4.82595072');
INSERT INTO public.ecdc_import VALUES (11483, '15/05/2020', '15', '5', '2020', '24', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '3.60365752');
INSERT INTO public.ecdc_import VALUES (11484, '14/05/2020', '14', '5', '2020', '18', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '3.09788103');
INSERT INTO public.ecdc_import VALUES (11485, '13/05/2020', '13', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '2.71854866');
INSERT INTO public.ecdc_import VALUES (11486, '12/05/2020', '12', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '2.71854866');
INSERT INTO public.ecdc_import VALUES (11487, '11/05/2020', '11', '5', '2020', '36', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '3.3718433');
INSERT INTO public.ecdc_import VALUES (11488, '10/05/2020', '10', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '2.61317855');
INSERT INTO public.ecdc_import VALUES (11489, '09/05/2020', '9', '5', '2020', '49', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '2.61317855');
INSERT INTO public.ecdc_import VALUES (11490, '08/05/2020', '8', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.62269959');
INSERT INTO public.ecdc_import VALUES (11491, '07/05/2020', '7', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.64377361');
INSERT INTO public.ecdc_import VALUES (11492, '06/05/2020', '6', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.68592165');
INSERT INTO public.ecdc_import VALUES (11493, '05/05/2020', '5', '5', '2020', '22', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.72806969');
INSERT INTO public.ecdc_import VALUES (11494, '04/05/2020', '4', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.26444124');
INSERT INTO public.ecdc_import VALUES (11495, '03/05/2020', '3', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.26444124');
INSERT INTO public.ecdc_import VALUES (11496, '02/05/2020', '2', '5', '2020', '22', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '1.26444124');
INSERT INTO public.ecdc_import VALUES (11497, '01/05/2020', '1', '5', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.80081278');
INSERT INTO public.ecdc_import VALUES (11498, '30/04/2020', '30', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.8218868');
INSERT INTO public.ecdc_import VALUES (11499, '29/04/2020', '29', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.8218868');
INSERT INTO public.ecdc_import VALUES (11500, '28/04/2020', '28', '4', '2020', '31', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.8218868');
INSERT INTO public.ecdc_import VALUES (11501, '27/04/2020', '27', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11502, '26/04/2020', '26', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11503, '25/04/2020', '25', '4', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.16859216');
INSERT INTO public.ecdc_import VALUES (11504, '24/04/2020', '24', '4', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11505, '23/04/2020', '23', '4', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11506, '22/04/2020', '22', '4', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11507, '21/04/2020', '21', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.06322206');
INSERT INTO public.ecdc_import VALUES (11508, '20/04/2020', '20', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.06322206');
INSERT INTO public.ecdc_import VALUES (11509, '19/04/2020', '19', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.06322206');
INSERT INTO public.ecdc_import VALUES (11510, '18/04/2020', '18', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.08429608');
INSERT INTO public.ecdc_import VALUES (11511, '17/04/2020', '17', '4', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.08429608');
INSERT INTO public.ecdc_import VALUES (11512, '16/04/2020', '16', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.06322206');
INSERT INTO public.ecdc_import VALUES (11513, '15/04/2020', '15', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11514, '14/04/2020', '14', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11515, '13/04/2020', '13', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11516, '12/04/2020', '12', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11517, '11/04/2020', '11', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11518, '10/04/2020', '10', '4', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11519, '09/04/2020', '9', '4', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11520, '08/04/2020', '8', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11521, '07/04/2020', '7', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11522, '06/04/2020', '6', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11523, '05/04/2020', '5', '4', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11524, '04/04/2020', '4', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.14751814');
INSERT INTO public.ecdc_import VALUES (11525, '03/04/2020', '3', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.14751814');
INSERT INTO public.ecdc_import VALUES (11526, '02/04/2020', '2', '4', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.14751814');
INSERT INTO public.ecdc_import VALUES (11527, '01/04/2020', '1', '4', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11528, '31/03/2020', '31', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11529, '30/03/2020', '30', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.1053701');
INSERT INTO public.ecdc_import VALUES (11530, '29/03/2020', '29', '3', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '0.12644412');
INSERT INTO public.ecdc_import VALUES (11531, '28/03/2020', '28', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11532, '27/03/2020', '27', '3', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11533, '26/03/2020', '26', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11534, '25/03/2020', '25', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11535, '24/03/2020', '24', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11536, '23/03/2020', '23', '3', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11537, '22/03/2020', '22', '3', '2020', '2', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11538, '21/03/2020', '21', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11539, '20/03/2020', '20', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11540, '19/03/2020', '19', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11541, '18/03/2020', '18', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11542, '17/03/2020', '17', '3', '2020', '0', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11543, '16/03/2020', '16', '3', '2020', '1', '0', '4745179', 'Central_African_Republic', 'CF', 'CAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11544, '14/12/2020', '14', '12', '2020', '19', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55183201');
INSERT INTO public.ecdc_import VALUES (11545, '13/12/2020', '13', '12', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55183201');
INSERT INTO public.ecdc_import VALUES (11546, '12/12/2020', '12', '12', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.5142071');
INSERT INTO public.ecdc_import VALUES (11547, '11/12/2020', '11', '12', '2020', '7', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.48912383');
INSERT INTO public.ecdc_import VALUES (11548, '10/12/2020', '10', '12', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.48285301');
INSERT INTO public.ecdc_import VALUES (11549, '09/12/2020', '9', '12', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.50166547');
INSERT INTO public.ecdc_import VALUES (11550, '08/12/2020', '8', '12', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.50166547');
INSERT INTO public.ecdc_import VALUES (11551, '07/12/2020', '7', '12', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.52047792');
INSERT INTO public.ecdc_import VALUES (11552, '06/12/2020', '6', '12', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55810283');
INSERT INTO public.ecdc_import VALUES (11553, '05/12/2020', '5', '12', '2020', '11', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.5831861');
INSERT INTO public.ecdc_import VALUES (11554, '04/12/2020', '4', '12', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55183201');
INSERT INTO public.ecdc_import VALUES (11555, '03/12/2020', '3', '12', '2020', '5', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55810283');
INSERT INTO public.ecdc_import VALUES (11556, '02/12/2020', '2', '12', '2020', '12', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.57691529');
INSERT INTO public.ecdc_import VALUES (11557, '01/12/2020', '1', '12', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.53301956');
INSERT INTO public.ecdc_import VALUES (11558, '30/11/2020', '30', '11', '2020', '19', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.53301956');
INSERT INTO public.ecdc_import VALUES (11559, '29/11/2020', '29', '11', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.45149892');
INSERT INTO public.ecdc_import VALUES (11560, '28/11/2020', '28', '11', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.46404056');
INSERT INTO public.ecdc_import VALUES (11561, '27/11/2020', '27', '11', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.60199856');
INSERT INTO public.ecdc_import VALUES (11562, '26/11/2020', '26', '11', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.56437365');
INSERT INTO public.ecdc_import VALUES (11563, '25/11/2020', '25', '11', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55183201');
INSERT INTO public.ecdc_import VALUES (11564, '24/11/2020', '24', '11', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.60826938');
INSERT INTO public.ecdc_import VALUES (11565, '23/11/2020', '23', '11', '2020', '9', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.59572774');
INSERT INTO public.ecdc_import VALUES (11566, '22/11/2020', '22', '11', '2020', '7', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.56437365');
INSERT INTO public.ecdc_import VALUES (11567, '21/11/2020', '21', '11', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55183201');
INSERT INTO public.ecdc_import VALUES (11568, '20/11/2020', '20', '11', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.57064447');
INSERT INTO public.ecdc_import VALUES (11569, '19/11/2020', '19', '11', '2020', '8', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.62081101');
INSERT INTO public.ecdc_import VALUES (11570, '18/11/2020', '18', '11', '2020', '5', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.59572774');
INSERT INTO public.ecdc_import VALUES (11571, '17/11/2020', '17', '11', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.65216511');
INSERT INTO public.ecdc_import VALUES (11572, '16/11/2020', '16', '11', '2020', '6', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.62081101');
INSERT INTO public.ecdc_import VALUES (11573, '15/11/2020', '15', '11', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.67724838');
INSERT INTO public.ecdc_import VALUES (11574, '14/11/2020', '14', '11', '2020', '24', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.66470674');
INSERT INTO public.ecdc_import VALUES (11575, '13/11/2020', '13', '11', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.57691529');
INSERT INTO public.ecdc_import VALUES (11576, '12/11/2020', '12', '11', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.60826938');
INSERT INTO public.ecdc_import VALUES (11577, '11/11/2020', '11', '11', '2020', '10', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.63335265');
INSERT INTO public.ecdc_import VALUES (11578, '10/11/2020', '10', '11', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.68979002');
INSERT INTO public.ecdc_import VALUES (11579, '09/11/2020', '9', '11', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.68979002');
INSERT INTO public.ecdc_import VALUES (11580, '08/11/2020', '8', '11', '2020', '5', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.6835192');
INSERT INTO public.ecdc_import VALUES (11581, '07/11/2020', '7', '11', '2020', '9', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.72114411');
INSERT INTO public.ecdc_import VALUES (11582, '06/11/2020', '6', '11', '2020', '12', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.74622738');
INSERT INTO public.ecdc_import VALUES (11583, '05/11/2020', '5', '11', '2020', '4', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.70860247');
INSERT INTO public.ecdc_import VALUES (11584, '04/11/2020', '4', '11', '2020', '14', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.71487329');
INSERT INTO public.ecdc_import VALUES (11585, '03/11/2020', '3', '11', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.6835192');
INSERT INTO public.ecdc_import VALUES (11586, '02/11/2020', '2', '11', '2020', '15', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.74622738');
INSERT INTO public.ecdc_import VALUES (11587, '01/11/2020', '1', '11', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.73995656');
INSERT INTO public.ecdc_import VALUES (11588, '31/10/2020', '31', '10', '2020', '10', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.76503984');
INSERT INTO public.ecdc_import VALUES (11589, '30/10/2020', '30', '10', '2020', '5', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.77131065');
INSERT INTO public.ecdc_import VALUES (11590, '29/10/2020', '29', '10', '2020', '8', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.87164375');
INSERT INTO public.ecdc_import VALUES (11591, '28/10/2020', '28', '10', '2020', '19', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.87164375');
INSERT INTO public.ecdc_import VALUES (11592, '27/10/2020', '27', '10', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.83401884');
INSERT INTO public.ecdc_import VALUES (11593, '26/10/2020', '26', '10', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.83401884');
INSERT INTO public.ecdc_import VALUES (11594, '25/10/2020', '25', '10', '2020', '11', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.89672702');
INSERT INTO public.ecdc_import VALUES (11595, '24/10/2020', '24', '10', '2020', '13', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.93435193');
INSERT INTO public.ecdc_import VALUES (11596, '23/10/2020', '23', '10', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.92808111');
INSERT INTO public.ecdc_import VALUES (11597, '22/10/2020', '22', '10', '2020', '5', '3', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.9594352');
INSERT INTO public.ecdc_import VALUES (11598, '21/10/2020', '21', '10', '2020', '9', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.00960175');
INSERT INTO public.ecdc_import VALUES (11599, '20/10/2020', '20', '10', '2020', '11', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.04722666');
INSERT INTO public.ecdc_import VALUES (11600, '19/10/2020', '19', '10', '2020', '14', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.01587257');
INSERT INTO public.ecdc_import VALUES (11601, '18/10/2020', '18', '10', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.94689357');
INSERT INTO public.ecdc_import VALUES (11602, '17/10/2020', '17', '10', '2020', '11', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.94062275');
INSERT INTO public.ecdc_import VALUES (11603, '16/10/2020', '16', '10', '2020', '21', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.92181029');
INSERT INTO public.ecdc_import VALUES (11604, '15/10/2020', '15', '10', '2020', '8', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.80893556');
INSERT INTO public.ecdc_import VALUES (11605, '14/10/2020', '14', '10', '2020', '13', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.80266475');
INSERT INTO public.ecdc_import VALUES (11606, '13/10/2020', '13', '10', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.77131065');
INSERT INTO public.ecdc_import VALUES (11607, '12/10/2020', '12', '10', '2020', '13', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.79012311');
INSERT INTO public.ecdc_import VALUES (11608, '11/10/2020', '11', '10', '2020', '17', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.71487329');
INSERT INTO public.ecdc_import VALUES (11609, '10/10/2020', '10', '10', '2020', '12', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.62081101');
INSERT INTO public.ecdc_import VALUES (11610, '09/10/2020', '9', '10', '2020', '11', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.57064447');
INSERT INTO public.ecdc_import VALUES (11611, '08/10/2020', '8', '10', '2020', '13', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.54556119');
INSERT INTO public.ecdc_import VALUES (11612, '07/10/2020', '7', '10', '2020', '15', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.52047792');
INSERT INTO public.ecdc_import VALUES (11613, '06/10/2020', '6', '10', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.43895728');
INSERT INTO public.ecdc_import VALUES (11614, '05/10/2020', '5', '10', '2020', '3', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.41387401');
INSERT INTO public.ecdc_import VALUES (11615, '04/10/2020', '4', '10', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.40760319');
INSERT INTO public.ecdc_import VALUES (11616, '03/10/2020', '3', '10', '2020', '8', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.40133237');
INSERT INTO public.ecdc_import VALUES (11617, '02/10/2020', '2', '10', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55183201');
INSERT INTO public.ecdc_import VALUES (11618, '01/10/2020', '1', '10', '2020', '7', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.68979002');
INSERT INTO public.ecdc_import VALUES (11619, '30/09/2020', '30', '9', '2020', '8', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.66470674');
INSERT INTO public.ecdc_import VALUES (11620, '29/09/2020', '29', '9', '2020', '7', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.62708183');
INSERT INTO public.ecdc_import VALUES (11621, '28/09/2020', '28', '9', '2020', '1', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.58945692');
INSERT INTO public.ecdc_import VALUES (11622, '27/09/2020', '27', '9', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.58945692');
INSERT INTO public.ecdc_import VALUES (11623, '26/09/2020', '26', '9', '2020', '4', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.58945692');
INSERT INTO public.ecdc_import VALUES (11624, '25/09/2020', '25', '9', '2020', '7', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.7524982');
INSERT INTO public.ecdc_import VALUES (11625, '24/09/2020', '24', '9', '2020', '9', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.72741493');
INSERT INTO public.ecdc_import VALUES (11626, '23/09/2020', '23', '9', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.68979002');
INSERT INTO public.ecdc_import VALUES (11627, '22/09/2020', '22', '9', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.70860247');
INSERT INTO public.ecdc_import VALUES (11628, '21/09/2020', '21', '9', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.70233165');
INSERT INTO public.ecdc_import VALUES (11629, '20/09/2020', '20', '9', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.72114411');
INSERT INTO public.ecdc_import VALUES (11630, '19/09/2020', '19', '9', '2020', '32', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.77758147');
INSERT INTO public.ecdc_import VALUES (11631, '18/09/2020', '18', '9', '2020', '25', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.60826938');
INSERT INTO public.ecdc_import VALUES (11632, '17/09/2020', '17', '9', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.45776974');
INSERT INTO public.ecdc_import VALUES (11633, '16/09/2020', '16', '9', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.43895728');
INSERT INTO public.ecdc_import VALUES (11634, '15/09/2020', '15', '9', '2020', '1', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.45149892');
INSERT INTO public.ecdc_import VALUES (11635, '14/09/2020', '14', '9', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.45149892');
INSERT INTO public.ecdc_import VALUES (11636, '13/09/2020', '13', '9', '2020', '2', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.47031137');
INSERT INTO public.ecdc_import VALUES (11637, '12/09/2020', '12', '9', '2020', '30', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.45776974');
INSERT INTO public.ecdc_import VALUES (11638, '11/09/2020', '11', '9', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.29472846');
INSERT INTO public.ecdc_import VALUES (11639, '10/09/2020', '10', '9', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.31354092');
INSERT INTO public.ecdc_import VALUES (11640, '09/09/2020', '9', '9', '2020', '5', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.31354092');
INSERT INTO public.ecdc_import VALUES (11641, '08/09/2020', '8', '9', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.33235337');
INSERT INTO public.ecdc_import VALUES (11642, '07/09/2020', '7', '9', '2020', '5', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.33235337');
INSERT INTO public.ecdc_import VALUES (11643, '06/09/2020', '6', '9', '2020', '11', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.32608255');
INSERT INTO public.ecdc_import VALUES (11644, '05/09/2020', '5', '9', '2020', '5', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.26337437');
INSERT INTO public.ecdc_import VALUES (11645, '04/09/2020', '4', '9', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.28845764');
INSERT INTO public.ecdc_import VALUES (11646, '03/09/2020', '3', '9', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.28845764');
INSERT INTO public.ecdc_import VALUES (11647, '02/09/2020', '2', '9', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.29472846');
INSERT INTO public.ecdc_import VALUES (11648, '01/09/2020', '1', '9', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.33862419');
INSERT INTO public.ecdc_import VALUES (11649, '31/08/2020', '31', '8', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.35116583');
INSERT INTO public.ecdc_import VALUES (11650, '30/08/2020', '30', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.35116583');
INSERT INTO public.ecdc_import VALUES (11651, '29/08/2020', '29', '8', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.35743664');
INSERT INTO public.ecdc_import VALUES (11652, '28/08/2020', '28', '8', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.34489501');
INSERT INTO public.ecdc_import VALUES (11653, '27/08/2020', '27', '8', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.3072701');
INSERT INTO public.ecdc_import VALUES (11654, '26/08/2020', '26', '8', '2020', '8', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.3072701');
INSERT INTO public.ecdc_import VALUES (11655, '25/08/2020', '25', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.26337437');
INSERT INTO public.ecdc_import VALUES (11656, '24/08/2020', '24', '8', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.26337437');
INSERT INTO public.ecdc_import VALUES (11657, '23/08/2020', '23', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.25083273');
INSERT INTO public.ecdc_import VALUES (11658, '22/08/2020', '22', '8', '2020', '9', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.24456191');
INSERT INTO public.ecdc_import VALUES (11659, '21/08/2020', '21', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.18812455');
INSERT INTO public.ecdc_import VALUES (11660, '20/08/2020', '20', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.20066619');
INSERT INTO public.ecdc_import VALUES (11661, '19/08/2020', '19', '8', '2020', '11', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.20066619');
INSERT INTO public.ecdc_import VALUES (11662, '18/08/2020', '18', '8', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.14422882');
INSERT INTO public.ecdc_import VALUES (11663, '17/08/2020', '17', '8', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.12541637');
INSERT INTO public.ecdc_import VALUES (11664, '16/08/2020', '16', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11665, '15/08/2020', '15', '8', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.09406227');
INSERT INTO public.ecdc_import VALUES (11666, '14/08/2020', '14', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11667, '13/08/2020', '13', '8', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.14422882');
INSERT INTO public.ecdc_import VALUES (11668, '12/08/2020', '12', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.12541637');
INSERT INTO public.ecdc_import VALUES (11669, '11/08/2020', '11', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.14422882');
INSERT INTO public.ecdc_import VALUES (11670, '10/08/2020', '10', '8', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.18185373');
INSERT INTO public.ecdc_import VALUES (11671, '09/08/2020', '9', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.16931209');
INSERT INTO public.ecdc_import VALUES (11672, '08/08/2020', '8', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.16931209');
INSERT INTO public.ecdc_import VALUES (11673, '07/08/2020', '7', '8', '2020', '3', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.16931209');
INSERT INTO public.ecdc_import VALUES (11674, '06/08/2020', '6', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.31354092');
INSERT INTO public.ecdc_import VALUES (11675, '05/08/2020', '5', '8', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.3072701');
INSERT INTO public.ecdc_import VALUES (11676, '04/08/2020', '4', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.29472846');
INSERT INTO public.ecdc_import VALUES (11677, '03/08/2020', '3', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.29472846');
INSERT INTO public.ecdc_import VALUES (11678, '02/08/2020', '2', '8', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.29472846');
INSERT INTO public.ecdc_import VALUES (11679, '01/08/2020', '1', '8', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.3072701');
INSERT INTO public.ecdc_import VALUES (11680, '31/07/2020', '31', '7', '2020', '9', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.3072701');
INSERT INTO public.ecdc_import VALUES (11681, '30/07/2020', '30', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.25710355');
INSERT INTO public.ecdc_import VALUES (11682, '29/07/2020', '29', '7', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.26337437');
INSERT INTO public.ecdc_import VALUES (11683, '28/07/2020', '28', '7', '2020', '7', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.26337437');
INSERT INTO public.ecdc_import VALUES (11684, '27/07/2020', '27', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.21947864');
INSERT INTO public.ecdc_import VALUES (11685, '26/07/2020', '26', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.25710355');
INSERT INTO public.ecdc_import VALUES (11686, '25/07/2020', '25', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.25710355');
INSERT INTO public.ecdc_import VALUES (11687, '24/07/2020', '24', '7', '2020', '26', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.26337437');
INSERT INTO public.ecdc_import VALUES (11688, '23/07/2020', '23', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11689, '22/07/2020', '22', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11690, '21/07/2020', '21', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10660391');
INSERT INTO public.ecdc_import VALUES (11691, '20/07/2020', '20', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10660391');
INSERT INTO public.ecdc_import VALUES (11692, '19/07/2020', '19', '7', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.11287473');
INSERT INTO public.ecdc_import VALUES (11693, '18/07/2020', '18', '7', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11694, '17/07/2020', '17', '7', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.11287473');
INSERT INTO public.ecdc_import VALUES (11695, '16/07/2020', '16', '7', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.11914555');
INSERT INTO public.ecdc_import VALUES (11696, '15/07/2020', '15', '7', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.11287473');
INSERT INTO public.ecdc_import VALUES (11697, '14/07/2020', '14', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11698, '13/07/2020', '13', '7', '2020', '6', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11699, '12/07/2020', '12', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.05643736');
INSERT INTO public.ecdc_import VALUES (11700, '11/07/2020', '11', '7', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.05643736');
INSERT INTO public.ecdc_import VALUES (11701, '10/07/2020', '10', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.06270818');
INSERT INTO public.ecdc_import VALUES (11702, '09/07/2020', '9', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08152064');
INSERT INTO public.ecdc_import VALUES (11703, '08/07/2020', '8', '7', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08152064');
INSERT INTO public.ecdc_import VALUES (11704, '07/07/2020', '7', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11705, '06/07/2020', '6', '7', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11706, '05/07/2020', '5', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08152064');
INSERT INTO public.ecdc_import VALUES (11707, '04/07/2020', '4', '7', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08152064');
INSERT INTO public.ecdc_import VALUES (11708, '03/07/2020', '3', '7', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11709, '02/07/2020', '2', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.07524982');
INSERT INTO public.ecdc_import VALUES (11710, '01/07/2020', '1', '7', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08152064');
INSERT INTO public.ecdc_import VALUES (11711, '30/06/2020', '30', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11712, '29/06/2020', '29', '6', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11713, '28/06/2020', '28', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10660391');
INSERT INTO public.ecdc_import VALUES (11714, '27/06/2020', '27', '6', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10660391');
INSERT INTO public.ecdc_import VALUES (11715, '26/06/2020', '26', '6', '2020', '3', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.09406227');
INSERT INTO public.ecdc_import VALUES (11716, '25/06/2020', '25', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.08779146');
INSERT INTO public.ecdc_import VALUES (11717, '24/06/2020', '24', '6', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11718, '23/06/2020', '23', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.11914555');
INSERT INTO public.ecdc_import VALUES (11719, '22/06/2020', '22', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.13168718');
INSERT INTO public.ecdc_import VALUES (11720, '21/06/2020', '21', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.137958');
INSERT INTO public.ecdc_import VALUES (11721, '20/06/2020', '20', '6', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.137958');
INSERT INTO public.ecdc_import VALUES (11722, '19/06/2020', '19', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.16304128');
INSERT INTO public.ecdc_import VALUES (11723, '18/06/2020', '18', '6', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.21320782');
INSERT INTO public.ecdc_import VALUES (11724, '17/06/2020', '17', '6', '2020', '3', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.31354092');
INSERT INTO public.ecdc_import VALUES (11725, '16/06/2020', '16', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.3762491');
INSERT INTO public.ecdc_import VALUES (11726, '15/06/2020', '15', '6', '2020', '2', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.45149892');
INSERT INTO public.ecdc_import VALUES (11727, '14/06/2020', '14', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55810283');
INSERT INTO public.ecdc_import VALUES (11728, '13/06/2020', '13', '6', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.55810283');
INSERT INTO public.ecdc_import VALUES (11729, '12/06/2020', '12', '6', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.76503984');
INSERT INTO public.ecdc_import VALUES (11730, '11/06/2020', '11', '6', '2020', '2', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.8214772');
INSERT INTO public.ecdc_import VALUES (11731, '10/06/2020', '10', '6', '2020', '5', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.90299784');
INSERT INTO public.ecdc_import VALUES (11732, '09/06/2020', '9', '6', '2020', '2', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.95316439');
INSERT INTO public.ecdc_import VALUES (11733, '08/06/2020', '8', '6', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.01587257');
INSERT INTO public.ecdc_import VALUES (11734, '07/06/2020', '7', '6', '2020', '0', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.17891385');
INSERT INTO public.ecdc_import VALUES (11735, '06/06/2020', '6', '6', '2020', '8', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.41093412');
INSERT INTO public.ecdc_import VALUES (11736, '05/06/2020', '5', '6', '2020', '8', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.5049964');
INSERT INTO public.ecdc_import VALUES (11737, '04/06/2020', '4', '6', '2020', '17', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.59905867');
INSERT INTO public.ecdc_import VALUES (11738, '03/06/2020', '3', '6', '2020', '13', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.61787113');
INSERT INTO public.ecdc_import VALUES (11739, '02/06/2020', '2', '6', '2020', '12', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.69939177');
INSERT INTO public.ecdc_import VALUES (11740, '01/06/2020', '1', '6', '2020', '19', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.72447504');
INSERT INTO public.ecdc_import VALUES (11741, '31/05/2020', '31', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.78718322');
INSERT INTO public.ecdc_import VALUES (11742, '30/05/2020', '30', '5', '2020', '33', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.07564087');
INSERT INTO public.ecdc_import VALUES (11743, '29/05/2020', '29', '5', '2020', '11', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.05055759');
INSERT INTO public.ecdc_import VALUES (11744, '28/05/2020', '28', '5', '2020', '15', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.15089069');
INSERT INTO public.ecdc_import VALUES (11745, '27/05/2020', '27', '5', '2020', '13', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.15089069');
INSERT INTO public.ecdc_import VALUES (11746, '26/05/2020', '26', '5', '2020', '12', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.28884869');
INSERT INTO public.ecdc_import VALUES (11747, '25/05/2020', '25', '5', '2020', '27', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.21359887');
INSERT INTO public.ecdc_import VALUES (11748, '24/05/2020', '24', '5', '2020', '37', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.04428678');
INSERT INTO public.ecdc_import VALUES (11749, '23/05/2020', '23', '5', '2020', '23', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.20105723');
INSERT INTO public.ecdc_import VALUES (11750, '22/05/2020', '22', '5', '2020', '23', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.10072414');
INSERT INTO public.ecdc_import VALUES (11751, '21/05/2020', '21', '5', '2020', '20', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.47697324');
INSERT INTO public.ecdc_import VALUES (11752, '20/05/2020', '20', '5', '2020', '26', '3', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.35155687');
INSERT INTO public.ecdc_import VALUES (11753, '19/05/2020', '19', '5', '2020', '16', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.52086897');
INSERT INTO public.ecdc_import VALUES (11754, '18/05/2020', '18', '5', '2020', '29', '3', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.42053588');
INSERT INTO public.ecdc_import VALUES (11755, '17/05/2020', '17', '5', '2020', '46', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.23868214');
INSERT INTO public.ecdc_import VALUES (11756, '16/05/2020', '16', '5', '2020', '29', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.22614051');
INSERT INTO public.ecdc_import VALUES (11757, '15/05/2020', '15', '5', '2020', '27', '4', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.04428678');
INSERT INTO public.ecdc_import VALUES (11758, '14/05/2020', '14', '5', '2020', '15', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '2.00666187');
INSERT INTO public.ecdc_import VALUES (11759, '13/05/2020', '13', '5', '2020', '35', '9', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.91259959');
INSERT INTO public.ecdc_import VALUES (11760, '12/05/2020', '12', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.73074586');
INSERT INTO public.ecdc_import VALUES (11761, '11/05/2020', '11', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.73074586');
INSERT INTO public.ecdc_import VALUES (11762, '10/05/2020', '10', '5', '2020', '62', '3', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.76837077');
INSERT INTO public.ecdc_import VALUES (11763, '09/05/2020', '9', '5', '2020', '7', '1', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.37958003');
INSERT INTO public.ecdc_import VALUES (11764, '08/05/2020', '8', '5', '2020', '83', '10', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '1.3356843');
INSERT INTO public.ecdc_import VALUES (11765, '07/05/2020', '7', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.85283129');
INSERT INTO public.ecdc_import VALUES (11766, '06/05/2020', '6', '5', '2020', '53', '7', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.85283129');
INSERT INTO public.ecdc_import VALUES (11767, '05/05/2020', '5', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.52674874');
INSERT INTO public.ecdc_import VALUES (11768, '04/05/2020', '4', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.52674874');
INSERT INTO public.ecdc_import VALUES (11769, '03/05/2020', '3', '5', '2020', '44', '5', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.52674874');
INSERT INTO public.ecdc_import VALUES (11770, '02/05/2020', '2', '5', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.25083273');
INSERT INTO public.ecdc_import VALUES (11771, '01/05/2020', '1', '5', '2020', '21', '3', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.28845764');
INSERT INTO public.ecdc_import VALUES (11772, '30/04/2020', '30', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.15677046');
INSERT INTO public.ecdc_import VALUES (11773, '29/04/2020', '29', '4', '2020', '6', '2', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.18185373');
INSERT INTO public.ecdc_import VALUES (11774, '28/04/2020', '28', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.14422882');
INSERT INTO public.ecdc_import VALUES (11775, '27/04/2020', '27', '4', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.19439537');
INSERT INTO public.ecdc_import VALUES (11776, '26/04/2020', '26', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.18185373');
INSERT INTO public.ecdc_import VALUES (11777, '25/04/2020', '25', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.18185373');
INSERT INTO public.ecdc_import VALUES (11778, '24/04/2020', '24', '4', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.18185373');
INSERT INTO public.ecdc_import VALUES (11779, '23/04/2020', '23', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.15049964');
INSERT INTO public.ecdc_import VALUES (11780, '22/04/2020', '22', '4', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.15677046');
INSERT INTO public.ecdc_import VALUES (11781, '21/04/2020', '21', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.15049964');
INSERT INTO public.ecdc_import VALUES (11782, '20/04/2020', '20', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.15049964');
INSERT INTO public.ecdc_import VALUES (11783, '19/04/2020', '19', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.15677046');
INSERT INTO public.ecdc_import VALUES (11784, '18/04/2020', '18', '4', '2020', '6', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.16304128');
INSERT INTO public.ecdc_import VALUES (11785, '17/04/2020', '17', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.12541637');
INSERT INTO public.ecdc_import VALUES (11786, '16/04/2020', '16', '4', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.12541637');
INSERT INTO public.ecdc_import VALUES (11787, '15/04/2020', '15', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11788, '14/04/2020', '14', '4', '2020', '8', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.10033309');
INSERT INTO public.ecdc_import VALUES (11789, '13/04/2020', '13', '4', '2020', '4', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.06270818');
INSERT INTO public.ecdc_import VALUES (11790, '12/04/2020', '12', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11791, '11/04/2020', '11', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11792, '10/04/2020', '10', '4', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11793, '09/04/2020', '9', '4', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.04389573');
INSERT INTO public.ecdc_import VALUES (11794, '08/04/2020', '8', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11795, '07/04/2020', '7', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.04389573');
INSERT INTO public.ecdc_import VALUES (11796, '06/04/2020', '6', '4', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.04389573');
INSERT INTO public.ecdc_import VALUES (11797, '05/04/2020', '5', '4', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11798, '04/04/2020', '4', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11799, '03/04/2020', '3', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.03762491');
INSERT INTO public.ecdc_import VALUES (11800, '02/04/2020', '2', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '0.04389573');
INSERT INTO public.ecdc_import VALUES (11801, '01/04/2020', '1', '4', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11802, '31/03/2020', '31', '3', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11803, '30/03/2020', '30', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11804, '29/03/2020', '29', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11805, '28/03/2020', '28', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11806, '27/03/2020', '27', '3', '2020', '2', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11807, '26/03/2020', '26', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11808, '25/03/2020', '25', '3', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11809, '24/03/2020', '24', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11810, '23/03/2020', '23', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11811, '22/03/2020', '22', '3', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11812, '21/03/2020', '21', '3', '2020', '0', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11813, '20/03/2020', '20', '3', '2020', '1', '0', '15946882', 'Chad', 'TD', 'TCD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (11814, '14/12/2020', '14', '12', '2020', '2138', '40', '18952035', 'Chile', 'CL', 'CHL', 'America', '113.38624058');
INSERT INTO public.ecdc_import VALUES (11815, '13/12/2020', '13', '12', '2020', '1807', '64', '18952035', 'Chile', 'CL', 'CHL', 'America', '109.96180621');
INSERT INTO public.ecdc_import VALUES (11816, '12/12/2020', '12', '12', '2020', '1534', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '109.49219965');
INSERT INTO public.ecdc_import VALUES (11817, '11/12/2020', '11', '12', '2020', '1662', '84', '18952035', 'Chile', 'CL', 'CHL', 'America', '109.63466456');
INSERT INTO public.ecdc_import VALUES (11818, '10/12/2020', '10', '12', '2020', '1244', '10', '18952035', 'Chile', 'CL', 'CHL', 'America', '109.14922857');
INSERT INTO public.ecdc_import VALUES (11819, '09/12/2020', '9', '12', '2020', '1392', '17', '18952035', 'Chile', 'CL', 'CHL', 'America', '107.88815027');
INSERT INTO public.ecdc_import VALUES (11820, '08/12/2020', '8', '12', '2020', '1760', '35', '18952035', 'Chile', 'CL', 'CHL', 'America', '105.85670615');
INSERT INTO public.ecdc_import VALUES (11821, '07/12/2020', '7', '12', '2020', '1714', '36', '18952035', 'Chile', 'CL', 'CHL', 'America', '104.16823312');
INSERT INTO public.ecdc_import VALUES (11822, '06/12/2020', '6', '12', '2020', '1533', '34', '18952035', 'Chile', 'CL', 'CHL', 'America', '103.02323735');
INSERT INTO public.ecdc_import VALUES (11823, '05/12/2020', '5', '12', '2020', '1729', '39', '18952035', 'Chile', 'CL', 'CHL', 'America', '103.1551493');
INSERT INTO public.ecdc_import VALUES (11824, '04/12/2020', '4', '12', '2020', '1508', '81', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.3320187');
INSERT INTO public.ecdc_import VALUES (11825, '03/12/2020', '3', '12', '2020', '1034', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.04708887');
INSERT INTO public.ecdc_import VALUES (11826, '02/12/2020', '2', '12', '2020', '1121', '20', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.59331175');
INSERT INTO public.ecdc_import VALUES (11827, '01/12/2020', '1', '12', '2020', '1313', '54', '18952035', 'Chile', 'CL', 'CHL', 'America', '100.98651675');
INSERT INTO public.ecdc_import VALUES (11828, '30/11/2020', '30', '11', '2020', '1489', '34', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.08149336');
INSERT INTO public.ecdc_import VALUES (11829, '29/11/2020', '29', '11', '2020', '1718', '44', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.65135301');
INSERT INTO public.ecdc_import VALUES (11830, '28/11/2020', '28', '11', '2020', '1561', '43', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.27144658');
INSERT INTO public.ecdc_import VALUES (11831, '27/11/2020', '27', '11', '2020', '1570', '97', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.4350174');
INSERT INTO public.ecdc_import VALUES (11832, '26/11/2020', '26', '11', '2020', '1005', '7', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.77271201');
INSERT INTO public.ecdc_import VALUES (11833, '25/11/2020', '25', '11', '2020', '1007', '25', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.20285236');
INSERT INTO public.ecdc_import VALUES (11834, '24/11/2020', '24', '11', '2020', '1440', '37', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.3136584');
INSERT INTO public.ecdc_import VALUES (11835, '23/11/2020', '23', '11', '2020', '1497', '39', '18952035', 'Chile', 'CL', 'CHL', 'America', '100.68575749');
INSERT INTO public.ecdc_import VALUES (11836, '22/11/2020', '22', '11', '2020', '1558', '27', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.12898166');
INSERT INTO public.ecdc_import VALUES (11837, '21/11/2020', '21', '11', '2020', '1573', '48', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.28199953');
INSERT INTO public.ecdc_import VALUES (11838, '20/11/2020', '20', '11', '2020', '1454', '58', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.52197191');
INSERT INTO public.ecdc_import VALUES (11839, '19/11/2020', '19', '11', '2020', '948', '14', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.97574904');
INSERT INTO public.ecdc_import VALUES (11840, '18/11/2020', '18', '11', '2020', '1006', '20', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.40588939');
INSERT INTO public.ecdc_import VALUES (11841, '17/11/2020', '17', '11', '2020', '1331', '44', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.44810122');
INSERT INTO public.ecdc_import VALUES (11842, '16/11/2020', '16', '11', '2020', '1597', '42', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.41116587');
INSERT INTO public.ecdc_import VALUES (11843, '15/11/2020', '15', '11', '2020', '1646', '39', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.46920713');
INSERT INTO public.ecdc_import VALUES (11844, '14/11/2020', '14', '11', '2020', '1592', '39', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.67498978');
INSERT INTO public.ecdc_import VALUES (11845, '13/11/2020', '13', '11', '2020', '1634', '66', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.30035983');
INSERT INTO public.ecdc_import VALUES (11846, '12/11/2020', '12', '11', '2020', '897', '22', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.69884131');
INSERT INTO public.ecdc_import VALUES (11847, '11/11/2020', '11', '11', '2020', '1028', '23', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.26870096');
INSERT INTO public.ecdc_import VALUES (11848, '10/11/2020', '10', '11', '2020', '1321', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '101.73577666');
INSERT INTO public.ecdc_import VALUES (11849, '09/11/2020', '9', '11', '2020', '1581', '44', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.864943');
INSERT INTO public.ecdc_import VALUES (11850, '08/11/2020', '8', '11', '2020', '1587', '49', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.54835431');
INSERT INTO public.ecdc_import VALUES (11851, '07/11/2020', '7', '11', '2020', '1808', '46', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.80690174');
INSERT INTO public.ecdc_import VALUES (11852, '06/11/2020', '6', '11', '2020', '1540', '64', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.63277796');
INSERT INTO public.ecdc_import VALUES (11853, '05/11/2020', '5', '11', '2020', '840', '21', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.39005996');
INSERT INTO public.ecdc_import VALUES (11854, '04/11/2020', '4', '11', '2020', '1014', '17', '18952035', 'Chile', 'CL', 'CHL', 'America', '104.07325651');
INSERT INTO public.ecdc_import VALUES (11855, '03/11/2020', '3', '11', '2020', '1324', '55', '18952035', 'Chile', 'CL', 'CHL', 'America', '104.91221655');
INSERT INTO public.ecdc_import VALUES (11856, '02/11/2020', '2', '11', '2020', '1608', '40', '18952035', 'Chile', 'CL', 'CHL', 'America', '106.07831824');
INSERT INTO public.ecdc_import VALUES (11857, '01/11/2020', '1', '11', '2020', '1685', '49', '18952035', 'Chile', 'CL', 'CHL', 'America', '106.86451349');
INSERT INTO public.ecdc_import VALUES (11858, '31/10/2020', '31', '10', '2020', '1521', '40', '18952035', 'Chile', 'CL', 'CHL', 'America', '107.53990271');
INSERT INTO public.ecdc_import VALUES (11859, '30/10/2020', '30', '10', '2020', '1520', '86', '18952035', 'Chile', 'CL', 'CHL', 'America', '108.45273344');
INSERT INTO public.ecdc_import VALUES (11860, '29/10/2020', '29', '10', '2020', '1005', '6', '18952035', 'Chile', 'CL', 'CHL', 'America', '106.36324806');
INSERT INTO public.ecdc_import VALUES (11861, '28/10/2020', '28', '10', '2020', '927', '23', '18952035', 'Chile', 'CL', 'CHL', 'America', '106.82230167');
INSERT INTO public.ecdc_import VALUES (11862, '27/10/2020', '27', '10', '2020', '1535', '59', '18952035', 'Chile', 'CL', 'CHL', 'America', '109.27586404');
INSERT INTO public.ecdc_import VALUES (11863, '26/10/2020', '26', '10', '2020', '1521', '52', '18952035', 'Chile', 'CL', 'CHL', 'America', '109.18088744');
INSERT INTO public.ecdc_import VALUES (11864, '25/10/2020', '25', '10', '2020', '1636', '48', '18952035', 'Chile', 'CL', 'CHL', 'America', '110.52638938');
INSERT INTO public.ecdc_import VALUES (11865, '24/10/2020', '24', '10', '2020', '1775', '52', '18952035', 'Chile', 'CL', 'CHL', 'America', '111.52892025');
INSERT INTO public.ecdc_import VALUES (11866, '23/10/2020', '23', '10', '2020', '1494', '73', '18952035', 'Chile', 'CL', 'CHL', 'America', '111.41283772');
INSERT INTO public.ecdc_import VALUES (11867, '22/10/2020', '22', '10', '2020', '1159', '17', '18952035', 'Chile', 'CL', 'CHL', 'America', '111.84550894');
INSERT INTO public.ecdc_import VALUES (11868, '21/10/2020', '21', '10', '2020', '1173', '26', '18952035', 'Chile', 'CL', 'CHL', 'America', '111.71359698');
INSERT INTO public.ecdc_import VALUES (11869, '20/10/2020', '20', '10', '2020', '1545', '41', '18952035', 'Chile', 'CL', 'CHL', 'America', '113.75559406');
INSERT INTO public.ecdc_import VALUES (11870, '19/10/2020', '19', '10', '2020', '1757', '47', '18952035', 'Chile', 'CL', 'CHL', 'America', '113.87167658');
INSERT INTO public.ecdc_import VALUES (11871, '18/10/2020', '18', '10', '2020', '1813', '59', '18952035', 'Chile', 'CL', 'CHL', 'America', '113.61312914');
INSERT INTO public.ecdc_import VALUES (11872, '17/10/2020', '17', '10', '2020', '1694', '95', '18952035', 'Chile', 'CL', 'CHL', 'America', '113.97192966');
INSERT INTO public.ecdc_import VALUES (11873, '16/10/2020', '16', '10', '2020', '1124', '19', '18952035', 'Chile', 'CL', 'CHL', 'America', '114.74229548');
INSERT INTO public.ecdc_import VALUES (11874, '15/10/2020', '15', '10', '2020', '1092', '19', '18952035', 'Chile', 'CL', 'CHL', 'America', '118.09285916');
INSERT INTO public.ecdc_import VALUES (11875, '14/10/2020', '14', '10', '2020', '1392', '17', '18952035', 'Chile', 'CL', 'CHL', 'America', '121.25346961');
INSERT INTO public.ecdc_import VALUES (11876, '13/10/2020', '13', '10', '2020', '1517', '61', '18952035', 'Chile', 'CL', 'CHL', 'America', '122.50399495');
INSERT INTO public.ecdc_import VALUES (11877, '12/10/2020', '12', '10', '2020', '1776', '46', '18952035', 'Chile', 'CL', 'CHL', 'America', '123.83894394');
INSERT INTO public.ecdc_import VALUES (11878, '11/10/2020', '11', '10', '2020', '1826', '52', '18952035', 'Chile', 'CL', 'CHL', 'America', '124.60930977');
INSERT INTO public.ecdc_import VALUES (11879, '10/10/2020', '10', '10', '2020', '1753', '53', '18952035', 'Chile', 'CL', 'CHL', 'America', '126.11310606');
INSERT INTO public.ecdc_import VALUES (11880, '09/10/2020', '9', '10', '2020', '1576', '77', '18952035', 'Chile', 'CL', 'CHL', 'America', '128.65109209');
INSERT INTO public.ecdc_import VALUES (11881, '08/10/2020', '8', '10', '2020', '1134', '20', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.46894621');
INSERT INTO public.ecdc_import VALUES (11882, '07/10/2020', '7', '10', '2020', '1560', '33', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.76695985');
INSERT INTO public.ecdc_import VALUES (11883, '06/10/2020', '6', '10', '2020', '1567', '58', '18952035', 'Chile', 'CL', 'CHL', 'America', '128.10233835');
INSERT INTO public.ecdc_import VALUES (11884, '05/10/2020', '5', '10', '2020', '1708', '60', '18952035', 'Chile', 'CL', 'CHL', 'America', '126.13421197');
INSERT INTO public.ecdc_import VALUES (11885, '04/10/2020', '4', '10', '2020', '1881', '52', '18952035', 'Chile', 'CL', 'CHL', 'America', '125.56435232');
INSERT INTO public.ecdc_import VALUES (11886, '03/10/2020', '3', '10', '2020', '1840', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '125.38495206');
INSERT INTO public.ecdc_import VALUES (11887, '02/10/2020', '2', '10', '2020', '1759', '81', '18952035', 'Chile', 'CL', 'CHL', 'America', '124.52488611');
INSERT INTO public.ecdc_import VALUES (11888, '01/10/2020', '1', '10', '2020', '1691', '16', '18952035', 'Chile', 'CL', 'CHL', 'America', '125.07363985');
INSERT INTO public.ecdc_import VALUES (11889, '30/09/2020', '30', '9', '2020', '1629', '27', '18952035', 'Chile', 'CL', 'CHL', 'America', '123.03164278');
INSERT INTO public.ecdc_import VALUES (11890, '29/09/2020', '29', '9', '2020', '1770', '57', '18952035', 'Chile', 'CL', 'CHL', 'America', '122.614801');
INSERT INTO public.ecdc_import VALUES (11891, '28/09/2020', '28', '9', '2020', '1922', '50', '18952035', 'Chile', 'CL', 'CHL', 'America', '122.16630035');
INSERT INTO public.ecdc_import VALUES (11892, '27/09/2020', '27', '9', '2020', '2111', '64', '18952035', 'Chile', 'CL', 'CHL', 'America', '123.01053686');
INSERT INTO public.ecdc_import VALUES (11893, '26/09/2020', '26', '9', '2020', '2234', '58', '18952035', 'Chile', 'CL', 'CHL', 'America', '123.11606643');
INSERT INTO public.ecdc_import VALUES (11894, '25/09/2020', '25', '9', '2020', '1731', '124', '18952035', 'Chile', 'CL', 'CHL', 'America', '121.17432244');
INSERT INTO public.ecdc_import VALUES (11895, '24/09/2020', '24', '9', '2020', '1380', '24', '18952035', 'Chile', 'CL', 'CHL', 'America', '120.70471588');
INSERT INTO public.ecdc_import VALUES (11896, '23/09/2020', '23', '9', '2020', '1055', '23', '18952035', 'Chile', 'CL', 'CHL', 'America', '121.26402257');
INSERT INTO public.ecdc_import VALUES (11897, '22/09/2020', '22', '9', '2020', '1194', '12', '18952035', 'Chile', 'CL', 'CHL', 'America', '122.38263595');
INSERT INTO public.ecdc_import VALUES (11898, '21/09/2020', '21', '9', '2020', '1600', '32', '18952035', 'Chile', 'CL', 'CHL', 'America', '125.39022854');
INSERT INTO public.ecdc_import VALUES (11899, '20/09/2020', '20', '9', '2020', '1847', '55', '18952035', 'Chile', 'CL', 'CHL', 'America', '127.90183218');
INSERT INTO public.ecdc_import VALUES (11900, '19/09/2020', '19', '9', '2020', '1677', '57', '18952035', 'Chile', 'CL', 'CHL', 'America', '128.52445661');
INSERT INTO public.ecdc_import VALUES (11901, '18/09/2020', '18', '9', '2020', '1863', '84', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.05991177');
INSERT INTO public.ecdc_import VALUES (11902, '17/09/2020', '17', '9', '2020', '1304', '18', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.52698747');
INSERT INTO public.ecdc_import VALUES (11903, '16/09/2020', '16', '9', '2020', '1550', '27', '18952035', 'Chile', 'CL', 'CHL', 'America', '131.05716616');
INSERT INTO public.ecdc_import VALUES (11904, '15/09/2020', '15', '9', '2020', '1685', '64', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.36594751');
INSERT INTO public.ecdc_import VALUES (11905, '14/09/2020', '14', '9', '2020', '2082', '54', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.71947155');
INSERT INTO public.ecdc_import VALUES (11906, '13/09/2020', '13', '9', '2020', '2131', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.1021236');
INSERT INTO public.ecdc_import VALUES (11907, '12/09/2020', '12', '9', '2020', '1866', '69', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.60613464');
INSERT INTO public.ecdc_import VALUES (11908, '11/09/2020', '11', '9', '2020', '1642', '79', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.62724056');
INSERT INTO public.ecdc_import VALUES (11909, '10/09/2020', '10', '9', '2020', '1486', '20', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.12850599');
INSERT INTO public.ecdc_import VALUES (11910, '09/09/2020', '9', '9', '2020', '1267', '30', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.5691993');
INSERT INTO public.ecdc_import VALUES (11911, '08/09/2020', '8', '9', '2020', '1764', '60', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.36067103');
INSERT INTO public.ecdc_import VALUES (11912, '07/09/2020', '7', '9', '2020', '2076', '41', '18952035', 'Chile', 'CL', 'CHL', 'America', '131.0941015');
INSERT INTO public.ecdc_import VALUES (11913, '06/09/2020', '6', '9', '2020', '1965', '57', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.4662006');
INSERT INTO public.ecdc_import VALUES (11914, '05/09/2020', '5', '9', '2020', '1968', '72', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.32901216');
INSERT INTO public.ecdc_import VALUES (11915, '04/09/2020', '4', '9', '2020', '1762', '78', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.07574121');
INSERT INTO public.ecdc_import VALUES (11916, '03/09/2020', '3', '9', '2020', '1594', '23', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.33956512');
INSERT INTO public.ecdc_import VALUES (11917, '02/09/2020', '2', '9', '2020', '1419', '32', '18952035', 'Chile', 'CL', 'CHL', 'America', '128.16565609');
INSERT INTO public.ecdc_import VALUES (11918, '01/09/2020', '1', '9', '2020', '1752', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '127.81740853');
INSERT INTO public.ecdc_import VALUES (11919, '31/08/2020', '31', '8', '2020', '1965', '63', '18952035', 'Chile', 'CL', 'CHL', 'America', '126.78321879');
INSERT INTO public.ecdc_import VALUES (11920, '30/08/2020', '30', '8', '2020', '2037', '49', '18952035', 'Chile', 'CL', 'CHL', 'America', '127.20006057');
INSERT INTO public.ecdc_import VALUES (11921, '29/08/2020', '29', '8', '2020', '1870', '60', '18952035', 'Chile', 'CL', 'CHL', 'America', '125.90204693');
INSERT INTO public.ecdc_import VALUES (11922, '28/08/2020', '28', '8', '2020', '1737', '82', '18952035', 'Chile', 'CL', 'CHL', 'America', '126.99427792');
INSERT INTO public.ecdc_import VALUES (11923, '27/08/2020', '27', '8', '2020', '1380', '32', '18952035', 'Chile', 'CL', 'CHL', 'America', '127.67494361');
INSERT INTO public.ecdc_import VALUES (11924, '26/08/2020', '26', '8', '2020', '1417', '42', '18952035', 'Chile', 'CL', 'CHL', 'America', '128.58249787');
INSERT INTO public.ecdc_import VALUES (11925, '25/08/2020', '25', '8', '2020', '1903', '64', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.40035199');
INSERT INTO public.ecdc_import VALUES (11926, '24/08/2020', '24', '8', '2020', '1957', '60', '18952035', 'Chile', 'CL', 'CHL', 'America', '129.84885264');
INSERT INTO public.ecdc_import VALUES (11927, '23/08/2020', '23', '8', '2020', '1939', '69', '18952035', 'Chile', 'CL', 'CHL', 'America', '130.24986499');
INSERT INTO public.ecdc_import VALUES (11928, '22/08/2020', '22', '8', '2020', '1920', '52', '18952035', 'Chile', 'CL', 'CHL', 'America', '131.61647285');
INSERT INTO public.ecdc_import VALUES (11929, '21/08/2020', '21', '8', '2020', '1812', '93', '18952035', 'Chile', 'CL', 'CHL', 'America', '132.85116875');
INSERT INTO public.ecdc_import VALUES (11930, '20/08/2020', '20', '8', '2020', '1182', '32', '18952035', 'Chile', 'CL', 'CHL', 'America', '133.56876979');
INSERT INTO public.ecdc_import VALUES (11931, '19/08/2020', '19', '8', '2020', '1353', '33', '18952035', 'Chile', 'CL', 'CHL', 'America', '136.62385068');
INSERT INTO public.ecdc_import VALUES (11932, '18/08/2020', '18', '8', '2020', '1556', '61', '18952035', 'Chile', 'CL', 'CHL', 'America', '137.23592216');
INSERT INTO public.ecdc_import VALUES (11933, '17/08/2020', '17', '8', '2020', '2044', '57', '18952035', 'Chile', 'CL', 'CHL', 'America', '138.32287667');
INSERT INTO public.ecdc_import VALUES (11934, '16/08/2020', '16', '8', '2020', '1791', '55', '18952035', 'Chile', 'CL', 'CHL', 'America', '138.47589454');
INSERT INTO public.ecdc_import VALUES (11935, '15/08/2020', '15', '8', '2020', '2077', '41', '18952035', 'Chile', 'CL', 'CHL', 'America', '139.53119019');
INSERT INTO public.ecdc_import VALUES (11936, '14/08/2020', '14', '8', '2020', '1866', '94', '18952035', 'Chile', 'CL', 'CHL', 'America', '139.81612001');
INSERT INTO public.ecdc_import VALUES (11937, '13/08/2020', '13', '8', '2020', '1552', '27', '18952035', 'Chile', 'CL', 'CHL', 'America', '140.31738544');
INSERT INTO public.ecdc_import VALUES (11938, '12/08/2020', '12', '8', '2020', '1572', '39', '18952035', 'Chile', 'CL', 'CHL', 'America', '141.49404009');
INSERT INTO public.ecdc_import VALUES (11939, '11/08/2020', '11', '8', '2020', '1988', '62', '18952035', 'Chile', 'CL', 'CHL', 'America', '143.10336594');
INSERT INTO public.ecdc_import VALUES (11940, '10/08/2020', '10', '8', '2020', '2033', '66', '18952035', 'Chile', 'CL', 'CHL', 'America', '143.86845529');
INSERT INTO public.ecdc_import VALUES (11941, '09/08/2020', '9', '8', '2020', '2198', '53', '18952035', 'Chile', 'CL', 'CHL', 'America', '144.73907419');
INSERT INTO public.ecdc_import VALUES (11942, '08/08/2020', '8', '8', '2020', '2154', '69', '18952035', 'Chile', 'CL', 'CHL', 'America', '145.21395723');
INSERT INTO public.ecdc_import VALUES (11943, '07/08/2020', '7', '8', '2020', '1948', '97', '18952035', 'Chile', 'CL', 'CHL', 'America', '147.27706022');
INSERT INTO public.ecdc_import VALUES (11944, '06/08/2020', '6', '8', '2020', '1761', '47', '18952035', 'Chile', 'CL', 'CHL', 'America', '149.43513981');
INSERT INTO public.ecdc_import VALUES (11945, '05/08/2020', '5', '8', '2020', '1469', '38', '18952035', 'Chile', 'CL', 'CHL', 'America', '149.21352773');
INSERT INTO public.ecdc_import VALUES (11946, '04/08/2020', '4', '8', '2020', '1762', '99', '18952035', 'Chile', 'CL', 'CHL', 'America', '150.1896762');
INSERT INTO public.ecdc_import VALUES (11947, '03/08/2020', '3', '8', '2020', '2073', '75', '18952035', 'Chile', 'CL', 'CHL', 'America', '151.96784936');
INSERT INTO public.ecdc_import VALUES (11948, '02/08/2020', '2', '8', '2020', '1991', '76', '18952035', 'Chile', 'CL', 'CHL', 'America', '152.02589062');
INSERT INTO public.ecdc_import VALUES (11949, '01/08/2020', '1', '8', '2020', '2131', '80', '18952035', 'Chile', 'CL', 'CHL', 'America', '153.69325774');
INSERT INTO public.ecdc_import VALUES (11950, '31/07/2020', '31', '7', '2020', '1961', '99', '18952035', 'Chile', 'CL', 'CHL', 'America', '157.43955728');
INSERT INTO public.ecdc_import VALUES (11951, '30/07/2020', '30', '7', '2020', '1775', '38', '18952035', 'Chile', 'CL', 'CHL', 'America', '160.2466437');
INSERT INTO public.ecdc_import VALUES (11952, '29/07/2020', '29', '7', '2020', '1877', '53', '18952035', 'Chile', 'CL', 'CHL', 'America', '159.91422557');
INSERT INTO public.ecdc_import VALUES (11953, '28/07/2020', '28', '7', '2020', '2133', '75', '18952035', 'Chile', 'CL', 'CHL', 'America', '159.69788996');
INSERT INTO public.ecdc_import VALUES (11954, '27/07/2020', '27', '7', '2020', '2198', '92', '18952035', 'Chile', 'CL', 'CHL', 'America', '162.24642895');
INSERT INTO public.ecdc_import VALUES (11955, '26/07/2020', '26', '7', '2020', '2288', '106', '18952035', 'Chile', 'CL', 'CHL', 'America', '166.54148222');
INSERT INTO public.ecdc_import VALUES (11956, '25/07/2020', '25', '7', '2020', '2545', '76', '18952035', 'Chile', 'CL', 'CHL', 'America', '169.00559755');
INSERT INTO public.ecdc_import VALUES (11957, '24/07/2020', '24', '7', '2020', '2357', '116', '18952035', 'Chile', 'CL', 'CHL', 'America', '171.71243088');
INSERT INTO public.ecdc_import VALUES (11958, '23/07/2020', '23', '7', '2020', '1719', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '175.80697798');
INSERT INTO public.ecdc_import VALUES (11959, '22/07/2020', '22', '7', '2020', '1654', '44', '18952035', 'Chile', 'CL', 'CHL', 'America', '177.62736297');
INSERT INTO public.ecdc_import VALUES (11960, '21/07/2020', '21', '7', '2020', '2099', '130', '18952035', 'Chile', 'CL', 'CHL', 'America', '181.89075738');
INSERT INTO public.ecdc_import VALUES (11961, '20/07/2020', '20', '7', '2020', '2084', '58', '18952035', 'Chile', 'CL', 'CHL', 'America', '186.77677621');
INSERT INTO public.ecdc_import VALUES (11962, '19/07/2020', '19', '7', '2020', '2307', '98', '18952035', 'Chile', 'CL', 'CHL', 'America', '195.22441785');
INSERT INTO public.ecdc_import VALUES (11963, '18/07/2020', '18', '7', '2020', '2841', '1057', '18952035', 'Chile', 'CL', 'CHL', 'America', '202.88058776');
INSERT INTO public.ecdc_import VALUES (11964, '17/07/2020', '17', '7', '2020', '2493', '104', '18952035', 'Chile', 'CL', 'CHL', 'America', '206.61105786');
INSERT INTO public.ecdc_import VALUES (11965, '16/07/2020', '16', '7', '2020', '1712', '117', '18952035', 'Chile', 'CL', 'CHL', 'America', '206.63744025');
INSERT INTO public.ecdc_import VALUES (11966, '15/07/2020', '15', '7', '2020', '1836', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '211.58677683');
INSERT INTO public.ecdc_import VALUES (11967, '14/07/2020', '14', '7', '2020', '2616', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '219.8075299');
INSERT INTO public.ecdc_import VALUES (11968, '13/07/2020', '13', '7', '2020', '3012', '98', '18952035', 'Chile', 'CL', 'CHL', 'America', '227.1998759');
INSERT INTO public.ecdc_import VALUES (11969, '12/07/2020', '12', '7', '2020', '2755', '100', '18952035', 'Chile', 'CL', 'CHL', 'America', '233.55275568');
INSERT INTO public.ecdc_import VALUES (11970, '11/07/2020', '11', '7', '2020', '3058', '99', '18952035', 'Chile', 'CL', 'CHL', 'America', '242.26422123');
INSERT INTO public.ecdc_import VALUES (11971, '10/07/2020', '10', '7', '2020', '3133', '109', '18952035', 'Chile', 'CL', 'CHL', 'America', '248.79650127');
INSERT INTO public.ecdc_import VALUES (11972, '09/07/2020', '9', '7', '2020', '2064', '139', '18952035', 'Chile', 'CL', 'CHL', 'America', '256.79036578');
INSERT INTO public.ecdc_import VALUES (11973, '08/07/2020', '8', '7', '2020', '2462', '50', '18952035', 'Chile', 'CL', 'CHL', 'America', '265.15358377');
INSERT INTO public.ecdc_import VALUES (11974, '07/07/2020', '7', '7', '2020', '3025', '76', '18952035', 'Chile', 'CL', 'CHL', 'America', '272.23461755');
INSERT INTO public.ecdc_import VALUES (11975, '06/07/2020', '6', '7', '2020', '3685', '116', '18952035', 'Chile', 'CL', 'CHL', 'America', '280.58728258');
INSERT INTO public.ecdc_import VALUES (11976, '05/07/2020', '5', '7', '2020', '3758', '141', '18952035', 'Chile', 'CL', 'CHL', 'America', '290.72867373');
INSERT INTO public.ecdc_import VALUES (11977, '04/07/2020', '4', '7', '2020', '3548', '131', '18952035', 'Chile', 'CL', 'CHL', 'America', '299.15520945');
INSERT INTO public.ecdc_import VALUES (11978, '03/07/2020', '3', '7', '2020', '2498', '167', '18952035', 'Chile', 'CL', 'CHL', 'America', '313.62331275');
INSERT INTO public.ecdc_import VALUES (11979, '02/07/2020', '2', '7', '2020', '2650', '65', '18952035', 'Chile', 'CL', 'CHL', 'America', '324.0549102');
INSERT INTO public.ecdc_import VALUES (11980, '01/07/2020', '1', '7', '2020', '3394', '113', '18952035', 'Chile', 'CL', 'CHL', 'America', '500.96994861');
INSERT INTO public.ecdc_import VALUES (11981, '30/06/2020', '30', '6', '2020', '4017', '66', '18952035', 'Chile', 'CL', 'CHL', 'America', '509.51256686');
INSERT INTO public.ecdc_import VALUES (11982, '29/06/2020', '29', '6', '2020', '4216', '162', '18952035', 'Chile', 'CL', 'CHL', 'America', '515.45388134');
INSERT INTO public.ecdc_import VALUES (11983, '28/06/2020', '28', '6', '2020', '4406', '279', '18952035', 'Chile', 'CL', 'CHL', 'America', '529.81645507');
INSERT INTO public.ecdc_import VALUES (11984, '27/06/2020', '27', '6', '2020', '4296', '165', '18952035', 'Chile', 'CL', 'CHL', 'America', '540.91288877');
INSERT INTO public.ecdc_import VALUES (11985, '26/06/2020', '26', '6', '2020', '4648', '172', '18952035', 'Chile', 'CL', 'CHL', 'America', '553.88247225');
INSERT INTO public.ecdc_import VALUES (11986, '25/06/2020', '25', '6', '2020', '3649', '226', '18952035', 'Chile', 'CL', 'CHL', 'America', '558.88457361');
INSERT INTO public.ecdc_import VALUES (11987, '24/06/2020', '24', '6', '2020', '3804', '3', '18952035', 'Chile', 'CL', 'CHL', 'America', '569.90186014');
INSERT INTO public.ecdc_import VALUES (11988, '23/06/2020', '23', '6', '2020', '4608', '23', '18952035', 'Chile', 'CL', 'CHL', 'America', '570.47699627');
INSERT INTO public.ecdc_import VALUES (11989, '22/06/2020', '22', '6', '2020', '5607', '184', '18952035', 'Chile', 'CL', 'CHL', 'America', '570.94132635');
INSERT INTO public.ecdc_import VALUES (11990, '21/06/2020', '21', '6', '2020', '5355', '202', '18952035', 'Chile', 'CL', 'CHL', 'America', '575.15195598');
INSERT INTO public.ecdc_import VALUES (11991, '20/06/2020', '20', '6', '2020', '6290', '252', '18952035', 'Chile', 'CL', 'CHL', 'America', '574.57681985');
INSERT INTO public.ecdc_import VALUES (11992, '19/06/2020', '19', '6', '2020', '4475', '226', '18952035', 'Chile', 'CL', 'CHL', 'America', '563.58591571');
INSERT INTO public.ecdc_import VALUES (11993, '18/06/2020', '18', '6', '2020', '36179', '232', '18952035', 'Chile', 'CL', 'CHL', 'America', '564.58317009');
INSERT INTO public.ecdc_import VALUES (11994, '17/06/2020', '17', '6', '2020', '5013', '21', '18952035', 'Chile', 'CL', 'CHL', 'America', '399.76181977');
INSERT INTO public.ecdc_import VALUES (11995, '16/06/2020', '16', '6', '2020', '5143', '39', '18952035', 'Chile', 'CL', 'CHL', 'America', '391.92097313');
INSERT INTO public.ecdc_import VALUES (11996, '15/06/2020', '15', '6', '2020', '6938', '222', '18952035', 'Chile', 'CL', 'CHL', 'America', '393.65165799');
INSERT INTO public.ecdc_import VALUES (11997, '14/06/2020', '14', '6', '2020', '6509', '231', '18952035', 'Chile', 'CL', 'CHL', 'America', '382.52884189');
INSERT INTO public.ecdc_import VALUES (11998, '13/06/2020', '13', '6', '2020', '6754', '222', '18952035', 'Chile', 'CL', 'CHL', 'America', '370.45098323');
INSERT INTO public.ecdc_import VALUES (11999, '12/06/2020', '12', '6', '2020', '5596', '173', '18952035', 'Chile', 'CL', 'CHL', 'America', '354.31023634');
INSERT INTO public.ecdc_import VALUES (12000, '11/06/2020', '11', '6', '2020', '5737', '192', '18952035', 'Chile', 'CL', 'CHL', 'America', '349.33979385');
INSERT INTO public.ecdc_import VALUES (12001, '10/06/2020', '10', '6', '2020', '3913', '19', '18952035', 'Chile', 'CL', 'CHL', 'America', '341.90523603');
INSERT INTO public.ecdc_import VALUES (12002, '09/06/2020', '9', '6', '2020', '4696', '74', '18952035', 'Chile', 'CL', 'CHL', 'America', '342.17433642');
INSERT INTO public.ecdc_import VALUES (12003, '08/06/2020', '8', '6', '2020', '6405', '649', '18952035', 'Chile', 'CL', 'CHL', 'America', '343.22435559');
INSERT INTO public.ecdc_import VALUES (12004, '07/06/2020', '7', '6', '2020', '5246', '93', '18952035', 'Chile', 'CL', 'CHL', 'America', '328.9989703');
INSERT INTO public.ecdc_import VALUES (12005, '06/06/2020', '6', '6', '2020', '4207', '92', '18952035', 'Chile', 'CL', 'CHL', 'America', '319.97619253');
INSERT INTO public.ecdc_import VALUES (12006, '05/06/2020', '5', '6', '2020', '4664', '81', '18952035', 'Chile', 'CL', 'CHL', 'America', '320.34026953');
INSERT INTO public.ecdc_import VALUES (12007, '04/06/2020', '4', '6', '2020', '4942', '87', '18952035', 'Chile', 'CL', 'CHL', 'America', '316.64673477');
INSERT INTO public.ecdc_import VALUES (12008, '03/06/2020', '3', '6', '2020', '3527', '75', '18952035', 'Chile', 'CL', 'CHL', 'America', '311.87679845');
INSERT INTO public.ecdc_import VALUES (12009, '02/06/2020', '2', '6', '2020', '5471', '59', '18952035', 'Chile', 'CL', 'CHL', 'America', '311.83986311');
INSERT INTO public.ecdc_import VALUES (12010, '01/06/2020', '1', '6', '2020', '4830', '57', '18952035', 'Chile', 'CL', 'CHL', 'America', '294.99206813');
INSERT INTO public.ecdc_import VALUES (12011, '31/05/2020', '31', '5', '2020', '4220', '53', '18952035', 'Chile', 'CL', 'CHL', 'America', '281.92223157');
INSERT INTO public.ecdc_import VALUES (12012, '30/05/2020', '30', '5', '2020', '3695', '54', '18952035', 'Chile', 'CL', 'CHL', 'America', '269.60693139');
INSERT INTO public.ecdc_import VALUES (12013, '29/05/2020', '29', '5', '2020', '4654', '49', '18952035', 'Chile', 'CL', 'CHL', 'America', '263.31209287');
INSERT INTO public.ecdc_import VALUES (12014, '28/05/2020', '28', '5', '2020', '4328', '35', '18952035', 'Chile', 'CL', 'CHL', 'America', '252.78551881');
INSERT INTO public.ecdc_import VALUES (12015, '27/05/2020', '27', '5', '2020', '3964', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '243.98435313');
INSERT INTO public.ecdc_import VALUES (12016, '26/05/2020', '26', '5', '2020', '4895', '43', '18952035', 'Chile', 'CL', 'CHL', 'America', '231.81679434');
INSERT INTO public.ecdc_import VALUES (12017, '25/05/2020', '25', '5', '2020', '3709', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '212.30437787');
INSERT INTO public.ecdc_import VALUES (12018, '24/05/2020', '24', '5', '2020', '3536', '43', '18952035', 'Chile', 'CL', 'CHL', 'America', '201.42427977');
INSERT INTO public.ecdc_import VALUES (12019, '23/05/2020', '23', '5', '2020', '4276', '41', '18952035', 'Chile', 'CL', 'CHL', 'America', '189.34642111');
INSERT INTO public.ecdc_import VALUES (12020, '22/05/2020', '22', '5', '2020', '3964', '45', '18952035', 'Chile', 'CL', 'CHL', 'America', '174.12378143');
INSERT INTO public.ecdc_import VALUES (12021, '21/05/2020', '21', '5', '2020', '4038', '35', '18952035', 'Chile', 'CL', 'CHL', 'America', '161.29666286');
INSERT INTO public.ecdc_import VALUES (12022, '20/05/2020', '20', '5', '2020', '3520', '31', '18952035', 'Chile', 'CL', 'CHL', 'America', '145.43556932');
INSERT INTO public.ecdc_import VALUES (12023, '19/05/2020', '19', '5', '2020', '2278', '28', '18952035', 'Chile', 'CL', 'CHL', 'America', '134.10697057');
INSERT INTO public.ecdc_import VALUES (12024, '18/05/2020', '18', '5', '2020', '2353', '29', '18952035', 'Chile', 'CL', 'CHL', 'America', '127.25810183');
INSERT INTO public.ecdc_import VALUES (12025, '17/05/2020', '17', '5', '2020', '1886', '27', '18952035', 'Chile', 'CL', 'CHL', 'America', '121.32206383');
INSERT INTO public.ecdc_import VALUES (12026, '16/05/2020', '16', '5', '2020', '2502', '36', '18952035', 'Chile', 'CL', 'CHL', 'America', '118.90016033');
INSERT INTO public.ecdc_import VALUES (12027, '15/05/2020', '15', '5', '2020', '2659', '12', '18952035', 'Chile', 'CL', 'CHL', 'America', '110.89574286');
INSERT INTO public.ecdc_import VALUES (12028, '14/05/2020', '14', '5', '2020', '2660', '11', '18952035', 'Chile', 'CL', 'CHL', 'America', '102.87021948');
INSERT INTO public.ecdc_import VALUES (12029, '13/05/2020', '13', '5', '2020', '1658', '12', '18952035', 'Chile', 'CL', 'CHL', 'America', '91.57855608');
INSERT INTO public.ecdc_import VALUES (12030, '12/05/2020', '12', '5', '2020', '1197', '11', '18952035', 'Chile', 'CL', 'CHL', 'America', '85.74277116');
INSERT INTO public.ecdc_import VALUES (12031, '11/05/2020', '11', '5', '2020', '1647', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '81.97008923');
INSERT INTO public.ecdc_import VALUES (12032, '10/05/2020', '10', '5', '2020', '1247', '10', '18952035', 'Chile', 'CL', 'CHL', 'America', '75.77550379');
INSERT INTO public.ecdc_import VALUES (12033, '09/05/2020', '9', '5', '2020', '1391', '9', '18952035', 'Chile', 'CL', 'CHL', 'America', '72.10835143');
INSERT INTO public.ecdc_import VALUES (12034, '08/05/2020', '8', '5', '2020', '1533', '4', '18952035', 'Chile', 'CL', 'CHL', 'America', '67.37535046');
INSERT INTO public.ecdc_import VALUES (12035, '07/05/2020', '7', '5', '2020', '1032', '6', '18952035', 'Chile', 'CL', 'CHL', 'America', '62.0091721');
INSERT INTO public.ecdc_import VALUES (12036, '06/05/2020', '6', '5', '2020', '1373', '5', '18952035', 'Chile', 'CL', 'CHL', 'America', '59.01213247');
INSERT INTO public.ecdc_import VALUES (12037, '05/05/2020', '5', '5', '2020', '980', '10', '18952035', 'Chile', 'CL', 'CHL', 'America', '53.48238329');
INSERT INTO public.ecdc_import VALUES (12038, '04/05/2020', '4', '5', '2020', '1228', '13', '18952035', 'Chile', 'CL', 'CHL', 'America', '50.52227901');
INSERT INTO public.ecdc_import VALUES (12039, '03/05/2020', '3', '5', '2020', '1427', '13', '18952035', 'Chile', 'CL', 'CHL', 'America', '45.93174295');
INSERT INTO public.ecdc_import VALUES (12040, '02/05/2020', '2', '5', '2020', '985', '7', '18952035', 'Chile', 'CL', 'CHL', 'America', '40.92436511');
INSERT INTO public.ecdc_import VALUES (12041, '01/05/2020', '1', '5', '2020', '1138', '11', '18952035', 'Chile', 'CL', 'CHL', 'America', '38.07506687');
INSERT INTO public.ecdc_import VALUES (12042, '30/04/2020', '30', '4', '2020', '520', '9', '18952035', 'Chile', 'CL', 'CHL', 'America', '34.88807402');
INSERT INTO public.ecdc_import VALUES (12043, '29/04/2020', '29', '4', '2020', '552', '9', '18952035', 'Chile', 'CL', 'CHL', 'America', '34.0227316');
INSERT INTO public.ecdc_import VALUES (12044, '28/04/2020', '28', '4', '2020', '482', '9', '18952035', 'Chile', 'CL', 'CHL', 'America', '33.17849508');
INSERT INTO public.ecdc_import VALUES (12045, '27/04/2020', '27', '4', '2020', '473', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '32.28149378');
INSERT INTO public.ecdc_import VALUES (12046, '26/04/2020', '26', '4', '2020', '552', '7', '18952035', 'Chile', 'CL', 'CHL', 'America', '31.29479235');
INSERT INTO public.ecdc_import VALUES (12047, '25/04/2020', '25', '4', '2020', '494', '6', '18952035', 'Chile', 'CL', 'CHL', 'America', '30.6299561');
INSERT INTO public.ecdc_import VALUES (12048, '24/04/2020', '24', '4', '2020', '516', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '30.81463283');
INSERT INTO public.ecdc_import VALUES (12049, '23/04/2020', '23', '4', '2020', '464', '13', '18952035', 'Chile', 'CL', 'CHL', 'America', '30.33974979');
INSERT INTO public.ecdc_import VALUES (12050, '22/04/2020', '22', '4', '2020', '325', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '30.16034954');
INSERT INTO public.ecdc_import VALUES (12051, '21/04/2020', '21', '4', '2020', '419', '6', '18952035', 'Chile', 'CL', 'CHL', 'America', '30.03371406');
INSERT INTO public.ecdc_import VALUES (12052, '20/04/2020', '20', '4', '2020', '358', '7', '18952035', 'Chile', 'CL', 'CHL', 'America', '29.63797819');
INSERT INTO public.ecdc_import VALUES (12053, '19/04/2020', '19', '4', '2020', '478', '10', '18952035', 'Chile', 'CL', 'CHL', 'America', '29.38470724');
INSERT INTO public.ecdc_import VALUES (12054, '18/04/2020', '18', '4', '2020', '445', '11', '18952035', 'Chile', 'CL', 'CHL', 'America', '29.09977741');
INSERT INTO public.ecdc_import VALUES (12055, '17/04/2020', '17', '4', '2020', '534', '11', '18952035', 'Chile', 'CL', 'CHL', 'America', '28.50881185');
INSERT INTO public.ecdc_import VALUES (12056, '16/04/2020', '16', '4', '2020', '356', '2', '18952035', 'Chile', 'CL', 'CHL', 'America', '27.65929886');
INSERT INTO public.ecdc_import VALUES (12057, '15/04/2020', '15', '4', '2020', '392', '10', '18952035', 'Chile', 'CL', 'CHL', 'America', '27.32688073');
INSERT INTO public.ecdc_import VALUES (12058, '14/04/2020', '14', '4', '2020', '312', '2', '18952035', 'Chile', 'CL', 'CHL', 'America', '26.78340347');
INSERT INTO public.ecdc_import VALUES (12059, '13/04/2020', '13', '4', '2020', '286', '7', '18952035', 'Chile', 'CL', 'CHL', 'America', '26.77285051');
INSERT INTO public.ecdc_import VALUES (12060, '12/04/2020', '12', '4', '2020', '426', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '26.47736773');
INSERT INTO public.ecdc_import VALUES (12061, '11/04/2020', '11', '4', '2020', '529', '8', '18952035', 'Chile', 'CL', 'CHL', 'America', '25.807255');
INSERT INTO public.ecdc_import VALUES (12062, '10/04/2020', '10', '4', '2020', '426', '9', '18952035', 'Chile', 'CL', 'CHL', 'America', '24.6200474');
INSERT INTO public.ecdc_import VALUES (12063, '09/04/2020', '9', '4', '2020', '430', '5', '18952035', 'Chile', 'CL', 'CHL', 'America', '23.2376101');
INSERT INTO public.ecdc_import VALUES (12064, '08/04/2020', '8', '4', '2020', '301', '6', '18952035', 'Chile', 'CL', 'CHL', 'America', '22.12954968');
INSERT INTO public.ecdc_import VALUES (12065, '07/04/2020', '7', '4', '2020', '344', '3', '18952035', 'Chile', 'CL', 'CHL', 'America', '21.4699899');
INSERT INTO public.ecdc_import VALUES (12066, '06/04/2020', '6', '4', '2020', '310', '7', '18952035', 'Chile', 'CL', 'CHL', 'America', '20.25639991');
INSERT INTO public.ecdc_import VALUES (12067, '05/04/2020', '5', '4', '2020', '424', '5', '18952035', 'Chile', 'CL', 'CHL', 'America', '19.12195709');
INSERT INTO public.ecdc_import VALUES (12068, '04/04/2020', '4', '4', '2020', '333', '4', '18952035', 'Chile', 'CL', 'CHL', 'America', '17.42820758');
INSERT INTO public.ecdc_import VALUES (12069, '03/04/2020', '3', '4', '2020', '373', '2', '18952035', 'Chile', 'CL', 'CHL', 'America', '16.15657633');
INSERT INTO public.ecdc_import VALUES (12070, '02/04/2020', '2', '4', '2020', '293', '4', '18952035', 'Chile', 'CL', 'CHL', 'America', '14.73720368');
INSERT INTO public.ecdc_import VALUES (12071, '01/04/2020', '1', '4', '2020', '289', '4', '18952035', 'Chile', 'CL', 'CHL', 'America', '13.38642526');
INSERT INTO public.ecdc_import VALUES (12072, '31/03/2020', '31', '3', '2020', '310', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '12.09896457');
INSERT INTO public.ecdc_import VALUES (12073, '30/03/2020', '30', '3', '2020', '230', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '10.89065106');
INSERT INTO public.ecdc_import VALUES (12074, '29/03/2020', '29', '3', '2020', '299', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '9.75093176');
INSERT INTO public.ecdc_import VALUES (12075, '28/03/2020', '28', '3', '2020', '304', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '8.26824138');
INSERT INTO public.ecdc_import VALUES (12076, '27/03/2020', '27', '3', '2020', '164', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '6.71695678');
INSERT INTO public.ecdc_import VALUES (12077, '26/03/2020', '26', '3', '2020', '220', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '5.90437913');
INSERT INTO public.ecdc_import VALUES (12078, '25/03/2020', '25', '3', '2020', '176', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '4.77521279');
INSERT INTO public.ecdc_import VALUES (12079, '24/03/2020', '24', '3', '2020', '114', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '3.86765854');
INSERT INTO public.ecdc_import VALUES (12080, '23/03/2020', '23', '3', '2020', '95', '1', '18952035', 'Chile', 'CL', 'CHL', 'America', '3.28196946');
INSERT INTO public.ecdc_import VALUES (12081, '22/03/2020', '22', '3', '2020', '103', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '2.80708642');
INSERT INTO public.ecdc_import VALUES (12082, '21/03/2020', '21', '3', '2020', '92', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '2.26888564');
INSERT INTO public.ecdc_import VALUES (12083, '20/03/2020', '20', '3', '2020', '104', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '1.78872612');
INSERT INTO public.ecdc_import VALUES (12084, '19/03/2020', '19', '3', '2020', '37', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '1.25052534');
INSERT INTO public.ecdc_import VALUES (12085, '18/03/2020', '18', '3', '2020', '45', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '1.06057212');
INSERT INTO public.ecdc_import VALUES (12086, '17/03/2020', '17', '3', '2020', '81', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12087, '16/03/2020', '16', '3', '2020', '14', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12088, '15/03/2020', '15', '3', '2020', '18', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12089, '14/03/2020', '14', '3', '2020', '10', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12090, '13/03/2020', '13', '3', '2020', '10', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12091, '12/03/2020', '12', '3', '2020', '6', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12092, '11/03/2020', '11', '3', '2020', '4', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12093, '10/03/2020', '10', '3', '2020', '3', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12094, '09/03/2020', '9', '3', '2020', '5', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12095, '07/03/2020', '7', '3', '2020', '1', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12096, '06/03/2020', '6', '3', '2020', '1', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12097, '05/03/2020', '5', '3', '2020', '2', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12098, '04/03/2020', '4', '3', '2020', '1', '0', '18952035', 'Chile', 'CL', 'CHL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12099, '14/12/2020', '14', '12', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01443732');
INSERT INTO public.ecdc_import VALUES (12100, '13/12/2020', '13', '12', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0148558');
INSERT INTO public.ecdc_import VALUES (12101, '12/12/2020', '12', '12', '2020', '13', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01360038');
INSERT INTO public.ecdc_import VALUES (12102, '11/12/2020', '11', '12', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01311216');
INSERT INTO public.ecdc_import VALUES (12103, '10/12/2020', '10', '12', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0124147');
INSERT INTO public.ecdc_import VALUES (12104, '09/12/2020', '9', '12', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01304241');
INSERT INTO public.ecdc_import VALUES (12105, '08/12/2020', '8', '12', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01234496');
INSERT INTO public.ecdc_import VALUES (12106, '07/12/2020', '7', '12', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01304241');
INSERT INTO public.ecdc_import VALUES (12107, '06/12/2020', '6', '12', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01276343');
INSERT INTO public.ecdc_import VALUES (12108, '05/12/2020', '5', '12', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01262394');
INSERT INTO public.ecdc_import VALUES (12109, '04/12/2020', '4', '12', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01255419');
INSERT INTO public.ecdc_import VALUES (12110, '03/12/2020', '3', '12', '2020', '16', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01255419');
INSERT INTO public.ecdc_import VALUES (12111, '02/12/2020', '2', '12', '2020', '9', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01227521');
INSERT INTO public.ecdc_import VALUES (12112, '01/12/2020', '1', '12', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01220547');
INSERT INTO public.ecdc_import VALUES (12113, '30/11/2020', '30', '11', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0124147');
INSERT INTO public.ecdc_import VALUES (12114, '29/11/2020', '29', '11', '2020', '6', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0116475');
INSERT INTO public.ecdc_import VALUES (12115, '28/11/2020', '28', '11', '2020', '6', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01199623');
INSERT INTO public.ecdc_import VALUES (12116, '27/11/2020', '27', '11', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01262394');
INSERT INTO public.ecdc_import VALUES (12117, '26/11/2020', '26', '11', '2020', '21', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01227521');
INSERT INTO public.ecdc_import VALUES (12118, '25/11/2020', '25', '11', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01150801');
INSERT INTO public.ecdc_import VALUES (12119, '24/11/2020', '24', '11', '2020', '22', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01206598');
INSERT INTO public.ecdc_import VALUES (12120, '23/11/2020', '23', '11', '2020', '11', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01192649');
INSERT INTO public.ecdc_import VALUES (12121, '22/11/2020', '22', '11', '2020', '16', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01339114');
INSERT INTO public.ecdc_import VALUES (12122, '21/11/2020', '21', '11', '2020', '16', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01394911');
INSERT INTO public.ecdc_import VALUES (12123, '20/11/2020', '20', '11', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01513478');
INSERT INTO public.ecdc_import VALUES (12124, '19/11/2020', '19', '11', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01618096');
INSERT INTO public.ecdc_import VALUES (12125, '18/11/2020', '18', '11', '2020', '8', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01722715');
INSERT INTO public.ecdc_import VALUES (12126, '17/11/2020', '17', '11', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01778511');
INSERT INTO public.ecdc_import VALUES (12127, '16/11/2020', '16', '11', '2020', '7', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02015646');
INSERT INTO public.ecdc_import VALUES (12128, '15/11/2020', '15', '11', '2020', '11', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02134213');
INSERT INTO public.ecdc_import VALUES (12129, '14/11/2020', '14', '11', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02224882');
INSERT INTO public.ecdc_import VALUES (12130, '13/11/2020', '13', '11', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02350424');
INSERT INTO public.ecdc_import VALUES (12131, '12/11/2020', '12', '11', '2020', '10', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02524788');
INSERT INTO public.ecdc_import VALUES (12132, '11/11/2020', '11', '11', '2020', '13', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02622432');
INSERT INTO public.ecdc_import VALUES (12133, '10/11/2020', '10', '11', '2020', '20', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02824694');
INSERT INTO public.ecdc_import VALUES (12134, '09/11/2020', '9', '11', '2020', '32', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02852592');
INSERT INTO public.ecdc_import VALUES (12135, '08/11/2020', '8', '11', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02810745');
INSERT INTO public.ecdc_import VALUES (12136, '07/11/2020', '7', '11', '2020', '33', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02775872');
INSERT INTO public.ecdc_import VALUES (12137, '06/11/2020', '6', '11', '2020', '32', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02775872');
INSERT INTO public.ecdc_import VALUES (12138, '05/11/2020', '5', '11', '2020', '27', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02754948');
INSERT INTO public.ecdc_import VALUES (12139, '04/11/2020', '4', '11', '2020', '16', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02720076');
INSERT INTO public.ecdc_import VALUES (12140, '03/11/2020', '3', '11', '2020', '49', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02720076');
INSERT INTO public.ecdc_import VALUES (12141, '02/11/2020', '2', '11', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02615457');
INSERT INTO public.ecdc_import VALUES (12142, '01/11/2020', '1', '11', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02566635');
INSERT INTO public.ecdc_import VALUES (12143, '31/10/2020', '31', '10', '2020', '33', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02608483');
INSERT INTO public.ecdc_import VALUES (12144, '30/10/2020', '30', '10', '2020', '25', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02517814');
INSERT INTO public.ecdc_import VALUES (12145, '29/10/2020', '29', '10', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02594534');
INSERT INTO public.ecdc_import VALUES (12146, '28/10/2020', '28', '10', '2020', '42', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02503864');
INSERT INTO public.ecdc_import VALUES (12147, '27/10/2020', '27', '10', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02406221');
INSERT INTO public.ecdc_import VALUES (12148, '26/10/2020', '26', '10', '2020', '26', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02364373');
INSERT INTO public.ecdc_import VALUES (12149, '25/10/2020', '25', '10', '2020', '19', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0242017');
INSERT INTO public.ecdc_import VALUES (12150, '24/10/2020', '24', '10', '2020', '33', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02434119');
INSERT INTO public.ecdc_import VALUES (12151, '23/10/2020', '23', '10', '2020', '29', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02406221');
INSERT INTO public.ecdc_import VALUES (12152, '22/10/2020', '22', '10', '2020', '22', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02475966');
INSERT INTO public.ecdc_import VALUES (12153, '21/10/2020', '21', '10', '2020', '16', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02475966');
INSERT INTO public.ecdc_import VALUES (12154, '20/10/2020', '20', '10', '2020', '34', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02468992');
INSERT INTO public.ecdc_import VALUES (12155, '19/10/2020', '19', '10', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02392272');
INSERT INTO public.ecdc_import VALUES (12156, '18/10/2020', '18', '10', '2020', '30', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02448068');
INSERT INTO public.ecdc_import VALUES (12157, '17/10/2020', '17', '10', '2020', '20', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02378322');
INSERT INTO public.ecdc_import VALUES (12158, '16/10/2020', '16', '10', '2020', '36', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02357399');
INSERT INTO public.ecdc_import VALUES (12159, '15/10/2020', '15', '10', '2020', '11', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02378322');
INSERT INTO public.ecdc_import VALUES (12160, '14/10/2020', '14', '10', '2020', '28', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02301602');
INSERT INTO public.ecdc_import VALUES (12161, '13/10/2020', '13', '10', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0226673');
INSERT INTO public.ecdc_import VALUES (12162, '12/10/2020', '12', '10', '2020', '34', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02294628');
INSERT INTO public.ecdc_import VALUES (12163, '11/10/2020', '11', '10', '2020', '21', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02245806');
INSERT INTO public.ecdc_import VALUES (12164, '10/10/2020', '10', '10', '2020', '29', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02203959');
INSERT INTO public.ecdc_import VALUES (12165, '09/10/2020', '9', '10', '2020', '39', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02120264');
INSERT INTO public.ecdc_import VALUES (12166, '08/10/2020', '8', '10', '2020', '22', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01952875');
INSERT INTO public.ecdc_import VALUES (12167, '07/10/2020', '7', '10', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0186918');
INSERT INTO public.ecdc_import VALUES (12168, '06/10/2020', '6', '10', '2020', '23', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01890104');
INSERT INTO public.ecdc_import VALUES (12169, '05/10/2020', '5', '10', '2020', '25', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01813384');
INSERT INTO public.ecdc_import VALUES (12170, '04/10/2020', '4', '10', '2020', '20', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01890104');
INSERT INTO public.ecdc_import VALUES (12171, '03/10/2020', '3', '10', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01924977');
INSERT INTO public.ecdc_import VALUES (12172, '02/10/2020', '2', '10', '2020', '39', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01904053');
INSERT INTO public.ecdc_import VALUES (12173, '01/10/2020', '1', '10', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01938926');
INSERT INTO public.ecdc_import VALUES (12174, '30/09/2020', '30', '9', '2020', '23', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01987748');
INSERT INTO public.ecdc_import VALUES (12175, '29/09/2020', '29', '9', '2020', '22', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01994722');
INSERT INTO public.ecdc_import VALUES (12176, '28/09/2020', '28', '9', '2020', '27', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01994722');
INSERT INTO public.ecdc_import VALUES (12177, '27/09/2020', '27', '9', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02008671');
INSERT INTO public.ecdc_import VALUES (12178, '26/09/2020', '26', '9', '2020', '17', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02064468');
INSERT INTO public.ecdc_import VALUES (12179, '25/09/2020', '25', '9', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02071442');
INSERT INTO public.ecdc_import VALUES (12180, '24/09/2020', '24', '9', '2020', '10', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02155137');
INSERT INTO public.ecdc_import VALUES (12181, '23/09/2020', '23', '9', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0217606');
INSERT INTO public.ecdc_import VALUES (12182, '22/09/2020', '22', '9', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02106315');
INSERT INTO public.ecdc_import VALUES (12183, '21/09/2020', '21', '9', '2020', '36', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02169086');
INSERT INTO public.ecdc_import VALUES (12184, '20/09/2020', '20', '9', '2020', '25', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02148162');
INSERT INTO public.ecdc_import VALUES (12185, '19/09/2020', '19', '9', '2020', '14', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02092366');
INSERT INTO public.ecdc_import VALUES (12186, '18/09/2020', '18', '9', '2020', '44', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02148162');
INSERT INTO public.ecdc_import VALUES (12187, '17/09/2020', '17', '9', '2020', '7', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02071442');
INSERT INTO public.ecdc_import VALUES (12188, '16/09/2020', '16', '9', '2020', '24', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02155137');
INSERT INTO public.ecdc_import VALUES (12189, '15/09/2020', '15', '9', '2020', '22', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02127239');
INSERT INTO public.ecdc_import VALUES (12190, '14/09/2020', '14', '9', '2020', '29', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02106315');
INSERT INTO public.ecdc_import VALUES (12191, '13/09/2020', '13', '9', '2020', '23', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02127239');
INSERT INTO public.ecdc_import VALUES (12192, '12/09/2020', '12', '9', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02155137');
INSERT INTO public.ecdc_import VALUES (12193, '11/09/2020', '11', '9', '2020', '27', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02183035');
INSERT INTO public.ecdc_import VALUES (12194, '10/09/2020', '10', '9', '2020', '13', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02203959');
INSERT INTO public.ecdc_import VALUES (12195, '09/09/2020', '9', '9', '2020', '8', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02336475');
INSERT INTO public.ecdc_import VALUES (12196, '08/09/2020', '8', '9', '2020', '21', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02517814');
INSERT INTO public.ecdc_import VALUES (12197, '07/09/2020', '7', '9', '2020', '33', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02531763');
INSERT INTO public.ecdc_import VALUES (12198, '06/09/2020', '6', '9', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02587559');
INSERT INTO public.ecdc_import VALUES (12199, '05/09/2020', '5', '9', '2020', '22', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02734025');
INSERT INTO public.ecdc_import VALUES (12200, '04/09/2020', '4', '9', '2020', '33', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02922338');
INSERT INTO public.ecdc_import VALUES (12201, '03/09/2020', '3', '9', '2020', '19', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02971159');
INSERT INTO public.ecdc_import VALUES (12202, '02/09/2020', '2', '9', '2020', '20', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03068803');
INSERT INTO public.ecdc_import VALUES (12203, '01/09/2020', '1', '9', '2020', '19', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03298963');
INSERT INTO public.ecdc_import VALUES (12204, '31/08/2020', '31', '8', '2020', '32', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03626767');
INSERT INTO public.ecdc_import VALUES (12205, '30/08/2020', '30', '8', '2020', '27', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04073139');
INSERT INTO public.ecdc_import VALUES (12206, '29/08/2020', '29', '8', '2020', '22', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04338172');
INSERT INTO public.ecdc_import VALUES (12207, '28/08/2020', '28', '8', '2020', '30', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0467295');
INSERT INTO public.ecdc_import VALUES (12208, '27/08/2020', '27', '8', '2020', '32', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05154194');
INSERT INTO public.ecdc_import VALUES (12209, '26/08/2020', '26', '8', '2020', '34', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05495948');
INSERT INTO public.ecdc_import VALUES (12210, '25/08/2020', '25', '8', '2020', '23', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05663337');
INSERT INTO public.ecdc_import VALUES (12211, '24/08/2020', '24', '8', '2020', '41', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06291047');
INSERT INTO public.ecdc_import VALUES (12212, '23/08/2020', '23', '8', '2020', '38', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06849011');
INSERT INTO public.ecdc_import VALUES (12213, '22/08/2020', '22', '8', '2020', '49', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07225637');
INSERT INTO public.ecdc_import VALUES (12214, '21/08/2020', '21', '8', '2020', '40', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0772083');
INSERT INTO public.ecdc_import VALUES (12215, '20/08/2020', '20', '8', '2020', '33', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08362489');
INSERT INTO public.ecdc_import VALUES (12216, '19/08/2020', '19', '8', '2020', '53', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08983224');
INSERT INTO public.ecdc_import VALUES (12217, '18/08/2020', '18', '8', '2020', '66', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0935985');
INSERT INTO public.ecdc_import VALUES (12218, '17/08/2020', '17', '8', '2020', '96', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.09694628');
INSERT INTO public.ecdc_import VALUES (12219, '16/08/2020', '16', '8', '2020', '65', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.10127051');
INSERT INTO public.ecdc_import VALUES (12220, '15/08/2020', '15', '8', '2020', '70', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.10873328');
INSERT INTO public.ecdc_import VALUES (12221, '14/08/2020', '14', '8', '2020', '99', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.11542885');
INSERT INTO public.ecdc_import VALUES (12222, '13/08/2020', '13', '8', '2020', '81', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.12777381');
INSERT INTO public.ecdc_import VALUES (12223, '12/08/2020', '12', '8', '2020', '58', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.13767767');
INSERT INTO public.ecdc_import VALUES (12224, '11/08/2020', '11', '8', '2020', '113', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.14806976');
INSERT INTO public.ecdc_import VALUES (12225, '10/08/2020', '10', '8', '2020', '121', '5', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.15504431');
INSERT INTO public.ecdc_import VALUES (12226, '09/08/2020', '9', '8', '2020', '92', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.159787');
INSERT INTO public.ecdc_import VALUES (12227, '08/08/2020', '8', '8', '2020', '120', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16585486');
INSERT INTO public.ecdc_import VALUES (12228, '07/08/2020', '7', '8', '2020', '132', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16843545');
INSERT INTO public.ecdc_import VALUES (12229, '06/08/2020', '6', '8', '2020', '122', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16892367');
INSERT INTO public.ecdc_import VALUES (12230, '05/08/2020', '5', '8', '2020', '107', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16983036');
INSERT INTO public.ecdc_import VALUES (12231, '04/08/2020', '4', '8', '2020', '114', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16752876');
INSERT INTO public.ecdc_import VALUES (12232, '03/08/2020', '3', '8', '2020', '158', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16543639');
INSERT INTO public.ecdc_import VALUES (12233, '02/08/2020', '2', '8', '2020', '172', '6', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16348352');
INSERT INTO public.ecdc_import VALUES (12234, '01/08/2020', '1', '8', '2020', '166', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.15706693');
INSERT INTO public.ecdc_import VALUES (12235, '31/07/2020', '31', '7', '2020', '276', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.15106881');
INSERT INTO public.ecdc_import VALUES (12236, '30/07/2020', '30', '7', '2020', '223', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.13718945');
INSERT INTO public.ecdc_import VALUES (12237, '29/07/2020', '29', '7', '2020', '207', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.12303111');
INSERT INTO public.ecdc_import VALUES (12238, '28/07/2020', '28', '7', '2020', '213', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.11236004');
INSERT INTO public.ecdc_import VALUES (12239, '27/07/2020', '27', '7', '2020', '189', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.10134025');
INSERT INTO public.ecdc_import VALUES (12240, '26/07/2020', '26', '7', '2020', '179', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.09136664');
INSERT INTO public.ecdc_import VALUES (12241, '25/07/2020', '25', '7', '2020', '157', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08132329');
INSERT INTO public.ecdc_import VALUES (12242, '24/07/2020', '24', '7', '2020', '139', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07316306');
INSERT INTO public.ecdc_import VALUES (12243, '23/07/2020', '23', '7', '2020', '135', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06667672');
INSERT INTO public.ecdc_import VALUES (12244, '22/07/2020', '22', '7', '2020', '74', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05956268');
INSERT INTO public.ecdc_import VALUES (12245, '21/07/2020', '21', '7', '2020', '84', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05586617');
INSERT INTO public.ecdc_import VALUES (12246, '20/07/2020', '20', '7', '2020', '130', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05175118');
INSERT INTO public.ecdc_import VALUES (12247, '19/07/2020', '19', '7', '2020', '80', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0436607');
INSERT INTO public.ecdc_import VALUES (12248, '18/07/2020', '18', '7', '2020', '80', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03933648');
INSERT INTO public.ecdc_import VALUES (12249, '17/07/2020', '17', '7', '2020', '77', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03438455');
INSERT INTO public.ecdc_import VALUES (12250, '16/07/2020', '16', '7', '2020', '20', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02999058');
INSERT INTO public.ecdc_import VALUES (12251, '15/07/2020', '15', '7', '2020', '54', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03075778');
INSERT INTO public.ecdc_import VALUES (12252, '14/07/2020', '14', '7', '2020', '55', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02734025');
INSERT INTO public.ecdc_import VALUES (12253, '13/07/2020', '13', '7', '2020', '46', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02510839');
INSERT INTO public.ecdc_import VALUES (12254, '12/07/2020', '12', '7', '2020', '35', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02287653');
INSERT INTO public.ecdc_import VALUES (12255, '11/07/2020', '11', '7', '2020', '40', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02169086');
INSERT INTO public.ecdc_import VALUES (12256, '10/07/2020', '10', '7', '2020', '46', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02057493');
INSERT INTO public.ecdc_import VALUES (12257, '09/07/2020', '9', '7', '2020', '33', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01931951');
INSERT INTO public.ecdc_import VALUES (12258, '08/07/2020', '8', '7', '2020', '21', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01841282');
INSERT INTO public.ecdc_import VALUES (12259, '07/07/2020', '7', '7', '2020', '25', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01897078');
INSERT INTO public.ecdc_import VALUES (12260, '06/07/2020', '6', '7', '2020', '14', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02085391');
INSERT INTO public.ecdc_import VALUES (12261, '05/07/2020', '5', '7', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02120264');
INSERT INTO public.ecdc_import VALUES (12262, '04/07/2020', '4', '7', '2020', '9', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02196984');
INSERT INTO public.ecdc_import VALUES (12263, '03/07/2020', '3', '7', '2020', '14', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0234345');
INSERT INTO public.ecdc_import VALUES (12264, '02/07/2020', '2', '7', '2020', '31', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0249689');
INSERT INTO public.ecdc_import VALUES (12265, '01/07/2020', '1', '7', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02531763');
INSERT INTO public.ecdc_import VALUES (12266, '30/06/2020', '30', '6', '2020', '23', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0280377');
INSERT INTO public.ecdc_import VALUES (12267, '29/06/2020', '29', '6', '2020', '14', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02943261');
INSERT INTO public.ecdc_import VALUES (12268, '28/06/2020', '28', '6', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03173422');
INSERT INTO public.ecdc_import VALUES (12269, '27/06/2020', '27', '6', '2020', '24', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03466353');
INSERT INTO public.ecdc_import VALUES (12270, '26/06/2020', '26', '6', '2020', '28', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03382658');
INSERT INTO public.ecdc_import VALUES (12271, '25/06/2020', '25', '6', '2020', '20', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03236192');
INSERT INTO public.ecdc_import VALUES (12272, '24/06/2020', '24', '6', '2020', '29', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03173422');
INSERT INTO public.ecdc_import VALUES (12273, '23/06/2020', '23', '6', '2020', '52', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02999058');
INSERT INTO public.ecdc_import VALUES (12274, '22/06/2020', '22', '6', '2020', '19', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02657305');
INSERT INTO public.ecdc_import VALUES (12275, '21/06/2020', '21', '6', '2020', '29', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02559661');
INSERT INTO public.ecdc_import VALUES (12276, '20/06/2020', '20', '6', '2020', '30', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0242017');
INSERT INTO public.ecdc_import VALUES (12277, '19/06/2020', '19', '6', '2020', '36', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02252781');
INSERT INTO public.ecdc_import VALUES (12278, '18/06/2020', '18', '6', '2020', '36', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02078417');
INSERT INTO public.ecdc_import VALUES (12279, '17/06/2020', '17', '6', '2020', '44', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01834307');
INSERT INTO public.ecdc_import VALUES (12280, '16/06/2020', '16', '6', '2020', '43', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.015623');
INSERT INTO public.ecdc_import VALUES (12281, '15/06/2020', '15', '6', '2020', '47', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01311216');
INSERT INTO public.ecdc_import VALUES (12282, '14/06/2020', '14', '6', '2020', '60', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01115928');
INSERT INTO public.ecdc_import VALUES (12283, '13/06/2020', '13', '6', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00732328');
INSERT INTO public.ecdc_import VALUES (12284, '12/06/2020', '12', '6', '2020', '7', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00767201');
INSERT INTO public.ecdc_import VALUES (12285, '11/06/2020', '11', '6', '2020', '11', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00718379');
INSERT INTO public.ecdc_import VALUES (12286, '10/06/2020', '10', '6', '2020', '4', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00662583');
INSERT INTO public.ecdc_import VALUES (12287, '09/06/2020', '9', '6', '2020', '3', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00641659');
INSERT INTO public.ecdc_import VALUES (12288, '08/06/2020', '8', '6', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00669557');
INSERT INTO public.ecdc_import VALUES (12289, '07/06/2020', '7', '6', '2020', '9', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00711404');
INSERT INTO public.ecdc_import VALUES (12290, '06/06/2020', '6', '6', '2020', '6', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00669557');
INSERT INTO public.ecdc_import VALUES (12291, '05/06/2020', '5', '6', '2020', '11', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00641659');
INSERT INTO public.ecdc_import VALUES (12292, '04/06/2020', '4', '6', '2020', '1', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00648633');
INSERT INTO public.ecdc_import VALUES (12293, '03/06/2020', '3', '6', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00655608');
INSERT INTO public.ecdc_import VALUES (12294, '02/06/2020', '2', '6', '2020', '7', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00634684');
INSERT INTO public.ecdc_import VALUES (12295, '01/06/2020', '1', '6', '2020', '19', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00648633');
INSERT INTO public.ecdc_import VALUES (12296, '31/05/2020', '31', '5', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00585862');
INSERT INTO public.ecdc_import VALUES (12297, '30/05/2020', '30', '5', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00592837');
INSERT INTO public.ecdc_import VALUES (12298, '29/05/2020', '29', '5', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00537041');
INSERT INTO public.ecdc_import VALUES (12299, '28/05/2020', '28', '5', '2020', '3', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00571913');
INSERT INTO public.ecdc_import VALUES (12300, '27/05/2020', '27', '5', '2020', '1', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00592837');
INSERT INTO public.ecdc_import VALUES (12301, '26/05/2020', '26', '5', '2020', '7', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00634684');
INSERT INTO public.ecdc_import VALUES (12302, '25/05/2020', '25', '5', '2020', '11', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00592837');
INSERT INTO public.ecdc_import VALUES (12303, '24/05/2020', '24', '5', '2020', '3', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00648633');
INSERT INTO public.ecdc_import VALUES (12304, '23/05/2020', '23', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00732328');
INSERT INTO public.ecdc_import VALUES (12305, '22/05/2020', '22', '5', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00718379');
INSERT INTO public.ecdc_import VALUES (12306, '21/05/2020', '21', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00676532');
INSERT INTO public.ecdc_import VALUES (12307, '20/05/2020', '20', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00676532');
INSERT INTO public.ecdc_import VALUES (12308, '19/05/2020', '19', '5', '2020', '9', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00676532');
INSERT INTO public.ecdc_import VALUES (12309, '18/05/2020', '18', '5', '2020', '10', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0062771');
INSERT INTO public.ecdc_import VALUES (12310, '17/05/2020', '17', '5', '2020', '6', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00578888');
INSERT INTO public.ecdc_import VALUES (12311, '16/05/2020', '16', '5', '2020', '9', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0055099');
INSERT INTO public.ecdc_import VALUES (12312, '15/05/2020', '15', '5', '2020', '5', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00509142');
INSERT INTO public.ecdc_import VALUES (12313, '14/05/2020', '14', '5', '2020', '6', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00557964');
INSERT INTO public.ecdc_import VALUES (12314, '13/05/2020', '13', '5', '2020', '7', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00544015');
INSERT INTO public.ecdc_import VALUES (12315, '12/05/2020', '12', '5', '2020', '1', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00509142');
INSERT INTO public.ecdc_import VALUES (12316, '11/05/2020', '11', '5', '2020', '19', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00683506');
INSERT INTO public.ecdc_import VALUES (12317, '10/05/2020', '10', '5', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00571913');
INSERT INTO public.ecdc_import VALUES (12318, '09/05/2020', '9', '5', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00537041');
INSERT INTO public.ecdc_import VALUES (12319, '08/05/2020', '8', '5', '2020', '6', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00641659');
INSERT INTO public.ecdc_import VALUES (12320, '07/05/2020', '7', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00655608');
INSERT INTO public.ecdc_import VALUES (12321, '06/05/2020', '6', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00725353');
INSERT INTO public.ecdc_import VALUES (12322, '05/05/2020', '5', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00816023');
INSERT INTO public.ecdc_import VALUES (12323, '04/05/2020', '4', '5', '2020', '3', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01025259');
INSERT INTO public.ecdc_import VALUES (12324, '03/05/2020', '3', '5', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01101979');
INSERT INTO public.ecdc_import VALUES (12325, '02/05/2020', '2', '5', '2020', '3', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01213572');
INSERT INTO public.ecdc_import VALUES (12326, '01/05/2020', '1', '5', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0140886');
INSERT INTO public.ecdc_import VALUES (12327, '30/04/2020', '30', '4', '2020', '4', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03780208');
INSERT INTO public.ecdc_import VALUES (12328, '29/04/2020', '29', '4', '2020', '2', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04101037');
INSERT INTO public.ecdc_import VALUES (12329, '28/04/2020', '28', '4', '2020', '26', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04428841');
INSERT INTO public.ecdc_import VALUES (12330, '27/04/2020', '27', '4', '2020', '3', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04903111');
INSERT INTO public.ecdc_import VALUES (12331, '26/04/2020', '26', '4', '2020', '10', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05663337');
INSERT INTO public.ecdc_import VALUES (12332, '25/04/2020', '25', '4', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06242225');
INSERT INTO public.ecdc_import VALUES (12333, '24/04/2020', '24', '4', '2020', '8', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06688596');
INSERT INTO public.ecdc_import VALUES (12334, '23/04/2020', '23', '4', '2020', '12', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.070164');
INSERT INTO public.ecdc_import VALUES (12335, '22/04/2020', '22', '4', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07532517');
INSERT INTO public.ecdc_import VALUES (12336, '21/04/2020', '21', '4', '2020', '32', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0802771');
INSERT INTO public.ecdc_import VALUES (12337, '20/04/2020', '20', '4', '2020', '14', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08195099');
INSERT INTO public.ecdc_import VALUES (12338, '19/04/2020', '19', '4', '2020', '18', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08564751');
INSERT INTO public.ecdc_import VALUES (12339, '18/04/2020', '18', '4', '2020', '31', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08773987');
INSERT INTO public.ecdc_import VALUES (12340, '17/04/2020', '17', '4', '2020', '352', '1290', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08990199');
INSERT INTO public.ecdc_import VALUES (12341, '16/04/2020', '16', '4', '2020', '50', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07023375');
INSERT INTO public.ecdc_import VALUES (12342, '15/04/2020', '15', '4', '2020', '49', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07372102');
INSERT INTO public.ecdc_import VALUES (12343, '14/04/2020', '14', '4', '2020', '94', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07406975');
INSERT INTO public.ecdc_import VALUES (12344, '13/04/2020', '13', '4', '2020', '112', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07337229');
INSERT INTO public.ecdc_import VALUES (12345, '12/04/2020', '12', '4', '2020', '93', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07239586');
INSERT INTO public.ecdc_import VALUES (12346, '11/04/2020', '11', '4', '2020', '79', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07379077');
INSERT INTO public.ecdc_import VALUES (12347, '10/04/2020', '10', '4', '2020', '55', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07658059');
INSERT INTO public.ecdc_import VALUES (12348, '09/04/2020', '9', '4', '2020', '86', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07930066');
INSERT INTO public.ecdc_import VALUES (12349, '08/04/2020', '8', '4', '2020', '86', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08041659');
INSERT INTO public.ecdc_import VALUES (12350, '07/04/2020', '7', '4', '2020', '56', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07985863');
INSERT INTO public.ecdc_import VALUES (12351, '06/04/2020', '6', '4', '2020', '67', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08076532');
INSERT INTO public.ecdc_import VALUES (12352, '05/04/2020', '5', '4', '2020', '48', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08571725');
INSERT INTO public.ecdc_import VALUES (12353, '04/04/2020', '4', '4', '2020', '62', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08690293');
INSERT INTO public.ecdc_import VALUES (12354, '03/04/2020', '3', '4', '2020', '70', '10', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08620547');
INSERT INTO public.ecdc_import VALUES (12355, '02/04/2020', '2', '4', '2020', '100', '6', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08822809');
INSERT INTO public.ecdc_import VALUES (12356, '01/04/2020', '1', '4', '2020', '54', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08432234');
INSERT INTO public.ecdc_import VALUES (12357, '31/03/2020', '31', '3', '2020', '84', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08216023');
INSERT INTO public.ecdc_import VALUES (12358, '30/03/2020', '30', '3', '2020', '98', '2', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07930066');
INSERT INTO public.ecdc_import VALUES (12359, '29/03/2020', '29', '3', '2020', '113', '5', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07420924');
INSERT INTO public.ecdc_import VALUES (12360, '28/03/2020', '28', '3', '2020', '119', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.0678624');
INSERT INTO public.ecdc_import VALUES (12361, '27/03/2020', '27', '3', '2020', '94', '5', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06088785');
INSERT INTO public.ecdc_import VALUES (12362, '26/03/2020', '26', '3', '2020', '102', '6', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05586617');
INSERT INTO public.ecdc_import VALUES (12363, '25/03/2020', '25', '3', '2020', '78', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05042602');
INSERT INTO public.ecdc_import VALUES (12364, '24/03/2020', '24', '3', '2020', '69', '7', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04700849');
INSERT INTO public.ecdc_import VALUES (12365, '23/03/2020', '23', '3', '2020', '138', '9', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04359095');
INSERT INTO public.ecdc_import VALUES (12366, '22/03/2020', '22', '3', '2020', '65', '6', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03710462');
INSERT INTO public.ecdc_import VALUES (12367, '21/03/2020', '21', '3', '2020', '52', '6', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03577946');
INSERT INTO public.ecdc_import VALUES (12368, '20/03/2020', '20', '3', '2020', '99', '4', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03919699');
INSERT INTO public.ecdc_import VALUES (12369, '19/03/2020', '19', '3', '2020', '44', '8', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04414892');
INSERT INTO public.ecdc_import VALUES (12370, '18/03/2020', '18', '3', '2020', '23', '16', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.04924034');
INSERT INTO public.ecdc_import VALUES (12371, '17/03/2020', '17', '3', '2020', '43', '9', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05593591');
INSERT INTO public.ecdc_import VALUES (12372, '16/03/2020', '16', '3', '2020', '25', '13', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.06179454');
INSERT INTO public.ecdc_import VALUES (12373, '15/03/2020', '15', '3', '2020', '22', '9', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.07434873');
INSERT INTO public.ecdc_import VALUES (12374, '14/03/2020', '14', '3', '2020', '19', '15', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.11284826');
INSERT INTO public.ecdc_import VALUES (12375, '13/03/2020', '13', '3', '2020', '22', '7', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.14137418');
INSERT INTO public.ecdc_import VALUES (12376, '12/03/2020', '12', '3', '2020', '24', '11', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.16278606');
INSERT INTO public.ecdc_import VALUES (12377, '11/03/2020', '11', '3', '2020', '29', '22', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.19173046');
INSERT INTO public.ecdc_import VALUES (12378, '10/03/2020', '10', '3', '2020', '20', '17', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.2183035');
INSERT INTO public.ecdc_import VALUES (12379, '09/03/2020', '9', '3', '2020', '45', '23', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.25282754');
INSERT INTO public.ecdc_import VALUES (12380, '08/03/2020', '8', '3', '2020', '46', '27', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.26489351');
INSERT INTO public.ecdc_import VALUES (12381, '07/03/2020', '7', '3', '2020', '101', '28', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.30681058');
INSERT INTO public.ecdc_import VALUES (12382, '06/03/2020', '6', '3', '2020', '170', '30', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.35737608');
INSERT INTO public.ecdc_import VALUES (12383, '05/03/2020', '5', '3', '2020', '117', '31', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.40766261');
INSERT INTO public.ecdc_import VALUES (12384, '04/03/2020', '4', '3', '2020', '119', '37', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.42698212');
INSERT INTO public.ecdc_import VALUES (12385, '03/03/2020', '3', '3', '2020', '127', '32', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.54073708');
INSERT INTO public.ecdc_import VALUES (12386, '02/03/2020', '2', '3', '2020', '205', '42', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.66369844');
INSERT INTO public.ecdc_import VALUES (12387, '01/03/2020', '1', '3', '2020', '574', '35', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.79251843');
INSERT INTO public.ecdc_import VALUES (12388, '29/02/2020', '29', '2', '2020', '428', '47', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.89246377');
INSERT INTO public.ecdc_import VALUES (12389, '28/02/2020', '28', '2', '2020', '329', '44', '1433783692', 'China', 'CN', 'CHN', 'Asia', '1.03962683');
INSERT INTO public.ecdc_import VALUES (12390, '27/02/2020', '27', '2', '2020', '439', '29', '1433783692', 'China', 'CN', 'CHN', 'Asia', '1.30654297');
INSERT INTO public.ecdc_import VALUES (12391, '26/02/2020', '26', '2', '2020', '410', '52', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.33194171');
INSERT INTO public.ecdc_import VALUES (12392, '25/02/2020', '25', '2', '2020', '515', '70', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.44478998');
INSERT INTO public.ecdc_import VALUES (12393, '24/02/2020', '24', '2', '2020', '218', '150', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.58253739');
INSERT INTO public.ecdc_import VALUES (12394, '23/02/2020', '23', '2', '2020', '647', '98', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.77475607');
INSERT INTO public.ecdc_import VALUES (12395, '22/02/2020', '22', '2', '2020', '826', '109', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.9114573');
INSERT INTO public.ecdc_import VALUES (12396, '21/02/2020', '21', '2', '2020', '891', '118', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.09223771');
INSERT INTO public.ecdc_import VALUES (12397, '20/02/2020', '20', '2', '2020', '394', '112', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.25049031');
INSERT INTO public.ecdc_import VALUES (12398, '19/02/2020', '19', '2', '2020', '1750', '139', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.48295216');
INSERT INTO public.ecdc_import VALUES (12399, '18/02/2020', '18', '2', '2020', '1890', '98', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.63095216');
INSERT INTO public.ecdc_import VALUES (12400, '17/02/2020', '17', '2', '2020', '2052', '105', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.72489939');
INSERT INTO public.ecdc_import VALUES (12401, '16/02/2020', '16', '2', '2020', '2007', '142', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.77790599');
INSERT INTO public.ecdc_import VALUES (12402, '15/02/2020', '15', '2', '2020', '2538', '143', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.81856763');
INSERT INTO public.ecdc_import VALUES (12403, '14/02/2020', '14', '2', '2020', '4156', '13', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.78767036');
INSERT INTO public.ecdc_import VALUES (12404, '13/02/2020', '13', '2', '2020', '15141', '254', '1433783692', 'China', 'CN', 'CHN', 'Asia', '3.6359041');
INSERT INTO public.ecdc_import VALUES (12405, '12/02/2020', '12', '2', '2020', '2028', '97', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.70124428');
INSERT INTO public.ecdc_import VALUES (12406, '11/02/2020', '11', '2', '2020', '2490', '108', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.6620473');
INSERT INTO public.ecdc_import VALUES (12407, '10/02/2020', '10', '2', '2020', '2974', '97', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.61064484');
INSERT INTO public.ecdc_import VALUES (12408, '09/02/2020', '9', '2', '2020', '2607', '89', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.45811137');
INSERT INTO public.ecdc_import VALUES (12409, '08/02/2020', '8', '2', '2020', '3418', '86', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.32266556');
INSERT INTO public.ecdc_import VALUES (12410, '07/02/2020', '7', '2', '2020', '3160', '73', '1433783692', 'China', 'CN', 'CHN', 'Asia', '2.11503312');
INSERT INTO public.ecdc_import VALUES (12411, '06/02/2020', '6', '2', '2020', '3727', '72', '1433783692', 'China', 'CN', 'CHN', 'Asia', '1.91270135');
INSERT INTO public.ecdc_import VALUES (12412, '05/02/2020', '5', '2', '2020', '3872', '66', '1433783692', 'China', 'CN', 'CHN', 'Asia', '1.65952508');
INSERT INTO public.ecdc_import VALUES (12413, '04/02/2020', '4', '2', '2020', '3237', '65', '1433783692', 'China', 'CN', 'CHN', 'Asia', '1.39923477');
INSERT INTO public.ecdc_import VALUES (12414, '03/02/2020', '3', '2', '2020', '2812', '57', '1433783692', 'China', 'CN', 'CHN', 'Asia', '1.18400008');
INSERT INTO public.ecdc_import VALUES (12415, '02/02/2020', '2', '2', '2020', '2590', '45', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.98920082');
INSERT INTO public.ecdc_import VALUES (12416, '01/02/2020', '1', '2', '2020', '2095', '46', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.81804529');
INSERT INTO public.ecdc_import VALUES (12417, '31/01/2020', '31', '1', '2020', '1980', '43', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.67311409');
INSERT INTO public.ecdc_import VALUES (12418, '30/01/2020', '30', '1', '2020', '1740', '38', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.53529692');
INSERT INTO public.ecdc_import VALUES (12419, '29/01/2020', '29', '1', '2020', '1466', '26', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.41393971');
INSERT INTO public.ecdc_import VALUES (12420, '28/01/2020', '28', '1', '2020', '1753', '25', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.31169276');
INSERT INTO public.ecdc_import VALUES (12421, '27/01/2020', '27', '1', '2020', '787', '25', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.18942885');
INSERT INTO public.ecdc_import VALUES (12422, '26/01/2020', '26', '1', '2020', '665', '15', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.13453912');
INSERT INTO public.ecdc_import VALUES (12423, '25/01/2020', '25', '1', '2020', '441', '15', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.08815835');
INSERT INTO public.ecdc_import VALUES (12424, '24/01/2020', '24', '1', '2020', '259', '9', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.05740057');
INSERT INTO public.ecdc_import VALUES (12425, '23/01/2020', '23', '1', '2020', '97', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03933648');
INSERT INTO public.ecdc_import VALUES (12426, '22/01/2020', '22', '1', '2020', '140', '11', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.03257116');
INSERT INTO public.ecdc_import VALUES (12427, '21/01/2020', '21', '1', '2020', '151', '3', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.02280679');
INSERT INTO public.ecdc_import VALUES (12428, '20/01/2020', '20', '1', '2020', '19', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01227521');
INSERT INTO public.ecdc_import VALUES (12429, '19/01/2020', '19', '1', '2020', '136', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.01095005');
INSERT INTO public.ecdc_import VALUES (12430, '18/01/2020', '18', '1', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00251084');
INSERT INTO public.ecdc_import VALUES (12431, '17/01/2020', '17', '1', '2020', '4', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00132517');
INSERT INTO public.ecdc_import VALUES (12432, '16/01/2020', '16', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00223186');
INSERT INTO public.ecdc_import VALUES (12433, '15/01/2020', '15', '1', '2020', '0', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00223186');
INSERT INTO public.ecdc_import VALUES (12434, '14/01/2020', '14', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00223186');
INSERT INTO public.ecdc_import VALUES (12435, '13/01/2020', '13', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '0.00411499');
INSERT INTO public.ecdc_import VALUES (12436, '12/01/2020', '12', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12437, '11/01/2020', '11', '1', '2020', '0', '1', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12438, '10/01/2020', '10', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12439, '09/01/2020', '9', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12440, '08/01/2020', '8', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12441, '07/01/2020', '7', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12442, '06/01/2020', '6', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12443, '05/01/2020', '5', '1', '2020', '15', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12444, '04/01/2020', '4', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12445, '03/01/2020', '3', '1', '2020', '17', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12446, '02/01/2020', '2', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12447, '01/01/2020', '1', '1', '2020', '0', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12448, '31/12/2019', '31', '12', '2019', '27', '0', '1433783692', 'China', 'CN', 'CHN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (12449, '14/12/2020', '14', '12', '2020', '8702', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '233.21275128');
INSERT INTO public.ecdc_import VALUES (12450, '13/12/2020', '13', '12', '2020', '8163', '197', '50339443', 'Colombia', 'CO', 'COL', 'America', '233.33392863');
INSERT INTO public.ecdc_import VALUES (12451, '12/12/2020', '12', '12', '2020', '8998', '185', '50339443', 'Colombia', 'CO', 'COL', 'America', '235.20125163');
INSERT INTO public.ecdc_import VALUES (12452, '11/12/2020', '11', '12', '2020', '7778', '176', '50339443', 'Colombia', 'CO', 'COL', 'America', '237.23742831');
INSERT INTO public.ecdc_import VALUES (12453, '10/12/2020', '10', '12', '2020', '7523', '150', '50339443', 'Colombia', 'CO', 'COL', 'America', '240.65025908');
INSERT INTO public.ecdc_import VALUES (12454, '09/12/2020', '9', '12', '2020', '7510', '163', '50339443', 'Colombia', 'CO', 'COL', 'America', '242.58512356');
INSERT INTO public.ecdc_import VALUES (12455, '08/12/2020', '8', '12', '2020', '5997', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '242.59505613');
INSERT INTO public.ecdc_import VALUES (12456, '07/12/2020', '7', '12', '2020', '8854', '175', '50339443', 'Colombia', 'CO', 'COL', 'America', '243.71743644');
INSERT INTO public.ecdc_import VALUES (12457, '06/12/2020', '6', '12', '2020', '9642', '166', '50339443', 'Colombia', 'CO', 'COL', 'America', '241.86997858');
INSERT INTO public.ecdc_import VALUES (12458, '05/12/2020', '5', '12', '2020', '9285', '162', '50339443', 'Colombia', 'CO', 'COL', 'America', '236.7189482');
INSERT INTO public.ecdc_import VALUES (12459, '04/12/2020', '4', '12', '2020', '9233', '188', '50339443', 'Colombia', 'CO', 'COL', 'America', '234.07489829');
INSERT INTO public.ecdc_import VALUES (12460, '03/12/2020', '3', '12', '2020', '9297', '183', '50339443', 'Colombia', 'CO', 'COL', 'America', '230.60644513');
INSERT INTO public.ecdc_import VALUES (12461, '02/12/2020', '2', '12', '2020', '7986', '168', '50339443', 'Colombia', 'CO', 'COL', 'America', '225.79510862');
INSERT INTO public.ecdc_import VALUES (12462, '01/12/2020', '1', '12', '2020', '8430', '182', '50339443', 'Colombia', 'CO', 'COL', 'America', '221.67309241');
INSERT INTO public.ecdc_import VALUES (12463, '30/11/2020', '30', '11', '2020', '8763', '183', '50339443', 'Colombia', 'CO', 'COL', 'America', '217.78151181');
INSERT INTO public.ecdc_import VALUES (12464, '29/11/2020', '29', '11', '2020', '9103', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '215.75328118');
INSERT INTO public.ecdc_import VALUES (12465, '28/11/2020', '28', '11', '2020', '10023', '195', '50339443', 'Colombia', 'CO', 'COL', 'America', '214.17201617');
INSERT INTO public.ecdc_import VALUES (12466, '27/11/2020', '27', '11', '2020', '9496', '159', '50339443', 'Colombia', 'CO', 'COL', 'America', '211.51406065');
INSERT INTO public.ecdc_import VALUES (12467, '26/11/2020', '26', '11', '2020', '8497', '183', '50339443', 'Colombia', 'CO', 'COL', 'America', '209.90498445');
INSERT INTO public.ecdc_import VALUES (12468, '25/11/2020', '25', '11', '2020', '7515', '198', '50339443', 'Colombia', 'CO', 'COL', 'America', '210.21090758');
INSERT INTO public.ecdc_import VALUES (12469, '24/11/2020', '24', '11', '2020', '6562', '192', '50339443', 'Colombia', 'CO', 'COL', 'America', '210.40359942');
INSERT INTO public.ecdc_import VALUES (12470, '23/11/2020', '23', '11', '2020', '7924', '183', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.65029124');
INSERT INTO public.ecdc_import VALUES (12471, '22/11/2020', '22', '11', '2020', '7049', '175', '50339443', 'Colombia', 'CO', 'COL', 'America', '206.68881855');
INSERT INTO public.ecdc_import VALUES (12472, '21/11/2020', '21', '11', '2020', '7954', '168', '50339443', 'Colombia', 'CO', 'COL', 'America', '209.99636408');
INSERT INTO public.ecdc_import VALUES (12473, '20/11/2020', '20', '11', '2020', '7487', '198', '50339443', 'Colombia', 'CO', 'COL', 'America', '213.57606202');
INSERT INTO public.ecdc_import VALUES (12474, '19/11/2020', '19', '11', '2020', '6875', '182', '50339443', 'Colombia', 'CO', 'COL', 'America', '218.3556143');
INSERT INTO public.ecdc_import VALUES (12475, '18/11/2020', '18', '11', '2020', '5911', '158', '50339443', 'Colombia', 'CO', 'COL', 'America', '221.96510994');
INSERT INTO public.ecdc_import VALUES (12476, '17/11/2020', '17', '11', '2020', '6471', '192', '50339443', 'Colombia', 'CO', 'COL', 'America', '222.41207556');
INSERT INTO public.ecdc_import VALUES (12477, '16/11/2020', '16', '11', '2020', '7742', '202', '50339443', 'Colombia', 'CO', 'COL', 'America', '229.29335948');
INSERT INTO public.ecdc_import VALUES (12478, '15/11/2020', '15', '11', '2020', '8307', '160', '50339443', 'Colombia', 'CO', 'COL', 'America', '232.06454628');
INSERT INTO public.ecdc_import VALUES (12479, '14/11/2020', '14', '11', '2020', '8685', '178', '50339443', 'Colombia', 'CO', 'COL', 'America', '237.479783');
INSERT INTO public.ecdc_import VALUES (12480, '13/11/2020', '13', '11', '2020', '8686', '179', '50339443', 'Colombia', 'CO', 'COL', 'America', '240.1496576');
INSERT INTO public.ecdc_import VALUES (12481, '12/11/2020', '12', '11', '2020', '8651', '164', '50339443', 'Colombia', 'CO', 'COL', 'America', '245.1179287');
INSERT INTO public.ecdc_import VALUES (12482, '11/11/2020', '11', '11', '2020', '7612', '174', '50339443', 'Colombia', 'CO', 'COL', 'America', '245.24903861');
INSERT INTO public.ecdc_import VALUES (12483, '10/11/2020', '10', '11', '2020', '5176', '183', '50339443', 'Colombia', 'CO', 'COL', 'America', '246.34956728');
INSERT INTO public.ecdc_import VALUES (12484, '09/11/2020', '9', '11', '2020', '7440', '196', '50339443', 'Colombia', 'CO', 'COL', 'America', '254.27774399');
INSERT INTO public.ecdc_import VALUES (12485, '08/11/2020', '8', '11', '2020', '8714', '190', '50339443', 'Colombia', 'CO', 'COL', 'America', '255.73584515');
INSERT INTO public.ecdc_import VALUES (12486, '07/11/2020', '7', '11', '2020', '9756', '196', '50339443', 'Colombia', 'CO', 'COL', 'America', '255.84510341');
INSERT INTO public.ecdc_import VALUES (12487, '06/11/2020', '6', '11', '2020', '9893', '196', '50339443', 'Colombia', 'CO', 'COL', 'America', '253.69172241');
INSERT INTO public.ecdc_import VALUES (12488, '05/11/2020', '5', '11', '2020', '8692', '166', '50339443', 'Colombia', 'CO', 'COL', 'America', '251.06356461');
INSERT INTO public.ecdc_import VALUES (12489, '04/11/2020', '4', '11', '2020', '6136', '177', '50339443', 'Colombia', 'CO', 'COL', 'America', '248.81681746');
INSERT INTO public.ecdc_import VALUES (12490, '03/11/2020', '3', '11', '2020', '9935', '155', '50339443', 'Colombia', 'CO', 'COL', 'America', '253.02822679');
INSERT INTO public.ecdc_import VALUES (12491, '02/11/2020', '2', '11', '2020', '9137', '201', '50339443', 'Colombia', 'CO', 'COL', 'America', '245.82910065');
INSERT INTO public.ecdc_import VALUES (12492, '01/11/2020', '1', '11', '2020', '11033', '179', '50339443', 'Colombia', 'CO', 'COL', 'America', '241.98320987');
INSERT INTO public.ecdc_import VALUES (12493, '31/10/2020', '31', '10', '2020', '10029', '209', '50339443', 'Colombia', 'CO', 'COL', 'America', '234.0053703');
INSERT INTO public.ecdc_import VALUES (12494, '30/10/2020', '30', '10', '2020', '11187', '173', '50339443', 'Colombia', 'CO', 'COL', 'America', '230.71371688');
INSERT INTO public.ecdc_import VALUES (12495, '29/10/2020', '29', '10', '2020', '8717', '188', '50339443', 'Colombia', 'CO', 'COL', 'America', '222.0445705');
INSERT INTO public.ecdc_import VALUES (12496, '28/10/2020', '28', '10', '2020', '8166', '217', '50339443', 'Colombia', 'CO', 'COL', 'America', '216.76838975');
INSERT INTO public.ecdc_import VALUES (12497, '27/10/2020', '27', '10', '2020', '9167', '194', '50339443', 'Colombia', 'CO', 'COL', 'America', '210.50888465');
INSERT INTO public.ecdc_import VALUES (12498, '26/10/2020', '26', '10', '2020', '8174', '154', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.72776528');
INSERT INTO public.ecdc_import VALUES (12499, '25/10/2020', '25', '10', '2020', '8769', '198', '50339443', 'Colombia', 'CO', 'COL', 'America', '208.51243825');
INSERT INTO public.ecdc_import VALUES (12500, '24/10/2020', '24', '10', '2020', '8672', '166', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.87278079');
INSERT INTO public.ecdc_import VALUES (12501, '23/10/2020', '23', '10', '2020', '8570', '172', '50339443', 'Colombia', 'CO', 'COL', 'America', '206.77821167');
INSERT INTO public.ecdc_import VALUES (12502, '22/10/2020', '22', '10', '2020', '7561', '192', '50339443', 'Colombia', 'CO', 'COL', 'America', '206.63120965');
INSERT INTO public.ecdc_import VALUES (12503, '21/10/2020', '21', '10', '2020', '8256', '170', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.25497499');
INSERT INTO public.ecdc_import VALUES (12504, '20/10/2020', '20', '10', '2020', '6311', '132', '50339443', 'Colombia', 'CO', 'COL', 'America', '206.05114761');
INSERT INTO public.ecdc_import VALUES (12505, '19/10/2020', '19', '10', '2020', '7201', '167', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.63042611');
INSERT INTO public.ecdc_import VALUES (12506, '18/10/2020', '18', '10', '2020', '7017', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.04241801');
INSERT INTO public.ecdc_import VALUES (12507, '17/10/2020', '17', '10', '2020', '8372', '159', '50339443', 'Colombia', 'CO', 'COL', 'America', '206.24582596');
INSERT INTO public.ecdc_import VALUES (12508, '16/10/2020', '16', '10', '2020', '6823', '151', '50339443', 'Colombia', 'CO', 'COL', 'America', '201.9152258');
INSERT INTO public.ecdc_import VALUES (12509, '15/10/2020', '15', '10', '2020', '6061', '165', '50339443', 'Colombia', 'CO', 'COL', 'America', '199.60491021');
INSERT INTO public.ecdc_import VALUES (12510, '14/10/2020', '14', '10', '2020', '5015', '156', '50339443', 'Colombia', 'CO', 'COL', 'America', '198.76262834');
INSERT INTO public.ecdc_import VALUES (12511, '13/10/2020', '13', '10', '2020', '7767', '151', '50339443', 'Colombia', 'CO', 'COL', 'America', '200.39951574');
INSERT INTO public.ecdc_import VALUES (12512, '12/10/2020', '12', '10', '2020', '8569', '174', '50339443', 'Colombia', 'CO', 'COL', 'America', '195.19484949');
INSERT INTO public.ecdc_import VALUES (12513, '11/10/2020', '11', '10', '2020', '8447', '165', '50339443', 'Colombia', 'CO', 'COL', 'America', '192.11376653');
INSERT INTO public.ecdc_import VALUES (12514, '10/10/2020', '10', '10', '2020', '8121', '164', '50339443', 'Colombia', 'CO', 'COL', 'America', '190.67155749');
INSERT INTO public.ecdc_import VALUES (12515, '09/10/2020', '9', '10', '2020', '8496', '151', '50339443', 'Colombia', 'CO', 'COL', 'America', '189.42601332');
INSERT INTO public.ecdc_import VALUES (12516, '08/10/2020', '8', '10', '2020', '7875', '163', '50339443', 'Colombia', 'CO', 'COL', 'America', '185.57018996');
INSERT INTO public.ecdc_import VALUES (12517, '07/10/2020', '7', '10', '2020', '7650', '173', '50339443', 'Colombia', 'CO', 'COL', 'America', '183.29761813');
INSERT INTO public.ecdc_import VALUES (12518, '06/10/2020', '6', '10', '2020', '7106', '132', '50339443', 'Colombia', 'CO', 'COL', 'America', '182.20900855');
INSERT INTO public.ecdc_import VALUES (12519, '05/10/2020', '5', '10', '2020', '6905', '156', '50339443', 'Colombia', 'CO', 'COL', 'America', '178.73856888');
INSERT INTO public.ecdc_import VALUES (12520, '04/10/2020', '4', '10', '2020', '6616', '159', '50339443', 'Colombia', 'CO', 'COL', 'America', '178.28763024');
INSERT INTO public.ecdc_import VALUES (12521, '03/10/2020', '3', '10', '2020', '6192', '201', '50339443', 'Colombia', 'CO', 'COL', 'America', '180.89194988');
INSERT INTO public.ecdc_import VALUES (12522, '02/10/2020', '2', '10', '2020', '5660', '198', '50339443', 'Colombia', 'CO', 'COL', 'America', '181.5554455');
INSERT INTO public.ecdc_import VALUES (12523, '01/10/2020', '1', '10', '2020', '5637', '170', '50339443', 'Colombia', 'CO', 'COL', 'America', '185.3457139');
INSERT INTO public.ecdc_import VALUES (12524, '30/09/2020', '30', '9', '2020', '5839', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '189.61671864');
INSERT INTO public.ecdc_import VALUES (12525, '29/09/2020', '29', '9', '2020', '5147', '153', '50339443', 'Colombia', 'CO', 'COL', 'America', '191.32313403');
INSERT INTO public.ecdc_import VALUES (12526, '28/09/2020', '28', '9', '2020', '7018', '192', '50339443', 'Colombia', 'CO', 'COL', 'America', '192.16938892');
INSERT INTO public.ecdc_import VALUES (12527, '27/09/2020', '27', '9', '2020', '7721', '193', '50339443', 'Colombia', 'CO', 'COL', 'America', '192.83884408');
INSERT INTO public.ecdc_import VALUES (12528, '26/09/2020', '26', '9', '2020', '7494', '179', '50339443', 'Colombia', 'CO', 'COL', 'America', '191.16023989');
INSERT INTO public.ecdc_import VALUES (12529, '25/09/2020', '25', '9', '2020', '6555', '178', '50339443', 'Colombia', 'CO', 'COL', 'America', '191.02118393');
INSERT INTO public.ecdc_import VALUES (12530, '24/09/2020', '24', '9', '2020', '6731', '176', '50339443', 'Colombia', 'CO', 'COL', 'America', '193.51028576');
INSERT INTO public.ecdc_import VALUES (12531, '23/09/2020', '23', '9', '2020', '7102', '173', '50339443', 'Colombia', 'CO', 'COL', 'America', '194.72603223');
INSERT INTO public.ecdc_import VALUES (12532, '22/09/2020', '22', '9', '2020', '5359', '189', '50339443', 'Colombia', 'CO', 'COL', 'America', '195.84443952');
INSERT INTO public.ecdc_import VALUES (12533, '21/09/2020', '21', '9', '2020', '6678', '169', '50339443', 'Colombia', 'CO', 'COL', 'America', '195.78087108');
INSERT INTO public.ecdc_import VALUES (12534, '20/09/2020', '20', '9', '2020', '7927', '189', '50339443', 'Colombia', 'CO', 'COL', 'America', '198.53616577');
INSERT INTO public.ecdc_import VALUES (12535, '19/09/2020', '19', '9', '2020', '6526', '185', '50339443', 'Colombia', 'CO', 'COL', 'America', '199.46386773');
INSERT INTO public.ecdc_import VALUES (12536, '18/09/2020', '18', '9', '2020', '7568', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '203.36140787');
INSERT INTO public.ecdc_import VALUES (12537, '17/09/2020', '17', '9', '2020', '7787', '190', '50339443', 'Colombia', 'CO', 'COL', 'America', '204.6864126');
INSERT INTO public.ecdc_import VALUES (12538, '16/09/2020', '16', '9', '2020', '6698', '165', '50339443', 'Colombia', 'CO', 'COL', 'America', '207.63241262');
INSERT INTO public.ecdc_import VALUES (12539, '15/09/2020', '15', '9', '2020', '5573', '199', '50339443', 'Colombia', 'CO', 'COL', 'America', '212.0087026');
INSERT INTO public.ecdc_import VALUES (12540, '14/09/2020', '14', '9', '2020', '7355', '190', '50339443', 'Colombia', 'CO', 'COL', 'America', '215.30035602');
INSERT INTO public.ecdc_import VALUES (12541, '13/09/2020', '13', '9', '2020', '6876', '216', '50339443', 'Colombia', 'CO', 'COL', 'America', '216.62933378');
INSERT INTO public.ecdc_import VALUES (12542, '12/09/2020', '12', '9', '2020', '7424', '243', '50339443', 'Colombia', 'CO', 'COL', 'America', '221.63137562');
INSERT INTO public.ecdc_import VALUES (12543, '11/09/2020', '11', '9', '2020', '7808', '222', '50339443', 'Colombia', 'CO', 'COL', 'America', '223.76489148');
INSERT INTO public.ecdc_import VALUES (12544, '10/09/2020', '10', '9', '2020', '7343', '236', '50339443', 'Colombia', 'CO', 'COL', 'America', '227.62667438');
INSERT INTO public.ecdc_import VALUES (12545, '09/09/2020', '9', '9', '2020', '7665', '202', '50339443', 'Colombia', 'CO', 'COL', 'America', '233.1869266');
INSERT INTO public.ecdc_import VALUES (12546, '08/09/2020', '8', '9', '2020', '5327', '203', '50339443', 'Colombia', 'CO', 'COL', 'America', '238.68361038');
INSERT INTO public.ecdc_import VALUES (12547, '07/09/2020', '7', '9', '2020', '8065', '256', '50339443', 'Colombia', 'CO', 'COL', 'America', '249.05718563');
INSERT INTO public.ecdc_import VALUES (12548, '06/09/2020', '6', '9', '2020', '8394', '268', '50339443', 'Colombia', 'CO', 'COL', 'America', '249.01546884');
INSERT INTO public.ecdc_import VALUES (12549, '05/09/2020', '5', '9', '2020', '8488', '270', '50339443', 'Colombia', 'CO', 'COL', 'America', '254.12279592');
INSERT INTO public.ecdc_import VALUES (12550, '04/09/2020', '4', '9', '2020', '8235', '270', '50339443', 'Colombia', 'CO', 'COL', 'America', '253.98572646');
INSERT INTO public.ecdc_import VALUES (12551, '03/09/2020', '3', '9', '2020', '9270', '296', '50339443', 'Colombia', 'CO', 'COL', 'America', '260.5531412');
INSERT INTO public.ecdc_import VALUES (12552, '02/09/2020', '2', '9', '2020', '8901', '389', '50339443', 'Colombia', 'CO', 'COL', 'America', '268.07408258');
INSERT INTO public.ecdc_import VALUES (12553, '01/09/2020', '1', '9', '2020', '7230', '299', '50339443', 'Colombia', 'CO', 'COL', 'America', '275.14805835');
INSERT INTO public.ecdc_import VALUES (12554, '31/08/2020', '31', '8', '2020', '8024', '300', '50339443', 'Colombia', 'CO', 'COL', 'America', '277.32925054');
INSERT INTO public.ecdc_import VALUES (12555, '30/08/2020', '30', '8', '2020', '9394', '297', '50339443', 'Colombia', 'CO', 'COL', 'America', '284.51844412');
INSERT INTO public.ecdc_import VALUES (12556, '29/08/2020', '29', '8', '2020', '8498', '299', '50339443', 'Colombia', 'CO', 'COL', 'America', '288.85699033');
INSERT INTO public.ecdc_import VALUES (12557, '28/08/2020', '28', '8', '2020', '9752', '284', '50339443', 'Colombia', 'CO', 'COL', 'America', '294.43512118');
INSERT INTO public.ecdc_import VALUES (12558, '27/08/2020', '27', '8', '2020', '10142', '295', '50339443', 'Colombia', 'CO', 'COL', 'America', '297.48243341');
INSERT INTO public.ecdc_import VALUES (12559, '26/08/2020', '26', '8', '2020', '10432', '277', '50339443', 'Colombia', 'CO', 'COL', 'America', '301.30448603');
INSERT INTO public.ecdc_import VALUES (12560, '25/08/2020', '25', '8', '2020', '10549', '296', '50339443', 'Colombia', 'CO', 'COL', 'America', '306.0681462');
INSERT INTO public.ecdc_import VALUES (12561, '24/08/2020', '24', '8', '2020', '8044', '348', '50339443', 'Colombia', 'CO', 'COL', 'America', '305.25963507');
INSERT INTO public.ecdc_import VALUES (12562, '23/08/2020', '23', '8', '2020', '10965', '400', '50339443', 'Colombia', 'CO', 'COL', 'America', '310.35901609');
INSERT INTO public.ecdc_import VALUES (12563, '22/08/2020', '22', '8', '2020', '8419', '385', '50339443', 'Colombia', 'CO', 'COL', 'America', '307.79442673');
INSERT INTO public.ecdc_import VALUES (12564, '21/08/2020', '21', '8', '2020', '11541', '204', '50339443', 'Colombia', 'CO', 'COL', 'America', '309.91403699');
INSERT INTO public.ecdc_import VALUES (12565, '20/08/2020', '20', '8', '2020', '13056', '360', '50339443', 'Colombia', 'CO', 'COL', 'America', '310.81790079');
INSERT INTO public.ecdc_import VALUES (12566, '19/08/2020', '19', '8', '2020', '12462', '247', '50339443', 'Colombia', 'CO', 'COL', 'America', '306.20720217');
INSERT INTO public.ecdc_import VALUES (12567, '18/08/2020', '18', '8', '2020', '8328', '275', '50339443', 'Colombia', 'CO', 'COL', 'America', '295.61312389');
INSERT INTO public.ecdc_import VALUES (12568, '17/08/2020', '17', '8', '2020', '11643', '287', '50339443', 'Colombia', 'CO', 'COL', 'America', '299.32989127');
INSERT INTO public.ecdc_import VALUES (12569, '16/08/2020', '16', '8', '2020', '11578', '318', '50339443', 'Colombia', 'CO', 'COL', 'America', '298.98622438');
INSERT INTO public.ecdc_import VALUES (12570, '15/08/2020', '15', '8', '2020', '11306', '347', '50339443', 'Colombia', 'CO', 'COL', 'America', '297.18842936');
INSERT INTO public.ecdc_import VALUES (12571, '14/08/2020', '14', '8', '2020', '11286', '308', '50339443', 'Colombia', 'CO', 'COL', 'America', '293.57694721');
INSERT INTO public.ecdc_import VALUES (12572, '13/08/2020', '13', '8', '2020', '12066', '362', '50339443', 'Colombia', 'CO', 'COL', 'America', '290.95276243');
INSERT INTO public.ecdc_import VALUES (12573, '12/08/2020', '12', '8', '2020', '12830', '321', '50339443', 'Colombia', 'CO', 'COL', 'America', '284.20656144');
INSERT INTO public.ecdc_import VALUES (12574, '11/08/2020', '11', '8', '2020', '10142', '312', '50339443', 'Colombia', 'CO', 'COL', 'America', '279.14889722');
INSERT INTO public.ecdc_import VALUES (12575, '10/08/2020', '10', '8', '2020', '10611', '302', '50339443', 'Colombia', 'CO', 'COL', 'America', '275.14209881');
INSERT INTO public.ecdc_import VALUES (12576, '09/08/2020', '9', '8', '2020', '9674', '290', '50339443', 'Colombia', 'CO', 'COL', 'America', '270.31487019');
INSERT INTO public.ecdc_import VALUES (12577, '08/08/2020', '8', '8', '2020', '9486', '311', '50339443', 'Colombia', 'CO', 'COL', 'America', '265.50750671');
INSERT INTO public.ecdc_import VALUES (12578, '07/08/2020', '7', '8', '2020', '11996', '315', '50339443', 'Colombia', 'CO', 'COL', 'America', '260.90276764');
INSERT INTO public.ecdc_import VALUES (12579, '06/08/2020', '6', '8', '2020', '10735', '309', '50339443', 'Colombia', 'CO', 'COL', 'America', '252.85540009');
INSERT INTO public.ecdc_import VALUES (12580, '05/08/2020', '5', '8', '2020', '7129', '298', '50339443', 'Colombia', 'CO', 'COL', 'America', '246.21051131');
INSERT INTO public.ecdc_import VALUES (12581, '04/08/2020', '4', '8', '2020', '10199', '367', '50339443', 'Colombia', 'CO', 'COL', 'America', '246.01980598');
INSERT INTO public.ecdc_import VALUES (12582, '03/08/2020', '3', '8', '2020', '11470', '320', '50339443', 'Colombia', 'CO', 'COL', 'America', '239.12262994');
INSERT INTO public.ecdc_import VALUES (12583, '02/08/2020', '2', '8', '2020', '10673', '225', '50339443', 'Colombia', 'CO', 'COL', 'America', '229.40460426');
INSERT INTO public.ecdc_import VALUES (12584, '01/08/2020', '1', '8', '2020', '9488', '295', '50339443', 'Colombia', 'CO', 'COL', 'America', '225.20710052');
INSERT INTO public.ecdc_import VALUES (12585, '31/07/2020', '31', '7', '2020', '9965', '356', '50339443', 'Colombia', 'CO', 'COL', 'America', '224.10657186');
INSERT INTO public.ecdc_import VALUES (12586, '30/07/2020', '30', '7', '2020', '8670', '380', '50339443', 'Colombia', 'CO', 'COL', 'America', '220.27657318');
INSERT INTO public.ecdc_import VALUES (12587, '29/07/2020', '29', '7', '2020', '10284', '297', '50339443', 'Colombia', 'CO', 'COL', 'America', '213.52441266');
INSERT INTO public.ecdc_import VALUES (12588, '28/07/2020', '28', '7', '2020', '8125', '252', '50339443', 'Colombia', 'CO', 'COL', 'America', '204.36062433');
INSERT INTO public.ecdc_import VALUES (12589, '27/07/2020', '27', '7', '2020', '8181', '256', '50339443', 'Colombia', 'CO', 'COL', 'America', '195.73319474');
INSERT INTO public.ecdc_import VALUES (12590, '26/07/2020', '26', '7', '2020', '7254', '294', '50339443', 'Colombia', 'CO', 'COL', 'America', '189.57897488');
INSERT INTO public.ecdc_import VALUES (12591, '25/07/2020', '25', '7', '2020', '7168', '287', '50339443', 'Colombia', 'CO', 'COL', 'America', '184.27895597');
INSERT INTO public.ecdc_import VALUES (12592, '24/07/2020', '24', '7', '2020', '7945', '315', '50339443', 'Colombia', 'CO', 'COL', 'America', '183.55387842');
INSERT INTO public.ecdc_import VALUES (12593, '23/07/2020', '23', '7', '2020', '7390', '207', '50339443', 'Colombia', 'CO', 'COL', 'America', '178.36907731');
INSERT INTO public.ecdc_import VALUES (12594, '22/07/2020', '22', '7', '2020', '7033', '237', '50339443', 'Colombia', 'CO', 'COL', 'America', '171.9208534');
INSERT INTO public.ecdc_import VALUES (12595, '21/07/2020', '21', '7', '2020', '6727', '193', '50339443', 'Colombia', 'CO', 'COL', 'America', '166.31888438');
INSERT INTO public.ecdc_import VALUES (12596, '20/07/2020', '20', '7', '2020', '6578', '220', '50339443', 'Colombia', 'CO', 'COL', 'America', '159.25484118');
INSERT INTO public.ecdc_import VALUES (12597, '19/07/2020', '19', '7', '2020', '8560', '228', '50339443', 'Colombia', 'CO', 'COL', 'America', '153.57937115');
INSERT INTO public.ecdc_import VALUES (12598, '18/07/2020', '18', '7', '2020', '8934', '259', '50339443', 'Colombia', 'CO', 'COL', 'America', '144.29043245');
INSERT INTO public.ecdc_import VALUES (12599, '17/07/2020', '17', '7', '2020', '8037', '215', '50339443', 'Colombia', 'CO', 'COL', 'America', '133.28713232');
INSERT INTO public.ecdc_import VALUES (12600, '16/07/2020', '16', '7', '2020', '5271', '189', '50339443', 'Colombia', 'CO', 'COL', 'America', '125.46821386');
INSERT INTO public.ecdc_import VALUES (12601, '15/07/2020', '15', '7', '2020', '5671', '170', '50339443', 'Colombia', 'CO', 'COL', 'America', '123.26715653');
INSERT INTO public.ecdc_import VALUES (12602, '14/07/2020', '14', '7', '2020', '3782', '148', '50339443', 'Colombia', 'CO', 'COL', 'America', '117.56983485');
INSERT INTO public.ecdc_import VALUES (12603, '13/07/2020', '13', '7', '2020', '5083', '188', '50339443', 'Colombia', 'CO', 'COL', 'America', '116.56068582');
INSERT INTO public.ecdc_import VALUES (12604, '12/07/2020', '12', '7', '2020', '4586', '194', '50339443', 'Colombia', 'CO', 'COL', 'America', '112.77637697');
INSERT INTO public.ecdc_import VALUES (12605, '11/07/2020', '11', '7', '2020', '6803', '211', '50339443', 'Colombia', 'CO', 'COL', 'America', '111.90827042');
INSERT INTO public.ecdc_import VALUES (12606, '10/07/2020', '10', '7', '2020', '5335', '187', '50339443', 'Colombia', 'CO', 'COL', 'America', '106.02818947');
INSERT INTO public.ecdc_import VALUES (12607, '09/07/2020', '9', '7', '2020', '4144', '168', '50339443', 'Colombia', 'CO', 'COL', 'America', '102.35512538');
INSERT INTO public.ecdc_import VALUES (12608, '08/07/2020', '8', '7', '2020', '4213', '149', '50339443', 'Colombia', 'CO', 'COL', 'America', '101.15725754');
INSERT INTO public.ecdc_import VALUES (12609, '07/07/2020', '7', '7', '2020', '3171', '146', '50339443', 'Colombia', 'CO', 'COL', 'America', '97.5338563');
INSERT INTO public.ecdc_import VALUES (12610, '06/07/2020', '6', '7', '2020', '3721', '122', '50339443', 'Colombia', 'CO', 'COL', 'America', '96.26248745');
INSERT INTO public.ecdc_import VALUES (12611, '05/07/2020', '5', '7', '2020', '3884', '165', '50339443', 'Colombia', 'CO', 'COL', 'America', '94.86795474');
INSERT INTO public.ecdc_import VALUES (12612, '04/07/2020', '4', '7', '2020', '3395', '136', '50339443', 'Colombia', 'CO', 'COL', 'America', '91.83454811');
INSERT INTO public.ecdc_import VALUES (12613, '03/07/2020', '3', '7', '2020', '4101', '171', '50339443', 'Colombia', 'CO', 'COL', 'America', '91.16707946');
INSERT INTO public.ecdc_import VALUES (12614, '02/07/2020', '2', '7', '2020', '4163', '136', '50339443', 'Colombia', 'CO', 'COL', 'America', '89.31962159');
INSERT INTO public.ecdc_import VALUES (12615, '01/07/2020', '1', '7', '2020', '2803', '111', '50339443', 'Colombia', 'CO', 'COL', 'America', '85.25124126');
INSERT INTO public.ecdc_import VALUES (12616, '30/06/2020', '30', '6', '2020', '3274', '117', '50339443', 'Colombia', 'CO', 'COL', 'America', '83.39385082');
INSERT INTO public.ecdc_import VALUES (12617, '29/06/2020', '29', '6', '2020', '3178', '167', '50339443', 'Colombia', 'CO', 'COL', 'America', '81.10935991');
INSERT INTO public.ecdc_import VALUES (12618, '28/06/2020', '28', '6', '2020', '4149', '128', '50339443', 'Colombia', 'CO', 'COL', 'America', '79.15264378');
INSERT INTO public.ecdc_import VALUES (12619, '27/06/2020', '27', '6', '2020', '3843', '157', '50339443', 'Colombia', 'CO', 'COL', 'America', '74.661136');
INSERT INTO public.ecdc_import VALUES (12620, '26/06/2020', '26', '6', '2020', '3486', '163', '50339443', 'Colombia', 'CO', 'COL', 'America', '73.33613127');
INSERT INTO public.ecdc_import VALUES (12621, '25/06/2020', '25', '6', '2020', '3541', '87', '50339443', 'Colombia', 'CO', 'COL', 'America', '66.41114404');
INSERT INTO public.ecdc_import VALUES (12622, '24/06/2020', '24', '6', '2020', '2389', '94', '50339443', 'Colombia', 'CO', 'COL', 'America', '62.56326674');
INSERT INTO public.ecdc_import VALUES (12623, '23/06/2020', '23', '6', '2020', '2531', '73', '50339443', 'Colombia', 'CO', 'COL', 'America', '60.51715749');
INSERT INTO public.ecdc_import VALUES (12624, '22/06/2020', '22', '6', '2020', '3019', '111', '50339443', 'Colombia', 'CO', 'COL', 'America', '58.43529099');
INSERT INTO public.ecdc_import VALUES (12625, '21/06/2020', '21', '6', '2020', '2357', '81', '50339443', 'Colombia', 'CO', 'COL', 'America', '54.83970095');
INSERT INTO public.ecdc_import VALUES (12626, '20/06/2020', '20', '6', '2020', '3059', '95', '50339443', 'Colombia', 'CO', 'COL', 'America', '52.9227151');
INSERT INTO public.ecdc_import VALUES (12627, '19/06/2020', '19', '6', '2020', '3171', '86', '50339443', 'Colombia', 'CO', 'COL', 'America', '49.85553773');
INSERT INTO public.ecdc_import VALUES (12628, '18/06/2020', '18', '6', '2020', '2115', '63', '50339443', 'Colombia', 'CO', 'COL', 'America', '47.06448579');
INSERT INTO public.ecdc_import VALUES (12629, '17/06/2020', '17', '6', '2020', '1868', '75', '50339443', 'Colombia', 'CO', 'COL', 'America', '45.88449658');
INSERT INTO public.ecdc_import VALUES (12630, '16/06/2020', '16', '6', '2020', '2124', '59', '50339443', 'Colombia', 'CO', 'COL', 'America', '44.83561727');
INSERT INTO public.ecdc_import VALUES (12631, '15/06/2020', '15', '6', '2020', '2193', '75', '50339443', 'Colombia', 'CO', 'COL', 'America', '42.82129224');
INSERT INTO public.ecdc_import VALUES (12632, '14/06/2020', '14', '6', '2020', '1888', '47', '50339443', 'Colombia', 'CO', 'COL', 'America', '40.74339877');
INSERT INTO public.ecdc_import VALUES (12633, '13/06/2020', '13', '6', '2020', '3176', '112', '50339443', 'Colombia', 'CO', 'COL', 'America', '40.06798407');
INSERT INTO public.ecdc_import VALUES (12634, '12/06/2020', '12', '6', '2020', '0', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '36.38498741');
INSERT INTO public.ecdc_import VALUES (12635, '11/06/2020', '11', '6', '2020', '1604', '61', '50339443', 'Colombia', 'CO', 'COL', 'America', '38.89196787');
INSERT INTO public.ecdc_import VALUES (12636, '10/06/2020', '10', '6', '2020', '1359', '64', '50339443', 'Colombia', 'CO', 'COL', 'America', '37.89275142');
INSERT INTO public.ecdc_import VALUES (12637, '09/06/2020', '9', '6', '2020', '1483', '49', '50339443', 'Colombia', 'CO', 'COL', 'America', '37.22329625');
INSERT INTO public.ecdc_import VALUES (12638, '08/06/2020', '8', '6', '2020', '1209', '54', '50339443', 'Colombia', 'CO', 'COL', 'America', '35.87842639');
INSERT INTO public.ecdc_import VALUES (12639, '07/06/2020', '7', '6', '2020', '1392', '60', '50339443', 'Colombia', 'CO', 'COL', 'America', '35.45927197');
INSERT INTO public.ecdc_import VALUES (12640, '06/06/2020', '6', '6', '2020', '1515', '58', '50339443', 'Colombia', 'CO', 'COL', 'America', '34.77193818');
INSERT INTO public.ecdc_import VALUES (12641, '05/06/2020', '5', '6', '2020', '1766', '42', '50339443', 'Colombia', 'CO', 'COL', 'America', '33.3535673');
INSERT INTO public.ecdc_import VALUES (12642, '04/06/2020', '4', '6', '2020', '1521', '36', '50339443', 'Colombia', 'CO', 'COL', 'America', '31.12271226');
INSERT INTO public.ecdc_import VALUES (12643, '03/06/2020', '3', '6', '2020', '1340', '40', '50339443', 'Colombia', 'CO', 'COL', 'America', '29.59508312');
INSERT INTO public.ecdc_import VALUES (12644, '02/06/2020', '2', '6', '2020', '1110', '30', '50339443', 'Colombia', 'CO', 'COL', 'America', '28.20452344');
INSERT INTO public.ecdc_import VALUES (12645, '01/06/2020', '1', '6', '2020', '1147', '49', '50339443', 'Colombia', 'CO', 'COL', 'America', '27.43176956');
INSERT INTO public.ecdc_import VALUES (12646, '31/05/2020', '31', '5', '2020', '1548', '37', '50339443', 'Colombia', 'CO', 'COL', 'America', '26.41467447');
INSERT INTO public.ecdc_import VALUES (12647, '30/05/2020', '30', '5', '2020', '1322', '31', '50339443', 'Colombia', 'CO', 'COL', 'America', '24.77580056');
INSERT INTO public.ecdc_import VALUES (12648, '29/05/2020', '29', '5', '2020', '1262', '19', '50339443', 'Colombia', 'CO', 'COL', 'America', '23.35345665');
INSERT INTO public.ecdc_import VALUES (12649, '28/05/2020', '28', '5', '2020', '1101', '27', '50339443', 'Colombia', 'CO', 'COL', 'America', '22.1973056');
INSERT INTO public.ecdc_import VALUES (12650, '27/05/2020', '27', '5', '2020', '1022', '26', '50339443', 'Colombia', 'CO', 'COL', 'America', '21.31727997');
INSERT INTO public.ecdc_import VALUES (12651, '26/05/2020', '26', '5', '2020', '806', '23', '50339443', 'Colombia', 'CO', 'COL', 'America', '20.59617545');
INSERT INTO public.ecdc_import VALUES (12652, '25/05/2020', '25', '5', '2020', '998', '22', '50339443', 'Colombia', 'CO', 'COL', 'America', '20.08762791');
INSERT INTO public.ecdc_import VALUES (12653, '24/05/2020', '24', '5', '2020', '1046', '23', '50339443', 'Colombia', 'CO', 'COL', 'America', '19.23342696');
INSERT INTO public.ecdc_import VALUES (12654, '23/05/2020', '23', '5', '2020', '801', '30', '50339443', 'Colombia', 'CO', 'COL', 'America', '18.03754563');
INSERT INTO public.ecdc_import VALUES (12655, '22/05/2020', '22', '5', '2020', '643', '22', '50339443', 'Colombia', 'CO', 'COL', 'America', '17.62832378');
INSERT INTO public.ecdc_import VALUES (12656, '21/05/2020', '21', '5', '2020', '752', '17', '50339443', 'Colombia', 'CO', 'COL', 'America', '17.33829276');
INSERT INTO public.ecdc_import VALUES (12657, '20/05/2020', '20', '5', '2020', '640', '21', '50339443', 'Colombia', 'CO', 'COL', 'America', '16.53176814');
INSERT INTO public.ecdc_import VALUES (12658, '19/05/2020', '19', '5', '2020', '721', '18', '50339443', 'Colombia', 'CO', 'COL', 'America', '16.53176814');
INSERT INTO public.ecdc_import VALUES (12659, '18/05/2020', '18', '5', '2020', '635', '12', '50339443', 'Colombia', 'CO', 'COL', 'America', '15.70537838');
INSERT INTO public.ecdc_import VALUES (12660, '17/05/2020', '17', '5', '2020', '723', '16', '50339443', 'Colombia', 'CO', 'COL', 'America', '15.2047769');
INSERT INTO public.ecdc_import VALUES (12661, '16/05/2020', '16', '5', '2020', '606', '21', '50339443', 'Colombia', 'CO', 'COL', 'America', '14.32276476');
INSERT INTO public.ecdc_import VALUES (12662, '15/05/2020', '15', '5', '2020', '680', '16', '50339443', 'Colombia', 'CO', 'COL', 'America', '14.11020777');
INSERT INTO public.ecdc_import VALUES (12663, '14/05/2020', '14', '5', '2020', '658', '16', '50339443', 'Colombia', 'CO', 'COL', 'America', '13.34738646');
INSERT INTO public.ecdc_import VALUES (12664, '13/05/2020', '13', '5', '2020', '659', '14', '50339443', 'Colombia', 'CO', 'COL', 'America', '12.56072698');
INSERT INTO public.ecdc_import VALUES (12665, '12/05/2020', '12', '5', '2020', '550', '16', '50339443', 'Colombia', 'CO', 'COL', 'America', '11.95086724');
INSERT INTO public.ecdc_import VALUES (12666, '11/05/2020', '11', '5', '2020', '568', '18', '50339443', 'Colombia', 'CO', 'COL', 'America', '11.29134464');
INSERT INTO public.ecdc_import VALUES (12667, '10/05/2020', '10', '5', '2020', '444', '17', '50339443', 'Colombia', 'CO', 'COL', 'America', '10.63380856');
INSERT INTO public.ecdc_import VALUES (12668, '09/05/2020', '9', '5', '2020', '595', '21', '50339443', 'Colombia', 'CO', 'COL', 'America', '10.27027653');
INSERT INTO public.ecdc_import VALUES (12669, '08/05/2020', '8', '5', '2020', '497', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '9.72398523');
INSERT INTO public.ecdc_import VALUES (12670, '07/05/2020', '7', '5', '2020', '346', '19', '50339443', 'Colombia', 'CO', 'COL', 'America', '9.14392319');
INSERT INTO public.ecdc_import VALUES (12671, '06/05/2020', '6', '5', '2020', '640', '20', '50339443', 'Colombia', 'CO', 'COL', 'America', '8.86779776');
INSERT INTO public.ecdc_import VALUES (12672, '05/05/2020', '5', '5', '2020', '305', '18', '50339443', 'Colombia', 'CO', 'COL', 'America', '7.93810929');
INSERT INTO public.ecdc_import VALUES (12673, '04/05/2020', '4', '5', '2020', '383', '16', '50339443', 'Colombia', 'CO', 'COL', 'America', '7.69972763');
INSERT INTO public.ecdc_import VALUES (12674, '03/05/2020', '3', '5', '2020', '279', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '7.27858669');
INSERT INTO public.ecdc_import VALUES (12675, '02/05/2020', '2', '5', '2020', '499', '21', '50339443', 'Colombia', 'CO', 'COL', 'America', '7.08589485');
INSERT INTO public.ecdc_import VALUES (12676, '01/05/2020', '1', '5', '2020', '296', '15', '50339443', 'Colombia', 'CO', 'COL', 'America', '6.5038463');
INSERT INTO public.ecdc_import VALUES (12677, '30/04/2020', '30', '4', '2020', '262', '9', '50339443', 'Colombia', 'CO', 'COL', 'America', '6.17011197');
INSERT INTO public.ecdc_import VALUES (12678, '29/04/2020', '29', '4', '2020', '352', '16', '50339443', 'Colombia', 'CO', 'COL', 'America', '5.89994609');
INSERT INTO public.ecdc_import VALUES (12679, '28/04/2020', '28', '4', '2020', '218', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '5.45298048');
INSERT INTO public.ecdc_import VALUES (12680, '27/04/2020', '27', '4', '2020', '237', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '5.17089551');
INSERT INTO public.ecdc_import VALUES (12681, '26/04/2020', '26', '4', '2020', '261', '8', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.83318816');
INSERT INTO public.ecdc_import VALUES (12682, '25/04/2020', '25', '4', '2020', '320', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.78352532');
INSERT INTO public.ecdc_import VALUES (12683, '24/04/2020', '24', '4', '2020', '205', '9', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.64446935');
INSERT INTO public.ecdc_import VALUES (12684, '23/04/2020', '23', '4', '2020', '207', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.57295485');
INSERT INTO public.ecdc_import VALUES (12685, '22/04/2020', '22', '4', '2020', '172', '7', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.70605128');
INSERT INTO public.ecdc_import VALUES (12686, '21/04/2020', '21', '4', '2020', '185', '10', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.76366018');
INSERT INTO public.ecdc_import VALUES (12687, '20/04/2020', '20', '4', '2020', '171', '13', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.58288742');
INSERT INTO public.ecdc_import VALUES (12688, '19/04/2020', '19', '4', '2020', '182', '13', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.40012815');
INSERT INTO public.ecdc_import VALUES (12689, '18/04/2020', '18', '4', '2020', '206', '9', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.31470805');
INSERT INTO public.ecdc_import VALUES (12690, '17/04/2020', '17', '4', '2020', '128', '13', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.11605667');
INSERT INTO public.ecdc_import VALUES (12691, '16/04/2020', '16', '4', '2020', '126', '4', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.05248822');
INSERT INTO public.ecdc_import VALUES (12692, '15/04/2020', '15', '4', '2020', '127', '15', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.11804318');
INSERT INTO public.ecdc_import VALUES (12693, '14/04/2020', '14', '4', '2020', '76', '3', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.08029942');
INSERT INTO public.ecdc_import VALUES (12694, '13/04/2020', '13', '4', '2020', '67', '9', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.1200297');
INSERT INTO public.ecdc_import VALUES (12695, '12/04/2020', '12', '4', '2020', '236', '20', '50339443', 'Colombia', 'CO', 'COL', 'America', '4.17366557');
INSERT INTO public.ecdc_import VALUES (12696, '11/04/2020', '11', '4', '2020', '250', '11', '50339443', 'Colombia', 'CO', 'COL', 'America', '3.84191776');
INSERT INTO public.ecdc_import VALUES (12697, '10/04/2020', '10', '4', '2020', '169', '14', '50339443', 'Colombia', 'CO', 'COL', 'America', '3.44064196');
INSERT INTO public.ecdc_import VALUES (12698, '09/04/2020', '9', '4', '2020', '274', '5', '50339443', 'Colombia', 'CO', 'COL', 'America', '3.14663792');
INSERT INTO public.ecdc_import VALUES (12699, '08/04/2020', '8', '4', '2020', '201', '4', '50339443', 'Colombia', 'CO', 'COL', 'America', '2.7850924');
INSERT INTO public.ecdc_import VALUES (12700, '07/04/2020', '7', '4', '2020', '94', '11', '50339443', 'Colombia', 'CO', 'COL', 'America', '2.52883211');
INSERT INTO public.ecdc_import VALUES (12701, '06/04/2020', '6', '4', '2020', '79', '3', '50339443', 'Colombia', 'CO', 'COL', 'America', '2.48314229');
INSERT INTO public.ecdc_import VALUES (12702, '05/04/2020', '5', '4', '2020', '139', '7', '50339443', 'Colombia', 'CO', 'COL', 'America', '2.37587055');
INSERT INTO public.ecdc_import VALUES (12703, '04/04/2020', '4', '4', '2020', '106', '6', '50339443', 'Colombia', 'CO', 'COL', 'America', '2.20304384');
INSERT INTO public.ecdc_import VALUES (12704, '03/04/2020', '3', '4', '2020', '96', '2', '50339443', 'Colombia', 'CO', 'COL', 'America', '2.05206879');
INSERT INTO public.ecdc_import VALUES (12705, '02/04/2020', '2', '4', '2020', '159', '1', '50339443', 'Colombia', 'CO', 'COL', 'America', '1.91301282');
INSERT INTO public.ecdc_import VALUES (12706, '01/04/2020', '1', '4', '2020', '108', '2', '50339443', 'Colombia', 'CO', 'COL', 'America', '1.67065814');
INSERT INTO public.ecdc_import VALUES (12707, '31/03/2020', '31', '3', '2020', '96', '4', '50339443', 'Colombia', 'CO', 'COL', 'America', '1.47200675');
INSERT INTO public.ecdc_import VALUES (12708, '30/03/2020', '30', '3', '2020', '94', '4', '50339443', 'Colombia', 'CO', 'COL', 'America', '1.30513959');
INSERT INTO public.ecdc_import VALUES (12709, '29/03/2020', '29', '3', '2020', '69', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '1.14025894');
INSERT INTO public.ecdc_import VALUES (12710, '28/03/2020', '28', '3', '2020', '48', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '1.03894674');
INSERT INTO public.ecdc_import VALUES (12711, '27/03/2020', '27', '3', '2020', '21', '2', '50339443', 'Colombia', 'CO', 'COL', 'America', '0.95749967');
INSERT INTO public.ecdc_import VALUES (12712, '26/03/2020', '26', '3', '2020', '92', '1', '50339443', 'Colombia', 'CO', 'COL', 'America', '0.92770196');
INSERT INTO public.ecdc_import VALUES (12713, '25/03/2020', '25', '3', '2020', '72', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '0.74891572');
INSERT INTO public.ecdc_import VALUES (12714, '24/03/2020', '24', '3', '2020', '71', '1', '50339443', 'Colombia', 'CO', 'COL', 'America', '0.60787323');
INSERT INTO public.ecdc_import VALUES (12715, '23/03/2020', '23', '3', '2020', '25', '1', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12716, '22/03/2020', '22', '3', '2020', '52', '1', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12717, '21/03/2020', '21', '3', '2020', '30', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12718, '20/03/2020', '20', '3', '2020', '26', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12719, '19/03/2020', '19', '3', '2020', '37', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12720, '18/03/2020', '18', '3', '2020', '8', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12721, '17/03/2020', '17', '3', '2020', '12', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12722, '16/03/2020', '16', '3', '2020', '11', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12723, '15/03/2020', '15', '3', '2020', '18', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12724, '14/03/2020', '14', '3', '2020', '7', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12725, '12/03/2020', '12', '3', '2020', '6', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12726, '10/03/2020', '10', '3', '2020', '2', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12727, '07/03/2020', '7', '3', '2020', '1', '0', '50339443', 'Colombia', 'CO', 'COL', 'America', '');
INSERT INTO public.ecdc_import VALUES (12728, '14/12/2020', '14', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12729, '13/12/2020', '13', '12', '2020', '11', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12730, '12/12/2020', '12', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '0.82266706');
INSERT INTO public.ecdc_import VALUES (12731, '11/12/2020', '11', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '0.82266706');
INSERT INTO public.ecdc_import VALUES (12732, '10/12/2020', '10', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.17523866');
INSERT INTO public.ecdc_import VALUES (12733, '09/12/2020', '9', '12', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.17523866');
INSERT INTO public.ecdc_import VALUES (12734, '08/12/2020', '8', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.35047732');
INSERT INTO public.ecdc_import VALUES (12735, '07/12/2020', '7', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.35047732');
INSERT INTO public.ecdc_import VALUES (12736, '06/12/2020', '6', '12', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.35047732');
INSERT INTO public.ecdc_import VALUES (12737, '05/12/2020', '5', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12738, '04/12/2020', '4', '12', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12739, '03/12/2020', '3', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12740, '02/12/2020', '2', '12', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12741, '01/12/2020', '1', '12', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.76076372');
INSERT INTO public.ecdc_import VALUES (12742, '30/11/2020', '30', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.76076372');
INSERT INTO public.ecdc_import VALUES (12743, '29/11/2020', '29', '11', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.76076372');
INSERT INTO public.ecdc_import VALUES (12744, '28/11/2020', '28', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.23085918');
INSERT INTO public.ecdc_import VALUES (12745, '27/11/2020', '27', '11', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.23085918');
INSERT INTO public.ecdc_import VALUES (12746, '26/11/2020', '26', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.46590691');
INSERT INTO public.ecdc_import VALUES (12747, '25/11/2020', '25', '11', '2020', '11', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.46590691');
INSERT INTO public.ecdc_import VALUES (12748, '24/11/2020', '24', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.87828758');
INSERT INTO public.ecdc_import VALUES (12749, '23/11/2020', '23', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.87828758');
INSERT INTO public.ecdc_import VALUES (12750, '22/11/2020', '22', '11', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.87828758');
INSERT INTO public.ecdc_import VALUES (12751, '21/11/2020', '21', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.11333532');
INSERT INTO public.ecdc_import VALUES (12752, '20/11/2020', '20', '11', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.11333532');
INSERT INTO public.ecdc_import VALUES (12753, '19/11/2020', '19', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.34838305');
INSERT INTO public.ecdc_import VALUES (12754, '18/11/2020', '18', '11', '2020', '12', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.34838305');
INSERT INTO public.ecdc_import VALUES (12755, '17/11/2020', '17', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.99581145');
INSERT INTO public.ecdc_import VALUES (12756, '16/11/2020', '16', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.99581145');
INSERT INTO public.ecdc_import VALUES (12757, '15/11/2020', '15', '11', '2020', '5', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.99581145');
INSERT INTO public.ecdc_import VALUES (12758, '14/11/2020', '14', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.34838305');
INSERT INTO public.ecdc_import VALUES (12759, '13/11/2020', '13', '11', '2020', '5', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.17105011');
INSERT INTO public.ecdc_import VALUES (12760, '12/11/2020', '12', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.17105011');
INSERT INTO public.ecdc_import VALUES (12761, '11/11/2020', '11', '11', '2020', '6', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.11124104');
INSERT INTO public.ecdc_import VALUES (12762, '10/11/2020', '10', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.40609784');
INSERT INTO public.ecdc_import VALUES (12763, '09/11/2020', '9', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.40609784');
INSERT INTO public.ecdc_import VALUES (12764, '08/11/2020', '8', '11', '2020', '6', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.40609784');
INSERT INTO public.ecdc_import VALUES (12765, '07/11/2020', '7', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.70095465');
INSERT INTO public.ecdc_import VALUES (12766, '06/11/2020', '6', '11', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.70095465');
INSERT INTO public.ecdc_import VALUES (12767, '05/11/2020', '5', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.87619331');
INSERT INTO public.ecdc_import VALUES (12768, '04/11/2020', '4', '11', '2020', '9', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.87619331');
INSERT INTO public.ecdc_import VALUES (12769, '03/11/2020', '3', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.05352624');
INSERT INTO public.ecdc_import VALUES (12770, '02/11/2020', '2', '11', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.05352624');
INSERT INTO public.ecdc_import VALUES (12771, '01/11/2020', '1', '11', '2020', '8', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.05352624');
INSERT INTO public.ecdc_import VALUES (12772, '31/10/2020', '31', '10', '2020', '7', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.11333532');
INSERT INTO public.ecdc_import VALUES (12773, '30/10/2020', '30', '10', '2020', '5', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.99581145');
INSERT INTO public.ecdc_import VALUES (12774, '29/10/2020', '29', '10', '2020', '8', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.40819212');
INSERT INTO public.ecdc_import VALUES (12775, '28/10/2020', '28', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12776, '27/10/2020', '27', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12777, '26/10/2020', '26', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12778, '25/10/2020', '25', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12779, '24/10/2020', '24', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12780, '23/10/2020', '23', '10', '2020', '13', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12781, '22/10/2020', '22', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.52781026');
INSERT INTO public.ecdc_import VALUES (12782, '21/10/2020', '21', '10', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.52781026');
INSERT INTO public.ecdc_import VALUES (12783, '20/10/2020', '20', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.76285799');
INSERT INTO public.ecdc_import VALUES (12784, '19/10/2020', '19', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.76285799');
INSERT INTO public.ecdc_import VALUES (12785, '18/10/2020', '18', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.76285799');
INSERT INTO public.ecdc_import VALUES (12786, '17/10/2020', '17', '10', '2020', '6', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12787, '16/10/2020', '16', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.41028639');
INSERT INTO public.ecdc_import VALUES (12788, '15/10/2020', '15', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12789, '14/10/2020', '14', '10', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12790, '13/10/2020', '13', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12791, '12/10/2020', '12', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12792, '11/10/2020', '11', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12793, '10/10/2020', '10', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12794, '09/10/2020', '9', '10', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12795, '08/10/2020', '8', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12796, '07/10/2020', '7', '10', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12797, '06/10/2020', '6', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12798, '05/10/2020', '5', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12799, '04/10/2020', '4', '10', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12800, '03/10/2020', '3', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.64533413');
INSERT INTO public.ecdc_import VALUES (12801, '02/10/2020', '2', '10', '2020', '5', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12802, '01/10/2020', '1', '10', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12803, '30/09/2020', '30', '9', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12804, '29/09/2020', '29', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12805, '28/09/2020', '28', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12806, '27/09/2020', '27', '9', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12807, '26/09/2020', '26', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12808, '25/09/2020', '25', '9', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12809, '24/09/2020', '24', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.64533413');
INSERT INTO public.ecdc_import VALUES (12810, '23/09/2020', '23', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12811, '22/09/2020', '22', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12812, '21/09/2020', '21', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12813, '20/09/2020', '20', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12814, '19/09/2020', '19', '9', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12815, '18/09/2020', '18', '9', '2020', '10', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.23295346');
INSERT INTO public.ecdc_import VALUES (12816, '17/09/2020', '17', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.52571598');
INSERT INTO public.ecdc_import VALUES (12817, '16/09/2020', '16', '9', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.99581145');
INSERT INTO public.ecdc_import VALUES (12818, '15/09/2020', '15', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.87828758');
INSERT INTO public.ecdc_import VALUES (12819, '14/09/2020', '14', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.87828758');
INSERT INTO public.ecdc_import VALUES (12820, '13/09/2020', '13', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.99581145');
INSERT INTO public.ecdc_import VALUES (12821, '12/09/2020', '12', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.58343078');
INSERT INTO public.ecdc_import VALUES (12822, '11/09/2020', '11', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.58343078');
INSERT INTO public.ecdc_import VALUES (12823, '10/09/2020', '10', '9', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.58343078');
INSERT INTO public.ecdc_import VALUES (12824, '09/09/2020', '9', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.11333532');
INSERT INTO public.ecdc_import VALUES (12825, '08/09/2020', '8', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.11333532');
INSERT INTO public.ecdc_import VALUES (12826, '07/09/2020', '7', '9', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.11333532');
INSERT INTO public.ecdc_import VALUES (12827, '06/09/2020', '6', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.93600238');
INSERT INTO public.ecdc_import VALUES (12828, '05/09/2020', '5', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.93600238');
INSERT INTO public.ecdc_import VALUES (12829, '04/09/2020', '4', '9', '2020', '21', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '4.93600238');
INSERT INTO public.ecdc_import VALUES (12830, '03/09/2020', '3', '9', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.58552506');
INSERT INTO public.ecdc_import VALUES (12831, '02/09/2020', '2', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12832, '01/09/2020', '1', '9', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12833, '31/08/2020', '31', '8', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12834, '30/08/2020', '30', '8', '2020', '5', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.23295346');
INSERT INTO public.ecdc_import VALUES (12835, '29/08/2020', '29', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12836, '28/08/2020', '28', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12837, '27/08/2020', '27', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12838, '26/08/2020', '26', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12839, '25/08/2020', '25', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12840, '24/08/2020', '24', '8', '2020', '11', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12841, '23/08/2020', '23', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '0.82266706');
INSERT INTO public.ecdc_import VALUES (12842, '22/08/2020', '22', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.17523866');
INSERT INTO public.ecdc_import VALUES (12843, '21/08/2020', '21', '8', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.17523866');
INSERT INTO public.ecdc_import VALUES (12844, '20/08/2020', '20', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12845, '19/08/2020', '19', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12846, '18/08/2020', '18', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.23295346');
INSERT INTO public.ecdc_import VALUES (12847, '17/08/2020', '17', '8', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.23295346');
INSERT INTO public.ecdc_import VALUES (12848, '16/08/2020', '16', '8', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12849, '15/08/2020', '15', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.99790572');
INSERT INTO public.ecdc_import VALUES (12850, '14/08/2020', '14', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12851, '13/08/2020', '13', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.46800119');
INSERT INTO public.ecdc_import VALUES (12852, '12/08/2020', '12', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.9339081');
INSERT INTO public.ecdc_import VALUES (12853, '11/08/2020', '11', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.9339081');
INSERT INTO public.ecdc_import VALUES (12854, '10/08/2020', '10', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.9339081');
INSERT INTO public.ecdc_import VALUES (12855, '09/08/2020', '9', '8', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.9339081');
INSERT INTO public.ecdc_import VALUES (12856, '08/08/2020', '8', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.5813365');
INSERT INTO public.ecdc_import VALUES (12857, '07/08/2020', '7', '8', '2020', '8', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.5813365');
INSERT INTO public.ecdc_import VALUES (12858, '06/08/2020', '6', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.99371717');
INSERT INTO public.ecdc_import VALUES (12859, '05/08/2020', '5', '8', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.99371717');
INSERT INTO public.ecdc_import VALUES (12860, '04/08/2020', '4', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.11124104');
INSERT INTO public.ecdc_import VALUES (12861, '03/08/2020', '3', '8', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.11124104');
INSERT INTO public.ecdc_import VALUES (12862, '02/08/2020', '2', '8', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.81638424');
INSERT INTO public.ecdc_import VALUES (12863, '01/08/2020', '1', '8', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.34628877');
INSERT INTO public.ecdc_import VALUES (12864, '31/07/2020', '31', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.87619331');
INSERT INTO public.ecdc_import VALUES (12865, '30/07/2020', '30', '7', '2020', '38', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.69886037');
INSERT INTO public.ecdc_import VALUES (12866, '29/07/2020', '29', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12867, '28/07/2020', '28', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12868, '27/07/2020', '27', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12869, '26/07/2020', '26', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12870, '25/07/2020', '25', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.17314439');
INSERT INTO public.ecdc_import VALUES (12871, '24/07/2020', '24', '7', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.17314439');
INSERT INTO public.ecdc_import VALUES (12872, '23/07/2020', '23', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.82057279');
INSERT INTO public.ecdc_import VALUES (12873, '22/07/2020', '22', '7', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.82057279');
INSERT INTO public.ecdc_import VALUES (12874, '21/07/2020', '21', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12875, '20/07/2020', '20', '7', '2020', '6', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.70304892');
INSERT INTO public.ecdc_import VALUES (12876, '19/07/2020', '19', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.23295346');
INSERT INTO public.ecdc_import VALUES (12877, '18/07/2020', '18', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.23295346');
INSERT INTO public.ecdc_import VALUES (12878, '17/07/2020', '17', '7', '2020', '7', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.93809665');
INSERT INTO public.ecdc_import VALUES (12879, '16/07/2020', '16', '7', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '2.11542959');
INSERT INTO public.ecdc_import VALUES (12880, '15/07/2020', '15', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.64533413');
INSERT INTO public.ecdc_import VALUES (12881, '14/07/2020', '14', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.28857398');
INSERT INTO public.ecdc_import VALUES (12882, '13/07/2020', '13', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '5.28857398');
INSERT INTO public.ecdc_import VALUES (12883, '12/07/2020', '12', '7', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.22667063');
INSERT INTO public.ecdc_import VALUES (12884, '11/07/2020', '11', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.75657517');
INSERT INTO public.ecdc_import VALUES (12885, '10/07/2020', '10', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.75657517');
INSERT INTO public.ecdc_import VALUES (12886, '09/07/2020', '9', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.75657517');
INSERT INTO public.ecdc_import VALUES (12887, '08/07/2020', '8', '7', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.75657517');
INSERT INTO public.ecdc_import VALUES (12888, '07/07/2020', '7', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.52152743');
INSERT INTO public.ecdc_import VALUES (12889, '06/07/2020', '6', '7', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.52152743');
INSERT INTO public.ecdc_import VALUES (12890, '05/07/2020', '5', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.2864797');
INSERT INTO public.ecdc_import VALUES (12891, '04/07/2020', '4', '7', '2020', '6', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.63486275');
INSERT INTO public.ecdc_import VALUES (12892, '03/07/2020', '3', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '10.92971955');
INSERT INTO public.ecdc_import VALUES (12893, '02/07/2020', '2', '7', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '12.45752981');
INSERT INTO public.ecdc_import VALUES (12894, '01/07/2020', '1', '7', '2020', '31', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '12.45752981');
INSERT INTO public.ecdc_import VALUES (12895, '30/06/2020', '30', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.28229115');
INSERT INTO public.ecdc_import VALUES (12896, '29/06/2020', '29', '6', '2020', '25', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.28229115');
INSERT INTO public.ecdc_import VALUES (12897, '28/06/2020', '28', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.3441945');
INSERT INTO public.ecdc_import VALUES (12898, '27/06/2020', '27', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '9.98952862');
INSERT INTO public.ecdc_import VALUES (12899, '26/06/2020', '26', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '9.98952862');
INSERT INTO public.ecdc_import VALUES (12900, '25/06/2020', '25', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '9.98952862');
INSERT INTO public.ecdc_import VALUES (12901, '24/06/2020', '24', '6', '2020', '0', '2', '850891', 'Comoros', 'KM', 'COM', 'Africa', '9.98952862');
INSERT INTO public.ecdc_import VALUES (12902, '23/06/2020', '23', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '12.45752981');
INSERT INTO public.ecdc_import VALUES (12903, '22/06/2020', '22', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '12.45752981');
INSERT INTO public.ecdc_import VALUES (12904, '21/06/2020', '21', '6', '2020', '37', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '12.45752981');
INSERT INTO public.ecdc_import VALUES (12905, '20/06/2020', '20', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '9.16686156');
INSERT INTO public.ecdc_import VALUES (12906, '19/06/2020', '19', '6', '2020', '13', '2', '850891', 'Comoros', 'KM', 'COM', 'Africa', '9.16686156');
INSERT INTO public.ecdc_import VALUES (12907, '18/06/2020', '18', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.6390513');
INSERT INTO public.ecdc_import VALUES (12908, '17/06/2020', '17', '6', '2020', '21', '1', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.6390513');
INSERT INTO public.ecdc_import VALUES (12909, '16/06/2020', '16', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.22667063');
INSERT INTO public.ecdc_import VALUES (12910, '15/06/2020', '15', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.22667063');
INSERT INTO public.ecdc_import VALUES (12911, '14/06/2020', '14', '6', '2020', '14', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.22667063');
INSERT INTO public.ecdc_import VALUES (12912, '13/06/2020', '13', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.81428996');
INSERT INTO public.ecdc_import VALUES (12913, '12/06/2020', '12', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.81428996');
INSERT INTO public.ecdc_import VALUES (12914, '11/06/2020', '11', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.81428996');
INSERT INTO public.ecdc_import VALUES (12915, '10/06/2020', '10', '6', '2020', '21', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.81428996');
INSERT INTO public.ecdc_import VALUES (12916, '09/06/2020', '9', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.34628877');
INSERT INTO public.ecdc_import VALUES (12917, '08/06/2020', '8', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.34628877');
INSERT INTO public.ecdc_import VALUES (12918, '07/06/2020', '7', '6', '2020', '9', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.40400357');
INSERT INTO public.ecdc_import VALUES (12919, '06/06/2020', '6', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '6.34628877');
INSERT INTO public.ecdc_import VALUES (12920, '05/06/2020', '5', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.51733888');
INSERT INTO public.ecdc_import VALUES (12921, '04/06/2020', '4', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.51733888');
INSERT INTO public.ecdc_import VALUES (12922, '03/06/2020', '3', '6', '2020', '26', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.51733888');
INSERT INTO public.ecdc_import VALUES (12923, '02/06/2020', '2', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.16476729');
INSERT INTO public.ecdc_import VALUES (12924, '01/06/2020', '1', '6', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.16476729');
INSERT INTO public.ecdc_import VALUES (12925, '31/05/2020', '31', '5', '2020', '19', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '11.16476729');
INSERT INTO public.ecdc_import VALUES (12926, '30/05/2020', '30', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.93181383');
INSERT INTO public.ecdc_import VALUES (12927, '29/05/2020', '29', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.93181383');
INSERT INTO public.ecdc_import VALUES (12928, '28/05/2020', '28', '5', '2020', '0', '1', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.93181383');
INSERT INTO public.ecdc_import VALUES (12929, '27/05/2020', '27', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.93181383');
INSERT INTO public.ecdc_import VALUES (12930, '26/05/2020', '26', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.93181383');
INSERT INTO public.ecdc_import VALUES (12931, '25/05/2020', '25', '5', '2020', '9', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.93181383');
INSERT INTO public.ecdc_import VALUES (12932, '24/05/2020', '24', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '7.87409903');
INSERT INTO public.ecdc_import VALUES (12933, '23/05/2020', '23', '5', '2020', '44', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '8.22667063');
INSERT INTO public.ecdc_import VALUES (12934, '22/05/2020', '22', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.05562052');
INSERT INTO public.ecdc_import VALUES (12935, '21/05/2020', '21', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.05562052');
INSERT INTO public.ecdc_import VALUES (12936, '20/05/2020', '20', '5', '2020', '23', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '3.52571598');
INSERT INTO public.ecdc_import VALUES (12937, '19/05/2020', '19', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '0.82266706');
INSERT INTO public.ecdc_import VALUES (12938, '18/05/2020', '18', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '0.94019093');
INSERT INTO public.ecdc_import VALUES (12939, '17/05/2020', '17', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.17523866');
INSERT INTO public.ecdc_import VALUES (12940, '16/05/2020', '16', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.17523866');
INSERT INTO public.ecdc_import VALUES (12941, '15/05/2020', '15', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '1.29276253');
INSERT INTO public.ecdc_import VALUES (12942, '14/05/2020', '14', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12943, '13/05/2020', '13', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12944, '12/05/2020', '12', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12945, '11/05/2020', '11', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12946, '10/05/2020', '10', '5', '2020', '3', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12947, '09/05/2020', '9', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12948, '08/05/2020', '8', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12949, '07/05/2020', '7', '5', '2020', '4', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12950, '06/05/2020', '6', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12951, '05/05/2020', '5', '5', '2020', '1', '1', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12952, '04/05/2020', '4', '5', '2020', '2', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12953, '03/05/2020', '3', '5', '2020', '0', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12954, '02/05/2020', '2', '5', '2020', '1', '0', '850891', 'Comoros', 'KM', 'COM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (12955, '14/12/2020', '14', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.11104536');
INSERT INTO public.ecdc_import VALUES (12956, '13/12/2020', '13', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.11104536');
INSERT INTO public.ecdc_import VALUES (12957, '12/12/2020', '12', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.11104536');
INSERT INTO public.ecdc_import VALUES (12958, '11/12/2020', '11', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '7.75020333');
INSERT INTO public.ecdc_import VALUES (12959, '10/12/2020', '10', '12', '2020', '275', '5', '5380504', 'Congo', 'CG', 'COG', 'Africa', '7.75020333');
INSERT INTO public.ecdc_import VALUES (12960, '09/12/2020', '9', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.63915797');
INSERT INTO public.ecdc_import VALUES (12961, '08/12/2020', '8', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.63915797');
INSERT INTO public.ecdc_import VALUES (12962, '07/12/2020', '7', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.63915797');
INSERT INTO public.ecdc_import VALUES (12963, '06/12/2020', '6', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.63915797');
INSERT INTO public.ecdc_import VALUES (12964, '05/12/2020', '5', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.63915797');
INSERT INTO public.ecdc_import VALUES (12965, '04/12/2020', '4', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.81367545');
INSERT INTO public.ecdc_import VALUES (12966, '03/12/2020', '3', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.81367545');
INSERT INTO public.ecdc_import VALUES (12967, '02/12/2020', '2', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.81367545');
INSERT INTO public.ecdc_import VALUES (12968, '01/12/2020', '1', '12', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.81367545');
INSERT INTO public.ecdc_import VALUES (12969, '30/11/2020', '30', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '7.3413197');
INSERT INTO public.ecdc_import VALUES (12970, '29/11/2020', '29', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '7.3413197');
INSERT INTO public.ecdc_import VALUES (12971, '28/11/2020', '28', '11', '2020', '142', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '7.3413197');
INSERT INTO public.ecdc_import VALUES (12972, '27/11/2020', '27', '11', '2020', '0', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12973, '26/11/2020', '26', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12974, '25/11/2020', '25', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12975, '24/11/2020', '24', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12976, '23/11/2020', '23', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12977, '22/11/2020', '22', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12978, '21/11/2020', '21', '11', '2020', '117', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.70216173');
INSERT INTO public.ecdc_import VALUES (12979, '20/11/2020', '20', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.52764425');
INSERT INTO public.ecdc_import VALUES (12980, '19/11/2020', '19', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.52764425');
INSERT INTO public.ecdc_import VALUES (12981, '18/11/2020', '18', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.10379845');
INSERT INTO public.ecdc_import VALUES (12982, '17/11/2020', '17', '11', '2020', '136', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.18176438');
INSERT INTO public.ecdc_import VALUES (12983, '16/11/2020', '16', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.65412013');
INSERT INTO public.ecdc_import VALUES (12984, '15/11/2020', '15', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.65412013');
INSERT INTO public.ecdc_import VALUES (12985, '14/11/2020', '14', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.65412013');
INSERT INTO public.ecdc_import VALUES (12986, '13/11/2020', '13', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.65412013');
INSERT INTO public.ecdc_import VALUES (12987, '12/11/2020', '12', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (12988, '11/11/2020', '11', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (12989, '10/11/2020', '10', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (12990, '09/11/2020', '9', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (12991, '08/11/2020', '8', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (12992, '07/11/2020', '7', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.14459315');
INSERT INTO public.ecdc_import VALUES (12993, '06/11/2020', '6', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.14459315');
INSERT INTO public.ecdc_import VALUES (12994, '05/11/2020', '5', '11', '2020', '31', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.14459315');
INSERT INTO public.ecdc_import VALUES (12995, '04/11/2020', '4', '11', '2020', '58', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.56843894');
INSERT INTO public.ecdc_import VALUES (12996, '03/11/2020', '3', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.49047301');
INSERT INTO public.ecdc_import VALUES (12997, '02/11/2020', '2', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.49047301');
INSERT INTO public.ecdc_import VALUES (12998, '01/11/2020', '1', '11', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.49047301');
INSERT INTO public.ecdc_import VALUES (12999, '31/10/2020', '31', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.49047301');
INSERT INTO public.ecdc_import VALUES (13000, '30/10/2020', '30', '10', '2020', '37', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.49047301');
INSERT INTO public.ecdc_import VALUES (13001, '29/10/2020', '29', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.80280509');
INSERT INTO public.ecdc_import VALUES (13002, '28/10/2020', '28', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.80280509');
INSERT INTO public.ecdc_import VALUES (13003, '27/10/2020', '27', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.50905863');
INSERT INTO public.ecdc_import VALUES (13004, '26/10/2020', '26', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.50905863');
INSERT INTO public.ecdc_import VALUES (13005, '25/10/2020', '25', '10', '2020', '97', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.50905863');
INSERT INTO public.ecdc_import VALUES (13006, '24/10/2020', '24', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.70625354');
INSERT INTO public.ecdc_import VALUES (13007, '23/10/2020', '23', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.70625354');
INSERT INTO public.ecdc_import VALUES (13008, '22/10/2020', '22', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.70625354');
INSERT INTO public.ecdc_import VALUES (13009, '21/10/2020', '21', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13010, '20/10/2020', '20', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13011, '19/10/2020', '19', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13012, '18/10/2020', '18', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13013, '17/10/2020', '17', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13014, '16/10/2020', '16', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13015, '15/10/2020', '15', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13016, '14/10/2020', '14', '10', '2020', '38', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.24523651');
INSERT INTO public.ecdc_import VALUES (13017, '13/10/2020', '13', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.53898297');
INSERT INTO public.ecdc_import VALUES (13018, '12/10/2020', '12', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.04441814');
INSERT INTO public.ecdc_import VALUES (13019, '11/10/2020', '11', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.04441814');
INSERT INTO public.ecdc_import VALUES (13020, '10/10/2020', '10', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.100175');
INSERT INTO public.ecdc_import VALUES (13021, '09/10/2020', '9', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.100175');
INSERT INTO public.ecdc_import VALUES (13022, '08/10/2020', '8', '10', '2020', '29', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.100175');
INSERT INTO public.ecdc_import VALUES (13023, '07/10/2020', '7', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.6169489');
INSERT INTO public.ecdc_import VALUES (13024, '06/10/2020', '6', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.6169489');
INSERT INTO public.ecdc_import VALUES (13025, '05/10/2020', '5', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.91431881');
INSERT INTO public.ecdc_import VALUES (13026, '04/10/2020', '4', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.91431881');
INSERT INTO public.ecdc_import VALUES (13027, '03/10/2020', '3', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.02583252');
INSERT INTO public.ecdc_import VALUES (13028, '02/10/2020', '2', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.02583252');
INSERT INTO public.ecdc_import VALUES (13029, '01/10/2020', '1', '10', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.88077102');
INSERT INTO public.ecdc_import VALUES (13030, '30/09/2020', '30', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.88077102');
INSERT INTO public.ecdc_import VALUES (13031, '29/09/2020', '29', '9', '2020', '81', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.88077102');
INSERT INTO public.ecdc_import VALUES (13032, '28/09/2020', '28', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.37533584');
INSERT INTO public.ecdc_import VALUES (13033, '27/09/2020', '27', '9', '2020', '3', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.48684956');
INSERT INTO public.ecdc_import VALUES (13034, '26/09/2020', '26', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.4310927');
INSERT INTO public.ecdc_import VALUES (13035, '25/09/2020', '25', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.11876062');
INSERT INTO public.ecdc_import VALUES (13036, '24/09/2020', '24', '9', '2020', '3', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.11876062');
INSERT INTO public.ecdc_import VALUES (13037, '23/09/2020', '23', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.06300376');
INSERT INTO public.ecdc_import VALUES (13038, '22/09/2020', '22', '9', '2020', '16', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.06300376');
INSERT INTO public.ecdc_import VALUES (13039, '21/09/2020', '21', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.65365178');
INSERT INTO public.ecdc_import VALUES (13040, '20/09/2020', '20', '9', '2020', '6', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.65365178');
INSERT INTO public.ecdc_import VALUES (13041, '19/09/2020', '19', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.54213806');
INSERT INTO public.ecdc_import VALUES (13042, '18/09/2020', '18', '9', '2020', '46', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.54213806');
INSERT INTO public.ecdc_import VALUES (13043, '17/09/2020', '17', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.68719956');
INSERT INTO public.ecdc_import VALUES (13044, '16/09/2020', '16', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.68719956');
INSERT INTO public.ecdc_import VALUES (13045, '15/09/2020', '15', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '17.74926661');
INSERT INTO public.ecdc_import VALUES (13046, '14/09/2020', '14', '9', '2020', '6', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '17.74926661');
INSERT INTO public.ecdc_import VALUES (13047, '13/09/2020', '13', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '17.63775289');
INSERT INTO public.ecdc_import VALUES (13048, '12/09/2020', '12', '9', '2020', '37', '5', '5380504', 'Congo', 'CG', 'COG', 'Africa', '17.63775289');
INSERT INTO public.ecdc_import VALUES (13049, '11/09/2020', '11', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '16.95008497');
INSERT INTO public.ecdc_import VALUES (13050, '10/09/2020', '10', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '16.95008497');
INSERT INTO public.ecdc_import VALUES (13051, '09/09/2020', '9', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '16.95008497');
INSERT INTO public.ecdc_import VALUES (13052, '08/09/2020', '8', '9', '2020', '263', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '19.34762989');
INSERT INTO public.ecdc_import VALUES (13053, '07/09/2020', '7', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.45961196');
INSERT INTO public.ecdc_import VALUES (13054, '06/09/2020', '6', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.45961196');
INSERT INTO public.ecdc_import VALUES (13055, '05/09/2020', '5', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.45961196');
INSERT INTO public.ecdc_import VALUES (13056, '04/09/2020', '4', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.45961196');
INSERT INTO public.ecdc_import VALUES (13057, '03/09/2020', '3', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.45961196');
INSERT INTO public.ecdc_import VALUES (13058, '02/09/2020', '2', '9', '2020', '649', '4', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.73839625');
INSERT INTO public.ecdc_import VALUES (13059, '01/09/2020', '1', '9', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.67632921');
INSERT INTO public.ecdc_import VALUES (13060, '31/08/2020', '31', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.67632921');
INSERT INTO public.ecdc_import VALUES (13061, '30/08/2020', '30', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.34903496');
INSERT INTO public.ecdc_import VALUES (13062, '29/08/2020', '29', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.34903496');
INSERT INTO public.ecdc_import VALUES (13063, '28/08/2020', '28', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.34903496');
INSERT INTO public.ecdc_import VALUES (13064, '27/08/2020', '27', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.34903496');
INSERT INTO public.ecdc_import VALUES (13065, '26/08/2020', '26', '8', '2020', '129', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.34903496');
INSERT INTO public.ecdc_import VALUES (13066, '25/08/2020', '25', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.45692522');
INSERT INTO public.ecdc_import VALUES (13067, '24/08/2020', '24', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.45692522');
INSERT INTO public.ecdc_import VALUES (13068, '23/08/2020', '23', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.45692522');
INSERT INTO public.ecdc_import VALUES (13069, '22/08/2020', '22', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.95873695');
INSERT INTO public.ecdc_import VALUES (13070, '21/08/2020', '21', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.95873695');
INSERT INTO public.ecdc_import VALUES (13071, '20/08/2020', '20', '8', '2020', '15', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.65002832');
INSERT INTO public.ecdc_import VALUES (13072, '19/08/2020', '19', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.37124403');
INSERT INTO public.ecdc_import VALUES (13073, '18/08/2020', '18', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.37124403');
INSERT INTO public.ecdc_import VALUES (13074, '17/08/2020', '17', '8', '2020', '90', '16', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.32635753');
INSERT INTO public.ecdc_import VALUES (13075, '16/08/2020', '16', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.65365178');
INSERT INTO public.ecdc_import VALUES (13076, '15/08/2020', '15', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.85809359');
INSERT INTO public.ecdc_import VALUES (13077, '14/08/2020', '14', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.85809359');
INSERT INTO public.ecdc_import VALUES (13078, '13/08/2020', '13', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '10.12916262');
INSERT INTO public.ecdc_import VALUES (13079, '12/08/2020', '12', '8', '2020', '81', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '10.12916262');
INSERT INTO public.ecdc_import VALUES (13080, '11/08/2020', '11', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.62372744');
INSERT INTO public.ecdc_import VALUES (13081, '10/08/2020', '10', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '11.6345978');
INSERT INTO public.ecdc_import VALUES (13082, '09/08/2020', '9', '8', '2020', '27', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '11.6345978');
INSERT INTO public.ecdc_import VALUES (13083, '08/08/2020', '8', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '11.13278607');
INSERT INTO public.ecdc_import VALUES (13084, '07/08/2020', '7', '8', '2020', '91', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '11.13278607');
INSERT INTO public.ecdc_import VALUES (13085, '06/08/2020', '6', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '12.91700554');
INSERT INTO public.ecdc_import VALUES (13086, '05/08/2020', '5', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '12.91700554');
INSERT INTO public.ecdc_import VALUES (13087, '04/08/2020', '4', '8', '2020', '159', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '12.91700554');
INSERT INTO public.ecdc_import VALUES (13088, '03/08/2020', '3', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.01355709');
INSERT INTO public.ecdc_import VALUES (13089, '02/08/2020', '2', '8', '2020', '11', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.01355709');
INSERT INTO public.ecdc_import VALUES (13090, '01/08/2020', '1', '8', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '13.80911528');
INSERT INTO public.ecdc_import VALUES (13091, '31/07/2020', '31', '7', '2020', '176', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.92016064');
INSERT INTO public.ecdc_import VALUES (13092, '30/07/2020', '30', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '15.64909161');
INSERT INTO public.ecdc_import VALUES (13093, '29/07/2020', '29', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.17673586');
INSERT INTO public.ecdc_import VALUES (13094, '28/07/2020', '28', '7', '2020', '162', '3', '5380504', 'Congo', 'CG', 'COG', 'Africa', '20.38842458');
INSERT INTO public.ecdc_import VALUES (13095, '27/07/2020', '27', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '17.37755422');
INSERT INTO public.ecdc_import VALUES (13096, '26/07/2020', '26', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.77147568');
INSERT INTO public.ecdc_import VALUES (13097, '25/07/2020', '25', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.77147568');
INSERT INTO public.ecdc_import VALUES (13098, '24/07/2020', '24', '7', '2020', '187', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '22.61869892');
INSERT INTO public.ecdc_import VALUES (13099, '23/07/2020', '23', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '19.14318807');
INSERT INTO public.ecdc_import VALUES (13100, '22/07/2020', '22', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '24.04979162');
INSERT INTO public.ecdc_import VALUES (13101, '21/07/2020', '21', '7', '2020', '218', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '24.04979162');
INSERT INTO public.ecdc_import VALUES (13102, '20/07/2020', '20', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '19.99812657');
INSERT INTO public.ecdc_import VALUES (13103, '19/07/2020', '19', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '19.99812657');
INSERT INTO public.ecdc_import VALUES (13104, '18/07/2020', '18', '7', '2020', '275', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '19.99812657');
INSERT INTO public.ecdc_import VALUES (13105, '17/07/2020', '17', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.13956462');
INSERT INTO public.ecdc_import VALUES (13106, '16/07/2020', '16', '7', '2020', '136', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.13956462');
INSERT INTO public.ecdc_import VALUES (13107, '15/07/2020', '15', '7', '2020', '119', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '18.15815024');
INSERT INTO public.ecdc_import VALUES (13108, '14/07/2020', '14', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '15.94646152');
INSERT INTO public.ecdc_import VALUES (13109, '13/07/2020', '13', '7', '2020', '75', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '15.94646152');
INSERT INTO public.ecdc_import VALUES (13110, '12/07/2020', '12', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '14.55254006');
INSERT INTO public.ecdc_import VALUES (13111, '11/07/2020', '11', '7', '2020', '207', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '15.31455046');
INSERT INTO public.ecdc_import VALUES (13112, '10/07/2020', '10', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '11.46732722');
INSERT INTO public.ecdc_import VALUES (13113, '09/07/2020', '9', '7', '2020', '264', '3', '5380504', 'Congo', 'CG', 'COG', 'Africa', '13.6418447');
INSERT INTO public.ecdc_import VALUES (13114, '08/07/2020', '8', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.73524116');
INSERT INTO public.ecdc_import VALUES (13115, '07/07/2020', '7', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.73524116');
INSERT INTO public.ecdc_import VALUES (13116, '06/07/2020', '6', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '10.110577');
INSERT INTO public.ecdc_import VALUES (13117, '05/07/2020', '5', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '10.110577');
INSERT INTO public.ecdc_import VALUES (13118, '04/07/2020', '4', '7', '2020', '175', '3', '5380504', 'Congo', 'CG', 'COG', 'Africa', '12.52670754');
INSERT INTO public.ecdc_import VALUES (13119, '03/07/2020', '3', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '9.27422412');
INSERT INTO public.ecdc_import VALUES (13120, '02/07/2020', '2', '7', '2020', '137', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '9.27422412');
INSERT INTO public.ecdc_import VALUES (13121, '01/07/2020', '1', '7', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.72799425');
INSERT INTO public.ecdc_import VALUES (13122, '30/06/2020', '30', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.72799425');
INSERT INTO public.ecdc_import VALUES (13123, '29/06/2020', '29', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.66089868');
INSERT INTO public.ecdc_import VALUES (13124, '28/06/2020', '28', '6', '2020', '41', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.66089868');
INSERT INTO public.ecdc_import VALUES (13125, '27/06/2020', '27', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.53079935');
INSERT INTO public.ecdc_import VALUES (13126, '26/06/2020', '26', '6', '2020', '117', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '8.53079935');
INSERT INTO public.ecdc_import VALUES (13127, '25/06/2020', '25', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.35628187');
INSERT INTO public.ecdc_import VALUES (13128, '24/06/2020', '24', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.6722374');
INSERT INTO public.ecdc_import VALUES (13129, '23/06/2020', '23', '6', '2020', '74', '9', '5380504', 'Congo', 'CG', 'COG', 'Africa', '7.50859027');
INSERT INTO public.ecdc_import VALUES (13130, '22/06/2020', '22', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.13325443');
INSERT INTO public.ecdc_import VALUES (13131, '21/06/2020', '21', '6', '2020', '130', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '6.13325443');
INSERT INTO public.ecdc_import VALUES (13132, '20/06/2020', '20', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.53489116');
INSERT INTO public.ecdc_import VALUES (13133, '19/06/2020', '19', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.60923363');
INSERT INTO public.ecdc_import VALUES (13134, '18/06/2020', '18', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.92518916');
INSERT INTO public.ecdc_import VALUES (13135, '17/06/2020', '17', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.0552885');
INSERT INTO public.ecdc_import VALUES (13136, '16/06/2020', '16', '6', '2020', '104', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '5.0552885');
INSERT INTO public.ecdc_import VALUES (13137, '15/06/2020', '15', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.12238407');
INSERT INTO public.ecdc_import VALUES (13138, '14/06/2020', '14', '6', '2020', '34', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.56843894');
INSERT INTO public.ecdc_import VALUES (13139, '13/06/2020', '13', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.93652788');
INSERT INTO public.ecdc_import VALUES (13140, '12/06/2020', '12', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.23389779');
INSERT INTO public.ecdc_import VALUES (13141, '11/06/2020', '11', '6', '2020', '17', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.23389779');
INSERT INTO public.ecdc_import VALUES (13142, '10/06/2020', '10', '6', '2020', '45', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.9551135');
INSERT INTO public.ecdc_import VALUES (13143, '09/06/2020', '9', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.82501416');
INSERT INTO public.ecdc_import VALUES (13144, '08/06/2020', '8', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.64278142');
INSERT INTO public.ecdc_import VALUES (13145, '07/06/2020', '7', '6', '2020', '44', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.64278142');
INSERT INTO public.ecdc_import VALUES (13146, '06/06/2020', '6', '6', '2020', '4', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.15955531');
INSERT INTO public.ecdc_import VALUES (13147, '05/06/2020', '5', '6', '2020', '17', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.08521284');
INSERT INTO public.ecdc_import VALUES (13148, '04/06/2020', '4', '6', '2020', '7', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.67995266');
INSERT INTO public.ecdc_import VALUES (13149, '03/06/2020', '3', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.54985332');
INSERT INTO public.ecdc_import VALUES (13150, '02/06/2020', '2', '6', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.69853828');
INSERT INTO public.ecdc_import VALUES (13151, '01/06/2020', '1', '6', '2020', '24', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.69853828');
INSERT INTO public.ecdc_import VALUES (13152, '31/05/2020', '31', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.25248341');
INSERT INTO public.ecdc_import VALUES (13153, '30/05/2020', '30', '5', '2020', '16', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.64278142');
INSERT INTO public.ecdc_import VALUES (13154, '29/05/2020', '29', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.34541151');
INSERT INTO public.ecdc_import VALUES (13155, '28/05/2020', '28', '5', '2020', '2', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.27469248');
INSERT INTO public.ecdc_import VALUES (13156, '27/05/2020', '27', '5', '2020', '38', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '4.3862062');
INSERT INTO public.ecdc_import VALUES (13157, '26/05/2020', '26', '5', '2020', '44', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.67995266');
INSERT INTO public.ecdc_import VALUES (13158, '25/05/2020', '25', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.7171239');
INSERT INTO public.ecdc_import VALUES (13159, '24/05/2020', '24', '5', '2020', '18', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.7171239');
INSERT INTO public.ecdc_import VALUES (13160, '23/05/2020', '23', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.38258275');
INSERT INTO public.ecdc_import VALUES (13161, '22/05/2020', '22', '5', '2020', '49', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.6241958');
INSERT INTO public.ecdc_import VALUES (13162, '21/05/2020', '21', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.89935664');
INSERT INTO public.ecdc_import VALUES (13163, '20/05/2020', '20', '5', '2020', '8', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.41975399');
INSERT INTO public.ecdc_import VALUES (13164, '19/05/2020', '19', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.27106903');
INSERT INTO public.ecdc_import VALUES (13165, '18/05/2020', '18', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.40116837');
INSERT INTO public.ecdc_import VALUES (13166, '17/05/2020', '17', '5', '2020', '21', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.40116837');
INSERT INTO public.ecdc_import VALUES (13167, '16/05/2020', '16', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.01087036');
INSERT INTO public.ecdc_import VALUES (13168, '15/05/2020', '15', '5', '2020', '50', '4', '5380504', 'Congo', 'CG', 'COG', 'Africa', '3.17814093');
INSERT INTO public.ecdc_import VALUES (13169, '14/05/2020', '14', '5', '2020', '8', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.24885996');
INSERT INTO public.ecdc_import VALUES (13170, '13/05/2020', '13', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (13171, '12/05/2020', '12', '5', '2020', '46', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (13172, '11/05/2020', '11', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.6169489');
INSERT INTO public.ecdc_import VALUES (13173, '10/05/2020', '10', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.6169489');
INSERT INTO public.ecdc_import VALUES (13174, '09/05/2020', '9', '5', '2020', '13', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.6169489');
INSERT INTO public.ecdc_import VALUES (13175, '08/05/2020', '8', '5', '2020', '10', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.63553451');
INSERT INTO public.ecdc_import VALUES (13176, '07/05/2020', '7', '5', '2020', '28', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.44967832');
INSERT INTO public.ecdc_import VALUES (13177, '06/05/2020', '6', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.31957898');
INSERT INTO public.ecdc_import VALUES (13178, '05/05/2020', '5', '5', '2020', '7', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.41250708');
INSERT INTO public.ecdc_import VALUES (13179, '04/05/2020', '4', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.28240774');
INSERT INTO public.ecdc_import VALUES (13180, '03/05/2020', '3', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.59836328');
INSERT INTO public.ecdc_import VALUES (13181, '02/05/2020', '2', '5', '2020', '9', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.59836328');
INSERT INTO public.ecdc_import VALUES (13182, '01/05/2020', '1', '5', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.91431881');
INSERT INTO public.ecdc_import VALUES (13183, '30/04/2020', '30', '4', '2020', '13', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.91431881');
INSERT INTO public.ecdc_import VALUES (13184, '29/04/2020', '29', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.47188739');
INSERT INTO public.ecdc_import VALUES (13185, '28/04/2020', '28', '4', '2020', '7', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.54622987');
INSERT INTO public.ecdc_import VALUES (13186, '27/04/2020', '27', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.41613053');
INSERT INTO public.ecdc_import VALUES (13187, '26/04/2020', '26', '4', '2020', '0', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.60198673');
INSERT INTO public.ecdc_import VALUES (13188, '25/04/2020', '25', '4', '2020', '14', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.60198673');
INSERT INTO public.ecdc_import VALUES (13189, '24/04/2020', '24', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (13190, '23/04/2020', '23', '4', '2020', '21', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.34178806');
INSERT INTO public.ecdc_import VALUES (13191, '22/04/2020', '22', '4', '2020', '5', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.23027434');
INSERT INTO public.ecdc_import VALUES (13192, '21/04/2020', '21', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.13734624');
INSERT INTO public.ecdc_import VALUES (13193, '20/04/2020', '20', '4', '2020', '17', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '2.13734624');
INSERT INTO public.ecdc_import VALUES (13194, '19/04/2020', '19', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.82139071');
INSERT INTO public.ecdc_import VALUES (13195, '18/04/2020', '18', '4', '2020', '26', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.89573319');
INSERT INTO public.ecdc_import VALUES (13196, '17/04/2020', '17', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.41250708');
INSERT INTO public.ecdc_import VALUES (13197, '16/04/2020', '16', '4', '2020', '43', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.76563385');
INSERT INTO public.ecdc_import VALUES (13198, '15/04/2020', '15', '4', '2020', '4', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.96645221');
INSERT INTO public.ecdc_import VALUES (13199, '14/04/2020', '14', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.94786659');
INSERT INTO public.ecdc_import VALUES (13200, '13/04/2020', '13', '4', '2020', '10', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.94786659');
INSERT INTO public.ecdc_import VALUES (13201, '12/04/2020', '12', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.7620104');
INSERT INTO public.ecdc_import VALUES (13202, '11/04/2020', '11', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.04079469');
INSERT INTO public.ecdc_import VALUES (13203, '10/04/2020', '10', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.04079469');
INSERT INTO public.ecdc_import VALUES (13204, '09/04/2020', '9', '4', '2020', '15', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '1.04079469');
INSERT INTO public.ecdc_import VALUES (13205, '08/04/2020', '8', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.7620104');
INSERT INTO public.ecdc_import VALUES (13206, '07/04/2020', '7', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.7620104');
INSERT INTO public.ecdc_import VALUES (13207, '06/04/2020', '6', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.7620104');
INSERT INTO public.ecdc_import VALUES (13208, '05/04/2020', '5', '4', '2020', '4', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.7620104');
INSERT INTO public.ecdc_import VALUES (13209, '04/04/2020', '4', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.70625354');
INSERT INTO public.ecdc_import VALUES (13210, '03/04/2020', '3', '4', '2020', '19', '1', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.70625354');
INSERT INTO public.ecdc_import VALUES (13211, '02/04/2020', '2', '4', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.35312677');
INSERT INTO public.ecdc_import VALUES (13212, '01/04/2020', '1', '4', '2020', '3', '2', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.39029801');
INSERT INTO public.ecdc_import VALUES (13213, '31/03/2020', '31', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.33454115');
INSERT INTO public.ecdc_import VALUES (13214, '30/03/2020', '30', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.33454115');
INSERT INTO public.ecdc_import VALUES (13215, '29/03/2020', '29', '3', '2020', '15', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '0.35312677');
INSERT INTO public.ecdc_import VALUES (13216, '28/03/2020', '28', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13217, '27/03/2020', '27', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13218, '26/03/2020', '26', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13219, '25/03/2020', '25', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13220, '24/03/2020', '24', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13221, '23/03/2020', '23', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13222, '22/03/2020', '22', '3', '2020', '1', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13223, '21/03/2020', '21', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13224, '20/03/2020', '20', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13225, '19/03/2020', '19', '3', '2020', '2', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13226, '18/03/2020', '18', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13227, '17/03/2020', '17', '3', '2020', '0', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13228, '16/03/2020', '16', '3', '2020', '1', '0', '5380504', 'Congo', 'CG', 'COG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13229, '14/12/2020', '14', '12', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.46919413');
INSERT INTO public.ecdc_import VALUES (13230, '13/12/2020', '13', '12', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.46919413');
INSERT INTO public.ecdc_import VALUES (13231, '12/12/2020', '12', '12', '2020', '1132', '13', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.46919413');
INSERT INTO public.ecdc_import VALUES (13232, '11/12/2020', '11', '12', '2020', '1127', '18', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '278.80792327');
INSERT INTO public.ecdc_import VALUES (13233, '10/12/2020', '10', '12', '2020', '1258', '18', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '280.69002039');
INSERT INTO public.ecdc_import VALUES (13234, '09/12/2020', '9', '12', '2020', '1009', '21', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '282.11645189');
INSERT INTO public.ecdc_import VALUES (13235, '08/12/2020', '8', '12', '2020', '2736', '52', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '279.85793535');
INSERT INTO public.ecdc_import VALUES (13236, '07/12/2020', '7', '12', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '282.6513637');
INSERT INTO public.ecdc_import VALUES (13237, '06/12/2020', '6', '12', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '282.6513637');
INSERT INTO public.ecdc_import VALUES (13238, '05/12/2020', '5', '12', '2020', '1180', '16', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '282.6513637');
INSERT INTO public.ecdc_import VALUES (13239, '04/12/2020', '4', '12', '2020', '1165', '18', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '282.79004454');
INSERT INTO public.ecdc_import VALUES (13240, '03/12/2020', '3', '12', '2020', '1168', '8', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '283.85986816');
INSERT INTO public.ecdc_import VALUES (13241, '02/12/2020', '2', '12', '2020', '534', '5', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '288.8920015');
INSERT INTO public.ecdc_import VALUES (13242, '01/12/2020', '1', '12', '2020', '2545', '36', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '298.08456005');
INSERT INTO public.ecdc_import VALUES (13243, '30/11/2020', '30', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.78617891');
INSERT INTO public.ecdc_import VALUES (13244, '29/11/2020', '29', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.78617891');
INSERT INTO public.ecdc_import VALUES (13245, '28/11/2020', '28', '11', '2020', '1351', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '296.57888236');
INSERT INTO public.ecdc_import VALUES (13246, '27/11/2020', '27', '11', '2020', '1222', '5', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '293.27035374');
INSERT INTO public.ecdc_import VALUES (13247, '26/11/2020', '26', '11', '2020', '1330', '12', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '292.25996476');
INSERT INTO public.ecdc_import VALUES (13248, '25/11/2020', '25', '11', '2020', '895', '21', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '289.72408654');
INSERT INTO public.ecdc_import VALUES (13249, '24/11/2020', '24', '11', '2020', '2877', '33', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '291.38825663');
INSERT INTO public.ecdc_import VALUES (13250, '23/11/2020', '23', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '258.63976681');
INSERT INTO public.ecdc_import VALUES (13251, '22/11/2020', '22', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '258.63976681');
INSERT INTO public.ecdc_import VALUES (13252, '21/11/2020', '21', '11', '2020', '1187', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '277.38149177');
INSERT INTO public.ecdc_import VALUES (13253, '20/11/2020', '20', '11', '2020', '1219', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.66730962');
INSERT INTO public.ecdc_import VALUES (13254, '19/11/2020', '19', '11', '2020', '1422', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '272.42860463');
INSERT INTO public.ecdc_import VALUES (13255, '18/11/2020', '18', '11', '2020', '998', '12', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '266.86155947');
INSERT INTO public.ecdc_import VALUES (13256, '17/11/2020', '17', '11', '2020', '1369', '20', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '264.18700041');
INSERT INTO public.ecdc_import VALUES (13257, '16/11/2020', '16', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '262.54264188');
INSERT INTO public.ecdc_import VALUES (13258, '15/11/2020', '15', '11', '2020', '1100', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '262.54264188');
INSERT INTO public.ecdc_import VALUES (13259, '14/11/2020', '14', '11', '2020', '1184', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '262.64169962');
INSERT INTO public.ecdc_import VALUES (13260, '13/11/2020', '13', '11', '2020', '1171', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '264.86059307');
INSERT INTO public.ecdc_import VALUES (13261, '12/11/2020', '12', '11', '2020', '1202', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '261.80961458');
INSERT INTO public.ecdc_import VALUES (13262, '11/11/2020', '11', '11', '2020', '979', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '262.38414949');
INSERT INTO public.ecdc_import VALUES (13263, '10/11/2020', '10', '11', '2020', '1224', '27', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '260.06619831');
INSERT INTO public.ecdc_import VALUES (13264, '09/11/2020', '9', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '262.9983075');
INSERT INTO public.ecdc_import VALUES (13265, '08/11/2020', '8', '11', '2020', '946', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '262.9983075');
INSERT INTO public.ecdc_import VALUES (13266, '07/11/2020', '7', '11', '2020', '1050', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '269.25875685');
INSERT INTO public.ecdc_import VALUES (13267, '06/11/2020', '6', '11', '2020', '1106', '13', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '272.42860463');
INSERT INTO public.ecdc_import VALUES (13268, '05/11/2020', '5', '11', '2020', '1141', '12', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.11258626');
INSERT INTO public.ecdc_import VALUES (13269, '04/11/2020', '4', '11', '2020', '863', '15', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '281.28436685');
INSERT INTO public.ecdc_import VALUES (13270, '03/11/2020', '3', '11', '2020', '1286', '19', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '280.96738207');
INSERT INTO public.ecdc_import VALUES (13271, '02/11/2020', '2', '11', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '286.41555793');
INSERT INTO public.ecdc_import VALUES (13272, '01/11/2020', '1', '11', '2020', '1105', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '286.41555793');
INSERT INTO public.ecdc_import VALUES (13273, '31/10/2020', '31', '10', '2020', '1296', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '287.62406239');
INSERT INTO public.ecdc_import VALUES (13274, '30/10/2020', '30', '10', '2020', '1017', '17', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '285.64290753');
INSERT INTO public.ecdc_import VALUES (13275, '29/10/2020', '29', '10', '2020', '1231', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '292.67600728');
INSERT INTO public.ecdc_import VALUES (13276, '28/10/2020', '28', '10', '2020', '862', '17', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '298.83739889');
INSERT INTO public.ecdc_import VALUES (13277, '27/10/2020', '27', '10', '2020', '1372', '30', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '301.86856583');
INSERT INTO public.ecdc_import VALUES (13278, '26/10/2020', '26', '10', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '310.03092385');
INSERT INTO public.ecdc_import VALUES (13279, '25/10/2020', '25', '10', '2020', '1262', '17', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '310.03092385');
INSERT INTO public.ecdc_import VALUES (13280, '24/10/2020', '24', '10', '2020', '1210', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '312.48755587');
INSERT INTO public.ecdc_import VALUES (13281, '23/10/2020', '23', '10', '2020', '1191', '15', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '312.7847291');
INSERT INTO public.ecdc_import VALUES (13282, '22/10/2020', '22', '10', '2020', '1503', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '315.5583459');
INSERT INTO public.ecdc_import VALUES (13283, '21/10/2020', '21', '10', '2020', '847', '18', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '312.62623671');
INSERT INTO public.ecdc_import VALUES (13284, '20/10/2020', '20', '10', '2020', '1561', '21', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '315.91495378');
INSERT INTO public.ecdc_import VALUES (13285, '19/10/2020', '19', '10', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '323.56221153');
INSERT INTO public.ecdc_import VALUES (13286, '18/10/2020', '18', '10', '2020', '1166', '15', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '323.56221153');
INSERT INTO public.ecdc_import VALUES (13287, '17/10/2020', '17', '10', '2020', '1196', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '327.26697112');
INSERT INTO public.ecdc_import VALUES (13288, '16/10/2020', '16', '10', '2020', '1372', '25', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '323.40371914');
INSERT INTO public.ecdc_import VALUES (13289, '15/10/2020', '15', '10', '2020', '1542', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '317.38100837');
INSERT INTO public.ecdc_import VALUES (13290, '14/10/2020', '14', '10', '2020', '1015', '16', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '309.73375062');
INSERT INTO public.ecdc_import VALUES (13291, '13/10/2020', '13', '10', '2020', '1784', '32', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '307.25730704');
INSERT INTO public.ecdc_import VALUES (13292, '12/10/2020', '12', '10', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '304.89973276');
INSERT INTO public.ecdc_import VALUES (13293, '11/10/2020', '11', '10', '2020', '1386', '21', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '304.89973276');
INSERT INTO public.ecdc_import VALUES (13294, '10/10/2020', '10', '10', '2020', '1225', '15', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '301.86856583');
INSERT INTO public.ecdc_import VALUES (13295, '09/10/2020', '9', '10', '2020', '1331', '16', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '304.48369024');
INSERT INTO public.ecdc_import VALUES (13296, '08/10/2020', '8', '10', '2020', '1355', '20', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '305.85068709');
INSERT INTO public.ecdc_import VALUES (13297, '07/10/2020', '7', '10', '2020', '1013', '17', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '306.14786032');
INSERT INTO public.ecdc_import VALUES (13298, '06/10/2020', '6', '10', '2020', '1947', '37', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '307.61391492');
INSERT INTO public.ecdc_import VALUES (13299, '05/10/2020', '5', '10', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '306.48465665');
INSERT INTO public.ecdc_import VALUES (13300, '04/10/2020', '4', '10', '2020', '1353', '20', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '306.48465665');
INSERT INTO public.ecdc_import VALUES (13301, '03/10/2020', '3', '10', '2020', '1001', '13', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '306.18748342');
INSERT INTO public.ecdc_import VALUES (13302, '02/10/2020', '2', '10', '2020', '1068', '13', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '317.18289289');
INSERT INTO public.ecdc_import VALUES (13303, '01/10/2020', '1', '10', '2020', '1156', '24', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '321.81879526');
INSERT INTO public.ecdc_import VALUES (13304, '30/09/2020', '30', '9', '2020', '890', '19', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '326.21695904');
INSERT INTO public.ecdc_import VALUES (13305, '29/09/2020', '29', '9', '2020', '1665', '33', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '324.17636954');
INSERT INTO public.ecdc_import VALUES (13306, '28/09/2020', '28', '9', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '328.77264881');
INSERT INTO public.ecdc_import VALUES (13307, '27/09/2020', '27', '9', '2020', '1233', '16', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '328.77264881');
INSERT INTO public.ecdc_import VALUES (13308, '26/09/2020', '26', '9', '2020', '1357', '17', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '333.76515905');
INSERT INTO public.ecdc_import VALUES (13309, '25/09/2020', '25', '9', '2020', '1400', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '335.01328662');
INSERT INTO public.ecdc_import VALUES (13310, '24/09/2020', '24', '9', '2020', '1370', '21', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '333.52742047');
INSERT INTO public.ecdc_import VALUES (13311, '23/09/2020', '23', '9', '2020', '1087', '15', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '332.67552388');
INSERT INTO public.ecdc_import VALUES (13312, '22/09/2020', '22', '9', '2020', '1890', '39', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '333.26987034');
INSERT INTO public.ecdc_import VALUES (13313, '21/09/2020', '21', '9', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '332.67552388');
INSERT INTO public.ecdc_import VALUES (13314, '20/09/2020', '20', '9', '2020', '1338', '20', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '332.67552388');
INSERT INTO public.ecdc_import VALUES (13315, '19/09/2020', '19', '9', '2020', '1556', '20', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '330.73399212');
INSERT INTO public.ecdc_import VALUES (13316, '18/09/2020', '18', '9', '2020', '1302', '17', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '324.11693489');
INSERT INTO public.ecdc_import VALUES (13317, '17/09/2020', '17', '9', '2020', '1378', '16', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '321.16501415');
INSERT INTO public.ecdc_import VALUES (13318, '16/09/2020', '16', '9', '2020', '787', '12', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '316.07344617');
INSERT INTO public.ecdc_import VALUES (13319, '15/09/2020', '15', '9', '2020', '1897', '31', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '318.25271651');
INSERT INTO public.ecdc_import VALUES (13320, '14/09/2020', '14', '9', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '312.130948');
INSERT INTO public.ecdc_import VALUES (13321, '13/09/2020', '13', '9', '2020', '1485', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '312.130948');
INSERT INTO public.ecdc_import VALUES (13322, '12/09/2020', '12', '9', '2020', '1420', '16', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '306.76201833');
INSERT INTO public.ecdc_import VALUES (13323, '11/09/2020', '11', '9', '2020', '1325', '24', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '302.2647968');
INSERT INTO public.ecdc_import VALUES (13324, '10/09/2020', '10', '9', '2020', '1327', '12', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '295.52887028');
INSERT INTO public.ecdc_import VALUES (13325, '09/09/2020', '9', '9', '2020', '1117', '21', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '289.09011699');
INSERT INTO public.ecdc_import VALUES (13326, '08/09/2020', '8', '9', '2020', '1860', '32', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '283.64194113');
INSERT INTO public.ecdc_import VALUES (13327, '07/09/2020', '7', '9', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '259.5312865');
INSERT INTO public.ecdc_import VALUES (13328, '06/09/2020', '6', '9', '2020', '1240', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '274.11258626');
INSERT INTO public.ecdc_import VALUES (13329, '05/09/2020', '5', '9', '2020', '1222', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '268.36723717');
INSERT INTO public.ecdc_import VALUES (13330, '04/09/2020', '4', '9', '2020', '1153', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '265.13795475');
INSERT INTO public.ecdc_import VALUES (13331, '03/09/2020', '3', '9', '2020', '1121', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '255.48973058');
INSERT INTO public.ecdc_import VALUES (13332, '02/09/2020', '2', '9', '2020', '897', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '248.45663084');
INSERT INTO public.ecdc_import VALUES (13333, '01/09/2020', '1', '9', '2020', '1588', '18', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '241.76032741');
INSERT INTO public.ecdc_import VALUES (13334, '31/08/2020', '31', '8', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '222.56293683');
INSERT INTO public.ecdc_import VALUES (13335, '30/08/2020', '30', '8', '2020', '1214', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '236.9857442');
INSERT INTO public.ecdc_import VALUES (13336, '29/08/2020', '29', '8', '2020', '1193', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '228.90263238');
INSERT INTO public.ecdc_import VALUES (13337, '28/08/2020', '28', '8', '2020', '985', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '221.15631688');
INSERT INTO public.ecdc_import VALUES (13338, '27/08/2020', '27', '8', '2020', '1002', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '222.87992161');
INSERT INTO public.ecdc_import VALUES (13339, '26/08/2020', '26', '8', '2020', '842', '14', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '213.9052901');
INSERT INTO public.ecdc_import VALUES (13340, '25/08/2020', '25', '8', '2020', '643', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '209.82411109');
INSERT INTO public.ecdc_import VALUES (13341, '24/08/2020', '24', '8', '2020', '736', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '208.69485282');
INSERT INTO public.ecdc_import VALUES (13342, '23/08/2020', '23', '8', '2020', '950', '8', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '217.96665756');
INSERT INTO public.ecdc_import VALUES (13343, '22/08/2020', '22', '8', '2020', '1059', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '199.16549795');
INSERT INTO public.ecdc_import VALUES (13344, '21/08/2020', '21', '8', '2020', '666', '12', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '198.21454362');
INSERT INTO public.ecdc_import VALUES (13345, '20/08/2020', '20', '8', '2020', '766', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '197.95699349');
INSERT INTO public.ecdc_import VALUES (13346, '19/08/2020', '19', '8', '2020', '559', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '194.27204545');
INSERT INTO public.ecdc_import VALUES (13347, '18/08/2020', '18', '8', '2020', '619', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '191.81541342');
INSERT INTO public.ecdc_import VALUES (13348, '17/08/2020', '17', '8', '2020', '728', '3', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '188.0115961');
INSERT INTO public.ecdc_import VALUES (13349, '16/08/2020', '16', '8', '2020', '806', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '189.20028901');
INSERT INTO public.ecdc_import VALUES (13350, '15/08/2020', '15', '8', '2020', '802', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '180.50301918');
INSERT INTO public.ecdc_import VALUES (13351, '14/08/2020', '14', '8', '2020', '1072', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '175.11427797');
INSERT INTO public.ecdc_import VALUES (13352, '13/08/2020', '13', '8', '2020', '549', '8', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '163.58395669');
INSERT INTO public.ecdc_import VALUES (13353, '12/08/2020', '12', '8', '2020', '636', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '161.74148267');
INSERT INTO public.ecdc_import VALUES (13354, '11/08/2020', '11', '8', '2020', '586', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '159.10654671');
INSERT INTO public.ecdc_import VALUES (13355, '10/08/2020', '10', '8', '2020', '1204', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '159.62164697');
INSERT INTO public.ecdc_import VALUES (13356, '09/08/2020', '9', '8', '2020', '1', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '148.23000653');
INSERT INTO public.ecdc_import VALUES (13357, '08/08/2020', '8', '8', '2020', '1011', '18', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '166.65474672');
INSERT INTO public.ecdc_import VALUES (13358, '07/08/2020', '7', '8', '2020', '653', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '157.32350733');
INSERT INTO public.ecdc_import VALUES (13359, '06/08/2020', '6', '8', '2020', '580', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '159.60183542');
INSERT INTO public.ecdc_import VALUES (13360, '05/08/2020', '5', '8', '2020', '435', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '159.00748896');
INSERT INTO public.ecdc_import VALUES (13361, '04/08/2020', '4', '8', '2020', '427', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '155.87726429');
INSERT INTO public.ecdc_import VALUES (13362, '03/08/2020', '3', '8', '2020', '788', '8', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '155.73858345');
INSERT INTO public.ecdc_import VALUES (13363, '02/08/2020', '2', '8', '2020', '367', '4', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '151.28098501');
INSERT INTO public.ecdc_import VALUES (13364, '01/08/2020', '1', '8', '2020', '530', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '155.54046796');
INSERT INTO public.ecdc_import VALUES (13365, '31/07/2020', '31', '7', '2020', '490', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '153.42063226');
INSERT INTO public.ecdc_import VALUES (13366, '30/07/2020', '30', '7', '2020', '456', '8', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '154.80744066');
INSERT INTO public.ecdc_import VALUES (13367, '29/07/2020', '29', '7', '2020', '503', '10', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '155.758395');
INSERT INTO public.ecdc_import VALUES (13368, '28/07/2020', '28', '7', '2020', '612', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '154.62913673');
INSERT INTO public.ecdc_import VALUES (13369, '27/07/2020', '27', '7', '2020', '629', '6', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '151.22155037');
INSERT INTO public.ecdc_import VALUES (13370, '26/07/2020', '26', '7', '2020', '931', '11', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '145.99130154');
INSERT INTO public.ecdc_import VALUES (13371, '25/07/2020', '25', '7', '2020', '540', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '135.19400756');
INSERT INTO public.ecdc_import VALUES (13372, '24/07/2020', '24', '7', '2020', '768', '9', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '131.62792882');
INSERT INTO public.ecdc_import VALUES (13373, '23/07/2020', '23', '7', '2020', '550', '3', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '129.27035453');
INSERT INTO public.ecdc_import VALUES (13374, '22/07/2020', '22', '7', '2020', '277', '2', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '125.30804482');
INSERT INTO public.ecdc_import VALUES (13375, '21/07/2020', '21', '7', '2020', '420', '4', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '124.67407526');
INSERT INTO public.ecdc_import VALUES (13376, '20/07/2020', '20', '7', '2020', '563', '8', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '121.20705426');
INSERT INTO public.ecdc_import VALUES (13377, '19/07/2020', '19', '7', '2020', '582', '7', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '117.48248312');
INSERT INTO public.ecdc_import VALUES (13378, '18/07/2020', '18', '7', '2020', '423', '5', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '112.09374191');
INSERT INTO public.ecdc_import VALUES (13379, '17/07/2020', '17', '7', '2020', '560', '2', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '109.41918285');
INSERT INTO public.ecdc_import VALUES (13380, '16/07/2020', '16', '7', '2020', '504', '4', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '103.67383376');
INSERT INTO public.ecdc_import VALUES (13381, '15/07/2020', '15', '7', '2020', '446', '5', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '99.51340856');
INSERT INTO public.ecdc_import VALUES (13382, '14/07/2020', '14', '7', '2020', '440', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '94.44165212');
INSERT INTO public.ecdc_import VALUES (13383, '13/07/2020', '13', '7', '2020', '365', '2', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '88.47837599');
INSERT INTO public.ecdc_import VALUES (13384, '12/07/2020', '12', '7', '2020', '386', '2', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '84.23870459');
INSERT INTO public.ecdc_import VALUES (13385, '11/07/2020', '11', '7', '2020', '360', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '79.42449829');
INSERT INTO public.ecdc_import VALUES (13386, '10/07/2020', '10', '7', '2020', '649', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '75.30369618');
INSERT INTO public.ecdc_import VALUES (13387, '09/07/2020', '9', '7', '2020', '350', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '65.79415286');
INSERT INTO public.ecdc_import VALUES (13388, '08/07/2020', '8', '7', '2020', '245', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '61.7724085');
INSERT INTO public.ecdc_import VALUES (13389, '07/07/2020', '7', '7', '2020', '245', '4', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '58.72143001');
INSERT INTO public.ecdc_import VALUES (13390, '06/07/2020', '6', '7', '2020', '375', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '55.13553972');
INSERT INTO public.ecdc_import VALUES (13391, '05/07/2020', '5', '7', '2020', '310', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '49.41000218');
INSERT INTO public.ecdc_import VALUES (13392, '04/07/2020', '4', '7', '2020', '288', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '44.63541897');
INSERT INTO public.ecdc_import VALUES (13393, '03/07/2020', '3', '7', '2020', '270', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '41.28726726');
INSERT INTO public.ecdc_import VALUES (13394, '02/07/2020', '2', '7', '2020', '294', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '37.28533444');
INSERT INTO public.ecdc_import VALUES (13395, '01/07/2020', '1', '7', '2020', '190', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '33.48151711');
INSERT INTO public.ecdc_import VALUES (13396, '30/06/2020', '30', '6', '2020', '139', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '30.2126116');
INSERT INTO public.ecdc_import VALUES (13397, '29/06/2020', '29', '6', '2020', '151', '3', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '28.03334125');
INSERT INTO public.ecdc_import VALUES (13398, '28/06/2020', '28', '6', '2020', '143', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '26.09180949');
INSERT INTO public.ecdc_import VALUES (13399, '27/06/2020', '27', '6', '2020', '152', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '24.24933547');
INSERT INTO public.ecdc_import VALUES (13400, '26/06/2020', '26', '6', '2020', '169', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '22.70403468');
INSERT INTO public.ecdc_import VALUES (13401, '25/06/2020', '25', '6', '2020', '147', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '20.88137221');
INSERT INTO public.ecdc_import VALUES (13402, '24/06/2020', '24', '6', '2020', '91', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '19.67286775');
INSERT INTO public.ecdc_import VALUES (13403, '23/06/2020', '23', '6', '2020', '64', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '18.52379793');
INSERT INTO public.ecdc_import VALUES (13404, '22/06/2020', '22', '6', '2020', '86', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '17.73133599');
INSERT INTO public.ecdc_import VALUES (13405, '21/06/2020', '21', '6', '2020', '69', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '17.11717798');
INSERT INTO public.ecdc_import VALUES (13406, '20/06/2020', '20', '6', '2020', '119', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '16.44358533');
INSERT INTO public.ecdc_import VALUES (13407, '19/06/2020', '19', '6', '2020', '68', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '14.7596037');
INSERT INTO public.ecdc_import VALUES (13408, '18/06/2020', '18', '6', '2020', '102', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '14.14544569');
INSERT INTO public.ecdc_import VALUES (13409, '17/06/2020', '17', '6', '2020', '25', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '13.15486826');
INSERT INTO public.ecdc_import VALUES (13410, '16/06/2020', '16', '6', '2020', '29', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '13.07562207');
INSERT INTO public.ecdc_import VALUES (13411, '15/06/2020', '15', '6', '2020', '53', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '13.05581052');
INSERT INTO public.ecdc_import VALUES (13412, '14/06/2020', '14', '6', '2020', '50', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '12.18410238');
INSERT INTO public.ecdc_import VALUES (13413, '13/06/2020', '13', '6', '2020', '74', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '11.68881367');
INSERT INTO public.ecdc_import VALUES (13414, '12/06/2020', '12', '6', '2020', '77', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '10.65861314');
INSERT INTO public.ecdc_import VALUES (13415, '11/06/2020', '11', '6', '2020', '86', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '9.45010868');
INSERT INTO public.ecdc_import VALUES (13416, '10/06/2020', '10', '6', '2020', '33', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '8.30103886');
INSERT INTO public.ecdc_import VALUES (13417, '09/06/2020', '9', '6', '2020', '24', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '7.7463155');
INSERT INTO public.ecdc_import VALUES (13418, '08/06/2020', '8', '6', '2020', '55', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '7.68688085');
INSERT INTO public.ecdc_import VALUES (13419, '07/06/2020', '7', '6', '2020', '35', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.83498426');
INSERT INTO public.ecdc_import VALUES (13420, '06/06/2020', '6', '6', '2020', '34', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.2802609');
INSERT INTO public.ecdc_import VALUES (13421, '05/06/2020', '5', '6', '2020', '37', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.76516064');
INSERT INTO public.ecdc_import VALUES (13422, '04/06/2020', '4', '6', '2020', '52', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.15100263');
INSERT INTO public.ecdc_import VALUES (13423, '03/06/2020', '3', '6', '2020', '21', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.41797534');
INSERT INTO public.ecdc_import VALUES (13424, '02/06/2020', '2', '6', '2020', '28', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.31891759');
INSERT INTO public.ecdc_import VALUES (13425, '01/06/2020', '1', '6', '2020', '9', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.82362888');
INSERT INTO public.ecdc_import VALUES (13426, '31/05/2020', '31', '5', '2020', '25', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.84344043');
INSERT INTO public.ecdc_import VALUES (13427, '30/05/2020', '30', '5', '2020', '22', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.5462672');
INSERT INTO public.ecdc_import VALUES (13428, '29/05/2020', '29', '5', '2020', '16', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.36796326');
INSERT INTO public.ecdc_import VALUES (13429, '28/05/2020', '28', '5', '2020', '28', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.34815171');
INSERT INTO public.ecdc_import VALUES (13430, '27/05/2020', '27', '5', '2020', '5', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.01135539');
INSERT INTO public.ecdc_import VALUES (13431, '26/05/2020', '26', '5', '2020', '21', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.97173229');
INSERT INTO public.ecdc_import VALUES (13432, '25/05/2020', '25', '5', '2020', '12', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.73399371');
INSERT INTO public.ecdc_import VALUES (13433, '24/05/2020', '24', '5', '2020', '7', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.73399371');
INSERT INTO public.ecdc_import VALUES (13434, '23/05/2020', '23', '5', '2020', '8', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.73399371');
INSERT INTO public.ecdc_import VALUES (13435, '22/05/2020', '22', '5', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.73399371');
INSERT INTO public.ecdc_import VALUES (13436, '21/05/2020', '21', '5', '2020', '15', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.69437061');
INSERT INTO public.ecdc_import VALUES (13437, '20/05/2020', '20', '5', '2020', '16', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.51606667');
INSERT INTO public.ecdc_import VALUES (13438, '19/05/2020', '19', '5', '2020', '3', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.45663202');
INSERT INTO public.ecdc_import VALUES (13439, '18/05/2020', '18', '5', '2020', '10', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.45663202');
INSERT INTO public.ecdc_import VALUES (13440, '17/05/2020', '17', '5', '2020', '10', '2', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.37738583');
INSERT INTO public.ecdc_import VALUES (13441, '16/05/2020', '16', '5', '2020', '13', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.33776273');
INSERT INTO public.ecdc_import VALUES (13442, '15/05/2020', '15', '5', '2020', '15', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.19908189');
INSERT INTO public.ecdc_import VALUES (13443, '14/05/2020', '14', '5', '2020', '11', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.02077796');
INSERT INTO public.ecdc_import VALUES (13444, '13/05/2020', '13', '5', '2020', '3', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.96134331');
INSERT INTO public.ecdc_import VALUES (13445, '12/05/2020', '12', '5', '2020', '9', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.06040105');
INSERT INTO public.ecdc_import VALUES (13446, '11/05/2020', '11', '5', '2020', '12', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.92172021');
INSERT INTO public.ecdc_import VALUES (13447, '10/05/2020', '10', '5', '2020', '7', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.72360473');
INSERT INTO public.ecdc_import VALUES (13448, '09/05/2020', '9', '5', '2020', '8', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.70379318');
INSERT INTO public.ecdc_import VALUES (13449, '08/05/2020', '8', '5', '2020', '4', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.54530079');
INSERT INTO public.ecdc_import VALUES (13450, '07/05/2020', '7', '5', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.58492389');
INSERT INTO public.ecdc_import VALUES (13451, '06/05/2020', '6', '5', '2020', '13', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.70379318');
INSERT INTO public.ecdc_import VALUES (13452, '05/05/2020', '5', '5', '2020', '3', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.58492389');
INSERT INTO public.ecdc_import VALUES (13453, '04/05/2020', '4', '5', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.56511234');
INSERT INTO public.ecdc_import VALUES (13454, '03/05/2020', '3', '5', '2020', '8', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.54530079');
INSERT INTO public.ecdc_import VALUES (13455, '02/05/2020', '2', '5', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.50567769');
INSERT INTO public.ecdc_import VALUES (13456, '01/05/2020', '1', '5', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.52548924');
INSERT INTO public.ecdc_import VALUES (13457, '30/04/2020', '30', '4', '2020', '8', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.72360473');
INSERT INTO public.ecdc_import VALUES (13458, '29/04/2020', '29', '4', '2020', '8', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.72360473');
INSERT INTO public.ecdc_import VALUES (13459, '28/04/2020', '28', '4', '2020', '2', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.68398163');
INSERT INTO public.ecdc_import VALUES (13460, '27/04/2020', '27', '4', '2020', '2', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '1.98115486');
INSERT INTO public.ecdc_import VALUES (13461, '26/04/2020', '26', '4', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.29813964');
INSERT INTO public.ecdc_import VALUES (13462, '25/04/2020', '25', '4', '2020', '0', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.55568977');
INSERT INTO public.ecdc_import VALUES (13463, '24/04/2020', '24', '4', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.93210919');
INSERT INTO public.ecdc_import VALUES (13464, '23/04/2020', '23', '4', '2020', '12', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.5462672');
INSERT INTO public.ecdc_import VALUES (13465, '22/04/2020', '22', '4', '2020', '7', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.68494804');
INSERT INTO public.ecdc_import VALUES (13466, '21/04/2020', '21', '4', '2020', '2', '2', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.86325197');
INSERT INTO public.ecdc_import VALUES (13467, '20/04/2020', '20', '4', '2020', '5', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.08117901');
INSERT INTO public.ecdc_import VALUES (13468, '19/04/2020', '19', '4', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.35854069');
INSERT INTO public.ecdc_import VALUES (13469, '18/04/2020', '18', '4', '2020', '7', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.61609082');
INSERT INTO public.ecdc_import VALUES (13470, '17/04/2020', '17', '4', '2020', '16', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.87364095');
INSERT INTO public.ecdc_import VALUES (13471, '16/04/2020', '16', '4', '2020', '8', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.9726987');
INSERT INTO public.ecdc_import VALUES (13472, '15/04/2020', '15', '4', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.36892967');
INSERT INTO public.ecdc_import VALUES (13473, '14/04/2020', '14', '4', '2020', '17', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.5868567');
INSERT INTO public.ecdc_import VALUES (13474, '13/04/2020', '13', '4', '2020', '18', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.56704515');
INSERT INTO public.ecdc_import VALUES (13475, '12/04/2020', '12', '4', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.5868567');
INSERT INTO public.ecdc_import VALUES (13476, '11/04/2020', '11', '4', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.84440683');
INSERT INTO public.ecdc_import VALUES (13477, '10/04/2020', '10', '4', '2020', '37', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.10195696');
INSERT INTO public.ecdc_import VALUES (13478, '09/04/2020', '9', '4', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.96327612');
INSERT INTO public.ecdc_import VALUES (13479, '08/04/2020', '8', '4', '2020', '16', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.06233387');
INSERT INTO public.ecdc_import VALUES (13480, '07/04/2020', '7', '4', '2020', '13', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.12176851');
INSERT INTO public.ecdc_import VALUES (13481, '06/04/2020', '6', '4', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.33969555');
INSERT INTO public.ecdc_import VALUES (13482, '05/04/2020', '5', '4', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.30007245');
INSERT INTO public.ecdc_import VALUES (13483, '04/04/2020', '4', '4', '2020', '20', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.00289922');
INSERT INTO public.ecdc_import VALUES (13484, '03/04/2020', '3', '4', '2020', '21', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.12176851');
INSERT INTO public.ecdc_import VALUES (13485, '02/04/2020', '2', '4', '2020', '28', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '6.06233387');
INSERT INTO public.ecdc_import VALUES (13486, '01/04/2020', '1', '4', '2020', '17', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.88402993');
INSERT INTO public.ecdc_import VALUES (13487, '31/03/2020', '31', '3', '2020', '16', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.72553754');
INSERT INTO public.ecdc_import VALUES (13488, '30/03/2020', '30', '3', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.52742206');
INSERT INTO public.ecdc_import VALUES (13489, '29/03/2020', '29', '3', '2020', '32', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '5.30949502');
INSERT INTO public.ecdc_import VALUES (13490, '28/03/2020', '28', '3', '2020', '32', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.69533702');
INSERT INTO public.ecdc_import VALUES (13491, '27/03/2020', '27', '3', '2020', '30', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '4.12080211');
INSERT INTO public.ecdc_import VALUES (13492, '26/03/2020', '26', '3', '2020', '24', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.5462672');
INSERT INTO public.ecdc_import VALUES (13493, '25/03/2020', '25', '3', '2020', '19', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '3.24909397');
INSERT INTO public.ecdc_import VALUES (13494, '24/03/2020', '24', '3', '2020', '24', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.95192074');
INSERT INTO public.ecdc_import VALUES (13495, '23/03/2020', '23', '3', '2020', '17', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.55568977');
INSERT INTO public.ecdc_import VALUES (13496, '22/03/2020', '22', '3', '2020', '4', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.29813964');
INSERT INTO public.ecdc_import VALUES (13497, '21/03/2020', '21', '3', '2020', '26', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '2.23870499');
INSERT INTO public.ecdc_import VALUES (13498, '20/03/2020', '20', '3', '2020', '18', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13499, '19/03/2020', '19', '3', '2020', '19', '1', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13500, '18/03/2020', '18', '3', '2020', '9', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13501, '17/03/2020', '17', '3', '2020', '6', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13502, '16/03/2020', '16', '3', '2020', '8', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13503, '15/03/2020', '15', '3', '2020', '1', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13504, '14/03/2020', '14', '3', '2020', '3', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13505, '13/03/2020', '13', '3', '2020', '1', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13506, '12/03/2020', '12', '3', '2020', '9', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13507, '11/03/2020', '11', '3', '2020', '4', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13508, '10/03/2020', '10', '3', '2020', '4', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13509, '09/03/2020', '9', '3', '2020', '4', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13510, '07/03/2020', '7', '3', '2020', '1', '0', '5047561', 'Costa_Rica', 'CR', 'CRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (13511, '14/12/2020', '14', '12', '2020', '41', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.43876197');
INSERT INTO public.ecdc_import VALUES (13512, '13/12/2020', '13', '12', '2020', '21', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.46987034');
INSERT INTO public.ecdc_import VALUES (13513, '12/12/2020', '12', '12', '2020', '28', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.50097871');
INSERT INTO public.ecdc_import VALUES (13514, '11/12/2020', '11', '12', '2020', '43', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.52042144');
INSERT INTO public.ecdc_import VALUES (13515, '10/12/2020', '10', '12', '2020', '34', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.47375889');
INSERT INTO public.ecdc_import VALUES (13516, '09/12/2020', '9', '12', '2020', '6', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.38821088');
INSERT INTO public.ecdc_import VALUES (13517, '08/12/2020', '8', '12', '2020', '22', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.39598797');
INSERT INTO public.ecdc_import VALUES (13518, '07/12/2020', '7', '12', '2020', '44', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.34932542');
INSERT INTO public.ecdc_import VALUES (13519, '06/12/2020', '6', '12', '2020', '29', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.22489195');
INSERT INTO public.ecdc_import VALUES (13520, '05/12/2020', '5', '12', '2020', '23', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.21711486');
INSERT INTO public.ecdc_import VALUES (13521, '04/12/2020', '4', '12', '2020', '28', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.18989504');
INSERT INTO public.ecdc_import VALUES (13522, '03/12/2020', '3', '12', '2020', '27', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.2287805');
INSERT INTO public.ecdc_import VALUES (13523, '02/12/2020', '2', '12', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.28322014');
INSERT INTO public.ecdc_import VALUES (13524, '01/12/2020', '1', '12', '2020', '21', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.33377124');
INSERT INTO public.ecdc_import VALUES (13525, '30/11/2020', '30', '11', '2020', '49', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.29877432');
INSERT INTO public.ecdc_import VALUES (13526, '29/11/2020', '29', '11', '2020', '29', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.2287805');
INSERT INTO public.ecdc_import VALUES (13527, '28/11/2020', '28', '11', '2020', '33', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.29488578');
INSERT INTO public.ecdc_import VALUES (13528, '27/11/2020', '27', '11', '2020', '31', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.23266904');
INSERT INTO public.ecdc_import VALUES (13529, '26/11/2020', '26', '11', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.21711486');
INSERT INTO public.ecdc_import VALUES (13530, '25/11/2020', '25', '11', '2020', '8', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.20156068');
INSERT INTO public.ecdc_import VALUES (13531, '24/11/2020', '24', '11', '2020', '10', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.21711486');
INSERT INTO public.ecdc_import VALUES (13532, '23/11/2020', '23', '11', '2020', '12', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.18989504');
INSERT INTO public.ecdc_import VALUES (13533, '22/11/2020', '22', '11', '2020', '27', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.21711486');
INSERT INTO public.ecdc_import VALUES (13534, '21/11/2020', '21', '11', '2020', '16', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.15878667');
INSERT INTO public.ecdc_import VALUES (13535, '20/11/2020', '20', '11', '2020', '38', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.14323249');
INSERT INTO public.ecdc_import VALUES (13536, '19/11/2020', '19', '11', '2020', '41', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.03824175');
INSERT INTO public.ecdc_import VALUES (13537, '18/11/2020', '18', '11', '2020', '16', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.92936246');
INSERT INTO public.ecdc_import VALUES (13538, '17/11/2020', '17', '11', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.91380828');
INSERT INTO public.ecdc_import VALUES (13539, '16/11/2020', '16', '11', '2020', '31', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.01102193');
INSERT INTO public.ecdc_import VALUES (13540, '15/11/2020', '15', '11', '2020', '46', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.89047701');
INSERT INTO public.ecdc_import VALUES (13541, '14/11/2020', '14', '11', '2020', '17', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.804929');
INSERT INTO public.ecdc_import VALUES (13542, '13/11/2020', '13', '11', '2020', '27', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.98769065');
INSERT INTO public.ecdc_import VALUES (13543, '12/11/2020', '12', '11', '2020', '8', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.16656376');
INSERT INTO public.ecdc_import VALUES (13544, '11/11/2020', '11', '11', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.39598797');
INSERT INTO public.ecdc_import VALUES (13545, '10/11/2020', '10', '11', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.35710251');
INSERT INTO public.ecdc_import VALUES (13546, '09/11/2020', '9', '11', '2020', '19', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.40765361');
INSERT INTO public.ecdc_import VALUES (13547, '08/11/2020', '8', '11', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.49320162');
INSERT INTO public.ecdc_import VALUES (13548, '07/11/2020', '7', '11', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.53986417');
INSERT INTO public.ecdc_import VALUES (13549, '06/11/2020', '6', '11', '2020', '11', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.5515298');
INSERT INTO public.ecdc_import VALUES (13550, '05/11/2020', '5', '11', '2020', '13', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.61374654');
INSERT INTO public.ecdc_import VALUES (13551, '04/11/2020', '4', '11', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.64485491');
INSERT INTO public.ecdc_import VALUES (13552, '03/11/2020', '3', '11', '2020', '37', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.66818618');
INSERT INTO public.ecdc_import VALUES (13553, '02/11/2020', '2', '11', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.52819853');
INSERT INTO public.ecdc_import VALUES (13554, '01/11/2020', '1', '11', '2020', '24', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.61374654');
INSERT INTO public.ecdc_import VALUES (13555, '31/10/2020', '31', '10', '2020', '64', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.62152363');
INSERT INTO public.ecdc_import VALUES (13556, '30/10/2020', '30', '10', '2020', '73', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.44265052');
INSERT INTO public.ecdc_import VALUES (13557, '29/10/2020', '29', '10', '2020', '67', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.31432851');
INSERT INTO public.ecdc_import VALUES (13558, '28/10/2020', '28', '10', '2020', '2', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.18600649');
INSERT INTO public.ecdc_import VALUES (13559, '27/10/2020', '27', '10', '2020', '16', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.28710868');
INSERT INTO public.ecdc_import VALUES (13560, '26/10/2020', '26', '10', '2020', '41', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.2287805');
INSERT INTO public.ecdc_import VALUES (13561, '25/10/2020', '25', '10', '2020', '24', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.17045231');
INSERT INTO public.ecdc_import VALUES (13562, '24/10/2020', '24', '10', '2020', '15', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.43487343');
INSERT INTO public.ecdc_import VALUES (13563, '23/10/2020', '23', '10', '2020', '27', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.58652672');
INSERT INTO public.ecdc_import VALUES (13564, '22/10/2020', '22', '10', '2020', '21', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.66429763');
INSERT INTO public.ecdc_import VALUES (13565, '21/10/2020', '21', '10', '2020', '18', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.70707164');
INSERT INTO public.ecdc_import VALUES (13566, '20/10/2020', '20', '10', '2020', '1', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.70707164');
INSERT INTO public.ecdc_import VALUES (13567, '19/10/2020', '19', '10', '2020', '22', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.71484873');
INSERT INTO public.ecdc_import VALUES (13568, '18/10/2020', '18', '10', '2020', '26', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.75762274');
INSERT INTO public.ecdc_import VALUES (13569, '17/10/2020', '17', '10', '2020', '18', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.87427911');
INSERT INTO public.ecdc_import VALUES (13570, '16/10/2020', '16', '10', '2020', '40', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.95205003');
INSERT INTO public.ecdc_import VALUES (13571, '15/10/2020', '15', '10', '2020', '34', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.91705312');
INSERT INTO public.ecdc_import VALUES (13572, '14/10/2020', '14', '10', '2020', '28', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.99871258');
INSERT INTO public.ecdc_import VALUES (13573, '13/10/2020', '13', '10', '2020', '1', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.99871258');
INSERT INTO public.ecdc_import VALUES (13574, '12/10/2020', '12', '10', '2020', '26', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.04148658');
INSERT INTO public.ecdc_import VALUES (13575, '11/10/2020', '11', '10', '2020', '92', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.05315222');
INSERT INTO public.ecdc_import VALUES (13576, '10/10/2020', '10', '10', '2020', '54', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.86650202');
INSERT INTO public.ecdc_import VALUES (13577, '09/10/2020', '9', '10', '2020', '47', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.87039057');
INSERT INTO public.ecdc_import VALUES (13578, '08/10/2020', '8', '10', '2020', '32', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.96371567');
INSERT INTO public.ecdc_import VALUES (13579, '07/10/2020', '7', '10', '2020', '18', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.17758569');
INSERT INTO public.ecdc_import VALUES (13580, '06/10/2020', '6', '10', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.1698086');
INSERT INTO public.ecdc_import VALUES (13581, '05/10/2020', '5', '10', '2020', '33', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.18536278');
INSERT INTO public.ecdc_import VALUES (13582, '04/10/2020', '4', '10', '2020', '56', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.25535661');
INSERT INTO public.ecdc_import VALUES (13583, '03/10/2020', '3', '10', '2020', '38', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.3059077');
INSERT INTO public.ecdc_import VALUES (13584, '02/10/2020', '2', '10', '2020', '31', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.32146189');
INSERT INTO public.ecdc_import VALUES (13585, '01/10/2020', '1', '10', '2020', '55', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.30201916');
INSERT INTO public.ecdc_import VALUES (13586, '30/09/2020', '30', '9', '2020', '28', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.2125826');
INSERT INTO public.ecdc_import VALUES (13587, '29/09/2020', '29', '9', '2020', '12', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.23591388');
INSERT INTO public.ecdc_import VALUES (13588, '28/09/2020', '28', '9', '2020', '29', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.39534426');
INSERT INTO public.ecdc_import VALUES (13589, '27/09/2020', '27', '9', '2020', '44', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.38367862');
INSERT INTO public.ecdc_import VALUES (13590, '26/09/2020', '26', '9', '2020', '55', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.48866936');
INSERT INTO public.ecdc_import VALUES (13591, '25/09/2020', '25', '9', '2020', '71', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.45756099');
INSERT INTO public.ecdc_import VALUES (13592, '24/09/2020', '24', '9', '2020', '87', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.39145571');
INSERT INTO public.ecdc_import VALUES (13593, '23/09/2020', '23', '9', '2020', '16', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.19702842');
INSERT INTO public.ecdc_import VALUES (13594, '22/09/2020', '22', '9', '2020', '7', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.43422972');
INSERT INTO public.ecdc_import VALUES (13595, '21/09/2020', '21', '9', '2020', '51', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.84641558');
INSERT INTO public.ecdc_import VALUES (13596, '20/09/2020', '20', '9', '2020', '69', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.09917106');
INSERT INTO public.ecdc_import VALUES (13597, '19/09/2020', '19', '9', '2020', '42', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.62023621');
INSERT INTO public.ecdc_import VALUES (13598, '18/09/2020', '18', '9', '2020', '26', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.69411858');
INSERT INTO public.ecdc_import VALUES (13599, '17/09/2020', '17', '9', '2020', '32', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.77577805');
INSERT INTO public.ecdc_import VALUES (13600, '16/09/2020', '16', '9', '2020', '34', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.87688024');
INSERT INTO public.ecdc_import VALUES (13601, '15/09/2020', '15', '9', '2020', '53', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.88465733');
INSERT INTO public.ecdc_import VALUES (13602, '14/09/2020', '14', '9', '2020', '26', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.14130136');
INSERT INTO public.ecdc_import VALUES (13603, '13/09/2020', '13', '9', '2020', '71', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.25406919');
INSERT INTO public.ecdc_import VALUES (13604, '12/09/2020', '12', '9', '2020', '47', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.35128284');
INSERT INTO public.ecdc_import VALUES (13605, '11/09/2020', '11', '9', '2020', '54', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.53793304');
INSERT INTO public.ecdc_import VALUES (13606, '10/09/2020', '10', '9', '2020', '37', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.7129176');
INSERT INTO public.ecdc_import VALUES (13607, '09/09/2020', '9', '9', '2020', '77', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.72847179');
INSERT INTO public.ecdc_import VALUES (13608, '08/09/2020', '8', '9', '2020', '113', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.64681232');
INSERT INTO public.ecdc_import VALUES (13609, '07/09/2020', '7', '9', '2020', '116', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.34350574');
INSERT INTO public.ecdc_import VALUES (13610, '06/09/2020', '6', '9', '2020', '203', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.26962337');
INSERT INTO public.ecdc_import VALUES (13611, '05/09/2020', '5', '9', '2020', '61', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.7291155');
INSERT INTO public.ecdc_import VALUES (13612, '04/09/2020', '4', '9', '2020', '47', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.7291155');
INSERT INTO public.ecdc_import VALUES (13613, '03/09/2020', '3', '9', '2020', '58', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.61245912');
INSERT INTO public.ecdc_import VALUES (13614, '02/09/2020', '2', '9', '2020', '36', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.70578422');
INSERT INTO public.ecdc_import VALUES (13615, '01/09/2020', '1', '9', '2020', '119', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.04797626');
INSERT INTO public.ecdc_import VALUES (13616, '31/08/2020', '31', '8', '2020', '55', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.5852393');
INSERT INTO public.ecdc_import VALUES (13617, '30/08/2020', '30', '8', '2020', '96', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.49969129');
INSERT INTO public.ecdc_import VALUES (13618, '29/08/2020', '29', '8', '2020', '95', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.35192655');
INSERT INTO public.ecdc_import VALUES (13619, '28/08/2020', '28', '8', '2020', '99', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.1613878');
INSERT INTO public.ecdc_import VALUES (13620, '27/08/2020', '27', '8', '2020', '41', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.93974068');
INSERT INTO public.ecdc_import VALUES (13621, '26/08/2020', '26', '8', '2020', '56', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.7803103');
INSERT INTO public.ecdc_import VALUES (13622, '25/08/2020', '25', '8', '2020', '35', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.75309048');
INSERT INTO public.ecdc_import VALUES (13623, '24/08/2020', '24', '8', '2020', '97', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.93974068');
INSERT INTO public.ecdc_import VALUES (13624, '23/08/2020', '23', '8', '2020', '64', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.93196359');
INSERT INTO public.ecdc_import VALUES (13625, '22/08/2020', '22', '8', '2020', '61', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.05639706');
INSERT INTO public.ecdc_import VALUES (13626, '21/08/2020', '21', '8', '2020', '17', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.11861379');
INSERT INTO public.ecdc_import VALUES (13627, '20/08/2020', '20', '8', '2020', '82', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.43358601');
INSERT INTO public.ecdc_import VALUES (13628, '19/08/2020', '19', '8', '2020', '124', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.33248382');
INSERT INTO public.ecdc_import VALUES (13629, '18/08/2020', '18', '8', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.13416798');
INSERT INTO public.ecdc_import VALUES (13630, '17/08/2020', '17', '8', '2020', '33', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.28193272');
INSERT INTO public.ecdc_import VALUES (13631, '16/08/2020', '16', '8', '2020', '58', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.43747455');
INSERT INTO public.ecdc_import VALUES (13632, '15/08/2020', '15', '8', '2020', '46', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.45302874');
INSERT INTO public.ecdc_import VALUES (13633, '14/08/2020', '14', '8', '2020', '42', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.54246529');
INSERT INTO public.ecdc_import VALUES (13634, '13/08/2020', '13', '8', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.02075644');
INSERT INTO public.ecdc_import VALUES (13635, '12/08/2020', '12', '8', '2020', '49', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.40961102');
INSERT INTO public.ecdc_import VALUES (13636, '11/08/2020', '11', '8', '2020', '83', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.44460794');
INSERT INTO public.ecdc_import VALUES (13637, '10/08/2020', '10', '8', '2020', '95', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.35128284');
INSERT INTO public.ecdc_import VALUES (13638, '09/08/2020', '9', '8', '2020', '96', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.37850266');
INSERT INTO public.ecdc_import VALUES (13639, '08/08/2020', '8', '8', '2020', '77', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.94234181');
INSERT INTO public.ecdc_import VALUES (13640, '07/08/2020', '7', '8', '2020', '98', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '5.62283734');
INSERT INTO public.ecdc_import VALUES (13641, '06/08/2020', '6', '8', '2020', '56', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '7.0693764');
INSERT INTO public.ecdc_import VALUES (13642, '05/08/2020', '5', '8', '2020', '73', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '6.85161783');
INSERT INTO public.ecdc_import VALUES (13643, '04/08/2020', '4', '8', '2020', '38', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '7.41934553');
INSERT INTO public.ecdc_import VALUES (13644, '03/08/2020', '3', '8', '2020', '73', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '8.02207014');
INSERT INTO public.ecdc_import VALUES (13645, '02/08/2020', '2', '8', '2020', '62', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '8.54313529');
INSERT INTO public.ecdc_import VALUES (13646, '01/08/2020', '1', '8', '2020', '69', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '9.14197135');
INSERT INTO public.ecdc_import VALUES (13647, '31/07/2020', '31', '7', '2020', '165', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '9.4258352');
INSERT INTO public.ecdc_import VALUES (13648, '30/07/2020', '30', '7', '2020', '100', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '9.37139556');
INSERT INTO public.ecdc_import VALUES (13649, '29/07/2020', '29', '7', '2020', '58', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '10.40574876');
INSERT INTO public.ecdc_import VALUES (13650, '28/07/2020', '28', '7', '2020', '59', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '10.82182317');
INSERT INTO public.ecdc_import VALUES (13651, '27/07/2020', '27', '7', '2020', '102', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '11.00458483');
INSERT INTO public.ecdc_import VALUES (13652, '26/07/2020', '26', '7', '2020', '241', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '11.86395347');
INSERT INTO public.ecdc_import VALUES (13653, '25/07/2020', '25', '7', '2020', '252', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '12.44723535');
INSERT INTO public.ecdc_import VALUES (13654, '24/07/2020', '24', '7', '2020', '470', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '12.64166264');
INSERT INTO public.ecdc_import VALUES (13655, '23/07/2020', '23', '7', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '11.77062837');
INSERT INTO public.ecdc_import VALUES (13656, '22/07/2020', '22', '7', '2020', '219', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.86266605');
INSERT INTO public.ecdc_import VALUES (13657, '21/07/2020', '21', '7', '2020', '193', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.0110745');
INSERT INTO public.ecdc_import VALUES (13658, '20/07/2020', '20', '7', '2020', '207', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.01496305');
INSERT INTO public.ecdc_import VALUES (13659, '19/07/2020', '19', '7', '2020', '216', '4', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.41548327');
INSERT INTO public.ecdc_import VALUES (13660, '18/07/2020', '18', '7', '2020', '142', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.42326036');
INSERT INTO public.ecdc_import VALUES (13661, '17/07/2020', '17', '7', '2020', '151', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.85100041');
INSERT INTO public.ecdc_import VALUES (13662, '16/07/2020', '16', '7', '2020', '366', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.39150829');
INSERT INTO public.ecdc_import VALUES (13663, '15/07/2020', '15', '7', '2020', '165', '3', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.75767531');
INSERT INTO public.ecdc_import VALUES (13664, '14/07/2020', '14', '7', '2020', '106', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.22430081');
INSERT INTO public.ecdc_import VALUES (13665, '13/07/2020', '13', '7', '2020', '323', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.86202234');
INSERT INTO public.ecdc_import VALUES (13666, '12/07/2020', '12', '7', '2020', '391', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.40317392');
INSERT INTO public.ecdc_import VALUES (13667, '11/07/2020', '11', '7', '2020', '302', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.45761357');
INSERT INTO public.ecdc_import VALUES (13668, '10/07/2020', '10', '7', '2020', '246', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.94432551');
INSERT INTO public.ecdc_import VALUES (13669, '09/07/2020', '9', '7', '2020', '538', '3', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.99876515');
INSERT INTO public.ecdc_import VALUES (13670, '08/07/2020', '8', '7', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '11.90672747');
INSERT INTO public.ecdc_import VALUES (13671, '07/07/2020', '7', '7', '2020', '194', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.50880837');
INSERT INTO public.ecdc_import VALUES (13672, '06/07/2020', '6', '7', '2020', '310', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '12.75443047');
INSERT INTO public.ecdc_import VALUES (13673, '05/07/2020', '5', '7', '2020', '218', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '13.9521026');
INSERT INTO public.ecdc_import VALUES (13674, '04/07/2020', '4', '7', '2020', '252', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.77647433');
INSERT INTO public.ecdc_import VALUES (13675, '03/07/2020', '3', '7', '2020', '290', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '15.27809675');
INSERT INTO public.ecdc_import VALUES (13676, '02/07/2020', '2', '7', '2020', '203', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.15041844');
INSERT INTO public.ecdc_import VALUES (13677, '01/07/2020', '1', '7', '2020', '285', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.85424525');
INSERT INTO public.ecdc_import VALUES (13678, '30/06/2020', '30', '6', '2020', '270', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.67926068');
INSERT INTO public.ecdc_import VALUES (13679, '29/06/2020', '29', '6', '2020', '205', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '15.00978708');
INSERT INTO public.ecdc_import VALUES (13680, '28/06/2020', '28', '6', '2020', '405', '4', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '15.130332');
INSERT INTO public.ecdc_import VALUES (13681, '27/06/2020', '27', '6', '2020', '170', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.19319245');
INSERT INTO public.ecdc_import VALUES (13682, '26/06/2020', '26', '6', '2020', '260', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.62093249');
INSERT INTO public.ecdc_import VALUES (13683, '25/06/2020', '25', '6', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.4770563');
INSERT INTO public.ecdc_import VALUES (13684, '24/06/2020', '24', '6', '2020', '412', '4', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '15.20032583');
INSERT INTO public.ecdc_import VALUES (13685, '23/06/2020', '23', '6', '2020', '0', '3', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.04153916');
INSERT INTO public.ecdc_import VALUES (13686, '22/06/2020', '22', '6', '2020', '618', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '14.59371267');
INSERT INTO public.ecdc_import VALUES (13687, '21/06/2020', '21', '6', '2020', '430', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '12.89830667');
INSERT INTO public.ecdc_import VALUES (13688, '20/06/2020', '20', '6', '2020', '381', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '11.71618872');
INSERT INTO public.ecdc_import VALUES (13689, '19/06/2020', '19', '6', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '10.891817');
INSERT INTO public.ecdc_import VALUES (13690, '18/06/2020', '18', '6', '2020', '384', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '11.81729092');
INSERT INTO public.ecdc_import VALUES (13691, '17/06/2020', '17', '6', '2020', '240', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '10.3240893');
INSERT INTO public.ecdc_import VALUES (13692, '16/06/2020', '16', '6', '2020', '355', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '9.67470214');
INSERT INTO public.ecdc_import VALUES (13693, '15/06/2020', '15', '6', '2020', '236', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '8.75311677');
INSERT INTO public.ecdc_import VALUES (13694, '14/06/2020', '14', '6', '2020', '164', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '7.9676305');
INSERT INTO public.ecdc_import VALUES (13695, '13/06/2020', '13', '6', '2020', '280', '4', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '7.52044772');
INSERT INTO public.ecdc_import VALUES (13696, '12/06/2020', '12', '6', '2020', '223', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '6.85550638');
INSERT INTO public.ecdc_import VALUES (13697, '11/06/2020', '11', '6', '2020', '186', '3', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '6.31888705');
INSERT INTO public.ecdc_import VALUES (13698, '10/06/2020', '10', '6', '2020', '114', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '5.90281264');
INSERT INTO public.ecdc_import VALUES (13699, '09/06/2020', '9', '6', '2020', '142', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '5.66949989');
INSERT INTO public.ecdc_import VALUES (13700, '08/06/2020', '8', '6', '2020', '182', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '5.30008803');
INSERT INTO public.ecdc_import VALUES (13701, '07/06/2020', '7', '6', '2020', '126', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.63125814');
INSERT INTO public.ecdc_import VALUES (13702, '06/06/2020', '6', '6', '2020', '169', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.39405684');
INSERT INTO public.ecdc_import VALUES (13703, '05/06/2020', '5', '6', '2020', '238', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '4.0090908');
INSERT INTO public.ecdc_import VALUES (13704, '04/06/2020', '4', '6', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.08361688');
INSERT INTO public.ecdc_import VALUES (13705, '03/06/2020', '3', '6', '2020', '73', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.38692346');
INSERT INTO public.ecdc_import VALUES (13706, '02/06/2020', '2', '6', '2020', '118', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '3.23527017');
INSERT INTO public.ecdc_import VALUES (13707, '01/06/2020', '1', '6', '2020', '34', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.81530721');
INSERT INTO public.ecdc_import VALUES (13708, '31/05/2020', '31', '5', '2020', '49', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.86974686');
INSERT INTO public.ecdc_import VALUES (13709, '30/05/2020', '30', '5', '2020', '109', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.85030413');
INSERT INTO public.ecdc_import VALUES (13710, '29/05/2020', '29', '5', '2020', '85', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.60532574');
INSERT INTO public.ecdc_import VALUES (13711, '28/05/2020', '28', '5', '2020', '79', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.50422354');
INSERT INTO public.ecdc_import VALUES (13712, '27/05/2020', '27', '5', '2020', '54', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.41089844');
INSERT INTO public.ecdc_import VALUES (13713, '26/05/2020', '26', '5', '2020', '47', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.69476229');
INSERT INTO public.ecdc_import VALUES (13714, '25/05/2020', '25', '5', '2020', '10', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.62865701');
INSERT INTO public.ecdc_import VALUES (13715, '24/05/2020', '24', '5', '2020', '65', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.71809357');
INSERT INTO public.ecdc_import VALUES (13716, '23/05/2020', '23', '5', '2020', '70', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.71809357');
INSERT INTO public.ecdc_import VALUES (13717, '22/05/2020', '22', '5', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.56644028');
INSERT INTO public.ecdc_import VALUES (13718, '21/05/2020', '21', '5', '2020', '78', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.7803103');
INSERT INTO public.ecdc_import VALUES (13719, '20/05/2020', '20', '5', '2020', '34', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.67920811');
INSERT INTO public.ecdc_import VALUES (13720, '19/05/2020', '19', '5', '2020', '10', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.67143102');
INSERT INTO public.ecdc_import VALUES (13721, '18/05/2020', '18', '5', '2020', '48', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.76475612');
INSERT INTO public.ecdc_import VALUES (13722, '17/05/2020', '17', '5', '2020', '44', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.71809357');
INSERT INTO public.ecdc_import VALUES (13723, '16/05/2020', '16', '5', '2020', '46', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.65976538');
INSERT INTO public.ecdc_import VALUES (13724, '15/05/2020', '15', '5', '2020', '59', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.70642793');
INSERT INTO public.ecdc_import VALUES (13725, '14/05/2020', '14', '5', '2020', '55', '3', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.62087992');
INSERT INTO public.ecdc_import VALUES (13726, '13/05/2020', '13', '5', '2020', '127', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.62087992');
INSERT INTO public.ecdc_import VALUES (13727, '12/05/2020', '12', '5', '2020', '30', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.20091697');
INSERT INTO public.ecdc_import VALUES (13728, '11/05/2020', '11', '5', '2020', '33', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.13870023');
INSERT INTO public.ecdc_import VALUES (13729, '10/05/2020', '10', '5', '2020', '65', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.16203151');
INSERT INTO public.ecdc_import VALUES (13730, '09/05/2020', '9', '5', '2020', '31', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.04148658');
INSERT INTO public.ecdc_import VALUES (13731, '08/05/2020', '8', '5', '2020', '55', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.20480551');
INSERT INTO public.ecdc_import VALUES (13732, '07/05/2020', '7', '5', '2020', '52', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.19313987');
INSERT INTO public.ecdc_import VALUES (13733, '06/05/2020', '6', '5', '2020', '32', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.13092314');
INSERT INTO public.ecdc_import VALUES (13734, '05/05/2020', '5', '5', '2020', '34', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.15036587');
INSERT INTO public.ecdc_import VALUES (13735, '04/05/2020', '4', '5', '2020', '36', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.14258878');
INSERT INTO public.ecdc_import VALUES (13736, '03/05/2020', '3', '5', '2020', '29', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.18147424');
INSERT INTO public.ecdc_import VALUES (13737, '02/05/2020', '2', '5', '2020', '58', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.29813061');
INSERT INTO public.ecdc_import VALUES (13738, '01/05/2020', '1', '5', '2020', '37', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.28257643');
INSERT INTO public.ecdc_import VALUES (13739, '30/04/2020', '30', '4', '2020', '55', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.27091079');
INSERT INTO public.ecdc_import VALUES (13740, '29/04/2020', '29', '4', '2020', '19', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.16592005');
INSERT INTO public.ecdc_import VALUES (13741, '28/04/2020', '28', '4', '2020', '14', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.09203768');
INSERT INTO public.ecdc_import VALUES (13742, '27/04/2020', '27', '4', '2020', '39', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.23980242');
INSERT INTO public.ecdc_import VALUES (13743, '26/04/2020', '26', '4', '2020', '34', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.24757952');
INSERT INTO public.ecdc_import VALUES (13744, '25/04/2020', '25', '4', '2020', '73', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.32146189');
INSERT INTO public.ecdc_import VALUES (13745, '24/04/2020', '24', '4', '2020', '52', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.17758569');
INSERT INTO public.ecdc_import VALUES (13746, '23/04/2020', '23', '4', '2020', '36', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.20869406');
INSERT INTO public.ecdc_import VALUES (13747, '22/04/2020', '22', '4', '2020', '37', '3', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.20480551');
INSERT INTO public.ecdc_import VALUES (13748, '21/04/2020', '21', '4', '2020', '32', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.16203151');
INSERT INTO public.ecdc_import VALUES (13749, '20/04/2020', '20', '4', '2020', '46', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.27868788');
INSERT INTO public.ecdc_import VALUES (13750, '19/04/2020', '19', '4', '2020', '59', '2', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.16203151');
INSERT INTO public.ecdc_import VALUES (13751, '18/04/2020', '18', '4', '2020', '54', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '2.03759804');
INSERT INTO public.ecdc_import VALUES (13752, '17/04/2020', '17', '4', '2020', '34', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.92094166');
INSERT INTO public.ecdc_import VALUES (13753, '16/04/2020', '16', '4', '2020', '28', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.80428529');
INSERT INTO public.ecdc_import VALUES (13754, '15/04/2020', '15', '4', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.78095401');
INSERT INTO public.ecdc_import VALUES (13755, '14/04/2020', '14', '4', '2020', '52', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.78095401');
INSERT INTO public.ecdc_import VALUES (13756, '13/04/2020', '13', '4', '2020', '41', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.59041526');
INSERT INTO public.ecdc_import VALUES (13757, '12/04/2020', '12', '4', '2020', '53', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.52819853');
INSERT INTO public.ecdc_import VALUES (13758, '11/04/2020', '11', '4', '2020', '36', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.47375889');
INSERT INTO public.ecdc_import VALUES (13759, '10/04/2020', '10', '4', '2020', '60', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.35321396');
INSERT INTO public.ecdc_import VALUES (13760, '09/04/2020', '9', '4', '2020', '35', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.18211795');
INSERT INTO public.ecdc_import VALUES (13761, '08/04/2020', '8', '4', '2020', '26', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.07323866');
INSERT INTO public.ecdc_import VALUES (13762, '07/04/2020', '7', '4', '2020', '62', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '1.15878667');
INSERT INTO public.ecdc_import VALUES (13763, '06/04/2020', '6', '4', '2020', '16', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.91769683');
INSERT INTO public.ecdc_import VALUES (13764, '05/04/2020', '5', '4', '2020', '27', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.88658846');
INSERT INTO public.ecdc_import VALUES (13765, '04/04/2020', '4', '4', '2020', '24', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.79326336');
INSERT INTO public.ecdc_import VALUES (13766, '03/04/2020', '3', '4', '2020', '4', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.71938099');
INSERT INTO public.ecdc_import VALUES (13767, '02/04/2020', '2', '4', '2020', '22', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.71549244');
INSERT INTO public.ecdc_import VALUES (13768, '01/04/2020', '1', '4', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.63383298');
INSERT INTO public.ecdc_import VALUES (13769, '31/03/2020', '31', '3', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.63383298');
INSERT INTO public.ecdc_import VALUES (13770, '30/03/2020', '30', '3', '2020', '25', '1', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.62605589');
INSERT INTO public.ecdc_import VALUES (13771, '29/03/2020', '29', '3', '2020', '39', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.52884224');
INSERT INTO public.ecdc_import VALUES (13772, '28/03/2020', '28', '3', '2020', '5', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.38885459');
INSERT INTO public.ecdc_import VALUES (13773, '27/03/2020', '27', '3', '2020', '16', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '0.3733004');
INSERT INTO public.ecdc_import VALUES (13774, '26/03/2020', '26', '3', '2020', '7', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13775, '25/03/2020', '25', '3', '2020', '48', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13776, '24/03/2020', '24', '3', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13777, '23/03/2020', '23', '3', '2020', '8', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13778, '22/03/2020', '22', '3', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13779, '21/03/2020', '21', '3', '2020', '5', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13780, '20/03/2020', '20', '3', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13781, '19/03/2020', '19', '3', '2020', '1', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13782, '18/03/2020', '18', '3', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13783, '17/03/2020', '17', '3', '2020', '1', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13784, '16/03/2020', '16', '3', '2020', '0', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13785, '15/03/2020', '15', '3', '2020', '3', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13786, '12/03/2020', '12', '3', '2020', '1', '0', '25716554', 'Cote_dIvoire', 'CI', 'CIV', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (13787, '14/12/2020', '14', '12', '2020', '3363', '78', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1208.80830058');
INSERT INTO public.ecdc_import VALUES (13788, '13/12/2020', '13', '12', '2020', '4135', '78', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1197.91592558');
INSERT INTO public.ecdc_import VALUES (13789, '12/12/2020', '12', '12', '2020', '4396', '64', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1194.28513392');
INSERT INTO public.ecdc_import VALUES (13790, '11/12/2020', '11', '12', '2020', '4620', '53', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1186.53290307');
INSERT INTO public.ecdc_import VALUES (13791, '10/12/2020', '10', '12', '2020', '4520', '69', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1171.54362126');
INSERT INTO public.ecdc_import VALUES (13792, '09/12/2020', '9', '12', '2020', '2613', '65', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1149.04743237');
INSERT INTO public.ecdc_import VALUES (13793, '08/12/2020', '8', '12', '2020', '1886', '59', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1141.9330433');
INSERT INTO public.ecdc_import VALUES (13794, '07/12/2020', '7', '12', '2020', '2899', '72', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1144.06736002');
INSERT INTO public.ecdc_import VALUES (13795, '06/12/2020', '6', '12', '2020', '4084', '70', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1154.10110185');
INSERT INTO public.ecdc_import VALUES (13796, '05/12/2020', '5', '12', '2020', '3955', '68', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1141.56505765');
INSERT INTO public.ecdc_import VALUES (13797, '04/12/2020', '4', '12', '2020', '4534', '48', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1117.10627867');
INSERT INTO public.ecdc_import VALUES (13798, '03/12/2020', '3', '12', '2020', '3539', '55', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1083.49692339');
INSERT INTO public.ecdc_import VALUES (13799, '02/12/2020', '2', '12', '2020', '2900', '75', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1076.43159907');
INSERT INTO public.ecdc_import VALUES (13800, '01/12/2020', '1', '12', '2020', '1830', '74', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1053.00317989');
INSERT INTO public.ecdc_import VALUES (13801, '30/11/2020', '30', '11', '2020', '2919', '57', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1040.31994144');
INSERT INTO public.ecdc_import VALUES (13802, '29/11/2020', '29', '11', '2020', '3987', '55', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1026.65540794');
INSERT INTO public.ecdc_import VALUES (13803, '28/11/2020', '28', '11', '2020', '4080', '48', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '999.15461432');
INSERT INTO public.ecdc_import VALUES (13804, '27/11/2020', '27', '11', '2020', '4009', '51', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '974.03346118');
INSERT INTO public.ecdc_import VALUES (13805, '26/11/2020', '26', '11', '2020', '3603', '56', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '951.29194852');
INSERT INTO public.ecdc_import VALUES (13806, '25/11/2020', '25', '11', '2020', '2323', '47', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '926.61237815');
INSERT INTO public.ecdc_import VALUES (13807, '24/11/2020', '24', '11', '2020', '1973', '45', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '905.6126642');
INSERT INTO public.ecdc_import VALUES (13808, '23/11/2020', '23', '11', '2020', '3308', '49', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '894.72028921');
INSERT INTO public.ecdc_import VALUES (13809, '22/11/2020', '22', '11', '2020', '3573', '47', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '875.95302148');
INSERT INTO public.ecdc_import VALUES (13810, '21/11/2020', '21', '11', '2020', '2958', '57', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '847.15201192');
INSERT INTO public.ecdc_import VALUES (13811, '20/11/2020', '20', '11', '2020', '3164', '49', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '845.48381035');
INSERT INTO public.ecdc_import VALUES (13812, '19/11/2020', '19', '11', '2020', '3251', '38', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '837.7315795');
INSERT INTO public.ecdc_import VALUES (13813, '18/11/2020', '18', '11', '2020', '1945', '31', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '818.81711751');
INSERT INTO public.ecdc_import VALUES (13814, '17/11/2020', '17', '11', '2020', '1313', '33', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '806.10934669');
INSERT INTO public.ecdc_import VALUES (13815, '16/11/2020', '16', '11', '2020', '2362', '43', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '802.47855502');
INSERT INTO public.ecdc_import VALUES (13816, '15/11/2020', '15', '11', '2020', '2866', '38', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '797.98913019');
INSERT INTO public.ecdc_import VALUES (13817, '14/11/2020', '14', '11', '2020', '3056', '43', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '795.60948971');
INSERT INTO public.ecdc_import VALUES (13818, '13/11/2020', '13', '11', '2020', '3082', '32', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '788.6422949');
INSERT INTO public.ecdc_import VALUES (13819, '12/11/2020', '12', '11', '2020', '2597', '28', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '781.13538781');
INSERT INTO public.ecdc_import VALUES (13820, '11/11/2020', '11', '11', '2020', '1467', '33', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '775.76279744');
INSERT INTO public.ecdc_import VALUES (13821, '10/11/2020', '10', '11', '2020', '1529', '38', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '774.43804913');
INSERT INTO public.ecdc_import VALUES (13822, '09/11/2020', '9', '11', '2020', '2543', '42', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '757.24085347');
INSERT INTO public.ecdc_import VALUES (13823, '08/11/2020', '8', '11', '2020', '2399', '35', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '754.24790359');
INSERT INTO public.ecdc_import VALUES (13824, '07/11/2020', '7', '11', '2020', '2890', '34', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '750.39632054');
INSERT INTO public.ecdc_import VALUES (13825, '06/11/2020', '6', '11', '2020', '2848', '29', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '725.29969977');
INSERT INTO public.ecdc_import VALUES (13826, '05/11/2020', '5', '11', '2020', '2480', '26', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '693.77559647');
INSERT INTO public.ecdc_import VALUES (13827, '04/11/2020', '4', '11', '2020', '1427', '34', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '667.86940729');
INSERT INTO public.ecdc_import VALUES (13828, '03/11/2020', '3', '11', '2020', '1165', '32', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '654.69552132');
INSERT INTO public.ecdc_import VALUES (13829, '02/11/2020', '2', '11', '2020', '2179', '16', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '635.75652696');
INSERT INTO public.ecdc_import VALUES (13830, '01/11/2020', '1', '11', '2020', '2769', '15', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '602.39249545');
INSERT INTO public.ecdc_import VALUES (13831, '31/10/2020', '31', '10', '2020', '2772', '20', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '561.34983021');
INSERT INTO public.ecdc_import VALUES (13832, '30/10/2020', '30', '10', '2020', '2776', '18', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '521.09220101');
INSERT INTO public.ecdc_import VALUES (13833, '29/10/2020', '29', '10', '2020', '2378', '23', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '472.44449918');
INSERT INTO public.ecdc_import VALUES (13834, '28/10/2020', '28', '10', '2020', '1413', '18', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '432.45672612');
INSERT INTO public.ecdc_import VALUES (13835, '27/10/2020', '27', '10', '2020', '828', '15', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '406.91852258');
INSERT INTO public.ecdc_import VALUES (13836, '26/10/2020', '26', '10', '2020', '2421', '8', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '391.04607524');
INSERT INTO public.ecdc_import VALUES (13837, '25/10/2020', '25', '10', '2020', '2242', '16', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '344.11563973');
INSERT INTO public.ecdc_import VALUES (13838, '24/10/2020', '24', '10', '2020', '1867', '7', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '301.03678728');
INSERT INTO public.ecdc_import VALUES (13839, '23/10/2020', '23', '10', '2020', '1563', '13', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '266.44613696');
INSERT INTO public.ecdc_import VALUES (13840, '22/10/2020', '22', '10', '2020', '1424', '11', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '241.39858095');
INSERT INTO public.ecdc_import VALUES (13841, '21/10/2020', '21', '10', '2020', '890', '8', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '215.36972989');
INSERT INTO public.ecdc_import VALUES (13842, '20/10/2020', '20', '10', '2020', '393', '11', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '200.5767071');
INSERT INTO public.ecdc_import VALUES (13843, '19/10/2020', '19', '10', '2020', '819', '8', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '194.32095119');
INSERT INTO public.ecdc_import VALUES (13844, '18/10/2020', '18', '10', '2020', '1096', '10', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '180.55828819');
INSERT INTO public.ecdc_import VALUES (13845, '17/10/2020', '17', '10', '2020', '1131', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '159.58310661');
INSERT INTO public.ecdc_import VALUES (13846, '16/10/2020', '16', '10', '2020', '793', '10', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '140.00627048');
INSERT INTO public.ecdc_import VALUES (13847, '15/10/2020', '15', '10', '2020', '748', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '126.29267223');
INSERT INTO public.ecdc_import VALUES (13848, '14/10/2020', '14', '10', '2020', '372', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '113.16785101');
INSERT INTO public.ecdc_import VALUES (13849, '13/10/2020', '13', '10', '2020', '181', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '107.35367787');
INSERT INTO public.ecdc_import VALUES (13850, '12/10/2020', '12', '10', '2020', '508', '7', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '104.09087185');
INSERT INTO public.ecdc_import VALUES (13851, '11/10/2020', '11', '10', '2020', '486', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '96.28957624');
INSERT INTO public.ecdc_import VALUES (13852, '10/10/2020', '10', '10', '2020', '457', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '89.56770519');
INSERT INTO public.ecdc_import VALUES (13853, '09/10/2020', '9', '10', '2020', '542', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '83.82712918');
INSERT INTO public.ecdc_import VALUES (13854, '08/10/2020', '8', '10', '2020', '363', '5', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '76.22209258');
INSERT INTO public.ecdc_import VALUES (13855, '07/10/2020', '7', '10', '2020', '287', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '72.32144478');
INSERT INTO public.ecdc_import VALUES (13856, '06/10/2020', '6', '10', '2020', '138', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '68.813315');
INSERT INTO public.ecdc_import VALUES (13857, '05/10/2020', '5', '10', '2020', '258', '5', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '67.14511342');
INSERT INTO public.ecdc_import VALUES (13858, '04/10/2020', '4', '10', '2020', '241', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '65.64863848');
INSERT INTO public.ecdc_import VALUES (13859, '03/10/2020', '3', '10', '2020', '333', '7', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '64.93719957');
INSERT INTO public.ecdc_import VALUES (13860, '02/10/2020', '2', '10', '2020', '234', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '62.50849434');
INSERT INTO public.ecdc_import VALUES (13861, '01/10/2020', '1', '10', '2020', '213', '5', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '62.90101235');
INSERT INTO public.ecdc_import VALUES (13862, '30/09/2020', '30', '9', '2020', '135', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '64.54468155');
INSERT INTO public.ecdc_import VALUES (13863, '29/09/2020', '29', '9', '2020', '48', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '64.93719957');
INSERT INTO public.ecdc_import VALUES (13864, '28/09/2020', '28', '9', '2020', '190', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '65.35424996');
INSERT INTO public.ecdc_import VALUES (13865, '27/09/2020', '27', '9', '2020', '212', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '64.74094056');
INSERT INTO public.ecdc_import VALUES (13866, '26/09/2020', '26', '9', '2020', '223', '5', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '65.94302699');
INSERT INTO public.ecdc_import VALUES (13867, '25/09/2020', '25', '9', '2020', '232', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '65.13345858');
INSERT INTO public.ecdc_import VALUES (13868, '24/09/2020', '24', '9', '2020', '204', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '66.58086877');
INSERT INTO public.ecdc_import VALUES (13869, '23/09/2020', '23', '9', '2020', '144', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '69.9418043');
INSERT INTO public.ecdc_import VALUES (13870, '22/09/2020', '22', '9', '2020', '70', '5', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '71.41374686');
INSERT INTO public.ecdc_import VALUES (13871, '21/09/2020', '21', '9', '2020', '197', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '72.56676854');
INSERT INTO public.ecdc_import VALUES (13872, '20/09/2020', '20', '9', '2020', '212', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '73.25367507');
INSERT INTO public.ecdc_import VALUES (13873, '19/09/2020', '19', '9', '2020', '234', '6', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '75.68238031');
INSERT INTO public.ecdc_import VALUES (13874, '18/09/2020', '18', '9', '2020', '250', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '78.13561792');
INSERT INTO public.ecdc_import VALUES (13875, '17/09/2020', '17', '9', '2020', '280', '6', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '81.05497068');
INSERT INTO public.ecdc_import VALUES (13876, '16/09/2020', '16', '9', '2020', '151', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '81.81547434');
INSERT INTO public.ecdc_import VALUES (13877, '15/09/2020', '15', '9', '2020', '65', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '81.66828008');
INSERT INTO public.ecdc_import VALUES (13878, '14/09/2020', '14', '9', '2020', '165', '6', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '83.65540254');
INSERT INTO public.ecdc_import VALUES (13879, '13/09/2020', '13', '9', '2020', '261', '7', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '86.03504303');
INSERT INTO public.ecdc_import VALUES (13880, '12/09/2020', '12', '9', '2020', '190', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '87.28619421');
INSERT INTO public.ecdc_import VALUES (13881, '11/09/2020', '11', '9', '2020', '291', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '91.38310102');
INSERT INTO public.ecdc_import VALUES (13882, '10/09/2020', '10', '9', '2020', '341', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '91.70202191');
INSERT INTO public.ecdc_import VALUES (13883, '09/09/2020', '9', '9', '2020', '204', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '92.1190723');
INSERT INTO public.ecdc_import VALUES (13884, '08/09/2020', '8', '9', '2020', '117', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '92.48705794');
INSERT INTO public.ecdc_import VALUES (13885, '07/09/2020', '7', '9', '2020', '225', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '92.95317309');
INSERT INTO public.ecdc_import VALUES (13886, '06/09/2020', '6', '9', '2020', '311', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '94.1797919');
INSERT INTO public.ecdc_import VALUES (13887, '05/09/2020', '5', '9', '2020', '334', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '94.05713002');
INSERT INTO public.ecdc_import VALUES (13888, '04/09/2020', '4', '9', '2020', '369', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '92.36439606');
INSERT INTO public.ecdc_import VALUES (13889, '03/09/2020', '3', '9', '2020', '311', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '89.56770519');
INSERT INTO public.ecdc_import VALUES (13890, '02/09/2020', '2', '9', '2020', '145', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '87.31072659');
INSERT INTO public.ecdc_import VALUES (13891, '01/09/2020', '1', '9', '2020', '146', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '88.6354749');
INSERT INTO public.ecdc_import VALUES (13892, '31/08/2020', '31', '8', '2020', '262', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '87.13899995');
INSERT INTO public.ecdc_import VALUES (13893, '30/08/2020', '30', '8', '2020', '312', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '84.4159062');
INSERT INTO public.ecdc_import VALUES (13894, '29/08/2020', '29', '8', '2020', '357', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '80.73604979');
INSERT INTO public.ecdc_import VALUES (13895, '28/08/2020', '28', '8', '2020', '304', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '77.08072575');
INSERT INTO public.ecdc_import VALUES (13896, '27/08/2020', '27', '8', '2020', '358', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '74.03871111');
INSERT INTO public.ecdc_import VALUES (13897, '26/08/2020', '26', '8', '2020', '219', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '68.44532935');
INSERT INTO public.ecdc_import VALUES (13898, '25/08/2020', '25', '8', '2020', '136', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '65.30518521');
INSERT INTO public.ecdc_import VALUES (13899, '24/08/2020', '24', '8', '2020', '275', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '63.07273899');
INSERT INTO public.ecdc_import VALUES (13900, '23/08/2020', '23', '8', '2020', '306', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '57.8228105');
INSERT INTO public.ecdc_import VALUES (13901, '22/08/2020', '22', '8', '2020', '265', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '52.20489637');
INSERT INTO public.ecdc_import VALUES (13902, '21/08/2020', '21', '8', '2020', '255', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '47.22482402');
INSERT INTO public.ecdc_import VALUES (13903, '20/08/2020', '20', '8', '2020', '219', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '41.65597464');
INSERT INTO public.ecdc_import VALUES (13904, '19/08/2020', '19', '8', '2020', '199', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '37.70626209');
INSERT INTO public.ecdc_import VALUES (13905, '18/08/2020', '18', '8', '2020', '85', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '33.36403151');
INSERT INTO public.ecdc_import VALUES (13906, '17/08/2020', '17', '8', '2020', '151', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '32.16194508');
INSERT INTO public.ecdc_import VALUES (13907, '16/08/2020', '16', '8', '2020', '162', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '29.34072183');
INSERT INTO public.ecdc_import VALUES (13908, '15/08/2020', '15', '8', '2020', '208', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.47626125');
INSERT INTO public.ecdc_import VALUES (13909, '14/08/2020', '14', '8', '2020', '180', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '24.01719621');
INSERT INTO public.ecdc_import VALUES (13910, '13/08/2020', '13', '8', '2020', '130', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.51489385');
INSERT INTO public.ecdc_import VALUES (13911, '12/08/2020', '12', '8', '2020', '91', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '20.04295128');
INSERT INTO public.ecdc_import VALUES (13912, '11/08/2020', '11', '8', '2020', '45', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.84086485');
INSERT INTO public.ecdc_import VALUES (13913, '10/08/2020', '10', '8', '2020', '61', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.32568496');
INSERT INTO public.ecdc_import VALUES (13914, '09/08/2020', '9', '8', '2020', '77', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.42381446');
INSERT INTO public.ecdc_import VALUES (13915, '08/08/2020', '8', '8', '2020', '62', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.42381446');
INSERT INTO public.ecdc_import VALUES (13916, '07/08/2020', '7', '8', '2020', '28', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.88992961');
INSERT INTO public.ecdc_import VALUES (13917, '06/08/2020', '6', '8', '2020', '58', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '20.75439019');
INSERT INTO public.ecdc_import VALUES (13918, '05/08/2020', '5', '8', '2020', '22', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.981009');
INSERT INTO public.ecdc_import VALUES (13919, '04/08/2020', '4', '8', '2020', '36', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.71698028');
INSERT INTO public.ecdc_import VALUES (13920, '03/08/2020', '3', '8', '2020', '36', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.22633276');
INSERT INTO public.ecdc_import VALUES (13921, '02/08/2020', '2', '8', '2020', '86', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '24.26251998');
INSERT INTO public.ecdc_import VALUES (13922, '01/08/2020', '1', '8', '2020', '67', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '24.55690849');
INSERT INTO public.ecdc_import VALUES (13923, '31/07/2020', '31', '7', '2020', '78', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '25.31741215');
INSERT INTO public.ecdc_import VALUES (13924, '30/07/2020', '30', '7', '2020', '70', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '25.51367116');
INSERT INTO public.ecdc_import VALUES (13925, '29/07/2020', '29', '7', '2020', '42', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '26.88748422');
INSERT INTO public.ecdc_import VALUES (13926, '28/07/2020', '28', '7', '2020', '24', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.13280798');
INSERT INTO public.ecdc_import VALUES (13927, '27/07/2020', '27', '7', '2020', '65', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.84424689');
INSERT INTO public.ecdc_import VALUES (13928, '26/07/2020', '26', '7', '2020', '77', '5', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.47626125');
INSERT INTO public.ecdc_import VALUES (13929, '25/07/2020', '25', '7', '2020', '81', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '29.02180094');
INSERT INTO public.ecdc_import VALUES (13930, '24/07/2020', '24', '7', '2020', '104', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '29.88043411');
INSERT INTO public.ecdc_import VALUES (13931, '23/07/2020', '23', '7', '2020', '108', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '29.56151322');
INSERT INTO public.ecdc_import VALUES (13932, '22/07/2020', '22', '7', '2020', '52', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '28.21223253');
INSERT INTO public.ecdc_import VALUES (13933, '21/07/2020', '21', '7', '2020', '16', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '28.21223253');
INSERT INTO public.ecdc_import VALUES (13934, '20/07/2020', '20', '7', '2020', '119', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '29.51244846');
INSERT INTO public.ecdc_import VALUES (13935, '19/07/2020', '19', '7', '2020', '98', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.99144114');
INSERT INTO public.ecdc_import VALUES (13936, '18/07/2020', '18', '7', '2020', '98', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.69705263');
INSERT INTO public.ecdc_import VALUES (13937, '17/07/2020', '17', '7', '2020', '86', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.64798788');
INSERT INTO public.ecdc_import VALUES (13938, '16/07/2020', '16', '7', '2020', '126', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '27.525326');
INSERT INTO public.ecdc_import VALUES (13939, '15/07/2020', '15', '7', '2020', '52', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '25.75899492');
INSERT INTO public.ecdc_import VALUES (13940, '14/07/2020', '14', '7', '2020', '53', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '25.75899492');
INSERT INTO public.ecdc_import VALUES (13941, '13/07/2020', '13', '7', '2020', '50', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '25.29287977');
INSERT INTO public.ecdc_import VALUES (13942, '12/07/2020', '12', '7', '2020', '140', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '25.70993017');
INSERT INTO public.ecdc_import VALUES (13943, '11/07/2020', '11', '7', '2020', '116', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '24.36064948');
INSERT INTO public.ecdc_import VALUES (13944, '10/07/2020', '10', '7', '2020', '91', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.88870691');
INSERT INTO public.ecdc_import VALUES (13945, '09/07/2020', '9', '7', '2020', '53', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.98683642');
INSERT INTO public.ecdc_import VALUES (13946, '08/07/2020', '8', '7', '2020', '52', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.22633276');
INSERT INTO public.ecdc_import VALUES (13947, '07/07/2020', '7', '7', '2020', '69', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.68662048');
INSERT INTO public.ecdc_import VALUES (13948, '06/07/2020', '6', '7', '2020', '57', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '20.46000168');
INSERT INTO public.ecdc_import VALUES (13949, '05/07/2020', '5', '7', '2020', '86', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '19.50323901');
INSERT INTO public.ecdc_import VALUES (13950, '04/07/2020', '4', '7', '2020', '96', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '17.85956981');
INSERT INTO public.ecdc_import VALUES (13951, '03/07/2020', '3', '7', '2020', '81', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '15.77431784');
INSERT INTO public.ecdc_import VALUES (13952, '02/07/2020', '2', '7', '2020', '54', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '14.05705151');
INSERT INTO public.ecdc_import VALUES (13953, '01/07/2020', '1', '7', '2020', '52', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '12.80590033');
INSERT INTO public.ecdc_import VALUES (13954, '30/06/2020', '30', '6', '2020', '34', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '11.55474915');
INSERT INTO public.ecdc_import VALUES (13955, '29/06/2020', '29', '6', '2020', '67', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '10.76971311');
INSERT INTO public.ecdc_import VALUES (13956, '28/06/2020', '28', '6', '2020', '85', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '9.15057629');
INSERT INTO public.ecdc_import VALUES (13957, '27/06/2020', '27', '6', '2020', '56', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '7.11438907');
INSERT INTO public.ecdc_import VALUES (13958, '26/06/2020', '26', '6', '2020', '95', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '5.74057601');
INSERT INTO public.ecdc_import VALUES (13959, '25/06/2020', '25', '6', '2020', '22', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.41000028');
INSERT INTO public.ecdc_import VALUES (13960, '24/06/2020', '24', '6', '2020', '30', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.91935276');
INSERT INTO public.ecdc_import VALUES (13961, '23/06/2020', '23', '6', '2020', '19', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.18338147');
INSERT INTO public.ecdc_import VALUES (13962, '22/06/2020', '22', '6', '2020', '18', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.71726633');
INSERT INTO public.ecdc_import VALUES (13963, '21/06/2020', '21', '6', '2020', '19', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.27568356');
INSERT INTO public.ecdc_import VALUES (13964, '20/06/2020', '20', '6', '2020', '11', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.80956841');
INSERT INTO public.ecdc_import VALUES (13965, '19/06/2020', '19', '6', '2020', '11', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.53971227');
INSERT INTO public.ecdc_import VALUES (13966, '18/06/2020', '18', '6', '2020', '3', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.29438851');
INSERT INTO public.ecdc_import VALUES (13967, '17/06/2020', '17', '6', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.22079139');
INSERT INTO public.ecdc_import VALUES (13968, '16/06/2020', '16', '6', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.19625901');
INSERT INTO public.ecdc_import VALUES (13969, '15/06/2020', '15', '6', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.14719426');
INSERT INTO public.ecdc_import VALUES (13970, '14/06/2020', '14', '6', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.12266188');
INSERT INTO public.ecdc_import VALUES (13971, '13/06/2020', '13', '6', '2020', '0', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.0981295');
INSERT INTO public.ecdc_import VALUES (13972, '12/06/2020', '12', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.0981295');
INSERT INTO public.ecdc_import VALUES (13973, '11/06/2020', '11', '6', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.12266188');
INSERT INTO public.ecdc_import VALUES (13974, '10/06/2020', '10', '6', '2020', '0', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.07359713');
INSERT INTO public.ecdc_import VALUES (13975, '09/06/2020', '9', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.07359713');
INSERT INTO public.ecdc_import VALUES (13976, '08/06/2020', '8', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.07359713');
INSERT INTO public.ecdc_import VALUES (13977, '07/06/2020', '7', '6', '2020', '0', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.0981295');
INSERT INTO public.ecdc_import VALUES (13978, '06/06/2020', '6', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.0981295');
INSERT INTO public.ecdc_import VALUES (13979, '05/06/2020', '5', '6', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.24532376');
INSERT INTO public.ecdc_import VALUES (13980, '04/06/2020', '4', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.29438851');
INSERT INTO public.ecdc_import VALUES (13981, '03/06/2020', '3', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.34345327');
INSERT INTO public.ecdc_import VALUES (13982, '02/06/2020', '2', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.44158277');
INSERT INTO public.ecdc_import VALUES (13983, '01/06/2020', '1', '6', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.49064752');
INSERT INTO public.ecdc_import VALUES (13984, '31/05/2020', '31', '5', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.53971227');
INSERT INTO public.ecdc_import VALUES (13985, '30/05/2020', '30', '5', '2020', '0', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.56424465');
INSERT INTO public.ecdc_import VALUES (13986, '29/05/2020', '29', '5', '2020', '1', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.58877703');
INSERT INTO public.ecdc_import VALUES (13987, '28/05/2020', '28', '5', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.76050366');
INSERT INTO public.ecdc_import VALUES (13988, '27/05/2020', '27', '5', '2020', '0', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.90769792');
INSERT INTO public.ecdc_import VALUES (13989, '26/05/2020', '26', '5', '2020', '0', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.17755405');
INSERT INTO public.ecdc_import VALUES (13990, '25/05/2020', '25', '5', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.39834544');
INSERT INTO public.ecdc_import VALUES (13991, '24/05/2020', '24', '5', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.6436692');
INSERT INTO public.ecdc_import VALUES (13992, '23/05/2020', '23', '5', '2020', '6', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.01165484');
INSERT INTO public.ecdc_import VALUES (13993, '22/05/2020', '22', '5', '2020', '3', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.74762612');
INSERT INTO public.ecdc_import VALUES (13994, '21/05/2020', '21', '5', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.82122325');
INSERT INTO public.ecdc_import VALUES (13995, '20/05/2020', '20', '5', '2020', '4', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.94388513');
INSERT INTO public.ecdc_import VALUES (13996, '19/05/2020', '19', '5', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.11561177');
INSERT INTO public.ecdc_import VALUES (13997, '18/05/2020', '18', '5', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.18920889');
INSERT INTO public.ecdc_import VALUES (13998, '17/05/2020', '17', '5', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.33640315');
INSERT INTO public.ecdc_import VALUES (13999, '16/05/2020', '16', '5', '2020', '1', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.36093553');
INSERT INTO public.ecdc_import VALUES (14000, '15/05/2020', '15', '5', '2020', '8', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.55719454');
INSERT INTO public.ecdc_import VALUES (14001, '14/05/2020', '14', '5', '2020', '6', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.70438879');
INSERT INTO public.ecdc_import VALUES (14002, '13/05/2020', '13', '5', '2020', '11', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.92518018');
INSERT INTO public.ecdc_import VALUES (14003, '12/05/2020', '12', '5', '2020', '9', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.85158305');
INSERT INTO public.ecdc_import VALUES (14004, '11/05/2020', '11', '5', '2020', '11', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.85158305');
INSERT INTO public.ecdc_import VALUES (14005, '10/05/2020', '10', '5', '2020', '15', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.92518018');
INSERT INTO public.ecdc_import VALUES (14006, '09/05/2020', '9', '5', '2020', '36', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.72892117');
INSERT INTO public.ecdc_import VALUES (14007, '08/05/2020', '8', '5', '2020', '6', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '3.53266216');
INSERT INTO public.ecdc_import VALUES (14008, '07/05/2020', '7', '5', '2020', '7', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '4.14597156');
INSERT INTO public.ecdc_import VALUES (14009, '06/05/2020', '6', '5', '2020', '11', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '5.00460473');
INSERT INTO public.ecdc_import VALUES (14010, '05/05/2020', '5', '5', '2020', '5', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '5.39712274');
INSERT INTO public.ecdc_import VALUES (14011, '04/05/2020', '4', '5', '2020', '8', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '5.51978463');
INSERT INTO public.ecdc_import VALUES (14012, '03/05/2020', '3', '5', '2020', '3', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '6.28028828');
INSERT INTO public.ecdc_import VALUES (14013, '02/05/2020', '2', '5', '2020', '9', '6', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '6.64827393');
INSERT INTO public.ecdc_import VALUES (14014, '01/05/2020', '1', '5', '2020', '14', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '6.99172719');
INSERT INTO public.ecdc_import VALUES (14015, '30/04/2020', '30', '4', '2020', '15', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '7.87489273');
INSERT INTO public.ecdc_import VALUES (14016, '29/04/2020', '29', '4', '2020', '8', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '8.41460501');
INSERT INTO public.ecdc_import VALUES (14017, '28/04/2020', '28', '4', '2020', '9', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '9.54309431');
INSERT INTO public.ecdc_import VALUES (14018, '27/04/2020', '27', '4', '2020', '14', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '10.54892173');
INSERT INTO public.ecdc_import VALUES (14019, '26/04/2020', '26', '4', '2020', '7', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '11.82460529');
INSERT INTO public.ecdc_import VALUES (14020, '25/04/2020', '25', '4', '2020', '28', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '12.60964132');
INSERT INTO public.ecdc_import VALUES (14021, '24/04/2020', '24', '4', '2020', '31', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '14.08158389');
INSERT INTO public.ecdc_import VALUES (14022, '23/04/2020', '23', '4', '2020', '42', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '14.8911523');
INSERT INTO public.ecdc_import VALUES (14023, '22/04/2020', '22', '4', '2020', '27', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '15.35726745');
INSERT INTO public.ecdc_import VALUES (14024, '21/04/2020', '21', '4', '2020', '10', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '16.16683586');
INSERT INTO public.ecdc_import VALUES (14025, '20/04/2020', '20', '4', '2020', '39', '8', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '16.90280714');
INSERT INTO public.ecdc_import VALUES (14026, '19/04/2020', '19', '4', '2020', '18', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '17.31985754');
INSERT INTO public.ecdc_import VALUES (14027, '18/04/2020', '18', '4', '2020', '23', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.03129644');
INSERT INTO public.ecdc_import VALUES (14028, '17/04/2020', '17', '4', '2020', '50', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '19.13525337');
INSERT INTO public.ecdc_import VALUES (14029, '16/04/2020', '16', '4', '2020', '37', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '19.08618862');
INSERT INTO public.ecdc_import VALUES (14030, '15/04/2020', '15', '4', '2020', '54', '6', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '20.53359881');
INSERT INTO public.ecdc_import VALUES (14031, '14/04/2020', '14', '4', '2020', '50', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.09784346');
INSERT INTO public.ecdc_import VALUES (14032, '13/04/2020', '13', '4', '2020', '66', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.76021761');
INSERT INTO public.ecdc_import VALUES (14033, '12/04/2020', '12', '4', '2020', '39', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.51489385');
INSERT INTO public.ecdc_import VALUES (14034, '11/04/2020', '11', '4', '2020', '88', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.29992989');
INSERT INTO public.ecdc_import VALUES (14035, '10/04/2020', '10', '4', '2020', '64', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.37352701');
INSERT INTO public.ecdc_import VALUES (14036, '09/04/2020', '9', '4', '2020', '61', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.6924479');
INSERT INTO public.ecdc_import VALUES (14037, '08/04/2020', '8', '4', '2020', '60', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.0791385');
INSERT INTO public.ecdc_import VALUES (14038, '07/04/2020', '7', '4', '2020', '40', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.47165652');
INSERT INTO public.ecdc_import VALUES (14039, '06/04/2020', '6', '4', '2020', '56', '3', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '23.23216018');
INSERT INTO public.ecdc_import VALUES (14040, '05/04/2020', '5', '4', '2020', '47', '4', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.56978602');
INSERT INTO public.ecdc_import VALUES (14041, '04/04/2020', '4', '4', '2020', '68', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '23.37935444');
INSERT INTO public.ecdc_import VALUES (14042, '03/04/2020', '3', '4', '2020', '48', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '22.25086513');
INSERT INTO public.ecdc_import VALUES (14043, '02/04/2020', '2', '4', '2020', '96', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '21.63755573');
INSERT INTO public.ecdc_import VALUES (14044, '01/04/2020', '1', '4', '2020', '77', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '19.57683614');
INSERT INTO public.ecdc_import VALUES (14045, '31/03/2020', '31', '3', '2020', '77', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '18.00676407');
INSERT INTO public.ecdc_import VALUES (14046, '30/03/2020', '30', '3', '2020', '56', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '16.31403011');
INSERT INTO public.ecdc_import VALUES (14047, '29/03/2020', '29', '3', '2020', '71', '2', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '15.21007319');
INSERT INTO public.ecdc_import VALUES (14048, '28/03/2020', '28', '3', '2020', '91', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '13.61546874');
INSERT INTO public.ecdc_import VALUES (14049, '27/03/2020', '27', '3', '2020', '77', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '11.53021677');
INSERT INTO public.ecdc_import VALUES (14050, '26/03/2020', '26', '3', '2020', '36', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '9.8620152');
INSERT INTO public.ecdc_import VALUES (14051, '25/03/2020', '25', '3', '2020', '76', '1', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '9.05244679');
INSERT INTO public.ecdc_import VALUES (14052, '24/03/2020', '24', '3', '2020', '71', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '7.21251858');
INSERT INTO public.ecdc_import VALUES (14053, '23/03/2020', '23', '3', '2020', '29', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '5.49525225');
INSERT INTO public.ecdc_import VALUES (14054, '22/03/2020', '22', '3', '2020', '80', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '4.80834572');
INSERT INTO public.ecdc_import VALUES (14055, '21/03/2020', '21', '3', '2020', '22', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.87028801');
INSERT INTO public.ecdc_import VALUES (14056, '20/03/2020', '20', '3', '2020', '23', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '2.35510811');
INSERT INTO public.ecdc_import VALUES (14057, '19/03/2020', '19', '3', '2020', '12', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.81539583');
INSERT INTO public.ecdc_import VALUES (14058, '18/03/2020', '18', '3', '2020', '13', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.57007207');
INSERT INTO public.ecdc_import VALUES (14059, '17/03/2020', '17', '3', '2020', '8', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.25115118');
INSERT INTO public.ecdc_import VALUES (14060, '16/03/2020', '16', '3', '2020', '11', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '1.10395693');
INSERT INTO public.ecdc_import VALUES (14061, '15/03/2020', '15', '3', '2020', '6', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.85863316');
INSERT INTO public.ecdc_import VALUES (14062, '14/03/2020', '14', '3', '2020', '6', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.73597128');
INSERT INTO public.ecdc_import VALUES (14063, '13/03/2020', '13', '3', '2020', '9', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.6133094');
INSERT INTO public.ecdc_import VALUES (14064, '12/03/2020', '12', '3', '2020', '3', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.39251802');
INSERT INTO public.ecdc_import VALUES (14065, '11/03/2020', '11', '3', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.31892089');
INSERT INTO public.ecdc_import VALUES (14066, '08/03/2020', '8', '3', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.29438851');
INSERT INTO public.ecdc_import VALUES (14067, '07/03/2020', '7', '3', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.26985614');
INSERT INTO public.ecdc_import VALUES (14068, '06/03/2020', '6', '3', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.24532376');
INSERT INTO public.ecdc_import VALUES (14069, '04/03/2020', '4', '3', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.22079139');
INSERT INTO public.ecdc_import VALUES (14070, '03/03/2020', '3', '3', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.19625901');
INSERT INTO public.ecdc_import VALUES (14071, '02/03/2020', '2', '3', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.17172663');
INSERT INTO public.ecdc_import VALUES (14072, '01/03/2020', '1', '3', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.12266188');
INSERT INTO public.ecdc_import VALUES (14073, '29/02/2020', '29', '2', '2020', '2', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.12266188');
INSERT INTO public.ecdc_import VALUES (14074, '28/02/2020', '28', '2', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.07359713');
INSERT INTO public.ecdc_import VALUES (14075, '27/02/2020', '27', '2', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.04906475');
INSERT INTO public.ecdc_import VALUES (14076, '26/02/2020', '26', '2', '2020', '1', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0.02453238');
INSERT INTO public.ecdc_import VALUES (14077, '25/02/2020', '25', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14078, '24/02/2020', '24', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14079, '23/02/2020', '23', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14080, '22/02/2020', '22', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14081, '21/02/2020', '21', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14082, '20/02/2020', '20', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14083, '19/02/2020', '19', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14084, '18/02/2020', '18', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14085, '17/02/2020', '17', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14086, '16/02/2020', '16', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14087, '15/02/2020', '15', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14088, '14/02/2020', '14', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14089, '13/02/2020', '13', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14090, '12/02/2020', '12', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14091, '11/02/2020', '11', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14092, '10/02/2020', '10', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14093, '09/02/2020', '9', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14094, '08/02/2020', '8', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14095, '07/02/2020', '7', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14096, '06/02/2020', '6', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14097, '05/02/2020', '5', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14098, '04/02/2020', '4', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14099, '03/02/2020', '3', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14100, '02/02/2020', '2', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14101, '01/02/2020', '1', '2', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14102, '31/01/2020', '31', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14103, '30/01/2020', '30', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14104, '29/01/2020', '29', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14105, '28/01/2020', '28', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14106, '27/01/2020', '27', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14107, '26/01/2020', '26', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14108, '25/01/2020', '25', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14109, '24/01/2020', '24', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14110, '23/01/2020', '23', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14111, '22/01/2020', '22', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14112, '21/01/2020', '21', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14113, '20/01/2020', '20', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14114, '19/01/2020', '19', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14115, '18/01/2020', '18', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14116, '17/01/2020', '17', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14117, '16/01/2020', '16', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14118, '15/01/2020', '15', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14119, '14/01/2020', '14', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14120, '13/01/2020', '13', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (14121, '12/01/2020', '12', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14122, '11/01/2020', '11', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14123, '10/01/2020', '10', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14124, '09/01/2020', '9', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14125, '08/01/2020', '8', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14126, '07/01/2020', '7', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14127, '06/01/2020', '6', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14128, '05/01/2020', '5', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14129, '04/01/2020', '4', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14130, '03/01/2020', '3', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14131, '02/01/2020', '2', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14132, '01/01/2020', '1', '1', '2020', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14133, '31/12/2019', '31', '12', '2019', '0', '0', '4076246', 'Croatia', 'HR', 'HRV', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14134, '14/12/2020', '14', '12', '2020', '69', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '10.49986041');
INSERT INTO public.ecdc_import VALUES (14135, '13/12/2020', '13', '12', '2020', '87', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '10.4204497');
INSERT INTO public.ecdc_import VALUES (14136, '12/12/2020', '12', '12', '2020', '86', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '10.20868781');
INSERT INTO public.ecdc_import VALUES (14137, '11/12/2020', '11', '12', '2020', '75', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '9.7586938');
INSERT INTO public.ecdc_import VALUES (14138, '10/12/2020', '10', '12', '2020', '124', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '9.52928508');
INSERT INTO public.ecdc_import VALUES (14139, '09/12/2020', '9', '12', '2020', '76', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '9.1057613');
INSERT INTO public.ecdc_import VALUES (14140, '08/12/2020', '8', '12', '2020', '124', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '9.06164424');
INSERT INTO public.ecdc_import VALUES (14141, '07/12/2020', '7', '12', '2020', '68', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '8.25871374');
INSERT INTO public.ecdc_import VALUES (14142, '06/12/2020', '6', '12', '2020', '104', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '8.08224549');
INSERT INTO public.ecdc_import VALUES (14143, '05/12/2020', '5', '12', '2020', '79', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '7.47343006');
INSERT INTO public.ecdc_import VALUES (14144, '04/12/2020', '4', '12', '2020', '75', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '7.11167016');
INSERT INTO public.ecdc_import VALUES (14145, '03/12/2020', '3', '12', '2020', '75', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.63520591');
INSERT INTO public.ecdc_import VALUES (14146, '02/12/2020', '2', '12', '2020', '97', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.29991625');
INSERT INTO public.ecdc_import VALUES (14147, '01/12/2020', '1', '12', '2020', '51', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.69110081');
INSERT INTO public.ecdc_import VALUES (14148, '30/11/2020', '30', '11', '2020', '60', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.67345399');
INSERT INTO public.ecdc_import VALUES (14149, '29/11/2020', '29', '11', '2020', '63', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.33816433');
INSERT INTO public.ecdc_import VALUES (14150, '28/11/2020', '28', '11', '2020', '35', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.02052149');
INSERT INTO public.ecdc_import VALUES (14151, '27/11/2020', '27', '11', '2020', '49', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.18816632');
INSERT INTO public.ecdc_import VALUES (14152, '26/11/2020', '26', '11', '2020', '76', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.26757703');
INSERT INTO public.ecdc_import VALUES (14153, '25/11/2020', '25', '11', '2020', '71', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.92346396');
INSERT INTO public.ecdc_import VALUES (14154, '24/11/2020', '24', '11', '2020', '33', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.67640842');
INSERT INTO public.ecdc_import VALUES (14155, '23/11/2020', '23', '11', '2020', '48', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.84405325');
INSERT INTO public.ecdc_import VALUES (14156, '22/11/2020', '22', '11', '2020', '35', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.68523183');
INSERT INTO public.ecdc_import VALUES (14157, '21/11/2020', '21', '11', '2020', '38', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.72052548');
INSERT INTO public.ecdc_import VALUES (14158, '20/11/2020', '20', '11', '2020', '21', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.77346595');
INSERT INTO public.ecdc_import VALUES (14159, '19/11/2020', '19', '11', '2020', '37', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.94111078');
INSERT INTO public.ecdc_import VALUES (14160, '18/11/2020', '18', '11', '2020', '28', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.57639645');
INSERT INTO public.ecdc_import VALUES (14161, '17/11/2020', '17', '11', '2020', '49', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.9028627');
INSERT INTO public.ecdc_import VALUES (14162, '16/11/2020', '16', '11', '2020', '22', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.77933493');
INSERT INTO public.ecdc_import VALUES (14163, '15/11/2020', '15', '11', '2020', '27', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.00874365');
INSERT INTO public.ecdc_import VALUES (14164, '14/11/2020', '14', '11', '2020', '54', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.52932496');
INSERT INTO public.ecdc_import VALUES (14165, '13/11/2020', '13', '11', '2020', '58', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.36168013');
INSERT INTO public.ecdc_import VALUES (14166, '12/11/2020', '12', '11', '2020', '37', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.1940353');
INSERT INTO public.ecdc_import VALUES (14167, '11/11/2020', '11', '11', '2020', '43', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.29991625');
INSERT INTO public.ecdc_import VALUES (14168, '10/11/2020', '10', '11', '2020', '52', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.65285273');
INSERT INTO public.ecdc_import VALUES (14169, '09/11/2020', '9', '11', '2020', '30', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.44991425');
INSERT INTO public.ecdc_import VALUES (14170, '08/11/2020', '8', '11', '2020', '39', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.46756108');
INSERT INTO public.ecdc_import VALUES (14171, '07/11/2020', '7', '11', '2020', '44', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.60873567');
INSERT INTO public.ecdc_import VALUES (14172, '06/11/2020', '6', '11', '2020', '40', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.73226344');
INSERT INTO public.ecdc_import VALUES (14173, '05/11/2020', '5', '11', '2020', '109', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.8469678');
INSERT INTO public.ecdc_import VALUES (14174, '04/11/2020', '4', '11', '2020', '65', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.44109084');
INSERT INTO public.ecdc_import VALUES (14175, '03/11/2020', '3', '11', '2020', '35', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.28226942');
INSERT INTO public.ecdc_import VALUES (14176, '02/11/2020', '2', '11', '2020', '48', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.30873966');
INSERT INTO public.ecdc_import VALUES (14177, '01/11/2020', '1', '11', '2020', '86', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.32638648');
INSERT INTO public.ecdc_import VALUES (14178, '31/10/2020', '31', '10', '2020', '35', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.02639047');
INSERT INTO public.ecdc_import VALUES (14179, '30/10/2020', '30', '10', '2020', '39', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.21168213');
INSERT INTO public.ecdc_import VALUES (14180, '29/10/2020', '29', '10', '2020', '49', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.10580118');
INSERT INTO public.ecdc_import VALUES (14181, '28/10/2020', '28', '10', '2020', '83', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.83227541');
INSERT INTO public.ecdc_import VALUES (14182, '27/10/2020', '27', '10', '2020', '29', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.24993021');
INSERT INTO public.ecdc_import VALUES (14183, '26/10/2020', '26', '10', '2020', '32', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.18816632');
INSERT INTO public.ecdc_import VALUES (14184, '25/10/2020', '25', '10', '2020', '55', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.1705195');
INSERT INTO public.ecdc_import VALUES (14185, '24/10/2020', '24', '10', '2020', '58', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.72934889');
INSERT INTO public.ecdc_import VALUES (14186, '23/10/2020', '23', '10', '2020', '53', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.4469997');
INSERT INTO public.ecdc_import VALUES (14187, '22/10/2020', '22', '10', '2020', '63', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.14700369');
INSERT INTO public.ecdc_import VALUES (14188, '21/10/2020', '21', '10', '2020', '47', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.72347991');
INSERT INTO public.ecdc_import VALUES (14189, '20/10/2020', '20', '10', '2020', '38', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.6440692');
INSERT INTO public.ecdc_import VALUES (14190, '19/10/2020', '19', '10', '2020', '50', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.62642238');
INSERT INTO public.ecdc_import VALUES (14191, '18/10/2020', '18', '10', '2020', '52', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.44113072');
INSERT INTO public.ecdc_import VALUES (14192, '17/10/2020', '17', '10', '2020', '56', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.52936484');
INSERT INTO public.ecdc_import VALUES (14193, '16/10/2020', '16', '10', '2020', '27', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.45877755');
INSERT INTO public.ecdc_import VALUES (14194, '15/10/2020', '15', '10', '2020', '18', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.86465451');
INSERT INTO public.ecdc_import VALUES (14195, '14/10/2020', '14', '10', '2020', '17', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.28817829');
INSERT INTO public.ecdc_import VALUES (14196, '13/10/2020', '13', '10', '2020', '22', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.56170406');
INSERT INTO public.ecdc_import VALUES (14197, '12/10/2020', '12', '10', '2020', '30', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.59699771');
INSERT INTO public.ecdc_import VALUES (14198, '11/10/2020', '11', '10', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.72934889');
INSERT INTO public.ecdc_import VALUES (14199, '10/10/2020', '10', '10', '2020', '26', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.23228338');
INSERT INTO public.ecdc_import VALUES (14200, '09/10/2020', '9', '10', '2020', '19', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.35581115');
INSERT INTO public.ecdc_import VALUES (14201, '08/10/2020', '8', '10', '2020', '15', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.54110281');
INSERT INTO public.ecdc_import VALUES (14202, '07/10/2020', '7', '10', '2020', '38', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.83227541');
INSERT INTO public.ecdc_import VALUES (14203, '06/10/2020', '6', '10', '2020', '36', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.21168213');
INSERT INTO public.ecdc_import VALUES (14204, '05/10/2020', '5', '10', '2020', '29', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.3352099');
INSERT INTO public.ecdc_import VALUES (14205, '04/10/2020', '4', '10', '2020', '62', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.39697378');
INSERT INTO public.ecdc_import VALUES (14206, '03/10/2020', '3', '10', '2020', '48', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.29991625');
INSERT INTO public.ecdc_import VALUES (14207, '02/10/2020', '2', '10', '2020', '73', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.50285473');
INSERT INTO public.ecdc_import VALUES (14208, '01/10/2020', '1', '10', '2020', '66', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.36168013');
INSERT INTO public.ecdc_import VALUES (14209, '30/09/2020', '30', '9', '2020', '48', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.42344402');
INSERT INTO public.ecdc_import VALUES (14210, '29/09/2020', '29', '9', '2020', '26', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.67932297');
INSERT INTO public.ecdc_import VALUES (14211, '28/09/2020', '28', '9', '2020', '45', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.82049756');
INSERT INTO public.ecdc_import VALUES (14212, '27/09/2020', '27', '9', '2020', '62', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.69696979');
INSERT INTO public.ecdc_import VALUES (14213, '26/09/2020', '26', '9', '2020', '40', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.67932297');
INSERT INTO public.ecdc_import VALUES (14214, '25/09/2020', '25', '9', '2020', '40', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.69696979');
INSERT INTO public.ecdc_import VALUES (14215, '24/09/2020', '24', '9', '2020', '48', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '7.15578722');
INSERT INTO public.ecdc_import VALUES (14216, '23/09/2020', '23', '9', '2020', '81', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '7.45578323');
INSERT INTO public.ecdc_import VALUES (14217, '22/09/2020', '22', '9', '2020', '50', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.96167216');
INSERT INTO public.ecdc_import VALUES (14218, '21/09/2020', '21', '9', '2020', '36', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.89990827');
INSERT INTO public.ecdc_import VALUES (14219, '20/09/2020', '20', '9', '2020', '51', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.67932297');
INSERT INTO public.ecdc_import VALUES (14220, '19/09/2020', '19', '9', '2020', '71', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.51167814');
INSERT INTO public.ecdc_import VALUES (14221, '18/09/2020', '18', '9', '2020', '57', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.34403331');
INSERT INTO public.ecdc_import VALUES (14222, '17/09/2020', '17', '9', '2020', '73', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.61755908');
INSERT INTO public.ecdc_import VALUES (14223, '16/09/2020', '16', '9', '2020', '77', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.51167814');
INSERT INTO public.ecdc_import VALUES (14224, '15/09/2020', '15', '9', '2020', '42', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.12344801');
INSERT INTO public.ecdc_import VALUES (14225, '14/09/2020', '14', '9', '2020', '31', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.27344601');
INSERT INTO public.ecdc_import VALUES (14226, '13/09/2020', '13', '9', '2020', '60', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.42344402');
INSERT INTO public.ecdc_import VALUES (14227, '12/09/2020', '12', '9', '2020', '42', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.41462061');
INSERT INTO public.ecdc_import VALUES (14228, '11/09/2020', '11', '9', '2020', '92', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.57344202');
INSERT INTO public.ecdc_import VALUES (14229, '10/09/2020', '10', '9', '2020', '82', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.17638848');
INSERT INTO public.ecdc_import VALUES (14230, '09/09/2020', '9', '9', '2020', '25', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.58521987');
INSERT INTO public.ecdc_import VALUES (14231, '08/09/2020', '8', '9', '2020', '43', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.60286669');
INSERT INTO public.ecdc_import VALUES (14232, '07/09/2020', '7', '9', '2020', '11', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.53227939');
INSERT INTO public.ecdc_import VALUES (14233, '06/09/2020', '6', '9', '2020', '32', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.00874365');
INSERT INTO public.ecdc_import VALUES (14234, '05/09/2020', '5', '9', '2020', '52', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.03521388');
INSERT INTO public.ecdc_import VALUES (14235, '04/09/2020', '4', '9', '2020', '88', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.72639446');
INSERT INTO public.ecdc_import VALUES (14236, '03/09/2020', '3', '9', '2020', '61', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.6822774');
INSERT INTO public.ecdc_import VALUES (14237, '02/09/2020', '2', '9', '2020', '33', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.79698176');
INSERT INTO public.ecdc_import VALUES (14238, '01/09/2020', '1', '9', '2020', '59', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.89403929');
INSERT INTO public.ecdc_import VALUES (14239, '31/08/2020', '31', '8', '2020', '48', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.79698176');
INSERT INTO public.ecdc_import VALUES (14240, '30/08/2020', '30', '8', '2020', '59', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.58521987');
INSERT INTO public.ecdc_import VALUES (14241, '29/08/2020', '29', '8', '2020', '60', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.62051352');
INSERT INTO public.ecdc_import VALUES (14242, '28/08/2020', '28', '8', '2020', '47', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.57639645');
INSERT INTO public.ecdc_import VALUES (14243, '27/08/2020', '27', '8', '2020', '15', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.56757304');
INSERT INTO public.ecdc_import VALUES (14244, '26/08/2020', '26', '8', '2020', '27', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.74404129');
INSERT INTO public.ecdc_import VALUES (14245, '25/08/2020', '25', '8', '2020', '35', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.92050953');
INSERT INTO public.ecdc_import VALUES (14246, '24/08/2020', '24', '8', '2020', '65', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.43226743');
INSERT INTO public.ecdc_import VALUES (14247, '23/08/2020', '23', '8', '2020', '35', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.43226743');
INSERT INTO public.ecdc_import VALUES (14248, '22/08/2020', '22', '8', '2020', '17', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.64402932');
INSERT INTO public.ecdc_import VALUES (14249, '21/08/2020', '21', '8', '2020', '83', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.97049557');
INSERT INTO public.ecdc_import VALUES (14250, '20/08/2020', '20', '8', '2020', '74', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.67049956');
INSERT INTO public.ecdc_import VALUES (14251, '19/08/2020', '19', '8', '2020', '44', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.23815236');
INSERT INTO public.ecdc_import VALUES (14252, '18/08/2020', '18', '8', '2020', '48', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.12344801');
INSERT INTO public.ecdc_import VALUES (14253, '17/08/2020', '17', '8', '2020', '24', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.91168612');
INSERT INTO public.ecdc_import VALUES (14254, '16/08/2020', '16', '8', '2020', '63', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.81462858');
INSERT INTO public.ecdc_import VALUES (14255, '15/08/2020', '15', '8', '2020', '55', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.47933892');
INSERT INTO public.ecdc_import VALUES (14256, '14/08/2020', '14', '8', '2020', '46', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.09110879');
INSERT INTO public.ecdc_import VALUES (14257, '13/08/2020', '13', '8', '2020', '35', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.76464254');
INSERT INTO public.ecdc_import VALUES (14258, '12/08/2020', '12', '8', '2020', '47', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.74699572');
INSERT INTO public.ecdc_import VALUES (14259, '11/08/2020', '11', '8', '2020', '93', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.53523383');
INSERT INTO public.ecdc_import VALUES (14260, '10/08/2020', '10', '8', '2020', '65', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.04112275');
INSERT INTO public.ecdc_import VALUES (14261, '09/08/2020', '9', '8', '2020', '59', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.61759897');
INSERT INTO public.ecdc_import VALUES (14262, '08/08/2020', '8', '8', '2020', '54', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.17642836');
INSERT INTO public.ecdc_import VALUES (14263, '07/08/2020', '7', '8', '2020', '49', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.72643434');
INSERT INTO public.ecdc_import VALUES (14264, '06/08/2020', '6', '8', '2020', '25', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.3293808');
INSERT INTO public.ecdc_import VALUES (14265, '05/08/2020', '5', '8', '2020', '31', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.22349985');
INSERT INTO public.ecdc_import VALUES (14266, '04/08/2020', '4', '8', '2020', '24', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.97644431');
INSERT INTO public.ecdc_import VALUES (14267, '03/08/2020', '3', '8', '2020', '13', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.76468242');
INSERT INTO public.ecdc_import VALUES (14268, '02/08/2020', '2', '8', '2020', '25', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.65880148');
INSERT INTO public.ecdc_import VALUES (14269, '01/08/2020', '1', '8', '2020', '11', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.44703959');
INSERT INTO public.ecdc_import VALUES (14270, '31/07/2020', '31', '7', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.3852757');
INSERT INTO public.ecdc_import VALUES (14271, '30/07/2020', '30', '7', '2020', '33', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.32351182');
INSERT INTO public.ecdc_import VALUES (14272, '29/07/2020', '29', '7', '2020', '23', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.08527969');
INSERT INTO public.ecdc_import VALUES (14273, '28/07/2020', '28', '7', '2020', '37', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.91763486');
INSERT INTO public.ecdc_import VALUES (14274, '27/07/2020', '27', '7', '2020', '17', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.60881544');
INSERT INTO public.ecdc_import VALUES (14275, '26/07/2020', '26', '7', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.5117579');
INSERT INTO public.ecdc_import VALUES (14276, '25/07/2020', '25', '7', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.49411108');
INSERT INTO public.ecdc_import VALUES (14277, '24/07/2020', '24', '7', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.55587496');
INSERT INTO public.ecdc_import VALUES (14278, '23/07/2020', '23', '7', '2020', '13', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.55587496');
INSERT INTO public.ecdc_import VALUES (14279, '22/07/2020', '22', '7', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.47646425');
INSERT INTO public.ecdc_import VALUES (14280, '21/07/2020', '21', '7', '2020', '0', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.5823452');
INSERT INTO public.ecdc_import VALUES (14281, '20/07/2020', '20', '7', '2020', '1', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.6529325');
INSERT INTO public.ecdc_import VALUES (14282, '19/07/2020', '19', '7', '2020', '1', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.67057932');
INSERT INTO public.ecdc_import VALUES (14283, '18/07/2020', '18', '7', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.73234321');
INSERT INTO public.ecdc_import VALUES (14284, '17/07/2020', '17', '7', '2020', '2', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.76763685');
INSERT INTO public.ecdc_import VALUES (14285, '16/07/2020', '16', '7', '2020', '6', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.79410709');
INSERT INTO public.ecdc_import VALUES (14286, '15/07/2020', '15', '7', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.8029305');
INSERT INTO public.ecdc_import VALUES (14287, '14/07/2020', '14', '7', '2020', '2', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.77646027');
INSERT INTO public.ecdc_import VALUES (14288, '13/07/2020', '13', '7', '2020', '6', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.82940074');
INSERT INTO public.ecdc_import VALUES (14289, '12/07/2020', '12', '7', '2020', '7', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.79410709');
INSERT INTO public.ecdc_import VALUES (14290, '11/07/2020', '11', '7', '2020', '10', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.77646027');
INSERT INTO public.ecdc_import VALUES (14291, '10/07/2020', '10', '7', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.72351979');
INSERT INTO public.ecdc_import VALUES (14292, '09/07/2020', '9', '7', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.70587297');
INSERT INTO public.ecdc_import VALUES (14293, '08/07/2020', '8', '7', '2020', '15', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.67940273');
INSERT INTO public.ecdc_import VALUES (14294, '07/07/2020', '7', '7', '2020', '8', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.57352179');
INSERT INTO public.ecdc_import VALUES (14295, '06/07/2020', '6', '7', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.52940473');
INSERT INTO public.ecdc_import VALUES (14296, '05/07/2020', '5', '7', '2020', '8', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.52940473');
INSERT INTO public.ecdc_import VALUES (14297, '04/07/2020', '4', '7', '2020', '8', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.49411108');
INSERT INTO public.ecdc_import VALUES (14298, '03/07/2020', '3', '7', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.5117579');
INSERT INTO public.ecdc_import VALUES (14299, '02/07/2020', '2', '7', '2020', '7', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.59999202');
INSERT INTO public.ecdc_import VALUES (14300, '01/07/2020', '1', '7', '2020', '1', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.59999202');
INSERT INTO public.ecdc_import VALUES (14301, '30/06/2020', '30', '6', '2020', '8', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.68822614');
INSERT INTO public.ecdc_import VALUES (14302, '29/06/2020', '29', '6', '2020', '2', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.74116662');
INSERT INTO public.ecdc_import VALUES (14303, '28/06/2020', '28', '6', '2020', '5', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.81175391');
INSERT INTO public.ecdc_import VALUES (14304, '27/06/2020', '27', '6', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.81175391');
INSERT INTO public.ecdc_import VALUES (14305, '26/06/2020', '26', '6', '2020', '2', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.89998804');
INSERT INTO public.ecdc_import VALUES (14306, '25/06/2020', '25', '6', '2020', '1', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.95292851');
INSERT INTO public.ecdc_import VALUES (14307, '24/06/2020', '24', '6', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.99704557');
INSERT INTO public.ecdc_import VALUES (14308, '23/06/2020', '23', '6', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.01469239');
INSERT INTO public.ecdc_import VALUES (14309, '22/06/2020', '22', '6', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.06763287');
INSERT INTO public.ecdc_import VALUES (14310, '21/06/2020', '21', '6', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.19998405');
INSERT INTO public.ecdc_import VALUES (14311, '20/06/2020', '20', '6', '2020', '10', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.51762688');
INSERT INTO public.ecdc_import VALUES (14312, '19/06/2020', '19', '6', '2020', '15', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.55292053');
INSERT INTO public.ecdc_import VALUES (14313, '18/06/2020', '18', '6', '2020', '7', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.5264503');
INSERT INTO public.ecdc_import VALUES (14314, '17/06/2020', '17', '6', '2020', '11', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.59703759');
INSERT INTO public.ecdc_import VALUES (14315, '16/06/2020', '16', '6', '2020', '14', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.57939077');
INSERT INTO public.ecdc_import VALUES (14316, '15/06/2020', '15', '6', '2020', '10', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.79115266');
INSERT INTO public.ecdc_import VALUES (14317, '14/06/2020', '14', '6', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.87938678');
INSERT INTO public.ecdc_import VALUES (14318, '13/06/2020', '13', '6', '2020', '14', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.01173796');
INSERT INTO public.ecdc_import VALUES (14319, '12/06/2020', '12', '6', '2020', '8', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.08232526');
INSERT INTO public.ecdc_import VALUES (14320, '11/06/2020', '11', '6', '2020', '6', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.09114867');
INSERT INTO public.ecdc_import VALUES (14321, '10/06/2020', '10', '6', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.13526573');
INSERT INTO public.ecdc_import VALUES (14322, '09/06/2020', '9', '6', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.23232326');
INSERT INTO public.ecdc_import VALUES (14323, '08/06/2020', '8', '6', '2020', '18', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.20585303');
INSERT INTO public.ecdc_import VALUES (14324, '07/06/2020', '7', '6', '2020', '40', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.13526573');
INSERT INTO public.ecdc_import VALUES (14325, '06/06/2020', '6', '6', '2020', '14', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.91468043');
INSERT INTO public.ecdc_import VALUES (14326, '05/06/2020', '5', '6', '2020', '12', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.86173996');
INSERT INTO public.ecdc_import VALUES (14327, '04/06/2020', '4', '6', '2020', '15', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.82644631');
INSERT INTO public.ecdc_import VALUES (14328, '03/06/2020', '3', '6', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.80879948');
INSERT INTO public.ecdc_import VALUES (14329, '02/06/2020', '2', '6', '2020', '38', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.78232925');
INSERT INTO public.ecdc_import VALUES (14330, '01/06/2020', '1', '6', '2020', '20', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.5264503');
INSERT INTO public.ecdc_import VALUES (14331, '31/05/2020', '31', '5', '2020', '20', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.43821617');
INSERT INTO public.ecdc_import VALUES (14332, '30/05/2020', '30', '5', '2020', '22', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.455863');
INSERT INTO public.ecdc_import VALUES (14333, '29/05/2020', '29', '5', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.34998205');
INSERT INTO public.ecdc_import VALUES (14334, '28/05/2020', '28', '5', '2020', '11', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.44703959');
INSERT INTO public.ecdc_import VALUES (14335, '27/05/2020', '27', '5', '2020', '16', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.40292253');
INSERT INTO public.ecdc_import VALUES (14336, '26/05/2020', '26', '5', '2020', '6', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.44703959');
INSERT INTO public.ecdc_import VALUES (14337, '25/05/2020', '25', '5', '2020', '10', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.54409712');
INSERT INTO public.ecdc_import VALUES (14338, '24/05/2020', '24', '5', '2020', '15', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.56174394');
INSERT INTO public.ecdc_import VALUES (14339, '23/05/2020', '23', '5', '2020', '8', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.54409712');
INSERT INTO public.ecdc_import VALUES (14340, '22/05/2020', '22', '5', '2020', '8', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.57939077');
INSERT INTO public.ecdc_import VALUES (14341, '21/05/2020', '21', '5', '2020', '13', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.73821219');
INSERT INTO public.ecdc_import VALUES (14342, '20/05/2020', '20', '5', '2020', '6', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.78232925');
INSERT INTO public.ecdc_import VALUES (14343, '19/05/2020', '19', '5', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.87938678');
INSERT INTO public.ecdc_import VALUES (14344, '18/05/2020', '18', '5', '2020', '10', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.9676209');
INSERT INTO public.ecdc_import VALUES (14345, '17/05/2020', '17', '5', '2020', '22', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.21467644');
INSERT INTO public.ecdc_import VALUES (14346, '16/05/2020', '16', '5', '2020', '10', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.67349387');
INSERT INTO public.ecdc_import VALUES (14347, '15/05/2020', '15', '5', '2020', '20', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.90290258');
INSERT INTO public.ecdc_import VALUES (14348, '14/05/2020', '14', '5', '2020', '6', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.02643035');
INSERT INTO public.ecdc_import VALUES (14349, '13/05/2020', '13', '5', '2020', '21', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.23819225');
INSERT INTO public.ecdc_import VALUES (14350, '12/05/2020', '12', '5', '2020', '17', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.47642437');
INSERT INTO public.ecdc_import VALUES (14351, '11/05/2020', '11', '5', '2020', '12', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.50289461');
INSERT INTO public.ecdc_import VALUES (14352, '10/05/2020', '10', '5', '2020', '13', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.67936285');
INSERT INTO public.ecdc_import VALUES (14353, '09/05/2020', '9', '5', '2020', '12', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.02347592');
INSERT INTO public.ecdc_import VALUES (14354, '08/05/2020', '8', '5', '2020', '26', '4', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.35876558');
INSERT INTO public.ecdc_import VALUES (14355, '07/05/2020', '7', '5', '2020', '18', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.53523383');
INSERT INTO public.ecdc_import VALUES (14356, '06/05/2020', '6', '5', '2020', '17', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.83522984');
INSERT INTO public.ecdc_import VALUES (14357, '05/05/2020', '5', '5', '2020', '19', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.12640244');
INSERT INTO public.ecdc_import VALUES (14358, '04/05/2020', '4', '5', '2020', '38', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.41757504');
INSERT INTO public.ecdc_import VALUES (14359, '03/05/2020', '3', '5', '2020', '74', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.51463257');
INSERT INTO public.ecdc_import VALUES (14360, '02/05/2020', '2', '5', '2020', '36', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.41757504');
INSERT INTO public.ecdc_import VALUES (14361, '01/05/2020', '1', '5', '2020', '34', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.63816034');
INSERT INTO public.ecdc_import VALUES (14362, '30/04/2020', '30', '4', '2020', '30', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.76168811');
INSERT INTO public.ecdc_import VALUES (14363, '29/04/2020', '29', '4', '2020', '48', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.92050953');
INSERT INTO public.ecdc_import VALUES (14364, '28/04/2020', '28', '4', '2020', '20', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.84992223');
INSERT INTO public.ecdc_import VALUES (14365, '27/04/2020', '27', '4', '2020', '32', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.17638848');
INSERT INTO public.ecdc_import VALUES (14366, '26/04/2020', '26', '4', '2020', '52', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.32638648');
INSERT INTO public.ecdc_import VALUES (14367, '25/04/2020', '25', '4', '2020', '50', '6', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.36168013');
INSERT INTO public.ecdc_import VALUES (14368, '24/04/2020', '24', '4', '2020', '46', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.35285672');
INSERT INTO public.ecdc_import VALUES (14369, '23/04/2020', '23', '4', '2020', '52', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.45873767');
INSERT INTO public.ecdc_import VALUES (14370, '22/04/2020', '22', '4', '2020', '50', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.53814838');
INSERT INTO public.ecdc_import VALUES (14371, '21/04/2020', '21', '4', '2020', '52', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.50285473');
INSERT INTO public.ecdc_import VALUES (14372, '20/04/2020', '20', '4', '2020', '49', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.30873966');
INSERT INTO public.ecdc_import VALUES (14373, '19/04/2020', '19', '4', '2020', '63', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '6.15874165');
INSERT INTO public.ecdc_import VALUES (14374, '18/04/2020', '18', '4', '2020', '61', '4', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.77051152');
INSERT INTO public.ecdc_import VALUES (14375, '17/04/2020', '17', '4', '2020', '48', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.54992622');
INSERT INTO public.ecdc_import VALUES (14376, '16/04/2020', '16', '4', '2020', '48', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.31169409');
INSERT INTO public.ecdc_import VALUES (14377, '15/04/2020', '15', '4', '2020', '40', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '5.11757903');
INSERT INTO public.ecdc_import VALUES (14378, '14/04/2020', '14', '4', '2020', '57', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.90581713');
INSERT INTO public.ecdc_import VALUES (14379, '13/04/2020', '13', '4', '2020', '49', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.67640842');
INSERT INTO public.ecdc_import VALUES (14380, '12/04/2020', '12', '4', '2020', '56', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.42052947');
INSERT INTO public.ecdc_import VALUES (14381, '11/04/2020', '11', '4', '2020', '49', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '4.27053146');
INSERT INTO public.ecdc_import VALUES (14382, '10/04/2020', '10', '4', '2020', '58', '3', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.95288863');
INSERT INTO public.ecdc_import VALUES (14383, '09/04/2020', '9', '4', '2020', '61', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.52936484');
INSERT INTO public.ecdc_import VALUES (14384, '08/04/2020', '8', '4', '2020', '46', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '3.07054742');
INSERT INTO public.ecdc_import VALUES (14385, '07/04/2020', '7', '4', '2020', '30', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.73525775');
INSERT INTO public.ecdc_import VALUES (14386, '06/04/2020', '6', '4', '2020', '32', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.51467245');
INSERT INTO public.ecdc_import VALUES (14387, '05/04/2020', '5', '4', '2020', '19', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.32055739');
INSERT INTO public.ecdc_import VALUES (14388, '04/04/2020', '4', '4', '2020', '36', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '2.1882062');
INSERT INTO public.ecdc_import VALUES (14389, '03/04/2020', '3', '4', '2020', '21', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.91468043');
INSERT INTO public.ecdc_import VALUES (14390, '02/04/2020', '2', '4', '2020', '26', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.77350583');
INSERT INTO public.ecdc_import VALUES (14391, '01/04/2020', '1', '4', '2020', '16', '2', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.57939077');
INSERT INTO public.ecdc_import VALUES (14392, '31/03/2020', '31', '3', '2020', '31', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.46468641');
INSERT INTO public.ecdc_import VALUES (14393, '30/03/2020', '30', '3', '2020', '20', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.19116064');
INSERT INTO public.ecdc_import VALUES (14394, '29/03/2020', '29', '3', '2020', '39', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '1.02351581');
INSERT INTO public.ecdc_import VALUES (14395, '28/03/2020', '28', '3', '2020', '13', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '0.70587297');
INSERT INTO public.ecdc_import VALUES (14396, '27/03/2020', '27', '3', '2020', '10', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14397, '26/03/2020', '26', '3', '2020', '9', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14398, '25/03/2020', '25', '3', '2020', '8', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14399, '24/03/2020', '24', '3', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14400, '23/03/2020', '23', '3', '2020', '10', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14401, '22/03/2020', '22', '3', '2020', '4', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14402, '21/03/2020', '21', '3', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14403, '20/03/2020', '20', '3', '2020', '5', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14404, '19/03/2020', '19', '3', '2020', '4', '1', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14405, '18/03/2020', '18', '3', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14406, '15/03/2020', '15', '3', '2020', '0', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14407, '14/03/2020', '14', '3', '2020', '1', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14408, '12/03/2020', '12', '3', '2020', '3', '0', '11333484', 'Cuba', 'CU', 'CUB', 'America', '');
INSERT INTO public.ecdc_import VALUES (14409, '14/12/2020', '14', '12', '2020', '48', '1', '163423', 'Curaçao', 'CW', 'CUW', 'America', '771.00530525');
INSERT INTO public.ecdc_import VALUES (14410, '13/12/2020', '13', '12', '2020', '172', '2', '163423', 'Curaçao', 'CW', 'CUW', 'America', '806.49602565');
INSERT INTO public.ecdc_import VALUES (14411, '12/12/2020', '12', '12', '2020', '79', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '763.05048861');
INSERT INTO public.ecdc_import VALUES (14412, '11/12/2020', '11', '12', '2020', '79', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '782.63157573');
INSERT INTO public.ecdc_import VALUES (14413, '10/12/2020', '10', '12', '2020', '72', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '805.88411668');
INSERT INTO public.ecdc_import VALUES (14414, '09/12/2020', '9', '12', '2020', '38', '1', '163423', 'Curaçao', 'CW', 'CUW', 'America', '824.24138585');
INSERT INTO public.ecdc_import VALUES (14415, '08/12/2020', '8', '12', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '834.03192941');
INSERT INTO public.ecdc_import VALUES (14416, '07/12/2020', '7', '12', '2020', '125', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '848.71774475');
INSERT INTO public.ecdc_import VALUES (14417, '06/12/2020', '6', '12', '2020', '121', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '813.22702435');
INSERT INTO public.ecdc_import VALUES (14418, '05/12/2020', '5', '12', '2020', '150', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '777.12439498');
INSERT INTO public.ecdc_import VALUES (14419, '04/12/2020', '4', '12', '2020', '82', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '721.44067848');
INSERT INTO public.ecdc_import VALUES (14420, '03/12/2020', '3', '12', '2020', '155', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '719.60495157');
INSERT INTO public.ecdc_import VALUES (14421, '02/12/2020', '2', '12', '2020', '124', '3', '163423', 'Curaçao', 'CW', 'CUW', 'America', '665.75696199');
INSERT INTO public.ecdc_import VALUES (14422, '01/12/2020', '1', '12', '2020', '15', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '614.96851728');
INSERT INTO public.ecdc_import VALUES (14423, '30/11/2020', '30', '11', '2020', '106', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '626.59478776');
INSERT INTO public.ecdc_import VALUES (14424, '29/11/2020', '29', '11', '2020', '101', '1', '163423', 'Curaçao', 'CW', 'CUW', 'America', '581.92543277');
INSERT INTO public.ecdc_import VALUES (14425, '28/11/2020', '28', '11', '2020', '111', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '548.27043929');
INSERT INTO public.ecdc_import VALUES (14426, '27/11/2020', '27', '11', '2020', '117', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '508.49635608');
INSERT INTO public.ecdc_import VALUES (14427, '26/11/2020', '26', '11', '2020', '102', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '457.0960024');
INSERT INTO public.ecdc_import VALUES (14428, '25/11/2020', '25', '11', '2020', '54', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '425.88864481');
INSERT INTO public.ecdc_import VALUES (14429, '24/11/2020', '24', '11', '2020', '24', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '410.59092049');
INSERT INTO public.ecdc_import VALUES (14430, '23/11/2020', '23', '11', '2020', '67', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '398.96465002');
INSERT INTO public.ecdc_import VALUES (14431, '22/11/2020', '22', '11', '2020', '62', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '370.20492831');
INSERT INTO public.ecdc_import VALUES (14432, '21/11/2020', '21', '11', '2020', '59', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '346.95238736');
INSERT INTO public.ecdc_import VALUES (14433, '20/11/2020', '20', '11', '2020', '79', '1', '163423', 'Curaçao', 'CW', 'CUW', 'America', '324.92366436');
INSERT INTO public.ecdc_import VALUES (14434, '19/11/2020', '19', '11', '2020', '67', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '282.09003629');
INSERT INTO public.ecdc_import VALUES (14435, '18/11/2020', '18', '11', '2020', '41', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '253.94222355');
INSERT INTO public.ecdc_import VALUES (14436, '17/11/2020', '17', '11', '2020', '34', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '231.91350055');
INSERT INTO public.ecdc_import VALUES (14437, '16/11/2020', '16', '11', '2020', '33', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '216.00386726');
INSERT INTO public.ecdc_import VALUES (14438, '15/11/2020', '15', '11', '2020', '46', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '206.21332371');
INSERT INTO public.ecdc_import VALUES (14439, '14/11/2020', '14', '11', '2020', '46', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '193.97514426');
INSERT INTO public.ecdc_import VALUES (14440, '13/11/2020', '13', '11', '2020', '33', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '188.46796351');
INSERT INTO public.ecdc_import VALUES (14441, '12/11/2020', '12', '11', '2020', '51', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '182.34887378');
INSERT INTO public.ecdc_import VALUES (14442, '11/11/2020', '11', '11', '2020', '29', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '157.87251488');
INSERT INTO public.ecdc_import VALUES (14443, '10/11/2020', '10', '11', '2020', '5', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '140.12715468');
INSERT INTO public.ecdc_import VALUES (14444, '09/11/2020', '9', '11', '2020', '20', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '146.24624441');
INSERT INTO public.ecdc_import VALUES (14445, '08/11/2020', '8', '11', '2020', '24', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '146.85815338');
INSERT INTO public.ecdc_import VALUES (14446, '07/11/2020', '7', '11', '2020', '23', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '143.79860852');
INSERT INTO public.ecdc_import VALUES (14447, '06/11/2020', '6', '11', '2020', '9', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '138.29142777');
INSERT INTO public.ecdc_import VALUES (14448, '05/11/2020', '5', '11', '2020', '21', '1', '163423', 'Curaçao', 'CW', 'CUW', 'America', '144.41051749');
INSERT INTO public.ecdc_import VALUES (14449, '04/11/2020', '4', '11', '2020', '5', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '147.47006235');
INSERT INTO public.ecdc_import VALUES (14450, '03/11/2020', '3', '11', '2020', '8', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '149.30578927');
INSERT INTO public.ecdc_import VALUES (14451, '02/11/2020', '2', '11', '2020', '17', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '148.6938803');
INSERT INTO public.ecdc_import VALUES (14452, '01/11/2020', '1', '11', '2020', '26', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '156.03678797');
INSERT INTO public.ecdc_import VALUES (14453, '31/10/2020', '31', '10', '2020', '37', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '150.52960722');
INSERT INTO public.ecdc_import VALUES (14454, '30/10/2020', '30', '10', '2020', '23', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '143.18669955');
INSERT INTO public.ecdc_import VALUES (14455, '29/10/2020', '29', '10', '2020', '11', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '146.24624441');
INSERT INTO public.ecdc_import VALUES (14456, '28/10/2020', '28', '10', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '155.424879');
INSERT INTO public.ecdc_import VALUES (14457, '27/10/2020', '27', '10', '2020', '15', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '176.22978406');
INSERT INTO public.ecdc_import VALUES (14458, '26/10/2020', '26', '10', '2020', '21', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '168.27496742');
INSERT INTO public.ecdc_import VALUES (14459, '25/10/2020', '25', '10', '2020', '19', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '162.76778666');
INSERT INTO public.ecdc_import VALUES (14460, '24/10/2020', '24', '10', '2020', '14', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '191.52750837');
INSERT INTO public.ecdc_import VALUES (14461, '23/10/2020', '23', '10', '2020', '19', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '182.96078275');
INSERT INTO public.ecdc_import VALUES (14462, '22/10/2020', '22', '10', '2020', '26', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '189.07987248');
INSERT INTO public.ecdc_import VALUES (14463, '21/10/2020', '21', '10', '2020', '8', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '181.73696481');
INSERT INTO public.ecdc_import VALUES (14464, '20/10/2020', '20', '10', '2020', '7', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '182.96078275');
INSERT INTO public.ecdc_import VALUES (14465, '19/10/2020', '19', '10', '2020', '29', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '178.67741995');
INSERT INTO public.ecdc_import VALUES (14466, '18/10/2020', '18', '10', '2020', '17', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '175.00596611');
INSERT INTO public.ecdc_import VALUES (14467, '17/10/2020', '17', '10', '2020', '25', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '175.61787508');
INSERT INTO public.ecdc_import VALUES (14468, '16/10/2020', '16', '10', '2020', '28', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '167.66305844');
INSERT INTO public.ecdc_import VALUES (14469, '15/10/2020', '15', '10', '2020', '26', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '154.81297002');
INSERT INTO public.ecdc_import VALUES (14470, '14/10/2020', '14', '10', '2020', '34', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '152.36533413');
INSERT INTO public.ecdc_import VALUES (14471, '13/10/2020', '13', '10', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '135.23188291');
INSERT INTO public.ecdc_import VALUES (14472, '12/10/2020', '12', '10', '2020', '12', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '136.45570085');
INSERT INTO public.ecdc_import VALUES (14473, '11/10/2020', '11', '10', '2020', '66', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '143.18669955');
INSERT INTO public.ecdc_import VALUES (14474, '10/10/2020', '10', '10', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '107.69597915');
INSERT INTO public.ecdc_import VALUES (14475, '09/10/2020', '9', '10', '2020', '29', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '116.26270476');
INSERT INTO public.ecdc_import VALUES (14476, '08/10/2020', '8', '10', '2020', '14', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '107.08407017');
INSERT INTO public.ecdc_import VALUES (14477, '07/10/2020', '7', '10', '2020', '10', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '104.63643428');
INSERT INTO public.ecdc_import VALUES (14478, '06/10/2020', '6', '10', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '104.02452531');
INSERT INTO public.ecdc_import VALUES (14479, '05/10/2020', '5', '10', '2020', '23', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '112.59125093');
INSERT INTO public.ecdc_import VALUES (14480, '04/10/2020', '4', '10', '2020', '18', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '111.36743298');
INSERT INTO public.ecdc_import VALUES (14481, '03/10/2020', '3', '10', '2020', '12', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '111.97934195');
INSERT INTO public.ecdc_import VALUES (14482, '02/10/2020', '2', '10', '2020', '7', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '115.65079579');
INSERT INTO public.ecdc_import VALUES (14483, '01/10/2020', '1', '10', '2020', '22', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '122.38179448');
INSERT INTO public.ecdc_import VALUES (14484, '30/09/2020', '30', '9', '2020', '6', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '122.99370346');
INSERT INTO public.ecdc_import VALUES (14485, '29/09/2020', '29', '9', '2020', '4', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '126.66515729');
INSERT INTO public.ecdc_import VALUES (14486, '28/09/2020', '28', '9', '2020', '23', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '124.2175214');
INSERT INTO public.ecdc_import VALUES (14487, '27/09/2020', '27', '9', '2020', '8', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '117.4865227');
INSERT INTO public.ecdc_import VALUES (14488, '26/09/2020', '26', '9', '2020', '14', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '118.71034065');
INSERT INTO public.ecdc_import VALUES (14489, '25/09/2020', '25', '9', '2020', '14', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '112.59125093');
INSERT INTO public.ecdc_import VALUES (14490, '24/09/2020', '24', '9', '2020', '10', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '113.2031599');
INSERT INTO public.ecdc_import VALUES (14491, '23/09/2020', '23', '9', '2020', '9', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '112.59125093');
INSERT INTO public.ecdc_import VALUES (14492, '22/09/2020', '22', '9', '2020', '14', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '110.14361504');
INSERT INTO public.ecdc_import VALUES (14493, '21/09/2020', '21', '9', '2020', '21', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '107.69597915');
INSERT INTO public.ecdc_import VALUES (14494, '20/09/2020', '20', '9', '2020', '19', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '97.29352661');
INSERT INTO public.ecdc_import VALUES (14495, '19/09/2020', '19', '9', '2020', '18', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '91.78634586');
INSERT INTO public.ecdc_import VALUES (14496, '18/09/2020', '18', '9', '2020', '18', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '82.60771128');
INSERT INTO public.ecdc_import VALUES (14497, '17/09/2020', '17', '9', '2020', '23', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '75.87671258');
INSERT INTO public.ecdc_import VALUES (14498, '16/09/2020', '16', '9', '2020', '12', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '61.80280621');
INSERT INTO public.ecdc_import VALUES (14499, '15/09/2020', '15', '9', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '54.45989855');
INSERT INTO public.ecdc_import VALUES (14500, '14/09/2020', '14', '9', '2020', '12', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '61.19089724');
INSERT INTO public.ecdc_import VALUES (14501, '13/09/2020', '13', '9', '2020', '10', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '53.84798957');
INSERT INTO public.ecdc_import VALUES (14502, '12/09/2020', '12', '9', '2020', '4', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '47.72889985');
INSERT INTO public.ecdc_import VALUES (14503, '11/09/2020', '11', '9', '2020', '15', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '47.72889985');
INSERT INTO public.ecdc_import VALUES (14504, '10/09/2020', '10', '9', '2020', '9', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '40.99790115');
INSERT INTO public.ecdc_import VALUES (14505, '09/09/2020', '9', '9', '2020', '5', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '36.71453835');
INSERT INTO public.ecdc_import VALUES (14506, '08/09/2020', '8', '9', '2020', '10', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '33.65499348');
INSERT INTO public.ecdc_import VALUES (14507, '07/09/2020', '7', '9', '2020', '4', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '29.98353965');
INSERT INTO public.ecdc_import VALUES (14508, '06/09/2020', '6', '9', '2020', '10', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '31.20735759');
INSERT INTO public.ecdc_import VALUES (14509, '05/09/2020', '5', '9', '2020', '3', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '25.08826787');
INSERT INTO public.ecdc_import VALUES (14510, '04/09/2020', '4', '9', '2020', '7', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '24.4763589');
INSERT INTO public.ecdc_import VALUES (14511, '03/09/2020', '3', '9', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '20.19299609');
INSERT INTO public.ecdc_import VALUES (14512, '02/09/2020', '2', '9', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '20.19299609');
INSERT INTO public.ecdc_import VALUES (14513, '01/09/2020', '1', '9', '2020', '11', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '20.19299609');
INSERT INTO public.ecdc_import VALUES (14514, '31/08/2020', '31', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '14.07390637');
INSERT INTO public.ecdc_import VALUES (14515, '30/08/2020', '30', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '14.68581534');
INSERT INTO public.ecdc_import VALUES (14516, '29/08/2020', '29', '8', '2020', '4', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '15.29772431');
INSERT INTO public.ecdc_import VALUES (14517, '28/08/2020', '28', '8', '2020', '4', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '12.85008842');
INSERT INTO public.ecdc_import VALUES (14518, '27/08/2020', '27', '8', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '10.40245253');
INSERT INTO public.ecdc_import VALUES (14519, '26/08/2020', '26', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '9.17863459');
INSERT INTO public.ecdc_import VALUES (14520, '25/08/2020', '25', '8', '2020', '4', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '9.17863459');
INSERT INTO public.ecdc_import VALUES (14521, '24/08/2020', '24', '8', '2020', '6', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '7.34290767');
INSERT INTO public.ecdc_import VALUES (14522, '23/08/2020', '23', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.67145383');
INSERT INTO public.ecdc_import VALUES (14523, '22/08/2020', '22', '8', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.67145383');
INSERT INTO public.ecdc_import VALUES (14524, '21/08/2020', '21', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14525, '20/08/2020', '20', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14526, '19/08/2020', '19', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.67145383');
INSERT INTO public.ecdc_import VALUES (14527, '18/08/2020', '18', '8', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.67145383');
INSERT INTO public.ecdc_import VALUES (14528, '17/08/2020', '17', '8', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.05954486');
INSERT INTO public.ecdc_import VALUES (14529, '16/08/2020', '16', '8', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14530, '15/08/2020', '15', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14531, '14/08/2020', '14', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14532, '13/08/2020', '13', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14533, '12/08/2020', '12', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14534, '11/08/2020', '11', '8', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14535, '10/08/2020', '10', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14536, '09/08/2020', '9', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14537, '08/08/2020', '8', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14538, '07/08/2020', '7', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14539, '06/08/2020', '6', '8', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14540, '05/08/2020', '5', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14541, '04/08/2020', '4', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14542, '03/08/2020', '3', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14543, '02/08/2020', '2', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14544, '01/08/2020', '1', '8', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14545, '31/07/2020', '31', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14546, '30/07/2020', '30', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14547, '29/07/2020', '29', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14548, '28/07/2020', '28', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14549, '27/07/2020', '27', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14550, '26/07/2020', '26', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14551, '25/07/2020', '25', '7', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14552, '24/07/2020', '24', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14553, '23/07/2020', '23', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14554, '22/07/2020', '22', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14555, '21/07/2020', '21', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14556, '20/07/2020', '20', '7', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14557, '19/07/2020', '19', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14558, '18/07/2020', '18', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14559, '17/07/2020', '17', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14560, '16/07/2020', '16', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14561, '15/07/2020', '15', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14562, '14/07/2020', '14', '7', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14563, '13/07/2020', '13', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14564, '12/07/2020', '12', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14565, '11/07/2020', '11', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14566, '10/07/2020', '10', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14567, '09/07/2020', '9', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14568, '08/07/2020', '8', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14569, '07/07/2020', '7', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14570, '06/07/2020', '6', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14571, '05/07/2020', '5', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14572, '04/07/2020', '4', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14573, '03/07/2020', '3', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14574, '02/07/2020', '2', '7', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14575, '01/07/2020', '1', '7', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14576, '30/06/2020', '30', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14577, '29/06/2020', '29', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14578, '28/06/2020', '28', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14579, '27/06/2020', '27', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14580, '26/06/2020', '26', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14581, '25/06/2020', '25', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14582, '24/06/2020', '24', '6', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14583, '23/06/2020', '23', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14584, '22/06/2020', '22', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14585, '21/06/2020', '21', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14586, '20/06/2020', '20', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14587, '19/06/2020', '19', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14588, '18/06/2020', '18', '6', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14589, '17/06/2020', '17', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14590, '16/06/2020', '16', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14591, '15/06/2020', '15', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14592, '14/06/2020', '14', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14593, '13/06/2020', '13', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14594, '12/06/2020', '12', '6', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14595, '11/06/2020', '11', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14596, '10/06/2020', '10', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14597, '09/06/2020', '9', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14598, '08/06/2020', '8', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14599, '07/06/2020', '7', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.05954486');
INSERT INTO public.ecdc_import VALUES (14600, '06/06/2020', '6', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.05954486');
INSERT INTO public.ecdc_import VALUES (14601, '05/06/2020', '5', '6', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.05954486');
INSERT INTO public.ecdc_import VALUES (14602, '04/06/2020', '4', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14603, '03/06/2020', '3', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14604, '02/06/2020', '2', '6', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '2.44763589');
INSERT INTO public.ecdc_import VALUES (14605, '01/06/2020', '1', '6', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14606, '31/05/2020', '31', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14607, '30/05/2020', '30', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14608, '29/05/2020', '29', '5', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14609, '28/05/2020', '28', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14610, '27/05/2020', '27', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14611, '26/05/2020', '26', '5', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14612, '25/05/2020', '25', '5', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14613, '24/05/2020', '24', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14614, '23/05/2020', '23', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14615, '22/05/2020', '22', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14616, '21/05/2020', '21', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14617, '20/05/2020', '20', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14618, '19/05/2020', '19', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14619, '18/05/2020', '18', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14620, '17/05/2020', '17', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14621, '16/05/2020', '16', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14622, '15/05/2020', '15', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14623, '14/05/2020', '14', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14624, '13/05/2020', '13', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14625, '12/05/2020', '12', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14626, '11/05/2020', '11', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14627, '10/05/2020', '10', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14628, '09/05/2020', '9', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14629, '08/05/2020', '8', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14630, '07/05/2020', '7', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14631, '06/05/2020', '6', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14632, '05/05/2020', '5', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14633, '04/05/2020', '4', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14634, '03/05/2020', '3', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14635, '02/05/2020', '2', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14636, '01/05/2020', '1', '5', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14637, '30/04/2020', '30', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14638, '29/04/2020', '29', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14639, '28/04/2020', '28', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14640, '27/04/2020', '27', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14641, '26/04/2020', '26', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14642, '25/04/2020', '25', '4', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.22381794');
INSERT INTO public.ecdc_import VALUES (14643, '24/04/2020', '24', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14644, '23/04/2020', '23', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0');
INSERT INTO public.ecdc_import VALUES (14645, '22/04/2020', '22', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14646, '21/04/2020', '21', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '0.61190897');
INSERT INTO public.ecdc_import VALUES (14647, '20/04/2020', '20', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14648, '19/04/2020', '19', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14649, '18/04/2020', '18', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14650, '17/04/2020', '17', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14651, '16/04/2020', '16', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14652, '15/04/2020', '15', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '1.83572692');
INSERT INTO public.ecdc_import VALUES (14653, '14/04/2020', '14', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.05954486');
INSERT INTO public.ecdc_import VALUES (14654, '13/04/2020', '13', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.67145383');
INSERT INTO public.ecdc_import VALUES (14655, '12/04/2020', '12', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '3.67145383');
INSERT INTO public.ecdc_import VALUES (14656, '11/04/2020', '11', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '4.28336281');
INSERT INTO public.ecdc_import VALUES (14657, '10/04/2020', '10', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '4.89527178');
INSERT INTO public.ecdc_import VALUES (14658, '09/04/2020', '9', '4', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '4.89527178');
INSERT INTO public.ecdc_import VALUES (14659, '08/04/2020', '8', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '6.11908972');
INSERT INTO public.ecdc_import VALUES (14660, '07/04/2020', '7', '4', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '7.34290767');
INSERT INTO public.ecdc_import VALUES (14661, '06/04/2020', '6', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '6.7309987');
INSERT INTO public.ecdc_import VALUES (14662, '05/04/2020', '5', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14663, '04/04/2020', '4', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14664, '03/04/2020', '3', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14665, '02/04/2020', '2', '4', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14666, '01/04/2020', '1', '4', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14667, '30/03/2020', '30', '3', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14668, '29/03/2020', '29', '3', '2020', '0', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14669, '28/03/2020', '28', '3', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14670, '27/03/2020', '27', '3', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14671, '26/03/2020', '26', '3', '2020', '0', '1', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14672, '24/03/2020', '24', '3', '2020', '3', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14673, '20/03/2020', '20', '3', '2020', '2', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14674, '13/03/2020', '13', '3', '2020', '1', '0', '163423', 'Curaçao', 'CW', 'CUW', 'America', '');
INSERT INTO public.ecdc_import VALUES (14675, '14/12/2020', '14', '12', '2020', '301', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '538.64657911');
INSERT INTO public.ecdc_import VALUES (14676, '13/12/2020', '13', '12', '2020', '324', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '521.63548537');
INSERT INTO public.ecdc_import VALUES (14677, '12/12/2020', '12', '12', '2020', '424', '3', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '512.95868588');
INSERT INTO public.ecdc_import VALUES (14678, '11/12/2020', '11', '12', '2020', '403', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '499.94348663');
INSERT INTO public.ecdc_import VALUES (14679, '10/12/2020', '10', '12', '2020', '363', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '479.0506668');
INSERT INTO public.ecdc_import VALUES (14680, '09/12/2020', '9', '12', '2020', '419', '5', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '466.60630963');
INSERT INTO public.ecdc_import VALUES (14681, '08/12/2020', '8', '12', '2020', '416', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '447.54018443');
INSERT INTO public.ecdc_import VALUES (14682, '07/12/2020', '7', '12', '2020', '270', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '434.75332202');
INSERT INTO public.ecdc_import VALUES (14683, '06/12/2020', '6', '12', '2020', '369', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '425.27734362');
INSERT INTO public.ecdc_import VALUES (14684, '05/12/2020', '5', '12', '2020', '289', '3', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '411.12046024');
INSERT INTO public.ecdc_import VALUES (14685, '04/12/2020', '4', '12', '2020', '348', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '404.61286062');
INSERT INTO public.ecdc_import VALUES (14686, '03/12/2020', '3', '12', '2020', '292', '3', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '395.47938746');
INSERT INTO public.ecdc_import VALUES (14687, '02/12/2020', '2', '12', '2020', '318', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '384.74755651');
INSERT INTO public.ecdc_import VALUES (14688, '01/12/2020', '1', '12', '2020', '182', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '374.47239921');
INSERT INTO public.ecdc_import VALUES (14689, '30/11/2020', '30', '11', '2020', '152', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '365.90976814');
INSERT INTO public.ecdc_import VALUES (14690, '29/11/2020', '29', '11', '2020', '248', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '363.05555778');
INSERT INTO public.ecdc_import VALUES (14691, '28/11/2020', '28', '11', '2020', '310', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '357.34713706');
INSERT INTO public.ecdc_import VALUES (14692, '27/11/2020', '27', '11', '2020', '220', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '345.58779037');
INSERT INTO public.ecdc_import VALUES (14693, '26/11/2020', '26', '11', '2020', '254', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '341.59189587');
INSERT INTO public.ecdc_import VALUES (14694, '25/11/2020', '25', '11', '2020', '252', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '331.43090699');
INSERT INTO public.ecdc_import VALUES (14695, '24/11/2020', '24', '11', '2020', '304', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '325.26581261');
INSERT INTO public.ecdc_import VALUES (14696, '23/11/2020', '23', '11', '2020', '187', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '303.23130863');
INSERT INTO public.ecdc_import VALUES (14697, '22/11/2020', '22', '11', '2020', '245', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '295.12535121');
INSERT INTO public.ecdc_import VALUES (14698, '21/11/2020', '21', '11', '2020', '232', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '303.0029718');
INSERT INTO public.ecdc_import VALUES (14699, '20/11/2020', '20', '11', '2020', '268', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '302.08962449');
INSERT INTO public.ecdc_import VALUES (14700, '19/11/2020', '19', '11', '2020', '198', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '298.09372998');
INSERT INTO public.ecdc_import VALUES (14701, '18/11/2020', '18', '11', '2020', '228', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '294.44034072');
INSERT INTO public.ecdc_import VALUES (14702, '17/11/2020', '17', '11', '2020', '107', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '288.27524635');
INSERT INTO public.ecdc_import VALUES (14703, '16/11/2020', '16', '11', '2020', '127', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '298.55040364');
INSERT INTO public.ecdc_import VALUES (14704, '15/11/2020', '15', '11', '2020', '198', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '306.54219265');
INSERT INTO public.ecdc_import VALUES (14705, '14/11/2020', '14', '11', '2020', '207', '4', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '300.94794034');
INSERT INTO public.ecdc_import VALUES (14706, '13/11/2020', '13', '11', '2020', '185', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '296.26703535');
INSERT INTO public.ecdc_import VALUES (14707, '12/11/2020', '12', '11', '2020', '165', '3', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '301.86128766');
INSERT INTO public.ecdc_import VALUES (14708, '11/11/2020', '11', '11', '2020', '198', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '283.02349928');
INSERT INTO public.ecdc_import VALUES (14709, '10/11/2020', '10', '11', '2020', '111', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '281.08263624');
INSERT INTO public.ecdc_import VALUES (14710, '09/11/2020', '9', '11', '2020', '116', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '278.79926795');
INSERT INTO public.ecdc_import VALUES (14711, '08/11/2020', '8', '11', '2020', '314', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '277.08674174');
INSERT INTO public.ecdc_import VALUES (14712, '07/11/2020', '7', '11', '2020', '224', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '256.07975349');
INSERT INTO public.ecdc_import VALUES (14713, '06/11/2020', '6', '11', '2020', '233', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '248.77297497');
INSERT INTO public.ecdc_import VALUES (14714, '05/11/2020', '5', '11', '2020', '166', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '243.63539632');
INSERT INTO public.ecdc_import VALUES (14715, '04/11/2020', '4', '11', '2020', '174', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '239.18282816');
INSERT INTO public.ecdc_import VALUES (14716, '03/11/2020', '3', '11', '2020', '197', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '236.67112304');
INSERT INTO public.ecdc_import VALUES (14717, '02/11/2020', '2', '11', '2020', '197', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '219.08918722');
INSERT INTO public.ecdc_import VALUES (14718, '01/11/2020', '1', '11', '2020', '149', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '226.8526394');
INSERT INTO public.ecdc_import VALUES (14719, '31/10/2020', '31', '10', '2020', '166', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '209.84154566');
INSERT INTO public.ecdc_import VALUES (14720, '30/10/2020', '30', '10', '2020', '234', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '213.49493492');
INSERT INTO public.ecdc_import VALUES (14721, '29/10/2020', '29', '10', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '192.60211508');
INSERT INTO public.ecdc_import VALUES (14722, '28/10/2020', '28', '10', '2020', '181', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '202.07809348');
INSERT INTO public.ecdc_import VALUES (14723, '27/10/2020', '27', '10', '2020', '91', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '181.41361047');
INSERT INTO public.ecdc_import VALUES (14724, '26/10/2020', '26', '10', '2020', '101', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '177.98855804');
INSERT INTO public.ecdc_import VALUES (14725, '25/10/2020', '25', '10', '2020', '130', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '166.45754819');
INSERT INTO public.ecdc_import VALUES (14726, '24/10/2020', '24', '10', '2020', '160', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '155.61154882');
INSERT INTO public.ecdc_import VALUES (14727, '23/10/2020', '23', '10', '2020', '188', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '141.11216019');
INSERT INTO public.ecdc_import VALUES (14728, '22/10/2020', '22', '10', '2020', '127', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '122.04603499');
INSERT INTO public.ecdc_import VALUES (14729, '21/10/2020', '21', '10', '2020', '152', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '109.94418306');
INSERT INTO public.ecdc_import VALUES (14730, '20/10/2020', '20', '10', '2020', '43', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '95.90146809');
INSERT INTO public.ecdc_import VALUES (14731, '19/10/2020', '19', '10', '2020', '265', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '93.6180998');
INSERT INTO public.ecdc_import VALUES (14732, '18/10/2020', '18', '10', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '64.84765938');
INSERT INTO public.ecdc_import VALUES (14733, '17/10/2020', '17', '10', '2020', '198', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '67.35936449');
INSERT INTO public.ecdc_import VALUES (14734, '16/10/2020', '16', '10', '2020', '51', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '46.69488149');
INSERT INTO public.ecdc_import VALUES (14735, '15/10/2020', '15', '10', '2020', '83', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '42.8131554');
INSERT INTO public.ecdc_import VALUES (14736, '14/10/2020', '14', '10', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '34.70719798');
INSERT INTO public.ecdc_import VALUES (14737, '13/10/2020', '13', '10', '2020', '61', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '38.13225041');
INSERT INTO public.ecdc_import VALUES (14738, '12/10/2020', '12', '10', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '33.10884017');
INSERT INTO public.ecdc_import VALUES (14739, '11/10/2020', '11', '10', '2020', '35', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '34.47886115');
INSERT INTO public.ecdc_import VALUES (14740, '10/10/2020', '10', '10', '2020', '33', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '31.96715603');
INSERT INTO public.ecdc_import VALUES (14741, '09/10/2020', '9', '10', '2020', '21', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '29.11294567');
INSERT INTO public.ecdc_import VALUES (14742, '08/10/2020', '8', '10', '2020', '21', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '27.7429247');
INSERT INTO public.ecdc_import VALUES (14743, '07/10/2020', '7', '10', '2020', '29', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '29.45545091');
INSERT INTO public.ecdc_import VALUES (14744, '06/10/2020', '6', '10', '2020', '23', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '27.85709311');
INSERT INTO public.ecdc_import VALUES (14745, '05/10/2020', '5', '10', '2020', '13', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '25.57372482');
INSERT INTO public.ecdc_import VALUES (14746, '04/10/2020', '4', '10', '2020', '22', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '26.37290373');
INSERT INTO public.ecdc_import VALUES (14747, '03/10/2020', '3', '10', '2020', '17', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '25.57372482');
INSERT INTO public.ecdc_import VALUES (14748, '02/10/2020', '2', '10', '2020', '17', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '24.43204068');
INSERT INTO public.ecdc_import VALUES (14749, '01/10/2020', '1', '10', '2020', '12', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '23.63286178');
INSERT INTO public.ecdc_import VALUES (14750, '30/09/2020', '30', '9', '2020', '30', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '23.17618812');
INSERT INTO public.ecdc_import VALUES (14751, '29/09/2020', '29', '9', '2020', '17', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '20.43614618');
INSERT INTO public.ecdc_import VALUES (14752, '28/09/2020', '28', '9', '2020', '12', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '19.40863045');
INSERT INTO public.ecdc_import VALUES (14753, '27/09/2020', '27', '9', '2020', '13', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '18.38111472');
INSERT INTO public.ecdc_import VALUES (14754, '26/09/2020', '26', '9', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '17.23943057');
INSERT INTO public.ecdc_import VALUES (14755, '25/09/2020', '25', '9', '2020', '9', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '16.6685885');
INSERT INTO public.ecdc_import VALUES (14756, '24/09/2020', '24', '9', '2020', '36', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '15.98357802');
INSERT INTO public.ecdc_import VALUES (14757, '23/09/2020', '23', '9', '2020', '15', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '12.21602034');
INSERT INTO public.ecdc_import VALUES (14758, '22/09/2020', '22', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.61766254');
INSERT INTO public.ecdc_import VALUES (14759, '21/09/2020', '21', '9', '2020', '20', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.38932571');
INSERT INTO public.ecdc_import VALUES (14760, '20/09/2020', '20', '9', '2020', '15', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '8.33429425');
INSERT INTO public.ecdc_import VALUES (14761, '19/09/2020', '19', '9', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '7.64928376');
INSERT INTO public.ecdc_import VALUES (14762, '18/09/2020', '18', '9', '2020', '10', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.85010486');
INSERT INTO public.ecdc_import VALUES (14763, '17/09/2020', '17', '9', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.05092596');
INSERT INTO public.ecdc_import VALUES (14764, '16/09/2020', '16', '9', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '5.70842072');
INSERT INTO public.ecdc_import VALUES (14765, '15/09/2020', '15', '9', '2020', '8', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '5.25174706');
INSERT INTO public.ecdc_import VALUES (14766, '14/09/2020', '14', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.45256816');
INSERT INTO public.ecdc_import VALUES (14767, '13/09/2020', '13', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.56673658');
INSERT INTO public.ecdc_import VALUES (14768, '12/09/2020', '12', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.45256816');
INSERT INTO public.ecdc_import VALUES (14769, '11/09/2020', '11', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14770, '10/09/2020', '10', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.76755768');
INSERT INTO public.ecdc_import VALUES (14771, '09/09/2020', '9', '9', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.22423133');
INSERT INTO public.ecdc_import VALUES (14772, '08/09/2020', '8', '9', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.73593645');
INSERT INTO public.ecdc_import VALUES (14773, '07/09/2020', '7', '9', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.04682047');
INSERT INTO public.ecdc_import VALUES (14774, '06/09/2020', '6', '9', '2020', '9', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.2751573');
INSERT INTO public.ecdc_import VALUES (14775, '05/09/2020', '5', '9', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.50349412');
INSERT INTO public.ecdc_import VALUES (14776, '04/09/2020', '4', '9', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '11.75934668');
INSERT INTO public.ecdc_import VALUES (14777, '03/09/2020', '3', '9', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '12.55852558');
INSERT INTO public.ecdc_import VALUES (14778, '02/09/2020', '2', '9', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '14.95606229');
INSERT INTO public.ecdc_import VALUES (14779, '01/09/2020', '1', '9', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '15.64107277');
INSERT INTO public.ecdc_import VALUES (14780, '31/08/2020', '31', '8', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '17.69610423');
INSERT INTO public.ecdc_import VALUES (14781, '30/08/2020', '30', '8', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '17.23943057');
INSERT INTO public.ecdc_import VALUES (14782, '29/08/2020', '29', '8', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '18.60945155');
INSERT INTO public.ecdc_import VALUES (14783, '28/08/2020', '28', '8', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '20.09364093');
INSERT INTO public.ecdc_import VALUES (14784, '27/08/2020', '27', '8', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.69199874');
INSERT INTO public.ecdc_import VALUES (14785, '26/08/2020', '26', '8', '2020', '23', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '22.49117764');
INSERT INTO public.ecdc_import VALUES (14786, '25/08/2020', '25', '8', '2020', '30', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '22.71951446');
INSERT INTO public.ecdc_import VALUES (14787, '24/08/2020', '24', '8', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '20.43614618');
INSERT INTO public.ecdc_import VALUES (14788, '23/08/2020', '23', '8', '2020', '11', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.00698825');
INSERT INTO public.ecdc_import VALUES (14789, '22/08/2020', '22', '8', '2020', '11', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.00698825');
INSERT INTO public.ecdc_import VALUES (14790, '21/08/2020', '21', '8', '2020', '10', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.34949349');
INSERT INTO public.ecdc_import VALUES (14791, '20/08/2020', '20', '8', '2020', '26', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.69199874');
INSERT INTO public.ecdc_import VALUES (14792, '19/08/2020', '19', '8', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '20.43614618');
INSERT INTO public.ecdc_import VALUES (14793, '18/08/2020', '18', '8', '2020', '19', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '22.37700922');
INSERT INTO public.ecdc_import VALUES (14794, '17/08/2020', '17', '8', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '20.77865142');
INSERT INTO public.ecdc_import VALUES (14795, '16/08/2020', '16', '8', '2020', '14', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '23.74703019');
INSERT INTO public.ecdc_import VALUES (14796, '15/08/2020', '15', '8', '2020', '13', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '23.29035654');
INSERT INTO public.ecdc_import VALUES (14797, '14/08/2020', '14', '8', '2020', '14', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '25.23121958');
INSERT INTO public.ecdc_import VALUES (14798, '13/08/2020', '13', '8', '2020', '14', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '24.08953544');
INSERT INTO public.ecdc_import VALUES (14799, '12/08/2020', '12', '8', '2020', '25', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '23.97536702');
INSERT INTO public.ecdc_import VALUES (14800, '11/08/2020', '11', '8', '2020', '10', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.92033556');
INSERT INTO public.ecdc_import VALUES (14801, '10/08/2020', '10', '8', '2020', '9', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.12115666');
INSERT INTO public.ecdc_import VALUES (14802, '09/08/2020', '9', '8', '2020', '11', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '20.55031459');
INSERT INTO public.ecdc_import VALUES (14803, '08/08/2020', '8', '8', '2020', '14', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '19.97947252');
INSERT INTO public.ecdc_import VALUES (14804, '07/08/2020', '7', '8', '2020', '13', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '18.60945155');
INSERT INTO public.ecdc_import VALUES (14805, '06/08/2020', '6', '8', '2020', '15', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '17.69610423');
INSERT INTO public.ecdc_import VALUES (14806, '05/08/2020', '5', '8', '2020', '25', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '15.98357802');
INSERT INTO public.ecdc_import VALUES (14807, '04/08/2020', '4', '8', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '13.35770448');
INSERT INTO public.ecdc_import VALUES (14808, '03/08/2020', '3', '8', '2020', '26', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '12.78686241');
INSERT INTO public.ecdc_import VALUES (14809, '02/08/2020', '2', '8', '2020', '10', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '9.93265205');
INSERT INTO public.ecdc_import VALUES (14810, '01/08/2020', '1', '8', '2020', '30', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '9.47597839');
INSERT INTO public.ecdc_import VALUES (14811, '31/07/2020', '31', '7', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.05092596');
INSERT INTO public.ecdc_import VALUES (14812, '30/07/2020', '30', '7', '2020', '13', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.50759962');
INSERT INTO public.ecdc_import VALUES (14813, '29/07/2020', '29', '7', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '5.13757865');
INSERT INTO public.ecdc_import VALUES (14814, '28/07/2020', '28', '7', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.33839975');
INSERT INTO public.ecdc_import VALUES (14815, '27/07/2020', '27', '7', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14816, '26/07/2020', '26', '7', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.45256816');
INSERT INTO public.ecdc_import VALUES (14817, '25/07/2020', '25', '7', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14818, '24/07/2020', '24', '7', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14819, '23/07/2020', '23', '7', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.65338926');
INSERT INTO public.ecdc_import VALUES (14820, '22/07/2020', '22', '7', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14821, '21/07/2020', '21', '7', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14822, '20/07/2020', '20', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14823, '19/07/2020', '19', '7', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14824, '18/07/2020', '18', '7', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.65338926');
INSERT INTO public.ecdc_import VALUES (14825, '17/07/2020', '17', '7', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.65338926');
INSERT INTO public.ecdc_import VALUES (14826, '16/07/2020', '16', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.74004195');
INSERT INTO public.ecdc_import VALUES (14827, '15/07/2020', '15', '7', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.74004195');
INSERT INTO public.ecdc_import VALUES (14828, '14/07/2020', '14', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.96837877');
INSERT INTO public.ecdc_import VALUES (14829, '13/07/2020', '13', '7', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.08254719');
INSERT INTO public.ecdc_import VALUES (14830, '12/07/2020', '12', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.28336829');
INSERT INTO public.ecdc_import VALUES (14831, '11/07/2020', '11', '7', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.3975367');
INSERT INTO public.ecdc_import VALUES (14832, '10/07/2020', '10', '7', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.05503146');
INSERT INTO public.ecdc_import VALUES (14833, '09/07/2020', '9', '7', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.94086304');
INSERT INTO public.ecdc_import VALUES (14834, '08/07/2020', '8', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.71252622');
INSERT INTO public.ecdc_import VALUES (14835, '07/07/2020', '7', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.82669463');
INSERT INTO public.ecdc_import VALUES (14836, '06/07/2020', '6', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.94086304');
INSERT INTO public.ecdc_import VALUES (14837, '05/07/2020', '5', '7', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.94086304');
INSERT INTO public.ecdc_import VALUES (14838, '04/07/2020', '4', '7', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.5983578');
INSERT INTO public.ecdc_import VALUES (14839, '03/07/2020', '3', '7', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.5983578');
INSERT INTO public.ecdc_import VALUES (14840, '02/07/2020', '2', '7', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.5983578');
INSERT INTO public.ecdc_import VALUES (14841, '01/07/2020', '1', '7', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.48418939');
INSERT INTO public.ecdc_import VALUES (14842, '30/06/2020', '30', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.25585256');
INSERT INTO public.ecdc_import VALUES (14843, '29/06/2020', '29', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.25585256');
INSERT INTO public.ecdc_import VALUES (14844, '28/06/2020', '28', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.5983578');
INSERT INTO public.ecdc_import VALUES (14845, '27/06/2020', '27', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.37002097');
INSERT INTO public.ecdc_import VALUES (14846, '26/06/2020', '26', '6', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.94086304');
INSERT INTO public.ecdc_import VALUES (14847, '25/06/2020', '25', '6', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '1.94086304');
INSERT INTO public.ecdc_import VALUES (14848, '24/06/2020', '24', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.05503146');
INSERT INTO public.ecdc_import VALUES (14849, '23/06/2020', '23', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.05503146');
INSERT INTO public.ecdc_import VALUES (14850, '22/06/2020', '22', '6', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.51170512');
INSERT INTO public.ecdc_import VALUES (14851, '21/06/2020', '21', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.85421036');
INSERT INTO public.ecdc_import VALUES (14852, '20/06/2020', '20', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '2.85421036');
INSERT INTO public.ecdc_import VALUES (14853, '19/06/2020', '19', '6', '2020', '0', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.08254719');
INSERT INTO public.ecdc_import VALUES (14854, '18/06/2020', '18', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.08254719');
INSERT INTO public.ecdc_import VALUES (14855, '17/06/2020', '17', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.76755768');
INSERT INTO public.ecdc_import VALUES (14856, '16/06/2020', '16', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14857, '15/06/2020', '15', '6', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.45256816');
INSERT INTO public.ecdc_import VALUES (14858, '14/06/2020', '14', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.22423133');
INSERT INTO public.ecdc_import VALUES (14859, '13/06/2020', '13', '6', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.45256816');
INSERT INTO public.ecdc_import VALUES (14860, '12/06/2020', '12', '6', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14861, '11/06/2020', '11', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14862, '10/06/2020', '10', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.76755768');
INSERT INTO public.ecdc_import VALUES (14863, '09/06/2020', '9', '6', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.76755768');
INSERT INTO public.ecdc_import VALUES (14864, '08/06/2020', '8', '6', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.31088402');
INSERT INTO public.ecdc_import VALUES (14865, '07/06/2020', '7', '6', '2020', '0', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.76755768');
INSERT INTO public.ecdc_import VALUES (14866, '06/06/2020', '6', '6', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.76755768');
INSERT INTO public.ecdc_import VALUES (14867, '05/06/2020', '5', '6', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14868, '04/06/2020', '4', '6', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14869, '03/06/2020', '3', '6', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14870, '02/06/2020', '2', '6', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.65338926');
INSERT INTO public.ecdc_import VALUES (14871, '01/06/2020', '1', '6', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.1967156');
INSERT INTO public.ecdc_import VALUES (14872, '31/05/2020', '31', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.31088402');
INSERT INTO public.ecdc_import VALUES (14873, '30/05/2020', '30', '5', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.53922085');
INSERT INTO public.ecdc_import VALUES (14874, '29/05/2020', '29', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14875, '28/05/2020', '28', '5', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14876, '27/05/2020', '27', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14877, '26/05/2020', '26', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14878, '25/05/2020', '25', '5', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.22423133');
INSERT INTO public.ecdc_import VALUES (14879, '24/05/2020', '24', '5', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.9958945');
INSERT INTO public.ecdc_import VALUES (14880, '23/05/2020', '23', '5', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.11006292');
INSERT INTO public.ecdc_import VALUES (14881, '22/05/2020', '22', '5', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '3.88172609');
INSERT INTO public.ecdc_import VALUES (14882, '21/05/2020', '21', '5', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.45256816');
INSERT INTO public.ecdc_import VALUES (14883, '20/05/2020', '20', '5', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.56673658');
INSERT INTO public.ecdc_import VALUES (14884, '19/05/2020', '19', '5', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '4.90924182');
INSERT INTO public.ecdc_import VALUES (14885, '18/05/2020', '18', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '5.02341023');
INSERT INTO public.ecdc_import VALUES (14886, '17/05/2020', '17', '5', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '5.70842072');
INSERT INTO public.ecdc_import VALUES (14887, '16/05/2020', '16', '5', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.05092596');
INSERT INTO public.ecdc_import VALUES (14888, '15/05/2020', '15', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '6.50759962');
INSERT INTO public.ecdc_import VALUES (14889, '14/05/2020', '14', '5', '2020', '2', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '7.07844169');
INSERT INTO public.ecdc_import VALUES (14890, '13/05/2020', '13', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '7.53511535');
INSERT INTO public.ecdc_import VALUES (14891, '12/05/2020', '12', '5', '2020', '3', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '9.01930474');
INSERT INTO public.ecdc_import VALUES (14892, '11/05/2020', '11', '5', '2020', '6', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '9.24764157');
INSERT INTO public.ecdc_import VALUES (14893, '10/05/2020', '10', '5', '2020', '1', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '9.36180998');
INSERT INTO public.ecdc_import VALUES (14894, '09/05/2020', '9', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '9.93265205');
INSERT INTO public.ecdc_import VALUES (14895, '08/05/2020', '8', '5', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.73183095');
INSERT INTO public.ecdc_import VALUES (14896, '07/05/2020', '7', '5', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.61766254');
INSERT INTO public.ecdc_import VALUES (14897, '06/05/2020', '6', '5', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '10.73183095');
INSERT INTO public.ecdc_import VALUES (14898, '05/05/2020', '5', '5', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '11.64517827');
INSERT INTO public.ecdc_import VALUES (14899, '04/05/2020', '4', '5', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '11.98768351');
INSERT INTO public.ecdc_import VALUES (14900, '03/05/2020', '3', '5', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '11.75934668');
INSERT INTO public.ecdc_import VALUES (14901, '02/05/2020', '2', '5', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '13.92854656');
INSERT INTO public.ecdc_import VALUES (14902, '01/05/2020', '1', '5', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '13.12936766');
INSERT INTO public.ecdc_import VALUES (14903, '30/04/2020', '30', '4', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '14.61355704');
INSERT INTO public.ecdc_import VALUES (14904, '29/04/2020', '29', '4', '2020', '15', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '16.21191484');
INSERT INTO public.ecdc_import VALUES (14905, '28/04/2020', '28', '4', '2020', '5', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '18.2669463');
INSERT INTO public.ecdc_import VALUES (14906, '27/04/2020', '27', '4', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.00698825');
INSERT INTO public.ecdc_import VALUES (14907, '26/04/2020', '26', '4', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '22.14867239');
INSERT INTO public.ecdc_import VALUES (14908, '25/04/2020', '25', '4', '2020', '9', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '23.86119861');
INSERT INTO public.ecdc_import VALUES (14909, '24/04/2020', '24', '4', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '26.37290373');
INSERT INTO public.ecdc_import VALUES (14910, '23/04/2020', '23', '4', '2020', '6', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '30.1404614');
INSERT INTO public.ecdc_import VALUES (14911, '22/04/2020', '22', '4', '2020', '12', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '33.10884017');
INSERT INTO public.ecdc_import VALUES (14912, '21/04/2020', '21', '4', '2020', '5', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '35.04970322');
INSERT INTO public.ecdc_import VALUES (14913, '20/04/2020', '20', '4', '2020', '6', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '36.64806102');
INSERT INTO public.ecdc_import VALUES (14914, '19/04/2020', '19', '4', '2020', '26', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '38.24641882');
INSERT INTO public.ecdc_import VALUES (14915, '18/04/2020', '18', '4', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '38.70309248');
INSERT INTO public.ecdc_import VALUES (14916, '17/04/2020', '17', '4', '2020', '20', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '43.26982906');
INSERT INTO public.ecdc_import VALUES (14917, '16/04/2020', '16', '4', '2020', '20', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '45.09652369');
INSERT INTO public.ecdc_import VALUES (14918, '15/04/2020', '15', '4', '2020', '33', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '49.43492343');
INSERT INTO public.ecdc_import VALUES (14919, '14/04/2020', '14', '4', '2020', '29', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '49.32075502');
INSERT INTO public.ecdc_import VALUES (14920, '13/04/2020', '13', '4', '2020', '17', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '47.83656563');
INSERT INTO public.ecdc_import VALUES (14921, '12/04/2020', '12', '4', '2020', '21', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '49.89159709');
INSERT INTO public.ecdc_import VALUES (14922, '11/04/2020', '11', '4', '2020', '31', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '49.43492343');
INSERT INTO public.ecdc_import VALUES (14923, '10/04/2020', '10', '4', '2020', '38', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '47.72239722');
INSERT INTO public.ecdc_import VALUES (14924, '09/04/2020', '9', '4', '2020', '32', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '44.98235527');
INSERT INTO public.ecdc_import VALUES (14925, '08/04/2020', '8', '4', '2020', '29', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '42.24231333');
INSERT INTO public.ecdc_import VALUES (14926, '07/04/2020', '7', '4', '2020', '19', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '39.84477662');
INSERT INTO public.ecdc_import VALUES (14927, '06/04/2020', '6', '4', '2020', '20', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '40.07311345');
INSERT INTO public.ecdc_import VALUES (14928, '05/04/2020', '5', '4', '2020', '30', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '39.04559772');
INSERT INTO public.ecdc_import VALUES (14929, '04/04/2020', '4', '4', '2020', '40', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '37.56140834');
INSERT INTO public.ecdc_import VALUES (14930, '03/04/2020', '3', '4', '2020', '36', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '34.02218749');
INSERT INTO public.ecdc_import VALUES (14931, '02/04/2020', '2', '4', '2020', '58', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '29.91212457');
INSERT INTO public.ecdc_import VALUES (14932, '01/04/2020', '1', '4', '2020', '32', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '25.345388');
INSERT INTO public.ecdc_import VALUES (14933, '31/03/2020', '31', '3', '2020', '16', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.69199874');
INSERT INTO public.ecdc_import VALUES (14934, '30/03/2020', '30', '3', '2020', '35', '1', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '21.00698825');
INSERT INTO public.ecdc_import VALUES (14935, '29/03/2020', '29', '3', '2020', '17', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '18.03860947');
INSERT INTO public.ecdc_import VALUES (14936, '28/03/2020', '28', '3', '2020', '16', '2', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '16.89692533');
INSERT INTO public.ecdc_import VALUES (14937, '27/03/2020', '27', '3', '2020', '14', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '15.98357802');
INSERT INTO public.ecdc_import VALUES (14938, '26/03/2020', '26', '3', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '14.84189387');
INSERT INTO public.ecdc_import VALUES (14939, '25/03/2020', '25', '3', '2020', '8', '3', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '14.15688338');
INSERT INTO public.ecdc_import VALUES (14940, '24/03/2020', '24', '3', '2020', '21', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14941, '23/03/2020', '23', '3', '2020', '11', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14942, '22/03/2020', '22', '3', '2020', '17', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14943, '21/03/2020', '21', '3', '2020', '9', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14944, '20/03/2020', '20', '3', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14945, '19/03/2020', '19', '3', '2020', '18', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14946, '18/03/2020', '18', '3', '2020', '0', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14947, '17/03/2020', '17', '3', '2020', '10', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14948, '16/03/2020', '16', '3', '2020', '9', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14949, '15/03/2020', '15', '3', '2020', '7', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14950, '14/03/2020', '14', '3', '2020', '8', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14951, '12/03/2020', '12', '3', '2020', '4', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14952, '10/03/2020', '10', '3', '2020', '2', '0', '875899', 'Cyprus', 'CY', 'CYP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (14953, '14/12/2020', '14', '12', '2020', '2000', '74', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '576.12349528');
INSERT INTO public.ecdc_import VALUES (14954, '13/12/2020', '13', '12', '2020', '3657', '85', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '567.42849631');
INSERT INTO public.ecdc_import VALUES (14955, '12/12/2020', '12', '12', '2020', '6217', '109', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '558.11376739');
INSERT INTO public.ecdc_import VALUES (14956, '11/12/2020', '11', '12', '2020', '5872', '115', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '541.65336438');
INSERT INTO public.ecdc_import VALUES (14957, '10/12/2020', '10', '12', '2020', '6406', '90', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '545.71916844');
INSERT INTO public.ecdc_import VALUES (14958, '09/12/2020', '9', '12', '2020', '5857', '100', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '510.74198576');
INSERT INTO public.ecdc_import VALUES (14959, '08/12/2020', '8', '12', '2020', '4237', '134', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '511.10818983');
INSERT INTO public.ecdc_import VALUES (14960, '07/12/2020', '7', '12', '2020', '2654', '87', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '512.40398881');
INSERT INTO public.ecdc_import VALUES (14961, '06/12/2020', '6', '12', '2020', '1773', '77', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '501.69017259');
INSERT INTO public.ecdc_import VALUES (14962, '05/12/2020', '5', '12', '2020', '4743', '97', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '514.96741723');
INSERT INTO public.ecdc_import VALUES (14963, '04/12/2020', '4', '12', '2020', '4621', '126', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '524.96760503');
INSERT INTO public.ecdc_import VALUES (14964, '03/12/2020', '3', '12', '2020', '4568', '108', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '542.33882326');
INSERT INTO public.ecdc_import VALUES (14965, '02/12/2020', '2', '12', '2020', '5176', '112', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '551.23100903');
INSERT INTO public.ecdc_import VALUES (14966, '01/12/2020', '1', '12', '2020', '3575', '157', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '542.49845068');
INSERT INTO public.ecdc_import VALUES (14967, '30/11/2020', '30', '11', '2020', '1074', '84', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '559.70065166');
INSERT INTO public.ecdc_import VALUES (14968, '29/11/2020', '29', '11', '2020', '2665', '87', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '567.33459783');
INSERT INTO public.ecdc_import VALUES (14969, '28/11/2020', '28', '11', '2020', '4464', '188', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '581.7386242');
INSERT INTO public.ecdc_import VALUES (14970, '27/11/2020', '27', '11', '2020', '6305', '168', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '608.88467389');
INSERT INTO public.ecdc_import VALUES (14971, '26/11/2020', '26', '11', '2020', '2681', '112', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '623.57978554');
INSERT INTO public.ecdc_import VALUES (14972, '25/11/2020', '25', '11', '2020', '5896', '139', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '682.20999455');
INSERT INTO public.ecdc_import VALUES (14973, '24/11/2020', '24', '11', '2020', '4375', '164', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '711.40303104');
INSERT INTO public.ecdc_import VALUES (14974, '23/11/2020', '23', '11', '2020', '1513', '101', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '727.10285639');
INSERT INTO public.ecdc_import VALUES (14975, '22/11/2020', '22', '11', '2020', '3187', '74', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '746.77458732');
INSERT INTO public.ecdc_import VALUES (14976, '21/11/2020', '21', '11', '2020', '5808', '147', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '789.36693647');
INSERT INTO public.ecdc_import VALUES (14977, '20/11/2020', '20', '11', '2020', '6471', '134', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '843.30222164');
INSERT INTO public.ecdc_import VALUES (14978, '19/11/2020', '19', '11', '2020', '5515', '182', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '906.75881237');
INSERT INTO public.ecdc_import VALUES (14979, '18/11/2020', '18', '11', '2020', '4246', '142', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1002.68549644');
INSERT INTO public.ecdc_import VALUES (14980, '17/11/2020', '17', '11', '2020', '5407', '208', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1076.33007193');
INSERT INTO public.ecdc_import VALUES (14981, '16/11/2020', '16', '11', '2020', '1887', '150', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1112.43403632');
INSERT INTO public.ecdc_import VALUES (14982, '15/11/2020', '15', '11', '2020', '4199', '132', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1156.14377735');
INSERT INTO public.ecdc_import VALUES (14983, '14/11/2020', '14', '11', '2020', '7355', '171', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1224.03237619');
INSERT INTO public.ecdc_import VALUES (14984, '13/11/2020', '13', '11', '2020', '7870', '185', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1282.7189243');
INSERT INTO public.ecdc_import VALUES (14985, '12/11/2020', '12', '11', '2020', '8925', '247', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1331.40528461');
INSERT INTO public.ecdc_import VALUES (14986, '11/11/2020', '11', '11', '2020', '9005', '249', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1369.48111702');
INSERT INTO public.ecdc_import VALUES (14987, '10/11/2020', '10', '11', '2020', '6047', '216', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1431.99872298');
INSERT INTO public.ecdc_import VALUES (14988, '09/11/2020', '9', '11', '2020', '3608', '177', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1471.68021935');
INSERT INTO public.ecdc_import VALUES (14989, '08/11/2020', '8', '11', '2020', '7723', '155', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1506.34753704');
INSERT INTO public.ecdc_import VALUES (14990, '07/11/2020', '7', '11', '2020', '11552', '196', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1550.95870345');
INSERT INTO public.ecdc_import VALUES (14991, '06/11/2020', '6', '11', '2020', '13229', '197', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1585.75747901');
INSERT INTO public.ecdc_import VALUES (14992, '05/11/2020', '5', '11', '2020', '15731', '220', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1594.40552874');
INSERT INTO public.ecdc_import VALUES (14993, '04/11/2020', '4', '11', '2020', '12089', '259', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1587.2504648');
INSERT INTO public.ecdc_import VALUES (14994, '03/11/2020', '3', '11', '2020', '9252', '225', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1586.26453079');
INSERT INTO public.ecdc_import VALUES (14995, '02/11/2020', '2', '11', '2020', '6542', '178', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1575.23145975');
INSERT INTO public.ecdc_import VALUES (14996, '01/11/2020', '1', '11', '2020', '11429', '173', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1561.29692576');
INSERT INTO public.ecdc_import VALUES (14997, '31/10/2020', '31', '10', '2020', '13605', '216', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1535.81287912');
INSERT INTO public.ecdc_import VALUES (14998, '30/10/2020', '30', '10', '2020', '13055', '187', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1512.31009033');
INSERT INTO public.ecdc_import VALUES (14999, '29/10/2020', '29', '10', '2020', '12980', '128', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1480.99494826');
INSERT INTO public.ecdc_import VALUES (15000, '28/10/2020', '28', '10', '2020', '15663', '182', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1448.72204173');
INSERT INTO public.ecdc_import VALUES (15001, '27/10/2020', '27', '10', '2020', '10273', '164', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1379.82872918');
INSERT INTO public.ecdc_import VALUES (15002, '26/10/2020', '26', '10', '2020', '7300', '124', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1323.84645721');
INSERT INTO public.ecdc_import VALUES (15003, '25/10/2020', '25', '10', '2020', '12474', '106', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1284.43726643');
INSERT INTO public.ecdc_import VALUES (15004, '24/10/2020', '24', '10', '2020', '15258', '126', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1210.81147064');
INSERT INTO public.ecdc_import VALUES (15005, '23/10/2020', '23', '10', '2020', '14150', '106', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1148.45349208');
INSERT INTO public.ecdc_import VALUES (15006, '22/10/2020', '22', '10', '2020', '14969', '120', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1066.2641552');
INSERT INTO public.ecdc_import VALUES (15007, '21/10/2020', '21', '10', '2020', '11984', '106', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '975.83053203');
INSERT INTO public.ecdc_import VALUES (15008, '20/10/2020', '20', '10', '2020', '8077', '91', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '905.14375857');
INSERT INTO public.ecdc_import VALUES (15009, '19/10/2020', '19', '10', '2020', '5058', '70', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '858.59828354');
INSERT INTO public.ecdc_import VALUES (15010, '18/10/2020', '18', '10', '2020', '8715', '69', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '828.3911435');
INSERT INTO public.ecdc_import VALUES (15011, '17/10/2020', '17', '10', '2020', '11102', '53', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '770.54029184');
INSERT INTO public.ecdc_import VALUES (15012, '16/10/2020', '16', '10', '2020', '9720', '58', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '701.93806456');
INSERT INTO public.ecdc_import VALUES (15013, '15/10/2020', '15', '10', '2020', '9543', '66', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '660.77297226');
INSERT INTO public.ecdc_import VALUES (15014, '14/10/2020', '14', '10', '2020', '8326', '55', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '581.26913181');
INSERT INTO public.ecdc_import VALUES (15015, '13/10/2020', '13', '10', '2020', '4311', '17', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '521.49336138');
INSERT INTO public.ecdc_import VALUES (15016, '12/10/2020', '12', '10', '2020', '3103', '39', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '493.0890721');
INSERT INTO public.ecdc_import VALUES (15017, '11/10/2020', '11', '10', '2020', '4633', '90', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '476.18734624');
INSERT INTO public.ecdc_import VALUES (15018, '10/10/2020', '10', '10', '2020', '8617', '36', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '451.23852091');
INSERT INTO public.ecdc_import VALUES (15019, '09/10/2020', '9', '10', '2020', '5397', '40', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '397.96991493');
INSERT INTO public.ecdc_import VALUES (15020, '08/10/2020', '8', '10', '2020', '5338', '35', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '374.61736371');
INSERT INTO public.ecdc_import VALUES (15021, '07/10/2020', '7', '10', '2020', '4456', '36', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '346.14734549');
INSERT INTO public.ecdc_import VALUES (15022, '06/10/2020', '6', '10', '2020', '3120', '31', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '326.78547954');
INSERT INTO public.ecdc_import VALUES (15023, '05/10/2020', '5', '10', '2020', '1841', '16', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '311.79928262');
INSERT INTO public.ecdc_import VALUES (15024, '04/10/2020', '4', '10', '2020', '2554', '12', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '303.28269075');
INSERT INTO public.ecdc_import VALUES (15025, '03/10/2020', '3', '10', '2020', '3796', '21', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '298.49386843');
INSERT INTO public.ecdc_import VALUES (15026, '02/10/2020', '2', '10', '2020', '5336', '23', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '282.63441567');
INSERT INTO public.ecdc_import VALUES (15027, '01/10/2020', '1', '10', '2020', '1076', '19', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '261.85468272');
INSERT INTO public.ecdc_import VALUES (15028, '30/09/2020', '30', '9', '2020', '1960', '18', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '271.80792128');
INSERT INTO public.ecdc_import VALUES (15029, '29/09/2020', '29', '9', '2020', '1286', '12', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '269.12242483');
INSERT INTO public.ecdc_import VALUES (15030, '28/09/2020', '28', '9', '2020', '1303', '15', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '266.75618321');
INSERT INTO public.ecdc_import VALUES (15031, '27/09/2020', '27', '9', '2020', '1976', '10', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '261.9110218');
INSERT INTO public.ecdc_import VALUES (15032, '26/09/2020', '26', '9', '2020', '2944', '14', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '257.82643806');
INSERT INTO public.ecdc_import VALUES (15033, '25/09/2020', '25', '9', '2020', '2910', '12', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '243.76983605');
INSERT INTO public.ecdc_import VALUES (15034, '24/09/2020', '24', '9', '2020', '2306', '24', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '229.37519953');
INSERT INTO public.ecdc_import VALUES (15035, '23/09/2020', '23', '9', '2020', '2394', '9', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '218.60504423');
INSERT INTO public.ecdc_import VALUES (15036, '22/09/2020', '22', '9', '2020', '1524', '19', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '207.02736202');
INSERT INTO public.ecdc_import VALUES (15037, '21/09/2020', '21', '9', '2020', '934', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '197.97554884');
INSERT INTO public.ecdc_import VALUES (15038, '20/09/2020', '20', '9', '2020', '2044', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '192.99892956');
INSERT INTO public.ecdc_import VALUES (15039, '19/09/2020', '19', '9', '2020', '2107', '6', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '178.52917426');
INSERT INTO public.ecdc_import VALUES (15040, '18/09/2020', '18', '9', '2020', '3123', '7', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '166.22847377');
INSERT INTO public.ecdc_import VALUES (15041, '17/09/2020', '17', '9', '2020', '2136', '6', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '143.279686');
INSERT INTO public.ecdc_import VALUES (15042, '16/09/2020', '16', '9', '2020', '1674', '11', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '129.38271141');
INSERT INTO public.ecdc_import VALUES (15043, '15/09/2020', '15', '9', '2020', '1034', '9', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '118.34964037');
INSERT INTO public.ecdc_import VALUES (15044, '14/09/2020', '14', '9', '2020', '787', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '110.99738962');
INSERT INTO public.ecdc_import VALUES (15045, '13/09/2020', '13', '9', '2020', '1541', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '106.17100791');
INSERT INTO public.ecdc_import VALUES (15046, '12/09/2020', '12', '9', '2020', '1447', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '94.67783433');
INSERT INTO public.ecdc_import VALUES (15047, '11/09/2020', '11', '9', '2020', '1377', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '85.56968206');
INSERT INTO public.ecdc_import VALUES (15048, '10/09/2020', '10', '9', '2020', '1159', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '75.91691863');
INSERT INTO public.ecdc_import VALUES (15049, '09/09/2020', '9', '9', '2020', '1161', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '68.81819377');
INSERT INTO public.ecdc_import VALUES (15050, '08/09/2020', '8', '9', '2020', '560', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '61.3626547');
INSERT INTO public.ecdc_import VALUES (15051, '07/09/2020', '7', '9', '2020', '404', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '58.52692069');
INSERT INTO public.ecdc_import VALUES (15052, '06/09/2020', '6', '9', '2020', '503', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '55.98227197');
INSERT INTO public.ecdc_import VALUES (15053, '05/09/2020', '5', '9', '2020', '797', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '53.50335218');
INSERT INTO public.ecdc_import VALUES (15054, '04/09/2020', '4', '9', '2020', '679', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '50.7709065');
INSERT INTO public.ecdc_import VALUES (15055, '03/09/2020', '3', '9', '2020', '656', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '46.71449229');
INSERT INTO public.ecdc_import VALUES (15056, '02/09/2020', '2', '9', '2020', '499', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '43.51255423');
INSERT INTO public.ecdc_import VALUES (15057, '01/09/2020', '1', '9', '2020', '251', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '41.46556743');
INSERT INTO public.ecdc_import VALUES (15058, '31/08/2020', '31', '8', '2020', '273', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '40.89278672');
INSERT INTO public.ecdc_import VALUES (15059, '30/08/2020', '30', '8', '2020', '317', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '39.46552987');
INSERT INTO public.ecdc_import VALUES (15060, '29/08/2020', '29', '8', '2020', '477', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '38.34813799');
INSERT INTO public.ecdc_import VALUES (15061, '28/08/2020', '28', '8', '2020', '349', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '36.61101617');
INSERT INTO public.ecdc_import VALUES (15062, '27/08/2020', '27', '8', '2020', '403', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '36.39504967');
INSERT INTO public.ecdc_import VALUES (15063, '26/08/2020', '26', '8', '2020', '367', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '35.35277658');
INSERT INTO public.ecdc_import VALUES (15064, '25/08/2020', '25', '8', '2020', '258', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '34.62036846');
INSERT INTO public.ecdc_import VALUES (15065, '24/08/2020', '24', '8', '2020', '133', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '33.50297658');
INSERT INTO public.ecdc_import VALUES (15066, '23/08/2020', '23', '8', '2020', '239', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '33.38090856');
INSERT INTO public.ecdc_import VALUES (15067, '22/08/2020', '22', '8', '2020', '506', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '32.77995831');
INSERT INTO public.ecdc_import VALUES (15068, '21/08/2020', '21', '8', '2020', '247', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '31.03344664');
INSERT INTO public.ecdc_import VALUES (15069, '20/08/2020', '20', '8', '2020', '315', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '30.69541212');
INSERT INTO public.ecdc_import VALUES (15070, '19/08/2020', '19', '8', '2020', '281', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '30.01934309');
INSERT INTO public.ecdc_import VALUES (15071, '18/08/2020', '18', '8', '2020', '190', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '29.99117354');
INSERT INTO public.ecdc_import VALUES (15072, '17/08/2020', '17', '8', '2020', '121', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '30.1601908');
INSERT INTO public.ecdc_import VALUES (15073, '16/08/2020', '16', '8', '2020', '198', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '29.97239385');
INSERT INTO public.ecdc_import VALUES (15074, '15/08/2020', '15', '8', '2020', '292', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '29.28693497');
INSERT INTO public.ecdc_import VALUES (15075, '14/08/2020', '14', '8', '2020', '326', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.7235441');
INSERT INTO public.ecdc_import VALUES (15076, '13/08/2020', '13', '8', '2020', '292', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.00052583');
INSERT INTO public.ecdc_import VALUES (15077, '12/08/2020', '12', '8', '2020', '289', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.01930553');
INSERT INTO public.ecdc_import VALUES (15078, '11/08/2020', '11', '8', '2020', '139', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '27.96296644');
INSERT INTO public.ecdc_import VALUES (15079, '10/08/2020', '10', '8', '2020', '120', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.46062837');
INSERT INTO public.ecdc_import VALUES (15080, '09/08/2020', '9', '8', '2020', '175', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.38550959');
INSERT INTO public.ecdc_import VALUES (15081, '08/08/2020', '8', '8', '2020', '320', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '27.97235629');
INSERT INTO public.ecdc_import VALUES (15082, '07/08/2020', '7', '8', '2020', '211', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '27.60615223');
INSERT INTO public.ecdc_import VALUES (15083, '06/08/2020', '6', '8', '2020', '243', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '27.78455933');
INSERT INTO public.ecdc_import VALUES (15084, '05/08/2020', '5', '8', '2020', '278', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '27.81272888');
INSERT INTO public.ecdc_import VALUES (15085, '04/08/2020', '4', '8', '2020', '208', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '27.3244568');
INSERT INTO public.ecdc_import VALUES (15086, '03/08/2020', '3', '8', '2020', '101', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '26.80801517');
INSERT INTO public.ecdc_import VALUES (15087, '02/08/2020', '2', '8', '2020', '125', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '26.70472685');
INSERT INTO public.ecdc_import VALUES (15088, '01/08/2020', '1', '8', '2020', '232', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '26.59204868');
INSERT INTO public.ecdc_import VALUES (15089, '31/07/2020', '31', '7', '2020', '249', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '25.63428421');
INSERT INTO public.ecdc_import VALUES (15090, '30/07/2020', '30', '7', '2020', '294', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '24.58262127');
INSERT INTO public.ecdc_import VALUES (15091, '29/07/2020', '29', '7', '2020', '283', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '23.08024564');
INSERT INTO public.ecdc_import VALUES (15092, '28/07/2020', '28', '7', '2020', '192', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '21.39007305');
INSERT INTO public.ecdc_import VALUES (15093, '27/07/2020', '27', '7', '2020', '112', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '20.18817255');
INSERT INTO public.ecdc_import VALUES (15094, '26/07/2020', '26', '7', '2020', '131', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.69051062');
INSERT INTO public.ecdc_import VALUES (15095, '25/07/2020', '25', '7', '2020', '281', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '18.9581025');
INSERT INTO public.ecdc_import VALUES (15096, '24/07/2020', '24', '7', '2020', '230', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '17.66230352');
INSERT INTO public.ecdc_import VALUES (15097, '23/07/2020', '23', '7', '2020', '246', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '16.48857256');
INSERT INTO public.ecdc_import VALUES (15098, '22/07/2020', '22', '7', '2020', '226', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '15.38996037');
INSERT INTO public.ecdc_import VALUES (15099, '21/07/2020', '21', '7', '2020', '153', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '14.38524667');
INSERT INTO public.ecdc_import VALUES (15100, '20/07/2020', '20', '7', '2020', '90', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.42748221');
INSERT INTO public.ecdc_import VALUES (15101, '19/07/2020', '19', '7', '2020', '113', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.28663449');
INSERT INTO public.ecdc_import VALUES (15102, '18/07/2020', '18', '7', '2020', '130', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.36175327');
INSERT INTO public.ecdc_import VALUES (15103, '17/07/2020', '17', '7', '2020', '137', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.4650416');
INSERT INTO public.ecdc_import VALUES (15104, '16/07/2020', '16', '7', '2020', '134', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.41809236');
INSERT INTO public.ecdc_import VALUES (15105, '15/07/2020', '15', '7', '2020', '103', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.02371876');
INSERT INTO public.ecdc_import VALUES (15106, '14/07/2020', '14', '7', '2020', '64', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.45565175');
INSERT INTO public.ecdc_import VALUES (15107, '13/07/2020', '13', '7', '2020', '59', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '14.75145073');
INSERT INTO public.ecdc_import VALUES (15108, '12/07/2020', '12', '7', '2020', '53', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '17.06135326');
INSERT INTO public.ecdc_import VALUES (15109, '11/07/2020', '11', '7', '2020', '143', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.00505174');
INSERT INTO public.ecdc_import VALUES (15110, '10/07/2020', '10', '7', '2020', '105', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.23979793');
INSERT INTO public.ecdc_import VALUES (15111, '09/07/2020', '9', '7', '2020', '129', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.12711976');
INSERT INTO public.ecdc_import VALUES (15112, '08/07/2020', '8', '7', '2020', '119', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.10834006');
INSERT INTO public.ecdc_import VALUES (15113, '07/07/2020', '7', '7', '2020', '51', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '18.82664463');
INSERT INTO public.ecdc_import VALUES (15114, '06/07/2020', '6', '7', '2020', '75', '-3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '18.9393228');
INSERT INTO public.ecdc_import VALUES (15115, '05/07/2020', '5', '7', '2020', '121', '-1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '18.70457661');
INSERT INTO public.ecdc_import VALUES (15116, '04/07/2020', '4', '7', '2020', '141', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '17.96277864');
INSERT INTO public.ecdc_import VALUES (15117, '03/07/2020', '3', '7', '2020', '132', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '18.29142331');
INSERT INTO public.ecdc_import VALUES (15118, '02/07/2020', '2', '7', '2020', '92', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '17.69047306');
INSERT INTO public.ecdc_import VALUES (15119, '01/07/2020', '1', '7', '2020', '149', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '17.3054893');
INSERT INTO public.ecdc_import VALUES (15120, '30/06/2020', '30', '6', '2020', '202', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '16.34772484');
INSERT INTO public.ecdc_import VALUES (15121, '29/06/2020', '29', '6', '2020', '305', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '14.82656951');
INSERT INTO public.ecdc_import VALUES (15122, '28/06/2020', '28', '6', '2020', '260', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '12.27253094');
INSERT INTO public.ecdc_import VALUES (15123, '27/06/2020', '27', '6', '2020', '168', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '10.32883247');
INSERT INTO public.ecdc_import VALUES (15124, '26/06/2020', '26', '6', '2020', '93', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '9.23961013');
INSERT INTO public.ecdc_import VALUES (15125, '25/06/2020', '25', '6', '2020', '127', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.94852485');
INSERT INTO public.ecdc_import VALUES (15126, '24/06/2020', '24', '6', '2020', '89', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.44147308');
INSERT INTO public.ecdc_import VALUES (15127, '23/06/2020', '23', '6', '2020', '63', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.11282841');
INSERT INTO public.ecdc_import VALUES (15128, '22/06/2020', '22', '6', '2020', '50', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.1691675');
INSERT INTO public.ecdc_import VALUES (15129, '21/06/2020', '21', '6', '2020', '42', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.27245582');
INSERT INTO public.ecdc_import VALUES (15130, '20/06/2020', '20', '6', '2020', '176', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.23489643');
INSERT INTO public.ecdc_import VALUES (15131, '19/06/2020', '19', '6', '2020', '68', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.9109279');
INSERT INTO public.ecdc_import VALUES (15132, '18/06/2020', '18', '6', '2020', '51', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.79824973');
INSERT INTO public.ecdc_import VALUES (15133, '17/06/2020', '17', '6', '2020', '47', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.01421623');
INSERT INTO public.ecdc_import VALUES (15134, '16/06/2020', '16', '6', '2020', '40', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.15506394');
INSERT INTO public.ecdc_import VALUES (15135, '15/06/2020', '15', '6', '2020', '33', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.05177562');
INSERT INTO public.ecdc_import VALUES (15136, '14/06/2020', '14', '6', '2020', '53', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.1456741');
INSERT INTO public.ecdc_import VALUES (15137, '13/06/2020', '13', '6', '2020', '52', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.96726699');
INSERT INTO public.ecdc_import VALUES (15138, '12/06/2020', '12', '6', '2020', '62', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.00482638');
INSERT INTO public.ecdc_import VALUES (15139, '11/06/2020', '11', '6', '2020', '73', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.9297076');
INSERT INTO public.ecdc_import VALUES (15140, '10/06/2020', '10', '6', '2020', '54', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.58228324');
INSERT INTO public.ecdc_import VALUES (15141, '09/06/2020', '9', '6', '2020', '69', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.50716445');
INSERT INTO public.ecdc_import VALUES (15142, '08/06/2020', '8', '6', '2020', '61', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.3005878');
INSERT INTO public.ecdc_import VALUES (15143, '07/06/2020', '7', '6', '2020', '38', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.35692689');
INSERT INTO public.ecdc_import VALUES (15144, '06/06/2020', '6', '6', '2020', '35', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.72313095');
INSERT INTO public.ecdc_import VALUES (15145, '05/06/2020', '5', '6', '2020', '56', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.9484873');
INSERT INTO public.ecdc_import VALUES (15146, '04/06/2020', '4', '6', '2020', '74', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.7325208');
INSERT INTO public.ecdc_import VALUES (15147, '03/06/2020', '3', '6', '2020', '62', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.7325208');
INSERT INTO public.ecdc_import VALUES (15148, '02/06/2020', '2', '6', '2020', '29', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.72313095');
INSERT INTO public.ecdc_import VALUES (15149, '01/06/2020', '1', '6', '2020', '43', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.49309846');
INSERT INTO public.ecdc_import VALUES (15150, '31/05/2020', '31', '5', '2020', '34', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.27713196');
INSERT INTO public.ecdc_import VALUES (15151, '30/05/2020', '30', '5', '2020', '56', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.41797968');
INSERT INTO public.ecdc_import VALUES (15152, '29/05/2020', '29', '5', '2020', '54', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.40858983');
INSERT INTO public.ecdc_import VALUES (15153, '28/05/2020', '28', '5', '2020', '36', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.67150557');
INSERT INTO public.ecdc_import VALUES (15154, '27/05/2020', '27', '5', '2020', '46', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.78418374');
INSERT INTO public.ecdc_import VALUES (15155, '26/05/2020', '26', '5', '2020', '47', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.77479389');
INSERT INTO public.ecdc_import VALUES (15156, '25/05/2020', '25', '5', '2020', '67', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.83113298');
INSERT INTO public.ecdc_import VALUES (15157, '24/05/2020', '24', '5', '2020', '77', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.46492892');
INSERT INTO public.ecdc_import VALUES (15158, '23/05/2020', '23', '5', '2020', '59', '6', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.9109279');
INSERT INTO public.ecdc_import VALUES (15159, '22/05/2020', '22', '5', '2020', '33', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.78885988');
INSERT INTO public.ecdc_import VALUES (15160, '21/05/2020', '21', '5', '2020', '74', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.01421623');
INSERT INTO public.ecdc_import VALUES (15161, '20/05/2020', '20', '5', '2020', '61', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.05177562');
INSERT INTO public.ecdc_import VALUES (15162, '19/05/2020', '19', '5', '2020', '111', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.20201318');
INSERT INTO public.ecdc_import VALUES (15163, '18/05/2020', '18', '5', '2020', '20', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.5165543');
INSERT INTO public.ecdc_import VALUES (15164, '17/05/2020', '17', '5', '2020', '49', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.57289339');
INSERT INTO public.ecdc_import VALUES (15165, '16/05/2020', '16', '5', '2020', '55', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.28180811');
INSERT INTO public.ecdc_import VALUES (15166, '15/05/2020', '15', '5', '2020', '82', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.28180811');
INSERT INTO public.ecdc_import VALUES (15167, '14/05/2020', '14', '5', '2020', '48', '7', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.47899491');
INSERT INTO public.ecdc_import VALUES (15168, '13/05/2020', '13', '5', '2020', '45', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.7325208');
INSERT INTO public.ecdc_import VALUES (15169, '12/05/2020', '12', '5', '2020', '53', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.82641928');
INSERT INTO public.ecdc_import VALUES (15170, '11/05/2020', '11', '5', '2020', '28', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.75130049');
INSERT INTO public.ecdc_import VALUES (15171, '10/05/2020', '10', '5', '2020', '18', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.97665684');
INSERT INTO public.ecdc_import VALUES (15172, '09/05/2020', '9', '5', '2020', '46', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.54943755');
INSERT INTO public.ecdc_import VALUES (15173, '08/05/2020', '8', '5', '2020', '57', '8', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.91564161');
INSERT INTO public.ecdc_import VALUES (15174, '07/05/2020', '7', '5', '2020', '78', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '7.86869237');
INSERT INTO public.ecdc_import VALUES (15175, '06/05/2020', '6', '5', '2020', '77', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.02831978');
INSERT INTO public.ecdc_import VALUES (15176, '05/05/2020', '5', '5', '2020', '38', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.49781217');
INSERT INTO public.ecdc_import VALUES (15177, '04/05/2020', '4', '5', '2020', '26', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '9.33350861');
INSERT INTO public.ecdc_import VALUES (15178, '03/05/2020', '3', '5', '2020', '18', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '10.33822231');
INSERT INTO public.ecdc_import VALUES (15179, '02/05/2020', '2', '5', '2020', '55', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '11.15513906');
INSERT INTO public.ecdc_import VALUES (15180, '01/05/2020', '1', '5', '2020', '103', '9', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '11.72791977');
INSERT INTO public.ecdc_import VALUES (15181, '30/04/2020', '30', '4', '2020', '75', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '11.98144566');
INSERT INTO public.ecdc_import VALUES (15182, '29/04/2020', '29', '4', '2020', '55', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '12.79836241');
INSERT INTO public.ecdc_import VALUES (15183, '28/04/2020', '28', '4', '2020', '45', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.0518883');
INSERT INTO public.ecdc_import VALUES (15184, '27/04/2020', '27', '4', '2020', '52', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.2678548');
INSERT INTO public.ecdc_import VALUES (15185, '26/04/2020', '26', '4', '2020', '79', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '13.61527916');
INSERT INTO public.ecdc_import VALUES (15186, '25/04/2020', '25', '4', '2020', '85', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '14.4697553');
INSERT INTO public.ecdc_import VALUES (15187, '24/04/2020', '24', '4', '2020', '52', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '15.20216342');
INSERT INTO public.ecdc_import VALUES (15188, '23/04/2020', '23', '4', '2020', '95', '9', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '17.1270822');
INSERT INTO public.ecdc_import VALUES (15189, '22/04/2020', '22', '4', '2020', '127', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.00505174');
INSERT INTO public.ecdc_import VALUES (15190, '21/04/2020', '21', '4', '2020', '127', '8', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.64356138');
INSERT INTO public.ecdc_import VALUES (15191, '20/04/2020', '20', '4', '2020', '133', '7', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '20.65766493');
INSERT INTO public.ecdc_import VALUES (15192, '19/04/2020', '19', '4', '2020', '105', '8', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '20.48864767');
INSERT INTO public.ecdc_import VALUES (15193, '18/04/2020', '18', '4', '2020', '116', '4', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '22.15065072');
INSERT INTO public.ecdc_import VALUES (15194, '17/04/2020', '17', '4', '2020', '130', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '24.17885782');
INSERT INTO public.ecdc_import VALUES (15195, '16/04/2020', '16', '4', '2020', '162', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '25.48404665');
INSERT INTO public.ecdc_import VALUES (15196, '15/04/2020', '15', '4', '2020', '82', '18', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '26.60143852');
INSERT INTO public.ecdc_import VALUES (15197, '14/04/2020', '14', '4', '2020', '68', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.70476441');
INSERT INTO public.ecdc_import VALUES (15198, '13/04/2020', '13', '4', '2020', '89', '9', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '29.69069842');
INSERT INTO public.ecdc_import VALUES (15199, '12/04/2020', '12', '4', '2020', '170', '10', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '30.41371669');
INSERT INTO public.ecdc_import VALUES (15200, '11/04/2020', '11', '4', '2020', '163', '7', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '32.4231441');
INSERT INTO public.ecdc_import VALUES (15201, '10/04/2020', '10', '4', '2020', '257', '13', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '32.93019587');
INSERT INTO public.ecdc_import VALUES (15202, '09/04/2020', '9', '4', '2020', '295', '11', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '34.34806287');
INSERT INTO public.ecdc_import VALUES (15203, '08/04/2020', '8', '4', '2020', '195', '10', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '34.01941821');
INSERT INTO public.ecdc_import VALUES (15204, '07/04/2020', '7', '4', '2020', '235', '11', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '33.67199384');
INSERT INTO public.ecdc_import VALUES (15205, '06/04/2020', '6', '4', '2020', '115', '8', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '32.13205882');
INSERT INTO public.ecdc_import VALUES (15206, '05/04/2020', '5', '4', '2020', '282', '6', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '32.64850044');
INSERT INTO public.ecdc_import VALUES (15207, '04/04/2020', '4', '4', '2020', '332', '9', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '30.85503953');
INSERT INTO public.ecdc_import VALUES (15208, '03/04/2020', '3', '4', '2020', '269', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '29.70947811');
INSERT INTO public.ecdc_import VALUES (15209, '02/04/2020', '2', '4', '2020', '281', '8', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '28.79866289');
INSERT INTO public.ecdc_import VALUES (15210, '01/04/2020', '1', '4', '2020', '306', '7', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '26.98642228');
INSERT INTO public.ecdc_import VALUES (15211, '31/03/2020', '31', '3', '2020', '173', '8', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '24.95821518');
INSERT INTO public.ecdc_import VALUES (15212, '30/03/2020', '30', '3', '2020', '166', '5', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '23.76570452');
INSERT INTO public.ecdc_import VALUES (15213, '29/03/2020', '29', '3', '2020', '384', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '22.99573701');
INSERT INTO public.ecdc_import VALUES (15214, '28/03/2020', '28', '3', '2020', '217', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '19.99098575');
INSERT INTO public.ecdc_import VALUES (15215, '27/03/2020', '27', '3', '2020', '408', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '18.27264362');
INSERT INTO public.ecdc_import VALUES (15216, '26/03/2020', '26', '3', '2020', '260', '3', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '14.64816241');
INSERT INTO public.ecdc_import VALUES (15217, '25/03/2020', '25', '3', '2020', '158', '2', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '12.49788728');
INSERT INTO public.ecdc_import VALUES (15218, '24/03/2020', '24', '3', '2020', '71', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '11.23025785');
INSERT INTO public.ecdc_import VALUES (15219, '23/03/2020', '23', '3', '2020', '170', '1', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '10.63869744');
INSERT INTO public.ecdc_import VALUES (15220, '22/03/2020', '22', '3', '2020', '91', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '9.09876242');
INSERT INTO public.ecdc_import VALUES (15221, '21/03/2020', '21', '3', '2020', '210', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '8.31001521');
INSERT INTO public.ecdc_import VALUES (15222, '20/03/2020', '20', '3', '2020', '172', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '6.40387613');
INSERT INTO public.ecdc_import VALUES (15223, '19/03/2020', '19', '3', '2020', '88', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '4.82638172');
INSERT INTO public.ecdc_import VALUES (15224, '18/03/2020', '18', '3', '2020', '90', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '4.02824466');
INSERT INTO public.ecdc_import VALUES (15225, '17/03/2020', '17', '3', '2020', '46', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '3.18315837');
INSERT INTO public.ecdc_import VALUES (15226, '16/03/2020', '16', '3', '2020', '84', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '2.77000507');
INSERT INTO public.ecdc_import VALUES (15227, '15/03/2020', '15', '3', '2020', '64', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '2.00942741');
INSERT INTO public.ecdc_import VALUES (15228, '14/03/2020', '14', '3', '2020', '34', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1.40847715');
INSERT INTO public.ecdc_import VALUES (15229, '13/03/2020', '13', '3', '2020', '22', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '1.08922233');
INSERT INTO public.ecdc_import VALUES (15230, '12/03/2020', '12', '3', '2020', '31', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.88264568');
INSERT INTO public.ecdc_import VALUES (15231, '11/03/2020', '11', '3', '2020', '23', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.5915604');
INSERT INTO public.ecdc_import VALUES (15232, '10/03/2020', '10', '3', '2020', '8', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.37559391');
INSERT INTO public.ecdc_import VALUES (15233, '09/03/2020', '9', '3', '2020', '6', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.30047513');
INSERT INTO public.ecdc_import VALUES (15234, '08/03/2020', '8', '3', '2020', '7', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.24413604');
INSERT INTO public.ecdc_import VALUES (15235, '07/03/2020', '7', '3', '2020', '7', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.17840711');
INSERT INTO public.ecdc_import VALUES (15236, '06/03/2020', '6', '3', '2020', '4', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.11267817');
INSERT INTO public.ecdc_import VALUES (15237, '05/03/2020', '5', '3', '2020', '3', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.07511878');
INSERT INTO public.ecdc_import VALUES (15238, '04/03/2020', '4', '3', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.04694924');
INSERT INTO public.ecdc_import VALUES (15239, '03/03/2020', '3', '3', '2020', '2', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.04694924');
INSERT INTO public.ecdc_import VALUES (15240, '02/03/2020', '2', '3', '2020', '3', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0.02816954');
INSERT INTO public.ecdc_import VALUES (15241, '01/03/2020', '1', '3', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15242, '29/02/2020', '29', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15243, '28/02/2020', '28', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15244, '27/02/2020', '27', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15245, '26/02/2020', '26', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15246, '25/02/2020', '25', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15247, '24/02/2020', '24', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15248, '23/02/2020', '23', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15249, '22/02/2020', '22', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15250, '21/02/2020', '21', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15251, '20/02/2020', '20', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15252, '19/02/2020', '19', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15253, '18/02/2020', '18', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15254, '17/02/2020', '17', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15255, '16/02/2020', '16', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15256, '15/02/2020', '15', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15257, '14/02/2020', '14', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15258, '13/02/2020', '13', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15259, '12/02/2020', '12', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15260, '11/02/2020', '11', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15261, '10/02/2020', '10', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15262, '09/02/2020', '9', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15263, '08/02/2020', '8', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15264, '07/02/2020', '7', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15265, '06/02/2020', '6', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15266, '05/02/2020', '5', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15267, '04/02/2020', '4', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15268, '03/02/2020', '3', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15269, '02/02/2020', '2', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15270, '01/02/2020', '1', '2', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15271, '31/01/2020', '31', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15272, '30/01/2020', '30', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15273, '29/01/2020', '29', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15274, '28/01/2020', '28', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15275, '27/01/2020', '27', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15276, '26/01/2020', '26', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15277, '25/01/2020', '25', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15278, '24/01/2020', '24', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15279, '23/01/2020', '23', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15280, '22/01/2020', '22', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15281, '21/01/2020', '21', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15282, '20/01/2020', '20', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15283, '19/01/2020', '19', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15284, '18/01/2020', '18', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15285, '17/01/2020', '17', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15286, '16/01/2020', '16', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15287, '15/01/2020', '15', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15288, '14/01/2020', '14', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15289, '13/01/2020', '13', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15290, '12/01/2020', '12', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15291, '11/01/2020', '11', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15292, '10/01/2020', '10', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15293, '09/01/2020', '9', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15294, '08/01/2020', '8', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15295, '07/01/2020', '7', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15296, '06/01/2020', '6', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15297, '05/01/2020', '5', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15298, '04/01/2020', '4', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15299, '03/01/2020', '3', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15300, '02/01/2020', '2', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15301, '01/01/2020', '1', '1', '2020', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15302, '31/12/2019', '31', '12', '2019', '0', '0', '10649800', 'Czechia', 'CZ', 'CZE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15303, '14/12/2020', '14', '12', '2020', '52', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.08663227');
INSERT INTO public.ecdc_import VALUES (15304, '13/12/2020', '13', '12', '2020', '119', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.13502463');
INSERT INTO public.ecdc_import VALUES (15305, '12/12/2020', '12', '12', '2020', '172', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.07511028');
INSERT INTO public.ecdc_import VALUES (15306, '11/12/2020', '11', '12', '2020', '173', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.95873819');
INSERT INTO public.ecdc_import VALUES (15307, '10/12/2020', '10', '12', '2020', '154', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.88038866');
INSERT INTO public.ecdc_import VALUES (15308, '09/12/2020', '9', '12', '2020', '93', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.76632097');
INSERT INTO public.ecdc_import VALUES (15309, '08/12/2020', '8', '12', '2020', '155', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.69603683');
INSERT INTO public.ecdc_import VALUES (15310, '07/12/2020', '7', '12', '2020', '67', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.56122956');
INSERT INTO public.ecdc_import VALUES (15311, '06/12/2020', '6', '12', '2020', '213', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.55201197');
INSERT INTO public.ecdc_import VALUES (15312, '05/12/2020', '5', '12', '2020', '33', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.36650794');
INSERT INTO public.ecdc_import VALUES (15313, '04/12/2020', '4', '12', '2020', '149', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.46790144');
INSERT INTO public.ecdc_import VALUES (15314, '03/12/2020', '3', '12', '2020', '145', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.39992171');
INSERT INTO public.ecdc_import VALUES (15315, '02/12/2020', '2', '12', '2020', '128', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.29161501');
INSERT INTO public.ecdc_import VALUES (15316, '01/12/2020', '1', '12', '2020', '158', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.17639511');
INSERT INTO public.ecdc_import VALUES (15317, '30/11/2020', '30', '11', '2020', '94', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.05080543');
INSERT INTO public.ecdc_import VALUES (15318, '29/11/2020', '29', '11', '2020', '67', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.9770647');
INSERT INTO public.ecdc_import VALUES (15319, '28/11/2020', '28', '11', '2020', '71', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.9782169');
INSERT INTO public.ecdc_import VALUES (15320, '27/11/2020', '27', '11', '2020', '105', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.89641077');
INSERT INTO public.ecdc_import VALUES (15321, '26/11/2020', '26', '11', '2020', '55', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.81690904');
INSERT INTO public.ecdc_import VALUES (15322, '25/11/2020', '25', '11', '2020', '32', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.76966889');
INSERT INTO public.ecdc_import VALUES (15323, '24/11/2020', '24', '11', '2020', '38', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.77197329');
INSERT INTO public.ecdc_import VALUES (15324, '23/11/2020', '23', '11', '2020', '59', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.72818973');
INSERT INTO public.ecdc_import VALUES (15325, '22/11/2020', '22', '11', '2020', '52', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.67979737');
INSERT INTO public.ecdc_import VALUES (15326, '21/11/2020', '21', '11', '2020', '121', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.66712318');
INSERT INTO public.ecdc_import VALUES (15327, '20/11/2020', '20', '11', '2020', '90', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.60144784');
INSERT INTO public.ecdc_import VALUES (15328, '19/11/2020', '19', '11', '2020', '51', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.5392291');
INSERT INTO public.ecdc_import VALUES (15329, '18/11/2020', '18', '11', '2020', '28', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.50696753');
INSERT INTO public.ecdc_import VALUES (15330, '17/11/2020', '17', '11', '2020', '49', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.5369247');
INSERT INTO public.ecdc_import VALUES (15331, '16/11/2020', '16', '11', '2020', '30', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.48161915');
INSERT INTO public.ecdc_import VALUES (15332, '15/11/2020', '15', '11', '2020', '68', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.52309832');
INSERT INTO public.ecdc_import VALUES (15333, '14/11/2020', '14', '11', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.44474879');
INSERT INTO public.ecdc_import VALUES (15334, '13/11/2020', '13', '11', '2020', '36', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.50466313');
INSERT INTO public.ecdc_import VALUES (15335, '12/11/2020', '12', '11', '2020', '14', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.51272853');
INSERT INTO public.ecdc_import VALUES (15336, '11/11/2020', '11', '11', '2020', '34', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.51964172');
INSERT INTO public.ecdc_import VALUES (15337, '10/11/2020', '10', '11', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.50005434');
INSERT INTO public.ecdc_import VALUES (15338, '09/11/2020', '9', '11', '2020', '17', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.5357725');
INSERT INTO public.ecdc_import VALUES (15339, '08/11/2020', '8', '11', '2020', '41', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.51618512');
INSERT INTO public.ecdc_import VALUES (15340, '07/11/2020', '7', '11', '2020', '64', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.49314114');
INSERT INTO public.ecdc_import VALUES (15341, '06/11/2020', '6', '11', '2020', '36', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.44820539');
INSERT INTO public.ecdc_import VALUES (15342, '05/11/2020', '5', '11', '2020', '23', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.44244439');
INSERT INTO public.ecdc_import VALUES (15343, '04/11/2020', '4', '11', '2020', '54', '7', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.41594382');
INSERT INTO public.ecdc_import VALUES (15344, '03/11/2020', '3', '11', '2020', '1', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.36985586');
INSERT INTO public.ecdc_import VALUES (15345, '02/11/2020', '2', '11', '2020', '66', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.36870366');
INSERT INTO public.ecdc_import VALUES (15346, '01/11/2020', '1', '11', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.34565968');
INSERT INTO public.ecdc_import VALUES (15347, '31/10/2020', '31', '10', '2020', '52', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.35257287');
INSERT INTO public.ecdc_import VALUES (15348, '30/10/2020', '30', '10', '2020', '43', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.3272245');
INSERT INTO public.ecdc_import VALUES (15349, '29/10/2020', '29', '10', '2020', '20', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.31800691');
INSERT INTO public.ecdc_import VALUES (15350, '28/10/2020', '28', '10', '2020', '17', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.36755146');
INSERT INTO public.ecdc_import VALUES (15351, '27/10/2020', '27', '10', '2020', '31', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.35142068');
INSERT INTO public.ecdc_import VALUES (15352, '26/10/2020', '26', '10', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.33644209');
INSERT INTO public.ecdc_import VALUES (15353, '25/10/2020', '25', '10', '2020', '21', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.34796408');
INSERT INTO public.ecdc_import VALUES (15354, '24/10/2020', '24', '10', '2020', '25', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.33068109');
INSERT INTO public.ecdc_import VALUES (15355, '23/10/2020', '23', '10', '2020', '31', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.31685471');
INSERT INTO public.ecdc_import VALUES (15356, '22/10/2020', '22', '10', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.30072392');
INSERT INTO public.ecdc_import VALUES (15357, '21/10/2020', '21', '10', '2020', '14', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.33068109');
INSERT INTO public.ecdc_import VALUES (15358, '20/10/2020', '20', '10', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.31455031');
INSERT INTO public.ecdc_import VALUES (15359, '19/10/2020', '19', '10', '2020', '46', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.33644209');
INSERT INTO public.ecdc_import VALUES (15360, '18/10/2020', '18', '10', '2020', '6', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.29150633');
INSERT INTO public.ecdc_import VALUES (15361, '17/10/2020', '17', '10', '2020', '30', '21', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.36294266');
INSERT INTO public.ecdc_import VALUES (15362, '16/10/2020', '16', '10', '2020', '35', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.3283767');
INSERT INTO public.ecdc_import VALUES (15363, '15/10/2020', '15', '10', '2020', '63', '5', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.31685471');
INSERT INTO public.ecdc_import VALUES (15364, '14/10/2020', '14', '10', '2020', '3', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.27767994');
INSERT INTO public.ecdc_import VALUES (15365, '13/10/2020', '13', '10', '2020', '18', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.28113654');
INSERT INTO public.ecdc_import VALUES (15366, '12/10/2020', '12', '10', '2020', '10', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.27537555');
INSERT INTO public.ecdc_import VALUES (15367, '11/10/2020', '11', '10', '2020', '6', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.28574534');
INSERT INTO public.ecdc_import VALUES (15368, '10/10/2020', '10', '10', '2020', '13', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.29611513');
INSERT INTO public.ecdc_import VALUES (15369, '09/10/2020', '9', '10', '2020', '17', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.30763712');
INSERT INTO public.ecdc_import VALUES (15370, '08/10/2020', '8', '10', '2020', '26', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.30878931');
INSERT INTO public.ecdc_import VALUES (15371, '07/10/2020', '7', '10', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.29496293');
INSERT INTO public.ecdc_import VALUES (15372, '06/10/2020', '6', '10', '2020', '19', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.29957172');
INSERT INTO public.ecdc_import VALUES (15373, '05/10/2020', '5', '10', '2020', '7', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.28228874');
INSERT INTO public.ecdc_import VALUES (15374, '04/10/2020', '4', '10', '2020', '68', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.30418052');
INSERT INTO public.ecdc_import VALUES (15375, '03/10/2020', '3', '10', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.26270136');
INSERT INTO public.ecdc_import VALUES (15376, '02/10/2020', '2', '10', '2020', '25', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.27883214');
INSERT INTO public.ecdc_import VALUES (15377, '01/10/2020', '1', '10', '2020', '29', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.29726733');
INSERT INTO public.ecdc_import VALUES (15378, '30/09/2020', '30', '9', '2020', '6', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.26385356');
INSERT INTO public.ecdc_import VALUES (15379, '29/09/2020', '29', '9', '2020', '13', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.27076675');
INSERT INTO public.ecdc_import VALUES (15380, '28/09/2020', '28', '9', '2020', '19', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.25578816');
INSERT INTO public.ecdc_import VALUES (15381, '27/09/2020', '27', '9', '2020', '15', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.23965738');
INSERT INTO public.ecdc_import VALUES (15382, '26/09/2020', '26', '9', '2020', '23', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.25002717');
INSERT INTO public.ecdc_import VALUES (15383, '25/09/2020', '25', '9', '2020', '18', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.24426617');
INSERT INTO public.ecdc_import VALUES (15384, '24/09/2020', '24', '9', '2020', '14', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.24541837');
INSERT INTO public.ecdc_import VALUES (15385, '23/09/2020', '23', '9', '2020', '4', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.26615795');
INSERT INTO public.ecdc_import VALUES (15386, '22/09/2020', '22', '9', '2020', '4', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.3295289');
INSERT INTO public.ecdc_import VALUES (15387, '21/09/2020', '21', '9', '2020', '26', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.35142068');
INSERT INTO public.ecdc_import VALUES (15388, '20/09/2020', '20', '9', '2020', '32', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.35718167');
INSERT INTO public.ecdc_import VALUES (15389, '19/09/2020', '19', '9', '2020', '14', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.35487727');
INSERT INTO public.ecdc_import VALUES (15390, '18/09/2020', '18', '9', '2020', '41', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.36524706');
INSERT INTO public.ecdc_import VALUES (15391, '17/09/2020', '17', '9', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.33183329');
INSERT INTO public.ecdc_import VALUES (15392, '16/09/2020', '16', '9', '2020', '12', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.34335528');
INSERT INTO public.ecdc_import VALUES (15393, '15/09/2020', '15', '9', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.33759429');
INSERT INTO public.ecdc_import VALUES (15394, '14/09/2020', '14', '9', '2020', '5', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.39750863');
INSERT INTO public.ecdc_import VALUES (15395, '13/09/2020', '13', '9', '2020', '24', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.434379');
INSERT INTO public.ecdc_import VALUES (15396, '12/09/2020', '12', '9', '2020', '18', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.42285701');
INSERT INTO public.ecdc_import VALUES (15397, '11/09/2020', '11', '9', '2020', '19', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.49314114');
INSERT INTO public.ecdc_import VALUES (15398, '10/09/2020', '10', '9', '2020', '32', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.47470596');
INSERT INTO public.ecdc_import VALUES (15399, '09/09/2020', '9', '9', '2020', '59', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.46203177');
INSERT INTO public.ecdc_import VALUES (15400, '08/09/2020', '8', '9', '2020', '23', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.45050978');
INSERT INTO public.ecdc_import VALUES (15401, '07/09/2020', '7', '9', '2020', '31', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.4378356');
INSERT INTO public.ecdc_import VALUES (15402, '06/09/2020', '6', '9', '2020', '30', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.42400921');
INSERT INTO public.ecdc_import VALUES (15403, '05/09/2020', '5', '9', '2020', '23', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.39981303');
INSERT INTO public.ecdc_import VALUES (15404, '04/09/2020', '4', '9', '2020', '12', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.42516141');
INSERT INTO public.ecdc_import VALUES (15405, '03/09/2020', '3', '9', '2020', '10', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.4297702');
INSERT INTO public.ecdc_import VALUES (15406, '02/09/2020', '2', '9', '2020', '7', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.44129219');
INSERT INTO public.ecdc_import VALUES (15407, '01/09/2020', '1', '9', '2020', '52', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.45050978');
INSERT INTO public.ecdc_import VALUES (15408, '31/08/2020', '31', '8', '2020', '37', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.42516141');
INSERT INTO public.ecdc_import VALUES (15409, '30/08/2020', '30', '8', '2020', '14', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.42631361');
INSERT INTO public.ecdc_import VALUES (15410, '29/08/2020', '29', '8', '2020', '79', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.44820539');
INSERT INTO public.ecdc_import VALUES (15411, '28/08/2020', '28', '8', '2020', '3', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.37561685');
INSERT INTO public.ecdc_import VALUES (15412, '27/08/2020', '27', '8', '2020', '21', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.4309224');
INSERT INTO public.ecdc_import VALUES (15413, '26/08/2020', '26', '8', '2020', '49', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.45166198');
INSERT INTO public.ecdc_import VALUES (15414, '25/08/2020', '25', '8', '2020', '12', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.40672622');
INSERT INTO public.ecdc_import VALUES (15415, '24/08/2020', '24', '8', '2020', '19', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.4332268');
INSERT INTO public.ecdc_import VALUES (15416, '23/08/2020', '23', '8', '2020', '9', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.41133502');
INSERT INTO public.ecdc_import VALUES (15417, '22/08/2020', '22', '8', '2020', '45', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.51503292');
INSERT INTO public.ecdc_import VALUES (15418, '21/08/2020', '21', '8', '2020', '16', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.51618512');
INSERT INTO public.ecdc_import VALUES (15419, '20/08/2020', '20', '8', '2020', '20', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.56227308');
INSERT INTO public.ecdc_import VALUES (15420, '19/08/2020', '19', '8', '2020', '15', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.62564402');
INSERT INTO public.ecdc_import VALUES (15421, '18/08/2020', '18', '8', '2020', '30', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.66020999');
INSERT INTO public.ecdc_import VALUES (15422, '17/08/2020', '17', '8', '2020', '38', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.6463836');
INSERT INTO public.ecdc_import VALUES (15423, '16/08/2020', '16', '8', '2020', '33', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.63831821');
INSERT INTO public.ecdc_import VALUES (15424, '15/08/2020', '15', '8', '2020', '16', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.61527423');
INSERT INTO public.ecdc_import VALUES (15425, '14/08/2020', '14', '8', '2020', '51', '9', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.66597098');
INSERT INTO public.ecdc_import VALUES (15426, '13/08/2020', '13', '8', '2020', '39', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.69823255');
INSERT INTO public.ecdc_import VALUES (15427, '12/08/2020', '12', '8', '2020', '10', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.72012433');
INSERT INTO public.ecdc_import VALUES (15428, '11/08/2020', '11', '8', '2020', '35', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.74201611');
INSERT INTO public.ecdc_import VALUES (15429, '10/08/2020', '10', '8', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.71666774');
INSERT INTO public.ecdc_import VALUES (15430, '09/08/2020', '9', '8', '2020', '99', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.7523859');
INSERT INTO public.ecdc_import VALUES (15431, '08/08/2020', '8', '8', '2020', '46', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.67749297');
INSERT INTO public.ecdc_import VALUES (15432, '07/08/2020', '7', '8', '2020', '56', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.67864517');
INSERT INTO public.ecdc_import VALUES (15433, '06/08/2020', '6', '8', '2020', '75', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.72242873');
INSERT INTO public.ecdc_import VALUES (15434, '05/08/2020', '5', '8', '2020', '45', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.74201611');
INSERT INTO public.ecdc_import VALUES (15435, '04/08/2020', '4', '8', '2020', '18', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.79501727');
INSERT INTO public.ecdc_import VALUES (15436, '03/08/2020', '3', '8', '2020', '31', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.82036564');
INSERT INTO public.ecdc_import VALUES (15437, '02/08/2020', '2', '8', '2020', '13', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.87567119');
INSERT INTO public.ecdc_import VALUES (15438, '01/08/2020', '1', '8', '2020', '60', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.94710752');
INSERT INTO public.ecdc_import VALUES (15439, '31/07/2020', '31', '7', '2020', '79', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.93558554');
INSERT INTO public.ecdc_import VALUES (15440, '30/07/2020', '30', '7', '2020', '58', '5', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.88604098');
INSERT INTO public.ecdc_import VALUES (15441, '29/07/2020', '29', '7', '2020', '29', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.85032281');
INSERT INTO public.ecdc_import VALUES (15442, '28/07/2020', '28', '7', '2020', '13', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.88719318');
INSERT INTO public.ecdc_import VALUES (15443, '27/07/2020', '27', '7', '2020', '31', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.92060695');
INSERT INTO public.ecdc_import VALUES (15444, '26/07/2020', '26', '7', '2020', '34', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.95632512');
INSERT INTO public.ecdc_import VALUES (15445, '25/07/2020', '25', '7', '2020', '47', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.99319548');
INSERT INTO public.ecdc_import VALUES (15446, '24/07/2020', '24', '7', '2020', '94', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.00702187');
INSERT INTO public.ecdc_import VALUES (15447, '23/07/2020', '23', '7', '2020', '92', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.02315265');
INSERT INTO public.ecdc_import VALUES (15448, '22/07/2020', '22', '7', '2020', '91', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.00586967');
INSERT INTO public.ecdc_import VALUES (15449, '21/07/2020', '21', '7', '2020', '40', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.16372092');
INSERT INTO public.ecdc_import VALUES (15450, '20/07/2020', '20', '7', '2020', '79', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.14298134');
INSERT INTO public.ecdc_import VALUES (15451, '19/07/2020', '19', '7', '2020', '75', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.08882799');
INSERT INTO public.ecdc_import VALUES (15452, '18/07/2020', '18', '7', '2020', '50', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.22133087');
INSERT INTO public.ecdc_import VALUES (15453, '17/07/2020', '17', '7', '2020', '36', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.16372092');
INSERT INTO public.ecdc_import VALUES (15454, '16/07/2020', '16', '7', '2020', '27', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.19943909');
INSERT INTO public.ecdc_import VALUES (15455, '15/07/2020', '15', '7', '2020', '61', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.26396223');
INSERT INTO public.ecdc_import VALUES (15456, '14/07/2020', '14', '7', '2020', '42', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.30774579');
INSERT INTO public.ecdc_import VALUES (15457, '13/07/2020', '13', '7', '2020', '62', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.38955192');
INSERT INTO public.ecdc_import VALUES (15458, '12/07/2020', '12', '7', '2020', '66', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.63381809');
INSERT INTO public.ecdc_import VALUES (15459, '11/07/2020', '11', '7', '2020', '59', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.55777296');
INSERT INTO public.ecdc_import VALUES (15460, '10/07/2020', '10', '7', '2020', '108', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.65225327');
INSERT INTO public.ecdc_import VALUES (15461, '09/07/2020', '9', '7', '2020', '77', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.97026018');
INSERT INTO public.ecdc_import VALUES (15462, '08/07/2020', '8', '7', '2020', '228', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.88154086');
INSERT INTO public.ecdc_import VALUES (15463, '07/07/2020', '7', '7', '2020', '22', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.73636379');
INSERT INTO public.ecdc_import VALUES (15464, '06/07/2020', '6', '7', '2020', '32', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.82508311');
INSERT INTO public.ecdc_import VALUES (15465, '05/07/2020', '5', '7', '2020', '190', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.96680358');
INSERT INTO public.ecdc_import VALUES (15466, '04/07/2020', '4', '7', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.97256458');
INSERT INTO public.ecdc_import VALUES (15467, '03/07/2020', '3', '7', '2020', '67', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.19609117');
INSERT INTO public.ecdc_import VALUES (15468, '02/07/2020', '2', '7', '2020', '83', '5', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.32974625');
INSERT INTO public.ecdc_import VALUES (15469, '01/07/2020', '1', '7', '2020', '99', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.3781386');
INSERT INTO public.ecdc_import VALUES (15470, '30/06/2020', '30', '6', '2020', '113', '10', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.42192216');
INSERT INTO public.ecdc_import VALUES (15471, '29/06/2020', '29', '6', '2020', '274', '8', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.36085562');
INSERT INTO public.ecdc_import VALUES (15472, '28/06/2020', '28', '6', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.10737185');
INSERT INTO public.ecdc_import VALUES (15473, '27/06/2020', '27', '6', '2020', '141', '7', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.20761316');
INSERT INTO public.ecdc_import VALUES (15474, '26/06/2020', '26', '6', '2020', '384', '7', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.18572138');
INSERT INTO public.ecdc_import VALUES (15475, '25/06/2020', '25', '6', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.88730186');
INSERT INTO public.ecdc_import VALUES (15476, '24/06/2020', '24', '6', '2020', '102', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.03823992');
INSERT INTO public.ecdc_import VALUES (15477, '23/06/2020', '23', '6', '2020', '99', '5', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.09700206');
INSERT INTO public.ecdc_import VALUES (15478, '22/06/2020', '22', '6', '2020', '155', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.08548007');
INSERT INTO public.ecdc_import VALUES (15479, '21/06/2020', '21', '6', '2020', '195', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.06589269');
INSERT INTO public.ecdc_import VALUES (15480, '20/06/2020', '20', '6', '2020', '194', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.97256458');
INSERT INTO public.ecdc_import VALUES (15481, '19/06/2020', '19', '6', '2020', '183', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.88845405');
INSERT INTO public.ecdc_import VALUES (15482, '18/06/2020', '18', '6', '2020', '125', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.84927929');
INSERT INTO public.ecdc_import VALUES (15483, '17/06/2020', '17', '6', '2020', '137', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.89997604');
INSERT INTO public.ecdc_import VALUES (15484, '16/06/2020', '16', '6', '2020', '60', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.89306285');
INSERT INTO public.ecdc_import VALUES (15485, '15/06/2020', '15', '6', '2020', '54', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.99099976');
INSERT INTO public.ecdc_import VALUES (15486, '14/06/2020', '14', '6', '2020', '87', '5', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.02441353');
INSERT INTO public.ecdc_import VALUES (15487, '13/06/2020', '13', '6', '2020', '122', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.07741468');
INSERT INTO public.ecdc_import VALUES (15488, '12/06/2020', '12', '6', '2020', '125', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.93799861');
INSERT INTO public.ecdc_import VALUES (15489, '11/06/2020', '11', '6', '2020', '131', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.99330416');
INSERT INTO public.ecdc_import VALUES (15490, '10/06/2020', '10', '6', '2020', '153', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.97371678');
INSERT INTO public.ecdc_import VALUES (15491, '09/06/2020', '9', '6', '2020', '89', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.08317567');
INSERT INTO public.ecdc_import VALUES (15492, '08/06/2020', '8', '6', '2020', '138', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.98062997');
INSERT INTO public.ecdc_import VALUES (15493, '07/06/2020', '7', '6', '2020', '114', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.00136955');
INSERT INTO public.ecdc_import VALUES (15494, '06/06/2020', '6', '6', '2020', '121', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '2.00367395');
INSERT INTO public.ecdc_import VALUES (15495, '05/06/2020', '5', '6', '2020', '149', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.95643379');
INSERT INTO public.ecdc_import VALUES (15496, '04/06/2020', '4', '6', '2020', '169', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.91149803');
INSERT INTO public.ecdc_import VALUES (15497, '03/06/2020', '3', '6', '2020', '131', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.8366051');
INSERT INTO public.ecdc_import VALUES (15498, '02/06/2020', '2', '6', '2020', '145', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.80319133');
INSERT INTO public.ecdc_import VALUES (15499, '01/06/2020', '1', '6', '2020', '83', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.8377573');
INSERT INTO public.ecdc_import VALUES (15500, '31/05/2020', '31', '5', '2020', '133', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.74212479');
INSERT INTO public.ecdc_import VALUES (15501, '30/05/2020', '30', '5', '2020', '1', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.68681924');
INSERT INTO public.ecdc_import VALUES (15502, '29/05/2020', '29', '5', '2020', '173', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.76747317');
INSERT INTO public.ecdc_import VALUES (15503, '28/05/2020', '28', '5', '2020', '114', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.63266589');
INSERT INTO public.ecdc_import VALUES (15504, '27/05/2020', '27', '5', '2020', '248', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.58542573');
INSERT INTO public.ecdc_import VALUES (15505, '26/05/2020', '26', '5', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.37687773');
INSERT INTO public.ecdc_import VALUES (15506, '25/05/2020', '25', '5', '2020', '156', '4', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.46674924');
INSERT INTO public.ecdc_import VALUES (15507, '24/05/2020', '24', '5', '2020', '116', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.32502878');
INSERT INTO public.ecdc_import VALUES (15508, '23/05/2020', '23', '5', '2020', '80', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.25359244');
INSERT INTO public.ecdc_import VALUES (15509, '22/05/2020', '22', '5', '2020', '110', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.20750448');
INSERT INTO public.ecdc_import VALUES (15510, '21/05/2020', '21', '5', '2020', '104', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.11993736');
INSERT INTO public.ecdc_import VALUES (15511, '20/05/2020', '20', '5', '2020', '102', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.18215611');
INSERT INTO public.ecdc_import VALUES (15512, '19/05/2020', '19', '5', '2020', '175', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '1.08882799');
INSERT INTO public.ecdc_import VALUES (15513, '18/05/2020', '18', '5', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.88719318');
INSERT INTO public.ecdc_import VALUES (15514, '17/05/2020', '17', '5', '2020', '85', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.89871517');
INSERT INTO public.ecdc_import VALUES (15515, '16/05/2020', '16', '5', '2020', '71', '10', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.88143219');
INSERT INTO public.ecdc_import VALUES (15516, '15/05/2020', '15', '5', '2020', '56', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.83649643');
INSERT INTO public.ecdc_import VALUES (15737, '10/07/2020', '10', '7', '2020', '16', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.82253003');
INSERT INTO public.ecdc_import VALUES (15517, '14/05/2020', '14', '5', '2020', '73', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.85493161');
INSERT INTO public.ecdc_import VALUES (15518, '13/05/2020', '13', '5', '2020', '67', '6', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.78119088');
INSERT INTO public.ecdc_import VALUES (15519, '12/05/2020', '12', '5', '2020', '78', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.72703753');
INSERT INTO public.ecdc_import VALUES (15520, '11/05/2020', '11', '5', '2020', '33', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.6509924');
INSERT INTO public.ecdc_import VALUES (15521, '10/05/2020', '10', '5', '2020', '54', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.63255722');
INSERT INTO public.ecdc_import VALUES (15522, '09/05/2020', '9', '5', '2020', '40', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.60029565');
INSERT INTO public.ecdc_import VALUES (15523, '08/05/2020', '8', '5', '2020', '34', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.57955606');
INSERT INTO public.ecdc_import VALUES (15524, '07/05/2020', '7', '5', '2020', '158', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.55996868');
INSERT INTO public.ecdc_import VALUES (15525, '06/05/2020', '6', '5', '2020', '21', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.39866083');
INSERT INTO public.ecdc_import VALUES (15526, '05/05/2020', '5', '5', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.38483444');
INSERT INTO public.ecdc_import VALUES (15527, '04/05/2020', '4', '5', '2020', '10', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.40557403');
INSERT INTO public.ecdc_import VALUES (15528, '03/05/2020', '3', '5', '2020', '70', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.39981303');
INSERT INTO public.ecdc_import VALUES (15529, '02/05/2020', '2', '5', '2020', '32', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.34220308');
INSERT INTO public.ecdc_import VALUES (15530, '01/05/2020', '1', '5', '2020', '72', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.3283767');
INSERT INTO public.ecdc_import VALUES (15531, '30/04/2020', '30', '4', '2020', '9', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.26846235');
INSERT INTO public.ecdc_import VALUES (15532, '29/04/2020', '29', '4', '2020', '20', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.27307115');
INSERT INTO public.ecdc_import VALUES (15533, '28/04/2020', '28', '4', '2020', '12', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.27191895');
INSERT INTO public.ecdc_import VALUES (15534, '27/04/2020', '27', '4', '2020', '17', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.25924476');
INSERT INTO public.ecdc_import VALUES (15535, '26/04/2020', '26', '4', '2020', '26', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.23965738');
INSERT INTO public.ecdc_import VALUES (15536, '25/04/2020', '25', '4', '2020', '22', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.22237439');
INSERT INTO public.ecdc_import VALUES (15537, '24/04/2020', '24', '4', '2020', '17', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.20624361');
INSERT INTO public.ecdc_import VALUES (15538, '23/04/2020', '23', '4', '2020', '18', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.22352659');
INSERT INTO public.ecdc_import VALUES (15539, '22/04/2020', '22', '4', '2020', '9', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.20624361');
INSERT INTO public.ecdc_import VALUES (15540, '21/04/2020', '21', '4', '2020', '18', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.2177656');
INSERT INTO public.ecdc_import VALUES (15541, '20/04/2020', '20', '4', '2020', '5', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.20509141');
INSERT INTO public.ecdc_import VALUES (15542, '19/04/2020', '19', '4', '2020', '20', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.19933042');
INSERT INTO public.ecdc_import VALUES (15543, '18/04/2020', '18', '4', '2020', '20', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.19933042');
INSERT INTO public.ecdc_import VALUES (15544, '17/04/2020', '17', '4', '2020', '20', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.18896063');
INSERT INTO public.ecdc_import VALUES (15545, '16/04/2020', '16', '4', '2020', '13', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.16591665');
INSERT INTO public.ecdc_import VALUES (15546, '15/04/2020', '15', '4', '2020', '19', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.17974303');
INSERT INTO public.ecdc_import VALUES (15547, '14/04/2020', '14', '4', '2020', '1', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.15785125');
INSERT INTO public.ecdc_import VALUES (15548, '13/04/2020', '13', '4', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.17628644');
INSERT INTO public.ecdc_import VALUES (15549, '12/04/2020', '12', '4', '2020', '11', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.20278701');
INSERT INTO public.ecdc_import VALUES (15550, '11/04/2020', '11', '4', '2020', '8', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.19011282');
INSERT INTO public.ecdc_import VALUES (15551, '10/04/2020', '10', '4', '2020', '32', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.18550403');
INSERT INTO public.ecdc_import VALUES (15552, '09/04/2020', '9', '4', '2020', '3', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.15900345');
INSERT INTO public.ecdc_import VALUES (15553, '08/04/2020', '8', '4', '2020', '19', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.15554686');
INSERT INTO public.ecdc_import VALUES (15554, '07/04/2020', '7', '4', '2020', '7', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.15554686');
INSERT INTO public.ecdc_import VALUES (15555, '06/04/2020', '6', '4', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.14748146');
INSERT INTO public.ecdc_import VALUES (15556, '05/04/2020', '5', '4', '2020', '20', '5', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.15093806');
INSERT INTO public.ecdc_import VALUES (15557, '04/04/2020', '4', '4', '2020', '11', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.13826387');
INSERT INTO public.ecdc_import VALUES (15558, '03/04/2020', '3', '4', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.12558968');
INSERT INTO public.ecdc_import VALUES (15559, '02/04/2020', '2', '4', '2020', '25', '3', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.12558968');
INSERT INTO public.ecdc_import VALUES (15560, '01/04/2020', '1', '4', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.1094589');
INSERT INTO public.ecdc_import VALUES (15561, '31/03/2020', '31', '3', '2020', '17', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.1094589');
INSERT INTO public.ecdc_import VALUES (15562, '30/03/2020', '30', '3', '2020', '23', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.09102372');
INSERT INTO public.ecdc_import VALUES (15563, '29/03/2020', '29', '3', '2020', '0', '2', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.06452314');
INSERT INTO public.ecdc_import VALUES (15564, '28/03/2020', '28', '3', '2020', '4', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.06452314');
INSERT INTO public.ecdc_import VALUES (15565, '27/03/2020', '27', '3', '2020', '9', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.06106654');
INSERT INTO public.ecdc_import VALUES (15566, '26/03/2020', '26', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '0.05184895');
INSERT INTO public.ecdc_import VALUES (15567, '25/03/2020', '25', '3', '2020', '19', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15568, '24/03/2020', '24', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15569, '23/03/2020', '23', '3', '2020', '3', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15570, '22/03/2020', '22', '3', '2020', '9', '1', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15571, '21/03/2020', '21', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15572, '20/03/2020', '20', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15573, '19/03/2020', '19', '3', '2020', '11', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15574, '18/03/2020', '18', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15575, '17/03/2020', '17', '3', '2020', '1', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15576, '16/03/2020', '16', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15577, '15/03/2020', '15', '3', '2020', '0', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15578, '14/03/2020', '14', '3', '2020', '1', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15579, '11/03/2020', '11', '3', '2020', '1', '0', '86790568', 'Democratic_Republic_of_the_Congo', 'CD', 'COD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (15580, '14/12/2020', '14', '12', '2020', '2642', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '523.69231501');
INSERT INTO public.ecdc_import VALUES (15581, '13/12/2020', '13', '12', '2020', '3552', '8', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '495.37717438');
INSERT INTO public.ecdc_import VALUES (15582, '12/12/2020', '12', '12', '2020', '3075', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '462.37729029');
INSERT INTO public.ecdc_import VALUES (15583, '11/12/2020', '11', '12', '2020', '3132', '14', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '432.20203094');
INSERT INTO public.ecdc_import VALUES (15584, '10/12/2020', '10', '12', '2020', '2558', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '398.77156381');
INSERT INTO public.ecdc_import VALUES (15585, '09/12/2020', '9', '12', '2020', '2150', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '375.08949668');
INSERT INTO public.ecdc_import VALUES (15586, '08/12/2020', '8', '12', '2020', '2046', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '361.60363591');
INSERT INTO public.ecdc_import VALUES (15587, '07/12/2020', '7', '12', '2020', '1745', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '346.49878291');
INSERT INTO public.ecdc_import VALUES (15588, '06/12/2020', '6', '12', '2020', '2115', '11', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '331.08391013');
INSERT INTO public.ecdc_import VALUES (15589, '05/12/2020', '5', '12', '2020', '1603', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '316.58187338');
INSERT INTO public.ecdc_import VALUES (15590, '04/12/2020', '4', '12', '2020', '1605', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '310.62260413');
INSERT INTO public.ecdc_import VALUES (15591, '03/12/2020', '3', '12', '2020', '1586', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '305.31782109');
INSERT INTO public.ecdc_import VALUES (15592, '02/12/2020', '2', '12', '2020', '1468', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '299.6513483');
INSERT INTO public.ecdc_import VALUES (15593, '01/12/2020', '1', '12', '2020', '1129', '8', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '295.37996456');
INSERT INTO public.ecdc_import VALUES (15594, '30/11/2020', '30', '11', '2020', '998', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '296.51670378');
INSERT INTO public.ecdc_import VALUES (15595, '29/11/2020', '29', '11', '2020', '1636', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '297.55010307');
INSERT INTO public.ecdc_import VALUES (15596, '28/11/2020', '28', '11', '2020', '1323', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '287.93948965');
INSERT INTO public.ecdc_import VALUES (15597, '27/11/2020', '27', '11', '2020', '1191', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '283.01361969');
INSERT INTO public.ecdc_import VALUES (15598, '26/11/2020', '26', '11', '2020', '1183', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '279.91342181');
INSERT INTO public.ecdc_import VALUES (15599, '25/11/2020', '25', '11', '2020', '1367', '8', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '276.65821403');
INSERT INTO public.ecdc_import VALUES (15600, '24/11/2020', '24', '11', '2020', '1169', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '271.47399425');
INSERT INTO public.ecdc_import VALUES (15601, '23/11/2020', '23', '11', '2020', '850', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '264.61911227');
INSERT INTO public.ecdc_import VALUES (15602, '22/11/2020', '22', '11', '2020', '1273', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '265.32526846');
INSERT INTO public.ecdc_import VALUES (15603, '21/11/2020', '21', '11', '2020', '1257', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '261.48446775');
INSERT INTO public.ecdc_import VALUES (15604, '20/11/2020', '20', '11', '2020', '1297', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '264.41243241');
INSERT INTO public.ecdc_import VALUES (15605, '19/11/2020', '19', '11', '2020', '1257', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '263.13790662');
INSERT INTO public.ecdc_import VALUES (15606, '18/11/2020', '18', '11', '2020', '1220', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '257.6092204');
INSERT INTO public.ecdc_import VALUES (15607, '17/11/2020', '17', '11', '2020', '1195', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '259.89992217');
INSERT INTO public.ecdc_import VALUES (15608, '16/11/2020', '16', '11', '2020', '1058', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '255.54242182');
INSERT INTO public.ecdc_import VALUES (15609, '15/11/2020', '15', '11', '2020', '1078', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '253.64785645');
INSERT INTO public.ecdc_import VALUES (15610, '14/11/2020', '14', '11', '2020', '1037', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '254.47457588');
INSERT INTO public.ecdc_import VALUES (15611, '13/11/2020', '13', '11', '2020', '1011', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '257.1269674');
INSERT INTO public.ecdc_import VALUES (15612, '12/11/2020', '12', '11', '2020', '994', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '254.52624584');
INSERT INTO public.ecdc_import VALUES (15613, '11/11/2020', '11', '11', '2020', '1066', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '254.92238224');
INSERT INTO public.ecdc_import VALUES (15614, '10/11/2020', '10', '11', '2020', '771', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '249.39369602');
INSERT INTO public.ecdc_import VALUES (15615, '09/11/2020', '9', '11', '2020', '891', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '254.30234266');
INSERT INTO public.ecdc_import VALUES (15616, '08/11/2020', '8', '11', '2020', '1050', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '255.23240203');
INSERT INTO public.ecdc_import VALUES (15617, '07/11/2020', '7', '11', '2020', '1427', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '250.7371151');
INSERT INTO public.ecdc_import VALUES (15618, '06/11/2020', '6', '11', '2020', '1223', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '240.95426846');
INSERT INTO public.ecdc_import VALUES (15619, '05/11/2020', '5', '11', '2020', '936', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '232.97987059');
INSERT INTO public.ecdc_import VALUES (15620, '04/11/2020', '4', '11', '2020', '1353', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '227.70953419');
INSERT INTO public.ecdc_import VALUES (15621, '03/11/2020', '3', '11', '2020', '942', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '213.51751724');
INSERT INTO public.ecdc_import VALUES (15622, '02/11/2020', '2', '11', '2020', '948', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '205.07808968');
INSERT INTO public.ecdc_import VALUES (15623, '01/11/2020', '1', '11', '2020', '1126', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '196.51809887');
INSERT INTO public.ecdc_import VALUES (15624, '31/10/2020', '31', '10', '2020', '1191', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '185.73629958');
INSERT INTO public.ecdc_import VALUES (15625, '30/10/2020', '30', '10', '2020', '860', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '172.42267202');
INSERT INTO public.ecdc_import VALUES (15626, '29/10/2020', '29', '10', '2020', '1017', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '165.01664376');
INSERT INTO public.ecdc_import VALUES (15627, '28/10/2020', '28', '10', '2020', '745', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '155.97439994');
INSERT INTO public.ecdc_import VALUES (15628, '27/10/2020', '27', '10', '2020', '1056', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '148.13778864');
INSERT INTO public.ecdc_import VALUES (15629, '26/10/2020', '26', '10', '2020', '945', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '136.64983317');
INSERT INTO public.ecdc_import VALUES (15630, '25/10/2020', '25', '10', '2020', '789', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '126.22972363');
INSERT INTO public.ecdc_import VALUES (15631, '24/10/2020', '24', '10', '2020', '859', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '120.2876777');
INSERT INTO public.ecdc_import VALUES (15632, '23/10/2020', '23', '10', '2020', '760', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '113.79448547');
INSERT INTO public.ecdc_import VALUES (15633, '22/10/2020', '22', '10', '2020', '630', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '108.38636251');
INSERT INTO public.ecdc_import VALUES (15634, '21/10/2020', '21', '10', '2020', '529', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '103.23658936');
INSERT INTO public.ecdc_import VALUES (15635, '20/10/2020', '20', '10', '2020', '452', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '99.6713618');
INSERT INTO public.ecdc_import VALUES (15636, '19/10/2020', '19', '10', '2020', '451', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '98.37961269');
INSERT INTO public.ecdc_import VALUES (15637, '18/10/2020', '18', '10', '2020', '500', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '97.12231021');
INSERT INTO public.ecdc_import VALUES (15638, '17/10/2020', '17', '10', '2020', '418', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '94.88327841');
INSERT INTO public.ecdc_import VALUES (15639, '16/10/2020', '16', '10', '2020', '430', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '96.91563035');
INSERT INTO public.ecdc_import VALUES (15640, '15/10/2020', '15', '10', '2020', '492', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '96.36448406');
INSERT INTO public.ecdc_import VALUES (15641, '14/10/2020', '14', '10', '2020', '290', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '97.08786357');
INSERT INTO public.ecdc_import VALUES (15642, '13/10/2020', '13', '10', '2020', '389', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '98.84464237');
INSERT INTO public.ecdc_import VALUES (15643, '12/10/2020', '12', '10', '2020', '340', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '99.63691516');
INSERT INTO public.ecdc_import VALUES (15644, '11/10/2020', '11', '10', '2020', '444', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '101.08367417');
INSERT INTO public.ecdc_import VALUES (15645, '10/10/2020', '10', '10', '2020', '482', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '104.09775544');
INSERT INTO public.ecdc_import VALUES (15646, '09/10/2020', '9', '10', '2020', '446', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '107.47352646');
INSERT INTO public.ecdc_import VALUES (15647, '08/10/2020', '8', '10', '2020', '331', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '109.4197618');
INSERT INTO public.ecdc_import VALUES (15648, '07/10/2020', '7', '10', '2020', '322', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '113.32945579');
INSERT INTO public.ecdc_import VALUES (15649, '06/10/2020', '6', '10', '2020', '377', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '115.98184731');
INSERT INTO public.ecdc_import VALUES (15650, '05/10/2020', '5', '10', '2020', '378', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '134.91027769');
INSERT INTO public.ecdc_import VALUES (15651, '04/10/2020', '4', '10', '2020', '370', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '128.39986214');
INSERT INTO public.ecdc_import VALUES (15652, '03/10/2020', '3', '10', '2020', '536', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '122.02723317');
INSERT INTO public.ecdc_import VALUES (15653, '02/10/2020', '2', '10', '2020', '398', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '120.6149208');
INSERT INTO public.ecdc_import VALUES (15654, '01/10/2020', '1', '10', '2020', '534', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '127.91760914');
INSERT INTO public.ecdc_import VALUES (15655, '30/09/2020', '30', '9', '2020', '392', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '126.33306356');
INSERT INTO public.ecdc_import VALUES (15656, '29/09/2020', '29', '9', '2020', '435', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '125.2479943');
INSERT INTO public.ecdc_import VALUES (15657, '28/09/2020', '28', '9', '2020', '424', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '127.81426921');
INSERT INTO public.ecdc_import VALUES (15658, '27/09/2020', '27', '9', '2020', '619', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '120.51158088');
INSERT INTO public.ecdc_import VALUES (15659, '26/09/2020', '26', '9', '2020', '678', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '109.85034484');
INSERT INTO public.ecdc_import VALUES (15660, '25/09/2020', '25', '9', '2020', '559', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '103.20214272');
INSERT INTO public.ecdc_import VALUES (15661, '24/09/2020', '24', '9', '2020', '558', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '99.0340989');
INSERT INTO public.ecdc_import VALUES (15662, '23/09/2020', '23', '9', '2020', '476', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '93.74653919');
INSERT INTO public.ecdc_import VALUES (15663, '22/09/2020', '22', '9', '2020', '1476', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '89.73350527');
INSERT INTO public.ecdc_import VALUES (15664, '21/09/2020', '21', '9', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '74.06028266');
INSERT INTO public.ecdc_import VALUES (15665, '20/09/2020', '20', '9', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '74.06028266');
INSERT INTO public.ecdc_import VALUES (15666, '19/09/2020', '19', '9', '2020', '454', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '74.06028266');
INSERT INTO public.ecdc_import VALUES (15667, '18/09/2020', '18', '9', '2020', '822', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '69.2205293');
INSERT INTO public.ecdc_import VALUES (15668, '17/09/2020', '17', '9', '2020', '442', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '58.14593355');
INSERT INTO public.ecdc_import VALUES (15669, '16/09/2020', '16', '9', '2020', '329', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '52.44501412');
INSERT INTO public.ecdc_import VALUES (15670, '15/09/2020', '15', '9', '2020', '584', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '48.48365016');
INSERT INTO public.ecdc_import VALUES (15671, '14/09/2020', '14', '9', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '43.33387702');
INSERT INTO public.ecdc_import VALUES (15672, '13/09/2020', '13', '9', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '43.33387702');
INSERT INTO public.ecdc_import VALUES (15673, '12/09/2020', '12', '9', '2020', '292', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '43.33387702');
INSERT INTO public.ecdc_import VALUES (15674, '11/09/2020', '11', '9', '2020', '317', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '39.5619696');
INSERT INTO public.ecdc_import VALUES (15675, '10/09/2020', '10', '9', '2020', '251', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '35.65227561');
INSERT INTO public.ecdc_import VALUES (15676, '09/09/2020', '9', '9', '2020', '243', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '32.31095123');
INSERT INTO public.ecdc_import VALUES (15677, '08/09/2020', '8', '9', '2020', '566', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '29.55521978');
INSERT INTO public.ecdc_import VALUES (15678, '07/09/2020', '7', '9', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.4571166');
INSERT INTO public.ecdc_import VALUES (15679, '06/09/2020', '6', '9', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.4571166');
INSERT INTO public.ecdc_import VALUES (15680, '05/09/2020', '5', '9', '2020', '173', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.4571166');
INSERT INTO public.ecdc_import VALUES (15681, '04/09/2020', '4', '9', '2020', '179', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '22.7003378');
INSERT INTO public.ecdc_import VALUES (15682, '03/09/2020', '3', '9', '2020', '111', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.61526854');
INSERT INTO public.ecdc_import VALUES (15683, '02/09/2020', '2', '9', '2020', '99', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.16746218');
INSERT INTO public.ecdc_import VALUES (15684, '01/09/2020', '1', '9', '2020', '285', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.44303533');
INSERT INTO public.ecdc_import VALUES (15685, '31/08/2020', '31', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '18.65285724');
INSERT INTO public.ecdc_import VALUES (15686, '30/08/2020', '30', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '20.96078232');
INSERT INTO public.ecdc_import VALUES (15687, '29/08/2020', '29', '8', '2020', '73', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '22.75200777');
INSERT INTO public.ecdc_import VALUES (15688, '28/08/2020', '28', '8', '2020', '90', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.33655335');
INSERT INTO public.ecdc_import VALUES (15689, '27/08/2020', '27', '8', '2020', '57', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '25.26661271');
INSERT INTO public.ecdc_import VALUES (15690, '26/08/2020', '26', '8', '2020', '83', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '26.19667208');
INSERT INTO public.ecdc_import VALUES (15691, '25/08/2020', '25', '8', '2020', '270', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '27.24729469');
INSERT INTO public.ecdc_import VALUES (15692, '24/08/2020', '24', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '29.02129681');
INSERT INTO public.ecdc_import VALUES (15693, '23/08/2020', '23', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '29.02129681');
INSERT INTO public.ecdc_import VALUES (15694, '22/08/2020', '22', '8', '2020', '71', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '29.02129681');
INSERT INTO public.ecdc_import VALUES (15695, '21/08/2020', '21', '8', '2020', '116', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '30.14081271');
INSERT INTO public.ecdc_import VALUES (15696, '20/08/2020', '20', '8', '2020', '85', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '30.22692932');
INSERT INTO public.ecdc_import VALUES (15697, '19/08/2020', '19', '8', '2020', '115', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '30.691959');
INSERT INTO public.ecdc_import VALUES (15698, '18/08/2020', '18', '8', '2020', '123', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '30.03747278');
INSERT INTO public.ecdc_import VALUES (15699, '17/08/2020', '17', '8', '2020', '134', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '31.48423179');
INSERT INTO public.ecdc_import VALUES (15700, '16/08/2020', '16', '8', '2020', '104', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '29.1763067');
INSERT INTO public.ecdc_import VALUES (15701, '15/08/2020', '15', '8', '2020', '165', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '27.38508126');
INSERT INTO public.ecdc_import VALUES (15702, '14/08/2020', '14', '8', '2020', '144', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '25.64552579');
INSERT INTO public.ecdc_import VALUES (15703, '13/08/2020', '13', '8', '2020', '111', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.73268974');
INSERT INTO public.ecdc_import VALUES (15704, '12/08/2020', '12', '8', '2020', '144', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '23.80263038');
INSERT INTO public.ecdc_import VALUES (15705, '11/08/2020', '11', '8', '2020', '373', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.83917172');
INSERT INTO public.ecdc_import VALUES (15706, '10/08/2020', '10', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '17.29221483');
INSERT INTO public.ecdc_import VALUES (15707, '09/08/2020', '9', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '17.29221483');
INSERT INTO public.ecdc_import VALUES (15708, '08/08/2020', '8', '8', '2020', '136', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '17.29221483');
INSERT INTO public.ecdc_import VALUES (15709, '07/08/2020', '7', '8', '2020', '121', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '15.77656254');
INSERT INTO public.ecdc_import VALUES (15710, '06/08/2020', '6', '8', '2020', '112', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '14.38147349');
INSERT INTO public.ecdc_import VALUES (15711, '05/08/2020', '5', '8', '2020', '77', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '13.27918091');
INSERT INTO public.ecdc_import VALUES (15712, '04/08/2020', '4', '8', '2020', '207', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '12.64191802');
INSERT INTO public.ecdc_import VALUES (15713, '03/08/2020', '3', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.60956607');
INSERT INTO public.ecdc_import VALUES (15714, '02/08/2020', '2', '8', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.60956607');
INSERT INTO public.ecdc_import VALUES (15715, '01/08/2020', '1', '8', '2020', '64', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.60956607');
INSERT INTO public.ecdc_import VALUES (15716, '31/07/2020', '31', '7', '2020', '91', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.35121625');
INSERT INTO public.ecdc_import VALUES (15717, '30/07/2020', '30', '7', '2020', '57', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.33504028');
INSERT INTO public.ecdc_import VALUES (15718, '29/07/2020', '29', '7', '2020', '30', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.88723392');
INSERT INTO public.ecdc_import VALUES (15719, '28/07/2020', '28', '7', '2020', '109', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.78389399');
INSERT INTO public.ecdc_import VALUES (15720, '27/07/2020', '27', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.4738742');
INSERT INTO public.ecdc_import VALUES (15721, '26/07/2020', '26', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.4738742');
INSERT INTO public.ecdc_import VALUES (15722, '25/07/2020', '25', '7', '2020', '48', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.4738742');
INSERT INTO public.ecdc_import VALUES (15723, '24/07/2020', '24', '7', '2020', '40', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.16385441');
INSERT INTO public.ecdc_import VALUES (15724, '23/07/2020', '23', '7', '2020', '48', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '7.7504947');
INSERT INTO public.ecdc_import VALUES (15725, '22/07/2020', '22', '7', '2020', '40', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '7.13045512');
INSERT INTO public.ecdc_import VALUES (15726, '21/07/2020', '21', '7', '2020', '89', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '6.61375547');
INSERT INTO public.ecdc_import VALUES (15727, '20/07/2020', '20', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.87315265');
INSERT INTO public.ecdc_import VALUES (15728, '19/07/2020', '19', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.87315265');
INSERT INTO public.ecdc_import VALUES (15729, '18/07/2020', '18', '7', '2020', '49', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.87315265');
INSERT INTO public.ecdc_import VALUES (15730, '17/07/2020', '17', '7', '2020', '32', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.32200636');
INSERT INTO public.ecdc_import VALUES (15731, '16/07/2020', '16', '7', '2020', '31', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.13254982');
INSERT INTO public.ecdc_import VALUES (15732, '15/07/2020', '15', '7', '2020', '24', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.04643321');
INSERT INTO public.ecdc_import VALUES (15733, '14/07/2020', '14', '7', '2020', '91', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.92586996');
INSERT INTO public.ecdc_import VALUES (15734, '13/07/2020', '13', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.66752014');
INSERT INTO public.ecdc_import VALUES (15735, '12/07/2020', '12', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.66752014');
INSERT INTO public.ecdc_import VALUES (15736, '11/07/2020', '11', '7', '2020', '30', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.66752014');
INSERT INTO public.ecdc_import VALUES (15738, '09/07/2020', '9', '7', '2020', '12', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.90864664');
INSERT INTO public.ecdc_import VALUES (15739, '08/07/2020', '8', '7', '2020', '10', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '5.63202615');
INSERT INTO public.ecdc_import VALUES (15740, '07/07/2020', '7', '7', '2020', '46', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '6.04538586');
INSERT INTO public.ecdc_import VALUES (15741, '06/07/2020', '6', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '7.5954848');
INSERT INTO public.ecdc_import VALUES (15742, '05/07/2020', '5', '7', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '7.5954848');
INSERT INTO public.ecdc_import VALUES (15743, '04/07/2020', '4', '7', '2020', '17', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '7.5954848');
INSERT INTO public.ecdc_import VALUES (15744, '03/07/2020', '3', '7', '2020', '21', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.11218445');
INSERT INTO public.ecdc_import VALUES (15745, '02/07/2020', '2', '7', '2020', '26', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.61166077');
INSERT INTO public.ecdc_import VALUES (15746, '01/07/2020', '1', '7', '2020', '17', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.92168056');
INSERT INTO public.ecdc_import VALUES (15747, '30/06/2020', '30', '6', '2020', '76', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.19725371');
INSERT INTO public.ecdc_import VALUES (15748, '29/06/2020', '29', '6', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.30164099');
INSERT INTO public.ecdc_import VALUES (15749, '28/06/2020', '28', '6', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.23170035');
INSERT INTO public.ecdc_import VALUES (15750, '27/06/2020', '27', '6', '2020', '39', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.92063321');
INSERT INTO public.ecdc_import VALUES (15751, '26/06/2020', '26', '6', '2020', '21', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.35121625');
INSERT INTO public.ecdc_import VALUES (15752, '25/06/2020', '25', '6', '2020', '54', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.31676961');
INSERT INTO public.ecdc_import VALUES (15753, '24/06/2020', '24', '6', '2020', '34', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.64506007');
INSERT INTO public.ecdc_import VALUES (15754, '23/06/2020', '23', '6', '2020', '136', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.73117667');
INSERT INTO public.ecdc_import VALUES (15755, '22/06/2020', '22', '6', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '7.62993145');
INSERT INTO public.ecdc_import VALUES (15756, '21/06/2020', '21', '6', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.04329116');
INSERT INTO public.ecdc_import VALUES (15757, '20/06/2020', '20', '6', '2020', '47', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.88723392');
INSERT INTO public.ecdc_import VALUES (15758, '19/06/2020', '19', '6', '2020', '50', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.18003039');
INSERT INTO public.ecdc_import VALUES (15759, '18/06/2020', '18', '6', '2020', '44', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.00779717');
INSERT INTO public.ecdc_import VALUES (15760, '17/06/2020', '17', '6', '2020', '33', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.88723392');
INSERT INTO public.ecdc_import VALUES (15761, '16/06/2020', '16', '6', '2020', '24', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.92168056');
INSERT INTO public.ecdc_import VALUES (15762, '15/06/2020', '15', '6', '2020', '54', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.02502049');
INSERT INTO public.ecdc_import VALUES (15763, '14/06/2020', '14', '6', '2020', '40', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.7150007');
INSERT INTO public.ecdc_import VALUES (15764, '13/06/2020', '13', '6', '2020', '64', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.7150007');
INSERT INTO public.ecdc_import VALUES (15765, '12/06/2020', '12', '6', '2020', '19', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.00779717');
INSERT INTO public.ecdc_import VALUES (15766, '11/06/2020', '11', '6', '2020', '15', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.23170035');
INSERT INTO public.ecdc_import VALUES (15767, '10/06/2020', '10', '6', '2020', '39', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.86896325');
INSERT INTO public.ecdc_import VALUES (15768, '09/06/2020', '9', '6', '2020', '14', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '9.90340989');
INSERT INTO public.ecdc_import VALUES (15769, '08/06/2020', '8', '6', '2020', '24', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.12731307');
INSERT INTO public.ecdc_import VALUES (15770, '07/06/2020', '7', '6', '2020', '49', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.93680918');
INSERT INTO public.ecdc_import VALUES (15771, '06/06/2020', '6', '6', '2020', '64', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '11.1090424');
INSERT INTO public.ecdc_import VALUES (15772, '05/06/2020', '5', '6', '2020', '40', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '10.83346925');
INSERT INTO public.ecdc_import VALUES (15773, '04/06/2020', '4', '6', '2020', '37', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '11.26405229');
INSERT INTO public.ecdc_import VALUES (15774, '03/06/2020', '3', '6', '2020', '35', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '11.88409187');
INSERT INTO public.ecdc_import VALUES (15775, '02/06/2020', '2', '6', '2020', '30', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '12.59024805');
INSERT INTO public.ecdc_import VALUES (15776, '01/06/2020', '1', '6', '2020', '36', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '12.77970459');
INSERT INTO public.ecdc_import VALUES (15777, '31/05/2020', '31', '5', '2020', '40', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '13.3480742');
INSERT INTO public.ecdc_import VALUES (15778, '30/05/2020', '30', '5', '2020', '81', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '13.81310388');
INSERT INTO public.ecdc_import VALUES (15779, '29/05/2020', '29', '5', '2020', '32', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '13.76143392');
INSERT INTO public.ecdc_import VALUES (15780, '28/05/2020', '28', '5', '2020', '52', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '14.00256042');
INSERT INTO public.ecdc_import VALUES (15781, '27/05/2020', '27', '5', '2020', '41', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '14.41592014');
INSERT INTO public.ecdc_import VALUES (15782, '26/05/2020', '26', '5', '2020', '27', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '15.05318303');
INSERT INTO public.ecdc_import VALUES (15783, '25/05/2020', '25', '5', '2020', '71', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '16.03491236');
INSERT INTO public.ecdc_import VALUES (15784, '24/05/2020', '24', '5', '2020', '59', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '16.7066219');
INSERT INTO public.ecdc_import VALUES (15785, '23/05/2020', '23', '5', '2020', '48', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '17.43000141');
INSERT INTO public.ecdc_import VALUES (15786, '22/05/2020', '22', '5', '2020', '65', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '18.92843038');
INSERT INTO public.ecdc_import VALUES (15787, '21/05/2020', '21', '5', '2020', '73', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '19.53124664');
INSERT INTO public.ecdc_import VALUES (15788, '20/05/2020', '20', '5', '2020', '76', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.06412225');
INSERT INTO public.ecdc_import VALUES (15789, '19/05/2020', '19', '5', '2020', '41', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '22.35587137');
INSERT INTO public.ecdc_import VALUES (15790, '18/05/2020', '18', '5', '2020', '69', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.18154345');
INSERT INTO public.ecdc_import VALUES (15791, '17/05/2020', '17', '5', '2020', '67', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '24.99103957');
INSERT INTO public.ecdc_import VALUES (15792, '16/05/2020', '16', '5', '2020', '78', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '25.49051589');
INSERT INTO public.ecdc_import VALUES (15793, '15/05/2020', '15', '5', '2020', '46', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '26.78226501');
INSERT INTO public.ecdc_import VALUES (15794, '14/05/2020', '14', '5', '2020', '76', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '28.57349045');
INSERT INTO public.ecdc_import VALUES (15795, '13/05/2020', '13', '5', '2020', '78', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '29.96857949');
INSERT INTO public.ecdc_import VALUES (15796, '12/05/2020', '12', '5', '2020', '84', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '31.26032861');
INSERT INTO public.ecdc_import VALUES (15797, '11/05/2020', '11', '5', '2020', '110', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '31.93203815');
INSERT INTO public.ecdc_import VALUES (15798, '10/05/2020', '10', '5', '2020', '101', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '32.27650458');
INSERT INTO public.ecdc_import VALUES (15799, '09/05/2020', '9', '5', '2020', '135', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '34.58442967');
INSERT INTO public.ecdc_import VALUES (15800, '08/05/2020', '8', '5', '2020', '100', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '34.61887631');
INSERT INTO public.ecdc_import VALUES (15801, '07/05/2020', '7', '5', '2020', '162', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '35.66949893');
INSERT INTO public.ecdc_import VALUES (15802, '06/05/2020', '6', '5', '2020', '151', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '36.61678161');
INSERT INTO public.ecdc_import VALUES (15803, '05/05/2020', '5', '5', '2020', '147', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '37.11625794');
INSERT INTO public.ecdc_import VALUES (15804, '04/05/2020', '4', '5', '2020', '116', '8', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '36.84068479');
INSERT INTO public.ecdc_import VALUES (15805, '03/05/2020', '3', '5', '2020', '96', '11', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '37.28849115');
INSERT INTO public.ecdc_import VALUES (15806, '02/05/2020', '2', '5', '2020', '153', '10', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '38.54579363');
INSERT INTO public.ecdc_import VALUES (15807, '01/05/2020', '1', '5', '2020', '150', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '39.25194981');
INSERT INTO public.ecdc_import VALUES (15808, '30/04/2020', '30', '4', '2020', '157', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '40.07866924');
INSERT INTO public.ecdc_import VALUES (15809, '29/04/2020', '29', '4', '2020', '153', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '40.30257242');
INSERT INTO public.ecdc_import VALUES (15810, '28/04/2020', '28', '4', '2020', '123', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '40.99150529');
INSERT INTO public.ecdc_import VALUES (15811, '27/04/2020', '27', '4', '2020', '130', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '41.35319504');
INSERT INTO public.ecdc_import VALUES (15812, '26/04/2020', '26', '4', '2020', '235', '15', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '42.17991447');
INSERT INTO public.ecdc_import VALUES (15813, '25/04/2020', '25', '4', '2020', '137', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '41.18096182');
INSERT INTO public.ecdc_import VALUES (15814, '24/04/2020', '24', '4', '2020', '161', '10', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '41.99045794');
INSERT INTO public.ecdc_import VALUES (15815, '23/04/2020', '23', '4', '2020', '217', '14', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '43.23053709');
INSERT INTO public.ecdc_import VALUES (15816, '22/04/2020', '22', '4', '2020', '180', '6', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '45.19399574');
INSERT INTO public.ecdc_import VALUES (15817, '21/04/2020', '21', '4', '2020', '131', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '48.81089327');
INSERT INTO public.ecdc_import VALUES (15818, '20/04/2020', '20', '4', '2020', '142', '9', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '51.92831447');
INSERT INTO public.ecdc_import VALUES (15819, '19/04/2020', '19', '4', '2020', '169', '10', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '54.5118127');
INSERT INTO public.ecdc_import VALUES (15820, '18/04/2020', '18', '4', '2020', '194', '15', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '57.11253426');
INSERT INTO public.ecdc_import VALUES (15821, '17/04/2020', '17', '4', '2020', '198', '12', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '60.16106217');
INSERT INTO public.ecdc_import VALUES (15822, '16/04/2020', '16', '4', '2020', '170', '10', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '61.55615121');
INSERT INTO public.ecdc_import VALUES (15823, '15/04/2020', '15', '4', '2020', '193', '14', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '62.88234697');
INSERT INTO public.ecdc_import VALUES (15824, '14/04/2020', '14', '4', '2020', '144', '12', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '64.43244591');
INSERT INTO public.ecdc_import VALUES (15825, '13/04/2020', '13', '4', '2020', '178', '13', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '65.08693213');
INSERT INTO public.ecdc_import VALUES (15826, '12/04/2020', '12', '4', '2020', '177', '13', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '65.36250528');
INSERT INTO public.ecdc_import VALUES (15827, '11/04/2020', '11', '4', '2020', '184', '10', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '64.9835922');
INSERT INTO public.ecdc_import VALUES (15828, '10/04/2020', '10', '4', '2020', '233', '19', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '64.72524238');
INSERT INTO public.ecdc_import VALUES (15829, '09/04/2020', '9', '4', '2020', '331', '15', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '63.34737666');
INSERT INTO public.ecdc_import VALUES (15830, '08/04/2020', '8', '4', '2020', '390', '16', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '59.93715899');
INSERT INTO public.ecdc_import VALUES (15831, '07/04/2020', '7', '4', '2020', '312', '8', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '55.47631871');
INSERT INTO public.ecdc_import VALUES (15832, '06/04/2020', '6', '4', '2020', '292', '18', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '51.22215829');
INSERT INTO public.ecdc_import VALUES (15833, '05/04/2020', '5', '4', '2020', '320', '22', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '47.38135758');
INSERT INTO public.ecdc_import VALUES (15834, '04/04/2020', '4', '4', '2020', '371', '16', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '43.09275051');
INSERT INTO public.ecdc_import VALUES (15835, '03/04/2020', '3', '4', '2020', '279', '19', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '38.49412366');
INSERT INTO public.ecdc_import VALUES (15836, '02/04/2020', '2', '4', '2020', '247', '14', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '34.30885652');
INSERT INTO public.ecdc_import VALUES (15837, '01/04/2020', '1', '4', '2020', '283', '13', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '31.62201836');
INSERT INTO public.ecdc_import VALUES (15838, '31/03/2020', '31', '3', '2020', '182', '5', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '28.33236395');
INSERT INTO public.ecdc_import VALUES (15839, '30/03/2020', '30', '3', '2020', '194', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '26.17944875');
INSERT INTO public.ecdc_import VALUES (15840, '29/03/2020', '29', '3', '2020', '155', '13', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '23.66484381');
INSERT INTO public.ecdc_import VALUES (15841, '28/03/2020', '28', '3', '2020', '169', '11', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.39136536');
INSERT INTO public.ecdc_import VALUES (15842, '27/03/2020', '27', '3', '2020', '153', '7', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '20.68520918');
INSERT INTO public.ecdc_import VALUES (15843, '26/03/2020', '26', '3', '2020', '133', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '20.80577243');
INSERT INTO public.ecdc_import VALUES (15844, '25/03/2020', '25', '3', '2020', '131', '8', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '22.85534769');
INSERT INTO public.ecdc_import VALUES (15845, '24/03/2020', '24', '3', '2020', '65', '11', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '23.19981413');
INSERT INTO public.ecdc_import VALUES (15846, '23/03/2020', '23', '3', '2020', '69', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '23.37204734');
INSERT INTO public.ecdc_import VALUES (15847, '22/03/2020', '22', '3', '2020', '71', '4', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '22.30420141');
INSERT INTO public.ecdc_import VALUES (15848, '21/03/2020', '21', '3', '2020', '104', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '21.21913215');
INSERT INTO public.ecdc_import VALUES (15849, '20/03/2020', '20', '3', '2020', '36', '2', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '19.47957667');
INSERT INTO public.ecdc_import VALUES (15850, '19/03/2020', '19', '3', '2020', '91', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '19.03177031');
INSERT INTO public.ecdc_import VALUES (15851, '18/03/2020', '18', '3', '2020', '92', '3', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '17.49889469');
INSERT INTO public.ecdc_import VALUES (15852, '17/03/2020', '17', '3', '2020', '57', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '15.96601908');
INSERT INTO public.ecdc_import VALUES (15853, '16/03/2020', '16', '3', '2020', '48', '1', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '15.00151307');
INSERT INTO public.ecdc_import VALUES (15854, '15/03/2020', '15', '3', '2020', '23', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '14.19201696');
INSERT INTO public.ecdc_import VALUES (15855, '14/03/2020', '14', '3', '2020', '128', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '13.81310388');
INSERT INTO public.ecdc_import VALUES (15856, '13/03/2020', '13', '3', '2020', '160', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '11.62574205');
INSERT INTO public.ecdc_import VALUES (15857, '12/03/2020', '12', '3', '2020', '252', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '8.8700106');
INSERT INTO public.ecdc_import VALUES (15858, '11/03/2020', '11', '3', '2020', '151', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '4.54695689');
INSERT INTO public.ecdc_import VALUES (15859, '10/03/2020', '10', '3', '2020', '75', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '1.94623533');
INSERT INTO public.ecdc_import VALUES (15860, '09/03/2020', '9', '3', '2020', '7', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.65448622');
INSERT INTO public.ecdc_import VALUES (15861, '08/03/2020', '8', '3', '2020', '8', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.53392297');
INSERT INTO public.ecdc_import VALUES (15862, '07/03/2020', '7', '3', '2020', '3', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.3961364');
INSERT INTO public.ecdc_import VALUES (15863, '06/03/2020', '6', '3', '2020', '10', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.34446643');
INSERT INTO public.ecdc_import VALUES (15864, '05/03/2020', '5', '3', '2020', '2', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.17223322');
INSERT INTO public.ecdc_import VALUES (15865, '04/03/2020', '4', '3', '2020', '3', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.13778657');
INSERT INTO public.ecdc_import VALUES (15866, '03/03/2020', '3', '3', '2020', '1', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.08611661');
INSERT INTO public.ecdc_import VALUES (15867, '02/03/2020', '2', '3', '2020', '1', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.06889329');
INSERT INTO public.ecdc_import VALUES (15868, '01/03/2020', '1', '3', '2020', '1', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.05166996');
INSERT INTO public.ecdc_import VALUES (15869, '29/02/2020', '29', '2', '2020', '1', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.03444664');
INSERT INTO public.ecdc_import VALUES (15870, '28/02/2020', '28', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.01722332');
INSERT INTO public.ecdc_import VALUES (15871, '27/02/2020', '27', '2', '2020', '1', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0.01722332');
INSERT INTO public.ecdc_import VALUES (15872, '26/02/2020', '26', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15873, '25/02/2020', '25', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15874, '24/02/2020', '24', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15875, '23/02/2020', '23', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15876, '22/02/2020', '22', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15877, '21/02/2020', '21', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15878, '20/02/2020', '20', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15879, '19/02/2020', '19', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15880, '18/02/2020', '18', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15881, '17/02/2020', '17', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15882, '16/02/2020', '16', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15883, '15/02/2020', '15', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15884, '14/02/2020', '14', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15885, '13/02/2020', '13', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15886, '12/02/2020', '12', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15887, '11/02/2020', '11', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15888, '10/02/2020', '10', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15889, '09/02/2020', '9', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15890, '08/02/2020', '8', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15891, '07/02/2020', '7', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15892, '06/02/2020', '6', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15893, '05/02/2020', '5', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15894, '04/02/2020', '4', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15895, '03/02/2020', '3', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15896, '02/02/2020', '2', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15897, '01/02/2020', '1', '2', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15898, '31/01/2020', '31', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15899, '30/01/2020', '30', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15900, '29/01/2020', '29', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15901, '28/01/2020', '28', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15902, '27/01/2020', '27', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15903, '26/01/2020', '26', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15904, '25/01/2020', '25', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15905, '24/01/2020', '24', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15906, '23/01/2020', '23', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15907, '22/01/2020', '22', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15908, '21/01/2020', '21', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15909, '20/01/2020', '20', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15910, '19/01/2020', '19', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15911, '18/01/2020', '18', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15912, '17/01/2020', '17', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15913, '16/01/2020', '16', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15914, '15/01/2020', '15', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15915, '14/01/2020', '14', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15916, '13/01/2020', '13', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (15917, '12/01/2020', '12', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15918, '11/01/2020', '11', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15919, '10/01/2020', '10', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15920, '09/01/2020', '9', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15921, '08/01/2020', '8', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15922, '07/01/2020', '7', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15923, '06/01/2020', '6', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15924, '05/01/2020', '5', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15925, '04/01/2020', '4', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15926, '03/01/2020', '3', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15927, '02/01/2020', '2', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15928, '01/01/2020', '1', '1', '2020', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15929, '31/12/2019', '31', '12', '2019', '0', '0', '5806081', 'Denmark', 'DK', 'DNK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (15930, '14/12/2020', '14', '12', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '5.23852224');
INSERT INTO public.ecdc_import VALUES (15931, '13/12/2020', '13', '12', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '5.03309');
INSERT INTO public.ecdc_import VALUES (15932, '12/12/2020', '12', '12', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.62222551');
INSERT INTO public.ecdc_import VALUES (15933, '11/12/2020', '11', '12', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.21136102');
INSERT INTO public.ecdc_import VALUES (15934, '10/12/2020', '10', '12', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.82765775');
INSERT INTO public.ecdc_import VALUES (15935, '09/12/2020', '9', '12', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.62222551');
INSERT INTO public.ecdc_import VALUES (15936, '08/12/2020', '8', '12', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.1086449');
INSERT INTO public.ecdc_import VALUES (15937, '07/12/2020', '7', '12', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.38963204');
INSERT INTO public.ecdc_import VALUES (15938, '06/12/2020', '6', '12', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.1841998');
INSERT INTO public.ecdc_import VALUES (15939, '05/12/2020', '5', '12', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.08148367');
INSERT INTO public.ecdc_import VALUES (15940, '04/12/2020', '4', '12', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.1841998');
INSERT INTO public.ecdc_import VALUES (15941, '03/12/2020', '3', '12', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.46518694');
INSERT INTO public.ecdc_import VALUES (15942, '02/12/2020', '2', '12', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.46518694');
INSERT INTO public.ecdc_import VALUES (15943, '01/12/2020', '1', '12', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.46518694');
INSERT INTO public.ecdc_import VALUES (15944, '30/11/2020', '30', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.87605143');
INSERT INTO public.ecdc_import VALUES (15945, '29/11/2020', '29', '11', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.1841998');
INSERT INTO public.ecdc_import VALUES (15946, '28/11/2020', '28', '11', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.28691592');
INSERT INTO public.ecdc_import VALUES (15947, '27/11/2020', '27', '11', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.59506428');
INSERT INTO public.ecdc_import VALUES (15948, '26/11/2020', '26', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.59506428');
INSERT INTO public.ecdc_import VALUES (15949, '25/11/2020', '25', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.69778041');
INSERT INTO public.ecdc_import VALUES (15950, '24/11/2020', '24', '11', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.21136102');
INSERT INTO public.ecdc_import VALUES (15951, '23/11/2020', '23', '11', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '6.16296735');
INSERT INTO public.ecdc_import VALUES (15952, '22/11/2020', '22', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '5.75210286');
INSERT INTO public.ecdc_import VALUES (15953, '21/11/2020', '21', '11', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '5.75210286');
INSERT INTO public.ecdc_import VALUES (15954, '20/11/2020', '20', '11', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '6.06025122');
INSERT INTO public.ecdc_import VALUES (15955, '19/11/2020', '19', '11', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.01185755');
INSERT INTO public.ecdc_import VALUES (15956, '18/11/2020', '18', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.32000592');
INSERT INTO public.ecdc_import VALUES (15957, '17/11/2020', '17', '11', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.42272204');
INSERT INTO public.ecdc_import VALUES (15958, '16/11/2020', '16', '11', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.83358653');
INSERT INTO public.ecdc_import VALUES (15959, '15/11/2020', '15', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.62815428');
INSERT INTO public.ecdc_import VALUES (15960, '14/11/2020', '14', '11', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.73087041');
INSERT INTO public.ecdc_import VALUES (15961, '13/11/2020', '13', '11', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.52543816');
INSERT INTO public.ecdc_import VALUES (15962, '12/11/2020', '12', '11', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.21728979');
INSERT INTO public.ecdc_import VALUES (15963, '11/11/2020', '11', '11', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '9.1417349');
INSERT INTO public.ecdc_import VALUES (15964, '10/11/2020', '10', '11', '2020', '19', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.83358653');
INSERT INTO public.ecdc_import VALUES (15965, '09/11/2020', '9', '11', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.39556081');
INSERT INTO public.ecdc_import VALUES (15966, '08/11/2020', '8', '11', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.70370918');
INSERT INTO public.ecdc_import VALUES (15967, '07/11/2020', '7', '11', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.8064253');
INSERT INTO public.ecdc_import VALUES (15968, '06/11/2020', '6', '11', '2020', '19', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.90914143');
INSERT INTO public.ecdc_import VALUES (15969, '05/11/2020', '5', '11', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '6.98469632');
INSERT INTO public.ecdc_import VALUES (15970, '04/11/2020', '4', '11', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.8064253');
INSERT INTO public.ecdc_import VALUES (15971, '03/11/2020', '3', '11', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '10.68247673');
INSERT INTO public.ecdc_import VALUES (15972, '02/11/2020', '2', '11', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '10.68247673');
INSERT INTO public.ecdc_import VALUES (15973, '01/11/2020', '1', '11', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.19605734');
INSERT INTO public.ecdc_import VALUES (15974, '31/10/2020', '31', '10', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.29877347');
INSERT INTO public.ecdc_import VALUES (15975, '30/10/2020', '30', '10', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.81235408');
INSERT INTO public.ecdc_import VALUES (15976, '29/10/2020', '29', '10', '2020', '11', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.81235408');
INSERT INTO public.ecdc_import VALUES (15977, '28/10/2020', '28', '10', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.9150702');
INSERT INTO public.ecdc_import VALUES (15978, '27/10/2020', '27', '10', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.81235408');
INSERT INTO public.ecdc_import VALUES (15979, '26/10/2020', '26', '10', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '11.60692183');
INSERT INTO public.ecdc_import VALUES (15980, '25/10/2020', '25', '10', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '10.9906251');
INSERT INTO public.ecdc_import VALUES (15981, '24/10/2020', '24', '10', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '10.78519285');
INSERT INTO public.ecdc_import VALUES (15982, '23/10/2020', '23', '10', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '10.16889612');
INSERT INTO public.ecdc_import VALUES (15983, '22/10/2020', '22', '10', '2020', '13', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '9.1417349');
INSERT INTO public.ecdc_import VALUES (15984, '21/10/2020', '21', '10', '2020', '30', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.8064253');
INSERT INTO public.ecdc_import VALUES (15985, '20/10/2020', '20', '10', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.93037388');
INSERT INTO public.ecdc_import VALUES (15986, '19/10/2020', '19', '10', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.1086449');
INSERT INTO public.ecdc_import VALUES (15987, '18/10/2020', '18', '10', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.49234816');
INSERT INTO public.ecdc_import VALUES (15988, '17/10/2020', '17', '10', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.28691592');
INSERT INTO public.ecdc_import VALUES (15989, '16/10/2020', '16', '10', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.67061918');
INSERT INTO public.ecdc_import VALUES (15990, '15/10/2020', '15', '10', '2020', '12', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.46518694');
INSERT INTO public.ecdc_import VALUES (15991, '14/10/2020', '14', '10', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.23259347');
INSERT INTO public.ecdc_import VALUES (15992, '13/10/2020', '13', '10', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (15993, '12/10/2020', '12', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (15994, '11/10/2020', '11', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (15995, '10/10/2020', '10', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (15996, '09/10/2020', '9', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (15997, '08/10/2020', '8', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (15998, '07/10/2020', '7', '10', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (15999, '06/10/2020', '6', '10', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.74617408');
INSERT INTO public.ecdc_import VALUES (16000, '05/10/2020', '5', '10', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16001, '04/10/2020', '4', '10', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.54074184');
INSERT INTO public.ecdc_import VALUES (16002, '03/10/2020', '3', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (16003, '02/10/2020', '2', '10', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16004, '01/10/2020', '1', '10', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.74617408');
INSERT INTO public.ecdc_import VALUES (16005, '30/09/2020', '30', '9', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.05432245');
INSERT INTO public.ecdc_import VALUES (16006, '29/09/2020', '29', '9', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (16007, '28/09/2020', '28', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (16008, '27/09/2020', '27', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.54074184');
INSERT INTO public.ecdc_import VALUES (16009, '26/09/2020', '26', '9', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.54074184');
INSERT INTO public.ecdc_import VALUES (16010, '25/09/2020', '25', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.33530959');
INSERT INTO public.ecdc_import VALUES (16011, '24/09/2020', '24', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16012, '23/09/2020', '23', '9', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.95160633');
INSERT INTO public.ecdc_import VALUES (16013, '22/09/2020', '22', '9', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16014, '21/09/2020', '21', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.54074184');
INSERT INTO public.ecdc_import VALUES (16015, '20/09/2020', '20', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16016, '19/09/2020', '19', '9', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16017, '18/09/2020', '18', '9', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.43802571');
INSERT INTO public.ecdc_import VALUES (16018, '17/09/2020', '17', '9', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.23259347');
INSERT INTO public.ecdc_import VALUES (16019, '16/09/2020', '16', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.9244451');
INSERT INTO public.ecdc_import VALUES (16020, '15/09/2020', '15', '9', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.9244451');
INSERT INTO public.ecdc_import VALUES (16021, '14/09/2020', '14', '9', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.02716122');
INSERT INTO public.ecdc_import VALUES (16022, '13/09/2020', '13', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.9244451');
INSERT INTO public.ecdc_import VALUES (16023, '12/09/2020', '12', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.12987735');
INSERT INTO public.ecdc_import VALUES (16024, '11/09/2020', '11', '9', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.12987735');
INSERT INTO public.ecdc_import VALUES (16025, '10/09/2020', '10', '9', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.82172898');
INSERT INTO public.ecdc_import VALUES (16026, '09/09/2020', '9', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.51358061');
INSERT INTO public.ecdc_import VALUES (16027, '08/09/2020', '8', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.51358061');
INSERT INTO public.ecdc_import VALUES (16028, '07/09/2020', '7', '9', '2020', '1', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.61629673');
INSERT INTO public.ecdc_import VALUES (16029, '06/09/2020', '6', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.51358061');
INSERT INTO public.ecdc_import VALUES (16030, '05/09/2020', '5', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '0.51358061');
INSERT INTO public.ecdc_import VALUES (16031, '04/09/2020', '4', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.33530959');
INSERT INTO public.ecdc_import VALUES (16032, '03/09/2020', '3', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.33530959');
INSERT INTO public.ecdc_import VALUES (16033, '02/09/2020', '2', '9', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.33530959');
INSERT INTO public.ecdc_import VALUES (16034, '01/09/2020', '1', '9', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.54074184');
INSERT INTO public.ecdc_import VALUES (16035, '31/08/2020', '31', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16036, '30/08/2020', '30', '8', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.8488902');
INSERT INTO public.ecdc_import VALUES (16037, '29/08/2020', '29', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '1.64345796');
INSERT INTO public.ecdc_import VALUES (16038, '28/08/2020', '28', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.56790306');
INSERT INTO public.ecdc_import VALUES (16039, '27/08/2020', '27', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '2.56790306');
INSERT INTO public.ecdc_import VALUES (16040, '26/08/2020', '26', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.59506428');
INSERT INTO public.ecdc_import VALUES (16041, '25/08/2020', '25', '8', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.69778041');
INSERT INTO public.ecdc_import VALUES (16042, '24/08/2020', '24', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.90321265');
INSERT INTO public.ecdc_import VALUES (16043, '23/08/2020', '23', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.51950939');
INSERT INTO public.ecdc_import VALUES (16044, '22/08/2020', '22', '8', '2020', '8', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.51950939');
INSERT INTO public.ecdc_import VALUES (16045, '21/08/2020', '21', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.1086449');
INSERT INTO public.ecdc_import VALUES (16046, '20/08/2020', '20', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.51950939');
INSERT INTO public.ecdc_import VALUES (16047, '19/08/2020', '19', '8', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '12.94223143');
INSERT INTO public.ecdc_import VALUES (16048, '18/08/2020', '18', '8', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '13.55852816');
INSERT INTO public.ecdc_import VALUES (16049, '17/08/2020', '17', '8', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '21.36495346');
INSERT INTO public.ecdc_import VALUES (16050, '16/08/2020', '16', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '29.37681101');
INSERT INTO public.ecdc_import VALUES (16051, '15/08/2020', '15', '8', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '29.37681101');
INSERT INTO public.ecdc_import VALUES (16052, '14/08/2020', '14', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '28.45236591');
INSERT INTO public.ecdc_import VALUES (16053, '13/08/2020', '13', '8', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '28.45236591');
INSERT INTO public.ecdc_import VALUES (16054, '12/08/2020', '12', '8', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '28.76051428');
INSERT INTO public.ecdc_import VALUES (16055, '11/08/2020', '11', '8', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '29.58224326');
INSERT INTO public.ecdc_import VALUES (16056, '10/08/2020', '10', '8', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '30.19853999');
INSERT INTO public.ecdc_import VALUES (16057, '09/08/2020', '9', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '30.71212061');
INSERT INTO public.ecdc_import VALUES (16058, '08/08/2020', '8', '8', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '30.71212061');
INSERT INTO public.ecdc_import VALUES (16059, '07/08/2020', '7', '8', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '31.12298509');
INSERT INTO public.ecdc_import VALUES (16060, '06/08/2020', '6', '8', '2020', '82', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '30.81483673');
INSERT INTO public.ecdc_import VALUES (16061, '05/08/2020', '5', '8', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '22.70026306');
INSERT INTO public.ecdc_import VALUES (16062, '04/08/2020', '4', '8', '2020', '79', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '22.59754693');
INSERT INTO public.ecdc_import VALUES (16063, '03/08/2020', '3', '8', '2020', '80', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '15.40741836');
INSERT INTO public.ecdc_import VALUES (16064, '02/08/2020', '2', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.01185755');
INSERT INTO public.ecdc_import VALUES (16065, '01/08/2020', '1', '8', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.01185755');
INSERT INTO public.ecdc_import VALUES (16066, '31/07/2020', '31', '7', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '9.03901877');
INSERT INTO public.ecdc_import VALUES (16067, '30/07/2020', '30', '7', '2020', '13', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '9.86074775');
INSERT INTO public.ecdc_import VALUES (16068, '29/07/2020', '29', '7', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '9.1417349');
INSERT INTO public.ecdc_import VALUES (16069, '28/07/2020', '28', '7', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.42272204');
INSERT INTO public.ecdc_import VALUES (16070, '27/07/2020', '27', '7', '2020', '11', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.01185755');
INSERT INTO public.ecdc_import VALUES (16071, '26/07/2020', '26', '7', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.62815428');
INSERT INTO public.ecdc_import VALUES (16072, '25/07/2020', '25', '7', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.62815428');
INSERT INTO public.ecdc_import VALUES (16073, '24/07/2020', '24', '7', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '7.8064253');
INSERT INTO public.ecdc_import VALUES (16074, '23/07/2020', '23', '7', '2020', '3', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '14.48297326');
INSERT INTO public.ecdc_import VALUES (16075, '22/07/2020', '22', '7', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '15.30470224');
INSERT INTO public.ecdc_import VALUES (16076, '21/07/2020', '21', '7', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '20.33779224');
INSERT INTO public.ecdc_import VALUES (16077, '20/07/2020', '20', '7', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '22.49483081');
INSERT INTO public.ecdc_import VALUES (16078, '19/07/2020', '19', '7', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '27.42520469');
INSERT INTO public.ecdc_import VALUES (16079, '18/07/2020', '18', '7', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '27.42520469');
INSERT INTO public.ecdc_import VALUES (16080, '17/07/2020', '17', '7', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '28.55508203');
INSERT INTO public.ecdc_import VALUES (16081, '16/07/2020', '16', '7', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '28.8632304');
INSERT INTO public.ecdc_import VALUES (16082, '15/07/2020', '15', '7', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '30.50668836');
INSERT INTO public.ecdc_import VALUES (16083, '14/07/2020', '14', '7', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '32.9718753');
INSERT INTO public.ecdc_import VALUES (16084, '13/07/2020', '13', '7', '2020', '17', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '33.79360428');
INSERT INTO public.ecdc_import VALUES (16085, '12/07/2020', '12', '7', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '32.0474302');
INSERT INTO public.ecdc_import VALUES (16086, '11/07/2020', '11', '7', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '32.0474302');
INSERT INTO public.ecdc_import VALUES (16087, '10/07/2020', '10', '7', '2020', '66', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '32.86915918');
INSERT INTO public.ecdc_import VALUES (16088, '09/07/2020', '9', '7', '2020', '11', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '26.60347571');
INSERT INTO public.ecdc_import VALUES (16089, '08/07/2020', '8', '7', '2020', '56', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '26.80890795');
INSERT INTO public.ecdc_import VALUES (16090, '07/07/2020', '7', '7', '2020', '30', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '22.9056953');
INSERT INTO public.ecdc_import VALUES (16091, '06/07/2020', '6', '7', '2020', '56', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '21.57038571');
INSERT INTO public.ecdc_import VALUES (16092, '05/07/2020', '5', '7', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '17.56445693');
INSERT INTO public.ecdc_import VALUES (16093, '04/07/2020', '4', '7', '2020', '21', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '17.56445693');
INSERT INTO public.ecdc_import VALUES (16094, '03/07/2020', '3', '7', '2020', '11', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '16.22914734');
INSERT INTO public.ecdc_import VALUES (16095, '02/07/2020', '2', '7', '2020', '22', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '16.33186347');
INSERT INTO public.ecdc_import VALUES (16096, '01/07/2020', '1', '7', '2020', '26', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '14.68840551');
INSERT INTO public.ecdc_import VALUES (16097, '30/06/2020', '30', '6', '2020', '13', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '15.92099898');
INSERT INTO public.ecdc_import VALUES (16098, '29/06/2020', '29', '6', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '18.28346979');
INSERT INTO public.ecdc_import VALUES (16099, '28/06/2020', '28', '6', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '19.92692775');
INSERT INTO public.ecdc_import VALUES (16100, '27/06/2020', '27', '6', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '20.74865673');
INSERT INTO public.ecdc_import VALUES (16101, '26/06/2020', '26', '6', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '24.34372101');
INSERT INTO public.ecdc_import VALUES (16102, '25/06/2020', '25', '6', '2020', '13', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '26.39804346');
INSERT INTO public.ecdc_import VALUES (16103, '24/06/2020', '24', '6', '2020', '18', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '29.37681101');
INSERT INTO public.ecdc_import VALUES (16104, '23/06/2020', '23', '6', '2020', '17', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '32.9718753');
INSERT INTO public.ecdc_import VALUES (16105, '22/06/2020', '22', '6', '2020', '17', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '38.51854591');
INSERT INTO public.ecdc_import VALUES (16106, '21/06/2020', '21', '6', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '40.67558448');
INSERT INTO public.ecdc_import VALUES (16107, '20/06/2020', '20', '6', '2020', '8', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '45.40052611');
INSERT INTO public.ecdc_import VALUES (16108, '19/06/2020', '19', '6', '2020', '12', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '51.66620958');
INSERT INTO public.ecdc_import VALUES (16109, '18/06/2020', '18', '6', '2020', '6', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '62.65683468');
INSERT INTO public.ecdc_import VALUES (16110, '17/06/2020', '17', '6', '2020', '38', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '78.06425304');
INSERT INTO public.ecdc_import VALUES (16111, '16/06/2020', '16', '6', '2020', '36', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '95.7314261');
INSERT INTO public.ecdc_import VALUES (16112, '15/06/2020', '15', '6', '2020', '16', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '114.11761201');
INSERT INTO public.ecdc_import VALUES (16113, '14/06/2020', '14', '6', '2020', '8', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '128.90873364');
INSERT INTO public.ecdc_import VALUES (16114, '13/06/2020', '13', '6', '2020', '43', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '156.84751894');
INSERT INTO public.ecdc_import VALUES (16115, '12/06/2020', '12', '6', '2020', '25', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '152.43072568');
INSERT INTO public.ecdc_import VALUES (16116, '11/06/2020', '11', '6', '2020', '42', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '172.15222118');
INSERT INTO public.ecdc_import VALUES (16117, '10/06/2020', '10', '6', '2020', '53', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '191.36013608');
INSERT INTO public.ecdc_import VALUES (16118, '09/06/2020', '9', '6', '2020', '71', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '185.91618159');
INSERT INTO public.ecdc_import VALUES (16119, '08/06/2020', '8', '6', '2020', '38', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '198.96112914');
INSERT INTO public.ecdc_import VALUES (16120, '07/06/2020', '7', '6', '2020', '46', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '195.05791649');
INSERT INTO public.ecdc_import VALUES (16121, '06/06/2020', '6', '6', '2020', '69', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '190.33297485');
INSERT INTO public.ecdc_import VALUES (16122, '05/06/2020', '5', '6', '2020', '119', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '206.15125771');
INSERT INTO public.ecdc_import VALUES (16123, '04/06/2020', '4', '6', '2020', '156', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '216.42286995');
INSERT INTO public.ecdc_import VALUES (16124, '03/06/2020', '3', '6', '2020', '210', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '232.2411528');
INSERT INTO public.ecdc_import VALUES (16125, '02/06/2020', '2', '6', '2020', '215', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '210.67076709');
INSERT INTO public.ecdc_import VALUES (16126, '01/06/2020', '1', '6', '2020', '160', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '200.6045871');
INSERT INTO public.ecdc_import VALUES (16127, '31/05/2020', '31', '5', '2020', '280', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '191.36013608');
INSERT INTO public.ecdc_import VALUES (16128, '30/05/2020', '30', '5', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '164.85937649');
INSERT INTO public.ecdc_import VALUES (16129, '29/05/2020', '29', '5', '2020', '217', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '167.42727955');
INSERT INTO public.ecdc_import VALUES (16130, '28/05/2020', '28', '5', '2020', '229', '4', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '146.78133895');
INSERT INTO public.ecdc_import VALUES (16131, '27/05/2020', '27', '5', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '124.49194038');
INSERT INTO public.ecdc_import VALUES (16132, '26/05/2020', '26', '5', '2020', '198', '4', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '127.47070793');
INSERT INTO public.ecdc_import VALUES (16133, '25/05/2020', '25', '5', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '108.87908977');
INSERT INTO public.ecdc_import VALUES (16134, '24/05/2020', '24', '5', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '111.03612834');
INSERT INTO public.ecdc_import VALUES (16135, '23/05/2020', '23', '5', '2020', '223', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '116.58279895');
INSERT INTO public.ecdc_import VALUES (16136, '22/05/2020', '22', '5', '2020', '219', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '93.8825359');
INSERT INTO public.ecdc_import VALUES (16137, '21/05/2020', '21', '5', '2020', '310', '2', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '72.72301468');
INSERT INTO public.ecdc_import VALUES (16138, '20/05/2020', '20', '5', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '40.88101673');
INSERT INTO public.ecdc_import VALUES (16139, '19/05/2020', '19', '5', '2020', '117', '3', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '41.29188121');
INSERT INTO public.ecdc_import VALUES (16140, '18/05/2020', '18', '5', '2020', '70', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '29.68495938');
INSERT INTO public.ecdc_import VALUES (16141, '17/05/2020', '17', '5', '2020', '22', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '22.49483081');
INSERT INTO public.ecdc_import VALUES (16142, '16/05/2020', '16', '5', '2020', '25', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '21.77581795');
INSERT INTO public.ecdc_import VALUES (16143, '15/05/2020', '15', '5', '2020', '16', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '20.02964387');
INSERT INTO public.ecdc_import VALUES (16144, '14/05/2020', '14', '5', '2020', '12', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '19.61877938');
INSERT INTO public.ecdc_import VALUES (16145, '13/05/2020', '13', '5', '2020', '29', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '18.89976653');
INSERT INTO public.ecdc_import VALUES (16146, '12/05/2020', '12', '5', '2020', '17', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '19.72149551');
INSERT INTO public.ecdc_import VALUES (16147, '11/05/2020', '11', '5', '2020', '21', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '19.20791489');
INSERT INTO public.ecdc_import VALUES (16148, '10/05/2020', '10', '5', '2020', '54', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '18.59161816');
INSERT INTO public.ecdc_import VALUES (16149, '09/05/2020', '9', '5', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '13.96939265');
INSERT INTO public.ecdc_import VALUES (16150, '08/05/2020', '8', '5', '2020', '13', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '15.09927');
INSERT INTO public.ecdc_import VALUES (16151, '07/05/2020', '7', '5', '2020', '0', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '14.99655387');
INSERT INTO public.ecdc_import VALUES (16152, '06/05/2020', '6', '5', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '17.97532142');
INSERT INTO public.ecdc_import VALUES (16153, '05/05/2020', '5', '5', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '27.73335305');
INSERT INTO public.ecdc_import VALUES (16154, '04/05/2020', '4', '5', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '27.32248857');
INSERT INTO public.ecdc_import VALUES (16155, '03/05/2020', '3', '5', '2020', '15', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '39.03212652');
INSERT INTO public.ecdc_import VALUES (16156, '02/05/2020', '2', '5', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '37.49138469');
INSERT INTO public.ecdc_import VALUES (16157, '01/05/2020', '1', '5', '2020', '12', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '51.15262897');
INSERT INTO public.ecdc_import VALUES (16158, '30/04/2020', '30', '4', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '65.9437506');
INSERT INTO public.ecdc_import VALUES (16159, '29/04/2020', '29', '4', '2020', '37', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '72.8257308');
INSERT INTO public.ecdc_import VALUES (16160, '28/04/2020', '28', '4', '2020', '12', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '75.70178223');
INSERT INTO public.ecdc_import VALUES (16161, '27/04/2020', '27', '4', '2020', '15', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '83.09734304');
INSERT INTO public.ecdc_import VALUES (16162, '26/04/2020', '26', '4', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '84.32993651');
INSERT INTO public.ecdc_import VALUES (16163, '25/04/2020', '25', '4', '2020', '13', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '87.20598794');
INSERT INTO public.ecdc_import VALUES (16164, '24/04/2020', '24', '4', '2020', '12', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '86.89783957');
INSERT INTO public.ecdc_import VALUES (16165, '23/04/2020', '23', '4', '2020', '29', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '86.17882671');
INSERT INTO public.ecdc_import VALUES (16166, '22/04/2020', '22', '4', '2020', '99', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '84.63808488');
INSERT INTO public.ecdc_import VALUES (16167, '21/04/2020', '21', '4', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '77.65338855');
INSERT INTO public.ecdc_import VALUES (16168, '20/04/2020', '20', '4', '2020', '114', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '80.83758835');
INSERT INTO public.ecdc_import VALUES (16169, '19/04/2020', '19', '4', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '69.94967937');
INSERT INTO public.ecdc_import VALUES (16170, '18/04/2020', '18', '4', '2020', '141', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '70.9768406');
INSERT INTO public.ecdc_import VALUES (16171, '17/04/2020', '17', '4', '2020', '156', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '56.49386733');
INSERT INTO public.ecdc_import VALUES (16172, '16/04/2020', '16', '4', '2020', '72', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '41.18916509');
INSERT INTO public.ecdc_import VALUES (16173, '15/04/2020', '15', '4', '2020', '65', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '34.10175265');
INSERT INTO public.ecdc_import VALUES (16174, '14/04/2020', '14', '4', '2020', '84', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '27.9387853');
INSERT INTO public.ecdc_import VALUES (16175, '13/04/2020', '13', '4', '2020', '27', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '20.02964387');
INSERT INTO public.ecdc_import VALUES (16176, '12/04/2020', '12', '4', '2020', '37', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '17.66717306');
INSERT INTO public.ecdc_import VALUES (16177, '11/04/2020', '11', '4', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '14.07210877');
INSERT INTO public.ecdc_import VALUES (16178, '10/04/2020', '10', '4', '2020', '5', '1', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '13.14766367');
INSERT INTO public.ecdc_import VALUES (16179, '09/04/2020', '9', '4', '2020', '14', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '12.63408306');
INSERT INTO public.ecdc_import VALUES (16180, '08/04/2020', '8', '4', '2020', '31', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '12.12050245');
INSERT INTO public.ecdc_import VALUES (16181, '07/04/2020', '7', '4', '2020', '31', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '8.93630265');
INSERT INTO public.ecdc_import VALUES (16182, '06/04/2020', '6', '4', '2020', '8', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '5.9575351');
INSERT INTO public.ecdc_import VALUES (16183, '05/04/2020', '5', '4', '2020', '10', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '5.13580612');
INSERT INTO public.ecdc_import VALUES (16184, '04/04/2020', '4', '4', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.1086449');
INSERT INTO public.ecdc_import VALUES (16185, '03/04/2020', '3', '4', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '4.1086449');
INSERT INTO public.ecdc_import VALUES (16186, '02/04/2020', '2', '4', '2020', '3', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.38963204');
INSERT INTO public.ecdc_import VALUES (16187, '01/04/2020', '1', '4', '2020', '5', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '3.1841998');
INSERT INTO public.ecdc_import VALUES (16188, '31/03/2020', '31', '3', '2020', '7', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16189, '30/03/2020', '30', '3', '2020', '4', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16190, '29/03/2020', '29', '3', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16191, '28/03/2020', '28', '3', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16192, '27/03/2020', '27', '3', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16193, '26/03/2020', '26', '3', '2020', '9', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16194, '25/03/2020', '25', '3', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16195, '24/03/2020', '24', '3', '2020', '2', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16196, '23/03/2020', '23', '3', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16197, '22/03/2020', '22', '3', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16198, '21/03/2020', '21', '3', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16199, '20/03/2020', '20', '3', '2020', '0', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16200, '19/03/2020', '19', '3', '2020', '1', '0', '973557', 'Djibouti', 'DJ', 'DJI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (16201, '14/12/2020', '14', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16202, '13/12/2020', '13', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16203, '12/12/2020', '12', '12', '2020', '2', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16204, '11/12/2020', '11', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16205, '10/12/2020', '10', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16206, '09/12/2020', '9', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16207, '08/12/2020', '8', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16208, '07/12/2020', '7', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16209, '06/12/2020', '6', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '18.10383244');
INSERT INTO public.ecdc_import VALUES (16210, '05/12/2020', '5', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '18.10383244');
INSERT INTO public.ecdc_import VALUES (16211, '04/12/2020', '4', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '18.10383244');
INSERT INTO public.ecdc_import VALUES (16212, '03/12/2020', '3', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '23.67424242');
INSERT INTO public.ecdc_import VALUES (16213, '02/12/2020', '2', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '23.67424242');
INSERT INTO public.ecdc_import VALUES (16214, '01/12/2020', '1', '12', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '23.67424242');
INSERT INTO public.ecdc_import VALUES (16215, '30/11/2020', '30', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '23.67424242');
INSERT INTO public.ecdc_import VALUES (16216, '29/11/2020', '29', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '23.67424242');
INSERT INTO public.ecdc_import VALUES (16217, '28/11/2020', '28', '11', '2020', '5', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '23.67424242');
INSERT INTO public.ecdc_import VALUES (16218, '27/11/2020', '27', '11', '2020', '3', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '16.71122995');
INSERT INTO public.ecdc_import VALUES (16219, '26/11/2020', '26', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '48.74108734');
INSERT INTO public.ecdc_import VALUES (16220, '25/11/2020', '25', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '48.74108734');
INSERT INTO public.ecdc_import VALUES (16221, '24/11/2020', '24', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '48.74108734');
INSERT INTO public.ecdc_import VALUES (16222, '23/11/2020', '23', '11', '2020', '5', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '48.74108734');
INSERT INTO public.ecdc_import VALUES (16223, '22/11/2020', '22', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '41.77807487');
INSERT INTO public.ecdc_import VALUES (16224, '21/11/2020', '21', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '41.77807487');
INSERT INTO public.ecdc_import VALUES (16225, '20/11/2020', '20', '11', '2020', '4', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '41.77807487');
INSERT INTO public.ecdc_import VALUES (16226, '19/11/2020', '19', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16227, '18/11/2020', '18', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16228, '17/11/2020', '17', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16229, '16/11/2020', '16', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16230, '15/11/2020', '15', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16231, '14/11/2020', '14', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16232, '13/11/2020', '13', '11', '2020', '26', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '36.20766488');
INSERT INTO public.ecdc_import VALUES (16233, '12/11/2020', '12', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16234, '11/11/2020', '11', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16235, '10/11/2020', '10', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16236, '09/11/2020', '9', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16237, '08/11/2020', '8', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16238, '07/11/2020', '7', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16239, '06/11/2020', '6', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16240, '05/11/2020', '5', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16241, '04/11/2020', '4', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16242, '03/11/2020', '3', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16243, '02/11/2020', '2', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16244, '01/11/2020', '1', '11', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16245, '31/10/2020', '31', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16246, '30/10/2020', '30', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '12.53342246');
INSERT INTO public.ecdc_import VALUES (16247, '29/10/2020', '29', '10', '2020', '4', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '13.92602496');
INSERT INTO public.ecdc_import VALUES (16248, '28/10/2020', '28', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '8.35561497');
INSERT INTO public.ecdc_import VALUES (16249, '27/10/2020', '27', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '8.35561497');
INSERT INTO public.ecdc_import VALUES (16250, '26/10/2020', '26', '10', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '8.35561497');
INSERT INTO public.ecdc_import VALUES (16251, '25/10/2020', '25', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16252, '24/10/2020', '24', '10', '2020', '4', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '8.35561497');
INSERT INTO public.ecdc_import VALUES (16253, '23/10/2020', '23', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16254, '22/10/2020', '22', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16255, '21/10/2020', '21', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16256, '20/10/2020', '20', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16257, '19/10/2020', '19', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16258, '18/10/2020', '18', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16259, '17/10/2020', '17', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16260, '16/10/2020', '16', '10', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16261, '15/10/2020', '15', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16262, '14/10/2020', '14', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16263, '13/10/2020', '13', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16264, '12/10/2020', '12', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16265, '11/10/2020', '11', '10', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16266, '10/10/2020', '10', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16267, '09/10/2020', '9', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16268, '08/10/2020', '8', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16269, '07/10/2020', '7', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16270, '06/10/2020', '6', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16271, '05/10/2020', '5', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16272, '04/10/2020', '4', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16273, '03/10/2020', '3', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16274, '02/10/2020', '2', '10', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16275, '01/10/2020', '1', '10', '2020', '7', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '9.74821747');
INSERT INTO public.ecdc_import VALUES (16276, '30/09/2020', '30', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16277, '29/09/2020', '29', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16278, '28/09/2020', '28', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16279, '27/09/2020', '27', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16280, '26/09/2020', '26', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16281, '25/09/2020', '25', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16282, '24/09/2020', '24', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16283, '23/09/2020', '23', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16284, '22/09/2020', '22', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16285, '21/09/2020', '21', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16286, '20/09/2020', '20', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16287, '19/09/2020', '19', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16288, '18/09/2020', '18', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16289, '17/09/2020', '17', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16290, '16/09/2020', '16', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16291, '15/09/2020', '15', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16292, '14/09/2020', '14', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16293, '13/09/2020', '13', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16294, '12/09/2020', '12', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16295, '11/09/2020', '11', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16296, '10/09/2020', '10', '9', '2020', '4', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16297, '09/09/2020', '9', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16298, '08/09/2020', '8', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16299, '07/09/2020', '7', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16300, '06/09/2020', '6', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16301, '05/09/2020', '5', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16302, '04/09/2020', '4', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16303, '03/09/2020', '3', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16304, '02/09/2020', '2', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16305, '01/09/2020', '1', '9', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16306, '31/08/2020', '31', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16307, '30/08/2020', '30', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16308, '29/08/2020', '29', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16309, '28/08/2020', '28', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16310, '27/08/2020', '27', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16311, '26/08/2020', '26', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16312, '25/08/2020', '25', '8', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16313, '24/08/2020', '24', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16314, '23/08/2020', '23', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16315, '22/08/2020', '22', '8', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16316, '21/08/2020', '21', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16317, '20/08/2020', '20', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16318, '19/08/2020', '19', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16319, '18/08/2020', '18', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16320, '17/08/2020', '17', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16321, '16/08/2020', '16', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16322, '15/08/2020', '15', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16323, '14/08/2020', '14', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16324, '13/08/2020', '13', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16325, '12/08/2020', '12', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16326, '11/08/2020', '11', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16327, '10/08/2020', '10', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16328, '09/08/2020', '9', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16329, '08/08/2020', '8', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16330, '07/08/2020', '7', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16331, '06/08/2020', '6', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16332, '05/08/2020', '5', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16333, '04/08/2020', '4', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16334, '03/08/2020', '3', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16335, '02/08/2020', '2', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16336, '01/08/2020', '1', '8', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16337, '31/07/2020', '31', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16338, '30/07/2020', '30', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16339, '29/07/2020', '29', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16340, '28/07/2020', '28', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16341, '27/07/2020', '27', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16342, '26/07/2020', '26', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16343, '25/07/2020', '25', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16344, '24/07/2020', '24', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16345, '23/07/2020', '23', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16346, '22/07/2020', '22', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16347, '21/07/2020', '21', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16348, '20/07/2020', '20', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16349, '19/07/2020', '19', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16350, '18/07/2020', '18', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16351, '17/07/2020', '17', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16352, '16/07/2020', '16', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16353, '15/07/2020', '15', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16354, '14/07/2020', '14', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16355, '13/07/2020', '13', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16356, '12/07/2020', '12', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16357, '11/07/2020', '11', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16358, '10/07/2020', '10', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16359, '09/07/2020', '9', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16360, '08/07/2020', '8', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16361, '07/07/2020', '7', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16362, '06/07/2020', '6', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16363, '05/07/2020', '5', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16364, '04/07/2020', '4', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16365, '03/07/2020', '3', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16366, '02/07/2020', '2', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16367, '01/07/2020', '1', '7', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16368, '30/06/2020', '30', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16369, '29/06/2020', '29', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16370, '28/06/2020', '28', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16371, '27/06/2020', '27', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16372, '26/06/2020', '26', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16373, '25/06/2020', '25', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16374, '24/06/2020', '24', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16375, '23/06/2020', '23', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16376, '22/06/2020', '22', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16377, '21/06/2020', '21', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16378, '20/06/2020', '20', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16379, '19/06/2020', '19', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16380, '18/06/2020', '18', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16381, '17/06/2020', '17', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16382, '16/06/2020', '16', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16383, '15/06/2020', '15', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16384, '14/06/2020', '14', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16385, '13/06/2020', '13', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16386, '12/06/2020', '12', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16387, '11/06/2020', '11', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16388, '10/06/2020', '10', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16389, '09/06/2020', '9', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16390, '08/06/2020', '8', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16391, '07/06/2020', '7', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16392, '06/06/2020', '6', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16393, '05/06/2020', '5', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16394, '04/06/2020', '4', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16395, '03/06/2020', '3', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16396, '02/06/2020', '2', '6', '2020', '2', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16397, '01/06/2020', '1', '6', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16398, '31/05/2020', '31', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16399, '30/05/2020', '30', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16400, '29/05/2020', '29', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16401, '28/05/2020', '28', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16402, '27/05/2020', '27', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16403, '26/05/2020', '26', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16404, '25/05/2020', '25', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16405, '24/05/2020', '24', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16406, '23/05/2020', '23', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16407, '22/05/2020', '22', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16408, '21/05/2020', '21', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16409, '20/05/2020', '20', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16410, '19/05/2020', '19', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16411, '18/05/2020', '18', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16412, '17/05/2020', '17', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16413, '16/05/2020', '16', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16414, '15/05/2020', '15', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16415, '14/05/2020', '14', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16416, '13/05/2020', '13', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16417, '12/05/2020', '12', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16418, '11/05/2020', '11', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16419, '10/05/2020', '10', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16420, '09/05/2020', '9', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16421, '08/05/2020', '8', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16422, '07/05/2020', '7', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16423, '06/05/2020', '6', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16424, '05/05/2020', '5', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16425, '04/05/2020', '4', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16426, '03/05/2020', '3', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16427, '02/05/2020', '2', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16428, '01/05/2020', '1', '5', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16429, '30/04/2020', '30', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16430, '29/04/2020', '29', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16431, '28/04/2020', '28', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16432, '27/04/2020', '27', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16433, '26/04/2020', '26', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16434, '25/04/2020', '25', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16435, '24/04/2020', '24', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16436, '23/04/2020', '23', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16437, '22/04/2020', '22', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16438, '21/04/2020', '21', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '1.3926025');
INSERT INTO public.ecdc_import VALUES (16439, '20/04/2020', '20', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16440, '19/04/2020', '19', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16441, '18/04/2020', '18', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '2.78520499');
INSERT INTO public.ecdc_import VALUES (16442, '17/04/2020', '17', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16443, '16/04/2020', '16', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '5.57040998');
INSERT INTO public.ecdc_import VALUES (16444, '15/04/2020', '15', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16445, '14/04/2020', '14', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16446, '13/04/2020', '13', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16447, '12/04/2020', '12', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16448, '11/04/2020', '11', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16449, '10/04/2020', '10', '4', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '6.96301248');
INSERT INTO public.ecdc_import VALUES (16450, '09/04/2020', '9', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '11.14081996');
INSERT INTO public.ecdc_import VALUES (16451, '08/04/2020', '8', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '18.10383244');
INSERT INTO public.ecdc_import VALUES (16452, '07/04/2020', '7', '4', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '19.49643494');
INSERT INTO public.ecdc_import VALUES (16453, '06/04/2020', '6', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '18.10383244');
INSERT INTO public.ecdc_import VALUES (16454, '05/04/2020', '5', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '19.49643494');
INSERT INTO public.ecdc_import VALUES (16455, '04/04/2020', '4', '4', '2020', '2', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16456, '03/04/2020', '3', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16457, '02/04/2020', '2', '4', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16458, '01/04/2020', '1', '4', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16459, '31/03/2020', '31', '3', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16460, '30/03/2020', '30', '3', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16461, '29/03/2020', '29', '3', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16462, '28/03/2020', '28', '3', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16463, '27/03/2020', '27', '3', '2020', '4', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16464, '26/03/2020', '26', '3', '2020', '5', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16465, '25/03/2020', '25', '3', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16466, '24/03/2020', '24', '3', '2020', '0', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16467, '23/03/2020', '23', '3', '2020', '1', '0', '71808', 'Dominica', 'DM', 'DMA', 'America', '');
INSERT INTO public.ecdc_import VALUES (16468, '14/12/2020', '14', '12', '2020', '1107', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '104.47010822');
INSERT INTO public.ecdc_import VALUES (16469, '13/12/2020', '13', '12', '2020', '1133', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '101.79759543');
INSERT INTO public.ecdc_import VALUES (16470, '12/12/2020', '12', '12', '2020', '731', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '99.40443937');
INSERT INTO public.ecdc_import VALUES (16471, '11/12/2020', '11', '12', '2020', '1560', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '100.55911389');
INSERT INTO public.ecdc_import VALUES (16472, '10/12/2020', '10', '12', '2020', '531', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '100.24250958');
INSERT INTO public.ecdc_import VALUES (16473, '09/12/2020', '9', '12', '2020', '492', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '97.95178433');
INSERT INTO public.ecdc_import VALUES (16474, '08/12/2020', '8', '12', '2020', '685', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '95.99628716');
INSERT INTO public.ecdc_import VALUES (16475, '07/12/2020', '7', '12', '2020', '798', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '93.51932408');
INSERT INTO public.ecdc_import VALUES (16476, '06/12/2020', '6', '12', '2020', '975', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '101.22957006');
INSERT INTO public.ecdc_import VALUES (16477, '05/12/2020', '5', '12', '2020', '671', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '92.15047607');
INSERT INTO public.ecdc_import VALUES (17142, '11/01/2020', '11', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (16478, '04/12/2020', '4', '12', '2020', '812', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '91.49864368');
INSERT INTO public.ecdc_import VALUES (16479, '03/12/2020', '3', '12', '2020', '895', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '93.49138841');
INSERT INTO public.ecdc_import VALUES (16480, '02/12/2020', '2', '12', '2020', '314', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '89.4407157');
INSERT INTO public.ecdc_import VALUES (16481, '01/12/2020', '1', '12', '2020', '515', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '91.11685613');
INSERT INTO public.ecdc_import VALUES (16482, '30/11/2020', '30', '11', '2020', '820', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '90.78162805');
INSERT INTO public.ecdc_import VALUES (16483, '29/11/2020', '29', '11', '2020', '876', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '87.79251095');
INSERT INTO public.ecdc_import VALUES (16484, '28/11/2020', '28', '11', '2020', '855', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '85.88357324');
INSERT INTO public.ecdc_import VALUES (16485, '27/11/2020', '27', '11', '2020', '1526', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '86.47022239');
INSERT INTO public.ecdc_import VALUES (16486, '26/11/2020', '26', '11', '2020', '285', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '75.71498796');
INSERT INTO public.ecdc_import VALUES (16487, '25/11/2020', '25', '11', '2020', '282', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '74.30889238');
INSERT INTO public.ecdc_import VALUES (16488, '24/11/2020', '24', '11', '2020', '419', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '76.59961764');
INSERT INTO public.ecdc_import VALUES (16489, '23/11/2020', '23', '11', '2020', '1626', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '76.61824142');
INSERT INTO public.ecdc_import VALUES (16490, '22/11/2020', '22', '11', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '66.47759182');
INSERT INTO public.ecdc_import VALUES (16491, '21/11/2020', '21', '11', '2020', '601', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '69.69019431');
INSERT INTO public.ecdc_import VALUES (16492, '20/11/2020', '20', '11', '2020', '1026', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '68.5262079');
INSERT INTO public.ecdc_import VALUES (16493, '19/11/2020', '19', '11', '2020', '460', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '64.05650009');
INSERT INTO public.ecdc_import VALUES (16494, '18/11/2020', '18', '11', '2020', '494', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '63.77714335');
INSERT INTO public.ecdc_import VALUES (16495, '17/11/2020', '17', '11', '2020', '479', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '61.57022512');
INSERT INTO public.ecdc_import VALUES (16496, '16/11/2020', '16', '11', '2020', '499', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '59.52160904');
INSERT INTO public.ecdc_import VALUES (16497, '15/11/2020', '15', '11', '2020', '671', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '57.79890915');
INSERT INTO public.ecdc_import VALUES (16498, '14/11/2020', '14', '11', '2020', '918', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '57.93858752');
INSERT INTO public.ecdc_import VALUES (16499, '13/11/2020', '13', '11', '2020', '371', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '53.29195377');
INSERT INTO public.ecdc_import VALUES (16500, '12/11/2020', '12', '11', '2020', '134', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '53.03122082');
INSERT INTO public.ecdc_import VALUES (16501, '11/11/2020', '11', '11', '2020', '528', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '57.01671028');
INSERT INTO public.ecdc_import VALUES (16502, '10/11/2020', '10', '11', '2020', '421', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '53.63649375');
INSERT INTO public.ecdc_import VALUES (16503, '09/11/2020', '9', '11', '2020', '537', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '52.65874516');
INSERT INTO public.ecdc_import VALUES (16504, '08/11/2020', '8', '11', '2020', '345', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '52.39801221');
INSERT INTO public.ecdc_import VALUES (16505, '07/11/2020', '7', '11', '2020', '476', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.08914879');
INSERT INTO public.ecdc_import VALUES (16506, '06/11/2020', '6', '11', '2020', '546', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.41506498');
INSERT INTO public.ecdc_import VALUES (16507, '05/11/2020', '5', '11', '2020', '430', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '54.7539207');
INSERT INTO public.ecdc_import VALUES (16508, '04/11/2020', '4', '11', '2020', '257', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '54.70736125');
INSERT INTO public.ecdc_import VALUES (16509, '03/11/2020', '3', '11', '2020', '259', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.16364392');
INSERT INTO public.ecdc_import VALUES (16510, '02/11/2020', '2', '11', '2020', '314', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.73166929');
INSERT INTO public.ecdc_import VALUES (16511, '01/11/2020', '1', '11', '2020', '686', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '56.73735354');
INSERT INTO public.ecdc_import VALUES (16512, '31/10/2020', '31', '10', '2020', '419', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '54.77254448');
INSERT INTO public.ecdc_import VALUES (16513, '30/10/2020', '30', '10', '2020', '343', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '54.44662829');
INSERT INTO public.ecdc_import VALUES (16514, '29/10/2020', '29', '10', '2020', '562', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.01465366');
INSERT INTO public.ecdc_import VALUES (16515, '28/10/2020', '28', '10', '2020', '165', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.87134766');
INSERT INTO public.ecdc_import VALUES (16516, '27/10/2020', '27', '10', '2020', '316', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.87134766');
INSERT INTO public.ecdc_import VALUES (16517, '26/10/2020', '26', '10', '2020', '509', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '56.33694222');
INSERT INTO public.ecdc_import VALUES (16518, '25/10/2020', '25', '10', '2020', '634', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.90859522');
INSERT INTO public.ecdc_import VALUES (16519, '24/10/2020', '24', '10', '2020', '511', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.19157959');
INSERT INTO public.ecdc_import VALUES (16520, '23/10/2020', '23', '10', '2020', '475', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.88065955');
INSERT INTO public.ecdc_import VALUES (16521, '22/10/2020', '22', '10', '2020', '425', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '58.19932047');
INSERT INTO public.ecdc_import VALUES (16522, '21/10/2020', '21', '10', '2020', '306', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '61.4771062');
INSERT INTO public.ecdc_import VALUES (16523, '20/10/2020', '20', '10', '2020', '320', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '61.57953701');
INSERT INTO public.ecdc_import VALUES (16524, '19/10/2020', '19', '10', '2020', '422', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '63.94475739');
INSERT INTO public.ecdc_import VALUES (16525, '18/10/2020', '18', '10', '2020', '475', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '65.17392704');
INSERT INTO public.ecdc_import VALUES (16526, '17/10/2020', '17', '10', '2020', '384', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '66.11442806');
INSERT INTO public.ecdc_import VALUES (16527, '16/10/2020', '16', '10', '2020', '404', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '68.33065818');
INSERT INTO public.ecdc_import VALUES (16528, '15/10/2020', '15', '10', '2020', '654', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '69.40152568');
INSERT INTO public.ecdc_import VALUES (16529, '14/10/2020', '14', '10', '2020', '165', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '66.18892319');
INSERT INTO public.ecdc_import VALUES (16530, '13/10/2020', '13', '10', '2020', '366', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '66.83144369');
INSERT INTO public.ecdc_import VALUES (16531, '12/10/2020', '12', '10', '2020', '463', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '66.03062104');
INSERT INTO public.ecdc_import VALUES (16532, '11/10/2020', '11', '10', '2020', '557', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '65.71401673');
INSERT INTO public.ecdc_import VALUES (16533, '10/10/2020', '10', '10', '2020', '585', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '63.87957415');
INSERT INTO public.ecdc_import VALUES (16534, '09/10/2020', '9', '10', '2020', '724', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '62.85526611');
INSERT INTO public.ecdc_import VALUES (16535, '08/10/2020', '8', '10', '2020', '777', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '59.69853497');
INSERT INTO public.ecdc_import VALUES (16536, '07/10/2020', '7', '10', '2020', '317', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '56.82116057');
INSERT INTO public.ecdc_import VALUES (16537, '06/10/2020', '6', '10', '2020', '574', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '58.39487019');
INSERT INTO public.ecdc_import VALUES (16538, '05/10/2020', '5', '10', '2020', '554', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '57.64991889');
INSERT INTO public.ecdc_import VALUES (16539, '04/10/2020', '4', '10', '2020', '576', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '57.97583508');
INSERT INTO public.ecdc_import VALUES (16540, '03/10/2020', '3', '10', '2020', '622', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '61.62609646');
INSERT INTO public.ecdc_import VALUES (16541, '02/10/2020', '2', '10', '2020', '519', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '61.38398729');
INSERT INTO public.ecdc_import VALUES (16542, '01/10/2020', '1', '10', '2020', '309', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '62.27792885');
INSERT INTO public.ecdc_import VALUES (16543, '30/09/2020', '30', '9', '2020', '234', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '66.08649238');
INSERT INTO public.ecdc_import VALUES (16544, '29/09/2020', '29', '9', '2020', '280', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '70.36065048');
INSERT INTO public.ecdc_import VALUES (16545, '28/09/2020', '28', '9', '2020', '429', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '71.943672');
INSERT INTO public.ecdc_import VALUES (16546, '27/09/2020', '27', '9', '2020', '360', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '73.23802488');
INSERT INTO public.ecdc_import VALUES (16547, '26/09/2020', '26', '9', '2020', '475', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '77.89397052');
INSERT INTO public.ecdc_import VALUES (16548, '25/09/2020', '25', '9', '2020', '385', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '78.27575806');
INSERT INTO public.ecdc_import VALUES (16549, '24/09/2020', '24', '9', '2020', '468', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '81.94464323');
INSERT INTO public.ecdc_import VALUES (16550, '23/09/2020', '23', '9', '2020', '486', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '85.09206248');
INSERT INTO public.ecdc_import VALUES (16551, '22/09/2020', '22', '9', '2020', '494', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '82.73615399');
INSERT INTO public.ecdc_import VALUES (16552, '21/09/2020', '21', '9', '2020', '589', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '83.39729827');
INSERT INTO public.ecdc_import VALUES (16553, '20/09/2020', '20', '9', '2020', '968', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '83.09931775');
INSERT INTO public.ecdc_import VALUES (16554, '19/09/2020', '19', '9', '2020', '596', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '94.07803756');
INSERT INTO public.ecdc_import VALUES (16555, '18/09/2020', '18', '9', '2020', '615', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '88.52815036');
INSERT INTO public.ecdc_import VALUES (16556, '17/09/2020', '17', '9', '2020', '718', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '92.13185228');
INSERT INTO public.ecdc_import VALUES (16557, '16/09/2020', '16', '9', '2020', '693', '14', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '91.48001989');
INSERT INTO public.ecdc_import VALUES (16558, '15/09/2020', '15', '9', '2020', '450', '16', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '87.48521854');
INSERT INTO public.ecdc_import VALUES (16559, '14/09/2020', '14', '9', '2020', '568', '15', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '87.70870393');
INSERT INTO public.ecdc_import VALUES (16560, '13/09/2020', '13', '9', '2020', '860', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '87.15930234');
INSERT INTO public.ecdc_import VALUES (16561, '12/09/2020', '12', '9', '2020', '516', '15', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '82.33574266');
INSERT INTO public.ecdc_import VALUES (16562, '11/09/2020', '11', '9', '2020', '779', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '81.49767245');
INSERT INTO public.ecdc_import VALUES (16563, '10/09/2020', '10', '9', '2020', '806', '25', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '78.03364889');
INSERT INTO public.ecdc_import VALUES (16564, '09/09/2020', '9', '9', '2020', '233', '25', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '73.69430756');
INSERT INTO public.ecdc_import VALUES (16565, '08/09/2020', '8', '9', '2020', '565', '19', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '77.19557868');
INSERT INTO public.ecdc_import VALUES (16566, '07/09/2020', '7', '9', '2020', '557', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '76.09677551');
INSERT INTO public.ecdc_import VALUES (16567, '06/09/2020', '6', '9', '2020', '2147', '39', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '76.49718683');
INSERT INTO public.ecdc_import VALUES (16568, '05/09/2020', '5', '9', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '62.96700881');
INSERT INTO public.ecdc_import VALUES (16569, '04/09/2020', '4', '9', '2020', '1002', '36', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '70.94729963');
INSERT INTO public.ecdc_import VALUES (16570, '03/09/2020', '3', '9', '2020', '648', '27', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '69.83918457');
INSERT INTO public.ecdc_import VALUES (16571, '02/09/2020', '2', '9', '2020', '264', '28', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '73.15421786');
INSERT INTO public.ecdc_import VALUES (16572, '01/09/2020', '1', '9', '2020', '474', '29', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '74.2902686');
INSERT INTO public.ecdc_import VALUES (16573, '31/08/2020', '31', '8', '2020', '509', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '73.8619216');
INSERT INTO public.ecdc_import VALUES (16574, '30/08/2020', '30', '8', '2020', '342', '25', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '76.23645388');
INSERT INTO public.ecdc_import VALUES (16575, '29/08/2020', '29', '8', '2020', '426', '18', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '82.89445614');
INSERT INTO public.ecdc_import VALUES (16576, '28/08/2020', '28', '8', '2020', '407', '17', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '91.53589124');
INSERT INTO public.ecdc_import VALUES (16577, '27/08/2020', '27', '8', '2020', '340', '28', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '96.21977255');
INSERT INTO public.ecdc_import VALUES (16578, '26/08/2020', '26', '8', '2020', '609', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '103.57616666');
INSERT INTO public.ecdc_import VALUES (16579, '25/08/2020', '25', '8', '2020', '447', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '103.44580018');
INSERT INTO public.ecdc_import VALUES (16580, '24/08/2020', '24', '8', '2020', '600', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '106.42560539');
INSERT INTO public.ecdc_import VALUES (16581, '23/08/2020', '23', '8', '2020', '694', '21', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '109.7220149');
INSERT INTO public.ecdc_import VALUES (16582, '22/08/2020', '22', '8', '2020', '857', '28', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '113.21397413');
INSERT INTO public.ecdc_import VALUES (16583, '21/08/2020', '21', '8', '2020', '883', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '116.15653177');
INSERT INTO public.ecdc_import VALUES (16584, '20/08/2020', '20', '8', '2020', '1004', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '116.09134854');
INSERT INTO public.ecdc_import VALUES (16585, '19/08/2020', '19', '8', '2020', '386', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '119.45294129');
INSERT INTO public.ecdc_import VALUES (16586, '18/08/2020', '18', '8', '2020', '428', '28', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '126.82795918');
INSERT INTO public.ecdc_import VALUES (16587, '17/08/2020', '17', '8', '2020', '764', '15', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '130.98106269');
INSERT INTO public.ecdc_import VALUES (16588, '16/08/2020', '16', '8', '2020', '1057', '29', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '131.57702373');
INSERT INTO public.ecdc_import VALUES (16589, '15/08/2020', '15', '8', '2020', '1354', '16', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '138.17915464');
INSERT INTO public.ecdc_import VALUES (16590, '14/08/2020', '14', '8', '2020', '910', '22', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '141.71767333');
INSERT INTO public.ecdc_import VALUES (16591, '13/08/2020', '13', '8', '2020', '1130', '25', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '149.38135985');
INSERT INTO public.ecdc_import VALUES (16592, '12/08/2020', '12', '8', '2020', '595', '18', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '152.75226449');
INSERT INTO public.ecdc_import VALUES (16593, '11/08/2020', '11', '8', '2020', '767', '19', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '152.18423912');
INSERT INTO public.ecdc_import VALUES (16594, '10/08/2020', '10', '8', '2020', '954', '20', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '156.66325882');
INSERT INTO public.ecdc_import VALUES (16595, '09/08/2020', '9', '8', '2020', '1069', '30', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '166.51523979');
INSERT INTO public.ecdc_import VALUES (16596, '08/08/2020', '8', '8', '2020', '1173', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '173.49915825');
INSERT INTO public.ecdc_import VALUES (16597, '07/08/2020', '7', '8', '2020', '876', '24', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '176.19029483');
INSERT INTO public.ecdc_import VALUES (16598, '06/08/2020', '6', '8', '2020', '1365', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '182.67137116');
INSERT INTO public.ecdc_import VALUES (16599, '05/08/2020', '5', '8', '2020', '1178', '30', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '181.5632561');
INSERT INTO public.ecdc_import VALUES (16600, '04/08/2020', '4', '8', '2020', '874', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '178.42514874');
INSERT INTO public.ecdc_import VALUES (16601, '03/08/2020', '3', '8', '2020', '828', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '180.53894806');
INSERT INTO public.ecdc_import VALUES (16602, '02/08/2020', '2', '8', '2020', '1766', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '185.26938882');
INSERT INTO public.ecdc_import VALUES (16603, '01/08/2020', '1', '8', '2020', '1734', '14', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '181.91710796');
INSERT INTO public.ecdc_import VALUES (16604, '31/07/2020', '31', '7', '2020', '1733', '23', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '178.52757954');
INSERT INTO public.ecdc_import VALUES (16605, '30/07/2020', '30', '7', '2020', '1492', '22', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '172.37241941');
INSERT INTO public.ecdc_import VALUES (16606, '29/07/2020', '29', '7', '2020', '534', '18', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '171.19912111');
INSERT INTO public.ecdc_import VALUES (16607, '28/07/2020', '28', '7', '2020', '1248', '20', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '173.66677229');
INSERT INTO public.ecdc_import VALUES (16608, '27/07/2020', '27', '7', '2020', '2012', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '171.11531408');
INSERT INTO public.ecdc_import VALUES (16609, '26/07/2020', '26', '7', '2020', '1819', '19', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '165.58405067');
INSERT INTO public.ecdc_import VALUES (16610, '25/07/2020', '25', '7', '2020', '1462', '30', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '159.81067808');
INSERT INTO public.ecdc_import VALUES (16611, '24/07/2020', '24', '7', '2020', '1572', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '156.67257072');
INSERT INTO public.ecdc_import VALUES (16612, '23/07/2020', '23', '7', '2020', '1246', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '153.22717094');
INSERT INTO public.ecdc_import VALUES (16613, '22/07/2020', '22', '7', '2020', '841', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '152.40772451');
INSERT INTO public.ecdc_import VALUES (16614, '21/07/2020', '21', '7', '2020', '1101', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '147.38861511');
INSERT INTO public.ecdc_import VALUES (16615, '20/07/2020', '20', '7', '2020', '1336', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '143.68248239');
INSERT INTO public.ecdc_import VALUES (16616, '19/07/2020', '19', '7', '2020', '1406', '29', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '142.79785272');
INSERT INTO public.ecdc_import VALUES (16617, '18/07/2020', '18', '7', '2020', '1370', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '139.35245294');
INSERT INTO public.ecdc_import VALUES (16618, '17/07/2020', '17', '7', '2020', '1072', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '135.4507705');
INSERT INTO public.ecdc_import VALUES (16619, '16/07/2020', '16', '7', '2020', '1366', '19', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '133.01105498');
INSERT INTO public.ecdc_import VALUES (16620, '15/07/2020', '15', '7', '2020', '799', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '127.91745046');
INSERT INTO public.ecdc_import VALUES (16621, '14/07/2020', '14', '7', '2020', '974', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '127.47979157');
INSERT INTO public.ecdc_import VALUES (16622, '13/07/2020', '13', '7', '2020', '1418', '17', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '122.5351773');
INSERT INTO public.ecdc_import VALUES (16623, '12/07/2020', '12', '7', '2020', '1199', '16', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '116.35208149');
INSERT INTO public.ecdc_import VALUES (16624, '11/07/2020', '11', '7', '2020', '1125', '22', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '113.14879089');
INSERT INTO public.ecdc_import VALUES (16625, '10/07/2020', '10', '7', '2020', '1202', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '108.47422147');
INSERT INTO public.ecdc_import VALUES (16626, '09/07/2020', '9', '7', '2020', '1158', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '102.03039271');
INSERT INTO public.ecdc_import VALUES (16627, '08/07/2020', '8', '7', '2020', '302', '17', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '97.71898705');
INSERT INTO public.ecdc_import VALUES (16628, '07/07/2020', '7', '7', '2020', '703', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '100.17732635');
INSERT INTO public.ecdc_import VALUES (16629, '06/07/2020', '6', '7', '2020', '1241', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '100.08420743');
INSERT INTO public.ecdc_import VALUES (16630, '05/07/2020', '5', '7', '2020', '1036', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '96.89954062');
INSERT INTO public.ecdc_import VALUES (16631, '04/07/2020', '4', '7', '2020', '951', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '93.86386406');
INSERT INTO public.ecdc_import VALUES (16632, '03/07/2020', '3', '7', '2020', '810', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '88.94718547');
INSERT INTO public.ecdc_import VALUES (16633, '02/07/2020', '2', '7', '2020', '819', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '86.43297482');
INSERT INTO public.ecdc_import VALUES (16634, '01/07/2020', '1', '7', '2020', '752', '14', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '82.70821831');
INSERT INTO public.ecdc_import VALUES (16635, '30/06/2020', '30', '6', '2020', '443', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '79.57011095');
INSERT INTO public.ecdc_import VALUES (16636, '29/06/2020', '29', '6', '2020', '754', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '78.32231752');
INSERT INTO public.ecdc_import VALUES (16637, '28/06/2020', '28', '6', '2020', '855', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '74.9327891');
INSERT INTO public.ecdc_import VALUES (16638, '27/06/2020', '27', '6', '2020', '623', '14', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '72.22302874');
INSERT INTO public.ecdc_import VALUES (16639, '26/06/2020', '26', '6', '2020', '510', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '71.73881039');
INSERT INTO public.ecdc_import VALUES (16640, '25/06/2020', '25', '6', '2020', '695', '16', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '72.84692545');
INSERT INTO public.ecdc_import VALUES (16641, '24/06/2020', '24', '6', '2020', '566', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '70.03473429');
INSERT INTO public.ecdc_import VALUES (16642, '23/06/2020', '23', '6', '2020', '693', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '67.4553404');
INSERT INTO public.ecdc_import VALUES (16643, '22/06/2020', '22', '6', '2020', '899', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '65.90025456');
INSERT INTO public.ecdc_import VALUES (16644, '21/06/2020', '21', '6', '2020', '710', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '61.30018027');
INSERT INTO public.ecdc_import VALUES (16645, '20/06/2020', '20', '6', '2020', '423', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '59.22362851');
INSERT INTO public.ecdc_import VALUES (16646, '19/06/2020', '19', '6', '2020', '540', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '58.90702421');
INSERT INTO public.ecdc_import VALUES (16647, '18/06/2020', '18', '6', '2020', '419', '18', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '56.47662059');
INSERT INTO public.ecdc_import VALUES (16648, '17/06/2020', '17', '6', '2020', '415', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '55.25676283');
INSERT INTO public.ecdc_import VALUES (16649, '16/06/2020', '16', '6', '2020', '309', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '53.06846838');
INSERT INTO public.ecdc_import VALUES (16650, '15/06/2020', '15', '6', '2020', '390', '15', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '52.86360677');
INSERT INTO public.ecdc_import VALUES (16651, '14/06/2020', '14', '6', '2020', '564', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '52.74255219');
INSERT INTO public.ecdc_import VALUES (16652, '13/06/2020', '13', '6', '2020', '571', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '51.00122852');
INSERT INTO public.ecdc_import VALUES (16653, '12/06/2020', '12', '6', '2020', '629', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '49.99554426');
INSERT INTO public.ecdc_import VALUES (16654, '11/06/2020', '11', '6', '2020', '393', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '47.35096714');
INSERT INTO public.ecdc_import VALUES (16655, '10/06/2020', '10', '6', '2020', '289', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '47.96555196');
INSERT INTO public.ecdc_import VALUES (16656, '09/06/2020', '9', '6', '2020', '526', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '47.05298662');
INSERT INTO public.ecdc_import VALUES (16657, '08/06/2020', '8', '6', '2020', '405', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '48.21697303');
INSERT INTO public.ecdc_import VALUES (16658, '07/06/2020', '7', '6', '2020', '487', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '44.44565706');
INSERT INTO public.ecdc_import VALUES (16659, '06/06/2020', '6', '6', '2020', '389', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '43.94281493');
INSERT INTO public.ecdc_import VALUES (16660, '05/06/2020', '5', '6', '2020', '279', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '43.41203713');
INSERT INTO public.ecdc_import VALUES (16661, '04/06/2020', '4', '6', '2020', '288', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.49015989');
INSERT INTO public.ecdc_import VALUES (16662, '03/06/2020', '3', '6', '2020', '180', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.17355559');
INSERT INTO public.ecdc_import VALUES (16663, '02/06/2020', '2', '6', '2020', '287', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '45.13473701');
INSERT INTO public.ecdc_import VALUES (16664, '01/06/2020', '1', '6', '2020', '377', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '46.28941153');
INSERT INTO public.ecdc_import VALUES (16665, '31/05/2020', '31', '5', '2020', '377', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '46.69913475');
INSERT INTO public.ecdc_import VALUES (16666, '30/05/2020', '30', '5', '2020', '463', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '44.62258299');
INSERT INTO public.ecdc_import VALUES (16667, '29/05/2020', '29', '5', '2020', '345', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '44.21285978');
INSERT INTO public.ecdc_import VALUES (16668, '28/05/2020', '28', '5', '2020', '459', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.15493181');
INSERT INTO public.ecdc_import VALUES (16669, '27/05/2020', '27', '5', '2020', '191', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '40.63709353');
INSERT INTO public.ecdc_import VALUES (16670, '26/05/2020', '26', '5', '2020', '651', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '41.33548537');
INSERT INTO public.ecdc_import VALUES (16671, '25/05/2020', '25', '5', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '37.94595695');
INSERT INTO public.ecdc_import VALUES (16672, '24/05/2020', '24', '5', '2020', '433', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.27598639');
INSERT INTO public.ecdc_import VALUES (16673, '23/05/2020', '23', '5', '2020', '332', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.95575446');
INSERT INTO public.ecdc_import VALUES (16674, '22/05/2020', '22', '5', '2020', '180', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.480848');
INSERT INTO public.ecdc_import VALUES (16675, '21/05/2020', '21', '5', '2020', '254', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '43.48653226');
INSERT INTO public.ecdc_import VALUES (16676, '20/05/2020', '20', '5', '2020', '498', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '44.16630032');
INSERT INTO public.ecdc_import VALUES (16677, '19/05/2020', '19', '5', '2020', '411', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '41.81039183');
INSERT INTO public.ecdc_import VALUES (16678, '18/05/2020', '18', '5', '2020', '421', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '40.59984596');
INSERT INTO public.ecdc_import VALUES (16679, '17/05/2020', '17', '5', '2020', '154', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '40.18081086');
INSERT INTO public.ecdc_import VALUES (16680, '16/05/2020', '16', '5', '2020', '419', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '41.44722807');
INSERT INTO public.ecdc_import VALUES (16681, '15/05/2020', '15', '5', '2020', '124', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '40.48810327');
INSERT INTO public.ecdc_import VALUES (16682, '14/05/2020', '14', '5', '2020', '296', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '42.31323396');
INSERT INTO public.ecdc_import VALUES (16683, '13/05/2020', '13', '5', '2020', '266', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '41.75452048');
INSERT INTO public.ecdc_import VALUES (16684, '12/05/2020', '12', '5', '2020', '287', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '41.89419885');
INSERT INTO public.ecdc_import VALUES (16685, '11/05/2020', '11', '5', '2020', '465', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '39.22168605');
INSERT INTO public.ecdc_import VALUES (16686, '10/05/2020', '10', '5', '2020', '506', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '36.83784189');
INSERT INTO public.ecdc_import VALUES (16687, '09/05/2020', '9', '5', '2020', '281', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '33.77422966');
INSERT INTO public.ecdc_import VALUES (16688, '08/05/2020', '8', '5', '2020', '288', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '33.07583781');
INSERT INTO public.ecdc_import VALUES (16689, '07/05/2020', '7', '5', '2020', '327', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '32.6568027');
INSERT INTO public.ecdc_import VALUES (16690, '06/05/2020', '6', '5', '2020', '245', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '31.99565842');
INSERT INTO public.ecdc_import VALUES (16691, '05/05/2020', '5', '5', '2020', '281', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '30.45919636');
INSERT INTO public.ecdc_import VALUES (16692, '04/05/2020', '4', '5', '2020', '376', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '30.48713204');
INSERT INTO public.ecdc_import VALUES (16693, '03/05/2020', '3', '5', '2020', '290', '13', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '30.19846341');
INSERT INTO public.ecdc_import VALUES (16694, '02/05/2020', '2', '5', '2020', '316', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.44420021');
INSERT INTO public.ecdc_import VALUES (16695, '01/05/2020', '1', '5', '2020', '320', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.95635423');
INSERT INTO public.ecdc_import VALUES (16696, '30/04/2020', '30', '4', '2020', '236', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '28.2895257');
INSERT INTO public.ecdc_import VALUES (16697, '29/04/2020', '29', '4', '2020', '281', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.14621969');
INSERT INTO public.ecdc_import VALUES (16698, '28/04/2020', '28', '4', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '27.63769331');
INSERT INTO public.ecdc_import VALUES (16699, '27/04/2020', '27', '4', '2020', '209', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.50007156');
INSERT INTO public.ecdc_import VALUES (16700, '26/04/2020', '26', '4', '2020', '177', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.49075967');
INSERT INTO public.ecdc_import VALUES (16701, '25/04/2020', '25', '4', '2020', '206', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.1369078');
INSERT INTO public.ecdc_import VALUES (16702, '24/04/2020', '24', '4', '2020', '243', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.74218074');
INSERT INTO public.ecdc_import VALUES (16703, '23/04/2020', '23', '4', '2020', '256', '15', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.69562128');
INSERT INTO public.ecdc_import VALUES (16704, '22/04/2020', '22', '4', '2020', '80', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '28.75512026');
INSERT INTO public.ecdc_import VALUES (16705, '21/04/2020', '21', '4', '2020', '284', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '29.20209104');
INSERT INTO public.ecdc_import VALUES (16706, '20/04/2020', '20', '4', '2020', '345', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '27.33040089');
INSERT INTO public.ecdc_import VALUES (16707, '19/04/2020', '19', '4', '2020', '209', '17', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '25.67288425');
INSERT INTO public.ecdc_import VALUES (16708, '18/04/2020', '18', '4', '2020', '371', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '24.56476919');
INSERT INTO public.ecdc_import VALUES (16709, '17/04/2020', '17', '4', '2020', '141', '7', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '22.11574178');
INSERT INTO public.ecdc_import VALUES (16710, '16/04/2020', '16', '4', '2020', '328', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '21.69670667');
INSERT INTO public.ecdc_import VALUES (16711, '15/04/2020', '15', '4', '2020', '119', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '20.27198731');
INSERT INTO public.ecdc_import VALUES (16712, '14/04/2020', '14', '4', '2020', '200', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '21.10074563');
INSERT INTO public.ecdc_import VALUES (16713, '13/04/2020', '13', '4', '2020', '208', '38', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '19.62946681');
INSERT INTO public.ecdc_import VALUES (16714, '12/04/2020', '12', '4', '2020', '139', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '18.9962582');
INSERT INTO public.ecdc_import VALUES (16715, '11/04/2020', '11', '4', '2020', '271', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '18.98694631');
INSERT INTO public.ecdc_import VALUES (16716, '10/04/2020', '10', '4', '2020', '238', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '17.32942966');
INSERT INTO public.ecdc_import VALUES (16717, '09/04/2020', '9', '4', '2020', '155', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '16.0071411');
INSERT INTO public.ecdc_import VALUES (16718, '08/04/2020', '8', '4', '2020', '128', '12', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '15.30874926');
INSERT INTO public.ecdc_import VALUES (16719, '07/04/2020', '7', '4', '2020', '83', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '14.74072389');
INSERT INTO public.ecdc_import VALUES (16720, '06/04/2020', '6', '4', '2020', '167', '5', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '14.36824824');
INSERT INTO public.ecdc_import VALUES (16721, '05/04/2020', '5', '4', '2020', '90', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '13.65123261');
INSERT INTO public.ecdc_import VALUES (16722, '04/04/2020', '4', '4', '2020', '108', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '13.53948992');
INSERT INTO public.ecdc_import VALUES (16723, '03/04/2020', '3', '4', '2020', '96', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '12.65486024');
INSERT INTO public.ecdc_import VALUES (16724, '02/04/2020', '2', '4', '2020', '175', '6', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '11.76091868');
INSERT INTO public.ecdc_import VALUES (16725, '01/04/2020', '1', '4', '2020', '208', '9', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '10.22445662');
INSERT INTO public.ecdc_import VALUES (16726, '31/03/2020', '31', '3', '2020', '42', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '8.28758324');
INSERT INTO public.ecdc_import VALUES (16727, '30/03/2020', '30', '3', '2020', '140', '11', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '7.8964838');
INSERT INTO public.ecdc_import VALUES (16728, '29/03/2020', '29', '3', '2020', '138', '8', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '6.59281902');
INSERT INTO public.ecdc_import VALUES (16729, '28/03/2020', '28', '3', '2020', '93', '10', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '5.30777803');
INSERT INTO public.ecdc_import VALUES (16730, '27/03/2020', '27', '3', '2020', '96', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '4.49764349');
INSERT INTO public.ecdc_import VALUES (16731, '26/03/2020', '26', '3', '2020', '80', '4', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '3.6316376');
INSERT INTO public.ecdc_import VALUES (16732, '25/03/2020', '25', '3', '2020', '67', '3', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '2.89599819');
INSERT INTO public.ecdc_import VALUES (16733, '24/03/2020', '24', '3', '2020', '43', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '2.28141336');
INSERT INTO public.ecdc_import VALUES (16734, '23/03/2020', '23', '3', '2020', '90', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '1.88100204');
INSERT INTO public.ecdc_import VALUES (16735, '22/03/2020', '22', '3', '2020', '78', '1', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '1.04293182');
INSERT INTO public.ecdc_import VALUES (16736, '21/03/2020', '21', '3', '2020', '13', '2', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.3166043');
INSERT INTO public.ecdc_import VALUES (16737, '20/03/2020', '20', '3', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.19554972');
INSERT INTO public.ecdc_import VALUES (16738, '19/03/2020', '19', '3', '2020', '10', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.19554972');
INSERT INTO public.ecdc_import VALUES (16739, '18/03/2020', '18', '3', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.1024308');
INSERT INTO public.ecdc_import VALUES (16740, '17/03/2020', '17', '3', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.1024308');
INSERT INTO public.ecdc_import VALUES (16741, '16/03/2020', '16', '3', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.1024308');
INSERT INTO public.ecdc_import VALUES (16742, '15/03/2020', '15', '3', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.1024308');
INSERT INTO public.ecdc_import VALUES (16743, '14/03/2020', '14', '3', '2020', '6', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.1024308');
INSERT INTO public.ecdc_import VALUES (16744, '10/03/2020', '10', '3', '2020', '3', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.04655946');
INSERT INTO public.ecdc_import VALUES (16745, '07/03/2020', '7', '3', '2020', '1', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.01862378');
INSERT INTO public.ecdc_import VALUES (16746, '02/03/2020', '2', '3', '2020', '1', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0.00931189');
INSERT INTO public.ecdc_import VALUES (16747, '01/03/2020', '1', '3', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16748, '29/02/2020', '29', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16749, '28/02/2020', '28', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16750, '27/02/2020', '27', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16751, '26/02/2020', '26', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16752, '25/02/2020', '25', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16753, '24/02/2020', '24', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16754, '23/02/2020', '23', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16755, '22/02/2020', '22', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16756, '21/02/2020', '21', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16757, '20/02/2020', '20', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16758, '19/02/2020', '19', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16759, '18/02/2020', '18', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16760, '17/02/2020', '17', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16761, '16/02/2020', '16', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16762, '15/02/2020', '15', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16763, '14/02/2020', '14', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16764, '13/02/2020', '13', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16765, '12/02/2020', '12', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16766, '11/02/2020', '11', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16767, '10/02/2020', '10', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16768, '09/02/2020', '9', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16769, '08/02/2020', '8', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16770, '07/02/2020', '7', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16771, '06/02/2020', '6', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16772, '05/02/2020', '5', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16773, '04/02/2020', '4', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16774, '03/02/2020', '3', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16775, '02/02/2020', '2', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16776, '01/02/2020', '1', '2', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16777, '31/01/2020', '31', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16778, '30/01/2020', '30', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16779, '29/01/2020', '29', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16780, '28/01/2020', '28', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16781, '27/01/2020', '27', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16782, '26/01/2020', '26', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16783, '25/01/2020', '25', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16784, '24/01/2020', '24', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16785, '23/01/2020', '23', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16786, '22/01/2020', '22', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16787, '21/01/2020', '21', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16788, '20/01/2020', '20', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16789, '19/01/2020', '19', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16790, '18/01/2020', '18', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16791, '17/01/2020', '17', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16792, '16/01/2020', '16', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16793, '15/01/2020', '15', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16794, '14/01/2020', '14', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16795, '13/01/2020', '13', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (16796, '12/01/2020', '12', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16797, '11/01/2020', '11', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16798, '10/01/2020', '10', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16799, '09/01/2020', '9', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16800, '08/01/2020', '8', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16801, '07/01/2020', '7', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16802, '06/01/2020', '6', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16803, '05/01/2020', '5', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16804, '04/01/2020', '4', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16805, '03/01/2020', '3', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16806, '02/01/2020', '2', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16807, '01/01/2020', '1', '1', '2020', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16808, '31/12/2019', '31', '12', '2019', '0', '0', '10738957', 'Dominican_Republic', 'DO', 'DOM', 'America', '');
INSERT INTO public.ecdc_import VALUES (16809, '14/12/2020', '14', '12', '2020', '586', '1', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '57.51811493');
INSERT INTO public.ecdc_import VALUES (16810, '13/12/2020', '13', '12', '2020', '759', '16', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.09824777');
INSERT INTO public.ecdc_import VALUES (16811, '12/12/2020', '12', '12', '2020', '386', '8', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '64.64384556');
INSERT INTO public.ecdc_import VALUES (16812, '11/12/2020', '11', '12', '2020', '1151', '36', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.45724455');
INSERT INTO public.ecdc_import VALUES (16813, '10/12/2020', '10', '12', '2020', '476', '20', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.05857529');
INSERT INTO public.ecdc_import VALUES (16814, '09/12/2020', '9', '12', '2020', '508', '14', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.88893259');
INSERT INTO public.ecdc_import VALUES (16815, '08/12/2020', '8', '12', '2020', '246', '2', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.79683915');
INSERT INTO public.ecdc_import VALUES (16816, '07/12/2020', '7', '12', '2020', '607', '22', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '71.11341038');
INSERT INTO public.ecdc_import VALUES (16817, '06/12/2020', '6', '12', '2020', '909', '60', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.03434487');
INSERT INTO public.ecdc_import VALUES (16818, '05/12/2020', '5', '12', '2020', '598', '84', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.76533662');
INSERT INTO public.ecdc_import VALUES (16819, '04/12/2020', '4', '12', '2020', '1008', '50', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.74231326');
INSERT INTO public.ecdc_import VALUES (16820, '03/12/2020', '3', '12', '2020', '1203', '61', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.67324317');
INSERT INTO public.ecdc_import VALUES (16821, '02/12/2020', '2', '12', '2020', '988', '40', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.34516026');
INSERT INTO public.ecdc_import VALUES (16822, '01/12/2020', '1', '12', '2020', '568', '38', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.12188954');
INSERT INTO public.ecdc_import VALUES (16823, '30/11/2020', '30', '11', '2020', '1208', '52', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '68.04554735');
INSERT INTO public.ecdc_import VALUES (16824, '29/11/2020', '29', '11', '2020', '1375', '13', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '64.93739343');
INSERT INTO public.ecdc_import VALUES (16825, '28/11/2020', '28', '11', '2020', '1396', '42', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '62.50842871');
INSERT INTO public.ecdc_import VALUES (16826, '27/11/2020', '27', '11', '2020', '908', '28', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.15580617');
INSERT INTO public.ecdc_import VALUES (16827, '26/11/2020', '26', '11', '2020', '794', '24', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.01191016');
INSERT INTO public.ecdc_import VALUES (16828, '25/11/2020', '25', '11', '2020', '492', '39', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.73139023');
INSERT INTO public.ecdc_import VALUES (16829, '24/11/2020', '24', '11', '2020', '301', '24', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.4435982');
INSERT INTO public.ecdc_import VALUES (16830, '23/11/2020', '23', '11', '2020', '767', '62', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.79470448');
INSERT INTO public.ecdc_import VALUES (16831, '22/11/2020', '22', '11', '2020', '1036', '44', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.55902422');
INSERT INTO public.ecdc_import VALUES (16832, '21/11/2020', '21', '11', '2020', '594', '22', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.22518546');
INSERT INTO public.ecdc_import VALUES (16833, '20/11/2020', '20', '11', '2020', '996', '21', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.97920058');
INSERT INTO public.ecdc_import VALUES (16834, '19/11/2020', '19', '11', '2020', '1146', '27', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '62.26092756');
INSERT INTO public.ecdc_import VALUES (16835, '18/11/2020', '18', '11', '2020', '428', '9', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '63.27971135');
INSERT INTO public.ecdc_import VALUES (16836, '17/11/2020', '17', '11', '2020', '381', '8', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '63.97041222');
INSERT INTO public.ecdc_import VALUES (16837, '16/11/2020', '16', '11', '2020', '668', '11', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '63.89558629');
INSERT INTO public.ecdc_import VALUES (16838, '15/11/2020', '15', '11', '2020', '953', '20', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.81803704');
INSERT INTO public.ecdc_import VALUES (16839, '14/11/2020', '14', '11', '2020', '1161', '31', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '66.34757438');
INSERT INTO public.ecdc_import VALUES (16840, '13/11/2020', '13', '11', '2020', '883', '26', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '64.52872875');
INSERT INTO public.ecdc_import VALUES (16841, '12/11/2020', '12', '11', '2020', '919', '71', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '67.46996329');
INSERT INTO public.ecdc_import VALUES (16842, '11/11/2020', '11', '11', '2020', '442', '10', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.05736823');
INSERT INTO public.ecdc_import VALUES (16843, '10/11/2020', '10', '11', '2020', '362', '9', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '75.34970905');
INSERT INTO public.ecdc_import VALUES (16844, '09/11/2020', '9', '11', '2020', '1421', '15', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '76.39151619');
INSERT INTO public.ecdc_import VALUES (16845, '08/11/2020', '8', '11', '2020', '978', '54', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '79.84502054');
INSERT INTO public.ecdc_import VALUES (16846, '07/11/2020', '7', '11', '2020', '725', '31', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '81.95165819');
INSERT INTO public.ecdc_import VALUES (16847, '06/11/2020', '6', '11', '2020', '350', '26', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '88.24854779');
INSERT INTO public.ecdc_import VALUES (16848, '05/11/2020', '5', '11', '2020', '1323', '6', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '90.9883279');
INSERT INTO public.ecdc_import VALUES (16849, '04/11/2020', '4', '11', '2020', '548', '6', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '92.06467009');
INSERT INTO public.ecdc_import VALUES (16850, '03/11/2020', '3', '11', '2020', '368', '8', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '92.89351114');
INSERT INTO public.ecdc_import VALUES (16851, '02/11/2020', '2', '11', '2020', '1002', '14', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '91.54664444');
INSERT INTO public.ecdc_import VALUES (16852, '01/11/2020', '1', '11', '2020', '1045', '38', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '90.76960596');
INSERT INTO public.ecdc_import VALUES (16853, '31/10/2020', '31', '10', '2020', '845', '10', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '89.14645892');
INSERT INTO public.ecdc_import VALUES (16854, '30/10/2020', '30', '10', '2020', '1394', '14', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '91.75961054');
INSERT INTO public.ecdc_import VALUES (16855, '29/10/2020', '29', '10', '2020', '1716', '20', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '91.08617719');
INSERT INTO public.ecdc_import VALUES (16856, '28/10/2020', '28', '10', '2020', '1014', '15', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '86.45848137');
INSERT INTO public.ecdc_import VALUES (16857, '27/10/2020', '27', '10', '2020', '543', '20', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '85.54905855');
INSERT INTO public.ecdc_import VALUES (16858, '26/10/2020', '26', '10', '2020', '2021', '11', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '84.04678416');
INSERT INTO public.ecdc_import VALUES (16859, '25/10/2020', '25', '10', '2020', '1344', '14', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.59417767');
INSERT INTO public.ecdc_import VALUES (16860, '24/10/2020', '24', '10', '2020', '1819', '28', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '71.4990517');
INSERT INTO public.ecdc_import VALUES (16861, '23/10/2020', '23', '10', '2020', '826', '47', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.65111767');
INSERT INTO public.ecdc_import VALUES (16862, '22/10/2020', '22', '10', '2020', '1510', '49', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.61113599');
INSERT INTO public.ecdc_import VALUES (16863, '21/10/2020', '21', '10', '2020', '692', '9', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.40968157');
INSERT INTO public.ecdc_import VALUES (16864, '20/10/2020', '20', '10', '2020', '134', '8', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.55357758');
INSERT INTO public.ecdc_import VALUES (16865, '19/10/2020', '19', '10', '2020', '867', '12', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.53782632');
INSERT INTO public.ecdc_import VALUES (16866, '18/10/2020', '18', '10', '2020', '763', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.47875165');
INSERT INTO public.ecdc_import VALUES (16867, '17/10/2020', '17', '10', '2020', '1299', '51', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.78956704');
INSERT INTO public.ecdc_import VALUES (16868, '16/10/2020', '16', '10', '2020', '1277', '42', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '67.78077868');
INSERT INTO public.ecdc_import VALUES (16869, '15/10/2020', '15', '10', '2020', '912', '29', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.27729723');
INSERT INTO public.ecdc_import VALUES (16870, '14/10/2020', '14', '10', '2020', '856', '17', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '71.4990517');
INSERT INTO public.ecdc_import VALUES (16871, '13/10/2020', '13', '10', '2020', '282', '27', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '71.08463117');
INSERT INTO public.ecdc_import VALUES (16872, '12/10/2020', '12', '10', '2020', '205', '3', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.71625738');
INSERT INTO public.ecdc_import VALUES (16873, '11/10/2020', '11', '10', '2020', '980', '13', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.94528394');
INSERT INTO public.ecdc_import VALUES (16874, '10/10/2020', '10', '10', '2020', '803', '34', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '76.97285609');
INSERT INTO public.ecdc_import VALUES (16875, '09/10/2020', '9', '10', '2020', '1514', '398', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '80.00042823');
INSERT INTO public.ecdc_import VALUES (16876, '08/10/2020', '8', '10', '2020', '1475', '41', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '78.50390968');
INSERT INTO public.ecdc_import VALUES (16877, '07/10/2020', '7', '10', '2020', '717', '21', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '82.95893029');
INSERT INTO public.ecdc_import VALUES (16878, '06/10/2020', '6', '10', '2020', '305', '34', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '84.19643602');
INSERT INTO public.ecdc_import VALUES (16879, '05/10/2020', '5', '10', '2020', '683', '50', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '84.12161009');
INSERT INTO public.ecdc_import VALUES (16880, '04/10/2020', '4', '10', '2020', '817', '102', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '84.7892876');
INSERT INTO public.ecdc_import VALUES (16881, '03/10/2020', '3', '10', '2020', '950', '62', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '88.66872415');
INSERT INTO public.ecdc_import VALUES (16882, '02/10/2020', '2', '10', '2020', '1537', '78', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '93.97560917');
INSERT INTO public.ecdc_import VALUES (16883, '01/10/2020', '1', '10', '2020', '1298', '43', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '89.3421575');
INSERT INTO public.ecdc_import VALUES (16884, '30/09/2020', '30', '9', '2020', '784', '32', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '93.22159405');
INSERT INTO public.ecdc_import VALUES (16885, '29/09/2020', '29', '9', '2020', '218', '1', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '92.40426469');
INSERT INTO public.ecdc_import VALUES (16886, '28/09/2020', '28', '9', '2020', '766', '6', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '92.9740929');
INSERT INTO public.ecdc_import VALUES (16887, '27/09/2020', '27', '9', '2020', '1506', '37', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '100.89988538');
INSERT INTO public.ecdc_import VALUES (16888, '26/09/2020', '26', '9', '2020', '1329', '23', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '102.12587943');
INSERT INTO public.ecdc_import VALUES (16889, '25/09/2020', '25', '9', '2020', '1254', '42', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '103.25978002');
INSERT INTO public.ecdc_import VALUES (16890, '24/09/2020', '24', '9', '2020', '2249', '45', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '102.02803014');
INSERT INTO public.ecdc_import VALUES (16891, '23/09/2020', '23', '9', '2020', '932', '31', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '97.19312405');
INSERT INTO public.ecdc_import VALUES (16892, '22/09/2020', '22', '9', '2020', '292', '5', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '95.65631461');
INSERT INTO public.ecdc_import VALUES (16893, '21/09/2020', '21', '9', '2020', '799', '6', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '95.74840806');
INSERT INTO public.ecdc_import VALUES (16894, '20/09/2020', '20', '9', '2020', '1491', '40', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '43.6004924');
INSERT INTO public.ecdc_import VALUES (16895, '19/09/2020', '19', '9', '2020', '1872', '15', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '40.0261154');
INSERT INTO public.ecdc_import VALUES (16896, '18/09/2020', '18', '9', '2020', '732', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '33.94219191');
INSERT INTO public.ecdc_import VALUES (16897, '17/09/2020', '17', '9', '2020', '1972', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '34.92644065');
INSERT INTO public.ecdc_import VALUES (16898, '16/09/2020', '16', '9', '2020', '642', '41', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '30.18362801');
INSERT INTO public.ecdc_import VALUES (16899, '15/09/2020', '15', '9', '2020', '317', '19', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '29.60804395');
INSERT INTO public.ecdc_import VALUES (16900, '14/09/2020', '14', '9', '2020', '2143', '39', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '28.46838751');
INSERT INTO public.ecdc_import VALUES (16901, '13/09/2020', '13', '9', '2020', '1719', '28', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '20.40445486');
INSERT INTO public.ecdc_import VALUES (16902, '12/09/2020', '12', '9', '2020', '1526', '87', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '14.91338295');
INSERT INTO public.ecdc_import VALUES (16903, '11/09/2020', '11', '9', '2020', '1040', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '11.43685523');
INSERT INTO public.ecdc_import VALUES (16904, '10/09/2020', '10', '9', '2020', '1409', '74', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '9.30719422');
INSERT INTO public.ecdc_import VALUES (16905, '09/09/2020', '9', '9', '2020', '665', '51', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '9.94033668');
INSERT INTO public.ecdc_import VALUES (16906, '08/09/2020', '8', '9', '2020', '308', '52', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '10.37778057');
INSERT INTO public.ecdc_import VALUES (16907, '07/09/2020', '7', '9', '2020', '-8261', '3800', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '11.59801877');
INSERT INTO public.ecdc_import VALUES (16908, '06/09/2020', '6', '9', '2020', '870', '50', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '63.0609894');
INSERT INTO public.ecdc_import VALUES (16909, '05/09/2020', '5', '9', '2020', '815', '26', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '61.55295917');
INSERT INTO public.ecdc_import VALUES (16910, '04/09/2020', '4', '9', '2020', '903', '29', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '62.46238198');
INSERT INTO public.ecdc_import VALUES (16911, '03/09/2020', '3', '9', '2020', '1148', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '63.21064126');
INSERT INTO public.ecdc_import VALUES (16912, '02/09/2020', '2', '9', '2020', '542', '15', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.43239572');
INSERT INTO public.ecdc_import VALUES (16913, '01/09/2020', '1', '9', '2020', '119', '1', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.16218042');
INSERT INTO public.ecdc_import VALUES (16914, '31/08/2020', '31', '8', '2020', '742', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.68020607');
INSERT INTO public.ecdc_import VALUES (16915, '30/08/2020', '30', '8', '2020', '765', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.32486022');
INSERT INTO public.ecdc_import VALUES (16916, '29/08/2020', '29', '8', '2020', '922', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.28336228');
INSERT INTO public.ecdc_import VALUES (16917, '28/08/2020', '28', '8', '2020', '670', '61', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '74.11220332');
INSERT INTO public.ecdc_import VALUES (16918, '27/08/2020', '27', '8', '2020', '1519', '42', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '77.35274157');
INSERT INTO public.ecdc_import VALUES (16919, '26/08/2020', '26', '8', '2020', '741', '46', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '77.5139051');
INSERT INTO public.ecdc_import VALUES (16920, '25/08/2020', '25', '8', '2020', '520', '12', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '78.21036181');
INSERT INTO public.ecdc_import VALUES (16921, '24/08/2020', '24', '8', '2020', '680', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '76.61023813');
INSERT INTO public.ecdc_import VALUES (16922, '23/08/2020', '23', '8', '2020', '608', '29', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '77.80169713');
INSERT INTO public.ecdc_import VALUES (16923, '22/08/2020', '22', '8', '2020', '973', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '83.52875851');
INSERT INTO public.ecdc_import VALUES (16924, '21/08/2020', '21', '8', '2020', '1033', '54', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '86.17068934');
INSERT INTO public.ecdc_import VALUES (16925, '20/08/2020', '20', '8', '2020', '1534', '41', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '89.84291563');
INSERT INTO public.ecdc_import VALUES (16926, '19/08/2020', '19', '8', '2020', '1190', '22', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '86.21098022');
INSERT INTO public.ecdc_import VALUES (16927, '18/08/2020', '18', '8', '2020', '209', '13', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '84.66841495');
INSERT INTO public.ecdc_import VALUES (16928, '17/08/2020', '17', '8', '2020', '854', '5', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '86.44121384');
INSERT INTO public.ecdc_import VALUES (16929, '16/08/2020', '16', '8', '2020', '1279', '35', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '83.20643144');
INSERT INTO public.ecdc_import VALUES (16930, '15/08/2020', '15', '8', '2020', '1066', '20', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '80.89258352');
INSERT INTO public.ecdc_import VALUES (16931, '14/08/2020', '14', '8', '2020', '1233', '26', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '80.42636044');
INSERT INTO public.ecdc_import VALUES (16932, '13/08/2020', '13', '8', '2020', '1547', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '80.10403336');
INSERT INTO public.ecdc_import VALUES (16933, '12/08/2020', '12', '8', '2020', '862', '19', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '76.46058628');
INSERT INTO public.ecdc_import VALUES (16934, '11/08/2020', '11', '8', '2020', '242', '10', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '77.93408147');
INSERT INTO public.ecdc_import VALUES (16935, '10/08/2020', '10', '8', '2020', '887', '6', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '79.2291456');
INSERT INTO public.ecdc_import VALUES (16936, '09/08/2020', '9', '8', '2020', '1603', '19', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '77.9110581');
INSERT INTO public.ecdc_import VALUES (16937, '08/08/2020', '8', '8', '2020', '1432', '10', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '74.36546031');
INSERT INTO public.ecdc_import VALUES (16938, '07/08/2020', '7', '8', '2020', '1671', '40', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '71.30910896');
INSERT INTO public.ecdc_import VALUES (16939, '06/08/2020', '6', '8', '2020', '903', '39', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '66.8195533');
INSERT INTO public.ecdc_import VALUES (16940, '05/08/2020', '5', '8', '2020', '922', '41', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '67.60810346');
INSERT INTO public.ecdc_import VALUES (16941, '04/08/2020', '4', '8', '2020', '517', '17', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '71.49329586');
INSERT INTO public.ecdc_import VALUES (16942, '03/08/2020', '3', '8', '2020', '292', '14', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.01132151');
INSERT INTO public.ecdc_import VALUES (16943, '02/08/2020', '2', '8', '2020', '877', '34', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.96255147');
INSERT INTO public.ecdc_import VALUES (16944, '01/08/2020', '1', '8', '2020', '985', '45', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '74.31365774');
INSERT INTO public.ecdc_import VALUES (16945, '31/07/2020', '31', '7', '2020', '1177', '34', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '74.85470676');
INSERT INTO public.ecdc_import VALUES (16946, '30/07/2020', '30', '7', '2020', '914', '39', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '74.04313323');
INSERT INTO public.ecdc_import VALUES (16947, '29/07/2020', '29', '7', '2020', '1118', '52', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.15097794');
INSERT INTO public.ecdc_import VALUES (16948, '28/07/2020', '28', '7', '2020', '467', '17', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.11068706');
INSERT INTO public.ecdc_import VALUES (16949, '27/07/2020', '27', '7', '2020', '658', '8', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.81289961');
INSERT INTO public.ecdc_import VALUES (16950, '26/07/2020', '26', '7', '2020', '987', '39', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.83016713');
INSERT INTO public.ecdc_import VALUES (16951, '25/07/2020', '25', '7', '2020', '901', '29', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '76.25337602');
INSERT INTO public.ecdc_import VALUES (16952, '24/07/2020', '24', '7', '2020', '891', '21', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '75.57418683');
INSERT INTO public.ecdc_import VALUES (16953, '23/07/2020', '23', '7', '2020', '1040', '52', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '75.03313781');
INSERT INTO public.ecdc_import VALUES (16954, '22/07/2020', '22', '7', '2020', '1597', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '74.66476402');
INSERT INTO public.ecdc_import VALUES (16955, '21/07/2020', '21', '7', '2020', '607', '5', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '70.45148871');
INSERT INTO public.ecdc_import VALUES (16956, '20/07/2020', '20', '7', '2020', '631', '31', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.3866582');
INSERT INTO public.ecdc_import VALUES (16957, '19/07/2020', '19', '7', '2020', '938', '32', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '68.18944336');
INSERT INTO public.ecdc_import VALUES (16958, '18/07/2020', '18', '7', '2020', '1079', '43', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '67.84409293');
INSERT INTO public.ecdc_import VALUES (16959, '17/07/2020', '17', '7', '2020', '1036', '49', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '68.47723539');
INSERT INTO public.ecdc_import VALUES (16960, '16/07/2020', '16', '7', '2020', '759', '28', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '69.48450749');
INSERT INTO public.ecdc_import VALUES (16961, '15/07/2020', '15', '7', '2020', '1111', '67', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '75.62023355');
INSERT INTO public.ecdc_import VALUES (16962, '14/07/2020', '14', '7', '2020', '589', '16', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '73.64022439');
INSERT INTO public.ecdc_import VALUES (16963, '13/07/2020', '13', '7', '2020', '661', '16', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.60992893');
INSERT INTO public.ecdc_import VALUES (16964, '12/07/2020', '12', '7', '2020', '1408', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '72.72504574');
INSERT INTO public.ecdc_import VALUES (16965, '11/07/2020', '11', '7', '2020', '783', '44', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '68.75351574');
INSERT INTO public.ecdc_import VALUES (16966, '10/07/2020', '10', '7', '2020', '797', '39', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '68.27578097');
INSERT INTO public.ecdc_import VALUES (16967, '09/07/2020', '9', '7', '2020', '976', '27', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '68.41967699');
INSERT INTO public.ecdc_import VALUES (16968, '08/07/2020', '8', '7', '2020', '865', '52', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '66.77926242');
INSERT INTO public.ecdc_import VALUES (16969, '07/07/2020', '7', '7', '2020', '422', '40', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '67.57356842');
INSERT INTO public.ecdc_import VALUES (16970, '06/07/2020', '6', '7', '2020', '423', '12', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.1446037');
INSERT INTO public.ecdc_import VALUES (16971, '05/07/2020', '5', '7', '2020', '878', '69', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '65.34030227');
INSERT INTO public.ecdc_import VALUES (16972, '04/07/2020', '4', '7', '2020', '1189', '61', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '62.88831419');
INSERT INTO public.ecdc_import VALUES (16973, '03/07/2020', '3', '7', '2020', '1211', '63', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '59.69382266');
INSERT INTO public.ecdc_import VALUES (16974, '02/07/2020', '2', '7', '2020', '1825', '49', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '56.21729495');
INSERT INTO public.ecdc_import VALUES (16975, '01/07/2020', '1', '7', '2020', '767', '25', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '48.86133069');
INSERT INTO public.ecdc_import VALUES (16976, '30/06/2020', '30', '6', '2020', '410', '73', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '48.02097797');
INSERT INTO public.ecdc_import VALUES (16977, '29/06/2020', '29', '6', '2020', '681', '5', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '48.9476683');
INSERT INTO public.ecdc_import VALUES (16978, '28/06/2020', '28', '6', '2020', '718', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '47.30149789');
INSERT INTO public.ecdc_import VALUES (16979, '27/06/2020', '27', '6', '2020', '700', '63', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '46.49568021');
INSERT INTO public.ecdc_import VALUES (16980, '26/06/2020', '26', '6', '2020', '822', '34', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '50.1679065');
INSERT INTO public.ecdc_import VALUES (16981, '25/06/2020', '25', '6', '2020', '691', '35', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '45.43660555');
INSERT INTO public.ecdc_import VALUES (16982, '24/06/2020', '24', '6', '2020', '1003', '51', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '44.46962433');
INSERT INTO public.ecdc_import VALUES (16983, '23/06/2020', '23', '6', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '41.7989143');
INSERT INTO public.ecdc_import VALUES (16984, '22/06/2020', '22', '6', '2020', '457', '24', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '43.28392117');
INSERT INTO public.ecdc_import VALUES (16985, '21/06/2020', '21', '6', '2020', '452', '43', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '42.90979153');
INSERT INTO public.ecdc_import VALUES (16986, '20/06/2020', '20', '6', '2020', '634', '69', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '46.94463578');
INSERT INTO public.ecdc_import VALUES (16987, '19/06/2020', '19', '6', '2020', '607', '80', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '46.80073976');
INSERT INTO public.ecdc_import VALUES (16988, '18/06/2020', '18', '6', '2020', '547', '37', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '43.30694453');
INSERT INTO public.ecdc_import VALUES (16989, '17/06/2020', '17', '6', '2020', '621', '41', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '43.33572373');
INSERT INTO public.ecdc_import VALUES (16990, '16/06/2020', '16', '6', '2020', '571', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '42.17879978');
INSERT INTO public.ecdc_import VALUES (16991, '15/06/2020', '15', '6', '2020', '395', '22', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '44.04944797');
INSERT INTO public.ecdc_import VALUES (16992, '14/06/2020', '14', '6', '2020', '578', '46', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '44.80921892');
INSERT INTO public.ecdc_import VALUES (16993, '13/06/2020', '13', '6', '2020', '1338', '108', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '41.48234307');
INSERT INTO public.ecdc_import VALUES (16994, '12/06/2020', '12', '6', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '34.35661243');
INSERT INTO public.ecdc_import VALUES (16995, '11/06/2020', '11', '6', '2020', '523', '30', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.47476176');
INSERT INTO public.ecdc_import VALUES (16996, '10/06/2020', '10', '6', '2020', '539', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '37.76982589');
INSERT INTO public.ecdc_import VALUES (16997, '09/06/2020', '9', '6', '2020', '258', '21', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '34.66742782');
INSERT INTO public.ecdc_import VALUES (16998, '08/06/2020', '8', '6', '2020', '392', '13', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.63016946');
INSERT INTO public.ecdc_import VALUES (16999, '07/06/2020', '7', '6', '2020', '1153', '74', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '37.24028856');
INSERT INTO public.ecdc_import VALUES (17000, '06/06/2020', '6', '6', '2020', '609', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '33.07881582');
INSERT INTO public.ecdc_import VALUES (17001, '05/06/2020', '5', '6', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '32.57805769');
INSERT INTO public.ecdc_import VALUES (17002, '04/06/2020', '4', '6', '2020', '552', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '35.17969763');
INSERT INTO public.ecdc_import VALUES (17003, '03/06/2020', '3', '6', '2020', '420', '44', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.04882956');
INSERT INTO public.ecdc_import VALUES (17004, '02/06/2020', '2', '6', '2020', '896', '36', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.90644981');
INSERT INTO public.ecdc_import VALUES (17005, '01/06/2020', '1', '6', '2020', '527', '24', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '34.05155288');
INSERT INTO public.ecdc_import VALUES (17006, '31/05/2020', '31', '5', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '33.42992209');
INSERT INTO public.ecdc_import VALUES (17007, '30/05/2020', '30', '5', '2020', '100', '21', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '40.88949149');
INSERT INTO public.ecdc_import VALUES (17008, '29/05/2020', '29', '5', '2020', '368', '38', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '45.86829359');
INSERT INTO public.ecdc_import VALUES (17009, '28/05/2020', '28', '5', '2020', '748', '72', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '43.84223771');
INSERT INTO public.ecdc_import VALUES (17010, '27/05/2020', '27', '5', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '39.92251027');
INSERT INTO public.ecdc_import VALUES (17011, '26/05/2020', '26', '5', '2020', '599', '95', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '45.1603252');
INSERT INTO public.ecdc_import VALUES (17012, '25/05/2020', '25', '5', '2020', '498', '12', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '41.42478466');
INSERT INTO public.ecdc_import VALUES (17013, '24/05/2020', '24', '5', '2020', '430', '40', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '41.36722626');
INSERT INTO public.ecdc_import VALUES (17014, '23/05/2020', '23', '5', '2020', '522', '117', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '40.34844247');
INSERT INTO public.ecdc_import VALUES (17015, '22/05/2020', '22', '5', '2020', '452', '51', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '28.82524963');
INSERT INTO public.ecdc_import VALUES (17016, '21/05/2020', '21', '5', '2020', '703', '49', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '31.27723772');
INSERT INTO public.ecdc_import VALUES (17017, '20/05/2020', '20', '5', '2020', '569', '40', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '13.06575812');
INSERT INTO public.ecdc_import VALUES (17018, '19/05/2020', '19', '5', '2020', '400', '63', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '9.79068483');
INSERT INTO public.ecdc_import VALUES (17019, '18/05/2020', '18', '5', '2020', '419', '48', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '20.97428308');
INSERT INTO public.ecdc_import VALUES (17020, '17/05/2020', '17', '5', '2020', '1296', '94', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '30.50019924');
INSERT INTO public.ecdc_import VALUES (17021, '16/05/2020', '16', '5', '2020', '965', '256', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '29.53321802');
INSERT INTO public.ecdc_import VALUES (17022, '15/05/2020', '15', '5', '2020', '16', '4', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '32.04852035');
INSERT INTO public.ecdc_import VALUES (17023, '14/05/2020', '14', '5', '2020', '67', '7', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '33.44718962');
INSERT INTO public.ecdc_import VALUES (17024, '13/05/2020', '13', '5', '2020', '910', '182', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '35.46173382');
INSERT INTO public.ecdc_import VALUES (17025, '12/05/2020', '12', '5', '2020', '-50', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.0833646');
INSERT INTO public.ecdc_import VALUES (17026, '11/05/2020', '11', '5', '2020', '488', '410', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '39.36994957');
INSERT INTO public.ecdc_import VALUES (17027, '10/05/2020', '10', '5', '2020', '253', '13', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '102.96047631');
INSERT INTO public.ecdc_import VALUES (17028, '09/05/2020', '9', '5', '2020', '-1480', '50', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '101.50424864');
INSERT INTO public.ecdc_import VALUES (17029, '08/05/2020', '8', '5', '2020', '878', '36', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '110.0228927');
INSERT INTO public.ecdc_import VALUES (17030, '07/05/2020', '7', '5', '2020', '-2461', '49', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '106.88595959');
INSERT INTO public.ecdc_import VALUES (17031, '06/05/2020', '6', '5', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '123.6527232');
INSERT INTO public.ecdc_import VALUES (17032, '05/05/2020', '5', '5', '2020', '2343', '5', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '125.20680016');
INSERT INTO public.ecdc_import VALUES (17033, '04/05/2020', '4', '5', '2020', '2074', '193', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '115.51972046');
INSERT INTO public.ecdc_import VALUES (17034, '03/05/2020', '3', '5', '2020', '1128', '308', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '106.14921199');
INSERT INTO public.ecdc_import VALUES (17035, '02/05/2020', '2', '5', '2020', '1402', '163', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '102.94896463');
INSERT INTO public.ecdc_import VALUES (17036, '01/05/2020', '1', '5', '2020', '259', '17', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '96.17434027');
INSERT INTO public.ecdc_import VALUES (17037, '30/04/2020', '30', '4', '2020', '417', '12', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '96.79597105');
INSERT INTO public.ecdc_import VALUES (17038, '29/04/2020', '29', '4', '2020', '1018', '208', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '95.86352488');
INSERT INTO public.ecdc_import VALUES (17039, '28/04/2020', '28', '4', '2020', '521', '87', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '90.43001137');
INSERT INTO public.ecdc_import VALUES (17040, '27/04/2020', '27', '4', '2020', '11536', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '87.79383638');
INSERT INTO public.ecdc_import VALUES (17041, '26/04/2020', '26', '4', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '22.59743012');
INSERT INTO public.ecdc_import VALUES (17042, '25/04/2020', '25', '4', '2020', '0', '16', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '23.14999082');
INSERT INTO public.ecdc_import VALUES (17043, '24/04/2020', '24', '4', '2020', '333', '23', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '35.78981673');
INSERT INTO public.ecdc_import VALUES (17044, '23/04/2020', '23', '4', '2020', '452', '17', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.83737972');
INSERT INTO public.ecdc_import VALUES (17045, '22/04/2020', '22', '4', '2020', '270', '13', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.85464724');
INSERT INTO public.ecdc_import VALUES (17046, '21/04/2020', '21', '4', '2020', '660', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '36.72801875');
INSERT INTO public.ecdc_import VALUES (17047, '20/04/2020', '20', '4', '2020', '446', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '33.51050386');
INSERT INTO public.ecdc_import VALUES (17048, '19/04/2020', '19', '4', '2020', '572', '35', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '31.98520611');
INSERT INTO public.ecdc_import VALUES (17049, '18/04/2020', '18', '4', '2020', '225', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '29.25118183');
INSERT INTO public.ecdc_import VALUES (17050, '17/04/2020', '17', '4', '2020', '367', '15', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '29.13606502');
INSERT INTO public.ecdc_import VALUES (17051, '16/04/2020', '16', '4', '2020', '255', '33', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '29.35478696');
INSERT INTO public.ecdc_import VALUES (17052, '15/04/2020', '15', '4', '2020', '74', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '30.51171092');
INSERT INTO public.ecdc_import VALUES (17053, '14/04/2020', '14', '4', '2020', '63', '22', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '32.01974115');
INSERT INTO public.ecdc_import VALUES (17054, '13/04/2020', '13', '4', '2020', '209', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '32.09456708');
INSERT INTO public.ecdc_import VALUES (17055, '12/04/2020', '12', '4', '2020', '96', '18', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '31.20816763');
INSERT INTO public.ecdc_import VALUES (17056, '11/04/2020', '11', '4', '2020', '2196', '25', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '31.85282177');
INSERT INTO public.ecdc_import VALUES (17057, '10/04/2020', '10', '4', '2020', '515', '30', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '20.50230415');
INSERT INTO public.ecdc_import VALUES (17058, '09/04/2020', '9', '4', '2020', '455', '22', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '18.64316764');
INSERT INTO public.ecdc_import VALUES (17059, '08/04/2020', '8', '4', '2020', '248', '29', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '16.76676361');
INSERT INTO public.ecdc_import VALUES (17060, '07/04/2020', '7', '4', '2020', '101', '11', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '15.92065505');
INSERT INTO public.ecdc_import VALUES (17061, '06/04/2020', '6', '4', '2020', '181', '8', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '16.44443654');
INSERT INTO public.ecdc_import VALUES (17062, '05/04/2020', '5', '4', '2020', '97', '27', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '16.88188042');
INSERT INTO public.ecdc_import VALUES (17063, '04/04/2020', '4', '4', '2020', '205', '25', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '16.93368299');
INSERT INTO public.ecdc_import VALUES (17064, '03/04/2020', '3', '4', '2020', '405', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '17.06031148');
INSERT INTO public.ecdc_import VALUES (17065, '02/04/2020', '2', '4', '2020', '456', '41', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '14.9076271');
INSERT INTO public.ecdc_import VALUES (17066, '01/04/2020', '1', '4', '2020', '336', '17', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '12.61104671');
INSERT INTO public.ecdc_import VALUES (17067, '31/03/2020', '31', '3', '2020', '76', '4', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '10.98214383');
INSERT INTO public.ecdc_import VALUES (17068, '30/03/2020', '30', '3', '2020', '55', '10', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '10.6655726');
INSERT INTO public.ecdc_import VALUES (17069, '29/03/2020', '29', '3', '2020', '208', '7', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '10.40080393');
INSERT INTO public.ecdc_import VALUES (17070, '28/03/2020', '28', '3', '2020', '224', '7', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '9.23236829');
INSERT INTO public.ecdc_import VALUES (17071, '27/03/2020', '27', '3', '2020', '192', '5', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '7.97759505');
INSERT INTO public.ecdc_import VALUES (17072, '26/03/2020', '26', '3', '2020', '129', '2', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '6.88398533');
INSERT INTO public.ecdc_import VALUES (17073, '25/03/2020', '25', '3', '2020', '101', '9', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '6.14723774');
INSERT INTO public.ecdc_import VALUES (17074, '24/03/2020', '24', '3', '2020', '192', '4', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '5.57165368');
INSERT INTO public.ecdc_import VALUES (17075, '23/03/2020', '23', '3', '2020', '257', '7', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '4.48379981');
INSERT INTO public.ecdc_import VALUES (17076, '22/03/2020', '22', '3', '2020', '106', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '3.0218163');
INSERT INTO public.ecdc_import VALUES (17077, '21/03/2020', '21', '3', '2020', '227', '4', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '2.41745304');
INSERT INTO public.ecdc_import VALUES (17078, '20/03/2020', '20', '3', '2020', '31', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '1.13965644');
INSERT INTO public.ecdc_import VALUES (17079, '19/03/2020', '19', '3', '2020', '57', '1', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.96698122');
INSERT INTO public.ecdc_import VALUES (17080, '18/03/2020', '18', '3', '2020', '53', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.6388983');
INSERT INTO public.ecdc_import VALUES (17081, '17/03/2020', '17', '3', '2020', '21', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.33383875');
INSERT INTO public.ecdc_import VALUES (17082, '16/03/2020', '16', '3', '2020', '9', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.2129661');
INSERT INTO public.ecdc_import VALUES (17083, '15/03/2020', '15', '3', '2020', '5', '1', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.16116354');
INSERT INTO public.ecdc_import VALUES (17084, '14/03/2020', '14', '3', '2020', '6', '1', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.13238433');
INSERT INTO public.ecdc_import VALUES (17085, '11/03/2020', '11', '3', '2020', '2', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.09784929');
INSERT INTO public.ecdc_import VALUES (17086, '10/03/2020', '10', '3', '2020', '1', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.08633761');
INSERT INTO public.ecdc_import VALUES (17087, '09/03/2020', '9', '3', '2020', '1', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.08058177');
INSERT INTO public.ecdc_import VALUES (17088, '06/03/2020', '6', '3', '2020', '3', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.07482593');
INSERT INTO public.ecdc_import VALUES (17089, '05/03/2020', '5', '3', '2020', '3', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.05755841');
INSERT INTO public.ecdc_import VALUES (17090, '03/03/2020', '3', '3', '2020', '1', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.04029088');
INSERT INTO public.ecdc_import VALUES (17091, '02/03/2020', '2', '3', '2020', '5', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.03453504');
INSERT INTO public.ecdc_import VALUES (17092, '01/03/2020', '1', '3', '2020', '1', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0.00575584');
INSERT INTO public.ecdc_import VALUES (17093, '29/02/2020', '29', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17094, '28/02/2020', '28', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17095, '27/02/2020', '27', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17096, '26/02/2020', '26', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17097, '25/02/2020', '25', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17098, '24/02/2020', '24', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17099, '23/02/2020', '23', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17100, '22/02/2020', '22', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17101, '21/02/2020', '21', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17102, '20/02/2020', '20', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17103, '19/02/2020', '19', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17104, '18/02/2020', '18', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17105, '17/02/2020', '17', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17106, '16/02/2020', '16', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17107, '15/02/2020', '15', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17108, '14/02/2020', '14', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17109, '13/02/2020', '13', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17110, '12/02/2020', '12', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17111, '11/02/2020', '11', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17112, '10/02/2020', '10', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17113, '09/02/2020', '9', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17114, '08/02/2020', '8', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17115, '07/02/2020', '7', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17116, '06/02/2020', '6', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17117, '05/02/2020', '5', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17118, '04/02/2020', '4', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17119, '03/02/2020', '3', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17120, '02/02/2020', '2', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17121, '01/02/2020', '1', '2', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17122, '31/01/2020', '31', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17123, '30/01/2020', '30', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17124, '29/01/2020', '29', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17125, '28/01/2020', '28', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17126, '27/01/2020', '27', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17127, '26/01/2020', '26', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17128, '25/01/2020', '25', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17129, '24/01/2020', '24', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17130, '23/01/2020', '23', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17131, '22/01/2020', '22', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17132, '21/01/2020', '21', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17133, '20/01/2020', '20', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17134, '19/01/2020', '19', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17135, '18/01/2020', '18', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17136, '17/01/2020', '17', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17137, '16/01/2020', '16', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17138, '15/01/2020', '15', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17139, '14/01/2020', '14', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17140, '13/01/2020', '13', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '0');
INSERT INTO public.ecdc_import VALUES (17141, '12/01/2020', '12', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17143, '10/01/2020', '10', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17144, '09/01/2020', '9', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17145, '08/01/2020', '8', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17146, '07/01/2020', '7', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17147, '06/01/2020', '6', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17148, '05/01/2020', '5', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17149, '04/01/2020', '4', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17150, '03/01/2020', '3', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17151, '02/01/2020', '2', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17152, '01/01/2020', '1', '1', '2020', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17153, '31/12/2019', '31', '12', '2019', '0', '0', '17373657', 'Ecuador', 'EC', 'ECU', 'America', '');
INSERT INTO public.ecdc_import VALUES (17154, '14/12/2020', '14', '12', '2020', '486', '22', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '6.01067402');
INSERT INTO public.ecdc_import VALUES (17155, '13/12/2020', '13', '12', '2020', '478', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.88316883');
INSERT INTO public.ecdc_import VALUES (17156, '12/12/2020', '12', '12', '2020', '464', '23', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.75665978');
INSERT INTO public.ecdc_import VALUES (17157, '11/12/2020', '11', '12', '2020', '445', '22', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.65007342');
INSERT INTO public.ecdc_import VALUES (17158, '10/12/2020', '10', '12', '2020', '421', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.57337108');
INSERT INTO public.ecdc_import VALUES (17159, '09/12/2020', '9', '12', '2020', '434', '23', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.51758757');
INSERT INTO public.ecdc_import VALUES (17160, '08/12/2020', '8', '12', '2020', '415', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.44486977');
INSERT INTO public.ecdc_import VALUES (17161, '07/12/2020', '7', '12', '2020', '418', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.38410558');
INSERT INTO public.ecdc_import VALUES (17162, '06/12/2020', '6', '12', '2020', '431', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.31736458');
INSERT INTO public.ecdc_import VALUES (17163, '05/12/2020', '5', '12', '2020', '427', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.24464678');
INSERT INTO public.ecdc_import VALUES (17164, '04/12/2020', '4', '12', '2020', '432', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.18089419');
INSERT INTO public.ecdc_import VALUES (17165, '03/12/2020', '3', '12', '2020', '421', '28', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.09124211');
INSERT INTO public.ecdc_import VALUES (17166, '02/12/2020', '2', '12', '2020', '392', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.99959776');
INSERT INTO public.ecdc_import VALUES (17167, '01/12/2020', '1', '12', '2020', '370', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.88305005');
INSERT INTO public.ecdc_import VALUES (17168, '30/11/2020', '30', '11', '2020', '358', '15', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.75554487');
INSERT INTO public.ecdc_import VALUES (17169, '29/11/2020', '29', '11', '2020', '351', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.61807835');
INSERT INTO public.ecdc_import VALUES (17170, '28/11/2020', '28', '11', '2020', '357', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.49555383');
INSERT INTO public.ecdc_import VALUES (17171, '27/11/2020', '27', '11', '2020', '368', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.36306798');
INSERT INTO public.ecdc_import VALUES (17172, '26/11/2020', '26', '11', '2020', '365', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.20966331');
INSERT INTO public.ecdc_import VALUES (17173, '25/11/2020', '25', '11', '2020', '361', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.07219678');
INSERT INTO public.ecdc_import VALUES (17174, '24/11/2020', '24', '11', '2020', '354', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.94369546');
INSERT INTO public.ecdc_import VALUES (17175, '23/11/2020', '23', '11', '2020', '351', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.81120961');
INSERT INTO public.ecdc_import VALUES (17176, '22/11/2020', '22', '11', '2020', '358', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.69964258');
INSERT INTO public.ecdc_import VALUES (17177, '21/11/2020', '21', '11', '2020', '363', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.55022244');
INSERT INTO public.ecdc_import VALUES (17178, '20/11/2020', '20', '11', '2020', '342', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.41175978');
INSERT INTO public.ecdc_import VALUES (17179, '19/11/2020', '19', '11', '2020', '329', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.27130485');
INSERT INTO public.ecdc_import VALUES (17180, '18/11/2020', '18', '11', '2020', '275', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.14977647');
INSERT INTO public.ecdc_import VALUES (17181, '17/11/2020', '17', '11', '2020', '242', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.072078');
INSERT INTO public.ecdc_import VALUES (17182, '16/11/2020', '16', '11', '2020', '220', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.01928289');
INSERT INTO public.ecdc_import VALUES (17183, '15/11/2020', '15', '11', '2020', '228', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.98043365');
INSERT INTO public.ecdc_import VALUES (17184, '14/11/2020', '14', '11', '2020', '224', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.93162307');
INSERT INTO public.ecdc_import VALUES (17185, '13/11/2020', '13', '11', '2020', '214', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.87484342');
INSERT INTO public.ecdc_import VALUES (17186, '12/11/2020', '12', '11', '2020', '227', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.83997872');
INSERT INTO public.ecdc_import VALUES (17187, '11/11/2020', '11', '11', '2020', '232', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.76626479');
INSERT INTO public.ecdc_import VALUES (17188, '10/11/2020', '10', '11', '2020', '221', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.70450447');
INSERT INTO public.ecdc_import VALUES (17189, '09/11/2020', '9', '11', '2020', '239', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.65071322');
INSERT INTO public.ecdc_import VALUES (17190, '08/11/2020', '8', '11', '2020', '208', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.55508433');
INSERT INTO public.ecdc_import VALUES (17191, '07/11/2020', '7', '11', '2020', '224', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.51424283');
INSERT INTO public.ecdc_import VALUES (17192, '06/11/2020', '6', '11', '2020', '201', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.46045158');
INSERT INTO public.ecdc_import VALUES (17193, '05/11/2020', '5', '11', '2020', '207', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.43654436');
INSERT INTO public.ecdc_import VALUES (17194, '04/11/2020', '4', '11', '2020', '197', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.40765646');
INSERT INTO public.ecdc_import VALUES (17195, '03/11/2020', '3', '11', '2020', '189', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.36880723');
INSERT INTO public.ecdc_import VALUES (17196, '02/11/2020', '2', '11', '2020', '181', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.30306237');
INSERT INTO public.ecdc_import VALUES (17197, '01/11/2020', '1', '11', '2020', '179', '8', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.24927112');
INSERT INTO public.ecdc_import VALUES (17198, '31/10/2020', '31', '10', '2020', '167', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.20842961');
INSERT INTO public.ecdc_import VALUES (17199, '30/10/2020', '30', '10', '2020', '179', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.16758811');
INSERT INTO public.ecdc_import VALUES (17200, '29/10/2020', '29', '10', '2020', '153', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.10682392');
INSERT INTO public.ecdc_import VALUES (17201, '28/10/2020', '28', '10', '2020', '170', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.08192057');
INSERT INTO public.ecdc_import VALUES (17202, '27/10/2020', '27', '10', '2020', '167', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.0510404');
INSERT INTO public.ecdc_import VALUES (17203, '26/10/2020', '26', '10', '2020', '143', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.14467702');
INSERT INTO public.ecdc_import VALUES (17204, '25/10/2020', '25', '10', '2020', '167', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.00222983');
INSERT INTO public.ecdc_import VALUES (17205, '24/10/2020', '24', '10', '2020', '170', '10', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.96039219');
INSERT INTO public.ecdc_import VALUES (17206, '23/10/2020', '23', '10', '2020', '177', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.8966396');
INSERT INTO public.ecdc_import VALUES (17207, '22/10/2020', '22', '10', '2020', '178', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.84085608');
INSERT INTO public.ecdc_import VALUES (17208, '21/10/2020', '21', '10', '2020', '158', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.79603004');
INSERT INTO public.ecdc_import VALUES (17209, '20/10/2020', '20', '10', '2020', '123', '10', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.75917307');
INSERT INTO public.ecdc_import VALUES (17210, '19/10/2020', '19', '10', '2020', '127', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.73426972');
INSERT INTO public.ecdc_import VALUES (17211, '18/10/2020', '18', '10', '2020', '138', '10', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.71534316');
INSERT INTO public.ecdc_import VALUES (17212, '17/10/2020', '17', '10', '2020', '126', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.68645527');
INSERT INTO public.ecdc_import VALUES (17213, '16/10/2020', '16', '10', '2020', '118', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.70936636');
INSERT INTO public.ecdc_import VALUES (17214, '15/10/2020', '15', '10', '2020', '128', '6', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.71036249');
INSERT INTO public.ecdc_import VALUES (17215, '14/10/2020', '14', '10', '2020', '139', '9', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.70139729');
INSERT INTO public.ecdc_import VALUES (17216, '13/10/2020', '13', '10', '2020', '261', '22', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.68645527');
INSERT INTO public.ecdc_import VALUES (17217, '12/10/2020', '12', '10', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.54101967');
INSERT INTO public.ecdc_import VALUES (17218, '11/10/2020', '11', '10', '2020', '125', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.64461763');
INSERT INTO public.ecdc_import VALUES (17219, '10/10/2020', '10', '10', '2020', '106', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.63067175');
INSERT INTO public.ecdc_import VALUES (17220, '09/10/2020', '9', '10', '2020', '121', '7', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.63664856');
INSERT INTO public.ecdc_import VALUES (17221, '08/10/2020', '8', '10', '2020', '133', '9', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.65358284');
INSERT INTO public.ecdc_import VALUES (17222, '07/10/2020', '7', '10', '2020', '121', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.64162923');
INSERT INTO public.ecdc_import VALUES (17223, '06/10/2020', '6', '10', '2020', '98', '9', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.63366016');
INSERT INTO public.ecdc_import VALUES (17224, '05/10/2020', '5', '10', '2020', '108', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.66155192');
INSERT INTO public.ecdc_import VALUES (17225, '04/10/2020', '4', '10', '2020', '109', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.66852486');
INSERT INTO public.ecdc_import VALUES (17226, '03/10/2020', '3', '10', '2020', '149', '10', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.68745141');
INSERT INTO public.ecdc_import VALUES (17227, '02/10/2020', '2', '10', '2020', '119', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.66952099');
INSERT INTO public.ecdc_import VALUES (17228, '01/10/2020', '1', '10', '2020', '119', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.69143594');
INSERT INTO public.ecdc_import VALUES (17229, '30/09/2020', '30', '9', '2020', '124', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.73227745');
INSERT INTO public.ecdc_import VALUES (17230, '29/09/2020', '29', '9', '2020', '115', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.77112668');
INSERT INTO public.ecdc_import VALUES (17231, '28/09/2020', '28', '9', '2020', '104', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.8239218');
INSERT INTO public.ecdc_import VALUES (17232, '27/09/2020', '27', '9', '2020', '111', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.87273238');
INSERT INTO public.ecdc_import VALUES (17233, '26/09/2020', '26', '9', '2020', '112', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.90958934');
INSERT INTO public.ecdc_import VALUES (17234, '25/09/2020', '25', '9', '2020', '138', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.94843858');
INSERT INTO public.ecdc_import VALUES (17235, '24/09/2020', '24', '9', '2020', '121', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.96437673');
INSERT INTO public.ecdc_import VALUES (17236, '23/09/2020', '23', '9', '2020', '113', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.01816797');
INSERT INTO public.ecdc_import VALUES (17237, '22/09/2020', '22', '9', '2020', '126', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.09188191');
INSERT INTO public.ecdc_import VALUES (17238, '21/09/2020', '21', '9', '2020', '115', '20', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.14368089');
INSERT INTO public.ecdc_import VALUES (17239, '20/09/2020', '20', '9', '2020', '128', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.17954172');
INSERT INTO public.ecdc_import VALUES (17240, '19/09/2020', '19', '9', '2020', '131', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.18153399');
INSERT INTO public.ecdc_import VALUES (17241, '18/09/2020', '18', '9', '2020', '141', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.20743348');
INSERT INTO public.ecdc_import VALUES (17242, '17/09/2020', '17', '9', '2020', '160', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.21141802');
INSERT INTO public.ecdc_import VALUES (17243, '16/09/2020', '16', '9', '2020', '163', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.21639869');
INSERT INTO public.ecdc_import VALUES (17244, '15/09/2020', '15', '9', '2020', '168', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.22934843');
INSERT INTO public.ecdc_import VALUES (17245, '14/09/2020', '14', '9', '2020', '153', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.27317834');
INSERT INTO public.ecdc_import VALUES (17246, '13/09/2020', '13', '9', '2020', '148', '20', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.34988068');
INSERT INTO public.ecdc_import VALUES (17247, '12/09/2020', '12', '9', '2020', '151', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.41363327');
INSERT INTO public.ecdc_import VALUES (17248, '11/09/2020', '11', '9', '2020', '154', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.48535493');
INSERT INTO public.ecdc_import VALUES (17249, '10/09/2020', '10', '9', '2020', '175', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.56803408');
INSERT INTO public.ecdc_import VALUES (17250, '09/09/2020', '9', '9', '2020', '187', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.59891424');
INSERT INTO public.ecdc_import VALUES (17251, '08/09/2020', '8', '9', '2020', '178', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.55309206');
INSERT INTO public.ecdc_import VALUES (17252, '07/09/2020', '7', '9', '2020', '151', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.61584852');
INSERT INTO public.ecdc_import VALUES (17253, '06/09/2020', '6', '9', '2020', '130', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.46543225');
INSERT INTO public.ecdc_import VALUES (17254, '05/09/2020', '5', '9', '2020', '157', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.42459075');
INSERT INTO public.ecdc_import VALUES (17255, '04/09/2020', '4', '9', '2020', '145', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.39072218');
INSERT INTO public.ecdc_import VALUES (17256, '03/09/2020', '3', '9', '2020', '165', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.35685362');
INSERT INTO public.ecdc_import VALUES (17257, '02/09/2020', '2', '9', '2020', '176', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.51523896');
INSERT INTO public.ecdc_import VALUES (17258, '01/09/2020', '1', '9', '2020', '212', '22', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.33991933');
INSERT INTO public.ecdc_import VALUES (17259, '31/08/2020', '31', '8', '2020', '230', '23', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.24329431');
INSERT INTO public.ecdc_import VALUES (17260, '30/08/2020', '30', '8', '2020', '212', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.1526461');
INSERT INTO public.ecdc_import VALUES (17261, '29/08/2020', '29', '8', '2020', '223', '20', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.05701721');
INSERT INTO public.ecdc_import VALUES (17262, '28/08/2020', '28', '8', '2020', '237', '25', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.94644631');
INSERT INTO public.ecdc_import VALUES (17263, '27/08/2020', '27', '8', '2020', '206', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.85480196');
INSERT INTO public.ecdc_import VALUES (17264, '26/08/2020', '26', '8', '2020', '141', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.77809962');
INSERT INTO public.ecdc_import VALUES (17265, '25/08/2020', '25', '8', '2020', '241', '37', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.80499525');
INSERT INTO public.ecdc_import VALUES (17266, '24/08/2020', '24', '8', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.73825425');
INSERT INTO public.ecdc_import VALUES (17267, '23/08/2020', '23', '8', '2020', '89', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.91556615');
INSERT INTO public.ecdc_import VALUES (17268, '22/08/2020', '22', '8', '2020', '123', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.99326462');
INSERT INTO public.ecdc_import VALUES (17269, '21/08/2020', '21', '8', '2020', '111', '15', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.01119503');
INSERT INTO public.ecdc_import VALUES (17270, '20/08/2020', '20', '8', '2020', '324', '24', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.03111772');
INSERT INTO public.ecdc_import VALUES (17271, '19/08/2020', '19', '8', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.83089474');
INSERT INTO public.ecdc_import VALUES (17272, '18/08/2020', '18', '8', '2020', '115', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.94246177');
INSERT INTO public.ecdc_import VALUES (17273, '17/08/2020', '17', '8', '2020', '139', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.98429941');
INSERT INTO public.ecdc_import VALUES (17274, '16/08/2020', '16', '8', '2020', '116', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.01219117');
INSERT INTO public.ecdc_import VALUES (17275, '15/08/2020', '15', '8', '2020', '112', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.13371955');
INSERT INTO public.ecdc_import VALUES (17276, '14/08/2020', '14', '8', '2020', '145', '22', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.3419116');
INSERT INTO public.ecdc_import VALUES (17277, '13/08/2020', '13', '8', '2020', '129', '26', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.59692197');
INSERT INTO public.ecdc_import VALUES (17278, '12/08/2020', '12', '8', '2020', '168', '24', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.87583956');
INSERT INTO public.ecdc_import VALUES (17279, '11/08/2020', '11', '8', '2020', '174', '26', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.17169143');
INSERT INTO public.ecdc_import VALUES (17280, '10/08/2020', '10', '8', '2020', '178', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.41674045');
INSERT INTO public.ecdc_import VALUES (17281, '09/08/2020', '9', '8', '2020', '167', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.71657686');
INSERT INTO public.ecdc_import VALUES (17282, '08/08/2020', '8', '8', '2020', '141', '20', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.05924704');
INSERT INTO public.ecdc_import VALUES (17283, '07/08/2020', '7', '8', '2020', '131', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.57524457');
INSERT INTO public.ecdc_import VALUES (17284, '06/08/2020', '6', '8', '2020', '123', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.11016866');
INSERT INTO public.ecdc_import VALUES (17285, '05/08/2020', '5', '8', '2020', '112', '24', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.65206569');
INSERT INTO public.ecdc_import VALUES (17286, '04/08/2020', '4', '8', '2020', '157', '23', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '6.2138854');
INSERT INTO public.ecdc_import VALUES (17287, '03/08/2020', '3', '8', '2020', '167', '31', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '6.6820685');
INSERT INTO public.ecdc_import VALUES (17288, '02/08/2020', '2', '8', '2020', '238', '29', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '7.11638303');
INSERT INTO public.ecdc_import VALUES (17289, '01/08/2020', '1', '8', '2020', '321', '31', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '7.57460478');
INSERT INTO public.ecdc_import VALUES (17290, '31/07/2020', '31', '7', '2020', '401', '46', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '7.95512806');
INSERT INTO public.ecdc_import VALUES (17291, '30/07/2020', '30', '7', '2020', '409', '37', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '8.4800908');
INSERT INTO public.ecdc_import VALUES (17292, '29/07/2020', '29', '7', '2020', '465', '39', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '8.98214246');
INSERT INTO public.ecdc_import VALUES (17293, '28/07/2020', '28', '7', '2020', '420', '46', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '9.44434875');
INSERT INTO public.ecdc_import VALUES (17294, '27/07/2020', '27', '7', '2020', '479', '48', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '9.95337335');
INSERT INTO public.ecdc_import VALUES (17295, '26/07/2020', '26', '7', '2020', '511', '40', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '10.38469947');
INSERT INTO public.ecdc_import VALUES (17296, '25/07/2020', '25', '7', '2020', '659', '38', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '10.79510678');
INSERT INTO public.ecdc_import VALUES (17297, '24/07/2020', '24', '7', '2020', '668', '40', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '11.11586201');
INSERT INTO public.ecdc_import VALUES (17298, '23/07/2020', '23', '7', '2020', '667', '41', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '11.39677186');
INSERT INTO public.ecdc_import VALUES (17299, '22/07/2020', '22', '7', '2020', '676', '47', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '11.75338792');
INSERT INTO public.ecdc_import VALUES (17300, '21/07/2020', '21', '7', '2020', '627', '50', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '12.13291507');
INSERT INTO public.ecdc_import VALUES (17301, '20/07/2020', '20', '7', '2020', '603', '51', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '12.47359298');
INSERT INTO public.ecdc_import VALUES (17302, '19/07/2020', '19', '7', '2020', '698', '63', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '13.08621554');
INSERT INTO public.ecdc_import VALUES (17303, '18/07/2020', '18', '7', '2020', '703', '68', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '13.70979557');
INSERT INTO public.ecdc_import VALUES (17304, '17/07/2020', '17', '7', '2020', '928', '53', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '14.41605475');
INSERT INTO public.ecdc_import VALUES (17305, '16/07/2020', '16', '7', '2020', '913', '59', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '14.97090152');
INSERT INTO public.ecdc_import VALUES (17306, '15/07/2020', '15', '7', '2020', '929', '73', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '15.55862073');
INSERT INTO public.ecdc_import VALUES (17307, '14/07/2020', '14', '7', '2020', '931', '77', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '16.18419303');
INSERT INTO public.ecdc_import VALUES (17308, '13/07/2020', '13', '7', '2020', '912', '89', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '16.81673827');
INSERT INTO public.ecdc_import VALUES (17309, '12/07/2020', '12', '7', '2020', '923', '67', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '17.16837366');
INSERT INTO public.ecdc_import VALUES (17310, '11/07/2020', '11', '7', '2020', '981', '85', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '17.41242655');
INSERT INTO public.ecdc_import VALUES (17311, '10/07/2020', '10', '7', '2020', '950', '53', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '18.053937');
INSERT INTO public.ecdc_import VALUES (17312, '09/07/2020', '9', '7', '2020', '1025', '75', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '18.6705441');
INSERT INTO public.ecdc_import VALUES (17313, '08/07/2020', '8', '7', '2020', '1057', '67', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.06401712');
INSERT INTO public.ecdc_import VALUES (17314, '07/07/2020', '7', '7', '2020', '969', '79', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.33795404');
INSERT INTO public.ecdc_import VALUES (17315, '06/07/2020', '6', '7', '2020', '1218', '63', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.94260753');
INSERT INTO public.ecdc_import VALUES (17316, '05/07/2020', '5', '7', '2020', '1324', '79', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.19861403');
INSERT INTO public.ecdc_import VALUES (17317, '04/07/2020', '4', '7', '2020', '1412', '81', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.42075196');
INSERT INTO public.ecdc_import VALUES (17318, '03/07/2020', '3', '7', '2020', '1485', '86', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.78135256');
INSERT INTO public.ecdc_import VALUES (17319, '02/07/2020', '2', '7', '2020', '1503', '81', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.51538472');
INSERT INTO public.ecdc_import VALUES (17320, '01/07/2020', '1', '7', '2020', '1557', '81', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.37592592');
INSERT INTO public.ecdc_import VALUES (17321, '30/06/2020', '30', '6', '2020', '1566', '83', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.38588726');
INSERT INTO public.ecdc_import VALUES (17322, '29/06/2020', '29', '6', '2020', '1265', '81', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.51040404');
INSERT INTO public.ecdc_import VALUES (17323, '28/06/2020', '28', '6', '2020', '1168', '88', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.86203943');
INSERT INTO public.ecdc_import VALUES (17324, '27/06/2020', '27', '6', '2020', '1625', '87', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.36807563');
INSERT INTO public.ecdc_import VALUES (17325, '26/06/2020', '26', '6', '2020', '1569', '83', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.32125732');
INSERT INTO public.ecdc_import VALUES (17326, '25/06/2020', '25', '6', '2020', '1420', '85', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.19474827');
INSERT INTO public.ecdc_import VALUES (17327, '24/06/2020', '24', '6', '2020', '1332', '87', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.22961297');
INSERT INTO public.ecdc_import VALUES (17328, '23/06/2020', '23', '6', '2020', '1576', '85', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.28240808');
INSERT INTO public.ecdc_import VALUES (17329, '22/06/2020', '22', '6', '2020', '1475', '87', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.07222376');
INSERT INTO public.ecdc_import VALUES (17330, '21/06/2020', '21', '6', '2020', '1547', '89', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.06425468');
INSERT INTO public.ecdc_import VALUES (17331, '20/06/2020', '20', '6', '2020', '1774', '79', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '21.01444797');
INSERT INTO public.ecdc_import VALUES (17332, '19/06/2020', '19', '6', '2020', '1218', '88', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.59009478');
INSERT INTO public.ecdc_import VALUES (17333, '18/06/2020', '18', '6', '2020', '1363', '84', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.52434992');
INSERT INTO public.ecdc_import VALUES (17334, '17/06/2020', '17', '6', '2020', '1567', '94', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '20.2414478');
INSERT INTO public.ecdc_import VALUES (17335, '16/06/2020', '16', '6', '2020', '1691', '97', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.82805209');
INSERT INTO public.ecdc_import VALUES (17336, '15/06/2020', '15', '6', '2020', '1618', '91', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.53718089');
INSERT INTO public.ecdc_import VALUES (17337, '14/06/2020', '14', '6', '2020', '1676', '62', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.45549788');
INSERT INTO public.ecdc_import VALUES (17338, '13/06/2020', '13', '6', '2020', '1578', '45', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '19.1476924');
INSERT INTO public.ecdc_import VALUES (17339, '12/06/2020', '12', '6', '2020', '1442', '35', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '18.85980961');
INSERT INTO public.ecdc_import VALUES (17340, '11/06/2020', '11', '6', '2020', '1455', '36', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '18.54602732');
INSERT INTO public.ecdc_import VALUES (17341, '10/06/2020', '10', '6', '2020', '1385', '35', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '18.00313416');
INSERT INTO public.ecdc_import VALUES (17342, '09/06/2020', '9', '6', '2020', '1365', '34', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '17.40943815');
INSERT INTO public.ecdc_import VALUES (17343, '08/06/2020', '8', '6', '2020', '1467', '39', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '16.74900115');
INSERT INTO public.ecdc_import VALUES (17344, '07/06/2020', '7', '6', '2020', '1497', '32', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '15.93715174');
INSERT INTO public.ecdc_import VALUES (17345, '06/06/2020', '6', '6', '2020', '1348', '40', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '15.2697418');
INSERT INTO public.ecdc_import VALUES (17346, '05/06/2020', '5', '6', '2020', '1152', '38', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '14.70692595');
INSERT INTO public.ecdc_import VALUES (17347, '04/06/2020', '4', '6', '2020', '1079', '36', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '14.33038721');
INSERT INTO public.ecdc_import VALUES (17348, '03/06/2020', '3', '6', '2020', '1152', '47', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '13.99767837');
INSERT INTO public.ecdc_import VALUES (17349, '02/06/2020', '2', '6', '2020', '1399', '46', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '13.56734838');
INSERT INTO public.ecdc_import VALUES (17350, '01/06/2020', '1', '6', '2020', '1536', '46', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '12.70668839');
INSERT INTO public.ecdc_import VALUES (17351, '31/05/2020', '31', '5', '2020', '1367', '34', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '11.68465466');
INSERT INTO public.ecdc_import VALUES (17352, '30/05/2020', '30', '5', '2020', '1289', '34', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '10.81204106');
INSERT INTO public.ecdc_import VALUES (17353, '29/05/2020', '29', '5', '2020', '1127', '29', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '9.92548159');
INSERT INTO public.ecdc_import VALUES (17354, '28/05/2020', '28', '5', '2020', '910', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '9.19929973');
INSERT INTO public.ecdc_import VALUES (17355, '27/05/2020', '27', '5', '2020', '789', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '8.62951094');
INSERT INTO public.ecdc_import VALUES (17356, '26/05/2020', '26', '5', '2020', '702', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '8.1892196');
INSERT INTO public.ecdc_import VALUES (17357, '25/05/2020', '25', '5', '2020', '652', '29', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '7.83459581');
INSERT INTO public.ecdc_import VALUES (17358, '24/05/2020', '24', '5', '2020', '827', '28', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '7.61943082');
INSERT INTO public.ecdc_import VALUES (17359, '23/05/2020', '23', '5', '2020', '783', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '7.28174131');
INSERT INTO public.ecdc_import VALUES (17360, '22/05/2020', '22', '5', '2020', '774', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '6.99485465');
INSERT INTO public.ecdc_import VALUES (17361, '21/05/2020', '21', '5', '2020', '745', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '6.6153275');
INSERT INTO public.ecdc_import VALUES (17362, '20/05/2020', '20', '5', '2020', '720', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '6.25871144');
INSERT INTO public.ecdc_import VALUES (17363, '19/05/2020', '19', '5', '2020', '535', '15', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.92799487');
INSERT INTO public.ecdc_import VALUES (17364, '18/05/2020', '18', '5', '2020', '510', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.74171777');
INSERT INTO public.ecdc_import VALUES (17365, '17/05/2020', '17', '5', '2020', '491', '20', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.50463782');
INSERT INTO public.ecdc_import VALUES (17366, '16/05/2020', '16', '5', '2020', '399', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.31238391');
INSERT INTO public.ecdc_import VALUES (17367, '15/05/2020', '15', '5', '2020', '398', '15', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.27154241');
INSERT INTO public.ecdc_import VALUES (17368, '14/05/2020', '14', '5', '2020', '338', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.14304109');
INSERT INTO public.ecdc_import VALUES (17369, '13/05/2020', '13', '5', '2020', '347', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.03147406');
INSERT INTO public.ecdc_import VALUES (17370, '12/05/2020', '12', '5', '2020', '346', '8', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.94481038');
INSERT INTO public.ecdc_import VALUES (17371, '11/05/2020', '11', '5', '2020', '436', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '5.06135808');
INSERT INTO public.ecdc_import VALUES (17452, '16/02/2020', '16', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17372, '10/05/2020', '10', '5', '2020', '488', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.62704355');
INSERT INTO public.ecdc_import VALUES (17373, '09/05/2020', '9', '5', '2020', '495', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.36705252');
INSERT INTO public.ecdc_import VALUES (17374, '08/05/2020', '8', '5', '2020', '393', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.30529219');
INSERT INTO public.ecdc_import VALUES (17375, '07/05/2020', '7', '5', '2020', '387', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '4.08215812');
INSERT INTO public.ecdc_import VALUES (17376, '06/05/2020', '6', '5', '2020', '388', '16', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.69665417');
INSERT INTO public.ecdc_import VALUES (17377, '05/05/2020', '5', '5', '2020', '348', '7', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.46654716');
INSERT INTO public.ecdc_import VALUES (17378, '04/05/2020', '4', '5', '2020', '272', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.30816182');
INSERT INTO public.ecdc_import VALUES (17379, '03/05/2020', '3', '5', '2020', '298', '9', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.14878034');
INSERT INTO public.ecdc_import VALUES (17380, '02/05/2020', '2', '5', '2020', '358', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '3.03920557');
INSERT INTO public.ecdc_import VALUES (17381, '01/05/2020', '1', '5', '2020', '269', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.85292847');
INSERT INTO public.ecdc_import VALUES (17382, '30/04/2020', '30', '4', '2020', '226', '21', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.75231891');
INSERT INTO public.ecdc_import VALUES (17383, '29/04/2020', '29', '4', '2020', '260', '22', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.68159338');
INSERT INTO public.ecdc_import VALUES (17384, '28/04/2020', '28', '4', '2020', '463', '30', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.58197996');
INSERT INTO public.ecdc_import VALUES (17385, '27/04/2020', '27', '4', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.24528658');
INSERT INTO public.ecdc_import VALUES (17386, '26/04/2020', '26', '4', '2020', '227', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.3707995');
INSERT INTO public.ecdc_import VALUES (17387, '25/04/2020', '25', '4', '2020', '433', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.28911649');
INSERT INTO public.ecdc_import VALUES (17388, '24/04/2020', '24', '4', '2020', '169', '12', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.95242311');
INSERT INTO public.ecdc_import VALUES (17389, '23/04/2020', '23', '4', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.92253909');
INSERT INTO public.ecdc_import VALUES (17390, '22/04/2020', '22', '4', '2020', '157', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.15961904');
INSERT INTO public.ecdc_import VALUES (17391, '21/04/2020', '21', '4', '2020', '189', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.25126339');
INSERT INTO public.ecdc_import VALUES (17392, '20/04/2020', '20', '4', '2020', '112', '15', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.06598242');
INSERT INTO public.ecdc_import VALUES (17393, '19/04/2020', '19', '4', '2020', '188', '19', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.03908679');
INSERT INTO public.ecdc_import VALUES (17394, '18/04/2020', '18', '4', '2020', '171', '9', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '2.05701721');
INSERT INTO public.ecdc_import VALUES (17395, '17/04/2020', '17', '4', '2020', '168', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.88667825');
INSERT INTO public.ecdc_import VALUES (17396, '16/04/2020', '16', '4', '2020', '155', '5', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.78806096');
INSERT INTO public.ecdc_import VALUES (17397, '15/04/2020', '15', '4', '2020', '160', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.68745141');
INSERT INTO public.ecdc_import VALUES (17398, '14/04/2020', '14', '4', '2020', '125', '5', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.57488824');
INSERT INTO public.ecdc_import VALUES (17399, '13/04/2020', '13', '4', '2020', '126', '13', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.48324389');
INSERT INTO public.ecdc_import VALUES (17400, '12/04/2020', '12', '4', '2020', '145', '11', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.39757634');
INSERT INTO public.ecdc_import VALUES (17401, '11/04/2020', '11', '4', '2020', '95', '17', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.29397838');
INSERT INTO public.ecdc_import VALUES (17402, '10/04/2020', '10', '4', '2020', '139', '15', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.23819486');
INSERT INTO public.ecdc_import VALUES (17403, '09/04/2020', '9', '4', '2020', '238', '18', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '1.11367808');
INSERT INTO public.ecdc_import VALUES (17404, '08/04/2020', '8', '4', '2020', '249', '7', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.95230434');
INSERT INTO public.ecdc_import VALUES (17405, '07/04/2020', '7', '4', '2020', '3', '7', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.74311614');
INSERT INTO public.ecdc_import VALUES (17406, '06/04/2020', '6', '4', '2020', '85', '5', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.77300017');
INSERT INTO public.ecdc_import VALUES (17407, '05/04/2020', '5', '4', '2020', '206', '14', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.69729397');
INSERT INTO public.ecdc_import VALUES (17408, '04/04/2020', '4', '4', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.52097821');
INSERT INTO public.ecdc_import VALUES (17409, '03/04/2020', '3', '4', '2020', '69', '6', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.56680038');
INSERT INTO public.ecdc_import VALUES (17410, '02/04/2020', '2', '4', '2020', '54', '5', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.512013');
INSERT INTO public.ecdc_import VALUES (17411, '01/04/2020', '1', '4', '2020', '47', '1', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.48810578');
INSERT INTO public.ecdc_import VALUES (17412, '31/03/2020', '31', '3', '2020', '33', '4', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.48113284');
INSERT INTO public.ecdc_import VALUES (17413, '30/03/2020', '30', '3', '2020', '40', '6', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.46419856');
INSERT INTO public.ecdc_import VALUES (17414, '29/03/2020', '29', '3', '2020', '41', '6', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.44128747');
INSERT INTO public.ecdc_import VALUES (17415, '28/03/2020', '28', '3', '2020', '39', '3', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.40044597');
INSERT INTO public.ecdc_import VALUES (17416, '27/03/2020', '27', '3', '2020', '14', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.37454648');
INSERT INTO public.ecdc_import VALUES (17417, '26/03/2020', '26', '3', '2020', '76', '2', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.38052328');
INSERT INTO public.ecdc_import VALUES (17418, '25/03/2020', '25', '3', '2020', '39', '5', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.30581321');
INSERT INTO public.ecdc_import VALUES (17419, '24/03/2020', '24', '3', '2020', '33', '4', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.27094851');
INSERT INTO public.ecdc_import VALUES (17420, '23/03/2020', '23', '3', '2020', '9', '2', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.24405289');
INSERT INTO public.ecdc_import VALUES (17421, '22/03/2020', '22', '3', '2020', '29', '1', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.26895625');
INSERT INTO public.ecdc_import VALUES (17422, '21/03/2020', '21', '3', '2020', '46', '1', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.25202196');
INSERT INTO public.ecdc_import VALUES (17423, '20/03/2020', '20', '3', '2020', '14', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.20719592');
INSERT INTO public.ecdc_import VALUES (17424, '19/03/2020', '19', '3', '2020', '30', '2', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.19424618');
INSERT INTO public.ecdc_import VALUES (17425, '18/03/2020', '18', '3', '2020', '40', '2', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.16436215');
INSERT INTO public.ecdc_import VALUES (17426, '17/03/2020', '17', '3', '2020', '16', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.12451678');
INSERT INTO public.ecdc_import VALUES (17427, '16/03/2020', '16', '3', '2020', '17', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.10857863');
INSERT INTO public.ecdc_import VALUES (17428, '15/03/2020', '15', '3', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.09164435');
INSERT INTO public.ecdc_import VALUES (17429, '14/03/2020', '14', '3', '2020', '13', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.09164435');
INSERT INTO public.ecdc_import VALUES (17430, '13/03/2020', '13', '3', '2020', '20', '1', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.07869461');
INSERT INTO public.ecdc_import VALUES (17431, '12/03/2020', '12', '3', '2020', '1', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.05877192');
INSERT INTO public.ecdc_import VALUES (17432, '11/03/2020', '11', '3', '2020', '4', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.05777579');
INSERT INTO public.ecdc_import VALUES (17433, '10/03/2020', '10', '3', '2020', '6', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.05379125');
INSERT INTO public.ecdc_import VALUES (17434, '09/03/2020', '9', '3', '2020', '34', '1', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.04781444');
INSERT INTO public.ecdc_import VALUES (17435, '07/03/2020', '7', '3', '2020', '12', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.01394588');
INSERT INTO public.ecdc_import VALUES (17436, '06/03/2020', '6', '3', '2020', '1', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00199227');
INSERT INTO public.ecdc_import VALUES (17437, '02/03/2020', '2', '3', '2020', '1', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17438, '01/03/2020', '1', '3', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17439, '29/02/2020', '29', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17440, '28/02/2020', '28', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17441, '27/02/2020', '27', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17442, '26/02/2020', '26', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17443, '25/02/2020', '25', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17444, '24/02/2020', '24', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17445, '23/02/2020', '23', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17446, '22/02/2020', '22', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17447, '21/02/2020', '21', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17448, '20/02/2020', '20', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17449, '19/02/2020', '19', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17450, '18/02/2020', '18', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17451, '17/02/2020', '17', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17453, '15/02/2020', '15', '2', '2020', '1', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0.00099613');
INSERT INTO public.ecdc_import VALUES (17454, '14/02/2020', '14', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17455, '13/02/2020', '13', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17456, '12/02/2020', '12', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17457, '11/02/2020', '11', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17458, '10/02/2020', '10', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17459, '09/02/2020', '9', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17460, '08/02/2020', '8', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17461, '07/02/2020', '7', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17462, '06/02/2020', '6', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17463, '05/02/2020', '5', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17464, '04/02/2020', '4', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17465, '03/02/2020', '3', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17466, '02/02/2020', '2', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17467, '01/02/2020', '1', '2', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17468, '31/01/2020', '31', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17469, '30/01/2020', '30', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17470, '29/01/2020', '29', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17471, '28/01/2020', '28', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17472, '27/01/2020', '27', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17473, '26/01/2020', '26', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17474, '25/01/2020', '25', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17475, '24/01/2020', '24', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17476, '23/01/2020', '23', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17477, '22/01/2020', '22', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17478, '21/01/2020', '21', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17479, '20/01/2020', '20', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17480, '19/01/2020', '19', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17481, '18/01/2020', '18', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17482, '17/01/2020', '17', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17483, '16/01/2020', '16', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17484, '15/01/2020', '15', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17485, '14/01/2020', '14', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17486, '13/01/2020', '13', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17487, '12/01/2020', '12', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17488, '11/01/2020', '11', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17489, '10/01/2020', '10', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17490, '09/01/2020', '9', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17491, '08/01/2020', '8', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17492, '07/01/2020', '7', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17493, '06/01/2020', '6', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17494, '05/01/2020', '5', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17495, '04/01/2020', '4', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17496, '03/01/2020', '3', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17497, '02/01/2020', '2', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17498, '01/01/2020', '1', '1', '2020', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17499, '31/12/2019', '31', '12', '2019', '0', '0', '100388076', 'Egypt', 'EG', 'EGY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (17500, '14/12/2020', '14', '12', '2020', '486', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '53.84633264');
INSERT INTO public.ecdc_import VALUES (17501, '13/12/2020', '13', '12', '2020', '231', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '46.31559374');
INSERT INTO public.ecdc_import VALUES (17502, '12/12/2020', '12', '12', '2020', '422', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.73616847');
INSERT INTO public.ecdc_import VALUES (17503, '11/12/2020', '11', '12', '2020', '0', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.19713181');
INSERT INTO public.ecdc_import VALUES (17504, '10/12/2020', '10', '12', '2020', '0', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '44.27020787');
INSERT INTO public.ecdc_import VALUES (17505, '09/12/2020', '9', '12', '2020', '396', '10', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '44.27020787');
INSERT INTO public.ecdc_import VALUES (17506, '08/12/2020', '8', '12', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '38.13405025');
INSERT INTO public.ecdc_import VALUES (17507, '07/12/2020', '7', '12', '2020', '214', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '43.12355215');
INSERT INTO public.ecdc_import VALUES (17508, '06/12/2020', '6', '12', '2020', '413', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '44.64209621');
INSERT INTO public.ecdc_import VALUES (17509, '05/12/2020', '5', '12', '2020', '0', '11', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '38.24251768');
INSERT INTO public.ecdc_import VALUES (17510, '04/12/2020', '4', '12', '2020', '588', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '40.42736168');
INSERT INTO public.ecdc_import VALUES (17511, '03/12/2020', '3', '12', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '33.54742738');
INSERT INTO public.ecdc_import VALUES (17512, '02/12/2020', '2', '12', '2020', '189', '15', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '38.13405025');
INSERT INTO public.ecdc_import VALUES (17513, '01/12/2020', '1', '12', '2020', '536', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '35.20542957');
INSERT INTO public.ecdc_import VALUES (17514, '30/11/2020', '30', '11', '2020', '0', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '31.71897638');
INSERT INTO public.ecdc_import VALUES (17515, '29/11/2020', '29', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '31.71897638');
INSERT INTO public.ecdc_import VALUES (17516, '28/11/2020', '28', '11', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.24471802');
INSERT INTO public.ecdc_import VALUES (17517, '27/11/2020', '27', '11', '2020', '521', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.80145036');
INSERT INTO public.ecdc_import VALUES (17518, '26/11/2020', '26', '11', '2020', '0', '12', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.44175686');
INSERT INTO public.ecdc_import VALUES (17519, '25/11/2020', '25', '11', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.44175686');
INSERT INTO public.ecdc_import VALUES (17520, '24/11/2020', '24', '11', '2020', '322', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.44175686');
INSERT INTO public.ecdc_import VALUES (17521, '23/11/2020', '23', '11', '2020', '312', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '37.45225496');
INSERT INTO public.ecdc_import VALUES (17522, '22/11/2020', '22', '11', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '32.61770653');
INSERT INTO public.ecdc_import VALUES (17523, '21/11/2020', '21', '11', '2020', '141', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '32.61770653');
INSERT INTO public.ecdc_import VALUES (17524, '20/11/2020', '20', '11', '2020', '144', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.05767368');
INSERT INTO public.ecdc_import VALUES (17525, '19/11/2020', '19', '11', '2020', '296', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '45.71127519');
INSERT INTO public.ecdc_import VALUES (17526, '18/11/2020', '18', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '41.12465232');
INSERT INTO public.ecdc_import VALUES (17527, '17/11/2020', '17', '11', '2020', '311', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '41.12465232');
INSERT INTO public.ecdc_import VALUES (17528, '16/11/2020', '16', '11', '2020', '0', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.30559924');
INSERT INTO public.ecdc_import VALUES (17529, '15/11/2020', '15', '11', '2020', '163', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '45.13794733');
INSERT INTO public.ecdc_import VALUES (17530, '14/11/2020', '14', '11', '2020', '165', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.61220569');
INSERT INTO public.ecdc_import VALUES (17531, '13/11/2020', '13', '11', '2020', '885', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '40.05547334');
INSERT INTO public.ecdc_import VALUES (17532, '12/11/2020', '12', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.3996715');
INSERT INTO public.ecdc_import VALUES (17533, '11/11/2020', '11', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.3996715');
INSERT INTO public.ecdc_import VALUES (17534, '10/11/2020', '10', '11', '2020', '0', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.3996715');
INSERT INTO public.ecdc_import VALUES (17535, '09/11/2020', '9', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '39.66808966');
INSERT INTO public.ecdc_import VALUES (17536, '08/11/2020', '8', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '39.66808966');
INSERT INTO public.ecdc_import VALUES (17537, '07/11/2020', '7', '11', '2020', '363', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.20932665');
INSERT INTO public.ecdc_import VALUES (17538, '06/11/2020', '6', '11', '2020', '767', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '39.04827576');
INSERT INTO public.ecdc_import VALUES (17539, '05/11/2020', '5', '11', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.36368355');
INSERT INTO public.ecdc_import VALUES (17540, '04/11/2020', '4', '11', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '31.61050894');
INSERT INTO public.ecdc_import VALUES (17541, '03/11/2020', '3', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.39857133');
INSERT INTO public.ecdc_import VALUES (17542, '02/11/2020', '2', '11', '2020', '570', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.39857133');
INSERT INTO public.ecdc_import VALUES (17543, '01/11/2020', '1', '11', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '30.82024622');
INSERT INTO public.ecdc_import VALUES (17544, '31/10/2020', '31', '10', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '33.7798576');
INSERT INTO public.ecdc_import VALUES (17545, '30/10/2020', '30', '10', '2020', '520', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.94090849');
INSERT INTO public.ecdc_import VALUES (17546, '29/10/2020', '29', '10', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '33.4544553');
INSERT INTO public.ecdc_import VALUES (17547, '28/10/2020', '28', '10', '2020', '0', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '37.88612469');
INSERT INTO public.ecdc_import VALUES (17548, '27/10/2020', '27', '10', '2020', '340', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '42.28680339');
INSERT INTO public.ecdc_import VALUES (17549, '26/10/2020', '26', '10', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '37.01838523');
INSERT INTO public.ecdc_import VALUES (17550, '25/10/2020', '25', '10', '2020', '164', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '40.81474537');
INSERT INTO public.ecdc_import VALUES (17551, '24/10/2020', '24', '10', '2020', '159', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '38.27350838');
INSERT INTO public.ecdc_import VALUES (17552, '23/10/2020', '23', '10', '2020', '142', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '37.498741');
INSERT INTO public.ecdc_import VALUES (17553, '22/10/2020', '22', '10', '2020', '145', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '35.29840165');
INSERT INTO public.ecdc_import VALUES (17554, '21/10/2020', '21', '10', '2020', '309', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.67858775');
INSERT INTO public.ecdc_import VALUES (17555, '20/10/2020', '20', '10', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '31.34708804');
INSERT INTO public.ecdc_import VALUES (17556, '19/10/2020', '19', '10', '2020', '210', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.33769011');
INSERT INTO public.ecdc_import VALUES (17557, '18/10/2020', '18', '10', '2020', '191', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '32.5092391');
INSERT INTO public.ecdc_import VALUES (17558, '17/10/2020', '17', '10', '2020', '204', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '32.38527632');
INSERT INTO public.ecdc_import VALUES (17559, '16/10/2020', '16', '10', '2020', '295', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.22422543');
INSERT INTO public.ecdc_import VALUES (17560, '15/10/2020', '15', '10', '2020', '286', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '26.17164196');
INSERT INTO public.ecdc_import VALUES (17561, '14/10/2020', '14', '10', '2020', '284', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '23.22752594');
INSERT INTO public.ecdc_import VALUES (17562, '13/10/2020', '13', '10', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '21.49204701');
INSERT INTO public.ecdc_import VALUES (17563, '12/10/2020', '12', '10', '2020', '245', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '24.26571422');
INSERT INTO public.ecdc_import VALUES (17564, '11/10/2020', '11', '10', '2020', '0', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '23.80085379');
INSERT INTO public.ecdc_import VALUES (17565, '10/10/2020', '10', '10', '2020', '109', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '23.80085379');
INSERT INTO public.ecdc_import VALUES (17566, '09/10/2020', '9', '10', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '25.42786528');
INSERT INTO public.ecdc_import VALUES (17567, '08/10/2020', '8', '10', '2020', '105', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.25521612');
INSERT INTO public.ecdc_import VALUES (17568, '07/10/2020', '7', '10', '2020', '94', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '27.62820463');
INSERT INTO public.ecdc_import VALUES (17569, '06/10/2020', '6', '10', '2020', '193', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '28.58891618');
INSERT INTO public.ecdc_import VALUES (17570, '05/10/2020', '5', '10', '2020', '92', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.39467425');
INSERT INTO public.ecdc_import VALUES (17571, '04/10/2020', '4', '10', '2020', '183', '10', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.90602072');
INSERT INTO public.ecdc_import VALUES (17572, '03/10/2020', '3', '10', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '28.34099062');
INSERT INTO public.ecdc_import VALUES (17573, '02/10/2020', '2', '10', '2020', '98', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.84403933');
INSERT INTO public.ecdc_import VALUES (17574, '01/10/2020', '1', '10', '2020', '96', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.65809516');
INSERT INTO public.ecdc_import VALUES (17575, '30/09/2020', '30', '9', '2020', '172', '12', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '28.17054179');
INSERT INTO public.ecdc_import VALUES (17576, '29/09/2020', '29', '9', '2020', '179', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '26.66749309');
INSERT INTO public.ecdc_import VALUES (17577, '28/09/2020', '28', '9', '2020', '215', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '25.11795833');
INSERT INTO public.ecdc_import VALUES (17578, '27/09/2020', '27', '9', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '23.04158177');
INSERT INTO public.ecdc_import VALUES (17579, '26/09/2020', '26', '9', '2020', '214', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '24.23472352');
INSERT INTO public.ecdc_import VALUES (17580, '25/09/2020', '25', '9', '2020', '247', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '23.4444608');
INSERT INTO public.ecdc_import VALUES (17581, '24/09/2020', '24', '9', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '20.94970985');
INSERT INTO public.ecdc_import VALUES (17582, '23/09/2020', '23', '9', '2020', '156', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '22.35978647');
INSERT INTO public.ecdc_import VALUES (17583, '22/09/2020', '22', '9', '2020', '245', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '21.46105632');
INSERT INTO public.ecdc_import VALUES (17584, '21/09/2020', '21', '9', '2020', '125', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.29170766');
INSERT INTO public.ecdc_import VALUES (17585, '20/09/2020', '20', '9', '2020', '82', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.35478922');
INSERT INTO public.ecdc_import VALUES (17586, '19/09/2020', '19', '9', '2020', '97', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.32269836');
INSERT INTO public.ecdc_import VALUES (17587, '18/09/2020', '18', '9', '2020', '86', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.35368905');
INSERT INTO public.ecdc_import VALUES (17588, '17/09/2020', '17', '9', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.50864253');
INSERT INTO public.ecdc_import VALUES (17589, '16/09/2020', '16', '9', '2020', '75', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.50864253');
INSERT INTO public.ecdc_import VALUES (17590, '15/09/2020', '15', '9', '2020', '79', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.64810066');
INSERT INTO public.ecdc_import VALUES (17591, '14/09/2020', '14', '9', '2020', '81', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.83404483');
INSERT INTO public.ecdc_import VALUES (17592, '13/09/2020', '13', '9', '2020', '77', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '20.03548435');
INSERT INTO public.ecdc_import VALUES (17593, '12/09/2020', '12', '9', '2020', '163', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '22.25131904');
INSERT INTO public.ecdc_import VALUES (17594, '11/09/2020', '11', '9', '2020', '86', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '21.75546792');
INSERT INTO public.ecdc_import VALUES (17595, '10/09/2020', '10', '9', '2020', '91', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '22.65419808');
INSERT INTO public.ecdc_import VALUES (17596, '09/09/2020', '9', '9', '2020', '98', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '23.63040497');
INSERT INTO public.ecdc_import VALUES (17597, '08/09/2020', '8', '9', '2020', '105', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '24.82354673');
INSERT INTO public.ecdc_import VALUES (17598, '07/09/2020', '7', '9', '2020', '0', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '26.12515592');
INSERT INTO public.ecdc_import VALUES (17599, '06/09/2020', '6', '9', '2020', '209', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.25521612');
INSERT INTO public.ecdc_import VALUES (17600, '05/09/2020', '5', '9', '2020', '99', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '26.01668849');
INSERT INTO public.ecdc_import VALUES (17601, '04/09/2020', '4', '9', '2020', '96', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '31.54852755');
INSERT INTO public.ecdc_import VALUES (17602, '03/09/2020', '3', '9', '2020', '0', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '33.88832503');
INSERT INTO public.ecdc_import VALUES (17603, '02/09/2020', '2', '9', '2020', '84', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '37.83963865');
INSERT INTO public.ecdc_import VALUES (17604, '01/09/2020', '1', '9', '2020', '91', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '40.70627794');
INSERT INTO public.ecdc_import VALUES (17605, '31/08/2020', '31', '8', '2020', '94', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '43.65039397');
INSERT INTO public.ecdc_import VALUES (17606, '30/08/2020', '30', '8', '2020', '220', '11', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '46.73396813');
INSERT INTO public.ecdc_import VALUES (17607, '29/08/2020', '29', '8', '2020', '131', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '48.05107267');
INSERT INTO public.ecdc_import VALUES (17608, '28/08/2020', '28', '8', '2020', '144', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '50.99518869');
INSERT INTO public.ecdc_import VALUES (17609, '27/08/2020', '27', '8', '2020', '154', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '54.17173494');
INSERT INTO public.ecdc_import VALUES (17610, '26/08/2020', '26', '8', '2020', '175', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '57.59620674');
INSERT INTO public.ecdc_import VALUES (17611, '25/08/2020', '25', '8', '2020', '189', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '61.03617389');
INSERT INTO public.ecdc_import VALUES (17612, '24/08/2020', '24', '8', '2020', '202', '15', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '65.06496424');
INSERT INTO public.ecdc_import VALUES (17613, '23/08/2020', '23', '8', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '68.83033369');
INSERT INTO public.ecdc_import VALUES (17614, '22/08/2020', '22', '8', '2020', '456', '14', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '75.55531452');
INSERT INTO public.ecdc_import VALUES (17615, '21/08/2020', '21', '8', '2020', '247', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '74.96649131');
INSERT INTO public.ecdc_import VALUES (17616, '20/08/2020', '20', '8', '2020', '255', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '77.72466317');
INSERT INTO public.ecdc_import VALUES (17617, '19/08/2020', '19', '8', '2020', '269', '15', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '80.57580711');
INSERT INTO public.ecdc_import VALUES (17618, '18/08/2020', '18', '8', '2020', '281', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '82.90010924');
INSERT INTO public.ecdc_import VALUES (17619, '17/08/2020', '17', '8', '2020', '293', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '84.66657886');
INSERT INTO public.ecdc_import VALUES (17620, '16/08/2020', '16', '8', '2020', '305', '17', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '86.29359035');
INSERT INTO public.ecdc_import VALUES (17621, '15/08/2020', '15', '8', '2020', '321', '11', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '88.04456462');
INSERT INTO public.ecdc_import VALUES (17622, '14/08/2020', '14', '8', '2020', '349', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '89.29968777');
INSERT INTO public.ecdc_import VALUES (17623, '13/08/2020', '13', '8', '2020', '375', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '89.91950167');
INSERT INTO public.ecdc_import VALUES (17624, '12/08/2020', '12', '8', '2020', '397', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '90.22940862');
INSERT INTO public.ecdc_import VALUES (17625, '11/08/2020', '11', '8', '2020', '449', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '90.44634349');
INSERT INTO public.ecdc_import VALUES (17626, '10/08/2020', '10', '8', '2020', '445', '27', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '89.76454819');
INSERT INTO public.ecdc_import VALUES (17627, '09/08/2020', '9', '8', '2020', '434', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '89.20671568');
INSERT INTO public.ecdc_import VALUES (17628, '08/08/2020', '8', '8', '2020', '418', '16', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '89.12923895');
INSERT INTO public.ecdc_import VALUES (17629, '07/08/2020', '7', '8', '2020', '425', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '89.0827529');
INSERT INTO public.ecdc_import VALUES (17630, '06/08/2020', '6', '8', '2020', '439', '27', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '88.72635991');
INSERT INTO public.ecdc_import VALUES (17631, '05/08/2020', '5', '8', '2020', '419', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '88.01357392');
INSERT INTO public.ecdc_import VALUES (17632, '04/08/2020', '4', '8', '2020', '395', '19', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '87.33177863');
INSERT INTO public.ecdc_import VALUES (17633, '03/08/2020', '3', '8', '2020', '398', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '86.80493682');
INSERT INTO public.ecdc_import VALUES (17634, '02/08/2020', '2', '8', '2020', '418', '19', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '85.87521597');
INSERT INTO public.ecdc_import VALUES (17635, '01/08/2020', '1', '8', '2020', '402', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '84.06226031');
INSERT INTO public.ecdc_import VALUES (17636, '31/07/2020', '31', '7', '2020', '389', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '81.70696748');
INSERT INTO public.ecdc_import VALUES (17637, '30/07/2020', '30', '7', '2020', '395', '13', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '80.51382572');
INSERT INTO public.ecdc_import VALUES (17638, '29/07/2020', '29', '7', '2020', '411', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '79.69257231');
INSERT INTO public.ecdc_import VALUES (17639, '28/07/2020', '28', '7', '2020', '405', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '78.35997242');
INSERT INTO public.ecdc_import VALUES (17640, '27/07/2020', '27', '7', '2020', '409', '18', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '76.79494232');
INSERT INTO public.ecdc_import VALUES (17641, '26/07/2020', '26', '7', '2020', '429', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '74.84252853');
INSERT INTO public.ecdc_import VALUES (17642, '25/07/2020', '25', '7', '2020', '415', '18', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '72.05336598');
INSERT INTO public.ecdc_import VALUES (17643, '24/07/2020', '24', '7', '2020', '402', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '70.24041032');
INSERT INTO public.ecdc_import VALUES (17644, '23/07/2020', '23', '7', '2020', '393', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '68.31898722');
INSERT INTO public.ecdc_import VALUES (17645, '22/07/2020', '22', '7', '2020', '375', '11', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '66.24261066');
INSERT INTO public.ecdc_import VALUES (17646, '21/07/2020', '21', '7', '2020', '361', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '64.77055264');
INSERT INTO public.ecdc_import VALUES (17647, '20/07/2020', '20', '7', '2020', '338', '20', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '63.05056907');
INSERT INTO public.ecdc_import VALUES (17648, '19/07/2020', '19', '7', '2020', '301', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '61.99688544');
INSERT INTO public.ecdc_import VALUES (17649, '18/07/2020', '18', '7', '2020', '250', '15', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '61.05166924');
INSERT INTO public.ecdc_import VALUES (17650, '17/07/2020', '17', '7', '2020', '312', '11', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '61.31509014');
INSERT INTO public.ecdc_import VALUES (17651, '16/07/2020', '16', '7', '2020', '342', '20', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '60.57131346');
INSERT INTO public.ecdc_import VALUES (17652, '15/07/2020', '15', '7', '2020', '325', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '59.88951817');
INSERT INTO public.ecdc_import VALUES (17653, '14/07/2020', '14', '7', '2020', '304', '11', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '58.95979732');
INSERT INTO public.ecdc_import VALUES (17654, '13/07/2020', '13', '7', '2020', '283', '13', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '57.95259973');
INSERT INTO public.ecdc_import VALUES (17655, '12/07/2020', '12', '7', '2020', '249', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '53.56741638');
INSERT INTO public.ecdc_import VALUES (17656, '11/07/2020', '11', '7', '2020', '298', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '56.17063477');
INSERT INTO public.ecdc_import VALUES (17657, '10/07/2020', '10', '7', '2020', '278', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '54.35767911');
INSERT INTO public.ecdc_import VALUES (17658, '09/07/2020', '9', '7', '2020', '259', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '52.93210713');
INSERT INTO public.ecdc_import VALUES (17659, '08/07/2020', '8', '7', '2020', '280', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '51.66148864');
INSERT INTO public.ecdc_import VALUES (17660, '07/07/2020', '7', '7', '2020', '250', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '49.87952367');
INSERT INTO public.ecdc_import VALUES (17661, '06/07/2020', '6', '7', '2020', '270', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '48.82584004');
INSERT INTO public.ecdc_import VALUES (17662, '05/07/2020', '5', '7', '2020', '240', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '44.64209621');
INSERT INTO public.ecdc_import VALUES (17663, '04/07/2020', '4', '7', '2020', '267', '19', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '45.52533102');
INSERT INTO public.ecdc_import VALUES (17664, '03/07/2020', '3', '7', '2020', '264', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '43.38697306');
INSERT INTO public.ecdc_import VALUES (17665, '02/07/2020', '2', '7', '2020', '298', '8', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '41.37257788');
INSERT INTO public.ecdc_import VALUES (17666, '01/07/2020', '1', '7', '2020', '265', '10', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '38.69188276');
INSERT INTO public.ecdc_import VALUES (17667, '30/06/2020', '30', '6', '2020', '239', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.36758063');
INSERT INTO public.ecdc_import VALUES (17668, '29/06/2020', '29', '6', '2020', '0', '12', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '34.30669941');
INSERT INTO public.ecdc_import VALUES (17669, '28/06/2020', '28', '6', '2020', '417', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '36.11965507');
INSERT INTO public.ecdc_import VALUES (17670, '27/06/2020', '27', '6', '2020', '181', '10', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '31.54852755');
INSERT INTO public.ecdc_import VALUES (17671, '26/06/2020', '26', '6', '2020', '186', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '28.74386965');
INSERT INTO public.ecdc_import VALUES (17672, '25/06/2020', '25', '6', '2020', '177', '13', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '29.06927195');
INSERT INTO public.ecdc_import VALUES (17673, '24/06/2020', '24', '6', '2020', '165', '6', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '27.61270928');
INSERT INTO public.ecdc_import VALUES (17674, '23/06/2020', '23', '6', '2020', '182', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '26.40407218');
INSERT INTO public.ecdc_import VALUES (17675, '22/06/2020', '22', '6', '2020', '0', '9', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '24.96300486');
INSERT INTO public.ecdc_import VALUES (17676, '21/06/2020', '21', '6', '2020', '297', '5', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '26.21812801');
INSERT INTO public.ecdc_import VALUES (17677, '20/06/2020', '20', '6', '2020', '129', '7', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '22.93311433');
INSERT INTO public.ecdc_import VALUES (17678, '19/06/2020', '19', '6', '2020', '134', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '21.98789813');
INSERT INTO public.ecdc_import VALUES (17679, '18/06/2020', '18', '6', '2020', '125', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '21.08916798');
INSERT INTO public.ecdc_import VALUES (17680, '17/06/2020', '17', '6', '2020', '115', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.95800761');
INSERT INTO public.ecdc_import VALUES (17681, '16/06/2020', '16', '6', '2020', '106', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.27621232');
INSERT INTO public.ecdc_import VALUES (17682, '15/06/2020', '15', '6', '2020', '117', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '18.64090307');
INSERT INTO public.ecdc_import VALUES (17683, '14/06/2020', '14', '6', '2020', '122', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '16.82794741');
INSERT INTO public.ecdc_import VALUES (17684, '13/06/2020', '13', '6', '2020', '0', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '18.64090307');
INSERT INTO public.ecdc_import VALUES (17685, '12/06/2020', '12', '6', '2020', '207', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.94251226');
INSERT INTO public.ecdc_import VALUES (17686, '11/06/2020', '11', '6', '2020', '83', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '18.05207986');
INSERT INTO public.ecdc_import VALUES (17687, '10/06/2020', '10', '6', '2020', '87', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.8041543');
INSERT INTO public.ecdc_import VALUES (17688, '09/06/2020', '9', '6', '2020', '89', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.37028457');
INSERT INTO public.ecdc_import VALUES (17689, '08/06/2020', '8', '6', '2020', '81', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.04488227');
INSERT INTO public.ecdc_import VALUES (17690, '07/06/2020', '7', '6', '2020', '85', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.27731249');
INSERT INTO public.ecdc_import VALUES (17691, '06/06/2020', '6', '6', '2020', '68', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.41677061');
INSERT INTO public.ecdc_import VALUES (17692, '05/06/2020', '5', '6', '2020', '76', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.68019152');
INSERT INTO public.ecdc_import VALUES (17693, '04/06/2020', '4', '6', '2020', '52', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.57172409');
INSERT INTO public.ecdc_import VALUES (17694, '03/06/2020', '3', '6', '2020', '71', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '17.89712639');
INSERT INTO public.ecdc_import VALUES (17695, '02/06/2020', '2', '6', '2020', '65', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '18.11406125');
INSERT INTO public.ecdc_import VALUES (17696, '01/06/2020', '1', '6', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '18.26901473');
INSERT INTO public.ecdc_import VALUES (17697, '31/05/2020', '31', '5', '2020', '239', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '19.4001751');
INSERT INTO public.ecdc_import VALUES (17698, '30/05/2020', '30', '5', '2020', '84', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '15.69678704');
INSERT INTO public.ecdc_import VALUES (17699, '29/05/2020', '29', '5', '2020', '85', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '15.24742196');
INSERT INTO public.ecdc_import VALUES (17700, '28/05/2020', '28', '5', '2020', '67', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '15.44886148');
INSERT INTO public.ecdc_import VALUES (17701, '27/05/2020', '27', '5', '2020', '59', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '15.57282426');
INSERT INTO public.ecdc_import VALUES (17702, '26/05/2020', '26', '5', '2020', '68', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '15.26291731');
INSERT INTO public.ecdc_import VALUES (17703, '25/05/2020', '25', '5', '2020', '96', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '14.82904758');
INSERT INTO public.ecdc_import VALUES (17704, '24/05/2020', '24', '5', '2020', '94', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '14.4106732');
INSERT INTO public.ecdc_import VALUES (17705, '23/05/2020', '23', '5', '2020', '85', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '14.58112202');
INSERT INTO public.ecdc_import VALUES (17706, '22/05/2020', '22', '5', '2020', '69', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '14.64310341');
INSERT INTO public.ecdc_import VALUES (17707, '21/05/2020', '21', '5', '2020', '73', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '13.57392443');
INSERT INTO public.ecdc_import VALUES (17708, '20/05/2020', '20', '5', '2020', '85', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '14.11626159');
INSERT INTO public.ecdc_import VALUES (17709, '19/05/2020', '19', '5', '2020', '75', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '12.79915705');
INSERT INTO public.ecdc_import VALUES (17710, '18/05/2020', '18', '5', '2020', '73', '4', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '12.13285711');
INSERT INTO public.ecdc_import VALUES (17711, '17/05/2020', '17', '5', '2020', '0', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '12.69068962');
INSERT INTO public.ecdc_import VALUES (17712, '16/05/2020', '16', '5', '2020', '55', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '12.69068962');
INSERT INTO public.ecdc_import VALUES (17713, '15/05/2020', '15', '5', '2020', '98', '3', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '12.17934315');
INSERT INTO public.ecdc_import VALUES (17714, '14/05/2020', '14', '5', '2020', '75', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '11.38908043');
INSERT INTO public.ecdc_import VALUES (17715, '13/05/2020', '13', '5', '2020', '39', '2', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '10.72278049');
INSERT INTO public.ecdc_import VALUES (17716, '12/05/2020', '12', '5', '2020', '40', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '10.45935958');
INSERT INTO public.ecdc_import VALUES (17717, '11/05/2020', '11', '5', '2020', '69', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '10.22692936');
INSERT INTO public.ecdc_import VALUES (17718, '10/05/2020', '10', '5', '2020', '105', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '9.15775039');
INSERT INTO public.ecdc_import VALUES (17719, '09/05/2020', '9', '5', '2020', '89', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '8.10406675');
INSERT INTO public.ecdc_import VALUES (17720, '08/05/2020', '8', '5', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '6.89542965');
INSERT INTO public.ecdc_import VALUES (17721, '07/05/2020', '7', '5', '2020', '108', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '7.09686917');
INSERT INTO public.ecdc_import VALUES (17722, '06/05/2020', '6', '5', '2020', '0', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '5.6093158');
INSERT INTO public.ecdc_import VALUES (17723, '05/05/2020', '5', '5', '2020', '32', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '5.71778324');
INSERT INTO public.ecdc_import VALUES (17724, '04/05/2020', '4', '5', '2020', '109', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '5.48535302');
INSERT INTO public.ecdc_import VALUES (17725, '03/05/2020', '3', '5', '2020', '0', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '3.96680897');
INSERT INTO public.ecdc_import VALUES (17726, '02/05/2020', '2', '5', '2020', '22', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '4.16824848');
INSERT INTO public.ecdc_import VALUES (17727, '01/05/2020', '1', '5', '2020', '47', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '4.02879036');
INSERT INTO public.ecdc_import VALUES (17728, '30/04/2020', '30', '4', '2020', '32', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '3.37798576');
INSERT INTO public.ecdc_import VALUES (17729, '29/04/2020', '29', '4', '2020', '22', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.88213464');
INSERT INTO public.ecdc_import VALUES (17730, '28/04/2020', '28', '4', '2020', '25', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.69619047');
INSERT INTO public.ecdc_import VALUES (17731, '27/04/2020', '27', '4', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.68069512');
INSERT INTO public.ecdc_import VALUES (17732, '26/04/2020', '26', '4', '2020', '37', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.78916255');
INSERT INTO public.ecdc_import VALUES (17733, '25/04/2020', '25', '4', '2020', '11', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.2158347');
INSERT INTO public.ecdc_import VALUES (17734, '24/04/2020', '24', '4', '2020', '13', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.06088122');
INSERT INTO public.ecdc_import VALUES (17735, '23/04/2020', '23', '4', '2020', '12', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.07637657');
INSERT INTO public.ecdc_import VALUES (17736, '22/04/2020', '22', '4', '2020', '7', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.27781609');
INSERT INTO public.ecdc_import VALUES (17737, '21/04/2020', '21', '4', '2020', '17', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.16934865');
INSERT INTO public.ecdc_import VALUES (17738, '20/04/2020', '20', '4', '2020', '11', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '2.04538587');
INSERT INTO public.ecdc_import VALUES (17739, '19/04/2020', '19', '4', '2020', '13', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.98340448');
INSERT INTO public.ecdc_import VALUES (17740, '18/04/2020', '18', '4', '2020', '13', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.87493705');
INSERT INTO public.ecdc_import VALUES (17741, '17/04/2020', '17', '4', '2020', '5', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.82845101');
INSERT INTO public.ecdc_import VALUES (17742, '16/04/2020', '16', '4', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.82845101');
INSERT INTO public.ecdc_import VALUES (17743, '15/04/2020', '15', '4', '2020', '10', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.96790914');
INSERT INTO public.ecdc_import VALUES (17744, '14/04/2020', '14', '4', '2020', '24', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.81295566');
INSERT INTO public.ecdc_import VALUES (17745, '13/04/2020', '13', '4', '2020', '7', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.47205801');
INSERT INTO public.ecdc_import VALUES (17746, '12/04/2020', '12', '4', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.5340394');
INSERT INTO public.ecdc_import VALUES (17747, '11/04/2020', '11', '4', '2020', '1', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.62701149');
INSERT INTO public.ecdc_import VALUES (17748, '10/04/2020', '10', '4', '2020', '14', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.61151614');
INSERT INTO public.ecdc_import VALUES (17749, '09/04/2020', '9', '4', '2020', '25', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.39458128');
INSERT INTO public.ecdc_import VALUES (17750, '08/04/2020', '8', '4', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.06917898');
INSERT INTO public.ecdc_import VALUES (17751, '07/04/2020', '7', '4', '2020', '9', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.13116037');
INSERT INTO public.ecdc_import VALUES (17752, '06/04/2020', '6', '4', '2020', '7', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '1.02269294');
INSERT INTO public.ecdc_import VALUES (17753, '05/04/2020', '5', '4', '2020', '6', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '0.9142255');
INSERT INTO public.ecdc_import VALUES (17754, '04/04/2020', '4', '4', '2020', '10', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '0.82125342');
INSERT INTO public.ecdc_import VALUES (17755, '03/04/2020', '3', '4', '2020', '5', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '0.69729064');
INSERT INTO public.ecdc_import VALUES (17756, '02/04/2020', '2', '4', '2020', '9', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '0.6198139');
INSERT INTO public.ecdc_import VALUES (17757, '01/04/2020', '1', '4', '2020', '0', '1', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '0.49585112');
INSERT INTO public.ecdc_import VALUES (17758, '31/03/2020', '31', '3', '2020', '2', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17759, '30/03/2020', '30', '3', '2020', '11', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17760, '29/03/2020', '29', '3', '2020', '6', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17761, '28/03/2020', '28', '3', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17762, '27/03/2020', '27', '3', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17763, '26/03/2020', '26', '3', '2020', '4', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17764, '25/03/2020', '25', '3', '2020', '4', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17765, '24/03/2020', '24', '3', '2020', '2', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17766, '23/03/2020', '23', '3', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17767, '22/03/2020', '22', '3', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17768, '21/03/2020', '21', '3', '2020', '2', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17769, '20/03/2020', '20', '3', '2020', '0', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17770, '19/03/2020', '19', '3', '2020', '1', '0', '6453550', 'El_Salvador', 'SV', 'SLV', 'America', '');
INSERT INTO public.ecdc_import VALUES (17771, '14/12/2020', '14', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17772, '13/12/2020', '13', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17773, '12/12/2020', '12', '12', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17774, '11/12/2020', '11', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.72864979');
INSERT INTO public.ecdc_import VALUES (17775, '10/12/2020', '10', '12', '2020', '17', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.72864979');
INSERT INTO public.ecdc_import VALUES (17776, '09/12/2020', '9', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.13867146');
INSERT INTO public.ecdc_import VALUES (17777, '08/12/2020', '8', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.13867146');
INSERT INTO public.ecdc_import VALUES (17778, '07/12/2020', '7', '12', '2020', '7', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.6549025');
INSERT INTO public.ecdc_import VALUES (17779, '06/12/2020', '6', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.13867146');
INSERT INTO public.ecdc_import VALUES (17780, '05/12/2020', '5', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17781, '04/12/2020', '4', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17782, '03/12/2020', '3', '12', '2020', '3', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17783, '02/12/2020', '2', '12', '2020', '3', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17784, '01/12/2020', '1', '12', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17785, '30/11/2020', '30', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.61361729');
INSERT INTO public.ecdc_import VALUES (17786, '29/11/2020', '29', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.61361729');
INSERT INTO public.ecdc_import VALUES (17787, '28/11/2020', '28', '11', '2020', '7', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.61361729');
INSERT INTO public.ecdc_import VALUES (17788, '27/11/2020', '27', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.09738625');
INSERT INTO public.ecdc_import VALUES (17789, '26/11/2020', '26', '11', '2020', '9', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.09738625');
INSERT INTO public.ecdc_import VALUES (17790, '25/11/2020', '25', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17791, '24/11/2020', '24', '11', '2020', '7', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.31862812');
INSERT INTO public.ecdc_import VALUES (17792, '23/11/2020', '23', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17793, '22/11/2020', '22', '11', '2020', '9', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17794, '21/11/2020', '21', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.13867146');
INSERT INTO public.ecdc_import VALUES (17795, '20/11/2020', '20', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.13867146');
INSERT INTO public.ecdc_import VALUES (17796, '19/11/2020', '19', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17797, '18/11/2020', '18', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17798, '17/11/2020', '17', '11', '2020', '17', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17799, '16/11/2020', '16', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.10620937');
INSERT INTO public.ecdc_import VALUES (17800, '15/11/2020', '15', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.17995667');
INSERT INTO public.ecdc_import VALUES (17801, '14/11/2020', '14', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.17995667');
INSERT INTO public.ecdc_import VALUES (17802, '13/11/2020', '13', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.54869312');
INSERT INTO public.ecdc_import VALUES (17803, '12/11/2020', '12', '11', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.54869312');
INSERT INTO public.ecdc_import VALUES (17804, '11/11/2020', '11', '11', '2020', '10', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.40119854');
INSERT INTO public.ecdc_import VALUES (17805, '10/11/2020', '10', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.66372562');
INSERT INTO public.ecdc_import VALUES (17806, '09/11/2020', '9', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.95871479');
INSERT INTO public.ecdc_import VALUES (17807, '08/11/2020', '8', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.95871479');
INSERT INTO public.ecdc_import VALUES (17808, '07/11/2020', '7', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.95871479');
INSERT INTO public.ecdc_import VALUES (17809, '06/11/2020', '6', '11', '2020', '3', '2', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.32745125');
INSERT INTO public.ecdc_import VALUES (17810, '05/11/2020', '5', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.10620937');
INSERT INTO public.ecdc_import VALUES (17811, '04/11/2020', '4', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.10620937');
INSERT INTO public.ecdc_import VALUES (17812, '03/11/2020', '3', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.40119854');
INSERT INTO public.ecdc_import VALUES (17813, '02/11/2020', '2', '11', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.40119854');
INSERT INTO public.ecdc_import VALUES (17814, '01/11/2020', '1', '11', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.32745125');
INSERT INTO public.ecdc_import VALUES (17815, '31/10/2020', '31', '10', '2020', '5', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.32745125');
INSERT INTO public.ecdc_import VALUES (17816, '30/10/2020', '30', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.10620937');
INSERT INTO public.ecdc_import VALUES (17817, '29/10/2020', '29', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.10620937');
INSERT INTO public.ecdc_import VALUES (17818, '28/10/2020', '28', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.25370396');
INSERT INTO public.ecdc_import VALUES (17819, '27/10/2020', '27', '10', '2020', '4', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.25370396');
INSERT INTO public.ecdc_import VALUES (17820, '26/10/2020', '26', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.17995667');
INSERT INTO public.ecdc_import VALUES (17821, '25/10/2020', '25', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.17995667');
INSERT INTO public.ecdc_import VALUES (17822, '24/10/2020', '24', '10', '2020', '5', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.17995667');
INSERT INTO public.ecdc_import VALUES (17823, '23/10/2020', '23', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.8849675');
INSERT INTO public.ecdc_import VALUES (17824, '22/10/2020', '22', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.8849675');
INSERT INTO public.ecdc_import VALUES (17825, '21/10/2020', '21', '10', '2020', '4', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.62244042');
INSERT INTO public.ecdc_import VALUES (17826, '20/10/2020', '20', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.32745125');
INSERT INTO public.ecdc_import VALUES (17827, '19/10/2020', '19', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.84368229');
INSERT INTO public.ecdc_import VALUES (17828, '18/10/2020', '18', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.84368229');
INSERT INTO public.ecdc_import VALUES (17829, '17/10/2020', '17', '10', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.84368229');
INSERT INTO public.ecdc_import VALUES (17830, '16/10/2020', '16', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.69618771');
INSERT INTO public.ecdc_import VALUES (17831, '15/10/2020', '15', '10', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17832, '14/10/2020', '14', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.6549025');
INSERT INTO public.ecdc_import VALUES (17833, '13/10/2020', '13', '10', '2020', '3', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.80239708');
INSERT INTO public.ecdc_import VALUES (17834, '12/10/2020', '12', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17835, '11/10/2020', '11', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17836, '10/10/2020', '10', '10', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.31862812');
INSERT INTO public.ecdc_import VALUES (17837, '09/10/2020', '9', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.24488083');
INSERT INTO public.ecdc_import VALUES (17838, '08/10/2020', '8', '10', '2020', '10', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.24488083');
INSERT INTO public.ecdc_import VALUES (17839, '07/10/2020', '7', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.50740792');
INSERT INTO public.ecdc_import VALUES (17840, '06/10/2020', '6', '10', '2020', '7', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.50740792');
INSERT INTO public.ecdc_import VALUES (17841, '05/10/2020', '5', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.17113354');
INSERT INTO public.ecdc_import VALUES (17842, '04/10/2020', '4', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.17113354');
INSERT INTO public.ecdc_import VALUES (17843, '03/10/2020', '3', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.17113354');
INSERT INTO public.ecdc_import VALUES (17844, '02/10/2020', '2', '10', '2020', '15', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.31862812');
INSERT INTO public.ecdc_import VALUES (17845, '01/10/2020', '1', '10', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.21241875');
INSERT INTO public.ecdc_import VALUES (17846, '30/09/2020', '30', '9', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.21241875');
INSERT INTO public.ecdc_import VALUES (17847, '29/09/2020', '29', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.06492417');
INSERT INTO public.ecdc_import VALUES (17848, '28/09/2020', '28', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17849, '27/09/2020', '27', '9', '2020', '10', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.35991333');
INSERT INTO public.ecdc_import VALUES (17850, '26/09/2020', '26', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.06492417');
INSERT INTO public.ecdc_import VALUES (17851, '25/09/2020', '25', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.06492417');
INSERT INTO public.ecdc_import VALUES (17852, '24/09/2020', '24', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.43366062');
INSERT INTO public.ecdc_import VALUES (17853, '23/09/2020', '23', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.43366062');
INSERT INTO public.ecdc_import VALUES (17854, '22/09/2020', '22', '9', '2020', '16', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.39237542');
INSERT INTO public.ecdc_import VALUES (17855, '21/09/2020', '21', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.21241875');
INSERT INTO public.ecdc_import VALUES (17856, '20/09/2020', '20', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.21241875');
INSERT INTO public.ecdc_import VALUES (17857, '19/09/2020', '19', '9', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.21241875');
INSERT INTO public.ecdc_import VALUES (17858, '18/09/2020', '18', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17859, '17/09/2020', '17', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17860, '16/09/2020', '16', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.58115521');
INSERT INTO public.ecdc_import VALUES (17861, '15/09/2020', '15', '9', '2020', '4', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.35109021');
INSERT INTO public.ecdc_import VALUES (17862, '14/09/2020', '14', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.05610104');
INSERT INTO public.ecdc_import VALUES (17863, '13/09/2020', '13', '9', '2020', '6', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.05610104');
INSERT INTO public.ecdc_import VALUES (17864, '12/09/2020', '12', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.57233208');
INSERT INTO public.ecdc_import VALUES (17865, '11/09/2020', '11', '9', '2020', '5', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.57233208');
INSERT INTO public.ecdc_import VALUES (17866, '10/09/2020', '10', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.35109021');
INSERT INTO public.ecdc_import VALUES (17867, '09/09/2020', '9', '9', '2020', '13', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.35109021');
INSERT INTO public.ecdc_import VALUES (17868, '08/09/2020', '8', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.39237542');
INSERT INTO public.ecdc_import VALUES (17869, '07/09/2020', '7', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.39237542');
INSERT INTO public.ecdc_import VALUES (17870, '06/09/2020', '6', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '3.39237542');
INSERT INTO public.ecdc_import VALUES (17871, '05/09/2020', '5', '9', '2020', '7', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.89978333');
INSERT INTO public.ecdc_import VALUES (17872, '04/09/2020', '4', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.38355229');
INSERT INTO public.ecdc_import VALUES (17873, '03/09/2020', '3', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.38355229');
INSERT INTO public.ecdc_import VALUES (17874, '02/09/2020', '2', '9', '2020', '24', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.38355229');
INSERT INTO public.ecdc_import VALUES (17875, '01/09/2020', '1', '9', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '8.849675');
INSERT INTO public.ecdc_import VALUES (17876, '31/08/2020', '31', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '8.849675');
INSERT INTO public.ecdc_import VALUES (17877, '30/08/2020', '30', '8', '2020', '13', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '8.849675');
INSERT INTO public.ecdc_import VALUES (17878, '29/08/2020', '29', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.8909602');
INSERT INTO public.ecdc_import VALUES (17879, '28/08/2020', '28', '8', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.8909602');
INSERT INTO public.ecdc_import VALUES (17880, '27/08/2020', '27', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.74346562');
INSERT INTO public.ecdc_import VALUES (17881, '26/08/2020', '26', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.74346562');
INSERT INTO public.ecdc_import VALUES (17882, '25/08/2020', '25', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.74346562');
INSERT INTO public.ecdc_import VALUES (17883, '24/08/2020', '24', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.74346562');
INSERT INTO public.ecdc_import VALUES (17884, '23/08/2020', '23', '8', '2020', '34', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '7.74346562');
INSERT INTO public.ecdc_import VALUES (17885, '22/08/2020', '22', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.23605771');
INSERT INTO public.ecdc_import VALUES (17886, '21/08/2020', '21', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.23605771');
INSERT INTO public.ecdc_import VALUES (17887, '20/08/2020', '20', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.23605771');
INSERT INTO public.ecdc_import VALUES (17888, '19/08/2020', '19', '8', '2020', '71', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '5.23605771');
INSERT INTO public.ecdc_import VALUES (17889, '18/08/2020', '18', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17890, '17/08/2020', '17', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17891, '16/08/2020', '16', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17892, '15/08/2020', '15', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17893, '14/08/2020', '14', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17894, '13/08/2020', '13', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17895, '12/08/2020', '12', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17896, '11/08/2020', '11', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17897, '10/08/2020', '10', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17898, '09/08/2020', '9', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17899, '08/08/2020', '8', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17900, '07/08/2020', '7', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17901, '06/08/2020', '6', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17902, '05/08/2020', '5', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17903, '04/08/2020', '4', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17904, '03/08/2020', '3', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17905, '02/08/2020', '2', '8', '2020', '1750', '32', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '129.05776035');
INSERT INTO public.ecdc_import VALUES (17906, '01/08/2020', '1', '8', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17907, '31/07/2020', '31', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17908, '30/07/2020', '30', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17909, '29/07/2020', '29', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17910, '28/07/2020', '28', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17911, '27/07/2020', '27', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17912, '26/07/2020', '26', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17913, '25/07/2020', '25', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17914, '24/07/2020', '24', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17915, '23/07/2020', '23', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17916, '22/07/2020', '22', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17917, '21/07/2020', '21', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17918, '20/07/2020', '20', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17919, '19/07/2020', '19', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17920, '18/07/2020', '18', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17921, '17/07/2020', '17', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17922, '16/07/2020', '16', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17923, '15/07/2020', '15', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17924, '14/07/2020', '14', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17925, '13/07/2020', '13', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17926, '12/07/2020', '12', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17927, '11/07/2020', '11', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17928, '10/07/2020', '10', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17929, '09/07/2020', '9', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17930, '08/07/2020', '8', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17931, '07/07/2020', '7', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '78.90960204');
INSERT INTO public.ecdc_import VALUES (17932, '06/07/2020', '6', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '103.76243932');
INSERT INTO public.ecdc_import VALUES (17933, '05/07/2020', '5', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '103.76243932');
INSERT INTO public.ecdc_import VALUES (17934, '04/07/2020', '4', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '103.76243932');
INSERT INTO public.ecdc_import VALUES (17935, '03/07/2020', '3', '7', '2020', '1070', '19', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '130.16396973');
INSERT INTO public.ecdc_import VALUES (17936, '02/07/2020', '2', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17937, '01/07/2020', '1', '7', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17938, '30/06/2020', '30', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17939, '29/06/2020', '29', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17940, '28/06/2020', '28', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17941, '27/06/2020', '27', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17942, '26/06/2020', '26', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17943, '25/06/2020', '25', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17944, '24/06/2020', '24', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17945, '23/06/2020', '23', '6', '2020', '337', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '51.25436768');
INSERT INTO public.ecdc_import VALUES (17946, '22/06/2020', '22', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '26.4015304');
INSERT INTO public.ecdc_import VALUES (17947, '21/06/2020', '21', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '26.4015304');
INSERT INTO public.ecdc_import VALUES (17948, '20/06/2020', '20', '6', '2020', '358', '20', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '26.4015304');
INSERT INTO public.ecdc_import VALUES (17949, '19/06/2020', '19', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17950, '18/06/2020', '18', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17951, '17/06/2020', '17', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17952, '16/06/2020', '16', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17953, '15/06/2020', '15', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17954, '14/06/2020', '14', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (17955, '13/06/2020', '13', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17956, '12/06/2020', '12', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17957, '11/06/2020', '11', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17958, '10/06/2020', '10', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17959, '09/06/2020', '9', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17960, '08/06/2020', '8', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17961, '07/06/2020', '7', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.3955377');
INSERT INTO public.ecdc_import VALUES (17962, '06/06/2020', '6', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '29.72015853');
INSERT INTO public.ecdc_import VALUES (17963, '05/06/2020', '5', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '29.72015853');
INSERT INTO public.ecdc_import VALUES (17964, '04/06/2020', '4', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '30.67887332');
INSERT INTO public.ecdc_import VALUES (17965, '03/06/2020', '3', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '30.67887332');
INSERT INTO public.ecdc_import VALUES (17966, '02/06/2020', '2', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '43.28966019');
INSERT INTO public.ecdc_import VALUES (17967, '01/06/2020', '1', '6', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '52.50807164');
INSERT INTO public.ecdc_import VALUES (17968, '31/05/2020', '31', '5', '2020', '263', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '52.50807164');
INSERT INTO public.ecdc_import VALUES (17969, '30/05/2020', '30', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '33.11253394');
INSERT INTO public.ecdc_import VALUES (17970, '29/05/2020', '29', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '33.11253394');
INSERT INTO public.ecdc_import VALUES (17971, '28/05/2020', '28', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '38.42233894');
INSERT INTO public.ecdc_import VALUES (17972, '27/05/2020', '27', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '44.54336414');
INSERT INTO public.ecdc_import VALUES (17973, '26/05/2020', '26', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '44.54336414');
INSERT INTO public.ecdc_import VALUES (17974, '25/05/2020', '25', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '44.54336414');
INSERT INTO public.ecdc_import VALUES (17975, '24/05/2020', '24', '5', '2020', '140', '2', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '44.54336414');
INSERT INTO public.ecdc_import VALUES (17976, '23/05/2020', '23', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '34.21874332');
INSERT INTO public.ecdc_import VALUES (17977, '22/05/2020', '22', '5', '2020', '13', '3', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '34.21874332');
INSERT INTO public.ecdc_import VALUES (17978, '21/05/2020', '21', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '33.26002853');
INSERT INTO public.ecdc_import VALUES (17979, '20/05/2020', '20', '5', '2020', '171', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '33.26002853');
INSERT INTO public.ecdc_import VALUES (17980, '19/05/2020', '19', '5', '2020', '125', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '29.79390582');
INSERT INTO public.ecdc_import VALUES (17981, '18/05/2020', '18', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '20.57549436');
INSERT INTO public.ecdc_import VALUES (17982, '17/05/2020', '17', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '20.57549436');
INSERT INTO public.ecdc_import VALUES (17983, '16/05/2020', '16', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '20.57549436');
INSERT INTO public.ecdc_import VALUES (17984, '15/05/2020', '15', '5', '2020', '72', '1', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '20.57549436');
INSERT INTO public.ecdc_import VALUES (17985, '14/05/2020', '14', '5', '2020', '83', '2', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '15.26568937');
INSERT INTO public.ecdc_import VALUES (17986, '13/05/2020', '13', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '9.14466416');
INSERT INTO public.ecdc_import VALUES (17987, '12/05/2020', '12', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '13.34825979');
INSERT INTO public.ecdc_import VALUES (17988, '11/05/2020', '11', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '13.34825979');
INSERT INTO public.ecdc_import VALUES (17989, '10/05/2020', '10', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '16.59314062');
INSERT INTO public.ecdc_import VALUES (17990, '09/05/2020', '9', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '16.7406352');
INSERT INTO public.ecdc_import VALUES (17991, '08/05/2020', '8', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '26.18028853');
INSERT INTO public.ecdc_import VALUES (17992, '07/05/2020', '7', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '26.25403582');
INSERT INTO public.ecdc_import VALUES (17993, '06/05/2020', '6', '5', '2020', '124', '2', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '26.54902499');
INSERT INTO public.ecdc_import VALUES (17994, '05/05/2020', '5', '5', '2020', '0', '1', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '17.40436082');
INSERT INTO public.ecdc_import VALUES (17995, '04/05/2020', '4', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '17.40436082');
INSERT INTO public.ecdc_import VALUES (17996, '03/05/2020', '3', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '17.40436082');
INSERT INTO public.ecdc_import VALUES (17997, '02/05/2020', '2', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '17.40436082');
INSERT INTO public.ecdc_import VALUES (17998, '01/05/2020', '1', '5', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.46928499');
INSERT INTO public.ecdc_import VALUES (17999, '30/04/2020', '30', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '19.46928499');
INSERT INTO public.ecdc_import VALUES (18000, '29/04/2020', '29', '4', '2020', '57', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '20.20675791');
INSERT INTO public.ecdc_import VALUES (18001, '28/04/2020', '28', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '17.47810812');
INSERT INTO public.ecdc_import VALUES (18002, '27/04/2020', '27', '4', '2020', '44', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '17.47810812');
INSERT INTO public.ecdc_import VALUES (18003, '26/04/2020', '26', '4', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '14.45446916');
INSERT INTO public.ecdc_import VALUES (18004, '25/04/2020', '25', '4', '2020', '128', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '14.30697458');
INSERT INTO public.ecdc_import VALUES (18005, '24/04/2020', '24', '4', '2020', '1', '1', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.86732125');
INSERT INTO public.ecdc_import VALUES (18006, '23/04/2020', '23', '4', '2020', '4', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.79357396');
INSERT INTO public.ecdc_import VALUES (18007, '22/04/2020', '22', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.64607937');
INSERT INTO public.ecdc_import VALUES (18008, '21/04/2020', '21', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.64607937');
INSERT INTO public.ecdc_import VALUES (18009, '20/04/2020', '20', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.64607937');
INSERT INTO public.ecdc_import VALUES (18010, '19/04/2020', '19', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.64607937');
INSERT INTO public.ecdc_import VALUES (18011, '18/04/2020', '18', '4', '2020', '28', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '4.64607937');
INSERT INTO public.ecdc_import VALUES (18012, '17/04/2020', '17', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.6549025');
INSERT INTO public.ecdc_import VALUES (18013, '16/04/2020', '16', '4', '2020', '10', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '2.6549025');
INSERT INTO public.ecdc_import VALUES (18014, '15/04/2020', '15', '4', '2020', '20', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.91742958');
INSERT INTO public.ecdc_import VALUES (18015, '14/04/2020', '14', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.51623104');
INSERT INTO public.ecdc_import VALUES (18016, '13/04/2020', '13', '4', '2020', '3', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.51623104');
INSERT INTO public.ecdc_import VALUES (18017, '12/04/2020', '12', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.36873646');
INSERT INTO public.ecdc_import VALUES (18018, '11/04/2020', '11', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.36873646');
INSERT INTO public.ecdc_import VALUES (18019, '10/04/2020', '10', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.44248375');
INSERT INTO public.ecdc_import VALUES (18020, '09/04/2020', '9', '4', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.51623104');
INSERT INTO public.ecdc_import VALUES (18021, '08/04/2020', '8', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.51623104');
INSERT INTO public.ecdc_import VALUES (18022, '07/04/2020', '7', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.51623104');
INSERT INTO public.ecdc_import VALUES (18023, '06/04/2020', '6', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.73747292');
INSERT INTO public.ecdc_import VALUES (18024, '05/04/2020', '5', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.73747292');
INSERT INTO public.ecdc_import VALUES (18025, '04/04/2020', '4', '4', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.8849675');
INSERT INTO public.ecdc_import VALUES (18026, '03/04/2020', '3', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.81122021');
INSERT INTO public.ecdc_import VALUES (18027, '02/04/2020', '2', '4', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.8849675');
INSERT INTO public.ecdc_import VALUES (18028, '01/04/2020', '1', '4', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '1.03246208');
INSERT INTO public.ecdc_import VALUES (18029, '31/03/2020', '31', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.95871479');
INSERT INTO public.ecdc_import VALUES (18030, '30/03/2020', '30', '3', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.95871479');
INSERT INTO public.ecdc_import VALUES (18031, '29/03/2020', '29', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.8849675');
INSERT INTO public.ecdc_import VALUES (18032, '28/03/2020', '28', '3', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '0.95871479');
INSERT INTO public.ecdc_import VALUES (18033, '27/03/2020', '27', '3', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18034, '26/03/2020', '26', '3', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18035, '25/03/2020', '25', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18036, '24/03/2020', '24', '3', '2020', '3', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18037, '23/03/2020', '23', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18038, '22/03/2020', '22', '3', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18039, '21/03/2020', '21', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18040, '20/03/2020', '20', '3', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18041, '19/03/2020', '19', '3', '2020', '2', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18042, '18/03/2020', '18', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18043, '17/03/2020', '17', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18044, '16/03/2020', '16', '3', '2020', '0', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18045, '15/03/2020', '15', '3', '2020', '1', '0', '1355982', 'Equatorial_Guinea', 'GQ', 'GNQ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18046, '14/12/2020', '14', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '3.83172768');
INSERT INTO public.ecdc_import VALUES (18047, '13/12/2020', '13', '12', '2020', '55', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '3.83172768');
INSERT INTO public.ecdc_import VALUES (18048, '12/12/2020', '12', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.57354844');
INSERT INTO public.ecdc_import VALUES (18049, '11/12/2020', '11', '12', '2020', '7', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.57354844');
INSERT INTO public.ecdc_import VALUES (18050, '10/12/2020', '10', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.60214342');
INSERT INTO public.ecdc_import VALUES (18051, '09/12/2020', '9', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.60214342');
INSERT INTO public.ecdc_import VALUES (18052, '08/12/2020', '8', '12', '2020', '17', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.60214342');
INSERT INTO public.ecdc_import VALUES (18053, '07/12/2020', '7', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.3161936');
INSERT INTO public.ecdc_import VALUES (18054, '06/12/2020', '6', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.3161936');
INSERT INTO public.ecdc_import VALUES (18055, '05/12/2020', '5', '12', '2020', '38', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '3.00247318');
INSERT INTO public.ecdc_import VALUES (18056, '04/12/2020', '4', '12', '2020', '17', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.91586384');
INSERT INTO public.ecdc_import VALUES (18057, '03/12/2020', '3', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.68710398');
INSERT INTO public.ecdc_import VALUES (18058, '02/12/2020', '2', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.40197854');
INSERT INTO public.ecdc_import VALUES (18059, '01/12/2020', '1', '12', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.40197854');
INSERT INTO public.ecdc_import VALUES (18060, '30/11/2020', '30', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.40197854');
INSERT INTO public.ecdc_import VALUES (18061, '29/11/2020', '29', '11', '2020', '11', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.40197854');
INSERT INTO public.ecdc_import VALUES (18062, '28/11/2020', '28', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.08743373');
INSERT INTO public.ecdc_import VALUES (18063, '27/11/2020', '27', '11', '2020', '8', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.1446237');
INSERT INTO public.ecdc_import VALUES (18064, '26/11/2020', '26', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.91586384');
INSERT INTO public.ecdc_import VALUES (18065, '25/11/2020', '25', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.91586384');
INSERT INTO public.ecdc_import VALUES (18066, '24/11/2020', '24', '11', '2020', '7', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.91586384');
INSERT INTO public.ecdc_import VALUES (18067, '23/11/2020', '23', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.71569896');
INSERT INTO public.ecdc_import VALUES (18068, '22/11/2020', '22', '11', '2020', '24', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.71569896');
INSERT INTO public.ecdc_import VALUES (18069, '21/11/2020', '21', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.22958425');
INSERT INTO public.ecdc_import VALUES (18070, '20/11/2020', '20', '11', '2020', '9', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.22958425');
INSERT INTO public.ecdc_import VALUES (18071, '19/11/2020', '19', '11', '2020', '25', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.08660934');
INSERT INTO public.ecdc_import VALUES (18072, '18/11/2020', '18', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.37173477');
INSERT INTO public.ecdc_import VALUES (18073, '17/11/2020', '17', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18074, '16/11/2020', '16', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18075, '15/11/2020', '15', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18076, '14/11/2020', '14', '11', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.91503945');
INSERT INTO public.ecdc_import VALUES (18077, '13/11/2020', '13', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18078, '12/11/2020', '12', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18079, '11/11/2020', '11', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18080, '10/11/2020', '10', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18081, '09/11/2020', '9', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18082, '08/11/2020', '8', '11', '2020', '7', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18083, '07/11/2020', '7', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.6576846');
INSERT INTO public.ecdc_import VALUES (18084, '06/11/2020', '6', '11', '2020', '4', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.77206453');
INSERT INTO public.ecdc_import VALUES (18085, '05/11/2020', '5', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18086, '04/11/2020', '4', '11', '2020', '17', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18087, '03/11/2020', '3', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.31454481');
INSERT INTO public.ecdc_import VALUES (18088, '02/11/2020', '2', '11', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.08660934');
INSERT INTO public.ecdc_import VALUES (18089, '01/11/2020', '1', '11', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.17239429');
INSERT INTO public.ecdc_import VALUES (18090, '31/10/2020', '31', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18091, '30/10/2020', '30', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.34396419');
INSERT INTO public.ecdc_import VALUES (18092, '29/10/2020', '29', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.34396419');
INSERT INTO public.ecdc_import VALUES (18093, '28/10/2020', '28', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.34396419');
INSERT INTO public.ecdc_import VALUES (18094, '27/10/2020', '27', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.34396419');
INSERT INTO public.ecdc_import VALUES (18095, '26/10/2020', '26', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.34396419');
INSERT INTO public.ecdc_import VALUES (18096, '25/10/2020', '25', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.34396419');
INSERT INTO public.ecdc_import VALUES (18097, '24/10/2020', '24', '10', '2020', '4', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.60131903');
INSERT INTO public.ecdc_import VALUES (18098, '23/10/2020', '23', '10', '2020', '5', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.4869391');
INSERT INTO public.ecdc_import VALUES (18099, '22/10/2020', '22', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.54412906');
INSERT INTO public.ecdc_import VALUES (18100, '21/10/2020', '21', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.54412906');
INSERT INTO public.ecdc_import VALUES (18101, '20/10/2020', '20', '10', '2020', '27', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.54412906');
INSERT INTO public.ecdc_import VALUES (18102, '19/10/2020', '19', '10', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.77206453');
INSERT INTO public.ecdc_import VALUES (18103, '18/10/2020', '18', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.68627958');
INSERT INTO public.ecdc_import VALUES (18104, '17/10/2020', '17', '10', '2020', '8', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.17239429');
INSERT INTO public.ecdc_import VALUES (18105, '16/10/2020', '16', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18106, '15/10/2020', '15', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18107, '14/10/2020', '14', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18108, '13/10/2020', '13', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18109, '12/10/2020', '12', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18110, '11/10/2020', '11', '10', '2020', '9', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.11520432');
INSERT INTO public.ecdc_import VALUES (18111, '10/10/2020', '10', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18112, '09/10/2020', '9', '10', '2020', '7', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.17239429');
INSERT INTO public.ecdc_import VALUES (18113, '08/10/2020', '8', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18114, '07/10/2020', '7', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18115, '06/10/2020', '6', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18116, '05/10/2020', '5', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18117, '04/10/2020', '4', '10', '2020', '17', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18118, '03/10/2020', '3', '10', '2020', '6', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.48611471');
INSERT INTO public.ecdc_import VALUES (18119, '02/10/2020', '2', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.31454481');
INSERT INTO public.ecdc_import VALUES (18120, '01/10/2020', '1', '10', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.31454481');
INSERT INTO public.ecdc_import VALUES (18121, '30/09/2020', '30', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.40032976');
INSERT INTO public.ecdc_import VALUES (18122, '29/09/2020', '29', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.40032976');
INSERT INTO public.ecdc_import VALUES (18123, '28/09/2020', '28', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.40032976');
INSERT INTO public.ecdc_import VALUES (18124, '27/09/2020', '27', '9', '2020', '6', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.40032976');
INSERT INTO public.ecdc_import VALUES (18125, '26/09/2020', '26', '9', '2020', '5', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.22875986');
INSERT INTO public.ecdc_import VALUES (18126, '25/09/2020', '25', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.08578495');
INSERT INTO public.ecdc_import VALUES (18127, '24/09/2020', '24', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.6576846');
INSERT INTO public.ecdc_import VALUES (18128, '23/09/2020', '23', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.6576846');
INSERT INTO public.ecdc_import VALUES (18129, '22/09/2020', '22', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18130, '21/09/2020', '21', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18131, '20/09/2020', '20', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18132, '19/09/2020', '19', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18133, '18/09/2020', '18', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.97222941');
INSERT INTO public.ecdc_import VALUES (18134, '17/09/2020', '17', '9', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.28677422');
INSERT INTO public.ecdc_import VALUES (18135, '16/09/2020', '16', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.20098927');
INSERT INTO public.ecdc_import VALUES (18136, '15/09/2020', '15', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.22958425');
INSERT INTO public.ecdc_import VALUES (18137, '14/09/2020', '14', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.22958425');
INSERT INTO public.ecdc_import VALUES (18138, '13/09/2020', '13', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.22958425');
INSERT INTO public.ecdc_import VALUES (18139, '12/09/2020', '12', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.25817924');
INSERT INTO public.ecdc_import VALUES (18140, '11/09/2020', '11', '9', '2020', '20', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.25817924');
INSERT INTO public.ecdc_import VALUES (18141, '10/09/2020', '10', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.74346955');
INSERT INTO public.ecdc_import VALUES (18142, '09/09/2020', '9', '9', '2020', '11', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.74346955');
INSERT INTO public.ecdc_import VALUES (18143, '08/09/2020', '8', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.68627958');
INSERT INTO public.ecdc_import VALUES (18144, '07/09/2020', '7', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.68627958');
INSERT INTO public.ecdc_import VALUES (18145, '06/09/2020', '6', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.68627958');
INSERT INTO public.ecdc_import VALUES (18146, '05/09/2020', '5', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.68627958');
INSERT INTO public.ecdc_import VALUES (18147, '04/09/2020', '4', '9', '2020', '11', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.74346955');
INSERT INTO public.ecdc_import VALUES (18148, '03/09/2020', '3', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.42892474');
INSERT INTO public.ecdc_import VALUES (18149, '02/09/2020', '2', '9', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.42892474');
INSERT INTO public.ecdc_import VALUES (18150, '01/09/2020', '1', '9', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.94363443');
INSERT INTO public.ecdc_import VALUES (18151, '31/08/2020', '31', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.94363443');
INSERT INTO public.ecdc_import VALUES (18152, '30/08/2020', '30', '8', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.94363443');
INSERT INTO public.ecdc_import VALUES (18153, '29/08/2020', '29', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.91503945');
INSERT INTO public.ecdc_import VALUES (18154, '28/08/2020', '28', '8', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.91503945');
INSERT INTO public.ecdc_import VALUES (18155, '27/08/2020', '27', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18156, '26/08/2020', '26', '8', '2020', '9', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18157, '25/08/2020', '25', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.60049464');
INSERT INTO public.ecdc_import VALUES (18158, '24/08/2020', '24', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.60049464');
INSERT INTO public.ecdc_import VALUES (18159, '23/08/2020', '23', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.60049464');
INSERT INTO public.ecdc_import VALUES (18160, '22/08/2020', '22', '8', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.60049464');
INSERT INTO public.ecdc_import VALUES (18161, '21/08/2020', '21', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18162, '20/08/2020', '20', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18163, '19/08/2020', '19', '8', '2020', '19', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18164, '18/08/2020', '18', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.08578495');
INSERT INTO public.ecdc_import VALUES (18165, '17/08/2020', '17', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18166, '16/08/2020', '16', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18167, '15/08/2020', '15', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18168, '14/08/2020', '14', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18169, '13/08/2020', '13', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.57189965');
INSERT INTO public.ecdc_import VALUES (18170, '12/08/2020', '12', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.57189965');
INSERT INTO public.ecdc_import VALUES (18171, '11/08/2020', '11', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.57189965');
INSERT INTO public.ecdc_import VALUES (18172, '10/08/2020', '10', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18173, '09/08/2020', '9', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18174, '08/08/2020', '8', '8', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.68627958');
INSERT INTO public.ecdc_import VALUES (18175, '07/08/2020', '7', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.60049464');
INSERT INTO public.ecdc_import VALUES (18176, '06/08/2020', '6', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.88644446');
INSERT INTO public.ecdc_import VALUES (18177, '05/08/2020', '5', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.88644446');
INSERT INTO public.ecdc_import VALUES (18178, '04/08/2020', '4', '8', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.88644446');
INSERT INTO public.ecdc_import VALUES (18179, '03/08/2020', '3', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18180, '02/08/2020', '2', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18181, '01/08/2020', '1', '8', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18182, '31/07/2020', '31', '7', '2020', '14', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18183, '30/07/2020', '30', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.94363443');
INSERT INTO public.ecdc_import VALUES (18184, '29/07/2020', '29', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.94363443');
INSERT INTO public.ecdc_import VALUES (18185, '28/07/2020', '28', '7', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.94363443');
INSERT INTO public.ecdc_import VALUES (18186, '27/07/2020', '27', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.88644446');
INSERT INTO public.ecdc_import VALUES (18187, '26/07/2020', '26', '7', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.88644446');
INSERT INTO public.ecdc_import VALUES (18188, '25/07/2020', '25', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.8292545');
INSERT INTO public.ecdc_import VALUES (18189, '24/07/2020', '24', '7', '2020', '10', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.8292545');
INSERT INTO public.ecdc_import VALUES (18190, '23/07/2020', '23', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18191, '22/07/2020', '22', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18192, '21/07/2020', '21', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18193, '20/07/2020', '20', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18194, '19/07/2020', '19', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18195, '18/07/2020', '18', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18196, '17/07/2020', '17', '7', '2020', '19', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.02941938');
INSERT INTO public.ecdc_import VALUES (18197, '16/07/2020', '16', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.8292545');
INSERT INTO public.ecdc_import VALUES (18198, '15/07/2020', '15', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.8292545');
INSERT INTO public.ecdc_import VALUES (18199, '14/07/2020', '14', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.17239429');
INSERT INTO public.ecdc_import VALUES (18200, '13/07/2020', '13', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.17239429');
INSERT INTO public.ecdc_import VALUES (18201, '12/07/2020', '12', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.17239429');
INSERT INTO public.ecdc_import VALUES (18202, '11/07/2020', '11', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.85867387');
INSERT INTO public.ecdc_import VALUES (18203, '10/07/2020', '10', '7', '2020', '17', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.51635847');
INSERT INTO public.ecdc_import VALUES (18204, '09/07/2020', '9', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.05883875');
INSERT INTO public.ecdc_import VALUES (18205, '08/07/2020', '8', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.05883875');
INSERT INTO public.ecdc_import VALUES (18206, '07/07/2020', '7', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.05883875');
INSERT INTO public.ecdc_import VALUES (18207, '06/07/2020', '6', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.05883875');
INSERT INTO public.ecdc_import VALUES (18208, '05/07/2020', '5', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.05883875');
INSERT INTO public.ecdc_import VALUES (18209, '04/07/2020', '4', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.08743373');
INSERT INTO public.ecdc_import VALUES (18210, '03/07/2020', '3', '7', '2020', '12', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.08743373');
INSERT INTO public.ecdc_import VALUES (18211, '02/07/2020', '2', '7', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.05883875');
INSERT INTO public.ecdc_import VALUES (18212, '01/07/2020', '1', '7', '2020', '12', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.34478858');
INSERT INTO public.ecdc_import VALUES (18213, '30/06/2020', '30', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.34478858');
INSERT INTO public.ecdc_import VALUES (18214, '29/06/2020', '29', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.71652335');
INSERT INTO public.ecdc_import VALUES (18215, '28/06/2020', '28', '6', '2020', '24', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '3.60296782');
INSERT INTO public.ecdc_import VALUES (18216, '27/06/2020', '27', '6', '2020', '23', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '3.60296782');
INSERT INTO public.ecdc_import VALUES (18217, '26/06/2020', '26', '6', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.94528321');
INSERT INTO public.ecdc_import VALUES (18218, '25/06/2020', '25', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.91668823');
INSERT INTO public.ecdc_import VALUES (18219, '24/06/2020', '24', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.91668823');
INSERT INTO public.ecdc_import VALUES (18220, '23/06/2020', '23', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.91668823');
INSERT INTO public.ecdc_import VALUES (18221, '22/06/2020', '22', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.91668823');
INSERT INTO public.ecdc_import VALUES (18222, '21/06/2020', '21', '6', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.91668823');
INSERT INTO public.ecdc_import VALUES (18223, '20/06/2020', '20', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.88809325');
INSERT INTO public.ecdc_import VALUES (18224, '19/06/2020', '19', '6', '2020', '11', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.88809325');
INSERT INTO public.ecdc_import VALUES (18225, '18/06/2020', '18', '6', '2020', '10', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.60214342');
INSERT INTO public.ecdc_import VALUES (18226, '17/06/2020', '17', '6', '2020', '12', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.34478858');
INSERT INTO public.ecdc_import VALUES (18227, '16/06/2020', '16', '6', '2020', '13', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '2.00164879');
INSERT INTO public.ecdc_import VALUES (18228, '15/06/2020', '15', '6', '2020', '31', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '1.62991401');
INSERT INTO public.ecdc_import VALUES (18229, '14/06/2020', '14', '6', '2020', '24', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.74346955');
INSERT INTO public.ecdc_import VALUES (18230, '13/06/2020', '13', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18231, '12/06/2020', '12', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18232, '11/06/2020', '11', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18233, '10/06/2020', '10', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18234, '09/06/2020', '9', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18235, '08/06/2020', '8', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18236, '07/06/2020', '7', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18237, '06/06/2020', '6', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18238, '05/06/2020', '5', '6', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.05718997');
INSERT INTO public.ecdc_import VALUES (18239, '04/06/2020', '4', '6', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.02859498');
INSERT INTO public.ecdc_import VALUES (18240, '03/06/2020', '3', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18241, '02/06/2020', '2', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18242, '01/06/2020', '1', '6', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18243, '31/05/2020', '31', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18244, '30/05/2020', '30', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18245, '29/05/2020', '29', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18246, '28/05/2020', '28', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18247, '27/05/2020', '27', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18248, '26/05/2020', '26', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18249, '25/05/2020', '25', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18250, '24/05/2020', '24', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18251, '23/05/2020', '23', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18252, '22/05/2020', '22', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18253, '21/05/2020', '21', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18254, '20/05/2020', '20', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18255, '19/05/2020', '19', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18256, '18/05/2020', '18', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18257, '17/05/2020', '17', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18258, '16/05/2020', '16', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18259, '15/05/2020', '15', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18260, '14/05/2020', '14', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18261, '13/05/2020', '13', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18262, '12/05/2020', '12', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18263, '11/05/2020', '11', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18264, '10/05/2020', '10', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18265, '09/05/2020', '9', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18266, '08/05/2020', '8', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18267, '07/05/2020', '7', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18268, '06/05/2020', '6', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18269, '05/05/2020', '5', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18270, '04/05/2020', '4', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (18271, '03/05/2020', '3', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.11437993');
INSERT INTO public.ecdc_import VALUES (18272, '02/05/2020', '2', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.11437993');
INSERT INTO public.ecdc_import VALUES (18273, '01/05/2020', '1', '5', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.11437993');
INSERT INTO public.ecdc_import VALUES (18274, '30/04/2020', '30', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.11437993');
INSERT INTO public.ecdc_import VALUES (18275, '29/04/2020', '29', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.11437993');
INSERT INTO public.ecdc_import VALUES (18276, '28/04/2020', '28', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.14297491');
INSERT INTO public.ecdc_import VALUES (18277, '27/04/2020', '27', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.14297491');
INSERT INTO public.ecdc_import VALUES (18278, '26/04/2020', '26', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.14297491');
INSERT INTO public.ecdc_import VALUES (18279, '25/04/2020', '25', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.14297491');
INSERT INTO public.ecdc_import VALUES (18280, '24/04/2020', '24', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18281, '23/04/2020', '23', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18282, '22/04/2020', '22', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.22875986');
INSERT INTO public.ecdc_import VALUES (18283, '21/04/2020', '21', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.22875986');
INSERT INTO public.ecdc_import VALUES (18284, '20/04/2020', '20', '4', '2020', '4', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.28594983');
INSERT INTO public.ecdc_import VALUES (18285, '19/04/2020', '19', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.1715699');
INSERT INTO public.ecdc_import VALUES (18286, '18/04/2020', '18', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.37173477');
INSERT INTO public.ecdc_import VALUES (18287, '17/04/2020', '17', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.37173477');
INSERT INTO public.ecdc_import VALUES (18288, '16/04/2020', '16', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.48611471');
INSERT INTO public.ecdc_import VALUES (18289, '15/04/2020', '15', '4', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.57189965');
INSERT INTO public.ecdc_import VALUES (18290, '14/04/2020', '14', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18291, '13/04/2020', '13', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18292, '12/04/2020', '12', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18293, '11/04/2020', '11', '4', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18294, '10/04/2020', '10', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.77206453');
INSERT INTO public.ecdc_import VALUES (18295, '09/04/2020', '9', '4', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.8292545');
INSERT INTO public.ecdc_import VALUES (18296, '08/04/2020', '8', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18297, '07/04/2020', '7', '4', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.85784948');
INSERT INTO public.ecdc_import VALUES (18298, '06/04/2020', '6', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18299, '05/04/2020', '5', '4', '2020', '7', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.80065951');
INSERT INTO public.ecdc_import VALUES (18300, '04/04/2020', '4', '4', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '0.62908962');
INSERT INTO public.ecdc_import VALUES (18301, '03/04/2020', '3', '4', '2020', '4', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18302, '02/04/2020', '2', '4', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18303, '01/04/2020', '1', '4', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18304, '31/03/2020', '31', '3', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18305, '30/03/2020', '30', '3', '2020', '6', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18306, '29/03/2020', '29', '3', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18307, '28/03/2020', '28', '3', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18308, '27/03/2020', '27', '3', '2020', '2', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18309, '26/03/2020', '26', '3', '2020', '3', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18310, '25/03/2020', '25', '3', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18311, '24/03/2020', '24', '3', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18312, '23/03/2020', '23', '3', '2020', '0', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18313, '22/03/2020', '22', '3', '2020', '1', '0', '3497117', 'Eritrea', 'ER', 'ERI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18314, '14/12/2020', '14', '12', '2020', '342', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '453.11815945');
INSERT INTO public.ecdc_import VALUES (18315, '13/12/2020', '13', '12', '2020', '757', '6', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '454.02394288');
INSERT INTO public.ecdc_import VALUES (18316, '12/12/2020', '12', '12', '2020', '358', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '425.18983711');
INSERT INTO public.ecdc_import VALUES (18317, '11/12/2020', '11', '12', '2020', '544', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '425.94465663');
INSERT INTO public.ecdc_import VALUES (18318, '10/12/2020', '10', '12', '2020', '544', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '416.13200284');
INSERT INTO public.ecdc_import VALUES (18319, '09/12/2020', '9', '12', '2020', '284', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '403.90392657');
INSERT INTO public.ecdc_import VALUES (18320, '08/12/2020', '8', '12', '2020', '248', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '397.78988844');
INSERT INTO public.ecdc_import VALUES (18321, '07/12/2020', '7', '12', '2020', '478', '5', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '396.5821772');
INSERT INTO public.ecdc_import VALUES (18322, '06/12/2020', '6', '12', '2020', '561', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '386.84500536');
INSERT INTO public.ecdc_import VALUES (18323, '05/12/2020', '5', '12', '2020', '470', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '367.06873387');
INSERT INTO public.ecdc_import VALUES (18324, '04/12/2020', '4', '12', '2020', '450', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '358.84120107');
INSERT INTO public.ecdc_import VALUES (18325, '03/12/2020', '3', '12', '2020', '522', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '355.89740493');
INSERT INTO public.ecdc_import VALUES (18326, '02/12/2020', '2', '12', '2020', '189', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '336.95143491');
INSERT INTO public.ecdc_import VALUES (18327, '01/12/2020', '1', '12', '2020', '256', '6', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '336.6495071');
INSERT INTO public.ecdc_import VALUES (18328, '30/11/2020', '30', '11', '2020', '354', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '333.25281925');
INSERT INTO public.ecdc_import VALUES (18329, '29/11/2020', '29', '11', '2020', '375', '5', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '343.44288281');
INSERT INTO public.ecdc_import VALUES (18330, '28/11/2020', '28', '11', '2020', '368', '5', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '315.13715071');
INSERT INTO public.ecdc_import VALUES (18331, '27/11/2020', '27', '11', '2020', '414', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '307.51347353');
INSERT INTO public.ecdc_import VALUES (18332, '26/11/2020', '26', '11', '2020', '382', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '304.41871349');
INSERT INTO public.ecdc_import VALUES (18333, '25/11/2020', '25', '11', '2020', '203', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '285.54822542');
INSERT INTO public.ecdc_import VALUES (18334, '24/11/2020', '24', '11', '2020', '232', '4', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '279.73611509');
INSERT INTO public.ecdc_import VALUES (18335, '23/11/2020', '23', '11', '2020', '349', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '271.6595462');
INSERT INTO public.ecdc_import VALUES (18336, '22/11/2020', '22', '11', '2020', '299', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '259.8088797');
INSERT INTO public.ecdc_import VALUES (18337, '21/11/2020', '21', '11', '2020', '361', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '254.44966109');
INSERT INTO public.ecdc_import VALUES (18338, '20/11/2020', '20', '11', '2020', '411', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '245.39182681');
INSERT INTO public.ecdc_import VALUES (18339, '19/11/2020', '19', '11', '2020', '271', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '224.25688018');
INSERT INTO public.ecdc_import VALUES (18340, '18/11/2020', '18', '11', '2020', '185', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '219.50151719');
INSERT INTO public.ecdc_import VALUES (18341, '17/11/2020', '17', '11', '2020', '211', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '211.50043025');
INSERT INTO public.ecdc_import VALUES (18342, '16/11/2020', '16', '11', '2020', '489', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '200.17813741');
INSERT INTO public.ecdc_import VALUES (18343, '15/11/2020', '15', '11', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '169.30601893');
INSERT INTO public.ecdc_import VALUES (18344, '14/11/2020', '14', '11', '2020', '267', '4', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '179.42060053');
INSERT INTO public.ecdc_import VALUES (18345, '13/11/2020', '13', '11', '2020', '373', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '166.81511451');
INSERT INTO public.ecdc_import VALUES (18346, '12/11/2020', '12', '11', '2020', '132', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '144.77438444');
INSERT INTO public.ecdc_import VALUES (18347, '11/11/2020', '11', '11', '2020', '126', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '144.24601078');
INSERT INTO public.ecdc_import VALUES (18348, '10/11/2020', '10', '11', '2020', '125', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '137.52811703');
INSERT INTO public.ecdc_import VALUES (18349, '09/11/2020', '9', '11', '2020', '192', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '129.37606618');
INSERT INTO public.ecdc_import VALUES (18350, '08/11/2020', '8', '11', '2020', '228', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '119.41244848');
INSERT INTO public.ecdc_import VALUES (18351, '07/11/2020', '7', '11', '2020', '241', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '106.05214293');
INSERT INTO public.ecdc_import VALUES (18352, '06/11/2020', '6', '11', '2020', '131', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '91.86153591');
INSERT INTO public.ecdc_import VALUES (18353, '05/11/2020', '5', '11', '2020', '208', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '87.71002853');
INSERT INTO public.ecdc_import VALUES (18354, '04/11/2020', '4', '11', '2020', '79', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '75.33098836');
INSERT INTO public.ecdc_import VALUES (18355, '03/11/2020', '3', '11', '2020', '61', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '72.53815613');
INSERT INTO public.ecdc_import VALUES (18356, '02/11/2020', '2', '11', '2020', '80', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '68.4621307');
INSERT INTO public.ecdc_import VALUES (18357, '01/11/2020', '1', '11', '2020', '134', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '64.38610528');
INSERT INTO public.ecdc_import VALUES (18358, '31/10/2020', '31', '10', '2020', '100', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '56.91339201');
INSERT INTO public.ecdc_import VALUES (18359, '30/10/2020', '30', '10', '2020', '81', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '52.15802902');
INSERT INTO public.ecdc_import VALUES (18360, '29/10/2020', '29', '10', '2020', '125', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '48.53489531');
INSERT INTO public.ecdc_import VALUES (18361, '28/10/2020', '28', '10', '2020', '37', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '42.04344741');
INSERT INTO public.ecdc_import VALUES (18362, '27/10/2020', '27', '10', '2020', '17', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '41.13766398');
INSERT INTO public.ecdc_import VALUES (18363, '26/10/2020', '26', '10', '2020', '60', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '41.21314594');
INSERT INTO public.ecdc_import VALUES (18364, '25/10/2020', '25', '10', '2020', '51', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '38.11838589');
INSERT INTO public.ecdc_import VALUES (18365, '24/10/2020', '24', '10', '2020', '53', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '37.06163856');
INSERT INTO public.ecdc_import VALUES (18366, '23/10/2020', '23', '10', '2020', '76', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '36.75971075');
INSERT INTO public.ecdc_import VALUES (18367, '22/10/2020', '22', '10', '2020', '44', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '34.41977023');
INSERT INTO public.ecdc_import VALUES (18368, '21/10/2020', '21', '10', '2020', '42', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '35.32555366');
INSERT INTO public.ecdc_import VALUES (18369, '20/10/2020', '20', '10', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '35.32555366');
INSERT INTO public.ecdc_import VALUES (18370, '19/10/2020', '19', '10', '2020', '26', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '35.55199952');
INSERT INTO public.ecdc_import VALUES (18371, '18/10/2020', '18', '10', '2020', '35', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '35.85392733');
INSERT INTO public.ecdc_import VALUES (18372, '17/10/2020', '17', '10', '2020', '37', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '38.49579566');
INSERT INTO public.ecdc_import VALUES (18373, '16/10/2020', '16', '10', '2020', '33', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '40.0054347');
INSERT INTO public.ecdc_import VALUES (18374, '15/10/2020', '15', '10', '2020', '39', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '43.4776045');
INSERT INTO public.ecdc_import VALUES (18375, '14/10/2020', '14', '10', '2020', '25', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '44.76079769');
INSERT INTO public.ecdc_import VALUES (18376, '13/10/2020', '13', '10', '2020', '18', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '46.4968826');
INSERT INTO public.ecdc_import VALUES (18377, '12/10/2020', '12', '10', '2020', '19', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '50.19549826');
INSERT INTO public.ecdc_import VALUES (18378, '11/10/2020', '11', '10', '2020', '37', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.40320949');
INSERT INTO public.ecdc_import VALUES (18379, '10/10/2020', '10', '10', '2020', '49', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '52.15802902');
INSERT INTO public.ecdc_import VALUES (18380, '09/10/2020', '9', '10', '2020', '45', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.62965535');
INSERT INTO public.ecdc_import VALUES (18381, '08/10/2020', '8', '10', '2020', '56', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.47869144');
INSERT INTO public.ecdc_import VALUES (18382, '07/10/2020', '7', '10', '2020', '42', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.5541734');
INSERT INTO public.ecdc_import VALUES (18383, '06/10/2020', '6', '10', '2020', '10', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.02579973');
INSERT INTO public.ecdc_import VALUES (18384, '05/10/2020', '5', '10', '2020', '30', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.5541734');
INSERT INTO public.ecdc_import VALUES (18385, '04/10/2020', '4', '10', '2020', '70', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '52.98833049');
INSERT INTO public.ecdc_import VALUES (18386, '03/10/2020', '3', '10', '2020', '57', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '52.30899292');
INSERT INTO public.ecdc_import VALUES (18387, '02/10/2020', '2', '10', '2020', '79', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '50.72387192');
INSERT INTO public.ecdc_import VALUES (18388, '01/10/2020', '1', '10', '2020', '56', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '46.42140064');
INSERT INTO public.ecdc_import VALUES (18389, '30/09/2020', '30', '9', '2020', '48', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '44.76079769');
INSERT INTO public.ecdc_import VALUES (18390, '29/09/2020', '29', '9', '2020', '67', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '42.94923084');
INSERT INTO public.ecdc_import VALUES (18391, '28/09/2020', '28', '9', '2020', '35', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '39.55254299');
INSERT INTO public.ecdc_import VALUES (18392, '27/09/2020', '27', '9', '2020', '47', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '38.49579566');
INSERT INTO public.ecdc_import VALUES (18393, '26/09/2020', '26', '9', '2020', '42', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '36.6842288');
INSERT INTO public.ecdc_import VALUES (18394, '25/09/2020', '25', '9', '2020', '43', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '35.92940928');
INSERT INTO public.ecdc_import VALUES (18395, '24/09/2020', '24', '9', '2020', '57', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '33.81591461');
INSERT INTO public.ecdc_import VALUES (18396, '23/09/2020', '23', '9', '2020', '35', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '31.17404629');
INSERT INTO public.ecdc_import VALUES (18397, '22/09/2020', '22', '9', '2020', '17', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '30.94760043');
INSERT INTO public.ecdc_import VALUES (18398, '21/09/2020', '21', '9', '2020', '49', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '30.87211848');
INSERT INTO public.ecdc_import VALUES (18399, '20/09/2020', '20', '9', '2020', '61', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '29.06055162');
INSERT INTO public.ecdc_import VALUES (18400, '19/09/2020', '19', '9', '2020', '36', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '27.02253891');
INSERT INTO public.ecdc_import VALUES (18401, '18/09/2020', '18', '9', '2020', '22', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '25.43741791');
INSERT INTO public.ecdc_import VALUES (18402, '17/09/2020', '17', '9', '2020', '34', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '25.73934572');
INSERT INTO public.ecdc_import VALUES (18403, '16/09/2020', '16', '9', '2020', '24', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '24.68259839');
INSERT INTO public.ecdc_import VALUES (18404, '15/09/2020', '15', '9', '2020', '22', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '24.38067058');
INSERT INTO public.ecdc_import VALUES (18405, '14/09/2020', '14', '9', '2020', '21', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '22.87103154');
INSERT INTO public.ecdc_import VALUES (18406, '13/09/2020', '13', '9', '2020', '23', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '22.04073006');
INSERT INTO public.ecdc_import VALUES (18407, '12/09/2020', '12', '9', '2020', '32', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '21.8142842');
INSERT INTO public.ecdc_import VALUES (18408, '11/09/2020', '11', '9', '2020', '15', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '20.75753687');
INSERT INTO public.ecdc_import VALUES (18409, '10/09/2020', '10', '9', '2020', '22', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '20.68205492');
INSERT INTO public.ecdc_import VALUES (18410, '09/09/2020', '9', '9', '2020', '32', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '20.30464516');
INSERT INTO public.ecdc_import VALUES (18411, '08/09/2020', '8', '9', '2020', '16', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '19.32337978');
INSERT INTO public.ecdc_import VALUES (18412, '07/09/2020', '7', '9', '2020', '25', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '18.3421144');
INSERT INTO public.ecdc_import VALUES (18413, '06/09/2020', '6', '9', '2020', '34', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '16.98343926');
INSERT INTO public.ecdc_import VALUES (18414, '05/09/2020', '5', '9', '2020', '15', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '16.00217388');
INSERT INTO public.ecdc_import VALUES (18415, '04/09/2020', '4', '9', '2020', '26', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '16.15313778');
INSERT INTO public.ecdc_import VALUES (18416, '03/09/2020', '3', '9', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '15.70024607');
INSERT INTO public.ecdc_import VALUES (18417, '02/09/2020', '2', '9', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '14.71898069');
INSERT INTO public.ecdc_import VALUES (18418, '01/09/2020', '1', '9', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '13.81319726');
INSERT INTO public.ecdc_import VALUES (18419, '31/08/2020', '31', '8', '2020', '10', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '13.81319726');
INSERT INTO public.ecdc_import VALUES (18420, '30/08/2020', '30', '8', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '13.51126946');
INSERT INTO public.ecdc_import VALUES (18421, '29/08/2020', '29', '8', '2020', '18', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '12.53000408');
INSERT INTO public.ecdc_import VALUES (18422, '28/08/2020', '28', '8', '2020', '14', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '11.39777479');
INSERT INTO public.ecdc_import VALUES (18423, '27/08/2020', '27', '8', '2020', '17', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '10.34102746');
INSERT INTO public.ecdc_import VALUES (18424, '26/08/2020', '26', '8', '2020', '19', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.58620794');
INSERT INTO public.ecdc_import VALUES (18425, '25/08/2020', '25', '8', '2020', '3', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.83138842');
INSERT INTO public.ecdc_import VALUES (18426, '24/08/2020', '24', '8', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.05783427');
INSERT INTO public.ecdc_import VALUES (18427, '23/08/2020', '23', '8', '2020', '21', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.90687037');
INSERT INTO public.ecdc_import VALUES (18428, '22/08/2020', '22', '8', '2020', '17', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.3784967');
INSERT INTO public.ecdc_import VALUES (18429, '21/08/2020', '21', '8', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.77464108');
INSERT INTO public.ecdc_import VALUES (18430, '20/08/2020', '20', '8', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.09530351');
INSERT INTO public.ecdc_import VALUES (18431, '19/08/2020', '19', '8', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.2275328');
INSERT INTO public.ecdc_import VALUES (18432, '18/08/2020', '18', '8', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.45397865');
INSERT INTO public.ecdc_import VALUES (18433, '17/08/2020', '17', '8', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.3784967');
INSERT INTO public.ecdc_import VALUES (18434, '16/08/2020', '16', '8', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.45397865');
INSERT INTO public.ecdc_import VALUES (18435, '15/08/2020', '15', '8', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.52946061');
INSERT INTO public.ecdc_import VALUES (18436, '14/08/2020', '14', '8', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.28428013');
INSERT INTO public.ecdc_import VALUES (18437, '13/08/2020', '13', '8', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.9636177');
INSERT INTO public.ecdc_import VALUES (18438, '12/08/2020', '12', '8', '2020', '9', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.73717184');
INSERT INTO public.ecdc_import VALUES (18439, '11/08/2020', '11', '8', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.05783427');
INSERT INTO public.ecdc_import VALUES (18440, '10/08/2020', '10', '8', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.90687037');
INSERT INTO public.ecdc_import VALUES (18441, '09/08/2020', '9', '8', '2020', '14', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.60494256');
INSERT INTO public.ecdc_import VALUES (18442, '08/08/2020', '8', '8', '2020', '9', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.92560499');
INSERT INTO public.ecdc_import VALUES (18443, '07/08/2020', '7', '8', '2020', '11', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.32174937');
INSERT INTO public.ecdc_import VALUES (18444, '06/08/2020', '6', '8', '2020', '22', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.6424118');
INSERT INTO public.ecdc_import VALUES (18445, '05/08/2020', '5', '8', '2020', '11', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.20825471');
INSERT INTO public.ecdc_import VALUES (18446, '04/08/2020', '4', '8', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '4.45343518');
INSERT INTO public.ecdc_import VALUES (18447, '03/08/2020', '3', '8', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '4.37795323');
INSERT INTO public.ecdc_import VALUES (18448, '02/08/2020', '2', '8', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '3.84957957');
INSERT INTO public.ecdc_import VALUES (18449, '01/08/2020', '1', '8', '2020', '13', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '3.3212059');
INSERT INTO public.ecdc_import VALUES (18450, '31/07/2020', '31', '7', '2020', '9', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.64186833');
INSERT INTO public.ecdc_import VALUES (18451, '30/07/2020', '30', '7', '2020', '4', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.96253076');
INSERT INTO public.ecdc_import VALUES (18452, '29/07/2020', '29', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.7360849');
INSERT INTO public.ecdc_import VALUES (18453, '28/07/2020', '28', '7', '2020', '4', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.81156685');
INSERT INTO public.ecdc_import VALUES (18454, '27/07/2020', '27', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.50963905');
INSERT INTO public.ecdc_import VALUES (18455, '26/07/2020', '26', '7', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.43415709');
INSERT INTO public.ecdc_import VALUES (18456, '25/07/2020', '25', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.13222928');
INSERT INTO public.ecdc_import VALUES (18457, '24/07/2020', '24', '7', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.20771124');
INSERT INTO public.ecdc_import VALUES (18458, '23/07/2020', '23', '7', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.66060295');
INSERT INTO public.ecdc_import VALUES (18459, '22/07/2020', '22', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18460, '21/07/2020', '21', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18461, '20/07/2020', '20', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.11349466');
INSERT INTO public.ecdc_import VALUES (18462, '19/07/2020', '19', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.11349466');
INSERT INTO public.ecdc_import VALUES (18463, '18/07/2020', '18', '7', '2020', '4', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.18897662');
INSERT INTO public.ecdc_import VALUES (18464, '17/07/2020', '17', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.96253076');
INSERT INTO public.ecdc_import VALUES (18465, '16/07/2020', '16', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18466, '15/07/2020', '15', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.96253076');
INSERT INTO public.ecdc_import VALUES (18467, '14/07/2020', '14', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18468, '13/07/2020', '13', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18469, '12/07/2020', '12', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.11349466');
INSERT INTO public.ecdc_import VALUES (18470, '11/07/2020', '11', '7', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18471, '10/07/2020', '10', '7', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18472, '09/07/2020', '9', '7', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.50963905');
INSERT INTO public.ecdc_import VALUES (18473, '08/07/2020', '8', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.98126538');
INSERT INTO public.ecdc_import VALUES (18474, '07/07/2020', '7', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.98126538');
INSERT INTO public.ecdc_import VALUES (18475, '06/07/2020', '6', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.90578343');
INSERT INTO public.ecdc_import VALUES (18476, '05/07/2020', '5', '7', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.90578343');
INSERT INTO public.ecdc_import VALUES (18477, '04/07/2020', '4', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.90578343');
INSERT INTO public.ecdc_import VALUES (18478, '03/07/2020', '3', '7', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.98126538');
INSERT INTO public.ecdc_import VALUES (18479, '02/07/2020', '2', '7', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.90578343');
INSERT INTO public.ecdc_import VALUES (18480, '01/07/2020', '1', '7', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.05674733');
INSERT INTO public.ecdc_import VALUES (18481, '30/06/2020', '30', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.98126538');
INSERT INTO public.ecdc_import VALUES (18482, '29/06/2020', '29', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.05674733');
INSERT INTO public.ecdc_import VALUES (18483, '28/06/2020', '28', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.98126538');
INSERT INTO public.ecdc_import VALUES (18484, '27/06/2020', '27', '6', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.20771124');
INSERT INTO public.ecdc_import VALUES (18485, '26/06/2020', '26', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.43415709');
INSERT INTO public.ecdc_import VALUES (18486, '25/06/2020', '25', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.88704881');
INSERT INTO public.ecdc_import VALUES (18487, '24/06/2020', '24', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.64186833');
INSERT INTO public.ecdc_import VALUES (18488, '23/06/2020', '23', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '3.09476004');
INSERT INTO public.ecdc_import VALUES (18489, '22/06/2020', '22', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '3.170242');
INSERT INTO public.ecdc_import VALUES (18490, '21/06/2020', '21', '6', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '3.77409761');
INSERT INTO public.ecdc_import VALUES (18491, '20/06/2020', '20', '6', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.20825471');
INSERT INTO public.ecdc_import VALUES (18492, '19/06/2020', '19', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.56692985');
INSERT INTO public.ecdc_import VALUES (18493, '18/06/2020', '18', '6', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.32174937');
INSERT INTO public.ecdc_import VALUES (18494, '17/06/2020', '17', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.92560499');
INSERT INTO public.ecdc_import VALUES (18495, '16/06/2020', '16', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.85012304');
INSERT INTO public.ecdc_import VALUES (18496, '15/06/2020', '15', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.85012304');
INSERT INTO public.ecdc_import VALUES (18497, '14/06/2020', '14', '6', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.15205084');
INSERT INTO public.ecdc_import VALUES (18498, '13/06/2020', '13', '6', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.3784967');
INSERT INTO public.ecdc_import VALUES (18499, '12/06/2020', '12', '6', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.60494256');
INSERT INTO public.ecdc_import VALUES (18500, '11/06/2020', '11', '6', '2020', '11', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.90687037');
INSERT INTO public.ecdc_import VALUES (18501, '10/06/2020', '10', '6', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.52946061');
INSERT INTO public.ecdc_import VALUES (18502, '09/06/2020', '9', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.75590646');
INSERT INTO public.ecdc_import VALUES (18503, '08/06/2020', '8', '6', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.75590646');
INSERT INTO public.ecdc_import VALUES (18504, '07/06/2020', '7', '6', '2020', '21', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.30301475');
INSERT INTO public.ecdc_import VALUES (18505, '06/06/2020', '6', '6', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.77464108');
INSERT INTO public.ecdc_import VALUES (18506, '05/06/2020', '5', '6', '2020', '10', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.7933757');
INSERT INTO public.ecdc_import VALUES (18507, '04/06/2020', '4', '6', '2020', '10', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.49144789');
INSERT INTO public.ecdc_import VALUES (18508, '03/06/2020', '3', '6', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.96307423');
INSERT INTO public.ecdc_import VALUES (18509, '02/06/2020', '2', '6', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.49144789');
INSERT INTO public.ecdc_import VALUES (18510, '01/06/2020', '1', '6', '2020', '4', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.17078547');
INSERT INTO public.ecdc_import VALUES (18511, '31/05/2020', '31', '5', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.17078547');
INSERT INTO public.ecdc_import VALUES (18512, '30/05/2020', '30', '5', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.01982156');
INSERT INTO public.ecdc_import VALUES (18513, '29/05/2020', '29', '5', '2020', '11', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.01982156');
INSERT INTO public.ecdc_import VALUES (18514, '28/05/2020', '28', '5', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.71789375');
INSERT INTO public.ecdc_import VALUES (18515, '27/05/2020', '27', '5', '2020', '10', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.6424118');
INSERT INTO public.ecdc_import VALUES (18516, '26/05/2020', '26', '5', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.26500204');
INSERT INTO public.ecdc_import VALUES (18517, '25/05/2020', '25', '5', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.34048399');
INSERT INTO public.ecdc_import VALUES (18518, '24/05/2020', '24', '5', '2020', '14', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.6424118');
INSERT INTO public.ecdc_import VALUES (18519, '23/05/2020', '23', '5', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.18952009');
INSERT INTO public.ecdc_import VALUES (18520, '22/05/2020', '22', '5', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.03855618');
INSERT INTO public.ecdc_import VALUES (18521, '21/05/2020', '21', '5', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.11403813');
INSERT INTO public.ecdc_import VALUES (18522, '20/05/2020', '20', '5', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.03855618');
INSERT INTO public.ecdc_import VALUES (18523, '19/05/2020', '19', '5', '2020', '10', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.11403813');
INSERT INTO public.ecdc_import VALUES (18524, '18/05/2020', '18', '5', '2020', '4', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.58566447');
INSERT INTO public.ecdc_import VALUES (18525, '17/05/2020', '17', '5', '2020', '4', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.35921861');
INSERT INTO public.ecdc_import VALUES (18526, '16/05/2020', '16', '5', '2020', '8', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.43470056');
INSERT INTO public.ecdc_import VALUES (18527, '15/05/2020', '15', '5', '2020', '7', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.20825471');
INSERT INTO public.ecdc_import VALUES (18528, '14/05/2020', '14', '5', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.41596594');
INSERT INTO public.ecdc_import VALUES (18529, '13/05/2020', '13', '5', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '6.49144789');
INSERT INTO public.ecdc_import VALUES (18530, '12/05/2020', '12', '5', '2020', '2', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.09530351');
INSERT INTO public.ecdc_import VALUES (18531, '11/05/2020', '11', '5', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.24626742');
INSERT INTO public.ecdc_import VALUES (18532, '10/05/2020', '10', '5', '2020', '8', '4', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '7.39723132');
INSERT INTO public.ecdc_import VALUES (18533, '09/05/2020', '9', '5', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.05783427');
INSERT INTO public.ecdc_import VALUES (18534, '08/05/2020', '8', '5', '2020', '7', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '9.66168989');
INSERT INTO public.ecdc_import VALUES (18535, '07/05/2020', '7', '5', '2020', '2', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '11.62422065');
INSERT INTO public.ecdc_import VALUES (18536, '06/05/2020', '6', '5', '2020', '8', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '12.00163041');
INSERT INTO public.ecdc_import VALUES (18537, '05/05/2020', '5', '5', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '12.68096798');
INSERT INTO public.ecdc_import VALUES (18538, '04/05/2020', '4', '5', '2020', '1', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '12.98289579');
INSERT INTO public.ecdc_import VALUES (18539, '03/05/2020', '3', '5', '2020', '5', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '14.11512507');
INSERT INTO public.ecdc_import VALUES (18540, '02/05/2020', '2', '5', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '17.73825878');
INSERT INTO public.ecdc_import VALUES (18541, '01/05/2020', '1', '5', '2020', '23', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '19.24789783');
INSERT INTO public.ecdc_import VALUES (18542, '30/04/2020', '30', '4', '2020', '6', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '19.9272354');
INSERT INTO public.ecdc_import VALUES (18543, '29/04/2020', '29', '4', '2020', '13', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '21.6633203');
INSERT INTO public.ecdc_import VALUES (18544, '28/04/2020', '28', '4', '2020', '4', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '23.77681496');
INSERT INTO public.ecdc_import VALUES (18545, '27/04/2020', '27', '4', '2020', '8', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '25.21097206');
INSERT INTO public.ecdc_import VALUES (18546, '26/04/2020', '26', '4', '2020', '30', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '24.9845262');
INSERT INTO public.ecdc_import VALUES (18547, '25/04/2020', '25', '4', '2020', '13', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '26.19223744');
INSERT INTO public.ecdc_import VALUES (18548, '24/04/2020', '24', '4', '2020', '33', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '29.06055162');
INSERT INTO public.ecdc_import VALUES (18549, '23/04/2020', '23', '4', '2020', '7', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '28.23025015');
INSERT INTO public.ecdc_import VALUES (18550, '22/04/2020', '22', '4', '2020', '17', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '30.41922676');
INSERT INTO public.ecdc_import VALUES (18551, '21/04/2020', '21', '4', '2020', '7', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '32.23079362');
INSERT INTO public.ecdc_import VALUES (18552, '20/04/2020', '20', '4', '2020', '16', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '32.53272143');
INSERT INTO public.ecdc_import VALUES (18553, '19/04/2020', '19', '4', '2020', '53', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '37.28808442');
INSERT INTO public.ecdc_import VALUES (18554, '18/04/2020', '18', '4', '2020', '25', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '37.59001223');
INSERT INTO public.ecdc_import VALUES (18555, '17/04/2020', '17', '4', '2020', '32', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '43.4776045');
INSERT INTO public.ecdc_import VALUES (18556, '16/04/2020', '16', '4', '2020', '29', '4', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '47.02525626');
INSERT INTO public.ecdc_import VALUES (18557, '15/04/2020', '15', '4', '2020', '41', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '47.40266602');
INSERT INTO public.ecdc_import VALUES (18558, '14/04/2020', '14', '4', '2020', '23', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '46.57236455');
INSERT INTO public.ecdc_import VALUES (18559, '13/04/2020', '13', '4', '2020', '5', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '47.55362993');
INSERT INTO public.ecdc_import VALUES (18560, '12/04/2020', '12', '4', '2020', '46', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '50.1200163');
INSERT INTO public.ecdc_import VALUES (18561, '11/04/2020', '11', '4', '2020', '51', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.5541734');
INSERT INTO public.ecdc_import VALUES (18562, '10/04/2020', '10', '4', '2020', '22', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '50.49742607');
INSERT INTO public.ecdc_import VALUES (18563, '09/04/2020', '9', '4', '2020', '36', '3', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '58.95140472');
INSERT INTO public.ecdc_import VALUES (18564, '08/04/2020', '8', '4', '2020', '41', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '58.87592277');
INSERT INTO public.ecdc_import VALUES (18565, '07/04/2020', '7', '4', '2020', '11', '4', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '57.06435591');
INSERT INTO public.ecdc_import VALUES (18566, '06/04/2020', '6', '4', '2020', '79', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '58.1965852');
INSERT INTO public.ecdc_import VALUES (18567, '05/04/2020', '5', '4', '2020', '57', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '53.74315001');
INSERT INTO public.ecdc_import VALUES (18568, '04/04/2020', '4', '4', '2020', '103', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '51.17676364');
INSERT INTO public.ecdc_import VALUES (18569, '03/04/2020', '3', '4', '2020', '79', '6', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '44.60983379');
INSERT INTO public.ecdc_import VALUES (18570, '02/04/2020', '2', '4', '2020', '34', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '39.32609713');
INSERT INTO public.ecdc_import VALUES (18571, '01/04/2020', '1', '4', '2020', '30', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '39.25061518');
INSERT INTO public.ecdc_import VALUES (18572, '31/03/2020', '31', '3', '2020', '36', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '38.49579566');
INSERT INTO public.ecdc_import VALUES (18573, '30/03/2020', '30', '3', '2020', '39', '2', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '38.34483175');
INSERT INTO public.ecdc_import VALUES (18574, '29/03/2020', '29', '3', '2020', '65', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '39.62802494');
INSERT INTO public.ecdc_import VALUES (18575, '28/03/2020', '28', '3', '2020', '37', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '37.43904832');
INSERT INTO public.ecdc_import VALUES (18576, '27/03/2020', '27', '3', '2020', '134', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '38.57127761');
INSERT INTO public.ecdc_import VALUES (18577, '26/03/2020', '26', '3', '2020', '35', '1', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '29.28699748');
INSERT INTO public.ecdc_import VALUES (18578, '25/03/2020', '25', '3', '2020', '17', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '26.87157501');
INSERT INTO public.ecdc_import VALUES (18579, '24/03/2020', '24', '3', '2020', '26', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '25.81482767');
INSERT INTO public.ecdc_import VALUES (18580, '23/03/2020', '23', '3', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '24.22970668');
INSERT INTO public.ecdc_import VALUES (18581, '22/03/2020', '22', '3', '2020', '23', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '22.94651349');
INSERT INTO public.ecdc_import VALUES (18582, '21/03/2020', '21', '3', '2020', '16', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '21.28591054');
INSERT INTO public.ecdc_import VALUES (18583, '20/03/2020', '20', '3', '2020', '9', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '20.0781993');
INSERT INTO public.ecdc_import VALUES (18584, '19/03/2020', '19', '3', '2020', '33', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '19.39886173');
INSERT INTO public.ecdc_import VALUES (18585, '18/03/2020', '18', '3', '2020', '20', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '16.90795731');
INSERT INTO public.ecdc_import VALUES (18586, '17/03/2020', '17', '3', '2020', '34', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '15.47380021');
INSERT INTO public.ecdc_import VALUES (18587, '16/03/2020', '16', '3', '2020', '56', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '12.90741384');
INSERT INTO public.ecdc_import VALUES (18588, '15/03/2020', '15', '3', '2020', '36', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '8.68042451');
INSERT INTO public.ecdc_import VALUES (18589, '14/03/2020', '14', '3', '2020', '52', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '5.96307423');
INSERT INTO public.ecdc_import VALUES (18590, '13/03/2020', '13', '3', '2020', '11', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '2.03801271');
INSERT INTO public.ecdc_import VALUES (18591, '12/03/2020', '12', '3', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '1.20771124');
INSERT INTO public.ecdc_import VALUES (18592, '11/03/2020', '11', '3', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.98126538');
INSERT INTO public.ecdc_import VALUES (18593, '07/03/2020', '7', '3', '2020', '5', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.75481952');
INSERT INTO public.ecdc_import VALUES (18594, '06/03/2020', '6', '3', '2020', '3', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.37740976');
INSERT INTO public.ecdc_import VALUES (18595, '04/03/2020', '4', '3', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.1509639');
INSERT INTO public.ecdc_import VALUES (18596, '02/03/2020', '2', '3', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.07548195');
INSERT INTO public.ecdc_import VALUES (18597, '01/03/2020', '1', '3', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.07548195');
INSERT INTO public.ecdc_import VALUES (18598, '29/02/2020', '29', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.07548195');
INSERT INTO public.ecdc_import VALUES (18599, '28/02/2020', '28', '2', '2020', '1', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0.07548195');
INSERT INTO public.ecdc_import VALUES (18600, '27/02/2020', '27', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18601, '26/02/2020', '26', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18602, '25/02/2020', '25', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18603, '24/02/2020', '24', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18604, '23/02/2020', '23', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18605, '22/02/2020', '22', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18606, '21/02/2020', '21', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18607, '20/02/2020', '20', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18608, '19/02/2020', '19', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18609, '18/02/2020', '18', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18610, '17/02/2020', '17', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18611, '16/02/2020', '16', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18612, '15/02/2020', '15', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18613, '14/02/2020', '14', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18614, '13/02/2020', '13', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18615, '12/02/2020', '12', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18616, '11/02/2020', '11', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18617, '10/02/2020', '10', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18618, '09/02/2020', '9', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18619, '08/02/2020', '8', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18620, '07/02/2020', '7', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18621, '06/02/2020', '6', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18622, '05/02/2020', '5', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18623, '04/02/2020', '4', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18624, '03/02/2020', '3', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18625, '02/02/2020', '2', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18626, '01/02/2020', '1', '2', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18627, '31/01/2020', '31', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18628, '30/01/2020', '30', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18629, '29/01/2020', '29', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18630, '28/01/2020', '28', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18631, '27/01/2020', '27', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18632, '26/01/2020', '26', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18633, '25/01/2020', '25', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18634, '24/01/2020', '24', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18635, '23/01/2020', '23', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18636, '22/01/2020', '22', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18637, '21/01/2020', '21', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18638, '20/01/2020', '20', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18639, '19/01/2020', '19', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18640, '18/01/2020', '18', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18641, '17/01/2020', '17', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18642, '16/01/2020', '16', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18643, '15/01/2020', '15', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18644, '14/01/2020', '14', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18645, '13/01/2020', '13', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (18646, '12/01/2020', '12', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18647, '11/01/2020', '11', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18648, '10/01/2020', '10', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18649, '09/01/2020', '9', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18650, '08/01/2020', '8', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18651, '07/01/2020', '7', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18652, '06/01/2020', '6', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18653, '05/01/2020', '5', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18654, '04/01/2020', '4', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18655, '03/01/2020', '3', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18656, '02/01/2020', '2', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18657, '01/01/2020', '1', '1', '2020', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18658, '31/12/2019', '31', '12', '2019', '0', '0', '1324820', 'Estonia', 'EE', 'EST', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (18659, '14/12/2020', '14', '12', '2020', '54', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '31.18105655');
INSERT INTO public.ecdc_import VALUES (18660, '13/12/2020', '13', '12', '2020', '29', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.82616038');
INSERT INTO public.ecdc_import VALUES (18661, '12/12/2020', '12', '12', '2020', '52', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '28.13262923');
INSERT INTO public.ecdc_import VALUES (18662, '11/12/2020', '11', '12', '2020', '21', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.47776869');
INSERT INTO public.ecdc_import VALUES (18663, '10/12/2020', '10', '12', '2020', '49', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '29.61329393');
INSERT INTO public.ecdc_import VALUES (18664, '09/12/2020', '9', '12', '2020', '34', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.52294377');
INSERT INTO public.ecdc_import VALUES (18665, '08/12/2020', '8', '12', '2020', '28', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.7809853');
INSERT INTO public.ecdc_import VALUES (18666, '07/12/2020', '7', '12', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.56161438');
INSERT INTO public.ecdc_import VALUES (18667, '06/12/2020', '6', '12', '2020', '15', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.25839776');
INSERT INTO public.ecdc_import VALUES (18668, '05/12/2020', '5', '12', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.69388738');
INSERT INTO public.ecdc_import VALUES (18669, '04/12/2020', '4', '12', '2020', '19', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.69713962');
INSERT INTO public.ecdc_import VALUES (18670, '03/12/2020', '3', '12', '2020', '13', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.08745415');
INSERT INTO public.ecdc_import VALUES (18671, '02/12/2020', '2', '12', '2020', '23', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.69713962');
INSERT INTO public.ecdc_import VALUES (18672, '01/12/2020', '1', '12', '2020', '9', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.34874792');
INSERT INTO public.ecdc_import VALUES (18673, '30/11/2020', '30', '11', '2020', '4', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.43584585');
INSERT INTO public.ecdc_import VALUES (18674, '29/11/2020', '29', '11', '2020', '44', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.26165');
INSERT INTO public.ecdc_import VALUES (18675, '28/11/2020', '28', '11', '2020', '33', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.91000607');
INSERT INTO public.ecdc_import VALUES (18676, '27/11/2020', '27', '11', '2020', '57', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '23.42934137');
INSERT INTO public.ecdc_import VALUES (18677, '26/11/2020', '26', '11', '2020', '25', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '19.85832652');
INSERT INTO public.ecdc_import VALUES (18678, '25/11/2020', '25', '11', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '19.4228369');
INSERT INTO public.ecdc_import VALUES (18679, '24/11/2020', '24', '11', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '19.16154313');
INSERT INTO public.ecdc_import VALUES (18680, '23/11/2020', '23', '11', '2020', '14', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '18.81315144');
INSERT INTO public.ecdc_import VALUES (18681, '22/11/2020', '22', '11', '2020', '20', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '18.81315144');
INSERT INTO public.ecdc_import VALUES (18682, '21/11/2020', '21', '11', '2020', '29', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '18.20346597');
INSERT INTO public.ecdc_import VALUES (18683, '20/11/2020', '20', '11', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.46150751');
INSERT INTO public.ecdc_import VALUES (18684, '19/11/2020', '19', '11', '2020', '20', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.46150751');
INSERT INTO public.ecdc_import VALUES (18685, '18/11/2020', '18', '11', '2020', '19', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '15.85182205');
INSERT INTO public.ecdc_import VALUES (18686, '17/11/2020', '17', '11', '2020', '10', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '15.32923451');
INSERT INTO public.ecdc_import VALUES (18687, '16/11/2020', '16', '11', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.80664697');
INSERT INTO public.ecdc_import VALUES (18688, '15/11/2020', '15', '11', '2020', '17', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '15.32923451');
INSERT INTO public.ecdc_import VALUES (18689, '14/11/2020', '14', '11', '2020', '16', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.5453532');
INSERT INTO public.ecdc_import VALUES (18690, '13/11/2020', '13', '11', '2020', '16', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.02276566');
INSERT INTO public.ecdc_import VALUES (18691, '12/11/2020', '12', '11', '2020', '20', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '13.76147189');
INSERT INTO public.ecdc_import VALUES (18692, '11/11/2020', '11', '11', '2020', '11', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.97759058');
INSERT INTO public.ecdc_import VALUES (18693, '10/11/2020', '10', '11', '2020', '10', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '13.0646885');
INSERT INTO public.ecdc_import VALUES (18694, '09/11/2020', '9', '11', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.97759058');
INSERT INTO public.ecdc_import VALUES (18695, '08/11/2020', '8', '11', '2020', '13', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.36790511');
INSERT INTO public.ecdc_import VALUES (18696, '07/11/2020', '7', '11', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.62919888');
INSERT INTO public.ecdc_import VALUES (18697, '06/11/2020', '6', '11', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '13.32598227');
INSERT INTO public.ecdc_import VALUES (18698, '05/11/2020', '5', '11', '2020', '13', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '13.0646885');
INSERT INTO public.ecdc_import VALUES (18699, '04/11/2020', '4', '11', '2020', '13', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.36790511');
INSERT INTO public.ecdc_import VALUES (18700, '03/11/2020', '3', '11', '2020', '4', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.28080719');
INSERT INTO public.ecdc_import VALUES (18701, '02/11/2020', '2', '11', '2020', '8', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '12.62919888');
INSERT INTO public.ecdc_import VALUES (18702, '01/11/2020', '1', '11', '2020', '8', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '13.23888435');
INSERT INTO public.ecdc_import VALUES (18703, '31/10/2020', '31', '10', '2020', '10', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.1969615');
INSERT INTO public.ecdc_import VALUES (18704, '30/10/2020', '30', '10', '2020', '13', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.45825527');
INSERT INTO public.ecdc_import VALUES (18705, '29/10/2020', '29', '10', '2020', '11', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.89374489');
INSERT INTO public.ecdc_import VALUES (18706, '28/10/2020', '28', '10', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '15.59052828');
INSERT INTO public.ecdc_import VALUES (18707, '27/10/2020', '27', '10', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '15.6776262');
INSERT INTO public.ecdc_import VALUES (18708, '26/10/2020', '26', '10', '2020', '7', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.11311581');
INSERT INTO public.ecdc_import VALUES (18709, '25/10/2020', '25', '10', '2020', '16', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.28731166');
INSERT INTO public.ecdc_import VALUES (18710, '24/10/2020', '24', '10', '2020', '17', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.28731166');
INSERT INTO public.ecdc_import VALUES (18711, '23/10/2020', '23', '10', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '15.85182205');
INSERT INTO public.ecdc_import VALUES (18712, '22/10/2020', '22', '10', '2020', '5', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.37440958');
INSERT INTO public.ecdc_import VALUES (18713, '21/10/2020', '21', '10', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '17.59378051');
INSERT INTO public.ecdc_import VALUES (18714, '20/10/2020', '20', '10', '2020', '8', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '18.20346597');
INSERT INTO public.ecdc_import VALUES (18715, '19/10/2020', '19', '10', '2020', '15', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '18.37766182');
INSERT INTO public.ecdc_import VALUES (18716, '18/10/2020', '18', '10', '2020', '19', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.46801198');
INSERT INTO public.ecdc_import VALUES (18717, '17/10/2020', '17', '10', '2020', '13', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '19.59703275');
INSERT INTO public.ecdc_import VALUES (18718, '16/10/2020', '16', '10', '2020', '18', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.29381613');
INSERT INTO public.ecdc_import VALUES (18719, '15/10/2020', '15', '10', '2020', '19', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.29381613');
INSERT INTO public.ecdc_import VALUES (18720, '14/10/2020', '14', '10', '2020', '13', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.38091406');
INSERT INTO public.ecdc_import VALUES (18721, '13/10/2020', '13', '10', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.11962029');
INSERT INTO public.ecdc_import VALUES (18722, '12/10/2020', '12', '10', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.72930575');
INSERT INTO public.ecdc_import VALUES (18723, '11/10/2020', '11', '10', '2020', '16', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '20.99059952');
INSERT INTO public.ecdc_import VALUES (18724, '10/10/2020', '10', '10', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '21.33899121');
INSERT INTO public.ecdc_import VALUES (18725, '09/10/2020', '9', '10', '2020', '15', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '22.38416629');
INSERT INTO public.ecdc_import VALUES (18726, '08/10/2020', '8', '10', '2020', '19', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '23.86483099');
INSERT INTO public.ecdc_import VALUES (18727, '07/10/2020', '7', '10', '2020', '19', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.34549569');
INSERT INTO public.ecdc_import VALUES (18728, '06/10/2020', '6', '10', '2020', '10', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.86808323');
INSERT INTO public.ecdc_import VALUES (18729, '05/10/2020', '5', '10', '2020', '39', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.129377');
INSERT INTO public.ecdc_import VALUES (18730, '04/10/2020', '4', '10', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.82290815');
INSERT INTO public.ecdc_import VALUES (18731, '03/10/2020', '3', '10', '2020', '21', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.65196454');
INSERT INTO public.ecdc_import VALUES (18732, '02/10/2020', '2', '10', '2020', '18', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.91325831');
INSERT INTO public.ecdc_import VALUES (18733, '01/10/2020', '1', '10', '2020', '20', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '28.48102093');
INSERT INTO public.ecdc_import VALUES (18734, '30/09/2020', '30', '9', '2020', '10', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '29.09070639');
INSERT INTO public.ecdc_import VALUES (18735, '29/09/2020', '29', '9', '2020', '21', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '30.31007732');
INSERT INTO public.ecdc_import VALUES (18736, '28/09/2020', '28', '9', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '31.0068607');
INSERT INTO public.ecdc_import VALUES (18737, '27/09/2020', '27', '9', '2020', '20', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '32.13913371');
INSERT INTO public.ecdc_import VALUES (18738, '26/09/2020', '26', '9', '2020', '24', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '32.57462332');
INSERT INTO public.ecdc_import VALUES (18739, '25/09/2020', '25', '9', '2020', '32', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '33.18430879');
INSERT INTO public.ecdc_import VALUES (18740, '24/09/2020', '24', '9', '2020', '36', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '35.44885479');
INSERT INTO public.ecdc_import VALUES (18741, '23/09/2020', '23', '9', '2020', '25', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '35.1004631');
INSERT INTO public.ecdc_import VALUES (18742, '22/09/2020', '22', '9', '2020', '13', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '34.66497348');
INSERT INTO public.ecdc_import VALUES (18743, '21/09/2020', '21', '9', '2020', '24', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '36.2327361');
INSERT INTO public.ecdc_import VALUES (18744, '20/09/2020', '20', '9', '2020', '30', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '37.10371534');
INSERT INTO public.ecdc_import VALUES (18745, '19/09/2020', '19', '9', '2020', '24', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '37.88759665');
INSERT INTO public.ecdc_import VALUES (18746, '18/09/2020', '18', '9', '2020', '36', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '41.02312189');
INSERT INTO public.ecdc_import VALUES (18747, '17/09/2020', '17', '9', '2020', '27', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '42.41668866');
INSERT INTO public.ecdc_import VALUES (18748, '16/09/2020', '16', '9', '2020', '24', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '44.4199409');
INSERT INTO public.ecdc_import VALUES (18749, '15/09/2020', '15', '9', '2020', '29', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '45.90060559');
INSERT INTO public.ecdc_import VALUES (18750, '14/09/2020', '14', '9', '2020', '25', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '44.76833259');
INSERT INTO public.ecdc_import VALUES (18751, '13/09/2020', '13', '9', '2020', '25', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '47.0328786');
INSERT INTO public.ecdc_import VALUES (18752, '12/09/2020', '12', '9', '2020', '31', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '49.12322875');
INSERT INTO public.ecdc_import VALUES (18753, '11/09/2020', '11', '9', '2020', '58', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '48.86193498');
INSERT INTO public.ecdc_import VALUES (18754, '10/09/2020', '10', '9', '2020', '32', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '47.8167599');
INSERT INTO public.ecdc_import VALUES (18755, '09/09/2020', '9', '9', '2020', '20', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '50.25550176');
INSERT INTO public.ecdc_import VALUES (18756, '08/09/2020', '8', '9', '2020', '31', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '50.51679553');
INSERT INTO public.ecdc_import VALUES (18757, '07/09/2020', '7', '9', '2020', '34', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '54.69749585');
INSERT INTO public.ecdc_import VALUES (18758, '06/09/2020', '6', '9', '2020', '39', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '54.87169169');
INSERT INTO public.ecdc_import VALUES (18759, '05/09/2020', '5', '9', '2020', '60', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '56.78784601');
INSERT INTO public.ecdc_import VALUES (18760, '04/09/2020', '4', '9', '2020', '52', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '53.12973323');
INSERT INTO public.ecdc_import VALUES (18761, '03/09/2020', '3', '9', '2020', '50', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '53.12973323');
INSERT INTO public.ecdc_import VALUES (18762, '02/09/2020', '2', '9', '2020', '41', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '54.78459377');
INSERT INTO public.ecdc_import VALUES (18763, '01/09/2020', '1', '9', '2020', '16', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '59.48788163');
INSERT INTO public.ecdc_import VALUES (18764, '31/08/2020', '31', '8', '2020', '51', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '62.88470064');
INSERT INTO public.ecdc_import VALUES (18765, '30/08/2020', '30', '8', '2020', '49', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '66.62991134');
INSERT INTO public.ecdc_import VALUES (18766, '29/08/2020', '29', '8', '2020', '28', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '68.89445735');
INSERT INTO public.ecdc_import VALUES (18767, '28/08/2020', '28', '8', '2020', '46', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '72.63966805');
INSERT INTO public.ecdc_import VALUES (18768, '27/08/2020', '27', '8', '2020', '60', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '75.07840991');
INSERT INTO public.ecdc_import VALUES (18769, '26/08/2020', '26', '8', '2020', '23', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '79.86879569');
INSERT INTO public.ecdc_import VALUES (18770, '25/08/2020', '25', '8', '2020', '79', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '86.66243371');
INSERT INTO public.ecdc_import VALUES (18771, '24/08/2020', '24', '8', '2020', '36', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '86.13984617');
INSERT INTO public.ecdc_import VALUES (18772, '23/08/2020', '23', '8', '2020', '61', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '92.41089665');
INSERT INTO public.ecdc_import VALUES (18773, '22/08/2020', '22', '8', '2020', '18', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '95.11093227');
INSERT INTO public.ecdc_import VALUES (18774, '21/08/2020', '21', '8', '2020', '52', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '99.46582844');
INSERT INTO public.ecdc_import VALUES (18775, '20/08/2020', '20', '8', '2020', '69', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '100.0755139');
INSERT INTO public.ecdc_import VALUES (18776, '19/08/2020', '19', '8', '2020', '95', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '98.68194713');
INSERT INTO public.ecdc_import VALUES (18777, '18/08/2020', '18', '8', '2020', '55', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '91.97540703');
INSERT INTO public.ecdc_import VALUES (18778, '17/08/2020', '17', '8', '2020', '94', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '92.67219042');
INSERT INTO public.ecdc_import VALUES (18779, '16/08/2020', '16', '8', '2020', '75', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '90.49474233');
INSERT INTO public.ecdc_import VALUES (18780, '15/08/2020', '15', '8', '2020', '71', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '89.01407764');
INSERT INTO public.ecdc_import VALUES (18781, '14/08/2020', '14', '8', '2020', '74', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '89.01407764');
INSERT INTO public.ecdc_import VALUES (18860, '27/05/2020', '27', '5', '2020', '5', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '6.7065401');
INSERT INTO public.ecdc_import VALUES (18782, '13/08/2020', '13', '8', '2020', '115', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '84.83337732');
INSERT INTO public.ecdc_import VALUES (18783, '12/08/2020', '12', '8', '2020', '101', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '87.62051086');
INSERT INTO public.ecdc_import VALUES (18784, '11/08/2020', '11', '8', '2020', '73', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '86.48823786');
INSERT INTO public.ecdc_import VALUES (18785, '10/08/2020', '10', '8', '2020', '108', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '89.6237631');
INSERT INTO public.ecdc_import VALUES (18786, '09/08/2020', '9', '8', '2020', '92', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '85.8785524');
INSERT INTO public.ecdc_import VALUES (18787, '08/08/2020', '8', '8', '2020', '68', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '83.87530016');
INSERT INTO public.ecdc_import VALUES (18788, '07/08/2020', '7', '8', '2020', '59', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '82.48173339');
INSERT INTO public.ecdc_import VALUES (18789, '06/08/2020', '6', '8', '2020', '53', '4', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '84.57208355');
INSERT INTO public.ecdc_import VALUES (18790, '05/08/2020', '5', '8', '2020', '18', '4', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '83.78820224');
INSERT INTO public.ecdc_import VALUES (18791, '04/08/2020', '4', '8', '2020', '63', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '88.1430984');
INSERT INTO public.ecdc_import VALUES (18792, '03/08/2020', '3', '8', '2020', '69', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '85.5301607');
INSERT INTO public.ecdc_import VALUES (18793, '02/08/2020', '2', '8', '2020', '58', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '85.09467109');
INSERT INTO public.ecdc_import VALUES (18794, '01/08/2020', '1', '8', '2020', '71', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '89.6237631');
INSERT INTO public.ecdc_import VALUES (18795, '31/07/2020', '31', '7', '2020', '26', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '89.27537141');
INSERT INTO public.ecdc_import VALUES (18796, '30/07/2020', '30', '7', '2020', '147', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '92.49799457');
INSERT INTO public.ecdc_import VALUES (18797, '29/07/2020', '29', '7', '2020', '88', '5', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '84.48498562');
INSERT INTO public.ecdc_import VALUES (18798, '28/07/2020', '28', '7', '2020', '109', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '80.73977492');
INSERT INTO public.ecdc_import VALUES (18799, '27/07/2020', '27', '7', '2020', '65', '4', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '74.55582237');
INSERT INTO public.ecdc_import VALUES (18800, '26/07/2020', '26', '7', '2020', '69', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '72.37837428');
INSERT INTO public.ecdc_import VALUES (18801, '25/07/2020', '25', '7', '2020', '52', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '71.07190543');
INSERT INTO public.ecdc_import VALUES (18802, '24/07/2020', '24', '7', '2020', '83', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '70.37512205');
INSERT INTO public.ecdc_import VALUES (18803, '23/07/2020', '23', '7', '2020', '44', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '69.67833866');
INSERT INTO public.ecdc_import VALUES (18804, '22/07/2020', '22', '7', '2020', '68', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '72.98805975');
INSERT INTO public.ecdc_import VALUES (18805, '21/07/2020', '21', '7', '2020', '33', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '70.98480751');
INSERT INTO public.ecdc_import VALUES (18806, '20/07/2020', '20', '7', '2020', '64', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '70.11382828');
INSERT INTO public.ecdc_import VALUES (18807, '19/07/2020', '19', '7', '2020', '110', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '67.50089058');
INSERT INTO public.ecdc_import VALUES (18808, '18/07/2020', '18', '7', '2020', '67', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '61.83952556');
INSERT INTO public.ecdc_import VALUES (18809, '17/07/2020', '17', '7', '2020', '63', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '59.13948994');
INSERT INTO public.ecdc_import VALUES (18810, '16/07/2020', '16', '7', '2020', '55', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '56.52655224');
INSERT INTO public.ecdc_import VALUES (18811, '15/07/2020', '15', '7', '2020', '45', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '54.17490831');
INSERT INTO public.ecdc_import VALUES (18812, '14/07/2020', '14', '7', '2020', '38', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '51.73616645');
INSERT INTO public.ecdc_import VALUES (18813, '13/07/2020', '13', '7', '2020', '40', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '49.64581629');
INSERT INTO public.ecdc_import VALUES (18814, '12/07/2020', '12', '7', '2020', '54', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '49.2974246');
INSERT INTO public.ecdc_import VALUES (18815, '11/07/2020', '11', '7', '2020', '44', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '46.07480144');
INSERT INTO public.ecdc_import VALUES (18816, '10/07/2020', '10', '7', '2020', '75', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '44.15864713');
INSERT INTO public.ecdc_import VALUES (18817, '09/07/2020', '9', '7', '2020', '82', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '39.01986965');
INSERT INTO public.ecdc_import VALUES (18818, '08/07/2020', '8', '7', '2020', '45', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '33.27140671');
INSERT INTO public.ecdc_import VALUES (18819, '07/07/2020', '7', '7', '2020', '23', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '32.05203578');
INSERT INTO public.ecdc_import VALUES (18820, '06/07/2020', '6', '7', '2020', '34', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '30.74556693');
INSERT INTO public.ecdc_import VALUES (18821, '05/07/2020', '5', '7', '2020', '45', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '28.48102093');
INSERT INTO public.ecdc_import VALUES (18822, '04/07/2020', '4', '7', '2020', '36', '2', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.91000607');
INSERT INTO public.ecdc_import VALUES (18823, '03/07/2020', '3', '7', '2020', '33', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.99710399');
INSERT INTO public.ecdc_import VALUES (18824, '02/07/2020', '2', '7', '2020', '28', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.12612476');
INSERT INTO public.ecdc_import VALUES (18825, '01/07/2020', '1', '7', '2020', '17', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.43259361');
INSERT INTO public.ecdc_import VALUES (18826, '30/06/2020', '30', '6', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.17129984');
INSERT INTO public.ecdc_import VALUES (18827, '29/06/2020', '29', '6', '2020', '36', '3', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.34549569');
INSERT INTO public.ecdc_import VALUES (18828, '28/06/2020', '28', '6', '2020', '17', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '22.55836214');
INSERT INTO public.ecdc_import VALUES (18829, '27/06/2020', '27', '6', '2020', '22', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '22.29706837');
INSERT INTO public.ecdc_import VALUES (18830, '26/06/2020', '26', '6', '2020', '16', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '22.38416629');
INSERT INTO public.ecdc_import VALUES (18831, '25/06/2020', '25', '6', '2020', '16', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '25.43259361');
INSERT INTO public.ecdc_import VALUES (18832, '24/06/2020', '24', '6', '2020', '31', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.39067077');
INSERT INTO public.ecdc_import VALUES (18833, '23/06/2020', '23', '6', '2020', '8', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.39067077');
INSERT INTO public.ecdc_import VALUES (18834, '22/06/2020', '22', '6', '2020', '8', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.30357284');
INSERT INTO public.ecdc_import VALUES (18835, '21/06/2020', '21', '6', '2020', '4', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '26.56486661');
INSERT INTO public.ecdc_import VALUES (18836, '20/06/2020', '20', '6', '2020', '37', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '27.69713962');
INSERT INTO public.ecdc_import VALUES (18837, '19/06/2020', '19', '6', '2020', '23', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '24.91000607');
INSERT INTO public.ecdc_import VALUES (18838, '18/06/2020', '18', '6', '2020', '43', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '23.34224345');
INSERT INTO public.ecdc_import VALUES (18839, '17/06/2020', '17', '6', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '19.77122859');
INSERT INTO public.ecdc_import VALUES (18840, '16/06/2020', '16', '6', '2020', '16', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '18.55185767');
INSERT INTO public.ecdc_import VALUES (18841, '15/06/2020', '15', '6', '2020', '4', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '17.85507428');
INSERT INTO public.ecdc_import VALUES (18842, '14/06/2020', '14', '6', '2020', '14', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '17.68087843');
INSERT INTO public.ecdc_import VALUES (18843, '13/06/2020', '13', '6', '2020', '23', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '16.8098992');
INSERT INTO public.ecdc_import VALUES (18844, '12/06/2020', '12', '6', '2020', '51', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '14.80664697');
INSERT INTO public.ecdc_import VALUES (18845, '11/06/2020', '11', '6', '2020', '27', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '10.97433834');
INSERT INTO public.ecdc_import VALUES (18846, '10/06/2020', '10', '6', '2020', '31', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '9.58077157');
INSERT INTO public.ecdc_import VALUES (18847, '09/06/2020', '9', '6', '2020', '7', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.31622556');
INSERT INTO public.ecdc_import VALUES (18848, '08/06/2020', '8', '6', '2020', '11', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.22912764');
INSERT INTO public.ecdc_import VALUES (18849, '07/06/2020', '7', '6', '2020', '17', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.31622556');
INSERT INTO public.ecdc_import VALUES (18850, '06/06/2020', '6', '6', '2020', '5', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.40332348');
INSERT INTO public.ecdc_import VALUES (18851, '05/06/2020', '5', '6', '2020', '5', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '6.96783387');
INSERT INTO public.ecdc_import VALUES (18852, '04/06/2020', '4', '6', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '6.79363802');
INSERT INTO public.ecdc_import VALUES (18853, '03/06/2020', '3', '6', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.40332348');
INSERT INTO public.ecdc_import VALUES (18854, '02/06/2020', '2', '6', '2020', '8', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.8388131');
INSERT INTO public.ecdc_import VALUES (18855, '01/06/2020', '1', '6', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.14202971');
INSERT INTO public.ecdc_import VALUES (18856, '31/05/2020', '31', '5', '2020', '4', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.05493179');
INSERT INTO public.ecdc_import VALUES (18857, '30/05/2020', '30', '5', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.75171518');
INSERT INTO public.ecdc_import VALUES (18858, '29/05/2020', '29', '5', '2020', '7', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.01300895');
INSERT INTO public.ecdc_import VALUES (18859, '28/05/2020', '28', '5', '2020', '11', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.40332348');
INSERT INTO public.ecdc_import VALUES (18861, '26/05/2020', '26', '5', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.05493179');
INSERT INTO public.ecdc_import VALUES (18862, '25/05/2020', '25', '5', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '6.79363802');
INSERT INTO public.ecdc_import VALUES (18863, '24/05/2020', '24', '5', '2020', '18', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '6.53234425');
INSERT INTO public.ecdc_import VALUES (18864, '23/05/2020', '23', '5', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '5.31297332');
INSERT INTO public.ecdc_import VALUES (18865, '22/05/2020', '22', '5', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '5.83556086');
INSERT INTO public.ecdc_import VALUES (18866, '21/05/2020', '21', '5', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.18720479');
INSERT INTO public.ecdc_import VALUES (18867, '20/05/2020', '20', '5', '2020', '5', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.01300895');
INSERT INTO public.ecdc_import VALUES (18868, '19/05/2020', '19', '5', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.57751933');
INSERT INTO public.ecdc_import VALUES (18869, '18/05/2020', '18', '5', '2020', '1', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.92591102');
INSERT INTO public.ecdc_import VALUES (18870, '17/05/2020', '17', '5', '2020', '12', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.18720479');
INSERT INTO public.ecdc_import VALUES (18871, '16/05/2020', '16', '5', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.31622556');
INSERT INTO public.ecdc_import VALUES (18872, '15/05/2020', '15', '5', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.57751933');
INSERT INTO public.ecdc_import VALUES (18873, '14/05/2020', '14', '5', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.36140064');
INSERT INTO public.ecdc_import VALUES (18874, '13/05/2020', '13', '5', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '9.84206534');
INSERT INTO public.ecdc_import VALUES (18875, '12/05/2020', '12', '5', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '9.58077157');
INSERT INTO public.ecdc_import VALUES (18876, '11/05/2020', '11', '5', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '9.84206534');
INSERT INTO public.ecdc_import VALUES (18877, '10/05/2020', '10', '5', '2020', '4', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '10.71304457');
INSERT INTO public.ecdc_import VALUES (18878, '09/05/2020', '9', '5', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '10.36465288');
INSERT INTO public.ecdc_import VALUES (18879, '08/05/2020', '8', '5', '2020', '30', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '10.53884872');
INSERT INTO public.ecdc_import VALUES (18880, '07/05/2020', '7', '5', '2020', '7', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.01300895');
INSERT INTO public.ecdc_import VALUES (18881, '06/05/2020', '6', '5', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.01300895');
INSERT INTO public.ecdc_import VALUES (18882, '05/05/2020', '5', '5', '2020', '4', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '8.01300895');
INSERT INTO public.ecdc_import VALUES (18883, '04/05/2020', '4', '5', '2020', '4', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.8388131');
INSERT INTO public.ecdc_import VALUES (18884, '03/05/2020', '3', '5', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.75171518');
INSERT INTO public.ecdc_import VALUES (18885, '02/05/2020', '2', '5', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.57751933');
INSERT INTO public.ecdc_import VALUES (18886, '01/05/2020', '1', '5', '2020', '9', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '7.31622556');
INSERT INTO public.ecdc_import VALUES (18887, '30/04/2020', '30', '4', '2020', '20', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '6.53234425');
INSERT INTO public.ecdc_import VALUES (18888, '29/04/2020', '29', '4', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '4.87748371');
INSERT INTO public.ecdc_import VALUES (18889, '28/04/2020', '28', '4', '2020', '6', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '4.35489617');
INSERT INTO public.ecdc_import VALUES (18890, '27/04/2020', '27', '4', '2020', '19', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '3.91940655');
INSERT INTO public.ecdc_import VALUES (18891, '26/04/2020', '26', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '2.26454601');
INSERT INTO public.ecdc_import VALUES (18892, '25/04/2020', '25', '4', '2020', '8', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '2.43874185');
INSERT INTO public.ecdc_import VALUES (18893, '24/04/2020', '24', '4', '2020', '1', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '1.74195847');
INSERT INTO public.ecdc_import VALUES (18894, '23/04/2020', '23', '4', '2020', '7', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '1.65486054');
INSERT INTO public.ecdc_import VALUES (18895, '22/04/2020', '22', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '1.21937093');
INSERT INTO public.ecdc_import VALUES (18896, '21/04/2020', '21', '4', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '1.21937093');
INSERT INTO public.ecdc_import VALUES (18897, '20/04/2020', '20', '4', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '1.132273');
INSERT INTO public.ecdc_import VALUES (18898, '19/04/2020', '19', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.87097923');
INSERT INTO public.ecdc_import VALUES (18899, '18/04/2020', '18', '4', '2020', '3', '1', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.87097923');
INSERT INTO public.ecdc_import VALUES (18900, '17/04/2020', '17', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.60968546');
INSERT INTO public.ecdc_import VALUES (18901, '16/04/2020', '16', '4', '2020', '1', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.60968546');
INSERT INTO public.ecdc_import VALUES (18902, '15/04/2020', '15', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.52258754');
INSERT INTO public.ecdc_import VALUES (18903, '14/04/2020', '14', '4', '2020', '1', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.52258754');
INSERT INTO public.ecdc_import VALUES (18904, '13/04/2020', '13', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.43548962');
INSERT INTO public.ecdc_import VALUES (18905, '12/04/2020', '12', '4', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.43548962');
INSERT INTO public.ecdc_import VALUES (18906, '11/04/2020', '11', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.26129377');
INSERT INTO public.ecdc_import VALUES (18907, '10/04/2020', '10', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.52258754');
INSERT INTO public.ecdc_import VALUES (18908, '09/04/2020', '9', '4', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18909, '08/04/2020', '8', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.52258754');
INSERT INTO public.ecdc_import VALUES (18910, '07/04/2020', '7', '4', '2020', '1', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.52258754');
INSERT INTO public.ecdc_import VALUES (18911, '06/04/2020', '6', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.43548962');
INSERT INTO public.ecdc_import VALUES (18912, '05/04/2020', '5', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18913, '04/04/2020', '4', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18914, '03/04/2020', '3', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18915, '02/04/2020', '2', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18916, '01/04/2020', '1', '4', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18917, '31/03/2020', '31', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18918, '30/03/2020', '30', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18919, '29/03/2020', '29', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.69678339');
INSERT INTO public.ecdc_import VALUES (18920, '28/03/2020', '28', '3', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '0.78388131');
INSERT INTO public.ecdc_import VALUES (18921, '27/03/2020', '27', '3', '2020', '2', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18922, '26/03/2020', '26', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18923, '25/03/2020', '25', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18924, '24/03/2020', '24', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18925, '23/03/2020', '23', '3', '2020', '3', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18926, '22/03/2020', '22', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18927, '21/03/2020', '21', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18928, '20/03/2020', '20', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18929, '19/03/2020', '19', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18930, '18/03/2020', '18', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18931, '17/03/2020', '17', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18932, '16/03/2020', '16', '3', '2020', '0', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18933, '15/03/2020', '15', '3', '2020', '1', '0', '1148133', 'Eswatini', 'SZ', 'SWZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (18934, '14/12/2020', '14', '12', '2020', '472', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.45528388');
INSERT INTO public.ecdc_import VALUES (18935, '13/12/2020', '13', '12', '2020', '515', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.57305824');
INSERT INTO public.ecdc_import VALUES (18936, '12/12/2020', '12', '12', '2020', '422', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.55253695');
INSERT INTO public.ecdc_import VALUES (18937, '11/12/2020', '11', '12', '2020', '526', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.86214075');
INSERT INTO public.ecdc_import VALUES (18938, '10/12/2020', '10', '12', '2020', '568', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.89247657');
INSERT INTO public.ecdc_import VALUES (18939, '09/12/2020', '9', '12', '2020', '531', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.84786507');
INSERT INTO public.ecdc_import VALUES (18940, '08/12/2020', '8', '12', '2020', '440', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.72027619');
INSERT INTO public.ecdc_import VALUES (18941, '07/12/2020', '7', '12', '2020', '555', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.70064713');
INSERT INTO public.ecdc_import VALUES (18942, '06/12/2020', '6', '12', '2020', '649', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.59179507');
INSERT INTO public.ecdc_import VALUES (18943, '05/12/2020', '5', '12', '2020', '512', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.43476259');
INSERT INTO public.ecdc_import VALUES (18944, '04/12/2020', '4', '12', '2020', '595', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.38122879');
INSERT INTO public.ecdc_import VALUES (18945, '03/12/2020', '3', '12', '2020', '430', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.29557472');
INSERT INTO public.ecdc_import VALUES (18946, '02/12/2020', '2', '12', '2020', '480', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.3874744');
INSERT INTO public.ecdc_import VALUES (18947, '01/12/2020', '1', '12', '2020', '540', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.26166998');
INSERT INTO public.ecdc_import VALUES (18948, '30/11/2020', '30', '11', '2020', '604', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.07965506');
INSERT INTO public.ecdc_import VALUES (18949, '29/11/2020', '29', '11', '2020', '492', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.89674792');
INSERT INTO public.ecdc_import VALUES (18950, '28/11/2020', '28', '11', '2020', '769', '14', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.96098848');
INSERT INTO public.ecdc_import VALUES (18951, '27/11/2020', '27', '11', '2020', '560', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.72900868');
INSERT INTO public.ecdc_import VALUES (18952, '26/11/2020', '26', '11', '2020', '518', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.69421171');
INSERT INTO public.ecdc_import VALUES (18953, '25/11/2020', '25', '11', '2020', '388', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.58892858');
INSERT INTO public.ecdc_import VALUES (18954, '24/11/2020', '24', '11', '2020', '418', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.55056269');
INSERT INTO public.ecdc_import VALUES (18955, '23/11/2020', '23', '11', '2020', '433', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.45152516');
INSERT INTO public.ecdc_import VALUES (18956, '22/11/2020', '22', '11', '2020', '473', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.48810659');
INSERT INTO public.ecdc_import VALUES (18957, '21/11/2020', '21', '11', '2020', '452', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.47204645');
INSERT INTO public.ecdc_import VALUES (18958, '20/11/2020', '20', '11', '2020', '499', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.38550014');
INSERT INTO public.ecdc_import VALUES (18959, '19/11/2020', '19', '11', '2020', '533', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.39531467');
INSERT INTO public.ecdc_import VALUES (18960, '18/11/2020', '18', '11', '2020', '339', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.25791125');
INSERT INTO public.ecdc_import VALUES (18961, '17/11/2020', '17', '11', '2020', '336', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.45509408');
INSERT INTO public.ecdc_import VALUES (18962, '16/11/2020', '16', '11', '2020', '399', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.47561537');
INSERT INTO public.ecdc_import VALUES (18963, '15/11/2020', '15', '11', '2020', '564', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.48899882');
INSERT INTO public.ecdc_import VALUES (18964, '14/11/2020', '14', '11', '2020', '509', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.3248285');
INSERT INTO public.ecdc_import VALUES (18965, '13/11/2020', '13', '11', '2020', '521', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.30609167');
INSERT INTO public.ecdc_import VALUES (18966, '12/11/2020', '12', '11', '2020', '400', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.27040247');
INSERT INTO public.ecdc_import VALUES (18967, '11/11/2020', '11', '11', '2020', '345', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.45063293');
INSERT INTO public.ecdc_import VALUES (18968, '10/11/2020', '10', '11', '2020', '307', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.5987431');
INSERT INTO public.ecdc_import VALUES (18969, '09/11/2020', '9', '11', '2020', '474', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.64960021');
INSERT INTO public.ecdc_import VALUES (18970, '08/11/2020', '8', '11', '2020', '455', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.65941474');
INSERT INTO public.ecdc_import VALUES (18971, '07/11/2020', '7', '11', '2020', '355', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.81466276');
INSERT INTO public.ecdc_import VALUES (18972, '06/11/2020', '6', '11', '2020', '510', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.97615639');
INSERT INTO public.ecdc_import VALUES (18973, '05/11/2020', '5', '11', '2020', '379', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.03415133');
INSERT INTO public.ecdc_import VALUES (18974, '04/11/2020', '4', '11', '2020', '560', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.2563166');
INSERT INTO public.ecdc_import VALUES (18975, '03/11/2020', '3', '11', '2020', '359', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.3187727');
INSERT INTO public.ecdc_import VALUES (18976, '02/11/2020', '2', '11', '2020', '414', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.64354441');
INSERT INTO public.ecdc_import VALUES (18977, '01/11/2020', '1', '11', '2020', '380', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.90139887');
INSERT INTO public.ecdc_import VALUES (18978, '31/10/2020', '31', '10', '2020', '488', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.09768947');
INSERT INTO public.ecdc_import VALUES (18979, '30/10/2020', '30', '10', '2020', '481', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.25561417');
INSERT INTO public.ecdc_import VALUES (18980, '29/10/2020', '29', '10', '2020', '602', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.48580951');
INSERT INTO public.ecdc_import VALUES (18981, '28/10/2020', '28', '10', '2020', '511', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.5839548');
INSERT INTO public.ecdc_import VALUES (18982, '27/10/2020', '27', '10', '2020', '364', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.64730313');
INSERT INTO public.ecdc_import VALUES (18983, '26/10/2020', '26', '10', '2020', '485', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.07289683');
INSERT INTO public.ecdc_import VALUES (18984, '25/10/2020', '25', '10', '2020', '629', '19', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.41283645');
INSERT INTO public.ecdc_import VALUES (18985, '24/10/2020', '24', '10', '2020', '536', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.53596419');
INSERT INTO public.ecdc_import VALUES (18986, '23/10/2020', '23', '10', '2020', '575', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.82950785');
INSERT INTO public.ecdc_import VALUES (18987, '22/10/2020', '22', '10', '2020', '628', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.12126705');
INSERT INTO public.ecdc_import VALUES (18988, '21/10/2020', '21', '10', '2020', '630', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.35681577');
INSERT INTO public.ecdc_import VALUES (18989, '20/10/2020', '20', '10', '2020', '723', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.29971305');
INSERT INTO public.ecdc_import VALUES (18990, '19/10/2020', '19', '10', '2020', '703', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.2060289');
INSERT INTO public.ecdc_import VALUES (18991, '18/10/2020', '18', '10', '2020', '600', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.43443978');
INSERT INTO public.ecdc_import VALUES (18992, '17/10/2020', '17', '10', '2020', '665', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.67712633');
INSERT INTO public.ecdc_import VALUES (18993, '16/10/2020', '16', '10', '2020', '739', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.87787807');
INSERT INTO public.ecdc_import VALUES (18994, '15/10/2020', '15', '10', '2020', '712', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.869848');
INSERT INTO public.ecdc_import VALUES (18995, '14/10/2020', '14', '10', '2020', '582', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.93408856');
INSERT INTO public.ecdc_import VALUES (18996, '13/10/2020', '13', '10', '2020', '841', '14', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.9858379');
INSERT INTO public.ecdc_import VALUES (18997, '12/10/2020', '12', '10', '2020', '866', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.78151724');
INSERT INTO public.ecdc_import VALUES (18998, '11/10/2020', '11', '10', '2020', '767', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.57273542');
INSERT INTO public.ecdc_import VALUES (18999, '10/10/2020', '10', '10', '2020', '865', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.35860023');
INSERT INTO public.ecdc_import VALUES (19000, '09/10/2020', '9', '10', '2020', '902', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.02044507');
INSERT INTO public.ecdc_import VALUES (19001, '08/10/2020', '8', '10', '2020', '892', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.75456053');
INSERT INTO public.ecdc_import VALUES (19002, '07/10/2020', '7', '10', '2020', '566', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.54845541');
INSERT INTO public.ecdc_import VALUES (19003, '06/10/2020', '6', '10', '2020', '618', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.67961322');
INSERT INTO public.ecdc_import VALUES (19004, '05/10/2020', '5', '10', '2020', '959', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.92140754');
INSERT INTO public.ecdc_import VALUES (19005, '04/10/2020', '4', '10', '2020', '872', '6', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.68050545');
INSERT INTO public.ecdc_import VALUES (19006, '03/10/2020', '3', '10', '2020', '890', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.45209457');
INSERT INTO public.ecdc_import VALUES (19007, '02/10/2020', '2', '10', '2020', '730', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.19513234');
INSERT INTO public.ecdc_import VALUES (19008, '01/10/2020', '1', '10', '2020', '784', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.15855091');
INSERT INTO public.ecdc_import VALUES (19009, '30/09/2020', '30', '9', '2020', '640', '14', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.11750833');
INSERT INTO public.ecdc_import VALUES (19010, '29/09/2020', '29', '9', '2020', '612', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.17104213');
INSERT INTO public.ecdc_import VALUES (19011, '28/09/2020', '28', '9', '2020', '632', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.05772892');
INSERT INTO public.ecdc_import VALUES (19012, '27/09/2020', '27', '9', '2020', '527', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.86233056');
INSERT INTO public.ecdc_import VALUES (19013, '26/09/2020', '26', '9', '2020', '486', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.85697718');
INSERT INTO public.ecdc_import VALUES (19014, '25/09/2020', '25', '9', '2020', '604', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.12732286');
INSERT INTO public.ecdc_import VALUES (19015, '24/09/2020', '24', '9', '2020', '661', '14', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.37179387');
INSERT INTO public.ecdc_import VALUES (19016, '23/09/2020', '23', '9', '2020', '713', '19', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.59931252');
INSERT INTO public.ecdc_import VALUES (19017, '22/09/2020', '22', '9', '2020', '889', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.9767258');
INSERT INTO public.ecdc_import VALUES (19018, '21/09/2020', '21', '9', '2020', '689', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.05434981');
INSERT INTO public.ecdc_import VALUES (19019, '20/09/2020', '20', '9', '2020', '616', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.5156327');
INSERT INTO public.ecdc_import VALUES (19020, '19/09/2020', '19', '9', '2020', '602', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.81363752');
INSERT INTO public.ecdc_import VALUES (19021, '18/09/2020', '18', '9', '2020', '689', '15', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '10.43909073');
INSERT INTO public.ecdc_import VALUES (19022, '17/09/2020', '17', '9', '2020', '738', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '10.54169718');
INSERT INTO public.ecdc_import VALUES (19023, '16/09/2020', '16', '9', '2020', '700', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '10.86914558');
INSERT INTO public.ecdc_import VALUES (19024, '15/09/2020', '15', '9', '2020', '485', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '11.29117036');
INSERT INTO public.ecdc_import VALUES (19025, '14/09/2020', '14', '9', '2020', '413', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '11.75869887');
INSERT INTO public.ecdc_import VALUES (19026, '13/09/2020', '13', '9', '2020', '521', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '12.70000149');
INSERT INTO public.ecdc_import VALUES (19027, '12/09/2020', '12', '9', '2020', '789', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '13.58598586');
INSERT INTO public.ecdc_import VALUES (19028, '11/09/2020', '11', '9', '2020', '878', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '14.42825096');
INSERT INTO public.ecdc_import VALUES (19029, '10/09/2020', '10', '9', '2020', '916', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '14.70305779');
INSERT INTO public.ecdc_import VALUES (19030, '09/09/2020', '9', '9', '2020', '1136', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '15.25356368');
INSERT INTO public.ecdc_import VALUES (19031, '08/09/2020', '8', '9', '2020', '976', '15', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '15.61848575');
INSERT INTO public.ecdc_import VALUES (19032, '07/09/2020', '7', '9', '2020', '1206', '21', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '16.06103181');
INSERT INTO public.ecdc_import VALUES (19033, '06/09/2020', '6', '9', '2020', '950', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '16.44647516');
INSERT INTO public.ecdc_import VALUES (19034, '05/09/2020', '5', '9', '2020', '1303', '24', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '16.81942729');
INSERT INTO public.ecdc_import VALUES (19035, '04/09/2020', '4', '9', '2020', '804', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '17.28874026');
INSERT INTO public.ecdc_import VALUES (19036, '03/09/2020', '3', '9', '2020', '1105', '18', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.15777226');
INSERT INTO public.ecdc_import VALUES (19037, '02/09/2020', '2', '9', '2020', '1173', '19', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.36387738');
INSERT INTO public.ecdc_import VALUES (19038, '01/09/2020', '1', '9', '2020', '1009', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.55392237');
INSERT INTO public.ecdc_import VALUES (19039, '31/08/2020', '31', '8', '2020', '1468', '23', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.95631809');
INSERT INTO public.ecdc_import VALUES (19040, '30/08/2020', '30', '8', '2020', '1514', '12', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.52269432');
INSERT INTO public.ecdc_import VALUES (19041, '29/08/2020', '29', '8', '2020', '1733', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.64582206');
INSERT INTO public.ecdc_import VALUES (19042, '28/08/2020', '28', '8', '2020', '1186', '20', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '18.02572222');
INSERT INTO public.ecdc_import VALUES (19043, '27/08/2020', '27', '8', '2020', '1533', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '17.93649923');
INSERT INTO public.ecdc_import VALUES (19044, '26/08/2020', '26', '8', '2020', '1545', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '17.41008354');
INSERT INTO public.ecdc_import VALUES (19045, '25/08/2020', '25', '8', '2020', '1472', '14', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '16.55265053');
INSERT INTO public.ecdc_import VALUES (19046, '24/08/2020', '24', '8', '2020', '1638', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '15.92898178');
INSERT INTO public.ecdc_import VALUES (19047, '23/08/2020', '23', '8', '2020', '1368', '25', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '14.97161901');
INSERT INTO public.ecdc_import VALUES (19048, '22/08/2020', '22', '8', '2020', '1829', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '14.46572462');
INSERT INTO public.ecdc_import VALUES (19049, '21/08/2020', '21', '8', '2020', '1778', '20', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '13.32634693');
INSERT INTO public.ecdc_import VALUES (19050, '20/08/2020', '20', '8', '2020', '1336', '28', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '12.24317974');
INSERT INTO public.ecdc_import VALUES (19051, '19/08/2020', '19', '8', '2020', '1386', '28', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '11.46069405');
INSERT INTO public.ecdc_import VALUES (19052, '18/08/2020', '18', '8', '2020', '1460', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '10.74869453');
INSERT INTO public.ecdc_import VALUES (19053, '17/08/2020', '17', '8', '2020', '982', '19', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '10.59701544');
INSERT INTO public.ecdc_import VALUES (19054, '16/08/2020', '16', '8', '2020', '1652', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '9.7208456');
INSERT INTO public.ecdc_import VALUES (19055, '15/08/2020', '15', '8', '2020', '1038', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.66533754');
INSERT INTO public.ecdc_import VALUES (19056, '14/08/2020', '14', '8', '2020', '1086', '16', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.55559325');
INSERT INTO public.ecdc_import VALUES (19057, '13/08/2020', '13', '8', '2020', '943', '23', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.30487662');
INSERT INTO public.ecdc_import VALUES (19058, '12/08/2020', '12', '8', '2020', '584', '20', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.00776404');
INSERT INTO public.ecdc_import VALUES (19059, '11/08/2020', '11', '8', '2020', '773', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.06932791');
INSERT INTO public.ecdc_import VALUES (19060, '10/08/2020', '10', '8', '2020', '565', '17', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.8962353');
INSERT INTO public.ecdc_import VALUES (19061, '09/08/2020', '9', '8', '2020', '801', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.52971858');
INSERT INTO public.ecdc_import VALUES (19062, '08/08/2020', '8', '8', '2020', '552', '15', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.49313715');
INSERT INTO public.ecdc_import VALUES (19063, '07/08/2020', '7', '8', '2020', '564', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.36554826');
INSERT INTO public.ecdc_import VALUES (19064, '06/08/2020', '6', '8', '2020', '459', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.26561851');
INSERT INTO public.ecdc_import VALUES (19065, '05/08/2020', '5', '8', '2020', '588', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.35662596');
INSERT INTO public.ecdc_import VALUES (19066, '04/08/2020', '4', '8', '2020', '1290', '52', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '8.10323265');
INSERT INTO public.ecdc_import VALUES (19067, '03/08/2020', '3', '8', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.58038588');
INSERT INTO public.ecdc_import VALUES (19068, '02/08/2020', '2', '8', '2020', '469', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.89801976');
INSERT INTO public.ecdc_import VALUES (19069, '01/08/2020', '1', '8', '2020', '915', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.78649101');
INSERT INTO public.ecdc_import VALUES (19070, '31/07/2020', '31', '7', '2020', '805', '10', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '7.26275201');
INSERT INTO public.ecdc_import VALUES (19071, '30/07/2020', '30', '7', '2020', '610', '14', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.80682249');
INSERT INTO public.ecdc_import VALUES (19072, '29/07/2020', '29', '7', '2020', '653', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.45171496');
INSERT INTO public.ecdc_import VALUES (19073, '28/07/2020', '28', '7', '2020', '579', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '6.05021147');
INSERT INTO public.ecdc_import VALUES (19074, '27/07/2020', '27', '7', '2020', '1275', '23', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '5.71740969');
INSERT INTO public.ecdc_import VALUES (19075, '26/07/2020', '26', '7', '2020', '760', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '4.72078881');
INSERT INTO public.ecdc_import VALUES (19076, '25/07/2020', '25', '7', '2020', '409', '9', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '4.29430288');
INSERT INTO public.ecdc_import VALUES (19077, '24/07/2020', '24', '7', '2020', '452', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '4.06053862');
INSERT INTO public.ecdc_import VALUES (19078, '23/07/2020', '23', '7', '2020', '561', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '3.83480444');
INSERT INTO public.ecdc_import VALUES (19079, '22/07/2020', '22', '7', '2020', '304', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '3.43062426');
INSERT INTO public.ecdc_import VALUES (19080, '21/07/2020', '21', '7', '2020', '704', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '3.40921074');
INSERT INTO public.ecdc_import VALUES (19081, '20/07/2020', '20', '7', '2020', '356', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '3.26288503');
INSERT INTO public.ecdc_import VALUES (19082, '19/07/2020', '19', '7', '2020', '344', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.94525115');
INSERT INTO public.ecdc_import VALUES (19083, '18/07/2020', '18', '7', '2020', '328', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.63832404');
INSERT INTO public.ecdc_import VALUES (19084, '17/07/2020', '17', '7', '2020', '294', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.34567261');
INSERT INTO public.ecdc_import VALUES (19085, '16/07/2020', '16', '7', '2020', '212', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.083357');
INSERT INTO public.ecdc_import VALUES (19086, '15/07/2020', '15', '7', '2020', '203', '11', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.89420424');
INSERT INTO public.ecdc_import VALUES (19087, '14/07/2020', '14', '7', '2020', '206', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.71308156');
INSERT INTO public.ecdc_import VALUES (19088, '13/07/2020', '13', '7', '2020', '158', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.66936229');
INSERT INTO public.ecdc_import VALUES (19089, '12/07/2020', '12', '7', '2020', '282', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.63456532');
INSERT INTO public.ecdc_import VALUES (19090, '11/07/2020', '11', '7', '2020', '147', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.51232981');
INSERT INTO public.ecdc_import VALUES (19091, '10/07/2020', '10', '7', '2020', '199', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.6042295');
INSERT INTO public.ecdc_import VALUES (19092, '09/07/2020', '9', '7', '2020', '108', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.55248016');
INSERT INTO public.ecdc_import VALUES (19093, '08/07/2020', '8', '7', '2020', '280', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.6220741');
INSERT INTO public.ecdc_import VALUES (19094, '07/07/2020', '7', '7', '2020', '540', '13', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.53731225');
INSERT INTO public.ecdc_import VALUES (19095, '06/07/2020', '6', '7', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.17239019');
INSERT INTO public.ecdc_import VALUES (19096, '05/07/2020', '5', '7', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.22860068');
INSERT INTO public.ecdc_import VALUES (19097, '04/07/2020', '4', '7', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.58460044');
INSERT INTO public.ecdc_import VALUES (19098, '03/07/2020', '3', '7', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.68809912');
INSERT INTO public.ecdc_import VALUES (19099, '02/07/2020', '2', '7', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.86208396');
INSERT INTO public.ecdc_import VALUES (19100, '01/07/2020', '1', '7', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.97718163');
INSERT INTO public.ecdc_import VALUES (19101, '30/06/2020', '30', '6', '2020', '157', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.0744347');
INSERT INTO public.ecdc_import VALUES (19102, '29/06/2020', '29', '6', '2020', '119', '4', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.09138707');
INSERT INTO public.ecdc_import VALUES (19103, '28/06/2020', '28', '6', '2020', '145', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.14492086');
INSERT INTO public.ecdc_import VALUES (19104, '27/06/2020', '27', '6', '2020', '250', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.23949724');
INSERT INTO public.ecdc_import VALUES (19105, '26/06/2020', '26', '6', '2020', '141', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.23503609');
INSERT INTO public.ecdc_import VALUES (19106, '25/06/2020', '25', '6', '2020', '186', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.25555738');
INSERT INTO public.ecdc_import VALUES (19107, '24/06/2020', '24', '6', '2020', '185', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.2412817');
INSERT INTO public.ecdc_import VALUES (19108, '23/06/2020', '23', '6', '2020', '131', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.23682055');
INSERT INTO public.ecdc_import VALUES (19109, '22/06/2020', '22', '6', '2020', '63', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.2412817');
INSERT INTO public.ecdc_import VALUES (19110, '21/06/2020', '21', '6', '2020', '399', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.26180299');
INSERT INTO public.ecdc_import VALUES (19111, '20/06/2020', '20', '6', '2020', '116', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.0209009');
INSERT INTO public.ecdc_import VALUES (19112, '19/06/2020', '19', '6', '2020', '195', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.06818909');
INSERT INTO public.ecdc_import VALUES (19113, '18/06/2020', '18', '6', '2020', '129', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.02803874');
INSERT INTO public.ecdc_import VALUES (19114, '17/06/2020', '17', '6', '2020', '109', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.03963773');
INSERT INTO public.ecdc_import VALUES (19115, '16/06/2020', '16', '6', '2020', '176', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '2.02000867');
INSERT INTO public.ecdc_import VALUES (19116, '15/06/2020', '15', '6', '2020', '179', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.93881574');
INSERT INTO public.ecdc_import VALUES (19117, '14/06/2020', '14', '6', '2020', '251', '8', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.87635964');
INSERT INTO public.ecdc_import VALUES (19118, '13/06/2020', '13', '6', '2020', '245', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.73717176');
INSERT INTO public.ecdc_import VALUES (19119, '12/06/2020', '12', '6', '2020', '164', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.64081093');
INSERT INTO public.ecdc_import VALUES (19120, '11/06/2020', '11', '6', '2020', '170', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.58370821');
INSERT INTO public.ecdc_import VALUES (19121, '10/06/2020', '10', '6', '2020', '180', '5', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.45879601');
INSERT INTO public.ecdc_import VALUES (19122, '09/06/2020', '9', '6', '2020', '136', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.3392372');
INSERT INTO public.ecdc_import VALUES (19123, '08/06/2020', '8', '6', '2020', '86', '7', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.28302671');
INSERT INTO public.ecdc_import VALUES (19124, '07/06/2020', '7', '6', '2020', '129', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.28481117');
INSERT INTO public.ecdc_import VALUES (19125, '06/06/2020', '6', '6', '2020', '169', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.22413953');
INSERT INTO public.ecdc_import VALUES (19126, '05/06/2020', '5', '6', '2020', '150', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '1.10368848');
INSERT INTO public.ecdc_import VALUES (19127, '04/06/2020', '4', '6', '2020', '142', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.97877628');
INSERT INTO public.ecdc_import VALUES (19128, '03/06/2020', '3', '6', '2020', '87', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.87349315');
INSERT INTO public.ecdc_import VALUES (19129, '02/06/2020', '2', '6', '2020', '85', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.80746813');
INSERT INTO public.ecdc_import VALUES (19130, '01/06/2020', '1', '6', '2020', '109', '3', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.76285663');
INSERT INTO public.ecdc_import VALUES (19131, '31/05/2020', '31', '5', '2020', '95', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.67541809');
INSERT INTO public.ecdc_import VALUES (19132, '30/05/2020', '30', '5', '2020', '137', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.60760861');
INSERT INTO public.ecdc_import VALUES (19133, '29/05/2020', '29', '5', '2020', '100', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.49875656');
INSERT INTO public.ecdc_import VALUES (19134, '28/05/2020', '28', '5', '2020', '30', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.41756363');
INSERT INTO public.ecdc_import VALUES (19135, '27/05/2020', '27', '5', '2020', '46', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.39258119');
INSERT INTO public.ecdc_import VALUES (19136, '26/05/2020', '26', '5', '2020', '73', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.36135314');
INSERT INTO public.ecdc_import VALUES (19137, '25/05/2020', '25', '5', '2020', '88', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.30603488');
INSERT INTO public.ecdc_import VALUES (19138, '24/05/2020', '24', '5', '2020', '61', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.25339331');
INSERT INTO public.ecdc_import VALUES (19139, '23/05/2020', '23', '5', '2020', '34', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.21324296');
INSERT INTO public.ecdc_import VALUES (19140, '22/05/2020', '22', '5', '2020', '10', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.18558384');
INSERT INTO public.ecdc_import VALUES (19141, '21/05/2020', '21', '5', '2020', '24', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.2025362');
INSERT INTO public.ecdc_import VALUES (19142, '20/05/2020', '20', '5', '2020', '13', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.19629059');
INSERT INTO public.ecdc_import VALUES (19143, '19/05/2020', '19', '5', '2020', '35', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.18915276');
INSERT INTO public.ecdc_import VALUES (19144, '18/05/2020', '18', '5', '2020', '11', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.16238586');
INSERT INTO public.ecdc_import VALUES (19145, '17/05/2020', '17', '5', '2020', '19', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.15435579');
INSERT INTO public.ecdc_import VALUES (19146, '16/05/2020', '16', '5', '2020', '15', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.13740342');
INSERT INTO public.ecdc_import VALUES (19147, '15/05/2020', '15', '5', '2020', '9', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.12580443');
INSERT INTO public.ecdc_import VALUES (19148, '14/05/2020', '14', '5', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.11866659');
INSERT INTO public.ecdc_import VALUES (19149, '13/05/2020', '13', '5', '2020', '11', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.12045105');
INSERT INTO public.ecdc_import VALUES (19150, '12/05/2020', '12', '5', '2020', '11', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.11242098');
INSERT INTO public.ecdc_import VALUES (19151, '11/05/2020', '11', '5', '2020', '29', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.10349868');
INSERT INTO public.ecdc_import VALUES (19152, '10/05/2020', '10', '5', '2020', '16', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.07851624');
INSERT INTO public.ecdc_import VALUES (19153, '09/05/2020', '9', '5', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.06870171');
INSERT INTO public.ecdc_import VALUES (19154, '08/05/2020', '8', '5', '2020', '29', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.06691725');
INSERT INTO public.ecdc_import VALUES (19155, '07/05/2020', '7', '5', '2020', '17', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04104258');
INSERT INTO public.ecdc_import VALUES (19156, '06/05/2020', '6', '5', '2020', '5', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02765913');
INSERT INTO public.ecdc_import VALUES (19157, '05/05/2020', '5', '5', '2020', '5', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02587467');
INSERT INTO public.ecdc_import VALUES (19158, '04/05/2020', '4', '5', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02409021');
INSERT INTO public.ecdc_import VALUES (19159, '03/05/2020', '3', '5', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02498244');
INSERT INTO public.ecdc_import VALUES (19160, '02/05/2020', '2', '5', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.03301251');
INSERT INTO public.ecdc_import VALUES (19161, '01/05/2020', '1', '5', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.03479697');
INSERT INTO public.ecdc_import VALUES (19162, '30/04/2020', '30', '4', '2020', '4', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04015035');
INSERT INTO public.ecdc_import VALUES (19163, '29/04/2020', '29', '4', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.03925812');
INSERT INTO public.ecdc_import VALUES (19164, '28/04/2020', '28', '4', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.0446115');
INSERT INTO public.ecdc_import VALUES (19165, '27/04/2020', '27', '4', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04639596');
INSERT INTO public.ecdc_import VALUES (19166, '26/04/2020', '26', '4', '2020', '5', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04728819');
INSERT INTO public.ecdc_import VALUES (19167, '25/04/2020', '25', '4', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04639596');
INSERT INTO public.ecdc_import VALUES (19168, '24/04/2020', '24', '4', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.0535338');
INSERT INTO public.ecdc_import VALUES (19169, '23/04/2020', '23', '4', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05442603');
INSERT INTO public.ecdc_import VALUES (19170, '22/04/2020', '22', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05531826');
INSERT INTO public.ecdc_import VALUES (19171, '21/04/2020', '21', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05977941');
INSERT INTO public.ecdc_import VALUES (19172, '20/04/2020', '20', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05799495');
INSERT INTO public.ecdc_import VALUES (19173, '19/04/2020', '19', '4', '2020', '9', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05977941');
INSERT INTO public.ecdc_import VALUES (19174, '18/04/2020', '18', '4', '2020', '4', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05442603');
INSERT INTO public.ecdc_import VALUES (19175, '17/04/2020', '17', '4', '2020', '7', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05621049');
INSERT INTO public.ecdc_import VALUES (19176, '16/04/2020', '16', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04996488');
INSERT INTO public.ecdc_import VALUES (19177, '15/04/2020', '15', '4', '2020', '8', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.05085711');
INSERT INTO public.ecdc_import VALUES (19178, '14/04/2020', '14', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04550373');
INSERT INTO public.ecdc_import VALUES (19179, '13/04/2020', '13', '4', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04907265');
INSERT INTO public.ecdc_import VALUES (19180, '12/04/2020', '12', '4', '2020', '4', '1', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04728819');
INSERT INTO public.ecdc_import VALUES (19181, '11/04/2020', '11', '4', '2020', '9', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.04371927');
INSERT INTO public.ecdc_import VALUES (19182, '10/04/2020', '10', '4', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.03925812');
INSERT INTO public.ecdc_import VALUES (19183, '09/04/2020', '9', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.03836589');
INSERT INTO public.ecdc_import VALUES (19184, '08/04/2020', '8', '4', '2020', '8', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.03658143');
INSERT INTO public.ecdc_import VALUES (19185, '07/04/2020', '7', '4', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02944359');
INSERT INTO public.ecdc_import VALUES (19186, '06/04/2020', '6', '4', '2020', '5', '2', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02855136');
INSERT INTO public.ecdc_import VALUES (19187, '05/04/2020', '5', '4', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02587467');
INSERT INTO public.ecdc_import VALUES (19188, '04/04/2020', '4', '4', '2020', '6', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02319798');
INSERT INTO public.ecdc_import VALUES (19189, '03/04/2020', '3', '4', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.01962906');
INSERT INTO public.ecdc_import VALUES (19190, '02/04/2020', '2', '4', '2020', '4', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.02052129');
INSERT INTO public.ecdc_import VALUES (19191, '01/04/2020', '1', '4', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.0178446');
INSERT INTO public.ecdc_import VALUES (19192, '31/03/2020', '31', '3', '2020', '7', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.01606014');
INSERT INTO public.ecdc_import VALUES (19193, '30/03/2020', '30', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.01070676');
INSERT INTO public.ecdc_import VALUES (19194, '29/03/2020', '29', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.01338345');
INSERT INTO public.ecdc_import VALUES (19195, '28/03/2020', '28', '3', '2020', '4', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.01338345');
INSERT INTO public.ecdc_import VALUES (19196, '27/03/2020', '27', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '0.01070676');
INSERT INTO public.ecdc_import VALUES (19197, '26/03/2020', '26', '3', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19198, '25/03/2020', '25', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19199, '24/03/2020', '24', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19200, '23/03/2020', '23', '3', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19201, '22/03/2020', '22', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19202, '21/03/2020', '21', '3', '2020', '2', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19203, '20/03/2020', '20', '3', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19204, '19/03/2020', '19', '3', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19205, '18/03/2020', '18', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19206, '17/03/2020', '17', '3', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19207, '16/03/2020', '16', '3', '2020', '3', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19208, '15/03/2020', '15', '3', '2020', '0', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19209, '14/03/2020', '14', '3', '2020', '1', '0', '112078727', 'Ethiopia', 'ET', 'ETH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (19210, '14/12/2020', '14', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19211, '13/12/2020', '13', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19212, '12/12/2020', '12', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19213, '11/12/2020', '11', '12', '2020', '2', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19214, '10/12/2020', '10', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19215, '09/12/2020', '9', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19216, '08/12/2020', '8', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19217, '07/12/2020', '7', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19218, '06/12/2020', '6', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19219, '05/12/2020', '5', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19220, '04/12/2020', '4', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19221, '03/12/2020', '3', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19222, '02/12/2020', '2', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19223, '01/12/2020', '1', '12', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19224, '30/11/2020', '30', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19225, '29/11/2020', '29', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19226, '28/11/2020', '28', '11', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19227, '27/11/2020', '27', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19228, '26/11/2020', '26', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19229, '25/11/2020', '25', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19230, '24/11/2020', '24', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19231, '23/11/2020', '23', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19232, '22/11/2020', '22', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19233, '21/11/2020', '21', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19234, '20/11/2020', '20', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19235, '19/11/2020', '19', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19236, '18/11/2020', '18', '11', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '88.96797153');
INSERT INTO public.ecdc_import VALUES (19237, '17/11/2020', '17', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19238, '16/11/2020', '16', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19239, '15/11/2020', '15', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19240, '14/11/2020', '14', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19241, '13/11/2020', '13', '11', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19242, '12/11/2020', '12', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19243, '11/11/2020', '11', '11', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19244, '10/11/2020', '10', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19245, '09/11/2020', '9', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19246, '08/11/2020', '8', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19247, '07/11/2020', '7', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19248, '06/11/2020', '6', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19249, '05/11/2020', '5', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19250, '04/11/2020', '4', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19251, '03/11/2020', '3', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19252, '02/11/2020', '2', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19253, '01/11/2020', '1', '11', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19254, '31/10/2020', '31', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19255, '30/10/2020', '30', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19256, '29/10/2020', '29', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19257, '28/10/2020', '28', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19258, '27/10/2020', '27', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19259, '26/10/2020', '26', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19260, '25/10/2020', '25', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19261, '24/10/2020', '24', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19262, '23/10/2020', '23', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19263, '22/10/2020', '22', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19264, '21/10/2020', '21', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19265, '20/10/2020', '20', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19266, '19/10/2020', '19', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19267, '18/10/2020', '18', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19268, '17/10/2020', '17', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19269, '16/10/2020', '16', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19270, '15/10/2020', '15', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19271, '14/10/2020', '14', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19272, '13/10/2020', '13', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19273, '12/10/2020', '12', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19274, '11/10/2020', '11', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19275, '10/10/2020', '10', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19276, '09/10/2020', '9', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19277, '08/10/2020', '8', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19278, '07/10/2020', '7', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19279, '06/10/2020', '6', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19280, '05/10/2020', '5', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19281, '04/10/2020', '4', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19282, '03/10/2020', '3', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19283, '02/10/2020', '2', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19284, '01/10/2020', '1', '10', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19285, '30/09/2020', '30', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19286, '29/09/2020', '29', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19287, '28/09/2020', '28', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19288, '27/09/2020', '27', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19289, '26/09/2020', '26', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19290, '25/09/2020', '25', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19291, '24/09/2020', '24', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19292, '23/09/2020', '23', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19293, '22/09/2020', '22', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19294, '21/09/2020', '21', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19295, '20/09/2020', '20', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19296, '19/09/2020', '19', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19297, '18/09/2020', '18', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19298, '17/09/2020', '17', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19299, '16/09/2020', '16', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19300, '15/09/2020', '15', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19301, '14/09/2020', '14', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19302, '13/09/2020', '13', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19303, '12/09/2020', '12', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19304, '11/09/2020', '11', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19305, '10/09/2020', '10', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19306, '09/09/2020', '9', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19307, '08/09/2020', '8', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19308, '07/09/2020', '7', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19309, '06/09/2020', '6', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19310, '05/09/2020', '5', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19311, '04/09/2020', '4', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19312, '03/09/2020', '3', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19313, '02/09/2020', '2', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19314, '01/09/2020', '1', '9', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19315, '31/08/2020', '31', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19316, '30/08/2020', '30', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19317, '29/08/2020', '29', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19318, '28/08/2020', '28', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19319, '27/08/2020', '27', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19320, '26/08/2020', '26', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19321, '25/08/2020', '25', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19322, '24/08/2020', '24', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19323, '23/08/2020', '23', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19324, '22/08/2020', '22', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19325, '21/08/2020', '21', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19326, '20/08/2020', '20', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19327, '19/08/2020', '19', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19328, '18/08/2020', '18', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19329, '17/08/2020', '17', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19330, '16/08/2020', '16', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19331, '15/08/2020', '15', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19332, '14/08/2020', '14', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19333, '13/08/2020', '13', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19334, '12/08/2020', '12', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19335, '11/08/2020', '11', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19336, '10/08/2020', '10', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19337, '09/08/2020', '9', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19338, '08/08/2020', '8', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19339, '07/08/2020', '7', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19340, '06/08/2020', '6', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19341, '05/08/2020', '5', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19342, '04/08/2020', '4', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19343, '03/08/2020', '3', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19344, '02/08/2020', '2', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19345, '01/08/2020', '1', '8', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19346, '31/07/2020', '31', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19347, '30/07/2020', '30', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19348, '29/07/2020', '29', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19349, '28/07/2020', '28', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19350, '27/07/2020', '27', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19351, '26/07/2020', '26', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19352, '25/07/2020', '25', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19353, '24/07/2020', '24', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19354, '23/07/2020', '23', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19355, '22/07/2020', '22', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19356, '21/07/2020', '21', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19357, '20/07/2020', '20', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19358, '19/07/2020', '19', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19359, '18/07/2020', '18', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19360, '17/07/2020', '17', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19361, '16/07/2020', '16', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19362, '15/07/2020', '15', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19363, '14/07/2020', '14', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19364, '13/07/2020', '13', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19365, '12/07/2020', '12', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19366, '11/07/2020', '11', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19367, '10/07/2020', '10', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19368, '09/07/2020', '9', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19369, '08/07/2020', '8', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19370, '07/07/2020', '7', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19371, '06/07/2020', '6', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19372, '05/07/2020', '5', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19373, '04/07/2020', '4', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19374, '03/07/2020', '3', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19375, '02/07/2020', '2', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19376, '01/07/2020', '1', '7', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19377, '30/06/2020', '30', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19378, '29/06/2020', '29', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19379, '28/06/2020', '28', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19380, '27/06/2020', '27', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19381, '26/06/2020', '26', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19382, '25/06/2020', '25', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19383, '24/06/2020', '24', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19384, '23/06/2020', '23', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19385, '22/06/2020', '22', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19386, '21/06/2020', '21', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19387, '20/06/2020', '20', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19388, '19/06/2020', '19', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19389, '18/06/2020', '18', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19390, '17/06/2020', '17', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19391, '16/06/2020', '16', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19392, '15/06/2020', '15', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19393, '14/06/2020', '14', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19394, '13/06/2020', '13', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19395, '12/06/2020', '12', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19396, '11/06/2020', '11', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19397, '10/06/2020', '10', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19398, '09/06/2020', '9', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19399, '08/06/2020', '8', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19400, '07/06/2020', '7', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19401, '06/06/2020', '6', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19402, '05/06/2020', '5', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19403, '04/06/2020', '4', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19404, '03/06/2020', '3', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19405, '02/06/2020', '2', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19406, '01/06/2020', '1', '6', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19407, '31/05/2020', '31', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19408, '30/05/2020', '30', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19409, '29/05/2020', '29', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19410, '28/05/2020', '28', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19411, '27/05/2020', '27', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19412, '26/05/2020', '26', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19413, '25/05/2020', '25', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19414, '24/05/2020', '24', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19415, '23/05/2020', '23', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19416, '22/05/2020', '22', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19417, '21/05/2020', '21', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19418, '20/05/2020', '20', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19419, '19/05/2020', '19', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19420, '18/05/2020', '18', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19421, '17/05/2020', '17', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19422, '16/05/2020', '16', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19423, '15/05/2020', '15', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19424, '14/05/2020', '14', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19425, '13/05/2020', '13', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19426, '12/05/2020', '12', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19427, '11/05/2020', '11', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19428, '10/05/2020', '10', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '0');
INSERT INTO public.ecdc_import VALUES (19429, '09/05/2020', '9', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19430, '08/05/2020', '8', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19431, '07/05/2020', '7', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19432, '06/05/2020', '6', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '29.65599051');
INSERT INTO public.ecdc_import VALUES (19433, '05/05/2020', '5', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19434, '04/05/2020', '4', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19435, '03/05/2020', '3', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19436, '02/05/2020', '2', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19437, '01/05/2020', '1', '5', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19438, '30/04/2020', '30', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19439, '29/04/2020', '29', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '59.31198102');
INSERT INTO public.ecdc_import VALUES (19440, '28/04/2020', '28', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '237.24792408');
INSERT INTO public.ecdc_import VALUES (19441, '27/04/2020', '27', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '237.24792408');
INSERT INTO public.ecdc_import VALUES (19442, '26/04/2020', '26', '4', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '237.24792408');
INSERT INTO public.ecdc_import VALUES (19443, '25/04/2020', '25', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '207.59193357');
INSERT INTO public.ecdc_import VALUES (19444, '24/04/2020', '24', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '207.59193357');
INSERT INTO public.ecdc_import VALUES (19445, '23/04/2020', '23', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '207.59193357');
INSERT INTO public.ecdc_import VALUES (19446, '22/04/2020', '22', '4', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '207.59193357');
INSERT INTO public.ecdc_import VALUES (19447, '21/04/2020', '21', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '266.90391459');
INSERT INTO public.ecdc_import VALUES (19448, '20/04/2020', '20', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '266.90391459');
INSERT INTO public.ecdc_import VALUES (19449, '19/04/2020', '19', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '296.5599051');
INSERT INTO public.ecdc_import VALUES (19450, '18/04/2020', '18', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '296.5599051');
INSERT INTO public.ecdc_import VALUES (19451, '17/04/2020', '17', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '326.21589561');
INSERT INTO public.ecdc_import VALUES (19452, '16/04/2020', '16', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19453, '15/04/2020', '15', '4', '2020', '6', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19454, '14/04/2020', '14', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19455, '13/04/2020', '13', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19456, '12/04/2020', '12', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19457, '11/04/2020', '11', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19458, '10/04/2020', '10', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19459, '09/04/2020', '9', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19460, '08/04/2020', '8', '4', '2020', '3', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19461, '07/04/2020', '7', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19462, '06/04/2020', '6', '4', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19463, '05/04/2020', '5', '4', '2020', '0', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19464, '04/04/2020', '4', '4', '2020', '1', '0', '3372', 'Falkland_Islands_(Malvinas)', 'FK', 'FLK', 'America', '');
INSERT INTO public.ecdc_import VALUES (19465, '14/12/2020', '14', '12', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '53.41331635');
INSERT INTO public.ecdc_import VALUES (19466, '13/12/2020', '13', '12', '2020', '5', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '47.25024139');
INSERT INTO public.ecdc_import VALUES (19467, '12/12/2020', '12', '12', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '41.08716642');
INSERT INTO public.ecdc_import VALUES (19468, '11/12/2020', '11', '12', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '39.0328081');
INSERT INTO public.ecdc_import VALUES (19469, '10/12/2020', '10', '12', '2020', '5', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '39.0328081');
INSERT INTO public.ecdc_import VALUES (19470, '09/12/2020', '9', '12', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '28.7610165');
INSERT INTO public.ecdc_import VALUES (19471, '08/12/2020', '8', '12', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19472, '07/12/2020', '7', '12', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19473, '06/12/2020', '6', '12', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19474, '05/12/2020', '5', '12', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19475, '04/12/2020', '4', '12', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19476, '03/12/2020', '3', '12', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19477, '02/12/2020', '2', '12', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19478, '01/12/2020', '1', '12', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19479, '30/11/2020', '30', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19480, '29/11/2020', '29', '11', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19481, '28/11/2020', '28', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19482, '27/11/2020', '27', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19483, '26/11/2020', '26', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19484, '25/11/2020', '25', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19485, '24/11/2020', '24', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19486, '23/11/2020', '23', '11', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19487, '22/11/2020', '22', '11', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19488, '21/11/2020', '21', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19489, '20/11/2020', '20', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19490, '19/11/2020', '19', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19491, '18/11/2020', '18', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19492, '17/11/2020', '17', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19493, '16/11/2020', '16', '11', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19494, '15/11/2020', '15', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '4.10871664');
INSERT INTO public.ecdc_import VALUES (19495, '14/11/2020', '14', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19496, '13/11/2020', '13', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19497, '12/11/2020', '12', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19498, '11/11/2020', '11', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19499, '10/11/2020', '10', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19500, '09/11/2020', '9', '11', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19501, '08/11/2020', '8', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19502, '07/11/2020', '7', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19503, '06/11/2020', '6', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19504, '05/11/2020', '5', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19505, '04/11/2020', '4', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19506, '03/11/2020', '3', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19507, '02/11/2020', '2', '11', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19508, '01/11/2020', '1', '11', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '24.65229985');
INSERT INTO public.ecdc_import VALUES (19509, '31/10/2020', '31', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '24.65229985');
INSERT INTO public.ecdc_import VALUES (19510, '30/10/2020', '30', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '28.7610165');
INSERT INTO public.ecdc_import VALUES (19511, '29/10/2020', '29', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '32.86973314');
INSERT INTO public.ecdc_import VALUES (19512, '28/10/2020', '28', '10', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19513, '27/10/2020', '27', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '26.70665818');
INSERT INTO public.ecdc_import VALUES (19514, '26/10/2020', '26', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '26.70665818');
INSERT INTO public.ecdc_import VALUES (19515, '25/10/2020', '25', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '26.70665818');
INSERT INTO public.ecdc_import VALUES (19516, '24/10/2020', '24', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '26.70665818');
INSERT INTO public.ecdc_import VALUES (19517, '23/10/2020', '23', '10', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '26.70665818');
INSERT INTO public.ecdc_import VALUES (19518, '22/10/2020', '22', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '24.65229985');
INSERT INTO public.ecdc_import VALUES (19519, '21/10/2020', '21', '10', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '26.70665818');
INSERT INTO public.ecdc_import VALUES (19520, '20/10/2020', '20', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19521, '19/10/2020', '19', '10', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '22.59794153');
INSERT INTO public.ecdc_import VALUES (19522, '18/10/2020', '18', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19523, '17/10/2020', '17', '10', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '20.54358321');
INSERT INTO public.ecdc_import VALUES (19524, '16/10/2020', '16', '10', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '16.43486657');
INSERT INTO public.ecdc_import VALUES (19525, '15/10/2020', '15', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '22.59794153');
INSERT INTO public.ecdc_import VALUES (19526, '14/10/2020', '14', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '28.7610165');
INSERT INTO public.ecdc_import VALUES (19527, '13/10/2020', '13', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19528, '12/10/2020', '12', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19529, '11/10/2020', '11', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19530, '10/10/2020', '10', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '39.0328081');
INSERT INTO public.ecdc_import VALUES (19531, '09/10/2020', '9', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '45.19588307');
INSERT INTO public.ecdc_import VALUES (19532, '08/10/2020', '8', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '51.35895803');
INSERT INTO public.ecdc_import VALUES (19533, '07/10/2020', '7', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '55.46767467');
INSERT INTO public.ecdc_import VALUES (19534, '06/10/2020', '6', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '78.0656162');
INSERT INTO public.ecdc_import VALUES (19535, '05/10/2020', '5', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '82.17433285');
INSERT INTO public.ecdc_import VALUES (19536, '04/10/2020', '4', '10', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '86.28304949');
INSERT INTO public.ecdc_import VALUES (19537, '03/10/2020', '3', '10', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '86.28304949');
INSERT INTO public.ecdc_import VALUES (19538, '02/10/2020', '2', '10', '2020', '5', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '88.33740781');
INSERT INTO public.ecdc_import VALUES (19539, '01/10/2020', '1', '10', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '80.11997453');
INSERT INTO public.ecdc_import VALUES (19540, '30/09/2020', '30', '9', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '71.90254124');
INSERT INTO public.ecdc_import VALUES (19541, '29/09/2020', '29', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '76.01125788');
INSERT INTO public.ecdc_import VALUES (19542, '28/09/2020', '28', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '76.01125788');
INSERT INTO public.ecdc_import VALUES (19543, '27/09/2020', '27', '9', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '86.28304949');
INSERT INTO public.ecdc_import VALUES (19544, '26/09/2020', '26', '9', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '86.28304949');
INSERT INTO public.ecdc_import VALUES (19545, '25/09/2020', '25', '9', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '82.17433285');
INSERT INTO public.ecdc_import VALUES (19546, '24/09/2020', '24', '9', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '73.95689956');
INSERT INTO public.ecdc_import VALUES (19547, '23/09/2020', '23', '9', '2020', '11', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '69.84818292');
INSERT INTO public.ecdc_import VALUES (19548, '22/09/2020', '22', '9', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '49.30459971');
INSERT INTO public.ecdc_import VALUES (19549, '21/09/2020', '21', '9', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '43.14152474');
INSERT INTO public.ecdc_import VALUES (19550, '20/09/2020', '20', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '36.97844978');
INSERT INTO public.ecdc_import VALUES (19551, '19/09/2020', '19', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19552, '18/09/2020', '18', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19553, '17/09/2020', '17', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19554, '16/09/2020', '16', '9', '2020', '5', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '34.92409146');
INSERT INTO public.ecdc_import VALUES (19555, '15/09/2020', '15', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '24.65229985');
INSERT INTO public.ecdc_import VALUES (19556, '14/09/2020', '14', '9', '2020', '5', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '24.65229985');
INSERT INTO public.ecdc_import VALUES (19557, '13/09/2020', '13', '9', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19558, '12/09/2020', '12', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19559, '11/09/2020', '11', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19560, '10/09/2020', '10', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19561, '09/09/2020', '9', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19562, '08/09/2020', '8', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19563, '07/09/2020', '7', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '59.57639131');
INSERT INTO public.ecdc_import VALUES (19564, '06/09/2020', '6', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '59.57639131');
INSERT INTO public.ecdc_import VALUES (19565, '05/09/2020', '5', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '59.57639131');
INSERT INTO public.ecdc_import VALUES (19566, '04/09/2020', '4', '9', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '59.57639131');
INSERT INTO public.ecdc_import VALUES (19567, '03/09/2020', '3', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '59.57639131');
INSERT INTO public.ecdc_import VALUES (19568, '02/09/2020', '2', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '78.0656162');
INSERT INTO public.ecdc_import VALUES (19569, '01/09/2020', '1', '9', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '78.0656162');
INSERT INTO public.ecdc_import VALUES (19570, '31/08/2020', '31', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '80.11997453');
INSERT INTO public.ecdc_import VALUES (19571, '30/08/2020', '30', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '84.22869117');
INSERT INTO public.ecdc_import VALUES (19572, '29/08/2020', '29', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '100.66355774');
INSERT INTO public.ecdc_import VALUES (19573, '28/08/2020', '28', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '100.66355774');
INSERT INTO public.ecdc_import VALUES (19574, '27/08/2020', '27', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '147.91379912');
INSERT INTO public.ecdc_import VALUES (19575, '26/08/2020', '26', '8', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '178.72917394');
INSERT INTO public.ecdc_import VALUES (19576, '25/08/2020', '25', '8', '2020', '26', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '199.27275715');
INSERT INTO public.ecdc_import VALUES (19577, '24/08/2020', '24', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '191.05532387');
INSERT INTO public.ecdc_import VALUES (19578, '23/08/2020', '23', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '191.05532387');
INSERT INTO public.ecdc_import VALUES (19579, '22/08/2020', '22', '8', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '191.05532387');
INSERT INTO public.ecdc_import VALUES (19580, '21/08/2020', '21', '8', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '291.71888161');
INSERT INTO public.ecdc_import VALUES (19581, '20/08/2020', '20', '8', '2020', '9', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '289.66452329');
INSERT INTO public.ecdc_import VALUES (19582, '19/08/2020', '19', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '299.93631489');
INSERT INTO public.ecdc_import VALUES (19583, '18/08/2020', '18', '8', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '304.04503153');
INSERT INTO public.ecdc_import VALUES (19584, '17/08/2020', '17', '8', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '301.99067321');
INSERT INTO public.ecdc_import VALUES (19585, '16/08/2020', '16', '8', '2020', '8', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '297.88195657');
INSERT INTO public.ecdc_import VALUES (19586, '15/08/2020', '15', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '281.44709');
INSERT INTO public.ecdc_import VALUES (19587, '14/08/2020', '14', '8', '2020', '23', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '291.71888161');
INSERT INTO public.ecdc_import VALUES (19588, '13/08/2020', '13', '8', '2020', '15', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '244.46864022');
INSERT INTO public.ecdc_import VALUES (19589, '12/08/2020', '12', '8', '2020', '11', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '213.6532654');
INSERT INTO public.ecdc_import VALUES (19590, '11/08/2020', '11', '8', '2020', '22', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '203.3814738');
INSERT INTO public.ecdc_import VALUES (19591, '10/08/2020', '10', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '205.43583212');
INSERT INTO public.ecdc_import VALUES (19592, '09/08/2020', '9', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '205.43583212');
INSERT INTO public.ecdc_import VALUES (19593, '08/08/2020', '8', '8', '2020', '50', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '205.43583212');
INSERT INTO public.ecdc_import VALUES (19594, '07/08/2020', '7', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '102.71791606');
INSERT INTO public.ecdc_import VALUES (19595, '06/08/2020', '6', '8', '2020', '14', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '102.71791606');
INSERT INTO public.ecdc_import VALUES (19596, '05/08/2020', '5', '8', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '73.95689956');
INSERT INTO public.ecdc_import VALUES (19597, '04/08/2020', '4', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '69.84818292');
INSERT INTO public.ecdc_import VALUES (19598, '03/08/2020', '3', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '69.84818292');
INSERT INTO public.ecdc_import VALUES (19599, '02/08/2020', '2', '8', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '76.01125788');
INSERT INTO public.ecdc_import VALUES (19600, '01/08/2020', '1', '8', '2020', '5', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '76.01125788');
INSERT INTO public.ecdc_import VALUES (19601, '31/07/2020', '31', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '65.73946628');
INSERT INTO public.ecdc_import VALUES (19602, '30/07/2020', '30', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '65.73946628');
INSERT INTO public.ecdc_import VALUES (19603, '29/07/2020', '29', '7', '2020', '6', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '65.73946628');
INSERT INTO public.ecdc_import VALUES (19604, '28/07/2020', '28', '7', '2020', '23', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '53.41331635');
INSERT INTO public.ecdc_import VALUES (19605, '27/07/2020', '27', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19606, '26/07/2020', '26', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19607, '25/07/2020', '25', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19608, '24/07/2020', '24', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19609, '23/07/2020', '23', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19610, '22/07/2020', '22', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19611, '21/07/2020', '21', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19612, '20/07/2020', '20', '7', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19613, '19/07/2020', '19', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19614, '18/07/2020', '18', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19615, '17/07/2020', '17', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19616, '16/07/2020', '16', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19617, '15/07/2020', '15', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19618, '14/07/2020', '14', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19619, '13/07/2020', '13', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19620, '12/07/2020', '12', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19621, '11/07/2020', '11', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19622, '10/07/2020', '10', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19623, '09/07/2020', '9', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19624, '08/07/2020', '8', '7', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19625, '07/07/2020', '7', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19626, '06/07/2020', '6', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19627, '05/07/2020', '5', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19628, '04/07/2020', '4', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19629, '03/07/2020', '3', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19630, '02/07/2020', '2', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19631, '01/07/2020', '1', '7', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19632, '30/06/2020', '30', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19633, '29/06/2020', '29', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19634, '28/06/2020', '28', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19635, '27/06/2020', '27', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19636, '26/06/2020', '26', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19637, '25/06/2020', '25', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19638, '24/06/2020', '24', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19639, '23/06/2020', '23', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19640, '22/06/2020', '22', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19641, '21/06/2020', '21', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19642, '20/06/2020', '20', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19643, '19/06/2020', '19', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19644, '18/06/2020', '18', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19645, '17/06/2020', '17', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19646, '16/06/2020', '16', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19647, '15/06/2020', '15', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19648, '14/06/2020', '14', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19649, '13/06/2020', '13', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19650, '12/06/2020', '12', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19651, '11/06/2020', '11', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19652, '10/06/2020', '10', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19653, '09/06/2020', '9', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19654, '08/06/2020', '8', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19655, '07/06/2020', '7', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19656, '06/06/2020', '6', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19657, '05/06/2020', '5', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19658, '04/06/2020', '4', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19659, '03/06/2020', '3', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19660, '02/06/2020', '2', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19661, '01/06/2020', '1', '6', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19662, '31/05/2020', '31', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19663, '30/05/2020', '30', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19664, '29/05/2020', '29', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19665, '28/05/2020', '28', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19666, '27/05/2020', '27', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19667, '26/05/2020', '26', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19668, '25/05/2020', '25', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19669, '24/05/2020', '24', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19670, '23/05/2020', '23', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19671, '22/05/2020', '22', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19672, '21/05/2020', '21', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19673, '20/05/2020', '20', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19674, '19/05/2020', '19', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19675, '18/05/2020', '18', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19676, '17/05/2020', '17', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19677, '16/05/2020', '16', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19678, '15/05/2020', '15', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19679, '14/05/2020', '14', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19680, '13/05/2020', '13', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19681, '12/05/2020', '12', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19682, '11/05/2020', '11', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19683, '10/05/2020', '10', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19684, '09/05/2020', '9', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19685, '08/05/2020', '8', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (19686, '07/05/2020', '7', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '4.10871664');
INSERT INTO public.ecdc_import VALUES (19687, '06/05/2020', '6', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '4.10871664');
INSERT INTO public.ecdc_import VALUES (19688, '05/05/2020', '5', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '4.10871664');
INSERT INTO public.ecdc_import VALUES (19689, '04/05/2020', '4', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '4.10871664');
INSERT INTO public.ecdc_import VALUES (19690, '03/05/2020', '3', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19691, '02/05/2020', '2', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19692, '01/05/2020', '1', '5', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19693, '30/04/2020', '30', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19694, '29/04/2020', '29', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19695, '28/04/2020', '28', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19696, '27/04/2020', '27', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19697, '26/04/2020', '26', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19698, '25/04/2020', '25', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19699, '24/04/2020', '24', '4', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19700, '23/04/2020', '23', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19701, '22/04/2020', '22', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '2.05435832');
INSERT INTO public.ecdc_import VALUES (19702, '21/04/2020', '21', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '4.10871664');
INSERT INTO public.ecdc_import VALUES (19703, '20/04/2020', '20', '4', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '8.21743328');
INSERT INTO public.ecdc_import VALUES (19704, '19/04/2020', '19', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '6.16307496');
INSERT INTO public.ecdc_import VALUES (19705, '18/04/2020', '18', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '10.27179161');
INSERT INTO public.ecdc_import VALUES (19706, '17/04/2020', '17', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '14.38050825');
INSERT INTO public.ecdc_import VALUES (19707, '16/04/2020', '16', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '22.59794153');
INSERT INTO public.ecdc_import VALUES (19708, '15/04/2020', '15', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '30.81537482');
INSERT INTO public.ecdc_import VALUES (19709, '14/04/2020', '14', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '32.86973314');
INSERT INTO public.ecdc_import VALUES (19710, '13/04/2020', '13', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '51.35895803');
INSERT INTO public.ecdc_import VALUES (19711, '12/04/2020', '12', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '59.57639131');
INSERT INTO public.ecdc_import VALUES (19712, '11/04/2020', '11', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '82.17433285');
INSERT INTO public.ecdc_import VALUES (19713, '10/04/2020', '10', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '90.39176613');
INSERT INTO public.ecdc_import VALUES (19714, '09/04/2020', '9', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '106.8266327');
INSERT INTO public.ecdc_import VALUES (19715, '08/04/2020', '8', '4', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '127.37021591');
INSERT INTO public.ecdc_import VALUES (19716, '07/04/2020', '7', '4', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '133.53329088');
INSERT INTO public.ecdc_import VALUES (19717, '06/04/2020', '6', '4', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '135.5876492');
INSERT INTO public.ecdc_import VALUES (19718, '05/04/2020', '5', '4', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '182.83789058');
INSERT INTO public.ecdc_import VALUES (19719, '04/04/2020', '4', '4', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '203.3814738');
INSERT INTO public.ecdc_import VALUES (19720, '03/04/2020', '3', '4', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '215.70762372');
INSERT INTO public.ecdc_import VALUES (19721, '02/04/2020', '2', '4', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '258.84914847');
INSERT INTO public.ecdc_import VALUES (19722, '01/04/2020', '1', '4', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '310.2081065');
INSERT INTO public.ecdc_import VALUES (19723, '31/03/2020', '31', '3', '2020', '9', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '322.53425643');
INSERT INTO public.ecdc_import VALUES (19724, '30/03/2020', '30', '3', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '308.15374818');
INSERT INTO public.ecdc_import VALUES (19725, '29/03/2020', '29', '3', '2020', '11', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '312.26246482');
INSERT INTO public.ecdc_import VALUES (19726, '28/03/2020', '28', '3', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '289.66452329');
INSERT INTO public.ecdc_import VALUES (19727, '27/03/2020', '27', '3', '2020', '8', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '281.44709');
INSERT INTO public.ecdc_import VALUES (19728, '26/03/2020', '26', '3', '2020', '10', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '265.01222343');
INSERT INTO public.ecdc_import VALUES (19729, '25/03/2020', '25', '3', '2020', '4', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '244.46864022');
INSERT INTO public.ecdc_import VALUES (19730, '24/03/2020', '24', '3', '2020', '3', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '236.25120694');
INSERT INTO public.ecdc_import VALUES (19731, '23/03/2020', '23', '3', '2020', '23', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '230.08813197');
INSERT INTO public.ecdc_import VALUES (19732, '22/03/2020', '22', '3', '2020', '12', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '182.83789058');
INSERT INTO public.ecdc_import VALUES (19733, '21/03/2020', '21', '3', '2020', '8', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '160.23994905');
INSERT INTO public.ecdc_import VALUES (19734, '20/03/2020', '20', '3', '2020', '25', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '145.8594408');
INSERT INTO public.ecdc_import VALUES (19735, '19/03/2020', '19', '3', '2020', '29', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '96.5548411');
INSERT INTO public.ecdc_import VALUES (19736, '18/03/2020', '18', '3', '2020', '7', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19737, '17/03/2020', '17', '3', '2020', '2', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19738, '16/03/2020', '16', '3', '2020', '6', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19739, '15/03/2020', '15', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19740, '14/03/2020', '14', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19741, '13/03/2020', '13', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19742, '12/03/2020', '12', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19743, '11/03/2020', '11', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19744, '10/03/2020', '10', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19745, '09/03/2020', '9', '3', '2020', '0', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19746, '08/03/2020', '8', '3', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19747, '07/03/2020', '7', '3', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19748, '06/03/2020', '6', '3', '2020', '1', '0', '48677', 'Faroe_Islands', 'FO', 'FRO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (19749, '14/12/2020', '14', '12', '2020', '2', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19750, '13/12/2020', '13', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19751, '12/12/2020', '12', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19752, '11/12/2020', '11', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19753, '10/12/2020', '10', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19754, '09/12/2020', '9', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19755, '08/12/2020', '8', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.01128709');
INSERT INTO public.ecdc_import VALUES (19756, '07/12/2020', '7', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.01128709');
INSERT INTO public.ecdc_import VALUES (19757, '06/12/2020', '6', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.01128709');
INSERT INTO public.ecdc_import VALUES (19758, '05/12/2020', '5', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.01128709');
INSERT INTO public.ecdc_import VALUES (19759, '04/12/2020', '4', '12', '2020', '2', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.01128709');
INSERT INTO public.ecdc_import VALUES (19760, '03/12/2020', '3', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.78655662');
INSERT INTO public.ecdc_import VALUES (19761, '02/12/2020', '2', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.78655662');
INSERT INTO public.ecdc_import VALUES (19762, '01/12/2020', '1', '12', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.78655662');
INSERT INTO public.ecdc_import VALUES (19763, '30/11/2020', '30', '11', '2020', '4', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.78655662');
INSERT INTO public.ecdc_import VALUES (19764, '29/11/2020', '29', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19765, '28/11/2020', '28', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19766, '27/11/2020', '27', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19767, '26/11/2020', '26', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19768, '25/11/2020', '25', '11', '2020', '3', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19769, '24/11/2020', '24', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19770, '23/11/2020', '23', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19771, '22/11/2020', '22', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19772, '21/11/2020', '21', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19773, '20/11/2020', '20', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19774, '19/11/2020', '19', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19775, '18/11/2020', '18', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19776, '17/11/2020', '17', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19777, '16/11/2020', '16', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19778, '15/11/2020', '15', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19779, '14/11/2020', '14', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19780, '13/11/2020', '13', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19781, '12/11/2020', '12', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19782, '11/11/2020', '11', '11', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19783, '10/11/2020', '10', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19784, '09/11/2020', '9', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19785, '08/11/2020', '8', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19786, '07/11/2020', '7', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19787, '06/11/2020', '6', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19788, '05/11/2020', '5', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19789, '04/11/2020', '4', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19790, '03/11/2020', '3', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19791, '02/11/2020', '2', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19792, '01/11/2020', '1', '11', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19793, '31/10/2020', '31', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19794, '30/10/2020', '30', '10', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19795, '29/10/2020', '29', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19796, '28/10/2020', '28', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19797, '27/10/2020', '27', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19798, '26/10/2020', '26', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19799, '25/10/2020', '25', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19800, '24/10/2020', '24', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19801, '23/10/2020', '23', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19802, '22/10/2020', '22', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19803, '21/10/2020', '21', '10', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19804, '20/10/2020', '20', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19805, '19/10/2020', '19', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19806, '18/10/2020', '18', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19807, '17/10/2020', '17', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19808, '16/10/2020', '16', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19809, '15/10/2020', '15', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19810, '14/10/2020', '14', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19811, '13/10/2020', '13', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19812, '12/10/2020', '12', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19813, '11/10/2020', '11', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19814, '10/10/2020', '10', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19815, '09/10/2020', '9', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19816, '08/10/2020', '8', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19817, '07/10/2020', '7', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19818, '06/10/2020', '6', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19819, '05/10/2020', '5', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19820, '04/10/2020', '4', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19821, '03/10/2020', '3', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19822, '02/10/2020', '2', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19823, '01/10/2020', '1', '10', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19824, '30/09/2020', '30', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19825, '29/09/2020', '29', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19826, '28/09/2020', '28', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19827, '27/09/2020', '27', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19828, '26/09/2020', '26', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19829, '25/09/2020', '25', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19830, '24/09/2020', '24', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19831, '23/09/2020', '23', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19832, '22/09/2020', '22', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19833, '21/09/2020', '21', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19834, '20/09/2020', '20', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19835, '19/09/2020', '19', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19836, '18/09/2020', '18', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19837, '17/09/2020', '17', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19838, '16/09/2020', '16', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19839, '15/09/2020', '15', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19840, '14/09/2020', '14', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19841, '13/09/2020', '13', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19842, '12/09/2020', '12', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19843, '11/09/2020', '11', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19844, '10/09/2020', '10', '9', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19845, '09/09/2020', '9', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19846, '08/09/2020', '8', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19847, '07/09/2020', '7', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19848, '06/09/2020', '6', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19849, '05/09/2020', '5', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19850, '04/09/2020', '4', '9', '2020', '2', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19851, '03/09/2020', '3', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19852, '02/09/2020', '2', '9', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19853, '01/09/2020', '1', '9', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19854, '31/08/2020', '31', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19855, '30/08/2020', '30', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19856, '29/08/2020', '29', '8', '2020', '0', '1', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19857, '28/08/2020', '28', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19858, '27/08/2020', '27', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19859, '26/08/2020', '26', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19860, '25/08/2020', '25', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19861, '24/08/2020', '24', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19862, '23/08/2020', '23', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19863, '22/08/2020', '22', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19864, '21/08/2020', '21', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19865, '20/08/2020', '20', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19866, '19/08/2020', '19', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19867, '18/08/2020', '18', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19868, '17/08/2020', '17', '8', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19869, '16/08/2020', '16', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19870, '15/08/2020', '15', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19871, '14/08/2020', '14', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19872, '13/08/2020', '13', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19873, '12/08/2020', '12', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19874, '11/08/2020', '11', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19875, '10/08/2020', '10', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19876, '09/08/2020', '9', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19877, '08/08/2020', '8', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19878, '07/08/2020', '7', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19879, '06/08/2020', '6', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19880, '05/08/2020', '5', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19881, '04/08/2020', '4', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19882, '03/08/2020', '3', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19883, '02/08/2020', '2', '8', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19884, '01/08/2020', '1', '8', '2020', '0', '1', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19885, '31/07/2020', '31', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19886, '30/07/2020', '30', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19887, '29/07/2020', '29', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19888, '28/07/2020', '28', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19889, '27/07/2020', '27', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19890, '26/07/2020', '26', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19891, '25/07/2020', '25', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19892, '24/07/2020', '24', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19893, '23/07/2020', '23', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (19894, '22/07/2020', '22', '7', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19895, '21/07/2020', '21', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.78655662');
INSERT INTO public.ecdc_import VALUES (19896, '20/07/2020', '20', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19897, '19/07/2020', '19', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19898, '18/07/2020', '18', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19899, '17/07/2020', '17', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19900, '16/07/2020', '16', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19901, '15/07/2020', '15', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19902, '14/07/2020', '14', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19903, '13/07/2020', '13', '7', '2020', '5', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.89892186');
INSERT INTO public.ecdc_import VALUES (19904, '12/07/2020', '12', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19905, '11/07/2020', '11', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19906, '10/07/2020', '10', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19907, '09/07/2020', '9', '7', '2020', '2', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19908, '08/07/2020', '8', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19909, '07/07/2020', '7', '7', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19910, '06/07/2020', '6', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19911, '05/07/2020', '5', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19912, '04/07/2020', '4', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19913, '03/07/2020', '3', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19914, '02/07/2020', '2', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19915, '01/07/2020', '1', '7', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19916, '30/06/2020', '30', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19917, '29/06/2020', '29', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19918, '28/06/2020', '28', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19919, '27/06/2020', '27', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19920, '26/06/2020', '26', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19921, '25/06/2020', '25', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19922, '24/06/2020', '24', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19923, '23/06/2020', '23', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19924, '22/06/2020', '22', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19925, '21/06/2020', '21', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19926, '20/06/2020', '20', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19927, '19/06/2020', '19', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19928, '18/06/2020', '18', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19929, '17/06/2020', '17', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19930, '16/06/2020', '16', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19931, '15/06/2020', '15', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19932, '14/06/2020', '14', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19933, '13/06/2020', '13', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19934, '12/06/2020', '12', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19935, '11/06/2020', '11', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19936, '10/06/2020', '10', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19937, '09/06/2020', '9', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19938, '08/06/2020', '8', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19939, '07/06/2020', '7', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19940, '06/06/2020', '6', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19941, '05/06/2020', '5', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19942, '04/06/2020', '4', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19943, '03/06/2020', '3', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19944, '02/06/2020', '2', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19945, '01/06/2020', '1', '6', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19946, '31/05/2020', '31', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19947, '30/05/2020', '30', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19948, '29/05/2020', '29', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19949, '28/05/2020', '28', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19950, '27/05/2020', '27', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19951, '26/05/2020', '26', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19952, '25/05/2020', '25', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19953, '24/05/2020', '24', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19954, '23/05/2020', '23', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19955, '22/05/2020', '22', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19956, '21/05/2020', '21', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19957, '20/05/2020', '20', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19958, '19/05/2020', '19', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19959, '18/05/2020', '18', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19960, '17/05/2020', '17', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19961, '16/05/2020', '16', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19962, '15/05/2020', '15', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19963, '14/05/2020', '14', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19964, '13/05/2020', '13', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19965, '12/05/2020', '12', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19966, '11/05/2020', '11', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19967, '10/05/2020', '10', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19968, '09/05/2020', '9', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19969, '08/05/2020', '8', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19970, '07/05/2020', '7', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19971, '06/05/2020', '6', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19972, '05/05/2020', '5', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (19973, '04/05/2020', '4', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19974, '03/05/2020', '3', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19975, '02/05/2020', '2', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19976, '01/05/2020', '1', '5', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.11236523');
INSERT INTO public.ecdc_import VALUES (19977, '30/04/2020', '30', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19978, '29/04/2020', '29', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19979, '28/04/2020', '28', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19980, '27/04/2020', '27', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19981, '26/04/2020', '26', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19982, '25/04/2020', '25', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.22473046');
INSERT INTO public.ecdc_import VALUES (19983, '24/04/2020', '24', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19984, '23/04/2020', '23', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19985, '22/04/2020', '22', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19986, '21/04/2020', '21', '4', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.44946093');
INSERT INTO public.ecdc_import VALUES (19987, '20/04/2020', '20', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.3370957');
INSERT INTO public.ecdc_import VALUES (19988, '19/04/2020', '19', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.56182616');
INSERT INTO public.ecdc_import VALUES (19989, '18/04/2020', '18', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.56182616');
INSERT INTO public.ecdc_import VALUES (19990, '17/04/2020', '17', '4', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.12365232');
INSERT INTO public.ecdc_import VALUES (19991, '16/04/2020', '16', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.01128709');
INSERT INTO public.ecdc_import VALUES (19992, '15/04/2020', '15', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (19993, '14/04/2020', '14', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (19994, '13/04/2020', '13', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (19995, '12/04/2020', '12', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (19996, '11/04/2020', '11', '4', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (19997, '10/04/2020', '10', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.12365232');
INSERT INTO public.ecdc_import VALUES (19998, '09/04/2020', '9', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.12365232');
INSERT INTO public.ecdc_import VALUES (19999, '08/04/2020', '8', '4', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.12365232');
INSERT INTO public.ecdc_import VALUES (20000, '07/04/2020', '7', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.12365232');
INSERT INTO public.ecdc_import VALUES (20001, '06/04/2020', '6', '4', '2020', '2', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (20002, '05/04/2020', '5', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.12365232');
INSERT INTO public.ecdc_import VALUES (20003, '04/04/2020', '4', '4', '2020', '5', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '1.23601755');
INSERT INTO public.ecdc_import VALUES (20004, '03/04/2020', '3', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.67419139');
INSERT INTO public.ecdc_import VALUES (20005, '02/04/2020', '2', '4', '2020', '2', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '0.78655662');
INSERT INTO public.ecdc_import VALUES (20006, '01/04/2020', '1', '4', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20007, '31/03/2020', '31', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20008, '30/03/2020', '30', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20009, '29/03/2020', '29', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20010, '28/03/2020', '28', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20011, '27/03/2020', '27', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20012, '26/03/2020', '26', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20013, '25/03/2020', '25', '3', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20014, '24/03/2020', '24', '3', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20015, '23/03/2020', '23', '3', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20016, '22/03/2020', '22', '3', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20017, '21/03/2020', '21', '3', '2020', '0', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20018, '20/03/2020', '20', '3', '2020', '1', '0', '889955', 'Fiji', 'FJ', 'FJI', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20019, '14/12/2020', '14', '12', '2020', '360', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '112.01686723');
INSERT INTO public.ecdc_import VALUES (20020, '13/12/2020', '13', '12', '2020', '377', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '111.32820181');
INSERT INTO public.ecdc_import VALUES (20021, '12/12/2020', '12', '12', '2020', '501', '11', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '114.30033678');
INSERT INTO public.ecdc_import VALUES (20022, '11/12/2020', '11', '12', '2020', '840', '9', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '116.42070135');
INSERT INTO public.ecdc_import VALUES (20023, '10/12/2020', '10', '12', '2020', '490', '8', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '110.18646704');
INSERT INTO public.ecdc_import VALUES (20024, '09/12/2020', '9', '12', '2020', '361', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '107.88487471');
INSERT INTO public.ecdc_import VALUES (20025, '08/12/2020', '8', '12', '2020', '250', '9', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '107.73989252');
INSERT INTO public.ecdc_import VALUES (20026, '07/12/2020', '7', '12', '2020', '413', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '108.59166291');
INSERT INTO public.ecdc_import VALUES (20027, '06/12/2020', '6', '12', '2020', '460', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '108.77289065');
INSERT INTO public.ecdc_import VALUES (20028, '05/12/2020', '5', '12', '2020', '316', '7', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '108.93599562');
INSERT INTO public.ecdc_import VALUES (20029, '04/12/2020', '4', '12', '2020', '560', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '111.56379787');
INSERT INTO public.ecdc_import VALUES (20030, '03/12/2020', '3', '12', '2020', '420', '9', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '107.77613807');
INSERT INTO public.ecdc_import VALUES (20031, '02/12/2020', '2', '12', '2020', '550', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '105.38393188');
INSERT INTO public.ecdc_import VALUES (20032, '01/12/2020', '1', '12', '2020', '283', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '99.54839859');
INSERT INTO public.ecdc_import VALUES (20033, '30/11/2020', '30', '11', '2020', '322', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '96.30442201');
INSERT INTO public.ecdc_import VALUES (20034, '29/11/2020', '29', '11', '2020', '541', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '94.32903963');
INSERT INTO public.ecdc_import VALUES (20035, '28/11/2020', '28', '11', '2020', '618', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '88.94657569');
INSERT INTO public.ecdc_import VALUES (20036, '27/11/2020', '27', '11', '2020', '496', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '83.47349789');
INSERT INTO public.ecdc_import VALUES (20037, '26/11/2020', '26', '11', '2020', '363', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '78.05478841');
INSERT INTO public.ecdc_import VALUES (20038, '25/11/2020', '25', '11', '2020', '353', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '75.78944164');
INSERT INTO public.ecdc_import VALUES (20039, '24/11/2020', '24', '11', '2020', '297', '9', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '73.37911267');
INSERT INTO public.ecdc_import VALUES (20040, '23/11/2020', '23', '11', '2020', '423', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '69.62769841');
INSERT INTO public.ecdc_import VALUES (20041, '22/11/2020', '22', '11', '2020', '469', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '69.4283479');
INSERT INTO public.ecdc_import VALUES (20042, '21/11/2020', '21', '11', '2020', '461', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '60.92876681');
INSERT INTO public.ecdc_import VALUES (20043, '20/11/2020', '20', '11', '2020', '351', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '57.39482584');
INSERT INTO public.ecdc_import VALUES (20044, '19/11/2020', '19', '11', '2020', '288', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '54.45893642');
INSERT INTO public.ecdc_import VALUES (20045, '18/11/2020', '18', '11', '2020', '228', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '54.54955029');
INSERT INTO public.ecdc_import VALUES (20046, '17/11/2020', '17', '11', '2020', '104', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '54.71265526');
INSERT INTO public.ecdc_import VALUES (20047, '16/11/2020', '16', '11', '2020', '213', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '54.80326913');
INSERT INTO public.ecdc_import VALUES (20048, '15/11/2020', '15', '11', '2020', '244', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '54.16897203');
INSERT INTO public.ecdc_import VALUES (20049, '14/11/2020', '14', '11', '2020', '316', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '53.42593829');
INSERT INTO public.ecdc_import VALUES (20050, '13/11/2020', '13', '11', '2020', '197', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '53.93337597');
INSERT INTO public.ecdc_import VALUES (20051, '12/11/2020', '12', '11', '2020', '238', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '53.770271');
INSERT INTO public.ecdc_import VALUES (20052, '11/11/2020', '11', '11', '2020', '220', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '53.3534472');
INSERT INTO public.ecdc_import VALUES (20053, '10/11/2020', '10', '11', '2020', '90', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.86413229');
INSERT INTO public.ecdc_import VALUES (20054, '09/11/2020', '9', '11', '2020', '412', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '53.44406107');
INSERT INTO public.ecdc_import VALUES (20055, '08/11/2020', '8', '11', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '49.52954184');
INSERT INTO public.ecdc_import VALUES (20056, '07/11/2020', '7', '11', '2020', '266', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.75539565');
INSERT INTO public.ecdc_import VALUES (20057, '06/11/2020', '6', '11', '2020', '189', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.90362526');
INSERT INTO public.ecdc_import VALUES (20058, '05/11/2020', '5', '11', '2020', '293', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.81301139');
INSERT INTO public.ecdc_import VALUES (20059, '04/11/2020', '4', '11', '2020', '237', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '50.52629442');
INSERT INTO public.ecdc_import VALUES (20060, '03/11/2020', '3', '11', '2020', '109', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.55929255');
INSERT INTO public.ecdc_import VALUES (20061, '02/11/2020', '2', '11', '2020', '178', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.95799358');
INSERT INTO public.ecdc_import VALUES (20062, '01/11/2020', '1', '11', '2020', '203', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.1062232');
INSERT INTO public.ecdc_import VALUES (20063, '31/10/2020', '31', '10', '2020', '344', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '50.32694391');
INSERT INTO public.ecdc_import VALUES (20064, '30/10/2020', '30', '10', '2020', '188', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '46.6117752');
INSERT INTO public.ecdc_import VALUES (20065, '29/10/2020', '29', '10', '2020', '215', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '48.47842094');
INSERT INTO public.ecdc_import VALUES (20066, '28/10/2020', '28', '10', '2020', '193', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '48.27907042');
INSERT INTO public.ecdc_import VALUES (20067, '27/10/2020', '27', '10', '2020', '122', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '49.9826112');
INSERT INTO public.ecdc_import VALUES (20068, '26/10/2020', '26', '10', '2020', '196', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.64990642');
INSERT INTO public.ecdc_import VALUES (20069, '25/10/2020', '25', '10', '2020', '178', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '50.79813604');
INSERT INTO public.ecdc_import VALUES (20070, '24/10/2020', '24', '10', '2020', '219', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.44730849');
INSERT INTO public.ecdc_import VALUES (20071, '23/10/2020', '23', '10', '2020', '184', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.73727287');
INSERT INTO public.ecdc_import VALUES (20072, '22/10/2020', '22', '10', '2020', '222', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '54.76702358');
INSERT INTO public.ecdc_import VALUES (20073, '21/10/2020', '21', '10', '2020', '294', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.91850062');
INSERT INTO public.ecdc_import VALUES (20074, '20/10/2020', '20', '10', '2020', '131', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '51.70427475');
INSERT INTO public.ecdc_import VALUES (20075, '19/10/2020', '19', '10', '2020', '131', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.30232629');
INSERT INTO public.ecdc_import VALUES (20076, '18/10/2020', '18', '10', '2020', '160', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '55.25633849');
INSERT INTO public.ecdc_import VALUES (20077, '17/10/2020', '17', '10', '2020', '139', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '53.08160558');
INSERT INTO public.ecdc_import VALUES (20078, '16/10/2020', '16', '10', '2020', '291', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '52.39294016');
INSERT INTO public.ecdc_import VALUES (20079, '15/10/2020', '15', '10', '2020', '204', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '49.13084081');
INSERT INTO public.ecdc_import VALUES (20080, '14/10/2020', '14', '10', '2020', '287', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '47.2460723');
INSERT INTO public.ecdc_import VALUES (20081, '13/10/2020', '13', '10', '2020', '214', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '44.90823443');
INSERT INTO public.ecdc_import VALUES (20082, '12/10/2020', '12', '10', '2020', '149', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '41.97234501');
INSERT INTO public.ecdc_import VALUES (20083, '11/10/2020', '11', '10', '2020', '269', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '41.17494294');
INSERT INTO public.ecdc_import VALUES (20084, '10/10/2020', '10', '10', '2020', '235', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '37.98533469');
INSERT INTO public.ecdc_import VALUES (20085, '09/10/2020', '9', '10', '2020', '296', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '35.62937404');
INSERT INTO public.ecdc_import VALUES (20086, '08/10/2020', '8', '10', '2020', '120', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '31.91420534');
INSERT INTO public.ecdc_import VALUES (20087, '07/10/2020', '7', '10', '2020', '227', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '31.42489043');
INSERT INTO public.ecdc_import VALUES (20088, '06/10/2020', '6', '10', '2020', '164', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '30.01131405');
INSERT INTO public.ecdc_import VALUES (20089, '05/10/2020', '5', '10', '2020', '294', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '28.23528218');
INSERT INTO public.ecdc_import VALUES (20090, '04/10/2020', '4', '10', '2020', '40', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '23.95830747');
INSERT INTO public.ecdc_import VALUES (20091, '03/10/2020', '3', '10', '2020', '101', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '24.39325405');
INSERT INTO public.ecdc_import VALUES (20092, '02/10/2020', '2', '10', '2020', '111', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '23.63209754');
INSERT INTO public.ecdc_import VALUES (20093, '01/10/2020', '1', '10', '2020', '100', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '22.50848554');
INSERT INTO public.ecdc_import VALUES (20094, '30/09/2020', '30', '9', '2020', '158', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '21.14927747');
INSERT INTO public.ecdc_import VALUES (20095, '29/09/2020', '29', '9', '2020', '52', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '20.06191102');
INSERT INTO public.ecdc_import VALUES (20096, '28/09/2020', '28', '9', '2020', '105', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '19.97129715');
INSERT INTO public.ecdc_import VALUES (20097, '27/09/2020', '27', '9', '2020', '93', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '18.48522967');
INSERT INTO public.ecdc_import VALUES (20098, '26/09/2020', '26', '9', '2020', '105', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '17.61533651');
INSERT INTO public.ecdc_import VALUES (20099, '25/09/2020', '25', '9', '2020', '91', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '16.49172451');
INSERT INTO public.ecdc_import VALUES (20100, '24/09/2020', '24', '9', '2020', '93', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '15.54934025');
INSERT INTO public.ecdc_import VALUES (20101, '23/09/2020', '23', '9', '2020', '149', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '15.54934025');
INSERT INTO public.ecdc_import VALUES (20102, '22/09/2020', '22', '9', '2020', '66', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '13.03027464');
INSERT INTO public.ecdc_import VALUES (20103, '21/09/2020', '21', '9', '2020', '58', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '12.48659141');
INSERT INTO public.ecdc_import VALUES (20104, '20/09/2020', '20', '9', '2020', '64', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.97915374');
INSERT INTO public.ecdc_import VALUES (20105, '19/09/2020', '19', '9', '2020', '59', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.47171606');
INSERT INTO public.ecdc_import VALUES (20106, '18/09/2020', '18', '9', '2020', '49', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '10.85554174');
INSERT INTO public.ecdc_import VALUES (20107, '17/09/2020', '17', '9', '2020', '25', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '10.67431399');
INSERT INTO public.ecdc_import VALUES (20108, '16/09/2020', '16', '9', '2020', '98', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '10.56557735');
INSERT INTO public.ecdc_import VALUES (20109, '15/09/2020', '15', '9', '2020', '47', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.80442083');
INSERT INTO public.ecdc_import VALUES (20110, '14/09/2020', '14', '9', '2020', '23', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.11575541');
INSERT INTO public.ecdc_import VALUES (20111, '13/09/2020', '13', '9', '2020', '45', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.20636929');
INSERT INTO public.ecdc_import VALUES (20112, '12/09/2020', '12', '9', '2020', '43', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '8.51770387');
INSERT INTO public.ecdc_import VALUES (20113, '11/09/2020', '11', '9', '2020', '39', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '8.15524838');
INSERT INTO public.ecdc_import VALUES (20114, '10/09/2020', '10', '9', '2020', '93', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.75654735');
INSERT INTO public.ecdc_import VALUES (20115, '09/09/2020', '9', '9', '2020', '10', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.45170761');
INSERT INTO public.ecdc_import VALUES (20116, '08/09/2020', '8', '9', '2020', '36', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.04975916');
INSERT INTO public.ecdc_import VALUES (20117, '07/09/2020', '7', '9', '2020', '30', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.72354922');
INSERT INTO public.ecdc_import VALUES (20118, '06/09/2020', '6', '9', '2020', '36', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.43358484');
INSERT INTO public.ecdc_import VALUES (20119, '05/09/2020', '5', '9', '2020', '25', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.41546206');
INSERT INTO public.ecdc_import VALUES (20120, '04/09/2020', '4', '9', '2020', '39', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.48795316');
INSERT INTO public.ecdc_import VALUES (20121, '03/09/2020', '3', '9', '2020', '19', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.45170761');
INSERT INTO public.ecdc_import VALUES (20122, '02/09/2020', '2', '9', '2020', '56', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.63293535');
INSERT INTO public.ecdc_import VALUES (20123, '01/09/2020', '1', '9', '2020', '9', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.05300658');
INSERT INTO public.ecdc_import VALUES (20124, '31/08/2020', '31', '8', '2020', '28', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.27047987');
INSERT INTO public.ecdc_import VALUES (20125, '30/08/2020', '30', '8', '2020', '7', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.96239271');
INSERT INTO public.ecdc_import VALUES (20126, '29/08/2020', '29', '8', '2020', '23', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.19798877');
INSERT INTO public.ecdc_import VALUES (20127, '28/08/2020', '28', '8', '2020', '17', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.08925213');
INSERT INTO public.ecdc_import VALUES (20128, '27/08/2020', '27', '8', '2020', '21', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.52419871');
INSERT INTO public.ecdc_import VALUES (20129, '26/08/2020', '26', '8', '2020', '43', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.48795316');
INSERT INTO public.ecdc_import VALUES (20130, '25/08/2020', '25', '8', '2020', '18', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.1073749');
INSERT INTO public.ecdc_import VALUES (20131, '24/08/2020', '24', '8', '2020', '14', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.08925213');
INSERT INTO public.ecdc_import VALUES (20132, '23/08/2020', '23', '8', '2020', '35', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.12549767');
INSERT INTO public.ecdc_import VALUES (20133, '22/08/2020', '22', '8', '2020', '29', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.74491942');
INSERT INTO public.ecdc_import VALUES (20134, '21/08/2020', '21', '8', '2020', '37', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.61806');
INSERT INTO public.ecdc_import VALUES (20135, '20/08/2020', '20', '8', '2020', '29', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.30997284');
INSERT INTO public.ecdc_import VALUES (20136, '19/08/2020', '19', '8', '2020', '24', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.30997284');
INSERT INTO public.ecdc_import VALUES (20137, '18/08/2020', '18', '8', '2020', '21', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.18311342');
INSERT INTO public.ecdc_import VALUES (20138, '17/08/2020', '17', '8', '2020', '11', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.03813122');
INSERT INTO public.ecdc_import VALUES (20139, '16/08/2020', '16', '8', '2020', '20', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.02000845');
INSERT INTO public.ecdc_import VALUES (20140, '15/08/2020', '15', '8', '2020', '17', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.85690348');
INSERT INTO public.ecdc_import VALUES (20141, '14/08/2020', '14', '8', '2020', '41', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.71192129');
INSERT INTO public.ecdc_import VALUES (20142, '13/08/2020', '13', '8', '2020', '19', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.13199251');
INSERT INTO public.ecdc_import VALUES (20143, '12/08/2020', '12', '8', '2020', '22', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.96888755');
INSERT INTO public.ecdc_import VALUES (20144, '11/08/2020', '11', '8', '2020', '17', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.67892316');
INSERT INTO public.ecdc_import VALUES (20145, '10/08/2020', '10', '8', '2020', '16', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.46144987');
INSERT INTO public.ecdc_import VALUES (20146, '09/08/2020', '9', '8', '2020', '14', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.26209935');
INSERT INTO public.ecdc_import VALUES (20147, '08/08/2020', '8', '8', '2020', '22', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.15336271');
INSERT INTO public.ecdc_import VALUES (20148, '07/08/2020', '7', '8', '2020', '20', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.89964387');
INSERT INTO public.ecdc_import VALUES (20149, '06/08/2020', '6', '8', '2020', '29', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.71841613');
INSERT INTO public.ecdc_import VALUES (20150, '05/08/2020', '5', '8', '2020', '17', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.39220619');
INSERT INTO public.ecdc_import VALUES (20151, '04/08/2020', '4', '8', '2020', '13', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.28346955');
INSERT INTO public.ecdc_import VALUES (20152, '03/08/2020', '3', '8', '2020', '10', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.08411903');
INSERT INTO public.ecdc_import VALUES (20153, '02/08/2020', '2', '8', '2020', '11', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.26534677');
INSERT INTO public.ecdc_import VALUES (20154, '01/08/2020', '1', '8', '2020', '9', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.37408342');
INSERT INTO public.ecdc_import VALUES (20155, '31/07/2020', '31', '7', '2020', '9', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.35596064');
INSERT INTO public.ecdc_import VALUES (20156, '30/07/2020', '30', '7', '2020', '10', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.19285568');
INSERT INTO public.ecdc_import VALUES (20157, '29/07/2020', '29', '7', '2020', '6', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.01162793');
INSERT INTO public.ecdc_import VALUES (20158, '28/07/2020', '28', '7', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.90289129');
INSERT INTO public.ecdc_import VALUES (20159, '27/07/2020', '27', '7', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.83040019');
INSERT INTO public.ecdc_import VALUES (20160, '26/07/2020', '26', '7', '2020', '8', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.77603187');
INSERT INTO public.ecdc_import VALUES (20161, '25/07/2020', '25', '7', '2020', '8', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.63104968');
INSERT INTO public.ecdc_import VALUES (20162, '24/07/2020', '24', '7', '2020', '10', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.54043581');
INSERT INTO public.ecdc_import VALUES (20163, '23/07/2020', '23', '7', '2020', '11', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.43169916');
INSERT INTO public.ecdc_import VALUES (20164, '22/07/2020', '22', '7', '2020', '11', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.35920806');
INSERT INTO public.ecdc_import VALUES (20165, '21/07/2020', '21', '7', '2020', '2', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.17798032');
INSERT INTO public.ecdc_import VALUES (20166, '20/07/2020', '20', '7', '2020', '20', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.1961031');
INSERT INTO public.ecdc_import VALUES (20167, '19/07/2020', '19', '7', '2020', '17', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.86989316');
INSERT INTO public.ecdc_import VALUES (20168, '18/07/2020', '18', '7', '2020', '8', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.57992877');
INSERT INTO public.ecdc_import VALUES (20169, '17/07/2020', '17', '7', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.94238426');
INSERT INTO public.ecdc_import VALUES (20170, '16/07/2020', '16', '7', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.03299813');
INSERT INTO public.ecdc_import VALUES (20171, '15/07/2020', '15', '7', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.43169916');
INSERT INTO public.ecdc_import VALUES (20172, '14/07/2020', '14', '7', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.52231303');
INSERT INTO public.ecdc_import VALUES (20173, '13/07/2020', '13', '7', '2020', '2', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.83040019');
INSERT INTO public.ecdc_import VALUES (20174, '12/07/2020', '12', '7', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.79415464');
INSERT INTO public.ecdc_import VALUES (20175, '11/07/2020', '11', '7', '2020', '3', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.79415464');
INSERT INTO public.ecdc_import VALUES (20176, '10/07/2020', '10', '7', '2020', '4', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.08411903');
INSERT INTO public.ecdc_import VALUES (20177, '09/07/2020', '9', '7', '2020', '7', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.10224181');
INSERT INTO public.ecdc_import VALUES (20178, '08/07/2020', '8', '7', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.19285568');
INSERT INTO public.ecdc_import VALUES (20179, '07/07/2020', '7', '7', '2020', '3', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.37408342');
INSERT INTO public.ecdc_import VALUES (20180, '06/07/2020', '6', '7', '2020', '2', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.33783787');
INSERT INTO public.ecdc_import VALUES (20181, '05/07/2020', '5', '7', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.3197151');
INSERT INTO public.ecdc_import VALUES (20182, '04/07/2020', '4', '7', '2020', '28', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.46469729');
INSERT INTO public.ecdc_import VALUES (20183, '03/07/2020', '3', '7', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.247224');
INSERT INTO public.ecdc_import VALUES (20184, '02/07/2020', '2', '7', '2020', '22', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.15661013');
INSERT INTO public.ecdc_import VALUES (20185, '01/07/2020', '1', '7', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.84852297');
INSERT INTO public.ecdc_import VALUES (20186, '30/06/2020', '30', '6', '2020', '18', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.83040019');
INSERT INTO public.ecdc_import VALUES (20187, '29/06/2020', '29', '6', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.57668135');
INSERT INTO public.ecdc_import VALUES (20188, '28/06/2020', '28', '6', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.88476852');
INSERT INTO public.ecdc_import VALUES (20189, '27/06/2020', '27', '6', '2020', '19', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.13848735');
INSERT INTO public.ecdc_import VALUES (20190, '26/06/2020', '26', '6', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.95725961');
INSERT INTO public.ecdc_import VALUES (20191, '25/06/2020', '25', '6', '2020', '12', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.30159232');
INSERT INTO public.ecdc_import VALUES (20192, '24/06/2020', '24', '6', '2020', '11', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.35596064');
INSERT INTO public.ecdc_import VALUES (20193, '23/06/2020', '23', '6', '2020', '1', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.59155671');
INSERT INTO public.ecdc_import VALUES (20194, '22/06/2020', '22', '6', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.93588942');
INSERT INTO public.ecdc_import VALUES (20195, '21/06/2020', '21', '6', '2020', '9', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.2258538');
INSERT INTO public.ecdc_import VALUES (20196, '20/06/2020', '20', '6', '2020', '16', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.47957264');
INSERT INTO public.ecdc_import VALUES (20197, '19/06/2020', '19', '6', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.73329148');
INSERT INTO public.ecdc_import VALUES (20198, '18/06/2020', '18', '6', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.73329148');
INSERT INTO public.ecdc_import VALUES (20199, '17/06/2020', '17', '6', '2020', '4', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.07762419');
INSERT INTO public.ecdc_import VALUES (20200, '16/06/2020', '16', '6', '2020', '4', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.04137864');
INSERT INTO public.ecdc_import VALUES (20201, '15/06/2020', '15', '6', '2020', '17', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.44007967');
INSERT INTO public.ecdc_import VALUES (20202, '14/06/2020', '14', '6', '2020', '14', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.73004406');
INSERT INTO public.ecdc_import VALUES (20203, '13/06/2020', '13', '6', '2020', '9', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.38246393');
INSERT INTO public.ecdc_import VALUES (20204, '12/06/2020', '12', '6', '2020', '24', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.81741051');
INSERT INTO public.ecdc_import VALUES (20205, '11/06/2020', '11', '6', '2020', '15', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.30672542');
INSERT INTO public.ecdc_import VALUES (20206, '10/06/2020', '10', '6', '2020', '24', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.19474135');
INSERT INTO public.ecdc_import VALUES (20207, '09/06/2020', '9', '6', '2020', '20', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.28535522');
INSERT INTO public.ecdc_import VALUES (20208, '08/06/2020', '8', '6', '2020', '17', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.28535522');
INSERT INTO public.ecdc_import VALUES (20209, '07/06/2020', '7', '6', '2020', '23', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.17661858');
INSERT INTO public.ecdc_import VALUES (20210, '06/06/2020', '6', '6', '2020', '30', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.32160077');
INSERT INTO public.ecdc_import VALUES (20211, '05/06/2020', '5', '6', '2020', '0', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.57531961');
INSERT INTO public.ecdc_import VALUES (20212, '04/06/2020', '4', '6', '2020', '24', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '8.48145832');
INSERT INTO public.ecdc_import VALUES (20213, '03/06/2020', '3', '6', '2020', '2', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '8.8439138');
INSERT INTO public.ecdc_import VALUES (20214, '02/06/2020', '2', '6', '2020', '26', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.15200096');
INSERT INTO public.ecdc_import VALUES (20215, '01/06/2020', '1', '6', '2020', '33', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.27886038');
INSERT INTO public.ecdc_import VALUES (20216, '31/05/2020', '31', '5', '2020', '50', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.78629806');
INSERT INTO public.ecdc_import VALUES (20217, '30/05/2020', '30', '5', '2020', '33', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.93128025');
INSERT INTO public.ecdc_import VALUES (20218, '29/05/2020', '29', '5', '2020', '51', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '10.83741896');
INSERT INTO public.ecdc_import VALUES (20219, '28/05/2020', '28', '5', '2020', '64', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.56232993');
INSERT INTO public.ecdc_import VALUES (20220, '27/05/2020', '27', '5', '2020', '29', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.32673386');
INSERT INTO public.ecdc_import VALUES (20221, '26/05/2020', '26', '5', '2020', '20', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.14550612');
INSERT INTO public.ecdc_import VALUES (20222, '25/05/2020', '25', '5', '2020', '11', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.18175167');
INSERT INTO public.ecdc_import VALUES (20223, '24/05/2020', '24', '5', '2020', '31', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '12.46846864');
INSERT INTO public.ecdc_import VALUES (20224, '23/05/2020', '23', '5', '2020', '44', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '14.48009657');
INSERT INTO public.ecdc_import VALUES (20225, '22/05/2020', '22', '5', '2020', '50', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '14.86067483');
INSERT INTO public.ecdc_import VALUES (20226, '21/05/2020', '21', '5', '2020', '44', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '15.76681354');
INSERT INTO public.ecdc_import VALUES (20227, '20/05/2020', '20', '5', '2020', '19', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '17.88717812');
INSERT INTO public.ecdc_import VALUES (20228, '19/05/2020', '19', '5', '2020', '33', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '19.08328122');
INSERT INTO public.ecdc_import VALUES (20229, '18/05/2020', '18', '5', '2020', '61', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '19.80819218');
INSERT INTO public.ecdc_import VALUES (20230, '17/05/2020', '17', '5', '2020', '58', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '20.06191102');
INSERT INTO public.ecdc_import VALUES (20231, '16/05/2020', '16', '5', '2020', '83', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '21.33050521');
INSERT INTO public.ecdc_import VALUES (20232, '15/05/2020', '15', '5', '2020', '91', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '20.84119031');
INSERT INTO public.ecdc_import VALUES (20233, '14/05/2020', '14', '5', '2020', '51', '9', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '20.80494476');
INSERT INTO public.ecdc_import VALUES (20234, '13/05/2020', '13', '5', '2020', '19', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '22.88906379');
INSERT INTO public.ecdc_import VALUES (20235, '12/05/2020', '12', '5', '2020', '22', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '23.36025592');
INSERT INTO public.ecdc_import VALUES (20236, '11/05/2020', '11', '5', '2020', '82', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '25.11816502');
INSERT INTO public.ecdc_import VALUES (20237, '10/05/2020', '10', '5', '2020', '142', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '25.46249773');
INSERT INTO public.ecdc_import VALUES (20238, '09/05/2020', '9', '5', '2020', '65', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '24.33888573');
INSERT INTO public.ecdc_import VALUES (20239, '08/05/2020', '8', '5', '2020', '100', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '25.17253334');
INSERT INTO public.ecdc_import VALUES (20240, '07/05/2020', '7', '5', '2020', '161', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '26.16928592');
INSERT INTO public.ecdc_import VALUES (20241, '06/05/2020', '6', '5', '2020', '85', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '25.33563831');
INSERT INTO public.ecdc_import VALUES (20242, '05/05/2020', '5', '5', '2020', '73', '10', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '26.44112753');
INSERT INTO public.ecdc_import VALUES (20243, '04/05/2020', '4', '5', '2020', '75', '10', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '26.65860082');
INSERT INTO public.ecdc_import VALUES (20244, '03/05/2020', '3', '5', '2020', '128', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '27.14791573');
INSERT INTO public.ecdc_import VALUES (20245, '02/05/2020', '2', '5', '2020', '56', '7', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '28.30777327');
INSERT INTO public.ecdc_import VALUES (20246, '01/05/2020', '1', '5', '2020', '89', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.46763082');
INSERT INTO public.ecdc_import VALUES (20247, '30/04/2020', '30', '4', '2020', '166', '7', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '30.24691011');
INSERT INTO public.ecdc_import VALUES (20248, '29/04/2020', '29', '4', '2020', '45', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '28.61586044');
INSERT INTO public.ecdc_import VALUES (20249, '28/04/2020', '28', '4', '2020', '119', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.55824469');
INSERT INTO public.ecdc_import VALUES (20250, '27/04/2020', '27', '4', '2020', '101', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.03268424');
INSERT INTO public.ecdc_import VALUES (20251, '26/04/2020', '26', '4', '2020', '80', '9', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '28.45275547');
INSERT INTO public.ecdc_import VALUES (20252, '25/04/2020', '25', '4', '2020', '111', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.46763082');
INSERT INTO public.ecdc_import VALUES (20253, '24/04/2020', '24', '4', '2020', '155', '23', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '30.42813785');
INSERT INTO public.ecdc_import VALUES (20254, '23/04/2020', '23', '4', '2020', '115', '8', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.75759521');
INSERT INTO public.ecdc_import VALUES (20255, '22/04/2020', '22', '4', '2020', '146', '43', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '30.91745276');
INSERT INTO public.ecdc_import VALUES (20256, '21/04/2020', '21', '4', '2020', '85', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '30.66373392');
INSERT INTO public.ecdc_import VALUES (20257, '20/04/2020', '20', '4', '2020', '102', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '33.63586888');
INSERT INTO public.ecdc_import VALUES (20258, '19/04/2020', '19', '4', '2020', '192', '8', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '32.60287076');
INSERT INTO public.ecdc_import VALUES (20259, '18/04/2020', '18', '4', '2020', '120', '7', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '33.96207882');
INSERT INTO public.ecdc_import VALUES (20260, '17/04/2020', '17', '4', '2020', '132', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '33.54525501');
INSERT INTO public.ecdc_import VALUES (20261, '16/04/2020', '16', '4', '2020', '76', '8', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '32.45788856');
INSERT INTO public.ecdc_import VALUES (20262, '15/04/2020', '15', '4', '2020', '97', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '32.20416972');
INSERT INTO public.ecdc_import VALUES (20263, '14/04/2020', '14', '4', '2020', '90', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '31.7329776');
INSERT INTO public.ecdc_import VALUES (20264, '13/04/2020', '13', '4', '2020', '69', '7', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '31.82359147');
INSERT INTO public.ecdc_import VALUES (20265, '12/04/2020', '12', '4', '2020', '136', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '30.57312005');
INSERT INTO public.ecdc_import VALUES (20266, '11/04/2020', '11', '4', '2020', '164', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '31.60611818');
INSERT INTO public.ecdc_import VALUES (20267, '10/04/2020', '10', '4', '2020', '118', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.84820908');
INSERT INTO public.ecdc_import VALUES (20268, '09/04/2020', '9', '4', '2020', '179', '6', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '29.12329811');
INSERT INTO public.ecdc_import VALUES (20269, '08/04/2020', '8', '4', '2020', '132', '7', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '27.47412566');
INSERT INTO public.ecdc_import VALUES (20270, '07/04/2020', '7', '4', '2020', '249', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '26.74921469');
INSERT INTO public.ecdc_import VALUES (20271, '06/04/2020', '6', '4', '2020', '45', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '23.57772921');
INSERT INTO public.ecdc_import VALUES (20272, '05/04/2020', '5', '4', '2020', '267', '5', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '24.66509566');
INSERT INTO public.ecdc_import VALUES (20273, '04/04/2020', '4', '4', '2020', '97', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '21.11303192');
INSERT INTO public.ecdc_import VALUES (20274, '03/04/2020', '3', '4', '2020', '72', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '20.26126154');
INSERT INTO public.ecdc_import VALUES (20275, '02/04/2020', '2', '4', '2020', '62', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '19.5182278');
INSERT INTO public.ecdc_import VALUES (20276, '01/04/2020', '1', '4', '2020', '71', '4', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '19.30075451');
INSERT INTO public.ecdc_import VALUES (20277, '31/03/2020', '31', '3', '2020', '95', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '18.86580793');
INSERT INTO public.ecdc_import VALUES (20278, '30/03/2020', '30', '3', '2020', '0', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '17.23475825');
INSERT INTO public.ecdc_import VALUES (20279, '29/03/2020', '29', '3', '2020', '193', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '18.26775638');
INSERT INTO public.ecdc_import VALUES (20280, '28/03/2020', '28', '3', '2020', '67', '3', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '15.25937586');
INSERT INTO public.ecdc_import VALUES (20281, '27/03/2020', '27', '3', '2020', '78', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '14.55258767');
INSERT INTO public.ecdc_import VALUES (20282, '26/03/2020', '26', '3', '2020', '88', '2', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '14.8787976');
INSERT INTO public.ecdc_import VALUES (20283, '25/03/2020', '25', '3', '2020', '92', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '13.62832619');
INSERT INTO public.ecdc_import VALUES (20284, '24/03/2020', '24', '3', '2020', '74', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '12.1422587');
INSERT INTO public.ecdc_import VALUES (20285, '23/03/2020', '23', '3', '2020', '105', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '11.00052393');
INSERT INTO public.ecdc_import VALUES (20286, '22/03/2020', '22', '3', '2020', '71', '1', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '9.22449206');
INSERT INTO public.ecdc_import VALUES (20287, '21/03/2020', '21', '3', '2020', '50', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '8.02838896');
INSERT INTO public.ecdc_import VALUES (20288, '20/03/2020', '20', '3', '2020', '31', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '7.14037303');
INSERT INTO public.ecdc_import VALUES (20289, '19/03/2020', '19', '3', '2020', '50', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '6.63293535');
INSERT INTO public.ecdc_import VALUES (20290, '18/03/2020', '18', '3', '2020', '47', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '5.72679664');
INSERT INTO public.ecdc_import VALUES (20291, '17/03/2020', '17', '3', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.89314903');
INSERT INTO public.ecdc_import VALUES (20292, '16/03/2020', '16', '3', '2020', '57', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '4.80253516');
INSERT INTO public.ecdc_import VALUES (20293, '15/03/2020', '15', '3', '2020', '27', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.7876598');
INSERT INTO public.ecdc_import VALUES (20294, '14/03/2020', '14', '3', '2020', '28', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '3.2983449');
INSERT INTO public.ecdc_import VALUES (20295, '13/03/2020', '13', '3', '2020', '96', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '2.79090722');
INSERT INTO public.ecdc_import VALUES (20296, '12/03/2020', '12', '3', '2020', '19', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '1.0511209');
INSERT INTO public.ecdc_import VALUES (20297, '10/03/2020', '10', '3', '2020', '10', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.70678819');
INSERT INTO public.ecdc_import VALUES (20298, '09/03/2020', '9', '3', '2020', '11', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.52556045');
INSERT INTO public.ecdc_import VALUES (20299, '07/03/2020', '7', '3', '2020', '7', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.32620994');
INSERT INTO public.ecdc_import VALUES (20300, '06/03/2020', '6', '3', '2020', '5', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.19935052');
INSERT INTO public.ecdc_import VALUES (20301, '04/03/2020', '4', '3', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.10873665');
INSERT INTO public.ecdc_import VALUES (20302, '02/03/2020', '2', '3', '2020', '3', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.09061387');
INSERT INTO public.ecdc_import VALUES (20303, '01/03/2020', '1', '3', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.03624555');
INSERT INTO public.ecdc_import VALUES (20304, '29/02/2020', '29', '2', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.03624555');
INSERT INTO public.ecdc_import VALUES (20305, '28/02/2020', '28', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20306, '27/02/2020', '27', '2', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20307, '26/02/2020', '26', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20308, '25/02/2020', '25', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20309, '24/02/2020', '24', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20310, '23/02/2020', '23', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20311, '22/02/2020', '22', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20312, '21/02/2020', '21', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20313, '20/02/2020', '20', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20314, '19/02/2020', '19', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20315, '18/02/2020', '18', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20316, '17/02/2020', '17', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20317, '16/02/2020', '16', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20318, '15/02/2020', '15', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20319, '14/02/2020', '14', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20320, '13/02/2020', '13', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20321, '12/02/2020', '12', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20322, '11/02/2020', '11', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20323, '10/02/2020', '10', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20324, '09/02/2020', '9', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20325, '08/02/2020', '8', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20326, '07/02/2020', '7', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20327, '06/02/2020', '6', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20328, '05/02/2020', '5', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20329, '04/02/2020', '4', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20330, '03/02/2020', '3', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20331, '02/02/2020', '2', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20332, '01/02/2020', '1', '2', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20333, '31/01/2020', '31', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20334, '30/01/2020', '30', '1', '2020', '1', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0.01812277');
INSERT INTO public.ecdc_import VALUES (20335, '29/01/2020', '29', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20336, '28/01/2020', '28', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20337, '27/01/2020', '27', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20338, '26/01/2020', '26', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20339, '25/01/2020', '25', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20340, '24/01/2020', '24', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20341, '23/01/2020', '23', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20342, '22/01/2020', '22', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20343, '21/01/2020', '21', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20344, '20/01/2020', '20', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20345, '19/01/2020', '19', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20346, '18/01/2020', '18', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20347, '17/01/2020', '17', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20348, '16/01/2020', '16', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20349, '15/01/2020', '15', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20350, '14/01/2020', '14', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20351, '13/01/2020', '13', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20352, '12/01/2020', '12', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20353, '11/01/2020', '11', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20354, '10/01/2020', '10', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20355, '09/01/2020', '9', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20356, '08/01/2020', '8', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20357, '07/01/2020', '7', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20358, '06/01/2020', '6', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20359, '05/01/2020', '5', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20360, '04/01/2020', '4', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20361, '03/01/2020', '3', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20362, '02/01/2020', '2', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20363, '01/01/2020', '1', '1', '2020', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20364, '31/12/2019', '31', '12', '2019', '0', '0', '5517919', 'Finland', 'FI', 'FIN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20365, '14/12/2020', '14', '12', '2020', '11533', '150', '67012883', 'France', 'FR', 'FRA', 'Europe', '236.32620014');
INSERT INTO public.ecdc_import VALUES (20366, '13/12/2020', '13', '12', '2020', '13947', '194', '67012883', 'France', 'FR', 'FRA', 'Europe', '233.71625423');
INSERT INTO public.ecdc_import VALUES (20367, '12/12/2020', '12', '12', '2020', '13406', '627', '67012883', 'France', 'FR', 'FRA', 'Europe', '231.55696793');
INSERT INTO public.ecdc_import VALUES (20368, '11/12/2020', '11', '12', '2020', '13750', '292', '67012883', 'France', 'FR', 'FRA', 'Europe', '230.26318686');
INSERT INTO public.ecdc_import VALUES (20369, '10/12/2020', '10', '12', '2020', '14595', '296', '67012883', 'France', 'FR', 'FRA', 'Europe', '229.98413604');
INSERT INTO public.ecdc_import VALUES (20370, '09/12/2020', '9', '12', '2020', '13713', '831', '67012883', 'France', 'FR', 'FRA', 'Europe', '232.50156242');
INSERT INTO public.ecdc_import VALUES (20371, '08/12/2020', '8', '12', '2020', '3411', '366', '67012883', 'France', 'FR', 'FRA', 'Europe', '225.6998852');
INSERT INTO public.ecdc_import VALUES (20372, '07/12/2020', '7', '12', '2020', '11022', '174', '67012883', 'France', 'FR', 'FRA', 'Europe', '227.25331784');
INSERT INTO public.ecdc_import VALUES (20373, '06/12/2020', '6', '12', '2020', '12923', '214', '67012883', 'France', 'FR', 'FRA', 'Europe', '230.4392724');
INSERT INTO public.ecdc_import VALUES (20374, '05/12/2020', '5', '12', '2020', '11221', '627', '67012883', 'France', 'FR', 'FRA', 'Europe', '237.83784978');
INSERT INTO public.ecdc_import VALUES (20375, '04/12/2020', '4', '12', '2020', '12696', '324', '67012883', 'France', 'FR', 'FRA', 'Europe', '255.23898144');
INSERT INTO public.ecdc_import VALUES (20376, '03/12/2020', '3', '12', '2020', '14064', '310', '67012883', 'France', 'FR', 'FRA', 'Europe', '267.85446613');
INSERT INTO public.ecdc_import VALUES (20377, '02/12/2020', '2', '12', '2020', '8083', '775', '67012883', 'France', 'FR', 'FRA', 'Europe', '289.2219993');
INSERT INTO public.ecdc_import VALUES (20378, '01/12/2020', '1', '12', '2020', '4005', '406', '67012883', 'France', 'FR', 'FRA', 'Europe', '345.09036121');
INSERT INTO public.ecdc_import VALUES (20379, '30/11/2020', '30', '11', '2020', '9784', '198', '67012883', 'France', 'FR', 'FRA', 'Europe', '353.1500055');
INSERT INTO public.ecdc_import VALUES (20380, '29/11/2020', '29', '11', '2020', '12500', '213', '67012883', 'France', 'FR', 'FRA', 'Europe', '379.1808211');
INSERT INTO public.ecdc_import VALUES (20381, '28/11/2020', '28', '11', '2020', '12539', '957', '67012883', 'France', 'FR', 'FRA', 'Europe', '408.42146726');
INSERT INTO public.ecdc_import VALUES (20382, '27/11/2020', '27', '11', '2020', '13563', '339', '67012883', 'France', 'FR', 'FRA', 'Europe', '425.21674526');
INSERT INTO public.ecdc_import VALUES (20383, '26/11/2020', '26', '11', '2020', '16282', '381', '67012883', 'France', 'FR', 'FRA', 'Europe', '454.47828293');
INSERT INTO public.ecdc_import VALUES (20384, '25/11/2020', '25', '11', '2020', '9155', '1005', '67012883', 'France', 'FR', 'FRA', 'Europe', '483.72191359');
INSERT INTO public.ecdc_import VALUES (20385, '24/11/2020', '24', '11', '2020', '4452', '500', '67012883', 'France', 'FR', 'FRA', 'Europe', '503.15847477');
INSERT INTO public.ecdc_import VALUES (20386, '23/11/2020', '23', '11', '2020', '13157', '214', '67012883', 'France', 'FR', 'FRA', 'Europe', '526.59128246');
INSERT INTO public.ecdc_import VALUES (20387, '22/11/2020', '22', '11', '2020', '17881', '253', '67012883', 'France', 'FR', 'FRA', 'Europe', '564.58696158');
INSERT INTO public.ecdc_import VALUES (20388, '21/11/2020', '21', '11', '2020', '22882', '1138', '67012883', 'France', 'FR', 'FRA', 'Europe', '667.50896242');
INSERT INTO public.ecdc_import VALUES (20389, '20/11/2020', '20', '11', '2020', '21150', '429', '67012883', 'France', 'FR', 'FRA', 'Europe', '723.62354564');
INSERT INTO public.ecdc_import VALUES (20390, '19/11/2020', '19', '11', '2020', '28383', '425', '67012883', 'France', 'FR', 'FRA', 'Europe', '778.68161559');
INSERT INTO public.ecdc_import VALUES (20391, '18/11/2020', '18', '11', '2020', '45522', '1219', '67012883', 'France', 'FR', 'FRA', 'Europe', '796.84976395');
INSERT INTO public.ecdc_import VALUES (20392, '17/11/2020', '17', '11', '2020', '9406', '506', '67012883', 'France', 'FR', 'FRA', 'Europe', '783.13299847');
INSERT INTO public.ecdc_import VALUES (20393, '16/11/2020', '16', '11', '2020', '27228', '302', '67012883', 'France', 'FR', 'FRA', 'Europe', '847.46689678');
INSERT INTO public.ecdc_import VALUES (20394, '15/11/2020', '15', '11', '2020', '32095', '354', '67012883', 'France', 'FR', 'FRA', 'Europe', '880.38892462');
INSERT INTO public.ecdc_import VALUES (20395, '14/11/2020', '14', '11', '2020', '23794', '932', '67012883', 'France', 'FR', 'FRA', 'Europe', '881.20369333');
INSERT INTO public.ecdc_import VALUES (20396, '13/11/2020', '13', '11', '2020', '33172', '425', '67012883', 'France', 'FR', 'FRA', 'Europe', '919.13819019');
INSERT INTO public.ecdc_import VALUES (20397, '12/11/2020', '12', '11', '2020', '35879', '328', '67012883', 'France', 'FR', 'FRA', 'Europe', '940.72359191');
INSERT INTO public.ecdc_import VALUES (20398, '11/11/2020', '11', '11', '2020', '22180', '1220', '67012883', 'France', 'FR', 'FRA', 'Europe', '941.55626762');
INSERT INTO public.ecdc_import VALUES (20399, '10/11/2020', '10', '11', '2020', '20155', '548', '67012883', 'France', 'FR', 'FRA', 'Europe', '958.32468512');
INSERT INTO public.ecdc_import VALUES (20400, '09/11/2020', '9', '11', '2020', '38619', '270', '67012883', 'France', 'FR', 'FRA', 'Europe', '968.19741362');
INSERT INTO public.ecdc_import VALUES (20401, '08/11/2020', '8', '11', '2020', '86852', '304', '67012883', 'France', 'FR', 'FRA', 'Europe', '988.18013844');
INSERT INTO public.ecdc_import VALUES (20402, '07/11/2020', '7', '11', '2020', '60486', '828', '67012883', 'France', 'FR', 'FRA', 'Europe', '926.35620527');
INSERT INTO public.ecdc_import VALUES (20403, '06/11/2020', '6', '11', '2020', '58046', '363', '67012883', 'France', 'FR', 'FRA', 'Europe', '898.81821679');
INSERT INTO public.ecdc_import VALUES (20404, '05/11/2020', '5', '11', '2020', '40558', '385', '67012883', 'France', 'FR', 'FRA', 'Europe', '874.30949658');
INSERT INTO public.ecdc_import VALUES (20405, '04/11/2020', '4', '11', '2020', '36330', '854', '67012883', 'France', 'FR', 'FRA', 'Europe', '853.59407683');
INSERT INTO public.ecdc_import VALUES (20406, '03/11/2020', '3', '11', '2020', '52518', '416', '67012883', 'France', 'FR', 'FRA', 'Europe', '829.92400133');
INSERT INTO public.ecdc_import VALUES (20407, '02/11/2020', '2', '11', '2020', '49290', '231', '67012883', 'France', 'FR', 'FRA', 'Europe', '771.31586773');
INSERT INTO public.ecdc_import VALUES (20408, '01/11/2020', '1', '11', '2020', '32641', '223', '67012883', 'France', 'FR', 'FRA', 'Europe', '742.28712112');
INSERT INTO public.ecdc_import VALUES (20409, '31/10/2020', '31', '10', '2020', '49215', '545', '67012883', 'France', 'FR', 'FRA', 'Europe', '741.96777954');
INSERT INTO public.ecdc_import VALUES (20410, '30/10/2020', '30', '10', '2020', '47637', '235', '67012883', 'France', 'FR', 'FRA', 'Europe', '705.96127016');
INSERT INTO public.ecdc_import VALUES (20411, '29/10/2020', '29', '10', '2020', '36437', '244', '67012883', 'France', 'FR', 'FRA', 'Europe', '680.56913773');
INSERT INTO public.ecdc_import VALUES (20412, '28/10/2020', '28', '10', '2020', '33417', '523', '67012883', 'France', 'FR', 'FRA', 'Europe', '659.90743899');
INSERT INTO public.ecdc_import VALUES (20413, '27/10/2020', '27', '10', '2020', '26771', '257', '67012883', 'France', 'FR', 'FRA', 'Europe', '629.42971727');
INSERT INTO public.ecdc_import VALUES (20414, '26/10/2020', '26', '10', '2020', '52010', '116', '67012883', 'France', 'FR', 'FRA', 'Europe', '602.17227186');
INSERT INTO public.ecdc_import VALUES (20415, '25/10/2020', '25', '10', '2020', '45422', '137', '67012883', 'France', 'FR', 'FRA', 'Europe', '548.58705303');
INSERT INTO public.ecdc_import VALUES (20416, '24/10/2020', '24', '10', '2020', '42032', '298', '67012883', 'France', 'FR', 'FRA', 'Europe', '520.94162252');
INSERT INTO public.ecdc_import VALUES (20417, '23/10/2020', '23', '10', '2020', '41622', '162', '67012883', 'France', 'FR', 'FRA', 'Europe', '488.57023507');
INSERT INTO public.ecdc_import VALUES (20418, '22/10/2020', '22', '10', '2020', '26676', '163', '67012883', 'France', 'FR', 'FRA', 'Europe', '453.51279693');
INSERT INTO public.ecdc_import VALUES (20419, '21/10/2020', '21', '10', '2020', '20468', '262', '67012883', 'France', 'FR', 'FRA', 'Europe', '441.67925144');
INSERT INTO public.ecdc_import VALUES (20420, '20/10/2020', '20', '10', '2020', '13243', '146', '67012883', 'France', 'FR', 'FRA', 'Europe', '426.78808491');
INSERT INTO public.ecdc_import VALUES (20421, '19/10/2020', '19', '10', '2020', '29837', '85', '67012883', 'France', 'FR', 'FRA', 'Europe', '414.64265908');
INSERT INTO public.ecdc_import VALUES (20422, '18/10/2020', '18', '10', '2020', '32427', '89', '67012883', 'France', 'FR', 'FRA', 'Europe', '388.83866554');
INSERT INTO public.ecdc_import VALUES (20423, '17/10/2020', '17', '10', '2020', '25086', '178', '67012883', 'France', 'FR', 'FRA', 'Europe', '365.77593595');
INSERT INTO public.ecdc_import VALUES (20424, '16/10/2020', '16', '10', '2020', '30621', '88', '67012883', 'France', 'FR', 'FRA', 'Europe', '346.46920056');
INSERT INTO public.ecdc_import VALUES (20425, '15/10/2020', '15', '10', '2020', '22591', '104', '67012883', 'France', 'FR', 'FRA', 'Europe', '321.62173951');
INSERT INTO public.ecdc_import VALUES (20426, '14/10/2020', '14', '10', '2020', '12993', '108', '67012883', 'France', 'FR', 'FRA', 'Europe', '307.07826732');
INSERT INTO public.ecdc_import VALUES (20427, '13/10/2020', '13', '10', '2020', '8505', '95', '67012883', 'France', 'FR', 'FRA', 'Europe', '299.70356595');
INSERT INTO public.ecdc_import VALUES (20428, '12/10/2020', '12', '10', '2020', '16101', '46', '67012883', 'France', 'FR', 'FRA', 'Europe', '293.08543553');
INSERT INTO public.ecdc_import VALUES (20429, '11/10/2020', '11', '10', '2020', '26896', '54', '67012883', 'France', 'FR', 'FRA', 'Europe', '285.65701314');
INSERT INTO public.ecdc_import VALUES (20430, '10/10/2020', '10', '10', '2020', '20339', '109', '67012883', 'France', 'FR', 'FRA', 'Europe', '267.02775942');
INSERT INTO public.ecdc_import VALUES (20431, '09/10/2020', '9', '10', '2020', '18129', '76', '67012883', 'France', 'FR', 'FRA', 'Europe', '260.24995821');
INSERT INTO public.ecdc_import VALUES (20432, '08/10/2020', '8', '10', '2020', '18746', '80', '67012883', 'France', 'FR', 'FRA', 'Europe', '257.21621319');
INSERT INTO public.ecdc_import VALUES (20433, '07/10/2020', '7', '10', '2020', '10489', '66', '67012883', 'France', 'FR', 'FRA', 'Europe', '248.74918454');
INSERT INTO public.ecdc_import VALUES (20434, '06/10/2020', '6', '10', '2020', '5104', '69', '67012883', 'France', 'FR', 'FRA', 'Europe', '248.03141211');
INSERT INTO public.ecdc_import VALUES (20435, '05/10/2020', '5', '10', '2020', '12545', '32', '67012883', 'France', 'FR', 'FRA', 'Europe', '246.8286583');
INSERT INTO public.ecdc_import VALUES (20436, '04/10/2020', '4', '10', '2020', '16972', '43', '67012883', 'France', 'FR', 'FRA', 'Europe', '245.37222194');
INSERT INTO public.ecdc_import VALUES (20437, '03/10/2020', '3', '10', '2020', '12148', '136', '67012883', 'France', 'FR', 'FRA', 'Europe', '240.18814412');
INSERT INTO public.ecdc_import VALUES (20438, '02/10/2020', '2', '10', '2020', '13970', '63', '67012883', 'France', 'FR', 'FRA', 'Europe', '241.78037528');
INSERT INTO public.ecdc_import VALUES (20439, '01/10/2020', '1', '10', '2020', '12845', '63', '67012883', 'France', 'FR', 'FRA', 'Europe', '236.74104575');
INSERT INTO public.ecdc_import VALUES (20440, '30/09/2020', '30', '9', '2020', '8051', '85', '67012883', 'France', 'FR', 'FRA', 'Europe', '232.17326734');
INSERT INTO public.ecdc_import VALUES (20441, '29/09/2020', '29', '9', '2020', '4070', '81', '67012883', 'France', 'FR', 'FRA', 'Europe', '231.87630951');
INSERT INTO public.ecdc_import VALUES (20442, '28/09/2020', '28', '9', '2020', '11123', '27', '67012883', 'France', 'FR', 'FRA', 'Europe', '234.9921283');
INSERT INTO public.ecdc_import VALUES (20443, '27/09/2020', '27', '9', '2020', '14412', '39', '67012883', 'France', 'FR', 'FRA', 'Europe', '229.11266181');
INSERT INTO public.ecdc_import VALUES (20444, '26/09/2020', '26', '9', '2020', '15797', '150', '67012883', 'France', 'FR', 'FRA', 'Europe', '223.36600561');
INSERT INTO public.ecdc_import VALUES (20445, '25/09/2020', '25', '9', '2020', '16096', '52', '67012883', 'France', 'FR', 'FRA', 'Europe', '213.82903344');
INSERT INTO public.ecdc_import VALUES (20446, '24/09/2020', '24', '9', '2020', '13072', '43', '67012883', 'France', 'FR', 'FRA', 'Europe', '204.49799183');
INSERT INTO public.ecdc_import VALUES (20447, '23/09/2020', '23', '9', '2020', '10008', '78', '67012883', 'France', 'FR', 'FRA', 'Europe', '197.79032638');
INSERT INTO public.ecdc_import VALUES (20448, '22/09/2020', '22', '9', '2020', '4298', '53', '67012883', 'France', 'FR', 'FRA', 'Europe', '192.62117107');
INSERT INTO public.ecdc_import VALUES (20449, '21/09/2020', '21', '9', '2020', '11569', '11', '67012883', 'France', 'FR', 'FRA', 'Europe', '192.47940728');
INSERT INTO public.ecdc_import VALUES (20450, '20/09/2020', '20', '9', '2020', '13498', '25', '67012883', 'France', 'FR', 'FRA', 'Europe', '185.76726508');
INSERT INTO public.ecdc_import VALUES (20451, '19/09/2020', '19', '9', '2020', '13215', '154', '67012883', 'France', 'FR', 'FRA', 'Europe', '178.38361021');
INSERT INTO public.ecdc_import VALUES (20452, '18/09/2020', '18', '9', '2020', '10593', '50', '67012883', 'France', 'FR', 'FRA', 'Europe', '172.0564686');
INSERT INTO public.ecdc_import VALUES (20453, '17/09/2020', '17', '9', '2020', '9784', '46', '67012883', 'France', 'FR', 'FRA', 'Europe', '166.92909631');
INSERT INTO public.ecdc_import VALUES (20454, '16/09/2020', '16', '9', '2020', '7852', '49', '67012883', 'France', 'FR', 'FRA', 'Europe', '162.80003951');
INSERT INTO public.ecdc_import VALUES (20455, '15/09/2020', '15', '9', '2020', '6158', '34', '67012883', 'France', 'FR', 'FRA', 'Europe', '158.51728092');
INSERT INTO public.ecdc_import VALUES (20456, '14/09/2020', '14', '9', '2020', '7183', '6', '67012883', 'France', 'FR', 'FRA', 'Europe', '153.92711876');
INSERT INTO public.ecdc_import VALUES (20457, '13/09/2020', '13', '9', '2020', '10561', '17', '67012883', 'France', 'FR', 'FRA', 'Europe', '151.28583559');
INSERT INTO public.ecdc_import VALUES (20458, '12/09/2020', '12', '9', '2020', '9406', '80', '67012883', 'France', 'FR', 'FRA', 'Europe', '143.66342066');
INSERT INTO public.ecdc_import VALUES (20459, '11/09/2020', '11', '9', '2020', '9843', '19', '67012883', 'France', 'FR', 'FRA', 'Europe', '140.63862914');
INSERT INTO public.ecdc_import VALUES (20460, '10/09/2020', '10', '9', '2020', '8577', '30', '67012883', 'France', 'FR', 'FRA', 'Europe', '135.06955073');
INSERT INTO public.ecdc_import VALUES (20461, '09/09/2020', '9', '9', '2020', '6544', '38', '67012883', 'France', 'FR', 'FRA', 'Europe', '130.37194654');
INSERT INTO public.ecdc_import VALUES (20462, '08/09/2020', '8', '9', '2020', '4203', '25', '67012883', 'France', 'FR', 'FRA', 'Europe', '125.53705532');
INSERT INTO public.ecdc_import VALUES (20463, '07/09/2020', '7', '9', '2020', '7071', '3', '67012883', 'France', 'FR', 'FRA', 'Europe', '122.18247647');
INSERT INTO public.ecdc_import VALUES (20464, '06/09/2020', '6', '9', '2020', '8550', '12', '67012883', 'France', 'FR', 'FRA', 'Europe', '118.93832414');
INSERT INTO public.ecdc_import VALUES (20465, '05/09/2020', '5', '9', '2020', '8975', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '111.55466927');
INSERT INTO public.ecdc_import VALUES (20466, '04/09/2020', '4', '9', '2020', '7157', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '105.00518236');
INSERT INTO public.ecdc_import VALUES (20467, '03/09/2020', '3', '9', '2020', '7017', '25', '67012883', 'France', 'FR', 'FRA', 'Europe', '101.44467296');
INSERT INTO public.ecdc_import VALUES (20468, '02/09/2020', '2', '9', '2020', '4982', '26', '67012883', 'France', 'FR', 'FRA', 'Europe', '96.60828948');
INSERT INTO public.ecdc_import VALUES (20469, '01/09/2020', '1', '9', '2020', '3082', '29', '67012883', 'France', 'FR', 'FRA', 'Europe', '92.51355445');
INSERT INTO public.ecdc_import VALUES (20470, '31/08/2020', '31', '8', '2020', '5413', '4', '67012883', 'France', 'FR', 'FRA', 'Europe', '88.65011822');
INSERT INTO public.ecdc_import VALUES (20471, '30/08/2020', '30', '8', '2020', '5453', '6', '67012883', 'France', 'FR', 'FRA', 'Europe', '85.07170181');
INSERT INTO public.ecdc_import VALUES (20472, '29/08/2020', '29', '8', '2020', '7379', '20', '67012883', 'France', 'FR', 'FRA', 'Europe', '81.87380925');
INSERT INTO public.ecdc_import VALUES (20473, '28/08/2020', '28', '8', '2020', '6111', '32', '67012883', 'France', 'FR', 'FRA', 'Europe', '75.10943829');
INSERT INTO public.ecdc_import VALUES (20474, '27/08/2020', '27', '8', '2020', '5429', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '69.97311248');
INSERT INTO public.ecdc_import VALUES (20475, '26/08/2020', '26', '8', '2020', '3304', '16', '67012883', 'France', 'FR', 'FRA', 'Europe', '65.63812513');
INSERT INTO public.ecdc_import VALUES (20476, '25/08/2020', '25', '8', '2020', '1955', '15', '67012883', 'France', 'FR', 'FRA', 'Europe', '62.79240366');
INSERT INTO public.ecdc_import VALUES (20477, '24/08/2020', '24', '8', '2020', '4897', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '67.11843751');
INSERT INTO public.ecdc_import VALUES (20478, '23/08/2020', '23', '8', '2020', '3602', '9', '67012883', 'France', 'FR', 'FRA', 'Europe', '59.81088741');
INSERT INTO public.ecdc_import VALUES (20479, '22/08/2020', '22', '8', '2020', '4586', '23', '67012883', 'France', 'FR', 'FRA', 'Europe', '54.43580155');
INSERT INTO public.ecdc_import VALUES (20480, '21/08/2020', '21', '8', '2020', '4771', '12', '67012883', 'France', 'FR', 'FRA', 'Europe', '51.00661018');
INSERT INTO public.ecdc_import VALUES (20481, '20/08/2020', '20', '8', '2020', '3776', '17', '67012883', 'France', 'FR', 'FRA', 'Europe', '46.28065323');
INSERT INTO public.ecdc_import VALUES (20482, '19/08/2020', '19', '8', '2020', '2238', '22', '67012883', 'France', 'FR', 'FRA', 'Europe', '43.17528019');
INSERT INTO public.ecdc_import VALUES (20483, '18/08/2020', '18', '8', '2020', '493', '19', '67012883', 'France', 'FR', 'FRA', 'Europe', '41.38607199');
INSERT INTO public.ecdc_import VALUES (20484, '17/08/2020', '17', '8', '2020', '3015', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '45.68822983');
INSERT INTO public.ecdc_import VALUES (20485, '16/08/2020', '16', '8', '2020', '3310', '3', '67012883', 'France', 'FR', 'FRA', 'Europe', '41.18909494');
INSERT INTO public.ecdc_import VALUES (20486, '15/08/2020', '15', '8', '2020', '2846', '18', '67012883', 'France', 'FR', 'FRA', 'Europe', '36.24974619');
INSERT INTO public.ecdc_import VALUES (20487, '14/08/2020', '14', '8', '2020', '2669', '17', '67012883', 'France', 'FR', 'FRA', 'Europe', '34.01137062');
INSERT INTO public.ecdc_import VALUES (20488, '13/08/2020', '13', '8', '2020', '2524', '17', '67012883', 'France', 'FR', 'FRA', 'Europe', '32.08338313');
INSERT INTO public.ecdc_import VALUES (20489, '12/08/2020', '12', '8', '2020', '1397', '14', '67012883', 'France', 'FR', 'FRA', 'Europe', '30.3941557');
INSERT INTO public.ecdc_import VALUES (20490, '11/08/2020', '11', '8', '2020', '4854', '16', '67012883', 'France', 'FR', 'FRA', 'Europe', '29.39136345');
INSERT INTO public.ecdc_import VALUES (20491, '10/08/2020', '10', '8', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '25.95471083');
INSERT INTO public.ecdc_import VALUES (20492, '09/08/2020', '9', '8', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '25.95471083');
INSERT INTO public.ecdc_import VALUES (20493, '08/08/2020', '8', '8', '2020', '2288', '12', '67012883', 'France', 'FR', 'FRA', 'Europe', '25.95471083');
INSERT INTO public.ecdc_import VALUES (20494, '07/08/2020', '7', '8', '2020', '1604', '7', '67012883', 'France', 'FR', 'FRA', 'Europe', '24.22668489');
INSERT INTO public.ecdc_import VALUES (20495, '06/08/2020', '6', '8', '2020', '1695', '9', '67012883', 'France', 'FR', 'FRA', 'Europe', '23.41788518');
INSERT INTO public.ecdc_import VALUES (20496, '05/08/2020', '5', '8', '2020', '1039', '2', '67012883', 'France', 'FR', 'FRA', 'Europe', '22.37778667');
INSERT INTO public.ecdc_import VALUES (20497, '04/08/2020', '4', '8', '2020', '3376', '29', '67012883', 'France', 'FR', 'FRA', 'Europe', '21.69881275');
INSERT INTO public.ecdc_import VALUES (20498, '03/08/2020', '3', '8', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '19.76485626');
INSERT INTO public.ecdc_import VALUES (20499, '02/08/2020', '2', '8', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '19.76485626');
INSERT INTO public.ecdc_import VALUES (20653, '01/03/2020', '1', '3', '2020', '43', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.13281028');
INSERT INTO public.ecdc_import VALUES (20500, '01/08/2020', '1', '8', '2020', '1346', '11', '67012883', 'France', 'FR', 'FRA', 'Europe', '19.76485626');
INSERT INTO public.ecdc_import VALUES (20501, '31/07/2020', '31', '7', '2020', '1377', '16', '67012883', 'France', 'FR', 'FRA', 'Europe', '19.00380857');
INSERT INTO public.ecdc_import VALUES (20502, '30/07/2020', '30', '7', '2020', '1392', '15', '67012883', 'France', 'FR', 'FRA', 'Europe', '17.7458415');
INSERT INTO public.ecdc_import VALUES (20503, '29/07/2020', '29', '7', '2020', '725', '14', '67012883', 'France', 'FR', 'FRA', 'Europe', '17.05194507');
INSERT INTO public.ecdc_import VALUES (20504, '28/07/2020', '28', '7', '2020', '2551', '17', '67012883', 'France', 'FR', 'FRA', 'Europe', '15.97006355');
INSERT INTO public.ecdc_import VALUES (20505, '27/07/2020', '27', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '14.5882397');
INSERT INTO public.ecdc_import VALUES (20506, '26/07/2020', '26', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '14.5882397');
INSERT INTO public.ecdc_import VALUES (20507, '25/07/2020', '25', '7', '2020', '1130', '10', '67012883', 'France', 'FR', 'FRA', 'Europe', '14.5882397');
INSERT INTO public.ecdc_import VALUES (20508, '24/07/2020', '24', '7', '2020', '1062', '10', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.88389752');
INSERT INTO public.ecdc_import VALUES (20509, '23/07/2020', '23', '7', '2020', '998', '7', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.2258151');
INSERT INTO public.ecdc_import VALUES (20510, '22/07/2020', '22', '7', '2020', '584', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '12.72591123');
INSERT INTO public.ecdc_import VALUES (20511, '21/07/2020', '21', '7', '2020', '2080', '13', '67012883', 'France', 'FR', 'FRA', 'Europe', '12.56325593');
INSERT INTO public.ecdc_import VALUES (20512, '20/07/2020', '20', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.51121942');
INSERT INTO public.ecdc_import VALUES (20513, '19/07/2020', '19', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.51121942');
INSERT INTO public.ecdc_import VALUES (20514, '18/07/2020', '18', '7', '2020', '836', '14', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.51121942');
INSERT INTO public.ecdc_import VALUES (20515, '17/07/2020', '17', '7', '2020', '534', '18', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.13218782');
INSERT INTO public.ecdc_import VALUES (20516, '16/07/2020', '16', '7', '2020', '927', '91', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.31871912');
INSERT INTO public.ecdc_import VALUES (20517, '15/07/2020', '15', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.30528887');
INSERT INTO public.ecdc_import VALUES (20518, '14/07/2020', '14', '7', '2020', '1625', '25', '67012883', 'France', 'FR', 'FRA', 'Europe', '12.11259632');
INSERT INTO public.ecdc_import VALUES (20519, '13/07/2020', '13', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.66342896');
INSERT INTO public.ecdc_import VALUES (20520, '12/07/2020', '12', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.66342896');
INSERT INTO public.ecdc_import VALUES (20521, '11/07/2020', '11', '7', '2020', '658', '25', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.66342896');
INSERT INTO public.ecdc_import VALUES (20522, '10/07/2020', '10', '7', '2020', '621', '14', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.05122181');
INSERT INTO public.ecdc_import VALUES (20523, '09/07/2020', '9', '7', '2020', '663', '32', '67012883', 'France', 'FR', 'FRA', 'Europe', '12.12453432');
INSERT INTO public.ecdc_import VALUES (20524, '08/07/2020', '8', '7', '2020', '475', '13', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.2560446');
INSERT INTO public.ecdc_import VALUES (20525, '07/07/2020', '7', '7', '2020', '1375', '27', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.31871912');
INSERT INTO public.ecdc_import VALUES (20526, '06/07/2020', '6', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.82348424');
INSERT INTO public.ecdc_import VALUES (20527, '05/07/2020', '5', '7', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '10.24728335');
INSERT INTO public.ecdc_import VALUES (20528, '04/07/2020', '4', '7', '2020', '582', '18', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.20381584');
INSERT INTO public.ecdc_import VALUES (20529, '03/07/2020', '3', '7', '2020', '659', '14', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.54554118');
INSERT INTO public.ecdc_import VALUES (20530, '02/07/2020', '2', '7', '2020', '918', '18', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.2590291');
INSERT INTO public.ecdc_import VALUES (20531, '01/07/2020', '1', '7', '2020', '541', '30', '67012883', 'France', 'FR', 'FRA', 'Europe', '10.57259393');
INSERT INTO public.ecdc_import VALUES (20532, '30/06/2020', '30', '6', '2020', '1324', '35', '67012883', 'France', 'FR', 'FRA', 'Europe', '10.2786206');
INSERT INTO public.ecdc_import VALUES (20533, '29/06/2020', '29', '6', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '8.52970316');
INSERT INTO public.ecdc_import VALUES (20534, '28/06/2020', '28', '6', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.13704907');
INSERT INTO public.ecdc_import VALUES (20535, '27/06/2020', '27', '6', '2020', '1588', '26', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.92197276');
INSERT INTO public.ecdc_import VALUES (20536, '26/06/2020', '26', '6', '2020', '0', '21', '67012883', 'France', 'FR', 'FRA', 'Europe', '8.63565294');
INSERT INTO public.ecdc_import VALUES (20537, '25/06/2020', '25', '6', '2020', '81', '11', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.26985935');
INSERT INTO public.ecdc_import VALUES (20538, '24/06/2020', '24', '6', '2020', '517', '57', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.96226352');
INSERT INTO public.ecdc_import VALUES (20539, '23/06/2020', '23', '6', '2020', '373', '23', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.79214698');
INSERT INTO public.ecdc_import VALUES (20540, '22/06/2020', '22', '6', '2020', '284', '7', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.55040242');
INSERT INTO public.ecdc_import VALUES (20541, '21/06/2020', '21', '6', '2020', '641', '16', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.63844519');
INSERT INTO public.ecdc_import VALUES (20542, '20/06/2020', '20', '6', '2020', '811', '14', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.54592567');
INSERT INTO public.ecdc_import VALUES (20543, '19/06/2020', '19', '6', '2020', '467', '28', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.24747559');
INSERT INTO public.ecdc_import VALUES (20544, '18/06/2020', '18', '6', '2020', '458', '28', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.69515071');
INSERT INTO public.ecdc_import VALUES (20545, '17/06/2020', '17', '6', '2020', '344', '111', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.53697217');
INSERT INTO public.ecdc_import VALUES (20546, '16/06/2020', '16', '6', '2020', '152', '29', '67012883', 'France', 'FR', 'FRA', 'Europe', '7.88057425');
INSERT INTO public.ecdc_import VALUES (20547, '15/06/2020', '15', '6', '2020', '407', '9', '67012883', 'France', 'FR', 'FRA', 'Europe', '8.15813282');
INSERT INTO public.ecdc_import VALUES (20548, '14/06/2020', '14', '6', '2020', '526', '24', '67012883', 'France', 'FR', 'FRA', 'Europe', '7.93429526');
INSERT INTO public.ecdc_import VALUES (20549, '13/06/2020', '13', '6', '2020', '726', '28', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.87720525');
INSERT INTO public.ecdc_import VALUES (20550, '12/06/2020', '12', '6', '2020', '425', '27', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.68470495');
INSERT INTO public.ecdc_import VALUES (20551, '11/06/2020', '11', '6', '2020', '545', '23', '67012883', 'France', 'FR', 'FRA', 'Europe', '14.01223105');
INSERT INTO public.ecdc_import VALUES (20552, '10/06/2020', '10', '6', '2020', '403', '87', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.48397442');
INSERT INTO public.ecdc_import VALUES (20553, '09/06/2020', '9', '6', '2020', '211', '54', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.29445862');
INSERT INTO public.ecdc_import VALUES (20554, '08/06/2020', '8', '6', '2020', '343', '13', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.51381942');
INSERT INTO public.ecdc_import VALUES (20555, '07/06/2020', '7', '6', '2020', '579', '31', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.17358634');
INSERT INTO public.ecdc_import VALUES (20556, '06/06/2020', '6', '6', '2020', '611', '46', '67012883', 'France', 'FR', 'FRA', 'Europe', '12.66771346');
INSERT INTO public.ecdc_import VALUES (20557, '05/06/2020', '5', '6', '2020', '767', '44', '67012883', 'France', 'FR', 'FRA', 'Europe', '12.35732538');
INSERT INTO public.ecdc_import VALUES (20558, '04/06/2020', '4', '6', '2020', '352', '81', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.68730496');
INSERT INTO public.ecdc_import VALUES (20559, '03/06/2020', '3', '6', '2020', '-766', '107', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.78579349');
INSERT INTO public.ecdc_import VALUES (20560, '02/06/2020', '2', '6', '2020', '338', '31', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.71079647');
INSERT INTO public.ecdc_import VALUES (20561, '01/06/2020', '1', '6', '2020', '257', '31', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.94060303');
INSERT INTO public.ecdc_import VALUES (20562, '31/05/2020', '31', '5', '2020', '1828', '57', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.73616473');
INSERT INTO public.ecdc_import VALUES (20563, '30/05/2020', '30', '5', '2020', '597', '52', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.56344818');
INSERT INTO public.ecdc_import VALUES (20564, '29/05/2020', '29', '5', '2020', '3325', '66', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.51271167');
INSERT INTO public.ecdc_import VALUES (20565, '28/05/2020', '28', '5', '2020', '191', '66', '67012883', 'France', 'FR', 'FRA', 'Europe', '7.4791589');
INSERT INTO public.ecdc_import VALUES (20566, '27/05/2020', '27', '5', '2020', '276', '98', '67012883', 'France', 'FR', 'FRA', 'Europe', '7.95071001');
INSERT INTO public.ecdc_import VALUES (20567, '26/05/2020', '26', '5', '2020', '358', '65', '67012883', 'France', 'FR', 'FRA', 'Europe', '8.59536218');
INSERT INTO public.ecdc_import VALUES (20568, '25/05/2020', '25', '5', '2020', '115', '35', '67012883', 'France', 'FR', 'FRA', 'Europe', '8.74160272');
INSERT INTO public.ecdc_import VALUES (20569, '24/05/2020', '24', '5', '2020', '240', '43', '67012883', 'France', 'FR', 'FRA', 'Europe', '8.88187425');
INSERT INTO public.ecdc_import VALUES (20570, '23/05/2020', '23', '5', '2020', '403', '74', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.16987857');
INSERT INTO public.ecdc_import VALUES (20571, '22/05/2020', '22', '5', '2020', '318', '83', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.52652641');
INSERT INTO public.ecdc_import VALUES (20572, '21/05/2020', '21', '5', '2020', '418', '110', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.99061628');
INSERT INTO public.ecdc_import VALUES (20573, '20/05/2020', '20', '5', '2020', '524', '125', '67012883', 'France', 'FR', 'FRA', 'Europe', '15.60893896');
INSERT INTO public.ecdc_import VALUES (20574, '19/05/2020', '19', '5', '2020', '492', '186', '67012883', 'France', 'FR', 'FRA', 'Europe', '16.47444418');
INSERT INTO public.ecdc_import VALUES (20575, '18/05/2020', '18', '5', '2020', '120', '68', '67012883', 'France', 'FR', 'FRA', 'Europe', '16.59979321');
INSERT INTO public.ecdc_import VALUES (20576, '17/05/2020', '17', '5', '2020', '372', '88', '67012883', 'France', 'FR', 'FRA', 'Europe', '16.88033628');
INSERT INTO public.ecdc_import VALUES (20577, '16/05/2020', '16', '5', '2020', '563', '130', '67012883', 'France', 'FR', 'FRA', 'Europe', '17.51006594');
INSERT INTO public.ecdc_import VALUES (20578, '15/05/2020', '15', '5', '2020', '622', '351', '67012883', 'France', 'FR', 'FRA', 'Europe', '17.5712482');
INSERT INTO public.ecdc_import VALUES (20579, '14/05/2020', '14', '5', '2020', '507', '83', '67012883', 'France', 'FR', 'FRA', 'Europe', '18.34274165');
INSERT INTO public.ecdc_import VALUES (20580, '13/05/2020', '13', '5', '2020', '708', '348', '67012883', 'France', 'FR', 'FRA', 'Europe', '19.98421706');
INSERT INTO public.ecdc_import VALUES (20581, '12/05/2020', '12', '5', '2020', '456', '263', '67012883', 'France', 'FR', 'FRA', 'Europe', '20.51695045');
INSERT INTO public.ecdc_import VALUES (20582, '11/05/2020', '11', '5', '2020', '209', '70', '67012883', 'France', 'FR', 'FRA', 'Europe', '21.61972348');
INSERT INTO public.ecdc_import VALUES (20583, '10/05/2020', '10', '5', '2020', '433', '80', '67012883', 'France', 'FR', 'FRA', 'Europe', '21.99577057');
INSERT INTO public.ecdc_import VALUES (20584, '09/05/2020', '9', '5', '2020', '642', '243', '67012883', 'France', 'FR', 'FRA', 'Europe', '23.64321499');
INSERT INTO public.ecdc_import VALUES (20585, '08/05/2020', '8', '5', '2020', '629', '178', '67012883', 'France', 'FR', 'FRA', 'Europe', '25.33095017');
INSERT INTO public.ecdc_import VALUES (20586, '07/05/2020', '7', '5', '2020', '4183', '278', '67012883', 'France', 'FR', 'FRA', 'Europe', '26.85901456');
INSERT INTO public.ecdc_import VALUES (20587, '06/05/2020', '6', '5', '2020', '1104', '330', '67012883', 'France', 'FR', 'FRA', 'Europe', '23.34327267');
INSERT INTO public.ecdc_import VALUES (20588, '05/05/2020', '5', '5', '2020', '576', '306', '67012883', 'France', 'FR', 'FRA', 'Europe', '25.67566001');
INSERT INTO public.ecdc_import VALUES (20589, '04/05/2020', '4', '5', '2020', '308', '135', '67012883', 'France', 'FR', 'FRA', 'Europe', '27.87672931');
INSERT INTO public.ecdc_import VALUES (20590, '03/05/2020', '3', '5', '2020', '794', '166', '67012883', 'France', 'FR', 'FRA', 'Europe', '28.58853275');
INSERT INTO public.ecdc_import VALUES (20591, '02/05/2020', '2', '5', '2020', '604', '218', '67012883', 'France', 'FR', 'FRA', 'Europe', '31.23727717');
INSERT INTO public.ecdc_import VALUES (20592, '01/05/2020', '1', '5', '2020', '1139', '289', '67012883', 'France', 'FR', 'FRA', 'Europe', '30.94031934');
INSERT INTO public.ecdc_import VALUES (20593, '30/04/2020', '30', '4', '2020', '1607', '427', '67012883', 'France', 'FR', 'FRA', 'Europe', '33.18167941');
INSERT INTO public.ecdc_import VALUES (20594, '29/04/2020', '29', '4', '2020', '1065', '367', '67012883', 'France', 'FR', 'FRA', 'Europe', '34.7127283');
INSERT INTO public.ecdc_import VALUES (20595, '28/04/2020', '28', '4', '2020', '1195', '437', '67012883', 'France', 'FR', 'FRA', 'Europe', '41.32638197');
INSERT INTO public.ecdc_import VALUES (20596, '27/04/2020', '27', '4', '2020', '461', '242', '67012883', 'France', 'FR', 'FRA', 'Europe', '43.53192803');
INSERT INTO public.ecdc_import VALUES (20597, '26/04/2020', '26', '4', '2020', '1537', '369', '67012883', 'France', 'FR', 'FRA', 'Europe', '45.25100047');
INSERT INTO public.ecdc_import VALUES (20598, '25/04/2020', '25', '4', '2020', '1773', '389', '67012883', 'France', 'FR', 'FRA', 'Europe', '47.60427931');
INSERT INTO public.ecdc_import VALUES (20599, '24/04/2020', '24', '4', '2020', '1653', '516', '67012883', 'France', 'FR', 'FRA', 'Europe', '51.43787054');
INSERT INTO public.ecdc_import VALUES (20600, '23/04/2020', '23', '4', '2020', '1827', '544', '67012883', 'France', 'FR', 'FRA', 'Europe', '55.36696578');
INSERT INTO public.ecdc_import VALUES (20601, '22/04/2020', '22', '4', '2020', '2667', '531', '67012883', 'France', 'FR', 'FRA', 'Europe', '58.43204806');
INSERT INTO public.ecdc_import VALUES (20602, '21/04/2020', '21', '4', '2020', '2051', '547', '67012883', 'France', 'FR', 'FRA', 'Europe', '60.08844598');
INSERT INTO public.ecdc_import VALUES (20603, '20/04/2020', '20', '4', '2020', '785', '395', '67012883', 'France', 'FR', 'FRA', 'Europe', '62.86552393');
INSERT INTO public.ecdc_import VALUES (20604, '19/04/2020', '19', '4', '2020', '2569', '642', '67012883', 'France', 'FR', 'FRA', 'Europe', '64.48909234');
INSERT INTO public.ecdc_import VALUES (20605, '18/04/2020', '18', '4', '2020', '405', '761', '67012883', 'France', 'FR', 'FRA', 'Europe', '67.02293349');
INSERT INTO public.ecdc_import VALUES (20606, '17/04/2020', '17', '4', '2020', '2641', '753', '67012883', 'France', 'FR', 'FRA', 'Europe', '74.22751831');
INSERT INTO public.ecdc_import VALUES (20607, '16/04/2020', '16', '4', '2020', '2633', '1438', '67012883', 'France', 'FR', 'FRA', 'Europe', '73.44408686');
INSERT INTO public.ecdc_import VALUES (20608, '15/04/2020', '15', '4', '2020', '5497', '762', '67012883', 'France', 'FR', 'FRA', 'Europe', '76.76882071');
INSERT INTO public.ecdc_import VALUES (20609, '14/04/2020', '14', '4', '2020', '2673', '574', '67012883', 'France', 'FR', 'FRA', 'Europe', '79.87419374');
INSERT INTO public.ecdc_import VALUES (20610, '13/04/2020', '13', '4', '2020', '1613', '561', '67012883', 'France', 'FR', 'FRA', 'Europe', '82.41549614');
INSERT INTO public.ecdc_import VALUES (20611, '12/04/2020', '12', '4', '2020', '3114', '635', '67012883', 'France', 'FR', 'FRA', 'Europe', '83.88685501');
INSERT INTO public.ecdc_import VALUES (20612, '11/04/2020', '11', '4', '2020', '4342', '987', '67012883', 'France', 'FR', 'FRA', 'Europe', '86.12075383');
INSERT INTO public.ecdc_import VALUES (20613, '10/04/2020', '10', '4', '2020', '4286', '1341', '67012883', 'France', 'FR', 'FRA', 'Europe', '85.32538437');
INSERT INTO public.ecdc_import VALUES (20614, '09/04/2020', '9', '4', '2020', '3881', '541', '67012883', 'France', 'FR', 'FRA', 'Europe', '84.78220524');
INSERT INTO public.ecdc_import VALUES (20615, '08/04/2020', '8', '4', '2020', '3777', '1417', '67012883', 'France', 'FR', 'FRA', 'Europe', '83.36456738');
INSERT INTO public.ecdc_import VALUES (20616, '07/04/2020', '7', '4', '2020', '3912', '833', '67012883', 'France', 'FR', 'FRA', 'Europe', '81.37838212');
INSERT INTO public.ecdc_import VALUES (20617, '06/04/2020', '6', '4', '2020', '1873', '518', '67012883', 'France', 'FR', 'FRA', 'Europe', '81.2679556');
INSERT INTO public.ecdc_import VALUES (20618, '05/04/2020', '5', '4', '2020', '4267', '1053', '67012883', 'France', 'FR', 'FRA', 'Europe', '80.79938898');
INSERT INTO public.ecdc_import VALUES (20619, '04/04/2020', '4', '4', '2020', '5233', '2004', '67012883', 'France', 'FR', 'FRA', 'Europe', '77.18814306');
INSERT INTO public.ecdc_import VALUES (20620, '03/04/2020', '3', '4', '2020', '2116', '471', '67012883', 'France', 'FR', 'FRA', 'Europe', '71.79216569');
INSERT INTO public.ecdc_import VALUES (20621, '02/04/2020', '2', '4', '2020', '4861', '509', '67012883', 'France', 'FR', 'FRA', 'Europe', '71.41164185');
INSERT INTO public.ecdc_import VALUES (20622, '01/04/2020', '1', '4', '2020', '7578', '499', '67012883', 'France', 'FR', 'FRA', 'Europe', '66.25293229');
INSERT INTO public.ecdc_import VALUES (20623, '31/03/2020', '31', '3', '2020', '4376', '418', '67012883', 'France', 'FR', 'FRA', 'Europe', '56.58165759');
INSERT INTO public.ecdc_import VALUES (20624, '30/03/2020', '30', '3', '2020', '2599', '292', '67012883', 'France', 'FR', 'FRA', 'Europe', '51.85719289');
INSERT INTO public.ecdc_import VALUES (20625, '29/03/2020', '29', '3', '2020', '4611', '319', '67012883', 'France', 'FR', 'FRA', 'Europe', '49.35767351');
INSERT INTO public.ecdc_import VALUES (20626, '28/03/2020', '28', '3', '2020', '3809', '299', '67012883', 'France', 'FR', 'FRA', 'Europe', '43.72741283');
INSERT INTO public.ecdc_import VALUES (20627, '27/03/2020', '27', '3', '2020', '3922', '365', '67012883', 'France', 'FR', 'FRA', 'Europe', '39.21484769');
INSERT INTO public.ecdc_import VALUES (20628, '26/03/2020', '26', '3', '2020', '2931', '231', '67012883', 'France', 'FR', 'FRA', 'Europe', '34.25013068');
INSERT INTO public.ecdc_import VALUES (20629, '25/03/2020', '25', '3', '2020', '2446', '240', '67012883', 'France', 'FR', 'FRA', 'Europe', '30.61799326');
INSERT INTO public.ecdc_import VALUES (20630, '24/03/2020', '24', '3', '2020', '3838', '186', '67012883', 'France', 'FR', 'FRA', 'Europe', '27.52306598');
INSERT INTO public.ecdc_import VALUES (20631, '23/03/2020', '23', '3', '2020', '1559', '112', '67012883', 'France', 'FR', 'FRA', 'Europe', '22.22259263');
INSERT INTO public.ecdc_import VALUES (20632, '22/03/2020', '22', '3', '2020', '1847', '112', '67012883', 'France', 'FR', 'FRA', 'Europe', '20.50799695');
INSERT INTO public.ecdc_import VALUES (20633, '21/03/2020', '21', '3', '2020', '1617', '78', '67012883', 'France', 'FR', 'FRA', 'Europe', '17.90551229');
INSERT INTO public.ecdc_import VALUES (20634, '20/03/2020', '20', '3', '2020', '1861', '128', '67012883', 'France', 'FR', 'FRA', 'Europe', '15.776071');
INSERT INTO public.ecdc_import VALUES (20635, '19/03/2020', '19', '3', '2020', '1404', '69', '67012883', 'France', 'FR', 'FRA', 'Europe', '13.2049236');
INSERT INTO public.ecdc_import VALUES (20636, '18/03/2020', '18', '3', '2020', '1097', '27', '67012883', 'France', 'FR', 'FRA', 'Europe', '11.21873834');
INSERT INTO public.ecdc_import VALUES (20637, '17/03/2020', '17', '3', '2020', '1210', '21', '67012883', 'France', 'FR', 'FRA', 'Europe', '9.63247619');
INSERT INTO public.ecdc_import VALUES (20638, '16/03/2020', '16', '3', '2020', '924', '36', '67012883', 'France', 'FR', 'FRA', 'Europe', '7.89848125');
INSERT INTO public.ecdc_import VALUES (20639, '15/03/2020', '15', '3', '2020', '838', '12', '67012883', 'France', 'FR', 'FRA', 'Europe', '6.56440941');
INSERT INTO public.ecdc_import VALUES (20640, '14/03/2020', '14', '3', '2020', '785', '18', '67012883', 'France', 'FR', 'FRA', 'Europe', '5.37807036');
INSERT INTO public.ecdc_import VALUES (20641, '13/03/2020', '13', '3', '2020', '595', '13', '67012883', 'France', 'FR', 'FRA', 'Europe', '4.23500657');
INSERT INTO public.ecdc_import VALUES (20642, '12/03/2020', '12', '3', '2020', '497', '15', '67012883', 'France', 'FR', 'FRA', 'Europe', '3.37845486');
INSERT INTO public.ecdc_import VALUES (20643, '11/03/2020', '11', '3', '2020', '372', '3', '67012883', 'France', 'FR', 'FRA', 'Europe', '2.64128317');
INSERT INTO public.ecdc_import VALUES (20644, '10/03/2020', '10', '3', '2020', '286', '11', '67012883', 'France', 'FR', 'FRA', 'Europe', '2.08915053');
INSERT INTO public.ecdc_import VALUES (20645, '09/03/2020', '9', '3', '2020', '410', '9', '67012883', 'France', 'FR', 'FRA', 'Europe', '1.66236692');
INSERT INTO public.ecdc_import VALUES (20646, '08/03/2020', '8', '3', '2020', '103', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '1.05054427');
INSERT INTO public.ecdc_import VALUES (20647, '07/03/2020', '7', '3', '2020', '190', '2', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.89684248');
INSERT INTO public.ecdc_import VALUES (20648, '06/03/2020', '6', '3', '2020', '138', '3', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.61331491');
INSERT INTO public.ecdc_import VALUES (20649, '05/03/2020', '5', '3', '2020', '73', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.40738435');
INSERT INTO public.ecdc_import VALUES (20650, '04/03/2020', '4', '3', '2020', '34', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.29845008');
INSERT INTO public.ecdc_import VALUES (20651, '03/03/2020', '3', '3', '2020', '48', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.24771356');
INSERT INTO public.ecdc_import VALUES (20652, '02/03/2020', '2', '3', '2020', '30', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.17608554');
INSERT INTO public.ecdc_import VALUES (20654, '29/02/2020', '29', '2', '2020', '19', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.06864352');
INSERT INTO public.ecdc_import VALUES (20655, '28/02/2020', '28', '2', '2020', '21', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.04029076');
INSERT INTO public.ecdc_import VALUES (20656, '27/02/2020', '27', '2', '2020', '3', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20657, '26/02/2020', '26', '2', '2020', '2', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00447675');
INSERT INTO public.ecdc_import VALUES (20658, '25/02/2020', '25', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00149225');
INSERT INTO public.ecdc_import VALUES (20659, '24/02/2020', '24', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00149225');
INSERT INTO public.ecdc_import VALUES (20660, '23/02/2020', '23', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00149225');
INSERT INTO public.ecdc_import VALUES (20661, '22/02/2020', '22', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00149225');
INSERT INTO public.ecdc_import VALUES (20662, '21/02/2020', '21', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20663, '20/02/2020', '20', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20664, '19/02/2020', '19', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20665, '18/02/2020', '18', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20666, '17/02/2020', '17', '2', '2020', '1', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20667, '16/02/2020', '16', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00746125');
INSERT INTO public.ecdc_import VALUES (20668, '15/02/2020', '15', '2', '2020', '0', '1', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00746125');
INSERT INTO public.ecdc_import VALUES (20669, '14/02/2020', '14', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00746125');
INSERT INTO public.ecdc_import VALUES (20670, '13/02/2020', '13', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20671, '12/02/2020', '12', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.01044575');
INSERT INTO public.ecdc_import VALUES (20672, '11/02/2020', '11', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.011938');
INSERT INTO public.ecdc_import VALUES (20673, '10/02/2020', '10', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.011938');
INSERT INTO public.ecdc_import VALUES (20674, '09/02/2020', '9', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.011938');
INSERT INTO public.ecdc_import VALUES (20675, '08/02/2020', '8', '2', '2020', '5', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.011938');
INSERT INTO public.ecdc_import VALUES (20676, '07/02/2020', '7', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20677, '06/02/2020', '6', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20678, '05/02/2020', '5', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20679, '04/02/2020', '4', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20680, '03/02/2020', '3', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20681, '02/02/2020', '2', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20682, '01/02/2020', '1', '2', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20683, '31/01/2020', '31', '1', '2020', '1', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.0089535');
INSERT INTO public.ecdc_import VALUES (20684, '30/01/2020', '30', '1', '2020', '1', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00746125');
INSERT INTO public.ecdc_import VALUES (20685, '29/01/2020', '29', '1', '2020', '1', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.005969');
INSERT INTO public.ecdc_import VALUES (20686, '28/01/2020', '28', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00447675');
INSERT INTO public.ecdc_import VALUES (20687, '27/01/2020', '27', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00447675');
INSERT INTO public.ecdc_import VALUES (20688, '26/01/2020', '26', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00447675');
INSERT INTO public.ecdc_import VALUES (20689, '25/01/2020', '25', '1', '2020', '3', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0.00447675');
INSERT INTO public.ecdc_import VALUES (20690, '24/01/2020', '24', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20691, '23/01/2020', '23', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20692, '22/01/2020', '22', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20693, '21/01/2020', '21', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20694, '20/01/2020', '20', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20695, '19/01/2020', '19', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20696, '18/01/2020', '18', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20697, '17/01/2020', '17', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20698, '16/01/2020', '16', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20699, '15/01/2020', '15', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20700, '14/01/2020', '14', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20701, '13/01/2020', '13', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (20702, '12/01/2020', '12', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20703, '11/01/2020', '11', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20704, '10/01/2020', '10', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20705, '09/01/2020', '9', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20706, '08/01/2020', '8', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20707, '07/01/2020', '7', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20708, '06/01/2020', '6', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20709, '05/01/2020', '5', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20710, '04/01/2020', '4', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20711, '03/01/2020', '3', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20712, '02/01/2020', '2', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20713, '01/01/2020', '1', '1', '2020', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20714, '31/12/2019', '31', '12', '2019', '0', '0', '67012883', 'France', 'FR', 'FRA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (20715, '14/12/2020', '14', '12', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '544.9630306');
INSERT INTO public.ecdc_import VALUES (20716, '13/12/2020', '13', '12', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '544.9630306');
INSERT INTO public.ecdc_import VALUES (20717, '12/12/2020', '12', '12', '2020', '83', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '621.2292103');
INSERT INTO public.ecdc_import VALUES (20718, '11/12/2020', '11', '12', '2020', '203', '5', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '627.31618239');
INSERT INTO public.ecdc_import VALUES (20719, '10/12/2020', '10', '12', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '649.87378484');
INSERT INTO public.ecdc_import VALUES (20720, '09/12/2020', '9', '12', '2020', '225', '7', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '732.58499382');
INSERT INTO public.ecdc_import VALUES (20721, '08/12/2020', '8', '12', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '762.30373991');
INSERT INTO public.ecdc_import VALUES (20722, '07/12/2020', '7', '12', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '762.30373991');
INSERT INTO public.ecdc_import VALUES (20723, '06/12/2020', '6', '12', '2020', '210', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '762.30373991');
INSERT INTO public.ecdc_import VALUES (20724, '05/12/2020', '5', '12', '2020', '181', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '745.11699518');
INSERT INTO public.ecdc_import VALUES (20725, '04/12/2020', '4', '12', '2020', '157', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '762.30373991');
INSERT INTO public.ecdc_import VALUES (20726, '03/12/2020', '3', '12', '2020', '187', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '706.08876238');
INSERT INTO public.ecdc_import VALUES (20727, '02/12/2020', '2', '12', '2020', '276', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '805.98671608');
INSERT INTO public.ecdc_import VALUES (20728, '01/12/2020', '1', '12', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '855.75666434');
INSERT INTO public.ecdc_import VALUES (20729, '30/11/2020', '30', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '855.75666434');
INSERT INTO public.ecdc_import VALUES (20730, '29/11/2020', '29', '11', '2020', '213', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '855.75666434');
INSERT INTO public.ecdc_import VALUES (20731, '28/11/2020', '28', '11', '2020', '100', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '858.62112179');
INSERT INTO public.ecdc_import VALUES (20732, '27/11/2020', '27', '11', '2020', '266', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '883.32706733');
INSERT INTO public.ecdc_import VALUES (20733, '26/11/2020', '26', '11', '2020', '231', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '911.61358469');
INSERT INTO public.ecdc_import VALUES (20734, '25/11/2020', '25', '11', '2020', '308', '5', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '933.09701559');
INSERT INTO public.ecdc_import VALUES (20735, '24/11/2020', '24', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1068.08457311');
INSERT INTO public.ecdc_import VALUES (20736, '23/11/2020', '23', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1068.08457311');
INSERT INTO public.ecdc_import VALUES (20737, '22/11/2020', '22', '11', '2020', '162', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1068.08457311');
INSERT INTO public.ecdc_import VALUES (20738, '21/11/2020', '21', '11', '2020', '229', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1096.37109046');
INSERT INTO public.ecdc_import VALUES (20739, '20/11/2020', '20', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1181.58869972');
INSERT INTO public.ecdc_import VALUES (20740, '19/11/2020', '19', '11', '2020', '466', '6', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1302.61202714');
INSERT INTO public.ecdc_import VALUES (20741, '18/11/2020', '18', '11', '2020', '415', '3', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1244.24870652');
INSERT INTO public.ecdc_import VALUES (20742, '17/11/2020', '17', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1591.20611562');
INSERT INTO public.ecdc_import VALUES (20743, '16/11/2020', '16', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1591.20611562');
INSERT INTO public.ecdc_import VALUES (20744, '15/11/2020', '15', '11', '2020', '221', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1591.20611562');
INSERT INTO public.ecdc_import VALUES (20745, '14/11/2020', '14', '11', '2020', '169', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1512.07547845');
INSERT INTO public.ecdc_import VALUES (20746, '13/11/2020', '13', '11', '2020', '345', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1451.56381474');
INSERT INTO public.ecdc_import VALUES (20747, '12/11/2020', '12', '11', '2020', '291', '3', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1603.3800598');
INSERT INTO public.ecdc_import VALUES (20748, '11/11/2020', '11', '11', '2020', '685', '10', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1499.18541991');
INSERT INTO public.ecdc_import VALUES (20749, '10/11/2020', '10', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1480.92450364');
INSERT INTO public.ecdc_import VALUES (20750, '09/11/2020', '9', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1503.12404891');
INSERT INTO public.ecdc_import VALUES (20751, '08/11/2020', '8', '11', '2020', '241', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1503.12404891');
INSERT INTO public.ecdc_import VALUES (20752, '07/11/2020', '7', '11', '2020', '467', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1416.83226811');
INSERT INTO public.ecdc_import VALUES (20753, '06/11/2020', '6', '11', '2020', '338', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1499.54347709');
INSERT INTO public.ecdc_import VALUES (20754, '05/11/2020', '5', '11', '2020', '303', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1553.61011153');
INSERT INTO public.ecdc_import VALUES (20755, '04/11/2020', '4', '11', '2020', '1384', '9', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1467.31833074');
INSERT INTO public.ecdc_import VALUES (20756, '03/11/2020', '3', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1240.6681347');
INSERT INTO public.ecdc_import VALUES (20757, '02/11/2020', '2', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1240.6681347');
INSERT INTO public.ecdc_import VALUES (20758, '01/11/2020', '1', '11', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1240.6681347');
INSERT INTO public.ecdc_import VALUES (20759, '31/10/2020', '31', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1262.86767997');
INSERT INTO public.ecdc_import VALUES (20760, '30/10/2020', '30', '10', '2020', '769', '3', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1320.87294341');
INSERT INTO public.ecdc_import VALUES (20761, '29/10/2020', '29', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1067.72651592');
INSERT INTO public.ecdc_import VALUES (20762, '28/10/2020', '28', '10', '2020', '634', '6', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1183.02092844');
INSERT INTO public.ecdc_import VALUES (20763, '27/10/2020', '27', '10', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '956.01267522');
INSERT INTO public.ecdc_import VALUES (20764, '26/10/2020', '26', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1111.76754928');
INSERT INTO public.ecdc_import VALUES (20765, '25/10/2020', '25', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1111.76754928');
INSERT INTO public.ecdc_import VALUES (20766, '24/10/2020', '24', '10', '2020', '698', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1111.76754928');
INSERT INTO public.ecdc_import VALUES (20767, '23/10/2020', '23', '10', '2020', '489', '3', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1005.78262348');
INSERT INTO public.ecdc_import VALUES (20768, '22/10/2020', '22', '10', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '830.69266162');
INSERT INTO public.ecdc_import VALUES (20769, '21/10/2020', '21', '10', '2020', '751', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '830.69266162');
INSERT INTO public.ecdc_import VALUES (20770, '20/10/2020', '20', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '561.79171814');
INSERT INTO public.ecdc_import VALUES (20771, '19/10/2020', '19', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '656.31881411');
INSERT INTO public.ecdc_import VALUES (20772, '18/10/2020', '18', '10', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '656.31881411');
INSERT INTO public.ecdc_import VALUES (20773, '17/10/2020', '17', '10', '2020', '162', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '634.11926885');
INSERT INTO public.ecdc_import VALUES (20774, '16/10/2020', '16', '10', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '638.41595503');
INSERT INTO public.ecdc_import VALUES (20775, '15/10/2020', '15', '10', '2020', '322', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '660.6155003');
INSERT INTO public.ecdc_import VALUES (20776, '14/10/2020', '14', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '545.32108778');
INSERT INTO public.ecdc_import VALUES (20777, '13/10/2020', '13', '10', '2020', '497', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '545.32108778');
INSERT INTO public.ecdc_import VALUES (20778, '12/10/2020', '12', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '486.95776716');
INSERT INTO public.ecdc_import VALUES (20779, '11/10/2020', '11', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '486.95776716');
INSERT INTO public.ecdc_import VALUES (20780, '10/10/2020', '10', '10', '2020', '402', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '486.95776716');
INSERT INTO public.ecdc_import VALUES (20781, '09/10/2020', '9', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '343.0187801');
INSERT INTO public.ecdc_import VALUES (20782, '08/10/2020', '8', '10', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '343.0187801');
INSERT INTO public.ecdc_import VALUES (20783, '07/10/2020', '7', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '320.81923483');
INSERT INTO public.ecdc_import VALUES (20784, '06/10/2020', '6', '10', '2020', '264', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '320.81923483');
INSERT INTO public.ecdc_import VALUES (20785, '05/10/2020', '5', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '231.3049394');
INSERT INTO public.ecdc_import VALUES (20786, '04/10/2020', '4', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '248.13362694');
INSERT INTO public.ecdc_import VALUES (20787, '03/10/2020', '3', '10', '2020', '174', '1', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '270.33317221');
INSERT INTO public.ecdc_import VALUES (20788, '02/10/2020', '2', '10', '2020', '124', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '214.83430904');
INSERT INTO public.ecdc_import VALUES (20789, '01/10/2020', '1', '10', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '190.1283635');
INSERT INTO public.ecdc_import VALUES (20790, '30/09/2020', '30', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '199.43785022');
INSERT INTO public.ecdc_import VALUES (20791, '29/09/2020', '29', '9', '2020', '334', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '225.21796731');
INSERT INTO public.ecdc_import VALUES (20792, '28/09/2020', '28', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '157.90321714');
INSERT INTO public.ecdc_import VALUES (20793, '27/09/2020', '27', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '157.90321714');
INSERT INTO public.ecdc_import VALUES (20794, '26/09/2020', '26', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '157.90321714');
INSERT INTO public.ecdc_import VALUES (20795, '25/09/2020', '25', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '192.27670659');
INSERT INTO public.ecdc_import VALUES (20796, '24/09/2020', '24', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '192.27670659');
INSERT INTO public.ecdc_import VALUES (20797, '23/09/2020', '23', '9', '2020', '0', '3', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '222.35350986');
INSERT INTO public.ecdc_import VALUES (20798, '22/09/2020', '22', '9', '2020', '14', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '222.35350986');
INSERT INTO public.ecdc_import VALUES (20799, '21/09/2020', '21', '9', '2020', '47', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '223.4276814');
INSERT INTO public.ecdc_import VALUES (20800, '20/09/2020', '20', '9', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '206.59899386');
INSERT INTO public.ecdc_import VALUES (20801, '19/09/2020', '19', '9', '2020', '19', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '206.59899386');
INSERT INTO public.ecdc_import VALUES (20802, '18/09/2020', '18', '9', '2020', '55', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '212.68596595');
INSERT INTO public.ecdc_import VALUES (20803, '17/09/2020', '17', '9', '2020', '26', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '192.99282095');
INSERT INTO public.ecdc_import VALUES (20804, '16/09/2020', '16', '9', '2020', '72', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '191.91864941');
INSERT INTO public.ecdc_import VALUES (20805, '15/09/2020', '15', '9', '2020', '146', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '182.60916268');
INSERT INTO public.ecdc_import VALUES (20806, '14/09/2020', '14', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '168.6449326');
INSERT INTO public.ecdc_import VALUES (20807, '13/09/2020', '13', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '168.6449326');
INSERT INTO public.ecdc_import VALUES (20808, '12/09/2020', '12', '9', '2020', '96', '2', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '168.6449326');
INSERT INTO public.ecdc_import VALUES (20809, '11/09/2020', '11', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '158.26127433');
INSERT INTO public.ecdc_import VALUES (20810, '10/09/2020', '10', '9', '2020', '84', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '158.26127433');
INSERT INTO public.ecdc_import VALUES (20811, '09/09/2020', '9', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '143.58092987');
INSERT INTO public.ecdc_import VALUES (20812, '08/09/2020', '8', '9', '2020', '17', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '143.58092987');
INSERT INTO public.ecdc_import VALUES (20813, '07/09/2020', '7', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '163.99018923');
INSERT INTO public.ecdc_import VALUES (20814, '06/09/2020', '6', '9', '2020', '62', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '163.99018923');
INSERT INTO public.ecdc_import VALUES (20815, '05/09/2020', '5', '9', '2020', '36', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '141.79064397');
INSERT INTO public.ecdc_import VALUES (20816, '04/09/2020', '4', '9', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '130.33281415');
INSERT INTO public.ecdc_import VALUES (20817, '03/09/2020', '3', '9', '2020', '23', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '130.33281415');
INSERT INTO public.ecdc_import VALUES (20818, '02/09/2020', '2', '9', '2020', '46', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '129.61669979');
INSERT INTO public.ecdc_import VALUES (20819, '01/09/2020', '1', '9', '2020', '107', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '113.14606943');
INSERT INTO public.ecdc_import VALUES (20820, '31/08/2020', '31', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '81.63703743');
INSERT INTO public.ecdc_import VALUES (20821, '30/08/2020', '30', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '90.94652416');
INSERT INTO public.ecdc_import VALUES (20822, '29/08/2020', '29', '8', '2020', '67', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '90.94652416');
INSERT INTO public.ecdc_import VALUES (20823, '28/08/2020', '28', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '72.68560789');
INSERT INTO public.ecdc_import VALUES (20824, '27/08/2020', '27', '8', '2020', '43', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '76.62423689');
INSERT INTO public.ecdc_import VALUES (20825, '26/08/2020', '26', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '63.37612117');
INSERT INTO public.ecdc_import VALUES (20826, '25/08/2020', '25', '8', '2020', '74', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '88.79818107');
INSERT INTO public.ecdc_import VALUES (20827, '24/08/2020', '24', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '62.30194962');
INSERT INTO public.ecdc_import VALUES (20828, '23/08/2020', '23', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '62.30194962');
INSERT INTO public.ecdc_import VALUES (20829, '22/08/2020', '22', '8', '2020', '4', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '62.30194962');
INSERT INTO public.ecdc_import VALUES (20830, '21/08/2020', '21', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '60.86972089');
INSERT INTO public.ecdc_import VALUES (20831, '20/08/2020', '20', '8', '2020', '21', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '60.86972089');
INSERT INTO public.ecdc_import VALUES (20832, '19/08/2020', '19', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '53.35052008');
INSERT INTO public.ecdc_import VALUES (20833, '18/08/2020', '18', '8', '2020', '19', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '53.35052008');
INSERT INTO public.ecdc_import VALUES (20834, '17/08/2020', '17', '8', '2020', '26', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '46.54743363');
INSERT INTO public.ecdc_import VALUES (20835, '16/08/2020', '16', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '37.2379469');
INSERT INTO public.ecdc_import VALUES (20836, '15/08/2020', '15', '8', '2020', '16', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '37.2379469');
INSERT INTO public.ecdc_import VALUES (20837, '14/08/2020', '14', '8', '2020', '11', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '31.50903199');
INSERT INTO public.ecdc_import VALUES (20838, '13/08/2020', '13', '8', '2020', '6', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '27.57040299');
INSERT INTO public.ecdc_import VALUES (20839, '12/08/2020', '12', '8', '2020', '71', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '25.4220599');
INSERT INTO public.ecdc_import VALUES (20840, '11/08/2020', '11', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20841, '10/08/2020', '10', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20842, '09/08/2020', '9', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20843, '08/08/2020', '8', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20844, '07/08/2020', '7', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20845, '06/08/2020', '6', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20846, '05/08/2020', '5', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20847, '04/08/2020', '4', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20848, '03/08/2020', '3', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20849, '02/08/2020', '2', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20850, '01/08/2020', '1', '8', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20851, '31/07/2020', '31', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20852, '30/07/2020', '30', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20853, '29/07/2020', '29', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20854, '28/07/2020', '28', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20855, '27/07/2020', '27', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20856, '26/07/2020', '26', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20857, '25/07/2020', '25', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20858, '24/07/2020', '24', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20859, '23/07/2020', '23', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20860, '22/07/2020', '22', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20861, '21/07/2020', '21', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20862, '20/07/2020', '20', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20863, '19/07/2020', '19', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20864, '18/07/2020', '18', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20865, '17/07/2020', '17', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20866, '16/07/2020', '16', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20867, '15/07/2020', '15', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20868, '14/07/2020', '14', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20869, '13/07/2020', '13', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20870, '12/07/2020', '12', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20871, '11/07/2020', '11', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20872, '10/07/2020', '10', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20873, '09/07/2020', '9', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20874, '08/07/2020', '8', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20875, '07/07/2020', '7', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20876, '06/07/2020', '6', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20877, '05/07/2020', '5', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20878, '04/07/2020', '4', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20879, '03/07/2020', '3', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20880, '02/07/2020', '2', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20881, '01/07/2020', '1', '7', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20882, '30/06/2020', '30', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20883, '29/06/2020', '29', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20884, '28/06/2020', '28', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20885, '27/06/2020', '27', '6', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20886, '26/06/2020', '26', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20887, '25/06/2020', '25', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20888, '24/06/2020', '24', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20889, '23/06/2020', '23', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20890, '22/06/2020', '22', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20891, '21/06/2020', '21', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20892, '20/06/2020', '20', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20893, '19/06/2020', '19', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20894, '18/06/2020', '18', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20895, '17/06/2020', '17', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20896, '16/06/2020', '16', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20897, '15/06/2020', '15', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20898, '14/06/2020', '14', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20899, '13/06/2020', '13', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20900, '12/06/2020', '12', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20901, '11/06/2020', '11', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20902, '10/06/2020', '10', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20903, '09/06/2020', '9', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20904, '08/06/2020', '8', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20905, '07/06/2020', '7', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20906, '06/06/2020', '6', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20907, '05/06/2020', '5', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20908, '04/06/2020', '4', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20909, '03/06/2020', '3', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20910, '02/06/2020', '2', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20911, '01/06/2020', '1', '6', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20912, '31/05/2020', '31', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20913, '30/05/2020', '30', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20914, '29/05/2020', '29', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20915, '28/05/2020', '28', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20916, '27/05/2020', '27', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20917, '26/05/2020', '26', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20918, '25/05/2020', '25', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20919, '24/05/2020', '24', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20920, '23/05/2020', '23', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20921, '22/05/2020', '22', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20922, '21/05/2020', '21', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20923, '20/05/2020', '20', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (20924, '19/05/2020', '19', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20925, '18/05/2020', '18', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20926, '17/05/2020', '17', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20927, '16/05/2020', '16', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20928, '15/05/2020', '15', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20929, '14/05/2020', '14', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20930, '13/05/2020', '13', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20931, '12/05/2020', '12', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20932, '11/05/2020', '11', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20933, '10/05/2020', '10', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20934, '09/05/2020', '9', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20935, '08/05/2020', '8', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20936, '07/05/2020', '7', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20937, '06/05/2020', '6', '5', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20938, '05/05/2020', '5', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '0.71611436');
INSERT INTO public.ecdc_import VALUES (20939, '04/05/2020', '4', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20940, '03/05/2020', '3', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20941, '02/05/2020', '2', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20942, '01/05/2020', '1', '5', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20943, '30/04/2020', '30', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20944, '29/04/2020', '29', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20945, '28/04/2020', '28', '4', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.07417155');
INSERT INTO public.ecdc_import VALUES (20946, '27/04/2020', '27', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '1.43222873');
INSERT INTO public.ecdc_import VALUES (20947, '26/04/2020', '26', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '2.14834309');
INSERT INTO public.ecdc_import VALUES (20948, '25/04/2020', '25', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '2.14834309');
INSERT INTO public.ecdc_import VALUES (20949, '24/04/2020', '24', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '2.14834309');
INSERT INTO public.ecdc_import VALUES (20950, '23/04/2020', '23', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '2.14834309');
INSERT INTO public.ecdc_import VALUES (20951, '22/04/2020', '22', '4', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '3.58057182');
INSERT INTO public.ecdc_import VALUES (20952, '21/04/2020', '21', '4', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '5.37085773');
INSERT INTO public.ecdc_import VALUES (20953, '20/04/2020', '20', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '5.01280054');
INSERT INTO public.ecdc_import VALUES (20954, '19/04/2020', '19', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '5.37085773');
INSERT INTO public.ecdc_import VALUES (20955, '18/04/2020', '18', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '5.72891491');
INSERT INTO public.ecdc_import VALUES (20956, '17/04/2020', '17', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.44502927');
INSERT INTO public.ecdc_import VALUES (20957, '16/04/2020', '16', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.44502927');
INSERT INTO public.ecdc_import VALUES (20958, '15/04/2020', '15', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.44502927');
INSERT INTO public.ecdc_import VALUES (20959, '14/04/2020', '14', '4', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.80308645');
INSERT INTO public.ecdc_import VALUES (20960, '13/04/2020', '13', '4', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.44502927');
INSERT INTO public.ecdc_import VALUES (20961, '12/04/2020', '12', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.08697209');
INSERT INTO public.ecdc_import VALUES (20962, '11/04/2020', '11', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '7.51920082');
INSERT INTO public.ecdc_import VALUES (20963, '10/04/2020', '10', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '7.51920082');
INSERT INTO public.ecdc_import VALUES (20964, '09/04/2020', '9', '4', '2020', '4', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '9.30948673');
INSERT INTO public.ecdc_import VALUES (20965, '08/04/2020', '8', '4', '2020', '6', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '7.877258');
INSERT INTO public.ecdc_import VALUES (20966, '07/04/2020', '7', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '6.44502927');
INSERT INTO public.ecdc_import VALUES (20967, '06/04/2020', '6', '4', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '8.23531518');
INSERT INTO public.ecdc_import VALUES (20968, '05/04/2020', '5', '4', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '8.23531518');
INSERT INTO public.ecdc_import VALUES (20969, '04/04/2020', '4', '4', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '8.59337236');
INSERT INTO public.ecdc_import VALUES (20970, '03/04/2020', '3', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '12.17394418');
INSERT INTO public.ecdc_import VALUES (20971, '02/04/2020', '2', '4', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '12.17394418');
INSERT INTO public.ecdc_import VALUES (20972, '01/04/2020', '1', '4', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '13.24811572');
INSERT INTO public.ecdc_import VALUES (20973, '31/03/2020', '31', '3', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20974, '30/03/2020', '30', '3', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20975, '29/03/2020', '29', '3', '2020', '4', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20976, '28/03/2020', '28', '3', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20977, '27/03/2020', '27', '3', '2020', '5', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20978, '26/03/2020', '26', '3', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20979, '25/03/2020', '25', '3', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20980, '24/03/2020', '24', '3', '2020', '5', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20981, '23/03/2020', '23', '3', '2020', '1', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20982, '22/03/2020', '22', '3', '2020', '2', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20983, '21/03/2020', '21', '3', '2020', '12', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20984, '20/03/2020', '20', '3', '2020', '0', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20985, '19/03/2020', '19', '3', '2020', '3', '0', '279285', 'French_Polynesia', 'PF', 'PYF', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (20986, '14/12/2020', '14', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.3979291');
INSERT INTO public.ecdc_import VALUES (20987, '13/12/2020', '13', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.3979291');
INSERT INTO public.ecdc_import VALUES (20988, '12/12/2020', '12', '12', '2020', '30', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.3979291');
INSERT INTO public.ecdc_import VALUES (20989, '11/12/2020', '11', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.84558989');
INSERT INTO public.ecdc_import VALUES (20990, '10/12/2020', '10', '12', '2020', '22', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.84558989');
INSERT INTO public.ecdc_import VALUES (20991, '09/12/2020', '9', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.89161816');
INSERT INTO public.ecdc_import VALUES (20992, '08/12/2020', '8', '12', '2020', '24', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.89161816');
INSERT INTO public.ecdc_import VALUES (20993, '07/12/2020', '7', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.66147683');
INSERT INTO public.ecdc_import VALUES (20994, '06/12/2020', '6', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.66147683');
INSERT INTO public.ecdc_import VALUES (20995, '05/12/2020', '5', '12', '2020', '15', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.66147683');
INSERT INTO public.ecdc_import VALUES (20996, '04/12/2020', '4', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.66147683');
INSERT INTO public.ecdc_import VALUES (20997, '03/12/2020', '3', '12', '2020', '25', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '7.13438137');
INSERT INTO public.ecdc_import VALUES (20998, '02/12/2020', '2', '12', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.98367469');
INSERT INTO public.ecdc_import VALUES (20999, '01/12/2020', '1', '12', '2020', '23', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.98367469');
INSERT INTO public.ecdc_import VALUES (21000, '30/11/2020', '30', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.93764643');
INSERT INTO public.ecdc_import VALUES (21001, '29/11/2020', '29', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.93764643');
INSERT INTO public.ecdc_import VALUES (21002, '28/11/2020', '28', '11', '2020', '18', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.93764643');
INSERT INTO public.ecdc_import VALUES (21003, '27/11/2020', '27', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.75353336');
INSERT INTO public.ecdc_import VALUES (21004, '26/11/2020', '26', '11', '2020', '23', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.75353336');
INSERT INTO public.ecdc_import VALUES (21005, '25/11/2020', '25', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.56942029');
INSERT INTO public.ecdc_import VALUES (21006, '24/11/2020', '24', '11', '2020', '19', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.56942029');
INSERT INTO public.ecdc_import VALUES (21007, '23/11/2020', '23', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.01708109');
INSERT INTO public.ecdc_import VALUES (21008, '22/11/2020', '22', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.01708109');
INSERT INTO public.ecdc_import VALUES (21009, '21/11/2020', '21', '11', '2020', '15', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.01708109');
INSERT INTO public.ecdc_import VALUES (21010, '20/11/2020', '20', '11', '2020', '32', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.10913762');
INSERT INTO public.ecdc_import VALUES (21011, '19/11/2020', '19', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.63623308');
INSERT INTO public.ecdc_import VALUES (21012, '18/11/2020', '18', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.60282669');
INSERT INTO public.ecdc_import VALUES (21013, '17/11/2020', '17', '11', '2020', '22', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.60282669');
INSERT INTO public.ecdc_import VALUES (21014, '16/11/2020', '16', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.32665709');
INSERT INTO public.ecdc_import VALUES (21015, '15/11/2020', '15', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.32665709');
INSERT INTO public.ecdc_import VALUES (21016, '14/11/2020', '14', '11', '2020', '14', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.32665709');
INSERT INTO public.ecdc_import VALUES (21017, '13/11/2020', '13', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.18857229');
INSERT INTO public.ecdc_import VALUES (21018, '12/11/2020', '12', '11', '2020', '19', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.18857229');
INSERT INTO public.ecdc_import VALUES (21019, '11/11/2020', '11', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.23460055');
INSERT INTO public.ecdc_import VALUES (21020, '10/11/2020', '10', '11', '2020', '7', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.23460055');
INSERT INTO public.ecdc_import VALUES (21021, '09/11/2020', '9', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.74091149');
INSERT INTO public.ecdc_import VALUES (21022, '08/11/2020', '8', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.74091149');
INSERT INTO public.ecdc_import VALUES (21023, '07/11/2020', '7', '11', '2020', '17', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.74091149');
INSERT INTO public.ecdc_import VALUES (21024, '06/11/2020', '6', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.78693976');
INSERT INTO public.ecdc_import VALUES (21025, '05/11/2020', '5', '11', '2020', '21', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.78693976');
INSERT INTO public.ecdc_import VALUES (21026, '04/11/2020', '4', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.60282669');
INSERT INTO public.ecdc_import VALUES (21027, '03/11/2020', '3', '11', '2020', '16', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.60282669');
INSERT INTO public.ecdc_import VALUES (21028, '02/11/2020', '2', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.00445922');
INSERT INTO public.ecdc_import VALUES (21029, '01/11/2020', '1', '11', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.00445922');
INSERT INTO public.ecdc_import VALUES (21030, '31/10/2020', '31', '10', '2020', '11', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.00445922');
INSERT INTO public.ecdc_import VALUES (21031, '30/10/2020', '30', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.05048749');
INSERT INTO public.ecdc_import VALUES (21032, '29/10/2020', '29', '10', '2020', '20', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.05048749');
INSERT INTO public.ecdc_import VALUES (21033, '28/10/2020', '28', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.54417655');
INSERT INTO public.ecdc_import VALUES (21034, '27/10/2020', '27', '10', '2020', '18', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.54417655');
INSERT INTO public.ecdc_import VALUES (21035, '26/10/2020', '26', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.86637442');
INSERT INTO public.ecdc_import VALUES (21036, '25/10/2020', '25', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.86637442');
INSERT INTO public.ecdc_import VALUES (21037, '24/10/2020', '24', '10', '2020', '18', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.86637442');
INSERT INTO public.ecdc_import VALUES (21038, '23/10/2020', '23', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.95843095');
INSERT INTO public.ecdc_import VALUES (21039, '22/10/2020', '22', '10', '2020', '17', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.95843095');
INSERT INTO public.ecdc_import VALUES (21040, '21/10/2020', '21', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.49814828');
INSERT INTO public.ecdc_import VALUES (21041, '20/10/2020', '20', '10', '2020', '3', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.49814828');
INSERT INTO public.ecdc_import VALUES (21042, '19/10/2020', '19', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.86637442');
INSERT INTO public.ecdc_import VALUES (21043, '18/10/2020', '18', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.86637442');
INSERT INTO public.ecdc_import VALUES (21044, '17/10/2020', '17', '10', '2020', '12', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.86637442');
INSERT INTO public.ecdc_import VALUES (21045, '16/10/2020', '16', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.74091149');
INSERT INTO public.ecdc_import VALUES (21046, '15/10/2020', '15', '10', '2020', '9', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.74091149');
INSERT INTO public.ecdc_import VALUES (21047, '14/10/2020', '14', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.97105282');
INSERT INTO public.ecdc_import VALUES (21048, '13/10/2020', '13', '10', '2020', '25', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.97105282');
INSERT INTO public.ecdc_import VALUES (21049, '12/10/2020', '12', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.92502456');
INSERT INTO public.ecdc_import VALUES (21050, '11/10/2020', '11', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.92502456');
INSERT INTO public.ecdc_import VALUES (21051, '10/10/2020', '10', '10', '2020', '20', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.92502456');
INSERT INTO public.ecdc_import VALUES (21052, '09/10/2020', '9', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.55679842');
INSERT INTO public.ecdc_import VALUES (21053, '08/10/2020', '8', '10', '2020', '7', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.55679842');
INSERT INTO public.ecdc_import VALUES (21054, '07/10/2020', '7', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.78693976');
INSERT INTO public.ecdc_import VALUES (21055, '06/10/2020', '6', '10', '2020', '11', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.78693976');
INSERT INTO public.ecdc_import VALUES (21056, '05/10/2020', '5', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.64885495');
INSERT INTO public.ecdc_import VALUES (21057, '04/10/2020', '4', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.64885495');
INSERT INTO public.ecdc_import VALUES (21058, '03/10/2020', '3', '10', '2020', '31', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.64885495');
INSERT INTO public.ecdc_import VALUES (21059, '02/10/2020', '2', '10', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.05048749');
INSERT INTO public.ecdc_import VALUES (21060, '01/10/2020', '1', '10', '2020', '14', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.05048749');
INSERT INTO public.ecdc_import VALUES (21061, '30/09/2020', '30', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.51077015');
INSERT INTO public.ecdc_import VALUES (21062, '29/09/2020', '29', '9', '2020', '24', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.51077015');
INSERT INTO public.ecdc_import VALUES (21063, '28/09/2020', '28', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.91240268');
INSERT INTO public.ecdc_import VALUES (21064, '27/09/2020', '27', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.91240268');
INSERT INTO public.ecdc_import VALUES (21065, '26/09/2020', '26', '9', '2020', '12', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.91240268');
INSERT INTO public.ecdc_import VALUES (21066, '25/09/2020', '25', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.37268535');
INSERT INTO public.ecdc_import VALUES (21067, '24/09/2020', '24', '9', '2020', '12', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.37268535');
INSERT INTO public.ecdc_import VALUES (21068, '23/09/2020', '23', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.41871362');
INSERT INTO public.ecdc_import VALUES (21069, '22/09/2020', '22', '9', '2020', '8', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.41871362');
INSERT INTO public.ecdc_import VALUES (21070, '21/09/2020', '21', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.37268535');
INSERT INTO public.ecdc_import VALUES (21071, '20/09/2020', '20', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.37268535');
INSERT INTO public.ecdc_import VALUES (21072, '19/09/2020', '19', '9', '2020', '18', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.37268535');
INSERT INTO public.ecdc_import VALUES (21073, '18/09/2020', '18', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.44395736');
INSERT INTO public.ecdc_import VALUES (21074, '17/09/2020', '17', '9', '2020', '24', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.44395736');
INSERT INTO public.ecdc_import VALUES (21075, '16/09/2020', '16', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.56942029');
INSERT INTO public.ecdc_import VALUES (21076, '15/09/2020', '15', '9', '2020', '11', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.56942029');
INSERT INTO public.ecdc_import VALUES (21077, '14/09/2020', '14', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.35190083');
INSERT INTO public.ecdc_import VALUES (21078, '13/09/2020', '13', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.35190083');
INSERT INTO public.ecdc_import VALUES (21079, '12/09/2020', '12', '9', '2020', '22', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.35190083');
INSERT INTO public.ecdc_import VALUES (21080, '11/09/2020', '11', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '7.04232483');
INSERT INTO public.ecdc_import VALUES (21081, '10/09/2020', '10', '9', '2020', '13', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '7.04232483');
INSERT INTO public.ecdc_import VALUES (21082, '09/09/2020', '9', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '9.15962511');
INSERT INTO public.ecdc_import VALUES (21083, '08/09/2020', '8', '9', '2020', '7', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '9.15962511');
INSERT INTO public.ecdc_import VALUES (21084, '07/09/2020', '7', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '9.80402085');
INSERT INTO public.ecdc_import VALUES (21085, '06/09/2020', '6', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '9.80402085');
INSERT INTO public.ecdc_import VALUES (21086, '05/09/2020', '5', '9', '2020', '63', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '9.80402085');
INSERT INTO public.ecdc_import VALUES (21087, '04/09/2020', '4', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '10.08019045');
INSERT INTO public.ecdc_import VALUES (21088, '03/09/2020', '3', '9', '2020', '5', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '10.08019045');
INSERT INTO public.ecdc_import VALUES (21089, '02/09/2020', '2', '9', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '12.10543419');
INSERT INTO public.ecdc_import VALUES (21090, '01/09/2020', '1', '9', '2020', '28', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '12.10543419');
INSERT INTO public.ecdc_import VALUES (21091, '31/08/2020', '31', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '12.88791473');
INSERT INTO public.ecdc_import VALUES (21092, '30/08/2020', '30', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '12.88791473');
INSERT INTO public.ecdc_import VALUES (21093, '29/08/2020', '29', '8', '2020', '37', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '12.88791473');
INSERT INTO public.ecdc_import VALUES (21094, '28/08/2020', '28', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '17.99705235');
INSERT INTO public.ecdc_import VALUES (21095, '27/08/2020', '27', '8', '2020', '59', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '17.99705235');
INSERT INTO public.ecdc_import VALUES (21096, '26/08/2020', '26', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '18.54939155');
INSERT INTO public.ecdc_import VALUES (21097, '25/08/2020', '25', '8', '2020', '21', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '18.54939155');
INSERT INTO public.ecdc_import VALUES (21098, '24/08/2020', '24', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '21.4031441');
INSERT INTO public.ecdc_import VALUES (21099, '23/08/2020', '23', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '21.4031441');
INSERT INTO public.ecdc_import VALUES (21100, '22/08/2020', '22', '8', '2020', '69', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '21.4031441');
INSERT INTO public.ecdc_import VALUES (21101, '21/08/2020', '21', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '24.48703798');
INSERT INTO public.ecdc_import VALUES (21102, '20/08/2020', '20', '8', '2020', '49', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '24.48703798');
INSERT INTO public.ecdc_import VALUES (21103, '19/08/2020', '19', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '28.72163853');
INSERT INTO public.ecdc_import VALUES (21104, '18/08/2020', '18', '8', '2020', '45', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '28.72163853');
INSERT INTO public.ecdc_import VALUES (21105, '17/08/2020', '17', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.94361721');
INSERT INTO public.ecdc_import VALUES (21106, '16/08/2020', '16', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.94361721');
INSERT INTO public.ecdc_import VALUES (21107, '15/08/2020', '15', '8', '2020', '148', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '40.18267699');
INSERT INTO public.ecdc_import VALUES (21108, '14/08/2020', '14', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.37049349');
INSERT INTO public.ecdc_import VALUES (21109, '13/08/2020', '13', '8', '2020', '71', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.37049349');
INSERT INTO public.ecdc_import VALUES (21110, '12/08/2020', '12', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '37.60509404');
INSERT INTO public.ecdc_import VALUES (21111, '11/08/2020', '11', '8', '2020', '83', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '37.60509404');
INSERT INTO public.ecdc_import VALUES (21112, '10/08/2020', '10', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '43.2205426');
INSERT INTO public.ecdc_import VALUES (21113, '09/08/2020', '9', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '43.2205426');
INSERT INTO public.ecdc_import VALUES (21114, '08/08/2020', '8', '8', '2020', '136', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '43.2205426');
INSERT INTO public.ecdc_import VALUES (21115, '07/08/2020', '7', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '55.18789199');
INSERT INTO public.ecdc_import VALUES (21116, '06/08/2020', '6', '8', '2020', '141', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '55.18789199');
INSERT INTO public.ecdc_import VALUES (21117, '05/08/2020', '5', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '55.83228772');
INSERT INTO public.ecdc_import VALUES (21118, '04/08/2020', '4', '8', '2020', '115', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '55.83228772');
INSERT INTO public.ecdc_import VALUES (21119, '03/08/2020', '3', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '55.97037253');
INSERT INTO public.ecdc_import VALUES (21120, '02/08/2020', '2', '8', '2020', '179', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '55.97037253');
INSERT INTO public.ecdc_import VALUES (21121, '01/08/2020', '1', '8', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '47.73131275');
INSERT INTO public.ecdc_import VALUES (21122, '31/07/2020', '31', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '56.66079653');
INSERT INTO public.ecdc_import VALUES (21123, '30/07/2020', '30', '7', '2020', '163', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '56.66079653');
INSERT INTO public.ecdc_import VALUES (21124, '29/07/2020', '29', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '53.53087438');
INSERT INTO public.ecdc_import VALUES (21125, '28/07/2020', '28', '7', '2020', '205', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '53.53087438');
INSERT INTO public.ecdc_import VALUES (21126, '27/07/2020', '27', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '47.96145409');
INSERT INTO public.ecdc_import VALUES (21127, '26/07/2020', '26', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '47.96145409');
INSERT INTO public.ecdc_import VALUES (21128, '25/07/2020', '25', '7', '2020', '396', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '47.96145409');
INSERT INTO public.ecdc_import VALUES (21129, '24/07/2020', '24', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.00226735');
INSERT INTO public.ecdc_import VALUES (21130, '23/07/2020', '23', '7', '2020', '155', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.00226735');
INSERT INTO public.ecdc_import VALUES (21131, '22/07/2020', '22', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.75950415');
INSERT INTO public.ecdc_import VALUES (21132, '21/07/2020', '21', '7', '2020', '118', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.75950415');
INSERT INTO public.ecdc_import VALUES (21133, '20/07/2020', '20', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.98964548');
INSERT INTO public.ecdc_import VALUES (21134, '19/07/2020', '19', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.98964548');
INSERT INTO public.ecdc_import VALUES (21135, '18/07/2020', '18', '7', '2020', '194', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '31.98964548');
INSERT INTO public.ecdc_import VALUES (21136, '17/07/2020', '17', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '27.98518626');
INSERT INTO public.ecdc_import VALUES (21137, '16/07/2020', '16', '7', '2020', '95', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '27.98518626');
INSERT INTO public.ecdc_import VALUES (21138, '15/07/2020', '15', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '29.08986467');
INSERT INTO public.ecdc_import VALUES (21139, '14/07/2020', '14', '7', '2020', '84', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '29.08986467');
INSERT INTO public.ecdc_import VALUES (21140, '13/07/2020', '13', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.73871962');
INSERT INTO public.ecdc_import VALUES (21141, '12/07/2020', '12', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.73871962');
INSERT INTO public.ecdc_import VALUES (21142, '11/07/2020', '11', '7', '2020', '71', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.73871962');
INSERT INTO public.ecdc_import VALUES (21143, '10/07/2020', '10', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '36.08616123');
INSERT INTO public.ecdc_import VALUES (21144, '09/07/2020', '9', '7', '2020', '128', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '42.11586419');
INSERT INTO public.ecdc_import VALUES (21145, '08/07/2020', '8', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '40.04459218');
INSERT INTO public.ecdc_import VALUES (21146, '07/07/2020', '7', '7', '2020', '123', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '46.21237995');
INSERT INTO public.ecdc_import VALUES (21147, '06/07/2020', '6', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '54.86569412');
INSERT INTO public.ecdc_import VALUES (21148, '05/07/2020', '5', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '54.86569412');
INSERT INTO public.ecdc_import VALUES (21149, '04/07/2020', '4', '7', '2020', '107', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '54.86569412');
INSERT INTO public.ecdc_import VALUES (21150, '03/07/2020', '3', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '53.99115705');
INSERT INTO public.ecdc_import VALUES (21151, '02/07/2020', '2', '7', '2020', '119', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '59.10029467');
INSERT INTO public.ecdc_import VALUES (21152, '01/07/2020', '1', '7', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '58.91618161');
INSERT INTO public.ecdc_import VALUES (21153, '30/06/2020', '30', '6', '2020', '185', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '62.64447122');
INSERT INTO public.ecdc_import VALUES (21154, '29/06/2020', '29', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '80.36535397');
INSERT INTO public.ecdc_import VALUES (21155, '28/06/2020', '28', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '80.36535397');
INSERT INTO public.ecdc_import VALUES (21156, '27/06/2020', '27', '6', '2020', '122', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '80.36535397');
INSERT INTO public.ecdc_import VALUES (21157, '26/06/2020', '26', '6', '2020', '131', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '74.74990541');
INSERT INTO public.ecdc_import VALUES (21158, '25/06/2020', '25', '6', '2020', '83', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '72.77068994');
INSERT INTO public.ecdc_import VALUES (21159, '24/06/2020', '24', '6', '2020', '134', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '72.6786334');
INSERT INTO public.ecdc_import VALUES (21160, '23/06/2020', '23', '6', '2020', '311', '5', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '68.67417418');
INSERT INTO public.ecdc_import VALUES (21161, '22/06/2020', '22', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.07951015');
INSERT INTO public.ecdc_import VALUES (21162, '21/06/2020', '21', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.07951015');
INSERT INTO public.ecdc_import VALUES (21163, '20/06/2020', '20', '6', '2020', '88', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.07951015');
INSERT INTO public.ecdc_import VALUES (21164, '19/06/2020', '19', '6', '2020', '111', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '63.74914963');
INSERT INTO public.ecdc_import VALUES (21165, '18/06/2020', '18', '6', '2020', '115', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.07951015');
INSERT INTO public.ecdc_import VALUES (21166, '17/06/2020', '17', '6', '2020', '81', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '60.34305788');
INSERT INTO public.ecdc_import VALUES (21167, '16/06/2020', '16', '6', '2020', '570', '4', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '63.42695176');
INSERT INTO public.ecdc_import VALUES (21168, '15/06/2020', '15', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '37.19083964');
INSERT INTO public.ecdc_import VALUES (21169, '14/06/2020', '14', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '37.19083964');
INSERT INTO public.ecdc_import VALUES (21170, '13/06/2020', '13', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '39.12402685');
INSERT INTO public.ecdc_import VALUES (21171, '12/06/2020', '12', '6', '2020', '88', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '47.50117142');
INSERT INTO public.ecdc_import VALUES (21172, '11/06/2020', '11', '6', '2020', '81', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '48.60584982');
INSERT INTO public.ecdc_import VALUES (21173, '10/06/2020', '10', '6', '2020', '47', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '48.60584982');
INSERT INTO public.ecdc_import VALUES (21174, '09/06/2020', '9', '6', '2020', '146', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '51.18343277');
INSERT INTO public.ecdc_import VALUES (21175, '08/06/2020', '8', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '53.71498745');
INSERT INTO public.ecdc_import VALUES (21176, '07/06/2020', '7', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '53.71498745');
INSERT INTO public.ecdc_import VALUES (21177, '06/06/2020', '6', '6', '2020', '146', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '63.19681043');
INSERT INTO public.ecdc_import VALUES (21178, '05/06/2020', '5', '6', '2020', '53', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '63.88723443');
INSERT INTO public.ecdc_import VALUES (21179, '04/06/2020', '4', '6', '2020', '99', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.44773628');
INSERT INTO public.ecdc_import VALUES (21180, '03/06/2020', '3', '6', '2020', '148', '3', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '59.88277521');
INSERT INTO public.ecdc_import VALUES (21181, '02/06/2020', '2', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '56.29257039');
INSERT INTO public.ecdc_import VALUES (21182, '01/06/2020', '1', '6', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.44773628');
INSERT INTO public.ecdc_import VALUES (21183, '31/05/2020', '31', '5', '2020', '42', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.44773628');
INSERT INTO public.ecdc_import VALUES (21184, '30/05/2020', '30', '5', '2020', '182', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '64.6236867');
INSERT INTO public.ecdc_import VALUES (21185, '29/05/2020', '29', '5', '2020', '112', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.07951015');
INSERT INTO public.ecdc_import VALUES (21186, '28/05/2020', '28', '5', '2020', '81', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '60.52717095');
INSERT INTO public.ecdc_import VALUES (21187, '27/05/2020', '27', '5', '2020', '103', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '63.28886696');
INSERT INTO public.ecdc_import VALUES (21188, '26/05/2020', '26', '5', '2020', '201', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '61.35567975');
INSERT INTO public.ecdc_import VALUES (21189, '25/05/2020', '25', '5', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '58.59398374');
INSERT INTO public.ecdc_import VALUES (21190, '24/05/2020', '24', '5', '2020', '206', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '58.59398374');
INSERT INTO public.ecdc_import VALUES (21191, '23/05/2020', '23', '5', '2020', '161', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '50.9993197');
INSERT INTO public.ecdc_import VALUES (21192, '22/05/2020', '22', '5', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '48.92804769');
INSERT INTO public.ecdc_import VALUES (21193, '21/05/2020', '21', '5', '2020', '65', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '51.91988504');
INSERT INTO public.ecdc_import VALUES (21194, '20/05/2020', '20', '5', '2020', '70', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '50.8612349');
INSERT INTO public.ecdc_import VALUES (21195, '19/05/2020', '19', '5', '2020', '112', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '49.02010423');
INSERT INTO public.ecdc_import VALUES (21196, '18/05/2020', '18', '5', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '45.33784288');
INSERT INTO public.ecdc_import VALUES (21197, '17/05/2020', '17', '5', '2020', '111', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '45.33784288');
INSERT INTO public.ecdc_import VALUES (21198, '16/05/2020', '16', '5', '2020', '105', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '41.47146846');
INSERT INTO public.ecdc_import VALUES (21199, '15/05/2020', '15', '5', '2020', '100', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '38.11140498');
INSERT INTO public.ecdc_import VALUES (21200, '14/05/2020', '14', '5', '2020', '141', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '33.50857829');
INSERT INTO public.ecdc_import VALUES (21201, '13/05/2020', '13', '5', '2020', '61', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '28.7676668');
INSERT INTO public.ecdc_import VALUES (21202, '12/05/2020', '12', '5', '2020', '141', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '27.20270573');
INSERT INTO public.ecdc_import VALUES (21203, '11/05/2020', '11', '5', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '22.32370944');
INSERT INTO public.ecdc_import VALUES (21204, '10/05/2020', '10', '5', '2020', '41', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '22.32370944');
INSERT INTO public.ecdc_import VALUES (21205, '09/05/2020', '9', '5', '2020', '116', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '20.62066356');
INSERT INTO public.ecdc_import VALUES (21206, '08/05/2020', '8', '5', '2020', '65', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '15.51152594');
INSERT INTO public.ecdc_import VALUES (21207, '07/05/2020', '7', '5', '2020', '42', '2', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '12.56571686');
INSERT INTO public.ecdc_import VALUES (21208, '06/05/2020', '6', '5', '2020', '30', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '11.09281232');
INSERT INTO public.ecdc_import VALUES (21209, '05/05/2020', '5', '5', '2020', '32', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '11.36898192');
INSERT INTO public.ecdc_import VALUES (21210, '04/05/2020', '4', '5', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '10.40238831');
INSERT INTO public.ecdc_import VALUES (21211, '03/05/2020', '3', '5', '2020', '27', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '10.40238831');
INSERT INTO public.ecdc_import VALUES (21212, '02/05/2020', '2', '5', '2020', '32', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '9.20565338');
INSERT INTO public.ecdc_import VALUES (21213, '01/05/2020', '1', '5', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '8.33111631');
INSERT INTO public.ecdc_import VALUES (21214, '30/04/2020', '30', '4', '2020', '38', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '8.69934244');
INSERT INTO public.ecdc_import VALUES (21215, '29/04/2020', '29', '4', '2020', '27', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '7.5026075');
INSERT INTO public.ecdc_import VALUES (21216, '28/04/2020', '28', '4', '2020', '35', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '7.0883531');
INSERT INTO public.ecdc_import VALUES (21217, '27/04/2020', '27', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.47736376');
INSERT INTO public.ecdc_import VALUES (21218, '26/04/2020', '26', '4', '2020', '4', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.84558989');
INSERT INTO public.ecdc_import VALUES (21219, '25/04/2020', '25', '4', '2020', '5', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.79956163');
INSERT INTO public.ecdc_import VALUES (21220, '24/04/2020', '24', '4', '2020', '1', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.66147683');
INSERT INTO public.ecdc_import VALUES (21221, '23/04/2020', '23', '4', '2020', '10', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '6.12175949');
INSERT INTO public.ecdc_import VALUES (21222, '22/04/2020', '22', '4', '2020', '36', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '5.79956163');
INSERT INTO public.ecdc_import VALUES (21223, '21/04/2020', '21', '4', '2020', '11', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.55679842');
INSERT INTO public.ecdc_import VALUES (21224, '20/04/2020', '20', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.05048749');
INSERT INTO public.ecdc_import VALUES (21225, '19/04/2020', '19', '4', '2020', '1', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.05048749');
INSERT INTO public.ecdc_import VALUES (21226, '18/04/2020', '18', '4', '2020', '13', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '4.00445922');
INSERT INTO public.ecdc_import VALUES (21227, '17/04/2020', '17', '4', '2020', '8', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.54417655');
INSERT INTO public.ecdc_import VALUES (21228, '16/04/2020', '16', '4', '2020', '12', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '3.17595041');
INSERT INTO public.ecdc_import VALUES (21229, '15/04/2020', '15', '4', '2020', '18', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '2.71566775');
INSERT INTO public.ecdc_import VALUES (21230, '14/04/2020', '14', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '2.30141334');
INSERT INTO public.ecdc_import VALUES (21231, '13/04/2020', '13', '4', '2020', '8', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '2.30141334');
INSERT INTO public.ecdc_import VALUES (21232, '12/04/2020', '12', '4', '2020', '3', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '1.93318721');
INSERT INTO public.ecdc_import VALUES (21233, '11/04/2020', '11', '4', '2020', '2', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '1.79510241');
INSERT INTO public.ecdc_import VALUES (21234, '10/04/2020', '10', '4', '2020', '11', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '1.70304587');
INSERT INTO public.ecdc_import VALUES (21235, '09/04/2020', '9', '4', '2020', '3', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '1.24276321');
INSERT INTO public.ecdc_import VALUES (21236, '08/04/2020', '8', '4', '2020', '9', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '1.10467841');
INSERT INTO public.ecdc_import VALUES (21237, '07/04/2020', '7', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.690424');
INSERT INTO public.ecdc_import VALUES (21238, '06/04/2020', '6', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.690424');
INSERT INTO public.ecdc_import VALUES (21239, '05/04/2020', '5', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.8285088');
INSERT INTO public.ecdc_import VALUES (21240, '04/04/2020', '4', '4', '2020', '3', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.8285088');
INSERT INTO public.ecdc_import VALUES (21241, '03/04/2020', '3', '4', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.690424');
INSERT INTO public.ecdc_import VALUES (21242, '02/04/2020', '2', '4', '2020', '2', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.690424');
INSERT INTO public.ecdc_import VALUES (21243, '01/04/2020', '1', '4', '2020', '9', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.690424');
INSERT INTO public.ecdc_import VALUES (21244, '31/03/2020', '31', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.2761696');
INSERT INTO public.ecdc_import VALUES (21245, '30/03/2020', '30', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.2761696');
INSERT INTO public.ecdc_import VALUES (21246, '29/03/2020', '29', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.2761696');
INSERT INTO public.ecdc_import VALUES (21247, '28/03/2020', '28', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.2761696');
INSERT INTO public.ecdc_import VALUES (21248, '27/03/2020', '27', '3', '2020', '1', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '0.32219787');
INSERT INTO public.ecdc_import VALUES (21249, '26/03/2020', '26', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21250, '25/03/2020', '25', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21251, '24/03/2020', '24', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21252, '23/03/2020', '23', '3', '2020', '3', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21253, '22/03/2020', '22', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21254, '21/03/2020', '21', '3', '2020', '0', '1', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21255, '20/03/2020', '20', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21256, '19/03/2020', '19', '3', '2020', '2', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21257, '18/03/2020', '18', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21258, '17/03/2020', '17', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21259, '16/03/2020', '16', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21260, '15/03/2020', '15', '3', '2020', '0', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21261, '13/03/2020', '13', '3', '2020', '1', '0', '2172578', 'Gabon', 'GA', 'GAB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21262, '14/12/2020', '14', '12', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.04455773');
INSERT INTO public.ecdc_import VALUES (21263, '13/12/2020', '13', '12', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.95936782');
INSERT INTO public.ecdc_import VALUES (21264, '12/12/2020', '12', '12', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.04455773');
INSERT INTO public.ecdc_import VALUES (21265, '11/12/2020', '11', '12', '2020', '3', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.17234259');
INSERT INTO public.ecdc_import VALUES (21266, '10/12/2020', '10', '12', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.08715268');
INSERT INTO public.ecdc_import VALUES (21267, '09/12/2020', '9', '12', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.95936782');
INSERT INTO public.ecdc_import VALUES (21268, '08/12/2020', '8', '12', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.87417792');
INSERT INTO public.ecdc_import VALUES (21269, '07/12/2020', '7', '12', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.87417792');
INSERT INTO public.ecdc_import VALUES (21270, '06/12/2020', '6', '12', '2020', '3', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.87417792');
INSERT INTO public.ecdc_import VALUES (21271, '05/12/2020', '5', '12', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.64088707');
INSERT INTO public.ecdc_import VALUES (21272, '04/12/2020', '4', '12', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.64088707');
INSERT INTO public.ecdc_import VALUES (21273, '03/12/2020', '3', '12', '2020', '22', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.55569716');
INSERT INTO public.ecdc_import VALUES (21274, '02/12/2020', '2', '12', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.6186082');
INSERT INTO public.ecdc_import VALUES (21275, '01/12/2020', '1', '12', '2020', '8', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.57601325');
INSERT INTO public.ecdc_import VALUES (21276, '30/11/2020', '30', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.36303849');
INSERT INTO public.ecdc_import VALUES (21277, '29/11/2020', '29', '11', '2020', '3', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.5334183');
INSERT INTO public.ecdc_import VALUES (21278, '28/11/2020', '28', '11', '2020', '3', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.40563344');
INSERT INTO public.ecdc_import VALUES (21279, '27/11/2020', '27', '11', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.32044353');
INSERT INTO public.ecdc_import VALUES (21280, '26/11/2020', '26', '11', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.27784858');
INSERT INTO public.ecdc_import VALUES (21281, '25/11/2020', '25', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.78898801');
INSERT INTO public.ecdc_import VALUES (21282, '24/11/2020', '24', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.78898801');
INSERT INTO public.ecdc_import VALUES (21283, '23/11/2020', '23', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.78898801');
INSERT INTO public.ecdc_import VALUES (21284, '22/11/2020', '22', '11', '2020', '21', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.78898801');
INSERT INTO public.ecdc_import VALUES (21285, '21/11/2020', '21', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.02227886');
INSERT INTO public.ecdc_import VALUES (21286, '20/11/2020', '20', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.06487382');
INSERT INTO public.ecdc_import VALUES (21287, '19/11/2020', '19', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.06487382');
INSERT INTO public.ecdc_import VALUES (21288, '18/11/2020', '18', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.10746877');
INSERT INTO public.ecdc_import VALUES (21289, '17/11/2020', '17', '11', '2020', '3', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.40563344');
INSERT INTO public.ecdc_import VALUES (21290, '16/11/2020', '16', '11', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.27784858');
INSERT INTO public.ecdc_import VALUES (21291, '15/11/2020', '15', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.10746877');
INSERT INTO public.ecdc_import VALUES (21292, '14/11/2020', '14', '11', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.19265867');
INSERT INTO public.ecdc_import VALUES (21293, '13/11/2020', '13', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.32044353');
INSERT INTO public.ecdc_import VALUES (21294, '12/11/2020', '12', '11', '2020', '13', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.32044353');
INSERT INTO public.ecdc_import VALUES (21295, '11/11/2020', '11', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21296, '10/11/2020', '10', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21297, '09/11/2020', '9', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.02227886');
INSERT INTO public.ecdc_import VALUES (21298, '08/11/2020', '8', '11', '2020', '3', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.06487382');
INSERT INTO public.ecdc_import VALUES (21299, '07/11/2020', '7', '11', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.93708896');
INSERT INTO public.ecdc_import VALUES (21300, '06/11/2020', '6', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.89449401');
INSERT INTO public.ecdc_import VALUES (21301, '05/11/2020', '5', '11', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.97968391');
INSERT INTO public.ecdc_import VALUES (21302, '04/11/2020', '4', '11', '2020', '7', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.02227886');
INSERT INTO public.ecdc_import VALUES (21303, '03/11/2020', '3', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.7241142');
INSERT INTO public.ecdc_import VALUES (21304, '02/11/2020', '2', '11', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.97968391');
INSERT INTO public.ecdc_import VALUES (21305, '01/11/2020', '1', '11', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.97968391');
INSERT INTO public.ecdc_import VALUES (21306, '31/10/2020', '31', '10', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.89449401');
INSERT INTO public.ecdc_import VALUES (21307, '30/10/2020', '30', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.93708896');
INSERT INTO public.ecdc_import VALUES (21308, '29/10/2020', '29', '10', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.93708896');
INSERT INTO public.ecdc_import VALUES (21309, '28/10/2020', '28', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.23525363');
INSERT INTO public.ecdc_import VALUES (21310, '27/10/2020', '27', '10', '2020', '5', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.23525363');
INSERT INTO public.ecdc_import VALUES (21311, '26/10/2020', '26', '10', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.19265867');
INSERT INTO public.ecdc_import VALUES (21312, '25/10/2020', '25', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.32044353');
INSERT INTO public.ecdc_import VALUES (21313, '24/10/2020', '24', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.6186082');
INSERT INTO public.ecdc_import VALUES (21314, '23/10/2020', '23', '10', '2020', '2', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.78898801');
INSERT INTO public.ecdc_import VALUES (21315, '22/10/2020', '22', '10', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.87417792');
INSERT INTO public.ecdc_import VALUES (21316, '21/10/2020', '21', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.78898801');
INSERT INTO public.ecdc_import VALUES (21317, '20/10/2020', '20', '10', '2020', '6', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.59829211');
INSERT INTO public.ecdc_import VALUES (21318, '19/10/2020', '19', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.3427224');
INSERT INTO public.ecdc_import VALUES (21319, '18/10/2020', '18', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.51310221');
INSERT INTO public.ecdc_import VALUES (21320, '17/10/2020', '17', '10', '2020', '5', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.72607697');
INSERT INTO public.ecdc_import VALUES (21321, '16/10/2020', '16', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.55569716');
INSERT INTO public.ecdc_import VALUES (21322, '15/10/2020', '15', '10', '2020', '8', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.76867192');
INSERT INTO public.ecdc_import VALUES (21323, '14/10/2020', '14', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.4279123');
INSERT INTO public.ecdc_import VALUES (21324, '13/10/2020', '13', '10', '2020', '4', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.85386183');
INSERT INTO public.ecdc_import VALUES (21325, '12/10/2020', '12', '10', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.68348202');
INSERT INTO public.ecdc_import VALUES (21326, '11/10/2020', '11', '10', '2020', '7', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '3.10943154');
INSERT INTO public.ecdc_import VALUES (21327, '10/10/2020', '10', '10', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.81126688');
INSERT INTO public.ecdc_import VALUES (21328, '09/10/2020', '9', '10', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.76867192');
INSERT INTO public.ecdc_import VALUES (21329, '08/10/2020', '8', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '3.02424164');
INSERT INTO public.ecdc_import VALUES (21330, '07/10/2020', '7', '10', '2020', '19', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '3.10943154');
INSERT INTO public.ecdc_import VALUES (21331, '06/10/2020', '6', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.30012744');
INSERT INTO public.ecdc_import VALUES (21332, '05/10/2020', '5', '10', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.89645678');
INSERT INTO public.ecdc_import VALUES (21333, '04/10/2020', '4', '10', '2020', '5', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '3.66316593');
INSERT INTO public.ecdc_import VALUES (21334, '03/10/2020', '3', '10', '2020', '1', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '4.25949527');
INSERT INTO public.ecdc_import VALUES (21335, '02/10/2020', '2', '10', '2020', '5', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '4.72803975');
INSERT INTO public.ecdc_import VALUES (21336, '01/10/2020', '1', '10', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '5.92069842');
INSERT INTO public.ecdc_import VALUES (21337, '30/09/2020', '30', '9', '2020', '10', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '6.43183785');
INSERT INTO public.ecdc_import VALUES (21338, '29/09/2020', '29', '9', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '6.98557224');
INSERT INTO public.ecdc_import VALUES (21339, '28/09/2020', '28', '9', '2020', '14', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '6.98557224');
INSERT INTO public.ecdc_import VALUES (21340, '27/09/2020', '27', '9', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '7.62449653');
INSERT INTO public.ecdc_import VALUES (21341, '26/09/2020', '26', '9', '2020', '3', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '8.22082587');
INSERT INTO public.ecdc_import VALUES (21342, '25/09/2020', '25', '9', '2020', '10', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '9.45607949');
INSERT INTO public.ecdc_import VALUES (21343, '24/09/2020', '24', '9', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '10.60614321');
INSERT INTO public.ecdc_import VALUES (21344, '23/09/2020', '23', '9', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '11.28766246');
INSERT INTO public.ecdc_import VALUES (21345, '22/09/2020', '22', '9', '2020', '14', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '14.61006877');
INSERT INTO public.ecdc_import VALUES (21346, '21/09/2020', '21', '9', '2020', '22', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '14.01373943');
INSERT INTO public.ecdc_import VALUES (21347, '20/09/2020', '20', '9', '2020', '19', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '15.07861324');
INSERT INTO public.ecdc_import VALUES (21348, '19/09/2020', '19', '9', '2020', '12', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '15.54715772');
INSERT INTO public.ecdc_import VALUES (21349, '18/09/2020', '18', '9', '2020', '33', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '15.84532239');
INSERT INTO public.ecdc_import VALUES (21350, '17/09/2020', '17', '9', '2020', '12', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '15.88791735');
INSERT INTO public.ecdc_import VALUES (21351, '16/09/2020', '16', '9', '2020', '23', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '16.99538611');
INSERT INTO public.ecdc_import VALUES (21352, '15/09/2020', '15', '9', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '18.82696908');
INSERT INTO public.ecdc_import VALUES (21353, '14/09/2020', '14', '9', '2020', '29', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '18.82696908');
INSERT INTO public.ecdc_import VALUES (21354, '13/09/2020', '13', '9', '2020', '14', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '20.48817223');
INSERT INTO public.ecdc_import VALUES (21355, '12/09/2020', '12', '9', '2020', '32', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '24.06614826');
INSERT INTO public.ecdc_import VALUES (21356, '11/09/2020', '11', '9', '2020', '37', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '25.00323722');
INSERT INTO public.ecdc_import VALUES (21357, '10/09/2020', '10', '9', '2020', '18', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '24.91804731');
INSERT INTO public.ecdc_import VALUES (21358, '09/09/2020', '9', '9', '2020', '78', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '25.08842712');
INSERT INTO public.ecdc_import VALUES (21359, '08/09/2020', '8', '9', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '26.06811103');
INSERT INTO public.ecdc_import VALUES (21360, '07/09/2020', '7', '9', '2020', '47', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '32.37216403');
INSERT INTO public.ecdc_import VALUES (21361, '06/09/2020', '6', '9', '2020', '30', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '30.37020125');
INSERT INTO public.ecdc_import VALUES (21362, '05/09/2020', '5', '9', '2020', '19', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '29.09235267');
INSERT INTO public.ecdc_import VALUES (21363, '04/09/2020', '4', '9', '2020', '34', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '29.81646687');
INSERT INTO public.ecdc_import VALUES (21364, '03/09/2020', '3', '9', '2020', '38', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '33.18146813');
INSERT INTO public.ecdc_import VALUES (21365, '02/09/2020', '2', '9', '2020', '66', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '49.28236024');
INSERT INTO public.ecdc_import VALUES (21366, '01/09/2020', '1', '9', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '46.47109336');
INSERT INTO public.ecdc_import VALUES (21367, '31/08/2020', '31', '8', '2020', '68', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '46.47109336');
INSERT INTO public.ecdc_import VALUES (21368, '30/08/2020', '30', '8', '2020', '98', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '51.36951292');
INSERT INTO public.ecdc_import VALUES (21369, '29/08/2020', '29', '8', '2020', '54', '3', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '50.00647443');
INSERT INTO public.ecdc_import VALUES (21370, '28/08/2020', '28', '8', '2020', '35', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '50.56020882');
INSERT INTO public.ecdc_import VALUES (21371, '27/08/2020', '27', '8', '2020', '22', '3', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '52.43438673');
INSERT INTO public.ecdc_import VALUES (21372, '26/08/2020', '26', '8', '2020', '101', '3', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '57.07723658');
INSERT INTO public.ecdc_import VALUES (21373, '25/08/2020', '25', '8', '2020', '148', '3', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '57.5031861');
INSERT INTO public.ecdc_import VALUES (21374, '24/08/2020', '24', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '51.19913311');
INSERT INTO public.ecdc_import VALUES (21375, '23/08/2020', '23', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '57.37540124');
INSERT INTO public.ecdc_import VALUES (21376, '22/08/2020', '22', '8', '2020', '36', '3', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '57.37540124');
INSERT INTO public.ecdc_import VALUES (21377, '21/08/2020', '21', '8', '2020', '113', '4', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '62.44420061');
INSERT INTO public.ecdc_import VALUES (21378, '20/08/2020', '20', '8', '2020', '416', '14', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '63.42388452');
INSERT INTO public.ecdc_import VALUES (21379, '19/08/2020', '19', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '51.15653815');
INSERT INTO public.ecdc_import VALUES (21380, '18/08/2020', '18', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '58.52546497');
INSERT INTO public.ecdc_import VALUES (21381, '17/08/2020', '17', '8', '2020', '183', '9', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '58.52546497');
INSERT INTO public.ecdc_import VALUES (21382, '16/08/2020', '16', '8', '2020', '66', '4', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '50.73058863');
INSERT INTO public.ecdc_import VALUES (21383, '15/08/2020', '15', '8', '2020', '67', '7', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '47.91932175');
INSERT INTO public.ecdc_import VALUES (21384, '14/08/2020', '14', '8', '2020', '79', '10', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '49.11198043');
INSERT INTO public.ecdc_import VALUES (21385, '13/08/2020', '13', '8', '2020', '131', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '49.02679052');
INSERT INTO public.ecdc_import VALUES (21386, '12/08/2020', '12', '8', '2020', '111', '9', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '43.44685172');
INSERT INTO public.ecdc_import VALUES (21387, '11/08/2020', '11', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '38.71881198');
INSERT INTO public.ecdc_import VALUES (21388, '10/08/2020', '10', '8', '2020', '145', '4', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '40.80596466');
INSERT INTO public.ecdc_import VALUES (21389, '09/08/2020', '9', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '34.62969652');
INSERT INTO public.ecdc_import VALUES (21390, '08/08/2020', '8', '8', '2020', '155', '3', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '37.22798863');
INSERT INTO public.ecdc_import VALUES (21391, '07/08/2020', '7', '8', '2020', '136', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '32.58513879');
INSERT INTO public.ecdc_import VALUES (21392, '06/08/2020', '6', '8', '2020', '128', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '27.81450409');
INSERT INTO public.ecdc_import VALUES (21393, '05/08/2020', '5', '8', '2020', '173', '5', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '23.81057854');
INSERT INTO public.ecdc_import VALUES (21394, '04/08/2020', '4', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '16.44165173');
INSERT INTO public.ecdc_import VALUES (21395, '03/08/2020', '3', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '17.25095583');
INSERT INTO public.ecdc_import VALUES (21396, '02/08/2020', '2', '8', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '17.25095583');
INSERT INTO public.ecdc_import VALUES (21397, '01/08/2020', '1', '8', '2020', '95', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '17.88988012');
INSERT INTO public.ecdc_import VALUES (21398, '31/07/2020', '31', '7', '2020', '77', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '13.84335962');
INSERT INTO public.ecdc_import VALUES (21399, '30/07/2020', '30', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '11.1598776');
INSERT INTO public.ecdc_import VALUES (21400, '29/07/2020', '29', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '11.1598776');
INSERT INTO public.ecdc_import VALUES (21401, '28/07/2020', '28', '7', '2020', '49', '2', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '11.1598776');
INSERT INTO public.ecdc_import VALUES (21402, '27/07/2020', '27', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '9.07272492');
INSERT INTO public.ecdc_import VALUES (21403, '26/07/2020', '26', '7', '2020', '61', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '9.07272492');
INSERT INTO public.ecdc_import VALUES (21404, '25/07/2020', '25', '7', '2020', '46', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '6.47443281');
INSERT INTO public.ecdc_import VALUES (21405, '24/07/2020', '24', '7', '2020', '24', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '4.51506498');
INSERT INTO public.ecdc_import VALUES (21406, '23/07/2020', '23', '7', '2020', '34', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '3.53538107');
INSERT INTO public.ecdc_import VALUES (21407, '22/07/2020', '22', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.17234259');
INSERT INTO public.ecdc_import VALUES (21408, '21/07/2020', '21', '7', '2020', '19', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '2.17234259');
INSERT INTO public.ecdc_import VALUES (21409, '20/07/2020', '20', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.5334183');
INSERT INTO public.ecdc_import VALUES (21410, '19/07/2020', '19', '7', '2020', '15', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '1.5334183');
INSERT INTO public.ecdc_import VALUES (21411, '18/07/2020', '18', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.97968391');
INSERT INTO public.ecdc_import VALUES (21412, '17/07/2020', '17', '7', '2020', '14', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.97968391');
INSERT INTO public.ecdc_import VALUES (21413, '16/07/2020', '16', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.63892429');
INSERT INTO public.ecdc_import VALUES (21414, '15/07/2020', '15', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.7241142');
INSERT INTO public.ecdc_import VALUES (21415, '14/07/2020', '14', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.7241142');
INSERT INTO public.ecdc_import VALUES (21416, '13/07/2020', '13', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21417, '12/07/2020', '12', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21418, '11/07/2020', '11', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.85189905');
INSERT INTO public.ecdc_import VALUES (21419, '10/07/2020', '10', '7', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.89449401');
INSERT INTO public.ecdc_import VALUES (21420, '09/07/2020', '9', '7', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.89449401');
INSERT INTO public.ecdc_import VALUES (21421, '08/07/2020', '8', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21422, '07/07/2020', '7', '7', '2020', '4', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.85189905');
INSERT INTO public.ecdc_import VALUES (21423, '06/07/2020', '6', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.85189905');
INSERT INTO public.ecdc_import VALUES (21424, '05/07/2020', '5', '7', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.85189905');
INSERT INTO public.ecdc_import VALUES (21425, '04/07/2020', '4', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21426, '03/07/2020', '3', '7', '2020', '6', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.8093041');
INSERT INTO public.ecdc_import VALUES (21427, '02/07/2020', '2', '7', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.63892429');
INSERT INTO public.ecdc_import VALUES (21428, '01/07/2020', '1', '7', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.55373438');
INSERT INTO public.ecdc_import VALUES (21429, '30/06/2020', '30', '6', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.7241142');
INSERT INTO public.ecdc_import VALUES (21430, '29/06/2020', '29', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.7241142');
INSERT INTO public.ecdc_import VALUES (21431, '28/06/2020', '28', '6', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.7241142');
INSERT INTO public.ecdc_import VALUES (21432, '27/06/2020', '27', '6', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.68151924');
INSERT INTO public.ecdc_import VALUES (21433, '26/06/2020', '26', '6', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.63892429');
INSERT INTO public.ecdc_import VALUES (21434, '25/06/2020', '25', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.59632934');
INSERT INTO public.ecdc_import VALUES (21435, '24/06/2020', '24', '6', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.59632934');
INSERT INTO public.ecdc_import VALUES (21436, '23/06/2020', '23', '6', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.55373438');
INSERT INTO public.ecdc_import VALUES (21437, '22/06/2020', '22', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.46854448');
INSERT INTO public.ecdc_import VALUES (21438, '21/06/2020', '21', '6', '2020', '1', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.46854448');
INSERT INTO public.ecdc_import VALUES (21439, '20/06/2020', '20', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.42594953');
INSERT INTO public.ecdc_import VALUES (21440, '19/06/2020', '19', '6', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.42594953');
INSERT INTO public.ecdc_import VALUES (21441, '18/06/2020', '18', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.34075962');
INSERT INTO public.ecdc_import VALUES (21442, '17/06/2020', '17', '6', '2020', '4', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.34075962');
INSERT INTO public.ecdc_import VALUES (21443, '16/06/2020', '16', '6', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21444, '15/06/2020', '15', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21445, '14/06/2020', '14', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21446, '13/06/2020', '13', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21447, '12/06/2020', '12', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21448, '11/06/2020', '11', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21449, '10/06/2020', '10', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21450, '09/06/2020', '9', '6', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21451, '08/06/2020', '8', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21452, '07/06/2020', '7', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21453, '06/06/2020', '6', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21454, '05/06/2020', '5', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21455, '04/06/2020', '4', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21456, '03/06/2020', '3', '6', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21457, '02/06/2020', '2', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21458, '01/06/2020', '1', '6', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21459, '31/05/2020', '31', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21460, '30/05/2020', '30', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21461, '29/05/2020', '29', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21462, '28/05/2020', '28', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21463, '27/05/2020', '27', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21464, '26/05/2020', '26', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21465, '25/05/2020', '25', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21466, '24/05/2020', '24', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21467, '23/05/2020', '23', '5', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21468, '22/05/2020', '22', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21469, '21/05/2020', '21', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21470, '20/05/2020', '20', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21471, '19/05/2020', '19', '5', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21472, '18/05/2020', '18', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21473, '17/05/2020', '17', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21474, '16/05/2020', '16', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.46854448');
INSERT INTO public.ecdc_import VALUES (21475, '15/05/2020', '15', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.46854448');
INSERT INTO public.ecdc_import VALUES (21476, '14/05/2020', '14', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.51113943');
INSERT INTO public.ecdc_import VALUES (21477, '13/05/2020', '13', '5', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.55373438');
INSERT INTO public.ecdc_import VALUES (21478, '12/05/2020', '12', '5', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.51113943');
INSERT INTO public.ecdc_import VALUES (21479, '11/05/2020', '11', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.42594953');
INSERT INTO public.ecdc_import VALUES (21480, '10/05/2020', '10', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.42594953');
INSERT INTO public.ecdc_import VALUES (21481, '09/05/2020', '9', '5', '2020', '2', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.42594953');
INSERT INTO public.ecdc_import VALUES (21482, '08/05/2020', '8', '5', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.34075962');
INSERT INTO public.ecdc_import VALUES (21483, '07/05/2020', '7', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21484, '06/05/2020', '6', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21485, '05/05/2020', '5', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21486, '04/05/2020', '4', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.29816467');
INSERT INTO public.ecdc_import VALUES (21487, '03/05/2020', '3', '5', '2020', '5', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.34075962');
INSERT INTO public.ecdc_import VALUES (21488, '02/05/2020', '2', '5', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21489, '01/05/2020', '1', '5', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21490, '30/04/2020', '30', '4', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21491, '29/04/2020', '29', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21492, '28/04/2020', '28', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21493, '27/04/2020', '27', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21494, '26/04/2020', '26', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21495, '25/04/2020', '25', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21496, '24/04/2020', '24', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21497, '23/04/2020', '23', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21498, '22/04/2020', '22', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21499, '21/04/2020', '21', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21500, '20/04/2020', '20', '4', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21501, '19/04/2020', '19', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21502, '18/04/2020', '18', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21503, '17/04/2020', '17', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21504, '16/04/2020', '16', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21505, '15/04/2020', '15', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21506, '14/04/2020', '14', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.21297476');
INSERT INTO public.ecdc_import VALUES (21507, '13/04/2020', '13', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21508, '12/04/2020', '12', '4', '2020', '5', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.25556972');
INSERT INTO public.ecdc_import VALUES (21509, '11/04/2020', '11', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21510, '10/04/2020', '10', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21511, '09/04/2020', '9', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21512, '08/04/2020', '8', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.04259495');
INSERT INTO public.ecdc_import VALUES (21513, '07/04/2020', '7', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.08518991');
INSERT INTO public.ecdc_import VALUES (21514, '06/04/2020', '6', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21515, '05/04/2020', '5', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21516, '04/04/2020', '4', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21517, '03/04/2020', '3', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21518, '02/04/2020', '2', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21519, '01/04/2020', '1', '4', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.12778486');
INSERT INTO public.ecdc_import VALUES (21520, '31/03/2020', '31', '3', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '0.17037981');
INSERT INTO public.ecdc_import VALUES (21521, '30/03/2020', '30', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21522, '29/03/2020', '29', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21523, '28/03/2020', '28', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21524, '27/03/2020', '27', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21525, '26/03/2020', '26', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21526, '25/03/2020', '25', '3', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21527, '24/03/2020', '24', '3', '2020', '1', '1', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21528, '23/03/2020', '23', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21529, '22/03/2020', '22', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21530, '21/03/2020', '21', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21531, '20/03/2020', '20', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21532, '19/03/2020', '19', '3', '2020', '0', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21533, '18/03/2020', '18', '3', '2020', '1', '0', '2347696', 'Gambia', 'GM', 'GMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (21534, '14/12/2020', '14', '12', '2020', '1337', '49', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1388.09866587');
INSERT INTO public.ecdc_import VALUES (21535, '13/12/2020', '13', '12', '2020', '2720', '46', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1435.11172294');
INSERT INTO public.ecdc_import VALUES (21536, '12/12/2020', '12', '12', '2020', '3907', '50', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1477.79627609');
INSERT INTO public.ecdc_import VALUES (21537, '11/12/2020', '11', '12', '2020', '4146', '37', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1491.93271954');
INSERT INTO public.ecdc_import VALUES (21538, '10/12/2020', '10', '12', '2020', '4570', '43', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1507.79556051');
INSERT INTO public.ecdc_import VALUES (21539, '09/12/2020', '9', '12', '2020', '4734', '38', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1488.55498526');
INSERT INTO public.ecdc_import VALUES (21540, '08/12/2020', '8', '12', '2020', '4673', '36', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1446.94630303');
INSERT INTO public.ecdc_import VALUES (21541, '07/12/2020', '7', '12', '2020', '2501', '36', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1408.29001076');
INSERT INTO public.ecdc_import VALUES (21542, '06/12/2020', '6', '12', '2020', '4321', '42', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1444.74452069');
INSERT INTO public.ecdc_import VALUES (21543, '05/12/2020', '5', '12', '2020', '5450', '37', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1437.91399138');
INSERT INTO public.ecdc_import VALUES (21544, '04/12/2020', '4', '12', '2020', '5068', '38', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1491.50737522');
INSERT INTO public.ecdc_import VALUES (21545, '03/12/2020', '3', '12', '2020', '4260', '45', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1457.20460713');
INSERT INTO public.ecdc_import VALUES (21546, '02/12/2020', '2', '12', '2020', '4033', '39', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1436.7630597');
INSERT INTO public.ecdc_import VALUES (21547, '01/12/2020', '1', '12', '2020', '3759', '36', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1344.86366714');
INSERT INTO public.ecdc_import VALUES (21548, '30/11/2020', '30', '11', '2020', '3216', '37', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1319.79337274');
INSERT INTO public.ecdc_import VALUES (21549, '29/11/2020', '29', '11', '2020', '4426', '35', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1318.31717776');
INSERT INTO public.ecdc_import VALUES (21550, '28/11/2020', '28', '11', '2020', '4472', '34', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1283.13870078');
INSERT INTO public.ecdc_import VALUES (21551, '27/11/2020', '27', '11', '2020', '4780', '37', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1258.91909501');
INSERT INTO public.ecdc_import VALUES (21552, '26/11/2020', '26', '11', '2020', '3801', '39', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1226.21762317');
INSERT INTO public.ecdc_import VALUES (21553, '25/11/2020', '25', '11', '2020', '3071', '34', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1209.17883026');
INSERT INTO public.ecdc_import VALUES (21554, '24/11/2020', '24', '11', '2020', '3128', '39', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1205.17558964');
INSERT INTO public.ecdc_import VALUES (21555, '23/11/2020', '23', '11', '2020', '3958', '36', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1201.22238952');
INSERT INTO public.ecdc_import VALUES (21556, '22/11/2020', '22', '11', '2020', '4048', '49', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1175.42650776');
INSERT INTO public.ecdc_import VALUES (21557, '21/11/2020', '21', '11', '2020', '7592', '74', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1146.72827654');
INSERT INTO public.ecdc_import VALUES (21558, '20/11/2020', '20', '11', '2020', '3697', '38', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1028.30741485');
INSERT INTO public.ecdc_import VALUES (21559, '19/11/2020', '19', '11', '2020', '3443', '37', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1005.23874076');
INSERT INTO public.ecdc_import VALUES (21560, '18/11/2020', '18', '11', '2020', '360', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '979.1676362');
INSERT INTO public.ecdc_import VALUES (21561, '17/11/2020', '17', '11', '2020', '2757', '45', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1027.58182749');
INSERT INTO public.ecdc_import VALUES (21562, '16/11/2020', '16', '11', '2020', '3157', '30', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1007.21534082');
INSERT INTO public.ecdc_import VALUES (21563, '15/11/2020', '15', '11', '2020', '3020', '34', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '974.56390948');
INSERT INTO public.ecdc_import VALUES (21564, '14/11/2020', '14', '11', '2020', '3504', '33', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '943.81401745');
INSERT INTO public.ecdc_import VALUES (21565, '13/11/2020', '13', '11', '2020', '3473', '37', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '898.00193256');
INSERT INTO public.ecdc_import VALUES (21566, '12/11/2020', '12', '11', '2020', '3120', '33', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '853.54094139');
INSERT INTO public.ecdc_import VALUES (21567, '11/11/2020', '11', '11', '2020', '2911', '45', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '818.23736315');
INSERT INTO public.ecdc_import VALUES (21568, '10/11/2020', '10', '11', '2020', '2970', '22', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '788.71346355');
INSERT INTO public.ecdc_import VALUES (21569, '09/11/2020', '9', '11', '2020', '2927', '24', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '760.04025258');
INSERT INTO public.ecdc_import VALUES (21570, '08/11/2020', '8', '11', '2020', '2901', '34', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '733.64388472');
INSERT INTO public.ecdc_import VALUES (21571, '07/11/2020', '7', '11', '2020', '2859', '18', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '757.8634905');
INSERT INTO public.ecdc_import VALUES (21572, '06/11/2020', '6', '11', '2020', '2775', '22', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '730.34121121');
INSERT INTO public.ecdc_import VALUES (21573, '05/11/2020', '5', '11', '2020', '2401', '20', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '700.81731161');
INSERT INTO public.ecdc_import VALUES (21574, '04/11/2020', '4', '11', '2020', '2295', '19', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '674.54604502');
INSERT INTO public.ecdc_import VALUES (21575, '03/11/2020', '3', '11', '2020', '1943', '20', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '646.99874548');
INSERT INTO public.ecdc_import VALUES (21576, '02/11/2020', '2', '11', '2020', '1852', '7', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '628.05841329');
INSERT INTO public.ecdc_import VALUES (21577, '01/11/2020', '1', '11', '2020', '1791', '28', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '611.54504571');
INSERT INTO public.ecdc_import VALUES (21578, '31/10/2020', '31', '10', '2020', '1673', '22', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '590.70317422');
INSERT INTO public.ecdc_import VALUES (21579, '30/10/2020', '30', '10', '2020', '1696', '12', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '571.03725466');
INSERT INTO public.ecdc_import VALUES (21580, '29/10/2020', '29', '10', '2020', '1709', '20', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '551.59651738');
INSERT INTO public.ecdc_import VALUES (21581, '28/10/2020', '28', '10', '2020', '1731', '15', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '525.85067612');
INSERT INTO public.ecdc_import VALUES (21582, '27/10/2020', '27', '10', '2020', '1824', '23', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '496.7771411');
INSERT INTO public.ecdc_import VALUES (21583, '26/10/2020', '26', '10', '2020', '1872', '14', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '463.09987935');
INSERT INTO public.ecdc_import VALUES (21584, '25/10/2020', '25', '10', '2020', '3869', '18', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '429.34755685');
INSERT INTO public.ecdc_import VALUES (21585, '24/10/2020', '24', '10', '2020', '1759', '5', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '345.5297063');
INSERT INTO public.ecdc_import VALUES (21586, '23/10/2020', '23', '10', '2020', '1595', '6', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '314.7047535');
INSERT INTO public.ecdc_import VALUES (21587, '22/10/2020', '22', '10', '2020', '1351', '14', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '286.60700837');
INSERT INTO public.ecdc_import VALUES (21588, '21/10/2020', '21', '10', '2020', '1194', '15', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '265.51493434');
INSERT INTO public.ecdc_import VALUES (21589, '20/10/2020', '20', '10', '2020', '1186', '7', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '249.37687058');
INSERT INTO public.ecdc_import VALUES (21590, '19/10/2020', '19', '10', '2020', '1192', '8', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '234.16455621');
INSERT INTO public.ecdc_import VALUES (21591, '18/10/2020', '18', '10', '2020', '958', '4', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '204.34041356');
INSERT INTO public.ecdc_import VALUES (21592, '17/10/2020', '17', '10', '2020', '887', '11', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '194.23223099');
INSERT INTO public.ecdc_import VALUES (21593, '16/10/2020', '16', '10', '2020', '919', '4', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '183.82380537');
INSERT INTO public.ecdc_import VALUES (21594, '15/10/2020', '15', '10', '2020', '680', '7', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '172.16436706');
INSERT INTO public.ecdc_import VALUES (21595, '14/10/2020', '14', '10', '2020', '569', '9', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '174.51627092');
INSERT INTO public.ecdc_import VALUES (21596, '13/10/2020', '13', '10', '2020', '478', '8', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '160.27974645');
INSERT INTO public.ecdc_import VALUES (21597, '12/10/2020', '12', '10', '2020', '523', '7', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '156.17642482');
INSERT INTO public.ecdc_import VALUES (21598, '11/10/2020', '11', '10', '2020', '519', '6', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '150.54686769');
INSERT INTO public.ecdc_import VALUES (21599, '10/10/2020', '10', '10', '2020', '527', '6', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '152.32330572');
INSERT INTO public.ecdc_import VALUES (21600, '09/10/2020', '9', '10', '2020', '472', '3', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '145.7679992');
INSERT INTO public.ecdc_import VALUES (21601, '08/10/2020', '8', '10', '2020', '508', '5', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '133.95843936');
INSERT INTO public.ecdc_import VALUES (21602, '07/10/2020', '7', '10', '2020', '549', '4', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '127.72839614');
INSERT INTO public.ecdc_import VALUES (21603, '06/10/2020', '6', '10', '2020', '578', '4', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '119.67187438');
INSERT INTO public.ecdc_import VALUES (21604, '05/10/2020', '5', '10', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '110.66458298');
INSERT INTO public.ecdc_import VALUES (21605, '04/10/2020', '4', '10', '2020', '554', '2', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '115.49349198');
INSERT INTO public.ecdc_import VALUES (21606, '03/10/2020', '3', '10', '2020', '471', '5', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '106.53624109');
INSERT INTO public.ecdc_import VALUES (21607, '02/10/2020', '2', '10', '2020', '453', '4', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '99.43048898');
INSERT INTO public.ecdc_import VALUES (21608, '01/10/2020', '1', '10', '2020', '774', '6', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '92.65000018');
INSERT INTO public.ecdc_import VALUES (21609, '30/09/2020', '30', '9', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '77.76294911');
INSERT INTO public.ecdc_import VALUES (21610, '29/09/2020', '29', '9', '2020', '314', '5', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '86.92036203');
INSERT INTO public.ecdc_import VALUES (21611, '28/09/2020', '28', '9', '2020', '298', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '79.06400231');
INSERT INTO public.ecdc_import VALUES (21612, '27/09/2020', '27', '9', '2020', '590', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '79.53938713');
INSERT INTO public.ecdc_import VALUES (21613, '26/09/2020', '26', '9', '2020', '265', '2', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '64.77743734');
INSERT INTO public.ecdc_import VALUES (21614, '25/09/2020', '25', '9', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '62.10027017');
INSERT INTO public.ecdc_import VALUES (21615, '24/09/2020', '24', '9', '2020', '259', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '64.27703226');
INSERT INTO public.ecdc_import VALUES (21616, '23/09/2020', '23', '9', '2020', '227', '2', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '59.22294097');
INSERT INTO public.ecdc_import VALUES (21617, '22/09/2020', '22', '9', '2020', '218', '2', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '55.77014593');
INSERT INTO public.ecdc_import VALUES (21618, '21/09/2020', '21', '9', '2020', '193', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '51.41662176');
INSERT INTO public.ecdc_import VALUES (21619, '20/09/2020', '20', '9', '2020', '196', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '47.06309758');
INSERT INTO public.ecdc_import VALUES (21620, '19/09/2020', '19', '9', '2020', '187', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '42.78463416');
INSERT INTO public.ecdc_import VALUES (21621, '18/09/2020', '18', '9', '2020', '182', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '38.80641379');
INSERT INTO public.ecdc_import VALUES (21622, '17/09/2020', '17', '9', '2020', '179', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '34.75313266');
INSERT INTO public.ecdc_import VALUES (21623, '16/09/2020', '16', '9', '2020', '366', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '31.22527686');
INSERT INTO public.ecdc_import VALUES (21624, '15/09/2020', '15', '9', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '22.64332978');
INSERT INTO public.ecdc_import VALUES (21625, '14/09/2020', '14', '9', '2020', '317', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '22.64332978');
INSERT INTO public.ecdc_import VALUES (21626, '13/09/2020', '13', '9', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '15.33741564');
INSERT INTO public.ecdc_import VALUES (21627, '12/09/2020', '12', '9', '2020', '158', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '15.33741564');
INSERT INTO public.ecdc_import VALUES (21628, '11/09/2020', '11', '9', '2020', '87', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '11.5593573');
INSERT INTO public.ecdc_import VALUES (21629, '10/09/2020', '10', '9', '2020', '57', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '9.58275724');
INSERT INTO public.ecdc_import VALUES (21630, '09/09/2020', '9', '9', '2020', '89', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '8.43182556');
INSERT INTO public.ecdc_import VALUES (21631, '08/09/2020', '8', '9', '2020', '44', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '6.58032677');
INSERT INTO public.ecdc_import VALUES (21632, '07/09/2020', '7', '9', '2020', '19', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.72963814');
INSERT INTO public.ecdc_import VALUES (21633, '06/09/2020', '6', '9', '2020', '25', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.67959763');
INSERT INTO public.ecdc_import VALUES (21634, '05/09/2020', '5', '9', '2020', '28', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.27927357');
INSERT INTO public.ecdc_import VALUES (21635, '04/09/2020', '4', '9', '2020', '20', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.95401027');
INSERT INTO public.ecdc_import VALUES (21636, '03/09/2020', '3', '9', '2020', '38', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.67878748');
INSERT INTO public.ecdc_import VALUES (21637, '02/09/2020', '2', '9', '2020', '23', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.72801783');
INSERT INTO public.ecdc_import VALUES (21638, '01/09/2020', '1', '9', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.40275453');
INSERT INTO public.ecdc_import VALUES (21639, '31/08/2020', '31', '8', '2020', '25', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.65295707');
INSERT INTO public.ecdc_import VALUES (21640, '30/08/2020', '30', '8', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.5278558');
INSERT INTO public.ecdc_import VALUES (21641, '29/08/2020', '29', '8', '2020', '7', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.90315961');
INSERT INTO public.ecdc_import VALUES (21642, '28/08/2020', '28', '8', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.72801783');
INSERT INTO public.ecdc_import VALUES (21643, '27/08/2020', '27', '8', '2020', '11', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.10332164');
INSERT INTO public.ecdc_import VALUES (21644, '26/08/2020', '26', '8', '2020', '15', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.95320012');
INSERT INTO public.ecdc_import VALUES (21645, '25/08/2020', '25', '8', '2020', '10', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.92817986');
INSERT INTO public.ecdc_import VALUES (21646, '24/08/2020', '24', '8', '2020', '17', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.02826088');
INSERT INTO public.ecdc_import VALUES (21647, '23/08/2020', '23', '8', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.22842291');
INSERT INTO public.ecdc_import VALUES (21648, '22/08/2020', '22', '8', '2020', '15', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.30348367');
INSERT INTO public.ecdc_import VALUES (21649, '21/08/2020', '21', '8', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.10332164');
INSERT INTO public.ecdc_import VALUES (21650, '20/08/2020', '20', '8', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.87813935');
INSERT INTO public.ecdc_import VALUES (21651, '19/08/2020', '19', '8', '2020', '10', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.10332164');
INSERT INTO public.ecdc_import VALUES (21652, '18/08/2020', '18', '8', '2020', '10', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.22842291');
INSERT INTO public.ecdc_import VALUES (21653, '17/08/2020', '17', '8', '2020', '20', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.10332164');
INSERT INTO public.ecdc_import VALUES (21654, '16/08/2020', '16', '8', '2020', '15', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.75303808');
INSERT INTO public.ecdc_import VALUES (21655, '15/08/2020', '15', '8', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.45279504');
INSERT INTO public.ecdc_import VALUES (21656, '14/08/2020', '14', '8', '2020', '23', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.65295707');
INSERT INTO public.ecdc_import VALUES (21657, '13/08/2020', '13', '8', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.2025925');
INSERT INTO public.ecdc_import VALUES (21658, '12/08/2020', '12', '8', '2020', '14', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.07749123');
INSERT INTO public.ecdc_import VALUES (21659, '11/08/2020', '11', '8', '2020', '14', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.97741021');
INSERT INTO public.ecdc_import VALUES (21660, '10/08/2020', '10', '8', '2020', '25', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.82728869');
INSERT INTO public.ecdc_import VALUES (21661, '09/08/2020', '9', '8', '2020', '12', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.35190387');
INSERT INTO public.ecdc_import VALUES (21662, '08/08/2020', '8', '8', '2020', '7', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.40194437');
INSERT INTO public.ecdc_import VALUES (21663, '07/08/2020', '7', '8', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.5520659');
INSERT INTO public.ecdc_import VALUES (21664, '06/08/2020', '6', '8', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.32769377');
INSERT INTO public.ecdc_import VALUES (21665, '05/08/2020', '5', '8', '2020', '15', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.70299758');
INSERT INTO public.ecdc_import VALUES (21666, '04/08/2020', '4', '8', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.57789631');
INSERT INTO public.ecdc_import VALUES (21667, '03/08/2020', '3', '8', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.72801783');
INSERT INTO public.ecdc_import VALUES (21668, '02/08/2020', '2', '8', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.57789631');
INSERT INTO public.ecdc_import VALUES (21669, '01/08/2020', '1', '8', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.75303808');
INSERT INTO public.ecdc_import VALUES (21670, '31/07/2020', '31', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.8531191');
INSERT INTO public.ecdc_import VALUES (21671, '30/07/2020', '30', '7', '2020', '0', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.72801783');
INSERT INTO public.ecdc_import VALUES (21672, '29/07/2020', '29', '7', '2020', '10', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.80307859');
INSERT INTO public.ecdc_import VALUES (21673, '28/07/2020', '28', '7', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.65295707');
INSERT INTO public.ecdc_import VALUES (21674, '27/07/2020', '27', '7', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.55287605');
INSERT INTO public.ecdc_import VALUES (21675, '26/07/2020', '26', '7', '2020', '14', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.62793681');
INSERT INTO public.ecdc_import VALUES (21676, '25/07/2020', '25', '7', '2020', '13', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.40275453');
INSERT INTO public.ecdc_import VALUES (21677, '24/07/2020', '24', '7', '2020', '31', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.27765326');
INSERT INTO public.ecdc_import VALUES (21678, '23/07/2020', '23', '7', '2020', '24', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.62712666');
INSERT INTO public.ecdc_import VALUES (21679, '22/07/2020', '22', '7', '2020', '10', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.15174184');
INSERT INTO public.ecdc_import VALUES (21680, '21/07/2020', '21', '7', '2020', '11', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.02664057');
INSERT INTO public.ecdc_import VALUES (21681, '20/07/2020', '20', '7', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.87651904');
INSERT INTO public.ecdc_import VALUES (21682, '19/07/2020', '19', '7', '2020', '10', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.00162031');
INSERT INTO public.ecdc_import VALUES (21683, '18/07/2020', '18', '7', '2020', '12', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.80145828');
INSERT INTO public.ecdc_import VALUES (21684, '17/07/2020', '17', '7', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.67635701');
INSERT INTO public.ecdc_import VALUES (21685, '16/07/2020', '16', '7', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.87651904');
INSERT INTO public.ecdc_import VALUES (21686, '15/07/2020', '15', '7', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.87651904');
INSERT INTO public.ecdc_import VALUES (21687, '14/07/2020', '14', '7', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.77643803');
INSERT INTO public.ecdc_import VALUES (21688, '13/07/2020', '13', '7', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.72639752');
INSERT INTO public.ecdc_import VALUES (21689, '12/07/2020', '12', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.55125574');
INSERT INTO public.ecdc_import VALUES (21690, '11/07/2020', '11', '7', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.50121523');
INSERT INTO public.ecdc_import VALUES (21691, '10/07/2020', '10', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.35109371');
INSERT INTO public.ecdc_import VALUES (21692, '09/07/2020', '9', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.27603295');
INSERT INTO public.ecdc_import VALUES (21693, '08/07/2020', '8', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.22599244');
INSERT INTO public.ecdc_import VALUES (21694, '07/07/2020', '7', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.17595193');
INSERT INTO public.ecdc_import VALUES (21695, '06/07/2020', '6', '7', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.12591143');
INSERT INTO public.ecdc_import VALUES (21696, '05/07/2020', '5', '7', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.25101269');
INSERT INTO public.ecdc_import VALUES (21697, '04/07/2020', '4', '7', '2020', '7', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.25101269');
INSERT INTO public.ecdc_import VALUES (21698, '03/07/2020', '3', '7', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.10089117');
INSERT INTO public.ecdc_import VALUES (21699, '02/07/2020', '2', '7', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.95076965');
INSERT INTO public.ecdc_import VALUES (21700, '01/07/2020', '1', '7', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.00081016');
INSERT INTO public.ecdc_import VALUES (21701, '30/06/2020', '30', '6', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.22599244');
INSERT INTO public.ecdc_import VALUES (21702, '29/06/2020', '29', '6', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.17595193');
INSERT INTO public.ecdc_import VALUES (21703, '28/06/2020', '28', '6', '2020', '3', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.82647853');
INSERT INTO public.ecdc_import VALUES (21704, '27/06/2020', '27', '6', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.9515798');
INSERT INTO public.ecdc_import VALUES (21705, '26/06/2020', '26', '6', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.20178234');
INSERT INTO public.ecdc_import VALUES (21706, '25/06/2020', '25', '6', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.25182285');
INSERT INTO public.ecdc_import VALUES (21707, '24/06/2020', '24', '6', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.40194437');
INSERT INTO public.ecdc_import VALUES (21708, '23/06/2020', '23', '6', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.47700514');
INSERT INTO public.ecdc_import VALUES (21709, '22/06/2020', '22', '6', '2020', '10', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.50202539');
INSERT INTO public.ecdc_import VALUES (21710, '21/06/2020', '21', '6', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.25182285');
INSERT INTO public.ecdc_import VALUES (21711, '20/06/2020', '20', '6', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.2768431');
INSERT INTO public.ecdc_import VALUES (21712, '19/06/2020', '19', '6', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.35190387');
INSERT INTO public.ecdc_import VALUES (21713, '18/06/2020', '18', '6', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.32688361');
INSERT INTO public.ecdc_import VALUES (21714, '17/06/2020', '17', '6', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.20178234');
INSERT INTO public.ecdc_import VALUES (21715, '16/06/2020', '16', '6', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.07668107');
INSERT INTO public.ecdc_import VALUES (21716, '15/06/2020', '15', '6', '2020', '28', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.40194437');
INSERT INTO public.ecdc_import VALUES (21717, '14/06/2020', '14', '6', '2020', '8', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.35190387');
INSERT INTO public.ecdc_import VALUES (21718, '13/06/2020', '13', '6', '2020', '12', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.42696463');
INSERT INTO public.ecdc_import VALUES (21719, '12/06/2020', '12', '6', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.32688361');
INSERT INTO public.ecdc_import VALUES (21720, '11/06/2020', '11', '6', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.30186336');
INSERT INTO public.ecdc_import VALUES (21721, '10/06/2020', '10', '6', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.15174184');
INSERT INTO public.ecdc_import VALUES (21722, '09/06/2020', '9', '6', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.02664057');
INSERT INTO public.ecdc_import VALUES (21723, '08/06/2020', '8', '6', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.9515798');
INSERT INTO public.ecdc_import VALUES (21724, '07/06/2020', '7', '6', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.00162031');
INSERT INTO public.ecdc_import VALUES (21725, '06/06/2020', '6', '6', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.05166082');
INSERT INTO public.ecdc_import VALUES (21726, '05/06/2020', '5', '6', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.00162031');
INSERT INTO public.ecdc_import VALUES (21727, '04/06/2020', '4', '6', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.17676209');
INSERT INTO public.ecdc_import VALUES (21728, '03/06/2020', '3', '6', '2020', '4', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.32688361');
INSERT INTO public.ecdc_import VALUES (21729, '02/06/2020', '2', '6', '2020', '13', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.35190387');
INSERT INTO public.ecdc_import VALUES (21730, '01/06/2020', '1', '6', '2020', '26', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.05166082');
INSERT INTO public.ecdc_import VALUES (21731, '31/05/2020', '31', '5', '2020', '11', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.55125574');
INSERT INTO public.ecdc_import VALUES (21732, '30/05/2020', '30', '5', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.87651904');
INSERT INTO public.ecdc_import VALUES (21733, '29/05/2020', '29', '5', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.77643803');
INSERT INTO public.ecdc_import VALUES (21734, '28/05/2020', '28', '5', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.20178234');
INSERT INTO public.ecdc_import VALUES (21735, '27/05/2020', '27', '5', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.25182285');
INSERT INTO public.ecdc_import VALUES (21736, '26/05/2020', '26', '5', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.32688361');
INSERT INTO public.ecdc_import VALUES (21737, '25/05/2020', '25', '5', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.37692412');
INSERT INTO public.ecdc_import VALUES (21738, '24/05/2020', '24', '5', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.5520659');
INSERT INTO public.ecdc_import VALUES (21739, '23/05/2020', '23', '5', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.50202539');
INSERT INTO public.ecdc_import VALUES (21740, '22/05/2020', '22', '5', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.65214691');
INSERT INTO public.ecdc_import VALUES (21741, '21/05/2020', '21', '5', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.57708615');
INSERT INTO public.ecdc_import VALUES (21742, '20/05/2020', '20', '5', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.57708615');
INSERT INTO public.ecdc_import VALUES (21743, '19/05/2020', '19', '5', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.72720767');
INSERT INTO public.ecdc_import VALUES (21744, '18/05/2020', '18', '5', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.80226844');
INSERT INTO public.ecdc_import VALUES (21745, '17/05/2020', '17', '5', '2020', '24', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.82728869');
INSERT INTO public.ecdc_import VALUES (21746, '16/05/2020', '16', '5', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.2268026');
INSERT INTO public.ecdc_import VALUES (21747, '15/05/2020', '15', '5', '2020', '20', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.2025925');
INSERT INTO public.ecdc_import VALUES (21748, '14/05/2020', '14', '5', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.25263301');
INSERT INTO public.ecdc_import VALUES (21749, '13/05/2020', '13', '5', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.27765326');
INSERT INTO public.ecdc_import VALUES (21750, '12/05/2020', '12', '5', '2020', '3', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.5278558');
INSERT INTO public.ecdc_import VALUES (21751, '11/05/2020', '11', '5', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.72801783');
INSERT INTO public.ecdc_import VALUES (21752, '10/05/2020', '10', '5', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.25344316');
INSERT INTO public.ecdc_import VALUES (21753, '09/05/2020', '9', '5', '2020', '8', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.47862545');
INSERT INTO public.ecdc_import VALUES (21754, '08/05/2020', '8', '5', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.75384824');
INSERT INTO public.ecdc_import VALUES (21755, '07/05/2020', '7', '5', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.85392926');
INSERT INTO public.ecdc_import VALUES (21756, '06/05/2020', '6', '5', '2020', '11', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.90396976');
INSERT INTO public.ecdc_import VALUES (21757, '05/05/2020', '5', '5', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.77886849');
INSERT INTO public.ecdc_import VALUES (21758, '04/05/2020', '4', '5', '2020', '7', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.87894951');
INSERT INTO public.ecdc_import VALUES (21759, '03/05/2020', '3', '5', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.85392926');
INSERT INTO public.ecdc_import VALUES (21760, '02/05/2020', '2', '5', '2020', '43', '2', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.30429383');
INSERT INTO public.ecdc_import VALUES (21761, '01/05/2020', '1', '5', '2020', '22', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.77886849');
INSERT INTO public.ecdc_import VALUES (21762, '30/04/2020', '30', '4', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.27927357');
INSERT INTO public.ecdc_import VALUES (21763, '29/04/2020', '29', '4', '2020', '14', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.27927357');
INSERT INTO public.ecdc_import VALUES (21764, '28/04/2020', '28', '4', '2020', '11', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.62955713');
INSERT INTO public.ecdc_import VALUES (21765, '27/04/2020', '27', '4', '2020', '30', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.72963814');
INSERT INTO public.ecdc_import VALUES (21766, '26/04/2020', '26', '4', '2020', '12', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.35433433');
INSERT INTO public.ecdc_import VALUES (21767, '25/04/2020', '25', '4', '2020', '19', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.25425332');
INSERT INTO public.ecdc_import VALUES (21768, '24/04/2020', '24', '4', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.17919256');
INSERT INTO public.ecdc_import VALUES (21769, '23/04/2020', '23', '4', '2020', '8', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.12915205');
INSERT INTO public.ecdc_import VALUES (21770, '22/04/2020', '22', '4', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.30429383');
INSERT INTO public.ecdc_import VALUES (21771, '21/04/2020', '21', '4', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.35433433');
INSERT INTO public.ecdc_import VALUES (21772, '20/04/2020', '20', '4', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.50445586');
INSERT INTO public.ecdc_import VALUES (21773, '19/04/2020', '19', '4', '2020', '18', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.77967865');
INSERT INTO public.ecdc_import VALUES (21774, '18/04/2020', '18', '4', '2020', '22', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.55449636');
INSERT INTO public.ecdc_import VALUES (21775, '17/04/2020', '17', '4', '2020', '42', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '5.67959763');
INSERT INTO public.ecdc_import VALUES (21776, '16/04/2020', '16', '4', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.77886849');
INSERT INTO public.ecdc_import VALUES (21777, '15/04/2020', '15', '4', '2020', '28', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.75384824');
INSERT INTO public.ecdc_import VALUES (21778, '14/04/2020', '14', '4', '2020', '15', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.35352418');
INSERT INTO public.ecdc_import VALUES (21779, '13/04/2020', '13', '4', '2020', '15', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '4.1783824');
INSERT INTO public.ecdc_import VALUES (21780, '12/04/2020', '12', '4', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.92817986');
INSERT INTO public.ecdc_import VALUES (21781, '11/04/2020', '11', '4', '2020', '16', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.82809885');
INSERT INTO public.ecdc_import VALUES (21782, '10/04/2020', '10', '4', '2020', '7', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.47781529');
INSERT INTO public.ecdc_import VALUES (21783, '09/04/2020', '9', '4', '2020', '15', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.45279504');
INSERT INTO public.ecdc_import VALUES (21784, '08/04/2020', '8', '4', '2020', '8', '1', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.15255199');
INSERT INTO public.ecdc_import VALUES (21785, '07/04/2020', '7', '4', '2020', '14', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.17757224');
INSERT INTO public.ecdc_import VALUES (21786, '06/04/2020', '6', '4', '2020', '17', '2', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '3.00243047');
INSERT INTO public.ecdc_import VALUES (21787, '05/04/2020', '5', '4', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.70218742');
INSERT INTO public.ecdc_import VALUES (21788, '04/04/2020', '4', '4', '2020', '27', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.62712666');
INSERT INTO public.ecdc_import VALUES (21789, '03/04/2020', '3', '4', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.02664057');
INSERT INTO public.ecdc_import VALUES (21790, '02/04/2020', '2', '4', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '2.02664057');
INSERT INTO public.ecdc_import VALUES (21791, '01/04/2020', '1', '4', '2020', '12', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.9015393');
INSERT INTO public.ecdc_import VALUES (21792, '31/03/2020', '31', '3', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.6263165');
INSERT INTO public.ecdc_import VALUES (21793, '30/03/2020', '30', '3', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.50121523');
INSERT INTO public.ecdc_import VALUES (21794, '29/03/2020', '29', '3', '2020', '4', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.37611396');
INSERT INTO public.ecdc_import VALUES (21795, '28/03/2020', '28', '3', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.27603295');
INSERT INTO public.ecdc_import VALUES (21796, '27/03/2020', '27', '3', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.35109371');
INSERT INTO public.ecdc_import VALUES (21797, '26/03/2020', '26', '3', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.22599244');
INSERT INTO public.ecdc_import VALUES (21798, '25/03/2020', '25', '3', '2020', '9', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.17595193');
INSERT INTO public.ecdc_import VALUES (21799, '24/03/2020', '24', '3', '2020', '7', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.15093168');
INSERT INTO public.ecdc_import VALUES (21800, '23/03/2020', '23', '3', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '1.02583041');
INSERT INTO public.ecdc_import VALUES (21801, '22/03/2020', '22', '3', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.92574939');
INSERT INTO public.ecdc_import VALUES (21802, '21/03/2020', '21', '3', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.85068863');
INSERT INTO public.ecdc_import VALUES (21803, '20/03/2020', '20', '3', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.92574939');
INSERT INTO public.ecdc_import VALUES (21804, '19/03/2020', '19', '3', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.77562787');
INSERT INTO public.ecdc_import VALUES (21805, '18/03/2020', '18', '3', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.77562787');
INSERT INTO public.ecdc_import VALUES (21806, '17/03/2020', '17', '3', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.77562787');
INSERT INTO public.ecdc_import VALUES (21807, '16/03/2020', '16', '3', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.72558736');
INSERT INTO public.ecdc_import VALUES (21808, '15/03/2020', '15', '3', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.72558736');
INSERT INTO public.ecdc_import VALUES (21809, '14/03/2020', '14', '3', '2020', '5', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.75060762');
INSERT INTO public.ecdc_import VALUES (21810, '13/03/2020', '13', '3', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.62550635');
INSERT INTO public.ecdc_import VALUES (21811, '12/03/2020', '12', '3', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.60048609');
INSERT INTO public.ecdc_import VALUES (21812, '11/03/2020', '11', '3', '2020', '8', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.57546584');
INSERT INTO public.ecdc_import VALUES (21813, '10/03/2020', '10', '3', '2020', '2', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.37530381');
INSERT INTO public.ecdc_import VALUES (21814, '09/03/2020', '9', '3', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.3252633');
INSERT INTO public.ecdc_import VALUES (21815, '08/03/2020', '8', '3', '2020', '3', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.30024305');
INSERT INTO public.ecdc_import VALUES (21816, '06/03/2020', '6', '3', '2020', '6', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.22518229');
INSERT INTO public.ecdc_import VALUES (21817, '05/03/2020', '5', '3', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.07506076');
INSERT INTO public.ecdc_import VALUES (21818, '02/03/2020', '2', '3', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.07506076');
INSERT INTO public.ecdc_import VALUES (21819, '01/03/2020', '1', '3', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.07506076');
INSERT INTO public.ecdc_import VALUES (21820, '29/02/2020', '29', '2', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.05004051');
INSERT INTO public.ecdc_import VALUES (21821, '28/02/2020', '28', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.02502025');
INSERT INTO public.ecdc_import VALUES (21822, '27/02/2020', '27', '2', '2020', '1', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0.02502025');
INSERT INTO public.ecdc_import VALUES (21823, '26/02/2020', '26', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21824, '25/02/2020', '25', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21825, '24/02/2020', '24', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21826, '23/02/2020', '23', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21827, '22/02/2020', '22', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21828, '21/02/2020', '21', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21829, '20/02/2020', '20', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21830, '19/02/2020', '19', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21831, '18/02/2020', '18', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21832, '17/02/2020', '17', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21833, '16/02/2020', '16', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21834, '15/02/2020', '15', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21835, '14/02/2020', '14', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21836, '13/02/2020', '13', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21837, '12/02/2020', '12', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21838, '11/02/2020', '11', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21839, '10/02/2020', '10', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21840, '09/02/2020', '9', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21841, '08/02/2020', '8', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21842, '07/02/2020', '7', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21843, '06/02/2020', '6', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21844, '05/02/2020', '5', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21845, '04/02/2020', '4', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21846, '03/02/2020', '3', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21847, '02/02/2020', '2', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21848, '01/02/2020', '1', '2', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21849, '31/01/2020', '31', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21850, '30/01/2020', '30', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21851, '29/01/2020', '29', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21852, '28/01/2020', '28', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21853, '27/01/2020', '27', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21854, '26/01/2020', '26', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21855, '25/01/2020', '25', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21856, '24/01/2020', '24', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21857, '23/01/2020', '23', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21858, '22/01/2020', '22', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21859, '21/01/2020', '21', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21860, '20/01/2020', '20', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21861, '19/01/2020', '19', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21862, '18/01/2020', '18', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21863, '17/01/2020', '17', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21864, '16/01/2020', '16', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21865, '15/01/2020', '15', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21866, '14/01/2020', '14', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21867, '13/01/2020', '13', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (21868, '12/01/2020', '12', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21869, '11/01/2020', '11', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21870, '10/01/2020', '10', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21871, '09/01/2020', '9', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21872, '08/01/2020', '8', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21873, '07/01/2020', '7', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21874, '06/01/2020', '6', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21875, '05/01/2020', '5', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21876, '04/01/2020', '4', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21877, '03/01/2020', '3', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21878, '02/01/2020', '2', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21879, '01/01/2020', '1', '1', '2020', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21880, '31/12/2019', '31', '12', '2019', '0', '0', '3996762', 'Georgia', 'GE', 'GEO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (21881, '14/12/2020', '14', '12', '2020', '16362', '188', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '341.13669567');
INSERT INTO public.ecdc_import VALUES (21882, '13/12/2020', '13', '12', '2020', '20200', '321', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '334.88151713');
INSERT INTO public.ecdc_import VALUES (21883, '12/12/2020', '12', '12', '2020', '28438', '496', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '328.14934056');
INSERT INTO public.ecdc_import VALUES (21884, '11/12/2020', '11', '12', '2020', '29875', '598', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '320.02712432');
INSERT INTO public.ecdc_import VALUES (21885, '10/12/2020', '10', '12', '2020', '23679', '440', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '311.5122279');
INSERT INTO public.ecdc_import VALUES (21886, '09/12/2020', '9', '12', '2020', '20815', '590', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '309.81262133');
INSERT INTO public.ecdc_import VALUES (21887, '08/12/2020', '8', '12', '2020', '14055', '423', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '307.18431407');
INSERT INTO public.ecdc_import VALUES (21888, '07/12/2020', '7', '12', '2020', '12332', '147', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '306.58083931');
INSERT INTO public.ecdc_import VALUES (21889, '06/12/2020', '6', '12', '2020', '17767', '255', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '304.81257393');
INSERT INTO public.ecdc_import VALUES (21890, '05/12/2020', '5', '12', '2020', '23318', '483', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '302.37217498');
INSERT INTO public.ecdc_import VALUES (21891, '04/12/2020', '4', '12', '2020', '23448', '432', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '301.94576766');
INSERT INTO public.ecdc_import VALUES (21892, '03/12/2020', '3', '12', '2020', '22046', '479', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '302.18667575');
INSERT INTO public.ecdc_import VALUES (21893, '02/12/2020', '2', '12', '2020', '17270', '487', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '302.86483202');
INSERT INTO public.ecdc_import VALUES (21894, '01/12/2020', '1', '12', '2020', '13604', '388', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '303.21535329');
INSERT INTO public.ecdc_import VALUES (21895, '30/11/2020', '30', '11', '2020', '11169', '125', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '304.19705376');
INSERT INTO public.ecdc_import VALUES (21896, '29/11/2020', '29', '11', '2020', '14611', '158', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '303.7814873');
INSERT INTO public.ecdc_import VALUES (21897, '28/11/2020', '28', '11', '2020', '21695', '379', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '306.59529379');
INSERT INTO public.ecdc_import VALUES (21898, '27/11/2020', '27', '11', '2020', '22806', '426', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '307.51797177');
INSERT INTO public.ecdc_import VALUES (21899, '26/11/2020', '26', '11', '2020', '22268', '389', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '308.40451354');
INSERT INTO public.ecdc_import VALUES (21900, '25/11/2020', '25', '11', '2020', '18633', '410', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '307.92028828');
INSERT INTO public.ecdc_import VALUES (21901, '24/11/2020', '24', '11', '2020', '13554', '249', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '307.74442538');
INSERT INTO public.ecdc_import VALUES (21902, '23/11/2020', '23', '11', '2020', '10864', '90', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '309.88609829');
INSERT INTO public.ecdc_import VALUES (21903, '22/11/2020', '22', '11', '2020', '15741', '138', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '312.89624487');
INSERT INTO public.ecdc_import VALUES (21904, '21/11/2020', '21', '11', '2020', '22964', '254', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '313.22869804');
INSERT INTO public.ecdc_import VALUES (21905, '20/11/2020', '20', '11', '2020', '23648', '260', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '313.75267313');
INSERT INTO public.ecdc_import VALUES (21906, '19/11/2020', '19', '11', '2020', '22609', '251', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '311.17254749');
INSERT INTO public.ecdc_import VALUES (21907, '18/11/2020', '18', '11', '2020', '17561', '305', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '308.01785606');
INSERT INTO public.ecdc_import VALUES (21908, '17/11/2020', '17', '11', '2020', '14419', '267', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '307.59988052');
INSERT INTO public.ecdc_import VALUES (21909, '16/11/2020', '16', '11', '2020', '10824', '62', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '308.72371676');
INSERT INTO public.ecdc_import VALUES (21910, '15/11/2020', '15', '11', '2020', '16947', '107', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '310.25709675');
INSERT INTO public.ecdc_import VALUES (21911, '14/11/2020', '14', '11', '2020', '22461', '178', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '306.92051971');
INSERT INTO public.ecdc_import VALUES (21912, '13/11/2020', '13', '11', '2020', '23542', '218', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '302.82267311');
INSERT INTO public.ecdc_import VALUES (21913, '12/11/2020', '12', '11', '2020', '21866', '215', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '296.96740199');
INSERT INTO public.ecdc_import VALUES (21914, '11/11/2020', '11', '11', '2020', '18487', '261', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '290.83388203');
INSERT INTO public.ecdc_import VALUES (21915, '10/11/2020', '10', '11', '2020', '15332', '154', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '286.59028603');
INSERT INTO public.ecdc_import VALUES (21916, '09/11/2020', '9', '11', '2020', '13363', '63', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '281.86487386');
INSERT INTO public.ecdc_import VALUES (21917, '08/11/2020', '8', '11', '2020', '16017', '63', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '276.23003364');
INSERT INTO public.ecdc_import VALUES (21918, '07/11/2020', '7', '11', '2020', '23399', '130', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '270.39885334');
INSERT INTO public.ecdc_import VALUES (21919, '06/11/2020', '6', '11', '2020', '21506', '166', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '259.93741955');
INSERT INTO public.ecdc_import VALUES (21920, '05/11/2020', '5', '11', '2020', '19990', '118', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '247.57401639');
INSERT INTO public.ecdc_import VALUES (21921, '04/11/2020', '4', '11', '2020', '17214', '151', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '237.09090087');
INSERT INTO public.ecdc_import VALUES (21922, '03/11/2020', '3', '11', '2020', '15352', '131', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '225.50442631');
INSERT INTO public.ecdc_import VALUES (21923, '02/11/2020', '2', '11', '2020', '12097', '49', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '215.28510515');
INSERT INTO public.ecdc_import VALUES (21924, '01/11/2020', '1', '11', '2020', '14177', '29', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '205.92341679');
INSERT INTO public.ecdc_import VALUES (21925, '31/10/2020', '31', '10', '2020', '19059', '103', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '195.57641434');
INSERT INTO public.ecdc_import VALUES (21926, '30/10/2020', '30', '10', '2020', '18681', '77', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '182.05062965');
INSERT INTO public.ecdc_import VALUES (21927, '29/10/2020', '29', '10', '2020', '16774', '89', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '168.38270919');
INSERT INTO public.ecdc_import VALUES (21928, '28/10/2020', '28', '10', '2020', '14964', '85', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '156.17348721');
INSERT INTO public.ecdc_import VALUES (21929, '27/10/2020', '27', '10', '2020', '11409', '42', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '144.33044553');
INSERT INTO public.ecdc_import VALUES (21930, '26/10/2020', '26', '10', '2020', '8685', '24', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '135.55295929');
INSERT INTO public.ecdc_import VALUES (21931, '25/10/2020', '25', '10', '2020', '11176', '29', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '128.06312678');
INSERT INTO public.ecdc_import VALUES (21932, '24/10/2020', '24', '10', '2020', '14714', '49', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '118.79659712');
INSERT INTO public.ecdc_import VALUES (21933, '23/10/2020', '23', '10', '2020', '11242', '49', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '106.75962443');
INSERT INTO public.ecdc_import VALUES (21934, '22/10/2020', '22', '10', '2020', '11287', '30', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '98.65788537');
INSERT INTO public.ecdc_import VALUES (21935, '21/10/2020', '21', '10', '2020', '7595', '39', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '89.95026248');
INSERT INTO public.ecdc_import VALUES (21936, '20/10/2020', '20', '10', '2020', '6868', '47', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '84.20821816');
INSERT INTO public.ecdc_import VALUES (21937, '19/10/2020', '19', '10', '2020', '4325', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '79.11421661');
INSERT INTO public.ecdc_import VALUES (21938, '18/10/2020', '18', '10', '2020', '5587', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '75.56925407');
INSERT INTO public.ecdc_import VALUES (21939, '17/10/2020', '17', '10', '2020', '7830', '33', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '71.58463427');
INSERT INTO public.ecdc_import VALUES (21940, '16/10/2020', '16', '10', '2020', '7334', '24', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '65.24031973');
INSERT INTO public.ecdc_import VALUES (21941, '15/10/2020', '15', '10', '2020', '6638', '33', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '59.6259567');
INSERT INTO public.ecdc_import VALUES (21942, '14/10/2020', '14', '10', '2020', '5132', '43', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '54.64518195');
INSERT INTO public.ecdc_import VALUES (21943, '13/10/2020', '13', '10', '2020', '4122', '13', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '50.6292441');
INSERT INTO public.ecdc_import VALUES (21944, '12/10/2020', '12', '10', '2020', '2467', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '48.18041337');
INSERT INTO public.ecdc_import VALUES (21945, '11/10/2020', '11', '10', '2020', '3483', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '46.6446243');
INSERT INTO public.ecdc_import VALUES (21946, '10/10/2020', '10', '10', '2020', '4721', '15', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '44.14761195');
INSERT INTO public.ecdc_import VALUES (21947, '09/10/2020', '9', '10', '2020', '4516', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '41.4807594');
INSERT INTO public.ecdc_import VALUES (21948, '08/10/2020', '8', '10', '2020', '4058', '16', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '38.63443032');
INSERT INTO public.ecdc_import VALUES (21949, '07/10/2020', '7', '10', '2020', '2828', '16', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '36.32773536');
INSERT INTO public.ecdc_import VALUES (21950, '06/10/2020', '6', '10', '2020', '2639', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '35.05212703');
INSERT INTO public.ecdc_import VALUES (21951, '05/10/2020', '5', '10', '2020', '1382', '5', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '34.06681294');
INSERT INTO public.ecdc_import VALUES (21952, '04/10/2020', '4', '10', '2020', '2279', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '33.51272434');
INSERT INTO public.ecdc_import VALUES (21953, '03/10/2020', '3', '10', '2020', '2563', '19', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '32.38768356');
INSERT INTO public.ecdc_import VALUES (21954, '02/10/2020', '2', '10', '2020', '2673', '8', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '32.0672758');
INSERT INTO public.ecdc_import VALUES (21955, '01/10/2020', '1', '10', '2020', '2503', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '31.15543868');
INSERT INTO public.ecdc_import VALUES (21956, '30/09/2020', '30', '9', '2020', '1798', '17', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '30.78323568');
INSERT INTO public.ecdc_import VALUES (21957, '29/09/2020', '29', '9', '2020', '2089', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '30.90730335');
INSERT INTO public.ecdc_import VALUES (21958, '28/09/2020', '28', '9', '2020', '1192', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '30.08580676');
INSERT INTO public.ecdc_import VALUES (21959, '27/09/2020', '27', '9', '2020', '1410', '5', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '29.76660355');
INSERT INTO public.ecdc_import VALUES (21960, '26/09/2020', '26', '9', '2020', '2507', '9', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '29.21010586');
INSERT INTO public.ecdc_import VALUES (21961, '25/09/2020', '25', '9', '2020', '2153', '15', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '28.15372389');
INSERT INTO public.ecdc_import VALUES (21962, '24/09/2020', '24', '9', '2020', '2143', '19', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '27.34788633');
INSERT INTO public.ecdc_import VALUES (21963, '23/09/2020', '23', '9', '2020', '1769', '13', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '27.04554667');
INSERT INTO public.ecdc_import VALUES (21964, '22/09/2020', '22', '9', '2020', '1821', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '26.33125419');
INSERT INTO public.ecdc_import VALUES (21965, '21/09/2020', '21', '9', '2020', '922', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '25.94339216');
INSERT INTO public.ecdc_import VALUES (21966, '20/09/2020', '20', '9', '2020', '1345', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '25.8133018');
INSERT INTO public.ecdc_import VALUES (21967, '19/09/2020', '19', '9', '2020', '2297', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '25.38328086');
INSERT INTO public.ecdc_import VALUES (21968, '18/09/2020', '18', '9', '2020', '1916', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '24.27630818');
INSERT INTO public.ecdc_import VALUES (21969, '17/09/2020', '17', '9', '2020', '2194', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '23.71860596');
INSERT INTO public.ecdc_import VALUES (21970, '16/09/2020', '16', '9', '2020', '1901', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '22.65499674');
INSERT INTO public.ecdc_import VALUES (21971, '15/09/2020', '15', '9', '2020', '1407', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.87806815');
INSERT INTO public.ecdc_import VALUES (21972, '14/09/2020', '14', '9', '2020', '927', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.65041001');
INSERT INTO public.ecdc_import VALUES (21973, '13/09/2020', '13', '9', '2020', '948', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.26857069');
INSERT INTO public.ecdc_import VALUES (21974, '12/09/2020', '12', '9', '2020', '1630', '5', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.07223059');
INSERT INTO public.ecdc_import VALUES (21975, '11/09/2020', '11', '9', '2020', '1484', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.89034499');
INSERT INTO public.ecdc_import VALUES (21976, '10/09/2020', '10', '9', '2020', '1892', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.99514');
INSERT INTO public.ecdc_import VALUES (21977, '09/09/2020', '9', '9', '2020', '1176', '9', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.53139193');
INSERT INTO public.ecdc_import VALUES (21978, '08/09/2020', '8', '9', '2020', '1499', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.01320811');
INSERT INTO public.ecdc_import VALUES (21979, '07/09/2020', '7', '9', '2020', '814', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.74700467');
INSERT INTO public.ecdc_import VALUES (21980, '06/09/2020', '6', '9', '2020', '988', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.62293701');
INSERT INTO public.ecdc_import VALUES (21981, '05/09/2020', '5', '9', '2020', '1378', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.37480167');
INSERT INTO public.ecdc_import VALUES (21982, '04/09/2020', '4', '9', '2020', '1453', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.16498021');
INSERT INTO public.ecdc_import VALUES (21983, '03/09/2020', '3', '9', '2020', '1311', '8', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.13366216');
INSERT INTO public.ecdc_import VALUES (21984, '02/09/2020', '2', '9', '2020', '1256', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.61066017');
INSERT INTO public.ecdc_import VALUES (21985, '01/09/2020', '1', '9', '2020', '1218', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.91661345');
INSERT INTO public.ecdc_import VALUES (21986, '31/08/2020', '31', '8', '2020', '610', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '22.1237944');
INSERT INTO public.ecdc_import VALUES (21987, '30/08/2020', '30', '8', '2020', '785', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '22.06477192');
INSERT INTO public.ecdc_import VALUES (21988, '29/08/2020', '29', '8', '2020', '1479', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.87204545');
INSERT INTO public.ecdc_import VALUES (21989, '28/08/2020', '28', '8', '2020', '1571', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.79495486');
INSERT INTO public.ecdc_import VALUES (21990, '27/08/2020', '27', '8', '2020', '1507', '5', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.64800093');
INSERT INTO public.ecdc_import VALUES (21991, '26/08/2020', '26', '8', '2020', '1576', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.57331942');
INSERT INTO public.ecdc_import VALUES (21992, '25/08/2020', '25', '8', '2020', '1278', '5', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.15173026');
INSERT INTO public.ecdc_import VALUES (21993, '24/08/2020', '24', '8', '2020', '711', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.77591364');
INSERT INTO public.ecdc_import VALUES (21994, '23/08/2020', '23', '8', '2020', '782', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.44466502');
INSERT INTO public.ecdc_import VALUES (21995, '22/08/2020', '22', '8', '2020', '2034', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.17123434');
INSERT INTO public.ecdc_import VALUES (21996, '21/08/2020', '21', '8', '2020', '1427', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '19.07269345');
INSERT INTO public.ecdc_import VALUES (21997, '20/08/2020', '20', '8', '2020', '1707', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '18.73542212');
INSERT INTO public.ecdc_import VALUES (21998, '19/08/2020', '19', '8', '2020', '1510', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '17.93801635');
INSERT INTO public.ecdc_import VALUES (21999, '18/08/2020', '18', '8', '2020', '1390', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '17.01172474');
INSERT INTO public.ecdc_import VALUES (22000, '17/08/2020', '17', '8', '2020', '561', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '16.39620457');
INSERT INTO public.ecdc_import VALUES (22001, '16/08/2020', '16', '8', '2020', '625', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '16.33356847');
INSERT INTO public.ecdc_import VALUES (22002, '15/08/2020', '15', '8', '2020', '1415', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '15.8698204');
INSERT INTO public.ecdc_import VALUES (22003, '14/08/2020', '14', '8', '2020', '1449', '14', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '15.31573179');
INSERT INTO public.ecdc_import VALUES (22004, '13/08/2020', '13', '8', '2020', '1445', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '14.61830287');
INSERT INTO public.ecdc_import VALUES (22005, '12/08/2020', '12', '8', '2020', '1226', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '13.96423741');
INSERT INTO public.ecdc_import VALUES (22006, '11/08/2020', '11', '8', '2020', '966', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '13.31137649');
INSERT INTO public.ecdc_import VALUES (22007, '10/08/2020', '10', '8', '2020', '436', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '12.91026452');
INSERT INTO public.ecdc_import VALUES (22008, '09/08/2020', '9', '8', '2020', '555', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '12.79462864');
INSERT INTO public.ecdc_import VALUES (22009, '08/08/2020', '8', '8', '2020', '1122', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '12.49349352');
INSERT INTO public.ecdc_import VALUES (22010, '07/08/2020', '7', '8', '2020', '1147', '8', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '12.08274523');
INSERT INTO public.ecdc_import VALUES (22011, '06/08/2020', '6', '8', '2020', '1045', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '11.6828378');
INSERT INTO public.ecdc_import VALUES (22012, '05/08/2020', '5', '8', '2020', '741', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '11.10947655');
INSERT INTO public.ecdc_import VALUES (22013, '04/08/2020', '4', '8', '2020', '879', '8', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '10.76377344');
INSERT INTO public.ecdc_import VALUES (22014, '03/08/2020', '3', '8', '2020', '509', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '10.3337525');
INSERT INTO public.ecdc_import VALUES (22015, '02/08/2020', '2', '8', '2020', '240', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '10.02057198');
INSERT INTO public.ecdc_import VALUES (22016, '01/08/2020', '1', '8', '2020', '955', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.97479945');
INSERT INTO public.ecdc_import VALUES (22017, '31/07/2020', '31', '7', '2020', '870', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.46166522');
INSERT INTO public.ecdc_import VALUES (22018, '30/07/2020', '30', '7', '2020', '902', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.11596211');
INSERT INTO public.ecdc_import VALUES (22019, '29/07/2020', '29', '7', '2020', '684', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.67269122');
INSERT INTO public.ecdc_import VALUES (22020, '28/07/2020', '28', '7', '2020', '633', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.27157925');
INSERT INTO public.ecdc_import VALUES (22021, '27/07/2020', '27', '7', '2020', '340', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.00537582');
INSERT INTO public.ecdc_import VALUES (22022, '26/07/2020', '26', '7', '2020', '305', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.78735399');
INSERT INTO public.ecdc_import VALUES (22023, '25/07/2020', '25', '7', '2020', '781', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.71869519');
INSERT INTO public.ecdc_import VALUES (22024, '24/07/2020', '24', '7', '2020', '815', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.23326539');
INSERT INTO public.ecdc_import VALUES (22025, '23/07/2020', '23', '7', '2020', '569', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.7273584');
INSERT INTO public.ecdc_import VALUES (22026, '22/07/2020', '22', '7', '2020', '454', '5', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.57438176');
INSERT INTO public.ecdc_import VALUES (22027, '21/07/2020', '21', '7', '2020', '522', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.50572296');
INSERT INTO public.ecdc_import VALUES (22028, '20/07/2020', '20', '7', '2020', '249', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.34672362');
INSERT INTO public.ecdc_import VALUES (22029, '19/07/2020', '19', '7', '2020', '202', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.31058741');
INSERT INTO public.ecdc_import VALUES (22030, '18/07/2020', '18', '7', '2020', '529', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.3551554');
INSERT INTO public.ecdc_import VALUES (22031, '17/07/2020', '17', '7', '2020', '583', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.22626957');
INSERT INTO public.ecdc_import VALUES (22032, '16/07/2020', '16', '7', '2020', '534', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.06124753');
INSERT INTO public.ecdc_import VALUES (22033, '15/07/2020', '15', '7', '2020', '351', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.02390678');
INSERT INTO public.ecdc_import VALUES (22034, '14/07/2020', '14', '7', '2020', '412', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.16242893');
INSERT INTO public.ecdc_import VALUES (22035, '13/07/2020', '13', '7', '2020', '159', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.26601941');
INSERT INTO public.ecdc_import VALUES (22036, '12/07/2020', '12', '7', '2020', '248', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.39008708');
INSERT INTO public.ecdc_import VALUES (22037, '11/07/2020', '11', '7', '2020', '378', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.3997234');
INSERT INTO public.ecdc_import VALUES (22038, '10/07/2020', '10', '7', '2020', '395', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.7719264');
INSERT INTO public.ecdc_import VALUES (22039, '09/07/2020', '9', '7', '2020', '442', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.87069871');
INSERT INTO public.ecdc_import VALUES (22040, '08/07/2020', '8', '7', '2020', '397', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.09715232');
INSERT INTO public.ecdc_import VALUES (22041, '07/07/2020', '7', '7', '2020', '390', '8', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.326015');
INSERT INTO public.ecdc_import VALUES (22042, '06/07/2020', '6', '7', '2020', '219', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.46212807');
INSERT INTO public.ecdc_import VALUES (22043, '05/07/2020', '5', '7', '2020', '239', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.84517194');
INSERT INTO public.ecdc_import VALUES (22044, '04/07/2020', '4', '7', '2020', '422', '7', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.38480606');
INSERT INTO public.ecdc_import VALUES (22045, '03/07/2020', '3', '7', '2020', '446', '9', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.6004188');
INSERT INTO public.ecdc_import VALUES (22046, '02/07/2020', '2', '7', '2020', '503', '9', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.9906899');
INSERT INTO public.ecdc_import VALUES (22047, '01/07/2020', '1', '7', '2020', '466', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.08343952');
INSERT INTO public.ecdc_import VALUES (22048, '30/06/2020', '30', '6', '2020', '498', '12', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.93769012');
INSERT INTO public.ecdc_import VALUES (22049, '29/06/2020', '29', '6', '2020', '262', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.79314527');
INSERT INTO public.ecdc_import VALUES (22050, '28/06/2020', '28', '6', '2020', '256', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.70882744');
INSERT INTO public.ecdc_import VALUES (22051, '27/06/2020', '27', '6', '2020', '687', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.69798657');
INSERT INTO public.ecdc_import VALUES (22052, '26/06/2020', '26', '6', '2020', '477', '21', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.28964736');
INSERT INTO public.ecdc_import VALUES (22053, '25/06/2020', '25', '6', '2020', '630', '13', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.025853');
INSERT INTO public.ecdc_import VALUES (22054, '24/06/2020', '24', '6', '2020', '587', '19', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.93551247');
INSERT INTO public.ecdc_import VALUES (22055, '23/06/2020', '23', '6', '2020', '503', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.61149109');
INSERT INTO public.ecdc_import VALUES (22056, '22/06/2020', '22', '6', '2020', '537', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.4271964');
INSERT INTO public.ecdc_import VALUES (22057, '21/06/2020', '21', '6', '2020', '687', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.03812984');
INSERT INTO public.ecdc_import VALUES (22058, '20/06/2020', '20', '6', '2020', '601', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.57317722');
INSERT INTO public.ecdc_import VALUES (22059, '19/06/2020', '19', '6', '2020', '770', '16', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.33949638');
INSERT INTO public.ecdc_import VALUES (22060, '18/06/2020', '18', '6', '2020', '580', '26', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.02270224');
INSERT INTO public.ecdc_import VALUES (22061, '17/06/2020', '17', '6', '2020', '345', '30', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '5.79865772');
INSERT INTO public.ecdc_import VALUES (22062, '16/06/2020', '16', '6', '2020', '378', '9', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '5.79504409');
INSERT INTO public.ecdc_import VALUES (22063, '15/06/2020', '15', '6', '2020', '192', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '5.59629492');
INSERT INTO public.ecdc_import VALUES (22064, '14/06/2020', '14', '6', '2020', '247', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '5.76613512');
INSERT INTO public.ecdc_import VALUES (22065, '13/06/2020', '13', '6', '2020', '348', '18', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '5.8131122');
INSERT INTO public.ecdc_import VALUES (22066, '12/06/2020', '12', '6', '2020', '258', '8', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.28288298');
INSERT INTO public.ecdc_import VALUES (22067, '11/06/2020', '11', '6', '2020', '555', '26', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.86467601');
INSERT INTO public.ecdc_import VALUES (22068, '10/06/2020', '10', '6', '2020', '318', '18', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.62135884');
INSERT INTO public.ecdc_import VALUES (22069, '09/06/2020', '9', '6', '2020', '350', '37', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.67435862');
INSERT INTO public.ecdc_import VALUES (22070, '08/06/2020', '8', '6', '2020', '214', '6', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.77313094');
INSERT INTO public.ecdc_import VALUES (22071, '07/06/2020', '7', '6', '2020', '301', '22', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '6.86347147');
INSERT INTO public.ecdc_import VALUES (22072, '06/06/2020', '6', '6', '2020', '407', '33', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.02006173');
INSERT INTO public.ecdc_import VALUES (22073, '05/06/2020', '5', '6', '2020', '507', '32', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.29831057');
INSERT INTO public.ecdc_import VALUES (22074, '04/06/2020', '4', '6', '2020', '394', '30', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.24169717');
INSERT INTO public.ecdc_import VALUES (22075, '03/06/2020', '3', '6', '2020', '342', '29', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.66449087');
INSERT INTO public.ecdc_import VALUES (22076, '02/06/2020', '2', '6', '2020', '213', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.21255677');
INSERT INTO public.ecdc_import VALUES (22077, '01/06/2020', '1', '6', '2020', '333', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.57391891');
INSERT INTO public.ecdc_import VALUES (22078, '31/05/2020', '31', '5', '2020', '286', '11', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.58475977');
INSERT INTO public.ecdc_import VALUES (22079, '30/05/2020', '30', '5', '2020', '738', '39', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.94250828');
INSERT INTO public.ecdc_import VALUES (22080, '29/05/2020', '29', '5', '2020', '741', '39', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.80037251');
INSERT INTO public.ecdc_import VALUES (22081, '28/05/2020', '28', '5', '2020', '353', '62', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.00755347');
INSERT INTO public.ecdc_import VALUES (22082, '27/05/2020', '27', '5', '2020', '362', '47', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.70618693');
INSERT INTO public.ecdc_import VALUES (22083, '26/05/2020', '26', '5', '2020', '432', '45', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '10.23136656');
INSERT INTO public.ecdc_import VALUES (22084, '25/05/2020', '25', '5', '2020', '289', '10', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '10.83484133');
INSERT INTO public.ecdc_import VALUES (22085, '24/05/2020', '24', '5', '2020', '431', '31', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '10.91675008');
INSERT INTO public.ecdc_import VALUES (22086, '23/05/2020', '23', '5', '2020', '638', '42', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '11.20102162');
INSERT INTO public.ecdc_import VALUES (22087, '22/05/2020', '22', '5', '2020', '460', '27', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '11.93940492');
INSERT INTO public.ecdc_import VALUES (22088, '21/05/2020', '21', '5', '2020', '745', '57', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '12.84160571');
INSERT INTO public.ecdc_import VALUES (22089, '20/05/2020', '20', '5', '2020', '797', '83', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '13.49085301');
INSERT INTO public.ecdc_import VALUES (22090, '19/05/2020', '19', '5', '2020', '513', '72', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '13.67153408');
INSERT INTO public.ecdc_import VALUES (22091, '18/05/2020', '18', '5', '2020', '342', '21', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '13.87871504');
INSERT INTO public.ecdc_import VALUES (22092, '17/05/2020', '17', '5', '2020', '583', '33', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '14.28464517');
INSERT INTO public.ecdc_import VALUES (22093, '16/05/2020', '16', '5', '2020', '620', '57', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '14.53759866');
INSERT INTO public.ecdc_import VALUES (22094, '15/05/2020', '15', '5', '2020', '913', '101', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '14.92907431');
INSERT INTO public.ecdc_import VALUES (22095, '14/05/2020', '14', '5', '2020', '933', '89', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '15.80357067');
INSERT INTO public.ecdc_import VALUES (22096, '13/05/2020', '13', '5', '2020', '798', '101', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '16.46004522');
INSERT INTO public.ecdc_import VALUES (22097, '12/05/2020', '12', '5', '2020', '933', '116', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '17.06954269');
INSERT INTO public.ecdc_import VALUES (22098, '11/05/2020', '11', '5', '2020', '357', '22', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '17.32370072');
INSERT INTO public.ecdc_import VALUES (22099, '10/05/2020', '10', '5', '2020', '667', '26', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '18.11990196');
INSERT INTO public.ecdc_import VALUES (22100, '09/05/2020', '9', '5', '2020', '1251', '103', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '19.40876023');
INSERT INTO public.ecdc_import VALUES (22101, '08/05/2020', '8', '5', '2020', '1209', '147', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '20.37721075');
INSERT INTO public.ecdc_import VALUES (22102, '07/05/2020', '7', '5', '2020', '1284', '123', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.73593238');
INSERT INTO public.ecdc_import VALUES (22103, '06/05/2020', '6', '5', '2020', '947', '165', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '23.02238158');
INSERT INTO public.ecdc_import VALUES (22104, '05/05/2020', '5', '5', '2020', '685', '139', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '24.57623876');
INSERT INTO public.ecdc_import VALUES (22105, '04/05/2020', '4', '5', '2020', '679', '43', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '25.90123325');
INSERT INTO public.ecdc_import VALUES (22106, '03/05/2020', '3', '5', '2020', '793', '74', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '27.22140958');
INSERT INTO public.ecdc_import VALUES (22107, '02/05/2020', '2', '5', '2020', '945', '94', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '29.22696942');
INSERT INTO public.ecdc_import VALUES (22108, '01/05/2020', '1', '5', '2020', '1639', '193', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '32.43586518');
INSERT INTO public.ecdc_import VALUES (22109, '30/04/2020', '30', '4', '2020', '1478', '173', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '34.5329701');
INSERT INTO public.ecdc_import VALUES (22110, '29/04/2020', '29', '4', '2020', '1304', '202', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '36.20487224');
INSERT INTO public.ecdc_import VALUES (22111, '28/04/2020', '28', '4', '2020', '1144', '163', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '37.62863905');
INSERT INTO public.ecdc_import VALUES (22112, '27/04/2020', '27', '4', '2020', '1018', '110', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '38.75849799');
INSERT INTO public.ecdc_import VALUES (22113, '26/04/2020', '26', '4', '2020', '1737', '140', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '40.58819493');
INSERT INTO public.ecdc_import VALUES (22114, '25/04/2020', '25', '4', '2020', '2055', '179', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '41.89391677');
INSERT INTO public.ecdc_import VALUES (22115, '24/04/2020', '24', '4', '2020', '2337', '227', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '44.39695182');
INSERT INTO public.ecdc_import VALUES (22116, '23/04/2020', '23', '4', '2020', '2352', '215', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '47.9937096');
INSERT INTO public.ecdc_import VALUES (22117, '22/04/2020', '22', '4', '2020', '2237', '281', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '51.15201465');
INSERT INTO public.ecdc_import VALUES (22118, '21/04/2020', '21', '4', '2020', '1785', '194', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '53.27923309');
INSERT INTO public.ecdc_import VALUES (22119, '20/04/2020', '20', '4', '2020', '1775', '110', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '55.74733646');
INSERT INTO public.ecdc_import VALUES (22120, '19/04/2020', '19', '4', '2020', '2458', '184', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '58.03837239');
INSERT INTO public.ecdc_import VALUES (22121, '18/04/2020', '18', '4', '2020', '3609', '242', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '62.22776407');
INSERT INTO public.ecdc_import VALUES (22122, '17/04/2020', '17', '4', '2020', '3380', '299', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '65.2065926');
INSERT INTO public.ecdc_import VALUES (22123, '16/04/2020', '16', '4', '2020', '2866', '315', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '68.57207861');
INSERT INTO public.ecdc_import VALUES (22124, '15/04/2020', '15', '4', '2020', '2486', '285', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '72.53501668');
INSERT INTO public.ecdc_import VALUES (22125, '14/04/2020', '14', '4', '2020', '2082', '170', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '76.10888819');
INSERT INTO public.ecdc_import VALUES (22126, '13/04/2020', '13', '4', '2020', '2537', '126', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '79.15998915');
INSERT INTO public.ecdc_import VALUES (22127, '12/04/2020', '12', '4', '2020', '2821', '129', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '81.8268417');
INSERT INTO public.ecdc_import VALUES (22128, '11/04/2020', '11', '4', '2020', '4133', '171', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '83.20483597');
INSERT INTO public.ecdc_import VALUES (22129, '10/04/2020', '10', '4', '2020', '5323', '266', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '85.80784788');
INSERT INTO public.ecdc_import VALUES (22130, '09/04/2020', '9', '4', '2020', '4974', '246', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '86.35832286');
INSERT INTO public.ecdc_import VALUES (22131, '08/04/2020', '8', '4', '2020', '4003', '254', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '86.33423205');
INSERT INTO public.ecdc_import VALUES (22132, '07/04/2020', '7', '4', '2020', '3834', '173', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '84.33349037');
INSERT INTO public.ecdc_import VALUES (22133, '06/04/2020', '6', '4', '2020', '3677', '92', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '85.0610328');
INSERT INTO public.ecdc_import VALUES (22134, '05/04/2020', '5', '4', '2020', '5936', '184', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '84.620171');
INSERT INTO public.ecdc_import VALUES (22135, '04/04/2020', '4', '4', '2020', '6082', '141', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '81.4160934');
INSERT INTO public.ecdc_import VALUES (22136, '03/04/2020', '3', '4', '2020', '6174', '145', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '78.96726267');
INSERT INTO public.ecdc_import VALUES (22137, '02/04/2020', '2', '4', '2020', '6156', '140', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '78.68540021');
INSERT INTO public.ecdc_import VALUES (22138, '01/04/2020', '1', '4', '2020', '5453', '149', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '72.52538036');
INSERT INTO public.ecdc_import VALUES (22139, '31/03/2020', '31', '3', '2020', '4615', '128', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '67.33501557');
INSERT INTO public.ecdc_import VALUES (22140, '30/03/2020', '30', '3', '2020', '4751', '66', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '63.19019189');
INSERT INTO public.ecdc_import VALUES (22141, '29/03/2020', '29', '3', '2020', '3965', '64', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '58.72375591');
INSERT INTO public.ecdc_import VALUES (22142, '28/03/2020', '28', '3', '2020', '6294', '72', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '54.83068118');
INSERT INTO public.ecdc_import VALUES (22143, '27/03/2020', '27', '3', '2020', '5780', '55', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '48.08405013');
INSERT INTO public.ecdc_import VALUES (22144, '26/03/2020', '26', '3', '2020', '4954', '49', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '42.08784779');
INSERT INTO public.ecdc_import VALUES (22145, '25/03/2020', '25', '3', '2020', '2342', '23', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '36.44698487');
INSERT INTO public.ecdc_import VALUES (22146, '24/03/2020', '24', '3', '2020', '4438', '32', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '33.81506399');
INSERT INTO public.ecdc_import VALUES (22147, '23/03/2020', '23', '3', '2020', '3311', '27', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '28.75478957');
INSERT INTO public.ecdc_import VALUES (22148, '22/03/2020', '22', '3', '2020', '3276', '22', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '24.83280587');
INSERT INTO public.ecdc_import VALUES (22149, '21/03/2020', '21', '3', '2020', '4049', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '21.08307146');
INSERT INTO public.ecdc_import VALUES (22150, '20/03/2020', '20', '3', '2020', '5940', '30', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '16.54797667');
INSERT INTO public.ecdc_import VALUES (22151, '19/03/2020', '19', '3', '2020', '1042', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '9.55923299');
INSERT INTO public.ecdc_import VALUES (22152, '18/03/2020', '18', '3', '2020', '1144', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '8.38360152');
INSERT INTO public.ecdc_import VALUES (22153, '17/03/2020', '17', '3', '2020', '1174', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '7.05258432');
INSERT INTO public.ecdc_import VALUES (22154, '16/03/2020', '16', '3', '2020', '1043', '4', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '5.67218097');
INSERT INTO public.ecdc_import VALUES (22155, '15/03/2020', '15', '3', '2020', '733', '3', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '4.43752701');
INSERT INTO public.ecdc_import VALUES (22156, '14/03/2020', '14', '3', '2020', '693', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '3.61964405');
INSERT INTO public.ecdc_import VALUES (22157, '13/03/2020', '13', '3', '2020', '802', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '2.79694292');
INSERT INTO public.ecdc_import VALUES (22158, '12/03/2020', '12', '3', '2020', '271', '1', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '1.86221953');
INSERT INTO public.ecdc_import VALUES (22159, '11/03/2020', '11', '3', '2020', '157', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '1.54060723');
INSERT INTO public.ecdc_import VALUES (22160, '10/03/2020', '10', '3', '2020', '237', '2', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '1.35390346');
INSERT INTO public.ecdc_import VALUES (22161, '09/03/2020', '9', '3', '2020', '55', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '1.06842738');
INSERT INTO public.ecdc_import VALUES (22162, '08/03/2020', '8', '3', '2020', '163', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '1.00217765');
INSERT INTO public.ecdc_import VALUES (22163, '07/03/2020', '7', '3', '2020', '284', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.80583756');
INSERT INTO public.ecdc_import VALUES (22164, '06/03/2020', '6', '3', '2020', '138', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.46374807');
INSERT INTO public.ecdc_import VALUES (22165, '05/03/2020', '5', '3', '2020', '66', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.29752149');
INSERT INTO public.ecdc_import VALUES (22166, '04/03/2020', '4', '3', '2020', '39', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.21802182');
INSERT INTO public.ecdc_import VALUES (22167, '03/03/2020', '3', '3', '2020', '28', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.17104474');
INSERT INTO public.ecdc_import VALUES (22168, '02/03/2020', '2', '3', '2020', '18', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.13731761');
INSERT INTO public.ecdc_import VALUES (22169, '01/03/2020', '1', '3', '2020', '54', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.11563588');
INSERT INTO public.ecdc_import VALUES (22170, '29/02/2020', '29', '2', '2020', '10', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.0505907');
INSERT INTO public.ecdc_import VALUES (22171, '28/02/2020', '28', '2', '2020', '26', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.03854529');
INSERT INTO public.ecdc_import VALUES (22172, '27/02/2020', '27', '2', '2020', '4', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00722724');
INSERT INTO public.ecdc_import VALUES (22173, '26/02/2020', '26', '2', '2020', '2', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00240908');
INSERT INTO public.ecdc_import VALUES (22174, '25/02/2020', '25', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00240908');
INSERT INTO public.ecdc_import VALUES (22175, '24/02/2020', '24', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00240908');
INSERT INTO public.ecdc_import VALUES (22176, '23/02/2020', '23', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00240908');
INSERT INTO public.ecdc_import VALUES (22177, '22/02/2020', '22', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00240908');
INSERT INTO public.ecdc_import VALUES (22178, '21/02/2020', '21', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00361362');
INSERT INTO public.ecdc_import VALUES (22179, '20/02/2020', '20', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00481816');
INSERT INTO public.ecdc_import VALUES (22180, '19/02/2020', '19', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00481816');
INSERT INTO public.ecdc_import VALUES (22181, '18/02/2020', '18', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00481816');
INSERT INTO public.ecdc_import VALUES (22182, '17/02/2020', '17', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00722724');
INSERT INTO public.ecdc_import VALUES (22183, '16/02/2020', '16', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00843178');
INSERT INTO public.ecdc_import VALUES (22184, '15/02/2020', '15', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00963632');
INSERT INTO public.ecdc_import VALUES (22185, '14/02/2020', '14', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.0120454');
INSERT INTO public.ecdc_import VALUES (22186, '13/02/2020', '13', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01324994');
INSERT INTO public.ecdc_import VALUES (22187, '12/02/2020', '12', '2', '2020', '2', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01324994');
INSERT INTO public.ecdc_import VALUES (22188, '11/02/2020', '11', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01445449');
INSERT INTO public.ecdc_import VALUES (22189, '10/02/2020', '10', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01565903');
INSERT INTO public.ecdc_import VALUES (22190, '09/02/2020', '9', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01565903');
INSERT INTO public.ecdc_import VALUES (22191, '08/02/2020', '8', '2', '2020', '1', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01565903');
INSERT INTO public.ecdc_import VALUES (22192, '07/02/2020', '7', '2', '2020', '1', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01445449');
INSERT INTO public.ecdc_import VALUES (22193, '06/02/2020', '6', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01324994');
INSERT INTO public.ecdc_import VALUES (22194, '05/02/2020', '5', '2', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01324994');
INSERT INTO public.ecdc_import VALUES (22195, '04/02/2020', '4', '2', '2020', '2', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01324994');
INSERT INTO public.ecdc_import VALUES (22196, '03/02/2020', '3', '2', '2020', '1', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.01084086');
INSERT INTO public.ecdc_import VALUES (22197, '02/02/2020', '2', '2', '2020', '1', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00963632');
INSERT INTO public.ecdc_import VALUES (22198, '01/02/2020', '1', '2', '2020', '2', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00843178');
INSERT INTO public.ecdc_import VALUES (22199, '31/01/2020', '31', '1', '2020', '1', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.0060227');
INSERT INTO public.ecdc_import VALUES (22200, '30/01/2020', '30', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00481816');
INSERT INTO public.ecdc_import VALUES (22201, '29/01/2020', '29', '1', '2020', '3', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00481816');
INSERT INTO public.ecdc_import VALUES (22202, '28/01/2020', '28', '1', '2020', '1', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0.00120454');
INSERT INTO public.ecdc_import VALUES (22203, '27/01/2020', '27', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22204, '26/01/2020', '26', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22205, '25/01/2020', '25', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22206, '24/01/2020', '24', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22207, '23/01/2020', '23', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22208, '22/01/2020', '22', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22209, '21/01/2020', '21', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22210, '20/01/2020', '20', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22211, '19/01/2020', '19', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22212, '18/01/2020', '18', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22213, '17/01/2020', '17', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22214, '16/01/2020', '16', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22215, '15/01/2020', '15', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22216, '14/01/2020', '14', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22217, '13/01/2020', '13', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22218, '12/01/2020', '12', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22219, '11/01/2020', '11', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22220, '10/01/2020', '10', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22221, '09/01/2020', '9', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22222, '08/01/2020', '8', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22223, '07/01/2020', '7', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22224, '06/01/2020', '6', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22225, '05/01/2020', '5', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22226, '04/01/2020', '4', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22227, '03/01/2020', '3', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22228, '02/01/2020', '2', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22229, '01/01/2020', '1', '1', '2020', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22230, '31/12/2019', '31', '12', '2019', '0', '0', '83019213', 'Germany', 'DE', 'DEU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22231, '14/12/2020', '14', '12', '2020', '81', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.75049887');
INSERT INTO public.ecdc_import VALUES (22232, '13/12/2020', '13', '12', '2020', '195', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.108841');
INSERT INTO public.ecdc_import VALUES (22233, '12/12/2020', '12', '12', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.97405176');
INSERT INTO public.ecdc_import VALUES (22234, '11/12/2020', '11', '12', '2020', '116', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.97405176');
INSERT INTO public.ecdc_import VALUES (22235, '10/12/2020', '10', '12', '2020', '122', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.59269683');
INSERT INTO public.ecdc_import VALUES (22236, '09/12/2020', '9', '12', '2020', '226', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.32640589');
INSERT INTO public.ecdc_import VALUES (22237, '08/12/2020', '8', '12', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.38229411');
INSERT INTO public.ecdc_import VALUES (22238, '07/12/2020', '7', '12', '2020', '76', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.60255946');
INSERT INTO public.ecdc_import VALUES (22239, '06/12/2020', '6', '12', '2020', '102', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.35270623');
INSERT INTO public.ecdc_import VALUES (22240, '05/12/2020', '5', '12', '2020', '429', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.81624972');
INSERT INTO public.ecdc_import VALUES (22241, '04/12/2020', '4', '12', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.405894');
INSERT INTO public.ecdc_import VALUES (22242, '03/12/2020', '3', '12', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.97792639');
INSERT INTO public.ecdc_import VALUES (22243, '02/12/2020', '2', '12', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.97792639');
INSERT INTO public.ecdc_import VALUES (22244, '01/12/2020', '1', '12', '2020', '98', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.24421733');
INSERT INTO public.ecdc_import VALUES (22245, '30/11/2020', '30', '11', '2020', '190', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.75378641');
INSERT INTO public.ecdc_import VALUES (22246, '29/11/2020', '29', '11', '2020', '154', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.4743453');
INSERT INTO public.ecdc_import VALUES (22247, '28/11/2020', '28', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.96806376');
INSERT INTO public.ecdc_import VALUES (22248, '27/11/2020', '27', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.96806376');
INSERT INTO public.ecdc_import VALUES (22249, '26/11/2020', '26', '11', '2020', '41', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.32194417');
INSERT INTO public.ecdc_import VALUES (22250, '25/11/2020', '25', '11', '2020', '243', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.18715493');
INSERT INTO public.ecdc_import VALUES (22251, '24/11/2020', '24', '11', '2020', '67', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.71703635');
INSERT INTO public.ecdc_import VALUES (22252, '23/11/2020', '23', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.49677101');
INSERT INTO public.ecdc_import VALUES (22253, '22/11/2020', '22', '11', '2020', '243', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.47645866');
INSERT INTO public.ecdc_import VALUES (22254, '21/11/2020', '21', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.05894077');
INSERT INTO public.ecdc_import VALUES (22255, '20/11/2020', '20', '11', '2020', '174', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.05894077');
INSERT INTO public.ecdc_import VALUES (22256, '19/11/2020', '19', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.96360204');
INSERT INTO public.ecdc_import VALUES (22257, '18/11/2020', '18', '11', '2020', '81', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.41998335');
INSERT INTO public.ecdc_import VALUES (22258, '17/11/2020', '17', '11', '2020', '253', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.15369241');
INSERT INTO public.ecdc_import VALUES (22259, '16/11/2020', '16', '11', '2020', '105', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.5717974');
INSERT INTO public.ecdc_import VALUES (22260, '15/11/2020', '15', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.22660544');
INSERT INTO public.ecdc_import VALUES (22261, '14/11/2020', '14', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.45344587');
INSERT INTO public.ecdc_import VALUES (22262, '13/11/2020', '13', '11', '2020', '716', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.45344587');
INSERT INTO public.ecdc_import VALUES (22263, '12/11/2020', '12', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.02007735');
INSERT INTO public.ecdc_import VALUES (22264, '11/11/2020', '11', '11', '2020', '100', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.02007735');
INSERT INTO public.ecdc_import VALUES (22265, '10/11/2020', '10', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.6913231');
INSERT INTO public.ecdc_import VALUES (22266, '09/11/2020', '9', '11', '2020', '298', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.97076421');
INSERT INTO public.ecdc_import VALUES (22267, '08/11/2020', '8', '11', '2020', '116', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.99107656');
INSERT INTO public.ecdc_import VALUES (22268, '07/11/2020', '7', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.90231291');
INSERT INTO public.ecdc_import VALUES (22269, '06/11/2020', '6', '11', '2020', '145', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.10942809');
INSERT INTO public.ecdc_import VALUES (22270, '05/11/2020', '5', '11', '2020', '443', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.8858752');
INSERT INTO public.ecdc_import VALUES (22271, '04/11/2020', '4', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.42949388');
INSERT INTO public.ecdc_import VALUES (22272, '03/11/2020', '3', '11', '2020', '76', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.72208516');
INSERT INTO public.ecdc_import VALUES (22273, '02/11/2020', '2', '11', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.67605957');
INSERT INTO public.ecdc_import VALUES (22274, '01/11/2020', '1', '11', '2020', '69', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.93248788');
INSERT INTO public.ecdc_import VALUES (22275, '31/10/2020', '31', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.89961246');
INSERT INTO public.ecdc_import VALUES (22276, '30/10/2020', '30', '10', '2020', '280', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.89961246');
INSERT INTO public.ecdc_import VALUES (22277, '29/10/2020', '29', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.13361506');
INSERT INTO public.ecdc_import VALUES (22278, '28/10/2020', '28', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.13361506');
INSERT INTO public.ecdc_import VALUES (22279, '27/10/2020', '27', '10', '2020', '85', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.44921914');
INSERT INTO public.ecdc_import VALUES (22280, '26/10/2020', '26', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.25196659');
INSERT INTO public.ecdc_import VALUES (22281, '25/10/2020', '25', '10', '2020', '89', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.25196659');
INSERT INTO public.ecdc_import VALUES (22282, '24/10/2020', '24', '10', '2020', '63', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.01855108');
INSERT INTO public.ecdc_import VALUES (22283, '23/10/2020', '23', '10', '2020', '77', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.9429376');
INSERT INTO public.ecdc_import VALUES (22284, '22/10/2020', '22', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.07772684');
INSERT INTO public.ecdc_import VALUES (22285, '21/10/2020', '21', '10', '2020', '89', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.07772684');
INSERT INTO public.ecdc_import VALUES (22286, '20/10/2020', '20', '10', '2020', '62', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.78513556');
INSERT INTO public.ecdc_import VALUES (22287, '19/10/2020', '19', '10', '2020', '78', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.58130793');
INSERT INTO public.ecdc_import VALUES (22288, '18/10/2020', '18', '10', '2020', '59', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.41035572');
INSERT INTO public.ecdc_import VALUES (22289, '17/10/2020', '17', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.57473284');
INSERT INTO public.ecdc_import VALUES (22290, '16/10/2020', '16', '10', '2020', '47', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.69965946');
INSERT INTO public.ecdc_import VALUES (22291, '15/10/2020', '15', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.54514496');
INSERT INTO public.ecdc_import VALUES (22292, '14/10/2020', '14', '10', '2020', '96', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.11717735');
INSERT INTO public.ecdc_import VALUES (22293, '13/10/2020', '13', '10', '2020', '25', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.80157327');
INSERT INTO public.ecdc_import VALUES (22294, '12/10/2020', '12', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.03170125');
INSERT INTO public.ecdc_import VALUES (22295, '11/10/2020', '11', '10', '2020', '18', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.57414575');
INSERT INTO public.ecdc_import VALUES (22296, '10/10/2020', '10', '10', '2020', '40', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.51496999');
INSERT INTO public.ecdc_import VALUES (22297, '09/10/2020', '9', '10', '2020', '118', '3', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.38346829');
INSERT INTO public.ecdc_import VALUES (22298, '08/10/2020', '8', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.22237871');
INSERT INTO public.ecdc_import VALUES (22299, '07/10/2020', '7', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.34401778');
INSERT INTO public.ecdc_import VALUES (22300, '06/10/2020', '6', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.52154507');
INSERT INTO public.ecdc_import VALUES (22301, '05/10/2020', '5', '10', '2020', '26', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.71222254');
INSERT INTO public.ecdc_import VALUES (22302, '04/10/2020', '4', '10', '2020', '109', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.04426433');
INSERT INTO public.ecdc_import VALUES (22303, '03/10/2020', '3', '10', '2020', '38', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.75167305');
INSERT INTO public.ecdc_import VALUES (22304, '02/10/2020', '2', '10', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.09686501');
INSERT INTO public.ecdc_import VALUES (22305, '01/10/2020', '1', '10', '2020', '174', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.29083001');
INSERT INTO public.ecdc_import VALUES (22306, '30/09/2020', '30', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.71879762');
INSERT INTO public.ecdc_import VALUES (22307, '29/09/2020', '29', '9', '2020', '95', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.89632492');
INSERT INTO public.ecdc_import VALUES (22308, '28/09/2020', '28', '9', '2020', '165', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.13302797');
INSERT INTO public.ecdc_import VALUES (22309, '27/09/2020', '27', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.59058347');
INSERT INTO public.ecdc_import VALUES (22310, '26/09/2020', '26', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.74181042');
INSERT INTO public.ecdc_import VALUES (22311, '25/09/2020', '25', '9', '2020', '69', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.9883761');
INSERT INTO public.ecdc_import VALUES (22312, '24/09/2020', '24', '9', '2020', '37', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.76153567');
INSERT INTO public.ecdc_import VALUES (22313, '23/09/2020', '23', '9', '2020', '54', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.62944689');
INSERT INTO public.ecdc_import VALUES (22314, '22/09/2020', '22', '9', '2020', '58', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.45191959');
INSERT INTO public.ecdc_import VALUES (22315, '21/09/2020', '21', '9', '2020', '127', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.03381461');
INSERT INTO public.ecdc_import VALUES (22316, '20/09/2020', '20', '9', '2020', '20', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.61629672');
INSERT INTO public.ecdc_import VALUES (22317, '19/09/2020', '19', '9', '2020', '143', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.55054587');
INSERT INTO public.ecdc_import VALUES (22318, '18/09/2020', '18', '9', '2020', '59', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.29083001');
INSERT INTO public.ecdc_import VALUES (22319, '17/09/2020', '17', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.27767984');
INSERT INTO public.ecdc_import VALUES (22320, '16/09/2020', '16', '9', '2020', '54', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.92861325');
INSERT INTO public.ecdc_import VALUES (22321, '15/09/2020', '15', '9', '2020', '167', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.28366784');
INSERT INTO public.ecdc_import VALUES (22322, '14/09/2020', '14', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.04038969');
INSERT INTO public.ecdc_import VALUES (22323, '13/09/2020', '13', '9', '2020', '46', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.32640589');
INSERT INTO public.ecdc_import VALUES (22324, '12/09/2020', '12', '9', '2020', '75', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.73077361');
INSERT INTO public.ecdc_import VALUES (22325, '11/09/2020', '11', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.83926251');
INSERT INTO public.ecdc_import VALUES (22326, '10/09/2020', '10', '9', '2020', '301', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.83926251');
INSERT INTO public.ecdc_import VALUES (22327, '09/09/2020', '9', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.2573675');
INSERT INTO public.ecdc_import VALUES (22328, '08/09/2020', '8', '9', '2020', '235', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.56968403');
INSERT INTO public.ecdc_import VALUES (22329, '07/09/2020', '7', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.18175402');
INSERT INTO public.ecdc_import VALUES (22330, '06/09/2020', '6', '9', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.18175402');
INSERT INTO public.ecdc_import VALUES (22331, '05/09/2020', '5', '9', '2020', '64', '3', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.77351167');
INSERT INTO public.ecdc_import VALUES (22332, '04/09/2020', '4', '9', '2020', '55', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.77679921');
INSERT INTO public.ecdc_import VALUES (22333, '03/09/2020', '3', '9', '2020', '198', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.14171642');
INSERT INTO public.ecdc_import VALUES (22334, '02/09/2020', '2', '9', '2020', '162', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.8228248');
INSERT INTO public.ecdc_import VALUES (22335, '01/09/2020', '1', '9', '2020', '93', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.40800736');
INSERT INTO public.ecdc_import VALUES (22336, '31/08/2020', '31', '8', '2020', '87', '6', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.50005855');
INSERT INTO public.ecdc_import VALUES (22337, '30/08/2020', '30', '8', '2020', '169', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.27263103');
INSERT INTO public.ecdc_import VALUES (22338, '29/08/2020', '29', '8', '2020', '108', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.2003051');
INSERT INTO public.ecdc_import VALUES (22339, '28/08/2020', '28', '8', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.55535968');
INSERT INTO public.ecdc_import VALUES (22340, '27/08/2020', '27', '8', '2020', '124', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.95643987');
INSERT INTO public.ecdc_import VALUES (22341, '26/08/2020', '26', '8', '2020', '95', '7', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.60408573');
INSERT INTO public.ecdc_import VALUES (22342, '25/08/2020', '25', '8', '2020', '117', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.92297735');
INSERT INTO public.ecdc_import VALUES (22343, '24/08/2020', '24', '8', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '8.22543126');
INSERT INTO public.ecdc_import VALUES (22344, '23/08/2020', '23', '8', '2020', '180', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '9.77057622');
INSERT INTO public.ecdc_import VALUES (22345, '22/08/2020', '22', '8', '2020', '65', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.61218709');
INSERT INTO public.ecdc_import VALUES (22346, '21/08/2020', '21', '8', '2020', '166', '5', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.39849683');
INSERT INTO public.ecdc_import VALUES (22347, '20/08/2020', '20', '8', '2020', '101', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '13.21263318');
INSERT INTO public.ecdc_import VALUES (22348, '19/08/2020', '19', '8', '2020', '340', '9', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '17.03275753');
INSERT INTO public.ecdc_import VALUES (22349, '18/08/2020', '18', '8', '2020', '121', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '15.91499309');
INSERT INTO public.ecdc_import VALUES (22350, '17/08/2020', '17', '8', '2020', '322', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '18.14065935');
INSERT INTO public.ecdc_import VALUES (22351, '16/08/2020', '16', '8', '2020', '147', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '17.08207067');
INSERT INTO public.ecdc_import VALUES (22352, '15/08/2020', '15', '8', '2020', '216', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '21.57285368');
INSERT INTO public.ecdc_import VALUES (22353, '14/08/2020', '14', '8', '2020', '122', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '22.04297226');
INSERT INTO public.ecdc_import VALUES (22354, '13/08/2020', '13', '8', '2020', '321', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '21.64189208');
INSERT INTO public.ecdc_import VALUES (22355, '12/08/2020', '12', '8', '2020', '192', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.0062222');
INSERT INTO public.ecdc_import VALUES (22356, '11/08/2020', '11', '8', '2020', '209', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '24.94587226');
INSERT INTO public.ecdc_import VALUES (22357, '10/08/2020', '10', '8', '2020', '470', '9', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '26.4121162');
INSERT INTO public.ecdc_import VALUES (22358, '09/08/2020', '9', '8', '2020', '436', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '28.54244372');
INSERT INTO public.ecdc_import VALUES (22359, '08/08/2020', '8', '8', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '29.71938392');
INSERT INTO public.ecdc_import VALUES (22360, '07/08/2020', '7', '8', '2020', '1022', '7', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '31.99107577');
INSERT INTO public.ecdc_import VALUES (22361, '06/08/2020', '6', '8', '2020', '1263', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '30.91276184');
INSERT INTO public.ecdc_import VALUES (22362, '05/08/2020', '5', '8', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '29.00598721');
INSERT INTO public.ecdc_import VALUES (22363, '04/08/2020', '4', '8', '2020', '798', '9', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '30.84372345');
INSERT INTO public.ecdc_import VALUES (22364, '03/08/2020', '3', '8', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '30.72865946');
INSERT INTO public.ecdc_import VALUES (22365, '02/08/2020', '2', '8', '2020', '1513', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '32.72419774');
INSERT INTO public.ecdc_import VALUES (22366, '01/08/2020', '1', '8', '2020', '359', '7', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '29.35446671');
INSERT INTO public.ecdc_import VALUES (22367, '31/07/2020', '31', '7', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '29.64377045');
INSERT INTO public.ecdc_import VALUES (22368, '30/07/2020', '30', '7', '2020', '736', '7', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '31.92861246');
INSERT INTO public.ecdc_import VALUES (22369, '29/07/2020', '29', '7', '2020', '782', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '30.96207498');
INSERT INTO public.ecdc_import VALUES (22370, '28/07/2020', '28', '7', '2020', '655', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '28.39121676');
INSERT INTO public.ecdc_import VALUES (22371, '27/07/2020', '27', '7', '2020', '1118', '7', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '27.78302141');
INSERT INTO public.ecdc_import VALUES (22372, '26/07/2020', '26', '7', '2020', '794', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '24.99518539');
INSERT INTO public.ecdc_import VALUES (22373, '25/07/2020', '25', '7', '2020', '691', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.74591926');
INSERT INTO public.ecdc_import VALUES (22374, '24/07/2020', '24', '7', '2020', '694', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '22.69390567');
INSERT INTO public.ecdc_import VALUES (22375, '23/07/2020', '23', '7', '2020', '683', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '22.51966591');
INSERT INTO public.ecdc_import VALUES (22376, '22/07/2020', '22', '7', '2020', '559', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.08183568');
INSERT INTO public.ecdc_import VALUES (22377, '21/07/2020', '21', '7', '2020', '763', '5', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '24.17329978');
INSERT INTO public.ecdc_import VALUES (22378, '20/07/2020', '20', '7', '2020', '607', '3', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '24.926147');
INSERT INTO public.ecdc_import VALUES (22379, '19/07/2020', '19', '7', '2020', '488', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '25.22202582');
INSERT INTO public.ecdc_import VALUES (22380, '18/07/2020', '18', '7', '2020', '447', '5', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.6177051');
INSERT INTO public.ecdc_import VALUES (22381, '17/07/2020', '17', '7', '2020', '695', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '26.27075187');
INSERT INTO public.ecdc_import VALUES (22382, '16/07/2020', '16', '7', '2020', '442', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.98590986');
INSERT INTO public.ecdc_import VALUES (22383, '15/07/2020', '15', '7', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.82482027');
INSERT INTO public.ecdc_import VALUES (22384, '14/07/2020', '14', '7', '2020', '470', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '25.10696184');
INSERT INTO public.ecdc_import VALUES (22385, '13/07/2020', '13', '7', '2020', '270', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '23.56181688');
INSERT INTO public.ecdc_import VALUES (22386, '12/07/2020', '12', '7', '2020', '414', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '25.69871948');
INSERT INTO public.ecdc_import VALUES (22387, '11/07/2020', '11', '7', '2020', '371', '6', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '26.30033975');
INSERT INTO public.ecdc_import VALUES (22388, '10/07/2020', '10', '7', '2020', '641', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '26.26746433');
INSERT INTO public.ecdc_import VALUES (22389, '09/07/2020', '9', '7', '2020', '854', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '25.67241914');
INSERT INTO public.ecdc_import VALUES (22390, '08/07/2020', '8', '7', '2020', '891', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '24.32781427');
INSERT INTO public.ecdc_import VALUES (22391, '07/07/2020', '7', '7', '2020', '992', '7', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '22.75965651');
INSERT INTO public.ecdc_import VALUES (22392, '06/07/2020', '6', '7', '2020', '697', '5', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '19.49841439');
INSERT INTO public.ecdc_import VALUES (22393, '05/07/2020', '5', '7', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '18.6633786');
INSERT INTO public.ecdc_import VALUES (22394, '04/07/2020', '4', '7', '2020', '1254', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '20.33345017');
INSERT INTO public.ecdc_import VALUES (22395, '03/07/2020', '3', '7', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '17.11165855');
INSERT INTO public.ecdc_import VALUES (22396, '02/07/2020', '2', '7', '2020', '393', '5', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '18.22613545');
INSERT INTO public.ecdc_import VALUES (22397, '01/07/2020', '1', '7', '2020', '390', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '18.23928562');
INSERT INTO public.ecdc_import VALUES (22398, '30/06/2020', '30', '6', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '17.70999128');
INSERT INTO public.ecdc_import VALUES (22399, '29/06/2020', '29', '6', '2020', '920', '9', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '17.70999128');
INSERT INTO public.ecdc_import VALUES (22400, '28/06/2020', '28', '6', '2020', '597', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '16.46730023');
INSERT INTO public.ecdc_import VALUES (22401, '27/06/2020', '27', '6', '2020', '361', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '15.50405029');
INSERT INTO public.ecdc_import VALUES (22402, '26/06/2020', '26', '6', '2020', '460', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '16.81577973');
INSERT INTO public.ecdc_import VALUES (22403, '25/06/2020', '25', '6', '2020', '445', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '15.30351019');
INSERT INTO public.ecdc_import VALUES (22404, '24/06/2020', '24', '6', '2020', '414', '10', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '14.35669796');
INSERT INTO public.ecdc_import VALUES (22405, '23/06/2020', '23', '6', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '13.95233024');
INSERT INTO public.ecdc_import VALUES (22406, '22/06/2020', '22', '6', '2020', '443', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '14.84654179');
INSERT INTO public.ecdc_import VALUES (22407, '21/06/2020', '21', '6', '2020', '508', '15', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '13.96876795');
INSERT INTO public.ecdc_import VALUES (22408, '20/06/2020', '20', '6', '2020', '274', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '13.26523386');
INSERT INTO public.ecdc_import VALUES (22409, '19/06/2020', '19', '6', '2020', '339', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '13.29482175');
INSERT INTO public.ecdc_import VALUES (22410, '18/06/2020', '18', '6', '2020', '397', '8', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '13.28824666');
INSERT INTO public.ecdc_import VALUES (22411, '17/06/2020', '17', '6', '2020', '229', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '12.80826546');
INSERT INTO public.ecdc_import VALUES (22412, '16/06/2020', '16', '6', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '12.80169038');
INSERT INTO public.ecdc_import VALUES (22413, '15/06/2020', '15', '6', '2020', '542', '3', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '12.80169038');
INSERT INTO public.ecdc_import VALUES (22414, '14/06/2020', '14', '6', '2020', '304', '3', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '12.01268018');
INSERT INTO public.ecdc_import VALUES (22415, '13/06/2020', '13', '6', '2020', '760', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.51297373');
INSERT INTO public.ecdc_import VALUES (22416, '12/06/2020', '12', '6', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.04344224');
INSERT INTO public.ecdc_import VALUES (22417, '11/06/2020', '11', '6', '2020', '157', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.04344224');
INSERT INTO public.ecdc_import VALUES (22418, '10/06/2020', '10', '6', '2020', '291', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.13878098');
INSERT INTO public.ecdc_import VALUES (22419, '09/06/2020', '9', '6', '2020', '272', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.19795674');
INSERT INTO public.ecdc_import VALUES (22420, '08/06/2020', '8', '6', '2020', '176', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '9.714688');
INSERT INTO public.ecdc_import VALUES (22421, '07/06/2020', '7', '6', '2020', '294', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '9.35305833');
INSERT INTO public.ecdc_import VALUES (22422, '06/06/2020', '6', '6', '2020', '283', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '8.38652084');
INSERT INTO public.ecdc_import VALUES (22423, '05/06/2020', '5', '6', '2020', '337', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.88681438');
INSERT INTO public.ecdc_import VALUES (22424, '04/06/2020', '4', '6', '2020', '251', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.49230929');
INSERT INTO public.ecdc_import VALUES (22425, '03/06/2020', '3', '6', '2020', '227', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.23588097');
INSERT INTO public.ecdc_import VALUES (22426, '02/06/2020', '2', '6', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.67641167');
INSERT INTO public.ecdc_import VALUES (22427, '01/06/2020', '1', '6', '2020', '302', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.67641167');
INSERT INTO public.ecdc_import VALUES (22428, '31/05/2020', '31', '5', '2020', '152', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.68357384');
INSERT INTO public.ecdc_import VALUES (22429, '30/05/2020', '30', '5', '2020', '313', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.502759');
INSERT INTO public.ecdc_import VALUES (22430, '29/05/2020', '29', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.8288128');
INSERT INTO public.ecdc_import VALUES (22431, '28/05/2020', '28', '5', '2020', '186', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.22989298');
INSERT INTO public.ecdc_import VALUES (22432, '27/05/2020', '27', '5', '2020', '309', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.54220951');
INSERT INTO public.ecdc_import VALUES (22433, '26/05/2020', '26', '5', '2020', '125', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.93013953');
INSERT INTO public.ecdc_import VALUES (22434, '25/05/2020', '25', '5', '2020', '66', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.95585278');
INSERT INTO public.ecdc_import VALUES (22435, '24/05/2020', '24', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '7.73887497');
INSERT INTO public.ecdc_import VALUES (22436, '23/05/2020', '23', '5', '2020', '131', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '8.56404813');
INSERT INTO public.ecdc_import VALUES (22437, '22/05/2020', '22', '5', '2020', '217', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.16120668');
INSERT INTO public.ecdc_import VALUES (22438, '21/05/2020', '21', '5', '2020', '173', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.44780997');
INSERT INTO public.ecdc_import VALUES (22439, '20/05/2020', '20', '5', '2020', '361', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.10203092');
INSERT INTO public.ecdc_import VALUES (22440, '19/05/2020', '19', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '9.91522809');
INSERT INTO public.ecdc_import VALUES (22441, '18/05/2020', '18', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.72337645');
INSERT INTO public.ecdc_import VALUES (22442, '17/05/2020', '17', '5', '2020', '97', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.72337645');
INSERT INTO public.ecdc_import VALUES (22443, '16/05/2020', '16', '5', '2020', '108', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.71680136');
INSERT INTO public.ecdc_import VALUES (22444, '15/05/2020', '15', '5', '2020', '122', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.36174677');
INSERT INTO public.ecdc_import VALUES (22445, '14/05/2020', '14', '5', '2020', '281', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '12.28554621');
INSERT INTO public.ecdc_import VALUES (22446, '13/05/2020', '13', '5', '2020', '427', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '11.36174677');
INSERT INTO public.ecdc_import VALUES (22447, '12/05/2020', '12', '5', '2020', '437', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '10.35575878');
INSERT INTO public.ecdc_import VALUES (22448, '11/05/2020', '11', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '8.91910272');
INSERT INTO public.ecdc_import VALUES (22449, '10/05/2020', '10', '5', '2020', '251', '4', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '9.81002673');
INSERT INTO public.ecdc_import VALUES (22450, '09/05/2020', '9', '5', '2020', '921', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '8.98485357');
INSERT INTO public.ecdc_import VALUES (22451, '08/05/2020', '8', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.36796976');
INSERT INTO public.ecdc_import VALUES (22452, '07/05/2020', '7', '5', '2020', '372', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '6.36796976');
INSERT INTO public.ecdc_import VALUES (22453, '06/05/2020', '6', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.51320872');
INSERT INTO public.ecdc_import VALUES (22454, '05/05/2020', '5', '5', '2020', '550', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '5.51320872');
INSERT INTO public.ecdc_import VALUES (22455, '04/05/2020', '4', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.70506036');
INSERT INTO public.ecdc_import VALUES (22456, '03/05/2020', '3', '5', '2020', '95', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.3888692');
INSERT INTO public.ecdc_import VALUES (22457, '02/05/2020', '2', '5', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.71104836');
INSERT INTO public.ecdc_import VALUES (22458, '01/05/2020', '1', '5', '2020', '403', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '4.71104836');
INSERT INTO public.ecdc_import VALUES (22459, '30/04/2020', '30', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.38616874');
INSERT INTO public.ecdc_import VALUES (22460, '29/04/2020', '29', '4', '2020', '121', '5', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.40260646');
INSERT INTO public.ecdc_import VALUES (22461, '28/04/2020', '28', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.23494179');
INSERT INTO public.ecdc_import VALUES (22462, '27/04/2020', '27', '4', '2020', '271', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '3.23494179');
INSERT INTO public.ecdc_import VALUES (22463, '26/04/2020', '26', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.86344949');
INSERT INTO public.ecdc_import VALUES (22464, '25/04/2020', '25', '4', '2020', '125', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.96207576');
INSERT INTO public.ecdc_import VALUES (22465, '24/04/2020', '24', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.55113296');
INSERT INTO public.ecdc_import VALUES (22466, '23/04/2020', '23', '4', '2020', '112', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.76482322');
INSERT INTO public.ecdc_import VALUES (22467, '22/04/2020', '22', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.48209456');
INSERT INTO public.ecdc_import VALUES (22468, '21/04/2020', '21', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.48209456');
INSERT INTO public.ecdc_import VALUES (22469, '20/04/2020', '20', '4', '2020', '208', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.72208516');
INSERT INTO public.ecdc_import VALUES (22470, '19/04/2020', '19', '4', '2020', '193', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '2.03827633');
INSERT INTO public.ecdc_import VALUES (22471, '18/04/2020', '18', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.43336852');
INSERT INTO public.ecdc_import VALUES (22472, '17/04/2020', '17', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.43665606');
INSERT INTO public.ecdc_import VALUES (22473, '16/04/2020', '16', '4', '2020', '5', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.46624394');
INSERT INTO public.ecdc_import VALUES (22474, '15/04/2020', '15', '4', '2020', '70', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.59117056');
INSERT INTO public.ecdc_import VALUES (22475, '14/04/2020', '14', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.36104258');
INSERT INTO public.ecdc_import VALUES (22476, '13/04/2020', '13', '4', '2020', '158', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '1.36104258');
INSERT INTO public.ecdc_import VALUES (22477, '12/04/2020', '12', '4', '2020', '30', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.87777384');
INSERT INTO public.ecdc_import VALUES (22478, '11/04/2020', '11', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.79229774');
INSERT INTO public.ecdc_import VALUES (22479, '10/04/2020', '10', '4', '2020', '65', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.80873545');
INSERT INTO public.ecdc_import VALUES (22480, '09/04/2020', '9', '4', '2020', '26', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.8054479');
INSERT INTO public.ecdc_import VALUES (22481, '08/04/2020', '8', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.76928494');
INSERT INTO public.ecdc_import VALUES (22482, '07/04/2020', '7', '4', '2020', '73', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.85476104');
INSERT INTO public.ecdc_import VALUES (22483, '06/04/2020', '6', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.62463307');
INSERT INTO public.ecdc_import VALUES (22484, '05/04/2020', '5', '4', '2020', '9', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.6344957');
INSERT INTO public.ecdc_import VALUES (22485, '04/04/2020', '4', '4', '2020', '1', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.62134553');
INSERT INTO public.ecdc_import VALUES (22486, '03/04/2020', '3', '4', '2020', '9', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.6344957');
INSERT INTO public.ecdc_import VALUES (22487, '02/04/2020', '2', '4', '2020', '43', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.61805798');
INSERT INTO public.ecdc_import VALUES (22488, '01/04/2020', '1', '4', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.4799812');
INSERT INTO public.ecdc_import VALUES (22489, '31/03/2020', '31', '3', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.4799812');
INSERT INTO public.ecdc_import VALUES (22490, '30/03/2020', '30', '3', '2020', '11', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.49313137');
INSERT INTO public.ecdc_import VALUES (22491, '29/03/2020', '29', '3', '2020', '4', '2', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.4569684');
INSERT INTO public.ecdc_import VALUES (22492, '28/03/2020', '28', '3', '2020', '5', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.44381823');
INSERT INTO public.ecdc_import VALUES (22493, '27/03/2020', '27', '3', '2020', '64', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '0.43395561');
INSERT INTO public.ecdc_import VALUES (22494, '26/03/2020', '26', '3', '2020', '15', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22495, '25/03/2020', '25', '3', '2020', '26', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22496, '24/03/2020', '24', '3', '2020', '3', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22497, '23/03/2020', '23', '3', '2020', '3', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22498, '22/03/2020', '22', '3', '2020', '5', '1', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22499, '21/03/2020', '21', '3', '2020', '5', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22500, '20/03/2020', '20', '3', '2020', '4', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22501, '19/03/2020', '19', '3', '2020', '1', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22502, '18/03/2020', '18', '3', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22503, '17/03/2020', '17', '3', '2020', '4', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22504, '16/03/2020', '16', '3', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22505, '15/03/2020', '15', '3', '2020', '0', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22506, '13/03/2020', '13', '3', '2020', '2', '0', '30417858', 'Ghana', 'GH', 'GHA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (22507, '14/12/2020', '14', '12', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '180.97668071');
INSERT INTO public.ecdc_import VALUES (22508, '13/12/2020', '13', '12', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '186.91034237');
INSERT INTO public.ecdc_import VALUES (22509, '12/12/2020', '12', '12', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '210.64498902');
INSERT INTO public.ecdc_import VALUES (22510, '11/12/2020', '11', '12', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '231.41280484');
INSERT INTO public.ecdc_import VALUES (22511, '10/12/2020', '10', '12', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '219.54548152');
INSERT INTO public.ecdc_import VALUES (22512, '09/12/2020', '9', '12', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '228.44597401');
INSERT INTO public.ecdc_import VALUES (22513, '08/12/2020', '8', '12', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '261.08111315');
INSERT INTO public.ecdc_import VALUES (22514, '07/12/2020', '7', '12', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '281.84892897');
INSERT INTO public.ecdc_import VALUES (22515, '06/12/2020', '6', '12', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '281.84892897');
INSERT INTO public.ecdc_import VALUES (22516, '05/12/2020', '5', '12', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '293.7162523');
INSERT INTO public.ecdc_import VALUES (22517, '04/12/2020', '4', '12', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '317.45089895');
INSERT INTO public.ecdc_import VALUES (22518, '03/12/2020', '3', '12', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '323.38456061');
INSERT INTO public.ecdc_import VALUES (22519, '02/12/2020', '2', '12', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '341.1855456');
INSERT INTO public.ecdc_import VALUES (22520, '01/12/2020', '1', '12', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '335.25188394');
INSERT INTO public.ecdc_import VALUES (22521, '30/11/2020', '30', '11', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '332.28505311');
INSERT INTO public.ecdc_import VALUES (22522, '29/11/2020', '29', '11', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '361.95336142');
INSERT INTO public.ecdc_import VALUES (22523, '28/11/2020', '28', '11', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '364.92019225');
INSERT INTO public.ecdc_import VALUES (22524, '27/11/2020', '27', '11', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '376.78751558');
INSERT INTO public.ecdc_import VALUES (22525, '26/11/2020', '26', '11', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '442.05779386');
INSERT INTO public.ecdc_import VALUES (22526, '25/11/2020', '25', '11', '2020', '14', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '495.46074883');
INSERT INTO public.ecdc_import VALUES (22527, '24/11/2020', '24', '11', '2020', '9', '1', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '480.62659467');
INSERT INTO public.ecdc_import VALUES (22528, '23/11/2020', '23', '11', '2020', '5', '1', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '489.52708717');
INSERT INTO public.ecdc_import VALUES (22529, '22/11/2020', '22', '11', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '498.42757966');
INSERT INTO public.ecdc_import VALUES (22530, '21/11/2020', '21', '11', '2020', '12', '1', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '513.26173382');
INSERT INTO public.ecdc_import VALUES (22531, '20/11/2020', '20', '11', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '525.12905714');
INSERT INTO public.ecdc_import VALUES (22532, '19/11/2020', '19', '11', '2020', '11', '1', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '542.93004213');
INSERT INTO public.ecdc_import VALUES (22533, '18/11/2020', '18', '11', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '548.86370379');
INSERT INTO public.ecdc_import VALUES (22534, '17/11/2020', '17', '11', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '593.36616626');
INSERT INTO public.ecdc_import VALUES (22535, '16/11/2020', '16', '11', '2020', '15', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '590.39933543');
INSERT INTO public.ecdc_import VALUES (22536, '15/11/2020', '15', '11', '2020', '11', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '563.69785795');
INSERT INTO public.ecdc_import VALUES (22537, '14/11/2020', '14', '11', '2020', '12', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '542.93004213');
INSERT INTO public.ecdc_import VALUES (22538, '13/11/2020', '13', '11', '2020', '22', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '522.16222631');
INSERT INTO public.ecdc_import VALUES (22539, '12/11/2020', '12', '11', '2020', '28', '1', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '474.69293301');
INSERT INTO public.ecdc_import VALUES (22540, '11/11/2020', '11', '11', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '400.52216223');
INSERT INTO public.ecdc_import VALUES (22541, '10/11/2020', '10', '11', '2020', '12', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '400.52216223');
INSERT INTO public.ecdc_import VALUES (22542, '09/11/2020', '9', '11', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '373.82068474');
INSERT INTO public.ecdc_import VALUES (22543, '08/11/2020', '8', '11', '2020', '15', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '370.85385391');
INSERT INTO public.ecdc_import VALUES (22544, '07/11/2020', '7', '11', '2020', '16', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '382.72117724');
INSERT INTO public.ecdc_import VALUES (22545, '06/11/2020', '6', '11', '2020', '11', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '367.88702308');
INSERT INTO public.ecdc_import VALUES (22546, '05/11/2020', '5', '11', '2020', '13', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '361.95336142');
INSERT INTO public.ecdc_import VALUES (22547, '04/11/2020', '4', '11', '2020', '23', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '361.95336142');
INSERT INTO public.ecdc_import VALUES (22548, '03/11/2020', '3', '11', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '385.68800807');
INSERT INTO public.ecdc_import VALUES (22549, '02/11/2020', '2', '11', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '391.62166973');
INSERT INTO public.ecdc_import VALUES (22550, '01/11/2020', '1', '11', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '412.38948555');
INSERT INTO public.ecdc_import VALUES (22551, '31/10/2020', '31', '10', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '442.05779386');
INSERT INTO public.ecdc_import VALUES (22552, '30/10/2020', '30', '10', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '465.79244052');
INSERT INTO public.ecdc_import VALUES (22553, '29/10/2020', '29', '10', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '492.493918');
INSERT INTO public.ecdc_import VALUES (22554, '28/10/2020', '28', '10', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '534.02954964');
INSERT INTO public.ecdc_import VALUES (22555, '27/10/2020', '27', '10', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '545.89687296');
INSERT INTO public.ecdc_import VALUES (22556, '26/10/2020', '26', '10', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '539.9632113');
INSERT INTO public.ecdc_import VALUES (22557, '25/10/2020', '25', '10', '2020', '19', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '545.89687296');
INSERT INTO public.ecdc_import VALUES (22558, '24/10/2020', '24', '10', '2020', '11', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '513.26173382');
INSERT INTO public.ecdc_import VALUES (22559, '23/10/2020', '23', '10', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '528.09588797');
INSERT INTO public.ecdc_import VALUES (22560, '22/10/2020', '22', '10', '2020', '13', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '522.16222631');
INSERT INTO public.ecdc_import VALUES (22561, '21/10/2020', '21', '10', '2020', '31', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '507.32807215');
INSERT INTO public.ecdc_import VALUES (22562, '20/10/2020', '20', '10', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '430.19047054');
INSERT INTO public.ecdc_import VALUES (22563, '19/10/2020', '19', '10', '2020', '13', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '412.38948555');
INSERT INTO public.ecdc_import VALUES (22564, '18/10/2020', '18', '10', '2020', '14', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '385.68800807');
INSERT INTO public.ecdc_import VALUES (22565, '17/10/2020', '17', '10', '2020', '13', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '379.75434641');
INSERT INTO public.ecdc_import VALUES (22566, '16/10/2020', '16', '10', '2020', '15', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '358.98653059');
INSERT INTO public.ecdc_import VALUES (22567, '15/10/2020', '15', '10', '2020', '17', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '356.01969976');
INSERT INTO public.ecdc_import VALUES (22568, '14/10/2020', '14', '10', '2020', '13', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '320.41772978');
INSERT INTO public.ecdc_import VALUES (22569, '13/10/2020', '13', '10', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '308.55040646');
INSERT INTO public.ecdc_import VALUES (22570, '12/10/2020', '12', '10', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '314.48406812');
INSERT INTO public.ecdc_import VALUES (22571, '11/10/2020', '11', '10', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '308.55040646');
INSERT INTO public.ecdc_import VALUES (22572, '10/10/2020', '10', '10', '2020', '16', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '308.55040646');
INSERT INTO public.ecdc_import VALUES (22573, '09/10/2020', '9', '10', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '269.98160565');
INSERT INTO public.ecdc_import VALUES (22574, '08/10/2020', '8', '10', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '261.08111315');
INSERT INTO public.ecdc_import VALUES (22575, '07/10/2020', '7', '10', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '243.28012817');
INSERT INTO public.ecdc_import VALUES (22576, '06/10/2020', '6', '10', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '243.28012817');
INSERT INTO public.ecdc_import VALUES (22577, '05/10/2020', '5', '10', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '243.28012817');
INSERT INTO public.ecdc_import VALUES (22578, '04/10/2020', '4', '10', '2020', '12', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '243.28012817');
INSERT INTO public.ecdc_import VALUES (22579, '03/10/2020', '3', '10', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '216.57865069');
INSERT INTO public.ecdc_import VALUES (22580, '02/10/2020', '2', '10', '2020', '14', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '198.7776657');
INSERT INTO public.ecdc_import VALUES (22581, '01/10/2020', '1', '10', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '183.94351154');
INSERT INTO public.ecdc_import VALUES (22582, '30/09/2020', '30', '9', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '169.10935738');
INSERT INTO public.ecdc_import VALUES (22583, '29/09/2020', '29', '9', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '154.27520323');
INSERT INTO public.ecdc_import VALUES (22584, '28/09/2020', '28', '9', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '145.37471073');
INSERT INTO public.ecdc_import VALUES (22585, '27/09/2020', '27', '9', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '133.50738741');
INSERT INTO public.ecdc_import VALUES (22586, '26/09/2020', '26', '9', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '121.64006408');
INSERT INTO public.ecdc_import VALUES (22587, '25/09/2020', '25', '9', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '112.73957159');
INSERT INTO public.ecdc_import VALUES (22588, '24/09/2020', '24', '9', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '103.8390791');
INSERT INTO public.ecdc_import VALUES (22589, '23/09/2020', '23', '9', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '103.8390791');
INSERT INTO public.ecdc_import VALUES (22590, '22/09/2020', '22', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '103.8390791');
INSERT INTO public.ecdc_import VALUES (22591, '21/09/2020', '21', '9', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '103.8390791');
INSERT INTO public.ecdc_import VALUES (22592, '20/09/2020', '20', '9', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '100.87224826');
INSERT INTO public.ecdc_import VALUES (22593, '19/09/2020', '19', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '112.73957159');
INSERT INTO public.ecdc_import VALUES (22594, '18/09/2020', '18', '9', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '142.4078799');
INSERT INTO public.ecdc_import VALUES (22595, '17/09/2020', '17', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '115.70640242');
INSERT INTO public.ecdc_import VALUES (22596, '16/09/2020', '16', '9', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '130.54055658');
INSERT INTO public.ecdc_import VALUES (22597, '15/09/2020', '15', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '133.50738741');
INSERT INTO public.ecdc_import VALUES (22598, '14/09/2020', '14', '9', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '133.50738741');
INSERT INTO public.ecdc_import VALUES (22599, '13/09/2020', '13', '9', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '154.27520323');
INSERT INTO public.ecdc_import VALUES (22600, '12/09/2020', '12', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '145.37471073');
INSERT INTO public.ecdc_import VALUES (22601, '11/09/2020', '11', '9', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '151.3083724');
INSERT INTO public.ecdc_import VALUES (22602, '10/09/2020', '10', '9', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '154.27520323');
INSERT INTO public.ecdc_import VALUES (22603, '09/09/2020', '9', '9', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '189.8771732');
INSERT INTO public.ecdc_import VALUES (22604, '08/09/2020', '8', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '198.7776657');
INSERT INTO public.ecdc_import VALUES (22605, '07/09/2020', '7', '9', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '255.14745149');
INSERT INTO public.ecdc_import VALUES (22606, '06/09/2020', '6', '9', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '246.246959');
INSERT INTO public.ecdc_import VALUES (22607, '05/09/2020', '5', '9', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '225.47914318');
INSERT INTO public.ecdc_import VALUES (22608, '04/09/2020', '4', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '195.81083487');
INSERT INTO public.ecdc_import VALUES (22609, '03/09/2020', '3', '9', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '213.61181985');
INSERT INTO public.ecdc_import VALUES (22610, '02/09/2020', '2', '9', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '201.74449653');
INSERT INTO public.ecdc_import VALUES (22611, '01/09/2020', '1', '9', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '201.74449653');
INSERT INTO public.ecdc_import VALUES (22612, '31/08/2020', '31', '8', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '207.67815819');
INSERT INTO public.ecdc_import VALUES (22613, '30/08/2020', '30', '8', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '195.81083487');
INSERT INTO public.ecdc_import VALUES (22614, '29/08/2020', '29', '8', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '201.74449653');
INSERT INTO public.ecdc_import VALUES (22615, '28/08/2020', '28', '8', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '198.7776657');
INSERT INTO public.ecdc_import VALUES (22616, '27/08/2020', '27', '8', '2020', '14', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '198.7776657');
INSERT INTO public.ecdc_import VALUES (22617, '26/08/2020', '26', '8', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '163.17569572');
INSERT INTO public.ecdc_import VALUES (22618, '25/08/2020', '25', '8', '2020', '19', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '151.3083724');
INSERT INTO public.ecdc_import VALUES (22619, '24/08/2020', '24', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '94.9385866');
INSERT INTO public.ecdc_import VALUES (22620, '23/08/2020', '23', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '94.9385866');
INSERT INTO public.ecdc_import VALUES (22621, '22/08/2020', '22', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '115.70640242');
INSERT INTO public.ecdc_import VALUES (22622, '21/08/2020', '21', '8', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '115.70640242');
INSERT INTO public.ecdc_import VALUES (22623, '20/08/2020', '20', '8', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '100.87224826');
INSERT INTO public.ecdc_import VALUES (22624, '19/08/2020', '19', '8', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '97.90541743');
INSERT INTO public.ecdc_import VALUES (22625, '18/08/2020', '18', '8', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '86.03809411');
INSERT INTO public.ecdc_import VALUES (22626, '17/08/2020', '17', '8', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '80.10443245');
INSERT INTO public.ecdc_import VALUES (22627, '16/08/2020', '16', '8', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '62.30344746');
INSERT INTO public.ecdc_import VALUES (22628, '15/08/2020', '15', '8', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '56.36978579');
INSERT INTO public.ecdc_import VALUES (22629, '14/08/2020', '14', '8', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '53.40295496');
INSERT INTO public.ecdc_import VALUES (22630, '13/08/2020', '13', '8', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '50.43612413');
INSERT INTO public.ecdc_import VALUES (22631, '12/08/2020', '12', '8', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '44.50246247');
INSERT INTO public.ecdc_import VALUES (22632, '11/08/2020', '11', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '35.60196998');
INSERT INTO public.ecdc_import VALUES (22633, '10/08/2020', '10', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '35.60196998');
INSERT INTO public.ecdc_import VALUES (22634, '09/08/2020', '9', '8', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '35.60196998');
INSERT INTO public.ecdc_import VALUES (22635, '08/08/2020', '8', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22636, '07/08/2020', '7', '8', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22637, '06/08/2020', '6', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '20.76781582');
INSERT INTO public.ecdc_import VALUES (22638, '05/08/2020', '5', '8', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '26.70147748');
INSERT INTO public.ecdc_import VALUES (22639, '04/08/2020', '4', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '23.73464665');
INSERT INTO public.ecdc_import VALUES (22640, '03/08/2020', '3', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '23.73464665');
INSERT INTO public.ecdc_import VALUES (22641, '02/08/2020', '2', '8', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '23.73464665');
INSERT INTO public.ecdc_import VALUES (22642, '01/08/2020', '1', '8', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '20.76781582');
INSERT INTO public.ecdc_import VALUES (22643, '31/07/2020', '31', '7', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '20.76781582');
INSERT INTO public.ecdc_import VALUES (22644, '30/07/2020', '30', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22645, '29/07/2020', '29', '7', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22646, '28/07/2020', '28', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22647, '27/07/2020', '27', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22648, '26/07/2020', '26', '7', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22649, '25/07/2020', '25', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '11.86732333');
INSERT INTO public.ecdc_import VALUES (22650, '24/07/2020', '24', '7', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '11.86732333');
INSERT INTO public.ecdc_import VALUES (22651, '23/07/2020', '23', '7', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22652, '22/07/2020', '22', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '2.96683083');
INSERT INTO public.ecdc_import VALUES (22653, '21/07/2020', '21', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '2.96683083');
INSERT INTO public.ecdc_import VALUES (22654, '20/07/2020', '20', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22655, '19/07/2020', '19', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22656, '18/07/2020', '18', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22657, '17/07/2020', '17', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22658, '16/07/2020', '16', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22659, '15/07/2020', '15', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22660, '14/07/2020', '14', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22661, '13/07/2020', '13', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22662, '12/07/2020', '12', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '11.86732333');
INSERT INTO public.ecdc_import VALUES (22663, '11/07/2020', '11', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '11.86732333');
INSERT INTO public.ecdc_import VALUES (22664, '10/07/2020', '10', '7', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '11.86732333');
INSERT INTO public.ecdc_import VALUES (22665, '09/07/2020', '9', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22666, '08/07/2020', '8', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22667, '07/07/2020', '7', '7', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22668, '06/07/2020', '6', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22669, '05/07/2020', '5', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22670, '04/07/2020', '4', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22671, '03/07/2020', '3', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22672, '02/07/2020', '2', '7', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22673, '01/07/2020', '1', '7', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '2.96683083');
INSERT INTO public.ecdc_import VALUES (22674, '30/06/2020', '30', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '2.96683083');
INSERT INTO public.ecdc_import VALUES (22675, '29/06/2020', '29', '6', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '2.96683083');
INSERT INTO public.ecdc_import VALUES (22676, '28/06/2020', '28', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22677, '27/06/2020', '27', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22678, '26/06/2020', '26', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22679, '25/06/2020', '25', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22680, '24/06/2020', '24', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22681, '23/06/2020', '23', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (22682, '22/06/2020', '22', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '2.96683083');
INSERT INTO public.ecdc_import VALUES (22683, '21/06/2020', '21', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22684, '20/06/2020', '20', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '5.93366166');
INSERT INTO public.ecdc_import VALUES (22685, '19/06/2020', '19', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22686, '18/06/2020', '18', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22687, '17/06/2020', '17', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '11.86732333');
INSERT INTO public.ecdc_import VALUES (22688, '16/06/2020', '16', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22689, '15/06/2020', '15', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '20.76781582');
INSERT INTO public.ecdc_import VALUES (22690, '14/06/2020', '14', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '44.50246247');
INSERT INTO public.ecdc_import VALUES (22691, '13/06/2020', '13', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '44.50246247');
INSERT INTO public.ecdc_import VALUES (22692, '12/06/2020', '12', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '56.36978579');
INSERT INTO public.ecdc_import VALUES (22693, '11/06/2020', '11', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '56.36978579');
INSERT INTO public.ecdc_import VALUES (22694, '10/06/2020', '10', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '62.30344746');
INSERT INTO public.ecdc_import VALUES (22695, '09/06/2020', '9', '6', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '62.30344746');
INSERT INTO public.ecdc_import VALUES (22696, '08/06/2020', '8', '6', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '71.20393995');
INSERT INTO public.ecdc_import VALUES (22697, '07/06/2020', '7', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '68.23710912');
INSERT INTO public.ecdc_import VALUES (22698, '06/06/2020', '6', '6', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '68.23710912');
INSERT INTO public.ecdc_import VALUES (22699, '05/06/2020', '5', '6', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '65.27027829');
INSERT INTO public.ecdc_import VALUES (22700, '04/06/2020', '4', '6', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '71.20393995');
INSERT INTO public.ecdc_import VALUES (22701, '03/06/2020', '3', '6', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '74.17077078');
INSERT INTO public.ecdc_import VALUES (22702, '02/06/2020', '2', '6', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '68.23710912');
INSERT INTO public.ecdc_import VALUES (22703, '01/06/2020', '1', '6', '2020', '8', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '65.27027829');
INSERT INTO public.ecdc_import VALUES (22704, '31/05/2020', '31', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '41.53563164');
INSERT INTO public.ecdc_import VALUES (22705, '30/05/2020', '30', '5', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '41.53563164');
INSERT INTO public.ecdc_import VALUES (22706, '29/05/2020', '29', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '29.66830831');
INSERT INTO public.ecdc_import VALUES (22707, '28/05/2020', '28', '5', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '29.66830831');
INSERT INTO public.ecdc_import VALUES (22708, '27/05/2020', '27', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '23.73464665');
INSERT INTO public.ecdc_import VALUES (22709, '26/05/2020', '26', '5', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '23.73464665');
INSERT INTO public.ecdc_import VALUES (22710, '25/05/2020', '25', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22711, '24/05/2020', '24', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22712, '23/05/2020', '23', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22713, '22/05/2020', '22', '5', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '20.76781582');
INSERT INTO public.ecdc_import VALUES (22714, '21/05/2020', '21', '5', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22715, '20/05/2020', '20', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22716, '19/05/2020', '19', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22717, '18/05/2020', '18', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22718, '17/05/2020', '17', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22719, '16/05/2020', '16', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22720, '15/05/2020', '15', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '8.90049249');
INSERT INTO public.ecdc_import VALUES (22721, '14/05/2020', '14', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22722, '13/05/2020', '13', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22723, '12/05/2020', '12', '5', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22724, '11/05/2020', '11', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '14.83415416');
INSERT INTO public.ecdc_import VALUES (22725, '10/05/2020', '10', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '29.66830831');
INSERT INTO public.ecdc_import VALUES (22726, '09/05/2020', '9', '5', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '38.56880081');
INSERT INTO public.ecdc_import VALUES (22727, '08/05/2020', '8', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22728, '07/05/2020', '7', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22729, '06/05/2020', '6', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22730, '05/05/2020', '5', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22731, '04/05/2020', '4', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22732, '03/05/2020', '3', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22733, '02/05/2020', '2', '5', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22734, '01/05/2020', '1', '5', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '32.63513914');
INSERT INTO public.ecdc_import VALUES (22735, '30/04/2020', '30', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '29.66830831');
INSERT INTO public.ecdc_import VALUES (22736, '29/04/2020', '29', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '35.60196998');
INSERT INTO public.ecdc_import VALUES (22737, '28/04/2020', '28', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '35.60196998');
INSERT INTO public.ecdc_import VALUES (22738, '27/04/2020', '27', '4', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '35.60196998');
INSERT INTO public.ecdc_import VALUES (22739, '26/04/2020', '26', '4', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '20.76781582');
INSERT INTO public.ecdc_import VALUES (22740, '25/04/2020', '25', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '17.80098499');
INSERT INTO public.ecdc_import VALUES (22741, '24/04/2020', '24', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '29.66830831');
INSERT INTO public.ecdc_import VALUES (22742, '23/04/2020', '23', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '38.56880081');
INSERT INTO public.ecdc_import VALUES (22743, '22/04/2020', '22', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '59.33661663');
INSERT INTO public.ecdc_import VALUES (22744, '21/04/2020', '21', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '71.20393995');
INSERT INTO public.ecdc_import VALUES (22745, '20/04/2020', '20', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '89.00492494');
INSERT INTO public.ecdc_import VALUES (22746, '19/04/2020', '19', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '103.8390791');
INSERT INTO public.ecdc_import VALUES (22747, '18/04/2020', '18', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '112.73957159');
INSERT INTO public.ecdc_import VALUES (22748, '17/04/2020', '17', '4', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '133.50738741');
INSERT INTO public.ecdc_import VALUES (22749, '16/04/2020', '16', '4', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '183.94351154');
INSERT INTO public.ecdc_import VALUES (22750, '15/04/2020', '15', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '178.00984988');
INSERT INTO public.ecdc_import VALUES (22751, '14/04/2020', '14', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '178.00984988');
INSERT INTO public.ecdc_import VALUES (22752, '13/04/2020', '13', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '189.8771732');
INSERT INTO public.ecdc_import VALUES (22753, '12/04/2020', '12', '4', '2020', '2', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '216.57865069');
INSERT INTO public.ecdc_import VALUES (22754, '11/04/2020', '11', '4', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '213.61181985');
INSERT INTO public.ecdc_import VALUES (22755, '10/04/2020', '10', '4', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '261.08111315');
INSERT INTO public.ecdc_import VALUES (22756, '09/04/2020', '9', '4', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '278.88209814');
INSERT INTO public.ecdc_import VALUES (22757, '08/04/2020', '8', '4', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '290.74942147');
INSERT INTO public.ecdc_import VALUES (22758, '07/04/2020', '7', '4', '2020', '6', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '278.88209814');
INSERT INTO public.ecdc_import VALUES (22759, '06/04/2020', '6', '4', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '261.08111315');
INSERT INTO public.ecdc_import VALUES (22760, '05/04/2020', '5', '4', '2020', '3', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '261.08111315');
INSERT INTO public.ecdc_import VALUES (22761, '04/04/2020', '4', '4', '2020', '7', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '252.18062066');
INSERT INTO public.ecdc_import VALUES (22762, '03/04/2020', '3', '4', '2020', '19', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '231.41280484');
INSERT INTO public.ecdc_import VALUES (22763, '02/04/2020', '2', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '204.71132736');
INSERT INTO public.ecdc_import VALUES (22764, '01/04/2020', '1', '4', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22765, '31/03/2020', '31', '3', '2020', '4', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22766, '30/03/2020', '30', '3', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22767, '29/03/2020', '29', '3', '2020', '1', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22768, '28/03/2020', '28', '3', '2020', '20', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22769, '27/03/2020', '27', '3', '2020', '9', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22770, '26/03/2020', '26', '3', '2020', '11', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22771, '25/03/2020', '25', '3', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22772, '24/03/2020', '24', '3', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22773, '23/03/2020', '23', '3', '2020', '5', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22774, '22/03/2020', '22', '3', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22775, '21/03/2020', '21', '3', '2020', '0', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22776, '20/03/2020', '20', '3', '2020', '10', '0', '33706', 'Gibraltar', 'GI', 'GIB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (22777, '14/12/2020', '14', '12', '2020', '692', '85', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '189.34973699');
INSERT INTO public.ecdc_import VALUES (22778, '13/12/2020', '13', '12', '2020', '1194', '68', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '194.02124033');
INSERT INTO public.ecdc_import VALUES (22779, '12/12/2020', '12', '12', '2020', '1395', '102', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '199.17761028');
INSERT INTO public.ecdc_import VALUES (22780, '11/12/2020', '11', '12', '2020', '1533', '81', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '204.64168404');
INSERT INTO public.ecdc_import VALUES (22781, '10/12/2020', '10', '12', '2020', '1675', '95', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '209.16399765');
INSERT INTO public.ecdc_import VALUES (22782, '09/12/2020', '9', '12', '2020', '1324', '102', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '213.60239203');
INSERT INTO public.ecdc_import VALUES (22783, '08/12/2020', '8', '12', '2020', '1250', '89', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '221.1271489');
INSERT INTO public.ecdc_import VALUES (22784, '07/12/2020', '7', '12', '2020', '903', '101', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '222.40458594');
INSERT INTO public.ecdc_import VALUES (22785, '06/12/2020', '6', '12', '2020', '1383', '98', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '227.95257893');
INSERT INTO public.ecdc_import VALUES (22786, '05/12/2020', '5', '12', '2020', '1648', '98', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '236.58693439');
INSERT INTO public.ecdc_import VALUES (22787, '04/12/2020', '4', '12', '2020', '1882', '100', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '245.00682963');
INSERT INTO public.ecdc_import VALUES (22788, '03/12/2020', '3', '12', '2020', '2185', '89', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '257.54809108');
INSERT INTO public.ecdc_import VALUES (22789, '02/12/2020', '2', '12', '2020', '2199', '111', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '267.09623362');
INSERT INTO public.ecdc_import VALUES (22790, '01/12/2020', '1', '12', '2020', '1044', '85', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '269.17556545');
INSERT INTO public.ecdc_import VALUES (22791, '30/11/2020', '30', '11', '2020', '1193', '98', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '279.93587453');
INSERT INTO public.ecdc_import VALUES (22792, '29/11/2020', '29', '11', '2020', '1747', '121', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '284.61670222');
INSERT INTO public.ecdc_import VALUES (22793, '28/11/2020', '28', '11', '2020', '1981', '101', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '294.76160367');
INSERT INTO public.ecdc_import VALUES (22794, '27/11/2020', '27', '11', '2020', '2018', '99', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '304.61745003');
INSERT INTO public.ecdc_import VALUES (22795, '26/11/2020', '26', '11', '2020', '2151', '87', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '316.72046666');
INSERT INTO public.ecdc_import VALUES (22796, '25/11/2020', '25', '11', '2020', '2131', '101', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '322.31508143');
INSERT INTO public.ecdc_import VALUES (22797, '24/11/2020', '24', '11', '2020', '1387', '84', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '324.66481964');
INSERT INTO public.ecdc_import VALUES (22798, '23/11/2020', '23', '11', '2020', '1498', '103', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '325.61590415');
INSERT INTO public.ecdc_import VALUES (22799, '22/11/2020', '22', '11', '2020', '2309', '108', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '329.26172811');
INSERT INTO public.ecdc_import VALUES (22800, '21/11/2020', '21', '11', '2020', '2551', '72', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '331.55552016');
INSERT INTO public.ecdc_import VALUES (22801, '20/11/2020', '20', '11', '2020', '3227', '59', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '330.58578694');
INSERT INTO public.ecdc_import VALUES (22802, '19/11/2020', '19', '11', '2020', '3209', '60', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '327.67658726');
INSERT INTO public.ecdc_import VALUES (22803, '18/11/2020', '18', '11', '2020', '2422', '63', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '322.42697373');
INSERT INTO public.ecdc_import VALUES (22804, '17/11/2020', '17', '11', '2020', '2198', '59', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '320.03993809');
INSERT INTO public.ecdc_import VALUES (22805, '16/11/2020', '16', '11', '2020', '1695', '71', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '310.27733531');
INSERT INTO public.ecdc_import VALUES (22806, '15/11/2020', '15', '11', '2020', '2835', '38', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '310.11882123');
INSERT INTO public.ecdc_import VALUES (22807, '14/11/2020', '14', '11', '2020', '3038', '38', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '302.84582202');
INSERT INTO public.ecdc_import VALUES (22808, '13/11/2020', '13', '11', '2020', '3316', '50', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '290.23929007');
INSERT INTO public.ecdc_import VALUES (22809, '12/11/2020', '12', '11', '2020', '2751', '43', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '270.61151657');
INSERT INTO public.ecdc_import VALUES (22810, '11/11/2020', '11', '11', '2020', '2383', '41', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '259.38498959');
INSERT INTO public.ecdc_import VALUES (22811, '10/11/2020', '10', '11', '2020', '1489', '41', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '248.87643818');
INSERT INTO public.ecdc_import VALUES (22812, '09/11/2020', '9', '11', '2020', '1889', '35', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '241.65006076');
INSERT INTO public.ecdc_import VALUES (22813, '08/11/2020', '8', '11', '2020', '2555', '34', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '231.40259137');
INSERT INTO public.ecdc_import VALUES (22814, '07/11/2020', '7', '11', '2020', '2447', '13', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '216.29713148');
INSERT INTO public.ecdc_import VALUES (22815, '06/11/2020', '6', '11', '2020', '2915', '29', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '201.32221261');
INSERT INTO public.ecdc_import VALUES (22816, '05/11/2020', '5', '11', '2020', '2646', '18', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '182.36579288');
INSERT INTO public.ecdc_import VALUES (22817, '04/11/2020', '4', '11', '2020', '2166', '13', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '165.75911137');
INSERT INTO public.ecdc_import VALUES (22818, '03/11/2020', '3', '11', '2020', '1151', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '151.78189879');
INSERT INTO public.ecdc_import VALUES (22819, '02/11/2020', '2', '11', '2020', '1678', '9', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '145.07768542');
INSERT INTO public.ecdc_import VALUES (22820, '01/11/2020', '1', '11', '2020', '2055', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '133.51548156');
INSERT INTO public.ecdc_import VALUES (22821, '31/10/2020', '31', '10', '2020', '1686', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '118.84826649');
INSERT INTO public.ecdc_import VALUES (22822, '30/10/2020', '30', '10', '2020', '1211', '12', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '107.81755103');
INSERT INTO public.ecdc_import VALUES (22823, '29/10/2020', '29', '10', '2020', '1547', '10', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '100.74036335');
INSERT INTO public.ecdc_import VALUES (22824, '28/10/2020', '28', '10', '2020', '1256', '12', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '90.3716773');
INSERT INTO public.ecdc_import VALUES (22825, '27/10/2020', '27', '10', '2020', '714', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '82.46462175');
INSERT INTO public.ecdc_import VALUES (22826, '26/10/2020', '26', '10', '2020', '790', '10', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '78.54839141');
INSERT INTO public.ecdc_import VALUES (22827, '25/10/2020', '25', '10', '2020', '935', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '73.79296886');
INSERT INTO public.ecdc_import VALUES (22828, '24/10/2020', '24', '10', '2020', '841', '10', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '67.9279477');
INSERT INTO public.ecdc_import VALUES (22829, '23/10/2020', '23', '10', '2020', '882', '15', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '63.73198662');
INSERT INTO public.ecdc_import VALUES (22830, '22/10/2020', '22', '10', '2020', '865', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '59.55467426');
INSERT INTO public.ecdc_import VALUES (22831, '21/10/2020', '21', '10', '2020', '667', '8', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '55.27479396');
INSERT INTO public.ecdc_import VALUES (22832, '20/10/2020', '20', '10', '2020', '432', '11', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '52.77586603');
INSERT INTO public.ecdc_import VALUES (22833, '19/10/2020', '19', '10', '2020', '438', '9', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '51.54505078');
INSERT INTO public.ecdc_import VALUES (22834, '18/10/2020', '18', '10', '2020', '482', '10', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '49.59625996');
INSERT INTO public.ecdc_import VALUES (22835, '17/10/2020', '17', '10', '2020', '503', '8', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '47.591523');
INSERT INTO public.ecdc_import VALUES (22836, '16/10/2020', '16', '10', '2020', '452', '13', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '47.19057561');
INSERT INTO public.ecdc_import VALUES (22837, '15/10/2020', '15', '10', '2020', '435', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '46.80827693');
INSERT INTO public.ecdc_import VALUES (22838, '14/10/2020', '14', '10', '2020', '408', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '46.03435522');
INSERT INTO public.ecdc_import VALUES (22839, '13/10/2020', '13', '10', '2020', '294', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '46.10895009');
INSERT INTO public.ecdc_import VALUES (22840, '12/10/2020', '12', '10', '2020', '280', '13', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '45.81989499');
INSERT INTO public.ecdc_import VALUES (22841, '11/10/2020', '11', '10', '2020', '306', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '45.22313608');
INSERT INTO public.ecdc_import VALUES (22842, '10/10/2020', '10', '10', '2020', '391', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '45.3070553');
INSERT INTO public.ecdc_import VALUES (22843, '09/10/2020', '9', '10', '2020', '434', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '44.32799772');
INSERT INTO public.ecdc_import VALUES (22844, '08/10/2020', '8', '10', '2020', '406', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '43.46083243');
INSERT INTO public.ecdc_import VALUES (22845, '07/10/2020', '7', '10', '2020', '399', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '43.01326325');
INSERT INTO public.ecdc_import VALUES (22846, '06/10/2020', '6', '10', '2020', '300', '8', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '42.39785562');
INSERT INTO public.ecdc_import VALUES (22847, '05/10/2020', '5', '10', '2020', '229', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '43.82448239');
INSERT INTO public.ecdc_import VALUES (22848, '04/10/2020', '4', '10', '2020', '267', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '43.21839912');
INSERT INTO public.ecdc_import VALUES (22849, '03/10/2020', '3', '10', '2020', '460', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '42.96664146');
INSERT INTO public.ecdc_import VALUES (22850, '02/10/2020', '2', '10', '2020', '411', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '41.82906979');
INSERT INTO public.ecdc_import VALUES (22851, '01/10/2020', '1', '10', '2020', '352', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '41.34420317');
INSERT INTO public.ecdc_import VALUES (22852, '30/09/2020', '30', '9', '2020', '416', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '40.9619045');
INSERT INTO public.ecdc_import VALUES (22853, '29/09/2020', '29', '9', '2020', '263', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '39.97352255');
INSERT INTO public.ecdc_import VALUES (22854, '28/09/2020', '28', '9', '2020', '216', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '39.19960084');
INSERT INTO public.ecdc_import VALUES (22855, '27/09/2020', '27', '9', '2020', '315', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '39.08770855');
INSERT INTO public.ecdc_import VALUES (22856, '26/09/2020', '26', '9', '2020', '286', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '38.96649189');
INSERT INTO public.ecdc_import VALUES (22857, '25/09/2020', '25', '9', '2020', '341', '9', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '38.92919446');
INSERT INTO public.ecdc_import VALUES (22858, '24/09/2020', '24', '9', '2020', '358', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '39.21824956');
INSERT INTO public.ecdc_import VALUES (22859, '23/09/2020', '23', '9', '2020', '333', '8', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '38.19257018');
INSERT INTO public.ecdc_import VALUES (22860, '22/09/2020', '22', '9', '2020', '453', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '36.66337548');
INSERT INTO public.ecdc_import VALUES (22861, '21/09/2020', '21', '9', '2020', '164', '7', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '33.73552708');
INSERT INTO public.ecdc_import VALUES (22862, '20/09/2020', '20', '9', '2020', '240', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '33.49309377');
INSERT INTO public.ecdc_import VALUES (22863, '19/09/2020', '19', '9', '2020', '338', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '32.98957844');
INSERT INTO public.ecdc_import VALUES (22864, '18/09/2020', '18', '9', '2020', '359', '9', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '31.72146576');
INSERT INTO public.ecdc_import VALUES (22865, '17/09/2020', '17', '9', '2020', '311', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '30.62119152');
INSERT INTO public.ecdc_import VALUES (22866, '16/09/2020', '16', '9', '2020', '310', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '29.8938916');
INSERT INTO public.ecdc_import VALUES (22867, '15/09/2020', '15', '9', '2020', '180', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.93348273');
INSERT INTO public.ecdc_import VALUES (22868, '14/09/2020', '14', '9', '2020', '204', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.96145581');
INSERT INTO public.ecdc_import VALUES (22869, '13/09/2020', '13', '9', '2020', '302', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.52321098');
INSERT INTO public.ecdc_import VALUES (22870, '12/09/2020', '12', '9', '2020', '282', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '27.35766624');
INSERT INTO public.ecdc_import VALUES (22871, '11/09/2020', '11', '9', '2020', '372', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '27.23644959');
INSERT INTO public.ecdc_import VALUES (22872, '10/09/2020', '10', '9', '2020', '248', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '26.10820227');
INSERT INTO public.ecdc_import VALUES (22873, '09/09/2020', '9', '9', '2020', '169', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '26.52779838');
INSERT INTO public.ecdc_import VALUES (22874, '08/09/2020', '8', '9', '2020', '139', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '26.51847402');
INSERT INTO public.ecdc_import VALUES (22875, '07/09/2020', '7', '9', '2020', '138', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '26.66766375');
INSERT INTO public.ecdc_import VALUES (22876, '06/09/2020', '6', '9', '2020', '186', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.01969565');
INSERT INTO public.ecdc_import VALUES (22877, '05/09/2020', '5', '9', '2020', '202', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.55118406');
INSERT INTO public.ecdc_import VALUES (22878, '04/09/2020', '4', '9', '2020', '241', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.56983277');
INSERT INTO public.ecdc_import VALUES (22879, '03/09/2020', '3', '9', '2020', '233', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.653752');
INSERT INTO public.ecdc_import VALUES (22880, '02/09/2020', '2', '9', '2020', '207', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.45794048');
INSERT INTO public.ecdc_import VALUES (22881, '01/09/2020', '1', '9', '2020', '183', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.85888787');
INSERT INTO public.ecdc_import VALUES (22882, '31/08/2020', '31', '8', '2020', '157', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.52321098');
INSERT INTO public.ecdc_import VALUES (22883, '30/08/2020', '30', '8', '2020', '177', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '29.08267246');
INSERT INTO public.ecdc_import VALUES (22884, '29/08/2020', '29', '8', '2020', '269', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '29.539566');
INSERT INTO public.ecdc_import VALUES (22885, '28/08/2020', '28', '8', '2020', '251', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '29.37172756');
INSERT INTO public.ecdc_import VALUES (22886, '27/08/2020', '27', '8', '2020', '293', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.93348273');
INSERT INTO public.ecdc_import VALUES (22887, '26/08/2020', '26', '8', '2020', '168', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.39266997');
INSERT INTO public.ecdc_import VALUES (22888, '25/08/2020', '25', '8', '2020', '155', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.62577892');
INSERT INTO public.ecdc_import VALUES (22889, '24/08/2020', '24', '8', '2020', '283', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '28.35537254');
INSERT INTO public.ecdc_import VALUES (22890, '23/08/2020', '23', '8', '2020', '243', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '27.60009955');
INSERT INTO public.ecdc_import VALUES (22891, '22/08/2020', '22', '8', '2020', '204', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '26.74225861');
INSERT INTO public.ecdc_import VALUES (22892, '21/08/2020', '21', '8', '2020', '250', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '26.21077021');
INSERT INTO public.ecdc_import VALUES (22893, '20/08/2020', '20', '8', '2020', '212', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '25.27833442');
INSERT INTO public.ecdc_import VALUES (22894, '19/08/2020', '19', '8', '2020', '250', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '24.40184477');
INSERT INTO public.ecdc_import VALUES (22895, '18/08/2020', '18', '8', '2020', '147', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '23.17102952');
INSERT INTO public.ecdc_import VALUES (22896, '17/08/2020', '17', '8', '2020', '217', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '22.49967575');
INSERT INTO public.ecdc_import VALUES (22897, '16/08/2020', '16', '8', '2020', '226', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '21.17561692');
INSERT INTO public.ecdc_import VALUES (22898, '15/08/2020', '15', '8', '2020', '251', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '20.09399139');
INSERT INTO public.ecdc_import VALUES (22899, '14/08/2020', '14', '8', '2020', '204', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '18.46222875');
INSERT INTO public.ecdc_import VALUES (22900, '13/08/2020', '13', '8', '2020', '235', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '17.166143');
INSERT INTO public.ecdc_import VALUES (22901, '12/08/2020', '12', '8', '2020', '193', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '15.50640728');
INSERT INTO public.ecdc_import VALUES (22902, '11/08/2020', '11', '8', '2020', '126', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '14.19167281');
INSERT INTO public.ecdc_import VALUES (22903, '10/08/2020', '10', '8', '2020', '202', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '13.33383188');
INSERT INTO public.ecdc_import VALUES (22904, '09/08/2020', '9', '8', '2020', '151', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '11.70206923');
INSERT INTO public.ecdc_import VALUES (22905, '08/08/2020', '8', '8', '2020', '147', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '10.58314628');
INSERT INTO public.ecdc_import VALUES (22906, '07/08/2020', '7', '8', '2020', '150', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.44557461');
INSERT INTO public.ecdc_import VALUES (22907, '06/08/2020', '6', '8', '2020', '118', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '8.35462473');
INSERT INTO public.ecdc_import VALUES (22908, '05/08/2020', '5', '8', '2020', '118', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.52475687');
INSERT INTO public.ecdc_import VALUES (22909, '04/08/2020', '4', '8', '2020', '75', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '6.76015952');
INSERT INTO public.ecdc_import VALUES (22910, '03/08/2020', '3', '8', '2020', '75', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '6.10745446');
INSERT INTO public.ecdc_import VALUES (22911, '02/08/2020', '2', '8', '2020', '110', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '5.6319122');
INSERT INTO public.ecdc_import VALUES (22912, '01/08/2020', '1', '8', '2020', '76', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.78339563');
INSERT INTO public.ecdc_import VALUES (22913, '31/07/2020', '31', '7', '2020', '65', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.30785338');
INSERT INTO public.ecdc_import VALUES (22914, '30/07/2020', '30', '7', '2020', '57', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.97217649');
INSERT INTO public.ecdc_import VALUES (22915, '29/07/2020', '29', '7', '2020', '52', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.69244575');
INSERT INTO public.ecdc_import VALUES (22916, '28/07/2020', '28', '7', '2020', '34', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.73906754');
INSERT INTO public.ecdc_import VALUES (22917, '27/07/2020', '27', '7', '2020', '27', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.6364996');
INSERT INTO public.ecdc_import VALUES (22918, '26/07/2020', '26', '7', '2020', '31', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.67379703');
INSERT INTO public.ecdc_import VALUES (22919, '25/07/2020', '25', '7', '2020', '25', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.75771626');
INSERT INTO public.ecdc_import VALUES (22920, '24/07/2020', '24', '7', '2020', '33', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.08406878');
INSERT INTO public.ecdc_import VALUES (22921, '23/07/2020', '23', '7', '2020', '29', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.24258287');
INSERT INTO public.ecdc_import VALUES (22922, '22/07/2020', '22', '7', '2020', '36', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.2798803');
INSERT INTO public.ecdc_import VALUES (22923, '21/07/2020', '21', '7', '2020', '5', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.19596108');
INSERT INTO public.ecdc_import VALUES (22924, '20/07/2020', '20', '7', '2020', '24', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.55028668');
INSERT INTO public.ecdc_import VALUES (22925, '19/07/2020', '19', '7', '2020', '19', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.40109695');
INSERT INTO public.ecdc_import VALUES (22926, '18/07/2020', '18', '7', '2020', '25', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.4570431');
INSERT INTO public.ecdc_import VALUES (22927, '17/07/2020', '17', '7', '2020', '29', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.48501618');
INSERT INTO public.ecdc_import VALUES (22928, '16/07/2020', '16', '7', '2020', '27', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.4570431');
INSERT INTO public.ecdc_import VALUES (22929, '15/07/2020', '15', '7', '2020', '57', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.41974567');
INSERT INTO public.ecdc_import VALUES (22930, '14/07/2020', '14', '7', '2020', '23', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.06542007');
INSERT INTO public.ecdc_import VALUES (22931, '13/07/2020', '13', '7', '2020', '31', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.98150085');
INSERT INTO public.ecdc_import VALUES (22932, '12/07/2020', '12', '7', '2020', '40', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.78568933');
INSERT INTO public.ecdc_import VALUES (22933, '11/07/2020', '11', '7', '2020', '60', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.62717524');
INSERT INTO public.ecdc_import VALUES (22934, '10/07/2020', '10', '7', '2020', '50', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.27284964');
INSERT INTO public.ecdc_import VALUES (22935, '09/07/2020', '9', '7', '2020', '33', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.90919968');
INSERT INTO public.ecdc_import VALUES (22936, '08/07/2020', '8', '7', '2020', '27', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.67609073');
INSERT INTO public.ecdc_import VALUES (22937, '07/07/2020', '7', '7', '2020', '43', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.56419844');
INSERT INTO public.ecdc_import VALUES (22938, '06/07/2020', '6', '7', '2020', '8', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.35906256');
INSERT INTO public.ecdc_import VALUES (22939, '05/07/2020', '5', '7', '2020', '25', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.37771128');
INSERT INTO public.ecdc_import VALUES (22940, '04/07/2020', '4', '7', '2020', '28', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.32176513');
INSERT INTO public.ecdc_import VALUES (22941, '03/07/2020', '3', '7', '2020', '26', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.15392669');
INSERT INTO public.ecdc_import VALUES (22942, '02/07/2020', '2', '7', '2020', '23', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.13527797');
INSERT INTO public.ecdc_import VALUES (22943, '01/07/2020', '1', '7', '2020', '19', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.43365743');
INSERT INTO public.ecdc_import VALUES (22944, '30/06/2020', '30', '6', '2020', '14', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.38703564');
INSERT INTO public.ecdc_import VALUES (22945, '29/06/2020', '29', '6', '2020', '10', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.37771128');
INSERT INTO public.ecdc_import VALUES (22946, '28/06/2020', '28', '6', '2020', '23', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.36838692');
INSERT INTO public.ecdc_import VALUES (22947, '27/06/2020', '27', '6', '2020', '22', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.19122412');
INSERT INTO public.ecdc_import VALUES (22948, '26/06/2020', '26', '6', '2020', '11', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.1725754');
INSERT INTO public.ecdc_import VALUES (22949, '25/06/2020', '25', '6', '2020', '8', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.25649463');
INSERT INTO public.ecdc_import VALUES (22950, '24/06/2020', '24', '6', '2020', '15', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.27514334');
INSERT INTO public.ecdc_import VALUES (22951, '23/06/2020', '23', '6', '2020', '21', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.21919719');
INSERT INTO public.ecdc_import VALUES (22952, '22/06/2020', '22', '6', '2020', '10', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.50825229');
INSERT INTO public.ecdc_import VALUES (22953, '21/06/2020', '21', '6', '2020', '19', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.5735228');
INSERT INTO public.ecdc_import VALUES (22954, '20/06/2020', '20', '6', '2020', '10', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.51757665');
INSERT INTO public.ecdc_import VALUES (22955, '19/06/2020', '19', '6', '2020', '24', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.56419844');
INSERT INTO public.ecdc_import VALUES (22956, '18/06/2020', '18', '6', '2020', '55', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.48027922');
INSERT INTO public.ecdc_import VALUES (22957, '17/06/2020', '17', '6', '2020', '14', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.96743953');
INSERT INTO public.ecdc_import VALUES (22958, '16/06/2020', '16', '6', '2020', '13', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.01406132');
INSERT INTO public.ecdc_import VALUES (22959, '15/06/2020', '15', '6', '2020', '9', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.90216902');
INSERT INTO public.ecdc_import VALUES (22960, '14/06/2020', '14', '6', '2020', '4', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.83689852');
INSERT INTO public.ecdc_import VALUES (22961, '13/06/2020', '13', '6', '2020', '20', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.85554723');
INSERT INTO public.ecdc_import VALUES (22962, '12/06/2020', '12', '6', '2020', '20', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.69703315');
INSERT INTO public.ecdc_import VALUES (22963, '11/06/2020', '11', '6', '2020', '10', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.53851906');
INSERT INTO public.ecdc_import VALUES (22964, '10/06/2020', '10', '6', '2020', '9', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.54784342');
INSERT INTO public.ecdc_import VALUES (22965, '09/06/2020', '9', '6', '2020', '52', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.55716778');
INSERT INTO public.ecdc_import VALUES (22966, '08/06/2020', '8', '6', '2020', '17', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.1095986');
INSERT INTO public.ecdc_import VALUES (22967, '07/06/2020', '7', '6', '2020', '13', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.96973323');
INSERT INTO public.ecdc_import VALUES (22968, '06/06/2020', '6', '6', '2020', '15', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.87648965');
INSERT INTO public.ecdc_import VALUES (22969, '05/06/2020', '5', '6', '2020', '15', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.92311144');
INSERT INTO public.ecdc_import VALUES (22970, '04/06/2020', '4', '6', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.81121914');
INSERT INTO public.ecdc_import VALUES (22971, '03/06/2020', '3', '6', '2020', '19', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.90446272');
INSERT INTO public.ecdc_import VALUES (22972, '02/06/2020', '2', '6', '2020', '1', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.76459735');
INSERT INTO public.ecdc_import VALUES (22973, '01/06/2020', '1', '6', '2020', '2', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.77392171');
INSERT INTO public.ecdc_import VALUES (22974, '31/05/2020', '31', '5', '2020', '6', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.89513836');
INSERT INTO public.ecdc_import VALUES (22975, '30/05/2020', '30', '5', '2020', '3', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.92311144');
INSERT INTO public.ecdc_import VALUES (22976, '29/05/2020', '29', '5', '2020', '3', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.26811268');
INSERT INTO public.ecdc_import VALUES (22977, '28/05/2020', '28', '5', '2020', '11', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.33338319');
INSERT INTO public.ecdc_import VALUES (22978, '27/05/2020', '27', '5', '2020', '10', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.38000498');
INSERT INTO public.ecdc_import VALUES (22979, '26/05/2020', '26', '5', '2020', '4', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.45459984');
INSERT INTO public.ecdc_import VALUES (22980, '25/05/2020', '25', '5', '2020', '2', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.51054599');
INSERT INTO public.ecdc_import VALUES (22981, '24/05/2020', '24', '5', '2020', '3', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.54784342');
INSERT INTO public.ecdc_import VALUES (22982, '23/05/2020', '23', '5', '2020', '20', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.69703315');
INSERT INTO public.ecdc_import VALUES (22983, '22/05/2020', '22', '5', '2020', '3', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.63176264');
INSERT INTO public.ecdc_import VALUES (22984, '21/05/2020', '21', '5', '2020', '10', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.74365494');
INSERT INTO public.ecdc_import VALUES (22985, '20/05/2020', '20', '5', '2020', '4', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.84622288');
INSERT INTO public.ecdc_import VALUES (22986, '19/05/2020', '19', '5', '2020', '2', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.90216902');
INSERT INTO public.ecdc_import VALUES (22987, '18/05/2020', '18', '5', '2020', '15', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.93946645');
INSERT INTO public.ecdc_import VALUES (22988, '17/05/2020', '17', '5', '2020', '9', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.85554723');
INSERT INTO public.ecdc_import VALUES (22989, '16/05/2020', '16', '5', '2020', '40', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.04203439');
INSERT INTO public.ecdc_import VALUES (22990, '15/05/2020', '15', '5', '2020', '10', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.66906007');
INSERT INTO public.ecdc_import VALUES (22991, '14/05/2020', '14', '5', '2020', '16', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.71568186');
INSERT INTO public.ecdc_import VALUES (22992, '13/05/2020', '13', '5', '2020', '18', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.95811517');
INSERT INTO public.ecdc_import VALUES (22993, '12/05/2020', '12', '5', '2020', '10', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.79027673');
INSERT INTO public.ecdc_import VALUES (22994, '11/05/2020', '11', '5', '2020', '6', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.95811517');
INSERT INTO public.ecdc_import VALUES (22995, '10/05/2020', '10', '5', '2020', '19', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.90216902');
INSERT INTO public.ecdc_import VALUES (22996, '09/05/2020', '9', '5', '2020', '13', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.87419595');
INSERT INTO public.ecdc_import VALUES (22997, '08/05/2020', '8', '5', '2020', '15', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.00473696');
INSERT INTO public.ecdc_import VALUES (22998, '07/05/2020', '7', '5', '2020', '21', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.37771128');
INSERT INTO public.ecdc_import VALUES (22999, '06/05/2020', '6', '5', '2020', '10', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.24717027');
INSERT INTO public.ecdc_import VALUES (23000, '05/05/2020', '5', '5', '2020', '6', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.60852653');
INSERT INTO public.ecdc_import VALUES (23001, '04/05/2020', '4', '5', '2020', '6', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.64582396');
INSERT INTO public.ecdc_import VALUES (23002, '03/05/2020', '3', '5', '2020', '29', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.85095984');
INSERT INTO public.ecdc_import VALUES (23003, '02/05/2020', '2', '5', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.58055345');
INSERT INTO public.ecdc_import VALUES (23004, '01/05/2020', '1', '5', '2020', '15', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.58055345');
INSERT INTO public.ecdc_import VALUES (23005, '30/04/2020', '30', '4', '2020', '42', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.58055345');
INSERT INTO public.ecdc_import VALUES (23006, '29/04/2020', '29', '4', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.3940663');
INSERT INTO public.ecdc_import VALUES (23007, '28/04/2020', '28', '4', '2020', '28', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.62717524');
INSERT INTO public.ecdc_import VALUES (23008, '27/04/2020', '27', '4', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.65514832');
INSERT INTO public.ecdc_import VALUES (23009, '26/04/2020', '26', '4', '2020', '16', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.96285213');
INSERT INTO public.ecdc_import VALUES (23010, '25/04/2020', '25', '4', '2020', '27', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.46636746');
INSERT INTO public.ecdc_import VALUES (23011, '24/04/2020', '24', '4', '2020', '55', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.73677384');
INSERT INTO public.ecdc_import VALUES (23012, '23/04/2020', '23', '4', '2020', '7', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.88596357');
INSERT INTO public.ecdc_import VALUES (23013, '22/04/2020', '22', '4', '2020', '156', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '5.30555968');
INSERT INTO public.ecdc_import VALUES (23014, '21/04/2020', '21', '4', '2020', '10', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.5689354');
INSERT INTO public.ecdc_import VALUES (23015, '20/04/2020', '20', '4', '2020', '28', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.66217898');
INSERT INTO public.ecdc_import VALUES (23016, '19/04/2020', '19', '4', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.97920715');
INSERT INTO public.ecdc_import VALUES (23017, '18/04/2020', '18', '4', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '5.53866863');
INSERT INTO public.ecdc_import VALUES (23018, '17/04/2020', '17', '4', '2020', '15', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '6.46178006');
INSERT INTO public.ecdc_import VALUES (23019, '16/04/2020', '16', '4', '2020', '22', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.61800045');
INSERT INTO public.ecdc_import VALUES (23020, '15/04/2020', '15', '4', '2020', '25', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.98165041');
INSERT INTO public.ecdc_import VALUES (23021, '14/04/2020', '14', '4', '2020', '31', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '8.69962597');
INSERT INTO public.ecdc_import VALUES (23022, '13/04/2020', '13', '4', '2020', '33', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '8.93273492');
INSERT INTO public.ecdc_import VALUES (23023, '12/04/2020', '12', '4', '2020', '70', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.51084511');
INSERT INTO public.ecdc_import VALUES (23024, '11/04/2020', '11', '4', '2020', '56', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.74395406');
INSERT INTO public.ecdc_import VALUES (23025, '10/04/2020', '10', '4', '2020', '71', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.91179251');
INSERT INTO public.ecdc_import VALUES (23026, '09/04/2020', '9', '4', '2020', '52', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.91179251');
INSERT INTO public.ecdc_import VALUES (23027, '08/04/2020', '8', '4', '2020', '77', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '10.15422581');
INSERT INTO public.ecdc_import VALUES (23028, '07/04/2020', '7', '4', '2020', '20', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.88381943');
INSERT INTO public.ecdc_import VALUES (23029, '06/04/2020', '6', '4', '2020', '62', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '10.35936169');
INSERT INTO public.ecdc_import VALUES (23030, '05/04/2020', '5', '4', '2020', '60', '9', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '10.65774114');
INSERT INTO public.ecdc_import VALUES (23031, '04/04/2020', '4', '4', '2020', '99', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '10.42463219');
INSERT INTO public.ecdc_import VALUES (23032, '03/04/2020', '3', '4', '2020', '139', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '9.79057585');
INSERT INTO public.ecdc_import VALUES (23033, '02/04/2020', '2', '4', '2020', '61', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '8.92341056');
INSERT INTO public.ecdc_import VALUES (23034, '01/04/2020', '1', '4', '2020', '102', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '8.64367982');
INSERT INTO public.ecdc_import VALUES (23035, '31/03/2020', '31', '3', '2020', '56', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '8.01894784');
INSERT INTO public.ecdc_import VALUES (23036, '30/03/2020', '30', '3', '2020', '95', '6', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.69259531');
INSERT INTO public.ecdc_import VALUES (23037, '29/03/2020', '29', '3', '2020', '95', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.76719018');
INSERT INTO public.ecdc_import VALUES (23038, '28/03/2020', '28', '3', '2020', '74', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.23570177');
INSERT INTO public.ecdc_import VALUES (23039, '27/03/2020', '27', '3', '2020', '71', '4', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '7.07718769');
INSERT INTO public.ecdc_import VALUES (23040, '26/03/2020', '26', '3', '2020', '78', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '6.73218644');
INSERT INTO public.ecdc_import VALUES (23041, '25/03/2020', '25', '3', '2020', '48', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '6.08880574');
INSERT INTO public.ecdc_import VALUES (23042, '24/03/2020', '24', '3', '2020', '71', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '5.69718271');
INSERT INTO public.ecdc_import VALUES (23043, '23/03/2020', '23', '3', '2020', '94', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '5.13772123');
INSERT INTO public.ecdc_import VALUES (23044, '22/03/2020', '22', '3', '2020', '35', '5', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.32650209');
INSERT INTO public.ecdc_import VALUES (23045, '21/03/2020', '21', '3', '2020', '31', '3', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.19596108');
INSERT INTO public.ecdc_import VALUES (23046, '20/03/2020', '20', '3', '2020', '46', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '4.02812264');
INSERT INTO public.ecdc_import VALUES (23047, '19/03/2020', '19', '3', '2020', '31', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.80433805');
INSERT INTO public.ecdc_import VALUES (23048, '18/03/2020', '18', '3', '2020', '35', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.54325602');
INSERT INTO public.ecdc_import VALUES (23049, '17/03/2020', '17', '3', '2020', '21', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.21690349');
INSERT INTO public.ecdc_import VALUES (23050, '16/03/2020', '16', '3', '2020', '103', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '3.04906505');
INSERT INTO public.ecdc_import VALUES (23051, '15/03/2020', '15', '3', '2020', '38', '2', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '2.09798054');
INSERT INTO public.ecdc_import VALUES (23052, '14/03/2020', '14', '3', '2020', '57', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.76230365');
INSERT INTO public.ecdc_import VALUES (23053, '13/03/2020', '13', '3', '2020', '34', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '1.24013961');
INSERT INTO public.ecdc_import VALUES (23054, '12/03/2020', '12', '3', '2020', '9', '1', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.92311144');
INSERT INTO public.ecdc_import VALUES (23055, '11/03/2020', '11', '3', '2020', '6', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.83919222');
INSERT INTO public.ecdc_import VALUES (23056, '10/03/2020', '10', '3', '2020', '11', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.78324607');
INSERT INTO public.ecdc_import VALUES (23057, '09/03/2020', '9', '3', '2020', '7', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.68067813');
INSERT INTO public.ecdc_import VALUES (23058, '08/03/2020', '8', '3', '2020', '21', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.61540763');
INSERT INTO public.ecdc_import VALUES (23059, '07/03/2020', '7', '3', '2020', '13', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.41959611');
INSERT INTO public.ecdc_import VALUES (23060, '06/03/2020', '6', '3', '2020', '22', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.29837945');
INSERT INTO public.ecdc_import VALUES (23061, '05/03/2020', '5', '3', '2020', '3', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.09324358');
INSERT INTO public.ecdc_import VALUES (23062, '02/03/2020', '2', '3', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.06527051');
INSERT INTO public.ecdc_import VALUES (23063, '01/03/2020', '1', '3', '2020', '3', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.06527051');
INSERT INTO public.ecdc_import VALUES (23064, '29/02/2020', '29', '2', '2020', '1', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.03729743');
INSERT INTO public.ecdc_import VALUES (23065, '28/02/2020', '28', '2', '2020', '2', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.02797307');
INSERT INTO public.ecdc_import VALUES (23066, '27/02/2020', '27', '2', '2020', '1', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0.00932436');
INSERT INTO public.ecdc_import VALUES (23067, '26/02/2020', '26', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23068, '25/02/2020', '25', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23069, '24/02/2020', '24', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23070, '23/02/2020', '23', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23071, '22/02/2020', '22', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23072, '21/02/2020', '21', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23073, '20/02/2020', '20', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23074, '19/02/2020', '19', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23075, '18/02/2020', '18', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23076, '17/02/2020', '17', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23077, '16/02/2020', '16', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23078, '15/02/2020', '15', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23079, '14/02/2020', '14', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23080, '13/02/2020', '13', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23081, '12/02/2020', '12', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23082, '11/02/2020', '11', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23083, '10/02/2020', '10', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23084, '09/02/2020', '9', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23085, '08/02/2020', '8', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23086, '07/02/2020', '7', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23087, '06/02/2020', '6', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23088, '05/02/2020', '5', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23089, '04/02/2020', '4', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23090, '03/02/2020', '3', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23091, '02/02/2020', '2', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23092, '01/02/2020', '1', '2', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23093, '31/01/2020', '31', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23094, '30/01/2020', '30', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23095, '29/01/2020', '29', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23096, '28/01/2020', '28', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23097, '27/01/2020', '27', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23098, '26/01/2020', '26', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23099, '25/01/2020', '25', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23100, '24/01/2020', '24', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23101, '23/01/2020', '23', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23102, '22/01/2020', '22', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23103, '21/01/2020', '21', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23104, '20/01/2020', '20', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23105, '19/01/2020', '19', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23106, '18/01/2020', '18', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23107, '17/01/2020', '17', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23108, '16/01/2020', '16', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23109, '15/01/2020', '15', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23110, '14/01/2020', '14', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23111, '13/01/2020', '13', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (23112, '12/01/2020', '12', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23113, '11/01/2020', '11', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23114, '10/01/2020', '10', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23115, '09/01/2020', '9', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23116, '08/01/2020', '8', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23117, '07/01/2020', '7', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23118, '06/01/2020', '6', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23119, '05/01/2020', '5', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23120, '04/01/2020', '4', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23121, '03/01/2020', '3', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23122, '02/01/2020', '2', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23123, '01/01/2020', '1', '1', '2020', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23124, '31/12/2019', '31', '12', '2019', '0', '0', '10724599', 'Greece', 'EL', 'GRC', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (23125, '14/12/2020', '14', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23126, '13/12/2020', '13', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23127, '12/12/2020', '12', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23128, '11/12/2020', '11', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23129, '10/12/2020', '10', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23130, '09/12/2020', '9', '12', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23131, '08/12/2020', '8', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23132, '07/12/2020', '7', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23133, '06/12/2020', '6', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23134, '05/12/2020', '5', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23135, '04/12/2020', '4', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23136, '03/12/2020', '3', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23137, '02/12/2020', '2', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23138, '01/12/2020', '1', '12', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23139, '30/11/2020', '30', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23140, '29/11/2020', '29', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23141, '28/11/2020', '28', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23142, '27/11/2020', '27', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23143, '26/11/2020', '26', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23144, '25/11/2020', '25', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23145, '24/11/2020', '24', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23146, '23/11/2020', '23', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23147, '22/11/2020', '22', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23148, '21/11/2020', '21', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23149, '20/11/2020', '20', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23150, '19/11/2020', '19', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23151, '18/11/2020', '18', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23152, '17/11/2020', '17', '11', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23153, '16/11/2020', '16', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23154, '15/11/2020', '15', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23155, '14/11/2020', '14', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23156, '13/11/2020', '13', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23157, '12/11/2020', '12', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23158, '11/11/2020', '11', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23159, '10/11/2020', '10', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23160, '09/11/2020', '9', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23161, '08/11/2020', '8', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23162, '07/11/2020', '7', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23163, '06/11/2020', '6', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23164, '05/11/2020', '5', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23165, '04/11/2020', '4', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23166, '03/11/2020', '3', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23167, '02/11/2020', '2', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23168, '01/11/2020', '1', '11', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23169, '31/10/2020', '31', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23170, '30/10/2020', '30', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23171, '29/10/2020', '29', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23172, '28/10/2020', '28', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23173, '27/10/2020', '27', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23174, '26/10/2020', '26', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23175, '25/10/2020', '25', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23176, '24/10/2020', '24', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23177, '23/10/2020', '23', '10', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23178, '22/10/2020', '22', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23179, '21/10/2020', '21', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23180, '20/10/2020', '20', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23181, '19/10/2020', '19', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23182, '18/10/2020', '18', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23183, '17/10/2020', '17', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23184, '16/10/2020', '16', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23185, '15/10/2020', '15', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23186, '14/10/2020', '14', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23187, '13/10/2020', '13', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23188, '12/10/2020', '12', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23189, '11/10/2020', '11', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23190, '10/10/2020', '10', '10', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23191, '09/10/2020', '9', '10', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23192, '08/10/2020', '8', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23193, '07/10/2020', '7', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23194, '06/10/2020', '6', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23195, '05/10/2020', '5', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23196, '04/10/2020', '4', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23197, '03/10/2020', '3', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23198, '02/10/2020', '2', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23199, '01/10/2020', '1', '10', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23200, '30/09/2020', '30', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23201, '29/09/2020', '29', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23202, '28/09/2020', '28', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23203, '27/09/2020', '27', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23204, '26/09/2020', '26', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23205, '25/09/2020', '25', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23206, '24/09/2020', '24', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23207, '23/09/2020', '23', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23208, '22/09/2020', '22', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23209, '21/09/2020', '21', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23210, '20/09/2020', '20', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23211, '19/09/2020', '19', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23212, '18/09/2020', '18', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23213, '17/09/2020', '17', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23214, '16/09/2020', '16', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23215, '15/09/2020', '15', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23216, '14/09/2020', '14', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23217, '13/09/2020', '13', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23218, '12/09/2020', '12', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23219, '11/09/2020', '11', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23220, '10/09/2020', '10', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23221, '09/09/2020', '9', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23222, '08/09/2020', '8', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23223, '07/09/2020', '7', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23224, '06/09/2020', '6', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23225, '05/09/2020', '5', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23226, '04/09/2020', '4', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23227, '03/09/2020', '3', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23228, '02/09/2020', '2', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23229, '01/09/2020', '1', '9', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23230, '31/08/2020', '31', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23231, '30/08/2020', '30', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23232, '29/08/2020', '29', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23233, '28/08/2020', '28', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23234, '27/08/2020', '27', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23235, '26/08/2020', '26', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23236, '25/08/2020', '25', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23237, '24/08/2020', '24', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23238, '23/08/2020', '23', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23239, '22/08/2020', '22', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23240, '21/08/2020', '21', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23241, '20/08/2020', '20', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23242, '19/08/2020', '19', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23243, '18/08/2020', '18', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23244, '17/08/2020', '17', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23245, '16/08/2020', '16', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23246, '15/08/2020', '15', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23247, '14/08/2020', '14', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23248, '13/08/2020', '13', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23249, '12/08/2020', '12', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23250, '11/08/2020', '11', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23251, '10/08/2020', '10', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23252, '09/08/2020', '9', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23253, '08/08/2020', '8', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23254, '07/08/2020', '7', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23255, '06/08/2020', '6', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23256, '05/08/2020', '5', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23257, '04/08/2020', '4', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23258, '03/08/2020', '3', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23259, '02/08/2020', '2', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23260, '01/08/2020', '1', '8', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23261, '31/07/2020', '31', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23262, '30/07/2020', '30', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23263, '29/07/2020', '29', '7', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23264, '28/07/2020', '28', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23265, '27/07/2020', '27', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23266, '26/07/2020', '26', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23267, '25/07/2020', '25', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23268, '24/07/2020', '24', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23269, '23/07/2020', '23', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23270, '22/07/2020', '22', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23271, '21/07/2020', '21', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23272, '20/07/2020', '20', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23273, '19/07/2020', '19', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23274, '18/07/2020', '18', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23275, '17/07/2020', '17', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23276, '16/07/2020', '16', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23277, '15/07/2020', '15', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23278, '14/07/2020', '14', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23279, '13/07/2020', '13', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23280, '12/07/2020', '12', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23281, '11/07/2020', '11', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23282, '10/07/2020', '10', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23283, '09/07/2020', '9', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23284, '08/07/2020', '8', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23285, '07/07/2020', '7', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23286, '06/07/2020', '6', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23287, '05/07/2020', '5', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23288, '04/07/2020', '4', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23289, '03/07/2020', '3', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23290, '02/07/2020', '2', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23291, '01/07/2020', '1', '7', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23292, '30/06/2020', '30', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23293, '29/06/2020', '29', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23294, '28/06/2020', '28', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23295, '27/06/2020', '27', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23296, '26/06/2020', '26', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23297, '25/06/2020', '25', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23298, '24/06/2020', '24', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23299, '23/06/2020', '23', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23300, '22/06/2020', '22', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23301, '21/06/2020', '21', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23302, '20/06/2020', '20', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23303, '19/06/2020', '19', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23304, '18/06/2020', '18', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23305, '17/06/2020', '17', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23306, '16/06/2020', '16', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23307, '15/06/2020', '15', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23308, '14/06/2020', '14', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23309, '13/06/2020', '13', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23310, '12/06/2020', '12', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23311, '11/06/2020', '11', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23312, '10/06/2020', '10', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23313, '09/06/2020', '9', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23314, '08/06/2020', '8', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23315, '07/06/2020', '7', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23316, '06/06/2020', '6', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23317, '05/06/2020', '5', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23318, '04/06/2020', '4', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23319, '03/06/2020', '3', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23320, '02/06/2020', '2', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23321, '01/06/2020', '1', '6', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23322, '31/05/2020', '31', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23323, '30/05/2020', '30', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23324, '29/05/2020', '29', '5', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23325, '28/05/2020', '28', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23326, '27/05/2020', '27', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23327, '26/05/2020', '26', '5', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23328, '25/05/2020', '25', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23329, '24/05/2020', '24', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23330, '23/05/2020', '23', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23331, '22/05/2020', '22', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23332, '21/05/2020', '21', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23333, '20/05/2020', '20', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23334, '19/05/2020', '19', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23335, '18/05/2020', '18', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23336, '17/05/2020', '17', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23337, '16/05/2020', '16', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23338, '15/05/2020', '15', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23339, '14/05/2020', '14', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23340, '13/05/2020', '13', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23341, '12/05/2020', '12', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23342, '11/05/2020', '11', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23343, '10/05/2020', '10', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23344, '09/05/2020', '9', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23345, '08/05/2020', '8', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23346, '07/05/2020', '7', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23347, '06/05/2020', '6', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23348, '05/05/2020', '5', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23349, '04/05/2020', '4', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23350, '03/05/2020', '3', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23351, '02/05/2020', '2', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23352, '01/05/2020', '1', '5', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23353, '30/04/2020', '30', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23354, '29/04/2020', '29', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23355, '28/04/2020', '28', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23356, '27/04/2020', '27', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23357, '26/04/2020', '26', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23358, '25/04/2020', '25', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23359, '24/04/2020', '24', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23360, '23/04/2020', '23', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23361, '22/04/2020', '22', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23362, '21/04/2020', '21', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23363, '20/04/2020', '20', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23364, '19/04/2020', '19', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23365, '18/04/2020', '18', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23366, '17/04/2020', '17', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23367, '16/04/2020', '16', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23368, '15/04/2020', '15', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23369, '14/04/2020', '14', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23370, '13/04/2020', '13', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23371, '12/04/2020', '12', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '1.76491352');
INSERT INTO public.ecdc_import VALUES (23372, '11/04/2020', '11', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '3.52982704');
INSERT INTO public.ecdc_import VALUES (23373, '10/04/2020', '10', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '8.8245676');
INSERT INTO public.ecdc_import VALUES (23374, '09/04/2020', '9', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '10.58948112');
INSERT INTO public.ecdc_import VALUES (23375, '08/04/2020', '8', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '12.35439463');
INSERT INTO public.ecdc_import VALUES (23376, '07/04/2020', '7', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '12.35439463');
INSERT INTO public.ecdc_import VALUES (23377, '06/04/2020', '6', '4', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '15.88422167');
INSERT INTO public.ecdc_import VALUES (23378, '05/04/2020', '5', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '14.11930815');
INSERT INTO public.ecdc_import VALUES (23379, '04/04/2020', '4', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '14.11930815');
INSERT INTO public.ecdc_import VALUES (23380, '03/04/2020', '3', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '14.11930815');
INSERT INTO public.ecdc_import VALUES (23381, '02/04/2020', '2', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '17.64913519');
INSERT INTO public.ecdc_import VALUES (23382, '01/04/2020', '1', '4', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23383, '31/03/2020', '31', '3', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23384, '30/03/2020', '30', '3', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23385, '29/03/2020', '29', '3', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23386, '28/03/2020', '28', '3', '2020', '3', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23387, '27/03/2020', '27', '3', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23388, '26/03/2020', '26', '3', '2020', '1', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23389, '25/03/2020', '25', '3', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23390, '24/03/2020', '24', '3', '2020', '2', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23391, '23/03/2020', '23', '3', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23392, '22/03/2020', '22', '3', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23393, '21/03/2020', '21', '3', '2020', '0', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23394, '20/03/2020', '20', '3', '2020', '2', '0', '56660', 'Greenland', 'GL', 'GRL', 'America', '');
INSERT INTO public.ecdc_import VALUES (23395, '14/12/2020', '14', '12', '2020', '26', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '24.99955358');
INSERT INTO public.ecdc_import VALUES (23396, '13/12/2020', '13', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23397, '12/12/2020', '12', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23398, '11/12/2020', '11', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23399, '10/12/2020', '10', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23400, '09/12/2020', '9', '12', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23401, '08/12/2020', '8', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23402, '07/12/2020', '7', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23403, '06/12/2020', '6', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23404, '05/12/2020', '5', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23405, '04/12/2020', '4', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23406, '03/12/2020', '3', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23407, '02/12/2020', '2', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '7.14272959');
INSERT INTO public.ecdc_import VALUES (23408, '01/12/2020', '1', '12', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23409, '30/11/2020', '30', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23410, '29/11/2020', '29', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23411, '28/11/2020', '28', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23412, '27/11/2020', '27', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23413, '26/11/2020', '26', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23414, '25/11/2020', '25', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23415, '24/11/2020', '24', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23416, '23/11/2020', '23', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '8.03557079');
INSERT INTO public.ecdc_import VALUES (23417, '22/11/2020', '22', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '9.82125319');
INSERT INTO public.ecdc_import VALUES (23418, '21/11/2020', '21', '11', '2020', '5', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '9.82125319');
INSERT INTO public.ecdc_import VALUES (23419, '20/11/2020', '20', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23420, '19/11/2020', '19', '11', '2020', '3', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23421, '18/11/2020', '18', '11', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23422, '17/11/2020', '17', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23423, '16/11/2020', '16', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23424, '15/11/2020', '15', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23425, '14/11/2020', '14', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23426, '13/11/2020', '13', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23427, '12/11/2020', '12', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23428, '11/11/2020', '11', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23429, '10/11/2020', '10', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23430, '09/11/2020', '9', '11', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23431, '08/11/2020', '8', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23432, '07/11/2020', '7', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23433, '06/11/2020', '6', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23434, '05/11/2020', '5', '11', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23435, '04/11/2020', '4', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23436, '03/11/2020', '3', '11', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23437, '02/11/2020', '2', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23438, '01/11/2020', '1', '11', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23439, '31/10/2020', '31', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23440, '30/10/2020', '30', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23441, '29/10/2020', '29', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23442, '28/10/2020', '28', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23443, '27/10/2020', '27', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23444, '26/10/2020', '26', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23445, '25/10/2020', '25', '10', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23446, '24/10/2020', '24', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23447, '23/10/2020', '23', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23448, '22/10/2020', '22', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23449, '21/10/2020', '21', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23450, '20/10/2020', '20', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23451, '19/10/2020', '19', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23452, '18/10/2020', '18', '10', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23453, '17/10/2020', '17', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23454, '16/10/2020', '16', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23455, '15/10/2020', '15', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23456, '14/10/2020', '14', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23457, '13/10/2020', '13', '10', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23458, '12/10/2020', '12', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23459, '11/10/2020', '11', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23460, '10/10/2020', '10', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23461, '09/10/2020', '9', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23462, '08/10/2020', '8', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23463, '07/10/2020', '7', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23464, '06/10/2020', '6', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23465, '05/10/2020', '5', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23466, '04/10/2020', '4', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23467, '03/10/2020', '3', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23468, '02/10/2020', '2', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23469, '01/10/2020', '1', '10', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23470, '30/09/2020', '30', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23471, '29/09/2020', '29', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23472, '28/09/2020', '28', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23473, '27/09/2020', '27', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23474, '26/09/2020', '26', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23475, '25/09/2020', '25', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23476, '24/09/2020', '24', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23477, '23/09/2020', '23', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23478, '22/09/2020', '22', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23479, '21/09/2020', '21', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23480, '20/09/2020', '20', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23481, '19/09/2020', '19', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23482, '18/09/2020', '18', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23483, '17/09/2020', '17', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23484, '16/09/2020', '16', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23485, '15/09/2020', '15', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23486, '14/09/2020', '14', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23487, '13/09/2020', '13', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23488, '12/09/2020', '12', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23489, '11/09/2020', '11', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23490, '10/09/2020', '10', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23491, '09/09/2020', '9', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23492, '08/09/2020', '8', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23493, '07/09/2020', '7', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23494, '06/09/2020', '6', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23495, '05/09/2020', '5', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23496, '04/09/2020', '4', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23497, '03/09/2020', '3', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23498, '02/09/2020', '2', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23499, '01/09/2020', '1', '9', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23500, '31/08/2020', '31', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23501, '30/08/2020', '30', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23502, '29/08/2020', '29', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23503, '28/08/2020', '28', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23504, '27/08/2020', '27', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23505, '26/08/2020', '26', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23506, '25/08/2020', '25', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23507, '24/08/2020', '24', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23508, '23/08/2020', '23', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23509, '22/08/2020', '22', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23510, '21/08/2020', '21', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23511, '20/08/2020', '20', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23512, '19/08/2020', '19', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23513, '18/08/2020', '18', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23514, '17/08/2020', '17', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23515, '16/08/2020', '16', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23516, '15/08/2020', '15', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23517, '14/08/2020', '14', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23518, '13/08/2020', '13', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23519, '12/08/2020', '12', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23520, '11/08/2020', '11', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23521, '10/08/2020', '10', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23522, '09/08/2020', '9', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23523, '08/08/2020', '8', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23524, '07/08/2020', '7', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23525, '06/08/2020', '6', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23526, '05/08/2020', '5', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23527, '04/08/2020', '4', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23528, '03/08/2020', '3', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23529, '02/08/2020', '2', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23530, '01/08/2020', '1', '8', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23531, '31/07/2020', '31', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23532, '30/07/2020', '30', '7', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23533, '29/07/2020', '29', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23534, '28/07/2020', '28', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23535, '27/07/2020', '27', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23536, '26/07/2020', '26', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23537, '25/07/2020', '25', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23538, '24/07/2020', '24', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23539, '23/07/2020', '23', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23540, '22/07/2020', '22', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23541, '21/07/2020', '21', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23542, '20/07/2020', '20', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23543, '19/07/2020', '19', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23544, '18/07/2020', '18', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23545, '17/07/2020', '17', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23546, '16/07/2020', '16', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23547, '15/07/2020', '15', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23548, '14/07/2020', '14', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23549, '13/07/2020', '13', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23550, '12/07/2020', '12', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23551, '11/07/2020', '11', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23552, '10/07/2020', '10', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23553, '09/07/2020', '9', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23554, '08/07/2020', '8', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23555, '07/07/2020', '7', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23556, '06/07/2020', '6', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23557, '05/07/2020', '5', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23558, '04/07/2020', '4', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23559, '03/07/2020', '3', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23560, '02/07/2020', '2', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23561, '01/07/2020', '1', '7', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23562, '30/06/2020', '30', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23563, '29/06/2020', '29', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23564, '28/06/2020', '28', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23565, '27/06/2020', '27', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23566, '26/06/2020', '26', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23567, '25/06/2020', '25', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23568, '24/06/2020', '24', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23569, '23/06/2020', '23', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23570, '22/06/2020', '22', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23571, '21/06/2020', '21', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23572, '20/06/2020', '20', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23573, '19/06/2020', '19', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23574, '18/06/2020', '18', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23575, '17/06/2020', '17', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23576, '16/06/2020', '16', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23577, '15/06/2020', '15', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23578, '14/06/2020', '14', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23579, '13/06/2020', '13', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23580, '12/06/2020', '12', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23581, '11/06/2020', '11', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23582, '10/06/2020', '10', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23583, '09/06/2020', '9', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0');
INSERT INTO public.ecdc_import VALUES (23584, '08/06/2020', '8', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23585, '07/06/2020', '7', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23586, '06/06/2020', '6', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23587, '05/06/2020', '5', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23588, '04/06/2020', '4', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23589, '03/06/2020', '3', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23590, '02/06/2020', '2', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23591, '01/06/2020', '1', '6', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23592, '31/05/2020', '31', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23593, '30/05/2020', '30', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23594, '29/05/2020', '29', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23595, '28/05/2020', '28', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23596, '27/05/2020', '27', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23597, '26/05/2020', '26', '5', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23598, '25/05/2020', '25', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23599, '24/05/2020', '24', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23600, '23/05/2020', '23', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23601, '22/05/2020', '22', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23602, '21/05/2020', '21', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23603, '20/05/2020', '20', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23604, '19/05/2020', '19', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23605, '18/05/2020', '18', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23606, '17/05/2020', '17', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23607, '16/05/2020', '16', '5', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23608, '15/05/2020', '15', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23609, '14/05/2020', '14', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23610, '13/05/2020', '13', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23611, '12/05/2020', '12', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23612, '11/05/2020', '11', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23613, '10/05/2020', '10', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23614, '09/05/2020', '9', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23615, '08/05/2020', '8', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23616, '07/05/2020', '7', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23617, '06/05/2020', '6', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '6.24988839');
INSERT INTO public.ecdc_import VALUES (23618, '05/05/2020', '5', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '6.24988839');
INSERT INTO public.ecdc_import VALUES (23619, '04/05/2020', '4', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '6.24988839');
INSERT INTO public.ecdc_import VALUES (23620, '03/05/2020', '3', '5', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '6.24988839');
INSERT INTO public.ecdc_import VALUES (23621, '02/05/2020', '2', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23622, '01/05/2020', '1', '5', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23623, '30/04/2020', '30', '4', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '5.3570472');
INSERT INTO public.ecdc_import VALUES (23624, '29/04/2020', '29', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23625, '28/04/2020', '28', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23626, '27/04/2020', '27', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23627, '26/04/2020', '26', '4', '2020', '3', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23628, '25/04/2020', '25', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '0.8928412');
INSERT INTO public.ecdc_import VALUES (23629, '24/04/2020', '24', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23630, '23/04/2020', '23', '4', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '2.6785236');
INSERT INTO public.ecdc_import VALUES (23631, '22/04/2020', '22', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23632, '21/04/2020', '21', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23633, '20/04/2020', '20', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23634, '19/04/2020', '19', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23635, '18/04/2020', '18', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '1.7856824');
INSERT INTO public.ecdc_import VALUES (23636, '17/04/2020', '17', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23637, '16/04/2020', '16', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '3.5713648');
INSERT INTO public.ecdc_import VALUES (23638, '15/04/2020', '15', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23639, '14/04/2020', '14', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23640, '13/04/2020', '13', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23641, '12/04/2020', '12', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23642, '11/04/2020', '11', '4', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '6.24988839');
INSERT INTO public.ecdc_import VALUES (23643, '10/04/2020', '10', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '4.464206');
INSERT INTO public.ecdc_import VALUES (23644, '09/04/2020', '9', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '9.82125319');
INSERT INTO public.ecdc_import VALUES (23645, '08/04/2020', '8', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '9.82125319');
INSERT INTO public.ecdc_import VALUES (23646, '07/04/2020', '7', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '9.82125319');
INSERT INTO public.ecdc_import VALUES (23647, '06/04/2020', '6', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '9.82125319');
INSERT INTO public.ecdc_import VALUES (23648, '05/04/2020', '5', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '10.71409439');
INSERT INTO public.ecdc_import VALUES (23649, '04/04/2020', '4', '4', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23650, '03/04/2020', '3', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23651, '02/04/2020', '2', '4', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23652, '01/04/2020', '1', '4', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23653, '31/03/2020', '31', '3', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23654, '30/03/2020', '30', '3', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23655, '29/03/2020', '29', '3', '2020', '2', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23656, '28/03/2020', '28', '3', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23657, '27/03/2020', '27', '3', '2020', '6', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23658, '26/03/2020', '26', '3', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23659, '25/03/2020', '25', '3', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23660, '24/03/2020', '24', '3', '2020', '0', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23661, '23/03/2020', '23', '3', '2020', '1', '0', '112002', 'Grenada', 'GD', 'GRD', 'America', '');
INSERT INTO public.ecdc_import VALUES (23662, '14/12/2020', '14', '12', '2020', '16', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '172.15099076');
INSERT INTO public.ecdc_import VALUES (23663, '13/12/2020', '13', '12', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '184.10592068');
INSERT INTO public.ecdc_import VALUES (23664, '12/12/2020', '12', '12', '2020', '38', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '184.10592068');
INSERT INTO public.ecdc_import VALUES (23665, '11/12/2020', '11', '12', '2020', '13', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '181.7149347');
INSERT INTO public.ecdc_import VALUES (23666, '10/12/2020', '10', '12', '2020', '13', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '199.64732957');
INSERT INTO public.ecdc_import VALUES (23667, '09/12/2020', '9', '12', '2020', '7', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '191.87662512');
INSERT INTO public.ecdc_import VALUES (23668, '08/12/2020', '8', '12', '2020', '15', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '249.26028871');
INSERT INTO public.ecdc_import VALUES (23669, '07/12/2020', '7', '12', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '271.97465555');
INSERT INTO public.ecdc_import VALUES (23670, '06/12/2020', '6', '12', '2020', '45', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '271.97465555');
INSERT INTO public.ecdc_import VALUES (23671, '05/12/2020', '5', '12', '2020', '17', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '303.05747333');
INSERT INTO public.ecdc_import VALUES (23672, '04/12/2020', '4', '12', '2020', '22', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '314.41465674');
INSERT INTO public.ecdc_import VALUES (23673, '03/12/2020', '3', '12', '2020', '31', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '343.10648854');
INSERT INTO public.ecdc_import VALUES (23674, '02/12/2020', '2', '12', '2020', '37', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '391.52395469');
INSERT INTO public.ecdc_import VALUES (23675, '01/12/2020', '1', '12', '2020', '34', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '436.95268836');
INSERT INTO public.ecdc_import VALUES (23676, '30/11/2020', '30', '11', '2020', '36', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '416.62930751');
INSERT INTO public.ecdc_import VALUES (23677, '29/11/2020', '29', '11', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '488.358887');
INSERT INTO public.ecdc_import VALUES (23678, '28/11/2020', '28', '11', '2020', '34', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '512.86649332');
INSERT INTO public.ecdc_import VALUES (23679, '27/11/2020', '27', '11', '2020', '43', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '536.77635315');
INSERT INTO public.ecdc_import VALUES (23680, '26/11/2020', '26', '11', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '567.85917093');
INSERT INTO public.ecdc_import VALUES (23681, '25/11/2020', '25', '11', '2020', '103', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '628.23156699');
INSERT INTO public.ecdc_import VALUES (23682, '24/11/2020', '24', '11', '2020', '53', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '818.31495263');
INSERT INTO public.ecdc_import VALUES (23683, '23/11/2020', '23', '11', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '786.63438836');
INSERT INTO public.ecdc_import VALUES (23684, '22/11/2020', '22', '11', '2020', '97', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '858.36396784');
INSERT INTO public.ecdc_import VALUES (23685, '21/11/2020', '21', '11', '2020', '36', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '800.38255776');
INSERT INTO public.ecdc_import VALUES (23686, '20/11/2020', '20', '11', '2020', '70', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '844.01805194');
INSERT INTO public.ecdc_import VALUES (23687, '19/11/2020', '19', '11', '2020', '112', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '862.54819331');
INSERT INTO public.ecdc_import VALUES (23688, '18/11/2020', '18', '11', '2020', '113', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '849.9955169');
INSERT INTO public.ecdc_import VALUES (23689, '17/11/2020', '17', '11', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '853.58199588');
INSERT INTO public.ecdc_import VALUES (23690, '16/11/2020', '16', '11', '2020', '156', '5', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '853.58199588');
INSERT INTO public.ecdc_import VALUES (23691, '15/11/2020', '15', '11', '2020', '41', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '762.12678203');
INSERT INTO public.ecdc_import VALUES (23692, '14/11/2020', '14', '11', '2020', '74', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '742.99889417');
INSERT INTO public.ecdc_import VALUES (23693, '13/11/2020', '13', '11', '2020', '95', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '827.28115006');
INSERT INTO public.ecdc_import VALUES (23694, '12/11/2020', '12', '11', '2020', '101', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '770.49523297');
INSERT INTO public.ecdc_import VALUES (23695, '11/11/2020', '11', '11', '2020', '421', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '730.44621776');
INSERT INTO public.ecdc_import VALUES (23696, '10/11/2020', '10', '11', '2020', '0', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '536.17860665');
INSERT INTO public.ecdc_import VALUES (23697, '09/11/2020', '9', '11', '2020', '120', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '607.90818614');
INSERT INTO public.ecdc_import VALUES (23698, '08/11/2020', '8', '11', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '536.17860665');
INSERT INTO public.ecdc_import VALUES (23699, '07/11/2020', '7', '11', '2020', '109', '4', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '581.00959383');
INSERT INTO public.ecdc_import VALUES (23700, '06/11/2020', '6', '11', '2020', '101', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '566.66367793');
INSERT INTO public.ecdc_import VALUES (23701, '05/11/2020', '5', '11', '2020', '91', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '558.89297349');
INSERT INTO public.ecdc_import VALUES (23702, '04/11/2020', '4', '11', '2020', '119', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '553.51325503');
INSERT INTO public.ecdc_import VALUES (23703, '03/11/2020', '3', '11', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '560.08846648');
INSERT INTO public.ecdc_import VALUES (23704, '02/11/2020', '2', '11', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '608.50593263');
INSERT INTO public.ecdc_import VALUES (23705, '01/11/2020', '1', '11', '2020', '9', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '641.3819899');
INSERT INTO public.ecdc_import VALUES (23706, '31/10/2020', '31', '10', '2020', '215', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '636.00227144');
INSERT INTO public.ecdc_import VALUES (23707, '30/10/2020', '30', '10', '2020', '0', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '621.05860904');
INSERT INTO public.ecdc_import VALUES (23708, '29/10/2020', '29', '10', '2020', '34', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '672.46480768');
INSERT INTO public.ecdc_import VALUES (23709, '28/10/2020', '28', '10', '2020', '96', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '696.972414');
INSERT INTO public.ecdc_import VALUES (23710, '27/10/2020', '27', '10', '2020', '120', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '696.972414');
INSERT INTO public.ecdc_import VALUES (23711, '26/10/2020', '26', '10', '2020', '0', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '680.23551212');
INSERT INTO public.ecdc_import VALUES (23712, '25/10/2020', '25', '10', '2020', '75', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '680.23551212');
INSERT INTO public.ecdc_import VALUES (23713, '24/10/2020', '24', '10', '2020', '85', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '688.60396306');
INSERT INTO public.ecdc_import VALUES (23714, '23/10/2020', '23', '10', '2020', '88', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '670.67156819');
INSERT INTO public.ecdc_import VALUES (23715, '22/10/2020', '22', '10', '2020', '82', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '687.40847007');
INSERT INTO public.ecdc_import VALUES (23716, '21/10/2020', '21', '10', '2020', '130', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '638.39325742');
INSERT INTO public.ecdc_import VALUES (23717, '20/10/2020', '20', '10', '2020', '81', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '599.5397352');
INSERT INTO public.ecdc_import VALUES (23718, '19/10/2020', '19', '10', '2020', '58', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '583.40057981');
INSERT INTO public.ecdc_import VALUES (23719, '18/10/2020', '18', '10', '2020', '0', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '548.73128306');
INSERT INTO public.ecdc_import VALUES (23720, '17/10/2020', '17', '10', '2020', '190', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '637.79551092');
INSERT INTO public.ecdc_import VALUES (23721, '16/10/2020', '16', '10', '2020', '86', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '524.22367674');
INSERT INTO public.ecdc_import VALUES (23722, '15/10/2020', '15', '10', '2020', '75', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '536.77635315');
INSERT INTO public.ecdc_import VALUES (23723, '14/10/2020', '14', '10', '2020', '96', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '491.94536597');
INSERT INTO public.ecdc_import VALUES (23724, '13/10/2020', '13', '10', '2020', '92', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '466.24226665');
INSERT INTO public.ecdc_import VALUES (23725, '12/10/2020', '12', '10', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '432.76846289');
INSERT INTO public.ecdc_import VALUES (23726, '11/10/2020', '11', '10', '2020', '89', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '432.76846289');
INSERT INTO public.ecdc_import VALUES (23727, '10/10/2020', '10', '10', '2020', '55', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '420.21578648');
INSERT INTO public.ecdc_import VALUES (23728, '09/10/2020', '9', '10', '2020', '116', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '417.8248005');
INSERT INTO public.ecdc_import VALUES (23729, '08/10/2020', '8', '10', '2020', '0', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '348.486207');
INSERT INTO public.ecdc_import VALUES (23730, '07/10/2020', '7', '10', '2020', '65', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '375.38479931');
INSERT INTO public.ecdc_import VALUES (23731, '06/10/2020', '6', '10', '2020', '54', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '362.2343764');
INSERT INTO public.ecdc_import VALUES (23732, '05/10/2020', '5', '10', '2020', '0', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '347.8884605');
INSERT INTO public.ecdc_import VALUES (23733, '04/10/2020', '4', '10', '2020', '149', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '347.8884605');
INSERT INTO public.ecdc_import VALUES (23734, '03/10/2020', '3', '10', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '301.86198033');
INSERT INTO public.ecdc_import VALUES (23735, '02/10/2020', '2', '10', '2020', '107', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '301.86198033');
INSERT INTO public.ecdc_import VALUES (23736, '01/10/2020', '1', '10', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '285.12507845');
INSERT INTO public.ecdc_import VALUES (23737, '30/09/2020', '30', '9', '2020', '53', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '308.43719179');
INSERT INTO public.ecdc_import VALUES (23738, '29/09/2020', '29', '9', '2020', '36', '4', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '276.75662751');
INSERT INTO public.ecdc_import VALUES (23739, '28/09/2020', '28', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '276.75662751');
INSERT INTO public.ecdc_import VALUES (23740, '27/09/2020', '27', '9', '2020', '68', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '276.75662751');
INSERT INTO public.ecdc_import VALUES (23741, '26/09/2020', '26', '9', '2020', '51', '4', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '252.84676769');
INSERT INTO public.ecdc_import VALUES (23742, '25/09/2020', '25', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '232.52338683');
INSERT INTO public.ecdc_import VALUES (23743, '24/09/2020', '24', '9', '2020', '45', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '285.12507845');
INSERT INTO public.ecdc_import VALUES (23744, '23/09/2020', '23', '9', '2020', '43', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '285.12507845');
INSERT INTO public.ecdc_import VALUES (23745, '22/09/2020', '22', '9', '2020', '30', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '284.52733196');
INSERT INTO public.ecdc_import VALUES (23746, '21/09/2020', '21', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '297.67775486');
INSERT INTO public.ecdc_import VALUES (23747, '20/09/2020', '20', '9', '2020', '72', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '297.67775486');
INSERT INTO public.ecdc_import VALUES (23748, '19/09/2020', '19', '9', '2020', '0', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '254.64000717');
INSERT INTO public.ecdc_import VALUES (23749, '18/09/2020', '18', '9', '2020', '79', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '289.90705042');
INSERT INTO public.ecdc_import VALUES (23750, '17/09/2020', '17', '9', '2020', '39', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '310.23043127');
INSERT INTO public.ecdc_import VALUES (23751, '16/09/2020', '16', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '286.91831794');
INSERT INTO public.ecdc_import VALUES (23752, '15/09/2020', '15', '9', '2020', '36', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '318.00113572');
INSERT INTO public.ecdc_import VALUES (23753, '14/09/2020', '14', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '325.17409367');
INSERT INTO public.ecdc_import VALUES (23754, '13/09/2020', '13', '9', '2020', '28', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '325.17409367');
INSERT INTO public.ecdc_import VALUES (23755, '12/09/2020', '12', '9', '2020', '17', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '344.30198153');
INSERT INTO public.ecdc_import VALUES (23756, '11/09/2020', '11', '9', '2020', '88', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '367.01634837');
INSERT INTO public.ecdc_import VALUES (23757, '10/09/2020', '10', '9', '2020', '45', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '381.36226426');
INSERT INTO public.ecdc_import VALUES (23758, '09/09/2020', '9', '9', '2020', '42', '4', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '435.75719537');
INSERT INTO public.ecdc_import VALUES (23759, '08/09/2020', '8', '9', '2020', '52', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '456.67832272');
INSERT INTO public.ecdc_import VALUES (23760, '07/09/2020', '7', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '477.59945007');
INSERT INTO public.ecdc_import VALUES (23761, '06/09/2020', '6', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '477.59945007');
INSERT INTO public.ecdc_import VALUES (23762, '05/09/2020', '5', '9', '2020', '59', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '509.28001435');
INSERT INTO public.ecdc_import VALUES (23763, '04/09/2020', '4', '9', '2020', '113', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '511.67100033');
INSERT INTO public.ecdc_import VALUES (23764, '03/09/2020', '3', '9', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '506.88902836');
INSERT INTO public.ecdc_import VALUES (23765, '02/09/2020', '2', '9', '2020', '52', '3', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '506.88902836');
INSERT INTO public.ecdc_import VALUES (23766, '01/09/2020', '1', '9', '2020', '48', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '488.95663349');
INSERT INTO public.ecdc_import VALUES (23767, '31/08/2020', '31', '8', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '471.62198512');
INSERT INTO public.ecdc_import VALUES (23768, '30/08/2020', '30', '8', '2020', '60', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '496.72733794');
INSERT INTO public.ecdc_import VALUES (23769, '29/08/2020', '29', '8', '2020', '55', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '469.23099913');
INSERT INTO public.ecdc_import VALUES (23770, '28/08/2020', '28', '8', '2020', '112', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '451.29860426');
INSERT INTO public.ecdc_import VALUES (23771, '27/08/2020', '27', '8', '2020', '136', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '401.08789862');
INSERT INTO public.ecdc_import VALUES (23772, '26/08/2020', '26', '8', '2020', '77', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '319.79437521');
INSERT INTO public.ecdc_import VALUES (23773, '25/08/2020', '25', '8', '2020', '87', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '282.73409247');
INSERT INTO public.ecdc_import VALUES (23774, '24/08/2020', '24', '8', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '240.29409128');
INSERT INTO public.ecdc_import VALUES (23775, '23/08/2020', '23', '8', '2020', '53', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '243.88057025');
INSERT INTO public.ecdc_import VALUES (23776, '22/08/2020', '22', '8', '2020', '63', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '212.20000598');
INSERT INTO public.ecdc_import VALUES (23777, '21/08/2020', '21', '8', '2020', '105', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '175.13972324');
INSERT INTO public.ecdc_import VALUES (23778, '20/08/2020', '20', '8', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '120.74479213');
INSERT INTO public.ecdc_import VALUES (23779, '19/08/2020', '19', '8', '2020', '22', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '125.5267641');
INSERT INTO public.ecdc_import VALUES (23780, '18/08/2020', '18', '8', '2020', '19', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '120.74479213');
INSERT INTO public.ecdc_import VALUES (23781, '17/08/2020', '17', '8', '2020', '42', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '113.57183419');
INSERT INTO public.ecdc_import VALUES (23782, '16/08/2020', '16', '8', '2020', '14', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '93.84619983');
INSERT INTO public.ecdc_import VALUES (23783, '15/08/2020', '15', '8', '2020', '25', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '85.47774889');
INSERT INTO public.ecdc_import VALUES (23784, '14/08/2020', '14', '8', '2020', '28', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '72.32732598');
INSERT INTO public.ecdc_import VALUES (23785, '13/08/2020', '13', '8', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '56.78591709');
INSERT INTO public.ecdc_import VALUES (23786, '12/08/2020', '12', '8', '2020', '15', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '58.57915658');
INSERT INTO public.ecdc_import VALUES (23787, '11/08/2020', '11', '8', '2020', '16', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '50.80845214');
INSERT INTO public.ecdc_import VALUES (23788, '10/08/2020', '10', '8', '2020', '6', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '43.03774769');
INSERT INTO public.ecdc_import VALUES (23789, '09/08/2020', '9', '8', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '44.83098718');
INSERT INTO public.ecdc_import VALUES (23790, '08/08/2020', '8', '8', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '44.83098718');
INSERT INTO public.ecdc_import VALUES (23791, '07/08/2020', '7', '8', '2020', '14', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '44.23324068');
INSERT INTO public.ecdc_import VALUES (23792, '06/08/2020', '6', '8', '2020', '8', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '38.85352222');
INSERT INTO public.ecdc_import VALUES (23793, '05/08/2020', '5', '8', '2020', '14', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '35.26704325');
INSERT INTO public.ecdc_import VALUES (23794, '04/08/2020', '4', '8', '2020', '7', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '28.69183179');
INSERT INTO public.ecdc_import VALUES (23795, '03/08/2020', '3', '8', '2020', '9', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '29.28957829');
INSERT INTO public.ecdc_import VALUES (23796, '02/08/2020', '2', '8', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '26.30084581');
INSERT INTO public.ecdc_import VALUES (23797, '01/08/2020', '1', '8', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '26.30084581');
INSERT INTO public.ecdc_import VALUES (23798, '31/07/2020', '31', '7', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '25.10535282');
INSERT INTO public.ecdc_import VALUES (23799, '30/07/2020', '30', '7', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '23.90985983');
INSERT INTO public.ecdc_import VALUES (23800, '29/07/2020', '29', '7', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '22.71436684');
INSERT INTO public.ecdc_import VALUES (23801, '28/07/2020', '28', '7', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '22.11662034');
INSERT INTO public.ecdc_import VALUES (23802, '27/07/2020', '27', '7', '2020', '9', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '20.32338085');
INSERT INTO public.ecdc_import VALUES (23803, '26/07/2020', '26', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '14.94366239');
INSERT INTO public.ecdc_import VALUES (23804, '25/07/2020', '25', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '14.94366239');
INSERT INTO public.ecdc_import VALUES (23805, '24/07/2020', '24', '7', '2020', '5', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '16.13915538');
INSERT INTO public.ecdc_import VALUES (23806, '23/07/2020', '23', '7', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '13.7481694');
INSERT INTO public.ecdc_import VALUES (23807, '22/07/2020', '22', '7', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '16.13915538');
INSERT INTO public.ecdc_import VALUES (23808, '21/07/2020', '21', '7', '2020', '8', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '14.3459159');
INSERT INTO public.ecdc_import VALUES (23809, '20/07/2020', '20', '7', '2020', '4', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '10.75943692');
INSERT INTO public.ecdc_import VALUES (23810, '19/07/2020', '19', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '16.13915538');
INSERT INTO public.ecdc_import VALUES (23811, '18/07/2020', '18', '7', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '16.13915538');
INSERT INTO public.ecdc_import VALUES (23812, '17/07/2020', '17', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '16.73690188');
INSERT INTO public.ecdc_import VALUES (23813, '16/07/2020', '16', '7', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '20.32338085');
INSERT INTO public.ecdc_import VALUES (23814, '15/07/2020', '15', '7', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '27.4963388');
INSERT INTO public.ecdc_import VALUES (23815, '14/07/2020', '14', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '32.87605726');
INSERT INTO public.ecdc_import VALUES (23816, '13/07/2020', '13', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '35.26704325');
INSERT INTO public.ecdc_import VALUES (23817, '12/07/2020', '12', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '38.25577573');
INSERT INTO public.ecdc_import VALUES (23818, '11/07/2020', '11', '7', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '38.25577573');
INSERT INTO public.ecdc_import VALUES (23819, '10/07/2020', '10', '7', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '37.65802923');
INSERT INTO public.ecdc_import VALUES (23820, '09/07/2020', '9', '7', '2020', '6', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '46.62422667');
INSERT INTO public.ecdc_import VALUES (23821, '08/07/2020', '8', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '46.02648017');
INSERT INTO public.ecdc_import VALUES (23822, '07/07/2020', '7', '7', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '46.62422667');
INSERT INTO public.ecdc_import VALUES (23823, '06/07/2020', '6', '7', '2020', '13', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '47.22197316');
INSERT INTO public.ecdc_import VALUES (23824, '05/07/2020', '5', '7', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '39.45126872');
INSERT INTO public.ecdc_import VALUES (23825, '04/07/2020', '4', '7', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '52.60169162');
INSERT INTO public.ecdc_import VALUES (23826, '03/07/2020', '3', '7', '2020', '6', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '51.40619863');
INSERT INTO public.ecdc_import VALUES (23827, '02/07/2020', '2', '7', '2020', '13', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '52.60169162');
INSERT INTO public.ecdc_import VALUES (23828, '01/07/2020', '1', '7', '2020', '10', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '47.22197316');
INSERT INTO public.ecdc_import VALUES (23829, '30/06/2020', '30', '6', '2020', '4', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '42.4400012');
INSERT INTO public.ecdc_import VALUES (23830, '29/06/2020', '29', '6', '2020', '5', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '40.64676171');
INSERT INTO public.ecdc_import VALUES (23831, '28/06/2020', '28', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '37.65802923');
INSERT INTO public.ecdc_import VALUES (23832, '27/06/2020', '27', '6', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '37.65802923');
INSERT INTO public.ecdc_import VALUES (23833, '26/06/2020', '26', '6', '2020', '16', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '38.85352222');
INSERT INTO public.ecdc_import VALUES (23834, '25/06/2020', '25', '6', '2020', '5', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '29.28957829');
INSERT INTO public.ecdc_import VALUES (23835, '24/06/2020', '24', '6', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '27.4963388');
INSERT INTO public.ecdc_import VALUES (23836, '23/06/2020', '23', '6', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '26.89859231');
INSERT INTO public.ecdc_import VALUES (23837, '22/06/2020', '22', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '25.70309932');
INSERT INTO public.ecdc_import VALUES (23838, '21/06/2020', '21', '6', '2020', '22', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '25.70309932');
INSERT INTO public.ecdc_import VALUES (23839, '20/06/2020', '20', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '12.55267641');
INSERT INTO public.ecdc_import VALUES (23840, '19/06/2020', '19', '6', '2020', '8', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '12.55267641');
INSERT INTO public.ecdc_import VALUES (23841, '18/06/2020', '18', '6', '2020', '4', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23842, '17/06/2020', '17', '6', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23843, '16/06/2020', '16', '6', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23844, '15/06/2020', '15', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23845, '14/06/2020', '14', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.17295795');
INSERT INTO public.ecdc_import VALUES (23846, '13/06/2020', '13', '6', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23847, '12/06/2020', '12', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23848, '11/06/2020', '11', '6', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23849, '10/06/2020', '10', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23850, '09/06/2020', '9', '6', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23851, '08/06/2020', '8', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23852, '07/06/2020', '7', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23853, '06/06/2020', '6', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23854, '05/06/2020', '5', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23855, '04/06/2020', '4', '6', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23856, '03/06/2020', '3', '6', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '13.7481694');
INSERT INTO public.ecdc_import VALUES (23857, '02/06/2020', '2', '6', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '12.55267641');
INSERT INTO public.ecdc_import VALUES (23858, '01/06/2020', '1', '6', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '12.55267641');
INSERT INTO public.ecdc_import VALUES (23859, '31/05/2020', '31', '5', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '11.35718342');
INSERT INTO public.ecdc_import VALUES (23860, '30/05/2020', '30', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '10.75943692');
INSERT INTO public.ecdc_import VALUES (23861, '29/05/2020', '29', '5', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '10.75943692');
INSERT INTO public.ecdc_import VALUES (23862, '28/05/2020', '28', '5', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '11.35718342');
INSERT INTO public.ecdc_import VALUES (23863, '27/05/2020', '27', '5', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '10.16169043');
INSERT INTO public.ecdc_import VALUES (23864, '26/05/2020', '26', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23865, '25/05/2020', '25', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.96619744');
INSERT INTO public.ecdc_import VALUES (23866, '24/05/2020', '24', '5', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.96619744');
INSERT INTO public.ecdc_import VALUES (23867, '23/05/2020', '23', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23868, '22/05/2020', '22', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23869, '21/05/2020', '21', '5', '2020', '11', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23870, '20/05/2020', '20', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '2.98873248');
INSERT INTO public.ecdc_import VALUES (23871, '19/05/2020', '19', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '2.98873248');
INSERT INTO public.ecdc_import VALUES (23872, '18/05/2020', '18', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '2.98873248');
INSERT INTO public.ecdc_import VALUES (23873, '17/05/2020', '17', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '3.58647897');
INSERT INTO public.ecdc_import VALUES (23874, '16/05/2020', '16', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '4.78197197');
INSERT INTO public.ecdc_import VALUES (23875, '15/05/2020', '15', '5', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '4.78197197');
INSERT INTO public.ecdc_import VALUES (23876, '14/05/2020', '14', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '4.18422547');
INSERT INTO public.ecdc_import VALUES (23877, '13/05/2020', '13', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '4.18422547');
INSERT INTO public.ecdc_import VALUES (23878, '12/05/2020', '12', '5', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '4.78197197');
INSERT INTO public.ecdc_import VALUES (23879, '11/05/2020', '11', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.37971846');
INSERT INTO public.ecdc_import VALUES (23880, '10/05/2020', '10', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23881, '09/05/2020', '9', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23882, '08/05/2020', '8', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23883, '07/05/2020', '7', '5', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.36845094');
INSERT INTO public.ecdc_import VALUES (23884, '06/05/2020', '6', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23885, '05/05/2020', '5', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23886, '04/05/2020', '4', '5', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.77070444');
INSERT INTO public.ecdc_import VALUES (23887, '03/05/2020', '3', '5', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.17295795');
INSERT INTO public.ecdc_import VALUES (23888, '02/05/2020', '2', '5', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23889, '01/05/2020', '1', '5', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23890, '30/04/2020', '30', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23891, '29/04/2020', '29', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23892, '28/04/2020', '28', '4', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.97746496');
INSERT INTO public.ecdc_import VALUES (23893, '27/04/2020', '27', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '5.37971846');
INSERT INTO public.ecdc_import VALUES (23894, '26/04/2020', '26', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '4.78197197');
INSERT INTO public.ecdc_import VALUES (23895, '25/04/2020', '25', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '6.57521145');
INSERT INTO public.ecdc_import VALUES (23896, '24/04/2020', '24', '4', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.17295795');
INSERT INTO public.ecdc_import VALUES (23897, '23/04/2020', '23', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '7.17295795');
INSERT INTO public.ecdc_import VALUES (23898, '22/04/2020', '22', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '8.96619744');
INSERT INTO public.ecdc_import VALUES (23899, '21/04/2020', '21', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '14.3459159');
INSERT INTO public.ecdc_import VALUES (23900, '20/04/2020', '20', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '15.54140889');
INSERT INTO public.ecdc_import VALUES (23901, '19/04/2020', '19', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '25.70309932');
INSERT INTO public.ecdc_import VALUES (23902, '18/04/2020', '18', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '29.28957829');
INSERT INTO public.ecdc_import VALUES (23903, '17/04/2020', '17', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '31.68056427');
INSERT INTO public.ecdc_import VALUES (23904, '16/04/2020', '16', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '34.66929675');
INSERT INTO public.ecdc_import VALUES (23905, '15/04/2020', '15', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '39.45126872');
INSERT INTO public.ecdc_import VALUES (23906, '14/04/2020', '14', '4', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '44.23324068');
INSERT INTO public.ecdc_import VALUES (23907, '13/04/2020', '13', '4', '2020', '0', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '46.02648017');
INSERT INTO public.ecdc_import VALUES (23908, '12/04/2020', '12', '4', '2020', '3', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '46.62422667');
INSERT INTO public.ecdc_import VALUES (23909, '11/04/2020', '11', '4', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '47.22197316');
INSERT INTO public.ecdc_import VALUES (23910, '10/04/2020', '10', '4', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '47.22197316');
INSERT INTO public.ecdc_import VALUES (23911, '09/04/2020', '9', '4', '2020', '4', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '52.60169162');
INSERT INTO public.ecdc_import VALUES (23912, '08/04/2020', '8', '4', '2020', '9', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '53.19943812');
INSERT INTO public.ecdc_import VALUES (23913, '07/04/2020', '7', '4', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '49.61295914');
INSERT INTO public.ecdc_import VALUES (23914, '06/04/2020', '6', '4', '2020', '17', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '49.61295914');
INSERT INTO public.ecdc_import VALUES (23915, '05/04/2020', '5', '4', '2020', '6', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '46.62422667');
INSERT INTO public.ecdc_import VALUES (23916, '04/04/2020', '4', '4', '2020', '5', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '43.63549419');
INSERT INTO public.ecdc_import VALUES (23917, '03/04/2020', '3', '4', '2020', '5', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '41.8422547');
INSERT INTO public.ecdc_import VALUES (23918, '02/04/2020', '2', '4', '2020', '8', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '44.23324068');
INSERT INTO public.ecdc_import VALUES (23919, '01/04/2020', '1', '4', '2020', '9', '2', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '41.2445082');
INSERT INTO public.ecdc_import VALUES (23920, '31/03/2020', '31', '3', '2020', '4', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23921, '30/03/2020', '30', '3', '2020', '1', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23922, '29/03/2020', '29', '3', '2020', '4', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23923, '28/03/2020', '28', '3', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23924, '27/03/2020', '27', '3', '2020', '12', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23925, '26/03/2020', '26', '3', '2020', '5', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23926, '25/03/2020', '25', '3', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23927, '24/03/2020', '24', '3', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23928, '23/03/2020', '23', '3', '2020', '12', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23929, '22/03/2020', '22', '3', '2020', '1', '1', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23930, '21/03/2020', '21', '3', '2020', '2', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23931, '20/03/2020', '20', '3', '2020', '9', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23932, '19/03/2020', '19', '3', '2020', '3', '0', '167295', 'Guam', 'GU', 'GUM', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (23933, '14/12/2020', '14', '12', '2020', '183', '18', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.5835394');
INSERT INTO public.ecdc_import VALUES (23934, '13/12/2020', '13', '12', '2020', '558', '29', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.52666136');
INSERT INTO public.ecdc_import VALUES (23935, '12/12/2020', '12', '12', '2020', '755', '31', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '42.14094425');
INSERT INTO public.ecdc_import VALUES (23936, '11/12/2020', '11', '12', '2020', '659', '34', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.38910044');
INSERT INTO public.ecdc_import VALUES (23937, '10/12/2020', '10', '12', '2020', '654', '25', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.59954921');
INSERT INTO public.ecdc_import VALUES (23938, '09/12/2020', '9', '12', '2020', '799', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.51991994');
INSERT INTO public.ecdc_import VALUES (23939, '08/12/2020', '8', '12', '2020', '124', '24', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.54161755');
INSERT INTO public.ecdc_import VALUES (23940, '07/12/2020', '7', '12', '2020', '198', '11', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.36529561');
INSERT INTO public.ecdc_import VALUES (23941, '06/12/2020', '6', '12', '2020', '547', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.44492487');
INSERT INTO public.ecdc_import VALUES (23942, '05/12/2020', '5', '12', '2020', '752', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.08764679');
INSERT INTO public.ecdc_import VALUES (23943, '04/12/2020', '4', '12', '2020', '593', '18', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.74069071');
INSERT INTO public.ecdc_import VALUES (23944, '03/12/2020', '3', '12', '2020', '686', '13', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.26396874');
INSERT INTO public.ecdc_import VALUES (23945, '02/12/2020', '2', '12', '2020', '712', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.06489558');
INSERT INTO public.ecdc_import VALUES (23946, '01/12/2020', '1', '12', '2020', '91', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.98526631');
INSERT INTO public.ecdc_import VALUES (23947, '30/11/2020', '30', '11', '2020', '173', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.30378337');
INSERT INTO public.ecdc_import VALUES (23948, '29/11/2020', '29', '11', '2020', '666', '20', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.26396874');
INSERT INTO public.ecdc_import VALUES (23949, '28/11/2020', '28', '11', '2020', '447', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.86582241');
INSERT INTO public.ecdc_import VALUES (23950, '27/11/2020', '27', '11', '2020', '696', '26', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.62230043');
INSERT INTO public.ecdc_import VALUES (23951, '26/11/2020', '26', '11', '2020', '640', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.82706139');
INSERT INTO public.ecdc_import VALUES (23952, '25/11/2020', '25', '11', '2020', '627', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.06594918');
INSERT INTO public.ecdc_import VALUES (23953, '24/11/2020', '24', '11', '2020', '93', '16', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.87361744');
INSERT INTO public.ecdc_import VALUES (23954, '23/11/2020', '23', '11', '2020', '212', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.90205646');
INSERT INTO public.ecdc_import VALUES (23955, '22/11/2020', '22', '11', '2020', '660', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.90205646');
INSERT INTO public.ecdc_import VALUES (23956, '21/11/2020', '21', '11', '2020', '691', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.26502235');
INSERT INTO public.ecdc_import VALUES (23957, '20/11/2020', '20', '11', '2020', '685', '42', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.04888577');
INSERT INTO public.ecdc_import VALUES (23958, '19/11/2020', '19', '11', '2020', '651', '61', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.14557845');
INSERT INTO public.ecdc_import VALUES (23959, '18/11/2020', '18', '11', '2020', '698', '9', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.21951991');
INSERT INTO public.ecdc_import VALUES (23960, '17/11/2020', '17', '11', '2020', '147', '6', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.40511024');
INSERT INTO public.ecdc_import VALUES (23961, '16/11/2020', '16', '11', '2020', '166', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.56900297');
INSERT INTO public.ecdc_import VALUES (23962, '15/11/2020', '15', '11', '2020', '596', '40', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.56331516');
INSERT INTO public.ecdc_import VALUES (23963, '14/11/2020', '14', '11', '2020', '580', '22', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.58606638');
INSERT INTO public.ecdc_import VALUES (23964, '13/11/2020', '13', '11', '2020', '732', '13', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.40974444');
INSERT INTO public.ecdc_import VALUES (23965, '12/11/2020', '12', '11', '2020', '682', '13', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '36.91953963');
INSERT INTO public.ecdc_import VALUES (23966, '11/11/2020', '11', '11', '2020', '769', '9', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '37.30062254');
INSERT INTO public.ecdc_import VALUES (23967, '10/11/2020', '10', '11', '2020', '98', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '36.77734452');
INSERT INTO public.ecdc_import VALUES (23968, '09/11/2020', '9', '11', '2020', '212', '10', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '36.82853476');
INSERT INTO public.ecdc_import VALUES (23969, '08/11/2020', '8', '11', '2020', '548', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '36.5043299');
INSERT INTO public.ecdc_import VALUES (23970, '07/11/2020', '7', '11', '2020', '653', '28', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '37.53951033');
INSERT INTO public.ecdc_import VALUES (23971, '06/11/2020', '6', '11', '2020', '702', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '37.97747129');
INSERT INTO public.ecdc_import VALUES (23972, '05/11/2020', '5', '11', '2020', '664', '4', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.29030054');
INSERT INTO public.ecdc_import VALUES (23973, '04/11/2020', '4', '11', '2020', '379', '10', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '35.62840799');
INSERT INTO public.ecdc_import VALUES (23974, '03/11/2020', '3', '11', '2020', '0', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '36.9991689');
INSERT INTO public.ecdc_import VALUES (23975, '02/11/2020', '2', '11', '2020', '165', '9', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.3585542');
INSERT INTO public.ecdc_import VALUES (23976, '01/11/2020', '1', '11', '2020', '600', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.30841756');
INSERT INTO public.ecdc_import VALUES (23977, '31/10/2020', '31', '10', '2020', '549', '10', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.29135415');
INSERT INTO public.ecdc_import VALUES (23978, '30/10/2020', '30', '10', '2020', '470', '22', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.95682729');
INSERT INTO public.ecdc_import VALUES (23979, '29/10/2020', '29', '10', '2020', '749', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.10007601');
INSERT INTO public.ecdc_import VALUES (23980, '28/10/2020', '28', '10', '2020', '677', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.90100285');
INSERT INTO public.ecdc_import VALUES (23981, '27/10/2020', '27', '10', '2020', '107', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.20140289');
INSERT INTO public.ecdc_import VALUES (23982, '26/10/2020', '26', '10', '2020', '155', '35', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.2241541');
INSERT INTO public.ecdc_import VALUES (23983, '25/10/2020', '25', '10', '2020', '730', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.31515898');
INSERT INTO public.ecdc_import VALUES (23984, '24/10/2020', '24', '10', '2020', '730', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.62693462');
INSERT INTO public.ecdc_import VALUES (23985, '23/10/2020', '23', '10', '2020', '757', '13', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.06278836');
INSERT INTO public.ecdc_import VALUES (23986, '22/10/2020', '22', '10', '2020', '196', '21', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.17085664');
INSERT INTO public.ecdc_import VALUES (23987, '21/10/2020', '21', '10', '2020', '620', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.79967598');
INSERT INTO public.ecdc_import VALUES (23988, '20/10/2020', '20', '10', '2020', '239', '11', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '42.18644669');
INSERT INTO public.ecdc_import VALUES (23989, '19/10/2020', '19', '10', '2020', '332', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '42.0726906');
INSERT INTO public.ecdc_import VALUES (23990, '18/10/2020', '18', '10', '2020', '597', '37', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.40721746');
INSERT INTO public.ecdc_import VALUES (23991, '17/10/2020', '17', '10', '2020', '666', '25', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.75417354');
INSERT INTO public.ecdc_import VALUES (23992, '16/10/2020', '16', '10', '2020', '671', '23', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.83949061');
INSERT INTO public.ecdc_import VALUES (23993, '15/10/2020', '15', '10', '2020', '714', '20', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.79398817');
INSERT INTO public.ecdc_import VALUES (23994, '14/10/2020', '14', '10', '2020', '554', '23', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '42.15800767');
INSERT INTO public.ecdc_import VALUES (23995, '13/10/2020', '13', '10', '2020', '111', '3', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '43.01686616');
INSERT INTO public.ecdc_import VALUES (23996, '12/10/2020', '12', '10', '2020', '171', '19', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '43.35813444');
INSERT INTO public.ecdc_import VALUES (23997, '11/10/2020', '11', '10', '2020', '609', '9', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.60376364');
INSERT INTO public.ecdc_import VALUES (23998, '10/10/2020', '10', '10', '2020', '455', '9', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '45.82664163');
INSERT INTO public.ecdc_import VALUES (23999, '09/10/2020', '9', '10', '2020', '776', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '48.61366588');
INSERT INTO public.ecdc_import VALUES (24000, '08/10/2020', '8', '10', '2020', '834', '25', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.99264157');
INSERT INTO public.ecdc_import VALUES (24001, '07/10/2020', '7', '10', '2020', '688', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.9073245');
INSERT INTO public.ecdc_import VALUES (24002, '06/10/2020', '6', '10', '2020', '219', '9', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '48.35202687');
INSERT INTO public.ecdc_import VALUES (24003, '05/10/2020', '5', '10', '2020', '215', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '48.45440735');
INSERT INTO public.ecdc_import VALUES (24004, '04/10/2020', '4', '10', '2020', '658', '18', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '48.89236831');
INSERT INTO public.ecdc_import VALUES (24005, '03/10/2020', '3', '10', '2020', '681', '6', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '49.745539');
INSERT INTO public.ecdc_import VALUES (24006, '02/10/2020', '2', '10', '2020', '663', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '49.73985119');
INSERT INTO public.ecdc_import VALUES (24007, '01/10/2020', '1', '10', '2020', '778', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '50.17781215');
INSERT INTO public.ecdc_import VALUES (24008, '30/09/2020', '30', '9', '2020', '705', '4', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '47.11777327');
INSERT INTO public.ecdc_import VALUES (24009, '29/09/2020', '29', '9', '2020', '171', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.02002699');
INSERT INTO public.ecdc_import VALUES (24010, '28/09/2020', '28', '9', '2020', '390', '16', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.54330501');
INSERT INTO public.ecdc_import VALUES (24011, '27/09/2020', '27', '9', '2020', '824', '27', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '45.75270017');
INSERT INTO public.ecdc_import VALUES (24012, '26/09/2020', '26', '9', '2020', '945', '16', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.75733437');
INSERT INTO public.ecdc_import VALUES (24013, '25/09/2020', '25', '9', '2020', '491', '16', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '43.38088565');
INSERT INTO public.ecdc_import VALUES (24014, '24/09/2020', '24', '9', '2020', '819', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.47863194');
INSERT INTO public.ecdc_import VALUES (24015, '23/09/2020', '23', '9', '2020', '942', '13', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.94503192');
INSERT INTO public.ecdc_import VALUES (24016, '22/09/2020', '22', '9', '2020', '237', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.66632949');
INSERT INTO public.ecdc_import VALUES (24017, '21/09/2020', '21', '9', '2020', '292', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.14305147');
INSERT INTO public.ecdc_import VALUES (24018, '20/09/2020', '20', '9', '2020', '808', '29', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '43.63114906');
INSERT INTO public.ecdc_import VALUES (24019, '19/09/2020', '19', '9', '2020', '680', '40', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.54372477');
INSERT INTO public.ecdc_import VALUES (24020, '18/09/2020', '18', '9', '2020', '740', '27', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.55510038');
INSERT INTO public.ecdc_import VALUES (24021, '17/09/2020', '17', '9', '2020', '240', '25', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '41.29346137');
INSERT INTO public.ecdc_import VALUES (24022, '16/09/2020', '16', '9', '2020', '512', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.31368561');
INSERT INTO public.ecdc_import VALUES (24023, '15/09/2020', '15', '9', '2020', '263', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.05984162');
INSERT INTO public.ecdc_import VALUES (24024, '14/09/2020', '14', '9', '2020', '251', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '45.48537336');
INSERT INTO public.ecdc_import VALUES (24025, '13/09/2020', '13', '9', '2020', '649', '20', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '45.38299287');
INSERT INTO public.ecdc_import VALUES (24026, '12/09/2020', '12', '9', '2020', '703', '11', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.00296357');
INSERT INTO public.ecdc_import VALUES (24027, '11/09/2020', '11', '9', '2020', '684', '21', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '48.06194884');
INSERT INTO public.ecdc_import VALUES (24028, '10/09/2020', '10', '9', '2020', '901', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '50.66696334');
INSERT INTO public.ecdc_import VALUES (24029, '09/09/2020', '9', '9', '2020', '893', '28', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '51.58838769');
INSERT INTO public.ecdc_import VALUES (24030, '08/09/2020', '8', '9', '2020', '145', '10', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '52.86814372');
INSERT INTO public.ecdc_import VALUES (24031, '07/09/2020', '7', '9', '2020', '202', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '54.00570464');
INSERT INTO public.ecdc_import VALUES (24032, '06/09/2020', '6', '9', '2020', '441', '20', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '54.74511924');
INSERT INTO public.ecdc_import VALUES (24033, '05/09/2020', '5', '9', '2020', '682', '21', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '57.44113862');
INSERT INTO public.ecdc_import VALUES (24034, '04/09/2020', '4', '9', '2020', '694', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '59.01097269');
INSERT INTO public.ecdc_import VALUES (24035, '03/09/2020', '3', '9', '2020', '771', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '61.33159696');
INSERT INTO public.ecdc_import VALUES (24036, '02/09/2020', '2', '9', '2020', '819', '18', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '62.82748957');
INSERT INTO public.ecdc_import VALUES (24037, '01/09/2020', '1', '9', '2020', '162', '20', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '63.30526516');
INSERT INTO public.ecdc_import VALUES (24038, '31/08/2020', '31', '8', '2020', '233', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '64.55658217');
INSERT INTO public.ecdc_import VALUES (24039, '30/08/2020', '30', '8', '2020', '758', '19', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '64.64758704');
INSERT INTO public.ecdc_import VALUES (24040, '29/08/2020', '29', '8', '2020', '1065', '24', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.36993822');
INSERT INTO public.ecdc_import VALUES (24041, '28/08/2020', '28', '8', '2020', '1142', '23', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.81927479');
INSERT INTO public.ecdc_import VALUES (24042, '27/08/2020', '27', '8', '2020', '1063', '32', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.12072843');
INSERT INTO public.ecdc_import VALUES (24043, '26/08/2020', '26', '8', '2020', '1118', '19', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.46199671');
INSERT INTO public.ecdc_import VALUES (24044, '25/08/2020', '25', '8', '2020', '345', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.67139187');
INSERT INTO public.ecdc_import VALUES (24045, '24/08/2020', '24', '8', '2020', '332', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.88184064');
INSERT INTO public.ecdc_import VALUES (24046, '23/08/2020', '23', '8', '2020', '915', '48', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.35961622');
INSERT INTO public.ecdc_import VALUES (24047, '22/08/2020', '22', '8', '2020', '958', '26', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.38236744');
INSERT INTO public.ecdc_import VALUES (24048, '21/08/2020', '21', '8', '2020', '1102', '39', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.22879672');
INSERT INTO public.ecdc_import VALUES (24049, '20/08/2020', '20', '8', '2020', '1034', '48', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '64.68171387');
INSERT INTO public.ecdc_import VALUES (24050, '19/08/2020', '19', '8', '2020', '903', '30', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.30737237');
INSERT INTO public.ecdc_import VALUES (24051, '18/08/2020', '18', '8', '2020', '382', '10', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '64.85234801');
INSERT INTO public.ecdc_import VALUES (24052, '17/08/2020', '17', '8', '2020', '249', '24', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '64.02192853');
INSERT INTO public.ecdc_import VALUES (24053, '16/08/2020', '16', '8', '2020', '885', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '64.46557729');
INSERT INTO public.ecdc_import VALUES (24054, '15/08/2020', '15', '8', '2020', '1144', '45', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.20035769');
INSERT INTO public.ecdc_import VALUES (24055, '14/08/2020', '14', '8', '2020', '1195', '29', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.17086506');
INSERT INTO public.ecdc_import VALUES (24056, '13/08/2020', '13', '8', '2020', '1123', '34', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.31874798');
INSERT INTO public.ecdc_import VALUES (24057, '12/08/2020', '12', '8', '2020', '979', '11', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '73.41249392');
INSERT INTO public.ecdc_import VALUES (24058, '11/08/2020', '11', '8', '2020', '382', '11', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '67.87826005');
INSERT INTO public.ecdc_import VALUES (24059, '10/08/2020', '10', '8', '2020', '416', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '65.70551869');
INSERT INTO public.ecdc_import VALUES (24060, '09/08/2020', '9', '8', '2020', '919', '29', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '66.53025036');
INSERT INTO public.ecdc_import VALUES (24061, '08/08/2020', '8', '8', '2020', '931', '49', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '68.17971369');
INSERT INTO public.ecdc_import VALUES (24062, '07/08/2020', '7', '8', '2020', '830', '47', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '69.08976243');
INSERT INTO public.ecdc_import VALUES (24063, '06/08/2020', '6', '8', '2020', '1144', '35', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '70.38089407');
INSERT INTO public.ecdc_import VALUES (24064, '05/08/2020', '5', '8', '2020', '823', '24', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '69.02719658');
INSERT INTO public.ecdc_import VALUES (24065, '04/08/2020', '4', '8', '2020', '236', '18', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '71.11462087');
INSERT INTO public.ecdc_import VALUES (24066, '03/08/2020', '3', '8', '2020', '327', '36', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '71.83128424');
INSERT INTO public.ecdc_import VALUES (24067, '02/08/2020', '2', '8', '2020', '1190', '35', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '73.58312806');
INSERT INTO public.ecdc_import VALUES (24068, '01/08/2020', '1', '8', '2020', '963', '57', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '90.89111745');
INSERT INTO public.ecdc_import VALUES (24069, '31/07/2020', '31', '7', '2020', '1221', '32', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '90.36215162');
INSERT INTO public.ecdc_import VALUES (24070, '30/07/2020', '30', '7', '2020', '2546', '74', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '88.33729318');
INSERT INTO public.ecdc_import VALUES (24071, '29/07/2020', '29', '7', '2020', '6', '27', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '80.69288381');
INSERT INTO public.ecdc_import VALUES (24072, '28/07/2020', '28', '7', '2020', '0', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '87.08597617');
INSERT INTO public.ecdc_import VALUES (24073, '27/07/2020', '27', '7', '2020', '561', '65', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '89.28715655');
INSERT INTO public.ecdc_import VALUES (24074, '26/07/2020', '26', '7', '2020', '1209', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '90.40196625');
INSERT INTO public.ecdc_import VALUES (24075, '25/07/2020', '25', '7', '2020', '1091', '37', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '89.09377119');
INSERT INTO public.ecdc_import VALUES (24076, '24/07/2020', '24', '7', '2020', '1057', '59', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '88.3543566');
INSERT INTO public.ecdc_import VALUES (24077, '23/07/2020', '23', '7', '2020', '906', '42', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '89.43503947');
INSERT INTO public.ecdc_import VALUES (24078, '22/07/2020', '22', '7', '2020', '1190', '29', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '87.83107857');
INSERT INTO public.ecdc_import VALUES (24079, '21/07/2020', '21', '7', '2020', '362', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '85.69815185');
INSERT INTO public.ecdc_import VALUES (24080, '20/07/2020', '20', '7', '2020', '635', '36', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '87.75713711');
INSERT INTO public.ecdc_import VALUES (24081, '19/07/2020', '19', '7', '2020', '4233', '6', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '88.39417123');
INSERT INTO public.ecdc_import VALUES (24082, '18/07/2020', '18', '7', '2020', '870', '39', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '71.18856233');
INSERT INTO public.ecdc_import VALUES (24083, '17/07/2020', '17', '7', '2020', '865', '54', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '73.18498174');
INSERT INTO public.ecdc_import VALUES (24084, '16/07/2020', '16', '7', '2020', '1202', '48', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '74.29979144');
INSERT INTO public.ecdc_import VALUES (24085, '15/07/2020', '15', '7', '2020', '1130', '58', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '72.66739152');
INSERT INTO public.ecdc_import VALUES (24086, '14/07/2020', '14', '7', '2020', '387', '25', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '70.14769408');
INSERT INTO public.ecdc_import VALUES (24087, '13/07/2020', '13', '7', '2020', '757', '47', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '70.67097211');
INSERT INTO public.ecdc_import VALUES (24088, '12/07/2020', '12', '7', '2020', '979', '33', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '69.39690388');
INSERT INTO public.ecdc_import VALUES (24089, '11/07/2020', '11', '7', '2020', '961', '47', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '67.06490399');
INSERT INTO public.ecdc_import VALUES (24090, '10/07/2020', '10', '7', '2020', '1247', '39', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '62.78767494');
INSERT INTO public.ecdc_import VALUES (24091, '09/07/2020', '9', '7', '2020', '624', '49', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '60.24522628');
INSERT INTO public.ecdc_import VALUES (24092, '08/07/2020', '8', '7', '2020', '815', '23', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '58.2829337');
INSERT INTO public.ecdc_import VALUES (24093, '07/07/2020', '7', '7', '2020', '724', '34', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '58.03267029');
INSERT INTO public.ecdc_import VALUES (24094, '06/07/2020', '6', '7', '2020', '747', '27', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '57.46388983');
INSERT INTO public.ecdc_import VALUES (24095, '05/07/2020', '5', '7', '2020', '1208', '40', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '55.43334359');
INSERT INTO public.ecdc_import VALUES (24096, '04/07/2020', '4', '7', '2020', '1221', '37', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '49.96167557');
INSERT INTO public.ecdc_import VALUES (24097, '03/07/2020', '3', '7', '2020', '1061', '26', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '46.66274891');
INSERT INTO public.ecdc_import VALUES (24098, '02/07/2020', '2', '7', '2020', '915', '44', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '44.13736367');
INSERT INTO public.ecdc_import VALUES (24099, '01/07/2020', '1', '7', '2020', '687', '27', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '42.03287597');
INSERT INTO public.ecdc_import VALUES (24100, '30/06/2020', '30', '6', '2020', '479', '19', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.5938614');
INSERT INTO public.ecdc_import VALUES (24101, '29/06/2020', '29', '6', '2020', '533', '21', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.29809556');
INSERT INTO public.ecdc_import VALUES (24102, '28/06/2020', '28', '6', '2020', '569', '34', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '39.27997854');
INSERT INTO public.ecdc_import VALUES (24103, '27/06/2020', '27', '6', '2020', '209', '49', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '38.93871027');
INSERT INTO public.ecdc_import VALUES (24104, '26/06/2020', '26', '6', '2020', '800', '22', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '40.14452484');
INSERT INTO public.ecdc_import VALUES (24105, '25/06/2020', '25', '6', '2020', '279', '19', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '37.52813473');
INSERT INTO public.ecdc_import VALUES (24106, '24/06/2020', '24', '6', '2020', '771', '35', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '37.96040787');
INSERT INTO public.ecdc_import VALUES (24107, '23/06/2020', '23', '6', '2020', '624', '16', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '35.6454714');
INSERT INTO public.ecdc_import VALUES (24108, '22/06/2020', '22', '6', '2020', '390', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '34.63872999');
INSERT INTO public.ecdc_import VALUES (24109, '21/06/2020', '21', '6', '2020', '246', '31', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '33.91637881');
INSERT INTO public.ecdc_import VALUES (24110, '20/06/2020', '20', '6', '2020', '641', '34', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '34.26333489');
INSERT INTO public.ecdc_import VALUES (24111, '19/06/2020', '19', '6', '2020', '617', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '32.50011546');
INSERT INTO public.ecdc_import VALUES (24112, '18/06/2020', '18', '6', '2020', '545', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '31.23173504');
INSERT INTO public.ecdc_import VALUES (24113, '17/06/2020', '17', '6', '2020', '434', '19', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '29.12155953');
INSERT INTO public.ecdc_import VALUES (24114, '16/06/2020', '16', '6', '2020', '427', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '28.07500349');
INSERT INTO public.ecdc_import VALUES (24115, '15/06/2020', '15', '6', '2020', '354', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '27.06257427');
INSERT INTO public.ecdc_import VALUES (24116, '14/06/2020', '14', '6', '2020', '509', '16', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '27.02844744');
INSERT INTO public.ecdc_import VALUES (24117, '13/06/2020', '13', '6', '2020', '421', '17', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '24.88414511');
INSERT INTO public.ecdc_import VALUES (24118, '12/06/2020', '12', '6', '2020', '340', '18', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '23.96272076');
INSERT INTO public.ecdc_import VALUES (24119, '11/06/2020', '11', '6', '2020', '355', '27', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '23.18349153');
INSERT INTO public.ecdc_import VALUES (24120, '10/06/2020', '10', '6', '2020', '364', '22', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '22.25069158');
INSERT INTO public.ecdc_import VALUES (24121, '09/06/2020', '9', '6', '2020', '447', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '21.2837648');
INSERT INTO public.ecdc_import VALUES (24122, '08/06/2020', '8', '6', '2020', '263', '22', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '20.65241849');
INSERT INTO public.ecdc_import VALUES (24123, '07/06/2020', '7', '6', '2020', '307', '14', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '21.26101358');
INSERT INTO public.ecdc_import VALUES (24124, '06/06/2020', '6', '6', '2020', '331', '58', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '21.2837648');
INSERT INTO public.ecdc_import VALUES (24125, '05/06/2020', '5', '6', '2020', '394', '15', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '20.71498434');
INSERT INTO public.ecdc_import VALUES (24126, '04/06/2020', '4', '6', '2020', '174', '20', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '19.87887706');
INSERT INTO public.ecdc_import VALUES (24127, '03/06/2020', '3', '6', '2020', '250', '7', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '19.63998927');
INSERT INTO public.ecdc_import VALUES (24128, '02/06/2020', '2', '6', '2020', '249', '8', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '18.96882833');
INSERT INTO public.ecdc_import VALUES (24129, '01/06/2020', '1', '6', '2020', '348', '6', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '18.05877959');
INSERT INTO public.ecdc_import VALUES (24130, '31/05/2020', '31', '5', '2020', '132', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '16.92690648');
INSERT INTO public.ecdc_import VALUES (24131, '30/05/2020', '30', '5', '2020', '259', '10', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '16.85865282');
INSERT INTO public.ecdc_import VALUES (24132, '29/05/2020', '29', '5', '2020', '203', '12', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '16.09648701');
INSERT INTO public.ecdc_import VALUES (24133, '28/05/2020', '28', '5', '2020', '191', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '15.94291628');
INSERT INTO public.ecdc_import VALUES (24134, '27/05/2020', '27', '5', '2020', '194', '4', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '15.66990166');
INSERT INTO public.ecdc_import VALUES (24135, '26/05/2020', '26', '5', '2020', '336', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '15.04993096');
INSERT INTO public.ecdc_import VALUES (24136, '25/05/2020', '25', '5', '2020', '370', '3', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '13.4914725');
INSERT INTO public.ecdc_import VALUES (24137, '24/05/2020', '24', '5', '2020', '311', '4', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '11.87044819');
INSERT INTO public.ecdc_import VALUES (24138, '23/05/2020', '23', '5', '2020', '231', '3', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '10.48262387');
INSERT INTO public.ecdc_import VALUES (24139, '22/05/2020', '22', '5', '2020', '247', '3', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '9.55551172');
INSERT INTO public.ecdc_import VALUES (24140, '21/05/2020', '21', '5', '2020', '132', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '8.34400934');
INSERT INTO public.ecdc_import VALUES (24141, '20/05/2020', '20', '5', '2020', '132', '5', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '7.7922923');
INSERT INTO public.ecdc_import VALUES (24142, '19/05/2020', '19', '5', '2020', '89', '3', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '7.22919964');
INSERT INTO public.ecdc_import VALUES (24143, '18/05/2020', '18', '5', '2020', '149', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '6.87655576');
INSERT INTO public.ecdc_import VALUES (24144, '17/05/2020', '17', '5', '2020', '120', '3', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '6.11438994');
INSERT INTO public.ecdc_import VALUES (24145, '16/05/2020', '16', '5', '2020', '125', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '5.68211679');
INSERT INTO public.ecdc_import VALUES (24146, '15/05/2020', '15', '5', '2020', '176', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '5.22709242');
INSERT INTO public.ecdc_import VALUES (24147, '14/05/2020', '14', '5', '2020', '143', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '4.30566808');
INSERT INTO public.ecdc_import VALUES (24148, '13/05/2020', '13', '5', '2020', '85', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '3.65157055');
INSERT INTO public.ecdc_import VALUES (24149, '12/05/2020', '12', '5', '2020', '62', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '3.32167788');
INSERT INTO public.ecdc_import VALUES (24150, '11/05/2020', '11', '5', '2020', '85', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '3.13966814');
INSERT INTO public.ecdc_import VALUES (24151, '10/05/2020', '10', '5', '2020', '67', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.80977547');
INSERT INTO public.ecdc_import VALUES (24152, '09/05/2020', '9', '5', '2020', '68', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.67326816');
INSERT INTO public.ecdc_import VALUES (24153, '08/05/2020', '8', '5', '2020', '34', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.54813646');
INSERT INTO public.ecdc_import VALUES (24154, '07/05/2020', '7', '5', '2020', '35', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.5936389');
INSERT INTO public.ecdc_import VALUES (24155, '06/05/2020', '6', '5', '2020', '33', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.54244865');
INSERT INTO public.ecdc_import VALUES (24156, '05/05/2020', '5', '5', '2020', '27', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.4798828');
INSERT INTO public.ecdc_import VALUES (24157, '04/05/2020', '4', '5', '2020', '15', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.3547511');
INSERT INTO public.ecdc_import VALUES (24158, '03/05/2020', '3', '5', '2020', '44', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.45144378');
INSERT INTO public.ecdc_import VALUES (24159, '02/05/2020', '2', '5', '2020', '45', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.32631208');
INSERT INTO public.ecdc_import VALUES (24160, '01/05/2020', '1', '5', '2020', '14', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.18980477');
INSERT INTO public.ecdc_import VALUES (24161, '30/04/2020', '30', '4', '2020', '28', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.21255599');
INSERT INTO public.ecdc_import VALUES (24162, '29/04/2020', '29', '4', '2020', '27', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.14430233');
INSERT INTO public.ecdc_import VALUES (24163, '28/04/2020', '28', '4', '2020', '30', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '2.06467307');
INSERT INTO public.ecdc_import VALUES (24164, '27/04/2020', '27', '4', '2020', '27', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.95660478');
INSERT INTO public.ecdc_import VALUES (24165, '26/04/2020', '26', '4', '2020', '43', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.82009747');
INSERT INTO public.ecdc_import VALUES (24166, '25/04/2020', '25', '4', '2020', '46', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.66652675');
INSERT INTO public.ecdc_import VALUES (24167, '24/04/2020', '24', '4', '2020', '42', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.46745359');
INSERT INTO public.ecdc_import VALUES (24168, '23/04/2020', '23', '4', '2020', '26', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.45039017');
INSERT INTO public.ecdc_import VALUES (24169, '22/04/2020', '22', '4', '2020', '22', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.34232188');
INSERT INTO public.ecdc_import VALUES (24170, '21/04/2020', '21', '4', '2020', '5', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.25131701');
INSERT INTO public.ecdc_import VALUES (24171, '20/04/2020', '20', '4', '2020', '32', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.24562921');
INSERT INTO public.ecdc_import VALUES (24172, '19/04/2020', '19', '4', '2020', '22', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.1148097');
INSERT INTO public.ecdc_import VALUES (24173, '18/04/2020', '18', '4', '2020', '21', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '1.05224385');
INSERT INTO public.ecdc_import VALUES (24174, '17/04/2020', '17', '4', '2020', '18', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.94986337');
INSERT INTO public.ecdc_import VALUES (24175, '16/04/2020', '16', '4', '2020', '16', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.85317069');
INSERT INTO public.ecdc_import VALUES (24176, '15/04/2020', '15', '4', '2020', '13', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.80766825');
INSERT INTO public.ecdc_import VALUES (24177, '14/04/2020', '14', '4', '2020', '11', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.7451024');
INSERT INTO public.ecdc_import VALUES (24178, '13/04/2020', '13', '4', '2020', '3', '2', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.68253655');
INSERT INTO public.ecdc_import VALUES (24179, '12/04/2020', '12', '4', '2020', '16', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.67684875');
INSERT INTO public.ecdc_import VALUES (24180, '11/04/2020', '11', '4', '2020', '11', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.59721948');
INSERT INTO public.ecdc_import VALUES (24181, '10/04/2020', '10', '4', '2020', '39', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.57446826');
INSERT INTO public.ecdc_import VALUES (24182, '09/04/2020', '9', '4', '2020', '7', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.35833169');
INSERT INTO public.ecdc_import VALUES (24183, '08/04/2020', '8', '4', '2020', '6', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.33558047');
INSERT INTO public.ecdc_import VALUES (24184, '07/04/2020', '7', '4', '2020', '4', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.30714145');
INSERT INTO public.ecdc_import VALUES (24185, '06/04/2020', '6', '4', '2020', '9', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.29007803');
INSERT INTO public.ecdc_import VALUES (24186, '05/04/2020', '5', '4', '2020', '11', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.2502634');
INSERT INTO public.ecdc_import VALUES (24187, '04/04/2020', '4', '4', '2020', '3', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.21044877');
INSERT INTO public.ecdc_import VALUES (24188, '03/04/2020', '3', '4', '2020', '1', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.21613657');
INSERT INTO public.ecdc_import VALUES (24189, '02/04/2020', '2', '4', '2020', '8', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.21613657');
INSERT INTO public.ecdc_import VALUES (24190, '01/04/2020', '1', '4', '2020', '2', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.18200975');
INSERT INTO public.ecdc_import VALUES (24191, '31/03/2020', '31', '3', '2020', '0', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.17063414');
INSERT INTO public.ecdc_import VALUES (24192, '30/03/2020', '30', '3', '2020', '2', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.19907316');
INSERT INTO public.ecdc_import VALUES (24193, '29/03/2020', '29', '3', '2020', '2', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.18769755');
INSERT INTO public.ecdc_import VALUES (24194, '28/03/2020', '28', '3', '2020', '7', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '0.18200975');
INSERT INTO public.ecdc_import VALUES (24195, '27/03/2020', '27', '3', '2020', '1', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24196, '26/03/2020', '26', '3', '2020', '3', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24197, '25/03/2020', '25', '3', '2020', '1', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24198, '24/03/2020', '24', '3', '2020', '1', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24199, '23/03/2020', '23', '3', '2020', '2', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24200, '22/03/2020', '22', '3', '2020', '4', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24201, '21/03/2020', '21', '3', '2020', '4', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24202, '20/03/2020', '20', '3', '2020', '1', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24203, '19/03/2020', '19', '3', '2020', '2', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24204, '18/03/2020', '18', '3', '2020', '0', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24205, '17/03/2020', '17', '3', '2020', '5', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24206, '16/03/2020', '16', '3', '2020', '0', '1', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24207, '15/03/2020', '15', '3', '2020', '1', '0', '17581476', 'Guatemala', 'GT', 'GTM', 'America', '');
INSERT INTO public.ecdc_import VALUES (24208, '14/12/2020', '14', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24209, '13/12/2020', '13', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24210, '12/12/2020', '12', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24211, '11/12/2020', '11', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24212, '10/12/2020', '10', '12', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24213, '09/12/2020', '9', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24214, '08/12/2020', '8', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24215, '07/12/2020', '7', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24216, '06/12/2020', '6', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24217, '05/12/2020', '5', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24218, '04/12/2020', '4', '12', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '9.30694298');
INSERT INTO public.ecdc_import VALUES (24219, '03/12/2020', '3', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24220, '02/12/2020', '2', '12', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24221, '01/12/2020', '1', '12', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24222, '30/11/2020', '30', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24223, '29/11/2020', '29', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24224, '28/11/2020', '28', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24225, '27/11/2020', '27', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24226, '26/11/2020', '26', '11', '2020', '2', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24227, '25/11/2020', '25', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24228, '24/11/2020', '24', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24229, '23/11/2020', '23', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24230, '22/11/2020', '22', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24231, '21/11/2020', '21', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24232, '20/11/2020', '20', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '12.40925731');
INSERT INTO public.ecdc_import VALUES (24233, '19/11/2020', '19', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '13.96041447');
INSERT INTO public.ecdc_import VALUES (24234, '18/11/2020', '18', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '15.51157163');
INSERT INTO public.ecdc_import VALUES (24235, '17/11/2020', '17', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '17.0627288');
INSERT INTO public.ecdc_import VALUES (24236, '16/11/2020', '16', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '18.61388596');
INSERT INTO public.ecdc_import VALUES (24237, '15/11/2020', '15', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '21.71620029');
INSERT INTO public.ecdc_import VALUES (24238, '14/11/2020', '14', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '23.26735745');
INSERT INTO public.ecdc_import VALUES (24239, '13/11/2020', '13', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '23.26735745');
INSERT INTO public.ecdc_import VALUES (24240, '12/11/2020', '12', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '23.26735745');
INSERT INTO public.ecdc_import VALUES (24241, '11/11/2020', '11', '11', '2020', '3', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '24.81851461');
INSERT INTO public.ecdc_import VALUES (24242, '10/11/2020', '10', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24243, '09/11/2020', '9', '11', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '21.71620029');
INSERT INTO public.ecdc_import VALUES (24244, '08/11/2020', '8', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '21.71620029');
INSERT INTO public.ecdc_import VALUES (24245, '07/11/2020', '7', '11', '2020', '4', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24246, '06/11/2020', '6', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '18.61388596');
INSERT INTO public.ecdc_import VALUES (24247, '05/11/2020', '5', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24248, '04/11/2020', '4', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24249, '03/11/2020', '3', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24250, '02/11/2020', '2', '11', '2020', '2', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '18.61388596');
INSERT INTO public.ecdc_import VALUES (24251, '01/11/2020', '1', '11', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '15.51157163');
INSERT INTO public.ecdc_import VALUES (24252, '31/10/2020', '31', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '13.96041447');
INSERT INTO public.ecdc_import VALUES (24253, '30/10/2020', '30', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '13.96041447');
INSERT INTO public.ecdc_import VALUES (24254, '29/10/2020', '29', '10', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '13.96041447');
INSERT INTO public.ecdc_import VALUES (24255, '28/10/2020', '28', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '12.40925731');
INSERT INTO public.ecdc_import VALUES (24256, '27/10/2020', '27', '10', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '12.40925731');
INSERT INTO public.ecdc_import VALUES (24257, '26/10/2020', '26', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '10.85810014');
INSERT INTO public.ecdc_import VALUES (24258, '25/10/2020', '25', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '10.85810014');
INSERT INTO public.ecdc_import VALUES (24259, '24/10/2020', '24', '10', '2020', '3', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '10.85810014');
INSERT INTO public.ecdc_import VALUES (24260, '23/10/2020', '23', '10', '2020', '2', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '6.20462865');
INSERT INTO public.ecdc_import VALUES (24261, '22/10/2020', '22', '10', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24262, '21/10/2020', '21', '10', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24263, '20/10/2020', '20', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24264, '19/10/2020', '19', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24265, '18/10/2020', '18', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24266, '17/10/2020', '17', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24267, '16/10/2020', '16', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24268, '15/10/2020', '15', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24269, '14/10/2020', '14', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24270, '13/10/2020', '13', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24271, '12/10/2020', '12', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24272, '11/10/2020', '11', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24273, '10/10/2020', '10', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24274, '09/10/2020', '9', '10', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24275, '08/10/2020', '8', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24276, '07/10/2020', '7', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24277, '06/10/2020', '6', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24278, '05/10/2020', '5', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24279, '04/10/2020', '4', '10', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24280, '03/10/2020', '3', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24281, '02/10/2020', '2', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24282, '01/10/2020', '1', '10', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24283, '30/09/2020', '30', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24284, '29/09/2020', '29', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24285, '28/09/2020', '28', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24286, '27/09/2020', '27', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24287, '26/09/2020', '26', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24288, '25/09/2020', '25', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24289, '24/09/2020', '24', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24290, '23/09/2020', '23', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24291, '22/09/2020', '22', '9', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24292, '21/09/2020', '21', '9', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '4.65347149');
INSERT INTO public.ecdc_import VALUES (24293, '20/09/2020', '20', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24294, '19/09/2020', '19', '9', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '3.10231433');
INSERT INTO public.ecdc_import VALUES (24295, '18/09/2020', '18', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24296, '17/09/2020', '17', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24297, '16/09/2020', '16', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24298, '15/09/2020', '15', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24299, '14/09/2020', '14', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24300, '13/09/2020', '13', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24301, '12/09/2020', '12', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24302, '11/09/2020', '11', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24303, '10/09/2020', '10', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24304, '09/09/2020', '9', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24305, '08/09/2020', '8', '9', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24306, '07/09/2020', '7', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24307, '06/09/2020', '6', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24308, '05/09/2020', '5', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24309, '04/09/2020', '4', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24310, '03/09/2020', '3', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24311, '02/09/2020', '2', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24312, '01/09/2020', '1', '9', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24313, '31/08/2020', '31', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24314, '30/08/2020', '30', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24315, '29/08/2020', '29', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24316, '28/08/2020', '28', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24317, '27/08/2020', '27', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24318, '26/08/2020', '26', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24319, '25/08/2020', '25', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24320, '24/08/2020', '24', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24321, '23/08/2020', '23', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24322, '22/08/2020', '22', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24323, '21/08/2020', '21', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24324, '20/08/2020', '20', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24325, '19/08/2020', '19', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24326, '18/08/2020', '18', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24327, '17/08/2020', '17', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24328, '16/08/2020', '16', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24329, '15/08/2020', '15', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24330, '14/08/2020', '14', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24331, '13/08/2020', '13', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24332, '12/08/2020', '12', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24333, '11/08/2020', '11', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24334, '10/08/2020', '10', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24335, '09/08/2020', '9', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24336, '08/08/2020', '8', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24337, '07/08/2020', '7', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24338, '06/08/2020', '6', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24339, '05/08/2020', '5', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24340, '04/08/2020', '4', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24341, '03/08/2020', '3', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24342, '02/08/2020', '2', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24343, '01/08/2020', '1', '8', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24344, '31/07/2020', '31', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24345, '30/07/2020', '30', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24346, '29/07/2020', '29', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24347, '28/07/2020', '28', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24348, '27/07/2020', '27', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24349, '26/07/2020', '26', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24350, '25/07/2020', '25', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24351, '24/07/2020', '24', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24352, '23/07/2020', '23', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24353, '22/07/2020', '22', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24354, '21/07/2020', '21', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24355, '20/07/2020', '20', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24356, '19/07/2020', '19', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24357, '18/07/2020', '18', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24358, '17/07/2020', '17', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24359, '16/07/2020', '16', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24360, '15/07/2020', '15', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24361, '14/07/2020', '14', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24362, '13/07/2020', '13', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24363, '12/07/2020', '12', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24364, '11/07/2020', '11', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24365, '10/07/2020', '10', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24366, '09/07/2020', '9', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24367, '08/07/2020', '8', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24368, '07/07/2020', '7', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24369, '06/07/2020', '6', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24370, '05/07/2020', '5', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24371, '04/07/2020', '4', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24372, '03/07/2020', '3', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24373, '02/07/2020', '2', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24374, '01/07/2020', '1', '7', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24375, '30/06/2020', '30', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24376, '29/06/2020', '29', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24377, '28/06/2020', '28', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24378, '27/06/2020', '27', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24379, '26/06/2020', '26', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24380, '25/06/2020', '25', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24381, '24/06/2020', '24', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24382, '23/06/2020', '23', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24383, '22/06/2020', '22', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24384, '21/06/2020', '21', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24385, '20/06/2020', '20', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24386, '19/06/2020', '19', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24387, '18/06/2020', '18', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24388, '17/06/2020', '17', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24389, '16/06/2020', '16', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24390, '15/06/2020', '15', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24391, '14/06/2020', '14', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24392, '13/06/2020', '13', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24393, '12/06/2020', '12', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24394, '11/06/2020', '11', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24395, '10/06/2020', '10', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24396, '09/06/2020', '9', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24397, '08/06/2020', '8', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24398, '07/06/2020', '7', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24399, '06/06/2020', '6', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24400, '05/06/2020', '5', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24401, '04/06/2020', '4', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24402, '03/06/2020', '3', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24403, '02/06/2020', '2', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24404, '01/06/2020', '1', '6', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24405, '31/05/2020', '31', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24406, '30/05/2020', '30', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24407, '29/05/2020', '29', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24408, '28/05/2020', '28', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24409, '27/05/2020', '27', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24410, '26/05/2020', '26', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24411, '25/05/2020', '25', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24412, '24/05/2020', '24', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24413, '23/05/2020', '23', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24414, '22/05/2020', '22', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24415, '21/05/2020', '21', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24416, '20/05/2020', '20', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24417, '19/05/2020', '19', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24418, '18/05/2020', '18', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24419, '17/05/2020', '17', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24420, '16/05/2020', '16', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (24421, '15/05/2020', '15', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24422, '14/05/2020', '14', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '1.55115716');
INSERT INTO public.ecdc_import VALUES (24423, '13/05/2020', '13', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24424, '12/05/2020', '12', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24425, '11/05/2020', '11', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '7.75578582');
INSERT INTO public.ecdc_import VALUES (24426, '10/05/2020', '10', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '10.85810014');
INSERT INTO public.ecdc_import VALUES (24427, '09/05/2020', '9', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '10.85810014');
INSERT INTO public.ecdc_import VALUES (24428, '08/05/2020', '8', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '10.85810014');
INSERT INTO public.ecdc_import VALUES (24429, '07/05/2020', '7', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '13.96041447');
INSERT INTO public.ecdc_import VALUES (24430, '06/05/2020', '6', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24431, '05/05/2020', '5', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24432, '04/05/2020', '4', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24433, '03/05/2020', '3', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '20.16504312');
INSERT INTO public.ecdc_import VALUES (24434, '02/05/2020', '2', '5', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '27.92082894');
INSERT INTO public.ecdc_import VALUES (24435, '01/05/2020', '1', '5', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '26.36967178');
INSERT INTO public.ecdc_import VALUES (24436, '30/04/2020', '30', '4', '2020', '4', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '43.43240057');
INSERT INTO public.ecdc_import VALUES (24437, '29/04/2020', '29', '4', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '37.22777192');
INSERT INTO public.ecdc_import VALUES (24438, '28/04/2020', '28', '4', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '43.43240057');
INSERT INTO public.ecdc_import VALUES (24439, '27/04/2020', '27', '4', '2020', '2', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '44.98355773');
INSERT INTO public.ecdc_import VALUES (24440, '26/04/2020', '26', '4', '2020', '0', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '55.84165788');
INSERT INTO public.ecdc_import VALUES (24441, '25/04/2020', '25', '4', '2020', '0', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '69.80207235');
INSERT INTO public.ecdc_import VALUES (24442, '24/04/2020', '24', '4', '2020', '2', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '83.76248682');
INSERT INTO public.ecdc_import VALUES (24443, '23/04/2020', '23', '4', '2020', '4', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '96.17174412');
INSERT INTO public.ecdc_import VALUES (24444, '22/04/2020', '22', '4', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '113.23447292');
INSERT INTO public.ecdc_import VALUES (24445, '21/04/2020', '21', '4', '2020', '0', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '114.78563008');
INSERT INTO public.ecdc_import VALUES (24446, '20/04/2020', '20', '4', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '131.84835888');
INSERT INTO public.ecdc_import VALUES (24447, '19/04/2020', '19', '4', '2020', '5', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '159.76918781');
INSERT INTO public.ecdc_import VALUES (24448, '18/04/2020', '18', '4', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '186.13885959');
INSERT INTO public.ecdc_import VALUES (24449, '17/04/2020', '17', '4', '2020', '11', '2', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '221.81547434');
INSERT INTO public.ecdc_import VALUES (24450, '16/04/2020', '16', '4', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '224.91778867');
INSERT INTO public.ecdc_import VALUES (24451, '15/04/2020', '15', '4', '2020', '4', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '252.83861761');
INSERT INTO public.ecdc_import VALUES (24452, '14/04/2020', '14', '4', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '269.9013464');
INSERT INTO public.ecdc_import VALUES (24453, '13/04/2020', '13', '4', '2020', '9', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '268.35018924');
INSERT INTO public.ecdc_import VALUES (24454, '12/04/2020', '12', '4', '2020', '9', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '263.69671775');
INSERT INTO public.ecdc_import VALUES (24455, '11/04/2020', '11', '4', '2020', '9', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '254.38977477');
INSERT INTO public.ecdc_import VALUES (24456, '10/04/2020', '10', '4', '2020', '10', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '243.53167463');
INSERT INTO public.ecdc_import VALUES (24457, '09/04/2020', '9', '4', '2020', '15', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '234.22473165');
INSERT INTO public.ecdc_import VALUES (24458, '08/04/2020', '8', '4', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '221.81547434');
INSERT INTO public.ecdc_import VALUES (24459, '07/04/2020', '7', '4', '2020', '11', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '224.91778867');
INSERT INTO public.ecdc_import VALUES (24460, '06/04/2020', '6', '4', '2020', '18', '1', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '212.50853136');
INSERT INTO public.ecdc_import VALUES (24461, '05/04/2020', '5', '4', '2020', '22', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '209.40621704');
INSERT INTO public.ecdc_import VALUES (24462, '04/04/2020', '4', '4', '2020', '23', '2', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '175.28075945');
INSERT INTO public.ecdc_import VALUES (24463, '03/04/2020', '3', '4', '2020', '13', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '139.60414469');
INSERT INTO public.ecdc_import VALUES (24464, '02/04/2020', '2', '4', '2020', '18', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '120.99025873');
INSERT INTO public.ecdc_import VALUES (24465, '01/04/2020', '1', '4', '2020', '15', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24466, '31/03/2020', '31', '3', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24467, '30/03/2020', '30', '3', '2020', '6', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24468, '29/03/2020', '29', '3', '2020', '3', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24469, '28/03/2020', '28', '3', '2020', '2', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24470, '27/03/2020', '27', '3', '2020', '4', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24471, '26/03/2020', '26', '3', '2020', '7', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24472, '25/03/2020', '25', '3', '2020', '3', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24473, '24/03/2020', '24', '3', '2020', '3', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24474, '23/03/2020', '23', '3', '2020', '16', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24475, '22/03/2020', '22', '3', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24476, '21/03/2020', '21', '3', '2020', '0', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24477, '20/03/2020', '20', '3', '2020', '1', '0', '64468', 'Guernsey', 'GG', 'GGY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (24478, '14/12/2020', '14', '12', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.98326412');
INSERT INTO public.ecdc_import VALUES (24479, '13/12/2020', '13', '12', '2020', '22', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.98326412');
INSERT INTO public.ecdc_import VALUES (24480, '12/12/2020', '12', '12', '2020', '30', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.81100215');
INSERT INTO public.ecdc_import VALUES (24481, '11/12/2020', '11', '12', '2020', '43', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.28080753');
INSERT INTO public.ecdc_import VALUES (24482, '10/12/2020', '10', '12', '2020', '61', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.94411368');
INSERT INTO public.ecdc_import VALUES (24483, '09/12/2020', '9', '12', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.62308');
INSERT INTO public.ecdc_import VALUES (24484, '08/12/2020', '8', '12', '2020', '31', '3', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.13986591');
INSERT INTO public.ecdc_import VALUES (24485, '07/12/2020', '7', '12', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.18684645');
INSERT INTO public.ecdc_import VALUES (24486, '06/12/2020', '6', '12', '2020', '47', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.40608896');
INSERT INTO public.ecdc_import VALUES (24487, '05/12/2020', '5', '12', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.03807475');
INSERT INTO public.ecdc_import VALUES (24488, '04/12/2020', '4', '12', '2020', '43', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.70363236');
INSERT INTO public.ecdc_import VALUES (24489, '03/12/2020', '3', '12', '2020', '24', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.36693851');
INSERT INTO public.ecdc_import VALUES (24490, '02/12/2020', '2', '12', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.64099165');
INSERT INTO public.ecdc_import VALUES (24491, '01/12/2020', '1', '12', '2020', '80', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.87589433');
INSERT INTO public.ecdc_import VALUES (24492, '30/11/2020', '30', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.35127833');
INSERT INTO public.ecdc_import VALUES (24493, '29/11/2020', '29', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.55486066');
INSERT INTO public.ecdc_import VALUES (24494, '28/11/2020', '28', '11', '2020', '90', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.93070496');
INSERT INTO public.ecdc_import VALUES (24495, '27/11/2020', '27', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.2259969');
INSERT INTO public.ecdc_import VALUES (24496, '26/11/2020', '26', '11', '2020', '20', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.39042878');
INSERT INTO public.ecdc_import VALUES (24497, '25/11/2020', '25', '11', '2020', '66', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.48438986');
INSERT INTO public.ecdc_import VALUES (24498, '24/11/2020', '24', '11', '2020', '37', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.16335618');
INSERT INTO public.ecdc_import VALUES (24499, '23/11/2020', '23', '11', '2020', '28', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.13203582');
INSERT INTO public.ecdc_import VALUES (24500, '22/11/2020', '22', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.11637565');
INSERT INTO public.ecdc_import VALUES (24501, '21/11/2020', '21', '11', '2020', '85', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.40608896');
INSERT INTO public.ecdc_import VALUES (24502, '20/11/2020', '20', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.74053135');
INSERT INTO public.ecdc_import VALUES (24503, '19/11/2020', '19', '11', '2020', '59', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.99109421');
INSERT INTO public.ecdc_import VALUES (24504, '18/11/2020', '18', '11', '2020', '30', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.4530695');
INSERT INTO public.ecdc_import VALUES (24505, '17/11/2020', '17', '11', '2020', '13', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.21816681');
INSERT INTO public.ecdc_import VALUES (24506, '16/11/2020', '16', '11', '2020', '26', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.25731726');
INSERT INTO public.ecdc_import VALUES (24507, '15/11/2020', '15', '11', '2020', '48', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.01683595');
INSERT INTO public.ecdc_import VALUES (24508, '14/11/2020', '14', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.64099165');
INSERT INTO public.ecdc_import VALUES (24509, '13/11/2020', '13', '11', '2020', '21', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.0481563');
INSERT INTO public.ecdc_import VALUES (24510, '12/11/2020', '12', '11', '2020', '32', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.45757242');
INSERT INTO public.ecdc_import VALUES (24511, '11/11/2020', '11', '11', '2020', '25', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.20700956');
INSERT INTO public.ecdc_import VALUES (24512, '10/11/2020', '10', '11', '2020', '33', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.18577075');
INSERT INTO public.ecdc_import VALUES (24513, '09/11/2020', '9', '11', '2020', '26', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.9273778');
INSERT INTO public.ecdc_import VALUES (24514, '08/11/2020', '8', '11', '2020', '37', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.72379547');
INSERT INTO public.ecdc_import VALUES (24515, '07/11/2020', '7', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.7003052');
INSERT INTO public.ecdc_import VALUES (24516, '06/11/2020', '6', '11', '2020', '32', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.7003052');
INSERT INTO public.ecdc_import VALUES (24517, '05/11/2020', '5', '11', '2020', '118', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.44974234');
INSERT INTO public.ecdc_import VALUES (24518, '04/11/2020', '4', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.28531045');
INSERT INTO public.ecdc_import VALUES (24519, '03/11/2020', '3', '11', '2020', '18', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.44191225');
INSERT INTO public.ecdc_import VALUES (24520, '02/11/2020', '2', '11', '2020', '123', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.30097063');
INSERT INTO public.ecdc_import VALUES (24521, '01/11/2020', '1', '11', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.6510732');
INSERT INTO public.ecdc_import VALUES (24522, '31/10/2020', '31', '10', '2020', '52', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.55936359');
INSERT INTO public.ecdc_import VALUES (24523, '30/10/2020', '30', '10', '2020', '201', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.99001852');
INSERT INTO public.ecdc_import VALUES (24524, '29/10/2020', '29', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.94078651');
INSERT INTO public.ecdc_import VALUES (24525, '28/10/2020', '28', '10', '2020', '150', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.36361135');
INSERT INTO public.ecdc_import VALUES (24526, '27/10/2020', '27', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.75286436');
INSERT INTO public.ecdc_import VALUES (24527, '26/10/2020', '26', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.06606795');
INSERT INTO public.ecdc_import VALUES (24528, '25/10/2020', '25', '10', '2020', '34', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.26965028');
INSERT INTO public.ecdc_import VALUES (24529, '24/10/2020', '24', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.33229099');
INSERT INTO public.ecdc_import VALUES (24530, '23/10/2020', '23', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.74728574');
INSERT INTO public.ecdc_import VALUES (24531, '22/10/2020', '22', '10', '2020', '97', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.04482914');
INSERT INTO public.ecdc_import VALUES (24532, '21/10/2020', '21', '10', '2020', '20', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.28531045');
INSERT INTO public.ecdc_import VALUES (24533, '20/10/2020', '20', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.62200431');
INSERT INTO public.ecdc_import VALUES (24534, '19/10/2020', '19', '10', '2020', '40', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.98218843');
INSERT INTO public.ecdc_import VALUES (24535, '18/10/2020', '18', '10', '2020', '116', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.81775654');
INSERT INTO public.ecdc_import VALUES (24536, '17/10/2020', '17', '10', '2020', '107', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.90946616');
INSERT INTO public.ecdc_import VALUES (24537, '16/10/2020', '16', '10', '2020', '67', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.72154401');
INSERT INTO public.ecdc_import VALUES (24538, '15/10/2020', '15', '10', '2020', '54', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.19692801');
INSERT INTO public.ecdc_import VALUES (24539, '14/10/2020', '14', '10', '2020', '72', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.91504478');
INSERT INTO public.ecdc_import VALUES (24540, '13/10/2020', '13', '10', '2020', '40', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.63316156');
INSERT INTO public.ecdc_import VALUES (24541, '12/10/2020', '12', '10', '2020', '26', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.46089959');
INSERT INTO public.ecdc_import VALUES (24542, '11/10/2020', '11', '10', '2020', '42', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.50788012');
INSERT INTO public.ecdc_import VALUES (24543, '10/10/2020', '10', '10', '2020', '53', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.72712263');
INSERT INTO public.ecdc_import VALUES (24544, '09/10/2020', '9', '10', '2020', '38', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.31212788');
INSERT INTO public.ecdc_import VALUES (24545, '08/10/2020', '8', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.35910842');
INSERT INTO public.ecdc_import VALUES (24546, '07/10/2020', '7', '10', '2020', '63', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.72712263');
INSERT INTO public.ecdc_import VALUES (24547, '06/10/2020', '6', '10', '2020', '46', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.57052084');
INSERT INTO public.ecdc_import VALUES (24548, '05/10/2020', '5', '10', '2020', '19', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.35910842');
INSERT INTO public.ecdc_import VALUES (24549, '04/10/2020', '4', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.51571021');
INSERT INTO public.ecdc_import VALUES (24550, '03/10/2020', '3', '10', '2020', '83', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.94636514');
INSERT INTO public.ecdc_import VALUES (24551, '02/10/2020', '2', '10', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.8993846');
INSERT INTO public.ecdc_import VALUES (24552, '01/10/2020', '1', '10', '2020', '18', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.8993846');
INSERT INTO public.ecdc_import VALUES (24553, '30/09/2020', '30', '9', '2020', '36', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.09513684');
INSERT INTO public.ecdc_import VALUES (24554, '29/09/2020', '29', '9', '2020', '18', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.20475809');
INSERT INTO public.ecdc_import VALUES (24555, '28/09/2020', '28', '9', '2020', '32', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.38485015');
INSERT INTO public.ecdc_import VALUES (24556, '27/09/2020', '27', '9', '2020', '70', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.13428729');
INSERT INTO public.ecdc_import VALUES (24557, '26/09/2020', '26', '9', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.90721469');
INSERT INTO public.ecdc_import VALUES (24558, '25/09/2020', '25', '9', '2020', '44', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.16560765');
INSERT INTO public.ecdc_import VALUES (24559, '24/09/2020', '24', '9', '2020', '47', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.29871917');
INSERT INTO public.ecdc_import VALUES (24560, '23/09/2020', '23', '9', '2020', '43', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.22041827');
INSERT INTO public.ecdc_import VALUES (24561, '22/09/2020', '22', '9', '2020', '19', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.2752289');
INSERT INTO public.ecdc_import VALUES (24562, '21/09/2020', '21', '9', '2020', '39', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.72154401');
INSERT INTO public.ecdc_import VALUES (24563, '20/09/2020', '20', '9', '2020', '55', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.98776705');
INSERT INTO public.ecdc_import VALUES (24564, '19/09/2020', '19', '9', '2020', '77', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.10521839');
INSERT INTO public.ecdc_import VALUES (24565, '18/09/2020', '18', '9', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.91729625');
INSERT INTO public.ecdc_import VALUES (24566, '17/09/2020', '17', '9', '2020', '43', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.28531045');
INSERT INTO public.ecdc_import VALUES (24567, '16/09/2020', '16', '9', '2020', '50', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.9486166');
INSERT INTO public.ecdc_import VALUES (24568, '15/09/2020', '15', '9', '2020', '41', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.10521839');
INSERT INTO public.ecdc_import VALUES (24569, '14/09/2020', '14', '9', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.08172813');
INSERT INTO public.ecdc_import VALUES (24570, '13/09/2020', '13', '9', '2020', '41', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.02133887');
INSERT INTO public.ecdc_import VALUES (24571, '12/09/2020', '12', '9', '2020', '33', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.7003052');
INSERT INTO public.ecdc_import VALUES (24572, '11/09/2020', '11', '9', '2020', '61', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.73945565');
INSERT INTO public.ecdc_import VALUES (24573, '10/09/2020', '10', '9', '2020', '37', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.62200431');
INSERT INTO public.ecdc_import VALUES (24574, '09/09/2020', '9', '9', '2020', '50', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.63766448');
INSERT INTO public.ecdc_import VALUES (24575, '08/09/2020', '8', '9', '2020', '76', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.14662031');
INSERT INTO public.ecdc_import VALUES (24576, '07/09/2020', '7', '9', '2020', '73', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.91171762');
INSERT INTO public.ecdc_import VALUES (24577, '06/09/2020', '6', '9', '2020', '70', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.61417422');
INSERT INTO public.ecdc_import VALUES (24578, '05/09/2020', '5', '9', '2020', '53', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.06606795');
INSERT INTO public.ecdc_import VALUES (24579, '04/09/2020', '4', '9', '2020', '47', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.08955822');
INSERT INTO public.ecdc_import VALUES (24580, '03/09/2020', '3', '9', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.37927153');
INSERT INTO public.ecdc_import VALUES (24581, '02/09/2020', '2', '9', '2020', '70', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.98218843');
INSERT INTO public.ecdc_import VALUES (24582, '01/09/2020', '1', '9', '2020', '38', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.17794066');
INSERT INTO public.ecdc_import VALUES (24583, '31/08/2020', '31', '8', '2020', '120', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.96094962');
INSERT INTO public.ecdc_import VALUES (24584, '30/08/2020', '30', '8', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.10972132');
INSERT INTO public.ecdc_import VALUES (24585, '29/08/2020', '29', '8', '2020', '38', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.75961876');
INSERT INTO public.ecdc_import VALUES (24586, '28/08/2020', '28', '8', '2020', '46', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.94754091');
INSERT INTO public.ecdc_import VALUES (24587, '27/08/2020', '27', '8', '2020', '39', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.22942413');
INSERT INTO public.ecdc_import VALUES (24588, '26/08/2020', '26', '8', '2020', '115', '3', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.69139941');
INSERT INTO public.ecdc_import VALUES (24589, '25/08/2020', '25', '8', '2020', '46', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.479987');
INSERT INTO public.ecdc_import VALUES (24590, '24/08/2020', '24', '8', '2020', '35', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.11980288');
INSERT INTO public.ecdc_import VALUES (24591, '23/08/2020', '23', '8', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.27640467');
INSERT INTO public.ecdc_import VALUES (24592, '22/08/2020', '22', '8', '2020', '56', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '9.04375344');
INSERT INTO public.ecdc_import VALUES (24593, '21/08/2020', '21', '8', '2020', '84', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '9.49006855');
INSERT INTO public.ecdc_import VALUES (24594, '20/08/2020', '20', '8', '2020', '77', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '9.529219');
INSERT INTO public.ecdc_import VALUES (24595, '19/08/2020', '19', '8', '2020', '95', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '9.5996898');
INSERT INTO public.ecdc_import VALUES (24596, '18/08/2020', '18', '8', '2020', '138', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '9.83459249');
INSERT INTO public.ecdc_import VALUES (24597, '17/08/2020', '17', '8', '2020', '139', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.75404013');
INSERT INTO public.ecdc_import VALUES (24598, '16/08/2020', '16', '8', '2020', '83', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.03367189');
INSERT INTO public.ecdc_import VALUES (24599, '15/08/2020', '15', '8', '2020', '62', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.45424526');
INSERT INTO public.ecdc_import VALUES (24600, '14/08/2020', '14', '8', '2020', '82', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.48556562');
INSERT INTO public.ecdc_import VALUES (24601, '13/08/2020', '13', '8', '2020', '98', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.30547356');
INSERT INTO public.ecdc_import VALUES (24602, '12/08/2020', '12', '8', '2020', '88', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.98443989');
INSERT INTO public.ecdc_import VALUES (24603, '11/08/2020', '11', '8', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.85132837');
INSERT INTO public.ecdc_import VALUES (24604, '10/08/2020', '10', '8', '2020', '55', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.21934258');
INSERT INTO public.ecdc_import VALUES (24605, '09/08/2020', '9', '8', '2020', '98', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.4229249');
INSERT INTO public.ecdc_import VALUES (24606, '08/08/2020', '8', '8', '2020', '113', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.1253815');
INSERT INTO public.ecdc_import VALUES (24607, '07/08/2020', '7', '8', '2020', '89', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.71821684');
INSERT INTO public.ecdc_import VALUES (24608, '06/08/2020', '6', '8', '2020', '86', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.48331416');
INSERT INTO public.ecdc_import VALUES (24609, '05/08/2020', '5', '8', '2020', '125', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.55378496');
INSERT INTO public.ecdc_import VALUES (24610, '04/08/2020', '4', '8', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.06048932');
INSERT INTO public.ecdc_import VALUES (24611, '03/08/2020', '3', '8', '2020', '47', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.42067344');
INSERT INTO public.ecdc_import VALUES (24612, '02/08/2020', '2', '8', '2020', '9', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.46765398');
INSERT INTO public.ecdc_import VALUES (24613, '01/08/2020', '1', '8', '2020', '66', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.87481864');
INSERT INTO public.ecdc_import VALUES (24614, '31/07/2020', '31', '7', '2020', '59', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.56386652');
INSERT INTO public.ecdc_import VALUES (24615, '30/07/2020', '30', '7', '2020', '57', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.10189123');
INSERT INTO public.ecdc_import VALUES (24616, '29/07/2020', '29', '7', '2020', '71', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.71263822');
INSERT INTO public.ecdc_import VALUES (24617, '28/07/2020', '28', '7', '2020', '47', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.15670186');
INSERT INTO public.ecdc_import VALUES (24618, '27/07/2020', '27', '7', '2020', '81', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.78868765');
INSERT INTO public.ecdc_import VALUES (24619, '26/07/2020', '26', '7', '2020', '60', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.91396908');
INSERT INTO public.ecdc_import VALUES (24620, '25/07/2020', '25', '7', '2020', '61', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.03142043');
INSERT INTO public.ecdc_import VALUES (24621, '24/07/2020', '24', '7', '2020', '59', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.24283284');
INSERT INTO public.ecdc_import VALUES (24622, '23/07/2020', '23', '7', '2020', '95', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.22159404');
INSERT INTO public.ecdc_import VALUES (24623, '22/07/2020', '22', '7', '2020', '62', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.47773553');
INSERT INTO public.ecdc_import VALUES (24624, '21/07/2020', '21', '7', '2020', '46', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.46990544');
INSERT INTO public.ecdc_import VALUES (24625, '20/07/2020', '20', '7', '2020', '53', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.31330365');
INSERT INTO public.ecdc_import VALUES (24626, '19/07/2020', '19', '7', '2020', '61', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.21151249');
INSERT INTO public.ecdc_import VALUES (24627, '18/07/2020', '18', '7', '2020', '154', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.11755141');
INSERT INTO public.ecdc_import VALUES (24628, '17/07/2020', '17', '7', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.46765398');
INSERT INTO public.ecdc_import VALUES (24629, '16/07/2020', '16', '7', '2020', '135', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.8278381');
INSERT INTO public.ecdc_import VALUES (24630, '15/07/2020', '15', '7', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.87256717');
INSERT INTO public.ecdc_import VALUES (24631, '14/07/2020', '14', '7', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.18577075');
INSERT INTO public.ecdc_import VALUES (24632, '13/07/2020', '13', '7', '2020', '97', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.25624156');
INSERT INTO public.ecdc_import VALUES (24633, '12/07/2020', '12', '7', '2020', '75', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.89605744');
INSERT INTO public.ecdc_import VALUES (24634, '11/07/2020', '11', '7', '2020', '88', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.5515335');
INSERT INTO public.ecdc_import VALUES (24635, '10/07/2020', '10', '7', '2020', '184', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.24616001');
INSERT INTO public.ecdc_import VALUES (24636, '09/07/2020', '9', '7', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.09513684');
INSERT INTO public.ecdc_import VALUES (24637, '08/07/2020', '8', '7', '2020', '61', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.64324311');
INSERT INTO public.ecdc_import VALUES (24638, '07/07/2020', '7', '7', '2020', '26', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.07389804');
INSERT INTO public.ecdc_import VALUES (24639, '06/07/2020', '6', '7', '2020', '40', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.87031571');
INSERT INTO public.ecdc_import VALUES (24640, '05/07/2020', '5', '7', '2020', '49', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.77635463');
INSERT INTO public.ecdc_import VALUES (24641, '04/07/2020', '4', '7', '2020', '71', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.83116526');
INSERT INTO public.ecdc_import VALUES (24642, '03/07/2020', '3', '7', '2020', '46', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.76852454');
INSERT INTO public.ecdc_import VALUES (24643, '02/07/2020', '2', '7', '2020', '13', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.76294592');
INSERT INTO public.ecdc_import VALUES (24644, '01/07/2020', '1', '7', '2020', '40', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.88822735');
INSERT INTO public.ecdc_import VALUES (24645, '30/06/2020', '30', '6', '2020', '9', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.09963977');
INSERT INTO public.ecdc_import VALUES (24646, '29/06/2020', '29', '6', '2020', '51', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.34237255');
INSERT INTO public.ecdc_import VALUES (24647, '28/06/2020', '28', '6', '2020', '31', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.31888228');
INSERT INTO public.ecdc_import VALUES (24648, '27/06/2020', '27', '6', '2020', '49', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.53029469');
INSERT INTO public.ecdc_import VALUES (24649, '26/06/2020', '26', '6', '2020', '37', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.56944514');
INSERT INTO public.ecdc_import VALUES (24650, '25/06/2020', '25', '6', '2020', '70', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.17236204');
INSERT INTO public.ecdc_import VALUES (24651, '24/06/2020', '24', '6', '2020', '116', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.62425577');
INSERT INTO public.ecdc_import VALUES (24652, '23/06/2020', '23', '6', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.04482914');
INSERT INTO public.ecdc_import VALUES (24653, '22/06/2020', '22', '6', '2020', '28', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.44416371');
INSERT INTO public.ecdc_import VALUES (24654, '21/06/2020', '21', '6', '2020', '56', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.6007655');
INSERT INTO public.ecdc_import VALUES (24655, '20/06/2020', '20', '6', '2020', '63', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.60859559');
INSERT INTO public.ecdc_import VALUES (24656, '19/06/2020', '19', '6', '2020', '173', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.65557613');
INSERT INTO public.ecdc_import VALUES (24657, '18/06/2020', '18', '6', '2020', '29', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.12313004');
INSERT INTO public.ecdc_import VALUES (24658, '17/06/2020', '17', '6', '2020', '67', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.2249212');
INSERT INTO public.ecdc_import VALUES (24659, '16/06/2020', '16', '6', '2020', '40', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.7003052');
INSERT INTO public.ecdc_import VALUES (24660, '15/06/2020', '15', '6', '2020', '48', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.95869816');
INSERT INTO public.ecdc_import VALUES (24661, '14/06/2020', '14', '6', '2020', '58', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.09180968');
INSERT INTO public.ecdc_import VALUES (24662, '13/06/2020', '13', '6', '2020', '54', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.02916896');
INSERT INTO public.ecdc_import VALUES (24663, '12/06/2020', '12', '6', '2020', '114', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.41284335');
INSERT INTO public.ecdc_import VALUES (24664, '11/06/2020', '11', '6', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.35803272');
INSERT INTO public.ecdc_import VALUES (24665, '10/06/2020', '10', '6', '2020', '42', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.04708061');
INSERT INTO public.ecdc_import VALUES (24666, '09/06/2020', '9', '6', '2020', '51', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.36811428');
INSERT INTO public.ecdc_import VALUES (24667, '08/06/2020', '8', '6', '2020', '48', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.96877971');
INSERT INTO public.ecdc_import VALUES (24668, '07/06/2020', '7', '6', '2020', '57', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.36811428');
INSERT INTO public.ecdc_import VALUES (24669, '06/06/2020', '6', '6', '2020', '69', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.77527894');
INSERT INTO public.ecdc_import VALUES (24670, '05/06/2020', '5', '6', '2020', '105', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.23500276');
INSERT INTO public.ecdc_import VALUES (24671, '04/06/2020', '4', '6', '2020', '42', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.01018162');
INSERT INTO public.ecdc_import VALUES (24672, '03/06/2020', '3', '6', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.68131786');
INSERT INTO public.ecdc_import VALUES (24673, '02/06/2020', '2', '6', '2020', '73', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.20593386');
INSERT INTO public.ecdc_import VALUES (24674, '01/06/2020', '1', '6', '2020', '65', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.71488968');
INSERT INTO public.ecdc_import VALUES (24675, '31/05/2020', '31', '5', '2020', '50', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.20593386');
INSERT INTO public.ecdc_import VALUES (24676, '30/05/2020', '30', '5', '2020', '103', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.80885076');
INSERT INTO public.ecdc_import VALUES (24677, '29/05/2020', '29', '5', '2020', '107', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.45649673');
INSERT INTO public.ecdc_import VALUES (24678, '28/05/2020', '28', '5', '2020', '88', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.39385601');
INSERT INTO public.ecdc_import VALUES (24679, '27/05/2020', '27', '5', '2020', '83', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.96545255');
INSERT INTO public.ecdc_import VALUES (24680, '26/05/2020', '26', '5', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.31555511');
INSERT INTO public.ecdc_import VALUES (24681, '25/05/2020', '25', '5', '2020', '99', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.84017112');
INSERT INTO public.ecdc_import VALUES (24682, '24/05/2020', '24', '5', '2020', '109', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.87932156');
INSERT INTO public.ecdc_import VALUES (24683, '23/05/2020', '23', '5', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.28423476');
INSERT INTO public.ecdc_import VALUES (24684, '22/05/2020', '22', '5', '2020', '204', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.9263021');
INSERT INTO public.ecdc_import VALUES (24685, '21/05/2020', '21', '5', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.88490019');
INSERT INTO public.ecdc_import VALUES (24686, '20/05/2020', '20', '5', '2020', '67', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.23725422');
INSERT INTO public.ecdc_import VALUES (24687, '19/05/2020', '19', '5', '2020', '138', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.50347726');
INSERT INTO public.ecdc_import VALUES (24688, '18/05/2020', '18', '5', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.39385601');
INSERT INTO public.ecdc_import VALUES (24689, '17/05/2020', '17', '5', '2020', '127', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.39385601');
INSERT INTO public.ecdc_import VALUES (24690, '16/05/2020', '16', '5', '2020', '58', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.78310902');
INSERT INTO public.ecdc_import VALUES (24691, '15/05/2020', '15', '5', '2020', '99', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.65782759');
INSERT INTO public.ecdc_import VALUES (24692, '14/05/2020', '14', '5', '2020', '161', '3', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.01018162');
INSERT INTO public.ecdc_import VALUES (24693, '13/05/2020', '13', '5', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.61867714');
INSERT INTO public.ecdc_import VALUES (24694, '12/05/2020', '12', '5', '2020', '67', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.22159404');
INSERT INTO public.ecdc_import VALUES (24695, '11/05/2020', '11', '5', '2020', '104', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.23725422');
INSERT INTO public.ecdc_import VALUES (24696, '10/05/2020', '10', '5', '2020', '33', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.19027368');
INSERT INTO public.ecdc_import VALUES (24697, '09/05/2020', '9', '5', '2020', '82', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.26074449');
INSERT INTO public.ecdc_import VALUES (24698, '08/05/2020', '8', '5', '2020', '71', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.33904538');
INSERT INTO public.ecdc_import VALUES (24699, '07/05/2020', '7', '5', '2020', '45', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.57394807');
INSERT INTO public.ecdc_import VALUES (24700, '06/05/2020', '6', '5', '2020', '101', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.79319058');
INSERT INTO public.ecdc_import VALUES (24701, '05/05/2020', '5', '5', '2020', '124', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.51913744');
INSERT INTO public.ecdc_import VALUES (24702, '04/05/2020', '4', '5', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.88490019');
INSERT INTO public.ecdc_import VALUES (24703, '03/05/2020', '3', '5', '2020', '49', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.68356932');
INSERT INTO public.ecdc_import VALUES (24704, '02/05/2020', '2', '5', '2020', '42', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.29989494');
INSERT INTO public.ecdc_import VALUES (24705, '01/05/2020', '1', '5', '2020', '144', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '8.27640467');
INSERT INTO public.ecdc_import VALUES (24706, '30/04/2020', '30', '4', '2020', '111', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '7.41509482');
INSERT INTO public.ecdc_import VALUES (24707, '29/04/2020', '29', '4', '2020', '77', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.86698855');
INSERT INTO public.ecdc_import VALUES (24708, '28/04/2020', '28', '4', '2020', '69', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.60859559');
INSERT INTO public.ecdc_import VALUES (24709, '27/04/2020', '27', '4', '2020', '98', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '6.60859559');
INSERT INTO public.ecdc_import VALUES (24710, '26/04/2020', '26', '4', '2020', '42', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.84124681');
INSERT INTO public.ecdc_import VALUES (24711, '25/04/2020', '25', '4', '2020', '92', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.80992646');
INSERT INTO public.ecdc_import VALUES (24712, '24/04/2020', '24', '4', '2020', '101', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '5.23049983');
INSERT INTO public.ecdc_import VALUES (24713, '23/04/2020', '23', '4', '2020', '73', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.67456347');
INSERT INTO public.ecdc_import VALUES (24714, '22/04/2020', '22', '4', '2020', '66', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '4.25956872');
INSERT INTO public.ecdc_import VALUES (24715, '21/04/2020', '21', '4', '2020', '43', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.86806424');
INSERT INTO public.ecdc_import VALUES (24716, '20/04/2020', '20', '4', '2020', '102', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.58618102');
INSERT INTO public.ecdc_import VALUES (24717, '19/04/2020', '19', '4', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.86581278');
INSERT INTO public.ecdc_import VALUES (24718, '18/04/2020', '18', '4', '2020', '39', '2', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.32778806');
INSERT INTO public.ecdc_import VALUES (24719, '17/04/2020', '17', '4', '2020', '34', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '3.02241457');
INSERT INTO public.ecdc_import VALUES (24720, '16/04/2020', '16', '4', '2020', '41', '1', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.9284535');
INSERT INTO public.ecdc_import VALUES (24721, '15/04/2020', '15', '4', '2020', '44', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.71704108');
INSERT INTO public.ecdc_import VALUES (24722, '14/04/2020', '14', '4', '2020', '69', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '2.37251714');
INSERT INTO public.ecdc_import VALUES (24723, '13/04/2020', '13', '4', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '1.89488167');
INSERT INTO public.ecdc_import VALUES (24724, '12/04/2020', '12', '4', '2020', '38', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '1.89488167');
INSERT INTO public.ecdc_import VALUES (24725, '11/04/2020', '11', '4', '2020', '18', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '1.62082854');
INSERT INTO public.ecdc_import VALUES (24726, '10/04/2020', '10', '4', '2020', '30', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '1.47988693');
INSERT INTO public.ecdc_import VALUES (24727, '09/04/2020', '9', '4', '2020', '20', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '1.25281433');
INSERT INTO public.ecdc_import VALUES (24728, '08/04/2020', '8', '4', '2020', '16', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '1.09621254');
INSERT INTO public.ecdc_import VALUES (24729, '07/04/2020', '7', '4', '2020', '7', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.98659128');
INSERT INTO public.ecdc_import VALUES (24730, '06/04/2020', '6', '4', '2020', '10', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.93178066');
INSERT INTO public.ecdc_import VALUES (24731, '05/04/2020', '5', '4', '2020', '59', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.85347976');
INSERT INTO public.ecdc_import VALUES (24732, '04/04/2020', '4', '4', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.39150448');
INSERT INTO public.ecdc_import VALUES (24733, '03/04/2020', '3', '4', '2020', '22', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.39933457');
INSERT INTO public.ecdc_import VALUES (24734, '02/04/2020', '2', '4', '2020', '14', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.2270726');
INSERT INTO public.ecdc_import VALUES (24735, '01/04/2020', '1', '4', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.11745134');
INSERT INTO public.ecdc_import VALUES (24736, '31/03/2020', '31', '3', '2020', '8', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.11745134');
INSERT INTO public.ecdc_import VALUES (24737, '30/03/2020', '30', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.05481063');
INSERT INTO public.ecdc_import VALUES (24738, '29/03/2020', '29', '3', '2020', '3', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.05481063');
INSERT INTO public.ecdc_import VALUES (24739, '28/03/2020', '28', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '0.03915045');
INSERT INTO public.ecdc_import VALUES (24740, '27/03/2020', '27', '3', '2020', '1', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24741, '26/03/2020', '26', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24742, '25/03/2020', '25', '3', '2020', '2', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24743, '24/03/2020', '24', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24744, '23/03/2020', '23', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24745, '22/03/2020', '22', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24746, '21/03/2020', '21', '3', '2020', '1', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24747, '20/03/2020', '20', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24748, '19/03/2020', '19', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24749, '18/03/2020', '18', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24750, '17/03/2020', '17', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24751, '15/03/2020', '15', '3', '2020', '0', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24752, '14/03/2020', '14', '3', '2020', '1', '0', '12771246', 'Guinea', 'GN', 'GIN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (24753, '14/12/2020', '14', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.14528634');
INSERT INTO public.ecdc_import VALUES (24754, '13/12/2020', '13', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.14528634');
INSERT INTO public.ecdc_import VALUES (24755, '12/12/2020', '12', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.14528634');
INSERT INTO public.ecdc_import VALUES (24756, '11/12/2020', '11', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.14528634');
INSERT INTO public.ecdc_import VALUES (24757, '10/12/2020', '10', '12', '2020', '2', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.14528634');
INSERT INTO public.ecdc_import VALUES (24758, '09/12/2020', '9', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.0411694');
INSERT INTO public.ecdc_import VALUES (24759, '08/12/2020', '8', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24760, '07/12/2020', '7', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24761, '06/12/2020', '6', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24762, '05/12/2020', '5', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24763, '04/12/2020', '4', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24764, '03/12/2020', '3', '12', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24765, '02/12/2020', '2', '12', '2020', '1', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.09322787');
INSERT INTO public.ecdc_import VALUES (24766, '01/12/2020', '1', '12', '2020', '19', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.14528634');
INSERT INTO public.ecdc_import VALUES (24767, '30/11/2020', '30', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.15617541');
INSERT INTO public.ecdc_import VALUES (24768, '29/11/2020', '29', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.15617541');
INSERT INTO public.ecdc_import VALUES (24769, '28/11/2020', '28', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.15617541');
INSERT INTO public.ecdc_import VALUES (24770, '27/11/2020', '27', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24771, '26/11/2020', '26', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24772, '25/11/2020', '25', '11', '2020', '1', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.46852623');
INSERT INTO public.ecdc_import VALUES (24773, '24/11/2020', '24', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24774, '23/11/2020', '23', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24775, '22/11/2020', '22', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24776, '21/11/2020', '21', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24777, '20/11/2020', '20', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24778, '19/11/2020', '19', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24779, '18/11/2020', '18', '11', '2020', '2', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.41646776');
INSERT INTO public.ecdc_import VALUES (24780, '17/11/2020', '17', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.31235082');
INSERT INTO public.ecdc_import VALUES (24781, '16/11/2020', '16', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.31235082');
INSERT INTO public.ecdc_import VALUES (24782, '15/11/2020', '15', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.31235082');
INSERT INTO public.ecdc_import VALUES (24783, '14/11/2020', '14', '11', '2020', '5', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.83293552');
INSERT INTO public.ecdc_import VALUES (24784, '13/11/2020', '13', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.57264317');
INSERT INTO public.ecdc_import VALUES (24785, '12/11/2020', '12', '11', '2020', '1', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.57264317');
INSERT INTO public.ecdc_import VALUES (24786, '11/11/2020', '11', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24787, '10/11/2020', '10', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24788, '09/11/2020', '9', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24789, '08/11/2020', '8', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24790, '07/11/2020', '7', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24791, '06/11/2020', '6', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24792, '05/11/2020', '5', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24793, '04/11/2020', '4', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.5205847');
INSERT INTO public.ecdc_import VALUES (24794, '03/11/2020', '3', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.24940328');
INSERT INTO public.ecdc_import VALUES (24795, '02/11/2020', '2', '11', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.24940328');
INSERT INTO public.ecdc_import VALUES (24796, '01/11/2020', '1', '11', '2020', '10', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.24940328');
INSERT INTO public.ecdc_import VALUES (24797, '31/10/2020', '31', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.72881858');
INSERT INTO public.ecdc_import VALUES (24798, '30/10/2020', '30', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.93705246');
INSERT INTO public.ecdc_import VALUES (24799, '29/10/2020', '29', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.93705246');
INSERT INTO public.ecdc_import VALUES (24800, '28/10/2020', '28', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.93705246');
INSERT INTO public.ecdc_import VALUES (24801, '27/10/2020', '27', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.93705246');
INSERT INTO public.ecdc_import VALUES (24802, '26/10/2020', '26', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.93705246');
INSERT INTO public.ecdc_import VALUES (24803, '25/10/2020', '25', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.13439727');
INSERT INTO public.ecdc_import VALUES (24804, '24/10/2020', '24', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.13439727');
INSERT INTO public.ecdc_import VALUES (24805, '23/10/2020', '23', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.13439727');
INSERT INTO public.ecdc_import VALUES (24806, '22/10/2020', '22', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.13439727');
INSERT INTO public.ecdc_import VALUES (24807, '21/10/2020', '21', '10', '2020', '14', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.13439727');
INSERT INTO public.ecdc_import VALUES (24808, '20/10/2020', '20', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.40557869');
INSERT INTO public.ecdc_import VALUES (24809, '19/10/2020', '19', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.40557869');
INSERT INTO public.ecdc_import VALUES (24810, '18/10/2020', '18', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.40557869');
INSERT INTO public.ecdc_import VALUES (24811, '17/10/2020', '17', '10', '2020', '4', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.40557869');
INSERT INTO public.ecdc_import VALUES (24812, '16/10/2020', '16', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.17556667');
INSERT INTO public.ecdc_import VALUES (24813, '15/10/2020', '15', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.17556667');
INSERT INTO public.ecdc_import VALUES (24814, '14/10/2020', '14', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.17556667');
INSERT INTO public.ecdc_import VALUES (24815, '13/10/2020', '13', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.17556667');
INSERT INTO public.ecdc_import VALUES (24816, '12/10/2020', '12', '10', '2020', '23', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.17556667');
INSERT INTO public.ecdc_import VALUES (24817, '11/10/2020', '11', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.97822186');
INSERT INTO public.ecdc_import VALUES (24818, '10/10/2020', '10', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.97822186');
INSERT INTO public.ecdc_import VALUES (24819, '09/10/2020', '9', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24820, '08/10/2020', '8', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24821, '07/10/2020', '7', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24822, '06/10/2020', '6', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24823, '05/10/2020', '5', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24824, '04/10/2020', '4', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24825, '03/10/2020', '3', '10', '2020', '38', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.07144973');
INSERT INTO public.ecdc_import VALUES (24826, '02/10/2020', '2', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24827, '01/10/2020', '1', '10', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24828, '30/09/2020', '30', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24829, '29/09/2020', '29', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24830, '28/09/2020', '28', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24831, '27/09/2020', '27', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24832, '26/09/2020', '26', '9', '2020', '21', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.55086503');
INSERT INTO public.ecdc_import VALUES (24833, '25/09/2020', '25', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24834, '24/09/2020', '24', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24835, '23/09/2020', '23', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24836, '22/09/2020', '22', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24837, '21/09/2020', '21', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24838, '20/09/2020', '20', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24839, '19/09/2020', '19', '9', '2020', '28', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.01939126');
INSERT INTO public.ecdc_import VALUES (24840, '18/09/2020', '18', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.6440929');
INSERT INTO public.ecdc_import VALUES (24841, '17/09/2020', '17', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.6440929');
INSERT INTO public.ecdc_import VALUES (24842, '16/09/2020', '16', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.6440929');
INSERT INTO public.ecdc_import VALUES (24843, '15/09/2020', '15', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.6440929');
INSERT INTO public.ecdc_import VALUES (24844, '14/09/2020', '14', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.6440929');
INSERT INTO public.ecdc_import VALUES (24845, '13/09/2020', '13', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '3.6440929');
INSERT INTO public.ecdc_import VALUES (24846, '12/09/2020', '12', '9', '2020', '30', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '6.55936722');
INSERT INTO public.ecdc_import VALUES (24847, '11/09/2020', '11', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24848, '10/09/2020', '10', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24849, '09/09/2020', '9', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24850, '08/09/2020', '8', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24851, '07/09/2020', '7', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24852, '06/09/2020', '6', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24853, '05/09/2020', '5', '9', '2020', '40', '4', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.99761312');
INSERT INTO public.ecdc_import VALUES (24854, '04/09/2020', '4', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.58114536');
INSERT INTO public.ecdc_import VALUES (24855, '03/09/2020', '3', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.58114536');
INSERT INTO public.ecdc_import VALUES (24856, '02/09/2020', '2', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.58114536');
INSERT INTO public.ecdc_import VALUES (24857, '01/09/2020', '1', '9', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.58114536');
INSERT INTO public.ecdc_import VALUES (24858, '31/08/2020', '31', '8', '2020', '0', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.58114536');
INSERT INTO public.ecdc_import VALUES (24859, '30/08/2020', '30', '8', '2020', '56', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.58114536');
INSERT INTO public.ecdc_import VALUES (24860, '29/08/2020', '29', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.66587104');
INSERT INTO public.ecdc_import VALUES (24861, '28/08/2020', '28', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.66587104');
INSERT INTO public.ecdc_import VALUES (24862, '27/08/2020', '27', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.04967159');
INSERT INTO public.ecdc_import VALUES (24863, '26/08/2020', '26', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.04967159');
INSERT INTO public.ecdc_import VALUES (24864, '25/08/2020', '25', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.04967159');
INSERT INTO public.ecdc_import VALUES (24865, '24/08/2020', '24', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.04967159');
INSERT INTO public.ecdc_import VALUES (24866, '23/08/2020', '23', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.04967159');
INSERT INTO public.ecdc_import VALUES (24867, '22/08/2020', '22', '8', '2020', '32', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '6.09084099');
INSERT INTO public.ecdc_import VALUES (24868, '21/08/2020', '21', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.42496995');
INSERT INTO public.ecdc_import VALUES (24869, '20/08/2020', '20', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.42496995');
INSERT INTO public.ecdc_import VALUES (24870, '19/08/2020', '19', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.42496995');
INSERT INTO public.ecdc_import VALUES (24871, '18/08/2020', '18', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.07995192');
INSERT INTO public.ecdc_import VALUES (24872, '17/08/2020', '17', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.07995192');
INSERT INTO public.ecdc_import VALUES (24873, '16/08/2020', '16', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.07995192');
INSERT INTO public.ecdc_import VALUES (24874, '15/08/2020', '15', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.07995192');
INSERT INTO public.ecdc_import VALUES (24875, '14/08/2020', '14', '8', '2020', '65', '4', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.07995192');
INSERT INTO public.ecdc_import VALUES (24876, '13/08/2020', '13', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.10173006');
INSERT INTO public.ecdc_import VALUES (24877, '12/08/2020', '12', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.10173006');
INSERT INTO public.ecdc_import VALUES (24878, '11/08/2020', '11', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.10173006');
INSERT INTO public.ecdc_import VALUES (24879, '10/08/2020', '10', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.10173006');
INSERT INTO public.ecdc_import VALUES (24880, '09/08/2020', '9', '8', '2020', '20', '2', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.10173006');
INSERT INTO public.ecdc_import VALUES (24881, '08/08/2020', '8', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.06056066');
INSERT INTO public.ecdc_import VALUES (24882, '07/08/2020', '7', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.06056066');
INSERT INTO public.ecdc_import VALUES (24883, '06/08/2020', '6', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.06056066');
INSERT INTO public.ecdc_import VALUES (24884, '05/08/2020', '5', '8', '2020', '51', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '4.06056066');
INSERT INTO public.ecdc_import VALUES (24885, '04/08/2020', '4', '8', '2020', '0', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.61381257');
INSERT INTO public.ecdc_import VALUES (24886, '03/08/2020', '3', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.81115738');
INSERT INTO public.ecdc_import VALUES (24887, '02/08/2020', '2', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.81115738');
INSERT INTO public.ecdc_import VALUES (24888, '01/08/2020', '1', '8', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.81115738');
INSERT INTO public.ecdc_import VALUES (24889, '31/07/2020', '31', '7', '2020', '27', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.81115738');
INSERT INTO public.ecdc_import VALUES (24890, '30/07/2020', '30', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.70704044');
INSERT INTO public.ecdc_import VALUES (24891, '29/07/2020', '29', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '2.70704044');
INSERT INTO public.ecdc_import VALUES (24892, '28/07/2020', '28', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.83054864');
INSERT INTO public.ecdc_import VALUES (24893, '27/07/2020', '27', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.83054864');
INSERT INTO public.ecdc_import VALUES (24894, '26/07/2020', '26', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '5.83054864');
INSERT INTO public.ecdc_import VALUES (24895, '25/07/2020', '25', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.53758908');
INSERT INTO public.ecdc_import VALUES (24896, '24/07/2020', '24', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.53758908');
INSERT INTO public.ecdc_import VALUES (24897, '23/07/2020', '23', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.53758908');
INSERT INTO public.ecdc_import VALUES (24898, '22/07/2020', '22', '7', '2020', '4', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.53758908');
INSERT INTO public.ecdc_import VALUES (24899, '21/07/2020', '21', '7', '2020', '23', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '9.63081695');
INSERT INTO public.ecdc_import VALUES (24900, '20/07/2020', '20', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.43347214');
INSERT INTO public.ecdc_import VALUES (24901, '19/07/2020', '19', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.43347214');
INSERT INTO public.ecdc_import VALUES (24902, '18/07/2020', '18', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.29668799');
INSERT INTO public.ecdc_import VALUES (24903, '17/07/2020', '17', '7', '2020', '25', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '14.21196231');
INSERT INTO public.ecdc_import VALUES (24904, '16/07/2020', '16', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.91050056');
INSERT INTO public.ecdc_import VALUES (24905, '15/07/2020', '15', '7', '2020', '60', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.91050056');
INSERT INTO public.ecdc_import VALUES (24906, '14/07/2020', '14', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.86933116');
INSERT INTO public.ecdc_import VALUES (24907, '13/07/2020', '13', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.86933116');
INSERT INTO public.ecdc_import VALUES (24908, '12/07/2020', '12', '7', '2020', '52', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.86933116');
INSERT INTO public.ecdc_import VALUES (24909, '11/07/2020', '11', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.18168198');
INSERT INTO public.ecdc_import VALUES (24910, '10/07/2020', '10', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.18168198');
INSERT INTO public.ecdc_import VALUES (24911, '09/07/2020', '9', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.18168198');
INSERT INTO public.ecdc_import VALUES (24912, '08/07/2020', '8', '7', '2020', '25', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.18168198');
INSERT INTO public.ecdc_import VALUES (24913, '07/07/2020', '7', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.88022023');
INSERT INTO public.ecdc_import VALUES (24914, '06/07/2020', '6', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.66109728');
INSERT INTO public.ecdc_import VALUES (24915, '05/07/2020', '5', '7', '2020', '55', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.66109728');
INSERT INTO public.ecdc_import VALUES (24916, '04/07/2020', '4', '7', '2020', '56', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.30757706');
INSERT INTO public.ecdc_import VALUES (24917, '03/07/2020', '3', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.39230274');
INSERT INTO public.ecdc_import VALUES (24918, '02/07/2020', '2', '7', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.43347214');
INSERT INTO public.ecdc_import VALUES (24919, '01/07/2020', '1', '7', '2020', '40', '3', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.43347214');
INSERT INTO public.ecdc_import VALUES (24920, '30/06/2020', '30', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.01700438');
INSERT INTO public.ecdc_import VALUES (24921, '29/06/2020', '29', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.01700438');
INSERT INTO public.ecdc_import VALUES (24922, '28/06/2020', '28', '6', '2020', '58', '2', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.01700438');
INSERT INTO public.ecdc_import VALUES (24923, '27/06/2020', '27', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.69376449');
INSERT INTO public.ecdc_import VALUES (24924, '26/06/2020', '26', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.69376449');
INSERT INTO public.ecdc_import VALUES (24925, '25/06/2020', '25', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.69376449');
INSERT INTO public.ecdc_import VALUES (24926, '24/06/2020', '24', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.69376449');
INSERT INTO public.ecdc_import VALUES (24927, '23/06/2020', '23', '6', '2020', '15', '2', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.69376449');
INSERT INTO public.ecdc_import VALUES (24928, '22/06/2020', '22', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '9.00611531');
INSERT INTO public.ecdc_import VALUES (24929, '21/06/2020', '21', '6', '2020', '29', '2', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '9.00611531');
INSERT INTO public.ecdc_import VALUES (24930, '20/06/2020', '20', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.49641968');
INSERT INTO public.ecdc_import VALUES (24931, '19/06/2020', '19', '6', '2020', '20', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.64170602');
INSERT INTO public.ecdc_import VALUES (24932, '18/06/2020', '18', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.96494591');
INSERT INTO public.ecdc_import VALUES (24933, '17/06/2020', '17', '6', '2020', '32', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.96494591');
INSERT INTO public.ecdc_import VALUES (24934, '16/06/2020', '16', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '6.29907487');
INSERT INTO public.ecdc_import VALUES (24935, '15/06/2020', '15', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '7.18406886');
INSERT INTO public.ecdc_import VALUES (24936, '14/06/2020', '14', '6', '2020', '71', '3', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.61992788');
INSERT INTO public.ecdc_import VALUES (24937, '13/06/2020', '13', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '6.92377651');
INSERT INTO public.ecdc_import VALUES (24938, '12/06/2020', '12', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.98433717');
INSERT INTO public.ecdc_import VALUES (24939, '11/06/2020', '11', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.98433717');
INSERT INTO public.ecdc_import VALUES (24940, '10/06/2020', '10', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.24462952');
INSERT INTO public.ecdc_import VALUES (24941, '09/06/2020', '9', '6', '2020', '21', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '11.24462952');
INSERT INTO public.ecdc_import VALUES (24942, '08/06/2020', '8', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.15140165');
INSERT INTO public.ecdc_import VALUES (24943, '07/06/2020', '7', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '13.22285138');
INSERT INTO public.ecdc_import VALUES (24944, '06/06/2020', '6', '6', '2020', '22', '3', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '14.52431313');
INSERT INTO public.ecdc_import VALUES (24945, '05/06/2020', '5', '6', '2020', '7', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '13.37902679');
INSERT INTO public.ecdc_import VALUES (24946, '04/06/2020', '4', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '15.66959947');
INSERT INTO public.ecdc_import VALUES (24947, '03/06/2020', '3', '6', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '15.66959947');
INSERT INTO public.ecdc_import VALUES (24948, '02/06/2020', '2', '6', '2020', '17', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '18.16840603');
INSERT INTO public.ecdc_import VALUES (24949, '01/06/2020', '1', '6', '2020', '66', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '17.28341204');
INSERT INTO public.ecdc_import VALUES (24950, '31/05/2020', '31', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '17.85605521');
INSERT INTO public.ecdc_import VALUES (24951, '30/05/2020', '30', '5', '2020', '78', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '17.85605521');
INSERT INTO public.ecdc_import VALUES (24952, '29/05/2020', '29', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '13.79549455');
INSERT INTO public.ecdc_import VALUES (24953, '28/05/2020', '28', '5', '2020', '5', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '18.63693226');
INSERT INTO public.ecdc_import VALUES (24954, '27/05/2020', '27', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '18.37663991');
INSERT INTO public.ecdc_import VALUES (24955, '26/05/2020', '26', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '21.44808964');
INSERT INTO public.ecdc_import VALUES (24956, '25/05/2020', '25', '5', '2020', '59', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '23.27013609');
INSERT INTO public.ecdc_import VALUES (24957, '24/05/2020', '24', '5', '2020', '25', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '24.62365631');
INSERT INTO public.ecdc_import VALUES (24958, '23/05/2020', '23', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '25.76894265');
INSERT INTO public.ecdc_import VALUES (24959, '22/05/2020', '22', '5', '2020', '51', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '27.33069675');
INSERT INTO public.ecdc_import VALUES (24960, '21/05/2020', '21', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '29.30891861');
INSERT INTO public.ecdc_import VALUES (24961, '20/05/2020', '20', '5', '2020', '48', '2', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '29.30891861');
INSERT INTO public.ecdc_import VALUES (24962, '19/05/2020', '19', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '30.03773718');
INSERT INTO public.ecdc_import VALUES (24963, '18/05/2020', '18', '5', '2020', '77', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '36.33681205');
INSERT INTO public.ecdc_import VALUES (24964, '17/05/2020', '17', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '34.15035631');
INSERT INTO public.ecdc_import VALUES (24965, '16/05/2020', '16', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '34.15035631');
INSERT INTO public.ecdc_import VALUES (24966, '15/05/2020', '15', '5', '2020', '93', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '36.85739675');
INSERT INTO public.ecdc_import VALUES (24967, '14/05/2020', '14', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '38.6794432');
INSERT INTO public.ecdc_import VALUES (24968, '13/05/2020', '13', '5', '2020', '59', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '38.88767708');
INSERT INTO public.ecdc_import VALUES (24969, '12/05/2020', '12', '5', '2020', '35', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '35.81622735');
INSERT INTO public.ecdc_import VALUES (24970, '11/05/2020', '11', '5', '2020', '85', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '35.0353503');
INSERT INTO public.ecdc_import VALUES (24971, '10/05/2020', '10', '5', '2020', '47', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '30.66243882');
INSERT INTO public.ecdc_import VALUES (24972, '09/05/2020', '9', '5', '2020', '30', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '28.21569074');
INSERT INTO public.ecdc_import VALUES (24973, '08/05/2020', '8', '5', '2020', '89', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '26.65393664');
INSERT INTO public.ecdc_import VALUES (24974, '07/05/2020', '7', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '22.12484975');
INSERT INTO public.ecdc_import VALUES (24975, '06/05/2020', '6', '5', '2020', '62', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '22.12484975');
INSERT INTO public.ecdc_import VALUES (24976, '05/05/2020', '5', '5', '2020', '121', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '18.89722461');
INSERT INTO public.ecdc_import VALUES (24977, '04/05/2020', '4', '5', '2020', '35', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '12.59814974');
INSERT INTO public.ecdc_import VALUES (24978, '03/05/2020', '3', '5', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.77610329');
INSERT INTO public.ecdc_import VALUES (24979, '02/05/2020', '2', '5', '2020', '52', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '10.77610329');
INSERT INTO public.ecdc_import VALUES (24980, '01/05/2020', '1', '5', '2020', '128', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '8.27729673');
INSERT INTO public.ecdc_import VALUES (24981, '30/04/2020', '30', '4', '2020', '4', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.76998798');
INSERT INTO public.ecdc_import VALUES (24982, '29/04/2020', '29', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.71792951');
INSERT INTO public.ecdc_import VALUES (24983, '28/04/2020', '28', '4', '2020', '20', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.76998798');
INSERT INTO public.ecdc_import VALUES (24984, '27/04/2020', '27', '4', '2020', '1', '1', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.72881858');
INSERT INTO public.ecdc_import VALUES (24985, '26/04/2020', '26', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.72881858');
INSERT INTO public.ecdc_import VALUES (24986, '25/04/2020', '25', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.88499399');
INSERT INTO public.ecdc_import VALUES (24987, '24/04/2020', '24', '4', '2020', '2', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.88499399');
INSERT INTO public.ecdc_import VALUES (24988, '23/04/2020', '23', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.88499399');
INSERT INTO public.ecdc_import VALUES (24989, '22/04/2020', '22', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.88499399');
INSERT INTO public.ecdc_import VALUES (24990, '21/04/2020', '21', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '0.88499399');
INSERT INTO public.ecdc_import VALUES (24991, '20/04/2020', '20', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.66587104');
INSERT INTO public.ecdc_import VALUES (24992, '19/04/2020', '19', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.66587104');
INSERT INTO public.ecdc_import VALUES (24993, '18/04/2020', '18', '4', '2020', '4', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.82204645');
INSERT INTO public.ecdc_import VALUES (24994, '17/04/2020', '17', '4', '2020', '3', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.92616339');
INSERT INTO public.ecdc_import VALUES (24995, '16/04/2020', '16', '4', '2020', '3', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.76998798');
INSERT INTO public.ecdc_import VALUES (24996, '15/04/2020', '15', '4', '2020', '1', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.66587104');
INSERT INTO public.ecdc_import VALUES (24997, '14/04/2020', '14', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.92616339');
INSERT INTO public.ecdc_import VALUES (24998, '13/04/2020', '13', '4', '2020', '1', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.92616339');
INSERT INTO public.ecdc_import VALUES (24999, '12/04/2020', '12', '4', '2020', '3', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.87410492');
INSERT INTO public.ecdc_import VALUES (25000, '11/04/2020', '11', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.71792951');
INSERT INTO public.ecdc_import VALUES (25001, '10/04/2020', '10', '4', '2020', '2', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.71792951');
INSERT INTO public.ecdc_import VALUES (25002, '09/04/2020', '9', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '1.71792951');
INSERT INTO public.ecdc_import VALUES (25003, '08/04/2020', '8', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25004, '07/04/2020', '7', '4', '2020', '15', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25005, '06/04/2020', '6', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25006, '05/04/2020', '5', '4', '2020', '3', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25007, '04/04/2020', '4', '4', '2020', '6', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25008, '03/04/2020', '3', '4', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25009, '02/04/2020', '2', '4', '2020', '1', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25010, '01/04/2020', '1', '4', '2020', '6', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25011, '31/03/2020', '31', '3', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25012, '30/03/2020', '30', '3', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25013, '29/03/2020', '29', '3', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25014, '28/03/2020', '28', '3', '2020', '0', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25015, '27/03/2020', '27', '3', '2020', '2', '0', '1920917', 'Guinea_Bissau', 'GW', 'GNB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (25016, '14/12/2020', '14', '12', '2020', '41', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '69.49634314');
INSERT INTO public.ecdc_import VALUES (25017, '13/12/2020', '13', '12', '2020', '40', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '69.11309125');
INSERT INTO public.ecdc_import VALUES (25018, '12/12/2020', '12', '12', '2020', '28', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '67.58008368');
INSERT INTO public.ecdc_import VALUES (25019, '11/12/2020', '11', '12', '2020', '79', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '68.34658746');
INSERT INTO public.ecdc_import VALUES (25020, '10/12/2020', '10', '12', '2020', '32', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '69.36859251');
INSERT INTO public.ecdc_import VALUES (25021, '09/12/2020', '9', '12', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '65.28057232');
INSERT INTO public.ecdc_import VALUES (25022, '08/12/2020', '8', '12', '2020', '32', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '72.05135575');
INSERT INTO public.ecdc_import VALUES (25023, '07/12/2020', '7', '12', '2020', '28', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '67.96333557');
INSERT INTO public.ecdc_import VALUES (25024, '06/12/2020', '6', '12', '2020', '36', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '69.49634314');
INSERT INTO public.ecdc_import VALUES (25025, '05/12/2020', '5', '12', '2020', '73', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '76.13937594');
INSERT INTO public.ecdc_import VALUES (25026, '04/12/2020', '4', '12', '2020', '79', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.51834818');
INSERT INTO public.ecdc_import VALUES (25027, '03/12/2020', '3', '12', '2020', '26', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '68.34658746');
INSERT INTO public.ecdc_import VALUES (25028, '02/12/2020', '2', '12', '2020', '17', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '68.0910862');
INSERT INTO public.ecdc_import VALUES (25029, '01/12/2020', '1', '12', '2020', '30', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.47861774');
INSERT INTO public.ecdc_import VALUES (25030, '30/11/2020', '30', '11', '2020', '38', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.64609882');
INSERT INTO public.ecdc_import VALUES (25031, '29/11/2020', '29', '11', '2020', '28', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '69.49634314');
INSERT INTO public.ecdc_import VALUES (25032, '28/11/2020', '28', '11', '2020', '34', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.86186963');
INSERT INTO public.ecdc_import VALUES (25033, '27/11/2020', '27', '11', '2020', '87', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '78.43888729');
INSERT INTO public.ecdc_import VALUES (25034, '26/11/2020', '26', '11', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '72.94561017');
INSERT INTO public.ecdc_import VALUES (25035, '25/11/2020', '25', '11', '2020', '56', '4', '782775', 'Guyana', 'GY', 'GUY', 'America', '84.18766568');
INSERT INTO public.ecdc_import VALUES (25036, '24/11/2020', '24', '11', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.80013414');
INSERT INTO public.ecdc_import VALUES (25037, '23/11/2020', '23', '11', '2020', '40', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '79.07764045');
INSERT INTO public.ecdc_import VALUES (25038, '22/11/2020', '22', '11', '2020', '88', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.80013414');
INSERT INTO public.ecdc_import VALUES (25039, '21/11/2020', '21', '11', '2020', '29', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.00734566');
INSERT INTO public.ecdc_import VALUES (25040, '20/11/2020', '20', '11', '2020', '62', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.47861774');
INSERT INTO public.ecdc_import VALUES (25041, '19/11/2020', '19', '11', '2020', '24', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '75.37287215');
INSERT INTO public.ecdc_import VALUES (25042, '18/11/2020', '18', '11', '2020', '67', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '82.39915685');
INSERT INTO public.ecdc_import VALUES (25043, '17/11/2020', '17', '11', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.734119');
INSERT INTO public.ecdc_import VALUES (25044, '16/11/2020', '16', '11', '2020', '29', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '78.56663792');
INSERT INTO public.ecdc_import VALUES (25045, '15/11/2020', '15', '11', '2020', '70', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '80.73839865');
INSERT INTO public.ecdc_import VALUES (25046, '14/11/2020', '14', '11', '2020', '62', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.22311648');
INSERT INTO public.ecdc_import VALUES (25047, '13/11/2020', '13', '11', '2020', '44', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '72.05135575');
INSERT INTO public.ecdc_import VALUES (25048, '12/11/2020', '12', '11', '2020', '88', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '69.49634314');
INSERT INTO public.ecdc_import VALUES (25049, '11/11/2020', '11', '11', '2020', '6', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '59.91504583');
INSERT INTO public.ecdc_import VALUES (25050, '10/11/2020', '10', '11', '2020', '10', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '63.61981412');
INSERT INTO public.ecdc_import VALUES (25051, '09/11/2020', '9', '11', '2020', '30', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '62.72555971');
INSERT INTO public.ecdc_import VALUES (25052, '08/11/2020', '8', '11', '2020', '27', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '62.59780908');
INSERT INTO public.ecdc_import VALUES (25053, '07/11/2020', '7', '11', '2020', '64', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '63.49206349');
INSERT INTO public.ecdc_import VALUES (25054, '06/11/2020', '6', '11', '2020', '69', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '65.91932548');
INSERT INTO public.ecdc_import VALUES (25055, '05/11/2020', '5', '11', '2020', '79', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '60.55379898');
INSERT INTO public.ecdc_import VALUES (25056, '04/11/2020', '4', '11', '2020', '7', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '57.36003322');
INSERT INTO public.ecdc_import VALUES (25057, '03/11/2020', '3', '11', '2020', '30', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '60.42604835');
INSERT INTO public.ecdc_import VALUES (25058, '02/11/2020', '2', '11', '2020', '46', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '60.55379898');
INSERT INTO public.ecdc_import VALUES (25059, '01/11/2020', '1', '11', '2020', '19', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '57.74328511');
INSERT INTO public.ecdc_import VALUES (25060, '31/10/2020', '31', '10', '2020', '45', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '60.17054709');
INSERT INTO public.ecdc_import VALUES (25061, '30/10/2020', '30', '10', '2020', '24', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '61.06480151');
INSERT INTO public.ecdc_import VALUES (25062, '29/10/2020', '29', '10', '2020', '13', '4', '782775', 'Guyana', 'GY', 'GUY', 'America', '61.95905592');
INSERT INTO public.ecdc_import VALUES (25063, '28/10/2020', '28', '10', '2020', '35', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '63.36431286');
INSERT INTO public.ecdc_import VALUES (25064, '27/10/2020', '27', '10', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '64.51406854');
INSERT INTO public.ecdc_import VALUES (25065, '26/10/2020', '26', '10', '2020', '29', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.77384945');
INSERT INTO public.ecdc_import VALUES (25066, '25/10/2020', '25', '10', '2020', '34', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '75.24512152');
INSERT INTO public.ecdc_import VALUES (25067, '24/10/2020', '24', '10', '2020', '83', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '76.90587972');
INSERT INTO public.ecdc_import VALUES (25068, '23/10/2020', '23', '10', '2020', '27', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.00734566');
INSERT INTO public.ecdc_import VALUES (25069, '22/10/2020', '22', '10', '2020', '54', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '71.28485197');
INSERT INTO public.ecdc_import VALUES (25070, '21/10/2020', '21', '10', '2020', '31', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.67238351');
INSERT INTO public.ecdc_import VALUES (25071, '20/10/2020', '20', '10', '2020', '31', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '73.71211395');
INSERT INTO public.ecdc_import VALUES (25072, '19/10/2020', '19', '10', '2020', '24', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '81.88815432');
INSERT INTO public.ecdc_import VALUES (25073, '18/10/2020', '18', '10', '2020', '38', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '90.06419469');
INSERT INTO public.ecdc_import VALUES (25074, '17/10/2020', '17', '10', '2020', '52', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '89.93644406');
INSERT INTO public.ecdc_import VALUES (25075, '16/10/2020', '16', '10', '2020', '31', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '88.27568586');
INSERT INTO public.ecdc_import VALUES (25076, '15/10/2020', '15', '10', '2020', '24', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '88.78668838');
INSERT INTO public.ecdc_import VALUES (25077, '14/10/2020', '14', '10', '2020', '44', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '91.85270352');
INSERT INTO public.ecdc_import VALUES (25078, '13/10/2020', '13', '10', '2020', '52', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '93.76896298');
INSERT INTO public.ecdc_import VALUES (25079, '12/10/2020', '12', '10', '2020', '64', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '89.04218965');
INSERT INTO public.ecdc_import VALUES (25080, '11/10/2020', '11', '10', '2020', '47', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '86.87042892');
INSERT INTO public.ecdc_import VALUES (25081, '10/10/2020', '10', '10', '2020', '29', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '82.91015937');
INSERT INTO public.ecdc_import VALUES (25082, '09/10/2020', '9', '10', '2020', '37', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '95.81297308');
INSERT INTO public.ecdc_import VALUES (25083, '08/10/2020', '8', '10', '2020', '104', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '96.70722749');
INSERT INTO public.ecdc_import VALUES (25084, '07/10/2020', '7', '10', '2020', '0', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '95.94072371');
INSERT INTO public.ecdc_import VALUES (25085, '06/10/2020', '6', '10', '2020', '95', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '100.41199578');
INSERT INTO public.ecdc_import VALUES (25086, '05/10/2020', '5', '10', '2020', '88', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '105.26651975');
INSERT INTO public.ecdc_import VALUES (25087, '04/10/2020', '4', '10', '2020', '37', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '106.92727795');
INSERT INTO public.ecdc_import VALUES (25088, '03/10/2020', '3', '10', '2020', '39', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '110.63204625');
INSERT INTO public.ecdc_import VALUES (25089, '02/10/2020', '2', '10', '2020', '35', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '115.23106895');
INSERT INTO public.ecdc_import VALUES (25090, '01/10/2020', '1', '10', '2020', '48', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '119.5745904');
INSERT INTO public.ecdc_import VALUES (25091, '30/09/2020', '30', '9', '2020', '59', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '113.44256012');
INSERT INTO public.ecdc_import VALUES (25092, '29/09/2020', '29', '9', '2020', '15', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '115.35881958');
INSERT INTO public.ecdc_import VALUES (25093, '28/09/2020', '28', '9', '2020', '47', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '117.40282968');
INSERT INTO public.ecdc_import VALUES (25094, '27/09/2020', '27', '9', '2020', '16', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '116.63632589');
INSERT INTO public.ecdc_import VALUES (25095, '26/09/2020', '26', '9', '2020', '130', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '120.85209671');
INSERT INTO public.ecdc_import VALUES (25096, '25/09/2020', '25', '9', '2020', '44', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '105.90527291');
INSERT INTO public.ecdc_import VALUES (25097, '24/09/2020', '24', '9', '2020', '98', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '106.2885248');
INSERT INTO public.ecdc_import VALUES (25098, '23/09/2020', '23', '9', '2020', '35', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '105.26651975');
INSERT INTO public.ecdc_import VALUES (25099, '22/09/2020', '22', '9', '2020', '133', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '107.56603111');
INSERT INTO public.ecdc_import VALUES (25100, '21/09/2020', '21', '9', '2020', '101', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '102.32825525');
INSERT INTO public.ecdc_import VALUES (25101, '20/09/2020', '20', '9', '2020', '66', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '90.57519722');
INSERT INTO public.ecdc_import VALUES (25102, '19/09/2020', '19', '9', '2020', '75', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '87.63693271');
INSERT INTO public.ecdc_import VALUES (25103, '18/09/2020', '18', '9', '2020', '69', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '79.97189486');
INSERT INTO public.ecdc_import VALUES (25104, '17/09/2020', '17', '9', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '73.58436332');
INSERT INTO public.ecdc_import VALUES (25105, '16/09/2020', '16', '9', '2020', '74', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.734119');
INSERT INTO public.ecdc_import VALUES (25106, '15/09/2020', '15', '9', '2020', '31', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '73.83986458');
INSERT INTO public.ecdc_import VALUES (25107, '14/09/2020', '14', '9', '2020', '41', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '79.07764045');
INSERT INTO public.ecdc_import VALUES (25108, '13/09/2020', '13', '9', '2020', '49', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '80.22739612');
INSERT INTO public.ecdc_import VALUES (25109, '12/09/2020', '12', '9', '2020', '13', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '74.47861774');
INSERT INTO public.ecdc_import VALUES (25110, '11/09/2020', '11', '9', '2020', '47', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.92788477');
INSERT INTO public.ecdc_import VALUES (25111, '10/09/2020', '10', '9', '2020', '90', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.92788477');
INSERT INTO public.ecdc_import VALUES (25112, '09/09/2020', '9', '9', '2020', '53', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.64609882');
INSERT INTO public.ecdc_import VALUES (25113, '08/09/2020', '8', '9', '2020', '92', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.28913162');
INSERT INTO public.ecdc_import VALUES (25114, '07/09/2020', '7', '9', '2020', '9', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '65.53607358');
INSERT INTO public.ecdc_import VALUES (25115, '06/09/2020', '6', '9', '2020', '43', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '68.21883683');
INSERT INTO public.ecdc_import VALUES (25116, '05/09/2020', '5', '9', '2020', '15', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '68.34658746');
INSERT INTO public.ecdc_import VALUES (25117, '04/09/2020', '4', '9', '2020', '19', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '70.90160008');
INSERT INTO public.ecdc_import VALUES (25118, '03/09/2020', '3', '9', '2020', '9', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '77.41688225');
INSERT INTO public.ecdc_import VALUES (25119, '02/09/2020', '2', '9', '2020', '67', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '81.24940117');
INSERT INTO public.ecdc_import VALUES (25120, '01/09/2020', '1', '9', '2020', '72', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '76.26712657');
INSERT INTO public.ecdc_import VALUES (25121, '31/08/2020', '31', '8', '2020', '50', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '67.06908115');
INSERT INTO public.ecdc_import VALUES (25122, '30/08/2020', '30', '8', '2020', '4', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '65.15282169');
INSERT INTO public.ecdc_import VALUES (25123, '29/08/2020', '29', '8', '2020', '40', '3', '782775', 'Guyana', 'GY', 'GUY', 'America', '67.83558494');
INSERT INTO public.ecdc_import VALUES (25124, '28/08/2020', '28', '8', '2020', '47', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '65.02507106');
INSERT INTO public.ecdc_import VALUES (25125, '27/08/2020', '27', '8', '2020', '33', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '60.04279646');
INSERT INTO public.ecdc_import VALUES (25126, '26/08/2020', '26', '8', '2020', '105', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '62.85331034');
INSERT INTO public.ecdc_import VALUES (25127, '25/08/2020', '25', '8', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '49.43949411');
INSERT INTO public.ecdc_import VALUES (25128, '24/08/2020', '24', '8', '2020', '30', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '49.43949411');
INSERT INTO public.ecdc_import VALUES (25129, '23/08/2020', '23', '8', '2020', '44', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '47.39548402');
INSERT INTO public.ecdc_import VALUES (25130, '22/08/2020', '22', '8', '2020', '35', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '43.81846635');
INSERT INTO public.ecdc_import VALUES (25131, '21/08/2020', '21', '8', '2020', '70', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '39.34719428');
INSERT INTO public.ecdc_import VALUES (25132, '20/08/2020', '20', '8', '2020', '39', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '34.10941842');
INSERT INTO public.ecdc_import VALUES (25133, '19/08/2020', '19', '8', '2020', '28', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '30.66015138');
INSERT INTO public.ecdc_import VALUES (25134, '18/08/2020', '18', '8', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '30.02139823');
INSERT INTO public.ecdc_import VALUES (25135, '17/08/2020', '17', '8', '2020', '35', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '30.02139823');
INSERT INTO public.ecdc_import VALUES (25136, '16/08/2020', '16', '8', '2020', '25', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '31.17115391');
INSERT INTO public.ecdc_import VALUES (25137, '15/08/2020', '15', '8', '2020', '18', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '30.14914886');
INSERT INTO public.ecdc_import VALUES (25138, '14/08/2020', '14', '8', '2020', '8', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '29.38264508');
INSERT INTO public.ecdc_import VALUES (25139, '13/08/2020', '13', '8', '2020', '55', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '28.74389192');
INSERT INTO public.ecdc_import VALUES (25140, '12/08/2020', '12', '8', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '21.97310849');
INSERT INTO public.ecdc_import VALUES (25141, '11/08/2020', '11', '8', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '22.86736291');
INSERT INTO public.ecdc_import VALUES (25142, '10/08/2020', '10', '8', '2020', '14', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '25.29462489');
INSERT INTO public.ecdc_import VALUES (25143, '09/08/2020', '9', '8', '2020', '16', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '24.78362237');
INSERT INTO public.ecdc_import VALUES (25144, '08/08/2020', '8', '8', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '23.76161732');
INSERT INTO public.ecdc_import VALUES (25145, '07/08/2020', '7', '8', '2020', '29', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '23.88936795');
INSERT INTO public.ecdc_import VALUES (25146, '06/08/2020', '6', '8', '2020', '12', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '20.31235029');
INSERT INTO public.ecdc_import VALUES (25147, '05/08/2020', '5', '8', '2020', '23', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '20.18459966');
INSERT INTO public.ecdc_import VALUES (25148, '04/08/2020', '4', '8', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '17.50183642');
INSERT INTO public.ecdc_import VALUES (25149, '03/08/2020', '3', '8', '2020', '44', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '17.62958705');
INSERT INTO public.ecdc_import VALUES (25150, '02/08/2020', '2', '8', '2020', '17', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '13.15831497');
INSERT INTO public.ecdc_import VALUES (25151, '01/08/2020', '1', '8', '2020', '12', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '12.51956182');
INSERT INTO public.ecdc_import VALUES (25152, '31/07/2020', '31', '7', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '11.11430488');
INSERT INTO public.ecdc_import VALUES (25153, '30/07/2020', '30', '7', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '10.85880362');
INSERT INTO public.ecdc_import VALUES (25154, '29/07/2020', '29', '7', '2020', '7', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '11.24205551');
INSERT INTO public.ecdc_import VALUES (25155, '28/07/2020', '28', '7', '2020', '19', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '11.36980614');
INSERT INTO public.ecdc_import VALUES (25156, '27/07/2020', '27', '7', '2020', '10', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.32579605');
INSERT INTO public.ecdc_import VALUES (25157, '26/07/2020', '26', '7', '2020', '8', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.81479352');
INSERT INTO public.ecdc_import VALUES (25158, '25/07/2020', '25', '7', '2020', '1', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.92053911');
INSERT INTO public.ecdc_import VALUES (25159, '24/07/2020', '24', '7', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.303791');
INSERT INTO public.ecdc_import VALUES (25160, '23/07/2020', '23', '7', '2020', '11', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.303791');
INSERT INTO public.ecdc_import VALUES (25161, '22/07/2020', '22', '7', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '6.89853406');
INSERT INTO public.ecdc_import VALUES (25162, '21/07/2020', '21', '7', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.53728722');
INSERT INTO public.ecdc_import VALUES (25163, '20/07/2020', '20', '7', '2020', '9', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.04828974');
INSERT INTO public.ecdc_import VALUES (25164, '19/07/2020', '19', '7', '2020', '12', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.02628469');
INSERT INTO public.ecdc_import VALUES (25165, '18/07/2020', '18', '7', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.53728722');
INSERT INTO public.ecdc_import VALUES (25166, '17/07/2020', '17', '7', '2020', '1', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.17604037');
INSERT INTO public.ecdc_import VALUES (25167, '16/07/2020', '16', '7', '2020', '5', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.303791');
INSERT INTO public.ecdc_import VALUES (25168, '15/07/2020', '15', '7', '2020', '8', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.04828974');
INSERT INTO public.ecdc_import VALUES (25169, '14/07/2020', '14', '7', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.303791');
INSERT INTO public.ecdc_import VALUES (25170, '13/07/2020', '13', '7', '2020', '6', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.55929226');
INSERT INTO public.ecdc_import VALUES (25171, '12/07/2020', '12', '7', '2020', '1', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.79278848');
INSERT INTO public.ecdc_import VALUES (25172, '11/07/2020', '11', '7', '2020', '4', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.66503785');
INSERT INTO public.ecdc_import VALUES (25173, '10/07/2020', '10', '7', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.07029478');
INSERT INTO public.ecdc_import VALUES (25174, '09/07/2020', '9', '7', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.70904794');
INSERT INTO public.ecdc_import VALUES (25175, '08/07/2020', '8', '7', '2020', '7', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '10.09229983');
INSERT INTO public.ecdc_import VALUES (25176, '07/07/2020', '7', '7', '2020', '5', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.32579605');
INSERT INTO public.ecdc_import VALUES (25177, '06/07/2020', '6', '7', '2020', '1', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '11.36980614');
INSERT INTO public.ecdc_import VALUES (25178, '05/07/2020', '5', '7', '2020', '16', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '11.36980614');
INSERT INTO public.ecdc_import VALUES (25179, '04/07/2020', '4', '7', '2020', '6', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.32579605');
INSERT INTO public.ecdc_import VALUES (25180, '03/07/2020', '3', '7', '2020', '2', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '8.55929226');
INSERT INTO public.ecdc_import VALUES (25181, '02/07/2020', '2', '7', '2020', '3', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.83679857');
INSERT INTO public.ecdc_import VALUES (25182, '01/07/2020', '1', '7', '2020', '10', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.45354668');
INSERT INTO public.ecdc_import VALUES (25183, '30/06/2020', '30', '6', '2020', '5', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.70904794');
INSERT INTO public.ecdc_import VALUES (25184, '29/06/2020', '29', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.07029478');
INSERT INTO public.ecdc_import VALUES (25185, '28/06/2020', '28', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.07029478');
INSERT INTO public.ecdc_import VALUES (25186, '27/06/2020', '27', '6', '2020', '15', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '9.07029478');
INSERT INTO public.ecdc_import VALUES (25187, '26/06/2020', '26', '6', '2020', '6', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '7.28178595');
INSERT INTO public.ecdc_import VALUES (25188, '25/06/2020', '25', '6', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '6.77078343');
INSERT INTO public.ecdc_import VALUES (25189, '24/06/2020', '24', '6', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '6.38753154');
INSERT INTO public.ecdc_import VALUES (25190, '23/06/2020', '23', '6', '2020', '21', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '6.51528217');
INSERT INTO public.ecdc_import VALUES (25191, '22/06/2020', '22', '6', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.83251892');
INSERT INTO public.ecdc_import VALUES (25192, '21/06/2020', '21', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.70476829');
INSERT INTO public.ecdc_import VALUES (25193, '20/06/2020', '20', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.83251892');
INSERT INTO public.ecdc_import VALUES (25194, '19/06/2020', '19', '6', '2020', '12', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.83251892');
INSERT INTO public.ecdc_import VALUES (25195, '18/06/2020', '18', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.29951135');
INSERT INTO public.ecdc_import VALUES (25196, '17/06/2020', '17', '6', '2020', '12', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.29951135');
INSERT INTO public.ecdc_import VALUES (25197, '16/06/2020', '16', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.76650378');
INSERT INTO public.ecdc_import VALUES (25198, '15/06/2020', '15', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.76650378');
INSERT INTO public.ecdc_import VALUES (25199, '14/06/2020', '14', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.89425442');
INSERT INTO public.ecdc_import VALUES (25200, '13/06/2020', '13', '6', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '1.14975568');
INSERT INTO public.ecdc_import VALUES (25201, '12/06/2020', '12', '6', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '1.02200505');
INSERT INTO public.ecdc_import VALUES (25202, '11/06/2020', '11', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.17176072');
INSERT INTO public.ecdc_import VALUES (25203, '10/06/2020', '10', '6', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.17176072');
INSERT INTO public.ecdc_import VALUES (25204, '09/06/2020', '9', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.17176072');
INSERT INTO public.ecdc_import VALUES (25205, '08/06/2020', '8', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.42726198');
INSERT INTO public.ecdc_import VALUES (25206, '07/06/2020', '7', '6', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.44926703');
INSERT INTO public.ecdc_import VALUES (25207, '06/06/2020', '6', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25208, '05/06/2020', '5', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25209, '04/06/2020', '4', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.57701766');
INSERT INTO public.ecdc_import VALUES (25210, '03/06/2020', '3', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.57701766');
INSERT INTO public.ecdc_import VALUES (25211, '02/06/2020', '2', '6', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.70476829');
INSERT INTO public.ecdc_import VALUES (25212, '01/06/2020', '1', '6', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.59902271');
INSERT INTO public.ecdc_import VALUES (25213, '31/05/2020', '31', '5', '2020', '2', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25214, '30/05/2020', '30', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.34352145');
INSERT INTO public.ecdc_import VALUES (25215, '29/05/2020', '29', '5', '2020', '11', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.72677334');
INSERT INTO public.ecdc_import VALUES (25216, '28/05/2020', '28', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25217, '27/05/2020', '27', '5', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25218, '26/05/2020', '26', '5', '2020', '2', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.57701766');
INSERT INTO public.ecdc_import VALUES (25219, '25/05/2020', '25', '5', '2020', '8', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.96026955');
INSERT INTO public.ecdc_import VALUES (25220, '24/05/2020', '24', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.83251892');
INSERT INTO public.ecdc_import VALUES (25221, '23/05/2020', '23', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.21577082');
INSERT INTO public.ecdc_import VALUES (25222, '22/05/2020', '22', '5', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.34352145');
INSERT INTO public.ecdc_import VALUES (25223, '21/05/2020', '21', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.08802018');
INSERT INTO public.ecdc_import VALUES (25224, '20/05/2020', '20', '5', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.08802018');
INSERT INTO public.ecdc_import VALUES (25225, '19/05/2020', '19', '5', '2020', '7', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.08802018');
INSERT INTO public.ecdc_import VALUES (25226, '18/05/2020', '18', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25227, '17/05/2020', '17', '5', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25228, '16/05/2020', '16', '5', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.34352145');
INSERT INTO public.ecdc_import VALUES (25229, '15/05/2020', '15', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.96026955');
INSERT INTO public.ecdc_import VALUES (25230, '14/05/2020', '14', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25231, '13/05/2020', '13', '5', '2020', '4', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.85452397');
INSERT INTO public.ecdc_import VALUES (25232, '12/05/2020', '12', '5', '2020', '5', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25233, '11/05/2020', '11', '5', '2020', '7', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.83251892');
INSERT INTO public.ecdc_import VALUES (25234, '10/05/2020', '10', '5', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.93826451');
INSERT INTO public.ecdc_import VALUES (25235, '09/05/2020', '9', '5', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.68276325');
INSERT INTO public.ecdc_import VALUES (25236, '08/05/2020', '8', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.93826451');
INSERT INTO public.ecdc_import VALUES (25237, '07/05/2020', '7', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25238, '06/05/2020', '6', '5', '2020', '1', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25239, '05/05/2020', '5', '5', '2020', '10', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25240, '04/05/2020', '4', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.17176072');
INSERT INTO public.ecdc_import VALUES (25241, '03/05/2020', '3', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.42726198');
INSERT INTO public.ecdc_import VALUES (25242, '02/05/2020', '2', '5', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.42726198');
INSERT INTO public.ecdc_import VALUES (25243, '01/05/2020', '1', '5', '2020', '4', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.19376577');
INSERT INTO public.ecdc_import VALUES (25244, '30/04/2020', '30', '4', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.93826451');
INSERT INTO public.ecdc_import VALUES (25245, '29/04/2020', '29', '4', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.44926703');
INSERT INTO public.ecdc_import VALUES (25246, '28/04/2020', '28', '4', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.44926703');
INSERT INTO public.ecdc_import VALUES (25247, '27/04/2020', '27', '4', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.70476829');
INSERT INTO public.ecdc_import VALUES (25248, '26/04/2020', '26', '4', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.70476829');
INSERT INTO public.ecdc_import VALUES (25249, '25/04/2020', '25', '4', '2020', '3', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.21577082');
INSERT INTO public.ecdc_import VALUES (25250, '24/04/2020', '24', '4', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.21577082');
INSERT INTO public.ecdc_import VALUES (25251, '23/04/2020', '23', '4', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.83251892');
INSERT INTO public.ecdc_import VALUES (25252, '22/04/2020', '22', '4', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.34352145');
INSERT INTO public.ecdc_import VALUES (25253, '21/04/2020', '21', '4', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25254, '20/04/2020', '20', '4', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.59902271');
INSERT INTO public.ecdc_import VALUES (25255, '19/04/2020', '19', '4', '2020', '0', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.9822746');
INSERT INTO public.ecdc_import VALUES (25256, '18/04/2020', '18', '4', '2020', '6', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '5.11002523');
INSERT INTO public.ecdc_import VALUES (25257, '17/04/2020', '17', '4', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.85452397');
INSERT INTO public.ecdc_import VALUES (25258, '16/04/2020', '16', '4', '2020', '7', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.59902271');
INSERT INTO public.ecdc_import VALUES (25259, '15/04/2020', '15', '4', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.59902271');
INSERT INTO public.ecdc_import VALUES (25260, '14/04/2020', '14', '4', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.9822746');
INSERT INTO public.ecdc_import VALUES (25261, '13/04/2020', '13', '4', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.72677334');
INSERT INTO public.ecdc_import VALUES (25262, '12/04/2020', '12', '4', '2020', '5', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.72677334');
INSERT INTO public.ecdc_import VALUES (25263, '11/04/2020', '11', '4', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.47127208');
INSERT INTO public.ecdc_import VALUES (25264, '10/04/2020', '10', '4', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.08802018');
INSERT INTO public.ecdc_import VALUES (25265, '09/04/2020', '9', '4', '2020', '4', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '4.08802018');
INSERT INTO public.ecdc_import VALUES (25266, '08/04/2020', '8', '4', '2020', '2', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.57701766');
INSERT INTO public.ecdc_import VALUES (25267, '07/04/2020', '7', '4', '2020', '2', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.3215164');
INSERT INTO public.ecdc_import VALUES (25268, '06/04/2020', '6', '4', '2020', '5', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '3.06601514');
INSERT INTO public.ecdc_import VALUES (25269, '05/04/2020', '5', '4', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.42726198');
INSERT INTO public.ecdc_import VALUES (25270, '04/04/2020', '4', '4', '2020', '4', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '2.29951135');
INSERT INTO public.ecdc_import VALUES (25271, '03/04/2020', '3', '4', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '1.78850883');
INSERT INTO public.ecdc_import VALUES (25272, '02/04/2020', '2', '4', '2020', '7', '2', '782775', 'Guyana', 'GY', 'GUY', 'America', '1.78850883');
INSERT INTO public.ecdc_import VALUES (25273, '01/04/2020', '1', '4', '2020', '4', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '1.02200505');
INSERT INTO public.ecdc_import VALUES (25274, '31/03/2020', '31', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.51100252');
INSERT INTO public.ecdc_import VALUES (25275, '30/03/2020', '30', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.51100252');
INSERT INTO public.ecdc_import VALUES (25276, '29/03/2020', '29', '3', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.89425442');
INSERT INTO public.ecdc_import VALUES (25277, '28/03/2020', '28', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '0.63875315');
INSERT INTO public.ecdc_import VALUES (25278, '27/03/2020', '27', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25279, '26/03/2020', '26', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25280, '25/03/2020', '25', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25281, '24/03/2020', '24', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25282, '23/03/2020', '23', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25283, '22/03/2020', '22', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25284, '21/03/2020', '21', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25285, '20/03/2020', '20', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25286, '19/03/2020', '19', '3', '2020', '1', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25287, '18/03/2020', '18', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25288, '17/03/2020', '17', '3', '2020', '0', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25289, '16/03/2020', '16', '3', '2020', '3', '0', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25290, '13/03/2020', '13', '3', '2020', '1', '1', '782775', 'Guyana', 'GY', 'GUY', 'America', '');
INSERT INTO public.ecdc_import VALUES (25291, '14/12/2020', '14', '12', '2020', '74', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.67244863');
INSERT INTO public.ecdc_import VALUES (25292, '13/12/2020', '13', '12', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.01543468');
INSERT INTO public.ecdc_import VALUES (25293, '12/12/2020', '12', '12', '2020', '26', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.01543468');
INSERT INTO public.ecdc_import VALUES (25294, '11/12/2020', '11', '12', '2020', '66', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.85562047');
INSERT INTO public.ecdc_import VALUES (25295, '10/12/2020', '10', '12', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.3406636');
INSERT INTO public.ecdc_import VALUES (25296, '09/12/2020', '9', '12', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.4205707');
INSERT INTO public.ecdc_import VALUES (25297, '08/12/2020', '8', '12', '2020', '19', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.46496353');
INSERT INTO public.ecdc_import VALUES (25298, '07/12/2020', '7', '12', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.38505643');
INSERT INTO public.ecdc_import VALUES (25299, '06/12/2020', '6', '12', '2020', '23', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.38505643');
INSERT INTO public.ecdc_import VALUES (25300, '05/12/2020', '5', '12', '2020', '34', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.18084939');
INSERT INTO public.ecdc_import VALUES (25301, '04/12/2020', '4', '12', '2020', '17', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.90561382');
INSERT INTO public.ecdc_import VALUES (25302, '03/12/2020', '3', '12', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.78131388');
INSERT INTO public.ecdc_import VALUES (25303, '02/12/2020', '2', '12', '2020', '32', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.93224952');
INSERT INTO public.ecdc_import VALUES (25304, '01/12/2020', '1', '12', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.66589251');
INSERT INTO public.ecdc_import VALUES (25305, '30/11/2020', '30', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.75467818');
INSERT INTO public.ecdc_import VALUES (25306, '29/11/2020', '29', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.85234242');
INSERT INTO public.ecdc_import VALUES (25307, '28/11/2020', '28', '11', '2020', '8', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.85234242');
INSERT INTO public.ecdc_import VALUES (25308, '27/11/2020', '27', '11', '2020', '8', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.92337095');
INSERT INTO public.ecdc_import VALUES (25309, '26/11/2020', '26', '11', '2020', '19', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.85234242');
INSERT INTO public.ecdc_import VALUES (25310, '25/11/2020', '25', '11', '2020', '5', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.77243532');
INSERT INTO public.ecdc_import VALUES (25311, '24/11/2020', '24', '11', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.77243532');
INSERT INTO public.ecdc_import VALUES (25312, '23/11/2020', '23', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.77243532');
INSERT INTO public.ecdc_import VALUES (25313, '22/11/2020', '22', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.77243532');
INSERT INTO public.ecdc_import VALUES (25314, '21/11/2020', '21', '11', '2020', '3', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.77243532');
INSERT INTO public.ecdc_import VALUES (25315, '20/11/2020', '20', '11', '2020', '3', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.90561382');
INSERT INTO public.ecdc_import VALUES (25316, '19/11/2020', '19', '11', '2020', '17', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.95888522');
INSERT INTO public.ecdc_import VALUES (25317, '18/11/2020', '18', '11', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.80794958');
INSERT INTO public.ecdc_import VALUES (25318, '17/11/2020', '17', '11', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.19860653');
INSERT INTO public.ecdc_import VALUES (25319, '16/11/2020', '16', '11', '2020', '11', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.10982086');
INSERT INTO public.ecdc_import VALUES (25320, '15/11/2020', '15', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.01215662');
INSERT INTO public.ecdc_import VALUES (25321, '14/11/2020', '14', '11', '2020', '16', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.01215662');
INSERT INTO public.ecdc_import VALUES (25322, '13/11/2020', '13', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.87009955');
INSERT INTO public.ecdc_import VALUES (25323, '12/11/2020', '12', '11', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.94112809');
INSERT INTO public.ecdc_import VALUES (25324, '11/11/2020', '11', '11', '2020', '5', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.02991376');
INSERT INTO public.ecdc_import VALUES (25325, '10/11/2020', '10', '11', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.98552092');
INSERT INTO public.ecdc_import VALUES (25326, '09/11/2020', '9', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.89673525');
INSERT INTO public.ecdc_import VALUES (25327, '08/11/2020', '8', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.99439949');
INSERT INTO public.ecdc_import VALUES (25328, '07/11/2020', '7', '11', '2020', '18', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.99439949');
INSERT INTO public.ecdc_import VALUES (25329, '06/11/2020', '6', '11', '2020', '9', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.15421369');
INSERT INTO public.ecdc_import VALUES (25330, '05/11/2020', '5', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.07430659');
INSERT INTO public.ecdc_import VALUES (25331, '04/11/2020', '4', '11', '2020', '46', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.10094229');
INSERT INTO public.ecdc_import VALUES (25332, '03/11/2020', '3', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.69252822');
INSERT INTO public.ecdc_import VALUES (25333, '02/11/2020', '2', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.14533513');
INSERT INTO public.ecdc_import VALUES (25334, '01/11/2020', '1', '11', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.14533513');
INSERT INTO public.ecdc_import VALUES (25335, '31/10/2020', '31', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.14533513');
INSERT INTO public.ecdc_import VALUES (25336, '30/10/2020', '30', '10', '2020', '8', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.14533513');
INSERT INTO public.ecdc_import VALUES (25337, '29/10/2020', '29', '10', '2020', '20', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.22524223');
INSERT INTO public.ecdc_import VALUES (25338, '28/10/2020', '28', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.23412079');
INSERT INTO public.ecdc_import VALUES (25339, '27/10/2020', '27', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.27851363');
INSERT INTO public.ecdc_import VALUES (25340, '26/10/2020', '26', '10', '2020', '11', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.27851363');
INSERT INTO public.ecdc_import VALUES (25341, '25/10/2020', '25', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.37617786');
INSERT INTO public.ecdc_import VALUES (25342, '24/10/2020', '24', '10', '2020', '36', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.42944927');
INSERT INTO public.ecdc_import VALUES (25343, '23/10/2020', '23', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.10982086');
INSERT INTO public.ecdc_import VALUES (25344, '22/10/2020', '22', '10', '2020', '3', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.25187793');
INSERT INTO public.ecdc_import VALUES (25345, '21/10/2020', '21', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.22524223');
INSERT INTO public.ecdc_import VALUES (25346, '20/10/2020', '20', '10', '2020', '51', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.393935');
INSERT INTO public.ecdc_import VALUES (25347, '19/10/2020', '19', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.94112809');
INSERT INTO public.ecdc_import VALUES (25348, '18/10/2020', '18', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.01215662');
INSERT INTO public.ecdc_import VALUES (25349, '17/10/2020', '17', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.18084939');
INSERT INTO public.ecdc_import VALUES (25350, '16/10/2020', '16', '10', '2020', '17', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.41169213');
INSERT INTO public.ecdc_import VALUES (25351, '15/10/2020', '15', '10', '2020', '21', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.26075649');
INSERT INTO public.ecdc_import VALUES (25352, '14/10/2020', '14', '10', '2020', '5', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.24299936');
INSERT INTO public.ecdc_import VALUES (25353, '13/10/2020', '13', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.26075649');
INSERT INTO public.ecdc_import VALUES (25354, '12/10/2020', '12', '10', '2020', '22', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.41169213');
INSERT INTO public.ecdc_import VALUES (25355, '11/10/2020', '11', '10', '2020', '6', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.21636366');
INSERT INTO public.ecdc_import VALUES (25356, '10/10/2020', '10', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.50935637');
INSERT INTO public.ecdc_import VALUES (25357, '09/10/2020', '9', '10', '2020', '16', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.84674191');
INSERT INTO public.ecdc_import VALUES (25358, '08/10/2020', '8', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.70468484');
INSERT INTO public.ecdc_import VALUES (25359, '07/10/2020', '7', '10', '2020', '19', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.82010621');
INSERT INTO public.ecdc_import VALUES (25360, '06/10/2020', '6', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.73132054');
INSERT INTO public.ecdc_import VALUES (25361, '05/10/2020', '5', '10', '2020', '8', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.77571337');
INSERT INTO public.ecdc_import VALUES (25362, '04/10/2020', '4', '10', '2020', '19', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.74019911');
INSERT INTO public.ecdc_import VALUES (25363, '03/10/2020', '3', '10', '2020', '26', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.70468484');
INSERT INTO public.ecdc_import VALUES (25364, '02/10/2020', '2', '10', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.86449904');
INSERT INTO public.ecdc_import VALUES (25365, '01/10/2020', '1', '10', '2020', '19', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.99767754');
INSERT INTO public.ecdc_import VALUES (25366, '30/09/2020', '30', '9', '2020', '7', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.92664901');
INSERT INTO public.ecdc_import VALUES (25367, '29/09/2020', '29', '9', '2020', '17', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.13973461');
INSERT INTO public.ecdc_import VALUES (25368, '28/09/2020', '28', '9', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.04207038');
INSERT INTO public.ecdc_import VALUES (25369, '27/09/2020', '27', '9', '2020', '39', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.17524888');
INSERT INTO public.ecdc_import VALUES (25370, '26/09/2020', '26', '9', '2020', '38', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.01543468');
INSERT INTO public.ecdc_import VALUES (25371, '25/09/2020', '25', '9', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.92664901');
INSERT INTO public.ecdc_import VALUES (25372, '24/09/2020', '24', '9', '2020', '13', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.32618452');
INSERT INTO public.ecdc_import VALUES (25373, '23/09/2020', '23', '9', '2020', '9', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.28179168');
INSERT INTO public.ecdc_import VALUES (25374, '22/09/2020', '22', '9', '2020', '5', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.32618452');
INSERT INTO public.ecdc_import VALUES (25375, '21/09/2020', '21', '9', '2020', '4', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.29954882');
INSERT INTO public.ecdc_import VALUES (25376, '20/09/2020', '20', '9', '2020', '15', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.47712016');
INSERT INTO public.ecdc_import VALUES (25377, '19/09/2020', '19', '9', '2020', '44', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.43272732');
INSERT INTO public.ecdc_import VALUES (25378, '18/09/2020', '18', '9', '2020', '15', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.26403455');
INSERT INTO public.ecdc_import VALUES (25379, '17/09/2020', '17', '9', '2020', '11', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.51263442');
INSERT INTO public.ecdc_import VALUES (25380, '16/09/2020', '16', '9', '2020', '31', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.41497019');
INSERT INTO public.ecdc_import VALUES (25381, '15/09/2020', '15', '9', '2020', '6', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.44160589');
INSERT INTO public.ecdc_import VALUES (25382, '14/09/2020', '14', '9', '2020', '15', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.52151299');
INSERT INTO public.ecdc_import VALUES (25383, '13/09/2020', '13', '9', '2020', '21', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.38833449');
INSERT INTO public.ecdc_import VALUES (25384, '12/09/2020', '12', '9', '2020', '28', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.62805579');
INSERT INTO public.ecdc_import VALUES (25385, '11/09/2020', '11', '9', '2020', '45', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.46824159');
INSERT INTO public.ecdc_import VALUES (25386, '10/09/2020', '10', '9', '2020', '8', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.06870608');
INSERT INTO public.ecdc_import VALUES (25387, '09/09/2020', '9', '9', '2020', '14', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.34394165');
INSERT INTO public.ecdc_import VALUES (25388, '08/09/2020', '8', '9', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.23739885');
INSERT INTO public.ecdc_import VALUES (25389, '07/09/2020', '7', '9', '2020', '24', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.46824159');
INSERT INTO public.ecdc_import VALUES (25390, '06/09/2020', '6', '9', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.53927012');
INSERT INTO public.ecdc_import VALUES (25391, '05/09/2020', '5', '9', '2020', '25', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.75235573');
INSERT INTO public.ecdc_import VALUES (25392, '04/09/2020', '4', '9', '2020', '43', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.69908433');
INSERT INTO public.ecdc_import VALUES (25393, '03/09/2020', '3', '9', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.74347716');
INSERT INTO public.ecdc_import VALUES (25394, '02/09/2020', '2', '9', '2020', '34', '5', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.99207703');
INSERT INTO public.ecdc_import VALUES (25395, '01/09/2020', '1', '9', '2020', '15', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.90329136');
INSERT INTO public.ecdc_import VALUES (25396, '31/08/2020', '31', '8', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.92992707');
INSERT INTO public.ecdc_import VALUES (25397, '30/08/2020', '30', '8', '2020', '48', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.35609827');
INSERT INTO public.ecdc_import VALUES (25398, '29/08/2020', '29', '8', '2020', '10', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.92992707');
INSERT INTO public.ecdc_import VALUES (25399, '28/08/2020', '28', '8', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.0275913');
INSERT INTO public.ecdc_import VALUES (25400, '27/08/2020', '27', '8', '2020', '39', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.62245528');
INSERT INTO public.ecdc_import VALUES (25401, '26/08/2020', '26', '8', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.11077646');
INSERT INTO public.ecdc_import VALUES (25402, '25/08/2020', '25', '8', '2020', '28', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.09301932');
INSERT INTO public.ecdc_import VALUES (25403, '24/08/2020', '24', '8', '2020', '32', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.97759796');
INSERT INTO public.ecdc_import VALUES (25404, '23/08/2020', '23', '8', '2020', '34', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.89769085');
INSERT INTO public.ecdc_import VALUES (25405, '22/08/2020', '22', '8', '2020', '19', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.70236238');
INSERT INTO public.ecdc_import VALUES (25406, '21/08/2020', '21', '8', '2020', '48', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.68460525');
INSERT INTO public.ecdc_import VALUES (25407, '20/08/2020', '20', '8', '2020', '28', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.59581958');
INSERT INTO public.ecdc_import VALUES (25408, '19/08/2020', '19', '8', '2020', '24', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.45376251');
INSERT INTO public.ecdc_import VALUES (25409, '18/08/2020', '18', '8', '2020', '18', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.42712681');
INSERT INTO public.ecdc_import VALUES (25410, '17/08/2020', '17', '8', '2020', '48', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.57806245');
INSERT INTO public.ecdc_import VALUES (25411, '16/08/2020', '16', '8', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.22291977');
INSERT INTO public.ecdc_import VALUES (25412, '15/08/2020', '15', '8', '2020', '21', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.61357671');
INSERT INTO public.ecdc_import VALUES (25413, '14/08/2020', '14', '8', '2020', '67', '5', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.53366961');
INSERT INTO public.ecdc_import VALUES (25414, '13/08/2020', '13', '8', '2020', '94', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.24067691');
INSERT INTO public.ecdc_import VALUES (25415, '12/08/2020', '12', '8', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.46824159');
INSERT INTO public.ecdc_import VALUES (25416, '11/08/2020', '11', '8', '2020', '15', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.74347716');
INSERT INTO public.ecdc_import VALUES (25417, '10/08/2020', '10', '8', '2020', '23', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.83226283');
INSERT INTO public.ecdc_import VALUES (25418, '09/08/2020', '9', '8', '2020', '12', '5', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.78787');
INSERT INTO public.ecdc_import VALUES (25419, '08/08/2020', '8', '8', '2020', '17', '6', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.00983417');
INSERT INTO public.ecdc_import VALUES (25420, '07/08/2020', '7', '8', '2020', '38', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.41824824');
INSERT INTO public.ecdc_import VALUES (25421, '06/08/2020', '6', '8', '2020', '12', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.34721971');
INSERT INTO public.ecdc_import VALUES (25422, '05/08/2020', '5', '8', '2020', '21', '5', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.42712681');
INSERT INTO public.ecdc_import VALUES (25423, '04/08/2020', '4', '8', '2020', '35', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.97759796');
INSERT INTO public.ecdc_import VALUES (25424, '03/08/2020', '3', '8', '2020', '8', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.75563378');
INSERT INTO public.ecdc_import VALUES (25425, '02/08/2020', '2', '8', '2020', '44', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.68460525');
INSERT INTO public.ecdc_import VALUES (25426, '01/08/2020', '1', '8', '2020', '12', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.98647652');
INSERT INTO public.ecdc_import VALUES (25427, '31/07/2020', '31', '7', '2020', '34', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.11965503');
INSERT INTO public.ecdc_import VALUES (25428, '30/07/2020', '30', '7', '2020', '7', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.22619783');
INSERT INTO public.ecdc_import VALUES (25429, '29/07/2020', '29', '7', '2020', '31', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.79442611');
INSERT INTO public.ecdc_import VALUES (25430, '28/07/2020', '28', '7', '2020', '25', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '5.44256149');
INSERT INTO public.ecdc_import VALUES (25431, '27/07/2020', '27', '7', '2020', '18', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '5.22059732');
INSERT INTO public.ecdc_import VALUES (25432, '26/07/2020', '26', '7', '2020', '37', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '5.38929009');
INSERT INTO public.ecdc_import VALUES (25433, '25/07/2020', '25', '7', '2020', '63', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '5.70891849');
INSERT INTO public.ecdc_import VALUES (25434, '24/07/2020', '24', '7', '2020', '30', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.31266104');
INSERT INTO public.ecdc_import VALUES (25435, '23/07/2020', '23', '7', '2020', '21', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.04630403');
INSERT INTO public.ecdc_import VALUES (25436, '22/07/2020', '22', '7', '2020', '83', '8', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.33929674');
INSERT INTO public.ecdc_import VALUES (25437, '21/07/2020', '21', '7', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.14396827');
INSERT INTO public.ecdc_import VALUES (25438, '20/07/2020', '20', '7', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.39256814');
INSERT INTO public.ecdc_import VALUES (25439, '19/07/2020', '19', '7', '2020', '78', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.73883225');
INSERT INTO public.ecdc_import VALUES (25440, '18/07/2020', '18', '7', '2020', '27', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.61453231');
INSERT INTO public.ecdc_import VALUES (25441, '17/07/2020', '17', '7', '2020', '46', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.52014613');
INSERT INTO public.ecdc_import VALUES (25442, '16/07/2020', '16', '7', '2020', '71', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.65332464');
INSERT INTO public.ecdc_import VALUES (25443, '15/07/2020', '15', '7', '2020', '104', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.60005324');
INSERT INTO public.ecdc_import VALUES (25444, '14/07/2020', '14', '7', '2020', '0', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.04958209');
INSERT INTO public.ecdc_import VALUES (25445, '13/07/2020', '13', '7', '2020', '37', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.81313884');
INSERT INTO public.ecdc_import VALUES (25446, '12/07/2020', '12', '7', '2020', '73', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '8.10613155');
INSERT INTO public.ecdc_import VALUES (25447, '11/07/2020', '11', '7', '2020', '131', '12', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.94631734');
INSERT INTO public.ecdc_import VALUES (25448, '10/07/2020', '10', '7', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '8.37248855');
INSERT INTO public.ecdc_import VALUES (25449, '09/07/2020', '9', '7', '2020', '54', '6', '11263079', 'Haiti', 'HT', 'HTI', 'America', '9.38464518');
INSERT INTO public.ecdc_import VALUES (25450, '08/07/2020', '8', '7', '2020', '61', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '9.83745209');
INSERT INTO public.ecdc_import VALUES (25451, '07/07/2020', '7', '7', '2020', '38', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '10.29913756');
INSERT INTO public.ecdc_import VALUES (25452, '06/07/2020', '6', '7', '2020', '39', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '9.96175202');
INSERT INTO public.ecdc_import VALUES (25453, '05/07/2020', '5', '7', '2020', '64', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '10.80521587');
INSERT INTO public.ecdc_import VALUES (25454, '04/07/2020', '4', '7', '2020', '129', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '11.09820858');
INSERT INTO public.ecdc_import VALUES (25455, '03/07/2020', '3', '7', '2020', '61', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '10.52110173');
INSERT INTO public.ecdc_import VALUES (25456, '02/07/2020', '2', '7', '2020', '65', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '12.0038224');
INSERT INTO public.ecdc_import VALUES (25457, '01/07/2020', '1', '7', '2020', '42', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '12.67859348');
INSERT INTO public.ecdc_import VALUES (25458, '30/06/2020', '30', '6', '2020', '86', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '13.24682176');
INSERT INTO public.ecdc_import VALUES (25459, '29/06/2020', '29', '6', '2020', '70', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '13.65523584');
INSERT INTO public.ecdc_import VALUES (25460, '28/06/2020', '28', '6', '2020', '55', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '14.31224979');
INSERT INTO public.ecdc_import VALUES (25461, '27/06/2020', '27', '6', '2020', '179', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '15.81272759');
INSERT INTO public.ecdc_import VALUES (25462, '26/06/2020', '26', '6', '2020', '114', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '14.22346412');
INSERT INTO public.ecdc_import VALUES (25463, '25/06/2020', '25', '6', '2020', '105', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '14.49869969');
INSERT INTO public.ecdc_import VALUES (25464, '24/06/2020', '24', '6', '2020', '113', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '14.75617813');
INSERT INTO public.ecdc_import VALUES (25465, '23/06/2020', '23', '6', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '14.85384236');
INSERT INTO public.ecdc_import VALUES (25466, '22/06/2020', '22', '6', '2020', '134', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '16.66507');
INSERT INTO public.ecdc_import VALUES (25467, '21/06/2020', '21', '6', '2020', '97', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '17.80152656');
INSERT INTO public.ecdc_import VALUES (25468, '20/06/2020', '20', '6', '2020', '64', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '18.25433347');
INSERT INTO public.ecdc_import VALUES (25469, '19/06/2020', '19', '6', '2020', '228', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '20.20761818');
INSERT INTO public.ecdc_import VALUES (25470, '18/06/2020', '18', '6', '2020', '141', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '18.18330494');
INSERT INTO public.ecdc_import VALUES (25471, '17/06/2020', '17', '6', '2020', '106', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '18.1122764');
INSERT INTO public.ecdc_import VALUES (25472, '16/06/2020', '16', '6', '2020', '132', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '19.6660256');
INSERT INTO public.ecdc_import VALUES (25473, '15/06/2020', '15', '6', '2020', '144', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '19.3996686');
INSERT INTO public.ecdc_import VALUES (25474, '14/06/2020', '14', '6', '2020', '224', '6', '11263079', 'Haiti', 'HT', 'HTI', 'America', '20.42070379');
INSERT INTO public.ecdc_import VALUES (25475, '13/06/2020', '13', '6', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '20.9267821');
INSERT INTO public.ecdc_import VALUES (25476, '12/06/2020', '12', '6', '2020', '145', '6', '11263079', 'Haiti', 'HT', 'HTI', 'America', '22.17866003');
INSERT INTO public.ecdc_import VALUES (25477, '11/06/2020', '11', '6', '2020', '134', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '21.98333156');
INSERT INTO public.ecdc_import VALUES (25478, '10/06/2020', '10', '6', '2020', '124', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '22.08987436');
INSERT INTO public.ecdc_import VALUES (25479, '09/06/2020', '9', '6', '2020', '204', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '21.97445299');
INSERT INTO public.ecdc_import VALUES (25480, '08/06/2020', '8', '6', '2020', '262', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '21.09547487');
INSERT INTO public.ecdc_import VALUES (25481, '07/06/2020', '7', '6', '2020', '148', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '19.59499707');
INSERT INTO public.ecdc_import VALUES (25482, '06/06/2020', '6', '6', '2020', '284', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '18.75153322');
INSERT INTO public.ecdc_import VALUES (25483, '05/06/2020', '5', '6', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '16.92254844');
INSERT INTO public.ecdc_import VALUES (25484, '04/06/2020', '4', '6', '2020', '133', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '18.14779067');
INSERT INTO public.ecdc_import VALUES (25485, '03/06/2020', '3', '6', '2020', '281', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '16.96694128');
INSERT INTO public.ecdc_import VALUES (25486, '02/06/2020', '2', '6', '2020', '102', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '15.0314137');
INSERT INTO public.ecdc_import VALUES (25487, '01/06/2020', '1', '6', '2020', '259', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '14.80944953');
INSERT INTO public.ecdc_import VALUES (25488, '31/05/2020', '31', '5', '2020', '281', '6', '11263079', 'Haiti', 'HT', 'HTI', 'America', '13.38000026');
INSERT INTO public.ecdc_import VALUES (25489, '30/05/2020', '30', '5', '2020', '141', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '11.31129419');
INSERT INTO public.ecdc_import VALUES (25490, '29/05/2020', '29', '5', '2020', '123', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '10.38792323');
INSERT INTO public.ecdc_import VALUES (25491, '28/05/2020', '28', '5', '2020', '146', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '9.64212361');
INSERT INTO public.ecdc_import VALUES (25492, '27/05/2020', '27', '5', '2020', '111', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '8.47903136');
INSERT INTO public.ecdc_import VALUES (25493, '26/05/2020', '26', '5', '2020', '105', '4', '11263079', 'Haiti', 'HT', 'HTI', 'America', '7.5822961');
INSERT INTO public.ecdc_import VALUES (25494, '25/05/2020', '25', '5', '2020', '93', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.88976789');
INSERT INTO public.ecdc_import VALUES (25495, '24/05/2020', '24', '5', '2020', '53', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '6.33929674');
INSERT INTO public.ecdc_import VALUES (25496, '23/05/2020', '23', '5', '2020', '78', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '5.91312553');
INSERT INTO public.ecdc_import VALUES (25497, '22/05/2020', '22', '5', '2020', '138', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '5.37153295');
INSERT INTO public.ecdc_import VALUES (25498, '21/05/2020', '21', '5', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.33274063');
INSERT INTO public.ecdc_import VALUES (25499, '20/05/2020', '20', '5', '2020', '63', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '4.3948906');
INSERT INTO public.ecdc_import VALUES (25500, '19/05/2020', '19', '5', '2020', '77', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.84441945');
INSERT INTO public.ecdc_import VALUES (25501, '18/05/2020', '18', '5', '2020', '98', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '3.29394831');
INSERT INTO public.ecdc_import VALUES (25502, '17/05/2020', '17', '5', '2020', '48', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '2.42384875');
INSERT INTO public.ecdc_import VALUES (25503, '16/05/2020', '16', '5', '2020', '37', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.99767754');
INSERT INTO public.ecdc_import VALUES (25504, '15/05/2020', '15', '5', '2020', '39', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.70468484');
INSERT INTO public.ecdc_import VALUES (25505, '14/05/2020', '14', '5', '2020', '15', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.40281356');
INSERT INTO public.ecdc_import VALUES (25506, '13/05/2020', '13', '5', '2020', '10', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.26963506');
INSERT INTO public.ecdc_import VALUES (25507, '12/05/2020', '12', '5', '2020', '27', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '1.18084939');
INSERT INTO public.ecdc_import VALUES (25508, '11/05/2020', '11', '5', '2020', '31', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.97664236');
INSERT INTO public.ecdc_import VALUES (25509, '10/05/2020', '10', '5', '2020', '5', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.70140678');
INSERT INTO public.ecdc_import VALUES (25510, '09/05/2020', '9', '5', '2020', '17', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.65701395');
INSERT INTO public.ecdc_import VALUES (25511, '08/05/2020', '8', '5', '2020', '21', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.50607831');
INSERT INTO public.ecdc_import VALUES (25512, '07/05/2020', '7', '5', '2020', '7', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.40841408');
INSERT INTO public.ecdc_import VALUES (25513, '06/05/2020', '6', '5', '2020', '1', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.38177838');
INSERT INTO public.ecdc_import VALUES (25514, '05/05/2020', '5', '5', '2020', '15', '3', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.38177838');
INSERT INTO public.ecdc_import VALUES (25515, '04/05/2020', '4', '5', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.33738554');
INSERT INTO public.ecdc_import VALUES (25516, '03/05/2020', '3', '5', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.36402124');
INSERT INTO public.ecdc_import VALUES (25517, '02/05/2020', '2', '5', '2020', '4', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.36402124');
INSERT INTO public.ecdc_import VALUES (25518, '01/05/2020', '1', '5', '2020', '5', '2', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.33738554');
INSERT INTO public.ecdc_import VALUES (25519, '30/04/2020', '30', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.31074984');
INSERT INTO public.ecdc_import VALUES (25520, '29/04/2020', '29', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.31962841');
INSERT INTO public.ecdc_import VALUES (25521, '28/04/2020', '28', '4', '2020', '4', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.31962841');
INSERT INTO public.ecdc_import VALUES (25522, '27/04/2020', '27', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.34626411');
INSERT INTO public.ecdc_import VALUES (25523, '26/04/2020', '26', '4', '2020', '0', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.34626411');
INSERT INTO public.ecdc_import VALUES (25524, '25/04/2020', '25', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.36402124');
INSERT INTO public.ecdc_import VALUES (25525, '24/04/2020', '24', '4', '2020', '10', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.37289981');
INSERT INTO public.ecdc_import VALUES (25526, '23/04/2020', '23', '4', '2020', '4', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.31074984');
INSERT INTO public.ecdc_import VALUES (25527, '22/04/2020', '22', '4', '2020', '1', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.29299271');
INSERT INTO public.ecdc_import VALUES (25528, '21/04/2020', '21', '4', '2020', '10', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.29299271');
INSERT INTO public.ecdc_import VALUES (25529, '20/04/2020', '20', '4', '2020', '3', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.23084274');
INSERT INTO public.ecdc_import VALUES (25530, '19/04/2020', '19', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.20420704');
INSERT INTO public.ecdc_import VALUES (25531, '18/04/2020', '18', '4', '2020', '1', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.23084274');
INSERT INTO public.ecdc_import VALUES (25532, '17/04/2020', '17', '4', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.22196417');
INSERT INTO public.ecdc_import VALUES (25533, '16/04/2020', '16', '4', '2020', '1', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.22196417');
INSERT INTO public.ecdc_import VALUES (25534, '15/04/2020', '15', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.22196417');
INSERT INTO public.ecdc_import VALUES (25535, '14/04/2020', '14', '4', '2020', '7', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.22196417');
INSERT INTO public.ecdc_import VALUES (25536, '13/04/2020', '13', '4', '2020', '0', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.1598142');
INSERT INTO public.ecdc_import VALUES (25537, '12/04/2020', '12', '4', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.22196417');
INSERT INTO public.ecdc_import VALUES (25538, '11/04/2020', '11', '4', '2020', '1', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.20420704');
INSERT INTO public.ecdc_import VALUES (25539, '10/04/2020', '10', '4', '2020', '3', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.19532847');
INSERT INTO public.ecdc_import VALUES (25540, '09/04/2020', '9', '4', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.16869277');
INSERT INTO public.ecdc_import VALUES (25541, '08/04/2020', '8', '4', '2020', '1', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.1598142');
INSERT INTO public.ecdc_import VALUES (25542, '07/04/2020', '7', '4', '2020', '3', '1', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.16869277');
INSERT INTO public.ecdc_import VALUES (25543, '06/04/2020', '6', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.16869277');
INSERT INTO public.ecdc_import VALUES (25544, '05/04/2020', '5', '4', '2020', '3', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.16869277');
INSERT INTO public.ecdc_import VALUES (25545, '04/04/2020', '4', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.14205707');
INSERT INTO public.ecdc_import VALUES (25546, '03/04/2020', '3', '4', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.14205707');
INSERT INTO public.ecdc_import VALUES (25547, '02/04/2020', '2', '4', '2020', '1', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '0.14205707');
INSERT INTO public.ecdc_import VALUES (25548, '01/04/2020', '1', '4', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25549, '31/03/2020', '31', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25550, '30/03/2020', '30', '3', '2020', '7', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25551, '29/03/2020', '29', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25552, '28/03/2020', '28', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25553, '27/03/2020', '27', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25554, '26/03/2020', '26', '3', '2020', '1', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25555, '25/03/2020', '25', '3', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25556, '24/03/2020', '24', '3', '2020', '3', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25557, '23/03/2020', '23', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25558, '22/03/2020', '22', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25559, '21/03/2020', '21', '3', '2020', '0', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25560, '20/03/2020', '20', '3', '2020', '2', '0', '11263079', 'Haiti', 'HT', 'HTI', 'America', '');
INSERT INTO public.ecdc_import VALUES (25561, '14/12/2020', '14', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25562, '13/12/2020', '13', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25563, '12/12/2020', '12', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25564, '11/12/2020', '11', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25565, '10/12/2020', '10', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25566, '09/12/2020', '9', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25567, '08/12/2020', '8', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25568, '07/12/2020', '7', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25569, '06/12/2020', '6', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25570, '05/12/2020', '5', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25571, '04/12/2020', '4', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25572, '03/12/2020', '3', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25573, '02/12/2020', '2', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25574, '01/12/2020', '1', '12', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25575, '30/11/2020', '30', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25576, '29/11/2020', '29', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25577, '28/11/2020', '28', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25578, '27/11/2020', '27', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25579, '26/11/2020', '26', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25580, '25/11/2020', '25', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25581, '24/11/2020', '24', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25582, '23/11/2020', '23', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25583, '22/11/2020', '22', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25584, '21/11/2020', '21', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25585, '20/11/2020', '20', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25586, '19/11/2020', '19', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25587, '18/11/2020', '18', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25588, '17/11/2020', '17', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25589, '16/11/2020', '16', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25590, '15/11/2020', '15', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25591, '14/11/2020', '14', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25592, '13/11/2020', '13', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25593, '12/11/2020', '12', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25594, '11/11/2020', '11', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25595, '10/11/2020', '10', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25596, '09/11/2020', '9', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25597, '08/11/2020', '8', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25598, '07/11/2020', '7', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25599, '06/11/2020', '6', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25600, '05/11/2020', '5', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25601, '04/11/2020', '4', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25602, '03/11/2020', '3', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25603, '02/11/2020', '2', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25604, '01/11/2020', '1', '11', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25605, '31/10/2020', '31', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25606, '30/10/2020', '30', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25607, '29/10/2020', '29', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25608, '28/10/2020', '28', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25609, '27/10/2020', '27', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25610, '26/10/2020', '26', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25611, '25/10/2020', '25', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25612, '24/10/2020', '24', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25613, '23/10/2020', '23', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25614, '22/10/2020', '22', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25615, '21/10/2020', '21', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25616, '20/10/2020', '20', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25617, '19/10/2020', '19', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25618, '18/10/2020', '18', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25619, '17/10/2020', '17', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25620, '16/10/2020', '16', '10', '2020', '7', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '1717.79141104');
INSERT INTO public.ecdc_import VALUES (25621, '15/10/2020', '15', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25622, '14/10/2020', '14', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25623, '13/10/2020', '13', '10', '2020', '7', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25624, '12/10/2020', '12', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25625, '11/10/2020', '11', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25626, '10/10/2020', '10', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25627, '09/10/2020', '9', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25628, '08/10/2020', '8', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25629, '07/10/2020', '7', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25630, '06/10/2020', '6', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25631, '05/10/2020', '5', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25632, '04/10/2020', '4', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25633, '03/10/2020', '3', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25634, '02/10/2020', '2', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25635, '01/10/2020', '1', '10', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25636, '30/09/2020', '30', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25637, '29/09/2020', '29', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25638, '28/09/2020', '28', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25639, '27/09/2020', '27', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25640, '26/09/2020', '26', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25641, '25/09/2020', '25', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25642, '24/09/2020', '24', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25643, '23/09/2020', '23', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25644, '22/09/2020', '22', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25645, '21/09/2020', '21', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25646, '20/09/2020', '20', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25647, '19/09/2020', '19', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25648, '18/09/2020', '18', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25649, '17/09/2020', '17', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25650, '16/09/2020', '16', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25651, '15/09/2020', '15', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25652, '14/09/2020', '14', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25653, '13/09/2020', '13', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25654, '12/09/2020', '12', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25655, '11/09/2020', '11', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25656, '10/09/2020', '10', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25657, '09/09/2020', '9', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25658, '08/09/2020', '8', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25659, '07/09/2020', '7', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25660, '06/09/2020', '6', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25661, '05/09/2020', '5', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25662, '04/09/2020', '4', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25663, '03/09/2020', '3', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25664, '02/09/2020', '2', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25665, '01/09/2020', '1', '9', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25666, '31/08/2020', '31', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25667, '30/08/2020', '30', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25668, '29/08/2020', '29', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25669, '28/08/2020', '28', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25670, '27/08/2020', '27', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25671, '26/08/2020', '26', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25672, '25/08/2020', '25', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25673, '24/08/2020', '24', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25674, '23/08/2020', '23', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25675, '22/08/2020', '22', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25676, '21/08/2020', '21', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25677, '20/08/2020', '20', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25678, '19/08/2020', '19', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25679, '18/08/2020', '18', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25680, '17/08/2020', '17', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25681, '16/08/2020', '16', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25682, '15/08/2020', '15', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25683, '14/08/2020', '14', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25684, '13/08/2020', '13', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25685, '12/08/2020', '12', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25686, '11/08/2020', '11', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25687, '10/08/2020', '10', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25688, '09/08/2020', '9', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25689, '08/08/2020', '8', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25690, '07/08/2020', '7', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25691, '06/08/2020', '6', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25692, '05/08/2020', '5', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25693, '04/08/2020', '4', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25694, '03/08/2020', '3', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25695, '02/08/2020', '2', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25696, '01/08/2020', '1', '8', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25697, '31/07/2020', '31', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25698, '30/07/2020', '30', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25699, '29/07/2020', '29', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25700, '28/07/2020', '28', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25701, '27/07/2020', '27', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25702, '26/07/2020', '26', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25703, '25/07/2020', '25', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25704, '24/07/2020', '24', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25705, '23/07/2020', '23', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25706, '22/07/2020', '22', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25707, '21/07/2020', '21', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25708, '20/07/2020', '20', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25709, '19/07/2020', '19', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25710, '18/07/2020', '18', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25711, '17/07/2020', '17', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25712, '16/07/2020', '16', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25713, '15/07/2020', '15', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25714, '14/07/2020', '14', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25715, '13/07/2020', '13', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25716, '12/07/2020', '12', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25717, '11/07/2020', '11', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25718, '10/07/2020', '10', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25719, '09/07/2020', '9', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25720, '08/07/2020', '8', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25721, '07/07/2020', '7', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25722, '06/07/2020', '6', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25723, '05/07/2020', '5', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25724, '04/07/2020', '4', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25725, '03/07/2020', '3', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25726, '02/07/2020', '2', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25727, '01/07/2020', '1', '7', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25728, '30/06/2020', '30', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25729, '29/06/2020', '29', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25730, '28/06/2020', '28', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25731, '27/06/2020', '27', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25732, '26/06/2020', '26', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25733, '25/06/2020', '25', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25734, '24/06/2020', '24', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25735, '23/06/2020', '23', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25736, '22/06/2020', '22', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25737, '21/06/2020', '21', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25738, '20/06/2020', '20', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25739, '19/06/2020', '19', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25740, '18/06/2020', '18', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25741, '17/06/2020', '17', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25742, '16/06/2020', '16', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25743, '15/06/2020', '15', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25744, '14/06/2020', '14', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25745, '13/06/2020', '13', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25746, '12/06/2020', '12', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25747, '11/06/2020', '11', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25748, '10/06/2020', '10', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25749, '09/06/2020', '9', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25750, '08/06/2020', '8', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25751, '07/06/2020', '7', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25752, '06/06/2020', '6', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25753, '05/06/2020', '5', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25754, '04/06/2020', '4', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25755, '03/06/2020', '3', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25756, '02/06/2020', '2', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25757, '01/06/2020', '1', '6', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25758, '31/05/2020', '31', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25759, '30/05/2020', '30', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25760, '29/05/2020', '29', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25761, '28/05/2020', '28', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25762, '27/05/2020', '27', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25763, '26/05/2020', '26', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25764, '25/05/2020', '25', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25765, '24/05/2020', '24', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25766, '23/05/2020', '23', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25767, '22/05/2020', '22', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25768, '21/05/2020', '21', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (25769, '20/05/2020', '20', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25770, '19/05/2020', '19', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25771, '18/05/2020', '18', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25772, '17/05/2020', '17', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25773, '16/05/2020', '16', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25774, '15/05/2020', '15', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25775, '14/05/2020', '14', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25776, '13/05/2020', '13', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25777, '12/05/2020', '12', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25778, '11/05/2020', '11', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25779, '10/05/2020', '10', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25780, '09/05/2020', '9', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25781, '08/05/2020', '8', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25782, '07/05/2020', '7', '5', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25783, '06/05/2020', '6', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25784, '05/05/2020', '5', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25785, '04/05/2020', '4', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25786, '03/05/2020', '3', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25787, '02/05/2020', '2', '5', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25788, '01/05/2020', '1', '5', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25789, '30/04/2020', '30', '4', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25790, '29/04/2020', '29', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25791, '28/04/2020', '28', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25792, '27/04/2020', '27', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25793, '26/04/2020', '26', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25794, '25/04/2020', '25', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25795, '24/04/2020', '24', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25796, '23/04/2020', '23', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25797, '22/04/2020', '22', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25798, '21/04/2020', '21', '4', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25799, '20/04/2020', '20', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25800, '19/04/2020', '19', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25801, '18/04/2020', '18', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '122.6993865');
INSERT INTO public.ecdc_import VALUES (25802, '17/04/2020', '17', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25803, '16/04/2020', '16', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25804, '15/04/2020', '15', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25805, '14/04/2020', '14', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25806, '13/04/2020', '13', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25807, '12/04/2020', '12', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '245.39877301');
INSERT INTO public.ecdc_import VALUES (25808, '11/04/2020', '11', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25809, '10/04/2020', '10', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '368.09815951');
INSERT INTO public.ecdc_import VALUES (25810, '09/04/2020', '9', '4', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '858.89570552');
INSERT INTO public.ecdc_import VALUES (25811, '08/04/2020', '8', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '736.19631902');
INSERT INTO public.ecdc_import VALUES (25812, '07/04/2020', '7', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '736.19631902');
INSERT INTO public.ecdc_import VALUES (25813, '06/04/2020', '6', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '736.19631902');
INSERT INTO public.ecdc_import VALUES (25814, '05/04/2020', '5', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '736.19631902');
INSERT INTO public.ecdc_import VALUES (25815, '04/04/2020', '4', '4', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '736.19631902');
INSERT INTO public.ecdc_import VALUES (25816, '03/04/2020', '3', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25817, '02/04/2020', '2', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25818, '01/04/2020', '1', '4', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25819, '31/03/2020', '31', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25820, '30/03/2020', '30', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25821, '29/03/2020', '29', '3', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25822, '28/03/2020', '28', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '613.49693252');
INSERT INTO public.ecdc_import VALUES (25823, '27/03/2020', '27', '3', '2020', '4', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25824, '26/03/2020', '26', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25825, '25/03/2020', '25', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25826, '24/03/2020', '24', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25827, '23/03/2020', '23', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25828, '22/03/2020', '22', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25829, '21/03/2020', '21', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25830, '20/03/2020', '20', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25831, '19/03/2020', '19', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25832, '18/03/2020', '18', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25833, '17/03/2020', '17', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25834, '16/03/2020', '16', '3', '2020', '0', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25835, '07/03/2020', '7', '3', '2020', '1', '0', '815', 'Holy_See', 'VA', 'VAT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (25836, '14/12/2020', '14', '12', '2020', '316', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '66.3956869');
INSERT INTO public.ecdc_import VALUES (25837, '13/12/2020', '13', '12', '2020', '335', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '67.00105632');
INSERT INTO public.ecdc_import VALUES (25838, '12/12/2020', '12', '12', '2020', '501', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '67.45251826');
INSERT INTO public.ecdc_import VALUES (25839, '11/12/2020', '11', '12', '2020', '415', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '66.96001432');
INSERT INTO public.ecdc_import VALUES (25840, '10/12/2020', '10', '12', '2020', '617', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '68.49908912');
INSERT INTO public.ecdc_import VALUES (25841, '09/12/2020', '9', '12', '2020', '1152', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '71.45411274');
INSERT INTO public.ecdc_import VALUES (25842, '08/12/2020', '8', '12', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '62.67112588');
INSERT INTO public.ecdc_import VALUES (25843, '07/12/2020', '7', '12', '2020', '300', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '67.59616524');
INSERT INTO public.ecdc_import VALUES (25844, '06/12/2020', '6', '12', '2020', '763', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '64.51801564');
INSERT INTO public.ecdc_import VALUES (25845, '05/12/2020', '5', '12', '2020', '200', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '66.4059474');
INSERT INTO public.ecdc_import VALUES (25846, '04/12/2020', '4', '12', '2020', '616', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '64.35384766');
INSERT INTO public.ecdc_import VALUES (25847, '03/12/2020', '3', '12', '2020', '503', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '58.03338048');
INSERT INTO public.ecdc_import VALUES (25848, '02/12/2020', '2', '12', '2020', '388', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '52.87234965');
INSERT INTO public.ecdc_import VALUES (25849, '01/12/2020', '1', '12', '2020', '365', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '51.44614033');
INSERT INTO public.ecdc_import VALUES (25850, '30/11/2020', '30', '11', '2020', '375', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '49.10674664');
INSERT INTO public.ecdc_import VALUES (25851, '29/11/2020', '29', '11', '2020', '379', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '50.87155241');
INSERT INTO public.ecdc_import VALUES (25852, '28/11/2020', '28', '11', '2020', '453', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '51.86682078');
INSERT INTO public.ecdc_import VALUES (25853, '27/11/2020', '27', '11', '2020', '565', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '53.48797957');
INSERT INTO public.ecdc_import VALUES (25854, '26/11/2020', '26', '11', '2020', '905', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '50.75868692');
INSERT INTO public.ecdc_import VALUES (25855, '25/11/2020', '25', '11', '2020', '296', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '45.21801764');
INSERT INTO public.ecdc_import VALUES (25856, '24/11/2020', '24', '11', '2020', '480', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '44.55108523');
INSERT INTO public.ecdc_import VALUES (25857, '23/11/2020', '23', '11', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '40.29297828');
INSERT INTO public.ecdc_import VALUES (25858, '22/11/2020', '22', '11', '2020', '947', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '45.08463116');
INSERT INTO public.ecdc_import VALUES (25859, '21/11/2020', '21', '11', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '40.1390708');
INSERT INTO public.ecdc_import VALUES (25860, '20/11/2020', '20', '11', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '42.48872499');
INSERT INTO public.ecdc_import VALUES (25861, '19/11/2020', '19', '11', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '44.7768162');
INSERT INTO public.ecdc_import VALUES (25862, '18/11/2020', '18', '11', '2020', '249', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '49.25039362');
INSERT INTO public.ecdc_import VALUES (25863, '17/11/2020', '17', '11', '2020', '137', '16', '9746115', 'Honduras', 'HN', 'HND', 'America', '49.59925057');
INSERT INTO public.ecdc_import VALUES (25864, '16/11/2020', '16', '11', '2020', '547', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '50.1738385');
INSERT INTO public.ecdc_import VALUES (25865, '15/11/2020', '15', '11', '2020', '476', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '52.85182865');
INSERT INTO public.ecdc_import VALUES (25866, '14/11/2020', '14', '11', '2020', '611', '16', '9746115', 'Honduras', 'HN', 'HND', 'America', '53.2622486');
INSERT INTO public.ecdc_import VALUES (25867, '13/11/2020', '13', '11', '2020', '299', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '54.56533193');
INSERT INTO public.ecdc_import VALUES (25868, '12/11/2020', '12', '11', '2020', '365', '17', '9746115', 'Honduras', 'HN', 'HND', 'America', '61.25517706');
INSERT INTO public.ecdc_import VALUES (25869, '11/11/2020', '11', '11', '2020', '231', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '63.42014228');
INSERT INTO public.ecdc_import VALUES (25870, '10/11/2020', '10', '11', '2020', '65', '14', '9746115', 'Honduras', 'HN', 'HND', 'America', '67.79111472');
INSERT INTO public.ecdc_import VALUES (25871, '09/11/2020', '9', '11', '2020', '467', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '74.8400773');
INSERT INTO public.ecdc_import VALUES (25872, '08/11/2020', '8', '11', '2020', '465', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '75.07606877');
INSERT INTO public.ecdc_import VALUES (25873, '07/11/2020', '7', '11', '2020', '229', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.94427677');
INSERT INTO public.ecdc_import VALUES (25874, '06/11/2020', '6', '11', '2020', '223', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '80.42178858');
INSERT INTO public.ecdc_import VALUES (25875, '05/11/2020', '5', '11', '2020', '436', '24', '9746115', 'Honduras', 'HN', 'HND', 'America', '82.5559723');
INSERT INTO public.ecdc_import VALUES (25876, '04/11/2020', '4', '11', '2020', '283', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '86.76277676');
INSERT INTO public.ecdc_import VALUES (25877, '03/11/2020', '3', '11', '2020', '193', '13', '9746115', 'Honduras', 'HN', 'HND', 'America', '92.59074');
INSERT INTO public.ecdc_import VALUES (25878, '02/11/2020', '2', '11', '2020', '808', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.41950049');
INSERT INTO public.ecdc_import VALUES (25879, '01/11/2020', '1', '11', '2020', '516', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.65549196');
INSERT INTO public.ecdc_import VALUES (25880, '31/10/2020', '31', '10', '2020', '738', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '104.62630494');
INSERT INTO public.ecdc_import VALUES (25881, '30/10/2020', '30', '10', '2020', '951', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '103.23087712');
INSERT INTO public.ecdc_import VALUES (25882, '29/10/2020', '29', '10', '2020', '576', '13', '9746115', 'Honduras', 'HN', 'HND', 'America', '99.94751755');
INSERT INTO public.ecdc_import VALUES (25883, '28/10/2020', '28', '10', '2020', '657', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.25533251');
INSERT INTO public.ecdc_import VALUES (25884, '27/10/2020', '27', '10', '2020', '752', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '98.0185438');
INSERT INTO public.ecdc_import VALUES (25885, '26/10/2020', '26', '10', '2020', '490', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '93.70913436');
INSERT INTO public.ecdc_import VALUES (25886, '25/10/2020', '25', '10', '2020', '842', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '98.27505627');
INSERT INTO public.ecdc_import VALUES (25887, '24/10/2020', '24', '10', '2020', '373', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '95.7304526');
INSERT INTO public.ecdc_import VALUES (25888, '23/10/2020', '23', '10', '2020', '431', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.93252542');
INSERT INTO public.ecdc_import VALUES (25889, '22/10/2020', '22', '10', '2020', '846', '14', '9746115', 'Honduras', 'HN', 'HND', 'America', '103.24113762');
INSERT INTO public.ecdc_import VALUES (25890, '21/10/2020', '21', '10', '2020', '851', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '98.19297228');
INSERT INTO public.ecdc_import VALUES (25891, '20/10/2020', '20', '10', '2020', '956', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '96.04852805');
INSERT INTO public.ecdc_import VALUES (25892, '19/10/2020', '19', '10', '2020', '831', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '90.25134631');
INSERT INTO public.ecdc_import VALUES (25893, '18/10/2020', '18', '10', '2020', '903', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '90.35395129');
INSERT INTO public.ecdc_import VALUES (25894, '17/10/2020', '17', '10', '2020', '602', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '86.4139198');
INSERT INTO public.ecdc_import VALUES (25895, '16/10/2020', '16', '10', '2020', '631', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '87.12189421');
INSERT INTO public.ecdc_import VALUES (25896, '15/10/2020', '15', '10', '2020', '606', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '87.80934762');
INSERT INTO public.ecdc_import VALUES (25897, '14/10/2020', '14', '10', '2020', '439', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '89.82040536');
INSERT INTO public.ecdc_import VALUES (25898, '13/10/2020', '13', '10', '2020', '332', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '91.0721862');
INSERT INTO public.ecdc_import VALUES (25899, '12/10/2020', '12', '10', '2020', '935', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '92.05719407');
INSERT INTO public.ecdc_import VALUES (25900, '11/10/2020', '11', '10', '2020', '594', '12', '9746115', 'Honduras', 'HN', 'HND', 'America', '88.21976757');
INSERT INTO public.ecdc_import VALUES (25901, '10/10/2020', '10', '10', '2020', '880', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '89.38946442');
INSERT INTO public.ecdc_import VALUES (25902, '09/10/2020', '9', '10', '2020', '656', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '86.99876823');
INSERT INTO public.ecdc_import VALUES (25903, '08/10/2020', '8', '10', '2020', '354', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '85.58281941');
INSERT INTO public.ecdc_import VALUES (25904, '07/10/2020', '7', '10', '2020', '642', '14', '9746115', 'Honduras', 'HN', 'HND', 'America', '85.73672689');
INSERT INTO public.ecdc_import VALUES (25905, '06/10/2020', '6', '10', '2020', '391', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '81.51966194');
INSERT INTO public.ecdc_import VALUES (25906, '05/10/2020', '5', '10', '2020', '841', '23', '9746115', 'Honduras', 'HN', 'HND', 'America', '82.21737585');
INSERT INTO public.ecdc_import VALUES (25907, '04/10/2020', '4', '10', '2020', '519', '13', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.44151234');
INSERT INTO public.ecdc_import VALUES (25908, '03/10/2020', '3', '10', '2020', '671', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.57489882');
INSERT INTO public.ecdc_import VALUES (25909, '02/10/2020', '2', '10', '2020', '698', '27', '9746115', 'Honduras', 'HN', 'HND', 'America', '76.72800906');
INSERT INTO public.ecdc_import VALUES (25910, '01/10/2020', '1', '10', '2020', '802', '30', '9746115', 'Honduras', 'HN', 'HND', 'America', '74.28601037');
INSERT INTO public.ecdc_import VALUES (25911, '30/09/2020', '30', '9', '2020', '561', '22', '9746115', 'Honduras', 'HN', 'HND', 'America', '76.72800906');
INSERT INTO public.ecdc_import VALUES (25912, '29/09/2020', '29', '9', '2020', '428', '12', '9746115', 'Honduras', 'HN', 'HND', 'America', '70.9718693');
INSERT INTO public.ecdc_import VALUES (25913, '28/09/2020', '28', '9', '2020', '561', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '75.10685027');
INSERT INTO public.ecdc_import VALUES (25914, '27/09/2020', '27', '9', '2020', '708', '17', '9746115', 'Honduras', 'HN', 'HND', 'America', '76.05081615');
INSERT INTO public.ecdc_import VALUES (25915, '26/09/2020', '26', '9', '2020', '647', '22', '9746115', 'Honduras', 'HN', 'HND', 'America', '79.93954514');
INSERT INTO public.ecdc_import VALUES (25916, '25/09/2020', '25', '9', '2020', '518', '27', '9746115', 'Honduras', 'HN', 'HND', 'America', '75.83534567');
INSERT INTO public.ecdc_import VALUES (25917, '24/09/2020', '24', '9', '2020', '369', '16', '9746115', 'Honduras', 'HN', 'HND', 'America', '72.62380959');
INSERT INTO public.ecdc_import VALUES (25918, '23/09/2020', '23', '9', '2020', '231', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '72.72641458');
INSERT INTO public.ecdc_import VALUES (25919, '22/09/2020', '22', '9', '2020', '459', '20', '9746115', 'Honduras', 'HN', 'HND', 'America', '74.50148085');
INSERT INTO public.ecdc_import VALUES (25920, '21/09/2020', '21', '9', '2020', '473', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '70.30493689');
INSERT INTO public.ecdc_import VALUES (25921, '20/09/2020', '20', '9', '2020', '532', '20', '9746115', 'Honduras', 'HN', 'HND', 'America', '69.67904647');
INSERT INTO public.ecdc_import VALUES (25922, '19/09/2020', '19', '9', '2020', '491', '24', '9746115', 'Honduras', 'HN', 'HND', 'America', '69.90477744');
INSERT INTO public.ecdc_import VALUES (25923, '18/09/2020', '18', '9', '2020', '460', '20', '9746115', 'Honduras', 'HN', 'HND', 'America', '71.43359174');
INSERT INTO public.ecdc_import VALUES (25924, '17/09/2020', '17', '9', '2020', '1040', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '73.19839752');
INSERT INTO public.ecdc_import VALUES (25925, '16/09/2020', '16', '9', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '70.29467639');
INSERT INTO public.ecdc_import VALUES (25926, '15/09/2020', '15', '9', '2020', '831', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.04135289');
INSERT INTO public.ecdc_import VALUES (25927, '14/09/2020', '14', '9', '2020', '653', '14', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.13369738');
INSERT INTO public.ecdc_import VALUES (25928, '13/09/2020', '13', '9', '2020', '1087', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '76.86139554');
INSERT INTO public.ecdc_import VALUES (25929, '12/09/2020', '12', '9', '2020', '247', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '74.27574988');
INSERT INTO public.ecdc_import VALUES (25930, '11/09/2020', '11', '9', '2020', '205', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '83.44863569');
INSERT INTO public.ecdc_import VALUES (25931, '10/09/2020', '10', '9', '2020', '379', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '91.8109421');
INSERT INTO public.ecdc_import VALUES (25932, '09/09/2020', '9', '9', '2020', '404', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '99.92699655');
INSERT INTO public.ecdc_import VALUES (25933, '08/09/2020', '8', '9', '2020', '50', '16', '9746115', 'Honduras', 'HN', 'HND', 'America', '95.78175509');
INSERT INTO public.ecdc_import VALUES (25934, '07/09/2020', '7', '9', '2020', '412', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '105.20089287');
INSERT INTO public.ecdc_import VALUES (25935, '06/09/2020', '6', '9', '2020', '554', '22', '9746115', 'Honduras', 'HN', 'HND', 'America', '106.39111071');
INSERT INTO public.ecdc_import VALUES (25936, '05/09/2020', '5', '9', '2020', '640', '30', '9746115', 'Honduras', 'HN', 'HND', 'America', '106.88361465');
INSERT INTO public.ecdc_import VALUES (25937, '04/09/2020', '4', '9', '2020', '632', '30', '9746115', 'Honduras', 'HN', 'HND', 'America', '106.08329575');
INSERT INTO public.ecdc_import VALUES (25938, '03/09/2020', '3', '9', '2020', '757', '36', '9746115', 'Honduras', 'HN', 'HND', 'America', '104.9649014');
INSERT INTO public.ecdc_import VALUES (25939, '02/09/2020', '2', '9', '2020', '755', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '103.62077607');
INSERT INTO public.ecdc_import VALUES (25940, '01/09/2020', '1', '9', '2020', '840', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '102.79993618');
INSERT INTO public.ecdc_import VALUES (25941, '31/08/2020', '31', '8', '2020', '529', '16', '9746115', 'Honduras', 'HN', 'HND', 'America', '99.23954314');
INSERT INTO public.ecdc_import VALUES (25942, '30/08/2020', '30', '8', '2020', '835', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '99.17798015');
INSERT INTO public.ecdc_import VALUES (25943, '29/08/2020', '29', '8', '2020', '1141', '24', '9746115', 'Honduras', 'HN', 'HND', 'America', '95.86383908');
INSERT INTO public.ecdc_import VALUES (25944, '28/08/2020', '28', '8', '2020', '1020', '56', '9746115', 'Honduras', 'HN', 'HND', 'America', '88.51732203');
INSERT INTO public.ecdc_import VALUES (25945, '27/08/2020', '27', '8', '2020', '1170', '64', '9746115', 'Honduras', 'HN', 'HND', 'America', '82.00190537');
INSERT INTO public.ecdc_import VALUES (25946, '26/08/2020', '26', '8', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '72.60328859');
INSERT INTO public.ecdc_import VALUES (25947, '25/08/2020', '25', '8', '2020', '968', '29', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.05161339');
INSERT INTO public.ecdc_import VALUES (25948, '24/08/2020', '24', '8', '2020', '528', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '72.40833912');
INSERT INTO public.ecdc_import VALUES (25949, '23/08/2020', '23', '8', '2020', '602', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '71.89531418');
INSERT INTO public.ecdc_import VALUES (25950, '22/08/2020', '22', '8', '2020', '562', '13', '9746115', 'Honduras', 'HN', 'HND', 'America', '71.98765867');
INSERT INTO public.ecdc_import VALUES (25951, '21/08/2020', '21', '8', '2020', '523', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '72.48016261');
INSERT INTO public.ecdc_import VALUES (25952, '20/08/2020', '20', '8', '2020', '626', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '73.85506943');
INSERT INTO public.ecdc_import VALUES (25953, '19/08/2020', '19', '8', '2020', '675', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '75.6301357');
INSERT INTO public.ecdc_import VALUES (25954, '18/08/2020', '18', '8', '2020', '493', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '73.88585093');
INSERT INTO public.ecdc_import VALUES (25955, '17/08/2020', '17', '8', '2020', '523', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '74.95294279');
INSERT INTO public.ecdc_import VALUES (25956, '16/08/2020', '16', '8', '2020', '512', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '74.8400773');
INSERT INTO public.ecdc_import VALUES (25957, '15/08/2020', '15', '8', '2020', '425', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '72.49042311');
INSERT INTO public.ecdc_import VALUES (25958, '14/08/2020', '14', '8', '2020', '385', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.14395787');
INSERT INTO public.ecdc_import VALUES (25959, '13/08/2020', '13', '8', '2020', '254', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '79.13922625');
INSERT INTO public.ecdc_import VALUES (25960, '12/08/2020', '12', '8', '2020', '531', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '81.49914094');
INSERT INTO public.ecdc_import VALUES (25961, '11/08/2020', '11', '8', '2020', '418', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '83.42811469');
INSERT INTO public.ecdc_import VALUES (25962, '10/08/2020', '10', '8', '2020', '478', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '83.91035813');
INSERT INTO public.ecdc_import VALUES (25963, '09/08/2020', '9', '8', '2020', '611', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '87.60413765');
INSERT INTO public.ecdc_import VALUES (25964, '08/08/2020', '8', '8', '2020', '610', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '90.35395129');
INSERT INTO public.ecdc_import VALUES (25965, '07/08/2020', '7', '8', '2020', '657', '23', '9746115', 'Honduras', 'HN', 'HND', 'America', '90.83619473');
INSERT INTO public.ecdc_import VALUES (25966, '06/08/2020', '6', '8', '2020', '799', '23', '9746115', 'Honduras', 'HN', 'HND', 'America', '92.30344604');
INSERT INTO public.ecdc_import VALUES (25967, '05/08/2020', '5', '8', '2020', '505', '16', '9746115', 'Honduras', 'HN', 'HND', 'America', '91.8725051');
INSERT INTO public.ecdc_import VALUES (25968, '04/08/2020', '4', '8', '2020', '597', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '94.22215929');
INSERT INTO public.ecdc_import VALUES (25969, '03/08/2020', '3', '8', '2020', '512', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '96.05878855');
INSERT INTO public.ecdc_import VALUES (25970, '02/08/2020', '2', '8', '2020', '283', '31', '9746115', 'Honduras', 'HN', 'HND', 'America', '101.49685285');
INSERT INTO public.ecdc_import VALUES (25971, '01/08/2020', '1', '8', '2020', '976', '25', '9746115', 'Honduras', 'HN', 'HND', 'America', '109.34613433');
INSERT INTO public.ecdc_import VALUES (25972, '31/07/2020', '31', '7', '2020', '482', '53', '9746115', 'Honduras', 'HN', 'HND', 'America', '108.34060546');
INSERT INTO public.ecdc_import VALUES (25973, '30/07/2020', '30', '7', '2020', '484', '45', '9746115', 'Honduras', 'HN', 'HND', 'America', '111.9215195');
INSERT INTO public.ecdc_import VALUES (25974, '29/07/2020', '29', '7', '2020', '719', '48', '9746115', 'Honduras', 'HN', 'HND', 'America', '116.4977019');
INSERT INTO public.ecdc_import VALUES (25975, '28/07/2020', '28', '7', '2020', '465', '50', '9746115', 'Honduras', 'HN', 'HND', 'America', '114.52768616');
INSERT INTO public.ecdc_import VALUES (25976, '27/07/2020', '27', '7', '2020', '838', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '114.77393813');
INSERT INTO public.ecdc_import VALUES (25977, '26/07/2020', '26', '7', '2020', '879', '37', '9746115', 'Honduras', 'HN', 'HND', 'America', '111.37771307');
INSERT INTO public.ecdc_import VALUES (25978, '25/07/2020', '25', '7', '2020', '657', '50', '9746115', 'Honduras', 'HN', 'HND', 'America', '107.79679903');
INSERT INTO public.ecdc_import VALUES (25979, '24/07/2020', '24', '7', '2020', '800', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '107.91992502');
INSERT INTO public.ecdc_import VALUES (25980, '23/07/2020', '23', '7', '2020', '757', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '103.87728854');
INSERT INTO public.ecdc_import VALUES (25981, '22/07/2020', '22', '7', '2020', '734', '53', '9746115', 'Honduras', 'HN', 'HND', 'America', '101.75336532');
INSERT INTO public.ecdc_import VALUES (25982, '21/07/2020', '21', '7', '2020', '776', '35', '9746115', 'Honduras', 'HN', 'HND', 'America', '102.05091978');
INSERT INTO public.ecdc_import VALUES (25983, '20/07/2020', '20', '7', '2020', '1042', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '101.49685285');
INSERT INTO public.ecdc_import VALUES (25984, '19/07/2020', '19', '7', '2020', '1048', '34', '9746115', 'Honduras', 'HN', 'HND', 'America', '101.29164288');
INSERT INTO public.ecdc_import VALUES (25985, '18/07/2020', '18', '7', '2020', '878', '22', '9746115', 'Honduras', 'HN', 'HND', 'America', '98.7983417');
INSERT INTO public.ecdc_import VALUES (25986, '17/07/2020', '17', '7', '2020', '831', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.00908054');
INSERT INTO public.ecdc_import VALUES (25987, '16/07/2020', '16', '7', '2020', '930', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.28611401');
INSERT INTO public.ecdc_import VALUES (25988, '15/07/2020', '15', '7', '2020', '527', '18', '9746115', 'Honduras', 'HN', 'HND', 'America', '97.96724131');
INSERT INTO public.ecdc_import VALUES (25989, '14/07/2020', '14', '7', '2020', '489', '15', '9746115', 'Honduras', 'HN', 'HND', 'America', '100.15272752');
INSERT INTO public.ecdc_import VALUES (25990, '13/07/2020', '13', '7', '2020', '507', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '102.68707069');
INSERT INTO public.ecdc_import VALUES (25991, '12/07/2020', '12', '7', '2020', '530', '21', '9746115', 'Honduras', 'HN', 'HND', 'America', '108.51503394');
INSERT INTO public.ecdc_import VALUES (25992, '11/07/2020', '11', '7', '2020', '669', '46', '9746115', 'Honduras', 'HN', 'HND', 'America', '113.4708548');
INSERT INTO public.ecdc_import VALUES (25993, '10/07/2020', '10', '7', '2020', '406', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '113.05017435');
INSERT INTO public.ecdc_import VALUES (25994, '09/07/2020', '9', '7', '2020', '550', '17', '9746115', 'Honduras', 'HN', 'HND', 'America', '117.04150833');
INSERT INTO public.ecdc_import VALUES (25995, '08/07/2020', '8', '7', '2020', '763', '21', '9746115', 'Honduras', 'HN', 'HND', 'America', '117.84182723');
INSERT INTO public.ecdc_import VALUES (25996, '07/07/2020', '7', '7', '2020', '722', '17', '9746115', 'Honduras', 'HN', 'HND', 'America', '116.03597946');
INSERT INTO public.ecdc_import VALUES (25997, '06/07/2020', '6', '7', '2020', '1022', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '114.65081214');
INSERT INTO public.ecdc_import VALUES (25998, '05/07/2020', '5', '7', '2020', '805', '24', '9746115', 'Honduras', 'HN', 'HND', 'America', '109.48978131');
INSERT INTO public.ecdc_import VALUES (25999, '04/07/2020', '4', '7', '2020', '996', '14', '9746115', 'Honduras', 'HN', 'HND', 'America', '111.40849456');
INSERT INTO public.ecdc_import VALUES (26000, '03/07/2020', '3', '7', '2020', '858', '49', '9746115', 'Honduras', 'HN', 'HND', 'America', '106.5142367');
INSERT INTO public.ecdc_import VALUES (26001, '02/07/2020', '2', '7', '2020', '704', '45', '9746115', 'Honduras', 'HN', 'HND', 'America', '102.22534825');
INSERT INTO public.ecdc_import VALUES (26002, '01/07/2020', '1', '7', '2020', '740', '12', '9746115', 'Honduras', 'HN', 'HND', 'America', '101.59945784');
INSERT INTO public.ecdc_import VALUES (26003, '30/06/2020', '30', '6', '2020', '736', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '98.91120718');
INSERT INTO public.ecdc_import VALUES (26004, '29/06/2020', '29', '6', '2020', '1075', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '94.64283974');
INSERT INTO public.ecdc_import VALUES (26005, '28/06/2020', '28', '6', '2020', '1013', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '87.74778463');
INSERT INTO public.ecdc_import VALUES (26006, '27/06/2020', '27', '6', '2020', '628', '45', '9746115', 'Honduras', 'HN', 'HND', 'America', '80.66804055');
INSERT INTO public.ecdc_import VALUES (26007, '26/06/2020', '26', '6', '2020', '795', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '78.97505827');
INSERT INTO public.ecdc_import VALUES (26008, '25/06/2020', '25', '6', '2020', '628', '12', '9746115', 'Honduras', 'HN', 'HND', 'America', '73.98845591');
INSERT INTO public.ecdc_import VALUES (26009, '24/06/2020', '24', '6', '2020', '587', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '71.90557468');
INSERT INTO public.ecdc_import VALUES (26010, '23/06/2020', '23', '6', '2020', '587', '32', '9746115', 'Honduras', 'HN', 'HND', 'America', '70.85900382');
INSERT INTO public.ecdc_import VALUES (26011, '22/06/2020', '22', '6', '2020', '519', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '66.09813244');
INSERT INTO public.ecdc_import VALUES (26012, '21/06/2020', '21', '6', '2020', '992', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '62.5377394');
INSERT INTO public.ecdc_import VALUES (26013, '20/06/2020', '20', '6', '2020', '519', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '54.24725647');
INSERT INTO public.ecdc_import VALUES (26014, '19/06/2020', '19', '6', '2020', '440', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '49.85576304');
INSERT INTO public.ecdc_import VALUES (26015, '18/06/2020', '18', '6', '2020', '643', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '47.29063837');
INSERT INTO public.ecdc_import VALUES (26016, '17/06/2020', '17', '6', '2020', '478', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '42.36559901');
INSERT INTO public.ecdc_import VALUES (26017, '16/06/2020', '16', '6', '2020', '320', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '39.15406293');
INSERT INTO public.ecdc_import VALUES (26018, '15/06/2020', '15', '6', '2020', '403', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '37.51238314');
INSERT INTO public.ecdc_import VALUES (26019, '14/06/2020', '14', '6', '2020', '323', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '34.48553603');
INSERT INTO public.ecdc_import VALUES (26020, '13/06/2020', '13', '6', '2020', '463', '12', '9746115', 'Honduras', 'HN', 'HND', 'America', '33.30557868');
INSERT INTO public.ecdc_import VALUES (26021, '12/06/2020', '12', '6', '2020', '309', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '29.92987462');
INSERT INTO public.ecdc_import VALUES (26022, '11/06/2020', '11', '6', '2020', '425', '19', '9746115', 'Honduras', 'HN', 'HND', 'America', '27.90855638');
INSERT INTO public.ecdc_import VALUES (26023, '10/06/2020', '10', '6', '2020', '485', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '26.00010363');
INSERT INTO public.ecdc_import VALUES (26024, '09/06/2020', '9', '6', '2020', '123', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '23.19898749');
INSERT INTO public.ecdc_import VALUES (26025, '08/06/2020', '8', '6', '2020', '172', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '24.38920534');
INSERT INTO public.ecdc_import VALUES (26026, '07/06/2020', '7', '6', '2020', '184', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '24.74832279');
INSERT INTO public.ecdc_import VALUES (26027, '06/06/2020', '6', '6', '2020', '91', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '25.58968368');
INSERT INTO public.ecdc_import VALUES (26028, '05/06/2020', '5', '6', '2020', '190', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '27.45709444');
INSERT INTO public.ecdc_import VALUES (26029, '04/06/2020', '4', '6', '2020', '163', '9', '9746115', 'Honduras', 'HN', 'HND', 'America', '26.57469156');
INSERT INTO public.ecdc_import VALUES (26030, '03/06/2020', '3', '6', '2020', '165', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '26.39000258');
INSERT INTO public.ecdc_import VALUES (26031, '02/06/2020', '2', '6', '2020', '160', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '26.30791859');
INSERT INTO public.ecdc_import VALUES (26032, '01/06/2020', '1', '6', '2020', '108', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '26.2258346');
INSERT INTO public.ecdc_import VALUES (26033, '31/05/2020', '31', '5', '2020', '208', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '25.94880114');
INSERT INTO public.ecdc_import VALUES (26034, '30/05/2020', '30', '5', '2020', '134', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '24.89196977');
INSERT INTO public.ecdc_import VALUES (26035, '29/05/2020', '29', '5', '2020', '112', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '24.97405376');
INSERT INTO public.ecdc_import VALUES (26036, '28/05/2020', '28', '5', '2020', '239', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '24.47128933');
INSERT INTO public.ecdc_import VALUES (26037, '27/05/2020', '27', '5', '2020', '212', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '23.81461741');
INSERT INTO public.ecdc_import VALUES (26038, '26/05/2020', '26', '5', '2020', '239', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '22.3986686');
INSERT INTO public.ecdc_import VALUES (26039, '25/05/2020', '25', '5', '2020', '207', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '20.29526637');
INSERT INTO public.ecdc_import VALUES (26040, '24/05/2020', '24', '5', '2020', '266', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '19.62833396');
INSERT INTO public.ecdc_import VALUES (26041, '23/05/2020', '23', '5', '2020', '273', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '17.50441073');
INSERT INTO public.ecdc_import VALUES (26042, '22/05/2020', '22', '5', '2020', '104', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '15.58569748');
INSERT INTO public.ecdc_import VALUES (26043, '21/05/2020', '21', '5', '2020', '145', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '16.81695732');
INSERT INTO public.ecdc_import VALUES (26044, '20/05/2020', '20', '5', '2020', '157', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '17.28894026');
INSERT INTO public.ecdc_import VALUES (26045, '19/05/2020', '19', '5', '2020', '152', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '16.62200785');
INSERT INTO public.ecdc_import VALUES (26046, '18/05/2020', '18', '5', '2020', '81', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '16.32445338');
INSERT INTO public.ecdc_import VALUES (26047, '17/05/2020', '17', '5', '2020', '105', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '15.95507543');
INSERT INTO public.ecdc_import VALUES (26048, '16/05/2020', '16', '5', '2020', '142', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '16.01663842');
INSERT INTO public.ecdc_import VALUES (26049, '15/05/2020', '15', '5', '2020', '63', '10', '9746115', 'Honduras', 'HN', 'HND', 'America', '15.53439499');
INSERT INTO public.ecdc_import VALUES (26050, '14/05/2020', '14', '5', '2020', '175', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '15.22658003');
INSERT INTO public.ecdc_import VALUES (26051, '13/05/2020', '13', '5', '2020', '74', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '13.76958922');
INSERT INTO public.ecdc_import VALUES (26052, '12/05/2020', '12', '5', '2020', '34', '8', '9746115', 'Honduras', 'HN', 'HND', 'America', '13.47203475');
INSERT INTO public.ecdc_import VALUES (26053, '11/05/2020', '11', '5', '2020', '142', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '13.45151376');
INSERT INTO public.ecdc_import VALUES (26054, '10/05/2020', '10', '5', '2020', '59', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '12.3433799');
INSERT INTO public.ecdc_import VALUES (26055, '09/05/2020', '9', '5', '2020', '86', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '12.10738843');
INSERT INTO public.ecdc_import VALUES (26056, '08/05/2020', '8', '5', '2020', '224', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '11.96374145');
INSERT INTO public.ecdc_import VALUES (26057, '07/05/2020', '7', '5', '2020', '191', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '9.66538975');
INSERT INTO public.ecdc_import VALUES (26058, '06/05/2020', '6', '5', '2020', '92', '11', '9746115', 'Honduras', 'HN', 'HND', 'America', '7.79797899');
INSERT INTO public.ecdc_import VALUES (26059, '05/05/2020', '5', '5', '2020', '123', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '7.01818109');
INSERT INTO public.ecdc_import VALUES (26060, '04/05/2020', '4', '5', '2020', '45', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '5.93056823');
INSERT INTO public.ecdc_import VALUES (26061, '03/05/2020', '3', '5', '2020', '111', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '5.52014828');
INSERT INTO public.ecdc_import VALUES (26062, '02/05/2020', '2', '5', '2020', '95', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '4.53514041');
INSERT INTO public.ecdc_import VALUES (26063, '01/05/2020', '1', '5', '2020', '33', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '3.71430052');
INSERT INTO public.ecdc_import VALUES (26064, '30/04/2020', '30', '4', '2020', '33', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '3.53987204');
INSERT INTO public.ecdc_import VALUES (26065, '29/04/2020', '29', '4', '2020', '45', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '3.27309908');
INSERT INTO public.ecdc_import VALUES (26066, '28/04/2020', '28', '4', '2020', '32', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.93450262');
INSERT INTO public.ecdc_import VALUES (26067, '27/04/2020', '27', '4', '2020', '34', '2', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.70877165');
INSERT INTO public.ecdc_import VALUES (26068, '26/04/2020', '26', '4', '2020', '36', '12', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.40095669');
INSERT INTO public.ecdc_import VALUES (26069, '25/04/2020', '25', '4', '2020', '72', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.04183924');
INSERT INTO public.ecdc_import VALUES (26070, '24/04/2020', '24', '4', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.40568832');
INSERT INTO public.ecdc_import VALUES (26071, '23/04/2020', '23', '4', '2020', '9', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.80584777');
INSERT INTO public.ecdc_import VALUES (26072, '22/04/2020', '22', '4', '2020', '16', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.03157874');
INSERT INTO public.ecdc_import VALUES (26073, '21/04/2020', '21', '4', '2020', '17', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.93923425');
INSERT INTO public.ecdc_import VALUES (26074, '20/04/2020', '20', '4', '2020', '5', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.83662926');
INSERT INTO public.ecdc_import VALUES (26075, '19/04/2020', '19', '4', '2020', '15', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.09314173');
INSERT INTO public.ecdc_import VALUES (26076, '18/04/2020', '18', '4', '2020', '15', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.98027624');
INSERT INTO public.ecdc_import VALUES (26077, '17/04/2020', '17', '4', '2020', '16', '6', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.25730971');
INSERT INTO public.ecdc_import VALUES (26078, '16/04/2020', '16', '4', '2020', '7', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.12392322');
INSERT INTO public.ecdc_import VALUES (26079, '15/04/2020', '15', '4', '2020', '12', '5', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.53434317');
INSERT INTO public.ecdc_import VALUES (26080, '14/04/2020', '14', '4', '2020', '10', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.72929265');
INSERT INTO public.ecdc_import VALUES (26081, '13/04/2020', '13', '4', '2020', '4', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.64720866');
INSERT INTO public.ecdc_import VALUES (26082, '12/04/2020', '12', '4', '2020', '1', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.90372112');
INSERT INTO public.ecdc_import VALUES (26083, '11/04/2020', '11', '4', '2020', '10', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '3.04736811');
INSERT INTO public.ecdc_import VALUES (26084, '10/04/2020', '10', '4', '2020', '39', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '3.23205708');
INSERT INTO public.ecdc_import VALUES (26085, '09/04/2020', '9', '4', '2020', '31', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.98580511');
INSERT INTO public.ecdc_import VALUES (26086, '08/04/2020', '8', '4', '2020', '7', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.83189763');
INSERT INTO public.ecdc_import VALUES (26087, '07/04/2020', '7', '4', '2020', '7', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.82163713');
INSERT INTO public.ecdc_import VALUES (26088, '06/04/2020', '6', '4', '2020', '30', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.78059514');
INSERT INTO public.ecdc_import VALUES (26089, '05/04/2020', '5', '4', '2020', '4', '7', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.48304068');
INSERT INTO public.ecdc_import VALUES (26090, '04/04/2020', '4', '4', '2020', '42', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.46251968');
INSERT INTO public.ecdc_import VALUES (26091, '03/04/2020', '3', '4', '2020', '3', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.03157874');
INSERT INTO public.ecdc_import VALUES (26092, '02/04/2020', '2', '4', '2020', '47', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '2.12392322');
INSERT INTO public.ecdc_import VALUES (26093, '01/04/2020', '1', '4', '2020', '31', '3', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.67246128');
INSERT INTO public.ecdc_import VALUES (26094, '31/03/2020', '31', '3', '2020', '2', '4', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.36464632');
INSERT INTO public.ecdc_import VALUES (26095, '30/03/2020', '30', '3', '2020', '29', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.36464632');
INSERT INTO public.ecdc_import VALUES (26096, '29/03/2020', '29', '3', '2020', '15', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '1.09787336');
INSERT INTO public.ecdc_import VALUES (26097, '28/03/2020', '28', '3', '2020', '28', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '0.95422638');
INSERT INTO public.ecdc_import VALUES (26098, '27/03/2020', '27', '3', '2020', '15', '1', '9746115', 'Honduras', 'HN', 'HND', 'America', '0.68745341');
INSERT INTO public.ecdc_import VALUES (26099, '26/03/2020', '26', '3', '2020', '16', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26100, '25/03/2020', '25', '3', '2020', '6', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26101, '24/03/2020', '24', '3', '2020', '3', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26102, '23/03/2020', '23', '3', '2020', '1', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26103, '22/03/2020', '22', '3', '2020', '2', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26104, '21/03/2020', '21', '3', '2020', '0', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26105, '20/03/2020', '20', '3', '2020', '12', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26106, '19/03/2020', '19', '3', '2020', '3', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26107, '18/03/2020', '18', '3', '2020', '1', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26108, '17/03/2020', '17', '3', '2020', '2', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26109, '16/03/2020', '16', '3', '2020', '3', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26110, '14/03/2020', '14', '3', '2020', '1', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26111, '12/03/2020', '12', '3', '2020', '2', '0', '9746115', 'Honduras', 'HN', 'HND', 'America', '');
INSERT INTO public.ecdc_import VALUES (26112, '14/12/2020', '14', '12', '2020', '3470', '165', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '683.00078299');
INSERT INTO public.ecdc_import VALUES (26113, '13/12/2020', '13', '12', '2020', '4153', '181', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '704.74490512');
INSERT INTO public.ecdc_import VALUES (26114, '12/12/2020', '12', '12', '2020', '5047', '162', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '732.02482493');
INSERT INTO public.ecdc_import VALUES (26115, '11/12/2020', '11', '12', '2020', '6197', '171', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '744.51874169');
INSERT INTO public.ecdc_import VALUES (26116, '10/12/2020', '10', '12', '2020', '5415', '171', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '746.52431719');
INSERT INTO public.ecdc_import VALUES (26117, '09/12/2020', '9', '12', '2020', '3221', '160', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '756.19405621');
INSERT INTO public.ecdc_import VALUES (26273, '06/07/2020', '6', '7', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.82883477');
INSERT INTO public.ecdc_import VALUES (26118, '08/12/2020', '8', '12', '2020', '2219', '136', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '762.18008513');
INSERT INTO public.ecdc_import VALUES (26119, '07/12/2020', '7', '12', '2020', '3870', '116', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '779.67770811');
INSERT INTO public.ecdc_import VALUES (26120, '06/12/2020', '6', '12', '2020', '6697', '162', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '774.19307307');
INSERT INTO public.ecdc_import VALUES (26121, '05/12/2020', '5', '12', '2020', '5525', '193', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '749.87035387');
INSERT INTO public.ecdc_import VALUES (26122, '04/12/2020', '4', '12', '2020', '6212', '189', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '738.32806222');
INSERT INTO public.ecdc_import VALUES (26123, '03/12/2020', '3', '12', '2020', '6635', '182', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '720.19602249');
INSERT INTO public.ecdc_import VALUES (26124, '02/12/2020', '2', '12', '2020', '4136', '165', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '698.47236542');
INSERT INTO public.ecdc_import VALUES (26125, '01/12/2020', '1', '12', '2020', '3951', '154', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '700.04817474');
INSERT INTO public.ecdc_import VALUES (26126, '30/11/2020', '30', '11', '2020', '5595', '151', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '712.85929987');
INSERT INTO public.ecdc_import VALUES (26127, '29/11/2020', '29', '11', '2020', '6819', '156', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '722.06857513');
INSERT INTO public.ecdc_import VALUES (26128, '28/11/2020', '28', '11', '2020', '6268', '152', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '695.6584202');
INSERT INTO public.ecdc_import VALUES (26129, '27/11/2020', '27', '11', '2020', '6393', '135', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '681.00544002');
INSERT INTO public.ecdc_import VALUES (26130, '26/11/2020', '26', '11', '2020', '6360', '115', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '667.74408365');
INSERT INTO public.ecdc_import VALUES (26131, '25/11/2020', '25', '11', '2020', '3806', '106', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '642.84834288');
INSERT INTO public.ecdc_import VALUES (26132, '24/11/2020', '24', '11', '2020', '3929', '117', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '644.27066428');
INSERT INTO public.ecdc_import VALUES (26133, '23/11/2020', '23', '11', '2020', '3334', '91', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '646.4297277');
INSERT INTO public.ecdc_import VALUES (26134, '22/11/2020', '22', '11', '2020', '4320', '111', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '665.134789');
INSERT INTO public.ecdc_import VALUES (26135, '21/11/2020', '21', '11', '2020', '4397', '121', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '668.7468714');
INSERT INTO public.ecdc_import VALUES (26136, '20/11/2020', '20', '11', '2020', '4440', '96', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '678.17102975');
INSERT INTO public.ecdc_import VALUES (26137, '19/11/2020', '19', '11', '2020', '4512', '92', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '680.9235798');
INSERT INTO public.ecdc_import VALUES (26138, '18/11/2020', '18', '11', '2020', '4290', '99', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '674.94778341');
INSERT INTO public.ecdc_import VALUES (26139, '17/11/2020', '17', '11', '2020', '5203', '91', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '674.22127392');
INSERT INTO public.ecdc_import VALUES (26140, '16/11/2020', '16', '11', '2020', '6495', '93', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '661.79898485');
INSERT INTO public.ecdc_import VALUES (26141, '15/11/2020', '15', '11', '2020', '4238', '107', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '631.98139808');
INSERT INTO public.ecdc_import VALUES (26142, '14/11/2020', '14', '11', '2020', '4836', '107', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '628.29768798');
INSERT INTO public.ecdc_import VALUES (26143, '13/11/2020', '13', '11', '2020', '5097', '99', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '618.80190194');
INSERT INTO public.ecdc_import VALUES (26144, '12/11/2020', '12', '11', '2020', '3927', '87', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '600.27079362');
INSERT INTO public.ecdc_import VALUES (26145, '11/11/2020', '11', '11', '2020', '3945', '101', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '582.53782249');
INSERT INTO public.ecdc_import VALUES (26146, '10/11/2020', '10', '11', '2020', '4140', '103', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '565.61322108');
INSERT INTO public.ecdc_import VALUES (26147, '09/11/2020', '9', '11', '2020', '5162', '55', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '544.52398075');
INSERT INTO public.ecdc_import VALUES (26148, '08/11/2020', '8', '11', '2020', '4673', '81', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '515.40220589');
INSERT INTO public.ecdc_import VALUES (26149, '07/11/2020', '7', '11', '2020', '5318', '107', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '499.80783312');
INSERT INTO public.ecdc_import VALUES (26150, '06/11/2020', '6', '11', '2020', '4709', '103', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '464.01444997');
INSERT INTO public.ecdc_import VALUES (26151, '05/11/2020', '5', '11', '2020', '3928', '84', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '436.9698783');
INSERT INTO public.ecdc_import VALUES (26152, '04/11/2020', '4', '11', '2020', '4219', '90', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '417.5690051');
INSERT INTO public.ecdc_import VALUES (26153, '03/11/2020', '3', '11', '2020', '3989', '84', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '388.95885664');
INSERT INTO public.ecdc_import VALUES (26154, '02/11/2020', '2', '11', '2020', '3581', '70', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '358.26127246');
INSERT INTO public.ecdc_import VALUES (26155, '01/11/2020', '1', '11', '2020', '3878', '69', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '336.74226595');
INSERT INTO public.ecdc_import VALUES (26156, '31/10/2020', '31', '10', '2020', '3908', '51', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '312.14326849');
INSERT INTO public.ecdc_import VALUES (26157, '30/10/2020', '30', '10', '2020', '3286', '65', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '290.48100659');
INSERT INTO public.ecdc_import VALUES (26158, '29/10/2020', '29', '10', '2020', '2194', '56', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '270.08757816');
INSERT INTO public.ecdc_import VALUES (26159, '28/10/2020', '28', '10', '2020', '2291', '43', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '257.35831325');
INSERT INTO public.ecdc_import VALUES (26160, '27/10/2020', '27', '10', '2020', '2079', '63', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '243.32951728');
INSERT INTO public.ecdc_import VALUES (26161, '26/10/2020', '26', '10', '2020', '2316', '47', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '235.20489');
INSERT INTO public.ecdc_import VALUES (26162, '25/10/2020', '25', '10', '2020', '3149', '35', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '220.84865313');
INSERT INTO public.ecdc_import VALUES (26163, '24/10/2020', '24', '10', '2020', '1820', '38', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '199.55476224');
INSERT INTO public.ecdc_import VALUES (26164, '23/10/2020', '23', '10', '2020', '2066', '47', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '194.99105472');
INSERT INTO public.ecdc_import VALUES (26165, '22/10/2020', '22', '10', '2020', '2032', '46', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '185.88410475');
INSERT INTO public.ecdc_import VALUES (26166, '21/10/2020', '21', '10', '2020', '1423', '48', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '174.62832388');
INSERT INTO public.ecdc_import VALUES (26167, '20/10/2020', '20', '10', '2020', '989', '38', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '168.41717935');
INSERT INTO public.ecdc_import VALUES (26168, '19/10/2020', '19', '10', '2020', '1478', '31', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '166.66741705');
INSERT INTO public.ecdc_import VALUES (26169, '18/10/2020', '18', '10', '2020', '1474', '33', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '160.80417847');
INSERT INTO public.ecdc_import VALUES (26170, '17/10/2020', '17', '10', '2020', '1791', '24', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '154.50094119');
INSERT INTO public.ecdc_import VALUES (26171, '16/10/2020', '16', '10', '2020', '1293', '33', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '147.28700891');
INSERT INTO public.ecdc_import VALUES (26172, '15/10/2020', '15', '10', '2020', '950', '29', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '147.58375222');
INSERT INTO public.ecdc_import VALUES (26173, '14/10/2020', '14', '10', '2020', '920', '27', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '146.54003436');
INSERT INTO public.ecdc_import VALUES (26174, '13/10/2020', '13', '10', '2020', '1285', '28', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '146.27398863');
INSERT INTO public.ecdc_import VALUES (26175, '12/10/2020', '12', '10', '2020', '913', '14', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '141.83307145');
INSERT INTO public.ecdc_import VALUES (26176, '11/10/2020', '11', '10', '2020', '1068', '21', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '139.67400803');
INSERT INTO public.ecdc_import VALUES (26177, '10/10/2020', '10', '10', '2020', '1374', '20', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '138.33354685');
INSERT INTO public.ecdc_import VALUES (26178, '09/10/2020', '9', '10', '2020', '1176', '15', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '133.99495495');
INSERT INTO public.ecdc_import VALUES (26179, '08/10/2020', '8', '10', '2020', '932', '21', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '131.44705547');
INSERT INTO public.ecdc_import VALUES (26180, '07/10/2020', '7', '10', '2020', '816', '24', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '129.58473536');
INSERT INTO public.ecdc_import VALUES (26181, '06/10/2020', '6', '10', '2020', '818', '20', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '130.96612665');
INSERT INTO public.ecdc_import VALUES (26182, '05/10/2020', '5', '10', '2020', '905', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '129.07310896');
INSERT INTO public.ecdc_import VALUES (26183, '04/10/2020', '4', '10', '2020', '858', '10', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '128.77636564');
INSERT INTO public.ecdc_import VALUES (26184, '03/10/2020', '3', '10', '2020', '1086', '14', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '130.94566159');
INSERT INTO public.ecdc_import VALUES (26185, '02/10/2020', '2', '10', '2020', '1322', '17', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '128.11125132');
INSERT INTO public.ecdc_import VALUES (26186, '01/10/2020', '1', '10', '2020', '848', '16', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '124.21265813');
INSERT INTO public.ecdc_import VALUES (26187, '30/09/2020', '30', '9', '2020', '894', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '122.80056926');
INSERT INTO public.ecdc_import VALUES (26188, '29/09/2020', '29', '9', '2020', '851', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '127.02660335');
INSERT INTO public.ecdc_import VALUES (26189, '28/09/2020', '28', '9', '2020', '702', '13', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '126.95497565');
INSERT INTO public.ecdc_import VALUES (26190, '27/09/2020', '27', '9', '2020', '937', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '124.72428453');
INSERT INTO public.ecdc_import VALUES (26191, '26/09/2020', '26', '9', '2020', '950', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '124.50940144');
INSERT INTO public.ecdc_import VALUES (26192, '25/09/2020', '25', '9', '2020', '927', '9', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '122.13545493');
INSERT INTO public.ecdc_import VALUES (26193, '24/09/2020', '24', '9', '2020', '750', '7', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '117.52058478');
INSERT INTO public.ecdc_import VALUES (26194, '23/09/2020', '23', '9', '2020', '951', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '114.05175776');
INSERT INTO public.ecdc_import VALUES (26195, '22/09/2020', '22', '9', '2020', '633', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '107.80991565');
INSERT INTO public.ecdc_import VALUES (26196, '21/09/2020', '21', '9', '2020', '876', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '107.22666155');
INSERT INTO public.ecdc_import VALUES (26197, '20/09/2020', '20', '9', '2020', '1070', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '103.32806836');
INSERT INTO public.ecdc_import VALUES (26198, '19/09/2020', '19', '9', '2020', '809', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '97.59785264');
INSERT INTO public.ecdc_import VALUES (26199, '18/09/2020', '18', '9', '2020', '941', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '94.01646782');
INSERT INTO public.ecdc_import VALUES (26200, '17/09/2020', '17', '9', '2020', '710', '9', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '87.46764986');
INSERT INTO public.ecdc_import VALUES (26201, '16/09/2020', '16', '9', '2020', '1307', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '83.93742768');
INSERT INTO public.ecdc_import VALUES (26202, '15/09/2020', '15', '9', '2020', '844', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '71.77095182');
INSERT INTO public.ecdc_import VALUES (26203, '14/09/2020', '14', '9', '2020', '484', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '64.95608813');
INSERT INTO public.ecdc_import VALUES (26204, '13/09/2020', '13', '9', '2020', '916', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '62.99144274');
INSERT INTO public.ecdc_import VALUES (26205, '12/09/2020', '12', '9', '2020', '718', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '55.23518647');
INSERT INTO public.ecdc_import VALUES (26206, '11/09/2020', '11', '9', '2020', '476', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '49.23892503');
INSERT INTO public.ecdc_import VALUES (26207, '10/09/2020', '10', '9', '2020', '411', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '45.29940172');
INSERT INTO public.ecdc_import VALUES (26208, '09/09/2020', '9', '9', '2020', '341', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '41.84080724');
INSERT INTO public.ecdc_import VALUES (26209, '08/09/2020', '8', '9', '2020', '576', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '38.59709584');
INSERT INTO public.ecdc_import VALUES (26210, '07/09/2020', '7', '9', '2020', '495', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '33.07153069');
INSERT INTO public.ecdc_import VALUES (26211, '06/09/2020', '6', '9', '2020', '510', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '28.23154492');
INSERT INTO public.ecdc_import VALUES (26212, '05/09/2020', '5', '9', '2020', '459', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '23.37109409');
INSERT INTO public.ecdc_import VALUES (26213, '04/09/2020', '4', '9', '2020', '301', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '19.20645517');
INSERT INTO public.ecdc_import VALUES (26214, '03/09/2020', '3', '9', '2020', '365', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '16.57669546');
INSERT INTO public.ecdc_import VALUES (26215, '02/09/2020', '2', '9', '2020', '118', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '13.16926361');
INSERT INTO public.ecdc_import VALUES (26216, '01/09/2020', '1', '9', '2020', '178', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.9618253');
INSERT INTO public.ecdc_import VALUES (26217, '31/08/2020', '31', '8', '2020', '292', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.69299182');
INSERT INTO public.ecdc_import VALUES (26218, '30/08/2020', '30', '8', '2020', '158', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '8.10416222');
INSERT INTO public.ecdc_import VALUES (26219, '29/08/2020', '29', '8', '2020', '132', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.73300346');
INSERT INTO public.ecdc_import VALUES (26220, '28/08/2020', '28', '8', '2020', '91', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.79161088');
INSERT INTO public.ecdc_import VALUES (26221, '27/08/2020', '27', '8', '2020', '73', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.32091459');
INSERT INTO public.ecdc_import VALUES (26222, '26/08/2020', '26', '8', '2020', '24', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.79905566');
INSERT INTO public.ecdc_import VALUES (26223, '25/08/2020', '25', '8', '2020', '36', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.70696291');
INSERT INTO public.ecdc_import VALUES (26224, '24/08/2020', '24', '8', '2020', '22', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.69673038');
INSERT INTO public.ecdc_import VALUES (26225, '23/08/2020', '23', '8', '2020', '35', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.91161347');
INSERT INTO public.ecdc_import VALUES (26226, '22/08/2020', '22', '8', '2020', '52', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.88091588');
INSERT INTO public.ecdc_import VALUES (26227, '21/08/2020', '21', '8', '2020', '44', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.5944051');
INSERT INTO public.ecdc_import VALUES (26228, '20/08/2020', '20', '8', '2020', '32', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.48184729');
INSERT INTO public.ecdc_import VALUES (26229, '19/08/2020', '19', '8', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.2669642');
INSERT INTO public.ecdc_import VALUES (26230, '18/08/2020', '18', '8', '2020', '54', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.35905695');
INSERT INTO public.ecdc_import VALUES (26231, '17/08/2020', '17', '8', '2020', '39', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.89859319');
INSERT INTO public.ecdc_import VALUES (26232, '16/08/2020', '16', '8', '2020', '24', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.59161735');
INSERT INTO public.ecdc_import VALUES (26233, '15/08/2020', '15', '8', '2020', '40', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.56091977');
INSERT INTO public.ecdc_import VALUES (26234, '14/08/2020', '14', '8', '2020', '45', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.15161864');
INSERT INTO public.ecdc_import VALUES (26235, '13/08/2020', '13', '8', '2020', '22', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.90603797');
INSERT INTO public.ecdc_import VALUES (26236, '12/08/2020', '12', '8', '2020', '15', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.87534039');
INSERT INTO public.ecdc_import VALUES (26237, '11/08/2020', '11', '8', '2020', '35', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.81394522');
INSERT INTO public.ecdc_import VALUES (26238, '10/08/2020', '10', '8', '2020', '43', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.53766696');
INSERT INTO public.ecdc_import VALUES (26239, '09/08/2020', '9', '8', '2020', '32', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.23069112');
INSERT INTO public.ecdc_import VALUES (26240, '08/08/2020', '8', '8', '2020', '24', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.01580803');
INSERT INTO public.ecdc_import VALUES (26241, '07/08/2020', '7', '8', '2020', '33', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.03627308');
INSERT INTO public.ecdc_import VALUES (26242, '06/08/2020', '6', '8', '2020', '11', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.88278516');
INSERT INTO public.ecdc_import VALUES (26243, '05/08/2020', '5', '8', '2020', '9', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.91348275');
INSERT INTO public.ecdc_import VALUES (26244, '04/08/2020', '4', '8', '2020', '9', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.01580803');
INSERT INTO public.ecdc_import VALUES (26245, '03/08/2020', '3', '8', '2020', '9', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.06697067');
INSERT INTO public.ecdc_import VALUES (26246, '02/08/2020', '2', '8', '2020', '21', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.15906342');
INSERT INTO public.ecdc_import VALUES (26247, '01/08/2020', '1', '8', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.16929595');
INSERT INTO public.ecdc_import VALUES (26248, '31/07/2020', '31', '7', '2020', '21', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.31255134');
INSERT INTO public.ecdc_import VALUES (26249, '30/07/2020', '30', '7', '2020', '19', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.2613887');
INSERT INTO public.ecdc_import VALUES (26250, '29/07/2020', '29', '7', '2020', '9', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.06697067');
INSERT INTO public.ecdc_import VALUES (26251, '28/07/2020', '28', '7', '2020', '8', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.13859836');
INSERT INTO public.ecdc_import VALUES (26252, '27/07/2020', '27', '7', '2020', '13', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.189761');
INSERT INTO public.ecdc_import VALUES (26253, '26/07/2020', '26', '7', '2020', '11', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.10790078');
INSERT INTO public.ecdc_import VALUES (26254, '25/07/2020', '25', '7', '2020', '26', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.05673814');
INSERT INTO public.ecdc_import VALUES (26255, '24/07/2020', '24', '7', '2020', '18', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.82138999');
INSERT INTO public.ecdc_import VALUES (26256, '23/07/2020', '23', '7', '2020', '14', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.73952977');
INSERT INTO public.ecdc_import VALUES (26257, '22/07/2020', '22', '7', '2020', '19', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.64743702');
INSERT INTO public.ecdc_import VALUES (26258, '21/07/2020', '21', '7', '2020', '14', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.61673943');
INSERT INTO public.ecdc_import VALUES (26259, '20/07/2020', '20', '7', '2020', '18', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.53487921');
INSERT INTO public.ecdc_import VALUES (26260, '19/07/2020', '19', '7', '2020', '22', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.3506937');
INSERT INTO public.ecdc_import VALUES (26261, '18/07/2020', '18', '7', '2020', '14', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.2381359');
INSERT INTO public.ecdc_import VALUES (26262, '17/07/2020', '17', '7', '2020', '16', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.15627567');
INSERT INTO public.ecdc_import VALUES (26263, '16/07/2020', '16', '7', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.08464797');
INSERT INTO public.ecdc_import VALUES (26264, '15/07/2020', '15', '7', '2020', '16', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.10511303');
INSERT INTO public.ecdc_import VALUES (26265, '14/07/2020', '14', '7', '2020', '13', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.04371786');
INSERT INTO public.ecdc_import VALUES (26266, '13/07/2020', '13', '7', '2020', '5', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.94139258');
INSERT INTO public.ecdc_import VALUES (26267, '12/07/2020', '12', '7', '2020', '6', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.93116005');
INSERT INTO public.ecdc_import VALUES (26268, '11/07/2020', '11', '7', '2020', '3', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.98232269');
INSERT INTO public.ecdc_import VALUES (26269, '10/07/2020', '10', '7', '2020', '10', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.99255522');
INSERT INTO public.ecdc_import VALUES (26270, '09/07/2020', '9', '7', '2020', '5', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.98232269');
INSERT INTO public.ecdc_import VALUES (26271, '08/07/2020', '8', '7', '2020', '16', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.00278775');
INSERT INTO public.ecdc_import VALUES (26272, '07/07/2020', '7', '7', '2020', '6', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.8390673');
INSERT INTO public.ecdc_import VALUES (26274, '05/07/2020', '5', '7', '2020', '11', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.910695');
INSERT INTO public.ecdc_import VALUES (26275, '04/07/2020', '4', '7', '2020', '6', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.87999741');
INSERT INTO public.ecdc_import VALUES (26276, '03/07/2020', '3', '7', '2020', '9', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.86976489');
INSERT INTO public.ecdc_import VALUES (26277, '02/07/2020', '2', '7', '2020', '2', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.79813719');
INSERT INTO public.ecdc_import VALUES (26278, '01/07/2020', '1', '7', '2020', '10', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.78790466');
INSERT INTO public.ecdc_import VALUES (26279, '30/06/2020', '30', '6', '2020', '3', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.69581191');
INSERT INTO public.ecdc_import VALUES (26280, '29/06/2020', '29', '6', '2020', '4', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.67534685');
INSERT INTO public.ecdc_import VALUES (26281, '28/06/2020', '28', '6', '2020', '11', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.75720708');
INSERT INTO public.ecdc_import VALUES (26282, '27/06/2020', '27', '6', '2020', '4', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.75720708');
INSERT INTO public.ecdc_import VALUES (26283, '26/06/2020', '26', '6', '2020', '9', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.85953236');
INSERT INTO public.ecdc_import VALUES (26284, '25/06/2020', '25', '6', '2020', '7', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.89022994');
INSERT INTO public.ecdc_import VALUES (26285, '24/06/2020', '24', '6', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.92092753');
INSERT INTO public.ecdc_import VALUES (26286, '23/06/2020', '23', '6', '2020', '5', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.95162511');
INSERT INTO public.ecdc_import VALUES (26287, '22/06/2020', '22', '6', '2020', '8', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.3506937');
INSERT INTO public.ecdc_import VALUES (26288, '21/06/2020', '21', '6', '2020', '8', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.26883348');
INSERT INTO public.ecdc_import VALUES (26289, '20/06/2020', '20', '6', '2020', '5', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.18697326');
INSERT INTO public.ecdc_import VALUES (26290, '19/06/2020', '19', '6', '2020', '2', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.29953106');
INSERT INTO public.ecdc_import VALUES (26291, '18/06/2020', '18', '6', '2020', '1', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.51441415');
INSERT INTO public.ecdc_import VALUES (26292, '17/06/2020', '17', '6', '2020', '1', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.50418162');
INSERT INTO public.ecdc_import VALUES (26293, '16/06/2020', '16', '6', '2020', '1', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.59627438');
INSERT INTO public.ecdc_import VALUES (26294, '15/06/2020', '15', '6', '2020', '12', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.04650561');
INSERT INTO public.ecdc_import VALUES (26295, '14/06/2020', '14', '6', '2020', '11', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.01580803');
INSERT INTO public.ecdc_import VALUES (26296, '13/06/2020', '13', '6', '2020', '14', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.16929595');
INSERT INTO public.ecdc_import VALUES (26297, '12/06/2020', '12', '6', '2020', '12', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.02604056');
INSERT INTO public.ecdc_import VALUES (26298, '11/06/2020', '11', '6', '2020', '10', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.15906342');
INSERT INTO public.ecdc_import VALUES (26299, '10/06/2020', '10', '6', '2020', '3', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.29208629');
INSERT INTO public.ecdc_import VALUES (26300, '09/06/2020', '9', '6', '2020', '44', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.48650432');
INSERT INTO public.ecdc_import VALUES (26301, '08/06/2020', '8', '6', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.189761');
INSERT INTO public.ecdc_import VALUES (26302, '07/06/2020', '7', '6', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.34324893');
INSERT INTO public.ecdc_import VALUES (26303, '06/06/2020', '6', '6', '2020', '16', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.62975971');
INSERT INTO public.ecdc_import VALUES (26304, '05/06/2020', '5', '6', '2020', '23', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.82417774');
INSERT INTO public.ecdc_import VALUES (26305, '04/06/2020', '4', '6', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.96743314');
INSERT INTO public.ecdc_import VALUES (26306, '03/06/2020', '3', '6', '2020', '10', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.40743184');
INSERT INTO public.ecdc_import VALUES (26307, '02/06/2020', '2', '6', '2020', '45', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.73487274');
INSERT INTO public.ecdc_import VALUES (26308, '01/06/2020', '1', '6', '2020', '9', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.48929207');
INSERT INTO public.ecdc_import VALUES (26309, '31/05/2020', '31', '5', '2020', '26', '7', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.66324505');
INSERT INTO public.ecdc_import VALUES (26310, '30/05/2020', '30', '5', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.76557033');
INSERT INTO public.ecdc_import VALUES (26311, '29/05/2020', '29', '5', '2020', '25', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.3385919');
INSERT INTO public.ecdc_import VALUES (26312, '28/05/2020', '28', '5', '2020', '23', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.46138223');
INSERT INTO public.ecdc_import VALUES (26313, '27/05/2020', '27', '5', '2020', '22', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.62510268');
INSERT INTO public.ecdc_import VALUES (26314, '26/05/2020', '26', '5', '2020', '15', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.68649785');
INSERT INTO public.ecdc_import VALUES (26315, '25/05/2020', '25', '5', '2020', '15', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.82975324');
INSERT INTO public.ecdc_import VALUES (26316, '24/05/2020', '24', '5', '2020', '28', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.89114841');
INSERT INTO public.ecdc_import VALUES (26317, '23/05/2020', '23', '5', '2020', '35', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.11626403');
INSERT INTO public.ecdc_import VALUES (26318, '22/05/2020', '22', '5', '2020', '37', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.11626403');
INSERT INTO public.ecdc_import VALUES (26319, '21/05/2020', '21', '5', '2020', '43', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.02417128');
INSERT INTO public.ecdc_import VALUES (26320, '20/05/2020', '20', '5', '2020', '42', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.98324117');
INSERT INTO public.ecdc_import VALUES (26321, '19/05/2020', '19', '5', '2020', '21', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.02417128');
INSERT INTO public.ecdc_import VALUES (26322, '18/05/2020', '18', '5', '2020', '26', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.11626403');
INSERT INTO public.ecdc_import VALUES (26323, '17/05/2020', '17', '5', '2020', '36', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.22882184');
INSERT INTO public.ecdc_import VALUES (26324, '16/05/2020', '16', '5', '2020', '56', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.4334724');
INSERT INTO public.ecdc_import VALUES (26325, '15/05/2020', '15', '5', '2020', '37', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.66882055');
INSERT INTO public.ecdc_import VALUES (26326, '14/05/2020', '14', '5', '2020', '39', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.19067948');
INSERT INTO public.ecdc_import VALUES (26327, '13/05/2020', '13', '5', '2020', '28', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.28277223');
INSERT INTO public.ecdc_import VALUES (26328, '12/05/2020', '12', '5', '2020', '29', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.79439863');
INSERT INTO public.ecdc_import VALUES (26329, '11/05/2020', '11', '5', '2020', '21', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '7.17300217');
INSERT INTO public.ecdc_import VALUES (26330, '10/05/2020', '10', '5', '2020', '50', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '7.80741891');
INSERT INTO public.ecdc_import VALUES (26331, '09/05/2020', '9', '5', '2020', '35', '13', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '7.87904661');
INSERT INTO public.ecdc_import VALUES (26332, '08/05/2020', '8', '5', '2020', '28', '9', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '8.13485981');
INSERT INTO public.ecdc_import VALUES (26333, '07/05/2020', '7', '5', '2020', '39', '10', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '8.8613693');
INSERT INTO public.ecdc_import VALUES (26334, '06/05/2020', '6', '5', '2020', '46', '10', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '9.64927396');
INSERT INTO public.ecdc_import VALUES (26335, '05/05/2020', '5', '5', '2020', '30', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '9.89485463');
INSERT INTO public.ecdc_import VALUES (26336, '04/05/2020', '4', '5', '2020', '37', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.75438699');
INSERT INTO public.ecdc_import VALUES (26337, '03/05/2020', '3', '5', '2020', '56', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.07159536');
INSERT INTO public.ecdc_import VALUES (26338, '02/05/2020', '2', '5', '2020', '79', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.33764109');
INSERT INTO public.ecdc_import VALUES (26339, '01/05/2020', '1', '5', '2020', '88', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.25578087');
INSERT INTO public.ecdc_import VALUES (26340, '30/04/2020', '30', '4', '2020', '48', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.49112901');
INSERT INTO public.ecdc_import VALUES (26341, '29/04/2020', '29', '4', '2020', '78', '9', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.74694221');
INSERT INTO public.ecdc_import VALUES (26342, '28/04/2020', '28', '4', '2020', '66', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.6343844');
INSERT INTO public.ecdc_import VALUES (26343, '27/04/2020', '27', '4', '2020', '83', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.51159407');
INSERT INTO public.ecdc_import VALUES (26344, '26/04/2020', '26', '4', '2020', '57', '10', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.15345559');
INSERT INTO public.ecdc_import VALUES (26345, '25/04/2020', '25', '4', '2020', '60', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.59345429');
INSERT INTO public.ecdc_import VALUES (26346, '24/04/2020', '24', '4', '2020', '99', '25', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '12.20740598');
INSERT INTO public.ecdc_import VALUES (26347, '23/04/2020', '23', '4', '2020', '116', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '13.34321659');
INSERT INTO public.ecdc_import VALUES (26348, '22/04/2020', '22', '4', '2020', '70', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '13.02600822');
INSERT INTO public.ecdc_import VALUES (26349, '21/04/2020', '21', '4', '2020', '114', '14', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '13.10786845');
INSERT INTO public.ecdc_import VALUES (26350, '20/04/2020', '20', '4', '2020', '68', '10', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '12.6883348');
INSERT INTO public.ecdc_import VALUES (26351, '19/04/2020', '19', '4', '2020', '82', '17', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '12.1050807');
INSERT INTO public.ecdc_import VALUES (26352, '18/04/2020', '18', '4', '2020', '71', '16', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.82880244');
INSERT INTO public.ecdc_import VALUES (26353, '17/04/2020', '17', '4', '2020', '111', '14', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '11.66508199');
INSERT INTO public.ecdc_import VALUES (26354, '16/04/2020', '16', '4', '2020', '73', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.91810744');
INSERT INTO public.ecdc_import VALUES (26355, '15/04/2020', '15', '4', '2020', '67', '12', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.78508458');
INSERT INTO public.ecdc_import VALUES (26356, '14/04/2020', '14', '4', '2020', '54', '13', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.43717862');
INSERT INTO public.ecdc_import VALUES (26357, '13/04/2020', '13', '4', '2020', '48', '10', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.34508587');
INSERT INTO public.ecdc_import VALUES (26358, '12/04/2020', '12', '4', '2020', '100', '14', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '10.25299312');
INSERT INTO public.ecdc_import VALUES (26359, '11/04/2020', '11', '4', '2020', '120', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '9.89485463');
INSERT INTO public.ecdc_import VALUES (26360, '10/04/2020', '10', '4', '2020', '210', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '9.10694997');
INSERT INTO public.ecdc_import VALUES (26361, '09/04/2020', '9', '4', '2020', '85', '8', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '7.35718768');
INSERT INTO public.ecdc_import VALUES (26362, '08/04/2020', '8', '4', '2020', '78', '11', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.84556127');
INSERT INTO public.ecdc_import VALUES (26363, '07/04/2020', '7', '4', '2020', '73', '9', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.44649268');
INSERT INTO public.ecdc_import VALUES (26364, '06/04/2020', '6', '4', '2020', '11', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.90416869');
INSERT INTO public.ecdc_import VALUES (26365, '05/04/2020', '5', '4', '2020', '55', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '6.15998189');
INSERT INTO public.ecdc_import VALUES (26366, '04/04/2020', '4', '4', '2020', '55', '6', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.88370363');
INSERT INTO public.ecdc_import VALUES (26367, '03/04/2020', '3', '4', '2020', '38', '5', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.5051001');
INSERT INTO public.ecdc_import VALUES (26368, '02/04/2020', '2', '4', '2020', '60', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '5.23905437');
INSERT INTO public.ecdc_import VALUES (26369, '01/04/2020', '1', '4', '2020', '33', '4', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.86045083');
INSERT INTO public.ecdc_import VALUES (26370, '31/03/2020', '31', '3', '2020', '45', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.5227774');
INSERT INTO public.ecdc_import VALUES (26371, '30/03/2020', '30', '3', '2020', '39', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '4.17487145');
INSERT INTO public.ecdc_import VALUES (26372, '29/03/2020', '29', '3', '2020', '65', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.85766308');
INSERT INTO public.ecdc_import VALUES (26373, '28/03/2020', '28', '3', '2020', '43', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '3.25394392');
INSERT INTO public.ecdc_import VALUES (26374, '27/03/2020', '27', '3', '2020', '39', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.90603797');
INSERT INTO public.ecdc_import VALUES (26375, '26/03/2020', '26', '3', '2020', '35', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.53766696');
INSERT INTO public.ecdc_import VALUES (26376, '25/03/2020', '25', '3', '2020', '39', '2', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '2.189761');
INSERT INTO public.ecdc_import VALUES (26377, '24/03/2020', '24', '3', '2020', '20', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.82138999');
INSERT INTO public.ecdc_import VALUES (26378, '23/03/2020', '23', '3', '2020', '36', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.62697196');
INSERT INTO public.ecdc_import VALUES (26379, '22/03/2020', '22', '3', '2020', '28', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.26883348');
INSERT INTO public.ecdc_import VALUES (26380, '21/03/2020', '21', '3', '2020', '18', '3', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '1.01302028');
INSERT INTO public.ecdc_import VALUES (26381, '20/03/2020', '20', '3', '2020', '12', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.84929983');
INSERT INTO public.ecdc_import VALUES (26382, '19/03/2020', '19', '3', '2020', '23', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '0.74697455');
INSERT INTO public.ecdc_import VALUES (26383, '18/03/2020', '18', '3', '2020', '0', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26384, '17/03/2020', '17', '3', '2020', '11', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26385, '16/03/2020', '16', '3', '2020', '8', '1', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26386, '15/03/2020', '15', '3', '2020', '6', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26387, '14/03/2020', '14', '3', '2020', '9', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26388, '13/03/2020', '13', '3', '2020', '3', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26389, '12/03/2020', '12', '3', '2020', '1', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26390, '11/03/2020', '11', '3', '2020', '3', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26391, '10/03/2020', '10', '3', '2020', '1', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26392, '09/03/2020', '9', '3', '2020', '1', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26393, '08/03/2020', '8', '3', '2020', '3', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26394, '07/03/2020', '7', '3', '2020', '2', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26395, '05/03/2020', '5', '3', '2020', '2', '0', '9772756', 'Hungary', 'HU', 'HUN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26396, '14/12/2020', '14', '12', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '49.30096277');
INSERT INTO public.ecdc_import VALUES (26397, '13/12/2020', '13', '12', '2020', '13', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '50.7015583');
INSERT INTO public.ecdc_import VALUES (26398, '12/12/2020', '12', '12', '2020', '15', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '54.06298758');
INSERT INTO public.ecdc_import VALUES (26399, '11/12/2020', '11', '12', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '56.30394044');
INSERT INTO public.ecdc_import VALUES (26400, '10/12/2020', '10', '12', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.14429776');
INSERT INTO public.ecdc_import VALUES (26401, '09/12/2020', '9', '12', '2020', '10', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '58.26477418');
INSERT INTO public.ecdc_import VALUES (26402, '08/12/2020', '8', '12', '2020', '14', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.98465508');
INSERT INTO public.ecdc_import VALUES (26403, '07/12/2020', '7', '12', '2020', '6', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.42441686');
INSERT INTO public.ecdc_import VALUES (26404, '06/12/2020', '6', '12', '2020', '14', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.98465508');
INSERT INTO public.ecdc_import VALUES (26405, '05/12/2020', '5', '12', '2020', '14', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '59.1051315');
INSERT INTO public.ecdc_import VALUES (26406, '04/12/2020', '4', '12', '2020', '15', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '60.78584614');
INSERT INTO public.ecdc_import VALUES (26407, '03/12/2020', '3', '12', '2020', '20', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.98465508');
INSERT INTO public.ecdc_import VALUES (26408, '02/12/2020', '2', '12', '2020', '21', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '55.46358312');
INSERT INTO public.ecdc_import VALUES (26409, '01/12/2020', '1', '12', '2020', '11', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '52.38227294');
INSERT INTO public.ecdc_import VALUES (26410, '30/11/2020', '30', '11', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '53.78286848');
INSERT INTO public.ecdc_import VALUES (26411, '29/11/2020', '29', '11', '2020', '25', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '51.82203473');
INSERT INTO public.ecdc_import VALUES (26412, '28/11/2020', '28', '11', '2020', '23', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '49.30096277');
INSERT INTO public.ecdc_import VALUES (26413, '27/11/2020', '27', '11', '2020', '11', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '45.65941438');
INSERT INTO public.ecdc_import VALUES (26414, '26/11/2020', '26', '11', '2020', '14', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '47.62024813');
INSERT INTO public.ecdc_import VALUES (26415, '25/11/2020', '25', '11', '2020', '9', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '51.54191562');
INSERT INTO public.ecdc_import VALUES (26416, '24/11/2020', '24', '11', '2020', '12', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '52.66239205');
INSERT INTO public.ecdc_import VALUES (26417, '23/11/2020', '23', '11', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '55.74370222');
INSERT INTO public.ecdc_import VALUES (26418, '22/11/2020', '22', '11', '2020', '18', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.70453597');
INSERT INTO public.ecdc_import VALUES (26419, '21/11/2020', '21', '11', '2020', '20', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '59.38525061');
INSERT INTO public.ecdc_import VALUES (26420, '20/11/2020', '20', '11', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '59.94548882');
INSERT INTO public.ecdc_import VALUES (26421, '19/11/2020', '19', '11', '2020', '11', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '66.38822827');
INSERT INTO public.ecdc_import VALUES (26422, '18/11/2020', '18', '11', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '72.27072951');
INSERT INTO public.ecdc_import VALUES (26423, '17/11/2020', '17', '11', '2020', '16', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '76.75263522');
INSERT INTO public.ecdc_import VALUES (26424, '16/11/2020', '16', '11', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '83.75561289');
INSERT INTO public.ecdc_import VALUES (26425, '15/11/2020', '15', '11', '2020', '16', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '89.91823323');
INSERT INTO public.ecdc_import VALUES (26426, '14/11/2020', '14', '11', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '104.48442678');
INSERT INTO public.ecdc_import VALUES (26427, '13/11/2020', '13', '11', '2020', '18', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '123.53252603');
INSERT INTO public.ecdc_import VALUES (26428, '12/11/2020', '12', '11', '2020', '28', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '131.93609923');
INSERT INTO public.ecdc_import VALUES (26429, '11/11/2020', '11', '11', '2020', '13', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '151.26431759');
INSERT INTO public.ecdc_import VALUES (26430, '10/11/2020', '10', '11', '2020', '23', '3', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '167.23110667');
INSERT INTO public.ecdc_import VALUES (26431, '09/11/2020', '9', '11', '2020', '15', '2', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '176.47503719');
INSERT INTO public.ecdc_import VALUES (26432, '08/11/2020', '8', '11', '2020', '24', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '187.39968234');
INSERT INTO public.ecdc_import VALUES (26433, '07/11/2020', '7', '11', '2020', '22', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '204.76706696');
INSERT INTO public.ecdc_import VALUES (26434, '06/11/2020', '6', '11', '2020', '28', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '209.80921088');
INSERT INTO public.ecdc_import VALUES (26435, '05/11/2020', '5', '11', '2020', '32', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '212.61040194');
INSERT INTO public.ecdc_import VALUES (26436, '04/11/2020', '4', '11', '2020', '26', '5', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '214.01099748');
INSERT INTO public.ecdc_import VALUES (26437, '03/11/2020', '3', '11', '2020', '41', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '232.49885851');
INSERT INTO public.ecdc_import VALUES (26438, '02/11/2020', '2', '11', '2020', '25', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '233.89945405');
INSERT INTO public.ecdc_import VALUES (26439, '01/11/2020', '1', '11', '2020', '68', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '242.86326546');
INSERT INTO public.ecdc_import VALUES (26440, '31/10/2020', '31', '10', '2020', '78', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '243.14338457');
INSERT INTO public.ecdc_import VALUES (26441, '30/10/2020', '30', '10', '2020', '48', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '247.06505206');
INSERT INTO public.ecdc_import VALUES (26442, '29/10/2020', '29', '10', '2020', '97', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '256.02886347');
INSERT INTO public.ecdc_import VALUES (26443, '28/10/2020', '28', '10', '2020', '70', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '253.78791062');
INSERT INTO public.ecdc_import VALUES (26444, '27/10/2020', '27', '10', '2020', '56', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '258.26981633');
INSERT INTO public.ecdc_import VALUES (26445, '26/10/2020', '26', '10', '2020', '54', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '258.26981633');
INSERT INTO public.ecdc_import VALUES (26446, '25/10/2020', '25', '10', '2020', '86', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '261.63124561');
INSERT INTO public.ecdc_import VALUES (26447, '24/10/2020', '24', '10', '2020', '40', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '261.91136471');
INSERT INTO public.ecdc_import VALUES (26448, '23/10/2020', '23', '10', '2020', '38', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '280.39922575');
INSERT INTO public.ecdc_import VALUES (26449, '22/10/2020', '22', '10', '2020', '37', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '296.36601483');
INSERT INTO public.ecdc_import VALUES (26450, '21/10/2020', '21', '10', '2020', '92', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '311.49244659');
INSERT INTO public.ecdc_import VALUES (26451, '20/10/2020', '20', '10', '2020', '46', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '314.01351855');
INSERT INTO public.ecdc_import VALUES (26452, '19/10/2020', '19', '10', '2020', '57', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '317.65506693');
INSERT INTO public.ecdc_import VALUES (26453, '18/10/2020', '18', '10', '2020', '69', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '315.41411408');
INSERT INTO public.ecdc_import VALUES (26454, '17/10/2020', '17', '10', '2020', '92', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '313.73339944');
INSERT INTO public.ecdc_import VALUES (26455, '16/10/2020', '16', '10', '2020', '80', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '299.1672059');
INSERT INTO public.ecdc_import VALUES (26456, '15/10/2020', '15', '10', '2020', '89', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '288.24256074');
INSERT INTO public.ecdc_import VALUES (26457, '14/10/2020', '14', '10', '2020', '86', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '272.55589076');
INSERT INTO public.ecdc_import VALUES (26458, '13/10/2020', '13', '10', '2020', '56', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '257.42945901');
INSERT INTO public.ecdc_import VALUES (26459, '12/10/2020', '12', '10', '2020', '66', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '252.9475533');
INSERT INTO public.ecdc_import VALUES (26460, '11/10/2020', '11', '10', '2020', '87', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '240.62231261');
INSERT INTO public.ecdc_import VALUES (26461, '10/10/2020', '10', '10', '2020', '106', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '227.4567146');
INSERT INTO public.ecdc_import VALUES (26462, '09/10/2020', '9', '10', '2020', '95', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '211.48992552');
INSERT INTO public.ecdc_import VALUES (26463, '08/10/2020', '8', '10', '2020', '91', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '194.96289822');
INSERT INTO public.ecdc_import VALUES (26464, '07/10/2020', '7', '10', '2020', '101', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '185.4388486');
INSERT INTO public.ecdc_import VALUES (26465, '06/10/2020', '6', '10', '2020', '59', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '168.91182131');
INSERT INTO public.ecdc_import VALUES (26466, '05/10/2020', '5', '10', '2020', '49', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '161.06848632');
INSERT INTO public.ecdc_import VALUES (26467, '04/10/2020', '4', '10', '2020', '63', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '158.26729525');
INSERT INTO public.ecdc_import VALUES (26468, '03/10/2020', '3', '10', '2020', '40', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '162.18896275');
INSERT INTO public.ecdc_import VALUES (26469, '02/10/2020', '2', '10', '2020', '41', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '157.70705704');
INSERT INTO public.ecdc_import VALUES (26470, '01/10/2020', '1', '10', '2020', '33', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '150.98419848');
INSERT INTO public.ecdc_import VALUES (26471, '30/09/2020', '30', '9', '2020', '32', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '145.94205456');
INSERT INTO public.ecdc_import VALUES (26472, '29/09/2020', '29', '9', '2020', '40', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '138.65895779');
INSERT INTO public.ecdc_import VALUES (26473, '28/09/2020', '28', '9', '2020', '22', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '128.29455084');
INSERT INTO public.ecdc_import VALUES (26474, '27/09/2020', '27', '9', '2020', '40', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '122.97228782');
INSERT INTO public.ecdc_import VALUES (26475, '26/09/2020', '26', '9', '2020', '49', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '112.04764266');
INSERT INTO public.ecdc_import VALUES (26476, '25/09/2020', '25', '9', '2020', '36', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '99.44228286');
INSERT INTO public.ecdc_import VALUES (26477, '24/09/2020', '24', '9', '2020', '57', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '90.47847145');
INSERT INTO public.ecdc_import VALUES (26478, '23/09/2020', '23', '9', '2020', '42', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '75.35203969');
INSERT INTO public.ecdc_import VALUES (26479, '22/09/2020', '22', '9', '2020', '31', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '65.54787095');
INSERT INTO public.ecdc_import VALUES (26480, '21/09/2020', '21', '9', '2020', '39', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '57.42441686');
INSERT INTO public.ecdc_import VALUES (26481, '20/09/2020', '20', '9', '2020', '77', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '47.90036724');
INSERT INTO public.ecdc_import VALUES (26482, '19/09/2020', '19', '9', '2020', '24', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '26.61131513');
INSERT INTO public.ecdc_import VALUES (26483, '18/09/2020', '18', '9', '2020', '17', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '21.84929032');
INSERT INTO public.ecdc_import VALUES (26484, '17/09/2020', '17', '9', '2020', '15', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.04809925');
INSERT INTO public.ecdc_import VALUES (26485, '16/09/2020', '16', '9', '2020', '6', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '16.24690819');
INSERT INTO public.ecdc_import VALUES (26486, '15/09/2020', '15', '9', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '17.08726551');
INSERT INTO public.ecdc_import VALUES (26487, '14/09/2020', '14', '9', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '16.8071464');
INSERT INTO public.ecdc_import VALUES (26488, '13/09/2020', '13', '9', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '17.36738461');
INSERT INTO public.ecdc_import VALUES (26489, '12/09/2020', '12', '9', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.32821836');
INSERT INTO public.ecdc_import VALUES (26490, '11/09/2020', '11', '9', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.60833747');
INSERT INTO public.ecdc_import VALUES (26491, '10/09/2020', '10', '9', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.88845657');
INSERT INTO public.ecdc_import VALUES (26492, '09/09/2020', '9', '9', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '20.44869479');
INSERT INTO public.ecdc_import VALUES (26493, '08/09/2020', '8', '9', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.60833747');
INSERT INTO public.ecdc_import VALUES (26494, '07/09/2020', '7', '9', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '21.56917121');
INSERT INTO public.ecdc_import VALUES (26495, '06/09/2020', '6', '9', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '21.84929032');
INSERT INTO public.ecdc_import VALUES (26496, '05/09/2020', '5', '9', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '23.81012406');
INSERT INTO public.ecdc_import VALUES (26497, '04/09/2020', '4', '9', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '24.65048138');
INSERT INTO public.ecdc_import VALUES (26498, '03/09/2020', '3', '9', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '24.09024317');
INSERT INTO public.ecdc_import VALUES (26499, '02/09/2020', '2', '9', '2020', '9', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '24.93060049');
INSERT INTO public.ecdc_import VALUES (26500, '01/09/2020', '1', '9', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '26.05107692');
INSERT INTO public.ecdc_import VALUES (26501, '31/08/2020', '31', '8', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '26.33119602');
INSERT INTO public.ecdc_import VALUES (26502, '30/08/2020', '30', '8', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '28.29202977');
INSERT INTO public.ecdc_import VALUES (26503, '29/08/2020', '29', '8', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.53298262');
INSERT INTO public.ecdc_import VALUES (26504, '28/08/2020', '28', '8', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.09322084');
INSERT INTO public.ecdc_import VALUES (26505, '27/08/2020', '27', '8', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.81310173');
INSERT INTO public.ecdc_import VALUES (26506, '26/08/2020', '26', '8', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.53298262');
INSERT INTO public.ecdc_import VALUES (26507, '25/08/2020', '25', '8', '2020', '9', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.09322084');
INSERT INTO public.ecdc_import VALUES (26508, '24/08/2020', '24', '8', '2020', '6', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '29.6926253');
INSERT INTO public.ecdc_import VALUES (26509, '23/08/2020', '23', '8', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '28.85226798');
INSERT INTO public.ecdc_import VALUES (26510, '22/08/2020', '22', '8', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '27.45167245');
INSERT INTO public.ecdc_import VALUES (26511, '21/08/2020', '21', '8', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.25286352');
INSERT INTO public.ecdc_import VALUES (26512, '20/08/2020', '20', '8', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.53298262');
INSERT INTO public.ecdc_import VALUES (26513, '19/08/2020', '19', '8', '2020', '13', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.53298262');
INSERT INTO public.ecdc_import VALUES (26514, '18/08/2020', '18', '8', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '27.73179156');
INSERT INTO public.ecdc_import VALUES (26515, '17/08/2020', '17', '8', '2020', '12', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '29.13238709');
INSERT INTO public.ecdc_import VALUES (26516, '16/08/2020', '16', '8', '2020', '16', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '29.6926253');
INSERT INTO public.ecdc_import VALUES (26517, '15/08/2020', '15', '8', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '27.45167245');
INSERT INTO public.ecdc_import VALUES (26518, '14/08/2020', '14', '8', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '29.13238709');
INSERT INTO public.ecdc_import VALUES (26519, '13/08/2020', '13', '8', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.09322084');
INSERT INTO public.ecdc_import VALUES (26520, '12/08/2020', '12', '8', '2020', '6', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.09322084');
INSERT INTO public.ecdc_import VALUES (26521, '11/08/2020', '11', '8', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.25286352');
INSERT INTO public.ecdc_import VALUES (26522, '10/08/2020', '10', '8', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.09322084');
INSERT INTO public.ecdc_import VALUES (26523, '09/08/2020', '9', '8', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.37333994');
INSERT INTO public.ecdc_import VALUES (26524, '08/08/2020', '8', '8', '2020', '20', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '30.53298262');
INSERT INTO public.ecdc_import VALUES (26525, '07/08/2020', '7', '8', '2020', '6', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '25.4908387');
INSERT INTO public.ecdc_import VALUES (26526, '06/08/2020', '6', '8', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '24.09024317');
INSERT INTO public.ecdc_import VALUES (26527, '05/08/2020', '5', '8', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '22.12940942');
INSERT INTO public.ecdc_import VALUES (26528, '04/08/2020', '4', '8', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '21.2890521');
INSERT INTO public.ecdc_import VALUES (26529, '03/08/2020', '3', '8', '2020', '14', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.04809925');
INSERT INTO public.ecdc_import VALUES (26530, '02/08/2020', '2', '8', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '15.40655087');
INSERT INTO public.ecdc_import VALUES (26531, '01/08/2020', '1', '8', '2020', '13', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '13.72583623');
INSERT INTO public.ecdc_import VALUES (26532, '31/07/2020', '31', '7', '2020', '11', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '10.08428784');
INSERT INTO public.ecdc_import VALUES (26533, '30/07/2020', '30', '7', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '7.28309677');
INSERT INTO public.ecdc_import VALUES (26534, '29/07/2020', '29', '7', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '6.16262035');
INSERT INTO public.ecdc_import VALUES (26535, '28/07/2020', '28', '7', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '5.88250124');
INSERT INTO public.ecdc_import VALUES (26536, '27/07/2020', '27', '7', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.92166749');
INSERT INTO public.ecdc_import VALUES (26537, '26/07/2020', '26', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.80119107');
INSERT INTO public.ecdc_import VALUES (26538, '25/07/2020', '25', '7', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.80119107');
INSERT INTO public.ecdc_import VALUES (26539, '24/07/2020', '24', '7', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.24095285');
INSERT INTO public.ecdc_import VALUES (26540, '23/07/2020', '23', '7', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.96083375');
INSERT INTO public.ecdc_import VALUES (26541, '22/07/2020', '22', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26542, '21/07/2020', '21', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.96083375');
INSERT INTO public.ecdc_import VALUES (26543, '20/07/2020', '20', '7', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.52107196');
INSERT INTO public.ecdc_import VALUES (26544, '19/07/2020', '19', '7', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.24095285');
INSERT INTO public.ecdc_import VALUES (26545, '18/07/2020', '18', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26546, '17/07/2020', '17', '7', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26547, '16/07/2020', '16', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.80119107');
INSERT INTO public.ecdc_import VALUES (26548, '15/07/2020', '15', '7', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.08131017');
INSERT INTO public.ecdc_import VALUES (26549, '14/07/2020', '14', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.08131017');
INSERT INTO public.ecdc_import VALUES (26550, '13/07/2020', '13', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.36142928');
INSERT INTO public.ecdc_import VALUES (26551, '12/07/2020', '12', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.64154839');
INSERT INTO public.ecdc_import VALUES (26552, '11/07/2020', '11', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.64154839');
INSERT INTO public.ecdc_import VALUES (26553, '10/07/2020', '10', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.2017866');
INSERT INTO public.ecdc_import VALUES (26554, '09/07/2020', '9', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.48190571');
INSERT INTO public.ecdc_import VALUES (26555, '08/07/2020', '8', '7', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '5.04214392');
INSERT INTO public.ecdc_import VALUES (26556, '07/07/2020', '7', '7', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.76202481');
INSERT INTO public.ecdc_import VALUES (26557, '06/07/2020', '6', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.2017866');
INSERT INTO public.ecdc_import VALUES (26558, '05/07/2020', '5', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.2017866');
INSERT INTO public.ecdc_import VALUES (26559, '04/07/2020', '4', '7', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.2017866');
INSERT INTO public.ecdc_import VALUES (26560, '03/07/2020', '3', '7', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.48190571');
INSERT INTO public.ecdc_import VALUES (26561, '02/07/2020', '2', '7', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.64154839');
INSERT INTO public.ecdc_import VALUES (26562, '01/07/2020', '1', '7', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.36142928');
INSERT INTO public.ecdc_import VALUES (26563, '30/06/2020', '30', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.08131017');
INSERT INTO public.ecdc_import VALUES (26564, '29/06/2020', '29', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.08131017');
INSERT INTO public.ecdc_import VALUES (26565, '28/06/2020', '28', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.80119107');
INSERT INTO public.ecdc_import VALUES (26566, '27/06/2020', '27', '6', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.36142928');
INSERT INTO public.ecdc_import VALUES (26567, '26/06/2020', '26', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.08131017');
INSERT INTO public.ecdc_import VALUES (26568, '25/06/2020', '25', '6', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.80119107');
INSERT INTO public.ecdc_import VALUES (26569, '24/06/2020', '24', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.24095285');
INSERT INTO public.ecdc_import VALUES (26570, '23/06/2020', '23', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.24095285');
INSERT INTO public.ecdc_import VALUES (26571, '22/06/2020', '22', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.24095285');
INSERT INTO public.ecdc_import VALUES (26572, '21/06/2020', '21', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.52107196');
INSERT INTO public.ecdc_import VALUES (26573, '20/06/2020', '20', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.52107196');
INSERT INTO public.ecdc_import VALUES (26574, '19/06/2020', '19', '6', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.24095285');
INSERT INTO public.ecdc_import VALUES (26575, '18/06/2020', '18', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26576, '17/06/2020', '17', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26577, '16/06/2020', '16', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.40059553');
INSERT INTO public.ecdc_import VALUES (26578, '15/06/2020', '15', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26579, '14/06/2020', '14', '6', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26580, '13/06/2020', '13', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26581, '12/06/2020', '12', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.56023821');
INSERT INTO public.ecdc_import VALUES (26582, '11/06/2020', '11', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.56023821');
INSERT INTO public.ecdc_import VALUES (26583, '10/06/2020', '10', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26584, '09/06/2020', '9', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26585, '08/06/2020', '8', '6', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26586, '07/06/2020', '7', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.56023821');
INSERT INTO public.ecdc_import VALUES (26587, '06/06/2020', '6', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26588, '05/06/2020', '5', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26589, '04/06/2020', '4', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26590, '03/06/2020', '3', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26591, '02/06/2020', '2', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26592, '01/06/2020', '1', '6', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26593, '31/05/2020', '31', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26594, '30/05/2020', '30', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26595, '29/05/2020', '29', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26596, '28/05/2020', '28', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26597, '27/05/2020', '27', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26598, '26/05/2020', '26', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26599, '25/05/2020', '25', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26600, '24/05/2020', '24', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26601, '23/05/2020', '23', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.56023821');
INSERT INTO public.ecdc_import VALUES (26602, '22/05/2020', '22', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.56023821');
INSERT INTO public.ecdc_import VALUES (26603, '21/05/2020', '21', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26604, '20/05/2020', '20', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26605, '19/05/2020', '19', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26606, '18/05/2020', '18', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26607, '17/05/2020', '17', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26608, '16/05/2020', '16', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.12047643');
INSERT INTO public.ecdc_import VALUES (26609, '15/05/2020', '15', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.40059553');
INSERT INTO public.ecdc_import VALUES (26610, '14/05/2020', '14', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.40059553');
INSERT INTO public.ecdc_import VALUES (26611, '13/05/2020', '13', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26612, '12/05/2020', '12', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.52107196');
INSERT INTO public.ecdc_import VALUES (26613, '11/05/2020', '11', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '2.52107196');
INSERT INTO public.ecdc_import VALUES (26614, '10/05/2020', '10', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.08131017');
INSERT INTO public.ecdc_import VALUES (26615, '09/05/2020', '9', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.36142928');
INSERT INTO public.ecdc_import VALUES (26616, '08/05/2020', '8', '5', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.36142928');
INSERT INTO public.ecdc_import VALUES (26617, '07/05/2020', '7', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '3.92166749');
INSERT INTO public.ecdc_import VALUES (26618, '06/05/2020', '6', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '5.88250124');
INSERT INTO public.ecdc_import VALUES (26619, '05/05/2020', '5', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '7.28309677');
INSERT INTO public.ecdc_import VALUES (26620, '04/05/2020', '4', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '7.84333499');
INSERT INTO public.ecdc_import VALUES (26621, '03/05/2020', '3', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '10.64452605');
INSERT INTO public.ecdc_import VALUES (26622, '02/05/2020', '2', '5', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '12.32524069');
INSERT INTO public.ecdc_import VALUES (26623, '01/05/2020', '1', '5', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '16.24690819');
INSERT INTO public.ecdc_import VALUES (26624, '30/04/2020', '30', '4', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.60833747');
INSERT INTO public.ecdc_import VALUES (26625, '29/04/2020', '29', '4', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '21.008933');
INSERT INTO public.ecdc_import VALUES (26626, '28/04/2020', '28', '4', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '22.68964764');
INSERT INTO public.ecdc_import VALUES (26627, '27/04/2020', '27', '4', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '25.4908387');
INSERT INTO public.ecdc_import VALUES (26628, '26/04/2020', '26', '4', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '28.29202977');
INSERT INTO public.ecdc_import VALUES (26629, '25/04/2020', '25', '4', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '31.93357816');
INSERT INTO public.ecdc_import VALUES (26630, '24/04/2020', '24', '4', '2020', '4', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '39.49679404');
INSERT INTO public.ecdc_import VALUES (26631, '23/04/2020', '23', '4', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '47.34012902');
INSERT INTO public.ecdc_import VALUES (26632, '22/04/2020', '22', '4', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '53.78286848');
INSERT INTO public.ecdc_import VALUES (26633, '21/04/2020', '21', '4', '2020', '2', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '59.1051315');
INSERT INTO public.ecdc_import VALUES (26634, '20/04/2020', '20', '4', '2020', '11', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '79.83394539');
INSERT INTO public.ecdc_import VALUES (26635, '19/04/2020', '19', '4', '2020', '6', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '96.08085358');
INSERT INTO public.ecdc_import VALUES (26636, '18/04/2020', '18', '4', '2020', '15', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '109.24645159');
INSERT INTO public.ecdc_import VALUES (26637, '17/04/2020', '17', '4', '2020', '12', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '117.65002479');
INSERT INTO public.ecdc_import VALUES (26638, '16/04/2020', '16', '4', '2020', '7', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '142.02038707');
INSERT INTO public.ecdc_import VALUES (26639, '15/04/2020', '15', '4', '2020', '9', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '163.86967739');
INSERT INTO public.ecdc_import VALUES (26640, '14/04/2020', '14', '4', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '175.07444165');
INSERT INTO public.ecdc_import VALUES (26641, '13/04/2020', '13', '4', '2020', '12', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '190.76111162');
INSERT INTO public.ecdc_import VALUES (26642, '12/04/2020', '12', '4', '2020', '14', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '203.36647142');
INSERT INTO public.ecdc_import VALUES (26643, '11/04/2020', '11', '4', '2020', '27', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '219.89349872');
INSERT INTO public.ecdc_import VALUES (26644, '10/04/2020', '10', '4', '2020', '32', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '236.98076422');
INSERT INTO public.ecdc_import VALUES (26645, '09/04/2020', '9', '4', '2020', '30', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '246.22469474');
INSERT INTO public.ecdc_import VALUES (26646, '08/04/2020', '8', '4', '2020', '24', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '262.75172203');
INSERT INTO public.ecdc_import VALUES (26647, '07/04/2020', '7', '4', '2020', '76', '2', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '272.83600987');
INSERT INTO public.ecdc_import VALUES (26648, '06/04/2020', '6', '4', '2020', '69', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '257.1493399');
INSERT INTO public.ecdc_import VALUES (26649, '05/04/2020', '5', '4', '2020', '53', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '264.43243667');
INSERT INTO public.ecdc_import VALUES (26650, '04/04/2020', '4', '4', '2020', '45', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '267.51374685');
INSERT INTO public.ecdc_import VALUES (26651, '03/04/2020', '3', '4', '2020', '99', '2', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '277.03779647');
INSERT INTO public.ecdc_import VALUES (26652, '02/04/2020', '2', '4', '2020', '85', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '271.71553344');
INSERT INTO public.ecdc_import VALUES (26653, '01/04/2020', '1', '4', '2020', '49', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '248.7457667');
INSERT INTO public.ecdc_import VALUES (26654, '31/03/2020', '31', '3', '2020', '66', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '248.46564759');
INSERT INTO public.ecdc_import VALUES (26655, '30/03/2020', '30', '3', '2020', '57', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '235.86028779');
INSERT INTO public.ecdc_import VALUES (26656, '29/03/2020', '29', '3', '2020', '73', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '231.09826298');
INSERT INTO public.ecdc_import VALUES (26657, '28/03/2020', '28', '3', '2020', '88', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '216.53206944');
INSERT INTO public.ecdc_import VALUES (26658, '27/03/2020', '27', '3', '2020', '65', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '191.88158805');
INSERT INTO public.ecdc_import VALUES (26659, '26/03/2020', '26', '3', '2020', '89', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '182.63765753');
INSERT INTO public.ecdc_import VALUES (26660, '25/03/2020', '25', '3', '2020', '60', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '161.90884364');
INSERT INTO public.ecdc_import VALUES (26661, '24/03/2020', '24', '3', '2020', '20', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '146.50229277');
INSERT INTO public.ecdc_import VALUES (26662, '23/03/2020', '23', '3', '2020', '95', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '143.70110171');
INSERT INTO public.ecdc_import VALUES (26663, '22/03/2020', '22', '3', '2020', '64', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '117.65002479');
INSERT INTO public.ecdc_import VALUES (26664, '21/03/2020', '21', '3', '2020', '79', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '102.52359303');
INSERT INTO public.ecdc_import VALUES (26665, '20/03/2020', '20', '3', '2020', '80', '1', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '82.63513646');
INSERT INTO public.ecdc_import VALUES (26666, '19/03/2020', '19', '3', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '62.74667989');
INSERT INTO public.ecdc_import VALUES (26667, '18/03/2020', '18', '3', '2020', '48', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '64.70751363');
INSERT INTO public.ecdc_import VALUES (26668, '17/03/2020', '17', '3', '2020', '21', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '54.06298758');
INSERT INTO public.ecdc_import VALUES (26669, '16/03/2020', '16', '3', '2020', '40', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '49.02084366');
INSERT INTO public.ecdc_import VALUES (26670, '15/03/2020', '15', '3', '2020', '21', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '38.37631761');
INSERT INTO public.ecdc_import VALUES (26671, '14/03/2020', '14', '3', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '32.49381637');
INSERT INTO public.ecdc_import VALUES (26672, '13/03/2020', '13', '3', '2020', '32', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '32.77393548');
INSERT INTO public.ecdc_import VALUES (26673, '12/03/2020', '12', '3', '2020', '15', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '23.81012406');
INSERT INTO public.ecdc_import VALUES (26674, '11/03/2020', '11', '3', '2020', '5', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '19.60833747');
INSERT INTO public.ecdc_import VALUES (26675, '10/03/2020', '10', '3', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '18.20774193');
INSERT INTO public.ecdc_import VALUES (26676, '09/03/2020', '9', '3', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '15.40655087');
INSERT INTO public.ecdc_import VALUES (26677, '08/03/2020', '8', '3', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '14.84631265');
INSERT INTO public.ecdc_import VALUES (26678, '07/03/2020', '7', '3', '2020', '8', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '12.04512159');
INSERT INTO public.ecdc_import VALUES (26679, '06/03/2020', '6', '3', '2020', '9', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '9.80416873');
INSERT INTO public.ecdc_import VALUES (26680, '05/03/2020', '5', '3', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '7.28309677');
INSERT INTO public.ecdc_import VALUES (26681, '04/03/2020', '4', '3', '2020', '10', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '4.48190571');
INSERT INTO public.ecdc_import VALUES (26682, '03/03/2020', '3', '3', '2020', '3', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '1.68071464');
INSERT INTO public.ecdc_import VALUES (26683, '02/03/2020', '2', '3', '2020', '2', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.84035732');
INSERT INTO public.ecdc_import VALUES (26684, '01/03/2020', '1', '3', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.28011911');
INSERT INTO public.ecdc_import VALUES (26685, '29/02/2020', '29', '2', '2020', '1', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0.28011911');
INSERT INTO public.ecdc_import VALUES (26686, '28/02/2020', '28', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26687, '27/02/2020', '27', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26688, '26/02/2020', '26', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26689, '25/02/2020', '25', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26690, '24/02/2020', '24', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26691, '23/02/2020', '23', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26692, '22/02/2020', '22', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26693, '21/02/2020', '21', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26694, '20/02/2020', '20', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26695, '19/02/2020', '19', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26696, '18/02/2020', '18', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26697, '17/02/2020', '17', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26698, '16/02/2020', '16', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26699, '15/02/2020', '15', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26700, '14/02/2020', '14', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26701, '13/02/2020', '13', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26702, '12/02/2020', '12', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26703, '11/02/2020', '11', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26704, '10/02/2020', '10', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26705, '09/02/2020', '9', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26706, '08/02/2020', '8', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26707, '07/02/2020', '7', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26708, '06/02/2020', '6', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26709, '05/02/2020', '5', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26710, '04/02/2020', '4', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26711, '03/02/2020', '3', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26712, '02/02/2020', '2', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26713, '01/02/2020', '1', '2', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26714, '31/01/2020', '31', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26715, '30/01/2020', '30', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26716, '29/01/2020', '29', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26717, '28/01/2020', '28', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26718, '27/01/2020', '27', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26719, '26/01/2020', '26', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26720, '25/01/2020', '25', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26721, '24/01/2020', '24', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26722, '23/01/2020', '23', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26723, '22/01/2020', '22', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26724, '21/01/2020', '21', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26725, '20/01/2020', '20', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26726, '19/01/2020', '19', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26727, '18/01/2020', '18', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26728, '17/01/2020', '17', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26729, '16/01/2020', '16', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26730, '15/01/2020', '15', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26731, '14/01/2020', '14', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26732, '13/01/2020', '13', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (26733, '12/01/2020', '12', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26734, '11/01/2020', '11', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26735, '10/01/2020', '10', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26736, '09/01/2020', '9', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26737, '08/01/2020', '8', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26738, '07/01/2020', '7', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26739, '06/01/2020', '6', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26740, '05/01/2020', '5', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26741, '04/01/2020', '4', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26742, '03/01/2020', '3', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26743, '02/01/2020', '2', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26744, '01/01/2020', '1', '1', '2020', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26745, '31/12/2019', '31', '12', '2019', '0', '0', '356991', 'Iceland', 'IS', 'ISL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (26746, '14/12/2020', '14', '12', '2020', '27071', '336', '1366417756', 'India', 'IN', 'IND', 'Asia', '33.10912772');
INSERT INTO public.ecdc_import VALUES (26747, '13/12/2020', '13', '12', '2020', '30254', '391', '1366417756', 'India', 'IN', 'IND', 'Asia', '33.96545441');
INSERT INTO public.ecdc_import VALUES (26748, '12/12/2020', '12', '12', '2020', '30006', '442', '1366417756', 'India', 'IN', 'IND', 'Asia', '34.81116942');
INSERT INTO public.ecdc_import VALUES (26749, '11/12/2020', '11', '12', '2020', '29398', '414', '1366417756', 'India', 'IN', 'IND', 'Asia', '35.63932025');
INSERT INTO public.ecdc_import VALUES (26750, '10/12/2020', '10', '12', '2020', '31521', '412', '1366417756', 'India', 'IN', 'IND', 'Asia', '36.64077094');
INSERT INTO public.ecdc_import VALUES (26751, '09/12/2020', '9', '12', '2020', '32080', '402', '1366417756', 'India', 'IN', 'IND', 'Asia', '37.58982183');
INSERT INTO public.ecdc_import VALUES (26752, '08/12/2020', '8', '12', '2020', '26567', '385', '1366417756', 'India', 'IN', 'IND', 'Asia', '38.48969305');
INSERT INTO public.ecdc_import VALUES (26753, '07/12/2020', '7', '12', '2020', '32981', '391', '1366417756', 'India', 'IN', 'IND', 'Asia', '39.32457681');
INSERT INTO public.ecdc_import VALUES (26754, '06/12/2020', '6', '12', '2020', '36011', '482', '1366417756', 'India', 'IN', 'IND', 'Asia', '40.13530983');
INSERT INTO public.ecdc_import VALUES (26755, '05/12/2020', '5', '12', '2020', '36652', '512', '1366417756', 'India', 'IN', 'IND', 'Asia', '40.80845682');
INSERT INTO public.ecdc_import VALUES (26756, '04/12/2020', '4', '12', '2020', '36595', '540', '1366417756', 'India', 'IN', 'IND', 'Asia', '41.50956013');
INSERT INTO public.ecdc_import VALUES (26757, '03/12/2020', '3', '12', '2020', '35551', '526', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.1892205');
INSERT INTO public.ecdc_import VALUES (26758, '02/12/2020', '2', '12', '2020', '36604', '501', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.92289071');
INSERT INTO public.ecdc_import VALUES (26759, '01/12/2020', '1', '12', '2020', '31118', '482', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.07021022');
INSERT INTO public.ecdc_import VALUES (26760, '30/11/2020', '30', '11', '2020', '38772', '443', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.92713538');
INSERT INTO public.ecdc_import VALUES (26761, '29/11/2020', '29', '11', '2020', '41810', '496', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.32526967');
INSERT INTO public.ecdc_import VALUES (26762, '28/11/2020', '28', '11', '2020', '41322', '485', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.27330898');
INSERT INTO public.ecdc_import VALUES (26763, '27/11/2020', '27', '11', '2020', '43082', '492', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.5193538');
INSERT INTO public.ecdc_import VALUES (26764, '26/11/2020', '26', '11', '2020', '44489', '524', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.65086555');
INSERT INTO public.ecdc_import VALUES (26765, '25/11/2020', '25', '11', '2020', '44376', '481', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.9008623');
INSERT INTO public.ecdc_import VALUES (26766, '24/11/2020', '24', '11', '2020', '37975', '480', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.89390982');
INSERT INTO public.ecdc_import VALUES (26767, '23/11/2020', '23', '11', '2020', '44059', '511', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.90108186');
INSERT INTO public.ecdc_import VALUES (26768, '22/11/2020', '22', '11', '2020', '45209', '501', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.03603326');
INSERT INTO public.ecdc_import VALUES (26769, '21/11/2020', '21', '11', '2020', '46232', '564', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.07006385');
INSERT INTO public.ecdc_import VALUES (26770, '20/11/2020', '20', '11', '2020', '45882', '584', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.37187492');
INSERT INTO public.ecdc_import VALUES (26771, '19/11/2020', '19', '11', '2020', '45576', '585', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.50038613');
INSERT INTO public.ecdc_import VALUES (26772, '18/11/2020', '18', '11', '2020', '38617', '474', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.83952107');
INSERT INTO public.ecdc_import VALUES (26773, '17/11/2020', '17', '11', '2020', '29163', '449', '1366417756', 'India', 'IN', 'IND', 'Asia', '44.39835455');
INSERT INTO public.ecdc_import VALUES (26774, '16/11/2020', '16', '11', '2020', '30548', '435', '1366417756', 'India', 'IN', 'IND', 'Asia', '45.06776916');
INSERT INTO public.ecdc_import VALUES (26775, '15/11/2020', '15', '11', '2020', '41100', '447', '1366417756', 'India', 'IN', 'IND', 'Asia', '46.14233072');
INSERT INTO public.ecdc_import VALUES (26776, '14/11/2020', '14', '11', '2020', '44684', '520', '1366417756', 'India', 'IN', 'IND', 'Asia', '46.57140887');
INSERT INTO public.ecdc_import VALUES (26777, '13/11/2020', '13', '11', '2020', '44879', '547', '1366417756', 'India', 'IN', 'IND', 'Asia', '46.83370054');
INSERT INTO public.ecdc_import VALUES (26778, '12/11/2020', '12', '11', '2020', '47905', '550', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.10953127');
INSERT INTO public.ecdc_import VALUES (26779, '11/11/2020', '11', '11', '2020', '44281', '512', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.25414297');
INSERT INTO public.ecdc_import VALUES (26780, '10/11/2020', '10', '11', '2020', '38073', '448', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.22574756');
INSERT INTO public.ecdc_import VALUES (26781, '09/11/2020', '9', '11', '2020', '45903', '490', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.10843351');
INSERT INTO public.ecdc_import VALUES (26782, '08/11/2020', '8', '11', '2020', '45674', '559', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.05317954');
INSERT INTO public.ecdc_import VALUES (26783, '07/11/2020', '7', '11', '2020', '50356', '577', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.37921453');
INSERT INTO public.ecdc_import VALUES (26784, '06/11/2020', '6', '11', '2020', '47638', '670', '1366417756', 'India', 'IN', 'IND', 'Asia', '47.59979129');
INSERT INTO public.ecdc_import VALUES (26785, '05/11/2020', '5', '11', '2020', '50210', '704', '1366417756', 'India', 'IN', 'IND', 'Asia', '48.09217365');
INSERT INTO public.ecdc_import VALUES (26786, '04/11/2020', '4', '11', '2020', '46253', '514', '1366417756', 'India', 'IN', 'IND', 'Asia', '48.50412673');
INSERT INTO public.ecdc_import VALUES (26787, '03/11/2020', '3', '11', '2020', '38310', '490', '1366417756', 'India', 'IN', 'IND', 'Asia', '49.07430374');
INSERT INTO public.ecdc_import VALUES (26788, '02/11/2020', '2', '11', '2020', '45231', '496', '1366417756', 'India', 'IN', 'IND', 'Asia', '49.69490458');
INSERT INTO public.ecdc_import VALUES (26789, '01/11/2020', '1', '11', '2020', '46963', '470', '1366417756', 'India', 'IN', 'IND', 'Asia', '50.46267856');
INSERT INTO public.ecdc_import VALUES (26790, '31/10/2020', '31', '10', '2020', '48268', '551', '1366417756', 'India', 'IN', 'IND', 'Asia', '51.55370654');
INSERT INTO public.ecdc_import VALUES (26791, '30/10/2020', '30', '10', '2020', '48648', '563', '1366417756', 'India', 'IN', 'IND', 'Asia', '52.57418508');
INSERT INTO public.ecdc_import VALUES (26792, '29/10/2020', '29', '10', '2020', '49881', '517', '1366417756', 'India', 'IN', 'IND', 'Asia', '53.65167401');
INSERT INTO public.ecdc_import VALUES (26793, '28/10/2020', '28', '10', '2020', '43893', '508', '1366417756', 'India', 'IN', 'IND', 'Asia', '54.95632626');
INSERT INTO public.ecdc_import VALUES (26794, '27/10/2020', '27', '10', '2020', '36470', '488', '1366417756', 'India', 'IN', 'IND', 'Asia', '56.39190479');
INSERT INTO public.ecdc_import VALUES (26795, '26/10/2020', '26', '10', '2020', '45148', '480', '1366417756', 'India', 'IN', 'IND', 'Asia', '57.77303438');
INSERT INTO public.ecdc_import VALUES (26796, '25/10/2020', '25', '10', '2020', '50129', '578', '1366417756', 'India', 'IN', 'IND', 'Asia', '59.35263915');
INSERT INTO public.ecdc_import VALUES (26797, '24/10/2020', '24', '10', '2020', '53370', '650', '1366417756', 'India', 'IN', 'IND', 'Asia', '61.12764536');
INSERT INTO public.ecdc_import VALUES (26798, '23/10/2020', '23', '10', '2020', '54366', '690', '1366417756', 'India', 'IN', 'IND', 'Asia', '62.58415453');
INSERT INTO public.ecdc_import VALUES (26799, '22/10/2020', '22', '10', '2020', '55839', '702', '1366417756', 'India', 'IN', 'IND', 'Asia', '63.76461343');
INSERT INTO public.ecdc_import VALUES (26800, '21/10/2020', '21', '10', '2020', '54044', '717', '1366417756', 'India', 'IN', 'IND', 'Asia', '65.42479385');
INSERT INTO public.ecdc_import VALUES (26801, '20/10/2020', '20', '10', '2020', '46790', '587', '1366417756', 'India', 'IN', 'IND', 'Asia', '66.74247286');
INSERT INTO public.ecdc_import VALUES (26802, '19/10/2020', '19', '10', '2020', '55722', '579', '1366417756', 'India', 'IN', 'IND', 'Asia', '67.80195851');
INSERT INTO public.ecdc_import VALUES (26803, '18/10/2020', '18', '10', '2020', '61871', '1033', '1366417756', 'India', 'IN', 'IND', 'Asia', '69.17196413');
INSERT INTO public.ecdc_import VALUES (26804, '17/10/2020', '17', '10', '2020', '62212', '837', '1366417756', 'India', 'IN', 'IND', 'Asia', '70.19346725');
INSERT INTO public.ecdc_import VALUES (26805, '16/10/2020', '16', '10', '2020', '63371', '895', '1366417756', 'India', 'IN', 'IND', 'Asia', '71.45691687');
INSERT INTO public.ecdc_import VALUES (26806, '15/10/2020', '15', '10', '2020', '67708', '680', '1366417756', 'India', 'IN', 'IND', 'Asia', '72.78249976');
INSERT INTO public.ecdc_import VALUES (26807, '14/10/2020', '14', '10', '2020', '63509', '730', '1366417756', 'India', 'IN', 'IND', 'Asia', '74.18126671');
INSERT INTO public.ecdc_import VALUES (26808, '13/10/2020', '13', '10', '2020', '55342', '706', '1366417756', 'India', 'IN', 'IND', 'Asia', '75.42268794');
INSERT INTO public.ecdc_import VALUES (26809, '12/10/2020', '12', '10', '2020', '66732', '816', '1366417756', 'India', 'IN', 'IND', 'Asia', '76.53852531');
INSERT INTO public.ecdc_import VALUES (26810, '11/10/2020', '11', '10', '2020', '74383', '918', '1366417756', 'India', 'IN', 'IND', 'Asia', '77.66834084');
INSERT INTO public.ecdc_import VALUES (26811, '10/10/2020', '10', '10', '2020', '73272', '926', '1366417756', 'India', 'IN', 'IND', 'Asia', '78.70879863');
INSERT INTO public.ecdc_import VALUES (26812, '09/10/2020', '9', '10', '2020', '70496', '964', '1366417756', 'India', 'IN', 'IND', 'Asia', '79.59359392');
INSERT INTO public.ecdc_import VALUES (26813, '08/10/2020', '8', '10', '2020', '78524', '971', '1366417756', 'India', 'IN', 'IND', 'Asia', '80.73204517');
INSERT INTO public.ecdc_import VALUES (26814, '07/10/2020', '7', '10', '2020', '72049', '986', '1366417756', 'India', 'IN', 'IND', 'Asia', '81.31634671');
INSERT INTO public.ecdc_import VALUES (26815, '06/10/2020', '6', '10', '2020', '61267', '884', '1366417756', 'India', 'IN', 'IND', 'Asia', '82.14318023');
INSERT INTO public.ecdc_import VALUES (26816, '05/10/2020', '5', '10', '2020', '74442', '903', '1366417756', 'India', 'IN', 'IND', 'Asia', '83.15429121');
INSERT INTO public.ecdc_import VALUES (26817, '04/10/2020', '4', '10', '2020', '75829', '940', '1366417756', 'India', 'IN', 'IND', 'Asia', '84.07048247');
INSERT INTO public.ecdc_import VALUES (26818, '03/10/2020', '3', '10', '2020', '79476', '1069', '1366417756', 'India', 'IN', 'IND', 'Asia', '85.29821827');
INSERT INTO public.ecdc_import VALUES (26819, '02/10/2020', '2', '10', '2020', '81484', '1095', '1366417756', 'India', 'IN', 'IND', 'Asia', '86.31262254');
INSERT INTO public.ecdc_import VALUES (26820, '01/10/2020', '1', '10', '2020', '86821', '1181', '1366417756', 'India', 'IN', 'IND', 'Asia', '87.4059924');
INSERT INTO public.ecdc_import VALUES (26821, '30/09/2020', '30', '9', '2020', '80472', '1179', '1366417756', 'India', 'IN', 'IND', 'Asia', '88.21635951');
INSERT INTO public.ecdc_import VALUES (26822, '29/09/2020', '29', '9', '2020', '70589', '776', '1366417756', 'India', 'IN', 'IND', 'Asia', '88.92265888');
INSERT INTO public.ecdc_import VALUES (26823, '28/09/2020', '28', '9', '2020', '82170', '1039', '1366417756', 'India', 'IN', 'IND', 'Asia', '89.89015216');
INSERT INTO public.ecdc_import VALUES (26824, '27/09/2020', '27', '9', '2020', '88600', '1124', '1366417756', 'India', 'IN', 'IND', 'Asia', '90.61474754');
INSERT INTO public.ecdc_import VALUES (26825, '26/09/2020', '26', '9', '2020', '85362', '1089', '1366417756', 'India', 'IN', 'IND', 'Asia', '91.03716594');
INSERT INTO public.ecdc_import VALUES (26826, '25/09/2020', '25', '9', '2020', '86052', '1141', '1366417756', 'India', 'IN', 'IND', 'Asia', '91.93059696');
INSERT INTO public.ecdc_import VALUES (26827, '24/09/2020', '24', '9', '2020', '86508', '1129', '1366417756', 'India', 'IN', 'IND', 'Asia', '92.69895641');
INSERT INTO public.ecdc_import VALUES (26828, '23/09/2020', '23', '9', '2020', '83347', '1085', '1366417756', 'India', 'IN', 'IND', 'Asia', '93.37422574');
INSERT INTO public.ecdc_import VALUES (26829, '22/09/2020', '22', '9', '2020', '75083', '1053', '1366417756', 'India', 'IN', 'IND', 'Asia', '93.83960318');
INSERT INTO public.ecdc_import VALUES (26830, '21/09/2020', '21', '9', '2020', '86961', '1130', '1366417756', 'India', 'IN', 'IND', 'Asia', '93.89273481');
INSERT INTO public.ecdc_import VALUES (26831, '20/09/2020', '20', '9', '2020', '92605', '1133', '1366417756', 'India', 'IN', 'IND', 'Asia', '94.17383478');
INSERT INTO public.ecdc_import VALUES (26832, '19/09/2020', '19', '9', '2020', '93337', '1247', '1366417756', 'India', 'IN', 'IND', 'Asia', '94.02944263');
INSERT INTO public.ecdc_import VALUES (26833, '18/09/2020', '18', '9', '2020', '96424', '1174', '1366417756', 'India', 'IN', 'IND', 'Asia', '93.52410669');
INSERT INTO public.ecdc_import VALUES (26834, '17/09/2020', '17', '9', '2020', '97894', '1132', '1366417756', 'India', 'IN', 'IND', 'Asia', '92.56663963');
INSERT INTO public.ecdc_import VALUES (26835, '16/09/2020', '16', '9', '2020', '90123', '1290', '1366417756', 'India', 'IN', 'IND', 'Asia', '91.54125775');
INSERT INTO public.ecdc_import VALUES (26836, '15/09/2020', '15', '9', '2020', '83809', '1054', '1366417756', 'India', 'IN', 'IND', 'Asia', '90.68017409');
INSERT INTO public.ecdc_import VALUES (26837, '14/09/2020', '14', '9', '2020', '92071', '1136', '1366417756', 'India', 'IN', 'IND', 'Asia', '89.66379386');
INSERT INTO public.ecdc_import VALUES (26838, '13/09/2020', '13', '9', '2020', '94372', '1114', '1366417756', 'India', 'IN', 'IND', 'Asia', '88.67149118');
INSERT INTO public.ecdc_import VALUES (26839, '12/09/2020', '12', '9', '2020', '97570', '1201', '1366417756', 'India', 'IN', 'IND', 'Asia', '87.52901481');
INSERT INTO public.ecdc_import VALUES (26840, '11/09/2020', '11', '9', '2020', '96551', '1209', '1366417756', 'India', 'IN', 'IND', 'Asia', '85.9849775');
INSERT INTO public.ecdc_import VALUES (26841, '10/09/2020', '10', '9', '2020', '95735', '1172', '1366417756', 'India', 'IN', 'IND', 'Asia', '84.57362289');
INSERT INTO public.ecdc_import VALUES (26842, '09/09/2020', '9', '9', '2020', '89706', '1115', '1366417756', 'India', 'IN', 'IND', 'Asia', '83.11177127');
INSERT INTO public.ecdc_import VALUES (26843, '08/09/2020', '8', '9', '2020', '75809', '1133', '1366417756', 'India', 'IN', 'IND', 'Asia', '81.46110478');
INSERT INTO public.ecdc_import VALUES (26844, '07/09/2020', '7', '9', '2020', '90802', '1016', '1366417756', 'India', 'IN', 'IND', 'Asia', '80.37549243');
INSERT INTO public.ecdc_import VALUES (26845, '06/09/2020', '6', '9', '2020', '90632', '1065', '1366417756', 'India', 'IN', 'IND', 'Asia', '78.22432015');
INSERT INTO public.ecdc_import VALUES (26846, '05/09/2020', '5', '9', '2020', '86432', '1089', '1366417756', 'India', 'IN', 'IND', 'Asia', '76.65869354');
INSERT INTO public.ecdc_import VALUES (26847, '04/09/2020', '4', '9', '2020', '83341', '1096', '1366417756', 'India', 'IN', 'IND', 'Asia', '75.4472046');
INSERT INTO public.ecdc_import VALUES (26848, '03/09/2020', '3', '9', '2020', '83883', '1043', '1366417756', 'India', 'IN', 'IND', 'Asia', '74.39020721');
INSERT INTO public.ecdc_import VALUES (26849, '02/09/2020', '2', '9', '2020', '78357', '1105', '1366417756', 'India', 'IN', 'IND', 'Asia', '73.34872484');
INSERT INTO public.ecdc_import VALUES (26850, '01/09/2020', '1', '9', '2020', '69921', '759', '1366417756', 'India', 'IN', 'IND', 'Asia', '72.33688202');
INSERT INTO public.ecdc_import VALUES (26851, '31/08/2020', '31', '8', '2020', '78512', '971', '1366417756', 'India', 'IN', 'IND', 'Asia', '71.25068419');
INSERT INTO public.ecdc_import VALUES (26852, '30/08/2020', '30', '8', '2020', '78761', '948', '1366417756', 'India', 'IN', 'IND', 'Asia', '69.74814224');
INSERT INTO public.ecdc_import VALUES (26853, '29/08/2020', '29', '8', '2020', '76472', '1021', '1366417756', 'India', 'IN', 'IND', 'Asia', '68.63054845');
INSERT INTO public.ecdc_import VALUES (26854, '28/08/2020', '28', '8', '2020', '77266', '1057', '1366417756', 'India', 'IN', 'IND', 'Asia', '67.79112727');
INSERT INTO public.ecdc_import VALUES (26855, '27/08/2020', '27', '8', '2020', '75760', '1023', '1366417756', 'India', 'IN', 'IND', 'Asia', '66.86073831');
INSERT INTO public.ecdc_import VALUES (26856, '26/08/2020', '26', '8', '2020', '67151', '1059', '1366417756', 'India', 'IN', 'IND', 'Asia', '66.21957275');
INSERT INTO public.ecdc_import VALUES (26857, '25/08/2020', '25', '8', '2020', '60975', '848', '1366417756', 'India', 'IN', 'IND', 'Asia', '65.76670978');
INSERT INTO public.ecdc_import VALUES (26858, '24/08/2020', '24', '8', '2020', '61408', '836', '1366417756', 'India', 'IN', 'IND', 'Asia', '65.22705052');
INSERT INTO public.ecdc_import VALUES (26859, '23/08/2020', '23', '8', '2020', '69239', '912', '1366417756', 'India', 'IN', 'IND', 'Asia', '65.27505926');
INSERT INTO public.ecdc_import VALUES (26860, '22/08/2020', '22', '8', '2020', '69878', '945', '1366417756', 'India', 'IN', 'IND', 'Asia', '64.92084841');
INSERT INTO public.ecdc_import VALUES (26861, '21/08/2020', '21', '8', '2020', '68898', '983', '1366417756', 'India', 'IN', 'IND', 'Asia', '64.31042016');
INSERT INTO public.ecdc_import VALUES (26862, '20/08/2020', '20', '8', '2020', '69652', '977', '1366417756', 'India', 'IN', 'IND', 'Asia', '63.84496953');
INSERT INTO public.ecdc_import VALUES (26863, '19/08/2020', '19', '8', '2020', '64531', '1092', '1366417756', 'India', 'IN', 'IND', 'Asia', '62.86649864');
INSERT INTO public.ecdc_import VALUES (26864, '18/08/2020', '18', '8', '2020', '55079', '876', '1366417756', 'India', 'IN', 'IND', 'Asia', '61.98667986');
INSERT INTO public.ecdc_import VALUES (26865, '17/08/2020', '17', '8', '2020', '57981', '941', '1366417756', 'India', 'IN', 'IND', 'Asia', '61.76500534');
INSERT INTO public.ecdc_import VALUES (26866, '16/08/2020', '16', '8', '2020', '63490', '944', '1366417756', 'India', 'IN', 'IND', 'Asia', '61.39842638');
INSERT INTO public.ecdc_import VALUES (26867, '15/08/2020', '15', '8', '2020', '65002', '996', '1366417756', 'India', 'IN', 'IND', 'Asia', '60.75769993');
INSERT INTO public.ecdc_import VALUES (26868, '14/08/2020', '14', '8', '2020', '64553', '1007', '1366417756', 'India', 'IN', 'IND', 'Asia', '60.1807168');
INSERT INTO public.ecdc_import VALUES (26869, '13/08/2020', '13', '8', '2020', '66999', '942', '1366417756', 'India', 'IN', 'IND', 'Asia', '59.48729782');
INSERT INTO public.ecdc_import VALUES (26870, '12/08/2020', '12', '8', '2020', '60963', '834', '1366417756', 'India', 'IN', 'IND', 'Asia', '58.39861173');
INSERT INTO public.ecdc_import VALUES (26871, '11/08/2020', '11', '8', '2020', '53601', '871', '1366417756', 'India', 'IN', 'IND', 'Asia', '57.48747018');
INSERT INTO public.ecdc_import VALUES (26872, '10/08/2020', '10', '8', '2020', '62064', '1007', '1366417756', 'India', 'IN', 'IND', 'Asia', '57.05583059');
INSERT INTO public.ecdc_import VALUES (26873, '09/08/2020', '9', '8', '2020', '64399', '861', '1366417756', 'India', 'IN', 'IND', 'Asia', '56.16788838');
INSERT INTO public.ecdc_import VALUES (26874, '08/08/2020', '8', '8', '2020', '61537', '933', '1366417756', 'India', 'IN', 'IND', 'Asia', '55.01611763');
INSERT INTO public.ecdc_import VALUES (26875, '07/08/2020', '7', '8', '2020', '62538', '886', '1366417756', 'India', 'IN', 'IND', 'Asia', '54.0924616');
INSERT INTO public.ecdc_import VALUES (26876, '06/08/2020', '6', '8', '2020', '56282', '904', '1366417756', 'India', 'IN', 'IND', 'Asia', '53.12438285');
INSERT INTO public.ecdc_import VALUES (26877, '05/08/2020', '5', '8', '2020', '52509', '857', '1366417756', 'India', 'IN', 'IND', 'Asia', '52.3514128');
INSERT INTO public.ecdc_import VALUES (26878, '04/08/2020', '4', '8', '2020', '52050', '803', '1366417756', 'India', 'IN', 'IND', 'Asia', '51.26938646');
INSERT INTO public.ecdc_import VALUES (26879, '03/08/2020', '3', '8', '2020', '52972', '771', '1366417756', 'India', 'IN', 'IND', 'Asia', '50.17879759');
INSERT INTO public.ecdc_import VALUES (26880, '02/08/2020', '2', '8', '2020', '54735', '853', '1366417756', 'India', 'IN', 'IND', 'Asia', '49.26055718');
INSERT INTO public.ecdc_import VALUES (26881, '01/08/2020', '1', '8', '2020', '57118', '764', '1366417756', 'India', 'IN', 'IND', 'Asia', '48.10183395');
INSERT INTO public.ecdc_import VALUES (26882, '31/07/2020', '31', '7', '2020', '55078', '779', '1366417756', 'India', 'IN', 'IND', 'Asia', '46.47465954');
INSERT INTO public.ecdc_import VALUES (26883, '30/07/2020', '30', '7', '2020', '52123', '775', '1366417756', 'India', 'IN', 'IND', 'Asia', '45.00204987');
INSERT INTO public.ecdc_import VALUES (26884, '29/07/2020', '29', '7', '2020', '48513', '768', '1366417756', 'India', 'IN', 'IND', 'Asia', '43.58022994');
INSERT INTO public.ecdc_import VALUES (26885, '28/07/2020', '28', '7', '2020', '47703', '654', '1366417756', 'India', 'IN', 'IND', 'Asia', '42.18358533');
INSERT INTO public.ecdc_import VALUES (26886, '27/07/2020', '27', '7', '2020', '49931', '708', '1366417756', 'India', 'IN', 'IND', 'Asia', '40.77808544');
INSERT INTO public.ecdc_import VALUES (26887, '26/07/2020', '26', '7', '2020', '48661', '705', '1366417756', 'India', 'IN', 'IND', 'Asia', '39.22438783');
INSERT INTO public.ecdc_import VALUES (26888, '25/07/2020', '25', '7', '2020', '48916', '757', '1366417756', 'India', 'IN', 'IND', 'Asia', '37.7589502');
INSERT INTO public.ecdc_import VALUES (26889, '24/07/2020', '24', '7', '2020', '49310', '740', '1366417756', 'India', 'IN', 'IND', 'Asia', '36.16339131');
INSERT INTO public.ecdc_import VALUES (26890, '23/07/2020', '23', '7', '2020', '45720', '1129', '1366417756', 'India', 'IN', 'IND', 'Asia', '34.49450199');
INSERT INTO public.ecdc_import VALUES (26891, '22/07/2020', '22', '7', '2020', '37724', '648', '1366417756', 'India', 'IN', 'IND', 'Asia', '32.96927298');
INSERT INTO public.ecdc_import VALUES (26892, '21/07/2020', '21', '7', '2020', '37148', '587', '1366417756', 'India', 'IN', 'IND', 'Asia', '31.87356122');
INSERT INTO public.ecdc_import VALUES (26893, '20/07/2020', '20', '7', '2020', '40425', '681', '1366417756', 'India', 'IN', 'IND', 'Asia', '30.78341145');
INSERT INTO public.ecdc_import VALUES (26894, '19/07/2020', '19', '7', '2020', '38902', '543', '1366417756', 'India', 'IN', 'IND', 'Asia', '29.5995129');
INSERT INTO public.ecdc_import VALUES (26895, '18/07/2020', '18', '7', '2020', '34884', '671', '1366417756', 'India', 'IN', 'IND', 'Asia', '28.57113048');
INSERT INTO public.ecdc_import VALUES (26896, '17/07/2020', '17', '7', '2020', '34956', '687', '1366417756', 'India', 'IN', 'IND', 'Asia', '27.68465196');
INSERT INTO public.ecdc_import VALUES (26897, '16/07/2020', '16', '7', '2020', '32695', '606', '1366417756', 'India', 'IN', 'IND', 'Asia', '26.65619635');
INSERT INTO public.ecdc_import VALUES (26898, '15/07/2020', '15', '7', '2020', '29429', '582', '1366417756', 'India', 'IN', 'IND', 'Asia', '25.66477188');
INSERT INTO public.ecdc_import VALUES (26899, '14/07/2020', '14', '7', '2020', '28498', '553', '1366417756', 'India', 'IN', 'IND', 'Asia', '24.87614044');
INSERT INTO public.ecdc_import VALUES (26900, '13/07/2020', '13', '7', '2020', '28701', '500', '1366417756', 'India', 'IN', 'IND', 'Asia', '24.14605625');
INSERT INTO public.ecdc_import VALUES (26901, '12/07/2020', '12', '7', '2020', '28637', '551', '1366417756', 'India', 'IN', 'IND', 'Asia', '23.46968916');
INSERT INTO public.ecdc_import VALUES (26902, '11/07/2020', '11', '7', '2020', '27114', '519', '1366417756', 'India', 'IN', 'IND', 'Asia', '22.83071913');
INSERT INTO public.ecdc_import VALUES (26903, '10/07/2020', '10', '7', '2020', '26506', '475', '1366417756', 'India', 'IN', 'IND', 'Asia', '22.2041172');
INSERT INTO public.ecdc_import VALUES (26904, '09/07/2020', '9', '7', '2020', '24879', '487', '1366417756', 'India', 'IN', 'IND', 'Asia', '21.530092');
INSERT INTO public.ecdc_import VALUES (26905, '08/07/2020', '8', '7', '2020', '22752', '482', '1366417756', 'India', 'IN', 'IND', 'Asia', '20.94776643');
INSERT INTO public.ecdc_import VALUES (26906, '07/07/2020', '7', '7', '2020', '22252', '467', '1366417756', 'India', 'IN', 'IND', 'Asia', '20.45128576');
INSERT INTO public.ecdc_import VALUES (26907, '06/07/2020', '6', '7', '2020', '24248', '425', '1366417756', 'India', 'IN', 'IND', 'Asia', '19.91565162');
INSERT INTO public.ecdc_import VALUES (26908, '05/07/2020', '5', '7', '2020', '24850', '613', '1366417756', 'India', 'IN', 'IND', 'Asia', '19.22574548');
INSERT INTO public.ecdc_import VALUES (26909, '04/07/2020', '4', '7', '2020', '22771', '442', '1366417756', 'India', 'IN', 'IND', 'Asia', '18.5351075');
INSERT INTO public.ecdc_import VALUES (26910, '03/07/2020', '3', '7', '2020', '20903', '379', '1366417756', 'India', 'IN', 'IND', 'Asia', '17.93097308');
INSERT INTO public.ecdc_import VALUES (26911, '02/07/2020', '2', '7', '2020', '19148', '434', '1366417756', 'India', 'IN', 'IND', 'Asia', '17.39548531');
INSERT INTO public.ecdc_import VALUES (26912, '01/07/2020', '1', '7', '2020', '18653', '507', '1366417756', 'India', 'IN', 'IND', 'Asia', '16.9368408');
INSERT INTO public.ecdc_import VALUES (26913, '30/06/2020', '30', '6', '2020', '18522', '418', '1366417756', 'India', 'IN', 'IND', 'Asia', '16.3748604');
INSERT INTO public.ecdc_import VALUES (26914, '29/06/2020', '29', '6', '2020', '19459', '380', '1366417756', 'India', 'IN', 'IND', 'Asia', '15.7999996');
INSERT INTO public.ecdc_import VALUES (26915, '28/06/2020', '28', '6', '2020', '19906', '410', '1366417756', 'India', 'IN', 'IND', 'Asia', '15.21767403');
INSERT INTO public.ecdc_import VALUES (26916, '27/06/2020', '27', '6', '2020', '18552', '384', '1366417756', 'India', 'IN', 'IND', 'Asia', '14.63388478');
INSERT INTO public.ecdc_import VALUES (26917, '26/06/2020', '26', '6', '2020', '17296', '407', '1366417756', 'India', 'IN', 'IND', 'Asia', '14.11471705');
INSERT INTO public.ecdc_import VALUES (26918, '25/06/2020', '25', '6', '2020', '16922', '418', '1366417756', 'India', 'IN', 'IND', 'Asia', '13.65073011');
INSERT INTO public.ecdc_import VALUES (26919, '24/06/2020', '24', '6', '2020', '15968', '465', '1366417756', 'India', 'IN', 'IND', 'Asia', '13.1438573');
INSERT INTO public.ecdc_import VALUES (26920, '23/06/2020', '23', '6', '2020', '14933', '312', '1366417756', 'India', 'IN', 'IND', 'Asia', '12.70599707');
INSERT INTO public.ecdc_import VALUES (26921, '22/06/2020', '22', '6', '2020', '14821', '445', '1366417756', 'India', 'IN', 'IND', 'Asia', '12.3440287');
INSERT INTO public.ecdc_import VALUES (26922, '21/06/2020', '21', '6', '2020', '15413', '306', '1366417756', 'India', 'IN', 'IND', 'Asia', '11.98996422');
INSERT INTO public.ecdc_import VALUES (26923, '20/06/2020', '20', '6', '2020', '14516', '375', '1366417756', 'India', 'IN', 'IND', 'Asia', '11.59169656');
INSERT INTO public.ecdc_import VALUES (26924, '19/06/2020', '19', '6', '2020', '13586', '336', '1366417756', 'India', 'IN', 'IND', 'Asia', '11.25292754');
INSERT INTO public.ecdc_import VALUES (26925, '18/06/2020', '18', '6', '2020', '12881', '334', '1366417756', 'India', 'IN', 'IND', 'Asia', '10.97958508');
INSERT INTO public.ecdc_import VALUES (26926, '17/06/2020', '17', '6', '2020', '10974', '2003', '1366417756', 'India', 'IN', 'IND', 'Asia', '10.71780569');
INSERT INTO public.ecdc_import VALUES (26927, '16/06/2020', '16', '6', '2020', '10667', '380', '1366417756', 'India', 'IN', 'IND', 'Asia', '10.5666806');
INSERT INTO public.ecdc_import VALUES (26928, '15/06/2020', '15', '6', '2020', '11502', '325', '1366417756', 'India', 'IN', 'IND', 'Asia', '10.38401319');
INSERT INTO public.ecdc_import VALUES (26929, '14/06/2020', '14', '6', '2020', '11929', '311', '1366417756', 'India', 'IN', 'IND', 'Asia', '10.15641076');
INSERT INTO public.ecdc_import VALUES (26930, '13/06/2020', '13', '6', '2020', '11458', '386', '1366417756', 'India', 'IN', 'IND', 'Asia', '9.89668053');
INSERT INTO public.ecdc_import VALUES (26931, '12/06/2020', '12', '6', '2020', '10956', '396', '1366417756', 'India', 'IN', 'IND', 'Asia', '9.64097542');
INSERT INTO public.ecdc_import VALUES (26932, '11/06/2020', '11', '6', '2020', '9996', '357', '1366417756', 'India', 'IN', 'IND', 'Asia', '9.38556305');
INSERT INTO public.ecdc_import VALUES (26933, '10/06/2020', '10', '6', '2020', '9985', '279', '1366417756', 'India', 'IN', 'IND', 'Asia', '9.13454172');
INSERT INTO public.ecdc_import VALUES (26934, '09/06/2020', '9', '6', '2020', '9987', '331', '1366417756', 'India', 'IN', 'IND', 'Asia', '8.87122547');
INSERT INTO public.ecdc_import VALUES (26935, '08/06/2020', '8', '6', '2020', '9983', '206', '1366417756', 'India', 'IN', 'IND', 'Asia', '8.61859409');
INSERT INTO public.ecdc_import VALUES (26936, '07/06/2020', '7', '6', '2020', '9971', '287', '1366417756', 'India', 'IN', 'IND', 'Asia', '8.39860281');
INSERT INTO public.ecdc_import VALUES (26937, '06/06/2020', '6', '6', '2020', '9887', '294', '1366417756', 'India', 'IN', 'IND', 'Asia', '8.16412108');
INSERT INTO public.ecdc_import VALUES (26938, '05/06/2020', '5', '6', '2020', '9851', '273', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.92751701');
INSERT INTO public.ecdc_import VALUES (26939, '04/06/2020', '4', '6', '2020', '9304', '260', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.65212539');
INSERT INTO public.ecdc_import VALUES (26940, '03/06/2020', '3', '6', '2020', '8909', '217', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.38171028');
INSERT INTO public.ecdc_import VALUES (26941, '02/06/2020', '2', '6', '2020', '8171', '204', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.14034925');
INSERT INTO public.ecdc_import VALUES (26942, '01/06/2020', '1', '6', '2020', '8392', '230', '1366417756', 'India', 'IN', 'IND', 'Asia', '6.90608707');
INSERT INTO public.ecdc_import VALUES (26943, '31/05/2020', '31', '5', '2020', '8380', '193', '1366417756', 'India', 'IN', 'IND', 'Asia', '6.67555728');
INSERT INTO public.ecdc_import VALUES (26944, '30/05/2020', '30', '5', '2020', '7964', '265', '1366417756', 'India', 'IN', 'IND', 'Asia', '6.42724376');
INSERT INTO public.ecdc_import VALUES (26945, '29/05/2020', '29', '5', '2020', '7466', '175', '1366417756', 'India', 'IN', 'IND', 'Asia', '6.13494662');
INSERT INTO public.ecdc_import VALUES (26946, '28/05/2020', '28', '5', '2020', '6566', '194', '1366417756', 'India', 'IN', 'IND', 'Asia', '5.8788756');
INSERT INTO public.ecdc_import VALUES (26947, '27/05/2020', '27', '5', '2020', '6387', '170', '1366417756', 'India', 'IN', 'IND', 'Asia', '5.67074013');
INSERT INTO public.ecdc_import VALUES (26948, '26/05/2020', '26', '5', '2020', '6535', '146', '1366417756', 'India', 'IN', 'IND', 'Asia', '5.46128735');
INSERT INTO public.ecdc_import VALUES (26949, '25/05/2020', '25', '5', '2020', '6977', '154', '1366417756', 'India', 'IN', 'IND', 'Asia', '5.24678486');
INSERT INTO public.ecdc_import VALUES (26950, '24/05/2020', '24', '5', '2020', '6767', '147', '1366417756', 'India', 'IN', 'IND', 'Asia', '5.04450412');
INSERT INTO public.ecdc_import VALUES (26951, '23/05/2020', '23', '5', '2020', '6654', '137', '1366417756', 'India', 'IN', 'IND', 'Asia', '4.78909175');
INSERT INTO public.ecdc_import VALUES (26952, '22/05/2020', '22', '5', '2020', '6088', '148', '1366417756', 'India', 'IN', 'IND', 'Asia', '4.54509609');
INSERT INTO public.ecdc_import VALUES (26953, '21/05/2020', '21', '5', '2020', '5609', '132', '1366417756', 'India', 'IN', 'IND', 'Asia', '4.34764549');
INSERT INTO public.ecdc_import VALUES (26954, '20/05/2020', '20', '5', '2020', '5611', '140', '1366417756', 'India', 'IN', 'IND', 'Asia', '4.19776454');
INSERT INTO public.ecdc_import VALUES (26955, '19/05/2020', '19', '5', '2020', '4970', '134', '1366417756', 'India', 'IN', 'IND', 'Asia', '4.00360722');
INSERT INTO public.ecdc_import VALUES (26956, '18/05/2020', '18', '5', '2020', '5242', '157', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.92530028');
INSERT INTO public.ecdc_import VALUES (26957, '17/05/2020', '17', '5', '2020', '4987', '120', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.72850834');
INSERT INTO public.ecdc_import VALUES (26958, '16/05/2020', '16', '5', '2020', '3970', '103', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.55703809');
INSERT INTO public.ecdc_import VALUES (26959, '15/05/2020', '15', '5', '2020', '3967', '100', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.43430842');
INSERT INTO public.ecdc_import VALUES (26960, '14/05/2020', '14', '5', '2020', '3722', '134', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.28984308');
INSERT INTO public.ecdc_import VALUES (26961, '13/05/2020', '13', '5', '2020', '3525', '122', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.14318222');
INSERT INTO public.ecdc_import VALUES (26962, '12/05/2020', '12', '5', '2020', '3604', '87', '1366417756', 'India', 'IN', 'IND', 'Asia', '3.02403857');
INSERT INTO public.ecdc_import VALUES (26963, '11/05/2020', '11', '5', '2020', '4213', '97', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.87320622');
INSERT INTO public.ecdc_import VALUES (26964, '10/05/2020', '10', '5', '2020', '3277', '128', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.66704672');
INSERT INTO public.ecdc_import VALUES (26965, '09/05/2020', '9', '5', '2020', '3320', '95', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.57285884');
INSERT INTO public.ecdc_import VALUES (26966, '08/05/2020', '8', '5', '2020', '3390', '103', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.43446778');
INSERT INTO public.ecdc_import VALUES (26967, '07/05/2020', '7', '5', '2020', '3561', '89', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.30961577');
INSERT INTO public.ecdc_import VALUES (26968, '06/05/2020', '6', '5', '2020', '2958', '126', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.15212367');
INSERT INTO public.ecdc_import VALUES (26969, '05/05/2020', '5', '5', '2020', '3900', '195', '1366417756', 'India', 'IN', 'IND', 'Asia', '2.03693196');
INSERT INTO public.ecdc_import VALUES (26970, '04/05/2020', '4', '5', '2020', '2553', '72', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.84921485');
INSERT INTO public.ecdc_import VALUES (26971, '03/05/2020', '3', '5', '2020', '2644', '83', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.77603079');
INSERT INTO public.ecdc_import VALUES (26972, '02/05/2020', '2', '5', '2020', '2293', '71', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.68015967');
INSERT INTO public.ecdc_import VALUES (26973, '01/05/2020', '1', '5', '2020', '1993', '73', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.58487402');
INSERT INTO public.ecdc_import VALUES (26974, '30/04/2020', '30', '4', '2020', '1718', '67', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.51271453');
INSERT INTO public.ecdc_import VALUES (26975, '29/04/2020', '29', '4', '2020', '1897', '73', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.4559237');
INSERT INTO public.ecdc_import VALUES (26976, '28/04/2020', '28', '4', '2020', '1543', '62', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.39576641');
INSERT INTO public.ecdc_import VALUES (26977, '27/04/2020', '27', '4', '2020', '1396', '48', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.3714693');
INSERT INTO public.ecdc_import VALUES (26978, '26/04/2020', '26', '4', '2020', '1990', '49', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.32755886');
INSERT INTO public.ecdc_import VALUES (26979, '25/04/2020', '25', '4', '2020', '1429', '57', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.24844689');
INSERT INTO public.ecdc_import VALUES (26980, '24/04/2020', '24', '4', '2020', '1684', '37', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.21961237');
INSERT INTO public.ecdc_import VALUES (26981, '23/04/2020', '23', '4', '2020', '1409', '41', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.14598921');
INSERT INTO public.ecdc_import VALUES (26982, '22/04/2020', '22', '4', '2020', '1384', '50', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.08239226');
INSERT INTO public.ecdc_import VALUES (26983, '21/04/2020', '21', '4', '2020', '1335', '47', '1366417756', 'India', 'IN', 'IND', 'Asia', '1.0376768');
INSERT INTO public.ecdc_import VALUES (26984, '20/04/2020', '20', '4', '2020', '1553', '36', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.96588323');
INSERT INTO public.ecdc_import VALUES (26985, '19/04/2020', '19', '4', '2020', '1334', '27', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.90294494');
INSERT INTO public.ecdc_import VALUES (26986, '18/04/2020', '18', '4', '2020', '991', '43', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.83986028');
INSERT INTO public.ecdc_import VALUES (26987, '17/04/2020', '17', '4', '2020', '1007', '23', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.8113185');
INSERT INTO public.ecdc_import VALUES (26988, '16/04/2020', '16', '4', '2020', '942', '37', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.76221199');
INSERT INTO public.ecdc_import VALUES (26989, '15/04/2020', '15', '4', '2020', '1075', '38', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.73484115');
INSERT INTO public.ecdc_import VALUES (26990, '14/04/2020', '14', '4', '2020', '1211', '31', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.66685316');
INSERT INTO public.ecdc_import VALUES (26991, '13/04/2020', '13', '4', '2020', '796', '35', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.59140039');
INSERT INTO public.ecdc_import VALUES (26992, '12/04/2020', '12', '4', '2020', '909', '34', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.53987882');
INSERT INTO public.ecdc_import VALUES (26993, '11/04/2020', '11', '4', '2020', '1035', '40', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.48111202');
INSERT INTO public.ecdc_import VALUES (26994, '10/04/2020', '10', '4', '2020', '678', '33', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.41627094');
INSERT INTO public.ecdc_import VALUES (26995, '09/04/2020', '9', '4', '2020', '540', '17', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.37214095');
INSERT INTO public.ecdc_import VALUES (26996, '08/04/2020', '8', '4', '2020', '773', '35', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.33898857');
INSERT INTO public.ecdc_import VALUES (26997, '07/04/2020', '7', '4', '2020', '354', '5', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.28754017');
INSERT INTO public.ecdc_import VALUES (26998, '06/04/2020', '6', '4', '2020', '693', '32', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.26551177');
INSERT INTO public.ecdc_import VALUES (26999, '05/04/2020', '5', '4', '2020', '472', '9', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.22350412');
INSERT INTO public.ecdc_import VALUES (27000, '04/04/2020', '4', '4', '2020', '601', '12', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.19547463');
INSERT INTO public.ecdc_import VALUES (27001, '03/04/2020', '3', '4', '2020', '336', '6', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.15441837');
INSERT INTO public.ecdc_import VALUES (27002, '02/04/2020', '2', '4', '2020', '568', '15', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.13173131');
INSERT INTO public.ecdc_import VALUES (27003, '01/04/2020', '1', '4', '2020', '146', '3', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.09221192');
INSERT INTO public.ecdc_import VALUES (27004, '31/03/2020', '31', '3', '2020', '180', '3', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.08240525');
INSERT INTO public.ecdc_import VALUES (27005, '30/03/2020', '30', '3', '2020', '92', '4', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.07157401');
INSERT INTO public.ecdc_import VALUES (27006, '29/03/2020', '29', '3', '2020', '106', '6', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.06506063');
INSERT INTO public.ecdc_import VALUES (27007, '28/03/2020', '28', '3', '2020', '149', '2', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.05781541');
INSERT INTO public.ecdc_import VALUES (27008, '27/03/2020', '27', '3', '2020', '75', '4', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.04749646');
INSERT INTO public.ecdc_import VALUES (27009, '26/03/2020', '26', '3', '2020', '87', '4', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.04215402');
INSERT INTO public.ecdc_import VALUES (27010, '25/03/2020', '25', '3', '2020', '70', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.03747024');
INSERT INTO public.ecdc_import VALUES (27011, '24/03/2020', '24', '3', '2020', '53', '2', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.03278646');
INSERT INTO public.ecdc_import VALUES (27012, '23/03/2020', '23', '3', '2020', '119', '3', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.02963954');
INSERT INTO public.ecdc_import VALUES (27013, '22/03/2020', '22', '3', '2020', '89', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.02115019');
INSERT INTO public.ecdc_import VALUES (27014, '21/03/2020', '21', '3', '2020', '40', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.01478318');
INSERT INTO public.ecdc_import VALUES (27015, '20/03/2020', '20', '3', '2020', '26', '1', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.011929');
INSERT INTO public.ecdc_import VALUES (27016, '19/03/2020', '19', '3', '2020', '28', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.01163627');
INSERT INTO public.ecdc_import VALUES (27017, '18/03/2020', '18', '3', '2020', '12', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.0096603');
INSERT INTO public.ecdc_import VALUES (27018, '17/03/2020', '17', '3', '2020', '32', '1', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00892846');
INSERT INTO public.ecdc_import VALUES (27019, '16/03/2020', '16', '3', '2020', '3', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00658657');
INSERT INTO public.ecdc_import VALUES (27020, '15/03/2020', '15', '3', '2020', '7', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00636701');
INSERT INTO public.ecdc_import VALUES (27021, '14/03/2020', '14', '3', '2020', '8', '1', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00585472');
INSERT INTO public.ecdc_import VALUES (27022, '13/03/2020', '13', '3', '2020', '2', '1', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00526925');
INSERT INTO public.ecdc_import VALUES (27023, '12/03/2020', '12', '3', '2020', '23', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00512288');
INSERT INTO public.ecdc_import VALUES (27024, '11/03/2020', '11', '3', '2020', '6', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00343965');
INSERT INTO public.ecdc_import VALUES (27025, '10/03/2020', '10', '3', '2020', '10', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00300055');
INSERT INTO public.ecdc_import VALUES (27026, '08/03/2020', '8', '3', '2020', '3', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00226871');
INSERT INTO public.ecdc_import VALUES (27027, '07/03/2020', '7', '3', '2020', '2', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00204915');
INSERT INTO public.ecdc_import VALUES (27028, '06/03/2020', '6', '3', '2020', '1', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00190279');
INSERT INTO public.ecdc_import VALUES (27029, '05/03/2020', '5', '3', '2020', '22', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.0018296');
INSERT INTO public.ecdc_import VALUES (27030, '04/03/2020', '4', '3', '2020', '1', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27031, '03/03/2020', '3', '3', '2020', '2', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00014637');
INSERT INTO public.ecdc_import VALUES (27032, '02/03/2020', '2', '3', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27033, '01/03/2020', '1', '3', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27034, '29/02/2020', '29', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27035, '28/02/2020', '28', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27036, '27/02/2020', '27', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27037, '26/02/2020', '26', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27038, '25/02/2020', '25', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27039, '24/02/2020', '24', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27040, '23/02/2020', '23', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27041, '22/02/2020', '22', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27042, '21/02/2020', '21', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27043, '20/02/2020', '20', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27044, '19/02/2020', '19', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27045, '18/02/2020', '18', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27046, '17/02/2020', '17', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.318e-5');
INSERT INTO public.ecdc_import VALUES (27047, '16/02/2020', '16', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.318e-5');
INSERT INTO public.ecdc_import VALUES (27048, '15/02/2020', '15', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00014637');
INSERT INTO public.ecdc_import VALUES (27049, '14/02/2020', '14', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00014637');
INSERT INTO public.ecdc_import VALUES (27050, '13/02/2020', '13', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00014637');
INSERT INTO public.ecdc_import VALUES (27051, '12/02/2020', '12', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27052, '11/02/2020', '11', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27053, '10/02/2020', '10', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27054, '09/02/2020', '9', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27055, '08/02/2020', '8', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27056, '07/02/2020', '7', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27057, '06/02/2020', '6', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27058, '05/02/2020', '5', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27059, '04/02/2020', '4', '2', '2020', '1', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00021955');
INSERT INTO public.ecdc_import VALUES (27060, '03/02/2020', '3', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00014637');
INSERT INTO public.ecdc_import VALUES (27061, '02/02/2020', '2', '2', '2020', '1', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0.00014637');
INSERT INTO public.ecdc_import VALUES (27062, '01/02/2020', '1', '2', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.318e-5');
INSERT INTO public.ecdc_import VALUES (27063, '31/01/2020', '31', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.318e-5');
INSERT INTO public.ecdc_import VALUES (27064, '30/01/2020', '30', '1', '2020', '1', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '7.318e-5');
INSERT INTO public.ecdc_import VALUES (27065, '29/01/2020', '29', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27066, '28/01/2020', '28', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27067, '27/01/2020', '27', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27068, '26/01/2020', '26', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27069, '25/01/2020', '25', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27070, '24/01/2020', '24', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27071, '23/01/2020', '23', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27072, '22/01/2020', '22', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27073, '21/01/2020', '21', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27074, '20/01/2020', '20', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27075, '19/01/2020', '19', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27076, '18/01/2020', '18', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27077, '17/01/2020', '17', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27078, '16/01/2020', '16', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27079, '15/01/2020', '15', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27080, '14/01/2020', '14', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27081, '13/01/2020', '13', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27082, '12/01/2020', '12', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27083, '11/01/2020', '11', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27084, '10/01/2020', '10', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27085, '09/01/2020', '9', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27086, '08/01/2020', '8', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27087, '07/01/2020', '7', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27088, '06/01/2020', '6', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27089, '05/01/2020', '5', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27090, '04/01/2020', '4', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27091, '03/01/2020', '3', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27092, '02/01/2020', '2', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27093, '01/01/2020', '1', '1', '2020', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27094, '31/12/2019', '31', '12', '2019', '0', '0', '1366417756', 'India', 'IN', 'IND', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27095, '14/12/2020', '14', '12', '2020', '6189', '166', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '30.87439259');
INSERT INTO public.ecdc_import VALUES (27096, '13/12/2020', '13', '12', '2020', '6388', '142', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '30.9032147');
INSERT INTO public.ecdc_import VALUES (27097, '12/12/2020', '12', '12', '2020', '6310', '175', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '30.54478589');
INSERT INTO public.ecdc_import VALUES (27098, '11/12/2020', '11', '12', '2020', '6033', '165', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '30.36668003');
INSERT INTO public.ecdc_import VALUES (27099, '10/12/2020', '10', '12', '2020', '6058', '171', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '29.95430214');
INSERT INTO public.ecdc_import VALUES (27100, '09/12/2020', '9', '12', '2020', '5292', '133', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '29.76067668');
INSERT INTO public.ecdc_import VALUES (27101, '08/12/2020', '8', '12', '2020', '5754', '127', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '29.35421102');
INSERT INTO public.ecdc_import VALUES (27102, '07/12/2020', '7', '12', '2020', '6089', '151', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '28.86940834');
INSERT INTO public.ecdc_import VALUES (27103, '06/12/2020', '6', '12', '2020', '6027', '110', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '28.23051822');
INSERT INTO public.ecdc_import VALUES (27104, '05/12/2020', '5', '12', '2020', '5803', '124', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '27.85028807');
INSERT INTO public.ecdc_import VALUES (27105, '04/12/2020', '4', '12', '2020', '8369', '156', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '27.47670918');
INSERT INTO public.ecdc_import VALUES (27106, '03/12/2020', '3', '12', '2020', '5533', '118', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '26.15717383');
INSERT INTO public.ecdc_import VALUES (27107, '02/12/2020', '2', '12', '2020', '5092', '136', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '25.68862978');
INSERT INTO public.ecdc_import VALUES (27108, '01/12/2020', '1', '12', '2020', '4617', '130', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '25.21380399');
INSERT INTO public.ecdc_import VALUES (27109, '30/11/2020', '30', '11', '2020', '6267', '169', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '24.81398958');
INSERT INTO public.ecdc_import VALUES (27110, '29/11/2020', '29', '11', '2020', '5418', '125', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '24.01546931');
INSERT INTO public.ecdc_import VALUES (27111, '28/11/2020', '28', '11', '2020', '5828', '169', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '23.96152024');
INSERT INTO public.ecdc_import VALUES (27112, '27/11/2020', '27', '11', '2020', '4917', '127', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '23.81962677');
INSERT INTO public.ecdc_import VALUES (27113, '26/11/2020', '26', '11', '2020', '5534', '114', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '23.54470818');
INSERT INTO public.ecdc_import VALUES (27114, '25/11/2020', '25', '11', '2020', '4192', '109', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '22.89288506');
INSERT INTO public.ecdc_import VALUES (27115, '24/11/2020', '24', '11', '2020', '4442', '118', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '22.74027568');
INSERT INTO public.ecdc_import VALUES (27116, '23/11/2020', '23', '11', '2020', '4360', '110', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '22.15311756');
INSERT INTO public.ecdc_import VALUES (27117, '22/11/2020', '22', '11', '2020', '4998', '96', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.97575072');
INSERT INTO public.ecdc_import VALUES (27118, '21/11/2020', '21', '11', '2020', '4792', '78', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.70378825');
INSERT INTO public.ecdc_import VALUES (27119, '20/11/2020', '20', '11', '2020', '4798', '97', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.32910081');
INSERT INTO public.ecdc_import VALUES (27120, '19/11/2020', '19', '11', '2020', '4265', '110', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.05824687');
INSERT INTO public.ecdc_import VALUES (27121, '18/11/2020', '18', '11', '2020', '3807', '97', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.72235843');
INSERT INTO public.ecdc_import VALUES (27122, '17/11/2020', '17', '11', '2020', '3535', '85', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.41418356');
INSERT INTO public.ecdc_import VALUES (27123, '16/11/2020', '16', '11', '2020', '4106', '63', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.075339');
INSERT INTO public.ecdc_import VALUES (27124, '15/11/2020', '15', '11', '2020', '5272', '111', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '19.55432393');
INSERT INTO public.ecdc_import VALUES (27125, '14/11/2020', '14', '11', '2020', '5444', '104', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.76762812');
INSERT INTO public.ecdc_import VALUES (27126, '13/11/2020', '13', '11', '2020', '4173', '97', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.82647535');
INSERT INTO public.ecdc_import VALUES (27127, '12/11/2020', '12', '11', '2020', '3770', '75', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.6018107');
INSERT INTO public.ecdc_import VALUES (27128, '11/11/2020', '11', '11', '2020', '3779', '72', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.69751488');
INSERT INTO public.ecdc_import VALUES (27129, '10/11/2020', '10', '11', '2020', '2853', '75', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.6018107');
INSERT INTO public.ecdc_import VALUES (27130, '09/11/2020', '9', '11', '2020', '3880', '74', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.73816145');
INSERT INTO public.ecdc_import VALUES (27131, '08/11/2020', '8', '11', '2020', '4262', '98', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.68347334');
INSERT INTO public.ecdc_import VALUES (27132, '07/11/2020', '7', '11', '2020', '3778', '94', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.61252661');
INSERT INTO public.ecdc_import VALUES (27133, '06/11/2020', '6', '11', '2020', '4065', '89', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.83090952');
INSERT INTO public.ecdc_import VALUES (27134, '05/11/2020', '5', '11', '2020', '3356', '113', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.96652125');
INSERT INTO public.ecdc_import VALUES (27135, '04/11/2020', '4', '11', '2020', '2973', '102', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.30314872');
INSERT INTO public.ecdc_import VALUES (27136, '03/11/2020', '3', '11', '2020', '2618', '101', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.53557317');
INSERT INTO public.ecdc_import VALUES (27137, '02/11/2020', '2', '11', '2020', '2696', '74', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.81455642');
INSERT INTO public.ecdc_import VALUES (27138, '01/11/2020', '1', '11', '2020', '3143', '87', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '19.33520198');
INSERT INTO public.ecdc_import VALUES (27139, '31/10/2020', '31', '10', '2020', '2897', '81', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '19.76309947');
INSERT INTO public.ecdc_import VALUES (27140, '30/10/2020', '30', '10', '2020', '3565', '89', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.28189746');
INSERT INTO public.ecdc_import VALUES (27141, '29/10/2020', '29', '10', '2020', '4029', '100', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.5945065');
INSERT INTO public.ecdc_import VALUES (27142, '28/10/2020', '28', '10', '2020', '3520', '101', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.6307189');
INSERT INTO public.ecdc_import VALUES (27143, '27/10/2020', '27', '10', '2020', '3222', '112', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.7733514');
INSERT INTO public.ecdc_import VALUES (27144, '26/10/2020', '26', '10', '2020', '3732', '94', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.78997954');
INSERT INTO public.ecdc_import VALUES (27145, '25/10/2020', '25', '10', '2020', '4070', '128', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.07265793');
INSERT INTO public.ecdc_import VALUES (27146, '24/10/2020', '24', '10', '2020', '4369', '118', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.15542912');
INSERT INTO public.ecdc_import VALUES (27147, '23/10/2020', '23', '10', '2020', '4432', '102', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.0538127');
INSERT INTO public.ecdc_import VALUES (27148, '22/10/2020', '22', '10', '2020', '4267', '123', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.20826965');
INSERT INTO public.ecdc_import VALUES (27149, '21/10/2020', '21', '10', '2020', '3602', '117', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.30840801');
INSERT INTO public.ecdc_import VALUES (27150, '20/10/2020', '20', '10', '2020', '3373', '106', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.47616748');
INSERT INTO public.ecdc_import VALUES (27151, '19/10/2020', '19', '10', '2020', '4105', '80', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.56817652');
INSERT INTO public.ecdc_import VALUES (27152, '18/10/2020', '18', '10', '2020', '4301', '84', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.52642141');
INSERT INTO public.ecdc_import VALUES (27153, '17/10/2020', '17', '10', '2020', '4301', '79', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.41778423');
INSERT INTO public.ecdc_import VALUES (27154, '16/10/2020', '16', '10', '2020', '4411', '112', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.42369645');
INSERT INTO public.ecdc_import VALUES (27155, '15/10/2020', '15', '10', '2020', '4127', '129', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.33612158');
INSERT INTO public.ecdc_import VALUES (27156, '14/10/2020', '14', '10', '2020', '3906', '92', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.39413531');
INSERT INTO public.ecdc_import VALUES (27157, '13/10/2020', '13', '10', '2020', '3267', '91', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.42960868');
INSERT INTO public.ecdc_import VALUES (27158, '12/10/2020', '12', '10', '2020', '4497', '79', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.51903113');
INSERT INTO public.ecdc_import VALUES (27159, '11/10/2020', '11', '10', '2020', '4294', '88', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.28882376');
INSERT INTO public.ecdc_import VALUES (27160, '10/10/2020', '10', '10', '2020', '4094', '97', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.3627266');
INSERT INTO public.ecdc_import VALUES (27161, '09/10/2020', '9', '10', '2020', '4850', '108', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.63210248');
INSERT INTO public.ecdc_import VALUES (27162, '08/10/2020', '8', '10', '2020', '4538', '98', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.55228741');
INSERT INTO public.ecdc_import VALUES (27163, '07/10/2020', '7', '10', '2020', '4056', '121', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.52531287');
INSERT INTO public.ecdc_import VALUES (27164, '06/10/2020', '6', '10', '2020', '3622', '102', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.53085558');
INSERT INTO public.ecdc_import VALUES (27165, '05/10/2020', '5', '10', '2020', '3992', '96', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.73556647');
INSERT INTO public.ecdc_import VALUES (27166, '04/10/2020', '4', '10', '2020', '4007', '83', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.73445793');
INSERT INTO public.ecdc_import VALUES (27167, '03/10/2020', '3', '10', '2020', '4317', '116', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.79394972');
INSERT INTO public.ecdc_import VALUES (27168, '02/10/2020', '2', '10', '2020', '4174', '116', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.63653665');
INSERT INTO public.ecdc_import VALUES (27169, '01/10/2020', '1', '10', '2020', '4284', '139', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.43736848');
INSERT INTO public.ecdc_import VALUES (27170, '30/09/2020', '30', '9', '2020', '4002', '128', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.31875441');
INSERT INTO public.ecdc_import VALUES (27171, '29/09/2020', '29', '9', '2020', '3509', '87', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '21.13584486');
INSERT INTO public.ecdc_import VALUES (27172, '28/09/2020', '28', '9', '2020', '3874', '78', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.99986362');
INSERT INTO public.ecdc_import VALUES (27173, '27/09/2020', '27', '9', '2020', '4494', '90', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.90785458');
INSERT INTO public.ecdc_import VALUES (27174, '26/09/2020', '26', '9', '2020', '4823', '113', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.65769344');
INSERT INTO public.ecdc_import VALUES (27175, '25/09/2020', '25', '9', '2020', '4634', '128', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '20.25640098');
INSERT INTO public.ecdc_import VALUES (27176, '24/09/2020', '24', '9', '2020', '4465', '140', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '19.97076647');
INSERT INTO public.ecdc_import VALUES (27177, '23/09/2020', '23', '9', '2020', '4071', '160', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '19.54286899');
INSERT INTO public.ecdc_import VALUES (27178, '22/09/2020', '22', '9', '2020', '4176', '124', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '19.16411689');
INSERT INTO public.ecdc_import VALUES (27179, '21/09/2020', '21', '9', '2020', '3989', '105', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.68522644');
INSERT INTO public.ecdc_import VALUES (27180, '20/09/2020', '20', '9', '2020', '4168', '112', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.48384118');
INSERT INTO public.ecdc_import VALUES (27181, '19/09/2020', '19', '9', '2020', '3891', '114', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '18.09954637');
INSERT INTO public.ecdc_import VALUES (27182, '18/09/2020', '18', '9', '2020', '3635', '122', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.86970852');
INSERT INTO public.ecdc_import VALUES (27183, '17/09/2020', '17', '9', '2020', '3963', '135', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.86490483');
INSERT INTO public.ecdc_import VALUES (27184, '16/09/2020', '16', '9', '2020', '3507', '124', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.53677619');
INSERT INTO public.ecdc_import VALUES (27185, '15/09/2020', '15', '9', '2020', '3141', '118', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.26629177');
INSERT INTO public.ecdc_import VALUES (27186, '14/09/2020', '14', '9', '2020', '3625', '73', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '17.1192251');
INSERT INTO public.ecdc_import VALUES (27187, '13/09/2020', '13', '9', '2020', '3817', '106', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '16.83580768');
INSERT INTO public.ecdc_import VALUES (27188, '12/09/2020', '12', '9', '2020', '3737', '88', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '16.64772494');
INSERT INTO public.ecdc_import VALUES (27189, '11/09/2020', '11', '9', '2020', '3861', '120', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '16.37650149');
INSERT INTO public.ecdc_import VALUES (27190, '10/09/2020', '10', '9', '2020', '3307', '106', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '15.95451623');
INSERT INTO public.ecdc_import VALUES (27191, '09/09/2020', '9', '9', '2020', '3046', '100', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '15.58463247');
INSERT INTO public.ecdc_import VALUES (27192, '08/09/2020', '8', '9', '2020', '2880', '105', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '15.36329345');
INSERT INTO public.ecdc_import VALUES (27193, '07/09/2020', '7', '9', '2020', '3444', '85', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '14.99267067');
INSERT INTO public.ecdc_import VALUES (27194, '06/09/2020', '6', '9', '2020', '3128', '108', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '14.47276413');
INSERT INTO public.ecdc_import VALUES (27195, '05/09/2020', '5', '9', '2020', '3269', '82', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '14.08920836');
INSERT INTO public.ecdc_import VALUES (27196, '04/09/2020', '4', '9', '2020', '3622', '134', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '13.69308909');
INSERT INTO public.ecdc_import VALUES (27197, '03/09/2020', '3', '9', '2020', '3075', '111', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '13.19202779');
INSERT INTO public.ecdc_import VALUES (27198, '02/09/2020', '2', '9', '2020', '2775', '88', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '12.75858759');
INSERT INTO public.ecdc_import VALUES (27199, '01/09/2020', '1', '9', '2020', '2743', '74', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '12.3513829');
INSERT INTO public.ecdc_import VALUES (27200, '31/08/2020', '31', '8', '2020', '2858', '82', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '12.01069077');
INSERT INTO public.ecdc_import VALUES (27201, '30/08/2020', '30', '8', '2020', '3308', '92', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '11.72357821');
INSERT INTO public.ecdc_import VALUES (27202, '29/08/2020', '29', '8', '2020', '3003', '105', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '11.367736');
INSERT INTO public.ecdc_import VALUES (27203, '28/08/2020', '28', '8', '2020', '2719', '120', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '11.11055409');
INSERT INTO public.ecdc_import VALUES (27204, '27/08/2020', '27', '8', '2020', '2306', '86', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.88108575');
INSERT INTO public.ecdc_import VALUES (27205, '26/08/2020', '26', '8', '2020', '2447', '99', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.74658257');
INSERT INTO public.ecdc_import VALUES (27206, '25/08/2020', '25', '8', '2020', '1877', '79', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.46796883');
INSERT INTO public.ecdc_import VALUES (27207, '24/08/2020', '24', '8', '2020', '2037', '86', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.39776113');
INSERT INTO public.ecdc_import VALUES (27208, '23/08/2020', '23', '8', '2020', '2090', '94', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.34455107');
INSERT INTO public.ecdc_import VALUES (27209, '22/08/2020', '22', '8', '2020', '2197', '82', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.41365024');
INSERT INTO public.ecdc_import VALUES (27210, '21/08/2020', '21', '8', '2020', '2266', '72', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.51563617');
INSERT INTO public.ecdc_import VALUES (27211, '20/08/2020', '20', '8', '2020', '1902', '69', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.3737427');
INSERT INTO public.ecdc_import VALUES (27212, '19/08/2020', '19', '8', '2020', '1673', '70', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.34159496');
INSERT INTO public.ecdc_import VALUES (27213, '18/08/2020', '18', '8', '2020', '1821', '57', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.43360401');
INSERT INTO public.ecdc_import VALUES (27214, '17/08/2020', '17', '8', '2020', '2081', '79', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.38113298');
INSERT INTO public.ecdc_import VALUES (27215, '16/08/2020', '16', '8', '2020', '2345', '50', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '10.17346598');
INSERT INTO public.ecdc_import VALUES (27216, '15/08/2020', '15', '8', '2020', '2307', '53', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.88339731');
INSERT INTO public.ecdc_import VALUES (27217, '14/08/2020', '14', '8', '2020', '2098', '65', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.78473701');
INSERT INTO public.ecdc_import VALUES (27218, '13/08/2020', '13', '8', '2020', '1942', '79', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.71305124');
INSERT INTO public.ecdc_import VALUES (27219, '12/08/2020', '12', '8', '2020', '1693', '59', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.87526799');
INSERT INTO public.ecdc_import VALUES (27220, '11/08/2020', '11', '8', '2020', '1687', '42', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.89559128');
INSERT INTO public.ecdc_import VALUES (27221, '10/08/2020', '10', '8', '2020', '1893', '65', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.83572997');
INSERT INTO public.ecdc_import VALUES (27222, '09/08/2020', '9', '8', '2020', '2277', '65', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.68755476');
INSERT INTO public.ecdc_import VALUES (27223, '08/08/2020', '8', '8', '2020', '2473', '72', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.53642344');
INSERT INTO public.ecdc_import VALUES (27224, '07/08/2020', '7', '8', '2020', '1882', '69', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.2733293');
INSERT INTO public.ecdc_import VALUES (27225, '06/08/2020', '6', '8', '2020', '1815', '64', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.28219764');
INSERT INTO public.ecdc_import VALUES (27226, '05/08/2020', '5', '8', '2020', '1922', '86', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.3069551');
INSERT INTO public.ecdc_import VALUES (27227, '04/08/2020', '4', '8', '2020', '1679', '66', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.20829479');
INSERT INTO public.ecdc_import VALUES (27228, '03/08/2020', '3', '8', '2020', '1519', '43', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.21346799');
INSERT INTO public.ecdc_import VALUES (27229, '02/08/2020', '2', '8', '2020', '1560', '62', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.2578097');
INSERT INTO public.ecdc_import VALUES (27230, '01/08/2020', '1', '8', '2020', '2040', '73', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.32875644');
INSERT INTO public.ecdc_import VALUES (27231, '31/07/2020', '31', '7', '2020', '1904', '83', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '9.11517721');
INSERT INTO public.ecdc_import VALUES (27232, '30/07/2020', '30', '7', '2020', '2381', '74', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.99323751');
INSERT INTO public.ecdc_import VALUES (27233, '29/07/2020', '29', '7', '2020', '1748', '63', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.67582478');
INSERT INTO public.ecdc_import VALUES (27234, '28/07/2020', '28', '7', '2020', '1525', '57', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.61781104');
INSERT INTO public.ecdc_import VALUES (27235, '27/07/2020', '27', '7', '2020', '1492', '67', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.52801908');
INSERT INTO public.ecdc_import VALUES (27236, '26/07/2020', '26', '7', '2020', '1868', '49', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.59785727');
INSERT INTO public.ecdc_import VALUES (27237, '25/07/2020', '25', '7', '2020', '1761', '89', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.52506297');
INSERT INTO public.ecdc_import VALUES (27238, '24/07/2020', '24', '7', '2020', '1906', '117', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.46963583');
INSERT INTO public.ecdc_import VALUES (27239, '23/07/2020', '23', '7', '2020', '1882', '139', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.74714103');
INSERT INTO public.ecdc_import VALUES (27240, '22/07/2020', '22', '7', '2020', '1655', '81', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.73642511');
INSERT INTO public.ecdc_import VALUES (27241, '21/07/2020', '21', '7', '2020', '1693', '96', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.5934231');
INSERT INTO public.ecdc_import VALUES (27242, '20/07/2020', '20', '7', '2020', '1639', '127', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.41457821');
INSERT INTO public.ecdc_import VALUES (27243, '19/07/2020', '19', '7', '2020', '1752', '59', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.40275376');
INSERT INTO public.ecdc_import VALUES (27244, '18/07/2020', '18', '7', '2020', '1462', '84', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.29005192');
INSERT INTO public.ecdc_import VALUES (27245, '17/07/2020', '17', '7', '2020', '1574', '76', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.23056012');
INSERT INTO public.ecdc_import VALUES (27246, '16/07/2020', '16', '7', '2020', '1522', '87', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.24903583');
INSERT INTO public.ecdc_import VALUES (27247, '15/07/2020', '15', '7', '2020', '1591', '54', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.19841238');
INSERT INTO public.ecdc_import VALUES (27248, '14/07/2020', '14', '7', '2020', '1282', '50', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.08829714');
INSERT INTO public.ecdc_import VALUES (27249, '13/07/2020', '13', '7', '2020', '1681', '71', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '8.01439429');
INSERT INTO public.ecdc_import VALUES (27250, '12/07/2020', '12', '7', '2020', '1671', '66', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '7.83591892');
INSERT INTO public.ecdc_import VALUES (27251, '11/07/2020', '11', '7', '2020', '1611', '52', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '7.73023785');
INSERT INTO public.ecdc_import VALUES (27252, '10/07/2020', '10', '7', '2020', '2657', '58', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '7.59314806');
INSERT INTO public.ecdc_import VALUES (27253, '09/07/2020', '9', '7', '2020', '1853', '50', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '7.04663651');
INSERT INTO public.ecdc_import VALUES (27254, '08/07/2020', '8', '7', '2020', '1268', '68', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.77319597');
INSERT INTO public.ecdc_import VALUES (27255, '07/07/2020', '7', '7', '2020', '1209', '70', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.69301138');
INSERT INTO public.ecdc_import VALUES (27256, '06/07/2020', '6', '7', '2020', '1607', '82', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.59878525');
INSERT INTO public.ecdc_import VALUES (27257, '05/07/2020', '5', '7', '2020', '1447', '53', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.32349714');
INSERT INTO public.ecdc_import VALUES (27258, '04/07/2020', '4', '7', '2020', '1301', '49', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.2418345');
INSERT INTO public.ecdc_import VALUES (27259, '03/07/2020', '3', '7', '2020', '1624', '53', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.1457608');
INSERT INTO public.ecdc_import VALUES (27260, '02/07/2020', '2', '7', '2020', '1385', '58', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '6.03749312');
INSERT INTO public.ecdc_import VALUES (27261, '01/07/2020', '1', '7', '2020', '1293', '71', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.90668508');
INSERT INTO public.ecdc_import VALUES (27262, '30/06/2020', '30', '6', '2020', '1082', '51', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.83758592');
INSERT INTO public.ecdc_import VALUES (27263, '29/06/2020', '29', '6', '2020', '1198', '34', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.8135675');
INSERT INTO public.ecdc_import VALUES (27264, '28/06/2020', '28', '6', '2020', '1385', '37', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.68756314');
INSERT INTO public.ecdc_import VALUES (27265, '27/06/2020', '27', '6', '2020', '1240', '63', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.55047336');
INSERT INTO public.ecdc_import VALUES (27266, '26/06/2020', '26', '6', '2020', '1178', '47', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.50280602');
INSERT INTO public.ecdc_import VALUES (27267, '25/06/2020', '25', '6', '2020', '1113', '38', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.42927269');
INSERT INTO public.ecdc_import VALUES (27268, '24/06/2020', '24', '6', '2020', '1051', '35', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.476201');
INSERT INTO public.ecdc_import VALUES (27269, '23/06/2020', '23', '6', '2020', '954', '35', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.47324488');
INSERT INTO public.ecdc_import VALUES (27270, '22/06/2020', '22', '6', '2020', '862', '36', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.43370686');
INSERT INTO public.ecdc_import VALUES (27271, '21/06/2020', '21', '6', '2020', '1226', '56', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.36349916');
INSERT INTO public.ecdc_import VALUES (27272, '20/06/2020', '20', '6', '2020', '1041', '34', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.27740234');
INSERT INTO public.ecdc_import VALUES (27273, '19/06/2020', '19', '6', '2020', '1331', '63', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '5.15250653');
INSERT INTO public.ecdc_import VALUES (27274, '18/06/2020', '18', '6', '2020', '1031', '45', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '4.8768489');
INSERT INTO public.ecdc_import VALUES (27275, '17/06/2020', '17', '6', '2020', '1106', '33', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '4.74862746');
INSERT INTO public.ecdc_import VALUES (27276, '16/06/2020', '16', '6', '2020', '1017', '64', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '4.56497889');
INSERT INTO public.ecdc_import VALUES (27277, '15/06/2020', '15', '6', '2020', '857', '43', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '4.36174606');
INSERT INTO public.ecdc_import VALUES (27278, '14/06/2020', '14', '6', '2020', '1014', '43', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '4.30373232');
INSERT INTO public.ecdc_import VALUES (27279, '13/06/2020', '13', '6', '2020', '1111', '48', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '4.13486432');
INSERT INTO public.ecdc_import VALUES (27280, '12/06/2020', '12', '6', '2020', '979', '41', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.97486465');
INSERT INTO public.ecdc_import VALUES (27281, '11/06/2020', '11', '6', '2020', '1240', '36', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.86696649');
INSERT INTO public.ecdc_import VALUES (27282, '10/06/2020', '10', '6', '2020', '1043', '40', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.66225561');
INSERT INTO public.ecdc_import VALUES (27283, '09/06/2020', '9', '6', '2020', '847', '32', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.43020067');
INSERT INTO public.ecdc_import VALUES (27284, '08/06/2020', '8', '6', '2020', '672', '50', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.29421943');
INSERT INTO public.ecdc_import VALUES (27285, '07/06/2020', '7', '6', '2020', '993', '31', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.24027035');
INSERT INTO public.ecdc_import VALUES (27286, '06/06/2020', '6', '6', '2020', '703', '49', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.22401172');
INSERT INTO public.ecdc_import VALUES (27287, '05/06/2020', '5', '6', '2020', '585', '23', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.19851524');
INSERT INTO public.ecdc_import VALUES (27288, '04/06/2020', '4', '6', '2020', '684', '35', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.34188676');
INSERT INTO public.ecdc_import VALUES (27289, '03/06/2020', '3', '6', '2020', '609', '22', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.34521239');
INSERT INTO public.ecdc_import VALUES (27290, '02/06/2020', '2', '6', '2020', '467', '28', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.29976214');
INSERT INTO public.ecdc_import VALUES (27291, '01/06/2020', '1', '6', '2020', '700', '40', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.31047805');
INSERT INTO public.ecdc_import VALUES (27292, '31/05/2020', '31', '5', '2020', '557', '53', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.23251055');
INSERT INTO public.ecdc_import VALUES (27293, '30/05/2020', '30', '5', '2020', '678', '24', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.22216415');
INSERT INTO public.ecdc_import VALUES (27294, '29/05/2020', '29', '5', '2020', '687', '23', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.15269547');
INSERT INTO public.ecdc_import VALUES (27295, '28/05/2020', '28', '5', '2020', '686', '55', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.10872328');
INSERT INTO public.ecdc_import VALUES (27296, '27/05/2020', '27', '5', '2020', '415', '27', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.10983182');
INSERT INTO public.ecdc_import VALUES (27297, '26/05/2020', '26', '5', '2020', '479', '19', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.1353283');
INSERT INTO public.ecdc_import VALUES (27298, '25/05/2020', '25', '5', '2020', '526', '21', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '3.0444278');
INSERT INTO public.ecdc_import VALUES (27299, '24/05/2020', '24', '5', '2020', '949', '25', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.99306532');
INSERT INTO public.ecdc_import VALUES (27300, '23/05/2020', '23', '5', '2020', '634', '48', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.8393474');
INSERT INTO public.ecdc_import VALUES (27301, '22/05/2020', '22', '5', '2020', '973', '36', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.72923216');
INSERT INTO public.ecdc_import VALUES (27302, '21/05/2020', '21', '5', '2020', '693', '21', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.49459062');
INSERT INTO public.ecdc_import VALUES (27303, '20/05/2020', '20', '5', '2020', '486', '30', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.37412898');
INSERT INTO public.ecdc_import VALUES (27304, '19/05/2020', '19', '5', '2020', '496', '43', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.37338995');
INSERT INTO public.ecdc_import VALUES (27305, '18/05/2020', '18', '5', '2020', '489', '59', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.33606901');
INSERT INTO public.ecdc_import VALUES (27306, '17/05/2020', '17', '5', '2020', '529', '13', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.28433702');
INSERT INTO public.ecdc_import VALUES (27307, '16/05/2020', '16', '5', '2020', '490', '33', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.19676214');
INSERT INTO public.ecdc_import VALUES (27308, '15/05/2020', '15', '5', '2020', '568', '15', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.17569983');
INSERT INTO public.ecdc_import VALUES (27309, '14/05/2020', '14', '5', '2020', '689', '21', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '2.09403718');
INSERT INTO public.ecdc_import VALUES (27310, '13/05/2020', '13', '5', '2020', '484', '16', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.93551558');
INSERT INTO public.ecdc_import VALUES (27311, '12/05/2020', '12', '5', '2020', '233', '18', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.91001909');
INSERT INTO public.ecdc_import VALUES (27312, '11/05/2020', '11', '5', '2020', '387', '14', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.90299832');
INSERT INTO public.ecdc_import VALUES (27313, '10/05/2020', '10', '5', '2020', '533', '16', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.86161273');
INSERT INTO public.ecdc_import VALUES (27314, '09/05/2020', '9', '5', '2020', '336', '13', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.81098928');
INSERT INTO public.ecdc_import VALUES (27315, '08/05/2020', '8', '5', '2020', '338', '35', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.8479407');
INSERT INTO public.ecdc_import VALUES (27316, '07/05/2020', '7', '5', '2020', '367', '23', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.85496147');
INSERT INTO public.ecdc_import VALUES (27317, '06/05/2020', '6', '5', '2020', '484', '8', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.82392228');
INSERT INTO public.ecdc_import VALUES (27318, '05/05/2020', '5', '5', '2020', '395', '19', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.78364522');
INSERT INTO public.ecdc_import VALUES (27319, '04/05/2020', '4', '5', '2020', '349', '14', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.70604723');
INSERT INTO public.ecdc_import VALUES (27320, '03/05/2020', '3', '5', '2020', '292', '31', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.69791792');
INSERT INTO public.ecdc_import VALUES (27321, '02/05/2020', '2', '5', '2020', '433', '8', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.71011189');
INSERT INTO public.ecdc_import VALUES (27322, '01/05/2020', '1', '5', '2020', '347', '8', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.70050452');
INSERT INTO public.ecdc_import VALUES (27323, '30/04/2020', '30', '4', '2020', '260', '11', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.71269849');
INSERT INTO public.ecdc_import VALUES (27324, '29/04/2020', '29', '4', '2020', '415', '8', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.72637052');
INSERT INTO public.ecdc_import VALUES (27325, '28/04/2020', '28', '4', '2020', '214', '22', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.67722512');
INSERT INTO public.ecdc_import VALUES (27326, '27/04/2020', '27', '4', '2020', '275', '23', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.71491558');
INSERT INTO public.ecdc_import VALUES (27327, '26/04/2020', '26', '4', '2020', '396', '31', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.76073534');
INSERT INTO public.ecdc_import VALUES (27328, '25/04/2020', '25', '4', '2020', '436', '42', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.7363474');
INSERT INTO public.ecdc_import VALUES (27329, '24/04/2020', '24', '4', '2020', '357', '12', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.65616281');
INSERT INTO public.ecdc_import VALUES (27330, '23/04/2020', '23', '4', '2020', '283', '19', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.64877253');
INSERT INTO public.ecdc_import VALUES (27331, '22/04/2020', '22', '4', '2020', '375', '26', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.6247541');
INSERT INTO public.ecdc_import VALUES (27332, '21/04/2020', '21', '4', '2020', '185', '8', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.57745628');
INSERT INTO public.ecdc_import VALUES (27333, '20/04/2020', '20', '4', '2020', '327', '47', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.58965025');
INSERT INTO public.ecdc_import VALUES (27334, '19/04/2020', '19', '4', '2020', '325', '15', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.53570117');
INSERT INTO public.ecdc_import VALUES (27335, '18/04/2020', '18', '4', '2020', '407', '24', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.45477755');
INSERT INTO public.ecdc_import VALUES (27336, '17/04/2020', '17', '4', '2020', '380', '27', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.37681005');
INSERT INTO public.ecdc_import VALUES (27337, '16/04/2020', '16', '4', '2020', '297', '10', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.27814975');
INSERT INTO public.ecdc_import VALUES (27338, '15/04/2020', '15', '4', '2020', '282', '60', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.22346164');
INSERT INTO public.ecdc_import VALUES (27339, '14/04/2020', '14', '4', '2020', '316', '26', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.16138325');
INSERT INTO public.ecdc_import VALUES (27340, '13/04/2020', '13', '4', '2020', '399', '46', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '1.09228409');
INSERT INTO public.ecdc_import VALUES (27341, '12/04/2020', '12', '4', '2020', '330', '21', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.99288476');
INSERT INTO public.ecdc_import VALUES (27342, '11/04/2020', '11', '4', '2020', '219', '26', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.91122211');
INSERT INTO public.ecdc_import VALUES (27343, '10/04/2020', '10', '4', '2020', '337', '40', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.88683417');
INSERT INTO public.ecdc_import VALUES (27344, '09/04/2020', '9', '4', '2020', '218', '19', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.80036784');
INSERT INTO public.ecdc_import VALUES (27345, '08/04/2020', '8', '4', '2020', '247', '12', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.75824322');
INSERT INTO public.ecdc_import VALUES (27346, '07/04/2020', '7', '4', '2020', '218', '11', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.70651122');
INSERT INTO public.ecdc_import VALUES (27347, '06/04/2020', '6', '4', '2020', '181', '7', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.64997554');
INSERT INTO public.ecdc_import VALUES (27348, '05/04/2020', '5', '4', '2020', '106', '10', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.60674238');
INSERT INTO public.ecdc_import VALUES (27349, '04/04/2020', '4', '4', '2020', '196', '11', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.61967538');
INSERT INTO public.ecdc_import VALUES (27350, '03/04/2020', '3', '4', '2020', '113', '13', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.57755075');
INSERT INTO public.ecdc_import VALUES (27351, '02/04/2020', '2', '4', '2020', '149', '21', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.55611893');
INSERT INTO public.ecdc_import VALUES (27352, '01/04/2020', '1', '4', '2020', '114', '14', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.50106131');
INSERT INTO public.ecdc_import VALUES (27353, '31/03/2020', '31', '3', '2020', '129', '8', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.47297822');
INSERT INTO public.ecdc_import VALUES (27354, '30/03/2020', '30', '3', '2020', '130', '12', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.43159263');
INSERT INTO public.ecdc_import VALUES (27355, '29/03/2020', '29', '3', '2020', '109', '15', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.39131558');
INSERT INTO public.ecdc_import VALUES (27356, '28/03/2020', '28', '3', '2020', '153', '9', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.36101541');
INSERT INTO public.ecdc_import VALUES (27357, '27/03/2020', '27', '3', '2020', '103', '20', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.31741273');
INSERT INTO public.ecdc_import VALUES (27358, '26/03/2020', '26', '3', '2020', '104', '3', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.28489548');
INSERT INTO public.ecdc_import VALUES (27359, '25/03/2020', '25', '3', '2020', '107', '6', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.25126968');
INSERT INTO public.ecdc_import VALUES (27360, '24/03/2020', '24', '3', '2020', '65', '1', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.21247069');
INSERT INTO public.ecdc_import VALUES (27361, '23/03/2020', '23', '3', '2020', '64', '10', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.18919129');
INSERT INTO public.ecdc_import VALUES (27362, '22/03/2020', '22', '3', '2020', '141', '13', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.16628141');
INSERT INTO public.ecdc_import VALUES (27363, '21/03/2020', '21', '3', '2020', '82', '6', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.1141799');
INSERT INTO public.ecdc_import VALUES (27364, '20/03/2020', '20', '3', '2020', '55', '14', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.08387973');
INSERT INTO public.ecdc_import VALUES (27365, '19/03/2020', '19', '3', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.06355645');
INSERT INTO public.ecdc_import VALUES (27366, '18/03/2020', '18', '3', '2020', '38', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.06355645');
INSERT INTO public.ecdc_import VALUES (27367, '17/03/2020', '17', '3', '2020', '17', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.04951491');
INSERT INTO public.ecdc_import VALUES (27368, '16/03/2020', '16', '3', '2020', '21', '1', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.04323317');
INSERT INTO public.ecdc_import VALUES (27369, '15/03/2020', '15', '3', '2020', '27', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.03547337');
INSERT INTO public.ecdc_import VALUES (27370, '14/03/2020', '14', '3', '2020', '35', '3', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.02549648');
INSERT INTO public.ecdc_import VALUES (27371, '12/03/2020', '12', '3', '2020', '15', '1', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.01256348');
INSERT INTO public.ecdc_import VALUES (27372, '11/03/2020', '11', '3', '2020', '13', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.00702077');
INSERT INTO public.ecdc_import VALUES (27373, '09/03/2020', '9', '3', '2020', '2', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.00221709');
INSERT INTO public.ecdc_import VALUES (27374, '07/03/2020', '7', '3', '2020', '2', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.00147806');
INSERT INTO public.ecdc_import VALUES (27375, '02/03/2020', '2', '3', '2020', '2', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0.00073903');
INSERT INTO public.ecdc_import VALUES (27376, '01/03/2020', '1', '3', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27377, '29/02/2020', '29', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27378, '28/02/2020', '28', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27379, '27/02/2020', '27', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27380, '26/02/2020', '26', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27381, '25/02/2020', '25', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27382, '24/02/2020', '24', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27383, '23/02/2020', '23', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27384, '22/02/2020', '22', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27385, '21/02/2020', '21', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27386, '20/02/2020', '20', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27387, '19/02/2020', '19', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27388, '18/02/2020', '18', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27389, '17/02/2020', '17', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27390, '16/02/2020', '16', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27391, '15/02/2020', '15', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27392, '14/02/2020', '14', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27393, '13/02/2020', '13', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27394, '12/02/2020', '12', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27395, '11/02/2020', '11', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27396, '10/02/2020', '10', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27397, '09/02/2020', '9', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27398, '08/02/2020', '8', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27399, '07/02/2020', '7', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27400, '06/02/2020', '6', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27401, '05/02/2020', '5', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27402, '04/02/2020', '4', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27403, '03/02/2020', '3', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27404, '02/02/2020', '2', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27405, '01/02/2020', '1', '2', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27406, '31/01/2020', '31', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27407, '30/01/2020', '30', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27408, '29/01/2020', '29', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27409, '28/01/2020', '28', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27410, '27/01/2020', '27', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27411, '26/01/2020', '26', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27412, '25/01/2020', '25', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27413, '24/01/2020', '24', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27414, '23/01/2020', '23', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27415, '22/01/2020', '22', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27416, '21/01/2020', '21', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27417, '20/01/2020', '20', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27418, '19/01/2020', '19', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27419, '18/01/2020', '18', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27420, '17/01/2020', '17', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27421, '16/01/2020', '16', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27422, '15/01/2020', '15', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27423, '14/01/2020', '14', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27424, '13/01/2020', '13', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27425, '12/01/2020', '12', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27426, '11/01/2020', '11', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27427, '10/01/2020', '10', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27428, '09/01/2020', '9', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27429, '08/01/2020', '8', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27430, '07/01/2020', '7', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27431, '06/01/2020', '6', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27432, '05/01/2020', '5', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27433, '04/01/2020', '4', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27434, '03/01/2020', '3', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27435, '02/01/2020', '2', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27436, '01/01/2020', '1', '1', '2020', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27437, '31/12/2019', '31', '12', '2019', '0', '0', '270625567', 'Indonesia', 'ID', 'IDN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27438, '14/12/2020', '14', '12', '2020', '7451', '247', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '192.39236541');
INSERT INTO public.ecdc_import VALUES (27439, '13/12/2020', '13', '12', '2020', '8201', '221', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '199.02454707');
INSERT INTO public.ecdc_import VALUES (27440, '12/12/2020', '12', '12', '2020', '9594', '232', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '205.29731971');
INSERT INTO public.ecdc_import VALUES (27441, '11/12/2020', '11', '12', '2020', '10403', '284', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '210.67277591');
INSERT INTO public.ecdc_import VALUES (27442, '10/12/2020', '10', '12', '2020', '10223', '295', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '214.96397473');
INSERT INTO public.ecdc_import VALUES (27443, '09/12/2020', '9', '12', '2020', '11023', '323', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '235.87844319');
INSERT INTO public.ecdc_import VALUES (27444, '08/12/2020', '8', '12', '2020', '10827', '284', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '222.58392812');
INSERT INTO public.ecdc_import VALUES (27445, '07/12/2020', '7', '12', '2020', '11561', '294', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '224.55344124');
INSERT INTO public.ecdc_import VALUES (27446, '06/12/2020', '6', '12', '2020', '12151', '321', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '226.35289842');
INSERT INTO public.ecdc_import VALUES (27447, '05/12/2020', '5', '12', '2020', '13341', '347', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '227.29363341');
INSERT INTO public.ecdc_import VALUES (27448, '04/12/2020', '4', '12', '2020', '13922', '358', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '243.14381186');
INSERT INTO public.ecdc_import VALUES (27449, '03/12/2020', '3', '12', '2020', '13621', '362', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '226.35289842');
INSERT INTO public.ecdc_import VALUES (27450, '02/12/2020', '2', '12', '2020', '13881', '382', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '226.11168432');
INSERT INTO public.ecdc_import VALUES (27451, '01/12/2020', '1', '12', '2020', '13321', '371', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '225.47367303');
INSERT INTO public.ecdc_import VALUES (27452, '30/11/2020', '30', '11', '2020', '12950', '389', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '225.15044614');
INSERT INTO public.ecdc_import VALUES (27453, '29/11/2020', '29', '11', '2020', '13402', '391', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '224.65957545');
INSERT INTO public.ecdc_import VALUES (27454, '28/11/2020', '28', '11', '2020', '14051', '406', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '222.00742643');
INSERT INTO public.ecdc_import VALUES (27455, '27/11/2020', '27', '11', '2020', '13961', '482', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '219.2165793');
INSERT INTO public.ecdc_import VALUES (27456, '26/11/2020', '26', '11', '2020', '27564', '952', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '216.26894301');
INSERT INTO public.ecdc_import VALUES (27457, '25/11/2020', '25', '11', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '197.23232631');
INSERT INTO public.ecdc_import VALUES (27458, '24/11/2020', '24', '11', '2020', '12460', '453', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '209.70188916');
INSERT INTO public.ecdc_import VALUES (27459, '23/11/2020', '23', '11', '2020', '13053', '475', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '207.29336638');
INSERT INTO public.ecdc_import VALUES (27460, '22/11/2020', '22', '11', '2020', '12931', '431', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '202.6897953');
INSERT INTO public.ecdc_import VALUES (27461, '21/11/2020', '21', '11', '2020', '26483', '955', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '198.49146391');
INSERT INTO public.ecdc_import VALUES (27462, '20/11/2020', '20', '11', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '177.24170785');
INSERT INTO public.ecdc_import VALUES (27463, '19/11/2020', '19', '11', '2020', '13421', '480', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '187.82135824');
INSERT INTO public.ecdc_import VALUES (27464, '18/11/2020', '18', '11', '2020', '13352', '482', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '181.82839395');
INSERT INTO public.ecdc_import VALUES (27465, '17/11/2020', '17', '11', '2020', '13053', '486', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '176.49756236');
INSERT INTO public.ecdc_import VALUES (27466, '16/11/2020', '16', '11', '2020', '12543', '459', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '170.75184252');
INSERT INTO public.ecdc_import VALUES (27467, '15/11/2020', '15', '11', '2020', '11203', '452', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '164.93375845');
INSERT INTO public.ecdc_import VALUES (27468, '14/11/2020', '14', '11', '2020', '11737', '461', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '160.85362196');
INSERT INTO public.ecdc_import VALUES (27469, '13/11/2020', '13', '11', '2020', '11517', '457', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '156.3598033');
INSERT INTO public.ecdc_import VALUES (27470, '12/11/2020', '12', '11', '2020', '11780', '462', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '152.47143202');
INSERT INTO public.ecdc_import VALUES (27471, '11/11/2020', '11', '11', '2020', '10339', '453', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '146.49414664');
INSERT INTO public.ecdc_import VALUES (27472, '10/11/2020', '10', '11', '2020', '10463', '458', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '142.428483');
INSERT INTO public.ecdc_import VALUES (27473, '09/11/2020', '9', '11', '2020', '9236', '459', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '136.99754756');
INSERT INTO public.ecdc_import VALUES (27474, '08/11/2020', '8', '11', '2020', '9450', '423', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '133.32506291');
INSERT INTO public.ecdc_import VALUES (27475, '07/11/2020', '7', '11', '2020', '8864', '424', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '128.93979058');
INSERT INTO public.ecdc_import VALUES (27476, '06/11/2020', '6', '11', '2020', '8772', '406', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '125.64721813');
INSERT INTO public.ecdc_import VALUES (27477, '05/11/2020', '5', '11', '2020', '8452', '419', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '121.66597943');
INSERT INTO public.ecdc_import VALUES (27478, '04/11/2020', '4', '11', '2020', '8932', '422', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '118.2455635');
INSERT INTO public.ecdc_import VALUES (27479, '03/11/2020', '3', '11', '2020', '8289', '440', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '113.55033106');
INSERT INTO public.ecdc_import VALUES (27480, '02/11/2020', '2', '11', '2020', '7719', '434', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '108.6802184');
INSERT INTO public.ecdc_import VALUES (27481, '01/11/2020', '1', '11', '2020', '7820', '386', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '104.06217448');
INSERT INTO public.ecdc_import VALUES (27482, '31/10/2020', '31', '10', '2020', '8011', '365', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '99.57921045');
INSERT INTO public.ecdc_import VALUES (27483, '30/10/2020', '30', '10', '2020', '8293', '399', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '95.4074126');
INSERT INTO public.ecdc_import VALUES (27484, '29/10/2020', '29', '10', '2020', '6824', '415', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '90.97269139');
INSERT INTO public.ecdc_import VALUES (27485, '28/10/2020', '28', '10', '2020', '6968', '346', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '88.56778682');
INSERT INTO public.ecdc_import VALUES (27486, '27/10/2020', '27', '10', '2020', '5960', '337', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '85.11842521');
INSERT INTO public.ecdc_import VALUES (27487, '26/10/2020', '26', '10', '2020', '6191', '296', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '83.00297756');
INSERT INTO public.ecdc_import VALUES (27488, '25/10/2020', '25', '10', '2020', '5814', '335', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '80.14579656');
INSERT INTO public.ecdc_import VALUES (27489, '24/10/2020', '24', '10', '2020', '6134', '335', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '77.80722587');
INSERT INTO public.ecdc_import VALUES (27490, '23/10/2020', '23', '10', '2020', '5471', '304', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '75.40473344');
INSERT INTO public.ecdc_import VALUES (27491, '22/10/2020', '22', '10', '2020', '5616', '312', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '74.10338337');
INSERT INTO public.ecdc_import VALUES (27492, '21/10/2020', '21', '10', '2020', '5039', '322', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '72.17728879');
INSERT INTO public.ecdc_import VALUES (27493, '20/10/2020', '20', '10', '2020', '4251', '337', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '71.10629819');
INSERT INTO public.ecdc_import VALUES (27494, '19/10/2020', '19', '10', '2020', '3890', '252', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '70.68537959');
INSERT INTO public.ecdc_import VALUES (27495, '18/10/2020', '18', '10', '2020', '4103', '253', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '70.39954088');
INSERT INTO public.ecdc_import VALUES (27496, '17/10/2020', '17', '10', '2020', '4552', '265', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '69.70002');
INSERT INTO public.ecdc_import VALUES (27497, '16/10/2020', '16', '10', '2020', '4616', '256', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '68.4939495');
INSERT INTO public.ecdc_import VALUES (27498, '15/10/2020', '15', '10', '2020', '4830', '279', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '67.53994774');
INSERT INTO public.ecdc_import VALUES (27499, '14/10/2020', '14', '10', '2020', '4108', '254', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '66.03477176');
INSERT INTO public.ecdc_import VALUES (27500, '13/10/2020', '13', '10', '2020', '4206', '272', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '65.51495538');
INSERT INTO public.ecdc_import VALUES (27501, '12/10/2020', '12', '10', '2020', '3822', '251', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '64.67794245');
INSERT INTO public.ecdc_import VALUES (27502, '11/10/2020', '11', '10', '2020', '3875', '195', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '64.12315003');
INSERT INTO public.ecdc_import VALUES (27503, '10/10/2020', '10', '10', '2020', '4142', '210', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '63.31387672');
INSERT INTO public.ecdc_import VALUES (27504, '09/10/2020', '9', '10', '2020', '4392', '230', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '62.61556191');
INSERT INTO public.ecdc_import VALUES (27505, '08/10/2020', '8', '10', '2020', '4019', '239', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '61.5650745');
INSERT INTO public.ecdc_import VALUES (27506, '07/10/2020', '7', '10', '2020', '4151', '227', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '61.06576132');
INSERT INTO public.ecdc_import VALUES (27507, '06/10/2020', '6', '10', '2020', '3902', '235', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '60.53629637');
INSERT INTO public.ecdc_import VALUES (27508, '05/10/2020', '5', '10', '2020', '3653', '211', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '59.85969082');
INSERT INTO public.ecdc_import VALUES (27509, '04/10/2020', '4', '10', '2020', '3523', '179', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '59.18911563');
INSERT INTO public.ecdc_import VALUES (27510, '03/10/2020', '3', '10', '2020', '3552', '187', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '58.37139983');
INSERT INTO public.ecdc_import VALUES (27511, '02/10/2020', '2', '10', '2020', '3825', '211', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '57.76474637');
INSERT INTO public.ecdc_import VALUES (27512, '01/10/2020', '1', '10', '2020', '3582', '183', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '56.54661517');
INSERT INTO public.ecdc_import VALUES (27513, '30/09/2020', '30', '9', '2020', '3677', '207', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '55.82176681');
INSERT INTO public.ecdc_import VALUES (27514, '29/09/2020', '29', '9', '2020', '3512', '190', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '54.64946628');
INSERT INTO public.ecdc_import VALUES (27515, '28/09/2020', '28', '9', '2020', '3362', '195', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '53.57244533');
INSERT INTO public.ecdc_import VALUES (27516, '27/09/2020', '27', '9', '2020', '3204', '172', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '52.03711759');
INSERT INTO public.ecdc_import VALUES (27517, '26/09/2020', '26', '9', '2020', '3563', '207', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '50.75265251');
INSERT INTO public.ecdc_import VALUES (27518, '25/09/2020', '25', '9', '2020', '3521', '175', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '49.24506439');
INSERT INTO public.ecdc_import VALUES (27519, '24/09/2020', '24', '9', '2020', '3605', '184', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '47.48661361');
INSERT INTO public.ecdc_import VALUES (27520, '23/09/2020', '23', '9', '2020', '3712', '178', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '45.92837053');
INSERT INTO public.ecdc_import VALUES (27521, '22/09/2020', '22', '9', '2020', '3341', '177', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '44.22781113');
INSERT INTO public.ecdc_import VALUES (27522, '21/09/2020', '21', '9', '2020', '3097', '183', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.79379332');
INSERT INTO public.ecdc_import VALUES (27523, '20/09/2020', '20', '9', '2020', '2845', '166', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.46108542');
INSERT INTO public.ecdc_import VALUES (27524, '19/09/2020', '19', '9', '2020', '3049', '144', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.31411238');
INSERT INTO public.ecdc_import VALUES (27525, '18/09/2020', '18', '9', '2020', '2815', '176', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.08030226');
INSERT INTO public.ecdc_import VALUES (27526, '17/09/2020', '17', '9', '2020', '2981', '179', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.09011838');
INSERT INTO public.ecdc_import VALUES (27527, '16/09/2020', '16', '9', '2020', '2705', '140', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.73570122');
INSERT INTO public.ecdc_import VALUES (27528, '15/09/2020', '15', '9', '2020', '2619', '156', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '35.5018911');
INSERT INTO public.ecdc_import VALUES (27529, '14/09/2020', '14', '9', '2020', '2089', '128', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '34.32356023');
INSERT INTO public.ecdc_import VALUES (27530, '13/09/2020', '13', '9', '2020', '2139', '116', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.91952661');
INSERT INTO public.ecdc_import VALUES (27531, '12/09/2020', '12', '9', '2020', '2313', '115', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.63730611');
INSERT INTO public.ecdc_import VALUES (27532, '11/09/2020', '11', '9', '2020', '2063', '129', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.39850416');
INSERT INTO public.ecdc_import VALUES (27533, '10/09/2020', '10', '9', '2020', '2313', '127', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.25689123');
INSERT INTO public.ecdc_import VALUES (27534, '09/09/2020', '9', '9', '2020', '2302', '132', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.13628418');
INSERT INTO public.ecdc_import VALUES (27535, '08/09/2020', '8', '9', '2020', '2152', '117', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.06753816');
INSERT INTO public.ecdc_import VALUES (27536, '07/09/2020', '7', '9', '2020', '1992', '139', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.47207446');
INSERT INTO public.ecdc_import VALUES (27537, '06/09/2020', '6', '9', '2020', '1894', '110', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.61800899');
INSERT INTO public.ecdc_import VALUES (27538, '05/09/2020', '5', '9', '2020', '2026', '118', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.77962243');
INSERT INTO public.ecdc_import VALUES (27539, '04/09/2020', '4', '9', '2020', '1994', '129', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.99671512');
INSERT INTO public.ecdc_import VALUES (27540, '03/09/2020', '3', '9', '2020', '1858', '125', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '37.2880815');
INSERT INTO public.ecdc_import VALUES (27541, '02/09/2020', '2', '9', '2020', '1682', '101', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '35.04720252');
INSERT INTO public.ecdc_import VALUES (27542, '01/09/2020', '1', '9', '2020', '1642', '109', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '35.89507008');
INSERT INTO public.ecdc_import VALUES (27543, '31/08/2020', '31', '8', '2020', '1754', '103', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.62474273');
INSERT INTO public.ecdc_import VALUES (27544, '30/08/2020', '30', '8', '2020', '1905', '110', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '37.08184345');
INSERT INTO public.ecdc_import VALUES (27545, '29/08/2020', '29', '8', '2020', '2115', '112', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '37.49190742');
INSERT INTO public.ecdc_import VALUES (27546, '28/08/2020', '28', '8', '2020', '4433', '236', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '37.95745063');
INSERT INTO public.ecdc_import VALUES (27547, '27/08/2020', '27', '8', '2020', '2213', '125', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '35.77687517');
INSERT INTO public.ecdc_import VALUES (27548, '26/08/2020', '26', '8', '2020', '2245', '133', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.13507811');
INSERT INTO public.ecdc_import VALUES (27549, '25/08/2020', '25', '8', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.25568516');
INSERT INTO public.ecdc_import VALUES (27550, '24/08/2020', '24', '8', '2020', '2113', '141', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.82702746');
INSERT INTO public.ecdc_import VALUES (27551, '23/08/2020', '23', '8', '2020', '2028', '126', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.7148629');
INSERT INTO public.ecdc_import VALUES (27552, '22/08/2020', '22', '8', '2020', '2206', '112', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.83185174');
INSERT INTO public.ecdc_import VALUES (27553, '21/08/2020', '21', '8', '2020', '4723', '292', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.12613294');
INSERT INTO public.ecdc_import VALUES (27554, '20/08/2020', '20', '8', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.60665167');
INSERT INTO public.ecdc_import VALUES (27555, '19/08/2020', '19', '8', '2020', '2385', '168', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.8594238');
INSERT INTO public.ecdc_import VALUES (27556, '18/08/2020', '18', '8', '2020', '2247', '165', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.3008456');
INSERT INTO public.ecdc_import VALUES (27557, '17/08/2020', '17', '8', '2020', '2133', '147', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.72417635');
INSERT INTO public.ecdc_import VALUES (27558, '16/08/2020', '16', '8', '2020', '2245', '161', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.38992726');
INSERT INTO public.ecdc_import VALUES (27559, '15/08/2020', '15', '8', '2020', '2501', '169', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.75536662');
INSERT INTO public.ecdc_import VALUES (27560, '14/08/2020', '14', '8', '2020', '2625', '174', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.96401681');
INSERT INTO public.ecdc_import VALUES (27561, '13/08/2020', '13', '8', '2020', '2510', '188', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.95919253');
INSERT INTO public.ecdc_import VALUES (27562, '12/08/2020', '12', '8', '2020', '2345', '184', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.11115741');
INSERT INTO public.ecdc_import VALUES (27563, '11/08/2020', '11', '8', '2020', '2132', '189', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.49951211');
INSERT INTO public.ecdc_import VALUES (27564, '10/08/2020', '10', '8', '2020', '2020', '163', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.8637454');
INSERT INTO public.ecdc_import VALUES (27565, '09/08/2020', '9', '8', '2020', '2125', '132', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.24124547');
INSERT INTO public.ecdc_import VALUES (27566, '08/08/2020', '8', '8', '2020', '2450', '316', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.47160493');
INSERT INTO public.ecdc_import VALUES (27567, '07/08/2020', '7', '8', '2020', '2634', '14', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.51864168');
INSERT INTO public.ecdc_import VALUES (27568, '06/08/2020', '6', '8', '2020', '2697', '185', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.50296277');
INSERT INTO public.ecdc_import VALUES (27569, '05/08/2020', '5', '8', '2020', '2751', '212', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.36908894');
INSERT INTO public.ecdc_import VALUES (27570, '04/08/2020', '4', '8', '2020', '2598', '215', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.21712406');
INSERT INTO public.ecdc_import VALUES (27571, '03/08/2020', '3', '8', '2020', '2685', '208', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.99520709');
INSERT INTO public.ecdc_import VALUES (27572, '02/08/2020', '2', '8', '2020', '2548', '216', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.38855363');
INSERT INTO public.ecdc_import VALUES (27573, '01/08/2020', '1', '8', '2020', '2674', '197', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.9278347');
INSERT INTO public.ecdc_import VALUES (27574, '31/07/2020', '31', '7', '2020', '2621', '226', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.5720439');
INSERT INTO public.ecdc_import VALUES (27575, '30/07/2020', '30', '7', '2020', '2636', '196', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.42610937');
INSERT INTO public.ecdc_import VALUES (27576, '29/07/2020', '29', '7', '2020', '2667', '235', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.12700389');
INSERT INTO public.ecdc_import VALUES (27577, '28/07/2020', '28', '7', '2020', '2434', '212', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.9509176');
INSERT INTO public.ecdc_import VALUES (27578, '27/07/2020', '27', '7', '2020', '2333', '216', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.84840161');
INSERT INTO public.ecdc_import VALUES (27579, '26/07/2020', '26', '7', '2020', '2316', '195', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.67110924');
INSERT INTO public.ecdc_import VALUES (27580, '25/07/2020', '25', '7', '2020', '2489', '215', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.76880095');
INSERT INTO public.ecdc_import VALUES (27581, '24/07/2020', '24', '7', '2020', '2621', '221', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.49502295');
INSERT INTO public.ecdc_import VALUES (27582, '23/07/2020', '23', '7', '2020', '2586', '219', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.84133274');
INSERT INTO public.ecdc_import VALUES (27583, '22/07/2020', '22', '7', '2020', '2625', '229', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.96797014');
INSERT INTO public.ecdc_import VALUES (27584, '21/07/2020', '21', '7', '2020', '2414', '217', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.98244299');
INSERT INTO public.ecdc_import VALUES (27585, '20/07/2020', '20', '7', '2020', '2182', '209', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.22245102');
INSERT INTO public.ecdc_import VALUES (27586, '19/07/2020', '19', '7', '2020', '2166', '188', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.67834567');
INSERT INTO public.ecdc_import VALUES (27587, '18/07/2020', '18', '7', '2020', '2379', '183', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.01966362');
INSERT INTO public.ecdc_import VALUES (27588, '17/07/2020', '17', '7', '2020', '2500', '198', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.2451988');
INSERT INTO public.ecdc_import VALUES (27589, '16/07/2020', '16', '7', '2020', '2388', '199', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.42852151');
INSERT INTO public.ecdc_import VALUES (27590, '15/07/2020', '15', '7', '2020', '2521', '179', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.62269886');
INSERT INTO public.ecdc_import VALUES (27591, '14/07/2020', '14', '7', '2020', '2349', '203', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.54551035');
INSERT INTO public.ecdc_import VALUES (27592, '13/07/2020', '13', '7', '2020', '2186', '194', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.77104554');
INSERT INTO public.ecdc_import VALUES (27593, '12/07/2020', '12', '7', '2020', '2397', '188', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.1364849');
INSERT INTO public.ecdc_import VALUES (27594, '11/07/2020', '11', '7', '2020', '2262', '142', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.20764305');
INSERT INTO public.ecdc_import VALUES (27595, '10/07/2020', '10', '7', '2020', '2079', '221', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.64906486');
INSERT INTO public.ecdc_import VALUES (27596, '09/07/2020', '9', '7', '2020', '2691', '153', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.27139723');
INSERT INTO public.ecdc_import VALUES (27597, '08/07/2020', '8', '7', '2020', '2637', '200', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.07842595');
INSERT INTO public.ecdc_import VALUES (27598, '07/07/2020', '7', '7', '2020', '2613', '160', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.84686042');
INSERT INTO public.ecdc_import VALUES (27599, '06/07/2020', '6', '7', '2020', '2560', '163', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.7986176');
INSERT INTO public.ecdc_import VALUES (27600, '05/07/2020', '5', '7', '2020', '2449', '148', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.56705206');
INSERT INTO public.ecdc_import VALUES (27601, '04/07/2020', '4', '7', '2020', '2566', '154', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.41388111');
INSERT INTO public.ecdc_import VALUES (27602, '03/07/2020', '3', '7', '2020', '2652', '148', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.47297856');
INSERT INTO public.ecdc_import VALUES (27603, '02/07/2020', '2', '7', '2020', '2549', '141', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.40543862');
INSERT INTO public.ecdc_import VALUES (27604, '01/07/2020', '1', '7', '2020', '2457', '147', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.48142106');
INSERT INTO public.ecdc_import VALUES (27605, '30/06/2020', '30', '6', '2020', '2536', '162', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.60926453');
INSERT INTO public.ecdc_import VALUES (27606, '29/06/2020', '29', '6', '2020', '2489', '144', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.5043364');
INSERT INTO public.ecdc_import VALUES (27607, '28/06/2020', '28', '6', '2020', '2456', '234', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.4838332');
INSERT INTO public.ecdc_import VALUES (27608, '27/06/2020', '27', '6', '2020', '2628', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.42835396');
INSERT INTO public.ecdc_import VALUES (27609, '26/06/2020', '26', '6', '2020', '2595', '134', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.1159817');
INSERT INTO public.ecdc_import VALUES (27610, '25/06/2020', '25', '6', '2020', '2531', '133', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.68541453');
INSERT INTO public.ecdc_import VALUES (27611, '24/06/2020', '24', '6', '2020', '2445', '121', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.05825787');
INSERT INTO public.ecdc_import VALUES (27612, '23/06/2020', '23', '6', '2020', '2573', '119', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.6361332');
INSERT INTO public.ecdc_import VALUES (27613, '22/06/2020', '22', '6', '2020', '2368', '116', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.99691584');
INSERT INTO public.ecdc_import VALUES (27614, '21/06/2020', '21', '6', '2020', '2322', '115', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.99209155');
INSERT INTO public.ecdc_import VALUES (27615, '20/06/2020', '20', '6', '2020', '2615', '120', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.92816982');
INSERT INTO public.ecdc_import VALUES (27616, '19/06/2020', '19', '6', '2020', '2596', '87', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.25501492');
INSERT INTO public.ecdc_import VALUES (27617, '18/06/2020', '18', '6', '2020', '2612', '120', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.43455187');
INSERT INTO public.ecdc_import VALUES (27618, '17/06/2020', '17', '6', '2020', '2563', '115', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.06412067');
INSERT INTO public.ecdc_import VALUES (27619, '16/06/2020', '16', '6', '2020', '2449', '113', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.73228372');
INSERT INTO public.ecdc_import VALUES (27620, '15/06/2020', '15', '6', '2020', '2472', '107', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.37150108');
INSERT INTO public.ecdc_import VALUES (27621, '14/06/2020', '14', '6', '2020', '2410', '71', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.42456818');
INSERT INTO public.ecdc_import VALUES (27622, '13/06/2020', '13', '6', '2020', '2369', '75', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.27019116');
INSERT INTO public.ecdc_import VALUES (27623, '12/06/2020', '12', '6', '2020', '2238', '78', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.81292288');
INSERT INTO public.ecdc_import VALUES (27624, '11/06/2020', '11', '6', '2020', '2011', '81', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.83704429');
INSERT INTO public.ecdc_import VALUES (27625, '10/06/2020', '10', '6', '2020', '2095', '74', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.92026316');
INSERT INTO public.ecdc_import VALUES (27626, '09/06/2020', '9', '6', '2020', '2043', '70', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.54879345');
INSERT INTO public.ecdc_import VALUES (27627, '08/06/2020', '8', '6', '2020', '2364', '72', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.52467204');
INSERT INTO public.ecdc_import VALUES (27628, '07/06/2020', '7', '6', '2020', '2269', '75', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.30275506');
INSERT INTO public.ecdc_import VALUES (27629, '06/06/2020', '6', '6', '2020', '2886', '63', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.82032687');
INSERT INTO public.ecdc_import VALUES (27630, '05/06/2020', '5', '6', '2020', '3574', '59', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.12683633');
INSERT INTO public.ecdc_import VALUES (27631, '04/06/2020', '4', '6', '2020', '3134', '70', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.70126101');
INSERT INTO public.ecdc_import VALUES (27632, '03/06/2020', '3', '6', '2020', '3117', '64', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '39.75087746');
INSERT INTO public.ecdc_import VALUES (27633, '02/06/2020', '2', '6', '2020', '2979', '81', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.53757054');
INSERT INTO public.ecdc_import VALUES (27634, '01/06/2020', '1', '6', '2020', '2516', '63', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '37.71141225');
INSERT INTO public.ecdc_import VALUES (27635, '31/05/2020', '31', '5', '2020', '2282', '57', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.8551022');
INSERT INTO public.ecdc_import VALUES (27636, '30/05/2020', '30', '5', '2020', '2819', '50', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.22191519');
INSERT INTO public.ecdc_import VALUES (27637, '29/05/2020', '29', '5', '2020', '2258', '63', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '35.35716264');
INSERT INTO public.ecdc_import VALUES (27638, '28/05/2020', '28', '5', '2020', '2080', '56', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '34.81443092');
INSERT INTO public.ecdc_import VALUES (27639, '27/05/2020', '27', '5', '2020', '1787', '57', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '34.66729032');
INSERT INTO public.ecdc_import VALUES (27640, '26/05/2020', '26', '5', '2020', '2023', '34', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '34.29823275');
INSERT INTO public.ecdc_import VALUES (27641, '25/05/2020', '25', '5', '2020', '2180', '58', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.88816878');
INSERT INTO public.ecdc_import VALUES (27642, '24/05/2020', '24', '5', '2020', '1869', '59', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '32.92693059');
INSERT INTO public.ecdc_import VALUES (27643, '23/05/2020', '23', '5', '2020', '2311', '51', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '32.51686662');
INSERT INTO public.ecdc_import VALUES (27644, '22/05/2020', '22', '5', '2020', '2392', '66', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '31.6062834');
INSERT INTO public.ecdc_import VALUES (27645, '21/05/2020', '21', '5', '2020', '2346', '64', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '30.51237746');
INSERT INTO public.ecdc_import VALUES (27646, '20/05/2020', '20', '5', '2020', '2111', '62', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '29.70913451');
INSERT INTO public.ecdc_import VALUES (27647, '19/05/2020', '19', '5', '2020', '2294', '69', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '28.75875096');
INSERT INTO public.ecdc_import VALUES (27648, '18/05/2020', '18', '5', '2020', '1806', '51', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '27.46704946');
INSERT INTO public.ecdc_import VALUES (27649, '17/05/2020', '17', '5', '2020', '1757', '35', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '26.46601095');
INSERT INTO public.ecdc_import VALUES (27650, '16/05/2020', '16', '5', '2020', '2102', '48', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '25.31421363');
INSERT INTO public.ecdc_import VALUES (27651, '15/05/2020', '15', '5', '2020', '1808', '71', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '23.99236036');
INSERT INTO public.ecdc_import VALUES (27652, '14/05/2020', '14', '5', '2020', '1958', '50', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '22.9973522');
INSERT INTO public.ecdc_import VALUES (27653, '13/05/2020', '13', '5', '2020', '1481', '48', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '21.92997982');
INSERT INTO public.ecdc_import VALUES (27654, '12/05/2020', '12', '5', '2020', '1683', '45', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '21.4849398');
INSERT INTO public.ecdc_import VALUES (27655, '11/05/2020', '11', '5', '2020', '1383', '51', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '20.65033902');
INSERT INTO public.ecdc_import VALUES (27656, '10/05/2020', '10', '5', '2020', '1529', '48', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '20.37294281');
INSERT INTO public.ecdc_import VALUES (27657, '09/05/2020', '9', '5', '2020', '1556', '55', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '19.89654496');
INSERT INTO public.ecdc_import VALUES (27658, '08/05/2020', '8', '5', '2020', '1485', '68', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '19.42858961');
INSERT INTO public.ecdc_import VALUES (27659, '07/05/2020', '7', '5', '2020', '1680', '78', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '18.87982753');
INSERT INTO public.ecdc_import VALUES (27660, '06/05/2020', '6', '5', '2020', '1323', '63', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '18.29367727');
INSERT INTO public.ecdc_import VALUES (27661, '05/05/2020', '5', '5', '2020', '1223', '74', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '18.26231944');
INSERT INTO public.ecdc_import VALUES (27662, '04/05/2020', '4', '5', '2020', '976', '47', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '18.34795045');
INSERT INTO public.ecdc_import VALUES (27663, '03/05/2020', '3', '5', '2020', '802', '65', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '18.79057832');
INSERT INTO public.ecdc_import VALUES (27664, '02/05/2020', '2', '5', '2020', '1006', '63', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '19.48045064');
INSERT INTO public.ecdc_import VALUES (27665, '01/05/2020', '1', '5', '2020', '983', '71', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '20.07504339');
INSERT INTO public.ecdc_import VALUES (27666, '30/04/2020', '30', '4', '2020', '1073', '80', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '20.82642531');
INSERT INTO public.ecdc_import VALUES (27667, '29/04/2020', '29', '4', '2020', '1112', '71', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '21.35589026');
INSERT INTO public.ecdc_import VALUES (27668, '28/04/2020', '28', '4', '2020', '991', '96', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '21.91309483');
INSERT INTO public.ecdc_import VALUES (27669, '27/04/2020', '27', '4', '2020', '1153', '60', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '22.66809496');
INSERT INTO public.ecdc_import VALUES (27670, '26/04/2020', '26', '4', '2020', '1134', '76', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '23.27595449');
INSERT INTO public.ecdc_import VALUES (27671, '25/04/2020', '25', '4', '2020', '1168', '93', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '24.12382205');
INSERT INTO public.ecdc_import VALUES (27672, '24/04/2020', '24', '4', '2020', '1030', '90', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '25.09350273');
INSERT INTO public.ecdc_import VALUES (27673, '23/04/2020', '23', '4', '2020', '1194', '94', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '25.8219693');
INSERT INTO public.ecdc_import VALUES (27674, '22/04/2020', '22', '4', '2020', '1297', '88', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '26.79044391');
INSERT INTO public.ecdc_import VALUES (27675, '21/04/2020', '21', '4', '2020', '1294', '91', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '27.74565174');
INSERT INTO public.ecdc_import VALUES (27676, '20/04/2020', '20', '4', '2020', '1343', '87', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '28.92760083');
INSERT INTO public.ecdc_import VALUES (27677, '19/04/2020', '19', '4', '2020', '1374', '73', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '30.3025212');
INSERT INTO public.ecdc_import VALUES (27678, '18/04/2020', '18', '4', '2020', '1499', '89', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '35.0074022');
INSERT INTO public.ecdc_import VALUES (27679, '17/04/2020', '17', '4', '2020', '1606', '92', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '33.19950252');
INSERT INTO public.ecdc_import VALUES (27680, '16/04/2020', '16', '4', '2020', '1512', '94', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '34.73000598');
INSERT INTO public.ecdc_import VALUES (27681, '15/04/2020', '15', '4', '2020', '1574', '98', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.50895996');
INSERT INTO public.ecdc_import VALUES (27682, '14/04/2020', '14', '4', '2020', '1617', '111', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.36269032');
INSERT INTO public.ecdc_import VALUES (27683, '13/04/2020', '13', '4', '2020', '1657', '117', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '40.25501492');
INSERT INTO public.ecdc_import VALUES (27684, '12/04/2020', '12', '4', '2020', '1837', '125', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '41.75536662');
INSERT INTO public.ecdc_import VALUES (27685, '11/04/2020', '11', '4', '2020', '1972', '122', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '43.24968796');
INSERT INTO public.ecdc_import VALUES (27686, '10/04/2020', '10', '4', '2020', '1634', '117', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '44.40027921');
INSERT INTO public.ecdc_import VALUES (27687, '09/04/2020', '9', '4', '2020', '1997', '121', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '45.31086244');
INSERT INTO public.ecdc_import VALUES (27688, '08/04/2020', '8', '4', '2020', '2089', '133', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '45.56293117');
INSERT INTO public.ecdc_import VALUES (27689, '07/04/2020', '7', '4', '2020', '2274', '136', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '45.16854612');
INSERT INTO public.ecdc_import VALUES (27690, '06/04/2020', '6', '4', '2020', '2483', '151', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '44.12770728');
INSERT INTO public.ecdc_import VALUES (27691, '05/04/2020', '5', '4', '2020', '5275', '292', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '42.37287471');
INSERT INTO public.ecdc_import VALUES (27692, '04/04/2020', '4', '4', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '37.17591695');
INSERT INTO public.ecdc_import VALUES (27693, '03/04/2020', '3', '4', '2020', '2875', '124', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '38.66782615');
INSERT INTO public.ecdc_import VALUES (27694, '02/04/2020', '2', '4', '2020', '2987', '138', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '36.46192321');
INSERT INTO public.ecdc_import VALUES (27695, '01/04/2020', '1', '4', '2020', '3111', '141', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '34.29702668');
INSERT INTO public.ecdc_import VALUES (27696, '31/03/2020', '31', '3', '2020', '3186', '117', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '31.96569241');
INSERT INTO public.ecdc_import VALUES (27697, '30/03/2020', '30', '3', '2020', '2901', '123', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '29.39314404');
INSERT INTO public.ecdc_import VALUES (27698, '29/03/2020', '29', '3', '2020', '3076', '139', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '27.35247276');
INSERT INTO public.ecdc_import VALUES (27699, '28/03/2020', '28', '3', '2020', '2926', '144', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '25.28888615');
INSERT INTO public.ecdc_import VALUES (27700, '27/03/2020', '27', '3', '2020', '2389', '157', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '23.31454875');
INSERT INTO public.ecdc_import VALUES (27701, '26/03/2020', '26', '3', '2020', '2206', '143', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '21.72977211');
INSERT INTO public.ecdc_import VALUES (27702, '25/03/2020', '25', '3', '2020', '1762', '122', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '20.22459614');
INSERT INTO public.ecdc_import VALUES (27703, '24/03/2020', '24', '3', '2020', '1411', '127', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '19.16204803');
INSERT INTO public.ecdc_import VALUES (27704, '23/03/2020', '23', '3', '2020', '1028', '129', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '18.17789451');
INSERT INTO public.ecdc_import VALUES (27705, '22/03/2020', '22', '3', '2020', '966', '123', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '17.83416441');
INSERT INTO public.ecdc_import VALUES (27706, '21/03/2020', '21', '3', '2020', '1237', '149', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '17.96683217');
INSERT INTO public.ecdc_import VALUES (27707, '20/03/2020', '20', '3', '2020', '1046', '149', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '17.96321396');
INSERT INTO public.ecdc_import VALUES (27708, '19/03/2020', '19', '3', '2020', '1192', '147', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '17.41445188');
INSERT INTO public.ecdc_import VALUES (27709, '18/03/2020', '18', '3', '2020', '1178', '135', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '16.68357316');
INSERT INTO public.ecdc_import VALUES (27710, '17/03/2020', '17', '3', '2020', '1053', '129', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '16.26989098');
INSERT INTO public.ecdc_import VALUES (27711, '16/03/2020', '16', '3', '2020', '1209', '113', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '15.63067362');
INSERT INTO public.ecdc_import VALUES (27712, '15/03/2020', '15', '3', '2020', '1365', '97', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '14.63687153');
INSERT INTO public.ecdc_import VALUES (27713, '14/03/2020', '14', '3', '2020', '1289', '85', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '13.23782976');
INSERT INTO public.ecdc_import VALUES (27714, '13/03/2020', '13', '3', '2020', '1075', '75', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '11.85567297');
INSERT INTO public.ecdc_import VALUES (27715, '12/03/2020', '12', '3', '2020', '958', '63', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '10.68699066');
INSERT INTO public.ecdc_import VALUES (27716, '11/03/2020', '11', '3', '2020', '881', '54', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '9.58464223');
INSERT INTO public.ecdc_import VALUES (27717, '10/03/2020', '10', '3', '2020', '595', '43', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '8.56310052');
INSERT INTO public.ecdc_import VALUES (27718, '09/03/2020', '9', '3', '2020', '743', '49', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '7.86719784');
INSERT INTO public.ecdc_import VALUES (27719, '08/03/2020', '8', '3', '2020', '1076', '21', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '6.98917852');
INSERT INTO public.ecdc_import VALUES (27720, '07/03/2020', '7', '3', '2020', '1234', '17', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '5.70350737');
INSERT INTO public.ecdc_import VALUES (27721, '06/03/2020', '6', '3', '2020', '591', '15', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '4.2308953');
INSERT INTO public.ecdc_import VALUES (27722, '05/03/2020', '5', '3', '2020', '586', '15', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '3.52172585');
INSERT INTO public.ecdc_import VALUES (27723, '04/03/2020', '4', '3', '2020', '835', '11', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '2.81738068');
INSERT INTO public.ecdc_import VALUES (27724, '03/03/2020', '3', '3', '2020', '523', '12', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '1.81031181');
INSERT INTO public.ecdc_import VALUES (27725, '02/03/2020', '2', '3', '2020', '385', '11', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '1.17953694');
INSERT INTO public.ecdc_import VALUES (27726, '01/03/2020', '1', '3', '2020', '205', '9', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.7151998');
INSERT INTO public.ecdc_import VALUES (27727, '29/02/2020', '29', '2', '2020', '143', '8', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.46795535');
INSERT INTO public.ecdc_import VALUES (27728, '28/02/2020', '28', '2', '2020', '106', '7', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.29548727');
INSERT INTO public.ecdc_import VALUES (27729, '27/02/2020', '27', '2', '2020', '44', '4', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.1676438');
INSERT INTO public.ecdc_import VALUES (27730, '26/02/2020', '26', '2', '2020', '34', '3', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.1145767');
INSERT INTO public.ecdc_import VALUES (27731, '25/02/2020', '25', '2', '2020', '18', '4', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.0735703');
INSERT INTO public.ecdc_import VALUES (27732, '24/02/2020', '24', '2', '2020', '15', '3', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.05186103');
INSERT INTO public.ecdc_import VALUES (27733, '23/02/2020', '23', '2', '2020', '10', '1', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.03376997');
INSERT INTO public.ecdc_import VALUES (27734, '22/02/2020', '22', '2', '2020', '13', '2', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.02170927');
INSERT INTO public.ecdc_import VALUES (27735, '21/02/2020', '21', '2', '2020', '3', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.00603035');
INSERT INTO public.ecdc_import VALUES (27736, '20/02/2020', '20', '2', '2020', '2', '2', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0.00241214');
INSERT INTO public.ecdc_import VALUES (27737, '19/02/2020', '19', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27738, '18/02/2020', '18', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27739, '17/02/2020', '17', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27740, '16/02/2020', '16', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27741, '15/02/2020', '15', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27742, '14/02/2020', '14', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27743, '13/02/2020', '13', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27744, '12/02/2020', '12', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27745, '11/02/2020', '11', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27746, '10/02/2020', '10', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27747, '09/02/2020', '9', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27748, '08/02/2020', '8', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27749, '07/02/2020', '7', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27750, '06/02/2020', '6', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27751, '05/02/2020', '5', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27752, '04/02/2020', '4', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27753, '03/02/2020', '3', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27754, '02/02/2020', '2', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27755, '01/02/2020', '1', '2', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27756, '31/01/2020', '31', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27757, '30/01/2020', '30', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27758, '29/01/2020', '29', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27759, '28/01/2020', '28', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27760, '27/01/2020', '27', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27761, '26/01/2020', '26', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27762, '25/01/2020', '25', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27763, '24/01/2020', '24', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27764, '23/01/2020', '23', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27765, '22/01/2020', '22', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27766, '21/01/2020', '21', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27767, '20/01/2020', '20', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27768, '19/01/2020', '19', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27769, '18/01/2020', '18', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27770, '17/01/2020', '17', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27771, '16/01/2020', '16', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27772, '15/01/2020', '15', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27773, '14/01/2020', '14', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27774, '13/01/2020', '13', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (27775, '12/01/2020', '12', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27776, '11/01/2020', '11', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27777, '10/01/2020', '10', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27778, '09/01/2020', '9', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27779, '08/01/2020', '8', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27780, '07/01/2020', '7', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27781, '06/01/2020', '6', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27782, '05/01/2020', '5', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27783, '04/01/2020', '4', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27784, '03/01/2020', '3', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27785, '02/01/2020', '2', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27786, '01/01/2020', '1', '1', '2020', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27787, '31/12/2019', '31', '12', '2019', '0', '0', '82913893', 'Iran', 'IR', 'IRN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (27788, '14/12/2020', '14', '12', '2020', '1012', '14', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '61.55973007');
INSERT INTO public.ecdc_import VALUES (27789, '13/12/2020', '13', '12', '2020', '1022', '16', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '63.09115523');
INSERT INTO public.ecdc_import VALUES (27790, '12/12/2020', '12', '12', '2020', '1347', '23', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '64.57679027');
INSERT INTO public.ecdc_import VALUES (27791, '11/12/2020', '11', '12', '2020', '1380', '25', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '67.62437723');
INSERT INTO public.ecdc_import VALUES (27792, '10/12/2020', '10', '12', '2020', '1735', '24', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '70.43029409');
INSERT INTO public.ecdc_import VALUES (27793, '09/12/2020', '9', '12', '2020', '2123', '17', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '72.21865271');
INSERT INTO public.ecdc_import VALUES (27794, '08/12/2020', '8', '12', '2020', '1815', '28', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '72.64857107');
INSERT INTO public.ecdc_import VALUES (27795, '07/12/2020', '7', '12', '2020', '1680', '21', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '73.46516157');
INSERT INTO public.ecdc_import VALUES (27796, '06/12/2020', '6', '12', '2020', '1898', '24', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '73.68393659');
INSERT INTO public.ecdc_import VALUES (27797, '05/12/2020', '5', '12', '2020', '1855', '26', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '73.39902028');
INSERT INTO public.ecdc_import VALUES (27798, '04/12/2020', '4', '12', '2020', '2039', '21', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '75.14922047');
INSERT INTO public.ecdc_import VALUES (27799, '03/12/2020', '3', '12', '2020', '1961', '34', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '76.0014255');
INSERT INTO public.ecdc_import VALUES (27800, '02/12/2020', '2', '12', '2020', '2218', '48', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '76.988457');
INSERT INTO public.ecdc_import VALUES (27801, '01/12/2020', '1', '12', '2020', '2114', '34', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '78.87857144');
INSERT INTO public.ecdc_import VALUES (27802, '30/11/2020', '30', '11', '2020', '1614', '24', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '79.58068663');
INSERT INTO public.ecdc_import VALUES (27803, '29/11/2020', '29', '11', '2020', '1606', '33', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '81.1655336');
INSERT INTO public.ecdc_import VALUES (27804, '28/11/2020', '28', '11', '2020', '2545', '42', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '83.23372074');
INSERT INTO public.ecdc_import VALUES (27805, '27/11/2020', '27', '11', '2020', '2483', '39', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '83.60258561');
INSERT INTO public.ecdc_import VALUES (27806, '26/11/2020', '26', '11', '2020', '2438', '55', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '85.67586053');
INSERT INTO public.ecdc_import VALUES (27807, '25/11/2020', '25', '11', '2020', '2292', '35', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '87.6092212');
INSERT INTO public.ecdc_import VALUES (27808, '24/11/2020', '24', '11', '2020', '2136', '38', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '90.87812707');
INSERT INTO public.ecdc_import VALUES (27809, '23/11/2020', '23', '11', '2020', '1766', '33', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '93.54412968');
INSERT INTO public.ecdc_import VALUES (27810, '22/11/2020', '22', '11', '2020', '1786', '42', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '95.48766593');
INSERT INTO public.ecdc_import VALUES (27811, '21/11/2020', '21', '11', '2020', '2543', '49', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '98.27068774');
INSERT INTO public.ecdc_import VALUES (27812, '20/11/2020', '20', '11', '2020', '2374', '39', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '100.87818075');
INSERT INTO public.ecdc_import VALUES (27813, '19/11/2020', '19', '11', '2020', '2349', '43', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '104.25393024');
INSERT INTO public.ecdc_import VALUES (27814, '18/11/2020', '18', '11', '2020', '2961', '40', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '107.37020237');
INSERT INTO public.ecdc_import VALUES (27815, '17/11/2020', '17', '11', '2020', '2390', '42', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '108.98303219');
INSERT INTO public.ecdc_import VALUES (27816, '16/11/2020', '16', '11', '2020', '2237', '47', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '111.58543741');
INSERT INTO public.ecdc_import VALUES (27817, '15/11/2020', '15', '11', '2020', '2419', '43', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '112.65641746');
INSERT INTO public.ecdc_import VALUES (27818, '14/11/2020', '14', '11', '2020', '2690', '48', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '111.58289351');
INSERT INTO public.ecdc_import VALUES (27819, '13/11/2020', '13', '11', '2020', '3298', '50', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '112.06114589');
INSERT INTO public.ecdc_import VALUES (27820, '12/11/2020', '12', '11', '2020', '3198', '50', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '113.34835707');
INSERT INTO public.ecdc_import VALUES (27821, '11/11/2020', '11', '11', '2020', '3577', '52', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '115.49794887');
INSERT INTO public.ecdc_import VALUES (27822, '10/11/2020', '10', '11', '2020', '3184', '53', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '117.87140348');
INSERT INTO public.ecdc_import VALUES (27823, '09/11/2020', '9', '11', '2020', '2530', '44', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '119.16115856');
INSERT INTO public.ecdc_import VALUES (27824, '08/11/2020', '8', '11', '2020', '2880', '39', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '119.22221206');
INSERT INTO public.ecdc_import VALUES (27825, '07/11/2020', '7', '11', '2020', '3568', '69', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '120.04643424');
INSERT INTO public.ecdc_import VALUES (27826, '06/11/2020', '6', '11', '2020', '3701', '47', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '120.59845958');
INSERT INTO public.ecdc_import VALUES (27827, '05/11/2020', '5', '11', '2020', '3574', '60', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '121.10215092');
INSERT INTO public.ecdc_import VALUES (27828, '04/11/2020', '4', '11', '2020', '3595', '51', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '121.33873321');
INSERT INTO public.ecdc_import VALUES (27829, '03/11/2020', '3', '11', '2020', '3413', '51', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '122.16549929');
INSERT INTO public.ecdc_import VALUES (27830, '02/11/2020', '2', '11', '2020', '2658', '56', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '123.77069742');
INSERT INTO public.ecdc_import VALUES (27831, '01/11/2020', '1', '11', '2020', '1997', '48', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '124.92053824');
INSERT INTO public.ecdc_import VALUES (27832, '31/10/2020', '31', '10', '2020', '2878', '47', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '128.03426648');
INSERT INTO public.ecdc_import VALUES (27833, '30/10/2020', '30', '10', '2020', '3804', '45', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '129.61911345');
INSERT INTO public.ecdc_import VALUES (27834, '29/10/2020', '29', '10', '2020', '4043', '46', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '129.0670881');
INSERT INTO public.ecdc_import VALUES (27835, '28/10/2020', '28', '10', '2020', '4510', '53', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '128.59392351');
INSERT INTO public.ecdc_import VALUES (27836, '27/10/2020', '27', '10', '2020', '3691', '48', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '127.09556899');
INSERT INTO public.ecdc_import VALUES (27837, '26/10/2020', '26', '10', '2020', '2554', '55', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '125.60993395');
INSERT INTO public.ecdc_import VALUES (27838, '25/10/2020', '25', '10', '2020', '3204', '55', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '124.72465828');
INSERT INTO public.ecdc_import VALUES (27839, '24/10/2020', '24', '10', '2020', '3785', '48', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '122.53690805');
INSERT INTO public.ecdc_import VALUES (27840, '23/10/2020', '23', '10', '2020', '3899', '47', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '121.08434365');
INSERT INTO public.ecdc_import VALUES (27841, '22/10/2020', '22', '10', '2020', '3667', '52', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '120.125295');
INSERT INTO public.ecdc_import VALUES (27842, '21/10/2020', '21', '10', '2020', '3920', '49', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '120.77653228');
INSERT INTO public.ecdc_import VALUES (27843, '20/10/2020', '20', '10', '2020', '4044', '63', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '121.41759397');
INSERT INTO public.ecdc_import VALUES (27844, '19/10/2020', '19', '10', '2020', '3110', '56', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '120.81723461');
INSERT INTO public.ecdc_import VALUES (27845, '18/10/2020', '18', '10', '2020', '3221', '56', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '121.07162417');
INSERT INTO public.ecdc_import VALUES (27846, '17/10/2020', '17', '10', '2020', '3501', '56', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '122.21892109');
INSERT INTO public.ecdc_import VALUES (27847, '16/10/2020', '16', '10', '2020', '3587', '65', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '125.48528307');
INSERT INTO public.ecdc_import VALUES (27848, '15/10/2020', '15', '10', '2020', '3857', '51', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '127.7900525');
INSERT INTO public.ecdc_import VALUES (27849, '14/10/2020', '14', '10', '2020', '3921', '58', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '129.91166144');
INSERT INTO public.ecdc_import VALUES (27850, '13/10/2020', '13', '10', '2020', '3107', '60', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '131.95440963');
INSERT INTO public.ecdc_import VALUES (27851, '12/10/2020', '12', '10', '2020', '2206', '62', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '134.5212003');
INSERT INTO public.ecdc_import VALUES (27852, '11/10/2020', '11', '10', '2020', '2344', '55', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '137.76466722');
INSERT INTO public.ecdc_import VALUES (27853, '10/10/2020', '10', '10', '2020', '3214', '52', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '142.66421018');
INSERT INTO public.ecdc_import VALUES (27854, '09/10/2020', '9', '10', '2020', '3522', '79', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '146.17224224');
INSERT INTO public.ecdc_import VALUES (27855, '08/10/2020', '8', '10', '2020', '3923', '73', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '148.58639918');
INSERT INTO public.ecdc_import VALUES (27856, '07/10/2020', '7', '10', '2020', '4172', '67', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '151.46608902');
INSERT INTO public.ecdc_import VALUES (27857, '06/10/2020', '6', '10', '2020', '3808', '65', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '152.8703194');
INSERT INTO public.ecdc_import VALUES (27858, '05/10/2020', '5', '10', '2020', '3210', '52', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '152.90339004');
INSERT INTO public.ecdc_import VALUES (27859, '04/10/2020', '4', '10', '2020', '3672', '49', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '153.48339824');
INSERT INTO public.ecdc_import VALUES (27860, '03/10/2020', '3', '10', '2020', '4785', '67', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '154.08121371');
INSERT INTO public.ecdc_import VALUES (27861, '02/10/2020', '2', '10', '2020', '4493', '50', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '152.86014382');
INSERT INTO public.ecdc_import VALUES (27862, '01/10/2020', '1', '10', '2020', '4691', '59', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '152.43531325');
INSERT INTO public.ecdc_import VALUES (27863, '30/09/2020', '30', '9', '2020', '4724', '70', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '151.58565211');
INSERT INTO public.ecdc_import VALUES (27864, '29/09/2020', '29', '9', '2020', '4116', '62', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.3137043');
INSERT INTO public.ecdc_import VALUES (27865, '28/09/2020', '28', '9', '2020', '3481', '55', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.44853077');
INSERT INTO public.ecdc_import VALUES (27866, '27/09/2020', '27', '9', '2020', '4270', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.57572555');
INSERT INTO public.ecdc_import VALUES (27867, '26/09/2020', '26', '9', '2020', '4593', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.15852667');
INSERT INTO public.ecdc_import VALUES (27868, '25/09/2020', '25', '9', '2020', '4471', '45', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '149.29614606');
INSERT INTO public.ecdc_import VALUES (27869, '24/09/2020', '24', '9', '2020', '5055', '72', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '149.6166769');
INSERT INTO public.ecdc_import VALUES (27870, '23/09/2020', '23', '9', '2020', '4724', '57', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '147.55103366');
INSERT INTO public.ecdc_import VALUES (27871, '22/09/2020', '22', '9', '2020', '3821', '70', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '147.98349592');
INSERT INTO public.ecdc_import VALUES (27872, '21/09/2020', '21', '9', '2020', '3438', '64', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '149.23763646');
INSERT INTO public.ecdc_import VALUES (27873, '20/09/2020', '20', '9', '2020', '3907', '83', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '149.77948622');
INSERT INTO public.ecdc_import VALUES (27874, '19/09/2020', '19', '9', '2020', '4305', '76', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '151.65433729');
INSERT INTO public.ecdc_import VALUES (27875, '18/09/2020', '18', '9', '2020', '4326', '84', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '153.51392499');
INSERT INTO public.ecdc_import VALUES (27876, '17/09/2020', '17', '9', '2020', '4357', '82', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '154.60525621');
INSERT INTO public.ecdc_import VALUES (27877, '16/09/2020', '16', '9', '2020', '4224', '80', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '153.55971511');
INSERT INTO public.ecdc_import VALUES (27878, '15/09/2020', '15', '9', '2020', '4169', '72', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '151.47372071');
INSERT INTO public.ecdc_import VALUES (27879, '14/09/2020', '14', '9', '2020', '3531', '73', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.42563571');
INSERT INTO public.ecdc_import VALUES (27880, '13/09/2020', '13', '9', '2020', '4106', '60', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.93441483');
INSERT INTO public.ecdc_import VALUES (27881, '12/09/2020', '12', '9', '2020', '4254', '67', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.24247523');
INSERT INTO public.ecdc_import VALUES (27882, '11/09/2020', '11', '9', '2020', '4597', '82', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '150.04659526');
INSERT INTO public.ecdc_import VALUES (27883, '10/09/2020', '10', '9', '2020', '4243', '75', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '147.64007001');
INSERT INTO public.ecdc_import VALUES (27884, '09/09/2020', '9', '9', '2020', '4894', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '146.60724839');
INSERT INTO public.ecdc_import VALUES (27885, '08/09/2020', '8', '9', '2020', '4314', '77', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '144.23633767');
INSERT INTO public.ecdc_import VALUES (27886, '07/09/2020', '7', '9', '2020', '3651', '90', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '142.53192761');
INSERT INTO public.ecdc_import VALUES (27887, '06/09/2020', '6', '9', '2020', '4644', '63', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '141.61612518');
INSERT INTO public.ecdc_import VALUES (27888, '05/09/2020', '5', '9', '2020', '5036', '84', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '139.88882006');
INSERT INTO public.ecdc_import VALUES (27889, '04/09/2020', '4', '9', '2020', '4755', '74', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '137.98598614');
INSERT INTO public.ecdc_import VALUES (27890, '03/09/2020', '3', '9', '2020', '3946', '78', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '136.05262547');
INSERT INTO public.ecdc_import VALUES (27891, '02/09/2020', '2', '9', '2020', '3404', '81', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '136.42657812');
INSERT INTO public.ecdc_import VALUES (27892, '01/09/2020', '1', '9', '2020', '3757', '83', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '139.40802379');
INSERT INTO public.ecdc_import VALUES (27893, '31/08/2020', '31', '8', '2020', '3731', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '137.99616172');
INSERT INTO public.ecdc_import VALUES (27894, '30/08/2020', '30', '8', '2020', '3834', '77', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '139.56574532');
INSERT INTO public.ecdc_import VALUES (27895, '29/08/2020', '29', '8', '2020', '4177', '74', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '140.7333934');
INSERT INTO public.ecdc_import VALUES (27896, '28/08/2020', '28', '8', '2020', '3651', '72', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '140.31619452');
INSERT INTO public.ecdc_import VALUES (27897, '27/08/2020', '27', '8', '2020', '3837', '72', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '140.79953469');
INSERT INTO public.ecdc_import VALUES (27898, '26/08/2020', '26', '8', '2020', '3962', '77', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '139.79215203');
INSERT INTO public.ecdc_import VALUES (27899, '25/08/2020', '25', '8', '2020', '3644', '91', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '138.35230711');
INSERT INTO public.ecdc_import VALUES (27900, '24/08/2020', '24', '8', '2020', '3291', '75', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '137.94528381');
INSERT INTO public.ecdc_import VALUES (27901, '23/08/2020', '23', '8', '2020', '3965', '70', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '136.50798278');
INSERT INTO public.ecdc_import VALUES (27902, '22/08/2020', '22', '8', '2020', '4288', '75', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '134.87988959');
INSERT INTO public.ecdc_import VALUES (27903, '21/08/2020', '21', '8', '2020', '3995', '87', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '132.77608791');
INSERT INTO public.ecdc_import VALUES (27904, '20/08/2020', '20', '8', '2020', '4093', '85', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '130.36447486');
INSERT INTO public.ecdc_import VALUES (27905, '19/08/2020', '19', '8', '2020', '4576', '82', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '127.16171028');
INSERT INTO public.ecdc_import VALUES (27906, '18/08/2020', '18', '8', '2020', '3202', '94', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '122.7353319');
INSERT INTO public.ecdc_import VALUES (27907, '17/08/2020', '17', '8', '2020', '4348', '75', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '121.54733265');
INSERT INTO public.ecdc_import VALUES (27908, '16/08/2020', '16', '8', '2020', '4293', '76', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '116.71138708');
INSERT INTO public.ecdc_import VALUES (27909, '15/08/2020', '15', '8', '2020', '4013', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '111.11990451');
INSERT INTO public.ecdc_import VALUES (27910, '14/08/2020', '14', '8', '2020', '3841', '53', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '109.42312613');
INSERT INTO public.ecdc_import VALUES (27911, '13/08/2020', '13', '8', '2020', '3441', '57', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '107.18958578');
INSERT INTO public.ecdc_import VALUES (27912, '12/08/2020', '12', '8', '2020', '3396', '67', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '105.98632315');
INSERT INTO public.ecdc_import VALUES (27913, '11/08/2020', '11', '8', '2020', '3484', '72', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '104.3353349');
INSERT INTO public.ecdc_import VALUES (27914, '10/08/2020', '10', '8', '2020', '2726', '82', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '101.96696808');
INSERT INTO public.ecdc_import VALUES (27915, '09/08/2020', '9', '8', '2020', '3325', '74', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '101.28774794');
INSERT INTO public.ecdc_import VALUES (27916, '08/08/2020', '8', '8', '2020', '3461', '75', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '100.10992427');
INSERT INTO public.ecdc_import VALUES (27917, '07/08/2020', '7', '8', '2020', '3047', '67', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '97.62708215');
INSERT INTO public.ecdc_import VALUES (27918, '06/08/2020', '6', '8', '2020', '2834', '77', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '95.88196976');
INSERT INTO public.ecdc_import VALUES (27919, '05/08/2020', '5', '8', '2020', '2836', '83', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '95.55635112');
INSERT INTO public.ecdc_import VALUES (27920, '04/08/2020', '4', '8', '2020', '2735', '66', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '94.61510974');
INSERT INTO public.ecdc_import VALUES (27921, '03/08/2020', '3', '8', '2020', '2447', '63', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '93.16000144');
INSERT INTO public.ecdc_import VALUES (27922, '02/08/2020', '2', '8', '2020', '2095', '64', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '92.81148774');
INSERT INTO public.ecdc_import VALUES (27923, '01/08/2020', '1', '8', '2020', '3346', '70', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '92.69446855');
INSERT INTO public.ecdc_import VALUES (27924, '31/07/2020', '31', '7', '2020', '2963', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '89.32889464');
INSERT INTO public.ecdc_import VALUES (27925, '30/07/2020', '30', '7', '2020', '2968', '68', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '87.59395783');
INSERT INTO public.ecdc_import VALUES (27926, '29/07/2020', '29', '7', '2020', '2747', '77', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '85.41129539');
INSERT INTO public.ecdc_import VALUES (27927, '28/07/2020', '28', '7', '2020', '2553', '96', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '83.56697107');
INSERT INTO public.ecdc_import VALUES (27928, '27/07/2020', '27', '7', '2020', '2459', '78', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.74274889');
INSERT INTO public.ecdc_import VALUES (27929, '26/07/2020', '26', '7', '2020', '2862', '72', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.36879623');
INSERT INTO public.ecdc_import VALUES (27930, '25/07/2020', '25', '7', '2020', '2485', '90', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.04317759');
INSERT INTO public.ecdc_import VALUES (27931, '24/07/2020', '24', '7', '2020', '2361', '80', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.9666117');
INSERT INTO public.ecdc_import VALUES (27932, '23/07/2020', '23', '7', '2020', '2706', '92', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.48072764');
INSERT INTO public.ecdc_import VALUES (27933, '22/07/2020', '22', '7', '2020', '2466', '81', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.56976398');
INSERT INTO public.ecdc_import VALUES (27934, '21/07/2020', '21', '7', '2020', '2163', '88', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.46800816');
INSERT INTO public.ecdc_import VALUES (27935, '20/07/2020', '20', '7', '2020', '2310', '90', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '81.53439847');
INSERT INTO public.ecdc_import VALUES (27936, '19/07/2020', '19', '7', '2020', '2049', '75', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '81.06377778');
INSERT INTO public.ecdc_import VALUES (27937, '18/07/2020', '18', '7', '2020', '2023', '94', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '81.78878803');
INSERT INTO public.ecdc_import VALUES (27938, '17/07/2020', '17', '7', '2020', '2281', '90', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.52397386');
INSERT INTO public.ecdc_import VALUES (27939, '16/07/2020', '16', '7', '2020', '2110', '87', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.27721599');
INSERT INTO public.ecdc_import VALUES (27940, '15/07/2020', '15', '7', '2020', '2022', '95', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '83.05310415');
INSERT INTO public.ecdc_import VALUES (27941, '14/07/2020', '14', '7', '2020', '2229', '100', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '82.89029483');
INSERT INTO public.ecdc_import VALUES (27942, '13/07/2020', '13', '7', '2020', '2312', '95', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '81.66922494');
INSERT INTO public.ecdc_import VALUES (27943, '12/07/2020', '12', '7', '2020', '2734', '95', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '81.23167489');
INSERT INTO public.ecdc_import VALUES (27944, '11/07/2020', '11', '7', '2020', '2848', '78', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '79.5399843');
INSERT INTO public.ecdc_import VALUES (27945, '10/07/2020', '10', '7', '2020', '2170', '103', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '77.52013118');
INSERT INTO public.ecdc_import VALUES (27946, '09/07/2020', '9', '7', '2020', '2741', '94', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '78.19935131');
INSERT INTO public.ecdc_import VALUES (27947, '08/07/2020', '8', '7', '2020', '2426', '118', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '76.82310378');
INSERT INTO public.ecdc_import VALUES (27948, '07/07/2020', '7', '7', '2020', '1796', '94', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '75.29676641');
INSERT INTO public.ecdc_import VALUES (27949, '06/07/2020', '6', '7', '2020', '2125', '105', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '75.32729316');
INSERT INTO public.ecdc_import VALUES (27950, '05/07/2020', '5', '7', '2020', '2334', '106', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '74.10876716');
INSERT INTO public.ecdc_import VALUES (27951, '04/07/2020', '4', '7', '2020', '2312', '102', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '72.92839959');
INSERT INTO public.ecdc_import VALUES (27952, '03/07/2020', '3', '7', '2020', '2184', '110', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '71.20618226');
INSERT INTO public.ecdc_import VALUES (27953, '02/07/2020', '2', '7', '2020', '2415', '107', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '69.37203352');
INSERT INTO public.ecdc_import VALUES (27954, '01/07/2020', '1', '7', '2020', '1958', '104', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '67.18173939');
INSERT INTO public.ecdc_import VALUES (27955, '30/06/2020', '30', '6', '2020', '1749', '83', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '65.7240872');
INSERT INTO public.ecdc_import VALUES (27956, '29/06/2020', '29', '6', '2020', '2140', '96', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '64.08836232');
INSERT INTO public.ecdc_import VALUES (27957, '28/06/2020', '28', '6', '2020', '2069', '101', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '61.84719028');
INSERT INTO public.ecdc_import VALUES (27958, '27/06/2020', '27', '6', '2020', '2054', '122', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '59.58566707');
INSERT INTO public.ecdc_import VALUES (27959, '26/06/2020', '26', '6', '2020', '2437', '107', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '57.14607117');
INSERT INTO public.ecdc_import VALUES (27960, '25/06/2020', '25', '6', '2020', '2200', '79', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '54.15444993');
INSERT INTO public.ecdc_import VALUES (27961, '24/06/2020', '24', '6', '2020', '1826', '84', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '51.47318394');
INSERT INTO public.ecdc_import VALUES (27962, '23/06/2020', '23', '6', '2020', '1808', '67', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '48.8300764');
INSERT INTO public.ecdc_import VALUES (27963, '22/06/2020', '22', '6', '2020', '1646', '87', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '47.06715673');
INSERT INTO public.ecdc_import VALUES (27964, '21/06/2020', '21', '6', '2020', '1870', '88', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '46.10556419');
INSERT INTO public.ecdc_import VALUES (27965, '20/06/2020', '20', '6', '2020', '1635', '69', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '44.5334367');
INSERT INTO public.ecdc_import VALUES (27966, '19/06/2020', '19', '6', '2020', '1463', '83', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '42.93332635');
INSERT INTO public.ecdc_import VALUES (27967, '18/06/2020', '18', '6', '2020', '1554', '61', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '40.92110492');
INSERT INTO public.ecdc_import VALUES (27968, '17/06/2020', '17', '6', '2020', '1385', '60', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '38.95467361');
INSERT INTO public.ecdc_import VALUES (27969, '16/06/2020', '16', '6', '2020', '1106', '45', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '36.75166');
INSERT INTO public.ecdc_import VALUES (27970, '15/06/2020', '15', '6', '2020', '1259', '58', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '35.02944267');
INSERT INTO public.ecdc_import VALUES (27971, '14/06/2020', '14', '6', '2020', '1180', '53', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '32.48809094');
INSERT INTO public.ecdc_import VALUES (27972, '13/06/2020', '13', '6', '2020', '1095', '39', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '30.26472617');
INSERT INTO public.ecdc_import VALUES (27973, '12/06/2020', '12', '6', '2020', '1261', '31', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '28.53742105');
INSERT INTO public.ecdc_import VALUES (27974, '11/06/2020', '11', '6', '2020', '1146', '34', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '26.14870306');
INSERT INTO public.ecdc_import VALUES (27975, '10/06/2020', '10', '6', '2020', '787', '22', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '23.96349673');
INSERT INTO public.ecdc_import VALUES (27976, '09/06/2020', '9', '6', '2020', '1115', '24', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '22.51093233');
INSERT INTO public.ecdc_import VALUES (27977, '08/06/2020', '8', '6', '2020', '1268', '28', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '20.0891437');
INSERT INTO public.ecdc_import VALUES (27978, '07/06/2020', '7', '6', '2020', '1252', '33', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '17.36463149');
INSERT INTO public.ecdc_import VALUES (27979, '06/06/2020', '6', '6', '2020', '1006', '14', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '14.96319403');
INSERT INTO public.ecdc_import VALUES (27980, '05/06/2020', '5', '6', '2020', '672', '15', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '12.62535395');
INSERT INTO public.ecdc_import VALUES (27981, '04/06/2020', '4', '6', '2020', '781', '21', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '11.30507213');
INSERT INTO public.ecdc_import VALUES (27982, '03/06/2020', '3', '6', '2020', '519', '20', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '9.60574986');
INSERT INTO public.ecdc_import VALUES (27983, '02/06/2020', '2', '6', '2020', '429', '10', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '8.43047008');
INSERT INTO public.ecdc_import VALUES (27984, '01/06/2020', '1', '6', '2020', '260', '10', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '7.7207232');
INSERT INTO public.ecdc_import VALUES (27985, '31/05/2020', '31', '5', '2020', '306', '10', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '7.42563131');
INSERT INTO public.ecdc_import VALUES (27986, '30/05/2020', '30', '5', '2020', '416', '6', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '6.81764026');
INSERT INTO public.ecdc_import VALUES (27987, '29/05/2020', '29', '5', '2020', '322', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '5.88657446');
INSERT INTO public.ecdc_import VALUES (27988, '28/05/2020', '28', '5', '2020', '287', '6', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '5.34981249');
INSERT INTO public.ecdc_import VALUES (27989, '27/05/2020', '27', '5', '2020', '216', '6', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '4.92243802');
INSERT INTO public.ecdc_import VALUES (27990, '26/05/2020', '26', '5', '2020', '163', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '4.61462665');
INSERT INTO public.ecdc_import VALUES (27991, '25/05/2020', '25', '5', '2020', '197', '8', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '4.32971034');
INSERT INTO public.ecdc_import VALUES (27992, '24/05/2020', '24', '5', '2020', '308', '5', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '4.05242572');
INSERT INTO public.ecdc_import VALUES (27993, '23/05/2020', '23', '5', '2020', '87', '7', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '3.46224194');
INSERT INTO public.ecdc_import VALUES (27994, '22/05/2020', '22', '5', '2020', '153', '6', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '3.39355676');
INSERT INTO public.ecdc_import VALUES (27995, '21/05/2020', '21', '5', '2020', '113', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '3.16460615');
INSERT INTO public.ecdc_import VALUES (27996, '20/05/2020', '20', '5', '2020', '57', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '3.00179683');
INSERT INTO public.ecdc_import VALUES (27997, '19/05/2020', '19', '5', '2020', '150', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '3.07302591');
INSERT INTO public.ecdc_import VALUES (27998, '18/05/2020', '18', '5', '2020', '144', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.81863635');
INSERT INTO public.ecdc_import VALUES (27999, '17/05/2020', '17', '5', '2020', '67', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.64819534');
INSERT INTO public.ecdc_import VALUES (28000, '16/05/2020', '16', '5', '2020', '50', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.64565144');
INSERT INTO public.ecdc_import VALUES (28001, '15/05/2020', '15', '5', '2020', '111', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.69144156');
INSERT INTO public.ecdc_import VALUES (28002, '14/05/2020', '14', '5', '2020', '119', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.61766859');
INSERT INTO public.ecdc_import VALUES (28003, '13/05/2020', '13', '5', '2020', '95', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.71179273');
INSERT INTO public.ecdc_import VALUES (28004, '12/05/2020', '12', '5', '2020', '51', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.47012265');
INSERT INTO public.ecdc_import VALUES (28005, '11/05/2020', '11', '5', '2020', '88', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.40906915');
INSERT INTO public.ecdc_import VALUES (28006, '10/05/2020', '10', '5', '2020', '76', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.33020839');
INSERT INTO public.ecdc_import VALUES (28007, '09/05/2020', '9', '5', '2020', '60', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.27678658');
INSERT INTO public.ecdc_import VALUES (28008, '08/05/2020', '8', '5', '2020', '63', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.20301361');
INSERT INTO public.ecdc_import VALUES (28009, '07/05/2020', '7', '5', '2020', '49', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.23354035');
INSERT INTO public.ecdc_import VALUES (28010, '06/05/2020', '6', '5', '2020', '85', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.10888947');
INSERT INTO public.ecdc_import VALUES (28011, '05/05/2020', '5', '5', '2020', '50', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.96388742');
INSERT INTO public.ecdc_import VALUES (28012, '04/05/2020', '4', '5', '2020', '77', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.92572898');
INSERT INTO public.ecdc_import VALUES (28013, '03/05/2020', '3', '5', '2020', '66', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.87485107');
INSERT INTO public.ecdc_import VALUES (28014, '02/05/2020', '2', '5', '2020', '68', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.70695396');
INSERT INTO public.ecdc_import VALUES (28015, '01/05/2020', '1', '5', '2020', '82', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.65607605');
INSERT INTO public.ecdc_import VALUES (28016, '30/04/2020', '30', '4', '2020', '156', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.49581062');
INSERT INTO public.ecdc_import VALUES (28017, '29/04/2020', '29', '4', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.13712134');
INSERT INTO public.ecdc_import VALUES (28018, '28/04/2020', '28', '4', '2020', '27', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.19308705');
INSERT INTO public.ecdc_import VALUES (28019, '27/04/2020', '27', '4', '2020', '57', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.19054315');
INSERT INTO public.ecdc_import VALUES (28020, '26/04/2020', '26', '4', '2020', '55', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.13203355');
INSERT INTO public.ecdc_import VALUES (28021, '25/04/2020', '25', '4', '2020', '31', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.09133122');
INSERT INTO public.ecdc_import VALUES (28022, '24/04/2020', '24', '4', '2020', '75', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.13203355');
INSERT INTO public.ecdc_import VALUES (28023, '23/04/2020', '23', '4', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.01755825');
INSERT INTO public.ecdc_import VALUES (28024, '22/04/2020', '22', '4', '2020', '28', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.4525644');
INSERT INTO public.ecdc_import VALUES (28025, '21/04/2020', '21', '4', '2020', '35', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.38133532');
INSERT INTO public.ecdc_import VALUES (28026, '20/04/2020', '20', '4', '2020', '57', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.47037167');
INSERT INTO public.ecdc_import VALUES (28027, '19/04/2020', '19', '4', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.53651295');
INSERT INTO public.ecdc_import VALUES (28028, '18/04/2020', '18', '4', '2020', '48', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.80616589');
INSERT INTO public.ecdc_import VALUES (28029, '17/04/2020', '17', '4', '2020', '19', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.6840589');
INSERT INTO public.ecdc_import VALUES (28030, '16/04/2020', '16', '4', '2020', '15', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.83414874');
INSERT INTO public.ecdc_import VALUES (28031, '15/04/2020', '15', '4', '2020', '22', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.79599031');
INSERT INTO public.ecdc_import VALUES (28032, '14/04/2020', '14', '4', '2020', '26', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.90283392');
INSERT INTO public.ecdc_import VALUES (28033, '13/04/2020', '13', '4', '2020', '34', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.04783597');
INSERT INTO public.ecdc_import VALUES (28034, '12/04/2020', '12', '4', '2020', '39', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.06564324');
INSERT INTO public.ecdc_import VALUES (28035, '11/04/2020', '11', '4', '2020', '47', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.0885383');
INSERT INTO public.ecdc_import VALUES (28036, '10/04/2020', '10', '4', '2020', '30', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.16231128');
INSERT INTO public.ecdc_import VALUES (28037, '09/04/2020', '9', '4', '2020', '171', '5', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '2.17757465');
INSERT INTO public.ecdc_import VALUES (28038, '08/04/2020', '8', '4', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.81888537');
INSERT INTO public.ecdc_import VALUES (28039, '07/04/2020', '7', '4', '2020', '70', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.94608015');
INSERT INTO public.ecdc_import VALUES (28040, '06/04/2020', '6', '4', '2020', '83', '5', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.85195601');
INSERT INTO public.ecdc_import VALUES (28041, '05/04/2020', '5', '4', '2020', '106', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.68914669');
INSERT INTO public.ecdc_import VALUES (28042, '04/04/2020', '4', '4', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.47291556');
INSERT INTO public.ecdc_import VALUES (28043, '03/04/2020', '3', '4', '2020', '78', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.51361789');
INSERT INTO public.ecdc_import VALUES (28044, '02/04/2020', '2', '4', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.34826468');
INSERT INTO public.ecdc_import VALUES (28045, '01/04/2020', '1', '4', '2020', '64', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.37370363');
INSERT INTO public.ecdc_import VALUES (28046, '31/03/2020', '31', '3', '2020', '83', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.28721118');
INSERT INTO public.ecdc_import VALUES (28047, '30/03/2020', '30', '3', '2020', '41', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.07606785');
INSERT INTO public.ecdc_import VALUES (28048, '29/03/2020', '29', '3', '2020', '48', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '1.07098006');
INSERT INTO public.ecdc_import VALUES (28049, '28/03/2020', '28', '3', '2020', '76', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.94887307');
INSERT INTO public.ecdc_import VALUES (28050, '27/03/2020', '27', '3', '2020', '36', '7', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.78351985');
INSERT INTO public.ecdc_import VALUES (28051, '26/03/2020', '26', '3', '2020', '30', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.70211519');
INSERT INTO public.ecdc_import VALUES (28052, '25/03/2020', '25', '3', '2020', '50', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.64869338');
INSERT INTO public.ecdc_import VALUES (28053, '24/03/2020', '24', '3', '2020', '33', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.5214986');
INSERT INTO public.ecdc_import VALUES (28054, '23/03/2020', '23', '3', '2020', '19', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.45535732');
INSERT INTO public.ecdc_import VALUES (28055, '22/03/2020', '22', '3', '2020', '21', '3', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.44772563');
INSERT INTO public.ecdc_import VALUES (28056, '21/03/2020', '21', '3', '2020', '16', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.41211109');
INSERT INTO public.ecdc_import VALUES (28057, '20/03/2020', '20', '3', '2020', '13', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.38412824');
INSERT INTO public.ecdc_import VALUES (28058, '19/03/2020', '19', '3', '2020', '10', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.36377707');
INSERT INTO public.ecdc_import VALUES (28059, '18/03/2020', '18', '3', '2020', '30', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.34342591');
INSERT INTO public.ecdc_import VALUES (28060, '17/03/2020', '17', '3', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.28237241');
INSERT INTO public.ecdc_import VALUES (28061, '16/03/2020', '16', '3', '2020', '39', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.29763579');
INSERT INTO public.ecdc_import VALUES (28062, '15/03/2020', '15', '3', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.20096775');
INSERT INTO public.ecdc_import VALUES (28063, '14/03/2020', '14', '3', '2020', '11', '1', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.20351165');
INSERT INTO public.ecdc_import VALUES (28064, '13/03/2020', '13', '3', '2020', '4', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.1755288');
INSERT INTO public.ecdc_import VALUES (28065, '12/03/2020', '12', '3', '2020', '9', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.1755288');
INSERT INTO public.ecdc_import VALUES (28066, '11/03/2020', '11', '3', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.15517763');
INSERT INTO public.ecdc_import VALUES (28067, '09/03/2020', '9', '3', '2020', '7', '4', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.15517763');
INSERT INTO public.ecdc_import VALUES (28068, '08/03/2020', '8', '3', '2020', '16', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.13737036');
INSERT INTO public.ecdc_import VALUES (28069, '06/03/2020', '6', '3', '2020', '7', '2', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.09666803');
INSERT INTO public.ecdc_import VALUES (28070, '05/03/2020', '5', '3', '2020', '5', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.07886076');
INSERT INTO public.ecdc_import VALUES (28071, '04/03/2020', '4', '3', '2020', '5', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.06614129');
INSERT INTO public.ecdc_import VALUES (28072, '03/03/2020', '3', '3', '2020', '2', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.05342181');
INSERT INTO public.ecdc_import VALUES (28073, '02/03/2020', '2', '3', '2020', '6', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.04833402');
INSERT INTO public.ecdc_import VALUES (28074, '01/03/2020', '1', '3', '2020', '6', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.03307064');
INSERT INTO public.ecdc_import VALUES (28075, '29/02/2020', '29', '2', '2020', '1', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.01780727');
INSERT INTO public.ecdc_import VALUES (28076, '28/02/2020', '28', '2', '2020', '1', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.01526337');
INSERT INTO public.ecdc_import VALUES (28077, '27/02/2020', '27', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.01271948');
INSERT INTO public.ecdc_import VALUES (28078, '26/02/2020', '26', '2', '2020', '4', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.01271948');
INSERT INTO public.ecdc_import VALUES (28079, '25/02/2020', '25', '2', '2020', '1', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0.0025439');
INSERT INTO public.ecdc_import VALUES (28080, '24/02/2020', '24', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28081, '23/02/2020', '23', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28082, '22/02/2020', '22', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28083, '21/02/2020', '21', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28084, '20/02/2020', '20', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28085, '19/02/2020', '19', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28086, '18/02/2020', '18', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28087, '17/02/2020', '17', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28088, '16/02/2020', '16', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28089, '15/02/2020', '15', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28090, '14/02/2020', '14', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28091, '13/02/2020', '13', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28092, '12/02/2020', '12', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28093, '11/02/2020', '11', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28094, '10/02/2020', '10', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28095, '09/02/2020', '9', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28096, '08/02/2020', '8', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28097, '07/02/2020', '7', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28098, '06/02/2020', '6', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28099, '05/02/2020', '5', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28100, '04/02/2020', '4', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28101, '03/02/2020', '3', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28102, '02/02/2020', '2', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28103, '01/02/2020', '1', '2', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28104, '31/01/2020', '31', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28105, '30/01/2020', '30', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28106, '29/01/2020', '29', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28107, '28/01/2020', '28', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28108, '27/01/2020', '27', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28109, '26/01/2020', '26', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28110, '25/01/2020', '25', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28111, '24/01/2020', '24', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28112, '23/01/2020', '23', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28113, '22/01/2020', '22', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28114, '21/01/2020', '21', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28115, '20/01/2020', '20', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28116, '19/01/2020', '19', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28117, '18/01/2020', '18', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28118, '17/01/2020', '17', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28119, '16/01/2020', '16', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28120, '15/01/2020', '15', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28121, '14/01/2020', '14', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28122, '13/01/2020', '13', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (28123, '12/01/2020', '12', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28124, '11/01/2020', '11', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28125, '10/01/2020', '10', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28126, '09/01/2020', '9', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28127, '08/01/2020', '8', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28128, '07/01/2020', '7', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28129, '06/01/2020', '6', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28130, '05/01/2020', '5', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28131, '04/01/2020', '4', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28132, '03/01/2020', '3', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28133, '02/01/2020', '2', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28134, '01/01/2020', '1', '1', '2020', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28135, '31/12/2019', '31', '12', '2019', '0', '0', '39309789', 'Iraq', 'IQ', 'IRQ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (28136, '14/12/2020', '14', '12', '2020', '429', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '80.42020782');
INSERT INTO public.ecdc_import VALUES (28137, '13/12/2020', '13', '12', '2020', '249', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '77.76944032');
INSERT INTO public.ecdc_import VALUES (28138, '12/12/2020', '12', '12', '2020', '304', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '77.64709721');
INSERT INTO public.ecdc_import VALUES (28139, '11/12/2020', '11', '12', '2020', '303', '15', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '75.6284358');
INSERT INTO public.ecdc_import VALUES (28140, '10/12/2020', '10', '12', '2020', '218', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '75.70999788');
INSERT INTO public.ecdc_import VALUES (28141, '09/12/2020', '9', '12', '2020', '214', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '76.50522813');
INSERT INTO public.ecdc_import VALUES (28142, '08/12/2020', '8', '12', '2020', '222', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '76.60718073');
INSERT INTO public.ecdc_import VALUES (28143, '07/12/2020', '7', '12', '2020', '298', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '77.17811526');
INSERT INTO public.ecdc_import VALUES (28144, '06/12/2020', '6', '12', '2020', '457', '11', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '77.58592565');
INSERT INTO public.ecdc_import VALUES (28145, '05/12/2020', '5', '12', '2020', '263', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '75.22062542');
INSERT INTO public.ecdc_import VALUES (28146, '04/12/2020', '4', '12', '2020', '162', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '76.56639969');
INSERT INTO public.ecdc_import VALUES (28147, '03/12/2020', '3', '12', '2020', '268', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '81.72520105');
INSERT INTO public.ecdc_import VALUES (28148, '02/12/2020', '2', '12', '2020', '254', '16', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '83.84581505');
INSERT INTO public.ecdc_import VALUES (28149, '01/12/2020', '1', '12', '2020', '303', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '85.39549451');
INSERT INTO public.ecdc_import VALUES (28150, '30/11/2020', '30', '11', '2020', '299', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '88.45407239');
INSERT INTO public.ecdc_import VALUES (28151, '29/11/2020', '29', '11', '2020', '243', '7', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '90.04453289');
INSERT INTO public.ecdc_import VALUES (28152, '28/11/2020', '28', '11', '2020', '205', '7', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '93.79638843');
INSERT INTO public.ecdc_import VALUES (28153, '27/11/2020', '27', '11', '2020', '307', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '99.13870447');
INSERT INTO public.ecdc_import VALUES (28154, '26/11/2020', '26', '11', '2020', '257', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '100.72916497');
INSERT INTO public.ecdc_import VALUES (28155, '25/11/2020', '25', '11', '2020', '219', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '102.78860741');
INSERT INTO public.ecdc_import VALUES (28156, '24/11/2020', '24', '11', '2020', '250', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '103.01290312');
INSERT INTO public.ecdc_import VALUES (28157, '23/11/2020', '23', '11', '2020', '318', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '103.31876091');
INSERT INTO public.ecdc_import VALUES (28158, '22/11/2020', '22', '11', '2020', '341', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '107.82506566');
INSERT INTO public.ecdc_import VALUES (28159, '21/11/2020', '21', '11', '2020', '329', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '107.3356932');
INSERT INTO public.ecdc_import VALUES (28160, '20/11/2020', '20', '11', '2020', '415', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '110.65934783');
INSERT INTO public.ecdc_import VALUES (28161, '19/11/2020', '19', '11', '2020', '372', '11', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '113.67714467');
INSERT INTO public.ecdc_import VALUES (28162, '18/11/2020', '18', '11', '2020', '330', '11', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '114.96174739');
INSERT INTO public.ecdc_import VALUES (28163, '17/11/2020', '17', '11', '2020', '453', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '114.30925077');
INSERT INTO public.ecdc_import VALUES (28164, '16/11/2020', '16', '11', '2020', '377', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '120.32445394');
INSERT INTO public.ecdc_import VALUES (28165, '15/11/2020', '15', '11', '2020', '427', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '123.77045169');
INSERT INTO public.ecdc_import VALUES (28166, '14/11/2020', '14', '11', '2020', '467', '7', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '123.15873611');
INSERT INTO public.ecdc_import VALUES (28167, '13/11/2020', '13', '11', '2020', '385', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '129.17393929');
INSERT INTO public.ecdc_import VALUES (28168, '12/11/2020', '12', '11', '2020', '358', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '138.92060747');
INSERT INTO public.ecdc_import VALUES (28169, '11/11/2020', '11', '11', '2020', '230', '15', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '145.22127791');
INSERT INTO public.ecdc_import VALUES (28170, '10/11/2020', '10', '11', '2020', '265', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '154.80482195');
INSERT INTO public.ecdc_import VALUES (28171, '09/11/2020', '9', '11', '2020', '539', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '168.54803191');
INSERT INTO public.ecdc_import VALUES (28172, '08/11/2020', '8', '11', '2020', '317', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '178.35587165');
INSERT INTO public.ecdc_import VALUES (28173, '07/11/2020', '7', '11', '2020', '492', '7', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '189.16284684');
INSERT INTO public.ecdc_import VALUES (28174, '06/11/2020', '6', '11', '2020', '563', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '195.13726898');
INSERT INTO public.ecdc_import VALUES (28175, '05/11/2020', '5', '11', '2020', '435', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '205.14901391');
INSERT INTO public.ecdc_import VALUES (28176, '04/11/2020', '4', '11', '2020', '298', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '220.05448347');
INSERT INTO public.ecdc_import VALUES (28177, '03/11/2020', '3', '11', '2020', '748', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '239.73133452');
INSERT INTO public.ecdc_import VALUES (28178, '02/11/2020', '2', '11', '2020', '546', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '245.50185146');
INSERT INTO public.ecdc_import VALUES (28179, '01/11/2020', '1', '11', '2020', '397', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '260.55005465');
INSERT INTO public.ecdc_import VALUES (28180, '31/10/2020', '31', '10', '2020', '762', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '277.96355806');
INSERT INTO public.ecdc_import VALUES (28181, '30/10/2020', '30', '10', '2020', '863', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '282.7757206');
INSERT INTO public.ecdc_import VALUES (28182, '29/10/2020', '29', '10', '2020', '667', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '289.36185831');
INSERT INTO public.ecdc_import VALUES (28183, '28/10/2020', '28', '10', '2020', '700', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '297.86470483');
INSERT INTO public.ecdc_import VALUES (28184, '27/10/2020', '27', '10', '2020', '939', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '300.0668809');
INSERT INTO public.ecdc_import VALUES (28185, '26/10/2020', '26', '10', '2020', '1020', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '297.70158067');
INSERT INTO public.ecdc_import VALUES (28186, '25/10/2020', '25', '10', '2020', '847', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '293.50113371');
INSERT INTO public.ecdc_import VALUES (28187, '24/10/2020', '24', '10', '2020', '785', '7', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '296.84517887');
INSERT INTO public.ecdc_import VALUES (28188, '23/10/2020', '23', '10', '2020', '1054', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '293.41957164');
INSERT INTO public.ecdc_import VALUES (28189, '22/10/2020', '22', '10', '2020', '1166', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '282.16400502');
INSERT INTO public.ecdc_import VALUES (28190, '21/10/2020', '21', '10', '2020', '1263', '13', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '270.80648582');
INSERT INTO public.ecdc_import VALUES (28191, '20/10/2020', '20', '10', '2020', '1031', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '253.69884019');
INSERT INTO public.ecdc_import VALUES (28270, '02/08/2020', '2', '8', '2020', '44', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '7.3201964');
INSERT INTO public.ecdc_import VALUES (28192, '19/10/2020', '19', '10', '2020', '1284', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '243.25889434');
INSERT INTO public.ecdc_import VALUES (28193, '18/10/2020', '18', '10', '2020', '1251', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '224.49961666');
INSERT INTO public.ecdc_import VALUES (28194, '17/10/2020', '17', '10', '2020', '998', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '211.32734124');
INSERT INTO public.ecdc_import VALUES (28195, '16/10/2020', '16', '10', '2020', '1186', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '200.47958501');
INSERT INTO public.ecdc_import VALUES (28196, '15/10/2020', '15', '10', '2020', '1084', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '185.30903871');
INSERT INTO public.ecdc_import VALUES (28197, '14/10/2020', '14', '10', '2020', '808', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '171.66778135');
INSERT INTO public.ecdc_import VALUES (28198, '13/10/2020', '13', '10', '2020', '823', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '162.57360977');
INSERT INTO public.ecdc_import VALUES (28199, '12/10/2020', '12', '10', '2020', '814', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '153.70373391');
INSERT INTO public.ecdc_import VALUES (28200, '11/10/2020', '11', '10', '2020', '1011', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '145.87377453');
INSERT INTO public.ecdc_import VALUES (28201, '10/10/2020', '10', '10', '2020', '617', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '130.2546368');
INSERT INTO public.ecdc_import VALUES (28202, '09/10/2020', '9', '10', '2020', '502', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '124.21904311');
INSERT INTO public.ecdc_import VALUES (28203, '08/10/2020', '8', '10', '2020', '609', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '120.4875781');
INSERT INTO public.ecdc_import VALUES (28204, '07/10/2020', '7', '10', '2020', '424', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '112.77996183');
INSERT INTO public.ecdc_import VALUES (28205, '06/10/2020', '6', '10', '2020', '519', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '110.72051939');
INSERT INTO public.ecdc_import VALUES (28206, '05/10/2020', '5', '10', '2020', '364', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '103.97125752');
INSERT INTO public.ecdc_import VALUES (28207, '04/10/2020', '4', '10', '2020', '605', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '104.60336362');
INSERT INTO public.ecdc_import VALUES (28208, '03/10/2020', '3', '10', '2020', '466', '-5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '97.71136812');
INSERT INTO public.ecdc_import VALUES (28209, '02/10/2020', '2', '10', '2020', '442', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '93.26623493');
INSERT INTO public.ecdc_import VALUES (28210, '01/10/2020', '1', '10', '2020', '415', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '88.82110174');
INSERT INTO public.ecdc_import VALUES (28211, '30/09/2020', '30', '9', '2020', '362', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '85.45666607');
INSERT INTO public.ecdc_import VALUES (28212, '29/09/2020', '29', '9', '2020', '388', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '85.35471347');
INSERT INTO public.ecdc_import VALUES (28213, '28/09/2020', '28', '9', '2020', '430', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '81.66402949');
INSERT INTO public.ecdc_import VALUES (28214, '27/09/2020', '27', '9', '2020', '245', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '78.09568863');
INSERT INTO public.ecdc_import VALUES (28215, '26/09/2020', '26', '9', '2020', '321', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '76.34210398');
INSERT INTO public.ecdc_import VALUES (28216, '25/09/2020', '25', '9', '2020', '319', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '74.09914686');
INSERT INTO public.ecdc_import VALUES (28217, '24/09/2020', '24', '9', '2020', '231', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '71.591113');
INSERT INTO public.ecdc_import VALUES (28218, '23/09/2020', '23', '9', '2020', '323', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '68.59370667');
INSERT INTO public.ecdc_import VALUES (28219, '22/09/2020', '22', '9', '2020', '188', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '68.24706784');
INSERT INTO public.ecdc_import VALUES (28220, '21/09/2020', '21', '9', '2020', '395', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '66.49348319');
INSERT INTO public.ecdc_import VALUES (28221, '20/09/2020', '20', '9', '2020', '267', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '61.25311975');
INSERT INTO public.ecdc_import VALUES (28222, '19/09/2020', '19', '9', '2020', '248', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '60.51906106');
INSERT INTO public.ecdc_import VALUES (28223, '18/09/2020', '18', '9', '2020', '224', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '57.44009265');
INSERT INTO public.ecdc_import VALUES (28224, '17/09/2020', '17', '9', '2020', '250', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '54.74854412');
INSERT INTO public.ecdc_import VALUES (28225, '16/09/2020', '16', '9', '2020', '357', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '51.46567052');
INSERT INTO public.ecdc_import VALUES (28226, '15/09/2020', '15', '9', '2020', '207', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '48.54982627');
INSERT INTO public.ecdc_import VALUES (28227, '14/09/2020', '14', '9', '2020', '255', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '45.36890527');
INSERT INTO public.ecdc_import VALUES (28228, '13/09/2020', '13', '9', '2020', '159', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '40.98494364');
INSERT INTO public.ecdc_import VALUES (28229, '12/09/2020', '12', '9', '2020', '211', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '40.61791429');
INSERT INTO public.ecdc_import VALUES (28230, '11/09/2020', '11', '9', '2020', '196', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '38.88472016');
INSERT INTO public.ecdc_import VALUES (28231, '10/09/2020', '10', '9', '2020', '84', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '36.72332512');
INSERT INTO public.ecdc_import VALUES (28232, '09/09/2020', '9', '9', '2020', '306', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '38.31378562');
INSERT INTO public.ecdc_import VALUES (28233, '08/09/2020', '8', '9', '2020', '102', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '33.80748087');
INSERT INTO public.ecdc_import VALUES (28234, '07/09/2020', '7', '9', '2020', '138', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '34.72505424');
INSERT INTO public.ecdc_import VALUES (28235, '06/09/2020', '6', '9', '2020', '231', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '33.15498426');
INSERT INTO public.ecdc_import VALUES (28236, '05/09/2020', '5', '9', '2020', '97', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.56452376');
INSERT INTO public.ecdc_import VALUES (28237, '04/09/2020', '4', '9', '2020', '92', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.19749441');
INSERT INTO public.ecdc_import VALUES (28238, '03/09/2020', '3', '9', '2020', '89', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.95194362');
INSERT INTO public.ecdc_import VALUES (28239, '02/09/2020', '2', '9', '2020', '214', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.11593234');
INSERT INTO public.ecdc_import VALUES (28240, '01/09/2020', '1', '9', '2020', '51', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '30.5449978');
INSERT INTO public.ecdc_import VALUES (28241, '31/08/2020', '31', '8', '2020', '40', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '30.64695039');
INSERT INTO public.ecdc_import VALUES (28242, '30/08/2020', '30', '8', '2020', '141', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.17710389');
INSERT INTO public.ecdc_import VALUES (28243, '29/08/2020', '29', '8', '2020', '126', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '32.29858245');
INSERT INTO public.ecdc_import VALUES (28244, '28/08/2020', '28', '8', '2020', '90', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.0751513');
INSERT INTO public.ecdc_import VALUES (28245, '27/08/2020', '27', '8', '2020', '162', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.09554182');
INSERT INTO public.ecdc_import VALUES (28246, '26/08/2020', '26', '8', '2020', '85', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '28.54672691');
INSERT INTO public.ecdc_import VALUES (28247, '25/08/2020', '25', '8', '2020', '147', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '27.48641991');
INSERT INTO public.ecdc_import VALUES (28248, '24/08/2020', '24', '8', '2020', '61', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '25.63088266');
INSERT INTO public.ecdc_import VALUES (28249, '23/08/2020', '23', '8', '2020', '153', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '25.7736163');
INSERT INTO public.ecdc_import VALUES (28250, '22/08/2020', '22', '8', '2020', '79', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '26.2018172');
INSERT INTO public.ecdc_import VALUES (28251, '21/08/2020', '21', '8', '2020', '129', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '26.58923707');
INSERT INTO public.ecdc_import VALUES (28252, '20/08/2020', '20', '8', '2020', '48', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '25.36580591');
INSERT INTO public.ecdc_import VALUES (28253, '19/08/2020', '19', '8', '2020', '186', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '25.40658695');
INSERT INTO public.ecdc_import VALUES (28254, '18/08/2020', '18', '8', '2020', '56', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '22.53152374');
INSERT INTO public.ecdc_import VALUES (28255, '17/08/2020', '17', '8', '2020', '66', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '22.32761855');
INSERT INTO public.ecdc_import VALUES (28256, '16/08/2020', '16', '8', '2020', '196', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '22.0625418');
INSERT INTO public.ecdc_import VALUES (28257, '15/08/2020', '15', '8', '2020', '66', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '18.96318288');
INSERT INTO public.ecdc_import VALUES (28258, '14/08/2020', '14', '8', '2020', '91', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '18.39224834');
INSERT INTO public.ecdc_import VALUES (28259, '13/08/2020', '13', '8', '2020', '37', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '18.26990522');
INSERT INTO public.ecdc_import VALUES (28260, '12/08/2020', '12', '8', '2020', '33', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '17.78053276');
INSERT INTO public.ecdc_import VALUES (28261, '11/08/2020', '11', '8', '2020', '56', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '17.86209484');
INSERT INTO public.ecdc_import VALUES (28262, '10/08/2020', '10', '8', '2020', '68', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '16.94452148');
INSERT INTO public.ecdc_import VALUES (28263, '09/08/2020', '9', '8', '2020', '174', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '15.8026524');
INSERT INTO public.ecdc_import VALUES (28264, '08/08/2020', '8', '8', '2020', '98', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '12.74407452');
INSERT INTO public.ecdc_import VALUES (28265, '07/08/2020', '7', '8', '2020', '69', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '11.1332235');
INSERT INTO public.ecdc_import VALUES (28266, '06/08/2020', '6', '8', '2020', '50', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '9.8690113');
INSERT INTO public.ecdc_import VALUES (28267, '05/08/2020', '5', '8', '2020', '45', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '9.19612417');
INSERT INTO public.ecdc_import VALUES (28268, '04/08/2020', '4', '8', '2020', '46', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '9.0126095');
INSERT INTO public.ecdc_import VALUES (28269, '03/08/2020', '3', '8', '2020', '53', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '8.19698873');
INSERT INTO public.ecdc_import VALUES (28271, '01/08/2020', '1', '8', '2020', '38', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '6.83082394');
INSERT INTO public.ecdc_import VALUES (28272, '31/07/2020', '31', '7', '2020', '85', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '6.70848082');
INSERT INTO public.ecdc_import VALUES (28273, '30/07/2020', '30', '7', '2020', '13', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.28114448');
INSERT INTO public.ecdc_import VALUES (28274, '29/07/2020', '29', '7', '2020', '37', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.28114448');
INSERT INTO public.ecdc_import VALUES (28275, '28/07/2020', '28', '7', '2020', '11', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.17919188');
INSERT INTO public.ecdc_import VALUES (28276, '27/07/2020', '27', '7', '2020', '12', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.15880136');
INSERT INTO public.ecdc_import VALUES (28277, '26/07/2020', '26', '7', '2020', '24', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.26075396');
INSERT INTO public.ecdc_import VALUES (28278, '25/07/2020', '25', '7', '2020', '19', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.21997292');
INSERT INTO public.ecdc_import VALUES (28279, '24/07/2020', '24', '7', '2020', '7', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.32192552');
INSERT INTO public.ecdc_import VALUES (28280, '23/07/2020', '23', '7', '2020', '17', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.64817383');
INSERT INTO public.ecdc_import VALUES (28281, '22/07/2020', '22', '7', '2020', '36', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.38309708');
INSERT INTO public.ecdc_import VALUES (28282, '21/07/2020', '21', '7', '2020', '6', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.79177202');
INSERT INTO public.ecdc_import VALUES (28283, '20/07/2020', '20', '7', '2020', '10', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.75099098');
INSERT INTO public.ecdc_import VALUES (28284, '19/07/2020', '19', '7', '2020', '20', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.91411513');
INSERT INTO public.ecdc_import VALUES (28285, '18/07/2020', '18', '7', '2020', '32', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.73060046');
INSERT INTO public.ecdc_import VALUES (28286, '17/07/2020', '17', '7', '2020', '15', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.26161852');
INSERT INTO public.ecdc_import VALUES (28287, '16/07/2020', '16', '7', '2020', '13', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.20044696');
INSERT INTO public.ecdc_import VALUES (28288, '15/07/2020', '15', '7', '2020', '32', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.01693229');
INSERT INTO public.ecdc_import VALUES (28289, '14/07/2020', '14', '7', '2020', '10', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.58873138');
INSERT INTO public.ecdc_import VALUES (28290, '13/07/2020', '13', '7', '2020', '17', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.85380813');
INSERT INTO public.ecdc_import VALUES (28291, '12/07/2020', '12', '7', '2020', '22', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.54795035');
INSERT INTO public.ecdc_import VALUES (28292, '11/07/2020', '11', '7', '2020', '24', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.56834086');
INSERT INTO public.ecdc_import VALUES (28293, '10/07/2020', '10', '7', '2020', '23', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.26248308');
INSERT INTO public.ecdc_import VALUES (28294, '09/07/2020', '9', '7', '2020', '4', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.97701581');
INSERT INTO public.ecdc_import VALUES (28295, '08/07/2020', '8', '7', '2020', '7', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.99740633');
INSERT INTO public.ecdc_import VALUES (28296, '07/07/2020', '7', '7', '2020', '4', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.01779685');
INSERT INTO public.ecdc_import VALUES (28297, '06/07/2020', '6', '7', '2020', '18', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.01779685');
INSERT INTO public.ecdc_import VALUES (28298, '05/07/2020', '5', '7', '2020', '11', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.7527201');
INSERT INTO public.ecdc_import VALUES (28299, '04/07/2020', '4', '7', '2020', '9', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.6507675');
INSERT INTO public.ecdc_import VALUES (28300, '03/07/2020', '3', '7', '2020', '12', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.73232958');
INSERT INTO public.ecdc_import VALUES (28301, '02/07/2020', '2', '7', '2020', '4', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.77311061');
INSERT INTO public.ecdc_import VALUES (28302, '01/07/2020', '1', '7', '2020', '11', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.83428217');
INSERT INTO public.ecdc_import VALUES (28303, '30/06/2020', '30', '6', '2020', '23', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.87506321');
INSERT INTO public.ecdc_import VALUES (28304, '29/06/2020', '29', '6', '2020', '2', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.77311061');
INSERT INTO public.ecdc_import VALUES (28305, '28/06/2020', '28', '6', '2020', '23', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.89545373');
INSERT INTO public.ecdc_import VALUES (28306, '27/06/2020', '27', '6', '2020', '9', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.34404515');
INSERT INTO public.ecdc_import VALUES (28307, '26/06/2020', '26', '6', '2020', '9', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.40521671');
INSERT INTO public.ecdc_import VALUES (28308, '25/06/2020', '25', '6', '2020', '5', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.36443567');
INSERT INTO public.ecdc_import VALUES (28309, '24/06/2020', '24', '6', '2020', '8', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.58873138');
INSERT INTO public.ecdc_import VALUES (28310, '23/06/2020', '23', '6', '2020', '4', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.58873138');
INSERT INTO public.ecdc_import VALUES (28311, '22/06/2020', '22', '6', '2020', '5', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.62951242');
INSERT INTO public.ecdc_import VALUES (28312, '21/06/2020', '21', '6', '2020', '6', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.89458917');
INSERT INTO public.ecdc_import VALUES (28313, '20/06/2020', '20', '6', '2020', '13', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.18005644');
INSERT INTO public.ecdc_import VALUES (28314, '19/06/2020', '19', '6', '2020', '14', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.34318059');
INSERT INTO public.ecdc_import VALUES (28315, '18/06/2020', '18', '6', '2020', '7', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.68981942');
INSERT INTO public.ecdc_import VALUES (28316, '17/06/2020', '17', '6', '2020', '13', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.46465915');
INSERT INTO public.ecdc_import VALUES (28317, '16/06/2020', '16', '6', '2020', '18', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.28114448');
INSERT INTO public.ecdc_import VALUES (28318, '15/06/2020', '15', '6', '2020', '8', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '6.38223252');
INSERT INTO public.ecdc_import VALUES (28319, '14/06/2020', '14', '6', '2020', '45', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '7.46293004');
INSERT INTO public.ecdc_import VALUES (28320, '13/06/2020', '13', '6', '2020', '12', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '7.62605419');
INSERT INTO public.ecdc_import VALUES (28321, '12/06/2020', '12', '6', '2020', '7', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '8.09503613');
INSERT INTO public.ecdc_import VALUES (28322, '11/06/2020', '11', '6', '2020', '16', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '8.72714223');
INSERT INTO public.ecdc_import VALUES (28323, '10/06/2020', '10', '6', '2020', '8', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '9.78744923');
INSERT INTO public.ecdc_import VALUES (28324, '09/06/2020', '9', '6', '2020', '6', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '10.37877429');
INSERT INTO public.ecdc_import VALUES (28325, '08/06/2020', '8', '6', '2020', '18', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '11.4594718');
INSERT INTO public.ecdc_import VALUES (28326, '07/06/2020', '7', '6', '2020', '20', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '12.25470205');
INSERT INTO public.ecdc_import VALUES (28327, '06/06/2020', '6', '6', '2020', '21', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '13.39657113');
INSERT INTO public.ecdc_import VALUES (28328, '05/06/2020', '5', '6', '2020', '31', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '15.31327994');
INSERT INTO public.ecdc_import VALUES (28329, '04/06/2020', '4', '6', '2020', '45', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '16.2308533');
INSERT INTO public.ecdc_import VALUES (28330, '03/06/2020', '3', '6', '2020', '4', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '16.61827317');
INSERT INTO public.ecdc_import VALUES (28331, '02/06/2020', '2', '6', '2020', '72', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '17.57662757');
INSERT INTO public.ecdc_import VALUES (28332, '01/06/2020', '1', '6', '2020', '61', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '17.90287588');
INSERT INTO public.ecdc_import VALUES (28333, '31/05/2020', '31', '5', '2020', '53', '5', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '17.96404744');
INSERT INTO public.ecdc_import VALUES (28334, '30/05/2020', '30', '5', '2020', '35', '6', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '18.75927769');
INSERT INTO public.ecdc_import VALUES (28335, '29/05/2020', '29', '5', '2020', '38', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '20.67598649');
INSERT INTO public.ecdc_import VALUES (28336, '28/05/2020', '28', '5', '2020', '68', '16', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '28.58750795');
INSERT INTO public.ecdc_import VALUES (28337, '27/05/2020', '27', '5', '2020', '37', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '30.4430452');
INSERT INTO public.ecdc_import VALUES (28338, '26/05/2020', '26', '5', '2020', '59', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.87038155');
INSERT INTO public.ecdc_import VALUES (28339, '25/05/2020', '25', '5', '2020', '57', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '33.50162309');
INSERT INTO public.ecdc_import VALUES (28340, '24/05/2020', '24', '5', '2020', '76', '12', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '37.15152603');
INSERT INTO public.ecdc_import VALUES (28341, '23/05/2020', '23', '5', '2020', '115', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '40.06737028');
INSERT INTO public.ecdc_import VALUES (28342, '22/05/2020', '22', '5', '2020', '76', '12', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '40.90338156');
INSERT INTO public.ecdc_import VALUES (28343, '21/05/2020', '21', '5', '2020', '64', '10', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '42.14720324');
INSERT INTO public.ecdc_import VALUES (28344, '20/05/2020', '20', '5', '2020', '51', '14', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '46.2456976');
INSERT INTO public.ecdc_import VALUES (28345, '19/05/2020', '19', '5', '2020', '88', '4', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '50.52770664');
INSERT INTO public.ecdc_import VALUES (28346, '18/05/2020', '18', '5', '2020', '64', '10', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '53.1376931');
INSERT INTO public.ecdc_import VALUES (28347, '17/05/2020', '17', '5', '2020', '92', '15', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '58.56157121');
INSERT INTO public.ecdc_import VALUES (28348, '16/05/2020', '16', '5', '2020', '129', '12', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '63.67959154');
INSERT INTO public.ecdc_import VALUES (28349, '15/05/2020', '15', '5', '2020', '426', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '65.55551931');
INSERT INTO public.ecdc_import VALUES (28350, '14/05/2020', '14', '5', '2020', '159', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '64.18935452');
INSERT INTO public.ecdc_import VALUES (28351, '13/05/2020', '13', '5', '2020', '107', '21', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '68.61409719');
INSERT INTO public.ecdc_import VALUES (28352, '12/05/2020', '12', '5', '2020', '139', '9', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '71.10174053');
INSERT INTO public.ecdc_import VALUES (28353, '11/05/2020', '11', '5', '2020', '236', '12', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '76.13819878');
INSERT INTO public.ecdc_import VALUES (28354, '10/05/2020', '10', '5', '2020', '219', '17', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '85.61979022');
INSERT INTO public.ecdc_import VALUES (28355, '09/05/2020', '9', '5', '2020', '156', '26', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '88.84149226');
INSERT INTO public.ecdc_import VALUES (28356, '08/05/2020', '8', '5', '2020', '137', '28', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '97.42590085');
INSERT INTO public.ecdc_import VALUES (28357, '07/05/2020', '7', '5', '2020', '265', '36', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '113.71792571');
INSERT INTO public.ecdc_import VALUES (28358, '06/05/2020', '6', '5', '2020', '261', '20', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '121.18085575');
INSERT INTO public.ecdc_import VALUES (28359, '05/05/2020', '5', '5', '2020', '216', '16', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '123.77045169');
INSERT INTO public.ecdc_import VALUES (28360, '04/05/2020', '4', '5', '2020', '330', '38', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '127.54269775');
INSERT INTO public.ecdc_import VALUES (28361, '03/05/2020', '3', '5', '2020', '343', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '130.86635238');
INSERT INTO public.ecdc_import VALUES (28362, '02/05/2020', '2', '5', '2020', '221', '33', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '139.73622824');
INSERT INTO public.ecdc_import VALUES (28363, '01/05/2020', '1', '5', '2020', '359', '42', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '149.68680162');
INSERT INTO public.ecdc_import VALUES (28364, '30/04/2020', '30', '4', '2020', '376', '31', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '157.12934114');
INSERT INTO public.ecdc_import VALUES (28365, '29/04/2020', '29', '4', '2020', '229', '57', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '171.23958044');
INSERT INTO public.ecdc_import VALUES (28366, '28/04/2020', '28', '4', '2020', '386', '15', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '183.53506354');
INSERT INTO public.ecdc_import VALUES (28367, '27/04/2020', '27', '4', '2020', '701', '24', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '195.89171819');
INSERT INTO public.ecdc_import VALUES (28368, '26/04/2020', '26', '4', '2020', '377', '234', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '196.42187169');
INSERT INTO public.ecdc_import VALUES (28369, '25/04/2020', '25', '4', '2020', '577', '35', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '205.84229157');
INSERT INTO public.ecdc_import VALUES (28370, '24/04/2020', '24', '4', '2020', '936', '25', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '208.26876336');
INSERT INTO public.ecdc_import VALUES (28371, '23/04/2020', '23', '4', '2020', '631', '39', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '213.01975434');
INSERT INTO public.ecdc_import VALUES (28372, '22/04/2020', '22', '4', '2020', '388', '43', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '210.65445411');
INSERT INTO public.ecdc_import VALUES (28373, '21/04/2020', '21', '4', '2020', '401', '77', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '209.77766178');
INSERT INTO public.ecdc_import VALUES (28374, '20/04/2020', '20', '4', '2020', '493', '39', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '206.75986493');
INSERT INTO public.ecdc_import VALUES (28375, '19/04/2020', '19', '4', '2020', '778', '41', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '207.0453322');
INSERT INTO public.ecdc_import VALUES (28376, '18/04/2020', '18', '4', '2020', '709', '44', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '197.93077011');
INSERT INTO public.ecdc_import VALUES (28377, '17/04/2020', '17', '4', '2020', '724', '42', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '192.11947213');
INSERT INTO public.ecdc_import VALUES (28378, '16/04/2020', '16', '4', '2020', '1068', '38', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '185.55372494');
INSERT INTO public.ecdc_import VALUES (28379, '15/04/2020', '15', '4', '2020', '832', '41', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '168.09944048');
INSERT INTO public.ecdc_import VALUES (28380, '14/04/2020', '14', '4', '2020', '992', '31', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '157.76144724');
INSERT INTO public.ecdc_import VALUES (28381, '13/04/2020', '13', '4', '2020', '727', '14', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '143.54925534');
INSERT INTO public.ecdc_import VALUES (28382, '12/04/2020', '12', '4', '2020', '839', '33', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '132.80345171');
INSERT INTO public.ecdc_import VALUES (28383, '11/04/2020', '11', '4', '2020', '696', '24', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '121.69061873');
INSERT INTO public.ecdc_import VALUES (28384, '10/04/2020', '10', '4', '2020', '1169', '28', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '113.65675416');
INSERT INTO public.ecdc_import VALUES (28385, '09/04/2020', '9', '4', '2020', '515', '25', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '95.01981958');
INSERT INTO public.ecdc_import VALUES (28386, '08/04/2020', '8', '4', '2020', '345', '36', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '89.3104742');
INSERT INTO public.ecdc_import VALUES (28387, '07/04/2020', '7', '4', '2020', '253', '16', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '86.43541099');
INSERT INTO public.ecdc_import VALUES (28388, '06/04/2020', '6', '4', '2020', '507', '21', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '85.74213334');
INSERT INTO public.ecdc_import VALUES (28389, '05/04/2020', '5', '4', '2020', '331', '17', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '77.87139292');
INSERT INTO public.ecdc_import VALUES (28390, '04/04/2020', '4', '4', '2020', '424', '22', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '73.20196401');
INSERT INTO public.ecdc_import VALUES (28391, '03/04/2020', '3', '4', '2020', '402', '13', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '67.12558929');
INSERT INTO public.ecdc_import VALUES (28392, '02/04/2020', '2', '4', '2020', '212', '14', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '62.82318973');
INSERT INTO public.ecdc_import VALUES (28393, '01/04/2020', '1', '4', '2020', '325', '17', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '60.00929808');
INSERT INTO public.ecdc_import VALUES (28394, '31/03/2020', '31', '3', '2020', '295', '8', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '54.78932516');
INSERT INTO public.ecdc_import VALUES (28395, '30/03/2020', '30', '3', '2020', '200', '10', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '49.87521002');
INSERT INTO public.ecdc_import VALUES (28396, '29/03/2020', '29', '3', '2020', '294', '14', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '46.61272695');
INSERT INTO public.ecdc_import VALUES (28397, '28/03/2020', '28', '3', '2020', '302', '3', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '41.39275403');
INSERT INTO public.ecdc_import VALUES (28398, '27/03/2020', '27', '3', '2020', '255', '10', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '35.66301812');
INSERT INTO public.ecdc_import VALUES (28399, '26/03/2020', '26', '3', '2020', '235', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '31.01397974');
INSERT INTO public.ecdc_import VALUES (28400, '25/03/2020', '25', '3', '2020', '204', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '26.38533188');
INSERT INTO public.ecdc_import VALUES (28401, '24/03/2020', '24', '3', '2020', '219', '2', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '22.51113322');
INSERT INTO public.ecdc_import VALUES (28402, '23/03/2020', '23', '3', '2020', '121', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '18.08639055');
INSERT INTO public.ecdc_import VALUES (28403, '22/03/2020', '22', '3', '2020', '102', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '15.63952824');
INSERT INTO public.ecdc_import VALUES (28404, '21/03/2020', '21', '3', '2020', '126', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '13.66164788');
INSERT INTO public.ecdc_import VALUES (28405, '20/03/2020', '20', '3', '2020', '191', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '11.23517609');
INSERT INTO public.ecdc_import VALUES (28406, '19/03/2020', '19', '3', '2020', '74', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '7.422149');
INSERT INTO public.ecdc_import VALUES (28407, '18/03/2020', '18', '3', '2020', '69', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '5.93364109');
INSERT INTO public.ecdc_import VALUES (28408, '17/03/2020', '17', '3', '2020', '54', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '4.52669527');
INSERT INTO public.ecdc_import VALUES (28409, '16/03/2020', '16', '3', '2020', '40', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '3.44599775');
INSERT INTO public.ecdc_import VALUES (28410, '15/03/2020', '15', '3', '2020', '38', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '2.63037698');
INSERT INTO public.ecdc_import VALUES (28411, '14/03/2020', '14', '3', '2020', '21', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '1.85553725');
INSERT INTO public.ecdc_import VALUES (28412, '13/03/2020', '13', '3', '2020', '27', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '1.42733635');
INSERT INTO public.ecdc_import VALUES (28413, '12/03/2020', '12', '3', '2020', '8', '1', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.87679233');
INSERT INTO public.ecdc_import VALUES (28414, '11/03/2020', '11', '3', '2020', '14', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.71366817');
INSERT INTO public.ecdc_import VALUES (28415, '09/03/2020', '9', '3', '2020', '2', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.4282009');
INSERT INTO public.ecdc_import VALUES (28416, '08/03/2020', '8', '3', '2020', '1', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.38741987');
INSERT INTO public.ecdc_import VALUES (28417, '07/03/2020', '7', '3', '2020', '5', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.36702935');
INSERT INTO public.ecdc_import VALUES (28418, '06/03/2020', '6', '3', '2020', '7', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.26507675');
INSERT INTO public.ecdc_import VALUES (28419, '05/03/2020', '5', '3', '2020', '4', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.12234312');
INSERT INTO public.ecdc_import VALUES (28420, '04/03/2020', '4', '3', '2020', '1', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.04078104');
INSERT INTO public.ecdc_import VALUES (28421, '02/03/2020', '2', '3', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.02039052');
INSERT INTO public.ecdc_import VALUES (28422, '01/03/2020', '1', '3', '2020', '1', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0.02039052');
INSERT INTO public.ecdc_import VALUES (28423, '29/02/2020', '29', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28424, '28/02/2020', '28', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28425, '27/02/2020', '27', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28426, '26/02/2020', '26', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28427, '25/02/2020', '25', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28428, '24/02/2020', '24', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28429, '23/02/2020', '23', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28430, '22/02/2020', '22', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28431, '21/02/2020', '21', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28432, '20/02/2020', '20', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28433, '19/02/2020', '19', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28434, '18/02/2020', '18', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28435, '17/02/2020', '17', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28436, '16/02/2020', '16', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28437, '15/02/2020', '15', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28438, '14/02/2020', '14', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28439, '13/02/2020', '13', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28440, '12/02/2020', '12', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28441, '11/02/2020', '11', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28442, '10/02/2020', '10', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28443, '09/02/2020', '9', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28444, '08/02/2020', '8', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28445, '07/02/2020', '7', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28446, '06/02/2020', '6', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28447, '05/02/2020', '5', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28448, '04/02/2020', '4', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28449, '03/02/2020', '3', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28450, '02/02/2020', '2', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28451, '01/02/2020', '1', '2', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28452, '31/01/2020', '31', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28453, '30/01/2020', '30', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28454, '29/01/2020', '29', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28455, '28/01/2020', '28', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28456, '27/01/2020', '27', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28457, '26/01/2020', '26', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28458, '25/01/2020', '25', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28459, '24/01/2020', '24', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28460, '23/01/2020', '23', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28461, '22/01/2020', '22', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28462, '21/01/2020', '21', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28463, '20/01/2020', '20', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28464, '19/01/2020', '19', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28465, '18/01/2020', '18', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28466, '17/01/2020', '17', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28467, '16/01/2020', '16', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28468, '15/01/2020', '15', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28469, '14/01/2020', '14', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28470, '13/01/2020', '13', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28471, '12/01/2020', '12', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28472, '11/01/2020', '11', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28473, '10/01/2020', '10', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28474, '09/01/2020', '9', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28475, '08/01/2020', '8', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28476, '07/01/2020', '7', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28477, '06/01/2020', '6', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28478, '05/01/2020', '5', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28479, '04/01/2020', '4', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28480, '03/01/2020', '3', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28481, '02/01/2020', '2', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28482, '01/01/2020', '1', '1', '2020', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28483, '31/12/2019', '31', '12', '2019', '0', '0', '4904240', 'Ireland', 'IE', 'IRL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28484, '14/12/2020', '14', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28485, '13/12/2020', '13', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28486, '12/12/2020', '12', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28487, '11/12/2020', '11', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28488, '10/12/2020', '10', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28489, '09/12/2020', '9', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28490, '08/12/2020', '8', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28491, '07/12/2020', '7', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28492, '06/12/2020', '6', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28493, '05/12/2020', '5', '12', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28494, '04/12/2020', '4', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28495, '03/12/2020', '3', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28496, '02/12/2020', '2', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28497, '01/12/2020', '1', '12', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28498, '30/11/2020', '30', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28499, '29/11/2020', '29', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28500, '28/11/2020', '28', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28501, '27/11/2020', '27', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28502, '26/11/2020', '26', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '9.45749447');
INSERT INTO public.ecdc_import VALUES (28503, '25/11/2020', '25', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '11.82186809');
INSERT INTO public.ecdc_import VALUES (28504, '24/11/2020', '24', '11', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '14.18624171');
INSERT INTO public.ecdc_import VALUES (28505, '23/11/2020', '23', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '13.0040549');
INSERT INTO public.ecdc_import VALUES (28506, '22/11/2020', '22', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '13.0040549');
INSERT INTO public.ecdc_import VALUES (28507, '21/11/2020', '21', '11', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '13.0040549');
INSERT INTO public.ecdc_import VALUES (28508, '20/11/2020', '20', '11', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28509, '19/11/2020', '19', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '8.27530766');
INSERT INTO public.ecdc_import VALUES (28510, '18/11/2020', '18', '11', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '9.45749447');
INSERT INTO public.ecdc_import VALUES (28511, '17/11/2020', '17', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '9.45749447');
INSERT INTO public.ecdc_import VALUES (28512, '16/11/2020', '16', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '11.82186809');
INSERT INTO public.ecdc_import VALUES (28513, '15/11/2020', '15', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '11.82186809');
INSERT INTO public.ecdc_import VALUES (28514, '14/11/2020', '14', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '11.82186809');
INSERT INTO public.ecdc_import VALUES (28515, '13/11/2020', '13', '11', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '13.0040549');
INSERT INTO public.ecdc_import VALUES (28516, '12/11/2020', '12', '11', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28517, '11/11/2020', '11', '11', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '8.27530766');
INSERT INTO public.ecdc_import VALUES (28518, '10/11/2020', '10', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28519, '09/11/2020', '9', '11', '2020', '0', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28520, '08/11/2020', '8', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28521, '07/11/2020', '7', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28522, '06/11/2020', '6', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28523, '05/11/2020', '5', '11', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28524, '04/11/2020', '4', '11', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '9.45749447');
INSERT INTO public.ecdc_import VALUES (28525, '03/11/2020', '3', '11', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '8.27530766');
INSERT INTO public.ecdc_import VALUES (28526, '02/11/2020', '2', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28527, '01/11/2020', '1', '11', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28528, '31/10/2020', '31', '10', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28529, '30/10/2020', '30', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '4.72874724');
INSERT INTO public.ecdc_import VALUES (28530, '29/10/2020', '29', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '4.72874724');
INSERT INTO public.ecdc_import VALUES (28531, '28/10/2020', '28', '10', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28532, '27/10/2020', '27', '10', '2020', '3', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28533, '26/10/2020', '26', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28534, '25/10/2020', '25', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28535, '24/10/2020', '24', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28536, '23/10/2020', '23', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28537, '22/10/2020', '22', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28538, '21/10/2020', '21', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28539, '20/10/2020', '20', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '4.72874724');
INSERT INTO public.ecdc_import VALUES (28540, '19/10/2020', '19', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28541, '18/10/2020', '18', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28542, '17/10/2020', '17', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '8.27530766');
INSERT INTO public.ecdc_import VALUES (28543, '16/10/2020', '16', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '9.45749447');
INSERT INTO public.ecdc_import VALUES (28544, '15/10/2020', '15', '10', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '9.45749447');
INSERT INTO public.ecdc_import VALUES (28545, '14/10/2020', '14', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28546, '13/10/2020', '13', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28547, '12/10/2020', '12', '10', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28548, '11/10/2020', '11', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28549, '10/10/2020', '10', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28550, '09/10/2020', '9', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28551, '08/10/2020', '8', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28552, '07/10/2020', '7', '10', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28553, '06/10/2020', '6', '10', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '4.72874724');
INSERT INTO public.ecdc_import VALUES (28554, '05/10/2020', '5', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28555, '04/10/2020', '4', '10', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28556, '03/10/2020', '3', '10', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28557, '02/10/2020', '2', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28558, '01/10/2020', '1', '10', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28559, '30/09/2020', '30', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28560, '29/09/2020', '29', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28561, '28/09/2020', '28', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28562, '27/09/2020', '27', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28563, '26/09/2020', '26', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28564, '25/09/2020', '25', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28565, '24/09/2020', '24', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28566, '23/09/2020', '23', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28567, '22/09/2020', '22', '9', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28568, '21/09/2020', '21', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28569, '20/09/2020', '20', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28570, '19/09/2020', '19', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28571, '18/09/2020', '18', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28572, '17/09/2020', '17', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28573, '16/09/2020', '16', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28574, '15/09/2020', '15', '9', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '3.54656043');
INSERT INTO public.ecdc_import VALUES (28575, '14/09/2020', '14', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28576, '13/09/2020', '13', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28577, '12/09/2020', '12', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28578, '11/09/2020', '11', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28579, '10/09/2020', '10', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28580, '09/09/2020', '9', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28581, '08/09/2020', '8', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28582, '07/09/2020', '7', '9', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28583, '06/09/2020', '6', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28584, '05/09/2020', '5', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28585, '04/09/2020', '4', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28586, '03/09/2020', '3', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28587, '02/09/2020', '2', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28588, '01/09/2020', '1', '9', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28589, '31/08/2020', '31', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28590, '30/08/2020', '30', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28591, '29/08/2020', '29', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28592, '28/08/2020', '28', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28593, '27/08/2020', '27', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28594, '26/08/2020', '26', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28595, '25/08/2020', '25', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28596, '24/08/2020', '24', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28597, '23/08/2020', '23', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28598, '22/08/2020', '22', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28599, '21/08/2020', '21', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28600, '20/08/2020', '20', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28601, '19/08/2020', '19', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28602, '18/08/2020', '18', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28603, '17/08/2020', '17', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28604, '16/08/2020', '16', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28605, '15/08/2020', '15', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28606, '14/08/2020', '14', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28607, '13/08/2020', '13', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28608, '12/08/2020', '12', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28609, '11/08/2020', '11', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28610, '10/08/2020', '10', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28611, '09/08/2020', '9', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28612, '08/08/2020', '8', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28613, '07/08/2020', '7', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28614, '06/08/2020', '6', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28615, '05/08/2020', '5', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28616, '04/08/2020', '4', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28617, '03/08/2020', '3', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28618, '02/08/2020', '2', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28619, '01/08/2020', '1', '8', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28620, '31/07/2020', '31', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28621, '30/07/2020', '30', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28622, '29/07/2020', '29', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28623, '28/07/2020', '28', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28624, '27/07/2020', '27', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28625, '26/07/2020', '26', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28626, '25/07/2020', '25', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28627, '24/07/2020', '24', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28628, '23/07/2020', '23', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28629, '22/07/2020', '22', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28630, '21/07/2020', '21', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28631, '20/07/2020', '20', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28632, '19/07/2020', '19', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28633, '18/07/2020', '18', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28634, '17/07/2020', '17', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28635, '16/07/2020', '16', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28636, '15/07/2020', '15', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28637, '14/07/2020', '14', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28638, '13/07/2020', '13', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28639, '12/07/2020', '12', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28640, '11/07/2020', '11', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28641, '10/07/2020', '10', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28642, '09/07/2020', '9', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28643, '08/07/2020', '8', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28644, '07/07/2020', '7', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28645, '06/07/2020', '6', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28646, '05/07/2020', '5', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28647, '04/07/2020', '4', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28648, '03/07/2020', '3', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28649, '02/07/2020', '2', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28650, '01/07/2020', '1', '7', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28651, '30/06/2020', '30', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28652, '29/06/2020', '29', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28653, '28/06/2020', '28', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28654, '27/06/2020', '27', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28655, '26/06/2020', '26', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28656, '25/06/2020', '25', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28657, '24/06/2020', '24', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28658, '23/06/2020', '23', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28659, '22/06/2020', '22', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28660, '21/06/2020', '21', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28661, '20/06/2020', '20', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28662, '19/06/2020', '19', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28663, '18/06/2020', '18', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28664, '17/06/2020', '17', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28665, '16/06/2020', '16', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28666, '15/06/2020', '15', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28667, '14/06/2020', '14', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28668, '13/06/2020', '13', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28669, '12/06/2020', '12', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28670, '11/06/2020', '11', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28671, '10/06/2020', '10', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28672, '09/06/2020', '9', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28673, '08/06/2020', '8', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28674, '07/06/2020', '7', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28675, '06/06/2020', '6', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28676, '05/06/2020', '5', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28677, '04/06/2020', '4', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (28678, '03/06/2020', '3', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28679, '02/06/2020', '2', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28680, '01/06/2020', '1', '6', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28681, '31/05/2020', '31', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '1.18218681');
INSERT INTO public.ecdc_import VALUES (28682, '30/05/2020', '30', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '2.36437362');
INSERT INTO public.ecdc_import VALUES (28683, '29/05/2020', '29', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '4.72874724');
INSERT INTO public.ecdc_import VALUES (28684, '28/05/2020', '28', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '4.72874724');
INSERT INTO public.ecdc_import VALUES (28685, '27/05/2020', '27', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '5.91093405');
INSERT INTO public.ecdc_import VALUES (28686, '26/05/2020', '26', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28687, '25/05/2020', '25', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28688, '24/05/2020', '24', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '7.09312085');
INSERT INTO public.ecdc_import VALUES (28689, '23/05/2020', '23', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '8.27530766');
INSERT INTO public.ecdc_import VALUES (28690, '22/05/2020', '22', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '8.27530766');
INSERT INTO public.ecdc_import VALUES (28691, '21/05/2020', '21', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28692, '20/05/2020', '20', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '10.63968128');
INSERT INTO public.ecdc_import VALUES (28693, '19/05/2020', '19', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '11.82186809');
INSERT INTO public.ecdc_import VALUES (28694, '18/05/2020', '18', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '16.55061533');
INSERT INTO public.ecdc_import VALUES (28695, '17/05/2020', '17', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '17.73280214');
INSERT INTO public.ecdc_import VALUES (28696, '16/05/2020', '16', '5', '2020', '2', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '21.27936256');
INSERT INTO public.ecdc_import VALUES (28697, '15/05/2020', '15', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '20.09717576');
INSERT INTO public.ecdc_import VALUES (28698, '14/05/2020', '14', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '22.46154937');
INSERT INTO public.ecdc_import VALUES (28699, '13/05/2020', '13', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '26.0081098');
INSERT INTO public.ecdc_import VALUES (28700, '12/05/2020', '12', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '26.0081098');
INSERT INTO public.ecdc_import VALUES (28701, '11/05/2020', '11', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '26.0081098');
INSERT INTO public.ecdc_import VALUES (28702, '10/05/2020', '10', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '26.0081098');
INSERT INTO public.ecdc_import VALUES (28703, '09/05/2020', '9', '5', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '24.82592299');
INSERT INTO public.ecdc_import VALUES (28704, '08/05/2020', '8', '5', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '26.0081098');
INSERT INTO public.ecdc_import VALUES (28705, '07/05/2020', '7', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '23.64373618');
INSERT INTO public.ecdc_import VALUES (28706, '06/05/2020', '6', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '22.46154937');
INSERT INTO public.ecdc_import VALUES (28707, '05/05/2020', '5', '5', '2020', '4', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '29.55467023');
INSERT INTO public.ecdc_import VALUES (28708, '04/05/2020', '4', '5', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '27.19029661');
INSERT INTO public.ecdc_import VALUES (28709, '03/05/2020', '3', '5', '2020', '4', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '27.19029661');
INSERT INTO public.ecdc_import VALUES (28710, '02/05/2020', '2', '5', '2020', '1', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '31.91904385');
INSERT INTO public.ecdc_import VALUES (28711, '01/05/2020', '1', '5', '2020', '2', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '36.64779108');
INSERT INTO public.ecdc_import VALUES (28712, '30/04/2020', '30', '4', '2020', '4', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '69.74902174');
INSERT INTO public.ecdc_import VALUES (28713, '29/04/2020', '29', '4', '2020', '1', '3', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '79.20651621');
INSERT INTO public.ecdc_import VALUES (28714, '28/04/2020', '28', '4', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '78.0243294');
INSERT INTO public.ecdc_import VALUES (28715, '27/04/2020', '27', '4', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '94.57494473');
INSERT INTO public.ecdc_import VALUES (28716, '26/04/2020', '26', '4', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '96.93931835');
INSERT INTO public.ecdc_import VALUES (28717, '25/04/2020', '25', '4', '2020', '1', '2', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '126.49398858');
INSERT INTO public.ecdc_import VALUES (28718, '24/04/2020', '24', '4', '2020', '0', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '138.31585667');
INSERT INTO public.ecdc_import VALUES (28719, '23/04/2020', '23', '4', '2020', '0', '5', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '176.14583456');
INSERT INTO public.ecdc_import VALUES (28720, '22/04/2020', '22', '4', '2020', '7', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '185.60332904');
INSERT INTO public.ecdc_import VALUES (28721, '21/04/2020', '21', '4', '2020', '2', '3', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '190.33207627');
INSERT INTO public.ecdc_import VALUES (28722, '20/04/2020', '20', '4', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '202.15394437');
INSERT INTO public.ecdc_import VALUES (28723, '19/04/2020', '19', '4', '2020', '8', '2', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '202.15394437');
INSERT INTO public.ecdc_import VALUES (28724, '18/04/2020', '18', '4', '2020', '5', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '206.8826916');
INSERT INTO public.ecdc_import VALUES (28725, '17/04/2020', '17', '4', '2020', '30', '2', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '251.80579035');
INSERT INTO public.ecdc_import VALUES (28726, '16/04/2020', '16', '4', '2020', '12', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '223.43330693');
INSERT INTO public.ecdc_import VALUES (28727, '15/04/2020', '15', '4', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '224.61549374');
INSERT INTO public.ecdc_import VALUES (28728, '14/04/2020', '14', '4', '2020', '14', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '236.43736183');
INSERT INTO public.ecdc_import VALUES (28729, '13/04/2020', '13', '4', '2020', '2', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '219.8867465');
INSERT INTO public.ecdc_import VALUES (28730, '12/04/2020', '12', '4', '2020', '25', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '229.34424098');
INSERT INTO public.ecdc_import VALUES (28731, '11/04/2020', '11', '4', '2020', '11', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '203.33613118');
INSERT INTO public.ecdc_import VALUES (28732, '10/04/2020', '10', '4', '2020', '32', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '193.8786367');
INSERT INTO public.ecdc_import VALUES (28733, '09/04/2020', '9', '4', '2020', '8', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '159.59521924');
INSERT INTO public.ecdc_import VALUES (28734, '08/04/2020', '8', '4', '2020', '11', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '150.13772476');
INSERT INTO public.ecdc_import VALUES (28735, '07/04/2020', '7', '4', '2020', '12', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '148.95553795');
INSERT INTO public.ecdc_import VALUES (28736, '06/04/2020', '6', '4', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '147.77335114');
INSERT INTO public.ecdc_import VALUES (28737, '05/04/2020', '5', '4', '2020', '12', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '146.59116434');
INSERT INTO public.ecdc_import VALUES (28738, '04/04/2020', '4', '4', '2020', '43', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '133.58710944');
INSERT INTO public.ecdc_import VALUES (28739, '03/04/2020', '3', '4', '2020', '6', '1', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '83.93526345');
INSERT INTO public.ecdc_import VALUES (28740, '02/04/2020', '2', '4', '2020', '13', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28741, '01/04/2020', '1', '4', '2020', '10', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28742, '31/03/2020', '31', '3', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28743, '30/03/2020', '30', '3', '2020', '10', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28744, '29/03/2020', '29', '3', '2020', '3', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28745, '28/03/2020', '28', '3', '2020', '3', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28746, '27/03/2020', '27', '3', '2020', '3', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28747, '26/03/2020', '26', '3', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28748, '25/03/2020', '25', '3', '2020', '10', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28749, '24/03/2020', '24', '3', '2020', '11', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28750, '23/03/2020', '23', '3', '2020', '0', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28751, '22/03/2020', '22', '3', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28752, '21/03/2020', '21', '3', '2020', '1', '0', '84589', 'Isle_of_Man', 'IM', 'IMN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (28753, '14/12/2020', '14', '12', '2020', '1844', '16', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '256.81467404');
INSERT INTO public.ecdc_import VALUES (28754, '13/12/2020', '13', '12', '2020', '2746', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '246.69655854');
INSERT INTO public.ecdc_import VALUES (28755, '12/12/2020', '12', '12', '2020', '409', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '228.50273136');
INSERT INTO public.ecdc_import VALUES (28756, '11/12/2020', '11', '12', '2020', '1856', '28', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '227.91583371');
INSERT INTO public.ecdc_import VALUES (28757, '10/12/2020', '10', '12', '2020', '2036', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '219.34712801');
INSERT INTO public.ecdc_import VALUES (28758, '09/12/2020', '9', '12', '2020', '1637', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '208.8064462');
INSERT INTO public.ecdc_import VALUES (28759, '08/12/2020', '8', '12', '2020', '2130', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '199.55693923');
INSERT INTO public.ecdc_import VALUES (28760, '07/12/2020', '7', '12', '2020', '1135', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '185.43618175');
INSERT INTO public.ecdc_import VALUES (28761, '06/12/2020', '6', '12', '2020', '1965', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '183.92198581');
INSERT INTO public.ecdc_import VALUES (28762, '05/12/2020', '5', '12', '2020', '557', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '168.47483964');
INSERT INTO public.ecdc_import VALUES (28763, '04/12/2020', '4', '12', '2020', '1605', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '165.93944179');
INSERT INTO public.ecdc_import VALUES (28764, '03/12/2020', '3', '12', '2020', '1348', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '159.73006464');
INSERT INTO public.ecdc_import VALUES (28765, '02/12/2020', '2', '12', '2020', '1218', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '149.41240394');
INSERT INTO public.ecdc_import VALUES (28766, '01/12/2020', '1', '12', '2020', '1393', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '144.82286431');
INSERT INTO public.ecdc_import VALUES (28767, '30/11/2020', '30', '11', '2020', '982', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '139.03605347');
INSERT INTO public.ecdc_import VALUES (28768, '29/11/2020', '29', '11', '2020', '1196', '15', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '135.4325019');
INSERT INTO public.ecdc_import VALUES (28769, '28/11/2020', '28', '11', '2020', '359', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '130.37344415');
INSERT INTO public.ecdc_import VALUES (28770, '27/11/2020', '27', '11', '2020', '1126', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '132.45106183');
INSERT INTO public.ecdc_import VALUES (28771, '26/11/2020', '26', '11', '2020', '1138', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '129.0118416');
INSERT INTO public.ecdc_import VALUES (28772, '25/11/2020', '25', '11', '2020', '849', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '121.25305466');
INSERT INTO public.ecdc_import VALUES (28773, '24/11/2020', '24', '11', '2020', '927', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '119.0932713');
INSERT INTO public.ecdc_import VALUES (28774, '23/11/2020', '23', '11', '2020', '1006', '49', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '115.51319563');
INSERT INTO public.ecdc_import VALUES (28775, '22/11/2020', '22', '11', '2020', '649', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '110.04330953');
INSERT INTO public.ecdc_import VALUES (28776, '21/11/2020', '21', '11', '2020', '341', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '109.70290889');
INSERT INTO public.ecdc_import VALUES (28777, '20/11/2020', '20', '11', '2020', '1076', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '109.11601124');
INSERT INTO public.ecdc_import VALUES (28778, '19/11/2020', '19', '11', '2020', '469', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '103.00053772');
INSERT INTO public.ecdc_import VALUES (28779, '18/11/2020', '18', '11', '2020', '827', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '106.46323386');
INSERT INTO public.ecdc_import VALUES (28780, '17/11/2020', '17', '11', '2020', '900', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '106.2519507');
INSERT INTO public.ecdc_import VALUES (28781, '16/11/2020', '16', '11', '2020', '675', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '105.68852896');
INSERT INTO public.ecdc_import VALUES (28782, '15/11/2020', '15', '11', '2020', '765', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '105.19553493');
INSERT INTO public.ecdc_import VALUES (28783, '14/11/2020', '14', '11', '2020', '536', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '105.57114943');
INSERT INTO public.ecdc_import VALUES (28784, '13/11/2020', '13', '11', '2020', '833', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '100.58251939');
INSERT INTO public.ecdc_import VALUES (28785, '12/11/2020', '12', '11', '2020', '477', '17', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '100.2303808');
INSERT INTO public.ecdc_import VALUES (28786, '11/11/2020', '11', '11', '2020', '665', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '103.58743537');
INSERT INTO public.ecdc_import VALUES (28787, '10/11/2020', '10', '11', '2020', '622', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '109.5503155');
INSERT INTO public.ecdc_import VALUES (28788, '09/11/2020', '9', '11', '2020', '540', '30', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '110.50108969');
INSERT INTO public.ecdc_import VALUES (28789, '08/11/2020', '8', '11', '2020', '620', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '112.78999053');
INSERT INTO public.ecdc_import VALUES (28790, '07/11/2020', '7', '11', '2020', '291', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '112.23830674');
INSERT INTO public.ecdc_import VALUES (28791, '06/11/2020', '6', '11', '2020', '555', '42', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '111.96833382');
INSERT INTO public.ecdc_import VALUES (28792, '05/11/2020', '5', '11', '2020', '764', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '119.97361778');
INSERT INTO public.ecdc_import VALUES (28793, '04/11/2020', '4', '11', '2020', '809', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '120.77179858');
INSERT INTO public.ecdc_import VALUES (28794, '03/11/2020', '3', '11', '2020', '852', '26', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '130.37344415');
INSERT INTO public.ecdc_import VALUES (28795, '02/11/2020', '2', '11', '2020', '633', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '132.46279979');
INSERT INTO public.ecdc_import VALUES (28796, '01/11/2020', '1', '11', '2020', '797', '27', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '136.93495988');
INSERT INTO public.ecdc_import VALUES (28797, '31/10/2020', '31', '10', '2020', '111', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '138.56653535');
INSERT INTO public.ecdc_import VALUES (28798, '30/10/2020', '30', '10', '2020', '803', '17', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '157.15945293');
INSERT INTO public.ecdc_import VALUES (28799, '29/10/2020', '29', '10', '2020', '763', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '158.86145612');
INSERT INTO public.ecdc_import VALUES (28800, '28/10/2020', '28', '10', '2020', '1173', '30', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '173.13480699');
INSERT INTO public.ecdc_import VALUES (28801, '27/10/2020', '27', '10', '2020', '703', '56', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '185.623989');
INSERT INTO public.ecdc_import VALUES (28802, '26/10/2020', '26', '10', '2020', '735', '25', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '215.03929925');
INSERT INTO public.ecdc_import VALUES (28803, '25/10/2020', '25', '10', '2020', '573', '43', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '227.83366804');
INSERT INTO public.ecdc_import VALUES (28804, '24/10/2020', '24', '10', '2020', '268', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '246.28573018');
INSERT INTO public.ecdc_import VALUES (28805, '23/10/2020', '23', '10', '2020', '1237', '28', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '260.33605994');
INSERT INTO public.ecdc_import VALUES (28806, '22/10/2020', '22', '10', '2020', '832', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '303.47303728');
INSERT INTO public.ecdc_import VALUES (28807, '21/10/2020', '21', '10', '2020', '1627', '15', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '345.99964105');
INSERT INTO public.ecdc_import VALUES (28808, '20/10/2020', '20', '10', '2020', '1030', '54', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '382.26991587');
INSERT INTO public.ecdc_import VALUES (28809, '19/10/2020', '19', '10', '2020', '1014', '19', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '418.70452203');
INSERT INTO public.ecdc_import VALUES (28810, '18/10/2020', '18', '10', '2020', '936', '49', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '445.74876578');
INSERT INTO public.ecdc_import VALUES (28811, '17/10/2020', '17', '10', '2020', '1695', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '504.66155197');
INSERT INTO public.ecdc_import VALUES (28812, '16/10/2020', '16', '10', '2020', '948', '28', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '521.5172525');
INSERT INTO public.ecdc_import VALUES (28813, '15/10/2020', '15', '10', '2020', '1979', '44', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '600.04415818');
INSERT INTO public.ecdc_import VALUES (28814, '14/10/2020', '14', '10', '2020', '2237', '34', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '708.36198861');
INSERT INTO public.ecdc_import VALUES (28815, '13/10/2020', '13', '10', '2020', '3209', '38', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '725.07683371');
INSERT INTO public.ecdc_import VALUES (28816, '12/10/2020', '12', '10', '2020', '1825', '42', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '713.69101928');
INSERT INTO public.ecdc_import VALUES (28817, '11/10/2020', '11', '10', '2020', '2145', '55', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '738.35245857');
INSERT INTO public.ecdc_import VALUES (28818, '10/10/2020', '10', '10', '2020', '1465', '22', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '851.99931967');
INSERT INTO public.ecdc_import VALUES (28819, '09/10/2020', '9', '10', '2020', '4912', '40', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '844.36965021');
INSERT INTO public.ecdc_import VALUES (28820, '08/10/2020', '8', '10', '2020', '4455', '27', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '901.36915005');
INSERT INTO public.ecdc_import VALUES (28821, '07/10/2020', '7', '10', '2020', '4717', '40', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '981.9032457');
INSERT INTO public.ecdc_import VALUES (28822, '06/10/2020', '6', '10', '2020', '4134', '38', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '935.86699397');
INSERT INTO public.ecdc_import VALUES (28823, '05/10/2020', '5', '10', '2020', '3318', '37', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '936.07827712');
INSERT INTO public.ecdc_import VALUES (28824, '04/10/2020', '4', '10', '2020', '5955', '49', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '953.76737232');
INSERT INTO public.ecdc_import VALUES (28825, '03/10/2020', '3', '10', '2020', '3131', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '937.05252722');
INSERT INTO public.ecdc_import VALUES (28826, '02/10/2020', '2', '10', '2020', '7638', '51', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '925.39673988');
INSERT INTO public.ecdc_import VALUES (28827, '01/10/2020', '1', '10', '2020', '11207', '43', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '896.36878207');
INSERT INTO public.ecdc_import VALUES (28828, '30/09/2020', '30', '9', '2020', '3661', '21', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '823.20612092');
INSERT INTO public.ecdc_import VALUES (28829, '29/09/2020', '29', '9', '2020', '2239', '41', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '855.66156101');
INSERT INTO public.ecdc_import VALUES (28830, '28/09/2020', '28', '9', '2020', '3926', '25', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '873.65584298');
INSERT INTO public.ecdc_import VALUES (28831, '27/09/2020', '27', '9', '2020', '11827', '36', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '867.23518268');
INSERT INTO public.ecdc_import VALUES (28832, '26/09/2020', '26', '9', '2020', '815', '27', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '783.02710775');
INSERT INTO public.ecdc_import VALUES (28833, '25/09/2020', '25', '9', '2020', '9768', '53', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '797.19481704');
INSERT INTO public.ecdc_import VALUES (28834, '24/09/2020', '24', '9', '2020', '11316', '40', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '729.02078592');
INSERT INTO public.ecdc_import VALUES (28835, '23/09/2020', '23', '9', '2020', '795', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '641.53782209');
INSERT INTO public.ecdc_import VALUES (28836, '22/09/2020', '22', '9', '2020', '4152', '17', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '675.35486473');
INSERT INTO public.ecdc_import VALUES (28837, '21/09/2020', '21', '9', '2020', '4825', '30', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '678.25413913');
INSERT INTO public.ecdc_import VALUES (28838, '20/09/2020', '20', '9', '2020', '4531', '30', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '638.88504471');
INSERT INTO public.ecdc_import VALUES (28839, '19/09/2020', '19', '9', '2020', '2138', '27', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '618.0267022');
INSERT INTO public.ecdc_import VALUES (28840, '18/09/2020', '18', '9', '2020', '5165', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '606.5352462');
INSERT INTO public.ecdc_import VALUES (28841, '17/09/2020', '17', '9', '2020', '4974', '18', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '577.84768903');
INSERT INTO public.ecdc_import VALUES (28842, '16/09/2020', '16', '9', '2020', '6426', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '557.8931689');
INSERT INTO public.ecdc_import VALUES (28843, '15/09/2020', '15', '9', '2020', '3772', '17', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '508.69940781');
INSERT INTO public.ecdc_import VALUES (28844, '14/09/2020', '14', '9', '2020', '3379', '16', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '499.75508761');
INSERT INTO public.ecdc_import VALUES (28845, '13/09/2020', '13', '9', '2020', '4653', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '464.75251172');
INSERT INTO public.ecdc_import VALUES (28846, '12/09/2020', '12', '9', '2020', '2022', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '429.18651408');
INSERT INTO public.ecdc_import VALUES (28847, '11/09/2020', '11', '9', '2020', '3960', '23', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '424.19788405');
INSERT INTO public.ecdc_import VALUES (28848, '10/09/2020', '10', '9', '2020', '3863', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '394.60650449');
INSERT INTO public.ecdc_import VALUES (28849, '09/09/2020', '9', '9', '2020', '3676', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '371.40057138');
INSERT INTO public.ecdc_import VALUES (28850, '08/09/2020', '8', '9', '2020', '4399', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '351.90383142');
INSERT INTO public.ecdc_import VALUES (28851, '07/09/2020', '7', '9', '2020', '1471', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '322.71154227');
INSERT INTO public.ecdc_import VALUES (28852, '06/09/2020', '6', '9', '2020', '2754', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '318.01636106');
INSERT INTO public.ecdc_import VALUES (28853, '05/09/2020', '5', '9', '2020', '1159', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '301.70060637');
INSERT INTO public.ecdc_import VALUES (28854, '04/09/2020', '4', '9', '2020', '2721', '16', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '301.20761234');
INSERT INTO public.ecdc_import VALUES (28855, '03/09/2020', '3', '9', '2020', '3274', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '288.4015056');
INSERT INTO public.ecdc_import VALUES (28856, '02/09/2020', '2', '9', '2020', '2235', '18', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '268.28265413');
INSERT INTO public.ecdc_import VALUES (28857, '01/09/2020', '1', '9', '2020', '3010', '20', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '257.072909');
INSERT INTO public.ecdc_import VALUES (28858, '31/08/2020', '31', '8', '2020', '397', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '250.48791736');
INSERT INTO public.ecdc_import VALUES (28859, '30/08/2020', '30', '8', '2020', '1623', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '249.78364018');
INSERT INTO public.ecdc_import VALUES (28860, '29/08/2020', '29', '8', '2020', '1597', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '245.5579771');
INSERT INTO public.ecdc_import VALUES (28861, '28/08/2020', '28', '8', '2020', '1439', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '241.57881102');
INSERT INTO public.ecdc_import VALUES (28862, '27/08/2020', '27', '8', '2020', '1886', '16', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '239.57162106');
INSERT INTO public.ecdc_import VALUES (28863, '26/08/2020', '26', '8', '2020', '2015', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '236.15587673');
INSERT INTO public.ecdc_import VALUES (28864, '25/08/2020', '25', '8', '2020', '1912', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '232.89272579');
INSERT INTO public.ecdc_import VALUES (28865, '24/08/2020', '24', '8', '2020', '1071', '15', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '236.50801532');
INSERT INTO public.ecdc_import VALUES (28866, '23/08/2020', '23', '8', '2020', '1364', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '230.23994841');
INSERT INTO public.ecdc_import VALUES (28867, '22/08/2020', '22', '8', '2020', '1117', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '231.53112324');
INSERT INTO public.ecdc_import VALUES (28868, '21/08/2020', '21', '8', '2020', '1630', '16', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '229.4182917');
INSERT INTO public.ecdc_import VALUES (28869, '20/08/2020', '20', '8', '2020', '1560', '71', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '230.592087');
INSERT INTO public.ecdc_import VALUES (28870, '19/08/2020', '19', '8', '2020', '1280', '16', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '232.02411727');
INSERT INTO public.ecdc_import VALUES (28871, '18/08/2020', '18', '8', '2020', '2449', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '237.4118377');
INSERT INTO public.ecdc_import VALUES (28872, '17/08/2020', '17', '8', '2020', '337', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '230.70946653');
INSERT INTO public.ecdc_import VALUES (28873, '16/08/2020', '16', '8', '2020', '1263', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '235.4633375');
INSERT INTO public.ecdc_import VALUES (28874, '15/08/2020', '15', '8', '2020', '1258', '14', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '236.05023515');
INSERT INTO public.ecdc_import VALUES (28875, '14/08/2020', '14', '8', '2020', '1268', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '228.22102049');
INSERT INTO public.ecdc_import VALUES (28876, '13/08/2020', '13', '8', '2020', '1595', '17', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '234.73558441');
INSERT INTO public.ecdc_import VALUES (28877, '12/08/2020', '12', '8', '2020', '1737', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '239.50119334');
INSERT INTO public.ecdc_import VALUES (28878, '11/08/2020', '11', '8', '2020', '2220', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '243.72685642');
INSERT INTO public.ecdc_import VALUES (28879, '10/08/2020', '10', '8', '2020', '537', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '247.03695918');
INSERT INTO public.ecdc_import VALUES (28880, '09/08/2020', '9', '8', '2020', '1474', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '255.73478236');
INSERT INTO public.ecdc_import VALUES (28881, '08/08/2020', '8', '8', '2020', '937', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '252.55379709');
INSERT INTO public.ecdc_import VALUES (28882, '07/08/2020', '7', '8', '2020', '1730', '11', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '259.08009897');
INSERT INTO public.ecdc_import VALUES (28883, '06/08/2020', '6', '8', '2020', '1682', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '261.04033712');
INSERT INTO public.ecdc_import VALUES (28884, '05/08/2020', '5', '8', '2020', '1739', '15', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '265.27773816');
INSERT INTO public.ecdc_import VALUES (28885, '04/08/2020', '4', '8', '2020', '1878', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '272.6374347');
INSERT INTO public.ecdc_import VALUES (28886, '03/08/2020', '3', '8', '2020', '742', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '266.87409977');
INSERT INTO public.ecdc_import VALUES (28887, '02/08/2020', '2', '8', '2020', '1313', '15', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '269.01040722');
INSERT INTO public.ecdc_import VALUES (28888, '01/08/2020', '1', '8', '2020', '591', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '275.97101336');
INSERT INTO public.ecdc_import VALUES (28889, '31/07/2020', '31', '7', '2020', '1823', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '285.46701735');
INSERT INTO public.ecdc_import VALUES (28890, '30/07/2020', '30', '7', '2020', '2001', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '279.85627581');
INSERT INTO public.ecdc_import VALUES (28891, '29/07/2020', '29', '7', '2020', '2097', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '283.99977322');
INSERT INTO public.ecdc_import VALUES (28892, '28/07/2020', '28', '7', '2020', '2502', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '279.66846856');
INSERT INTO public.ecdc_import VALUES (28893, '27/07/2020', '27', '7', '2020', '1278', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '273.32997393');
INSERT INTO public.ecdc_import VALUES (28894, '26/07/2020', '26', '7', '2020', '1203', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '272.49657927');
INSERT INTO public.ecdc_import VALUES (28895, '25/07/2020', '25', '7', '2020', '1493', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '272.42615155');
INSERT INTO public.ecdc_import VALUES (28896, '24/07/2020', '24', '7', '2020', '1897', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '271.81577799');
INSERT INTO public.ecdc_import VALUES (28897, '23/07/2020', '23', '7', '2020', '2043', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '264.43260555');
INSERT INTO public.ecdc_import VALUES (28898, '22/07/2020', '22', '7', '2020', '2366', '10', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '256.12213481');
INSERT INTO public.ecdc_import VALUES (28899, '21/07/2020', '21', '7', '2020', '1387', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '240.5106573');
INSERT INTO public.ecdc_import VALUES (28900, '20/07/2020', '20', '7', '2020', '924', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '238.64432277');
INSERT INTO public.ecdc_import VALUES (28901, '19/07/2020', '19', '7', '2020', '1906', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '237.04796116');
INSERT INTO public.ecdc_import VALUES (28902, '18/07/2020', '18', '7', '2020', '1400', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '227.76324032');
INSERT INTO public.ecdc_import VALUES (28903, '17/07/2020', '17', '7', '2020', '1345', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '217.351676');
INSERT INTO public.ecdc_import VALUES (28904, '16/07/2020', '16', '7', '2020', '2354', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '216.64739882');
INSERT INTO public.ecdc_import VALUES (28905, '15/07/2020', '15', '7', '2020', '1728', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '200.90680382');
INSERT INTO public.ecdc_import VALUES (28906, '14/07/2020', '14', '7', '2020', '1962', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '190.04919728');
INSERT INTO public.ecdc_import VALUES (28907, '13/07/2020', '13', '7', '2020', '1207', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '175.07156923');
INSERT INTO public.ecdc_import VALUES (28908, '12/07/2020', '12', '7', '2020', '1197', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '164.82433625');
INSERT INTO public.ecdc_import VALUES (28909, '11/07/2020', '11', '7', '2020', '1441', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '158.06327531');
INSERT INTO public.ecdc_import VALUES (28910, '10/07/2020', '10', '7', '2020', '1268', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '145.84406622');
INSERT INTO public.ecdc_import VALUES (28911, '09/07/2020', '9', '7', '2020', '1335', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '135.13905307');
INSERT INTO public.ecdc_import VALUES (28912, '08/07/2020', '8', '7', '2020', '1036', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '125.7134768');
INSERT INTO public.ecdc_import VALUES (28913, '07/07/2020', '7', '7', '2020', '1228', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '118.60027727');
INSERT INTO public.ecdc_import VALUES (28914, '06/07/2020', '6', '7', '2020', '788', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '107.75440869');
INSERT INTO public.ecdc_import VALUES (28915, '05/07/2020', '5', '7', '2020', '1115', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '100.2069049');
INSERT INTO public.ecdc_import VALUES (28916, '04/07/2020', '4', '7', '2020', '513', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '90.57004547');
INSERT INTO public.ecdc_import VALUES (28917, '03/07/2020', '3', '7', '2020', '1285', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '88.10507534');
INSERT INTO public.ecdc_import VALUES (28918, '02/07/2020', '2', '7', '2020', '1013', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '74.68859504');
INSERT INTO public.ecdc_import VALUES (28919, '01/07/2020', '1', '7', '2020', '803', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '65.81470256');
INSERT INTO public.ecdc_import VALUES (28920, '30/06/2020', '30', '6', '2020', '686', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '59.89877424');
INSERT INTO public.ecdc_import VALUES (28921, '29/06/2020', '29', '6', '2020', '334', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '54.39367428');
INSERT INTO public.ecdc_import VALUES (28922, '28/06/2020', '28', '6', '2020', '621', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '51.79958666');
INSERT INTO public.ecdc_import VALUES (28923, '27/06/2020', '27', '6', '2020', '400', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '46.05972763');
INSERT INTO public.ecdc_import VALUES (28924, '26/06/2020', '26', '6', '2020', '356', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '43.41868821');
INSERT INTO public.ecdc_import VALUES (28925, '25/06/2020', '25', '6', '2020', '532', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '43.30130868');
INSERT INTO public.ecdc_import VALUES (28926, '24/06/2020', '24', '6', '2020', '430', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '38.07791958');
INSERT INTO public.ecdc_import VALUES (28927, '23/06/2020', '23', '6', '2020', '304', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '35.13169338');
INSERT INTO public.ecdc_import VALUES (28928, '22/06/2020', '22', '6', '2020', '145', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '33.60575948');
INSERT INTO public.ecdc_import VALUES (28929, '21/06/2020', '21', '6', '2020', '294', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '33.4531661');
INSERT INTO public.ecdc_import VALUES (28930, '20/06/2020', '20', '6', '2020', '303', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '30.90603029');
INSERT INTO public.ecdc_import VALUES (28931, '19/06/2020', '19', '6', '2020', '142', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '29.03969576');
INSERT INTO public.ecdc_import VALUES (28932, '18/06/2020', '18', '6', '2020', '257', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '28.93405418');
INSERT INTO public.ecdc_import VALUES (28933, '17/06/2020', '17', '6', '2020', '299', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '26.93860217');
INSERT INTO public.ecdc_import VALUES (28934, '16/06/2020', '16', '6', '2020', '217', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '24.87272244');
INSERT INTO public.ecdc_import VALUES (28935, '15/06/2020', '15', '6', '2020', '113', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '24.06280368');
INSERT INTO public.ecdc_import VALUES (28936, '14/06/2020', '14', '6', '2020', '132', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '23.42895422');
INSERT INTO public.ecdc_import VALUES (28937, '13/06/2020', '13', '6', '2020', '175', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '22.17299325');
INSERT INTO public.ecdc_import VALUES (28938, '12/06/2020', '12', '6', '2020', '346', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '21.46871607');
INSERT INTO public.ecdc_import VALUES (28939, '11/06/2020', '11', '6', '2020', '87', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '18.33468261');
INSERT INTO public.ecdc_import VALUES (28940, '10/06/2020', '10', '6', '2020', '179', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '17.73604701');
INSERT INTO public.ecdc_import VALUES (28941, '09/06/2020', '9', '6', '2020', '174', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '15.90492634');
INSERT INTO public.ecdc_import VALUES (28942, '08/06/2020', '8', '6', '2020', '132', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '14.02685385');
INSERT INTO public.ecdc_import VALUES (28943, '07/06/2020', '7', '6', '2020', '77', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '12.82958265');
INSERT INTO public.ecdc_import VALUES (28944, '06/06/2020', '6', '6', '2020', '144', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '11.92576026');
INSERT INTO public.ecdc_import VALUES (28945, '05/06/2020', '5', '6', '2020', '133', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '10.23549503');
INSERT INTO public.ecdc_import VALUES (28946, '04/06/2020', '4', '6', '2020', '87', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '8.90910634');
INSERT INTO public.ecdc_import VALUES (28947, '03/06/2020', '3', '6', '2020', '123', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '8.12266349');
INSERT INTO public.ecdc_import VALUES (28948, '02/06/2020', '2', '6', '2020', '148', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '7.0192959');
INSERT INTO public.ecdc_import VALUES (28949, '01/06/2020', '1', '6', '2020', '59', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '5.32903067');
INSERT INTO public.ecdc_import VALUES (28950, '31/05/2020', '31', '5', '2020', '25', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.74213302');
INSERT INTO public.ecdc_import VALUES (28951, '30/05/2020', '30', '5', '2020', '115', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.6717053');
INSERT INTO public.ecdc_import VALUES (28952, '29/05/2020', '29', '5', '2020', '79', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '3.43922023');
INSERT INTO public.ecdc_import VALUES (28953, '28/05/2020', '28', '5', '2020', '36', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.87579849');
INSERT INTO public.ecdc_import VALUES (28954, '27/05/2020', '27', '5', '2020', '23', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.67625329');
INSERT INTO public.ecdc_import VALUES (28955, '26/05/2020', '26', '5', '2020', '14', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.67625329');
INSERT INTO public.ecdc_import VALUES (28956, '25/05/2020', '25', '5', '2020', '30', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.85232258');
INSERT INTO public.ecdc_import VALUES (28957, '24/05/2020', '24', '5', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.77015691');
INSERT INTO public.ecdc_import VALUES (28958, '23/05/2020', '23', '5', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.98144007');
INSERT INTO public.ecdc_import VALUES (28959, '22/05/2020', '22', '5', '2020', '20', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '3.62702748');
INSERT INTO public.ecdc_import VALUES (28960, '21/05/2020', '21', '5', '2020', '20', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.22566309');
INSERT INTO public.ecdc_import VALUES (28961, '20/05/2020', '20', '5', '2020', '29', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.23740104');
INSERT INTO public.ecdc_import VALUES (28962, '19/05/2020', '19', '5', '2020', '4', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.40173238');
INSERT INTO public.ecdc_import VALUES (28963, '18/05/2020', '18', '5', '2020', '9', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.80082278');
INSERT INTO public.ecdc_import VALUES (28964, '17/05/2020', '17', '5', '2020', '19', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.96515413');
INSERT INTO public.ecdc_import VALUES (28965, '16/05/2020', '16', '5', '2020', '10', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '5.72812107');
INSERT INTO public.ecdc_import VALUES (28966, '15/05/2020', '15', '5', '2020', '31', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '7.43012426');
INSERT INTO public.ecdc_import VALUES (28967, '14/05/2020', '14', '5', '2020', '19', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '8.38089845');
INSERT INTO public.ecdc_import VALUES (28968, '13/05/2020', '13', '5', '2020', '23', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '11.03367584');
INSERT INTO public.ecdc_import VALUES (28969, '12/05/2020', '12', '5', '2020', '29', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '12.20747114');
INSERT INTO public.ecdc_import VALUES (28970, '11/05/2020', '11', '5', '2020', '23', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '12.6652513');
INSERT INTO public.ecdc_import VALUES (28971, '10/05/2020', '10', '5', '2020', '18', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '13.56907369');
INSERT INTO public.ecdc_import VALUES (28972, '09/05/2020', '9', '5', '2020', '55', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '16.17489926');
INSERT INTO public.ecdc_import VALUES (28973, '08/05/2020', '8', '5', '2020', '71', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '17.59519157');
INSERT INTO public.ecdc_import VALUES (28974, '07/05/2020', '7', '5', '2020', '21', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '20.16580328');
INSERT INTO public.ecdc_import VALUES (28975, '06/05/2020', '6', '5', '2020', '43', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '27.54897573');
INSERT INTO public.ecdc_import VALUES (28976, '05/05/2020', '5', '5', '2020', '38', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '29.73223499');
INSERT INTO public.ecdc_import VALUES (28977, '04/05/2020', '4', '5', '2020', '23', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '31.89201834');
INSERT INTO public.ecdc_import VALUES (28978, '03/05/2020', '3', '5', '2020', '84', '4', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '34.27482281');
INSERT INTO public.ecdc_import VALUES (28979, '02/05/2020', '2', '5', '2020', '155', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '36.61067546');
INSERT INTO public.ecdc_import VALUES (28980, '01/05/2020', '1', '5', '2020', '112', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '37.42059422');
INSERT INTO public.ecdc_import VALUES (28981, '30/04/2020', '30', '4', '2020', '245', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '39.1225974');
INSERT INTO public.ecdc_import VALUES (28982, '29/04/2020', '29', '4', '2020', '123', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '41.58756754');
INSERT INTO public.ecdc_import VALUES (28983, '28/04/2020', '28', '4', '2020', '68', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '45.5432577');
INSERT INTO public.ecdc_import VALUES (28984, '27/04/2020', '27', '4', '2020', '100', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '49.92151418');
INSERT INTO public.ecdc_import VALUES (28985, '26/04/2020', '26', '4', '2020', '240', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '53.46637599');
INSERT INTO public.ecdc_import VALUES (28986, '25/04/2020', '25', '4', '2020', '176', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '54.58148152');
INSERT INTO public.ecdc_import VALUES (28987, '24/04/2020', '24', '4', '2020', '290', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '57.68030112');
INSERT INTO public.ecdc_import VALUES (28988, '23/04/2020', '23', '4', '2020', '650', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '60.89650025');
INSERT INTO public.ecdc_import VALUES (28989, '22/04/2020', '22', '4', '2020', '229', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '55.09795146');
INSERT INTO public.ecdc_import VALUES (28990, '21/04/2020', '21', '4', '2020', '222', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '56.44781605');
INSERT INTO public.ecdc_import VALUES (28991, '20/04/2020', '20', '4', '2020', '226', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '59.40578021');
INSERT INTO public.ecdc_import VALUES (28992, '19/04/2020', '19', '4', '2020', '283', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '61.58903948');
INSERT INTO public.ecdc_import VALUES (28993, '18/04/2020', '18', '4', '2020', '224', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '65.19259105');
INSERT INTO public.ecdc_import VALUES (28994, '17/04/2020', '17', '4', '2020', '257', '12', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '76.36712232');
INSERT INTO public.ecdc_import VALUES (28995, '16/04/2020', '16', '4', '2020', '455', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '81.10925534');
INSERT INTO public.ecdc_import VALUES (28996, '15/04/2020', '15', '4', '2020', '460', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '83.691605');
INSERT INTO public.ecdc_import VALUES (28997, '14/04/2020', '14', '4', '2020', '441', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '83.4920598');
INSERT INTO public.ecdc_import VALUES (28998, '13/04/2020', '13', '4', '2020', '402', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '80.9683999');
INSERT INTO public.ecdc_import VALUES (28999, '12/04/2020', '12', '4', '2020', '335', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '83.62117729');
INSERT INTO public.ecdc_import VALUES (29000, '11/04/2020', '11', '4', '2020', '440', '9', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '86.54392759');
INSERT INTO public.ecdc_import VALUES (29001, '10/04/2020', '10', '4', '2020', '564', '15', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '85.71053292');
INSERT INTO public.ecdc_import VALUES (29002, '09/04/2020', '9', '4', '2020', '156', '6', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '82.57649947');
INSERT INTO public.ecdc_import VALUES (29003, '08/04/2020', '8', '4', '2020', '344', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '85.89834017');
INSERT INTO public.ecdc_import VALUES (29004, '07/04/2020', '7', '4', '2020', '474', '8', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '87.58860541');
INSERT INTO public.ecdc_import VALUES (29005, '06/04/2020', '6', '4', '2020', '412', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '86.37959624');
INSERT INTO public.ecdc_import VALUES (29006, '05/04/2020', '5', '4', '2020', '590', '7', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '83.75029477');
INSERT INTO public.ecdc_import VALUES (29007, '04/04/2020', '4', '4', '2020', '1176', '5', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '78.83209246');
INSERT INTO public.ecdc_import VALUES (29008, '03/04/2020', '3', '4', '2020', '661', '13', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '65.43908806');
INSERT INTO public.ecdc_import VALUES (29009, '02/04/2020', '2', '4', '2020', '675', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '60.54436166');
INSERT INTO public.ecdc_import VALUES (29010, '01/04/2020', '1', '4', '2020', '443', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '52.69167109');
INSERT INTO public.ecdc_import VALUES (29011, '31/03/2020', '31', '3', '2020', '226', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '49.45199606');
INSERT INTO public.ecdc_import VALUES (29012, '30/03/2020', '30', '3', '2020', '628', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '46.91659821');
INSERT INTO public.ecdc_import VALUES (29013, '29/03/2020', '29', '3', '2020', '584', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '40.39029633');
INSERT INTO public.ecdc_import VALUES (29014, '28/03/2020', '28', '3', '2020', '369', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '34.26308485');
INSERT INTO public.ecdc_import VALUES (29015, '27/03/2020', '27', '3', '2020', '297', '3', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '30.16653925');
INSERT INTO public.ecdc_import VALUES (29016, '26/03/2020', '26', '3', '2020', '439', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '26.84469855');
INSERT INTO public.ecdc_import VALUES (29017, '25/03/2020', '25', '3', '2020', '488', '2', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '21.83259261');
INSERT INTO public.ecdc_import VALUES (29018, '24/03/2020', '24', '3', '2020', '371', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '16.46834808');
INSERT INTO public.ecdc_import VALUES (29019, '23/03/2020', '23', '3', '2020', '188', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '12.27789885');
INSERT INTO public.ecdc_import VALUES (29020, '22/03/2020', '22', '3', '2020', '171', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '10.14159141');
INSERT INTO public.ecdc_import VALUES (29021, '21/03/2020', '21', '3', '2020', '35', '1', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '8.15787735');
INSERT INTO public.ecdc_import VALUES (29022, '20/03/2020', '20', '3', '2020', '244', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '7.7705249');
INSERT INTO public.ecdc_import VALUES (29023, '19/03/2020', '19', '3', '2020', '6', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.96515413');
INSERT INTO public.ecdc_import VALUES (29024, '18/03/2020', '18', '3', '2020', '167', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '4.92994027');
INSERT INTO public.ecdc_import VALUES (29025, '17/03/2020', '17', '3', '2020', '10', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.96970211');
INSERT INTO public.ecdc_import VALUES (29026, '16/03/2020', '16', '3', '2020', '72', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.89927439');
INSERT INTO public.ecdc_import VALUES (29027, '15/03/2020', '15', '3', '2020', '62', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '2.06587973');
INSERT INTO public.ecdc_import VALUES (29028, '14/03/2020', '14', '3', '2020', '20', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '1.33812664');
INSERT INTO public.ecdc_import VALUES (29029, '13/03/2020', '13', '3', '2020', '14', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '1.10336758');
INSERT INTO public.ecdc_import VALUES (29030, '12/03/2020', '12', '3', '2020', '12', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.93903624');
INSERT INTO public.ecdc_import VALUES (29031, '11/03/2020', '11', '3', '2020', '31', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.80991876');
INSERT INTO public.ecdc_import VALUES (29032, '09/03/2020', '9', '3', '2020', '14', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.44604221');
INSERT INTO public.ecdc_import VALUES (29033, '08/03/2020', '8', '3', '2020', '6', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.29344883');
INSERT INTO public.ecdc_import VALUES (29034, '07/03/2020', '7', '3', '2020', '2', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.22302111');
INSERT INTO public.ecdc_import VALUES (29035, '06/03/2020', '6', '3', '2020', '2', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.1995452');
INSERT INTO public.ecdc_import VALUES (29036, '05/03/2020', '5', '3', '2020', '5', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.1760693');
INSERT INTO public.ecdc_import VALUES (29037, '02/03/2020', '2', '3', '2020', '3', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.11737953');
INSERT INTO public.ecdc_import VALUES (29038, '01/03/2020', '1', '3', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.08216567');
INSERT INTO public.ecdc_import VALUES (29039, '29/02/2020', '29', '2', '2020', '4', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.08216567');
INSERT INTO public.ecdc_import VALUES (29040, '28/02/2020', '28', '2', '2020', '1', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.03521386');
INSERT INTO public.ecdc_import VALUES (29041, '27/02/2020', '27', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.02347591');
INSERT INTO public.ecdc_import VALUES (29042, '26/02/2020', '26', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.02347591');
INSERT INTO public.ecdc_import VALUES (29043, '25/02/2020', '25', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.02347591');
INSERT INTO public.ecdc_import VALUES (29044, '24/02/2020', '24', '2', '2020', '1', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.02347591');
INSERT INTO public.ecdc_import VALUES (29045, '23/02/2020', '23', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.01173795');
INSERT INTO public.ecdc_import VALUES (29046, '22/02/2020', '22', '2', '2020', '1', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0.01173795');
INSERT INTO public.ecdc_import VALUES (29047, '21/02/2020', '21', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29048, '20/02/2020', '20', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29049, '19/02/2020', '19', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29050, '18/02/2020', '18', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29051, '17/02/2020', '17', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29052, '16/02/2020', '16', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29053, '15/02/2020', '15', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29054, '14/02/2020', '14', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29055, '13/02/2020', '13', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29056, '12/02/2020', '12', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29057, '11/02/2020', '11', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29058, '10/02/2020', '10', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29059, '09/02/2020', '9', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29060, '08/02/2020', '8', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29061, '07/02/2020', '7', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29062, '06/02/2020', '6', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29063, '05/02/2020', '5', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29064, '04/02/2020', '4', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29065, '03/02/2020', '3', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29066, '02/02/2020', '2', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29067, '01/02/2020', '1', '2', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29068, '31/01/2020', '31', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29069, '30/01/2020', '30', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29070, '29/01/2020', '29', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29071, '28/01/2020', '28', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29072, '27/01/2020', '27', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29073, '26/01/2020', '26', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29074, '25/01/2020', '25', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29075, '24/01/2020', '24', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29076, '23/01/2020', '23', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29077, '22/01/2020', '22', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29078, '21/01/2020', '21', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29079, '20/01/2020', '20', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29080, '19/01/2020', '19', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29081, '18/01/2020', '18', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29082, '17/01/2020', '17', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29083, '16/01/2020', '16', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29084, '15/01/2020', '15', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29085, '14/01/2020', '14', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29086, '13/01/2020', '13', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (29087, '12/01/2020', '12', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29088, '11/01/2020', '11', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29089, '10/01/2020', '10', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29090, '09/01/2020', '9', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29091, '08/01/2020', '8', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29092, '07/01/2020', '7', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29093, '06/01/2020', '6', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29094, '05/01/2020', '5', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29095, '04/01/2020', '4', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29096, '03/01/2020', '3', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29097, '02/01/2020', '2', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29098, '01/01/2020', '1', '1', '2020', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29099, '31/12/2019', '31', '12', '2019', '0', '0', '8519373', 'Israel', 'IL', 'ISR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (29100, '14/12/2020', '14', '12', '2020', '17937', '484', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '428.32330117');
INSERT INTO public.ecdc_import VALUES (29101, '13/12/2020', '13', '12', '2020', '19902', '649', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '432.8114065');
INSERT INTO public.ecdc_import VALUES (29102, '12/12/2020', '12', '12', '2020', '18726', '761', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '443.43607223');
INSERT INTO public.ecdc_import VALUES (29103, '11/12/2020', '11', '12', '2020', '16998', '887', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '459.36727225');
INSERT INTO public.ecdc_import VALUES (29104, '10/12/2020', '10', '12', '2020', '12755', '499', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '479.2531077');
INSERT INTO public.ecdc_import VALUES (29105, '09/12/2020', '9', '12', '2020', '14837', '634', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '500.95141537');
INSERT INTO public.ecdc_import VALUES (29106, '08/12/2020', '8', '12', '2020', '13679', '528', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '514.85145365');
INSERT INTO public.ecdc_import VALUES (29107, '07/12/2020', '7', '12', '2020', '18887', '564', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '530.1729738');
INSERT INTO public.ecdc_import VALUES (29108, '06/12/2020', '6', '12', '2020', '21052', '662', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '545.82915518');
INSERT INTO public.ecdc_import VALUES (29109, '05/12/2020', '5', '12', '2020', '24110', '814', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '568.54635719');
INSERT INTO public.ecdc_import VALUES (29110, '04/12/2020', '4', '12', '2020', '23219', '993', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '590.2976805');
INSERT INTO public.ecdc_import VALUES (29111, '03/12/2020', '3', '12', '2020', '20709', '684', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '611.76404475');
INSERT INTO public.ecdc_import VALUES (29112, '02/12/2020', '2', '12', '2020', '19347', '785', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '634.24764659');
INSERT INTO public.ecdc_import VALUES (29113, '01/12/2020', '1', '12', '2020', '16376', '672', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '655.52679936');
INSERT INTO public.ecdc_import VALUES (29114, '30/11/2020', '30', '11', '2020', '20646', '541', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '673.7111641');
INSERT INTO public.ecdc_import VALUES (29115, '29/11/2020', '29', '11', '2020', '26315', '686', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '695.79714864');
INSERT INTO public.ecdc_import VALUES (29116, '28/11/2020', '28', '11', '2020', '28342', '827', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '713.91193035');
INSERT INTO public.ecdc_import VALUES (29117, '27/11/2020', '27', '11', '2020', '29001', '822', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '734.7205693');
INSERT INTO public.ecdc_import VALUES (29118, '26/11/2020', '26', '11', '2020', '25852', '722', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '749.5914565');
INSERT INTO public.ecdc_import VALUES (29119, '25/11/2020', '25', '11', '2020', '23227', '853', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '761.36921242');
INSERT INTO public.ecdc_import VALUES (29120, '24/11/2020', '24', '11', '2020', '22927', '630', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '781.02310445');
INSERT INTO public.ecdc_import VALUES (29121, '23/11/2020', '23', '11', '2020', '28337', '562', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '784.90318665');
INSERT INTO public.ecdc_import VALUES (29122, '22/11/2020', '22', '11', '2020', '34764', '692', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '791.98905837');
INSERT INTO public.ecdc_import VALUES (29123, '21/11/2020', '21', '11', '2020', '37239', '699', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '800.34730546');
INSERT INTO public.ecdc_import VALUES (29124, '20/11/2020', '20', '11', '2020', '36176', '653', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '801.28004939');
INSERT INTO public.ecdc_import VALUES (29125, '19/11/2020', '19', '11', '2020', '34280', '753', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '798.50666869');
INSERT INTO public.ecdc_import VALUES (29126, '18/11/2020', '18', '11', '2020', '32191', '731', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '792.3237196');
INSERT INTO public.ecdc_import VALUES (29127, '17/11/2020', '17', '11', '2020', '27352', '504', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '785.77960146');
INSERT INTO public.ecdc_import VALUES (29128, '16/11/2020', '16', '11', '2020', '33977', '546', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '777.33189047');
INSERT INTO public.ecdc_import VALUES (29129, '15/11/2020', '15', '11', '2020', '37249', '544', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '770.5856502');
INSERT INTO public.ecdc_import VALUES (29130, '14/11/2020', '14', '11', '2020', '40902', '550', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '761.48518413');
INSERT INTO public.ecdc_import VALUES (29131, '13/11/2020', '13', '11', '2020', '37977', '636', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '745.2110392');
INSERT INTO public.ecdc_import VALUES (29132, '12/11/2020', '12', '11', '2020', '32961', '623', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '726.74171539');
INSERT INTO public.ecdc_import VALUES (29133, '11/11/2020', '11', '11', '2020', '35090', '580', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '713.53253717');
INSERT INTO public.ecdc_import VALUES (29134, '10/11/2020', '10', '11', '2020', '25269', '356', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '691.82760255');
INSERT INTO public.ecdc_import VALUES (29135, '09/11/2020', '9', '11', '2020', '32614', '331', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '678.13962683');
INSERT INTO public.ecdc_import VALUES (29136, '08/11/2020', '8', '11', '2020', '39809', '425', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '659.35055244');
INSERT INTO public.ecdc_import VALUES (29137, '07/11/2020', '7', '11', '2020', '37802', '446', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '625.93578819');
INSERT INTO public.ecdc_import VALUES (29138, '06/11/2020', '6', '11', '2020', '34502', '428', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '595.02269947');
INSERT INTO public.ecdc_import VALUES (29139, '05/11/2020', '5', '11', '2020', '30548', '352', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '564.49894438');
INSERT INTO public.ecdc_import VALUES (29140, '04/11/2020', '4', '11', '2020', '28241', '353', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '539.06966099');
INSERT INTO public.ecdc_import VALUES (29141, '03/11/2020', '3', '11', '2020', '22253', '233', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '510.29210856');
INSERT INTO public.ecdc_import VALUES (29142, '02/11/2020', '2', '11', '2020', '29905', '208', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '488.89367061');
INSERT INTO public.ecdc_import VALUES (29143, '01/11/2020', '1', '11', '2020', '31756', '297', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '458.74102499');
INSERT INTO public.ecdc_import VALUES (29144, '31/10/2020', '31', '10', '2020', '31079', '199', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '424.22949967');
INSERT INTO public.ecdc_import VALUES (29145, '30/10/2020', '30', '10', '2020', '26829', '217', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '389.32201379');
INSERT INTO public.ecdc_import VALUES (29146, '29/10/2020', '29', '10', '2020', '24988', '205', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '359.45764072');
INSERT INTO public.ecdc_import VALUES (29147, '28/10/2020', '28', '10', '2020', '21989', '221', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '330.20626099');
INSERT INTO public.ecdc_import VALUES (29148, '27/10/2020', '27', '10', '2020', '17007', '141', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '303.54767745');
INSERT INTO public.ecdc_import VALUES (29149, '26/10/2020', '26', '10', '2020', '21273', '128', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '283.02399756');
INSERT INTO public.ecdc_import VALUES (29150, '25/10/2020', '25', '10', '2020', '19640', '151', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '256.81936044');
INSERT INTO public.ecdc_import VALUES (29151, '24/10/2020', '24', '10', '2020', '19143', '91', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '233.76418371');
INSERT INTO public.ecdc_import VALUES (29152, '23/10/2020', '23', '10', '2020', '16078', '136', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '210.94923411');
INSERT INTO public.ecdc_import VALUES (29153, '22/10/2020', '22', '10', '2020', '15199', '127', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '191.6979296');
INSERT INTO public.ecdc_import VALUES (29154, '21/10/2020', '21', '10', '2020', '10871', '89', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '172.6089855');
INSERT INTO public.ecdc_import VALUES (29155, '20/10/2020', '20', '10', '2020', '9337', '73', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '159.03366801');
INSERT INTO public.ecdc_import VALUES (29156, '19/10/2020', '19', '10', '2020', '11705', '69', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '147.30395752');
INSERT INTO public.ecdc_import VALUES (29157, '18/10/2020', '18', '10', '2020', '10925', '47', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '132.18290277');
INSERT INTO public.ecdc_import VALUES (29158, '17/10/2020', '17', '10', '2020', '10009', '55', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '118.79314003');
INSERT INTO public.ecdc_import VALUES (29159, '16/10/2020', '16', '10', '2020', '8803', '83', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '106.35103186');
INSERT INTO public.ecdc_import VALUES (29160, '15/10/2020', '15', '10', '2020', '7332', '43', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '95.98813086');
INSERT INTO public.ecdc_import VALUES (29161, '14/10/2020', '14', '10', '2020', '5898', '41', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '86.90588892');
INSERT INTO public.ecdc_import VALUES (29162, '13/10/2020', '13', '10', '2020', '4619', '39', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '79.86309241');
INSERT INTO public.ecdc_import VALUES (29163, '12/10/2020', '12', '10', '2020', '5456', '26', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '74.68578375');
INSERT INTO public.ecdc_import VALUES (29164, '11/10/2020', '11', '10', '2020', '5724', '29', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '68.57241769');
INSERT INTO public.ecdc_import VALUES (29165, '10/10/2020', '10', '10', '2020', '5372', '28', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '62.18568973');
INSERT INTO public.ecdc_import VALUES (29166, '09/10/2020', '9', '10', '2020', '4458', '22', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '56.45337359');
INSERT INTO public.ecdc_import VALUES (29167, '08/10/2020', '8', '10', '2020', '3677', '31', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '52.0265676');
INSERT INTO public.ecdc_import VALUES (29168, '07/10/2020', '7', '10', '2020', '2677', '28', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '48.65179072');
INSERT INTO public.ecdc_import VALUES (29169, '06/10/2020', '6', '10', '2020', '2257', '16', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '46.52122466');
INSERT INTO public.ecdc_import VALUES (29170, '05/10/2020', '5', '10', '2020', '2578', '18', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '45.0185626');
INSERT INTO public.ecdc_import VALUES (29171, '04/10/2020', '4', '10', '2020', '2843', '27', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '43.37673448');
INSERT INTO public.ecdc_import VALUES (29172, '03/10/2020', '3', '10', '2020', '2499', '23', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '41.37870752');
INSERT INTO public.ecdc_import VALUES (29173, '02/10/2020', '2', '10', '2020', '2548', '24', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '40.39791817');
INSERT INTO public.ecdc_import VALUES (29174, '01/10/2020', '1', '10', '2020', '1850', '19', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '38.79916526');
INSERT INTO public.ecdc_import VALUES (29175, '30/09/2020', '30', '9', '2020', '1647', '24', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '38.13978323');
INSERT INTO public.ecdc_import VALUES (29176, '29/09/2020', '29', '9', '2020', '1494', '16', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '37.44726642');
INSERT INTO public.ecdc_import VALUES (29177, '28/09/2020', '28', '9', '2020', '1766', '17', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '36.64209138');
INSERT INTO public.ecdc_import VALUES (29178, '27/09/2020', '27', '9', '2020', '1869', '17', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '36.12850236');
INSERT INTO public.ecdc_import VALUES (29179, '26/09/2020', '26', '9', '2020', '1912', '20', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '35.51882249');
INSERT INTO public.ecdc_import VALUES (29180, '25/09/2020', '25', '9', '2020', '1786', '23', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '35.02842781');
INSERT INTO public.ecdc_import VALUES (29181, '24/09/2020', '24', '9', '2020', '1640', '20', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '34.71530419');
INSERT INTO public.ecdc_import VALUES (29182, '23/09/2020', '23', '9', '2020', '1391', '14', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '34.36738905');
INSERT INTO public.ecdc_import VALUES (29183, '22/09/2020', '22', '9', '2020', '1350', '17', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '34.33094079');
INSERT INTO public.ecdc_import VALUES (29184, '21/09/2020', '21', '9', '2020', '1587', '15', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.99959304');
INSERT INTO public.ecdc_import VALUES (29185, '20/09/2020', '20', '9', '2020', '1637', '24', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.51748206');
INSERT INTO public.ecdc_import VALUES (29186, '19/09/2020', '19', '9', '2020', '1907', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.61191617');
INSERT INTO public.ecdc_import VALUES (29187, '18/09/2020', '18', '9', '2020', '1583', '13', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.32198688');
INSERT INTO public.ecdc_import VALUES (29188, '17/09/2020', '17', '9', '2020', '1452', '12', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.01383347');
INSERT INTO public.ecdc_import VALUES (29189, '16/09/2020', '16', '9', '2020', '1229', '9', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '32.80508439');
INSERT INTO public.ecdc_import VALUES (29190, '15/09/2020', '15', '9', '2020', '1008', '14', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '32.38427274');
INSERT INTO public.ecdc_import VALUES (29191, '14/09/2020', '14', '9', '2020', '1456', '7', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '32.36439187');
INSERT INTO public.ecdc_import VALUES (29192, '13/09/2020', '13', '9', '2020', '1501', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '32.21362864');
INSERT INTO public.ecdc_import VALUES (29193, '12/09/2020', '12', '9', '2020', '1616', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '32.11919453');
INSERT INTO public.ecdc_import VALUES (29194, '11/09/2020', '11', '9', '2020', '1597', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '31.86074329');
INSERT INTO public.ecdc_import VALUES (29195, '10/09/2020', '10', '9', '2020', '1430', '14', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '31.5492764');
INSERT INTO public.ecdc_import VALUES (29196, '09/09/2020', '9', '9', '2020', '1369', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '31.44324512');
INSERT INTO public.ecdc_import VALUES (29197, '08/09/2020', '8', '9', '2020', '1150', '12', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '30.6264729');
INSERT INTO public.ecdc_import VALUES (29198, '07/09/2020', '7', '9', '2020', '1296', '7', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '30.30009537');
INSERT INTO public.ecdc_import VALUES (29199, '06/09/2020', '6', '9', '2020', '1694', '16', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '30.15595909');
INSERT INTO public.ecdc_import VALUES (29200, '05/09/2020', '5', '9', '2020', '1732', '11', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '29.12381084');
INSERT INTO public.ecdc_import VALUES (29201, '04/09/2020', '4', '9', '2020', '1397', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '27.8232709');
INSERT INTO public.ecdc_import VALUES (29202, '03/09/2020', '3', '9', '2020', '1326', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '26.90046741');
INSERT INTO public.ecdc_import VALUES (29203, '02/09/2020', '2', '9', '2020', '975', '8', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '25.76725809');
INSERT INTO public.ecdc_import VALUES (29204, '01/09/2020', '1', '9', '2020', '996', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '24.81629004');
INSERT INTO public.ecdc_import VALUES (29205, '31/08/2020', '31', '8', '2020', '1365', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '23.69633463');
INSERT INTO public.ecdc_import VALUES (29206, '30/08/2020', '30', '8', '2020', '1444', '1', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '22.2251506');
INSERT INTO public.ecdc_import VALUES (29207, '29/08/2020', '29', '8', '2020', '1460', '9', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '20.8749085');
INSERT INTO public.ecdc_import VALUES (29208, '28/08/2020', '28', '8', '2020', '1409', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '19.40703795');
INSERT INTO public.ecdc_import VALUES (29209, '27/08/2020', '27', '8', '2020', '1366', '13', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '17.93751066');
INSERT INTO public.ecdc_import VALUES (29210, '26/08/2020', '26', '8', '2020', '876', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '16.46301316');
INSERT INTO public.ecdc_import VALUES (29211, '25/08/2020', '25', '8', '2020', '953', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '15.69428637');
INSERT INTO public.ecdc_import VALUES (29212, '24/08/2020', '24', '8', '2020', '1209', '7', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '14.54450966');
INSERT INTO public.ecdc_import VALUES (29213, '23/08/2020', '23', '8', '2020', '1071', '3', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '13.30858254');
INSERT INTO public.ecdc_import VALUES (29214, '22/08/2020', '22', '8', '2020', '947', '9', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '12.10910367');
INSERT INTO public.ecdc_import VALUES (29215, '21/08/2020', '21', '8', '2020', '840', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '11.45469186');
INSERT INTO public.ecdc_import VALUES (29216, '20/08/2020', '20', '8', '2020', '642', '7', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '10.72738354');
INSERT INTO public.ecdc_import VALUES (29217, '19/08/2020', '19', '8', '2020', '401', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '10.29994493');
INSERT INTO public.ecdc_import VALUES (29218, '18/08/2020', '18', '8', '2020', '320', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.95037305');
INSERT INTO public.ecdc_import VALUES (29219, '17/08/2020', '17', '8', '2020', '477', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.68363811');
INSERT INTO public.ecdc_import VALUES (29220, '16/08/2020', '16', '8', '2020', '629', '158', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.28767754');
INSERT INTO public.ecdc_import VALUES (29221, '15/08/2020', '15', '8', '2020', '574', '3', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '8.7343268');
INSERT INTO public.ecdc_import VALUES (29222, '14/08/2020', '14', '8', '2020', '522', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '8.41126274');
INSERT INTO public.ecdc_import VALUES (29223, '13/08/2020', '13', '8', '2020', '476', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '8.17931931');
INSERT INTO public.ecdc_import VALUES (29224, '12/08/2020', '12', '8', '2020', '412', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.86785242');
INSERT INTO public.ecdc_import VALUES (29225, '11/08/2020', '11', '8', '2020', '259', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.51993728');
INSERT INTO public.ecdc_import VALUES (29226, '10/08/2020', '10', '8', '2020', '463', '2', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.36917405');
INSERT INTO public.ecdc_import VALUES (29227, '09/08/2020', '9', '8', '2020', '347', '13', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.02291565');
INSERT INTO public.ecdc_import VALUES (29228, '08/08/2020', '8', '8', '2020', '552', '3', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.90197372');
INSERT INTO public.ecdc_import VALUES (29229, '07/08/2020', '7', '8', '2020', '401', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.40495208');
INSERT INTO public.ecdc_import VALUES (29230, '06/08/2020', '6', '8', '2020', '384', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.2475619');
INSERT INTO public.ecdc_import VALUES (29231, '05/08/2020', '5', '8', '2020', '190', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.07526107');
INSERT INTO public.ecdc_import VALUES (29232, '04/08/2020', '4', '8', '2020', '159', '12', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.97254327');
INSERT INTO public.ecdc_import VALUES (29233, '03/08/2020', '3', '8', '2020', '238', '8', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.02390217');
INSERT INTO public.ecdc_import VALUES (29234, '02/08/2020', '2', '8', '2020', '295', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.99076739');
INSERT INTO public.ecdc_import VALUES (29235, '01/08/2020', '1', '8', '2020', '379', '9', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.91455741');
INSERT INTO public.ecdc_import VALUES (29236, '31/07/2020', '31', '7', '2020', '382', '3', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.66936007');
INSERT INTO public.ecdc_import VALUES (29237, '30/07/2020', '30', '7', '2020', '288', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.41753578');
INSERT INTO public.ecdc_import VALUES (29238, '29/07/2020', '29', '7', '2020', '202', '11', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.20878669');
INSERT INTO public.ecdc_import VALUES (29239, '28/07/2020', '28', '7', '2020', '168', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.06299368');
INSERT INTO public.ecdc_import VALUES (29240, '27/07/2020', '27', '7', '2020', '254', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.06465042');
INSERT INTO public.ecdc_import VALUES (29241, '26/07/2020', '26', '7', '2020', '274', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.03151564');
INSERT INTO public.ecdc_import VALUES (29242, '25/07/2020', '25', '7', '2020', '252', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.88903611');
INSERT INTO public.ecdc_import VALUES (29243, '24/07/2020', '24', '7', '2020', '306', '10', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.92879784');
INSERT INTO public.ecdc_import VALUES (29244, '23/07/2020', '23', '7', '2020', '280', '9', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.77637787');
INSERT INTO public.ecdc_import VALUES (29245, '22/07/2020', '22', '7', '2020', '128', '15', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.6322416');
INSERT INTO public.ecdc_import VALUES (29246, '21/07/2020', '21', '7', '2020', '190', '13', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.64715225');
INSERT INTO public.ecdc_import VALUES (29247, '20/07/2020', '20', '7', '2020', '218', '3', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.67697355');
INSERT INTO public.ecdc_import VALUES (29248, '19/07/2020', '19', '7', '2020', '249', '14', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.63389834');
INSERT INTO public.ecdc_import VALUES (29249, '18/07/2020', '18', '7', '2020', '231', '11', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.610704');
INSERT INTO public.ecdc_import VALUES (29250, '17/07/2020', '17', '7', '2020', '230', '20', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.59745009');
INSERT INTO public.ecdc_import VALUES (29251, '16/07/2020', '16', '7', '2020', '162', '13', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.54940466');
INSERT INTO public.ecdc_import VALUES (29252, '15/07/2020', '15', '7', '2020', '114', '17', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.58253944');
INSERT INTO public.ecdc_import VALUES (29253, '14/07/2020', '14', '7', '2020', '169', '13', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.62892812');
INSERT INTO public.ecdc_import VALUES (29254, '13/07/2020', '13', '7', '2020', '234', '9', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.55768836');
INSERT INTO public.ecdc_import VALUES (29255, '12/07/2020', '12', '7', '2020', '188', '7', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.45828403');
INSERT INTO public.ecdc_import VALUES (29256, '11/07/2020', '11', '7', '2020', '276', '12', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.43674643');
INSERT INTO public.ecdc_import VALUES (29257, '10/07/2020', '10', '7', '2020', '214', '12', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.40195491');
INSERT INTO public.ecdc_import VALUES (29258, '09/07/2020', '9', '7', '2020', '193', '15', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.53780749');
INSERT INTO public.ecdc_import VALUES (29259, '08/07/2020', '8', '7', '2020', '137', '30', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.17399518');
INSERT INTO public.ecdc_import VALUES (29260, '07/07/2020', '7', '7', '2020', '208', '8', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.13423345');
INSERT INTO public.ecdc_import VALUES (29261, '06/07/2020', '6', '7', '2020', '192', '7', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.15577105');
INSERT INTO public.ecdc_import VALUES (29262, '05/07/2020', '5', '7', '2020', '235', '21', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.20878669');
INSERT INTO public.ecdc_import VALUES (29263, '04/07/2020', '4', '7', '2020', '223', '15', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.25683212');
INSERT INTO public.ecdc_import VALUES (29264, '03/07/2020', '3', '7', '2020', '201', '30', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.64218203');
INSERT INTO public.ecdc_import VALUES (29265, '02/07/2020', '2', '7', '2020', '182', '21', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.85755807');
INSERT INTO public.ecdc_import VALUES (29266, '01/07/2020', '1', '7', '2020', '142', '23', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.09944193');
INSERT INTO public.ecdc_import VALUES (29267, '30/06/2020', '30', '6', '2020', '126', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.21210017');
INSERT INTO public.ecdc_import VALUES (29268, '29/06/2020', '29', '6', '2020', '174', '22', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.50202946');
INSERT INTO public.ecdc_import VALUES (29269, '28/06/2020', '28', '6', '2020', '175', '8', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.77373461');
INSERT INTO public.ecdc_import VALUES (29270, '27/06/2020', '27', '6', '2020', '255', '30', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.05703694');
INSERT INTO public.ecdc_import VALUES (29271, '26/06/2020', '26', '6', '2020', '296', '34', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.90461698');
INSERT INTO public.ecdc_import VALUES (29272, '25/06/2020', '25', '6', '2020', '577', '-31', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.04212629');
INSERT INTO public.ecdc_import VALUES (29273, '24/06/2020', '24', '6', '2020', '113', '18', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.42084926');
INSERT INTO public.ecdc_import VALUES (29274, '23/06/2020', '23', '6', '2020', '221', '23', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.70249485');
INSERT INTO public.ecdc_import VALUES (29275, '22/06/2020', '22', '6', '2020', '224', '24', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.80024243');
INSERT INTO public.ecdc_import VALUES (29276, '21/06/2020', '21', '6', '2020', '264', '49', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.75551049');
INSERT INTO public.ecdc_import VALUES (29277, '20/06/2020', '20', '6', '2020', '-148', '47', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.76545092');
INSERT INTO public.ecdc_import VALUES (29278, '19/06/2020', '19', '6', '2020', '331', '66', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.86883894');
INSERT INTO public.ecdc_import VALUES (29279, '18/06/2020', '18', '6', '2020', '328', '43', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.61370117');
INSERT INTO public.ecdc_import VALUES (29280, '17/06/2020', '17', '6', '2020', '210', '34', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.602104');
INSERT INTO public.ecdc_import VALUES (29281, '16/06/2020', '16', '6', '2020', '301', '26', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.78103179');
INSERT INTO public.ecdc_import VALUES (29282, '15/06/2020', '15', '6', '2020', '338', '44', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.57725292');
INSERT INTO public.ecdc_import VALUES (29283, '14/06/2020', '14', '6', '2020', '346', '78', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.60541748');
INSERT INTO public.ecdc_import VALUES (29284, '13/06/2020', '13', '6', '2020', '163', '56', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.72138919');
INSERT INTO public.ecdc_import VALUES (29285, '12/06/2020', '12', '6', '2020', '379', '53', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.30621798');
INSERT INTO public.ecdc_import VALUES (29286, '11/06/2020', '11', '6', '2020', '202', '71', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.66076007');
INSERT INTO public.ecdc_import VALUES (29287, '10/06/2020', '10', '6', '2020', '283', '79', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '8.29363428');
INSERT INTO public.ecdc_import VALUES (29288, '09/06/2020', '9', '6', '2020', '280', '65', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '8.4825025');
INSERT INTO public.ecdc_import VALUES (29289, '08/06/2020', '8', '6', '2020', '197', '53', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '8.51563728');
INSERT INTO public.ecdc_import VALUES (29290, '07/06/2020', '7', '6', '2020', '270', '72', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.06898803');
INSERT INTO public.ecdc_import VALUES (29291, '06/06/2020', '6', '6', '2020', '518', '85', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.7300268');
INSERT INTO public.ecdc_import VALUES (29292, '05/06/2020', '5', '6', '2020', '177', '88', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.95202979');
INSERT INTO public.ecdc_import VALUES (29293, '04/06/2020', '4', '6', '2020', '321', '71', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '10.72241332');
INSERT INTO public.ecdc_import VALUES (29294, '03/06/2020', '3', '6', '2020', '318', '55', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '11.29233146');
INSERT INTO public.ecdc_import VALUES (29295, '02/06/2020', '2', '6', '2020', '178', '60', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '12.11241715');
INSERT INTO public.ecdc_import VALUES (29296, '01/06/2020', '1', '6', '2020', '355', '75', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '12.56470683');
INSERT INTO public.ecdc_import VALUES (29297, '31/05/2020', '31', '5', '2020', '416', '111', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '13.09486324');
INSERT INTO public.ecdc_import VALUES (29298, '30/05/2020', '30', '5', '2020', '516', '87', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '13.85530633');
INSERT INTO public.ecdc_import VALUES (29299, '29/05/2020', '29', '5', '2020', '593', '70', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '14.30759602');
INSERT INTO public.ecdc_import VALUES (29300, '28/05/2020', '28', '5', '2020', '584', '117', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '14.96863479');
INSERT INTO public.ecdc_import VALUES (29301, '27/05/2020', '27', '5', '2020', '397', '78', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '15.47228337');
INSERT INTO public.ecdc_import VALUES (29302, '26/05/2020', '26', '5', '2020', '300', '92', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '17.13730584');
INSERT INTO public.ecdc_import VALUES (29303, '25/05/2020', '25', '5', '2020', '531', '50', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '17.87289785');
INSERT INTO public.ecdc_import VALUES (29304, '24/05/2020', '24', '5', '2020', '669', '119', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '18.32187406');
INSERT INTO public.ecdc_import VALUES (29305, '23/05/2020', '23', '5', '2020', '652', '130', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '19.00776391');
INSERT INTO public.ecdc_import VALUES (29306, '22/05/2020', '22', '5', '2020', '642', '156', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '20.12606258');
INSERT INTO public.ecdc_import VALUES (29307, '21/05/2020', '21', '5', '2020', '665', '161', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '21.3835273');
INSERT INTO public.ecdc_import VALUES (29308, '20/05/2020', '20', '5', '2020', '813', '162', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '22.67412681');
INSERT INTO public.ecdc_import VALUES (29309, '19/05/2020', '19', '5', '2020', '451', '99', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '23.10819236');
INSERT INTO public.ecdc_import VALUES (29310, '18/05/2020', '18', '5', '2020', '675', '145', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '24.38388122');
INSERT INTO public.ecdc_import VALUES (29311, '17/05/2020', '17', '5', '2020', '875', '153', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '25.5667927');
INSERT INTO public.ecdc_import VALUES (29312, '16/05/2020', '16', '5', '2020', '789', '242', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '27.26494994');
INSERT INTO public.ecdc_import VALUES (29313, '15/05/2020', '15', '5', '2020', '992', '262', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '29.21327473');
INSERT INTO public.ecdc_import VALUES (29314, '14/05/2020', '14', '5', '2020', '888', '195', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '30.67120485');
INSERT INTO public.ecdc_import VALUES (29315, '13/05/2020', '13', '5', '2020', '1402', '172', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '32.6559779');
INSERT INTO public.ecdc_import VALUES (29392, '26/02/2020', '26', '2', '2020', '93', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.52849967');
INSERT INTO public.ecdc_import VALUES (29316, '12/05/2020', '12', '5', '2020', '744', '179', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.79747091');
INSERT INTO public.ecdc_import VALUES (29317, '11/05/2020', '11', '5', '2020', '802', '165', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '35.44592598');
INSERT INTO public.ecdc_import VALUES (29318, '10/05/2020', '10', '5', '2020', '1083', '194', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '37.96748239');
INSERT INTO public.ecdc_import VALUES (29319, '09/05/2020', '9', '5', '2020', '1327', '243', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '40.07816759');
INSERT INTO public.ecdc_import VALUES (29320, '08/05/2020', '8', '5', '2020', '1401', '274', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '42.88468306');
INSERT INTO public.ecdc_import VALUES (29321, '07/05/2020', '7', '5', '2020', '1444', '369', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '44.94732283');
INSERT INTO public.ecdc_import VALUES (29322, '06/05/2020', '6', '5', '2020', '1075', '236', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '48.1382017');
INSERT INTO public.ecdc_import VALUES (29323, '05/05/2020', '5', '5', '2020', '1221', '195', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '50.87844763');
INSERT INTO public.ecdc_import VALUES (29324, '04/05/2020', '4', '5', '2020', '1389', '174', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '52.59317225');
INSERT INTO public.ecdc_import VALUES (29325, '03/05/2020', '3', '5', '2020', '1900', '474', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '55.34004514');
INSERT INTO public.ecdc_import VALUES (29326, '02/05/2020', '2', '5', '2020', '1965', '269', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '57.97591652');
INSERT INTO public.ecdc_import VALUES (29327, '01/05/2020', '1', '5', '2020', '1872', '285', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '60.50741336');
INSERT INTO public.ecdc_import VALUES (29328, '30/04/2020', '30', '4', '2020', '2086', '323', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '63.67841137');
INSERT INTO public.ecdc_import VALUES (29329, '29/04/2020', '29', '4', '2020', '2091', '382', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '64.64097659');
INSERT INTO public.ecdc_import VALUES (29330, '28/04/2020', '28', '4', '2020', '1739', '333', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '66.10056345');
INSERT INTO public.ecdc_import VALUES (29331, '27/04/2020', '27', '4', '2020', '2324', '260', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '68.44319207');
INSERT INTO public.ecdc_import VALUES (29332, '26/04/2020', '26', '4', '2020', '2357', '415', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '71.37230621');
INSERT INTO public.ecdc_import VALUES (29333, '25/04/2020', '25', '4', '2020', '3021', '420', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '75.24410472');
INSERT INTO public.ecdc_import VALUES (29334, '24/04/2020', '24', '4', '2020', '2646', '464', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '76.78487177');
INSERT INTO public.ecdc_import VALUES (29335, '23/04/2020', '23', '4', '2020', '3370', '437', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '79.36607078');
INSERT INTO public.ecdc_import VALUES (29336, '22/04/2020', '22', '4', '2020', '2729', '534', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '80.13811105');
INSERT INTO public.ecdc_import VALUES (29337, '21/04/2020', '21', '4', '2020', '2256', '454', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '80.65170006');
INSERT INTO public.ecdc_import VALUES (29338, '20/04/2020', '20', '4', '2020', '3047', '433', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '82.87670023');
INSERT INTO public.ecdc_import VALUES (29339, '19/04/2020', '19', '4', '2020', '3491', '480', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '84.97910173');
INSERT INTO public.ecdc_import VALUES (29340, '18/04/2020', '18', '4', '2020', '3493', '575', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '87.15605648');
INSERT INTO public.ecdc_import VALUES (29341, '17/04/2020', '17', '4', '2020', '3786', '525', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '88.96521521');
INSERT INTO public.ecdc_import VALUES (29342, '16/04/2020', '16', '4', '2020', '2667', '578', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '90.42645881');
INSERT INTO public.ecdc_import VALUES (29343, '15/04/2020', '15', '4', '2020', '2972', '604', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '93.93046131');
INSERT INTO public.ecdc_import VALUES (29344, '14/04/2020', '14', '4', '2020', '3153', '564', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '95.72139592');
INSERT INTO public.ecdc_import VALUES (29345, '13/04/2020', '13', '4', '2020', '4092', '431', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '97.20749059');
INSERT INTO public.ecdc_import VALUES (29346, '12/04/2020', '12', '4', '2020', '4694', '619', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '99.07132171');
INSERT INTO public.ecdc_import VALUES (29347, '11/04/2020', '11', '4', '2020', '3951', '570', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '101.19194734');
INSERT INTO public.ecdc_import VALUES (29348, '10/04/2020', '10', '4', '2020', '4204', '612', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '104.51867879');
INSERT INTO public.ecdc_import VALUES (29349, '09/04/2020', '9', '4', '2020', '3836', '540', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '107.74766265');
INSERT INTO public.ecdc_import VALUES (29350, '08/04/2020', '8', '4', '2020', '3039', '604', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '110.02402172');
INSERT INTO public.ecdc_import VALUES (29351, '07/04/2020', '7', '4', '2020', '3599', '636', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '113.6854144');
INSERT INTO public.ecdc_import VALUES (29352, '06/04/2020', '6', '4', '2020', '4316', '527', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '115.65693354');
INSERT INTO public.ecdc_import VALUES (29353, '05/04/2020', '5', '4', '2020', '4805', '681', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '117.71791657');
INSERT INTO public.ecdc_import VALUES (29354, '04/04/2020', '4', '4', '2020', '4585', '764', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '120.62052289');
INSERT INTO public.ecdc_import VALUES (29355, '03/04/2020', '3', '4', '2020', '4668', '760', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '122.94161391');
INSERT INTO public.ecdc_import VALUES (29356, '02/04/2020', '2', '4', '2020', '4782', '727', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '124.02512106');
INSERT INTO public.ecdc_import VALUES (29357, '01/04/2020', '1', '4', '2020', '4053', '839', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '123.07249627');
INSERT INTO public.ecdc_import VALUES (29358, '31/03/2020', '31', '3', '2020', '4050', '810', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '122.19939494');
INSERT INTO public.ecdc_import VALUES (29359, '30/03/2020', '30', '3', '2020', '5217', '758', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '122.116558');
INSERT INTO public.ecdc_import VALUES (29360, '29/03/2020', '29', '3', '2020', '5974', '887', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '118.15032539');
INSERT INTO public.ecdc_import VALUES (29361, '28/03/2020', '28', '3', '2020', '5959', '971', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '114.04658345');
INSERT INTO public.ecdc_import VALUES (29362, '27/03/2020', '27', '3', '2020', '6153', '660', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '108.39379077');
INSERT INTO public.ecdc_import VALUES (29363, '26/03/2020', '26', '3', '2020', '5210', '685', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '102.5918916');
INSERT INTO public.ecdc_import VALUES (29364, '25/03/2020', '25', '3', '2020', '5249', '743', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '97.79231938');
INSERT INTO public.ecdc_import VALUES (29365, '24/03/2020', '24', '3', '2020', '4789', '601', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '90.71473135');
INSERT INTO public.ecdc_import VALUES (29366, '23/03/2020', '23', '3', '2020', '5560', '649', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '85.75776895');
INSERT INTO public.ecdc_import VALUES (29367, '22/03/2020', '22', '3', '2020', '6557', '795', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '79.01815564');
INSERT INTO public.ecdc_import VALUES (29368, '21/03/2020', '21', '3', '2020', '5986', '625', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '70.22087277');
INSERT INTO public.ecdc_import VALUES (29369, '20/03/2020', '20', '3', '2020', '5322', '429', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '61.59257725');
INSERT INTO public.ecdc_import VALUES (29370, '19/03/2020', '19', '3', '2020', '4207', '473', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '54.04944563');
INSERT INTO public.ecdc_import VALUES (29371, '18/03/2020', '18', '3', '2020', '3526', '347', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '48.05205129');
INSERT INTO public.ecdc_import VALUES (29372, '17/03/2020', '17', '3', '2020', '4000', '347', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '42.98243065');
INSERT INTO public.ecdc_import VALUES (29373, '16/03/2020', '16', '3', '2020', '2823', '370', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '36.93036392');
INSERT INTO public.ecdc_import VALUES (29374, '15/03/2020', '15', '3', '2020', '3497', '173', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '33.18282083');
INSERT INTO public.ecdc_import VALUES (29375, '14/03/2020', '14', '3', '2020', '2547', '252', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '27.78682265');
INSERT INTO public.ecdc_import VALUES (29376, '13/03/2020', '13', '3', '2020', '2651', '189', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '23.96141283');
INSERT INTO public.ecdc_import VALUES (29377, '12/03/2020', '12', '3', '2020', '2313', '196', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '19.98358304');
INSERT INTO public.ecdc_import VALUES (29378, '11/03/2020', '11', '3', '2020', '977', '167', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '16.28077189');
INSERT INTO public.ecdc_import VALUES (29379, '10/03/2020', '10', '3', '2020', '1797', '98', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '14.81621482');
INSERT INTO public.ecdc_import VALUES (29380, '09/03/2020', '9', '3', '2020', '1492', '133', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '11.99975891');
INSERT INTO public.ecdc_import VALUES (29381, '08/03/2020', '8', '3', '2020', '1247', '36', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '9.61571182');
INSERT INTO public.ecdc_import VALUES (29382, '07/03/2020', '7', '3', '2020', '778', '49', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '7.65247638');
INSERT INTO public.ecdc_import VALUES (29383, '06/03/2020', '6', '3', '2020', '769', '41', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '6.38672796');
INSERT INTO public.ecdc_import VALUES (29384, '05/03/2020', '5', '3', '2020', '587', '27', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '5.11269584');
INSERT INTO public.ecdc_import VALUES (29385, '04/03/2020', '4', '3', '2020', '466', '28', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '4.14019019');
INSERT INTO public.ecdc_import VALUES (29386, '03/03/2020', '3', '3', '2020', '347', '17', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '3.36814992');
INSERT INTO public.ecdc_import VALUES (29387, '02/03/2020', '2', '3', '2020', '561', '6', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '2.79326157');
INSERT INTO public.ecdc_import VALUES (29388, '01/03/2020', '1', '3', '2020', '240', '8', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '1.86383112');
INSERT INTO public.ecdc_import VALUES (29389, '29/02/2020', '29', '2', '2020', '238', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '1.46621381');
INSERT INTO public.ecdc_import VALUES (29390, '28/02/2020', '28', '2', '2020', '250', '5', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '1.07190998');
INSERT INTO public.ecdc_import VALUES (29391, '27/02/2020', '27', '2', '2020', '78', '1', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.65772529');
INSERT INTO public.ecdc_import VALUES (29393, '25/02/2020', '25', '2', '2020', '97', '4', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.37442296');
INSERT INTO public.ecdc_import VALUES (29394, '24/02/2020', '24', '2', '2020', '53', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.2137193');
INSERT INTO public.ecdc_import VALUES (29395, '23/02/2020', '23', '2', '2020', '62', '2', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.12591215');
INSERT INTO public.ecdc_import VALUES (29396, '22/02/2020', '22', '2', '2020', '14', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.02319434');
INSERT INTO public.ecdc_import VALUES (29397, '21/02/2020', '21', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29398, '20/02/2020', '20', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29399, '19/02/2020', '19', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29400, '18/02/2020', '18', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29401, '17/02/2020', '17', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29402, '16/02/2020', '16', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29403, '15/02/2020', '15', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29404, '14/02/2020', '14', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29405, '13/02/2020', '13', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29406, '12/02/2020', '12', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29407, '11/02/2020', '11', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29408, '10/02/2020', '10', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29409, '09/02/2020', '9', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29410, '08/02/2020', '8', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29411, '07/02/2020', '7', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29412, '06/02/2020', '6', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29413, '05/02/2020', '5', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29414, '04/02/2020', '4', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29415, '03/02/2020', '3', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29416, '02/02/2020', '2', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29417, '01/02/2020', '1', '2', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29418, '31/01/2020', '31', '1', '2020', '3', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0.00497022');
INSERT INTO public.ecdc_import VALUES (29419, '30/01/2020', '30', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29420, '29/01/2020', '29', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29421, '28/01/2020', '28', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29422, '27/01/2020', '27', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29423, '26/01/2020', '26', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29424, '25/01/2020', '25', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29425, '24/01/2020', '24', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29426, '23/01/2020', '23', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29427, '22/01/2020', '22', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29428, '21/01/2020', '21', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29429, '20/01/2020', '20', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29430, '19/01/2020', '19', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29431, '18/01/2020', '18', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29432, '17/01/2020', '17', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29433, '16/01/2020', '16', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29434, '15/01/2020', '15', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29435, '14/01/2020', '14', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29436, '13/01/2020', '13', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (29437, '12/01/2020', '12', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29438, '11/01/2020', '11', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29439, '10/01/2020', '10', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29440, '09/01/2020', '9', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29441, '08/01/2020', '8', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29442, '07/01/2020', '7', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29443, '06/01/2020', '6', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29444, '05/01/2020', '5', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29445, '04/01/2020', '4', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29446, '03/01/2020', '3', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29447, '02/01/2020', '2', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29448, '01/01/2020', '1', '1', '2020', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29449, '31/12/2019', '31', '12', '2019', '0', '0', '60359546', 'Italy', 'IT', 'ITA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (29450, '14/12/2020', '14', '12', '2020', '102', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '33.95203368');
INSERT INTO public.ecdc_import VALUES (29451, '13/12/2020', '13', '12', '2020', '99', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '31.84911051');
INSERT INTO public.ecdc_import VALUES (29452, '12/12/2020', '12', '12', '2020', '66', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '30.83156705');
INSERT INTO public.ecdc_import VALUES (29453, '11/12/2020', '11', '12', '2020', '74', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '30.59414024');
INSERT INTO public.ecdc_import VALUES (29454, '10/12/2020', '10', '12', '2020', '98', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.88185981');
INSERT INTO public.ecdc_import VALUES (29455, '09/12/2020', '9', '12', '2020', '87', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.79648011');
INSERT INTO public.ecdc_import VALUES (29456, '08/12/2020', '8', '12', '2020', '64', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.52513519');
INSERT INTO public.ecdc_import VALUES (29457, '07/12/2020', '7', '12', '2020', '57', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.35554461');
INSERT INTO public.ecdc_import VALUES (29458, '06/12/2020', '6', '12', '2020', '76', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '27.91460911');
INSERT INTO public.ecdc_import VALUES (29459, '05/12/2020', '5', '12', '2020', '76', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.35554461');
INSERT INTO public.ecdc_import VALUES (29460, '04/12/2020', '4', '12', '2020', '47', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '27.91460911');
INSERT INTO public.ecdc_import VALUES (29461, '03/12/2020', '3', '12', '2020', '54', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.66080765');
INSERT INTO public.ecdc_import VALUES (29462, '02/12/2020', '2', '12', '2020', '47', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.88185981');
INSERT INTO public.ecdc_import VALUES (29463, '01/12/2020', '1', '12', '2020', '54', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.28770838');
INSERT INTO public.ecdc_import VALUES (29464, '30/11/2020', '30', '11', '2020', '40', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '27.98244534');
INSERT INTO public.ecdc_import VALUES (29465, '29/11/2020', '29', '11', '2020', '69', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '30.15320474');
INSERT INTO public.ecdc_import VALUES (29466, '28/11/2020', '28', '11', '2020', '59', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.74618735');
INSERT INTO public.ecdc_import VALUES (29467, '27/11/2020', '27', '11', '2020', '53', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '30.76373082');
INSERT INTO public.ecdc_import VALUES (29468, '26/11/2020', '26', '11', '2020', '66', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '30.76373082');
INSERT INTO public.ecdc_import VALUES (29469, '25/11/2020', '25', '11', '2020', '79', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '28.79648011');
INSERT INTO public.ecdc_import VALUES (29470, '24/11/2020', '24', '11', '2020', '59', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '27.16841057');
INSERT INTO public.ecdc_import VALUES (29471, '23/11/2020', '23', '11', '2020', '44', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.38829391');
INSERT INTO public.ecdc_import VALUES (29472, '22/11/2020', '22', '11', '2020', '89', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.04911275');
INSERT INTO public.ecdc_import VALUES (29473, '21/11/2020', '21', '11', '2020', '63', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '24.59063378');
INSERT INTO public.ecdc_import VALUES (29474, '20/11/2020', '20', '11', '2020', '69', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '24.25145263');
INSERT INTO public.ecdc_import VALUES (29475, '19/11/2020', '19', '11', '2020', '90', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '23.50525409');
INSERT INTO public.ecdc_import VALUES (29476, '18/11/2020', '18', '11', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '21.47016715');
INSERT INTO public.ecdc_import VALUES (29477, '17/11/2020', '17', '11', '2020', '45', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '22.79297366');
INSERT INTO public.ecdc_import VALUES (29478, '16/11/2020', '16', '11', '2020', '104', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '25.54034102');
INSERT INTO public.ecdc_import VALUES (29479, '15/11/2020', '15', '11', '2020', '57', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '23.26782728');
INSERT INTO public.ecdc_import VALUES (29480, '14/11/2020', '14', '11', '2020', '89', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '24.35320697');
INSERT INTO public.ecdc_import VALUES (29481, '13/11/2020', '13', '11', '2020', '53', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '23.9801077');
INSERT INTO public.ecdc_import VALUES (29482, '12/11/2020', '12', '11', '2020', '8', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '24.76022436');
INSERT INTO public.ecdc_import VALUES (29483, '11/11/2020', '11', '11', '2020', '31', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.65963883');
INSERT INTO public.ecdc_import VALUES (29484, '10/11/2020', '10', '11', '2020', '36', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.89706564');
INSERT INTO public.ecdc_import VALUES (29485, '09/11/2020', '9', '11', '2020', '34', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.86314753');
INSERT INTO public.ecdc_import VALUES (29486, '08/11/2020', '8', '11', '2020', '46', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '27.20232868');
INSERT INTO public.ecdc_import VALUES (29487, '07/11/2020', '7', '11', '2020', '53', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.72747506');
INSERT INTO public.ecdc_import VALUES (29488, '06/11/2020', '6', '11', '2020', '47', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '26.21870333');
INSERT INTO public.ecdc_import VALUES (29489, '05/11/2020', '5', '11', '2020', '30', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.88185981');
INSERT INTO public.ecdc_import VALUES (29490, '04/11/2020', '4', '11', '2020', '39', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '31.27250255');
INSERT INTO public.ecdc_import VALUES (29491, '03/11/2020', '3', '11', '2020', '126', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '31.74735617');
INSERT INTO public.ecdc_import VALUES (29492, '02/11/2020', '2', '11', '2020', '37', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.06782504');
INSERT INTO public.ecdc_import VALUES (29493, '01/11/2020', '1', '11', '2020', '89', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '30.49238589');
INSERT INTO public.ecdc_import VALUES (29494, '31/10/2020', '31', '10', '2020', '78', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.61051489');
INSERT INTO public.ecdc_import VALUES (29495, '30/10/2020', '30', '10', '2020', '76', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.16957938');
INSERT INTO public.ecdc_import VALUES (29496, '29/10/2020', '29', '10', '2020', '64', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.23741562');
INSERT INTO public.ecdc_import VALUES (29497, '28/10/2020', '28', '10', '2020', '38', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '29.74618735');
INSERT INTO public.ecdc_import VALUES (29498, '27/10/2020', '27', '10', '2020', '35', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '31.74735617');
INSERT INTO public.ecdc_import VALUES (29499, '26/10/2020', '26', '10', '2020', '44', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '33.7824431');
INSERT INTO public.ecdc_import VALUES (29500, '25/10/2020', '25', '10', '2020', '32', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '37.68302639');
INSERT INTO public.ecdc_import VALUES (29501, '24/10/2020', '24', '10', '2020', '38', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '43.24559734');
INSERT INTO public.ecdc_import VALUES (29502, '23/10/2020', '23', '10', '2020', '155', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '45.00933935');
INSERT INTO public.ecdc_import VALUES (29503, '22/10/2020', '22', '10', '2020', '71', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '42.53331692');
INSERT INTO public.ecdc_import VALUES (29504, '21/10/2020', '21', '10', '2020', '53', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '42.90641619');
INSERT INTO public.ecdc_import VALUES (29505, '20/10/2020', '20', '10', '2020', '47', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '44.39881327');
INSERT INTO public.ecdc_import VALUES (29506, '19/10/2020', '19', '10', '2020', '79', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '46.77308136');
INSERT INTO public.ecdc_import VALUES (29507, '18/10/2020', '18', '10', '2020', '63', '6', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '47.48536179');
INSERT INTO public.ecdc_import VALUES (29508, '17/10/2020', '17', '10', '2020', '65', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '48.87600453');
INSERT INTO public.ecdc_import VALUES (29509, '16/10/2020', '16', '10', '2020', '78', '9', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '51.28419073');
INSERT INTO public.ecdc_import VALUES (29510, '15/10/2020', '15', '10', '2020', '79', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '51.79296247');
INSERT INTO public.ecdc_import VALUES (29511, '14/10/2020', '14', '10', '2020', '97', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '51.82688058');
INSERT INTO public.ecdc_import VALUES (29512, '13/10/2020', '13', '10', '2020', '95', '7', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '56.64325299');
INSERT INTO public.ecdc_import VALUES (29513, '12/10/2020', '12', '10', '2020', '159', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '58.50874935');
INSERT INTO public.ecdc_import VALUES (29514, '11/10/2020', '11', '10', '2020', '196', '6', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '58.67833993');
INSERT INTO public.ecdc_import VALUES (29515, '10/10/2020', '10', '10', '2020', '90', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '56.40582618');
INSERT INTO public.ecdc_import VALUES (29516, '09/10/2020', '9', '10', '2020', '82', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '57.93214138');
INSERT INTO public.ecdc_import VALUES (29517, '08/10/2020', '8', '10', '2020', '82', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '61.66313409');
INSERT INTO public.ecdc_import VALUES (29518, '07/10/2020', '7', '10', '2020', '97', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '63.01985872');
INSERT INTO public.ecdc_import VALUES (29519, '06/10/2020', '6', '10', '2020', '117', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '64.10523842');
INSERT INTO public.ecdc_import VALUES (29520, '05/10/2020', '5', '10', '2020', '100', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '64.68184638');
INSERT INTO public.ecdc_import VALUES (29521, '04/10/2020', '4', '10', '2020', '104', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '69.0912014');
INSERT INTO public.ecdc_import VALUES (29522, '03/10/2020', '3', '10', '2020', '136', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '71.906405');
INSERT INTO public.ecdc_import VALUES (29523, '02/10/2020', '2', '10', '2020', '93', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '73.97541004');
INSERT INTO public.ecdc_import VALUES (29524, '01/10/2020', '1', '10', '2020', '80', '7', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '78.38476507');
INSERT INTO public.ecdc_import VALUES (29525, '30/09/2020', '30', '9', '2020', '239', '7', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '79.36839042');
INSERT INTO public.ecdc_import VALUES (29526, '29/09/2020', '29', '9', '2020', '150', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '74.9590354');
INSERT INTO public.ecdc_import VALUES (29527, '28/09/2020', '28', '9', '2020', '164', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '75.36605278');
INSERT INTO public.ecdc_import VALUES (29528, '27/09/2020', '27', '9', '2020', '129', '8', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '74.82336293');
INSERT INTO public.ecdc_import VALUES (29529, '26/09/2020', '26', '9', '2020', '135', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '74.24675497');
INSERT INTO public.ecdc_import VALUES (29530, '25/09/2020', '25', '9', '2020', '192', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '69.66780937');
INSERT INTO public.ecdc_import VALUES (29531, '24/09/2020', '24', '9', '2020', '122', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '65.66547173');
INSERT INTO public.ecdc_import VALUES (29532, '23/09/2020', '23', '9', '2020', '129', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '65.39412681');
INSERT INTO public.ecdc_import VALUES (29533, '22/09/2020', '22', '9', '2020', '134', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '65.76722608');
INSERT INTO public.ecdc_import VALUES (29534, '21/09/2020', '21', '9', '2020', '230', '7', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '63.93564784');
INSERT INTO public.ecdc_import VALUES (29535, '20/09/2020', '20', '9', '2020', '187', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '58.81401239');
INSERT INTO public.ecdc_import VALUES (29536, '19/09/2020', '19', '9', '2020', '197', '4', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '54.50641171');
INSERT INTO public.ecdc_import VALUES (29537, '18/09/2020', '18', '9', '2020', '223', '5', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '50.1309748');
INSERT INTO public.ecdc_import VALUES (29538, '17/09/2020', '17', '9', '2020', '109', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '45.07717558');
INSERT INTO public.ecdc_import VALUES (29539, '16/09/2020', '16', '9', '2020', '109', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '46.09471905');
INSERT INTO public.ecdc_import VALUES (29540, '15/09/2020', '15', '9', '2020', '162', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '53.45495013');
INSERT INTO public.ecdc_import VALUES (29541, '14/09/2020', '14', '9', '2020', '148', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '47.96021541');
INSERT INTO public.ecdc_import VALUES (29542, '13/09/2020', '13', '9', '2020', '112', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '51.2163545');
INSERT INTO public.ecdc_import VALUES (29543, '12/09/2020', '12', '9', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '50.87717335');
INSERT INTO public.ecdc_import VALUES (29544, '11/09/2020', '11', '9', '2020', '74', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '55.65962764');
INSERT INTO public.ecdc_import VALUES (29545, '10/09/2020', '10', '9', '2020', '114', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '55.38828272');
INSERT INTO public.ecdc_import VALUES (29546, '09/09/2020', '9', '9', '2020', '140', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '53.96372186');
INSERT INTO public.ecdc_import VALUES (29547, '08/09/2020', '8', '9', '2020', '80', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '53.28535955');
INSERT INTO public.ecdc_import VALUES (29548, '07/09/2020', '7', '9', '2020', '79', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '53.3871139');
INSERT INTO public.ecdc_import VALUES (29549, '06/09/2020', '6', '9', '2020', '60', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '54.64208417');
INSERT INTO public.ecdc_import VALUES (29550, '05/09/2020', '5', '9', '2020', '68', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '54.87951098');
INSERT INTO public.ecdc_import VALUES (29551, '04/09/2020', '4', '9', '2020', '74', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '54.4724936');
INSERT INTO public.ecdc_import VALUES (29552, '03/09/2020', '3', '9', '2020', '139', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '55.28652837');
INSERT INTO public.ecdc_import VALUES (29553, '02/09/2020', '2', '9', '2020', '326', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '52.13214362');
INSERT INTO public.ecdc_import VALUES (29554, '01/09/2020', '1', '9', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '41.65144591');
INSERT INTO public.ecdc_import VALUES (29555, '31/08/2020', '31', '8', '2020', '244', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '42.19413576');
INSERT INTO public.ecdc_import VALUES (29556, '30/08/2020', '30', '8', '2020', '102', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '34.96957715');
INSERT INTO public.ecdc_import VALUES (29557, '29/08/2020', '29', '8', '2020', '141', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '31.50992936');
INSERT INTO public.ecdc_import VALUES (29558, '28/08/2020', '28', '8', '2020', '66', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '27.10057434');
INSERT INTO public.ecdc_import VALUES (29559, '27/08/2020', '27', '8', '2020', '72', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '25.0654874');
INSERT INTO public.ecdc_import VALUES (29560, '26/08/2020', '26', '8', '2020', '120', '3', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '23.23390916');
INSERT INTO public.ecdc_import VALUES (29561, '25/08/2020', '25', '8', '2020', '83', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '19.70642514');
INSERT INTO public.ecdc_import VALUES (29562, '24/08/2020', '24', '8', '2020', '116', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '17.16256648');
INSERT INTO public.ecdc_import VALUES (29563, '23/08/2020', '23', '8', '2020', '67', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '13.90642738');
INSERT INTO public.ecdc_import VALUES (29564, '22/08/2020', '22', '8', '2020', '56', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '12.17660349');
INSERT INTO public.ecdc_import VALUES (29565, '21/08/2020', '21', '8', '2020', '98', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '11.26081437');
INSERT INTO public.ecdc_import VALUES (29566, '20/08/2020', '20', '8', '2020', '46', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '8.95438251');
INSERT INTO public.ecdc_import VALUES (29567, '19/08/2020', '19', '8', '2020', '17', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.66549412');
INSERT INTO public.ecdc_import VALUES (29568, '18/08/2020', '18', '8', '2020', '16', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.59765789');
INSERT INTO public.ecdc_import VALUES (29569, '17/08/2020', '17', '8', '2020', '31', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.42806731');
INSERT INTO public.ecdc_import VALUES (29570, '16/08/2020', '16', '8', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.749705');
INSERT INTO public.ecdc_import VALUES (29571, '15/08/2020', '15', '8', '2020', '11', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.39414919');
INSERT INTO public.ecdc_import VALUES (29572, '14/08/2020', '14', '8', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.02104992');
INSERT INTO public.ecdc_import VALUES (29573, '13/08/2020', '13', '8', '2020', '18', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.08888615');
INSERT INTO public.ecdc_import VALUES (29574, '12/08/2020', '12', '8', '2020', '16', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.51227819');
INSERT INTO public.ecdc_import VALUES (29575, '11/08/2020', '11', '8', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.03742457');
INSERT INTO public.ecdc_import VALUES (29576, '10/08/2020', '10', '8', '2020', '20', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.13917892');
INSERT INTO public.ecdc_import VALUES (29577, '09/08/2020', '9', '8', '2020', '16', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '5.63040718');
INSERT INTO public.ecdc_import VALUES (29578, '08/08/2020', '8', '8', '2020', '29', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '5.63040718');
INSERT INTO public.ecdc_import VALUES (29579, '07/08/2020', '7', '8', '2020', '30', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '4.81637241');
INSERT INTO public.ecdc_import VALUES (29580, '06/08/2020', '6', '8', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.79882894');
INSERT INTO public.ecdc_import VALUES (29581, '05/08/2020', '5', '8', '2020', '15', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.76491083');
INSERT INTO public.ecdc_import VALUES (29582, '04/08/2020', '4', '8', '2020', '11', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.25613909');
INSERT INTO public.ecdc_import VALUES (29583, '03/08/2020', '3', '8', '2020', '11', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.52748402');
INSERT INTO public.ecdc_import VALUES (29584, '02/08/2020', '2', '8', '2020', '19', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.6970746');
INSERT INTO public.ecdc_import VALUES (29585, '01/08/2020', '1', '8', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.25613909');
INSERT INTO public.ecdc_import VALUES (29586, '31/07/2020', '31', '7', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.35789344');
INSERT INTO public.ecdc_import VALUES (29587, '30/07/2020', '30', '7', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.15438475');
INSERT INTO public.ecdc_import VALUES (29588, '29/07/2020', '29', '7', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.15438475');
INSERT INTO public.ecdc_import VALUES (29589, '28/07/2020', '28', '7', '2020', '11', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.18830286');
INSERT INTO public.ecdc_import VALUES (29590, '27/07/2020', '27', '7', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.84912171');
INSERT INTO public.ecdc_import VALUES (29591, '26/07/2020', '26', '7', '2020', '16', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.67953113');
INSERT INTO public.ecdc_import VALUES (29592, '25/07/2020', '25', '7', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.30643186');
INSERT INTO public.ecdc_import VALUES (29593, '24/07/2020', '24', '7', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.13684128');
INSERT INTO public.ecdc_import VALUES (29594, '23/07/2020', '23', '7', '2020', '7', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.20467751');
INSERT INTO public.ecdc_import VALUES (29595, '22/07/2020', '22', '7', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.1707594');
INSERT INTO public.ecdc_import VALUES (29596, '21/07/2020', '21', '7', '2020', '19', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.44210432');
INSERT INTO public.ecdc_import VALUES (29597, '20/07/2020', '20', '7', '2020', '16', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.9672507');
INSERT INTO public.ecdc_import VALUES (29598, '19/07/2020', '19', '7', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.56023332');
INSERT INTO public.ecdc_import VALUES (29599, '18/07/2020', '18', '7', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.59415143');
INSERT INTO public.ecdc_import VALUES (29600, '17/07/2020', '17', '7', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.69590578');
INSERT INTO public.ecdc_import VALUES (29601, '16/07/2020', '16', '7', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.89941447');
INSERT INTO public.ecdc_import VALUES (29602, '15/07/2020', '15', '7', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.03508693');
INSERT INTO public.ecdc_import VALUES (29603, '14/07/2020', '14', '7', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.06900505');
INSERT INTO public.ecdc_import VALUES (29604, '13/07/2020', '13', '7', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.10292316');
INSERT INTO public.ecdc_import VALUES (29605, '12/07/2020', '12', '7', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.30643186');
INSERT INTO public.ecdc_import VALUES (29606, '11/07/2020', '11', '7', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.27251374');
INSERT INTO public.ecdc_import VALUES (29607, '10/07/2020', '10', '7', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.34034997');
INSERT INTO public.ecdc_import VALUES (29608, '09/07/2020', '9', '7', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.47602244');
INSERT INTO public.ecdc_import VALUES (29609, '08/07/2020', '8', '7', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.54385867');
INSERT INTO public.ecdc_import VALUES (29610, '07/07/2020', '7', '7', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.44210432');
INSERT INTO public.ecdc_import VALUES (29611, '06/07/2020', '6', '7', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.47602244');
INSERT INTO public.ecdc_import VALUES (29612, '05/07/2020', '5', '7', '2020', '7', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.40818621');
INSERT INTO public.ecdc_import VALUES (29613, '04/07/2020', '4', '7', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.34034997');
INSERT INTO public.ecdc_import VALUES (29614, '03/07/2020', '3', '7', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.01871229');
INSERT INTO public.ecdc_import VALUES (29615, '02/07/2020', '2', '7', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.74736736');
INSERT INTO public.ecdc_import VALUES (29616, '01/07/2020', '1', '7', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.74736736');
INSERT INTO public.ecdc_import VALUES (29617, '30/06/2020', '30', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.6116949');
INSERT INTO public.ecdc_import VALUES (29618, '29/06/2020', '29', '6', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.67953113');
INSERT INTO public.ecdc_import VALUES (29619, '28/06/2020', '28', '6', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.54385867');
INSERT INTO public.ecdc_import VALUES (29620, '27/06/2020', '27', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.44210432');
INSERT INTO public.ecdc_import VALUES (29621, '26/06/2020', '26', '6', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.47602244');
INSERT INTO public.ecdc_import VALUES (29622, '25/06/2020', '25', '6', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.47602244');
INSERT INTO public.ecdc_import VALUES (29623, '24/06/2020', '24', '6', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.20467751');
INSERT INTO public.ecdc_import VALUES (29624, '23/06/2020', '23', '6', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.23859563');
INSERT INTO public.ecdc_import VALUES (29625, '22/06/2020', '22', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.06900505');
INSERT INTO public.ecdc_import VALUES (29626, '21/06/2020', '21', '6', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.06900505');
INSERT INTO public.ecdc_import VALUES (29627, '20/06/2020', '20', '6', '2020', '26', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.93333259');
INSERT INTO public.ecdc_import VALUES (29628, '19/06/2020', '19', '6', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.18713404');
INSERT INTO public.ecdc_import VALUES (29629, '18/06/2020', '18', '6', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.22105216');
INSERT INTO public.ecdc_import VALUES (29630, '17/06/2020', '17', '6', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.05146158');
INSERT INTO public.ecdc_import VALUES (29631, '16/06/2020', '16', '6', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.11929781');
INSERT INTO public.ecdc_import VALUES (29632, '15/06/2020', '15', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.05146158');
INSERT INTO public.ecdc_import VALUES (29633, '14/06/2020', '14', '6', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.15321593');
INSERT INTO public.ecdc_import VALUES (29634, '13/06/2020', '13', '6', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.32280651');
INSERT INTO public.ecdc_import VALUES (29635, '12/06/2020', '12', '6', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.42456085');
INSERT INTO public.ecdc_import VALUES (29636, '11/06/2020', '11', '6', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.22105216');
INSERT INTO public.ecdc_import VALUES (29637, '10/06/2020', '10', '6', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.39064274');
INSERT INTO public.ecdc_import VALUES (29638, '09/06/2020', '9', '6', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.45847897');
INSERT INTO public.ecdc_import VALUES (29639, '08/06/2020', '8', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.56023332');
INSERT INTO public.ecdc_import VALUES (29640, '07/06/2020', '7', '6', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.56023332');
INSERT INTO public.ecdc_import VALUES (29641, '06/06/2020', '6', '6', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.72982389');
INSERT INTO public.ecdc_import VALUES (29642, '05/06/2020', '5', '6', '2020', '1', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.93333259');
INSERT INTO public.ecdc_import VALUES (29643, '04/06/2020', '4', '6', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.06900505');
INSERT INTO public.ecdc_import VALUES (29644, '03/06/2020', '3', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.37426809');
INSERT INTO public.ecdc_import VALUES (29645, '02/06/2020', '2', '6', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.30643186');
INSERT INTO public.ecdc_import VALUES (29646, '01/06/2020', '1', '6', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.23859563');
INSERT INTO public.ecdc_import VALUES (29647, '31/05/2020', '31', '5', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.1707594');
INSERT INTO public.ecdc_import VALUES (29648, '30/05/2020', '30', '5', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.1707594');
INSERT INTO public.ecdc_import VALUES (29649, '29/05/2020', '29', '5', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.03508693');
INSERT INTO public.ecdc_import VALUES (29650, '28/05/2020', '28', '5', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.03508693');
INSERT INTO public.ecdc_import VALUES (29651, '27/05/2020', '27', '5', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.93333259');
INSERT INTO public.ecdc_import VALUES (29652, '26/05/2020', '26', '5', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.72982389');
INSERT INTO public.ecdc_import VALUES (29653, '25/05/2020', '25', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.69590578');
INSERT INTO public.ecdc_import VALUES (29654, '24/05/2020', '24', '5', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.76374201');
INSERT INTO public.ecdc_import VALUES (29655, '23/05/2020', '23', '5', '2020', '10', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.83157824');
INSERT INTO public.ecdc_import VALUES (29656, '22/05/2020', '22', '5', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.56023332');
INSERT INTO public.ecdc_import VALUES (29657, '21/05/2020', '21', '5', '2020', '9', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.72982389');
INSERT INTO public.ecdc_import VALUES (29658, '20/05/2020', '20', '5', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.59415143');
INSERT INTO public.ecdc_import VALUES (29659, '19/05/2020', '19', '5', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.66198766');
INSERT INTO public.ecdc_import VALUES (29660, '18/05/2020', '18', '5', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.72982389');
INSERT INTO public.ecdc_import VALUES (29661, '17/05/2020', '17', '5', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.83157824');
INSERT INTO public.ecdc_import VALUES (29662, '16/05/2020', '16', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.67953113');
INSERT INTO public.ecdc_import VALUES (29663, '15/05/2020', '15', '5', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.95087605');
INSERT INTO public.ecdc_import VALUES (29664, '14/05/2020', '14', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.83274706');
INSERT INTO public.ecdc_import VALUES (29665, '13/05/2020', '13', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '4.27368256');
INSERT INTO public.ecdc_import VALUES (29666, '12/05/2020', '12', '5', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '4.78245429');
INSERT INTO public.ecdc_import VALUES (29667, '11/05/2020', '11', '5', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '5.15555357');
INSERT INTO public.ecdc_import VALUES (29668, '10/05/2020', '10', '5', '2020', '8', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.5461963');
INSERT INTO public.ecdc_import VALUES (29669, '09/05/2020', '9', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.85145934');
INSERT INTO public.ecdc_import VALUES (29670, '08/05/2020', '8', '5', '2020', '10', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '8.00467527');
INSERT INTO public.ecdc_import VALUES (29671, '07/05/2020', '7', '5', '2020', '5', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.66549412');
INSERT INTO public.ecdc_import VALUES (29672, '06/05/2020', '6', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '8.14034774');
INSERT INTO public.ecdc_import VALUES (29673, '05/05/2020', '5', '5', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '8.41169266');
INSERT INTO public.ecdc_import VALUES (29674, '04/05/2020', '4', '5', '2020', '6', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.25964555');
INSERT INTO public.ecdc_import VALUES (29675, '03/05/2020', '3', '5', '2020', '31', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.83625351');
INSERT INTO public.ecdc_import VALUES (29676, '02/05/2020', '2', '5', '2020', '10', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.12397309');
INSERT INTO public.ecdc_import VALUES (29677, '01/05/2020', '1', '5', '2020', '26', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.46315424');
INSERT INTO public.ecdc_import VALUES (29678, '30/04/2020', '30', '4', '2020', '15', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.19180932');
INSERT INTO public.ecdc_import VALUES (29679, '29/04/2020', '29', '4', '2020', '17', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.3613999');
INSERT INTO public.ecdc_import VALUES (29680, '28/04/2020', '28', '4', '2020', '14', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.87017163');
INSERT INTO public.ecdc_import VALUES (29681, '27/04/2020', '27', '4', '2020', '45', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '9.42923613');
INSERT INTO public.ecdc_import VALUES (29682, '26/04/2020', '26', '4', '2020', '17', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '8.00467527');
INSERT INTO public.ecdc_import VALUES (29683, '25/04/2020', '25', '4', '2020', '36', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '7.56373977');
INSERT INTO public.ecdc_import VALUES (29684, '24/04/2020', '24', '4', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.41052384');
INSERT INTO public.ecdc_import VALUES (29685, '23/04/2020', '23', '4', '2020', '19', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '6.41052384');
INSERT INTO public.ecdc_import VALUES (29686, '22/04/2020', '22', '4', '2020', '10', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '5.76607965');
INSERT INTO public.ecdc_import VALUES (29687, '21/04/2020', '21', '4', '2020', '27', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '5.56257095');
INSERT INTO public.ecdc_import VALUES (29688, '20/04/2020', '20', '4', '2020', '23', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '4.68069995');
INSERT INTO public.ecdc_import VALUES (29689, '19/04/2020', '19', '4', '2020', '10', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '4.00233764');
INSERT INTO public.ecdc_import VALUES (29690, '18/04/2020', '18', '4', '2020', '20', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.73099271');
INSERT INTO public.ecdc_import VALUES (29691, '17/04/2020', '17', '4', '2020', '18', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '3.25613909');
INSERT INTO public.ecdc_import VALUES (29692, '16/04/2020', '16', '4', '2020', '20', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.74736736');
INSERT INTO public.ecdc_import VALUES (29693, '15/04/2020', '15', '4', '2020', '32', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '2.27251374');
INSERT INTO public.ecdc_import VALUES (29694, '14/04/2020', '14', '4', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.18713404');
INSERT INTO public.ecdc_import VALUES (29695, '13/04/2020', '13', '4', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.28888839');
INSERT INTO public.ecdc_import VALUES (29696, '12/04/2020', '12', '4', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.25497028');
INSERT INTO public.ecdc_import VALUES (29697, '11/04/2020', '11', '4', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.32280651');
INSERT INTO public.ecdc_import VALUES (29698, '10/04/2020', '10', '4', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.25497028');
INSERT INTO public.ecdc_import VALUES (29699, '09/04/2020', '9', '4', '2020', '0', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.28888839');
INSERT INTO public.ecdc_import VALUES (29700, '08/04/2020', '8', '4', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.42456085');
INSERT INTO public.ecdc_import VALUES (29701, '07/04/2020', '7', '4', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.35672462');
INSERT INTO public.ecdc_import VALUES (29702, '06/04/2020', '6', '4', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.32280651');
INSERT INTO public.ecdc_import VALUES (29703, '05/04/2020', '5', '4', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.22105216');
INSERT INTO public.ecdc_import VALUES (29704, '04/04/2020', '4', '4', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.15321593');
INSERT INTO public.ecdc_import VALUES (29705, '03/04/2020', '3', '4', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '1.05146158');
INSERT INTO public.ecdc_import VALUES (29706, '02/04/2020', '2', '4', '2020', '6', '2', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.98362535');
INSERT INTO public.ecdc_import VALUES (29707, '01/04/2020', '1', '4', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.84795289');
INSERT INTO public.ecdc_import VALUES (29708, '31/03/2020', '31', '3', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.94970724');
INSERT INTO public.ecdc_import VALUES (29709, '30/03/2020', '30', '3', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.81403477');
INSERT INTO public.ecdc_import VALUES (29710, '29/03/2020', '29', '3', '2020', '6', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.81403477');
INSERT INTO public.ecdc_import VALUES (29711, '28/03/2020', '28', '3', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.67836231');
INSERT INTO public.ecdc_import VALUES (29712, '27/03/2020', '27', '3', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.81403477');
INSERT INTO public.ecdc_import VALUES (29713, '26/03/2020', '26', '3', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '0.84795289');
INSERT INTO public.ecdc_import VALUES (29714, '25/03/2020', '25', '3', '2020', '2', '1', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29715, '24/03/2020', '24', '3', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29716, '23/03/2020', '23', '3', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29717, '22/03/2020', '22', '3', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29718, '21/03/2020', '21', '3', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29719, '20/03/2020', '20', '3', '2020', '1', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29720, '19/03/2020', '19', '3', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29721, '18/03/2020', '18', '3', '2020', '3', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29722, '17/03/2020', '17', '3', '2020', '0', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29723, '16/03/2020', '16', '3', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29724, '14/03/2020', '14', '3', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29725, '13/03/2020', '13', '3', '2020', '4', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29726, '12/03/2020', '12', '3', '2020', '2', '0', '2948277', 'Jamaica', 'JM', 'JAM', 'America', '');
INSERT INTO public.ecdc_import VALUES (29727, '14/12/2020', '14', '12', '2020', '2366', '23', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '25.92852158');
INSERT INTO public.ecdc_import VALUES (29728, '13/12/2020', '13', '12', '2020', '2988', '28', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '25.72435999');
INSERT INTO public.ecdc_import VALUES (29729, '12/12/2020', '12', '12', '2020', '2757', '32', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '25.40668771');
INSERT INTO public.ecdc_import VALUES (29730, '11/12/2020', '11', '12', '2020', '2969', '37', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '25.26479935');
INSERT INTO public.ecdc_import VALUES (29731, '10/12/2020', '10', '12', '2020', '2733', '45', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '24.6822688');
INSERT INTO public.ecdc_import VALUES (29732, '09/12/2020', '9', '12', '2020', '1911', '38', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.99489851');
INSERT INTO public.ecdc_import VALUES (29733, '08/12/2020', '8', '12', '2020', '1862', '47', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.6480603');
INSERT INTO public.ecdc_import VALUES (29734, '07/12/2020', '7', '12', '2020', '1969', '20', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '24.55456927');
INSERT INTO public.ecdc_import VALUES (29735, '06/12/2020', '6', '12', '2020', '2424', '32', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.58421053');
INSERT INTO public.ecdc_import VALUES (29736, '05/12/2020', '5', '12', '2020', '2442', '43', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.65515471');
INSERT INTO public.ecdc_import VALUES (29737, '04/12/2020', '4', '12', '2020', '2405', '27', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.62047089');
INSERT INTO public.ecdc_import VALUES (29738, '03/12/2020', '3', '12', '2020', '2441', '41', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.53849095');
INSERT INTO public.ecdc_import VALUES (29739, '02/12/2020', '2', '12', '2020', '1692', '33', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.30989303');
INSERT INTO public.ecdc_import VALUES (29740, '01/12/2020', '1', '12', '2020', '1934', '20', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.14987449');
INSERT INTO public.ecdc_import VALUES (29741, '30/11/2020', '30', '11', '2020', '2107', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '23.7134866');
INSERT INTO public.ecdc_import VALUES (29742, '29/11/2020', '29', '11', '2020', '2585', '32', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '22.0526045');
INSERT INTO public.ecdc_import VALUES (29743, '28/11/2020', '28', '11', '2020', '2577', '23', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '21.3502571');
INSERT INTO public.ecdc_import VALUES (29744, '27/11/2020', '27', '11', '2020', '2230', '29', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '20.64712144');
INSERT INTO public.ecdc_import VALUES (29745, '26/11/2020', '26', '11', '2020', '1861', '21', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '20.14026469');
INSERT INTO public.ecdc_import VALUES (29746, '25/11/2020', '25', '11', '2020', '1471', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '19.89905447');
INSERT INTO public.ecdc_import VALUES (29747, '24/11/2020', '24', '11', '2020', '3012', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '19.66415041');
INSERT INTO public.ecdc_import VALUES (29748, '23/11/2020', '23', '11', '2020', '738', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '17.99853869');
INSERT INTO public.ecdc_import VALUES (29749, '22/11/2020', '22', '11', '2020', '2514', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '18.20348855');
INSERT INTO public.ecdc_import VALUES (29750, '21/11/2020', '21', '11', '2020', '2398', '20', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '17.14563198');
INSERT INTO public.ecdc_import VALUES (29751, '20/11/2020', '20', '11', '2020', '2301', '21', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '16.14768384');
INSERT INTO public.ecdc_import VALUES (29752, '19/11/2020', '19', '11', '2020', '2151', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '15.07800325');
INSERT INTO public.ecdc_import VALUES (29753, '18/11/2020', '18', '11', '2020', '1489', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '14.12183334');
INSERT INTO public.ecdc_import VALUES (29754, '17/11/2020', '17', '11', '2020', '2649', '20', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '13.43603959');
INSERT INTO public.ecdc_import VALUES (29755, '16/11/2020', '16', '11', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.71682561');
INSERT INTO public.ecdc_import VALUES (29756, '15/11/2020', '15', '11', '2020', '1694', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.24260082');
INSERT INTO public.ecdc_import VALUES (29757, '14/11/2020', '14', '11', '2020', '1685', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.50162826');
INSERT INTO public.ecdc_import VALUES (29758, '13/11/2020', '13', '11', '2020', '1587', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '10.78036242');
INSERT INTO public.ecdc_import VALUES (29759, '12/11/2020', '12', '11', '2020', '1555', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '10.13634691');
INSERT INTO public.ecdc_import VALUES (29760, '11/11/2020', '11', '11', '2020', '1173', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '9.49075487');
INSERT INTO public.ecdc_import VALUES (29761, '10/11/2020', '10', '11', '2020', '899', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '9.05326575');
INSERT INTO public.ecdc_import VALUES (29762, '09/11/2020', '9', '11', '2020', '998', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '8.67883813');
INSERT INTO public.ecdc_import VALUES (29763, '08/11/2020', '8', '11', '2020', '1172', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '8.31781107');
INSERT INTO public.ecdc_import VALUES (29764, '07/11/2020', '7', '11', '2020', '1132', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.94495999');
INSERT INTO public.ecdc_import VALUES (29765, '06/11/2020', '6', '11', '2020', '944', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.60206312');
INSERT INTO public.ecdc_import VALUES (29766, '05/11/2020', '5', '11', '2020', '938', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.34193445');
INSERT INTO public.ecdc_import VALUES (29767, '04/11/2020', '4', '11', '2020', '619', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.06840522');
INSERT INTO public.ecdc_import VALUES (29768, '03/11/2020', '3', '11', '2020', '468', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.93755262');
INSERT INTO public.ecdc_import VALUES (29769, '02/11/2020', '2', '11', '2020', '667', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.84690172');
INSERT INTO public.ecdc_import VALUES (29770, '01/11/2020', '1', '11', '2020', '754', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.69240106');
INSERT INTO public.ecdc_import VALUES (29771, '31/10/2020', '31', '10', '2020', '770', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.56548981');
INSERT INTO public.ecdc_import VALUES (29772, '30/10/2020', '30', '10', '2020', '770', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.45670873');
INSERT INTO public.ecdc_import VALUES (29773, '29/10/2020', '29', '10', '2020', '736', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.41808356');
INSERT INTO public.ecdc_import VALUES (29774, '28/10/2020', '28', '10', '2020', '618', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.28723096');
INSERT INTO public.ecdc_import VALUES (29775, '27/10/2020', '27', '10', '2020', '424', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.16820239');
INSERT INTO public.ecdc_import VALUES (29776, '26/10/2020', '26', '10', '2020', '540', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.09095206');
INSERT INTO public.ecdc_import VALUES (29777, '25/10/2020', '25', '10', '2020', '699', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.00818385');
INSERT INTO public.ecdc_import VALUES (29778, '24/10/2020', '24', '10', '2020', '697', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.99241848');
INSERT INTO public.ecdc_import VALUES (29779, '23/10/2020', '23', '10', '2020', '614', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.91122681');
INSERT INTO public.ecdc_import VALUES (29780, '22/10/2020', '22', '10', '2020', '591', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.91516815');
INSERT INTO public.ecdc_import VALUES (29781, '21/10/2020', '21', '10', '2020', '453', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.82530552');
INSERT INTO public.ecdc_import VALUES (29782, '20/10/2020', '20', '10', '2020', '353', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.85920107');
INSERT INTO public.ecdc_import VALUES (29783, '19/10/2020', '19', '10', '2020', '471', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.82372898');
INSERT INTO public.ecdc_import VALUES (29784, '18/10/2020', '18', '10', '2020', '593', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.76776191');
INSERT INTO public.ecdc_import VALUES (29785, '17/10/2020', '17', '10', '2020', '632', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.75042');
INSERT INTO public.ecdc_import VALUES (29786, '16/10/2020', '16', '10', '2020', '721', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.68814677');
INSERT INTO public.ecdc_import VALUES (29787, '15/10/2020', '15', '10', '2020', '570', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.06966881');
INSERT INTO public.ecdc_import VALUES (29788, '14/10/2020', '14', '10', '2020', '467', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.62035566');
INSERT INTO public.ecdc_import VALUES (29789, '13/10/2020', '13', '10', '2020', '326', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.65898083');
INSERT INTO public.ecdc_import VALUES (29790, '12/10/2020', '12', '10', '2020', '435', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.68814677');
INSERT INTO public.ecdc_import VALUES (29791, '11/10/2020', '11', '10', '2020', '679', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.69287638');
INSERT INTO public.ecdc_import VALUES (29792, '10/10/2020', '10', '10', '2020', '594', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.65819256');
INSERT INTO public.ecdc_import VALUES (29793, '09/10/2020', '9', '10', '2020', '619', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.62981489');
INSERT INTO public.ecdc_import VALUES (29794, '08/10/2020', '8', '10', '2020', '477', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.50132709');
INSERT INTO public.ecdc_import VALUES (29795, '07/10/2020', '7', '10', '2020', '496', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.34052028');
INSERT INTO public.ecdc_import VALUES (29796, '06/10/2020', '6', '10', '2020', '308', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.20966768');
INSERT INTO public.ecdc_import VALUES (29797, '05/10/2020', '5', '10', '2020', '400', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.58251877');
INSERT INTO public.ecdc_import VALUES (29798, '04/10/2020', '4', '10', '2020', '571', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.2672113');
INSERT INTO public.ecdc_import VALUES (29799, '03/10/2020', '3', '10', '2020', '553', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.27745879');
INSERT INTO public.ecdc_import VALUES (29800, '02/10/2020', '2', '10', '2020', '1205', '14', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.29795378');
INSERT INTO public.ecdc_import VALUES (29801, '01/10/2020', '1', '10', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.73040033');
INSERT INTO public.ecdc_import VALUES (29802, '30/09/2020', '30', '9', '2020', '516', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.17261906');
INSERT INTO public.ecdc_import VALUES (29803, '29/09/2020', '29', '9', '2020', '363', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.15212407');
INSERT INTO public.ecdc_import VALUES (29804, '28/09/2020', '28', '9', '2020', '441', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.10325141');
INSERT INTO public.ecdc_import VALUES (29805, '27/09/2020', '27', '9', '2020', '635', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.10167487');
INSERT INTO public.ecdc_import VALUES (29806, '26/09/2020', '26', '9', '2020', '558', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.13241735');
INSERT INTO public.ecdc_import VALUES (29807, '25/09/2020', '25', '9', '2020', '456', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.19942019');
INSERT INTO public.ecdc_import VALUES (29808, '24/09/2020', '24', '9', '2020', '273', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.37599237');
INSERT INTO public.ecdc_import VALUES (29809, '23/09/2020', '23', '9', '2020', '330', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.55098802');
INSERT INTO public.ecdc_import VALUES (29810, '22/09/2020', '22', '9', '2020', '781', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.67868755');
INSERT INTO public.ecdc_import VALUES (29811, '21/09/2020', '21', '9', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.36101527');
INSERT INTO public.ecdc_import VALUES (29812, '20/09/2020', '20', '9', '2020', '584', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.70548868');
INSERT INTO public.ecdc_import VALUES (29813, '19/09/2020', '19', '9', '2020', '579', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.67316967');
INSERT INTO public.ecdc_import VALUES (29814, '18/09/2020', '18', '9', '2020', '485', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.69602946');
INSERT INTO public.ecdc_import VALUES (29815, '17/09/2020', '17', '9', '2020', '561', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.84107089');
INSERT INTO public.ecdc_import VALUES (29816, '16/09/2020', '16', '9', '2020', '490', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.87023683');
INSERT INTO public.ecdc_import VALUES (29817, '15/09/2020', '15', '9', '2020', '301', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.96404081');
INSERT INTO public.ecdc_import VALUES (29818, '14/09/2020', '14', '9', '2020', '439', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.14218953');
INSERT INTO public.ecdc_import VALUES (29819, '13/09/2020', '13', '9', '2020', '674', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.26988905');
INSERT INTO public.ecdc_import VALUES (29820, '12/09/2020', '12', '9', '2020', '643', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.40152992');
INSERT INTO public.ecdc_import VALUES (29821, '11/09/2020', '11', '9', '2020', '680', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.56470154');
INSERT INTO public.ecdc_import VALUES (29822, '10/09/2020', '10', '9', '2020', '495', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.74206199');
INSERT INTO public.ecdc_import VALUES (29823, '09/09/2020', '9', '9', '2020', '492', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.0187443');
INSERT INTO public.ecdc_import VALUES (29824, '08/09/2020', '8', '9', '2020', '378', '14', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.18349245');
INSERT INTO public.ecdc_import VALUES (29825, '07/09/2020', '7', '9', '2020', '437', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.96309017');
INSERT INTO public.ecdc_import VALUES (29826, '06/09/2020', '6', '9', '2020', '543', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.62413464');
INSERT INTO public.ecdc_import VALUES (29827, '05/09/2020', '5', '9', '2020', '608', '19', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.99540919');
INSERT INTO public.ecdc_import VALUES (29828, '04/09/2020', '4', '9', '2020', '669', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '8.31386973');
INSERT INTO public.ecdc_import VALUES (29829, '03/09/2020', '3', '9', '2020', '598', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '8.74820577');
INSERT INTO public.ecdc_import VALUES (29830, '02/09/2020', '2', '9', '2020', '609', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '9.02646462');
INSERT INTO public.ecdc_import VALUES (29831, '01/09/2020', '1', '9', '2020', '527', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '9.80133272');
INSERT INTO public.ecdc_import VALUES (29832, '31/08/2020', '31', '8', '2020', '601', '15', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '10.17891342');
INSERT INTO public.ecdc_import VALUES (29833, '30/08/2020', '30', '8', '2020', '841', '9', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '9.89277189');
INSERT INTO public.ecdc_import VALUES (29834, '29/08/2020', '29', '8', '2020', '850', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '10.12609942');
INSERT INTO public.ecdc_import VALUES (29835, '28/08/2020', '28', '8', '2020', '905', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.08305759');
INSERT INTO public.ecdc_import VALUES (29836, '27/08/2020', '27', '8', '2020', '846', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.21233366');
INSERT INTO public.ecdc_import VALUES (29837, '26/08/2020', '26', '8', '2020', '701', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.28012476');
INSERT INTO public.ecdc_import VALUES (29838, '25/08/2020', '25', '8', '2020', '1367', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.73180271');
INSERT INTO public.ecdc_import VALUES (29839, '24/08/2020', '24', '8', '2020', '7', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '10.84973006');
INSERT INTO public.ecdc_import VALUES (29840, '23/08/2020', '23', '8', '2020', '1014', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.79565248');
INSERT INTO public.ecdc_import VALUES (29841, '22/08/2020', '22', '8', '2020', '1012', '14', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.05578114');
INSERT INTO public.ecdc_import VALUES (29842, '21/08/2020', '21', '8', '2020', '1220', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.53820157');
INSERT INTO public.ecdc_import VALUES (29843, '20/08/2020', '20', '8', '2020', '951', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.79990677');
INSERT INTO public.ecdc_import VALUES (29844, '19/08/2020', '19', '8', '2020', '1592', '14', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.94415994');
INSERT INTO public.ecdc_import VALUES (29845, '18/08/2020', '18', '8', '2020', '1006', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.69112569');
INSERT INTO public.ecdc_import VALUES (29846, '17/08/2020', '17', '8', '2020', '238', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '13.30597526');
INSERT INTO public.ecdc_import VALUES (29847, '16/08/2020', '16', '8', '2020', '1137', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '14.68781025');
INSERT INTO public.ecdc_import VALUES (29848, '15/08/2020', '15', '8', '2020', '2064', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '15.13869993');
INSERT INTO public.ecdc_import VALUES (29849, '14/08/2020', '14', '8', '2020', '1069', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '13.98309805');
INSERT INTO public.ecdc_import VALUES (29850, '13/08/2020', '13', '8', '2020', '932', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '14.17701215');
INSERT INTO public.ecdc_import VALUES (29851, '12/08/2020', '12', '8', '2020', '1274', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '14.32993627');
INSERT INTO public.ecdc_import VALUES (29852, '11/08/2020', '11', '8', '2020', '248', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '14.38511508');
INSERT INTO public.ecdc_import VALUES (29853, '10/08/2020', '10', '8', '2020', '1207', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '14.18962445');
INSERT INTO public.ecdc_import VALUES (29854, '09/08/2020', '9', '8', '2020', '1344', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '13.71666324');
INSERT INTO public.ecdc_import VALUES (29855, '08/08/2020', '8', '8', '2020', '1624', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '13.12703827');
INSERT INTO public.ecdc_import VALUES (29856, '07/08/2020', '7', '8', '2020', '1552', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.50115294');
INSERT INTO public.ecdc_import VALUES (29857, '06/08/2020', '6', '8', '2020', '1134', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '12.00848502');
INSERT INTO public.ecdc_import VALUES (29858, '05/08/2020', '5', '8', '2020', '1271', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.6868714');
INSERT INTO public.ecdc_import VALUES (29859, '04/08/2020', '4', '8', '2020', '1786', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '11.13193025');
INSERT INTO public.ecdc_import VALUES (29860, '03/08/2020', '3', '8', '2020', '1991', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '10.22857435');
INSERT INTO public.ecdc_import VALUES (29861, '02/08/2020', '2', '8', '2020', '1709', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '9.01700539');
INSERT INTO public.ecdc_import VALUES (29862, '01/08/2020', '1', '8', '2020', '598', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '8.07187125');
INSERT INTO public.ecdc_import VALUES (29863, '31/07/2020', '31', '7', '2020', '1315', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '8.11995564');
INSERT INTO public.ecdc_import VALUES (29864, '30/07/2020', '30', '7', '2020', '1126', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '7.54294297');
INSERT INTO public.ecdc_import VALUES (29865, '29/07/2020', '29', '7', '2020', '1344', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.95647107');
INSERT INTO public.ecdc_import VALUES (29866, '28/07/2020', '28', '7', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.12405935');
INSERT INTO public.ecdc_import VALUES (29867, '27/07/2020', '27', '7', '2020', '607', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.40152992');
INSERT INTO public.ecdc_import VALUES (29868, '26/07/2020', '26', '7', '2020', '596', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.21155717');
INSERT INTO public.ecdc_import VALUES (29869, '25/07/2020', '25', '7', '2020', '830', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '6.03577326');
INSERT INTO public.ecdc_import VALUES (29870, '24/07/2020', '24', '7', '2020', '927', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.70470041');
INSERT INTO public.ecdc_import VALUES (29871, '23/07/2020', '23', '7', '2020', '726', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.24829285');
INSERT INTO public.ecdc_import VALUES (29872, '22/07/2020', '22', '7', '2020', '567', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.83129872');
INSERT INTO public.ecdc_import VALUES (29873, '21/07/2020', '21', '7', '2020', '640', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.53648623');
INSERT INTO public.ecdc_import VALUES (29874, '20/07/2020', '20', '7', '2020', '454', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.19437763');
INSERT INTO public.ecdc_import VALUES (29875, '19/07/2020', '19', '7', '2020', '510', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.03593562');
INSERT INTO public.ecdc_import VALUES (29876, '18/07/2020', '18', '7', '2020', '659', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.82310308');
INSERT INTO public.ecdc_import VALUES (29877, '17/07/2020', '17', '7', '2020', '583', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.47232352');
INSERT INTO public.ecdc_import VALUES (29878, '16/07/2020', '16', '7', '2020', '382', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.16568701');
INSERT INTO public.ecdc_import VALUES (29879, '15/07/2020', '15', '7', '2020', '288', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.98359694');
INSERT INTO public.ecdc_import VALUES (29880, '14/07/2020', '14', '7', '2020', '352', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.85905049');
INSERT INTO public.ecdc_import VALUES (29881, '13/07/2020', '13', '7', '2020', '366', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.67380735');
INSERT INTO public.ecdc_import VALUES (29882, '12/07/2020', '12', '7', '2020', '373', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.45309212');
INSERT INTO public.ecdc_import VALUES (29883, '11/07/2020', '11', '7', '2020', '410', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.23237689');
INSERT INTO public.ecdc_import VALUES (29884, '10/07/2020', '10', '7', '2020', '348', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.9880136');
INSERT INTO public.ecdc_import VALUES (29885, '09/07/2020', '9', '7', '2020', '197', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.78227548');
INSERT INTO public.ecdc_import VALUES (29886, '08/07/2020', '8', '7', '2020', '193', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.69241285');
INSERT INTO public.ecdc_import VALUES (29887, '07/07/2020', '7', '7', '2020', '206', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.58678485');
INSERT INTO public.ecdc_import VALUES (29888, '06/07/2020', '6', '7', '2020', '253', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.46539147');
INSERT INTO public.ecdc_import VALUES (29889, '05/07/2020', '5', '7', '2020', '240', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.35818693');
INSERT INTO public.ecdc_import VALUES (29890, '04/07/2020', '4', '7', '2020', '214', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.16900245');
INSERT INTO public.ecdc_import VALUES (29891, '03/07/2020', '3', '7', '2020', '194', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.0468208');
INSERT INTO public.ecdc_import VALUES (29892, '02/07/2020', '2', '7', '2020', '151', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.95065202');
INSERT INTO public.ecdc_import VALUES (29893, '01/07/2020', '1', '7', '2020', '130', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.8631542');
INSERT INTO public.ecdc_import VALUES (29894, '30/06/2020', '30', '6', '2020', '117', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.79299829');
INSERT INTO public.ecdc_import VALUES (29895, '29/06/2020', '29', '6', '2020', '86', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.76777369');
INSERT INTO public.ecdc_import VALUES (29896, '28/06/2020', '28', '6', '2020', '93', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.7575262');
INSERT INTO public.ecdc_import VALUES (29897, '27/06/2020', '27', '6', '2020', '100', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.72126584');
INSERT INTO public.ecdc_import VALUES (29898, '26/06/2020', '26', '6', '2020', '87', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.68185241');
INSERT INTO public.ecdc_import VALUES (29899, '25/06/2020', '25', '6', '2020', '83', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.64480378');
INSERT INTO public.ecdc_import VALUES (29900, '24/06/2020', '24', '6', '2020', '59', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.61169649');
INSERT INTO public.ecdc_import VALUES (29901, '23/06/2020', '23', '6', '2020', '52', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.59750766');
INSERT INTO public.ecdc_import VALUES (29902, '22/06/2020', '22', '6', '2020', '117', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.58489536');
INSERT INTO public.ecdc_import VALUES (29903, '21/06/2020', '21', '6', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.51868079');
INSERT INTO public.ecdc_import VALUES (29904, '20/06/2020', '20', '6', '2020', '59', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.548635');
INSERT INTO public.ecdc_import VALUES (29905, '19/06/2020', '19', '6', '2020', '72', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.53286963');
INSERT INTO public.ecdc_import VALUES (29906, '18/06/2020', '18', '6', '2020', '40', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.51237464');
INSERT INTO public.ecdc_import VALUES (29907, '17/06/2020', '17', '6', '2020', '41', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.50606849');
INSERT INTO public.ecdc_import VALUES (29908, '16/06/2020', '16', '6', '2020', '85', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.51789252');
INSERT INTO public.ecdc_import VALUES (29909, '15/06/2020', '15', '6', '2020', '73', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.48715004');
INSERT INTO public.ecdc_import VALUES (29910, '14/06/2020', '14', '6', '2020', '47', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.4556193');
INSERT INTO public.ecdc_import VALUES (29911, '13/06/2020', '13', '6', '2020', '50', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.4556193');
INSERT INTO public.ecdc_import VALUES (29912, '12/06/2020', '12', '6', '2020', '40', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.4832087');
INSERT INTO public.ecdc_import VALUES (29913, '11/06/2020', '11', '6', '2020', '41', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.50528022');
INSERT INTO public.ecdc_import VALUES (29914, '10/06/2020', '10', '6', '2020', '41', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.47296121');
INSERT INTO public.ecdc_import VALUES (29915, '09/06/2020', '9', '6', '2020', '36', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.46271371');
INSERT INTO public.ecdc_import VALUES (29916, '08/06/2020', '8', '6', '2020', '33', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.46744333');
INSERT INTO public.ecdc_import VALUES (29917, '07/06/2020', '7', '6', '2020', '38', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.46586679');
INSERT INTO public.ecdc_import VALUES (29918, '06/06/2020', '6', '6', '2020', '39', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.44694834');
INSERT INTO public.ecdc_import VALUES (29919, '05/06/2020', '5', '6', '2020', '46', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.43433604');
INSERT INTO public.ecdc_import VALUES (29920, '04/06/2020', '4', '6', '2020', '32', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.46823159');
INSERT INTO public.ecdc_import VALUES (29921, '03/06/2020', '3', '6', '2020', '56', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.47374947');
INSERT INTO public.ecdc_import VALUES (29922, '02/06/2020', '2', '6', '2020', '46', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.4453718');
INSERT INTO public.ecdc_import VALUES (29923, '01/06/2020', '1', '6', '2020', '33', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.45640756');
INSERT INTO public.ecdc_import VALUES (29924, '31/05/2020', '31', '5', '2020', '47', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.44616007');
INSERT INTO public.ecdc_import VALUES (29925, '30/05/2020', '30', '5', '2020', '85', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.44694834');
INSERT INTO public.ecdc_import VALUES (29926, '29/05/2020', '29', '5', '2020', '68', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.41462932');
INSERT INTO public.ecdc_import VALUES (29927, '28/05/2020', '28', '5', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.45088968');
INSERT INTO public.ecdc_import VALUES (29928, '27/05/2020', '27', '5', '2020', '28', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.49424446');
INSERT INTO public.ecdc_import VALUES (29929, '26/05/2020', '26', '5', '2020', '42', '16', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.59041324');
INSERT INTO public.ecdc_import VALUES (29930, '25/05/2020', '25', '5', '2020', '31', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.61721437');
INSERT INTO public.ecdc_import VALUES (29931, '24/05/2020', '24', '5', '2020', '14', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.63297975');
INSERT INTO public.ecdc_import VALUES (29932, '23/05/2020', '23', '5', '2020', '23', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.71574796');
INSERT INTO public.ecdc_import VALUES (29933, '22/05/2020', '22', '5', '2020', '89', '19', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.76146754');
INSERT INTO public.ecdc_import VALUES (29934, '21/05/2020', '21', '5', '2020', '39', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.7575262');
INSERT INTO public.ecdc_import VALUES (29935, '20/05/2020', '20', '5', '2020', '20', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.81270501');
INSERT INTO public.ecdc_import VALUES (29936, '19/05/2020', '19', '5', '2020', '60', '14', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.89389668');
INSERT INTO public.ecdc_import VALUES (29937, '18/05/2020', '18', '5', '2020', '20', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.98375931');
INSERT INTO public.ecdc_import VALUES (29938, '17/05/2020', '17', '5', '2020', '48', '19', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.13983651');
INSERT INTO public.ecdc_import VALUES (29939, '16/05/2020', '16', '5', '2020', '44', '15', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.33453887');
INSERT INTO public.ecdc_import VALUES (29940, '15/05/2020', '15', '5', '2020', '114', '23', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.50716971');
INSERT INTO public.ecdc_import VALUES (29941, '14/05/2020', '14', '5', '2020', '55', '19', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.56944294');
INSERT INTO public.ecdc_import VALUES (29942, '13/05/2020', '13', '5', '2020', '150', '25', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.71211957');
INSERT INTO public.ecdc_import VALUES (29943, '12/05/2020', '12', '5', '2020', '76', '22', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.81144142');
INSERT INTO public.ecdc_import VALUES (29944, '11/05/2020', '11', '5', '2020', '51', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.90209232');
INSERT INTO public.ecdc_import VALUES (29945, '10/05/2020', '10', '5', '2020', '119', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.02190916');
INSERT INTO public.ecdc_import VALUES (29946, '09/05/2020', '9', '5', '2020', '81', '44', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.1567031');
INSERT INTO public.ecdc_import VALUES (29947, '08/05/2020', '8', '5', '2020', '84', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.60680451');
INSERT INTO public.ecdc_import VALUES (29948, '07/05/2020', '7', '5', '2020', '109', '8', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.90949969');
INSERT INTO public.ecdc_import VALUES (29949, '06/05/2020', '6', '5', '2020', '123', '22', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.04114055');
INSERT INTO public.ecdc_import VALUES (29950, '05/05/2020', '5', '5', '2020', '174', '11', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.24214907');
INSERT INTO public.ecdc_import VALUES (29951, '04/05/2020', '4', '5', '2020', '218', '18', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.39428492');
INSERT INTO public.ecdc_import VALUES (29952, '03/05/2020', '3', '5', '2020', '295', '34', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.52986713');
INSERT INTO public.ecdc_import VALUES (29953, '02/05/2020', '2', '5', '2020', '263', '26', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.74348794');
INSERT INTO public.ecdc_import VALUES (29954, '01/05/2020', '1', '5', '2020', '193', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.03120601');
INSERT INTO public.ecdc_import VALUES (29955, '30/04/2020', '30', '4', '2020', '236', '26', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.34020733');
INSERT INTO public.ecdc_import VALUES (29956, '29/04/2020', '29', '4', '2020', '276', '13', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.53412143');
INSERT INTO public.ecdc_import VALUES (29957, '28/04/2020', '28', '4', '2020', '191', '25', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.67522152');
INSERT INTO public.ecdc_import VALUES (29958, '27/04/2020', '27', '4', '2020', '203', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.83208699');
INSERT INTO public.ecdc_import VALUES (29959, '26/04/2020', '26', '4', '2020', '290', '14', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.07172066');
INSERT INTO public.ecdc_import VALUES (29960, '25/04/2020', '25', '4', '2020', '652', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.42880638');
INSERT INTO public.ecdc_import VALUES (29961, '24/04/2020', '24', '4', '2020', '468', '30', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.43353599');
INSERT INTO public.ecdc_import VALUES (29962, '23/04/2020', '23', '4', '2020', '276', '101', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.52103381');
INSERT INTO public.ecdc_import VALUES (29963, '22/04/2020', '22', '4', '2020', '378', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.70627695');
INSERT INTO public.ecdc_import VALUES (29964, '21/04/2020', '21', '4', '2020', '367', '15', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.6849937');
INSERT INTO public.ecdc_import VALUES (29965, '20/04/2020', '20', '4', '2020', '390', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.5943428');
INSERT INTO public.ecdc_import VALUES (29966, '19/04/2020', '19', '4', '2020', '566', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.58882492');
INSERT INTO public.ecdc_import VALUES (29967, '18/04/2020', '18', '4', '2020', '628', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.40752312');
INSERT INTO public.ecdc_import VALUES (29968, '17/04/2020', '17', '4', '2020', '585', '12', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.16315983');
INSERT INTO public.ecdc_import VALUES (29969, '16/04/2020', '16', '4', '2020', '482', '17', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '5.0480726');
INSERT INTO public.ecdc_import VALUES (29970, '15/04/2020', '15', '4', '2020', '455', '10', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.84548755');
INSERT INTO public.ecdc_import VALUES (29971, '14/04/2020', '14', '4', '2020', '390', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.48682531');
INSERT INTO public.ecdc_import VALUES (29972, '13/04/2020', '13', '4', '2020', '507', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '4.2479799');
INSERT INTO public.ecdc_import VALUES (29973, '12/04/2020', '12', '4', '2020', '743', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.98469816');
INSERT INTO public.ecdc_import VALUES (29974, '11/04/2020', '11', '4', '2020', '658', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.55193866');
INSERT INTO public.ecdc_import VALUES (29975, '10/04/2020', '10', '4', '2020', '579', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '3.13967414');
INSERT INTO public.ecdc_import VALUES (29976, '09/04/2020', '9', '4', '2020', '511', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.75894037');
INSERT INTO public.ecdc_import VALUES (29977, '08/04/2020', '8', '4', '2020', '351', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.41525522');
INSERT INTO public.ecdc_import VALUES (29978, '07/04/2020', '7', '4', '2020', '252', '7', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.18981038');
INSERT INTO public.ecdc_import VALUES (29979, '06/04/2020', '6', '4', '2020', '383', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '2.02190916');
INSERT INTO public.ecdc_import VALUES (29980, '05/04/2020', '5', '4', '2020', '336', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.75389781');
INSERT INTO public.ecdc_import VALUES (29981, '04/04/2020', '4', '4', '2020', '318', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.51978201');
INSERT INTO public.ecdc_import VALUES (29982, '03/04/2020', '3', '4', '2020', '439', '6', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.31404388');
INSERT INTO public.ecdc_import VALUES (29983, '02/04/2020', '2', '4', '2020', '225', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '1.02869062');
INSERT INTO public.ecdc_import VALUES (29984, '01/04/2020', '1', '4', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.88601399');
INSERT INTO public.ecdc_import VALUES (29985, '31/03/2020', '31', '3', '2020', '87', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.88995534');
INSERT INTO public.ecdc_import VALUES (29986, '30/03/2020', '30', '3', '2020', '173', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.82925865');
INSERT INTO public.ecdc_import VALUES (29987, '29/03/2020', '29', '3', '2020', '194', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.7196893');
INSERT INTO public.ecdc_import VALUES (29988, '28/03/2020', '28', '3', '2020', '135', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.60066073');
INSERT INTO public.ecdc_import VALUES (29989, '27/03/2020', '27', '3', '2020', '96', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.54311712');
INSERT INTO public.ecdc_import VALUES (29990, '26/03/2020', '26', '3', '2020', '75', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.51158637');
INSERT INTO public.ecdc_import VALUES (29991, '25/03/2020', '25', '3', '2020', '65', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.49266792');
INSERT INTO public.ecdc_import VALUES (29992, '24/03/2020', '24', '3', '2020', '39', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.48399697');
INSERT INTO public.ecdc_import VALUES (29993, '23/03/2020', '23', '3', '2020', '43', '5', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.47374947');
INSERT INTO public.ecdc_import VALUES (29994, '22/03/2020', '22', '3', '2020', '39', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.46586679');
INSERT INTO public.ecdc_import VALUES (29995, '21/03/2020', '21', '3', '2020', '57', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.47217294');
INSERT INTO public.ecdc_import VALUES (29996, '20/03/2020', '20', '3', '2020', '77', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.47374947');
INSERT INTO public.ecdc_import VALUES (29997, '19/03/2020', '19', '3', '2020', '44', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.43827738');
INSERT INTO public.ecdc_import VALUES (29998, '18/03/2020', '18', '3', '2020', '5', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.44221873');
INSERT INTO public.ecdc_import VALUES (29999, '17/03/2020', '17', '3', '2020', '10', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.44931315');
INSERT INTO public.ecdc_import VALUES (30000, '16/03/2020', '16', '3', '2020', '34', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.44143046');
INSERT INTO public.ecdc_import VALUES (30001, '15/03/2020', '15', '3', '2020', '43', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.42645335');
INSERT INTO public.ecdc_import VALUES (30002, '14/03/2020', '14', '3', '2020', '62', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.39965222');
INSERT INTO public.ecdc_import VALUES (30003, '13/03/2020', '13', '3', '2020', '56', '4', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.36654493');
INSERT INTO public.ecdc_import VALUES (30004, '12/03/2020', '12', '3', '2020', '51', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.34132034');
INSERT INTO public.ecdc_import VALUES (30005, '11/03/2020', '11', '3', '2020', '54', '3', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.31846055');
INSERT INTO public.ecdc_import VALUES (30006, '10/03/2020', '10', '3', '2020', '26', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.29165941');
INSERT INTO public.ecdc_import VALUES (30007, '09/03/2020', '9', '3', '2020', '33', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.27116442');
INSERT INTO public.ecdc_import VALUES (30008, '08/03/2020', '8', '3', '2020', '47', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.25461078');
INSERT INTO public.ecdc_import VALUES (30009, '07/03/2020', '7', '3', '2020', '59', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.23884541');
INSERT INTO public.ecdc_import VALUES (30010, '06/03/2020', '6', '3', '2020', '32', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.20179678');
INSERT INTO public.ecdc_import VALUES (30011, '05/03/2020', '5', '3', '2020', '49', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.1836666');
INSERT INTO public.ecdc_import VALUES (30012, '04/03/2020', '4', '3', '2020', '14', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.15923027');
INSERT INTO public.ecdc_import VALUES (30013, '03/03/2020', '3', '3', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.15371239');
INSERT INTO public.ecdc_import VALUES (30014, '02/03/2020', '2', '3', '2020', '15', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.15371239');
INSERT INTO public.ecdc_import VALUES (30015, '01/03/2020', '1', '3', '2020', '9', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.14740624');
INSERT INTO public.ecdc_import VALUES (30016, '29/02/2020', '29', '2', '2020', '20', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.15134759');
INSERT INTO public.ecdc_import VALUES (30017, '28/02/2020', '28', '2', '2020', '24', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.14188836');
INSERT INTO public.ecdc_import VALUES (30018, '27/02/2020', '27', '2', '2020', '22', '2', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.12375818');
INSERT INTO public.ecdc_import VALUES (30019, '26/02/2020', '26', '2', '2020', '20', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.10956935');
INSERT INTO public.ecdc_import VALUES (30020, '25/02/2020', '25', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.09380397');
INSERT INTO public.ecdc_import VALUES (30021, '24/02/2020', '24', '2', '2020', '12', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.09380397');
INSERT INTO public.ecdc_import VALUES (30022, '23/02/2020', '23', '2', '2020', '27', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.08434475');
INSERT INTO public.ecdc_import VALUES (30023, '22/02/2020', '22', '2', '2020', '12', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.06306149');
INSERT INTO public.ecdc_import VALUES (30024, '21/02/2020', '21', '2', '2020', '9', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.05360227');
INSERT INTO public.ecdc_import VALUES (30025, '20/02/2020', '20', '2', '2020', '18', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.04650785');
INSERT INTO public.ecdc_import VALUES (30026, '19/02/2020', '19', '2', '2020', '7', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.03231902');
INSERT INTO public.ecdc_import VALUES (30027, '18/02/2020', '18', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.03074248');
INSERT INTO public.ecdc_import VALUES (30028, '17/02/2020', '17', '2', '2020', '7', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.03074248');
INSERT INTO public.ecdc_import VALUES (30029, '16/02/2020', '16', '2', '2020', '14', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.02601287');
INSERT INTO public.ecdc_import VALUES (30030, '15/02/2020', '15', '2', '2020', '8', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01813018');
INSERT INTO public.ecdc_import VALUES (30031, '14/02/2020', '14', '2', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.0126123');
INSERT INTO public.ecdc_import VALUES (30032, '13/02/2020', '13', '2', '2020', '4', '1', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01418884');
INSERT INTO public.ecdc_import VALUES (30033, '12/02/2020', '12', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01418884');
INSERT INTO public.ecdc_import VALUES (30034, '11/02/2020', '11', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01655364');
INSERT INTO public.ecdc_import VALUES (30035, '10/02/2020', '10', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01734191');
INSERT INTO public.ecdc_import VALUES (30036, '09/02/2020', '9', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01734191');
INSERT INTO public.ecdc_import VALUES (30037, '08/02/2020', '8', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01813018');
INSERT INTO public.ecdc_import VALUES (30038, '07/02/2020', '7', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01813018');
INSERT INTO public.ecdc_import VALUES (30039, '06/02/2020', '6', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01891845');
INSERT INTO public.ecdc_import VALUES (30040, '05/02/2020', '5', '2', '2020', '5', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01891845');
INSERT INTO public.ecdc_import VALUES (30041, '04/02/2020', '4', '2', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.0149771');
INSERT INTO public.ecdc_import VALUES (30042, '03/02/2020', '3', '2', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.0149771');
INSERT INTO public.ecdc_import VALUES (30043, '02/02/2020', '2', '2', '2020', '4', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01418884');
INSERT INTO public.ecdc_import VALUES (30044, '01/02/2020', '1', '2', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01103576');
INSERT INTO public.ecdc_import VALUES (30045, '31/01/2020', '31', '1', '2020', '3', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.01024749');
INSERT INTO public.ecdc_import VALUES (30046, '30/01/2020', '30', '1', '2020', '4', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00788269');
INSERT INTO public.ecdc_import VALUES (30047, '29/01/2020', '29', '1', '2020', '3', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00472961');
INSERT INTO public.ecdc_import VALUES (30048, '28/01/2020', '28', '1', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00315307');
INSERT INTO public.ecdc_import VALUES (30049, '27/01/2020', '27', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00236481');
INSERT INTO public.ecdc_import VALUES (30050, '26/01/2020', '26', '1', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00236481');
INSERT INTO public.ecdc_import VALUES (30051, '25/01/2020', '25', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00157654');
INSERT INTO public.ecdc_import VALUES (30052, '24/01/2020', '24', '1', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00157654');
INSERT INTO public.ecdc_import VALUES (30053, '23/01/2020', '23', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30054, '22/01/2020', '22', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30055, '21/01/2020', '21', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30056, '20/01/2020', '20', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30057, '19/01/2020', '19', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30058, '18/01/2020', '18', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30059, '17/01/2020', '17', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30060, '16/01/2020', '16', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30061, '15/01/2020', '15', '1', '2020', '1', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0.00078827');
INSERT INTO public.ecdc_import VALUES (30062, '14/01/2020', '14', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (30063, '13/01/2020', '13', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (30064, '12/01/2020', '12', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30065, '11/01/2020', '11', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30066, '10/01/2020', '10', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30067, '09/01/2020', '9', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30068, '08/01/2020', '8', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30069, '07/01/2020', '7', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30070, '06/01/2020', '6', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30071, '05/01/2020', '5', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30072, '04/01/2020', '4', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30073, '03/01/2020', '3', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30074, '02/01/2020', '2', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30075, '01/01/2020', '1', '1', '2020', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30076, '31/12/2019', '31', '12', '2019', '0', '0', '126860299', 'Japan', 'JP', 'JPN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30077, '14/12/2020', '14', '12', '2020', '91', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '789.45415414');
INSERT INTO public.ecdc_import VALUES (30078, '13/12/2020', '13', '12', '2020', '51', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '705.03543731');
INSERT INTO public.ecdc_import VALUES (30079, '12/12/2020', '12', '12', '2020', '82', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '657.72384875');
INSERT INTO public.ecdc_import VALUES (30080, '11/12/2020', '11', '12', '2020', '58', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '610.4122602');
INSERT INTO public.ecdc_import VALUES (30081, '10/12/2020', '10', '12', '2020', '37', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '589.07566143');
INSERT INTO public.ecdc_import VALUES (30082, '09/12/2020', '9', '12', '2020', '72', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '574.23281012');
INSERT INTO public.ecdc_import VALUES (30083, '08/12/2020', '8', '12', '2020', '31', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '513.00604846');
INSERT INTO public.ecdc_import VALUES (30084, '07/12/2020', '7', '12', '2020', '96', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '506.51230101');
INSERT INTO public.ecdc_import VALUES (30085, '06/12/2020', '6', '12', '2020', '23', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '417.45519314');
INSERT INTO public.ecdc_import VALUES (30086, '05/12/2020', '5', '12', '2020', '68', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '396.11859438');
INSERT INTO public.ecdc_import VALUES (30087, '04/12/2020', '4', '12', '2020', '60', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '346.0239712');
INSERT INTO public.ecdc_import VALUES (30088, '03/12/2020', '3', '12', '2020', '56', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '300.56773906');
INSERT INTO public.ecdc_import VALUES (30089, '02/12/2020', '2', '12', '2020', '42', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '258.82221975');
INSERT INTO public.ecdc_import VALUES (30090, '01/12/2020', '1', '12', '2020', '84', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '230.06419533');
INSERT INTO public.ecdc_import VALUES (30091, '30/11/2020', '30', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '181.82492857');
INSERT INTO public.ecdc_import VALUES (30092, '29/11/2020', '29', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '181.82492857');
INSERT INTO public.ecdc_import VALUES (30093, '28/11/2020', '28', '11', '2020', '31', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '181.82492857');
INSERT INTO public.ecdc_import VALUES (30094, '27/11/2020', '27', '11', '2020', '35', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '163.27136443');
INSERT INTO public.ecdc_import VALUES (30095, '26/11/2020', '26', '11', '2020', '21', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '146.5731567');
INSERT INTO public.ecdc_import VALUES (30096, '25/11/2020', '25', '11', '2020', '6', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '140.07940925');
INSERT INTO public.ecdc_import VALUES (30097, '24/11/2020', '24', '11', '2020', '24', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '151.21154774');
INSERT INTO public.ecdc_import VALUES (30098, '23/11/2020', '23', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '155.84993877');
INSERT INTO public.ecdc_import VALUES (30099, '22/11/2020', '22', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '155.84993877');
INSERT INTO public.ecdc_import VALUES (30100, '21/11/2020', '21', '11', '2020', '14', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '155.84993877');
INSERT INTO public.ecdc_import VALUES (30101, '20/11/2020', '20', '11', '2020', '11', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '153.06690415');
INSERT INTO public.ecdc_import VALUES (30102, '19/11/2020', '19', '11', '2020', '11', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '153.99458236');
INSERT INTO public.ecdc_import VALUES (30103, '18/11/2020', '18', '11', '2020', '11', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '154.92226057');
INSERT INTO public.ecdc_import VALUES (30104, '17/11/2020', '17', '11', '2020', '32', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '160.48832981');
INSERT INTO public.ecdc_import VALUES (30105, '16/11/2020', '16', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '146.5731567');
INSERT INTO public.ecdc_import VALUES (30106, '15/11/2020', '15', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '146.5731567');
INSERT INTO public.ecdc_import VALUES (30107, '14/11/2020', '14', '11', '2020', '11', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '146.5731567');
INSERT INTO public.ecdc_import VALUES (30108, '13/11/2020', '13', '11', '2020', '17', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '141.00708746');
INSERT INTO public.ecdc_import VALUES (30109, '12/11/2020', '12', '11', '2020', '14', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '128.01959256');
INSERT INTO public.ecdc_import VALUES (30110, '11/11/2020', '11', '11', '2020', '18', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '120.59816691');
INSERT INTO public.ecdc_import VALUES (30111, '10/11/2020', '10', '11', '2020', '29', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '107.61067201');
INSERT INTO public.ecdc_import VALUES (30112, '09/11/2020', '9', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '104.82763739');
INSERT INTO public.ecdc_import VALUES (30113, '08/11/2020', '8', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '104.82763739');
INSERT INTO public.ecdc_import VALUES (30114, '07/11/2020', '7', '11', '2020', '11', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '104.82763739');
INSERT INTO public.ecdc_import VALUES (30115, '06/11/2020', '6', '11', '2020', '12', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '98.33388994');
INSERT INTO public.ecdc_import VALUES (30116, '05/11/2020', '5', '11', '2020', '12', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '89.98478608');
INSERT INTO public.ecdc_import VALUES (30117, '04/11/2020', '4', '11', '2020', '17', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '85.34639504');
INSERT INTO public.ecdc_import VALUES (30118, '03/11/2020', '3', '11', '2020', '17', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '76.06961297');
INSERT INTO public.ecdc_import VALUES (30119, '02/11/2020', '2', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '77.92496939');
INSERT INTO public.ecdc_import VALUES (30120, '01/11/2020', '1', '11', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '77.92496939');
INSERT INTO public.ecdc_import VALUES (30121, '31/10/2020', '31', '10', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '77.92496939');
INSERT INTO public.ecdc_import VALUES (30122, '30/10/2020', '30', '10', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '73.28657835');
INSERT INTO public.ecdc_import VALUES (30123, '29/10/2020', '29', '10', '2020', '6', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '73.28657835');
INSERT INTO public.ecdc_import VALUES (30124, '28/10/2020', '28', '10', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '71.43122194');
INSERT INTO public.ecdc_import VALUES (30125, '27/10/2020', '27', '10', '2020', '26', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '71.43122194');
INSERT INTO public.ecdc_import VALUES (30126, '26/10/2020', '26', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '75.14193477');
INSERT INTO public.ecdc_import VALUES (30127, '25/10/2020', '25', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '75.14193477');
INSERT INTO public.ecdc_import VALUES (30128, '24/10/2020', '24', '10', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '75.14193477');
INSERT INTO public.ecdc_import VALUES (30129, '23/10/2020', '23', '10', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '76.99729118');
INSERT INTO public.ecdc_import VALUES (30130, '22/10/2020', '22', '10', '2020', '7', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '76.06961297');
INSERT INTO public.ecdc_import VALUES (30131, '21/10/2020', '21', '10', '2020', '7', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '72.35890014');
INSERT INTO public.ecdc_import VALUES (30132, '20/10/2020', '20', '10', '2020', '19', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '72.35890014');
INSERT INTO public.ecdc_import VALUES (30133, '19/10/2020', '19', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '64.00979628');
INSERT INTO public.ecdc_import VALUES (30134, '18/10/2020', '18', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '64.00979628');
INSERT INTO public.ecdc_import VALUES (30135, '17/10/2020', '17', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '64.00979628');
INSERT INTO public.ecdc_import VALUES (30136, '16/10/2020', '16', '10', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '65.8651527');
INSERT INTO public.ecdc_import VALUES (30137, '15/10/2020', '15', '10', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '67.72050911');
INSERT INTO public.ecdc_import VALUES (30138, '14/10/2020', '14', '10', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '68.64818732');
INSERT INTO public.ecdc_import VALUES (30139, '13/10/2020', '13', '10', '2020', '30', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '65.8651527');
INSERT INTO public.ecdc_import VALUES (30140, '12/10/2020', '12', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '45.45623214');
INSERT INTO public.ecdc_import VALUES (30141, '11/10/2020', '11', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '45.45623214');
INSERT INTO public.ecdc_import VALUES (30142, '10/10/2020', '10', '10', '2020', '6', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '45.45623214');
INSERT INTO public.ecdc_import VALUES (30143, '09/10/2020', '9', '10', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '40.81784111');
INSERT INTO public.ecdc_import VALUES (30144, '08/10/2020', '8', '10', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '38.96248469');
INSERT INTO public.ecdc_import VALUES (30145, '07/10/2020', '7', '10', '2020', '7', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '37.10712828');
INSERT INTO public.ecdc_import VALUES (30146, '06/10/2020', '6', '10', '2020', '10', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '32.46873724');
INSERT INTO public.ecdc_import VALUES (30147, '05/10/2020', '5', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '25.9749898');
INSERT INTO public.ecdc_import VALUES (30148, '04/10/2020', '4', '10', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '25.9749898');
INSERT INTO public.ecdc_import VALUES (30149, '03/10/2020', '3', '10', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '25.9749898');
INSERT INTO public.ecdc_import VALUES (30150, '02/10/2020', '2', '10', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '25.9749898');
INSERT INTO public.ecdc_import VALUES (30151, '01/10/2020', '1', '10', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '23.19195517');
INSERT INTO public.ecdc_import VALUES (30152, '30/09/2020', '30', '9', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '21.33659876');
INSERT INTO public.ecdc_import VALUES (30153, '29/09/2020', '29', '9', '2020', '8', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '20.40892055');
INSERT INTO public.ecdc_import VALUES (30154, '28/09/2020', '28', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30155, '27/09/2020', '27', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30156, '26/09/2020', '26', '9', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30157, '25/09/2020', '25', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30158, '24/09/2020', '24', '9', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.9874949');
INSERT INTO public.ecdc_import VALUES (30159, '23/09/2020', '23', '9', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30160, '22/09/2020', '22', '9', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30161, '21/09/2020', '21', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '8.34910386');
INSERT INTO public.ecdc_import VALUES (30162, '20/09/2020', '20', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '8.34910386');
INSERT INTO public.ecdc_import VALUES (30163, '19/09/2020', '19', '9', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30164, '18/09/2020', '18', '9', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30165, '17/09/2020', '17', '9', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '7.42142566');
INSERT INTO public.ecdc_import VALUES (30166, '16/09/2020', '16', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30167, '15/09/2020', '15', '9', '2020', '6', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30168, '14/09/2020', '14', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30169, '13/09/2020', '13', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30170, '12/09/2020', '12', '9', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30171, '11/09/2020', '11', '9', '2020', '-6', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30172, '10/09/2020', '10', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.9874949');
INSERT INTO public.ecdc_import VALUES (30173, '09/09/2020', '9', '9', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30174, '08/09/2020', '8', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30175, '07/09/2020', '7', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '19.48124235');
INSERT INTO public.ecdc_import VALUES (30176, '06/09/2020', '6', '9', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '19.48124235');
INSERT INTO public.ecdc_import VALUES (30177, '05/09/2020', '5', '9', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30178, '04/09/2020', '4', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '17.62588593');
INSERT INTO public.ecdc_import VALUES (30179, '03/09/2020', '3', '9', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30180, '02/09/2020', '2', '9', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '20.40892055');
INSERT INTO public.ecdc_import VALUES (30181, '01/09/2020', '1', '9', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30182, '31/08/2020', '31', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '17.62588593');
INSERT INTO public.ecdc_import VALUES (30183, '30/08/2020', '30', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '17.62588593');
INSERT INTO public.ecdc_import VALUES (30184, '29/08/2020', '29', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '16.69820773');
INSERT INTO public.ecdc_import VALUES (30185, '28/08/2020', '28', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30186, '27/08/2020', '27', '8', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30187, '26/08/2020', '26', '8', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '19.48124235');
INSERT INTO public.ecdc_import VALUES (30188, '25/08/2020', '25', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30189, '24/08/2020', '24', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '16.69820773');
INSERT INTO public.ecdc_import VALUES (30190, '23/08/2020', '23', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '16.69820773');
INSERT INTO public.ecdc_import VALUES (30191, '22/08/2020', '22', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '16.69820773');
INSERT INTO public.ecdc_import VALUES (30192, '21/08/2020', '21', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30193, '20/08/2020', '20', '8', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30194, '19/08/2020', '19', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.9874949');
INSERT INTO public.ecdc_import VALUES (30195, '18/08/2020', '18', '8', '2020', '2', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '16.69820773');
INSERT INTO public.ecdc_import VALUES (30196, '17/08/2020', '17', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30197, '16/08/2020', '16', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30198, '15/08/2020', '15', '8', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '18.55356414');
INSERT INTO public.ecdc_import VALUES (30199, '14/08/2020', '14', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30200, '13/08/2020', '13', '8', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '14.84285131');
INSERT INTO public.ecdc_import VALUES (30201, '12/08/2020', '12', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30202, '11/08/2020', '11', '8', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30203, '10/08/2020', '10', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30204, '09/08/2020', '9', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30205, '08/08/2020', '8', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30206, '07/08/2020', '7', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.9874949');
INSERT INTO public.ecdc_import VALUES (30207, '06/08/2020', '6', '8', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30208, '05/08/2020', '5', '8', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30209, '04/08/2020', '4', '8', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '7.42142566');
INSERT INTO public.ecdc_import VALUES (30210, '03/08/2020', '3', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '3.71071283');
INSERT INTO public.ecdc_import VALUES (30211, '02/08/2020', '2', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '3.71071283');
INSERT INTO public.ecdc_import VALUES (30212, '01/08/2020', '1', '8', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '3.71071283');
INSERT INTO public.ecdc_import VALUES (30213, '31/07/2020', '31', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '3.71071283');
INSERT INTO public.ecdc_import VALUES (30214, '30/07/2020', '30', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30215, '29/07/2020', '29', '7', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30216, '28/07/2020', '28', '7', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30217, '27/07/2020', '27', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30218, '26/07/2020', '26', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30219, '25/07/2020', '25', '7', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30220, '24/07/2020', '24', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30221, '23/07/2020', '23', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30222, '22/07/2020', '22', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30223, '21/07/2020', '21', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30224, '20/07/2020', '20', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30225, '19/07/2020', '19', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30226, '18/07/2020', '18', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30227, '17/07/2020', '17', '7', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30228, '16/07/2020', '16', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30229, '15/07/2020', '15', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30230, '14/07/2020', '14', '7', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30231, '13/07/2020', '13', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30232, '12/07/2020', '12', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30233, '11/07/2020', '11', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30234, '10/07/2020', '10', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30235, '09/07/2020', '9', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30236, '08/07/2020', '8', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30237, '07/07/2020', '7', '7', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30238, '06/07/2020', '6', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '1.85535641');
INSERT INTO public.ecdc_import VALUES (30239, '05/07/2020', '5', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '1.85535641');
INSERT INTO public.ecdc_import VALUES (30240, '04/07/2020', '4', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '1.85535641');
INSERT INTO public.ecdc_import VALUES (30241, '03/07/2020', '3', '7', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '1.85535641');
INSERT INTO public.ecdc_import VALUES (30242, '02/07/2020', '2', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '0.92767821');
INSERT INTO public.ecdc_import VALUES (30243, '01/07/2020', '1', '7', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '2.78303462');
INSERT INTO public.ecdc_import VALUES (30244, '30/06/2020', '30', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '2.78303462');
INSERT INTO public.ecdc_import VALUES (30245, '29/06/2020', '29', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30246, '28/06/2020', '28', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30247, '27/06/2020', '27', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30248, '26/06/2020', '26', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30249, '25/06/2020', '25', '6', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30250, '24/06/2020', '24', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30251, '23/06/2020', '23', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30252, '22/06/2020', '22', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30253, '21/06/2020', '21', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '6.49374745');
INSERT INTO public.ecdc_import VALUES (30254, '20/06/2020', '20', '6', '2020', '0', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '8.34910386');
INSERT INTO public.ecdc_import VALUES (30255, '19/06/2020', '19', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '8.34910386');
INSERT INTO public.ecdc_import VALUES (30256, '18/06/2020', '18', '6', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '8.34910386');
INSERT INTO public.ecdc_import VALUES (30257, '17/06/2020', '17', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '7.42142566');
INSERT INTO public.ecdc_import VALUES (30258, '16/06/2020', '16', '6', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '7.42142566');
INSERT INTO public.ecdc_import VALUES (30259, '15/06/2020', '15', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30260, '14/06/2020', '14', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30261, '13/06/2020', '13', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30262, '12/06/2020', '12', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30263, '11/06/2020', '11', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30264, '10/06/2020', '10', '6', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30265, '09/06/2020', '9', '6', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30266, '08/06/2020', '8', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30267, '07/06/2020', '7', '6', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30268, '06/06/2020', '6', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '2.78303462');
INSERT INTO public.ecdc_import VALUES (30269, '05/06/2020', '5', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '2.78303462');
INSERT INTO public.ecdc_import VALUES (30270, '04/06/2020', '4', '6', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '2.78303462');
INSERT INTO public.ecdc_import VALUES (30271, '03/06/2020', '3', '6', '2020', '0', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30272, '02/06/2020', '2', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '4.63839103');
INSERT INTO public.ecdc_import VALUES (30273, '01/06/2020', '1', '6', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30274, '31/05/2020', '31', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '5.56606924');
INSERT INTO public.ecdc_import VALUES (30275, '30/05/2020', '30', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30276, '29/05/2020', '29', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30277, '28/05/2020', '28', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30278, '27/05/2020', '27', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30279, '26/05/2020', '26', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30280, '25/05/2020', '25', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '11.13213848');
INSERT INTO public.ecdc_import VALUES (30281, '24/05/2020', '24', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30282, '23/05/2020', '23', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30283, '22/05/2020', '22', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30284, '21/05/2020', '21', '5', '2020', '3', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30285, '20/05/2020', '20', '5', '2020', '0', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30286, '19/05/2020', '19', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30287, '18/05/2020', '18', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30288, '17/05/2020', '17', '5', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30289, '16/05/2020', '16', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30290, '15/05/2020', '15', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30291, '14/05/2020', '14', '5', '2020', '1', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '9.27678207');
INSERT INTO public.ecdc_import VALUES (30292, '13/05/2020', '13', '5', '2020', '1', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30293, '12/05/2020', '12', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '10.20446028');
INSERT INTO public.ecdc_import VALUES (30294, '11/05/2020', '11', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30295, '10/05/2020', '10', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '12.05981669');
INSERT INTO public.ecdc_import VALUES (30296, '09/05/2020', '9', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '13.9151731');
INSERT INTO public.ecdc_import VALUES (30297, '08/05/2020', '8', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '15.77052952');
INSERT INTO public.ecdc_import VALUES (30298, '07/05/2020', '7', '5', '2020', '0', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '35.25177187');
INSERT INTO public.ecdc_import VALUES (30299, '06/05/2020', '6', '5', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '35.25177187');
INSERT INTO public.ecdc_import VALUES (30300, '05/05/2020', '5', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '40.81784111');
INSERT INTO public.ecdc_import VALUES (30301, '04/05/2020', '4', '5', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '39.8901629');
INSERT INTO public.ecdc_import VALUES (30302, '03/05/2020', '3', '5', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '42.67319752');
INSERT INTO public.ecdc_import VALUES (30303, '02/05/2020', '2', '5', '2020', '0', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '57.51604883');
INSERT INTO public.ecdc_import VALUES (30304, '01/05/2020', '1', '5', '2020', '0', '2', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '58.44372704');
INSERT INTO public.ecdc_import VALUES (30305, '30/04/2020', '30', '4', '2020', '2', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '64.00979628');
INSERT INTO public.ecdc_import VALUES (30306, '29/04/2020', '29', '4', '2020', '1', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '62.15443987');
INSERT INTO public.ecdc_import VALUES (30307, '28/04/2020', '28', '4', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '61.22676166');
INSERT INTO public.ecdc_import VALUES (30308, '27/04/2020', '27', '4', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '63.08211807');
INSERT INTO public.ecdc_import VALUES (30309, '26/04/2020', '26', '4', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '76.06961297');
INSERT INTO public.ecdc_import VALUES (30310, '25/04/2020', '25', '4', '2020', '2', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '74.21425656');
INSERT INTO public.ecdc_import VALUES (30311, '24/04/2020', '24', '4', '2020', '21', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '86.27407325');
INSERT INTO public.ecdc_import VALUES (30312, '23/04/2020', '23', '4', '2020', '0', '4', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '78.85264759');
INSERT INTO public.ecdc_import VALUES (30313, '22/04/2020', '22', '4', '2020', '6', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '78.85264759');
INSERT INTO public.ecdc_import VALUES (30314, '21/04/2020', '21', '4', '2020', '0', '2', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '74.21425656');
INSERT INTO public.ecdc_import VALUES (30315, '20/04/2020', '20', '4', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '87.20175146');
INSERT INTO public.ecdc_import VALUES (30316, '19/04/2020', '19', '4', '2020', '21', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '113.17674125');
INSERT INTO public.ecdc_import VALUES (30317, '18/04/2020', '18', '4', '2020', '1', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '98.33388994');
INSERT INTO public.ecdc_import VALUES (30318, '17/04/2020', '17', '4', '2020', '6', '4', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '131.73030539');
INSERT INTO public.ecdc_import VALUES (30319, '16/04/2020', '16', '4', '2020', '0', '2', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '126.16423615');
INSERT INTO public.ecdc_import VALUES (30320, '15/04/2020', '15', '4', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '126.16423615');
INSERT INTO public.ecdc_import VALUES (30321, '14/04/2020', '14', '4', '2020', '4', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '142.86244388');
INSERT INTO public.ecdc_import VALUES (30322, '13/04/2020', '13', '4', '2020', '15', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '139.15173105');
INSERT INTO public.ecdc_import VALUES (30323, '12/04/2020', '12', '4', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '127.09191436');
INSERT INTO public.ecdc_import VALUES (30324, '11/04/2020', '11', '4', '2020', '15', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '135.44101822');
INSERT INTO public.ecdc_import VALUES (30325, '10/04/2020', '10', '4', '2020', '13', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '140.07940925');
INSERT INTO public.ecdc_import VALUES (30326, '09/04/2020', '9', '4', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '141.00708746');
INSERT INTO public.ecdc_import VALUES (30327, '08/04/2020', '8', '4', '2020', '1', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '141.00708746');
INSERT INTO public.ecdc_import VALUES (30328, '07/04/2020', '7', '4', '2020', '14', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '140.07940925');
INSERT INTO public.ecdc_import VALUES (30329, '06/04/2020', '6', '4', '2020', '32', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '129.87494898');
INSERT INTO public.ecdc_import VALUES (30330, '05/04/2020', '5', '4', '2020', '5', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '102.97228098');
INSERT INTO public.ecdc_import VALUES (30331, '04/04/2020', '4', '4', '2020', '37', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '98.33388994');
INSERT INTO public.ecdc_import VALUES (30332, '03/04/2020', '3', '4', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '70.50354373');
INSERT INTO public.ecdc_import VALUES (30333, '02/04/2020', '2', '4', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '75.14193477');
INSERT INTO public.ecdc_import VALUES (30334, '01/04/2020', '1', '4', '2020', '18', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30335, '31/03/2020', '31', '3', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30336, '30/03/2020', '30', '3', '2020', '2', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30337, '29/03/2020', '29', '3', '2020', '9', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30338, '28/03/2020', '28', '3', '2020', '20', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30339, '27/03/2020', '27', '3', '2020', '14', '1', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30340, '26/03/2020', '26', '3', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30341, '25/03/2020', '25', '3', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30342, '24/03/2020', '24', '3', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30343, '23/03/2020', '23', '3', '2020', '3', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30344, '22/03/2020', '22', '3', '2020', '0', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30345, '21/03/2020', '21', '3', '2020', '7', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30346, '20/03/2020', '20', '3', '2020', '5', '0', '107796', 'Jersey', 'JE', 'JEY', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (30347, '14/12/2020', '14', '12', '2020', '2339', '30', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '448.50880006');
INSERT INTO public.ecdc_import VALUES (30348, '13/12/2020', '13', '12', '2020', '1816', '49', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '460.97205252');
INSERT INTO public.ecdc_import VALUES (30349, '12/12/2020', '12', '12', '2020', '2338', '36', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '473.76198276');
INSERT INTO public.ecdc_import VALUES (30350, '11/12/2020', '11', '12', '2020', '2902', '44', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '495.95627349');
INSERT INTO public.ecdc_import VALUES (30351, '10/12/2020', '10', '12', '2020', '3088', '44', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '516.72506115');
INSERT INTO public.ecdc_import VALUES (30352, '09/12/2020', '9', '12', '2020', '3062', '46', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '535.90005719');
INSERT INTO public.ecdc_import VALUES (30353, '08/12/2020', '8', '12', '2020', '3980', '60', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '550.98663126');
INSERT INTO public.ecdc_import VALUES (30354, '07/12/2020', '7', '12', '2020', '2576', '46', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '560.8958574');
INSERT INTO public.ecdc_import VALUES (30355, '06/12/2020', '6', '12', '2020', '3160', '50', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '587.54484519');
INSERT INTO public.ecdc_import VALUES (30356, '05/12/2020', '5', '12', '2020', '3116', '51', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '594.13779685');
INSERT INTO public.ecdc_import VALUES (30357, '04/12/2020', '4', '12', '2020', '4029', '55', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '612.19416896');
INSERT INTO public.ecdc_import VALUES (30358, '03/12/2020', '3', '12', '2020', '3591', '52', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '626.44919958');
INSERT INTO public.ecdc_import VALUES (30359, '02/12/2020', '2', '12', '2020', '4187', '51', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '669.43207661');
INSERT INTO public.ecdc_import VALUES (30360, '01/12/2020', '1', '12', '2020', '5123', '57', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '691.8738505');
INSERT INTO public.ecdc_import VALUES (30361, '30/11/2020', '30', '11', '2020', '3598', '68', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '699.17955369');
INSERT INTO public.ecdc_import VALUES (30362, '29/11/2020', '29', '11', '2020', '3108', '56', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '687.05287834');
INSERT INTO public.ecdc_import VALUES (30363, '28/11/2020', '28', '11', '2020', '4580', '61', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '703.30757298');
INSERT INTO public.ecdc_import VALUES (30364, '27/11/2020', '27', '11', '2020', '5000', '67', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '702.2087477');
INSERT INTO public.ecdc_import VALUES (30365, '26/11/2020', '26', '11', '2020', '5025', '62', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '708.98978657');
INSERT INTO public.ecdc_import VALUES (30366, '25/11/2020', '25', '11', '2020', '4586', '78', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '712.89012133');
INSERT INTO public.ecdc_import VALUES (30367, '24/11/2020', '24', '11', '2020', '4981', '66', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '726.84817214');
INSERT INTO public.ecdc_import VALUES (30368, '23/11/2020', '23', '11', '2020', '5268', '64', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '733.61931169');
INSERT INTO public.ecdc_import VALUES (30369, '22/11/2020', '22', '11', '2020', '3826', '56', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '726.2047159');
INSERT INTO public.ecdc_import VALUES (30370, '21/11/2020', '21', '11', '2020', '4940', '63', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '723.51209901');
INSERT INTO public.ecdc_import VALUES (30371, '20/11/2020', '20', '11', '2020', '5469', '84', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '727.90740011');
INSERT INTO public.ecdc_import VALUES (30372, '19/11/2020', '19', '11', '2020', '7933', '60', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '719.60186491');
INSERT INTO public.ecdc_import VALUES (30373, '18/11/2020', '18', '11', '2020', '6454', '66', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '687.18156959');
INSERT INTO public.ecdc_import VALUES (30374, '17/11/2020', '17', '11', '2020', '5861', '71', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '671.13476082');
INSERT INTO public.ecdc_import VALUES (30375, '16/11/2020', '16', '11', '2020', '2373', '68', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '671.29315005');
INSERT INTO public.ecdc_import VALUES (30376, '15/11/2020', '15', '11', '2020', '4750', '86', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '680.06395361');
INSERT INTO public.ecdc_import VALUES (30377, '14/11/2020', '14', '11', '2020', '4469', '71', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '665.71982905');
INSERT INTO public.ecdc_import VALUES (30378, '13/11/2020', '13', '11', '2020', '5685', '80', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '660.29499796');
INSERT INTO public.ecdc_import VALUES (30379, '12/11/2020', '12', '11', '2020', '5419', '81', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '638.10070724');
INSERT INTO public.ecdc_import VALUES (30380, '11/11/2020', '11', '11', '2020', '5996', '91', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '615.0154771');
INSERT INTO public.ecdc_import VALUES (30381, '10/11/2020', '10', '11', '2020', '5665', '62', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '593.27655541');
INSERT INTO public.ecdc_import VALUES (30382, '09/11/2020', '9', '11', '2020', '4519', '52', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '556.67874418');
INSERT INTO public.ecdc_import VALUES (30383, '08/11/2020', '8', '11', '2020', '3554', '45', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '535.07841306');
INSERT INTO public.ecdc_import VALUES (30384, '07/11/2020', '7', '11', '2020', '5384', '67', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '517.91298036');
INSERT INTO public.ecdc_import VALUES (30385, '06/11/2020', '6', '11', '2020', '4630', '40', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '489.25442923');
INSERT INTO public.ecdc_import VALUES (30386, '05/11/2020', '5', '11', '2020', '4658', '62', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '471.34654702');
INSERT INTO public.ecdc_import VALUES (30387, '04/11/2020', '4', '11', '2020', '4833', '54', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '451.44890012');
INSERT INTO public.ecdc_import VALUES (30388, '03/11/2020', '3', '11', '2020', '5877', '47', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '423.75058369');
INSERT INTO public.ecdc_import VALUES (30389, '02/11/2020', '2', '11', '2020', '3259', '37', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '379.07492177');
INSERT INTO public.ecdc_import VALUES (30390, '01/11/2020', '1', '11', '2020', '3301', '57', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '361.85999243');
INSERT INTO public.ecdc_import VALUES (30391, '31/10/2020', '31', '10', '2020', '3921', '32', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '344.08080147');
INSERT INTO public.ecdc_import VALUES (30392, '30/10/2020', '30', '10', '2020', '3443', '40', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '320.500605');
INSERT INTO public.ecdc_import VALUES (30393, '29/10/2020', '29', '10', '2020', '3087', '32', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '310.75966741');
INSERT INTO public.ecdc_import VALUES (30394, '28/10/2020', '28', '10', '2020', '3800', '44', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '304.1865144');
INSERT INTO public.ecdc_import VALUES (30395, '27/10/2020', '27', '10', '2020', '1968', '45', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '286.90228978');
INSERT INTO public.ecdc_import VALUES (30396, '26/10/2020', '26', '10', '2020', '2337', '39', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '278.77494247');
INSERT INTO public.ecdc_import VALUES (30397, '25/10/2020', '25', '10', '2020', '1820', '32', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '264.82679098');
INSERT INTO public.ecdc_import VALUES (30398, '24/10/2020', '24', '10', '2020', '2489', '27', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '259.0356848');
INSERT INTO public.ecdc_import VALUES (30399, '23/10/2020', '23', '10', '2020', '2821', '38', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '246.73082156');
INSERT INTO public.ecdc_import VALUES (30400, '22/10/2020', '22', '10', '2020', '2648', '29', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '231.84223403');
INSERT INTO public.ecdc_import VALUES (30401, '21/10/2020', '21', '10', '2020', '2035', '34', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '217.49810948');
INSERT INTO public.ecdc_import VALUES (30402, '20/10/2020', '20', '10', '2020', '1364', '35', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '212.56824472');
INSERT INTO public.ecdc_import VALUES (30403, '19/10/2020', '19', '10', '2020', '1520', '15', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '217.12193506');
INSERT INTO public.ecdc_import VALUES (30404, '18/10/2020', '18', '10', '2020', '1505', '20', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '210.89525849');
INSERT INTO public.ecdc_import VALUES (30405, '17/10/2020', '17', '10', '2020', '1539', '28', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '206.8761318');
INSERT INTO public.ecdc_import VALUES (30406, '16/10/2020', '16', '10', '2020', '2459', '25', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '197.07579825');
INSERT INTO public.ecdc_import VALUES (30407, '15/10/2020', '15', '10', '2020', '2423', '32', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '185.36489463');
INSERT INTO public.ecdc_import VALUES (30408, '14/10/2020', '14', '10', '2020', '2054', '18', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '178.96003018');
INSERT INTO public.ecdc_import VALUES (30409, '13/10/2020', '13', '10', '2020', '1147', '16', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '166.77395887');
INSERT INTO public.ecdc_import VALUES (30410, '12/10/2020', '12', '10', '2020', '928', '10', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '162.6855369');
INSERT INTO public.ecdc_import VALUES (30411, '11/10/2020', '11', '10', '2020', '1235', '15', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '157.76557147');
INSERT INTO public.ecdc_import VALUES (30412, '10/10/2020', '10', '10', '2020', '1246', '22', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '153.95433064');
INSERT INTO public.ecdc_import VALUES (30413, '09/10/2020', '9', '10', '2020', '1317', '13', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '147.75735206');
INSERT INTO public.ecdc_import VALUES (30414, '08/10/2020', '8', '10', '2020', '1199', '9', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '140.15466906');
INSERT INTO public.ecdc_import VALUES (30415, '07/10/2020', '7', '10', '2020', '1537', '12', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '131.87883184');
INSERT INTO public.ecdc_import VALUES (30416, '06/10/2020', '6', '10', '2020', '1824', '9', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '122.93973973');
INSERT INTO public.ecdc_import VALUES (30417, '05/10/2020', '5', '10', '2020', '891', '13', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '107.51658855');
INSERT INTO public.ecdc_import VALUES (30418, '04/10/2020', '4', '10', '2020', '1099', '9', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '101.06222747');
INSERT INTO public.ecdc_import VALUES (30419, '03/10/2020', '3', '10', '2020', '549', '10', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '92.12313535');
INSERT INTO public.ecdc_import VALUES (30420, '02/10/2020', '2', '10', '2020', '1276', '8', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '88.79696154');
INSERT INTO public.ecdc_import VALUES (30421, '01/10/2020', '1', '10', '2020', '1776', '4', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '78.9273327');
INSERT INTO public.ecdc_import VALUES (30422, '30/09/2020', '30', '9', '2020', '823', '6', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '63.07851047');
INSERT INTO public.ecdc_import VALUES (30423, '29/09/2020', '29', '9', '2020', '734', '6', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '56.4063642');
INSERT INTO public.ecdc_import VALUES (30424, '28/09/2020', '28', '9', '2020', '431', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '51.25871425');
INSERT INTO public.ecdc_import VALUES (30425, '27/09/2020', '27', '9', '2020', '850', '4', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '49.48673475');
INSERT INTO public.ecdc_import VALUES (30426, '26/09/2020', '26', '9', '2020', '620', '3', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '42.2305282');
INSERT INTO public.ecdc_import VALUES (30427, '25/09/2020', '25', '9', '2020', '549', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '38.1322069');
INSERT INTO public.ecdc_import VALUES (30428, '24/09/2020', '24', '9', '2020', '363', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '33.48942262');
INSERT INTO public.ecdc_import VALUES (30429, '23/09/2020', '23', '9', '2020', '634', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '30.66811448');
INSERT INTO public.ecdc_import VALUES (30430, '22/09/2020', '22', '9', '2020', '266', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '25.41157194');
INSERT INTO public.ecdc_import VALUES (30431, '21/09/2020', '21', '9', '2020', '239', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '23.4416059');
INSERT INTO public.ecdc_import VALUES (30432, '20/09/2020', '20', '9', '2020', '196', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '21.64982775');
INSERT INTO public.ecdc_import VALUES (30433, '19/09/2020', '19', '9', '2020', '213', '3', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '20.22432469');
INSERT INTO public.ecdc_import VALUES (30434, '18/09/2020', '18', '9', '2020', '279', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '18.7889223');
INSERT INTO public.ecdc_import VALUES (30435, '17/09/2020', '17', '9', '2020', '175', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '16.73976165');
INSERT INTO public.ecdc_import VALUES (30436, '16/09/2020', '16', '9', '2020', '149', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '15.64093637');
INSERT INTO public.ecdc_import VALUES (30437, '15/09/2020', '15', '9', '2020', '214', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '14.78959426');
INSERT INTO public.ecdc_import VALUES (30438, '14/09/2020', '14', '9', '2020', '252', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '13.34429255');
INSERT INTO public.ecdc_import VALUES (30439, '13/09/2020', '13', '9', '2020', '117', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '11.57231305');
INSERT INTO public.ecdc_import VALUES (30440, '12/09/2020', '12', '9', '2020', '206', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '10.65167565');
INSERT INTO public.ecdc_import VALUES (30441, '11/09/2020', '11', '9', '2020', '80', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '9.28556855');
INSERT INTO public.ecdc_import VALUES (30442, '10/09/2020', '10', '9', '2020', '78', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '8.93909211');
INSERT INTO public.ecdc_import VALUES (30443, '09/09/2020', '9', '9', '2020', '103', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '8.5629177');
INSERT INTO public.ecdc_import VALUES (30444, '08/09/2020', '8', '9', '2020', '67', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '8.3055352');
INSERT INTO public.ecdc_import VALUES (30445, '07/09/2020', '7', '9', '2020', '58', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '7.93926011');
INSERT INTO public.ecdc_import VALUES (30446, '06/09/2020', '6', '9', '2020', '52', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '7.69177694');
INSERT INTO public.ecdc_import VALUES (30447, '05/09/2020', '5', '9', '2020', '68', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '7.61258232');
INSERT INTO public.ecdc_import VALUES (30448, '04/09/2020', '4', '9', '2020', '72', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '7.27600521');
INSERT INTO public.ecdc_import VALUES (30449, '03/09/2020', '3', '9', '2020', '64', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '6.72164291');
INSERT INTO public.ecdc_import VALUES (30450, '02/09/2020', '2', '9', '2020', '63', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '6.52365637');
INSERT INTO public.ecdc_import VALUES (30451, '01/09/2020', '1', '9', '2020', '68', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '6.29597186');
INSERT INTO public.ecdc_import VALUES (30452, '31/08/2020', '31', '8', '2020', '73', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '5.82080417');
INSERT INTO public.ecdc_import VALUES (30453, '30/08/2020', '30', '8', '2020', '24', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '5.48422706');
INSERT INTO public.ecdc_import VALUES (30454, '29/08/2020', '29', '8', '2020', '68', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '5.34563648');
INSERT INTO public.ecdc_import VALUES (30455, '28/08/2020', '28', '8', '2020', '45', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '4.7615762');
INSERT INTO public.ecdc_import VALUES (30456, '27/08/2020', '27', '8', '2020', '40', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '4.48439505');
INSERT INTO public.ecdc_import VALUES (30457, '26/08/2020', '26', '8', '2020', '77', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '4.28640851');
INSERT INTO public.ecdc_import VALUES (30458, '25/08/2020', '25', '8', '2020', '30', '2', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '3.67265025');
INSERT INTO public.ecdc_import VALUES (30459, '24/08/2020', '24', '8', '2020', '33', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '3.53405967');
INSERT INTO public.ecdc_import VALUES (30460, '23/08/2020', '23', '8', '2020', '44', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '3.26677785');
INSERT INTO public.ecdc_import VALUES (30461, '22/08/2020', '22', '8', '2020', '34', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.92030141');
INSERT INTO public.ecdc_import VALUES (30462, '21/08/2020', '21', '8', '2020', '16', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.63322093');
INSERT INTO public.ecdc_import VALUES (30463, '20/08/2020', '20', '8', '2020', '44', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.48473103');
INSERT INTO public.ecdc_import VALUES (30464, '19/08/2020', '19', '8', '2020', '40', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.11845594');
INSERT INTO public.ecdc_import VALUES (30465, '18/08/2020', '18', '8', '2020', '20', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.78187883');
INSERT INTO public.ecdc_import VALUES (30466, '17/08/2020', '17', '8', '2020', '39', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.63338892');
INSERT INTO public.ecdc_import VALUES (30467, '16/08/2020', '16', '8', '2020', '10', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.43540239');
INSERT INTO public.ecdc_import VALUES (30468, '15/08/2020', '15', '8', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.34630845');
INSERT INTO public.ecdc_import VALUES (30469, '14/08/2020', '14', '8', '2020', '17', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.27701316');
INSERT INTO public.ecdc_import VALUES (30470, '13/08/2020', '13', '8', '2020', '20', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.14832191');
INSERT INTO public.ecdc_import VALUES (30471, '12/08/2020', '12', '8', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.99983201');
INSERT INTO public.ecdc_import VALUES (30472, '11/08/2020', '11', '8', '2020', '16', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.91073807');
INSERT INTO public.ecdc_import VALUES (30473, '10/08/2020', '10', '8', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.83154345');
INSERT INTO public.ecdc_import VALUES (30474, '09/08/2020', '9', '8', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.91073807');
INSERT INTO public.ecdc_import VALUES (30475, '08/08/2020', '8', '8', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.90083874');
INSERT INTO public.ecdc_import VALUES (30476, '07/08/2020', '7', '8', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.99983201');
INSERT INTO public.ecdc_import VALUES (30477, '06/08/2020', '6', '8', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.09882528');
INSERT INTO public.ecdc_import VALUES (30478, '05/08/2020', '5', '8', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.09882528');
INSERT INTO public.ecdc_import VALUES (30479, '04/08/2020', '4', '8', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.04949663');
INSERT INTO public.ecdc_import VALUES (30480, '03/08/2020', '3', '8', '2020', '19', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.04949663');
INSERT INTO public.ecdc_import VALUES (30481, '02/08/2020', '2', '8', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.19798654');
INSERT INTO public.ecdc_import VALUES (30482, '01/08/2020', '1', '8', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.15838923');
INSERT INTO public.ecdc_import VALUES (30483, '31/07/2020', '31', '7', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.1484899');
INSERT INTO public.ecdc_import VALUES (30484, '30/07/2020', '30', '7', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.13859058');
INSERT INTO public.ecdc_import VALUES (30485, '29/07/2020', '29', '7', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.15838923');
INSERT INTO public.ecdc_import VALUES (30486, '28/07/2020', '28', '7', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.06929529');
INSERT INTO public.ecdc_import VALUES (30487, '27/07/2020', '27', '7', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.10889259');
INSERT INTO public.ecdc_import VALUES (30488, '26/07/2020', '26', '7', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.21778519');
INSERT INTO public.ecdc_import VALUES (30489, '25/07/2020', '25', '7', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.26728182');
INSERT INTO public.ecdc_import VALUES (30490, '24/07/2020', '24', '7', '2020', '11', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.37617442');
INSERT INTO public.ecdc_import VALUES (30491, '23/07/2020', '23', '7', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.48506701');
INSERT INTO public.ecdc_import VALUES (30492, '22/07/2020', '22', '7', '2020', '-110', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '-0.5543623');
INSERT INTO public.ecdc_import VALUES (30493, '21/07/2020', '21', '7', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.5543623');
INSERT INTO public.ecdc_import VALUES (30494, '20/07/2020', '20', '7', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.53456365');
INSERT INTO public.ecdc_import VALUES (30495, '19/07/2020', '19', '7', '2020', '5', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.63355692');
INSERT INTO public.ecdc_import VALUES (30496, '18/07/2020', '18', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.61375826');
INSERT INTO public.ecdc_import VALUES (30497, '17/07/2020', '17', '7', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.69295288');
INSERT INTO public.ecdc_import VALUES (30498, '16/07/2020', '16', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.67315422');
INSERT INTO public.ecdc_import VALUES (30499, '15/07/2020', '15', '7', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.65335557');
INSERT INTO public.ecdc_import VALUES (30500, '14/07/2020', '14', '7', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.54446297');
INSERT INTO public.ecdc_import VALUES (30501, '13/07/2020', '13', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.57416096');
INSERT INTO public.ecdc_import VALUES (30502, '12/07/2020', '12', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.64345624');
INSERT INTO public.ecdc_import VALUES (30503, '11/07/2020', '11', '7', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.68305355');
INSERT INTO public.ecdc_import VALUES (30504, '10/07/2020', '10', '7', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.82164413');
INSERT INTO public.ecdc_import VALUES (30505, '09/07/2020', '9', '7', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.97013403');
INSERT INTO public.ecdc_import VALUES (30506, '08/07/2020', '8', '7', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.20771787');
INSERT INTO public.ecdc_import VALUES (30507, '07/07/2020', '7', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.23741585');
INSERT INTO public.ecdc_import VALUES (30508, '06/07/2020', '6', '7', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.29681181');
INSERT INTO public.ecdc_import VALUES (30509, '05/07/2020', '5', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.33640912');
INSERT INTO public.ecdc_import VALUES (30510, '04/07/2020', '4', '7', '2020', '11', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.37600643');
INSERT INTO public.ecdc_import VALUES (30511, '03/07/2020', '3', '7', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.33640912');
INSERT INTO public.ecdc_import VALUES (30512, '02/07/2020', '2', '7', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.44530172');
INSERT INTO public.ecdc_import VALUES (30513, '01/07/2020', '1', '7', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.49479835');
INSERT INTO public.ecdc_import VALUES (30514, '30/06/2020', '30', '6', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.4749997');
INSERT INTO public.ecdc_import VALUES (30515, '29/06/2020', '29', '6', '2020', '10', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.58389229');
INSERT INTO public.ecdc_import VALUES (30516, '28/06/2020', '28', '6', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.56409364');
INSERT INTO public.ecdc_import VALUES (30517, '27/06/2020', '27', '6', '2020', '18', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.87097277');
INSERT INTO public.ecdc_import VALUES (30518, '26/06/2020', '26', '6', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.94026806');
INSERT INTO public.ecdc_import VALUES (30519, '25/06/2020', '25', '6', '2020', '24', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.05905998');
INSERT INTO public.ecdc_import VALUES (30520, '24/06/2020', '24', '6', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.99966402');
INSERT INTO public.ecdc_import VALUES (30521, '23/06/2020', '23', '6', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.08875796');
INSERT INTO public.ecdc_import VALUES (30522, '22/06/2020', '22', '6', '2020', '18', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.22734853');
INSERT INTO public.ecdc_import VALUES (30523, '21/06/2020', '21', '6', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.1778519');
INSERT INTO public.ecdc_import VALUES (30524, '20/06/2020', '20', '6', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.21744921');
INSERT INTO public.ecdc_import VALUES (30525, '19/06/2020', '19', '6', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.33624113');
INSERT INTO public.ecdc_import VALUES (30526, '18/06/2020', '18', '6', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.27684517');
INSERT INTO public.ecdc_import VALUES (30527, '17/06/2020', '17', '6', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.23724786');
INSERT INTO public.ecdc_import VALUES (30528, '16/06/2020', '16', '6', '2020', '18', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.30654315');
INSERT INTO public.ecdc_import VALUES (30529, '15/06/2020', '15', '6', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.19765055');
INSERT INTO public.ecdc_import VALUES (30530, '14/06/2020', '14', '6', '2020', '38', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.16795257');
INSERT INTO public.ecdc_import VALUES (30531, '13/06/2020', '13', '6', '2020', '25', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.83137546');
INSERT INTO public.ecdc_import VALUES (30532, '12/06/2020', '12', '6', '2020', '27', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.60369094');
INSERT INTO public.ecdc_import VALUES (30533, '11/06/2020', '11', '6', '2020', '18', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.41560373');
INSERT INTO public.ecdc_import VALUES (30534, '10/06/2020', '10', '6', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.25721451');
INSERT INTO public.ecdc_import VALUES (30535, '09/06/2020', '9', '6', '2020', '23', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.18791922');
INSERT INTO public.ecdc_import VALUES (30536, '08/06/2020', '8', '6', '2020', '13', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.98993268');
INSERT INTO public.ecdc_import VALUES (30537, '07/06/2020', '7', '6', '2020', '11', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.90083874');
INSERT INTO public.ecdc_import VALUES (30538, '06/06/2020', '6', '6', '2020', '19', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.83154345');
INSERT INTO public.ecdc_import VALUES (30539, '05/06/2020', '5', '6', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.80184547');
INSERT INTO public.ecdc_import VALUES (30540, '04/06/2020', '4', '6', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.84144278');
INSERT INTO public.ecdc_import VALUES (30541, '03/06/2020', '3', '6', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.04932864');
INSERT INTO public.ecdc_import VALUES (30542, '02/06/2020', '2', '6', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.15822124');
INSERT INTO public.ecdc_import VALUES (30543, '01/06/2020', '1', '6', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.24731518');
INSERT INTO public.ecdc_import VALUES (30544, '31/05/2020', '31', '5', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.25721451');
INSERT INTO public.ecdc_import VALUES (30545, '30/05/2020', '30', '5', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.32650979');
INSERT INTO public.ecdc_import VALUES (30546, '29/05/2020', '29', '5', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.40570441');
INSERT INTO public.ecdc_import VALUES (30547, '28/05/2020', '28', '5', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.3661071');
INSERT INTO public.ecdc_import VALUES (30548, '27/05/2020', '27', '5', '2020', '7', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.40570441');
INSERT INTO public.ecdc_import VALUES (30549, '26/05/2020', '26', '5', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.4749997');
INSERT INTO public.ecdc_import VALUES (30550, '25/05/2020', '25', '5', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.66308691');
INSERT INTO public.ecdc_import VALUES (30551, '24/05/2020', '24', '5', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.80167748');
INSERT INTO public.ecdc_import VALUES (30552, '23/05/2020', '23', '5', '2020', '16', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.90067075');
INSERT INTO public.ecdc_import VALUES (30553, '22/05/2020', '22', '5', '2020', '12', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.8808721');
INSERT INTO public.ecdc_import VALUES (30554, '21/05/2020', '21', '5', '2020', '23', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.96996604');
INSERT INTO public.ecdc_import VALUES (30555, '20/05/2020', '20', '5', '2020', '20', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.76208017');
INSERT INTO public.ecdc_import VALUES (30556, '19/05/2020', '19', '5', '2020', '16', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.6234896');
INSERT INTO public.ecdc_import VALUES (30557, '18/05/2020', '18', '5', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.50469768');
INSERT INTO public.ecdc_import VALUES (30558, '17/05/2020', '17', '5', '2020', '11', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.45520104');
INSERT INTO public.ecdc_import VALUES (30559, '16/05/2020', '16', '5', '2020', '10', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.35620777');
INSERT INTO public.ecdc_import VALUES (30560, '15/05/2020', '15', '5', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.31661047');
INSERT INTO public.ecdc_import VALUES (30561, '14/05/2020', '14', '5', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.29681181');
INSERT INTO public.ecdc_import VALUES (30562, '13/05/2020', '13', '5', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.25721451');
INSERT INTO public.ecdc_import VALUES (30563, '12/05/2020', '12', '5', '2020', '22', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.11862393');
INSERT INTO public.ecdc_import VALUES (30564, '11/05/2020', '11', '5', '2020', '18', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.92063739');
INSERT INTO public.ecdc_import VALUES (30565, '10/05/2020', '10', '5', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.77214749');
INSERT INTO public.ecdc_import VALUES (30566, '09/05/2020', '9', '5', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.6632549');
INSERT INTO public.ecdc_import VALUES (30567, '08/05/2020', '8', '5', '2020', '21', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.56426163');
INSERT INTO public.ecdc_import VALUES (30568, '07/05/2020', '7', '5', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.44546971');
INSERT INTO public.ecdc_import VALUES (30569, '06/05/2020', '6', '5', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.45536903');
INSERT INTO public.ecdc_import VALUES (30570, '05/05/2020', '5', '5', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.39597307');
INSERT INTO public.ecdc_import VALUES (30571, '04/05/2020', '4', '5', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.43557038');
INSERT INTO public.ecdc_import VALUES (30572, '03/05/2020', '3', '5', '2020', '1', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.46526836');
INSERT INTO public.ecdc_import VALUES (30573, '02/05/2020', '2', '5', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.51476499');
INSERT INTO public.ecdc_import VALUES (30574, '01/05/2020', '1', '5', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.50486567');
INSERT INTO public.ecdc_import VALUES (30575, '30/04/2020', '30', '4', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.49496634');
INSERT INTO public.ecdc_import VALUES (30576, '29/04/2020', '29', '4', '2020', '0', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.51476499');
INSERT INTO public.ecdc_import VALUES (30577, '28/04/2020', '28', '4', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.57416096');
INSERT INTO public.ecdc_import VALUES (30578, '27/04/2020', '27', '4', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.57416096');
INSERT INTO public.ecdc_import VALUES (30579, '26/04/2020', '26', '4', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.62365759');
INSERT INTO public.ecdc_import VALUES (30580, '25/04/2020', '25', '4', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.68305355');
INSERT INTO public.ecdc_import VALUES (30581, '24/04/2020', '24', '4', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.64345624');
INSERT INTO public.ecdc_import VALUES (30582, '23/04/2020', '23', '4', '2020', '3', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.69295288');
INSERT INTO public.ecdc_import VALUES (30583, '22/04/2020', '22', '4', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.75234884');
INSERT INTO public.ecdc_import VALUES (30584, '21/04/2020', '21', '4', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.75234884');
INSERT INTO public.ecdc_import VALUES (30585, '20/04/2020', '20', '4', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.71275153');
INSERT INTO public.ecdc_import VALUES (30586, '19/04/2020', '19', '4', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '0.89093941');
INSERT INTO public.ecdc_import VALUES (30587, '18/04/2020', '18', '4', '2020', '5', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.0691273');
INSERT INTO public.ecdc_import VALUES (30588, '17/04/2020', '17', '4', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.01963066');
INSERT INTO public.ecdc_import VALUES (30589, '16/04/2020', '16', '4', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.2176172');
INSERT INTO public.ecdc_import VALUES (30590, '15/04/2020', '15', '4', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.2176172');
INSERT INTO public.ecdc_import VALUES (30591, '14/04/2020', '14', '4', '2020', '2', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.2176172');
INSERT INTO public.ecdc_import VALUES (30592, '13/04/2020', '13', '4', '2020', '8', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.28691249');
INSERT INTO public.ecdc_import VALUES (30593, '12/04/2020', '12', '4', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.44530172');
INSERT INTO public.ecdc_import VALUES (30594, '11/04/2020', '11', '4', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.58389229');
INSERT INTO public.ecdc_import VALUES (30595, '10/04/2020', '10', '4', '2020', '14', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.97986536');
INSERT INTO public.ecdc_import VALUES (30596, '09/04/2020', '9', '4', '2020', '9', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.029362');
INSERT INTO public.ecdc_import VALUES (30597, '08/04/2020', '8', '4', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.19765055');
INSERT INTO public.ecdc_import VALUES (30598, '07/04/2020', '7', '4', '2020', '4', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.34614046');
INSERT INTO public.ecdc_import VALUES (30599, '06/04/2020', '6', '4', '2020', '22', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.4352344');
INSERT INTO public.ecdc_import VALUES (30600, '05/04/2020', '5', '4', '2020', '24', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.36593911');
INSERT INTO public.ecdc_import VALUES (30601, '04/04/2020', '4', '4', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.27684517');
INSERT INTO public.ecdc_import VALUES (30602, '03/04/2020', '3', '4', '2020', '21', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.40553642');
INSERT INTO public.ecdc_import VALUES (30603, '02/04/2020', '2', '4', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.23724786');
INSERT INTO public.ecdc_import VALUES (30604, '01/04/2020', '1', '4', '2020', '6', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.36593911');
INSERT INTO public.ecdc_import VALUES (30605, '31/03/2020', '31', '3', '2020', '9', '4', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.49463036');
INSERT INTO public.ecdc_import VALUES (30606, '30/03/2020', '30', '3', '2020', '24', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.41543574');
INSERT INTO public.ecdc_import VALUES (30607, '29/03/2020', '29', '3', '2020', '23', '1', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.31644247');
INSERT INTO public.ecdc_import VALUES (30608, '28/03/2020', '28', '3', '2020', '40', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '2.08875796');
INSERT INTO public.ecdc_import VALUES (30609, '27/03/2020', '27', '3', '2020', '19', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.69278489');
INSERT INTO public.ecdc_import VALUES (30610, '26/03/2020', '26', '3', '2020', '26', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '1.514597');
INSERT INTO public.ecdc_import VALUES (30611, '25/03/2020', '25', '3', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30612, '24/03/2020', '24', '3', '2020', '13', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30613, '23/03/2020', '23', '3', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30614, '22/03/2020', '22', '3', '2020', '15', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30615, '21/03/2020', '21', '3', '2020', '13', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30616, '20/03/2020', '20', '3', '2020', '4', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30617, '19/03/2020', '19', '3', '2020', '17', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30618, '18/03/2020', '18', '3', '2020', '19', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30619, '17/03/2020', '17', '3', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30620, '16/03/2020', '16', '3', '2020', '14', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30621, '15/03/2020', '15', '3', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30622, '08/03/2020', '8', '3', '2020', '0', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30623, '03/03/2020', '3', '3', '2020', '1', '0', '10101697', 'Jordan', 'JO', 'JOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30624, '14/12/2020', '14', '12', '2020', '764', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '67.22393554');
INSERT INTO public.ecdc_import VALUES (30625, '13/12/2020', '13', '12', '2020', '956', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '67.61743624');
INSERT INTO public.ecdc_import VALUES (30626, '12/12/2020', '12', '12', '2020', '927', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '67.80071054');
INSERT INTO public.ecdc_import VALUES (30627, '11/12/2020', '11', '12', '2020', '973', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.24811546');
INSERT INTO public.ecdc_import VALUES (30628, '10/12/2020', '10', '12', '2020', '936', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.25350588');
INSERT INTO public.ecdc_import VALUES (30629, '09/12/2020', '9', '12', '2020', '944', '54', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.53380775');
INSERT INTO public.ecdc_import VALUES (30630, '08/12/2020', '8', '12', '2020', '688', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.53380775');
INSERT INTO public.ecdc_import VALUES (30631, '07/12/2020', '7', '12', '2020', '745', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.47990354');
INSERT INTO public.ecdc_import VALUES (30632, '06/12/2020', '6', '12', '2020', '966', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '69.40705589');
INSERT INTO public.ecdc_import VALUES (30633, '05/12/2020', '5', '12', '2020', '992', '46', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.27506756');
INSERT INTO public.ecdc_import VALUES (30634, '04/12/2020', '4', '12', '2020', '1044', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.18882083');
INSERT INTO public.ecdc_import VALUES (30635, '03/12/2020', '3', '12', '2020', '777', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '67.67673087');
INSERT INTO public.ecdc_import VALUES (30636, '02/12/2020', '2', '12', '2020', '1002', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.68473953');
INSERT INTO public.ecdc_import VALUES (30637, '01/12/2020', '1', '12', '2020', '757', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '68.40443765');
INSERT INTO public.ecdc_import VALUES (30638, '30/11/2020', '30', '11', '2020', '837', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '67.69290213');
INSERT INTO public.ecdc_import VALUES (30639, '29/11/2020', '29', '11', '2020', '990', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '66.60942759');
INSERT INTO public.ecdc_import VALUES (30640, '28/11/2020', '28', '11', '2020', '1010', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '65.88711122');
INSERT INTO public.ecdc_import VALUES (30641, '27/11/2020', '27', '11', '2020', '974', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '65.31033622');
INSERT INTO public.ecdc_import VALUES (30642, '26/11/2020', '26', '11', '2020', '988', '47', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '64.46404018');
INSERT INTO public.ecdc_import VALUES (30643, '25/11/2020', '25', '11', '2020', '944', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '63.31588059');
INSERT INTO public.ecdc_import VALUES (30644, '24/11/2020', '24', '11', '2020', '678', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '62.59356423');
INSERT INTO public.ecdc_import VALUES (30645, '23/11/2020', '23', '11', '2020', '917', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '62.0383509');
INSERT INTO public.ecdc_import VALUES (30646, '22/11/2020', '22', '11', '2020', '756', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '60.63145112');
INSERT INTO public.ecdc_import VALUES (30647, '21/11/2020', '21', '11', '2020', '976', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '61.40228127');
INSERT INTO public.ecdc_import VALUES (30648, '20/11/2020', '20', '11', '2020', '949', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '60.3134163');
INSERT INTO public.ecdc_import VALUES (30649, '19/11/2020', '19', '11', '2020', '964', '48', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '59.62883289');
INSERT INTO public.ecdc_import VALUES (30650, '18/11/2020', '18', '11', '2020', '950', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '58.2219331');
INSERT INTO public.ecdc_import VALUES (30651, '17/11/2020', '17', '11', '2020', '625', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '56.87971837');
INSERT INTO public.ecdc_import VALUES (30652, '16/11/2020', '16', '11', '2020', '636', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '55.97951813');
INSERT INTO public.ecdc_import VALUES (30653, '15/11/2020', '15', '11', '2020', '856', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '55.15478377');
INSERT INTO public.ecdc_import VALUES (30654, '14/11/2020', '14', '11', '2020', '903', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '54.21146016');
INSERT INTO public.ecdc_import VALUES (30655, '13/11/2020', '13', '11', '2020', '817', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '52.7560466');
INSERT INTO public.ecdc_import VALUES (30656, '12/11/2020', '12', '11', '2020', '775', '44', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '51.51624985');
INSERT INTO public.ecdc_import VALUES (30657, '11/11/2020', '11', '11', '2020', '810', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '49.72123979');
INSERT INTO public.ecdc_import VALUES (30658, '10/11/2020', '10', '11', '2020', '575', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '47.62975659');
INSERT INTO public.ecdc_import VALUES (30659, '09/11/2020', '9', '11', '2020', '656', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '45.34960867');
INSERT INTO public.ecdc_import VALUES (30660, '08/11/2020', '8', '11', '2020', '899', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '42.70830256');
INSERT INTO public.ecdc_import VALUES (30661, '07/11/2020', '7', '11', '2020', '774', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '39.56029692');
INSERT INTO public.ecdc_import VALUES (30662, '06/11/2020', '6', '11', '2020', '822', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '37.16155975');
INSERT INTO public.ecdc_import VALUES (30663, '05/11/2020', '5', '11', '2020', '703', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '34.69813752');
INSERT INTO public.ecdc_import VALUES (30664, '04/11/2020', '4', '11', '2020', '701', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '32.64438727');
INSERT INTO public.ecdc_import VALUES (30665, '03/11/2020', '3', '11', '2020', '458', '34', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '30.8224251');
INSERT INTO public.ecdc_import VALUES (30666, '02/11/2020', '2', '11', '2020', '483', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '29.05436714');
INSERT INTO public.ecdc_import VALUES (30667, '01/11/2020', '1', '11', '2020', '681', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '27.27552833');
INSERT INTO public.ecdc_import VALUES (30668, '31/10/2020', '31', '10', '2020', '633', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '25.2271685');
INSERT INTO public.ecdc_import VALUES (30669, '30/10/2020', '30', '10', '2020', '587', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.20576076');
INSERT INTO public.ecdc_import VALUES (30670, '29/10/2020', '29', '10', '2020', '442', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '22.37563599');
INSERT INTO public.ecdc_import VALUES (30671, '28/10/2020', '28', '10', '2020', '422', '30', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.58601634');
INSERT INTO public.ecdc_import VALUES (30672, '27/10/2020', '27', '10', '2020', '152', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.48898877');
INSERT INTO public.ecdc_import VALUES (30673, '26/10/2020', '26', '10', '2020', '166', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.06853596');
INSERT INTO public.ecdc_import VALUES (30674, '25/10/2020', '25', '10', '2020', '315', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.75589157');
INSERT INTO public.ecdc_import VALUES (30675, '24/10/2020', '24', '10', '2020', '329', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.95533713');
INSERT INTO public.ecdc_import VALUES (30676, '23/10/2020', '23', '10', '2020', '365', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.98767965');
INSERT INTO public.ecdc_import VALUES (30677, '22/10/2020', '22', '10', '2020', '322', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.8960425');
INSERT INTO public.ecdc_import VALUES (30678, '21/10/2020', '21', '10', '2020', '363', '29', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.09009765');
INSERT INTO public.ecdc_import VALUES (30679, '20/10/2020', '20', '10', '2020', '130', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.93916587');
INSERT INTO public.ecdc_import VALUES (30680, '19/10/2020', '19', '10', '2020', '153', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.56183643');
INSERT INTO public.ecdc_import VALUES (30681, '18/10/2020', '18', '10', '2020', '301', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.25458245');
INSERT INTO public.ecdc_import VALUES (30682, '17/10/2020', '17', '10', '2020', '258', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.05513689');
INSERT INTO public.ecdc_import VALUES (30683, '16/10/2020', '16', '10', '2020', '433', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.89342427');
INSERT INTO public.ecdc_import VALUES (30684, '15/10/2020', '15', '10', '2020', '110', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.16571749');
INSERT INTO public.ecdc_import VALUES (30685, '14/10/2020', '14', '10', '2020', '404', '25', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.92576679');
INSERT INTO public.ecdc_import VALUES (30686, '13/10/2020', '13', '10', '2020', '74', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.76405417');
INSERT INTO public.ecdc_import VALUES (30687, '12/10/2020', '12', '10', '2020', '108', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.73171165');
INSERT INTO public.ecdc_import VALUES (30688, '11/10/2020', '11', '10', '2020', '352', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.63468408');
INSERT INTO public.ecdc_import VALUES (30689, '10/10/2020', '10', '10', '2020', '335', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.31664926');
INSERT INTO public.ecdc_import VALUES (30690, '09/10/2020', '9', '10', '2020', '348', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.13337496');
INSERT INTO public.ecdc_import VALUES (30691, '08/10/2020', '8', '10', '2020', '358', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '17.83151141');
INSERT INTO public.ecdc_import VALUES (30692, '07/10/2020', '7', '10', '2020', '335', '22', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '17.55659996');
INSERT INTO public.ecdc_import VALUES (30693, '06/10/2020', '6', '10', '2020', '60', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.12259412');
INSERT INTO public.ecdc_import VALUES (30694, '05/10/2020', '5', '10', '2020', '96', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.26813548');
INSERT INTO public.ecdc_import VALUES (30695, '04/10/2020', '4', '10', '2020', '264', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.3274301');
INSERT INTO public.ecdc_import VALUES (30696, '03/10/2020', '3', '10', '2020', '228', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.71014997');
INSERT INTO public.ecdc_import VALUES (30697, '02/10/2020', '2', '10', '2020', '298', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.09826025');
INSERT INTO public.ecdc_import VALUES (30698, '01/10/2020', '1', '10', '2020', '251', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.21684951');
INSERT INTO public.ecdc_import VALUES (30699, '30/09/2020', '30', '9', '2020', '374', '28', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.66964484');
INSERT INTO public.ecdc_import VALUES (30700, '29/09/2020', '29', '9', '2020', '68', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.19790606');
INSERT INTO public.ecdc_import VALUES (30701, '28/09/2020', '28', '9', '2020', '90', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.22485816');
INSERT INTO public.ecdc_import VALUES (30702, '27/09/2020', '27', '9', '2020', '293', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.43508457');
INSERT INTO public.ecdc_import VALUES (30703, '26/09/2020', '26', '9', '2020', '301', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.11966798');
INSERT INTO public.ecdc_import VALUES (30704, '25/09/2020', '25', '9', '2020', '292', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.51855911');
INSERT INTO public.ecdc_import VALUES (30705, '24/09/2020', '24', '9', '2020', '307', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '22.26243716');
INSERT INTO public.ecdc_import VALUES (30706, '23/09/2020', '23', '9', '2020', '440', '28', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '22.94163015');
INSERT INTO public.ecdc_import VALUES (30707, '22/09/2020', '22', '9', '2020', '87', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.38903507');
INSERT INTO public.ecdc_import VALUES (30708, '21/09/2020', '21', '9', '2020', '107', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.35130212');
INSERT INTO public.ecdc_import VALUES (30709, '20/09/2020', '20', '9', '2020', '335', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.84722082');
INSERT INTO public.ecdc_import VALUES (30710, '19/09/2020', '19', '9', '2020', '300', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '26.87124678');
INSERT INTO public.ecdc_import VALUES (30711, '18/09/2020', '18', '9', '2020', '320', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '25.81472434');
INSERT INTO public.ecdc_import VALUES (30712, '17/09/2020', '17', '9', '2020', '335', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '27.1623295');
INSERT INTO public.ecdc_import VALUES (30713, '16/09/2020', '16', '9', '2020', '472', '38', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '28.90882578');
INSERT INTO public.ecdc_import VALUES (30714, '15/09/2020', '15', '9', '2020', '73', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '26.89819889');
INSERT INTO public.ecdc_import VALUES (30715, '14/09/2020', '14', '9', '2020', '129', '7', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '31.48005641');
INSERT INTO public.ecdc_import VALUES (30716, '13/09/2020', '13', '9', '2020', '420', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '30.78469215');
INSERT INTO public.ecdc_import VALUES (30717, '12/09/2020', '12', '9', '2020', '375', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '31.93285175');
INSERT INTO public.ecdc_import VALUES (30718, '11/09/2020', '11', '9', '2020', '430', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '37.57662213');
INSERT INTO public.ecdc_import VALUES (30719, '10/09/2020', '10', '9', '2020', '433', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '40.40120254');
INSERT INTO public.ecdc_import VALUES (30720, '09/09/2020', '9', '9', '2020', '523', '47', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '39.15601538');
INSERT INTO public.ecdc_import VALUES (30721, '08/09/2020', '8', '9', '2020', '80', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '36.33682539');
INSERT INTO public.ecdc_import VALUES (30722, '07/09/2020', '7', '9', '2020', '199', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '35.90559174');
INSERT INTO public.ecdc_import VALUES (30723, '06/09/2020', '6', '9', '2020', '896', '8', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '36.22901698');
INSERT INTO public.ecdc_import VALUES (30724, '05/09/2020', '5', '9', '2020', '104', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '36.5740039');
INSERT INTO public.ecdc_import VALUES (30725, '04/09/2020', '4', '9', '2020', '570', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '40.90790208');
INSERT INTO public.ecdc_import VALUES (30726, '03/09/2020', '3', '9', '2020', '659', '6', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '43.11258411');
INSERT INTO public.ecdc_import VALUES (30727, '02/09/2020', '2', '9', '2020', '99', '68', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '45.11782058');
INSERT INTO public.ecdc_import VALUES (30728, '01/09/2020', '1', '9', '2020', '923', '34', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '51.87201762');
INSERT INTO public.ecdc_import VALUES (30729, '31/08/2020', '31', '8', '2020', '0', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '48.69705987');
INSERT INTO public.ecdc_import VALUES (30730, '30/08/2020', '30', '8', '2020', '633', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '51.27368093');
INSERT INTO public.ecdc_import VALUES (30731, '29/08/2020', '29', '8', '2020', '1422', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '55.30032513');
INSERT INTO public.ecdc_import VALUES (30732, '28/08/2020', '28', '8', '2020', '954', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '54.46480993');
INSERT INTO public.ecdc_import VALUES (30733, '27/08/2020', '27', '8', '2020', '202', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '56.92284173');
INSERT INTO public.ecdc_import VALUES (30734, '26/08/2020', '26', '8', '2020', '0', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '63.86031307');
INSERT INTO public.ecdc_import VALUES (30735, '25/08/2020', '25', '8', '2020', '0', '108', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '75.25566226');
INSERT INTO public.ecdc_import VALUES (30736, '24/08/2020', '24', '8', '2020', '259', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '79.45479992');
INSERT INTO public.ecdc_import VALUES (30737, '23/08/2020', '23', '8', '2020', '960', '8', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '82.91005954');
INSERT INTO public.ecdc_import VALUES (30738, '22/08/2020', '22', '8', '2020', '908', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '87.88541777');
INSERT INTO public.ecdc_import VALUES (30739, '21/08/2020', '21', '8', '2020', '979', '6', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '93.82027087');
INSERT INTO public.ecdc_import VALUES (30740, '20/08/2020', '20', '8', '2020', '1031', '6', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '101.50162025');
INSERT INTO public.ecdc_import VALUES (30741, '19/08/2020', '19', '8', '2020', '1352', '11', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '109.905286');
INSERT INTO public.ecdc_import VALUES (30742, '18/08/2020', '18', '8', '2020', '334', '148', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '118.03943071');
INSERT INTO public.ecdc_import VALUES (30743, '17/08/2020', '17', '8', '2020', '478', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '123.96889339');
INSERT INTO public.ecdc_import VALUES (30744, '16/08/2020', '16', '8', '2020', '1380', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '131.45618763');
INSERT INTO public.ecdc_import VALUES (30745, '15/08/2020', '15', '8', '2020', '1267', '47', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '158.55383208');
INSERT INTO public.ecdc_import VALUES (30746, '14/08/2020', '14', '8', '2020', '1410', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '158.67242134');
INSERT INTO public.ecdc_import VALUES (30747, '13/08/2020', '13', '8', '2020', '1489', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '158.69398302');
INSERT INTO public.ecdc_import VALUES (30748, '12/08/2020', '12', '8', '2020', '2114', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '158.60234587');
INSERT INTO public.ecdc_import VALUES (30749, '11/08/2020', '11', '8', '2020', '779', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '155.52980612');
INSERT INTO public.ecdc_import VALUES (30750, '10/08/2020', '10', '8', '2020', '900', '324', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '159.55645032');
INSERT INTO public.ecdc_import VALUES (30751, '09/08/2020', '9', '8', '2020', '1883', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '162.26244147');
INSERT INTO public.ecdc_import VALUES (30752, '08/08/2020', '8', '8', '2020', '2009', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '160.16556785');
INSERT INTO public.ecdc_import VALUES (30753, '07/08/2020', '7', '8', '2020', '2404', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '158.7155447');
INSERT INTO public.ecdc_import VALUES (30754, '06/08/2020', '6', '8', '2020', '2590', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '154.85061312');
INSERT INTO public.ecdc_import VALUES (30755, '05/08/2020', '5', '8', '2020', '2861', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '149.76205605');
INSERT INTO public.ecdc_import VALUES (30756, '04/08/2020', '4', '8', '2020', '1434', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '143.42292141');
INSERT INTO public.ecdc_import VALUES (30757, '03/08/2020', '3', '8', '2020', '1867', '286', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '144.47944385');
INSERT INTO public.ecdc_import VALUES (30758, '02/08/2020', '2', '8', '2020', '6407', '30', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '142.49576906');
INSERT INTO public.ecdc_import VALUES (30759, '01/08/2020', '1', '8', '2020', '1289', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '116.77807229');
INSERT INTO public.ecdc_import VALUES (30760, '31/07/2020', '31', '7', '2020', '1414', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '119.57570059');
INSERT INTO public.ecdc_import VALUES (30761, '30/07/2020', '30', '7', '2020', '1472', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '121.15509383');
INSERT INTO public.ecdc_import VALUES (30762, '29/07/2020', '29', '7', '2020', '1544', '208', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '122.24395879');
INSERT INTO public.ecdc_import VALUES (30763, '28/07/2020', '28', '7', '2020', '1526', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '123.40289923');
INSERT INTO public.ecdc_import VALUES (30764, '27/07/2020', '27', '7', '2020', '1402', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '125.23564224');
INSERT INTO public.ecdc_import VALUES (30765, '26/07/2020', '26', '7', '2020', '1494', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '126.49700066');
INSERT INTO public.ecdc_import VALUES (30766, '25/07/2020', '25', '7', '2020', '1740', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '128.13568853');
INSERT INTO public.ecdc_import VALUES (30767, '24/07/2020', '24', '7', '2020', '1687', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '127.96319507');
INSERT INTO public.ecdc_import VALUES (30768, '23/07/2020', '23', '7', '2020', '1646', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '128.17342147');
INSERT INTO public.ecdc_import VALUES (30769, '22/07/2020', '22', '7', '2020', '1685', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '129.87679439');
INSERT INTO public.ecdc_import VALUES (30770, '21/07/2020', '21', '7', '2020', '1630', '210', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '128.21115442');
INSERT INTO public.ecdc_import VALUES (30771, '20/07/2020', '20', '7', '2020', '1499', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '125.40274528');
INSERT INTO public.ecdc_import VALUES (30772, '19/07/2020', '19', '7', '2020', '1636', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '124.8852649');
INSERT INTO public.ecdc_import VALUES (30773, '18/07/2020', '18', '7', '2020', '1808', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '123.8934275');
INSERT INTO public.ecdc_import VALUES (30774, '17/07/2020', '17', '7', '2020', '1707', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '123.00939852');
INSERT INTO public.ecdc_import VALUES (30775, '16/07/2020', '16', '7', '2020', '1674', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '121.89897187');
INSERT INTO public.ecdc_import VALUES (30776, '15/07/2020', '15', '7', '2020', '1759', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '121.00955247');
INSERT INTO public.ecdc_import VALUES (30777, '14/07/2020', '14', '7', '2020', '1866', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '215.27183783');
INSERT INTO public.ecdc_import VALUES (30778, '13/07/2020', '13', '7', '2020', '1636', '111', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '207.8653999');
INSERT INTO public.ecdc_import VALUES (30779, '12/07/2020', '12', '7', '2020', '1798', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '201.99523185');
INSERT INTO public.ecdc_import VALUES (30780, '11/07/2020', '11', '7', '2020', '1708', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '194.78823948');
INSERT INTO public.ecdc_import VALUES (30781, '10/07/2020', '10', '7', '2020', '1726', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '188.6485504');
INSERT INTO public.ecdc_import VALUES (30782, '09/07/2020', '9', '7', '2020', '1962', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '181.85123');
INSERT INTO public.ecdc_import VALUES (30783, '08/07/2020', '8', '7', '2020', '1376', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '174.07824346');
INSERT INTO public.ecdc_import VALUES (30784, '07/07/2020', '7', '7', '2020', '1109', '76', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '169.5395093');
INSERT INTO public.ecdc_import VALUES (30785, '06/07/2020', '6', '7', '2020', '1403', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '166.25135273');
INSERT INTO public.ecdc_import VALUES (30786, '05/07/2020', '5', '7', '2020', '1452', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '161.42153585');
INSERT INTO public.ecdc_import VALUES (30787, '04/07/2020', '4', '7', '2020', '1644', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '155.99877271');
INSERT INTO public.ecdc_import VALUES (30788, '03/07/2020', '3', '7', '2020', '1501', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '149.44402124');
INSERT INTO public.ecdc_import VALUES (30789, '02/07/2020', '2', '7', '2020', '1509', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '143.90805926');
INSERT INTO public.ecdc_import VALUES (30790, '01/07/2020', '1', '7', '2020', '19246', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '137.57970545');
INSERT INTO public.ecdc_import VALUES (30791, '30/06/2020', '30', '6', '2020', '492', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '35.72231744');
INSERT INTO public.ecdc_import VALUES (30792, '29/06/2020', '29', '6', '2020', '547', '10', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '35.13476159');
INSERT INTO public.ecdc_import VALUES (30793, '28/06/2020', '28', '6', '2020', '461', '23', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '33.87340317');
INSERT INTO public.ecdc_import VALUES (30794, '27/06/2020', '27', '6', '2020', '569', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '32.77914778');
INSERT INTO public.ecdc_import VALUES (30795, '26/06/2020', '26', '6', '2020', '465', '11', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '31.6848924');
INSERT INTO public.ecdc_import VALUES (30796, '25/06/2020', '25', '6', '2020', '520', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '30.87093888');
INSERT INTO public.ecdc_import VALUES (30797, '24/06/2020', '24', '6', '2020', '534', '7', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '29.35623069');
INSERT INTO public.ecdc_import VALUES (30798, '23/06/2020', '23', '6', '2020', '499', '7', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '27.79839913');
INSERT INTO public.ecdc_import VALUES (30799, '22/06/2020', '22', '6', '2020', '507', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '26.26751968');
INSERT INTO public.ecdc_import VALUES (30800, '21/06/2020', '21', '6', '2020', '446', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '24.42399582');
INSERT INTO public.ecdc_import VALUES (30801, '20/06/2020', '20', '6', '2020', '428', '8', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.0063152');
INSERT INTO public.ecdc_import VALUES (30802, '19/06/2020', '19', '6', '2020', '474', '5', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.77190888');
INSERT INTO public.ecdc_import VALUES (30803, '18/06/2020', '18', '6', '2020', '335', '12', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.53750256');
INSERT INTO public.ecdc_import VALUES (30804, '17/06/2020', '17', '6', '2020', '350', '7', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.19251564');
INSERT INTO public.ecdc_import VALUES (30805, '16/06/2020', '16', '6', '2020', '383', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.51871306');
INSERT INTO public.ecdc_import VALUES (30806, '15/06/2020', '15', '6', '2020', '313', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.87186259');
INSERT INTO public.ecdc_import VALUES (30807, '14/06/2020', '14', '6', '2020', '258', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '19.61035021');
INSERT INTO public.ecdc_import VALUES (30808, '13/06/2020', '13', '6', '2020', '366', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.78546191');
INSERT INTO public.ecdc_import VALUES (30809, '12/06/2020', '12', '6', '2020', '314', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.23825724');
INSERT INTO public.ecdc_import VALUES (30810, '11/06/2020', '11', '6', '2020', '239', '6', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.4646549');
INSERT INTO public.ecdc_import VALUES (30811, '10/06/2020', '10', '6', '2020', '245', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.64253878');
INSERT INTO public.ecdc_import VALUES (30812, '09/06/2020', '9', '6', '2020', '215', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '22.12767664');
INSERT INTO public.ecdc_import VALUES (30813, '08/06/2020', '8', '6', '2020', '165', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.32974044');
INSERT INTO public.ecdc_import VALUES (30814, '07/06/2020', '7', '6', '2020', '183', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.56691895');
INSERT INTO public.ecdc_import VALUES (30815, '06/06/2020', '6', '6', '2020', '199', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '24.75281148');
INSERT INTO public.ecdc_import VALUES (30816, '05/06/2020', '5', '6', '2020', '245', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '25.41583322');
INSERT INTO public.ecdc_import VALUES (30817, '04/06/2020', '4', '6', '2020', '271', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '26.05190285');
INSERT INTO public.ecdc_import VALUES (30818, '03/06/2020', '3', '6', '2020', '225', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '26.01956033');
INSERT INTO public.ecdc_import VALUES (30819, '02/06/2020', '2', '6', '2020', '263', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '25.98182738');
INSERT INTO public.ecdc_import VALUES (30820, '01/06/2020', '1', '6', '2020', '450', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '26.24056757');
INSERT INTO public.ecdc_import VALUES (30821, '31/05/2020', '31', '5', '2020', '476', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '25.34036733');
INSERT INTO public.ecdc_import VALUES (30822, '30/05/2020', '30', '5', '2020', '450', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '24.42938624');
INSERT INTO public.ecdc_import VALUES (30823, '29/05/2020', '29', '5', '2020', '356', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '23.50762432');
INSERT INTO public.ecdc_import VALUES (30824, '28/05/2020', '28', '5', '2020', '272', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '21.58863458');
INSERT INTO public.ecdc_import VALUES (30825, '27/05/2020', '27', '5', '2020', '335', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.95256495');
INSERT INTO public.ecdc_import VALUES (30826, '26/05/2020', '26', '5', '2020', '438', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '20.10087849');
INSERT INTO public.ecdc_import VALUES (30827, '25/05/2020', '25', '5', '2020', '209', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '18.35438221');
INSERT INTO public.ecdc_import VALUES (30828, '24/05/2020', '24', '5', '2020', '403', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '17.71292215');
INSERT INTO public.ecdc_import VALUES (30829, '23/05/2020', '23', '5', '2020', '322', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '16.62944761');
INSERT INTO public.ecdc_import VALUES (30830, '22/05/2020', '22', '5', '2020', '363', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '15.66995274');
INSERT INTO public.ecdc_import VALUES (30831, '21/05/2020', '21', '5', '2020', '265', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '14.72662913');
INSERT INTO public.ecdc_import VALUES (30832, '20/05/2020', '20', '5', '2020', '218', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '14.51101231');
INSERT INTO public.ecdc_import VALUES (30833, '19/05/2020', '19', '5', '2020', '311', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '14.17680623');
INSERT INTO public.ecdc_import VALUES (30834, '18/05/2020', '18', '5', '2020', '283', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '13.34668145');
INSERT INTO public.ecdc_import VALUES (30835, '17/05/2020', '17', '5', '2020', '307', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.29015901');
INSERT INTO public.ecdc_import VALUES (30836, '16/05/2020', '16', '5', '2020', '279', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '11.74572653');
INSERT INTO public.ecdc_import VALUES (30837, '15/05/2020', '15', '5', '2020', '0', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '11.14199942');
INSERT INTO public.ecdc_import VALUES (30838, '14/05/2020', '14', '5', '2020', '154', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.75373518');
INSERT INTO public.ecdc_import VALUES (30839, '13/05/2020', '13', '5', '2020', '177', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.68905014');
INSERT INTO public.ecdc_import VALUES (30840, '12/05/2020', '12', '5', '2020', '114', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.82920107');
INSERT INTO public.ecdc_import VALUES (30841, '11/05/2020', '11', '5', '2020', '90', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.98552327');
INSERT INTO public.ecdc_import VALUES (30842, '10/05/2020', '10', '5', '2020', '202', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.85076276');
INSERT INTO public.ecdc_import VALUES (30843, '09/05/2020', '9', '5', '2020', '144', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.6782693');
INSERT INTO public.ecdc_import VALUES (30844, '08/05/2020', '8', '5', '2020', '188', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.69983098');
INSERT INTO public.ecdc_import VALUES (30845, '07/05/2020', '7', '5', '2020', '225', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.45726205');
INSERT INTO public.ecdc_import VALUES (30846, '06/05/2020', '6', '5', '2020', '156', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.13922723');
INSERT INTO public.ecdc_import VALUES (30847, '05/05/2020', '5', '5', '2020', '157', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '11.70799358');
INSERT INTO public.ecdc_import VALUES (30848, '04/05/2020', '4', '5', '2020', '87', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '12.01524756');
INSERT INTO public.ecdc_import VALUES (30849, '03/05/2020', '3', '5', '2020', '206', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '11.98290504');
INSERT INTO public.ecdc_import VALUES (30850, '02/05/2020', '2', '5', '2020', '167', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '11.21207489');
INSERT INTO public.ecdc_import VALUES (30851, '01/05/2020', '1', '5', '2020', '299', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '10.96411554');
INSERT INTO public.ecdc_import VALUES (30852, '30/04/2020', '30', '4', '2020', '142', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '10.10164824');
INSERT INTO public.ecdc_import VALUES (30853, '29/04/2020', '29', '4', '2020', '203', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '9.68119543');
INSERT INTO public.ecdc_import VALUES (30854, '28/04/2020', '28', '4', '2020', '143', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '9.06129706');
INSERT INTO public.ecdc_import VALUES (30855, '27/04/2020', '27', '4', '2020', '65', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '9.46557861');
INSERT INTO public.ecdc_import VALUES (30856, '26/04/2020', '26', '4', '2020', '170', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '9.55182534');
INSERT INTO public.ecdc_import VALUES (30857, '25/04/2020', '25', '4', '2020', '148', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '8.85107066');
INSERT INTO public.ecdc_import VALUES (30858, '24/04/2020', '24', '4', '2020', '143', '3', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '8.25812439');
INSERT INTO public.ecdc_import VALUES (30859, '23/04/2020', '23', '4', '2020', '166', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '7.71908233');
INSERT INTO public.ecdc_import VALUES (30860, '22/04/2020', '22', '4', '2020', '76', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '7.12074564');
INSERT INTO public.ecdc_import VALUES (30861, '21/04/2020', '21', '4', '2020', '214', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '6.89434797');
INSERT INTO public.ecdc_import VALUES (30862, '20/04/2020', '20', '4', '2020', '81', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '6.49006643');
INSERT INTO public.ecdc_import VALUES (30863, '19/04/2020', '19', '4', '2020', '63', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '6.43616222');
INSERT INTO public.ecdc_import VALUES (30864, '18/04/2020', '18', '4', '2020', '121', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '6.09656572');
INSERT INTO public.ecdc_import VALUES (30865, '17/04/2020', '17', '4', '2020', '139', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '5.84321595');
INSERT INTO public.ecdc_import VALUES (30866, '16/04/2020', '16', '4', '2020', '64', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '5.29878347');
INSERT INTO public.ecdc_import VALUES (30867, '15/04/2020', '15', '4', '2020', '88', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '4.99691991');
INSERT INTO public.ecdc_import VALUES (30868, '14/04/2020', '14', '4', '2020', '218', '4', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '4.60341921');
INSERT INTO public.ecdc_import VALUES (30869, '13/04/2020', '13', '4', '2020', '81', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.64931476');
INSERT INTO public.ecdc_import VALUES (30870, '12/04/2020', '12', '4', '2020', '40', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.50916382');
INSERT INTO public.ecdc_import VALUES (30871, '11/04/2020', '11', '4', '2020', '38', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.48760214');
INSERT INTO public.ecdc_import VALUES (30872, '10/04/2020', '10', '4', '2020', '43', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.67626686');
INSERT INTO public.ecdc_import VALUES (30873, '09/04/2020', '9', '4', '2020', '55', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.61697224');
INSERT INTO public.ecdc_import VALUES (30874, '08/04/2020', '8', '4', '2020', '34', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.36901289');
INSERT INTO public.ecdc_import VALUES (30875, '07/04/2020', '7', '4', '2020', '139', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '3.27737574');
INSERT INTO public.ecdc_import VALUES (30876, '06/04/2020', '6', '4', '2020', '71', '2', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '2.53888811');
INSERT INTO public.ecdc_import VALUES (30877, '05/04/2020', '5', '4', '2020', '0', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '2.17772993');
INSERT INTO public.ecdc_import VALUES (30878, '04/04/2020', '4', '4', '2020', '74', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '2.19390119');
INSERT INTO public.ecdc_import VALUES (30879, '03/04/2020', '3', '4', '2020', '38', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.81657175');
INSERT INTO public.ecdc_import VALUES (30880, '02/04/2020', '2', '4', '2020', '8', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.67642081');
INSERT INTO public.ecdc_import VALUES (30881, '01/04/2020', '1', '4', '2020', '15', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.65485913');
INSERT INTO public.ecdc_import VALUES (30882, '31/03/2020', '31', '3', '2020', '41', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.69259207');
INSERT INTO public.ecdc_import VALUES (30883, '30/03/2020', '30', '3', '2020', '55', '1', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.48236567');
INSERT INTO public.ecdc_import VALUES (30884, '29/03/2020', '29', '3', '2020', '36', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.2020638');
INSERT INTO public.ecdc_import VALUES (30885, '28/03/2020', '28', '3', '2020', '73', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '1.04035118');
INSERT INTO public.ecdc_import VALUES (30886, '27/03/2020', '27', '3', '2020', '32', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30887, '26/03/2020', '26', '3', '2020', '9', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30888, '25/03/2020', '25', '3', '2020', '17', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30889, '24/03/2020', '24', '3', '2020', '2', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30890, '23/03/2020', '23', '3', '2020', '4', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30891, '22/03/2020', '22', '3', '2020', '3', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30892, '21/03/2020', '21', '3', '2020', '4', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30893, '20/03/2020', '20', '3', '2020', '12', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30894, '19/03/2020', '19', '3', '2020', '4', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30895, '18/03/2020', '18', '3', '2020', '22', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30896, '17/03/2020', '17', '3', '2020', '2', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30897, '16/03/2020', '16', '3', '2020', '3', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30898, '15/03/2020', '15', '3', '2020', '6', '0', '18551428', 'Kazakhstan', 'KZ', 'KAZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (30899, '14/12/2020', '14', '12', '2020', '366', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.31225584');
INSERT INTO public.ecdc_import VALUES (30900, '13/12/2020', '13', '12', '2020', '548', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.96847415');
INSERT INTO public.ecdc_import VALUES (30901, '12/12/2020', '12', '12', '2020', '673', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.73120906');
INSERT INTO public.ecdc_import VALUES (30902, '11/12/2020', '11', '12', '2020', '644', '16', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '19.40694336');
INSERT INTO public.ecdc_import VALUES (30903, '10/12/2020', '10', '12', '2020', '561', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '19.66562653');
INSERT INTO public.ecdc_import VALUES (30904, '09/12/2020', '9', '12', '2020', '521', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '20.13924496');
INSERT INTO public.ecdc_import VALUES (30905, '08/12/2020', '8', '12', '2020', '199', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '20.53107387');
INSERT INTO public.ecdc_import VALUES (30906, '07/12/2020', '7', '12', '2020', '396', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '20.93811943');
INSERT INTO public.ecdc_import VALUES (30907, '06/12/2020', '6', '12', '2020', '735', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '22.02611038');
INSERT INTO public.ecdc_import VALUES (30908, '05/12/2020', '5', '12', '2020', '866', '6', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '22.93150144');
INSERT INTO public.ecdc_import VALUES (30909, '04/12/2020', '4', '12', '2020', '1253', '16', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '23.27768038');
INSERT INTO public.ecdc_import VALUES (30910, '03/12/2020', '3', '12', '2020', '961', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '23.66950928');
INSERT INTO public.ecdc_import VALUES (30911, '02/12/2020', '2', '12', '2020', '551', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '23.66190096');
INSERT INTO public.ecdc_import VALUES (30912, '01/12/2020', '1', '12', '2020', '302', '17', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '24.37327965');
INSERT INTO public.ecdc_import VALUES (30913, '30/11/2020', '30', '11', '2020', '711', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '24.86211474');
INSERT INTO public.ecdc_import VALUES (30914, '29/11/2020', '29', '11', '2020', '949', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '25.35855816');
INSERT INTO public.ecdc_import VALUES (30915, '28/11/2020', '28', '11', '2020', '1554', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '25.60773091');
INSERT INTO public.ecdc_import VALUES (30916, '27/11/2020', '27', '11', '2020', '780', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '25.44795602');
INSERT INTO public.ecdc_import VALUES (30917, '26/11/2020', '26', '11', '2020', '810', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '28.02527723');
INSERT INTO public.ecdc_import VALUES (30918, '25/11/2020', '25', '11', '2020', '727', '17', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '26.48459075');
INSERT INTO public.ecdc_import VALUES (30919, '24/11/2020', '24', '11', '2020', '413', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.65817539');
INSERT INTO public.ecdc_import VALUES (30920, '23/11/2020', '23', '11', '2020', '968', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '28.31058954');
INSERT INTO public.ecdc_import VALUES (30921, '22/11/2020', '22', '11', '2020', '1211', '17', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.8369711');
INSERT INTO public.ecdc_import VALUES (30922, '21/11/2020', '21', '11', '2020', '1048', '19', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.55926712');
INSERT INTO public.ecdc_import VALUES (30923, '20/11/2020', '20', '11', '2020', '1459', '17', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.67529412');
INSERT INTO public.ecdc_import VALUES (30924, '19/11/2020', '19', '11', '2020', '957', '11', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '26.81745511');
INSERT INTO public.ecdc_import VALUES (30925, '18/11/2020', '18', '11', '2020', '925', '15', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.83887318');
INSERT INTO public.ecdc_import VALUES (30926, '17/11/2020', '17', '11', '2020', '559', '18', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.01527165');
INSERT INTO public.ecdc_import VALUES (30927, '16/11/2020', '16', '11', '2020', '972', '20', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.32911519');
INSERT INTO public.ecdc_import VALUES (30928, '15/11/2020', '15', '11', '2020', '1080', '21', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '26.78321763');
INSERT INTO public.ecdc_import VALUES (30929, '14/11/2020', '14', '11', '2020', '1470', '25', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '27.38237349');
INSERT INTO public.ecdc_import VALUES (30930, '13/11/2020', '13', '11', '2020', '2135', '49', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '26.8402801');
INSERT INTO public.ecdc_import VALUES (30931, '12/11/2020', '12', '11', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '24.22681933');
INSERT INTO public.ecdc_import VALUES (30932, '11/11/2020', '11', '11', '2020', '1344', '24', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '26.16313888');
INSERT INTO public.ecdc_import VALUES (30933, '10/11/2020', '10', '11', '2020', '756', '19', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '25.19688119');
INSERT INTO public.ecdc_import VALUES (30934, '09/11/2020', '9', '11', '2020', '719', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '24.28388179');
INSERT INTO public.ecdc_import VALUES (30935, '08/11/2020', '8', '11', '2020', '1065', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '24.68712319');
INSERT INTO public.ecdc_import VALUES (30936, '07/11/2020', '7', '11', '2020', '1109', '21', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '24.46267751');
INSERT INTO public.ecdc_import VALUES (30937, '06/11/2020', '6', '11', '2020', '1008', '21', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '23.55348228');
INSERT INTO public.ecdc_import VALUES (30938, '05/11/2020', '5', '11', '2020', '1494', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '23.6676072');
INSERT INTO public.ecdc_import VALUES (30939, '04/11/2020', '4', '11', '2020', '492', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '21.77123138');
INSERT INTO public.ecdc_import VALUES (30940, '03/11/2020', '3', '11', '2020', '724', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '21.92149586');
INSERT INTO public.ecdc_import VALUES (30941, '02/11/2020', '2', '11', '2020', '685', '17', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '20.91529445');
INSERT INTO public.ecdc_import VALUES (30942, '01/11/2020', '1', '11', '2020', '1395', '15', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '20.91529445');
INSERT INTO public.ecdc_import VALUES (30943, '31/10/2020', '31', '10', '2020', '1185', '17', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '19.43357251');
INSERT INTO public.ecdc_import VALUES (30944, '30/10/2020', '30', '10', '2020', '761', '30', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '18.01081512');
INSERT INTO public.ecdc_import VALUES (30945, '29/10/2020', '29', '10', '2020', '1018', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.70838408');
INSERT INTO public.ecdc_import VALUES (30946, '28/10/2020', '28', '10', '2020', '836', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.9209221');
INSERT INTO public.ecdc_import VALUES (30947, '27/10/2020', '27', '10', '2020', '276', '18', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '15.93564359');
INSERT INTO public.ecdc_import VALUES (30948, '26/10/2020', '26', '10', '2020', '931', '6', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '15.54952093');
INSERT INTO public.ecdc_import VALUES (30949, '25/10/2020', '25', '10', '2020', '947', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.51669036');
INSERT INTO public.ecdc_import VALUES (30950, '24/10/2020', '24', '10', '2020', '631', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '13.73873879');
INSERT INTO public.ecdc_import VALUES (30951, '23/10/2020', '23', '10', '2020', '1068', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '13.37924528');
INSERT INTO public.ecdc_import VALUES (30952, '22/10/2020', '22', '10', '2020', '497', '16', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '11.86328587');
INSERT INTO public.ecdc_import VALUES (30953, '21/10/2020', '21', '10', '2020', '571', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '11.52851943');
INSERT INTO public.ecdc_import VALUES (30954, '20/10/2020', '20', '10', '2020', '195', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '10.70301581');
INSERT INTO public.ecdc_import VALUES (30955, '19/10/2020', '19', '10', '2020', '685', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '10.37395561');
INSERT INTO public.ecdc_import VALUES (30956, '18/10/2020', '18', '10', '2020', '616', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '9.53323534');
INSERT INTO public.ecdc_import VALUES (30957, '17/10/2020', '17', '10', '2020', '437', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '8.8579962');
INSERT INTO public.ecdc_import VALUES (30958, '16/10/2020', '16', '10', '2020', '602', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '8.42622357');
INSERT INTO public.ecdc_import VALUES (30959, '15/10/2020', '15', '10', '2020', '604', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.63115327');
INSERT INTO public.ecdc_import VALUES (30960, '14/10/2020', '14', '10', '2020', '318', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.76951009');
INSERT INTO public.ecdc_import VALUES (30961, '13/10/2020', '13', '10', '2020', '73', '11', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.56408522');
INSERT INTO public.ecdc_import VALUES (30962, '12/10/2020', '12', '10', '2020', '388', '6', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.52604358');
INSERT INTO public.ecdc_import VALUES (30963, '11/10/2020', '11', '10', '2020', '538', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.25214377');
INSERT INTO public.ecdc_import VALUES (30964, '10/10/2020', '10', '10', '2020', '442', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.54076507');
INSERT INTO public.ecdc_import VALUES (30965, '09/10/2020', '9', '10', '2020', '271', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.11469869');
INSERT INTO public.ecdc_import VALUES (30966, '08/10/2020', '8', '10', '2020', '321', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.86742802');
INSERT INTO public.ecdc_import VALUES (30967, '07/10/2020', '7', '10', '2020', '137', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.50413034');
INSERT INTO public.ecdc_import VALUES (30968, '06/10/2020', '6', '10', '2020', '22', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.50793451');
INSERT INTO public.ecdc_import VALUES (30969, '05/10/2020', '5', '10', '2020', '243', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.65249274');
INSERT INTO public.ecdc_import VALUES (30970, '04/10/2020', '4', '10', '2020', '261', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.47940328');
INSERT INTO public.ecdc_import VALUES (30971, '03/10/2020', '3', '10', '2020', '210', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.18267847');
INSERT INTO public.ecdc_import VALUES (30972, '02/10/2020', '2', '10', '2020', '184', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.06474938');
INSERT INTO public.ecdc_import VALUES (30973, '01/10/2020', '1', '10', '2020', '151', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.23783885');
INSERT INTO public.ecdc_import VALUES (30974, '30/09/2020', '30', '9', '2020', '210', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.13322434');
INSERT INTO public.ecdc_import VALUES (30975, '29/09/2020', '29', '9', '2020', '53', '9', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.82508704');
INSERT INTO public.ecdc_import VALUES (30976, '28/09/2020', '28', '9', '2020', '244', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.72427669');
INSERT INTO public.ecdc_import VALUES (30977, '27/09/2020', '27', '9', '2020', '164', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.6177601');
INSERT INTO public.ecdc_import VALUES (30978, '26/09/2020', '26', '9', '2020', '218', '13', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.64058508');
INSERT INTO public.ecdc_import VALUES (30979, '25/09/2020', '25', '9', '2020', '141', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.58732678');
INSERT INTO public.ecdc_import VALUES (30980, '24/09/2020', '24', '9', '2020', '130', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.59113095');
INSERT INTO public.ecdc_import VALUES (30981, '23/09/2020', '23', '9', '2020', '139', '9', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.54167682');
INSERT INTO public.ecdc_import VALUES (30982, '22/09/2020', '22', '9', '2020', '98', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.5645018');
INSERT INTO public.ecdc_import VALUES (30983, '21/09/2020', '21', '9', '2020', '152', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.57211013');
INSERT INTO public.ecdc_import VALUES (30984, '20/09/2020', '20', '9', '2020', '105', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.44086647');
INSERT INTO public.ecdc_import VALUES (30985, '19/09/2020', '19', '9', '2020', '148', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.49983101');
INSERT INTO public.ecdc_import VALUES (30986, '18/09/2020', '18', '9', '2020', '275', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.55879555');
INSERT INTO public.ecdc_import VALUES (30987, '17/09/2020', '17', '9', '2020', '96', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.43896438');
INSERT INTO public.ecdc_import VALUES (30988, '16/09/2020', '16', '9', '2020', '48', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.59493511');
INSERT INTO public.ecdc_import VALUES (30989, '15/09/2020', '15', '9', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.72047253');
INSERT INTO public.ecdc_import VALUES (30990, '14/09/2020', '14', '9', '2020', '188', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.99437235');
INSERT INTO public.ecdc_import VALUES (30991, '13/09/2020', '13', '9', '2020', '176', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.1370285');
INSERT INTO public.ecdc_import VALUES (30992, '12/09/2020', '12', '9', '2020', '190', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.11420352');
INSERT INTO public.ecdc_import VALUES (30993, '11/09/2020', '11', '9', '2020', '143', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.2112097');
INSERT INTO public.ecdc_import VALUES (30994, '10/09/2020', '10', '9', '2020', '104', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.64868858');
INSERT INTO public.ecdc_import VALUES (30995, '09/09/2020', '9', '9', '2020', '151', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.85601553');
INSERT INTO public.ecdc_import VALUES (30996, '08/09/2020', '8', '9', '2020', '102', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.03671332');
INSERT INTO public.ecdc_import VALUES (30997, '07/09/2020', '7', '9', '2020', '83', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.20980279');
INSERT INTO public.ecdc_import VALUES (30998, '06/09/2020', '6', '9', '2020', '136', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.51984217');
INSERT INTO public.ecdc_import VALUES (30999, '05/09/2020', '5', '9', '2020', '179', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.93639814');
INSERT INTO public.ecdc_import VALUES (31000, '04/09/2020', '4', '9', '2020', '212', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.20839588');
INSERT INTO public.ecdc_import VALUES (31001, '03/09/2020', '3', '9', '2020', '178', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.61544144');
INSERT INTO public.ecdc_import VALUES (31002, '02/09/2020', '2', '9', '2020', '114', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.99775994');
INSERT INTO public.ecdc_import VALUES (31003, '01/09/2020', '1', '9', '2020', '144', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.29638682');
INSERT INTO public.ecdc_import VALUES (31004, '31/08/2020', '31', '8', '2020', '263', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.48849711');
INSERT INTO public.ecdc_import VALUES (31005, '30/08/2020', '30', '8', '2020', '164', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.50371377');
INSERT INTO public.ecdc_import VALUES (31006, '29/08/2020', '29', '8', '2020', '241', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '8.17134457');
INSERT INTO public.ecdc_import VALUES (31007, '28/08/2020', '28', '8', '2020', '373', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '8.8161504');
INSERT INTO public.ecdc_import VALUES (31008, '27/08/2020', '27', '8', '2020', '213', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '9.34302713');
INSERT INTO public.ecdc_import VALUES (31009, '26/08/2020', '26', '8', '2020', '246', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '10.22939737');
INSERT INTO public.ecdc_import VALUES (31010, '25/08/2020', '25', '8', '2020', '193', '6', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '10.70681997');
INSERT INTO public.ecdc_import VALUES (31011, '24/08/2020', '24', '8', '2020', '246', '6', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '11.27554251');
INSERT INTO public.ecdc_import VALUES (31012, '23/08/2020', '23', '8', '2020', '355', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '11.94697748');
INSERT INTO public.ecdc_import VALUES (31013, '22/08/2020', '22', '8', '2020', '322', '16', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '12.60129372');
INSERT INTO public.ecdc_import VALUES (31014, '21/08/2020', '21', '8', '2020', '426', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '13.37163695');
INSERT INTO public.ecdc_import VALUES (31015, '20/08/2020', '20', '8', '2020', '379', '19', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '13.58467015');
INSERT INTO public.ecdc_import VALUES (31016, '19/08/2020', '19', '8', '2020', '271', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.14007811');
INSERT INTO public.ecdc_import VALUES (31017, '18/08/2020', '18', '8', '2020', '245', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.77537352');
INSERT INTO public.ecdc_import VALUES (31018, '17/08/2020', '17', '8', '2020', '271', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '15.34409606');
INSERT INTO public.ecdc_import VALUES (31019, '16/08/2020', '16', '8', '2020', '515', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.14106845');
INSERT INTO public.ecdc_import VALUES (31020, '15/08/2020', '15', '8', '2020', '580', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.54430985');
INSERT INTO public.ecdc_import VALUES (31021, '14/08/2020', '14', '8', '2020', '650', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.81630758');
INSERT INTO public.ecdc_import VALUES (31022, '13/08/2020', '13', '8', '2020', '679', '18', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.07879491');
INSERT INTO public.ecdc_import VALUES (31023, '12/08/2020', '12', '8', '2020', '497', '15', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.82201383');
INSERT INTO public.ecdc_import VALUES (31024, '11/08/2020', '11', '8', '2020', '492', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.02934078');
INSERT INTO public.ecdc_import VALUES (31025, '10/08/2020', '10', '8', '2020', '599', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.80109093');
INSERT INTO public.ecdc_import VALUES (31026, '09/08/2020', '9', '8', '2020', '699', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.48774256');
INSERT INTO public.ecdc_import VALUES (31027, '08/08/2020', '8', '8', '2020', '727', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.87146796');
INSERT INTO public.ecdc_import VALUES (31028, '07/08/2020', '7', '8', '2020', '538', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.75734304');
INSERT INTO public.ecdc_import VALUES (31029, '06/08/2020', '6', '8', '2020', '671', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.24808021');
INSERT INTO public.ecdc_import VALUES (31030, '05/08/2020', '5', '8', '2020', '605', '6', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '17.18340942');
INSERT INTO public.ecdc_import VALUES (31031, '04/08/2020', '4', '8', '2020', '544', '13', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.78777635');
INSERT INTO public.ecdc_import VALUES (31032, '03/08/2020', '3', '8', '2020', '690', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.54811401');
INSERT INTO public.ecdc_import VALUES (31033, '02/08/2020', '2', '8', '2020', '727', '23', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.38263287');
INSERT INTO public.ecdc_import VALUES (31034, '01/08/2020', '1', '8', '2020', '723', '16', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '16.30845167');
INSERT INTO public.ecdc_import VALUES (31035, '31/07/2020', '31', '7', '2020', '788', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '15.67315626');
INSERT INTO public.ecdc_import VALUES (31036, '30/07/2020', '30', '7', '2020', '544', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.97509214');
INSERT INTO public.ecdc_import VALUES (31037, '29/07/2020', '29', '7', '2020', '606', '14', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.81721933');
INSERT INTO public.ecdc_import VALUES (31038, '28/07/2020', '28', '7', '2020', '372', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.60989238');
INSERT INTO public.ecdc_import VALUES (31039, '27/07/2020', '27', '7', '2020', '960', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '14.26181136');
INSERT INTO public.ecdc_import VALUES (31040, '26/07/2020', '26', '7', '2020', '375', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '13.15670168');
INSERT INTO public.ecdc_import VALUES (31041, '25/07/2020', '25', '7', '2020', '667', '11', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '12.97219972');
INSERT INTO public.ecdc_import VALUES (31042, '24/07/2020', '24', '7', '2020', '796', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '12.6031958');
INSERT INTO public.ecdc_import VALUES (31043, '23/07/2020', '23', '7', '2020', '637', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '11.93936916');
INSERT INTO public.ecdc_import VALUES (31044, '22/07/2020', '22', '7', '2020', '397', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '11.25652169');
INSERT INTO public.ecdc_import VALUES (31045, '21/07/2020', '21', '7', '2020', '418', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '10.84947613');
INSERT INTO public.ecdc_import VALUES (31046, '20/07/2020', '20', '7', '2020', '603', '9', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '10.39868268');
INSERT INTO public.ecdc_import VALUES (31047, '19/07/2020', '19', '7', '2020', '688', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '9.83947055');
INSERT INTO public.ecdc_import VALUES (31048, '18/07/2020', '18', '7', '2020', '389', '9', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '9.27074801');
INSERT INTO public.ecdc_import VALUES (31049, '17/07/2020', '17', '7', '2020', '421', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '9.00065236');
INSERT INTO public.ecdc_import VALUES (31050, '16/07/2020', '16', '7', '2020', '461', '7', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '8.7096338');
INSERT INTO public.ecdc_import VALUES (31051, '15/07/2020', '15', '7', '2020', '497', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '8.41671316');
INSERT INTO public.ecdc_import VALUES (31052, '14/07/2020', '14', '7', '2020', '189', '12', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.80614482');
INSERT INTO public.ecdc_import VALUES (31053, '13/07/2020', '13', '7', '2020', '379', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.67490115');
INSERT INTO public.ecdc_import VALUES (31054, '12/07/2020', '12', '7', '2020', '278', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.44665131');
INSERT INTO public.ecdc_import VALUES (31055, '11/07/2020', '11', '7', '2020', '473', '8', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '7.44665131');
INSERT INTO public.ecdc_import VALUES (31056, '10/07/2020', '10', '7', '2020', '447', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.83037671');
INSERT INTO public.ecdc_import VALUES (31057, '09/07/2020', '9', '7', '2020', '278', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.31871664');
INSERT INTO public.ecdc_import VALUES (31058, '08/07/2020', '8', '7', '2020', '183', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.27306667');
INSERT INTO public.ecdc_import VALUES (31059, '07/07/2020', '7', '7', '2020', '181', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '6.21980837');
INSERT INTO public.ecdc_import VALUES (31060, '06/07/2020', '6', '7', '2020', '309', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.98775436');
INSERT INTO public.ecdc_import VALUES (31061, '05/07/2020', '5', '7', '2020', '389', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.89455234');
INSERT INTO public.ecdc_import VALUES (31062, '04/07/2020', '4', '7', '2020', '247', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.35245895');
INSERT INTO public.ecdc_import VALUES (31063, '03/07/2020', '3', '7', '2020', '268', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.10518828');
INSERT INTO public.ecdc_import VALUES (31064, '02/07/2020', '2', '7', '2020', '307', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '5.00057376');
INSERT INTO public.ecdc_import VALUES (31065, '01/07/2020', '1', '7', '2020', '176', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.76661767');
INSERT INTO public.ecdc_import VALUES (31066, '30/06/2020', '30', '6', '2020', '120', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.68482814');
INSERT INTO public.ecdc_import VALUES (31067, '29/06/2020', '29', '6', '2020', '259', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.70955521');
INSERT INTO public.ecdc_import VALUES (31068, '28/06/2020', '28', '6', '2020', '278', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.47750119');
INSERT INTO public.ecdc_import VALUES (31069, '27/06/2020', '27', '6', '2020', '149', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.23783885');
INSERT INTO public.ecdc_import VALUES (31070, '26/06/2020', '26', '6', '2020', '178', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.12561601');
INSERT INTO public.ecdc_import VALUES (31071, '25/06/2020', '25', '6', '2020', '254', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '4.01719733');
INSERT INTO public.ecdc_import VALUES (31072, '24/06/2020', '24', '6', '2020', '155', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.7337871');
INSERT INTO public.ecdc_import VALUES (31073, '23/06/2020', '23', '6', '2020', '59', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.68052881');
INSERT INTO public.ecdc_import VALUES (31074, '22/06/2020', '22', '6', '2020', '260', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.74900376');
INSERT INTO public.ecdc_import VALUES (31075, '21/06/2020', '21', '6', '2020', '104', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.57211013');
INSERT INTO public.ecdc_import VALUES (31076, '20/06/2020', '20', '6', '2020', '117', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.61395593');
INSERT INTO public.ecdc_import VALUES (31077, '19/06/2020', '19', '6', '2020', '213', '10', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.64629133');
INSERT INTO public.ecdc_import VALUES (31078, '18/06/2020', '18', '6', '2020', '184', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.47700602');
INSERT INTO public.ecdc_import VALUES (31079, '17/06/2020', '17', '6', '2020', '133', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.36097902');
INSERT INTO public.ecdc_import VALUES (31080, '16/06/2020', '16', '6', '2020', '133', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.24495201');
INSERT INTO public.ecdc_import VALUES (31081, '15/06/2020', '15', '6', '2020', '137', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.10419794');
INSERT INTO public.ecdc_import VALUES (31082, '14/06/2020', '14', '6', '2020', '152', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.98436677');
INSERT INTO public.ecdc_import VALUES (31083, '13/06/2020', '13', '6', '2020', '90', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.96724803');
INSERT INTO public.ecdc_import VALUES (31084, '12/06/2020', '12', '6', '2020', '121', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.03762507');
INSERT INTO public.ecdc_import VALUES (31085, '11/06/2020', '11', '6', '2020', '105', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.0870792');
INSERT INTO public.ecdc_import VALUES (31086, '10/06/2020', '10', '6', '2020', '127', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '3.12131668');
INSERT INTO public.ecdc_import VALUES (31087, '09/06/2020', '9', '6', '2020', '95', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.99768134');
INSERT INTO public.ecdc_import VALUES (31088, '08/06/2020', '8', '6', '2020', '167', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.95393346');
INSERT INTO public.ecdc_import VALUES (31089, '07/06/2020', '7', '6', '2020', '126', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.67813156');
INSERT INTO public.ecdc_import VALUES (31090, '06/06/2020', '6', '6', '2020', '134', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.49743376');
INSERT INTO public.ecdc_import VALUES (31091, '05/06/2020', '5', '6', '2020', '124', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.34146303');
INSERT INTO public.ecdc_import VALUES (31092, '04/06/2020', '4', '6', '2020', '123', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.25777142');
INSERT INTO public.ecdc_import VALUES (31093, '03/06/2020', '3', '6', '2020', '72', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.14935274');
INSERT INTO public.ecdc_import VALUES (31094, '02/06/2020', '2', '6', '2020', '59', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.10940902');
INSERT INTO public.ecdc_import VALUES (31095, '01/06/2020', '1', '6', '2020', '74', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.04473823');
INSERT INTO public.ecdc_import VALUES (31096, '31/05/2020', '31', '5', '2020', '143', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '2.01240283');
INSERT INTO public.ecdc_import VALUES (31097, '30/05/2020', '30', '5', '2020', '127', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.83360712');
INSERT INTO public.ecdc_import VALUES (31098, '29/05/2020', '29', '5', '2020', '147', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.63579058');
INSERT INTO public.ecdc_import VALUES (31099, '28/05/2020', '28', '5', '2020', '123', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.39612824');
INSERT INTO public.ecdc_import VALUES (31100, '27/05/2020', '27', '5', '2020', '62', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.20401795');
INSERT INTO public.ecdc_import VALUES (31101, '26/05/2020', '26', '5', '2020', '72', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.11462009');
INSERT INTO public.ecdc_import VALUES (31102, '25/05/2020', '25', '5', '2020', '22', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.03092848');
INSERT INTO public.ecdc_import VALUES (31103, '24/05/2020', '24', '5', '2020', '31', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.03283056');
INSERT INTO public.ecdc_import VALUES (31104, '23/05/2020', '23', '5', '2020', '52', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '1.02712432');
INSERT INTO public.ecdc_import VALUES (31105, '22/05/2020', '22', '5', '2020', '80', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.9548452');
INSERT INTO public.ecdc_import VALUES (31106, '21/05/2020', '21', '5', '2020', '66', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.85023069');
INSERT INTO public.ecdc_import VALUES (31107, '20/05/2020', '20', '5', '2020', '51', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.81409113');
INSERT INTO public.ecdc_import VALUES (31108, '19/05/2020', '19', '5', '2020', '25', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.80267863');
INSERT INTO public.ecdc_import VALUES (31109, '18/05/2020', '18', '5', '2020', '57', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.80267863');
INSERT INTO public.ecdc_import VALUES (31110, '17/05/2020', '17', '5', '2020', '49', '5', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.75132242');
INSERT INTO public.ecdc_import VALUES (31111, '16/05/2020', '16', '5', '2020', '23', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.70377037');
INSERT INTO public.ecdc_import VALUES (31112, '15/05/2020', '15', '5', '2020', '21', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.68855371');
INSERT INTO public.ecdc_import VALUES (31113, '14/05/2020', '14', '5', '2020', '22', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.67143497');
INSERT INTO public.ecdc_import VALUES (31114, '13/05/2020', '13', '5', '2020', '15', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.64860999');
INSERT INTO public.ecdc_import VALUES (31115, '12/05/2020', '12', '5', '2020', '28', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.64100166');
INSERT INTO public.ecdc_import VALUES (31116, '11/05/2020', '11', '5', '2020', '23', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.60296002');
INSERT INTO public.ecdc_import VALUES (31117, '10/05/2020', '10', '5', '2020', '28', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.58203711');
INSERT INTO public.ecdc_import VALUES (31118, '09/05/2020', '9', '5', '2020', '14', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.54209339');
INSERT INTO public.ecdc_import VALUES (31119, '08/05/2020', '8', '5', '2020', '25', '3', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.54589755');
INSERT INTO public.ecdc_import VALUES (31120, '07/05/2020', '7', '5', '2020', '47', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.5306809');
INSERT INTO public.ecdc_import VALUES (31121, '06/05/2020', '6', '5', '2020', '45', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.48312885');
INSERT INTO public.ecdc_import VALUES (31122, '05/05/2020', '5', '5', '2020', '25', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.39753515');
INSERT INTO public.ecdc_import VALUES (31123, '04/05/2020', '4', '5', '2020', '30', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.370906');
INSERT INTO public.ecdc_import VALUES (31124, '03/05/2020', '3', '5', '2020', '24', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.3290602');
INSERT INTO public.ecdc_import VALUES (31125, '02/05/2020', '2', '5', '2020', '15', '4', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.31384354');
INSERT INTO public.ecdc_import VALUES (31126, '01/05/2020', '1', '5', '2020', '12', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.3081373');
INSERT INTO public.ecdc_import VALUES (31127, '30/04/2020', '30', '4', '2020', '10', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.30243105');
INSERT INTO public.ecdc_import VALUES (31128, '29/04/2020', '29', '4', '2020', '11', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.30052897');
INSERT INTO public.ecdc_import VALUES (31129, '28/04/2020', '28', '4', '2020', '8', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.29482272');
INSERT INTO public.ecdc_import VALUES (31130, '27/04/2020', '27', '4', '2020', '12', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.30052897');
INSERT INTO public.ecdc_import VALUES (31131, '26/04/2020', '26', '4', '2020', '7', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.28911647');
INSERT INTO public.ecdc_import VALUES (31132, '25/04/2020', '25', '4', '2020', '16', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.27960606');
INSERT INTO public.ecdc_import VALUES (31133, '24/04/2020', '24', '4', '2020', '17', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.25868316');
INSERT INTO public.ecdc_import VALUES (31134, '23/04/2020', '23', '4', '2020', '22', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.23585818');
INSERT INTO public.ecdc_import VALUES (31135, '22/04/2020', '22', '4', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.20732695');
INSERT INTO public.ecdc_import VALUES (31136, '21/04/2020', '21', '4', '2020', '11', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.23395609');
INSERT INTO public.ecdc_import VALUES (31137, '20/04/2020', '20', '4', '2020', '8', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.24346651');
INSERT INTO public.ecdc_import VALUES (31138, '19/04/2020', '19', '4', '2020', '16', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.25868316');
INSERT INTO public.ecdc_import VALUES (31139, '18/04/2020', '18', '4', '2020', '12', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.23585818');
INSERT INTO public.ecdc_import VALUES (31140, '17/04/2020', '17', '4', '2020', '9', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.23585818');
INSERT INTO public.ecdc_import VALUES (31141, '16/04/2020', '16', '4', '2020', '9', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.27389982');
INSERT INTO public.ecdc_import VALUES (31142, '15/04/2020', '15', '4', '2020', '8', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.29862689');
INSERT INTO public.ecdc_import VALUES (31143, '14/04/2020', '14', '4', '2020', '11', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.30052897');
INSERT INTO public.ecdc_import VALUES (31144, '13/04/2020', '13', '4', '2020', '6', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.29482272');
INSERT INTO public.ecdc_import VALUES (31145, '12/04/2020', '12', '4', '2020', '2', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.29101856');
INSERT INTO public.ecdc_import VALUES (31146, '11/04/2020', '11', '4', '2020', '5', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.30052897');
INSERT INTO public.ecdc_import VALUES (31147, '10/04/2020', '10', '4', '2020', '5', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.29101856');
INSERT INTO public.ecdc_import VALUES (31148, '09/04/2020', '9', '4', '2020', '7', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.29292064');
INSERT INTO public.ecdc_import VALUES (31149, '08/04/2020', '8', '4', '2020', '14', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.27960606');
INSERT INTO public.ecdc_import VALUES (31150, '07/04/2020', '7', '4', '2020', '16', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.27009565');
INSERT INTO public.ecdc_import VALUES (31151, '06/04/2020', '6', '4', '2020', '16', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.24156442');
INSERT INTO public.ecdc_import VALUES (31152, '05/04/2020', '5', '4', '2020', '4', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.22634777');
INSERT INTO public.ecdc_import VALUES (31153, '04/04/2020', '4', '4', '2020', '12', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.21873944');
INSERT INTO public.ecdc_import VALUES (31154, '03/04/2020', '3', '4', '2020', '29', '2', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.19591445');
INSERT INTO public.ecdc_import VALUES (31155, '02/04/2020', '2', '4', '2020', '22', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.14075407');
INSERT INTO public.ecdc_import VALUES (31156, '01/04/2020', '1', '4', '2020', '9', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.10461451');
INSERT INTO public.ecdc_import VALUES (31157, '31/03/2020', '31', '3', '2020', '8', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.08939786');
INSERT INTO public.ecdc_import VALUES (31158, '30/03/2020', '30', '3', '2020', '4', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.0741812');
INSERT INTO public.ecdc_import VALUES (31159, '29/03/2020', '29', '3', '2020', '7', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.07037704');
INSERT INTO public.ecdc_import VALUES (31160, '28/03/2020', '28', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.05706246');
INSERT INTO public.ecdc_import VALUES (31161, '27/03/2020', '27', '3', '2020', '6', '1', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '0.05896454');
INSERT INTO public.ecdc_import VALUES (31162, '26/03/2020', '26', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31163, '25/03/2020', '25', '3', '2020', '9', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31164, '24/03/2020', '24', '3', '2020', '1', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31165, '23/03/2020', '23', '3', '2020', '8', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31166, '22/03/2020', '22', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31167, '21/03/2020', '21', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31168, '20/03/2020', '20', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31169, '19/03/2020', '19', '3', '2020', '3', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31170, '18/03/2020', '18', '3', '2020', '1', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31171, '17/03/2020', '17', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31172, '16/03/2020', '16', '3', '2020', '2', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31173, '15/03/2020', '15', '3', '2020', '0', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31174, '14/03/2020', '14', '3', '2020', '1', '0', '52573967', 'Kenya', 'KE', 'KEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (31175, '14/12/2020', '14', '12', '2020', '462', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '418.29162649');
INSERT INTO public.ecdc_import VALUES (31176, '13/12/2020', '13', '12', '2020', '524', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '427.41030611');
INSERT INTO public.ecdc_import VALUES (31177, '12/12/2020', '12', '12', '2020', '590', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '433.80450218');
INSERT INTO public.ecdc_import VALUES (31178, '11/12/2020', '11', '12', '2020', '562', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '443.47919885');
INSERT INTO public.ecdc_import VALUES (31179, '10/12/2020', '10', '12', '2020', '561', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '455.322362');
INSERT INTO public.ecdc_import VALUES (31180, '09/12/2020', '9', '12', '2020', '557', '17', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '463.27340582');
INSERT INTO public.ecdc_import VALUES (31181, '08/12/2020', '8', '12', '2020', '519', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '466.16469447');
INSERT INTO public.ecdc_import VALUES (31182, '07/12/2020', '7', '12', '2020', '468', '19', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '473.1705093');
INSERT INTO public.ecdc_import VALUES (31183, '06/12/2020', '6', '12', '2020', '560', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '486.45931679');
INSERT INTO public.ecdc_import VALUES (31184, '05/12/2020', '5', '12', '2020', '478', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '494.85517424');
INSERT INTO public.ecdc_import VALUES (31185, '04/12/2020', '4', '12', '2020', '627', '22', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '515.81701701');
INSERT INTO public.ecdc_import VALUES (31186, '03/12/2020', '3', '12', '2020', '555', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '525.82532391');
INSERT INTO public.ecdc_import VALUES (31187, '02/12/2020', '2', '12', '2020', '521', '10', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '534.99960523');
INSERT INTO public.ecdc_import VALUES (31188, '01/12/2020', '1', '12', '2020', '539', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '544.39629337');
INSERT INTO public.ecdc_import VALUES (31189, '30/11/2020', '30', '11', '2020', '626', '16', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '552.68094741');
INSERT INTO public.ecdc_import VALUES (31190, '29/11/2020', '29', '11', '2020', '639', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '545.73073429');
INSERT INTO public.ecdc_import VALUES (31191, '28/11/2020', '28', '11', '2020', '764', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '552.73654911');
INSERT INTO public.ecdc_import VALUES (31192, '27/11/2020', '27', '11', '2020', '775', '15', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '563.8012884');
INSERT INTO public.ecdc_import VALUES (31193, '26/11/2020', '26', '11', '2020', '704', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '563.35647476');
INSERT INTO public.ecdc_import VALUES (31194, '25/11/2020', '25', '11', '2020', '609', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '564.96892421');
INSERT INTO public.ecdc_import VALUES (31195, '24/11/2020', '24', '11', '2020', '645', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '564.24610204');
INSERT INTO public.ecdc_import VALUES (31196, '23/11/2020', '23', '11', '2020', '707', '10', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '563.8012884');
INSERT INTO public.ecdc_import VALUES (31197, '22/11/2020', '22', '11', '2020', '711', '19', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '565.08012762');
INSERT INTO public.ecdc_import VALUES (31198, '21/11/2020', '21', '11', '2020', '855', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '552.84775252');
INSERT INTO public.ecdc_import VALUES (31199, '20/11/2020', '20', '11', '2020', '807', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '545.78633599');
INSERT INTO public.ecdc_import VALUES (31200, '19/11/2020', '19', '11', '2020', '720', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '537.66848707');
INSERT INTO public.ecdc_import VALUES (31201, '18/11/2020', '18', '11', '2020', '690', '16', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '527.9937904');
INSERT INTO public.ecdc_import VALUES (31202, '17/11/2020', '17', '11', '2020', '688', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '508.75560048');
INSERT INTO public.ecdc_import VALUES (31203, '16/11/2020', '16', '11', '2020', '501', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '496.96803903');
INSERT INTO public.ecdc_import VALUES (31204, '15/11/2020', '15', '11', '2020', '765', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '487.84935941');
INSERT INTO public.ecdc_import VALUES (31205, '14/11/2020', '14', '11', '2020', '963', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '473.89333147');
INSERT INTO public.ecdc_import VALUES (31206, '13/11/2020', '13', '11', '2020', '767', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '443.59040226');
INSERT INTO public.ecdc_import VALUES (31207, '12/11/2020', '12', '11', '2020', '733', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '416.73477876');
INSERT INTO public.ecdc_import VALUES (31208, '11/11/2020', '11', '11', '2020', '596', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '391.60280811');
INSERT INTO public.ecdc_import VALUES (31209, '10/11/2020', '10', '11', '2020', '637', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '369.41772783');
INSERT INTO public.ecdc_import VALUES (31210, '09/11/2020', '9', '11', '2020', '730', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '345.39779128');
INSERT INTO public.ecdc_import VALUES (31211, '08/11/2020', '8', '11', '2020', '491', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '315.15046377');
INSERT INTO public.ecdc_import VALUES (31212, '07/11/2020', '7', '11', '2020', '728', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '297.07990966');
INSERT INTO public.ecdc_import VALUES (31213, '06/11/2020', '6', '11', '2020', '661', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '265.99855658');
INSERT INTO public.ecdc_import VALUES (31214, '05/11/2020', '5', '11', '2020', '546', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '238.08650068');
INSERT INTO public.ecdc_import VALUES (31215, '04/11/2020', '4', '11', '2020', '344', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '214.62258119');
INSERT INTO public.ecdc_import VALUES (31216, '03/11/2020', '3', '11', '2020', '476', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '202.72381632');
INSERT INTO public.ecdc_import VALUES (31217, '02/11/2020', '2', '11', '2020', '337', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '182.81840594');
INSERT INTO public.ecdc_import VALUES (31218, '01/11/2020', '1', '11', '2020', '514', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '171.69806495');
INSERT INTO public.ecdc_import VALUES (31219, '31/10/2020', '31', '10', '2020', '418', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '151.34784093');
INSERT INTO public.ecdc_import VALUES (31220, '30/10/2020', '30', '10', '2020', '284', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '133.88890557');
INSERT INTO public.ecdc_import VALUES (31221, '29/10/2020', '29', '10', '2020', '281', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '122.37935264');
INSERT INTO public.ecdc_import VALUES (31222, '28/10/2020', '28', '10', '2020', '197', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '111.20340994');
INSERT INTO public.ecdc_import VALUES (31223, '27/10/2020', '27', '10', '2020', '205', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '105.69884115');
INSERT INTO public.ecdc_import VALUES (31224, '26/10/2020', '26', '10', '2020', '186', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '98.08140757');
INSERT INTO public.ecdc_import VALUES (31225, '25/10/2020', '25', '10', '2020', '166', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '90.46397399');
INSERT INTO public.ecdc_import VALUES (31226, '24/10/2020', '24', '10', '2020', '169', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '85.68222736');
INSERT INTO public.ecdc_import VALUES (31227, '23/10/2020', '23', '10', '2020', '159', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '80.67807391');
INSERT INTO public.ecdc_import VALUES (31228, '22/10/2020', '22', '10', '2020', '124', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '73.67225909');
INSERT INTO public.ecdc_import VALUES (31229, '21/10/2020', '21', '10', '2020', '130', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '69.50213121');
INSERT INTO public.ecdc_import VALUES (31230, '20/10/2020', '20', '10', '2020', '118', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '66.44403744');
INSERT INTO public.ecdc_import VALUES (31231, '19/10/2020', '19', '10', '2020', '137', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '59.88303625');
INSERT INTO public.ecdc_import VALUES (31232, '18/10/2020', '18', '10', '2020', '148', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '55.37929815');
INSERT INTO public.ecdc_import VALUES (31233, '17/10/2020', '17', '10', '2020', '104', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '50.20833959');
INSERT INTO public.ecdc_import VALUES (31234, '16/10/2020', '16', '10', '2020', '77', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '46.64983047');
INSERT INTO public.ecdc_import VALUES (31235, '15/10/2020', '15', '10', '2020', '80', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '44.7593725');
INSERT INTO public.ecdc_import VALUES (31236, '14/10/2020', '14', '10', '2020', '98', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '42.86891453');
INSERT INTO public.ecdc_import VALUES (31237, '13/10/2020', '13', '10', '2020', '68', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '40.42243951');
INSERT INTO public.ecdc_import VALUES (31238, '12/10/2020', '12', '10', '2020', '49', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '39.31040541');
INSERT INTO public.ecdc_import VALUES (31239, '11/10/2020', '11', '10', '2020', '80', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '39.199202');
INSERT INTO public.ecdc_import VALUES (31240, '10/10/2020', '10', '10', '2020', '79', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '37.30874404');
INSERT INTO public.ecdc_import VALUES (31241, '09/10/2020', '9', '10', '2020', '33', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '35.47388777');
INSERT INTO public.ecdc_import VALUES (31242, '08/10/2020', '8', '10', '2020', '49', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '37.14193892');
INSERT INTO public.ecdc_import VALUES (31243, '07/10/2020', '7', '10', '2020', '75', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '37.86476109');
INSERT INTO public.ecdc_import VALUES (31244, '06/10/2020', '6', '10', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '37.36434574');
INSERT INTO public.ecdc_import VALUES (31245, '05/10/2020', '5', '10', '2020', '56', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '41.75688043');
INSERT INTO public.ecdc_import VALUES (31246, '04/10/2020', '4', '10', '2020', '55', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '42.03488896');
INSERT INTO public.ecdc_import VALUES (31247, '03/10/2020', '3', '10', '2020', '40', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '42.4797026');
INSERT INTO public.ecdc_import VALUES (31248, '02/10/2020', '2', '10', '2020', '43', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '43.42493158');
INSERT INTO public.ecdc_import VALUES (31249, '01/10/2020', '1', '10', '2020', '46', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '43.42493158');
INSERT INTO public.ecdc_import VALUES (31250, '30/09/2020', '30', '9', '2020', '54', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '45.09298273');
INSERT INTO public.ecdc_import VALUES (31251, '29/09/2020', '29', '9', '2020', '48', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '46.03821172');
INSERT INTO public.ecdc_import VALUES (31252, '28/09/2020', '28', '9', '2020', '47', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '46.42742365');
INSERT INTO public.ecdc_import VALUES (31253, '27/09/2020', '27', '9', '2020', '46', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '47.76186457');
INSERT INTO public.ecdc_import VALUES (31254, '26/09/2020', '26', '9', '2020', '46', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '49.09630549');
INSERT INTO public.ecdc_import VALUES (31255, '25/09/2020', '25', '9', '2020', '63', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '49.31871231');
INSERT INTO public.ecdc_import VALUES (31256, '24/09/2020', '24', '9', '2020', '62', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '49.65232254');
INSERT INTO public.ecdc_import VALUES (31257, '23/09/2020', '23', '9', '2020', '66', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '50.43074641');
INSERT INTO public.ecdc_import VALUES (31258, '22/09/2020', '22', '9', '2020', '79', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '52.15439926');
INSERT INTO public.ecdc_import VALUES (31259, '21/09/2020', '21', '9', '2020', '61', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '52.48800949');
INSERT INTO public.ecdc_import VALUES (31260, '20/09/2020', '20', '9', '2020', '63', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '54.21166235');
INSERT INTO public.ecdc_import VALUES (31261, '19/09/2020', '19', '9', '2020', '57', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '57.21415441');
INSERT INTO public.ecdc_import VALUES (31262, '18/09/2020', '18', '9', '2020', '43', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '60.66146012');
INSERT INTO public.ecdc_import VALUES (31263, '17/09/2020', '17', '9', '2020', '76', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '62.6075198');
INSERT INTO public.ecdc_import VALUES (31264, '16/09/2020', '16', '9', '2020', '71', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '64.60918118');
INSERT INTO public.ecdc_import VALUES (31265, '15/09/2020', '15', '9', '2020', '55', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '68.83491075');
INSERT INTO public.ecdc_import VALUES (31266, '14/09/2020', '14', '9', '2020', '71', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '72.44902158');
INSERT INTO public.ecdc_import VALUES (31267, '13/09/2020', '13', '9', '2020', '70', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '75.11790342');
INSERT INTO public.ecdc_import VALUES (31268, '12/09/2020', '12', '9', '2020', '50', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '77.61998014');
INSERT INTO public.ecdc_import VALUES (31269, '11/09/2020', '11', '9', '2020', '69', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '81.45649778');
INSERT INTO public.ecdc_import VALUES (31270, '10/09/2020', '10', '9', '2020', '76', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '85.45982054');
INSERT INTO public.ecdc_import VALUES (31271, '09/09/2020', '9', '9', '2020', '97', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '89.96355864');
INSERT INTO public.ecdc_import VALUES (31272, '08/09/2020', '8', '9', '2020', '85', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '92.13202514');
INSERT INTO public.ecdc_import VALUES (31273, '07/09/2020', '7', '9', '2020', '92', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '92.91044901');
INSERT INTO public.ecdc_import VALUES (31274, '06/09/2020', '6', '9', '2020', '117', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '93.9668814');
INSERT INTO public.ecdc_import VALUES (31275, '05/09/2020', '5', '9', '2020', '119', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '96.85817006');
INSERT INTO public.ecdc_import VALUES (31276, '04/09/2020', '4', '9', '2020', '78', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '99.24904337');
INSERT INTO public.ecdc_import VALUES (31277, '03/09/2020', '3', '9', '2020', '112', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '103.69717977');
INSERT INTO public.ecdc_import VALUES (31278, '02/09/2020', '2', '9', '2020', '147', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '106.47726502');
INSERT INTO public.ecdc_import VALUES (31279, '01/09/2020', '1', '9', '2020', '120', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '106.14365479');
INSERT INTO public.ecdc_import VALUES (31280, '31/08/2020', '31', '8', '2020', '119', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '106.64407013');
INSERT INTO public.ecdc_import VALUES (31281, '30/08/2020', '30', '8', '2020', '115', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '107.86730764');
INSERT INTO public.ecdc_import VALUES (31282, '29/08/2020', '29', '8', '2020', '119', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '109.53535879');
INSERT INTO public.ecdc_import VALUES (31283, '28/08/2020', '28', '8', '2020', '141', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '110.81419801');
INSERT INTO public.ecdc_import VALUES (31284, '27/08/2020', '27', '8', '2020', '157', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '113.70548667');
INSERT INTO public.ecdc_import VALUES (31285, '26/08/2020', '26', '8', '2020', '136', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '116.3743685');
INSERT INTO public.ecdc_import VALUES (31286, '25/08/2020', '25', '8', '2020', '99', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '118.32042818');
INSERT INTO public.ecdc_import VALUES (31287, '24/08/2020', '24', '8', '2020', '111', '10', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '122.37935264');
INSERT INTO public.ecdc_import VALUES (31288, '23/08/2020', '23', '8', '2020', '169', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '126.66068392');
INSERT INTO public.ecdc_import VALUES (31289, '22/08/2020', '22', '8', '2020', '162', '10', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '127.82831973');
INSERT INTO public.ecdc_import VALUES (31290, '21/08/2020', '21', '8', '2020', '158', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '128.88475212');
INSERT INTO public.ecdc_import VALUES (31291, '20/08/2020', '20', '8', '2020', '162', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '130.99761691');
INSERT INTO public.ecdc_import VALUES (31292, '19/08/2020', '19', '8', '2020', '141', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '134.11131239');
INSERT INTO public.ecdc_import VALUES (31293, '18/08/2020', '18', '8', '2020', '129', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '138.78185561');
INSERT INTO public.ecdc_import VALUES (31294, '17/08/2020', '17', '8', '2020', '141', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '145.50966191');
INSERT INTO public.ecdc_import VALUES (31295, '16/08/2020', '16', '8', '2020', '145', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '151.29223923');
INSERT INTO public.ecdc_import VALUES (31296, '15/08/2020', '15', '8', '2020', '142', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '155.68477392');
INSERT INTO public.ecdc_import VALUES (31297, '14/08/2020', '14', '8', '2020', '193', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '160.35531714');
INSERT INTO public.ecdc_import VALUES (31298, '13/08/2020', '13', '8', '2020', '205', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '163.96942796');
INSERT INTO public.ecdc_import VALUES (31299, '12/08/2020', '12', '8', '2020', '171', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '163.3578092');
INSERT INTO public.ecdc_import VALUES (31300, '11/08/2020', '11', '8', '2020', '172', '14', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '167.13872514');
INSERT INTO public.ecdc_import VALUES (31301, '10/08/2020', '10', '8', '2020', '188', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '185.15367755');
INSERT INTO public.ecdc_import VALUES (31302, '09/08/2020', '9', '8', '2020', '190', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '174.70055702');
INSERT INTO public.ecdc_import VALUES (31303, '08/08/2020', '8', '8', '2020', '181', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '177.31383715');
INSERT INTO public.ecdc_import VALUES (31304, '07/08/2020', '7', '8', '2020', '196', '16', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '179.09309171');
INSERT INTO public.ecdc_import VALUES (31305, '06/08/2020', '6', '8', '2020', '218', '-12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '178.25906614');
INSERT INTO public.ecdc_import VALUES (31306, '05/08/2020', '5', '8', '2020', '225', '40', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '188.87899179');
INSERT INTO public.ecdc_import VALUES (31307, '04/08/2020', '4', '8', '2020', '250', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '176.36860817');
INSERT INTO public.ecdc_import VALUES (31308, '03/08/2020', '3', '8', '2020', '245', '13', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '170.36362403');
INSERT INTO public.ecdc_import VALUES (31309, '02/08/2020', '2', '8', '2020', '224', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '163.3022075');
INSERT INTO public.ecdc_import VALUES (31310, '01/08/2020', '1', '8', '2020', '226', '15', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '158.90967281');
INSERT INTO public.ecdc_import VALUES (31311, '31/07/2020', '31', '7', '2020', '258', '16', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '159.41008815');
INSERT INTO public.ecdc_import VALUES (31312, '30/07/2020', '30', '7', '2020', '194', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '145.06484827');
INSERT INTO public.ecdc_import VALUES (31313, '29/07/2020', '29', '7', '2020', '239', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '140.8947204');
INSERT INTO public.ecdc_import VALUES (31314, '28/07/2020', '28', '7', '2020', '496', '16', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '127.60591291');
INSERT INTO public.ecdc_import VALUES (31315, '27/07/2020', '27', '7', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '110.42498607');
INSERT INTO public.ecdc_import VALUES (31316, '26/07/2020', '26', '7', '2020', '237', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '122.43495435');
INSERT INTO public.ecdc_import VALUES (31317, '25/07/2020', '25', '7', '2020', '213', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '131.9428459');
INSERT INTO public.ecdc_import VALUES (31318, '24/07/2020', '24', '7', '2020', '181', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '131.60923567');
INSERT INTO public.ecdc_import VALUES (31319, '23/07/2020', '23', '7', '2020', '409', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '133.44409193');
INSERT INTO public.ecdc_import VALUES (31320, '22/07/2020', '22', '7', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '120.87810661');
INSERT INTO public.ecdc_import VALUES (31321, '21/07/2020', '21', '7', '2020', '142', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '131.72043908');
INSERT INTO public.ecdc_import VALUES (31322, '20/07/2020', '20', '7', '2020', '118', '5', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '132.27645613');
INSERT INTO public.ecdc_import VALUES (31323, '19/07/2020', '19', '7', '2020', '145', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '141.95115279');
INSERT INTO public.ecdc_import VALUES (31324, '18/07/2020', '18', '7', '2020', '235', '12', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '133.88890557');
INSERT INTO public.ecdc_import VALUES (31325, '17/07/2020', '17', '7', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '120.8225049');
INSERT INTO public.ecdc_import VALUES (31326, '16/07/2020', '16', '7', '2020', '119', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '124.88142936');
INSERT INTO public.ecdc_import VALUES (31327, '15/07/2020', '15', '7', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '124.54781913');
INSERT INTO public.ecdc_import VALUES (31328, '14/07/2020', '14', '7', '2020', '187', '6', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '128.94035383');
INSERT INTO public.ecdc_import VALUES (31329, '13/07/2020', '13', '7', '2020', '216', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '125.326243');
INSERT INTO public.ecdc_import VALUES (31330, '12/07/2020', '12', '7', '2020', '408', '7', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '118.15362306');
INSERT INTO public.ecdc_import VALUES (31331, '11/07/2020', '11', '7', '2020', '207', '8', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '100.80589111');
INSERT INTO public.ecdc_import VALUES (31332, '10/07/2020', '10', '7', '2020', '214', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '92.74364389');
INSERT INTO public.ecdc_import VALUES (31333, '09/07/2020', '9', '7', '2020', '183', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '84.68139667');
INSERT INTO public.ecdc_import VALUES (31334, '08/07/2020', '8', '7', '2020', '195', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '79.78844663');
INSERT INTO public.ecdc_import VALUES (31335, '07/07/2020', '7', '7', '2020', '152', '9', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '71.83740282');
INSERT INTO public.ecdc_import VALUES (31336, '06/07/2020', '6', '7', '2020', '292', '11', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '65.9992238');
INSERT INTO public.ecdc_import VALUES (31337, '05/07/2020', '5', '7', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '55.10128963');
INSERT INTO public.ecdc_import VALUES (31338, '04/07/2020', '4', '7', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '59.2714175');
INSERT INTO public.ecdc_import VALUES (31339, '03/07/2020', '3', '7', '2020', '73', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '63.83075731');
INSERT INTO public.ecdc_import VALUES (31340, '02/07/2020', '2', '7', '2020', '113', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '64.38677436');
INSERT INTO public.ecdc_import VALUES (31341, '01/07/2020', '1', '7', '2020', '79', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '62.38511298');
INSERT INTO public.ecdc_import VALUES (31342, '30/06/2020', '30', '6', '2020', '122', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '65.83241869');
INSERT INTO public.ecdc_import VALUES (31343, '29/06/2020', '29', '6', '2020', '87', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '66.22163062');
INSERT INTO public.ecdc_import VALUES (31344, '28/06/2020', '28', '6', '2020', '96', '4', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '64.10876583');
INSERT INTO public.ecdc_import VALUES (31345, '27/06/2020', '27', '6', '2020', '62', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '61.71789252');
INSERT INTO public.ecdc_import VALUES (31346, '26/06/2020', '26', '6', '2020', '69', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '61.4954857');
INSERT INTO public.ecdc_import VALUES (31347, '25/06/2020', '25', '6', '2020', '95', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '59.21581579');
INSERT INTO public.ecdc_import VALUES (31348, '24/06/2020', '24', '6', '2020', '52', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '55.54610327');
INSERT INTO public.ecdc_import VALUES (31349, '23/06/2020', '23', '6', '2020', '47', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '52.98842484');
INSERT INTO public.ecdc_import VALUES (31350, '22/06/2020', '22', '6', '2020', '96', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '51.98759415');
INSERT INTO public.ecdc_import VALUES (31351, '21/06/2020', '21', '6', '2020', '75', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '48.87389867');
INSERT INTO public.ecdc_import VALUES (31352, '20/06/2020', '20', '6', '2020', '82', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '46.70543218');
INSERT INTO public.ecdc_import VALUES (31353, '19/06/2020', '19', '6', '2020', '83', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '42.75771112');
INSERT INTO public.ecdc_import VALUES (31354, '18/06/2020', '18', '6', '2020', '77', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '38.42077813');
INSERT INTO public.ecdc_import VALUES (31355, '17/06/2020', '17', '6', '2020', '141', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '35.19587925');
INSERT INTO public.ecdc_import VALUES (31356, '16/06/2020', '16', '6', '2020', '129', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '28.07886101');
INSERT INTO public.ecdc_import VALUES (31357, '15/06/2020', '15', '6', '2020', '49', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.4074871');
INSERT INTO public.ecdc_import VALUES (31358, '14/06/2020', '14', '6', '2020', '53', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '20.40582572');
INSERT INTO public.ecdc_import VALUES (31359, '13/06/2020', '13', '6', '2020', '58', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '17.79254559');
INSERT INTO public.ecdc_import VALUES (31360, '12/06/2020', '12', '6', '2020', '28', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '15.23486716');
INSERT INTO public.ecdc_import VALUES (31361, '11/06/2020', '11', '6', '2020', '29', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '13.90042624');
INSERT INTO public.ecdc_import VALUES (31362, '10/06/2020', '10', '6', '2020', '6', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '12.3435785');
INSERT INTO public.ecdc_import VALUES (31363, '09/06/2020', '9', '6', '2020', '29', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '12.51038362');
INSERT INTO public.ecdc_import VALUES (31364, '08/06/2020', '8', '6', '2020', '40', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '11.2315444');
INSERT INTO public.ecdc_import VALUES (31365, '07/06/2020', '7', '6', '2020', '36', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '9.00747621');
INSERT INTO public.ecdc_import VALUES (31366, '06/06/2020', '6', '6', '2020', '11', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.39502676');
INSERT INTO public.ecdc_import VALUES (31367, '05/06/2020', '5', '6', '2020', '5', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.95104381');
INSERT INTO public.ecdc_import VALUES (31368, '04/06/2020', '4', '6', '2020', '19', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.72863699');
INSERT INTO public.ecdc_import VALUES (31369, '03/06/2020', '3', '6', '2020', '13', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.45062847');
INSERT INTO public.ecdc_import VALUES (31370, '02/06/2020', '2', '6', '2020', '27', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.78340801');
INSERT INTO public.ecdc_import VALUES (31371, '01/06/2020', '1', '6', '2020', '13', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.44896709');
INSERT INTO public.ecdc_import VALUES (31372, '31/05/2020', '31', '5', '2020', '6', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.11535686');
INSERT INTO public.ecdc_import VALUES (31373, '30/05/2020', '30', '5', '2020', '12', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.06058584');
INSERT INTO public.ecdc_import VALUES (31374, '29/05/2020', '29', '5', '2020', '4', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.94938243');
INSERT INTO public.ecdc_import VALUES (31375, '28/05/2020', '28', '5', '2020', '1', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.7278063');
INSERT INTO public.ecdc_import VALUES (31376, '27/05/2020', '27', '5', '2020', '9', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.11701824');
INSERT INTO public.ecdc_import VALUES (31377, '26/05/2020', '26', '5', '2020', '6', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.95104381');
INSERT INTO public.ecdc_import VALUES (31378, '25/05/2020', '25', '5', '2020', '0', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '8.22905234');
INSERT INTO public.ecdc_import VALUES (31379, '24/05/2020', '24', '5', '2020', '7', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '9.00747621');
INSERT INTO public.ecdc_import VALUES (31380, '23/05/2020', '23', '5', '2020', '21', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '9.06307791');
INSERT INTO public.ecdc_import VALUES (31381, '22/05/2020', '22', '5', '2020', '1', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.95104381');
INSERT INTO public.ecdc_import VALUES (31382, '21/05/2020', '21', '5', '2020', '14', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.95104381');
INSERT INTO public.ecdc_import VALUES (31383, '20/05/2020', '20', '5', '2020', '1', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.39502676');
INSERT INTO public.ecdc_import VALUES (31384, '19/05/2020', '19', '5', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.39502676');
INSERT INTO public.ecdc_import VALUES (31385, '18/05/2020', '18', '5', '2020', '7', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.45062847');
INSERT INTO public.ecdc_import VALUES (31386, '17/05/2020', '17', '5', '2020', '23', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.67303529');
INSERT INTO public.ecdc_import VALUES (31387, '16/05/2020', '16', '5', '2020', '10', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.00581483');
INSERT INTO public.ecdc_import VALUES (31388, '15/05/2020', '15', '5', '2020', '18', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.95021312');
INSERT INTO public.ecdc_import VALUES (31389, '14/05/2020', '14', '5', '2020', '8', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.61660289');
INSERT INTO public.ecdc_import VALUES (31390, '13/05/2020', '13', '5', '2020', '24', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.7278063');
INSERT INTO public.ecdc_import VALUES (31391, '12/05/2020', '12', '5', '2020', '11', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.06058584');
INSERT INTO public.ecdc_import VALUES (31392, '11/05/2020', '11', '5', '2020', '14', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.6722046');
INSERT INTO public.ecdc_import VALUES (31393, '10/05/2020', '10', '5', '2020', '8', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.72863699');
INSERT INTO public.ecdc_import VALUES (31394, '09/05/2020', '9', '5', '2020', '1', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '8.84067109');
INSERT INTO public.ecdc_import VALUES (31395, '08/05/2020', '8', '5', '2020', '1', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '10.67552735');
INSERT INTO public.ecdc_import VALUES (31396, '07/05/2020', '7', '5', '2020', '4', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '12.78839214');
INSERT INTO public.ecdc_import VALUES (31397, '06/05/2020', '6', '5', '2020', '1', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '14.01162965');
INSERT INTO public.ecdc_import VALUES (31398, '05/05/2020', '5', '5', '2020', '4', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '14.28963818');
INSERT INTO public.ecdc_import VALUES (31399, '04/05/2020', '4', '5', '2020', '11', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '16.12449444');
INSERT INTO public.ecdc_import VALUES (31400, '03/05/2020', '3', '5', '2020', '11', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '17.06972343');
INSERT INTO public.ecdc_import VALUES (31401, '02/05/2020', '2', '5', '2020', '9', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '18.18175753');
INSERT INTO public.ecdc_import VALUES (31402, '01/05/2020', '1', '5', '2020', '12', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '19.68300356');
INSERT INTO public.ecdc_import VALUES (31403, '30/04/2020', '30', '4', '2020', '10', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '20.68383425');
INSERT INTO public.ecdc_import VALUES (31404, '29/04/2020', '29', '4', '2020', '12', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.4074871');
INSERT INTO public.ecdc_import VALUES (31405, '28/04/2020', '28', '4', '2020', '22', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.57429222');
INSERT INTO public.ecdc_import VALUES (31406, '27/04/2020', '27', '4', '2020', '33', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.3518854');
INSERT INTO public.ecdc_import VALUES (31407, '26/04/2020', '26', '4', '2020', '28', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '24.90956383');
INSERT INTO public.ecdc_import VALUES (31408, '25/04/2020', '25', '4', '2020', '34', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '25.18757235');
INSERT INTO public.ecdc_import VALUES (31409, '24/04/2020', '24', '4', '2020', '39', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '24.5759536');
INSERT INTO public.ecdc_import VALUES (31410, '23/04/2020', '23', '4', '2020', '26', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.57429222');
INSERT INTO public.ecdc_import VALUES (31411, '22/04/2020', '22', '4', '2020', '6', '3', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '21.90707176');
INSERT INTO public.ecdc_import VALUES (31412, '21/04/2020', '21', '4', '2020', '37', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.62989392');
INSERT INTO public.ecdc_import VALUES (31413, '20/04/2020', '20', '4', '2020', '28', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '22.01827517');
INSERT INTO public.ecdc_import VALUES (31414, '19/04/2020', '19', '4', '2020', '31', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '21.01744448');
INSERT INTO public.ecdc_import VALUES (31415, '18/04/2020', '18', '4', '2020', '36', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '19.73860526');
INSERT INTO public.ecdc_import VALUES (31416, '17/04/2020', '17', '4', '2020', '30', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '18.23735923');
INSERT INTO public.ecdc_import VALUES (31417, '16/04/2020', '16', '4', '2020', '41', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '17.01412172');
INSERT INTO public.ecdc_import VALUES (31418, '15/04/2020', '15', '4', '2020', '15', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '15.45727398');
INSERT INTO public.ecdc_import VALUES (31419, '14/04/2020', '14', '4', '2020', '18', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '15.01246034');
INSERT INTO public.ecdc_import VALUES (31420, '13/04/2020', '13', '4', '2020', '79', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '14.67885011');
INSERT INTO public.ecdc_import VALUES (31421, '12/04/2020', '12', '4', '2020', '33', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '10.45312053');
INSERT INTO public.ecdc_import VALUES (31422, '11/04/2020', '11', '4', '2020', '23', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '8.78506939');
INSERT INTO public.ecdc_import VALUES (31423, '10/04/2020', '10', '4', '2020', '3', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.8398404');
INSERT INTO public.ecdc_import VALUES (31424, '09/04/2020', '9', '4', '2020', '14', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '8.50706086');
INSERT INTO public.ecdc_import VALUES (31425, '08/04/2020', '8', '4', '2020', '19', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '8.17345063');
INSERT INTO public.ecdc_import VALUES (31426, '07/04/2020', '7', '4', '2020', '26', '2', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.22822165');
INSERT INTO public.ecdc_import VALUES (31427, '06/04/2020', '6', '4', '2020', '10', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '7.33942506');
INSERT INTO public.ecdc_import VALUES (31428, '05/04/2020', '5', '4', '2020', '8', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.89461142');
INSERT INTO public.ecdc_import VALUES (31429, '04/04/2020', '4', '4', '2020', '9', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.83900971');
INSERT INTO public.ecdc_import VALUES (31430, '03/04/2020', '3', '4', '2020', '8', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.50539948');
INSERT INTO public.ecdc_import VALUES (31431, '02/04/2020', '2', '4', '2020', '13', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '6.11618755');
INSERT INTO public.ecdc_import VALUES (31432, '01/04/2020', '1', '4', '2020', '7', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.44896709');
INSERT INTO public.ecdc_import VALUES (31433, '31/03/2020', '31', '3', '2020', '12', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.22656027');
INSERT INTO public.ecdc_import VALUES (31434, '30/03/2020', '30', '3', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '4.72614492');
INSERT INTO public.ecdc_import VALUES (31435, '29/03/2020', '29', '3', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.00415345');
INSERT INTO public.ecdc_import VALUES (31436, '28/03/2020', '28', '3', '2020', '6', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '5.00415345');
INSERT INTO public.ecdc_import VALUES (31437, '27/03/2020', '27', '3', '2020', '15', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '4.78174663');
INSERT INTO public.ecdc_import VALUES (31438, '26/03/2020', '26', '3', '2020', '8', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31439, '25/03/2020', '25', '3', '2020', '2', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31440, '24/03/2020', '24', '3', '2020', '28', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31441, '23/03/2020', '23', '3', '2020', '2', '1', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31442, '22/03/2020', '22', '3', '2020', '7', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31443, '21/03/2020', '21', '3', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31444, '20/03/2020', '20', '3', '2020', '1', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31445, '19/03/2020', '19', '3', '2020', '1', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31446, '18/03/2020', '18', '3', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31447, '17/03/2020', '17', '3', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31448, '16/03/2020', '16', '3', '2020', '8', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31449, '15/03/2020', '15', '3', '2020', '3', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31450, '14/03/2020', '14', '3', '2020', '2', '0', '1798506', 'Kosovo', 'XK', 'XKX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (31451, '14/12/2020', '14', '12', '2020', '174', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '90.13383877');
INSERT INTO public.ecdc_import VALUES (31452, '13/12/2020', '13', '12', '2020', '255', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '91.48869869');
INSERT INTO public.ecdc_import VALUES (31453, '12/12/2020', '12', '12', '2020', '294', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '93.00994491');
INSERT INTO public.ecdc_import VALUES (31454, '11/12/2020', '11', '12', '2020', '291', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '93.84187644');
INSERT INTO public.ecdc_import VALUES (31455, '10/12/2020', '10', '12', '2020', '304', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '94.76888586');
INSERT INTO public.ecdc_import VALUES (31456, '09/12/2020', '9', '12', '2020', '301', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '97.57368358');
INSERT INTO public.ecdc_import VALUES (31457, '08/12/2020', '8', '12', '2020', '230', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '99.97440028');
INSERT INTO public.ecdc_import VALUES (31458, '07/12/2020', '7', '12', '2020', '205', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '102.51773381');
INSERT INTO public.ecdc_import VALUES (31459, '06/12/2020', '6', '12', '2020', '247', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '105.29876206');
INSERT INTO public.ecdc_import VALUES (31460, '05/12/2020', '5', '12', '2020', '343', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '109.55349759');
INSERT INTO public.ecdc_import VALUES (31461, '04/12/2020', '4', '12', '2020', '314', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '112.95253213');
INSERT INTO public.ecdc_import VALUES (31462, '03/12/2020', '3', '12', '2020', '268', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '117.01711188');
INSERT INTO public.ecdc_import VALUES (31463, '02/12/2020', '2', '12', '2020', '357', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '121.39069477');
INSERT INTO public.ecdc_import VALUES (31464, '01/12/2020', '1', '12', '2020', '209', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '126.12081975');
INSERT INTO public.ecdc_import VALUES (31465, '30/11/2020', '30', '11', '2020', '231', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '132.77627198');
INSERT INTO public.ecdc_import VALUES (31466, '29/11/2020', '29', '11', '2020', '319', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '139.14649054');
INSERT INTO public.ecdc_import VALUES (31467, '28/11/2020', '28', '11', '2020', '329', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '147.98873422');
INSERT INTO public.ecdc_import VALUES (31468, '27/11/2020', '27', '11', '2020', '330', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '157.23505893');
INSERT INTO public.ecdc_import VALUES (31469, '26/11/2020', '26', '11', '2020', '422', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '167.76493513');
INSERT INTO public.ecdc_import VALUES (31470, '25/11/2020', '25', '11', '2020', '402', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '176.22686725');
INSERT INTO public.ecdc_import VALUES (31471, '24/11/2020', '24', '11', '2020', '337', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '188.13537285');
INSERT INTO public.ecdc_import VALUES (31472, '23/11/2020', '23', '11', '2020', '322', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '197.5956228');
INSERT INTO public.ecdc_import VALUES (31473, '22/11/2020', '22', '11', '2020', '426', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '202.72982881');
INSERT INTO public.ecdc_import VALUES (31474, '21/11/2020', '21', '11', '2020', '486', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '210.24098204');
INSERT INTO public.ecdc_import VALUES (31475, '20/11/2020', '20', '11', '2020', '485', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '218.29883313');
INSERT INTO public.ecdc_import VALUES (31476, '19/11/2020', '19', '11', '2020', '452', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '225.66736953');
INSERT INTO public.ecdc_import VALUES (31477, '18/11/2020', '18', '11', '2020', '556', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '233.0596754');
INSERT INTO public.ecdc_import VALUES (31478, '17/11/2020', '17', '11', '2020', '489', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '238.55042349');
INSERT INTO public.ecdc_import VALUES (31479, '16/11/2020', '16', '11', '2020', '499', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '244.968181');
INSERT INTO public.ecdc_import VALUES (31480, '15/11/2020', '15', '11', '2020', '691', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '247.55905347');
INSERT INTO public.ecdc_import VALUES (31481, '14/11/2020', '14', '11', '2020', '718', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '245.1345673');
INSERT INTO public.ecdc_import VALUES (31482, '13/11/2020', '13', '11', '2020', '773', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '244.01740211');
INSERT INTO public.ecdc_import VALUES (31483, '12/11/2020', '12', '11', '2020', '778', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '243.70839897');
INSERT INTO public.ecdc_import VALUES (31484, '11/11/2020', '11', '11', '2020', '903', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '244.56409997');
INSERT INTO public.ecdc_import VALUES (31485, '10/11/2020', '10', '11', '2020', '735', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '241.52160752');
INSERT INTO public.ecdc_import VALUES (31486, '09/11/2020', '9', '11', '2020', '538', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '240.26182549');
INSERT INTO public.ecdc_import VALUES (31487, '08/11/2020', '8', '11', '2020', '742', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '244.30263577');
INSERT INTO public.ecdc_import VALUES (31488, '07/11/2020', '7', '11', '2020', '825', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '243.18547058');
INSERT INTO public.ecdc_import VALUES (31489, '06/11/2020', '6', '11', '2020', '795', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '242.87646744');
INSERT INTO public.ecdc_import VALUES (31490, '05/11/2020', '5', '11', '2020', '763', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '245.11079783');
INSERT INTO public.ecdc_import VALUES (31491, '04/11/2020', '4', '11', '2020', '787', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '246.29927144');
INSERT INTO public.ecdc_import VALUES (31492, '03/11/2020', '3', '11', '2020', '759', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '248.65244919');
INSERT INTO public.ecdc_import VALUES (31493, '02/11/2020', '2', '11', '2020', '608', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '246.91727772');
INSERT INTO public.ecdc_import VALUES (31494, '01/11/2020', '1', '11', '2020', '589', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '248.22459869');
INSERT INTO public.ecdc_import VALUES (31495, '31/10/2020', '31', '10', '2020', '671', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '251.79001953');
INSERT INTO public.ecdc_import VALUES (31496, '30/10/2020', '30', '10', '2020', '760', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '253.16864892');
INSERT INTO public.ecdc_import VALUES (31497, '29/10/2020', '29', '10', '2020', '814', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '252.83587631');
INSERT INTO public.ecdc_import VALUES (31498, '28/10/2020', '28', '10', '2020', '775', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '246.13288514');
INSERT INTO public.ecdc_import VALUES (31499, '27/10/2020', '27', '10', '2020', '682', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '247.77297872');
INSERT INTO public.ecdc_import VALUES (31500, '26/10/2020', '26', '10', '2020', '708', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '250.03107858');
INSERT INTO public.ecdc_import VALUES (31501, '25/10/2020', '25', '10', '2020', '695', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '246.22796303');
INSERT INTO public.ecdc_import VALUES (31502, '24/10/2020', '24', '10', '2020', '812', '10', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '241.40276016');
INSERT INTO public.ecdc_import VALUES (31503, '23/10/2020', '23', '10', '2020', '889', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '237.19556357');
INSERT INTO public.ecdc_import VALUES (31504, '22/10/2020', '22', '10', '2020', '813', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '232.65559437');
INSERT INTO public.ecdc_import VALUES (31505, '21/10/2020', '21', '10', '2020', '886', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '224.62151275');
INSERT INTO public.ecdc_import VALUES (31506, '20/10/2020', '20', '10', '2020', '686', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '219.62992358');
INSERT INTO public.ecdc_import VALUES (31507, '19/10/2020', '19', '10', '2020', '663', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '216.80135638');
INSERT INTO public.ecdc_import VALUES (31508, '18/10/2020', '18', '10', '2020', '739', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.51948705');
INSERT INTO public.ecdc_import VALUES (31509, '17/10/2020', '17', '10', '2020', '729', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '205.77232126');
INSERT INTO public.ecdc_import VALUES (31510, '16/10/2020', '16', '10', '2020', '746', '8', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '198.21362908');
INSERT INTO public.ecdc_import VALUES (31511, '15/10/2020', '15', '10', '2020', '532', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '192.22372208');
INSERT INTO public.ecdc_import VALUES (31512, '14/10/2020', '14', '10', '2020', '844', '8', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '194.1728188');
INSERT INTO public.ecdc_import VALUES (31513, '13/10/2020', '13', '10', '2020', '777', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '188.06406443');
INSERT INTO public.ecdc_import VALUES (31514, '12/10/2020', '12', '10', '2020', '548', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '179.98244387');
INSERT INTO public.ecdc_import VALUES (31515, '11/10/2020', '11', '10', '2020', '492', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '175.157241');
INSERT INTO public.ecdc_import VALUES (31516, '10/10/2020', '10', '10', '2020', '635', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '181.47992062');
INSERT INTO public.ecdc_import VALUES (31517, '09/10/2020', '9', '10', '2020', '698', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '180.41029437');
INSERT INTO public.ecdc_import VALUES (31518, '08/10/2020', '8', '10', '2020', '475', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '176.93995142');
INSERT INTO public.ecdc_import VALUES (31519, '07/10/2020', '7', '10', '2020', '676', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '180.29144701');
INSERT INTO public.ecdc_import VALUES (31520, '06/10/2020', '6', '10', '2020', '567', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '181.31353431');
INSERT INTO public.ecdc_import VALUES (31521, '05/10/2020', '5', '10', '2020', '567', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '180.43406384');
INSERT INTO public.ecdc_import VALUES (31522, '04/10/2020', '4', '10', '2020', '371', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '176.10801989');
INSERT INTO public.ecdc_import VALUES (31523, '03/10/2020', '3', '10', '2020', '411', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '179.67344073');
INSERT INTO public.ecdc_import VALUES (31524, '02/10/2020', '2', '10', '2020', '494', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '186.6378961');
INSERT INTO public.ecdc_import VALUES (31525, '01/10/2020', '1', '10', '2020', '614', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '194.50559141');
INSERT INTO public.ecdc_import VALUES (31526, '30/09/2020', '30', '9', '2020', '587', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '196.50222708');
INSERT INTO public.ecdc_import VALUES (31527, '29/09/2020', '29', '9', '2020', '437', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '202.25443936');
INSERT INTO public.ecdc_import VALUES (31528, '28/09/2020', '28', '9', '2020', '345', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '208.69596634');
INSERT INTO public.ecdc_import VALUES (31529, '27/09/2020', '27', '9', '2020', '758', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '213.64001657');
INSERT INTO public.ecdc_import VALUES (31530, '26/09/2020', '26', '9', '2020', '590', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '213.11708818');
INSERT INTO public.ecdc_import VALUES (31531, '25/09/2020', '25', '9', '2020', '552', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.61456493');
INSERT INTO public.ecdc_import VALUES (31532, '24/09/2020', '24', '9', '2020', '616', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '219.08322572');
INSERT INTO public.ecdc_import VALUES (31533, '23/09/2020', '23', '9', '2020', '719', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '224.36004856');
INSERT INTO public.ecdc_import VALUES (31534, '22/09/2020', '22', '9', '2020', '530', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '227.64023573');
INSERT INTO public.ecdc_import VALUES (31535, '21/09/2020', '21', '9', '2020', '385', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '234.1768406');
INSERT INTO public.ecdc_import VALUES (31536, '20/09/2020', '20', '9', '2020', '521', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '239.7388971');
INSERT INTO public.ecdc_import VALUES (31537, '19/09/2020', '19', '9', '2020', '704', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '244.46902208');
INSERT INTO public.ecdc_import VALUES (31538, '18/09/2020', '18', '9', '2020', '825', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '248.29590711');
INSERT INTO public.ecdc_import VALUES (31539, '17/09/2020', '17', '9', '2020', '698', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '250.07861753');
INSERT INTO public.ecdc_import VALUES (31540, '16/09/2020', '16', '9', '2020', '829', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '249.34176389');
INSERT INTO public.ecdc_import VALUES (31541, '15/09/2020', '15', '9', '2020', '708', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '246.32304091');
INSERT INTO public.ecdc_import VALUES (31542, '14/09/2020', '14', '9', '2020', '553', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '240.73721494');
INSERT INTO public.ecdc_import VALUES (31543, '13/09/2020', '13', '9', '2020', '736', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '237.38571935');
INSERT INTO public.ecdc_import VALUES (31544, '12/09/2020', '12', '9', '2020', '653', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '235.24646685');
INSERT INTO public.ecdc_import VALUES (31545, '11/09/2020', '11', '9', '2020', '740', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '234.7710774');
INSERT INTO public.ecdc_import VALUES (31546, '10/09/2020', '10', '9', '2020', '838', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '233.20229223');
INSERT INTO public.ecdc_import VALUES (31547, '09/09/2020', '9', '9', '2020', '857', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '229.87456612');
INSERT INTO public.ecdc_import VALUES (31548, '08/09/2020', '8', '9', '2020', '805', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '224.07481489');
INSERT INTO public.ecdc_import VALUES (31549, '07/09/2020', '7', '9', '2020', '619', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '215.20880174');
INSERT INTO public.ecdc_import VALUES (31550, '06/09/2020', '6', '9', '2020', '720', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.06786707');
INSERT INTO public.ecdc_import VALUES (31551, '05/09/2020', '5', '9', '2020', '865', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '213.30724396');
INSERT INTO public.ecdc_import VALUES (31552, '04/09/2020', '4', '9', '2020', '900', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '204.67892553');
INSERT INTO public.ecdc_import VALUES (31553, '03/09/2020', '3', '9', '2020', '667', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '198.07101225');
INSERT INTO public.ecdc_import VALUES (31554, '02/09/2020', '2', '9', '2020', '702', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '198.26116803');
INSERT INTO public.ecdc_import VALUES (31555, '01/09/2020', '1', '9', '2020', '473', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '196.85876916');
INSERT INTO public.ecdc_import VALUES (31556, '31/08/2020', '31', '8', '2020', '412', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '200.40042053');
INSERT INTO public.ecdc_import VALUES (31557, '30/08/2020', '30', '8', '2020', '646', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '202.68228987');
INSERT INTO public.ecdc_import VALUES (31558, '29/08/2020', '29', '8', '2020', '633', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '199.49718058');
INSERT INTO public.ecdc_import VALUES (31559, '28/08/2020', '28', '8', '2020', '674', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '201.06596575');
INSERT INTO public.ecdc_import VALUES (31560, '27/08/2020', '27', '8', '2020', '698', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '201.7077415');
INSERT INTO public.ecdc_import VALUES (31561, '26/08/2020', '26', '8', '2020', '613', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '202.15936148');
INSERT INTO public.ecdc_import VALUES (31562, '25/08/2020', '25', '8', '2020', '432', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '203.46668245');
INSERT INTO public.ecdc_import VALUES (31563, '24/08/2020', '24', '8', '2020', '571', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '209.52789787');
INSERT INTO public.ecdc_import VALUES (31564, '23/08/2020', '23', '8', '2020', '688', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '208.17303795');
INSERT INTO public.ecdc_import VALUES (31565, '22/08/2020', '22', '8', '2020', '502', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '203.03883195');
INSERT INTO public.ecdc_import VALUES (31566, '21/08/2020', '21', '8', '2020', '622', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '207.31733695');
INSERT INTO public.ecdc_import VALUES (31567, '20/08/2020', '20', '8', '2020', '675', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '207.26979801');
INSERT INTO public.ecdc_import VALUES (31568, '19/08/2020', '19', '8', '2020', '643', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '206.69933068');
INSERT INTO public.ecdc_import VALUES (31569, '18/08/2020', '18', '8', '2020', '622', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '202.70605934');
INSERT INTO public.ecdc_import VALUES (31570, '17/08/2020', '17', '8', '2020', '508', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '197.14400283');
INSERT INTO public.ecdc_import VALUES (31571, '16/08/2020', '16', '8', '2020', '512', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '196.07437658');
INSERT INTO public.ecdc_import VALUES (31572, '15/08/2020', '15', '8', '2020', '699', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '195.57521766');
INSERT INTO public.ecdc_import VALUES (31573, '14/08/2020', '14', '8', '2020', '701', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '189.13369068');
INSERT INTO public.ecdc_import VALUES (31574, '13/08/2020', '13', '8', '2020', '717', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '187.35098026');
INSERT INTO public.ecdc_import VALUES (31575, '12/08/2020', '12', '8', '2020', '668', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '188.23045074');
INSERT INTO public.ecdc_import VALUES (31576, '11/08/2020', '11', '8', '2020', '687', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '190.65493691');
INSERT INTO public.ecdc_import VALUES (31577, '10/08/2020', '10', '8', '2020', '514', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '188.72960966');
INSERT INTO public.ecdc_import VALUES (31578, '09/08/2020', '9', '8', '2020', '472', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '187.54113604');
INSERT INTO public.ecdc_import VALUES (31579, '08/08/2020', '8', '8', '2020', '682', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '192.58026416');
INSERT INTO public.ecdc_import VALUES (31580, '07/08/2020', '7', '8', '2020', '620', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '194.26789669');
INSERT INTO public.ecdc_import VALUES (31581, '06/08/2020', '6', '8', '2020', '651', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '195.86045133');
INSERT INTO public.ecdc_import VALUES (31582, '05/08/2020', '5', '8', '2020', '475', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '198.23739855');
INSERT INTO public.ecdc_import VALUES (31583, '04/08/2020', '4', '8', '2020', '388', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '202.89621512');
INSERT INTO public.ecdc_import VALUES (31584, '03/08/2020', '3', '8', '2020', '463', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '206.96079487');
INSERT INTO public.ecdc_import VALUES (31585, '02/08/2020', '2', '8', '2020', '491', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '203.08637089');
INSERT INTO public.ecdc_import VALUES (31586, '01/08/2020', '1', '8', '2020', '428', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '207.65010957');
INSERT INTO public.ecdc_import VALUES (31587, '31/07/2020', '31', '7', '2020', '626', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '210.6212936');
INSERT INTO public.ecdc_import VALUES (31588, '30/07/2020', '30', '7', '2020', '754', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.54325652');
INSERT INTO public.ecdc_import VALUES (31589, '29/07/2020', '29', '7', '2020', '770', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '213.33101343');
INSERT INTO public.ecdc_import VALUES (31590, '28/07/2020', '28', '7', '2020', '606', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '210.85898832');
INSERT INTO public.ecdc_import VALUES (31591, '27/07/2020', '27', '7', '2020', '464', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '211.0491441');
INSERT INTO public.ecdc_import VALUES (31592, '26/07/2020', '26', '7', '2020', '684', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '219.89138777');
INSERT INTO public.ecdc_import VALUES (31593, '25/07/2020', '25', '7', '2020', '753', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.99487649');
INSERT INTO public.ecdc_import VALUES (31594, '24/07/2020', '24', '7', '2020', '687', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.68587335');
INSERT INTO public.ecdc_import VALUES (31595, '23/07/2020', '23', '7', '2020', '751', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '218.1562163');
INSERT INTO public.ecdc_import VALUES (31596, '22/07/2020', '22', '7', '2020', '671', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '218.41768049');
INSERT INTO public.ecdc_import VALUES (31597, '21/07/2020', '21', '7', '2020', '559', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '216.75381744');
INSERT INTO public.ecdc_import VALUES (31598, '20/07/2020', '20', '7', '2020', '300', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '220.17662144');
INSERT INTO public.ecdc_import VALUES (31599, '19/07/2020', '19', '7', '2020', '683', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '228.21070306');
INSERT INTO public.ecdc_import VALUES (31600, '18/07/2020', '18', '7', '2020', '553', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '226.9746905');
INSERT INTO public.ecdc_import VALUES (31601, '17/07/2020', '17', '7', '2020', '791', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '233.15475329');
INSERT INTO public.ecdc_import VALUES (31602, '16/07/2020', '16', '7', '2020', '703', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '236.19724574');
INSERT INTO public.ecdc_import VALUES (31603, '15/07/2020', '15', '7', '2020', '666', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '237.19556357');
INSERT INTO public.ecdc_import VALUES (31604, '14/07/2020', '14', '7', '2020', '614', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '237.31441093');
INSERT INTO public.ecdc_import VALUES (31605, '13/07/2020', '13', '7', '2020', '836', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '236.55378782');
INSERT INTO public.ecdc_import VALUES (31606, '12/07/2020', '12', '7', '2020', '478', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '229.77948823');
INSERT INTO public.ecdc_import VALUES (31607, '11/07/2020', '11', '7', '2020', '740', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '234.7710774');
INSERT INTO public.ecdc_import VALUES (31608, '10/07/2020', '10', '7', '2020', '833', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '238.93073504');
INSERT INTO public.ecdc_import VALUES (31609, '09/07/2020', '9', '7', '2020', '762', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '240.73721494');
INSERT INTO public.ecdc_import VALUES (31610, '08/07/2020', '8', '7', '2020', '601', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '242.7338506');
INSERT INTO public.ecdc_import VALUES (31611, '07/07/2020', '7', '7', '2020', '703', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '246.08534619');
INSERT INTO public.ecdc_import VALUES (31612, '06/07/2020', '6', '7', '2020', '638', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '244.61163891');
INSERT INTO public.ecdc_import VALUES (31613, '05/07/2020', '5', '7', '2020', '631', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '241.4502991');
INSERT INTO public.ecdc_import VALUES (31614, '04/07/2020', '4', '7', '2020', '813', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '237.55210565');
INSERT INTO public.ecdc_import VALUES (31615, '03/07/2020', '3', '7', '2020', '919', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '232.58428595');
INSERT INTO public.ecdc_import VALUES (31616, '02/07/2020', '2', '7', '2020', '745', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '223.59942544');
INSERT INTO public.ecdc_import VALUES (31617, '01/07/2020', '1', '7', '2020', '671', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '219.55861516');
INSERT INTO public.ecdc_import VALUES (31618, '30/06/2020', '30', '6', '2020', '582', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '216.13581116');
INSERT INTO public.ecdc_import VALUES (31619, '29/06/2020', '29', '6', '2020', '551', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '214.44817863');
INSERT INTO public.ecdc_import VALUES (31620, '28/06/2020', '28', '6', '2020', '688', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '212.14253982');
INSERT INTO public.ecdc_import VALUES (31621, '27/06/2020', '27', '6', '2020', '915', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '208.00665165');
INSERT INTO public.ecdc_import VALUES (31622, '26/06/2020', '26', '6', '2020', '909', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '198.61771011');
INSERT INTO public.ecdc_import VALUES (31623, '25/06/2020', '25', '6', '2020', '846', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '191.48686844');
INSERT INTO public.ecdc_import VALUES (31624, '24/06/2020', '24', '6', '2020', '742', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '187.61244446');
INSERT INTO public.ecdc_import VALUES (31625, '23/06/2020', '23', '6', '2020', '641', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '184.95026357');
INSERT INTO public.ecdc_import VALUES (31626, '22/06/2020', '22', '6', '2020', '505', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '185.44942249');
INSERT INTO public.ecdc_import VALUES (31627, '21/06/2020', '21', '6', '2020', '467', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '190.4885506');
INSERT INTO public.ecdc_import VALUES (31628, '20/06/2020', '20', '6', '2020', '604', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '190.96394005');
INSERT INTO public.ecdc_import VALUES (31629, '19/06/2020', '19', '6', '2020', '541', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '193.79250724');
INSERT INTO public.ecdc_import VALUES (31630, '18/06/2020', '18', '6', '2020', '575', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '194.29166616');
INSERT INTO public.ecdc_import VALUES (31631, '17/06/2020', '17', '6', '2020', '527', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '197.50054492');
INSERT INTO public.ecdc_import VALUES (31632, '16/06/2020', '16', '6', '2020', '511', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '206.05755492');
INSERT INTO public.ecdc_import VALUES (31633, '15/06/2020', '15', '6', '2020', '454', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '211.00160515');
INSERT INTO public.ecdc_import VALUES (31634, '14/06/2020', '14', '6', '2020', '514', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '220.43808564');
INSERT INTO public.ecdc_import VALUES (31635, '13/06/2020', '13', '6', '2020', '520', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '232.18020493');
INSERT INTO public.ecdc_import VALUES (31636, '12/06/2020', '12', '6', '2020', '609', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '245.30095361');
INSERT INTO public.ecdc_import VALUES (31637, '11/06/2020', '11', '6', '2020', '683', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '250.91054906');
INSERT INTO public.ecdc_import VALUES (31638, '10/06/2020', '10', '6', '2020', '630', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '251.12447431');
INSERT INTO public.ecdc_import VALUES (31639, '09/06/2020', '9', '6', '2020', '662', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '250.60154592');
INSERT INTO public.ecdc_import VALUES (31640, '08/06/2020', '8', '6', '2020', '717', '10', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '250.67285434');
INSERT INTO public.ecdc_import VALUES (31641, '07/06/2020', '7', '6', '2020', '487', '10', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '253.54896048');
INSERT INTO public.ecdc_import VALUES (31642, '06/06/2020', '6', '6', '2020', '723', '8', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '263.36575252');
INSERT INTO public.ecdc_import VALUES (31643, '05/06/2020', '5', '6', '2020', '562', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '268.88027008');
INSERT INTO public.ecdc_import VALUES (31644, '04/06/2020', '4', '6', '2020', '710', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '280.26584729');
INSERT INTO public.ecdc_import VALUES (31645, '03/06/2020', '3', '6', '2020', '887', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '282.50017768');
INSERT INTO public.ecdc_import VALUES (31646, '02/06/2020', '2', '6', '2020', '719', '8', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '286.92129952');
INSERT INTO public.ecdc_import VALUES (31647, '01/06/2020', '1', '6', '2020', '851', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '289.82117513');
INSERT INTO public.ecdc_import VALUES (31648, '31/05/2020', '31', '5', '2020', '1008', '11', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '294.50376116');
INSERT INTO public.ecdc_import VALUES (31649, '30/05/2020', '30', '5', '2020', '1072', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '292.93497599');
INSERT INTO public.ecdc_import VALUES (31650, '29/05/2020', '29', '5', '2020', '845', '10', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '288.49008468');
INSERT INTO public.ecdc_import VALUES (31651, '28/05/2020', '28', '5', '2020', '692', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '290.91457085');
INSERT INTO public.ecdc_import VALUES (31652, '27/05/2020', '27', '5', '2020', '608', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '292.31696972');
INSERT INTO public.ecdc_import VALUES (31653, '26/05/2020', '26', '5', '2020', '665', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '301.42067759');
INSERT INTO public.ecdc_import VALUES (31654, '25/05/2020', '25', '5', '2020', '838', '8', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '299.82812295');
INSERT INTO public.ecdc_import VALUES (31655, '24/05/2020', '24', '5', '2020', '900', '10', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '305.22379315');
INSERT INTO public.ecdc_import VALUES (31656, '23/05/2020', '23', '5', '2020', '955', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '293.69559911');
INSERT INTO public.ecdc_import VALUES (31657, '22/05/2020', '22', '5', '2020', '1041', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '286.23198482');
INSERT INTO public.ecdc_import VALUES (31658, '21/05/2020', '21', '5', '2020', '804', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '268.09587749');
INSERT INTO public.ecdc_import VALUES (31659, '20/05/2020', '20', '5', '2020', '1073', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '260.51341585');
INSERT INTO public.ecdc_import VALUES (31660, '19/05/2020', '19', '5', '2020', '841', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '247.51151453');
INSERT INTO public.ecdc_import VALUES (31661, '18/05/2020', '18', '5', '2020', '1048', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '234.53338268');
INSERT INTO public.ecdc_import VALUES (31662, '17/05/2020', '17', '5', '2020', '942', '11', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '218.27506366');
INSERT INTO public.ecdc_import VALUES (31663, '16/05/2020', '16', '5', '2020', '885', '8', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '201.63643309');
INSERT INTO public.ecdc_import VALUES (31664, '15/05/2020', '15', '5', '2020', '947', '6', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '188.99107385');
INSERT INTO public.ecdc_import VALUES (31665, '14/05/2020', '14', '5', '2020', '751', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '173.23191375');
INSERT INTO public.ecdc_import VALUES (31666, '13/05/2020', '13', '5', '2020', '991', '10', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '162.51188176');
INSERT INTO public.ecdc_import VALUES (31667, '12/05/2020', '12', '5', '2020', '598', '7', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '142.56929455');
INSERT INTO public.ecdc_import VALUES (31668, '11/05/2020', '11', '5', '2020', '1065', '9', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '133.41804773');
INSERT INTO public.ecdc_import VALUES (31669, '10/05/2020', '10', '5', '2020', '415', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '112.45337321');
INSERT INTO public.ecdc_import VALUES (31670, '09/05/2020', '9', '5', '2020', '641', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '109.19695551');
INSERT INTO public.ecdc_import VALUES (31671, '08/05/2020', '8', '5', '2020', '278', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '99.07116033');
INSERT INTO public.ecdc_import VALUES (31672, '07/05/2020', '7', '5', '2020', '485', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '96.05243736');
INSERT INTO public.ecdc_import VALUES (31673, '06/05/2020', '6', '5', '2020', '526', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '88.51751465');
INSERT INTO public.ecdc_import VALUES (31674, '05/05/2020', '5', '5', '2020', '295', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '78.03517739');
INSERT INTO public.ecdc_import VALUES (31675, '04/05/2020', '4', '5', '2020', '364', '5', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '72.92474086');
INSERT INTO public.ecdc_import VALUES (31676, '03/05/2020', '3', '5', '2020', '242', '3', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '68.14707694');
INSERT INTO public.ecdc_import VALUES (31677, '02/05/2020', '2', '5', '2020', '353', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '64.62919504');
INSERT INTO public.ecdc_import VALUES (31678, '01/05/2020', '1', '5', '2020', '284', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '59.42368062');
INSERT INTO public.ecdc_import VALUES (31679, '30/04/2020', '30', '4', '2020', '300', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '55.5017177');
INSERT INTO public.ecdc_import VALUES (31680, '29/04/2020', '29', '4', '2020', '152', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '49.55934964');
INSERT INTO public.ecdc_import VALUES (31681, '28/04/2020', '28', '4', '2020', '213', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '47.25371083');
INSERT INTO public.ecdc_import VALUES (31682, '27/04/2020', '27', '4', '2020', '183', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '43.75959841');
INSERT INTO public.ecdc_import VALUES (31683, '26/04/2020', '26', '4', '2020', '278', '4', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '41.31134277');
INSERT INTO public.ecdc_import VALUES (31684, '25/04/2020', '25', '4', '2020', '215', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '38.53031452');
INSERT INTO public.ecdc_import VALUES (31685, '24/04/2020', '24', '4', '2020', '151', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '35.39274418');
INSERT INTO public.ecdc_import VALUES (31686, '23/04/2020', '23', '4', '2020', '168', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '33.11087484');
INSERT INTO public.ecdc_import VALUES (31687, '22/04/2020', '22', '4', '2020', '85', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '31.7797844');
INSERT INTO public.ecdc_import VALUES (31688, '21/04/2020', '21', '4', '2020', '80', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '31.61339809');
INSERT INTO public.ecdc_import VALUES (31689, '20/04/2020', '20', '4', '2020', '163', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '32.30271279');
INSERT INTO public.ecdc_import VALUES (31690, '19/04/2020', '19', '4', '2020', '94', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '30.25853817');
INSERT INTO public.ecdc_import VALUES (31691, '18/04/2020', '18', '4', '2020', '134', '2', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '31.28062548');
INSERT INTO public.ecdc_import VALUES (31692, '17/04/2020', '17', '4', '2020', '119', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '28.0955162');
INSERT INTO public.ecdc_import VALUES (31693, '16/04/2020', '16', '4', '2020', '50', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '25.86118581');
INSERT INTO public.ecdc_import VALUES (31694, '15/04/2020', '15', '4', '2020', '55', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '25.33825742');
INSERT INTO public.ecdc_import VALUES (31695, '14/04/2020', '14', '4', '2020', '66', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '24.57763431');
INSERT INTO public.ecdc_import VALUES (31696, '13/04/2020', '13', '4', '2020', '80', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '23.27031333');
INSERT INTO public.ecdc_import VALUES (31697, '12/04/2020', '12', '4', '2020', '161', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '21.844145');
INSERT INTO public.ecdc_import VALUES (31698, '11/04/2020', '11', '4', '2020', '83', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '18.25495469');
INSERT INTO public.ecdc_import VALUES (31699, '10/04/2020', '10', '4', '2020', '55', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '16.68616952');
INSERT INTO public.ecdc_import VALUES (31700, '09/04/2020', '9', '4', '2020', '112', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '15.68785168');
INSERT INTO public.ecdc_import VALUES (31701, '08/04/2020', '8', '4', '2020', '78', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '13.12074868');
INSERT INTO public.ecdc_import VALUES (31702, '07/04/2020', '7', '4', '2020', '109', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '11.31426879');
INSERT INTO public.ecdc_import VALUES (31703, '06/04/2020', '6', '4', '2020', '77', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '8.74716579');
INSERT INTO public.ecdc_import VALUES (31704, '05/04/2020', '5', '4', '2020', '137', '1', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '7.20215009');
INSERT INTO public.ecdc_import VALUES (31705, '04/04/2020', '4', '4', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '4.34981342');
INSERT INTO public.ecdc_import VALUES (31706, '03/04/2020', '3', '4', '2020', '25', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '4.61127762');
INSERT INTO public.ecdc_import VALUES (31707, '02/04/2020', '2', '4', '2020', '28', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '4.15965764');
INSERT INTO public.ecdc_import VALUES (31708, '01/04/2020', '1', '4', '2020', '23', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '3.77934609');
INSERT INTO public.ecdc_import VALUES (31709, '31/03/2020', '31', '3', '2020', '11', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '3.39903453');
INSERT INTO public.ecdc_import VALUES (31710, '30/03/2020', '30', '3', '2020', '20', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '3.39903453');
INSERT INTO public.ecdc_import VALUES (31711, '29/03/2020', '29', '3', '2020', '10', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '3.11380086');
INSERT INTO public.ecdc_import VALUES (31712, '28/03/2020', '28', '3', '2020', '17', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.97118403');
INSERT INTO public.ecdc_import VALUES (31713, '27/03/2020', '27', '3', '2020', '13', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '3.04249245');
INSERT INTO public.ecdc_import VALUES (31714, '26/03/2020', '26', '3', '2020', '4', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.92364509');
INSERT INTO public.ecdc_import VALUES (31715, '25/03/2020', '25', '3', '2020', '2', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.89987561');
INSERT INTO public.ecdc_import VALUES (31716, '24/03/2020', '24', '3', '2020', '1', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.94741456');
INSERT INTO public.ecdc_import VALUES (31717, '23/03/2020', '23', '3', '2020', '12', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.94741456');
INSERT INTO public.ecdc_import VALUES (31718, '22/03/2020', '22', '3', '2020', '17', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.73348931');
INSERT INTO public.ecdc_import VALUES (31719, '21/03/2020', '21', '3', '2020', '11', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.4007167');
INSERT INTO public.ecdc_import VALUES (31720, '20/03/2020', '20', '3', '2020', '6', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.18679145');
INSERT INTO public.ecdc_import VALUES (31721, '19/03/2020', '19', '3', '2020', '12', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.28186934');
INSERT INTO public.ecdc_import VALUES (31722, '18/03/2020', '18', '3', '2020', '7', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.02040514');
INSERT INTO public.ecdc_import VALUES (31723, '17/03/2020', '17', '3', '2020', '11', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.85401884');
INSERT INTO public.ecdc_import VALUES (31724, '16/03/2020', '16', '3', '2020', '8', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.64009359');
INSERT INTO public.ecdc_import VALUES (31725, '15/03/2020', '15', '3', '2020', '4', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.85401884');
INSERT INTO public.ecdc_import VALUES (31726, '14/03/2020', '14', '3', '2020', '20', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '2.11548303');
INSERT INTO public.ecdc_import VALUES (31727, '13/03/2020', '13', '3', '2020', '8', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.78271042');
INSERT INTO public.ecdc_import VALUES (31728, '12/03/2020', '12', '3', '2020', '3', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.64009359');
INSERT INTO public.ecdc_import VALUES (31729, '11/03/2020', '11', '3', '2020', '4', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.64009359');
INSERT INTO public.ecdc_import VALUES (31730, '10/03/2020', '10', '3', '2020', '1', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.5450157');
INSERT INTO public.ecdc_import VALUES (31731, '09/03/2020', '9', '3', '2020', '3', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.52124622');
INSERT INTO public.ecdc_import VALUES (31732, '08/03/2020', '8', '3', '2020', '3', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.44993781');
INSERT INTO public.ecdc_import VALUES (31733, '06/03/2020', '6', '3', '2020', '2', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.37862939');
INSERT INTO public.ecdc_import VALUES (31734, '03/03/2020', '3', '3', '2020', '10', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.33109045');
INSERT INTO public.ecdc_import VALUES (31735, '02/03/2020', '2', '3', '2020', '1', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.09339572');
INSERT INTO public.ecdc_import VALUES (31736, '01/03/2020', '1', '3', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.06962625');
INSERT INTO public.ecdc_import VALUES (31737, '29/02/2020', '29', '2', '2020', '2', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.06962625');
INSERT INTO public.ecdc_import VALUES (31738, '28/02/2020', '28', '2', '2020', '17', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '1.02208731');
INSERT INTO public.ecdc_import VALUES (31739, '27/02/2020', '27', '2', '2020', '15', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0.61800628');
INSERT INTO public.ecdc_import VALUES (31740, '26/02/2020', '26', '2', '2020', '6', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0.26146419');
INSERT INTO public.ecdc_import VALUES (31741, '25/02/2020', '25', '2', '2020', '2', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0.11884736');
INSERT INTO public.ecdc_import VALUES (31742, '24/02/2020', '24', '2', '2020', '3', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0.07130842');
INSERT INTO public.ecdc_import VALUES (31743, '23/02/2020', '23', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31744, '22/02/2020', '22', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31745, '21/02/2020', '21', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31746, '20/02/2020', '20', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31747, '19/02/2020', '19', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31748, '18/02/2020', '18', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31749, '17/02/2020', '17', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31750, '16/02/2020', '16', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31751, '15/02/2020', '15', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31752, '14/02/2020', '14', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31753, '13/02/2020', '13', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31754, '12/02/2020', '12', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31755, '11/02/2020', '11', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31756, '10/02/2020', '10', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31757, '09/02/2020', '9', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31758, '08/02/2020', '8', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31759, '07/02/2020', '7', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31760, '06/02/2020', '6', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31761, '05/02/2020', '5', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31762, '04/02/2020', '4', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31763, '03/02/2020', '3', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31764, '02/02/2020', '2', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31765, '01/02/2020', '1', '2', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31766, '31/01/2020', '31', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31767, '30/01/2020', '30', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31768, '29/01/2020', '29', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31769, '28/01/2020', '28', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31770, '27/01/2020', '27', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31771, '26/01/2020', '26', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31772, '25/01/2020', '25', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31773, '24/01/2020', '24', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31774, '23/01/2020', '23', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31775, '22/01/2020', '22', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31776, '21/01/2020', '21', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31777, '20/01/2020', '20', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31778, '19/01/2020', '19', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31779, '18/01/2020', '18', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31780, '17/01/2020', '17', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31781, '16/01/2020', '16', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31782, '15/01/2020', '15', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31783, '14/01/2020', '14', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31784, '13/01/2020', '13', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (31785, '12/01/2020', '12', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31786, '11/01/2020', '11', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31787, '10/01/2020', '10', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31788, '09/01/2020', '9', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31789, '08/01/2020', '8', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31790, '07/01/2020', '7', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31791, '06/01/2020', '6', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31792, '05/01/2020', '5', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31793, '04/01/2020', '4', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31794, '03/01/2020', '3', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31795, '02/01/2020', '2', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31796, '01/01/2020', '1', '1', '2020', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31797, '31/12/2019', '31', '12', '2019', '0', '0', '4207077', 'Kuwait', 'KW', 'KWT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (31798, '14/12/2020', '14', '12', '2020', '318', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '75.85899361');
INSERT INTO public.ecdc_import VALUES (31799, '13/12/2020', '13', '12', '2020', '297', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '76.82535021');
INSERT INTO public.ecdc_import VALUES (31800, '12/12/2020', '12', '12', '2020', '341', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '79.30358732');
INSERT INTO public.ecdc_import VALUES (31801, '11/12/2020', '11', '12', '2020', '327', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '80.58167186');
INSERT INTO public.ecdc_import VALUES (31802, '10/12/2020', '10', '12', '2020', '379', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '81.36099171');
INSERT INTO public.ecdc_import VALUES (31803, '09/12/2020', '9', '12', '2020', '322', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '82.10913876');
INSERT INTO public.ecdc_import VALUES (31804, '08/12/2020', '8', '12', '2020', '295', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '82.98197698');
INSERT INTO public.ecdc_import VALUES (31805, '07/12/2020', '7', '12', '2020', '422', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '85.8810468');
INSERT INTO public.ecdc_import VALUES (31806, '06/12/2020', '6', '12', '2020', '199', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '84.04185197');
INSERT INTO public.ecdc_import VALUES (31807, '05/12/2020', '5', '12', '2020', '401', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '87.67348244');
INSERT INTO public.ecdc_import VALUES (31808, '04/12/2020', '4', '12', '2020', '440', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '88.3904567');
INSERT INTO public.ecdc_import VALUES (31809, '03/12/2020', '3', '12', '2020', '420', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '87.54879127');
INSERT INTO public.ecdc_import VALUES (31810, '02/12/2020', '2', '12', '2020', '335', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '87.57996406');
INSERT INTO public.ecdc_import VALUES (31811, '01/12/2020', '1', '12', '2020', '371', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '88.98273978');
INSERT INTO public.ecdc_import VALUES (31812, '30/11/2020', '30', '11', '2020', '380', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '90.77517542');
INSERT INTO public.ecdc_import VALUES (31813, '29/11/2020', '29', '11', '2020', '456', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '92.31822871');
INSERT INTO public.ecdc_import VALUES (31814, '28/11/2020', '28', '11', '2020', '423', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '93.79893642');
INSERT INTO public.ecdc_import VALUES (31815, '27/11/2020', '27', '11', '2020', '377', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '94.98350258');
INSERT INTO public.ecdc_import VALUES (31816, '26/11/2020', '26', '11', '2020', '427', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '97.94491799');
INSERT INTO public.ecdc_import VALUES (31817, '25/11/2020', '25', '11', '2020', '378', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '99.50355767');
INSERT INTO public.ecdc_import VALUES (31818, '24/11/2020', '24', '11', '2020', '481', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '99.8464584');
INSERT INTO public.ecdc_import VALUES (31819, '23/11/2020', '23', '11', '2020', '304', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '101.23364773');
INSERT INTO public.ecdc_import VALUES (31820, '22/11/2020', '22', '11', '2020', '432', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '105.39521569');
INSERT INTO public.ecdc_import VALUES (31821, '21/11/2020', '21', '11', '2020', '447', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '106.68888663');
INSERT INTO public.ecdc_import VALUES (31822, '20/11/2020', '20', '11', '2020', '386', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '108.38780389');
INSERT INTO public.ecdc_import VALUES (31823, '19/11/2020', '19', '11', '2020', '422', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '109.21388293');
INSERT INTO public.ecdc_import VALUES (31824, '18/11/2020', '18', '11', '2020', '425', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.97514578');
INSERT INTO public.ecdc_import VALUES (31825, '17/11/2020', '17', '11', '2020', '486', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '112.06619356');
INSERT INTO public.ecdc_import VALUES (31826, '16/11/2020', '16', '11', '2020', '479', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.72576343');
INSERT INTO public.ecdc_import VALUES (31827, '15/11/2020', '15', '11', '2020', '551', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.05554836');
INSERT INTO public.ecdc_import VALUES (31828, '14/11/2020', '14', '11', '2020', '499', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.27375792');
INSERT INTO public.ecdc_import VALUES (31829, '13/11/2020', '13', '11', '2020', '567', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.03996196');
INSERT INTO public.ecdc_import VALUES (31830, '12/11/2020', '12', '11', '2020', '527', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.49196747');
INSERT INTO public.ecdc_import VALUES (31831, '11/11/2020', '11', '11', '2020', '400', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.41403549');
INSERT INTO public.ecdc_import VALUES (31832, '10/11/2020', '10', '11', '2020', '570', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '112.56495826');
INSERT INTO public.ecdc_import VALUES (31833, '09/11/2020', '9', '11', '2020', '571', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '112.53378546');
INSERT INTO public.ecdc_import VALUES (31834, '08/11/2020', '8', '11', '2020', '515', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.18023953');
INSERT INTO public.ecdc_import VALUES (31835, '07/11/2020', '7', '11', '2020', '556', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '111.59860165');
INSERT INTO public.ecdc_import VALUES (31836, '06/11/2020', '6', '11', '2020', '439', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '111.59860165');
INSERT INTO public.ecdc_import VALUES (31837, '05/11/2020', '5', '11', '2020', '535', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '113.8274564');
INSERT INTO public.ecdc_import VALUES (31838, '04/11/2020', '4', '11', '2020', '495', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '114.01449317');
INSERT INTO public.ecdc_import VALUES (31839, '03/11/2020', '3', '11', '2020', '400', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '114.8561586');
INSERT INTO public.ecdc_import VALUES (31840, '02/11/2020', '2', '11', '2020', '436', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '114.60677625');
INSERT INTO public.ecdc_import VALUES (31841, '01/11/2020', '1', '11', '2020', '565', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '123.95861438');
INSERT INTO public.ecdc_import VALUES (31842, '31/10/2020', '31', '10', '2020', '484', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '115.15230014');
INSERT INTO public.ecdc_import VALUES (31843, '30/10/2020', '30', '10', '2020', '596', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '114.93409058');
INSERT INTO public.ecdc_import VALUES (31844, '29/10/2020', '29', '10', '2020', '522', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '112.3623351');
INSERT INTO public.ecdc_import VALUES (31845, '28/10/2020', '28', '10', '2020', '538', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.27375792');
INSERT INTO public.ecdc_import VALUES (31846, '27/10/2020', '27', '10', '2020', '568', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '107.03178737');
INSERT INTO public.ecdc_import VALUES (31847, '26/10/2020', '26', '10', '2020', '420', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '108.16959434');
INSERT INTO public.ecdc_import VALUES (31848, '25/10/2020', '25', '10', '2020', '606', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '106.39274509');
INSERT INTO public.ecdc_import VALUES (31849, '24/10/2020', '24', '10', '2020', '556', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '96.94738858');
INSERT INTO public.ecdc_import VALUES (31850, '23/10/2020', '23', '10', '2020', '582', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '93.06637576');
INSERT INTO public.ecdc_import VALUES (31851, '22/10/2020', '22', '10', '2020', '547', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '92.10001916');
INSERT INTO public.ecdc_import VALUES (31852, '21/10/2020', '21', '10', '2020', '549', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '88.21900633');
INSERT INTO public.ecdc_import VALUES (31853, '20/10/2020', '20', '10', '2020', '384', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '79.66207445');
INSERT INTO public.ecdc_import VALUES (31854, '19/10/2020', '19', '10', '2020', '1036', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '76.23306713');
INSERT INTO public.ecdc_import VALUES (31855, '18/10/2020', '18', '10', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '63.31194412');
INSERT INTO public.ecdc_import VALUES (31856, '17/10/2020', '17', '10', '2020', '470', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '67.11502496');
INSERT INTO public.ecdc_import VALUES (31857, '16/10/2020', '16', '10', '2020', '431', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '61.78447723');
INSERT INTO public.ecdc_import VALUES (31858, '15/10/2020', '15', '10', '2020', '388', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '58.4178155');
INSERT INTO public.ecdc_import VALUES (31859, '14/10/2020', '14', '10', '2020', '330', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '55.05115378');
INSERT INTO public.ecdc_import VALUES (31860, '13/10/2020', '13', '10', '2020', '641', '7', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '52.19884315');
INSERT INTO public.ecdc_import VALUES (31861, '12/10/2020', '12', '10', '2020', '306', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '44.81089103');
INSERT INTO public.ecdc_import VALUES (31862, '11/10/2020', '11', '10', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '41.66243886');
INSERT INTO public.ecdc_import VALUES (31863, '10/10/2020', '10', '10', '2020', '307', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '44.17184875');
INSERT INTO public.ecdc_import VALUES (31864, '09/10/2020', '9', '10', '2020', '520', '8', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '41.84947562');
INSERT INTO public.ecdc_import VALUES (31865, '08/10/2020', '8', '10', '2020', '298', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '36.4721687');
INSERT INTO public.ecdc_import VALUES (31866, '07/10/2020', '7', '10', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '33.80689483');
INSERT INTO public.ecdc_import VALUES (31867, '06/10/2020', '6', '10', '2020', '164', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '35.17849776');
INSERT INTO public.ecdc_import VALUES (31868, '05/10/2020', '5', '10', '2020', '207', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '33.72896285');
INSERT INTO public.ecdc_import VALUES (31869, '04/10/2020', '4', '10', '2020', '244', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '31.35983052');
INSERT INTO public.ecdc_import VALUES (31870, '03/10/2020', '3', '10', '2020', '128', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '28.81924783');
INSERT INTO public.ecdc_import VALUES (31871, '02/10/2020', '2', '10', '2020', '215', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '28.24255114');
INSERT INTO public.ecdc_import VALUES (31872, '01/10/2020', '1', '10', '2020', '172', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '26.30983793');
INSERT INTO public.ecdc_import VALUES (31873, '30/09/2020', '30', '9', '2020', '147', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '24.89147582');
INSERT INTO public.ecdc_import VALUES (31874, '29/09/2020', '29', '9', '2020', '167', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '24.84471662');
INSERT INTO public.ecdc_import VALUES (31875, '28/09/2020', '28', '9', '2020', '104', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '22.24178835');
INSERT INTO public.ecdc_import VALUES (31876, '27/09/2020', '27', '9', '2020', '161', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '21.35336372');
INSERT INTO public.ecdc_import VALUES (31877, '26/09/2020', '26', '9', '2020', '158', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '19.67003286');
INSERT INTO public.ecdc_import VALUES (31878, '25/09/2020', '25', '9', '2020', '175', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '19.4518233');
INSERT INTO public.ecdc_import VALUES (31879, '24/09/2020', '24', '9', '2020', '127', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '16.72420385');
INSERT INTO public.ecdc_import VALUES (31880, '23/09/2020', '23', '9', '2020', '88', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.85136563');
INSERT INTO public.ecdc_import VALUES (31881, '22/09/2020', '22', '9', '2020', '71', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.83577923');
INSERT INTO public.ecdc_import VALUES (31882, '21/09/2020', '21', '9', '2020', '55', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.89812482');
INSERT INTO public.ecdc_import VALUES (31883, '20/09/2020', '20', '9', '2020', '81', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.78902004');
INSERT INTO public.ecdc_import VALUES (31884, '19/09/2020', '19', '9', '2020', '91', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.88253842');
INSERT INTO public.ecdc_import VALUES (31885, '18/09/2020', '18', '9', '2020', '91', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.85136563');
INSERT INTO public.ecdc_import VALUES (31886, '17/09/2020', '17', '9', '2020', '81', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.86695202');
INSERT INTO public.ecdc_import VALUES (31887, '16/09/2020', '16', '9', '2020', '144', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '16.14750717');
INSERT INTO public.ecdc_import VALUES (31888, '15/09/2020', '15', '9', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.11880497');
INSERT INTO public.ecdc_import VALUES (31889, '14/09/2020', '14', '9', '2020', '47', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '16.05398878');
INSERT INTO public.ecdc_import VALUES (31890, '13/09/2020', '13', '9', '2020', '53', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '16.53716709');
INSERT INTO public.ecdc_import VALUES (31891, '12/09/2020', '12', '9', '2020', '144', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '17.39441892');
INSERT INTO public.ecdc_import VALUES (31892, '11/09/2020', '11', '9', '2020', '0', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '17.09827738');
INSERT INTO public.ecdc_import VALUES (31893, '10/09/2020', '10', '9', '2020', '71', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '19.09333618');
INSERT INTO public.ecdc_import VALUES (31894, '09/09/2020', '9', '9', '2020', '87', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '19.56092808');
INSERT INTO public.ecdc_import VALUES (31895, '08/09/2020', '8', '9', '2020', '75', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '19.9661744');
INSERT INTO public.ecdc_import VALUES (31896, '07/09/2020', '7', '9', '2020', '48', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '20.65197586');
INSERT INTO public.ecdc_import VALUES (31897, '06/09/2020', '6', '9', '2020', '87', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '23.59780487');
INSERT INTO public.ecdc_import VALUES (31898, '05/09/2020', '5', '9', '2020', '89', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '25.14085817');
INSERT INTO public.ecdc_import VALUES (31899, '04/09/2020', '4', '9', '2020', '92', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '23.75366884');
INSERT INTO public.ecdc_import VALUES (31900, '03/09/2020', '3', '9', '2020', '99', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '28.21137835');
INSERT INTO public.ecdc_import VALUES (31901, '02/09/2020', '2', '9', '2020', '78', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '29.4582901');
INSERT INTO public.ecdc_import VALUES (31902, '01/09/2020', '1', '9', '2020', '60', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '28.24255114');
INSERT INTO public.ecdc_import VALUES (31903, '31/08/2020', '31', '8', '2020', '78', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '29.72325885');
INSERT INTO public.ecdc_import VALUES (31904, '30/08/2020', '30', '8', '2020', '108', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '30.61168347');
INSERT INTO public.ecdc_import VALUES (31905, '29/08/2020', '29', '8', '2020', '125', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '36.4565823');
INSERT INTO public.ecdc_import VALUES (31906, '28/08/2020', '28', '8', '2020', '128', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '39.24654734');
INSERT INTO public.ecdc_import VALUES (31907, '27/08/2020', '27', '8', '2020', '101', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '42.08327157');
INSERT INTO public.ecdc_import VALUES (31908, '26/08/2020', '26', '8', '2020', '113', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '40.50904549');
INSERT INTO public.ecdc_import VALUES (31909, '25/08/2020', '25', '8', '2020', '119', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '43.48604729');
INSERT INTO public.ecdc_import VALUES (31910, '24/08/2020', '24', '8', '2020', '237', '-443', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '45.9642844');
INSERT INTO public.ecdc_import VALUES (31911, '23/08/2020', '23', '8', '2020', '186', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '46.29159873');
INSERT INTO public.ecdc_import VALUES (31912, '22/08/2020', '22', '8', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '48.56721267');
INSERT INTO public.ecdc_import VALUES (31913, '21/08/2020', '21', '8', '2020', '378', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '55.19143135');
INSERT INTO public.ecdc_import VALUES (31914, '20/08/2020', '20', '8', '2020', '179', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '57.13973096');
INSERT INTO public.ecdc_import VALUES (31915, '19/08/2020', '19', '8', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '62.9066978');
INSERT INTO public.ecdc_import VALUES (31916, '18/08/2020', '18', '8', '2020', '155', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '71.77535763');
INSERT INTO public.ecdc_import VALUES (31917, '17/08/2020', '17', '8', '2020', '135', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '75.78106162');
INSERT INTO public.ecdc_import VALUES (31918, '16/08/2020', '16', '8', '2020', '483', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '80.06732077');
INSERT INTO public.ecdc_import VALUES (31919, '15/08/2020', '15', '8', '2020', '304', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '79.08537776');
INSERT INTO public.ecdc_import VALUES (31920, '14/08/2020', '14', '8', '2020', '310', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '82.04679317');
INSERT INTO public.ecdc_import VALUES (31921, '13/08/2020', '13', '8', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '86.28629312');
INSERT INTO public.ecdc_import VALUES (31922, '12/08/2020', '12', '8', '2020', '304', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '96.12130955');
INSERT INTO public.ecdc_import VALUES (31923, '11/08/2020', '11', '8', '2020', '278', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '103.04166976');
INSERT INTO public.ecdc_import VALUES (31924, '10/08/2020', '10', '8', '2020', '258', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '107.24999692');
INSERT INTO public.ecdc_import VALUES (31925, '09/08/2020', '9', '8', '2020', '332', '8', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '110.75693622');
INSERT INTO public.ecdc_import VALUES (31926, '08/08/2020', '8', '8', '2020', '425', '9', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '125.04966216');
INSERT INTO public.ecdc_import VALUES (31927, '07/08/2020', '7', '8', '2020', '503', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '123.36633129');
INSERT INTO public.ecdc_import VALUES (31928, '06/08/2020', '6', '8', '2020', '549', '9', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '129.88144519');
INSERT INTO public.ecdc_import VALUES (31929, '05/08/2020', '5', '8', '2020', '569', '11', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '136.39655908');
INSERT INTO public.ecdc_import VALUES (31930, '04/08/2020', '4', '8', '2020', '412', '7', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '144.797627');
INSERT INTO public.ecdc_import VALUES (31931, '03/08/2020', '3', '8', '2020', '410', '11', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '155.64575923');
INSERT INTO public.ecdc_import VALUES (31932, '02/08/2020', '2', '8', '2020', '420', '12', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '158.778625');
INSERT INTO public.ecdc_import VALUES (31933, '01/08/2020', '1', '8', '2020', '494', '19', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '182.2517387');
INSERT INTO public.ecdc_import VALUES (31934, '31/07/2020', '31', '7', '2020', '582', '14', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '353.87355473');
INSERT INTO public.ecdc_import VALUES (31935, '30/07/2020', '30', '7', '2020', '631', '17', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '354.20086907');
INSERT INTO public.ecdc_import VALUES (31936, '29/07/2020', '29', '7', '2020', '748', '18', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '352.48636541');
INSERT INTO public.ecdc_import VALUES (31937, '28/07/2020', '28', '7', '2020', '548', '28', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '347.67016877');
INSERT INTO public.ecdc_import VALUES (31938, '27/07/2020', '27', '7', '2020', '483', '24', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '345.69069637');
INSERT INTO public.ecdc_import VALUES (31939, '26/07/2020', '26', '7', '2020', '1249', '28', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '345.76862835');
INSERT INTO public.ecdc_import VALUES (31940, '25/07/2020', '25', '7', '2020', '317', '38', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '337.50783801');
INSERT INTO public.ecdc_import VALUES (31941, '24/07/2020', '24', '7', '2020', '921', '42', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '341.17064128');
INSERT INTO public.ecdc_import VALUES (31942, '23/07/2020', '23', '7', '2020', '967', '46', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '334.78021856');
INSERT INTO public.ecdc_import VALUES (31943, '22/07/2020', '22', '7', '2020', '1108', '44', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '325.33486205');
INSERT INTO public.ecdc_import VALUES (31944, '21/07/2020', '21', '7', '2020', '1108', '42', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '313.44244123');
INSERT INTO public.ecdc_import VALUES (31945, '20/07/2020', '20', '7', '2020', '611', '34', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '303.18659208');
INSERT INTO public.ecdc_import VALUES (31946, '19/07/2020', '19', '7', '2020', '1926', '103', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '298.55743221');
INSERT INTO public.ecdc_import VALUES (31947, '18/07/2020', '18', '7', '2020', '11505', '728', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '272.94898214');
INSERT INTO public.ecdc_import VALUES (31948, '17/07/2020', '17', '7', '2020', '603', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '98.72423783');
INSERT INTO public.ecdc_import VALUES (31949, '16/07/2020', '16', '7', '2020', '521', '7', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '105.41080209');
INSERT INTO public.ecdc_import VALUES (31950, '15/07/2020', '15', '7', '2020', '439', '11', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '97.29028932');
INSERT INTO public.ecdc_import VALUES (31951, '14/07/2020', '14', '7', '2020', '421', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '97.29028932');
INSERT INTO public.ecdc_import VALUES (31952, '13/07/2020', '13', '7', '2020', '488', '15', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '95.07702096');
INSERT INTO public.ecdc_import VALUES (31953, '12/07/2020', '12', '7', '2020', '719', '7', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '91.66360004');
INSERT INTO public.ecdc_import VALUES (31954, '11/07/2020', '11', '7', '2020', '552', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '84.11978395');
INSERT INTO public.ecdc_import VALUES (31955, '10/07/2020', '10', '7', '2020', '511', '6', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '80.33228951');
INSERT INTO public.ecdc_import VALUES (31956, '09/07/2020', '9', '7', '2020', '361', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '76.26423993');
INSERT INTO public.ecdc_import VALUES (31957, '08/07/2020', '8', '7', '2020', '345', '13', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '74.19124914');
INSERT INTO public.ecdc_import VALUES (31958, '07/07/2020', '7', '7', '2020', '450', '7', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '72.04032637');
INSERT INTO public.ecdc_import VALUES (31959, '06/07/2020', '6', '7', '2020', '314', '4', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '67.56703047');
INSERT INTO public.ecdc_import VALUES (31960, '05/07/2020', '5', '7', '2020', '283', '10', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '65.86811321');
INSERT INTO public.ecdc_import VALUES (31961, '04/07/2020', '4', '7', '2020', '327', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '64.10685036');
INSERT INTO public.ecdc_import VALUES (31962, '03/07/2020', '3', '7', '2020', '1032', '14', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '62.00268678');
INSERT INTO public.ecdc_import VALUES (31963, '02/07/2020', '2', '7', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '47.97492959');
INSERT INTO public.ecdc_import VALUES (31964, '01/07/2020', '1', '7', '2020', '439', '5', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '49.4556373');
INSERT INTO public.ecdc_import VALUES (31965, '30/06/2020', '30', '6', '2020', '279', '7', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '44.01598479');
INSERT INTO public.ecdc_import VALUES (31966, '29/06/2020', '29', '6', '2020', '269', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '41.22601974');
INSERT INTO public.ecdc_import VALUES (31967, '28/06/2020', '28', '6', '2020', '235', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '38.38929551');
INSERT INTO public.ecdc_import VALUES (31968, '27/06/2020', '27', '6', '2020', '309', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '35.9422312');
INSERT INTO public.ecdc_import VALUES (31969, '26/06/2020', '26', '6', '2020', '250', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '31.76507684');
INSERT INTO public.ecdc_import VALUES (31970, '25/06/2020', '25', '6', '2020', '228', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '28.4451743');
INSERT INTO public.ecdc_import VALUES (31971, '24/06/2020', '24', '6', '2020', '207', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '25.4525861');
INSERT INTO public.ecdc_import VALUES (31972, '23/06/2020', '23', '6', '2020', '163', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '22.81848503');
INSERT INTO public.ecdc_import VALUES (31973, '22/06/2020', '22', '6', '2020', '205', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '20.63638947');
INSERT INTO public.ecdc_import VALUES (31974, '21/06/2020', '21', '6', '2020', '170', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '17.83083803');
INSERT INTO public.ecdc_import VALUES (31975, '20/06/2020', '20', '6', '2020', '192', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '15.69550166');
INSERT INTO public.ecdc_import VALUES (31976, '19/06/2020', '19', '6', '2020', '132', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '13.29519654');
INSERT INTO public.ecdc_import VALUES (31977, '18/06/2020', '18', '6', '2020', '95', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '11.81448883');
INSERT INTO public.ecdc_import VALUES (31978, '17/06/2020', '17', '6', '2020', '90', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '10.77020024');
INSERT INTO public.ecdc_import VALUES (31979, '16/06/2020', '16', '6', '2020', '100', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.77267084');
INSERT INTO public.ecdc_import VALUES (31980, '15/06/2020', '15', '6', '2020', '87', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '8.65045027');
INSERT INTO public.ecdc_import VALUES (31981, '14/06/2020', '14', '6', '2020', '78', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '8.36989512');
INSERT INTO public.ecdc_import VALUES (31982, '13/06/2020', '13', '6', '2020', '41', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '7.55940249');
INSERT INTO public.ecdc_import VALUES (31983, '12/06/2020', '12', '6', '2020', '37', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '7.85554403');
INSERT INTO public.ecdc_import VALUES (31984, '11/06/2020', '11', '6', '2020', '36', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '8.33872233');
INSERT INTO public.ecdc_import VALUES (31985, '10/06/2020', '10', '6', '2020', '38', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '8.93100541');
INSERT INTO public.ecdc_import VALUES (31986, '09/06/2020', '9', '6', '2020', '23', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.14921497');
INSERT INTO public.ecdc_import VALUES (31987, '08/06/2020', '8', '6', '2020', '25', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.33625173');
INSERT INTO public.ecdc_import VALUES (31988, '07/06/2020', '7', '6', '2020', '33', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.41418371');
INSERT INTO public.ecdc_import VALUES (31989, '06/06/2020', '6', '6', '2020', '38', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.5077021');
INSERT INTO public.ecdc_import VALUES (31990, '05/06/2020', '5', '6', '2020', '37', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.13362857');
INSERT INTO public.ecdc_import VALUES (31991, '04/06/2020', '4', '6', '2020', '28', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.13362857');
INSERT INTO public.ecdc_import VALUES (31992, '03/06/2020', '3', '6', '2020', '26', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.36742452');
INSERT INTO public.ecdc_import VALUES (31993, '02/06/2020', '2', '6', '2020', '28', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.38301092');
INSERT INTO public.ecdc_import VALUES (31994, '01/06/2020', '1', '6', '2020', '69', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.36742452');
INSERT INTO public.ecdc_import VALUES (31995, '31/05/2020', '31', '5', '2020', '26', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.5077021');
INSERT INTO public.ecdc_import VALUES (31996, '30/05/2020', '30', '5', '2020', '60', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '9.42977011');
INSERT INTO public.ecdc_import VALUES (31997, '29/05/2020', '29', '5', '2020', '68', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '8.58810468');
INSERT INTO public.ecdc_import VALUES (31998, '28/05/2020', '28', '5', '2020', '74', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '7.9802352');
INSERT INTO public.ecdc_import VALUES (31999, '27/05/2020', '27', '5', '2020', '52', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '7.41912491');
INSERT INTO public.ecdc_import VALUES (32000, '26/05/2020', '26', '5', '2020', '35', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.71773705');
INSERT INTO public.ecdc_import VALUES (32001, '25/05/2020', '25', '5', '2020', '30', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.4995275');
INSERT INTO public.ecdc_import VALUES (32002, '24/05/2020', '24', '5', '2020', '39', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.25014515');
INSERT INTO public.ecdc_import VALUES (32003, '23/05/2020', '23', '5', '2020', '14', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.74890985');
INSERT INTO public.ecdc_import VALUES (32004, '22/05/2020', '22', '5', '2020', '37', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.92036021');
INSERT INTO public.ecdc_import VALUES (32005, '21/05/2020', '21', '5', '2020', '43', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.5151139');
INSERT INTO public.ecdc_import VALUES (32006, '20/05/2020', '20', '5', '2020', '27', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.21897235');
INSERT INTO public.ecdc_import VALUES (32007, '19/05/2020', '19', '5', '2020', '27', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.23455875');
INSERT INTO public.ecdc_import VALUES (32008, '18/05/2020', '18', '5', '2020', '78', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.0163492');
INSERT INTO public.ecdc_import VALUES (32009, '17/05/2020', '17', '5', '2020', '21', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.34613413');
INSERT INTO public.ecdc_import VALUES (32010, '16/05/2020', '16', '5', '2020', '6', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.42406611');
INSERT INTO public.ecdc_import VALUES (32011, '15/05/2020', '15', '5', '2020', '29', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.68903486');
INSERT INTO public.ecdc_import VALUES (32012, '14/05/2020', '14', '5', '2020', '38', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.23702935');
INSERT INTO public.ecdc_import VALUES (32013, '13/05/2020', '13', '5', '2020', '7', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.90971502');
INSERT INTO public.ecdc_import VALUES (32014, '12/05/2020', '12', '5', '2020', '21', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.12792457');
INSERT INTO public.ecdc_import VALUES (32015, '11/05/2020', '11', '5', '2020', '14', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.0032334');
INSERT INTO public.ecdc_import VALUES (32016, '10/05/2020', '10', '5', '2020', '71', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.987647');
INSERT INTO public.ecdc_import VALUES (32017, '09/05/2020', '9', '5', '2020', '25', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.14598157');
INSERT INTO public.ecdc_import VALUES (32018, '08/05/2020', '8', '5', '2020', '11', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.89659922');
INSERT INTO public.ecdc_import VALUES (32019, '07/05/2020', '7', '5', '2020', '24', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.11480878');
INSERT INTO public.ecdc_import VALUES (32020, '06/05/2020', '6', '5', '2020', '28', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.03687679');
INSERT INTO public.ecdc_import VALUES (32021, '05/05/2020', '5', '5', '2020', '13', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.94335841');
INSERT INTO public.ecdc_import VALUES (32022, '04/05/2020', '4', '5', '2020', '35', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.08363598');
INSERT INTO public.ecdc_import VALUES (32023, '03/05/2020', '3', '5', '2020', '26', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.75632165');
INSERT INTO public.ecdc_import VALUES (32024, '02/05/2020', '2', '5', '2020', '23', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.09922238');
INSERT INTO public.ecdc_import VALUES (32025, '01/05/2020', '1', '5', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.005704');
INSERT INTO public.ecdc_import VALUES (32026, '30/04/2020', '30', '4', '2020', '17', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.36419113');
INSERT INTO public.ecdc_import VALUES (32027, '29/04/2020', '29', '4', '2020', '21', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.36419113');
INSERT INTO public.ecdc_import VALUES (32028, '28/04/2020', '28', '4', '2020', '13', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.33301833');
INSERT INTO public.ecdc_import VALUES (32029, '27/04/2020', '27', '4', '2020', '13', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.30184554');
INSERT INTO public.ecdc_import VALUES (32030, '26/04/2020', '26', '4', '2020', '17', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.75385105');
INSERT INTO public.ecdc_import VALUES (32031, '25/04/2020', '25', '4', '2020', '9', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.08116538');
INSERT INTO public.ecdc_import VALUES (32032, '24/04/2020', '24', '4', '2020', '25', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.57993008');
INSERT INTO public.ecdc_import VALUES (32033, '23/04/2020', '23', '4', '2020', '19', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.4708253');
INSERT INTO public.ecdc_import VALUES (32034, '22/04/2020', '22', '4', '2020', '22', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.33054773');
INSERT INTO public.ecdc_import VALUES (32035, '21/04/2020', '21', '4', '2020', '22', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.64227567');
INSERT INTO public.ecdc_import VALUES (32036, '20/04/2020', '20', '4', '2020', '14', '2', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.4864117');
INSERT INTO public.ecdc_import VALUES (32037, '19/04/2020', '19', '4', '2020', '48', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '6.39042272');
INSERT INTO public.ecdc_import VALUES (32038, '18/04/2020', '18', '4', '2020', '17', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.64227567');
INSERT INTO public.ecdc_import VALUES (32039, '17/04/2020', '17', '4', '2020', '23', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.67344846');
INSERT INTO public.ecdc_import VALUES (32040, '16/04/2020', '16', '4', '2020', '17', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.5175845');
INSERT INTO public.ecdc_import VALUES (32041, '15/04/2020', '15', '4', '2020', '19', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.33054773');
INSERT INTO public.ecdc_import VALUES (32042, '14/04/2020', '14', '4', '2020', '11', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.39289332');
INSERT INTO public.ecdc_import VALUES (32043, '13/04/2020', '13', '4', '2020', '42', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '5.22144295');
INSERT INTO public.ecdc_import VALUES (32044, '12/04/2020', '12', '4', '2020', '38', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.56681429');
INSERT INTO public.ecdc_import VALUES (32045, '11/04/2020', '11', '4', '2020', '41', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '4.37977752');
INSERT INTO public.ecdc_import VALUES (32046, '10/04/2020', '10', '4', '2020', '18', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.95894481');
INSERT INTO public.ecdc_import VALUES (32047, '09/04/2020', '9', '4', '2020', '10', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.67838966');
INSERT INTO public.ecdc_import VALUES (32048, '08/04/2020', '8', '4', '2020', '42', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.55369849');
INSERT INTO public.ecdc_import VALUES (32049, '07/04/2020', '7', '4', '2020', '12', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.30431614');
INSERT INTO public.ecdc_import VALUES (32050, '06/04/2020', '6', '4', '2020', '72', '3', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '3.14845217');
INSERT INTO public.ecdc_import VALUES (32051, '05/04/2020', '5', '4', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '2.02623159');
INSERT INTO public.ecdc_import VALUES (32052, '04/04/2020', '4', '4', '2020', '19', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '2.15092277');
INSERT INTO public.ecdc_import VALUES (32053, '03/04/2020', '3', '4', '2020', '13', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '1.85478123');
INSERT INTO public.ecdc_import VALUES (32054, '02/04/2020', '2', '4', '2020', '5', '1', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '1.69891726');
INSERT INTO public.ecdc_import VALUES (32055, '01/04/2020', '1', '4', '2020', '23', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '1.66774447');
INSERT INTO public.ecdc_import VALUES (32056, '31/03/2020', '31', '3', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32057, '30/03/2020', '30', '3', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32058, '29/03/2020', '29', '3', '2020', '26', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32059, '28/03/2020', '28', '3', '2020', '14', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32060, '27/03/2020', '27', '3', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32061, '26/03/2020', '26', '3', '2020', '2', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32062, '25/03/2020', '25', '3', '2020', '26', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32063, '24/03/2020', '24', '3', '2020', '2', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32064, '23/03/2020', '23', '3', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32065, '22/03/2020', '22', '3', '2020', '8', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32066, '21/03/2020', '21', '3', '2020', '0', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32067, '20/03/2020', '20', '3', '2020', '3', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32068, '19/03/2020', '19', '3', '2020', '3', '0', '6415851', 'Kyrgyzstan', 'KG', 'KGZ', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32069, '14/12/2020', '14', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32070, '13/12/2020', '13', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32071, '12/12/2020', '12', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32072, '11/12/2020', '11', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.04184418');
INSERT INTO public.ecdc_import VALUES (32073, '10/12/2020', '10', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.04184418');
INSERT INTO public.ecdc_import VALUES (32074, '09/12/2020', '9', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.04184418');
INSERT INTO public.ecdc_import VALUES (32075, '08/12/2020', '8', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.04184418');
INSERT INTO public.ecdc_import VALUES (32076, '07/12/2020', '7', '12', '2020', '2', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.23711701');
INSERT INTO public.ecdc_import VALUES (32077, '06/12/2020', '6', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32078, '05/12/2020', '5', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32079, '04/12/2020', '4', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32080, '03/12/2020', '3', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32081, '02/12/2020', '2', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32082, '01/12/2020', '1', '12', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32083, '30/11/2020', '30', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32084, '29/11/2020', '29', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32085, '28/11/2020', '28', '11', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.20922089');
INSERT INTO public.ecdc_import VALUES (32086, '27/11/2020', '27', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.19527284');
INSERT INTO public.ecdc_import VALUES (32087, '26/11/2020', '26', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.19527284');
INSERT INTO public.ecdc_import VALUES (32088, '25/11/2020', '25', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.19527284');
INSERT INTO public.ecdc_import VALUES (32089, '24/11/2020', '24', '11', '2020', '14', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.19527284');
INSERT INTO public.ecdc_import VALUES (32090, '23/11/2020', '23', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32091, '22/11/2020', '22', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32092, '21/11/2020', '21', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32093, '20/11/2020', '20', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32094, '19/11/2020', '19', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32095, '18/11/2020', '18', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32096, '17/11/2020', '17', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32097, '16/11/2020', '16', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32098, '15/11/2020', '15', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32099, '14/11/2020', '14', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32100, '13/11/2020', '13', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32101, '12/11/2020', '12', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32102, '11/11/2020', '11', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32103, '10/11/2020', '10', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32104, '09/11/2020', '9', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32105, '08/11/2020', '8', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32106, '07/11/2020', '7', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32107, '06/11/2020', '6', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32108, '05/11/2020', '5', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32109, '04/11/2020', '4', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32110, '03/11/2020', '3', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32111, '02/11/2020', '2', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32112, '01/11/2020', '1', '11', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32113, '31/10/2020', '31', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32114, '30/10/2020', '30', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32115, '29/10/2020', '29', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32116, '28/10/2020', '28', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32117, '27/10/2020', '27', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32118, '26/10/2020', '26', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32119, '25/10/2020', '25', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32120, '24/10/2020', '24', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32121, '23/10/2020', '23', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32122, '22/10/2020', '22', '10', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32123, '21/10/2020', '21', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32124, '20/10/2020', '20', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32125, '19/10/2020', '19', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32126, '18/10/2020', '18', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32127, '17/10/2020', '17', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32128, '16/10/2020', '16', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32129, '15/10/2020', '15', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32130, '14/10/2020', '14', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32131, '13/10/2020', '13', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32132, '12/10/2020', '12', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32133, '11/10/2020', '11', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32134, '10/10/2020', '10', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32135, '09/10/2020', '9', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32136, '08/10/2020', '8', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32137, '07/10/2020', '7', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32138, '06/10/2020', '6', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32139, '05/10/2020', '5', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32140, '04/10/2020', '4', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32141, '03/10/2020', '3', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32142, '02/10/2020', '2', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32143, '01/10/2020', '1', '10', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32144, '30/09/2020', '30', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32145, '29/09/2020', '29', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32146, '28/09/2020', '28', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32147, '27/09/2020', '27', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32148, '26/09/2020', '26', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32149, '25/09/2020', '25', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32150, '24/09/2020', '24', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32151, '23/09/2020', '23', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32152, '22/09/2020', '22', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32153, '21/09/2020', '21', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32154, '20/09/2020', '20', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32155, '19/09/2020', '19', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32156, '18/09/2020', '18', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32157, '17/09/2020', '17', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32158, '16/09/2020', '16', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32159, '15/09/2020', '15', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32160, '14/09/2020', '14', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32161, '13/09/2020', '13', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32162, '12/09/2020', '12', '9', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32163, '11/09/2020', '11', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32164, '10/09/2020', '10', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32165, '09/09/2020', '9', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32166, '08/09/2020', '8', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32167, '07/09/2020', '7', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32168, '06/09/2020', '6', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32169, '05/09/2020', '5', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32170, '04/09/2020', '4', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32171, '03/09/2020', '3', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32172, '02/09/2020', '2', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32173, '01/09/2020', '1', '9', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32174, '31/08/2020', '31', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32175, '30/08/2020', '30', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32176, '29/08/2020', '29', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32177, '28/08/2020', '28', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32178, '27/08/2020', '27', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32179, '26/08/2020', '26', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32180, '25/08/2020', '25', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32181, '24/08/2020', '24', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32182, '23/08/2020', '23', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32183, '22/08/2020', '22', '8', '2020', '2', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.02789612');
INSERT INTO public.ecdc_import VALUES (32184, '21/08/2020', '21', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32185, '20/08/2020', '20', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32186, '19/08/2020', '19', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32187, '18/08/2020', '18', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32188, '17/08/2020', '17', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32189, '16/08/2020', '16', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32190, '15/08/2020', '15', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32191, '14/08/2020', '14', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32192, '13/08/2020', '13', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32193, '12/08/2020', '12', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32194, '11/08/2020', '11', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32195, '10/08/2020', '10', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32196, '09/08/2020', '9', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32197, '08/08/2020', '8', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32198, '07/08/2020', '7', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32199, '06/08/2020', '6', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32200, '05/08/2020', '5', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32201, '04/08/2020', '4', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32202, '03/08/2020', '3', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32203, '02/08/2020', '2', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32204, '01/08/2020', '1', '8', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32205, '31/07/2020', '31', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32206, '30/07/2020', '30', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32207, '29/07/2020', '29', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32208, '28/07/2020', '28', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32209, '27/07/2020', '27', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32210, '26/07/2020', '26', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32211, '25/07/2020', '25', '7', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32212, '24/07/2020', '24', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32213, '23/07/2020', '23', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32214, '22/07/2020', '22', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32215, '21/07/2020', '21', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32216, '20/07/2020', '20', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32217, '19/07/2020', '19', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32218, '18/07/2020', '18', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32219, '17/07/2020', '17', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32220, '16/07/2020', '16', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32221, '15/07/2020', '15', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32222, '14/07/2020', '14', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32223, '13/07/2020', '13', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32224, '12/07/2020', '12', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32225, '11/07/2020', '11', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32226, '10/07/2020', '10', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32227, '09/07/2020', '9', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32228, '08/07/2020', '8', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32229, '07/07/2020', '7', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32230, '06/07/2020', '6', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32231, '05/07/2020', '5', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32232, '04/07/2020', '4', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32233, '03/07/2020', '3', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32234, '02/07/2020', '2', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32235, '01/07/2020', '1', '7', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32236, '30/06/2020', '30', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32237, '29/06/2020', '29', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32238, '28/06/2020', '28', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32239, '27/06/2020', '27', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32240, '26/06/2020', '26', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32241, '25/06/2020', '25', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32242, '24/06/2020', '24', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32243, '23/06/2020', '23', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32244, '22/06/2020', '22', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32245, '21/06/2020', '21', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32246, '20/06/2020', '20', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32247, '19/06/2020', '19', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32248, '18/06/2020', '18', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32249, '17/06/2020', '17', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32250, '16/06/2020', '16', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32251, '15/06/2020', '15', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32252, '14/06/2020', '14', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32253, '13/06/2020', '13', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32254, '12/06/2020', '12', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32255, '11/06/2020', '11', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32256, '10/06/2020', '10', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32257, '09/06/2020', '9', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32258, '08/06/2020', '8', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32259, '07/06/2020', '7', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32260, '06/06/2020', '6', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32261, '05/06/2020', '5', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32262, '04/06/2020', '4', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32263, '03/06/2020', '3', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32264, '02/06/2020', '2', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32265, '01/06/2020', '1', '6', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32266, '31/05/2020', '31', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32267, '30/05/2020', '30', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32268, '29/05/2020', '29', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32269, '28/05/2020', '28', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32270, '27/05/2020', '27', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32271, '26/05/2020', '26', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32272, '25/05/2020', '25', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32273, '24/05/2020', '24', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32274, '23/05/2020', '23', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32275, '22/05/2020', '22', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32276, '21/05/2020', '21', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32277, '20/05/2020', '20', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32278, '19/05/2020', '19', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32279, '18/05/2020', '18', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32280, '17/05/2020', '17', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32281, '16/05/2020', '16', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32282, '15/05/2020', '15', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32283, '14/05/2020', '14', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32284, '13/05/2020', '13', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32285, '12/05/2020', '12', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32286, '11/05/2020', '11', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32287, '10/05/2020', '10', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32288, '09/05/2020', '9', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32289, '08/05/2020', '8', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32290, '07/05/2020', '7', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32291, '06/05/2020', '6', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32292, '05/05/2020', '5', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32293, '04/05/2020', '4', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32294, '03/05/2020', '3', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32295, '02/05/2020', '2', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32296, '01/05/2020', '1', '5', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32297, '30/04/2020', '30', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32298, '29/04/2020', '29', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32299, '28/04/2020', '28', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32300, '27/04/2020', '27', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32301, '26/04/2020', '26', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.01394806');
INSERT INTO public.ecdc_import VALUES (32302, '25/04/2020', '25', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.04184418');
INSERT INTO public.ecdc_import VALUES (32303, '24/04/2020', '24', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.04184418');
INSERT INTO public.ecdc_import VALUES (32304, '23/04/2020', '23', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.05579224');
INSERT INTO public.ecdc_import VALUES (32305, '22/04/2020', '22', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.09763642');
INSERT INTO public.ecdc_import VALUES (32306, '21/04/2020', '21', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.09763642');
INSERT INTO public.ecdc_import VALUES (32307, '20/04/2020', '20', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.11158448');
INSERT INTO public.ecdc_import VALUES (32308, '19/04/2020', '19', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.12553254');
INSERT INTO public.ecdc_import VALUES (32309, '18/04/2020', '18', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.12553254');
INSERT INTO public.ecdc_import VALUES (32310, '17/04/2020', '17', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.12553254');
INSERT INTO public.ecdc_import VALUES (32311, '16/04/2020', '16', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.12553254');
INSERT INTO public.ecdc_import VALUES (32312, '15/04/2020', '15', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.1394806');
INSERT INTO public.ecdc_import VALUES (32313, '14/04/2020', '14', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.1394806');
INSERT INTO public.ecdc_import VALUES (32314, '13/04/2020', '13', '4', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.18132478');
INSERT INTO public.ecdc_import VALUES (32315, '12/04/2020', '12', '4', '2020', '2', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.16737672');
INSERT INTO public.ecdc_import VALUES (32316, '11/04/2020', '11', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.1394806');
INSERT INTO public.ecdc_import VALUES (32317, '10/04/2020', '10', '4', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.1394806');
INSERT INTO public.ecdc_import VALUES (32318, '09/04/2020', '9', '4', '2020', '3', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.18132478');
INSERT INTO public.ecdc_import VALUES (32319, '08/04/2020', '8', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.1394806');
INSERT INTO public.ecdc_import VALUES (32320, '07/04/2020', '7', '4', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '0.16737672');
INSERT INTO public.ecdc_import VALUES (32321, '06/04/2020', '6', '4', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32322, '05/04/2020', '5', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32323, '04/04/2020', '4', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32324, '03/04/2020', '3', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32325, '02/04/2020', '2', '4', '2020', '1', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32326, '01/04/2020', '1', '4', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32327, '31/03/2020', '31', '3', '2020', '3', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32328, '30/03/2020', '30', '3', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32329, '29/03/2020', '29', '3', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32330, '28/03/2020', '28', '3', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32331, '27/03/2020', '27', '3', '2020', '4', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32332, '26/03/2020', '26', '3', '2020', '0', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32333, '25/03/2020', '25', '3', '2020', '2', '0', '7169456', 'Laos', 'LA', 'LAO', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32334, '14/12/2020', '14', '12', '2020', '629', '25', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '453.13255221');
INSERT INTO public.ecdc_import VALUES (32335, '13/12/2020', '13', '12', '2020', '660', '5', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '441.93444891');
INSERT INTO public.ecdc_import VALUES (32336, '12/12/2020', '12', '12', '2020', '680', '15', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '446.77827964');
INSERT INTO public.ecdc_import VALUES (32337, '11/12/2020', '11', '12', '2020', '890', '11', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '444.53865898');
INSERT INTO public.ecdc_import VALUES (32338, '10/12/2020', '10', '12', '2020', '712', '5', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '444.95533259');
INSERT INTO public.ecdc_import VALUES (32339, '09/12/2020', '9', '12', '2020', '584', '16', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '438.080218');
INSERT INTO public.ecdc_import VALUES (32340, '08/12/2020', '8', '12', '2020', '207', '10', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '431.46552443');
INSERT INTO public.ecdc_import VALUES (32341, '07/12/2020', '7', '12', '2020', '526', '9', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '426.7258621');
INSERT INTO public.ecdc_import VALUES (32342, '06/12/2020', '6', '12', '2020', '794', '11', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '418.91323189');
INSERT INTO public.ecdc_import VALUES (32343, '05/12/2020', '5', '12', '2020', '686', '7', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '410.99643327');
INSERT INTO public.ecdc_import VALUES (32344, '04/12/2020', '4', '12', '2020', '930', '11', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '395.05866764');
INSERT INTO public.ecdc_import VALUES (32345, '03/12/2020', '3', '12', '2020', '690', '14', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '365.68317805');
INSERT INTO public.ecdc_import VALUES (32346, '02/12/2020', '2', '12', '2020', '612', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '352.7662961');
INSERT INTO public.ecdc_import VALUES (32347, '01/12/2020', '1', '12', '2020', '100', '9', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '335.37017284');
INSERT INTO public.ecdc_import VALUES (32348, '30/11/2020', '30', '11', '2020', '414', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '334.79724662');
INSERT INTO public.ecdc_import VALUES (32349, '29/11/2020', '29', '11', '2020', '753', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '329.69299488');
INSERT INTO public.ecdc_import VALUES (32350, '28/11/2020', '28', '11', '2020', '637', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '311.04685078');
INSERT INTO public.ecdc_import VALUES (32351, '27/11/2020', '27', '11', '2020', '898', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '301.56752613');
INSERT INTO public.ecdc_import VALUES (32352, '26/11/2020', '26', '11', '2020', '580', '9', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '282.55679261');
INSERT INTO public.ecdc_import VALUES (32353, '25/11/2020', '25', '11', '2020', '457', '13', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '275.94209903');
INSERT INTO public.ecdc_import VALUES (32354, '24/11/2020', '24', '11', '2020', '116', '9', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '262.97313289');
INSERT INTO public.ecdc_import VALUES (32355, '23/11/2020', '23', '11', '2020', '376', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '261.72311205');
INSERT INTO public.ecdc_import VALUES (32356, '22/11/2020', '22', '11', '2020', '642', '7', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '253.33755563');
INSERT INTO public.ecdc_import VALUES (32357, '21/11/2020', '21', '11', '2020', '380', '5', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '240.94151569');
INSERT INTO public.ecdc_import VALUES (32358, '20/11/2020', '20', '11', '2020', '366', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '239.74357906');
INSERT INTO public.ecdc_import VALUES (32359, '19/11/2020', '19', '11', '2020', '442', '5', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '239.79566326');
INSERT INTO public.ecdc_import VALUES (32360, '18/11/2020', '18', '11', '2020', '278', '6', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '233.07680128');
INSERT INTO public.ecdc_import VALUES (32361, '17/11/2020', '17', '11', '2020', '89', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '227.50379173');
INSERT INTO public.ecdc_import VALUES (32362, '16/11/2020', '16', '11', '2020', '316', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '229.74341239');
INSERT INTO public.ecdc_import VALUES (32363, '15/11/2020', '15', '11', '2020', '395', '5', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '225.88918149');
INSERT INTO public.ecdc_import VALUES (32364, '14/11/2020', '14', '11', '2020', '455', '9', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '216.51402523');
INSERT INTO public.ecdc_import VALUES (32365, '13/11/2020', '13', '11', '2020', '533', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '207.60762679');
INSERT INTO public.ecdc_import VALUES (32366, '12/11/2020', '12', '11', '2020', '453', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '192.919882');
INSERT INTO public.ecdc_import VALUES (32367, '11/11/2020', '11', '11', '2020', '208', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '182.39887331');
INSERT INTO public.ecdc_import VALUES (32368, '10/11/2020', '10', '11', '2020', '92', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '178.64881081');
INSERT INTO public.ecdc_import VALUES (32369, '09/11/2020', '9', '11', '2020', '215', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '177.9717162');
INSERT INTO public.ecdc_import VALUES (32370, '08/11/2020', '8', '11', '2020', '404', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '177.76337939');
INSERT INTO public.ecdc_import VALUES (32371, '07/11/2020', '7', '11', '2020', '357', '7', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '170.21117019');
INSERT INTO public.ecdc_import VALUES (32372, '06/11/2020', '6', '11', '2020', '367', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '164.63816064');
INSERT INTO public.ecdc_import VALUES (32373, '05/11/2020', '5', '11', '2020', '313', '6', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '153.90881515');
INSERT INTO public.ecdc_import VALUES (32374, '04/11/2020', '4', '11', '2020', '171', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '147.39828997');
INSERT INTO public.ecdc_import VALUES (32375, '03/11/2020', '3', '11', '2020', '132', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '144.48157469');
INSERT INTO public.ecdc_import VALUES (32376, '02/11/2020', '2', '11', '2020', '242', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '139.89816497');
INSERT INTO public.ecdc_import VALUES (32377, '01/11/2020', '1', '11', '2020', '215', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '130.31467191');
INSERT INTO public.ecdc_import VALUES (32378, '31/10/2020', '31', '10', '2020', '284', '5', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '128.90839847');
INSERT INTO public.ecdc_import VALUES (32379, '30/10/2020', '30', '10', '2020', '251', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '121.82494708');
INSERT INTO public.ecdc_import VALUES (32380, '29/10/2020', '29', '10', '2020', '251', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '114.68941149');
INSERT INTO public.ecdc_import VALUES (32381, '28/10/2020', '28', '10', '2020', '136', '3', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '106.92886548');
INSERT INTO public.ecdc_import VALUES (32382, '27/10/2020', '27', '10', '2020', '79', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '103.7517292');
INSERT INTO public.ecdc_import VALUES (32383, '26/10/2020', '26', '10', '2020', '211', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '104.58507642');
INSERT INTO public.ecdc_import VALUES (32384, '25/10/2020', '25', '10', '2020', '259', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '97.44954083');
INSERT INTO public.ecdc_import VALUES (32385, '24/10/2020', '24', '10', '2020', '250', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '88.59522659');
INSERT INTO public.ecdc_import VALUES (32386, '23/10/2020', '23', '10', '2020', '161', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '82.70971183');
INSERT INTO public.ecdc_import VALUES (32387, '22/10/2020', '22', '10', '2020', '188', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '80.00133336');
INSERT INTO public.ecdc_import VALUES (32388, '21/10/2020', '21', '10', '2020', '115', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '73.69914499');
INSERT INTO public.ecdc_import VALUES (32389, '20/10/2020', '20', '10', '2020', '44', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '71.25118752');
INSERT INTO public.ecdc_import VALUES (32390, '19/10/2020', '19', '10', '2020', '58', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '71.04285071');
INSERT INTO public.ecdc_import VALUES (32391, '18/10/2020', '18', '10', '2020', '188', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '71.51160853');
INSERT INTO public.ecdc_import VALUES (32392, '17/10/2020', '17', '10', '2020', '148', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '65.57400957');
INSERT INTO public.ecdc_import VALUES (32393, '16/10/2020', '16', '10', '2020', '114', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '61.87603127');
INSERT INTO public.ecdc_import VALUES (32394, '15/10/2020', '15', '10', '2020', '102', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '58.23013717');
INSERT INTO public.ecdc_import VALUES (32395, '14/10/2020', '14', '10', '2020', '75', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '57.86554776');
INSERT INTO public.ecdc_import VALUES (32396, '13/10/2020', '13', '10', '2020', '95', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '55.6259271');
INSERT INTO public.ecdc_import VALUES (32397, '12/10/2020', '12', '10', '2020', '74', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '51.77169619');
INSERT INTO public.ecdc_import VALUES (32398, '11/10/2020', '11', '10', '2020', '89', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '49.06331772');
INSERT INTO public.ecdc_import VALUES (32399, '10/10/2020', '10', '10', '2020', '137', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '45.93826564');
INSERT INTO public.ecdc_import VALUES (32400, '09/10/2020', '9', '10', '2020', '109', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '40.41734029');
INSERT INTO public.ecdc_import VALUES (32401, '08/10/2020', '8', '10', '2020', '67', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '35.88601477');
INSERT INTO public.ecdc_import VALUES (32402, '07/10/2020', '7', '10', '2020', '68', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '33.02138369');
INSERT INTO public.ecdc_import VALUES (32403, '06/10/2020', '6', '10', '2020', '40', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '31.25052084');
INSERT INTO public.ecdc_import VALUES (32404, '05/10/2020', '5', '10', '2020', '67', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '29.21923699');
INSERT INTO public.ecdc_import VALUES (32405, '04/10/2020', '4', '10', '2020', '74', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '26.25043751');
INSERT INTO public.ecdc_import VALUES (32406, '03/10/2020', '3', '10', '2020', '77', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '23.28163803');
INSERT INTO public.ecdc_import VALUES (32407, '02/10/2020', '2', '10', '2020', '44', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '19.47949132');
INSERT INTO public.ecdc_import VALUES (32408, '01/10/2020', '1', '10', '2020', '95', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '17.60446007');
INSERT INTO public.ecdc_import VALUES (32409, '30/09/2020', '30', '9', '2020', '32', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '12.86479775');
INSERT INTO public.ecdc_import VALUES (32410, '29/09/2020', '29', '9', '2020', '21', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '11.45852431');
INSERT INTO public.ecdc_import VALUES (32411, '28/09/2020', '28', '9', '2020', '22', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '10.52100868');
INSERT INTO public.ecdc_import VALUES (32412, '27/09/2020', '27', '9', '2020', '29', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.89599827');
INSERT INTO public.ecdc_import VALUES (32413, '26/09/2020', '26', '9', '2020', '31', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '8.64597743');
INSERT INTO public.ecdc_import VALUES (32414, '25/09/2020', '25', '9', '2020', '22', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '7.6042934');
INSERT INTO public.ecdc_import VALUES (32415, '24/09/2020', '24', '9', '2020', '12', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.71886198');
INSERT INTO public.ecdc_import VALUES (32416, '23/09/2020', '23', '9', '2020', '34', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.66677778');
INSERT INTO public.ecdc_import VALUES (32417, '22/09/2020', '22', '9', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.05216754');
INSERT INTO public.ecdc_import VALUES (32418, '21/09/2020', '21', '9', '2020', '10', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.05216754');
INSERT INTO public.ecdc_import VALUES (32419, '20/09/2020', '20', '9', '2020', '17', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.68757813');
INSERT INTO public.ecdc_import VALUES (32420, '19/09/2020', '19', '9', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.27090452');
INSERT INTO public.ecdc_import VALUES (32421, '18/09/2020', '18', '9', '2020', '8', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.37507292');
INSERT INTO public.ecdc_import VALUES (32422, '17/09/2020', '17', '9', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.16673611');
INSERT INTO public.ecdc_import VALUES (32423, '16/09/2020', '16', '9', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.06256771');
INSERT INTO public.ecdc_import VALUES (32424, '15/09/2020', '15', '9', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.21882031');
INSERT INTO public.ecdc_import VALUES (32425, '14/09/2020', '14', '9', '2020', '10', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.21882031');
INSERT INTO public.ecdc_import VALUES (32426, '13/09/2020', '13', '9', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.63549392');
INSERT INTO public.ecdc_import VALUES (32427, '12/09/2020', '12', '9', '2020', '11', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.37507292');
INSERT INTO public.ecdc_import VALUES (32428, '11/09/2020', '11', '9', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.27090452');
INSERT INTO public.ecdc_import VALUES (32429, '10/09/2020', '10', '9', '2020', '11', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.32298872');
INSERT INTO public.ecdc_import VALUES (32430, '09/09/2020', '9', '9', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.68757813');
INSERT INTO public.ecdc_import VALUES (32431, '08/09/2020', '8', '9', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.79174653');
INSERT INTO public.ecdc_import VALUES (32432, '07/09/2020', '7', '9', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.73966233');
INSERT INTO public.ecdc_import VALUES (32433, '06/09/2020', '6', '9', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.79174653');
INSERT INTO public.ecdc_import VALUES (32434, '05/09/2020', '5', '9', '2020', '6', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.47924132');
INSERT INTO public.ecdc_import VALUES (32435, '04/09/2020', '4', '9', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.32298872');
INSERT INTO public.ecdc_import VALUES (32436, '03/09/2020', '3', '9', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.16673611');
INSERT INTO public.ecdc_import VALUES (32437, '02/09/2020', '2', '9', '2020', '8', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.21882031');
INSERT INTO public.ecdc_import VALUES (32438, '01/09/2020', '1', '9', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.8021467');
INSERT INTO public.ecdc_import VALUES (32439, '31/08/2020', '31', '8', '2020', '18', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.6979783');
INSERT INTO public.ecdc_import VALUES (32440, '30/08/2020', '30', '8', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.12505208');
INSERT INTO public.ecdc_import VALUES (32441, '29/08/2020', '29', '8', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.48964149');
INSERT INTO public.ecdc_import VALUES (32442, '28/08/2020', '28', '8', '2020', '6', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.07296788');
INSERT INTO public.ecdc_import VALUES (32443, '27/08/2020', '27', '8', '2020', '18', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.96879948');
INSERT INTO public.ecdc_import VALUES (32444, '26/08/2020', '26', '8', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.03128385');
INSERT INTO public.ecdc_import VALUES (32445, '25/08/2020', '25', '8', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.29170486');
INSERT INTO public.ecdc_import VALUES (32446, '24/08/2020', '24', '8', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.44795747');
INSERT INTO public.ecdc_import VALUES (32447, '23/08/2020', '23', '8', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.34378906');
INSERT INTO public.ecdc_import VALUES (32448, '22/08/2020', '22', '8', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.55212587');
INSERT INTO public.ecdc_import VALUES (32449, '21/08/2020', '21', '8', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.70837847');
INSERT INTO public.ecdc_import VALUES (32450, '20/08/2020', '20', '8', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.5938099');
INSERT INTO public.ecdc_import VALUES (32451, '19/08/2020', '19', '8', '2020', '0', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.8542309');
INSERT INTO public.ecdc_import VALUES (32452, '18/08/2020', '18', '8', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.01048351');
INSERT INTO public.ecdc_import VALUES (32453, '17/08/2020', '17', '8', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.11465191');
INSERT INTO public.ecdc_import VALUES (32454, '16/08/2020', '16', '8', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.01048351');
INSERT INTO public.ecdc_import VALUES (32455, '15/08/2020', '15', '8', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.01048351');
INSERT INTO public.ecdc_import VALUES (32456, '14/08/2020', '14', '8', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.11465191');
INSERT INTO public.ecdc_import VALUES (32457, '13/08/2020', '13', '8', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.11465191');
INSERT INTO public.ecdc_import VALUES (32458, '12/08/2020', '12', '8', '2020', '10', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.32298872');
INSERT INTO public.ecdc_import VALUES (32459, '11/08/2020', '11', '8', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.8021467');
INSERT INTO public.ecdc_import VALUES (32460, '10/08/2020', '10', '8', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.6979783');
INSERT INTO public.ecdc_import VALUES (32461, '09/08/2020', '9', '8', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.27090452');
INSERT INTO public.ecdc_import VALUES (32462, '08/08/2020', '8', '8', '2020', '6', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.95839931');
INSERT INTO public.ecdc_import VALUES (32463, '07/08/2020', '7', '8', '2020', '18', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.7500625');
INSERT INTO public.ecdc_import VALUES (32464, '06/08/2020', '6', '8', '2020', '8', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.12505208');
INSERT INTO public.ecdc_import VALUES (32465, '05/08/2020', '5', '8', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.91671528');
INSERT INTO public.ecdc_import VALUES (32466, '04/08/2020', '4', '8', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.81254688');
INSERT INTO public.ecdc_import VALUES (32467, '03/08/2020', '3', '8', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.65629427');
INSERT INTO public.ecdc_import VALUES (32468, '02/08/2020', '2', '8', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.55212587');
INSERT INTO public.ecdc_import VALUES (32469, '01/08/2020', '1', '8', '2020', '3', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.39587326');
INSERT INTO public.ecdc_import VALUES (32470, '31/07/2020', '31', '7', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.55212587');
INSERT INTO public.ecdc_import VALUES (32471, '30/07/2020', '30', '7', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.39587326');
INSERT INTO public.ecdc_import VALUES (32472, '29/07/2020', '29', '7', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.18753646');
INSERT INTO public.ecdc_import VALUES (32473, '28/07/2020', '28', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.39587326');
INSERT INTO public.ecdc_import VALUES (32474, '27/07/2020', '27', '7', '2020', '13', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.39587326');
INSERT INTO public.ecdc_import VALUES (32475, '26/07/2020', '26', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.71877865');
INSERT INTO public.ecdc_import VALUES (32476, '25/07/2020', '25', '7', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.65629427');
INSERT INTO public.ecdc_import VALUES (32477, '24/07/2020', '24', '7', '2020', '6', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.55212587');
INSERT INTO public.ecdc_import VALUES (32478, '23/07/2020', '23', '7', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.91671528');
INSERT INTO public.ecdc_import VALUES (32479, '22/07/2020', '22', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.07296788');
INSERT INTO public.ecdc_import VALUES (32480, '21/07/2020', '21', '7', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.38547309');
INSERT INTO public.ecdc_import VALUES (32481, '20/07/2020', '20', '7', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.5417257');
INSERT INTO public.ecdc_import VALUES (32482, '19/07/2020', '19', '7', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.43755729');
INSERT INTO public.ecdc_import VALUES (32483, '18/07/2020', '18', '7', '2020', '6', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.28130469');
INSERT INTO public.ecdc_import VALUES (32484, '17/07/2020', '17', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.96879948');
INSERT INTO public.ecdc_import VALUES (32485, '16/07/2020', '16', '7', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.96879948');
INSERT INTO public.ecdc_import VALUES (32486, '15/07/2020', '15', '7', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.12505208');
INSERT INTO public.ecdc_import VALUES (32487, '14/07/2020', '14', '7', '2020', '1', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.96879948');
INSERT INTO public.ecdc_import VALUES (32488, '13/07/2020', '13', '7', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.96879948');
INSERT INTO public.ecdc_import VALUES (32489, '12/07/2020', '12', '7', '2020', '19', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.02088368');
INSERT INTO public.ecdc_import VALUES (32490, '11/07/2020', '11', '7', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.18753646');
INSERT INTO public.ecdc_import VALUES (32491, '10/07/2020', '10', '7', '2020', '13', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.23962066');
INSERT INTO public.ecdc_import VALUES (32492, '09/07/2020', '9', '7', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.56252604');
INSERT INTO public.ecdc_import VALUES (32493, '08/07/2020', '8', '7', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.19793663');
INSERT INTO public.ecdc_import VALUES (32494, '07/07/2020', '7', '7', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.83334722');
INSERT INTO public.ecdc_import VALUES (32495, '06/07/2020', '6', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.67709462');
INSERT INTO public.ecdc_import VALUES (32496, '05/07/2020', '5', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.62501042');
INSERT INTO public.ecdc_import VALUES (32497, '04/07/2020', '4', '7', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.62501042');
INSERT INTO public.ecdc_import VALUES (32498, '03/07/2020', '3', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.72917882');
INSERT INTO public.ecdc_import VALUES (32499, '02/07/2020', '2', '7', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.88543142');
INSERT INTO public.ecdc_import VALUES (32500, '01/07/2020', '1', '7', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.04168403');
INSERT INTO public.ecdc_import VALUES (32501, '30/06/2020', '30', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.04168403');
INSERT INTO public.ecdc_import VALUES (32502, '29/06/2020', '29', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.98959983');
INSERT INTO public.ecdc_import VALUES (32503, '28/06/2020', '28', '6', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.93751563');
INSERT INTO public.ecdc_import VALUES (32504, '27/06/2020', '27', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.83334722');
INSERT INTO public.ecdc_import VALUES (32505, '26/06/2020', '26', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.88543142');
INSERT INTO public.ecdc_import VALUES (32506, '25/06/2020', '25', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.98959983');
INSERT INTO public.ecdc_import VALUES (32507, '24/06/2020', '24', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.14585243');
INSERT INTO public.ecdc_import VALUES (32508, '23/06/2020', '23', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.19793663');
INSERT INTO public.ecdc_import VALUES (32509, '22/06/2020', '22', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.19793663');
INSERT INTO public.ecdc_import VALUES (32510, '21/06/2020', '21', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.30210504');
INSERT INTO public.ecdc_import VALUES (32511, '20/06/2020', '20', '6', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.45835764');
INSERT INTO public.ecdc_import VALUES (32512, '19/06/2020', '19', '6', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.35418924');
INSERT INTO public.ecdc_import VALUES (32513, '18/06/2020', '18', '6', '2020', '6', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.30210504');
INSERT INTO public.ecdc_import VALUES (32514, '17/06/2020', '17', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '0.98959983');
INSERT INTO public.ecdc_import VALUES (32515, '16/06/2020', '16', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.35418924');
INSERT INTO public.ecdc_import VALUES (32516, '15/06/2020', '15', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.61461024');
INSERT INTO public.ecdc_import VALUES (32517, '14/06/2020', '14', '6', '2020', '1', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.66669444');
INSERT INTO public.ecdc_import VALUES (32518, '13/06/2020', '13', '6', '2020', '2', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.66669444');
INSERT INTO public.ecdc_import VALUES (32519, '12/06/2020', '12', '6', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.71877865');
INSERT INTO public.ecdc_import VALUES (32520, '11/06/2020', '11', '6', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.82294705');
INSERT INTO public.ecdc_import VALUES (32521, '10/06/2020', '10', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '1.87503125');
INSERT INTO public.ecdc_import VALUES (32522, '09/06/2020', '9', '6', '2020', '0', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.03128385');
INSERT INTO public.ecdc_import VALUES (32523, '08/06/2020', '8', '6', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.13545226');
INSERT INTO public.ecdc_import VALUES (32524, '07/06/2020', '7', '6', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.08336806');
INSERT INTO public.ecdc_import VALUES (32525, '06/06/2020', '6', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.70837847');
INSERT INTO public.ecdc_import VALUES (32526, '05/06/2020', '5', '6', '2020', '3', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '2.96879948');
INSERT INTO public.ecdc_import VALUES (32527, '04/06/2020', '4', '6', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.28130469');
INSERT INTO public.ecdc_import VALUES (32528, '03/06/2020', '3', '6', '2020', '8', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.48964149');
INSERT INTO public.ecdc_import VALUES (32529, '02/06/2020', '2', '6', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.22922049');
INSERT INTO public.ecdc_import VALUES (32530, '01/06/2020', '1', '6', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.02088368');
INSERT INTO public.ecdc_import VALUES (32531, '31/05/2020', '31', '5', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '3.5417257');
INSERT INTO public.ecdc_import VALUES (32532, '30/05/2020', '30', '5', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.89591493');
INSERT INTO public.ecdc_import VALUES (32533, '29/05/2020', '29', '5', '2020', '4', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.15633594');
INSERT INTO public.ecdc_import VALUES (32534, '28/05/2020', '28', '5', '2020', '4', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.52092535');
INSERT INTO public.ecdc_import VALUES (32535, '27/05/2020', '27', '5', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.36467274');
INSERT INTO public.ecdc_import VALUES (32536, '26/05/2020', '26', '5', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.36467274');
INSERT INTO public.ecdc_import VALUES (32537, '25/05/2020', '25', '5', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.62509375');
INSERT INTO public.ecdc_import VALUES (32538, '24/05/2020', '24', '5', '2020', '16', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.04176736');
INSERT INTO public.ecdc_import VALUES (32539, '23/05/2020', '23', '5', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.31258854');
INSERT INTO public.ecdc_import VALUES (32540, '22/05/2020', '22', '5', '2020', '9', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.04176736');
INSERT INTO public.ecdc_import VALUES (32541, '21/05/2020', '21', '5', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.04176736');
INSERT INTO public.ecdc_import VALUES (32542, '20/05/2020', '20', '5', '2020', '3', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.04176736');
INSERT INTO public.ecdc_import VALUES (32543, '19/05/2020', '19', '5', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.88551476');
INSERT INTO public.ecdc_import VALUES (32544, '18/05/2020', '18', '5', '2020', '11', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.71886198');
INSERT INTO public.ecdc_import VALUES (32545, '17/05/2020', '17', '5', '2020', '27', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.56260938');
INSERT INTO public.ecdc_import VALUES (32546, '16/05/2020', '16', '5', '2020', '8', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.20842014');
INSERT INTO public.ecdc_import VALUES (32547, '15/05/2020', '15', '5', '2020', '11', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.41675695');
INSERT INTO public.ecdc_import VALUES (32548, '14/05/2020', '14', '5', '2020', '1', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.31258854');
INSERT INTO public.ecdc_import VALUES (32549, '13/05/2020', '13', '5', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.93759896');
INSERT INTO public.ecdc_import VALUES (32550, '12/05/2020', '12', '5', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.66677778');
INSERT INTO public.ecdc_import VALUES (32551, '11/05/2020', '11', '5', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.61469358');
INSERT INTO public.ecdc_import VALUES (32552, '10/05/2020', '10', '5', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.56260938');
INSERT INTO public.ecdc_import VALUES (32553, '09/05/2020', '9', '5', '2020', '19', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '7.500125');
INSERT INTO public.ecdc_import VALUES (32554, '08/05/2020', '8', '5', '2020', '9', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.82303038');
INSERT INTO public.ecdc_import VALUES (32555, '07/05/2020', '7', '5', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '7.239704');
INSERT INTO public.ecdc_import VALUES (32556, '06/05/2020', '6', '5', '2020', '0', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '7.70846181');
INSERT INTO public.ecdc_import VALUES (32557, '05/05/2020', '5', '5', '2020', '17', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '8.17721962');
INSERT INTO public.ecdc_import VALUES (32558, '04/05/2020', '4', '5', '2020', '8', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '7.91679861');
INSERT INTO public.ecdc_import VALUES (32559, '03/05/2020', '3', '5', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '8.28138802');
INSERT INTO public.ecdc_import VALUES (32560, '02/05/2020', '2', '5', '2020', '12', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.79182986');
INSERT INTO public.ecdc_import VALUES (32561, '01/05/2020', '1', '5', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.53140886');
INSERT INTO public.ecdc_import VALUES (32562, '30/04/2020', '30', '4', '2020', '13', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.53140886');
INSERT INTO public.ecdc_import VALUES (32563, '29/04/2020', '29', '4', '2020', '18', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.32307205');
INSERT INTO public.ecdc_import VALUES (32564, '28/04/2020', '28', '4', '2020', '6', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '8.48972483');
INSERT INTO public.ecdc_import VALUES (32565, '27/04/2020', '27', '4', '2020', '8', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '8.38555643');
INSERT INTO public.ecdc_import VALUES (32566, '26/04/2020', '26', '4', '2020', '20', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.06265104');
INSERT INTO public.ecdc_import VALUES (32567, '25/04/2020', '25', '4', '2020', '6', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '8.95848264');
INSERT INTO public.ecdc_import VALUES (32568, '24/04/2020', '24', '4', '2020', '17', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.84391407');
INSERT INTO public.ecdc_import VALUES (32569, '23/04/2020', '23', '4', '2020', '13', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.58349306');
INSERT INTO public.ecdc_import VALUES (32570, '22/04/2020', '22', '4', '2020', '9', '4', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '10.41684028');
INSERT INTO public.ecdc_import VALUES (32571, '21/04/2020', '21', '4', '2020', '12', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '10.26058768');
INSERT INTO public.ecdc_import VALUES (32572, '20/04/2020', '20', '4', '2020', '15', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '10.10433507');
INSERT INTO public.ecdc_import VALUES (32573, '19/04/2020', '19', '4', '2020', '30', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '10.57309288');
INSERT INTO public.ecdc_import VALUES (32574, '18/04/2020', '18', '4', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.84391407');
INSERT INTO public.ecdc_import VALUES (32575, '17/04/2020', '17', '4', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '11.3022717');
INSERT INTO public.ecdc_import VALUES (32576, '16/04/2020', '16', '4', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '11.45852431');
INSERT INTO public.ecdc_import VALUES (32577, '15/04/2020', '15', '4', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '13.48980816');
INSERT INTO public.ecdc_import VALUES (32578, '14/04/2020', '14', '4', '2020', '4', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '14.53149219');
INSERT INTO public.ecdc_import VALUES (32579, '13/04/2020', '13', '4', '2020', '21', '2', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '14.32315539');
INSERT INTO public.ecdc_import VALUES (32580, '12/04/2020', '12', '4', '2020', '18', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '16.92736546');
INSERT INTO public.ecdc_import VALUES (32581, '11/04/2020', '11', '4', '2020', '23', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '17.29195487');
INSERT INTO public.ecdc_import VALUES (32582, '10/04/2020', '10', '4', '2020', '12', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '17.96904948');
INSERT INTO public.ecdc_import VALUES (32583, '09/04/2020', '9', '4', '2020', '29', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '18.5419757');
INSERT INTO public.ecdc_import VALUES (32584, '08/04/2020', '8', '4', '2020', '6', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '18.28155469');
INSERT INTO public.ecdc_import VALUES (32585, '07/04/2020', '7', '4', '2020', '9', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '18.85448091');
INSERT INTO public.ecdc_import VALUES (32586, '06/04/2020', '6', '4', '2020', '24', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '20.52117535');
INSERT INTO public.ecdc_import VALUES (32587, '05/04/2020', '5', '4', '2020', '16', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '20.05241754');
INSERT INTO public.ecdc_import VALUES (32588, '04/04/2020', '4', '4', '2020', '35', '1', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '19.89616494');
INSERT INTO public.ecdc_import VALUES (32589, '03/04/2020', '3', '4', '2020', '12', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '19.37532292');
INSERT INTO public.ecdc_import VALUES (32590, '02/04/2020', '2', '4', '2020', '48', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '19.53157553');
INSERT INTO public.ecdc_import VALUES (32591, '01/04/2020', '1', '4', '2020', '22', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '17.55237587');
INSERT INTO public.ecdc_import VALUES (32592, '31/03/2020', '31', '3', '2020', '0', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '17.70862848');
INSERT INTO public.ecdc_import VALUES (32593, '30/03/2020', '30', '3', '2020', '71', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '17.96904948');
INSERT INTO public.ecdc_import VALUES (32594, '29/03/2020', '29', '3', '2020', '25', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '14.53149219');
INSERT INTO public.ecdc_import VALUES (32595, '28/03/2020', '28', '3', '2020', '36', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '13.59397657');
INSERT INTO public.ecdc_import VALUES (32596, '27/03/2020', '27', '3', '2020', '23', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '11.87519792');
INSERT INTO public.ecdc_import VALUES (32597, '26/03/2020', '26', '3', '2020', '24', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '10.9897665');
INSERT INTO public.ecdc_import VALUES (32598, '25/03/2020', '25', '3', '2020', '17', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.84391407');
INSERT INTO public.ecdc_import VALUES (32599, '24/03/2020', '24', '3', '2020', '41', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '9.06265104');
INSERT INTO public.ecdc_import VALUES (32600, '23/03/2020', '23', '3', '2020', '15', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '7.08345139');
INSERT INTO public.ecdc_import VALUES (32601, '22/03/2020', '22', '3', '2020', '13', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '6.35427257');
INSERT INTO public.ecdc_import VALUES (32602, '21/03/2020', '21', '3', '2020', '25', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '5.72926215');
INSERT INTO public.ecdc_import VALUES (32603, '20/03/2020', '20', '3', '2020', '15', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '4.47924132');
INSERT INTO public.ecdc_import VALUES (32604, '19/03/2020', '19', '3', '2020', '10', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32605, '18/03/2020', '18', '3', '2020', '25', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32606, '17/03/2020', '17', '3', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32607, '16/03/2020', '16', '3', '2020', '5', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32608, '15/03/2020', '15', '3', '2020', '7', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32609, '14/03/2020', '14', '3', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32610, '13/03/2020', '13', '3', '2020', '6', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32611, '12/03/2020', '12', '3', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32612, '11/03/2020', '11', '3', '2020', '2', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32613, '10/03/2020', '10', '3', '2020', '3', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32614, '09/03/2020', '9', '3', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32615, '08/03/2020', '8', '3', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32616, '03/03/2020', '3', '3', '2020', '1', '0', '1919968', 'Latvia', 'LV', 'LVA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (32617, '14/12/2020', '14', '12', '2020', '1275', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '285.54304157');
INSERT INTO public.ecdc_import VALUES (32618, '13/12/2020', '13', '12', '2020', '1540', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '285.41176412');
INSERT INTO public.ecdc_import VALUES (32619, '12/12/2020', '12', '12', '2020', '1518', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '287.68723993');
INSERT INTO public.ecdc_import VALUES (32620, '11/12/2020', '11', '12', '2020', '1778', '14', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '291.53804515');
INSERT INTO public.ecdc_import VALUES (32621, '10/12/2020', '10', '12', '2020', '1274', '20', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '292.71954221');
INSERT INTO public.ecdc_import VALUES (32622, '09/12/2020', '9', '12', '2020', '1039', '21', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '297.999813');
INSERT INTO public.ecdc_import VALUES (32623, '08/12/2020', '8', '12', '2020', '943', '16', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '300.17318413');
INSERT INTO public.ecdc_import VALUES (32624, '07/12/2020', '7', '12', '2020', '2858', '21', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '301.6026497');
INSERT INTO public.ecdc_import VALUES (32625, '06/12/2020', '6', '12', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '277.31632133');
INSERT INTO public.ecdc_import VALUES (32626, '05/12/2020', '5', '12', '2020', '1478', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '301.06295352');
INSERT INTO public.ecdc_import VALUES (32627, '04/12/2020', '4', '12', '2020', '1520', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '304.43240808');
INSERT INTO public.ecdc_import VALUES (32628, '03/12/2020', '3', '12', '2020', '1842', '22', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '310.10651123');
INSERT INTO public.ecdc_import VALUES (32629, '02/12/2020', '2', '12', '2020', '1511', '15', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '313.63641601');
INSERT INTO public.ecdc_import VALUES (32630, '01/12/2020', '1', '12', '2020', '1000', '14', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '313.57807048');
INSERT INTO public.ecdc_import VALUES (32631, '30/11/2020', '30', '11', '2020', '1266', '14', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '313.81145262');
INSERT INTO public.ecdc_import VALUES (32632, '29/11/2020', '29', '11', '2020', '1696', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '312.30905512');
INSERT INTO public.ecdc_import VALUES (32633, '28/11/2020', '28', '11', '2020', '1782', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '311.78394532');
INSERT INTO public.ecdc_import VALUES (32634, '27/11/2020', '27', '11', '2020', '1859', '24', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '313.5634841');
INSERT INTO public.ecdc_import VALUES (32635, '26/11/2020', '26', '11', '2020', '1636', '16', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '313.78227985');
INSERT INTO public.ecdc_import VALUES (32636, '25/11/2020', '25', '11', '2020', '1188', '23', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '317.9539855');
INSERT INTO public.ecdc_import VALUES (32637, '24/11/2020', '24', '11', '2020', '1041', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '323.26342906');
INSERT INTO public.ecdc_import VALUES (32638, '23/11/2020', '23', '11', '2020', '1193', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '324.40116697');
INSERT INTO public.ecdc_import VALUES (32639, '22/11/2020', '22', '11', '2020', '1628', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '323.61350227');
INSERT INTO public.ecdc_import VALUES (32640, '21/11/2020', '21', '11', '2020', '1709', '16', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '325.67018233');
INSERT INTO public.ecdc_import VALUES (32641, '20/11/2020', '20', '11', '2020', '1909', '16', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '331.98608634');
INSERT INTO public.ecdc_import VALUES (32642, '19/11/2020', '19', '11', '2020', '2084', '13', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '334.61163535');
INSERT INTO public.ecdc_import VALUES (32643, '18/11/2020', '18', '11', '2020', '1507', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '331.75270421');
INSERT INTO public.ecdc_import VALUES (32644, '17/11/2020', '17', '11', '2020', '1016', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '331.82563612');
INSERT INTO public.ecdc_import VALUES (32645, '16/11/2020', '16', '11', '2020', '1163', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '332.75916466');
INSERT INTO public.ecdc_import VALUES (32646, '15/11/2020', '15', '11', '2020', '1660', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '336.05568731');
INSERT INTO public.ecdc_import VALUES (32647, '14/11/2020', '14', '11', '2020', '1904', '21', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '336.62455626');
INSERT INTO public.ecdc_import VALUES (32648, '13/11/2020', '13', '11', '2020', '1874', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '334.3928396');
INSERT INTO public.ecdc_import VALUES (32649, '12/11/2020', '12', '11', '2020', '1922', '14', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '335.25343622');
INSERT INTO public.ecdc_import VALUES (32650, '11/11/2020', '11', '11', '2020', '1552', '17', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '334.20321662');
INSERT INTO public.ecdc_import VALUES (32651, '10/11/2020', '10', '11', '2020', '1119', '9', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '337.95191715');
INSERT INTO public.ecdc_import VALUES (32652, '09/11/2020', '9', '11', '2020', '1139', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '333.24051531');
INSERT INTO public.ecdc_import VALUES (32653, '08/11/2020', '8', '11', '2020', '1769', '13', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '338.27281759');
INSERT INTO public.ecdc_import VALUES (32654, '07/11/2020', '7', '11', '2020', '2142', '17', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '333.28427446');
INSERT INTO public.ecdc_import VALUES (32655, '06/11/2020', '6', '11', '2020', '2089', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '323.21966991');
INSERT INTO public.ecdc_import VALUES (32656, '05/11/2020', '5', '11', '2020', '1888', '9', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '313.89897092');
INSERT INTO public.ecdc_import VALUES (32657, '04/11/2020', '4', '11', '2020', '1512', '15', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '304.46158085');
INSERT INTO public.ecdc_import VALUES (32658, '03/11/2020', '3', '11', '2020', '1080', '9', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '302.71121484');
INSERT INTO public.ecdc_import VALUES (32659, '02/11/2020', '2', '11', '2020', '1389', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '296.55576105');
INSERT INTO public.ecdc_import VALUES (32660, '01/11/2020', '1', '11', '2020', '1699', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '290.91083067');
INSERT INTO public.ecdc_import VALUES (32661, '31/10/2020', '31', '10', '2020', '1751', '15', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '283.20922023');
INSERT INTO public.ecdc_import VALUES (32662, '30/10/2020', '30', '10', '2020', '1933', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '277.62263538');
INSERT INTO public.ecdc_import VALUES (32663, '29/10/2020', '29', '10', '2020', '1850', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '271.29214498');
INSERT INTO public.ecdc_import VALUES (32664, '28/10/2020', '28', '10', '2020', '1809', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '264.39278563');
INSERT INTO public.ecdc_import VALUES (32665, '27/10/2020', '27', '10', '2020', '796', '14', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '256.16606539');
INSERT INTO public.ecdc_import VALUES (32666, '26/10/2020', '26', '10', '2020', '1484', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '274.69077232');
INSERT INTO public.ecdc_import VALUES (32667, '25/10/2020', '25', '10', '2020', '1427', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '253.04457934');
INSERT INTO public.ecdc_import VALUES (32668, '24/10/2020', '24', '10', '2020', '1452', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '252.47571039');
INSERT INTO public.ecdc_import VALUES (32669, '23/10/2020', '23', '10', '2020', '1450', '16', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '252.09646442');
INSERT INTO public.ecdc_import VALUES (32670, '22/10/2020', '22', '10', '2020', '1241', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '250.8857946');
INSERT INTO public.ecdc_import VALUES (32671, '21/10/2020', '21', '10', '2020', '1392', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '254.06562618');
INSERT INTO public.ecdc_import VALUES (32672, '20/10/2020', '20', '10', '2020', '658', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '252.15480995');
INSERT INTO public.ecdc_import VALUES (32673, '19/10/2020', '19', '10', '2020', '1002', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '259.69597018');
INSERT INTO public.ecdc_import VALUES (32674, '18/10/2020', '18', '10', '2020', '1171', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '259.49176081');
INSERT INTO public.ecdc_import VALUES (32675, '17/10/2020', '17', '10', '2020', '1368', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '261.67971832');
INSERT INTO public.ecdc_import VALUES (32676, '16/10/2020', '16', '10', '2020', '1499', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '260.5565668');
INSERT INTO public.ecdc_import VALUES (32677, '15/10/2020', '15', '10', '2020', '1377', '20', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '256.89538456');
INSERT INTO public.ecdc_import VALUES (32678, '14/10/2020', '14', '10', '2020', '1245', '13', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '255.14501855');
INSERT INTO public.ecdc_import VALUES (32679, '13/10/2020', '13', '10', '2020', '2066', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '253.10292488');
INSERT INTO public.ecdc_import VALUES (32680, '12/10/2020', '12', '10', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '237.81639507');
INSERT INTO public.ecdc_import VALUES (32681, '11/10/2020', '11', '10', '2020', '1388', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '252.57781507');
INSERT INTO public.ecdc_import VALUES (32682, '10/10/2020', '10', '10', '2020', '1426', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '251.00248567');
INSERT INTO public.ecdc_import VALUES (32683, '09/10/2020', '9', '10', '2020', '1367', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '246.87453916');
INSERT INTO public.ecdc_import VALUES (32684, '08/10/2020', '8', '10', '2020', '1459', '9', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '241.9151688');
INSERT INTO public.ecdc_import VALUES (32685, '07/10/2020', '7', '10', '2020', '1261', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '234.34483581');
INSERT INTO public.ecdc_import VALUES (32686, '06/10/2020', '6', '10', '2020', '1175', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '228.56862799');
INSERT INTO public.ecdc_import VALUES (32687, '05/10/2020', '5', '10', '2020', '988', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '221.40671373');
INSERT INTO public.ecdc_import VALUES (32688, '04/10/2020', '4', '10', '2020', '1321', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '221.66926863');
INSERT INTO public.ecdc_import VALUES (32689, '03/10/2020', '3', '10', '2020', '1291', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '213.76344883');
INSERT INTO public.ecdc_import VALUES (32690, '02/10/2020', '2', '10', '2020', '1248', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '205.8722154');
INSERT INTO public.ecdc_import VALUES (32691, '01/10/2020', '1', '10', '2020', '1257', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '197.66008155');
INSERT INTO public.ecdc_import VALUES (32692, '30/09/2020', '30', '9', '2020', '1105', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '188.57276468');
INSERT INTO public.ecdc_import VALUES (32693, '29/09/2020', '29', '9', '2020', '1018', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '181.08995');
INSERT INTO public.ecdc_import VALUES (32694, '28/09/2020', '28', '9', '2020', '1012', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '174.21976341');
INSERT INTO public.ecdc_import VALUES (32695, '27/09/2020', '27', '9', '2020', '1280', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '168.80821517');
INSERT INTO public.ecdc_import VALUES (32696, '26/09/2020', '26', '9', '2020', '1143', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '160.14390342');
INSERT INTO public.ecdc_import VALUES (32697, '25/09/2020', '25', '9', '2020', '1027', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '151.43583253');
INSERT INTO public.ecdc_import VALUES (32698, '24/09/2020', '24', '9', '2020', '940', '13', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '144.62399148');
INSERT INTO public.ecdc_import VALUES (32699, '23/09/2020', '23', '9', '2020', '865', '8', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '138.9790611');
INSERT INTO public.ecdc_import VALUES (32700, '22/09/2020', '22', '9', '2020', '684', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '133.62585839');
INSERT INTO public.ecdc_import VALUES (32701, '21/09/2020', '21', '9', '2020', '1006', '11', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '129.4833255');
INSERT INTO public.ecdc_import VALUES (32702, '20/09/2020', '20', '9', '2020', '779', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '120.86277291');
INSERT INTO public.ecdc_import VALUES (32703, '19/09/2020', '19', '9', '2020', '750', '18', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '117.09948599');
INSERT INTO public.ecdc_import VALUES (32704, '18/09/2020', '18', '9', '2020', '685', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '113.84672249');
INSERT INTO public.ecdc_import VALUES (32705, '17/09/2020', '17', '9', '2020', '634', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '112.4318433');
INSERT INTO public.ecdc_import VALUES (32706, '16/09/2020', '16', '9', '2020', '592', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '111.9067335');
INSERT INTO public.ecdc_import VALUES (32707, '15/09/2020', '15', '9', '2020', '547', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '110.11260834');
INSERT INTO public.ecdc_import VALUES (32708, '14/09/2020', '14', '9', '2020', '641', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '108.52269255');
INSERT INTO public.ecdc_import VALUES (32709, '13/09/2020', '13', '9', '2020', '686', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '107.85171891');
INSERT INTO public.ecdc_import VALUES (32710, '12/09/2020', '12', '9', '2020', '546', '10', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '107.50164571');
INSERT INTO public.ecdc_import VALUES (32711, '11/09/2020', '11', '9', '2020', '560', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '109.39787555');
INSERT INTO public.ecdc_import VALUES (32712, '10/09/2020', '10', '9', '2020', '553', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '111.27951901');
INSERT INTO public.ecdc_import VALUES (32713, '09/09/2020', '9', '9', '2020', '498', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '111.39621008');
INSERT INTO public.ecdc_import VALUES (32714, '08/09/2020', '8', '9', '2020', '400', '9', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '111.89214711');
INSERT INTO public.ecdc_import VALUES (32715, '07/09/2020', '7', '9', '2020', '415', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '120.11886736');
INSERT INTO public.ecdc_import VALUES (32716, '06/09/2020', '6', '9', '2020', '521', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '114.06551824');
INSERT INTO public.ecdc_import VALUES (32717, '05/09/2020', '5', '9', '2020', '527', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '115.37829275');
INSERT INTO public.ecdc_import VALUES (32718, '04/09/2020', '4', '9', '2020', '588', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '116.85151747');
INSERT INTO public.ecdc_import VALUES (32719, '03/09/2020', '3', '9', '2020', '598', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '117.09948599');
INSERT INTO public.ecdc_import VALUES (32720, '02/09/2020', '2', '9', '2020', '469', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '123.10907595');
INSERT INTO public.ecdc_import VALUES (32721, '01/09/2020', '1', '9', '2020', '438', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '116.26806214');
INSERT INTO public.ecdc_import VALUES (32722, '31/08/2020', '31', '8', '2020', '595', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '116.53061704');
INSERT INTO public.ecdc_import VALUES (32723, '30/08/2020', '30', '8', '2020', '662', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '114.25514123');
INSERT INTO public.ecdc_import VALUES (32724, '29/08/2020', '29', '8', '2020', '676', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '110.38974962');
INSERT INTO public.ecdc_import VALUES (32725, '28/08/2020', '28', '8', '2020', '689', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '105.4012065');
INSERT INTO public.ecdc_import VALUES (32726, '27/08/2020', '27', '8', '2020', '561', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '99.69793059');
INSERT INTO public.ecdc_import VALUES (32727, '26/08/2020', '26', '8', '2020', '532', '12', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '95.77419345');
INSERT INTO public.ecdc_import VALUES (32728, '25/08/2020', '25', '8', '2020', '964', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '92.52142995');
INSERT INTO public.ecdc_import VALUES (32729, '24/08/2020', '24', '8', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '82.76313945');
INSERT INTO public.ecdc_import VALUES (32730, '23/08/2020', '23', '8', '2020', '611', '5', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '87.05153617');
INSERT INTO public.ecdc_import VALUES (32731, '22/08/2020', '22', '8', '2020', '628', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '82.1067522');
INSERT INTO public.ecdc_import VALUES (32732, '21/08/2020', '21', '8', '2020', '605', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '77.01610439');
INSERT INTO public.ecdc_import VALUES (32733, '20/08/2020', '20', '8', '2020', '1010', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '71.9108702');
INSERT INTO public.ecdc_import VALUES (32734, '19/08/2020', '19', '8', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '62.35678906');
INSERT INTO public.ecdc_import VALUES (32735, '18/08/2020', '18', '8', '2020', '456', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '62.35678906');
INSERT INTO public.ecdc_import VALUES (32736, '17/08/2020', '17', '8', '2020', '439', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '58.28718809');
INSERT INTO public.ecdc_import VALUES (32737, '16/08/2020', '16', '8', '2020', '397', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '54.14465521');
INSERT INTO public.ecdc_import VALUES (32738, '15/08/2020', '15', '8', '2020', '334', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '50.90647809');
INSERT INTO public.ecdc_import VALUES (32739, '14/08/2020', '14', '8', '2020', '298', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '49.25821677');
INSERT INTO public.ecdc_import VALUES (32740, '13/08/2020', '13', '8', '2020', '292', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '46.79311797');
INSERT INTO public.ecdc_import VALUES (32741, '12/08/2020', '12', '8', '2020', '309', '7', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '45.18861579');
INSERT INTO public.ecdc_import VALUES (32742, '11/08/2020', '11', '8', '2020', '295', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '42.73810338');
INSERT INTO public.ecdc_import VALUES (32743, '10/08/2020', '10', '8', '2020', '294', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '40.36052289');
INSERT INTO public.ecdc_import VALUES (32744, '09/08/2020', '9', '8', '2020', '272', '6', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '38.52263858');
INSERT INTO public.ecdc_import VALUES (32745, '08/08/2020', '8', '8', '2020', '279', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '37.10775939');
INSERT INTO public.ecdc_import VALUES (32746, '07/08/2020', '7', '8', '2020', '255', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '35.18235678');
INSERT INTO public.ecdc_import VALUES (32747, '06/08/2020', '6', '8', '2020', '355', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '33.73830482');
INSERT INTO public.ecdc_import VALUES (32748, '05/08/2020', '5', '8', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '30.36885025');
INSERT INTO public.ecdc_import VALUES (32749, '04/08/2020', '4', '8', '2020', '177', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '31.46282901');
INSERT INTO public.ecdc_import VALUES (32750, '03/08/2020', '3', '8', '2020', '155', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '29.55201278');
INSERT INTO public.ecdc_import VALUES (32751, '02/08/2020', '2', '8', '2020', '175', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '28.51637956');
INSERT INTO public.ecdc_import VALUES (32752, '01/08/2020', '1', '8', '2020', '221', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '27.05774122');
INSERT INTO public.ecdc_import VALUES (32753, '31/07/2020', '31', '7', '2020', '129', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '25.30737521');
INSERT INTO public.ecdc_import VALUES (32754, '30/07/2020', '30', '7', '2020', '182', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '24.25715561');
INSERT INTO public.ecdc_import VALUES (32755, '29/07/2020', '29', '7', '2020', '141', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '22.92979472');
INSERT INTO public.ecdc_import VALUES (32756, '28/07/2020', '28', '7', '2020', '132', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '21.33987892');
INSERT INTO public.ecdc_import VALUES (32757, '27/07/2020', '27', '7', '2020', '168', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '20.6543189');
INSERT INTO public.ecdc_import VALUES (32758, '26/07/2020', '26', '7', '2020', '175', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '20.62514614');
INSERT INTO public.ecdc_import VALUES (32759, '25/07/2020', '25', '7', '2020', '147', '3', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '19.32695801');
INSERT INTO public.ecdc_import VALUES (32760, '24/07/2020', '24', '7', '2020', '156', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '18.21839288');
INSERT INTO public.ecdc_import VALUES (32761, '23/07/2020', '23', '7', '2020', '124', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '16.89103199');
INSERT INTO public.ecdc_import VALUES (32762, '22/07/2020', '22', '7', '2020', '75', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '15.6511894');
INSERT INTO public.ecdc_import VALUES (32763, '21/07/2020', '21', '7', '2020', '46', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '14.87811108');
INSERT INTO public.ecdc_import VALUES (32764, '20/07/2020', '20', '7', '2020', '84', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '14.38217404');
INSERT INTO public.ecdc_import VALUES (32765, '19/07/2020', '19', '7', '2020', '75', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '13.41947273');
INSERT INTO public.ecdc_import VALUES (32766, '18/07/2020', '18', '7', '2020', '101', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '12.69015356');
INSERT INTO public.ecdc_import VALUES (32767, '17/07/2020', '17', '7', '2020', '57', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '11.71286588');
INSERT INTO public.ecdc_import VALUES (32768, '16/07/2020', '16', '7', '2020', '91', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '10.99813309');
INSERT INTO public.ecdc_import VALUES (32769, '15/07/2020', '15', '7', '2020', '32', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '9.81663603');
INSERT INTO public.ecdc_import VALUES (32770, '14/07/2020', '14', '7', '2020', '85', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '9.83122242');
INSERT INTO public.ecdc_import VALUES (32771, '13/07/2020', '13', '7', '2020', '166', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '8.66431174');
INSERT INTO public.ecdc_import VALUES (32772, '12/07/2020', '12', '7', '2020', '86', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '6.54928615');
INSERT INTO public.ecdc_import VALUES (32773, '11/07/2020', '11', '7', '2020', '71', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '5.61575761');
INSERT INTO public.ecdc_import VALUES (32774, '10/07/2020', '10', '7', '2020', '65', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '5.09064781');
INSERT INTO public.ecdc_import VALUES (32775, '09/07/2020', '9', '7', '2020', '39', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.40508779');
INSERT INTO public.ecdc_import VALUES (32776, '08/07/2020', '8', '7', '2020', '22', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.15711927');
INSERT INTO public.ecdc_import VALUES (32777, '07/07/2020', '7', '7', '2020', '12', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.11336012');
INSERT INTO public.ecdc_import VALUES (32778, '06/07/2020', '6', '7', '2020', '18', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.17170565');
INSERT INTO public.ecdc_import VALUES (32779, '05/07/2020', '5', '7', '2020', '25', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.65305631');
INSERT INTO public.ecdc_import VALUES (32780, '04/07/2020', '4', '7', '2020', '34', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.66764269');
INSERT INTO public.ecdc_import VALUES (32781, '03/07/2020', '3', '7', '2020', '8', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.39050141');
INSERT INTO public.ecdc_import VALUES (32782, '02/07/2020', '2', '7', '2020', '10', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.36132864');
INSERT INTO public.ecdc_import VALUES (32783, '01/07/2020', '1', '7', '2020', '33', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.44884694');
INSERT INTO public.ecdc_import VALUES (32784, '30/06/2020', '30', '6', '2020', '5', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.09877374');
INSERT INTO public.ecdc_import VALUES (32785, '29/06/2020', '29', '6', '2020', '21', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.28839672');
INSERT INTO public.ecdc_import VALUES (32786, '28/06/2020', '28', '6', '2020', '22', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.0404282');
INSERT INTO public.ecdc_import VALUES (32787, '27/06/2020', '27', '6', '2020', '35', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.01125544');
INSERT INTO public.ecdc_import VALUES (32788, '26/06/2020', '26', '6', '2020', '18', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.79245969');
INSERT INTO public.ecdc_import VALUES (32789, '25/06/2020', '25', '6', '2020', '22', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.73411415');
INSERT INTO public.ecdc_import VALUES (32790, '24/06/2020', '24', '6', '2020', '19', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.70494139');
INSERT INTO public.ecdc_import VALUES (32791, '23/06/2020', '23', '6', '2020', '16', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.690355');
INSERT INTO public.ecdc_import VALUES (32792, '22/06/2020', '22', '6', '2020', '51', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.73411415');
INSERT INTO public.ecdc_import VALUES (32793, '21/06/2020', '21', '6', '2020', '26', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.15065882');
INSERT INTO public.ecdc_import VALUES (32794, '20/06/2020', '20', '6', '2020', '15', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.88810391');
INSERT INTO public.ecdc_import VALUES (32795, '19/06/2020', '19', '6', '2020', '6', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.75682646');
INSERT INTO public.ecdc_import VALUES (32796, '18/06/2020', '18', '6', '2020', '16', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.39862733');
INSERT INTO public.ecdc_import VALUES (32797, '17/06/2020', '17', '6', '2020', '9', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.36945457');
INSERT INTO public.ecdc_import VALUES (32798, '16/06/2020', '16', '6', '2020', '18', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.36945457');
INSERT INTO public.ecdc_import VALUES (32799, '15/06/2020', '15', '6', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.29652265');
INSERT INTO public.ecdc_import VALUES (32800, '14/06/2020', '14', '6', '2020', '20', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.66118224');
INSERT INTO public.ecdc_import VALUES (32801, '13/06/2020', '13', '6', '2020', '20', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.64659585');
INSERT INTO public.ecdc_import VALUES (32802, '12/06/2020', '12', '6', '2020', '14', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.41321372');
INSERT INTO public.ecdc_import VALUES (32803, '11/06/2020', '11', '6', '2020', '20', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.31110903');
INSERT INTO public.ecdc_import VALUES (32804, '10/06/2020', '10', '6', '2020', '18', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.32569542');
INSERT INTO public.ecdc_import VALUES (32805, '09/06/2020', '9', '6', '2020', '19', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.36945457');
INSERT INTO public.ecdc_import VALUES (32806, '08/06/2020', '8', '6', '2020', '11', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.1652452');
INSERT INTO public.ecdc_import VALUES (32807, '07/06/2020', '7', '6', '2020', '8', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.2527635');
INSERT INTO public.ecdc_import VALUES (32808, '06/06/2020', '6', '6', '2020', '6', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.29652265');
INSERT INTO public.ecdc_import VALUES (32809, '05/06/2020', '5', '6', '2020', '50', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.11336012');
INSERT INTO public.ecdc_import VALUES (32810, '04/06/2020', '4', '6', '2020', '14', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.30298311');
INSERT INTO public.ecdc_import VALUES (32811, '03/06/2020', '3', '6', '2020', '9', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.20087842');
INSERT INTO public.ecdc_import VALUES (32812, '02/06/2020', '2', '6', '2020', '13', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.40508779');
INSERT INTO public.ecdc_import VALUES (32813, '01/06/2020', '1', '6', '2020', '29', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.50719247');
INSERT INTO public.ecdc_import VALUES (32814, '31/05/2020', '31', '5', '2020', '19', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.2154648');
INSERT INTO public.ecdc_import VALUES (32815, '30/05/2020', '30', '5', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.09877374');
INSERT INTO public.ecdc_import VALUES (32816, '29/05/2020', '29', '5', '2020', '7', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.11336012');
INSERT INTO public.ecdc_import VALUES (32817, '28/05/2020', '28', '5', '2020', '21', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.1279465');
INSERT INTO public.ecdc_import VALUES (32818, '27/05/2020', '27', '5', '2020', '21', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.93832352');
INSERT INTO public.ecdc_import VALUES (32819, '26/05/2020', '26', '5', '2020', '5', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.79245969');
INSERT INTO public.ecdc_import VALUES (32820, '25/05/2020', '25', '5', '2020', '17', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.92373714');
INSERT INTO public.ecdc_import VALUES (32821, '24/05/2020', '24', '5', '2020', '11', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.20087842');
INSERT INTO public.ecdc_import VALUES (32822, '23/05/2020', '23', '5', '2020', '62', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.23005119');
INSERT INTO public.ecdc_import VALUES (32823, '22/05/2020', '22', '5', '2020', '63', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.50073202');
INSERT INTO public.ecdc_import VALUES (32824, '21/05/2020', '21', '5', '2020', '7', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.0777269');
INSERT INTO public.ecdc_import VALUES (32825, '20/05/2020', '20', '5', '2020', '23', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.10689967');
INSERT INTO public.ecdc_import VALUES (32826, '19/05/2020', '19', '5', '2020', '20', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.78599923');
INSERT INTO public.ecdc_import VALUES (32827, '18/05/2020', '18', '5', '2020', '9', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.53803071');
INSERT INTO public.ecdc_import VALUES (32828, '17/05/2020', '17', '5', '2020', '11', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.4650988');
INSERT INTO public.ecdc_import VALUES (32829, '16/05/2020', '16', '5', '2020', '5', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.36299411');
INSERT INTO public.ecdc_import VALUES (32830, '15/05/2020', '15', '5', '2020', '8', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.34840773');
INSERT INTO public.ecdc_import VALUES (32831, '14/05/2020', '14', '5', '2020', '8', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.29006219');
INSERT INTO public.ecdc_import VALUES (32832, '13/05/2020', '13', '5', '2020', '11', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.23171666');
INSERT INTO public.ecdc_import VALUES (32833, '12/05/2020', '12', '5', '2020', '14', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.17337113');
INSERT INTO public.ecdc_import VALUES (32834, '11/05/2020', '11', '5', '2020', '36', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.01292091');
INSERT INTO public.ecdc_import VALUES (32835, '10/05/2020', '10', '5', '2020', '13', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.53157026');
INSERT INTO public.ecdc_import VALUES (32836, '09/05/2020', '9', '5', '2020', '12', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.45863834');
INSERT INTO public.ecdc_import VALUES (32837, '08/05/2020', '8', '5', '2020', '34', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.40029281');
INSERT INTO public.ecdc_import VALUES (32838, '07/05/2020', '7', '5', '2020', '9', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.99187407');
INSERT INTO public.ecdc_import VALUES (32839, '06/05/2020', '6', '5', '2020', '1', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.93352854');
INSERT INTO public.ecdc_import VALUES (32840, '05/05/2020', '5', '5', '2020', '3', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.91894215');
INSERT INTO public.ecdc_import VALUES (32841, '04/05/2020', '4', '5', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.93352854');
INSERT INTO public.ecdc_import VALUES (32842, '03/05/2020', '3', '5', '2020', '4', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.88976939');
INSERT INTO public.ecdc_import VALUES (32843, '02/05/2020', '2', '5', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.88976939');
INSERT INTO public.ecdc_import VALUES (32844, '01/05/2020', '1', '5', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.90435577');
INSERT INTO public.ecdc_import VALUES (32845, '30/04/2020', '30', '4', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.91894215');
INSERT INTO public.ecdc_import VALUES (32846, '29/04/2020', '29', '4', '2020', '7', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.10856514');
INSERT INTO public.ecdc_import VALUES (32847, '28/04/2020', '28', '4', '2020', '3', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.13773791');
INSERT INTO public.ecdc_import VALUES (32848, '27/04/2020', '27', '4', '2020', '3', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.12315152');
INSERT INTO public.ecdc_import VALUES (32849, '26/04/2020', '26', '4', '2020', '8', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.23984259');
INSERT INTO public.ecdc_import VALUES (32850, '25/04/2020', '25', '4', '2020', '8', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.26901536');
INSERT INTO public.ecdc_import VALUES (32851, '24/04/2020', '24', '4', '2020', '6', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.54615664');
INSERT INTO public.ecdc_import VALUES (32852, '23/04/2020', '23', '4', '2020', '5', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.56074302');
INSERT INTO public.ecdc_import VALUES (32853, '22/04/2020', '22', '4', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.88164346');
INSERT INTO public.ecdc_import VALUES (32854, '21/04/2020', '21', '4', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.98374814');
INSERT INTO public.ecdc_import VALUES (32855, '20/04/2020', '20', '4', '2020', '1', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.12961198');
INSERT INTO public.ecdc_import VALUES (32856, '19/04/2020', '19', '4', '2020', '4', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.21713028');
INSERT INTO public.ecdc_import VALUES (32857, '18/04/2020', '18', '4', '2020', '5', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.53803071');
INSERT INTO public.ecdc_import VALUES (32858, '17/04/2020', '17', '4', '2020', '5', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.4650988');
INSERT INTO public.ecdc_import VALUES (32859, '16/04/2020', '16', '4', '2020', '17', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.61096263');
INSERT INTO public.ecdc_import VALUES (32860, '15/04/2020', '15', '4', '2020', '9', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.59637625');
INSERT INTO public.ecdc_import VALUES (32861, '14/04/2020', '14', '4', '2020', '2', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.71306731');
INSERT INTO public.ecdc_import VALUES (32862, '13/04/2020', '13', '4', '2020', '11', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.80058561');
INSERT INTO public.ecdc_import VALUES (32863, '12/04/2020', '12', '4', '2020', '10', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.01938137');
INSERT INTO public.ecdc_import VALUES (32864, '11/04/2020', '11', '4', '2020', '27', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.17983158');
INSERT INTO public.ecdc_import VALUES (32865, '10/04/2020', '10', '4', '2020', '7', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.12148605');
INSERT INTO public.ecdc_import VALUES (32866, '09/04/2020', '9', '4', '2020', '27', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.52990478');
INSERT INTO public.ecdc_import VALUES (32867, '08/04/2020', '8', '4', '2020', '7', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.55907755');
INSERT INTO public.ecdc_import VALUES (32868, '07/04/2020', '7', '4', '2020', '14', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.99666905');
INSERT INTO public.ecdc_import VALUES (32869, '06/04/2020', '6', '4', '2020', '7', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.06960097');
INSERT INTO public.ecdc_import VALUES (32870, '05/04/2020', '5', '4', '2020', '26', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.23005119');
INSERT INTO public.ecdc_import VALUES (32871, '04/04/2020', '4', '4', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.82809291');
INSERT INTO public.ecdc_import VALUES (32872, '03/04/2020', '3', '4', '2020', '15', '4', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '5.03230228');
INSERT INTO public.ecdc_import VALUES (32873, '02/04/2020', '2', '4', '2020', '16', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '5.04688866');
INSERT INTO public.ecdc_import VALUES (32874, '01/04/2020', '1', '4', '2020', '17', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '5.00312951');
INSERT INTO public.ecdc_import VALUES (32875, '31/03/2020', '31', '3', '2020', '8', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.75516099');
INSERT INTO public.ecdc_import VALUES (32876, '30/03/2020', '30', '3', '2020', '26', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.94478397');
INSERT INTO public.ecdc_import VALUES (32877, '29/03/2020', '29', '3', '2020', '21', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.65305631');
INSERT INTO public.ecdc_import VALUES (32878, '28/03/2020', '28', '3', '2020', '23', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.74057461');
INSERT INTO public.ecdc_import VALUES (32879, '27/03/2020', '27', '3', '2020', '35', '2', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.47801971');
INSERT INTO public.ecdc_import VALUES (32880, '26/03/2020', '26', '3', '2020', '29', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '4.25922395');
INSERT INTO public.ecdc_import VALUES (32881, '25/03/2020', '25', '3', '2020', '37', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.83621884');
INSERT INTO public.ecdc_import VALUES (32882, '24/03/2020', '24', '3', '2020', '19', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.4278001');
INSERT INTO public.ecdc_import VALUES (32883, '23/03/2020', '23', '3', '2020', '18', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.29652265');
INSERT INTO public.ecdc_import VALUES (32884, '22/03/2020', '22', '3', '2020', '67', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '3.12148605');
INSERT INTO public.ecdc_import VALUES (32885, '21/03/2020', '21', '3', '2020', '14', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.18795751');
INSERT INTO public.ecdc_import VALUES (32886, '20/03/2020', '20', '3', '2020', '16', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '2.02750729');
INSERT INTO public.ecdc_import VALUES (32887, '19/03/2020', '19', '3', '2020', '13', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.88164346');
INSERT INTO public.ecdc_import VALUES (32888, '18/03/2020', '18', '3', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.70660686');
INSERT INTO public.ecdc_import VALUES (32889, '17/03/2020', '17', '3', '2020', '21', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.70660686');
INSERT INTO public.ecdc_import VALUES (32890, '16/03/2020', '16', '3', '2020', '6', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.41487919');
INSERT INTO public.ecdc_import VALUES (32891, '15/03/2020', '15', '3', '2020', '27', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '1.34194727');
INSERT INTO public.ecdc_import VALUES (32892, '13/03/2020', '13', '3', '2020', '5', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.94811492');
INSERT INTO public.ecdc_import VALUES (32893, '12/03/2020', '12', '3', '2020', '20', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.875183');
INSERT INTO public.ecdc_import VALUES (32894, '11/03/2020', '11', '3', '2020', '0', '1', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.58345534');
INSERT INTO public.ecdc_import VALUES (32895, '10/03/2020', '10', '3', '2020', '9', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.58345534');
INSERT INTO public.ecdc_import VALUES (32896, '09/03/2020', '9', '3', '2020', '10', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.46676427');
INSERT INTO public.ecdc_import VALUES (32897, '07/03/2020', '7', '3', '2020', '6', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.32090043');
INSERT INTO public.ecdc_import VALUES (32898, '06/03/2020', '6', '3', '2020', '3', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.23338213');
INSERT INTO public.ecdc_import VALUES (32899, '03/03/2020', '3', '3', '2020', '3', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.18962298');
INSERT INTO public.ecdc_import VALUES (32900, '02/03/2020', '2', '3', '2020', '6', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.14586383');
INSERT INTO public.ecdc_import VALUES (32901, '01/03/2020', '1', '3', '2020', '1', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.05834553');
INSERT INTO public.ecdc_import VALUES (32902, '29/02/2020', '29', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.04375915');
INSERT INTO public.ecdc_import VALUES (32903, '28/02/2020', '28', '2', '2020', '1', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.04375915');
INSERT INTO public.ecdc_import VALUES (32904, '27/02/2020', '27', '2', '2020', '1', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.02917277');
INSERT INTO public.ecdc_import VALUES (32905, '26/02/2020', '26', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.01458638');
INSERT INTO public.ecdc_import VALUES (32906, '25/02/2020', '25', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.01458638');
INSERT INTO public.ecdc_import VALUES (32907, '24/02/2020', '24', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.01458638');
INSERT INTO public.ecdc_import VALUES (32908, '23/02/2020', '23', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.01458638');
INSERT INTO public.ecdc_import VALUES (32909, '22/02/2020', '22', '2', '2020', '1', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0.01458638');
INSERT INTO public.ecdc_import VALUES (32910, '21/02/2020', '21', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32911, '20/02/2020', '20', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32912, '19/02/2020', '19', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32913, '18/02/2020', '18', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32914, '17/02/2020', '17', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32915, '16/02/2020', '16', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32916, '15/02/2020', '15', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32917, '14/02/2020', '14', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32918, '13/02/2020', '13', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32919, '12/02/2020', '12', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32920, '11/02/2020', '11', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32921, '10/02/2020', '10', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32922, '09/02/2020', '9', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32923, '08/02/2020', '8', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32924, '07/02/2020', '7', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32925, '06/02/2020', '6', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32926, '05/02/2020', '5', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32927, '04/02/2020', '4', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32928, '03/02/2020', '3', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32929, '02/02/2020', '2', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32930, '01/02/2020', '1', '2', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32931, '31/01/2020', '31', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32932, '30/01/2020', '30', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32933, '29/01/2020', '29', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32934, '28/01/2020', '28', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32935, '27/01/2020', '27', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32936, '26/01/2020', '26', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32937, '25/01/2020', '25', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32938, '24/01/2020', '24', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32939, '23/01/2020', '23', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32940, '22/01/2020', '22', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32941, '21/01/2020', '21', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32942, '20/01/2020', '20', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32943, '19/01/2020', '19', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32944, '18/01/2020', '18', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32945, '17/01/2020', '17', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32946, '16/01/2020', '16', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32947, '15/01/2020', '15', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32948, '14/01/2020', '14', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32949, '13/01/2020', '13', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (32950, '12/01/2020', '12', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32951, '11/01/2020', '11', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32952, '10/01/2020', '10', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32953, '09/01/2020', '9', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32954, '08/01/2020', '8', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32955, '07/01/2020', '7', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32956, '06/01/2020', '6', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32957, '05/01/2020', '5', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32958, '04/01/2020', '4', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32959, '03/01/2020', '3', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32960, '02/01/2020', '2', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32961, '01/01/2020', '1', '1', '2020', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32962, '31/12/2019', '31', '12', '2019', '0', '0', '6855709', 'Lebanon', 'LB', 'LBN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (32963, '14/12/2020', '14', '12', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.63446052');
INSERT INTO public.ecdc_import VALUES (32964, '13/12/2020', '13', '12', '2020', '36', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.63446052');
INSERT INTO public.ecdc_import VALUES (32965, '12/12/2020', '12', '12', '2020', '36', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.9405557');
INSERT INTO public.ecdc_import VALUES (32966, '11/12/2020', '11', '12', '2020', '14', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.04655039');
INSERT INTO public.ecdc_import VALUES (32967, '10/12/2020', '10', '12', '2020', '14', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.38780963');
INSERT INTO public.ecdc_import VALUES (32968, '09/12/2020', '9', '12', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '2.72906887');
INSERT INTO public.ecdc_import VALUES (32969, '08/12/2020', '8', '12', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.01138633');
INSERT INTO public.ecdc_import VALUES (32970, '07/12/2020', '7', '12', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.05843925');
INSERT INTO public.ecdc_import VALUES (32971, '06/12/2020', '6', '12', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.05843925');
INSERT INTO public.ecdc_import VALUES (32972, '05/12/2020', '5', '12', '2020', '5', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.95244456');
INSERT INTO public.ecdc_import VALUES (32973, '04/12/2020', '4', '12', '2020', '3', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.0936033');
INSERT INTO public.ecdc_import VALUES (32974, '03/12/2020', '3', '12', '2020', '5', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.95244456');
INSERT INTO public.ecdc_import VALUES (32975, '02/12/2020', '2', '12', '2020', '28', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.5170795');
INSERT INTO public.ecdc_import VALUES (32976, '01/12/2020', '1', '12', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.19959798');
INSERT INTO public.ecdc_import VALUES (32977, '30/11/2020', '30', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.19959798');
INSERT INTO public.ecdc_import VALUES (32978, '29/11/2020', '29', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.19959798');
INSERT INTO public.ecdc_import VALUES (32979, '28/11/2020', '28', '11', '2020', '17', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.19959798');
INSERT INTO public.ecdc_import VALUES (32980, '27/11/2020', '27', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.10549216');
INSERT INTO public.ecdc_import VALUES (32981, '26/11/2020', '26', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.10549216');
INSERT INTO public.ecdc_import VALUES (32982, '25/11/2020', '25', '11', '2020', '6', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.10549216');
INSERT INTO public.ecdc_import VALUES (32983, '24/11/2020', '24', '11', '2020', '1', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.59929646');
INSERT INTO public.ecdc_import VALUES (32984, '23/11/2020', '23', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.55224355');
INSERT INTO public.ecdc_import VALUES (32985, '22/11/2020', '22', '11', '2020', '19', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.55224355');
INSERT INTO public.ecdc_import VALUES (32986, '21/11/2020', '21', '11', '2020', '8', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.65823824');
INSERT INTO public.ecdc_import VALUES (32987, '20/11/2020', '20', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.47002659');
INSERT INTO public.ecdc_import VALUES (32988, '19/11/2020', '19', '11', '2020', '17', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.47002659');
INSERT INTO public.ecdc_import VALUES (32989, '18/11/2020', '18', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.76423292');
INSERT INTO public.ecdc_import VALUES (32990, '17/11/2020', '17', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.14065621');
INSERT INTO public.ecdc_import VALUES (32991, '16/11/2020', '16', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.42297368');
INSERT INTO public.ecdc_import VALUES (32992, '15/11/2020', '15', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.42297368');
INSERT INTO public.ecdc_import VALUES (32993, '14/11/2020', '14', '11', '2020', '15', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.42297368');
INSERT INTO public.ecdc_import VALUES (32994, '13/11/2020', '13', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.71718001');
INSERT INTO public.ecdc_import VALUES (32995, '12/11/2020', '12', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.71718001');
INSERT INTO public.ecdc_import VALUES (32996, '11/11/2020', '11', '11', '2020', '59', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.71718001');
INSERT INTO public.ecdc_import VALUES (32997, '10/11/2020', '10', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.12926988');
INSERT INTO public.ecdc_import VALUES (32998, '09/11/2020', '9', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.27042861');
INSERT INTO public.ecdc_import VALUES (32999, '08/11/2020', '8', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.55274608');
INSERT INTO public.ecdc_import VALUES (33000, '07/11/2020', '7', '11', '2020', '4', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '2.0703281');
INSERT INTO public.ecdc_import VALUES (33001, '06/11/2020', '6', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '2.11738102');
INSERT INTO public.ecdc_import VALUES (33002, '05/11/2020', '5', '11', '2020', '2', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '2.11738102');
INSERT INTO public.ecdc_import VALUES (33003, '04/11/2020', '4', '11', '2020', '8', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.02277267');
INSERT INTO public.ecdc_import VALUES (33004, '03/11/2020', '3', '11', '2020', '6', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.64634938');
INSERT INTO public.ecdc_import VALUES (33005, '02/11/2020', '2', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.36403191');
INSERT INTO public.ecdc_import VALUES (33006, '01/11/2020', '1', '11', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.36403191');
INSERT INTO public.ecdc_import VALUES (33007, '31/10/2020', '31', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.36403191');
INSERT INTO public.ecdc_import VALUES (33008, '30/10/2020', '30', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.36403191');
INSERT INTO public.ecdc_import VALUES (33009, '29/10/2020', '29', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.36403191');
INSERT INTO public.ecdc_import VALUES (33010, '28/10/2020', '28', '10', '2020', '4', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.68151343');
INSERT INTO public.ecdc_import VALUES (33011, '27/10/2020', '27', '10', '2020', '3', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.49330178');
INSERT INTO public.ecdc_import VALUES (33012, '26/10/2020', '26', '10', '2020', '6', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.35214305');
INSERT INTO public.ecdc_import VALUES (33013, '25/10/2020', '25', '10', '2020', '11', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.30509014');
INSERT INTO public.ecdc_import VALUES (33014, '24/10/2020', '24', '10', '2020', '5', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.78750811');
INSERT INTO public.ecdc_import VALUES (33015, '23/10/2020', '23', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.21098431');
INSERT INTO public.ecdc_import VALUES (33016, '22/10/2020', '22', '10', '2020', '85', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.0574342');
INSERT INTO public.ecdc_import VALUES (33017, '21/10/2020', '21', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.05793672');
INSERT INTO public.ecdc_import VALUES (33018, '20/10/2020', '20', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.05793672');
INSERT INTO public.ecdc_import VALUES (33019, '19/10/2020', '19', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.19909545');
INSERT INTO public.ecdc_import VALUES (33020, '18/10/2020', '18', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.19909545');
INSERT INTO public.ecdc_import VALUES (33021, '17/10/2020', '17', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.19909545');
INSERT INTO public.ecdc_import VALUES (33022, '16/10/2020', '16', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.12826483');
INSERT INTO public.ecdc_import VALUES (33023, '15/10/2020', '15', '10', '2020', '28', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.19859293');
INSERT INTO public.ecdc_import VALUES (33024, '14/10/2020', '14', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.77511673');
INSERT INTO public.ecdc_import VALUES (33025, '13/10/2020', '13', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.29269875');
INSERT INTO public.ecdc_import VALUES (33026, '12/10/2020', '12', '10', '2020', '5', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.62206913');
INSERT INTO public.ecdc_import VALUES (33027, '11/10/2020', '11', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.38680458');
INSERT INTO public.ecdc_import VALUES (33028, '10/10/2020', '10', '10', '2020', '14', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.38680458');
INSERT INTO public.ecdc_import VALUES (33029, '09/10/2020', '9', '10', '2020', '103', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '13.1277623');
INSERT INTO public.ecdc_import VALUES (33030, '08/10/2020', '8', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.18670407');
INSERT INTO public.ecdc_import VALUES (33031, '07/10/2020', '7', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.18670407');
INSERT INTO public.ecdc_import VALUES (33032, '06/10/2020', '6', '10', '2020', '3', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.18670407');
INSERT INTO public.ecdc_import VALUES (33033, '05/10/2020', '5', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.04554534');
INSERT INTO public.ecdc_import VALUES (33034, '04/10/2020', '4', '10', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '13.64534433');
INSERT INTO public.ecdc_import VALUES (33035, '03/10/2020', '3', '10', '2020', '41', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '16.60967775');
INSERT INTO public.ecdc_import VALUES (33036, '02/10/2020', '2', '10', '2020', '44', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '14.68050838');
INSERT INTO public.ecdc_import VALUES (33037, '01/10/2020', '1', '10', '2020', '19', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.61018027');
INSERT INTO public.ecdc_import VALUES (33038, '30/09/2020', '30', '9', '2020', '11', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '15.5745137');
INSERT INTO public.ecdc_import VALUES (33039, '29/09/2020', '29', '9', '2020', '7', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '15.05693167');
INSERT INTO public.ecdc_import VALUES (33040, '28/09/2020', '28', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '14.72756129');
INSERT INTO public.ecdc_import VALUES (33041, '27/09/2020', '27', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '14.72756129');
INSERT INTO public.ecdc_import VALUES (33042, '26/09/2020', '26', '9', '2020', '51', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '14.72756129');
INSERT INTO public.ecdc_import VALUES (33043, '25/09/2020', '25', '9', '2020', '83', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '16.13914863');
INSERT INTO public.ecdc_import VALUES (33044, '24/09/2020', '24', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.23375698');
INSERT INTO public.ecdc_import VALUES (33045, '23/09/2020', '23', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.23375698');
INSERT INTO public.ecdc_import VALUES (33046, '22/09/2020', '22', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.98660357');
INSERT INTO public.ecdc_import VALUES (33047, '21/09/2020', '21', '9', '2020', '34', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.98660357');
INSERT INTO public.ecdc_import VALUES (33048, '20/09/2020', '20', '9', '2020', '63', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.38680458');
INSERT INTO public.ecdc_import VALUES (33049, '19/09/2020', '19', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '8.42247115');
INSERT INTO public.ecdc_import VALUES (33050, '18/09/2020', '18', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.38680458');
INSERT INTO public.ecdc_import VALUES (33051, '17/09/2020', '17', '9', '2020', '82', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.38680458');
INSERT INTO public.ecdc_import VALUES (33052, '16/09/2020', '16', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.52846584');
INSERT INTO public.ecdc_import VALUES (33053, '15/09/2020', '15', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.52846584');
INSERT INTO public.ecdc_import VALUES (33054, '14/09/2020', '14', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '8.42247115');
INSERT INTO public.ecdc_import VALUES (33055, '13/09/2020', '13', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.12826483');
INSERT INTO public.ecdc_import VALUES (33056, '12/09/2020', '12', '9', '2020', '81', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.12826483');
INSERT INTO public.ecdc_import VALUES (33057, '11/09/2020', '11', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.316979');
INSERT INTO public.ecdc_import VALUES (33058, '10/09/2020', '10', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.316979');
INSERT INTO public.ecdc_import VALUES (33059, '09/09/2020', '9', '9', '2020', '16', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.41108482');
INSERT INTO public.ecdc_import VALUES (33060, '08/09/2020', '8', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.25803723');
INSERT INTO public.ecdc_import VALUES (33061, '07/09/2020', '7', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.25803723');
INSERT INTO public.ecdc_import VALUES (33062, '06/09/2020', '6', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.25803723');
INSERT INTO public.ecdc_import VALUES (33063, '05/09/2020', '5', '9', '2020', '63', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.25803723');
INSERT INTO public.ecdc_import VALUES (33064, '04/09/2020', '4', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.18770912');
INSERT INTO public.ecdc_import VALUES (33065, '03/09/2020', '3', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.54035469');
INSERT INTO public.ecdc_import VALUES (33066, '02/09/2020', '2', '9', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.54035469');
INSERT INTO public.ecdc_import VALUES (33067, '01/09/2020', '1', '9', '2020', '19', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.54035469');
INSERT INTO public.ecdc_import VALUES (33068, '31/08/2020', '31', '8', '2020', '15', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.64634938');
INSERT INTO public.ecdc_import VALUES (33069, '30/08/2020', '30', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '6.9638309');
INSERT INTO public.ecdc_import VALUES (33070, '29/08/2020', '29', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.85783622');
INSERT INTO public.ecdc_import VALUES (33071, '28/08/2020', '28', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.10448711');
INSERT INTO public.ecdc_import VALUES (33072, '27/08/2020', '27', '8', '2020', '2', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.9043866');
INSERT INTO public.ecdc_import VALUES (33073, '26/08/2020', '26', '8', '2020', '34', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.61018027');
INSERT INTO public.ecdc_import VALUES (33074, '25/08/2020', '25', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.01038128');
INSERT INTO public.ecdc_import VALUES (33075, '24/08/2020', '24', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.84544483');
INSERT INTO public.ecdc_import VALUES (33076, '23/08/2020', '23', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.84544483');
INSERT INTO public.ecdc_import VALUES (33077, '22/08/2020', '22', '8', '2020', '19', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.84544483');
INSERT INTO public.ecdc_import VALUES (33078, '21/08/2020', '21', '8', '2020', '50', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.95143951');
INSERT INTO public.ecdc_import VALUES (33079, '20/08/2020', '20', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.35164052');
INSERT INTO public.ecdc_import VALUES (33080, '19/08/2020', '19', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.35164052');
INSERT INTO public.ecdc_import VALUES (33081, '18/08/2020', '18', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.72806382');
INSERT INTO public.ecdc_import VALUES (33082, '17/08/2020', '17', '8', '2020', '43', '5', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.72806382');
INSERT INTO public.ecdc_import VALUES (33083, '16/08/2020', '16', '8', '2020', '19', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.45763521');
INSERT INTO public.ecdc_import VALUES (33084, '15/08/2020', '15', '8', '2020', '69', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '13.17481521');
INSERT INTO public.ecdc_import VALUES (33085, '14/08/2020', '14', '8', '2020', '17', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.92816432');
INSERT INTO public.ecdc_import VALUES (33086, '13/08/2020', '13', '8', '2020', '17', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.44574635');
INSERT INTO public.ecdc_import VALUES (33087, '12/08/2020', '12', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.98660357');
INSERT INTO public.ecdc_import VALUES (33088, '11/08/2020', '11', '8', '2020', '39', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.98660357');
INSERT INTO public.ecdc_import VALUES (33089, '10/08/2020', '10', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '13.92766179');
INSERT INTO public.ecdc_import VALUES (33090, '09/08/2020', '9', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '15.1980904');
INSERT INTO public.ecdc_import VALUES (33091, '08/08/2020', '8', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '18.02126509');
INSERT INTO public.ecdc_import VALUES (33092, '07/08/2020', '7', '8', '2020', '16', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '18.02126509');
INSERT INTO public.ecdc_import VALUES (33093, '06/08/2020', '6', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '17.26841851');
INSERT INTO public.ecdc_import VALUES (33094, '05/08/2020', '5', '8', '2020', '8', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '17.26841851');
INSERT INTO public.ecdc_import VALUES (33095, '04/08/2020', '4', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '16.89199522');
INSERT INTO public.ecdc_import VALUES (33096, '03/08/2020', '3', '8', '2020', '16', '5', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '16.89199522');
INSERT INTO public.ecdc_import VALUES (33097, '02/08/2020', '2', '8', '2020', '98', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '16.13914863');
INSERT INTO public.ecdc_import VALUES (33098, '01/08/2020', '1', '8', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '13.78650306');
INSERT INTO public.ecdc_import VALUES (33099, '31/07/2020', '31', '7', '2020', '28', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '16.37441319');
INSERT INTO public.ecdc_import VALUES (33100, '30/07/2020', '30', '7', '2020', '71', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '15.05693167');
INSERT INTO public.ecdc_import VALUES (33101, '29/07/2020', '29', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.23375698');
INSERT INTO public.ecdc_import VALUES (33102, '28/07/2020', '28', '7', '2020', '59', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.79839192');
INSERT INTO public.ecdc_import VALUES (33103, '27/07/2020', '27', '7', '2020', '27', '2', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.02227014');
INSERT INTO public.ecdc_import VALUES (33104, '26/07/2020', '26', '7', '2020', '60', '3', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '11.0574342');
INSERT INTO public.ecdc_import VALUES (33105, '25/07/2020', '25', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.58690508');
INSERT INTO public.ecdc_import VALUES (33106, '24/07/2020', '24', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.58690508');
INSERT INTO public.ecdc_import VALUES (33107, '23/07/2020', '23', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.61018027');
INSERT INTO public.ecdc_import VALUES (33108, '22/07/2020', '22', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.61018027');
INSERT INTO public.ecdc_import VALUES (33109, '21/07/2020', '21', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.61018027');
INSERT INTO public.ecdc_import VALUES (33110, '20/07/2020', '20', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '13.17481521');
INSERT INTO public.ecdc_import VALUES (33111, '19/07/2020', '19', '7', '2020', '48', '3', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '15.24514332');
INSERT INTO public.ecdc_import VALUES (33112, '18/07/2020', '18', '7', '2020', '55', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '12.98660357');
INSERT INTO public.ecdc_import VALUES (33113, '17/07/2020', '17', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.39869343');
INSERT INTO public.ecdc_import VALUES (33114, '16/07/2020', '16', '7', '2020', '11', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.39869343');
INSERT INTO public.ecdc_import VALUES (33115, '15/07/2020', '15', '7', '2020', '12', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '10.2575347');
INSERT INTO public.ecdc_import VALUES (33116, '14/07/2020', '14', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.69289976');
INSERT INTO public.ecdc_import VALUES (33117, '13/07/2020', '13', '7', '2020', '49', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '9.69289976');
INSERT INTO public.ecdc_import VALUES (33118, '12/07/2020', '12', '7', '2020', '50', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '7.52846584');
INSERT INTO public.ecdc_import VALUES (33119, '11/07/2020', '11', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.17582026');
INSERT INTO public.ecdc_import VALUES (33120, '10/07/2020', '10', '7', '2020', '43', '1', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '5.36403191');
INSERT INTO public.ecdc_import VALUES (33121, '09/07/2020', '9', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.48191545');
INSERT INTO public.ecdc_import VALUES (33122, '08/07/2020', '8', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.48191545');
INSERT INTO public.ecdc_import VALUES (33123, '07/07/2020', '7', '7', '2020', '12', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '4.0936033');
INSERT INTO public.ecdc_import VALUES (33124, '06/07/2020', '6', '7', '2020', '44', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '3.52896836');
INSERT INTO public.ecdc_import VALUES (33125, '05/07/2020', '5', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.45864026');
INSERT INTO public.ecdc_import VALUES (33126, '04/07/2020', '4', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.45864026');
INSERT INTO public.ecdc_import VALUES (33127, '03/07/2020', '3', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.45864026');
INSERT INTO public.ecdc_import VALUES (33128, '02/07/2020', '2', '7', '2020', '8', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.45864026');
INSERT INTO public.ecdc_import VALUES (33129, '01/07/2020', '1', '7', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.08221696');
INSERT INTO public.ecdc_import VALUES (33130, '30/06/2020', '30', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.08221696');
INSERT INTO public.ecdc_import VALUES (33131, '29/06/2020', '29', '6', '2020', '3', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '1.08221696');
INSERT INTO public.ecdc_import VALUES (33132, '28/06/2020', '28', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.94105823');
INSERT INTO public.ecdc_import VALUES (33133, '27/06/2020', '27', '6', '2020', '4', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.94105823');
INSERT INTO public.ecdc_import VALUES (33134, '26/06/2020', '26', '6', '2020', '3', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.75284658');
INSERT INTO public.ecdc_import VALUES (33135, '25/06/2020', '25', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.61168785');
INSERT INTO public.ecdc_import VALUES (33136, '24/06/2020', '24', '6', '2020', '13', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.61168785');
INSERT INTO public.ecdc_import VALUES (33137, '23/06/2020', '23', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (33138, '22/06/2020', '22', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (33139, '21/06/2020', '21', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (33140, '20/06/2020', '20', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (33141, '19/06/2020', '19', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (33142, '18/06/2020', '18', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33143, '17/06/2020', '17', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33144, '16/06/2020', '16', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33145, '15/06/2020', '15', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33146, '14/06/2020', '14', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33147, '13/06/2020', '13', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33148, '12/06/2020', '12', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33149, '11/06/2020', '11', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33150, '10/06/2020', '10', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33151, '09/06/2020', '9', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33152, '08/06/2020', '8', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33153, '07/06/2020', '7', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33154, '06/06/2020', '6', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.14115873');
INSERT INTO public.ecdc_import VALUES (33155, '05/06/2020', '5', '6', '2020', '2', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.14115873');
INSERT INTO public.ecdc_import VALUES (33156, '04/06/2020', '4', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33157, '03/06/2020', '3', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33158, '02/06/2020', '2', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33159, '01/06/2020', '1', '6', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33160, '31/05/2020', '31', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33161, '30/05/2020', '30', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33162, '29/05/2020', '29', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.04705291');
INSERT INTO public.ecdc_import VALUES (33163, '28/05/2020', '28', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '0.09410582');
INSERT INTO public.ecdc_import VALUES (33164, '27/05/2020', '27', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33165, '26/05/2020', '26', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33166, '25/05/2020', '25', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33167, '24/05/2020', '24', '5', '2020', '1', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33168, '23/05/2020', '23', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33169, '22/05/2020', '22', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33170, '21/05/2020', '21', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33171, '20/05/2020', '20', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33172, '19/05/2020', '19', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33173, '18/05/2020', '18', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33174, '17/05/2020', '17', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33175, '16/05/2020', '16', '5', '2020', '0', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33176, '15/05/2020', '15', '5', '2020', '1', '0', '2125267', 'Lesotho', 'LS', 'LSO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33177, '14/12/2020', '14', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.64054819');
INSERT INTO public.ecdc_import VALUES (33178, '13/12/2020', '13', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.64054819');
INSERT INTO public.ecdc_import VALUES (33179, '12/12/2020', '12', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.64054819');
INSERT INTO public.ecdc_import VALUES (33180, '11/12/2020', '11', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.98486078');
INSERT INTO public.ecdc_import VALUES (33181, '10/12/2020', '10', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.98486078');
INSERT INTO public.ecdc_import VALUES (33182, '09/12/2020', '9', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.47094913');
INSERT INTO public.ecdc_import VALUES (33183, '08/12/2020', '8', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.53171018');
INSERT INTO public.ecdc_import VALUES (33184, '07/12/2020', '7', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.53171018');
INSERT INTO public.ecdc_import VALUES (33185, '06/12/2020', '6', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.53171018');
INSERT INTO public.ecdc_import VALUES (33186, '05/12/2020', '5', '12', '2020', '13', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.53171018');
INSERT INTO public.ecdc_import VALUES (33187, '04/12/2020', '4', '12', '2020', '65', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.51145649');
INSERT INTO public.ecdc_import VALUES (33188, '03/12/2020', '3', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.4177577');
INSERT INTO public.ecdc_import VALUES (33189, '02/12/2020', '2', '12', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.7418166');
INSERT INTO public.ecdc_import VALUES (33190, '01/12/2020', '1', '12', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.7418166');
INSERT INTO public.ecdc_import VALUES (33191, '30/11/2020', '30', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.78232396');
INSERT INTO public.ecdc_import VALUES (33192, '29/11/2020', '29', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.9646071');
INSERT INTO public.ecdc_import VALUES (33193, '28/11/2020', '28', '11', '2020', '17', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.10638287');
INSERT INTO public.ecdc_import VALUES (33194, '27/11/2020', '27', '11', '2020', '0', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.22790496');
INSERT INTO public.ecdc_import VALUES (33195, '26/11/2020', '26', '11', '2020', '24', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.36968073');
INSERT INTO public.ecdc_import VALUES (33196, '25/11/2020', '25', '11', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.88359237');
INSERT INTO public.ecdc_import VALUES (33197, '24/11/2020', '24', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.00511446');
INSERT INTO public.ecdc_import VALUES (33198, '23/11/2020', '23', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.20765127');
INSERT INTO public.ecdc_import VALUES (33199, '22/11/2020', '22', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.20765127');
INSERT INTO public.ecdc_import VALUES (33200, '21/11/2020', '21', '11', '2020', '12', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.20765127');
INSERT INTO public.ecdc_import VALUES (33201, '20/11/2020', '20', '11', '2020', '11', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.00511446');
INSERT INTO public.ecdc_import VALUES (33202, '19/11/2020', '19', '11', '2020', '16', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.82283133');
INSERT INTO public.ecdc_import VALUES (33203, '18/11/2020', '18', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.53927979');
INSERT INTO public.ecdc_import VALUES (33204, '17/11/2020', '17', '11', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.53927979');
INSERT INTO public.ecdc_import VALUES (33205, '16/11/2020', '16', '11', '2020', '9', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.64054819');
INSERT INTO public.ecdc_import VALUES (33206, '15/11/2020', '15', '11', '2020', '7', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.45826506');
INSERT INTO public.ecdc_import VALUES (33207, '14/11/2020', '14', '11', '2020', '23', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.31648929');
INSERT INTO public.ecdc_import VALUES (33208, '13/11/2020', '13', '11', '2020', '7', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.85065462');
INSERT INTO public.ecdc_import VALUES (33209, '12/11/2020', '12', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.85065462');
INSERT INTO public.ecdc_import VALUES (33210, '11/11/2020', '11', '11', '2020', '9', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.85065462');
INSERT INTO public.ecdc_import VALUES (33211, '10/11/2020', '10', '11', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.72913253');
INSERT INTO public.ecdc_import VALUES (33212, '09/11/2020', '9', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33213, '08/11/2020', '8', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33214, '07/11/2020', '7', '11', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33215, '06/11/2020', '6', '11', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.11395248');
INSERT INTO public.ecdc_import VALUES (33216, '05/11/2020', '5', '11', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.07344511');
INSERT INTO public.ecdc_import VALUES (33217, '04/11/2020', '4', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.05319143');
INSERT INTO public.ecdc_import VALUES (33218, '03/11/2020', '3', '11', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.11395248');
INSERT INTO public.ecdc_import VALUES (33219, '02/11/2020', '2', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33220, '01/11/2020', '1', '11', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33221, '31/10/2020', '31', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33222, '30/10/2020', '30', '10', '2020', '7', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.05319143');
INSERT INTO public.ecdc_import VALUES (33223, '29/10/2020', '29', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.95192303');
INSERT INTO public.ecdc_import VALUES (33224, '28/10/2020', '28', '10', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.97217671');
INSERT INTO public.ecdc_import VALUES (33225, '27/10/2020', '27', '10', '2020', '23', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.91141566');
INSERT INTO public.ecdc_import VALUES (33226, '26/10/2020', '26', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.60761044');
INSERT INTO public.ecdc_import VALUES (33227, '25/10/2020', '25', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.60761044');
INSERT INTO public.ecdc_import VALUES (33228, '24/10/2020', '24', '10', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.66837149');
INSERT INTO public.ecdc_import VALUES (33229, '23/10/2020', '23', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.50634204');
INSERT INTO public.ecdc_import VALUES (33230, '22/10/2020', '22', '10', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.60761044');
INSERT INTO public.ecdc_import VALUES (33231, '21/10/2020', '21', '10', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.60761044');
INSERT INTO public.ecdc_import VALUES (33232, '20/10/2020', '20', '10', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.5468494');
INSERT INTO public.ecdc_import VALUES (33233, '19/10/2020', '19', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.58735676');
INSERT INTO public.ecdc_import VALUES (33234, '18/10/2020', '18', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.60761044');
INSERT INTO public.ecdc_import VALUES (33235, '17/10/2020', '17', '10', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.62786412');
INSERT INTO public.ecdc_import VALUES (33236, '16/10/2020', '16', '10', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.62786412');
INSERT INTO public.ecdc_import VALUES (33237, '15/10/2020', '15', '10', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.58735676');
INSERT INTO public.ecdc_import VALUES (33238, '14/10/2020', '14', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.56710308');
INSERT INTO public.ecdc_import VALUES (33239, '13/10/2020', '13', '10', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.58735676');
INSERT INTO public.ecdc_import VALUES (33240, '12/10/2020', '12', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.48608835');
INSERT INTO public.ecdc_import VALUES (33241, '11/10/2020', '11', '10', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.50634204');
INSERT INTO public.ecdc_import VALUES (33242, '10/10/2020', '10', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.44558099');
INSERT INTO public.ecdc_import VALUES (33243, '09/10/2020', '9', '10', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.44558099');
INSERT INTO public.ecdc_import VALUES (33244, '08/10/2020', '8', '10', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.36456627');
INSERT INTO public.ecdc_import VALUES (33245, '07/10/2020', '7', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.36456627');
INSERT INTO public.ecdc_import VALUES (33246, '06/10/2020', '6', '10', '2020', '6', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.36456627');
INSERT INTO public.ecdc_import VALUES (33247, '05/10/2020', '5', '10', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.26329786');
INSERT INTO public.ecdc_import VALUES (33248, '04/10/2020', '4', '10', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.24304418');
INSERT INTO public.ecdc_import VALUES (33249, '03/10/2020', '3', '10', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.24304418');
INSERT INTO public.ecdc_import VALUES (33250, '02/10/2020', '2', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.20253681');
INSERT INTO public.ecdc_import VALUES (33251, '01/10/2020', '1', '10', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.2227905');
INSERT INTO public.ecdc_import VALUES (33252, '30/09/2020', '30', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.3240589');
INSERT INTO public.ecdc_import VALUES (33253, '29/09/2020', '29', '9', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.42532731');
INSERT INTO public.ecdc_import VALUES (33254, '28/09/2020', '28', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.40507363');
INSERT INTO public.ecdc_import VALUES (33255, '27/09/2020', '27', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.44558099');
INSERT INTO public.ecdc_import VALUES (33256, '26/09/2020', '26', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.46583467');
INSERT INTO public.ecdc_import VALUES (33257, '25/09/2020', '25', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.46583467');
INSERT INTO public.ecdc_import VALUES (33258, '24/09/2020', '24', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.48608835');
INSERT INTO public.ecdc_import VALUES (33259, '23/09/2020', '23', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.50634204');
INSERT INTO public.ecdc_import VALUES (33260, '22/09/2020', '22', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.50634204');
INSERT INTO public.ecdc_import VALUES (33261, '21/09/2020', '21', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.56710308');
INSERT INTO public.ecdc_import VALUES (33262, '20/09/2020', '20', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.58735676');
INSERT INTO public.ecdc_import VALUES (33263, '19/09/2020', '19', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.56710308');
INSERT INTO public.ecdc_import VALUES (33264, '18/09/2020', '18', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.5468494');
INSERT INTO public.ecdc_import VALUES (33265, '17/09/2020', '17', '9', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.5468494');
INSERT INTO public.ecdc_import VALUES (33266, '16/09/2020', '16', '9', '2020', '6', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.44558099');
INSERT INTO public.ecdc_import VALUES (33267, '15/09/2020', '15', '9', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.34431258');
INSERT INTO public.ecdc_import VALUES (33268, '14/09/2020', '14', '9', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.30380522');
INSERT INTO public.ecdc_import VALUES (33269, '13/09/2020', '13', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.24304418');
INSERT INTO public.ecdc_import VALUES (33270, '12/09/2020', '12', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.34431258');
INSERT INTO public.ecdc_import VALUES (33271, '11/09/2020', '11', '9', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.34431258');
INSERT INTO public.ecdc_import VALUES (33272, '10/09/2020', '10', '9', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.30380522');
INSERT INTO public.ecdc_import VALUES (33273, '09/09/2020', '9', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.3240589');
INSERT INTO public.ecdc_import VALUES (33274, '08/09/2020', '8', '9', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.42532731');
INSERT INTO public.ecdc_import VALUES (33275, '07/09/2020', '7', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.42532731');
INSERT INTO public.ecdc_import VALUES (33276, '06/09/2020', '6', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.40507363');
INSERT INTO public.ecdc_import VALUES (33277, '05/09/2020', '5', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.42532731');
INSERT INTO public.ecdc_import VALUES (33278, '04/09/2020', '4', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.44558099');
INSERT INTO public.ecdc_import VALUES (33279, '03/09/2020', '3', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.46583467');
INSERT INTO public.ecdc_import VALUES (33280, '02/09/2020', '2', '9', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.46583467');
INSERT INTO public.ecdc_import VALUES (33281, '01/09/2020', '1', '9', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.5468494');
INSERT INTO public.ecdc_import VALUES (33282, '31/08/2020', '31', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.95192303');
INSERT INTO public.ecdc_import VALUES (33283, '30/08/2020', '30', '8', '2020', '6', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.95192303');
INSERT INTO public.ecdc_import VALUES (33284, '29/08/2020', '29', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.93166934');
INSERT INTO public.ecdc_import VALUES (33285, '28/08/2020', '28', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.93166934');
INSERT INTO public.ecdc_import VALUES (33286, '27/08/2020', '27', '8', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.93166934');
INSERT INTO public.ecdc_import VALUES (33287, '26/08/2020', '26', '8', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.91141566');
INSERT INTO public.ecdc_import VALUES (33288, '25/08/2020', '25', '8', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.01268407');
INSERT INTO public.ecdc_import VALUES (33289, '24/08/2020', '24', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.99243039');
INSERT INTO public.ecdc_import VALUES (33290, '23/08/2020', '23', '8', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.05319143');
INSERT INTO public.ecdc_import VALUES (33291, '22/08/2020', '22', '8', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.11395248');
INSERT INTO public.ecdc_import VALUES (33292, '21/08/2020', '21', '8', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.21522088');
INSERT INTO public.ecdc_import VALUES (33293, '20/08/2020', '20', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.23547457');
INSERT INTO public.ecdc_import VALUES (33294, '19/08/2020', '19', '8', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.33674297');
INSERT INTO public.ecdc_import VALUES (33295, '18/08/2020', '18', '8', '2020', '20', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.27598193');
INSERT INTO public.ecdc_import VALUES (33296, '17/08/2020', '17', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.01268407');
INSERT INTO public.ecdc_import VALUES (33297, '16/08/2020', '16', '8', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.37725034');
INSERT INTO public.ecdc_import VALUES (33298, '15/08/2020', '15', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.33674297');
INSERT INTO public.ecdc_import VALUES (33299, '14/08/2020', '14', '8', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.43801138');
INSERT INTO public.ecdc_import VALUES (33300, '13/08/2020', '13', '8', '2020', '2', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.47851874');
INSERT INTO public.ecdc_import VALUES (33301, '12/08/2020', '12', '8', '2020', '10', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.47851874');
INSERT INTO public.ecdc_import VALUES (33302, '11/08/2020', '11', '8', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.47851874');
INSERT INTO public.ecdc_import VALUES (33303, '10/08/2020', '10', '8', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.51902611');
INSERT INTO public.ecdc_import VALUES (33304, '09/08/2020', '9', '8', '2020', '4', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.60004083');
INSERT INTO public.ecdc_import VALUES (33305, '08/08/2020', '8', '8', '2020', '6', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.92409973');
INSERT INTO public.ecdc_import VALUES (33306, '07/08/2020', '7', '8', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.16714391');
INSERT INTO public.ecdc_import VALUES (33307, '06/08/2020', '6', '8', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.16714391');
INSERT INTO public.ecdc_import VALUES (33308, '05/08/2020', '5', '8', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.18739759');
INSERT INTO public.ecdc_import VALUES (33309, '04/08/2020', '4', '8', '2020', '7', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.16714391');
INSERT INTO public.ecdc_import VALUES (33310, '03/08/2020', '3', '8', '2020', '18', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.34942704');
INSERT INTO public.ecdc_import VALUES (33311, '02/08/2020', '2', '8', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.04562182');
INSERT INTO public.ecdc_import VALUES (33312, '01/08/2020', '1', '8', '2020', '5', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.04562182');
INSERT INTO public.ecdc_import VALUES (33313, '31/07/2020', '31', '7', '2020', '2', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.24815864');
INSERT INTO public.ecdc_import VALUES (33314, '30/07/2020', '30', '7', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.49120281');
INSERT INTO public.ecdc_import VALUES (33315, '29/07/2020', '29', '7', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.09881326');
INSERT INTO public.ecdc_import VALUES (33316, '28/07/2020', '28', '7', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.89627644');
INSERT INTO public.ecdc_import VALUES (33317, '27/07/2020', '27', '7', '2020', '7', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.07855957');
INSERT INTO public.ecdc_import VALUES (33318, '26/07/2020', '26', '7', '2020', '20', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.17982798');
INSERT INTO public.ecdc_import VALUES (33319, '25/07/2020', '25', '7', '2020', '18', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.4836332');
INSERT INTO public.ecdc_import VALUES (33320, '24/07/2020', '24', '7', '2020', '3', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.24058903');
INSERT INTO public.ecdc_import VALUES (33321, '23/07/2020', '23', '7', '2020', '6', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.80769211');
INSERT INTO public.ecdc_import VALUES (33322, '22/07/2020', '22', '7', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.86845315');
INSERT INTO public.ecdc_import VALUES (33323, '21/07/2020', '21', '7', '2020', '16', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.37479518');
INSERT INTO public.ecdc_import VALUES (33324, '20/07/2020', '20', '7', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.39504887');
INSERT INTO public.ecdc_import VALUES (33325, '19/07/2020', '19', '7', '2020', '3', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.43555623');
INSERT INTO public.ecdc_import VALUES (33326, '18/07/2020', '18', '7', '2020', '15', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.10392772');
INSERT INTO public.ecdc_import VALUES (33327, '17/07/2020', '17', '7', '2020', '14', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.08367403');
INSERT INTO public.ecdc_import VALUES (33328, '16/07/2020', '16', '7', '2020', '32', '15', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.10392772');
INSERT INTO public.ecdc_import VALUES (33329, '15/07/2020', '15', '7', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.94189826');
INSERT INTO public.ecdc_import VALUES (33330, '14/07/2020', '14', '7', '2020', '14', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.14443508');
INSERT INTO public.ecdc_import VALUES (33331, '13/07/2020', '13', '7', '2020', '12', '4', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.9013909');
INSERT INTO public.ecdc_import VALUES (33332, '12/07/2020', '12', '7', '2020', '35', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.4482403');
INSERT INTO public.ecdc_import VALUES (33333, '11/07/2020', '11', '7', '2020', '6', '5', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.65077711');
INSERT INTO public.ecdc_import VALUES (33334, '10/07/2020', '10', '7', '2020', '31', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.59001607');
INSERT INTO public.ecdc_import VALUES (33335, '09/07/2020', '9', '7', '2020', '9', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.34697189');
INSERT INTO public.ecdc_import VALUES (33336, '08/07/2020', '8', '7', '2020', '26', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.36722557');
INSERT INTO public.ecdc_import VALUES (33337, '07/07/2020', '7', '7', '2020', '17', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.88113722');
INSERT INTO public.ecdc_import VALUES (33338, '06/07/2020', '6', '7', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.02291299');
INSERT INTO public.ecdc_import VALUES (33339, '05/07/2020', '5', '7', '2020', '36', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.42798662');
INSERT INTO public.ecdc_import VALUES (33340, '04/07/2020', '4', '7', '2020', '14', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.10392772');
INSERT INTO public.ecdc_import VALUES (33341, '03/07/2020', '3', '7', '2020', '15', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.61026975');
INSERT INTO public.ecdc_import VALUES (33342, '02/07/2020', '2', '7', '2020', '24', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.97483602');
INSERT INTO public.ecdc_import VALUES (33343, '01/07/2020', '1', '7', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.48874766');
INSERT INTO public.ecdc_import VALUES (33344, '30/06/2020', '30', '6', '2020', '2', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.50900134');
INSERT INTO public.ecdc_import VALUES (33345, '29/06/2020', '29', '6', '2020', '39', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '6.27864124');
INSERT INTO public.ecdc_import VALUES (33346, '28/06/2020', '28', '6', '2020', '45', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.73179184');
INSERT INTO public.ecdc_import VALUES (33347, '27/06/2020', '27', '6', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.32671821');
INSERT INTO public.ecdc_import VALUES (33348, '26/06/2020', '26', '6', '2020', '19', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.48874766');
INSERT INTO public.ecdc_import VALUES (33349, '25/06/2020', '25', '6', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.36722557');
INSERT INTO public.ecdc_import VALUES (33350, '24/06/2020', '24', '6', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.4482403');
INSERT INTO public.ecdc_import VALUES (33351, '23/06/2020', '23', '6', '2020', '24', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.67103079');
INSERT INTO public.ecdc_import VALUES (33352, '22/06/2020', '22', '6', '2020', '25', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.40773294');
INSERT INTO public.ecdc_import VALUES (33353, '21/06/2020', '21', '6', '2020', '20', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.18494244');
INSERT INTO public.ecdc_import VALUES (33354, '20/06/2020', '20', '6', '2020', '39', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '5.00265931');
INSERT INTO public.ecdc_import VALUES (33355, '19/06/2020', '19', '6', '2020', '33', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.47606359');
INSERT INTO public.ecdc_import VALUES (33356, '18/06/2020', '18', '6', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.90896051');
INSERT INTO public.ecdc_import VALUES (33357, '17/06/2020', '17', '6', '2020', '11', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.01022892');
INSERT INTO public.ecdc_import VALUES (33358, '16/06/2020', '16', '6', '2020', '40', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '4.09124364');
INSERT INTO public.ecdc_import VALUES (33359, '15/06/2020', '15', '6', '2020', '12', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.44312584');
INSERT INTO public.ecdc_import VALUES (33360, '14/06/2020', '14', '6', '2020', '25', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '3.36211111');
INSERT INTO public.ecdc_import VALUES (33361, '13/06/2020', '13', '6', '2020', '11', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.99754485');
INSERT INTO public.ecdc_import VALUES (33362, '12/06/2020', '12', '6', '2020', '13', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.85576908');
INSERT INTO public.ecdc_import VALUES (33363, '11/06/2020', '11', '6', '2020', '14', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.65323226');
INSERT INTO public.ecdc_import VALUES (33364, '10/06/2020', '10', '6', '2020', '13', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.36968073');
INSERT INTO public.ecdc_import VALUES (33365, '09/06/2020', '9', '6', '2020', '11', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '2.12663655');
INSERT INTO public.ecdc_import VALUES (33366, '08/06/2020', '8', '6', '2020', '14', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.90384605');
INSERT INTO public.ecdc_import VALUES (33367, '07/06/2020', '7', '6', '2020', '11', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.82283133');
INSERT INTO public.ecdc_import VALUES (33368, '06/06/2020', '6', '6', '2020', '13', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.72156292');
INSERT INTO public.ecdc_import VALUES (33369, '05/06/2020', '5', '6', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.64054819');
INSERT INTO public.ecdc_import VALUES (33370, '04/06/2020', '4', '6', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.57978715');
INSERT INTO public.ecdc_import VALUES (33371, '03/06/2020', '3', '6', '2020', '15', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.57978715');
INSERT INTO public.ecdc_import VALUES (33372, '02/06/2020', '2', '6', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.35699665');
INSERT INTO public.ecdc_import VALUES (33373, '01/06/2020', '1', '6', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.25572825');
INSERT INTO public.ecdc_import VALUES (33374, '31/05/2020', '31', '5', '2020', '7', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.15445984');
INSERT INTO public.ecdc_import VALUES (33375, '30/05/2020', '30', '5', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.0936988');
INSERT INTO public.ecdc_import VALUES (33376, '29/05/2020', '29', '5', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.0936988');
INSERT INTO public.ecdc_import VALUES (33377, '28/05/2020', '28', '5', '2020', '0', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.07344511');
INSERT INTO public.ecdc_import VALUES (33378, '27/05/2020', '27', '5', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.0936988');
INSERT INTO public.ecdc_import VALUES (33379, '26/05/2020', '26', '5', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.0936988');
INSERT INTO public.ecdc_import VALUES (33380, '25/05/2020', '25', '5', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.33674297');
INSERT INTO public.ecdc_import VALUES (33381, '24/05/2020', '24', '5', '2020', '6', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.13420616');
INSERT INTO public.ecdc_import VALUES (33382, '23/05/2020', '23', '5', '2020', '9', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.01268407');
INSERT INTO public.ecdc_import VALUES (33383, '22/05/2020', '22', '5', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.03293775');
INSERT INTO public.ecdc_import VALUES (33384, '21/05/2020', '21', '5', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.21522088');
INSERT INTO public.ecdc_import VALUES (33385, '20/05/2020', '20', '5', '2020', '4', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.27598193');
INSERT INTO public.ecdc_import VALUES (33386, '19/05/2020', '19', '5', '2020', '3', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.27598193');
INSERT INTO public.ecdc_import VALUES (33387, '18/05/2020', '18', '5', '2020', '3', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.37725034');
INSERT INTO public.ecdc_import VALUES (33388, '17/05/2020', '17', '5', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.39750402');
INSERT INTO public.ecdc_import VALUES (33389, '16/05/2020', '16', '5', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.35699665');
INSERT INTO public.ecdc_import VALUES (33390, '15/05/2020', '15', '5', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.49877242');
INSERT INTO public.ecdc_import VALUES (33391, '14/05/2020', '14', '5', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.45826506');
INSERT INTO public.ecdc_import VALUES (33392, '13/05/2020', '13', '5', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.43801138');
INSERT INTO public.ecdc_import VALUES (33393, '12/05/2020', '12', '5', '2020', '12', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.57978715');
INSERT INTO public.ecdc_import VALUES (33394, '11/05/2020', '11', '5', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.51902611');
INSERT INTO public.ecdc_import VALUES (33395, '10/05/2020', '10', '5', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.60004083');
INSERT INTO public.ecdc_import VALUES (33396, '09/05/2020', '9', '5', '2020', '10', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.66080188');
INSERT INTO public.ecdc_import VALUES (33397, '08/05/2020', '8', '5', '2020', '11', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.78232396');
INSERT INTO public.ecdc_import VALUES (33398, '07/05/2020', '7', '5', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.55953347');
INSERT INTO public.ecdc_import VALUES (33399, '06/05/2020', '6', '5', '2020', '4', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.39750402');
INSERT INTO public.ecdc_import VALUES (33400, '05/05/2020', '5', '5', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.35699665');
INSERT INTO public.ecdc_import VALUES (33401, '04/05/2020', '4', '5', '2020', '4', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.35699665');
INSERT INTO public.ecdc_import VALUES (33402, '03/05/2020', '3', '5', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.47851874');
INSERT INTO public.ecdc_import VALUES (33403, '02/05/2020', '2', '5', '2020', '11', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.53927979');
INSERT INTO public.ecdc_import VALUES (33404, '01/05/2020', '1', '5', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.37725034');
INSERT INTO public.ecdc_import VALUES (33405, '30/04/2020', '30', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.66080188');
INSERT INTO public.ecdc_import VALUES (33406, '29/04/2020', '29', '4', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.66080188');
INSERT INTO public.ecdc_import VALUES (33407, '28/04/2020', '28', '4', '2020', '9', '4', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.49877242');
INSERT INTO public.ecdc_import VALUES (33408, '27/04/2020', '27', '4', '2020', '4', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.49877242');
INSERT INTO public.ecdc_import VALUES (33409, '26/04/2020', '26', '4', '2020', '3', '3', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.45826506');
INSERT INTO public.ecdc_import VALUES (33410, '25/04/2020', '25', '4', '2020', '16', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.62029451');
INSERT INTO public.ecdc_import VALUES (33411, '24/04/2020', '24', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.4177577');
INSERT INTO public.ecdc_import VALUES (33412, '23/04/2020', '23', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.4177577');
INSERT INTO public.ecdc_import VALUES (33413, '22/04/2020', '22', '4', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.76207028');
INSERT INTO public.ecdc_import VALUES (33414, '21/04/2020', '21', '4', '2020', '8', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.72156292');
INSERT INTO public.ecdc_import VALUES (33415, '20/04/2020', '20', '4', '2020', '10', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.57978715');
INSERT INTO public.ecdc_import VALUES (33416, '19/04/2020', '19', '4', '2020', '5', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.43801138');
INSERT INTO public.ecdc_import VALUES (33417, '18/04/2020', '18', '4', '2020', '3', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.39750402');
INSERT INTO public.ecdc_import VALUES (33418, '17/04/2020', '17', '4', '2020', '14', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.35699665');
INSERT INTO public.ecdc_import VALUES (33419, '16/04/2020', '16', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.07344511');
INSERT INTO public.ecdc_import VALUES (33420, '15/04/2020', '15', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.13420616');
INSERT INTO public.ecdc_import VALUES (33421, '14/04/2020', '14', '4', '2020', '9', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '1.13420616');
INSERT INTO public.ecdc_import VALUES (33422, '13/04/2020', '13', '4', '2020', '2', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.95192303');
INSERT INTO public.ecdc_import VALUES (33423, '12/04/2020', '12', '4', '2020', '11', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.91141566');
INSERT INTO public.ecdc_import VALUES (33424, '11/04/2020', '11', '4', '2020', '6', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.68862517');
INSERT INTO public.ecdc_import VALUES (33425, '10/04/2020', '10', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.56710308');
INSERT INTO public.ecdc_import VALUES (33426, '09/04/2020', '9', '4', '2020', '17', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.56710308');
INSERT INTO public.ecdc_import VALUES (33427, '08/04/2020', '8', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.2227905');
INSERT INTO public.ecdc_import VALUES (33428, '07/04/2020', '7', '4', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.2227905');
INSERT INTO public.ecdc_import VALUES (33429, '06/04/2020', '6', '4', '2020', '3', '2', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.20253681');
INSERT INTO public.ecdc_import VALUES (33430, '05/04/2020', '5', '4', '2020', '3', '1', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.14177577');
INSERT INTO public.ecdc_import VALUES (33431, '04/04/2020', '4', '4', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.10126841');
INSERT INTO public.ecdc_import VALUES (33432, '03/04/2020', '3', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.08101473');
INSERT INTO public.ecdc_import VALUES (33433, '02/04/2020', '2', '4', '2020', '3', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.08101473');
INSERT INTO public.ecdc_import VALUES (33434, '01/04/2020', '1', '4', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.02025368');
INSERT INTO public.ecdc_import VALUES (33435, '31/03/2020', '31', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.04050736');
INSERT INTO public.ecdc_import VALUES (33436, '30/03/2020', '30', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '0.06076104');
INSERT INTO public.ecdc_import VALUES (33437, '29/03/2020', '29', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33438, '28/03/2020', '28', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33439, '27/03/2020', '27', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33440, '26/03/2020', '26', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33441, '25/03/2020', '25', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33442, '24/03/2020', '24', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33443, '23/03/2020', '23', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33444, '22/03/2020', '22', '3', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33445, '21/03/2020', '21', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33446, '20/03/2020', '20', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33447, '19/03/2020', '19', '3', '2020', '0', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33448, '18/03/2020', '18', '3', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33449, '17/03/2020', '17', '3', '2020', '1', '0', '4937374', 'Liberia', 'LR', 'LBR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33450, '14/12/2020', '14', '12', '2020', '899', '21', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '123.18787013');
INSERT INTO public.ecdc_import VALUES (33451, '13/12/2020', '13', '12', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '126.99460992');
INSERT INTO public.ecdc_import VALUES (33452, '12/12/2020', '12', '12', '2020', '697', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '126.99460992');
INSERT INTO public.ecdc_import VALUES (33453, '11/12/2020', '11', '12', '2020', '661', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '129.48817203');
INSERT INTO public.ecdc_import VALUES (33454, '10/12/2020', '10', '12', '2020', '536', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '128.73567696');
INSERT INTO public.ecdc_import VALUES (33455, '09/12/2020', '9', '12', '2020', '889', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '129.93081619');
INSERT INTO public.ecdc_import VALUES (33456, '08/12/2020', '8', '12', '2020', '517', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '127.24544161');
INSERT INTO public.ecdc_import VALUES (33457, '07/12/2020', '7', '12', '2020', '1051', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '129.20783073');
INSERT INTO public.ecdc_import VALUES (33458, '06/12/2020', '6', '12', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '128.67665774');
INSERT INTO public.ecdc_import VALUES (33459, '05/12/2020', '5', '12', '2020', '680', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '128.67665774');
INSERT INTO public.ecdc_import VALUES (33460, '04/12/2020', '4', '12', '2020', '42', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '130.47674399');
INSERT INTO public.ecdc_import VALUES (33461, '03/12/2020', '3', '12', '2020', '1390', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '137.83939188');
INSERT INTO public.ecdc_import VALUES (33462, '02/12/2020', '2', '12', '2020', '608', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '125.13550444');
INSERT INTO public.ecdc_import VALUES (33463, '01/12/2020', '1', '12', '2020', '379', '17', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '125.19452367');
INSERT INTO public.ecdc_import VALUES (33464, '30/11/2020', '30', '11', '2020', '1157', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '130.25542191');
INSERT INTO public.ecdc_import VALUES (33465, '29/11/2020', '29', '11', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '127.55529253');
INSERT INTO public.ecdc_import VALUES (33466, '28/11/2020', '28', '11', '2020', '866', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '127.55529253');
INSERT INTO public.ecdc_import VALUES (33467, '27/11/2020', '27', '11', '2020', '610', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '126.9355907');
INSERT INTO public.ecdc_import VALUES (33468, '26/11/2020', '26', '11', '2020', '617', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '131.49482556');
INSERT INTO public.ecdc_import VALUES (33469, '25/11/2020', '25', '11', '2020', '707', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '135.30156535');
INSERT INTO public.ecdc_import VALUES (33470, '24/11/2020', '24', '11', '2020', '650', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '139.18207917');
INSERT INTO public.ecdc_import VALUES (33471, '23/11/2020', '23', '11', '2020', '1015', '21', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '143.21014104');
INSERT INTO public.ecdc_import VALUES (33472, '22/11/2020', '22', '11', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '144.13969378');
INSERT INTO public.ecdc_import VALUES (33473, '21/11/2020', '21', '11', '2020', '802', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '152.91880298');
INSERT INTO public.ecdc_import VALUES (33474, '20/11/2020', '20', '11', '2020', '541', '9', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '155.89927367');
INSERT INTO public.ecdc_import VALUES (33475, '19/11/2020', '19', '11', '2020', '529', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '160.50277294');
INSERT INTO public.ecdc_import VALUES (33476, '18/11/2020', '18', '11', '2020', '612', '16', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '165.96205094');
INSERT INTO public.ecdc_import VALUES (33477, '17/11/2020', '17', '11', '2020', '722', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '168.45561305');
INSERT INTO public.ecdc_import VALUES (33478, '16/11/2020', '16', '11', '2020', '974', '22', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '170.5212858');
INSERT INTO public.ecdc_import VALUES (33479, '15/11/2020', '15', '11', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '170.16717047');
INSERT INTO public.ecdc_import VALUES (33480, '14/11/2020', '14', '11', '2020', '824', '10', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '177.05766458');
INSERT INTO public.ecdc_import VALUES (33481, '13/11/2020', '13', '11', '2020', '919', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '179.24137578');
INSERT INTO public.ecdc_import VALUES (33482, '12/11/2020', '12', '11', '2020', '875', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '177.21996744');
INSERT INTO public.ecdc_import VALUES (33483, '11/11/2020', '11', '11', '2020', '970', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '177.57408277');
INSERT INTO public.ecdc_import VALUES (33484, '10/11/2020', '10', '11', '2020', '923', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '174.3575352');
INSERT INTO public.ecdc_import VALUES (33485, '09/11/2020', '9', '11', '2020', '1078', '9', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '178.59216434');
INSERT INTO public.ecdc_import VALUES (33486, '08/11/2020', '8', '11', '2020', '595', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '186.86961016');
INSERT INTO public.ecdc_import VALUES (33487, '07/11/2020', '7', '11', '2020', '1004', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '192.69775829');
INSERT INTO public.ecdc_import VALUES (33488, '06/11/2020', '6', '11', '2020', '853', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '189.156605');
INSERT INTO public.ecdc_import VALUES (33489, '05/11/2020', '5', '11', '2020', '899', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '191.25178736');
INSERT INTO public.ecdc_import VALUES (33490, '04/11/2020', '4', '11', '2020', '781', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '188.59592239');
INSERT INTO public.ecdc_import VALUES (33491, '03/11/2020', '3', '11', '2020', '862', '9', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '191.19276814');
INSERT INTO public.ecdc_import VALUES (33492, '02/11/2020', '2', '11', '2020', '950', '14', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '195.57494534');
INSERT INTO public.ecdc_import VALUES (33493, '01/11/2020', '1', '11', '2020', '467', '10', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '195.50117131');
INSERT INTO public.ecdc_import VALUES (33494, '31/10/2020', '31', '10', '2020', '972', '16', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '188.6106772');
INSERT INTO public.ecdc_import VALUES (33495, '30/10/2020', '30', '10', '2020', '782', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '191.51737386');
INSERT INTO public.ecdc_import VALUES (33496, '29/10/2020', '29', '10', '2020', '899', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '192.59447465');
INSERT INTO public.ecdc_import VALUES (33497, '28/10/2020', '28', '10', '2020', '752', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '191.66492191');
INSERT INTO public.ecdc_import VALUES (33498, '27/10/2020', '27', '10', '2020', '1210', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '197.74390173');
INSERT INTO public.ecdc_import VALUES (33499, '26/10/2020', '26', '10', '2020', '1639', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '196.25366638');
INSERT INTO public.ecdc_import VALUES (33500, '25/10/2020', '25', '10', '2020', '990', '16', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '187.20897069');
INSERT INTO public.ecdc_import VALUES (33501, '24/10/2020', '24', '10', '2020', '764', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '177.29374147');
INSERT INTO public.ecdc_import VALUES (33502, '23/10/2020', '23', '10', '2020', '995', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '181.89724075');
INSERT INTO public.ecdc_import VALUES (33503, '22/10/2020', '22', '10', '2020', '719', '19', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '178.71020279');
INSERT INTO public.ecdc_import VALUES (33504, '21/10/2020', '21', '10', '2020', '957', '14', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '183.52026934');
INSERT INTO public.ecdc_import VALUES (33505, '20/10/2020', '20', '10', '2020', '1159', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '184.61212494');
INSERT INTO public.ecdc_import VALUES (33506, '19/10/2020', '19', '10', '2020', '945', '26', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '176.77732328');
INSERT INTO public.ecdc_import VALUES (33507, '18/10/2020', '18', '10', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '173.48700168');
INSERT INTO public.ecdc_import VALUES (33508, '17/10/2020', '17', '10', '2020', '1169', '18', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '178.94627967');
INSERT INTO public.ecdc_import VALUES (33509, '16/10/2020', '16', '10', '2020', '855', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '169.20810812');
INSERT INTO public.ecdc_import VALUES (33510, '15/10/2020', '15', '10', '2020', '836', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '166.67028159');
INSERT INTO public.ecdc_import VALUES (33511, '14/10/2020', '14', '10', '2020', '1164', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '161.87496984');
INSERT INTO public.ecdc_import VALUES (33512, '13/10/2020', '13', '10', '2020', '1109', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '156.51897549');
INSERT INTO public.ecdc_import VALUES (33513, '12/10/2020', '12', '10', '2020', '1026', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '152.68272609');
INSERT INTO public.ecdc_import VALUES (33514, '11/10/2020', '11', '10', '2020', '318', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '145.45287145');
INSERT INTO public.ecdc_import VALUES (33515, '10/10/2020', '10', '10', '2020', '1076', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '148.69892864');
INSERT INTO public.ecdc_import VALUES (33516, '09/10/2020', '9', '10', '2020', '779', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '142.53141999');
INSERT INTO public.ecdc_import VALUES (33517, '08/10/2020', '8', '10', '2020', '1045', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '138.93124748');
INSERT INTO public.ecdc_import VALUES (33518, '07/10/2020', '7', '10', '2020', '1031', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '133.11785416');
INSERT INTO public.ecdc_import VALUES (33519, '06/10/2020', '6', '10', '2020', '628', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '127.49627331');
INSERT INTO public.ecdc_import VALUES (33520, '05/10/2020', '5', '10', '2020', '722', '14', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '130.72757568');
INSERT INTO public.ecdc_import VALUES (33521, '04/10/2020', '4', '10', '2020', '370', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '130.62429205');
INSERT INTO public.ecdc_import VALUES (33522, '03/10/2020', '3', '10', '2020', '509', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '136.90983914');
INSERT INTO public.ecdc_import VALUES (33523, '02/10/2020', '2', '10', '2020', '683', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '138.48860331');
INSERT INTO public.ecdc_import VALUES (33524, '01/10/2020', '1', '10', '2020', '511', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '141.48382881');
INSERT INTO public.ecdc_import VALUES (33525, '30/09/2020', '30', '9', '2020', '801', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '145.62992912');
INSERT INTO public.ecdc_import VALUES (33526, '29/09/2020', '29', '9', '2020', '849', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '143.09210259');
INSERT INTO public.ecdc_import VALUES (33527, '28/09/2020', '28', '9', '2020', '536', '21', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '141.39529997');
INSERT INTO public.ecdc_import VALUES (33528, '27/09/2020', '27', '9', '2020', '538', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '139.87555502');
INSERT INTO public.ecdc_import VALUES (33529, '26/09/2020', '26', '9', '2020', '658', '17', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '138.42958409');
INSERT INTO public.ecdc_import VALUES (33530, '25/09/2020', '25', '9', '2020', '535', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '143.01832857');
INSERT INTO public.ecdc_import VALUES (33531, '24/09/2020', '24', '9', '2020', '651', '9', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '142.16254985');
INSERT INTO public.ecdc_import VALUES (33532, '23/09/2020', '23', '9', '2020', '650', '10', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '145.52664548');
INSERT INTO public.ecdc_import VALUES (33533, '22/09/2020', '22', '9', '2020', '847', '16', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '147.00212602');
INSERT INTO public.ecdc_import VALUES (33534, '21/09/2020', '21', '9', '2020', '715', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '150.4990149');
INSERT INTO public.ecdc_import VALUES (33535, '20/09/2020', '20', '9', '2020', '796', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '149.61372657');
INSERT INTO public.ecdc_import VALUES (33536, '19/09/2020', '19', '9', '2020', '616', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '147.44477018');
INSERT INTO public.ecdc_import VALUES (33537, '18/09/2020', '18', '9', '2020', '886', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '148.27103928');
INSERT INTO public.ecdc_import VALUES (33538, '17/09/2020', '17', '9', '2020', '792', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '144.30199664');
INSERT INTO public.ecdc_import VALUES (33539, '16/09/2020', '16', '9', '2020', '629', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '140.46574724');
INSERT INTO public.ecdc_import VALUES (33540, '15/09/2020', '15', '9', '2020', '734', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '140.89363659');
INSERT INTO public.ecdc_import VALUES (33541, '14/09/2020', '14', '9', '2020', '433', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '138.07546876');
INSERT INTO public.ecdc_import VALUES (33542, '13/09/2020', '13', '9', '2020', '440', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '138.54762254');
INSERT INTO public.ecdc_import VALUES (33543, '12/09/2020', '12', '9', '2020', '969', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '136.90983914');
INSERT INTO public.ecdc_import VALUES (33544, '11/09/2020', '11', '9', '2020', '477', '15', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '127.85038863');
INSERT INTO public.ecdc_import VALUES (33545, '10/09/2020', '10', '9', '2020', '879', '10', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '127.30446084');
INSERT INTO public.ecdc_import VALUES (33546, '09/09/2020', '9', '9', '2020', '750', '18', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '122.49439428');
INSERT INTO public.ecdc_import VALUES (33547, '08/09/2020', '8', '9', '2020', '1084', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '115.44159731');
INSERT INTO public.ecdc_import VALUES (33548, '07/09/2020', '7', '9', '2020', '655', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '107.88713695');
INSERT INTO public.ecdc_import VALUES (33549, '06/09/2020', '6', '9', '2020', '649', '10', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '102.88525793');
INSERT INTO public.ecdc_import VALUES (33550, '05/09/2020', '5', '9', '2020', '672', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '99.41787866');
INSERT INTO public.ecdc_import VALUES (33551, '04/09/2020', '4', '9', '2020', '617', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '93.10282196');
INSERT INTO public.ecdc_import VALUES (33552, '03/09/2020', '3', '9', '2020', '532', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '89.82725517');
INSERT INTO public.ecdc_import VALUES (33553, '02/09/2020', '2', '9', '2020', '658', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '89.19279853');
INSERT INTO public.ecdc_import VALUES (33554, '01/09/2020', '1', '9', '2020', '543', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '79.48413659');
INSERT INTO public.ecdc_import VALUES (33555, '31/08/2020', '31', '8', '2020', '465', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '83.8810686');
INSERT INTO public.ecdc_import VALUES (33556, '30/08/2020', '30', '8', '2020', '329', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '77.02008409');
INSERT INTO public.ecdc_import VALUES (33557, '29/08/2020', '29', '8', '2020', '355', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '78.22997813');
INSERT INTO public.ecdc_import VALUES (33558, '28/08/2020', '28', '8', '2020', '440', '9', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '77.07910332');
INSERT INTO public.ecdc_import VALUES (33559, '27/08/2020', '27', '8', '2020', '553', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '81.62358337');
INSERT INTO public.ecdc_import VALUES (33560, '26/08/2020', '26', '8', '2020', '272', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '78.9677184');
INSERT INTO public.ecdc_import VALUES (33561, '25/08/2020', '25', '8', '2020', '572', '11', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '80.67927583');
INSERT INTO public.ecdc_import VALUES (33562, '24/08/2020', '24', '8', '2020', '316', '8', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '76.79876201');
INSERT INTO public.ecdc_import VALUES (33563, '23/08/2020', '23', '8', '2020', '414', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '74.39372874');
INSERT INTO public.ecdc_import VALUES (33564, '22/08/2020', '22', '8', '2020', '244', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '68.28523931');
INSERT INTO public.ecdc_import VALUES (33565, '21/08/2020', '21', '8', '2020', '395', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '73.59696924');
INSERT INTO public.ecdc_import VALUES (33566, '20/08/2020', '20', '8', '2020', '489', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '71.47227727');
INSERT INTO public.ecdc_import VALUES (33567, '19/08/2020', '19', '8', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '66.6327011');
INSERT INTO public.ecdc_import VALUES (33568, '18/08/2020', '18', '8', '2020', '841', '12', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '66.6327011');
INSERT INTO public.ecdc_import VALUES (33569, '17/08/2020', '17', '8', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '59.71269738');
INSERT INTO public.ecdc_import VALUES (33570, '16/08/2020', '16', '8', '2020', '411', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '60.74553376');
INSERT INTO public.ecdc_import VALUES (33571, '15/08/2020', '15', '8', '2020', '277', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '60.56847609');
INSERT INTO public.ecdc_import VALUES (33572, '14/08/2020', '14', '8', '2020', '748', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '56.481395');
INSERT INTO public.ecdc_import VALUES (33573, '13/08/2020', '13', '8', '2020', '373', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '48.46953568');
INSERT INTO public.ecdc_import VALUES (33574, '12/08/2020', '12', '8', '2020', '388', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '45.76940629');
INSERT INTO public.ecdc_import VALUES (33575, '11/08/2020', '11', '8', '2020', '309', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '40.04454181');
INSERT INTO public.ecdc_import VALUES (33576, '10/08/2020', '10', '8', '2020', '153', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '39.61665245');
INSERT INTO public.ecdc_import VALUES (33577, '09/08/2020', '9', '8', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '37.35916723');
INSERT INTO public.ecdc_import VALUES (33578, '08/08/2020', '8', '8', '2020', '604', '9', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '39.15925348');
INSERT INTO public.ecdc_import VALUES (33579, '07/08/2020', '7', '8', '2020', '251', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '31.88513443');
INSERT INTO public.ecdc_import VALUES (33580, '06/08/2020', '6', '8', '2020', '161', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '30.21784142');
INSERT INTO public.ecdc_import VALUES (33581, '05/08/2020', '5', '8', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '29.14074063');
INSERT INTO public.ecdc_import VALUES (33582, '04/08/2020', '4', '8', '2020', '372', '13', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '31.02935572');
INSERT INTO public.ecdc_import VALUES (33583, '03/08/2020', '3', '8', '2020', '70', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '26.92751982');
INSERT INTO public.ecdc_import VALUES (33584, '02/08/2020', '2', '8', '2020', '399', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '27.00129385');
INSERT INTO public.ecdc_import VALUES (33585, '01/08/2020', '1', '8', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '22.39779457');
INSERT INTO public.ecdc_import VALUES (33586, '31/07/2020', '31', '7', '2020', '205', '4', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '23.16504445');
INSERT INTO public.ecdc_import VALUES (33587, '30/07/2020', '30', '7', '2020', '190', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '21.06986209');
INSERT INTO public.ecdc_import VALUES (33588, '29/07/2020', '29', '7', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '18.650074');
INSERT INTO public.ecdc_import VALUES (33589, '28/07/2020', '28', '7', '2020', '280', '6', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '19.40256908');
INSERT INTO public.ecdc_import VALUES (33590, '27/07/2020', '27', '7', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '16.4368532');
INSERT INTO public.ecdc_import VALUES (33591, '26/07/2020', '26', '7', '2020', '122', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '17.08606463');
INSERT INTO public.ecdc_import VALUES (33592, '25/07/2020', '25', '7', '2020', '111', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '15.97945423');
INSERT INTO public.ecdc_import VALUES (33593, '24/07/2020', '24', '7', '2020', '138', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '15.43352643');
INSERT INTO public.ecdc_import VALUES (33594, '23/07/2020', '23', '7', '2020', '88', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '14.66627655');
INSERT INTO public.ecdc_import VALUES (33595, '22/07/2020', '22', '7', '2020', '128', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '13.36785368');
INSERT INTO public.ecdc_import VALUES (33596, '21/07/2020', '21', '7', '2020', '94', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '13.48589212');
INSERT INTO public.ecdc_import VALUES (33597, '20/07/2020', '20', '7', '2020', '75', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '12.93996432');
INSERT INTO public.ecdc_import VALUES (33598, '19/07/2020', '19', '7', '2020', '87', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '11.83335392');
INSERT INTO public.ecdc_import VALUES (33599, '18/07/2020', '18', '7', '2020', '52', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '11.59727703');
INSERT INTO public.ecdc_import VALUES (33600, '17/07/2020', '17', '7', '2020', '63', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '11.2284069');
INSERT INTO public.ecdc_import VALUES (33601, '16/07/2020', '16', '7', '2020', '26', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '10.78576273');
INSERT INTO public.ecdc_import VALUES (33602, '15/07/2020', '15', '7', '2020', '51', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '10.90380118');
INSERT INTO public.ecdc_import VALUES (33603, '14/07/2020', '14', '7', '2020', '79', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '11.06610404');
INSERT INTO public.ecdc_import VALUES (33604, '13/07/2020', '13', '7', '2020', '44', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '9.90047441');
INSERT INTO public.ecdc_import VALUES (33605, '12/07/2020', '12', '7', '2020', '47', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '9.97424844');
INSERT INTO public.ecdc_import VALUES (33606, '11/07/2020', '11', '7', '2020', '74', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '9.50209467');
INSERT INTO public.ecdc_import VALUES (33607, '10/07/2020', '10', '7', '2020', '86', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '8.41023907');
INSERT INTO public.ecdc_import VALUES (33608, '09/07/2020', '9', '7', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '8.01185932');
INSERT INTO public.ecdc_import VALUES (33609, '08/07/2020', '8', '7', '2020', '136', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '8.01185932');
INSERT INTO public.ecdc_import VALUES (33610, '07/07/2020', '7', '7', '2020', '57', '5', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '7.00853256');
INSERT INTO public.ecdc_import VALUES (33611, '06/07/2020', '6', '7', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '6.56588839');
INSERT INTO public.ecdc_import VALUES (33612, '05/07/2020', '5', '7', '2020', '71', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '6.92000372');
INSERT INTO public.ecdc_import VALUES (33613, '04/07/2020', '4', '7', '2020', '27', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '6.0199606');
INSERT INTO public.ecdc_import VALUES (33614, '03/07/2020', '3', '7', '2020', '33', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '5.7691289');
INSERT INTO public.ecdc_import VALUES (33615, '02/07/2020', '2', '7', '2020', '34', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '5.7691289');
INSERT INTO public.ecdc_import VALUES (33616, '01/07/2020', '1', '7', '2020', '62', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '5.26746552');
INSERT INTO public.ecdc_import VALUES (33617, '30/06/2020', '30', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.35266759');
INSERT INTO public.ecdc_import VALUES (33618, '29/06/2020', '29', '6', '2020', '49', '3', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '5.07565305');
INSERT INTO public.ecdc_import VALUES (33619, '28/06/2020', '28', '6', '2020', '15', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.35266759');
INSERT INTO public.ecdc_import VALUES (33620, '27/06/2020', '27', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.26413876');
INSERT INTO public.ecdc_import VALUES (33621, '26/06/2020', '26', '6', '2020', '59', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.50021564');
INSERT INTO public.ecdc_import VALUES (33622, '25/06/2020', '25', '6', '2020', '0', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '3.8510042');
INSERT INTO public.ecdc_import VALUES (33623, '24/06/2020', '24', '6', '2020', '68', '7', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.52972525');
INSERT INTO public.ecdc_import VALUES (33624, '23/06/2020', '23', '6', '2020', '27', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.44119642');
INSERT INTO public.ecdc_import VALUES (33625, '22/06/2020', '22', '6', '2020', '24', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.24938395');
INSERT INTO public.ecdc_import VALUES (33626, '21/06/2020', '21', '6', '2020', '10', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '3.89526862');
INSERT INTO public.ecdc_import VALUES (33627, '20/06/2020', '20', '6', '2020', '10', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '3.99855226');
INSERT INTO public.ecdc_import VALUES (33628, '19/06/2020', '19', '6', '2020', '33', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.48546084');
INSERT INTO public.ecdc_import VALUES (33629, '18/06/2020', '18', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '3.99855226');
INSERT INTO public.ecdc_import VALUES (33630, '17/06/2020', '17', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.20511953');
INSERT INTO public.ecdc_import VALUES (33631, '16/06/2020', '16', '6', '2020', '49', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.41168681');
INSERT INTO public.ecdc_import VALUES (33632, '15/06/2020', '15', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '3.86575901');
INSERT INTO public.ecdc_import VALUES (33633, '14/06/2020', '14', '6', '2020', '9', '2', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.24938395');
INSERT INTO public.ecdc_import VALUES (33634, '13/06/2020', '13', '6', '2020', '16', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.29364837');
INSERT INTO public.ecdc_import VALUES (33635, '12/06/2020', '12', '6', '2020', '15', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.24938395');
INSERT INTO public.ecdc_import VALUES (33636, '11/06/2020', '11', '6', '2020', '46', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '4.1165907');
INSERT INTO public.ecdc_import VALUES (33637, '10/06/2020', '10', '6', '2020', '62', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '3.76247537');
INSERT INTO public.ecdc_import VALUES (33638, '09/06/2020', '9', '6', '2020', '14', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '2.87718705');
INSERT INTO public.ecdc_import VALUES (33639, '08/06/2020', '8', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '2.67061977');
INSERT INTO public.ecdc_import VALUES (33640, '07/06/2020', '7', '6', '2020', '17', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '2.67061977');
INSERT INTO public.ecdc_import VALUES (33641, '06/06/2020', '6', '6', '2020', '43', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '2.4640525');
INSERT INTO public.ecdc_import VALUES (33642, '05/06/2020', '5', '6', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '1.84435067');
INSERT INTO public.ecdc_import VALUES (33643, '04/06/2020', '4', '6', '2020', '14', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '1.87386028');
INSERT INTO public.ecdc_import VALUES (33644, '03/06/2020', '3', '6', '2020', '14', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '1.68204781');
INSERT INTO public.ecdc_import VALUES (33645, '02/06/2020', '2', '6', '2020', '12', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '1.51974495');
INSERT INTO public.ecdc_import VALUES (33646, '01/06/2020', '1', '6', '2020', '26', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '1.34268729');
INSERT INTO public.ecdc_import VALUES (33647, '31/05/2020', '31', '5', '2020', '12', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.95906235');
INSERT INTO public.ecdc_import VALUES (33648, '30/05/2020', '30', '5', '2020', '13', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.79675949');
INSERT INTO public.ecdc_import VALUES (33649, '29/05/2020', '29', '5', '2020', '6', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.60494702');
INSERT INTO public.ecdc_import VALUES (33650, '28/05/2020', '28', '5', '2020', '22', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.51641819');
INSERT INTO public.ecdc_import VALUES (33651, '27/05/2020', '27', '5', '2020', '2', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.19181247');
INSERT INTO public.ecdc_import VALUES (33652, '26/05/2020', '26', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.16230286');
INSERT INTO public.ecdc_import VALUES (33653, '25/05/2020', '25', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.16230286');
INSERT INTO public.ecdc_import VALUES (33654, '24/05/2020', '24', '5', '2020', '3', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.16230286');
INSERT INTO public.ecdc_import VALUES (33655, '23/05/2020', '23', '5', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.11803844');
INSERT INTO public.ecdc_import VALUES (33656, '22/05/2020', '22', '5', '2020', '2', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.10328364');
INSERT INTO public.ecdc_import VALUES (33657, '21/05/2020', '21', '5', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.07377403');
INSERT INTO public.ecdc_import VALUES (33658, '20/05/2020', '20', '5', '2020', '3', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.07377403');
INSERT INTO public.ecdc_import VALUES (33659, '19/05/2020', '19', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.02950961');
INSERT INTO public.ecdc_import VALUES (33660, '18/05/2020', '18', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.02950961');
INSERT INTO public.ecdc_import VALUES (33661, '17/05/2020', '17', '5', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.02950961');
INSERT INTO public.ecdc_import VALUES (33662, '16/05/2020', '16', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.01475481');
INSERT INTO public.ecdc_import VALUES (33663, '15/05/2020', '15', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33664, '14/05/2020', '14', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33665, '13/05/2020', '13', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33666, '12/05/2020', '12', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33667, '11/05/2020', '11', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33668, '10/05/2020', '10', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33669, '09/05/2020', '9', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.04426442');
INSERT INTO public.ecdc_import VALUES (33670, '08/05/2020', '8', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.05901922');
INSERT INTO public.ecdc_import VALUES (33671, '07/05/2020', '7', '5', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.07377403');
INSERT INTO public.ecdc_import VALUES (33672, '06/05/2020', '6', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.17705766');
INSERT INTO public.ecdc_import VALUES (33673, '05/05/2020', '5', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.17705766');
INSERT INTO public.ecdc_import VALUES (33674, '04/05/2020', '4', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.20656728');
INSERT INTO public.ecdc_import VALUES (33675, '03/05/2020', '3', '5', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.20656728');
INSERT INTO public.ecdc_import VALUES (33676, '02/05/2020', '2', '5', '2020', '2', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.20656728');
INSERT INTO public.ecdc_import VALUES (33677, '01/05/2020', '1', '5', '2020', '0', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.17705766');
INSERT INTO public.ecdc_import VALUES (33678, '30/04/2020', '30', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.19181247');
INSERT INTO public.ecdc_import VALUES (33679, '29/04/2020', '29', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.38362494');
INSERT INTO public.ecdc_import VALUES (33680, '28/04/2020', '28', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.51641819');
INSERT INTO public.ecdc_import VALUES (33681, '27/04/2020', '27', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.53117299');
INSERT INTO public.ecdc_import VALUES (33682, '26/04/2020', '26', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.53117299');
INSERT INTO public.ecdc_import VALUES (33683, '25/04/2020', '25', '4', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.5459278');
INSERT INTO public.ecdc_import VALUES (33684, '24/04/2020', '24', '4', '2020', '1', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.53117299');
INSERT INTO public.ecdc_import VALUES (33685, '23/04/2020', '23', '4', '2020', '8', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.5606826');
INSERT INTO public.ecdc_import VALUES (33686, '22/04/2020', '22', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.47215377');
INSERT INTO public.ecdc_import VALUES (33687, '21/04/2020', '21', '4', '2020', '2', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.48690858');
INSERT INTO public.ecdc_import VALUES (33688, '20/04/2020', '20', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.45739897');
INSERT INTO public.ecdc_import VALUES (33689, '19/04/2020', '19', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.45739897');
INSERT INTO public.ecdc_import VALUES (33690, '18/04/2020', '18', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.5606826');
INSERT INTO public.ecdc_import VALUES (33691, '17/04/2020', '17', '4', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.5606826');
INSERT INTO public.ecdc_import VALUES (33692, '16/04/2020', '16', '4', '2020', '13', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.5606826');
INSERT INTO public.ecdc_import VALUES (33693, '15/04/2020', '15', '4', '2020', '9', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.36887013');
INSERT INTO public.ecdc_import VALUES (33694, '14/04/2020', '14', '4', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.2655865');
INSERT INTO public.ecdc_import VALUES (33695, '13/04/2020', '13', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.25083169');
INSERT INTO public.ecdc_import VALUES (33696, '12/04/2020', '12', '4', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.35411533');
INSERT INTO public.ecdc_import VALUES (33697, '11/04/2020', '11', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.33936052');
INSERT INTO public.ecdc_import VALUES (33698, '10/04/2020', '10', '4', '2020', '3', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.33936052');
INSERT INTO public.ecdc_import VALUES (33699, '09/04/2020', '9', '4', '2020', '2', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.29509611');
INSERT INTO public.ecdc_import VALUES (33700, '08/04/2020', '8', '4', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.2655865');
INSERT INTO public.ecdc_import VALUES (33701, '07/04/2020', '7', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '0.2655865');
INSERT INTO public.ecdc_import VALUES (33702, '06/04/2020', '6', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33703, '05/04/2020', '5', '4', '2020', '7', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33704, '04/04/2020', '4', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33705, '03/04/2020', '3', '4', '2020', '1', '1', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33706, '02/04/2020', '2', '4', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33707, '01/04/2020', '1', '4', '2020', '2', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33708, '31/03/2020', '31', '3', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33709, '30/03/2020', '30', '3', '2020', '7', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33710, '29/03/2020', '29', '3', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33711, '28/03/2020', '28', '3', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33712, '27/03/2020', '27', '3', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33713, '26/03/2020', '26', '3', '2020', '0', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33714, '25/03/2020', '25', '3', '2020', '1', '0', '6777453', 'Libya', 'LY', 'LBY', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (33715, '14/12/2020', '14', '12', '2020', '12', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '627.96393767');
INSERT INTO public.ecdc_import VALUES (33716, '13/12/2020', '13', '12', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '596.69602376');
INSERT INTO public.ecdc_import VALUES (33717, '12/12/2020', '12', '12', '2020', '25', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '596.69602376');
INSERT INTO public.ecdc_import VALUES (33718, '11/12/2020', '11', '12', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '575.85074782');
INSERT INTO public.ecdc_import VALUES (33719, '10/12/2020', '10', '12', '2020', '27', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '674.86580854');
INSERT INTO public.ecdc_import VALUES (33720, '09/12/2020', '9', '12', '2020', '16', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '640.99223513');
INSERT INTO public.ecdc_import VALUES (33721, '08/12/2020', '8', '12', '2020', '35', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '651.4148731');
INSERT INTO public.ecdc_import VALUES (33722, '07/12/2020', '7', '12', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '740.00729585');
INSERT INTO public.ecdc_import VALUES (33723, '06/12/2020', '6', '12', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '747.82427432');
INSERT INTO public.ecdc_import VALUES (33724, '05/12/2020', '5', '12', '2020', '12', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '786.90916671');
INSERT INTO public.ecdc_import VALUES (33725, '04/12/2020', '4', '12', '2020', '40', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '812.96576163');
INSERT INTO public.ecdc_import VALUES (33726, '03/12/2020', '3', '12', '2020', '0', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '763.45823128');
INSERT INTO public.ecdc_import VALUES (33727, '02/12/2020', '2', '12', '2020', '42', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '891.13554641');
INSERT INTO public.ecdc_import VALUES (33728, '01/12/2020', '1', '12', '2020', '29', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '815.57142113');
INSERT INTO public.ecdc_import VALUES (33729, '30/11/2020', '30', '11', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '750.42993382');
INSERT INTO public.ecdc_import VALUES (33730, '29/11/2020', '29', '11', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '789.5148262');
INSERT INTO public.ecdc_import VALUES (33731, '28/11/2020', '28', '11', '2020', '17', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '844.23367554');
INSERT INTO public.ecdc_import VALUES (33732, '27/11/2020', '27', '11', '2020', '41', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '862.47329199');
INSERT INTO public.ecdc_import VALUES (33733, '26/11/2020', '26', '11', '2020', '14', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '836.41669707');
INSERT INTO public.ecdc_import VALUES (33734, '25/11/2020', '25', '11', '2020', '20', '5', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '883.31856793');
INSERT INTO public.ecdc_import VALUES (33735, '24/11/2020', '24', '11', '2020', '69', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '948.46005524');
INSERT INTO public.ecdc_import VALUES (33736, '23/11/2020', '23', '11', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '844.23367554');
INSERT INTO public.ecdc_import VALUES (33737, '22/11/2020', '22', '11', '2020', '15', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '896.34686539');
INSERT INTO public.ecdc_import VALUES (33738, '21/11/2020', '21', '11', '2020', '22', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '888.52988691');
INSERT INTO public.ecdc_import VALUES (33739, '20/11/2020', '20', '11', '2020', '21', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '961.4883527');
INSERT INTO public.ecdc_import VALUES (33740, '19/11/2020', '19', '11', '2020', '49', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '984.93928813');
INSERT INTO public.ecdc_import VALUES (33741, '18/11/2020', '18', '11', '2020', '13', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '935.43175778');
INSERT INTO public.ecdc_import VALUES (33742, '17/11/2020', '17', '11', '2020', '4', '3', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '995.3619261');
INSERT INTO public.ecdc_import VALUES (33743, '16/11/2020', '16', '11', '2020', '15', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1130.85621971');
INSERT INTO public.ecdc_import VALUES (33744, '15/11/2020', '15', '11', '2020', '21', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1138.67319819');
INSERT INTO public.ecdc_import VALUES (33745, '14/11/2020', '14', '11', '2020', '24', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1110.01094377');
INSERT INTO public.ecdc_import VALUES (33746, '13/11/2020', '13', '11', '2020', '31', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1143.88451717');
INSERT INTO public.ecdc_import VALUES (33747, '12/11/2020', '12', '11', '2020', '32', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1128.25056022');
INSERT INTO public.ecdc_import VALUES (33748, '11/11/2020', '11', '11', '2020', '45', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1104.79962479');
INSERT INTO public.ecdc_import VALUES (33749, '10/11/2020', '10', '11', '2020', '29', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1052.68643494');
INSERT INTO public.ecdc_import VALUES (33750, '09/11/2020', '9', '11', '2020', '23', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1102.19396529');
INSERT INTO public.ecdc_import VALUES (33751, '08/11/2020', '8', '11', '2020', '12', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1107.40528428');
INSERT INTO public.ecdc_import VALUES (33752, '07/11/2020', '7', '11', '2020', '50', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1102.19396529');
INSERT INTO public.ecdc_import VALUES (33753, '06/11/2020', '6', '11', '2020', '30', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1081.34868935');
INSERT INTO public.ecdc_import VALUES (33754, '05/11/2020', '5', '11', '2020', '30', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1070.92605138');
INSERT INTO public.ecdc_import VALUES (33755, '04/11/2020', '4', '11', '2020', '36', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '1026.62984001');
INSERT INTO public.ecdc_import VALUES (33756, '03/11/2020', '3', '11', '2020', '56', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '990.15060712');
INSERT INTO public.ecdc_import VALUES (33757, '02/11/2020', '2', '11', '2020', '18', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '852.05065402');
INSERT INTO public.ecdc_import VALUES (33758, '01/11/2020', '1', '11', '2020', '10', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '823.3883996');
INSERT INTO public.ecdc_import VALUES (33759, '31/10/2020', '31', '10', '2020', '37', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '854.65631351');
INSERT INTO public.ecdc_import VALUES (33760, '30/10/2020', '30', '10', '2020', '25', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '805.14878316');
INSERT INTO public.ecdc_import VALUES (33761, '29/10/2020', '29', '10', '2020', '23', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '797.33180468');
INSERT INTO public.ecdc_import VALUES (33762, '28/10/2020', '28', '10', '2020', '25', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '737.40163635');
INSERT INTO public.ecdc_import VALUES (33763, '27/10/2020', '27', '10', '2020', '48', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '687.894106');
INSERT INTO public.ecdc_import VALUES (33764, '26/10/2020', '26', '10', '2020', '25', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '591.48470478');
INSERT INTO public.ecdc_import VALUES (33765, '25/10/2020', '25', '10', '2020', '10', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '526.34321747');
INSERT INTO public.ecdc_import VALUES (33766, '24/10/2020', '24', '10', '2020', '42', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '500.28662254');
INSERT INTO public.ecdc_import VALUES (33767, '23/10/2020', '23', '10', '2020', '26', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '396.06024285');
INSERT INTO public.ecdc_import VALUES (33768, '22/10/2020', '22', '10', '2020', '13', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '343.947053');
INSERT INTO public.ecdc_import VALUES (33769, '21/10/2020', '21', '10', '2020', '22', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '310.0734796');
INSERT INTO public.ecdc_import VALUES (33770, '20/10/2020', '20', '10', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '255.35463026');
INSERT INTO public.ecdc_import VALUES (33771, '19/10/2020', '19', '10', '2020', '7', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '255.35463026');
INSERT INTO public.ecdc_import VALUES (33772, '18/10/2020', '18', '10', '2020', '22', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '244.93199229');
INSERT INTO public.ecdc_import VALUES (33773, '17/10/2020', '17', '10', '2020', '18', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '192.81880244');
INSERT INTO public.ecdc_import VALUES (33774, '16/10/2020', '16', '10', '2020', '22', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '148.52259107');
INSERT INTO public.ecdc_import VALUES (33775, '15/10/2020', '15', '10', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '91.19808223');
INSERT INTO public.ecdc_import VALUES (33776, '14/10/2020', '14', '10', '2020', '6', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '91.19808223');
INSERT INTO public.ecdc_import VALUES (33777, '13/10/2020', '13', '10', '2020', '11', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '80.77544426');
INSERT INTO public.ecdc_import VALUES (33778, '12/10/2020', '12', '10', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '54.71884934');
INSERT INTO public.ecdc_import VALUES (33779, '11/10/2020', '11', '10', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '54.71884934');
INSERT INTO public.ecdc_import VALUES (33780, '10/10/2020', '10', '10', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '54.71884934');
INSERT INTO public.ecdc_import VALUES (33781, '09/10/2020', '9', '10', '2020', '6', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '49.50753036');
INSERT INTO public.ecdc_import VALUES (33782, '08/10/2020', '8', '10', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '33.8735734');
INSERT INTO public.ecdc_import VALUES (33783, '07/10/2020', '7', '10', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '36.47923289');
INSERT INTO public.ecdc_import VALUES (33784, '06/10/2020', '6', '10', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '39.08489239');
INSERT INTO public.ecdc_import VALUES (33785, '05/10/2020', '5', '10', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '36.47923289');
INSERT INTO public.ecdc_import VALUES (33786, '04/10/2020', '4', '10', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '28.66225442');
INSERT INTO public.ecdc_import VALUES (33787, '03/10/2020', '3', '10', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '23.45093543');
INSERT INTO public.ecdc_import VALUES (33788, '02/10/2020', '2', '10', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '23.45093543');
INSERT INTO public.ecdc_import VALUES (33789, '01/10/2020', '1', '10', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '23.45093543');
INSERT INTO public.ecdc_import VALUES (33790, '30/09/2020', '30', '9', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '23.45093543');
INSERT INTO public.ecdc_import VALUES (33791, '29/09/2020', '29', '9', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '18.23961645');
INSERT INTO public.ecdc_import VALUES (33792, '28/09/2020', '28', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '15.63395695');
INSERT INTO public.ecdc_import VALUES (33793, '27/09/2020', '27', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33794, '26/09/2020', '26', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33795, '25/09/2020', '25', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33796, '24/09/2020', '24', '9', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33797, '23/09/2020', '23', '9', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33798, '22/09/2020', '22', '9', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '15.63395695');
INSERT INTO public.ecdc_import VALUES (33799, '21/09/2020', '21', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33800, '20/09/2020', '20', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33801, '19/09/2020', '19', '9', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33802, '18/09/2020', '18', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33803, '17/09/2020', '17', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33804, '16/09/2020', '16', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33805, '15/09/2020', '15', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33806, '14/09/2020', '14', '9', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33807, '13/09/2020', '13', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33808, '12/09/2020', '12', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33809, '11/09/2020', '11', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33810, '10/09/2020', '10', '9', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33811, '09/09/2020', '9', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '18.23961645');
INSERT INTO public.ecdc_import VALUES (33812, '08/09/2020', '8', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '18.23961645');
INSERT INTO public.ecdc_import VALUES (33813, '07/09/2020', '7', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '18.23961645');
INSERT INTO public.ecdc_import VALUES (33814, '06/09/2020', '6', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '18.23961645');
INSERT INTO public.ecdc_import VALUES (33815, '05/09/2020', '5', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33816, '04/09/2020', '4', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33817, '03/09/2020', '3', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '26.05659492');
INSERT INTO public.ecdc_import VALUES (33818, '02/09/2020', '2', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '28.66225442');
INSERT INTO public.ecdc_import VALUES (33819, '01/09/2020', '1', '9', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '36.47923289');
INSERT INTO public.ecdc_import VALUES (33820, '31/08/2020', '31', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '39.08489239');
INSERT INTO public.ecdc_import VALUES (33821, '30/08/2020', '30', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '36.47923289');
INSERT INTO public.ecdc_import VALUES (33822, '29/08/2020', '29', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '39.08489239');
INSERT INTO public.ecdc_import VALUES (33823, '28/08/2020', '28', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '39.08489239');
INSERT INTO public.ecdc_import VALUES (33824, '27/08/2020', '27', '8', '2020', '4', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '39.08489239');
INSERT INTO public.ecdc_import VALUES (33825, '26/08/2020', '26', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '31.26791391');
INSERT INTO public.ecdc_import VALUES (33826, '25/08/2020', '25', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '31.26791391');
INSERT INTO public.ecdc_import VALUES (33827, '24/08/2020', '24', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '31.26791391');
INSERT INTO public.ecdc_import VALUES (33828, '23/08/2020', '23', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '31.26791391');
INSERT INTO public.ecdc_import VALUES (33829, '22/08/2020', '22', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '28.66225442');
INSERT INTO public.ecdc_import VALUES (33830, '21/08/2020', '21', '8', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '28.66225442');
INSERT INTO public.ecdc_import VALUES (33831, '20/08/2020', '20', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '23.45093543');
INSERT INTO public.ecdc_import VALUES (33832, '19/08/2020', '19', '8', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '20.84527594');
INSERT INTO public.ecdc_import VALUES (33833, '18/08/2020', '18', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '13.02829746');
INSERT INTO public.ecdc_import VALUES (33834, '17/08/2020', '17', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33835, '16/08/2020', '16', '8', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33836, '15/08/2020', '15', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33837, '14/08/2020', '14', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33838, '13/08/2020', '13', '8', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33839, '12/08/2020', '12', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33840, '11/08/2020', '11', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33841, '10/08/2020', '10', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33842, '09/08/2020', '9', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33843, '08/08/2020', '8', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33844, '07/08/2020', '7', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33845, '06/08/2020', '6', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33846, '05/08/2020', '5', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33847, '04/08/2020', '4', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33848, '03/08/2020', '3', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33849, '02/08/2020', '2', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33850, '01/08/2020', '1', '8', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33851, '31/07/2020', '31', '7', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33852, '30/07/2020', '30', '7', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33853, '29/07/2020', '29', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33854, '28/07/2020', '28', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33855, '27/07/2020', '27', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33856, '26/07/2020', '26', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33857, '25/07/2020', '25', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33858, '24/07/2020', '24', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33859, '23/07/2020', '23', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33860, '22/07/2020', '22', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33861, '21/07/2020', '21', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33862, '20/07/2020', '20', '7', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33863, '19/07/2020', '19', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33864, '18/07/2020', '18', '7', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33865, '17/07/2020', '17', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33866, '16/07/2020', '16', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33867, '15/07/2020', '15', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33868, '14/07/2020', '14', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33869, '13/07/2020', '13', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33870, '12/07/2020', '12', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33871, '11/07/2020', '11', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33872, '10/07/2020', '10', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33873, '09/07/2020', '9', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33874, '08/07/2020', '8', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33875, '07/07/2020', '7', '7', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33876, '06/07/2020', '6', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33877, '05/07/2020', '5', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33878, '04/07/2020', '4', '7', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33879, '03/07/2020', '3', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33880, '02/07/2020', '2', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33881, '01/07/2020', '1', '7', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33882, '30/06/2020', '30', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33883, '29/06/2020', '29', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33884, '28/06/2020', '28', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33885, '27/06/2020', '27', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33886, '26/06/2020', '26', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33887, '25/06/2020', '25', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33888, '24/06/2020', '24', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33889, '23/06/2020', '23', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33890, '22/06/2020', '22', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33891, '21/06/2020', '21', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33892, '20/06/2020', '20', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33893, '19/06/2020', '19', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33894, '18/06/2020', '18', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33895, '17/06/2020', '17', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33896, '16/06/2020', '16', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33897, '15/06/2020', '15', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33898, '14/06/2020', '14', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33899, '13/06/2020', '13', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33900, '12/06/2020', '12', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33901, '11/06/2020', '11', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33902, '10/06/2020', '10', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33903, '09/06/2020', '9', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33904, '08/06/2020', '8', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33905, '07/06/2020', '7', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33906, '06/06/2020', '6', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33907, '05/06/2020', '5', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33908, '04/06/2020', '4', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33909, '03/06/2020', '3', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33910, '02/06/2020', '2', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33911, '01/06/2020', '1', '6', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33912, '31/05/2020', '31', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33913, '30/05/2020', '30', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33914, '29/05/2020', '29', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33915, '28/05/2020', '28', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33916, '27/05/2020', '27', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33917, '26/05/2020', '26', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33918, '25/05/2020', '25', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33919, '24/05/2020', '24', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33920, '23/05/2020', '23', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33921, '22/05/2020', '22', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33922, '21/05/2020', '21', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33923, '20/05/2020', '20', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33924, '19/05/2020', '19', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33925, '18/05/2020', '18', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33926, '17/05/2020', '17', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33927, '16/05/2020', '16', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33928, '15/05/2020', '15', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33929, '14/05/2020', '14', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33930, '13/05/2020', '13', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33931, '12/05/2020', '12', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33932, '11/05/2020', '11', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33933, '10/05/2020', '10', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (33934, '09/05/2020', '9', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33935, '08/05/2020', '8', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33936, '07/05/2020', '7', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33937, '06/05/2020', '6', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33938, '05/05/2020', '5', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33939, '04/05/2020', '4', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33940, '03/05/2020', '3', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '2.60565949');
INSERT INTO public.ecdc_import VALUES (33941, '02/05/2020', '2', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33942, '01/05/2020', '1', '5', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33943, '30/04/2020', '30', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33944, '29/04/2020', '29', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33945, '28/04/2020', '28', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33946, '27/04/2020', '27', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33947, '26/04/2020', '26', '4', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33948, '25/04/2020', '25', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '5.21131898');
INSERT INTO public.ecdc_import VALUES (33949, '24/04/2020', '24', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33950, '23/04/2020', '23', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '7.81697848');
INSERT INTO public.ecdc_import VALUES (33951, '22/04/2020', '22', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33952, '21/04/2020', '21', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33953, '20/04/2020', '20', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '10.42263797');
INSERT INTO public.ecdc_import VALUES (33954, '19/04/2020', '19', '4', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '13.02829746');
INSERT INTO public.ecdc_import VALUES (33955, '18/04/2020', '18', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '15.63395695');
INSERT INTO public.ecdc_import VALUES (33956, '17/04/2020', '17', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '15.63395695');
INSERT INTO public.ecdc_import VALUES (33957, '16/04/2020', '16', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '23.45093543');
INSERT INTO public.ecdc_import VALUES (33958, '15/04/2020', '15', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '33.8735734');
INSERT INTO public.ecdc_import VALUES (33959, '14/04/2020', '14', '4', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '44.29621137');
INSERT INTO public.ecdc_import VALUES (33960, '13/04/2020', '13', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '46.90187086');
INSERT INTO public.ecdc_import VALUES (33961, '12/04/2020', '12', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '49.50753036');
INSERT INTO public.ecdc_import VALUES (33962, '11/04/2020', '11', '4', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '52.11318985');
INSERT INTO public.ecdc_import VALUES (33963, '10/04/2020', '10', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '59.93016833');
INSERT INTO public.ecdc_import VALUES (33964, '09/04/2020', '9', '4', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '72.95846579');
INSERT INTO public.ecdc_import VALUES (33965, '08/04/2020', '8', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '80.77544426');
INSERT INTO public.ecdc_import VALUES (33966, '07/04/2020', '7', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '83.38110376');
INSERT INTO public.ecdc_import VALUES (33967, '06/04/2020', '6', '4', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '83.38110376');
INSERT INTO public.ecdc_import VALUES (33968, '05/04/2020', '5', '4', '2020', '2', '1', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '106.83203919');
INSERT INTO public.ecdc_import VALUES (33969, '04/04/2020', '4', '4', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '106.83203919');
INSERT INTO public.ecdc_import VALUES (33970, '03/04/2020', '3', '4', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '130.28297462');
INSERT INTO public.ecdc_import VALUES (33971, '02/04/2020', '2', '4', '2020', '4', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '122.46599614');
INSERT INTO public.ecdc_import VALUES (33972, '01/04/2020', '1', '4', '2020', '4', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '158.94522904');
INSERT INTO public.ecdc_import VALUES (33973, '31/03/2020', '31', '3', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '148.52259107');
INSERT INTO public.ecdc_import VALUES (33974, '30/03/2020', '30', '3', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '143.31127208');
INSERT INTO public.ecdc_import VALUES (33975, '29/03/2020', '29', '3', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '148.52259107');
INSERT INTO public.ecdc_import VALUES (33976, '28/03/2020', '28', '3', '2020', '4', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '145.91693158');
INSERT INTO public.ecdc_import VALUES (33977, '27/03/2020', '27', '3', '2020', '5', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '135.49429361');
INSERT INTO public.ecdc_import VALUES (33978, '26/03/2020', '26', '3', '2020', '4', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '125.07165564');
INSERT INTO public.ecdc_import VALUES (33979, '25/03/2020', '25', '3', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '119.86033665');
INSERT INTO public.ecdc_import VALUES (33980, '24/03/2020', '24', '3', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '119.86033665');
INSERT INTO public.ecdc_import VALUES (33981, '23/03/2020', '23', '3', '2020', '10', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33982, '22/03/2020', '22', '3', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33983, '21/03/2020', '21', '3', '2020', '9', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33984, '20/03/2020', '20', '3', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33985, '19/03/2020', '19', '3', '2020', '18', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33986, '18/03/2020', '18', '3', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33987, '17/03/2020', '17', '3', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33988, '16/03/2020', '16', '3', '2020', '3', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33989, '15/03/2020', '15', '3', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33990, '14/03/2020', '14', '3', '2020', '0', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33991, '13/03/2020', '13', '3', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33992, '12/03/2020', '12', '3', '2020', '2', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33993, '05/03/2020', '5', '3', '2020', '1', '0', '38378', 'Liechtenstein', 'LI', 'LIE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (33994, '14/12/2020', '14', '12', '2020', '1920', '10', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1205.93346752');
INSERT INTO public.ecdc_import VALUES (33995, '13/12/2020', '13', '12', '2020', '2849', '24', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1177.73203196');
INSERT INTO public.ecdc_import VALUES (33996, '12/12/2020', '12', '12', '2020', '3303', '27', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1146.66750651');
INSERT INTO public.ecdc_import VALUES (33997, '11/12/2020', '11', '12', '2020', '3066', '29', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1187.89600112');
INSERT INTO public.ecdc_import VALUES (33998, '10/12/2020', '10', '12', '2020', '3327', '31', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1153.39576778');
INSERT INTO public.ecdc_import VALUES (33999, '09/12/2020', '9', '12', '2020', '3130', '31', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1115.28088344');
INSERT INTO public.ecdc_import VALUES (34000, '08/12/2020', '8', '12', '2020', '1390', '36', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1045.02781492');
INSERT INTO public.ecdc_import VALUES (34001, '07/12/2020', '7', '12', '2020', '1387', '11', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1037.4764153');
INSERT INTO public.ecdc_import VALUES (34002, '06/12/2020', '6', '12', '2020', '2219', '15', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1070.40194919');
INSERT INTO public.ecdc_import VALUES (34003, '05/12/2020', '5', '12', '2020', '2848', '21', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1061.95583398');
INSERT INTO public.ecdc_import VALUES (34004, '04/12/2020', '4', '12', '2020', '2516', '26', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1041.0910663');
INSERT INTO public.ecdc_import VALUES (34005, '03/12/2020', '3', '12', '2020', '2445', '17', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1011.24335405');
INSERT INTO public.ecdc_import VALUES (34006, '02/12/2020', '2', '12', '2020', '2106', '28', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '992.95536729');
INSERT INTO public.ecdc_import VALUES (34007, '01/12/2020', '1', '12', '2020', '1190', '13', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '952.12054754');
INSERT INTO public.ecdc_import VALUES (34008, '30/11/2020', '30', '11', '2020', '1132', '13', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '950.79636846');
INSERT INTO public.ecdc_import VALUES (34009, '29/11/2020', '29', '11', '2020', '1981', '11', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '959.34984954');
INSERT INTO public.ecdc_import VALUES (34010, '28/11/2020', '28', '11', '2020', '4455', '33', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '942.45761911');
INSERT INTO public.ecdc_import VALUES (34011, '27/11/2020', '27', '11', '2020', '2102', '17', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '856.95859686');
INSERT INTO public.ecdc_import VALUES (34012, '26/11/2020', '26', '11', '2020', '2262', '23', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '837.20327652');
INSERT INTO public.ecdc_import VALUES (34013, '25/11/2020', '25', '11', '2020', '1167', '17', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '807.10504391');
INSERT INTO public.ecdc_import VALUES (34014, '24/11/2020', '24', '11', '2020', '1179', '6', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '804.20616538');
INSERT INTO public.ecdc_import VALUES (34015, '23/11/2020', '23', '11', '2020', '2307', '12', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '799.80416465');
INSERT INTO public.ecdc_import VALUES (34016, '22/11/2020', '22', '11', '2020', '1983', '17', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '788.10128467');
INSERT INTO public.ecdc_import VALUES (34017, '21/11/2020', '21', '11', '2020', '2265', '16', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '787.70760981');
INSERT INTO public.ecdc_import VALUES (34018, '20/11/2020', '20', '11', '2020', '1682', '18', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '765.91233791');
INSERT INTO public.ecdc_import VALUES (34019, '19/11/2020', '19', '11', '2020', '1934', '24', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '741.46870786');
INSERT INTO public.ecdc_import VALUES (34020, '18/11/2020', '18', '11', '2020', '965', '14', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '695.12244004');
INSERT INTO public.ecdc_import VALUES (34021, '17/11/2020', '17', '11', '2020', '1153', '8', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '692.68881362');
INSERT INTO public.ecdc_import VALUES (34022, '16/11/2020', '16', '11', '2020', '1371', '11', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '681.3796085');
INSERT INTO public.ecdc_import VALUES (34023, '15/11/2020', '15', '11', '2020', '1509', '13', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '664.34422357');
INSERT INTO public.ecdc_import VALUES (34024, '14/11/2020', '14', '11', '2020', '2066', '9', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '646.16360268');
INSERT INTO public.ecdc_import VALUES (34025, '13/11/2020', '13', '11', '2020', '1550', '9', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '598.52894441');
INSERT INTO public.ecdc_import VALUES (34026, '12/11/2020', '12', '11', '2020', '1421', '14', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '577.05577013');
INSERT INTO public.ecdc_import VALUES (34027, '11/11/2020', '11', '11', '2020', '1086', '11', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '553.97210778');
INSERT INTO public.ecdc_import VALUES (34028, '10/11/2020', '10', '11', '2020', '1056', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '529.88636396');
INSERT INTO public.ecdc_import VALUES (34029, '09/11/2020', '9', '11', '2020', '1980', '4', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '519.47187444');
INSERT INTO public.ecdc_import VALUES (34030, '08/11/2020', '8', '11', '2020', '1972', '11', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '470.29830534');
INSERT INTO public.ecdc_import VALUES (34031, '07/11/2020', '7', '11', '2020', '1656', '6', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '416.68694689');
INSERT INTO public.ecdc_import VALUES (34032, '06/11/2020', '6', '11', '2020', '999', '4', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '373.20376897');
INSERT INTO public.ecdc_import VALUES (34033, '05/11/2020', '5', '11', '2020', '639', '7', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '352.62531029');
INSERT INTO public.ecdc_import VALUES (34034, '04/11/2020', '4', '11', '2020', '897', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '340.88664168');
INSERT INTO public.ecdc_import VALUES (34035, '03/11/2020', '3', '11', '2020', '837', '4', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '316.01354814');
INSERT INTO public.ecdc_import VALUES (34036, '02/11/2020', '2', '11', '2020', '895', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '293.3951379');
INSERT INTO public.ecdc_import VALUES (34037, '01/11/2020', '1', '11', '2020', '1001', '8', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '270.3830528');
INSERT INTO public.ecdc_import VALUES (34038, '31/10/2020', '31', '10', '2020', '735', '7', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '242.7184466');
INSERT INTO public.ecdc_import VALUES (34039, '30/10/2020', '30', '10', '2020', '950', '6', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '226.4704114');
INSERT INTO public.ecdc_import VALUES (34040, '29/10/2020', '29', '10', '2020', '776', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '201.59731786');
INSERT INTO public.ecdc_import VALUES (34041, '28/10/2020', '28', '10', '2020', '413', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '178.7999645');
INSERT INTO public.ecdc_import VALUES (34042, '27/10/2020', '27', '10', '2020', '765', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '168.24232048');
INSERT INTO public.ecdc_import VALUES (34043, '26/10/2020', '26', '10', '2020', '606', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '145.37338987');
INSERT INTO public.ecdc_import VALUES (34044, '25/10/2020', '25', '10', '2020', '474', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '129.37587503');
INSERT INTO public.ecdc_import VALUES (34045, '24/10/2020', '24', '10', '2020', '441', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '119.74873523');
INSERT INTO public.ecdc_import VALUES (34046, '23/10/2020', '23', '10', '2020', '424', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '108.7258391');
INSERT INTO public.ecdc_import VALUES (34047, '22/10/2020', '22', '10', '2020', '311', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '98.63344719');
INSERT INTO public.ecdc_import VALUES (34048, '21/10/2020', '21', '10', '2020', '202', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '91.69045417');
INSERT INTO public.ecdc_import VALUES (34049, '20/10/2020', '20', '10', '2020', '205', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '87.36003069');
INSERT INTO public.ecdc_import VALUES (34050, '19/10/2020', '19', '10', '2020', '252', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '83.60222519');
INSERT INTO public.ecdc_import VALUES (34051, '18/10/2020', '18', '10', '2020', '228', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '78.30550887');
INSERT INTO public.ecdc_import VALUES (34052, '17/10/2020', '17', '10', '2020', '281', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '74.61928062');
INSERT INTO public.ecdc_import VALUES (34053, '16/10/2020', '16', '10', '2020', '255', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '70.71832063');
INSERT INTO public.ecdc_import VALUES (34054, '15/10/2020', '15', '10', '2020', '139', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '64.84898632');
INSERT INTO public.ecdc_import VALUES (34055, '14/10/2020', '14', '10', '2020', '118', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '63.99005935');
INSERT INTO public.ecdc_import VALUES (34056, '13/10/2020', '13', '10', '2020', '126', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '62.91640064');
INSERT INTO public.ecdc_import VALUES (34057, '12/10/2020', '12', '10', '2020', '159', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '62.16483954');
INSERT INTO public.ecdc_import VALUES (34058, '11/10/2020', '11', '10', '2020', '205', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '59.6954245');
INSERT INTO public.ecdc_import VALUES (34059, '10/10/2020', '10', '10', '2020', '133', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '56.33129386');
INSERT INTO public.ecdc_import VALUES (34060, '09/10/2020', '9', '10', '2020', '142', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '55.65131001');
INSERT INTO public.ecdc_import VALUES (34061, '08/10/2020', '8', '10', '2020', '117', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '55.50815551');
INSERT INTO public.ecdc_import VALUES (34062, '07/10/2020', '7', '10', '2020', '81', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '53.93345606');
INSERT INTO public.ecdc_import VALUES (34063, '06/10/2020', '6', '10', '2020', '100', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '52.64506561');
INSERT INTO public.ecdc_import VALUES (34064, '05/10/2020', '5', '10', '2020', '104', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '51.57140689');
INSERT INTO public.ecdc_import VALUES (34065, '04/10/2020', '4', '10', '2020', '125', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '50.71247992');
INSERT INTO public.ecdc_import VALUES (34066, '03/10/2020', '3', '10', '2020', '172', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '49.7819757');
INSERT INTO public.ecdc_import VALUES (34067, '02/10/2020', '2', '10', '2020', '91', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '45.80943846');
INSERT INTO public.ecdc_import VALUES (34068, '01/10/2020', '1', '10', '2020', '115', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '44.77156837');
INSERT INTO public.ecdc_import VALUES (34069, '30/09/2020', '30', '9', '2020', '88', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '40.65587664');
INSERT INTO public.ecdc_import VALUES (34070, '29/09/2020', '29', '9', '2020', '105', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '39.51064067');
INSERT INTO public.ecdc_import VALUES (34071, '28/09/2020', '28', '9', '2020', '90', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '37.57805499');
INSERT INTO public.ecdc_import VALUES (34072, '27/09/2020', '27', '9', '2020', '111', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '35.75283517');
INSERT INTO public.ecdc_import VALUES (34073, '26/09/2020', '26', '9', '2020', '114', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '33.67709499');
INSERT INTO public.ecdc_import VALUES (34074, '25/09/2020', '25', '9', '2020', '138', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '31.17189133');
INSERT INTO public.ecdc_import VALUES (34075, '24/09/2020', '24', '9', '2020', '73', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '27.5214517');
INSERT INTO public.ecdc_import VALUES (34076, '23/09/2020', '23', '9', '2020', '45', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '26.05411813');
INSERT INTO public.ecdc_import VALUES (34077, '22/09/2020', '22', '9', '2020', '70', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '25.55307739');
INSERT INTO public.ecdc_import VALUES (34078, '21/09/2020', '21', '9', '2020', '80', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '23.65628033');
INSERT INTO public.ecdc_import VALUES (34079, '20/09/2020', '20', '9', '2020', '99', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '22.33210125');
INSERT INTO public.ecdc_import VALUES (34080, '19/09/2020', '19', '9', '2020', '61', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '20.07741795');
INSERT INTO public.ecdc_import VALUES (34081, '18/09/2020', '18', '9', '2020', '62', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.82481612');
INSERT INTO public.ecdc_import VALUES (34082, '17/09/2020', '17', '9', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '17.32169392');
INSERT INTO public.ecdc_import VALUES (34083, '16/09/2020', '16', '9', '2020', '56', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.35956401');
INSERT INTO public.ecdc_import VALUES (34084, '15/09/2020', '15', '9', '2020', '51', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '17.17853942');
INSERT INTO public.ecdc_import VALUES (34085, '14/09/2020', '14', '9', '2020', '39', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.49855557');
INSERT INTO public.ecdc_import VALUES (34086, '13/09/2020', '13', '9', '2020', '53', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.35540108');
INSERT INTO public.ecdc_import VALUES (34087, '12/09/2020', '12', '9', '2020', '44', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.4964741');
INSERT INTO public.ecdc_import VALUES (34088, '11/09/2020', '11', '9', '2020', '36', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.6396286');
INSERT INTO public.ecdc_import VALUES (34089, '10/09/2020', '10', '9', '2020', '32', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.6396286');
INSERT INTO public.ecdc_import VALUES (34090, '09/09/2020', '9', '9', '2020', '31', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.6396286');
INSERT INTO public.ecdc_import VALUES (34091, '08/09/2020', '8', '9', '2020', '17', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.28174236');
INSERT INTO public.ecdc_import VALUES (34092, '07/09/2020', '7', '9', '2020', '43', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.03330346');
INSERT INTO public.ecdc_import VALUES (34093, '06/09/2020', '6', '9', '2020', '36', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.96172621');
INSERT INTO public.ecdc_import VALUES (34094, '05/09/2020', '5', '9', '2020', '26', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.74699447');
INSERT INTO public.ecdc_import VALUES (34095, '04/09/2020', '4', '9', '2020', '20', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.10488071');
INSERT INTO public.ecdc_import VALUES (34096, '03/09/2020', '3', '9', '2020', '29', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.53434419');
INSERT INTO public.ecdc_import VALUES (34097, '02/09/2020', '2', '9', '2020', '23', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.28382383');
INSERT INTO public.ecdc_import VALUES (34098, '01/09/2020', '1', '9', '2020', '32', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.82065319');
INSERT INTO public.ecdc_import VALUES (34099, '31/08/2020', '31', '8', '2020', '35', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.3911897');
INSERT INTO public.ecdc_import VALUES (34100, '30/08/2020', '30', '8', '2020', '29', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.21224658');
INSERT INTO public.ecdc_import VALUES (34101, '29/08/2020', '29', '8', '2020', '48', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.3911897');
INSERT INTO public.ecdc_import VALUES (34102, '28/08/2020', '28', '8', '2020', '36', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '15.46068548');
INSERT INTO public.ecdc_import VALUES (34103, '27/08/2020', '27', '8', '2020', '32', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '14.92385612');
INSERT INTO public.ecdc_import VALUES (34104, '26/08/2020', '26', '8', '2020', '21', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '14.70912438');
INSERT INTO public.ecdc_import VALUES (34105, '25/08/2020', '25', '8', '2020', '38', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '14.60175851');
INSERT INTO public.ecdc_import VALUES (34106, '24/08/2020', '24', '8', '2020', '41', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '13.70704291');
INSERT INTO public.ecdc_import VALUES (34107, '23/08/2020', '23', '8', '2020', '30', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '12.99127044');
INSERT INTO public.ecdc_import VALUES (34108, '22/08/2020', '22', '8', '2020', '36', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '13.24179081');
INSERT INTO public.ecdc_import VALUES (34109, '21/08/2020', '21', '8', '2020', '32', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '12.7765387');
INSERT INTO public.ecdc_import VALUES (34110, '20/08/2020', '20', '8', '2020', '22', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '12.49022971');
INSERT INTO public.ecdc_import VALUES (34111, '19/08/2020', '19', '8', '2020', '38', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '12.06076622');
INSERT INTO public.ecdc_import VALUES (34112, '18/08/2020', '18', '8', '2020', '20', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '11.30920512');
INSERT INTO public.ecdc_import VALUES (34113, '17/08/2020', '17', '8', '2020', '30', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '10.95131888');
INSERT INTO public.ecdc_import VALUES (34114, '16/08/2020', '16', '8', '2020', '34', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '10.48606677');
INSERT INTO public.ecdc_import VALUES (34115, '15/08/2020', '15', '8', '2020', '22', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '9.91344879');
INSERT INTO public.ecdc_import VALUES (34116, '14/08/2020', '14', '8', '2020', '21', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '9.59135118');
INSERT INTO public.ecdc_import VALUES (34117, '13/08/2020', '13', '8', '2020', '26', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '9.51977393');
INSERT INTO public.ecdc_import VALUES (34118, '12/08/2020', '12', '8', '2020', '18', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '9.16188769');
INSERT INTO public.ecdc_import VALUES (34119, '11/08/2020', '11', '8', '2020', '13', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '8.80400145');
INSERT INTO public.ecdc_import VALUES (34120, '10/08/2020', '10', '8', '2020', '21', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '8.73242421');
INSERT INTO public.ecdc_import VALUES (34121, '09/08/2020', '9', '8', '2020', '37', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '8.23138347');
INSERT INTO public.ecdc_import VALUES (34122, '08/08/2020', '8', '8', '2020', '23', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '7.44403375');
INSERT INTO public.ecdc_import VALUES (34123, '07/08/2020', '7', '8', '2020', '24', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '7.55139962');
INSERT INTO public.ecdc_import VALUES (34124, '06/08/2020', '6', '8', '2020', '10', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.69247265');
INSERT INTO public.ecdc_import VALUES (34125, '05/08/2020', '5', '8', '2020', '17', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.72826127');
INSERT INTO public.ecdc_import VALUES (34126, '04/08/2020', '4', '8', '2020', '10', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.19143192');
INSERT INTO public.ecdc_import VALUES (34127, '03/08/2020', '3', '8', '2020', '17', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.37037504');
INSERT INTO public.ecdc_import VALUES (34128, '02/08/2020', '2', '8', '2020', '18', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.37037504');
INSERT INTO public.ecdc_import VALUES (34129, '01/08/2020', '1', '8', '2020', '13', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.97670017');
INSERT INTO public.ecdc_import VALUES (34130, '31/07/2020', '31', '7', '2020', '19', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.72617981');
INSERT INTO public.ecdc_import VALUES (34131, '30/07/2020', '30', '7', '2020', '16', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.76196843');
INSERT INTO public.ecdc_import VALUES (34132, '29/07/2020', '29', '7', '2020', '8', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.43987082');
INSERT INTO public.ecdc_import VALUES (34133, '28/07/2020', '28', '7', '2020', '11', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.18935045');
INSERT INTO public.ecdc_import VALUES (34134, '27/07/2020', '27', '7', '2020', '7', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.97461871');
INSERT INTO public.ecdc_import VALUES (34135, '26/07/2020', '26', '7', '2020', '15', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.86725284');
INSERT INTO public.ecdc_import VALUES (34136, '25/07/2020', '25', '7', '2020', '26', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.47357797');
INSERT INTO public.ecdc_import VALUES (34137, '24/07/2020', '24', '7', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.68622825');
INSERT INTO public.ecdc_import VALUES (34138, '23/07/2020', '23', '7', '2020', '11', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.79359412');
INSERT INTO public.ecdc_import VALUES (34139, '22/07/2020', '22', '7', '2020', '2', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.7578055');
INSERT INTO public.ecdc_import VALUES (34140, '21/07/2020', '21', '7', '2020', '15', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.79359412');
INSERT INTO public.ecdc_import VALUES (34141, '20/07/2020', '20', '7', '2020', '17', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.43570788');
INSERT INTO public.ecdc_import VALUES (34142, '19/07/2020', '19', '7', '2020', '7', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.0062444');
INSERT INTO public.ecdc_import VALUES (34143, '18/07/2020', '18', '7', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.8630899');
INSERT INTO public.ecdc_import VALUES (34144, '17/07/2020', '17', '7', '2020', '20', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.75572403');
INSERT INTO public.ecdc_import VALUES (34145, '16/07/2020', '16', '7', '2020', '7', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.29047192');
INSERT INTO public.ecdc_import VALUES (34146, '15/07/2020', '15', '7', '2020', '1', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.07574018');
INSERT INTO public.ecdc_import VALUES (34147, '14/07/2020', '14', '7', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.07574018');
INSERT INTO public.ecdc_import VALUES (34148, '13/07/2020', '13', '7', '2020', '4', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.89679706');
INSERT INTO public.ecdc_import VALUES (34149, '12/07/2020', '12', '7', '2020', '4', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.86100844');
INSERT INTO public.ecdc_import VALUES (34150, '11/07/2020', '11', '7', '2020', '4', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.89679706');
INSERT INTO public.ecdc_import VALUES (34151, '10/07/2020', '10', '7', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.82521981');
INSERT INTO public.ecdc_import VALUES (34152, '09/07/2020', '9', '7', '2020', '10', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.78943119');
INSERT INTO public.ecdc_import VALUES (34153, '08/07/2020', '8', '7', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.46733358');
INSERT INTO public.ecdc_import VALUES (34154, '07/07/2020', '7', '7', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.43154495');
INSERT INTO public.ecdc_import VALUES (34155, '06/07/2020', '6', '7', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.3599677');
INSERT INTO public.ecdc_import VALUES (34156, '05/07/2020', '5', '7', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.28839046');
INSERT INTO public.ecdc_import VALUES (34157, '04/07/2020', '4', '7', '2020', '3', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.28839046');
INSERT INTO public.ecdc_import VALUES (34158, '03/07/2020', '3', '7', '2020', '7', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.46733358');
INSERT INTO public.ecdc_import VALUES (34159, '02/07/2020', '2', '7', '2020', '1', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.43154495');
INSERT INTO public.ecdc_import VALUES (34160, '01/07/2020', '1', '7', '2020', '1', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.46733358');
INSERT INTO public.ecdc_import VALUES (34161, '30/06/2020', '30', '6', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.53891082');
INSERT INTO public.ecdc_import VALUES (34162, '29/06/2020', '29', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.71785394');
INSERT INTO public.ecdc_import VALUES (34163, '28/06/2020', '28', '6', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.78943119');
INSERT INTO public.ecdc_import VALUES (34164, '27/06/2020', '27', '6', '2020', '2', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.86100844');
INSERT INTO public.ecdc_import VALUES (34165, '26/06/2020', '26', '6', '2020', '2', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.93258569');
INSERT INTO public.ecdc_import VALUES (34166, '25/06/2020', '25', '6', '2020', '1', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.54099229');
INSERT INTO public.ecdc_import VALUES (34167, '24/06/2020', '24', '6', '2020', '2', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.71993541');
INSERT INTO public.ecdc_import VALUES (34168, '23/06/2020', '23', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.89887853');
INSERT INTO public.ecdc_import VALUES (34169, '22/06/2020', '22', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.0062444');
INSERT INTO public.ecdc_import VALUES (34170, '21/06/2020', '21', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.22097614');
INSERT INTO public.ecdc_import VALUES (34171, '20/06/2020', '20', '6', '2020', '8', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.50728513');
INSERT INTO public.ecdc_import VALUES (34172, '19/06/2020', '19', '6', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.47149651');
INSERT INTO public.ecdc_import VALUES (34173, '18/06/2020', '18', '6', '2020', '2', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.36413064');
INSERT INTO public.ecdc_import VALUES (34174, '17/06/2020', '17', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.36413064');
INSERT INTO public.ecdc_import VALUES (34175, '16/06/2020', '16', '6', '2020', '5', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.39991926');
INSERT INTO public.ecdc_import VALUES (34176, '15/06/2020', '15', '6', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.32834201');
INSERT INTO public.ecdc_import VALUES (34177, '14/06/2020', '14', '6', '2020', '7', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.32834201');
INSERT INTO public.ecdc_import VALUES (34178, '13/06/2020', '13', '6', '2020', '4', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.36413064');
INSERT INTO public.ecdc_import VALUES (34179, '12/06/2020', '12', '6', '2020', '19', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.43570788');
INSERT INTO public.ecdc_import VALUES (34180, '11/06/2020', '11', '6', '2020', '6', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.07782165');
INSERT INTO public.ecdc_import VALUES (34181, '10/06/2020', '10', '6', '2020', '7', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.14939889');
INSERT INTO public.ecdc_import VALUES (34182, '09/06/2020', '9', '6', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.04203302');
INSERT INTO public.ecdc_import VALUES (34183, '08/06/2020', '8', '6', '2020', '9', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.25676477');
INSERT INTO public.ecdc_import VALUES (34184, '07/06/2020', '7', '6', '2020', '11', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.18518752');
INSERT INTO public.ecdc_import VALUES (34185, '06/06/2020', '6', '6', '2020', '7', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.22097614');
INSERT INTO public.ecdc_import VALUES (34186, '05/06/2020', '5', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.32834201');
INSERT INTO public.ecdc_import VALUES (34187, '04/06/2020', '4', '6', '2020', '2', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.82938275');
INSERT INTO public.ecdc_import VALUES (34188, '03/06/2020', '3', '6', '2020', '4', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.29463486');
INSERT INTO public.ecdc_import VALUES (34189, '02/06/2020', '2', '6', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.68830972');
INSERT INTO public.ecdc_import VALUES (34190, '01/06/2020', '1', '6', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.79567559');
INSERT INTO public.ecdc_import VALUES (34191, '31/05/2020', '31', '5', '2020', '8', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.86725284');
INSERT INTO public.ecdc_import VALUES (34192, '30/05/2020', '30', '5', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.97461871');
INSERT INTO public.ecdc_import VALUES (34193, '29/05/2020', '29', '5', '2020', '9', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.18935045');
INSERT INTO public.ecdc_import VALUES (34194, '28/05/2020', '28', '5', '2020', '8', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.08198458');
INSERT INTO public.ecdc_import VALUES (34195, '27/05/2020', '27', '5', '2020', '4', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.29671632');
INSERT INTO public.ecdc_import VALUES (34196, '26/05/2020', '26', '5', '2020', '12', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.36829357');
INSERT INTO public.ecdc_import VALUES (34197, '25/05/2020', '25', '5', '2020', '7', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.15356183');
INSERT INTO public.ecdc_import VALUES (34198, '24/05/2020', '24', '5', '2020', '12', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.15564329');
INSERT INTO public.ecdc_import VALUES (34199, '23/05/2020', '23', '5', '2020', '10', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.0124888');
INSERT INTO public.ecdc_import VALUES (34200, '22/05/2020', '22', '5', '2020', '17', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.76196843');
INSERT INTO public.ecdc_import VALUES (34201, '21/05/2020', '21', '5', '2020', '15', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.33250495');
INSERT INTO public.ecdc_import VALUES (34202, '20/05/2020', '20', '5', '2020', '15', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.97461871');
INSERT INTO public.ecdc_import VALUES (34203, '19/05/2020', '19', '5', '2020', '6', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.58094385');
INSERT INTO public.ecdc_import VALUES (34204, '18/05/2020', '18', '5', '2020', '7', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.68830972');
INSERT INTO public.ecdc_import VALUES (34205, '17/05/2020', '17', '5', '2020', '11', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.58094385');
INSERT INTO public.ecdc_import VALUES (34206, '16/05/2020', '16', '5', '2020', '12', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.43778935');
INSERT INTO public.ecdc_import VALUES (34207, '15/05/2020', '15', '5', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.5093666');
INSERT INTO public.ecdc_import VALUES (34208, '14/05/2020', '14', '5', '2020', '14', '4', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '4.65252109');
INSERT INTO public.ecdc_import VALUES (34209, '13/05/2020', '13', '5', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.2609277');
INSERT INTO public.ecdc_import VALUES (34210, '12/05/2020', '12', '5', '2020', '6', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.28839046');
INSERT INTO public.ecdc_import VALUES (34211, '11/05/2020', '11', '5', '2020', '35', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.46733358');
INSERT INTO public.ecdc_import VALUES (34212, '10/05/2020', '10', '5', '2020', '8', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.64419523');
INSERT INTO public.ecdc_import VALUES (34213, '09/05/2020', '9', '5', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.93050422');
INSERT INTO public.ecdc_import VALUES (34214, '08/05/2020', '8', '5', '2020', '5', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.82313835');
INSERT INTO public.ecdc_import VALUES (34215, '07/05/2020', '7', '5', '2020', '5', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.07365871');
INSERT INTO public.ecdc_import VALUES (34216, '06/05/2020', '6', '5', '2020', '4', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.89679706');
INSERT INTO public.ecdc_import VALUES (34217, '05/05/2020', '5', '5', '2020', '9', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.46941504');
INSERT INTO public.ecdc_import VALUES (34218, '04/05/2020', '4', '5', '2020', '4', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.0062444');
INSERT INTO public.ecdc_import VALUES (34219, '03/05/2020', '3', '5', '2020', '7', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.86517137');
INSERT INTO public.ecdc_import VALUES (34220, '02/05/2020', '2', '5', '2020', '14', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.72617981');
INSERT INTO public.ecdc_import VALUES (34221, '01/05/2020', '1', '5', '2020', '10', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '8.44611522');
INSERT INTO public.ecdc_import VALUES (34222, '30/04/2020', '30', '4', '2020', '31', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '10.16396916');
INSERT INTO public.ecdc_import VALUES (34223, '29/04/2020', '29', '4', '2020', '-105', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '9.80608292');
INSERT INTO public.ecdc_import VALUES (34224, '28/04/2020', '28', '4', '2020', '11', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '13.56388842');
INSERT INTO public.ecdc_import VALUES (34225, '27/04/2020', '27', '4', '2020', '12', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '13.45652255');
INSERT INTO public.ecdc_import VALUES (34226, '26/04/2020', '26', '4', '2020', '16', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '13.34915668');
INSERT INTO public.ecdc_import VALUES (34227, '25/04/2020', '25', '4', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '14.70912438');
INSERT INTO public.ecdc_import VALUES (34228, '24/04/2020', '24', '4', '2020', '12', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.28382383');
INSERT INTO public.ecdc_import VALUES (34229, '23/04/2020', '23', '4', '2020', '28', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '17.39327117');
INSERT INTO public.ecdc_import VALUES (34230, '22/04/2020', '22', '4', '2020', '20', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '17.53642566');
INSERT INTO public.ecdc_import VALUES (34231, '21/04/2020', '21', '4', '2020', '24', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.14483227');
INSERT INTO public.ecdc_import VALUES (34232, '20/04/2020', '20', '4', '2020', '28', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.43114126');
INSERT INTO public.ecdc_import VALUES (34233, '19/04/2020', '19', '4', '2020', '59', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.86060474');
INSERT INTO public.ecdc_import VALUES (34234, '18/04/2020', '18', '4', '2020', '90', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.74907594');
INSERT INTO public.ecdc_import VALUES (34235, '17/04/2020', '17', '4', '2020', '58', '3', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '17.8943119');
INSERT INTO public.ecdc_import VALUES (34236, '16/04/2020', '16', '4', '2020', '21', '5', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.25219814');
INSERT INTO public.ecdc_import VALUES (34237, '15/04/2020', '15', '4', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '19.21849098');
INSERT INTO public.ecdc_import VALUES (34238, '14/04/2020', '14', '4', '2020', '8', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '20.97213355');
INSERT INTO public.ecdc_import VALUES (34239, '13/04/2020', '13', '4', '2020', '9', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '20.68582456');
INSERT INTO public.ecdc_import VALUES (34240, '12/04/2020', '12', '4', '2020', '54', '6', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '23.58470308');
INSERT INTO public.ecdc_import VALUES (34241, '11/04/2020', '11', '4', '2020', '44', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '22.94050785');
INSERT INTO public.ecdc_import VALUES (34242, '10/04/2020', '10', '4', '2020', '43', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '23.47733721');
INSERT INTO public.ecdc_import VALUES (34243, '09/04/2020', '9', '4', '2020', '32', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '22.83314198');
INSERT INTO public.ecdc_import VALUES (34244, '08/04/2020', '8', '4', '2020', '37', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '24.01416657');
INSERT INTO public.ecdc_import VALUES (34245, '07/04/2020', '7', '4', '2020', '32', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '23.7636462');
INSERT INTO public.ecdc_import VALUES (34246, '06/04/2020', '6', '4', '2020', '40', '4', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '23.9068007');
INSERT INTO public.ecdc_import VALUES (34247, '05/04/2020', '5', '4', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '23.83522345');
INSERT INTO public.ecdc_import VALUES (34248, '04/04/2020', '4', '4', '2020', '122', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '25.12361391');
INSERT INTO public.ecdc_import VALUES (34249, '03/04/2020', '3', '4', '2020', '68', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '21.5089629');
INSERT INTO public.ecdc_import VALUES (34250, '02/04/2020', '2', '4', '2020', '48', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '19.61216584');
INSERT INTO public.ecdc_import VALUES (34251, '01/04/2020', '1', '4', '2020', '49', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '18.18062089');
INSERT INTO public.ecdc_import VALUES (34252, '31/03/2020', '31', '3', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.71328731');
INSERT INTO public.ecdc_import VALUES (34253, '30/03/2020', '30', '3', '2020', '90', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '16.82065319');
INSERT INTO public.ecdc_import VALUES (34254, '29/03/2020', '29', '3', '2020', '36', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '13.77862016');
INSERT INTO public.ecdc_import VALUES (34255, '28/03/2020', '28', '3', '2020', '59', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '12.59759558');
INSERT INTO public.ecdc_import VALUES (34256, '27/03/2020', '27', '3', '2020', '25', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '10.59343264');
INSERT INTO public.ecdc_import VALUES (34257, '26/03/2020', '26', '3', '2020', '65', '2', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '9.69871705');
INSERT INTO public.ecdc_import VALUES (34258, '25/03/2020', '25', '3', '2020', '30', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '7.44403375');
INSERT INTO public.ecdc_import VALUES (34259, '24/03/2020', '24', '3', '2020', '36', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '6.37037504');
INSERT INTO public.ecdc_import VALUES (34260, '23/03/2020', '23', '3', '2020', '38', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '5.08198458');
INSERT INTO public.ecdc_import VALUES (34261, '22/03/2020', '22', '3', '2020', '36', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '3.72201688');
INSERT INTO public.ecdc_import VALUES (34262, '21/03/2020', '21', '3', '2020', '21', '1', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '2.46941504');
INSERT INTO public.ecdc_import VALUES (34263, '20/03/2020', '20', '3', '2020', '15', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.71785394');
INSERT INTO public.ecdc_import VALUES (34264, '19/03/2020', '19', '3', '2020', '8', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '1.18102459');
INSERT INTO public.ecdc_import VALUES (34265, '18/03/2020', '18', '3', '2020', '8', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.89471559');
INSERT INTO public.ecdc_import VALUES (34266, '17/03/2020', '17', '3', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.6084066');
INSERT INTO public.ecdc_import VALUES (34267, '16/03/2020', '16', '3', '2020', '5', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.50104073');
INSERT INTO public.ecdc_import VALUES (34268, '15/03/2020', '15', '3', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.32209761');
INSERT INTO public.ecdc_import VALUES (34269, '14/03/2020', '14', '3', '2020', '3', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.21473174');
INSERT INTO public.ecdc_import VALUES (34270, '12/03/2020', '12', '3', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.10736587');
INSERT INTO public.ecdc_import VALUES (34271, '11/03/2020', '11', '3', '2020', '2', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.10736587');
INSERT INTO public.ecdc_import VALUES (34272, '02/03/2020', '2', '3', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.03578862');
INSERT INTO public.ecdc_import VALUES (34273, '01/03/2020', '1', '3', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.03578862');
INSERT INTO public.ecdc_import VALUES (34274, '29/02/2020', '29', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.03578862');
INSERT INTO public.ecdc_import VALUES (34275, '28/02/2020', '28', '2', '2020', '1', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0.03578862');
INSERT INTO public.ecdc_import VALUES (34276, '27/02/2020', '27', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34277, '26/02/2020', '26', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34278, '25/02/2020', '25', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34279, '24/02/2020', '24', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34280, '23/02/2020', '23', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34281, '22/02/2020', '22', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34282, '21/02/2020', '21', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34283, '20/02/2020', '20', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34284, '19/02/2020', '19', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34285, '18/02/2020', '18', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34286, '17/02/2020', '17', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34287, '16/02/2020', '16', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34288, '15/02/2020', '15', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34289, '14/02/2020', '14', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34290, '13/02/2020', '13', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34291, '12/02/2020', '12', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34292, '11/02/2020', '11', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34293, '10/02/2020', '10', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34294, '09/02/2020', '9', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34295, '08/02/2020', '8', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34296, '07/02/2020', '7', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34297, '06/02/2020', '6', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34298, '05/02/2020', '5', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34299, '04/02/2020', '4', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34300, '03/02/2020', '3', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34301, '02/02/2020', '2', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34302, '01/02/2020', '1', '2', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34303, '31/01/2020', '31', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34304, '30/01/2020', '30', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34305, '29/01/2020', '29', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34306, '28/01/2020', '28', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34307, '27/01/2020', '27', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34308, '26/01/2020', '26', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34309, '25/01/2020', '25', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34310, '24/01/2020', '24', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34311, '23/01/2020', '23', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34312, '22/01/2020', '22', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34313, '21/01/2020', '21', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34314, '20/01/2020', '20', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34315, '19/01/2020', '19', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34316, '18/01/2020', '18', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34317, '17/01/2020', '17', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34318, '16/01/2020', '16', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34319, '15/01/2020', '15', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34320, '14/01/2020', '14', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34321, '13/01/2020', '13', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34322, '12/01/2020', '12', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34323, '11/01/2020', '11', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34324, '10/01/2020', '10', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34325, '09/01/2020', '9', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34326, '08/01/2020', '8', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34327, '07/01/2020', '7', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34328, '06/01/2020', '6', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34329, '05/01/2020', '5', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34330, '04/01/2020', '4', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34331, '03/01/2020', '3', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34332, '02/01/2020', '2', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34333, '01/01/2020', '1', '1', '2020', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34334, '31/12/2019', '31', '12', '2019', '0', '0', '2794184', 'Lithuania', 'LT', 'LTU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34335, '14/12/2020', '14', '12', '2020', '517', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1188.96747647');
INSERT INTO public.ecdc_import VALUES (34336, '13/12/2020', '13', '12', '2020', '718', '8', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1196.62352132');
INSERT INTO public.ecdc_import VALUES (34337, '12/12/2020', '12', '12', '2020', '1173', '15', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1079.66521908');
INSERT INTO public.ecdc_import VALUES (34338, '11/12/2020', '11', '12', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1101.81888078');
INSERT INTO public.ecdc_import VALUES (34339, '10/12/2020', '10', '12', '2020', '388', '9', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1202.16193675');
INSERT INTO public.ecdc_import VALUES (34340, '09/12/2020', '9', '12', '2020', '261', '7', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1199.71851818');
INSERT INTO public.ecdc_import VALUES (34341, '08/12/2020', '8', '12', '2020', '531', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1185.87247961');
INSERT INTO public.ecdc_import VALUES (34342, '07/12/2020', '7', '12', '2020', '667', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1197.43799418');
INSERT INTO public.ecdc_import VALUES (34343, '06/12/2020', '6', '12', '2020', '588', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1181.80011533');
INSERT INTO public.ecdc_import VALUES (34344, '05/12/2020', '5', '12', '2020', '627', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1170.5603899');
INSERT INTO public.ecdc_import VALUES (34345, '04/12/2020', '4', '12', '2020', '673', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1177.56485647');
INSERT INTO public.ecdc_import VALUES (34346, '03/12/2020', '3', '12', '2020', '451', '9', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1213.2387676');
INSERT INTO public.ecdc_import VALUES (34347, '02/12/2020', '2', '12', '2020', '140', '9', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1209.00350875');
INSERT INTO public.ecdc_import VALUES (34348, '01/12/2020', '1', '12', '2020', '565', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1212.91297846');
INSERT INTO public.ecdc_import VALUES (34349, '30/11/2020', '30', '11', '2020', '564', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1210.14377075');
INSERT INTO public.ecdc_import VALUES (34350, '29/11/2020', '29', '11', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1218.12560475');
INSERT INTO public.ecdc_import VALUES (34351, '28/11/2020', '28', '11', '2020', '1309', '12', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1334.26943414');
INSERT INTO public.ecdc_import VALUES (34352, '27/11/2020', '27', '11', '2020', '616', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1237.1842696');
INSERT INTO public.ecdc_import VALUES (34353, '26/11/2020', '26', '11', '2020', '373', '10', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1266.34239787');
INSERT INTO public.ecdc_import VALUES (34354, '25/11/2020', '25', '11', '2020', '176', '7', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1284.26080072');
INSERT INTO public.ecdc_import VALUES (34355, '24/11/2020', '24', '11', '2020', '602', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1284.26080072');
INSERT INTO public.ecdc_import VALUES (34356, '23/11/2020', '23', '11', '2020', '571', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1279.04817444');
INSERT INTO public.ecdc_import VALUES (34357, '22/11/2020', '22', '11', '2020', '519', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1186.03537419');
INSERT INTO public.ecdc_import VALUES (34358, '21/11/2020', '21', '11', '2020', '670', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1211.44692732');
INSERT INTO public.ecdc_import VALUES (34359, '20/11/2020', '20', '11', '2020', '892', '8', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1209.65508703');
INSERT INTO public.ecdc_import VALUES (34360, '19/11/2020', '19', '11', '2020', '425', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1195.15747018');
INSERT INTO public.ecdc_import VALUES (34361, '18/11/2020', '18', '11', '2020', '164', '10', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1241.58242302');
INSERT INTO public.ecdc_import VALUES (34362, '17/11/2020', '17', '11', '2020', '548', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1301.69051986');
INSERT INTO public.ecdc_import VALUES (34363, '16/11/2020', '16', '11', '2020', '613', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1264.38766302');
INSERT INTO public.ecdc_import VALUES (34364, '15/11/2020', '15', '11', '2020', '713', '8', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1302.83078186');
INSERT INTO public.ecdc_import VALUES (34365, '14/11/2020', '14', '11', '2020', '713', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1316.839715');
INSERT INTO public.ecdc_import VALUES (34366, '13/11/2020', '13', '11', '2020', '795', '8', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1327.42786214');
INSERT INTO public.ecdc_import VALUES (34367, '12/11/2020', '12', '11', '2020', '483', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1311.62708872');
INSERT INTO public.ecdc_import VALUES (34368, '11/11/2020', '11', '11', '2020', '176', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1359.02940899');
INSERT INTO public.ecdc_import VALUES (34369, '10/11/2020', '10', '11', '2020', '570', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1409.36383154');
INSERT INTO public.ecdc_import VALUES (34370, '09/11/2020', '9', '11', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1348.27836728');
INSERT INTO public.ecdc_import VALUES (34371, '08/11/2020', '8', '11', '2020', '675', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1428.25960182');
INSERT INTO public.ecdc_import VALUES (34372, '07/11/2020', '7', '11', '2020', '659', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1458.72088667');
INSERT INTO public.ecdc_import VALUES (34373, '06/11/2020', '6', '11', '2020', '803', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1435.7527521');
INSERT INTO public.ecdc_import VALUES (34374, '05/11/2020', '5', '11', '2020', '710', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1412.78461754');
INSERT INTO public.ecdc_import VALUES (34375, '04/11/2020', '4', '11', '2020', '533', '7', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1367.17413755');
INSERT INTO public.ecdc_import VALUES (34376, '03/11/2020', '3', '11', '2020', '319', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1337.85311471');
INSERT INTO public.ecdc_import VALUES (34377, '02/11/2020', '2', '11', '2020', '849', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1325.31023271');
INSERT INTO public.ecdc_import VALUES (34378, '01/11/2020', '1', '11', '2020', '799', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1215.5192916');
INSERT INTO public.ecdc_import VALUES (34379, '31/10/2020', '31', '10', '2020', '778', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1085.36652908');
INSERT INTO public.ecdc_import VALUES (34380, '30/10/2020', '30', '10', '2020', '698', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '995.61162025');
INSERT INTO public.ecdc_import VALUES (34381, '29/10/2020', '29', '10', '2020', '774', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '916.7706477');
INSERT INTO public.ecdc_import VALUES (34382, '28/10/2020', '28', '10', '2020', '485', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '821.64021802');
INSERT INTO public.ecdc_import VALUES (34383, '27/10/2020', '27', '10', '2020', '195', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '760.39185918');
INSERT INTO public.ecdc_import VALUES (34384, '26/10/2020', '26', '10', '2020', '491', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '789.06130374');
INSERT INTO public.ecdc_import VALUES (34385, '25/10/2020', '25', '10', '2020', '862', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '709.0800692');
INSERT INTO public.ecdc_import VALUES (34386, '24/10/2020', '24', '10', '2020', '518', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '568.66494867');
INSERT INTO public.ecdc_import VALUES (34387, '23/10/2020', '23', '10', '2020', '662', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '507.25369526');
INSERT INTO public.ecdc_import VALUES (34388, '22/10/2020', '22', '10', '2020', '430', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '415.70694615');
INSERT INTO public.ecdc_import VALUES (34389, '21/10/2020', '21', '10', '2020', '353', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '368.46752045');
INSERT INTO public.ecdc_import VALUES (34390, '20/10/2020', '20', '10', '2020', '242', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '319.76204361');
INSERT INTO public.ecdc_import VALUES (34391, '19/10/2020', '19', '10', '2020', '175', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '315.52678475');
INSERT INTO public.ecdc_import VALUES (34392, '18/10/2020', '18', '10', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '287.02023476');
INSERT INTO public.ecdc_import VALUES (34393, '17/10/2020', '17', '10', '2020', '227', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '287.02023476');
INSERT INTO public.ecdc_import VALUES (34394, '16/10/2020', '16', '10', '2020', '214', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '268.6131482');
INSERT INTO public.ecdc_import VALUES (34395, '15/10/2020', '15', '10', '2020', '190', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '247.76264306');
INSERT INTO public.ecdc_import VALUES (34396, '14/10/2020', '14', '10', '2020', '109', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '229.51845107');
INSERT INTO public.ecdc_import VALUES (34397, '13/10/2020', '13', '10', '2020', '371', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '220.72214421');
INSERT INTO public.ecdc_import VALUES (34398, '12/10/2020', '12', '10', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '163.38325509');
INSERT INTO public.ecdc_import VALUES (34399, '11/10/2020', '11', '10', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '170.87640537');
INSERT INTO public.ecdc_import VALUES (34400, '10/10/2020', '10', '10', '2020', '141', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '183.58218194');
INSERT INTO public.ecdc_import VALUES (34401, '09/10/2020', '9', '10', '2020', '100', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '172.83114023');
INSERT INTO public.ecdc_import VALUES (34402, '08/10/2020', '8', '10', '2020', '140', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '167.61851395');
INSERT INTO public.ecdc_import VALUES (34403, '07/10/2020', '7', '10', '2020', '54', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '156.86747223');
INSERT INTO public.ecdc_import VALUES (34404, '06/10/2020', '6', '10', '2020', '216', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '164.36062252');
INSERT INTO public.ecdc_import VALUES (34405, '05/10/2020', '5', '10', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '147.41958709');
INSERT INTO public.ecdc_import VALUES (34406, '04/10/2020', '4', '10', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '161.42852023');
INSERT INTO public.ecdc_import VALUES (34407, '03/10/2020', '3', '10', '2020', '114', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '161.42852023');
INSERT INTO public.ecdc_import VALUES (34408, '02/10/2020', '2', '10', '2020', '86', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '171.69087823');
INSERT INTO public.ecdc_import VALUES (34409, '01/10/2020', '1', '10', '2020', '78', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '181.62744708');
INSERT INTO public.ecdc_import VALUES (34410, '30/09/2020', '30', '9', '2020', '55', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '186.84007337');
INSERT INTO public.ecdc_import VALUES (34411, '29/09/2020', '29', '9', '2020', '19', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '184.3966548');
INSERT INTO public.ecdc_import VALUES (34412, '28/09/2020', '28', '9', '2020', '46', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '189.44638651');
INSERT INTO public.ecdc_import VALUES (34413, '27/09/2020', '27', '9', '2020', '78', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '187.65454622');
INSERT INTO public.ecdc_import VALUES (34414, '26/09/2020', '26', '9', '2020', '75', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '174.94876966');
INSERT INTO public.ecdc_import VALUES (34415, '25/09/2020', '25', '9', '2020', '68', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '174.29719137');
INSERT INTO public.ecdc_import VALUES (34416, '24/09/2020', '24', '9', '2020', '74', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '173.80850766');
INSERT INTO public.ecdc_import VALUES (34417, '23/09/2020', '23', '9', '2020', '100', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '169.73614337');
INSERT INTO public.ecdc_import VALUES (34418, '22/09/2020', '22', '9', '2020', '112', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '157.35615595');
INSERT INTO public.ecdc_import VALUES (34419, '21/09/2020', '21', '9', '2020', '86', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '147.90827081');
INSERT INTO public.ecdc_import VALUES (34420, '20/09/2020', '20', '9', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '140.74090967');
INSERT INTO public.ecdc_import VALUES (34421, '19/09/2020', '19', '9', '2020', '177', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '140.74090967');
INSERT INTO public.ecdc_import VALUES (34422, '18/09/2020', '18', '9', '2020', '147', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '129.66407881');
INSERT INTO public.ecdc_import VALUES (34423, '17/09/2020', '17', '9', '2020', '110', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '105.71857682');
INSERT INTO public.ecdc_import VALUES (34424, '16/09/2020', '16', '9', '2020', '40', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '98.87700482');
INSERT INTO public.ecdc_import VALUES (34425, '15/09/2020', '15', '9', '2020', '50', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '92.36122197');
INSERT INTO public.ecdc_import VALUES (34426, '14/09/2020', '14', '9', '2020', '35', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '92.68701111');
INSERT INTO public.ecdc_import VALUES (34427, '13/09/2020', '13', '9', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '94.31595683');
INSERT INTO public.ecdc_import VALUES (34428, '12/09/2020', '12', '9', '2020', '71', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '94.31595683');
INSERT INTO public.ecdc_import VALUES (34429, '11/09/2020', '11', '9', '2020', '65', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '88.7775414');
INSERT INTO public.ecdc_import VALUES (34430, '10/09/2020', '10', '9', '2020', '49', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-147.41958709');
INSERT INTO public.ecdc_import VALUES (34431, '09/09/2020', '9', '9', '2020', '24', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-140.74090967');
INSERT INTO public.ecdc_import VALUES (34432, '08/09/2020', '8', '9', '2020', '54', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-137.48301824');
INSERT INTO public.ecdc_import VALUES (34433, '07/09/2020', '7', '9', '2020', '42', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-131.61881367');
INSERT INTO public.ecdc_import VALUES (34434, '06/09/2020', '6', '9', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-138.46038567');
INSERT INTO public.ecdc_import VALUES (34435, '05/09/2020', '5', '9', '2020', '109', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-138.46038567');
INSERT INTO public.ecdc_import VALUES (34436, '04/09/2020', '4', '9', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-145.30195767');
INSERT INTO public.ecdc_import VALUES (34437, '03/09/2020', '3', '9', '2020', '68', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-133.7364431');
INSERT INTO public.ecdc_import VALUES (34438, '02/09/2020', '2', '9', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-133.89933767');
INSERT INTO public.ecdc_import VALUES (34439, '01/09/2020', '1', '9', '2020', '52', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-129.01250053');
INSERT INTO public.ecdc_import VALUES (34440, '31/08/2020', '31', '8', '2020', '45', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-132.5961811');
INSERT INTO public.ecdc_import VALUES (34441, '30/08/2020', '30', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-139.92643681');
INSERT INTO public.ecdc_import VALUES (34442, '29/08/2020', '29', '8', '2020', '37', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-134.38802138');
INSERT INTO public.ecdc_import VALUES (34443, '28/08/2020', '28', '8', '2020', '-1385', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '-134.38802138');
INSERT INTO public.ecdc_import VALUES (34444, '27/08/2020', '27', '8', '2020', '90', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '102.29779082');
INSERT INTO public.ecdc_import VALUES (34445, '26/08/2020', '26', '8', '2020', '44', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '97.08516454');
INSERT INTO public.ecdc_import VALUES (34446, '25/08/2020', '25', '8', '2020', '90', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '94.15306226');
INSERT INTO public.ecdc_import VALUES (34447, '24/08/2020', '24', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '96.27069168');
INSERT INTO public.ecdc_import VALUES (34448, '23/08/2020', '23', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '96.27069168');
INSERT INTO public.ecdc_import VALUES (34449, '22/08/2020', '22', '8', '2020', '67', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '96.27069168');
INSERT INTO public.ecdc_import VALUES (34450, '21/08/2020', '21', '8', '2020', '71', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '91.87253826');
INSERT INTO public.ecdc_import VALUES (34451, '20/08/2020', '20', '8', '2020', '67', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '91.0580654');
INSERT INTO public.ecdc_import VALUES (34452, '19/08/2020', '19', '8', '2020', '30', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '94.80464054');
INSERT INTO public.ecdc_import VALUES (34453, '18/08/2020', '18', '8', '2020', '30', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '98.55121568');
INSERT INTO public.ecdc_import VALUES (34454, '17/08/2020', '17', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '121.1935611');
INSERT INTO public.ecdc_import VALUES (34455, '16/08/2020', '16', '8', '2020', '34', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '121.1935611');
INSERT INTO public.ecdc_import VALUES (34456, '15/08/2020', '15', '8', '2020', '37', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '115.65514568');
INSERT INTO public.ecdc_import VALUES (34457, '14/08/2020', '14', '8', '2020', '68', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '122.49671767');
INSERT INTO public.ecdc_import VALUES (34458, '13/08/2020', '13', '8', '2020', '58', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '124.94013625');
INSERT INTO public.ecdc_import VALUES (34459, '12/08/2020', '12', '8', '2020', '26', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '141.22959338');
INSERT INTO public.ecdc_import VALUES (34460, '11/08/2020', '11', '8', '2020', '103', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '145.79064138');
INSERT INTO public.ecdc_import VALUES (34461, '10/08/2020', '10', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '136.99433453');
INSERT INTO public.ecdc_import VALUES (34462, '09/08/2020', '9', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '150.51458395');
INSERT INTO public.ecdc_import VALUES (34463, '08/08/2020', '8', '8', '2020', '40', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '172.17956194');
INSERT INTO public.ecdc_import VALUES (34464, '07/08/2020', '7', '8', '2020', '66', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '182.60481451');
INSERT INTO public.ecdc_import VALUES (34465, '06/08/2020', '6', '8', '2020', '90', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '187.8174408');
INSERT INTO public.ecdc_import VALUES (34466, '05/08/2020', '5', '8', '2020', '53', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '194.17032908');
INSERT INTO public.ecdc_import VALUES (34467, '04/08/2020', '4', '8', '2020', '169', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '205.08426536');
INSERT INTO public.ecdc_import VALUES (34468, '03/08/2020', '3', '8', '2020', '0', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '197.42822051');
INSERT INTO public.ecdc_import VALUES (34469, '02/08/2020', '2', '8', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '209.48241879');
INSERT INTO public.ecdc_import VALUES (34470, '01/08/2020', '1', '8', '2020', '79', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '229.68134564');
INSERT INTO public.ecdc_import VALUES (34471, '31/07/2020', '31', '7', '2020', '83', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '243.36448964');
INSERT INTO public.ecdc_import VALUES (34472, '30/07/2020', '30', '7', '2020', '158', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '240.59528192');
INSERT INTO public.ecdc_import VALUES (34473, '29/07/2020', '29', '7', '2020', '54', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '214.85793964');
INSERT INTO public.ecdc_import VALUES (34474, '28/07/2020', '28', '7', '2020', '49', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '222.35108993');
INSERT INTO public.ecdc_import VALUES (34475, '27/07/2020', '27', '7', '2020', '83', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '219.41898764');
INSERT INTO public.ecdc_import VALUES (34476, '26/07/2020', '26', '7', '2020', '133', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '219.41898764');
INSERT INTO public.ecdc_import VALUES (34477, '25/07/2020', '25', '7', '2020', '104', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '208.34215679');
INSERT INTO public.ecdc_import VALUES (34478, '24/07/2020', '24', '7', '2020', '98', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '200.84900651');
INSERT INTO public.ecdc_import VALUES (34479, '23/07/2020', '23', '7', '2020', '129', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '196.12506394');
INSERT INTO public.ecdc_import VALUES (34480, '22/07/2020', '22', '7', '2020', '120', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '182.76770908');
INSERT INTO public.ecdc_import VALUES (34481, '21/07/2020', '21', '7', '2020', '122', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '173.15692937');
INSERT INTO public.ecdc_import VALUES (34482, '20/07/2020', '20', '7', '2020', '74', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '156.54168309');
INSERT INTO public.ecdc_import VALUES (34483, '19/07/2020', '19', '7', '2020', '124', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '151.98063509');
INSERT INTO public.ecdc_import VALUES (34484, '18/07/2020', '18', '7', '2020', '163', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '136.50565081');
INSERT INTO public.ecdc_import VALUES (34485, '17/07/2020', '17', '7', '2020', '66', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '118.42435339');
INSERT INTO public.ecdc_import VALUES (34486, '16/07/2020', '16', '7', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '115.81804025');
INSERT INTO public.ecdc_import VALUES (34487, '15/07/2020', '15', '7', '2020', '100', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '123.31119053');
INSERT INTO public.ecdc_import VALUES (34488, '14/07/2020', '14', '7', '2020', '31', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '114.02619996');
INSERT INTO public.ecdc_import VALUES (34489, '13/07/2020', '13', '7', '2020', '83', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '111.25699225');
INSERT INTO public.ecdc_import VALUES (34490, '12/07/2020', '12', '7', '2020', '65', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '101.80910711');
INSERT INTO public.ecdc_import VALUES (34491, '11/07/2020', '11', '7', '2020', '58', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '98.38832111');
INSERT INTO public.ecdc_import VALUES (34492, '10/07/2020', '10', '7', '2020', '69', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '92.52411654');
INSERT INTO public.ecdc_import VALUES (34493, '09/07/2020', '9', '7', '2020', '47', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '83.0762314');
INSERT INTO public.ecdc_import VALUES (34494, '08/07/2020', '8', '7', '2020', '61', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '76.56044855');
INSERT INTO public.ecdc_import VALUES (34495, '07/07/2020', '7', '7', '2020', '20', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '68.57861455');
INSERT INTO public.ecdc_import VALUES (34496, '06/07/2020', '6', '7', '2020', '46', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '65.48361769');
INSERT INTO public.ecdc_import VALUES (34497, '05/07/2020', '5', '7', '2020', '29', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '60.43388598');
INSERT INTO public.ecdc_import VALUES (34498, '04/07/2020', '4', '7', '2020', '52', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '56.68731084');
INSERT INTO public.ecdc_import VALUES (34499, '03/07/2020', '3', '7', '2020', '50', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '49.5199497');
INSERT INTO public.ecdc_import VALUES (34500, '02/07/2020', '2', '7', '2020', '46', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '42.35258856');
INSERT INTO public.ecdc_import VALUES (34501, '01/07/2020', '1', '7', '2020', '43', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '36.48838399');
INSERT INTO public.ecdc_import VALUES (34502, '30/06/2020', '30', '6', '2020', '14', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '29.97260113');
INSERT INTO public.ecdc_import VALUES (34503, '29/06/2020', '29', '6', '2020', '25', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '28.01786628');
INSERT INTO public.ecdc_import VALUES (34504, '28/06/2020', '28', '6', '2020', '44', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '25.08576399');
INSERT INTO public.ecdc_import VALUES (34505, '27/06/2020', '27', '6', '2020', '22', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.22155942');
INSERT INTO public.ecdc_import VALUES (34506, '26/06/2020', '26', '6', '2020', '11', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '16.12656257');
INSERT INTO public.ecdc_import VALUES (34507, '25/06/2020', '25', '6', '2020', '7', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '14.823406');
INSERT INTO public.ecdc_import VALUES (34508, '24/06/2020', '24', '6', '2020', '12', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '14.17182771');
INSERT INTO public.ecdc_import VALUES (34509, '23/06/2020', '23', '6', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '13.19446028');
INSERT INTO public.ecdc_import VALUES (34510, '22/06/2020', '22', '6', '2020', '15', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '13.19446028');
INSERT INTO public.ecdc_import VALUES (34511, '21/06/2020', '21', '6', '2020', '6', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '11.40262');
INSERT INTO public.ecdc_import VALUES (34512, '20/06/2020', '20', '6', '2020', '8', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '10.91393628');
INSERT INTO public.ecdc_import VALUES (34513, '19/06/2020', '19', '6', '2020', '6', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '10.42525257');
INSERT INTO public.ecdc_import VALUES (34514, '18/06/2020', '18', '6', '2020', '10', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '10.58814714');
INSERT INTO public.ecdc_import VALUES (34515, '17/06/2020', '17', '6', '2020', '3', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '8.95920143');
INSERT INTO public.ecdc_import VALUES (34516, '16/06/2020', '16', '6', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '8.63341228');
INSERT INTO public.ecdc_import VALUES (34517, '15/06/2020', '15', '6', '2020', '7', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '8.47051771');
INSERT INTO public.ecdc_import VALUES (34518, '14/06/2020', '14', '6', '2020', '8', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.65604485');
INSERT INTO public.ecdc_import VALUES (34519, '13/06/2020', '13', '6', '2020', '3', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.00446657');
INSERT INTO public.ecdc_import VALUES (34520, '12/06/2020', '12', '6', '2020', '3', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.16736114');
INSERT INTO public.ecdc_import VALUES (34521, '11/06/2020', '11', '6', '2020', '3', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.81893943');
INSERT INTO public.ecdc_import VALUES (34522, '10/06/2020', '10', '6', '2020', '6', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '8.30762314');
INSERT INTO public.ecdc_import VALUES (34523, '09/06/2020', '9', '6', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.65604485');
INSERT INTO public.ecdc_import VALUES (34524, '08/06/2020', '8', '6', '2020', '4', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.65604485');
INSERT INTO public.ecdc_import VALUES (34525, '07/06/2020', '7', '6', '2020', '3', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.33025571');
INSERT INTO public.ecdc_import VALUES (34526, '06/06/2020', '6', '6', '2020', '5', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '8.30762314');
INSERT INTO public.ecdc_import VALUES (34527, '05/06/2020', '5', '6', '2020', '7', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.65604485');
INSERT INTO public.ecdc_import VALUES (34528, '04/06/2020', '4', '6', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '7.981834');
INSERT INTO public.ecdc_import VALUES (34529, '03/06/2020', '3', '6', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '10.09946343');
INSERT INTO public.ecdc_import VALUES (34530, '02/06/2020', '2', '6', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '11.72840914');
INSERT INTO public.ecdc_import VALUES (34531, '01/06/2020', '1', '6', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '11.89130371');
INSERT INTO public.ecdc_import VALUES (34532, '31/05/2020', '31', '5', '2020', '4', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '14.00893314');
INSERT INTO public.ecdc_import VALUES (34533, '30/05/2020', '30', '5', '2020', '4', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '14.49761685');
INSERT INTO public.ecdc_import VALUES (34534, '29/05/2020', '29', '5', '2020', '7', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '15.14919514');
INSERT INTO public.ecdc_import VALUES (34535, '28/05/2020', '28', '5', '2020', '6', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '15.80077342');
INSERT INTO public.ecdc_import VALUES (34536, '27/05/2020', '27', '5', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '16.45235171');
INSERT INTO public.ecdc_import VALUES (34537, '26/05/2020', '26', '5', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '17.10392999');
INSERT INTO public.ecdc_import VALUES (34538, '25/05/2020', '25', '5', '2020', '2', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '17.26682457');
INSERT INTO public.ecdc_import VALUES (34539, '24/05/2020', '24', '5', '2020', '9', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '18.40708657');
INSERT INTO public.ecdc_import VALUES (34540, '23/05/2020', '23', '5', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '17.91840285');
INSERT INTO public.ecdc_import VALUES (34541, '22/05/2020', '22', '5', '2020', '9', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.71024314');
INSERT INTO public.ecdc_import VALUES (34542, '21/05/2020', '21', '5', '2020', '13', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.54734857');
INSERT INTO public.ecdc_import VALUES (34543, '20/05/2020', '20', '5', '2020', '11', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.22155942');
INSERT INTO public.ecdc_import VALUES (34544, '19/05/2020', '19', '5', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.38445399');
INSERT INTO public.ecdc_import VALUES (34545, '18/05/2020', '18', '5', '2020', '15', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.71024314');
INSERT INTO public.ecdc_import VALUES (34546, '17/05/2020', '17', '5', '2020', '7', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.22155942');
INSERT INTO public.ecdc_import VALUES (34547, '16/05/2020', '16', '5', '2020', '8', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '19.71024314');
INSERT INTO public.ecdc_import VALUES (34548, '15/05/2020', '15', '5', '2020', '11', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '21.33918885');
INSERT INTO public.ecdc_import VALUES (34549, '14/05/2020', '14', '5', '2020', '10', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '21.99076714');
INSERT INTO public.ecdc_import VALUES (34550, '13/05/2020', '13', '5', '2020', '6', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '24.92286942');
INSERT INTO public.ecdc_import VALUES (34551, '12/05/2020', '12', '5', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '25.90023685');
INSERT INTO public.ecdc_import VALUES (34552, '11/05/2020', '11', '5', '2020', '9', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '26.55181513');
INSERT INTO public.ecdc_import VALUES (34553, '10/05/2020', '10', '5', '2020', '6', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '27.04049885');
INSERT INTO public.ecdc_import VALUES (34554, '09/05/2020', '9', '5', '2020', '12', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '28.66944456');
INSERT INTO public.ecdc_import VALUES (34555, '08/05/2020', '8', '5', '2020', '8', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '31.60154685');
INSERT INTO public.ecdc_import VALUES (34556, '07/05/2020', '7', '5', '2020', '11', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '32.09023056');
INSERT INTO public.ecdc_import VALUES (34557, '06/05/2020', '6', '5', '2020', '12', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '36.16259485');
INSERT INTO public.ecdc_import VALUES (34558, '05/05/2020', '5', '5', '2020', '4', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '43.98153427');
INSERT INTO public.ecdc_import VALUES (34559, '04/05/2020', '4', '5', '2020', '12', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '44.63311256');
INSERT INTO public.ecdc_import VALUES (34560, '03/05/2020', '3', '5', '2020', '10', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '44.79600713');
INSERT INTO public.ecdc_import VALUES (34561, '02/05/2020', '2', '5', '2020', '18', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '52.45205198');
INSERT INTO public.ecdc_import VALUES (34562, '01/05/2020', '1', '5', '2020', '15', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '55.38415427');
INSERT INTO public.ecdc_import VALUES (34563, '30/04/2020', '30', '4', '2020', '28', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '64.50625026');
INSERT INTO public.ecdc_import VALUES (34564, '29/04/2020', '29', '4', '2020', '12', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '70.69624398');
INSERT INTO public.ecdc_import VALUES (34565, '28/04/2020', '28', '4', '2020', '6', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '71.18492769');
INSERT INTO public.ecdc_import VALUES (34566, '27/04/2020', '27', '4', '2020', '12', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '71.99940055');
INSERT INTO public.ecdc_import VALUES (34567, '26/04/2020', '26', '4', '2020', '16', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '71.83650598');
INSERT INTO public.ecdc_import VALUES (34568, '25/04/2020', '25', '4', '2020', '30', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '76.88623769');
INSERT INTO public.ecdc_import VALUES (34569, '24/04/2020', '24', '4', '2020', '11', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '89.59201426');
INSERT INTO public.ecdc_import VALUES (34570, '23/04/2020', '23', '4', '2020', '36', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '100.99463425');
INSERT INTO public.ecdc_import VALUES (34571, '22/04/2020', '22', '4', '2020', '60', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '105.55568225');
INSERT INTO public.ecdc_import VALUES (34572, '21/04/2020', '21', '4', '2020', '8', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '116.46961853');
INSERT INTO public.ecdc_import VALUES (34573, '20/04/2020', '20', '4', '2020', '13', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '121.51935025');
INSERT INTO public.ecdc_import VALUES (34574, '19/04/2020', '19', '4', '2020', '57', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '131.61881367');
INSERT INTO public.ecdc_import VALUES (34575, '18/04/2020', '18', '4', '2020', '36', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '141.39248795');
INSERT INTO public.ecdc_import VALUES (34576, '17/04/2020', '17', '4', '2020', '71', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '155.89010481');
INSERT INTO public.ecdc_import VALUES (34577, '16/04/2020', '16', '4', '2020', '66', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '171.69087823');
INSERT INTO public.ecdc_import VALUES (34578, '15/04/2020', '15', '4', '2020', '15', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '183.90797108');
INSERT INTO public.ecdc_import VALUES (34579, '14/04/2020', '14', '4', '2020', '11', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '212.41452107');
INSERT INTO public.ecdc_import VALUES (34580, '13/04/2020', '13', '4', '2020', '11', '4', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '216.8126745');
INSERT INTO public.ecdc_import VALUES (34581, '12/04/2020', '12', '4', '2020', '47', '8', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '234.40528821');
INSERT INTO public.ecdc_import VALUES (34582, '11/04/2020', '11', '4', '2020', '108', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '263.56341649');
INSERT INTO public.ecdc_import VALUES (34583, '10/04/2020', '10', '4', '2020', '81', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '270.73077763');
INSERT INTO public.ecdc_import VALUES (34584, '09/04/2020', '9', '4', '2020', '64', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '277.08366591');
INSERT INTO public.ecdc_import VALUES (34585, '08/04/2020', '8', '4', '2020', '127', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '304.77574304');
INSERT INTO public.ecdc_import VALUES (34586, '07/04/2020', '7', '4', '2020', '39', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '320.57651647');
INSERT INTO public.ecdc_import VALUES (34587, '06/04/2020', '6', '4', '2020', '75', '5', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '326.76651018');
INSERT INTO public.ecdc_import VALUES (34588, '05/04/2020', '5', '4', '2020', '117', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '335.39992246');
INSERT INTO public.ecdc_import VALUES (34589, '04/04/2020', '4', '4', '2020', '125', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '346.63964789');
INSERT INTO public.ecdc_import VALUES (34590, '03/04/2020', '3', '4', '2020', '168', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '348.92017189');
INSERT INTO public.ecdc_import VALUES (34591, '02/04/2020', '2', '4', '2020', '141', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '343.54465103');
INSERT INTO public.ecdc_import VALUES (34592, '01/04/2020', '1', '4', '2020', '190', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '331.97913646');
INSERT INTO public.ecdc_import VALUES (34593, '31/03/2020', '31', '3', '2020', '38', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '310.63994761');
INSERT INTO public.ecdc_import VALUES (34594, '30/03/2020', '30', '3', '2020', '119', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '305.10153219');
INSERT INTO public.ecdc_import VALUES (34595, '29/03/2020', '29', '3', '2020', '226', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '292.06996648');
INSERT INTO public.ecdc_import VALUES (34596, '28/03/2020', '28', '3', '2020', '152', '6', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '257.2105282');
INSERT INTO public.ecdc_import VALUES (34597, '27/03/2020', '27', '3', '2020', '120', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '235.54555021');
INSERT INTO public.ecdc_import VALUES (34598, '26/03/2020', '26', '3', '2020', '234', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '215.99820164');
INSERT INTO public.ecdc_import VALUES (34599, '25/03/2020', '25', '3', '2020', '224', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '178.20666108');
INSERT INTO public.ecdc_import VALUES (34600, '24/03/2020', '24', '3', '2020', '77', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '142.04406624');
INSERT INTO public.ecdc_import VALUES (34601, '23/03/2020', '23', '3', '2020', '128', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '129.82697339');
INSERT INTO public.ecdc_import VALUES (34602, '22/03/2020', '22', '3', '2020', '186', '3', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '108.97646825');
INSERT INTO public.ecdc_import VALUES (34603, '21/03/2020', '21', '3', '2020', '139', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '78.84097255');
INSERT INTO public.ecdc_import VALUES (34604, '20/03/2020', '20', '3', '2020', '135', '2', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '56.19862712');
INSERT INTO public.ecdc_import VALUES (34605, '19/03/2020', '19', '3', '2020', '70', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '34.20785999');
INSERT INTO public.ecdc_import VALUES (34606, '18/03/2020', '18', '3', '2020', '59', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '22.80523999');
INSERT INTO public.ecdc_import VALUES (34607, '17/03/2020', '17', '3', '2020', '4', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '13.19446028');
INSERT INTO public.ecdc_import VALUES (34608, '16/03/2020', '16', '3', '2020', '39', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '12.542882');
INSERT INTO public.ecdc_import VALUES (34609, '14/03/2020', '14', '3', '2020', '12', '1', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '6.18999371');
INSERT INTO public.ecdc_import VALUES (34610, '13/03/2020', '13', '3', '2020', '19', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '4.23525886');
INSERT INTO public.ecdc_import VALUES (34611, '12/03/2020', '12', '3', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1.140262');
INSERT INTO public.ecdc_import VALUES (34612, '11/03/2020', '11', '3', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '1.140262');
INSERT INTO public.ecdc_import VALUES (34613, '09/03/2020', '9', '3', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0.81447286');
INSERT INTO public.ecdc_import VALUES (34614, '07/03/2020', '7', '3', '2020', '2', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0.48868371');
INSERT INTO public.ecdc_import VALUES (34615, '02/03/2020', '2', '3', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0.16289457');
INSERT INTO public.ecdc_import VALUES (34616, '01/03/2020', '1', '3', '2020', '1', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0.16289457');
INSERT INTO public.ecdc_import VALUES (34617, '29/02/2020', '29', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34618, '28/02/2020', '28', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34619, '27/02/2020', '27', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34620, '26/02/2020', '26', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34621, '25/02/2020', '25', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34622, '24/02/2020', '24', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34623, '23/02/2020', '23', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34624, '22/02/2020', '22', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34625, '21/02/2020', '21', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34626, '20/02/2020', '20', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34627, '19/02/2020', '19', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34628, '18/02/2020', '18', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34629, '17/02/2020', '17', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34630, '16/02/2020', '16', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34631, '15/02/2020', '15', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34632, '14/02/2020', '14', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34633, '13/02/2020', '13', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34634, '12/02/2020', '12', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34635, '11/02/2020', '11', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34636, '10/02/2020', '10', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34637, '09/02/2020', '9', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34638, '08/02/2020', '8', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34639, '07/02/2020', '7', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34640, '06/02/2020', '6', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34641, '05/02/2020', '5', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34642, '04/02/2020', '4', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34643, '03/02/2020', '3', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34644, '02/02/2020', '2', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34645, '01/02/2020', '1', '2', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34646, '31/01/2020', '31', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34647, '30/01/2020', '30', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34648, '29/01/2020', '29', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34649, '28/01/2020', '28', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34650, '27/01/2020', '27', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34651, '26/01/2020', '26', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34652, '25/01/2020', '25', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34653, '24/01/2020', '24', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34654, '23/01/2020', '23', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34655, '22/01/2020', '22', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34656, '21/01/2020', '21', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34657, '20/01/2020', '20', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34658, '19/01/2020', '19', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34659, '18/01/2020', '18', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34660, '17/01/2020', '17', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34661, '16/01/2020', '16', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34662, '15/01/2020', '15', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34663, '14/01/2020', '14', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34664, '13/01/2020', '13', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (34665, '12/01/2020', '12', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34666, '11/01/2020', '11', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34667, '10/01/2020', '10', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34668, '09/01/2020', '9', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34669, '08/01/2020', '8', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34670, '07/01/2020', '7', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34671, '06/01/2020', '6', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34672, '05/01/2020', '5', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34673, '04/01/2020', '4', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34674, '03/01/2020', '3', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34675, '02/01/2020', '2', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34676, '01/01/2020', '1', '1', '2020', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34677, '31/12/2019', '31', '12', '2019', '0', '0', '613894', 'Luxembourg', 'LU', 'LUX', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (34678, '14/12/2020', '14', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.10125192');
INSERT INTO public.ecdc_import VALUES (34679, '13/12/2020', '13', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.10125192');
INSERT INTO public.ecdc_import VALUES (34680, '12/12/2020', '12', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.10125192');
INSERT INTO public.ecdc_import VALUES (34681, '11/12/2020', '11', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.10125192');
INSERT INTO public.ecdc_import VALUES (34682, '10/12/2020', '10', '12', '2020', '125', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.10125192');
INSERT INTO public.ecdc_import VALUES (34683, '09/12/2020', '9', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.63776205');
INSERT INTO public.ecdc_import VALUES (34684, '08/12/2020', '8', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.63776205');
INSERT INTO public.ecdc_import VALUES (34685, '07/12/2020', '7', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.63776205');
INSERT INTO public.ecdc_import VALUES (34686, '06/12/2020', '6', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.75270754');
INSERT INTO public.ecdc_import VALUES (34687, '05/12/2020', '5', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.0382173');
INSERT INTO public.ecdc_import VALUES (34688, '04/12/2020', '4', '12', '2020', '172', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.0382173');
INSERT INTO public.ecdc_import VALUES (34689, '03/12/2020', '3', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.40045524');
INSERT INTO public.ecdc_import VALUES (34690, '02/12/2020', '2', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.40045524');
INSERT INTO public.ecdc_import VALUES (34691, '01/12/2020', '1', '12', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.40045524');
INSERT INTO public.ecdc_import VALUES (34692, '30/11/2020', '30', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.40045524');
INSERT INTO public.ecdc_import VALUES (34693, '29/11/2020', '29', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.40045524');
INSERT INTO public.ecdc_import VALUES (34694, '28/11/2020', '28', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.40045524');
INSERT INTO public.ecdc_import VALUES (34695, '27/11/2020', '27', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.43753443');
INSERT INTO public.ecdc_import VALUES (34696, '26/11/2020', '26', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.43753443');
INSERT INTO public.ecdc_import VALUES (34697, '25/11/2020', '25', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.43753443');
INSERT INTO public.ecdc_import VALUES (34698, '24/11/2020', '24', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.43753443');
INSERT INTO public.ecdc_import VALUES (34699, '23/11/2020', '23', '11', '2020', '31', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.43753443');
INSERT INTO public.ecdc_import VALUES (34700, '22/11/2020', '22', '11', '2020', '77', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.35966814');
INSERT INTO public.ecdc_import VALUES (34701, '21/11/2020', '21', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.07415838');
INSERT INTO public.ecdc_import VALUES (34702, '20/11/2020', '20', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.45236611');
INSERT INTO public.ecdc_import VALUES (34703, '19/11/2020', '19', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.45236611');
INSERT INTO public.ecdc_import VALUES (34704, '18/11/2020', '18', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.45236611');
INSERT INTO public.ecdc_import VALUES (34705, '17/11/2020', '17', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.45236611');
INSERT INTO public.ecdc_import VALUES (34706, '16/11/2020', '16', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.45236611');
INSERT INTO public.ecdc_import VALUES (34707, '15/11/2020', '15', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.98259851');
INSERT INTO public.ecdc_import VALUES (34708, '14/11/2020', '14', '11', '2020', '10', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.98259851');
INSERT INTO public.ecdc_import VALUES (34709, '13/11/2020', '13', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.94551932');
INSERT INTO public.ecdc_import VALUES (34710, '12/11/2020', '12', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.94551932');
INSERT INTO public.ecdc_import VALUES (34711, '11/11/2020', '11', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.94551932');
INSERT INTO public.ecdc_import VALUES (34712, '10/11/2020', '10', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.94551932');
INSERT INTO public.ecdc_import VALUES (34713, '09/11/2020', '9', '11', '2020', '10', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.94551932');
INSERT INTO public.ecdc_import VALUES (34714, '08/11/2020', '8', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.90844014');
INSERT INTO public.ecdc_import VALUES (34715, '07/11/2020', '7', '11', '2020', '102', '5', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.49429133');
INSERT INTO public.ecdc_import VALUES (34716, '06/11/2020', '6', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.1160836');
INSERT INTO public.ecdc_import VALUES (34717, '05/11/2020', '5', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.1160836');
INSERT INTO public.ecdc_import VALUES (34718, '04/11/2020', '4', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.1160836');
INSERT INTO public.ecdc_import VALUES (34719, '03/11/2020', '3', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.1160836');
INSERT INTO public.ecdc_import VALUES (34720, '02/11/2020', '2', '11', '2020', '143', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.1160836');
INSERT INTO public.ecdc_import VALUES (34721, '01/11/2020', '1', '11', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.58585119');
INSERT INTO public.ecdc_import VALUES (34722, '31/10/2020', '31', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.79349465');
INSERT INTO public.ecdc_import VALUES (34723, '30/10/2020', '30', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.79349465');
INSERT INTO public.ecdc_import VALUES (34724, '29/10/2020', '29', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.79349465');
INSERT INTO public.ecdc_import VALUES (34725, '28/10/2020', '28', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.79349465');
INSERT INTO public.ecdc_import VALUES (34726, '27/10/2020', '27', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.89731638');
INSERT INTO public.ecdc_import VALUES (34727, '26/10/2020', '26', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.92697973');
INSERT INTO public.ecdc_import VALUES (34728, '25/10/2020', '25', '10', '2020', '158', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.98630643');
INSERT INTO public.ecdc_import VALUES (34729, '24/10/2020', '24', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.49686114');
INSERT INTO public.ecdc_import VALUES (34730, '23/10/2020', '23', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.57843535');
INSERT INTO public.ecdc_import VALUES (34731, '22/10/2020', '22', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.65630165');
INSERT INTO public.ecdc_import VALUES (34732, '21/10/2020', '21', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.77866297');
INSERT INTO public.ecdc_import VALUES (34733, '20/10/2020', '20', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.88990054');
INSERT INTO public.ecdc_import VALUES (34734, '19/10/2020', '19', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.93439557');
INSERT INTO public.ecdc_import VALUES (34735, '18/10/2020', '18', '10', '2020', '56', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.04192522');
INSERT INTO public.ecdc_import VALUES (34736, '17/10/2020', '17', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.96776684');
INSERT INTO public.ecdc_import VALUES (34737, '16/10/2020', '16', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.11237568');
INSERT INTO public.ecdc_import VALUES (34738, '15/10/2020', '15', '10', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.28293995');
INSERT INTO public.ecdc_import VALUES (34739, '14/10/2020', '14', '10', '2020', '28', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.39788543');
INSERT INTO public.ecdc_import VALUES (34740, '13/10/2020', '13', '10', '2020', '8', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.40159335');
INSERT INTO public.ecdc_import VALUES (34741, '12/10/2020', '12', '10', '2020', '16', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.60552889');
INSERT INTO public.ecdc_import VALUES (34742, '11/10/2020', '11', '10', '2020', '26', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.65002392');
INSERT INTO public.ecdc_import VALUES (34743, '10/10/2020', '10', '10', '2020', '22', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.68710311');
INSERT INTO public.ecdc_import VALUES (34744, '09/10/2020', '9', '10', '2020', '21', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.71676646');
INSERT INTO public.ecdc_import VALUES (34745, '08/10/2020', '8', '10', '2020', '33', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.72789022');
INSERT INTO public.ecdc_import VALUES (34746, '07/10/2020', '7', '10', '2020', '30', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.72047438');
INSERT INTO public.ecdc_import VALUES (34747, '06/10/2020', '6', '10', '2020', '12', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.8428357');
INSERT INTO public.ecdc_import VALUES (34748, '05/10/2020', '5', '10', '2020', '29', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.87249906');
INSERT INTO public.ecdc_import VALUES (34749, '04/10/2020', '4', '10', '2020', '36', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.88733073');
INSERT INTO public.ecdc_import VALUES (34750, '03/10/2020', '3', '10', '2020', '39', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.93553368');
INSERT INTO public.ecdc_import VALUES (34751, '02/10/2020', '2', '10', '2020', '46', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.16171673');
INSERT INTO public.ecdc_import VALUES (34752, '01/10/2020', '1', '10', '2020', '31', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.99115246');
INSERT INTO public.ecdc_import VALUES (34753, '30/09/2020', '30', '9', '2020', '29', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.12834546');
INSERT INTO public.ecdc_import VALUES (34754, '29/09/2020', '29', '9', '2020', '63', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.14688506');
INSERT INTO public.ecdc_import VALUES (34755, '28/09/2020', '28', '9', '2020', '28', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.95778119');
INSERT INTO public.ecdc_import VALUES (34756, '27/09/2020', '27', '9', '2020', '36', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.92811784');
INSERT INTO public.ecdc_import VALUES (34757, '26/09/2020', '26', '9', '2020', '30', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.04677124');
INSERT INTO public.ecdc_import VALUES (34758, '25/09/2020', '25', '9', '2020', '24', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.10239003');
INSERT INTO public.ecdc_import VALUES (34759, '24/09/2020', '24', '9', '2020', '31', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.39902354');
INSERT INTO public.ecdc_import VALUES (34760, '23/09/2020', '23', '9', '2020', '63', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.59925116');
INSERT INTO public.ecdc_import VALUES (34761, '22/09/2020', '22', '9', '2020', '20', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.67340954');
INSERT INTO public.ecdc_import VALUES (34762, '21/09/2020', '21', '9', '2020', '33', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.72161249');
INSERT INTO public.ecdc_import VALUES (34763, '20/09/2020', '20', '9', '2020', '49', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.78464711');
INSERT INTO public.ecdc_import VALUES (34764, '19/09/2020', '19', '9', '2020', '100', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.90700843');
INSERT INTO public.ecdc_import VALUES (34765, '18/09/2020', '18', '9', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.83655797');
INSERT INTO public.ecdc_import VALUES (34766, '17/09/2020', '17', '9', '2020', '68', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.14431524');
INSERT INTO public.ecdc_import VALUES (34767, '16/09/2020', '16', '9', '2020', '34', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.13689941');
INSERT INTO public.ecdc_import VALUES (34768, '15/09/2020', '15', '9', '2020', '12', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.35937454');
INSERT INTO public.ecdc_import VALUES (34769, '14/09/2020', '14', '9', '2020', '20', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.38903789');
INSERT INTO public.ecdc_import VALUES (34770, '13/09/2020', '13', '9', '2020', '68', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.5076913');
INSERT INTO public.ecdc_import VALUES (34771, '12/09/2020', '12', '9', '2020', '45', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.60780511');
INSERT INTO public.ecdc_import VALUES (34772, '11/09/2020', '11', '9', '2020', '104', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.82657233');
INSERT INTO public.ecdc_import VALUES (34773, '10/09/2020', '10', '9', '2020', '85', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.58184968');
INSERT INTO public.ecdc_import VALUES (34774, '09/09/2020', '9', '9', '2020', '83', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.55960216');
INSERT INTO public.ecdc_import VALUES (34775, '08/09/2020', '8', '9', '2020', '33', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.52252297');
INSERT INTO public.ecdc_import VALUES (34776, '07/09/2020', '7', '9', '2020', '50', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.67825557');
INSERT INTO public.ecdc_import VALUES (34777, '06/09/2020', '6', '9', '2020', '82', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.67825557');
INSERT INTO public.ecdc_import VALUES (34778, '05/09/2020', '5', '9', '2020', '81', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.59297343');
INSERT INTO public.ecdc_import VALUES (34779, '04/09/2020', '4', '9', '2020', '83', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.52993881');
INSERT INTO public.ecdc_import VALUES (34780, '03/09/2020', '3', '9', '2020', '66', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.51881506');
INSERT INTO public.ecdc_import VALUES (34781, '02/09/2020', '2', '9', '2020', '94', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.51510714');
INSERT INTO public.ecdc_import VALUES (34782, '01/09/2020', '1', '9', '2020', '20', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.62263679');
INSERT INTO public.ecdc_import VALUES (34783, '31/08/2020', '31', '8', '2020', '52', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.76724562');
INSERT INTO public.ecdc_import VALUES (34784, '30/08/2020', '30', '8', '2020', '95', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.95634949');
INSERT INTO public.ecdc_import VALUES (34785, '29/08/2020', '29', '8', '2020', '104', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.90443862');
INSERT INTO public.ecdc_import VALUES (34786, '28/08/2020', '28', '8', '2020', '38', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.96747325');
INSERT INTO public.ecdc_import VALUES (34787, '27/08/2020', '27', '8', '2020', '79', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '4.29006219');
INSERT INTO public.ecdc_import VALUES (34788, '26/08/2020', '26', '8', '2020', '73', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '4.29377011');
INSERT INTO public.ecdc_import VALUES (34789, '25/08/2020', '25', '8', '2020', '75', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '4.44950271');
INSERT INTO public.ecdc_import VALUES (34790, '24/08/2020', '24', '8', '2020', '50', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '4.60152738');
INSERT INTO public.ecdc_import VALUES (34791, '23/08/2020', '23', '8', '2020', '59', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '5.02423014');
INSERT INTO public.ecdc_import VALUES (34792, '22/08/2020', '22', '8', '2020', '64', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '5.59895757');
INSERT INTO public.ecdc_import VALUES (34793, '21/08/2020', '21', '8', '2020', '80', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '6.036492');
INSERT INTO public.ecdc_import VALUES (34794, '20/08/2020', '20', '8', '2020', '65', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '6.86706584');
INSERT INTO public.ecdc_import VALUES (34795, '19/08/2020', '19', '8', '2020', '123', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '7.8385406');
INSERT INTO public.ecdc_import VALUES (34796, '18/08/2020', '18', '8', '2020', '59', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '8.25382752');
INSERT INTO public.ecdc_import VALUES (34797, '17/08/2020', '17', '8', '2020', '103', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '8.5245056');
INSERT INTO public.ecdc_import VALUES (34798, '16/08/2020', '16', '8', '2020', '81', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '9.08810928');
INSERT INTO public.ecdc_import VALUES (34799, '15/08/2020', '15', '8', '2020', '121', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '10.28947501');
INSERT INTO public.ecdc_import VALUES (34800, '14/08/2020', '14', '8', '2020', '125', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '10.28576709');
INSERT INTO public.ecdc_import VALUES (34801, '13/08/2020', '13', '8', '2020', '80', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '11.42039028');
INSERT INTO public.ecdc_import VALUES (34802, '12/08/2020', '12', '8', '2020', '115', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '11.91354349');
INSERT INTO public.ecdc_import VALUES (34803, '11/08/2020', '11', '8', '2020', '116', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '13.02221125');
INSERT INTO public.ecdc_import VALUES (34804, '10/08/2020', '10', '8', '2020', '164', '7', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '14.05672063');
INSERT INTO public.ecdc_import VALUES (34805, '09/08/2020', '9', '8', '2020', '214', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '15.03931914');
INSERT INTO public.ecdc_import VALUES (34806, '08/08/2020', '8', '8', '2020', '182', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '14.70931436');
INSERT INTO public.ecdc_import VALUES (34807, '07/08/2020', '7', '8', '2020', '304', '7', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '15.36932393');
INSERT INTO public.ecdc_import VALUES (34808, '06/08/2020', '6', '8', '2020', '327', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '15.05415082');
INSERT INTO public.ecdc_import VALUES (34809, '05/08/2020', '5', '8', '2020', '235', '5', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.11832355');
INSERT INTO public.ecdc_import VALUES (34810, '04/08/2020', '4', '8', '2020', '132', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.71159058');
INSERT INTO public.ecdc_import VALUES (34811, '03/08/2020', '3', '8', '2020', '255', '7', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.60776885');
INSERT INTO public.ecdc_import VALUES (34812, '02/08/2020', '2', '8', '2020', '405', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.40383331');
INSERT INTO public.ecdc_import VALUES (34813, '01/08/2020', '1', '8', '2020', '120', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.31855117');
INSERT INTO public.ecdc_import VALUES (34814, '31/07/2020', '31', '7', '2020', '431', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.27519425');
INSERT INTO public.ecdc_import VALUES (34815, '30/07/2020', '30', '7', '2020', '213', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.47171396');
INSERT INTO public.ecdc_import VALUES (34816, '29/07/2020', '29', '7', '2020', '414', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.65340198');
INSERT INTO public.ecdc_import VALUES (34817, '28/07/2020', '28', '7', '2020', '395', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.09350623');
INSERT INTO public.ecdc_import VALUES (34818, '27/07/2020', '27', '7', '2020', '429', '7', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.41866498');
INSERT INTO public.ecdc_import VALUES (34819, '26/07/2020', '26', '7', '2020', '125', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '15.89955633');
INSERT INTO public.ecdc_import VALUES (34820, '25/07/2020', '25', '7', '2020', '360', '6', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.0490112');
INSERT INTO public.ecdc_import VALUES (34821, '24/07/2020', '24', '7', '2020', '219', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.05271912');
INSERT INTO public.ecdc_import VALUES (34822, '23/07/2020', '23', '7', '2020', '614', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '17.01563993');
INSERT INTO public.ecdc_import VALUES (34823, '22/07/2020', '22', '7', '2020', '395', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '15.11347752');
INSERT INTO public.ecdc_import VALUES (34824, '21/07/2020', '21', '7', '2020', '104', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '14.47200755');
INSERT INTO public.ecdc_import VALUES (34825, '20/07/2020', '20', '7', '2020', '200', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '16.02191766');
INSERT INTO public.ecdc_import VALUES (34826, '19/07/2020', '19', '7', '2020', '382', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '15.28033387');
INSERT INTO public.ecdc_import VALUES (34827, '18/07/2020', '18', '7', '2020', '378', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '14.66481933');
INSERT INTO public.ecdc_import VALUES (34828, '17/07/2020', '17', '7', '2020', '484', '10', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '13.66738914');
INSERT INTO public.ecdc_import VALUES (34829, '16/07/2020', '16', '7', '2020', '262', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '12.24354828');
INSERT INTO public.ecdc_import VALUES (34830, '15/07/2020', '15', '7', '2020', '263', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '11.6020783');
INSERT INTO public.ecdc_import VALUES (34831, '14/07/2020', '14', '7', '2020', '213', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '10.90869747');
INSERT INTO public.ecdc_import VALUES (34832, '13/07/2020', '13', '7', '2020', '289', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '10.34138587');
INSERT INTO public.ecdc_import VALUES (34833, '12/07/2020', '12', '7', '2020', '435', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '9.54047538');
INSERT INTO public.ecdc_import VALUES (34834, '11/07/2020', '11', '7', '2020', '361', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '8.23528792');
INSERT INTO public.ecdc_import VALUES (34835, '10/07/2020', '10', '7', '2020', '209', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '7.24156565');
INSERT INTO public.ecdc_import VALUES (34836, '09/07/2020', '9', '7', '2020', '101', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '6.62234319');
INSERT INTO public.ecdc_import VALUES (34837, '08/07/2020', '8', '7', '2020', '222', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '6.48144227');
INSERT INTO public.ecdc_import VALUES (34838, '07/07/2020', '7', '7', '2020', '522', '4', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '5.96974946');
INSERT INTO public.ecdc_import VALUES (34839, '06/07/2020', '6', '7', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '4.19736422');
INSERT INTO public.ecdc_import VALUES (34840, '05/07/2020', '5', '7', '2020', '216', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '4.54220068');
INSERT INTO public.ecdc_import VALUES (34841, '04/07/2020', '4', '7', '2020', '109', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.96376533');
INSERT INTO public.ecdc_import VALUES (34842, '03/07/2020', '3', '7', '2020', '100', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.70791892');
INSERT INTO public.ecdc_import VALUES (34843, '02/07/2020', '2', '7', '2020', '89', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.429825');
INSERT INTO public.ecdc_import VALUES (34844, '01/07/2020', '1', '7', '2020', '76', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.32600327');
INSERT INTO public.ecdc_import VALUES (34845, '30/06/2020', '30', '6', '2020', '60', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '3.14431524');
INSERT INTO public.ecdc_import VALUES (34846, '29/06/2020', '29', '6', '2020', '73', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.98858265');
INSERT INTO public.ecdc_import VALUES (34847, '28/06/2020', '28', '6', '2020', '83', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.79206295');
INSERT INTO public.ecdc_import VALUES (34848, '27/06/2020', '27', '6', '2020', '93', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.56587989');
INSERT INTO public.ecdc_import VALUES (34849, '26/06/2020', '26', '6', '2020', '42', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.32115724');
INSERT INTO public.ecdc_import VALUES (34850, '25/06/2020', '25', '6', '2020', '63', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.31744933');
INSERT INTO public.ecdc_import VALUES (34851, '24/06/2020', '24', '6', '2020', '84', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.17284049');
INSERT INTO public.ecdc_import VALUES (34852, '23/06/2020', '23', '6', '2020', '44', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.02452373');
INSERT INTO public.ecdc_import VALUES (34853, '22/06/2020', '22', '6', '2020', '93', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.01710789');
INSERT INTO public.ecdc_import VALUES (34854, '21/06/2020', '21', '6', '2020', '60', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.76867733');
INSERT INTO public.ecdc_import VALUES (34855, '20/06/2020', '20', '6', '2020', '40', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.73530605');
INSERT INTO public.ecdc_import VALUES (34856, '19/06/2020', '19', '6', '2020', '25', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.65373184');
INSERT INTO public.ecdc_import VALUES (34857, '18/06/2020', '18', '6', '2020', '61', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.74272189');
INSERT INTO public.ecdc_import VALUES (34858, '17/06/2020', '17', '6', '2020', '27', '2', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.75013773');
INSERT INTO public.ecdc_import VALUES (34859, '16/06/2020', '16', '6', '2020', '18', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.72047438');
INSERT INTO public.ecdc_import VALUES (34860, '15/06/2020', '15', '6', '2020', '20', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.85766738');
INSERT INTO public.ecdc_import VALUES (34861, '14/06/2020', '14', '6', '2020', '22', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.83171195');
INSERT INTO public.ecdc_import VALUES (34862, '13/06/2020', '13', '6', '2020', '27', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.97261287');
INSERT INTO public.ecdc_import VALUES (34863, '12/06/2020', '12', '6', '2020', '41', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.02823165');
INSERT INTO public.ecdc_import VALUES (34864, '11/06/2020', '11', '6', '2020', '24', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.03935541');
INSERT INTO public.ecdc_import VALUES (34865, '10/06/2020', '10', '6', '2020', '44', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.04677124');
INSERT INTO public.ecdc_import VALUES (34866, '09/06/2020', '9', '6', '2020', '42', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.04677124');
INSERT INTO public.ecdc_import VALUES (34867, '08/06/2020', '8', '6', '2020', '26', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.94665743');
INSERT INTO public.ecdc_import VALUES (34868, '07/06/2020', '7', '6', '2020', '51', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.14317714');
INSERT INTO public.ecdc_import VALUES (34869, '06/06/2020', '6', '6', '2020', '18', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.95407327');
INSERT INTO public.ecdc_import VALUES (34870, '05/06/2020', '5', '6', '2020', '49', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '2.04677124');
INSERT INTO public.ecdc_import VALUES (34871, '04/06/2020', '4', '6', '2020', '63', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.99115246');
INSERT INTO public.ecdc_import VALUES (34872, '03/06/2020', '3', '6', '2020', '19', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.92440992');
INSERT INTO public.ecdc_import VALUES (34873, '02/06/2020', '2', '6', '2020', '55', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.86879114');
INSERT INTO public.ecdc_import VALUES (34874, '01/06/2020', '1', '6', '2020', '13', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.73159814');
INSERT INTO public.ecdc_import VALUES (34875, '31/05/2020', '31', '5', '2020', '60', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.76126149');
INSERT INTO public.ecdc_import VALUES (34876, '30/05/2020', '30', '5', '2020', '42', '3', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.7056427');
INSERT INTO public.ecdc_import VALUES (34877, '29/05/2020', '29', '5', '2020', '44', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.57957346');
INSERT INTO public.ecdc_import VALUES (34878, '28/05/2020', '28', '5', '2020', '26', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.48316757');
INSERT INTO public.ecdc_import VALUES (34879, '27/05/2020', '27', '5', '2020', '44', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.46092005');
INSERT INTO public.ecdc_import VALUES (34880, '26/05/2020', '26', '5', '2020', '15', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.32001914');
INSERT INTO public.ecdc_import VALUES (34881, '25/05/2020', '25', '5', '2020', '79', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.32001914');
INSERT INTO public.ecdc_import VALUES (34882, '24/05/2020', '24', '5', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.03450938');
INSERT INTO public.ecdc_import VALUES (34883, '23/05/2020', '23', '5', '2020', '43', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '1.03450938');
INSERT INTO public.ecdc_import VALUES (34884, '22/05/2020', '22', '5', '2020', '34', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.87506887');
INSERT INTO public.ecdc_import VALUES (34885, '21/05/2020', '21', '5', '2020', '45', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.78978673');
INSERT INTO public.ecdc_import VALUES (34886, '20/05/2020', '20', '5', '2020', '4', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.62293038');
INSERT INTO public.ecdc_import VALUES (34887, '19/05/2020', '19', '5', '2020', '18', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.64146997');
INSERT INTO public.ecdc_import VALUES (34888, '18/05/2020', '18', '5', '2020', '21', '1', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.57472743');
INSERT INTO public.ecdc_import VALUES (34889, '17/05/2020', '17', '5', '2020', '45', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.548772');
INSERT INTO public.ecdc_import VALUES (34890, '16/05/2020', '16', '5', '2020', '8', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.38191565');
INSERT INTO public.ecdc_import VALUES (34891, '15/05/2020', '15', '5', '2020', '18', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.36337605');
INSERT INTO public.ecdc_import VALUES (34892, '14/05/2020', '14', '5', '2020', '20', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.31146519');
INSERT INTO public.ecdc_import VALUES (34893, '13/05/2020', '13', '5', '2020', '6', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.23730681');
INSERT INTO public.ecdc_import VALUES (34894, '12/05/2020', '12', '5', '2020', '15', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.2150593');
INSERT INTO public.ecdc_import VALUES (34895, '11/05/2020', '11', '5', '2020', '2', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.17427219');
INSERT INTO public.ecdc_import VALUES (34896, '10/05/2020', '10', '5', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.16685635');
INSERT INTO public.ecdc_import VALUES (34897, '09/05/2020', '9', '5', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.17427219');
INSERT INTO public.ecdc_import VALUES (34898, '08/05/2020', '8', '5', '2020', '11', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.17798011');
INSERT INTO public.ecdc_import VALUES (34899, '07/05/2020', '7', '5', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.137193');
INSERT INTO public.ecdc_import VALUES (34900, '06/05/2020', '6', '5', '2020', '9', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.137193');
INSERT INTO public.ecdc_import VALUES (34901, '05/05/2020', '5', '5', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.10382173');
INSERT INTO public.ecdc_import VALUES (34902, '04/05/2020', '4', '5', '2020', '14', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.10382173');
INSERT INTO public.ecdc_import VALUES (34903, '03/05/2020', '3', '5', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.06674254');
INSERT INTO public.ecdc_import VALUES (34904, '02/05/2020', '2', '5', '2020', '3', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.06674254');
INSERT INTO public.ecdc_import VALUES (34905, '01/05/2020', '1', '5', '2020', '4', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.0778663');
INSERT INTO public.ecdc_import VALUES (34906, '30/04/2020', '30', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.06674254');
INSERT INTO public.ecdc_import VALUES (34907, '29/04/2020', '29', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.07415838');
INSERT INTO public.ecdc_import VALUES (34908, '28/04/2020', '28', '4', '2020', '4', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.08157422');
INSERT INTO public.ecdc_import VALUES (34909, '27/04/2020', '27', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.06674254');
INSERT INTO public.ecdc_import VALUES (34910, '26/04/2020', '26', '4', '2020', '2', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.08157422');
INSERT INTO public.ecdc_import VALUES (34911, '25/04/2020', '25', '4', '2020', '1', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.07415838');
INSERT INTO public.ecdc_import VALUES (34912, '24/04/2020', '24', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.10382173');
INSERT INTO public.ecdc_import VALUES (34913, '23/04/2020', '23', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.10382173');
INSERT INTO public.ecdc_import VALUES (34914, '22/04/2020', '22', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.13348508');
INSERT INTO public.ecdc_import VALUES (34915, '21/04/2020', '21', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.16314843');
INSERT INTO public.ecdc_import VALUES (34916, '20/04/2020', '20', '4', '2020', '4', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.18168803');
INSERT INTO public.ecdc_import VALUES (34917, '19/04/2020', '19', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.17056427');
INSERT INTO public.ecdc_import VALUES (34918, '18/04/2020', '18', '4', '2020', '6', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.19281178');
INSERT INTO public.ecdc_import VALUES (34919, '17/04/2020', '17', '4', '2020', '1', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.19281178');
INSERT INTO public.ecdc_import VALUES (34920, '16/04/2020', '16', '4', '2020', '2', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.20764346');
INSERT INTO public.ecdc_import VALUES (34921, '15/04/2020', '15', '4', '2020', '2', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.22989097');
INSERT INTO public.ecdc_import VALUES (34922, '14/04/2020', '14', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.22989097');
INSERT INTO public.ecdc_import VALUES (34923, '13/04/2020', '13', '4', '2020', '4', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.25584641');
INSERT INTO public.ecdc_import VALUES (34924, '12/04/2020', '12', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.274386');
INSERT INTO public.ecdc_import VALUES (34925, '11/04/2020', '11', '4', '2020', '9', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.28921768');
INSERT INTO public.ecdc_import VALUES (34926, '10/04/2020', '10', '4', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.25955432');
INSERT INTO public.ecdc_import VALUES (34927, '09/04/2020', '9', '4', '2020', '8', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.274386');
INSERT INTO public.ecdc_import VALUES (34928, '08/04/2020', '8', '4', '2020', '8', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.24472265');
INSERT INTO public.ecdc_import VALUES (34929, '07/04/2020', '7', '4', '2020', '5', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.22247514');
INSERT INTO public.ecdc_import VALUES (34930, '06/04/2020', '6', '4', '2020', '1', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.25584641');
INSERT INTO public.ecdc_import VALUES (34931, '05/04/2020', '5', '4', '2020', '6', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.25213849');
INSERT INTO public.ecdc_import VALUES (34932, '04/04/2020', '4', '4', '2020', '6', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.22989097');
INSERT INTO public.ecdc_import VALUES (34933, '03/04/2020', '3', '4', '2020', '5', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '0.21876722');
INSERT INTO public.ecdc_import VALUES (34934, '02/04/2020', '2', '4', '2020', '8', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34935, '01/04/2020', '1', '4', '2020', '2', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34936, '31/03/2020', '31', '3', '2020', '7', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34937, '30/03/2020', '30', '3', '2020', '9', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34938, '29/03/2020', '29', '3', '2020', '4', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34939, '28/03/2020', '28', '3', '2020', '1', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34940, '27/03/2020', '27', '3', '2020', '4', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34941, '26/03/2020', '26', '3', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34942, '25/03/2020', '25', '3', '2020', '2', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34943, '24/03/2020', '24', '3', '2020', '14', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34944, '23/03/2020', '23', '3', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34945, '22/03/2020', '22', '3', '2020', '0', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34946, '21/03/2020', '21', '3', '2020', '3', '0', '26969306', 'Madagascar', 'MG', 'MDG', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (34947, '14/12/2020', '14', '12', '2020', '3', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.22008993');
INSERT INTO public.ecdc_import VALUES (34948, '13/12/2020', '13', '12', '2020', '8', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.20398579');
INSERT INTO public.ecdc_import VALUES (34949, '12/12/2020', '12', '12', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.16640946');
INSERT INTO public.ecdc_import VALUES (34950, '11/12/2020', '11', '12', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.17714555');
INSERT INTO public.ecdc_import VALUES (34951, '10/12/2020', '10', '12', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.17714555');
INSERT INTO public.ecdc_import VALUES (34952, '09/12/2020', '9', '12', '2020', '0', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.1825136');
INSERT INTO public.ecdc_import VALUES (34953, '08/12/2020', '8', '12', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.22545797');
INSERT INTO public.ecdc_import VALUES (34954, '07/12/2020', '7', '12', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.25766626');
INSERT INTO public.ecdc_import VALUES (34955, '06/12/2020', '6', '12', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.24693016');
INSERT INTO public.ecdc_import VALUES (34956, '05/12/2020', '5', '12', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.23619407');
INSERT INTO public.ecdc_import VALUES (34957, '04/12/2020', '4', '12', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.22008993');
INSERT INTO public.ecdc_import VALUES (34958, '03/12/2020', '3', '12', '2020', '12', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.22008993');
INSERT INTO public.ecdc_import VALUES (34959, '02/12/2020', '2', '12', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.17714555');
INSERT INTO public.ecdc_import VALUES (34960, '01/12/2020', '1', '12', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30597868');
INSERT INTO public.ecdc_import VALUES (34961, '30/11/2020', '30', '11', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32208282');
INSERT INTO public.ecdc_import VALUES (34962, '29/11/2020', '29', '11', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (34963, '28/11/2020', '28', '11', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.33281891');
INSERT INTO public.ecdc_import VALUES (34964, '27/11/2020', '27', '11', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.33281891');
INSERT INTO public.ecdc_import VALUES (34965, '26/11/2020', '26', '11', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.33818696');
INSERT INTO public.ecdc_import VALUES (34966, '25/11/2020', '25', '11', '2020', '8', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.34355501');
INSERT INTO public.ecdc_import VALUES (34967, '24/11/2020', '24', '11', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30061063');
INSERT INTO public.ecdc_import VALUES (34968, '23/11/2020', '23', '11', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.27913844');
INSERT INTO public.ecdc_import VALUES (34969, '22/11/2020', '22', '11', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.29524258');
INSERT INTO public.ecdc_import VALUES (34970, '21/11/2020', '21', '11', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (34971, '20/11/2020', '20', '11', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.33281891');
INSERT INTO public.ecdc_import VALUES (34972, '19/11/2020', '19', '11', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.34892305');
INSERT INTO public.ecdc_import VALUES (34973, '18/11/2020', '18', '11', '2020', '24', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (34974, '17/11/2020', '17', '11', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.20398579');
INSERT INTO public.ecdc_import VALUES (34975, '16/11/2020', '16', '11', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.17714555');
INSERT INTO public.ecdc_import VALUES (34976, '15/11/2020', '15', '11', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.1825136');
INSERT INTO public.ecdc_import VALUES (34977, '14/11/2020', '14', '11', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.20935383');
INSERT INTO public.ecdc_import VALUES (34978, '13/11/2020', '13', '11', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.22545797');
INSERT INTO public.ecdc_import VALUES (34979, '12/11/2020', '12', '11', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.2737704');
INSERT INTO public.ecdc_import VALUES (34980, '11/11/2020', '11', '11', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30061063');
INSERT INTO public.ecdc_import VALUES (34981, '10/11/2020', '10', '11', '2020', '2', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.31671477');
INSERT INTO public.ecdc_import VALUES (34982, '09/11/2020', '9', '11', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (34983, '08/11/2020', '8', '11', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (34984, '07/11/2020', '7', '11', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30597868');
INSERT INTO public.ecdc_import VALUES (34985, '06/11/2020', '6', '11', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.3542911');
INSERT INTO public.ecdc_import VALUES (34986, '05/11/2020', '5', '11', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.37576329');
INSERT INTO public.ecdc_import VALUES (34987, '04/11/2020', '4', '11', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.39186743');
INSERT INTO public.ecdc_import VALUES (34988, '03/11/2020', '3', '11', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.39186743');
INSERT INTO public.ecdc_import VALUES (34989, '02/11/2020', '2', '11', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.40260352');
INSERT INTO public.ecdc_import VALUES (34990, '01/11/2020', '1', '11', '2020', '7', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.41870767');
INSERT INTO public.ecdc_import VALUES (34991, '31/10/2020', '31', '10', '2020', '7', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.43481181');
INSERT INTO public.ecdc_import VALUES (34992, '30/10/2020', '30', '10', '2020', '12', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.42944376');
INSERT INTO public.ecdc_import VALUES (34993, '29/10/2020', '29', '10', '2020', '7', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.40260352');
INSERT INTO public.ecdc_import VALUES (34994, '28/10/2020', '28', '10', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.37576329');
INSERT INTO public.ecdc_import VALUES (34995, '27/10/2020', '27', '10', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.37576329');
INSERT INTO public.ecdc_import VALUES (34996, '26/10/2020', '26', '10', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.37039524');
INSERT INTO public.ecdc_import VALUES (34997, '25/10/2020', '25', '10', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.3542911');
INSERT INTO public.ecdc_import VALUES (34998, '24/10/2020', '24', '10', '2020', '11', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.38649938');
INSERT INTO public.ecdc_import VALUES (34999, '23/10/2020', '23', '10', '2020', '10', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.34892305');
INSERT INTO public.ecdc_import VALUES (35000, '22/10/2020', '22', '10', '2020', '3', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (35001, '21/10/2020', '21', '10', '2020', '1', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.34892305');
INSERT INTO public.ecdc_import VALUES (35002, '20/10/2020', '20', '10', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.3542911');
INSERT INTO public.ecdc_import VALUES (35003, '19/10/2020', '19', '10', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.38113134');
INSERT INTO public.ecdc_import VALUES (35004, '18/10/2020', '18', '10', '2020', '10', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.37039524');
INSERT INTO public.ecdc_import VALUES (35005, '17/10/2020', '17', '10', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.31671477');
INSERT INTO public.ecdc_import VALUES (35006, '16/10/2020', '16', '10', '2020', '7', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30597868');
INSERT INTO public.ecdc_import VALUES (35007, '15/10/2020', '15', '10', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30061063');
INSERT INTO public.ecdc_import VALUES (35008, '14/10/2020', '14', '10', '2020', '3', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.29524258');
INSERT INTO public.ecdc_import VALUES (35009, '13/10/2020', '13', '10', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.28987454');
INSERT INTO public.ecdc_import VALUES (35010, '12/10/2020', '12', '10', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.28450649');
INSERT INTO public.ecdc_import VALUES (35011, '11/10/2020', '11', '10', '2020', '8', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.31134673');
INSERT INTO public.ecdc_import VALUES (35012, '10/10/2020', '10', '10', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.27913844');
INSERT INTO public.ecdc_import VALUES (35013, '09/10/2020', '9', '10', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.33281891');
INSERT INTO public.ecdc_import VALUES (35014, '08/10/2020', '8', '10', '2020', '7', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.30597868');
INSERT INTO public.ecdc_import VALUES (35015, '07/10/2020', '7', '10', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.31671477');
INSERT INTO public.ecdc_import VALUES (35016, '06/10/2020', '6', '10', '2020', '8', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.32745087');
INSERT INTO public.ecdc_import VALUES (35017, '05/10/2020', '5', '10', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.29524258');
INSERT INTO public.ecdc_import VALUES (35018, '04/10/2020', '4', '10', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.35965915');
INSERT INTO public.ecdc_import VALUES (35019, '03/10/2020', '3', '10', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.35965915');
INSERT INTO public.ecdc_import VALUES (35020, '02/10/2020', '2', '10', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.3650272');
INSERT INTO public.ecdc_import VALUES (35021, '01/10/2020', '1', '10', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.38649938');
INSERT INTO public.ecdc_import VALUES (35022, '30/09/2020', '30', '9', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.38113134');
INSERT INTO public.ecdc_import VALUES (35023, '29/09/2020', '29', '9', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.39186743');
INSERT INTO public.ecdc_import VALUES (35024, '28/09/2020', '28', '9', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.41870767');
INSERT INTO public.ecdc_import VALUES (35025, '27/09/2020', '27', '9', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.45628399');
INSERT INTO public.ecdc_import VALUES (35026, '26/09/2020', '26', '9', '2020', '14', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.49386032');
INSERT INTO public.ecdc_import VALUES (35027, '25/09/2020', '25', '9', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.49386032');
INSERT INTO public.ecdc_import VALUES (35028, '24/09/2020', '24', '9', '2020', '9', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.49922837');
INSERT INTO public.ecdc_import VALUES (35029, '23/09/2020', '23', '9', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.57438103');
INSERT INTO public.ecdc_import VALUES (35030, '22/09/2020', '22', '9', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.60122126');
INSERT INTO public.ecdc_import VALUES (35031, '21/09/2020', '21', '9', '2020', '15', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.6280615');
INSERT INTO public.ecdc_import VALUES (35032, '20/09/2020', '20', '9', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.56364493');
INSERT INTO public.ecdc_import VALUES (35033, '19/09/2020', '19', '9', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.57974907');
INSERT INTO public.ecdc_import VALUES (35034, '18/09/2020', '18', '9', '2020', '10', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.63342954');
INSERT INTO public.ecdc_import VALUES (35035, '17/09/2020', '17', '9', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.65490173');
INSERT INTO public.ecdc_import VALUES (35036, '16/09/2020', '16', '9', '2020', '4', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.67100587');
INSERT INTO public.ecdc_import VALUES (35037, '15/09/2020', '15', '9', '2020', '7', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.70321416');
INSERT INTO public.ecdc_import VALUES (35038, '14/09/2020', '14', '9', '2020', '12', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.82667924');
INSERT INTO public.ecdc_import VALUES (35039, '13/09/2020', '13', '9', '2020', '9', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.80520705');
INSERT INTO public.ecdc_import VALUES (35040, '12/09/2020', '12', '9', '2020', '14', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.78373486');
INSERT INTO public.ecdc_import VALUES (35041, '11/09/2020', '11', '9', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.85351947');
INSERT INTO public.ecdc_import VALUES (35042, '10/09/2020', '10', '9', '2020', '23', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.96088041');
INSERT INTO public.ecdc_import VALUES (35043, '09/09/2020', '9', '9', '2020', '9', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.11118573');
INSERT INTO public.ecdc_import VALUES (35044, '08/09/2020', '8', '9', '2020', '7', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.08434549');
INSERT INTO public.ecdc_import VALUES (35045, '07/09/2020', '7', '9', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.56746972');
INSERT INTO public.ecdc_import VALUES (35046, '06/09/2020', '6', '9', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.55136558');
INSERT INTO public.ecdc_import VALUES (35047, '05/09/2020', '5', '9', '2020', '15', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.74998332');
INSERT INTO public.ecdc_import VALUES (35048, '04/09/2020', '4', '9', '2020', '14', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.89492059');
INSERT INTO public.ecdc_import VALUES (35049, '03/09/2020', '3', '9', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.81976793');
INSERT INTO public.ecdc_import VALUES (35050, '02/09/2020', '2', '9', '2020', '10', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.055962');
INSERT INTO public.ecdc_import VALUES (35051, '01/09/2020', '1', '9', '2020', '30', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.65181521');
INSERT INTO public.ecdc_import VALUES (35052, '31/08/2020', '31', '8', '2020', '8', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.4907738');
INSERT INTO public.ecdc_import VALUES (35053, '30/08/2020', '30', '8', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.69475959');
INSERT INTO public.ecdc_import VALUES (35054, '29/08/2020', '29', '8', '2020', '27', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.87190514');
INSERT INTO public.ecdc_import VALUES (35055, '28/08/2020', '28', '8', '2020', '22', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.13493944');
INSERT INTO public.ecdc_import VALUES (35056, '27/08/2020', '27', '8', '2020', '51', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.87572993');
INSERT INTO public.ecdc_import VALUES (35057, '26/08/2020', '26', '8', '2020', '4', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.81668141');
INSERT INTO public.ecdc_import VALUES (35058, '25/08/2020', '25', '8', '2020', '97', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.00456305');
INSERT INTO public.ecdc_import VALUES (35059, '24/08/2020', '24', '8', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.5643832');
INSERT INTO public.ecdc_import VALUES (35060, '23/08/2020', '23', '8', '2020', '40', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.7468968');
INSERT INTO public.ecdc_import VALUES (35061, '22/08/2020', '22', '8', '2020', '42', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.79520922');
INSERT INTO public.ecdc_import VALUES (35062, '21/08/2020', '21', '8', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.0206672');
INSERT INTO public.ecdc_import VALUES (35063, '20/08/2020', '20', '8', '2020', '47', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.36959025');
INSERT INTO public.ecdc_import VALUES (35064, '19/08/2020', '19', '8', '2020', '121', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.54136775');
INSERT INTO public.ecdc_import VALUES (35065, '18/08/2020', '18', '8', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.28906955');
INSERT INTO public.ecdc_import VALUES (35066, '17/08/2020', '17', '8', '2020', '46', '4', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.51452752');
INSERT INTO public.ecdc_import VALUES (35067, '16/08/2020', '16', '8', '2020', '38', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.50915947');
INSERT INTO public.ecdc_import VALUES (35068, '15/08/2020', '15', '8', '2020', '76', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.88492276');
INSERT INTO public.ecdc_import VALUES (35069, '14/08/2020', '14', '8', '2020', '160', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.99765175');
INSERT INTO public.ecdc_import VALUES (35070, '13/08/2020', '13', '8', '2020', '40', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.79903401');
INSERT INTO public.ecdc_import VALUES (35071, '12/08/2020', '12', '8', '2020', '39', '6', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.38415113');
INSERT INTO public.ecdc_import VALUES (35072, '11/08/2020', '11', '8', '2020', '15', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.1747973');
INSERT INTO public.ecdc_import VALUES (35073, '10/08/2020', '10', '8', '2020', '34', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.46467184');
INSERT INTO public.ecdc_import VALUES (35074, '09/08/2020', '9', '8', '2020', '49', '6', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.28598303');
INSERT INTO public.ecdc_import VALUES (35075, '08/08/2020', '8', '8', '2020', '84', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.02294872');
INSERT INTO public.ecdc_import VALUES (35076, '07/08/2020', '7', '8', '2020', '65', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.93169192');
INSERT INTO public.ecdc_import VALUES (35077, '06/08/2020', '6', '8', '2020', '79', '8', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.03368482');
INSERT INTO public.ecdc_import VALUES (35078, '05/08/2020', '5', '8', '2020', '74', '5', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.43092029');
INSERT INTO public.ecdc_import VALUES (35079, '04/08/2020', '4', '8', '2020', '42', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.5919617');
INSERT INTO public.ecdc_import VALUES (35080, '03/08/2020', '3', '8', '2020', '45', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.65101022');
INSERT INTO public.ecdc_import VALUES (35081, '02/08/2020', '2', '8', '2020', '108', '6', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.8657321');
INSERT INTO public.ecdc_import VALUES (35082, '01/08/2020', '1', '8', '2020', '97', '5', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.80668358');
INSERT INTO public.ecdc_import VALUES (35083, '31/07/2020', '31', '7', '2020', '123', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.81205163');
INSERT INTO public.ecdc_import VALUES (35084, '30/07/2020', '30', '7', '2020', '149', '4', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.67785046');
INSERT INTO public.ecdc_import VALUES (35085, '29/07/2020', '29', '7', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.50607295');
INSERT INTO public.ecdc_import VALUES (35086, '28/07/2020', '28', '7', '2020', '69', '4', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.8657321');
INSERT INTO public.ecdc_import VALUES (35087, '27/07/2020', '27', '7', '2020', '187', '12', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.84962796');
INSERT INTO public.ecdc_import VALUES (35088, '26/07/2020', '26', '7', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.39871201');
INSERT INTO public.ecdc_import VALUES (35089, '25/07/2020', '25', '7', '2020', '67', '8', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '7.42937703');
INSERT INTO public.ecdc_import VALUES (35090, '24/07/2020', '24', '7', '2020', '84', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '7.52600188');
INSERT INTO public.ecdc_import VALUES (35091, '23/07/2020', '23', '7', '2020', '153', '5', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '7.37032852');
INSERT INTO public.ecdc_import VALUES (35092, '22/07/2020', '22', '7', '2020', '104', '7', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.82815577');
INSERT INTO public.ecdc_import VALUES (35093, '21/07/2020', '21', '7', '2020', '53', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.58659366');
INSERT INTO public.ecdc_import VALUES (35094, '20/07/2020', '20', '7', '2020', '85', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.71005874');
INSERT INTO public.ecdc_import VALUES (35095, '19/07/2020', '19', '7', '2020', '97', '4', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.94625281');
INSERT INTO public.ecdc_import VALUES (35096, '18/07/2020', '18', '7', '2020', '98', '4', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '7.04287765');
INSERT INTO public.ecdc_import VALUES (35097, '17/07/2020', '17', '7', '2020', '98', '8', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '7.03214156');
INSERT INTO public.ecdc_import VALUES (35098, '16/07/2020', '16', '7', '2020', '117', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.82815577');
INSERT INTO public.ecdc_import VALUES (35099, '15/07/2020', '15', '7', '2020', '67', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.61343389');
INSERT INTO public.ecdc_import VALUES (35100, '14/07/2020', '14', '7', '2020', '66', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.47386467');
INSERT INTO public.ecdc_import VALUES (35101, '13/07/2020', '13', '7', '2020', '103', '5', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.53828123');
INSERT INTO public.ecdc_import VALUES (35102, '12/07/2020', '12', '7', '2020', '192', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '6.56512147');
INSERT INTO public.ecdc_import VALUES (35103, '11/07/2020', '11', '7', '2020', '85', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.711602');
INSERT INTO public.ecdc_import VALUES (35104, '10/07/2020', '10', '7', '2020', '55', '4', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.49688012');
INSERT INTO public.ecdc_import VALUES (35105, '09/07/2020', '9', '7', '2020', '52', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.30363043');
INSERT INTO public.ecdc_import VALUES (35106, '08/07/2020', '8', '7', '2020', '59', '5', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.52372035');
INSERT INTO public.ecdc_import VALUES (35107, '07/07/2020', '7', '7', '2020', '76', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.4485677');
INSERT INTO public.ecdc_import VALUES (35108, '06/07/2020', '6', '7', '2020', '129', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.43246355');
INSERT INTO public.ecdc_import VALUES (35109, '05/07/2020', '5', '7', '2020', '115', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '5.33047066');
INSERT INTO public.ecdc_import VALUES (35110, '04/07/2020', '4', '7', '2020', '96', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.71314526');
INSERT INTO public.ecdc_import VALUES (35111, '03/07/2020', '3', '7', '2020', '60', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.34811806');
INSERT INTO public.ecdc_import VALUES (35112, '02/07/2020', '2', '7', '2020', '77', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '4.13339618');
INSERT INTO public.ecdc_import VALUES (35113, '01/07/2020', '1', '7', '2020', '41', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.76300094');
INSERT INTO public.ecdc_import VALUES (35114, '30/06/2020', '30', '6', '2020', '78', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.58585539');
INSERT INTO public.ecdc_import VALUES (35115, '29/06/2020', '29', '6', '2020', '108', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '3.21546015');
INSERT INTO public.ecdc_import VALUES (35116, '28/06/2020', '28', '6', '2020', '33', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.73233592');
INSERT INTO public.ecdc_import VALUES (35117, '27/06/2020', '27', '6', '2020', '45', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.81285662');
INSERT INTO public.ecdc_import VALUES (35118, '26/06/2020', '26', '6', '2020', '19', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.57129451');
INSERT INTO public.ecdc_import VALUES (35119, '25/06/2020', '25', '6', '2020', '93', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.60887084');
INSERT INTO public.ecdc_import VALUES (35120, '24/06/2020', '24', '6', '2020', '45', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '2.10964247');
INSERT INTO public.ecdc_import VALUES (35121, '23/06/2020', '23', '6', '2020', '73', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.93249692');
INSERT INTO public.ecdc_import VALUES (35122, '22/06/2020', '22', '6', '2020', '110', '3', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.56746972');
INSERT INTO public.ecdc_import VALUES (35123, '21/06/2020', '21', '6', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.13265791');
INSERT INTO public.ecdc_import VALUES (35124, '20/06/2020', '20', '6', '2020', '28', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.13265791');
INSERT INTO public.ecdc_import VALUES (35125, '19/06/2020', '19', '6', '2020', '20', '2', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.06824135');
INSERT INTO public.ecdc_import VALUES (35126, '18/06/2020', '18', '6', '2020', '8', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.08971354');
INSERT INTO public.ecdc_import VALUES (35127, '17/06/2020', '17', '6', '2020', '8', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.10581768');
INSERT INTO public.ecdc_import VALUES (35128, '16/06/2020', '16', '6', '2020', '9', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.18097034');
INSERT INTO public.ecdc_import VALUES (35129, '15/06/2020', '15', '6', '2020', '18', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.41179636');
INSERT INTO public.ecdc_import VALUES (35130, '14/06/2020', '14', '6', '2020', '48', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.34201175');
INSERT INTO public.ecdc_import VALUES (35131, '13/06/2020', '13', '6', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.11655377');
INSERT INTO public.ecdc_import VALUES (35132, '12/06/2020', '12', '6', '2020', '26', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.49231706');
INSERT INTO public.ecdc_import VALUES (35133, '11/06/2020', '11', '6', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.90028863');
INSERT INTO public.ecdc_import VALUES (35134, '10/06/2020', '10', '6', '2020', '12', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.90028863');
INSERT INTO public.ecdc_import VALUES (35135, '09/06/2020', '9', '6', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.83587207');
INSERT INTO public.ecdc_import VALUES (35136, '08/06/2020', '8', '6', '2020', '29', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.90565668');
INSERT INTO public.ecdc_import VALUES (35137, '07/06/2020', '7', '6', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.74998332');
INSERT INTO public.ecdc_import VALUES (35138, '06/06/2020', '6', '6', '2020', '16', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.75535137');
INSERT INTO public.ecdc_import VALUES (35139, '05/06/2020', '5', '6', '2020', '24', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.72314308');
INSERT INTO public.ecdc_import VALUES (35140, '04/06/2020', '4', '6', '2020', '11', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.59430996');
INSERT INTO public.ecdc_import VALUES (35141, '03/06/2020', '3', '6', '2020', '22', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.54062949');
INSERT INTO public.ecdc_import VALUES (35142, '02/06/2020', '2', '6', '2020', '52', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.4279005');
INSERT INTO public.ecdc_import VALUES (35143, '01/06/2020', '1', '6', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.14876206');
INSERT INTO public.ecdc_import VALUES (35144, '31/05/2020', '31', '5', '2020', '6', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.14876206');
INSERT INTO public.ecdc_import VALUES (35145, '30/05/2020', '30', '5', '2020', '70', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '1.12728987');
INSERT INTO public.ecdc_import VALUES (35146, '29/05/2020', '29', '5', '2020', '102', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.75152658');
INSERT INTO public.ecdc_import VALUES (35147, '28/05/2020', '28', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.20398579');
INSERT INTO public.ecdc_import VALUES (35148, '27/05/2020', '27', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.23082602');
INSERT INTO public.ecdc_import VALUES (35149, '26/05/2020', '26', '5', '2020', '18', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.23619407');
INSERT INTO public.ecdc_import VALUES (35150, '25/05/2020', '25', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.14493727');
INSERT INTO public.ecdc_import VALUES (35151, '24/05/2020', '24', '5', '2020', '1', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.14493727');
INSERT INTO public.ecdc_import VALUES (35152, '23/05/2020', '23', '5', '2020', '10', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.20935383');
INSERT INTO public.ecdc_import VALUES (35153, '22/05/2020', '22', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.15567336');
INSERT INTO public.ecdc_import VALUES (35154, '21/05/2020', '21', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.15567336');
INSERT INTO public.ecdc_import VALUES (35155, '20/05/2020', '20', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.16104141');
INSERT INTO public.ecdc_import VALUES (35156, '19/05/2020', '19', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.15567336');
INSERT INTO public.ecdc_import VALUES (35157, '18/05/2020', '18', '5', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.16640946');
INSERT INTO public.ecdc_import VALUES (35158, '17/05/2020', '17', '5', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.14493727');
INSERT INTO public.ecdc_import VALUES (35159, '16/05/2020', '16', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.13956922');
INSERT INTO public.ecdc_import VALUES (35160, '15/05/2020', '15', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.13956922');
INSERT INTO public.ecdc_import VALUES (35161, '14/05/2020', '14', '5', '2020', '5', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.14493727');
INSERT INTO public.ecdc_import VALUES (35162, '13/05/2020', '13', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11809703');
INSERT INTO public.ecdc_import VALUES (35163, '12/05/2020', '12', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11272899');
INSERT INTO public.ecdc_import VALUES (35164, '11/05/2020', '11', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11809703');
INSERT INTO public.ecdc_import VALUES (35165, '10/05/2020', '10', '5', '2020', '13', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.12346508');
INSERT INTO public.ecdc_import VALUES (35166, '09/05/2020', '9', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.05368047');
INSERT INTO public.ecdc_import VALUES (35167, '08/05/2020', '8', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.05368047');
INSERT INTO public.ecdc_import VALUES (35168, '07/05/2020', '7', '5', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.10736094');
INSERT INTO public.ecdc_import VALUES (35169, '06/05/2020', '6', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.12346508');
INSERT INTO public.ecdc_import VALUES (35170, '05/05/2020', '5', '5', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.12883313');
INSERT INTO public.ecdc_import VALUES (35171, '04/05/2020', '4', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11809703');
INSERT INTO public.ecdc_import VALUES (35172, '03/05/2020', '3', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11272899');
INSERT INTO public.ecdc_import VALUES (35173, '02/05/2020', '2', '5', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.10736094');
INSERT INTO public.ecdc_import VALUES (35174, '01/05/2020', '1', '5', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11272899');
INSERT INTO public.ecdc_import VALUES (35175, '30/04/2020', '30', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.10736094');
INSERT INTO public.ecdc_import VALUES (35176, '29/04/2020', '29', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.10736094');
INSERT INTO public.ecdc_import VALUES (35177, '28/04/2020', '28', '4', '2020', '2', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.10736094');
INSERT INTO public.ecdc_import VALUES (35178, '27/04/2020', '27', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11272899');
INSERT INTO public.ecdc_import VALUES (35179, '26/04/2020', '26', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.11272899');
INSERT INTO public.ecdc_import VALUES (35180, '25/04/2020', '25', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.12883313');
INSERT INTO public.ecdc_import VALUES (35181, '24/04/2020', '24', '4', '2020', '10', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.13420117');
INSERT INTO public.ecdc_import VALUES (35182, '23/04/2020', '23', '4', '2020', '5', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.0805207');
INSERT INTO public.ecdc_import VALUES (35183, '22/04/2020', '22', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.05368047');
INSERT INTO public.ecdc_import VALUES (35184, '21/04/2020', '21', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.06441656');
INSERT INTO public.ecdc_import VALUES (35185, '20/04/2020', '20', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.06978461');
INSERT INTO public.ecdc_import VALUES (35186, '19/04/2020', '19', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.06978461');
INSERT INTO public.ecdc_import VALUES (35187, '18/04/2020', '18', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.07515266');
INSERT INTO public.ecdc_import VALUES (35188, '17/04/2020', '17', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.06978461');
INSERT INTO public.ecdc_import VALUES (35189, '16/04/2020', '16', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '0.08588875');
INSERT INTO public.ecdc_import VALUES (35190, '15/04/2020', '15', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35191, '14/04/2020', '14', '4', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35192, '13/04/2020', '13', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35193, '12/04/2020', '12', '4', '2020', '3', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35194, '11/04/2020', '11', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35195, '10/04/2020', '10', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35196, '09/04/2020', '9', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35197, '08/04/2020', '8', '4', '2020', '3', '1', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35198, '07/04/2020', '7', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35199, '06/04/2020', '6', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35200, '05/04/2020', '5', '4', '2020', '1', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35201, '04/04/2020', '4', '4', '2020', '0', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35202, '03/04/2020', '3', '4', '2020', '3', '0', '18628749', 'Malawi', 'MW', 'MWI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (35203, '14/12/2020', '14', '12', '2020', '1229', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '59.43701224');
INSERT INTO public.ecdc_import VALUES (35204, '13/12/2020', '13', '12', '2020', '1937', '9', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '59.68740513');
INSERT INTO public.ecdc_import VALUES (35205, '12/12/2020', '12', '12', '2020', '1810', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '57.74060042');
INSERT INTO public.ecdc_import VALUES (35206, '11/12/2020', '11', '12', '2020', '2234', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '55.54653272');
INSERT INTO public.ecdc_import VALUES (35207, '10/12/2020', '10', '12', '2020', '959', '5', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '51.48077817');
INSERT INTO public.ecdc_import VALUES (35208, '09/12/2020', '9', '12', '2020', '1012', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '51.51520719');
INSERT INTO public.ecdc_import VALUES (35209, '08/12/2020', '8', '12', '2020', '1600', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '55.19598267');
INSERT INTO public.ecdc_import VALUES (35210, '07/12/2020', '7', '12', '2020', '1335', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '56.08487743');
INSERT INTO public.ecdc_import VALUES (35211, '06/12/2020', '6', '12', '2020', '1123', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '55.33682867');
INSERT INTO public.ecdc_import VALUES (35212, '05/12/2020', '5', '12', '2020', '1141', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '55.08017596');
INSERT INTO public.ecdc_import VALUES (35213, '04/12/2020', '4', '12', '2020', '1075', '11', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '54.50740222');
INSERT INTO public.ecdc_import VALUES (35214, '03/12/2020', '3', '12', '2020', '851', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '55.18033312');
INSERT INTO public.ecdc_import VALUES (35215, '02/12/2020', '2', '12', '2020', '1472', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '54.58252009');
INSERT INTO public.ecdc_import VALUES (35216, '01/12/2020', '1', '12', '2020', '1212', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '53.76248338');
INSERT INTO public.ecdc_import VALUES (35217, '30/11/2020', '30', '11', '2020', '1309', '7', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '53.42132306');
INSERT INTO public.ecdc_import VALUES (35218, '29/11/2020', '29', '11', '2020', '1315', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '53.10520204');
INSERT INTO public.ecdc_import VALUES (35219, '28/11/2020', '28', '11', '2020', '1109', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '52.4760899');
INSERT INTO public.ecdc_import VALUES (35220, '27/11/2020', '27', '11', '2020', '935', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '53.08642257');
INSERT INTO public.ecdc_import VALUES (35221, '26/11/2020', '26', '11', '2020', '970', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '53.036344');
INSERT INTO public.ecdc_import VALUES (35222, '25/11/2020', '25', '11', '2020', '2188', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '52.57311715');
INSERT INTO public.ecdc_import VALUES (35223, '24/11/2020', '24', '11', '2020', '1884', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '48.44476438');
INSERT INTO public.ecdc_import VALUES (35224, '23/11/2020', '23', '11', '2020', '1096', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '45.59028543');
INSERT INTO public.ecdc_import VALUES (35303, '05/09/2020', '5', '9', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.39123889');
INSERT INTO public.ecdc_import VALUES (35225, '22/11/2020', '22', '11', '2020', '1041', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '44.82658712');
INSERT INTO public.ecdc_import VALUES (35226, '21/11/2020', '21', '11', '2020', '958', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '45.22408583');
INSERT INTO public.ecdc_import VALUES (35227, '20/11/2020', '20', '11', '2020', '1290', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '47.718625');
INSERT INTO public.ecdc_import VALUES (35228, '19/11/2020', '19', '11', '2020', '660', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '46.83911997');
INSERT INTO public.ecdc_import VALUES (35229, '18/11/2020', '18', '11', '2020', '1210', '5', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '48.00344691');
INSERT INTO public.ecdc_import VALUES (35230, '17/11/2020', '17', '11', '2020', '1103', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '47.51518077');
INSERT INTO public.ecdc_import VALUES (35231, '16/11/2020', '16', '11', '2020', '1208', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '46.67323468');
INSERT INTO public.ecdc_import VALUES (35232, '15/11/2020', '15', '11', '2020', '1114', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '45.88762699');
INSERT INTO public.ecdc_import VALUES (35233, '14/11/2020', '14', '11', '2020', '1304', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '44.43221832');
INSERT INTO public.ecdc_import VALUES (35234, '13/11/2020', '13', '11', '2020', '919', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '42.88291231');
INSERT INTO public.ecdc_import VALUES (35235, '12/11/2020', '12', '11', '2020', '822', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '42.13173364');
INSERT INTO public.ecdc_import VALUES (35236, '11/11/2020', '11', '11', '2020', '869', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '41.97210817');
INSERT INTO public.ecdc_import VALUES (35237, '10/11/2020', '10', '11', '2020', '972', '8', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '41.86569119');
INSERT INTO public.ecdc_import VALUES (35238, '09/11/2020', '9', '11', '2020', '852', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '42.70450738');
INSERT INTO public.ecdc_import VALUES (35239, '08/11/2020', '8', '11', '2020', '1168', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '42.61373995');
INSERT INTO public.ecdc_import VALUES (35240, '07/11/2020', '7', '11', '2020', '1755', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '42.80153462');
INSERT INTO public.ecdc_import VALUES (35241, '06/11/2020', '6', '11', '2020', '1009', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '39.5307775');
INSERT INTO public.ecdc_import VALUES (35242, '05/11/2020', '5', '11', '2020', '1032', '8', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '39.02373189');
INSERT INTO public.ecdc_import VALUES (35243, '04/11/2020', '4', '11', '2020', '1054', '12', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '38.08475856');
INSERT INTO public.ecdc_import VALUES (35244, '03/11/2020', '3', '11', '2020', '834', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '37.48381562');
INSERT INTO public.ecdc_import VALUES (35245, '02/11/2020', '2', '11', '2020', '957', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '37.58084287');
INSERT INTO public.ecdc_import VALUES (35246, '01/11/2020', '1', '11', '2020', '649', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '37.31167051');
INSERT INTO public.ecdc_import VALUES (35247, '31/10/2020', '31', '10', '2020', '809', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '38.00025096');
INSERT INTO public.ecdc_import VALUES (35248, '30/10/2020', '30', '10', '2020', '679', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '37.43686695');
INSERT INTO public.ecdc_import VALUES (35249, '29/10/2020', '29', '10', '2020', '771', '8', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '37.15517495');
INSERT INTO public.ecdc_import VALUES (35250, '28/10/2020', '28', '10', '2020', '835', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '36.80775482');
INSERT INTO public.ecdc_import VALUES (35251, '27/10/2020', '27', '10', '2020', '1240', '7', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '36.26002037');
INSERT INTO public.ecdc_import VALUES (35252, '26/10/2020', '26', '10', '2020', '823', '8', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '34.14107054');
INSERT INTO public.ecdc_import VALUES (35253, '25/10/2020', '25', '10', '2020', '1228', '7', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '33.32103383');
INSERT INTO public.ecdc_import VALUES (35254, '24/10/2020', '24', '10', '2020', '710', '10', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '30.64808973');
INSERT INTO public.ecdc_import VALUES (35255, '23/10/2020', '23', '10', '2020', '847', '5', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '29.53384137');
INSERT INTO public.ecdc_import VALUES (35256, '22/10/2020', '22', '10', '2020', '732', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '28.05652332');
INSERT INTO public.ecdc_import VALUES (35257, '21/10/2020', '21', '10', '2020', '862', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '27.29595491');
INSERT INTO public.ecdc_import VALUES (35258, '20/10/2020', '20', '10', '2020', '865', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '26.76074011');
INSERT INTO public.ecdc_import VALUES (35259, '19/10/2020', '19', '10', '2020', '871', '7', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '25.40548859');
INSERT INTO public.ecdc_import VALUES (35260, '18/10/2020', '18', '10', '2020', '869', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '23.59639996');
INSERT INTO public.ecdc_import VALUES (35261, '17/10/2020', '17', '10', '2020', '629', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '21.86868902');
INSERT INTO public.ecdc_import VALUES (35262, '16/10/2020', '16', '10', '2020', '589', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '20.79825942');
INSERT INTO public.ecdc_import VALUES (35263, '15/10/2020', '15', '10', '2020', '660', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '20.04708075');
INSERT INTO public.ecdc_import VALUES (35264, '14/10/2020', '14', '10', '2020', '660', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '17.98133941');
INSERT INTO public.ecdc_import VALUES (35265, '13/10/2020', '13', '10', '2020', '563', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '16.23171909');
INSERT INTO public.ecdc_import VALUES (35266, '12/10/2020', '12', '10', '2020', '561', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '14.82951891');
INSERT INTO public.ecdc_import VALUES (35267, '11/10/2020', '11', '10', '2020', '374', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '13.54312543');
INSERT INTO public.ecdc_import VALUES (35268, '10/10/2020', '10', '10', '2020', '354', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '12.97661152');
INSERT INTO public.ecdc_import VALUES (35269, '09/10/2020', '9', '10', '2020', '375', '5', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '11.86862298');
INSERT INTO public.ecdc_import VALUES (35270, '08/10/2020', '8', '10', '2020', '489', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '10.91713');
INSERT INTO public.ecdc_import VALUES (35271, '07/10/2020', '7', '10', '2020', '691', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '9.8467004');
INSERT INTO public.ecdc_import VALUES (35272, '06/10/2020', '6', '10', '2020', '432', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.94058452');
INSERT INTO public.ecdc_import VALUES (35273, '05/10/2020', '5', '10', '2020', '293', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.76686785');
INSERT INTO public.ecdc_import VALUES (35274, '04/10/2020', '4', '10', '2020', '317', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.01255927');
INSERT INTO public.ecdc_import VALUES (35275, '03/10/2020', '3', '10', '2020', '287', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '5.08297567');
INSERT INTO public.ecdc_import VALUES (35276, '02/10/2020', '2', '10', '2020', '349', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.48203273');
INSERT INTO public.ecdc_import VALUES (35277, '01/10/2020', '1', '10', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.45542188');
INSERT INTO public.ecdc_import VALUES (35278, '30/09/2020', '30', '9', '2020', '101', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.64947637');
INSERT INTO public.ecdc_import VALUES (35279, '29/09/2020', '29', '9', '2020', '115', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.4053433');
INSERT INTO public.ecdc_import VALUES (35280, '28/09/2020', '28', '9', '2020', '150', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.14243077');
INSERT INTO public.ecdc_import VALUES (35281, '27/09/2020', '27', '9', '2020', '193', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.82004992');
INSERT INTO public.ecdc_import VALUES (35282, '26/09/2020', '26', '9', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.39751192');
INSERT INTO public.ecdc_import VALUES (35283, '25/09/2020', '25', '9', '2020', '71', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.96715575');
INSERT INTO public.ecdc_import VALUES (35284, '24/09/2020', '24', '9', '2020', '147', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.88577806');
INSERT INTO public.ecdc_import VALUES (35285, '23/09/2020', '23', '9', '2020', '82', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.50079899');
INSERT INTO public.ecdc_import VALUES (35286, '22/09/2020', '22', '9', '2020', '57', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.55713739');
INSERT INTO public.ecdc_import VALUES (35287, '21/09/2020', '21', '9', '2020', '52', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.57278694');
INSERT INTO public.ecdc_import VALUES (35288, '20/09/2020', '20', '9', '2020', '20', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.42881103');
INSERT INTO public.ecdc_import VALUES (35289, '19/09/2020', '19', '9', '2020', '95', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.4194213');
INSERT INTO public.ecdc_import VALUES (35290, '18/09/2020', '18', '9', '2020', '21', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.12207974');
INSERT INTO public.ecdc_import VALUES (35291, '17/09/2020', '17', '9', '2020', '62', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.10017036');
INSERT INTO public.ecdc_import VALUES (35292, '16/09/2020', '16', '9', '2020', '23', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.92489534');
INSERT INTO public.ecdc_import VALUES (35293, '15/09/2020', '15', '9', '2020', '31', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.89672614');
INSERT INTO public.ecdc_import VALUES (35294, '14/09/2020', '14', '9', '2020', '47', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.81847836');
INSERT INTO public.ecdc_import VALUES (35295, '13/09/2020', '13', '9', '2020', '58', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.72458103');
INSERT INTO public.ecdc_import VALUES (35296, '12/09/2020', '12', '9', '2020', '182', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.57747521');
INSERT INTO public.ecdc_import VALUES (35297, '11/09/2020', '11', '9', '2020', '45', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.03913049');
INSERT INTO public.ecdc_import VALUES (35298, '10/09/2020', '10', '9', '2020', '24', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.91393405');
INSERT INTO public.ecdc_import VALUES (35299, '09/09/2020', '9', '9', '2020', '100', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.85759565');
INSERT INTO public.ecdc_import VALUES (35300, '08/09/2020', '8', '9', '2020', '62', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.57903356');
INSERT INTO public.ecdc_import VALUES (35301, '07/09/2020', '7', '9', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.40688845');
INSERT INTO public.ecdc_import VALUES (35302, '06/09/2020', '6', '9', '2020', '17', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.41940809');
INSERT INTO public.ecdc_import VALUES (35304, '04/09/2020', '4', '9', '2020', '14', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.41940809');
INSERT INTO public.ecdc_import VALUES (35305, '03/09/2020', '3', '9', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.39123889');
INSERT INTO public.ecdc_import VALUES (35306, '02/09/2020', '2', '9', '2020', '14', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.422538');
INSERT INTO public.ecdc_import VALUES (35307, '01/09/2020', '1', '9', '2020', '6', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.40062862');
INSERT INTO public.ecdc_import VALUES (35308, '31/08/2020', '31', '8', '2020', '17', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.41940809');
INSERT INTO public.ecdc_import VALUES (35309, '30/08/2020', '30', '8', '2020', '11', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.44444738');
INSERT INTO public.ecdc_import VALUES (35310, '29/08/2020', '29', '8', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.49139605');
INSERT INTO public.ecdc_import VALUES (35311, '28/08/2020', '28', '8', '2020', '5', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.52269516');
INSERT INTO public.ecdc_import VALUES (35312, '27/08/2020', '27', '8', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.55399427');
INSERT INTO public.ecdc_import VALUES (35313, '26/08/2020', '26', '8', '2020', '11', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.56964382');
INSERT INTO public.ecdc_import VALUES (35314, '25/08/2020', '25', '8', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.563384');
INSERT INTO public.ecdc_import VALUES (35315, '24/08/2020', '24', '8', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.57590365');
INSERT INTO public.ecdc_import VALUES (35316, '23/08/2020', '23', '8', '2020', '8', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.58529338');
INSERT INTO public.ecdc_import VALUES (35317, '22/08/2020', '22', '8', '2020', '9', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.58216347');
INSERT INTO public.ecdc_import VALUES (35318, '21/08/2020', '21', '8', '2020', '5', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.63224205');
INSERT INTO public.ecdc_import VALUES (35319, '20/08/2020', '20', '8', '2020', '16', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.66354116');
INSERT INTO public.ecdc_import VALUES (35320, '19/08/2020', '19', '8', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.67919071');
INSERT INTO public.ecdc_import VALUES (35321, '18/08/2020', '18', '8', '2020', '12', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.66041125');
INSERT INTO public.ecdc_import VALUES (35322, '17/08/2020', '17', '8', '2020', '25', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.62911214');
INSERT INTO public.ecdc_import VALUES (35323, '16/08/2020', '16', '8', '2020', '26', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.59468311');
INSERT INTO public.ecdc_import VALUES (35324, '15/08/2020', '15', '8', '2020', '20', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.54147462');
INSERT INTO public.ecdc_import VALUES (35325, '14/08/2020', '14', '8', '2020', '15', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.51643534');
INSERT INTO public.ecdc_import VALUES (35326, '13/08/2020', '13', '8', '2020', '11', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.49452596');
INSERT INTO public.ecdc_import VALUES (35327, '12/08/2020', '12', '8', '2020', '9', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.50078578');
INSERT INTO public.ecdc_import VALUES (35328, '11/08/2020', '11', '8', '2020', '11', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.59468311');
INSERT INTO public.ecdc_import VALUES (35329, '10/08/2020', '10', '8', '2020', '13', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.58216347');
INSERT INTO public.ecdc_import VALUES (35330, '09/08/2020', '9', '8', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.58216347');
INSERT INTO public.ecdc_import VALUES (35331, '08/08/2020', '8', '8', '2020', '25', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.63224205');
INSERT INTO public.ecdc_import VALUES (35332, '07/08/2020', '7', '8', '2020', '15', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.6197224');
INSERT INTO public.ecdc_import VALUES (35333, '06/08/2020', '6', '8', '2020', '21', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.60094294');
INSERT INTO public.ecdc_import VALUES (35334, '05/08/2020', '5', '8', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.58529338');
INSERT INTO public.ecdc_import VALUES (35335, '04/08/2020', '4', '8', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.62911214');
INSERT INTO public.ecdc_import VALUES (35336, '03/08/2020', '3', '8', '2020', '14', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.68858045');
INSERT INTO public.ecdc_import VALUES (35337, '02/08/2020', '2', '8', '2020', '9', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.69171036');
INSERT INTO public.ecdc_import VALUES (35338, '01/08/2020', '1', '8', '2020', '12', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.69171036');
INSERT INTO public.ecdc_import VALUES (35339, '31/07/2020', '31', '7', '2020', '8', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.71048983');
INSERT INTO public.ecdc_import VALUES (35340, '30/07/2020', '30', '7', '2020', '13', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.69484027');
INSERT INTO public.ecdc_import VALUES (35341, '29/07/2020', '29', '7', '2020', '39', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.66980098');
INSERT INTO public.ecdc_import VALUES (35342, '28/07/2020', '28', '7', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.56025409');
INSERT INTO public.ecdc_import VALUES (35343, '27/07/2020', '27', '7', '2020', '13', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.56025409');
INSERT INTO public.ecdc_import VALUES (35344, '26/07/2020', '26', '7', '2020', '23', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.563384');
INSERT INTO public.ecdc_import VALUES (35345, '25/07/2020', '25', '7', '2020', '21', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.51643534');
INSERT INTO public.ecdc_import VALUES (35346, '24/07/2020', '24', '7', '2020', '9', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.49139605');
INSERT INTO public.ecdc_import VALUES (35347, '23/07/2020', '23', '7', '2020', '16', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.48200631');
INSERT INTO public.ecdc_import VALUES (35348, '22/07/2020', '22', '7', '2020', '15', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.44131747');
INSERT INTO public.ecdc_import VALUES (35349, '21/07/2020', '21', '7', '2020', '21', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.41314827');
INSERT INTO public.ecdc_import VALUES (35350, '20/07/2020', '20', '7', '2020', '15', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.37871925');
INSERT INTO public.ecdc_import VALUES (35351, '19/07/2020', '19', '7', '2020', '9', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.33177058');
INSERT INTO public.ecdc_import VALUES (35352, '18/07/2020', '18', '7', '2020', '18', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.33490049');
INSERT INTO public.ecdc_import VALUES (35353, '17/07/2020', '17', '7', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.29421165');
INSERT INTO public.ecdc_import VALUES (35354, '16/07/2020', '16', '7', '2020', '5', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.29421165');
INSERT INTO public.ecdc_import VALUES (35355, '15/07/2020', '15', '7', '2020', '4', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.281692');
INSERT INTO public.ecdc_import VALUES (35356, '14/07/2020', '14', '7', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.27543218');
INSERT INTO public.ecdc_import VALUES (35357, '13/07/2020', '13', '7', '2020', '14', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.26291253');
INSERT INTO public.ecdc_import VALUES (35358, '12/07/2020', '12', '7', '2020', '8', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.27543218');
INSERT INTO public.ecdc_import VALUES (35359, '11/07/2020', '11', '7', '2020', '13', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.281692');
INSERT INTO public.ecdc_import VALUES (35360, '10/07/2020', '10', '7', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.25978262');
INSERT INTO public.ecdc_import VALUES (35361, '09/07/2020', '9', '7', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.2535228');
INSERT INTO public.ecdc_import VALUES (35362, '08/07/2020', '8', '7', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.26291253');
INSERT INTO public.ecdc_import VALUES (35363, '07/07/2020', '7', '7', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.2535228');
INSERT INTO public.ecdc_import VALUES (35364, '06/07/2020', '6', '7', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.26917236');
INSERT INTO public.ecdc_import VALUES (35365, '05/07/2020', '5', '7', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.31925093');
INSERT INTO public.ecdc_import VALUES (35366, '04/07/2020', '4', '7', '2020', '5', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.35367996');
INSERT INTO public.ecdc_import VALUES (35367, '03/07/2020', '3', '7', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.35680987');
INSERT INTO public.ecdc_import VALUES (35368, '02/07/2020', '2', '7', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.39123889');
INSERT INTO public.ecdc_import VALUES (35369, '01/07/2020', '1', '7', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.41940809');
INSERT INTO public.ecdc_import VALUES (35370, '30/06/2020', '30', '6', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.44757729');
INSERT INTO public.ecdc_import VALUES (35371, '29/06/2020', '29', '6', '2020', '18', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.56651391');
INSERT INTO public.ecdc_import VALUES (35372, '28/06/2020', '28', '6', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.5352148');
INSERT INTO public.ecdc_import VALUES (35373, '27/06/2020', '27', '6', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.63850187');
INSERT INTO public.ecdc_import VALUES (35374, '26/06/2020', '26', '6', '2020', '4', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.72300947');
INSERT INTO public.ecdc_import VALUES (35375, '25/06/2020', '25', '6', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.80751707');
INSERT INTO public.ecdc_import VALUES (35376, '24/06/2020', '24', '6', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.79499743');
INSERT INTO public.ecdc_import VALUES (35377, '23/06/2020', '23', '6', '2020', '15', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.80751707');
INSERT INTO public.ecdc_import VALUES (35378, '22/06/2020', '22', '6', '2020', '16', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.78247778');
INSERT INTO public.ecdc_import VALUES (35379, '21/06/2020', '21', '6', '2020', '21', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.79186751');
INSERT INTO public.ecdc_import VALUES (35380, '20/06/2020', '20', '6', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.84194609');
INSERT INTO public.ecdc_import VALUES (35381, '19/06/2020', '19', '6', '2020', '14', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.74962032');
INSERT INTO public.ecdc_import VALUES (35382, '18/06/2020', '18', '6', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.70580156');
INSERT INTO public.ecdc_import VALUES (35383, '17/06/2020', '17', '6', '2020', '11', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.96558419');
INSERT INTO public.ecdc_import VALUES (35384, '16/06/2020', '16', '6', '2020', '41', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.99375339');
INSERT INTO public.ecdc_import VALUES (35385, '15/06/2020', '15', '6', '2020', '8', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.98436365');
INSERT INTO public.ecdc_import VALUES (35386, '14/06/2020', '14', '6', '2020', '43', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.1377293');
INSERT INTO public.ecdc_import VALUES (35387, '13/06/2020', '13', '6', '2020', '33', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.09704045');
INSERT INTO public.ecdc_import VALUES (35388, '12/06/2020', '12', '6', '2020', '31', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.31613423');
INSERT INTO public.ecdc_import VALUES (35389, '11/06/2020', '11', '6', '2020', '2', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.2504061');
INSERT INTO public.ecdc_import VALUES (35390, '10/06/2020', '10', '6', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.29109494');
INSERT INTO public.ecdc_import VALUES (35391, '09/06/2020', '9', '6', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.85447895');
INSERT INTO public.ecdc_import VALUES (35392, '08/06/2020', '8', '6', '2020', '19', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.37091428');
INSERT INTO public.ecdc_import VALUES (35393, '07/06/2020', '7', '6', '2020', '37', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.49924064');
INSERT INTO public.ecdc_import VALUES (35394, '06/06/2020', '6', '6', '2020', '296', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.53366966');
INSERT INTO public.ecdc_import VALUES (35395, '05/06/2020', '5', '6', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.85134903');
INSERT INTO public.ecdc_import VALUES (35396, '04/06/2020', '4', '6', '2020', '93', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.00784459');
INSERT INTO public.ecdc_import VALUES (35397, '03/06/2020', '3', '6', '2020', '20', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.8137901');
INSERT INTO public.ecdc_import VALUES (35398, '02/06/2020', '2', '6', '2020', '38', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.86699859');
INSERT INTO public.ecdc_import VALUES (35399, '01/06/2020', '1', '6', '2020', '57', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.89516779');
INSERT INTO public.ecdc_import VALUES (35400, '31/05/2020', '31', '5', '2020', '30', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.7856209');
INSERT INTO public.ecdc_import VALUES (35401, '30/05/2020', '30', '5', '2020', '103', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.74493206');
INSERT INTO public.ecdc_import VALUES (35402, '29/05/2020', '29', '5', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.53522801');
INSERT INTO public.ecdc_import VALUES (35403, '28/05/2020', '28', '5', '2020', '15', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.62912534');
INSERT INTO public.ecdc_import VALUES (35404, '27/05/2020', '27', '5', '2020', '187', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.69798339');
INSERT INTO public.ecdc_import VALUES (35405, '26/05/2020', '26', '5', '2020', '172', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.16276859');
INSERT INTO public.ecdc_import VALUES (35406, '25/05/2020', '25', '5', '2020', '60', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.84351765');
INSERT INTO public.ecdc_import VALUES (35407, '24/05/2020', '24', '5', '2020', '48', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.86542703');
INSERT INTO public.ecdc_import VALUES (35408, '23/05/2020', '23', '5', '2020', '78', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.8842065');
INSERT INTO public.ecdc_import VALUES (35409, '22/05/2020', '22', '5', '2020', '50', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.85290739');
INSERT INTO public.ecdc_import VALUES (35410, '21/05/2020', '21', '5', '2020', '31', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.81847836');
INSERT INTO public.ecdc_import VALUES (35411, '20/05/2020', '20', '5', '2020', '37', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.86229712');
INSERT INTO public.ecdc_import VALUES (35412, '19/05/2020', '19', '5', '2020', '47', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.84038774');
INSERT INTO public.ecdc_import VALUES (35413, '18/05/2020', '18', '5', '2020', '22', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.86542703');
INSERT INTO public.ecdc_import VALUES (35414, '17/05/2020', '17', '5', '2020', '17', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.17841814');
INSERT INTO public.ecdc_import VALUES (35415, '16/05/2020', '16', '5', '2020', '36', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.45385032');
INSERT INTO public.ecdc_import VALUES (35416, '15/05/2020', '15', '5', '2020', '40', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.55713739');
INSERT INTO public.ecdc_import VALUES (35417, '14/05/2020', '14', '5', '2020', '37', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.61034588');
INSERT INTO public.ecdc_import VALUES (35418, '13/05/2020', '13', '5', '2020', '16', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.78875081');
INSERT INTO public.ecdc_import VALUES (35419, '12/05/2020', '12', '5', '2020', '70', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.83569948');
INSERT INTO public.ecdc_import VALUES (35420, '11/05/2020', '11', '5', '2020', '67', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.74180214');
INSERT INTO public.ecdc_import VALUES (35421, '10/05/2020', '10', '5', '2020', '54', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.65103472');
INSERT INTO public.ecdc_import VALUES (35422, '09/05/2020', '9', '5', '2020', '68', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.64164499');
INSERT INTO public.ecdc_import VALUES (35423, '08/05/2020', '8', '5', '2020', '39', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.70424321');
INSERT INTO public.ecdc_import VALUES (35424, '07/05/2020', '7', '5', '2020', '45', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.80440037');
INSERT INTO public.ecdc_import VALUES (35425, '06/05/2020', '6', '5', '2020', '30', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.82004992');
INSERT INTO public.ecdc_import VALUES (35426, '05/05/2020', '5', '5', '2020', '55', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.90455752');
INSERT INTO public.ecdc_import VALUES (35427, '04/05/2020', '4', '5', '2020', '122', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.84508921');
INSERT INTO public.ecdc_import VALUES (35428, '03/05/2020', '3', '5', '2020', '105', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.72615259');
INSERT INTO public.ecdc_import VALUES (35429, '02/05/2020', '2', '5', '2020', '69', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.56652712');
INSERT INTO public.ecdc_import VALUES (35430, '01/05/2020', '1', '5', '2020', '57', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.56652712');
INSERT INTO public.ecdc_import VALUES (35431, '30/04/2020', '30', '4', '2020', '94', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.73241241');
INSERT INTO public.ecdc_import VALUES (35432, '29/04/2020', '29', '4', '2020', '31', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.70424321');
INSERT INTO public.ecdc_import VALUES (35433, '28/04/2020', '28', '4', '2020', '40', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.13930086');
INSERT INTO public.ecdc_import VALUES (35434, '27/04/2020', '27', '4', '2020', '38', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.4335125');
INSERT INTO public.ecdc_import VALUES (35435, '26/04/2020', '26', '4', '2020', '51', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.79345228');
INSERT INTO public.ecdc_import VALUES (35436, '25/04/2020', '25', '4', '2020', '88', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.20973046');
INSERT INTO public.ecdc_import VALUES (35437, '24/04/2020', '24', '4', '2020', '71', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.3036278');
INSERT INTO public.ecdc_import VALUES (35438, '23/04/2020', '23', '4', '2020', '50', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.42256442');
INSERT INTO public.ecdc_import VALUES (35439, '22/04/2020', '22', '4', '2020', '57', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.754335');
INSERT INTO public.ecdc_import VALUES (35440, '21/04/2020', '21', '4', '2020', '36', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '5.10801495');
INSERT INTO public.ecdc_import VALUES (35441, '20/04/2020', '20', '4', '2020', '84', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '5.40535651');
INSERT INTO public.ecdc_import VALUES (35442, '19/04/2020', '19', '4', '2020', '54', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '5.70269807');
INSERT INTO public.ecdc_import VALUES (35443, '18/04/2020', '18', '4', '2020', '69', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.00316954');
INSERT INTO public.ecdc_import VALUES (35444, '17/04/2020', '17', '4', '2020', '110', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.46639638');
INSERT INTO public.ecdc_import VALUES (35445, '16/04/2020', '16', '4', '2020', '85', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.77312767');
INSERT INTO public.ecdc_import VALUES (35446, '15/04/2020', '15', '4', '2020', '170', '5', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.95153261');
INSERT INTO public.ecdc_import VALUES (35447, '14/04/2020', '14', '4', '2020', '134', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.85763527');
INSERT INTO public.ecdc_import VALUES (35448, '13/04/2020', '13', '4', '2020', '153', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.92649332');
INSERT INTO public.ecdc_import VALUES (35449, '12/04/2020', '12', '4', '2020', '184', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.91710358');
INSERT INTO public.ecdc_import VALUES (35450, '11/04/2020', '11', '4', '2020', '118', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.83885581');
INSERT INTO public.ecdc_import VALUES (35451, '10/04/2020', '10', '4', '2020', '109', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.87641474');
INSERT INTO public.ecdc_import VALUES (35452, '09/04/2020', '9', '4', '2020', '156', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.27078354');
INSERT INTO public.ecdc_import VALUES (35453, '08/04/2020', '8', '4', '2020', '170', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.32086212');
INSERT INTO public.ecdc_import VALUES (35454, '07/04/2020', '7', '4', '2020', '131', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.12054781');
INSERT INTO public.ecdc_import VALUES (35455, '06/04/2020', '6', '4', '2020', '179', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.37407061');
INSERT INTO public.ecdc_import VALUES (35456, '05/04/2020', '5', '4', '2020', '150', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.19879559');
INSERT INTO public.ecdc_import VALUES (35457, '04/04/2020', '4', '4', '2020', '217', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '7.20818532');
INSERT INTO public.ecdc_import VALUES (35458, '03/04/2020', '3', '4', '2020', '208', '5', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.93588305');
INSERT INTO public.ecdc_import VALUES (35459, '02/04/2020', '2', '4', '2020', '142', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.62915176');
INSERT INTO public.ecdc_import VALUES (35460, '01/04/2020', '1', '4', '2020', '140', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.55090398');
INSERT INTO public.ecdc_import VALUES (35461, '31/03/2020', '31', '3', '2020', '156', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.48830576');
INSERT INTO public.ecdc_import VALUES (35462, '30/03/2020', '30', '3', '2020', '150', '7', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.39127852');
INSERT INTO public.ecdc_import VALUES (35463, '29/03/2020', '29', '3', '2020', '159', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.51647496');
INSERT INTO public.ecdc_import VALUES (35464, '28/03/2020', '28', '3', '2020', '130', '3', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '6.14714545');
INSERT INTO public.ecdc_import VALUES (35465, '27/03/2020', '27', '3', '2020', '235', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '5.86232354');
INSERT INTO public.ecdc_import VALUES (35466, '26/03/2020', '26', '3', '2020', '172', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '5.15496362');
INSERT INTO public.ecdc_import VALUES (35467, '25/03/2020', '25', '3', '2020', '106', '1', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.67921713');
INSERT INTO public.ecdc_import VALUES (35468, '24/03/2020', '24', '3', '2020', '212', '4', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '4.38500548');
INSERT INTO public.ecdc_import VALUES (35469, '23/03/2020', '23', '3', '2020', '123', '6', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.77780273');
INSERT INTO public.ecdc_import VALUES (35470, '22/03/2020', '22', '3', '2020', '153', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '3.41160313');
INSERT INTO public.ecdc_import VALUES (35471, '21/03/2020', '21', '3', '2020', '130', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.96402583');
INSERT INTO public.ecdc_import VALUES (35472, '20/03/2020', '20', '3', '2020', '110', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.66042446');
INSERT INTO public.ecdc_import VALUES (35473, '19/03/2020', '19', '3', '2020', '117', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '2.31613423');
INSERT INTO public.ecdc_import VALUES (35474, '18/03/2020', '18', '3', '2020', '120', '2', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.99375339');
INSERT INTO public.ecdc_import VALUES (35475, '17/03/2020', '17', '3', '2020', '125', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.64007343');
INSERT INTO public.ecdc_import VALUES (35476, '16/03/2020', '16', '3', '2020', '190', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '1.26135418');
INSERT INTO public.ecdc_import VALUES (35477, '15/03/2020', '15', '3', '2020', '41', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.66667107');
INSERT INTO public.ecdc_import VALUES (35478, '14/03/2020', '14', '3', '2020', '39', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.54460454');
INSERT INTO public.ecdc_import VALUES (35479, '13/03/2020', '13', '3', '2020', '9', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.42566791');
INSERT INTO public.ecdc_import VALUES (35480, '12/03/2020', '12', '3', '2020', '20', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.39749871');
INSERT INTO public.ecdc_import VALUES (35481, '11/03/2020', '11', '3', '2020', '12', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.33490049');
INSERT INTO public.ecdc_import VALUES (35482, '10/03/2020', '10', '3', '2020', '18', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.29734156');
INSERT INTO public.ecdc_import VALUES (35483, '09/03/2020', '9', '3', '2020', '6', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.24100316');
INSERT INTO public.ecdc_import VALUES (35484, '08/03/2020', '8', '3', '2020', '10', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.22222369');
INSERT INTO public.ecdc_import VALUES (35485, '07/03/2020', '7', '3', '2020', '33', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.19092458');
INSERT INTO public.ecdc_import VALUES (35486, '06/03/2020', '6', '3', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.08763751');
INSERT INTO public.ecdc_import VALUES (35487, '05/03/2020', '5', '3', '2020', '14', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.08763751');
INSERT INTO public.ecdc_import VALUES (35488, '04/03/2020', '4', '3', '2020', '7', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35489, '02/03/2020', '2', '3', '2020', '4', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02190938');
INSERT INTO public.ecdc_import VALUES (35490, '01/03/2020', '1', '3', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.00938973');
INSERT INTO public.ecdc_import VALUES (35491, '29/02/2020', '29', '2', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35492, '28/02/2020', '28', '2', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35493, '27/02/2020', '27', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35494, '26/02/2020', '26', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35495, '25/02/2020', '25', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35496, '24/02/2020', '24', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35497, '23/02/2020', '23', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01877947');
INSERT INTO public.ecdc_import VALUES (35498, '22/02/2020', '22', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02190938');
INSERT INTO public.ecdc_import VALUES (35499, '21/02/2020', '21', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02503929');
INSERT INTO public.ecdc_import VALUES (35500, '20/02/2020', '20', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03129911');
INSERT INTO public.ecdc_import VALUES (35501, '19/02/2020', '19', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03755893');
INSERT INTO public.ecdc_import VALUES (35502, '18/02/2020', '18', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35503, '17/02/2020', '17', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35504, '16/02/2020', '16', '2', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35505, '15/02/2020', '15', '2', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04068884');
INSERT INTO public.ecdc_import VALUES (35506, '14/02/2020', '14', '2', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03442902');
INSERT INTO public.ecdc_import VALUES (35507, '13/02/2020', '13', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03442902');
INSERT INTO public.ecdc_import VALUES (35508, '12/02/2020', '12', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03442902');
INSERT INTO public.ecdc_import VALUES (35509, '11/02/2020', '11', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35510, '10/02/2020', '10', '2', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35511, '09/02/2020', '9', '2', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03755893');
INSERT INTO public.ecdc_import VALUES (35512, '08/02/2020', '8', '2', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03755893');
INSERT INTO public.ecdc_import VALUES (35513, '07/02/2020', '7', '2', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.04381876');
INSERT INTO public.ecdc_import VALUES (35514, '06/02/2020', '6', '2', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03755893');
INSERT INTO public.ecdc_import VALUES (35515, '05/02/2020', '5', '2', '2020', '2', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.03129911');
INSERT INTO public.ecdc_import VALUES (35516, '04/02/2020', '4', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02503929');
INSERT INTO public.ecdc_import VALUES (35517, '03/02/2020', '3', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02503929');
INSERT INTO public.ecdc_import VALUES (35518, '02/02/2020', '2', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02503929');
INSERT INTO public.ecdc_import VALUES (35519, '01/02/2020', '1', '2', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02503929');
INSERT INTO public.ecdc_import VALUES (35520, '31/01/2020', '31', '1', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02503929');
INSERT INTO public.ecdc_import VALUES (35521, '30/01/2020', '30', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02190938');
INSERT INTO public.ecdc_import VALUES (35522, '29/01/2020', '29', '1', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.02190938');
INSERT INTO public.ecdc_import VALUES (35523, '28/01/2020', '28', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35524, '27/01/2020', '27', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35525, '26/01/2020', '26', '1', '2020', '1', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.01251964');
INSERT INTO public.ecdc_import VALUES (35526, '25/01/2020', '25', '1', '2020', '3', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0.00938973');
INSERT INTO public.ecdc_import VALUES (35527, '24/01/2020', '24', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35528, '23/01/2020', '23', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35529, '22/01/2020', '22', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35530, '21/01/2020', '21', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35531, '20/01/2020', '20', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35532, '19/01/2020', '19', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35533, '18/01/2020', '18', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35534, '17/01/2020', '17', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35535, '16/01/2020', '16', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35536, '15/01/2020', '15', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35537, '14/01/2020', '14', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35538, '13/01/2020', '13', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (35539, '12/01/2020', '12', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35540, '11/01/2020', '11', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35541, '10/01/2020', '10', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35542, '09/01/2020', '9', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35543, '08/01/2020', '8', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35544, '07/01/2020', '7', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35545, '06/01/2020', '6', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35546, '05/01/2020', '5', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35547, '04/01/2020', '4', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35548, '03/01/2020', '3', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35549, '02/01/2020', '2', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35550, '01/01/2020', '1', '1', '2020', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35551, '31/12/2019', '31', '12', '2019', '0', '0', '31949789', 'Malaysia', 'MY', 'MYS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35552, '14/12/2020', '14', '12', '2020', '20', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '70.4388491');
INSERT INTO public.ecdc_import VALUES (35553, '13/12/2020', '13', '12', '2020', '22', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '75.52400665');
INSERT INTO public.ecdc_import VALUES (35554, '12/12/2020', '12', '12', '2020', '18', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '74.0172933');
INSERT INTO public.ecdc_import VALUES (35555, '11/12/2020', '11', '12', '2020', '34', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '78.91411169');
INSERT INTO public.ecdc_import VALUES (35556, '10/12/2020', '10', '12', '2020', '26', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '79.10245086');
INSERT INTO public.ecdc_import VALUES (35557, '09/12/2020', '9', '12', '2020', '35', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '82.49255589');
INSERT INTO public.ecdc_import VALUES (35558, '08/12/2020', '8', '12', '2020', '15', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '85.69432176');
INSERT INTO public.ecdc_import VALUES (35559, '07/12/2020', '7', '12', '2020', '39', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '111.12010954');
INSERT INTO public.ecdc_import VALUES (35560, '06/12/2020', '6', '12', '2020', '16', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '109.42505702');
INSERT INTO public.ecdc_import VALUES (35561, '05/12/2020', '5', '12', '2020', '37', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '112.43848372');
INSERT INTO public.ecdc_import VALUES (35562, '04/12/2020', '4', '12', '2020', '36', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '123.17381634');
INSERT INTO public.ecdc_import VALUES (35563, '03/12/2020', '3', '12', '2020', '21', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '129.20066973');
INSERT INTO public.ecdc_import VALUES (35564, '02/12/2020', '2', '12', '2020', '38', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '130.70738308');
INSERT INTO public.ecdc_import VALUES (35565, '01/12/2020', '1', '12', '2020', '17', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '131.27240059');
INSERT INTO public.ecdc_import VALUES (35566, '30/11/2020', '30', '11', '2020', '47', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '148.78794328');
INSERT INTO public.ecdc_import VALUES (35567, '29/11/2020', '29', '11', '2020', '14', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '149.35296079');
INSERT INTO public.ecdc_import VALUES (35568, '28/11/2020', '28', '11', '2020', '44', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '154.62645751');
INSERT INTO public.ecdc_import VALUES (35569, '27/11/2020', '27', '11', '2020', '35', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '151.42469164');
INSERT INTO public.ecdc_import VALUES (35570, '26/11/2020', '26', '11', '2020', '44', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '149.72963912');
INSERT INTO public.ecdc_import VALUES (35571, '25/11/2020', '25', '11', '2020', '52', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '146.90455159');
INSERT INTO public.ecdc_import VALUES (35572, '24/11/2020', '24', '11', '2020', '150', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '141.06603736');
INSERT INTO public.ecdc_import VALUES (35573, '23/11/2020', '23', '11', '2020', '30', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '117.14696294');
INSERT INTO public.ecdc_import VALUES (35574, '22/11/2020', '22', '11', '2020', '32', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '116.01692792');
INSERT INTO public.ecdc_import VALUES (35575, '21/11/2020', '21', '11', '2020', '94', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '115.64024959');
INSERT INTO public.ecdc_import VALUES (35576, '20/11/2020', '20', '11', '2020', '68', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '105.28159531');
INSERT INTO public.ecdc_import VALUES (35577, '19/11/2020', '19', '11', '2020', '29', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '105.84661281');
INSERT INTO public.ecdc_import VALUES (35578, '18/11/2020', '18', '11', '2020', '41', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '105.28159531');
INSERT INTO public.ecdc_import VALUES (35579, '17/11/2020', '17', '11', '2020', '110', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '108.67170034');
INSERT INTO public.ecdc_import VALUES (35580, '16/11/2020', '16', '11', '2020', '50', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '94.73460186');
INSERT INTO public.ecdc_import VALUES (35581, '15/11/2020', '15', '11', '2020', '42', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '93.22788851');
INSERT INTO public.ecdc_import VALUES (35582, '14/11/2020', '14', '11', '2020', '27', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '88.33107012');
INSERT INTO public.ecdc_import VALUES (35583, '13/11/2020', '13', '11', '2020', '26', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '88.33107012');
INSERT INTO public.ecdc_import VALUES (35584, '12/11/2020', '12', '11', '2020', '29', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '88.14273096');
INSERT INTO public.ecdc_import VALUES (35585, '11/11/2020', '11', '11', '2020', '21', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '87.20103511');
INSERT INTO public.ecdc_import VALUES (35586, '10/11/2020', '10', '11', '2020', '23', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '89.83778347');
INSERT INTO public.ecdc_import VALUES (35587, '09/11/2020', '9', '11', '2020', '24', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '90.59114015');
INSERT INTO public.ecdc_import VALUES (35588, '08/11/2020', '8', '11', '2020', '30', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '101.89149027');
INSERT INTO public.ecdc_import VALUES (35589, '07/11/2020', '7', '11', '2020', '39', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '101.89149027');
INSERT INTO public.ecdc_import VALUES (35590, '06/11/2020', '6', '11', '2020', '71', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.76145526');
INSERT INTO public.ecdc_import VALUES (35591, '05/11/2020', '5', '11', '2020', '26', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '95.29961937');
INSERT INTO public.ecdc_import VALUES (35592, '04/11/2020', '4', '11', '2020', '59', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '98.87806357');
INSERT INTO public.ecdc_import VALUES (35593, '03/11/2020', '3', '11', '2020', '36', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '95.1112802');
INSERT INTO public.ecdc_import VALUES (35594, '02/11/2020', '2', '11', '2020', '42', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '92.47453184');
INSERT INTO public.ecdc_import VALUES (35595, '01/11/2020', '1', '11', '2020', '16', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '90.59114015');
INSERT INTO public.ecdc_import VALUES (35596, '31/10/2020', '31', '10', '2020', '27', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '92.0978535');
INSERT INTO public.ecdc_import VALUES (35597, '30/10/2020', '30', '10', '2020', '25', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '94.73460186');
INSERT INTO public.ecdc_import VALUES (35598, '29/10/2020', '29', '10', '2020', '24', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '99.63142025');
INSERT INTO public.ecdc_import VALUES (35599, '28/10/2020', '28', '10', '2020', '35', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '108.10668284');
INSERT INTO public.ecdc_import VALUES (35600, '27/10/2020', '27', '10', '2020', '27', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '110.93177037');
INSERT INTO public.ecdc_import VALUES (35601, '26/10/2020', '26', '10', '2020', '84', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '115.07523208');
INSERT INTO public.ecdc_import VALUES (35602, '25/10/2020', '25', '10', '2020', '30', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '105.84661281');
INSERT INTO public.ecdc_import VALUES (35603, '24/10/2020', '24', '10', '2020', '33', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '109.80173536');
INSERT INTO public.ecdc_import VALUES (35604, '23/10/2020', '23', '10', '2020', '42', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '116.01692792');
INSERT INTO public.ecdc_import VALUES (35605, '22/10/2020', '22', '10', '2020', '45', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '124.30385135');
INSERT INTO public.ecdc_import VALUES (35606, '21/10/2020', '21', '10', '2020', '39', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '122.42045966');
INSERT INTO public.ecdc_import VALUES (35607, '20/10/2020', '20', '10', '2020', '22', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '125.24554719');
INSERT INTO public.ecdc_import VALUES (35608, '19/10/2020', '19', '10', '2020', '32', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '128.07063472');
INSERT INTO public.ecdc_import VALUES (35609, '18/10/2020', '18', '10', '2020', '24', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '134.28582729');
INSERT INTO public.ecdc_import VALUES (35610, '17/10/2020', '17', '10', '2020', '41', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '142.38441154');
INSERT INTO public.ecdc_import VALUES (35611, '16/10/2020', '16', '10', '2020', '51', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '142.94942905');
INSERT INTO public.ecdc_import VALUES (35612, '15/10/2020', '15', '10', '2020', '69', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '145.20949907');
INSERT INTO public.ecdc_import VALUES (35613, '14/10/2020', '14', '10', '2020', '50', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '150.4829958');
INSERT INTO public.ecdc_import VALUES (35614, '13/10/2020', '13', '10', '2020', '49', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '148.0345866');
INSERT INTO public.ecdc_import VALUES (35615, '12/10/2020', '12', '10', '2020', '35', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '149.91797829');
INSERT INTO public.ecdc_import VALUES (35616, '11/10/2020', '11', '10', '2020', '51', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '153.30808333');
INSERT INTO public.ecdc_import VALUES (35617, '10/10/2020', '10', '10', '2020', '66', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '149.54129995');
INSERT INTO public.ecdc_import VALUES (35618, '09/10/2020', '9', '10', '2020', '86', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '151.23635247');
INSERT INTO public.ecdc_import VALUES (35619, '08/10/2020', '8', '10', '2020', '35', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '145.20949907');
INSERT INTO public.ecdc_import VALUES (35620, '07/10/2020', '7', '10', '2020', '54', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '151.23635247');
INSERT INTO public.ecdc_import VALUES (35621, '06/10/2020', '6', '10', '2020', '37', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '150.10631746');
INSERT INTO public.ecdc_import VALUES (35622, '05/10/2020', '5', '10', '2020', '65', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '151.80136998');
INSERT INTO public.ecdc_import VALUES (35623, '04/10/2020', '4', '10', '2020', '67', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '153.68476167');
INSERT INTO public.ecdc_import VALUES (35624, '03/10/2020', '3', '10', '2020', '44', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '156.32151003');
INSERT INTO public.ecdc_import VALUES (35625, '02/10/2020', '2', '10', '2020', '63', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '161.97168509');
INSERT INTO public.ecdc_import VALUES (35626, '01/10/2020', '1', '10', '2020', '97', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '162.72504176');
INSERT INTO public.ecdc_import VALUES (35627, '30/09/2020', '30', '9', '2020', '37', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '163.1017201');
INSERT INTO public.ecdc_import VALUES (35628, '29/09/2020', '29', '9', '2020', '59', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '172.1420002');
INSERT INTO public.ecdc_import VALUES (35629, '28/09/2020', '28', '9', '2020', '53', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '174.21373106');
INSERT INTO public.ecdc_import VALUES (35630, '27/09/2020', '27', '9', '2020', '31', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '187.02079453');
INSERT INTO public.ecdc_import VALUES (35631, '26/09/2020', '26', '9', '2020', '75', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '192.85930876');
INSERT INTO public.ecdc_import VALUES (35632, '25/09/2020', '25', '9', '2020', '54', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '195.68439629');
INSERT INTO public.ecdc_import VALUES (35633, '24/09/2020', '24', '9', '2020', '67', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '197.94446631');
INSERT INTO public.ecdc_import VALUES (35634, '23/09/2020', '23', '9', '2020', '48', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '202.8412847');
INSERT INTO public.ecdc_import VALUES (35635, '22/09/2020', '22', '9', '2020', '46', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '207.73810309');
INSERT INTO public.ecdc_import VALUES (35636, '21/09/2020', '21', '9', '2020', '75', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '214.70665233');
INSERT INTO public.ecdc_import VALUES (35637, '20/09/2020', '20', '9', '2020', '81', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '219.03845321');
INSERT INTO public.ecdc_import VALUES (35638, '19/09/2020', '19', '9', '2020', '74', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '227.32537663');
INSERT INTO public.ecdc_import VALUES (35639, '18/09/2020', '18', '9', '2020', '67', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '228.45541164');
INSERT INTO public.ecdc_import VALUES (35640, '17/09/2020', '17', '9', '2020', '99', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '242.39251013');
INSERT INTO public.ecdc_import VALUES (35641, '16/09/2020', '16', '9', '2020', '85', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '249.54939854');
INSERT INTO public.ecdc_import VALUES (35642, '15/09/2020', '15', '9', '2020', '70', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '270.2667071');
INSERT INTO public.ecdc_import VALUES (35643, '14/09/2020', '14', '9', '2020', '121', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '283.63878808');
INSERT INTO public.ecdc_import VALUES (35644, '13/09/2020', '13', '9', '2020', '62', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '277.61193468');
INSERT INTO public.ecdc_import VALUES (35645, '12/09/2020', '12', '9', '2020', '90', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '286.46387561');
INSERT INTO public.ecdc_import VALUES (35646, '11/09/2020', '11', '9', '2020', '66', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '295.88083404');
INSERT INTO public.ecdc_import VALUES (35647, '10/09/2020', '10', '9', '2020', '93', '2', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '303.03772245');
INSERT INTO public.ecdc_import VALUES (35648, '09/09/2020', '9', '9', '2020', '74', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '319.04655179');
INSERT INTO public.ecdc_import VALUES (35649, '08/09/2020', '8', '9', '2020', '83', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '330.53524108');
INSERT INTO public.ecdc_import VALUES (35650, '07/09/2020', '7', '9', '2020', '98', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '339.95219952');
INSERT INTO public.ecdc_import VALUES (35651, '06/09/2020', '6', '9', '2020', '125', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '343.90732206');
INSERT INTO public.ecdc_import VALUES (35652, '05/09/2020', '5', '9', '2020', '80', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '338.44548617');
INSERT INTO public.ecdc_import VALUES (35653, '04/09/2020', '4', '9', '2020', '141', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '359.9161514');
INSERT INTO public.ecdc_import VALUES (35654, '03/09/2020', '3', '9', '2020', '137', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '360.66950808');
INSERT INTO public.ecdc_import VALUES (35655, '02/09/2020', '2', '9', '2020', '195', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '362.3645606');
INSERT INTO public.ecdc_import VALUES (35656, '01/09/2020', '1', '9', '2020', '141', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '357.65608138');
INSERT INTO public.ecdc_import VALUES (35657, '31/08/2020', '31', '8', '2020', '89', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '354.45431551');
INSERT INTO public.ecdc_import VALUES (35658, '30/08/2020', '30', '8', '2020', '109', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '357.65608138');
INSERT INTO public.ecdc_import VALUES (35659, '29/08/2020', '29', '8', '2020', '140', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '357.27940304');
INSERT INTO public.ecdc_import VALUES (35660, '28/08/2020', '28', '8', '2020', '104', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '345.60237458');
INSERT INTO public.ecdc_import VALUES (35661, '27/08/2020', '27', '8', '2020', '178', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '350.12251463');
INSERT INTO public.ecdc_import VALUES (35662, '26/08/2020', '26', '8', '2020', '135', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '343.53064372');
INSERT INTO public.ecdc_import VALUES (35663, '25/08/2020', '25', '8', '2020', '133', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '330.53524108');
INSERT INTO public.ecdc_import VALUES (35664, '24/08/2020', '24', '8', '2020', '119', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '327.33347522');
INSERT INTO public.ecdc_import VALUES (35665, '23/08/2020', '23', '8', '2020', '96', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '331.85361526');
INSERT INTO public.ecdc_import VALUES (35666, '22/08/2020', '22', '8', '2020', '194', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '338.06880783');
INSERT INTO public.ecdc_import VALUES (35667, '21/08/2020', '21', '8', '2020', '145', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '318.29319512');
INSERT INTO public.ecdc_import VALUES (35668, '20/08/2020', '20', '8', '2020', '146', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '307.18118416');
INSERT INTO public.ecdc_import VALUES (35669, '19/08/2020', '19', '8', '2020', '170', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '307.5578625');
INSERT INTO public.ecdc_import VALUES (35670, '18/08/2020', '18', '8', '2020', '124', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '304.35609663');
INSERT INTO public.ecdc_import VALUES (35671, '17/08/2020', '17', '8', '2020', '106', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '305.29779248');
INSERT INTO public.ecdc_import VALUES (35672, '16/08/2020', '16', '8', '2020', '107', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '325.82676187');
INSERT INTO public.ecdc_import VALUES (35673, '15/08/2020', '15', '8', '2020', '78', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '335.05538113');
INSERT INTO public.ecdc_import VALUES (35674, '14/08/2020', '14', '8', '2020', '128', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '334.30202446');
INSERT INTO public.ecdc_import VALUES (35675, '13/08/2020', '13', '8', '2020', '143', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '338.82216451');
INSERT INTO public.ecdc_import VALUES (35676, '12/08/2020', '12', '8', '2020', '66', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '323.37835267');
INSERT INTO public.ecdc_import VALUES (35677, '11/08/2020', '11', '8', '2020', '116', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '336.75043365');
INSERT INTO public.ecdc_import VALUES (35678, '10/08/2020', '10', '8', '2020', '143', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '327.52181438');
INSERT INTO public.ecdc_import VALUES (35679, '09/08/2020', '9', '8', '2020', '129', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '310.00627169');
INSERT INTO public.ecdc_import VALUES (35680, '08/08/2020', '8', '8', '2020', '89', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '310.5712892');
INSERT INTO public.ecdc_import VALUES (35681, '07/08/2020', '7', '8', '2020', '86', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '297.01086905');
INSERT INTO public.ecdc_import VALUES (35682, '06/08/2020', '6', '8', '2020', '148', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '280.81370054');
INSERT INTO public.ecdc_import VALUES (35683, '05/08/2020', '5', '8', '2020', '153', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '264.05151453');
INSERT INTO public.ecdc_import VALUES (35684, '04/08/2020', '4', '8', '2020', '129', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '249.92607688');
INSERT INTO public.ecdc_import VALUES (35685, '03/08/2020', '3', '8', '2020', '215', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '225.63032411');
INSERT INTO public.ecdc_import VALUES (35686, '02/08/2020', '2', '8', '2020', '156', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '191.91761291');
INSERT INTO public.ecdc_import VALUES (35687, '01/08/2020', '1', '8', '2020', '74', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '165.73846846');
INSERT INTO public.ecdc_import VALUES (35688, '31/07/2020', '31', '7', '2020', '152', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '154.43811834');
INSERT INTO public.ecdc_import VALUES (35689, '30/07/2020', '30', '7', '2020', '61', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '138.61762817');
INSERT INTO public.ecdc_import VALUES (35690, '29/07/2020', '29', '7', '2020', '137', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '132.77911394');
INSERT INTO public.ecdc_import VALUES (35691, '28/07/2020', '28', '7', '2020', '67', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '114.32187541');
INSERT INTO public.ecdc_import VALUES (35692, '27/07/2020', '27', '7', '2020', '50', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '107.54166533');
INSERT INTO public.ecdc_import VALUES (35693, '26/07/2020', '26', '7', '2020', '132', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '110.7434312');
INSERT INTO public.ecdc_import VALUES (35694, '25/07/2020', '25', '7', '2020', '17', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '94.73460186');
INSERT INTO public.ecdc_import VALUES (35695, '24/07/2020', '24', '7', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '103.58654279');
INSERT INTO public.ecdc_import VALUES (35696, '23/07/2020', '23', '7', '2020', '59', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '110.36675286');
INSERT INTO public.ecdc_import VALUES (35697, '22/07/2020', '22', '7', '2020', '78', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '102.26816861');
INSERT INTO public.ecdc_import VALUES (35698, '21/07/2020', '21', '7', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '89.46110514');
INSERT INTO public.ecdc_import VALUES (35699, '20/07/2020', '20', '7', '2020', '36', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '93.79290602');
INSERT INTO public.ecdc_import VALUES (35700, '19/07/2020', '19', '7', '2020', '17', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '93.22788851');
INSERT INTO public.ecdc_import VALUES (35701, '18/07/2020', '18', '7', '2020', '14', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '94.73460186');
INSERT INTO public.ecdc_import VALUES (35702, '17/07/2020', '17', '7', '2020', '68', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '93.98124519');
INSERT INTO public.ecdc_import VALUES (35703, '16/07/2020', '16', '7', '2020', '30', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '84.56428675');
INSERT INTO public.ecdc_import VALUES (35704, '15/07/2020', '15', '7', '2020', '39', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '82.86923423');
INSERT INTO public.ecdc_import VALUES (35705, '14/07/2020', '14', '7', '2020', '31', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '80.23248587');
INSERT INTO public.ecdc_import VALUES (35706, '13/07/2020', '13', '7', '2020', '67', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '76.84238083');
INSERT INTO public.ecdc_import VALUES (35707, '12/07/2020', '12', '7', '2020', '47', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '67.61376157');
INSERT INTO public.ecdc_import VALUES (35708, '11/07/2020', '11', '7', '2020', '64', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '62.90528235');
INSERT INTO public.ecdc_import VALUES (35709, '10/07/2020', '10', '7', '2020', '36', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '51.98161056');
INSERT INTO public.ecdc_import VALUES (35710, '09/07/2020', '9', '7', '2020', '16', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '48.21482719');
INSERT INTO public.ecdc_import VALUES (35711, '08/07/2020', '8', '7', '2020', '10', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '49.53320137');
INSERT INTO public.ecdc_import VALUES (35712, '07/07/2020', '7', '7', '2020', '23', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '51.60493223');
INSERT INTO public.ecdc_import VALUES (35713, '06/07/2020', '6', '7', '2020', '33', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '49.90987971');
INSERT INTO public.ecdc_import VALUES (35714, '05/07/2020', '5', '7', '2020', '25', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '46.70811384');
INSERT INTO public.ecdc_import VALUES (35715, '04/07/2020', '4', '7', '2020', '10', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '48.96818386');
INSERT INTO public.ecdc_import VALUES (35716, '03/07/2020', '3', '7', '2020', '18', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '49.53320137');
INSERT INTO public.ecdc_import VALUES (35717, '02/07/2020', '2', '7', '2020', '21', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '49.3448622');
INSERT INTO public.ecdc_import VALUES (35718, '01/07/2020', '1', '7', '2020', '25', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '50.28655805');
INSERT INTO public.ecdc_import VALUES (35719, '30/06/2020', '30', '6', '2020', '13', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '51.03991472');
INSERT INTO public.ecdc_import VALUES (35720, '29/06/2020', '29', '6', '2020', '18', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '54.24168059');
INSERT INTO public.ecdc_import VALUES (35721, '28/06/2020', '28', '6', '2020', '22', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '54.99503726');
INSERT INTO public.ecdc_import VALUES (35722, '27/06/2020', '27', '6', '2020', '6', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '52.73496724');
INSERT INTO public.ecdc_import VALUES (35723, '26/06/2020', '26', '6', '2020', '16', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '56.69008978');
INSERT INTO public.ecdc_import VALUES (35724, '25/06/2020', '25', '6', '2020', '23', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '56.31341144');
INSERT INTO public.ecdc_import VALUES (35725, '24/06/2020', '24', '6', '2020', '21', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '55.74839394');
INSERT INTO public.ecdc_import VALUES (35726, '23/06/2020', '23', '6', '2020', '14', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '56.69008978');
INSERT INTO public.ecdc_import VALUES (35727, '22/06/2020', '22', '6', '2020', '16', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '56.50175061');
INSERT INTO public.ecdc_import VALUES (35728, '21/06/2020', '21', '6', '2020', '37', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '53.86500225');
INSERT INTO public.ecdc_import VALUES (35729, '20/06/2020', '20', '6', '2020', '13', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '50.28655805');
INSERT INTO public.ecdc_import VALUES (35730, '19/06/2020', '19', '6', '2020', '17', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '49.90987971');
INSERT INTO public.ecdc_import VALUES (35731, '18/06/2020', '18', '6', '2020', '26', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '50.85157555');
INSERT INTO public.ecdc_import VALUES (35732, '17/06/2020', '17', '6', '2020', '29', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '47.64980968');
INSERT INTO public.ecdc_import VALUES (35733, '16/06/2020', '16', '6', '2020', '30', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '44.44804382');
INSERT INTO public.ecdc_import VALUES (35734, '15/06/2020', '15', '6', '2020', '22', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '49.3448622');
INSERT INTO public.ecdc_import VALUES (35735, '14/06/2020', '14', '6', '2020', '10', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '64.22365653');
INSERT INTO public.ecdc_import VALUES (35736, '13/06/2020', '13', '6', '2020', '27', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '77.59573751');
INSERT INTO public.ecdc_import VALUES (35737, '12/06/2020', '12', '6', '2020', '14', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '87.20103511');
INSERT INTO public.ecdc_import VALUES (35738, '11/06/2020', '11', '6', '2020', '20', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '95.1112802');
INSERT INTO public.ecdc_import VALUES (35739, '10/06/2020', '10', '6', '2020', '26', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '94.92294103');
INSERT INTO public.ecdc_import VALUES (35740, '09/06/2020', '9', '6', '2020', '13', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '98.1247069');
INSERT INTO public.ecdc_import VALUES (35741, '08/06/2020', '8', '6', '2020', '2', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.19643775');
INSERT INTO public.ecdc_import VALUES (35742, '07/06/2020', '7', '6', '2020', '18', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '112.62682289');
INSERT INTO public.ecdc_import VALUES (35743, '06/06/2020', '6', '6', '2020', '11', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '114.69855374');
INSERT INTO public.ecdc_import VALUES (35744, '05/06/2020', '5', '6', '2020', '22', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '123.55049467');
INSERT INTO public.ecdc_import VALUES (35745, '04/06/2020', '4', '6', '2020', '9', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '125.05720802');
INSERT INTO public.ecdc_import VALUES (35746, '03/06/2020', '3', '6', '2020', '12', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '131.46073976');
INSERT INTO public.ecdc_import VALUES (35747, '02/06/2020', '2', '6', '2020', '56', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '136.16921898');
INSERT INTO public.ecdc_import VALUES (35748, '01/06/2020', '1', '6', '2020', '101', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '127.88229555');
INSERT INTO public.ecdc_import VALUES (35749, '31/05/2020', '31', '5', '2020', '81', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '111.87346621');
INSERT INTO public.ecdc_import VALUES (35750, '30/05/2020', '30', '5', '2020', '78', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '105.46993448');
INSERT INTO public.ecdc_import VALUES (35751, '29/05/2020', '29', '5', '2020', '56', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.00809858');
INSERT INTO public.ecdc_import VALUES (35752, '28/05/2020', '28', '5', '2020', '19', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '94.54626269');
INSERT INTO public.ecdc_import VALUES (35753, '27/05/2020', '27', '5', '2020', '43', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.57311609');
INSERT INTO public.ecdc_import VALUES (35754, '26/05/2020', '26', '5', '2020', '24', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '93.79290602');
INSERT INTO public.ecdc_import VALUES (35755, '25/05/2020', '25', '5', '2020', '68', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.94979443');
INSERT INTO public.ecdc_import VALUES (35756, '24/05/2020', '24', '5', '2020', '29', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '96.61799355');
INSERT INTO public.ecdc_import VALUES (35757, '23/05/2020', '23', '5', '2020', '58', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '118.65367629');
INSERT INTO public.ecdc_import VALUES (35758, '22/05/2020', '22', '5', '2020', '30', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '108.10668284');
INSERT INTO public.ecdc_import VALUES (35759, '21/05/2020', '21', '5', '2020', '43', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '107.164987');
INSERT INTO public.ecdc_import VALUES (35760, '20/05/2020', '20', '5', '2020', '37', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '107.35332616');
INSERT INTO public.ecdc_import VALUES (35761, '19/05/2020', '19', '5', '2020', '12', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '104.52823863');
INSERT INTO public.ecdc_import VALUES (35762, '18/05/2020', '18', '5', '2020', '16', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '106.78830866');
INSERT INTO public.ecdc_import VALUES (35763, '17/05/2020', '17', '5', '2020', '47', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '105.28159531');
INSERT INTO public.ecdc_import VALUES (35764, '16/05/2020', '16', '5', '2020', '49', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '101.7031511');
INSERT INTO public.ecdc_import VALUES (35765, '15/05/2020', '15', '5', '2020', '27', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '96.80633272');
INSERT INTO public.ecdc_import VALUES (35766, '14/05/2020', '14', '5', '2020', '51', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '127.69395638');
INSERT INTO public.ecdc_import VALUES (35767, '13/05/2020', '13', '5', '2020', '7', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '124.11551218');
INSERT INTO public.ecdc_import VALUES (35768, '12/05/2020', '12', '5', '2020', '62', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '128.63565223');
INSERT INTO public.ecdc_import VALUES (35769, '11/05/2020', '11', '5', '2020', '45', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '116.95862377');
INSERT INTO public.ecdc_import VALUES (35770, '10/05/2020', '10', '5', '2020', '146', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '122.98547717');
INSERT INTO public.ecdc_import VALUES (35771, '09/05/2020', '9', '5', '2020', '2', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '97.18301105');
INSERT INTO public.ecdc_import VALUES (35772, '08/05/2020', '8', '5', '2020', '25', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.19643775');
INSERT INTO public.ecdc_import VALUES (35773, '07/05/2020', '7', '5', '2020', '44', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '100.19643775');
INSERT INTO public.ecdc_import VALUES (35774, '06/05/2020', '6', '5', '2020', '22', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '91.90951433');
INSERT INTO public.ecdc_import VALUES (35775, '05/05/2020', '5', '5', '2020', '24', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '90.77947932');
INSERT INTO public.ecdc_import VALUES (35776, '04/05/2020', '4', '5', '2020', '8', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '89.46110514');
INSERT INTO public.ecdc_import VALUES (35777, '03/05/2020', '3', '5', '2020', '28', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '91.15615765');
INSERT INTO public.ecdc_import VALUES (35778, '02/05/2020', '2', '5', '2020', '23', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '87.01269594');
INSERT INTO public.ecdc_import VALUES (35779, '01/05/2020', '1', '5', '2020', '191', '1', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '83.43425174');
INSERT INTO public.ecdc_import VALUES (35780, '30/04/2020', '30', '4', '2020', '32', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '48.21482719');
INSERT INTO public.ecdc_import VALUES (35781, '29/04/2020', '29', '4', '2020', '31', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '42.18797379');
INSERT INTO public.ecdc_import VALUES (35782, '28/04/2020', '28', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '36.53779873');
INSERT INTO public.ecdc_import VALUES (35783, '27/04/2020', '27', '4', '2020', '77', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '36.53779873');
INSERT INTO public.ecdc_import VALUES (35784, '26/04/2020', '26', '4', '2020', '9', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '22.22402191');
INSERT INTO public.ecdc_import VALUES (35785, '25/04/2020', '25', '4', '2020', '18', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '20.52896939');
INSERT INTO public.ecdc_import VALUES (35786, '24/04/2020', '24', '4', '2020', '25', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '17.13886435');
INSERT INTO public.ecdc_import VALUES (35787, '23/04/2020', '23', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '12.43038513');
INSERT INTO public.ecdc_import VALUES (35788, '22/04/2020', '22', '4', '2020', '16', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '12.43038513');
INSERT INTO public.ecdc_import VALUES (35789, '21/04/2020', '21', '4', '2020', '17', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '9.41695844');
INSERT INTO public.ecdc_import VALUES (35790, '20/04/2020', '20', '4', '2020', '17', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '6.21519257');
INSERT INTO public.ecdc_import VALUES (35791, '19/04/2020', '19', '4', '2020', '6', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '3.0134267');
INSERT INTO public.ecdc_import VALUES (35792, '18/04/2020', '18', '4', '2020', '4', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.88339169');
INSERT INTO public.ecdc_import VALUES (35793, '17/04/2020', '17', '4', '2020', '4', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35794, '16/04/2020', '16', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.37667834');
INSERT INTO public.ecdc_import VALUES (35795, '15/04/2020', '15', '4', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.56501751');
INSERT INTO public.ecdc_import VALUES (35796, '14/04/2020', '14', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.56501751');
INSERT INTO public.ecdc_import VALUES (35797, '13/04/2020', '13', '4', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.56501751');
INSERT INTO public.ecdc_import VALUES (35798, '12/04/2020', '12', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.56501751');
INSERT INTO public.ecdc_import VALUES (35799, '11/04/2020', '11', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.94169584');
INSERT INTO public.ecdc_import VALUES (35800, '10/04/2020', '10', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35801, '09/04/2020', '9', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35802, '08/04/2020', '8', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35803, '07/04/2020', '7', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35804, '06/04/2020', '6', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35805, '05/04/2020', '5', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35806, '04/04/2020', '4', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35807, '03/04/2020', '3', '4', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35808, '02/04/2020', '2', '4', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.13003501');
INSERT INTO public.ecdc_import VALUES (35809, '01/04/2020', '1', '4', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.94169584');
INSERT INTO public.ecdc_import VALUES (35810, '31/03/2020', '31', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.75335667');
INSERT INTO public.ecdc_import VALUES (35811, '30/03/2020', '30', '3', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.75335667');
INSERT INTO public.ecdc_import VALUES (35812, '29/03/2020', '29', '3', '2020', '2', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.31837418');
INSERT INTO public.ecdc_import VALUES (35813, '28/03/2020', '28', '3', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.94169584');
INSERT INTO public.ecdc_import VALUES (35814, '27/03/2020', '27', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '0.94169584');
INSERT INTO public.ecdc_import VALUES (35815, '26/03/2020', '26', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.31837418');
INSERT INTO public.ecdc_import VALUES (35816, '25/03/2020', '25', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '1.69505252');
INSERT INTO public.ecdc_import VALUES (35817, '24/03/2020', '24', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '2.07173086');
INSERT INTO public.ecdc_import VALUES (35818, '23/03/2020', '23', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '2.44840919');
INSERT INTO public.ecdc_import VALUES (35819, '22/03/2020', '22', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35820, '21/03/2020', '21', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35821, '20/03/2020', '20', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35822, '19/03/2020', '19', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35823, '18/03/2020', '18', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35824, '17/03/2020', '17', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35825, '16/03/2020', '16', '3', '2020', '4', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35826, '15/03/2020', '15', '3', '2020', '0', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35827, '14/03/2020', '14', '3', '2020', '1', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35828, '12/03/2020', '12', '3', '2020', '2', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35829, '11/03/2020', '11', '3', '2020', '2', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35830, '09/03/2020', '9', '3', '2020', '2', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35831, '08/03/2020', '8', '3', '2020', '2', '0', '530957', 'Maldives', 'MV', 'MDV', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (35832, '14/12/2020', '14', '12', '2020', '93', '5', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '5.87546367');
INSERT INTO public.ecdc_import VALUES (35833, '13/12/2020', '13', '12', '2020', '72', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '5.40237439');
INSERT INTO public.ecdc_import VALUES (35834, '12/12/2020', '12', '12', '2020', '73', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '5.50411402');
INSERT INTO public.ecdc_import VALUES (35835, '11/12/2020', '11', '12', '2020', '134', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '5.67198441');
INSERT INTO public.ecdc_import VALUES (35836, '10/12/2020', '10', '12', '2020', '152', '5', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.99032889');
INSERT INTO public.ecdc_import VALUES (35837, '09/12/2020', '9', '12', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.9038502');
INSERT INTO public.ecdc_import VALUES (35838, '08/12/2020', '8', '12', '2020', '155', '11', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '5.26502589');
INSERT INTO public.ecdc_import VALUES (35839, '07/12/2020', '7', '12', '2020', '73', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.72580585');
INSERT INTO public.ecdc_import VALUES (35840, '06/12/2020', '6', '12', '2020', '124', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.35445619');
INSERT INTO public.ecdc_import VALUES (35841, '05/12/2020', '5', '12', '2020', '58', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.2984994');
INSERT INTO public.ecdc_import VALUES (35842, '04/12/2020', '4', '12', '2020', '43', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.57828338');
INSERT INTO public.ecdc_import VALUES (35843, '03/12/2020', '3', '12', '2020', '75', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.35954317');
INSERT INTO public.ecdc_import VALUES (35844, '02/12/2020', '2', '12', '2020', '52', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '3.97801956');
INSERT INTO public.ecdc_import VALUES (35845, '01/12/2020', '1', '12', '2020', '51', '7', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.28323845');
INSERT INTO public.ecdc_import VALUES (35846, '30/11/2020', '30', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.02380239');
INSERT INTO public.ecdc_import VALUES (35847, '29/11/2020', '29', '11', '2020', '92', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '4.33919525');
INSERT INTO public.ecdc_import VALUES (35848, '28/11/2020', '28', '11', '2020', '106', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '3.94241069');
INSERT INTO public.ecdc_import VALUES (35849, '27/11/2020', '27', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '3.60158293');
INSERT INTO public.ecdc_import VALUES (35850, '26/11/2020', '26', '11', '2020', '135', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '3.84067106');
INSERT INTO public.ecdc_import VALUES (35851, '25/11/2020', '25', '11', '2020', '71', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '3.15392855');
INSERT INTO public.ecdc_import VALUES (35852, '24/11/2020', '24', '11', '2020', '49', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.79275286');
INSERT INTO public.ecdc_import VALUES (35853, '23/11/2020', '23', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.69610021');
INSERT INTO public.ecdc_import VALUES (35854, '22/11/2020', '22', '11', '2020', '113', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.69610021');
INSERT INTO public.ecdc_import VALUES (35855, '21/11/2020', '21', '11', '2020', '113', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.21792395');
INSERT INTO public.ecdc_import VALUES (35856, '20/11/2020', '20', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.76518259');
INSERT INTO public.ecdc_import VALUES (35857, '19/11/2020', '19', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.88727015');
INSERT INTO public.ecdc_import VALUES (35858, '18/11/2020', '18', '11', '2020', '112', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.07040148');
INSERT INTO public.ecdc_import VALUES (35859, '17/11/2020', '17', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.50065955');
INSERT INTO public.ecdc_import VALUES (35860, '16/11/2020', '16', '11', '2020', '62', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.64309504');
INSERT INTO public.ecdc_import VALUES (35861, '15/11/2020', '15', '11', '2020', '14', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.32770218');
INSERT INTO public.ecdc_import VALUES (35862, '14/11/2020', '14', '11', '2020', '39', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.25648444');
INSERT INTO public.ecdc_import VALUES (35863, '13/11/2020', '13', '11', '2020', '47', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.13439688');
INSERT INTO public.ecdc_import VALUES (35864, '12/11/2020', '12', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.89530875');
INSERT INTO public.ecdc_import VALUES (35865, '11/11/2020', '11', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.97161347');
INSERT INTO public.ecdc_import VALUES (35866, '10/11/2020', '10', '11', '2020', '30', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.05300518');
INSERT INTO public.ecdc_import VALUES (35867, '09/11/2020', '9', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.94617857');
INSERT INTO public.ecdc_import VALUES (35868, '08/11/2020', '8', '11', '2020', '19', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.03774423');
INSERT INTO public.ecdc_import VALUES (35869, '07/11/2020', '7', '11', '2020', '24', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.08352707');
INSERT INTO public.ecdc_import VALUES (35870, '06/11/2020', '6', '11', '2020', '24', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.98178744');
INSERT INTO public.ecdc_import VALUES (35871, '05/11/2020', '5', '11', '2020', '36', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.92074366');
INSERT INTO public.ecdc_import VALUES (35872, '04/11/2020', '4', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.82409101');
INSERT INTO public.ecdc_import VALUES (35873, '03/11/2020', '3', '11', '2020', '28', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.84443893');
INSERT INTO public.ecdc_import VALUES (35874, '02/11/2020', '2', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.84443893');
INSERT INTO public.ecdc_import VALUES (35875, '01/11/2020', '1', '11', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.84443893');
INSERT INTO public.ecdc_import VALUES (35876, '31/10/2020', '31', '10', '2020', '15', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.90039573');
INSERT INTO public.ecdc_import VALUES (35877, '30/10/2020', '30', '10', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.82409101');
INSERT INTO public.ecdc_import VALUES (35878, '29/10/2020', '29', '10', '2020', '15', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.90548271');
INSERT INTO public.ecdc_import VALUES (35879, '28/10/2020', '28', '10', '2020', '16', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.11404896');
INSERT INTO public.ecdc_import VALUES (35880, '27/10/2020', '27', '10', '2020', '9', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.03265725');
INSERT INTO public.ecdc_import VALUES (35881, '26/10/2020', '26', '10', '2020', '18', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.03774423');
INSERT INTO public.ecdc_import VALUES (35882, '25/10/2020', '25', '10', '2020', '28', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.01230933');
INSERT INTO public.ecdc_import VALUES (35883, '24/10/2020', '24', '10', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.99704838');
INSERT INTO public.ecdc_import VALUES (35884, '23/10/2020', '23', '10', '2020', '12', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.04283121');
INSERT INTO public.ecdc_import VALUES (35885, '22/10/2020', '22', '10', '2020', '17', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.10896197');
INSERT INTO public.ecdc_import VALUES (35886, '21/10/2020', '21', '10', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.09878801');
INSERT INTO public.ecdc_import VALUES (35887, '20/10/2020', '20', '10', '2020', '28', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.10896197');
INSERT INTO public.ecdc_import VALUES (35888, '19/10/2020', '19', '10', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.9919614');
INSERT INTO public.ecdc_import VALUES (35889, '18/10/2020', '18', '10', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.06317914');
INSERT INTO public.ecdc_import VALUES (35890, '17/10/2020', '17', '10', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.07844009');
INSERT INTO public.ecdc_import VALUES (35891, '16/10/2020', '16', '10', '2020', '16', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.20561462');
INSERT INTO public.ecdc_import VALUES (35892, '15/10/2020', '15', '10', '2020', '56', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.19035368');
INSERT INTO public.ecdc_import VALUES (35893, '14/10/2020', '14', '10', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.0479182');
INSERT INTO public.ecdc_import VALUES (35894, '13/10/2020', '13', '10', '2020', '10', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.0479182');
INSERT INTO public.ecdc_import VALUES (35895, '12/10/2020', '12', '10', '2020', '13', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.01739631');
INSERT INTO public.ecdc_import VALUES (35896, '11/10/2020', '11', '10', '2020', '25', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.98178744');
INSERT INTO public.ecdc_import VALUES (35897, '10/10/2020', '10', '10', '2020', '13', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.9360046');
INSERT INTO public.ecdc_import VALUES (35898, '09/10/2020', '9', '10', '2020', '25', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.98687442');
INSERT INTO public.ecdc_import VALUES (35899, '08/10/2020', '8', '10', '2020', '15', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.89530875');
INSERT INTO public.ecdc_import VALUES (35900, '07/10/2020', '7', '10', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83935195');
INSERT INTO public.ecdc_import VALUES (35901, '06/10/2020', '6', '10', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83935195');
INSERT INTO public.ecdc_import VALUES (35902, '05/10/2020', '5', '10', '2020', '14', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.86987384');
INSERT INTO public.ecdc_import VALUES (35903, '04/10/2020', '4', '10', '2020', '14', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83426497');
INSERT INTO public.ecdc_import VALUES (35904, '03/10/2020', '3', '10', '2020', '25', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83935195');
INSERT INTO public.ecdc_import VALUES (35905, '02/10/2020', '2', '10', '2020', '13', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83935195');
INSERT INTO public.ecdc_import VALUES (35906, '01/10/2020', '1', '10', '2020', '28', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.77322119');
INSERT INTO public.ecdc_import VALUES (35907, '30/09/2020', '30', '9', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.76304723');
INSERT INTO public.ecdc_import VALUES (35908, '29/09/2020', '29', '9', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.78848214');
INSERT INTO public.ecdc_import VALUES (35909, '28/09/2020', '28', '9', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.82409101');
INSERT INTO public.ecdc_import VALUES (35910, '27/09/2020', '27', '9', '2020', '16', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83426497');
INSERT INTO public.ecdc_import VALUES (35911, '26/09/2020', '26', '9', '2020', '23', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.77322119');
INSERT INTO public.ecdc_import VALUES (35912, '25/09/2020', '25', '9', '2020', '7', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.67148156');
INSERT INTO public.ecdc_import VALUES (35913, '24/09/2020', '24', '9', '2020', '4', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.69182949');
INSERT INTO public.ecdc_import VALUES (35914, '23/09/2020', '23', '9', '2020', '6', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.75287327');
INSERT INTO public.ecdc_import VALUES (35915, '22/09/2020', '22', '9', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.78339516');
INSERT INTO public.ecdc_import VALUES (35916, '21/09/2020', '21', '9', '2020', '7', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.86987384');
INSERT INTO public.ecdc_import VALUES (35917, '20/09/2020', '20', '9', '2020', '15', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.88004781');
INSERT INTO public.ecdc_import VALUES (35918, '19/09/2020', '19', '9', '2020', '25', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.90039573');
INSERT INTO public.ecdc_import VALUES (35919, '18/09/2020', '18', '9', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.80883006');
INSERT INTO public.ecdc_import VALUES (35920, '17/09/2020', '17', '9', '2020', '26', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.83426497');
INSERT INTO public.ecdc_import VALUES (35921, '16/09/2020', '16', '9', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.82917799');
INSERT INTO public.ecdc_import VALUES (35922, '15/09/2020', '15', '9', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.80883006');
INSERT INTO public.ecdc_import VALUES (35923, '14/09/2020', '14', '9', '2020', '8', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.76813421');
INSERT INTO public.ecdc_import VALUES (35924, '13/09/2020', '13', '9', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.80883006');
INSERT INTO public.ecdc_import VALUES (35925, '12/09/2020', '12', '9', '2020', '3', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.89530875');
INSERT INTO public.ecdc_import VALUES (35926, '11/09/2020', '11', '9', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.91056969');
INSERT INTO public.ecdc_import VALUES (35927, '10/09/2020', '10', '9', '2020', '16', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.92074366');
INSERT INTO public.ecdc_import VALUES (35928, '09/09/2020', '9', '9', '2020', '12', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.85969988');
INSERT INTO public.ecdc_import VALUES (35929, '08/09/2020', '8', '9', '2020', '28', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.82409101');
INSERT INTO public.ecdc_import VALUES (35930, '07/09/2020', '7', '9', '2020', '9', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.69691647');
INSERT INTO public.ecdc_import VALUES (35931, '06/09/2020', '6', '9', '2020', '19', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.68165553');
INSERT INTO public.ecdc_import VALUES (35932, '05/09/2020', '5', '9', '2020', '7', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.64095967');
INSERT INTO public.ecdc_import VALUES (35933, '04/09/2020', '4', '9', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.71217741');
INSERT INTO public.ecdc_import VALUES (35934, '03/09/2020', '3', '9', '2020', '25', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.68674251');
INSERT INTO public.ecdc_import VALUES (35935, '02/09/2020', '2', '9', '2020', '1', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.56465495');
INSERT INTO public.ecdc_import VALUES (35936, '01/09/2020', '1', '9', '2020', '3', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.69182949');
INSERT INTO public.ecdc_import VALUES (35937, '31/08/2020', '31', '8', '2020', '16', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.80883006');
INSERT INTO public.ecdc_import VALUES (35938, '30/08/2020', '30', '8', '2020', '21', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.72743836');
INSERT INTO public.ecdc_import VALUES (35939, '29/08/2020', '29', '8', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.70709043');
INSERT INTO public.ecdc_import VALUES (35940, '28/08/2020', '28', '8', '2020', '13', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.67656854');
INSERT INTO public.ecdc_import VALUES (35941, '27/08/2020', '27', '8', '2020', '4', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.68674251');
INSERT INTO public.ecdc_import VALUES (35942, '26/08/2020', '26', '8', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.69182949');
INSERT INTO public.ecdc_import VALUES (35943, '25/08/2020', '25', '8', '2020', '3', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.68674251');
INSERT INTO public.ecdc_import VALUES (35944, '24/08/2020', '24', '8', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.70200345');
INSERT INTO public.ecdc_import VALUES (35945, '23/08/2020', '23', '8', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.68165553');
INSERT INTO public.ecdc_import VALUES (35946, '22/08/2020', '22', '8', '2020', '21', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.64604665');
INSERT INTO public.ecdc_import VALUES (35947, '21/08/2020', '21', '8', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.58500288');
INSERT INTO public.ecdc_import VALUES (35948, '20/08/2020', '20', '8', '2020', '1', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.61552477');
INSERT INTO public.ecdc_import VALUES (35949, '19/08/2020', '19', '8', '2020', '26', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.62569873');
INSERT INTO public.ecdc_import VALUES (35950, '18/08/2020', '18', '8', '2020', '26', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.49343721');
INSERT INTO public.ecdc_import VALUES (35951, '17/08/2020', '17', '8', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.37134965');
INSERT INTO public.ecdc_import VALUES (35952, '16/08/2020', '16', '8', '2020', '17', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.40187154');
INSERT INTO public.ecdc_import VALUES (35953, '15/08/2020', '15', '8', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.31539286');
INSERT INTO public.ecdc_import VALUES (35954, '14/08/2020', '14', '8', '2020', '15', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.38152362');
INSERT INTO public.ecdc_import VALUES (35955, '13/08/2020', '13', '8', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.31030587');
INSERT INTO public.ecdc_import VALUES (35956, '12/08/2020', '12', '8', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.28995795');
INSERT INTO public.ecdc_import VALUES (35957, '11/08/2020', '11', '8', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.30521889');
INSERT INTO public.ecdc_import VALUES (35958, '10/08/2020', '10', '8', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.28995795');
INSERT INTO public.ecdc_import VALUES (35959, '09/08/2020', '9', '8', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.31539286');
INSERT INTO public.ecdc_import VALUES (35960, '08/08/2020', '8', '8', '2020', '9', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.29504493');
INSERT INTO public.ecdc_import VALUES (35961, '07/08/2020', '7', '8', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.29504493');
INSERT INTO public.ecdc_import VALUES (35962, '06/08/2020', '6', '8', '2020', '3', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.26452304');
INSERT INTO public.ecdc_import VALUES (35963, '05/08/2020', '5', '8', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.33574078');
INSERT INTO public.ecdc_import VALUES (35964, '04/08/2020', '4', '8', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.34591474');
INSERT INTO public.ecdc_import VALUES (35965, '03/08/2020', '3', '8', '2020', '6', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.33574078');
INSERT INTO public.ecdc_import VALUES (35966, '02/08/2020', '2', '8', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.32047984');
INSERT INTO public.ecdc_import VALUES (35967, '01/08/2020', '1', '8', '2020', '13', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.34591474');
INSERT INTO public.ecdc_import VALUES (35968, '31/07/2020', '31', '7', '2020', '1', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.41713249');
INSERT INTO public.ecdc_import VALUES (35969, '30/07/2020', '30', '7', '2020', '1', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.44765438');
INSERT INTO public.ecdc_import VALUES (35970, '29/07/2020', '29', '7', '2020', '7', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.49343721');
INSERT INTO public.ecdc_import VALUES (35971, '28/07/2020', '28', '7', '2020', '3', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.51378513');
INSERT INTO public.ecdc_import VALUES (35972, '27/07/2020', '27', '7', '2020', '7', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.50361117');
INSERT INTO public.ecdc_import VALUES (35973, '26/07/2020', '26', '7', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.49343721');
INSERT INTO public.ecdc_import VALUES (35974, '25/07/2020', '25', '7', '2020', '9', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.50361117');
INSERT INTO public.ecdc_import VALUES (35975, '24/07/2020', '24', '7', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.69182949');
INSERT INTO public.ecdc_import VALUES (35976, '23/07/2020', '23', '7', '2020', '17', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.69182949');
INSERT INTO public.ecdc_import VALUES (35977, '22/07/2020', '22', '7', '2020', '2', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.65622062');
INSERT INTO public.ecdc_import VALUES (35978, '21/07/2020', '21', '7', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.73252534');
INSERT INTO public.ecdc_import VALUES (35979, '20/07/2020', '20', '7', '2020', '3', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.73761232');
INSERT INTO public.ecdc_import VALUES (35980, '19/07/2020', '19', '7', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.85969988');
INSERT INTO public.ecdc_import VALUES (35981, '18/07/2020', '18', '7', '2020', '27', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.92583064');
INSERT INTO public.ecdc_import VALUES (35982, '17/07/2020', '17', '7', '2020', '7', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.91565668');
INSERT INTO public.ecdc_import VALUES (35983, '16/07/2020', '16', '7', '2020', '10', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.17509273');
INSERT INTO public.ecdc_import VALUES (35984, '15/07/2020', '15', '7', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.23104953');
INSERT INTO public.ecdc_import VALUES (35985, '14/07/2020', '14', '7', '2020', '1', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.21578859');
INSERT INTO public.ecdc_import VALUES (35986, '13/07/2020', '13', '7', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.34296313');
INSERT INTO public.ecdc_import VALUES (35987, '12/07/2020', '12', '7', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.46505068');
INSERT INTO public.ecdc_import VALUES (35988, '11/07/2020', '11', '7', '2020', '46', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.85674826');
INSERT INTO public.ecdc_import VALUES (35989, '10/07/2020', '10', '7', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.78553052');
INSERT INTO public.ecdc_import VALUES (35990, '09/07/2020', '9', '7', '2020', '10', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.81605241');
INSERT INTO public.ecdc_import VALUES (35991, '08/07/2020', '8', '7', '2020', '17', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.88218317');
INSERT INTO public.ecdc_import VALUES (35992, '07/07/2020', '7', '7', '2020', '1', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.88218317');
INSERT INTO public.ecdc_import VALUES (35993, '06/07/2020', '6', '7', '2020', '27', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.87709619');
INSERT INTO public.ecdc_import VALUES (35994, '05/07/2020', '5', '7', '2020', '18', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.88218317');
INSERT INTO public.ecdc_import VALUES (35995, '04/07/2020', '4', '7', '2020', '25', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.84148732');
INSERT INTO public.ecdc_import VALUES (35996, '03/07/2020', '3', '7', '2020', '58', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.80079146');
INSERT INTO public.ecdc_import VALUES (35997, '02/07/2020', '2', '7', '2020', '21', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.58713824');
INSERT INTO public.ecdc_import VALUES (35998, '01/07/2020', '1', '7', '2020', '8', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.50574653');
INSERT INTO public.ecdc_import VALUES (35999, '30/06/2020', '30', '6', '2020', '26', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.59222522');
INSERT INTO public.ecdc_import VALUES (36000, '29/06/2020', '29', '6', '2020', '29', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.71939976');
INSERT INTO public.ecdc_import VALUES (36001, '28/06/2020', '28', '6', '2020', '79', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.73974768');
INSERT INTO public.ecdc_import VALUES (36002, '27/06/2020', '27', '6', '2020', '32', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.4599637');
INSERT INTO public.ecdc_import VALUES (36003, '26/06/2020', '26', '6', '2020', '6', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.44978974');
INSERT INTO public.ecdc_import VALUES (36004, '25/06/2020', '25', '6', '2020', '23', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.69905183');
INSERT INTO public.ecdc_import VALUES (36005, '24/06/2020', '24', '6', '2020', '17', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.99409676');
INSERT INTO public.ecdc_import VALUES (36006, '23/06/2020', '23', '6', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.10601036');
INSERT INTO public.ecdc_import VALUES (36007, '22/06/2020', '22', '6', '2020', '28', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.1772281');
INSERT INTO public.ecdc_import VALUES (36008, '21/06/2020', '21', '6', '2020', '10', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.08566243');
INSERT INTO public.ecdc_import VALUES (36009, '20/06/2020', '20', '6', '2020', '17', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.22809791');
INSERT INTO public.ecdc_import VALUES (36010, '19/06/2020', '19', '6', '2020', '16', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.26370678');
INSERT INTO public.ecdc_import VALUES (36011, '18/06/2020', '18', '6', '2020', '5', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.74188305');
INSERT INTO public.ecdc_import VALUES (36012, '17/06/2020', '17', '6', '2020', '25', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.71644814');
INSERT INTO public.ecdc_import VALUES (36013, '16/06/2020', '16', '6', '2020', '51', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.77240494');
INSERT INTO public.ecdc_import VALUES (36014, '15/06/2020', '15', '6', '2020', '33', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.76731795');
INSERT INTO public.ecdc_import VALUES (36015, '14/06/2020', '14', '6', '2020', '24', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.67575229');
INSERT INTO public.ecdc_import VALUES (36016, '13/06/2020', '13', '6', '2020', '30', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.67575229');
INSERT INTO public.ecdc_import VALUES (36017, '12/06/2020', '12', '6', '2020', '55', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.68592625');
INSERT INTO public.ecdc_import VALUES (36018, '11/06/2020', '11', '6', '2020', '81', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.80292683');
INSERT INTO public.ecdc_import VALUES (36019, '10/06/2020', '10', '6', '2020', '39', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.5892736');
INSERT INTO public.ecdc_import VALUES (36020, '09/06/2020', '9', '6', '2020', '14', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.48244699');
INSERT INTO public.ecdc_import VALUES (36021, '08/06/2020', '8', '6', '2020', '10', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.55875171');
INSERT INTO public.ecdc_import VALUES (36022, '07/06/2020', '7', '6', '2020', '38', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.58418662');
INSERT INTO public.ecdc_import VALUES (36023, '06/06/2020', '6', '6', '2020', '24', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.62488247');
INSERT INTO public.ecdc_import VALUES (36024, '05/06/2020', '5', '6', '2020', '110', '7', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.61470851');
INSERT INTO public.ecdc_import VALUES (36025, '04/06/2020', '4', '6', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.13653224');
INSERT INTO public.ecdc_import VALUES (36026, '03/06/2020', '3', '6', '2020', '36', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.28914169');
INSERT INTO public.ecdc_import VALUES (36027, '02/06/2020', '2', '6', '2020', '50', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.24335886');
INSERT INTO public.ecdc_import VALUES (36028, '01/06/2020', '1', '6', '2020', '15', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.06022752');
INSERT INTO public.ecdc_import VALUES (36029, '31/05/2020', '31', '5', '2020', '24', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.11109734');
INSERT INTO public.ecdc_import VALUES (36030, '30/05/2020', '30', '5', '2020', '32', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.13653224');
INSERT INTO public.ecdc_import VALUES (36031, '29/05/2020', '29', '5', '2020', '78', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '2.11109734');
INSERT INTO public.ecdc_import VALUES (36032, '28/05/2020', '28', '5', '2020', '39', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.82113939');
INSERT INTO public.ecdc_import VALUES (36033, '27/05/2020', '27', '5', '2020', '18', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.76518259');
INSERT INTO public.ecdc_import VALUES (36034, '26/05/2020', '26', '5', '2020', '29', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.76518259');
INSERT INTO public.ecdc_import VALUES (36035, '25/05/2020', '25', '5', '2020', '15', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.65835598');
INSERT INTO public.ecdc_import VALUES (36036, '24/05/2020', '24', '5', '2020', '46', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.64309504');
INSERT INTO public.ecdc_import VALUES (36037, '23/05/2020', '23', '5', '2020', '22', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.53118144');
INSERT INTO public.ecdc_import VALUES (36038, '22/05/2020', '22', '5', '2020', '16', '5', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.51083352');
INSERT INTO public.ecdc_import VALUES (36039, '21/05/2020', '21', '5', '2020', '30', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.52609446');
INSERT INTO public.ecdc_import VALUES (36040, '20/05/2020', '20', '5', '2020', '27', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.47013766');
INSERT INTO public.ecdc_import VALUES (36041, '19/05/2020', '19', '5', '2020', '14', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.49557257');
INSERT INTO public.ecdc_import VALUES (36042, '18/05/2020', '18', '5', '2020', '25', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.51083352');
INSERT INTO public.ecdc_import VALUES (36043, '17/05/2020', '17', '5', '2020', '29', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.48031163');
INSERT INTO public.ecdc_import VALUES (36044, '16/05/2020', '16', '5', '2020', '27', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.5159205');
INSERT INTO public.ecdc_import VALUES (36045, '15/05/2020', '15', '5', '2020', '21', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.47013766');
INSERT INTO public.ecdc_import VALUES (36046, '14/05/2020', '14', '5', '2020', '28', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.4040069');
INSERT INTO public.ecdc_import VALUES (36047, '13/05/2020', '13', '5', '2020', '18', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.55661635');
INSERT INTO public.ecdc_import VALUES (36048, '12/05/2020', '12', '5', '2020', '8', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.54644239');
INSERT INTO public.ecdc_import VALUES (36049, '11/05/2020', '11', '5', '2020', '12', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.60239918');
INSERT INTO public.ecdc_import VALUES (36050, '10/05/2020', '10', '5', '2020', '24', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.63800805');
INSERT INTO public.ecdc_import VALUES (36051, '09/05/2020', '9', '5', '2020', '18', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.74483467');
INSERT INTO public.ecdc_import VALUES (36052, '08/05/2020', '8', '5', '2020', '19', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.7346607');
INSERT INTO public.ecdc_import VALUES (36053, '07/05/2020', '7', '5', '2020', '19', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.71939976');
INSERT INTO public.ecdc_import VALUES (36054, '06/05/2020', '6', '5', '2020', '32', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.80079146');
INSERT INTO public.ecdc_import VALUES (36055, '05/05/2020', '5', '5', '2020', '17', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.69905183');
INSERT INTO public.ecdc_import VALUES (36056, '04/05/2020', '4', '5', '2020', '19', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.72448674');
INSERT INTO public.ecdc_import VALUES (36057, '03/05/2020', '3', '5', '2020', '36', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.66852994');
INSERT INTO public.ecdc_import VALUES (36058, '02/05/2020', '2', '5', '2020', '18', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.61766013');
INSERT INTO public.ecdc_import VALUES (36059, '01/05/2020', '1', '5', '2020', '8', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.62274711');
INSERT INTO public.ecdc_import VALUES (36060, '30/04/2020', '30', '4', '2020', '58', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.69905183');
INSERT INTO public.ecdc_import VALUES (36061, '29/04/2020', '29', '4', '2020', '16', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.42435483');
INSERT INTO public.ecdc_import VALUES (36062, '28/04/2020', '28', '4', '2020', '19', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.44978974');
INSERT INTO public.ecdc_import VALUES (36063, '27/04/2020', '27', '4', '2020', '19', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.38874596');
INSERT INTO public.ecdc_import VALUES (36064, '26/04/2020', '26', '4', '2020', '45', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.34805011');
INSERT INTO public.ecdc_import VALUES (36065, '25/04/2020', '25', '4', '2020', '16', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.21070161');
INSERT INTO public.ecdc_import VALUES (36066, '24/04/2020', '24', '4', '2020', '16', '4', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.27174538');
INSERT INTO public.ecdc_import VALUES (36067, '23/04/2020', '23', '4', '2020', '35', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.19035368');
INSERT INTO public.ecdc_import VALUES (36068, '22/04/2020', '22', '4', '2020', '12', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.02757027');
INSERT INTO public.ecdc_import VALUES (36069, '21/04/2020', '21', '4', '2020', '22', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '1.01230933');
INSERT INTO public.ecdc_import VALUES (36070, '20/04/2020', '20', '4', '2020', '8', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.91056969');
INSERT INTO public.ecdc_import VALUES (36071, '19/04/2020', '19', '4', '2020', '26', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.89022177');
INSERT INTO public.ecdc_import VALUES (36072, '18/04/2020', '18', '4', '2020', '19', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.76813421');
INSERT INTO public.ecdc_import VALUES (36073, '17/04/2020', '17', '4', '2020', '23', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.68674251');
INSERT INTO public.ecdc_import VALUES (36074, '16/04/2020', '16', '4', '2020', '4', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.61043778');
INSERT INTO public.ecdc_import VALUES (36075, '15/04/2020', '15', '4', '2020', '21', '3', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.64095967');
INSERT INTO public.ecdc_import VALUES (36076, '14/04/2020', '14', '4', '2020', '7', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.53413306');
INSERT INTO public.ecdc_import VALUES (36077, '13/04/2020', '13', '4', '2020', '11', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.49852419');
INSERT INTO public.ecdc_import VALUES (36078, '12/04/2020', '12', '4', '2020', '18', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.48835023');
INSERT INTO public.ecdc_import VALUES (36079, '11/04/2020', '11', '4', '2020', '28', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.42221947');
INSERT INTO public.ecdc_import VALUES (36080, '10/04/2020', '10', '4', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.27978398');
INSERT INTO public.ecdc_import VALUES (36081, '09/04/2020', '9', '4', '2020', '3', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.28995795');
INSERT INTO public.ecdc_import VALUES (36082, '08/04/2020', '8', '4', '2020', '9', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '0.28487097');
INSERT INTO public.ecdc_import VALUES (36083, '07/04/2020', '7', '4', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36084, '06/04/2020', '6', '4', '2020', '4', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36085, '05/04/2020', '5', '4', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36086, '04/04/2020', '4', '4', '2020', '3', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36087, '03/04/2020', '3', '4', '2020', '8', '2', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36088, '02/04/2020', '2', '4', '2020', '10', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36089, '01/04/2020', '1', '4', '2020', '0', '1', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36090, '31/03/2020', '31', '3', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36091, '30/03/2020', '30', '3', '2020', '9', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36092, '29/03/2020', '29', '3', '2020', '5', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36093, '28/03/2020', '28', '3', '2020', '0', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36094, '27/03/2020', '27', '3', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36095, '26/03/2020', '26', '3', '2020', '2', '0', '19658023', 'Mali', 'ML', 'MLI', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36096, '14/12/2020', '14', '12', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '273.32092009');
INSERT INTO public.ecdc_import VALUES (36097, '13/12/2020', '13', '12', '2020', '121', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '302.29415328');
INSERT INTO public.ecdc_import VALUES (36098, '12/12/2020', '12', '12', '2020', '96', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '299.66022299');
INSERT INTO public.ecdc_import VALUES (36099, '11/12/2020', '11', '12', '2020', '106', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '294.39236241');
INSERT INTO public.ecdc_import VALUES (36100, '10/12/2020', '10', '12', '2020', '79', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '287.09840161');
INSERT INTO public.ecdc_import VALUES (36101, '09/12/2020', '9', '12', '2020', '40', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '285.07230139');
INSERT INTO public.ecdc_import VALUES (36102, '08/12/2020', '8', '12', '2020', '139', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '310.6011642');
INSERT INTO public.ecdc_import VALUES (36103, '07/12/2020', '7', '12', '2020', '97', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '309.38550406');
INSERT INTO public.ecdc_import VALUES (36104, '06/12/2020', '6', '12', '2020', '103', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '305.94113368');
INSERT INTO public.ecdc_import VALUES (36105, '05/12/2020', '5', '12', '2020', '123', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '305.73852366');
INSERT INTO public.ecdc_import VALUES (36106, '04/12/2020', '4', '12', '2020', '96', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '309.38550406');
INSERT INTO public.ecdc_import VALUES (36107, '03/12/2020', '3', '12', '2020', '126', '5', '493559', 'Malta', 'MT', 'MLT', 'Europe', '314.45075462');
INSERT INTO public.ecdc_import VALUES (36108, '02/12/2020', '2', '12', '2020', '102', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '317.28729493');
INSERT INTO public.ecdc_import VALUES (36109, '01/12/2020', '1', '12', '2020', '121', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '331.67260652');
INSERT INTO public.ecdc_import VALUES (36110, '30/11/2020', '30', '11', '2020', '143', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '329.44389627');
INSERT INTO public.ecdc_import VALUES (36111, '29/11/2020', '29', '11', '2020', '108', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '321.33949538');
INSERT INTO public.ecdc_import VALUES (36112, '28/11/2020', '28', '11', '2020', '70', '6', '493559', 'Malta', 'MT', 'MLT', 'Europe', '323.16298558');
INSERT INTO public.ecdc_import VALUES (36113, '27/11/2020', '27', '11', '2020', '70', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '333.49609672');
INSERT INTO public.ecdc_import VALUES (36114, '26/11/2020', '26', '11', '2020', '69', '5', '493559', 'Malta', 'MT', 'MLT', 'Europe', '349.7048985');
INSERT INTO public.ecdc_import VALUES (36115, '25/11/2020', '25', '11', '2020', '166', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '357.80929939');
INSERT INTO public.ecdc_import VALUES (36116, '24/11/2020', '24', '11', '2020', '133', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '352.74404884');
INSERT INTO public.ecdc_import VALUES (36117, '23/11/2020', '23', '11', '2020', '80', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '356.79624928');
INSERT INTO public.ecdc_import VALUES (36118, '22/11/2020', '22', '11', '2020', '102', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '361.25366977');
INSERT INTO public.ecdc_import VALUES (36119, '21/11/2020', '21', '11', '2020', '141', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '361.25366977');
INSERT INTO public.ecdc_import VALUES (36120, '20/11/2020', '20', '11', '2020', '121', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '362.26671989');
INSERT INTO public.ecdc_import VALUES (36121, '19/11/2020', '19', '11', '2020', '140', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '363.88760006');
INSERT INTO public.ecdc_import VALUES (36122, '18/11/2020', '18', '11', '2020', '173', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '370.5737308');
INSERT INTO public.ecdc_import VALUES (36123, '17/11/2020', '17', '11', '2020', '110', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '352.54143881');
INSERT INTO public.ecdc_import VALUES (36124, '16/11/2020', '16', '11', '2020', '103', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '351.73099873');
INSERT INTO public.ecdc_import VALUES (36125, '15/11/2020', '15', '11', '2020', '117', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '375.03115129');
INSERT INTO public.ecdc_import VALUES (36126, '14/11/2020', '14', '11', '2020', '121', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '379.6911818');
INSERT INTO public.ecdc_import VALUES (36127, '13/11/2020', '13', '11', '2020', '150', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '375.43637134');
INSERT INTO public.ecdc_import VALUES (36128, '12/11/2020', '12', '11', '2020', '109', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '360.44322968');
INSERT INTO public.ecdc_import VALUES (36129, '11/11/2020', '11', '11', '2020', '141', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '359.83539962');
INSERT INTO public.ecdc_import VALUES (36130, '10/11/2020', '10', '11', '2020', '153', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '346.66574817');
INSERT INTO public.ecdc_import VALUES (36131, '09/11/2020', '9', '11', '2020', '102', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '337.34568714');
INSERT INTO public.ecdc_import VALUES (36132, '08/11/2020', '8', '11', '2020', '102', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '332.88826665');
INSERT INTO public.ecdc_import VALUES (36133, '07/11/2020', '7', '11', '2020', '146', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '336.9404671');
INSERT INTO public.ecdc_import VALUES (36134, '06/11/2020', '6', '11', '2020', '129', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '330.65955641');
INSERT INTO public.ecdc_import VALUES (36135, '05/11/2020', '5', '11', '2020', '173', '4', '493559', 'Malta', 'MT', 'MLT', 'Europe', '329.03867623');
INSERT INTO public.ecdc_import VALUES (36136, '04/11/2020', '4', '11', '2020', '84', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '316.47685484');
INSERT INTO public.ecdc_import VALUES (36137, '03/11/2020', '3', '11', '2020', '106', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '330.86216643');
INSERT INTO public.ecdc_import VALUES (36138, '02/11/2020', '2', '11', '2020', '218', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '336.53524705');
INSERT INTO public.ecdc_import VALUES (36139, '01/11/2020', '1', '11', '2020', '140', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '314.45075462');
INSERT INTO public.ecdc_import VALUES (36140, '31/10/2020', '31', '10', '2020', '100', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '314.85597467');
INSERT INTO public.ecdc_import VALUES (36141, '30/10/2020', '30', '10', '2020', '76', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '335.92741699');
INSERT INTO public.ecdc_import VALUES (36142, '29/10/2020', '29', '10', '2020', '106', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '345.24747801');
INSERT INTO public.ecdc_import VALUES (36143, '28/10/2020', '28', '10', '2020', '76', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '346.46313815');
INSERT INTO public.ecdc_import VALUES (36144, '27/10/2020', '27', '10', '2020', '107', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '353.55448893');
INSERT INTO public.ecdc_import VALUES (36145, '26/10/2020', '26', '10', '2020', '80', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '350.92055864');
INSERT INTO public.ecdc_import VALUES (36146, '25/10/2020', '25', '10', '2020', '122', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '348.48923837');
INSERT INTO public.ecdc_import VALUES (36147, '24/10/2020', '24', '10', '2020', '115', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '343.01876777');
INSERT INTO public.ecdc_import VALUES (36148, '23/10/2020', '23', '10', '2020', '121', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '339.97961743');
INSERT INTO public.ecdc_import VALUES (36149, '22/10/2020', '22', '10', '2020', '111', '3', '493559', 'Malta', 'MT', 'MLT', 'Europe', '330.65955641');
INSERT INTO public.ecdc_import VALUES (36150, '21/10/2020', '21', '10', '2020', '155', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '321.13688536');
INSERT INTO public.ecdc_import VALUES (36151, '20/10/2020', '20', '10', '2020', '134', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '303.50981342');
INSERT INTO public.ecdc_import VALUES (36152, '19/10/2020', '19', '10', '2020', '109', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '285.88274148');
INSERT INTO public.ecdc_import VALUES (36153, '18/10/2020', '18', '10', '2020', '142', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '275.34702032');
INSERT INTO public.ecdc_import VALUES (36154, '17/10/2020', '17', '10', '2020', '204', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '259.94865862');
INSERT INTO public.ecdc_import VALUES (36155, '16/10/2020', '16', '10', '2020', '122', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '231.78586552');
INSERT INTO public.ecdc_import VALUES (36156, '15/10/2020', '15', '10', '2020', '112', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '215.98228378');
INSERT INTO public.ecdc_import VALUES (36157, '14/10/2020', '14', '10', '2020', '111', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '200.78653211');
INSERT INTO public.ecdc_import VALUES (36158, '13/10/2020', '13', '10', '2020', '94', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '182.95685014');
INSERT INTO public.ecdc_import VALUES (36159, '12/10/2020', '12', '10', '2020', '68', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '167.76109847');
INSERT INTO public.ecdc_import VALUES (36160, '11/10/2020', '11', '10', '2020', '95', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '159.45408756');
INSERT INTO public.ecdc_import VALUES (36161, '10/10/2020', '10', '10', '2020', '100', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '144.46094591');
INSERT INTO public.ecdc_import VALUES (36162, '09/10/2020', '9', '10', '2020', '75', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '130.07563432');
INSERT INTO public.ecdc_import VALUES (36163, '08/10/2020', '8', '10', '2020', '64', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '121.16079334');
INSERT INTO public.ecdc_import VALUES (36164, '07/10/2020', '7', '10', '2020', '68', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '116.70337285');
INSERT INTO public.ecdc_import VALUES (36165, '06/10/2020', '6', '10', '2020', '47', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '111.43551227');
INSERT INTO public.ecdc_import VALUES (36166, '05/10/2020', '5', '10', '2020', '57', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '109.61202207');
INSERT INTO public.ecdc_import VALUES (36167, '04/10/2020', '4', '10', '2020', '66', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '107.38331182');
INSERT INTO public.ecdc_import VALUES (36168, '03/10/2020', '3', '10', '2020', '65', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '100.49457106');
INSERT INTO public.ecdc_import VALUES (36169, '02/10/2020', '2', '10', '2020', '44', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '100.49457106');
INSERT INTO public.ecdc_import VALUES (36170, '01/10/2020', '1', '10', '2020', '37', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '99.27891093');
INSERT INTO public.ecdc_import VALUES (36171, '30/09/2020', '30', '9', '2020', '23', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '98.87369089');
INSERT INTO public.ecdc_import VALUES (36172, '29/09/2020', '29', '9', '2020', '19', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '115.69032274');
INSERT INTO public.ecdc_import VALUES (36173, '28/09/2020', '28', '9', '2020', '27', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '121.76862341');
INSERT INTO public.ecdc_import VALUES (36174, '27/09/2020', '27', '9', '2020', '21', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '127.03648399');
INSERT INTO public.ecdc_import VALUES (36175, '26/09/2020', '26', '9', '2020', '29', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '138.58525526');
INSERT INTO public.ecdc_import VALUES (36176, '25/09/2020', '25', '9', '2020', '31', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '138.18003521');
INSERT INTO public.ecdc_import VALUES (36177, '24/09/2020', '24', '9', '2020', '42', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '140.61135548');
INSERT INTO public.ecdc_import VALUES (36178, '23/09/2020', '23', '9', '2020', '42', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '140.61135548');
INSERT INTO public.ecdc_import VALUES (36179, '22/09/2020', '22', '9', '2020', '38', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '144.86616595');
INSERT INTO public.ecdc_import VALUES (36180, '21/09/2020', '21', '9', '2020', '46', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '141.82701562');
INSERT INTO public.ecdc_import VALUES (36181, '20/09/2020', '20', '9', '2020', '32', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '140.00352541');
INSERT INTO public.ecdc_import VALUES (36182, '19/09/2020', '19', '9', '2020', '65', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '138.58525526');
INSERT INTO public.ecdc_import VALUES (36183, '18/09/2020', '18', '9', '2020', '38', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '131.49390448');
INSERT INTO public.ecdc_import VALUES (36184, '17/09/2020', '17', '9', '2020', '35', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '127.64431405');
INSERT INTO public.ecdc_import VALUES (36185, '16/09/2020', '16', '9', '2020', '106', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '127.44170403');
INSERT INTO public.ecdc_import VALUES (36186, '15/09/2020', '15', '9', '2020', '49', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '110.21985214');
INSERT INTO public.ecdc_import VALUES (36187, '14/09/2020', '14', '9', '2020', '53', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '105.55982162');
INSERT INTO public.ecdc_import VALUES (36188, '13/09/2020', '13', '9', '2020', '78', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '99.07630091');
INSERT INTO public.ecdc_import VALUES (36189, '12/09/2020', '12', '9', '2020', '27', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '86.3118695');
INSERT INTO public.ecdc_import VALUES (36190, '11/09/2020', '11', '9', '2020', '43', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '86.51447953');
INSERT INTO public.ecdc_import VALUES (36191, '10/09/2020', '10', '9', '2020', '42', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '84.28576928');
INSERT INTO public.ecdc_import VALUES (36192, '09/09/2020', '9', '9', '2020', '63', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '83.27271917');
INSERT INTO public.ecdc_import VALUES (36193, '08/09/2020', '8', '9', '2020', '23', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '79.82834879');
INSERT INTO public.ecdc_import VALUES (36194, '07/09/2020', '7', '9', '2020', '37', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '82.86749912');
INSERT INTO public.ecdc_import VALUES (36195, '06/09/2020', '6', '9', '2020', '25', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '86.91969957');
INSERT INTO public.ecdc_import VALUES (36196, '05/09/2020', '5', '9', '2020', '30', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '88.94579979');
INSERT INTO public.ecdc_import VALUES (36197, '04/09/2020', '4', '9', '2020', '19', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '89.14840982');
INSERT INTO public.ecdc_import VALUES (36198, '03/09/2020', '3', '9', '2020', '34', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '92.59278019');
INSERT INTO public.ecdc_import VALUES (36199, '02/09/2020', '2', '9', '2020', '21', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '93.80844033');
INSERT INTO public.ecdc_import VALUES (36200, '01/09/2020', '1', '9', '2020', '26', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '99.07630091');
INSERT INTO public.ecdc_import VALUES (36201, '31/08/2020', '31', '8', '2020', '21', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '103.73633142');
INSERT INTO public.ecdc_import VALUES (36202, '30/08/2020', '30', '8', '2020', '15', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '113.25900247');
INSERT INTO public.ecdc_import VALUES (36203, '29/08/2020', '29', '8', '2020', '28', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '122.98428354');
INSERT INTO public.ecdc_import VALUES (36204, '28/08/2020', '28', '8', '2020', '32', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '131.89912452');
INSERT INTO public.ecdc_import VALUES (36205, '27/08/2020', '27', '8', '2020', '37', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '131.6965145');
INSERT INTO public.ecdc_import VALUES (36206, '26/08/2020', '26', '8', '2020', '46', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '135.3434949');
INSERT INTO public.ecdc_import VALUES (36207, '25/08/2020', '25', '8', '2020', '38', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '135.95132497');
INSERT INTO public.ecdc_import VALUES (36208, '24/08/2020', '24', '8', '2020', '57', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '134.12783477');
INSERT INTO public.ecdc_import VALUES (36209, '23/08/2020', '23', '8', '2020', '35', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '127.23909401');
INSERT INTO public.ecdc_import VALUES (36210, '22/08/2020', '22', '8', '2020', '31', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '131.08868443');
INSERT INTO public.ecdc_import VALUES (36211, '21/08/2020', '21', '8', '2020', '36', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '132.91217463');
INSERT INTO public.ecdc_import VALUES (36212, '20/08/2020', '20', '8', '2020', '40', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '135.74871495');
INSERT INTO public.ecdc_import VALUES (36213, '19/08/2020', '19', '8', '2020', '47', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '131.49390448');
INSERT INTO public.ecdc_import VALUES (36214, '18/08/2020', '18', '8', '2020', '49', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '126.2260439');
INSERT INTO public.ecdc_import VALUES (36215, '17/08/2020', '17', '8', '2020', '68', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '119.53991316');
INSERT INTO public.ecdc_import VALUES (36216, '16/08/2020', '16', '8', '2020', '63', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '108.59897196');
INSERT INTO public.ecdc_import VALUES (36217, '15/08/2020', '15', '8', '2020', '72', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '98.87369089');
INSERT INTO public.ecdc_import VALUES (36218, '14/08/2020', '14', '8', '2020', '31', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '87.93274968');
INSERT INTO public.ecdc_import VALUES (36219, '13/08/2020', '13', '8', '2020', '55', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '83.47532919');
INSERT INTO public.ecdc_import VALUES (36220, '12/08/2020', '12', '8', '2020', '49', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '74.15526816');
INSERT INTO public.ecdc_import VALUES (36221, '11/08/2020', '11', '8', '2020', '29', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '66.86130736');
INSERT INTO public.ecdc_import VALUES (36222, '10/08/2020', '10', '8', '2020', '23', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '62.20127685');
INSERT INTO public.ecdc_import VALUES (36223, '09/08/2020', '9', '8', '2020', '54', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '57.74385636');
INSERT INTO public.ecdc_import VALUES (36224, '08/08/2020', '8', '8', '2020', '40', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '49.63945547');
INSERT INTO public.ecdc_import VALUES (36225, '07/08/2020', '7', '8', '2020', '50', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '42.34549466');
INSERT INTO public.ecdc_import VALUES (36226, '06/08/2020', '6', '8', '2020', '19', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '32.62021359');
INSERT INTO public.ecdc_import VALUES (36227, '05/08/2020', '5', '8', '2020', '21', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '28.97323319');
INSERT INTO public.ecdc_import VALUES (36228, '04/08/2020', '4', '8', '2020', '16', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '25.12364277');
INSERT INTO public.ecdc_import VALUES (36229, '03/08/2020', '3', '8', '2020', '14', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '21.88188241');
INSERT INTO public.ecdc_import VALUES (36230, '02/08/2020', '2', '8', '2020', '15', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '19.24795212');
INSERT INTO public.ecdc_import VALUES (36231, '01/08/2020', '1', '8', '2020', '18', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '16.20880178');
INSERT INTO public.ecdc_import VALUES (36232, '31/07/2020', '31', '7', '2020', '9', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '12.76443141');
INSERT INTO public.ecdc_import VALUES (36233, '30/07/2020', '30', '7', '2020', '9', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '10.9409412');
INSERT INTO public.ecdc_import VALUES (36234, '29/07/2020', '29', '7', '2020', '13', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '9.117451');
INSERT INTO public.ecdc_import VALUES (36235, '28/07/2020', '28', '7', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '6.48352071');
INSERT INTO public.ecdc_import VALUES (36236, '27/07/2020', '27', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.26786058');
INSERT INTO public.ecdc_import VALUES (36237, '26/07/2020', '26', '7', '2020', '14', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.06525056');
INSERT INTO public.ecdc_import VALUES (36238, '25/07/2020', '25', '7', '2020', '4', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '2.22871025');
INSERT INTO public.ecdc_import VALUES (36239, '24/07/2020', '24', '7', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.41827016');
INSERT INTO public.ecdc_import VALUES (36240, '23/07/2020', '23', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.01305011');
INSERT INTO public.ecdc_import VALUES (36241, '22/07/2020', '22', '7', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.01305011');
INSERT INTO public.ecdc_import VALUES (36242, '21/07/2020', '21', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.60783007');
INSERT INTO public.ecdc_import VALUES (36243, '20/07/2020', '20', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.81044009');
INSERT INTO public.ecdc_import VALUES (36244, '19/07/2020', '19', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.60783007');
INSERT INTO public.ecdc_import VALUES (36245, '18/07/2020', '18', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.60783007');
INSERT INTO public.ecdc_import VALUES (36246, '17/07/2020', '17', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.40522004');
INSERT INTO public.ecdc_import VALUES (36247, '16/07/2020', '16', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.60783007');
INSERT INTO public.ecdc_import VALUES (36248, '15/07/2020', '15', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.60783007');
INSERT INTO public.ecdc_import VALUES (36249, '14/07/2020', '14', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.81044009');
INSERT INTO public.ecdc_import VALUES (36250, '13/07/2020', '13', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.81044009');
INSERT INTO public.ecdc_import VALUES (36251, '12/07/2020', '12', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.81044009');
INSERT INTO public.ecdc_import VALUES (36252, '11/07/2020', '11', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.81044009');
INSERT INTO public.ecdc_import VALUES (36253, '10/07/2020', '10', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '0.81044009');
INSERT INTO public.ecdc_import VALUES (36254, '09/07/2020', '9', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.21566013');
INSERT INTO public.ecdc_import VALUES (36255, '08/07/2020', '8', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.62088018');
INSERT INTO public.ecdc_import VALUES (36256, '07/07/2020', '7', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.62088018');
INSERT INTO public.ecdc_import VALUES (36257, '06/07/2020', '6', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.41827016');
INSERT INTO public.ecdc_import VALUES (36258, '05/07/2020', '5', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.41827016');
INSERT INTO public.ecdc_import VALUES (36259, '04/07/2020', '4', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.62088018');
INSERT INTO public.ecdc_import VALUES (36260, '03/07/2020', '3', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.8234902');
INSERT INTO public.ecdc_import VALUES (36261, '02/07/2020', '2', '7', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.62088018');
INSERT INTO public.ecdc_import VALUES (36262, '01/07/2020', '1', '7', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '1.8234902');
INSERT INTO public.ecdc_import VALUES (36263, '30/06/2020', '30', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '2.83654031');
INSERT INTO public.ecdc_import VALUES (36264, '29/06/2020', '29', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.05220045');
INSERT INTO public.ecdc_import VALUES (36265, '28/06/2020', '28', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.45742049');
INSERT INTO public.ecdc_import VALUES (36266, '27/06/2020', '27', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.86264054');
INSERT INTO public.ecdc_import VALUES (36267, '26/06/2020', '26', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.06525056');
INSERT INTO public.ecdc_import VALUES (36268, '25/06/2020', '25', '6', '2020', '3', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.67308062');
INSERT INTO public.ecdc_import VALUES (36269, '24/06/2020', '24', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '6.07830067');
INSERT INTO public.ecdc_import VALUES (36270, '23/06/2020', '23', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '6.68613074');
INSERT INTO public.ecdc_import VALUES (36271, '22/06/2020', '22', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.09135078');
INSERT INTO public.ecdc_import VALUES (36272, '21/06/2020', '21', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.2939608');
INSERT INTO public.ecdc_import VALUES (36273, '20/06/2020', '20', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.49657083');
INSERT INTO public.ecdc_import VALUES (36274, '19/06/2020', '19', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.69918085');
INSERT INTO public.ecdc_import VALUES (36275, '18/06/2020', '18', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.30701091');
INSERT INTO public.ecdc_import VALUES (36276, '17/06/2020', '17', '6', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.10440089');
INSERT INTO public.ecdc_import VALUES (36277, '16/06/2020', '16', '6', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.2939608');
INSERT INTO public.ecdc_import VALUES (36278, '15/06/2020', '15', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '6.28091069');
INSERT INTO public.ecdc_import VALUES (36279, '14/06/2020', '14', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '6.07830067');
INSERT INTO public.ecdc_import VALUES (36280, '13/06/2020', '13', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.67308062');
INSERT INTO public.ecdc_import VALUES (36281, '12/06/2020', '12', '6', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.87569065');
INSERT INTO public.ecdc_import VALUES (36282, '11/06/2020', '11', '6', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.86264054');
INSERT INTO public.ecdc_import VALUES (36283, '10/06/2020', '10', '6', '2020', '3', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.66003051');
INSERT INTO public.ecdc_import VALUES (36284, '09/06/2020', '9', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.25481047');
INSERT INTO public.ecdc_import VALUES (36285, '08/06/2020', '8', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '3.84959042');
INSERT INTO public.ecdc_import VALUES (36286, '07/06/2020', '7', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '3.84959042');
INSERT INTO public.ecdc_import VALUES (36287, '06/06/2020', '6', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '3.6469804');
INSERT INTO public.ecdc_import VALUES (36288, '05/06/2020', '5', '6', '2020', '3', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '5.06525056');
INSERT INTO public.ecdc_import VALUES (36289, '04/06/2020', '4', '6', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '4.66003051');
INSERT INTO public.ecdc_import VALUES (36290, '03/06/2020', '3', '6', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.69918085');
INSERT INTO public.ecdc_import VALUES (36291, '02/06/2020', '2', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '10.33311114');
INSERT INTO public.ecdc_import VALUES (36292, '01/06/2020', '1', '6', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '12.35921136');
INSERT INTO public.ecdc_import VALUES (36293, '31/05/2020', '31', '5', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '13.16965145');
INSERT INTO public.ecdc_import VALUES (36294, '30/05/2020', '30', '5', '2020', '2', '2', '493559', 'Malta', 'MT', 'MLT', 'Europe', '14.58792161');
INSERT INTO public.ecdc_import VALUES (36295, '29/05/2020', '29', '5', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '17.01924187');
INSERT INTO public.ecdc_import VALUES (36296, '28/05/2020', '28', '5', '2020', '4', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '19.0453421');
INSERT INTO public.ecdc_import VALUES (36297, '27/05/2020', '27', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '21.07144232');
INSERT INTO public.ecdc_import VALUES (36298, '26/05/2020', '26', '5', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '21.27405234');
INSERT INTO public.ecdc_import VALUES (36299, '25/05/2020', '25', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '21.88188241');
INSERT INTO public.ecdc_import VALUES (36300, '24/05/2020', '24', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '23.09754254');
INSERT INTO public.ecdc_import VALUES (36301, '23/05/2020', '23', '5', '2020', '9', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '24.11059265');
INSERT INTO public.ecdc_import VALUES (36302, '22/05/2020', '22', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '22.48971248');
INSERT INTO public.ecdc_import VALUES (36303, '21/05/2020', '21', '5', '2020', '15', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '22.89493252');
INSERT INTO public.ecdc_import VALUES (36304, '20/05/2020', '20', '5', '2020', '15', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '20.26100223');
INSERT INTO public.ecdc_import VALUES (36305, '19/05/2020', '19', '5', '2020', '11', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '17.82968196');
INSERT INTO public.ecdc_import VALUES (36306, '18/05/2020', '18', '5', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '15.80358174');
INSERT INTO public.ecdc_import VALUES (36307, '17/05/2020', '17', '5', '2020', '7', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '15.3983617');
INSERT INTO public.ecdc_import VALUES (36308, '16/05/2020', '16', '5', '2020', '14', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '15.80358174');
INSERT INTO public.ecdc_import VALUES (36309, '15/05/2020', '15', '5', '2020', '10', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '13.16965145');
INSERT INTO public.ecdc_import VALUES (36310, '14/05/2020', '14', '5', '2020', '14', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '11.54877127');
INSERT INTO public.ecdc_import VALUES (36311, '13/05/2020', '13', '5', '2020', '2', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '9.117451');
INSERT INTO public.ecdc_import VALUES (36312, '12/05/2020', '12', '5', '2020', '3', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '9.72528107');
INSERT INTO public.ecdc_import VALUES (36313, '11/05/2020', '11', '5', '2020', '7', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '10.73833118');
INSERT INTO public.ecdc_import VALUES (36314, '10/05/2020', '10', '5', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '9.32006103');
INSERT INTO public.ecdc_import VALUES (36315, '09/05/2020', '9', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.50962094');
INSERT INTO public.ecdc_import VALUES (36316, '08/05/2020', '8', '5', '2020', '3', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.50962094');
INSERT INTO public.ecdc_import VALUES (36317, '07/05/2020', '7', '5', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.30701091');
INSERT INTO public.ecdc_import VALUES (36318, '06/05/2020', '6', '5', '2020', '3', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.90179087');
INSERT INTO public.ecdc_import VALUES (36319, '05/05/2020', '5', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '7.49657083');
INSERT INTO public.ecdc_import VALUES (36320, '04/05/2020', '4', '5', '2020', '3', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '9.72528107');
INSERT INTO public.ecdc_import VALUES (36321, '03/05/2020', '3', '5', '2020', '9', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '9.92789109');
INSERT INTO public.ecdc_import VALUES (36322, '02/05/2020', '2', '5', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.30701091');
INSERT INTO public.ecdc_import VALUES (36323, '01/05/2020', '1', '5', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '8.91484098');
INSERT INTO public.ecdc_import VALUES (36324, '30/04/2020', '30', '4', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '10.53572116');
INSERT INTO public.ecdc_import VALUES (36325, '29/04/2020', '29', '4', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '12.76443141');
INSERT INTO public.ecdc_import VALUES (36326, '28/04/2020', '28', '4', '2020', '8', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '12.96704143');
INSERT INTO public.ecdc_import VALUES (36327, '27/04/2020', '27', '4', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '13.16965145');
INSERT INTO public.ecdc_import VALUES (36328, '26/04/2020', '26', '4', '2020', '2', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '14.38531158');
INSERT INTO public.ecdc_import VALUES (36329, '25/04/2020', '25', '4', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '15.60097172');
INSERT INTO public.ecdc_import VALUES (36330, '24/04/2020', '24', '4', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '19.45056214');
INSERT INTO public.ecdc_import VALUES (36331, '23/04/2020', '23', '4', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '21.67927239');
INSERT INTO public.ecdc_import VALUES (36332, '22/04/2020', '22', '4', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '29.37845323');
INSERT INTO public.ecdc_import VALUES (36333, '21/04/2020', '21', '4', '2020', '12', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '30.39150335');
INSERT INTO public.ecdc_import VALUES (36334, '20/04/2020', '20', '4', '2020', '4', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '38.49590424');
INSERT INTO public.ecdc_import VALUES (36335, '19/04/2020', '19', '4', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '40.52200446');
INSERT INTO public.ecdc_import VALUES (36336, '18/04/2020', '18', '4', '2020', '4', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '43.15593475');
INSERT INTO public.ecdc_import VALUES (36337, '17/04/2020', '17', '4', '2020', '10', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '44.57420491');
INSERT INTO public.ecdc_import VALUES (36338, '16/04/2020', '16', '4', '2020', '13', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '43.96637484');
INSERT INTO public.ecdc_import VALUES (36339, '15/04/2020', '15', '4', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '42.75071471');
INSERT INTO public.ecdc_import VALUES (36340, '14/04/2020', '14', '4', '2020', '9', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '45.384645');
INSERT INTO public.ecdc_import VALUES (36341, '13/04/2020', '13', '4', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '46.19508509');
INSERT INTO public.ecdc_import VALUES (36342, '12/04/2020', '12', '4', '2020', '8', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '45.99247506');
INSERT INTO public.ecdc_import VALUES (36343, '11/04/2020', '11', '4', '2020', '20', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '44.77681493');
INSERT INTO public.ecdc_import VALUES (36344, '10/04/2020', '10', '4', '2020', '13', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '42.75071471');
INSERT INTO public.ecdc_import VALUES (36345, '09/04/2020', '9', '4', '2020', '38', '1', '493559', 'Malta', 'MT', 'MLT', 'Europe', '41.12983453');
INSERT INTO public.ecdc_import VALUES (36346, '08/04/2020', '8', '4', '2020', '6', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '34.44370379');
INSERT INTO public.ecdc_import VALUES (36347, '07/04/2020', '7', '4', '2020', '52', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '36.26719399');
INSERT INTO public.ecdc_import VALUES (36348, '06/04/2020', '6', '4', '2020', '14', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '27.14974299');
INSERT INTO public.ecdc_import VALUES (36349, '05/04/2020', '5', '4', '2020', '14', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '27.75757306');
INSERT INTO public.ecdc_import VALUES (36350, '04/04/2020', '4', '4', '2020', '11', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '28.36540312');
INSERT INTO public.ecdc_import VALUES (36351, '03/04/2020', '3', '4', '2020', '7', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '27.96018308');
INSERT INTO public.ecdc_import VALUES (36352, '02/04/2020', '2', '4', '2020', '7', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '28.97323319');
INSERT INTO public.ecdc_import VALUES (36353, '01/04/2020', '1', '4', '2020', '19', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '28.36540312');
INSERT INTO public.ecdc_import VALUES (36354, '31/03/2020', '31', '3', '2020', '13', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '26.54191292');
INSERT INTO public.ecdc_import VALUES (36355, '30/03/2020', '30', '3', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '25.52886281');
INSERT INTO public.ecdc_import VALUES (36356, '29/03/2020', '29', '3', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '26.74452294');
INSERT INTO public.ecdc_import VALUES (36357, '28/03/2020', '28', '3', '2020', '10', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '26.54191292');
INSERT INTO public.ecdc_import VALUES (36358, '27/03/2020', '27', '3', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '26.54191292');
INSERT INTO public.ecdc_import VALUES (36359, '26/03/2020', '26', '3', '2020', '5', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '25.73147283');
INSERT INTO public.ecdc_import VALUES (36360, '25/03/2020', '25', '3', '2020', '15', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '24.92103274');
INSERT INTO public.ecdc_import VALUES (36361, '24/03/2020', '24', '3', '2020', '7', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '22.08449243');
INSERT INTO public.ecdc_import VALUES (36362, '23/03/2020', '23', '3', '2020', '17', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '21.07144232');
INSERT INTO public.ecdc_import VALUES (36363, '22/03/2020', '22', '3', '2020', '17', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '17.62707194');
INSERT INTO public.ecdc_import VALUES (36364, '21/03/2020', '21', '3', '2020', '9', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '14.58792161');
INSERT INTO public.ecdc_import VALUES (36365, '20/03/2020', '20', '3', '2020', '12', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '12.96704143');
INSERT INTO public.ecdc_import VALUES (36366, '19/03/2020', '19', '3', '2020', '4', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36367, '18/03/2020', '18', '3', '2020', '10', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36368, '17/03/2020', '17', '3', '2020', '8', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36369, '16/03/2020', '16', '3', '2020', '11', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36370, '15/03/2020', '15', '3', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36371, '14/03/2020', '14', '3', '2020', '10', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36372, '13/03/2020', '13', '3', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36373, '12/03/2020', '12', '3', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36374, '11/03/2020', '11', '3', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36375, '10/03/2020', '10', '3', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36376, '09/03/2020', '9', '3', '2020', '0', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36377, '08/03/2020', '8', '3', '2020', '2', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36378, '07/03/2020', '7', '3', '2020', '1', '0', '493559', 'Malta', 'MT', 'MLT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (36379, '14/12/2020', '14', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36380, '13/12/2020', '13', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36381, '12/12/2020', '12', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36382, '11/12/2020', '11', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36383, '10/12/2020', '10', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36384, '09/12/2020', '9', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36385, '08/12/2020', '8', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36386, '07/12/2020', '7', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36387, '06/12/2020', '6', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36388, '05/12/2020', '5', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36389, '04/12/2020', '4', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36390, '03/12/2020', '3', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36391, '02/12/2020', '2', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36392, '01/12/2020', '1', '12', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36393, '30/11/2020', '30', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36394, '29/11/2020', '29', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36395, '28/11/2020', '28', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36396, '27/11/2020', '27', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36397, '26/11/2020', '26', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36398, '25/11/2020', '25', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36399, '24/11/2020', '24', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36400, '23/11/2020', '23', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36401, '22/11/2020', '22', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36402, '21/11/2020', '21', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36403, '20/11/2020', '20', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36404, '19/11/2020', '19', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36405, '18/11/2020', '18', '11', '2020', '3', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '5.10282186');
INSERT INTO public.ecdc_import VALUES (36406, '17/11/2020', '17', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36407, '16/11/2020', '16', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36408, '15/11/2020', '15', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36409, '14/11/2020', '14', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36410, '13/11/2020', '13', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36411, '12/11/2020', '12', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (36412, '11/11/2020', '11', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '1.70094062');
INSERT INTO public.ecdc_import VALUES (36413, '10/11/2020', '10', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36414, '09/11/2020', '9', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36415, '08/11/2020', '8', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36416, '07/11/2020', '7', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36417, '06/11/2020', '6', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36418, '05/11/2020', '5', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36419, '04/11/2020', '4', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36420, '03/11/2020', '3', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36421, '02/11/2020', '2', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36422, '01/11/2020', '1', '11', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36423, '31/10/2020', '31', '10', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36424, '30/10/2020', '30', '10', '2020', '0', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36425, '29/10/2020', '29', '10', '2020', '1', '0', '58791', 'Marshall_Islands', 'MH', 'MHL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (36426, '14/12/2020', '14', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '49.29626325');
INSERT INTO public.ecdc_import VALUES (36427, '13/12/2020', '13', '12', '2020', '512', '12', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '51.26281073');
INSERT INTO public.ecdc_import VALUES (36428, '12/12/2020', '12', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '40.70090404');
INSERT INTO public.ecdc_import VALUES (36429, '11/12/2020', '11', '12', '2020', '392', '13', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '44.633999');
INSERT INTO public.ecdc_import VALUES (36430, '10/12/2020', '10', '12', '2020', '197', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '37.14344174');
INSERT INTO public.ecdc_import VALUES (36431, '09/12/2020', '9', '12', '2020', '163', '6', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '32.79052204');
INSERT INTO public.ecdc_import VALUES (36432, '08/12/2020', '8', '12', '2020', '806', '11', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '30.6251102');
INSERT INTO public.ecdc_import VALUES (36433, '07/12/2020', '7', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '13.56696801');
INSERT INTO public.ecdc_import VALUES (36434, '06/12/2020', '6', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '13.56696801');
INSERT INTO public.ecdc_import VALUES (36435, '05/12/2020', '5', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '14.93692244');
INSERT INTO public.ecdc_import VALUES (36436, '04/12/2020', '4', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '14.93692244');
INSERT INTO public.ecdc_import VALUES (36437, '03/12/2020', '3', '12', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '16.74879764');
INSERT INTO public.ecdc_import VALUES (36438, '02/12/2020', '2', '12', '2020', '109', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '16.74879764');
INSERT INTO public.ecdc_import VALUES (36439, '01/12/2020', '1', '12', '2020', '52', '2', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '15.820764');
INSERT INTO public.ecdc_import VALUES (36440, '30/11/2020', '30', '11', '2020', '89', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '14.67176997');
INSERT INTO public.ecdc_import VALUES (36441, '29/11/2020', '29', '11', '2020', '34', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '12.70522249');
INSERT INTO public.ecdc_import VALUES (36442, '28/11/2020', '28', '11', '2020', '178', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '11.95395716');
INSERT INTO public.ecdc_import VALUES (36443, '27/11/2020', '27', '11', '2020', '53', '2', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.0208622');
INSERT INTO public.ecdc_import VALUES (36444, '26/11/2020', '26', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.66732557');
INSERT INTO public.ecdc_import VALUES (36445, '25/11/2020', '25', '11', '2020', '65', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.28601467');
INSERT INTO public.ecdc_import VALUES (36446, '24/11/2020', '24', '11', '2020', '34', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.84977212');
INSERT INTO public.ecdc_import VALUES (36447, '23/11/2020', '23', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.40785134');
INSERT INTO public.ecdc_import VALUES (36448, '22/11/2020', '22', '11', '2020', '62', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.54042758');
INSERT INTO public.ecdc_import VALUES (36449, '21/11/2020', '21', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.39143354');
INSERT INTO public.ecdc_import VALUES (36450, '20/11/2020', '20', '11', '2020', '82', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.9880266');
INSERT INTO public.ecdc_import VALUES (36451, '19/11/2020', '19', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.59597613');
INSERT INTO public.ecdc_import VALUES (36452, '18/11/2020', '18', '11', '2020', '67', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.01580088');
INSERT INTO public.ecdc_import VALUES (36453, '17/11/2020', '17', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.53536626');
INSERT INTO public.ecdc_import VALUES (36454, '16/11/2020', '16', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.71213457');
INSERT INTO public.ecdc_import VALUES (36455, '15/11/2020', '15', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.71213457');
INSERT INTO public.ecdc_import VALUES (36456, '14/11/2020', '14', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.59597613');
INSERT INTO public.ecdc_import VALUES (36457, '13/11/2020', '13', '11', '2020', '37', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.59597613');
INSERT INTO public.ecdc_import VALUES (36458, '12/11/2020', '12', '11', '2020', '28', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.77842269');
INSERT INTO public.ecdc_import VALUES (36459, '11/11/2020', '11', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.15973359');
INSERT INTO public.ecdc_import VALUES (36460, '10/11/2020', '10', '11', '2020', '14', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.46907814');
INSERT INTO public.ecdc_import VALUES (36461, '09/11/2020', '9', '11', '2020', '6', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.18182963');
INSERT INTO public.ecdc_import VALUES (36462, '08/11/2020', '8', '11', '2020', '10', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.0492534');
INSERT INTO public.ecdc_import VALUES (36463, '07/11/2020', '7', '11', '2020', '27', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.35859794');
INSERT INTO public.ecdc_import VALUES (36464, '06/11/2020', '6', '11', '2020', '19', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.76200489');
INSERT INTO public.ecdc_import VALUES (36465, '05/11/2020', '5', '11', '2020', '19', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.4305643');
INSERT INTO public.ecdc_import VALUES (36466, '04/11/2020', '4', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.29798807');
INSERT INTO public.ecdc_import VALUES (36467, '03/11/2020', '3', '11', '2020', '8', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.58523658');
INSERT INTO public.ecdc_import VALUES (36468, '02/11/2020', '2', '11', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.51894846');
INSERT INTO public.ecdc_import VALUES (36469, '01/11/2020', '1', '11', '2020', '40', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.51894846');
INSERT INTO public.ecdc_import VALUES (36470, '31/10/2020', '31', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.0328356');
INSERT INTO public.ecdc_import VALUES (36471, '30/10/2020', '30', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.47475638');
INSERT INTO public.ecdc_import VALUES (36472, '29/10/2020', '29', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.47475638');
INSERT INTO public.ecdc_import VALUES (36473, '28/10/2020', '28', '10', '2020', '14', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.71781281');
INSERT INTO public.ecdc_import VALUES (36474, '27/10/2020', '27', '10', '2020', '1', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.49685242');
INSERT INTO public.ecdc_import VALUES (36475, '26/10/2020', '26', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.47475638');
INSERT INTO public.ecdc_import VALUES (36476, '25/10/2020', '25', '10', '2020', '24', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.07134944');
INSERT INTO public.ecdc_import VALUES (36477, '24/10/2020', '24', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.5410445');
INSERT INTO public.ecdc_import VALUES (36478, '23/10/2020', '23', '10', '2020', '4', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.5410445');
INSERT INTO public.ecdc_import VALUES (36479, '22/10/2020', '22', '10', '2020', '13', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.45266034');
INSERT INTO public.ecdc_import VALUES (36480, '21/10/2020', '21', '10', '2020', '13', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.16541183');
INSERT INTO public.ecdc_import VALUES (36481, '20/10/2020', '20', '10', '2020', '5', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.87816332');
INSERT INTO public.ecdc_import VALUES (36482, '19/10/2020', '19', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.83397125');
INSERT INTO public.ecdc_import VALUES (36483, '18/10/2020', '18', '10', '2020', '18', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.0328356');
INSERT INTO public.ecdc_import VALUES (36484, '17/10/2020', '17', '10', '2020', '20', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.76768313');
INSERT INTO public.ecdc_import VALUES (36485, '16/10/2020', '16', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.39205046');
INSERT INTO public.ecdc_import VALUES (36486, '15/10/2020', '15', '10', '2020', '11', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.70139501');
INSERT INTO public.ecdc_import VALUES (36487, '14/10/2020', '14', '10', '2020', '4', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.76768313');
INSERT INTO public.ecdc_import VALUES (36488, '13/10/2020', '13', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.90025936');
INSERT INTO public.ecdc_import VALUES (36489, '12/10/2020', '12', '10', '2020', '27', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.94445144');
INSERT INTO public.ecdc_import VALUES (36490, '11/10/2020', '11', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.45833858');
INSERT INTO public.ecdc_import VALUES (36491, '10/10/2020', '10', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.98864352');
INSERT INTO public.ecdc_import VALUES (36492, '09/10/2020', '9', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.98864352');
INSERT INTO public.ecdc_import VALUES (36493, '08/10/2020', '8', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.16541183');
INSERT INTO public.ecdc_import VALUES (36494, '07/10/2020', '7', '10', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.07134944');
INSERT INTO public.ecdc_import VALUES (36495, '06/10/2020', '6', '10', '2020', '3', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.07134944');
INSERT INTO public.ecdc_import VALUES (36496, '05/10/2020', '5', '10', '2020', '9', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.35859794');
INSERT INTO public.ecdc_import VALUES (36497, '04/10/2020', '4', '10', '2020', '6', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.31440587');
INSERT INTO public.ecdc_import VALUES (36498, '03/10/2020', '3', '10', '2020', '3', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.18182963');
INSERT INTO public.ecdc_import VALUES (36499, '02/10/2020', '2', '10', '2020', '14', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.75632665');
INSERT INTO public.ecdc_import VALUES (36500, '01/10/2020', '1', '10', '2020', '14', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.73423061');
INSERT INTO public.ecdc_import VALUES (36501, '30/09/2020', '30', '9', '2020', '10', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.42488606');
INSERT INTO public.ecdc_import VALUES (36502, '29/09/2020', '29', '9', '2020', '2', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.73423061');
INSERT INTO public.ecdc_import VALUES (36503, '28/09/2020', '28', '9', '2020', '5', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.10986327');
INSERT INTO public.ecdc_import VALUES (36504, '27/09/2020', '27', '9', '2020', '24', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.22034347');
INSERT INTO public.ecdc_import VALUES (36505, '26/09/2020', '26', '9', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.66226425');
INSERT INTO public.ecdc_import VALUES (36506, '25/09/2020', '25', '9', '2020', '8', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.10418503');
INSERT INTO public.ecdc_import VALUES (36507, '24/09/2020', '24', '9', '2020', '41', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.76706621');
INSERT INTO public.ecdc_import VALUES (36508, '23/09/2020', '23', '9', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.19256919');
INSERT INTO public.ecdc_import VALUES (36509, '22/09/2020', '22', '9', '2020', '16', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.34724146');
INSERT INTO public.ecdc_import VALUES (36510, '21/09/2020', '21', '9', '2020', '7', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.17047315');
INSERT INTO public.ecdc_import VALUES (36511, '20/09/2020', '20', '9', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.01580088');
INSERT INTO public.ecdc_import VALUES (36512, '19/09/2020', '19', '9', '2020', '29', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.19256919');
INSERT INTO public.ecdc_import VALUES (36513, '18/09/2020', '18', '9', '2020', '13', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.99370484');
INSERT INTO public.ecdc_import VALUES (36514, '17/09/2020', '17', '9', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.08208899');
INSERT INTO public.ecdc_import VALUES (36515, '16/09/2020', '16', '9', '2020', '24', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.39143354');
INSERT INTO public.ecdc_import VALUES (36516, '15/09/2020', '15', '9', '2020', '19', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.45772166');
INSERT INTO public.ecdc_import VALUES (36517, '14/09/2020', '14', '9', '2020', '10', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.61239393');
INSERT INTO public.ecdc_import VALUES (36518, '13/09/2020', '13', '9', '2020', '44', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.61239393');
INSERT INTO public.ecdc_import VALUES (36519, '12/09/2020', '12', '9', '2020', '20', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.41352958');
INSERT INTO public.ecdc_import VALUES (36520, '11/09/2020', '11', '9', '2020', '38', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.9716088');
INSERT INTO public.ecdc_import VALUES (36521, '10/09/2020', '10', '9', '2020', '15', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.50759198');
INSERT INTO public.ecdc_import VALUES (36522, '09/09/2020', '9', '9', '2020', '7', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.88322464');
INSERT INTO public.ecdc_import VALUES (36523, '08/09/2020', '8', '9', '2020', '8', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.23676127');
INSERT INTO public.ecdc_import VALUES (36524, '07/09/2020', '7', '9', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.50191374');
INSERT INTO public.ecdc_import VALUES (36525, '06/09/2020', '6', '9', '2020', '8', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.50191374');
INSERT INTO public.ecdc_import VALUES (36526, '05/09/2020', '5', '9', '2020', '20', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.32514543');
INSERT INTO public.ecdc_import VALUES (36527, '04/09/2020', '4', '9', '2020', '17', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.12060283');
INSERT INTO public.ecdc_import VALUES (36528, '03/09/2020', '3', '9', '2020', '14', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.74497017');
INSERT INTO public.ecdc_import VALUES (36529, '02/09/2020', '2', '9', '2020', '27', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.31946718');
INSERT INTO public.ecdc_import VALUES (36530, '01/09/2020', '1', '9', '2020', '26', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.66732557');
INSERT INTO public.ecdc_import VALUES (36531, '31/08/2020', '31', '8', '2020', '10', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.09282855');
INSERT INTO public.ecdc_import VALUES (36532, '30/08/2020', '30', '8', '2020', '35', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.61745525');
INSERT INTO public.ecdc_import VALUES (36533, '29/08/2020', '29', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.84409388');
INSERT INTO public.ecdc_import VALUES (36534, '28/08/2020', '28', '8', '2020', '17', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.84409388');
INSERT INTO public.ecdc_import VALUES (36535, '27/08/2020', '27', '8', '2020', '32', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.99876616');
INSERT INTO public.ecdc_import VALUES (36536, '26/08/2020', '26', '8', '2020', '23', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.35230278');
INSERT INTO public.ecdc_import VALUES (36537, '25/08/2020', '25', '8', '2020', '20', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.99308792');
INSERT INTO public.ecdc_import VALUES (36538, '24/08/2020', '24', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.55116713');
INSERT INTO public.ecdc_import VALUES (36539, '23/08/2020', '23', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.55116713');
INSERT INTO public.ecdc_import VALUES (36540, '22/08/2020', '22', '8', '2020', '56', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '11.11430767');
INSERT INTO public.ecdc_import VALUES (36541, '21/08/2020', '21', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '9.87692948');
INSERT INTO public.ecdc_import VALUES (36542, '20/08/2020', '20', '8', '2020', '40', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '9.87692948');
INSERT INTO public.ecdc_import VALUES (36543, '19/08/2020', '19', '8', '2020', '88', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.99308792');
INSERT INTO public.ecdc_import VALUES (36544, '18/08/2020', '18', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.35230278');
INSERT INTO public.ecdc_import VALUES (36545, '17/08/2020', '17', '8', '2020', '79', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.63955129');
INSERT INTO public.ecdc_import VALUES (36546, '16/08/2020', '16', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.8939642');
INSERT INTO public.ecdc_import VALUES (36547, '15/08/2020', '15', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.22540479');
INSERT INTO public.ecdc_import VALUES (36548, '14/08/2020', '14', '8', '2020', '24', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.77780577');
INSERT INTO public.ecdc_import VALUES (36549, '13/08/2020', '13', '8', '2020', '48', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.71151765');
INSERT INTO public.ecdc_import VALUES (36550, '12/08/2020', '12', '8', '2020', '52', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.37439882');
INSERT INTO public.ecdc_import VALUES (36551, '11/08/2020', '11', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.22540479');
INSERT INTO public.ecdc_import VALUES (36552, '10/08/2020', '10', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.22540479');
INSERT INTO public.ecdc_import VALUES (36553, '09/08/2020', '9', '8', '2020', '116', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '9.52339286');
INSERT INTO public.ecdc_import VALUES (36554, '08/08/2020', '8', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.96025232');
INSERT INTO public.ecdc_import VALUES (36555, '07/08/2020', '7', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '7.84409388');
INSERT INTO public.ecdc_import VALUES (36556, '06/08/2020', '6', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '10.14208195');
INSERT INTO public.ecdc_import VALUES (36557, '05/08/2020', '5', '8', '2020', '59', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '10.14208195');
INSERT INTO public.ecdc_import VALUES (36558, '04/08/2020', '4', '8', '2020', '13', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.83841564');
INSERT INTO public.ecdc_import VALUES (36559, '03/08/2020', '3', '8', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '9.65596909');
INSERT INTO public.ecdc_import VALUES (36560, '02/08/2020', '2', '8', '2020', '15', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '19.09097779');
INSERT INTO public.ecdc_import VALUES (36561, '01/08/2020', '1', '8', '2020', '25', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '18.7595372');
INSERT INTO public.ecdc_import VALUES (36562, '31/07/2020', '31', '7', '2020', '21', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '18.20713623');
INSERT INTO public.ecdc_import VALUES (36563, '30/07/2020', '30', '7', '2020', '78', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '17.7431194');
INSERT INTO public.ecdc_import VALUES (36564, '29/07/2020', '29', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '16.01962835');
INSERT INTO public.ecdc_import VALUES (36565, '28/07/2020', '28', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '18.03036791');
INSERT INTO public.ecdc_import VALUES (36566, '27/07/2020', '27', '7', '2020', '104', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '23.09036087');
INSERT INTO public.ecdc_import VALUES (36567, '26/07/2020', '26', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '20.7923728');
INSERT INTO public.ecdc_import VALUES (36568, '25/07/2020', '25', '7', '2020', '40', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '20.7923728');
INSERT INTO public.ecdc_import VALUES (36569, '24/07/2020', '24', '7', '2020', '104', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '20.77027676');
INSERT INTO public.ecdc_import VALUES (36570, '23/07/2020', '23', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '19.86433916');
INSERT INTO public.ecdc_import VALUES (36571, '22/07/2020', '22', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '23.06826483');
INSERT INTO public.ecdc_import VALUES (36572, '21/07/2020', '21', '7', '2020', '50', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '23.06826483');
INSERT INTO public.ecdc_import VALUES (36573, '20/07/2020', '20', '7', '2020', '427', '6', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '21.96346287');
INSERT INTO public.ecdc_import VALUES (36574, '19/07/2020', '19', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '13.67744821');
INSERT INTO public.ecdc_import VALUES (36575, '18/07/2020', '18', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '21.52154209');
INSERT INTO public.ecdc_import VALUES (36576, '17/07/2020', '17', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '21.52154209');
INSERT INTO public.ecdc_import VALUES (36577, '16/07/2020', '16', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '28.65856272');
INSERT INTO public.ecdc_import VALUES (36578, '15/07/2020', '15', '7', '2020', '91', '2', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '28.65856272');
INSERT INTO public.ecdc_import VALUES (36579, '14/07/2020', '14', '7', '2020', '229', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '26.64782316');
INSERT INTO public.ecdc_import VALUES (36580, '13/07/2020', '13', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '26.93507167');
INSERT INTO public.ecdc_import VALUES (36581, '12/07/2020', '12', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '26.93507167');
INSERT INTO public.ecdc_import VALUES (36582, '11/07/2020', '11', '7', '2020', '39', '5', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '30.64720624');
INSERT INTO public.ecdc_import VALUES (36583, '10/07/2020', '10', '7', '2020', '63', '4', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '29.78546072');
INSERT INTO public.ecdc_import VALUES (36584, '09/07/2020', '9', '7', '2020', '145', '5', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '38.27033974');
INSERT INTO public.ecdc_import VALUES (36585, '08/07/2020', '8', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '41.87199411');
INSERT INTO public.ecdc_import VALUES (36586, '07/07/2020', '7', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '41.87199411');
INSERT INTO public.ecdc_import VALUES (36587, '06/07/2020', '6', '7', '2020', '52', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '45.6504168');
INSERT INTO public.ecdc_import VALUES (36588, '05/07/2020', '5', '7', '2020', '355', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '44.50142276');
INSERT INTO public.ecdc_import VALUES (36589, '04/07/2020', '4', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '49.69399195');
INSERT INTO public.ecdc_import VALUES (36590, '03/07/2020', '3', '7', '2020', '323', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '49.69399195');
INSERT INTO public.ecdc_import VALUES (36591, '02/07/2020', '2', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '46.22491381');
INSERT INTO public.ecdc_import VALUES (36592, '01/07/2020', '1', '7', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '46.22491381');
INSERT INTO public.ecdc_import VALUES (36593, '30/06/2020', '30', '6', '2020', '242', '6', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '49.98124046');
INSERT INTO public.ecdc_import VALUES (36594, '29/06/2020', '29', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '46.93198707');
INSERT INTO public.ecdc_import VALUES (36595, '28/06/2020', '28', '6', '2020', '168', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '54.53302452');
INSERT INTO public.ecdc_import VALUES (36596, '27/06/2020', '27', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '50.82088995');
INSERT INTO public.ecdc_import VALUES (36597, '26/06/2020', '26', '6', '2020', '447', '5', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '56.94149278');
INSERT INTO public.ecdc_import VALUES (36598, '25/06/2020', '25', '6', '2020', '308', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '47.0645633');
INSERT INTO public.ecdc_import VALUES (36599, '24/06/2020', '24', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '40.25898326');
INSERT INTO public.ecdc_import VALUES (36600, '23/06/2020', '23', '6', '2020', '171', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '45.00963166');
INSERT INTO public.ecdc_import VALUES (36601, '22/06/2020', '22', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '41.23120898');
INSERT INTO public.ecdc_import VALUES (36602, '21/06/2020', '21', '6', '2020', '590', '13', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '41.23120898');
INSERT INTO public.ecdc_import VALUES (36603, '20/06/2020', '20', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '29.60869241');
INSERT INTO public.ecdc_import VALUES (36604, '19/06/2020', '19', '6', '2020', '166', '2', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '31.79620028');
INSERT INTO public.ecdc_import VALUES (36605, '18/06/2020', '18', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '30.69139832');
INSERT INTO public.ecdc_import VALUES (36606, '17/06/2020', '17', '6', '2020', '170', '2', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '30.69139832');
INSERT INTO public.ecdc_import VALUES (36607, '16/06/2020', '16', '6', '2020', '104', '4', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '29.98432507');
INSERT INTO public.ecdc_import VALUES (36608, '15/06/2020', '15', '6', '2020', '344', '13', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '27.686337');
INSERT INTO public.ecdc_import VALUES (36609, '14/06/2020', '14', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '21.12381339');
INSERT INTO public.ecdc_import VALUES (36610, '13/06/2020', '13', '6', '2020', '277', '13', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '22.44957573');
INSERT INTO public.ecdc_import VALUES (36611, '12/06/2020', '12', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '19.22355402');
INSERT INTO public.ecdc_import VALUES (36612, '11/06/2020', '11', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '19.22355402');
INSERT INTO public.ecdc_import VALUES (36613, '10/06/2020', '10', '6', '2020', '215', '18', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '19.8864352');
INSERT INTO public.ecdc_import VALUES (36614, '09/06/2020', '9', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '15.68818777');
INSERT INTO public.ecdc_import VALUES (36615, '08/06/2020', '8', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '15.68818777');
INSERT INTO public.ecdc_import VALUES (36616, '07/06/2020', '7', '6', '2020', '64', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '15.90914816');
INSERT INTO public.ecdc_import VALUES (36617, '06/06/2020', '6', '6', '2020', '99', '4', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '15.68818777');
INSERT INTO public.ecdc_import VALUES (36618, '05/06/2020', '5', '6', '2020', '116', '8', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '13.5006799');
INSERT INTO public.ecdc_import VALUES (36619, '04/06/2020', '4', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '11.865573');
INSERT INTO public.ecdc_import VALUES (36620, '03/06/2020', '3', '6', '2020', '138', '8', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '12.97037496');
INSERT INTO public.ecdc_import VALUES (36621, '02/06/2020', '2', '6', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '9.92112156');
INSERT INTO public.ecdc_import VALUES (36622, '01/06/2020', '1', '6', '2020', '47', '2', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '10.3409463');
INSERT INTO public.ecdc_import VALUES (36623, '31/05/2020', '31', '5', '2020', '60', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '10.03160176');
INSERT INTO public.ecdc_import VALUES (36624, '30/05/2020', '30', '5', '2020', '131', '4', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '8.70583941');
INSERT INTO public.ecdc_import VALUES (36625, '29/05/2020', '29', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.09850679');
INSERT INTO public.ecdc_import VALUES (36626, '28/05/2020', '28', '5', '2020', '30', '7', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '6.25317907');
INSERT INTO public.ecdc_import VALUES (36627, '27/05/2020', '27', '5', '2020', '25', '3', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.61239393');
INSERT INTO public.ecdc_import VALUES (36628, '26/05/2020', '26', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.05999296');
INSERT INTO public.ecdc_import VALUES (36629, '25/05/2020', '25', '5', '2020', '10', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '5.05999296');
INSERT INTO public.ecdc_import VALUES (36630, '24/05/2020', '24', '5', '2020', '54', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '4.83903256');
INSERT INTO public.ecdc_import VALUES (36631, '23/05/2020', '23', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.64584645');
INSERT INTO public.ecdc_import VALUES (36632, '22/05/2020', '22', '5', '2020', '42', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '3.64584645');
INSERT INTO public.ecdc_import VALUES (36633, '21/05/2020', '21', '5', '2020', '50', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '2.71781281');
INSERT INTO public.ecdc_import VALUES (36634, '20/05/2020', '20', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.61301085');
INSERT INTO public.ecdc_import VALUES (36635, '19/05/2020', '19', '5', '2020', '19', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.61301085');
INSERT INTO public.ecdc_import VALUES (36636, '18/05/2020', '18', '5', '2020', '33', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '1.19318611');
INSERT INTO public.ecdc_import VALUES (36637, '17/05/2020', '17', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.46401682');
INSERT INTO public.ecdc_import VALUES (36638, '16/05/2020', '16', '5', '2020', '13', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.46401682');
INSERT INTO public.ecdc_import VALUES (36639, '15/05/2020', '15', '5', '2020', '7', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.17676831');
INSERT INTO public.ecdc_import VALUES (36640, '14/05/2020', '14', '5', '2020', '1', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.04419208');
INSERT INTO public.ecdc_import VALUES (36641, '13/05/2020', '13', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36642, '12/05/2020', '12', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36643, '11/05/2020', '11', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36644, '10/05/2020', '10', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36645, '09/05/2020', '9', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36646, '08/05/2020', '8', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36647, '07/05/2020', '7', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36648, '06/05/2020', '6', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36649, '05/05/2020', '5', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36650, '04/05/2020', '4', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36651, '03/05/2020', '3', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36652, '02/05/2020', '2', '5', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36653, '01/05/2020', '1', '5', '2020', '1', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36654, '30/04/2020', '30', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36655, '29/04/2020', '29', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36656, '28/04/2020', '28', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36657, '27/04/2020', '27', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36658, '26/04/2020', '26', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36659, '25/04/2020', '25', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36660, '24/04/2020', '24', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36661, '23/04/2020', '23', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36662, '22/04/2020', '22', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36663, '21/04/2020', '21', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36664, '20/04/2020', '20', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36665, '19/04/2020', '19', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36666, '18/04/2020', '18', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36667, '17/04/2020', '17', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.02209604');
INSERT INTO public.ecdc_import VALUES (36668, '16/04/2020', '16', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.04419208');
INSERT INTO public.ecdc_import VALUES (36669, '15/04/2020', '15', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.04419208');
INSERT INTO public.ecdc_import VALUES (36670, '14/04/2020', '14', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.04419208');
INSERT INTO public.ecdc_import VALUES (36671, '13/04/2020', '13', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.04419208');
INSERT INTO public.ecdc_import VALUES (36672, '12/04/2020', '12', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.04419208');
INSERT INTO public.ecdc_import VALUES (36673, '11/04/2020', '11', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36674, '10/04/2020', '10', '4', '2020', '1', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36675, '09/04/2020', '9', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36676, '08/04/2020', '8', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36677, '07/04/2020', '7', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36678, '06/04/2020', '6', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36679, '05/04/2020', '5', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36680, '04/04/2020', '4', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36681, '03/04/2020', '3', '4', '2020', '1', '1', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36682, '02/04/2020', '2', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36683, '01/04/2020', '1', '4', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36684, '31/03/2020', '31', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36685, '30/03/2020', '30', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36686, '29/03/2020', '29', '3', '2020', '2', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.08838416');
INSERT INTO public.ecdc_import VALUES (36687, '28/03/2020', '28', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '0.06628812');
INSERT INTO public.ecdc_import VALUES (36688, '27/03/2020', '27', '3', '2020', '1', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36689, '26/03/2020', '26', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36690, '25/03/2020', '25', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36691, '24/03/2020', '24', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36692, '23/03/2020', '23', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36693, '22/03/2020', '22', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36694, '21/03/2020', '21', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36695, '20/03/2020', '20', '3', '2020', '1', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36696, '19/03/2020', '19', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36697, '18/03/2020', '18', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36698, '17/03/2020', '17', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36699, '16/03/2020', '16', '3', '2020', '0', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36700, '15/03/2020', '15', '3', '2020', '1', '0', '4525698', 'Mauritania', 'MR', 'MRT', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36701, '14/12/2020', '14', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36702, '13/12/2020', '13', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36703, '12/12/2020', '12', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36704, '11/12/2020', '11', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.41769121');
INSERT INTO public.ecdc_import VALUES (36705, '10/12/2020', '10', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.41769121');
INSERT INTO public.ecdc_import VALUES (36706, '09/12/2020', '9', '12', '2020', '10', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.41769121');
INSERT INTO public.ecdc_import VALUES (36707, '08/12/2020', '8', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36708, '07/12/2020', '7', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36709, '06/12/2020', '6', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36710, '05/12/2020', '5', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36711, '04/12/2020', '4', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36712, '03/12/2020', '3', '12', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36713, '02/12/2020', '2', '12', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36714, '01/12/2020', '1', '12', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36715, '30/11/2020', '30', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.81149433');
INSERT INTO public.ecdc_import VALUES (36716, '29/11/2020', '29', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.44157931');
INSERT INTO public.ecdc_import VALUES (36717, '28/11/2020', '28', '11', '2020', '4', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.44157931');
INSERT INTO public.ecdc_import VALUES (36718, '27/11/2020', '27', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.28405806');
INSERT INTO public.ecdc_import VALUES (36719, '26/11/2020', '26', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.54422803');
INSERT INTO public.ecdc_import VALUES (36720, '25/11/2020', '25', '11', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.54422803');
INSERT INTO public.ecdc_import VALUES (36721, '24/11/2020', '24', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.30794616');
INSERT INTO public.ecdc_import VALUES (36722, '23/11/2020', '23', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.30794616');
INSERT INTO public.ecdc_import VALUES (36723, '22/11/2020', '22', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.30794616');
INSERT INTO public.ecdc_import VALUES (36724, '21/11/2020', '21', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.30794616');
INSERT INTO public.ecdc_import VALUES (36725, '20/11/2020', '20', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.30794616');
INSERT INTO public.ecdc_import VALUES (36726, '19/11/2020', '19', '11', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.30794616');
INSERT INTO public.ecdc_import VALUES (36727, '18/11/2020', '18', '11', '2020', '13', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.15042491');
INSERT INTO public.ecdc_import VALUES (36728, '17/11/2020', '17', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.12653682');
INSERT INTO public.ecdc_import VALUES (36729, '16/11/2020', '16', '11', '2020', '8', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.52033993');
INSERT INTO public.ecdc_import VALUES (36730, '15/11/2020', '15', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.28405806');
INSERT INTO public.ecdc_import VALUES (36731, '14/11/2020', '14', '11', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.28405806');
INSERT INTO public.ecdc_import VALUES (36732, '13/11/2020', '13', '11', '2020', '16', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.12653682');
INSERT INTO public.ecdc_import VALUES (36733, '12/11/2020', '12', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36734, '11/11/2020', '11', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.0238881');
INSERT INTO public.ecdc_import VALUES (36735, '10/11/2020', '10', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.0238881');
INSERT INTO public.ecdc_import VALUES (36736, '09/11/2020', '9', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.33893059');
INSERT INTO public.ecdc_import VALUES (36737, '08/11/2020', '8', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.33893059');
INSERT INTO public.ecdc_import VALUES (36738, '07/11/2020', '7', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.33893059');
INSERT INTO public.ecdc_import VALUES (36739, '06/11/2020', '6', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.44157931');
INSERT INTO public.ecdc_import VALUES (36740, '05/11/2020', '5', '11', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.59910055');
INSERT INTO public.ecdc_import VALUES (36741, '04/11/2020', '4', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.52033993');
INSERT INTO public.ecdc_import VALUES (36742, '03/11/2020', '3', '11', '2020', '5', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.52033993');
INSERT INTO public.ecdc_import VALUES (36743, '02/11/2020', '2', '11', '2020', '5', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.07166429');
INSERT INTO public.ecdc_import VALUES (36744, '01/11/2020', '1', '11', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.67786118');
INSERT INTO public.ecdc_import VALUES (36745, '31/10/2020', '31', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.67786118');
INSERT INTO public.ecdc_import VALUES (36746, '30/10/2020', '30', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.67786118');
INSERT INTO public.ecdc_import VALUES (36747, '29/10/2020', '29', '10', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.67786118');
INSERT INTO public.ecdc_import VALUES (36748, '28/10/2020', '28', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.52033993');
INSERT INTO public.ecdc_import VALUES (36749, '27/10/2020', '27', '10', '2020', '4', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.7566218');
INSERT INTO public.ecdc_import VALUES (36750, '26/10/2020', '26', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.15042491');
INSERT INTO public.ecdc_import VALUES (36751, '25/10/2020', '25', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.15042491');
INSERT INTO public.ecdc_import VALUES (36752, '24/10/2020', '24', '10', '2020', '14', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '3.15042491');
INSERT INTO public.ecdc_import VALUES (36753, '23/10/2020', '23', '10', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36754, '22/10/2020', '22', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.89025495');
INSERT INTO public.ecdc_import VALUES (36755, '21/10/2020', '21', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.89025495');
INSERT INTO public.ecdc_import VALUES (36756, '20/10/2020', '20', '10', '2020', '12', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.99290367');
INSERT INTO public.ecdc_import VALUES (36757, '19/10/2020', '19', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36758, '18/10/2020', '18', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36759, '17/10/2020', '17', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36760, '16/10/2020', '16', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36761, '15/10/2020', '15', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36762, '14/10/2020', '14', '10', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.04777619');
INSERT INTO public.ecdc_import VALUES (36763, '13/10/2020', '13', '10', '2020', '9', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.91414305');
INSERT INTO public.ecdc_import VALUES (36764, '12/10/2020', '12', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.20529744');
INSERT INTO public.ecdc_import VALUES (36765, '11/10/2020', '11', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.20529744');
INSERT INTO public.ecdc_import VALUES (36766, '10/10/2020', '10', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.20529744');
INSERT INTO public.ecdc_import VALUES (36767, '09/10/2020', '9', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.20529744');
INSERT INTO public.ecdc_import VALUES (36768, '08/10/2020', '8', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.20529744');
INSERT INTO public.ecdc_import VALUES (36769, '07/10/2020', '7', '10', '2020', '14', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '2.20529744');
INSERT INTO public.ecdc_import VALUES (36770, '06/10/2020', '6', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36771, '05/10/2020', '5', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36772, '04/10/2020', '4', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.10264872');
INSERT INTO public.ecdc_import VALUES (36773, '03/10/2020', '3', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.18140934');
INSERT INTO public.ecdc_import VALUES (36774, '02/10/2020', '2', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.26016997');
INSERT INTO public.ecdc_import VALUES (36775, '01/10/2020', '1', '10', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.26016997');
INSERT INTO public.ecdc_import VALUES (36776, '30/09/2020', '30', '9', '2020', '14', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.49645183');
INSERT INTO public.ecdc_import VALUES (36777, '29/09/2020', '29', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.47256374');
INSERT INTO public.ecdc_import VALUES (36778, '28/09/2020', '28', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.47256374');
INSERT INTO public.ecdc_import VALUES (36779, '27/09/2020', '27', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36780, '26/09/2020', '26', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36781, '25/09/2020', '25', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36782, '24/09/2020', '24', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36783, '23/09/2020', '23', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36784, '22/09/2020', '22', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36785, '21/09/2020', '21', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36786, '20/09/2020', '20', '9', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.86636685');
INSERT INTO public.ecdc_import VALUES (36787, '19/09/2020', '19', '9', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36788, '18/09/2020', '18', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.70884561');
INSERT INTO public.ecdc_import VALUES (36789, '17/09/2020', '17', '9', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.70884561');
INSERT INTO public.ecdc_import VALUES (36790, '16/09/2020', '16', '9', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.47256374');
INSERT INTO public.ecdc_import VALUES (36791, '15/09/2020', '15', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.39380311');
INSERT INTO public.ecdc_import VALUES (36792, '14/09/2020', '14', '9', '2020', '5', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.18140934');
INSERT INTO public.ecdc_import VALUES (36793, '13/09/2020', '13', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36794, '12/09/2020', '12', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36795, '11/09/2020', '11', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36796, '10/09/2020', '10', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36797, '09/09/2020', '9', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36798, '08/09/2020', '8', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36799, '07/09/2020', '7', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36800, '06/09/2020', '6', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36801, '05/09/2020', '5', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36802, '04/09/2020', '4', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36803, '03/09/2020', '3', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36804, '02/09/2020', '2', '9', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36805, '01/09/2020', '1', '9', '2020', '10', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.78760623');
INSERT INTO public.ecdc_import VALUES (36806, '31/08/2020', '31', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36807, '30/08/2020', '30', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36808, '29/08/2020', '29', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36809, '28/08/2020', '28', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36810, '27/08/2020', '27', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36811, '26/08/2020', '26', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36812, '25/08/2020', '25', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36813, '24/08/2020', '24', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36814, '23/08/2020', '23', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36815, '22/08/2020', '22', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36816, '21/08/2020', '21', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36817, '20/08/2020', '20', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36818, '19/08/2020', '19', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36819, '18/08/2020', '18', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36820, '17/08/2020', '17', '8', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36821, '16/08/2020', '16', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36822, '15/08/2020', '15', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36823, '14/08/2020', '14', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36824, '13/08/2020', '13', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36825, '12/08/2020', '12', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36826, '11/08/2020', '11', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36827, '10/08/2020', '10', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36828, '09/08/2020', '9', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36829, '08/08/2020', '8', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36830, '07/08/2020', '7', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36831, '06/08/2020', '6', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36832, '05/08/2020', '5', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36833, '04/08/2020', '4', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36834, '03/08/2020', '3', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36835, '02/08/2020', '2', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36836, '01/08/2020', '1', '8', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36837, '31/07/2020', '31', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36838, '30/07/2020', '30', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36839, '29/07/2020', '29', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36840, '28/07/2020', '28', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36841, '27/07/2020', '27', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36842, '26/07/2020', '26', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36843, '25/07/2020', '25', '7', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36844, '24/07/2020', '24', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36845, '23/07/2020', '23', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36846, '22/07/2020', '22', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36847, '21/07/2020', '21', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36848, '20/07/2020', '20', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36849, '19/07/2020', '19', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36850, '18/07/2020', '18', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36851, '17/07/2020', '17', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36852, '16/07/2020', '16', '7', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36853, '15/07/2020', '15', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36854, '14/07/2020', '14', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36855, '13/07/2020', '13', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36856, '12/07/2020', '12', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36857, '11/07/2020', '11', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36858, '10/07/2020', '10', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36859, '09/07/2020', '9', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36860, '08/07/2020', '8', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36861, '07/07/2020', '7', '7', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36862, '06/07/2020', '6', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36863, '05/07/2020', '5', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36864, '04/07/2020', '4', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36865, '03/07/2020', '3', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36866, '02/07/2020', '2', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36867, '01/07/2020', '1', '7', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36868, '30/06/2020', '30', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36869, '29/06/2020', '29', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36870, '28/06/2020', '28', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36871, '27/06/2020', '27', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36872, '26/06/2020', '26', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36873, '25/06/2020', '25', '6', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36874, '24/06/2020', '24', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36875, '23/06/2020', '23', '6', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36876, '22/06/2020', '22', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36877, '21/06/2020', '21', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36878, '20/06/2020', '20', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36879, '19/06/2020', '19', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36880, '18/06/2020', '18', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36881, '17/06/2020', '17', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36882, '16/06/2020', '16', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36883, '15/06/2020', '15', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36884, '14/06/2020', '14', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36885, '13/06/2020', '13', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36886, '12/06/2020', '12', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36887, '11/06/2020', '11', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36888, '10/06/2020', '10', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36889, '09/06/2020', '9', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36890, '08/06/2020', '8', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36891, '07/06/2020', '7', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.39380311');
INSERT INTO public.ecdc_import VALUES (36892, '06/06/2020', '6', '6', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.39380311');
INSERT INTO public.ecdc_import VALUES (36893, '05/06/2020', '5', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36894, '04/06/2020', '4', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36895, '03/06/2020', '3', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36896, '02/06/2020', '2', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36897, '01/06/2020', '1', '6', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36898, '31/05/2020', '31', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36899, '30/05/2020', '30', '5', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36900, '29/05/2020', '29', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36901, '28/05/2020', '28', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36902, '27/05/2020', '27', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36903, '26/05/2020', '26', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36904, '25/05/2020', '25', '5', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.15752125');
INSERT INTO public.ecdc_import VALUES (36905, '24/05/2020', '24', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36906, '23/05/2020', '23', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36907, '22/05/2020', '22', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36908, '21/05/2020', '21', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36909, '20/05/2020', '20', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36910, '19/05/2020', '19', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36911, '18/05/2020', '18', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36912, '17/05/2020', '17', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36913, '16/05/2020', '16', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36914, '15/05/2020', '15', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36915, '14/05/2020', '14', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36916, '13/05/2020', '13', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36917, '12/05/2020', '12', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36918, '11/05/2020', '11', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (36919, '10/05/2020', '10', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36920, '09/05/2020', '9', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36921, '08/05/2020', '8', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.07876062');
INSERT INTO public.ecdc_import VALUES (36922, '07/05/2020', '7', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.23628187');
INSERT INTO public.ecdc_import VALUES (36923, '06/05/2020', '6', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36924, '05/05/2020', '5', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36925, '04/05/2020', '4', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.31504249');
INSERT INTO public.ecdc_import VALUES (36926, '03/05/2020', '3', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.55132436');
INSERT INTO public.ecdc_import VALUES (36927, '02/05/2020', '2', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.63008498');
INSERT INTO public.ecdc_import VALUES (36928, '01/05/2020', '1', '5', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.63008498');
INSERT INTO public.ecdc_import VALUES (36929, '30/04/2020', '30', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.63008498');
INSERT INTO public.ecdc_import VALUES (36930, '29/04/2020', '29', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.63008498');
INSERT INTO public.ecdc_import VALUES (36931, '28/04/2020', '28', '4', '2020', '0', '1', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.63008498');
INSERT INTO public.ecdc_import VALUES (36932, '27/04/2020', '27', '4', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.63008498');
INSERT INTO public.ecdc_import VALUES (36933, '26/04/2020', '26', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '0.94512747');
INSERT INTO public.ecdc_import VALUES (36934, '25/04/2020', '25', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.0238881');
INSERT INTO public.ecdc_import VALUES (36935, '24/04/2020', '24', '4', '2020', '2', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '1.33893059');
INSERT INTO public.ecdc_import VALUES (36936, '23/04/2020', '23', '4', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '4.41059488');
INSERT INTO public.ecdc_import VALUES (36937, '22/04/2020', '22', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '4.72563737');
INSERT INTO public.ecdc_import VALUES (36938, '21/04/2020', '21', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '6.61589232');
INSERT INTO public.ecdc_import VALUES (36939, '20/04/2020', '20', '4', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '7.95482291');
INSERT INTO public.ecdc_import VALUES (36940, '19/04/2020', '19', '4', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '10.16012035');
INSERT INTO public.ecdc_import VALUES (36941, '18/04/2020', '18', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '10.86896595');
INSERT INTO public.ecdc_import VALUES (36942, '17/04/2020', '17', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '12.20789654');
INSERT INTO public.ecdc_import VALUES (36943, '16/04/2020', '16', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '13.38930588');
INSERT INTO public.ecdc_import VALUES (36944, '15/04/2020', '15', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '14.25567273');
INSERT INTO public.ecdc_import VALUES (36945, '14/04/2020', '14', '4', '2020', '0', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '15.43708208');
INSERT INTO public.ecdc_import VALUES (36946, '13/04/2020', '13', '4', '2020', '5', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '16.85477329');
INSERT INTO public.ecdc_import VALUES (36947, '12/04/2020', '12', '4', '2020', '1', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '17.09105516');
INSERT INTO public.ecdc_import VALUES (36948, '11/04/2020', '11', '4', '2020', '4', '2', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '17.64237952');
INSERT INTO public.ecdc_import VALUES (36949, '10/04/2020', '10', '4', '2020', '41', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '18.35122512');
INSERT INTO public.ecdc_import VALUES (36950, '09/04/2020', '9', '4', '2020', '5', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '17.72114014');
INSERT INTO public.ecdc_import VALUES (36951, '08/04/2020', '8', '4', '2020', '24', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '17.79990076');
INSERT INTO public.ecdc_import VALUES (36952, '07/04/2020', '7', '4', '2020', '17', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '16.38220955');
INSERT INTO public.ecdc_import VALUES (36953, '06/04/2020', '6', '4', '2020', '31', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '15.67336394');
INSERT INTO public.ecdc_import VALUES (36954, '05/04/2020', '5', '4', '2020', '10', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '14.33443336');
INSERT INTO public.ecdc_import VALUES (36955, '04/04/2020', '4', '4', '2020', '17', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '13.70434837');
INSERT INTO public.ecdc_import VALUES (36956, '03/04/2020', '3', '4', '2020', '15', '2', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '13.07426339');
INSERT INTO public.ecdc_import VALUES (36957, '02/04/2020', '2', '4', '2020', '11', '2', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '12.12913592');
INSERT INTO public.ecdc_import VALUES (36958, '01/04/2020', '1', '4', '2020', '15', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36959, '31/03/2020', '31', '3', '2020', '18', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36960, '30/03/2020', '30', '3', '2020', '8', '1', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36961, '29/03/2020', '29', '3', '2020', '8', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36962, '28/03/2020', '28', '3', '2020', '13', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36963, '27/03/2020', '27', '3', '2020', '33', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36964, '26/03/2020', '26', '3', '2020', '6', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36965, '25/03/2020', '25', '3', '2020', '6', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36966, '24/03/2020', '24', '3', '2020', '8', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36967, '23/03/2020', '23', '3', '2020', '14', '1', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36968, '22/03/2020', '22', '3', '2020', '2', '1', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36969, '21/03/2020', '21', '3', '2020', '9', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36970, '20/03/2020', '20', '3', '2020', '3', '0', '1269670', 'Mauritius', 'MU', 'MUS', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (36971, '14/12/2020', '14', '12', '2020', '8608', '249', '127575529', 'Mexico', 'MX', 'MEX', 'America', '112.06929818');
INSERT INTO public.ecdc_import VALUES (36972, '13/12/2020', '13', '12', '2020', '12057', '685', '127575529', 'Mexico', 'MX', 'MEX', 'America', '110.32915254');
INSERT INTO public.ecdc_import VALUES (36973, '12/12/2020', '12', '12', '2020', '12253', '693', '127575529', 'Mexico', 'MX', 'MEX', 'America', '118.19272958');
INSERT INTO public.ecdc_import VALUES (36974, '11/12/2020', '11', '12', '2020', '11897', '671', '127575529', 'Mexico', 'MX', 'MEX', 'America', '108.58822306');
INSERT INTO public.ecdc_import VALUES (36975, '10/12/2020', '10', '12', '2020', '21974', '781', '127575529', 'Mexico', 'MX', 'MEX', 'America', '105.61743389');
INSERT INTO public.ecdc_import VALUES (36976, '09/12/2020', '9', '12', '2020', '1006', '800', '127575529', 'Mexico', 'MX', 'MEX', 'America', '96.49421089');
INSERT INTO public.ecdc_import VALUES (36977, '08/12/2020', '8', '12', '2020', '6399', '357', '127575529', 'Mexico', 'MX', 'MEX', 'America', '104.16652868');
INSERT INTO public.ecdc_import VALUES (36978, '07/12/2020', '7', '12', '2020', '7455', '261', '127575529', 'Mexico', 'MX', 'MEX', 'America', '105.01622141');
INSERT INTO public.ecdc_import VALUES (36979, '06/12/2020', '6', '12', '2020', '11625', '593', '127575529', 'Mexico', 'MX', 'MEX', 'America', '106.37384855');
INSERT INTO public.ecdc_import VALUES (36980, '05/12/2020', '5', '12', '2020', '12127', '690', '127575529', 'Mexico', 'MX', 'MEX', 'America', '102.52828346');
INSERT INTO public.ecdc_import VALUES (36981, '04/12/2020', '4', '12', '2020', '11030', '608', '127575529', 'Mexico', 'MX', 'MEX', 'America', '98.05955811');
INSERT INTO public.ecdc_import VALUES (36982, '03/12/2020', '3', '12', '2020', '11251', '800', '127575529', 'Mexico', 'MX', 'MEX', 'America', '92.91907385');
INSERT INTO public.ecdc_import VALUES (36983, '02/12/2020', '2', '12', '2020', '8819', '825', '127575529', 'Mexico', 'MX', 'MEX', 'America', '87.1711063');
INSERT INTO public.ecdc_import VALUES (36984, '01/12/2020', '1', '12', '2020', '6472', '285', '127575529', 'Mexico', 'MX', 'MEX', 'America', '81.63556194');
INSERT INTO public.ecdc_import VALUES (36985, '30/11/2020', '30', '11', '2020', '6388', '196', '127575529', 'Mexico', 'MX', 'MEX', 'America', '78.81527185');
INSERT INTO public.ecdc_import VALUES (36986, '29/11/2020', '29', '11', '2020', '22089', '1217', '127575529', 'Mexico', 'MX', 'MEX', 'America', '76.37044562');
INSERT INTO public.ecdc_import VALUES (36987, '28/11/2020', '28', '11', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '63.64935394');
INSERT INTO public.ecdc_import VALUES (36988, '27/11/2020', '27', '11', '2020', '8107', '645', '127575529', 'Mexico', 'MX', 'MEX', 'America', '68.00598883');
INSERT INTO public.ecdc_import VALUES (36989, '26/11/2020', '26', '11', '2020', '10335', '858', '127575529', 'Mexico', 'MX', 'MEX', 'America', '66.08634168');
INSERT INTO public.ecdc_import VALUES (36990, '25/11/2020', '25', '11', '2020', '10794', '813', '127575529', 'Mexico', 'MX', 'MEX', 'America', '63.97857069');
INSERT INTO public.ecdc_import VALUES (36991, '24/11/2020', '24', '11', '2020', '7483', '250', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.02169899');
INSERT INTO public.ecdc_import VALUES (36992, '23/11/2020', '23', '11', '2020', '9187', '303', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.04404699');
INSERT INTO public.ecdc_import VALUES (36993, '22/11/2020', '22', '11', '2020', '6719', '550', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.45734402');
INSERT INTO public.ecdc_import VALUES (36994, '21/11/2020', '21', '11', '2020', '6426', '719', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.52867431');
INSERT INTO public.ecdc_import VALUES (36995, '20/11/2020', '20', '11', '2020', '4472', '576', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.14066887');
INSERT INTO public.ecdc_import VALUES (36996, '19/11/2020', '19', '11', '2020', '3918', '502', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.99898394');
INSERT INTO public.ecdc_import VALUES (36997, '18/11/2020', '18', '11', '2020', '1757', '165', '127575529', 'Mexico', 'MX', 'MEX', 'America', '57.02347509');
INSERT INTO public.ecdc_import VALUES (36998, '17/11/2020', '17', '11', '2020', '2874', '319', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.76146099');
INSERT INTO public.ecdc_import VALUES (36999, '16/11/2020', '16', '11', '2020', '3269', '283', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.4583031');
INSERT INTO public.ecdc_import VALUES (37000, '15/11/2020', '15', '11', '2020', '5860', '635', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.36835223');
INSERT INTO public.ecdc_import VALUES (37001, '14/11/2020', '14', '11', '2020', '5558', '568', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.5964524');
INSERT INTO public.ecdc_import VALUES (37002, '13/11/2020', '13', '11', '2020', '5658', '626', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.94291383');
INSERT INTO public.ecdc_import VALUES (37003, '12/11/2020', '12', '11', '2020', '7646', '588', '127575529', 'Mexico', 'MX', 'MEX', 'America', '62.17023015');
INSERT INTO public.ecdc_import VALUES (37004, '11/11/2020', '11', '11', '2020', '5746', '617', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.56255506');
INSERT INTO public.ecdc_import VALUES (37005, '10/11/2020', '10', '11', '2020', '4960', '198', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.71618954');
INSERT INTO public.ecdc_import VALUES (37006, '09/11/2020', '9', '11', '2020', '5887', '219', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.09381313');
INSERT INTO public.ecdc_import VALUES (37007, '08/11/2020', '8', '11', '2020', '6810', '485', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.89687512');
INSERT INTO public.ecdc_import VALUES (37008, '07/11/2020', '7', '11', '2020', '5931', '551', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.28155335');
INSERT INTO public.ecdc_import VALUES (37009, '06/11/2020', '6', '11', '2020', '5567', '544', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.80908399');
INSERT INTO public.ecdc_import VALUES (37010, '05/11/2020', '5', '11', '2020', '5225', '635', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.6282066');
INSERT INTO public.ecdc_import VALUES (37011, '04/11/2020', '4', '11', '2020', '5250', '493', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.8980426');
INSERT INTO public.ecdc_import VALUES (37012, '03/11/2020', '3', '11', '2020', '3763', '205', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.31975357');
INSERT INTO public.ecdc_import VALUES (37013, '02/11/2020', '2', '11', '2020', '4430', '142', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.26958721');
INSERT INTO public.ecdc_import VALUES (37014, '01/11/2020', '1', '11', '2020', '6151', '464', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.83181562');
INSERT INTO public.ecdc_import VALUES (37015, '31/10/2020', '31', '10', '2020', '6000', '516', '127575529', 'Mexico', 'MX', 'MEX', 'America', '56.20513633');
INSERT INTO public.ecdc_import VALUES (37016, '30/10/2020', '30', '10', '2020', '5948', '464', '127575529', 'Mexico', 'MX', 'MEX', 'America', '51.79990279');
INSERT INTO public.ecdc_import VALUES (37017, '29/10/2020', '29', '10', '2020', '5595', '495', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.28982524');
INSERT INTO public.ecdc_import VALUES (37018, '28/10/2020', '28', '10', '2020', '5942', '643', '127575529', 'Mexico', 'MX', 'MEX', 'America', '45.9735503');
INSERT INTO public.ecdc_import VALUES (37019, '27/10/2020', '27', '10', '2020', '4166', '247', '127575529', 'Mexico', 'MX', 'MEX', 'America', '44.88086426');
INSERT INTO public.ecdc_import VALUES (37020, '26/10/2020', '26', '10', '2020', '4360', '181', '127575529', 'Mexico', 'MX', 'MEX', 'America', '45.79012955');
INSERT INTO public.ecdc_import VALUES (37021, '25/10/2020', '25', '10', '2020', '6025', '431', '127575529', 'Mexico', 'MX', 'MEX', 'America', '43.74428265');
INSERT INTO public.ecdc_import VALUES (37022, '24/10/2020', '24', '10', '2020', '6604', '418', '127575529', 'Mexico', 'MX', 'MEX', 'America', '40.93026336');
INSERT INTO public.ecdc_import VALUES (37023, '23/10/2020', '23', '10', '2020', '6612', '479', '127575529', 'Mexico', 'MX', 'MEX', 'America', '39.68002359');
INSERT INTO public.ecdc_import VALUES (37024, '22/10/2020', '22', '10', '2020', '6845', '522', '127575529', 'Mexico', 'MX', 'MEX', 'America', '38.36629202');
INSERT INTO public.ecdc_import VALUES (37025, '21/10/2020', '21', '10', '2020', '5788', '555', '127575529', 'Mexico', 'MX', 'MEX', 'America', '37.05726354');
INSERT INTO public.ecdc_import VALUES (37026, '20/10/2020', '20', '10', '2020', '3699', '171', '127575529', 'Mexico', 'MX', 'MEX', 'America', '36.75704923');
INSERT INTO public.ecdc_import VALUES (37027, '19/10/2020', '19', '10', '2020', '1320', '108', '127575529', 'Mexico', 'MX', 'MEX', 'America', '37.97044808');
INSERT INTO public.ecdc_import VALUES (37028, '18/10/2020', '18', '10', '2020', '2800', '355', '127575529', 'Mexico', 'MX', 'MEX', 'America', '38.17424892');
INSERT INTO public.ecdc_import VALUES (37029, '17/10/2020', '17', '10', '2020', '380', '419', '127575529', 'Mexico', 'MX', 'MEX', 'America', '37.75567335');
INSERT INTO public.ecdc_import VALUES (37030, '16/10/2020', '16', '10', '2020', '1470', '387', '127575529', 'Mexico', 'MX', 'MEX', 'America', '41.14111884');
INSERT INTO public.ecdc_import VALUES (37031, '15/10/2020', '15', '10', '2020', '2640', '478', '127575529', 'Mexico', 'MX', 'MEX', 'America', '43.87283395');
INSERT INTO public.ecdc_import VALUES (37032, '14/10/2020', '14', '10', '2020', '4548', '475', '127575529', 'Mexico', 'MX', 'MEX', 'America', '45.88889457');
INSERT INTO public.ecdc_import VALUES (37033, '13/10/2020', '13', '10', '2020', '5326', '303', '127575529', 'Mexico', 'MX', 'MEX', 'America', '46.82402689');
INSERT INTO public.ecdc_import VALUES (37034, '12/10/2020', '12', '10', '2020', '1750', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.3147166');
INSERT INTO public.ecdc_import VALUES (37035, '11/10/2020', '11', '10', '2020', '2435', '135', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.27630798');
INSERT INTO public.ecdc_import VALUES (37036, '10/10/2020', '10', '10', '2020', '5009', '411', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.35469292');
INSERT INTO public.ecdc_import VALUES (37037, '09/10/2020', '9', '10', '2020', '4936', '3013', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.40956238');
INSERT INTO public.ecdc_import VALUES (37038, '08/10/2020', '8', '10', '2020', '5175', '369', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.58200924');
INSERT INTO public.ecdc_import VALUES (37039, '07/10/2020', '7', '10', '2020', '5405', '446', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.83284105');
INSERT INTO public.ecdc_import VALUES (37040, '06/10/2020', '6', '10', '2020', '5247', '180', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.25141662');
INSERT INTO public.ecdc_import VALUES (37041, '05/10/2020', '5', '10', '2020', '1580', '208', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.86595454');
INSERT INTO public.ecdc_import VALUES (37042, '04/10/2020', '4', '10', '2020', '2266', '388', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.96080031');
INSERT INTO public.ecdc_import VALUES (37043, '03/10/2020', '3', '10', '2020', '4699', '414', '127575529', 'Mexico', 'MX', 'MEX', 'America', '49.26806927');
INSERT INTO public.ecdc_import VALUES (37044, '02/10/2020', '2', '10', '2020', '4955', '432', '127575529', 'Mexico', 'MX', 'MEX', 'America', '49.93590895');
INSERT INTO public.ecdc_import VALUES (37045, '01/10/2020', '1', '10', '2020', '5212', '483', '127575529', 'Mexico', 'MX', 'MEX', 'America', '50.75503155');
INSERT INTO public.ecdc_import VALUES (37046, '30/09/2020', '30', '9', '2020', '5741', '560', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.30158298');
INSERT INTO public.ecdc_import VALUES (37047, '29/09/2020', '29', '9', '2020', '5952', '173', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.01371844');
INSERT INTO public.ecdc_import VALUES (37048, '28/09/2020', '28', '9', '2020', '1701', '187', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.03958547');
INSERT INTO public.ecdc_import VALUES (37049, '27/09/2020', '27', '9', '2020', '2535', '399', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.11953811');
INSERT INTO public.ecdc_import VALUES (37050, '26/09/2020', '26', '9', '2020', '5079', '405', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.22457392');
INSERT INTO public.ecdc_import VALUES (37051, '25/09/2020', '25', '9', '2020', '5156', '490', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.40407543');
INSERT INTO public.ecdc_import VALUES (37052, '24/09/2020', '24', '9', '2020', '5495', '601', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.65961033');
INSERT INTO public.ecdc_import VALUES (37053, '23/09/2020', '23', '9', '2020', '5939', '651', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.96296004');
INSERT INTO public.ecdc_import VALUES (37054, '22/09/2020', '22', '9', '2020', '6031', '204', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.32666616');
INSERT INTO public.ecdc_import VALUES (37055, '21/09/2020', '21', '9', '2020', '1701', '235', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.44973051');
INSERT INTO public.ecdc_import VALUES (37056, '20/09/2020', '20', '9', '2020', '2658', '455', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.66842449');
INSERT INTO public.ecdc_import VALUES (37057, '19/09/2020', '19', '9', '2020', '5551', '624', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.73975478');
INSERT INTO public.ecdc_import VALUES (37058, '18/09/2020', '18', '9', '2020', '6000', '201', '127575529', 'Mexico', 'MX', 'MEX', 'America', '49.00783127');
INSERT INTO public.ecdc_import VALUES (37059, '17/09/2020', '17', '9', '2020', '2082', '300', '127575529', 'Mexico', 'MX', 'MEX', 'America', '49.12384098');
INSERT INTO public.ecdc_import VALUES (37060, '16/09/2020', '16', '9', '2020', '4098', '629', '127575529', 'Mexico', 'MX', 'MEX', 'America', '52.78912071');
INSERT INTO public.ecdc_import VALUES (37061, '15/09/2020', '15', '9', '2020', '5985', '228', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.01368527');
INSERT INTO public.ecdc_import VALUES (37062, '14/09/2020', '14', '9', '2020', '1803', '217', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.59686921');
INSERT INTO public.ecdc_import VALUES (37063, '13/09/2020', '13', '9', '2020', '2669', '421', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.84848486');
INSERT INTO public.ecdc_import VALUES (37064, '12/09/2020', '12', '9', '2020', '5308', '534', '127575529', 'Mexico', 'MX', 'MEX', 'America', '56.12126445');
INSERT INTO public.ecdc_import VALUES (37065, '11/09/2020', '11', '9', '2020', '5482', '554', '127575529', 'Mexico', 'MX', 'MEX', 'America', '56.8251612');
INSERT INTO public.ecdc_import VALUES (37066, '10/09/2020', '10', '9', '2020', '5882', '611', '127575529', 'Mexico', 'MX', 'MEX', 'America', '57.42558982');
INSERT INTO public.ecdc_import VALUES (37067, '09/09/2020', '9', '9', '2020', '6403', '703', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.18749143');
INSERT INTO public.ecdc_import VALUES (37068, '08/09/2020', '8', '9', '2020', '6188', '223', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.18749143');
INSERT INTO public.ecdc_import VALUES (37069, '07/09/2020', '7', '9', '2020', '1980', '4', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.70718357');
INSERT INTO public.ecdc_import VALUES (37070, '06/09/2020', '6', '9', '2020', '2749', '703', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.93449989');
INSERT INTO public.ecdc_import VALUES (37071, '05/09/2020', '5', '9', '2020', '5893', '522', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.15319387');
INSERT INTO public.ecdc_import VALUES (37072, '04/09/2020', '4', '9', '2020', '6148', '513', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.32955998');
INSERT INTO public.ecdc_import VALUES (37073, '03/09/2020', '3', '9', '2020', '6758', '575', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.08735052');
INSERT INTO public.ecdc_import VALUES (37074, '02/09/2020', '2', '9', '2020', '6936', '827', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.6092024');
INSERT INTO public.ecdc_import VALUES (37075, '01/09/2020', '1', '9', '2020', '6729', '256', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.31525888');
INSERT INTO public.ecdc_import VALUES (37076, '31/08/2020', '31', '8', '2020', '2124', '339', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.29958189');
INSERT INTO public.ecdc_import VALUES (37077, '30/08/2020', '30', '8', '2020', '3017', '673', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.40853695');
INSERT INTO public.ecdc_import VALUES (37078, '29/08/2020', '29', '8', '2020', '6206', '552', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.50808583');
INSERT INTO public.ecdc_import VALUES (37079, '28/08/2020', '28', '8', '2020', '6248', '518', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.38502147');
INSERT INTO public.ecdc_import VALUES (37080, '27/08/2020', '27', '8', '2020', '6854', '626', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.38580532');
INSERT INTO public.ecdc_import VALUES (37081, '26/08/2020', '26', '8', '2020', '6403', '650', '127575529', 'Mexico', 'MX', 'MEX', 'America', '57.95625586');
INSERT INTO public.ecdc_import VALUES (37082, '25/08/2020', '25', '8', '2020', '6851', '320', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.25411862');
INSERT INTO public.ecdc_import VALUES (37083, '24/08/2020', '24', '8', '2020', '2270', '226', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.43832323');
INSERT INTO public.ecdc_import VALUES (37084, '23/08/2020', '23', '8', '2020', '3028', '644', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.52219511');
INSERT INTO public.ecdc_import VALUES (37085, '22/08/2020', '22', '8', '2020', '6118', '504', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.98309855');
INSERT INTO public.ecdc_import VALUES (37086, '21/08/2020', '21', '8', '2020', '5839', '625', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.31309914');
INSERT INTO public.ecdc_import VALUES (37087, '20/08/2020', '20', '8', '2020', '6148', '707', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.92293397');
INSERT INTO public.ecdc_import VALUES (37088, '19/08/2020', '19', '8', '2020', '6561', '751', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.64642695');
INSERT INTO public.ecdc_import VALUES (37089, '18/08/2020', '18', '8', '2020', '6709', '266', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.21471775');
INSERT INTO public.ecdc_import VALUES (37090, '17/08/2020', '17', '8', '2020', '2263', '214', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.77987316');
INSERT INTO public.ecdc_import VALUES (37091, '16/08/2020', '16', '8', '2020', '3144', '635', '127575529', 'Mexico', 'MX', 'MEX', 'America', '61.94526538');
INSERT INTO public.ecdc_import VALUES (37092, '15/08/2020', '15', '8', '2020', '6049', '615', '127575529', 'Mexico', 'MX', 'MEX', 'America', '62.39754648');
INSERT INTO public.ecdc_import VALUES (37093, '14/08/2020', '14', '8', '2020', '6249', '627', '127575529', 'Mexico', 'MX', 'MEX', 'America', '62.87647845');
INSERT INTO public.ecdc_import VALUES (37094, '13/08/2020', '13', '8', '2020', '6306', '737', '127575529', 'Mexico', 'MX', 'MEX', 'America', '63.87588642');
INSERT INTO public.ecdc_import VALUES (37095, '12/08/2020', '12', '8', '2020', '6783', '926', '127575529', 'Mexico', 'MX', 'MEX', 'America', '64.90351296');
INSERT INTO public.ecdc_import VALUES (37096, '11/08/2020', '11', '8', '2020', '7086', '705', '127575529', 'Mexico', 'MX', 'MEX', 'America', '65.9436811');
INSERT INTO public.ecdc_import VALUES (37097, '10/08/2020', '10', '8', '2020', '2377', '292', '127575529', 'Mexico', 'MX', 'MEX', 'America', '66.98384923');
INSERT INTO public.ecdc_import VALUES (37098, '09/08/2020', '9', '8', '2020', '3616', '695', '127575529', 'Mexico', 'MX', 'MEX', 'America', '67.44475267');
INSERT INTO public.ecdc_import VALUES (37099, '08/08/2020', '8', '8', '2020', '6539', '794', '127575529', 'Mexico', 'MX', 'MEX', 'America', '67.83432581');
INSERT INTO public.ecdc_import VALUES (37100, '07/08/2020', '7', '8', '2020', '6617', '819', '127575529', 'Mexico', 'MX', 'MEX', 'America', '68.93955345');
INSERT INTO public.ecdc_import VALUES (37101, '06/08/2020', '6', '8', '2020', '7071', '829', '127575529', 'Mexico', 'MX', 'MEX', 'America', '70.01421095');
INSERT INTO public.ecdc_import VALUES (37102, '05/08/2020', '5', '8', '2020', '7286', '857', '127575529', 'Mexico', 'MX', 'MEX', 'America', '70.95874946');
INSERT INTO public.ecdc_import VALUES (37103, '04/08/2020', '4', '8', '2020', '7430', '266', '127575529', 'Mexico', 'MX', 'MEX', 'America', '71.99656605');
INSERT INTO public.ecdc_import VALUES (37104, '03/08/2020', '3', '8', '2020', '2474', '274', '127575529', 'Mexico', 'MX', 'MEX', 'America', '73.26169896');
INSERT INTO public.ecdc_import VALUES (37105, '02/08/2020', '2', '8', '2020', '3721', '784', '127575529', 'Mexico', 'MX', 'MEX', 'America', '73.97892115');
INSERT INTO public.ecdc_import VALUES (37106, '01/08/2020', '1', '8', '2020', '6660', '688', '127575529', 'Mexico', 'MX', 'MEX', 'America', '74.46725931');
INSERT INTO public.ecdc_import VALUES (37107, '31/07/2020', '31', '7', '2020', '7524', '639', '127575529', 'Mexico', 'MX', 'MEX', 'America', '75.43217791');
INSERT INTO public.ecdc_import VALUES (37108, '30/07/2020', '30', '7', '2020', '7617', '485', '127575529', 'Mexico', 'MX', 'MEX', 'America', '75.94559925');
INSERT INTO public.ecdc_import VALUES (37109, '29/07/2020', '29', '7', '2020', '8110', '854', '127575529', 'Mexico', 'MX', 'MEX', 'America', '76.82429441');
INSERT INTO public.ecdc_import VALUES (37110, '28/07/2020', '28', '7', '2020', '8413', '342', '127575529', 'Mexico', 'MX', 'MEX', 'America', '77.06101693');
INSERT INTO public.ecdc_import VALUES (37111, '27/07/2020', '27', '7', '2020', '2965', '306', '127575529', 'Mexico', 'MX', 'MEX', 'America', '77.35809585');
INSERT INTO public.ecdc_import VALUES (37112, '26/07/2020', '26', '7', '2020', '4113', '729', '127575529', 'Mexico', 'MX', 'MEX', 'America', '77.52348807');
INSERT INTO public.ecdc_import VALUES (37113, '25/07/2020', '25', '7', '2020', '7949', '737', '127575529', 'Mexico', 'MX', 'MEX', 'America', '77.29303635');
INSERT INTO public.ecdc_import VALUES (37114, '24/07/2020', '24', '7', '2020', '7988', '718', '127575529', 'Mexico', 'MX', 'MEX', 'America', '76.66674069');
INSERT INTO public.ecdc_import VALUES (37115, '23/07/2020', '23', '7', '2020', '8276', '790', '127575529', 'Mexico', 'MX', 'MEX', 'America', '75.96597934');
INSERT INTO public.ecdc_import VALUES (37116, '22/07/2020', '22', '7', '2020', '8610', '915', '127575529', 'Mexico', 'MX', 'MEX', 'America', '75.28011113');
INSERT INTO public.ecdc_import VALUES (37117, '21/07/2020', '21', '7', '2020', '9044', '301', '127575529', 'Mexico', 'MX', 'MEX', 'America', '74.66635706');
INSERT INTO public.ecdc_import VALUES (37118, '20/07/2020', '20', '7', '2020', '3389', '296', '127575529', 'Mexico', 'MX', 'MEX', 'America', '73.68027453');
INSERT INTO public.ecdc_import VALUES (37119, '19/07/2020', '19', '7', '2020', '4344', '578', '127575529', 'Mexico', 'MX', 'MEX', 'America', '73.3385162');
INSERT INTO public.ecdc_import VALUES (37120, '18/07/2020', '18', '7', '2020', '7891', '736', '127575529', 'Mexico', 'MX', 'MEX', 'America', '72.77336079');
INSERT INTO public.ecdc_import VALUES (37121, '17/07/2020', '17', '7', '2020', '8179', '668', '127575529', 'Mexico', 'MX', 'MEX', 'America', '72.08749258');
INSERT INTO public.ecdc_import VALUES (37122, '16/07/2020', '16', '7', '2020', '8738', '579', '127575529', 'Mexico', 'MX', 'MEX', 'America', '71.16333415');
INSERT INTO public.ecdc_import VALUES (37123, '15/07/2020', '15', '7', '2020', '8412', '878', '127575529', 'Mexico', 'MX', 'MEX', 'America', '70.22663414');
INSERT INTO public.ecdc_import VALUES (37124, '14/07/2020', '14', '7', '2020', '8792', '443', '127575529', 'Mexico', 'MX', 'MEX', 'America', '69.23192927');
INSERT INTO public.ecdc_import VALUES (37125, '13/07/2020', '13', '7', '2020', '3176', '276', '127575529', 'Mexico', 'MX', 'MEX', 'America', '68.18940958');
INSERT INTO public.ecdc_import VALUES (37126, '12/07/2020', '12', '7', '2020', '3819', '539', '127575529', 'Mexico', 'MX', 'MEX', 'America', '67.98639259');
INSERT INTO public.ecdc_import VALUES (37127, '11/07/2020', '11', '7', '2020', '7150', '665', '127575529', 'Mexico', 'MX', 'MEX', 'America', '67.83746121');
INSERT INTO public.ecdc_import VALUES (37128, '10/07/2020', '10', '7', '2020', '7094', '730', '127575529', 'Mexico', 'MX', 'MEX', 'America', '67.30365978');
INSERT INTO public.ecdc_import VALUES (37129, '09/07/2020', '9', '7', '2020', '7401', '782', '127575529', 'Mexico', 'MX', 'MEX', 'America', '66.62719776');
INSERT INTO public.ecdc_import VALUES (37130, '08/07/2020', '8', '7', '2020', '7827', '895', '127575529', 'Mexico', 'MX', 'MEX', 'America', '65.73596101');
INSERT INTO public.ecdc_import VALUES (37131, '07/07/2020', '7', '7', '2020', '7786', '480', '127575529', 'Mexico', 'MX', 'MEX', 'America', '64.75379773');
INSERT INTO public.ecdc_import VALUES (37132, '06/07/2020', '6', '7', '2020', '2953', '273', '127575529', 'Mexico', 'MX', 'MEX', 'America', '64.00600542');
INSERT INTO public.ecdc_import VALUES (37133, '05/07/2020', '5', '7', '2020', '3623', '523', '127575529', 'Mexico', 'MX', 'MEX', 'America', '63.59683604');
INSERT INTO public.ecdc_import VALUES (37134, '04/07/2020', '4', '7', '2020', '7016', '654', '127575529', 'Mexico', 'MX', 'MEX', 'America', '63.52864114');
INSERT INTO public.ecdc_import VALUES (37135, '03/07/2020', '3', '7', '2020', '7000', '679', '127575529', 'Mexico', 'MX', 'MEX', 'America', '62.78947117');
INSERT INTO public.ecdc_import VALUES (37136, '02/07/2020', '2', '7', '2020', '7543', '741', '127575529', 'Mexico', 'MX', 'MEX', 'America', '62.02286647');
INSERT INTO public.ecdc_import VALUES (37137, '01/07/2020', '1', '7', '2020', '7143', '648', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.88706871');
INSERT INTO public.ecdc_import VALUES (37138, '30/06/2020', '30', '6', '2020', '7462', '473', '127575529', 'Mexico', 'MX', 'MEX', 'America', '60.28428853');
INSERT INTO public.ecdc_import VALUES (37139, '29/06/2020', '29', '6', '2020', '2917', '267', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.54903781');
INSERT INTO public.ecdc_import VALUES (37140, '28/06/2020', '28', '6', '2020', '3629', '602', '127575529', 'Mexico', 'MX', 'MEX', 'America', '59.27469052');
INSERT INTO public.ecdc_import VALUES (37141, '27/06/2020', '27', '6', '2020', '6469', '719', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.82162558');
INSERT INTO public.ecdc_import VALUES (37142, '26/06/2020', '26', '6', '2020', '6231', '718', '127575529', 'Mexico', 'MX', 'MEX', 'America', '58.12948657');
INSERT INTO public.ecdc_import VALUES (37143, '25/06/2020', '25', '6', '2020', '6264', '965', '127575529', 'Mexico', 'MX', 'MEX', 'America', '57.44910531');
INSERT INTO public.ecdc_import VALUES (37144, '24/06/2020', '24', '6', '2020', '6574', '793', '127575529', 'Mexico', 'MX', 'MEX', 'America', '56.99917576');
INSERT INTO public.ecdc_import VALUES (37145, '23/06/2020', '23', '6', '2020', '6832', '759', '127575529', 'Mexico', 'MX', 'MEX', 'America', '56.33995843');
INSERT INTO public.ecdc_import VALUES (37146, '22/06/2020', '22', '6', '2020', '2431', '1044', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.78812846');
INSERT INTO public.ecdc_import VALUES (37147, '21/06/2020', '21', '6', '2020', '3536', '387', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.70347272');
INSERT INTO public.ecdc_import VALUES (37148, '20/06/2020', '20', '6', '2020', '6073', '647', '127575529', 'Mexico', 'MX', 'MEX', 'America', '55.27000401');
INSERT INTO public.ecdc_import VALUES (37149, '19/06/2020', '19', '6', '2020', '6022', '667', '127575529', 'Mexico', 'MX', 'MEX', 'America', '54.43912367');
INSERT INTO public.ecdc_import VALUES (37150, '18/06/2020', '18', '6', '2020', '6094', '770', '127575529', 'Mexico', 'MX', 'MEX', 'America', '53.53612917');
INSERT INTO public.ecdc_import VALUES (37151, '17/06/2020', '17', '6', '2020', '6374', '730', '127575529', 'Mexico', 'MX', 'MEX', 'America', '52.6127546');
INSERT INTO public.ecdc_import VALUES (37152, '16/06/2020', '16', '6', '2020', '6524', '439', '127575529', 'Mexico', 'MX', 'MEX', 'America', '51.31313232');
INSERT INTO public.ecdc_import VALUES (37153, '15/06/2020', '15', '6', '2020', '2567', '269', '127575529', 'Mexico', 'MX', 'MEX', 'America', '50.31372435');
INSERT INTO public.ecdc_import VALUES (37154, '14/06/2020', '14', '6', '2020', '3051', '424', '127575529', 'Mexico', 'MX', 'MEX', 'America', '49.91709656');
INSERT INTO public.ecdc_import VALUES (37155, '13/06/2020', '13', '6', '2020', '5586', '504', '127575529', 'Mexico', 'MX', 'MEX', 'America', '49.65215547');
INSERT INTO public.ecdc_import VALUES (37156, '12/06/2020', '12', '6', '2020', '5363', '587', '127575529', 'Mexico', 'MX', 'MEX', 'America', '48.67861453');
INSERT INTO public.ecdc_import VALUES (37157, '11/06/2020', '11', '6', '2020', '5690', '708', '127575529', 'Mexico', 'MX', 'MEX', 'America', '47.76934925');
INSERT INTO public.ecdc_import VALUES (37158, '10/06/2020', '10', '6', '2020', '5733', '596', '127575529', 'Mexico', 'MX', 'MEX', 'America', '46.80286295');
INSERT INTO public.ecdc_import VALUES (37159, '09/06/2020', '9', '6', '2020', '6128', '354', '127575529', 'Mexico', 'MX', 'MEX', 'America', '45.69058068');
INSERT INTO public.ecdc_import VALUES (37160, '08/06/2020', '8', '6', '2020', '2323', '188', '127575529', 'Mexico', 'MX', 'MEX', 'America', '44.48737187');
INSERT INTO public.ecdc_import VALUES (37161, '07/06/2020', '7', '6', '2020', '2983', '341', '127575529', 'Mexico', 'MX', 'MEX', 'America', '44.12523345');
INSERT INTO public.ecdc_import VALUES (37162, '06/06/2020', '6', '6', '2020', '5013', '625', '127575529', 'Mexico', 'MX', 'MEX', 'America', '43.55537495');
INSERT INTO public.ecdc_import VALUES (37163, '05/06/2020', '5', '6', '2020', '4870', '817', '127575529', 'Mexico', 'MX', 'MEX', 'America', '42.7323331');
INSERT INTO public.ecdc_import VALUES (37164, '04/06/2020', '4', '6', '2020', '4916', '1091', '127575529', 'Mexico', 'MX', 'MEX', 'America', '42.03313944');
INSERT INTO public.ecdc_import VALUES (37165, '03/06/2020', '3', '6', '2020', '4716', '470', '127575529', 'Mexico', 'MX', 'MEX', 'America', '41.23204537');
INSERT INTO public.ecdc_import VALUES (37166, '02/06/2020', '2', '6', '2020', '5249', '237', '127575529', 'Mexico', 'MX', 'MEX', 'America', '40.31572544');
INSERT INTO public.ecdc_import VALUES (37167, '01/06/2020', '1', '6', '2020', '2061', '151', '127575529', 'Mexico', 'MX', 'MEX', 'America', '39.33512986');
INSERT INTO public.ecdc_import VALUES (37168, '31/05/2020', '31', '5', '2020', '2713', '364', '127575529', 'Mexico', 'MX', 'MEX', 'America', '38.99180383');
INSERT INTO public.ecdc_import VALUES (37169, '30/05/2020', '30', '5', '2020', '4344', '371', '127575529', 'Mexico', 'MX', 'MEX', 'America', '38.55128047');
INSERT INTO public.ecdc_import VALUES (37170, '29/05/2020', '29', '5', '2020', '4203', '447', '127575529', 'Mexico', 'MX', 'MEX', 'America', '37.84973527');
INSERT INTO public.ecdc_import VALUES (37171, '28/05/2020', '28', '5', '2020', '4457', '463', '127575529', 'Mexico', 'MX', 'MEX', 'America', '36.94595693');
INSERT INTO public.ecdc_import VALUES (37172, '27/05/2020', '27', '5', '2020', '4314', '501', '127575529', 'Mexico', 'MX', 'MEX', 'America', '35.87835407');
INSERT INTO public.ecdc_import VALUES (37173, '26/05/2020', '26', '5', '2020', '4593', '239', '127575529', 'Mexico', 'MX', 'MEX', 'America', '34.77234259');
INSERT INTO public.ecdc_import VALUES (37174, '25/05/2020', '25', '5', '2020', '1861', '215', '127575529', 'Mexico', 'MX', 'MEX', 'America', '33.47820725');
INSERT INTO public.ecdc_import VALUES (37175, '24/05/2020', '24', '5', '2020', '2256', '190', '127575529', 'Mexico', 'MX', 'MEX', 'America', '33.11842038');
INSERT INTO public.ecdc_import VALUES (37176, '23/05/2020', '23', '5', '2020', '3963', '479', '127575529', 'Mexico', 'MX', 'MEX', 'America', '32.53602029');
INSERT INTO public.ecdc_import VALUES (37177, '22/05/2020', '22', '5', '2020', '3978', '420', '127575529', 'Mexico', 'MX', 'MEX', 'America', '31.30537675');
INSERT INTO public.ecdc_import VALUES (37178, '21/05/2020', '21', '5', '2020', '3894', '424', '127575529', 'Mexico', 'MX', 'MEX', 'America', '30.04808234');
INSERT INTO public.ecdc_import VALUES (37179, '20/05/2020', '20', '5', '2020', '3547', '334', '127575529', 'Mexico', 'MX', 'MEX', 'America', '28.77119169');
INSERT INTO public.ecdc_import VALUES (37180, '19/05/2020', '19', '5', '2020', '3998', '155', '127575529', 'Mexico', 'MX', 'MEX', 'America', '27.62285234');
INSERT INTO public.ecdc_import VALUES (37181, '18/05/2020', '18', '5', '2020', '1623', '132', '127575529', 'Mexico', 'MX', 'MEX', 'America', '26.45413291');
INSERT INTO public.ecdc_import VALUES (37182, '17/05/2020', '17', '5', '2020', '2151', '278', '127575529', 'Mexico', 'MX', 'MEX', 'America', '26.15470244');
INSERT INTO public.ecdc_import VALUES (37183, '16/05/2020', '16', '5', '2020', '3449', '290', '127575529', 'Mexico', 'MX', 'MEX', 'America', '25.52840678');
INSERT INTO public.ecdc_import VALUES (37184, '15/05/2020', '15', '5', '2020', '3050', '257', '127575529', 'Mexico', 'MX', 'MEX', 'America', '23.90583856');
INSERT INTO public.ecdc_import VALUES (37185, '14/05/2020', '14', '5', '2020', '3095', '294', '127575529', 'Mexico', 'MX', 'MEX', 'America', '22.8985921');
INSERT INTO public.ecdc_import VALUES (37186, '13/05/2020', '13', '5', '2020', '2903', '353', '127575529', 'Mexico', 'MX', 'MEX', 'America', '21.84823392');
INSERT INTO public.ecdc_import VALUES (37187, '12/05/2020', '12', '5', '2020', '2942', '108', '127575529', 'Mexico', 'MX', 'MEX', 'America', '20.9812965');
INSERT INTO public.ecdc_import VALUES (37188, '11/05/2020', '11', '5', '2020', '1402', '112', '127575529', 'Mexico', 'MX', 'MEX', 'America', '20.09005975');
INSERT INTO public.ecdc_import VALUES (37189, '10/05/2020', '10', '5', '2020', '1513', '193', '127575529', 'Mexico', 'MX', 'MEX', 'America', '19.7686815');
INSERT INTO public.ecdc_import VALUES (37190, '09/05/2020', '9', '5', '2020', '2393', '199', '127575529', 'Mexico', 'MX', 'MEX', 'America', '19.39400149');
INSERT INTO public.ecdc_import VALUES (37191, '08/05/2020', '8', '5', '2020', '2374', '257', '127575529', 'Mexico', 'MX', 'MEX', 'America', '18.77005738');
INSERT INTO public.ecdc_import VALUES (37192, '07/05/2020', '7', '5', '2020', '2265', '197', '127575529', 'Mexico', 'MX', 'MEX', 'America', '17.99953344');
INSERT INTO public.ecdc_import VALUES (37193, '06/05/2020', '6', '5', '2020', '2082', '236', '127575529', 'Mexico', 'MX', 'MEX', 'America', '17.24547033');
INSERT INTO public.ecdc_import VALUES (37194, '05/05/2020', '5', '5', '2020', '2507', '117', '127575529', 'Mexico', 'MX', 'MEX', 'America', '16.69912731');
INSERT INTO public.ecdc_import VALUES (37195, '04/05/2020', '4', '5', '2020', '1241', '93', '127575529', 'Mexico', 'MX', 'MEX', 'America', '15.85648922');
INSERT INTO public.ecdc_import VALUES (37196, '03/05/2020', '3', '5', '2020', '1352', '89', '127575529', 'Mexico', 'MX', 'MEX', 'America', '15.43634595');
INSERT INTO public.ecdc_import VALUES (37197, '02/05/2020', '2', '5', '2020', '1379', '113', '127575529', 'Mexico', 'MX', 'MEX', 'America', '14.96838786');
INSERT INTO public.ecdc_import VALUES (37198, '01/05/2020', '1', '5', '2020', '1765', '127', '127575529', 'Mexico', 'MX', 'MEX', 'America', '14.7308815');
INSERT INTO public.ecdc_import VALUES (37199, '30/04/2020', '30', '4', '2020', '1755', '163', '127575529', 'Mexico', 'MX', 'MEX', 'America', '14.08342191');
INSERT INTO public.ecdc_import VALUES (37200, '29/04/2020', '29', '4', '2020', '1797', '135', '127575529', 'Mexico', 'MX', 'MEX', 'America', '13.42263688');
INSERT INTO public.ecdc_import VALUES (37201, '28/04/2020', '28', '4', '2020', '1805', '83', '127575529', 'Mexico', 'MX', 'MEX', 'America', '12.6928731');
INSERT INTO public.ecdc_import VALUES (37202, '27/04/2020', '27', '4', '2020', '992', '46', '127575529', 'Mexico', 'MX', 'MEX', 'America', '11.97408321');
INSERT INTO public.ecdc_import VALUES (37203, '26/04/2020', '26', '4', '2020', '1035', '84', '127575529', 'Mexico', 'MX', 'MEX', 'America', '11.5390468');
INSERT INTO public.ecdc_import VALUES (37204, '25/04/2020', '25', '4', '2020', '1597', '152', '127575529', 'Mexico', 'MX', 'MEX', 'America', '11.06168253');
INSERT INTO public.ecdc_import VALUES (37205, '24/04/2020', '24', '4', '2020', '1391', '99', '127575529', 'Mexico', 'MX', 'MEX', 'America', '10.21277364');
INSERT INTO public.ecdc_import VALUES (37206, '23/04/2020', '23', '4', '2020', '1303', '113', '127575529', 'Mexico', 'MX', 'MEX', 'America', '9.45871053');
INSERT INTO public.ecdc_import VALUES (37207, '22/04/2020', '22', '4', '2020', '1385', '145', '127575529', 'Mexico', 'MX', 'MEX', 'America', '8.85593036');
INSERT INTO public.ecdc_import VALUES (37208, '21/04/2020', '21', '4', '2020', '1432', '26', '127575529', 'Mexico', 'MX', 'MEX', 'America', '8.14105972');
INSERT INTO public.ecdc_import VALUES (37209, '20/04/2020', '20', '4', '2020', '705', '36', '127575529', 'Mexico', 'MX', 'MEX', 'America', '7.46773309');
INSERT INTO public.ecdc_import VALUES (37210, '19/04/2020', '19', '4', '2020', '755', '104', '127575529', 'Mexico', 'MX', 'MEX', 'America', '7.10089158');
INSERT INTO public.ecdc_import VALUES (37211, '18/04/2020', '18', '4', '2020', '1076', '60', '127575529', 'Mexico', 'MX', 'MEX', 'America', '6.68858681');
INSERT INTO public.ecdc_import VALUES (37212, '17/04/2020', '17', '4', '2020', '939', '37', '127575529', 'Mexico', 'MX', 'MEX', 'America', '6.1171606');
INSERT INTO public.ecdc_import VALUES (37213, '16/04/2020', '16', '4', '2020', '912', '43', '127575529', 'Mexico', 'MX', 'MEX', 'America', '5.63274168');
INSERT INTO public.ecdc_import VALUES (37214, '15/04/2020', '15', '4', '2020', '866', '74', '127575529', 'Mexico', 'MX', 'MEX', 'America', '5.18202829');
INSERT INTO public.ecdc_import VALUES (37215, '14/04/2020', '14', '4', '2020', '888', '36', '127575529', 'Mexico', 'MX', 'MEX', 'America', '4.72739564');
INSERT INTO public.ecdc_import VALUES (37216, '13/04/2020', '13', '4', '2020', '437', '23', '127575529', 'Mexico', 'MX', 'MEX', 'America', '4.28687229');
INSERT INTO public.ecdc_import VALUES (37217, '12/04/2020', '12', '4', '2020', '426', '40', '127575529', 'Mexico', 'MX', 'MEX', 'America', '4.05877212');
INSERT INTO public.ecdc_import VALUES (37218, '11/04/2020', '11', '4', '2020', '514', '39', '127575529', 'Mexico', 'MX', 'MEX', 'America', '3.85889052');
INSERT INTO public.ecdc_import VALUES (37219, '10/04/2020', '10', '4', '2020', '429', '20', '127575529', 'Mexico', 'MX', 'MEX', 'America', '3.63079035');
INSERT INTO public.ecdc_import VALUES (37220, '09/04/2020', '9', '4', '2020', '534', '33', '127575529', 'Mexico', 'MX', 'MEX', 'America', '3.45364039');
INSERT INTO public.ecdc_import VALUES (37221, '08/04/2020', '8', '4', '2020', '473', '16', '127575529', 'Mexico', 'MX', 'MEX', 'America', '3.15656148');
INSERT INTO public.ecdc_import VALUES (37222, '07/04/2020', '7', '4', '2020', '573', '31', '127575529', 'Mexico', 'MX', 'MEX', 'America', '2.9331644');
INSERT INTO public.ecdc_import VALUES (37223, '06/04/2020', '6', '4', '2020', '237', '15', '127575529', 'Mexico', 'MX', 'MEX', 'America', '2.58983837');
INSERT INTO public.ecdc_import VALUES (37224, '05/04/2020', '5', '4', '2020', '229', '19', '127575529', 'Mexico', 'MX', 'MEX', 'America', '2.44247468');
INSERT INTO public.ecdc_import VALUES (37225, '04/04/2020', '4', '4', '2020', '347', '10', '127575529', 'Mexico', 'MX', 'MEX', 'America', '2.31627493');
INSERT INTO public.ecdc_import VALUES (37226, '03/04/2020', '3', '4', '2020', '321', '13', '127575529', 'Mexico', 'MX', 'MEX', 'America', '2.13677342');
INSERT INTO public.ecdc_import VALUES (37227, '02/04/2020', '2', '4', '2020', '337', '8', '127575529', 'Mexico', 'MX', 'MEX', 'America', '2.00116748');
INSERT INTO public.ecdc_import VALUES (37228, '01/04/2020', '1', '4', '2020', '286', '1', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.81931442');
INSERT INTO public.ecdc_import VALUES (37229, '31/03/2020', '31', '3', '2020', '326', '8', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.67116689');
INSERT INTO public.ecdc_import VALUES (37230, '30/03/2020', '30', '3', '2020', '146', '4', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.4697176');
INSERT INTO public.ecdc_import VALUES (37231, '29/03/2020', '29', '3', '2020', '171', '4', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.38349417');
INSERT INTO public.ecdc_import VALUES (37232, '28/03/2020', '28', '3', '2020', '223', '4', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.28864839');
INSERT INTO public.ecdc_import VALUES (37233, '27/03/2020', '27', '3', '2020', '203', '3', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.16166479');
INSERT INTO public.ecdc_import VALUES (37234, '26/03/2020', '26', '3', '2020', '155', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '1.02449115');
INSERT INTO public.ecdc_import VALUES (37235, '25/03/2020', '25', '3', '2020', '188', '1', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.92494227');
INSERT INTO public.ecdc_import VALUES (37236, '24/03/2020', '24', '3', '2020', '135', '2', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.78620093');
INSERT INTO public.ecdc_import VALUES (37237, '23/03/2020', '23', '3', '2020', '49', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.68194897');
INSERT INTO public.ecdc_import VALUES (37238, '22/03/2020', '22', '3', '2020', '68', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.64667574');
INSERT INTO public.ecdc_import VALUES (37239, '21/03/2020', '21', '3', '2020', '118', '2', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.59415783');
INSERT INTO public.ecdc_import VALUES (37240, '20/03/2020', '20', '3', '2020', '148', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.50166361');
INSERT INTO public.ecdc_import VALUES (37241, '19/03/2020', '19', '3', '2020', '105', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.3872216');
INSERT INTO public.ecdc_import VALUES (37242, '18/03/2020', '18', '3', '2020', '97', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.30726896');
INSERT INTO public.ecdc_import VALUES (37243, '17/03/2020', '17', '3', '2020', '69', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.23358712');
INSERT INTO public.ecdc_import VALUES (37244, '16/03/2020', '16', '3', '2020', '36', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.18028536');
INSERT INTO public.ecdc_import VALUES (37245, '15/03/2020', '15', '3', '2020', '50', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.15206678');
INSERT INTO public.ecdc_import VALUES (37246, '14/03/2020', '14', '3', '2020', '61', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.11365816');
INSERT INTO public.ecdc_import VALUES (37247, '13/03/2020', '13', '3', '2020', '28', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.0681949');
INSERT INTO public.ecdc_import VALUES (37248, '12/03/2020', '12', '3', '2020', '28', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.05016636');
INSERT INTO public.ecdc_import VALUES (37249, '11/03/2020', '11', '3', '2020', '11', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.02821858');
INSERT INTO public.ecdc_import VALUES (37250, '10/03/2020', '10', '3', '2020', '2', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01959623');
INSERT INTO public.ecdc_import VALUES (37251, '09/03/2020', '9', '3', '2020', '4', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01959623');
INSERT INTO public.ecdc_import VALUES (37252, '08/03/2020', '8', '3', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01646084');
INSERT INTO public.ecdc_import VALUES (37253, '07/03/2020', '7', '3', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01646084');
INSERT INTO public.ecdc_import VALUES (37254, '06/03/2020', '6', '3', '2020', '2', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01646084');
INSERT INTO public.ecdc_import VALUES (37255, '05/03/2020', '5', '3', '2020', '3', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01489314');
INSERT INTO public.ecdc_import VALUES (37256, '04/03/2020', '4', '3', '2020', '3', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01254159');
INSERT INTO public.ecdc_import VALUES (37257, '03/03/2020', '3', '3', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.01019004');
INSERT INTO public.ecdc_import VALUES (37258, '02/03/2020', '2', '3', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00940619');
INSERT INTO public.ecdc_import VALUES (37259, '01/03/2020', '1', '3', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00940619');
INSERT INTO public.ecdc_import VALUES (37260, '29/02/2020', '29', '2', '2020', '3', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00862234');
INSERT INTO public.ecdc_import VALUES (37261, '28/02/2020', '28', '2', '2020', '5', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.0062708');
INSERT INTO public.ecdc_import VALUES (37262, '27/02/2020', '27', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00235155');
INSERT INTO public.ecdc_import VALUES (37263, '26/02/2020', '26', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00235155');
INSERT INTO public.ecdc_import VALUES (37264, '25/02/2020', '25', '2', '2020', '2', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00235155');
INSERT INTO public.ecdc_import VALUES (37265, '24/02/2020', '24', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.0015677');
INSERT INTO public.ecdc_import VALUES (37266, '23/02/2020', '23', '2', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.0015677');
INSERT INTO public.ecdc_import VALUES (37267, '22/02/2020', '22', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37268, '21/02/2020', '21', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37269, '20/02/2020', '20', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37270, '19/02/2020', '19', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37271, '18/02/2020', '18', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37272, '17/02/2020', '17', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37273, '16/02/2020', '16', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37274, '15/02/2020', '15', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37275, '14/02/2020', '14', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37276, '13/02/2020', '13', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37277, '12/02/2020', '12', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.0015677');
INSERT INTO public.ecdc_import VALUES (37278, '11/02/2020', '11', '2', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.0015677');
INSERT INTO public.ecdc_import VALUES (37279, '10/02/2020', '10', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37280, '09/02/2020', '9', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37281, '08/02/2020', '8', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37282, '07/02/2020', '7', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37283, '06/02/2020', '6', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37284, '05/02/2020', '5', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37285, '04/02/2020', '4', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37286, '03/02/2020', '3', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37287, '02/02/2020', '2', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37288, '01/02/2020', '1', '2', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37289, '31/01/2020', '31', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37290, '30/01/2020', '30', '1', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37291, '29/01/2020', '29', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0');
INSERT INTO public.ecdc_import VALUES (37292, '28/01/2020', '28', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0');
INSERT INTO public.ecdc_import VALUES (37293, '27/01/2020', '27', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37294, '26/01/2020', '26', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37295, '25/01/2020', '25', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37296, '24/01/2020', '24', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37297, '23/01/2020', '23', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37298, '22/01/2020', '22', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37299, '21/01/2020', '21', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37300, '20/01/2020', '20', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37301, '19/01/2020', '19', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37302, '18/01/2020', '18', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37303, '17/01/2020', '17', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37304, '16/01/2020', '16', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37305, '15/01/2020', '15', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37306, '14/01/2020', '14', '1', '2020', '1', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0.00078385');
INSERT INTO public.ecdc_import VALUES (37307, '13/01/2020', '13', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '0');
INSERT INTO public.ecdc_import VALUES (37308, '12/01/2020', '12', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37309, '11/01/2020', '11', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37310, '10/01/2020', '10', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37311, '09/01/2020', '9', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37312, '08/01/2020', '8', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37313, '07/01/2020', '7', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37314, '06/01/2020', '6', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37315, '05/01/2020', '5', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37316, '04/01/2020', '4', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37317, '03/01/2020', '3', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37318, '02/01/2020', '2', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37319, '01/01/2020', '1', '1', '2020', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37320, '31/12/2019', '31', '12', '2019', '0', '0', '127575529', 'Mexico', 'MX', 'MEX', 'America', '');
INSERT INTO public.ecdc_import VALUES (37321, '14/12/2020', '14', '12', '2020', '795', '25', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '482.30906858');
INSERT INTO public.ecdc_import VALUES (37322, '13/12/2020', '13', '12', '2020', '1459', '26', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '491.4601047');
INSERT INTO public.ecdc_import VALUES (37323, '12/12/2020', '12', '12', '2020', '1579', '21', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '497.7174348');
INSERT INTO public.ecdc_import VALUES (37324, '11/12/2020', '11', '12', '2020', '1715', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '489.48150229');
INSERT INTO public.ecdc_import VALUES (37325, '10/12/2020', '10', '12', '2020', '1766', '21', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '488.88792157');
INSERT INTO public.ecdc_import VALUES (37326, '09/12/2020', '9', '12', '2020', '1709', '22', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '484.04034568');
INSERT INTO public.ecdc_import VALUES (37327, '08/12/2020', '8', '12', '2020', '860', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '471.82247584');
INSERT INTO public.ecdc_import VALUES (37328, '07/12/2020', '7', '12', '2020', '1078', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '462.34991682');
INSERT INTO public.ecdc_import VALUES (37329, '06/12/2020', '6', '12', '2020', '1728', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '466.65337705');
INSERT INTO public.ecdc_import VALUES (37330, '05/12/2020', '5', '12', '2020', '1522', '21', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '456.21624937');
INSERT INTO public.ecdc_import VALUES (37331, '04/12/2020', '4', '12', '2020', '1727', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '453.74299637');
INSERT INTO public.ecdc_import VALUES (37332, '03/12/2020', '3', '12', '2020', '1717', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '446.6942253');
INSERT INTO public.ecdc_import VALUES (37333, '02/12/2020', '2', '12', '2020', '1499', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '443.97364699');
INSERT INTO public.ecdc_import VALUES (37334, '01/12/2020', '1', '12', '2020', '347', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '433.33865907');
INSERT INTO public.ecdc_import VALUES (37335, '30/11/2020', '30', '11', '2020', '1165', '21', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '438.70561809');
INSERT INTO public.ecdc_import VALUES (37336, '29/11/2020', '29', '11', '2020', '1712', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '422.43161332');
INSERT INTO public.ecdc_import VALUES (37337, '28/11/2020', '28', '11', '2020', '1246', '21', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '414.98712177');
INSERT INTO public.ecdc_import VALUES (37338, '27/11/2020', '27', '11', '2020', '1691', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '416.89152659');
INSERT INTO public.ecdc_import VALUES (37339, '26/11/2020', '26', '11', '2020', '1570', '21', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '407.98781577');
INSERT INTO public.ecdc_import VALUES (37340, '25/11/2020', '25', '11', '2020', '1215', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '396.73451459');
INSERT INTO public.ecdc_import VALUES (37341, '24/11/2020', '24', '11', '2020', '477', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '389.31475558');
INSERT INTO public.ecdc_import VALUES (37342, '23/11/2020', '23', '11', '2020', '1252', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '385.70380619');
INSERT INTO public.ecdc_import VALUES (37343, '22/11/2020', '22', '11', '2020', '1306', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '371.33420623');
INSERT INTO public.ecdc_import VALUES (37344, '21/11/2020', '21', '11', '2020', '1422', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '368.06951226');
INSERT INTO public.ecdc_import VALUES (37345, '20/11/2020', '20', '11', '2020', '1442', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '356.02477012');
INSERT INTO public.ecdc_import VALUES (37346, '19/11/2020', '19', '11', '2020', '1607', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '346.55221111');
INSERT INTO public.ecdc_import VALUES (37347, '18/11/2020', '18', '11', '2020', '1069', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '332.03421597');
INSERT INTO public.ecdc_import VALUES (37348, '17/11/2020', '17', '11', '2020', '564', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '323.15523768');
INSERT INTO public.ecdc_import VALUES (37349, '16/11/2020', '16', '11', '2020', '507', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '314.02893409');
INSERT INTO public.ecdc_import VALUES (37350, '15/11/2020', '15', '11', '2020', '1411', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '314.89457264');
INSERT INTO public.ecdc_import VALUES (37351, '14/11/2020', '14', '11', '2020', '1323', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '300.74756545');
INSERT INTO public.ecdc_import VALUES (37352, '13/11/2020', '13', '11', '2020', '1331', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '291.96751728');
INSERT INTO public.ecdc_import VALUES (37353, '12/11/2020', '12', '11', '2020', '1115', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '281.60458719');
INSERT INTO public.ecdc_import VALUES (37354, '11/11/2020', '11', '11', '2020', '915', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '275.32252456');
INSERT INTO public.ecdc_import VALUES (37355, '10/11/2020', '10', '11', '2020', '331', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '268.74367156');
INSERT INTO public.ecdc_import VALUES (37356, '09/11/2020', '9', '11', '2020', '671', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '268.17482337');
INSERT INTO public.ecdc_import VALUES (37357, '08/11/2020', '8', '11', '2020', '1174', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '261.81856315');
INSERT INTO public.ecdc_import VALUES (37358, '07/11/2020', '7', '11', '2020', '935', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '253.3847704');
INSERT INTO public.ecdc_import VALUES (37359, '06/11/2020', '6', '11', '2020', '1059', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '247.27583548');
INSERT INTO public.ecdc_import VALUES (37360, '05/11/2020', '5', '11', '2020', '1020', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '240.301262');
INSERT INTO public.ecdc_import VALUES (37361, '04/11/2020', '4', '11', '2020', '710', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '235.67627888');
INSERT INTO public.ecdc_import VALUES (37362, '03/11/2020', '3', '11', '2020', '195', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '234.34072226');
INSERT INTO public.ecdc_import VALUES (37363, '02/11/2020', '2', '11', '2020', '542', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '235.75047647');
INSERT INTO public.ecdc_import VALUES (37364, '01/11/2020', '1', '11', '2020', '839', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '232.18899214');
INSERT INTO public.ecdc_import VALUES (37365, '31/10/2020', '31', '10', '2020', '968', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '231.02656323');
INSERT INTO public.ecdc_import VALUES (37366, '30/10/2020', '30', '10', '2020', '912', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '226.4757777');
INSERT INTO public.ecdc_import VALUES (37367, '29/10/2020', '29', '10', '2020', '861', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '220.04531989');
INSERT INTO public.ecdc_import VALUES (37368, '28/10/2020', '28', '10', '2020', '649', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '227.16828854');
INSERT INTO public.ecdc_import VALUES (37369, '27/10/2020', '27', '10', '2020', '308', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '227.36614878');
INSERT INTO public.ecdc_import VALUES (37370, '26/10/2020', '26', '10', '2020', '414', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '231.29862106');
INSERT INTO public.ecdc_import VALUES (37371, '25/10/2020', '25', '10', '2020', '833', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '230.68030781');
INSERT INTO public.ecdc_import VALUES (37372, '24/10/2020', '24', '10', '2020', '688', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '233.0546307');
INSERT INTO public.ecdc_import VALUES (37373, '23/10/2020', '23', '10', '2020', '777', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '238.74311261');
INSERT INTO public.ecdc_import VALUES (37374, '22/10/2020', '22', '10', '2020', '833', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '247.25110295');
INSERT INTO public.ecdc_import VALUES (37375, '21/10/2020', '21', '10', '2020', '656', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '252.91485233');
INSERT INTO public.ecdc_import VALUES (37376, '20/10/2020', '20', '10', '2020', '252', '17', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '257.24304509');
INSERT INTO public.ecdc_import VALUES (37377, '19/10/2020', '19', '10', '2020', '398', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '258.97432219');
INSERT INTO public.ecdc_import VALUES (37378, '18/10/2020', '18', '10', '2020', '792', '20', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '266.2209535');
INSERT INTO public.ecdc_import VALUES (37379, '17/10/2020', '17', '10', '2020', '784', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '268.1995559');
INSERT INTO public.ecdc_import VALUES (37380, '16/10/2020', '16', '10', '2020', '652', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '272.35462095');
INSERT INTO public.ecdc_import VALUES (37381, '15/10/2020', '15', '10', '2020', '1149', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '281.50565707');
INSERT INTO public.ecdc_import VALUES (37382, '14/10/2020', '14', '10', '2020', '657', '17', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '278.14203298');
INSERT INTO public.ecdc_import VALUES (37383, '13/10/2020', '13', '10', '2020', '467', '17', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '282.54442333');
INSERT INTO public.ecdc_import VALUES (37384, '12/10/2020', '12', '10', '2020', '389', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '278.88400889');
INSERT INTO public.ecdc_import VALUES (37385, '11/10/2020', '11', '10', '2020', '929', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '277.69684744');
INSERT INTO public.ecdc_import VALUES (37386, '10/10/2020', '10', '10', '2020', '918', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '276.18816311');
INSERT INTO public.ecdc_import VALUES (37387, '09/10/2020', '9', '10', '2020', '1121', '18', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '271.11799445');
INSERT INTO public.ecdc_import VALUES (37388, '08/10/2020', '8', '10', '2020', '1062', '17', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '261.22498243');
INSERT INTO public.ecdc_import VALUES (37389, '07/10/2020', '7', '10', '2020', '831', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '254.39880413');
INSERT INTO public.ecdc_import VALUES (37390, '06/10/2020', '6', '10', '2020', '322', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '249.92221619');
INSERT INTO public.ecdc_import VALUES (37391, '05/10/2020', '5', '10', '2020', '691', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '246.90484753');
INSERT INTO public.ecdc_import VALUES (37392, '04/10/2020', '4', '10', '2020', '872', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '236.24512707');
INSERT INTO public.ecdc_import VALUES (37393, '03/10/2020', '3', '10', '2020', '952', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '231.69434154');
INSERT INTO public.ecdc_import VALUES (37394, '02/10/2020', '2', '10', '2020', '1022', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '224.59610542');
INSERT INTO public.ecdc_import VALUES (37395, '01/10/2020', '1', '10', '2020', '1013', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '214.7030934');
INSERT INTO public.ecdc_import VALUES (37396, '30/09/2020', '30', '9', '2020', '835', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '205.1563368');
INSERT INTO public.ecdc_import VALUES (37397, '29/09/2020', '29', '9', '2020', '319', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '197.53871754');
INSERT INTO public.ecdc_import VALUES (37398, '28/09/2020', '28', '9', '2020', '341', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '195.31278983');
INSERT INTO public.ecdc_import VALUES (37399, '27/09/2020', '27', '9', '2020', '868', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '193.40838502');
INSERT INTO public.ecdc_import VALUES (37400, '26/09/2020', '26', '9', '2020', '713', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '185.07352239');
INSERT INTO public.ecdc_import VALUES (37401, '25/09/2020', '25', '9', '2020', '721', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '179.28611036');
INSERT INTO public.ecdc_import VALUES (37402, '24/09/2020', '24', '9', '2020', '786', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '175.30417302');
INSERT INTO public.ecdc_import VALUES (37403, '23/09/2020', '23', '9', '2020', '650', '19', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '170.40713207');
INSERT INTO public.ecdc_import VALUES (37404, '22/09/2020', '22', '9', '2020', '200', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '166.72198509');
INSERT INTO public.ecdc_import VALUES (37405, '21/09/2020', '21', '9', '2020', '260', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '168.15647184');
INSERT INTO public.ecdc_import VALUES (37406, '20/09/2020', '20', '9', '2020', '688', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '169.73935376');
INSERT INTO public.ecdc_import VALUES (37407, '19/09/2020', '19', '9', '2020', '665', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '166.74671762');
INSERT INTO public.ecdc_import VALUES (37408, '18/09/2020', '18', '9', '2020', '622', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '163.50675619');
INSERT INTO public.ecdc_import VALUES (37409, '17/09/2020', '17', '9', '2020', '627', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '163.75408149');
INSERT INTO public.ecdc_import VALUES (37410, '16/09/2020', '16', '9', '2020', '527', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '161.40449113');
INSERT INTO public.ecdc_import VALUES (37411, '15/09/2020', '15', '9', '2020', '229', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '155.49341645');
INSERT INTO public.ecdc_import VALUES (37412, '14/09/2020', '14', '9', '2020', '264', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '155.27082368');
INSERT INTO public.ecdc_import VALUES (37413, '13/09/2020', '13', '9', '2020', '531', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '156.06226464');
INSERT INTO public.ecdc_import VALUES (37414, '12/09/2020', '12', '9', '2020', '479', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '155.29555621');
INSERT INTO public.ecdc_import VALUES (37415, '11/09/2020', '11', '9', '2020', '560', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '152.30292007');
INSERT INTO public.ecdc_import VALUES (37416, '10/09/2020', '10', '9', '2020', '588', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '152.40185019');
INSERT INTO public.ecdc_import VALUES (37417, '09/09/2020', '9', '9', '2020', '501', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '153.29222127');
INSERT INTO public.ecdc_import VALUES (37418, '08/09/2020', '8', '9', '2020', '258', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '154.00946464');
INSERT INTO public.ecdc_import VALUES (37419, '07/09/2020', '7', '9', '2020', '324', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '156.28485741');
INSERT INTO public.ecdc_import VALUES (37420, '06/09/2020', '6', '9', '2020', '567', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '158.31292487');
INSERT INTO public.ecdc_import VALUES (37421, '05/09/2020', '5', '9', '2020', '534', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '158.83230801');
INSERT INTO public.ecdc_import VALUES (37422, '04/09/2020', '4', '9', '2020', '632', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '159.1538309');
INSERT INTO public.ecdc_import VALUES (37423, '03/09/2020', '3', '9', '2020', '532', '16', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '156.43325259');
INSERT INTO public.ecdc_import VALUES (37424, '02/09/2020', '2', '9', '2020', '288', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '158.75811041');
INSERT INTO public.ecdc_import VALUES (37425, '01/09/2020', '1', '9', '2020', '220', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '161.82494414');
INSERT INTO public.ecdc_import VALUES (37426, '31/08/2020', '31', '8', '2020', '296', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '161.18189836');
INSERT INTO public.ecdc_import VALUES (37427, '30/08/2020', '30', '8', '2020', '500', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '160.73671282');
INSERT INTO public.ecdc_import VALUES (37428, '29/08/2020', '29', '8', '2020', '358', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '158.80757548');
INSERT INTO public.ecdc_import VALUES (37429, '28/08/2020', '28', '8', '2020', '564', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '159.74741162');
INSERT INTO public.ecdc_import VALUES (37430, '27/08/2020', '27', '8', '2020', '624', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '155.44395139');
INSERT INTO public.ecdc_import VALUES (37431, '26/08/2020', '26', '8', '2020', '530', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '151.73407188');
INSERT INTO public.ecdc_import VALUES (37432, '25/08/2020', '25', '8', '2020', '350', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '148.07365743');
INSERT INTO public.ecdc_import VALUES (37433, '24/08/2020', '24', '8', '2020', '406', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '143.89385985');
INSERT INTO public.ecdc_import VALUES (37434, '23/08/2020', '23', '8', '2020', '588', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '139.21941167');
INSERT INTO public.ecdc_import VALUES (37435, '22/08/2020', '22', '8', '2020', '547', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '135.88052012');
INSERT INTO public.ecdc_import VALUES (37436, '21/08/2020', '21', '8', '2020', '522', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '131.30500206');
INSERT INTO public.ecdc_import VALUES (37437, '20/08/2020', '20', '8', '2020', '626', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '128.43602857');
INSERT INTO public.ecdc_import VALUES (37438, '19/08/2020', '19', '8', '2020', '412', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '123.04433702');
INSERT INTO public.ecdc_import VALUES (37439, '18/08/2020', '18', '8', '2020', '194', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '121.06573461');
INSERT INTO public.ecdc_import VALUES (37440, '17/08/2020', '17', '8', '2020', '278', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '119.23552739');
INSERT INTO public.ecdc_import VALUES (37441, '16/08/2020', '16', '8', '2020', '422', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '118.51828402');
INSERT INTO public.ecdc_import VALUES (37442, '15/08/2020', '15', '8', '2020', '396', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '117.47951776');
INSERT INTO public.ecdc_import VALUES (37443, '14/08/2020', '14', '8', '2020', '390', '15', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '127.12520448');
INSERT INTO public.ecdc_import VALUES (37444, '13/08/2020', '13', '8', '2020', '474', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '117.47951776');
INSERT INTO public.ecdc_import VALUES (37445, '12/08/2020', '12', '8', '2020', '382', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '116.29235631');
INSERT INTO public.ecdc_import VALUES (37446, '11/08/2020', '11', '8', '2020', '181', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '115.92136836');
INSERT INTO public.ecdc_import VALUES (37447, '10/08/2020', '10', '8', '2020', '217', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '114.41268403');
INSERT INTO public.ecdc_import VALUES (37448, '09/08/2020', '9', '8', '2020', '453', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '114.1406262');
INSERT INTO public.ecdc_import VALUES (37449, '08/08/2020', '8', '8', '2020', '362', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '111.46951295');
INSERT INTO public.ecdc_import VALUES (37450, '07/08/2020', '7', '8', '2020', '406', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '111.86523343');
INSERT INTO public.ecdc_import VALUES (37451, '06/08/2020', '6', '8', '2020', '408', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '109.41671296');
INSERT INTO public.ecdc_import VALUES (37452, '05/08/2020', '5', '8', '2020', '332', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '108.13062139');
INSERT INTO public.ecdc_import VALUES (37453, '04/08/2020', '4', '8', '2020', '120', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '108.00695874');
INSERT INTO public.ecdc_import VALUES (37454, '03/08/2020', '3', '8', '2020', '249', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '108.3779467');
INSERT INTO public.ecdc_import VALUES (37455, '02/08/2020', '2', '8', '2020', '380', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '106.8197973');
INSERT INTO public.ecdc_import VALUES (37456, '01/08/2020', '1', '8', '2020', '786', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '104.8411949');
INSERT INTO public.ecdc_import VALUES (37457, '31/07/2020', '31', '7', '2020', '0', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '91.08990819');
INSERT INTO public.ecdc_import VALUES (37458, '30/07/2020', '30', '7', '2020', '426', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '96.62999492');
INSERT INTO public.ecdc_import VALUES (37459, '29/07/2020', '29', '7', '2020', '367', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '94.30513709');
INSERT INTO public.ecdc_import VALUES (37460, '28/07/2020', '28', '7', '2020', '120', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '91.88134915');
INSERT INTO public.ecdc_import VALUES (37461, '27/07/2020', '27', '7', '2020', '206', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '90.32319976');
INSERT INTO public.ecdc_import VALUES (37462, '26/07/2020', '26', '7', '2020', '345', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '89.53175879');
INSERT INTO public.ecdc_import VALUES (37463, '25/07/2020', '25', '7', '2020', '378', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '88.02307446');
INSERT INTO public.ecdc_import VALUES (37464, '24/07/2020', '24', '7', '2020', '307', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '85.05517085');
INSERT INTO public.ecdc_import VALUES (37465, '23/07/2020', '23', '7', '2020', '356', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '82.28512749');
INSERT INTO public.ecdc_import VALUES (37466, '22/07/2020', '22', '7', '2020', '327', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '81.64208171');
INSERT INTO public.ecdc_import VALUES (37467, '21/07/2020', '21', '7', '2020', '135', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '79.36668894');
INSERT INTO public.ecdc_import VALUES (37468, '20/07/2020', '20', '7', '2020', '186', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '78.30319015');
INSERT INTO public.ecdc_import VALUES (37469, '19/07/2020', '19', '7', '2020', '300', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '77.21495883');
INSERT INTO public.ecdc_import VALUES (37470, '18/07/2020', '18', '7', '2020', '230', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '75.40948413');
INSERT INTO public.ecdc_import VALUES (37471, '17/07/2020', '17', '7', '2020', '224', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '77.01709859');
INSERT INTO public.ecdc_import VALUES (37472, '16/07/2020', '16', '7', '2020', '332', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '77.70960943');
INSERT INTO public.ecdc_import VALUES (37473, '15/07/2020', '15', '7', '2020', '269', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '76.54718052');
INSERT INTO public.ecdc_import VALUES (37474, '14/07/2020', '14', '7', '2020', '57', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '76.22565763');
INSERT INTO public.ecdc_import VALUES (37475, '13/07/2020', '13', '7', '2020', '174', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '77.46228413');
INSERT INTO public.ecdc_import VALUES (37476, '12/07/2020', '12', '7', '2020', '284', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '77.36335401');
INSERT INTO public.ecdc_import VALUES (37477, '11/07/2020', '11', '7', '2020', '258', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '77.85800461');
INSERT INTO public.ecdc_import VALUES (37478, '10/07/2020', '10', '7', '2020', '195', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '79.46561906');
INSERT INTO public.ecdc_import VALUES (37479, '09/07/2020', '9', '7', '2020', '330', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '83.91747447');
INSERT INTO public.ecdc_import VALUES (37480, '08/07/2020', '8', '7', '2020', '235', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '84.75838049');
INSERT INTO public.ecdc_import VALUES (37481, '07/07/2020', '7', '7', '2020', '92', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '87.62735398');
INSERT INTO public.ecdc_import VALUES (37482, '06/07/2020', '6', '7', '2020', '142', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '89.38336361');
INSERT INTO public.ecdc_import VALUES (37483, '05/07/2020', '5', '7', '2020', '227', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '91.98027927');
INSERT INTO public.ecdc_import VALUES (37484, '04/07/2020', '4', '7', '2020', '295', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '96.18480938');
INSERT INTO public.ecdc_import VALUES (37485, '03/07/2020', '3', '7', '2020', '252', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '100.01835154');
INSERT INTO public.ecdc_import VALUES (37486, '02/07/2020', '2', '7', '2020', '285', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '103.0357202');
INSERT INTO public.ecdc_import VALUES (37487, '01/07/2020', '1', '7', '2020', '256', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '107.8090985');
INSERT INTO public.ecdc_import VALUES (37488, '30/06/2020', '30', '6', '2020', '107', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '110.75226958');
INSERT INTO public.ecdc_import VALUES (37489, '29/06/2020', '29', '6', '2020', '170', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '111.54371054');
INSERT INTO public.ecdc_import VALUES (37490, '28/06/2020', '28', '6', '2020', '304', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '114.28902138');
INSERT INTO public.ecdc_import VALUES (37491, '27/06/2020', '27', '6', '2020', '323', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '115.82243824');
INSERT INTO public.ecdc_import VALUES (37492, '26/06/2020', '26', '6', '2020', '375', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '116.88593703');
INSERT INTO public.ecdc_import VALUES (37493, '25/06/2020', '25', '6', '2020', '364', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '117.65264547');
INSERT INTO public.ecdc_import VALUES (37494, '24/06/2020', '24', '6', '2020', '351', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '115.97083342');
INSERT INTO public.ecdc_import VALUES (37495, '23/06/2020', '23', '6', '2020', '163', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '112.68140692');
INSERT INTO public.ecdc_import VALUES (37496, '22/06/2020', '22', '6', '2020', '247', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '111.29638524');
INSERT INTO public.ecdc_import VALUES (37497, '21/06/2020', '21', '6', '2020', '397', '14', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '109.8618985');
INSERT INTO public.ecdc_import VALUES (37498, '20/06/2020', '20', '6', '2020', '450', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '106.572472');
INSERT INTO public.ecdc_import VALUES (37499, '19/06/2020', '19', '6', '2020', '374', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '101.10658286');
INSERT INTO public.ecdc_import VALUES (37500, '18/06/2020', '18', '6', '2020', '478', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '97.37197082');
INSERT INTO public.ecdc_import VALUES (37501, '17/06/2020', '17', '6', '2020', '375', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '91.65875638');
INSERT INTO public.ecdc_import VALUES (37502, '16/06/2020', '16', '6', '2020', '139', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '87.03377326');
INSERT INTO public.ecdc_import VALUES (37503, '15/06/2020', '15', '6', '2020', '281', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '86.29179736');
INSERT INTO public.ecdc_import VALUES (37504, '14/06/2020', '14', '6', '2020', '366', '13', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '83.12603351');
INSERT INTO public.ecdc_import VALUES (37505, '13/06/2020', '13', '6', '2020', '366', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '79.06989858');
INSERT INTO public.ecdc_import VALUES (37506, '12/06/2020', '12', '6', '2020', '406', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '74.24705522');
INSERT INTO public.ecdc_import VALUES (37507, '11/06/2020', '11', '6', '2020', '296', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '68.85536367');
INSERT INTO public.ecdc_import VALUES (37508, '10/06/2020', '10', '6', '2020', '218', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '67.27248175');
INSERT INTO public.ecdc_import VALUES (37509, '09/06/2020', '9', '6', '2020', '107', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '65.78852994');
INSERT INTO public.ecdc_import VALUES (37510, '08/06/2020', '8', '6', '2020', '189', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '64.47770585');
INSERT INTO public.ecdc_import VALUES (37511, '07/06/2020', '7', '6', '2020', '264', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '62.25177815');
INSERT INTO public.ecdc_import VALUES (37512, '06/06/2020', '6', '6', '2020', '229', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '59.35807213');
INSERT INTO public.ecdc_import VALUES (37513, '05/06/2020', '5', '6', '2020', '223', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '57.23107454');
INSERT INTO public.ecdc_import VALUES (37514, '04/06/2020', '4', '6', '2020', '247', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '55.45033238');
INSERT INTO public.ecdc_import VALUES (37515, '03/06/2020', '3', '6', '2020', '188', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '54.60942636');
INSERT INTO public.ecdc_import VALUES (37516, '02/06/2020', '2', '6', '2020', '109', '12', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '54.95568178');
INSERT INTO public.ecdc_import VALUES (37517, '01/06/2020', '1', '6', '2020', '153', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '54.18897335');
INSERT INTO public.ecdc_import VALUES (37518, '31/05/2020', '31', '5', '2020', '202', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '53.52119504');
INSERT INTO public.ecdc_import VALUES (37519, '30/05/2020', '30', '5', '2020', '171', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '53.19967215');
INSERT INTO public.ecdc_import VALUES (37520, '29/05/2020', '29', '5', '2020', '188', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '53.71905528');
INSERT INTO public.ecdc_import VALUES (37521, '28/05/2020', '28', '5', '2020', '232', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '52.70502154');
INSERT INTO public.ecdc_import VALUES (37522, '27/05/2020', '27', '5', '2020', '158', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '53.19967215');
INSERT INTO public.ecdc_import VALUES (37603, '12/12/2020', '12', '12', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '169.26099441');
INSERT INTO public.ecdc_import VALUES (37523, '26/05/2020', '26', '5', '2020', '54', '11', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '53.22440468');
INSERT INTO public.ecdc_import VALUES (37524, '25/05/2020', '25', '5', '2020', '99', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '53.5706601');
INSERT INTO public.ecdc_import VALUES (37525, '24/05/2020', '24', '5', '2020', '147', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '52.60609142');
INSERT INTO public.ecdc_import VALUES (37526, '23/05/2020', '23', '5', '2020', '143', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '52.40823118');
INSERT INTO public.ecdc_import VALUES (37527, '22/05/2020', '22', '5', '2020', '151', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '51.91358058');
INSERT INTO public.ecdc_import VALUES (37528, '21/05/2020', '21', '5', '2020', '213', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '51.36946492');
INSERT INTO public.ecdc_import VALUES (37529, '20/05/2020', '20', '5', '2020', '202', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '48.89621192');
INSERT INTO public.ecdc_import VALUES (37530, '19/05/2020', '19', '5', '2020', '78', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '46.7444818');
INSERT INTO public.ecdc_import VALUES (37531, '18/05/2020', '18', '5', '2020', '126', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '47.95637577');
INSERT INTO public.ecdc_import VALUES (37532, '17/05/2020', '17', '5', '2020', '189', '10', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '46.54662156');
INSERT INTO public.ecdc_import VALUES (37533, '16/05/2020', '16', '5', '2020', '192', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '43.65291554');
INSERT INTO public.ecdc_import VALUES (37534, '15/05/2020', '15', '5', '2020', '147', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.95706977');
INSERT INTO public.ecdc_import VALUES (37535, '14/05/2020', '14', '5', '2020', '252', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.43768664');
INSERT INTO public.ecdc_import VALUES (37536, '13/05/2020', '13', '5', '2020', '159', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '37.49451556');
INSERT INTO public.ecdc_import VALUES (37537, '12/05/2020', '12', '5', '2020', '68', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '37.4450505');
INSERT INTO public.ecdc_import VALUES (37538, '11/05/2020', '11', '5', '2020', '60', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '37.56871315');
INSERT INTO public.ecdc_import VALUES (37539, '10/05/2020', '10', '5', '2020', '139', '9', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '38.65694447');
INSERT INTO public.ecdc_import VALUES (37540, '09/05/2020', '9', '5', '2020', '123', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.01723363');
INSERT INTO public.ecdc_import VALUES (37541, '08/05/2020', '8', '5', '2020', '129', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '41.52591796');
INSERT INTO public.ecdc_import VALUES (37542, '07/05/2020', '7', '5', '2020', '113', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '41.99583603');
INSERT INTO public.ecdc_import VALUES (37543, '06/05/2020', '6', '5', '2020', '115', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '43.25719506');
INSERT INTO public.ecdc_import VALUES (37544, '05/05/2020', '5', '5', '2020', '127', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '42.04530109');
INSERT INTO public.ecdc_import VALUES (37545, '04/05/2020', '4', '5', '2020', '69', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.78394206');
INSERT INTO public.ecdc_import VALUES (37546, '03/05/2020', '3', '5', '2020', '72', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '42.07003362');
INSERT INTO public.ecdc_import VALUES (37547, '02/05/2020', '2', '5', '2020', '83', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '42.44102157');
INSERT INTO public.ecdc_import VALUES (37548, '01/05/2020', '1', '5', '2020', '126', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '43.10879988');
INSERT INTO public.ecdc_import VALUES (37549, '30/04/2020', '30', '4', '2020', '133', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '42.58941675');
INSERT INTO public.ecdc_import VALUES (37550, '29/04/2020', '29', '4', '2020', '157', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '42.14423121');
INSERT INTO public.ecdc_import VALUES (37551, '28/04/2020', '28', '4', '2020', '73', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '43.75184567');
INSERT INTO public.ecdc_import VALUES (37552, '27/04/2020', '27', '4', '2020', '104', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '43.18299747');
INSERT INTO public.ecdc_import VALUES (37553, '26/04/2020', '26', '4', '2020', '194', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '43.13353241');
INSERT INTO public.ecdc_import VALUES (37554, '25/04/2020', '25', '4', '2020', '184', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '41.35279025');
INSERT INTO public.ecdc_import VALUES (37555, '24/04/2020', '24', '4', '2020', '148', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.4871517');
INSERT INTO public.ecdc_import VALUES (37556, '23/04/2020', '23', '4', '2020', '164', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '39.67097821');
INSERT INTO public.ecdc_import VALUES (37557, '22/04/2020', '22', '4', '2020', '66', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '38.53328182');
INSERT INTO public.ecdc_import VALUES (37558, '21/04/2020', '21', '4', '2020', '76', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '39.15159508');
INSERT INTO public.ecdc_import VALUES (37559, '20/04/2020', '20', '4', '2020', '121', '7', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '39.76990833');
INSERT INTO public.ecdc_import VALUES (37560, '19/04/2020', '19', '4', '2020', '87', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '39.54731556');
INSERT INTO public.ecdc_import VALUES (37561, '18/04/2020', '18', '4', '2020', '110', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '41.37752278');
INSERT INTO public.ecdc_import VALUES (37562, '17/04/2020', '17', '4', '2020', '105', '8', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.78394206');
INSERT INTO public.ecdc_import VALUES (37563, '16/04/2020', '16', '4', '2020', '115', '6', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '40.21509387');
INSERT INTO public.ecdc_import VALUES (37564, '15/04/2020', '15', '4', '2020', '222', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '39.10213001');
INSERT INTO public.ecdc_import VALUES (37565, '14/04/2020', '14', '4', '2020', '50', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '34.9717975');
INSERT INTO public.ecdc_import VALUES (37566, '13/04/2020', '13', '4', '2020', '102', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '34.60080955');
INSERT INTO public.ecdc_import VALUES (37567, '12/04/2020', '12', '4', '2020', '122', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '32.86953244');
INSERT INTO public.ecdc_import VALUES (37568, '11/04/2020', '11', '4', '2020', '149', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '30.64360474');
INSERT INTO public.ecdc_import VALUES (37569, '10/04/2020', '10', '4', '2020', '115', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '27.50257342');
INSERT INTO public.ecdc_import VALUES (37570, '09/04/2020', '9', '4', '2020', '118', '5', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '25.35084331');
INSERT INTO public.ecdc_import VALUES (37571, '08/04/2020', '8', '4', '2020', '91', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '23.02598548');
INSERT INTO public.ecdc_import VALUES (37572, '07/04/2020', '7', '4', '2020', '101', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '21.17104573');
INSERT INTO public.ecdc_import VALUES (37573, '06/04/2020', '6', '4', '2020', '112', '3', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '19.04404814');
INSERT INTO public.ecdc_import VALUES (37574, '05/04/2020', '5', '4', '2020', '161', '4', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '16.6202602');
INSERT INTO public.ecdc_import VALUES (37575, '04/04/2020', '4', '4', '2020', '86', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '12.98457828');
INSERT INTO public.ecdc_import VALUES (37576, '03/04/2020', '3', '4', '2020', '82', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '11.2780337');
INSERT INTO public.ecdc_import VALUES (37577, '02/04/2020', '2', '4', '2020', '70', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '9.57148913');
INSERT INTO public.ecdc_import VALUES (37578, '01/04/2020', '1', '4', '2020', '55', '2', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '7.98860721');
INSERT INTO public.ecdc_import VALUES (37579, '31/03/2020', '31', '3', '2020', '35', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '6.65305058');
INSERT INTO public.ecdc_import VALUES (37580, '30/03/2020', '30', '3', '2020', '32', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '5.93580721');
INSERT INTO public.ecdc_import VALUES (37581, '29/03/2020', '29', '3', '2020', '32', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '5.21856384');
INSERT INTO public.ecdc_import VALUES (37582, '28/03/2020', '28', '3', '2020', '22', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '4.72391324');
INSERT INTO public.ecdc_import VALUES (37583, '27/03/2020', '27', '3', '2020', '28', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '4.22926264');
INSERT INTO public.ecdc_import VALUES (37584, '26/03/2020', '26', '3', '2020', '24', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '3.58621686');
INSERT INTO public.ecdc_import VALUES (37585, '25/03/2020', '25', '3', '2020', '16', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '3.01736867');
INSERT INTO public.ecdc_import VALUES (37586, '24/03/2020', '24', '3', '2020', '15', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '2.67111325');
INSERT INTO public.ecdc_import VALUES (37587, '23/03/2020', '23', '3', '2020', '14', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '2.32485783');
INSERT INTO public.ecdc_import VALUES (37588, '22/03/2020', '22', '3', '2020', '14', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37589, '21/03/2020', '21', '3', '2020', '17', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37590, '20/03/2020', '20', '3', '2020', '13', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37591, '19/03/2020', '19', '3', '2020', '6', '1', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37592, '18/03/2020', '18', '3', '2020', '1', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37593, '17/03/2020', '17', '3', '2020', '6', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37594, '16/03/2020', '16', '3', '2020', '3', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37595, '15/03/2020', '15', '3', '2020', '12', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37596, '14/03/2020', '14', '3', '2020', '2', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37597, '13/03/2020', '13', '3', '2020', '2', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37598, '12/03/2020', '12', '3', '2020', '1', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37599, '11/03/2020', '11', '3', '2020', '2', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37600, '08/03/2020', '8', '3', '2020', '1', '0', '4043258', 'Moldova', 'MD', 'MDA', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37601, '14/12/2020', '14', '12', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '181.35106544');
INSERT INTO public.ecdc_import VALUES (37602, '13/12/2020', '13', '12', '2020', '9', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '184.37358319');
INSERT INTO public.ecdc_import VALUES (37604, '11/12/2020', '11', '12', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '172.28351217');
INSERT INTO public.ecdc_import VALUES (37605, '10/12/2020', '10', '12', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '184.37358319');
INSERT INTO public.ecdc_import VALUES (37606, '09/12/2020', '9', '12', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '184.37358319');
INSERT INTO public.ecdc_import VALUES (37607, '08/12/2020', '8', '12', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '175.30602992');
INSERT INTO public.ecdc_import VALUES (37608, '07/12/2020', '7', '12', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '169.26099441');
INSERT INTO public.ecdc_import VALUES (37609, '06/12/2020', '6', '12', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '169.26099441');
INSERT INTO public.ecdc_import VALUES (37610, '05/12/2020', '5', '12', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '160.19344114');
INSERT INTO public.ecdc_import VALUES (37611, '04/12/2020', '4', '12', '2020', '9', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '172.28351217');
INSERT INTO public.ecdc_import VALUES (37612, '03/12/2020', '3', '12', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '169.26099441');
INSERT INTO public.ecdc_import VALUES (37613, '02/12/2020', '2', '12', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '181.35106544');
INSERT INTO public.ecdc_import VALUES (37614, '01/12/2020', '1', '12', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '172.28351217');
INSERT INTO public.ecdc_import VALUES (37615, '30/11/2020', '30', '11', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '181.35106544');
INSERT INTO public.ecdc_import VALUES (37616, '29/11/2020', '29', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '187.39610095');
INSERT INTO public.ecdc_import VALUES (37617, '28/11/2020', '28', '11', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '190.41861871');
INSERT INTO public.ecdc_import VALUES (37618, '27/11/2020', '27', '11', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '205.5312075');
INSERT INTO public.ecdc_import VALUES (37619, '26/11/2020', '26', '11', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '211.57624301');
INSERT INTO public.ecdc_import VALUES (37620, '25/11/2020', '25', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '226.6888318');
INSERT INTO public.ecdc_import VALUES (37621, '24/11/2020', '24', '11', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '281.09415143');
INSERT INTO public.ecdc_import VALUES (37622, '23/11/2020', '23', '11', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '290.1617047');
INSERT INTO public.ecdc_import VALUES (37623, '22/11/2020', '22', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '296.20674021');
INSERT INTO public.ecdc_import VALUES (37624, '21/11/2020', '21', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '371.76968415');
INSERT INTO public.ecdc_import VALUES (37625, '20/11/2020', '20', '11', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '432.22003929');
INSERT INTO public.ecdc_import VALUES (37626, '19/11/2020', '19', '11', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '462.44521687');
INSERT INTO public.ecdc_import VALUES (37627, '18/11/2020', '18', '11', '2020', '5', '1', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '483.60284117');
INSERT INTO public.ecdc_import VALUES (37628, '17/11/2020', '17', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '534.98564304');
INSERT INTO public.ecdc_import VALUES (37629, '16/11/2020', '16', '11', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '550.09823183');
INSERT INTO public.ecdc_import VALUES (37630, '15/11/2020', '15', '11', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '562.18830286');
INSERT INTO public.ecdc_import VALUES (37631, '14/11/2020', '14', '11', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '559.1657851');
INSERT INTO public.ecdc_import VALUES (37632, '13/11/2020', '13', '11', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '559.1657851');
INSERT INTO public.ecdc_import VALUES (37633, '12/11/2020', '12', '11', '2020', '12', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '565.21082061');
INSERT INTO public.ecdc_import VALUES (37634, '11/11/2020', '11', '11', '2020', '22', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '580.3234094');
INSERT INTO public.ecdc_import VALUES (37635, '10/11/2020', '10', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '544.05319631');
INSERT INTO public.ecdc_import VALUES (37636, '09/11/2020', '9', '11', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '544.05319631');
INSERT INTO public.ecdc_import VALUES (37637, '08/11/2020', '8', '11', '2020', '29', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '565.21082061');
INSERT INTO public.ecdc_import VALUES (37638, '07/11/2020', '7', '11', '2020', '24', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '480.58032341');
INSERT INTO public.ecdc_import VALUES (37639, '06/11/2020', '6', '11', '2020', '18', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '450.35514584');
INSERT INTO public.ecdc_import VALUES (37640, '05/11/2020', '5', '11', '2020', '15', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '420.12996826');
INSERT INTO public.ecdc_import VALUES (37641, '04/11/2020', '4', '11', '2020', '22', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '380.83723742');
INSERT INTO public.ecdc_import VALUES (37642, '03/11/2020', '3', '11', '2020', '9', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '323.40940003');
INSERT INTO public.ecdc_import VALUES (37643, '02/11/2020', '2', '11', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '305.27429349');
INSERT INTO public.ecdc_import VALUES (37644, '01/11/2020', '1', '11', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '299.22925797');
INSERT INTO public.ecdc_import VALUES (37645, '31/10/2020', '31', '10', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '302.25177573');
INSERT INTO public.ecdc_import VALUES (37646, '30/10/2020', '30', '10', '2020', '10', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '284.11666919');
INSERT INTO public.ecdc_import VALUES (37647, '29/10/2020', '29', '10', '2020', '17', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '269.0040804');
INSERT INTO public.ecdc_import VALUES (37648, '28/10/2020', '28', '10', '2020', '10', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '238.77890283');
INSERT INTO public.ecdc_import VALUES (37649, '27/10/2020', '27', '10', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '223.66631404');
INSERT INTO public.ecdc_import VALUES (37650, '26/10/2020', '26', '10', '2020', '10', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '217.62127853');
INSERT INTO public.ecdc_import VALUES (37651, '25/10/2020', '25', '10', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '190.41861871');
INSERT INTO public.ecdc_import VALUES (37652, '24/10/2020', '24', '10', '2020', '14', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '187.39610095');
INSERT INTO public.ecdc_import VALUES (37653, '23/10/2020', '23', '10', '2020', '8', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '157.17092338');
INSERT INTO public.ecdc_import VALUES (37654, '22/10/2020', '22', '10', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '139.03581684');
INSERT INTO public.ecdc_import VALUES (37655, '21/10/2020', '21', '10', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '142.05833459');
INSERT INTO public.ecdc_import VALUES (37656, '20/10/2020', '20', '10', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '136.01329908');
INSERT INTO public.ecdc_import VALUES (37657, '19/10/2020', '19', '10', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '129.96826356');
INSERT INTO public.ecdc_import VALUES (37658, '18/10/2020', '18', '10', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '114.85567478');
INSERT INTO public.ecdc_import VALUES (37659, '17/10/2020', '17', '10', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '102.76560375');
INSERT INTO public.ecdc_import VALUES (37660, '16/10/2020', '16', '10', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '102.76560375');
INSERT INTO public.ecdc_import VALUES (37661, '15/10/2020', '15', '10', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '90.67553272');
INSERT INTO public.ecdc_import VALUES (37662, '14/10/2020', '14', '10', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '81.60797945');
INSERT INTO public.ecdc_import VALUES (37663, '13/10/2020', '13', '10', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '72.54042618');
INSERT INTO public.ecdc_import VALUES (37664, '12/10/2020', '12', '10', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '72.54042618');
INSERT INTO public.ecdc_import VALUES (37665, '11/10/2020', '11', '10', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '69.51790842');
INSERT INTO public.ecdc_import VALUES (37666, '10/10/2020', '10', '10', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '75.56294393');
INSERT INTO public.ecdc_import VALUES (37667, '09/10/2020', '9', '10', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '72.54042618');
INSERT INTO public.ecdc_import VALUES (37668, '08/10/2020', '8', '10', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '84.6304972');
INSERT INTO public.ecdc_import VALUES (37669, '07/10/2020', '7', '10', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '81.60797945');
INSERT INTO public.ecdc_import VALUES (37670, '06/10/2020', '6', '10', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '84.6304972');
INSERT INTO public.ecdc_import VALUES (37671, '05/10/2020', '5', '10', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '87.65301496');
INSERT INTO public.ecdc_import VALUES (37672, '04/10/2020', '4', '10', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '90.67553272');
INSERT INTO public.ecdc_import VALUES (37673, '03/10/2020', '3', '10', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '90.67553272');
INSERT INTO public.ecdc_import VALUES (37674, '02/10/2020', '2', '10', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '99.74308599');
INSERT INTO public.ecdc_import VALUES (37675, '01/10/2020', '1', '10', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '111.83315702');
INSERT INTO public.ecdc_import VALUES (37676, '30/09/2020', '30', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '108.81063926');
INSERT INTO public.ecdc_import VALUES (37677, '29/09/2020', '29', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '105.78812151');
INSERT INTO public.ecdc_import VALUES (37678, '28/09/2020', '28', '9', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '117.87819253');
INSERT INTO public.ecdc_import VALUES (37679, '27/09/2020', '27', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '123.92322805');
INSERT INTO public.ecdc_import VALUES (37680, '26/09/2020', '26', '9', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '120.90071029');
INSERT INTO public.ecdc_import VALUES (37681, '25/09/2020', '25', '9', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '120.90071029');
INSERT INTO public.ecdc_import VALUES (37682, '24/09/2020', '24', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '114.85567478');
INSERT INTO public.ecdc_import VALUES (37683, '23/09/2020', '23', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '123.92322805');
INSERT INTO public.ecdc_import VALUES (37684, '22/09/2020', '22', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '126.94574581');
INSERT INTO public.ecdc_import VALUES (37685, '21/09/2020', '21', '9', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '136.01329908');
INSERT INTO public.ecdc_import VALUES (37686, '20/09/2020', '20', '9', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '136.01329908');
INSERT INTO public.ecdc_import VALUES (37687, '19/09/2020', '19', '9', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '132.99078132');
INSERT INTO public.ecdc_import VALUES (37688, '18/09/2020', '18', '9', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '129.96826356');
INSERT INTO public.ecdc_import VALUES (37689, '17/09/2020', '17', '9', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '117.87819253');
INSERT INTO public.ecdc_import VALUES (37690, '16/09/2020', '16', '9', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '114.85567478');
INSERT INTO public.ecdc_import VALUES (37691, '15/09/2020', '15', '9', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '117.87819253');
INSERT INTO public.ecdc_import VALUES (37692, '14/09/2020', '14', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '120.90071029');
INSERT INTO public.ecdc_import VALUES (37693, '13/09/2020', '13', '9', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '117.87819253');
INSERT INTO public.ecdc_import VALUES (37694, '12/09/2020', '12', '9', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '129.96826356');
INSERT INTO public.ecdc_import VALUES (37695, '11/09/2020', '11', '9', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '120.90071029');
INSERT INTO public.ecdc_import VALUES (37696, '10/09/2020', '10', '9', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '117.87819253');
INSERT INTO public.ecdc_import VALUES (37697, '09/09/2020', '9', '9', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '105.78812151');
INSERT INTO public.ecdc_import VALUES (37698, '08/09/2020', '8', '9', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '114.85567478');
INSERT INTO public.ecdc_import VALUES (37699, '07/09/2020', '7', '9', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '111.83315702');
INSERT INTO public.ecdc_import VALUES (37700, '06/09/2020', '6', '9', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '117.87819253');
INSERT INTO public.ecdc_import VALUES (37701, '05/09/2020', '5', '9', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '123.92322805');
INSERT INTO public.ecdc_import VALUES (37702, '04/09/2020', '4', '9', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '123.92322805');
INSERT INTO public.ecdc_import VALUES (37703, '03/09/2020', '3', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '126.94574581');
INSERT INTO public.ecdc_import VALUES (37704, '02/09/2020', '2', '9', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '120.90071029');
INSERT INTO public.ecdc_import VALUES (37705, '01/09/2020', '1', '9', '2020', '7', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '114.85567478');
INSERT INTO public.ecdc_import VALUES (37706, '31/08/2020', '31', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '96.72056823');
INSERT INTO public.ecdc_import VALUES (37707, '30/08/2020', '30', '8', '2020', '5', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37708, '29/08/2020', '29', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '78.58546169');
INSERT INTO public.ecdc_import VALUES (37709, '28/08/2020', '28', '8', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '78.58546169');
INSERT INTO public.ecdc_import VALUES (37710, '27/08/2020', '27', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '75.56294393');
INSERT INTO public.ecdc_import VALUES (37711, '26/08/2020', '26', '8', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '78.58546169');
INSERT INTO public.ecdc_import VALUES (37712, '25/08/2020', '25', '8', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '63.4728729');
INSERT INTO public.ecdc_import VALUES (37713, '24/08/2020', '24', '8', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '51.38280187');
INSERT INTO public.ecdc_import VALUES (37714, '23/08/2020', '23', '8', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '42.3152486');
INSERT INTO public.ecdc_import VALUES (37715, '22/08/2020', '22', '8', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37716, '21/08/2020', '21', '8', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '33.24769533');
INSERT INTO public.ecdc_import VALUES (37717, '20/08/2020', '20', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '30.22517757');
INSERT INTO public.ecdc_import VALUES (37718, '19/08/2020', '19', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37719, '18/08/2020', '18', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '45.33776636');
INSERT INTO public.ecdc_import VALUES (37720, '17/08/2020', '17', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '45.33776636');
INSERT INTO public.ecdc_import VALUES (37721, '16/08/2020', '16', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '45.33776636');
INSERT INTO public.ecdc_import VALUES (37722, '15/08/2020', '15', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '45.33776636');
INSERT INTO public.ecdc_import VALUES (37723, '14/08/2020', '14', '8', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '45.33776636');
INSERT INTO public.ecdc_import VALUES (37724, '13/08/2020', '13', '8', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37725, '12/08/2020', '12', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37726, '11/08/2020', '11', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37727, '10/08/2020', '10', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37728, '09/08/2020', '9', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37729, '08/08/2020', '8', '8', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '36.27021309');
INSERT INTO public.ecdc_import VALUES (37730, '07/08/2020', '7', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '33.24769533');
INSERT INTO public.ecdc_import VALUES (37731, '06/08/2020', '6', '8', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '33.24769533');
INSERT INTO public.ecdc_import VALUES (37732, '05/08/2020', '5', '8', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '27.20265982');
INSERT INTO public.ecdc_import VALUES (37733, '04/08/2020', '4', '8', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '27.20265982');
INSERT INTO public.ecdc_import VALUES (37734, '03/08/2020', '3', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '24.18014206');
INSERT INTO public.ecdc_import VALUES (37735, '02/08/2020', '2', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '24.18014206');
INSERT INTO public.ecdc_import VALUES (37736, '01/08/2020', '1', '8', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '24.18014206');
INSERT INTO public.ecdc_import VALUES (37737, '31/07/2020', '31', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '24.18014206');
INSERT INTO public.ecdc_import VALUES (37738, '30/07/2020', '30', '7', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '24.18014206');
INSERT INTO public.ecdc_import VALUES (37739, '29/07/2020', '29', '7', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37740, '28/07/2020', '28', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '15.11258879');
INSERT INTO public.ecdc_import VALUES (37741, '27/07/2020', '27', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '15.11258879');
INSERT INTO public.ecdc_import VALUES (37742, '26/07/2020', '26', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '15.11258879');
INSERT INTO public.ecdc_import VALUES (37743, '25/07/2020', '25', '7', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37744, '24/07/2020', '24', '7', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '15.11258879');
INSERT INTO public.ecdc_import VALUES (37745, '23/07/2020', '23', '7', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '12.09007103');
INSERT INTO public.ecdc_import VALUES (37746, '22/07/2020', '22', '7', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37747, '21/07/2020', '21', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37748, '20/07/2020', '20', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37749, '19/07/2020', '19', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37750, '18/07/2020', '18', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37751, '17/07/2020', '17', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37752, '16/07/2020', '16', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37753, '15/07/2020', '15', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37754, '14/07/2020', '14', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37755, '13/07/2020', '13', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37756, '12/07/2020', '12', '7', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37757, '11/07/2020', '11', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37758, '10/07/2020', '10', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37759, '09/07/2020', '9', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37760, '08/07/2020', '8', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '21.1576243');
INSERT INTO public.ecdc_import VALUES (37761, '07/07/2020', '7', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '21.1576243');
INSERT INTO public.ecdc_import VALUES (37762, '06/07/2020', '6', '7', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '21.1576243');
INSERT INTO public.ecdc_import VALUES (37763, '05/07/2020', '5', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37764, '04/07/2020', '4', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37765, '03/07/2020', '3', '7', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '18.13510654');
INSERT INTO public.ecdc_import VALUES (37766, '02/07/2020', '2', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37767, '01/07/2020', '1', '7', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37768, '30/06/2020', '30', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37769, '29/06/2020', '29', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37770, '28/06/2020', '28', '6', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '9.06755327');
INSERT INTO public.ecdc_import VALUES (37771, '27/06/2020', '27', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37772, '26/06/2020', '26', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37773, '25/06/2020', '25', '6', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37774, '24/06/2020', '24', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37775, '23/06/2020', '23', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37776, '22/06/2020', '22', '6', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37777, '21/06/2020', '21', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37778, '20/06/2020', '20', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37779, '19/06/2020', '19', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37780, '18/06/2020', '18', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37781, '17/06/2020', '17', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37782, '16/06/2020', '16', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37783, '15/06/2020', '15', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37784, '14/06/2020', '14', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37785, '13/06/2020', '13', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37786, '12/06/2020', '12', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37787, '11/06/2020', '11', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37788, '10/06/2020', '10', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37789, '09/06/2020', '9', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37790, '08/06/2020', '8', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37791, '07/06/2020', '7', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37792, '06/06/2020', '6', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37793, '05/06/2020', '5', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37794, '04/06/2020', '4', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37795, '03/06/2020', '3', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37796, '02/06/2020', '2', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37797, '01/06/2020', '1', '6', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37798, '31/05/2020', '31', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37799, '30/05/2020', '30', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37800, '29/05/2020', '29', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37801, '28/05/2020', '28', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37802, '27/05/2020', '27', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37803, '26/05/2020', '26', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37804, '25/05/2020', '25', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37805, '24/05/2020', '24', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37806, '23/05/2020', '23', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37807, '22/05/2020', '22', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37808, '21/05/2020', '21', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37809, '20/05/2020', '20', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37810, '19/05/2020', '19', '5', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37811, '18/05/2020', '18', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37812, '17/05/2020', '17', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37813, '16/05/2020', '16', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37814, '15/05/2020', '15', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37815, '14/05/2020', '14', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37816, '13/05/2020', '13', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37817, '12/05/2020', '12', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37818, '11/05/2020', '11', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37819, '10/05/2020', '10', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37820, '09/05/2020', '9', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37821, '08/05/2020', '8', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37822, '07/05/2020', '7', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37823, '06/05/2020', '6', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37824, '05/05/2020', '5', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37825, '04/05/2020', '4', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37826, '03/05/2020', '3', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37827, '02/05/2020', '2', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37828, '01/05/2020', '1', '5', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37829, '30/04/2020', '30', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37830, '29/04/2020', '29', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37831, '28/04/2020', '28', '4', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37832, '27/04/2020', '27', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37833, '26/04/2020', '26', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37834, '25/04/2020', '25', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '6.04503551');
INSERT INTO public.ecdc_import VALUES (37835, '24/04/2020', '24', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '24.18014206');
INSERT INTO public.ecdc_import VALUES (37836, '23/04/2020', '23', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '33.24769533');
INSERT INTO public.ecdc_import VALUES (37837, '22/04/2020', '22', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '33.24769533');
INSERT INTO public.ecdc_import VALUES (37838, '21/04/2020', '21', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '39.29273084');
INSERT INTO public.ecdc_import VALUES (37839, '20/04/2020', '20', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '42.3152486');
INSERT INTO public.ecdc_import VALUES (37840, '19/04/2020', '19', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '51.38280187');
INSERT INTO public.ecdc_import VALUES (37841, '18/04/2020', '18', '4', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '54.40531963');
INSERT INTO public.ecdc_import VALUES (37842, '17/04/2020', '17', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '63.4728729');
INSERT INTO public.ecdc_import VALUES (37843, '16/04/2020', '16', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '72.54042618');
INSERT INTO public.ecdc_import VALUES (37844, '15/04/2020', '15', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '81.60797945');
INSERT INTO public.ecdc_import VALUES (37845, '14/04/2020', '14', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '84.6304972');
INSERT INTO public.ecdc_import VALUES (37846, '13/04/2020', '13', '4', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '87.65301496');
INSERT INTO public.ecdc_import VALUES (37847, '12/04/2020', '12', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '90.67553272');
INSERT INTO public.ecdc_import VALUES (37848, '11/04/2020', '11', '4', '2020', '6', '1', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37849, '10/04/2020', '10', '4', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37850, '09/04/2020', '9', '4', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37851, '08/04/2020', '8', '4', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37852, '07/04/2020', '7', '4', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '90.67553272');
INSERT INTO public.ecdc_import VALUES (37853, '06/04/2020', '6', '4', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37854, '05/04/2020', '5', '4', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '90.67553272');
INSERT INTO public.ecdc_import VALUES (37855, '04/04/2020', '4', '4', '2020', '4', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '87.65301496');
INSERT INTO public.ecdc_import VALUES (37856, '03/04/2020', '3', '4', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37857, '02/04/2020', '2', '4', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37858, '01/04/2020', '1', '4', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '84.6304972');
INSERT INTO public.ecdc_import VALUES (37859, '31/03/2020', '31', '3', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '81.60797945');
INSERT INTO public.ecdc_import VALUES (37860, '30/03/2020', '30', '3', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '78.58546169');
INSERT INTO public.ecdc_import VALUES (37861, '29/03/2020', '29', '3', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '78.58546169');
INSERT INTO public.ecdc_import VALUES (37862, '28/03/2020', '28', '3', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '93.69805048');
INSERT INTO public.ecdc_import VALUES (37863, '27/03/2020', '27', '3', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '75.56294393');
INSERT INTO public.ecdc_import VALUES (37864, '26/03/2020', '26', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '66.49539066');
INSERT INTO public.ecdc_import VALUES (37865, '25/03/2020', '25', '3', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '69.51790842');
INSERT INTO public.ecdc_import VALUES (37866, '24/03/2020', '24', '3', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '66.49539066');
INSERT INTO public.ecdc_import VALUES (37867, '23/03/2020', '23', '3', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '60.45035515');
INSERT INTO public.ecdc_import VALUES (37868, '22/03/2020', '22', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '54.40531963');
INSERT INTO public.ecdc_import VALUES (37869, '21/03/2020', '21', '3', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '54.40531963');
INSERT INTO public.ecdc_import VALUES (37870, '20/03/2020', '20', '3', '2020', '3', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '36.27021309');
INSERT INTO public.ecdc_import VALUES (37871, '19/03/2020', '19', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '27.20265982');
INSERT INTO public.ecdc_import VALUES (37872, '18/03/2020', '18', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '27.20265982');
INSERT INTO public.ecdc_import VALUES (37873, '17/03/2020', '17', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '27.20265982');
INSERT INTO public.ecdc_import VALUES (37874, '16/03/2020', '16', '3', '2020', '2', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '27.20265982');
INSERT INTO public.ecdc_import VALUES (37875, '15/03/2020', '15', '3', '2020', '6', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '21.1576243');
INSERT INTO public.ecdc_import VALUES (37876, '02/03/2020', '2', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37877, '01/03/2020', '1', '3', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37878, '29/02/2020', '29', '2', '2020', '1', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '3.02251776');
INSERT INTO public.ecdc_import VALUES (37879, '28/02/2020', '28', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37880, '27/02/2020', '27', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37881, '26/02/2020', '26', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37882, '25/02/2020', '25', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37883, '24/02/2020', '24', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37884, '23/02/2020', '23', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37885, '22/02/2020', '22', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37886, '21/02/2020', '21', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37887, '20/02/2020', '20', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37888, '19/02/2020', '19', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37889, '18/02/2020', '18', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37890, '17/02/2020', '17', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37891, '16/02/2020', '16', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37892, '15/02/2020', '15', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37893, '14/02/2020', '14', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37894, '13/02/2020', '13', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37895, '12/02/2020', '12', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37896, '11/02/2020', '11', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37897, '10/02/2020', '10', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37898, '09/02/2020', '9', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37899, '08/02/2020', '8', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37900, '07/02/2020', '7', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37901, '06/02/2020', '6', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37902, '05/02/2020', '5', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37903, '04/02/2020', '4', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37904, '03/02/2020', '3', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37905, '02/02/2020', '2', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37906, '01/02/2020', '1', '2', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37907, '31/01/2020', '31', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37908, '30/01/2020', '30', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37909, '29/01/2020', '29', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37910, '28/01/2020', '28', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37911, '27/01/2020', '27', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37912, '26/01/2020', '26', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37913, '25/01/2020', '25', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37914, '24/01/2020', '24', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37915, '23/01/2020', '23', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37916, '22/01/2020', '22', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37917, '21/01/2020', '21', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37918, '20/01/2020', '20', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37919, '19/01/2020', '19', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37920, '18/01/2020', '18', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37921, '17/01/2020', '17', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37922, '16/01/2020', '16', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37923, '15/01/2020', '15', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37924, '14/01/2020', '14', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37925, '13/01/2020', '13', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (37926, '12/01/2020', '12', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37927, '11/01/2020', '11', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37928, '10/01/2020', '10', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37929, '09/01/2020', '9', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37930, '08/01/2020', '8', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37931, '07/01/2020', '7', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37932, '06/01/2020', '6', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37933, '05/01/2020', '5', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37934, '04/01/2020', '4', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37935, '03/01/2020', '3', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37936, '02/01/2020', '2', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37937, '01/01/2020', '1', '1', '2020', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37938, '31/12/2019', '31', '12', '2019', '0', '0', '33085', 'Monaco', 'MC', 'MCO', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (37939, '14/12/2020', '14', '12', '2020', '5', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.75174487');
INSERT INTO public.ecdc_import VALUES (37940, '13/12/2020', '13', '12', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.81375718');
INSERT INTO public.ecdc_import VALUES (37941, '12/12/2020', '12', '12', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '4.52689877');
INSERT INTO public.ecdc_import VALUES (37942, '11/12/2020', '11', '12', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '5.17802805');
INSERT INTO public.ecdc_import VALUES (37943, '10/12/2020', '10', '12', '2020', '5', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '5.76714501');
INSERT INTO public.ecdc_import VALUES (37944, '09/12/2020', '9', '12', '2020', '5', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '6.01519426');
INSERT INTO public.ecdc_import VALUES (37945, '08/12/2020', '8', '12', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '6.69732969');
INSERT INTO public.ecdc_import VALUES (37946, '07/12/2020', '7', '12', '2020', '38', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '7.65852052');
INSERT INTO public.ecdc_import VALUES (37947, '06/12/2020', '6', '12', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '7.47248359');
INSERT INTO public.ecdc_import VALUES (37948, '05/12/2020', '5', '12', '2020', '11', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '8.18562517');
INSERT INTO public.ecdc_import VALUES (37949, '04/12/2020', '4', '12', '2020', '12', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '10.10800684');
INSERT INTO public.ecdc_import VALUES (37950, '03/12/2020', '3', '12', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '9.73593297');
INSERT INTO public.ecdc_import VALUES (37951, '02/12/2020', '2', '12', '2020', '11', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '11.06919768');
INSERT INTO public.ecdc_import VALUES (37952, '01/12/2020', '1', '12', '2020', '10', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '11.37925924');
INSERT INTO public.ecdc_import VALUES (37953, '30/11/2020', '30', '11', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '11.16221615');
INSERT INTO public.ecdc_import VALUES (37954, '29/11/2020', '29', '11', '2020', '24', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '11.03819152');
INSERT INTO public.ecdc_import VALUES (37955, '28/11/2020', '28', '11', '2020', '22', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '10.66611765');
INSERT INTO public.ecdc_import VALUES (37956, '27/11/2020', '27', '11', '2020', '26', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '10.10800684');
INSERT INTO public.ecdc_import VALUES (37957, '26/11/2020', '26', '11', '2020', '13', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '9.48788372');
INSERT INTO public.ecdc_import VALUES (37958, '25/11/2020', '25', '11', '2020', '27', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '9.82895144');
INSERT INTO public.ecdc_import VALUES (37959, '24/11/2020', '24', '11', '2020', '32', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '9.42587141');
INSERT INTO public.ecdc_import VALUES (37960, '23/11/2020', '23', '11', '2020', '32', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '8.43367442');
INSERT INTO public.ecdc_import VALUES (37961, '22/11/2020', '22', '11', '2020', '30', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '7.65852052');
INSERT INTO public.ecdc_import VALUES (37962, '21/11/2020', '21', '11', '2020', '73', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '6.85236047');
INSERT INTO public.ecdc_import VALUES (37963, '20/11/2020', '20', '11', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '4.61991724');
INSERT INTO public.ecdc_import VALUES (37964, '19/11/2020', '19', '11', '2020', '50', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '4.71293571');
INSERT INTO public.ecdc_import VALUES (37965, '18/11/2020', '18', '11', '2020', '21', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.19363406');
INSERT INTO public.ecdc_import VALUES (37966, '17/11/2020', '17', '11', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.6045171');
INSERT INTO public.ecdc_import VALUES (37967, '16/11/2020', '16', '11', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.54250479');
INSERT INTO public.ecdc_import VALUES (37968, '15/11/2020', '15', '11', '2020', '12', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.54250479');
INSERT INTO public.ecdc_import VALUES (37969, '14/11/2020', '14', '11', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.17043092');
INSERT INTO public.ecdc_import VALUES (37970, '13/11/2020', '13', '11', '2020', '6', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.23244323');
INSERT INTO public.ecdc_import VALUES (37971, '12/11/2020', '12', '11', '2020', '24', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.04640629');
INSERT INTO public.ecdc_import VALUES (37972, '11/11/2020', '11', '11', '2020', '14', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.30225855');
INSERT INTO public.ecdc_import VALUES (37973, '10/11/2020', '10', '11', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.86817237');
INSERT INTO public.ecdc_import VALUES (37974, '09/11/2020', '9', '11', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.89917852');
INSERT INTO public.ecdc_import VALUES (37975, '08/11/2020', '8', '11', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (37976, '07/11/2020', '7', '11', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (37977, '06/11/2020', '6', '11', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.86817237');
INSERT INTO public.ecdc_import VALUES (37978, '05/11/2020', '5', '11', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.7751539');
INSERT INTO public.ecdc_import VALUES (37979, '04/11/2020', '4', '11', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.7751539');
INSERT INTO public.ecdc_import VALUES (37980, '03/11/2020', '3', '11', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.74414774');
INSERT INTO public.ecdc_import VALUES (37981, '02/11/2020', '2', '11', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.7751539');
INSERT INTO public.ecdc_import VALUES (37982, '01/11/2020', '1', '11', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (37983, '31/10/2020', '31', '10', '2020', '6', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.80616006');
INSERT INTO public.ecdc_import VALUES (37984, '30/10/2020', '30', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (37985, '29/10/2020', '29', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (37986, '28/10/2020', '28', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (37987, '27/10/2020', '27', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (37988, '26/10/2020', '26', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.65112928');
INSERT INTO public.ecdc_import VALUES (37989, '25/10/2020', '25', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (37990, '24/10/2020', '24', '10', '2020', '9', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (37991, '23/10/2020', '23', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.40308003');
INSERT INTO public.ecdc_import VALUES (37992, '22/10/2020', '22', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.40308003');
INSERT INTO public.ecdc_import VALUES (37993, '21/10/2020', '21', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (37994, '20/10/2020', '20', '10', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.34106772');
INSERT INTO public.ecdc_import VALUES (37995, '19/10/2020', '19', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (37996, '18/10/2020', '18', '10', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.34106772');
INSERT INTO public.ecdc_import VALUES (37997, '17/10/2020', '17', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (37998, '16/10/2020', '16', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (37999, '15/10/2020', '15', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38000, '14/10/2020', '14', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38001, '13/10/2020', '13', '10', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38002, '12/10/2020', '12', '10', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38003, '11/10/2020', '11', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38004, '10/10/2020', '10', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38005, '09/10/2020', '9', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38006, '08/10/2020', '8', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38007, '07/10/2020', '7', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38008, '06/10/2020', '6', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38009, '05/10/2020', '5', '10', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38010, '04/10/2020', '4', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.03100616');
INSERT INTO public.ecdc_import VALUES (38011, '03/10/2020', '3', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38012, '02/10/2020', '2', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38013, '01/10/2020', '1', '10', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38014, '30/09/2020', '30', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38015, '29/09/2020', '29', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38016, '28/09/2020', '28', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38017, '27/09/2020', '27', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38018, '26/09/2020', '26', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38019, '25/09/2020', '25', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38020, '24/09/2020', '24', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38021, '23/09/2020', '23', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38022, '22/09/2020', '22', '9', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38023, '21/09/2020', '21', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38024, '20/09/2020', '20', '9', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38025, '19/09/2020', '19', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38026, '18/09/2020', '18', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38027, '17/09/2020', '17', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38028, '16/09/2020', '16', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38029, '15/09/2020', '15', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38030, '14/09/2020', '14', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (38031, '13/09/2020', '13', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (38032, '12/09/2020', '12', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (38033, '11/09/2020', '11', '9', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (38034, '10/09/2020', '10', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.2790554');
INSERT INTO public.ecdc_import VALUES (38035, '09/09/2020', '9', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (38036, '08/09/2020', '8', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38037, '07/09/2020', '7', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38038, '06/09/2020', '6', '9', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38039, '05/09/2020', '5', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38040, '04/09/2020', '4', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38041, '03/09/2020', '3', '9', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38042, '02/09/2020', '2', '9', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38043, '01/09/2020', '1', '9', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38044, '31/08/2020', '31', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38045, '30/08/2020', '30', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38046, '29/08/2020', '29', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.09301847');
INSERT INTO public.ecdc_import VALUES (38047, '28/08/2020', '28', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38048, '27/08/2020', '27', '8', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38049, '26/08/2020', '26', '8', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38050, '25/08/2020', '25', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38051, '24/08/2020', '24', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38052, '23/08/2020', '23', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38053, '22/08/2020', '22', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38054, '21/08/2020', '21', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38055, '20/08/2020', '20', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38056, '19/08/2020', '19', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38057, '18/08/2020', '18', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38058, '17/08/2020', '17', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38059, '16/08/2020', '16', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38060, '15/08/2020', '15', '8', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38061, '14/08/2020', '14', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38062, '13/08/2020', '13', '8', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38063, '12/08/2020', '12', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.06201231');
INSERT INTO public.ecdc_import VALUES (38064, '11/08/2020', '11', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38065, '10/08/2020', '10', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38066, '09/08/2020', '9', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38067, '08/08/2020', '8', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38068, '07/08/2020', '7', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38069, '06/08/2020', '6', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38070, '05/08/2020', '5', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38071, '04/08/2020', '4', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38072, '03/08/2020', '3', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38073, '02/08/2020', '2', '8', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38074, '01/08/2020', '1', '8', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38075, '31/07/2020', '31', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.89917852');
INSERT INTO public.ecdc_import VALUES (38076, '30/07/2020', '30', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.93018468');
INSERT INTO public.ecdc_import VALUES (38077, '29/07/2020', '29', '7', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.93018468');
INSERT INTO public.ecdc_import VALUES (38078, '28/07/2020', '28', '7', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.42628317');
INSERT INTO public.ecdc_import VALUES (38079, '27/07/2020', '27', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.79835705');
INSERT INTO public.ecdc_import VALUES (38080, '26/07/2020', '26', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.79835705');
INSERT INTO public.ecdc_import VALUES (38081, '25/07/2020', '25', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.89137551');
INSERT INTO public.ecdc_import VALUES (38082, '24/07/2020', '24', '7', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.89137551');
INSERT INTO public.ecdc_import VALUES (38083, '23/07/2020', '23', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.86036936');
INSERT INTO public.ecdc_import VALUES (38084, '22/07/2020', '22', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.07741245');
INSERT INTO public.ecdc_import VALUES (38085, '21/07/2020', '21', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.07741245');
INSERT INTO public.ecdc_import VALUES (38086, '20/07/2020', '20', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.07741245');
INSERT INTO public.ecdc_import VALUES (38087, '19/07/2020', '19', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.07741245');
INSERT INTO public.ecdc_import VALUES (38088, '18/07/2020', '18', '7', '2020', '25', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.07741245');
INSERT INTO public.ecdc_import VALUES (38089, '17/07/2020', '17', '7', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.30225855');
INSERT INTO public.ecdc_import VALUES (38090, '16/07/2020', '16', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.27125239');
INSERT INTO public.ecdc_import VALUES (38091, '15/07/2020', '15', '7', '2020', '18', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.27125239');
INSERT INTO public.ecdc_import VALUES (38092, '14/07/2020', '14', '7', '2020', '13', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (38093, '13/07/2020', '13', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.31006156');
INSERT INTO public.ecdc_import VALUES (38094, '12/07/2020', '12', '7', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.34106772');
INSERT INTO public.ecdc_import VALUES (38095, '11/07/2020', '11', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38096, '10/07/2020', '10', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38097, '09/07/2020', '9', '7', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.34106772');
INSERT INTO public.ecdc_import VALUES (38098, '08/07/2020', '8', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38099, '07/07/2020', '7', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38100, '06/07/2020', '6', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38101, '05/07/2020', '5', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.43408618');
INSERT INTO public.ecdc_import VALUES (38102, '04/07/2020', '4', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.4960985');
INSERT INTO public.ecdc_import VALUES (38103, '03/07/2020', '3', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.4960985');
INSERT INTO public.ecdc_import VALUES (38104, '02/07/2020', '2', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.58911696');
INSERT INTO public.ecdc_import VALUES (38105, '01/07/2020', '1', '7', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (38106, '30/06/2020', '30', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (38107, '29/06/2020', '29', '6', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (38108, '28/06/2020', '28', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38109, '27/06/2020', '27', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38110, '26/06/2020', '26', '6', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38111, '25/06/2020', '25', '6', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38112, '24/06/2020', '24', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.65112928');
INSERT INTO public.ecdc_import VALUES (38113, '23/06/2020', '23', '6', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.65112928');
INSERT INTO public.ecdc_import VALUES (38114, '22/06/2020', '22', '6', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.58911696');
INSERT INTO public.ecdc_import VALUES (38115, '21/06/2020', '21', '6', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.40308003');
INSERT INTO public.ecdc_import VALUES (38116, '20/06/2020', '20', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.40308003');
INSERT INTO public.ecdc_import VALUES (38117, '19/06/2020', '19', '6', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.40308003');
INSERT INTO public.ecdc_import VALUES (38118, '18/06/2020', '18', '6', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.46509234');
INSERT INTO public.ecdc_import VALUES (38119, '17/06/2020', '17', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38120, '16/06/2020', '16', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38121, '15/06/2020', '15', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38122, '14/06/2020', '14', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.55811081');
INSERT INTO public.ecdc_import VALUES (38123, '13/06/2020', '13', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.55811081');
INSERT INTO public.ecdc_import VALUES (38124, '12/06/2020', '12', '6', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.55811081');
INSERT INTO public.ecdc_import VALUES (38125, '11/06/2020', '11', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.02320315');
INSERT INTO public.ecdc_import VALUES (38126, '10/06/2020', '10', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.42628317');
INSERT INTO public.ecdc_import VALUES (38127, '09/06/2020', '9', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.64332627');
INSERT INTO public.ecdc_import VALUES (38128, '08/06/2020', '8', '6', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.64332627');
INSERT INTO public.ecdc_import VALUES (38129, '07/06/2020', '7', '6', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.61232011');
INSERT INTO public.ecdc_import VALUES (38130, '06/06/2020', '6', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.5503078');
INSERT INTO public.ecdc_import VALUES (38131, '05/06/2020', '5', '6', '2020', '5', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.5503078');
INSERT INTO public.ecdc_import VALUES (38132, '04/06/2020', '4', '6', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.42628317');
INSERT INTO public.ecdc_import VALUES (38133, '03/06/2020', '3', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.39527702');
INSERT INTO public.ecdc_import VALUES (38134, '02/06/2020', '2', '6', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.39527702');
INSERT INTO public.ecdc_import VALUES (38135, '01/06/2020', '1', '6', '2020', '6', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.39527702');
INSERT INTO public.ecdc_import VALUES (38136, '31/05/2020', '31', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.33326471');
INSERT INTO public.ecdc_import VALUES (38137, '30/05/2020', '30', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '1.36427086');
INSERT INTO public.ecdc_import VALUES (38138, '29/05/2020', '29', '5', '2020', '18', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.6587264');
INSERT INTO public.ecdc_import VALUES (38139, '28/05/2020', '28', '5', '2020', '13', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.1006156');
INSERT INTO public.ecdc_import VALUES (38140, '27/05/2020', '27', '5', '2020', '7', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.28665253');
INSERT INTO public.ecdc_import VALUES (38141, '26/05/2020', '26', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38142, '25/05/2020', '25', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38143, '24/05/2020', '24', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38144, '23/05/2020', '23', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38145, '22/05/2020', '22', '5', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38146, '21/05/2020', '21', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38147, '20/05/2020', '20', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38148, '19/05/2020', '19', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.06960944');
INSERT INTO public.ecdc_import VALUES (38149, '18/05/2020', '18', '5', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.1006156');
INSERT INTO public.ecdc_import VALUES (38150, '17/05/2020', '17', '5', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '3.00759713');
INSERT INTO public.ecdc_import VALUES (38151, '16/05/2020', '16', '5', '2020', '74', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '2.97659097');
INSERT INTO public.ecdc_import VALUES (38152, '15/05/2020', '15', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (38153, '14/05/2020', '14', '5', '2020', '19', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.71314159');
INSERT INTO public.ecdc_import VALUES (38154, '13/05/2020', '13', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38155, '12/05/2020', '12', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38156, '11/05/2020', '11', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38157, '10/05/2020', '10', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38158, '09/05/2020', '9', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38159, '08/05/2020', '8', '5', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38160, '07/05/2020', '7', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38161, '06/05/2020', '6', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38162, '05/05/2020', '5', '5', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38163, '04/05/2020', '4', '5', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38164, '03/05/2020', '3', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38165, '02/05/2020', '2', '5', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38166, '01/05/2020', '1', '5', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.21704309');
INSERT INTO public.ecdc_import VALUES (38167, '30/04/2020', '30', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38168, '29/04/2020', '29', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38169, '28/04/2020', '28', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38170, '27/04/2020', '27', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38171, '26/04/2020', '26', '4', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.68213543');
INSERT INTO public.ecdc_import VALUES (38172, '25/04/2020', '25', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (38173, '24/04/2020', '24', '4', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (38174, '23/04/2020', '23', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.58911696');
INSERT INTO public.ecdc_import VALUES (38175, '22/04/2020', '22', '4', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.62012312');
INSERT INTO public.ecdc_import VALUES (38176, '21/04/2020', '21', '4', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.58911696');
INSERT INTO public.ecdc_import VALUES (38177, '20/04/2020', '20', '4', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.55811081');
INSERT INTO public.ecdc_import VALUES (38178, '19/04/2020', '19', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.52710465');
INSERT INTO public.ecdc_import VALUES (38179, '18/04/2020', '18', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.52710465');
INSERT INTO public.ecdc_import VALUES (38180, '17/04/2020', '17', '4', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.52710465');
INSERT INTO public.ecdc_import VALUES (38181, '16/04/2020', '16', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.4960985');
INSERT INTO public.ecdc_import VALUES (38182, '15/04/2020', '15', '4', '2020', '14', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.55811081');
INSERT INTO public.ecdc_import VALUES (38183, '14/04/2020', '14', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38184, '13/04/2020', '13', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38185, '12/04/2020', '12', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38186, '11/04/2020', '11', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38187, '10/04/2020', '10', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38188, '09/04/2020', '9', '4', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.18603694');
INSERT INTO public.ecdc_import VALUES (38189, '08/04/2020', '8', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38190, '07/04/2020', '7', '4', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.15503078');
INSERT INTO public.ecdc_import VALUES (38191, '06/04/2020', '6', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38192, '05/04/2020', '5', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.12402462');
INSERT INTO public.ecdc_import VALUES (38193, '04/04/2020', '4', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38194, '03/04/2020', '3', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.2790554');
INSERT INTO public.ecdc_import VALUES (38195, '02/04/2020', '2', '4', '2020', '2', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.2790554');
INSERT INTO public.ecdc_import VALUES (38196, '01/04/2020', '1', '4', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.24804925');
INSERT INTO public.ecdc_import VALUES (38197, '31/03/2020', '31', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.34106772');
INSERT INTO public.ecdc_import VALUES (38198, '30/03/2020', '30', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.34106772');
INSERT INTO public.ecdc_import VALUES (38199, '29/03/2020', '29', '3', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '0.37207387');
INSERT INTO public.ecdc_import VALUES (38200, '28/03/2020', '28', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38201, '27/03/2020', '27', '3', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38202, '26/03/2020', '26', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38203, '25/03/2020', '25', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38204, '24/03/2020', '24', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38205, '23/03/2020', '23', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38206, '22/03/2020', '22', '3', '2020', '4', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38207, '21/03/2020', '21', '3', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38208, '20/03/2020', '20', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38209, '19/03/2020', '19', '3', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38210, '18/03/2020', '18', '3', '2020', '3', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38211, '15/03/2020', '15', '3', '2020', '0', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38212, '10/03/2020', '10', '3', '2020', '1', '0', '3225166', 'Mongolia', 'MN', 'MNG', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (38213, '14/12/2020', '14', '12', '2020', '478', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1051.9430006');
INSERT INTO public.ecdc_import VALUES (38214, '13/12/2020', '13', '12', '2020', '402', '9', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1043.74604215');
INSERT INTO public.ecdc_import VALUES (38215, '12/12/2020', '12', '12', '2020', '381', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1078.46257204');
INSERT INTO public.ecdc_import VALUES (38216, '11/12/2020', '11', '12', '2020', '558', '10', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1100.80330193');
INSERT INTO public.ecdc_import VALUES (38217, '10/12/2020', '10', '12', '2020', '454', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1092.76706816');
INSERT INTO public.ecdc_import VALUES (38218, '09/12/2020', '9', '12', '2020', '591', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1119.44736428');
INSERT INTO public.ecdc_import VALUES (38219, '08/12/2020', '8', '12', '2020', '316', '10', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1116.07214609');
INSERT INTO public.ecdc_import VALUES (38220, '07/12/2020', '7', '12', '2020', '367', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1154.64606819');
INSERT INTO public.ecdc_import VALUES (38221, '06/12/2020', '6', '12', '2020', '412', '8', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1161.39650456');
INSERT INTO public.ecdc_import VALUES (38222, '05/12/2020', '5', '12', '2020', '535', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1187.43390198');
INSERT INTO public.ecdc_import VALUES (38223, '04/12/2020', '4', '12', '2020', '581', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1182.12998769');
INSERT INTO public.ecdc_import VALUES (38224, '03/12/2020', '3', '12', '2020', '502', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1176.50462405');
INSERT INTO public.ecdc_import VALUES (38225, '02/12/2020', '2', '12', '2020', '584', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1198.52390458');
INSERT INTO public.ecdc_import VALUES (38226, '01/12/2020', '1', '12', '2020', '384', '12', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1204.14926822');
INSERT INTO public.ecdc_import VALUES (38227, '30/11/2020', '30', '11', '2020', '427', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1238.22289941');
INSERT INTO public.ecdc_import VALUES (38228, '29/11/2020', '29', '11', '2020', '618', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1248.50927864');
INSERT INTO public.ecdc_import VALUES (38229, '28/11/2020', '28', '11', '2020', '520', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1241.91956694');
INSERT INTO public.ecdc_import VALUES (38230, '27/11/2020', '27', '11', '2020', '508', '10', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1254.77754098');
INSERT INTO public.ecdc_import VALUES (38231, '26/11/2020', '26', '11', '2020', '620', '9', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1276.63609683');
INSERT INTO public.ecdc_import VALUES (38232, '25/11/2020', '25', '11', '2020', '570', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1291.2620423');
INSERT INTO public.ecdc_import VALUES (38233, '24/11/2020', '24', '11', '2020', '556', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1287.40465009');
INSERT INTO public.ecdc_import VALUES (38234, '23/11/2020', '23', '11', '2020', '409', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1327.10364491');
INSERT INTO public.ecdc_import VALUES (38235, '22/11/2020', '22', '11', '2020', '574', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1329.8359644');
INSERT INTO public.ecdc_import VALUES (38236, '21/11/2020', '21', '11', '2020', '502', '9', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1285.79740333');
INSERT INTO public.ecdc_import VALUES (38237, '20/11/2020', '20', '11', '2020', '546', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1292.86928905');
INSERT INTO public.ecdc_import VALUES (38238, '19/11/2020', '19', '11', '2020', '639', '9', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1314.72784491');
INSERT INTO public.ecdc_import VALUES (38239, '18/11/2020', '18', '11', '2020', '619', '9', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1352.49814363');
INSERT INTO public.ecdc_import VALUES (38240, '17/11/2020', '17', '11', '2020', '596', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1376.28539559');
INSERT INTO public.ecdc_import VALUES (38241, '16/11/2020', '16', '11', '2020', '491', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1360.21292805');
INSERT INTO public.ecdc_import VALUES (38242, '15/11/2020', '15', '11', '2020', '577', '8', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1341.24741635');
INSERT INTO public.ecdc_import VALUES (38243, '14/11/2020', '14', '11', '2020', '600', '13', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1292.70856438');
INSERT INTO public.ecdc_import VALUES (38244, '13/11/2020', '13', '11', '2020', '644', '8', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1247.70565526');
INSERT INTO public.ecdc_import VALUES (38245, '12/11/2020', '12', '11', '2020', '711', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1201.09549939');
INSERT INTO public.ecdc_import VALUES (38246, '11/11/2020', '11', '11', '2020', '546', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1135.19838247');
INSERT INTO public.ecdc_import VALUES (38247, '10/11/2020', '10', '11', '2020', '803', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1076.69460062');
INSERT INTO public.ecdc_import VALUES (38248, '09/11/2020', '9', '11', '2020', '426', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '965.6338499');
INSERT INTO public.ecdc_import VALUES (38249, '08/11/2020', '8', '11', '2020', '300', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '924.16688364');
INSERT INTO public.ecdc_import VALUES (38250, '07/11/2020', '7', '11', '2020', '546', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '906.96934338');
INSERT INTO public.ecdc_import VALUES (38251, '06/11/2020', '6', '11', '2020', '682', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '847.66193815');
INSERT INTO public.ecdc_import VALUES (38252, '05/11/2020', '5', '11', '2020', '874', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '768.58539784');
INSERT INTO public.ecdc_import VALUES (38253, '04/11/2020', '4', '11', '2020', '767', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '656.56029908');
INSERT INTO public.ecdc_import VALUES (38254, '03/11/2020', '3', '11', '2020', '496', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '554.50013019');
INSERT INTO public.ecdc_import VALUES (38255, '02/11/2020', '2', '11', '2020', '373', '12', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '498.08576912');
INSERT INTO public.ecdc_import VALUES (38256, '01/11/2020', '1', '11', '2020', '275', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '468.35170416');
INSERT INTO public.ecdc_import VALUES (38257, '31/10/2020', '31', '10', '2020', '320', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '447.61822104');
INSERT INTO public.ecdc_import VALUES (38258, '30/10/2020', '30', '10', '2020', '354', '8', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '494.06765223');
INSERT INTO public.ecdc_import VALUES (38259, '29/10/2020', '29', '10', '2020', '301', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '471.08402365');
INSERT INTO public.ecdc_import VALUES (38260, '28/10/2020', '28', '10', '2020', '182', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '453.7257587');
INSERT INTO public.ecdc_import VALUES (38261, '27/10/2020', '27', '10', '2020', '112', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '459.51184702');
INSERT INTO public.ecdc_import VALUES (38262, '26/10/2020', '26', '10', '2020', '168', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '470.60184962');
INSERT INTO public.ecdc_import VALUES (38263, '25/10/2020', '25', '10', '2020', '193', '8', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '480.24533014');
INSERT INTO public.ecdc_import VALUES (38264, '24/10/2020', '24', '10', '2020', '177', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '496.31779769');
INSERT INTO public.ecdc_import VALUES (38265, '23/10/2020', '23', '10', '2020', '190', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '523.15881848');
INSERT INTO public.ecdc_import VALUES (38266, '22/10/2020', '22', '10', '2020', '177', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '526.37331199');
INSERT INTO public.ecdc_import VALUES (38267, '21/10/2020', '21', '10', '2020', '132', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '531.67722628');
INSERT INTO public.ecdc_import VALUES (38268, '20/10/2020', '20', '10', '2020', '145', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '546.62462109');
INSERT INTO public.ecdc_import VALUES (38269, '19/10/2020', '19', '10', '2020', '188', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '560.60766785');
INSERT INTO public.ecdc_import VALUES (38270, '18/10/2020', '18', '10', '2020', '146', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '561.41129123');
INSERT INTO public.ecdc_import VALUES (38271, '17/10/2020', '17', '10', '2020', '609', '7', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '577.16230942');
INSERT INTO public.ecdc_import VALUES (38272, '16/10/2020', '16', '10', '2020', '211', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '592.27042891');
INSERT INTO public.ecdc_import VALUES (38273, '15/10/2020', '15', '10', '2020', '193', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '592.91332761');
INSERT INTO public.ecdc_import VALUES (38274, '14/10/2020', '14', '10', '2020', '218', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '593.55622631');
INSERT INTO public.ecdc_import VALUES (38275, '13/10/2020', '13', '10', '2020', '181', '9', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '580.05535358');
INSERT INTO public.ecdc_import VALUES (38276, '12/10/2020', '12', '10', '2020', '228', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '571.53694578');
INSERT INTO public.ecdc_import VALUES (38277, '11/10/2020', '11', '10', '2020', '293', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '553.53578213');
INSERT INTO public.ecdc_import VALUES (38278, '10/10/2020', '10', '10', '2020', '344', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '544.21375096');
INSERT INTO public.ecdc_import VALUES (38279, '09/10/2020', '9', '10', '2020', '210', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '528.30200809');
INSERT INTO public.ecdc_import VALUES (38280, '08/10/2020', '8', '10', '2020', '210', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '540.99925745');
INSERT INTO public.ecdc_import VALUES (38281, '07/10/2020', '7', '10', '2020', '225', '6', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '553.85723149');
INSERT INTO public.ecdc_import VALUES (38282, '06/10/2020', '6', '10', '2020', '232', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '565.26868344');
INSERT INTO public.ecdc_import VALUES (38283, '05/10/2020', '5', '10', '2020', '193', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '564.94723409');
INSERT INTO public.ecdc_import VALUES (38284, '04/10/2020', '4', '10', '2020', '244', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '648.68478998');
INSERT INTO public.ecdc_import VALUES (38285, '03/10/2020', '3', '10', '2020', '703', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '639.52348348');
INSERT INTO public.ecdc_import VALUES (38286, '02/10/2020', '2', '10', '2020', '215', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '559.96476915');
INSERT INTO public.ecdc_import VALUES (38287, '01/10/2020', '1', '10', '2020', '197', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '559.48259512');
INSERT INTO public.ecdc_import VALUES (38288, '30/09/2020', '30', '9', '2020', '134', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '564.78650941');
INSERT INTO public.ecdc_import VALUES (38289, '29/09/2020', '29', '9', '2020', '128', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '569.12607565');
INSERT INTO public.ecdc_import VALUES (38290, '28/09/2020', '28', '9', '2020', '116', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '578.76955617');
INSERT INTO public.ecdc_import VALUES (38291, '27/09/2020', '27', '9', '2020', '235', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '589.37738475');
INSERT INTO public.ecdc_import VALUES (38292, '26/09/2020', '26', '9', '2020', '245', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '574.91216396');
INSERT INTO public.ecdc_import VALUES (38293, '25/09/2020', '25', '9', '2020', '289', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '561.73274058');
INSERT INTO public.ecdc_import VALUES (38294, '24/09/2020', '24', '9', '2020', '290', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '535.85606784');
INSERT INTO public.ecdc_import VALUES (38295, '23/09/2020', '23', '9', '2020', '296', '8', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '524.44461588');
INSERT INTO public.ecdc_import VALUES (38296, '22/09/2020', '22', '9', '2020', '230', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '511.58664185');
INSERT INTO public.ecdc_import VALUES (38297, '21/09/2020', '21', '9', '2020', '714', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '491.6567821');
INSERT INTO public.ecdc_import VALUES (38298, '20/09/2020', '20', '9', '2020', '187', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '397.95429633');
INSERT INTO public.ecdc_import VALUES (38299, '19/09/2020', '19', '9', '2020', '208', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '391.52530931');
INSERT INTO public.ecdc_import VALUES (38300, '18/09/2020', '18', '9', '2020', '212', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '375.77429112');
INSERT INTO public.ecdc_import VALUES (38301, '17/09/2020', '17', '9', '2020', '230', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '365.16646255');
INSERT INTO public.ecdc_import VALUES (38302, '16/09/2020', '16', '9', '2020', '161', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '344.59370409');
INSERT INTO public.ecdc_import VALUES (38303, '15/09/2020', '15', '9', '2020', '188', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '331.89645474');
INSERT INTO public.ecdc_import VALUES (38304, '14/09/2020', '14', '9', '2020', '182', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '308.91282615');
INSERT INTO public.ecdc_import VALUES (38305, '13/09/2020', '13', '9', '2020', '145', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '289.78658978');
INSERT INTO public.ecdc_import VALUES (38306, '12/09/2020', '12', '9', '2020', '163', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '276.76789107');
INSERT INTO public.ecdc_import VALUES (38307, '11/09/2020', '11', '9', '2020', '128', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '267.44585989');
INSERT INTO public.ecdc_import VALUES (38308, '10/09/2020', '10', '9', '2020', '219', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '256.35585729');
INSERT INTO public.ecdc_import VALUES (38309, '09/09/2020', '9', '9', '2020', '216', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '229.99701052');
INSERT INTO public.ecdc_import VALUES (38310, '08/09/2020', '8', '9', '2020', '106', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '205.88830921');
INSERT INTO public.ecdc_import VALUES (38311, '07/09/2020', '7', '9', '2020', '131', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '194.47685725');
INSERT INTO public.ecdc_import VALUES (38312, '06/09/2020', '6', '9', '2020', '147', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '178.56511439');
INSERT INTO public.ecdc_import VALUES (38313, '05/09/2020', '5', '9', '2020', '110', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '160.40322607');
INSERT INTO public.ecdc_import VALUES (38314, '04/09/2020', '4', '9', '2020', '146', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '150.43829619');
INSERT INTO public.ecdc_import VALUES (38315, '03/09/2020', '3', '9', '2020', '102', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '135.81235073');
INSERT INTO public.ecdc_import VALUES (38316, '02/09/2020', '2', '9', '2020', '82', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '126.1688702');
INSERT INTO public.ecdc_import VALUES (38317, '01/09/2020', '1', '9', '2020', '45', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '120.54350656');
INSERT INTO public.ecdc_import VALUES (38318, '31/08/2020', '31', '8', '2020', '63', '5', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '121.34712994');
INSERT INTO public.ecdc_import VALUES (38319, '30/08/2020', '30', '8', '2020', '64', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '123.27582604');
INSERT INTO public.ecdc_import VALUES (38320, '29/08/2020', '29', '8', '2020', '105', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '117.81118708');
INSERT INTO public.ecdc_import VALUES (38321, '28/08/2020', '28', '8', '2020', '59', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '112.66799747');
INSERT INTO public.ecdc_import VALUES (38322, '27/08/2020', '27', '8', '2020', '55', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '110.25712734');
INSERT INTO public.ecdc_import VALUES (38323, '26/08/2020', '26', '8', '2020', '66', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '111.86437409');
INSERT INTO public.ecdc_import VALUES (38324, '25/08/2020', '25', '8', '2020', '35', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '109.61422863');
INSERT INTO public.ecdc_import VALUES (38325, '24/08/2020', '24', '8', '2020', '32', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '116.52538968');
INSERT INTO public.ecdc_import VALUES (38326, '23/08/2020', '23', '8', '2020', '34', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '116.20394033');
INSERT INTO public.ecdc_import VALUES (38327, '22/08/2020', '22', '8', '2020', '48', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '117.0075637');
INSERT INTO public.ecdc_import VALUES (38328, '21/08/2020', '21', '8', '2020', '55', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '120.38278189');
INSERT INTO public.ecdc_import VALUES (38329, '20/08/2020', '20', '8', '2020', '42', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '122.63292734');
INSERT INTO public.ecdc_import VALUES (38330, '19/08/2020', '19', '8', '2020', '47', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '123.91872475');
INSERT INTO public.ecdc_import VALUES (38331, '18/08/2020', '18', '8', '2020', '50', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '126.00814553');
INSERT INTO public.ecdc_import VALUES (38332, '17/08/2020', '17', '8', '2020', '75', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '124.8830728');
INSERT INTO public.ecdc_import VALUES (38333, '16/08/2020', '16', '8', '2020', '30', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '122.47220267');
INSERT INTO public.ecdc_import VALUES (38334, '15/08/2020', '15', '8', '2020', '73', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '131.47278449');
INSERT INTO public.ecdc_import VALUES (38335, '14/08/2020', '14', '8', '2020', '44', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '126.00814553');
INSERT INTO public.ecdc_import VALUES (38336, '13/08/2020', '13', '8', '2020', '65', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '128.09756631');
INSERT INTO public.ecdc_import VALUES (38337, '12/08/2020', '12', '8', '2020', '52', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '128.41901566');
INSERT INTO public.ecdc_import VALUES (38338, '11/08/2020', '11', '8', '2020', '78', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '129.06191436');
INSERT INTO public.ecdc_import VALUES (38339, '10/08/2020', '10', '8', '2020', '30', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '168.60018451');
INSERT INTO public.ecdc_import VALUES (38340, '09/08/2020', '9', '8', '2020', '39', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '163.77844425');
INSERT INTO public.ecdc_import VALUES (38341, '08/08/2020', '8', '8', '2020', '69', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '157.51018191');
INSERT INTO public.ecdc_import VALUES (38342, '07/08/2020', '7', '8', '2020', '69', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '195.92337933');
INSERT INTO public.ecdc_import VALUES (38343, '06/08/2020', '6', '8', '2020', '50', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '236.90817156');
INSERT INTO public.ecdc_import VALUES (38344, '05/08/2020', '5', '8', '2020', '60', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '231.60425728');
INSERT INTO public.ecdc_import VALUES (38345, '04/08/2020', '4', '8', '2020', '43', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '231.4435326');
INSERT INTO public.ecdc_import VALUES (38346, '03/08/2020', '3', '8', '2020', '60', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '238.99759234');
INSERT INTO public.ecdc_import VALUES (38347, '02/08/2020', '2', '8', '2020', '86', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '246.55165209');
INSERT INTO public.ecdc_import VALUES (38348, '01/08/2020', '1', '8', '2020', '39', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '240.12266507');
INSERT INTO public.ecdc_import VALUES (38349, '31/07/2020', '31', '7', '2020', '57', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '233.85440273');
INSERT INTO public.ecdc_import VALUES (38350, '30/07/2020', '30', '7', '2020', '67', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '230.47918455');
INSERT INTO public.ecdc_import VALUES (38351, '29/07/2020', '29', '7', '2020', '56', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '229.35411182');
INSERT INTO public.ecdc_import VALUES (38352, '28/07/2020', '28', '7', '2020', '324', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '231.4435326');
INSERT INTO public.ecdc_import VALUES (38353, '27/07/2020', '27', '7', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '216.65686246');
INSERT INTO public.ecdc_import VALUES (38354, '26/07/2020', '26', '7', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '225.81816896');
INSERT INTO public.ecdc_import VALUES (38355, '25/07/2020', '25', '7', '2020', '308', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '239.80121572');
INSERT INTO public.ecdc_import VALUES (38356, '24/07/2020', '24', '7', '2020', '324', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '199.62004687');
INSERT INTO public.ecdc_import VALUES (38357, '23/07/2020', '23', '7', '2020', '17', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '157.02800788');
INSERT INTO public.ecdc_import VALUES (38358, '22/07/2020', '22', '7', '2020', '59', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '162.8140962');
INSERT INTO public.ecdc_import VALUES (38359, '21/07/2020', '21', '7', '2020', '90', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '163.93916892');
INSERT INTO public.ecdc_import VALUES (38360, '20/07/2020', '20', '7', '2020', '107', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '159.11742866');
INSERT INTO public.ecdc_import VALUES (38361, '19/07/2020', '19', '7', '2020', '46', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '151.72409359');
INSERT INTO public.ecdc_import VALUES (38362, '18/07/2020', '18', '7', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '153.49206502');
INSERT INTO public.ecdc_import VALUES (38363, '17/07/2020', '17', '7', '2020', '36', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '161.04612477');
INSERT INTO public.ecdc_import VALUES (38364, '16/07/2020', '16', '7', '2020', '60', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '161.68902347');
INSERT INTO public.ecdc_import VALUES (38365, '15/07/2020', '15', '7', '2020', '69', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '156.54583386');
INSERT INTO public.ecdc_import VALUES (38366, '14/07/2020', '14', '7', '2020', '232', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '153.009891');
INSERT INTO public.ecdc_import VALUES (38367, '13/07/2020', '13', '7', '2020', '57', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '118.93625981');
INSERT INTO public.ecdc_import VALUES (38368, '12/07/2020', '12', '7', '2020', '87', '4', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '111.70364941');
INSERT INTO public.ecdc_import VALUES (38369, '11/07/2020', '11', '7', '2020', '58', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '102.54234292');
INSERT INTO public.ecdc_import VALUES (38370, '10/07/2020', '10', '7', '2020', '59', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '97.23842863');
INSERT INTO public.ecdc_import VALUES (38371, '09/07/2020', '9', '7', '2020', '53', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '91.77378966');
INSERT INTO public.ecdc_import VALUES (38372, '08/07/2020', '8', '7', '2020', '66', '3', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '85.0233533');
INSERT INTO public.ecdc_import VALUES (38373, '07/07/2020', '7', '7', '2020', '60', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '76.18349615');
INSERT INTO public.ecdc_import VALUES (38374, '06/07/2020', '6', '7', '2020', '61', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '67.343639');
INSERT INTO public.ecdc_import VALUES (38375, '05/07/2020', '5', '7', '2020', '57', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '58.02160783');
INSERT INTO public.ecdc_import VALUES (38376, '04/07/2020', '4', '7', '2020', '47', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '49.50320003');
INSERT INTO public.ecdc_import VALUES (38377, '03/07/2020', '3', '7', '2020', '40', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '44.84218444');
INSERT INTO public.ecdc_import VALUES (38378, '02/07/2020', '2', '7', '2020', '28', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '39.05609613');
INSERT INTO public.ecdc_import VALUES (38379, '01/07/2020', '1', '7', '2020', '47', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '35.68087794');
INSERT INTO public.ecdc_import VALUES (38380, '30/06/2020', '30', '6', '2020', '20', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '28.1268182');
INSERT INTO public.ecdc_import VALUES (38381, '29/06/2020', '29', '6', '2020', '12', '2', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '25.07304936');
INSERT INTO public.ecdc_import VALUES (38382, '28/06/2020', '28', '6', '2020', '30', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '23.30507794');
INSERT INTO public.ecdc_import VALUES (38383, '27/06/2020', '27', '6', '2020', '25', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '18.48333767');
INSERT INTO public.ecdc_import VALUES (38384, '26/06/2020', '26', '6', '2020', '25', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '14.46522079');
INSERT INTO public.ecdc_import VALUES (38385, '25/06/2020', '25', '6', '2020', '11', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '10.4471039');
INSERT INTO public.ecdc_import VALUES (38386, '24/06/2020', '24', '6', '2020', '11', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '8.67913247');
INSERT INTO public.ecdc_import VALUES (38387, '23/06/2020', '23', '6', '2020', '5', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '6.91116104');
INSERT INTO public.ecdc_import VALUES (38388, '22/06/2020', '22', '6', '2020', '3', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '6.10753767');
INSERT INTO public.ecdc_import VALUES (38389, '21/06/2020', '21', '6', '2020', '4', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '5.62536364');
INSERT INTO public.ecdc_import VALUES (38390, '20/06/2020', '20', '6', '2020', '18', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '4.98246494');
INSERT INTO public.ecdc_import VALUES (38391, '19/06/2020', '19', '6', '2020', '4', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '2.08942078');
INSERT INTO public.ecdc_import VALUES (38392, '18/06/2020', '18', '6', '2020', '7', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1.44652208');
INSERT INTO public.ecdc_import VALUES (38393, '17/06/2020', '17', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38394, '16/06/2020', '16', '6', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38395, '15/06/2020', '15', '6', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.16072468');
INSERT INTO public.ecdc_import VALUES (38396, '14/06/2020', '14', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38397, '13/06/2020', '13', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38398, '12/06/2020', '12', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38399, '11/06/2020', '11', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38400, '10/06/2020', '10', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38401, '09/06/2020', '9', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38402, '08/06/2020', '8', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38403, '07/06/2020', '7', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38404, '06/06/2020', '6', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38405, '05/06/2020', '5', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38406, '04/06/2020', '4', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38407, '03/06/2020', '3', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38408, '02/06/2020', '2', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38409, '01/06/2020', '1', '6', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38410, '31/05/2020', '31', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38411, '30/05/2020', '30', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38412, '29/05/2020', '29', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38413, '28/05/2020', '28', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38414, '27/05/2020', '27', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38415, '26/05/2020', '26', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38416, '25/05/2020', '25', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38417, '24/05/2020', '24', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38418, '23/05/2020', '23', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38419, '22/05/2020', '22', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38420, '21/05/2020', '21', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38421, '20/05/2020', '20', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (38422, '19/05/2020', '19', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.16072468');
INSERT INTO public.ecdc_import VALUES (38423, '18/05/2020', '18', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38424, '17/05/2020', '17', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38425, '16/05/2020', '16', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38426, '15/05/2020', '15', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38427, '14/05/2020', '14', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.32144935');
INSERT INTO public.ecdc_import VALUES (38428, '13/05/2020', '13', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.48217403');
INSERT INTO public.ecdc_import VALUES (38429, '12/05/2020', '12', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.48217403');
INSERT INTO public.ecdc_import VALUES (38430, '11/05/2020', '11', '5', '2020', '0', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.48217403');
INSERT INTO public.ecdc_import VALUES (38431, '10/05/2020', '10', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.6428987');
INSERT INTO public.ecdc_import VALUES (38432, '09/05/2020', '9', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.80362338');
INSERT INTO public.ecdc_import VALUES (38433, '08/05/2020', '8', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '0.80362338');
INSERT INTO public.ecdc_import VALUES (38434, '07/05/2020', '7', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1.44652208');
INSERT INTO public.ecdc_import VALUES (38435, '06/05/2020', '6', '5', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1.76797143');
INSERT INTO public.ecdc_import VALUES (38436, '05/05/2020', '5', '5', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '1.76797143');
INSERT INTO public.ecdc_import VALUES (38437, '04/05/2020', '4', '5', '2020', '0', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '2.25014546');
INSERT INTO public.ecdc_import VALUES (38438, '03/05/2020', '3', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '2.41087013');
INSERT INTO public.ecdc_import VALUES (38439, '02/05/2020', '2', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '3.05376883');
INSERT INTO public.ecdc_import VALUES (38440, '01/05/2020', '1', '5', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '3.05376883');
INSERT INTO public.ecdc_import VALUES (38441, '30/04/2020', '30', '4', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '5.46463896');
INSERT INTO public.ecdc_import VALUES (38442, '29/04/2020', '29', '4', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '6.10753767');
INSERT INTO public.ecdc_import VALUES (38443, '28/04/2020', '28', '4', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '7.55405974');
INSERT INTO public.ecdc_import VALUES (38444, '27/04/2020', '27', '4', '2020', '1', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '7.8755091');
INSERT INTO public.ecdc_import VALUES (38445, '26/04/2020', '26', '4', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '9.1613065');
INSERT INTO public.ecdc_import VALUES (38446, '25/04/2020', '25', '4', '2020', '0', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '9.96492988');
INSERT INTO public.ecdc_import VALUES (38447, '24/04/2020', '24', '4', '2020', '4', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '10.76855325');
INSERT INTO public.ecdc_import VALUES (38448, '23/04/2020', '23', '4', '2020', '2', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '10.60782858');
INSERT INTO public.ecdc_import VALUES (38449, '22/04/2020', '22', '4', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '11.57217663');
INSERT INTO public.ecdc_import VALUES (38450, '21/04/2020', '21', '4', '2020', '4', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '12.69724936');
INSERT INTO public.ecdc_import VALUES (38451, '20/04/2020', '20', '4', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '15.10811949');
INSERT INTO public.ecdc_import VALUES (38452, '19/04/2020', '19', '4', '2020', '4', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '17.03681559');
INSERT INTO public.ecdc_import VALUES (38453, '18/04/2020', '18', '4', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '20.73348313');
INSERT INTO public.ecdc_import VALUES (38454, '17/04/2020', '17', '4', '2020', '15', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '25.55522339');
INSERT INTO public.ecdc_import VALUES (38455, '16/04/2020', '16', '4', '2020', '5', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '26.51957144');
INSERT INTO public.ecdc_import VALUES (38456, '15/04/2020', '15', '4', '2020', '9', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '27.96609352');
INSERT INTO public.ecdc_import VALUES (38457, '14/04/2020', '14', '4', '2020', '2', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '29.4126156');
INSERT INTO public.ecdc_import VALUES (38458, '13/04/2020', '13', '4', '2020', '9', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '30.0555143');
INSERT INTO public.ecdc_import VALUES (38459, '12/04/2020', '12', '4', '2020', '6', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '28.7697169');
INSERT INTO public.ecdc_import VALUES (38460, '11/04/2020', '11', '4', '2020', '5', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '29.25189093');
INSERT INTO public.ecdc_import VALUES (38461, '10/04/2020', '10', '4', '2020', '3', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '29.73406495');
INSERT INTO public.ecdc_import VALUES (38462, '09/04/2020', '9', '4', '2020', '8', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '31.50203638');
INSERT INTO public.ecdc_import VALUES (38463, '08/04/2020', '8', '4', '2020', '8', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '31.18058703');
INSERT INTO public.ecdc_import VALUES (38464, '07/04/2020', '7', '4', '2020', '19', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '33.10928314');
INSERT INTO public.ecdc_import VALUES (38465, '06/04/2020', '6', '4', '2020', '13', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '31.01986236');
INSERT INTO public.ecdc_import VALUES (38466, '05/04/2020', '5', '4', '2020', '27', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '30.0555143');
INSERT INTO public.ecdc_import VALUES (38467, '04/04/2020', '4', '4', '2020', '30', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '25.71594807');
INSERT INTO public.ecdc_import VALUES (38468, '03/04/2020', '3', '4', '2020', '21', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '21.05493248');
INSERT INTO public.ecdc_import VALUES (38469, '02/04/2020', '2', '4', '2020', '14', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '18.48333767');
INSERT INTO public.ecdc_import VALUES (38470, '01/04/2020', '1', '4', '2020', '18', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '17.19754027');
INSERT INTO public.ecdc_import VALUES (38471, '31/03/2020', '31', '3', '2020', '6', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '14.62594546');
INSERT INTO public.ecdc_import VALUES (38472, '30/03/2020', '30', '3', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38473, '29/03/2020', '29', '3', '2020', '9', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38474, '28/03/2020', '28', '3', '2020', '8', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38475, '27/03/2020', '27', '3', '2020', '14', '1', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38476, '26/03/2020', '26', '3', '2020', '6', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38477, '25/03/2020', '25', '3', '2020', '20', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38478, '24/03/2020', '24', '3', '2020', '6', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38479, '23/03/2020', '23', '3', '2020', '7', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38480, '22/03/2020', '22', '3', '2020', '0', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38481, '21/03/2020', '21', '3', '2020', '1', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38482, '20/03/2020', '20', '3', '2020', '5', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38483, '19/03/2020', '19', '3', '2020', '6', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38484, '18/03/2020', '18', '3', '2020', '2', '0', '622182', 'Montenegro', 'ME', 'MNE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (38485, '14/12/2020', '14', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38486, '13/12/2020', '13', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38487, '12/12/2020', '12', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38488, '11/12/2020', '11', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38489, '10/12/2020', '10', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38490, '09/12/2020', '9', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38491, '08/12/2020', '8', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38492, '07/12/2020', '7', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38493, '06/12/2020', '6', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38494, '05/12/2020', '5', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38495, '04/12/2020', '4', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38496, '03/12/2020', '3', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38497, '02/12/2020', '2', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38498, '01/12/2020', '1', '12', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38499, '30/11/2020', '30', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38500, '29/11/2020', '29', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38501, '28/11/2020', '28', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38502, '27/11/2020', '27', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38503, '26/11/2020', '26', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38504, '25/11/2020', '25', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38505, '24/11/2020', '24', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38506, '23/11/2020', '23', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38507, '22/11/2020', '22', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38508, '21/11/2020', '21', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38509, '20/11/2020', '20', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38510, '19/11/2020', '19', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38511, '18/11/2020', '18', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38512, '17/11/2020', '17', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38513, '16/11/2020', '16', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38514, '15/11/2020', '15', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38515, '14/11/2020', '14', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38516, '13/11/2020', '13', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38517, '12/11/2020', '12', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38518, '11/11/2020', '11', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38519, '10/11/2020', '10', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38520, '09/11/2020', '9', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38521, '08/11/2020', '8', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38522, '07/11/2020', '7', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38523, '06/11/2020', '6', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38524, '05/11/2020', '5', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38525, '04/11/2020', '4', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38526, '03/11/2020', '3', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38527, '02/11/2020', '2', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38528, '01/11/2020', '1', '11', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38529, '31/10/2020', '31', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38530, '30/10/2020', '30', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38531, '29/10/2020', '29', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38532, '28/10/2020', '28', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38533, '27/10/2020', '27', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38534, '26/10/2020', '26', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38535, '25/10/2020', '25', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38536, '24/10/2020', '24', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38537, '23/10/2020', '23', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38538, '22/10/2020', '22', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38539, '21/10/2020', '21', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38540, '20/10/2020', '20', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38541, '19/10/2020', '19', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38542, '18/10/2020', '18', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38543, '17/10/2020', '17', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38544, '16/10/2020', '16', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38545, '15/10/2020', '15', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38546, '14/10/2020', '14', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38547, '13/10/2020', '13', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38548, '12/10/2020', '12', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38549, '11/10/2020', '11', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38550, '10/10/2020', '10', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38551, '09/10/2020', '9', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38552, '08/10/2020', '8', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38553, '07/10/2020', '7', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38554, '06/10/2020', '6', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38555, '05/10/2020', '5', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38556, '04/10/2020', '4', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38557, '03/10/2020', '3', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38558, '02/10/2020', '2', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38559, '01/10/2020', '1', '10', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38560, '30/09/2020', '30', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38561, '29/09/2020', '29', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38562, '28/09/2020', '28', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38563, '27/09/2020', '27', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38564, '26/09/2020', '26', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38565, '25/09/2020', '25', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38566, '24/09/2020', '24', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38567, '23/09/2020', '23', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38568, '22/09/2020', '22', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38569, '21/09/2020', '21', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38570, '20/09/2020', '20', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38571, '19/09/2020', '19', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38572, '18/09/2020', '18', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38573, '17/09/2020', '17', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38574, '16/09/2020', '16', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38575, '15/09/2020', '15', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38576, '14/09/2020', '14', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38577, '13/09/2020', '13', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38578, '12/09/2020', '12', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38579, '11/09/2020', '11', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38580, '10/09/2020', '10', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38581, '09/09/2020', '9', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38582, '08/09/2020', '8', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38583, '07/09/2020', '7', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38584, '06/09/2020', '6', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38585, '05/09/2020', '5', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38586, '04/09/2020', '4', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38587, '03/09/2020', '3', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38588, '02/09/2020', '2', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38589, '01/09/2020', '1', '9', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38590, '31/08/2020', '31', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38591, '30/08/2020', '30', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38592, '29/08/2020', '29', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38593, '28/08/2020', '28', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38594, '27/08/2020', '27', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38595, '26/08/2020', '26', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38596, '25/08/2020', '25', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38597, '24/08/2020', '24', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38598, '23/08/2020', '23', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38599, '22/08/2020', '22', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38600, '21/08/2020', '21', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38601, '20/08/2020', '20', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38602, '19/08/2020', '19', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38603, '18/08/2020', '18', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38604, '17/08/2020', '17', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38605, '16/08/2020', '16', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38606, '15/08/2020', '15', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38607, '14/08/2020', '14', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38608, '13/08/2020', '13', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38609, '12/08/2020', '12', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38610, '11/08/2020', '11', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38611, '10/08/2020', '10', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38612, '09/08/2020', '9', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38613, '08/08/2020', '8', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38614, '07/08/2020', '7', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38615, '06/08/2020', '6', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38616, '05/08/2020', '5', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38617, '04/08/2020', '4', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38618, '03/08/2020', '3', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38619, '02/08/2020', '2', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38620, '01/08/2020', '1', '8', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38621, '31/07/2020', '31', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38622, '30/07/2020', '30', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38623, '29/07/2020', '29', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38624, '28/07/2020', '28', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38625, '27/07/2020', '27', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38626, '26/07/2020', '26', '7', '2020', '1', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38627, '25/07/2020', '25', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38628, '24/07/2020', '24', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38629, '23/07/2020', '23', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38630, '22/07/2020', '22', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38631, '21/07/2020', '21', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38632, '20/07/2020', '20', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38633, '19/07/2020', '19', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38634, '18/07/2020', '18', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38635, '17/07/2020', '17', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38636, '16/07/2020', '16', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38637, '15/07/2020', '15', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38638, '14/07/2020', '14', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38639, '13/07/2020', '13', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38640, '12/07/2020', '12', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38641, '11/07/2020', '11', '7', '2020', '1', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '20.03606492');
INSERT INTO public.ecdc_import VALUES (38642, '10/07/2020', '10', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38643, '09/07/2020', '9', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38644, '08/07/2020', '8', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38645, '07/07/2020', '7', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38646, '06/07/2020', '6', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38647, '05/07/2020', '5', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38648, '04/07/2020', '4', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38649, '03/07/2020', '3', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38650, '02/07/2020', '2', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38651, '01/07/2020', '1', '7', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38652, '30/06/2020', '30', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38653, '29/06/2020', '29', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38654, '28/06/2020', '28', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38655, '27/06/2020', '27', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38656, '26/06/2020', '26', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38657, '25/06/2020', '25', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38658, '24/06/2020', '24', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38659, '23/06/2020', '23', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38660, '22/06/2020', '22', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38661, '21/06/2020', '21', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38662, '20/06/2020', '20', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38663, '19/06/2020', '19', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38664, '18/06/2020', '18', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38665, '17/06/2020', '17', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38666, '16/06/2020', '16', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38667, '15/06/2020', '15', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38668, '14/06/2020', '14', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38669, '13/06/2020', '13', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38670, '12/06/2020', '12', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38671, '11/06/2020', '11', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38672, '10/06/2020', '10', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38673, '09/06/2020', '9', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38674, '08/06/2020', '8', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38675, '07/06/2020', '7', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38676, '06/06/2020', '6', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38677, '05/06/2020', '5', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38678, '04/06/2020', '4', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38679, '03/06/2020', '3', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38680, '02/06/2020', '2', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38681, '01/06/2020', '1', '6', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38682, '31/05/2020', '31', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38683, '30/05/2020', '30', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38684, '29/05/2020', '29', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38685, '28/05/2020', '28', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38686, '27/05/2020', '27', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38687, '26/05/2020', '26', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38688, '25/05/2020', '25', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38689, '24/05/2020', '24', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38690, '23/05/2020', '23', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38691, '22/05/2020', '22', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38692, '21/05/2020', '21', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38693, '20/05/2020', '20', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38694, '19/05/2020', '19', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38695, '18/05/2020', '18', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38696, '17/05/2020', '17', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38697, '16/05/2020', '16', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38698, '15/05/2020', '15', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38699, '14/05/2020', '14', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38700, '13/05/2020', '13', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38701, '12/05/2020', '12', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38702, '11/05/2020', '11', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38703, '10/05/2020', '10', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38704, '09/05/2020', '9', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38705, '08/05/2020', '8', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38706, '07/05/2020', '7', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38707, '06/05/2020', '6', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38708, '05/05/2020', '5', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38709, '04/05/2020', '4', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38710, '03/05/2020', '3', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38711, '02/05/2020', '2', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38712, '01/05/2020', '1', '5', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38713, '30/04/2020', '30', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38714, '29/04/2020', '29', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38715, '28/04/2020', '28', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38716, '27/04/2020', '27', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '0');
INSERT INTO public.ecdc_import VALUES (38717, '26/04/2020', '26', '4', '2020', '0', '1', '4991', 'Montserrat', 'MS', 'MSF', 'America', '40.07212983');
INSERT INTO public.ecdc_import VALUES (38718, '25/04/2020', '25', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '40.07212983');
INSERT INTO public.ecdc_import VALUES (38719, '24/04/2020', '24', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '40.07212983');
INSERT INTO public.ecdc_import VALUES (38720, '23/04/2020', '23', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '40.07212983');
INSERT INTO public.ecdc_import VALUES (38721, '22/04/2020', '22', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38722, '21/04/2020', '21', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38723, '20/04/2020', '20', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38724, '19/04/2020', '19', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38725, '18/04/2020', '18', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '120.2163895');
INSERT INTO public.ecdc_import VALUES (38726, '17/04/2020', '17', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '120.2163895');
INSERT INTO public.ecdc_import VALUES (38727, '16/04/2020', '16', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '120.2163895');
INSERT INTO public.ecdc_import VALUES (38728, '15/04/2020', '15', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '120.2163895');
INSERT INTO public.ecdc_import VALUES (38729, '14/04/2020', '14', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '120.2163895');
INSERT INTO public.ecdc_import VALUES (38730, '13/04/2020', '13', '4', '2020', '2', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '120.2163895');
INSERT INTO public.ecdc_import VALUES (38731, '12/04/2020', '12', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '80.14425967');
INSERT INTO public.ecdc_import VALUES (38732, '11/04/2020', '11', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '80.14425967');
INSERT INTO public.ecdc_import VALUES (38733, '10/04/2020', '10', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '160.28851933');
INSERT INTO public.ecdc_import VALUES (38734, '09/04/2020', '9', '4', '2020', '3', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '160.28851933');
INSERT INTO public.ecdc_import VALUES (38735, '08/04/2020', '8', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38736, '07/04/2020', '7', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38737, '06/04/2020', '6', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38738, '05/04/2020', '5', '4', '2020', '1', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38739, '04/04/2020', '4', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '100.18032458');
INSERT INTO public.ecdc_import VALUES (38740, '03/04/2020', '3', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38741, '02/04/2020', '2', '4', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38742, '31/03/2020', '31', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38743, '30/03/2020', '30', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38744, '29/03/2020', '29', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38745, '28/03/2020', '28', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38746, '27/03/2020', '27', '3', '2020', '4', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38747, '26/03/2020', '26', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38748, '25/03/2020', '25', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38749, '24/03/2020', '24', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38750, '23/03/2020', '23', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38751, '22/03/2020', '22', '3', '2020', '0', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38752, '21/03/2020', '21', '3', '2020', '1', '0', '4991', 'Montserrat', 'MS', 'MSF', 'America', '');
INSERT INTO public.ecdc_import VALUES (38753, '14/12/2020', '14', '12', '2020', '2012', '35', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '125.59304093');
INSERT INTO public.ecdc_import VALUES (38754, '13/12/2020', '13', '12', '2020', '3033', '47', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '131.35914504');
INSERT INTO public.ecdc_import VALUES (38755, '12/12/2020', '12', '12', '2020', '3035', '50', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '135.14015197');
INSERT INTO public.ecdc_import VALUES (38756, '11/12/2020', '11', '12', '2020', '3345', '65', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '139.40920766');
INSERT INTO public.ecdc_import VALUES (38757, '10/12/2020', '10', '12', '2020', '4096', '57', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '141.69316616');
INSERT INTO public.ecdc_import VALUES (38758, '09/12/2020', '9', '12', '2020', '2900', '50', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '144.11421701');
INSERT INTO public.ecdc_import VALUES (38759, '08/12/2020', '8', '12', '2020', '1531', '75', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '147.1275068');
INSERT INTO public.ecdc_import VALUES (38760, '07/12/2020', '7', '12', '2020', '2919', '61', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '160.93270614');
INSERT INTO public.ecdc_import VALUES (38761, '06/12/2020', '6', '12', '2020', '4118', '48', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '152.92925492');
INSERT INTO public.ecdc_import VALUES (38762, '05/12/2020', '5', '12', '2020', '3996', '73', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '154.53049353');
INSERT INTO public.ecdc_import VALUES (38763, '04/12/2020', '4', '12', '2020', '4434', '78', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '156.47720486');
INSERT INTO public.ecdc_import VALUES (38764, '03/12/2020', '3', '12', '2020', '4346', '70', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '156.81993573');
INSERT INTO public.ecdc_import VALUES (38765, '02/12/2020', '2', '12', '2020', '3508', '69', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '159.68516578');
INSERT INTO public.ecdc_import VALUES (38766, '01/12/2020', '1', '12', '2020', '2533', '57', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '164.91386789');
INSERT INTO public.ecdc_import VALUES (38767, '30/11/2020', '30', '11', '2020', '4115', '50', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '166.22721258');
INSERT INTO public.ecdc_import VALUES (38768, '29/11/2020', '29', '11', '2020', '4412', '50', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '168.56052432');
INSERT INTO public.ecdc_import VALUES (38769, '28/11/2020', '28', '11', '2020', '4592', '70', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '172.5718464');
INSERT INTO public.ecdc_import VALUES (38770, '27/11/2020', '27', '11', '2020', '4178', '80', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '175.10257112');
INSERT INTO public.ecdc_import VALUES (38771, '26/11/2020', '26', '11', '2020', '4979', '70', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '180.6328764');
INSERT INTO public.ecdc_import VALUES (38772, '25/11/2020', '25', '11', '2020', '3999', '73', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '181.95444663');
INSERT INTO public.ecdc_import VALUES (38773, '24/11/2020', '24', '11', '2020', '6566', '140', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '185.28579066');
INSERT INTO public.ecdc_import VALUES (38774, '23/11/2020', '23', '11', '2020', '0', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '175.97447845');
INSERT INTO public.ecdc_import VALUES (38775, '22/11/2020', '22', '11', '2020', '4702', '74', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '188.57600699');
INSERT INTO public.ecdc_import VALUES (38776, '21/11/2020', '21', '11', '2020', '4706', '92', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '191.68526142');
INSERT INTO public.ecdc_import VALUES (38777, '20/11/2020', '20', '11', '2020', '4559', '77', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '193.5826195');
INSERT INTO public.ecdc_import VALUES (38778, '19/11/2020', '19', '11', '2020', '5391', '81', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '196.54929789');
INSERT INTO public.ecdc_import VALUES (38779, '18/11/2020', '18', '11', '2020', '5415', '82', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '197.5199117');
INSERT INTO public.ecdc_import VALUES (38780, '17/11/2020', '17', '11', '2020', '3012', '71', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '194.99741252');
INSERT INTO public.ecdc_import VALUES (38781, '16/11/2020', '16', '11', '2020', '4966', '82', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '193.66487491');
INSERT INTO public.ecdc_import VALUES (38782, '15/11/2020', '15', '11', '2020', '5875', '66', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '189.53565341');
INSERT INTO public.ecdc_import VALUES (38783, '14/11/2020', '14', '11', '2020', '5515', '61', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '183.81890255');
INSERT INTO public.ecdc_import VALUES (38784, '13/11/2020', '13', '11', '2020', '6195', '64', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '177.62507031');
INSERT INTO public.ecdc_import VALUES (38785, '12/11/2020', '12', '11', '2020', '5461', '81', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '172.4841073');
INSERT INTO public.ecdc_import VALUES (38786, '11/11/2020', '11', '11', '2020', '5214', '69', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '168.43714121');
INSERT INTO public.ecdc_import VALUES (38787, '10/11/2020', '10', '11', '2020', '3170', '84', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '165.07563686');
INSERT INTO public.ecdc_import VALUES (38788, '09/11/2020', '9', '11', '2020', '4596', '75', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '162.59152354');
INSERT INTO public.ecdc_import VALUES (38789, '08/11/2020', '8', '11', '2020', '5836', '70', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '158.27037276');
INSERT INTO public.ecdc_import VALUES (38790, '07/11/2020', '7', '11', '2020', '5398', '68', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '153.35972489');
INSERT INTO public.ecdc_import VALUES (38791, '06/11/2020', '6', '11', '2020', '5641', '77', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '148.66294108');
INSERT INTO public.ecdc_import VALUES (38792, '05/11/2020', '5', '11', '2020', '5745', '82', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '144.57758914');
INSERT INTO public.ecdc_import VALUES (38793, '04/11/2020', '4', '11', '2020', '4495', '74', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '138.63326498');
INSERT INTO public.ecdc_import VALUES (38794, '03/11/2020', '3', '11', '2020', '2526', '64', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '135.23063292');
INSERT INTO public.ecdc_import VALUES (38795, '02/11/2020', '2', '11', '2020', '3460', '67', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '134.10921752');
INSERT INTO public.ecdc_import VALUES (38796, '01/11/2020', '1', '11', '2020', '3790', '70', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '132.08299264');
INSERT INTO public.ecdc_import VALUES (38797, '31/10/2020', '31', '10', '2020', '3256', '53', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '132.00896277');
INSERT INTO public.ecdc_import VALUES (38798, '30/10/2020', '30', '10', '2020', '4320', '66', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '132.67248973');
INSERT INTO public.ecdc_import VALUES (38799, '29/10/2020', '29', '10', '2020', '3985', '61', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '129.92241725');
INSERT INTO public.ecdc_import VALUES (38800, '28/10/2020', '28', '10', '2020', '3988', '72', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '128.28279278');
INSERT INTO public.ecdc_import VALUES (38801, '27/10/2020', '27', '10', '2020', '2264', '72', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '126.08108968');
INSERT INTO public.ecdc_import VALUES (38802, '26/10/2020', '26', '10', '2020', '3020', '46', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '123.59423451');
INSERT INTO public.ecdc_import VALUES (38803, '25/10/2020', '25', '10', '2020', '4045', '50', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '122.34121046');
INSERT INTO public.ecdc_import VALUES (38804, '24/10/2020', '24', '10', '2020', '3685', '73', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '120.6906186');
INSERT INTO public.ecdc_import VALUES (38805, '23/10/2020', '23', '10', '2020', '4151', '35', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '120.03257534');
INSERT INTO public.ecdc_import VALUES (38806, '22/10/2020', '22', '10', '2020', '3577', '70', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '116.68203837');
INSERT INTO public.ecdc_import VALUES (38807, '21/10/2020', '21', '10', '2020', '3254', '51', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '114.48581898');
INSERT INTO public.ecdc_import VALUES (38808, '20/10/2020', '20', '10', '2020', '2117', '48', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '112.56378427');
INSERT INTO public.ecdc_import VALUES (38809, '19/10/2020', '19', '10', '2020', '2721', '50', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '110.66094249');
INSERT INTO public.ecdc_import VALUES (38810, '18/10/2020', '18', '10', '2020', '3763', '60', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '108.80471212');
INSERT INTO public.ecdc_import VALUES (38811, '17/10/2020', '17', '10', '2020', '3498', '46', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '105.78868048');
INSERT INTO public.ecdc_import VALUES (38812, '16/10/2020', '16', '10', '2020', '3317', '46', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '103.10989602');
INSERT INTO public.ecdc_import VALUES (38813, '15/10/2020', '15', '10', '2020', '3387', '41', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '100.57094576');
INSERT INTO public.ecdc_import VALUES (38814, '14/10/2020', '14', '10', '2020', '3185', '49', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '98.05667211');
INSERT INTO public.ecdc_import VALUES (38815, '13/10/2020', '13', '10', '2020', '1357', '31', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '95.01596386');
INSERT INTO public.ecdc_import VALUES (38816, '12/10/2020', '12', '10', '2020', '2563', '33', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '95.19418391');
INSERT INTO public.ecdc_import VALUES (38817, '11/10/2020', '11', '10', '2020', '3443', '42', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '94.86790412');
INSERT INTO public.ecdc_import VALUES (38818, '10/10/2020', '10', '10', '2020', '3445', '44', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '92.88280694');
INSERT INTO public.ecdc_import VALUES (38819, '09/10/2020', '9', '10', '2020', '2929', '47', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '90.08063936');
INSERT INTO public.ecdc_import VALUES (38820, '08/10/2020', '8', '10', '2020', '2776', '29', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '88.50956107');
INSERT INTO public.ecdc_import VALUES (38821, '07/10/2020', '7', '10', '2020', '2553', '41', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '87.47040108');
INSERT INTO public.ecdc_import VALUES (38822, '06/10/2020', '6', '10', '2020', '1423', '39', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '86.57655897');
INSERT INTO public.ecdc_import VALUES (38823, '05/10/2020', '5', '10', '2020', '2044', '37', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '86.44769217');
INSERT INTO public.ecdc_import VALUES (38824, '04/10/2020', '4', '10', '2020', '2663', '30', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '86.12689608');
INSERT INTO public.ecdc_import VALUES (38825, '03/10/2020', '3', '10', '2020', '2521', '34', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '85.82255107');
INSERT INTO public.ecdc_import VALUES (38826, '02/10/2020', '2', '10', '2020', '2391', '35', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '86.47785248');
INSERT INTO public.ecdc_import VALUES (38827, '01/10/2020', '1', '10', '2020', '2470', '42', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '86.74381164');
INSERT INTO public.ecdc_import VALUES (38828, '30/09/2020', '30', '9', '2020', '2076', '39', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '84.61065472');
INSERT INTO public.ecdc_import VALUES (38829, '29/09/2020', '29', '9', '2020', '1422', '44', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '84.73403783');
INSERT INTO public.ecdc_import VALUES (38830, '28/09/2020', '28', '9', '2020', '2444', '28', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '84.99451329');
INSERT INTO public.ecdc_import VALUES (38831, '27/09/2020', '27', '9', '2020', '2719', '43', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '84.46533683');
INSERT INTO public.ecdc_import VALUES (38832, '26/09/2020', '26', '9', '2020', '2423', '42', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '83.14650845');
INSERT INTO public.ecdc_import VALUES (38833, '25/09/2020', '25', '9', '2020', '2356', '38', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '83.16570138');
INSERT INTO public.ecdc_import VALUES (38834, '24/09/2020', '24', '9', '2020', '2397', '29', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '81.88525886');
INSERT INTO public.ecdc_import VALUES (38835, '23/09/2020', '23', '9', '2020', '2227', '34', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '81.22721559');
INSERT INTO public.ecdc_import VALUES (38836, '22/09/2020', '22', '9', '2020', '1376', '25', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '80.44304737');
INSERT INTO public.ecdc_import VALUES (38837, '21/09/2020', '21', '9', '2020', '1927', '35', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '80.47046584');
INSERT INTO public.ecdc_import VALUES (38838, '20/09/2020', '20', '9', '2020', '2552', '40', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '81.31221285');
INSERT INTO public.ecdc_import VALUES (38839, '19/09/2020', '19', '9', '2020', '2760', '41', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '78.57859145');
INSERT INTO public.ecdc_import VALUES (38840, '18/09/2020', '18', '9', '2020', '2488', '28', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '75.80932604');
INSERT INTO public.ecdc_import VALUES (38841, '17/09/2020', '17', '9', '2020', '1692', '38', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '72.83168026');
INSERT INTO public.ecdc_import VALUES (38842, '16/09/2020', '16', '9', '2020', '2121', '34', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '72.77684333');
INSERT INTO public.ecdc_import VALUES (38843, '15/09/2020', '15', '9', '2020', '1517', '36', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '70.22692567');
INSERT INTO public.ecdc_import VALUES (38844, '14/09/2020', '14', '9', '2020', '2251', '25', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '69.33308357');
INSERT INTO public.ecdc_import VALUES (38845, '13/09/2020', '13', '9', '2020', '2238', '29', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '66.84348655');
INSERT INTO public.ecdc_import VALUES (38846, '12/09/2020', '12', '9', '2020', '2430', '33', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '65.00370725');
INSERT INTO public.ecdc_import VALUES (38847, '11/09/2020', '11', '9', '2020', '1889', '38', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '62.19057229');
INSERT INTO public.ecdc_import VALUES (38848, '10/09/2020', '10', '9', '2020', '2157', '26', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '60.35901854');
INSERT INTO public.ecdc_import VALUES (38849, '09/09/2020', '9', '9', '2020', '1941', '33', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '58.1079622');
INSERT INTO public.ecdc_import VALUES (38850, '08/09/2020', '8', '9', '2020', '1386', '33', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '56.28463398');
INSERT INTO public.ecdc_import VALUES (38851, '07/09/2020', '7', '9', '2020', '2234', '32', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '54.96032191');
INSERT INTO public.ecdc_import VALUES (38852, '06/09/2020', '6', '9', '2020', '1555', '37', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '53.04925459');
INSERT INTO public.ecdc_import VALUES (38853, '05/09/2020', '5', '9', '2020', '1750', '39', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '53.07667306');
INSERT INTO public.ecdc_import VALUES (38854, '04/09/2020', '4', '9', '2020', '1402', '37', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.69007264');
INSERT INTO public.ecdc_import VALUES (38855, '03/09/2020', '3', '9', '2020', '1672', '32', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.47895043');
INSERT INTO public.ecdc_import VALUES (38856, '02/09/2020', '2', '9', '2020', '1191', '43', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.03477123');
INSERT INTO public.ecdc_import VALUES (38857, '01/09/2020', '1', '9', '2020', '1191', '30', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.18283096');
INSERT INTO public.ecdc_import VALUES (38858, '31/08/2020', '31', '8', '2020', '1343', '33', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '51.84832563');
INSERT INTO public.ecdc_import VALUES (38859, '30/08/2020', '30', '8', '2020', '1567', '26', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.20202389');
INSERT INTO public.ecdc_import VALUES (38860, '29/08/2020', '29', '8', '2020', '1404', '41', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.7750699');
INSERT INTO public.ecdc_import VALUES (38861, '28/08/2020', '28', '8', '2020', '1221', '27', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.5063689');
INSERT INTO public.ecdc_import VALUES (38862, '27/08/2020', '27', '8', '2020', '1336', '29', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.56120584');
INSERT INTO public.ecdc_import VALUES (38863, '26/08/2020', '26', '8', '2020', '1276', '35', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '53.00812689');
INSERT INTO public.ecdc_import VALUES (38864, '25/08/2020', '25', '8', '2020', '903', '32', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.61330093');
INSERT INTO public.ecdc_import VALUES (38865, '24/08/2020', '24', '8', '2020', '1537', '30', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '52.40217872');
INSERT INTO public.ecdc_import VALUES (38866, '23/08/2020', '23', '8', '2020', '1565', '41', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '51.5604317');
INSERT INTO public.ecdc_import VALUES (38867, '22/08/2020', '22', '8', '2020', '1609', '42', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '50.95722538');
INSERT INTO public.ecdc_import VALUES (38868, '21/08/2020', '21', '8', '2020', '1325', '32', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '49.33679384');
INSERT INTO public.ecdc_import VALUES (38869, '20/08/2020', '20', '8', '2020', '1510', '29', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '48.84051954');
INSERT INTO public.ecdc_import VALUES (38870, '19/08/2020', '19', '8', '2020', '1245', '33', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '48.21812029');
INSERT INTO public.ecdc_import VALUES (38871, '18/08/2020', '18', '8', '2020', '1069', '23', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '47.60394657');
INSERT INTO public.ecdc_import VALUES (38872, '17/08/2020', '17', '8', '2020', '1472', '26', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '46.47978933');
INSERT INTO public.ecdc_import VALUES (38873, '16/08/2020', '16', '8', '2020', '1776', '21', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '43.87503473');
INSERT INTO public.ecdc_import VALUES (38874, '15/08/2020', '15', '8', '2020', '1306', '27', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '40.9056145');
INSERT INTO public.ecdc_import VALUES (38875, '14/08/2020', '14', '8', '2020', '1241', '28', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '40.23934569');
INSERT INTO public.ecdc_import VALUES (38876, '13/08/2020', '13', '8', '2020', '1499', '23', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '39.70468554');
INSERT INTO public.ecdc_import VALUES (38877, '12/08/2020', '12', '8', '2020', '1132', '17', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '37.85942255');
INSERT INTO public.ecdc_import VALUES (38878, '11/08/2020', '11', '8', '2020', '826', '18', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '36.12657528');
INSERT INTO public.ecdc_import VALUES (38879, '10/08/2020', '10', '8', '2020', '1230', '18', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '35.53159449');
INSERT INTO public.ecdc_import VALUES (38880, '09/08/2020', '9', '8', '2020', '1345', '19', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '33.89471187');
INSERT INTO public.ecdc_import VALUES (38881, '08/08/2020', '8', '8', '2020', '1018', '12', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '32.43056561');
INSERT INTO public.ecdc_import VALUES (38882, '07/08/2020', '7', '8', '2020', '1144', '14', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '31.20221818');
INSERT INTO public.ecdc_import VALUES (38883, '06/08/2020', '6', '8', '2020', '1283', '18', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '28.89358305');
INSERT INTO public.ecdc_import VALUES (38884, '05/08/2020', '5', '8', '2020', '1021', '16', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '25.97899976');
INSERT INTO public.ecdc_import VALUES (38885, '04/08/2020', '4', '8', '2020', '659', '19', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '23.67310648');
INSERT INTO public.ecdc_import VALUES (38886, '03/08/2020', '3', '8', '2020', '522', '15', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '22.76007145');
INSERT INTO public.ecdc_import VALUES (38887, '02/08/2020', '2', '8', '2020', '693', '14', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '21.93477552');
INSERT INTO public.ecdc_import VALUES (38888, '01/08/2020', '1', '8', '2020', '1063', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '20.82706936');
INSERT INTO public.ecdc_import VALUES (38889, '31/07/2020', '31', '7', '2020', '1046', '12', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '18.74052383');
INSERT INTO public.ecdc_import VALUES (38890, '30/07/2020', '30', '7', '2020', '826', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '16.31673114');
INSERT INTO public.ecdc_import VALUES (38891, '29/07/2020', '29', '7', '2020', '500', '11', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '14.50437031');
INSERT INTO public.ecdc_import VALUES (38892, '28/07/2020', '28', '7', '2020', '609', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '13.5748842');
INSERT INTO public.ecdc_import VALUES (38893, '27/07/2020', '27', '7', '2020', '633', '8', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '12.42879218');
INSERT INTO public.ecdc_import VALUES (38894, '26/07/2020', '26', '7', '2020', '811', '6', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '11.24979799');
INSERT INTO public.ecdc_import VALUES (38895, '25/07/2020', '25', '7', '2020', '570', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.61291537');
INSERT INTO public.ecdc_import VALUES (38896, '24/07/2020', '24', '7', '2020', '302', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.08922261');
INSERT INTO public.ecdc_import VALUES (38897, '23/07/2020', '23', '7', '2020', '220', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '8.74923359');
INSERT INTO public.ecdc_import VALUES (38898, '22/07/2020', '22', '7', '2020', '180', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.35792361');
INSERT INTO public.ecdc_import VALUES (38899, '21/07/2020', '21', '7', '2020', '326', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '8.86439116');
INSERT INTO public.ecdc_import VALUES (38900, '20/07/2020', '20', '7', '2020', '221', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '8.28311961');
INSERT INTO public.ecdc_import VALUES (38901, '19/07/2020', '19', '7', '2020', '289', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '8.75471728');
INSERT INTO public.ecdc_import VALUES (38902, '18/07/2020', '18', '7', '2020', '302', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.42646978');
INSERT INTO public.ecdc_import VALUES (38903, '17/07/2020', '17', '7', '2020', '162', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.47308118');
INSERT INTO public.ecdc_import VALUES (38904, '16/07/2020', '16', '7', '2020', '165', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.941937');
INSERT INTO public.ecdc_import VALUES (38905, '15/07/2020', '15', '7', '2020', '161', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.77194249');
INSERT INTO public.ecdc_import VALUES (38906, '14/07/2020', '14', '7', '2020', '191', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.99677394');
INSERT INTO public.ecdc_import VALUES (38907, '13/07/2020', '13', '7', '2020', '203', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '10.12564075');
INSERT INTO public.ecdc_import VALUES (38908, '12/07/2020', '12', '7', '2020', '214', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '10.04886903');
INSERT INTO public.ecdc_import VALUES (38909, '11/07/2020', '11', '7', '2020', '379', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '10.13112444');
INSERT INTO public.ecdc_import VALUES (38910, '10/07/2020', '10', '7', '2020', '178', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.9008093');
INSERT INTO public.ecdc_import VALUES (38911, '09/07/2020', '9', '7', '2020', '442', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '10.59449658');
INSERT INTO public.ecdc_import VALUES (38912, '08/07/2020', '8', '7', '2020', '0', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '11.14560781');
INSERT INTO public.ecdc_import VALUES (38913, '07/07/2020', '7', '7', '2020', '114', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '11.39785773');
INSERT INTO public.ecdc_import VALUES (38914, '06/07/2020', '6', '7', '2020', '393', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '11.61994733');
INSERT INTO public.ecdc_import VALUES (38915, '05/07/2020', '5', '7', '2020', '534', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '11.02496655');
INSERT INTO public.ecdc_import VALUES (38916, '04/07/2020', '4', '7', '2020', '319', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '10.0762875');
INSERT INTO public.ecdc_import VALUES (38917, '03/07/2020', '3', '7', '2020', '333', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '10.67949383');
INSERT INTO public.ecdc_import VALUES (38918, '02/07/2020', '2', '7', '2020', '103', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.97758101');
INSERT INTO public.ecdc_import VALUES (38919, '01/07/2020', '1', '7', '2020', '243', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.90355115');
INSERT INTO public.ecdc_import VALUES (38920, '30/06/2020', '30', '6', '2020', '238', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.46485564');
INSERT INTO public.ecdc_import VALUES (38921, '29/06/2020', '29', '6', '2020', '175', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '9.09744815');
INSERT INTO public.ecdc_import VALUES (38922, '28/06/2020', '28', '6', '2020', '244', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '8.7327825');
INSERT INTO public.ecdc_import VALUES (38923, '27/06/2020', '27', '6', '2020', '295', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '8.2886033');
INSERT INTO public.ecdc_import VALUES (38924, '26/06/2020', '26', '6', '2020', '431', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '7.67991328');
INSERT INTO public.ecdc_import VALUES (38925, '25/06/2020', '25', '6', '2020', '643', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.7230087');
INSERT INTO public.ecdc_import VALUES (38926, '24/06/2020', '24', '6', '2020', '92', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.00935436');
INSERT INTO public.ecdc_import VALUES (38927, '23/06/2020', '23', '6', '2020', '195', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.12725378');
INSERT INTO public.ecdc_import VALUES (38928, '22/06/2020', '22', '6', '2020', '176', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.80645769');
INSERT INTO public.ecdc_import VALUES (38929, '21/06/2020', '21', '6', '2020', '188', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.57614254');
INSERT INTO public.ecdc_import VALUES (38930, '20/06/2020', '20', '6', '2020', '539', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.22792798');
INSERT INTO public.ecdc_import VALUES (38931, '19/06/2020', '19', '6', '2020', '77', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.93651807');
INSERT INTO public.ecdc_import VALUES (38932, '18/06/2020', '18', '6', '2020', '76', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.94748546');
INSERT INTO public.ecdc_import VALUES (38933, '17/06/2020', '17', '6', '2020', '83', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.89264852');
INSERT INTO public.ecdc_import VALUES (38934, '16/06/2020', '16', '6', '2020', '104', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.75555617');
INSERT INTO public.ecdc_import VALUES (38935, '15/06/2020', '15', '6', '2020', '42', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.54169211');
INSERT INTO public.ecdc_import VALUES (38936, '14/06/2020', '14', '6', '2020', '82', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.50056441');
INSERT INTO public.ecdc_import VALUES (38937, '13/06/2020', '13', '6', '2020', '73', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.45669486');
INSERT INTO public.ecdc_import VALUES (38938, '12/06/2020', '12', '6', '2020', '82', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.45121116');
INSERT INTO public.ecdc_import VALUES (38939, '11/06/2020', '11', '6', '2020', '18', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.34153729');
INSERT INTO public.ecdc_import VALUES (38940, '10/06/2020', '10', '6', '2020', '135', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.35798837');
INSERT INTO public.ecdc_import VALUES (38941, '09/06/2020', '9', '6', '2020', '78', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.11122214');
INSERT INTO public.ecdc_import VALUES (38942, '08/06/2020', '8', '6', '2020', '92', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.16880093');
INSERT INTO public.ecdc_import VALUES (38943, '07/06/2020', '7', '6', '2020', '61', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.99058088');
INSERT INTO public.ecdc_import VALUES (38944, '06/06/2020', '6', '6', '2020', '68', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.02622489');
INSERT INTO public.ecdc_import VALUES (38945, '05/06/2020', '5', '6', '2020', '81', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.17154278');
INSERT INTO public.ecdc_import VALUES (38946, '04/06/2020', '4', '6', '2020', '56', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.16331724');
INSERT INTO public.ecdc_import VALUES (38947, '03/06/2020', '3', '6', '2020', '33', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.31137697');
INSERT INTO public.ecdc_import VALUES (38948, '02/06/2020', '2', '6', '2020', '26', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.41556715');
INSERT INTO public.ecdc_import VALUES (38949, '01/06/2020', '1', '6', '2020', '27', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.56911058');
INSERT INTO public.ecdc_import VALUES (38950, '31/05/2020', '31', '5', '2020', '66', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.84877897');
INSERT INTO public.ecdc_import VALUES (38951, '30/05/2020', '30', '5', '2020', '71', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.91184145');
INSERT INTO public.ecdc_import VALUES (38952, '29/05/2020', '29', '5', '2020', '42', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.84055343');
INSERT INTO public.ecdc_import VALUES (38953, '28/05/2020', '28', '5', '2020', '24', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.98587132');
INSERT INTO public.ecdc_import VALUES (38954, '27/05/2020', '27', '5', '2020', '45', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.1778006');
INSERT INTO public.ecdc_import VALUES (38955, '26/05/2020', '26', '5', '2020', '99', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.43005052');
INSERT INTO public.ecdc_import VALUES (38956, '25/05/2020', '25', '5', '2020', '27', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.75633031');
INSERT INTO public.ecdc_import VALUES (38957, '24/05/2020', '24', '5', '2020', '74', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.10180302');
INSERT INTO public.ecdc_import VALUES (38958, '23/05/2020', '23', '5', '2020', '121', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.44453389');
INSERT INTO public.ecdc_import VALUES (38959, '22/05/2020', '22', '5', '2020', '78', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.55969146');
INSERT INTO public.ecdc_import VALUES (38960, '21/05/2020', '21', '5', '2020', '110', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.72968597');
INSERT INTO public.ecdc_import VALUES (38961, '20/05/2020', '20', '5', '2020', '71', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.94629188');
INSERT INTO public.ecdc_import VALUES (38962, '19/05/2020', '19', '5', '2020', '82', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.23418581');
INSERT INTO public.ecdc_import VALUES (38963, '18/05/2020', '18', '5', '2020', '129', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.39321293');
INSERT INTO public.ecdc_import VALUES (38964, '17/05/2020', '17', '5', '2020', '89', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.51659604');
INSERT INTO public.ecdc_import VALUES (38965, '16/05/2020', '16', '5', '2020', '45', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.71126718');
INSERT INTO public.ecdc_import VALUES (38966, '15/05/2020', '15', '5', '2020', '95', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.98819372');
INSERT INTO public.ecdc_import VALUES (38967, '14/05/2020', '14', '5', '2020', '94', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.00738665');
INSERT INTO public.ecdc_import VALUES (38968, '13/05/2020', '13', '5', '2020', '137', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.93884047');
INSERT INTO public.ecdc_import VALUES (38969, '12/05/2020', '12', '5', '2020', '218', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.92513124');
INSERT INTO public.ecdc_import VALUES (38970, '11/05/2020', '11', '5', '2020', '153', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.47821019');
INSERT INTO public.ecdc_import VALUES (38971, '10/05/2020', '10', '5', '2020', '199', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.51933789');
INSERT INTO public.ecdc_import VALUES (38972, '09/05/2020', '9', '5', '2020', '163', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.35482707');
INSERT INTO public.ecdc_import VALUES (38973, '08/05/2020', '8', '5', '2020', '140', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.42885694');
INSERT INTO public.ecdc_import VALUES (38974, '07/05/2020', '7', '5', '2020', '189', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.56869113');
INSERT INTO public.ecdc_import VALUES (38975, '06/05/2020', '6', '5', '2020', '176', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.51111235');
INSERT INTO public.ecdc_import VALUES (38976, '05/05/2020', '5', '5', '2020', '140', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.47546834');
INSERT INTO public.ecdc_import VALUES (38977, '04/05/2020', '4', '5', '2020', '174', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.61530253');
INSERT INTO public.ecdc_import VALUES (38978, '03/05/2020', '3', '5', '2020', '160', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.60433515');
INSERT INTO public.ecdc_import VALUES (38979, '02/05/2020', '2', '5', '2020', '146', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.49740311');
INSERT INTO public.ecdc_import VALUES (38980, '01/05/2020', '1', '5', '2020', '102', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.86755245');
INSERT INTO public.ecdc_import VALUES (38981, '30/04/2020', '30', '4', '2020', '69', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.29802242');
INSERT INTO public.ecdc_import VALUES (38982, '29/04/2020', '29', '4', '2020', '132', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.48172617');
INSERT INTO public.ecdc_import VALUES (38983, '28/04/2020', '28', '4', '2020', '55', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.46253324');
INSERT INTO public.ecdc_import VALUES (38984, '27/04/2020', '27', '4', '2020', '168', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.59140004');
INSERT INTO public.ecdc_import VALUES (38985, '26/04/2020', '26', '4', '2020', '139', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.448824');
INSERT INTO public.ecdc_import VALUES (38986, '25/04/2020', '25', '4', '2020', '190', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.33366643');
INSERT INTO public.ecdc_import VALUES (38987, '24/04/2020', '24', '4', '2020', '191', '6', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '6.01561219');
INSERT INTO public.ecdc_import VALUES (38988, '23/04/2020', '23', '4', '2020', '168', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.76336227');
INSERT INTO public.ecdc_import VALUES (38989, '22/04/2020', '22', '4', '2020', '163', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.55224005');
INSERT INTO public.ecdc_import VALUES (38990, '21/04/2020', '21', '4', '2020', '191', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.28079721');
INSERT INTO public.ecdc_import VALUES (38991, '20/04/2020', '20', '4', '2020', '170', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.02854729');
INSERT INTO public.ecdc_import VALUES (38992, '19/04/2020', '19', '4', '2020', '121', '2', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.8421017');
INSERT INTO public.ecdc_import VALUES (38993, '18/04/2020', '18', '4', '2020', '281', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '5.08886792');
INSERT INTO public.ecdc_import VALUES (38994, '17/04/2020', '17', '4', '2020', '259', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '4.31840893');
INSERT INTO public.ecdc_import VALUES (38995, '16/04/2020', '16', '4', '2020', '136', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.75633031');
INSERT INTO public.ecdc_import VALUES (38996, '15/04/2020', '15', '4', '2020', '125', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.48488746');
INSERT INTO public.ecdc_import VALUES (38997, '14/04/2020', '14', '4', '2020', '102', '8', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.30940926');
INSERT INTO public.ecdc_import VALUES (38998, '13/04/2020', '13', '4', '2020', '116', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.24086308');
INSERT INTO public.ecdc_import VALUES (38999, '12/04/2020', '12', '4', '2020', '97', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.25457232');
INSERT INTO public.ecdc_import VALUES (39000, '11/04/2020', '11', '4', '2020', '74', '10', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.02425717');
INSERT INTO public.ecdc_import VALUES (39001, '10/04/2020', '10', '4', '2020', '99', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '3.01328979');
INSERT INTO public.ecdc_import VALUES (39002, '09/04/2020', '9', '4', '2020', '91', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.87893929');
INSERT INTO public.ecdc_import VALUES (39003, '08/04/2020', '8', '4', '2020', '64', '10', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.7802328');
INSERT INTO public.ecdc_import VALUES (39004, '07/04/2020', '7', '4', '2020', '99', '10', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.70346108');
INSERT INTO public.ecdc_import VALUES (39005, '06/04/2020', '6', '4', '2020', '102', '11', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.48411333');
INSERT INTO public.ecdc_import VALUES (39006, '05/04/2020', '5', '4', '2020', '211', '15', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '2.25654003');
INSERT INTO public.ecdc_import VALUES (39007, '04/04/2020', '4', '4', '2020', '0', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.7054288');
INSERT INTO public.ecdc_import VALUES (39008, '03/04/2020', '3', '4', '2020', '54', '5', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.76849128');
INSERT INTO public.ecdc_import VALUES (39009, '02/04/2020', '2', '4', '2020', '37', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.64510816');
INSERT INTO public.ecdc_import VALUES (39010, '01/04/2020', '1', '4', '2020', '61', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.5710783');
INSERT INTO public.ecdc_import VALUES (39011, '31/03/2020', '31', '3', '2020', '77', '7', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.42301856');
INSERT INTO public.ecdc_import VALUES (39012, '30/03/2020', '30', '3', '2020', '121', '3', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '1.23657297');
INSERT INTO public.ecdc_import VALUES (39013, '29/03/2020', '29', '3', '2020', '13', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.93222796');
INSERT INTO public.ecdc_import VALUES (39014, '28/03/2020', '28', '3', '2020', '70', '13', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.92674427');
INSERT INTO public.ecdc_import VALUES (39015, '27/03/2020', '27', '3', '2020', '50', '4', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.73755683');
INSERT INTO public.ecdc_import VALUES (39016, '26/03/2020', '26', '3', '2020', '55', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.60320633');
INSERT INTO public.ecdc_import VALUES (39017, '25/03/2020', '25', '3', '2020', '36', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.46063029');
INSERT INTO public.ecdc_import VALUES (39018, '24/03/2020', '24', '3', '2020', '19', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.36466564');
INSERT INTO public.ecdc_import VALUES (39019, '23/03/2020', '23', '3', '2020', '19', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '0.3153124');
INSERT INTO public.ecdc_import VALUES (39020, '22/03/2020', '22', '3', '2020', '10', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39021, '21/03/2020', '21', '3', '2020', '23', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39022, '20/03/2020', '20', '3', '2020', '9', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39023, '19/03/2020', '19', '3', '2020', '10', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39024, '18/03/2020', '18', '3', '2020', '7', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39025, '17/03/2020', '17', '3', '2020', '9', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39026, '16/03/2020', '16', '3', '2020', '10', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39027, '15/03/2020', '15', '3', '2020', '11', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39028, '14/03/2020', '14', '3', '2020', '1', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39029, '13/03/2020', '13', '3', '2020', '1', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39030, '12/03/2020', '12', '3', '2020', '3', '1', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39031, '06/03/2020', '6', '3', '2020', '1', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39032, '03/03/2020', '3', '3', '2020', '1', '0', '36471766', 'Morocco', 'MA', 'MAR', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39033, '14/12/2020', '14', '12', '2020', '142', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.41611704');
INSERT INTO public.ecdc_import VALUES (39034, '13/12/2020', '13', '12', '2020', '132', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.03740454');
INSERT INTO public.ecdc_import VALUES (39035, '12/12/2020', '12', '12', '2020', '159', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.86616063');
INSERT INTO public.ecdc_import VALUES (39036, '11/12/2020', '11', '12', '2020', '81', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.47098237');
INSERT INTO public.ecdc_import VALUES (39037, '10/12/2020', '10', '12', '2020', '67', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.74760715');
INSERT INTO public.ecdc_import VALUES (39038, '09/12/2020', '9', '12', '2020', '47', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.76077976');
INSERT INTO public.ecdc_import VALUES (39039, '08/12/2020', '8', '12', '2020', '82', '3', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.00776617');
INSERT INTO public.ecdc_import VALUES (39040, '07/12/2020', '7', '12', '2020', '111', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.97483465');
INSERT INTO public.ecdc_import VALUES (39041, '06/12/2020', '6', '12', '2020', '95', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.79371128');
INSERT INTO public.ecdc_import VALUES (39042, '05/12/2020', '5', '12', '2020', '120', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.82334965');
INSERT INTO public.ecdc_import VALUES (39043, '04/12/2020', '4', '12', '2020', '52', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.93531683');
INSERT INTO public.ecdc_import VALUES (39044, '03/12/2020', '3', '12', '2020', '96', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.2810978');
INSERT INTO public.ecdc_import VALUES (39045, '02/12/2020', '2', '12', '2020', '69', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.9649552');
INSERT INTO public.ecdc_import VALUES (39046, '01/12/2020', '1', '12', '2020', '88', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.90897161');
INSERT INTO public.ecdc_import VALUES (39047, '30/11/2020', '30', '11', '2020', '27', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.83652226');
INSERT INTO public.ecdc_import VALUES (39048, '29/11/2020', '29', '11', '2020', '80', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.10326759');
INSERT INTO public.ecdc_import VALUES (39049, '28/11/2020', '28', '11', '2020', '39', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.21194161');
INSERT INTO public.ecdc_import VALUES (39050, '27/11/2020', '27', '11', '2020', '165', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.52149791');
INSERT INTO public.ecdc_import VALUES (39051, '26/11/2020', '26', '11', '2020', '71', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.58077465');
INSERT INTO public.ecdc_import VALUES (39052, '25/11/2020', '25', '11', '2020', '122', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.63675824');
INSERT INTO public.ecdc_import VALUES (39053, '24/11/2020', '24', '11', '2020', '72', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.23499367');
INSERT INTO public.ecdc_import VALUES (39054, '23/11/2020', '23', '11', '2020', '56', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.17901009');
INSERT INTO public.ecdc_import VALUES (39055, '22/11/2020', '22', '11', '2020', '104', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.62358563');
INSERT INTO public.ecdc_import VALUES (39056, '21/11/2020', '21', '11', '2020', '154', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.5840678');
INSERT INTO public.ecdc_import VALUES (39057, '20/11/2020', '20', '11', '2020', '157', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.38647867');
INSERT INTO public.ecdc_import VALUES (39058, '19/11/2020', '19', '11', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.22511422');
INSERT INTO public.ecdc_import VALUES (39059, '18/11/2020', '18', '11', '2020', '52', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.49185954');
INSERT INTO public.ecdc_import VALUES (39442, '25/07/2020', '25', '7', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03700591');
INSERT INTO public.ecdc_import VALUES (39060, '17/11/2020', '17', '11', '2020', '66', '3', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.55772259');
INSERT INTO public.ecdc_import VALUES (39061, '16/11/2020', '16', '11', '2020', '108', '3', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.80800215');
INSERT INTO public.ecdc_import VALUES (39062, '15/11/2020', '15', '11', '2020', '113', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.84422682');
INSERT INTO public.ecdc_import VALUES (39063, '14/11/2020', '14', '11', '2020', '133', '6', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.77507063');
INSERT INTO public.ecdc_import VALUES (39064, '13/11/2020', '13', '11', '2020', '183', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.16695573');
INSERT INTO public.ecdc_import VALUES (39065, '12/11/2020', '12', '11', '2020', '88', '5', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.92655563');
INSERT INTO public.ecdc_import VALUES (39066, '11/11/2020', '11', '11', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.10438584');
INSERT INTO public.ecdc_import VALUES (39067, '10/11/2020', '10', '11', '2020', '55', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.47321888');
INSERT INTO public.ecdc_import VALUES (39068, '09/11/2020', '9', '11', '2020', '191', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.86839714');
INSERT INTO public.ecdc_import VALUES (39069, '08/11/2020', '8', '11', '2020', '92', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.53908193');
INSERT INTO public.ecdc_import VALUES (39070, '07/11/2020', '7', '11', '2020', '94', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.7202053');
INSERT INTO public.ecdc_import VALUES (39071, '06/11/2020', '6', '11', '2020', '108', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.03305475');
INSERT INTO public.ecdc_import VALUES (39072, '05/11/2020', '5', '11', '2020', '81', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.42823301');
INSERT INTO public.ecdc_import VALUES (39073, '04/11/2020', '4', '11', '2020', '72', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.62582214');
INSERT INTO public.ecdc_import VALUES (39074, '03/11/2020', '3', '11', '2020', '142', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.75096192');
INSERT INTO public.ecdc_import VALUES (39075, '02/11/2020', '2', '11', '2020', '119', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.98806888');
INSERT INTO public.ecdc_import VALUES (39076, '01/11/2020', '1', '11', '2020', '92', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.11979496');
INSERT INTO public.ecdc_import VALUES (39077, '31/10/2020', '31', '10', '2020', '252', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.12967442');
INSERT INTO public.ecdc_import VALUES (39078, '30/10/2020', '30', '10', '2020', '110', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.54678649');
INSERT INTO public.ecdc_import VALUES (39079, '29/10/2020', '29', '10', '2020', '142', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.66204681');
INSERT INTO public.ecdc_import VALUES (39080, '28/10/2020', '28', '10', '2020', '112', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.6357016');
INSERT INTO public.ecdc_import VALUES (39081, '27/10/2020', '27', '10', '2020', '175', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.82670442');
INSERT INTO public.ecdc_import VALUES (39082, '26/10/2020', '26', '10', '2020', '91', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.53690703');
INSERT INTO public.ecdc_import VALUES (39083, '25/10/2020', '25', '10', '2020', '147', '3', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.75425507');
INSERT INTO public.ecdc_import VALUES (39084, '24/10/2020', '24', '10', '2020', '189', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.60606323');
INSERT INTO public.ecdc_import VALUES (39085, '23/10/2020', '23', '10', '2020', '228', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.32285214');
INSERT INTO public.ecdc_import VALUES (39086, '22/10/2020', '22', '10', '2020', '141', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.04952051');
INSERT INTO public.ecdc_import VALUES (39087, '21/10/2020', '21', '10', '2020', '110', '3', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.90132867');
INSERT INTO public.ecdc_import VALUES (39088, '20/10/2020', '20', '10', '2020', '214', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.87498345');
INSERT INTO public.ecdc_import VALUES (39089, '19/10/2020', '19', '10', '2020', '159', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.4995641');
INSERT INTO public.ecdc_import VALUES (39090, '18/10/2020', '18', '10', '2020', '95', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.46004628');
INSERT INTO public.ecdc_import VALUES (39091, '17/10/2020', '17', '10', '2020', '75', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.37771747');
INSERT INTO public.ecdc_import VALUES (39092, '16/10/2020', '16', '10', '2020', '145', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.43040791');
INSERT INTO public.ecdc_import VALUES (39093, '15/10/2020', '15', '10', '2020', '134', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.47980519');
INSERT INTO public.ecdc_import VALUES (39094, '14/10/2020', '14', '10', '2020', '170', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.60494497');
INSERT INTO public.ecdc_import VALUES (39095, '13/10/2020', '13', '10', '2020', '87', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.92767388');
INSERT INTO public.ecdc_import VALUES (39096, '12/10/2020', '12', '10', '2020', '157', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.64558105');
INSERT INTO public.ecdc_import VALUES (39097, '11/10/2020', '11', '10', '2020', '102', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.87280855');
INSERT INTO public.ecdc_import VALUES (39098, '10/10/2020', '10', '10', '2020', '103', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.09015659');
INSERT INTO public.ecdc_import VALUES (39099, '09/10/2020', '9', '10', '2020', '145', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.37666083');
INSERT INTO public.ecdc_import VALUES (39100, '08/10/2020', '8', '10', '2020', '96', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.35031561');
INSERT INTO public.ecdc_import VALUES (39101, '07/10/2020', '7', '10', '2020', '102', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.52155953');
INSERT INTO public.ecdc_import VALUES (39102, '06/10/2020', '6', '10', '2020', '100', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.85087474');
INSERT INTO public.ecdc_import VALUES (39103, '05/10/2020', '5', '10', '2020', '147', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.98589398');
INSERT INTO public.ecdc_import VALUES (39104, '04/10/2020', '4', '10', '2020', '70', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.27239822');
INSERT INTO public.ecdc_import VALUES (39105, '03/10/2020', '3', '10', '2020', '91', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.94090811');
INSERT INTO public.ecdc_import VALUES (39106, '02/10/2020', '2', '10', '2020', '160', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.98042593');
INSERT INTO public.ecdc_import VALUES (39107, '01/10/2020', '1', '10', '2020', '172', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '9.003478');
INSERT INTO public.ecdc_import VALUES (39108, '30/09/2020', '30', '9', '2020', '268', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '9.36243158');
INSERT INTO public.ecdc_import VALUES (39109, '29/09/2020', '29', '9', '2020', '305', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '9.24058495');
INSERT INTO public.ecdc_import VALUES (39110, '28/09/2020', '28', '9', '2020', '226', '4', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.93761495');
INSERT INTO public.ecdc_import VALUES (39111, '27/09/2020', '27', '9', '2020', '168', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.94749441');
INSERT INTO public.ecdc_import VALUES (39112, '26/09/2020', '26', '9', '2020', '190', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.79600941');
INSERT INTO public.ecdc_import VALUES (39113, '25/09/2020', '25', '9', '2020', '137', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.45352159');
INSERT INTO public.ecdc_import VALUES (39114, '24/09/2020', '24', '9', '2020', '148', '4', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.22629409');
INSERT INTO public.ecdc_import VALUES (39115, '23/09/2020', '23', '9', '2020', '202', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '8.12420637');
INSERT INTO public.ecdc_import VALUES (39116, '22/09/2020', '22', '9', '2020', '141', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.75537333');
INSERT INTO public.ecdc_import VALUES (39117, '21/09/2020', '21', '9', '2020', '234', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.66316507');
INSERT INTO public.ecdc_import VALUES (39118, '20/09/2020', '20', '9', '2020', '273', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '7.23176214');
INSERT INTO public.ecdc_import VALUES (39119, '19/09/2020', '19', '9', '2020', '103', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.58301116');
INSERT INTO public.ecdc_import VALUES (39120, '18/09/2020', '18', '9', '2020', '167', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.43481931');
INSERT INTO public.ecdc_import VALUES (39121, '17/09/2020', '17', '9', '2020', '281', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '6.1812466');
INSERT INTO public.ecdc_import VALUES (39122, '16/09/2020', '16', '9', '2020', '231', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.51273671');
INSERT INTO public.ecdc_import VALUES (39123, '15/09/2020', '15', '9', '2020', '213', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '5.15707628');
INSERT INTO public.ecdc_import VALUES (39124, '14/09/2020', '14', '9', '2020', '229', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.76848432');
INSERT INTO public.ecdc_import VALUES (39125, '13/09/2020', '13', '9', '2020', '122', '4', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.21523476');
INSERT INTO public.ecdc_import VALUES (39126, '12/09/2020', '12', '9', '2020', '86', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '4.02093878');
INSERT INTO public.ecdc_import VALUES (39127, '11/09/2020', '11', '9', '2020', '68', '3', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.8892127');
INSERT INTO public.ecdc_import VALUES (39128, '10/09/2020', '10', '9', '2020', '117', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.86616063');
INSERT INTO public.ecdc_import VALUES (39129, '09/09/2020', '9', '9', '2020', '90', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.75090031');
INSERT INTO public.ecdc_import VALUES (39130, '08/09/2020', '8', '9', '2020', '113', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.67845096');
INSERT INTO public.ecdc_import VALUES (39131, '07/09/2020', '7', '9', '2020', '103', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.45451661');
INSERT INTO public.ecdc_import VALUES (39132, '06/09/2020', '6', '9', '2020', '76', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.41499879');
INSERT INTO public.ecdc_import VALUES (39133, '05/09/2020', '5', '9', '2020', '58', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.52367281');
INSERT INTO public.ecdc_import VALUES (39134, '04/09/2020', '4', '9', '2020', '90', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.59612216');
INSERT INTO public.ecdc_import VALUES (39135, '03/09/2020', '3', '9', '2020', '78', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.53025911');
INSERT INTO public.ecdc_import VALUES (39136, '02/09/2020', '2', '9', '2020', '123', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.70479618');
INSERT INTO public.ecdc_import VALUES (39137, '01/09/2020', '1', '9', '2020', '95', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.29973846');
INSERT INTO public.ecdc_import VALUES (39138, '31/08/2020', '31', '8', '2020', '61', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.18118498');
INSERT INTO public.ecdc_import VALUES (39139, '30/08/2020', '30', '8', '2020', '63', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.19106444');
INSERT INTO public.ecdc_import VALUES (39140, '29/08/2020', '29', '8', '2020', '46', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.25692748');
INSERT INTO public.ecdc_import VALUES (39141, '28/08/2020', '28', '8', '2020', '61', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.33596313');
INSERT INTO public.ecdc_import VALUES (39142, '27/08/2020', '27', '8', '2020', '82', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.39523987');
INSERT INTO public.ecdc_import VALUES (39143, '26/08/2020', '26', '8', '2020', '68', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.38206727');
INSERT INTO public.ecdc_import VALUES (39144, '25/08/2020', '25', '8', '2020', '45', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.38865357');
INSERT INTO public.ecdc_import VALUES (39145, '24/08/2020', '24', '8', '2020', '91', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.70808933');
INSERT INTO public.ecdc_import VALUES (39146, '23/08/2020', '23', '8', '2020', '109', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.50062074');
INSERT INTO public.ecdc_import VALUES (39147, '22/08/2020', '22', '8', '2020', '80', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.23387542');
INSERT INTO public.ecdc_import VALUES (39148, '21/08/2020', '21', '8', '2020', '70', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.2766864');
INSERT INTO public.ecdc_import VALUES (39149, '20/08/2020', '20', '8', '2020', '131', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.18118498');
INSERT INTO public.ecdc_import VALUES (39150, '19/08/2020', '19', '8', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.91443966');
INSERT INTO public.ecdc_import VALUES (39151, '18/08/2020', '18', '8', '2020', '59', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '3.09885618');
INSERT INTO public.ecdc_import VALUES (39152, '17/08/2020', '17', '8', '2020', '64', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.99347531');
INSERT INTO public.ecdc_import VALUES (39153, '16/08/2020', '16', '8', '2020', '83', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.91114651');
INSERT INTO public.ecdc_import VALUES (39154, '15/08/2020', '15', '8', '2020', '70', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.77942042');
INSERT INTO public.ecdc_import VALUES (39155, '14/08/2020', '14', '8', '2020', '79', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.73331629');
INSERT INTO public.ecdc_import VALUES (39156, '13/08/2020', '13', '8', '2020', '78', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.6707464');
INSERT INTO public.ecdc_import VALUES (39157, '12/08/2020', '12', '8', '2020', '70', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.50608879');
INSERT INTO public.ecdc_import VALUES (39158, '11/08/2020', '11', '8', '2020', '142', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.33813803');
INSERT INTO public.ecdc_import VALUES (39159, '10/08/2020', '10', '8', '2020', '28', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.97589129');
INSERT INTO public.ecdc_import VALUES (39160, '09/08/2020', '9', '8', '2020', '28', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.0582201');
INSERT INTO public.ecdc_import VALUES (39161, '08/08/2020', '8', '8', '2020', '93', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '2.05163379');
INSERT INTO public.ecdc_import VALUES (39162, '07/08/2020', '7', '8', '2020', '41', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.77171586');
INSERT INTO public.ecdc_import VALUES (39163, '06/08/2020', '6', '8', '2020', '50', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.71902543');
INSERT INTO public.ecdc_import VALUES (39164, '05/08/2020', '5', '8', '2020', '56', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.62352401');
INSERT INTO public.ecdc_import VALUES (39165, '04/08/2020', '4', '8', '2020', '27', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.53460891');
INSERT INTO public.ecdc_import VALUES (39166, '03/08/2020', '3', '8', '2020', '39', '2', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.49838423');
INSERT INTO public.ecdc_import VALUES (39167, '02/08/2020', '2', '8', '2020', '43', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.55436782');
INSERT INTO public.ecdc_import VALUES (39168, '01/08/2020', '1', '8', '2020', '56', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.5214363');
INSERT INTO public.ecdc_import VALUES (39169, '31/07/2020', '31', '7', '2020', '60', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.39958967');
INSERT INTO public.ecdc_import VALUES (39170, '30/07/2020', '30', '7', '2020', '28', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.3765376');
INSERT INTO public.ecdc_import VALUES (39171, '29/07/2020', '29', '7', '2020', '19', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.48850477');
INSERT INTO public.ecdc_import VALUES (39172, '28/07/2020', '28', '7', '2020', '32', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.58729934');
INSERT INTO public.ecdc_import VALUES (39173, '27/07/2020', '27', '7', '2020', '53', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.6860939');
INSERT INTO public.ecdc_import VALUES (39174, '26/07/2020', '26', '7', '2020', '26', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.58400619');
INSERT INTO public.ecdc_import VALUES (39175, '25/07/2020', '25', '7', '2020', '8', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.57741988');
INSERT INTO public.ecdc_import VALUES (39176, '24/07/2020', '24', '7', '2020', '25', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.61364456');
INSERT INTO public.ecdc_import VALUES (39177, '23/07/2020', '23', '7', '2020', '21', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.60047195');
INSERT INTO public.ecdc_import VALUES (39178, '22/07/2020', '22', '7', '2020', '29', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.63340347');
INSERT INTO public.ecdc_import VALUES (39179, '21/07/2020', '21', '7', '2020', '16', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.63011032');
INSERT INTO public.ecdc_import VALUES (39180, '20/07/2020', '20', '7', '2020', '56', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.65974869');
INSERT INTO public.ecdc_import VALUES (39181, '19/07/2020', '19', '7', '2020', '33', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.53460891');
INSERT INTO public.ecdc_import VALUES (39182, '18/07/2020', '18', '7', '2020', '19', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.52472945');
INSERT INTO public.ecdc_import VALUES (39183, '17/07/2020', '17', '7', '2020', '53', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.53131575');
INSERT INTO public.ecdc_import VALUES (39184, '16/07/2020', '16', '7', '2020', '62', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.40617597');
INSERT INTO public.ecdc_import VALUES (39185, '15/07/2020', '15', '7', '2020', '49', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.24810467');
INSERT INTO public.ecdc_import VALUES (39186, '14/07/2020', '14', '7', '2020', '62', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.10649912');
INSERT INTO public.ecdc_import VALUES (39187, '13/07/2020', '13', '7', '2020', '22', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.98135934');
INSERT INTO public.ecdc_import VALUES (39188, '12/07/2020', '12', '7', '2020', '24', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.97477304');
INSERT INTO public.ecdc_import VALUES (39189, '11/07/2020', '11', '7', '2020', '19', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.97147989');
INSERT INTO public.ecdc_import VALUES (39190, '10/07/2020', '10', '7', '2020', '21', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.00111826');
INSERT INTO public.ecdc_import VALUES (39191, '09/07/2020', '9', '7', '2020', '31', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.01758402');
INSERT INTO public.ecdc_import VALUES (39192, '08/07/2020', '8', '7', '2020', '28', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.93196206');
INSERT INTO public.ecdc_import VALUES (39193, '07/07/2020', '7', '7', '2020', '25', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.90561684');
INSERT INTO public.ecdc_import VALUES (39194, '06/07/2020', '6', '7', '2020', '18', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.83646065');
INSERT INTO public.ecdc_import VALUES (39195, '05/07/2020', '5', '7', '2020', '30', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.92537576');
INSERT INTO public.ecdc_import VALUES (39196, '04/07/2020', '4', '7', '2020', '21', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.89244423');
INSERT INTO public.ecdc_import VALUES (39197, '03/07/2020', '3', '7', '2020', '15', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.84304695');
INSERT INTO public.ecdc_import VALUES (39198, '02/07/2020', '2', '7', '2020', '14', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.82987434');
INSERT INTO public.ecdc_import VALUES (39199, '01/07/2020', '1', '7', '2020', '6', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.82658119');
INSERT INTO public.ecdc_import VALUES (39200, '30/06/2020', '30', '6', '2020', '24', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.90232369');
INSERT INTO public.ecdc_import VALUES (39201, '29/06/2020', '29', '6', '2020', '20', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.90891');
INSERT INTO public.ecdc_import VALUES (39202, '28/06/2020', '28', '6', '2020', '23', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.94184152');
INSERT INTO public.ecdc_import VALUES (39203, '27/06/2020', '27', '6', '2020', '28', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.01099771');
INSERT INTO public.ecdc_import VALUES (39204, '26/06/2020', '26', '6', '2020', '26', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.98465249');
INSERT INTO public.ecdc_import VALUES (39205, '25/06/2020', '25', '6', '2020', '5', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.95501413');
INSERT INTO public.ecdc_import VALUES (39206, '24/06/2020', '24', '6', '2020', '20', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.00111826');
INSERT INTO public.ecdc_import VALUES (39207, '23/06/2020', '23', '6', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.00111826');
INSERT INTO public.ecdc_import VALUES (39208, '22/06/2020', '22', '6', '2020', '45', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.01099771');
INSERT INTO public.ecdc_import VALUES (39209, '21/06/2020', '21', '6', '2020', '20', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.91220315');
INSERT INTO public.ecdc_import VALUES (39210, '20/06/2020', '20', '6', '2020', '6', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.03404978');
INSERT INTO public.ecdc_import VALUES (39211, '19/06/2020', '19', '6', '2020', '11', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.02087717');
INSERT INTO public.ecdc_import VALUES (39212, '18/06/2020', '18', '6', '2020', '13', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.10320597');
INSERT INTO public.ecdc_import VALUES (39213, '17/06/2020', '17', '6', '2020', '29', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.09003336');
INSERT INTO public.ecdc_import VALUES (39214, '16/06/2020', '16', '6', '2020', '26', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.16906902');
INSERT INTO public.ecdc_import VALUES (39215, '15/06/2020', '15', '6', '2020', '30', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.08344706');
INSERT INTO public.ecdc_import VALUES (39216, '14/06/2020', '14', '6', '2020', '44', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '1.01758402');
INSERT INTO public.ecdc_import VALUES (39217, '13/06/2020', '13', '6', '2020', '20', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.90561684');
INSERT INTO public.ecdc_import VALUES (39218, '12/06/2020', '12', '6', '2020', '17', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.84304695');
INSERT INTO public.ecdc_import VALUES (39219, '11/06/2020', '11', '6', '2020', '19', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.80682228');
INSERT INTO public.ecdc_import VALUES (39220, '10/06/2020', '10', '6', '2020', '20', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.79035652');
INSERT INTO public.ecdc_import VALUES (39221, '09/06/2020', '9', '6', '2020', '7', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.73766608');
INSERT INTO public.ecdc_import VALUES (39222, '08/06/2020', '8', '6', '2020', '15', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.7640113');
INSERT INTO public.ecdc_import VALUES (39223, '07/06/2020', '7', '6', '2020', '57', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.80023597');
INSERT INTO public.ecdc_import VALUES (39224, '06/06/2020', '6', '6', '2020', '2', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.62569891');
INSERT INTO public.ecdc_import VALUES (39225, '05/06/2020', '5', '6', '2020', '36', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.62569891');
INSERT INTO public.ecdc_import VALUES (39226, '04/06/2020', '4', '6', '2020', '9', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.52690435');
INSERT INTO public.ecdc_import VALUES (39227, '03/06/2020', '3', '6', '2020', '53', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.5301975');
INSERT INTO public.ecdc_import VALUES (39228, '02/06/2020', '2', '6', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.35895359');
INSERT INTO public.ecdc_import VALUES (39229, '01/06/2020', '1', '6', '2020', '10', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.3852988');
INSERT INTO public.ecdc_import VALUES (39230, '31/05/2020', '31', '5', '2020', '10', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.3787125');
INSERT INTO public.ecdc_import VALUES (39231, '30/05/2020', '30', '5', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.3787125');
INSERT INTO public.ecdc_import VALUES (39232, '29/05/2020', '29', '5', '2020', '6', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.38859195');
INSERT INTO public.ecdc_import VALUES (39233, '28/05/2020', '28', '5', '2020', '14', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.39517826');
INSERT INTO public.ecdc_import VALUES (39234, '27/05/2020', '27', '5', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.35895359');
INSERT INTO public.ecdc_import VALUES (39235, '26/05/2020', '26', '5', '2020', '15', '1', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.34907413');
INSERT INTO public.ecdc_import VALUES (39236, '25/05/2020', '25', '5', '2020', '26', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.33919467');
INSERT INTO public.ecdc_import VALUES (39237, '24/05/2020', '24', '5', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.26674532');
INSERT INTO public.ecdc_import VALUES (39238, '23/05/2020', '23', '5', '2020', '2', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.27003848');
INSERT INTO public.ecdc_import VALUES (39239, '22/05/2020', '22', '5', '2020', '6', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.26674532');
INSERT INTO public.ecdc_import VALUES (39240, '21/05/2020', '21', '5', '2020', '10', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.24698641');
INSERT INTO public.ecdc_import VALUES (39241, '20/05/2020', '20', '5', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.21405489');
INSERT INTO public.ecdc_import VALUES (39242, '19/05/2020', '19', '5', '2020', '8', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.21405489');
INSERT INTO public.ecdc_import VALUES (39243, '18/05/2020', '18', '5', '2020', '8', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.18770967');
INSERT INTO public.ecdc_import VALUES (39244, '17/05/2020', '17', '5', '2020', '10', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.16465761');
INSERT INTO public.ecdc_import VALUES (39245, '16/05/2020', '16', '5', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.13172609');
INSERT INTO public.ecdc_import VALUES (39246, '15/05/2020', '15', '5', '2020', '8', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.12843293');
INSERT INTO public.ecdc_import VALUES (39247, '14/05/2020', '14', '5', '2020', '3', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.10208772');
INSERT INTO public.ecdc_import VALUES (39248, '13/05/2020', '13', '5', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.09220826');
INSERT INTO public.ecdc_import VALUES (39249, '12/05/2020', '12', '5', '2020', '12', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.08891511');
INSERT INTO public.ecdc_import VALUES (39250, '11/05/2020', '11', '5', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.04939728');
INSERT INTO public.ecdc_import VALUES (39251, '10/05/2020', '10', '5', '2020', '5', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.05598359');
INSERT INTO public.ecdc_import VALUES (39252, '09/05/2020', '9', '5', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.05598359');
INSERT INTO public.ecdc_import VALUES (39253, '08/05/2020', '8', '5', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.11526033');
INSERT INTO public.ecdc_import VALUES (39254, '07/05/2020', '7', '5', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.13172609');
INSERT INTO public.ecdc_import VALUES (39255, '06/05/2020', '6', '5', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.13831239');
INSERT INTO public.ecdc_import VALUES (39256, '05/05/2020', '5', '5', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.13501924');
INSERT INTO public.ecdc_import VALUES (39257, '04/05/2020', '4', '5', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.13501924');
INSERT INTO public.ecdc_import VALUES (39258, '03/05/2020', '3', '5', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.14489869');
INSERT INTO public.ecdc_import VALUES (39259, '02/05/2020', '2', '5', '2020', '3', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.14819185');
INSERT INTO public.ecdc_import VALUES (39260, '01/05/2020', '1', '5', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.14819185');
INSERT INTO public.ecdc_import VALUES (39261, '30/04/2020', '30', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.15477815');
INSERT INTO public.ecdc_import VALUES (39262, '29/04/2020', '29', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.1580713');
INSERT INTO public.ecdc_import VALUES (39263, '28/04/2020', '28', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.16136446');
INSERT INTO public.ecdc_import VALUES (39264, '27/04/2020', '27', '4', '2020', '6', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.18112337');
INSERT INTO public.ecdc_import VALUES (39265, '26/04/2020', '26', '4', '2020', '5', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.16465761');
INSERT INTO public.ecdc_import VALUES (39266, '25/04/2020', '25', '4', '2020', '19', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.14819185');
INSERT INTO public.ecdc_import VALUES (39267, '24/04/2020', '24', '4', '2020', '5', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.09550141');
INSERT INTO public.ecdc_import VALUES (39268, '23/04/2020', '23', '4', '2020', '2', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.07903565');
INSERT INTO public.ecdc_import VALUES (39269, '22/04/2020', '22', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.09550141');
INSERT INTO public.ecdc_import VALUES (39270, '21/04/2020', '21', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.09550141');
INSERT INTO public.ecdc_import VALUES (39271, '20/04/2020', '20', '4', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.09550141');
INSERT INTO public.ecdc_import VALUES (39272, '19/04/2020', '19', '4', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.0823288');
INSERT INTO public.ecdc_import VALUES (39273, '18/04/2020', '18', '4', '2020', '3', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.07903565');
INSERT INTO public.ecdc_import VALUES (39274, '17/04/2020', '17', '4', '2020', '2', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.0691562');
INSERT INTO public.ecdc_import VALUES (39275, '16/04/2020', '16', '4', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.06256989');
INSERT INTO public.ecdc_import VALUES (39276, '15/04/2020', '15', '4', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.06586304');
INSERT INTO public.ecdc_import VALUES (39277, '14/04/2020', '14', '4', '2020', '6', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.06256989');
INSERT INTO public.ecdc_import VALUES (39278, '13/04/2020', '13', '4', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.04281098');
INSERT INTO public.ecdc_import VALUES (39279, '12/04/2020', '12', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.03951783');
INSERT INTO public.ecdc_import VALUES (39280, '11/04/2020', '11', '4', '2020', '3', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.04281098');
INSERT INTO public.ecdc_import VALUES (39281, '10/04/2020', '10', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.03293152');
INSERT INTO public.ecdc_import VALUES (39282, '09/04/2020', '9', '4', '2020', '7', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.03951783');
INSERT INTO public.ecdc_import VALUES (39283, '08/04/2020', '8', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.02963837');
INSERT INTO public.ecdc_import VALUES (39284, '07/04/2020', '7', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.02963837');
INSERT INTO public.ecdc_import VALUES (39285, '06/04/2020', '6', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.02963837');
INSERT INTO public.ecdc_import VALUES (39286, '05/04/2020', '5', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '0.03293152');
INSERT INTO public.ecdc_import VALUES (39287, '04/04/2020', '4', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39288, '03/04/2020', '3', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39289, '02/04/2020', '2', '4', '2020', '2', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39290, '01/04/2020', '1', '4', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39291, '31/03/2020', '31', '3', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39292, '30/03/2020', '30', '3', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39293, '29/03/2020', '29', '3', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39294, '28/03/2020', '28', '3', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39295, '27/03/2020', '27', '3', '2020', '2', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39296, '26/03/2020', '26', '3', '2020', '4', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39297, '25/03/2020', '25', '3', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39298, '24/03/2020', '24', '3', '2020', '0', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39299, '23/03/2020', '23', '3', '2020', '1', '0', '30366043', 'Mozambique', 'MZ', 'MOZ', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39300, '14/12/2020', '14', '12', '2020', '1127', '23', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '34.88917156');
INSERT INTO public.ecdc_import VALUES (39301, '13/12/2020', '13', '12', '2020', '1352', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '35.59598443');
INSERT INTO public.ecdc_import VALUES (39302, '12/12/2020', '12', '12', '2020', '1376', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '35.58118207');
INSERT INTO public.ecdc_import VALUES (39303, '11/12/2020', '11', '12', '2020', '1321', '27', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '35.67739743');
INSERT INTO public.ecdc_import VALUES (39304, '10/12/2020', '10', '12', '2020', '1427', '23', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.26579139');
INSERT INTO public.ecdc_import VALUES (39305, '09/12/2020', '9', '12', '2020', '1308', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.08631273');
INSERT INTO public.ecdc_import VALUES (39306, '08/12/2020', '8', '12', '2020', '1276', '22', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.86898772');
INSERT INTO public.ecdc_import VALUES (39307, '07/12/2020', '7', '12', '2020', '1108', '29', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.8375327');
INSERT INTO public.ecdc_import VALUES (39308, '06/12/2020', '6', '12', '2020', '1527', '22', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '37.37411839');
INSERT INTO public.ecdc_import VALUES (39309, '05/12/2020', '5', '12', '2020', '1502', '31', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '37.20204091');
INSERT INTO public.ecdc_import VALUES (39310, '04/12/2020', '4', '12', '2020', '1418', '30', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '37.25754977');
INSERT INTO public.ecdc_import VALUES (39311, '03/12/2020', '3', '12', '2020', '1411', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '37.52029173');
INSERT INTO public.ecdc_import VALUES (39312, '02/12/2020', '2', '12', '2020', '1476', '31', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '37.85519521');
INSERT INTO public.ecdc_import VALUES (39313, '01/12/2020', '1', '12', '2020', '1227', '23', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '38.02727269');
INSERT INTO public.ecdc_import VALUES (39314, '30/11/2020', '30', '11', '2020', '1509', '31', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '37.91625496');
INSERT INTO public.ecdc_import VALUES (39315, '29/11/2020', '29', '11', '2020', '1344', '22', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.94299954');
INSERT INTO public.ecdc_import VALUES (39316, '28/11/2020', '28', '11', '2020', '1428', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.81902974');
INSERT INTO public.ecdc_import VALUES (39317, '27/11/2020', '27', '11', '2020', '1639', '36', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '36.27874346');
INSERT INTO public.ecdc_import VALUES (39318, '26/11/2020', '26', '11', '2020', '1330', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '35.36469749');
INSERT INTO public.ecdc_import VALUES (39319, '25/11/2020', '25', '11', '2020', '1731', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '35.14636263');
INSERT INTO public.ecdc_import VALUES (39320, '24/11/2020', '24', '11', '2020', '1259', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '34.28597523');
INSERT INTO public.ecdc_import VALUES (39321, '23/11/2020', '23', '11', '2020', '1398', '17', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.06292992');
INSERT INTO public.ecdc_import VALUES (39322, '22/11/2020', '22', '11', '2020', '1434', '27', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.38017089');
INSERT INTO public.ecdc_import VALUES (39323, '21/11/2020', '21', '11', '2020', '1532', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.70851363');
INSERT INTO public.ecdc_import VALUES (39324, '20/11/2020', '20', '11', '2020', '1560', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.35695749');
INSERT INTO public.ecdc_import VALUES (39325, '19/11/2020', '19', '11', '2020', '1592', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '30.31154054');
INSERT INTO public.ecdc_import VALUES (39326, '18/11/2020', '18', '11', '2020', '1569', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '29.4678058');
INSERT INTO public.ecdc_import VALUES (39327, '17/11/2020', '17', '11', '2020', '1167', '22', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.77949588');
INSERT INTO public.ecdc_import VALUES (39328, '16/11/2020', '16', '11', '2020', '983', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.84425623');
INSERT INTO public.ecdc_import VALUES (39329, '15/11/2020', '15', '11', '2020', '1277', '18', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.31877231');
INSERT INTO public.ecdc_import VALUES (39330, '14/11/2020', '14', '11', '2020', '1136', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.19480251');
INSERT INTO public.ecdc_import VALUES (39331, '13/11/2020', '13', '11', '2020', '1145', '28', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.11523981');
INSERT INTO public.ecdc_import VALUES (39332, '12/11/2020', '12', '11', '2020', '1212', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.45939477');
INSERT INTO public.ecdc_import VALUES (39333, '11/11/2020', '11', '11', '2020', '1266', '24', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '28.81835209');
INSERT INTO public.ecdc_import VALUES (39334, '10/11/2020', '10', '11', '2020', '598', '17', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '29.18841118');
INSERT INTO public.ecdc_import VALUES (39335, '09/11/2020', '9', '11', '2020', '1029', '24', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '30.72045584');
INSERT INTO public.ecdc_import VALUES (39336, '08/11/2020', '8', '11', '2020', '1071', '20', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '30.64089314');
INSERT INTO public.ecdc_import VALUES (39337, '07/11/2020', '7', '11', '2020', '1342', '24', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.29219714');
INSERT INTO public.ecdc_import VALUES (39338, '06/11/2020', '6', '11', '2020', '995', '22', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.31995158');
INSERT INTO public.ecdc_import VALUES (39339, '05/11/2020', '5', '11', '2020', '1136', '23', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.90649524');
INSERT INTO public.ecdc_import VALUES (39340, '04/11/2020', '4', '11', '2020', '1197', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.01381238');
INSERT INTO public.ecdc_import VALUES (39341, '03/11/2020', '3', '11', '2020', '1202', '24', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.19884193');
INSERT INTO public.ecdc_import VALUES (39342, '02/11/2020', '2', '11', '2020', '699', '21', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.15813543');
INSERT INTO public.ecdc_import VALUES (39343, '01/11/2020', '1', '11', '2020', '1210', '18', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.99261869');
INSERT INTO public.ecdc_import VALUES (39344, '31/10/2020', '31', '10', '2020', '1093', '20', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.32012099');
INSERT INTO public.ecdc_import VALUES (39345, '30/10/2020', '30', '10', '2020', '1331', '27', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.40153399');
INSERT INTO public.ecdc_import VALUES (39346, '29/10/2020', '29', '10', '2020', '1406', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.83719387');
INSERT INTO public.ecdc_import VALUES (39347, '28/10/2020', '28', '10', '2020', '1466', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.87874081');
INSERT INTO public.ecdc_import VALUES (39348, '27/10/2020', '27', '10', '2020', '1426', '27', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.24408946');
INSERT INTO public.ecdc_import VALUES (39349, '26/10/2020', '26', '10', '2020', '986', '29', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.08496405');
INSERT INTO public.ecdc_import VALUES (39350, '25/10/2020', '25', '10', '2020', '1423', '28', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.79463707');
INSERT INTO public.ecdc_import VALUES (39351, '24/10/2020', '24', '10', '2020', '1357', '33', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '34.15460425');
INSERT INTO public.ecdc_import VALUES (39352, '23/10/2020', '23', '10', '2020', '1312', '33', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '34.34703498');
INSERT INTO public.ecdc_import VALUES (39353, '22/10/2020', '22', '10', '2020', '1194', '27', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.79194634');
INSERT INTO public.ecdc_import VALUES (39354, '21/10/2020', '21', '10', '2020', '1297', '31', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '34.17310721');
INSERT INTO public.ecdc_import VALUES (39355, '20/10/2020', '20', '10', '2020', '1180', '34', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '34.08984391');
INSERT INTO public.ecdc_import VALUES (39356, '19/10/2020', '19', '10', '2020', '1150', '42', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.73273688');
INSERT INTO public.ecdc_import VALUES (39357, '18/10/2020', '18', '10', '2020', '1387', '39', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.99362854');
INSERT INTO public.ecdc_import VALUES (39358, '17/10/2020', '17', '10', '2020', '1137', '34', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.23685769');
INSERT INTO public.ecdc_import VALUES (39359, '16/10/2020', '16', '10', '2020', '1026', '33', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.24610917');
INSERT INTO public.ecdc_import VALUES (39360, '15/10/2020', '15', '10', '2020', '888', '39', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.21650444');
INSERT INTO public.ecdc_import VALUES (39361, '14/10/2020', '14', '10', '2020', '1123', '29', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '33.32752217');
INSERT INTO public.ecdc_import VALUES (39362, '13/10/2020', '13', '10', '2020', '1340', '18', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '32.71877496');
INSERT INTO public.ecdc_import VALUES (39363, '12/10/2020', '12', '10', '2020', '1910', '48', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '31.89909406');
INSERT INTO public.ecdc_import VALUES (39364, '11/10/2020', '11', '10', '2020', '2158', '32', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '29.73979924');
INSERT INTO public.ecdc_import VALUES (39365, '10/10/2020', '10', '10', '2020', '1461', '31', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '27.37327132');
INSERT INTO public.ecdc_import VALUES (39366, '09/10/2020', '9', '10', '2020', '1012', '25', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '25.77461603');
INSERT INTO public.ecdc_import VALUES (39367, '08/10/2020', '8', '10', '2020', '1400', '39', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '25.17512029');
INSERT INTO public.ecdc_import VALUES (39368, '07/10/2020', '7', '10', '2020', '1252', '27', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '24.1907631');
INSERT INTO public.ecdc_import VALUES (39369, '06/10/2020', '6', '10', '2020', '987', '32', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '22.77713735');
INSERT INTO public.ecdc_import VALUES (39370, '05/10/2020', '5', '10', '2020', '1291', '41', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '22.1831925');
INSERT INTO public.ecdc_import VALUES (39371, '04/10/2020', '4', '10', '2020', '978', '18', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '20.79732119');
INSERT INTO public.ecdc_import VALUES (39372, '03/10/2020', '3', '10', '2020', '1142', '32', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '20.17562191');
INSERT INTO public.ecdc_import VALUES (39373, '02/10/2020', '2', '10', '2020', '1010', '11', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '18.65837961');
INSERT INTO public.ecdc_import VALUES (39374, '01/10/2020', '1', '10', '2020', '948', '26', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '17.53895085');
INSERT INTO public.ecdc_import VALUES (39375, '30/09/2020', '30', '9', '2020', '794', '28', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '16.26224697');
INSERT INTO public.ecdc_import VALUES (39376, '29/09/2020', '29', '9', '2020', '897', '30', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '15.41666193');
INSERT INTO public.ecdc_import VALUES (39377, '28/09/2020', '28', '9', '2020', '743', '28', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '14.2824308');
INSERT INTO public.ecdc_import VALUES (39378, '27/09/2020', '27', '9', '2020', '879', '24', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '13.31287597');
INSERT INTO public.ecdc_import VALUES (39379, '26/09/2020', '26', '9', '2020', '597', '19', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '12.33591996');
INSERT INTO public.ecdc_import VALUES (39380, '25/09/2020', '25', '9', '2020', '688', '22', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '11.56434675');
INSERT INTO public.ecdc_import VALUES (39381, '24/09/2020', '24', '9', '2020', '868', '17', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '10.7650191');
INSERT INTO public.ecdc_import VALUES (39382, '23/09/2020', '23', '9', '2020', '488', '16', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '9.53272231');
INSERT INTO public.ecdc_import VALUES (39383, '22/09/2020', '22', '9', '2020', '666', '6', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '8.99428632');
INSERT INTO public.ecdc_import VALUES (39384, '21/09/2020', '21', '9', '2020', '542', '13', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '8.03213268');
INSERT INTO public.ecdc_import VALUES (39385, '20/09/2020', '20', '9', '2020', '642', '6', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '7.29756537');
INSERT INTO public.ecdc_import VALUES (39386, '19/09/2020', '19', '9', '2020', '322', '14', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '6.30025611');
INSERT INTO public.ecdc_import VALUES (39387, '18/09/2020', '18', '9', '2020', '405', '15', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '5.85803549');
INSERT INTO public.ecdc_import VALUES (39388, '17/09/2020', '17', '9', '2020', '258', '7', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '5.24743798');
INSERT INTO public.ecdc_import VALUES (39389, '16/09/2020', '16', '9', '2020', '337', '7', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '4.9920972');
INSERT INTO public.ecdc_import VALUES (39390, '15/09/2020', '15', '9', '2020', '284', '8', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '4.4629127');
INSERT INTO public.ecdc_import VALUES (39391, '14/09/2020', '14', '9', '2020', '219', '8', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '4.12245833');
INSERT INTO public.ecdc_import VALUES (39392, '13/09/2020', '13', '9', '2020', '351', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '3.78755485');
INSERT INTO public.ecdc_import VALUES (39393, '12/09/2020', '12', '9', '2020', '180', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '3.31017861');
INSERT INTO public.ecdc_import VALUES (39394, '11/09/2020', '11', '9', '2020', '256', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '3.0289337');
INSERT INTO public.ecdc_import VALUES (39395, '10/09/2020', '10', '9', '2020', '202', '2', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '2.63297047');
INSERT INTO public.ecdc_import VALUES (39396, '09/09/2020', '9', '9', '2020', '197', '4', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '2.41093501');
INSERT INTO public.ecdc_import VALUES (39397, '08/09/2020', '8', '9', '2020', '146', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '2.10193566');
INSERT INTO public.ecdc_import VALUES (39398, '07/09/2020', '7', '9', '2020', '145', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '1.85214577');
INSERT INTO public.ecdc_import VALUES (39399, '06/09/2020', '6', '9', '2020', '103', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '1.61900854');
INSERT INTO public.ecdc_import VALUES (39400, '05/09/2020', '5', '9', '2020', '83', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '1.44508077');
INSERT INTO public.ecdc_import VALUES (39401, '04/09/2020', '4', '9', '2020', '75', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '1.33961393');
INSERT INTO public.ecdc_import VALUES (39402, '03/09/2020', '3', '9', '2020', '120', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '1.22489561');
INSERT INTO public.ecdc_import VALUES (39403, '02/09/2020', '2', '9', '2020', '51', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '1.03431517');
INSERT INTO public.ecdc_import VALUES (39404, '01/09/2020', '1', '9', '2020', '100', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.94550099');
INSERT INTO public.ecdc_import VALUES (39405, '31/08/2020', '31', '8', '2020', '38', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.76232174');
INSERT INTO public.ecdc_import VALUES (39406, '30/08/2020', '30', '8', '2020', '93', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.6938608');
INSERT INTO public.ecdc_import VALUES (39407, '29/08/2020', '29', '8', '2020', '28', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.52178333');
INSERT INTO public.ecdc_import VALUES (39408, '28/08/2020', '28', '8', '2020', '42', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.47922653');
INSERT INTO public.ecdc_import VALUES (39409, '27/08/2020', '27', '8', '2020', '82', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.41631648');
INSERT INTO public.ecdc_import VALUES (39410, '26/08/2020', '26', '8', '2020', '30', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.26644255');
INSERT INTO public.ecdc_import VALUES (39411, '25/08/2020', '25', '8', '2020', '11', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.21093368');
INSERT INTO public.ecdc_import VALUES (39412, '24/08/2020', '24', '8', '2020', '19', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.19058043');
INSERT INTO public.ecdc_import VALUES (39413, '23/08/2020', '23', '8', '2020', '9', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.15727512');
INSERT INTO public.ecdc_import VALUES (39414, '22/08/2020', '22', '8', '2020', '26', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.14062246');
INSERT INTO public.ecdc_import VALUES (39415, '21/08/2020', '21', '8', '2020', '13', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.09251477');
INSERT INTO public.ecdc_import VALUES (39416, '20/08/2020', '20', '8', '2020', '17', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07216152');
INSERT INTO public.ecdc_import VALUES (39417, '19/08/2020', '19', '8', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39418, '18/08/2020', '18', '8', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03885621');
INSERT INTO public.ecdc_import VALUES (39419, '17/08/2020', '17', '8', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0407065');
INSERT INTO public.ecdc_import VALUES (39420, '16/08/2020', '16', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03885621');
INSERT INTO public.ecdc_import VALUES (39421, '15/08/2020', '15', '8', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03885621');
INSERT INTO public.ecdc_import VALUES (39422, '14/08/2020', '14', '8', '2020', '8', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02960473');
INSERT INTO public.ecdc_import VALUES (39423, '13/08/2020', '13', '8', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.01480236');
INSERT INTO public.ecdc_import VALUES (39424, '12/08/2020', '12', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.01665266');
INSERT INTO public.ecdc_import VALUES (39425, '11/08/2020', '11', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.01850295');
INSERT INTO public.ecdc_import VALUES (39426, '10/08/2020', '10', '8', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.01850295');
INSERT INTO public.ecdc_import VALUES (39427, '09/08/2020', '9', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.01850295');
INSERT INTO public.ecdc_import VALUES (39428, '08/08/2020', '8', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02405384');
INSERT INTO public.ecdc_import VALUES (39429, '07/08/2020', '7', '8', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02960473');
INSERT INTO public.ecdc_import VALUES (39430, '06/08/2020', '6', '8', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02590414');
INSERT INTO public.ecdc_import VALUES (39431, '05/08/2020', '5', '8', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02775443');
INSERT INTO public.ecdc_import VALUES (39432, '04/08/2020', '4', '8', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02590414');
INSERT INTO public.ecdc_import VALUES (39433, '03/08/2020', '3', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02220355');
INSERT INTO public.ecdc_import VALUES (39434, '02/08/2020', '2', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02220355');
INSERT INTO public.ecdc_import VALUES (39435, '01/08/2020', '1', '8', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02590414');
INSERT INTO public.ecdc_import VALUES (39436, '31/07/2020', '31', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02590414');
INSERT INTO public.ecdc_import VALUES (39437, '30/07/2020', '30', '7', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02960473');
INSERT INTO public.ecdc_import VALUES (39438, '29/07/2020', '29', '7', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02590414');
INSERT INTO public.ecdc_import VALUES (39439, '28/07/2020', '28', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.02590414');
INSERT INTO public.ecdc_import VALUES (39440, '27/07/2020', '27', '7', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03515561');
INSERT INTO public.ecdc_import VALUES (39441, '26/07/2020', '26', '7', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03515561');
INSERT INTO public.ecdc_import VALUES (39443, '24/07/2020', '24', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0407065');
INSERT INTO public.ecdc_import VALUES (39444, '23/07/2020', '23', '7', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39445, '22/07/2020', '22', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39446, '21/07/2020', '21', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39447, '20/07/2020', '20', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05180827');
INSERT INTO public.ecdc_import VALUES (39448, '19/07/2020', '19', '7', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05180827');
INSERT INTO public.ecdc_import VALUES (39449, '18/07/2020', '18', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06105975');
INSERT INTO public.ecdc_import VALUES (39450, '17/07/2020', '17', '7', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06476034');
INSERT INTO public.ecdc_import VALUES (39451, '16/07/2020', '16', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06105975');
INSERT INTO public.ecdc_import VALUES (39452, '15/07/2020', '15', '7', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07031123');
INSERT INTO public.ecdc_import VALUES (39453, '14/07/2020', '14', '7', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39454, '13/07/2020', '13', '7', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05920946');
INSERT INTO public.ecdc_import VALUES (39455, '12/07/2020', '12', '7', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06291005');
INSERT INTO public.ecdc_import VALUES (39456, '11/07/2020', '11', '7', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06105975');
INSERT INTO public.ecdc_import VALUES (39457, '10/07/2020', '10', '7', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05180827');
INSERT INTO public.ecdc_import VALUES (39458, '09/07/2020', '9', '7', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39459, '08/07/2020', '8', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04440709');
INSERT INTO public.ecdc_import VALUES (39460, '07/07/2020', '7', '7', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39461, '06/07/2020', '6', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39462, '05/07/2020', '5', '7', '2020', '7', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04810768');
INSERT INTO public.ecdc_import VALUES (39463, '04/07/2020', '4', '7', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03700591');
INSERT INTO public.ecdc_import VALUES (39464, '03/07/2020', '3', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03330532');
INSERT INTO public.ecdc_import VALUES (39465, '02/07/2020', '2', '7', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07586211');
INSERT INTO public.ecdc_import VALUES (39466, '01/07/2020', '1', '7', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39467, '30/06/2020', '30', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39468, '29/06/2020', '29', '6', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39469, '28/06/2020', '28', '6', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06476034');
INSERT INTO public.ecdc_import VALUES (39470, '27/06/2020', '27', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05920946');
INSERT INTO public.ecdc_import VALUES (39471, '26/06/2020', '26', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05920946');
INSERT INTO public.ecdc_import VALUES (39472, '25/06/2020', '25', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.081413');
INSERT INTO public.ecdc_import VALUES (39473, '24/06/2020', '24', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.08511359');
INSERT INTO public.ecdc_import VALUES (39474, '23/06/2020', '23', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.08696389');
INSERT INTO public.ecdc_import VALUES (39475, '22/06/2020', '22', '6', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.08696389');
INSERT INTO public.ecdc_import VALUES (39476, '21/06/2020', '21', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.08696389');
INSERT INTO public.ecdc_import VALUES (39477, '20/06/2020', '20', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.09251477');
INSERT INTO public.ecdc_import VALUES (39478, '19/06/2020', '19', '6', '2020', '23', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.09251477');
INSERT INTO public.ecdc_import VALUES (39479, '18/06/2020', '18', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05365857');
INSERT INTO public.ecdc_import VALUES (39480, '17/06/2020', '17', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05365857');
INSERT INTO public.ecdc_import VALUES (39481, '16/06/2020', '16', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06291005');
INSERT INTO public.ecdc_import VALUES (39482, '15/06/2020', '15', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06291005');
INSERT INTO public.ecdc_import VALUES (39483, '14/06/2020', '14', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39484, '13/06/2020', '13', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39485, '12/06/2020', '12', '6', '2020', '12', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.10176625');
INSERT INTO public.ecdc_import VALUES (39486, '11/06/2020', '11', '6', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07956271');
INSERT INTO public.ecdc_import VALUES (39487, '10/06/2020', '10', '6', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07401182');
INSERT INTO public.ecdc_import VALUES (39488, '09/06/2020', '9', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07586211');
INSERT INTO public.ecdc_import VALUES (39489, '08/06/2020', '8', '6', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07771241');
INSERT INTO public.ecdc_import VALUES (39490, '07/06/2020', '7', '6', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07216152');
INSERT INTO public.ecdc_import VALUES (39491, '06/06/2020', '6', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06476034');
INSERT INTO public.ecdc_import VALUES (39492, '05/06/2020', '5', '6', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39493, '04/06/2020', '4', '6', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06476034');
INSERT INTO public.ecdc_import VALUES (39494, '03/06/2020', '3', '6', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07401182');
INSERT INTO public.ecdc_import VALUES (39495, '02/06/2020', '2', '6', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39496, '01/06/2020', '1', '6', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07586211');
INSERT INTO public.ecdc_import VALUES (39497, '31/05/2020', '31', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07771241');
INSERT INTO public.ecdc_import VALUES (39498, '30/05/2020', '30', '5', '2020', '18', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07771241');
INSERT INTO public.ecdc_import VALUES (39499, '29/05/2020', '29', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39500, '28/05/2020', '28', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04625739');
INSERT INTO public.ecdc_import VALUES (39501, '27/05/2020', '27', '5', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04810768');
INSERT INTO public.ecdc_import VALUES (39502, '26/05/2020', '26', '5', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39503, '25/05/2020', '25', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03885621');
INSERT INTO public.ecdc_import VALUES (39504, '24/05/2020', '24', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39505, '23/05/2020', '23', '5', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.04440709');
INSERT INTO public.ecdc_import VALUES (39506, '22/05/2020', '22', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39507, '21/05/2020', '21', '5', '2020', '6', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06846093');
INSERT INTO public.ecdc_import VALUES (39508, '20/05/2020', '20', '5', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05920946');
INSERT INTO public.ecdc_import VALUES (39509, '19/05/2020', '19', '5', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05550886');
INSERT INTO public.ecdc_import VALUES (39510, '18/05/2020', '18', '5', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05920946');
INSERT INTO public.ecdc_import VALUES (39511, '17/05/2020', '17', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05735916');
INSERT INTO public.ecdc_import VALUES (39512, '16/05/2020', '16', '5', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05735916');
INSERT INTO public.ecdc_import VALUES (39513, '15/05/2020', '15', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05550886');
INSERT INTO public.ecdc_import VALUES (39514, '14/05/2020', '14', '5', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05735916');
INSERT INTO public.ecdc_import VALUES (39515, '13/05/2020', '13', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05550886');
INSERT INTO public.ecdc_import VALUES (39516, '12/05/2020', '12', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06291005');
INSERT INTO public.ecdc_import VALUES (39517, '11/05/2020', '11', '5', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06291005');
INSERT INTO public.ecdc_import VALUES (39518, '10/05/2020', '10', '5', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.05920946');
INSERT INTO public.ecdc_import VALUES (39519, '09/05/2020', '9', '5', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06105975');
INSERT INTO public.ecdc_import VALUES (39520, '08/05/2020', '8', '5', '2020', '14', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.081413');
INSERT INTO public.ecdc_import VALUES (39521, '07/05/2020', '7', '5', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06476034');
INSERT INTO public.ecdc_import VALUES (39522, '06/05/2020', '6', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07401182');
INSERT INTO public.ecdc_import VALUES (39523, '05/05/2020', '5', '5', '2020', '6', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.07771241');
INSERT INTO public.ecdc_import VALUES (39524, '04/05/2020', '4', '5', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.081413');
INSERT INTO public.ecdc_import VALUES (39525, '03/05/2020', '3', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.081413');
INSERT INTO public.ecdc_import VALUES (39526, '02/05/2020', '2', '5', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.10546684');
INSERT INTO public.ecdc_import VALUES (39527, '01/05/2020', '1', '5', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.1221195');
INSERT INTO public.ecdc_import VALUES (39528, '30/04/2020', '30', '4', '2020', '0', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.14062246');
INSERT INTO public.ecdc_import VALUES (39529, '29/04/2020', '29', '4', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.14062246');
INSERT INTO public.ecdc_import VALUES (39530, '28/04/2020', '28', '4', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.15542482');
INSERT INTO public.ecdc_import VALUES (39531, '27/04/2020', '27', '4', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.19428103');
INSERT INTO public.ecdc_import VALUES (39532, '26/04/2020', '26', '4', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.21278398');
INSERT INTO public.ecdc_import VALUES (39533, '25/04/2020', '25', '4', '2020', '12', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.21463428');
INSERT INTO public.ecdc_import VALUES (39534, '24/04/2020', '24', '4', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.19428103');
INSERT INTO public.ecdc_import VALUES (39535, '23/04/2020', '23', '4', '2020', '6', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.19428103');
INSERT INTO public.ecdc_import VALUES (39536, '22/04/2020', '22', '4', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.18317925');
INSERT INTO public.ecdc_import VALUES (39537, '21/04/2020', '21', '4', '2020', '8', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.17947866');
INSERT INTO public.ecdc_import VALUES (39538, '20/04/2020', '20', '4', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.16652659');
INSERT INTO public.ecdc_import VALUES (39539, '19/04/2020', '19', '4', '2020', '13', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.15912541');
INSERT INTO public.ecdc_import VALUES (39540, '18/04/2020', '18', '4', '2020', '9', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.13692187');
INSERT INTO public.ecdc_import VALUES (39541, '17/04/2020', '17', '4', '2020', '11', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.12026921');
INSERT INTO public.ecdc_import VALUES (39542, '16/04/2020', '16', '4', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.10731714');
INSERT INTO public.ecdc_import VALUES (39543, '15/04/2020', '15', '4', '2020', '12', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.10916743');
INSERT INTO public.ecdc_import VALUES (39544, '14/04/2020', '14', '4', '2020', '21', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.08881418');
INSERT INTO public.ecdc_import VALUES (39545, '13/04/2020', '13', '4', '2020', '10', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.06105975');
INSERT INTO public.ecdc_import VALUES (39546, '12/04/2020', '12', '4', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39547, '11/04/2020', '11', '4', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0425568');
INSERT INTO public.ecdc_import VALUES (39548, '10/04/2020', '10', '4', '2020', '5', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.0407065');
INSERT INTO public.ecdc_import VALUES (39549, '09/04/2020', '9', '4', '2020', '0', '2', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03515561');
INSERT INTO public.ecdc_import VALUES (39550, '08/04/2020', '8', '4', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03515561');
INSERT INTO public.ecdc_import VALUES (39551, '07/04/2020', '7', '4', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03700591');
INSERT INTO public.ecdc_import VALUES (39552, '06/04/2020', '6', '4', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03885621');
INSERT INTO public.ecdc_import VALUES (39553, '05/04/2020', '5', '4', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '0.03885621');
INSERT INTO public.ecdc_import VALUES (39554, '04/04/2020', '4', '4', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39555, '03/04/2020', '3', '4', '2020', '4', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39556, '02/04/2020', '2', '4', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39557, '01/04/2020', '1', '4', '2020', '1', '1', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39558, '31/03/2020', '31', '3', '2020', '6', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39559, '30/03/2020', '30', '3', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39560, '29/03/2020', '29', '3', '2020', '3', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39561, '28/03/2020', '28', '3', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39562, '27/03/2020', '27', '3', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39563, '26/03/2020', '26', '3', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39564, '25/03/2020', '25', '3', '2020', '1', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39565, '24/03/2020', '24', '3', '2020', '2', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39566, '17/03/2020', '17', '3', '2020', '0', '0', '54045422', 'Myanmar', 'MM', 'MMR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (39567, '14/12/2020', '14', '12', '2020', '267', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '87.83238806');
INSERT INTO public.ecdc_import VALUES (39568, '13/12/2020', '13', '12', '2020', '172', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '79.53421174');
INSERT INTO public.ecdc_import VALUES (39569, '12/12/2020', '12', '12', '2020', '324', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '75.76595775');
INSERT INTO public.ecdc_import VALUES (39570, '11/12/2020', '11', '12', '2020', '301', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '64.86207389');
INSERT INTO public.ecdc_import VALUES (39571, '10/12/2020', '10', '12', '2020', '174', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '58.76872702');
INSERT INTO public.ecdc_import VALUES (39572, '09/12/2020', '9', '12', '2020', '79', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '54.51941934');
INSERT INTO public.ecdc_import VALUES (39573, '08/12/2020', '8', '12', '2020', '141', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '52.99608262');
INSERT INTO public.ecdc_import VALUES (39574, '07/12/2020', '7', '12', '2020', '128', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '48.62651151');
INSERT INTO public.ecdc_import VALUES (39575, '06/12/2020', '6', '12', '2020', '146', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '45.66001369');
INSERT INTO public.ecdc_import VALUES (39576, '05/12/2020', '5', '12', '2020', '205', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '43.7758867');
INSERT INTO public.ecdc_import VALUES (39577, '04/12/2020', '4', '12', '2020', '122', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '37.56227641');
INSERT INTO public.ecdc_import VALUES (39578, '03/12/2020', '3', '12', '2020', '61', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '34.75612983');
INSERT INTO public.ecdc_import VALUES (39579, '02/12/2020', '2', '12', '2020', '36', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '34.07463709');
INSERT INTO public.ecdc_import VALUES (39580, '01/12/2020', '1', '12', '2020', '35', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.07244188');
INSERT INTO public.ecdc_import VALUES (39581, '30/11/2020', '30', '11', '2020', '60', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.55349558');
INSERT INTO public.ecdc_import VALUES (39582, '29/11/2020', '29', '11', '2020', '78', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.51340777');
INSERT INTO public.ecdc_import VALUES (39583, '28/11/2020', '28', '11', '2020', '52', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.47331996');
INSERT INTO public.ecdc_import VALUES (39584, '27/11/2020', '27', '11', '2020', '149', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '32.47112475');
INSERT INTO public.ecdc_import VALUES (39585, '26/11/2020', '26', '11', '2020', '68', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '28.62269515');
INSERT INTO public.ecdc_import VALUES (39586, '25/11/2020', '25', '11', '2020', '41', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.46014871');
INSERT INTO public.ecdc_import VALUES (39587, '24/11/2020', '24', '11', '2020', '32', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.33769008');
INSERT INTO public.ecdc_import VALUES (39588, '23/11/2020', '23', '11', '2020', '54', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.21742665');
INSERT INTO public.ecdc_import VALUES (39589, '22/11/2020', '22', '11', '2020', '99', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '25.69628514');
INSERT INTO public.ecdc_import VALUES (39590, '21/11/2020', '21', '11', '2020', '50', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '22.80996294');
INSERT INTO public.ecdc_import VALUES (39591, '20/11/2020', '20', '11', '2020', '52', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '22.93022637');
INSERT INTO public.ecdc_import VALUES (39592, '19/11/2020', '19', '11', '2020', '44', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '22.6095239');
INSERT INTO public.ecdc_import VALUES (39593, '18/11/2020', '18', '11', '2020', '11', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '21.48706527');
INSERT INTO public.ecdc_import VALUES (39594, '17/11/2020', '17', '11', '2020', '47', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '21.76767993');
INSERT INTO public.ecdc_import VALUES (39595, '16/11/2020', '16', '11', '2020', '59', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '20.84566033');
INSERT INTO public.ecdc_import VALUES (39596, '15/11/2020', '15', '11', '2020', '77', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '20.60513348');
INSERT INTO public.ecdc_import VALUES (39597, '14/11/2020', '14', '11', '2020', '27', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '18.64083088');
INSERT INTO public.ecdc_import VALUES (39598, '13/11/2020', '13', '11', '2020', '53', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '19.52276266');
INSERT INTO public.ecdc_import VALUES (39599, '12/11/2020', '12', '11', '2020', '39', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '19.48267485');
INSERT INTO public.ecdc_import VALUES (39600, '11/11/2020', '11', '11', '2020', '13', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '21.00601157');
INSERT INTO public.ecdc_import VALUES (39601, '10/11/2020', '10', '11', '2020', '29', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '22.64961171');
INSERT INTO public.ecdc_import VALUES (39602, '09/11/2020', '9', '11', '2020', '41', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '22.08838239');
INSERT INTO public.ecdc_import VALUES (39603, '08/11/2020', '8', '11', '2020', '27', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '23.69189473');
INSERT INTO public.ecdc_import VALUES (39604, '07/11/2020', '7', '11', '2020', '53', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '25.73637295');
INSERT INTO public.ecdc_import VALUES (39605, '06/11/2020', '6', '11', '2020', '44', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '25.25531925');
INSERT INTO public.ecdc_import VALUES (39606, '05/11/2020', '5', '11', '2020', '16', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '25.65619733');
INSERT INTO public.ecdc_import VALUES (39607, '04/11/2020', '4', '11', '2020', '18', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.57821693');
INSERT INTO public.ecdc_import VALUES (39608, '03/11/2020', '3', '11', '2020', '24', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.50023652');
INSERT INTO public.ecdc_import VALUES (39609, '02/11/2020', '2', '11', '2020', '53', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.86102679');
INSERT INTO public.ecdc_import VALUES (39610, '01/11/2020', '1', '11', '2020', '28', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.9390072');
INSERT INTO public.ecdc_import VALUES (39611, '31/10/2020', '31', '10', '2020', '49', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.74076337');
INSERT INTO public.ecdc_import VALUES (39612, '30/10/2020', '30', '10', '2020', '52', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '30.26629529');
INSERT INTO public.ecdc_import VALUES (39613, '29/10/2020', '29', '10', '2020', '77', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.54471474');
INSERT INTO public.ecdc_import VALUES (39614, '28/10/2020', '28', '10', '2020', '54', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.22401228');
INSERT INTO public.ecdc_import VALUES (39615, '27/10/2020', '27', '10', '2020', '15', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.50023652');
INSERT INTO public.ecdc_import VALUES (39616, '26/10/2020', '26', '10', '2020', '81', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.02357323');
INSERT INTO public.ecdc_import VALUES (39617, '25/10/2020', '25', '10', '2020', '78', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.58041213');
INSERT INTO public.ecdc_import VALUES (39618, '24/10/2020', '24', '10', '2020', '41', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.9390072');
INSERT INTO public.ecdc_import VALUES (39619, '23/10/2020', '23', '10', '2020', '54', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.21962186');
INSERT INTO public.ecdc_import VALUES (39620, '22/10/2020', '22', '10', '2020', '39', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.74076337');
INSERT INTO public.ecdc_import VALUES (39621, '21/10/2020', '21', '10', '2020', '41', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.82093898');
INSERT INTO public.ecdc_import VALUES (39622, '20/10/2020', '20', '10', '2020', '33', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.9390072');
INSERT INTO public.ecdc_import VALUES (39623, '19/10/2020', '19', '10', '2020', '30', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.73856816');
INSERT INTO public.ecdc_import VALUES (39624, '18/10/2020', '18', '10', '2020', '48', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.70067556');
INSERT INTO public.ecdc_import VALUES (39625, '17/10/2020', '17', '10', '2020', '112', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.46453913');
INSERT INTO public.ecdc_import VALUES (39626, '16/10/2020', '16', '10', '2020', '34', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.26410008');
INSERT INTO public.ecdc_import VALUES (39627, '15/10/2020', '15', '10', '2020', '69', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '32.2305979');
INSERT INTO public.ecdc_import VALUES (39628, '14/10/2020', '14', '10', '2020', '11', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '34.47551517');
INSERT INTO public.ecdc_import VALUES (39629, '13/10/2020', '13', '10', '2020', '53', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '34.79621764');
INSERT INTO public.ecdc_import VALUES (39630, '12/10/2020', '12', '10', '2020', '45', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '36.19929093');
INSERT INTO public.ecdc_import VALUES (39631, '11/10/2020', '11', '10', '2020', '62', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '39.00543751');
INSERT INTO public.ecdc_import VALUES (39632, '10/10/2020', '10', '10', '2020', '48', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '39.84728149');
INSERT INTO public.ecdc_import VALUES (39633, '09/10/2020', '9', '10', '2020', '67', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '41.73140848');
INSERT INTO public.ecdc_import VALUES (39634, '08/10/2020', '8', '10', '2020', '41', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '42.13228656');
INSERT INTO public.ecdc_import VALUES (39635, '07/10/2020', '7', '10', '2020', '19', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '42.73360369');
INSERT INTO public.ecdc_import VALUES (39636, '06/10/2020', '6', '10', '2020', '28', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '45.2190478');
INSERT INTO public.ecdc_import VALUES (39637, '05/10/2020', '5', '10', '2020', '54', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '50.06967261');
INSERT INTO public.ecdc_import VALUES (39638, '04/10/2020', '4', '10', '2020', '92', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '51.31239467');
INSERT INTO public.ecdc_import VALUES (39639, '03/10/2020', '3', '10', '2020', '107', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '51.03178001');
INSERT INTO public.ecdc_import VALUES (39640, '02/10/2020', '2', '10', '2020', '108', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '51.91371179');
INSERT INTO public.ecdc_import VALUES (39641, '01/10/2020', '1', '10', '2020', '125', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '52.15423864');
INSERT INTO public.ecdc_import VALUES (39642, '30/09/2020', '30', '9', '2020', '19', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '49.66879453');
INSERT INTO public.ecdc_import VALUES (39643, '29/09/2020', '29', '9', '2020', '88', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '52.23441426');
INSERT INTO public.ecdc_import VALUES (39644, '28/09/2020', '28', '9', '2020', '115', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '52.67538015');
INSERT INTO public.ecdc_import VALUES (39645, '27/09/2020', '27', '9', '2020', '83', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '52.67538015');
INSERT INTO public.ecdc_import VALUES (39646, '26/09/2020', '26', '9', '2020', '95', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '56.04275605');
INSERT INTO public.ecdc_import VALUES (39647, '25/09/2020', '25', '9', '2020', '77', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '59.49030757');
INSERT INTO public.ecdc_import VALUES (39648, '24/09/2020', '24', '9', '2020', '56', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '62.33654196');
INSERT INTO public.ecdc_import VALUES (39649, '23/09/2020', '23', '9', '2020', '81', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '67.3074302');
INSERT INTO public.ecdc_import VALUES (39650, '22/09/2020', '22', '9', '2020', '149', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '68.7906791');
INSERT INTO public.ecdc_import VALUES (39651, '21/09/2020', '21', '9', '2020', '85', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '67.8285717');
INSERT INTO public.ecdc_import VALUES (39652, '20/09/2020', '20', '9', '2020', '85', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '71.27612322');
INSERT INTO public.ecdc_import VALUES (39653, '19/09/2020', '19', '9', '2020', '129', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '75.5254309');
INSERT INTO public.ecdc_import VALUES (39654, '18/09/2020', '18', '9', '2020', '114', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '80.01526544');
INSERT INTO public.ecdc_import VALUES (39655, '17/09/2020', '17', '9', '2020', '63', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '84.98615367');
INSERT INTO public.ecdc_import VALUES (39656, '16/09/2020', '16', '9', '2020', '83', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '88.55396861');
INSERT INTO public.ecdc_import VALUES (39657, '15/09/2020', '15', '9', '2020', '99', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '90.9191493');
INSERT INTO public.ecdc_import VALUES (39658, '14/09/2020', '14', '9', '2020', '115', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '94.36670082');
INSERT INTO public.ecdc_import VALUES (39659, '13/09/2020', '13', '9', '2020', '167', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '99.73846714');
INSERT INTO public.ecdc_import VALUES (39660, '12/09/2020', '12', '9', '2020', '181', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '101.4622429');
INSERT INTO public.ecdc_import VALUES (39661, '11/09/2020', '11', '9', '2020', '148', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '101.98338441');
INSERT INTO public.ecdc_import VALUES (39662, '10/09/2020', '10', '9', '2020', '180', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '107.31506291');
INSERT INTO public.ecdc_import VALUES (39663, '09/09/2020', '9', '9', '2020', '118', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '110.96305347');
INSERT INTO public.ecdc_import VALUES (39664, '08/09/2020', '8', '9', '2020', '125', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '111.44410717');
INSERT INTO public.ecdc_import VALUES (39665, '07/09/2020', '7', '9', '2020', '171', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '113.4885854');
INSERT INTO public.ecdc_import VALUES (39666, '06/09/2020', '6', '9', '2020', '191', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '119.30131761');
INSERT INTO public.ecdc_import VALUES (39667, '05/09/2020', '5', '9', '2020', '241', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '124.11185461');
INSERT INTO public.ecdc_import VALUES (39668, '04/09/2020', '4', '9', '2020', '238', '4', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '127.07835242');
INSERT INTO public.ecdc_import VALUES (39669, '03/09/2020', '3', '9', '2020', '152', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '127.4391427');
INSERT INTO public.ecdc_import VALUES (39670, '02/09/2020', '2', '9', '2020', '142', '6', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '129.40344531');
INSERT INTO public.ecdc_import VALUES (39671, '01/09/2020', '1', '9', '2020', '185', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '128.52151352');
INSERT INTO public.ecdc_import VALUES (39672, '31/08/2020', '31', '8', '2020', '249', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '128.72195256');
INSERT INTO public.ecdc_import VALUES (39673, '30/08/2020', '30', '8', '2020', '210', '4', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '128.64177695');
INSERT INTO public.ecdc_import VALUES (39674, '29/08/2020', '29', '8', '2020', '194', '5', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '127.47923051');
INSERT INTO public.ecdc_import VALUES (39675, '28/08/2020', '28', '8', '2020', '281', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '126.99817681');
INSERT INTO public.ecdc_import VALUES (39676, '27/08/2020', '27', '8', '2020', '271', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '121.26562021');
INSERT INTO public.ecdc_import VALUES (39677, '26/08/2020', '26', '8', '2020', '130', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '117.49736623');
INSERT INTO public.ecdc_import VALUES (39678, '25/08/2020', '25', '8', '2020', '176', '4', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '117.41719061');
INSERT INTO public.ecdc_import VALUES (39679, '24/08/2020', '24', '8', '2020', '316', '6', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '116.45508321');
INSERT INTO public.ecdc_import VALUES (39680, '23/08/2020', '23', '8', '2020', '311', '4', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '109.68024361');
INSERT INTO public.ecdc_import VALUES (39681, '22/08/2020', '22', '8', '2020', '315', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '97.21293521');
INSERT INTO public.ecdc_import VALUES (39682, '21/08/2020', '21', '8', '2020', '247', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '90.59844684');
INSERT INTO public.ecdc_import VALUES (39683, '20/08/2020', '20', '8', '2020', '201', '2', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '85.18659271');
INSERT INTO public.ecdc_import VALUES (39684, '19/08/2020', '19', '8', '2020', '120', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '79.93508982');
INSERT INTO public.ecdc_import VALUES (39685, '18/08/2020', '18', '8', '2020', '190', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '77.69017255');
INSERT INTO public.ecdc_import VALUES (39686, '17/08/2020', '17', '8', '2020', '247', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '74.5633235');
INSERT INTO public.ecdc_import VALUES (39687, '16/08/2020', '16', '8', '2020', '181', '4', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '67.46778143');
INSERT INTO public.ecdc_import VALUES (39688, '15/08/2020', '15', '8', '2020', '182', '4', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '64.02022991');
INSERT INTO public.ecdc_import VALUES (39689, '14/08/2020', '14', '8', '2020', '138', '5', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '59.81101004');
INSERT INTO public.ecdc_import VALUES (39690, '13/08/2020', '13', '8', '2020', '177', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '56.92468784');
INSERT INTO public.ecdc_import VALUES (39691, '12/08/2020', '12', '8', '2020', '128', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '52.59520454');
INSERT INTO public.ecdc_import VALUES (39692, '11/08/2020', '11', '8', '2020', '152', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '50.43046289');
INSERT INTO public.ecdc_import VALUES (39693, '10/08/2020', '10', '8', '2020', '147', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '47.06308699');
INSERT INTO public.ecdc_import VALUES (39694, '09/08/2020', '9', '8', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '44.69790629');
INSERT INTO public.ecdc_import VALUES (39695, '08/08/2020', '8', '8', '2020', '150', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '47.46396507');
INSERT INTO public.ecdc_import VALUES (39696, '07/08/2020', '7', '8', '2020', '112', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '45.29922342');
INSERT INTO public.ecdc_import VALUES (39697, '06/08/2020', '6', '8', '2020', '70', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '45.61992589');
INSERT INTO public.ecdc_import VALUES (39698, '05/08/2020', '5', '8', '2020', '64', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '44.2569404');
INSERT INTO public.ecdc_import VALUES (39699, '04/08/2020', '4', '8', '2020', '112', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '42.57325245');
INSERT INTO public.ecdc_import VALUES (39700, '03/08/2020', '3', '8', '2020', '70', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '41.97193533');
INSERT INTO public.ecdc_import VALUES (39701, '02/08/2020', '2', '8', '2020', '95', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '40.92965231');
INSERT INTO public.ecdc_import VALUES (39702, '01/08/2020', '1', '8', '2020', '77', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '42.13228656');
INSERT INTO public.ecdc_import VALUES (39703, '31/07/2020', '31', '7', '2020', '66', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '40.8895645');
INSERT INTO public.ecdc_import VALUES (39704, '30/07/2020', '30', '7', '2020', '69', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '41.13009135');
INSERT INTO public.ecdc_import VALUES (39705, '29/07/2020', '29', '7', '2020', '74', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '42.21246218');
INSERT INTO public.ecdc_import VALUES (39706, '28/07/2020', '28', '7', '2020', '68', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '39.36622779');
INSERT INTO public.ecdc_import VALUES (39707, '27/07/2020', '27', '7', '2020', '88', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '39.68693025');
INSERT INTO public.ecdc_import VALUES (39708, '26/07/2020', '26', '7', '2020', '69', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '40.84947669');
INSERT INTO public.ecdc_import VALUES (39709, '25/07/2020', '25', '7', '2020', '96', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '38.08341792');
INSERT INTO public.ecdc_import VALUES (39710, '24/07/2020', '24', '7', '2020', '120', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '36.35964216');
INSERT INTO public.ecdc_import VALUES (39711, '23/07/2020', '23', '7', '2020', '36', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '32.43103694');
INSERT INTO public.ecdc_import VALUES (39712, '22/07/2020', '22', '7', '2020', '22', '3', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.15261749');
INSERT INTO public.ecdc_import VALUES (39713, '21/07/2020', '21', '7', '2020', '97', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '34.43542736');
INSERT INTO public.ecdc_import VALUES (39714, '20/07/2020', '20', '7', '2020', '44', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.47331996');
INSERT INTO public.ecdc_import VALUES (39715, '19/07/2020', '19', '7', '2020', '125', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '33.1927053');
INSERT INTO public.ecdc_import VALUES (39716, '18/07/2020', '18', '7', '2020', '46', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.18392447');
INSERT INTO public.ecdc_import VALUES (39717, '17/07/2020', '17', '7', '2020', '72', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '29.62489036');
INSERT INTO public.ecdc_import VALUES (39718, '16/07/2020', '16', '7', '2020', '96', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '27.05927063');
INSERT INTO public.ecdc_import VALUES (39719, '15/07/2020', '15', '7', '2020', '3', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.49804131');
INSERT INTO public.ecdc_import VALUES (39720, '14/07/2020', '14', '7', '2020', '76', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '26.65839254');
INSERT INTO public.ecdc_import VALUES (39721, '13/07/2020', '13', '7', '2020', '117', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '24.13286062');
INSERT INTO public.ecdc_import VALUES (39722, '12/07/2020', '12', '7', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '21.92803116');
INSERT INTO public.ecdc_import VALUES (39723, '11/07/2020', '11', '7', '2020', '53', '1', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '21.92803116');
INSERT INTO public.ecdc_import VALUES (39724, '10/07/2020', '10', '7', '2020', '22', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '21.40688965');
INSERT INTO public.ecdc_import VALUES (39725, '09/07/2020', '9', '7', '2020', '54', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '20.72539691');
INSERT INTO public.ecdc_import VALUES (39726, '08/07/2020', '8', '7', '2020', '54', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '18.72100649');
INSERT INTO public.ecdc_import VALUES (39727, '07/07/2020', '7', '7', '2020', '73', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '16.91705512');
INSERT INTO public.ecdc_import VALUES (39728, '06/07/2020', '6', '7', '2020', '37', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '14.31134758');
INSERT INTO public.ecdc_import VALUES (39729, '05/07/2020', '5', '7', '2020', '25', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '13.18888894');
INSERT INTO public.ecdc_import VALUES (39730, '04/07/2020', '4', '7', '2020', '57', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '12.22678154');
INSERT INTO public.ecdc_import VALUES (39731, '03/07/2020', '3', '7', '2020', '8', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '10.18230332');
INSERT INTO public.ecdc_import VALUES (39732, '02/07/2020', '2', '7', '2020', '82', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '9.98186428');
INSERT INTO public.ecdc_import VALUES (39733, '01/07/2020', '1', '7', '2020', '7', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '6.77483961');
INSERT INTO public.ecdc_import VALUES (39734, '30/06/2020', '30', '6', '2020', '13', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '6.57440057');
INSERT INTO public.ecdc_import VALUES (39735, '29/06/2020', '29', '6', '2020', '62', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '6.05325906');
INSERT INTO public.ecdc_import VALUES (39736, '28/06/2020', '28', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '3.56781494');
INSERT INTO public.ecdc_import VALUES (39737, '27/06/2020', '27', '6', '2020', '40', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '3.60790275');
INSERT INTO public.ecdc_import VALUES (39738, '26/06/2020', '26', '6', '2020', '5', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '2.00439042');
INSERT INTO public.ecdc_import VALUES (39739, '25/06/2020', '25', '6', '2020', '4', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '1.80395138');
INSERT INTO public.ecdc_import VALUES (39740, '24/06/2020', '24', '6', '2020', '9', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '1.64360014');
INSERT INTO public.ecdc_import VALUES (39741, '23/06/2020', '23', '6', '2020', '8', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '1.28280987');
INSERT INTO public.ecdc_import VALUES (39742, '22/06/2020', '22', '6', '2020', '9', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '1.04228302');
INSERT INTO public.ecdc_import VALUES (39743, '21/06/2020', '21', '6', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.68149274');
INSERT INTO public.ecdc_import VALUES (39744, '20/06/2020', '20', '6', '2020', '6', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.80175617');
INSERT INTO public.ecdc_import VALUES (39745, '19/06/2020', '19', '6', '2020', '3', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.56122932');
INSERT INTO public.ecdc_import VALUES (39746, '18/06/2020', '18', '6', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.44096589');
INSERT INTO public.ecdc_import VALUES (39747, '17/06/2020', '17', '6', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39748, '16/06/2020', '16', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.28061466');
INSERT INTO public.ecdc_import VALUES (39749, '15/06/2020', '15', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39750, '14/06/2020', '14', '6', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39751, '13/06/2020', '13', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39752, '12/06/2020', '12', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39753, '11/06/2020', '11', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39754, '10/06/2020', '10', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.40087808');
INSERT INTO public.ecdc_import VALUES (39755, '09/06/2020', '9', '6', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.40087808');
INSERT INTO public.ecdc_import VALUES (39756, '08/06/2020', '8', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39757, '07/06/2020', '7', '6', '2020', '4', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39758, '06/06/2020', '6', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.24052685');
INSERT INTO public.ecdc_import VALUES (39759, '05/06/2020', '5', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.28061466');
INSERT INTO public.ecdc_import VALUES (39760, '04/06/2020', '4', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39761, '03/06/2020', '3', '6', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39762, '02/06/2020', '2', '6', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39763, '01/06/2020', '1', '6', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39764, '31/05/2020', '31', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.28061466');
INSERT INTO public.ecdc_import VALUES (39765, '30/05/2020', '30', '5', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.28061466');
INSERT INTO public.ecdc_import VALUES (39766, '29/05/2020', '29', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.24052685');
INSERT INTO public.ecdc_import VALUES (39767, '28/05/2020', '28', '5', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.24052685');
INSERT INTO public.ecdc_import VALUES (39768, '27/05/2020', '27', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.20043904');
INSERT INTO public.ecdc_import VALUES (39769, '26/05/2020', '26', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.20043904');
INSERT INTO public.ecdc_import VALUES (39770, '25/05/2020', '25', '5', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.20043904');
INSERT INTO public.ecdc_import VALUES (39771, '24/05/2020', '24', '5', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.16035123');
INSERT INTO public.ecdc_import VALUES (39772, '23/05/2020', '23', '5', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.12026343');
INSERT INTO public.ecdc_import VALUES (39773, '22/05/2020', '22', '5', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.08017562');
INSERT INTO public.ecdc_import VALUES (39774, '21/05/2020', '21', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39775, '20/05/2020', '20', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39776, '19/05/2020', '19', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39777, '18/05/2020', '18', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39778, '17/05/2020', '17', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39779, '16/05/2020', '16', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39780, '15/05/2020', '15', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39781, '14/05/2020', '14', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39782, '13/05/2020', '13', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39783, '12/05/2020', '12', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39784, '11/05/2020', '11', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39785, '10/05/2020', '10', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39786, '09/05/2020', '9', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39787, '08/05/2020', '8', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39788, '07/05/2020', '7', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39789, '06/05/2020', '6', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39790, '05/05/2020', '5', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39791, '04/05/2020', '4', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39792, '03/05/2020', '3', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39793, '02/05/2020', '2', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39794, '01/05/2020', '1', '5', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39795, '30/04/2020', '30', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39796, '29/04/2020', '29', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39797, '28/04/2020', '28', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39798, '27/04/2020', '27', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39799, '26/04/2020', '26', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39800, '25/04/2020', '25', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39801, '24/04/2020', '24', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39802, '23/04/2020', '23', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39803, '22/04/2020', '22', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39804, '21/04/2020', '21', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39805, '20/04/2020', '20', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (39806, '19/04/2020', '19', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.08017562');
INSERT INTO public.ecdc_import VALUES (39807, '18/04/2020', '18', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.08017562');
INSERT INTO public.ecdc_import VALUES (39808, '17/04/2020', '17', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.12026343');
INSERT INTO public.ecdc_import VALUES (39809, '16/04/2020', '16', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.12026343');
INSERT INTO public.ecdc_import VALUES (39810, '15/04/2020', '15', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.20043904');
INSERT INTO public.ecdc_import VALUES (39811, '14/04/2020', '14', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.20043904');
INSERT INTO public.ecdc_import VALUES (39812, '13/04/2020', '13', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.20043904');
INSERT INTO public.ecdc_import VALUES (39813, '12/04/2020', '12', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39814, '11/04/2020', '11', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39815, '10/04/2020', '10', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39816, '09/04/2020', '9', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.4810537');
INSERT INTO public.ecdc_import VALUES (39817, '08/04/2020', '8', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.52114151');
INSERT INTO public.ecdc_import VALUES (39818, '07/04/2020', '7', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.52114151');
INSERT INTO public.ecdc_import VALUES (39819, '06/04/2020', '6', '4', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.52114151');
INSERT INTO public.ecdc_import VALUES (39820, '05/04/2020', '5', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.44096589');
INSERT INTO public.ecdc_import VALUES (39821, '04/04/2020', '4', '4', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.44096589');
INSERT INTO public.ecdc_import VALUES (39822, '03/04/2020', '3', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.44096589');
INSERT INTO public.ecdc_import VALUES (39823, '02/04/2020', '2', '4', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.44096589');
INSERT INTO public.ecdc_import VALUES (39824, '01/04/2020', '1', '4', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39825, '31/03/2020', '31', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39826, '30/03/2020', '30', '3', '2020', '3', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.36079028');
INSERT INTO public.ecdc_import VALUES (39827, '29/03/2020', '29', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.24052685');
INSERT INTO public.ecdc_import VALUES (39828, '28/03/2020', '28', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '0.32070247');
INSERT INTO public.ecdc_import VALUES (39829, '27/03/2020', '27', '3', '2020', '4', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39830, '26/03/2020', '26', '3', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39831, '25/03/2020', '25', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39832, '24/03/2020', '24', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39833, '23/03/2020', '23', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39834, '22/03/2020', '22', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39835, '21/03/2020', '21', '3', '2020', '1', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39836, '20/03/2020', '20', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39837, '19/03/2020', '19', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39838, '18/03/2020', '18', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39839, '17/03/2020', '17', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39840, '16/03/2020', '16', '3', '2020', '0', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39841, '15/03/2020', '15', '3', '2020', '2', '0', '2494524', 'Namibia', 'NA', 'NAM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (39842, '14/12/2020', '14', '12', '2020', '830', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '57.48248392');
INSERT INTO public.ecdc_import VALUES (39843, '13/12/2020', '13', '12', '2020', '899', '15', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '58.96804523');
INSERT INTO public.ecdc_import VALUES (39844, '12/12/2020', '12', '12', '2020', '1044', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '60.64935108');
INSERT INTO public.ecdc_import VALUES (39845, '11/12/2020', '11', '12', '2020', '1217', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '62.95284496');
INSERT INTO public.ecdc_import VALUES (39846, '10/12/2020', '10', '12', '2020', '1056', '14', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '64.34053399');
INSERT INTO public.ecdc_import VALUES (39847, '09/12/2020', '9', '12', '2020', '1382', '23', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '67.45846502');
INSERT INTO public.ecdc_import VALUES (39848, '08/12/2020', '8', '12', '2020', '1014', '20', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '68.88460387');
INSERT INTO public.ecdc_import VALUES (39849, '07/12/2020', '7', '12', '2020', '1096', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '72.26119733');
INSERT INTO public.ecdc_import VALUES (39850, '06/12/2020', '6', '12', '2020', '1024', '10', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '74.26408351');
INSERT INTO public.ecdc_import VALUES (39851, '05/12/2020', '5', '12', '2020', '1272', '16', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '76.53611845');
INSERT INTO public.ecdc_import VALUES (39852, '04/12/2020', '4', '12', '2020', '1343', '13', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '78.88854847');
INSERT INTO public.ecdc_import VALUES (39853, '03/12/2020', '3', '12', '2020', '2794', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '81.54508163');
INSERT INTO public.ecdc_import VALUES (39854, '02/12/2020', '2', '12', '2020', '0', '21', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '76.81924896');
INSERT INTO public.ecdc_import VALUES (39855, '01/12/2020', '1', '12', '2020', '1474', '29', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '78.57395902');
INSERT INTO public.ecdc_import VALUES (39856, '30/11/2020', '30', '11', '2020', '1255', '25', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '77.60572259');
INSERT INTO public.ecdc_import VALUES (39857, '29/11/2020', '29', '11', '2020', '1380', '19', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '78.38170991');
INSERT INTO public.ecdc_import VALUES (39858, '28/11/2020', '28', '11', '2020', '1703', '23', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '80.36012802');
INSERT INTO public.ecdc_import VALUES (39859, '27/11/2020', '27', '11', '2020', '1614', '23', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '81.78626688');
INSERT INTO public.ecdc_import VALUES (39860, '26/11/2020', '26', '11', '2020', '1948', '28', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '82.83140295');
INSERT INTO public.ecdc_import VALUES (39861, '25/11/2020', '25', '11', '2020', '1790', '24', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '85.00207017');
INSERT INTO public.ecdc_import VALUES (39862, '24/11/2020', '24', '11', '2020', '1980', '16', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '88.30875487');
INSERT INTO public.ecdc_import VALUES (39863, '23/11/2020', '23', '11', '2020', '1669', '16', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '90.37455894');
INSERT INTO public.ecdc_import VALUES (39864, '22/11/2020', '22', '11', '2020', '1674', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '94.38732218');
INSERT INTO public.ecdc_import VALUES (39865, '21/11/2020', '21', '11', '2020', '1945', '22', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '98.15890018');
INSERT INTO public.ecdc_import VALUES (39866, '20/11/2020', '20', '11', '2020', '2103', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '101.52850277');
INSERT INTO public.ecdc_import VALUES (39867, '19/11/2020', '19', '11', '2020', '1442', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '104.84217834');
INSERT INTO public.ecdc_import VALUES (39868, '18/11/2020', '18', '11', '2020', '502', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '111.36816176');
INSERT INTO public.ecdc_import VALUES (39869, '17/11/2020', '17', '11', '2020', '1197', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '120.49824678');
INSERT INTO public.ecdc_import VALUES (39870, '16/11/2020', '16', '11', '2020', '1477', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '126.56632778');
INSERT INTO public.ecdc_import VALUES (39871, '15/11/2020', '15', '11', '2020', '1946', '13', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '131.27468326');
INSERT INTO public.ecdc_import VALUES (39872, '14/11/2020', '14', '11', '2020', '2111', '13', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '133.23911962');
INSERT INTO public.ecdc_import VALUES (39873, '13/11/2020', '13', '11', '2020', '1913', '15', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '138.15370596');
INSERT INTO public.ecdc_import VALUES (39874, '12/11/2020', '12', '11', '2020', '2569', '26', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '139.73014866');
INSERT INTO public.ecdc_import VALUES (39875, '11/11/2020', '11', '11', '2020', '2736', '22', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '137.58045407');
INSERT INTO public.ecdc_import VALUES (39876, '10/11/2020', '10', '11', '2020', '2571', '18', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '130.00933457');
INSERT INTO public.ecdc_import VALUES (39877, '09/11/2020', '9', '11', '2020', '2817', '21', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '127.10812072');
INSERT INTO public.ecdc_import VALUES (39878, '08/11/2020', '8', '11', '2020', '2753', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '127.24444282');
INSERT INTO public.ecdc_import VALUES (39879, '07/11/2020', '7', '11', '2020', '2909', '18', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '125.39885136');
INSERT INTO public.ecdc_import VALUES (39880, '06/11/2020', '6', '11', '2020', '3051', '18', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '130.95659837');
INSERT INTO public.ecdc_import VALUES (39881, '05/11/2020', '5', '11', '2020', '3309', '30', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '133.00492525');
INSERT INTO public.ecdc_import VALUES (39882, '04/11/2020', '4', '11', '2020', '3114', '20', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '141.51282223');
INSERT INTO public.ecdc_import VALUES (39883, '03/11/2020', '3', '11', '2020', '2933', '24', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '141.43941802');
INSERT INTO public.ecdc_import VALUES (39884, '02/11/2020', '2', '11', '2020', '2824', '23', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '144.4350087');
INSERT INTO public.ecdc_import VALUES (39885, '01/11/2020', '1', '11', '2020', '2508', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '144.84747043');
INSERT INTO public.ecdc_import VALUES (39886, '31/10/2020', '31', '10', '2020', '3517', '16', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '147.15096431');
INSERT INTO public.ecdc_import VALUES (39887, '30/10/2020', '30', '10', '2020', '2364', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '150.20947288');
INSERT INTO public.ecdc_import VALUES (39888, '29/10/2020', '29', '10', '2020', '1954', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '155.05065502');
INSERT INTO public.ecdc_import VALUES (39889, '28/10/2020', '28', '10', '2020', '570', '14', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '157.44153486');
INSERT INTO public.ecdc_import VALUES (39890, '27/10/2020', '27', '10', '2020', '1741', '15', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '167.87891382');
INSERT INTO public.ecdc_import VALUES (39891, '26/10/2020', '26', '10', '2020', '2856', '5', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '175.93939469');
INSERT INTO public.ecdc_import VALUES (39892, '25/10/2020', '25', '10', '2020', '2225', '13', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '173.19547557');
INSERT INTO public.ecdc_import VALUES (39893, '24/10/2020', '24', '10', '2020', '4499', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '182.92328055');
INSERT INTO public.ecdc_import VALUES (39894, '23/10/2020', '23', '10', '2020', '3637', '21', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '174.39441093');
INSERT INTO public.ecdc_import VALUES (39895, '22/10/2020', '22', '10', '2020', '5743', '26', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '176.93559463');
INSERT INTO public.ecdc_import VALUES (39896, '21/10/2020', '21', '10', '2020', '3093', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '168.88210463');
INSERT INTO public.ecdc_import VALUES (39897, '20/10/2020', '20', '10', '2020', '3790', '18', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '163.49213867');
INSERT INTO public.ecdc_import VALUES (39898, '19/10/2020', '19', '10', '2020', '2942', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '158.77329688');
INSERT INTO public.ecdc_import VALUES (39899, '18/10/2020', '18', '10', '2020', '3167', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '156.36493984');
INSERT INTO public.ecdc_import VALUES (39900, '17/10/2020', '17', '10', '2020', '4392', '21', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '152.70521588');
INSERT INTO public.ecdc_import VALUES (39901, '16/10/2020', '16', '10', '2020', '3749', '19', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '146.86783381');
INSERT INTO public.ecdc_import VALUES (39902, '15/10/2020', '15', '10', '2020', '2638', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '140.44321809');
INSERT INTO public.ecdc_import VALUES (39903, '14/10/2020', '14', '10', '2020', '3556', '18', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '136.67164009');
INSERT INTO public.ecdc_import VALUES (39904, '13/10/2020', '13', '10', '2020', '4047', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '129.53045951');
INSERT INTO public.ecdc_import VALUES (39905, '12/10/2020', '12', '10', '2020', '2071', '22', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '120.10675768');
INSERT INTO public.ecdc_import VALUES (39906, '11/10/2020', '11', '10', '2020', '5008', '14', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '118.36602937');
INSERT INTO public.ecdc_import VALUES (39907, '10/10/2020', '10', '10', '2020', '2059', '10', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '105.07986815');
INSERT INTO public.ecdc_import VALUES (39908, '09/10/2020', '9', '10', '2020', '4364', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '102.47227112');
INSERT INTO public.ecdc_import VALUES (39909, '08/10/2020', '8', '10', '2020', '3439', '15', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '92.45084933');
INSERT INTO public.ecdc_import VALUES (39910, '07/10/2020', '7', '10', '2020', '1551', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '84.52669056');
INSERT INTO public.ecdc_import VALUES (39911, '06/10/2020', '6', '10', '2020', '2440', '19', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '83.84508007');
INSERT INTO public.ecdc_import VALUES (39912, '05/10/2020', '5', '10', '2020', '2253', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '79.34994634');
INSERT INTO public.ecdc_import VALUES (39913, '04/10/2020', '4', '10', '2020', '2120', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '76.10617953');
INSERT INTO public.ecdc_import VALUES (39914, '03/10/2020', '3', '10', '2020', '2722', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '72.90435799');
INSERT INTO public.ecdc_import VALUES (39915, '02/10/2020', '2', '10', '2020', '1911', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '70.45056026');
INSERT INTO public.ecdc_import VALUES (39916, '01/10/2020', '1', '10', '2020', '1559', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '68.12609374');
INSERT INTO public.ecdc_import VALUES (39917, '30/09/2020', '30', '9', '2020', '1513', '10', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '68.05618498');
INSERT INTO public.ecdc_import VALUES (39918, '29/09/2020', '29', '9', '2020', '1351', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '67.86743131');
INSERT INTO public.ecdc_import VALUES (39919, '28/09/2020', '28', '9', '2020', '1573', '10', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '67.23475696');
INSERT INTO public.ecdc_import VALUES (39920, '27/09/2020', '27', '9', '2020', '1207', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '65.36819287');
INSERT INTO public.ecdc_import VALUES (39921, '26/09/2020', '26', '9', '2020', '1313', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '65.34722024');
INSERT INTO public.ecdc_import VALUES (39922, '25/09/2020', '25', '9', '2020', '1497', '17', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '65.84007705');
INSERT INTO public.ecdc_import VALUES (39923, '24/09/2020', '24', '9', '2020', '1172', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '64.96272202');
INSERT INTO public.ecdc_import VALUES (39924, '23/09/2020', '23', '9', '2020', '1356', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '64.64463713');
INSERT INTO public.ecdc_import VALUES (39925, '22/09/2020', '22', '9', '2020', '1154', '16', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '63.05770811');
INSERT INTO public.ecdc_import VALUES (39926, '21/09/2020', '21', '9', '2020', '1325', '10', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '62.4460064');
INSERT INTO public.ecdc_import VALUES (39927, '20/09/2020', '20', '9', '2020', '1204', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '61.24008016');
INSERT INTO public.ecdc_import VALUES (39928, '19/09/2020', '19', '9', '2020', '2020', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '60.67032371');
INSERT INTO public.ecdc_import VALUES (39929, '18/09/2020', '18', '9', '2020', '1246', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '58.35983895');
INSERT INTO public.ecdc_import VALUES (39930, '17/09/2020', '17', '9', '2020', '1539', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '58.29692106');
INSERT INTO public.ecdc_import VALUES (39931, '16/09/2020', '16', '9', '2020', '1459', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '56.83233239');
INSERT INTO public.ecdc_import VALUES (39932, '15/09/2020', '15', '9', '2020', '1170', '15', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '55.46911142');
INSERT INTO public.ecdc_import VALUES (39933, '14/09/2020', '14', '9', '2020', '1039', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '54.52184763');
INSERT INTO public.ecdc_import VALUES (39934, '13/09/2020', '13', '9', '2020', '1201', '14', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '55.15801741');
INSERT INTO public.ecdc_import VALUES (39935, '12/09/2020', '12', '9', '2020', '1454', '5', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '54.04996345');
INSERT INTO public.ecdc_import VALUES (39936, '11/09/2020', '11', '9', '2020', '1246', '5', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '52.20786743');
INSERT INTO public.ecdc_import VALUES (39937, '10/09/2020', '10', '9', '2020', '1081', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '51.73598325');
INSERT INTO public.ecdc_import VALUES (39938, '09/09/2020', '9', '9', '2020', '902', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '51.05087733');
INSERT INTO public.ecdc_import VALUES (39939, '08/09/2020', '8', '9', '2020', '979', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '50.88659173');
INSERT INTO public.ecdc_import VALUES (39940, '07/09/2020', '7', '9', '2020', '980', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '50.06166827');
INSERT INTO public.ecdc_import VALUES (39941, '06/09/2020', '6', '9', '2020', '1041', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '49.49540726');
INSERT INTO public.ecdc_import VALUES (39942, '05/09/2020', '5', '9', '2020', '1359', '14', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '48.07276384');
INSERT INTO public.ecdc_import VALUES (39943, '04/09/2020', '4', '9', '2020', '1228', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '46.25164045');
INSERT INTO public.ecdc_import VALUES (39944, '03/09/2020', '3', '9', '2020', '1120', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '44.43051706');
INSERT INTO public.ecdc_import VALUES (39945, '02/09/2020', '2', '9', '2020', '1069', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '42.89601962');
INSERT INTO public.ecdc_import VALUES (39946, '01/09/2020', '1', '9', '2020', '899', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '42.71076139');
INSERT INTO public.ecdc_import VALUES (39947, '31/08/2020', '31', '8', '2020', '1221', '14', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '41.59921199');
INSERT INTO public.ecdc_import VALUES (39948, '30/08/2020', '30', '8', '2020', '884', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '39.57185774');
INSERT INTO public.ecdc_import VALUES (39949, '29/08/2020', '29', '8', '2020', '927', '12', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '38.11775538');
INSERT INTO public.ecdc_import VALUES (39950, '28/08/2020', '28', '8', '2020', '1111', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '36.9537744');
INSERT INTO public.ecdc_import VALUES (39951, '27/08/2020', '27', '8', '2020', '885', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '34.90544752');
INSERT INTO public.ecdc_import VALUES (39952, '26/08/2020', '26', '8', '2020', '855', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '33.50377673');
INSERT INTO public.ecdc_import VALUES (39953, '25/08/2020', '25', '8', '2020', '743', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '32.74526661');
INSERT INTO public.ecdc_import VALUES (39954, '24/08/2020', '24', '8', '2020', '818', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '31.32961407');
INSERT INTO public.ecdc_import VALUES (39955, '23/08/2020', '23', '8', '2020', '634', '9', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '29.79861207');
INSERT INTO public.ecdc_import VALUES (39956, '22/08/2020', '22', '8', '2020', '838', '11', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '28.90377984');
INSERT INTO public.ecdc_import VALUES (39957, '21/08/2020', '21', '8', '2020', '707', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '27.5964859');
INSERT INTO public.ecdc_import VALUES (39958, '20/08/2020', '20', '8', '2020', '681', '6', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '26.38356878');
INSERT INTO public.ecdc_import VALUES (39959, '19/08/2020', '19', '8', '2020', '1016', '7', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '25.33493727');
INSERT INTO public.ecdc_import VALUES (39960, '18/08/2020', '18', '8', '2020', '581', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '22.68889043');
INSERT INTO public.ecdc_import VALUES (39961, '17/08/2020', '17', '8', '2020', '641', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '22.11913398');
INSERT INTO public.ecdc_import VALUES (39962, '16/08/2020', '16', '8', '2020', '468', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '20.73843582');
INSERT INTO public.ecdc_import VALUES (39963, '15/08/2020', '15', '8', '2020', '594', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '20.20363375');
INSERT INTO public.ecdc_import VALUES (39964, '14/08/2020', '14', '8', '2020', '525', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '18.91032156');
INSERT INTO public.ecdc_import VALUES (39965, '13/08/2020', '13', '8', '2020', '484', '8', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '18.03296653');
INSERT INTO public.ecdc_import VALUES (39966, '12/08/2020', '12', '8', '2020', '638', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '17.07521642');
INSERT INTO public.ecdc_import VALUES (39967, '11/08/2020', '11', '8', '2020', '338', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '15.93220807');
INSERT INTO public.ecdc_import VALUES (39968, '10/08/2020', '10', '8', '2020', '380', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '15.23661584');
INSERT INTO public.ecdc_import VALUES (39969, '09/08/2020', '9', '8', '2020', '378', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '14.36275624');
INSERT INTO public.ecdc_import VALUES (39970, '08/08/2020', '8', '8', '2020', '464', '5', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '13.42248332');
INSERT INTO public.ecdc_import VALUES (39971, '07/08/2020', '7', '8', '2020', '360', '5', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '12.26549322');
INSERT INTO public.ecdc_import VALUES (39972, '06/08/2020', '6', '8', '2020', '381', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '11.52096485');
INSERT INTO public.ecdc_import VALUES (39973, '05/08/2020', '5', '8', '2020', '259', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '10.71351859');
INSERT INTO public.ecdc_import VALUES (39974, '04/08/2020', '4', '8', '2020', '418', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '10.15774389');
INSERT INTO public.ecdc_import VALUES (39975, '03/08/2020', '3', '8', '2020', '246', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '9.34680219');
INSERT INTO public.ecdc_import VALUES (39976, '02/08/2020', '2', '8', '2020', '315', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '9.03221274');
INSERT INTO public.ecdc_import VALUES (39977, '01/08/2020', '1', '8', '2020', '224', '4', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '8.13038964');
INSERT INTO public.ecdc_import VALUES (39978, '31/07/2020', '31', '7', '2020', '274', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '7.70045072');
INSERT INTO public.ecdc_import VALUES (39979, '30/07/2020', '30', '7', '2020', '210', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '7.32643881');
INSERT INTO public.ecdc_import VALUES (39980, '29/07/2020', '29', '7', '2020', '311', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.99786761');
INSERT INTO public.ecdc_import VALUES (39981, '28/07/2020', '28', '7', '2020', '139', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.31625713');
INSERT INTO public.ecdc_import VALUES (39982, '27/07/2020', '27', '7', '2020', '130', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.33373432');
INSERT INTO public.ecdc_import VALUES (39983, '26/07/2020', '26', '7', '2020', '109', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.16595328');
INSERT INTO public.ecdc_import VALUES (39984, '25/07/2020', '25', '7', '2020', '133', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.02963118');
INSERT INTO public.ecdc_import VALUES (39985, '24/07/2020', '24', '7', '2020', '147', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '5.97719961');
INSERT INTO public.ecdc_import VALUES (39986, '23/07/2020', '23', '7', '2020', '150', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '5.84087751');
INSERT INTO public.ecdc_import VALUES (39987, '22/07/2020', '22', '7', '2020', '100', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.92096796');
INSERT INTO public.ecdc_import VALUES (39988, '21/07/2020', '21', '7', '2020', '186', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.57142413');
INSERT INTO public.ecdc_import VALUES (39989, '20/07/2020', '20', '7', '2020', '156', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.5504515');
INSERT INTO public.ecdc_import VALUES (39990, '19/07/2020', '19', '7', '2020', '57', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '7.02932655');
INSERT INTO public.ecdc_import VALUES (39991, '18/07/2020', '18', '7', '2020', '101', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '7.64102827');
INSERT INTO public.ecdc_import VALUES (39992, '17/07/2020', '17', '7', '2020', '167', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '9.87461338');
INSERT INTO public.ecdc_import VALUES (39993, '16/07/2020', '16', '7', '2020', '116', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '10.94421752');
INSERT INTO public.ecdc_import VALUES (39994, '15/07/2020', '15', '7', '2020', '116', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '12.22354796');
INSERT INTO public.ecdc_import VALUES (39995, '14/07/2020', '14', '7', '2020', '144', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '12.92263564');
INSERT INTO public.ecdc_import VALUES (39996, '13/07/2020', '13', '7', '2020', '82', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '14.08312117');
INSERT INTO public.ecdc_import VALUES (39997, '12/07/2020', '12', '7', '2020', '70', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '17.35135605');
INSERT INTO public.ecdc_import VALUES (39998, '11/07/2020', '11', '7', '2020', '118', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '17.10667536');
INSERT INTO public.ecdc_import VALUES (39999, '10/07/2020', '10', '7', '2020', '108', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '18.76700858');
INSERT INTO public.ecdc_import VALUES (40000, '09/07/2020', '9', '7', '2020', '459', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '19.90652149');
INSERT INTO public.ecdc_import VALUES (40001, '08/07/2020', '8', '7', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.25135138');
INSERT INTO public.ecdc_import VALUES (40002, '07/07/2020', '7', '7', '2020', '180', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.25135138');
INSERT INTO public.ecdc_import VALUES (40003, '06/07/2020', '6', '7', '2020', '293', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '23.62217247');
INSERT INTO public.ecdc_import VALUES (40004, '05/07/2020', '5', '7', '2020', '232', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.06958859');
INSERT INTO public.ecdc_import VALUES (40005, '04/07/2020', '4', '7', '2020', '740', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.41563698');
INSERT INTO public.ecdc_import VALUES (40006, '03/07/2020', '3', '7', '2020', '473', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '23.31806934');
INSERT INTO public.ecdc_import VALUES (40007, '02/07/2020', '2', '7', '2020', '482', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.01016613');
INSERT INTO public.ecdc_import VALUES (40008, '01/07/2020', '1', '7', '2020', '316', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.37369172');
INSERT INTO public.ecdc_import VALUES (40009, '30/06/2020', '30', '6', '2020', '476', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.59739978');
INSERT INTO public.ecdc_import VALUES (40010, '29/06/2020', '29', '6', '2020', '1017', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '24.51001382');
INSERT INTO public.ecdc_import VALUES (40011, '28/06/2020', '28', '6', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '22.44071431');
INSERT INTO public.ecdc_import VALUES (40012, '27/06/2020', '27', '6', '2020', '593', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '23.39496898');
INSERT INTO public.ecdc_import VALUES (40013, '26/06/2020', '26', '6', '2020', '434', '3', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '22.88813042');
INSERT INTO public.ecdc_import VALUES (40014, '25/06/2020', '25', '6', '2020', '1702', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '22.24496976');
INSERT INTO public.ecdc_import VALUES (40015, '24/06/2020', '24', '6', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '17.27096096');
INSERT INTO public.ecdc_import VALUES (40016, '23/06/2020', '23', '6', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '18.39998756');
INSERT INTO public.ecdc_import VALUES (40017, '22/06/2020', '22', '6', '2020', '421', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '19.4975552');
INSERT INTO public.ecdc_import VALUES (40018, '21/06/2020', '21', '6', '2020', '331', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '19.89953062');
INSERT INTO public.ecdc_import VALUES (40019, '20/06/2020', '20', '6', '2020', '426', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '18.74254052');
INSERT INTO public.ecdc_import VALUES (40020, '19/06/2020', '19', '6', '2020', '671', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '18.22521564');
INSERT INTO public.ecdc_import VALUES (40021, '18/06/2020', '18', '6', '2020', '586', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '17.04725291');
INSERT INTO public.ecdc_import VALUES (40022, '17/06/2020', '17', '6', '2020', '380', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '15.70150914');
INSERT INTO public.ecdc_import VALUES (40023, '16/06/2020', '16', '6', '2020', '451', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '15.42536951');
INSERT INTO public.ecdc_import VALUES (40024, '15/06/2020', '15', '6', '2020', '425', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '14.63889587');
INSERT INTO public.ecdc_import VALUES (40025, '14/06/2020', '14', '6', '2020', '273', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '13.75105453');
INSERT INTO public.ecdc_import VALUES (40026, '13/06/2020', '13', '6', '2020', '448', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '13.45743771');
INSERT INTO public.ecdc_import VALUES (40027, '12/06/2020', '12', '6', '2020', '250', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '12.48570584');
INSERT INTO public.ecdc_import VALUES (40028, '11/06/2020', '11', '6', '2020', '279', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '12.15713464');
INSERT INTO public.ecdc_import VALUES (40029, '10/06/2020', '10', '6', '2020', '323', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '11.58038731');
INSERT INTO public.ecdc_import VALUES (40030, '09/06/2020', '9', '6', '2020', '314', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '10.76595017');
INSERT INTO public.ecdc_import VALUES (40031, '08/06/2020', '8', '6', '2020', '536', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '9.94452215');
INSERT INTO public.ecdc_import VALUES (40032, '07/06/2020', '7', '6', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '8.13738051');
INSERT INTO public.ecdc_import VALUES (40033, '06/06/2020', '6', '6', '2020', '278', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '8.2632163');
INSERT INTO public.ecdc_import VALUES (40034, '05/06/2020', '5', '6', '2020', '334', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '7.50470617');
INSERT INTO public.ecdc_import VALUES (40035, '04/06/2020', '4', '6', '2020', '201', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '6.48753361');
INSERT INTO public.ecdc_import VALUES (40036, '03/06/2020', '3', '6', '2020', '301', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '5.93175891');
INSERT INTO public.ecdc_import VALUES (40037, '02/06/2020', '2', '6', '2020', '226', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '4.97400879');
INSERT INTO public.ecdc_import VALUES (40038, '01/06/2020', '1', '6', '2020', '171', '2', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '4.43221585');
INSERT INTO public.ecdc_import VALUES (40039, '31/05/2020', '31', '5', '2020', '189', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '3.87993659');
INSERT INTO public.ecdc_import VALUES (40040, '30/05/2020', '30', '5', '2020', '170', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '3.27173031');
INSERT INTO public.ecdc_import VALUES (40041, '29/05/2020', '29', '5', '2020', '156', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '2.74042368');
INSERT INTO public.ecdc_import VALUES (40042, '28/05/2020', '28', '5', '2020', '114', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '2.33145739');
INSERT INTO public.ecdc_import VALUES (40043, '27/05/2020', '27', '5', '2020', '90', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.93996829');
INSERT INTO public.ecdc_import VALUES (40044, '26/05/2020', '26', '5', '2020', '79', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.91550022');
INSERT INTO public.ecdc_import VALUES (40045, '25/05/2020', '25', '5', '2020', '19', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.68829673');
INSERT INTO public.ecdc_import VALUES (40046, '24/05/2020', '24', '5', '2020', '36', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.66033322');
INSERT INTO public.ecdc_import VALUES (40047, '23/05/2020', '23', '5', '2020', '61', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.56246095');
INSERT INTO public.ecdc_import VALUES (40048, '22/05/2020', '22', '5', '2020', '43', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.34923921');
INSERT INTO public.ecdc_import VALUES (40049, '21/05/2020', '21', '5', '2020', '42', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.20592624');
INSERT INTO public.ecdc_import VALUES (40050, '20/05/2020', '20', '5', '2020', '27', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.11854028');
INSERT INTO public.ecdc_import VALUES (40051, '19/05/2020', '19', '5', '2020', '71', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '1.02416344');
INSERT INTO public.ecdc_import VALUES (40052, '18/05/2020', '18', '5', '2020', '13', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.80045539');
INSERT INTO public.ecdc_import VALUES (40053, '17/05/2020', '17', '5', '2020', '15', '1', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.8109417');
INSERT INTO public.ecdc_import VALUES (40054, '16/05/2020', '16', '5', '2020', '18', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.75851013');
INSERT INTO public.ecdc_import VALUES (40055, '15/05/2020', '15', '5', '2020', '39', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.70258311');
INSERT INTO public.ecdc_import VALUES (40056, '14/05/2020', '14', '5', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.56626102');
INSERT INTO public.ecdc_import VALUES (40057, '13/05/2020', '13', '5', '2020', '83', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.56975645');
INSERT INTO public.ecdc_import VALUES (40058, '12/05/2020', '12', '5', '2020', '14', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.28662595');
INSERT INTO public.ecdc_import VALUES (40059, '11/05/2020', '11', '5', '2020', '11', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.23768981');
INSERT INTO public.ecdc_import VALUES (40060, '10/05/2020', '10', '5', '2020', '8', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.2097263');
INSERT INTO public.ecdc_import VALUES (40061, '09/05/2020', '9', '5', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.1817628');
INSERT INTO public.ecdc_import VALUES (40062, '08/05/2020', '8', '5', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.18525823');
INSERT INTO public.ecdc_import VALUES (40063, '07/05/2020', '7', '5', '2020', '17', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.18875367');
INSERT INTO public.ecdc_import VALUES (40064, '06/05/2020', '6', '5', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.13981753');
INSERT INTO public.ecdc_import VALUES (40065, '05/05/2020', '5', '5', '2020', '7', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.17826736');
INSERT INTO public.ecdc_import VALUES (40066, '04/05/2020', '4', '5', '2020', '16', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.15379929');
INSERT INTO public.ecdc_import VALUES (40067, '03/05/2020', '3', '5', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.09787227');
INSERT INTO public.ecdc_import VALUES (40068, '02/05/2020', '2', '5', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.10136771');
INSERT INTO public.ecdc_import VALUES (40069, '01/05/2020', '1', '5', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.14331297');
INSERT INTO public.ecdc_import VALUES (40070, '30/04/2020', '30', '4', '2020', '3', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.14331297');
INSERT INTO public.ecdc_import VALUES (40071, '29/04/2020', '29', '4', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.13282666');
INSERT INTO public.ecdc_import VALUES (40072, '28/04/2020', '28', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.13282666');
INSERT INTO public.ecdc_import VALUES (40073, '27/04/2020', '27', '4', '2020', '3', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.13981753');
INSERT INTO public.ecdc_import VALUES (40074, '26/04/2020', '26', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.13981753');
INSERT INTO public.ecdc_import VALUES (40075, '25/04/2020', '25', '4', '2020', '1', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.13981753');
INSERT INTO public.ecdc_import VALUES (40076, '24/04/2020', '24', '4', '2020', '3', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.1363221');
INSERT INTO public.ecdc_import VALUES (40077, '23/04/2020', '23', '4', '2020', '3', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.12583578');
INSERT INTO public.ecdc_import VALUES (40078, '22/04/2020', '22', '4', '2020', '11', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.11534947');
INSERT INTO public.ecdc_import VALUES (40079, '21/04/2020', '21', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.07689964');
INSERT INTO public.ecdc_import VALUES (40080, '20/04/2020', '20', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.07689964');
INSERT INTO public.ecdc_import VALUES (40081, '19/04/2020', '19', '4', '2020', '1', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.08738596');
INSERT INTO public.ecdc_import VALUES (40082, '18/04/2020', '18', '4', '2020', '14', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.08389052');
INSERT INTO public.ecdc_import VALUES (40083, '17/04/2020', '17', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.03844982');
INSERT INTO public.ecdc_import VALUES (40084, '16/04/2020', '16', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.03844982');
INSERT INTO public.ecdc_import VALUES (40085, '15/04/2020', '15', '4', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.03844982');
INSERT INTO public.ecdc_import VALUES (40086, '14/04/2020', '14', '4', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.03145895');
INSERT INTO public.ecdc_import VALUES (40087, '13/04/2020', '13', '4', '2020', '3', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02446807');
INSERT INTO public.ecdc_import VALUES (40088, '12/04/2020', '12', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40089, '11/04/2020', '11', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02097263');
INSERT INTO public.ecdc_import VALUES (40090, '10/04/2020', '10', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02097263');
INSERT INTO public.ecdc_import VALUES (40091, '09/04/2020', '9', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02097263');
INSERT INTO public.ecdc_import VALUES (40092, '08/04/2020', '8', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02097263');
INSERT INTO public.ecdc_import VALUES (40093, '07/04/2020', '7', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02446807');
INSERT INTO public.ecdc_import VALUES (40094, '06/04/2020', '6', '4', '2020', '3', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.02796351');
INSERT INTO public.ecdc_import VALUES (40095, '05/04/2020', '5', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01747719');
INSERT INTO public.ecdc_import VALUES (40096, '04/04/2020', '4', '4', '2020', '1', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01747719');
INSERT INTO public.ecdc_import VALUES (40097, '03/04/2020', '3', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40098, '02/04/2020', '2', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40099, '01/04/2020', '1', '4', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40100, '31/03/2020', '31', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40101, '30/03/2020', '30', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40102, '29/03/2020', '29', '3', '2020', '2', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.01398175');
INSERT INTO public.ecdc_import VALUES (40103, '28/03/2020', '28', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00699088');
INSERT INTO public.ecdc_import VALUES (40104, '27/03/2020', '27', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00699088');
INSERT INTO public.ecdc_import VALUES (40105, '26/03/2020', '26', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00699088');
INSERT INTO public.ecdc_import VALUES (40106, '25/03/2020', '25', '3', '2020', '1', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00699088');
INSERT INTO public.ecdc_import VALUES (40107, '24/03/2020', '24', '3', '2020', '1', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40108, '23/03/2020', '23', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40109, '22/03/2020', '22', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40110, '21/03/2020', '21', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40111, '20/03/2020', '20', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40112, '19/03/2020', '19', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40113, '18/03/2020', '18', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40114, '17/03/2020', '17', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40115, '15/03/2020', '15', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40116, '02/03/2020', '2', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40117, '01/03/2020', '1', '3', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40118, '29/02/2020', '29', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40119, '28/02/2020', '28', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40120, '27/02/2020', '27', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40121, '26/02/2020', '26', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40122, '25/02/2020', '25', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40123, '24/02/2020', '24', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40124, '23/02/2020', '23', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40125, '22/02/2020', '22', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40126, '21/02/2020', '21', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40127, '20/02/2020', '20', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40128, '19/02/2020', '19', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40129, '18/02/2020', '18', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40130, '17/02/2020', '17', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40131, '16/02/2020', '16', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40132, '15/02/2020', '15', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40133, '14/02/2020', '14', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40134, '13/02/2020', '13', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40135, '12/02/2020', '12', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40136, '11/02/2020', '11', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40137, '10/02/2020', '10', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40138, '09/02/2020', '9', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40139, '08/02/2020', '8', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40140, '07/02/2020', '7', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40141, '06/02/2020', '6', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40142, '05/02/2020', '5', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40143, '04/02/2020', '4', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40144, '03/02/2020', '3', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40145, '02/02/2020', '2', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40146, '01/02/2020', '1', '2', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40147, '31/01/2020', '31', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40148, '30/01/2020', '30', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40149, '29/01/2020', '29', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40150, '28/01/2020', '28', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40151, '27/01/2020', '27', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40152, '26/01/2020', '26', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40153, '25/01/2020', '25', '1', '2020', '1', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0.00349544');
INSERT INTO public.ecdc_import VALUES (40154, '24/01/2020', '24', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40155, '23/01/2020', '23', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40156, '22/01/2020', '22', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40157, '21/01/2020', '21', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40158, '20/01/2020', '20', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40159, '19/01/2020', '19', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40160, '18/01/2020', '18', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40161, '17/01/2020', '17', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40162, '16/01/2020', '16', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40163, '15/01/2020', '15', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40164, '14/01/2020', '14', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40165, '13/01/2020', '13', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (40166, '12/01/2020', '12', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40167, '11/01/2020', '11', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40168, '10/01/2020', '10', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40169, '09/01/2020', '9', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40170, '08/01/2020', '8', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40171, '07/01/2020', '7', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40172, '06/01/2020', '6', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40173, '05/01/2020', '5', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40174, '04/01/2020', '4', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40175, '03/01/2020', '3', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40176, '02/01/2020', '2', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40177, '01/01/2020', '1', '1', '2020', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40178, '31/12/2019', '31', '12', '2019', '0', '0', '28608715', 'Nepal', 'NP', 'NPL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (40179, '14/12/2020', '14', '12', '2020', '9868', '29', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '546.6503238');
INSERT INTO public.ecdc_import VALUES (40180, '13/12/2020', '13', '12', '2020', '9071', '53', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '521.82704214');
INSERT INTO public.ecdc_import VALUES (40181, '12/12/2020', '12', '12', '2020', '8827', '63', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '495.10006357');
INSERT INTO public.ecdc_import VALUES (40182, '11/12/2020', '11', '12', '2020', '8709', '61', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '477.19721195');
INSERT INTO public.ecdc_import VALUES (40183, '10/12/2020', '10', '12', '2020', '6524', '66', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '452.65167329');
INSERT INTO public.ecdc_import VALUES (40184, '09/12/2020', '9', '12', '2020', '6139', '71', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '443.26048771');
INSERT INTO public.ecdc_import VALUES (40185, '08/12/2020', '8', '12', '2020', '7055', '17', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '430.41487342');
INSERT INTO public.ecdc_import VALUES (40186, '07/12/2020', '7', '12', '2020', '6769', '25', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '419.46716971');
INSERT INTO public.ecdc_import VALUES (40187, '06/12/2020', '6', '12', '2020', '6520', '39', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '411.44155393');
INSERT INTO public.ecdc_import VALUES (40188, '05/12/2020', '5', '12', '2020', '5867', '58', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '408.79142269');
INSERT INTO public.ecdc_import VALUES (40189, '04/12/2020', '4', '12', '2020', '5603', '61', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '409.09231096');
INSERT INTO public.ecdc_import VALUES (40190, '03/12/2020', '3', '12', '2020', '4917', '66', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '409.2948319');
INSERT INTO public.ecdc_import VALUES (40191, '02/12/2020', '2', '12', '2020', '4042', '62', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '407.49528864');
INSERT INTO public.ecdc_import VALUES (40192, '01/12/2020', '1', '12', '2020', '4562', '27', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '408.96501208');
INSERT INTO public.ecdc_import VALUES (40193, '30/11/2020', '30', '11', '2020', '5578', '23', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '410.46945339');
INSERT INTO public.ecdc_import VALUES (40194, '29/11/2020', '29', '11', '2020', '4452', '59', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '409.48578022');
INSERT INTO public.ecdc_import VALUES (40195, '28/11/2020', '28', '11', '2020', '5733', '83', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '417.88172001');
INSERT INTO public.ecdc_import VALUES (40196, '27/11/2020', '27', '11', '2020', '4467', '75', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '419.92428841');
INSERT INTO public.ecdc_import VALUES (40197, '26/11/2020', '26', '11', '2020', '4901', '73', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '426.63641119');
INSERT INTO public.ecdc_import VALUES (40198, '25/11/2020', '25', '11', '2020', '3919', '90', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '429.52378125');
INSERT INTO public.ecdc_import VALUES (40199, '24/11/2020', '24', '11', '2020', '5163', '54', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '433.83458425');
INSERT INTO public.ecdc_import VALUES (40200, '23/11/2020', '23', '11', '2020', '5382', '21', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '431.00507732');
INSERT INTO public.ecdc_import VALUES (40201, '22/11/2020', '22', '11', '2020', '6062', '48', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '432.60788595');
INSERT INTO public.ecdc_import VALUES (40202, '21/11/2020', '21', '11', '2020', '5919', '51', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '436.06231465');
INSERT INTO public.ecdc_import VALUES (40203, '20/11/2020', '20', '11', '2020', '5638', '73', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '443.65974329');
INSERT INTO public.ecdc_import VALUES (40204, '19/11/2020', '19', '11', '2020', '4606', '82', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '451.29188979');
INSERT INTO public.ecdc_import VALUES (40205, '18/11/2020', '18', '11', '2020', '4296', '85', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '468.74340903');
INSERT INTO public.ecdc_import VALUES (40206, '17/11/2020', '17', '11', '2020', '4822', '44', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '488.60782068');
INSERT INTO public.ecdc_import VALUES (40207, '16/11/2020', '16', '11', '2020', '5408', '43', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '508.60531752');
INSERT INTO public.ecdc_import VALUES (40208, '15/11/2020', '15', '11', '2020', '5903', '85', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '527.49762862');
INSERT INTO public.ecdc_import VALUES (40209, '14/11/2020', '14', '11', '2020', '6086', '53', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '549.98902626');
INSERT INTO public.ecdc_import VALUES (40210, '13/11/2020', '13', '11', '2020', '5627', '89', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '579.01317098');
INSERT INTO public.ecdc_import VALUES (40211, '12/11/2020', '12', '11', '2020', '5400', '74', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '605.75172217');
INSERT INTO public.ecdc_import VALUES (40212, '11/11/2020', '11', '11', '2020', '4664', '98', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '621.32847607');
INSERT INTO public.ecdc_import VALUES (40213, '10/11/2020', '10', '11', '2020', '4674', '39', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '653.84176738');
INSERT INTO public.ecdc_import VALUES (40214, '09/11/2020', '9', '11', '2020', '5659', '44', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '686.53443438');
INSERT INTO public.ecdc_import VALUES (40215, '08/11/2020', '8', '11', '2020', '6659', '73', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '712.77536267');
INSERT INTO public.ecdc_import VALUES (40216, '07/11/2020', '7', '11', '2020', '7232', '118', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '724.2322619');
INSERT INTO public.ecdc_import VALUES (40217, '06/11/2020', '6', '11', '2020', '6957', '87', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '740.15040826');
INSERT INTO public.ecdc_import VALUES (40218, '05/11/2020', '5', '11', '2020', '7622', '106', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '753.52257701');
INSERT INTO public.ecdc_import VALUES (40219, '04/11/2020', '4', '11', '2020', '7729', '113', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '759.98010203');
INSERT INTO public.ecdc_import VALUES (40220, '03/11/2020', '3', '11', '2020', '8278', '29', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '762.41035338');
INSERT INTO public.ecdc_import VALUES (40221, '02/11/2020', '2', '11', '2020', '8673', '39', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '759.18159087');
INSERT INTO public.ecdc_import VALUES (40222, '01/11/2020', '1', '11', '2020', '9790', '50', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '757.82759369');
INSERT INTO public.ecdc_import VALUES (40223, '31/10/2020', '31', '10', '2020', '11102', '87', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '748.07765671');
INSERT INTO public.ecdc_import VALUES (40224, '30/10/2020', '30', '10', '2020', '10248', '56', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '730.0012157');
INSERT INTO public.ecdc_import VALUES (40225, '29/10/2020', '29', '10', '2020', '8092', '60', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '715.71480954');
INSERT INTO public.ecdc_import VALUES (40226, '28/10/2020', '28', '10', '2020', '10283', '70', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '710.96424678');
INSERT INTO public.ecdc_import VALUES (40227, '27/10/2020', '27', '10', '2020', '10324', '26', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '694.09714513');
INSERT INTO public.ecdc_import VALUES (40228, '26/10/2020', '26', '10', '2020', '10194', '27', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '673.96077678');
INSERT INTO public.ecdc_import VALUES (40229, '25/10/2020', '25', '10', '2020', '8639', '55', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '651.82234423');
INSERT INTO public.ecdc_import VALUES (40230, '24/10/2020', '24', '10', '2020', '9983', '45', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '639.40491708');
INSERT INTO public.ecdc_import VALUES (40231, '23/10/2020', '23', '10', '2020', '9268', '46', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '616.1207946');
INSERT INTO public.ecdc_import VALUES (40232, '22/10/2020', '22', '10', '2020', '8738', '59', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '596.12908407');
INSERT INTO public.ecdc_import VALUES (40233, '21/10/2020', '21', '10', '2020', '8149', '45', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '574.37833447');
INSERT INTO public.ecdc_import VALUES (40234, '20/10/2020', '20', '10', '2020', '7720', '8', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '553.36244659');
INSERT INTO public.ecdc_import VALUES (40235, '19/10/2020', '19', '10', '2020', '8439', '23', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '535.14713407');
INSERT INTO public.ecdc_import VALUES (40236, '18/10/2020', '18', '10', '2020', '8105', '29', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '509.4616918');
INSERT INTO public.ecdc_import VALUES (40237, '17/10/2020', '17', '10', '2020', '7978', '16', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '485.49478442');
INSERT INTO public.ecdc_import VALUES (40238, '16/10/2020', '16', '10', '2020', '7779', '29', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '461.43529603');
INSERT INTO public.ecdc_import VALUES (40239, '15/10/2020', '15', '10', '2020', '7271', '32', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '435.24644456');
INSERT INTO public.ecdc_import VALUES (40240, '14/10/2020', '14', '10', '2020', '7368', '35', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '412.22849246');
INSERT INTO public.ecdc_import VALUES (40241, '13/10/2020', '13', '10', '2020', '6844', '12', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '386.95966471');
INSERT INTO public.ecdc_import VALUES (40242, '12/10/2020', '12', '10', '2020', '6368', '17', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '364.19052407');
INSERT INTO public.ecdc_import VALUES (40243, '11/10/2020', '11', '10', '2020', '6493', '23', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '344.63857331');
INSERT INTO public.ecdc_import VALUES (40244, '10/10/2020', '10', '10', '2020', '5959', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '322.75473851');
INSERT INTO public.ecdc_import VALUES (40245, '09/10/2020', '9', '10', '2020', '5813', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '304.33690505');
INSERT INTO public.ecdc_import VALUES (40246, '08/10/2020', '8', '10', '2020', '4979', '36', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '285.40408975');
INSERT INTO public.ecdc_import VALUES (40247, '07/10/2020', '7', '10', '2020', '4517', '21', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '270.19765986');
INSERT INTO public.ecdc_import VALUES (40248, '06/10/2020', '6', '10', '2020', '4572', '7', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '257.03958469');
INSERT INTO public.ecdc_import VALUES (40249, '05/10/2020', '5', '10', '2020', '4000', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '243.40124555');
INSERT INTO public.ecdc_import VALUES (40250, '04/10/2020', '4', '10', '2020', '3963', '21', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '230.92016896');
INSERT INTO public.ecdc_import VALUES (40251, '03/10/2020', '3', '10', '2020', '3820', '9', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '218.87885214');
INSERT INTO public.ecdc_import VALUES (40252, '02/10/2020', '2', '10', '2020', '3253', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '208.18574619');
INSERT INTO public.ecdc_import VALUES (40253, '01/10/2020', '1', '10', '2020', '3293', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '199.48891814');
INSERT INTO public.ecdc_import VALUES (40254, '30/09/2020', '30', '9', '2020', '3001', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '189.3455119');
INSERT INTO public.ecdc_import VALUES (40255, '29/09/2020', '29', '9', '2020', '2909', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '179.94275369');
INSERT INTO public.ecdc_import VALUES (40256, '28/09/2020', '28', '9', '2020', '2989', '8', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '170.62100386');
INSERT INTO public.ecdc_import VALUES (40257, '27/09/2020', '27', '9', '2020', '2711', '38', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '159.60965071');
INSERT INTO public.ecdc_import VALUES (40258, '26/09/2020', '26', '9', '2020', '2776', '16', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '151.04590785');
INSERT INTO public.ecdc_import VALUES (40259, '25/09/2020', '25', '9', '2020', '2541', '16', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '142.32014824');
INSERT INTO public.ecdc_import VALUES (40260, '24/09/2020', '24', '9', '2020', '2351', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '132.37926294');
INSERT INTO public.ecdc_import VALUES (40261, '23/09/2020', '23', '9', '2020', '2243', '10', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '125.37203821');
INSERT INTO public.ecdc_import VALUES (40262, '22/09/2020', '22', '9', '2020', '2215', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '117.9655579');
INSERT INTO public.ecdc_import VALUES (40263, '21/09/2020', '21', '9', '2020', '1843', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '109.76056643');
INSERT INTO public.ecdc_import VALUES (40264, '20/09/2020', '20', '9', '2020', '1882', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '104.44873133');
INSERT INTO public.ecdc_import VALUES (40265, '19/09/2020', '19', '9', '2020', '1972', '7', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '97.34313928');
INSERT INTO public.ecdc_import VALUES (40266, '18/09/2020', '18', '9', '2020', '1750', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '90.23754723');
INSERT INTO public.ecdc_import VALUES (40267, '17/09/2020', '17', '9', '2020', '1540', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '82.5475376');
INSERT INTO public.ecdc_import VALUES (40268, '16/09/2020', '16', '9', '2020', '1376', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '78.92530582');
INSERT INTO public.ecdc_import VALUES (40269, '15/09/2020', '15', '9', '2020', '1298', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '73.63082966');
INSERT INTO public.ecdc_import VALUES (40270, '14/09/2020', '14', '9', '2020', '1086', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '69.15800991');
INSERT INTO public.ecdc_import VALUES (40271, '13/09/2020', '13', '9', '2020', '1231', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '65.81352114');
INSERT INTO public.ecdc_import VALUES (40272, '12/09/2020', '12', '9', '2020', '1268', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '61.58372653');
INSERT INTO public.ecdc_import VALUES (40273, '11/09/2020', '11', '9', '2020', '823', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '57.18034253');
INSERT INTO public.ecdc_import VALUES (40274, '10/09/2020', '10', '9', '2020', '1140', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '55.36922664');
INSERT INTO public.ecdc_import VALUES (40275, '09/09/2020', '9', '9', '2020', '963', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '52.07102838');
INSERT INTO public.ecdc_import VALUES (40276, '08/09/2020', '8', '9', '2020', '797', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '48.89434268');
INSERT INTO public.ecdc_import VALUES (40277, '07/09/2020', '7', '9', '2020', '925', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '47.59242231');
INSERT INTO public.ecdc_import VALUES (40278, '06/09/2020', '6', '9', '2020', '654', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '44.87864164');
INSERT INTO public.ecdc_import VALUES (40279, '05/09/2020', '5', '9', '2020', '744', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '44.03383998');
INSERT INTO public.ecdc_import VALUES (40280, '04/09/2020', '4', '9', '2020', '421', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '42.8187143');
INSERT INTO public.ecdc_import VALUES (40281, '03/09/2020', '3', '9', '2020', '914', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '43.44363608');
INSERT INTO public.ecdc_import VALUES (40282, '02/09/2020', '2', '9', '2020', '461', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '41.34899086');
INSERT INTO public.ecdc_import VALUES (40283, '01/09/2020', '1', '9', '2020', '525', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '41.499435');
INSERT INTO public.ecdc_import VALUES (40284, '31/08/2020', '31', '8', '2020', '508', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '41.24483723');
INSERT INTO public.ecdc_import VALUES (40285, '30/08/2020', '30', '8', '2020', '500', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '41.23326461');
INSERT INTO public.ecdc_import VALUES (40286, '29/08/2020', '29', '8', '2020', '507', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '42.11278415');
INSERT INTO public.ecdc_import VALUES (40287, '28/08/2020', '28', '8', '2020', '510', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '42.85921849');
INSERT INTO public.ecdc_import VALUES (40288, '27/08/2020', '27', '8', '2020', '570', '8', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '43.24690144');
INSERT INTO public.ecdc_import VALUES (40289, '26/08/2020', '26', '8', '2020', '414', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '43.73295171');
INSERT INTO public.ecdc_import VALUES (40290, '25/08/2020', '25', '8', '2020', '572', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '45.84495587');
INSERT INTO public.ecdc_import VALUES (40291, '24/08/2020', '24', '8', '2020', '456', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '45.8623148');
INSERT INTO public.ecdc_import VALUES (40292, '23/08/2020', '23', '8', '2020', '508', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '46.56245865');
INSERT INTO public.ecdc_import VALUES (40293, '22/08/2020', '22', '8', '2020', '534', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '46.43515977');
INSERT INTO public.ecdc_import VALUES (40294, '21/08/2020', '21', '8', '2020', '529', '10', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '46.34836507');
INSERT INTO public.ecdc_import VALUES (40295, '20/08/2020', '20', '8', '2020', '552', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '46.76497959');
INSERT INTO public.ecdc_import VALUES (40296, '19/08/2020', '19', '8', '2020', '487', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '46.03590419');
INSERT INTO public.ecdc_import VALUES (40297, '18/08/2020', '18', '8', '2020', '481', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '46.34257876');
INSERT INTO public.ecdc_import VALUES (40298, '17/08/2020', '17', '8', '2020', '506', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '45.71187067');
INSERT INTO public.ecdc_import VALUES (40299, '16/08/2020', '16', '8', '2020', '652', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '44.58353969');
INSERT INTO public.ecdc_import VALUES (40300, '15/08/2020', '15', '8', '2020', '636', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '43.30476457');
INSERT INTO public.ecdc_import VALUES (40301, '14/08/2020', '14', '8', '2020', '577', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '41.58044337');
INSERT INTO public.ecdc_import VALUES (40302, '13/08/2020', '13', '8', '2020', '654', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '40.22065988');
INSERT INTO public.ecdc_import VALUES (40303, '12/08/2020', '12', '8', '2020', '779', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '37.86563059');
INSERT INTO public.ecdc_import VALUES (40304, '11/08/2020', '11', '8', '2020', '575', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '34.64844071');
INSERT INTO public.ecdc_import VALUES (40305, '10/08/2020', '10', '8', '2020', '577', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '32.50750499');
INSERT INTO public.ecdc_import VALUES (40306, '09/08/2020', '9', '8', '2020', '486', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '30.40707347');
INSERT INTO public.ecdc_import VALUES (40307, '08/08/2020', '8', '8', '2020', '519', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '28.38765032');
INSERT INTO public.ecdc_import VALUES (40308, '07/08/2020', '7', '8', '2020', '601', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '26.48973974');
INSERT INTO public.ecdc_import VALUES (40309, '06/08/2020', '6', '8', '2020', '426', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '23.95533476');
INSERT INTO public.ecdc_import VALUES (40310, '05/08/2020', '5', '8', '2020', '540', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '22.46246607');
INSERT INTO public.ecdc_import VALUES (40311, '04/08/2020', '4', '8', '2020', '372', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '20.28102617');
INSERT INTO public.ecdc_import VALUES (40312, '03/08/2020', '3', '8', '2020', '311', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '19.19898568');
INSERT INTO public.ecdc_import VALUES (40313, '02/08/2020', '2', '8', '2020', '431', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '18.23267145');
INSERT INTO public.ecdc_import VALUES (40314, '01/08/2020', '1', '8', '2020', '338', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '16.47363238');
INSERT INTO public.ecdc_import VALUES (40315, '31/07/2020', '31', '7', '2020', '342', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '15.11384889');
INSERT INTO public.ecdc_import VALUES (40316, '30/07/2020', '30', '7', '2020', '247', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.70777489');
INSERT INTO public.ecdc_import VALUES (40317, '29/07/2020', '29', '7', '2020', '223', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '12.89190479');
INSERT INTO public.ecdc_import VALUES (40318, '28/07/2020', '28', '7', '2020', '205', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '11.90823163');
INSERT INTO public.ecdc_import VALUES (40319, '27/07/2020', '27', '7', '2020', '214', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '11.13286572');
INSERT INTO public.ecdc_import VALUES (40320, '26/07/2020', '26', '7', '2020', '137', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '10.47901238');
INSERT INTO public.ecdc_import VALUES (40321, '25/07/2020', '25', '7', '2020', '191', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '10.15497886');
INSERT INTO public.ecdc_import VALUES (40322, '24/07/2020', '24', '7', '2020', '163', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '9.29281827');
INSERT INTO public.ecdc_import VALUES (40323, '23/07/2020', '23', '7', '2020', '168', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '8.65053755');
INSERT INTO public.ecdc_import VALUES (40324, '22/07/2020', '22', '7', '2020', '163', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '7.97932527');
INSERT INTO public.ecdc_import VALUES (40325, '21/07/2020', '21', '7', '2020', '185', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '7.25024987');
INSERT INTO public.ecdc_import VALUES (40326, '20/07/2020', '20', '7', '2020', '144', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.38808927');
INSERT INTO public.ecdc_import VALUES (40327, '19/07/2020', '19', '7', '2020', '127', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.97726106');
INSERT INTO public.ecdc_import VALUES (40328, '18/07/2020', '18', '7', '2020', '103', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.59536442');
INSERT INTO public.ecdc_import VALUES (40329, '17/07/2020', '17', '7', '2020', '99', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.43334767');
INSERT INTO public.ecdc_import VALUES (40330, '16/07/2020', '16', '7', '2020', '106', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.30604879');
INSERT INTO public.ecdc_import VALUES (40331, '15/07/2020', '15', '7', '2020', '53', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.05145102');
INSERT INTO public.ecdc_import VALUES (40332, '14/07/2020', '14', '7', '2020', '71', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.03409209');
INSERT INTO public.ecdc_import VALUES (40333, '13/07/2020', '13', '7', '2020', '101', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.06302365');
INSERT INTO public.ecdc_import VALUES (40334, '12/07/2020', '12', '7', '2020', '81', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '4.90100689');
INSERT INTO public.ecdc_import VALUES (40335, '11/07/2020', '11', '7', '2020', '42', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '4.83157114');
INSERT INTO public.ecdc_import VALUES (40336, '10/07/2020', '10', '7', '2020', '52', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.11510047');
INSERT INTO public.ecdc_import VALUES (40337, '09/07/2020', '9', '7', '2020', '52', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.4507066');
INSERT INTO public.ecdc_import VALUES (40338, '08/07/2020', '8', '7', '2020', '37', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.62429599');
INSERT INTO public.ecdc_import VALUES (40339, '07/07/2020', '7', '7', '2020', '36', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.78052643');
INSERT INTO public.ecdc_import VALUES (40340, '06/07/2020', '6', '7', '2020', '73', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.9483295');
INSERT INTO public.ecdc_import VALUES (40341, '05/07/2020', '5', '7', '2020', '61', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.05248313');
INSERT INTO public.ecdc_import VALUES (40342, '04/07/2020', '4', '7', '2020', '75', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.13927782');
INSERT INTO public.ecdc_import VALUES (40343, '03/07/2020', '3', '7', '2020', '77', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.32443983');
INSERT INTO public.ecdc_import VALUES (40344, '02/07/2020', '2', '7', '2020', '62', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.54431971');
INSERT INTO public.ecdc_import VALUES (40345, '01/07/2020', '1', '7', '2020', '50', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.86256691');
INSERT INTO public.ecdc_import VALUES (40346, '30/06/2020', '30', '6', '2020', '76', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '7.37754875');
INSERT INTO public.ecdc_import VALUES (40347, '29/06/2020', '29', '6', '2020', '73', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '7.89253058');
INSERT INTO public.ecdc_import VALUES (40348, '28/06/2020', '28', '6', '2020', '69', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '8.29757247');
INSERT INTO public.ecdc_import VALUES (40349, '27/06/2020', '27', '6', '2020', '91', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '8.93406688');
INSERT INTO public.ecdc_import VALUES (40350, '26/06/2020', '26', '6', '2020', '110', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '9.62263809');
INSERT INTO public.ecdc_import VALUES (40351, '25/06/2020', '25', '6', '2020', '82', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '9.93509898');
INSERT INTO public.ecdc_import VALUES (40352, '24/06/2020', '24', '6', '2020', '64', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '10.52530288');
INSERT INTO public.ecdc_import VALUES (40353, '23/06/2020', '23', '6', '2020', '65', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '11.10393415');
INSERT INTO public.ecdc_import VALUES (40354, '22/06/2020', '22', '6', '2020', '91', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '11.68256543');
INSERT INTO public.ecdc_import VALUES (40355, '21/06/2020', '21', '6', '2020', '76', '8', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '12.53893971');
INSERT INTO public.ecdc_import VALUES (40356, '20/06/2020', '20', '6', '2020', '107', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.15807518');
INSERT INTO public.ecdc_import VALUES (40357, '19/06/2020', '19', '6', '2020', '115', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.75406539');
INSERT INTO public.ecdc_import VALUES (40358, '18/06/2020', '18', '6', '2020', '117', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '14.29797879');
INSERT INTO public.ecdc_import VALUES (40359, '17/06/2020', '17', '6', '2020', '139', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '14.11860309');
INSERT INTO public.ecdc_import VALUES (40360, '16/06/2020', '16', '6', '2020', '165', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.90450952');
INSERT INTO public.ecdc_import VALUES (40361, '15/06/2020', '15', '6', '2020', '143', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.54575813');
INSERT INTO public.ecdc_import VALUES (40362, '14/06/2020', '14', '6', '2020', '179', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.78878327');
INSERT INTO public.ecdc_import VALUES (40363, '13/06/2020', '13', '6', '2020', '210', '9', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.51104026');
INSERT INTO public.ecdc_import VALUES (40364, '12/06/2020', '12', '6', '2020', '164', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.31430562');
INSERT INTO public.ecdc_import VALUES (40365, '11/06/2020', '11', '6', '2020', '184', '11', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.41845925');
INSERT INTO public.ecdc_import VALUES (40366, '10/06/2020', '10', '6', '2020', '164', '15', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.45317713');
INSERT INTO public.ecdc_import VALUES (40367, '09/06/2020', '9', '6', '2020', '165', '3', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.27380143');
INSERT INTO public.ecdc_import VALUES (40368, '08/06/2020', '8', '6', '2020', '239', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.52839919');
INSERT INTO public.ecdc_import VALUES (40369, '07/06/2020', '7', '6', '2020', '183', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.14071624');
INSERT INTO public.ecdc_import VALUES (40370, '06/06/2020', '6', '6', '2020', '210', '15', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.10021205');
INSERT INTO public.ecdc_import VALUES (40371, '05/06/2020', '5', '6', '2020', '209', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '12.97291317');
INSERT INTO public.ecdc_import VALUES (40372, '04/06/2020', '4', '6', '2020', '86', '10', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.22751093');
INSERT INTO public.ecdc_import VALUES (40373, '03/06/2020', '3', '6', '2020', '102', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.87557796');
INSERT INTO public.ecdc_import VALUES (40374, '02/06/2020', '2', '6', '2020', '103', '6', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.91029584');
INSERT INTO public.ecdc_import VALUES (40375, '01/06/2020', '1', '6', '2020', '185', '5', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '14.15910728');
INSERT INTO public.ecdc_import VALUES (40376, '31/05/2020', '31', '5', '2020', '131', '20', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.81192852');
INSERT INTO public.ecdc_import VALUES (40377, '30/05/2020', '30', '5', '2020', '176', '28', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '14.14753466');
INSERT INTO public.ecdc_import VALUES (40378, '29/05/2020', '29', '5', '2020', '182', '32', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '14.28640616');
INSERT INTO public.ecdc_import VALUES (40379, '28/05/2020', '28', '5', '2020', '190', '15', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '14.79560168');
INSERT INTO public.ecdc_import VALUES (40380, '27/05/2020', '27', '5', '2020', '133', '26', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '15.00969526');
INSERT INTO public.ecdc_import VALUES (40381, '26/05/2020', '26', '5', '2020', '209', '8', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '15.37423296');
INSERT INTO public.ecdc_import VALUES (40382, '25/05/2020', '25', '5', '2020', '172', '11', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '15.09648995');
INSERT INTO public.ecdc_import VALUES (40383, '24/05/2020', '24', '5', '2020', '176', '23', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '15.51889078');
INSERT INTO public.ecdc_import VALUES (40384, '23/05/2020', '23', '5', '2020', '188', '13', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '16.17274412');
INSERT INTO public.ecdc_import VALUES (40385, '22/05/2020', '22', '5', '2020', '253', '27', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '16.93075109');
INSERT INTO public.ecdc_import VALUES (40386, '21/05/2020', '21', '5', '2020', '198', '33', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '18.09958626');
INSERT INTO public.ecdc_import VALUES (40387, '20/05/2020', '20', '5', '2020', '108', '21', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '18.29632089');
INSERT INTO public.ecdc_import VALUES (40388, '19/05/2020', '19', '5', '2020', '146', '14', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '19.50566026');
INSERT INTO public.ecdc_import VALUES (40389, '18/05/2020', '18', '5', '2020', '125', '10', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '19.81233483');
INSERT INTO public.ecdc_import VALUES (40390, '17/05/2020', '17', '5', '2020', '189', '27', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '21.02746051');
INSERT INTO public.ecdc_import VALUES (40391, '16/05/2020', '16', '5', '2020', '200', '53', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '22.50875657');
INSERT INTO public.ecdc_import VALUES (40392, '15/05/2020', '15', '5', '2020', '270', '28', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '24.09999258');
INSERT INTO public.ecdc_import VALUES (40393, '14/05/2020', '14', '5', '2020', '227', '52', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '25.51185289');
INSERT INTO public.ecdc_import VALUES (40394, '13/05/2020', '13', '5', '2020', '196', '54', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '26.43187661');
INSERT INTO public.ecdc_import VALUES (40395, '12/05/2020', '12', '5', '2020', '161', '16', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '26.28721879');
INSERT INTO public.ecdc_import VALUES (40396, '11/05/2020', '11', '5', '2020', '245', '18', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '27.67014754');
INSERT INTO public.ecdc_import VALUES (40397, '10/05/2020', '10', '5', '2020', '289', '63', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '30.04253576');
INSERT INTO public.ecdc_import VALUES (40398, '09/05/2020', '9', '5', '2020', '319', '71', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '32.16032623');
INSERT INTO public.ecdc_import VALUES (40399, '08/05/2020', '8', '5', '2020', '455', '84', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '34.97826053');
INSERT INTO public.ecdc_import VALUES (40400, '07/05/2020', '7', '5', '2020', '232', '36', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '37.47794764');
INSERT INTO public.ecdc_import VALUES (40401, '06/05/2020', '6', '5', '2020', '317', '86', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '40.2322325');
INSERT INTO public.ecdc_import VALUES (40402, '05/05/2020', '5', '5', '2020', '199', '26', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '42.61619335');
INSERT INTO public.ecdc_import VALUES (40403, '04/05/2020', '4', '5', '2020', '335', '69', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '45.80445168');
INSERT INTO public.ecdc_import VALUES (40404, '03/05/2020', '3', '5', '2020', '445', '94', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '50.03424629');
INSERT INTO public.ecdc_import VALUES (40405, '02/05/2020', '2', '5', '2020', '475', '98', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '54.05573365');
INSERT INTO public.ecdc_import VALUES (40406, '01/05/2020', '1', '5', '2020', '514', '84', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '58.45333133');
INSERT INTO public.ecdc_import VALUES (40407, '30/04/2020', '30', '4', '2020', '386', '145', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '61.6184444');
INSERT INTO public.ecdc_import VALUES (40408, '29/04/2020', '29', '4', '2020', '171', '48', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '63.63208124');
INSERT INTO public.ecdc_import VALUES (40409, '28/04/2020', '28', '4', '2020', '400', '43', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '67.66514122');
INSERT INTO public.ecdc_import VALUES (40410, '27/04/2020', '27', '4', '2020', '655', '66', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '70.92862161');
INSERT INTO public.ecdc_import VALUES (40411, '26/04/2020', '26', '4', '2020', '655', '120', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '73.93171792');
INSERT INTO public.ecdc_import VALUES (40412, '25/04/2020', '25', '4', '2020', '806', '112', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '77.75647065');
INSERT INTO public.ecdc_import VALUES (40413, '24/04/2020', '24', '4', '2020', '887', '123', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '80.81743009');
INSERT INTO public.ecdc_import VALUES (40414, '23/04/2020', '23', '4', '2020', '708', '138', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '82.70376804');
INSERT INTO public.ecdc_import VALUES (40415, '22/04/2020', '22', '4', '2020', '729', '165', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '84.21399567');
INSERT INTO public.ecdc_import VALUES (40416, '21/04/2020', '21', '4', '2020', '750', '67', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '84.49173868');
INSERT INTO public.ecdc_import VALUES (40417, '20/04/2020', '20', '4', '2020', '1066', '83', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '85.66057385');
INSERT INTO public.ecdc_import VALUES (40418, '19/04/2020', '19', '4', '2020', '1140', '142', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '86.57481127');
INSERT INTO public.ecdc_import VALUES (40419, '18/04/2020', '18', '4', '2020', '1235', '144', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '85.20924146');
INSERT INTO public.ecdc_import VALUES (40420, '17/04/2020', '17', '4', '2020', '1061', '181', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '83.9999021');
INSERT INTO public.ecdc_import VALUES (40421, '16/04/2020', '16', '4', '2020', '734', '189', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '84.12720098');
INSERT INTO public.ecdc_import VALUES (40422, '15/04/2020', '15', '4', '2020', '868', '122', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '85.77630011');
INSERT INTO public.ecdc_import VALUES (40423, '14/04/2020', '14', '4', '2020', '964', '86', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '85.64321491');
INSERT INTO public.ecdc_import VALUES (40424, '13/04/2020', '13', '4', '2020', '1174', '94', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '85.1803099');
INSERT INTO public.ecdc_import VALUES (40425, '12/04/2020', '12', '4', '2020', '1316', '132', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '84.775268');
INSERT INTO public.ecdc_import VALUES (40426, '11/04/2020', '11', '4', '2020', '1335', '115', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '83.8668169');
INSERT INTO public.ecdc_import VALUES (40427, '10/04/2020', '10', '4', '2020', '1213', '148', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '82.92364793');
INSERT INTO public.ecdc_import VALUES (40428, '09/04/2020', '9', '4', '2020', '969', '147', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '81.80110325');
INSERT INTO public.ecdc_import VALUES (40429, '08/04/2020', '8', '4', '2020', '777', '234', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '81.12410466');
INSERT INTO public.ecdc_import VALUES (40430, '07/04/2020', '7', '4', '2020', '952', '101', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '81.3208393');
INSERT INTO public.ecdc_import VALUES (40431, '06/04/2020', '6', '4', '2020', '1224', '115', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '78.96581001');
INSERT INTO public.ecdc_import VALUES (40432, '05/04/2020', '5', '4', '2020', '904', '164', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '75.19892041');
INSERT INTO public.ecdc_import VALUES (40433, '04/04/2020', '4', '4', '2020', '1026', '148', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '73.65397491');
INSERT INTO public.ecdc_import VALUES (40434, '03/04/2020', '3', '4', '2020', '1083', '166', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '70.80710904');
INSERT INTO public.ecdc_import VALUES (40435, '02/04/2020', '2', '4', '2020', '1019', '134', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '66.90713425');
INSERT INTO public.ecdc_import VALUES (40436, '01/04/2020', '1', '4', '2020', '845', '175', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '63.01294578');
INSERT INTO public.ecdc_import VALUES (40437, '31/03/2020', '31', '3', '2020', '884', '93', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '59.81311483');
INSERT INTO public.ecdc_import VALUES (40438, '30/03/2020', '30', '3', '2020', '1104', '132', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '56.30660931');
INSERT INTO public.ecdc_import VALUES (40439, '29/03/2020', '29', '3', '2020', '1159', '93', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '50.93691108');
INSERT INTO public.ecdc_import VALUES (40440, '28/03/2020', '28', '3', '2020', '1172', '112', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '45.12745309');
INSERT INTO public.ecdc_import VALUES (40441, '27/03/2020', '27', '3', '2020', '1019', '78', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '39.44529397');
INSERT INTO public.ecdc_import VALUES (40442, '26/03/2020', '26', '3', '2020', '852', '80', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '34.191322');
INSERT INTO public.ecdc_import VALUES (40443, '25/03/2020', '25', '3', '2020', '811', '63', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '29.96152739');
INSERT INTO public.ecdc_import VALUES (40444, '24/03/2020', '24', '3', '2020', '545', '34', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '25.62179283');
INSERT INTO public.ecdc_import VALUES (40445, '23/03/2020', '23', '3', '2020', '573', '43', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '22.7922859');
INSERT INTO public.ecdc_import VALUES (40446, '22/03/2020', '22', '3', '2020', '637', '30', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '19.92227478');
INSERT INTO public.ecdc_import VALUES (40447, '21/03/2020', '21', '3', '2020', '534', '30', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '16.58357232');
INSERT INTO public.ecdc_import VALUES (40448, '20/03/2020', '20', '3', '2020', '409', '18', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '13.7598517');
INSERT INTO public.ecdc_import VALUES (40449, '19/03/2020', '19', '3', '2020', '346', '15', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '11.64784755');
INSERT INTO public.ecdc_import VALUES (40450, '18/03/2020', '18', '3', '2020', '292', '19', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '9.70364647');
INSERT INTO public.ecdc_import VALUES (40451, '17/03/2020', '17', '3', '2020', '278', '4', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '8.07190628');
INSERT INTO public.ecdc_import VALUES (40452, '16/03/2020', '16', '3', '2020', '176', '8', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '6.4922429');
INSERT INTO public.ecdc_import VALUES (40453, '15/03/2020', '15', '3', '2020', '155', '7', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '5.50856973');
INSERT INTO public.ecdc_import VALUES (40454, '14/03/2020', '14', '3', '2020', '190', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '4.64062282');
INSERT INTO public.ecdc_import VALUES (40455, '13/03/2020', '13', '3', '2020', '111', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '3.54700971');
INSERT INTO public.ecdc_import VALUES (40456, '12/03/2020', '12', '3', '2020', '121', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '2.91051531');
INSERT INTO public.ecdc_import VALUES (40457, '11/03/2020', '11', '3', '2020', '61', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '2.21037147');
INSERT INTO public.ecdc_import VALUES (40458, '10/03/2020', '10', '3', '2020', '56', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '1.85740639');
INSERT INTO public.ecdc_import VALUES (40459, '09/03/2020', '9', '3', '2020', '77', '2', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '1.53337288');
INSERT INTO public.ecdc_import VALUES (40460, '08/03/2020', '8', '3', '2020', '60', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '1.0878268');
INSERT INTO public.ecdc_import VALUES (40461, '07/03/2020', '7', '3', '2020', '46', '1', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.74064803');
INSERT INTO public.ecdc_import VALUES (40462, '06/03/2020', '6', '3', '2020', '44', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.47447764');
INSERT INTO public.ecdc_import VALUES (40463, '05/03/2020', '5', '3', '2020', '10', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.21987988');
INSERT INTO public.ecdc_import VALUES (40464, '04/03/2020', '4', '3', '2020', '10', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.16201676');
INSERT INTO public.ecdc_import VALUES (40465, '03/03/2020', '3', '3', '2020', '5', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.10415363');
INSERT INTO public.ecdc_import VALUES (40466, '02/03/2020', '2', '3', '2020', '6', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.07522207');
INSERT INTO public.ecdc_import VALUES (40467, '01/03/2020', '1', '3', '2020', '5', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.04050419');
INSERT INTO public.ecdc_import VALUES (40468, '29/02/2020', '29', '2', '2020', '1', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.01157263');
INSERT INTO public.ecdc_import VALUES (40469, '28/02/2020', '28', '2', '2020', '1', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0.00578631');
INSERT INTO public.ecdc_import VALUES (40470, '27/02/2020', '27', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40471, '26/02/2020', '26', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40472, '25/02/2020', '25', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40473, '24/02/2020', '24', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40474, '23/02/2020', '23', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40475, '22/02/2020', '22', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40476, '21/02/2020', '21', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40477, '20/02/2020', '20', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40478, '19/02/2020', '19', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40479, '18/02/2020', '18', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40480, '17/02/2020', '17', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40481, '16/02/2020', '16', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40482, '15/02/2020', '15', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40483, '14/02/2020', '14', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40484, '13/02/2020', '13', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40485, '12/02/2020', '12', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40486, '11/02/2020', '11', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40487, '10/02/2020', '10', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40488, '09/02/2020', '9', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40489, '08/02/2020', '8', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40490, '07/02/2020', '7', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40491, '06/02/2020', '6', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40492, '05/02/2020', '5', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40493, '04/02/2020', '4', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40494, '03/02/2020', '3', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40495, '02/02/2020', '2', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40496, '01/02/2020', '1', '2', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40497, '31/01/2020', '31', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40498, '30/01/2020', '30', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40499, '29/01/2020', '29', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40500, '28/01/2020', '28', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40501, '27/01/2020', '27', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40502, '26/01/2020', '26', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40503, '25/01/2020', '25', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40504, '24/01/2020', '24', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40505, '23/01/2020', '23', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40506, '22/01/2020', '22', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40507, '21/01/2020', '21', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40508, '20/01/2020', '20', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40509, '19/01/2020', '19', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40510, '18/01/2020', '18', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40511, '17/01/2020', '17', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40512, '16/01/2020', '16', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40513, '15/01/2020', '15', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40514, '14/01/2020', '14', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40515, '13/01/2020', '13', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (40516, '12/01/2020', '12', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40517, '11/01/2020', '11', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40518, '10/01/2020', '10', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40519, '09/01/2020', '9', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40520, '08/01/2020', '8', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40521, '07/01/2020', '7', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40522, '06/01/2020', '6', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40523, '05/01/2020', '5', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40524, '04/01/2020', '4', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40525, '03/01/2020', '3', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40526, '02/01/2020', '2', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40527, '01/01/2020', '1', '1', '2020', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40528, '31/12/2019', '31', '12', '2019', '0', '0', '17282163', 'Netherlands', 'NL', 'NLD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (40529, '14/12/2020', '14', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40530, '13/12/2020', '13', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40531, '12/12/2020', '12', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40532, '11/12/2020', '11', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40533, '10/12/2020', '10', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40534, '09/12/2020', '9', '12', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40535, '08/12/2020', '8', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40536, '07/12/2020', '7', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40537, '06/12/2020', '6', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40538, '05/12/2020', '5', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40539, '04/12/2020', '4', '12', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.76830282');
INSERT INTO public.ecdc_import VALUES (40540, '03/12/2020', '3', '12', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40541, '02/12/2020', '2', '12', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40542, '01/12/2020', '1', '12', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40543, '30/11/2020', '30', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40544, '29/11/2020', '29', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40545, '28/11/2020', '28', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40546, '27/11/2020', '27', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40547, '26/11/2020', '26', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40548, '25/11/2020', '25', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40549, '24/11/2020', '24', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40550, '23/11/2020', '23', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40551, '22/11/2020', '22', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40552, '21/11/2020', '21', '11', '2020', '2', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40553, '20/11/2020', '20', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40554, '19/11/2020', '19', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40555, '18/11/2020', '18', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40556, '17/11/2020', '17', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40557, '16/11/2020', '16', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40558, '15/11/2020', '15', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40559, '14/11/2020', '14', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40560, '13/11/2020', '13', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40561, '12/11/2020', '12', '11', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40562, '11/11/2020', '11', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40563, '10/11/2020', '10', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40564, '09/11/2020', '9', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40565, '08/11/2020', '8', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40566, '07/11/2020', '7', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40567, '06/11/2020', '6', '11', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40568, '05/11/2020', '5', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40569, '04/11/2020', '4', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40570, '03/11/2020', '3', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40571, '02/11/2020', '2', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40572, '01/11/2020', '1', '11', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40573, '31/10/2020', '31', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40574, '30/10/2020', '30', '10', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40575, '29/10/2020', '29', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40576, '28/10/2020', '28', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40577, '27/10/2020', '27', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40578, '26/10/2020', '26', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40579, '25/10/2020', '25', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40580, '24/10/2020', '24', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40581, '23/10/2020', '23', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40582, '22/10/2020', '22', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40583, '21/10/2020', '21', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40584, '20/10/2020', '20', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40585, '19/10/2020', '19', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40586, '18/10/2020', '18', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40587, '17/10/2020', '17', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40588, '16/10/2020', '16', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40589, '15/10/2020', '15', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40590, '14/10/2020', '14', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40591, '13/10/2020', '13', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40592, '12/10/2020', '12', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40593, '11/10/2020', '11', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40594, '10/10/2020', '10', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40595, '09/10/2020', '9', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40596, '08/10/2020', '8', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40597, '07/10/2020', '7', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40598, '06/10/2020', '6', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40599, '05/10/2020', '5', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40600, '04/10/2020', '4', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40601, '03/10/2020', '3', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40602, '02/10/2020', '2', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40603, '01/10/2020', '1', '10', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40604, '30/09/2020', '30', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40605, '29/09/2020', '29', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40606, '28/09/2020', '28', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40607, '27/09/2020', '27', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40608, '26/09/2020', '26', '9', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40609, '25/09/2020', '25', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40610, '24/09/2020', '24', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40611, '23/09/2020', '23', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40612, '22/09/2020', '22', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40613, '21/09/2020', '21', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40614, '20/09/2020', '20', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40615, '19/09/2020', '19', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40616, '18/09/2020', '18', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40617, '17/09/2020', '17', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40618, '16/09/2020', '16', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40619, '15/09/2020', '15', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40620, '14/09/2020', '14', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40621, '13/09/2020', '13', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40622, '12/09/2020', '12', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40623, '11/09/2020', '11', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40624, '10/09/2020', '10', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40625, '09/09/2020', '9', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40626, '08/09/2020', '8', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40627, '07/09/2020', '7', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40628, '06/09/2020', '6', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40629, '05/09/2020', '5', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40630, '04/09/2020', '4', '9', '2020', '3', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40631, '03/09/2020', '3', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40632, '02/09/2020', '2', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40633, '01/09/2020', '1', '9', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40634, '31/08/2020', '31', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40635, '30/08/2020', '30', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40636, '29/08/2020', '29', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40637, '28/08/2020', '28', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40638, '27/08/2020', '27', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40639, '26/08/2020', '26', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40640, '25/08/2020', '25', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40641, '24/08/2020', '24', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40642, '23/08/2020', '23', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40643, '22/08/2020', '22', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40644, '21/08/2020', '21', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40645, '20/08/2020', '20', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40646, '19/08/2020', '19', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40647, '18/08/2020', '18', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40648, '17/08/2020', '17', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40649, '16/08/2020', '16', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40650, '15/08/2020', '15', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40651, '14/08/2020', '14', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40652, '13/08/2020', '13', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40653, '12/08/2020', '12', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40654, '11/08/2020', '11', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40655, '10/08/2020', '10', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40656, '09/08/2020', '9', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40657, '08/08/2020', '8', '8', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40658, '07/08/2020', '7', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40659, '06/08/2020', '6', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40660, '05/08/2020', '5', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40661, '04/08/2020', '4', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40662, '03/08/2020', '3', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40663, '02/08/2020', '2', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40664, '01/08/2020', '1', '8', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40665, '31/07/2020', '31', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40666, '30/07/2020', '30', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40667, '29/07/2020', '29', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40668, '28/07/2020', '28', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40669, '27/07/2020', '27', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40670, '26/07/2020', '26', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40671, '25/07/2020', '25', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40672, '24/07/2020', '24', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40673, '23/07/2020', '23', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40674, '22/07/2020', '22', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40675, '21/07/2020', '21', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40676, '20/07/2020', '20', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40677, '19/07/2020', '19', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40678, '18/07/2020', '18', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40679, '17/07/2020', '17', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40680, '16/07/2020', '16', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40681, '15/07/2020', '15', '7', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40682, '14/07/2020', '14', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40683, '13/07/2020', '13', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40684, '12/07/2020', '12', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40685, '11/07/2020', '11', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40686, '10/07/2020', '10', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40687, '09/07/2020', '9', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40688, '08/07/2020', '8', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40689, '07/07/2020', '7', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40690, '06/07/2020', '6', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40691, '05/07/2020', '5', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40692, '04/07/2020', '4', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40693, '03/07/2020', '3', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40694, '02/07/2020', '2', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40695, '01/07/2020', '1', '7', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40696, '30/06/2020', '30', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40697, '29/06/2020', '29', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40698, '28/06/2020', '28', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40699, '27/06/2020', '27', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40700, '26/06/2020', '26', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40701, '25/06/2020', '25', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40702, '24/06/2020', '24', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40703, '23/06/2020', '23', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40704, '22/06/2020', '22', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40705, '21/06/2020', '21', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40706, '20/06/2020', '20', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40707, '19/06/2020', '19', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40708, '18/06/2020', '18', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40709, '17/06/2020', '17', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40710, '16/06/2020', '16', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40711, '15/06/2020', '15', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40712, '14/06/2020', '14', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40713, '13/06/2020', '13', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40714, '12/06/2020', '12', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40715, '11/06/2020', '11', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40716, '10/06/2020', '10', '6', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40717, '09/06/2020', '9', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40718, '08/06/2020', '8', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40719, '07/06/2020', '7', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40720, '06/06/2020', '6', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40721, '05/06/2020', '5', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40722, '04/06/2020', '4', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40723, '03/06/2020', '3', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40724, '02/06/2020', '2', '6', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40725, '01/06/2020', '1', '6', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40726, '31/05/2020', '31', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40727, '30/05/2020', '30', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40728, '29/05/2020', '29', '5', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.35366056');
INSERT INTO public.ecdc_import VALUES (40729, '28/05/2020', '28', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40730, '27/05/2020', '27', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40731, '26/05/2020', '26', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40732, '25/05/2020', '25', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40733, '24/05/2020', '24', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40734, '23/05/2020', '23', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40735, '22/05/2020', '22', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40736, '21/05/2020', '21', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40737, '20/05/2020', '20', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40738, '19/05/2020', '19', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40739, '18/05/2020', '18', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40740, '17/05/2020', '17', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40741, '16/05/2020', '16', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40742, '15/05/2020', '15', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40743, '14/05/2020', '14', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40744, '13/05/2020', '13', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40745, '12/05/2020', '12', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40746, '11/05/2020', '11', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40747, '10/05/2020', '10', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40748, '09/05/2020', '9', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40749, '08/05/2020', '8', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40750, '07/05/2020', '7', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40751, '06/05/2020', '6', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40752, '05/05/2020', '5', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40753, '04/05/2020', '4', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40754, '03/05/2020', '3', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40755, '02/05/2020', '2', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40756, '01/05/2020', '1', '5', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40757, '30/04/2020', '30', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40758, '29/04/2020', '29', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40759, '28/04/2020', '28', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40760, '27/04/2020', '27', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40761, '26/04/2020', '26', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40762, '25/04/2020', '25', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40763, '24/04/2020', '24', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40764, '23/04/2020', '23', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40765, '22/04/2020', '22', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40766, '21/04/2020', '21', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40767, '20/04/2020', '20', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40768, '19/04/2020', '19', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40769, '18/04/2020', '18', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40770, '17/04/2020', '17', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40771, '16/04/2020', '16', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40772, '15/04/2020', '15', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40773, '14/04/2020', '14', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '0.70732113');
INSERT INTO public.ecdc_import VALUES (40774, '13/04/2020', '13', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40775, '12/04/2020', '12', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40776, '11/04/2020', '11', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40777, '10/04/2020', '10', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.06098169');
INSERT INTO public.ecdc_import VALUES (40778, '09/04/2020', '9', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '1.41464225');
INSERT INTO public.ecdc_import VALUES (40779, '08/04/2020', '8', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '3.18294507');
INSERT INTO public.ecdc_import VALUES (40780, '07/04/2020', '7', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '3.8902662');
INSERT INTO public.ecdc_import VALUES (40781, '06/04/2020', '6', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '4.59758733');
INSERT INTO public.ecdc_import VALUES (40782, '05/04/2020', '5', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '4.95124789');
INSERT INTO public.ecdc_import VALUES (40783, '04/04/2020', '4', '4', '2020', '2', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '5.65856902');
INSERT INTO public.ecdc_import VALUES (40784, '03/04/2020', '3', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '5.65856902');
INSERT INTO public.ecdc_import VALUES (40785, '02/04/2020', '2', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40786, '01/04/2020', '1', '4', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40787, '31/03/2020', '31', '3', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40788, '30/03/2020', '30', '3', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40789, '29/03/2020', '29', '3', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40790, '28/03/2020', '28', '3', '2020', '0', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40791, '27/03/2020', '27', '3', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40792, '26/03/2020', '26', '3', '2020', '5', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40793, '25/03/2020', '25', '3', '2020', '2', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40794, '24/03/2020', '24', '3', '2020', '2', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40795, '23/03/2020', '23', '3', '2020', '1', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40796, '22/03/2020', '22', '3', '2020', '2', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40797, '21/03/2020', '21', '3', '2020', '2', '0', '282757', 'New_Caledonia', 'NC', 'NCL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (40798, '14/12/2020', '14', '12', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.83628437');
INSERT INTO public.ecdc_import VALUES (40799, '13/12/2020', '13', '12', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.96172703');
INSERT INTO public.ecdc_import VALUES (40800, '12/12/2020', '12', '12', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.87809859');
INSERT INTO public.ecdc_import VALUES (40801, '11/12/2020', '11', '12', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.94081992');
INSERT INTO public.ecdc_import VALUES (40802, '10/12/2020', '10', '12', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.00354125');
INSERT INTO public.ecdc_import VALUES (40803, '09/12/2020', '9', '12', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.02444836');
INSERT INTO public.ecdc_import VALUES (40804, '08/12/2020', '8', '12', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.1289839');
INSERT INTO public.ecdc_import VALUES (40805, '07/12/2020', '7', '12', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.02444836');
INSERT INTO public.ecdc_import VALUES (40806, '06/12/2020', '6', '12', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.04535546');
INSERT INTO public.ecdc_import VALUES (40807, '05/12/2020', '5', '12', '2020', '9', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.23351945');
INSERT INTO public.ecdc_import VALUES (40808, '04/12/2020', '4', '12', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.17079812');
INSERT INTO public.ecdc_import VALUES (40809, '03/12/2020', '3', '12', '2020', '9', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.23351945');
INSERT INTO public.ecdc_import VALUES (40810, '02/12/2020', '2', '12', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.08716968');
INSERT INTO public.ecdc_import VALUES (40811, '01/12/2020', '1', '12', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.1289839');
INSERT INTO public.ecdc_import VALUES (40812, '30/11/2020', '30', '11', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.14989101');
INSERT INTO public.ecdc_import VALUES (40813, '29/11/2020', '29', '11', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.02444836');
INSERT INTO public.ecdc_import VALUES (40814, '28/11/2020', '28', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.08716968');
INSERT INTO public.ecdc_import VALUES (40815, '27/11/2020', '27', '11', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.08716968');
INSERT INTO public.ecdc_import VALUES (40816, '26/11/2020', '26', '11', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.02444836');
INSERT INTO public.ecdc_import VALUES (40817, '25/11/2020', '25', '11', '2020', '8', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.06626257');
INSERT INTO public.ecdc_import VALUES (40818, '24/11/2020', '24', '11', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.91991281');
INSERT INTO public.ecdc_import VALUES (40819, '23/11/2020', '23', '11', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.91991281');
INSERT INTO public.ecdc_import VALUES (40820, '22/11/2020', '22', '11', '2020', '9', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.96172703');
INSERT INTO public.ecdc_import VALUES (40821, '21/11/2020', '21', '11', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.8990057');
INSERT INTO public.ecdc_import VALUES (40822, '20/11/2020', '20', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.81537726');
INSERT INTO public.ecdc_import VALUES (40823, '19/11/2020', '19', '11', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40824, '18/11/2020', '18', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40825, '17/11/2020', '17', '11', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40826, '16/11/2020', '16', '11', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.79447015');
INSERT INTO public.ecdc_import VALUES (40827, '15/11/2020', '15', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.87809859');
INSERT INTO public.ecdc_import VALUES (40828, '14/11/2020', '14', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.85719148');
INSERT INTO public.ecdc_import VALUES (40829, '13/11/2020', '13', '11', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.94081992');
INSERT INTO public.ecdc_import VALUES (40830, '12/11/2020', '12', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.87809859');
INSERT INTO public.ecdc_import VALUES (40831, '11/11/2020', '11', '11', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.94081992');
INSERT INTO public.ecdc_import VALUES (40832, '10/11/2020', '10', '11', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.96172703');
INSERT INTO public.ecdc_import VALUES (40833, '09/11/2020', '9', '11', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.96172703');
INSERT INTO public.ecdc_import VALUES (40834, '08/11/2020', '8', '11', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.98263414');
INSERT INTO public.ecdc_import VALUES (40835, '07/11/2020', '7', '11', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.87809859');
INSERT INTO public.ecdc_import VALUES (40836, '06/11/2020', '6', '11', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.06626257');
INSERT INTO public.ecdc_import VALUES (40837, '05/11/2020', '5', '11', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.23351945');
INSERT INTO public.ecdc_import VALUES (40838, '04/11/2020', '4', '11', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.23351945');
INSERT INTO public.ecdc_import VALUES (40839, '03/11/2020', '3', '11', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.69347585');
INSERT INTO public.ecdc_import VALUES (40840, '02/11/2020', '2', '11', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.60984742');
INSERT INTO public.ecdc_import VALUES (40841, '01/11/2020', '1', '11', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.52621898');
INSERT INTO public.ecdc_import VALUES (40842, '31/10/2020', '31', '10', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.54712609');
INSERT INTO public.ecdc_import VALUES (40843, '30/10/2020', '30', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.46349765');
INSERT INTO public.ecdc_import VALUES (40844, '29/10/2020', '29', '10', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.52621898');
INSERT INTO public.ecdc_import VALUES (40845, '28/10/2020', '28', '10', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.44259054');
INSERT INTO public.ecdc_import VALUES (40846, '27/10/2020', '27', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.44259054');
INSERT INTO public.ecdc_import VALUES (40847, '26/10/2020', '26', '10', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.44259054');
INSERT INTO public.ecdc_import VALUES (40848, '25/10/2020', '25', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.33805499');
INSERT INTO public.ecdc_import VALUES (40849, '24/10/2020', '24', '10', '2020', '11', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.33805499');
INSERT INTO public.ecdc_import VALUES (40850, '23/10/2020', '23', '10', '2020', '9', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.19170523');
INSERT INTO public.ecdc_import VALUES (40851, '22/10/2020', '22', '10', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.04535546');
INSERT INTO public.ecdc_import VALUES (40852, '21/10/2020', '21', '10', '2020', '25', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.06626257');
INSERT INTO public.ecdc_import VALUES (40853, '20/10/2020', '20', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.60630617');
INSERT INTO public.ecdc_import VALUES (40854, '19/10/2020', '19', '10', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.64812039');
INSERT INTO public.ecdc_import VALUES (40855, '18/10/2020', '18', '10', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.6690275');
INSERT INTO public.ecdc_import VALUES (40856, '17/10/2020', '17', '10', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.71084172');
INSERT INTO public.ecdc_import VALUES (40857, '16/10/2020', '16', '10', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.6690275');
INSERT INTO public.ecdc_import VALUES (40858, '15/10/2020', '15', '10', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.83628437');
INSERT INTO public.ecdc_import VALUES (40859, '14/10/2020', '14', '10', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.79447015');
INSERT INTO public.ecdc_import VALUES (40860, '13/10/2020', '13', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40861, '12/10/2020', '12', '10', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.79447015');
INSERT INTO public.ecdc_import VALUES (40862, '11/10/2020', '11', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.79447015');
INSERT INTO public.ecdc_import VALUES (40863, '10/10/2020', '10', '10', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.81537726');
INSERT INTO public.ecdc_import VALUES (40864, '09/10/2020', '9', '10', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40865, '08/10/2020', '8', '10', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40866, '07/10/2020', '7', '10', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.77356304');
INSERT INTO public.ecdc_import VALUES (40867, '06/10/2020', '6', '10', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.79447015');
INSERT INTO public.ecdc_import VALUES (40868, '05/10/2020', '5', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.73174883');
INSERT INTO public.ecdc_import VALUES (40869, '04/10/2020', '4', '10', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.71084172');
INSERT INTO public.ecdc_import VALUES (40870, '03/10/2020', '3', '10', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.68993461');
INSERT INTO public.ecdc_import VALUES (40871, '02/10/2020', '2', '10', '2020', '12', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.71084172');
INSERT INTO public.ecdc_import VALUES (40872, '01/10/2020', '1', '10', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4599564');
INSERT INTO public.ecdc_import VALUES (40873, '30/09/2020', '30', '9', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.60630617');
INSERT INTO public.ecdc_import VALUES (40874, '29/09/2020', '29', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.60630617');
INSERT INTO public.ecdc_import VALUES (40875, '28/09/2020', '28', '9', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.62721328');
INSERT INTO public.ecdc_import VALUES (40876, '27/09/2020', '27', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.64812039');
INSERT INTO public.ecdc_import VALUES (40877, '26/09/2020', '26', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.64812039');
INSERT INTO public.ecdc_import VALUES (40878, '25/09/2020', '25', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.64812039');
INSERT INTO public.ecdc_import VALUES (40879, '24/09/2020', '24', '9', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.62721328');
INSERT INTO public.ecdc_import VALUES (40880, '23/09/2020', '23', '9', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.64812039');
INSERT INTO public.ecdc_import VALUES (40881, '22/09/2020', '22', '9', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.68993461');
INSERT INTO public.ecdc_import VALUES (40882, '21/09/2020', '21', '9', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.81537726');
INSERT INTO public.ecdc_import VALUES (40883, '20/09/2020', '20', '9', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.8990057');
INSERT INTO public.ecdc_import VALUES (40884, '19/09/2020', '19', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.98263414');
INSERT INTO public.ecdc_import VALUES (40885, '18/09/2020', '18', '9', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.94081992');
INSERT INTO public.ecdc_import VALUES (40886, '17/09/2020', '17', '9', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.04535546');
INSERT INTO public.ecdc_import VALUES (40887, '16/09/2020', '16', '9', '2020', '1', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.94081992');
INSERT INTO public.ecdc_import VALUES (40888, '15/09/2020', '15', '9', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.02444836');
INSERT INTO public.ecdc_import VALUES (40889, '14/09/2020', '14', '9', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.25442656');
INSERT INTO public.ecdc_import VALUES (40890, '13/09/2020', '13', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.42168343');
INSERT INTO public.ecdc_import VALUES (40891, '12/09/2020', '12', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.42168343');
INSERT INTO public.ecdc_import VALUES (40892, '11/09/2020', '11', '9', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.65166163');
INSERT INTO public.ecdc_import VALUES (40893, '10/09/2020', '10', '9', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.88163984');
INSERT INTO public.ecdc_import VALUES (40894, '09/09/2020', '9', '9', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.94436116');
INSERT INTO public.ecdc_import VALUES (40895, '08/09/2020', '8', '9', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.92345406');
INSERT INTO public.ecdc_import VALUES (40896, '07/09/2020', '7', '9', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.94436116');
INSERT INTO public.ecdc_import VALUES (40897, '06/09/2020', '6', '9', '2020', '8', '2', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.0279896');
INSERT INTO public.ecdc_import VALUES (40898, '05/09/2020', '5', '9', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.92345406');
INSERT INTO public.ecdc_import VALUES (40899, '04/09/2020', '4', '9', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.04889671');
INSERT INTO public.ecdc_import VALUES (40900, '03/09/2020', '3', '9', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.17433937');
INSERT INTO public.ecdc_import VALUES (40901, '02/09/2020', '2', '9', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.23706069');
INSERT INTO public.ecdc_import VALUES (40902, '01/09/2020', '1', '9', '2020', '14', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.2579678');
INSERT INTO public.ecdc_import VALUES (40903, '31/08/2020', '31', '8', '2020', '9', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.23706069');
INSERT INTO public.ecdc_import VALUES (40904, '30/08/2020', '30', '8', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.23706069');
INSERT INTO public.ecdc_import VALUES (40905, '29/08/2020', '29', '8', '2020', '13', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.4670389');
INSERT INTO public.ecdc_import VALUES (40906, '28/08/2020', '28', '8', '2020', '12', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.34159624');
INSERT INTO public.ecdc_import VALUES (40907, '27/08/2020', '27', '8', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.36250335');
INSERT INTO public.ecdc_import VALUES (40908, '26/08/2020', '26', '8', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.59248155');
INSERT INTO public.ecdc_import VALUES (40909, '25/08/2020', '25', '8', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.48794601');
INSERT INTO public.ecdc_import VALUES (40910, '24/08/2020', '24', '8', '2020', '8', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.36250335');
INSERT INTO public.ecdc_import VALUES (40911, '23/08/2020', '23', '8', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.19524648');
INSERT INTO public.ecdc_import VALUES (40912, '22/08/2020', '22', '8', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.13252515');
INSERT INTO public.ecdc_import VALUES (40913, '21/08/2020', '21', '8', '2020', '11', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.00708249');
INSERT INTO public.ecdc_import VALUES (40914, '20/08/2020', '20', '8', '2020', '5', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.77710429');
INSERT INTO public.ecdc_import VALUES (40915, '19/08/2020', '19', '8', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.67256874');
INSERT INTO public.ecdc_import VALUES (40916, '18/08/2020', '18', '8', '2020', '13', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.58894031');
INSERT INTO public.ecdc_import VALUES (40917, '17/08/2020', '17', '8', '2020', '9', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.31714789');
INSERT INTO public.ecdc_import VALUES (40918, '16/08/2020', '16', '8', '2020', '13', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.17079812');
INSERT INTO public.ecdc_import VALUES (40919, '15/08/2020', '15', '8', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.96172703');
INSERT INTO public.ecdc_import VALUES (40920, '14/08/2020', '14', '8', '2020', '13', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.85719148');
INSERT INTO public.ecdc_import VALUES (40921, '13/08/2020', '13', '8', '2020', '18', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.58539906');
INSERT INTO public.ecdc_import VALUES (40922, '12/08/2020', '12', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.2299782');
INSERT INTO public.ecdc_import VALUES (40923, '11/08/2020', '11', '8', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40924, '10/08/2020', '10', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40925, '09/08/2020', '9', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40926, '08/08/2020', '8', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40927, '07/08/2020', '7', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40928, '06/08/2020', '6', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.29269953');
INSERT INTO public.ecdc_import VALUES (40929, '05/08/2020', '5', '8', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.29269953');
INSERT INTO public.ecdc_import VALUES (40930, '04/08/2020', '4', '8', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40931, '03/08/2020', '3', '8', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40932, '02/08/2020', '2', '8', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40933, '01/08/2020', '1', '8', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40934, '31/07/2020', '31', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.2299782');
INSERT INTO public.ecdc_import VALUES (40935, '30/07/2020', '30', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40936, '29/07/2020', '29', '7', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40937, '28/07/2020', '28', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40938, '27/07/2020', '27', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40939, '26/07/2020', '26', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40940, '25/07/2020', '25', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (40941, '24/07/2020', '24', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.29269953');
INSERT INTO public.ecdc_import VALUES (40942, '23/07/2020', '23', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.31360664');
INSERT INTO public.ecdc_import VALUES (40943, '22/07/2020', '22', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.37632797');
INSERT INTO public.ecdc_import VALUES (40944, '21/07/2020', '21', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.39723508');
INSERT INTO public.ecdc_import VALUES (40945, '20/07/2020', '20', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (40946, '19/07/2020', '19', '7', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.41814219');
INSERT INTO public.ecdc_import VALUES (40947, '18/07/2020', '18', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.41814219');
INSERT INTO public.ecdc_import VALUES (40948, '17/07/2020', '17', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.39723508');
INSERT INTO public.ecdc_import VALUES (40949, '16/07/2020', '16', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.37632797');
INSERT INTO public.ecdc_import VALUES (40950, '15/07/2020', '15', '7', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.39723508');
INSERT INTO public.ecdc_import VALUES (40951, '14/07/2020', '14', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.35542086');
INSERT INTO public.ecdc_import VALUES (40952, '13/07/2020', '13', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.33451375');
INSERT INTO public.ecdc_import VALUES (40953, '12/07/2020', '12', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.37632797');
INSERT INTO public.ecdc_import VALUES (40954, '11/07/2020', '11', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (40955, '10/07/2020', '10', '7', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4599564');
INSERT INTO public.ecdc_import VALUES (40956, '09/07/2020', '9', '7', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (40957, '08/07/2020', '8', '7', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (40958, '07/07/2020', '7', '7', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (40959, '06/07/2020', '6', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.41814219');
INSERT INTO public.ecdc_import VALUES (40960, '05/07/2020', '5', '7', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4599564');
INSERT INTO public.ecdc_import VALUES (40961, '04/07/2020', '4', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (40962, '03/07/2020', '3', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.48086351');
INSERT INTO public.ecdc_import VALUES (40963, '02/07/2020', '2', '7', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.48086351');
INSERT INTO public.ecdc_import VALUES (40964, '01/07/2020', '1', '7', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4599564');
INSERT INTO public.ecdc_import VALUES (40965, '30/06/2020', '30', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4599564');
INSERT INTO public.ecdc_import VALUES (40966, '29/06/2020', '29', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.50177062');
INSERT INTO public.ecdc_import VALUES (40967, '28/06/2020', '28', '6', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4599564');
INSERT INTO public.ecdc_import VALUES (40968, '27/06/2020', '27', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.37632797');
INSERT INTO public.ecdc_import VALUES (40969, '26/06/2020', '26', '6', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.33451375');
INSERT INTO public.ecdc_import VALUES (40970, '25/06/2020', '25', '6', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.31360664');
INSERT INTO public.ecdc_import VALUES (40971, '24/06/2020', '24', '6', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (40972, '23/06/2020', '23', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.2299782');
INSERT INTO public.ecdc_import VALUES (40973, '22/06/2020', '22', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.18816398');
INSERT INTO public.ecdc_import VALUES (40974, '21/06/2020', '21', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.14634977');
INSERT INTO public.ecdc_import VALUES (40975, '20/06/2020', '20', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.10453555');
INSERT INTO public.ecdc_import VALUES (40976, '19/06/2020', '19', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.06272133');
INSERT INTO public.ecdc_import VALUES (40977, '18/06/2020', '18', '6', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.06272133');
INSERT INTO public.ecdc_import VALUES (40978, '17/06/2020', '17', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.04181422');
INSERT INTO public.ecdc_import VALUES (40979, '16/06/2020', '16', '6', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.04181422');
INSERT INTO public.ecdc_import VALUES (40980, '15/06/2020', '15', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40981, '14/06/2020', '14', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40982, '13/06/2020', '13', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40983, '12/06/2020', '12', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40984, '11/06/2020', '11', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40985, '10/06/2020', '10', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40986, '09/06/2020', '9', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40987, '08/06/2020', '8', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40988, '07/06/2020', '7', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40989, '06/06/2020', '6', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40990, '05/06/2020', '5', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (40991, '04/06/2020', '4', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (40992, '03/06/2020', '3', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (40993, '02/06/2020', '2', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (40994, '01/06/2020', '1', '6', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.10453555');
INSERT INTO public.ecdc_import VALUES (40995, '31/05/2020', '31', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.10453555');
INSERT INTO public.ecdc_import VALUES (40996, '30/05/2020', '30', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.12544266');
INSERT INTO public.ecdc_import VALUES (40997, '29/05/2020', '29', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.12544266');
INSERT INTO public.ecdc_import VALUES (40998, '28/05/2020', '28', '5', '2020', '0', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.14634977');
INSERT INTO public.ecdc_import VALUES (40999, '27/05/2020', '27', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.14634977');
INSERT INTO public.ecdc_import VALUES (41000, '26/05/2020', '26', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.14634977');
INSERT INTO public.ecdc_import VALUES (41001, '25/05/2020', '25', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.14634977');
INSERT INTO public.ecdc_import VALUES (41002, '24/05/2020', '24', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.20907109');
INSERT INTO public.ecdc_import VALUES (41003, '23/05/2020', '23', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (41004, '22/05/2020', '22', '5', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (41005, '21/05/2020', '21', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.29269953');
INSERT INTO public.ecdc_import VALUES (41006, '20/05/2020', '20', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.31360664');
INSERT INTO public.ecdc_import VALUES (41007, '19/05/2020', '19', '5', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.33451375');
INSERT INTO public.ecdc_import VALUES (41008, '18/05/2020', '18', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.25088531');
INSERT INTO public.ecdc_import VALUES (41009, '17/05/2020', '17', '5', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.27179242');
INSERT INTO public.ecdc_import VALUES (41010, '16/05/2020', '16', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.29269953');
INSERT INTO public.ecdc_import VALUES (41011, '15/05/2020', '15', '5', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.33451375');
INSERT INTO public.ecdc_import VALUES (41012, '14/05/2020', '14', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.37632797');
INSERT INTO public.ecdc_import VALUES (41013, '13/05/2020', '13', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.4390493');
INSERT INTO public.ecdc_import VALUES (41014, '12/05/2020', '12', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.48086351');
INSERT INTO public.ecdc_import VALUES (41015, '11/05/2020', '11', '5', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.52267773');
INSERT INTO public.ecdc_import VALUES (41016, '10/05/2020', '10', '5', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.48086351');
INSERT INTO public.ecdc_import VALUES (41017, '09/05/2020', '9', '5', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.52267773');
INSERT INTO public.ecdc_import VALUES (41018, '08/05/2020', '8', '5', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.56449195');
INSERT INTO public.ecdc_import VALUES (41019, '07/05/2020', '7', '5', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.56449195');
INSERT INTO public.ecdc_import VALUES (41020, '06/05/2020', '6', '5', '2020', '1', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.54358484');
INSERT INTO public.ecdc_import VALUES (41021, '05/05/2020', '5', '5', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.62721328');
INSERT INTO public.ecdc_import VALUES (41022, '04/05/2020', '4', '5', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.6690275');
INSERT INTO public.ecdc_import VALUES (41023, '03/05/2020', '3', '5', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.79447015');
INSERT INTO public.ecdc_import VALUES (41024, '02/05/2020', '2', '5', '2020', '2', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.83628437');
INSERT INTO public.ecdc_import VALUES (41025, '01/05/2020', '1', '5', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.96172703');
INSERT INTO public.ecdc_import VALUES (41026, '30/04/2020', '30', '4', '2020', '3', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.94081992');
INSERT INTO public.ecdc_import VALUES (41027, '29/04/2020', '29', '4', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.00354125');
INSERT INTO public.ecdc_import VALUES (41028, '28/04/2020', '28', '4', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.08716968');
INSERT INTO public.ecdc_import VALUES (41029, '27/04/2020', '27', '4', '2020', '1', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.21261234');
INSERT INTO public.ecdc_import VALUES (41030, '26/04/2020', '26', '4', '2020', '4', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.50531187');
INSERT INTO public.ecdc_import VALUES (41031, '25/04/2020', '25', '4', '2020', '3', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.71438296');
INSERT INTO public.ecdc_import VALUES (41032, '24/04/2020', '24', '4', '2020', '2', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.06980382');
INSERT INTO public.ecdc_import VALUES (41033, '23/04/2020', '23', '4', '2020', '0', '2', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.50885312');
INSERT INTO public.ecdc_import VALUES (41034, '22/04/2020', '22', '4', '2020', '5', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.98971663');
INSERT INTO public.ecdc_import VALUES (41035, '21/04/2020', '21', '4', '2020', '2', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '3.42876592');
INSERT INTO public.ecdc_import VALUES (41036, '20/04/2020', '20', '4', '2020', '7', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '4.0559792');
INSERT INTO public.ecdc_import VALUES (41037, '19/04/2020', '19', '4', '2020', '4', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '4.7250067');
INSERT INTO public.ecdc_import VALUES (41038, '18/04/2020', '18', '4', '2020', '8', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '5.64491951');
INSERT INTO public.ecdc_import VALUES (41039, '17/04/2020', '17', '4', '2020', '2', '2', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '6.56483232');
INSERT INTO public.ecdc_import VALUES (41040, '16/04/2020', '16', '4', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '7.54746646');
INSERT INTO public.ecdc_import VALUES (41041, '15/04/2020', '15', '4', '2020', '6', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '9.01096411');
INSERT INTO public.ecdc_import VALUES (41042, '14/04/2020', '14', '4', '2020', '8', '4', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '8.88552145');
INSERT INTO public.ecdc_import VALUES (41043, '13/04/2020', '13', '4', '2020', '15', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '10.70443996');
INSERT INTO public.ecdc_import VALUES (41044, '12/04/2020', '12', '4', '2020', '14', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '11.97977363');
INSERT INTO public.ecdc_import VALUES (41045, '11/04/2020', '11', '4', '2020', '20', '2', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '12.94150065');
INSERT INTO public.ecdc_import VALUES (41046, '10/04/2020', '10', '4', '2020', '23', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '14.15411299');
INSERT INTO public.ecdc_import VALUES (41047, '09/04/2020', '9', '4', '2020', '23', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '15.26218979');
INSERT INTO public.ecdc_import VALUES (41048, '08/04/2020', '8', '4', '2020', '26', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '16.30754525');
INSERT INTO public.ecdc_import VALUES (41049, '07/04/2020', '7', '4', '2020', '32', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '16.74659455');
INSERT INTO public.ecdc_import VALUES (41050, '06/04/2020', '6', '4', '2020', '39', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '16.91385142');
INSERT INTO public.ecdc_import VALUES (41051, '05/04/2020', '5', '4', '2020', '48', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '16.85113009');
INSERT INTO public.ecdc_import VALUES (41052, '04/04/2020', '4', '4', '2020', '52', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '16.11938127');
INSERT INTO public.ecdc_import VALUES (41053, '03/04/2020', '3', '4', '2020', '49', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '15.32491111');
INSERT INTO public.ecdc_import VALUES (41054, '02/04/2020', '2', '4', '2020', '76', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '14.53044096');
INSERT INTO public.ecdc_import VALUES (41055, '01/04/2020', '1', '4', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '13.10875753');
INSERT INTO public.ecdc_import VALUES (41056, '31/03/2020', '31', '3', '2020', '95', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '13.35964284');
INSERT INTO public.ecdc_import VALUES (41057, '30/03/2020', '30', '3', '2020', '76', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '11.41528168');
INSERT INTO public.ecdc_import VALUES (41058, '29/03/2020', '29', '3', '2020', '60', '1', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '9.84724848');
INSERT INTO public.ecdc_import VALUES (41059, '28/03/2020', '28', '3', '2020', '78', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '8.61372903');
INSERT INTO public.ecdc_import VALUES (41060, '27/03/2020', '27', '3', '2020', '76', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '7.00388161');
INSERT INTO public.ecdc_import VALUES (41061, '26/03/2020', '26', '3', '2020', '73', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '5.43584842');
INSERT INTO public.ecdc_import VALUES (41062, '25/03/2020', '25', '3', '2020', '47', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '3.93053655');
INSERT INTO public.ecdc_import VALUES (41063, '24/03/2020', '24', '3', '2020', '40', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.94790241');
INSERT INTO public.ecdc_import VALUES (41064, '23/03/2020', '23', '3', '2020', '36', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '2.11161804');
INSERT INTO public.ecdc_import VALUES (41065, '22/03/2020', '22', '3', '2020', '13', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.3589621');
INSERT INTO public.ecdc_import VALUES (41066, '21/03/2020', '21', '3', '2020', '14', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '1.10807679');
INSERT INTO public.ecdc_import VALUES (41067, '20/03/2020', '20', '3', '2020', '11', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.81537726');
INSERT INTO public.ecdc_import VALUES (41068, '19/03/2020', '19', '3', '2020', '8', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.58539906');
INSERT INTO public.ecdc_import VALUES (41069, '18/03/2020', '18', '3', '2020', '12', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.41814219');
INSERT INTO public.ecdc_import VALUES (41070, '15/03/2020', '15', '3', '2020', '2', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.16725687');
INSERT INTO public.ecdc_import VALUES (41071, '14/03/2020', '14', '3', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.12544266');
INSERT INTO public.ecdc_import VALUES (41072, '07/03/2020', '7', '3', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.10453555');
INSERT INTO public.ecdc_import VALUES (41073, '06/03/2020', '6', '3', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.08362844');
INSERT INTO public.ecdc_import VALUES (41074, '05/03/2020', '5', '3', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.06272133');
INSERT INTO public.ecdc_import VALUES (41075, '04/03/2020', '4', '3', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.04181422');
INSERT INTO public.ecdc_import VALUES (41076, '02/03/2020', '2', '3', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (41077, '01/03/2020', '1', '3', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (41078, '29/02/2020', '29', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (41079, '28/02/2020', '28', '2', '2020', '1', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0.02090711');
INSERT INTO public.ecdc_import VALUES (41080, '27/02/2020', '27', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41081, '26/02/2020', '26', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41082, '25/02/2020', '25', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41083, '24/02/2020', '24', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41084, '23/02/2020', '23', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41085, '22/02/2020', '22', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41086, '21/02/2020', '21', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41087, '20/02/2020', '20', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41088, '19/02/2020', '19', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41089, '18/02/2020', '18', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41090, '17/02/2020', '17', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41091, '16/02/2020', '16', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41092, '15/02/2020', '15', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41093, '14/02/2020', '14', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41094, '13/02/2020', '13', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41095, '12/02/2020', '12', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41096, '11/02/2020', '11', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41097, '10/02/2020', '10', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41098, '09/02/2020', '9', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41099, '08/02/2020', '8', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41100, '07/02/2020', '7', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41101, '06/02/2020', '6', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41102, '05/02/2020', '5', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41103, '04/02/2020', '4', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41104, '03/02/2020', '3', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41105, '02/02/2020', '2', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41106, '01/02/2020', '1', '2', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41107, '31/01/2020', '31', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41108, '30/01/2020', '30', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41109, '29/01/2020', '29', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41110, '28/01/2020', '28', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41111, '27/01/2020', '27', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41112, '26/01/2020', '26', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41113, '25/01/2020', '25', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41114, '24/01/2020', '24', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41115, '23/01/2020', '23', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41116, '22/01/2020', '22', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41117, '21/01/2020', '21', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41118, '20/01/2020', '20', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41119, '19/01/2020', '19', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41120, '18/01/2020', '18', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41121, '17/01/2020', '17', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41122, '16/01/2020', '16', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41123, '15/01/2020', '15', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41124, '14/01/2020', '14', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41125, '13/01/2020', '13', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (41126, '12/01/2020', '12', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41127, '11/01/2020', '11', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41128, '10/01/2020', '10', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41129, '09/01/2020', '9', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41130, '08/01/2020', '8', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41131, '07/01/2020', '7', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41132, '06/01/2020', '6', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41133, '05/01/2020', '5', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41134, '04/01/2020', '4', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41135, '03/01/2020', '3', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41136, '02/01/2020', '2', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41137, '01/01/2020', '1', '1', '2020', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41138, '31/12/2019', '31', '12', '2019', '0', '0', '4783062', 'New_Zealand', 'NZ', 'NZL', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (41139, '14/12/2020', '14', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.57359946');
INSERT INTO public.ecdc_import VALUES (41140, '13/12/2020', '13', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.57359946');
INSERT INTO public.ecdc_import VALUES (41141, '12/12/2020', '12', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.57359946');
INSERT INTO public.ecdc_import VALUES (41142, '11/12/2020', '11', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.57359946');
INSERT INTO public.ecdc_import VALUES (41143, '10/12/2020', '10', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.57359946');
INSERT INTO public.ecdc_import VALUES (41144, '09/12/2020', '9', '12', '2020', '49', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.57359946');
INSERT INTO public.ecdc_import VALUES (41145, '08/12/2020', '8', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.72637611');
INSERT INTO public.ecdc_import VALUES (41146, '07/12/2020', '7', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.72637611');
INSERT INTO public.ecdc_import VALUES (41147, '06/12/2020', '6', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.72637611');
INSERT INTO public.ecdc_import VALUES (41148, '05/12/2020', '5', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.70414665');
INSERT INTO public.ecdc_import VALUES (41149, '04/12/2020', '4', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.70414665');
INSERT INTO public.ecdc_import VALUES (41150, '03/12/2020', '3', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.70414665');
INSERT INTO public.ecdc_import VALUES (41151, '02/12/2020', '2', '12', '2020', '54', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.70414665');
INSERT INTO public.ecdc_import VALUES (41152, '01/12/2020', '1', '12', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.87915276');
INSERT INTO public.ecdc_import VALUES (41153, '30/11/2020', '30', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.87915276');
INSERT INTO public.ecdc_import VALUES (41154, '29/11/2020', '29', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.87915276');
INSERT INTO public.ecdc_import VALUES (41155, '28/11/2020', '28', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.87915276');
INSERT INTO public.ecdc_import VALUES (41156, '27/11/2020', '27', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.87915276');
INSERT INTO public.ecdc_import VALUES (41157, '26/11/2020', '26', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.87915276');
INSERT INTO public.ecdc_import VALUES (41158, '25/11/2020', '25', '11', '2020', '59', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.94858928');
INSERT INTO public.ecdc_import VALUES (41159, '24/11/2020', '24', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.04720707');
INSERT INTO public.ecdc_import VALUES (41160, '23/11/2020', '23', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.04720707');
INSERT INTO public.ecdc_import VALUES (41161, '22/11/2020', '22', '11', '2020', '64', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.04720707');
INSERT INTO public.ecdc_import VALUES (41162, '21/11/2020', '21', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.06943653');
INSERT INTO public.ecdc_import VALUES (41163, '20/11/2020', '20', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.06943653');
INSERT INTO public.ecdc_import VALUES (41164, '19/11/2020', '19', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41165, '18/11/2020', '18', '11', '2020', '0', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41166, '17/11/2020', '17', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41167, '16/11/2020', '16', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41168, '15/11/2020', '15', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41169, '14/11/2020', '14', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41170, '13/11/2020', '13', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41171, '12/11/2020', '12', '11', '2020', '70', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.24581671');
INSERT INTO public.ecdc_import VALUES (41172, '11/11/2020', '11', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.17638018');
INSERT INTO public.ecdc_import VALUES (41173, '10/11/2020', '10', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.39859335');
INSERT INTO public.ecdc_import VALUES (41174, '09/11/2020', '9', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.39859335');
INSERT INTO public.ecdc_import VALUES (41175, '08/11/2020', '8', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.39859335');
INSERT INTO public.ecdc_import VALUES (41176, '07/11/2020', '7', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.39859335');
INSERT INTO public.ecdc_import VALUES (41177, '06/11/2020', '6', '11', '2020', '77', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.39859335');
INSERT INTO public.ecdc_import VALUES (41178, '05/11/2020', '5', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.22221317');
INSERT INTO public.ecdc_import VALUES (41179, '04/11/2020', '4', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '1.22221317');
INSERT INTO public.ecdc_import VALUES (41180, '03/11/2020', '3', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41181, '02/11/2020', '2', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41182, '01/11/2020', '1', '11', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41183, '31/10/2020', '31', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41184, '30/10/2020', '30', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41185, '29/10/2020', '29', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41186, '28/10/2020', '28', '10', '2020', '80', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.45970401');
INSERT INTO public.ecdc_import VALUES (41187, '27/10/2020', '27', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41188, '26/10/2020', '26', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41189, '25/10/2020', '25', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41190, '24/10/2020', '24', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41191, '23/10/2020', '23', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41192, '22/10/2020', '22', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41193, '21/10/2020', '21', '10', '2020', '81', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.597203');
INSERT INTO public.ecdc_import VALUES (41194, '20/10/2020', '20', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41195, '19/10/2020', '19', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41196, '18/10/2020', '18', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41197, '17/10/2020', '17', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41198, '16/10/2020', '16', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41199, '15/10/2020', '15', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41200, '14/10/2020', '14', '10', '2020', '89', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.79581264');
INSERT INTO public.ecdc_import VALUES (41201, '13/10/2020', '13', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41202, '12/10/2020', '12', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41203, '11/10/2020', '11', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41204, '10/10/2020', '10', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41205, '09/10/2020', '9', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41206, '08/10/2020', '8', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41207, '07/10/2020', '7', '10', '2020', '94', '2', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '2.91803395');
INSERT INTO public.ecdc_import VALUES (41208, '06/10/2020', '6', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41209, '05/10/2020', '5', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41210, '04/10/2020', '4', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41211, '03/10/2020', '3', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41212, '02/10/2020', '2', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41213, '01/10/2020', '1', '10', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41214, '30/09/2020', '30', '9', '2020', '97', '2', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.19303192');
INSERT INTO public.ecdc_import VALUES (41215, '29/09/2020', '29', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41216, '28/09/2020', '28', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41217, '27/09/2020', '27', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41218, '26/09/2020', '26', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41219, '25/09/2020', '25', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41220, '24/09/2020', '24', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41221, '23/09/2020', '23', '9', '2020', '112', '2', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '3.89580449');
INSERT INTO public.ecdc_import VALUES (41222, '22/09/2020', '22', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41223, '21/09/2020', '21', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41224, '20/09/2020', '20', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41225, '19/09/2020', '19', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41226, '18/09/2020', '18', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41227, '17/09/2020', '17', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41228, '16/09/2020', '16', '9', '2020', '143', '3', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.47635575');
INSERT INTO public.ecdc_import VALUES (41229, '15/09/2020', '15', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41230, '14/09/2020', '14', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41231, '13/09/2020', '13', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41232, '12/09/2020', '12', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41233, '11/09/2020', '11', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41234, '10/09/2020', '10', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41235, '09/09/2020', '9', '9', '2020', '150', '3', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.94996336');
INSERT INTO public.ecdc_import VALUES (41236, '08/09/2020', '8', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41237, '07/09/2020', '7', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41238, '06/09/2020', '6', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41239, '05/09/2020', '5', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41240, '04/09/2020', '4', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41241, '03/09/2020', '3', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41242, '02/09/2020', '2', '9', '2020', '174', '4', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.45412629');
INSERT INTO public.ecdc_import VALUES (41243, '01/09/2020', '1', '9', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41244, '31/08/2020', '31', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41245, '30/08/2020', '30', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41246, '29/08/2020', '29', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41247, '28/08/2020', '28', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41248, '27/08/2020', '27', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41249, '26/08/2020', '26', '8', '2020', '183', '4', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '5.79023491');
INSERT INTO public.ecdc_import VALUES (41250, '25/08/2020', '25', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41251, '24/08/2020', '24', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41252, '23/08/2020', '23', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41253, '22/08/2020', '22', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41254, '21/08/2020', '21', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41255, '20/08/2020', '20', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41256, '19/08/2020', '19', '8', '2020', '196', '5', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.24856485');
INSERT INTO public.ecdc_import VALUES (41257, '18/08/2020', '18', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41258, '17/08/2020', '17', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41259, '16/08/2020', '16', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41260, '15/08/2020', '15', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41261, '14/08/2020', '14', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41262, '13/08/2020', '13', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41263, '12/08/2020', '12', '8', '2020', '213', '5', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '6.76800545');
INSERT INTO public.ecdc_import VALUES (41264, '11/08/2020', '11', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41265, '10/08/2020', '10', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41266, '09/08/2020', '9', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41267, '08/08/2020', '8', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41268, '07/08/2020', '7', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41269, '06/08/2020', '6', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41270, '05/08/2020', '5', '8', '2020', '230', '7', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.07355875');
INSERT INTO public.ecdc_import VALUES (41271, '04/08/2020', '4', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41272, '03/08/2020', '3', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41273, '02/08/2020', '2', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41274, '01/08/2020', '1', '8', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41275, '31/07/2020', '31', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41276, '30/07/2020', '30', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41277, '29/07/2020', '29', '7', '2020', '233', '8', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.02077396');
INSERT INTO public.ecdc_import VALUES (41278, '28/07/2020', '28', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41279, '27/07/2020', '27', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41280, '26/07/2020', '26', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41281, '25/07/2020', '25', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41282, '24/07/2020', '24', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41283, '23/07/2020', '23', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41284, '22/07/2020', '22', '7', '2020', '292', '9', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.05965516');
INSERT INTO public.ecdc_import VALUES (41285, '21/07/2020', '21', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41286, '20/07/2020', '20', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41287, '19/07/2020', '19', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41288, '18/07/2020', '18', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41289, '17/07/2020', '17', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41290, '16/07/2020', '16', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41291, '15/07/2020', '15', '7', '2020', '301', '8', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '9.59437342');
INSERT INTO public.ecdc_import VALUES (41292, '14/07/2020', '14', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41293, '13/07/2020', '13', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41294, '12/07/2020', '12', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41295, '11/07/2020', '11', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41296, '10/07/2020', '10', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41297, '09/07/2020', '9', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41298, '08/07/2020', '8', '7', '2020', '327', '8', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.32770132');
INSERT INTO public.ecdc_import VALUES (41299, '07/07/2020', '7', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.71522066');
INSERT INTO public.ecdc_import VALUES (41300, '06/07/2020', '6', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.71522066');
INSERT INTO public.ecdc_import VALUES (41301, '05/07/2020', '5', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.71522066');
INSERT INTO public.ecdc_import VALUES (41302, '04/07/2020', '4', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.71522066');
INSERT INTO public.ecdc_import VALUES (41303, '03/07/2020', '3', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.71522066');
INSERT INTO public.ecdc_import VALUES (41304, '02/07/2020', '2', '7', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.71522066');
INSERT INTO public.ecdc_import VALUES (41305, '01/07/2020', '1', '7', '2020', '349', '9', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.63325462');
INSERT INTO public.ecdc_import VALUES (41306, '30/06/2020', '30', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.86799731');
INSERT INTO public.ecdc_import VALUES (41307, '29/06/2020', '29', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.86799731');
INSERT INTO public.ecdc_import VALUES (41308, '28/06/2020', '28', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.86799731');
INSERT INTO public.ecdc_import VALUES (41309, '27/06/2020', '27', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '7.86799731');
INSERT INTO public.ecdc_import VALUES (41310, '26/06/2020', '26', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.78603126');
INSERT INTO public.ecdc_import VALUES (41311, '25/06/2020', '25', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.78603126');
INSERT INTO public.ecdc_import VALUES (41312, '24/06/2020', '24', '6', '2020', '156', '10', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.15406929');
INSERT INTO public.ecdc_import VALUES (41313, '23/06/2020', '23', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.7707536');
INSERT INTO public.ecdc_import VALUES (41314, '22/06/2020', '22', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.7707536');
INSERT INTO public.ecdc_import VALUES (41315, '21/06/2020', '21', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.7707536');
INSERT INTO public.ecdc_import VALUES (41316, '20/06/2020', '20', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41317, '19/06/2020', '19', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41318, '18/06/2020', '18', '6', '2020', '191', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41319, '17/06/2020', '17', '6', '2020', '168', '9', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.7707536');
INSERT INTO public.ecdc_import VALUES (41320, '16/06/2020', '16', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41321, '15/06/2020', '15', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41322, '14/06/2020', '14', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41323, '13/06/2020', '13', '6', '2020', '191', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '13.68878755');
INSERT INTO public.ecdc_import VALUES (41324, '12/06/2020', '12', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.7707536');
INSERT INTO public.ecdc_import VALUES (41325, '11/06/2020', '11', '6', '2020', '155', '9', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '10.7707536');
INSERT INTO public.ecdc_import VALUES (41326, '10/06/2020', '10', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '8.40271557');
INSERT INTO public.ecdc_import VALUES (41327, '09/06/2020', '9', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '15.73599462');
INSERT INTO public.ecdc_import VALUES (41328, '08/06/2020', '8', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '15.73599462');
INSERT INTO public.ecdc_import VALUES (41329, '07/06/2020', '7', '6', '2020', '191', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '15.73599462');
INSERT INTO public.ecdc_import VALUES (41330, '06/06/2020', '6', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '12.81796067');
INSERT INTO public.ecdc_import VALUES (41331, '05/06/2020', '5', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '16.6984875');
INSERT INTO public.ecdc_import VALUES (41332, '04/06/2020', '4', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '16.6984875');
INSERT INTO public.ecdc_import VALUES (41333, '03/06/2020', '3', '6', '2020', '359', '11', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '16.6984875');
INSERT INTO public.ecdc_import VALUES (41334, '02/06/2020', '2', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41335, '01/06/2020', '1', '6', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41336, '31/05/2020', '31', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41337, '30/05/2020', '30', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41338, '29/05/2020', '29', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41339, '28/05/2020', '28', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41340, '27/05/2020', '27', '5', '2020', '480', '18', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '11.21380588');
INSERT INTO public.ecdc_import VALUES (41341, '26/05/2020', '26', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.01802581');
INSERT INTO public.ecdc_import VALUES (41342, '25/05/2020', '25', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.01802581');
INSERT INTO public.ecdc_import VALUES (41343, '24/05/2020', '24', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.01802581');
INSERT INTO public.ecdc_import VALUES (41344, '23/05/2020', '23', '5', '2020', '254', '9', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '4.01802581');
INSERT INTO public.ecdc_import VALUES (41345, '22/05/2020', '22', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.13749898');
INSERT INTO public.ecdc_import VALUES (41346, '21/05/2020', '21', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.13749898');
INSERT INTO public.ecdc_import VALUES (41347, '20/05/2020', '20', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.13749898');
INSERT INTO public.ecdc_import VALUES (41348, '19/05/2020', '19', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.15277665');
INSERT INTO public.ecdc_import VALUES (41349, '18/05/2020', '18', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.16805431');
INSERT INTO public.ecdc_import VALUES (41350, '17/05/2020', '17', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.16805431');
INSERT INTO public.ecdc_import VALUES (41351, '16/05/2020', '16', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.16805431');
INSERT INTO public.ecdc_import VALUES (41352, '15/05/2020', '15', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.16805431');
INSERT INTO public.ecdc_import VALUES (41353, '14/05/2020', '14', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.16805431');
INSERT INTO public.ecdc_import VALUES (41354, '13/05/2020', '13', '5', '2020', '9', '3', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.18333198');
INSERT INTO public.ecdc_import VALUES (41355, '12/05/2020', '12', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41356, '11/05/2020', '11', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41357, '10/05/2020', '10', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41358, '09/05/2020', '9', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41359, '08/05/2020', '8', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.09166599');
INSERT INTO public.ecdc_import VALUES (41360, '07/05/2020', '7', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.09166599');
INSERT INTO public.ecdc_import VALUES (41361, '06/05/2020', '6', '5', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.09166599');
INSERT INTO public.ecdc_import VALUES (41362, '05/05/2020', '5', '5', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.09166599');
INSERT INTO public.ecdc_import VALUES (41363, '04/05/2020', '4', '5', '2020', '0', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41364, '03/05/2020', '3', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41365, '02/05/2020', '2', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41366, '01/05/2020', '1', '5', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41367, '30/04/2020', '30', '4', '2020', '1', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41368, '29/04/2020', '29', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41369, '28/04/2020', '28', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41370, '27/04/2020', '27', '4', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41371, '26/04/2020', '26', '4', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41372, '25/04/2020', '25', '4', '2020', '1', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41373, '24/04/2020', '24', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41374, '23/04/2020', '23', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41375, '22/04/2020', '22', '4', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41376, '21/04/2020', '21', '4', '2020', '0', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41377, '20/04/2020', '20', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41378, '19/04/2020', '19', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41379, '18/04/2020', '18', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41380, '17/04/2020', '17', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41381, '16/04/2020', '16', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41382, '15/04/2020', '15', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41383, '14/04/2020', '14', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41384, '13/04/2020', '13', '4', '2020', '2', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41385, '12/04/2020', '12', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41386, '11/04/2020', '11', '4', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.07638832');
INSERT INTO public.ecdc_import VALUES (41387, '10/04/2020', '10', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41388, '09/04/2020', '9', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41389, '08/04/2020', '8', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41390, '07/04/2020', '7', '4', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41391, '06/04/2020', '6', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41392, '05/04/2020', '5', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41393, '04/04/2020', '4', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.04583299');
INSERT INTO public.ecdc_import VALUES (41394, '03/04/2020', '3', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41395, '02/04/2020', '2', '4', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41396, '01/04/2020', '1', '4', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '0.06111066');
INSERT INTO public.ecdc_import VALUES (41397, '31/03/2020', '31', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41398, '30/03/2020', '30', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41399, '29/03/2020', '29', '3', '2020', '2', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41400, '28/03/2020', '28', '3', '2020', '0', '1', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41401, '27/03/2020', '27', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41402, '26/03/2020', '26', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41403, '25/03/2020', '25', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41404, '24/03/2020', '24', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41405, '23/03/2020', '23', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41406, '22/03/2020', '22', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41407, '21/03/2020', '21', '3', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41408, '20/03/2020', '20', '3', '2020', '0', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41409, '19/03/2020', '19', '3', '2020', '1', '0', '6545503', 'Nicaragua', 'NI', 'NIC', 'America', '');
INSERT INTO public.ecdc_import VALUES (41410, '14/12/2020', '14', '12', '2020', '59', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '3.183085');
INSERT INTO public.ecdc_import VALUES (41411, '13/12/2020', '13', '12', '2020', '39', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '3.06725846');
INSERT INTO public.ecdc_import VALUES (41412, '12/12/2020', '12', '12', '2020', '34', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.95143191');
INSERT INTO public.ecdc_import VALUES (41413, '11/12/2020', '11', '12', '2020', '48', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.92998255');
INSERT INTO public.ecdc_import VALUES (41414, '10/12/2020', '10', '12', '2020', '91', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.82702563');
INSERT INTO public.ecdc_import VALUES (41415, '09/12/2020', '9', '12', '2020', '93', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.49241561');
INSERT INTO public.ecdc_import VALUES (41416, '08/12/2020', '8', '12', '2020', '38', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.20070432');
INSERT INTO public.ecdc_import VALUES (41417, '07/12/2020', '7', '12', '2020', '67', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.09345752');
INSERT INTO public.ecdc_import VALUES (41418, '06/12/2020', '6', '12', '2020', '63', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.87896392');
INSERT INTO public.ecdc_import VALUES (41419, '05/12/2020', '5', '12', '2020', '86', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.65589058');
INSERT INTO public.ecdc_import VALUES (41420, '04/12/2020', '4', '12', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.30841095');
INSERT INTO public.ecdc_import VALUES (41421, '03/12/2020', '3', '12', '2020', '54', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.32557044');
INSERT INTO public.ecdc_import VALUES (41422, '02/12/2020', '2', '12', '2020', '38', '3', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.11107684');
INSERT INTO public.ecdc_import VALUES (41423, '01/12/2020', '1', '12', '2020', '32', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.9952503');
INSERT INTO public.ecdc_import VALUES (41424, '30/11/2020', '30', '11', '2020', '32', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.89658324');
INSERT INTO public.ecdc_import VALUES (41425, '29/11/2020', '29', '11', '2020', '12', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.78504657');
INSERT INTO public.ecdc_import VALUES (41426, '28/11/2020', '28', '11', '2020', '29', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.78504657');
INSERT INTO public.ecdc_import VALUES (41427, '27/11/2020', '27', '11', '2020', '24', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.69066939');
INSERT INTO public.ecdc_import VALUES (41428, '26/11/2020', '26', '11', '2020', '13', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.66922003');
INSERT INTO public.ecdc_import VALUES (41429, '25/11/2020', '25', '11', '2020', '25', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.6434808');
INSERT INTO public.ecdc_import VALUES (41430, '24/11/2020', '24', '11', '2020', '13', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.59200233');
INSERT INTO public.ecdc_import VALUES (41431, '23/11/2020', '23', '11', '2020', '17', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.536234');
INSERT INTO public.ecdc_import VALUES (41432, '22/11/2020', '22', '11', '2020', '11', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.46759604');
INSERT INTO public.ecdc_import VALUES (41433, '21/11/2020', '21', '11', '2020', '5', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.47188592');
INSERT INTO public.ecdc_import VALUES (41434, '20/11/2020', '20', '11', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.46759604');
INSERT INTO public.ecdc_import VALUES (41435, '19/11/2020', '19', '11', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.45472643');
INSERT INTO public.ecdc_import VALUES (41436, '18/11/2020', '18', '11', '2020', '11', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.45043656');
INSERT INTO public.ecdc_import VALUES (41437, '17/11/2020', '17', '11', '2020', '9', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.40324797');
INSERT INTO public.ecdc_import VALUES (41438, '16/11/2020', '16', '11', '2020', '6', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.36892899');
INSERT INTO public.ecdc_import VALUES (41439, '15/11/2020', '15', '11', '2020', '12', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.34747963');
INSERT INTO public.ecdc_import VALUES (41440, '14/11/2020', '14', '11', '2020', '7', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.29600117');
INSERT INTO public.ecdc_import VALUES (41441, '13/11/2020', '13', '11', '2020', '19', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.27026193');
INSERT INTO public.ecdc_import VALUES (41442, '12/11/2020', '12', '11', '2020', '7', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.19304424');
INSERT INTO public.ecdc_import VALUES (41443, '11/11/2020', '11', '11', '2020', '13', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.16301513');
INSERT INTO public.ecdc_import VALUES (41444, '10/11/2020', '10', '11', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12011642');
INSERT INTO public.ecdc_import VALUES (41445, '09/11/2020', '9', '11', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12011642');
INSERT INTO public.ecdc_import VALUES (41446, '08/11/2020', '8', '11', '2020', '12', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11582654');
INSERT INTO public.ecdc_import VALUES (41447, '07/11/2020', '7', '11', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41448, '06/11/2020', '6', '11', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41449, '05/11/2020', '5', '11', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41450, '04/11/2020', '4', '11', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04289872');
INSERT INTO public.ecdc_import VALUES (41451, '03/11/2020', '3', '11', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41452, '02/11/2020', '2', '11', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41453, '01/11/2020', '1', '11', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41454, '31/10/2020', '31', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41455, '30/10/2020', '30', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05147846');
INSERT INTO public.ecdc_import VALUES (41456, '29/10/2020', '29', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05576834');
INSERT INTO public.ecdc_import VALUES (41457, '28/10/2020', '28', '10', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41458, '27/10/2020', '27', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05576834');
INSERT INTO public.ecdc_import VALUES (41459, '26/10/2020', '26', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41460, '25/10/2020', '25', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41461, '24/10/2020', '24', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41462, '23/10/2020', '23', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41463, '22/10/2020', '22', '10', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41464, '21/10/2020', '21', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05147846');
INSERT INTO public.ecdc_import VALUES (41465, '20/10/2020', '20', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41466, '19/10/2020', '19', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04289872');
INSERT INTO public.ecdc_import VALUES (41467, '18/10/2020', '18', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.03860885');
INSERT INTO public.ecdc_import VALUES (41468, '17/10/2020', '17', '10', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41469, '16/10/2020', '16', '10', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04289872');
INSERT INTO public.ecdc_import VALUES (41470, '15/10/2020', '15', '10', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.03431898');
INSERT INTO public.ecdc_import VALUES (41471, '14/10/2020', '14', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0300291');
INSERT INTO public.ecdc_import VALUES (41472, '13/10/2020', '13', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02573923');
INSERT INTO public.ecdc_import VALUES (41473, '12/10/2020', '12', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41474, '11/10/2020', '11', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0300291');
INSERT INTO public.ecdc_import VALUES (41475, '10/10/2020', '10', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0300291');
INSERT INTO public.ecdc_import VALUES (41476, '09/10/2020', '9', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0300291');
INSERT INTO public.ecdc_import VALUES (41477, '08/10/2020', '8', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0300291');
INSERT INTO public.ecdc_import VALUES (41478, '07/10/2020', '7', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0300291');
INSERT INTO public.ecdc_import VALUES (41479, '06/10/2020', '6', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41480, '05/10/2020', '5', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05147846');
INSERT INTO public.ecdc_import VALUES (41481, '04/10/2020', '4', '10', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.0772177');
INSERT INTO public.ecdc_import VALUES (41482, '03/10/2020', '3', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41483, '02/10/2020', '2', '10', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.07292782');
INSERT INTO public.ecdc_import VALUES (41484, '01/10/2020', '1', '10', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.07292782');
INSERT INTO public.ecdc_import VALUES (41485, '30/09/2020', '30', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41486, '29/09/2020', '29', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41487, '28/09/2020', '28', '9', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41488, '27/09/2020', '27', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41489, '26/09/2020', '26', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41490, '25/09/2020', '25', '9', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41491, '24/09/2020', '24', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41492, '23/09/2020', '23', '9', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41493, '22/09/2020', '22', '9', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41494, '21/09/2020', '21', '9', '2020', '6', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41495, '20/09/2020', '20', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41496, '19/09/2020', '19', '9', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41497, '18/09/2020', '18', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01286962');
INSERT INTO public.ecdc_import VALUES (41498, '17/09/2020', '17', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01286962');
INSERT INTO public.ecdc_import VALUES (41499, '16/09/2020', '16', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01715949');
INSERT INTO public.ecdc_import VALUES (41500, '15/09/2020', '15', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01715949');
INSERT INTO public.ecdc_import VALUES (41501, '14/09/2020', '14', '9', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01715949');
INSERT INTO public.ecdc_import VALUES (41502, '13/09/2020', '13', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01286962');
INSERT INTO public.ecdc_import VALUES (41503, '12/09/2020', '12', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.01286962');
INSERT INTO public.ecdc_import VALUES (41504, '11/09/2020', '11', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41505, '10/09/2020', '10', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41506, '09/09/2020', '9', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41507, '08/09/2020', '8', '9', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02573923');
INSERT INTO public.ecdc_import VALUES (41508, '07/09/2020', '7', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41509, '06/09/2020', '6', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41510, '05/09/2020', '5', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.02144936');
INSERT INTO public.ecdc_import VALUES (41511, '04/09/2020', '4', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.03431898');
INSERT INTO public.ecdc_import VALUES (41512, '03/09/2020', '3', '9', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04289872');
INSERT INTO public.ecdc_import VALUES (41513, '02/09/2020', '2', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.03860885');
INSERT INTO public.ecdc_import VALUES (41514, '01/09/2020', '1', '9', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.03860885');
INSERT INTO public.ecdc_import VALUES (41515, '31/08/2020', '31', '8', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.03860885');
INSERT INTO public.ecdc_import VALUES (41516, '30/08/2020', '30', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04289872');
INSERT INTO public.ecdc_import VALUES (41517, '29/08/2020', '29', '8', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04289872');
INSERT INTO public.ecdc_import VALUES (41518, '28/08/2020', '28', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05147846');
INSERT INTO public.ecdc_import VALUES (41519, '27/08/2020', '27', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05147846');
INSERT INTO public.ecdc_import VALUES (41520, '26/08/2020', '26', '8', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41521, '25/08/2020', '25', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41522, '24/08/2020', '24', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06005821');
INSERT INTO public.ecdc_import VALUES (41523, '23/08/2020', '23', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41524, '22/08/2020', '22', '8', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.08150757');
INSERT INTO public.ecdc_import VALUES (41525, '21/08/2020', '21', '8', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06863795');
INSERT INTO public.ecdc_import VALUES (41526, '20/08/2020', '20', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41527, '19/08/2020', '19', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41528, '18/08/2020', '18', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.06434808');
INSERT INTO public.ecdc_import VALUES (41529, '17/08/2020', '17', '8', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.08579744');
INSERT INTO public.ecdc_import VALUES (41530, '16/08/2020', '16', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12440629');
INSERT INTO public.ecdc_import VALUES (41531, '15/08/2020', '15', '8', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.13298603');
INSERT INTO public.ecdc_import VALUES (41532, '14/08/2020', '14', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11582654');
INSERT INTO public.ecdc_import VALUES (41533, '13/08/2020', '13', '8', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11582654');
INSERT INTO public.ecdc_import VALUES (41534, '12/08/2020', '12', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11153667');
INSERT INTO public.ecdc_import VALUES (41535, '11/08/2020', '11', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11153667');
INSERT INTO public.ecdc_import VALUES (41536, '10/08/2020', '10', '8', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11153667');
INSERT INTO public.ecdc_import VALUES (41537, '09/08/2020', '9', '8', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.14156577');
INSERT INTO public.ecdc_import VALUES (41538, '08/08/2020', '8', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12440629');
INSERT INTO public.ecdc_import VALUES (41539, '07/08/2020', '7', '8', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12440629');
INSERT INTO public.ecdc_import VALUES (41540, '06/08/2020', '6', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12869616');
INSERT INTO public.ecdc_import VALUES (41541, '05/08/2020', '5', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.16730501');
INSERT INTO public.ecdc_import VALUES (41542, '04/08/2020', '4', '8', '2020', '5', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.20162398');
INSERT INTO public.ecdc_import VALUES (41543, '03/08/2020', '3', '8', '2020', '11', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.18446449');
INSERT INTO public.ecdc_import VALUES (41544, '02/08/2020', '2', '8', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1372759');
INSERT INTO public.ecdc_import VALUES (41545, '01/08/2020', '1', '8', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1372759');
INSERT INTO public.ecdc_import VALUES (41546, '31/07/2020', '31', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1372759');
INSERT INTO public.ecdc_import VALUES (41547, '30/07/2020', '30', '7', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.14585565');
INSERT INTO public.ecdc_import VALUES (41548, '29/07/2020', '29', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.14156577');
INSERT INTO public.ecdc_import VALUES (41549, '28/07/2020', '28', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.14156577');
INSERT INTO public.ecdc_import VALUES (41550, '27/07/2020', '27', '7', '2020', '8', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.14156577');
INSERT INTO public.ecdc_import VALUES (41551, '26/07/2020', '26', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1072468');
INSERT INTO public.ecdc_import VALUES (41552, '25/07/2020', '25', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1072468');
INSERT INTO public.ecdc_import VALUES (41553, '24/07/2020', '24', '7', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11582654');
INSERT INTO public.ecdc_import VALUES (41554, '23/07/2020', '23', '7', '2020', '9', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1072468');
INSERT INTO public.ecdc_import VALUES (41555, '22/07/2020', '22', '7', '2020', '8', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.08150757');
INSERT INTO public.ecdc_import VALUES (41556, '21/07/2020', '21', '7', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.05147846');
INSERT INTO public.ecdc_import VALUES (41557, '20/07/2020', '20', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.04718859');
INSERT INTO public.ecdc_import VALUES (41558, '19/07/2020', '19', '7', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09437718');
INSERT INTO public.ecdc_import VALUES (41559, '18/07/2020', '18', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.08579744');
INSERT INTO public.ecdc_import VALUES (41560, '17/07/2020', '17', '7', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09008731');
INSERT INTO public.ecdc_import VALUES (41561, '16/07/2020', '16', '7', '2020', '1', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1072468');
INSERT INTO public.ecdc_import VALUES (41562, '15/07/2020', '15', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.10295693');
INSERT INTO public.ecdc_import VALUES (41563, '14/07/2020', '14', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.10295693');
INSERT INTO public.ecdc_import VALUES (41564, '13/07/2020', '13', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.1072468');
INSERT INTO public.ecdc_import VALUES (41565, '12/07/2020', '12', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.13298603');
INSERT INTO public.ecdc_import VALUES (41566, '11/07/2020', '11', '7', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.15872526');
INSERT INTO public.ecdc_import VALUES (41567, '10/07/2020', '10', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.16301513');
INSERT INTO public.ecdc_import VALUES (41568, '09/07/2020', '9', '7', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.17588475');
INSERT INTO public.ecdc_import VALUES (41569, '08/07/2020', '8', '7', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.18446449');
INSERT INTO public.ecdc_import VALUES (41570, '07/07/2020', '7', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.20162398');
INSERT INTO public.ecdc_import VALUES (41571, '06/07/2020', '6', '7', '2020', '11', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.2445227');
INSERT INTO public.ecdc_import VALUES (41572, '05/07/2020', '5', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.20162398');
INSERT INTO public.ecdc_import VALUES (41573, '04/07/2020', '4', '7', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.26597206');
INSERT INTO public.ecdc_import VALUES (41574, '03/07/2020', '3', '7', '2020', '6', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.26168219');
INSERT INTO public.ecdc_import VALUES (41575, '02/07/2020', '2', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.23594296');
INSERT INTO public.ecdc_import VALUES (41576, '01/07/2020', '1', '7', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.25310245');
INSERT INTO public.ecdc_import VALUES (41577, '30/06/2020', '30', '6', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.40753784');
INSERT INTO public.ecdc_import VALUES (41578, '29/06/2020', '29', '6', '2020', '6', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.40324797');
INSERT INTO public.ecdc_import VALUES (41579, '28/06/2020', '28', '6', '2020', '6', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.37750873');
INSERT INTO public.ecdc_import VALUES (41580, '27/06/2020', '27', '6', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.36034925');
INSERT INTO public.ecdc_import VALUES (41581, '26/06/2020', '26', '6', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.36463912');
INSERT INTO public.ecdc_import VALUES (41582, '25/06/2020', '25', '6', '2020', '5', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.3517695');
INSERT INTO public.ecdc_import VALUES (41583, '24/06/2020', '24', '6', '2020', '5', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.33032014');
INSERT INTO public.ecdc_import VALUES (41584, '23/06/2020', '23', '6', '2020', '10', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.31316065');
INSERT INTO public.ecdc_import VALUES (41585, '22/06/2020', '22', '6', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.27026193');
INSERT INTO public.ecdc_import VALUES (41586, '21/06/2020', '21', '6', '2020', '15', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.27884168');
INSERT INTO public.ecdc_import VALUES (41587, '20/06/2020', '20', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.23165309');
INSERT INTO public.ecdc_import VALUES (41588, '19/06/2020', '19', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.2445227');
INSERT INTO public.ecdc_import VALUES (41589, '18/06/2020', '18', '6', '2020', '4', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.25310245');
INSERT INTO public.ecdc_import VALUES (41590, '17/06/2020', '17', '6', '2020', '36', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.24023283');
INSERT INTO public.ecdc_import VALUES (41591, '16/06/2020', '16', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09437718');
INSERT INTO public.ecdc_import VALUES (41592, '15/06/2020', '15', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09437718');
INSERT INTO public.ecdc_import VALUES (41593, '14/06/2020', '14', '6', '2020', '2', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.10295693');
INSERT INTO public.ecdc_import VALUES (41594, '13/06/2020', '13', '6', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09866706');
INSERT INTO public.ecdc_import VALUES (41595, '12/06/2020', '12', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.08150757');
INSERT INTO public.ecdc_import VALUES (41596, '11/06/2020', '11', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.08150757');
INSERT INTO public.ecdc_import VALUES (41597, '10/06/2020', '10', '6', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09437718');
INSERT INTO public.ecdc_import VALUES (41598, '09/06/2020', '9', '6', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.09437718');
INSERT INTO public.ecdc_import VALUES (41599, '08/06/2020', '8', '6', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12011642');
INSERT INTO public.ecdc_import VALUES (41600, '07/06/2020', '7', '6', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.11582654');
INSERT INTO public.ecdc_import VALUES (41601, '06/06/2020', '6', '6', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.12440629');
INSERT INTO public.ecdc_import VALUES (41602, '05/06/2020', '5', '6', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.16730501');
INSERT INTO public.ecdc_import VALUES (41603, '04/06/2020', '4', '6', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.17588475');
INSERT INTO public.ecdc_import VALUES (41604, '03/06/2020', '3', '6', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.19733411');
INSERT INTO public.ecdc_import VALUES (41605, '02/06/2020', '2', '6', '2020', '0', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.21020373');
INSERT INTO public.ecdc_import VALUES (41606, '01/06/2020', '1', '6', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.23165309');
INSERT INTO public.ecdc_import VALUES (41607, '31/05/2020', '31', '5', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.28742142');
INSERT INTO public.ecdc_import VALUES (41608, '30/05/2020', '30', '5', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.30029104');
INSERT INTO public.ecdc_import VALUES (41609, '29/05/2020', '29', '5', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.33889989');
INSERT INTO public.ecdc_import VALUES (41610, '28/05/2020', '28', '5', '2020', '3', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.40753784');
INSERT INTO public.ecdc_import VALUES (41611, '27/05/2020', '27', '5', '2020', '1', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.42040745');
INSERT INTO public.ecdc_import VALUES (41612, '26/05/2020', '26', '5', '2020', '6', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.51049476');
INSERT INTO public.ecdc_import VALUES (41613, '25/05/2020', '25', '5', '2020', '2', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.53194412');
INSERT INTO public.ecdc_import VALUES (41614, '24/05/2020', '24', '5', '2020', '6', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.54910361');
INSERT INTO public.ecdc_import VALUES (41615, '23/05/2020', '23', '5', '2020', '13', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.60916182');
INSERT INTO public.ecdc_import VALUES (41616, '22/05/2020', '22', '5', '2020', '4', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.61345169');
INSERT INTO public.ecdc_import VALUES (41617, '21/05/2020', '21', '5', '2020', '6', '3', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.6434808');
INSERT INTO public.ecdc_import VALUES (41618, '20/05/2020', '20', '5', '2020', '5', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.64777067');
INSERT INTO public.ecdc_import VALUES (41619, '19/05/2020', '19', '5', '2020', '5', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.66064028');
INSERT INTO public.ecdc_import VALUES (41620, '18/05/2020', '18', '5', '2020', '15', '3', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.66064028');
INSERT INTO public.ecdc_import VALUES (41621, '17/05/2020', '17', '5', '2020', '4', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.65635041');
INSERT INTO public.ecdc_import VALUES (41622, '16/05/2020', '16', '5', '2020', '9', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.6735099');
INSERT INTO public.ecdc_import VALUES (41623, '15/05/2020', '15', '5', '2020', '16', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.6735099');
INSERT INTO public.ecdc_import VALUES (41624, '14/05/2020', '14', '5', '2020', '6', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.63061118');
INSERT INTO public.ecdc_import VALUES (41625, '13/05/2020', '13', '5', '2020', '22', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.62203144');
INSERT INTO public.ecdc_import VALUES (41626, '12/05/2020', '12', '5', '2020', '11', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.56197323');
INSERT INTO public.ecdc_import VALUES (41627, '11/05/2020', '11', '5', '2020', '6', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.536234');
INSERT INTO public.ecdc_import VALUES (41628, '10/05/2020', '10', '5', '2020', '20', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.56197323');
INSERT INTO public.ecdc_import VALUES (41629, '09/05/2020', '9', '5', '2020', '14', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.4890454');
INSERT INTO public.ecdc_import VALUES (41630, '08/05/2020', '8', '5', '2020', '11', '4', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.47188592');
INSERT INTO public.ecdc_import VALUES (41631, '07/05/2020', '7', '5', '2020', '7', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.46330617');
INSERT INTO public.ecdc_import VALUES (41632, '06/05/2020', '6', '5', '2020', '8', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.46330617');
INSERT INTO public.ecdc_import VALUES (41633, '05/05/2020', '5', '5', '2020', '5', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.4289872');
INSERT INTO public.ecdc_import VALUES (41634, '04/05/2020', '4', '5', '2020', '14', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.43756694');
INSERT INTO public.ecdc_import VALUES (41635, '03/05/2020', '3', '5', '2020', '8', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.41611758');
INSERT INTO public.ecdc_import VALUES (41636, '02/05/2020', '2', '5', '2020', '9', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.43327707');
INSERT INTO public.ecdc_import VALUES (41637, '01/05/2020', '1', '5', '2020', '6', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.47188592');
INSERT INTO public.ecdc_import VALUES (41638, '30/04/2020', '30', '4', '2020', '4', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.55339348');
INSERT INTO public.ecdc_import VALUES (41639, '29/04/2020', '29', '4', '2020', '8', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.5962922');
INSERT INTO public.ecdc_import VALUES (41640, '28/04/2020', '28', '4', '2020', '5', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.65635041');
INSERT INTO public.ecdc_import VALUES (41641, '27/04/2020', '27', '4', '2020', '12', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.71640862');
INSERT INTO public.ecdc_import VALUES (41642, '26/04/2020', '26', '4', '2020', '3', '3', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.82794529');
INSERT INTO public.ecdc_import VALUES (41643, '25/04/2020', '25', '4', '2020', '10', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.04243889');
INSERT INTO public.ecdc_import VALUES (41644, '24/04/2020', '24', '4', '2020', '9', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.11965658');
INSERT INTO public.ecdc_import VALUES (41645, '23/04/2020', '23', '4', '2020', '7', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.37275903');
INSERT INTO public.ecdc_import VALUES (41646, '22/04/2020', '22', '4', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.61728173');
INSERT INTO public.ecdc_import VALUES (41647, '21/04/2020', '21', '4', '2020', '7', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.72452853');
INSERT INTO public.ecdc_import VALUES (41648, '20/04/2020', '20', '4', '2020', '9', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.99050059');
INSERT INTO public.ecdc_import VALUES (41649, '19/04/2020', '19', '4', '2020', '12', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.22644355');
INSERT INTO public.ecdc_import VALUES (41650, '18/04/2020', '18', '4', '2020', '18', '3', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.26934227');
INSERT INTO public.ecdc_import VALUES (41651, '17/04/2020', '17', '4', '2020', '25', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.2950815');
INSERT INTO public.ecdc_import VALUES (41652, '16/04/2020', '16', '4', '2020', '14', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.1878347');
INSERT INTO public.ecdc_import VALUES (41653, '15/04/2020', '15', '4', '2020', '22', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.35942958');
INSERT INTO public.ecdc_import VALUES (41654, '14/04/2020', '14', '4', '2020', '19', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.2650524');
INSERT INTO public.ecdc_import VALUES (41655, '13/04/2020', '13', '4', '2020', '38', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.22644355');
INSERT INTO public.ecdc_import VALUES (41656, '12/04/2020', '12', '4', '2020', '53', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '2.06342842');
INSERT INTO public.ecdc_import VALUES (41657, '11/04/2020', '11', '4', '2020', '28', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.8360652');
INSERT INTO public.ecdc_import VALUES (41658, '10/04/2020', '10', '4', '2020', '68', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.71594879');
INSERT INTO public.ecdc_import VALUES (41659, '09/04/2020', '9', '4', '2020', '64', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.43710711');
INSERT INTO public.ecdc_import VALUES (41660, '08/04/2020', '8', '4', '2020', '25', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.1625553');
INSERT INTO public.ecdc_import VALUES (41661, '07/04/2020', '7', '4', '2020', '69', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '1.07675786');
INSERT INTO public.ecdc_import VALUES (41662, '06/04/2020', '6', '4', '2020', '64', '5', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.78504657');
INSERT INTO public.ecdc_import VALUES (41663, '05/04/2020', '5', '4', '2020', '22', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.51049476');
INSERT INTO public.ecdc_import VALUES (41664, '04/04/2020', '4', '4', '2020', '24', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.41611758');
INSERT INTO public.ecdc_import VALUES (41665, '03/04/2020', '3', '4', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '0.31745053');
INSERT INTO public.ecdc_import VALUES (41666, '02/04/2020', '2', '4', '2020', '54', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41667, '01/04/2020', '1', '4', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41668, '31/03/2020', '31', '3', '2020', '10', '2', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41669, '30/03/2020', '30', '3', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41670, '29/03/2020', '29', '3', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41671, '28/03/2020', '28', '3', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41672, '27/03/2020', '27', '3', '2020', '3', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41673, '26/03/2020', '26', '3', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41674, '25/03/2020', '25', '3', '2020', '5', '1', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41675, '24/03/2020', '24', '3', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41676, '23/03/2020', '23', '3', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41677, '22/03/2020', '22', '3', '2020', '0', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41678, '21/03/2020', '21', '3', '2020', '1', '0', '23310719', 'Niger', 'NE', 'NER', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (41679, '14/12/2020', '14', '12', '2020', '418', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.86768346');
INSERT INTO public.ecdc_import VALUES (41680, '13/12/2020', '13', '12', '2020', '617', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.700489');
INSERT INTO public.ecdc_import VALUES (41681, '12/12/2020', '12', '12', '2020', '796', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.44820451');
INSERT INTO public.ecdc_import VALUES (41682, '11/12/2020', '11', '12', '2020', '675', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.17452312');
INSERT INTO public.ecdc_import VALUES (41683, '10/12/2020', '10', '12', '2020', '474', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.92273623');
INSERT INTO public.ecdc_import VALUES (41684, '09/12/2020', '9', '12', '2020', '550', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.78539793');
INSERT INTO public.ecdc_import VALUES (41685, '08/12/2020', '8', '12', '2020', '390', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.59531375');
INSERT INTO public.ecdc_import VALUES (41686, '07/12/2020', '7', '12', '2020', '318', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.4291145');
INSERT INTO public.ecdc_import VALUES (41687, '06/12/2020', '6', '12', '2020', '310', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.34800529');
INSERT INTO public.ecdc_import VALUES (41688, '05/12/2020', '5', '12', '2020', '324', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.31615873');
INSERT INTO public.ecdc_import VALUES (41689, '04/12/2020', '4', '12', '2020', '343', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.22609267');
INSERT INTO public.ecdc_import VALUES (41690, '03/12/2020', '3', '12', '2020', '77', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12806497');
INSERT INTO public.ecdc_import VALUES (41691, '02/12/2020', '2', '12', '2020', '326', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.20718377');
INSERT INTO public.ecdc_import VALUES (41692, '01/12/2020', '1', '12', '2020', '145', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12060093');
INSERT INTO public.ecdc_import VALUES (41693, '30/11/2020', '30', '11', '2020', '82', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12657216');
INSERT INTO public.ecdc_import VALUES (41694, '29/11/2020', '29', '11', '2020', '110', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.16140434');
INSERT INTO public.ecdc_import VALUES (41695, '28/11/2020', '28', '11', '2020', '246', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.16239954');
INSERT INTO public.ecdc_import VALUES (41696, '27/11/2020', '27', '11', '2020', '169', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.11761531');
INSERT INTO public.ecdc_import VALUES (41697, '26/11/2020', '26', '11', '2020', '198', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.13901222');
INSERT INTO public.ecdc_import VALUES (41698, '25/11/2020', '25', '11', '2020', '168', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.13005538');
INSERT INTO public.ecdc_import VALUES (41699, '24/11/2020', '24', '11', '2020', '56', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12209374');
INSERT INTO public.ecdc_import VALUES (41700, '23/11/2020', '23', '11', '2020', '155', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.14100263');
INSERT INTO public.ecdc_import VALUES (41701, '22/11/2020', '22', '11', '2020', '246', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.213155');
INSERT INTO public.ecdc_import VALUES (41702, '21/11/2020', '21', '11', '2020', '143', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12010333');
INSERT INTO public.ecdc_import VALUES (41703, '20/11/2020', '20', '11', '2020', '146', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.15991153');
INSERT INTO public.ecdc_import VALUES (41704, '19/11/2020', '19', '11', '2020', '236', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.17683002');
INSERT INTO public.ecdc_import VALUES (41705, '18/11/2020', '18', '11', '2020', '152', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.13652421');
INSERT INTO public.ecdc_import VALUES (41706, '17/11/2020', '17', '11', '2020', '157', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12906017');
INSERT INTO public.ecdc_import VALUES (41707, '16/11/2020', '16', '11', '2020', '152', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.08676395');
INSERT INTO public.ecdc_import VALUES (41708, '15/11/2020', '15', '11', '2020', '112', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.06636225');
INSERT INTO public.ecdc_import VALUES (41709, '14/11/2020', '14', '11', '2020', '156', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.09124238');
INSERT INTO public.ecdc_import VALUES (41710, '13/11/2020', '13', '11', '2020', '212', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.09820881');
INSERT INTO public.ecdc_import VALUES (41711, '12/11/2020', '12', '11', '2020', '180', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.06735746');
INSERT INTO public.ecdc_import VALUES (41712, '11/11/2020', '11', '11', '2020', '152', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.05093657');
INSERT INTO public.ecdc_import VALUES (41713, '10/11/2020', '10', '11', '2020', '94', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.03153007');
INSERT INTO public.ecdc_import VALUES (41714, '09/11/2020', '9', '11', '2020', '300', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.04397014');
INSERT INTO public.ecdc_import VALUES (41715, '08/11/2020', '8', '11', '2020', '59', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.92554073');
INSERT INTO public.ecdc_import VALUES (41716, '07/11/2020', '7', '11', '2020', '223', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.9200671');
INSERT INTO public.ecdc_import VALUES (41717, '06/11/2020', '6', '11', '2020', '180', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.84741713');
INSERT INTO public.ecdc_import VALUES (41718, '05/11/2020', '5', '11', '2020', '155', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.82651782');
INSERT INTO public.ecdc_import VALUES (41719, '04/11/2020', '4', '11', '2020', '137', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.76780072');
INSERT INTO public.ecdc_import VALUES (41720, '03/11/2020', '3', '11', '2020', '72', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.73545656');
INSERT INTO public.ecdc_import VALUES (41721, '02/11/2020', '2', '11', '2020', '111', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.75834628');
INSERT INTO public.ecdc_import VALUES (41722, '01/11/2020', '1', '11', '2020', '162', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.76929353');
INSERT INTO public.ecdc_import VALUES (41723, '31/10/2020', '31', '10', '2020', '170', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.74491101');
INSERT INTO public.ecdc_import VALUES (41724, '30/10/2020', '30', '10', '2020', '150', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.83945549');
INSERT INTO public.ecdc_import VALUES (41725, '29/10/2020', '29', '10', '2020', '147', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.76481511');
INSERT INTO public.ecdc_import VALUES (41726, '28/10/2020', '28', '10', '2020', '113', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.78073839');
INSERT INTO public.ecdc_import VALUES (41727, '27/10/2020', '27', '10', '2020', '119', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.83646988');
INSERT INTO public.ecdc_import VALUES (41728, '26/10/2020', '26', '10', '2020', '62', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.85886199');
INSERT INTO public.ecdc_import VALUES (41729, '25/10/2020', '25', '10', '2020', '48', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.90911985');
INSERT INTO public.ecdc_import VALUES (41730, '24/10/2020', '24', '10', '2020', '77', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.94046881');
INSERT INTO public.ecdc_import VALUES (41731, '23/10/2020', '23', '10', '2020', '138', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.9772914');
INSERT INTO public.ecdc_import VALUES (41732, '22/10/2020', '22', '10', '2020', '37', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.95987531');
INSERT INTO public.ecdc_import VALUES (41733, '21/10/2020', '21', '10', '2020', '72', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.01859241');
INSERT INTO public.ecdc_import VALUES (41734, '20/10/2020', '20', '10', '2020', '118', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.04148212');
INSERT INTO public.ecdc_import VALUES (41735, '19/10/2020', '19', '10', '2020', '133', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.04247733');
INSERT INTO public.ecdc_import VALUES (41736, '18/10/2020', '18', '10', '2020', '113', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.00515714');
INSERT INTO public.ecdc_import VALUES (41737, '17/10/2020', '17', '10', '2020', '360', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.02854446');
INSERT INTO public.ecdc_import VALUES (41738, '16/10/2020', '16', '10', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.91210546');
INSERT INTO public.ecdc_import VALUES (41739, '15/10/2020', '15', '10', '2020', '179', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.98823865');
INSERT INTO public.ecdc_import VALUES (41740, '14/10/2020', '14', '10', '2020', '225', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.99918591');
INSERT INTO public.ecdc_import VALUES (41741, '13/10/2020', '13', '10', '2020', '164', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.98027701');
INSERT INTO public.ecdc_import VALUES (41742, '12/10/2020', '12', '10', '2020', '163', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.96634414');
INSERT INTO public.ecdc_import VALUES (41743, '11/10/2020', '11', '10', '2020', '111', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.94793285');
INSERT INTO public.ecdc_import VALUES (41744, '10/10/2020', '10', '10', '2020', '151', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.96037291');
INSERT INTO public.ecdc_import VALUES (41745, '09/10/2020', '9', '10', '2020', '103', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.99122427');
INSERT INTO public.ecdc_import VALUES (41746, '08/10/2020', '8', '10', '2020', '155', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.00217152');
INSERT INTO public.ecdc_import VALUES (41747, '07/10/2020', '7', '10', '2020', '118', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.98027701');
INSERT INTO public.ecdc_import VALUES (41748, '06/10/2020', '6', '10', '2020', '120', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.00913796');
INSERT INTO public.ecdc_import VALUES (41749, '05/10/2020', '5', '10', '2020', '58', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.04645815');
INSERT INTO public.ecdc_import VALUES (41750, '04/10/2020', '4', '10', '2020', '160', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.06586465');
INSERT INTO public.ecdc_import VALUES (41751, '03/10/2020', '3', '10', '2020', '126', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.08029512');
INSERT INTO public.ecdc_import VALUES (41752, '02/10/2020', '2', '10', '2020', '153', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.12756736');
INSERT INTO public.ecdc_import VALUES (41753, '01/10/2020', '1', '10', '2020', '201', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.11662011');
INSERT INTO public.ecdc_import VALUES (41754, '30/09/2020', '30', '9', '2020', '187', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.07929992');
INSERT INTO public.ecdc_import VALUES (41755, '29/09/2020', '29', '9', '2020', '136', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.03103247');
INSERT INTO public.ecdc_import VALUES (41756, '28/09/2020', '28', '9', '2020', '126', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.02904206');
INSERT INTO public.ecdc_import VALUES (41757, '27/09/2020', '27', '9', '2020', '136', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.00565474');
INSERT INTO public.ecdc_import VALUES (41758, '26/09/2020', '26', '9', '2020', '213', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.0175972');
INSERT INTO public.ecdc_import VALUES (41759, '25/09/2020', '25', '9', '2020', '125', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.00515714');
INSERT INTO public.ecdc_import VALUES (41760, '24/09/2020', '24', '9', '2020', '111', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.04098452');
INSERT INTO public.ecdc_import VALUES (41761, '23/09/2020', '23', '9', '2020', '176', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.07332869');
INSERT INTO public.ecdc_import VALUES (41762, '22/09/2020', '22', '9', '2020', '195', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.13304099');
INSERT INTO public.ecdc_import VALUES (41763, '21/09/2020', '21', '9', '2020', '97', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.11313689');
INSERT INTO public.ecdc_import VALUES (41764, '20/09/2020', '20', '9', '2020', '189', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.1146297');
INSERT INTO public.ecdc_import VALUES (41765, '19/09/2020', '19', '9', '2020', '221', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.10119443');
INSERT INTO public.ecdc_import VALUES (41766, '18/09/2020', '18', '9', '2020', '131', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.06885026');
INSERT INTO public.ecdc_import VALUES (41767, '17/09/2020', '17', '9', '2020', '126', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.06536705');
INSERT INTO public.ecdc_import VALUES (41768, '16/09/2020', '16', '9', '2020', '90', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.11015127');
INSERT INTO public.ecdc_import VALUES (41769, '15/09/2020', '15', '9', '2020', '132', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.18429405');
INSERT INTO public.ecdc_import VALUES (41770, '14/09/2020', '14', '9', '2020', '79', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.18976768');
INSERT INTO public.ecdc_import VALUES (41771, '13/09/2020', '13', '9', '2020', '160', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.21912623');
INSERT INTO public.ecdc_import VALUES (41772, '12/09/2020', '12', '9', '2020', '188', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.26391046');
INSERT INTO public.ecdc_import VALUES (41773, '11/09/2020', '11', '9', '2020', '197', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.24997759');
INSERT INTO public.ecdc_import VALUES (41774, '10/09/2020', '10', '9', '2020', '176', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.29924024');
INSERT INTO public.ecdc_import VALUES (41775, '09/09/2020', '9', '9', '2020', '296', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.32163236');
INSERT INTO public.ecdc_import VALUES (41776, '08/09/2020', '8', '9', '2020', '155', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.29973784');
INSERT INTO public.ecdc_import VALUES (41777, '07/09/2020', '7', '9', '2020', '100', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.38233987');
INSERT INTO public.ecdc_import VALUES (41778, '06/09/2020', '6', '9', '2020', '162', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.49280763');
INSERT INTO public.ecdc_import VALUES (41779, '05/09/2020', '5', '9', '2020', '156', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.71125515');
INSERT INTO public.ecdc_import VALUES (41780, '04/09/2020', '4', '9', '2020', '124', '21', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.80281402');
INSERT INTO public.ecdc_import VALUES (41781, '03/09/2020', '3', '9', '2020', '216', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.97797011');
INSERT INTO public.ecdc_import VALUES (41782, '02/09/2020', '2', '9', '2020', '239', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.16556627');
INSERT INTO public.ecdc_import VALUES (41783, '01/09/2020', '1', '9', '2020', '143', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.2506563');
INSERT INTO public.ecdc_import VALUES (41784, '31/08/2020', '31', '8', '2020', '138', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.3869994');
INSERT INTO public.ecdc_import VALUES (41785, '30/08/2020', '30', '8', '2020', '250', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.46661581');
INSERT INTO public.ecdc_import VALUES (41786, '29/08/2020', '29', '8', '2020', '160', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.503936');
INSERT INTO public.ecdc_import VALUES (41787, '28/08/2020', '28', '8', '2020', '296', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.58803083');
INSERT INTO public.ecdc_import VALUES (41788, '27/08/2020', '27', '8', '2020', '221', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.62634622');
INSERT INTO public.ecdc_import VALUES (41789, '26/08/2020', '26', '8', '2020', '252', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.74179001');
INSERT INTO public.ecdc_import VALUES (41790, '25/08/2020', '25', '8', '2020', '321', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.82688005');
INSERT INTO public.ecdc_import VALUES (41791, '24/08/2020', '24', '8', '2020', '322', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.81145437');
INSERT INTO public.ecdc_import VALUES (41792, '23/08/2020', '23', '8', '2020', '601', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.86867866');
INSERT INTO public.ecdc_import VALUES (41793, '22/08/2020', '22', '8', '2020', '340', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.79503349');
INSERT INTO public.ecdc_import VALUES (41794, '21/08/2020', '21', '8', '2020', '476', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.84628655');
INSERT INTO public.ecdc_import VALUES (41795, '20/08/2020', '20', '8', '2020', '593', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.78557904');
INSERT INTO public.ecdc_import VALUES (41796, '19/08/2020', '19', '8', '2020', '410', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.71790509');
INSERT INTO public.ecdc_import VALUES (41797, '18/08/2020', '18', '8', '2020', '417', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.66515922');
INSERT INTO public.ecdc_import VALUES (41798, '17/08/2020', '17', '8', '2020', '298', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.60096849');
INSERT INTO public.ecdc_import VALUES (41799, '16/08/2020', '16', '8', '2020', '325', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.60395411');
INSERT INTO public.ecdc_import VALUES (41800, '15/08/2020', '15', '8', '2020', '329', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.63430787');
INSERT INTO public.ecdc_import VALUES (41801, '14/08/2020', '14', '8', '2020', '373', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.700489');
INSERT INTO public.ecdc_import VALUES (41802, '13/08/2020', '13', '8', '2020', '453', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.75423008');
INSERT INTO public.ecdc_import VALUES (41803, '12/08/2020', '12', '8', '2020', '423', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.72984755');
INSERT INTO public.ecdc_import VALUES (41804, '11/08/2020', '11', '8', '2020', '290', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.82986566');
INSERT INTO public.ecdc_import VALUES (41805, '10/08/2020', '10', '8', '2020', '437', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.00800738');
INSERT INTO public.ecdc_import VALUES (41806, '09/08/2020', '9', '8', '2020', '453', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.06672448');
INSERT INTO public.ecdc_import VALUES (41807, '08/08/2020', '8', '8', '2020', '443', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.05926044');
INSERT INTO public.ecdc_import VALUES (41808, '07/08/2020', '7', '8', '2020', '354', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.13290561');
INSERT INTO public.ecdc_import VALUES (41809, '06/08/2020', '6', '8', '2020', '457', '17', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.25730625');
INSERT INTO public.ecdc_import VALUES (41810, '05/08/2020', '5', '8', '2020', '304', '14', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.30010007');
INSERT INTO public.ecdc_import VALUES (41811, '04/08/2020', '4', '8', '2020', '288', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.43544796');
INSERT INTO public.ecdc_import VALUES (41812, '03/08/2020', '3', '8', '2020', '304', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.57179106');
INSERT INTO public.ecdc_import VALUES (41813, '02/08/2020', '2', '8', '2020', '386', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.6971869');
INSERT INTO public.ecdc_import VALUES (41814, '01/08/2020', '1', '8', '2020', '462', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.83004678');
INSERT INTO public.ecdc_import VALUES (41815, '31/07/2020', '31', '7', '2020', '481', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.89871593');
INSERT INTO public.ecdc_import VALUES (41816, '30/07/2020', '30', '7', '2020', '404', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.95544262');
INSERT INTO public.ecdc_import VALUES (41817, '29/07/2020', '29', '7', '2020', '624', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.07436963');
INSERT INTO public.ecdc_import VALUES (41818, '28/07/2020', '28', '7', '2020', '648', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.99425562');
INSERT INTO public.ecdc_import VALUES (41819, '27/07/2020', '27', '7', '2020', '555', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.96788268');
INSERT INTO public.ecdc_import VALUES (41820, '26/07/2020', '26', '7', '2020', '438', '11', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.97584432');
INSERT INTO public.ecdc_import VALUES (41821, '25/07/2020', '25', '7', '2020', '591', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.0883025');
INSERT INTO public.ecdc_import VALUES (41822, '24/07/2020', '24', '7', '2020', '604', '20', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.08034086');
INSERT INTO public.ecdc_import VALUES (41823, '23/07/2020', '23', '7', '2020', '543', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.02809259');
INSERT INTO public.ecdc_import VALUES (41824, '22/07/2020', '22', '7', '2020', '576', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.98679158');
INSERT INTO public.ecdc_import VALUES (41825, '21/07/2020', '21', '7', '2020', '562', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.95046659');
INSERT INTO public.ecdc_import VALUES (41826, '20/07/2020', '20', '7', '2020', '556', '11', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.95693543');
INSERT INTO public.ecdc_import VALUES (41827, '19/07/2020', '19', '7', '2020', '653', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.9509642');
INSERT INTO public.ecdc_import VALUES (41828, '18/07/2020', '18', '7', '2020', '600', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.92608407');
INSERT INTO public.ecdc_import VALUES (41829, '17/07/2020', '17', '7', '2020', '595', '9', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.8534341');
INSERT INTO public.ecdc_import VALUES (41830, '16/07/2020', '16', '7', '2020', '643', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.86885978');
INSERT INTO public.ecdc_import VALUES (41831, '15/07/2020', '15', '7', '2020', '463', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.94200735');
INSERT INTO public.ecdc_import VALUES (41832, '14/07/2020', '14', '7', '2020', '595', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.9907724');
INSERT INTO public.ecdc_import VALUES (41833, '13/07/2020', '13', '7', '2020', '571', '16', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.97634192');
INSERT INTO public.ecdc_import VALUES (41834, '12/07/2020', '12', '7', '2020', '664', '15', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.93603612');
INSERT INTO public.ecdc_import VALUES (41835, '11/07/2020', '11', '7', '2020', '575', '20', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.99326041');
INSERT INTO public.ecdc_import VALUES (41836, '10/07/2020', '10', '7', '2020', '499', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.04749909');
INSERT INTO public.ecdc_import VALUES (41837, '09/07/2020', '9', '7', '2020', '460', '15', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.09477133');
INSERT INTO public.ecdc_import VALUES (41838, '08/07/2020', '8', '7', '2020', '503', '15', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.18881821');
INSERT INTO public.ecdc_import VALUES (41839, '07/07/2020', '7', '7', '2020', '575', '9', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.16344048');
INSERT INTO public.ecdc_import VALUES (41840, '06/07/2020', '6', '7', '2020', '544', '11', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.21320074');
INSERT INTO public.ecdc_import VALUES (41841, '05/07/2020', '5', '7', '2020', '603', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.15945966');
INSERT INTO public.ecdc_import VALUES (41842, '04/07/2020', '4', '7', '2020', '454', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.18832061');
INSERT INTO public.ecdc_import VALUES (41843, '03/07/2020', '3', '7', '2020', '626', '13', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.29430995');
INSERT INTO public.ecdc_import VALUES (41844, '02/07/2020', '2', '7', '2020', '790', '13', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.35352465');
INSERT INTO public.ecdc_import VALUES (41845, '01/07/2020', '1', '7', '2020', '561', '17', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.25251134');
INSERT INTO public.ecdc_import VALUES (41846, '30/06/2020', '30', '6', '2020', '566', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.21718156');
INSERT INTO public.ecdc_import VALUES (41847, '29/06/2020', '29', '6', '2020', '490', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.22066477');
INSERT INTO public.ecdc_import VALUES (41848, '28/06/2020', '28', '6', '2020', '779', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.17737335');
INSERT INTO public.ecdc_import VALUES (41849, '27/06/2020', '27', '6', '2020', '684', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.03903985');
INSERT INTO public.ecdc_import VALUES (41850, '26/06/2020', '26', '6', '2020', '594', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.0106765');
INSERT INTO public.ecdc_import VALUES (41851, '25/06/2020', '25', '6', '2020', '649', '9', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.05396792');
INSERT INTO public.ecdc_import VALUES (41852, '24/06/2020', '24', '6', '2020', '452', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.93454331');
INSERT INTO public.ecdc_import VALUES (41853, '23/06/2020', '23', '6', '2020', '675', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '4.03953745');
INSERT INTO public.ecdc_import VALUES (41854, '22/06/2020', '22', '6', '2020', '436', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.86040053');
INSERT INTO public.ecdc_import VALUES (41855, '21/06/2020', '21', '6', '2020', '661', '19', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.76933927');
INSERT INTO public.ecdc_import VALUES (41856, '20/06/2020', '20', '6', '2020', '667', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.63399138');
INSERT INTO public.ecdc_import VALUES (41857, '19/06/2020', '19', '6', '2020', '745', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.46530411');
INSERT INTO public.ecdc_import VALUES (41858, '18/06/2020', '18', '6', '2020', '587', '14', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.26875111');
INSERT INTO public.ecdc_import VALUES (41859, '17/06/2020', '17', '6', '2020', '490', '31', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.1493265');
INSERT INTO public.ecdc_import VALUES (41860, '16/06/2020', '16', '6', '2020', '573', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '3.02542346');
INSERT INTO public.ecdc_import VALUES (41861, '15/06/2020', '15', '6', '2020', '403', '13', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.94729987');
INSERT INTO public.ecdc_import VALUES (41862, '14/06/2020', '14', '6', '2020', '501', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.89953002');
INSERT INTO public.ecdc_import VALUES (41863, '13/06/2020', '13', '6', '2020', '627', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.92540535');
INSERT INTO public.ecdc_import VALUES (41864, '12/06/2020', '12', '6', '2020', '681', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.80598074');
INSERT INTO public.ecdc_import VALUES (41865, '11/06/2020', '11', '6', '2020', '409', '17', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.55767707');
INSERT INTO public.ecdc_import VALUES (41866, '10/06/2020', '10', '6', '2020', '663', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.54772502');
INSERT INTO public.ecdc_import VALUES (41867, '09/06/2020', '9', '6', '2020', '315', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.35515284');
INSERT INTO public.ecdc_import VALUES (41868, '08/06/2020', '8', '6', '2020', '253', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.31235902');
INSERT INTO public.ecdc_import VALUES (41869, '07/06/2020', '7', '6', '2020', '389', '9', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.34221517');
INSERT INTO public.ecdc_import VALUES (41870, '06/06/2020', '6', '6', '2020', '328', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.28051246');
INSERT INTO public.ecdc_import VALUES (41871, '05/06/2020', '5', '6', '2020', '350', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.23921145');
INSERT INTO public.ecdc_import VALUES (41872, '04/06/2020', '4', '6', '2020', '347', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.23373782');
INSERT INTO public.ecdc_import VALUES (41873, '03/06/2020', '3', '6', '2020', '241', '15', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.19840804');
INSERT INTO public.ecdc_import VALUES (41874, '02/06/2020', '2', '6', '2020', '416', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.190944');
INSERT INTO public.ecdc_import VALUES (41875, '01/06/2020', '1', '6', '2020', '307', '14', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.09142349');
INSERT INTO public.ecdc_import VALUES (41876, '31/05/2020', '31', '5', '2020', '553', '12', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '2.10684917');
INSERT INTO public.ecdc_import VALUES (41877, '30/05/2020', '30', '5', '2020', '387', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.91925301');
INSERT INTO public.ecdc_import VALUES (41878, '29/05/2020', '29', '5', '2020', '182', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.86750235');
INSERT INTO public.ecdc_import VALUES (41879, '28/05/2020', '28', '5', '2020', '389', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.87198077');
INSERT INTO public.ecdc_import VALUES (41880, '27/05/2020', '27', '5', '2020', '276', '16', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.76997225');
INSERT INTO public.ecdc_import VALUES (41881, '26/05/2020', '26', '5', '2020', '229', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.70528392');
INSERT INTO public.ecdc_import VALUES (41882, '25/05/2020', '25', '5', '2020', '313', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.71175275');
INSERT INTO public.ecdc_import VALUES (41883, '24/05/2020', '24', '5', '2020', '265', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.67940858');
INSERT INTO public.ecdc_import VALUES (41884, '23/05/2020', '23', '5', '2020', '245', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.66647092');
INSERT INTO public.ecdc_import VALUES (41885, '22/05/2020', '22', '5', '2020', '339', '11', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.73663288');
INSERT INTO public.ecdc_import VALUES (41886, '21/05/2020', '21', '5', '2020', '276', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.75753218');
INSERT INTO public.ecdc_import VALUES (41887, '20/05/2020', '20', '5', '2020', '226', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.71722638');
INSERT INTO public.ecdc_import VALUES (41888, '19/05/2020', '19', '5', '2020', '216', '9', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.67841338');
INSERT INTO public.ecdc_import VALUES (41889, '18/05/2020', '18', '5', '2020', '338', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.69234625');
INSERT INTO public.ecdc_import VALUES (41890, '17/05/2020', '17', '5', '2020', '176', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.60874902');
INSERT INTO public.ecdc_import VALUES (41891, '16/05/2020', '16', '5', '2020', '283', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.62964833');
INSERT INTO public.ecdc_import VALUES (41892, '15/05/2020', '15', '5', '2020', '191', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.60725622');
INSERT INTO public.ecdc_import VALUES (41893, '14/05/2020', '14', '5', '2020', '184', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.61372505');
INSERT INTO public.ecdc_import VALUES (41894, '13/05/2020', '13', '5', '2020', '146', '8', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.61969628');
INSERT INTO public.ecdc_import VALUES (41895, '12/05/2020', '12', '5', '2020', '242', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.6440788');
INSERT INTO public.ecdc_import VALUES (41896, '11/05/2020', '11', '5', '2020', '248', '15', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.55550555');
INSERT INTO public.ecdc_import VALUES (41897, '10/05/2020', '10', '5', '2020', '239', '11', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.47738195');
INSERT INTO public.ecdc_import VALUES (41898, '09/05/2020', '9', '5', '2020', '386', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.40174636');
INSERT INTO public.ecdc_import VALUES (41899, '08/05/2020', '8', '5', '2020', '381', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.26639847');
INSERT INTO public.ecdc_import VALUES (41900, '07/05/2020', '7', '5', '2020', '195', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.13055298');
INSERT INTO public.ecdc_import VALUES (41901, '06/05/2020', '6', '5', '2020', '148', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.07880231');
INSERT INTO public.ecdc_import VALUES (41902, '05/05/2020', '5', '5', '2020', '244', '6', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '1.06337664');
INSERT INTO public.ecdc_import VALUES (41903, '04/05/2020', '4', '5', '2020', '170', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.96087051');
INSERT INTO public.ecdc_import VALUES (41904, '03/05/2020', '3', '5', '2020', '218', '17', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.9185743');
INSERT INTO public.ecdc_import VALUES (41905, '02/05/2020', '2', '5', '2020', '238', '10', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.83447947');
INSERT INTO public.ecdc_import VALUES (41906, '01/05/2020', '1', '5', '2020', '204', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.74142779');
INSERT INTO public.ecdc_import VALUES (41907, '30/04/2020', '30', '4', '2020', '196', '7', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.65733296');
INSERT INTO public.ecdc_import VALUES (41908, '29/04/2020', '29', '4', '2020', '195', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.57672135');
INSERT INTO public.ecdc_import VALUES (41909, '28/04/2020', '28', '4', '2020', '64', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.49461693');
INSERT INTO public.ecdc_import VALUES (41910, '27/04/2020', '27', '4', '2020', '91', '5', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.47272242');
INSERT INTO public.ecdc_import VALUES (41911, '26/04/2020', '26', '4', '2020', '87', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.4299286');
INSERT INTO public.ecdc_import VALUES (41912, '25/04/2020', '25', '4', '2020', '114', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.39310601');
INSERT INTO public.ecdc_import VALUES (41913, '24/04/2020', '24', '4', '2020', '108', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.34483856');
INSERT INTO public.ecdc_import VALUES (41914, '23/04/2020', '23', '4', '2020', '91', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.29706872');
INSERT INTO public.ecdc_import VALUES (41915, '22/04/2020', '22', '4', '2020', '117', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.26273414');
INSERT INTO public.ecdc_import VALUES (41916, '21/04/2020', '21', '4', '2020', '38', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.21247629');
INSERT INTO public.ecdc_import VALUES (41917, '20/04/2020', '20', '4', '2020', '85', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.196553');
INSERT INTO public.ecdc_import VALUES (41918, '19/04/2020', '19', '4', '2020', '49', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.16520404');
INSERT INTO public.ecdc_import VALUES (41919, '18/04/2020', '18', '4', '2020', '51', '4', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.15077357');
INSERT INTO public.ecdc_import VALUES (41920, '17/04/2020', '17', '4', '2020', '35', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.13335748');
INSERT INTO public.ecdc_import VALUES (41921, '16/04/2020', '16', '4', '2020', '34', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.12738625');
INSERT INTO public.ecdc_import VALUES (41922, '15/04/2020', '15', '4', '2020', '30', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.12041982');
INSERT INTO public.ecdc_import VALUES (41923, '14/04/2020', '14', '4', '2020', '20', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.10549174');
INSERT INTO public.ecdc_import VALUES (41924, '13/04/2020', '13', '4', '2020', '5', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.11245817');
INSERT INTO public.ecdc_import VALUES (41925, '12/04/2020', '12', '4', '2020', '13', '3', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.10997016');
INSERT INTO public.ecdc_import VALUES (41926, '11/04/2020', '11', '4', '2020', '17', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.11146297');
INSERT INTO public.ecdc_import VALUES (41927, '10/04/2020', '10', '4', '2020', '12', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.11096537');
INSERT INTO public.ecdc_import VALUES (41928, '09/04/2020', '9', '4', '2020', '22', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.11196057');
INSERT INTO public.ecdc_import VALUES (41929, '08/04/2020', '8', '4', '2020', '16', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.10449653');
INSERT INTO public.ecdc_import VALUES (41930, '07/04/2020', '7', '4', '2020', '6', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0985253');
INSERT INTO public.ecdc_import VALUES (41931, '06/04/2020', '6', '4', '2020', '22', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.10051571');
INSERT INTO public.ecdc_import VALUES (41932, '05/04/2020', '5', '4', '2020', '20', '2', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.09354928');
INSERT INTO public.ecdc_import VALUES (41933, '04/04/2020', '4', '4', '2020', '16', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.08857325');
INSERT INTO public.ecdc_import VALUES (41934, '03/04/2020', '3', '4', '2020', '23', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.08260202');
INSERT INTO public.ecdc_import VALUES (41935, '02/04/2020', '2', '4', '2020', '20', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.07115716');
INSERT INTO public.ecdc_import VALUES (41936, '01/04/2020', '1', '4', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.06369313');
INSERT INTO public.ecdc_import VALUES (41937, '31/03/2020', '31', '3', '2020', '34', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.06419073');
INSERT INTO public.ecdc_import VALUES (41938, '30/03/2020', '30', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.04727224');
INSERT INTO public.ecdc_import VALUES (41939, '29/03/2020', '29', '3', '2020', '16', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.04727224');
INSERT INTO public.ecdc_import VALUES (41940, '28/03/2020', '28', '3', '2020', '16', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0393106');
INSERT INTO public.ecdc_import VALUES (41941, '27/03/2020', '27', '3', '2020', '14', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.03184656');
INSERT INTO public.ecdc_import VALUES (41942, '26/03/2020', '26', '3', '2020', '7', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.02488013');
INSERT INTO public.ecdc_import VALUES (41943, '25/03/2020', '25', '3', '2020', '4', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.02139691');
INSERT INTO public.ecdc_import VALUES (41944, '24/03/2020', '24', '3', '2020', '10', '1', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0194065');
INSERT INTO public.ecdc_import VALUES (41945, '23/03/2020', '23', '3', '2020', '8', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.01492808');
INSERT INTO public.ecdc_import VALUES (41946, '22/03/2020', '22', '3', '2020', '10', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.01094726');
INSERT INTO public.ecdc_import VALUES (41947, '21/03/2020', '21', '3', '2020', '4', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00597123');
INSERT INTO public.ecdc_import VALUES (41948, '20/03/2020', '20', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00398082');
INSERT INTO public.ecdc_import VALUES (41949, '19/03/2020', '19', '3', '2020', '5', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00398082');
INSERT INTO public.ecdc_import VALUES (41950, '18/03/2020', '18', '3', '2020', '1', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00149281');
INSERT INTO public.ecdc_import VALUES (41951, '17/03/2020', '17', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00099521');
INSERT INTO public.ecdc_import VALUES (41952, '16/03/2020', '16', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00099521');
INSERT INTO public.ecdc_import VALUES (41953, '15/03/2020', '15', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00099521');
INSERT INTO public.ecdc_import VALUES (41954, '10/03/2020', '10', '3', '2020', '1', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.00099521');
INSERT INTO public.ecdc_import VALUES (41955, '02/03/2020', '2', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0004976');
INSERT INTO public.ecdc_import VALUES (41956, '01/03/2020', '1', '3', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0004976');
INSERT INTO public.ecdc_import VALUES (41957, '29/02/2020', '29', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0004976');
INSERT INTO public.ecdc_import VALUES (41958, '28/02/2020', '28', '2', '2020', '1', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0.0004976');
INSERT INTO public.ecdc_import VALUES (41959, '27/02/2020', '27', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41960, '26/02/2020', '26', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41961, '25/02/2020', '25', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41962, '24/02/2020', '24', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41963, '23/02/2020', '23', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41964, '22/02/2020', '22', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41965, '21/02/2020', '21', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41966, '20/02/2020', '20', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41967, '19/02/2020', '19', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41968, '18/02/2020', '18', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41969, '17/02/2020', '17', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41970, '16/02/2020', '16', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41971, '15/02/2020', '15', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41972, '14/02/2020', '14', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41973, '13/02/2020', '13', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41974, '12/02/2020', '12', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41975, '11/02/2020', '11', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41976, '10/02/2020', '10', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41977, '09/02/2020', '9', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41978, '08/02/2020', '8', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41979, '07/02/2020', '7', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41980, '06/02/2020', '6', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41981, '05/02/2020', '5', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41982, '04/02/2020', '4', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41983, '03/02/2020', '3', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41984, '02/02/2020', '2', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41985, '01/02/2020', '1', '2', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41986, '31/01/2020', '31', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41987, '30/01/2020', '30', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41988, '29/01/2020', '29', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41989, '28/01/2020', '28', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41990, '27/01/2020', '27', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41991, '26/01/2020', '26', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41992, '25/01/2020', '25', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41993, '24/01/2020', '24', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41994, '23/01/2020', '23', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41995, '22/01/2020', '22', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41996, '21/01/2020', '21', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41997, '20/01/2020', '20', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41998, '19/01/2020', '19', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (41999, '18/01/2020', '18', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (42000, '17/01/2020', '17', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (42001, '16/01/2020', '16', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (42002, '15/01/2020', '15', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (42003, '14/01/2020', '14', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (42004, '13/01/2020', '13', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (42005, '12/01/2020', '12', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42006, '11/01/2020', '11', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42007, '10/01/2020', '10', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42008, '09/01/2020', '9', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42009, '08/01/2020', '8', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42010, '07/01/2020', '7', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42011, '06/01/2020', '6', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42012, '05/01/2020', '5', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42013, '04/01/2020', '4', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42014, '03/01/2020', '3', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42015, '02/01/2020', '2', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42016, '01/01/2020', '1', '1', '2020', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42017, '31/12/2019', '31', '12', '2019', '0', '0', '200963603', 'Nigeria', 'NG', 'NGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (42018, '14/12/2020', '14', '12', '2020', '613', '25', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '582.29327746');
INSERT INTO public.ecdc_import VALUES (42019, '13/12/2020', '13', '12', '2020', '981', '19', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '592.25894166');
INSERT INTO public.ecdc_import VALUES (42020, '12/12/2020', '12', '12', '2020', '1161', '26', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '594.23281717');
INSERT INTO public.ecdc_import VALUES (42021, '11/12/2020', '11', '12', '2020', '929', '28', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '590.95907241');
INSERT INTO public.ecdc_import VALUES (42022, '10/12/2020', '10', '12', '2020', '502', '46', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '601.93574602');
INSERT INTO public.ecdc_import VALUES (42023, '09/12/2020', '9', '12', '2020', '1120', '28', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '639.72824067');
INSERT INTO public.ecdc_import VALUES (42024, '08/12/2020', '8', '12', '2020', '364', '25', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '635.73234633');
INSERT INTO public.ecdc_import VALUES (42025, '07/12/2020', '7', '12', '2020', '657', '23', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '636.69521244');
INSERT INTO public.ecdc_import VALUES (42026, '06/12/2020', '6', '12', '2020', '981', '24', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '658.60041634');
INSERT INTO public.ecdc_import VALUES (42027, '05/12/2020', '5', '12', '2020', '1099', '30', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '668.27722071');
INSERT INTO public.ecdc_import VALUES (42028, '04/12/2020', '4', '12', '2020', '1341', '22', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '674.87285353');
INSERT INTO public.ecdc_import VALUES (42029, '03/12/2020', '3', '12', '2020', '945', '33', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '667.98836087');
INSERT INTO public.ecdc_import VALUES (42030, '02/12/2020', '2', '12', '2020', '1067', '29', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '689.98985139');
INSERT INTO public.ecdc_import VALUES (42031, '01/12/2020', '1', '12', '2020', '335', '32', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '685.65695392');
INSERT INTO public.ecdc_import VALUES (42032, '30/11/2020', '30', '11', '2020', '820', '32', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '697.74092354');
INSERT INTO public.ecdc_import VALUES (42033, '29/11/2020', '29', '11', '2020', '1022', '41', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '705.82899883');
INSERT INTO public.ecdc_import VALUES (42034, '28/11/2020', '28', '11', '2020', '1093', '28', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '712.66534818');
INSERT INTO public.ecdc_import VALUES (42035, '27/11/2020', '27', '11', '2020', '1157', '30', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '711.22104902');
INSERT INTO public.ecdc_import VALUES (42036, '26/11/2020', '26', '11', '2020', '1287', '39', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '717.86482515');
INSERT INTO public.ecdc_import VALUES (42037, '25/11/2020', '25', '11', '2020', '1037', '15', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '719.35726762');
INSERT INTO public.ecdc_import VALUES (42038, '24/11/2020', '24', '11', '2020', '384', '35', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '715.02437014');
INSERT INTO public.ecdc_import VALUES (42039, '23/11/2020', '23', '11', '2020', '1112', '24', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '721.33114313');
INSERT INTO public.ecdc_import VALUES (42040, '22/11/2020', '22', '11', '2020', '1182', '25', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '714.87994023');
INSERT INTO public.ecdc_import VALUES (42041, '21/11/2020', '21', '11', '2020', '1236', '39', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '719.74241406');
INSERT INTO public.ecdc_import VALUES (42042, '20/11/2020', '20', '11', '2020', '1198', '26', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '714.49479378');
INSERT INTO public.ecdc_import VALUES (42043, '19/11/2020', '19', '11', '2020', '1402', '21', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '718.20182829');
INSERT INTO public.ecdc_import VALUES (42044, '18/11/2020', '18', '11', '2020', '977', '31', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '707.94730426');
INSERT INTO public.ecdc_import VALUES (42045, '17/11/2020', '17', '11', '2020', '586', '40', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '704.76984611');
INSERT INTO public.ecdc_import VALUES (42046, '16/11/2020', '16', '11', '2020', '988', '24', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '703.56626348');
INSERT INTO public.ecdc_import VALUES (42047, '15/11/2020', '15', '11', '2020', '1164', '18', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '697.59649363');
INSERT INTO public.ecdc_import VALUES (42048, '14/11/2020', '14', '11', '2020', '1063', '25', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '695.67076142');
INSERT INTO public.ecdc_import VALUES (42049, '13/11/2020', '13', '11', '2020', '1295', '26', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '687.3419696');
INSERT INTO public.ecdc_import VALUES (42050, '12/11/2020', '12', '11', '2020', '1318', '26', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '666.44777511');
INSERT INTO public.ecdc_import VALUES (42051, '11/11/2020', '11', '11', '2020', '947', '30', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '675.11357006');
INSERT INTO public.ecdc_import VALUES (42052, '10/11/2020', '10', '11', '2020', '515', '20', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '629.52185995');
INSERT INTO public.ecdc_import VALUES (42053, '09/11/2020', '9', '11', '2020', '978', '26', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '616.52316752');
INSERT INTO public.ecdc_import VALUES (42054, '08/11/2020', '8', '11', '2020', '1283', '14', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '596.39926591');
INSERT INTO public.ecdc_import VALUES (42055, '07/11/2020', '7', '11', '2020', '1127', '12', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '554.03315726');
INSERT INTO public.ecdc_import VALUES (42056, '06/11/2020', '6', '11', '2020', '1275', '13', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '524.71388434');
INSERT INTO public.ecdc_import VALUES (42057, '05/11/2020', '5', '11', '2020', '1189', '22', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '493.99845556');
INSERT INTO public.ecdc_import VALUES (42058, '04/11/2020', '4', '11', '2020', '911', '24', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '467.56778096');
INSERT INTO public.ecdc_import VALUES (42059, '03/11/2020', '3', '11', '2020', '561', '21', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '443.3516984');
INSERT INTO public.ecdc_import VALUES (42060, '02/11/2020', '2', '11', '2020', '864', '10', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '424.04623298');
INSERT INTO public.ecdc_import VALUES (42061, '01/11/2020', '1', '11', '2020', '1124', '12', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '403.00760857');
INSERT INTO public.ecdc_import VALUES (42062, '31/10/2020', '31', '10', '2020', '890', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '377.49165677');
INSERT INTO public.ecdc_import VALUES (42063, '30/10/2020', '30', '10', '2020', '861', '14', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '355.68273947');
INSERT INTO public.ecdc_import VALUES (42064, '29/10/2020', '29', '10', '2020', '1498', '30', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '339.93987864');
INSERT INTO public.ecdc_import VALUES (42065, '28/10/2020', '28', '10', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '289.14869156');
INSERT INTO public.ecdc_import VALUES (42066, '27/10/2020', '27', '10', '2020', '245', '14', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '293.00015598');
INSERT INTO public.ecdc_import VALUES (42067, '26/10/2020', '26', '10', '2020', '560', '22', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '289.67826792');
INSERT INTO public.ecdc_import VALUES (42068, '25/10/2020', '25', '10', '2020', '403', '14', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '281.10875958');
INSERT INTO public.ecdc_import VALUES (42069, '24/10/2020', '24', '10', '2020', '518', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '280.57918322');
INSERT INTO public.ecdc_import VALUES (42070, '23/10/2020', '23', '10', '2020', '637', '12', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '274.22426692');
INSERT INTO public.ecdc_import VALUES (42071, '22/10/2020', '22', '10', '2020', '640', '12', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '261.08114458');
INSERT INTO public.ecdc_import VALUES (42072, '21/10/2020', '21', '10', '2020', '408', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '245.48271366');
INSERT INTO public.ecdc_import VALUES (42073, '20/10/2020', '20', '10', '2020', '160', '12', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '236.62434549');
INSERT INTO public.ecdc_import VALUES (42074, '19/10/2020', '19', '10', '2020', '427', '10', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '241.96825238');
INSERT INTO public.ecdc_import VALUES (42075, '18/10/2020', '18', '10', '2020', '594', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '221.41106102');
INSERT INTO public.ecdc_import VALUES (42076, '17/10/2020', '17', '10', '2020', '437', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '204.32018764');
INSERT INTO public.ecdc_import VALUES (42077, '16/10/2020', '16', '10', '2020', '534', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '194.11380692');
INSERT INTO public.ecdc_import VALUES (42078, '15/10/2020', '15', '10', '2020', '443', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '176.15635405');
INSERT INTO public.ecdc_import VALUES (42079, '14/10/2020', '14', '10', '2020', '80', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '164.02424112');
INSERT INTO public.ecdc_import VALUES (42080, '13/10/2020', '13', '10', '2020', '176', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '165.56482689');
INSERT INTO public.ecdc_import VALUES (42081, '12/10/2020', '12', '10', '2020', '382', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '159.25805389');
INSERT INTO public.ecdc_import VALUES (42082, '11/10/2020', '11', '10', '2020', '392', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '147.89623385');
INSERT INTO public.ecdc_import VALUES (42083, '10/10/2020', '10', '10', '2020', '386', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '135.76412091');
INSERT INTO public.ecdc_import VALUES (42084, '09/10/2020', '9', '10', '2020', '364', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '124.06529773');
INSERT INTO public.ecdc_import VALUES (42085, '08/10/2020', '8', '10', '2020', '316', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '113.8107737');
INSERT INTO public.ecdc_import VALUES (42086, '07/10/2020', '7', '10', '2020', '224', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '107.35957079');
INSERT INTO public.ecdc_import VALUES (42087, '06/10/2020', '6', '10', '2020', '271', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '100.76393797');
INSERT INTO public.ecdc_import VALUES (42088, '05/10/2020', '5', '10', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '89.88355097');
INSERT INTO public.ecdc_import VALUES (42089, '04/10/2020', '4', '10', '2020', '239', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '98.45305931');
INSERT INTO public.ecdc_import VALUES (42090, '03/10/2020', '3', '10', '2020', '225', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '93.68687209');
INSERT INTO public.ecdc_import VALUES (42091, '02/10/2020', '2', '10', '2020', '161', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '89.73912106');
INSERT INTO public.ecdc_import VALUES (42092, '01/10/2020', '1', '10', '2020', '191', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '90.94270369');
INSERT INTO public.ecdc_import VALUES (42093, '30/09/2020', '30', '9', '2020', '112', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '89.59469114');
INSERT INTO public.ecdc_import VALUES (42094, '29/09/2020', '29', '9', '2020', '45', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '90.65384386');
INSERT INTO public.ecdc_import VALUES (42095, '28/09/2020', '28', '9', '2020', '146', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '93.15729573');
INSERT INTO public.ecdc_import VALUES (42096, '27/09/2020', '27', '9', '2020', '140', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '92.8202926');
INSERT INTO public.ecdc_import VALUES (42097, '26/09/2020', '26', '9', '2020', '143', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '92.8684359');
INSERT INTO public.ecdc_import VALUES (42098, '25/09/2020', '25', '9', '2020', '151', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '91.80928318');
INSERT INTO public.ecdc_import VALUES (42099, '24/09/2020', '24', '9', '2020', '182', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '87.76524554');
INSERT INTO public.ecdc_import VALUES (42100, '23/09/2020', '23', '9', '2020', '87', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '83.7693512');
INSERT INTO public.ecdc_import VALUES (42101, '22/09/2020', '22', '9', '2020', '45', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '81.36218594');
INSERT INTO public.ecdc_import VALUES (42102, '21/09/2020', '21', '9', '2020', '178', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '94.98674133');
INSERT INTO public.ecdc_import VALUES (42103, '20/09/2020', '20', '9', '2020', '140', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '86.41723299');
INSERT INTO public.ecdc_import VALUES (42104, '19/09/2020', '19', '9', '2020', '143', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '79.67717025');
INSERT INTO public.ecdc_import VALUES (42105, '18/09/2020', '18', '9', '2020', '186', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '80.59189305');
INSERT INTO public.ecdc_import VALUES (42106, '17/09/2020', '17', '9', '2020', '163', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '78.61801754');
INSERT INTO public.ecdc_import VALUES (42107, '16/09/2020', '16', '9', '2020', '134', '13', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '76.25899558');
INSERT INTO public.ecdc_import VALUES (42108, '15/09/2020', '15', '9', '2020', '97', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '70.33736903');
INSERT INTO public.ecdc_import VALUES (42109, '14/09/2020', '14', '9', '2020', '139', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '85.06922044');
INSERT INTO public.ecdc_import VALUES (42110, '13/09/2020', '13', '9', '2020', '141', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '78.37730101');
INSERT INTO public.ecdc_import VALUES (42111, '12/09/2020', '12', '9', '2020', '121', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '71.58909496');
INSERT INTO public.ecdc_import VALUES (42112, '11/09/2020', '11', '9', '2020', '67', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '65.76375502');
INSERT INTO public.ecdc_import VALUES (42113, '10/09/2020', '10', '9', '2020', '99', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '68.70049665');
INSERT INTO public.ecdc_import VALUES (42114, '09/09/2020', '9', '9', '2020', '37', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '70.00036589');
INSERT INTO public.ecdc_import VALUES (42115, '08/09/2020', '8', '9', '2020', '328', '11', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '71.97424141');
INSERT INTO public.ecdc_import VALUES (42116, '07/09/2020', '7', '9', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '60.082845');
INSERT INTO public.ecdc_import VALUES (42117, '06/09/2020', '6', '9', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '74.33326337');
INSERT INTO public.ecdc_import VALUES (42118, '05/09/2020', '5', '9', '2020', '162', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '74.33326337');
INSERT INTO public.ecdc_import VALUES (42119, '04/09/2020', '4', '9', '2020', '145', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '77.75143804');
INSERT INTO public.ecdc_import VALUES (42120, '03/09/2020', '3', '9', '2020', '114', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '70.77065877');
INSERT INTO public.ecdc_import VALUES (42121, '02/09/2020', '2', '9', '2020', '11', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '70.48179894');
INSERT INTO public.ecdc_import VALUES (42122, '01/09/2020', '1', '9', '2020', '403', '16', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '74.91098303');
INSERT INTO public.ecdc_import VALUES (42123, '31/08/2020', '31', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '57.19424668');
INSERT INTO public.ecdc_import VALUES (42124, '30/08/2020', '30', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '61.33457094');
INSERT INTO public.ecdc_import VALUES (42125, '29/08/2020', '29', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '66.4859046');
INSERT INTO public.ecdc_import VALUES (42126, '28/08/2020', '28', '8', '2020', '128', '11', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '75.5849893');
INSERT INTO public.ecdc_import VALUES (42127, '27/08/2020', '27', '8', '2020', '126', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '76.16270897');
INSERT INTO public.ecdc_import VALUES (42128, '26/08/2020', '26', '8', '2020', '78', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '82.22876543');
INSERT INTO public.ecdc_import VALUES (42129, '25/08/2020', '25', '8', '2020', '81', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '78.47358762');
INSERT INTO public.ecdc_import VALUES (42130, '24/08/2020', '24', '8', '2020', '296', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '79.82160017');
INSERT INTO public.ecdc_import VALUES (42131, '23/08/2020', '23', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '69.66336275');
INSERT INTO public.ecdc_import VALUES (42132, '22/08/2020', '22', '8', '2020', '233', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '79.29202381');
INSERT INTO public.ecdc_import VALUES (42133, '21/08/2020', '21', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '81.65104577');
INSERT INTO public.ecdc_import VALUES (42134, '20/08/2020', '20', '8', '2020', '108', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '85.88765663');
INSERT INTO public.ecdc_import VALUES (42135, '19/08/2020', '19', '8', '2020', '103', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '83.62492129');
INSERT INTO public.ecdc_import VALUES (42136, '18/08/2020', '18', '8', '2020', '35', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '78.66616084');
INSERT INTO public.ecdc_import VALUES (42137, '17/08/2020', '17', '8', '2020', '86', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '81.12146941');
INSERT INTO public.ecdc_import VALUES (42138, '16/08/2020', '16', '8', '2020', '107', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '84.39521417');
INSERT INTO public.ecdc_import VALUES (42139, '15/08/2020', '15', '8', '2020', '189', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '85.88765663');
INSERT INTO public.ecdc_import VALUES (42140, '14/08/2020', '14', '8', '2020', '140', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '83.48049137');
INSERT INTO public.ecdc_import VALUES (42141, '13/08/2020', '13', '8', '2020', '252', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '82.46948196');
INSERT INTO public.ecdc_import VALUES (42142, '12/08/2020', '12', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '79.38831042');
INSERT INTO public.ecdc_import VALUES (42143, '11/08/2020', '11', '8', '2020', '109', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '84.29892756');
INSERT INTO public.ecdc_import VALUES (42144, '10/08/2020', '10', '8', '2020', '85', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '85.21365036');
INSERT INTO public.ecdc_import VALUES (42145, '09/08/2020', '9', '8', '2020', '200', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '88.43925181');
INSERT INTO public.ecdc_import VALUES (42146, '08/08/2020', '8', '8', '2020', '282', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '85.40622358');
INSERT INTO public.ecdc_import VALUES (42147, '07/08/2020', '7', '8', '2020', '88', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '77.99215457');
INSERT INTO public.ecdc_import VALUES (42148, '06/08/2020', '6', '8', '2020', '61', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '79.62902695');
INSERT INTO public.ecdc_import VALUES (42149, '05/08/2020', '5', '8', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '83.19163154');
INSERT INTO public.ecdc_import VALUES (42150, '04/08/2020', '4', '8', '2020', '86', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '91.0389903');
INSERT INTO public.ecdc_import VALUES (42151, '03/08/2020', '3', '8', '2020', '154', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '92.53143276');
INSERT INTO public.ecdc_import VALUES (42152, '02/08/2020', '2', '8', '2020', '138', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '91.0389903');
INSERT INTO public.ecdc_import VALUES (42153, '01/08/2020', '1', '8', '2020', '139', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.80517752');
INSERT INTO public.ecdc_import VALUES (42154, '31/07/2020', '31', '7', '2020', '119', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '96.81618693');
INSERT INTO public.ecdc_import VALUES (42155, '30/07/2020', '30', '7', '2020', '188', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.42003108');
INSERT INTO public.ecdc_import VALUES (42156, '29/07/2020', '29', '7', '2020', '102', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.70889091');
INSERT INTO public.ecdc_import VALUES (42157, '28/07/2020', '28', '7', '2020', '128', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '97.10504677');
INSERT INTO public.ecdc_import VALUES (42158, '27/07/2020', '27', '7', '2020', '152', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.08302794');
INSERT INTO public.ecdc_import VALUES (42159, '26/07/2020', '26', '7', '2020', '137', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '94.6978815');
INSERT INTO public.ecdc_import VALUES (42160, '25/07/2020', '25', '7', '2020', '128', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '97.58647982');
INSERT INTO public.ecdc_import VALUES (42161, '24/07/2020', '24', '7', '2020', '122', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '101.19722772');
INSERT INTO public.ecdc_import VALUES (42162, '23/07/2020', '23', '7', '2020', '135', '10', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '103.31553315');
INSERT INTO public.ecdc_import VALUES (42163, '22/07/2020', '22', '7', '2020', '163', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '104.56725909');
INSERT INTO public.ecdc_import VALUES (42164, '21/07/2020', '21', '7', '2020', '117', '10', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '102.40081035');
INSERT INTO public.ecdc_import VALUES (42165, '20/07/2020', '20', '7', '2020', '123', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '100.42693483');
INSERT INTO public.ecdc_import VALUES (42166, '19/07/2020', '19', '7', '2020', '237', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '99.99364508');
INSERT INTO public.ecdc_import VALUES (42167, '18/07/2020', '18', '7', '2020', '160', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '102.49709696');
INSERT INTO public.ecdc_import VALUES (42168, '17/07/2020', '17', '7', '2020', '90', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '94.79416811');
INSERT INTO public.ecdc_import VALUES (42169, '16/07/2020', '16', '7', '2020', '194', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '98.79006245');
INSERT INTO public.ecdc_import VALUES (42170, '15/07/2020', '15', '7', '2020', '131', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.22745786');
INSERT INTO public.ecdc_import VALUES (42171, '14/07/2020', '14', '7', '2020', '86', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '94.98674133');
INSERT INTO public.ecdc_import VALUES (42172, '13/07/2020', '13', '7', '2020', '144', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '97.20133338');
INSERT INTO public.ecdc_import VALUES (42173, '12/07/2020', '12', '7', '2020', '197', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '98.74191915');
INSERT INTO public.ecdc_import VALUES (42174, '11/07/2020', '11', '7', '2020', '203', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '96.4791838');
INSERT INTO public.ecdc_import VALUES (42175, '10/07/2020', '10', '7', '2020', '166', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '94.55345159');
INSERT INTO public.ecdc_import VALUES (42176, '09/07/2020', '9', '7', '2020', '161', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '93.92758862');
INSERT INTO public.ecdc_import VALUES (42177, '08/07/2020', '8', '7', '2020', '118', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '92.72400599');
INSERT INTO public.ecdc_import VALUES (42178, '07/07/2020', '7', '7', '2020', '76', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '92.72400599');
INSERT INTO public.ecdc_import VALUES (42179, '06/07/2020', '6', '7', '2020', '114', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '93.39801226');
INSERT INTO public.ecdc_import VALUES (42180, '05/07/2020', '5', '7', '2020', '289', '13', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '92.77214929');
INSERT INTO public.ecdc_import VALUES (42181, '04/07/2020', '4', '7', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '87.76524554');
INSERT INTO public.ecdc_import VALUES (42182, '03/07/2020', '3', '7', '2020', '173', '15', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.27560117');
INSERT INTO public.ecdc_import VALUES (42183, '02/07/2020', '2', '7', '2020', '120', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.70889091');
INSERT INTO public.ecdc_import VALUES (42184, '01/07/2020', '1', '7', '2020', '126', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '99.2233522');
INSERT INTO public.ecdc_import VALUES (42185, '30/06/2020', '30', '6', '2020', '132', '12', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '99.51221203');
INSERT INTO public.ecdc_import VALUES (42186, '29/06/2020', '29', '6', '2020', '176', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '97.97162626');
INSERT INTO public.ecdc_import VALUES (42187, '28/06/2020', '28', '6', '2020', '150', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '96.96061685');
INSERT INTO public.ecdc_import VALUES (42188, '27/06/2020', '27', '6', '2020', '163', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '99.17520889');
INSERT INTO public.ecdc_import VALUES (42189, '26/06/2020', '26', '6', '2020', '153', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '99.2233522');
INSERT INTO public.ecdc_import VALUES (42190, '25/06/2020', '25', '6', '2020', '136', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '100.28250492');
INSERT INTO public.ecdc_import VALUES (42191, '24/06/2020', '24', '6', '2020', '118', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '99.75292856');
INSERT INTO public.ecdc_import VALUES (42192, '23/06/2020', '23', '6', '2020', '90', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '98.26048609');
INSERT INTO public.ecdc_import VALUES (42193, '22/06/2020', '22', '6', '2020', '101', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '100.04178839');
INSERT INTO public.ecdc_import VALUES (42194, '21/06/2020', '21', '6', '2020', '185', '11', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '100.52322144');
INSERT INTO public.ecdc_import VALUES (42195, '20/06/2020', '20', '6', '2020', '156', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '97.63462312');
INSERT INTO public.ecdc_import VALUES (42196, '19/06/2020', '19', '6', '2020', '182', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '98.79006245');
INSERT INTO public.ecdc_import VALUES (42197, '18/06/2020', '18', '6', '2020', '193', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '95.80517752');
INSERT INTO public.ecdc_import VALUES (42198, '17/06/2020', '17', '6', '2020', '132', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '91.37599344');
INSERT INTO public.ecdc_import VALUES (42199, '16/06/2020', '16', '6', '2020', '100', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '88.67996834');
INSERT INTO public.ecdc_import VALUES (42200, '15/06/2020', '15', '6', '2020', '155', '9', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '88.15039198');
INSERT INTO public.ecdc_import VALUES (42201, '14/06/2020', '14', '6', '2020', '196', '8', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '83.67306459');
INSERT INTO public.ecdc_import VALUES (42202, '13/06/2020', '13', '6', '2020', '164', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '75.87384913');
INSERT INTO public.ecdc_import VALUES (42203, '12/06/2020', '12', '6', '2020', '175', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '70.48179894');
INSERT INTO public.ecdc_import VALUES (42204, '11/06/2020', '11', '6', '2020', '125', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '63.88616612');
INSERT INTO public.ecdc_import VALUES (42205, '10/06/2020', '10', '6', '2020', '87', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '59.07183559');
INSERT INTO public.ecdc_import VALUES (42206, '09/06/2020', '9', '6', '2020', '127', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '55.65366091');
INSERT INTO public.ecdc_import VALUES (42207, '08/06/2020', '8', '6', '2020', '111', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '50.55047055');
INSERT INTO public.ecdc_import VALUES (42208, '07/06/2020', '7', '6', '2020', '125', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '46.98786596');
INSERT INTO public.ecdc_import VALUES (42209, '06/06/2020', '6', '6', '2020', '180', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '41.93281891');
INSERT INTO public.ecdc_import VALUES (42210, '05/06/2020', '5', '6', '2020', '120', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '34.37431998');
INSERT INTO public.ecdc_import VALUES (42211, '04/06/2020', '4', '6', '2020', '101', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '30.52285555');
INSERT INTO public.ecdc_import VALUES (42212, '03/06/2020', '3', '6', '2020', '76', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '26.57510452');
INSERT INTO public.ecdc_import VALUES (42213, '02/06/2020', '2', '6', '2020', '89', '7', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '23.97536603');
INSERT INTO public.ecdc_import VALUES (42214, '01/06/2020', '1', '6', '2020', '62', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '20.8941945');
INSERT INTO public.ecdc_import VALUES (42215, '31/05/2020', '31', '5', '2020', '34', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '19.35360873');
INSERT INTO public.ecdc_import VALUES (42216, '30/05/2020', '30', '5', '2020', '52', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '18.77588906');
INSERT INTO public.ecdc_import VALUES (42217, '29/05/2020', '29', '5', '2020', '38', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '17.09087338');
INSERT INTO public.ecdc_import VALUES (42218, '28/05/2020', '28', '5', '2020', '25', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '16.65758363');
INSERT INTO public.ecdc_import VALUES (42219, '27/05/2020', '27', '5', '2020', '16', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '16.4168671');
INSERT INTO public.ecdc_import VALUES (42220, '26/05/2020', '26', '5', '2020', '21', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '16.12800727');
INSERT INTO public.ecdc_import VALUES (42221, '25/05/2020', '25', '5', '2020', '37', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '16.17615058');
INSERT INTO public.ecdc_import VALUES (42222, '24/05/2020', '24', '5', '2020', '20', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '15.35771439');
INSERT INTO public.ecdc_import VALUES (42223, '23/05/2020', '23', '5', '2020', '23', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '16.12800727');
INSERT INTO public.ecdc_import VALUES (42224, '22/05/2020', '22', '5', '2020', '40', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '15.69471752');
INSERT INTO public.ecdc_import VALUES (42225, '21/05/2020', '21', '5', '2020', '19', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '15.35771439');
INSERT INTO public.ecdc_import VALUES (42226, '20/05/2020', '20', '5', '2020', '22', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '15.06885456');
INSERT INTO public.ecdc_import VALUES (42227, '19/05/2020', '19', '5', '2020', '25', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '14.39484828');
INSERT INTO public.ecdc_import VALUES (42228, '18/05/2020', '18', '5', '2020', '30', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '13.52826879');
INSERT INTO public.ecdc_import VALUES (42229, '17/05/2020', '17', '5', '2020', '22', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.32468615');
INSERT INTO public.ecdc_import VALUES (42230, '16/05/2020', '16', '5', '2020', '17', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '11.8432531');
INSERT INTO public.ecdc_import VALUES (42231, '15/05/2020', '15', '5', '2020', '29', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.42097276');
INSERT INTO public.ecdc_import VALUES (42232, '14/05/2020', '14', '5', '2020', '20', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.13211293');
INSERT INTO public.ecdc_import VALUES (42233, '13/05/2020', '13', '5', '2020', '10', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.18025624');
INSERT INTO public.ecdc_import VALUES (42234, '12/05/2020', '12', '5', '2020', '22', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.7579759');
INSERT INTO public.ecdc_import VALUES (42235, '11/05/2020', '11', '5', '2020', '20', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.32468615');
INSERT INTO public.ecdc_import VALUES (42236, '10/05/2020', '10', '5', '2020', '36', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.27654285');
INSERT INTO public.ecdc_import VALUES (42237, '09/05/2020', '9', '5', '2020', '14', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.51725937');
INSERT INTO public.ecdc_import VALUES (42238, '08/05/2020', '8', '5', '2020', '33', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '13.09497904');
INSERT INTO public.ecdc_import VALUES (42239, '07/05/2020', '7', '5', '2020', '13', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '13.48012548');
INSERT INTO public.ecdc_import VALUES (42240, '06/05/2020', '6', '5', '2020', '8', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '14.20227506');
INSERT INTO public.ecdc_import VALUES (42241, '05/05/2020', '5', '5', '2020', '7', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '14.10598845');
INSERT INTO public.ecdc_import VALUES (42242, '04/05/2020', '4', '5', '2020', '5', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '14.63556481');
INSERT INTO public.ecdc_import VALUES (42243, '03/05/2020', '3', '5', '2020', '12', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '16.17615058');
INSERT INTO public.ecdc_import VALUES (42244, '02/05/2020', '2', '5', '2020', '29', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '18.15002609');
INSERT INTO public.ecdc_import VALUES (42245, '01/05/2020', '1', '5', '2020', '23', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '18.48702923');
INSERT INTO public.ecdc_import VALUES (42246, '30/04/2020', '30', '4', '2020', '21', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '22.53106687');
INSERT INTO public.ecdc_import VALUES (42247, '29/04/2020', '29', '4', '2020', '22', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '24.69751561');
INSERT INTO public.ecdc_import VALUES (42248, '28/04/2020', '28', '4', '2020', '13', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '26.23810138');
INSERT INTO public.ecdc_import VALUES (42249, '27/04/2020', '27', '4', '2020', '19', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '26.86396435');
INSERT INTO public.ecdc_import VALUES (42250, '26/04/2020', '26', '4', '2020', '41', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '29.22298631');
INSERT INTO public.ecdc_import VALUES (42251, '25/04/2020', '25', '4', '2020', '26', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '29.60813275');
INSERT INTO public.ecdc_import VALUES (42252, '24/04/2020', '24', '4', '2020', '41', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '30.66728547');
INSERT INTO public.ecdc_import VALUES (42253, '23/04/2020', '23', '4', '2020', '28', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '30.908002');
INSERT INTO public.ecdc_import VALUES (42254, '22/04/2020', '22', '4', '2020', '6', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '30.42656894');
INSERT INTO public.ecdc_import VALUES (42255, '21/04/2020', '21', '4', '2020', '18', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '31.53386496');
INSERT INTO public.ecdc_import VALUES (42256, '20/04/2020', '20', '4', '2020', '37', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '34.85575303');
INSERT INTO public.ecdc_import VALUES (42257, '19/04/2020', '19', '4', '2020', '53', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '33.07445073');
INSERT INTO public.ecdc_import VALUES (42258, '18/04/2020', '18', '4', '2020', '36', '3', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '33.07445073');
INSERT INTO public.ecdc_import VALUES (42259, '17/04/2020', '17', '4', '2020', '107', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '35.00018294');
INSERT INTO public.ecdc_import VALUES (42260, '16/04/2020', '16', '4', '2020', '66', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '29.84884928');
INSERT INTO public.ecdc_import VALUES (42261, '15/04/2020', '15', '4', '2020', '54', '6', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '27.87497376');
INSERT INTO public.ecdc_import VALUES (42262, '14/04/2020', '14', '4', '2020', '26', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '27.39354071');
INSERT INTO public.ecdc_import VALUES (42263, '13/04/2020', '13', '4', '2020', '68', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '27.39354071');
INSERT INTO public.ecdc_import VALUES (42264, '12/04/2020', '12', '4', '2020', '49', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '24.98637544');
INSERT INTO public.ecdc_import VALUES (42265, '11/04/2020', '11', '4', '2020', '48', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '23.6865062');
INSERT INTO public.ecdc_import VALUES (42266, '10/04/2020', '10', '4', '2020', '46', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '22.24220704');
INSERT INTO public.ecdc_import VALUES (42267, '09/04/2020', '9', '4', '2020', '18', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '21.18305433');
INSERT INTO public.ecdc_import VALUES (42268, '08/04/2020', '8', '4', '2020', '29', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '21.71263069');
INSERT INTO public.ecdc_import VALUES (42269, '07/04/2020', '7', '4', '2020', '87', '4', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '20.8941945');
INSERT INTO public.ecdc_import VALUES (42270, '06/04/2020', '6', '4', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '17.76487965');
INSERT INTO public.ecdc_import VALUES (42271, '05/04/2020', '5', '4', '2020', '53', '5', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '19.1610355');
INSERT INTO public.ecdc_import VALUES (42272, '04/04/2020', '4', '4', '2020', '76', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '17.3315899');
INSERT INTO public.ecdc_import VALUES (42273, '03/04/2020', '3', '4', '2020', '0', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '14.73185142');
INSERT INTO public.ecdc_import VALUES (42274, '02/04/2020', '2', '4', '2020', '25', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '15.02071125');
INSERT INTO public.ecdc_import VALUES (42275, '01/04/2020', '1', '4', '2020', '44', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '14.34670498');
INSERT INTO public.ecdc_import VALUES (42276, '31/03/2020', '31', '3', '2020', '26', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '12.80611921');
INSERT INTO public.ecdc_import VALUES (42277, '30/03/2020', '30', '3', '2020', '18', '2', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '11.8432531');
INSERT INTO public.ecdc_import VALUES (42278, '29/03/2020', '29', '3', '2020', '22', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '10.97667361');
INSERT INTO public.ecdc_import VALUES (42279, '28/03/2020', '28', '3', '2020', '18', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '10.11009411');
INSERT INTO public.ecdc_import VALUES (42280, '27/03/2020', '27', '3', '2020', '24', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '9.33980123');
INSERT INTO public.ecdc_import VALUES (42281, '26/03/2020', '26', '3', '2020', '29', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '8.37693512');
INSERT INTO public.ecdc_import VALUES (42282, '25/03/2020', '25', '3', '2020', '12', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '7.07706588');
INSERT INTO public.ecdc_import VALUES (42283, '24/03/2020', '24', '3', '2020', '22', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '6.49934621');
INSERT INTO public.ecdc_import VALUES (42284, '23/03/2020', '23', '3', '2020', '29', '1', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '5.4401935');
INSERT INTO public.ecdc_import VALUES (42285, '22/03/2020', '22', '3', '2020', '15', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '4.04403764');
INSERT INTO public.ecdc_import VALUES (42286, '21/03/2020', '21', '3', '2020', '22', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '3.32188806');
INSERT INTO public.ecdc_import VALUES (42287, '20/03/2020', '20', '3', '2020', '6', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '2.31087865');
INSERT INTO public.ecdc_import VALUES (42288, '19/03/2020', '19', '3', '2020', '11', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '2.02201882');
INSERT INTO public.ecdc_import VALUES (42289, '18/03/2020', '18', '3', '2020', '12', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '1.49244246');
INSERT INTO public.ecdc_import VALUES (42290, '17/03/2020', '17', '3', '2020', '6', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.9147228');
INSERT INTO public.ecdc_import VALUES (42291, '16/03/2020', '16', '3', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.62586297');
INSERT INTO public.ecdc_import VALUES (42292, '14/03/2020', '14', '3', '2020', '4', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.62586297');
INSERT INTO public.ecdc_import VALUES (42293, '13/03/2020', '13', '3', '2020', '2', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.43328975');
INSERT INTO public.ecdc_import VALUES (42294, '11/03/2020', '11', '3', '2020', '4', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.33700314');
INSERT INTO public.ecdc_import VALUES (42295, '07/03/2020', '7', '3', '2020', '2', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.14442992');
INSERT INTO public.ecdc_import VALUES (42296, '02/03/2020', '2', '3', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.04814331');
INSERT INTO public.ecdc_import VALUES (42297, '01/03/2020', '1', '3', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.04814331');
INSERT INTO public.ecdc_import VALUES (42298, '29/02/2020', '29', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.04814331');
INSERT INTO public.ecdc_import VALUES (42299, '28/02/2020', '28', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.04814331');
INSERT INTO public.ecdc_import VALUES (42300, '27/02/2020', '27', '2', '2020', '1', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0.04814331');
INSERT INTO public.ecdc_import VALUES (42301, '26/02/2020', '26', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42302, '25/02/2020', '25', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42303, '24/02/2020', '24', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42304, '23/02/2020', '23', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42305, '22/02/2020', '22', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42306, '21/02/2020', '21', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42307, '20/02/2020', '20', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42308, '19/02/2020', '19', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42309, '18/02/2020', '18', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42310, '17/02/2020', '17', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42311, '16/02/2020', '16', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42312, '15/02/2020', '15', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42313, '14/02/2020', '14', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42314, '13/02/2020', '13', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42315, '12/02/2020', '12', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42316, '11/02/2020', '11', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42317, '10/02/2020', '10', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42318, '09/02/2020', '9', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42319, '08/02/2020', '8', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42320, '07/02/2020', '7', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42321, '06/02/2020', '6', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42322, '05/02/2020', '5', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42323, '04/02/2020', '4', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42324, '03/02/2020', '3', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42325, '02/02/2020', '2', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42326, '01/02/2020', '1', '2', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42327, '31/01/2020', '31', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42328, '30/01/2020', '30', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42329, '29/01/2020', '29', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42330, '28/01/2020', '28', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42331, '27/01/2020', '27', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42332, '26/01/2020', '26', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42333, '25/01/2020', '25', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42334, '24/01/2020', '24', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42335, '23/01/2020', '23', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42336, '22/01/2020', '22', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42337, '21/01/2020', '21', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42338, '20/01/2020', '20', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42339, '19/01/2020', '19', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42340, '18/01/2020', '18', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42341, '17/01/2020', '17', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42342, '16/01/2020', '16', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42343, '15/01/2020', '15', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42344, '14/01/2020', '14', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42345, '13/01/2020', '13', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42346, '12/01/2020', '12', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42347, '11/01/2020', '11', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42348, '10/01/2020', '10', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42349, '09/01/2020', '9', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42350, '08/01/2020', '8', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42351, '07/01/2020', '7', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42352, '06/01/2020', '6', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42353, '05/01/2020', '5', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42354, '04/01/2020', '4', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42355, '03/01/2020', '3', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42356, '02/01/2020', '2', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42357, '01/01/2020', '1', '1', '2020', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42358, '31/12/2019', '31', '12', '2019', '0', '0', '2077132', 'North_Macedonia', 'MK', 'MKD', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42359, '14/12/2020', '14', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42360, '13/12/2020', '13', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42361, '12/12/2020', '12', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42362, '11/12/2020', '11', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42363, '10/12/2020', '10', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42364, '09/12/2020', '9', '12', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42365, '08/12/2020', '8', '12', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42366, '07/12/2020', '7', '12', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42367, '06/12/2020', '6', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42368, '05/12/2020', '5', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42369, '04/12/2020', '4', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42370, '03/12/2020', '3', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42371, '02/12/2020', '2', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42372, '01/12/2020', '1', '12', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42373, '30/11/2020', '30', '11', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42374, '29/11/2020', '29', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42375, '28/11/2020', '28', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42376, '27/11/2020', '27', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42377, '26/11/2020', '26', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42378, '25/11/2020', '25', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42379, '24/11/2020', '24', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42380, '23/11/2020', '23', '11', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42381, '22/11/2020', '22', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42382, '21/11/2020', '21', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42383, '20/11/2020', '20', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42384, '19/11/2020', '19', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42385, '18/11/2020', '18', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42386, '17/11/2020', '17', '11', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42387, '16/11/2020', '16', '11', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42388, '15/11/2020', '15', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42389, '14/11/2020', '14', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42390, '13/11/2020', '13', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42391, '12/11/2020', '12', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42392, '11/11/2020', '11', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42393, '10/11/2020', '10', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42394, '09/11/2020', '9', '11', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42395, '08/11/2020', '8', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42396, '07/11/2020', '7', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42397, '06/11/2020', '6', '11', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42398, '05/11/2020', '5', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42399, '04/11/2020', '4', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42400, '03/11/2020', '3', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42401, '02/11/2020', '2', '11', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42402, '01/11/2020', '1', '11', '2020', '4', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42403, '31/10/2020', '31', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '20.9742541');
INSERT INTO public.ecdc_import VALUES (42404, '30/10/2020', '30', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '20.9742541');
INSERT INTO public.ecdc_import VALUES (42405, '29/10/2020', '29', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '26.21781763');
INSERT INTO public.ecdc_import VALUES (42406, '28/10/2020', '28', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '26.21781763');
INSERT INTO public.ecdc_import VALUES (42407, '27/10/2020', '27', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '26.21781763');
INSERT INTO public.ecdc_import VALUES (42408, '26/10/2020', '26', '10', '2020', '4', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '26.21781763');
INSERT INTO public.ecdc_import VALUES (42409, '25/10/2020', '25', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '19.22639959');
INSERT INTO public.ecdc_import VALUES (42410, '24/10/2020', '24', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42411, '23/10/2020', '23', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42412, '22/10/2020', '22', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42413, '21/10/2020', '21', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42414, '20/10/2020', '20', '10', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42415, '19/10/2020', '19', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42416, '18/10/2020', '18', '10', '2020', '6', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '22.72210861');
INSERT INTO public.ecdc_import VALUES (42417, '17/10/2020', '17', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42418, '16/10/2020', '16', '10', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42419, '15/10/2020', '15', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42420, '14/10/2020', '14', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42421, '13/10/2020', '13', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42422, '12/10/2020', '12', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42423, '11/10/2020', '11', '10', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42424, '10/10/2020', '10', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42425, '09/10/2020', '9', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42426, '08/10/2020', '8', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42427, '07/10/2020', '7', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42428, '06/10/2020', '6', '10', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42429, '05/10/2020', '5', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42430, '04/10/2020', '4', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42431, '03/10/2020', '3', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '19.22639959');
INSERT INTO public.ecdc_import VALUES (42432, '02/10/2020', '2', '10', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '19.22639959');
INSERT INTO public.ecdc_import VALUES (42433, '01/10/2020', '1', '10', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42434, '30/09/2020', '30', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42435, '29/09/2020', '29', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42436, '28/09/2020', '28', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42437, '27/09/2020', '27', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42438, '26/09/2020', '26', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42439, '25/09/2020', '25', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42440, '24/09/2020', '24', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42441, '23/09/2020', '23', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42442, '22/09/2020', '22', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42443, '21/09/2020', '21', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '19.22639959');
INSERT INTO public.ecdc_import VALUES (42444, '20/09/2020', '20', '9', '2020', '6', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '17.47854509');
INSERT INTO public.ecdc_import VALUES (42445, '19/09/2020', '19', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42446, '18/09/2020', '18', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42447, '17/09/2020', '17', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42448, '16/09/2020', '16', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42449, '15/09/2020', '15', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42450, '14/09/2020', '14', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42451, '13/09/2020', '13', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42452, '12/09/2020', '12', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42453, '11/09/2020', '11', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42454, '10/09/2020', '10', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42455, '09/09/2020', '9', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42456, '08/09/2020', '8', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42457, '07/09/2020', '7', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42458, '06/09/2020', '6', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42459, '05/09/2020', '5', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42460, '04/09/2020', '4', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42461, '03/09/2020', '3', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42462, '02/09/2020', '2', '9', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42463, '01/09/2020', '1', '9', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '3.49570902');
INSERT INTO public.ecdc_import VALUES (42464, '31/08/2020', '31', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42465, '30/08/2020', '30', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42466, '29/08/2020', '29', '8', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42467, '28/08/2020', '28', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42468, '27/08/2020', '27', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42469, '26/08/2020', '26', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42470, '25/08/2020', '25', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42471, '24/08/2020', '24', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42472, '23/08/2020', '23', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42473, '22/08/2020', '22', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42474, '21/08/2020', '21', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42475, '20/08/2020', '20', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42476, '19/08/2020', '19', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42477, '18/08/2020', '18', '8', '2020', '4', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42478, '17/08/2020', '17', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42479, '16/08/2020', '16', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42480, '15/08/2020', '15', '8', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42481, '14/08/2020', '14', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42482, '13/08/2020', '13', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42483, '12/08/2020', '12', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42484, '11/08/2020', '11', '8', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42485, '10/08/2020', '10', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42486, '09/08/2020', '9', '8', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42487, '08/08/2020', '8', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42488, '07/08/2020', '7', '8', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42489, '06/08/2020', '6', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42490, '05/08/2020', '5', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42491, '04/08/2020', '4', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42492, '03/08/2020', '3', '8', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42493, '02/08/2020', '2', '8', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42494, '01/08/2020', '1', '8', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42495, '31/07/2020', '31', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42496, '30/07/2020', '30', '7', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42497, '29/07/2020', '29', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42498, '28/07/2020', '28', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42499, '27/07/2020', '27', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42500, '26/07/2020', '26', '7', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42501, '25/07/2020', '25', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42502, '24/07/2020', '24', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42503, '23/07/2020', '23', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42504, '22/07/2020', '22', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42505, '21/07/2020', '21', '7', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42506, '20/07/2020', '20', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42507, '19/07/2020', '19', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42508, '18/07/2020', '18', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42509, '17/07/2020', '17', '7', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42510, '16/07/2020', '16', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42511, '15/07/2020', '15', '7', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42512, '14/07/2020', '14', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42513, '13/07/2020', '13', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42514, '12/07/2020', '12', '7', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42515, '11/07/2020', '11', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42516, '10/07/2020', '10', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42517, '09/07/2020', '9', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42518, '08/07/2020', '8', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42519, '07/07/2020', '7', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42520, '06/07/2020', '6', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42521, '05/07/2020', '5', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42522, '04/07/2020', '4', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42523, '03/07/2020', '3', '7', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42524, '02/07/2020', '2', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42525, '01/07/2020', '1', '7', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42526, '30/06/2020', '30', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42527, '29/06/2020', '29', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42528, '28/06/2020', '28', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42529, '27/06/2020', '27', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42530, '26/06/2020', '26', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42531, '25/06/2020', '25', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42532, '24/06/2020', '24', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42533, '23/06/2020', '23', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '3.49570902');
INSERT INTO public.ecdc_import VALUES (42534, '22/06/2020', '22', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42535, '21/06/2020', '21', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42536, '20/06/2020', '20', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42537, '19/06/2020', '19', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42538, '18/06/2020', '18', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42539, '17/06/2020', '17', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42540, '16/06/2020', '16', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42541, '15/06/2020', '15', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42542, '14/06/2020', '14', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42543, '13/06/2020', '13', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42544, '12/06/2020', '12', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42545, '11/06/2020', '11', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42546, '10/06/2020', '10', '6', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '13.98283607');
INSERT INTO public.ecdc_import VALUES (42547, '09/06/2020', '9', '6', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42548, '08/06/2020', '8', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42549, '07/06/2020', '7', '6', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42550, '06/06/2020', '6', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42551, '05/06/2020', '5', '6', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '6.99141803');
INSERT INTO public.ecdc_import VALUES (42552, '04/06/2020', '4', '6', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '3.49570902');
INSERT INTO public.ecdc_import VALUES (42553, '03/06/2020', '3', '6', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '3.49570902');
INSERT INTO public.ecdc_import VALUES (42554, '02/06/2020', '2', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42555, '01/06/2020', '1', '6', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42556, '31/05/2020', '31', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42557, '30/05/2020', '30', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42558, '29/05/2020', '29', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42559, '28/05/2020', '28', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42560, '27/05/2020', '27', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42561, '26/05/2020', '26', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42562, '25/05/2020', '25', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42563, '24/05/2020', '24', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42564, '23/05/2020', '23', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42565, '22/05/2020', '22', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42566, '21/05/2020', '21', '5', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42567, '20/05/2020', '20', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42568, '19/05/2020', '19', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42569, '18/05/2020', '18', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42570, '17/05/2020', '17', '5', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42571, '16/05/2020', '16', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42572, '15/05/2020', '15', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42573, '14/05/2020', '14', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42574, '13/05/2020', '13', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42575, '12/05/2020', '12', '5', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42576, '11/05/2020', '11', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '3.49570902');
INSERT INTO public.ecdc_import VALUES (42577, '10/05/2020', '10', '5', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '3.49570902');
INSERT INTO public.ecdc_import VALUES (42578, '09/05/2020', '9', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42579, '08/05/2020', '8', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42580, '07/05/2020', '7', '5', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42581, '06/05/2020', '6', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42582, '05/05/2020', '5', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42583, '04/05/2020', '4', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42584, '03/05/2020', '3', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42585, '02/05/2020', '2', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (42586, '01/05/2020', '1', '5', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42587, '30/04/2020', '30', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42588, '29/04/2020', '29', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '1.74785451');
INSERT INTO public.ecdc_import VALUES (42589, '28/04/2020', '28', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42590, '27/04/2020', '27', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42591, '26/04/2020', '26', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42592, '25/04/2020', '25', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42593, '24/04/2020', '24', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42594, '23/04/2020', '23', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '5.24356353');
INSERT INTO public.ecdc_import VALUES (42595, '22/04/2020', '22', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42596, '21/04/2020', '21', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42597, '20/04/2020', '20', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42598, '19/04/2020', '19', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42599, '18/04/2020', '18', '4', '2020', '1', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '10.48712705');
INSERT INTO public.ecdc_import VALUES (42600, '17/04/2020', '17', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '8.73927254');
INSERT INTO public.ecdc_import VALUES (42601, '16/04/2020', '16', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42602, '15/04/2020', '15', '4', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '12.23498156');
INSERT INTO public.ecdc_import VALUES (42603, '14/04/2020', '14', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '15.73069058');
INSERT INTO public.ecdc_import VALUES (42604, '13/04/2020', '13', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '19.22639959');
INSERT INTO public.ecdc_import VALUES (42605, '12/04/2020', '12', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42606, '11/04/2020', '11', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42607, '10/04/2020', '10', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42608, '09/04/2020', '9', '4', '2020', '3', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42609, '08/04/2020', '8', '4', '2020', '0', '1', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42610, '07/04/2020', '7', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42611, '06/04/2020', '6', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42612, '05/04/2020', '5', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42613, '04/04/2020', '4', '4', '2020', '0', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42614, '03/04/2020', '3', '4', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42615, '02/04/2020', '2', '4', '2020', '0', '1', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42616, '01/04/2020', '1', '4', '2020', '4', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42617, '31/03/2020', '31', '3', '2020', '2', '0', '57213', 'Northern_Mariana_Islands', 'MP', 'MNP', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (42618, '14/12/2020', '14', '12', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '99.00131601');
INSERT INTO public.ecdc_import VALUES (42619, '13/12/2020', '13', '12', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '99.00131601');
INSERT INTO public.ecdc_import VALUES (42620, '12/12/2020', '12', '12', '2020', '498', '5', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '99.00131601');
INSERT INTO public.ecdc_import VALUES (42621, '11/12/2020', '11', '12', '2020', '362', '21', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '98.66349162');
INSERT INTO public.ecdc_import VALUES (42622, '10/12/2020', '10', '12', '2020', '459', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '102.24818382');
INSERT INTO public.ecdc_import VALUES (42623, '09/12/2020', '9', '12', '2020', '381', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '103.5994814');
INSERT INTO public.ecdc_import VALUES (42624, '08/12/2020', '8', '12', '2020', '951', '5', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '104.25636217');
INSERT INTO public.ecdc_import VALUES (42625, '07/12/2020', '7', '12', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '111.35067449');
INSERT INTO public.ecdc_import VALUES (42626, '06/12/2020', '6', '12', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '111.35067449');
INSERT INTO public.ecdc_import VALUES (42627, '05/12/2020', '5', '12', '2020', '403', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '111.35067449');
INSERT INTO public.ecdc_import VALUES (42628, '04/12/2020', '4', '12', '2020', '377', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '116.36173636');
INSERT INTO public.ecdc_import VALUES (42629, '03/12/2020', '3', '12', '2020', '441', '17', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '121.57924647');
INSERT INTO public.ecdc_import VALUES (42630, '02/12/2020', '2', '12', '2020', '324', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '124.61966603');
INSERT INTO public.ecdc_import VALUES (42631, '01/12/2020', '1', '12', '2020', '1079', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '128.80493494');
INSERT INTO public.ecdc_import VALUES (42632, '30/11/2020', '30', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '141.15429341');
INSERT INTO public.ecdc_import VALUES (42633, '29/11/2020', '29', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '141.15429341');
INSERT INTO public.ecdc_import VALUES (42634, '28/11/2020', '28', '11', '2020', '480', '12', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '141.15429341');
INSERT INTO public.ecdc_import VALUES (42635, '27/11/2020', '27', '11', '2020', '553', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '145.71492275');
INSERT INTO public.ecdc_import VALUES (42636, '26/11/2020', '26', '11', '2020', '531', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '146.93484418');
INSERT INTO public.ecdc_import VALUES (42637, '25/11/2020', '25', '11', '2020', '416', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '147.55418891');
INSERT INTO public.ecdc_import VALUES (42638, '24/11/2020', '24', '11', '2020', '1329', '5', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '150.89489682');
INSERT INTO public.ecdc_import VALUES (42639, '23/11/2020', '23', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '154.14176463');
INSERT INTO public.ecdc_import VALUES (42640, '22/11/2020', '22', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '154.14176463');
INSERT INTO public.ecdc_import VALUES (42641, '21/11/2020', '21', '11', '2020', '670', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '154.14176463');
INSERT INTO public.ecdc_import VALUES (42642, '20/11/2020', '20', '11', '2020', '655', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '153.76640419');
INSERT INTO public.ecdc_import VALUES (42643, '19/11/2020', '19', '11', '2020', '603', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '153.12829144');
INSERT INTO public.ecdc_import VALUES (42644, '18/11/2020', '18', '11', '2020', '547', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '153.44734782');
INSERT INTO public.ecdc_import VALUES (42645, '17/11/2020', '17', '11', '2020', '1737', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '156.31885518');
INSERT INTO public.ecdc_import VALUES (42646, '16/11/2020', '16', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '143.81935253');
INSERT INTO public.ecdc_import VALUES (42647, '15/11/2020', '15', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '143.81935253');
INSERT INTO public.ecdc_import VALUES (42648, '14/11/2020', '14', '11', '2020', '723', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '143.81935253');
INSERT INTO public.ecdc_import VALUES (42649, '13/11/2020', '13', '11', '2020', '618', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '139.57777956');
INSERT INTO public.ecdc_import VALUES (42650, '12/11/2020', '12', '11', '2020', '564', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '135.54265483');
INSERT INTO public.ecdc_import VALUES (42651, '11/11/2020', '11', '11', '2020', '594', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '131.00079351');
INSERT INTO public.ecdc_import VALUES (42652, '10/11/2020', '10', '11', '2020', '1502', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '127.97914197');
INSERT INTO public.ecdc_import VALUES (42653, '09/11/2020', '9', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '112.4767558');
INSERT INTO public.ecdc_import VALUES (42654, '08/11/2020', '8', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '112.4767558');
INSERT INTO public.ecdc_import VALUES (42655, '07/11/2020', '7', '11', '2020', '650', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '112.4767558');
INSERT INTO public.ecdc_import VALUES (42656, '06/11/2020', '6', '11', '2020', '621', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '105.3073714');
INSERT INTO public.ecdc_import VALUES (42657, '05/11/2020', '5', '11', '2020', '620', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '97.27465799');
INSERT INTO public.ecdc_import VALUES (42658, '04/11/2020', '4', '11', '2020', '700', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '88.79151205');
INSERT INTO public.ecdc_import VALUES (42659, '03/11/2020', '3', '11', '2020', '1071', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '78.41279589');
INSERT INTO public.ecdc_import VALUES (42660, '02/11/2020', '2', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '64.31801137');
INSERT INTO public.ecdc_import VALUES (42661, '01/11/2020', '1', '11', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '64.31801137');
INSERT INTO public.ecdc_import VALUES (42662, '31/10/2020', '31', '10', '2020', '497', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '64.31801137');
INSERT INTO public.ecdc_import VALUES (42663, '30/10/2020', '30', '10', '2020', '403', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '58.42485246');
INSERT INTO public.ecdc_import VALUES (42664, '29/10/2020', '29', '10', '2020', '322', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '53.90175916');
INSERT INTO public.ecdc_import VALUES (42665, '28/10/2020', '28', '10', '2020', '433', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '50.71119543');
INSERT INTO public.ecdc_import VALUES (42666, '27/10/2020', '27', '10', '2020', '676', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '44.74296443');
INSERT INTO public.ecdc_import VALUES (42667, '26/10/2020', '26', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.74249223');
INSERT INTO public.ecdc_import VALUES (42668, '25/10/2020', '25', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.74249223');
INSERT INTO public.ecdc_import VALUES (42669, '24/10/2020', '24', '10', '2020', '268', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.74249223');
INSERT INTO public.ecdc_import VALUES (42670, '23/10/2020', '23', '10', '2020', '193', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '36.63517893');
INSERT INTO public.ecdc_import VALUES (42671, '22/10/2020', '22', '10', '2020', '168', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.2920597');
INSERT INTO public.ecdc_import VALUES (42672, '21/10/2020', '21', '10', '2020', '147', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.51727596');
INSERT INTO public.ecdc_import VALUES (42673, '20/10/2020', '20', '10', '2020', '320', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.51727596');
INSERT INTO public.ecdc_import VALUES (42674, '19/10/2020', '19', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.2920597');
INSERT INTO public.ecdc_import VALUES (42675, '18/10/2020', '18', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.2920597');
INSERT INTO public.ecdc_import VALUES (42676, '17/10/2020', '17', '10', '2020', '183', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.2920597');
INSERT INTO public.ecdc_import VALUES (42677, '16/10/2020', '16', '10', '2020', '162', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '36.14721036');
INSERT INTO public.ecdc_import VALUES (42678, '15/10/2020', '15', '10', '2020', '152', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '35.22757728');
INSERT INTO public.ecdc_import VALUES (42679, '14/10/2020', '14', '10', '2020', '115', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '34.73960871');
INSERT INTO public.ecdc_import VALUES (42680, '13/10/2020', '13', '10', '2020', '303', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '34.27040816');
INSERT INTO public.ecdc_import VALUES (42681, '12/10/2020', '12', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '34.06395992');
INSERT INTO public.ecdc_import VALUES (42682, '11/10/2020', '11', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '34.06395992');
INSERT INTO public.ecdc_import VALUES (42683, '10/10/2020', '10', '10', '2020', '209', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '34.06395992');
INSERT INTO public.ecdc_import VALUES (42684, '09/10/2020', '9', '10', '2020', '228', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '32.6000542');
INSERT INTO public.ecdc_import VALUES (42685, '08/10/2020', '8', '10', '2020', '180', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '30.62941189');
INSERT INTO public.ecdc_import VALUES (42686, '07/10/2020', '7', '10', '2020', '147', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '30.10390728');
INSERT INTO public.ecdc_import VALUES (42687, '06/10/2020', '6', '10', '2020', '308', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '29.29688233');
INSERT INTO public.ecdc_import VALUES (42688, '05/10/2020', '5', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.22710508');
INSERT INTO public.ecdc_import VALUES (42689, '04/10/2020', '4', '10', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.22710508');
INSERT INTO public.ecdc_import VALUES (42690, '03/10/2020', '3', '10', '2020', '122', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.22710508');
INSERT INTO public.ecdc_import VALUES (42691, '02/10/2020', '2', '10', '2020', '113', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.67753761');
INSERT INTO public.ecdc_import VALUES (42692, '01/10/2020', '1', '10', '2020', '126', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.54616145');
INSERT INTO public.ecdc_import VALUES (42693, '30/09/2020', '30', '9', '2020', '90', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.35848123');
INSERT INTO public.ecdc_import VALUES (42694, '29/09/2020', '29', '9', '2020', '292', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.95905794');
INSERT INTO public.ecdc_import VALUES (42695, '28/09/2020', '28', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.90275387');
INSERT INTO public.ecdc_import VALUES (42696, '27/09/2020', '27', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.90275387');
INSERT INTO public.ecdc_import VALUES (42697, '26/09/2020', '26', '9', '2020', '131', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.90275387');
INSERT INTO public.ecdc_import VALUES (42698, '25/09/2020', '25', '9', '2020', '123', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.69630563');
INSERT INTO public.ecdc_import VALUES (42699, '24/09/2020', '24', '9', '2020', '152', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.67753761');
INSERT INTO public.ecdc_import VALUES (42700, '23/09/2020', '23', '9', '2020', '104', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '27.79544057');
INSERT INTO public.ecdc_import VALUES (42701, '22/09/2020', '22', '9', '2020', '251', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.32094519');
INSERT INTO public.ecdc_import VALUES (42702, '21/09/2020', '21', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.62123354');
INSERT INTO public.ecdc_import VALUES (42703, '20/09/2020', '20', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.62123354');
INSERT INTO public.ecdc_import VALUES (42704, '19/09/2020', '19', '9', '2020', '146', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.62123354');
INSERT INTO public.ecdc_import VALUES (42705, '18/09/2020', '18', '9', '2020', '106', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '27.4763842');
INSERT INTO public.ecdc_import VALUES (42706, '17/09/2020', '17', '9', '2020', '116', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.56492947');
INSERT INTO public.ecdc_import VALUES (42707, '16/09/2020', '16', '9', '2020', '122', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.03942486');
INSERT INTO public.ecdc_import VALUES (42708, '15/09/2020', '15', '9', '2020', '289', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '28.35848123');
INSERT INTO public.ecdc_import VALUES (42709, '14/09/2020', '14', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '24.8300931');
INSERT INTO public.ecdc_import VALUES (42710, '13/09/2020', '13', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '24.8300931');
INSERT INTO public.ecdc_import VALUES (42711, '12/09/2020', '12', '9', '2020', '120', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '24.8300931');
INSERT INTO public.ecdc_import VALUES (42712, '11/09/2020', '11', '9', '2020', '122', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '23.29111529');
INSERT INTO public.ecdc_import VALUES (42713, '10/09/2020', '10', '9', '2020', '105', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '21.95858573');
INSERT INTO public.ecdc_import VALUES (42714, '09/09/2020', '9', '9', '2020', '132', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '21.09525672');
INSERT INTO public.ecdc_import VALUES (42715, '08/09/2020', '8', '9', '2020', '267', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '19.9691754');
INSERT INTO public.ecdc_import VALUES (42716, '07/09/2020', '7', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '17.3228843');
INSERT INTO public.ecdc_import VALUES (42717, '06/09/2020', '6', '9', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '17.3228843');
INSERT INTO public.ecdc_import VALUES (42718, '05/09/2020', '5', '9', '2020', '85', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '17.3228843');
INSERT INTO public.ecdc_import VALUES (42719, '04/09/2020', '4', '9', '2020', '164', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '16.3844832');
INSERT INTO public.ecdc_import VALUES (42720, '03/09/2020', '3', '9', '2020', '88', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '14.26369671');
INSERT INTO public.ecdc_import VALUES (42721, '02/09/2020', '2', '9', '2020', '139', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.5692799');
INSERT INTO public.ecdc_import VALUES (42722, '01/09/2020', '1', '9', '2020', '101', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '12.01153408');
INSERT INTO public.ecdc_import VALUES (42723, '31/08/2020', '31', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.00623924');
INSERT INTO public.ecdc_import VALUES (42724, '30/08/2020', '30', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.00623924');
INSERT INTO public.ecdc_import VALUES (42725, '29/08/2020', '29', '8', '2020', '38', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.00623924');
INSERT INTO public.ecdc_import VALUES (42726, '28/08/2020', '28', '8', '2020', '51', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.55051188');
INSERT INTO public.ecdc_import VALUES (42727, '27/08/2020', '27', '8', '2020', '59', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.21268748');
INSERT INTO public.ecdc_import VALUES (42728, '26/08/2020', '26', '8', '2020', '72', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.34406364');
INSERT INTO public.ecdc_import VALUES (42729, '25/08/2020', '25', '8', '2020', '126', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '12.85609507');
INSERT INTO public.ecdc_import VALUES (42730, '24/08/2020', '24', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.68188803');
INSERT INTO public.ecdc_import VALUES (42731, '23/08/2020', '23', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.68188803');
INSERT INTO public.ecdc_import VALUES (42732, '22/08/2020', '22', '8', '2020', '35', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.68188803');
INSERT INTO public.ecdc_import VALUES (42733, '21/08/2020', '21', '8', '2020', '51', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '14.13232056');
INSERT INTO public.ecdc_import VALUES (42734, '20/08/2020', '20', '8', '2020', '51', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '14.05724847');
INSERT INTO public.ecdc_import VALUES (42735, '19/08/2020', '19', '8', '2020', '56', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.64435199');
INSERT INTO public.ecdc_import VALUES (42736, '18/08/2020', '18', '8', '2020', '154', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.81326419');
INSERT INTO public.ecdc_import VALUES (42737, '17/08/2020', '17', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '12.04907012');
INSERT INTO public.ecdc_import VALUES (42738, '16/08/2020', '16', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '12.04907012');
INSERT INTO public.ecdc_import VALUES (42739, '15/08/2020', '15', '8', '2020', '67', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '12.04907012');
INSERT INTO public.ecdc_import VALUES (42740, '14/08/2020', '14', '8', '2020', '33', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.46726144');
INSERT INTO public.ecdc_import VALUES (42741, '13/08/2020', '13', '8', '2020', '66', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.2608132');
INSERT INTO public.ecdc_import VALUES (42742, '12/08/2020', '12', '8', '2020', '46', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '10.35994814');
INSERT INTO public.ecdc_import VALUES (42743, '11/08/2020', '11', '8', '2020', '170', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '9.77813946');
INSERT INTO public.ecdc_import VALUES (42744, '10/08/2020', '10', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '7.18815242');
INSERT INTO public.ecdc_import VALUES (42745, '09/08/2020', '9', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '7.18815242');
INSERT INTO public.ecdc_import VALUES (42746, '08/08/2020', '8', '8', '2020', '59', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '7.18815242');
INSERT INTO public.ecdc_import VALUES (42747, '07/08/2020', '7', '8', '2020', '47', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '6.51250363');
INSERT INTO public.ecdc_import VALUES (42748, '06/08/2020', '6', '8', '2020', '29', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '5.7993188');
INSERT INTO public.ecdc_import VALUES (42749, '05/08/2020', '5', '8', '2020', '65', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '5.53656649');
INSERT INTO public.ecdc_import VALUES (42750, '04/08/2020', '4', '8', '2020', '60', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.50432528');
INSERT INTO public.ecdc_import VALUES (42751, '03/08/2020', '3', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.62222824');
INSERT INTO public.ecdc_import VALUES (42752, '02/08/2020', '2', '8', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.62222824');
INSERT INTO public.ecdc_import VALUES (42753, '01/08/2020', '1', '8', '2020', '36', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.62222824');
INSERT INTO public.ecdc_import VALUES (42754, '31/07/2020', '31', '7', '2020', '22', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.02165154');
INSERT INTO public.ecdc_import VALUES (42755, '30/07/2020', '30', '7', '2020', '18', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.79643528');
INSERT INTO public.ecdc_import VALUES (42756, '29/07/2020', '29', '7', '2020', '15', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.77766725');
INSERT INTO public.ecdc_import VALUES (42757, '28/07/2020', '28', '7', '2020', '32', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.55245099');
INSERT INTO public.ecdc_import VALUES (42758, '27/07/2020', '27', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.25216264');
INSERT INTO public.ecdc_import VALUES (42759, '26/07/2020', '26', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.25216264');
INSERT INTO public.ecdc_import VALUES (42760, '25/07/2020', '25', '7', '2020', '23', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.25216264');
INSERT INTO public.ecdc_import VALUES (42761, '24/07/2020', '24', '7', '2020', '9', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.02694638');
INSERT INTO public.ecdc_import VALUES (42762, '23/07/2020', '23', '7', '2020', '15', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '1.98941033');
INSERT INTO public.ecdc_import VALUES (42763, '22/07/2020', '22', '7', '2020', '10', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '1.91433824');
INSERT INTO public.ecdc_import VALUES (42764, '21/07/2020', '21', '7', '2020', '13', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '1.83926616');
INSERT INTO public.ecdc_import VALUES (42765, '20/07/2020', '20', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.25216264');
INSERT INTO public.ecdc_import VALUES (42766, '19/07/2020', '19', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.25216264');
INSERT INTO public.ecdc_import VALUES (42767, '18/07/2020', '18', '7', '2020', '4', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.25216264');
INSERT INTO public.ecdc_import VALUES (42768, '17/07/2020', '17', '7', '2020', '10', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.17709055');
INSERT INTO public.ecdc_import VALUES (42769, '16/07/2020', '16', '7', '2020', '17', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.13955451');
INSERT INTO public.ecdc_import VALUES (42770, '15/07/2020', '15', '7', '2020', '3', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.23339462');
INSERT INTO public.ecdc_import VALUES (42771, '14/07/2020', '14', '7', '2020', '16', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.36477077');
INSERT INTO public.ecdc_import VALUES (42772, '13/07/2020', '13', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.8152033');
INSERT INTO public.ecdc_import VALUES (42773, '12/07/2020', '12', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.8152033');
INSERT INTO public.ecdc_import VALUES (42774, '11/07/2020', '11', '7', '2020', '11', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.8152033');
INSERT INTO public.ecdc_import VALUES (42775, '10/07/2020', '10', '7', '2020', '7', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.02165154');
INSERT INTO public.ecdc_import VALUES (42776, '09/07/2020', '9', '7', '2020', '11', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.19056374');
INSERT INTO public.ecdc_import VALUES (42777, '08/07/2020', '8', '7', '2020', '6', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.47208407');
INSERT INTO public.ecdc_import VALUES (42778, '07/07/2020', '7', '7', '2020', '35', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.47208407');
INSERT INTO public.ecdc_import VALUES (42779, '06/07/2020', '6', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.50962011');
INSERT INTO public.ecdc_import VALUES (42780, '05/07/2020', '5', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.50962011');
INSERT INTO public.ecdc_import VALUES (42781, '04/07/2020', '4', '7', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.80990846');
INSERT INTO public.ecdc_import VALUES (42782, '03/07/2020', '3', '7', '2020', '8', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.80990846');
INSERT INTO public.ecdc_import VALUES (42783, '02/07/2020', '2', '7', '2020', '22', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.26034099');
INSERT INTO public.ecdc_import VALUES (42784, '01/07/2020', '1', '7', '2020', '10', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.39171715');
INSERT INTO public.ecdc_import VALUES (42785, '30/06/2020', '30', '6', '2020', '40', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.20403693');
INSERT INTO public.ecdc_import VALUES (42786, '29/06/2020', '29', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.9225166');
INSERT INTO public.ecdc_import VALUES (42787, '28/06/2020', '28', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.9225166');
INSERT INTO public.ecdc_import VALUES (42788, '27/06/2020', '27', '6', '2020', '22', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.9225166');
INSERT INTO public.ecdc_import VALUES (42789, '26/06/2020', '26', '6', '2020', '16', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.73483638');
INSERT INTO public.ecdc_import VALUES (42790, '25/06/2020', '25', '6', '2020', '26', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.77237242');
INSERT INTO public.ecdc_import VALUES (42791, '24/06/2020', '24', '6', '2020', '6', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.52838813');
INSERT INTO public.ecdc_import VALUES (42792, '23/06/2020', '23', '6', '2020', '37', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.71606835');
INSERT INTO public.ecdc_import VALUES (42793, '22/06/2020', '22', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.82867649');
INSERT INTO public.ecdc_import VALUES (42794, '21/06/2020', '21', '6', '2020', '16', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.82867649');
INSERT INTO public.ecdc_import VALUES (42795, '20/06/2020', '20', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.52838813');
INSERT INTO public.ecdc_import VALUES (42796, '19/06/2020', '19', '6', '2020', '32', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.03512473');
INSERT INTO public.ecdc_import VALUES (42797, '18/06/2020', '18', '6', '2020', '29', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.01635671');
INSERT INTO public.ecdc_import VALUES (42798, '17/06/2020', '17', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.47208407');
INSERT INTO public.ecdc_import VALUES (42799, '16/06/2020', '16', '6', '2020', '25', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.12896484');
INSERT INTO public.ecdc_import VALUES (42800, '15/06/2020', '15', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42801, '14/06/2020', '14', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42802, '13/06/2020', '13', '6', '2020', '12', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42803, '12/06/2020', '12', '6', '2020', '18', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.62222824');
INSERT INTO public.ecdc_import VALUES (42804, '11/06/2020', '11', '6', '2020', '13', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.62222824');
INSERT INTO public.ecdc_import VALUES (42805, '10/06/2020', '10', '6', '2020', '16', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.73483638');
INSERT INTO public.ecdc_import VALUES (42806, '09/06/2020', '9', '6', '2020', '43', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42807, '08/06/2020', '8', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42808, '07/06/2020', '7', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42809, '06/06/2020', '6', '6', '2020', '27', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.65976429');
INSERT INTO public.ecdc_import VALUES (42810, '05/06/2020', '5', '6', '2020', '31', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.9225166');
INSERT INTO public.ecdc_import VALUES (42811, '04/06/2020', '4', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.34070791');
INSERT INTO public.ecdc_import VALUES (42812, '03/06/2020', '3', '6', '2020', '35', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.54715616');
INSERT INTO public.ecdc_import VALUES (42813, '02/06/2020', '2', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.04041956');
INSERT INTO public.ecdc_import VALUES (42814, '01/06/2020', '1', '6', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.01635671');
INSERT INTO public.ecdc_import VALUES (42815, '31/05/2020', '31', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.01635671');
INSERT INTO public.ecdc_import VALUES (42816, '30/05/2020', '30', '5', '2020', '10', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.01635671');
INSERT INTO public.ecdc_import VALUES (42817, '29/05/2020', '29', '5', '2020', '18', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.24157297');
INSERT INTO public.ecdc_import VALUES (42818, '28/05/2020', '28', '5', '2020', '19', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.22280495');
INSERT INTO public.ecdc_import VALUES (42819, '27/05/2020', '27', '5', '2020', '12', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.29787704');
INSERT INTO public.ecdc_import VALUES (42820, '26/05/2020', '26', '5', '2020', '43', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.61693341');
INSERT INTO public.ecdc_import VALUES (42821, '25/05/2020', '25', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.94128462');
INSERT INTO public.ecdc_import VALUES (42822, '24/05/2020', '24', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '4.50432528');
INSERT INTO public.ecdc_import VALUES (42823, '23/05/2020', '23', '5', '2020', '41', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '5.16120605');
INSERT INTO public.ecdc_import VALUES (42824, '22/05/2020', '22', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '5.12367');
INSERT INTO public.ecdc_import VALUES (42825, '21/05/2020', '21', '5', '2020', '11', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '5.91192693');
INSERT INTO public.ecdc_import VALUES (42826, '20/05/2020', '20', '5', '2020', '8', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '6.64387979');
INSERT INTO public.ecdc_import VALUES (42827, '19/05/2020', '19', '5', '2020', '52', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '7.54474484');
INSERT INTO public.ecdc_import VALUES (42828, '18/05/2020', '18', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '7.28199253');
INSERT INTO public.ecdc_import VALUES (42829, '17/05/2020', '17', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '8.22039363');
INSERT INTO public.ecdc_import VALUES (42830, '16/05/2020', '16', '5', '2020', '22', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '8.22039363');
INSERT INTO public.ecdc_import VALUES (42831, '15/05/2020', '15', '5', '2020', '17', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '8.72713023');
INSERT INTO public.ecdc_import VALUES (42832, '14/05/2020', '14', '5', '2020', '23', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '9.2150988');
INSERT INTO public.ecdc_import VALUES (42833, '13/05/2020', '13', '5', '2020', '29', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '9.94705166');
INSERT INTO public.ecdc_import VALUES (42834, '12/05/2020', '12', '5', '2020', '7', '7', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '10.7540766');
INSERT INTO public.ecdc_import VALUES (42835, '11/05/2020', '11', '5', '2020', '30', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.14820506');
INSERT INTO public.ecdc_import VALUES (42836, '10/05/2020', '10', '5', '2020', '35', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.29834924');
INSERT INTO public.ecdc_import VALUES (42837, '09/05/2020', '9', '5', '2020', '39', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.74878177');
INSERT INTO public.ecdc_import VALUES (42838, '08/05/2020', '8', '5', '2020', '42', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '12.1992143');
INSERT INTO public.ecdc_import VALUES (42839, '07/05/2020', '7', '5', '2020', '50', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.19391946');
INSERT INTO public.ecdc_import VALUES (42840, '06/05/2020', '6', '5', '2020', '56', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.83203221');
INSERT INTO public.ecdc_import VALUES (42841, '05/05/2020', '5', '5', '2020', '38', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.77572814');
INSERT INTO public.ecdc_import VALUES (42842, '04/05/2020', '4', '5', '2020', '50', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '13.9071043');
INSERT INTO public.ecdc_import VALUES (42843, '03/05/2020', '3', '5', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '14.54521704');
INSERT INTO public.ecdc_import VALUES (42844, '02/05/2020', '2', '5', '2020', '49', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '18.16744529');
INSERT INTO public.ecdc_import VALUES (42845, '01/05/2020', '1', '5', '2020', '43', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '17.24781221');
INSERT INTO public.ecdc_import VALUES (42846, '30/04/2020', '30', '4', '2020', '62', '7', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '18.58034177');
INSERT INTO public.ecdc_import VALUES (42847, '29/04/2020', '29', '4', '2020', '72', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '19.49997485');
INSERT INTO public.ecdc_import VALUES (42848, '28/04/2020', '28', '4', '2020', '28', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '19.61258298');
INSERT INTO public.ecdc_import VALUES (42849, '27/04/2020', '27', '4', '2020', '38', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '20.45714397');
INSERT INTO public.ecdc_import VALUES (42850, '26/04/2020', '26', '4', '2020', '59', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '21.52692123');
INSERT INTO public.ecdc_import VALUES (42851, '25/04/2020', '25', '4', '2020', '63', '11', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '21.8459776');
INSERT INTO public.ecdc_import VALUES (42852, '24/04/2020', '24', '4', '2020', '95', '11', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '22.24010606');
INSERT INTO public.ecdc_import VALUES (42853, '23/04/2020', '23', '4', '2020', '84', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '23.27234727');
INSERT INTO public.ecdc_import VALUES (42854, '22/04/2020', '22', '4', '2020', '53', '9', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '24.45473266');
INSERT INTO public.ecdc_import VALUES (42855, '21/04/2020', '21', '4', '2020', '45', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '25.48697387');
INSERT INTO public.ecdc_import VALUES (42856, '20/04/2020', '20', '4', '2020', '84', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '26.80073541');
INSERT INTO public.ecdc_import VALUES (42857, '19/04/2020', '19', '4', '2020', '193', '12', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '27.66406442');
INSERT INTO public.ecdc_import VALUES (42858, '18/04/2020', '18', '4', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '29.70977882');
INSERT INTO public.ecdc_import VALUES (42859, '17/04/2020', '17', '4', '2020', '114', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '34.83344882');
INSERT INTO public.ecdc_import VALUES (42860, '16/04/2020', '16', '4', '2020', '111', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '37.76126025');
INSERT INTO public.ecdc_import VALUES (42861, '15/04/2020', '15', '4', '2020', '78', '13', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '39.7694386');
INSERT INTO public.ecdc_import VALUES (42862, '14/04/2020', '14', '4', '2020', '73', '11', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '42.45326575');
INSERT INTO public.ecdc_import VALUES (42863, '13/04/2020', '13', '4', '2020', '95', '5', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '43.41043487');
INSERT INTO public.ecdc_import VALUES (42864, '12/04/2020', '12', '4', '2020', '76', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '46.45085443');
INSERT INTO public.ecdc_import VALUES (42865, '11/04/2020', '11', '4', '2020', '84', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '49.97924257');
INSERT INTO public.ecdc_import VALUES (42866, '10/04/2020', '10', '4', '2020', '150', '8', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '56.37913807');
INSERT INTO public.ecdc_import VALUES (42867, '09/04/2020', '9', '4', '2020', '147', '11', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '58.06826005');
INSERT INTO public.ecdc_import VALUES (42868, '08/04/2020', '8', '4', '2020', '108', '10', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '61.87816851');
INSERT INTO public.ecdc_import VALUES (42869, '07/04/2020', '7', '4', '2020', '115', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '63.51098642');
INSERT INTO public.ecdc_import VALUES (42870, '06/04/2020', '6', '4', '2020', '130', '8', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '65.83822115');
INSERT INTO public.ecdc_import VALUES (42871, '05/04/2020', '5', '4', '2020', '302', '6', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '67.26459082');
INSERT INTO public.ecdc_import VALUES (42872, '04/04/2020', '4', '4', '2020', '273', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '65.04996423');
INSERT INTO public.ecdc_import VALUES (42873, '03/04/2020', '3', '4', '2020', '270', '10', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '63.4922184');
INSERT INTO public.ecdc_import VALUES (42874, '02/04/2020', '2', '4', '2020', '218', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '60.8459273');
INSERT INTO public.ecdc_import VALUES (42875, '01/04/2020', '1', '4', '2020', '221', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '58.91282104');
INSERT INTO public.ecdc_import VALUES (42876, '31/03/2020', '31', '3', '2020', '124', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '57.37384323');
INSERT INTO public.ecdc_import VALUES (42877, '30/03/2020', '30', '3', '2020', '257', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '56.77326653');
INSERT INTO public.ecdc_import VALUES (42878, '29/03/2020', '29', '3', '2020', '264', '4', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '55.14044862');
INSERT INTO public.ecdc_import VALUES (42879, '28/03/2020', '28', '3', '2020', '425', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '55.5533451');
INSERT INTO public.ecdc_import VALUES (42880, '27/03/2020', '27', '3', '2020', '240', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '47.57693575');
INSERT INTO public.ecdc_import VALUES (42881, '26/03/2020', '26', '3', '2020', '350', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '45.54998938');
INSERT INTO public.ecdc_import VALUES (42882, '25/03/2020', '25', '3', '2020', '195', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '42.96000234');
INSERT INTO public.ecdc_import VALUES (42883, '24/03/2020', '24', '3', '2020', '239', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '40.89551992');
INSERT INTO public.ecdc_import VALUES (42884, '23/03/2020', '23', '3', '2020', '206', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '36.84162717');
INSERT INTO public.ecdc_import VALUES (42885, '22/03/2020', '22', '3', '2020', '184', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '33.38831113');
INSERT INTO public.ecdc_import VALUES (42886, '21/03/2020', '21', '3', '2020', '190', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '30.57310783');
INSERT INTO public.ecdc_import VALUES (42887, '20/03/2020', '20', '3', '2020', '129', '3', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '27.51392024');
INSERT INTO public.ecdc_import VALUES (42888, '19/03/2020', '19', '3', '2020', '115', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '25.65588606');
INSERT INTO public.ecdc_import VALUES (42889, '18/03/2020', '18', '3', '2020', '139', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '23.92922804');
INSERT INTO public.ecdc_import VALUES (42890, '17/03/2020', '17', '3', '2020', '92', '2', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '21.47061716');
INSERT INTO public.ecdc_import VALUES (42891, '16/03/2020', '16', '3', '2020', '170', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '19.85656727');
INSERT INTO public.ecdc_import VALUES (42892, '15/03/2020', '15', '3', '2020', '286', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '16.74107562');
INSERT INTO public.ecdc_import VALUES (42893, '14/03/2020', '14', '3', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.54233353');
INSERT INTO public.ecdc_import VALUES (42894, '13/03/2020', '13', '3', '2020', '132', '1', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '11.57986957');
INSERT INTO public.ecdc_import VALUES (42895, '12/03/2020', '12', '3', '2020', '212', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '9.15879473');
INSERT INTO public.ecdc_import VALUES (42896, '11/03/2020', '11', '3', '2020', '85', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '5.19874209');
INSERT INTO public.ecdc_import VALUES (42897, '10/03/2020', '10', '3', '2020', '23', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.60346022');
INSERT INTO public.ecdc_import VALUES (42898, '09/03/2020', '9', '3', '2020', '22', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '3.17179572');
INSERT INTO public.ecdc_import VALUES (42899, '08/03/2020', '8', '3', '2020', '34', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.75889923');
INSERT INTO public.ecdc_import VALUES (42900, '07/03/2020', '7', '3', '2020', '27', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '2.12078649');
INSERT INTO public.ecdc_import VALUES (42901, '06/03/2020', '6', '3', '2020', '30', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '1.61404989');
INSERT INTO public.ecdc_import VALUES (42902, '05/03/2020', '5', '3', '2020', '23', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '1.05100923');
INSERT INTO public.ecdc_import VALUES (42903, '04/03/2020', '4', '3', '2020', '8', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.61934473');
INSERT INTO public.ecdc_import VALUES (42904, '03/03/2020', '3', '3', '2020', '6', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.46920055');
INSERT INTO public.ecdc_import VALUES (42905, '02/03/2020', '2', '3', '2020', '4', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.35659242');
INSERT INTO public.ecdc_import VALUES (42906, '01/03/2020', '1', '3', '2020', '9', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.28152033');
INSERT INTO public.ecdc_import VALUES (42907, '29/02/2020', '29', '2', '2020', '2', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.11260813');
INSERT INTO public.ecdc_import VALUES (42908, '28/02/2020', '28', '2', '2020', '3', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.07507209');
INSERT INTO public.ecdc_import VALUES (42909, '27/02/2020', '27', '2', '2020', '1', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0.01876802');
INSERT INTO public.ecdc_import VALUES (42910, '26/02/2020', '26', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42911, '25/02/2020', '25', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42912, '24/02/2020', '24', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42913, '23/02/2020', '23', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42914, '22/02/2020', '22', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42915, '21/02/2020', '21', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42916, '20/02/2020', '20', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42917, '19/02/2020', '19', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42918, '18/02/2020', '18', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42919, '17/02/2020', '17', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42920, '16/02/2020', '16', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42921, '15/02/2020', '15', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42922, '14/02/2020', '14', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42923, '13/02/2020', '13', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42924, '12/02/2020', '12', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42925, '11/02/2020', '11', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42926, '10/02/2020', '10', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42927, '09/02/2020', '9', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42928, '08/02/2020', '8', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42929, '07/02/2020', '7', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42930, '06/02/2020', '6', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42931, '05/02/2020', '5', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42932, '04/02/2020', '4', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42933, '03/02/2020', '3', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42934, '02/02/2020', '2', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42935, '01/02/2020', '1', '2', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42936, '31/01/2020', '31', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42937, '30/01/2020', '30', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42938, '29/01/2020', '29', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42939, '28/01/2020', '28', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42940, '27/01/2020', '27', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42941, '26/01/2020', '26', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42942, '25/01/2020', '25', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42943, '24/01/2020', '24', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42944, '23/01/2020', '23', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42945, '22/01/2020', '22', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42946, '21/01/2020', '21', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42947, '20/01/2020', '20', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42948, '19/01/2020', '19', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42949, '18/01/2020', '18', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42950, '17/01/2020', '17', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42951, '16/01/2020', '16', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42952, '15/01/2020', '15', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42953, '14/01/2020', '14', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42954, '13/01/2020', '13', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (42955, '12/01/2020', '12', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42956, '11/01/2020', '11', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42957, '10/01/2020', '10', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42958, '09/01/2020', '9', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42959, '08/01/2020', '8', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42960, '07/01/2020', '7', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42961, '06/01/2020', '6', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42962, '05/01/2020', '5', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42963, '04/01/2020', '4', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42964, '03/01/2020', '3', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42965, '02/01/2020', '2', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42966, '01/01/2020', '1', '1', '2020', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42967, '31/12/2019', '31', '12', '2019', '0', '0', '5328212', 'Norway', 'NO', 'NOR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (42968, '14/12/2020', '14', '12', '2020', '571', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '55.39707401');
INSERT INTO public.ecdc_import VALUES (42969, '13/12/2020', '13', '12', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '62.11065264');
INSERT INTO public.ecdc_import VALUES (42970, '12/12/2020', '12', '12', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '62.11065264');
INSERT INTO public.ecdc_import VALUES (42971, '11/12/2020', '11', '12', '2020', '179', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '62.11065264');
INSERT INTO public.ecdc_import VALUES (42972, '10/12/2020', '10', '12', '2020', '165', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '58.5126569');
INSERT INTO public.ecdc_import VALUES (42973, '09/12/2020', '9', '12', '2020', '210', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '55.19606866');
INSERT INTO public.ecdc_import VALUES (42974, '08/12/2020', '8', '12', '2020', '229', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '55.45737561');
INSERT INTO public.ecdc_import VALUES (42975, '07/12/2020', '7', '12', '2020', '557', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '56.38200021');
INSERT INTO public.ecdc_import VALUES (42976, '06/12/2020', '6', '12', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '59.67848793');
INSERT INTO public.ecdc_import VALUES (42977, '05/12/2020', '5', '12', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '59.67848793');
INSERT INTO public.ecdc_import VALUES (42978, '04/12/2020', '4', '12', '2020', '184', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '59.67848793');
INSERT INTO public.ecdc_import VALUES (42979, '03/12/2020', '3', '12', '2020', '237', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '60.62321306');
INSERT INTO public.ecdc_import VALUES (42980, '02/12/2020', '2', '12', '2020', '209', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '64.12070612');
INSERT INTO public.ecdc_import VALUES (42981, '01/12/2020', '1', '12', '2020', '215', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '59.91969434');
INSERT INTO public.ecdc_import VALUES (42982, '30/11/2020', '30', '11', '2020', '905', '27', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '62.21115531');
INSERT INTO public.ecdc_import VALUES (42983, '29/11/2020', '29', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '63.05537778');
INSERT INTO public.ecdc_import VALUES (42984, '28/11/2020', '28', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '63.05537778');
INSERT INTO public.ecdc_import VALUES (42985, '27/11/2020', '27', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '63.05537778');
INSERT INTO public.ecdc_import VALUES (42986, '26/11/2020', '26', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '68.2011147');
INSERT INTO public.ecdc_import VALUES (42987, '25/11/2020', '25', '11', '2020', '223', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '74.27147622');
INSERT INTO public.ecdc_import VALUES (42988, '24/11/2020', '24', '11', '2020', '275', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '77.44736072');
INSERT INTO public.ecdc_import VALUES (42989, '23/11/2020', '23', '11', '2020', '721', '15', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '79.21620778');
INSERT INTO public.ecdc_import VALUES (42990, '22/11/2020', '22', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '84.28154256');
INSERT INTO public.ecdc_import VALUES (42991, '21/11/2020', '21', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '84.28154256');
INSERT INTO public.ecdc_import VALUES (42992, '20/11/2020', '20', '11', '2020', '231', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '84.28154256');
INSERT INTO public.ecdc_import VALUES (42993, '19/11/2020', '19', '11', '2020', '411', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '86.07049016');
INSERT INTO public.ecdc_import VALUES (42994, '18/11/2020', '18', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '84.22124096');
INSERT INTO public.ecdc_import VALUES (42995, '17/11/2020', '17', '11', '2020', '329', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '91.77904206');
INSERT INTO public.ecdc_import VALUES (42996, '16/11/2020', '16', '11', '2020', '947', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '93.56798966');
INSERT INTO public.ecdc_import VALUES (42997, '15/11/2020', '15', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '100.66347845');
INSERT INTO public.ecdc_import VALUES (42998, '14/11/2020', '14', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '100.66347845');
INSERT INTO public.ecdc_import VALUES (42999, '13/11/2020', '13', '11', '2020', '256', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '100.66347845');
INSERT INTO public.ecdc_import VALUES (43000, '12/11/2020', '12', '11', '2020', '302', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '95.51774154');
INSERT INTO public.ecdc_import VALUES (43001, '11/11/2020', '11', '11', '2020', '381', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '101.7891084');
INSERT INTO public.ecdc_import VALUES (43002, '10/11/2020', '10', '11', '2020', '363', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '103.49765387');
INSERT INTO public.ecdc_import VALUES (43003, '09/11/2020', '9', '11', '2020', '973', '15', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '104.68358542');
INSERT INTO public.ecdc_import VALUES (43004, '08/11/2020', '8', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '107.13585067');
INSERT INTO public.ecdc_import VALUES (43005, '07/11/2020', '7', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '107.13585067');
INSERT INTO public.ecdc_import VALUES (43006, '06/11/2020', '6', '11', '2020', '320', '11', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '107.13585067');
INSERT INTO public.ecdc_import VALUES (43007, '05/11/2020', '5', '11', '2020', '319', '11', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '107.79916832');
INSERT INTO public.ecdc_import VALUES (43008, '04/11/2020', '4', '11', '2020', '376', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '110.45243892');
INSERT INTO public.ecdc_import VALUES (43009, '03/11/2020', '3', '11', '2020', '418', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '111.71877261');
INSERT INTO public.ecdc_import VALUES (43010, '02/11/2020', '2', '11', '2020', '1300', '38', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '116.20119188');
INSERT INTO public.ecdc_import VALUES (43011, '01/11/2020', '1', '11', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '123.37708282');
INSERT INTO public.ecdc_import VALUES (43012, '31/10/2020', '31', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '123.37708282');
INSERT INTO public.ecdc_import VALUES (43013, '30/10/2020', '30', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '123.37708282');
INSERT INTO public.ecdc_import VALUES (43014, '29/10/2020', '29', '10', '2020', '614', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '133.82936093');
INSERT INTO public.ecdc_import VALUES (43015, '28/10/2020', '28', '10', '2020', '466', '13', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '132.80423366');
INSERT INTO public.ecdc_import VALUES (43016, '27/10/2020', '27', '10', '2020', '422', '16', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '136.26152565');
INSERT INTO public.ecdc_import VALUES (43017, '26/10/2020', '26', '10', '2020', '1095', '27', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '141.54796631');
INSERT INTO public.ecdc_import VALUES (43018, '25/10/2020', '25', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '154.93492251');
INSERT INTO public.ecdc_import VALUES (43019, '24/10/2020', '24', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '154.93492251');
INSERT INTO public.ecdc_import VALUES (43020, '23/10/2020', '23', '10', '2020', '353', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '154.93492251');
INSERT INTO public.ecdc_import VALUES (43021, '22/10/2020', '22', '10', '2020', '451', '15', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '161.18618884');
INSERT INTO public.ecdc_import VALUES (43022, '21/10/2020', '21', '10', '2020', '439', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '168.54298459');
INSERT INTO public.ecdc_import VALUES (43023, '20/10/2020', '20', '10', '2020', '641', '13', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '176.48269585');
INSERT INTO public.ecdc_import VALUES (43024, '19/10/2020', '19', '10', '2020', '1657', '30', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '174.53294397');
INSERT INTO public.ecdc_import VALUES (43025, '18/10/2020', '18', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '195.19629378');
INSERT INTO public.ecdc_import VALUES (43026, '17/10/2020', '17', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '195.19629378');
INSERT INTO public.ecdc_import VALUES (43027, '16/10/2020', '16', '10', '2020', '520', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '195.19629378');
INSERT INTO public.ecdc_import VALUES (43028, '15/10/2020', '15', '10', '2020', '563', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '184.74401567');
INSERT INTO public.ecdc_import VALUES (43029, '14/10/2020', '14', '10', '2020', '638', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '173.42741456');
INSERT INTO public.ecdc_import VALUES (43030, '13/10/2020', '13', '10', '2020', '685', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '171.21635572');
INSERT INTO public.ecdc_import VALUES (43031, '12/10/2020', '12', '10', '2020', '1761', '29', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '169.64851401');
INSERT INTO public.ecdc_import VALUES (43032, '11/10/2020', '11', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '165.26659741');
INSERT INTO public.ecdc_import VALUES (43033, '10/10/2020', '10', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '165.26659741');
INSERT INTO public.ecdc_import VALUES (43034, '09/10/2020', '9', '10', '2020', '664', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '165.26659741');
INSERT INTO public.ecdc_import VALUES (43035, '08/10/2020', '8', '10', '2020', '817', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '163.33694607');
INSERT INTO public.ecdc_import VALUES (43036, '07/10/2020', '7', '10', '2020', '834', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '159.53794499');
INSERT INTO public.ecdc_import VALUES (43037, '06/10/2020', '6', '10', '2020', '544', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '156.04045192');
INSERT INTO public.ecdc_import VALUES (43038, '05/10/2020', '5', '10', '2020', '2685', '42', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '156.68366904');
INSERT INTO public.ecdc_import VALUES (43039, '04/10/2020', '4', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '137.32685399');
INSERT INTO public.ecdc_import VALUES (43040, '03/10/2020', '3', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '137.32685399');
INSERT INTO public.ecdc_import VALUES (43041, '02/10/2020', '2', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '137.32685399');
INSERT INTO public.ecdc_import VALUES (43042, '01/10/2020', '1', '10', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '148.5228519');
INSERT INTO public.ecdc_import VALUES (43043, '30/09/2020', '30', '9', '2020', '528', '11', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '159.29673857');
INSERT INTO public.ecdc_import VALUES (43044, '29/09/2020', '29', '9', '2020', '607', '15', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '157.48769043');
INSERT INTO public.ecdc_import VALUES (43045, '28/09/2020', '28', '9', '2020', '1543', '24', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '154.85452037');
INSERT INTO public.ecdc_import VALUES (43046, '27/09/2020', '27', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '152.1610487');
INSERT INTO public.ecdc_import VALUES (43047, '26/09/2020', '26', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '152.1610487');
INSERT INTO public.ecdc_import VALUES (43048, '25/09/2020', '25', '9', '2020', '568', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '152.1610487');
INSERT INTO public.ecdc_import VALUES (43049, '24/09/2020', '24', '9', '2020', '628', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '148.74395778');
INSERT INTO public.ecdc_import VALUES (43050, '23/09/2020', '23', '9', '2020', '660', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '143.13590856');
INSERT INTO public.ecdc_import VALUES (43051, '22/09/2020', '22', '9', '2020', '576', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '135.1358957');
INSERT INTO public.ecdc_import VALUES (43052, '21/09/2020', '21', '9', '2020', '1722', '28', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '128.70372455');
INSERT INTO public.ecdc_import VALUES (43053, '20/09/2020', '20', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '108.00017367');
INSERT INTO public.ecdc_import VALUES (43054, '19/09/2020', '19', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '108.00017367');
INSERT INTO public.ecdc_import VALUES (43055, '18/09/2020', '18', '9', '2020', '557', '13', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '108.00017367');
INSERT INTO public.ecdc_import VALUES (43056, '17/09/2020', '17', '9', '2020', '536', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '105.88961751');
INSERT INTO public.ecdc_import VALUES (43057, '16/09/2020', '16', '9', '2020', '438', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '95.11573084');
INSERT INTO public.ecdc_import VALUES (43058, '15/09/2020', '15', '9', '2020', '476', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '90.45240676');
INSERT INTO public.ecdc_import VALUES (43059, '14/09/2020', '14', '9', '2020', '1409', '18', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '84.46244738');
INSERT INTO public.ecdc_import VALUES (43060, '13/09/2020', '13', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '66.97498207');
INSERT INTO public.ecdc_import VALUES (43061, '12/09/2020', '12', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '66.97498207');
INSERT INTO public.ecdc_import VALUES (43062, '11/09/2020', '11', '9', '2020', '398', '11', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '66.97498207');
INSERT INTO public.ecdc_import VALUES (43063, '10/09/2020', '10', '9', '2020', '349', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '62.73376922');
INSERT INTO public.ecdc_import VALUES (43064, '09/09/2020', '9', '9', '2020', '262', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '59.05537135');
INSERT INTO public.ecdc_import VALUES (43065, '08/09/2020', '8', '9', '2020', '256', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '56.6634077');
INSERT INTO public.ecdc_import VALUES (43066, '07/09/2020', '7', '9', '2020', '692', '23', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '66.39206656');
INSERT INTO public.ecdc_import VALUES (43067, '06/09/2020', '6', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '52.48249645');
INSERT INTO public.ecdc_import VALUES (43068, '05/09/2020', '5', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '52.48249645');
INSERT INTO public.ecdc_import VALUES (43069, '04/09/2020', '4', '9', '2020', '452', '16', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '52.48249645');
INSERT INTO public.ecdc_import VALUES (43070, '03/09/2020', '3', '9', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '46.67344189');
INSERT INTO public.ecdc_import VALUES (43071, '02/09/2020', '2', '9', '2020', '206', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '50.45234244');
INSERT INTO public.ecdc_import VALUES (43072, '01/09/2020', '1', '9', '2020', '178', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '50.17093495');
INSERT INTO public.ecdc_import VALUES (43073, '31/08/2020', '31', '8', '2020', '539', '27', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '49.40711462');
INSERT INTO public.ecdc_import VALUES (43074, '30/08/2020', '30', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '41.82921299');
INSERT INTO public.ecdc_import VALUES (43075, '29/08/2020', '29', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '45.4674098');
INSERT INTO public.ecdc_import VALUES (43076, '28/08/2020', '28', '8', '2020', '187', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '49.72872318');
INSERT INTO public.ecdc_import VALUES (43077, '27/08/2020', '27', '8', '2020', '166', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '50.63324725');
INSERT INTO public.ecdc_import VALUES (43078, '26/08/2020', '26', '8', '2020', '143', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '52.30159164');
INSERT INTO public.ecdc_import VALUES (43079, '25/08/2020', '25', '8', '2020', '740', '28', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '54.71365582');
INSERT INTO public.ecdc_import VALUES (43080, '24/08/2020', '24', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '44.00007075');
INSERT INTO public.ecdc_import VALUES (43081, '23/08/2020', '23', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '48.48249002');
INSERT INTO public.ecdc_import VALUES (43082, '22/08/2020', '22', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '54.31164512');
INSERT INTO public.ecdc_import VALUES (43083, '21/08/2020', '21', '8', '2020', '163', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '61.42723446');
INSERT INTO public.ecdc_import VALUES (43084, '20/08/2020', '20', '8', '2020', '188', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '66.73377565');
INSERT INTO public.ecdc_import VALUES (43085, '19/08/2020', '19', '8', '2020', '192', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '85.60817786');
INSERT INTO public.ecdc_import VALUES (43086, '18/08/2020', '18', '8', '2020', '140', '16', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '81.74887517');
INSERT INTO public.ecdc_import VALUES (43087, '17/08/2020', '17', '8', '2020', '162', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '78.9348003');
INSERT INTO public.ecdc_import VALUES (43088, '16/08/2020', '16', '8', '2020', '181', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '75.67851365');
INSERT INTO public.ecdc_import VALUES (43089, '15/08/2020', '15', '8', '2020', '212', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '72.04031685');
INSERT INTO public.ecdc_import VALUES (43090, '14/08/2020', '14', '8', '2020', '232', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '67.77900346');
INSERT INTO public.ecdc_import VALUES (43091, '13/08/2020', '13', '8', '2020', '249', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '74.97499493');
INSERT INTO public.ecdc_import VALUES (43092, '12/08/2020', '12', '8', '2020', '263', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '83.33681743');
INSERT INTO public.ecdc_import VALUES (43093, '11/08/2020', '11', '8', '2020', '207', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '95.05542923');
INSERT INTO public.ecdc_import VALUES (43094, '10/08/2020', '10', '8', '2020', '223', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '112.06048171');
INSERT INTO public.ecdc_import VALUES (43095, '09/08/2020', '9', '8', '2020', '290', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '130.63337589');
INSERT INTO public.ecdc_import VALUES (43096, '08/08/2020', '8', '8', '2020', '354', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '146.25149146');
INSERT INTO public.ecdc_import VALUES (43097, '07/08/2020', '7', '8', '2020', '427', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '162.15101451');
INSERT INTO public.ecdc_import VALUES (43098, '06/08/2020', '6', '8', '2020', '1127', '67', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '175.65857392');
INSERT INTO public.ecdc_import VALUES (43099, '05/08/2020', '5', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '186.37215899');
INSERT INTO public.ecdc_import VALUES (43100, '04/08/2020', '4', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '216.26165429');
INSERT INTO public.ecdc_import VALUES (43101, '03/08/2020', '3', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '251.21648437');
INSERT INTO public.ecdc_import VALUES (43102, '02/08/2020', '2', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '274.47280317');
INSERT INTO public.ecdc_import VALUES (43103, '01/08/2020', '1', '8', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '300.82460434');
INSERT INTO public.ecdc_import VALUES (43104, '31/07/2020', '31', '7', '2020', '590', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '333.36737024');
INSERT INTO public.ecdc_import VALUES (43105, '30/07/2020', '30', '7', '2020', '665', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '348.18146441');
INSERT INTO public.ecdc_import VALUES (43106, '29/07/2020', '29', '7', '2020', '846', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '368.56340674');
INSERT INTO public.ecdc_import VALUES (43107, '28/07/2020', '28', '7', '2020', '1053', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '379.47799715');
INSERT INTO public.ecdc_import VALUES (43108, '27/07/2020', '27', '7', '2020', '1147', '13', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '401.80969135');
INSERT INTO public.ecdc_import VALUES (43109, '26/07/2020', '26', '7', '2020', '1067', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '405.24688281');
INSERT INTO public.ecdc_import VALUES (43110, '25/07/2020', '25', '7', '2020', '1145', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '405.56849137');
INSERT INTO public.ecdc_import VALUES (43111, '24/07/2020', '24', '7', '2020', '1099', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '420.52328928');
INSERT INTO public.ecdc_import VALUES (43112, '23/07/2020', '23', '7', '2020', '1660', '12', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '428.94541338');
INSERT INTO public.ecdc_import VALUES (43113, '22/07/2020', '22', '7', '2020', '1487', '11', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '419.9001727');
INSERT INTO public.ecdc_import VALUES (43114, '21/07/2020', '21', '7', '2020', '1739', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '415.37755237');
INSERT INTO public.ecdc_import VALUES (43115, '20/07/2020', '20', '7', '2020', '1157', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '411.71925503');
INSERT INTO public.ecdc_import VALUES (43116, '19/07/2020', '19', '7', '2020', '1311', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '410.01070956');
INSERT INTO public.ecdc_import VALUES (43117, '18/07/2020', '18', '7', '2020', '1619', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '407.3172379');
INSERT INTO public.ecdc_import VALUES (43118, '17/07/2020', '17', '7', '2020', '1327', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '402.39260686');
INSERT INTO public.ecdc_import VALUES (43119, '16/07/2020', '16', '7', '2020', '1679', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '403.07602505');
INSERT INTO public.ecdc_import VALUES (43120, '15/07/2020', '15', '7', '2020', '1389', '14', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '391.92022821');
INSERT INTO public.ecdc_import VALUES (43121, '14/07/2020', '14', '7', '2020', '2164', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '384.30212551');
INSERT INTO public.ecdc_import VALUES (43122, '13/07/2020', '13', '7', '2020', '1318', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '359.09605483');
INSERT INTO public.ecdc_import VALUES (43123, '12/07/2020', '12', '7', '2020', '1083', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '356.66389011');
INSERT INTO public.ecdc_import VALUES (43124, '11/07/2020', '11', '7', '2020', '1889', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '353.3674024');
INSERT INTO public.ecdc_import VALUES (43125, '10/07/2020', '10', '7', '2020', '1518', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '338.15129753');
INSERT INTO public.ecdc_import VALUES (43126, '09/07/2020', '9', '7', '2020', '1210', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '335.09601623');
INSERT INTO public.ecdc_import VALUES (43127, '08/07/2020', '8', '7', '2020', '1262', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '333.72917987');
INSERT INTO public.ecdc_import VALUES (43128, '07/07/2020', '7', '7', '2020', '1557', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '334.85480982');
INSERT INTO public.ecdc_import VALUES (43129, '06/07/2020', '6', '7', '2020', '1072', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '335.81963549');
INSERT INTO public.ecdc_import VALUES (43130, '05/07/2020', '5', '7', '2020', '1177', '10', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '332.46284617');
INSERT INTO public.ecdc_import VALUES (43131, '04/07/2020', '4', '7', '2020', '1374', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '326.81459588');
INSERT INTO public.ecdc_import VALUES (43132, '03/07/2020', '3', '7', '2020', '1361', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '316.3221167');
INSERT INTO public.ecdc_import VALUES (43133, '02/07/2020', '2', '7', '2020', '1124', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '303.81958403');
INSERT INTO public.ecdc_import VALUES (43134, '01/07/2020', '1', '7', '2020', '1010', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '297.50801609');
INSERT INTO public.ecdc_import VALUES (43135, '30/06/2020', '30', '6', '2020', '910', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '292.18137436');
INSERT INTO public.ecdc_import VALUES (43136, '29/06/2020', '29', '6', '2020', '1197', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '294.8547455');
INSERT INTO public.ecdc_import VALUES (43137, '28/06/2020', '28', '6', '2020', '919', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '299.01555621');
INSERT INTO public.ecdc_import VALUES (43138, '27/06/2020', '27', '6', '2020', '1132', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '300.76430274');
INSERT INTO public.ecdc_import VALUES (43139, '26/06/2020', '26', '6', '2020', '1366', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '300.46279471');
INSERT INTO public.ecdc_import VALUES (43140, '25/06/2020', '25', '6', '2020', '1142', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '294.4527348');
INSERT INTO public.ecdc_import VALUES (43141, '24/06/2020', '24', '6', '2020', '1318', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '285.34719252');
INSERT INTO public.ecdc_import VALUES (43142, '23/06/2020', '23', '6', '2020', '1605', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '273.16626841');
INSERT INTO public.ecdc_import VALUES (43143, '22/06/2020', '22', '6', '2020', '905', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '253.04563304');
INSERT INTO public.ecdc_import VALUES (43144, '21/06/2020', '21', '6', '2020', '896', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '252.26171218');
INSERT INTO public.ecdc_import VALUES (43145, '20/06/2020', '20', '6', '2020', '852', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '252.94513036');
INSERT INTO public.ecdc_import VALUES (43146, '19/06/2020', '19', '6', '2020', '739', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '251.29688651');
INSERT INTO public.ecdc_import VALUES (43147, '18/06/2020', '18', '6', '2020', '810', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '252.1009079');
INSERT INTO public.ecdc_import VALUES (43148, '17/06/2020', '17', '6', '2020', '745', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '250.65366939');
INSERT INTO public.ecdc_import VALUES (43149, '16/06/2020', '16', '6', '2020', '1043', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '247.25667901');
INSERT INTO public.ecdc_import VALUES (43150, '15/06/2020', '15', '6', '2020', '1404', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '242.09084155');
INSERT INTO public.ecdc_import VALUES (43151, '14/06/2020', '14', '6', '2020', '1006', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '234.25163297');
INSERT INTO public.ecdc_import VALUES (43152, '13/06/2020', '13', '6', '2020', '1117', '7', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '226.15111743');
INSERT INTO public.ecdc_import VALUES (43153, '12/06/2020', '12', '6', '2020', '1067', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '220.00035377');
INSERT INTO public.ecdc_import VALUES (43154, '11/06/2020', '11', '6', '2020', '689', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '211.33702326');
INSERT INTO public.ecdc_import VALUES (43155, '10/06/2020', '10', '6', '2020', '712', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '202.61339114');
INSERT INTO public.ecdc_import VALUES (43156, '09/06/2020', '9', '6', '2020', '604', '6', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '195.29679646');
INSERT INTO public.ecdc_import VALUES (43157, '08/06/2020', '8', '6', '2020', '866', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '183.15607342');
INSERT INTO public.ecdc_import VALUES (43158, '07/06/2020', '7', '6', '2020', '930', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '176.06058462');
INSERT INTO public.ecdc_import VALUES (43159, '06/06/2020', '6', '6', '2020', '770', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '166.67363485');
INSERT INTO public.ecdc_import VALUES (43160, '05/06/2020', '5', '6', '2020', '779', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '159.7188498');
INSERT INTO public.ecdc_import VALUES (43161, '04/06/2020', '4', '6', '2020', '738', '8', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '150.63340805');
INSERT INTO public.ecdc_import VALUES (43162, '03/06/2020', '3', '6', '2020', '576', '9', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '143.2766123');
INSERT INTO public.ecdc_import VALUES (43163, '02/06/2020', '2', '6', '2020', '786', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '137.56806041');
INSERT INTO public.ecdc_import VALUES (43164, '01/06/2020', '1', '6', '2020', '1014', '5', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '125.64844325');
INSERT INTO public.ecdc_import VALUES (43165, '31/05/2020', '31', '5', '2020', '603', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '108.4222849');
INSERT INTO public.ecdc_import VALUES (43166, '30/05/2020', '30', '5', '2020', '811', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '104.42227847');
INSERT INTO public.ecdc_import VALUES (43167, '29/05/2020', '29', '5', '2020', '636', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '93.82929661');
INSERT INTO public.ecdc_import VALUES (43168, '28/05/2020', '28', '5', '2020', '255', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '87.51772867');
INSERT INTO public.ecdc_import VALUES (43169, '27/05/2020', '27', '5', '2020', '348', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '88.38205167');
INSERT INTO public.ecdc_import VALUES (43170, '26/05/2020', '26', '5', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '84.34184417');
INSERT INTO public.ecdc_import VALUES (43171, '25/05/2020', '25', '5', '2020', '513', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '87.85943776');
INSERT INTO public.ecdc_import VALUES (43172, '24/05/2020', '24', '5', '2020', '463', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '81.06545699');
INSERT INTO public.ecdc_import VALUES (43173, '23/05/2020', '23', '5', '2020', '424', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '74.01016926');
INSERT INTO public.ecdc_import VALUES (43174, '22/05/2020', '22', '5', '2020', '327', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '68.58302486');
INSERT INTO public.ecdc_import VALUES (43175, '21/05/2020', '21', '5', '2020', '372', '3', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '63.11567938');
INSERT INTO public.ecdc_import VALUES (43176, '20/05/2020', '20', '5', '2020', '292', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '59.01517028');
INSERT INTO public.ecdc_import VALUES (43177, '19/05/2020', '19', '5', '2020', '193', '4', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '55.11566652');
INSERT INTO public.ecdc_import VALUES (43178, '18/05/2020', '18', '5', '2020', '157', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '52.6232002');
INSERT INTO public.ecdc_import VALUES (43179, '17/05/2020', '17', '5', '2020', '404', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '51.17596169');
INSERT INTO public.ecdc_import VALUES (43180, '16/05/2020', '16', '5', '2020', '284', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '43.77896487');
INSERT INTO public.ecdc_import VALUES (43181, '15/05/2020', '15', '5', '2020', '322', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '40.06036593');
INSERT INTO public.ecdc_import VALUES (43182, '14/05/2020', '14', '5', '2020', '298', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '35.07543329');
INSERT INTO public.ecdc_import VALUES (43183, '13/05/2020', '13', '5', '2020', '147', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '31.95985039');
INSERT INTO public.ecdc_import VALUES (43184, '12/05/2020', '12', '5', '2020', '175', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '30.65331562');
INSERT INTO public.ecdc_import VALUES (43185, '11/05/2020', '11', '5', '2020', '175', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '28.1608493');
INSERT INTO public.ecdc_import VALUES (43186, '10/05/2020', '10', '5', '2020', '112', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '26.51260545');
INSERT INTO public.ecdc_import VALUES (43187, '09/05/2020', '9', '5', '2020', '154', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '26.57290705');
INSERT INTO public.ecdc_import VALUES (43188, '08/05/2020', '8', '5', '2020', '55', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '24.96486427');
INSERT INTO public.ecdc_import VALUES (43189, '07/05/2020', '7', '5', '2020', '168', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '25.9095894');
INSERT INTO public.ecdc_import VALUES (43190, '06/05/2020', '6', '5', '2020', '98', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '24.66335624');
INSERT INTO public.ecdc_import VALUES (43191, '05/05/2020', '5', '5', '2020', '69', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '22.69350383');
INSERT INTO public.ecdc_import VALUES (43192, '04/05/2020', '4', '5', '2020', '85', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '26.17089636');
INSERT INTO public.ecdc_import VALUES (43193, '03/05/2020', '3', '5', '2020', '36', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '26.19099689');
INSERT INTO public.ecdc_import VALUES (43194, '02/05/2020', '2', '5', '2020', '99', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '27.698537');
INSERT INTO public.ecdc_import VALUES (43195, '01/05/2020', '1', '5', '2020', '74', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '26.7136108');
INSERT INTO public.ecdc_import VALUES (43196, '30/04/2020', '30', '4', '2020', '143', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '27.41712951');
INSERT INTO public.ecdc_import VALUES (43197, '29/04/2020', '29', '4', '2020', '82', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '24.54275303');
INSERT INTO public.ecdc_import VALUES (43198, '28/04/2020', '28', '4', '2020', '51', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '24.84426106');
INSERT INTO public.ecdc_import VALUES (43199, '27/04/2020', '27', '4', '2020', '93', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '28.12064823');
INSERT INTO public.ecdc_import VALUES (43200, '26/04/2020', '26', '4', '2020', '115', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '27.31662684');
INSERT INTO public.ecdc_import VALUES (43201, '25/04/2020', '25', '4', '2020', '74', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '26.25129849');
INSERT INTO public.ecdc_import VALUES (43202, '24/04/2020', '24', '4', '2020', '102', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '25.30657336');
INSERT INTO public.ecdc_import VALUES (43203, '23/04/2020', '23', '4', '2020', '106', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '24.02013913');
INSERT INTO public.ecdc_import VALUES (43204, '22/04/2020', '22', '4', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '21.88948244');
INSERT INTO public.ecdc_import VALUES (43205, '21/04/2020', '21', '4', '2020', '242', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '22.85430811');
INSERT INTO public.ecdc_import VALUES (43206, '20/04/2020', '20', '4', '2020', '86', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '19.45731772');
INSERT INTO public.ecdc_import VALUES (43207, '19/04/2020', '19', '4', '2020', '111', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '18.15078296');
INSERT INTO public.ecdc_import VALUES (43208, '18/04/2020', '18', '4', '2020', '50', '2', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '16.84424819');
INSERT INTO public.ecdc_import VALUES (43209, '17/04/2020', '17', '4', '2020', '109', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '15.83922145');
INSERT INTO public.ecdc_import VALUES (43210, '16/04/2020', '16', '4', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '14.07037438');
INSERT INTO public.ecdc_import VALUES (43211, '15/04/2020', '15', '4', '2020', '97', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '14.43218401');
INSERT INTO public.ecdc_import VALUES (43212, '14/04/2020', '14', '4', '2020', '214', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '12.74373909');
INSERT INTO public.ecdc_import VALUES (43213, '13/04/2020', '13', '4', '2020', '53', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '8.68343105');
INSERT INTO public.ecdc_import VALUES (43214, '12/04/2020', '12', '4', '2020', '62', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '7.91961073');
INSERT INTO public.ecdc_import VALUES (43215, '11/04/2020', '11', '4', '2020', '27', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '7.0954888');
INSERT INTO public.ecdc_import VALUES (43216, '10/04/2020', '10', '4', '2020', '38', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '6.99498612');
INSERT INTO public.ecdc_import VALUES (43217, '09/04/2020', '9', '4', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '6.43217115');
INSERT INTO public.ecdc_import VALUES (43218, '08/04/2020', '8', '4', '2020', '48', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '6.73367917');
INSERT INTO public.ecdc_import VALUES (43219, '07/04/2020', '7', '4', '2020', '73', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '6.13066312');
INSERT INTO public.ecdc_import VALUES (43220, '06/04/2020', '6', '4', '2020', '21', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '4.88442996');
INSERT INTO public.ecdc_import VALUES (43221, '05/04/2020', '5', '4', '2020', '46', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '4.52262034');
INSERT INTO public.ecdc_import VALUES (43222, '04/04/2020', '4', '4', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '3.67839787');
INSERT INTO public.ecdc_import VALUES (43223, '03/04/2020', '3', '4', '2020', '21', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '3.85930269');
INSERT INTO public.ecdc_import VALUES (43224, '02/04/2020', '2', '4', '2020', '18', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '3.43719146');
INSERT INTO public.ecdc_import VALUES (43225, '01/04/2020', '1', '4', '2020', '13', '1', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '3.37688985');
INSERT INTO public.ecdc_import VALUES (43226, '31/03/2020', '31', '3', '2020', '12', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '3.1155829');
INSERT INTO public.ecdc_import VALUES (43227, '30/03/2020', '30', '3', '2020', '15', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '2.91457755');
INSERT INTO public.ecdc_import VALUES (43228, '29/03/2020', '29', '3', '2020', '21', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '2.6532706');
INSERT INTO public.ecdc_import VALUES (43229, '28/03/2020', '28', '3', '2020', '22', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '2.23115937');
INSERT INTO public.ecdc_import VALUES (43230, '27/03/2020', '27', '3', '2020', '10', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '1.82914867');
INSERT INTO public.ecdc_import VALUES (43231, '26/03/2020', '26', '3', '2020', '15', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '1.62814332');
INSERT INTO public.ecdc_import VALUES (43232, '25/03/2020', '25', '3', '2020', '18', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '1.36683637');
INSERT INTO public.ecdc_import VALUES (43233, '24/03/2020', '24', '3', '2020', '11', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '1.02512728');
INSERT INTO public.ecdc_import VALUES (43234, '23/03/2020', '23', '3', '2020', '3', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.96482567');
INSERT INTO public.ecdc_import VALUES (43235, '22/03/2020', '22', '3', '2020', '4', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.9246246');
INSERT INTO public.ecdc_import VALUES (43236, '21/03/2020', '21', '3', '2020', '9', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.84422246');
INSERT INTO public.ecdc_import VALUES (43237, '20/03/2020', '20', '3', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.66331765');
INSERT INTO public.ecdc_import VALUES (43238, '19/03/2020', '19', '3', '2020', '15', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.66331765');
INSERT INTO public.ecdc_import VALUES (43239, '18/03/2020', '18', '3', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.4020107');
INSERT INTO public.ecdc_import VALUES (43240, '17/03/2020', '17', '3', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.4020107');
INSERT INTO public.ecdc_import VALUES (43241, '16/03/2020', '16', '3', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.4020107');
INSERT INTO public.ecdc_import VALUES (43242, '15/03/2020', '15', '3', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.4020107');
INSERT INTO public.ecdc_import VALUES (43243, '14/03/2020', '14', '3', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.4020107');
INSERT INTO public.ecdc_import VALUES (43244, '11/03/2020', '11', '3', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.36180963');
INSERT INTO public.ecdc_import VALUES (43245, '10/03/2020', '10', '3', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.36180963');
INSERT INTO public.ecdc_import VALUES (43246, '06/03/2020', '6', '3', '2020', '1', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.32160856');
INSERT INTO public.ecdc_import VALUES (43247, '05/03/2020', '5', '3', '2020', '8', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.30150802');
INSERT INTO public.ecdc_import VALUES (43248, '03/03/2020', '3', '3', '2020', '1', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.14070374');
INSERT INTO public.ecdc_import VALUES (43249, '02/03/2020', '2', '3', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.12060321');
INSERT INTO public.ecdc_import VALUES (43250, '01/03/2020', '1', '3', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.12060321');
INSERT INTO public.ecdc_import VALUES (43251, '29/02/2020', '29', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.12060321');
INSERT INTO public.ecdc_import VALUES (43252, '28/02/2020', '28', '2', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.12060321');
INSERT INTO public.ecdc_import VALUES (43253, '27/02/2020', '27', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.08040214');
INSERT INTO public.ecdc_import VALUES (43254, '26/02/2020', '26', '2', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.08040214');
INSERT INTO public.ecdc_import VALUES (43255, '25/02/2020', '25', '2', '2020', '2', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0.04020107');
INSERT INTO public.ecdc_import VALUES (43256, '24/02/2020', '24', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43257, '23/02/2020', '23', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43258, '22/02/2020', '22', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43259, '21/02/2020', '21', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43260, '20/02/2020', '20', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43261, '19/02/2020', '19', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43262, '18/02/2020', '18', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43263, '17/02/2020', '17', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43264, '16/02/2020', '16', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43265, '15/02/2020', '15', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43266, '14/02/2020', '14', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43267, '13/02/2020', '13', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43268, '12/02/2020', '12', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43269, '11/02/2020', '11', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43270, '10/02/2020', '10', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43271, '09/02/2020', '9', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43272, '08/02/2020', '8', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43273, '07/02/2020', '7', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43274, '06/02/2020', '6', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43275, '05/02/2020', '5', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43276, '04/02/2020', '4', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43277, '03/02/2020', '3', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43278, '02/02/2020', '2', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43279, '01/02/2020', '1', '2', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43280, '31/01/2020', '31', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43281, '30/01/2020', '30', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43282, '29/01/2020', '29', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43283, '28/01/2020', '28', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43284, '27/01/2020', '27', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43285, '26/01/2020', '26', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43286, '25/01/2020', '25', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43287, '24/01/2020', '24', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43288, '23/01/2020', '23', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43289, '22/01/2020', '22', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43290, '21/01/2020', '21', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43291, '20/01/2020', '20', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43292, '19/01/2020', '19', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43293, '18/01/2020', '18', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43294, '17/01/2020', '17', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43295, '16/01/2020', '16', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43296, '15/01/2020', '15', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43297, '14/01/2020', '14', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43298, '13/01/2020', '13', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43299, '12/01/2020', '12', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43300, '11/01/2020', '11', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43301, '10/01/2020', '10', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43302, '09/01/2020', '9', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43303, '08/01/2020', '8', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43304, '07/01/2020', '7', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43305, '06/01/2020', '6', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43306, '05/01/2020', '5', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43307, '04/01/2020', '4', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43308, '03/01/2020', '3', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43309, '02/01/2020', '2', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43310, '01/01/2020', '1', '1', '2020', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43311, '31/12/2019', '31', '12', '2019', '0', '0', '4974992', 'Oman', 'OM', 'OMN', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43312, '14/12/2020', '14', '12', '2020', '2362', '36', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.74600577');
INSERT INTO public.ecdc_import VALUES (43313, '13/12/2020', '13', '12', '2020', '3369', '72', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.96626265');
INSERT INTO public.ecdc_import VALUES (43314, '12/12/2020', '12', '12', '2020', '2729', '71', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.71691524');
INSERT INTO public.ecdc_import VALUES (43315, '11/12/2020', '11', '12', '2020', '3047', '50', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.86282965');
INSERT INTO public.ecdc_import VALUES (43316, '10/12/2020', '10', '12', '2020', '3138', '56', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.89330545');
INSERT INTO public.ecdc_import VALUES (43317, '09/12/2020', '9', '12', '2020', '2963', '60', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.97088019');
INSERT INTO public.ecdc_import VALUES (43318, '08/12/2020', '8', '12', '2020', '2885', '89', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.9921209');
INSERT INTO public.ecdc_import VALUES (43319, '07/12/2020', '7', '12', '2020', '3795', '37', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '20.02398196');
INSERT INTO public.ecdc_import VALUES (43320, '06/12/2020', '6', '12', '2020', '3308', '58', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.54421908');
INSERT INTO public.ecdc_import VALUES (43321, '05/12/2020', '5', '12', '2020', '3119', '43', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.24731096');
INSERT INTO public.ecdc_import VALUES (43322, '04/12/2020', '4', '12', '2020', '3262', '55', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.11986673');
INSERT INTO public.ecdc_import VALUES (43323, '03/12/2020', '3', '12', '2020', '3499', '39', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '18.8779074');
INSERT INTO public.ecdc_import VALUES (43324, '02/12/2020', '2', '12', '2020', '2829', '75', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '18.43831716');
INSERT INTO public.ecdc_import VALUES (43325, '01/12/2020', '1', '12', '2020', '2458', '66', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '18.19312554');
INSERT INTO public.ecdc_import VALUES (43326, '30/11/2020', '30', '11', '2020', '2839', '40', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '18.00472972');
INSERT INTO public.ecdc_import VALUES (43327, '29/11/2020', '29', '11', '2020', '2829', '43', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '17.67642231');
INSERT INTO public.ecdc_import VALUES (43328, '28/11/2020', '28', '11', '2020', '3045', '45', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '17.49818509');
INSERT INTO public.ecdc_import VALUES (43329, '27/11/2020', '27', '11', '2020', '3113', '54', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '17.09184116');
INSERT INTO public.ecdc_import VALUES (43330, '26/11/2020', '26', '11', '2020', '3306', '40', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '16.71828181');
INSERT INTO public.ecdc_import VALUES (43331, '25/11/2020', '25', '11', '2020', '3009', '59', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '16.02657364');
INSERT INTO public.ecdc_import VALUES (43332, '24/11/2020', '24', '11', '2020', '2954', '48', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '15.42583109');
INSERT INTO public.ecdc_import VALUES (43333, '23/11/2020', '23', '11', '2020', '2756', '34', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '14.81770047');
INSERT INTO public.ecdc_import VALUES (43334, '22/11/2020', '22', '11', '2020', '2665', '59', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '14.30700004');
INSERT INTO public.ecdc_import VALUES (43335, '21/11/2020', '21', '11', '2020', '2843', '42', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '13.73950382');
INSERT INTO public.ecdc_import VALUES (43336, '20/11/2020', '20', '11', '2020', '2738', '313', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '13.12029109');
INSERT INTO public.ecdc_import VALUES (43337, '19/11/2020', '19', '11', '2020', '2547', '18', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '12.49138153');
INSERT INTO public.ecdc_import VALUES (43338, '18/11/2020', '18', '11', '2020', '2298', '37', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.91649723');
INSERT INTO public.ecdc_import VALUES (43339, '17/11/2020', '17', '11', '2020', '2050', '33', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.46166909');
INSERT INTO public.ecdc_import VALUES (43340, '16/11/2020', '16', '11', '2020', '2128', '19', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.05393991');
INSERT INTO public.ecdc_import VALUES (43341, '15/11/2020', '15', '11', '2020', '2443', '32', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '10.58987668');
INSERT INTO public.ecdc_import VALUES (43342, '14/11/2020', '14', '11', '2020', '2165', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.91294465');
INSERT INTO public.ecdc_import VALUES (43343, '13/11/2020', '13', '11', '2020', '2304', '37', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.2858821');
INSERT INTO public.ecdc_import VALUES (43344, '12/11/2020', '12', '11', '2020', '1808', '34', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.71977113');
INSERT INTO public.ecdc_import VALUES (43345, '11/11/2020', '11', '11', '2020', '1708', '21', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.30419213');
INSERT INTO public.ecdc_import VALUES (43346, '10/11/2020', '10', '11', '2020', '1637', '23', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '7.89646294');
INSERT INTO public.ecdc_import VALUES (43347, '09/11/2020', '9', '11', '2020', '1650', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '7.49750709');
INSERT INTO public.ecdc_import VALUES (43348, '08/11/2020', '8', '11', '2020', '1436', '25', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '7.06207264');
INSERT INTO public.ecdc_import VALUES (43349, '07/11/2020', '7', '11', '2020', '1502', '20', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.78317295');
INSERT INTO public.ecdc_import VALUES (43350, '06/11/2020', '6', '11', '2020', '1376', '30', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.48072378');
INSERT INTO public.ecdc_import VALUES (43351, '05/11/2020', '5', '11', '2020', '1302', '26', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.18520093');
INSERT INTO public.ecdc_import VALUES (43352, '04/11/2020', '4', '11', '2020', '1313', '18', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.92384791');
INSERT INTO public.ecdc_import VALUES (43353, '03/11/2020', '3', '11', '2020', '1167', '14', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.91415106');
INSERT INTO public.ecdc_import VALUES (43354, '02/11/2020', '2', '11', '2020', '1123', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.37528361');
INSERT INTO public.ecdc_import VALUES (43355, '01/11/2020', '1', '11', '2020', '977', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.05667304');
INSERT INTO public.ecdc_import VALUES (43356, '31/10/2020', '31', '10', '2020', '807', '11', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.86735371');
INSERT INTO public.ecdc_import VALUES (43357, '30/10/2020', '30', '10', '2020', '1078', '20', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.76022668');
INSERT INTO public.ecdc_import VALUES (43358, '29/10/2020', '29', '10', '2020', '908', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.56675156');
INSERT INTO public.ecdc_import VALUES (43359, '28/10/2020', '28', '10', '2020', '825', '14', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.49610313');
INSERT INTO public.ecdc_import VALUES (43360, '27/10/2020', '27', '10', '2020', '773', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.3991347');
INSERT INTO public.ecdc_import VALUES (43361, '26/10/2020', '26', '10', '2020', '707', '3', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.46516558');
INSERT INTO public.ecdc_import VALUES (43362, '25/10/2020', '25', '10', '2020', '832', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.13870518');
INSERT INTO public.ecdc_import VALUES (43363, '24/10/2020', '24', '10', '2020', '847', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.06205394');
INSERT INTO public.ecdc_import VALUES (43364, '23/10/2020', '23', '10', '2020', '736', '13', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.98078516');
INSERT INTO public.ecdc_import VALUES (43365, '22/10/2020', '22', '10', '2020', '736', '10', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.94615358');
INSERT INTO public.ecdc_import VALUES (43366, '21/10/2020', '21', '10', '2020', '1292', '33', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.87550514');
INSERT INTO public.ecdc_import VALUES (43367, '20/10/2020', '20', '10', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.56705317');
INSERT INTO public.ecdc_import VALUES (43368, '19/10/2020', '19', '10', '2020', '433', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.08006237');
INSERT INTO public.ecdc_import VALUES (43369, '18/10/2020', '18', '10', '2020', '567', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.88012269');
INSERT INTO public.ecdc_import VALUES (43370, '17/10/2020', '17', '10', '2020', '575', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.91013673');
INSERT INTO public.ecdc_import VALUES (43371, '16/10/2020', '16', '10', '2020', '659', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.89997813');
INSERT INTO public.ecdc_import VALUES (43372, '15/10/2020', '15', '10', '2020', '755', '13', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.88427848');
INSERT INTO public.ecdc_import VALUES (43373, '14/10/2020', '14', '10', '2020', '615', '13', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.78638653');
INSERT INTO public.ecdc_import VALUES (43374, '13/10/2020', '13', '10', '2020', '916', '18', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.84733812');
INSERT INTO public.ecdc_import VALUES (43375, '12/10/2020', '12', '10', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.7360553');
INSERT INTO public.ecdc_import VALUES (43376, '11/10/2020', '11', '10', '2020', '666', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.99740832');
INSERT INTO public.ecdc_import VALUES (43377, '10/10/2020', '10', '10', '2020', '671', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.01033744');
INSERT INTO public.ecdc_import VALUES (43378, '09/10/2020', '9', '10', '2020', '661', '8', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.96185323');
INSERT INTO public.ecdc_import VALUES (43379, '08/10/2020', '8', '10', '2020', '583', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.02511359');
INSERT INTO public.ecdc_import VALUES (43380, '07/10/2020', '7', '10', '2020', '624', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.12485255');
INSERT INTO public.ecdc_import VALUES (43381, '06/10/2020', '6', '10', '2020', '1111', '10', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.08237114');
INSERT INTO public.ecdc_import VALUES (43382, '05/10/2020', '5', '10', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.83810303');
INSERT INTO public.ecdc_import VALUES (43383, '04/10/2020', '4', '10', '2020', '632', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.1303936');
INSERT INTO public.ecdc_import VALUES (43384, '03/10/2020', '3', '10', '2020', '553', '8', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.13408764');
INSERT INTO public.ecdc_import VALUES (43385, '02/10/2020', '2', '10', '2020', '625', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.17656905');
INSERT INTO public.ecdc_import VALUES (43386, '01/10/2020', '1', '10', '2020', '543', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.23521186');
INSERT INTO public.ecdc_import VALUES (43387, '30/09/2020', '30', '9', '2020', '747', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.23613537');
INSERT INTO public.ecdc_import VALUES (43388, '29/09/2020', '29', '9', '2020', '675', '8', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.19827151');
INSERT INTO public.ecdc_import VALUES (43389, '28/09/2020', '28', '9', '2020', '566', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.07313605');
INSERT INTO public.ecdc_import VALUES (43390, '27/09/2020', '27', '9', '2020', '694', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.06066868');
INSERT INTO public.ecdc_import VALUES (43391, '26/09/2020', '26', '9', '2020', '566', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.98309393');
INSERT INTO public.ecdc_import VALUES (43392, '25/09/2020', '25', '9', '2020', '798', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.99140551');
INSERT INTO public.ecdc_import VALUES (43393, '24/09/2020', '24', '9', '2020', '799', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.86119076');
INSERT INTO public.ecdc_import VALUES (43394, '23/09/2020', '23', '9', '2020', '532', '8', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.58275282');
INSERT INTO public.ecdc_import VALUES (43395, '22/09/2020', '22', '9', '2020', '582', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.53380685');
INSERT INTO public.ecdc_import VALUES (43396, '21/09/2020', '21', '9', '2020', '633', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.41744472');
INSERT INTO public.ecdc_import VALUES (43397, '20/09/2020', '20', '9', '2020', '640', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.30708541');
INSERT INTO public.ecdc_import VALUES (43398, '19/09/2020', '19', '9', '2020', '645', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.23505171');
INSERT INTO public.ecdc_import VALUES (43399, '18/09/2020', '18', '9', '2020', '752', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.17410013');
INSERT INTO public.ecdc_import VALUES (43400, '17/09/2020', '17', '9', '2020', '545', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.05681449');
INSERT INTO public.ecdc_import VALUES (43401, '16/09/2020', '16', '9', '2020', '665', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.00094221');
INSERT INTO public.ecdc_import VALUES (43402, '15/09/2020', '15', '9', '2020', '404', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.89750921');
INSERT INTO public.ecdc_import VALUES (43403, '14/09/2020', '14', '9', '2020', '539', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.84948674');
INSERT INTO public.ecdc_import VALUES (43404, '13/09/2020', '13', '9', '2020', '526', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.69895479');
INSERT INTO public.ecdc_import VALUES (43405, '12/09/2020', '12', '9', '2020', '584', '3', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.57797512');
INSERT INTO public.ecdc_import VALUES (43406, '11/09/2020', '11', '9', '2020', '516', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.45561019');
INSERT INTO public.ecdc_import VALUES (43407, '10/09/2020', '10', '9', '2020', '196', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.40897299');
INSERT INTO public.ecdc_import VALUES (43408, '09/09/2020', '9', '9', '2020', '426', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.52394985');
INSERT INTO public.ecdc_import VALUES (43409, '08/09/2020', '8', '9', '2020', '330', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.5498081');
INSERT INTO public.ecdc_import VALUES (43410, '07/09/2020', '7', '9', '2020', '394', '3', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.83424885');
INSERT INTO public.ecdc_import VALUES (43411, '06/09/2020', '6', '9', '2020', '484', '2', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.65231759');
INSERT INTO public.ecdc_import VALUES (43412, '05/09/2020', '5', '9', '2020', '513', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.70172532');
INSERT INTO public.ecdc_import VALUES (43413, '04/09/2020', '4', '9', '2020', '498', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.73543339');
INSERT INTO public.ecdc_import VALUES (43414, '03/09/2020', '3', '9', '2020', '424', '10', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.79638498');
INSERT INTO public.ecdc_import VALUES (43415, '02/09/2020', '2', '9', '2020', '441', '20', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.12053661');
INSERT INTO public.ecdc_import VALUES (43416, '01/09/2020', '1', '9', '2020', '300', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.91690289');
INSERT INTO public.ecdc_import VALUES (43417, '31/08/2020', '31', '8', '2020', '213', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.06327906');
INSERT INTO public.ecdc_import VALUES (43418, '30/08/2020', '30', '8', '2020', '264', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.19487908');
INSERT INTO public.ecdc_import VALUES (43419, '29/08/2020', '29', '8', '2020', '319', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.38235139');
INSERT INTO public.ecdc_import VALUES (43420, '28/08/2020', '28', '8', '2020', '415', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.57998229');
INSERT INTO public.ecdc_import VALUES (43421, '27/08/2020', '27', '8', '2020', '445', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.67741248');
INSERT INTO public.ecdc_import VALUES (43422, '26/08/2020', '26', '8', '2020', '482', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.81963285');
INSERT INTO public.ecdc_import VALUES (43423, '25/08/2020', '25', '8', '2020', '946', '20', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.93414796');
INSERT INTO public.ecdc_import VALUES (43424, '24/08/2020', '24', '8', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.74251986');
INSERT INTO public.ecdc_import VALUES (43425, '23/08/2020', '23', '8', '2020', '591', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.99140551');
INSERT INTO public.ecdc_import VALUES (43426, '22/08/2020', '22', '8', '2020', '586', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.01126095');
INSERT INTO public.ecdc_import VALUES (43427, '21/08/2020', '21', '8', '2020', '630', '10', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.12947009');
INSERT INTO public.ecdc_import VALUES (43428, '20/08/2020', '20', '8', '2020', '1126', '19', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.19965677');
INSERT INTO public.ecdc_import VALUES (43429, '19/08/2020', '19', '8', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.01541674');
INSERT INTO public.ecdc_import VALUES (43430, '18/08/2020', '18', '8', '2020', '617', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.327101');
INSERT INTO public.ecdc_import VALUES (43431, '17/08/2020', '17', '8', '2020', '498', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.24167643');
INSERT INTO public.ecdc_import VALUES (43432, '16/08/2020', '16', '8', '2020', '670', '6', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.80778739');
INSERT INTO public.ecdc_import VALUES (43433, '15/08/2020', '15', '8', '2020', '747', '9', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.4984119');
INSERT INTO public.ecdc_import VALUES (43434, '14/08/2020', '14', '8', '2020', '626', '14', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.15348133');
INSERT INTO public.ecdc_import VALUES (43435, '13/08/2020', '13', '8', '2020', '753', '10', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.28138731');
INSERT INTO public.ecdc_import VALUES (43436, '12/08/2020', '12', '8', '2020', '730', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.44808067');
INSERT INTO public.ecdc_import VALUES (43437, '11/08/2020', '11', '8', '2020', '531', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.6018449');
INSERT INTO public.ecdc_import VALUES (43438, '10/08/2020', '10', '8', '2020', '539', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.78885546');
INSERT INTO public.ecdc_import VALUES (43439, '09/08/2020', '9', '8', '2020', '634', '14', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.08299304');
INSERT INTO public.ecdc_import VALUES (43440, '08/08/2020', '8', '8', '2020', '842', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.35635168');
INSERT INTO public.ecdc_import VALUES (43441, '07/08/2020', '7', '8', '2020', '782', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.65418331');
INSERT INTO public.ecdc_import VALUES (43442, '06/08/2020', '6', '8', '2020', '727', '21', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.85135246');
INSERT INTO public.ecdc_import VALUES (43443, '05/08/2020', '5', '8', '2020', '675', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.32973007');
INSERT INTO public.ecdc_import VALUES (43444, '04/08/2020', '4', '8', '2020', '432', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.63310275');
INSERT INTO public.ecdc_import VALUES (43445, '03/08/2020', '3', '8', '2020', '1724', '33', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.90138209');
INSERT INTO public.ecdc_import VALUES (43446, '02/08/2020', '2', '8', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.83812173');
INSERT INTO public.ecdc_import VALUES (43447, '01/08/2020', '1', '8', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '7.56723201');
INSERT INTO public.ecdc_import VALUES (43448, '31/07/2020', '31', '7', '2020', '903', '27', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.45287706');
INSERT INTO public.ecdc_import VALUES (43449, '30/07/2020', '30', '7', '2020', '1114', '32', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.99867083');
INSERT INTO public.ecdc_import VALUES (43450, '29/07/2020', '29', '7', '2020', '1063', '27', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.47473967');
INSERT INTO public.ecdc_import VALUES (43451, '28/07/2020', '28', '7', '2020', '936', '23', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.98359308');
INSERT INTO public.ecdc_import VALUES (43452, '27/07/2020', '27', '7', '2020', '1176', '20', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '10.46520298');
INSERT INTO public.ecdc_import VALUES (43453, '26/07/2020', '26', '7', '2020', '1226', '35', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.19338975');
INSERT INTO public.ecdc_import VALUES (43454, '25/07/2020', '25', '7', '2020', '1487', '24', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.79136177');
INSERT INTO public.ecdc_import VALUES (43455, '24/07/2020', '24', '7', '2020', '1209', '54', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '12.37548116');
INSERT INTO public.ecdc_import VALUES (43456, '23/07/2020', '23', '7', '2020', '1763', '32', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '13.08750653');
INSERT INTO public.ecdc_import VALUES (43457, '22/07/2020', '22', '7', '2020', '1332', '38', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '13.82446664');
INSERT INTO public.ecdc_import VALUES (43458, '21/07/2020', '21', '7', '2020', '1013', '40', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '14.58543798');
INSERT INTO public.ecdc_import VALUES (43459, '20/07/2020', '20', '7', '2020', '1587', '31', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '15.36026196');
INSERT INTO public.ecdc_import VALUES (43460, '19/07/2020', '19', '7', '2020', '1579', '46', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '16.17156454');
INSERT INTO public.ecdc_import VALUES (43461, '18/07/2020', '18', '7', '2020', '1918', '47', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '16.91591272');
INSERT INTO public.ecdc_import VALUES (43462, '17/07/2020', '17', '7', '2020', '2085', '49', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '17.59423001');
INSERT INTO public.ecdc_import VALUES (43463, '16/07/2020', '16', '7', '2020', '2145', '40', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '18.51866243');
INSERT INTO public.ecdc_import VALUES (43464, '15/07/2020', '15', '7', '2020', '2165', '66', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.53175171');
INSERT INTO public.ecdc_import VALUES (43465, '14/07/2020', '14', '7', '2020', '1979', '54', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '20.44048448');
INSERT INTO public.ecdc_import VALUES (43466, '13/07/2020', '13', '7', '2020', '2753', '69', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '20.83112874');
INSERT INTO public.ecdc_import VALUES (43467, '12/07/2020', '12', '7', '2020', '2521', '74', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '21.20237933');
INSERT INTO public.ecdc_import VALUES (43468, '11/07/2020', '11', '7', '2020', '2752', '65', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '21.91856049');
INSERT INTO public.ecdc_import VALUES (43469, '10/07/2020', '10', '7', '2020', '2751', '75', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '22.09679771');
INSERT INTO public.ecdc_import VALUES (43470, '09/07/2020', '9', '7', '2020', '3359', '61', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '22.10787981');
INSERT INTO public.ecdc_import VALUES (43471, '08/07/2020', '8', '7', '2020', '2980', '83', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '22.42418162');
INSERT INTO public.ecdc_import VALUES (43472, '07/07/2020', '7', '7', '2020', '2691', '77', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '22.84530168');
INSERT INTO public.ecdc_import VALUES (43473, '06/07/2020', '6', '7', '2020', '3344', '50', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '23.42480352');
INSERT INTO public.ecdc_import VALUES (43474, '05/07/2020', '5', '7', '2020', '3191', '93', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '23.94520079');
INSERT INTO public.ecdc_import VALUES (43475, '04/07/2020', '4', '7', '2020', '3387', '68', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '24.75788863');
INSERT INTO public.ecdc_import VALUES (43476, '03/07/2020', '3', '7', '2020', '4087', '78', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '26.24335272');
INSERT INTO public.ecdc_import VALUES (43477, '02/07/2020', '2', '7', '2020', '4339', '78', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '26.63907628');
INSERT INTO public.ecdc_import VALUES (43478, '01/07/2020', '1', '7', '2020', '4133', '91', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '27.10960407');
INSERT INTO public.ecdc_import VALUES (43479, '30/06/2020', '30', '6', '2020', '2825', '137', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '27.89735717');
INSERT INTO public.ecdc_import VALUES (43480, '29/06/2020', '29', '6', '2020', '3557', '49', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '28.64447588');
INSERT INTO public.ecdc_import VALUES (43481, '28/06/2020', '28', '6', '2020', '4072', '83', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '29.42530267');
INSERT INTO public.ecdc_import VALUES (43482, '27/06/2020', '27', '6', '2020', '3138', '73', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '30.69651268');
INSERT INTO public.ecdc_import VALUES (43483, '26/06/2020', '26', '6', '2020', '2775', '59', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '32.23600204');
INSERT INTO public.ecdc_import VALUES (43484, '25/06/2020', '25', '6', '2020', '4044', '148', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '33.90847667');
INSERT INTO public.ecdc_import VALUES (43485, '24/06/2020', '24', '6', '2020', '3892', '60', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '34.73501715');
INSERT INTO public.ecdc_import VALUES (43486, '23/06/2020', '23', '6', '2020', '3946', '105', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '35.42441655');
INSERT INTO public.ecdc_import VALUES (43487, '22/06/2020', '22', '6', '2020', '4471', '89', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '35.74764467');
INSERT INTO public.ecdc_import VALUES (43488, '21/06/2020', '21', '6', '2020', '4951', '119', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '35.86631557');
INSERT INTO public.ecdc_import VALUES (43489, '20/06/2020', '20', '6', '2020', '6604', '153', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '35.87047136');
INSERT INTO public.ecdc_import VALUES (43490, '19/06/2020', '19', '6', '2020', '4944', '136', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '35.00699052');
INSERT INTO public.ecdc_import VALUES (43491, '18/06/2020', '18', '6', '2020', '5358', '118', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '34.564168');
INSERT INTO public.ecdc_import VALUES (43492, '17/06/2020', '17', '6', '2020', '5839', '136', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '34.30697077');
INSERT INTO public.ecdc_import VALUES (43493, '16/06/2020', '16', '6', '2020', '4443', '110', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '33.48781837');
INSERT INTO public.ecdc_import VALUES (43494, '15/06/2020', '15', '6', '2020', '5248', '97', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '33.25463237');
INSERT INTO public.ecdc_import VALUES (43495, '14/06/2020', '14', '6', '2020', '6825', '81', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '32.19998519');
INSERT INTO public.ecdc_import VALUES (43496, '13/06/2020', '13', '6', '2020', '6472', '88', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '30.45178282');
INSERT INTO public.ecdc_import VALUES (43497, '12/06/2020', '12', '6', '2020', '6397', '107', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '28.58490956');
INSERT INTO public.ecdc_import VALUES (43498, '11/06/2020', '11', '6', '2020', '5834', '101', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '26.92444054');
INSERT INTO public.ecdc_import VALUES (43499, '10/06/2020', '10', '6', '2020', '5385', '83', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '25.18916729');
INSERT INTO public.ecdc_import VALUES (43500, '09/06/2020', '9', '6', '2020', '4646', '105', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '23.37031649');
INSERT INTO public.ecdc_import VALUES (43501, '08/06/2020', '8', '6', '2020', '4728', '65', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '21.85114434');
INSERT INTO public.ecdc_import VALUES (43502, '07/06/2020', '7', '6', '2020', '4960', '67', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '20.47511606');
INSERT INTO public.ecdc_import VALUES (43503, '06/06/2020', '6', '6', '2020', '4734', '97', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '19.1840506');
INSERT INTO public.ecdc_import VALUES (43504, '05/06/2020', '5', '6', '2020', '3985', '68', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '17.80294303');
INSERT INTO public.ecdc_import VALUES (43505, '04/06/2020', '4', '6', '2020', '4801', '82', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '17.16479837');
INSERT INTO public.ecdc_import VALUES (43506, '03/06/2020', '3', '6', '2020', '4065', '67', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '15.96054275');
INSERT INTO public.ecdc_import VALUES (43507, '02/06/2020', '2', '6', '2020', '3938', '78', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '14.9756205');
INSERT INTO public.ecdc_import VALUES (43508, '01/06/2020', '1', '6', '2020', '2964', '60', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '14.0073214');
INSERT INTO public.ecdc_import VALUES (43509, '31/05/2020', '31', '5', '2020', '3039', '88', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '13.55018449');
INSERT INTO public.ecdc_import VALUES (43510, '30/05/2020', '30', '5', '2020', '2429', '78', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '12.77120473');
INSERT INTO public.ecdc_import VALUES (43511, '29/05/2020', '29', '5', '2020', '2801', '57', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '12.37963695');
INSERT INTO public.ecdc_import VALUES (43512, '28/05/2020', '28', '5', '2020', '2076', '35', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.74657159');
INSERT INTO public.ecdc_import VALUES (43513, '27/05/2020', '27', '5', '2020', '1446', '28', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.45843681');
INSERT INTO public.ecdc_import VALUES (43514, '26/05/2020', '26', '5', '2020', '1356', '30', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.83199616');
INSERT INTO public.ecdc_import VALUES (43515, '25/05/2020', '25', '5', '2020', '1748', '34', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.7322572');
INSERT INTO public.ecdc_import VALUES (43516, '24/05/2020', '24', '5', '2020', '2164', '32', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.60665999');
INSERT INTO public.ecdc_import VALUES (43517, '23/05/2020', '23', '5', '2020', '1743', '34', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.52677647');
INSERT INTO public.ecdc_import VALUES (43518, '22/05/2020', '22', '5', '2020', '2603', '50', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.4778305');
INSERT INTO public.ecdc_import VALUES (43519, '21/05/2020', '21', '5', '2020', '2193', '32', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '11.09041851');
INSERT INTO public.ecdc_import VALUES (43520, '20/05/2020', '20', '5', '2020', '1932', '46', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '10.78104302');
INSERT INTO public.ecdc_import VALUES (43521, '19/05/2020', '19', '5', '2020', '1841', '36', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '10.37331384');
INSERT INTO public.ecdc_import VALUES (43522, '18/05/2020', '18', '5', '2020', '1974', '30', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '10.130431');
INSERT INTO public.ecdc_import VALUES (43523, '17/05/2020', '17', '5', '2020', '1352', '39', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.71900778');
INSERT INTO public.ecdc_import VALUES (43524, '16/05/2020', '16', '5', '2020', '1581', '31', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.55139091');
INSERT INTO public.ecdc_import VALUES (43525, '15/05/2020', '15', '5', '2020', '1430', '33', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.42025264');
INSERT INTO public.ecdc_import VALUES (43526, '14/05/2020', '14', '5', '2020', '1452', '33', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '9.24847999');
INSERT INTO public.ecdc_import VALUES (43527, '13/05/2020', '13', '5', '2020', '2255', '31', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.98158591');
INSERT INTO public.ecdc_import VALUES (43528, '12/05/2020', '12', '5', '2020', '1140', '39', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.31250371');
INSERT INTO public.ecdc_import VALUES (43529, '11/05/2020', '11', '5', '2020', '1476', '28', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '8.13288122');
INSERT INTO public.ecdc_import VALUES (43530, '10/05/2020', '10', '5', '2020', '1991', '21', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '7.73069309');
INSERT INTO public.ecdc_import VALUES (43531, '09/05/2020', '9', '5', '2020', '1637', '24', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '7.17289371');
INSERT INTO public.ecdc_import VALUES (43532, '08/05/2020', '8', '5', '2020', '1764', '30', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.77947891');
INSERT INTO public.ecdc_import VALUES (43533, '07/05/2020', '7', '5', '2020', '1523', '38', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '6.61417082');
INSERT INTO public.ecdc_import VALUES (43534, '06/05/2020', '6', '5', '2020', '1049', '40', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.91091878');
INSERT INTO public.ecdc_import VALUES (43535, '05/05/2020', '5', '5', '2020', '1315', '24', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.67265348');
INSERT INTO public.ecdc_import VALUES (43536, '04/05/2020', '4', '5', '2020', '1083', '22', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.43392643');
INSERT INTO public.ecdc_import VALUES (43537, '03/05/2020', '3', '5', '2020', '989', '23', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '5.130092');
INSERT INTO public.ecdc_import VALUES (43538, '02/05/2020', '2', '5', '2020', '1297', '32', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.90983512');
INSERT INTO public.ecdc_import VALUES (43539, '01/05/2020', '1', '5', '2020', '1058', '39', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.52149963');
INSERT INTO public.ecdc_import VALUES (43540, '30/04/2020', '30', '4', '2020', '874', '19', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.27307573');
INSERT INTO public.ecdc_import VALUES (43541, '29/04/2020', '29', '4', '2020', '806', '26', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '4.10822939');
INSERT INTO public.ecdc_import VALUES (43542, '28/04/2020', '28', '4', '2020', '751', '20', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.86165251');
INSERT INTO public.ecdc_import VALUES (43543, '27/04/2020', '27', '4', '2020', '605', '12', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.67279494');
INSERT INTO public.ecdc_import VALUES (43544, '26/04/2020', '26', '4', '2020', '783', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.54858299');
INSERT INTO public.ecdc_import VALUES (43545, '25/04/2020', '25', '4', '2020', '785', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.30246786');
INSERT INTO public.ecdc_import VALUES (43546, '24/04/2020', '24', '4', '2020', '1406', '28', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '3.0263387');
INSERT INTO public.ecdc_import VALUES (43547, '23/04/2020', '23', '4', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.50594143');
INSERT INTO public.ecdc_import VALUES (43548, '22/04/2020', '22', '4', '2020', '533', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.62138004');
INSERT INTO public.ecdc_import VALUES (43549, '21/04/2020', '21', '4', '2020', '798', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.47130985');
INSERT INTO public.ecdc_import VALUES (43550, '20/04/2020', '20', '4', '2020', '425', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.37387965');
INSERT INTO public.ecdc_import VALUES (43551, '19/04/2020', '19', '4', '2020', '512', '16', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.55950495');
INSERT INTO public.ecdc_import VALUES (43552, '18/04/2020', '18', '4', '2020', '456', '8', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.39650562');
INSERT INTO public.ecdc_import VALUES (43553, '17/04/2020', '17', '4', '2020', '520', '11', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '2.18594559');
INSERT INTO public.ecdc_import VALUES (43554, '16/04/2020', '16', '4', '2020', '517', '17', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.94583327');
INSERT INTO public.ecdc_import VALUES (43555, '15/04/2020', '15', '4', '2020', '272', '11', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.82346834');
INSERT INTO public.ecdc_import VALUES (43556, '14/04/2020', '14', '4', '2020', '342', '3', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.88903748');
INSERT INTO public.ecdc_import VALUES (43557, '13/04/2020', '13', '4', '2020', '336', '7', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.77683114');
INSERT INTO public.ecdc_import VALUES (43558, '12/04/2020', '12', '4', '2020', '250', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.67616867');
INSERT INTO public.ecdc_import VALUES (43559, '11/04/2020', '11', '4', '2020', '187', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.65816025');
INSERT INTO public.ecdc_import VALUES (43560, '10/04/2020', '10', '4', '2020', '279', '3', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.57181217');
INSERT INTO public.ecdc_import VALUES (43561, '09/04/2020', '9', '4', '2020', '250', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.5076283');
INSERT INTO public.ecdc_import VALUES (43562, '08/04/2020', '8', '4', '2020', '208', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.42266548');
INSERT INTO public.ecdc_import VALUES (43563, '07/04/2020', '7', '4', '2020', '587', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.37464301');
INSERT INTO public.ecdc_import VALUES (43564, '06/04/2020', '6', '4', '2020', '827', '15', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '1.15115386');
INSERT INTO public.ecdc_import VALUES (43565, '05/04/2020', '5', '4', '2020', '159', '4', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.83300504');
INSERT INTO public.ecdc_import VALUES (43566, '04/04/2020', '4', '4', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.829311');
INSERT INTO public.ecdc_import VALUES (43567, '03/04/2020', '3', '4', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.83716083');
INSERT INTO public.ecdc_import VALUES (43568, '02/04/2020', '2', '4', '2020', '252', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.91842961');
INSERT INTO public.ecdc_import VALUES (43569, '01/04/2020', '1', '4', '2020', '414', '8', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.85516925');
INSERT INTO public.ecdc_import VALUES (43570, '31/03/2020', '31', '3', '2020', '99', '5', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.66400291');
INSERT INTO public.ecdc_import VALUES (43571, '30/03/2020', '30', '3', '2020', '118', '2', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.69032291');
INSERT INTO public.ecdc_import VALUES (43572, '29/03/2020', '29', '3', '2020', '211', '2', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.63629764');
INSERT INTO public.ecdc_import VALUES (43573, '28/03/2020', '28', '3', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.54302324');
INSERT INTO public.ecdc_import VALUES (43574, '27/03/2020', '27', '3', '2020', '140', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.54302324');
INSERT INTO public.ecdc_import VALUES (43575, '26/03/2020', '26', '3', '2020', '66', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.47883937');
INSERT INTO public.ecdc_import VALUES (43576, '25/03/2020', '25', '3', '2020', '104', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.45021059');
INSERT INTO public.ecdc_import VALUES (43577, '24/03/2020', '24', '3', '2020', '103', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.40218813');
INSERT INTO public.ecdc_import VALUES (43578, '23/03/2020', '23', '3', '2020', '138', '2', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.35924497');
INSERT INTO public.ecdc_import VALUES (43579, '22/03/2020', '22', '3', '2020', '151', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.29598461');
INSERT INTO public.ecdc_import VALUES (43580, '21/03/2020', '21', '3', '2020', '17', '1', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.22672144');
INSERT INTO public.ecdc_import VALUES (43581, '20/03/2020', '20', '3', '2020', '176', '2', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.21887161');
INSERT INTO public.ecdc_import VALUES (43582, '19/03/2020', '19', '3', '2020', '115', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.13852634');
INSERT INTO public.ecdc_import VALUES (43583, '18/03/2020', '18', '3', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.08542457');
INSERT INTO public.ecdc_import VALUES (43584, '17/03/2020', '17', '3', '2020', '156', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.08542457');
INSERT INTO public.ecdc_import VALUES (43585, '16/03/2020', '16', '3', '2020', '1', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.01431439');
INSERT INTO public.ecdc_import VALUES (43586, '15/03/2020', '15', '3', '2020', '9', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.01385263');
INSERT INTO public.ecdc_import VALUES (43587, '14/03/2020', '14', '3', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00969684');
INSERT INTO public.ecdc_import VALUES (43588, '13/03/2020', '13', '3', '2020', '1', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00969684');
INSERT INTO public.ecdc_import VALUES (43589, '12/03/2020', '12', '3', '2020', '4', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00923509');
INSERT INTO public.ecdc_import VALUES (43590, '11/03/2020', '11', '3', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00738807');
INSERT INTO public.ecdc_import VALUES (43591, '10/03/2020', '10', '3', '2020', '10', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00738807');
INSERT INTO public.ecdc_import VALUES (43592, '07/03/2020', '7', '3', '2020', '1', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00277053');
INSERT INTO public.ecdc_import VALUES (43593, '04/03/2020', '4', '3', '2020', '1', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00230877');
INSERT INTO public.ecdc_import VALUES (43594, '02/03/2020', '2', '3', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00184702');
INSERT INTO public.ecdc_import VALUES (43595, '01/03/2020', '1', '3', '2020', '2', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00184702');
INSERT INTO public.ecdc_import VALUES (43596, '29/02/2020', '29', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00092351');
INSERT INTO public.ecdc_import VALUES (43597, '28/02/2020', '28', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00092351');
INSERT INTO public.ecdc_import VALUES (43598, '27/02/2020', '27', '2', '2020', '2', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0.00092351');
INSERT INTO public.ecdc_import VALUES (43599, '26/02/2020', '26', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43600, '25/02/2020', '25', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43601, '24/02/2020', '24', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43602, '23/02/2020', '23', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43603, '22/02/2020', '22', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43604, '21/02/2020', '21', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43605, '20/02/2020', '20', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43606, '19/02/2020', '19', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43607, '18/02/2020', '18', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43608, '17/02/2020', '17', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43609, '16/02/2020', '16', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43610, '15/02/2020', '15', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43611, '14/02/2020', '14', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43612, '13/02/2020', '13', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43613, '12/02/2020', '12', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43614, '11/02/2020', '11', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43615, '10/02/2020', '10', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43616, '09/02/2020', '9', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43617, '08/02/2020', '8', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43618, '07/02/2020', '7', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43619, '06/02/2020', '6', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43620, '05/02/2020', '5', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43621, '04/02/2020', '4', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43622, '03/02/2020', '3', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43623, '02/02/2020', '2', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43624, '01/02/2020', '1', '2', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43625, '31/01/2020', '31', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43626, '30/01/2020', '30', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43627, '29/01/2020', '29', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43628, '28/01/2020', '28', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43629, '27/01/2020', '27', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43630, '26/01/2020', '26', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43631, '25/01/2020', '25', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43632, '24/01/2020', '24', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43633, '23/01/2020', '23', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43634, '22/01/2020', '22', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43635, '21/01/2020', '21', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43636, '20/01/2020', '20', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43637, '19/01/2020', '19', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43638, '18/01/2020', '18', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43639, '17/01/2020', '17', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43640, '16/01/2020', '16', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43641, '15/01/2020', '15', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43642, '14/01/2020', '14', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43643, '13/01/2020', '13', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (43644, '12/01/2020', '12', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43645, '11/01/2020', '11', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43646, '10/01/2020', '10', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43647, '09/01/2020', '9', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43648, '08/01/2020', '8', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43649, '07/01/2020', '7', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43650, '06/01/2020', '6', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43651, '05/01/2020', '5', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43652, '04/01/2020', '4', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43653, '03/01/2020', '3', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43654, '02/01/2020', '2', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43655, '01/01/2020', '1', '1', '2020', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43656, '31/12/2019', '31', '12', '2019', '0', '0', '216565317', 'Pakistan', 'PK', 'PAK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43657, '14/12/2020', '14', '12', '2020', '1639', '17', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '559.45872484');
INSERT INTO public.ecdc_import VALUES (43658, '13/12/2020', '13', '12', '2020', '1855', '33', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '648.12818508');
INSERT INTO public.ecdc_import VALUES (43659, '12/12/2020', '12', '12', '2020', '1743', '21', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '610.88982222');
INSERT INTO public.ecdc_import VALUES (43660, '11/12/2020', '11', '12', '2020', '2187', '24', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '575.89981335');
INSERT INTO public.ecdc_import VALUES (43661, '10/12/2020', '10', '12', '2020', '1879', '23', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '555.54417996');
INSERT INTO public.ecdc_import VALUES (43662, '09/12/2020', '9', '12', '2020', '1599', '19', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '552.37239487');
INSERT INTO public.ecdc_import VALUES (43663, '08/12/2020', '8', '12', '2020', '1720', '20', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '559.3382773');
INSERT INTO public.ecdc_import VALUES (43664, '07/12/2020', '7', '12', '2020', '2333', '17', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '555.96574633');
INSERT INTO public.ecdc_import VALUES (43665, '06/12/2020', '6', '12', '2020', '1422', '15', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '540.44808892');
INSERT INTO public.ecdc_import VALUES (43666, '05/12/2020', '5', '12', '2020', '1968', '17', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '541.73286262');
INSERT INTO public.ecdc_import VALUES (43667, '04/12/2020', '4', '12', '2020', '2738', '19', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '531.77586641');
INSERT INTO public.ecdc_import VALUES (43668, '03/12/2020', '3', '12', '2020', '2180', '16', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '501.92495235');
INSERT INTO public.ecdc_import VALUES (43669, '02/12/2020', '2', '12', '2020', '1854', '13', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '483.27565904');
INSERT INTO public.ecdc_import VALUES (43670, '01/12/2020', '1', '12', '2020', '2752', '18', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '469.30374499');
INSERT INTO public.ecdc_import VALUES (43671, '30/11/2020', '30', '11', '2020', '6056', '44', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '430.8408322');
INSERT INTO public.ecdc_import VALUES (43672, '29/11/2020', '29', '11', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '328.86191935');
INSERT INTO public.ecdc_import VALUES (43673, '28/11/2020', '28', '11', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '341.97062606');
INSERT INTO public.ecdc_import VALUES (43674, '27/11/2020', '27', '11', '2020', '1173', '14', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '356.62507613');
INSERT INTO public.ecdc_import VALUES (43675, '26/11/2020', '26', '11', '2020', '1721', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '349.59896993');
INSERT INTO public.ecdc_import VALUES (43676, '25/11/2020', '25', '11', '2020', '1946', '17', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '327.95856284');
INSERT INTO public.ecdc_import VALUES (43677, '24/11/2020', '24', '11', '2020', '1552', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '302.1426412');
INSERT INTO public.ecdc_import VALUES (43678, '23/11/2020', '23', '11', '2020', '1560', '16', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '284.63759946');
INSERT INTO public.ecdc_import VALUES (43679, '22/11/2020', '22', '11', '2020', '1486', '14', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '264.34218984');
INSERT INTO public.ecdc_import VALUES (43680, '21/11/2020', '21', '11', '2020', '1472', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '243.16349829');
INSERT INTO public.ecdc_import VALUES (43681, '20/11/2020', '20', '11', '2020', '1251', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '227.28449828');
INSERT INTO public.ecdc_import VALUES (43682, '19/11/2020', '19', '11', '2020', '1251', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '213.85459814');
INSERT INTO public.ecdc_import VALUES (43683, '18/11/2020', '18', '11', '2020', '1158', '11', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '203.47603556');
INSERT INTO public.ecdc_import VALUES (43684, '17/11/2020', '17', '11', '2020', '836', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '192.93687626');
INSERT INTO public.ecdc_import VALUES (43685, '16/11/2020', '16', '11', '2020', '976', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '191.190387');
INSERT INTO public.ecdc_import VALUES (43686, '15/11/2020', '15', '11', '2020', '653', '10', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '181.51443503');
INSERT INTO public.ecdc_import VALUES (43687, '14/11/2020', '14', '11', '2020', '730', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '179.76794578');
INSERT INTO public.ecdc_import VALUES (43688, '13/11/2020', '13', '11', '2020', '823', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '175.25116322');
INSERT INTO public.ecdc_import VALUES (43689, '12/11/2020', '12', '11', '2020', '643', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '171.23624539');
INSERT INTO public.ecdc_import VALUES (43690, '11/11/2020', '11', '11', '2020', '660', '14', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '167.36184969');
INSERT INTO public.ecdc_import VALUES (43691, '10/11/2020', '10', '11', '2020', '680', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '176.55601152');
INSERT INTO public.ecdc_import VALUES (43692, '09/11/2020', '9', '11', '2020', '549', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '162.9052909');
INSERT INTO public.ecdc_import VALUES (43693, '08/11/2020', '8', '11', '2020', '431', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '160.97813034');
INSERT INTO public.ecdc_import VALUES (43694, '07/11/2020', '7', '11', '2020', '681', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '160.55656397');
INSERT INTO public.ecdc_import VALUES (43695, '06/11/2020', '6', '11', '2020', '582', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '157.18403299');
INSERT INTO public.ecdc_import VALUES (43696, '05/11/2020', '5', '11', '2020', '734', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '155.65836422');
INSERT INTO public.ecdc_import VALUES (43697, '04/11/2020', '4', '11', '2020', '633', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '152.34605701');
INSERT INTO public.ecdc_import VALUES (43698, '03/11/2020', '3', '11', '2020', '749', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '149.93710631');
INSERT INTO public.ecdc_import VALUES (43699, '02/11/2020', '2', '11', '2020', '494', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '145.80174095');
INSERT INTO public.ecdc_import VALUES (43700, '01/11/2020', '1', '11', '2020', '566', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '143.69390909');
INSERT INTO public.ecdc_import VALUES (43701, '31/10/2020', '31', '10', '2020', '505', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '138.59496345');
INSERT INTO public.ecdc_import VALUES (43702, '30/10/2020', '30', '10', '2020', '623', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '136.42690782');
INSERT INTO public.ecdc_import VALUES (43703, '29/10/2020', '29', '10', '2020', '450', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '132.79340718');
INSERT INTO public.ecdc_import VALUES (43704, '28/10/2020', '28', '10', '2020', '1118', '10', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '134.43952349');
INSERT INTO public.ecdc_import VALUES (43705, '27/10/2020', '27', '10', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '122.35462083');
INSERT INTO public.ecdc_import VALUES (43706, '26/10/2020', '26', '10', '2020', '453', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '130.28408354');
INSERT INTO public.ecdc_import VALUES (43707, '25/10/2020', '25', '10', '2020', '410', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '129.66177128');
INSERT INTO public.ecdc_import VALUES (43708, '24/10/2020', '24', '10', '2020', '513', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.07214928');
INSERT INTO public.ecdc_import VALUES (43709, '23/10/2020', '23', '10', '2020', '506', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '126.77103044');
INSERT INTO public.ecdc_import VALUES (43710, '22/10/2020', '22', '10', '2020', '569', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '124.96431742');
INSERT INTO public.ecdc_import VALUES (43711, '21/10/2020', '21', '10', '2020', '513', '13', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '123.77991666');
INSERT INTO public.ecdc_import VALUES (43712, '20/10/2020', '20', '10', '2020', '543', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '123.01708227');
INSERT INTO public.ecdc_import VALUES (43713, '19/10/2020', '19', '10', '2020', '389', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '122.57544131');
INSERT INTO public.ecdc_import VALUES (43714, '18/10/2020', '18', '10', '2020', '312', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '123.19775357');
INSERT INTO public.ecdc_import VALUES (43715, '17/10/2020', '17', '10', '2020', '397', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '125.08476495');
INSERT INTO public.ecdc_import VALUES (43716, '16/10/2020', '16', '10', '2020', '442', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '128.05580415');
INSERT INTO public.ecdc_import VALUES (43717, '15/10/2020', '15', '10', '2020', '532', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '129.64169669');
INSERT INTO public.ecdc_import VALUES (43718, '14/10/2020', '14', '10', '2020', '516', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.51379024');
INSERT INTO public.ecdc_import VALUES (43719, '13/10/2020', '13', '10', '2020', '395', '10', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '125.58662968');
INSERT INTO public.ecdc_import VALUES (43720, '12/10/2020', '12', '10', '2020', '422', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.73461072');
INSERT INTO public.ecdc_import VALUES (43721, '11/10/2020', '11', '10', '2020', '281', '11', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '131.72945396');
INSERT INTO public.ecdc_import VALUES (43722, '10/10/2020', '10', '10', '2020', '498', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '131.91012526');
INSERT INTO public.ecdc_import VALUES (43723, '09/10/2020', '9', '10', '2020', '416', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '130.98669416');
INSERT INTO public.ecdc_import VALUES (43724, '08/10/2020', '8', '10', '2020', '510', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '136.94884714');
INSERT INTO public.ecdc_import VALUES (43725, '07/10/2020', '7', '10', '2020', '475', '10', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '136.80832501');
INSERT INTO public.ecdc_import VALUES (43726, '06/10/2020', '6', '10', '2020', '521', '11', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '138.45444132');
INSERT INTO public.ecdc_import VALUES (43727, '05/10/2020', '5', '10', '2020', '420', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '140.26115435');
INSERT INTO public.ecdc_import VALUES (43728, '04/10/2020', '4', '10', '2020', '406', '11', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '145.54077129');
INSERT INTO public.ecdc_import VALUES (43729, '03/10/2020', '3', '10', '2020', '545', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '151.96463982');
INSERT INTO public.ecdc_import VALUES (43730, '02/10/2020', '2', '10', '2020', '521', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '154.91560442');
INSERT INTO public.ecdc_import VALUES (43731, '01/10/2020', '1', '10', '2020', '426', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '163.84879659');
INSERT INTO public.ecdc_import VALUES (43732, '30/09/2020', '30', '9', '2020', '420', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '174.68907473');
INSERT INTO public.ecdc_import VALUES (43733, '29/09/2020', '29', '9', '2020', '502', '10', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '188.64091418');
INSERT INTO public.ecdc_import VALUES (43734, '28/09/2020', '28', '9', '2020', '621', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '194.38224668');
INSERT INTO public.ecdc_import VALUES (43735, '27/09/2020', '27', '9', '2020', '290', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '201.87006843');
INSERT INTO public.ecdc_import VALUES (43736, '26/09/2020', '26', '9', '2020', '452', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '209.09692052');
INSERT INTO public.ecdc_import VALUES (43737, '25/09/2020', '25', '9', '2020', '713', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '213.11183835');
INSERT INTO public.ecdc_import VALUES (43738, '24/09/2020', '24', '9', '2020', '503', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '218.87324543');
INSERT INTO public.ecdc_import VALUES (43739, '23/09/2020', '23', '9', '2020', '557', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '222.74764114');
INSERT INTO public.ecdc_import VALUES (43740, '22/09/2020', '22', '9', '2020', '611', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '225.9595754');
INSERT INTO public.ecdc_import VALUES (43741, '21/09/2020', '21', '9', '2020', '683', '9', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '229.53285227');
INSERT INTO public.ecdc_import VALUES (43742, '20/09/2020', '20', '9', '2020', '726', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '227.92688513');
INSERT INTO public.ecdc_import VALUES (43743, '19/09/2020', '19', '9', '2020', '692', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '225.23689019');
INSERT INTO public.ecdc_import VALUES (43744, '18/09/2020', '18', '9', '2020', '966', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '225.97964999');
INSERT INTO public.ecdc_import VALUES (43745, '17/09/2020', '17', '9', '2020', '966', '15', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '221.74391168');
INSERT INTO public.ecdc_import VALUES (43746, '16/09/2020', '16', '9', '2020', '1115', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '219.27473721');
INSERT INTO public.ecdc_import VALUES (43747, '15/09/2020', '15', '9', '2020', '788', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '209.35789018');
INSERT INTO public.ecdc_import VALUES (43748, '14/09/2020', '14', '9', '2020', '994', '12', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '209.71923278');
INSERT INTO public.ecdc_import VALUES (43749, '13/09/2020', '13', '9', '2020', '650', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '200.52507095');
INSERT INTO public.ecdc_import VALUES (43750, '12/09/2020', '12', '9', '2020', '652', '10', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '195.84769168');
INSERT INTO public.ecdc_import VALUES (43751, '11/09/2020', '11', '9', '2020', '1000', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '197.2930621');
INSERT INTO public.ecdc_import VALUES (43752, '10/09/2020', '10', '9', '2020', '696', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '189.70486741');
INSERT INTO public.ecdc_import VALUES (43753, '09/09/2020', '9', '9', '2020', '717', '8', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '187.81785603');
INSERT INTO public.ecdc_import VALUES (43754, '08/09/2020', '8', '9', '2020', '789', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '184.94718978');
INSERT INTO public.ecdc_import VALUES (43755, '07/09/2020', '7', '9', '2020', '603', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '180.43040722');
INSERT INTO public.ecdc_import VALUES (43756, '06/09/2020', '6', '9', '2020', '592', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '174.68907473');
INSERT INTO public.ecdc_import VALUES (43757, '05/09/2020', '5', '9', '2020', '729', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '169.007966');
INSERT INTO public.ecdc_import VALUES (43758, '04/09/2020', '4', '9', '2020', '755', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '163.54767775');
INSERT INTO public.ecdc_import VALUES (43759, '03/09/2020', '3', '9', '2020', '843', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '158.70970177');
INSERT INTO public.ecdc_import VALUES (43760, '02/09/2020', '2', '9', '2020', '621', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '150.29844892');
INSERT INTO public.ecdc_import VALUES (43761, '01/09/2020', '1', '9', '2020', '806', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '150.11777761');
INSERT INTO public.ecdc_import VALUES (43762, '31/08/2020', '31', '8', '2020', '536', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '143.09167141');
INSERT INTO public.ecdc_import VALUES (43763, '30/08/2020', '30', '8', '2020', '417', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '139.9801101');
INSERT INTO public.ecdc_import VALUES (43764, '29/08/2020', '29', '8', '2020', '724', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '141.60615182');
INSERT INTO public.ecdc_import VALUES (43765, '28/08/2020', '28', '8', '2020', '622', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '137.73175611');
INSERT INTO public.ecdc_import VALUES (43766, '27/08/2020', '27', '8', '2020', '602', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '133.91758418');
INSERT INTO public.ecdc_import VALUES (43767, '26/08/2020', '26', '8', '2020', '574', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '131.84990149');
INSERT INTO public.ecdc_import VALUES (43768, '25/08/2020', '25', '8', '2020', '564', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '129.82236799');
INSERT INTO public.ecdc_import VALUES (43769, '24/08/2020', '24', '8', '2020', '317', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.93535661');
INSERT INTO public.ecdc_import VALUES (43770, '23/08/2020', '23', '8', '2020', '309', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.13237305');
INSERT INTO public.ecdc_import VALUES (43771, '22/08/2020', '22', '8', '2020', '457', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '129.48109998');
INSERT INTO public.ecdc_import VALUES (43772, '21/08/2020', '21', '8', '2020', '514', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '130.62535156');
INSERT INTO public.ecdc_import VALUES (43773, '20/08/2020', '20', '8', '2020', '424', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '129.40080162');
INSERT INTO public.ecdc_import VALUES (43774, '19/08/2020', '19', '8', '2020', '612', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.97550579');
INSERT INTO public.ecdc_import VALUES (43775, '18/08/2020', '18', '8', '2020', '456', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '127.81490908');
INSERT INTO public.ecdc_import VALUES (43776, '17/08/2020', '17', '8', '2020', '381', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '123.55909618');
INSERT INTO public.ecdc_import VALUES (43777, '16/08/2020', '16', '8', '2020', '498', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '120.42746027');
INSERT INTO public.ecdc_import VALUES (43778, '15/08/2020', '15', '8', '2020', '531', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '116.91440717');
INSERT INTO public.ecdc_import VALUES (43779, '14/08/2020', '14', '8', '2020', '432', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '114.16418846');
INSERT INTO public.ecdc_import VALUES (43780, '13/08/2020', '13', '8', '2020', '499', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '113.12030982');
INSERT INTO public.ecdc_import VALUES (43781, '12/08/2020', '12', '8', '2020', '473', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '113.5418762');
INSERT INTO public.ecdc_import VALUES (43782, '11/08/2020', '11', '8', '2020', '470', '7', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '113.70247291');
INSERT INTO public.ecdc_import VALUES (43783, '10/08/2020', '10', '8', '2020', '277', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '110.85188125');
INSERT INTO public.ecdc_import VALUES (43784, '09/08/2020', '9', '8', '2020', '426', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '111.71508858');
INSERT INTO public.ecdc_import VALUES (43785, '08/08/2020', '8', '8', '2020', '514', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '110.83180666');
INSERT INTO public.ecdc_import VALUES (43786, '07/08/2020', '7', '8', '2020', '453', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '111.45411892');
INSERT INTO public.ecdc_import VALUES (43787, '06/08/2020', '6', '8', '2020', '353', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '114.44523271');
INSERT INTO public.ecdc_import VALUES (43788, '05/08/2020', '5', '8', '2020', '604', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '114.52553106');
INSERT INTO public.ecdc_import VALUES (43789, '04/08/2020', '4', '8', '2020', '244', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '110.49053865');
INSERT INTO public.ecdc_import VALUES (43790, '03/08/2020', '3', '8', '2020', '225', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '114.98724661');
INSERT INTO public.ecdc_import VALUES (43791, '02/08/2020', '2', '8', '2020', '323', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '119.80514801');
INSERT INTO public.ecdc_import VALUES (43792, '01/08/2020', '1', '8', '2020', '394', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '123.98066255');
INSERT INTO public.ecdc_import VALUES (43793, '31/07/2020', '31', '7', '2020', '380', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '124.88401906');
INSERT INTO public.ecdc_import VALUES (43794, '30/07/2020', '30', '7', '2020', '520', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '126.55020996');
INSERT INTO public.ecdc_import VALUES (43795, '29/07/2020', '29', '7', '2020', '481', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '124.54275105');
INSERT INTO public.ecdc_import VALUES (43796, '28/07/2020', '28', '7', '2020', '328', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '120.76872829');
INSERT INTO public.ecdc_import VALUES (43797, '27/07/2020', '27', '7', '2020', '320', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '122.27432247');
INSERT INTO public.ecdc_import VALUES (43798, '26/07/2020', '26', '7', '2020', '382', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '122.69588884');
INSERT INTO public.ecdc_import VALUES (43799, '25/07/2020', '25', '7', '2020', '545', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '124.50260187');
INSERT INTO public.ecdc_import VALUES (43800, '24/07/2020', '24', '7', '2020', '602', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '121.51148809');
INSERT INTO public.ecdc_import VALUES (43801, '23/07/2020', '23', '7', '2020', '357', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '114.68612778');
INSERT INTO public.ecdc_import VALUES (43802, '22/07/2020', '22', '7', '2020', '403', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '117.0549293');
INSERT INTO public.ecdc_import VALUES (43803, '21/07/2020', '21', '7', '2020', '468', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '115.10769415');
INSERT INTO public.ecdc_import VALUES (43804, '20/07/2020', '20', '7', '2020', '465', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '112.29725167');
INSERT INTO public.ecdc_import VALUES (43805, '19/07/2020', '19', '7', '2020', '531', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '107.13808226');
INSERT INTO public.ecdc_import VALUES (43806, '18/07/2020', '18', '7', '2020', '439', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '107.74031993');
INSERT INTO public.ecdc_import VALUES (43807, '17/07/2020', '17', '7', '2020', '463', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '104.38786355');
INSERT INTO public.ecdc_import VALUES (43808, '16/07/2020', '16', '7', '2020', '420', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '101.55734648');
INSERT INTO public.ecdc_import VALUES (43809, '15/07/2020', '15', '7', '2020', '293', '6', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '99.75063345');
INSERT INTO public.ecdc_import VALUES (43810, '14/07/2020', '14', '7', '2020', '403', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '100.33279654');
INSERT INTO public.ecdc_import VALUES (43811, '13/07/2020', '13', '7', '2020', '341', '5', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '96.157282');
INSERT INTO public.ecdc_import VALUES (43812, '12/07/2020', '12', '7', '2020', '472', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '93.22639198');
INSERT INTO public.ecdc_import VALUES (43813, '11/07/2020', '11', '7', '2020', '396', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '88.93042991');
INSERT INTO public.ecdc_import VALUES (43814, '10/07/2020', '10', '7', '2020', '262', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '85.13633256');
INSERT INTO public.ecdc_import VALUES (43815, '09/07/2020', '9', '7', '2020', '475', '3', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '80.96081802');
INSERT INTO public.ecdc_import VALUES (43816, '08/07/2020', '8', '7', '2020', '306', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '74.61724785');
INSERT INTO public.ecdc_import VALUES (43817, '07/07/2020', '7', '7', '2020', '328', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '72.06777502');
INSERT INTO public.ecdc_import VALUES (43818, '06/07/2020', '6', '7', '2020', '208', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '68.9762883');
INSERT INTO public.ecdc_import VALUES (43819, '05/07/2020', '5', '7', '2020', '561', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '65.66398109');
INSERT INTO public.ecdc_import VALUES (43820, '04/07/2020', '4', '7', '2020', '272', '4', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '56.83116187');
INSERT INTO public.ecdc_import VALUES (43821, '03/07/2020', '3', '7', '2020', '322', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '52.63557273');
INSERT INTO public.ecdc_import VALUES (43822, '02/07/2020', '2', '7', '2020', '330', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '48.05856641');
INSERT INTO public.ecdc_import VALUES (43823, '01/07/2020', '1', '7', '2020', '322', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '41.65477247');
INSERT INTO public.ecdc_import VALUES (43824, '30/06/2020', '30', '6', '2020', '195', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '35.27105312');
INSERT INTO public.ecdc_import VALUES (43825, '29/06/2020', '29', '6', '2020', '195', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '31.6174779');
INSERT INTO public.ecdc_import VALUES (43826, '28/06/2020', '28', '6', '2020', '258', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '27.70293302');
INSERT INTO public.ecdc_import VALUES (43827, '27/06/2020', '27', '6', '2020', '207', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '22.60398738');
INSERT INTO public.ecdc_import VALUES (43828, '26/06/2020', '26', '6', '2020', '54', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '18.4886966');
INSERT INTO public.ecdc_import VALUES (43829, '25/06/2020', '25', '6', '2020', '159', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '17.44481797');
INSERT INTO public.ecdc_import VALUES (43830, '24/06/2020', '24', '6', '2020', '179', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '14.33325665');
INSERT INTO public.ecdc_import VALUES (43831, '23/06/2020', '23', '6', '2020', '174', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '10.92057649');
INSERT INTO public.ecdc_import VALUES (43832, '22/06/2020', '22', '6', '2020', '43', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '7.44767257');
INSERT INTO public.ecdc_import VALUES (43833, '21/06/2020', '21', '6', '2020', '121', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '6.74506195');
INSERT INTO public.ecdc_import VALUES (43834, '20/06/2020', '20', '6', '2020', '63', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.31603667');
INSERT INTO public.ecdc_import VALUES (43835, '19/06/2020', '19', '6', '2020', '94', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.05133755');
INSERT INTO public.ecdc_import VALUES (43836, '18/06/2020', '18', '6', '2020', '11', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.32492288');
INSERT INTO public.ecdc_import VALUES (43837, '17/06/2020', '17', '6', '2020', '4', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.20447535');
INSERT INTO public.ecdc_import VALUES (43838, '16/06/2020', '16', '6', '2020', '13', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.16432617');
INSERT INTO public.ecdc_import VALUES (43839, '15/06/2020', '15', '6', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.9234311');
INSERT INTO public.ecdc_import VALUES (43840, '14/06/2020', '14', '6', '2020', '4', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.94350569');
INSERT INTO public.ecdc_import VALUES (43841, '13/06/2020', '13', '6', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.88328192');
INSERT INTO public.ecdc_import VALUES (43842, '12/06/2020', '12', '6', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.84313274');
INSERT INTO public.ecdc_import VALUES (43843, '11/06/2020', '11', '6', '2020', '4', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.04387864');
INSERT INTO public.ecdc_import VALUES (43844, '10/06/2020', '10', '6', '2020', '9', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.12417699');
INSERT INTO public.ecdc_import VALUES (43845, '09/06/2020', '9', '6', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.00372946');
INSERT INTO public.ecdc_import VALUES (43846, '08/06/2020', '8', '6', '2020', '8', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.98365487');
INSERT INTO public.ecdc_import VALUES (43847, '07/06/2020', '7', '6', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.82305815');
INSERT INTO public.ecdc_import VALUES (43848, '06/06/2020', '6', '6', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.82305815');
INSERT INTO public.ecdc_import VALUES (43849, '05/06/2020', '5', '6', '2020', '8', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.82305815');
INSERT INTO public.ecdc_import VALUES (43850, '04/06/2020', '4', '6', '2020', '5', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.16432617');
INSERT INTO public.ecdc_import VALUES (43851, '03/06/2020', '3', '6', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.20447535');
INSERT INTO public.ecdc_import VALUES (43852, '02/06/2020', '2', '6', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.22454994');
INSERT INTO public.ecdc_import VALUES (43853, '01/06/2020', '1', '6', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.34499747');
INSERT INTO public.ecdc_import VALUES (43854, '31/05/2020', '31', '5', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.44537042');
INSERT INTO public.ecdc_import VALUES (43855, '30/05/2020', '30', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.42529583');
INSERT INTO public.ecdc_import VALUES (43856, '29/05/2020', '29', '5', '2020', '12', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.54574336');
INSERT INTO public.ecdc_import VALUES (43857, '28/05/2020', '28', '5', '2020', '8', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.30484829');
INSERT INTO public.ecdc_import VALUES (43858, '27/05/2020', '27', '5', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.16432617');
INSERT INTO public.ecdc_import VALUES (43859, '26/05/2020', '26', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.1041024');
INSERT INTO public.ecdc_import VALUES (43860, '25/05/2020', '25', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.1041024');
INSERT INTO public.ecdc_import VALUES (43861, '24/05/2020', '24', '5', '2020', '0', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.1041024');
INSERT INTO public.ecdc_import VALUES (43862, '23/05/2020', '23', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.1041024');
INSERT INTO public.ecdc_import VALUES (43863, '22/05/2020', '22', '5', '2020', '25', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.1041024');
INSERT INTO public.ecdc_import VALUES (43864, '21/05/2020', '21', '5', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.62231226');
INSERT INTO public.ecdc_import VALUES (43865, '20/05/2020', '20', '5', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.64238685');
INSERT INTO public.ecdc_import VALUES (43866, '19/05/2020', '19', '5', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.86320733');
INSERT INTO public.ecdc_import VALUES (43867, '18/05/2020', '18', '5', '2020', '6', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.76283439');
INSERT INTO public.ecdc_import VALUES (43868, '17/05/2020', '17', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.7427598');
INSERT INTO public.ecdc_import VALUES (43869, '16/05/2020', '16', '5', '2020', '6', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.7427598');
INSERT INTO public.ecdc_import VALUES (43870, '15/05/2020', '15', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.82305815');
INSERT INTO public.ecdc_import VALUES (43871, '14/05/2020', '14', '5', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.82305815');
INSERT INTO public.ecdc_import VALUES (43872, '13/05/2020', '13', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.04387864');
INSERT INTO public.ecdc_import VALUES (43873, '12/05/2020', '12', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.04387864');
INSERT INTO public.ecdc_import VALUES (43874, '11/05/2020', '11', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.04387864');
INSERT INTO public.ecdc_import VALUES (43875, '10/05/2020', '10', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.11529077');
INSERT INTO public.ecdc_import VALUES (43876, '09/05/2020', '9', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.15543995');
INSERT INTO public.ecdc_import VALUES (43877, '08/05/2020', '8', '5', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.23573831');
INSERT INTO public.ecdc_import VALUES (43878, '07/05/2020', '7', '5', '2020', '8', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.23573831');
INSERT INTO public.ecdc_import VALUES (43879, '06/05/2020', '6', '5', '2020', '14', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.19558913');
INSERT INTO public.ecdc_import VALUES (43880, '05/05/2020', '5', '5', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.91454488');
INSERT INTO public.ecdc_import VALUES (43881, '04/05/2020', '4', '5', '2020', '5', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.01491783');
INSERT INTO public.ecdc_import VALUES (43882, '03/05/2020', '3', '5', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.09521619');
INSERT INTO public.ecdc_import VALUES (43883, '02/05/2020', '2', '5', '2020', '10', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.21566372');
INSERT INTO public.ecdc_import VALUES (43884, '01/05/2020', '1', '5', '2020', '0', '2', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.27588749');
INSERT INTO public.ecdc_import VALUES (43885, '30/04/2020', '30', '4', '2020', '12', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.33611125');
INSERT INTO public.ecdc_import VALUES (43886, '29/04/2020', '29', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.17551454');
INSERT INTO public.ecdc_import VALUES (43887, '28/04/2020', '28', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.55693174');
INSERT INTO public.ecdc_import VALUES (43888, '27/04/2020', '27', '4', '2020', '153', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.55693174');
INSERT INTO public.ecdc_import VALUES (43889, '26/04/2020', '26', '4', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.4855196');
INSERT INTO public.ecdc_import VALUES (43890, '25/04/2020', '25', '4', '2020', '4', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.4855196');
INSERT INTO public.ecdc_import VALUES (43891, '24/04/2020', '24', '4', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.46544501');
INSERT INTO public.ecdc_import VALUES (43892, '23/04/2020', '23', '4', '2020', '6', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.44537042');
INSERT INTO public.ecdc_import VALUES (43893, '22/04/2020', '22', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.38514665');
INSERT INTO public.ecdc_import VALUES (43894, '21/04/2020', '21', '4', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.52566877');
INSERT INTO public.ecdc_import VALUES (43895, '20/04/2020', '20', '4', '2020', '9', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '2.10783186');
INSERT INTO public.ecdc_import VALUES (43896, '19/04/2020', '19', '4', '2020', '6', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.17178508');
INSERT INTO public.ecdc_import VALUES (43897, '18/04/2020', '18', '4', '2020', '13', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.05133755');
INSERT INTO public.ecdc_import VALUES (43898, '17/04/2020', '17', '4', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.21193426');
INSERT INTO public.ecdc_import VALUES (43899, '16/04/2020', '16', '4', '2020', '4', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.49297851');
INSERT INTO public.ecdc_import VALUES (43900, '15/04/2020', '15', '4', '2020', '19', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.45282933');
INSERT INTO public.ecdc_import VALUES (43901, '14/04/2020', '14', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.25208344');
INSERT INTO public.ecdc_import VALUES (43902, '13/04/2020', '13', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.43275474');
INSERT INTO public.ecdc_import VALUES (43903, '12/04/2020', '12', '4', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.55320228');
INSERT INTO public.ecdc_import VALUES (43904, '11/04/2020', '11', '4', '2020', '3', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.65357522');
INSERT INTO public.ecdc_import VALUES (43905, '10/04/2020', '10', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.03499242');
INSERT INTO public.ecdc_import VALUES (43906, '09/04/2020', '9', '4', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.0751416');
INSERT INTO public.ecdc_import VALUES (43907, '08/04/2020', '8', '4', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '4.03499242');
INSERT INTO public.ecdc_import VALUES (43908, '07/04/2020', '7', '4', '2020', '36', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.89447029');
INSERT INTO public.ecdc_import VALUES (43909, '06/04/2020', '6', '4', '2020', '62', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '3.31230721');
INSERT INTO public.ecdc_import VALUES (43910, '04/04/2020', '4', '4', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '2.14798104');
INSERT INTO public.ecdc_import VALUES (43911, '03/04/2020', '3', '4', '2020', '21', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '2.16805563');
INSERT INTO public.ecdc_import VALUES (43912, '02/04/2020', '2', '4', '2020', '17', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.80671302');
INSERT INTO public.ecdc_import VALUES (43913, '01/04/2020', '1', '4', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.52566877');
INSERT INTO public.ecdc_import VALUES (43914, '31/03/2020', '31', '3', '2020', '9', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.52566877');
INSERT INTO public.ecdc_import VALUES (43915, '30/03/2020', '30', '3', '2020', '9', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.36507206');
INSERT INTO public.ecdc_import VALUES (43916, '29/03/2020', '29', '3', '2020', '6', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.18440076');
INSERT INTO public.ecdc_import VALUES (43917, '28/03/2020', '28', '3', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.12417699');
INSERT INTO public.ecdc_import VALUES (43918, '27/03/2020', '27', '3', '2020', '22', '1', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '1.08402781');
INSERT INTO public.ecdc_import VALUES (43919, '26/03/2020', '26', '3', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.66246144');
INSERT INTO public.ecdc_import VALUES (43920, '25/03/2020', '25', '3', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.80298357');
INSERT INTO public.ecdc_import VALUES (43921, '24/03/2020', '24', '3', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.80298357');
INSERT INTO public.ecdc_import VALUES (43922, '23/03/2020', '23', '3', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.86320733');
INSERT INTO public.ecdc_import VALUES (43923, '22/03/2020', '22', '3', '2020', '4', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.90335651');
INSERT INTO public.ecdc_import VALUES (43924, '21/03/2020', '21', '3', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '0.96358028');
INSERT INTO public.ecdc_import VALUES (43925, '20/03/2020', '20', '3', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43926, '19/03/2020', '19', '3', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43927, '18/03/2020', '18', '3', '2020', '2', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43928, '17/03/2020', '17', '3', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43929, '16/03/2020', '16', '3', '2020', '0', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43930, '15/03/2020', '15', '3', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43931, '14/03/2020', '14', '3', '2020', '5', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43932, '12/03/2020', '12', '3', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43933, '11/03/2020', '11', '3', '2020', '9', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43934, '10/03/2020', '10', '3', '2020', '1', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43935, '08/03/2020', '8', '3', '2020', '3', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43936, '07/03/2020', '7', '3', '2020', '9', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43937, '06/03/2020', '6', '3', '2020', '7', '0', '4981422', 'Palestine', 'PS', 'PSE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (43938, '14/12/2020', '14', '12', '2020', '2422', '25', '4246440', 'Panama', 'PA', 'PAN', 'America', '665.92251392');
INSERT INTO public.ecdc_import VALUES (43939, '13/12/2020', '13', '12', '2020', '2806', '22', '4246440', 'Panama', 'PA', 'PAN', 'America', '638.93520219');
INSERT INTO public.ecdc_import VALUES (43940, '12/12/2020', '12', '12', '2020', '2355', '22', '4246440', 'Panama', 'PA', 'PAN', 'America', '613.10179821');
INSERT INTO public.ecdc_import VALUES (43941, '11/12/2020', '11', '12', '2020', '2447', '23', '4246440', 'Panama', 'PA', 'PAN', 'America', '591.95467262');
INSERT INTO public.ecdc_import VALUES (43942, '10/12/2020', '10', '12', '2020', '1811', '23', '4246440', 'Panama', 'PA', 'PAN', 'America', '575.65866938');
INSERT INTO public.ecdc_import VALUES (43943, '09/12/2020', '9', '12', '2020', '1936', '29', '4246440', 'Panama', 'PA', 'PAN', 'America', '570.73689961');
INSERT INTO public.ecdc_import VALUES (43944, '08/12/2020', '8', '12', '2020', '1511', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '555.10027223');
INSERT INTO public.ecdc_import VALUES (43945, '07/12/2020', '7', '12', '2020', '1812', '20', '4246440', 'Panama', 'PA', 'PAN', 'America', '540.12302069');
INSERT INTO public.ecdc_import VALUES (43946, '06/12/2020', '6', '12', '2020', '2300', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '525.85224329');
INSERT INTO public.ecdc_import VALUES (43947, '05/12/2020', '5', '12', '2020', '2388', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '502.02051601');
INSERT INTO public.ecdc_import VALUES (43948, '04/12/2020', '4', '12', '2020', '1880', '27', '4246440', 'Panama', 'PA', 'PAN', 'America', '474.0441405');
INSERT INTO public.ecdc_import VALUES (43949, '03/12/2020', '3', '12', '2020', '2028', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '459.34947862');
INSERT INTO public.ecdc_import VALUES (43950, '02/12/2020', '2', '12', '2020', '1505', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '437.77846855');
INSERT INTO public.ecdc_import VALUES (43951, '01/12/2020', '1', '12', '2020', '1077', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '427.15780748');
INSERT INTO public.ecdc_import VALUES (43952, '30/11/2020', '30', '11', '2020', '1276', '21', '4246440', 'Panama', 'PA', 'PAN', 'America', '425.67421181');
INSERT INTO public.ecdc_import VALUES (43953, '29/11/2020', '29', '11', '2020', '1709', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '427.27555317');
INSERT INTO public.ecdc_import VALUES (43954, '28/11/2020', '28', '11', '2020', '1457', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '406.62295947');
INSERT INTO public.ecdc_import VALUES (43955, '27/11/2020', '27', '11', '2020', '1755', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '398.80464577');
INSERT INTO public.ecdc_import VALUES (43956, '26/11/2020', '26', '11', '2020', '1602', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '378.36399431');
INSERT INTO public.ecdc_import VALUES (43957, '25/11/2020', '25', '11', '2020', '1272', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '368.02592289');
INSERT INTO public.ecdc_import VALUES (43958, '24/11/2020', '24', '11', '2020', '875', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '360.93763246');
INSERT INTO public.ecdc_import VALUES (43959, '23/11/2020', '23', '11', '2020', '1206', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '359.26564369');
INSERT INTO public.ecdc_import VALUES (43960, '22/11/2020', '22', '11', '2020', '1288', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '354.90905323');
INSERT INTO public.ecdc_import VALUES (43961, '21/11/2020', '21', '11', '2020', '1200', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '342.14542063');
INSERT INTO public.ecdc_import VALUES (43962, '20/11/2020', '20', '11', '2020', '1256', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '341.98057667');
INSERT INTO public.ecdc_import VALUES (43963, '19/11/2020', '19', '11', '2020', '1112', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '325.19004154');
INSERT INTO public.ecdc_import VALUES (43964, '18/11/2020', '18', '11', '2020', '1054', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '309.17662795');
INSERT INTO public.ecdc_import VALUES (43965, '17/11/2020', '17', '11', '2020', '1014', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '300.29860307');
INSERT INTO public.ecdc_import VALUES (43966, '16/11/2020', '16', '11', '2020', '1344', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '290.0547282');
INSERT INTO public.ecdc_import VALUES (43967, '15/11/2020', '15', '11', '2020', '832', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '275.78395079');
INSERT INTO public.ecdc_import VALUES (43968, '14/11/2020', '14', '11', '2020', '1125', '26', '4246440', 'Panama', 'PA', 'PAN', 'America', '273.40548789');
INSERT INTO public.ecdc_import VALUES (43969, '13/11/2020', '13', '11', '2020', '887', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '266.27009919');
INSERT INTO public.ecdc_import VALUES (43970, '12/11/2020', '12', '11', '2020', '1163', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '264.17422594');
INSERT INTO public.ecdc_import VALUES (43971, '11/11/2020', '11', '11', '2020', '971', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '256.21461742');
INSERT INTO public.ecdc_import VALUES (43972, '10/11/2020', '10', '11', '2020', '804', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '249.14987613');
INSERT INTO public.ecdc_import VALUES (43973, '09/11/2020', '9', '11', '2020', '1021', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '243.19194431');
INSERT INTO public.ecdc_import VALUES (43974, '08/11/2020', '8', '11', '2020', '746', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '235.27943407');
INSERT INTO public.ecdc_import VALUES (43975, '07/11/2020', '7', '11', '2020', '1193', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '232.99516772');
INSERT INTO public.ecdc_import VALUES (43976, '06/11/2020', '6', '11', '2020', '543', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '219.94894547');
INSERT INTO public.ecdc_import VALUES (43977, '05/11/2020', '5', '11', '2020', '432', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '225.81268074');
INSERT INTO public.ecdc_import VALUES (43978, '04/11/2020', '4', '11', '2020', '677', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '232.02965307');
INSERT INTO public.ecdc_import VALUES (43979, '03/11/2020', '3', '11', '2020', '579', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '229.2273057');
INSERT INTO public.ecdc_import VALUES (43980, '02/11/2020', '2', '11', '2020', '738', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '225.85977901');
INSERT INTO public.ecdc_import VALUES (43981, '01/11/2020', '1', '11', '2020', '731', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '223.50486525');
INSERT INTO public.ecdc_import VALUES (43982, '31/10/2020', '31', '10', '2020', '822', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '220.63187046');
INSERT INTO public.ecdc_import VALUES (43983, '30/10/2020', '30', '10', '2020', '798', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '215.75719897');
INSERT INTO public.ecdc_import VALUES (43984, '29/10/2020', '29', '10', '2020', '825', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '214.74458605');
INSERT INTO public.ecdc_import VALUES (43985, '28/10/2020', '28', '10', '2020', '671', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '214.90943002');
INSERT INTO public.ecdc_import VALUES (43986, '27/10/2020', '27', '10', '2020', '551', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '210.74123266');
INSERT INTO public.ecdc_import VALUES (43987, '26/10/2020', '26', '10', '2020', '685', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '209.28118612');
INSERT INTO public.ecdc_import VALUES (43988, '25/10/2020', '25', '10', '2020', '649', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '208.38631889');
INSERT INTO public.ecdc_import VALUES (43989, '24/10/2020', '24', '10', '2020', '639', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '212.53096712');
INSERT INTO public.ecdc_import VALUES (43990, '23/10/2020', '23', '10', '2020', '792', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '216.01623949');
INSERT INTO public.ecdc_import VALUES (43991, '22/10/2020', '22', '10', '2020', '696', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '215.12137226');
INSERT INTO public.ecdc_import VALUES (43992, '21/10/2020', '21', '10', '2020', '558', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '215.16847053');
INSERT INTO public.ecdc_import VALUES (43993, '20/10/2020', '20', '10', '2020', '436', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '218.11211273');
INSERT INTO public.ecdc_import VALUES (43994, '19/10/2020', '19', '10', '2020', '638', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '222.75129285');
INSERT INTO public.ecdc_import VALUES (43995, '18/10/2020', '18', '10', '2020', '609', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '222.63354716');
INSERT INTO public.ecdc_import VALUES (43996, '17/10/2020', '17', '10', '2020', '615', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '224.56457645');
INSERT INTO public.ecdc_import VALUES (43997, '16/10/2020', '16', '10', '2020', '755', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '224.68232213');
INSERT INTO public.ecdc_import VALUES (43998, '15/10/2020', '15', '10', '2020', '832', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '224.49392903');
INSERT INTO public.ecdc_import VALUES (43999, '14/10/2020', '14', '10', '2020', '494', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '222.37450665');
INSERT INTO public.ecdc_import VALUES (44000, '13/10/2020', '13', '10', '2020', '489', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '224.30553593');
INSERT INTO public.ecdc_import VALUES (44001, '12/10/2020', '12', '10', '2020', '647', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '229.792485');
INSERT INTO public.ecdc_import VALUES (44002, '11/10/2020', '11', '10', '2020', '825', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '225.08265747');
INSERT INTO public.ecdc_import VALUES (44003, '10/10/2020', '10', '10', '2020', '787', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '221.5973851');
INSERT INTO public.ecdc_import VALUES (44004, '09/10/2020', '9', '10', '2020', '754', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '219.66635582');
INSERT INTO public.ecdc_import VALUES (44005, '08/10/2020', '8', '10', '2020', '698', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '219.24247134');
INSERT INTO public.ecdc_import VALUES (44006, '07/10/2020', '7', '10', '2020', '683', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '219.43086444');
INSERT INTO public.ecdc_import VALUES (44007, '06/10/2020', '6', '10', '2020', '633', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '214.50909468');
INSERT INTO public.ecdc_import VALUES (44008, '05/10/2020', '5', '10', '2020', '633', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '213.8968171');
INSERT INTO public.ecdc_import VALUES (44009, '04/10/2020', '4', '10', '2020', '691', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '213.16679383');
INSERT INTO public.ecdc_import VALUES (44010, '03/10/2020', '3', '10', '2020', '620', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '213.8968171');
INSERT INTO public.ecdc_import VALUES (44011, '02/10/2020', '2', '10', '2020', '747', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '216.74626275');
INSERT INTO public.ecdc_import VALUES (44012, '01/10/2020', '1', '10', '2020', '742', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '214.98007743');
INSERT INTO public.ecdc_import VALUES (44013, '30/09/2020', '30', '9', '2020', '576', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '212.43677057');
INSERT INTO public.ecdc_import VALUES (44014, '29/09/2020', '29', '9', '2020', '722', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '213.66132572');
INSERT INTO public.ecdc_import VALUES (44015, '28/09/2020', '28', '9', '2020', '447', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '207.46790253');
INSERT INTO public.ecdc_import VALUES (44016, '27/09/2020', '27', '9', '2020', '677', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '213.5200309');
INSERT INTO public.ecdc_import VALUES (44017, '26/09/2020', '26', '9', '2020', '705', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '214.32070158');
INSERT INTO public.ecdc_import VALUES (44018, '25/09/2020', '25', '9', '2020', '736', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '212.20127919');
INSERT INTO public.ecdc_import VALUES (44019, '24/09/2020', '24', '9', '2020', '706', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '210.71768352');
INSERT INTO public.ecdc_import VALUES (44020, '23/09/2020', '23', '9', '2020', '474', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '209.04569475');
INSERT INTO public.ecdc_import VALUES (44021, '22/09/2020', '22', '9', '2020', '607', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '217.40563861');
INSERT INTO public.ecdc_import VALUES (44022, '21/09/2020', '21', '9', '2020', '602', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '215.7101007');
INSERT INTO public.ecdc_import VALUES (44023, '20/09/2020', '20', '9', '2020', '722', '18', '4246440', 'Panama', 'PA', 'PAN', 'America', '218.91278341');
INSERT INTO public.ecdc_import VALUES (44024, '19/09/2020', '19', '9', '2020', '741', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '218.60664462');
INSERT INTO public.ecdc_import VALUES (44025, '18/09/2020', '18', '9', '2020', '672', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '217.2172455');
INSERT INTO public.ecdc_import VALUES (44026, '17/09/2020', '17', '9', '2020', '634', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '220.93800925');
INSERT INTO public.ecdc_import VALUES (44027, '16/09/2020', '16', '9', '2020', '628', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '218.53599721');
INSERT INTO public.ecdc_import VALUES (44028, '15/09/2020', '15', '9', '2020', '459', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '217.17014723');
INSERT INTO public.ecdc_import VALUES (44029, '14/09/2020', '14', '9', '2020', '704', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '227.95565226');
INSERT INTO public.ecdc_import VALUES (44030, '13/09/2020', '13', '9', '2020', '711', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '228.52083157');
INSERT INTO public.ecdc_import VALUES (44031, '12/09/2020', '12', '9', '2020', '615', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '228.56792984');
INSERT INTO public.ecdc_import VALUES (44032, '11/09/2020', '11', '9', '2020', '673', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '229.20375656');
INSERT INTO public.ecdc_import VALUES (44033, '10/09/2020', '10', '9', '2020', '635', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '234.5494108');
INSERT INTO public.ecdc_import VALUES (44034, '09/09/2020', '9', '9', '2020', '829', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '236.10365388');
INSERT INTO public.ecdc_import VALUES (44035, '08/09/2020', '8', '9', '2020', '535', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '237.68144611');
INSERT INTO public.ecdc_import VALUES (44036, '07/09/2020', '7', '9', '2020', '738', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '238.85890299');
INSERT INTO public.ecdc_import VALUES (44037, '06/09/2020', '6', '9', '2020', '709', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '254.91941485');
INSERT INTO public.ecdc_import VALUES (44038, '05/09/2020', '5', '9', '2020', '682', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '263.84453801');
INSERT INTO public.ecdc_import VALUES (44039, '04/09/2020', '4', '9', '2020', '830', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '260.42991306');
INSERT INTO public.ecdc_import VALUES (44040, '03/09/2020', '3', '9', '2020', '532', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '243.26259172');
INSERT INTO public.ecdc_import VALUES (44041, '02/09/2020', '2', '9', '2020', '570', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '253.43581918');
INSERT INTO public.ecdc_import VALUES (44042, '01/09/2020', '1', '9', '2020', '917', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '245.82944773');
INSERT INTO public.ecdc_import VALUES (44043, '31/08/2020', '31', '8', '2020', '728', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '238.43501851');
INSERT INTO public.ecdc_import VALUES (44044, '30/08/2020', '30', '8', '2020', '713', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '251.31639679');
INSERT INTO public.ecdc_import VALUES (44045, '29/08/2020', '29', '8', '2020', '642', '18', '4246440', 'Panama', 'PA', 'PAN', 'America', '264.26842249');
INSERT INTO public.ecdc_import VALUES (44046, '28/08/2020', '28', '8', '2020', '900', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '271.66285171');
INSERT INTO public.ecdc_import VALUES (44047, '27/08/2020', '27', '8', '2020', '701', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '275.64265597');
INSERT INTO public.ecdc_import VALUES (44048, '26/08/2020', '26', '8', '2020', '896', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '280.63507314');
INSERT INTO public.ecdc_import VALUES (44049, '25/08/2020', '25', '8', '2020', '585', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '284.73262309');
INSERT INTO public.ecdc_import VALUES (44050, '24/08/2020', '24', '8', '2020', '1420', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '292.19769972');
INSERT INTO public.ecdc_import VALUES (44051, '23/08/2020', '23', '8', '2020', '1088', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '278.56274903');
INSERT INTO public.ecdc_import VALUES (44052, '22/08/2020', '22', '8', '2020', '537', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '278.63339645');
INSERT INTO public.ecdc_import VALUES (44053, '21/08/2020', '21', '8', '2020', '101', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '292.88062471');
INSERT INTO public.ecdc_import VALUES (44054, '20/08/2020', '20', '8', '2020', '964', '18', '4246440', 'Panama', 'PA', 'PAN', 'America', '318.45498818');
INSERT INTO public.ecdc_import VALUES (44055, '19/08/2020', '19', '8', '2020', '247', '21', '4246440', 'Panama', 'PA', 'PAN', 'America', '314.75777357');
INSERT INTO public.ecdc_import VALUES (44056, '18/08/2020', '18', '8', '2020', '603', '21', '4246440', 'Panama', 'PA', 'PAN', 'America', '331.7367018');
INSERT INTO public.ecdc_import VALUES (44057, '17/08/2020', '17', '8', '2020', '1275', '21', '4246440', 'Panama', 'PA', 'PAN', 'America', '341.15635685');
INSERT INTO public.ecdc_import VALUES (44058, '16/08/2020', '16', '8', '2020', '1263', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '336.32878364');
INSERT INTO public.ecdc_import VALUES (44059, '15/08/2020', '15', '8', '2020', '956', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '333.12610092');
INSERT INTO public.ecdc_import VALUES (44060, '14/08/2020', '14', '8', '2020', '1069', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '335.69295692');
INSERT INTO public.ecdc_import VALUES (44061, '13/08/2020', '13', '8', '2020', '913', '23', '4246440', 'Panama', 'PA', 'PAN', 'America', '332.23123369');
INSERT INTO public.ecdc_import VALUES (44062, '12/08/2020', '12', '8', '2020', '1070', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '335.363269');
INSERT INTO public.ecdc_import VALUES (44063, '11/08/2020', '11', '8', '2020', '902', '25', '4246440', 'Panama', 'PA', 'PAN', 'America', '328.55756822');
INSERT INTO public.ecdc_import VALUES (44064, '10/08/2020', '10', '8', '2020', '841', '30', '4246440', 'Panama', 'PA', 'PAN', 'America', '334.3035578');
INSERT INTO public.ecdc_import VALUES (44065, '09/08/2020', '9', '8', '2020', '1091', '18', '4246440', 'Panama', 'PA', 'PAN', 'America', '348.22109814');
INSERT INTO public.ecdc_import VALUES (44066, '08/08/2020', '8', '8', '2020', '1142', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '343.04028786');
INSERT INTO public.ecdc_import VALUES (44067, '07/08/2020', '7', '8', '2020', '1187', '21', '4246440', 'Panama', 'PA', 'PAN', 'America', '343.84095854');
INSERT INTO public.ecdc_import VALUES (44068, '06/08/2020', '6', '8', '2020', '807', '31', '4246440', 'Panama', 'PA', 'PAN', 'America', '337.34139656');
INSERT INTO public.ecdc_import VALUES (44069, '05/08/2020', '5', '8', '2020', '968', '25', '4246440', 'Panama', 'PA', 'PAN', 'America', '336.06974313');
INSERT INTO public.ecdc_import VALUES (44070, '04/08/2020', '4', '8', '2020', '1003', '26', '4246440', 'Panama', 'PA', 'PAN', 'America', '330.39440096');
INSERT INTO public.ecdc_import VALUES (44071, '03/08/2020', '3', '8', '2020', '1070', '22', '4246440', 'Panama', 'PA', 'PAN', 'America', '329.33468976');
INSERT INTO public.ecdc_import VALUES (44072, '02/08/2020', '2', '8', '2020', '1127', '28', '4246440', 'Panama', 'PA', 'PAN', 'America', '332.56092162');
INSERT INTO public.ecdc_import VALUES (44073, '01/08/2020', '1', '8', '2020', '1065', '24', '4246440', 'Panama', 'PA', 'PAN', 'America', '326.10845791');
INSERT INTO public.ecdc_import VALUES (44074, '31/07/2020', '31', '7', '2020', '922', '23', '4246440', 'Panama', 'PA', 'PAN', 'America', '325.40198378');
INSERT INTO public.ecdc_import VALUES (44075, '30/07/2020', '30', '7', '2020', '1046', '25', '4246440', 'Panama', 'PA', 'PAN', 'America', '330.30020441');
INSERT INTO public.ecdc_import VALUES (44076, '29/07/2020', '29', '7', '2020', '781', '27', '4246440', 'Panama', 'PA', 'PAN', 'America', '332.67866731');
INSERT INTO public.ecdc_import VALUES (44077, '28/07/2020', '28', '7', '2020', '1146', '28', '4246440', 'Panama', 'PA', 'PAN', 'America', '336.02264485');
INSERT INTO public.ecdc_import VALUES (44078, '27/07/2020', '27', '7', '2020', '1432', '19', '4246440', 'Panama', 'PA', 'PAN', 'America', '345.30100508');
INSERT INTO public.ecdc_import VALUES (44079, '26/07/2020', '26', '7', '2020', '871', '25', '4246440', 'Panama', 'PA', 'PAN', 'America', '342.21606805');
INSERT INTO public.ecdc_import VALUES (44080, '25/07/2020', '25', '7', '2020', '1176', '41', '4246440', 'Panama', 'PA', 'PAN', 'America', '347.02009212');
INSERT INTO public.ecdc_import VALUES (44081, '24/07/2020', '24', '7', '2020', '911', '29', '4246440', 'Panama', 'PA', 'PAN', 'America', '343.84095854');
INSERT INTO public.ecdc_import VALUES (44082, '23/07/2020', '23', '7', '2020', '753', '21', '4246440', 'Panama', 'PA', 'PAN', 'America', '345.11261198');
INSERT INTO public.ecdc_import VALUES (44083, '22/07/2020', '22', '7', '2020', '727', '32', '4246440', 'Panama', 'PA', 'PAN', 'America', '349.98728347');
INSERT INTO public.ecdc_import VALUES (44084, '21/07/2020', '21', '7', '2020', '958', '31', '4246440', 'Panama', 'PA', 'PAN', 'America', '355.40358512');
INSERT INTO public.ecdc_import VALUES (44085, '20/07/2020', '20', '7', '2020', '1207', '25', '4246440', 'Panama', 'PA', 'PAN', 'America', '360.74923936');
INSERT INTO public.ecdc_import VALUES (44086, '19/07/2020', '19', '7', '2020', '853', '33', '4246440', 'Panama', 'PA', 'PAN', 'America', '359.78372472');
INSERT INTO public.ecdc_import VALUES (44087, '18/07/2020', '18', '7', '2020', '1035', '38', '4246440', 'Panama', 'PA', 'PAN', 'America', '362.9628583');
INSERT INTO public.ecdc_import VALUES (44088, '17/07/2020', '17', '7', '2020', '1130', '18', '4246440', 'Panama', 'PA', 'PAN', 'America', '356.43974718');
INSERT INTO public.ecdc_import VALUES (44089, '16/07/2020', '16', '7', '2020', '1147', '22', '4246440', 'Panama', 'PA', 'PAN', 'America', '348.05625418');
INSERT INTO public.ecdc_import VALUES (44090, '15/07/2020', '15', '7', '2020', '923', '28', '4246440', 'Panama', 'PA', 'PAN', 'America', '342.54575597');
INSERT INTO public.ecdc_import VALUES (44091, '14/07/2020', '14', '7', '2020', '1540', '23', '4246440', 'Panama', 'PA', 'PAN', 'America', '338.82499223');
INSERT INTO public.ecdc_import VALUES (44092, '13/07/2020', '13', '7', '2020', '1301', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '328.43982253');
INSERT INTO public.ecdc_import VALUES (44093, '12/07/2020', '12', '7', '2020', '1075', '30', '4246440', 'Panama', 'PA', 'PAN', 'America', '322.01090796');
INSERT INTO public.ecdc_import VALUES (44094, '11/07/2020', '11', '7', '2020', '1041', '24', '4246440', 'Panama', 'PA', 'PAN', 'America', '314.42808564');
INSERT INTO public.ecdc_import VALUES (44095, '10/07/2020', '10', '7', '2020', '965', '20', '4246440', 'Panama', 'PA', 'PAN', 'America', '310.35408483');
INSERT INTO public.ecdc_import VALUES (44096, '09/07/2020', '9', '7', '2020', '960', '20', '4246440', 'Panama', 'PA', 'PAN', 'America', '311.34314861');
INSERT INTO public.ecdc_import VALUES (44097, '08/07/2020', '8', '7', '2020', '957', '29', '4246440', 'Panama', 'PA', 'PAN', 'America', '305.59715903');
INSERT INTO public.ecdc_import VALUES (44098, '07/07/2020', '7', '7', '2020', '1185', '23', '4246440', 'Panama', 'PA', 'PAN', 'America', '296.29524967');
INSERT INTO public.ecdc_import VALUES (44099, '06/07/2020', '6', '7', '2020', '1166', '27', '4246440', 'Panama', 'PA', 'PAN', 'America', '285.39199894');
INSERT INTO public.ecdc_import VALUES (44100, '05/07/2020', '5', '7', '2020', '988', '22', '4246440', 'Panama', 'PA', 'PAN', 'America', '276.96140767');
INSERT INTO public.ecdc_import VALUES (44101, '04/07/2020', '4', '7', '2020', '758', '31', '4246440', 'Panama', 'PA', 'PAN', 'America', '276.01944217');
INSERT INTO public.ecdc_import VALUES (44102, '03/07/2020', '3', '7', '2020', '774', '22', '4246440', 'Panama', 'PA', 'PAN', 'America', '279.90504988');
INSERT INTO public.ecdc_import VALUES (44103, '02/07/2020', '2', '7', '2020', '913', '14', '4246440', 'Panama', 'PA', 'PAN', 'America', '279.43406712');
INSERT INTO public.ecdc_import VALUES (44104, '01/07/2020', '1', '7', '2020', '765', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '272.88740686');
INSERT INTO public.ecdc_import VALUES (44105, '30/06/2020', '30', '6', '2020', '1099', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '267.5888509');
INSERT INTO public.ecdc_import VALUES (44106, '29/06/2020', '29', '6', '2020', '1028', '12', '4246440', 'Panama', 'PA', 'PAN', 'America', '259.04051394');
INSERT INTO public.ecdc_import VALUES (44107, '28/06/2020', '28', '6', '2020', '753', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '249.59730975');
INSERT INTO public.ecdc_import VALUES (44108, '27/06/2020', '27', '6', '2020', '868', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '251.83447782');
INSERT INTO public.ecdc_import VALUES (44109, '26/06/2020', '26', '6', '2020', '1007', '17', '4246440', 'Panama', 'PA', 'PAN', 'America', '246.11203738');
INSERT INTO public.ecdc_import VALUES (44110, '25/06/2020', '25', '6', '2020', '716', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '238.81180471');
INSERT INTO public.ecdc_import VALUES (44111, '24/06/2020', '24', '6', '2020', '562', '15', '4246440', 'Panama', 'PA', 'PAN', 'America', '237.39885645');
INSERT INTO public.ecdc_import VALUES (44112, '23/06/2020', '23', '6', '2020', '722', '20', '4246440', 'Panama', 'PA', 'PAN', 'America', '233.08936427');
INSERT INTO public.ecdc_import VALUES (44113, '22/06/2020', '22', '6', '2020', '808', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '226.18946694');
INSERT INTO public.ecdc_import VALUES (44114, '21/06/2020', '21', '6', '2020', '948', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '217.07595068');
INSERT INTO public.ecdc_import VALUES (44115, '20/06/2020', '20', '6', '2020', '923', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '207.49145166');
INSERT INTO public.ecdc_import VALUES (44116, '19/06/2020', '19', '6', '2020', '754', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '195.6226863');
INSERT INTO public.ecdc_import VALUES (44117, '18/06/2020', '18', '6', '2020', '635', '13', '4246440', 'Panama', 'PA', 'PAN', 'America', '188.11051139');
INSERT INTO public.ecdc_import VALUES (44118, '17/06/2020', '17', '6', '2020', '540', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '185.26106574');
INSERT INTO public.ecdc_import VALUES (44119, '16/06/2020', '16', '6', '2020', '736', '11', '4246440', 'Panama', 'PA', 'PAN', 'America', '178.62020893');
INSERT INTO public.ecdc_import VALUES (44120, '15/06/2020', '15', '6', '2020', '627', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '170.09542111');
INSERT INTO public.ecdc_import VALUES (44121, '14/06/2020', '14', '6', '2020', '848', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '165.80947806');
INSERT INTO public.ecdc_import VALUES (44122, '13/06/2020', '13', '6', '2020', '625', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '157.30823937');
INSERT INTO public.ecdc_import VALUES (44123, '12/06/2020', '12', '6', '2020', '697', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '152.00968341');
INSERT INTO public.ecdc_import VALUES (44124, '11/06/2020', '11', '6', '2020', '656', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '145.08623694');
INSERT INTO public.ecdc_import VALUES (44125, '10/06/2020', '10', '6', '2020', '379', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '136.25531033');
INSERT INTO public.ecdc_import VALUES (44126, '09/06/2020', '9', '6', '2020', '429', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '133.5471595');
INSERT INTO public.ecdc_import VALUES (44127, '08/06/2020', '8', '6', '2020', '421', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '129.49670783');
INSERT INTO public.ecdc_import VALUES (44128, '07/06/2020', '7', '6', '2020', '541', '16', '4246440', 'Panama', 'PA', 'PAN', 'America', '127.80116992');
INSERT INTO public.ecdc_import VALUES (44129, '06/06/2020', '6', '6', '2020', '419', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '122.36131913');
INSERT INTO public.ecdc_import VALUES (44130, '05/06/2020', '5', '6', '2020', '435', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '116.05015024');
INSERT INTO public.ecdc_import VALUES (44131, '04/06/2020', '4', '6', '2020', '514', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '109.0796055');
INSERT INTO public.ecdc_import VALUES (44132, '03/06/2020', '3', '6', '2020', '258', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '99.5657539');
INSERT INTO public.ecdc_import VALUES (44133, '02/06/2020', '2', '6', '2020', '374', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '96.8105048');
INSERT INTO public.ecdc_import VALUES (44134, '01/06/2020', '1', '6', '2020', '445', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '90.82902384');
INSERT INTO public.ecdc_import VALUES (44135, '31/05/2020', '31', '5', '2020', '487', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '84.0468722');
INSERT INTO public.ecdc_import VALUES (44136, '30/05/2020', '30', '5', '2020', '400', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '76.84083609');
INSERT INTO public.ecdc_import VALUES (44137, '29/05/2020', '29', '5', '2020', '403', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '70.95355168');
INSERT INTO public.ecdc_import VALUES (44138, '28/05/2020', '28', '5', '2020', '281', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '65.56079916');
INSERT INTO public.ecdc_import VALUES (44139, '27/05/2020', '27', '5', '2020', '264', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '62.73490265');
INSERT INTO public.ecdc_import VALUES (44140, '26/05/2020', '26', '5', '2020', '257', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.4506363');
INSERT INTO public.ecdc_import VALUES (44141, '25/05/2020', '25', '5', '2020', '349', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '58.35476305');
INSERT INTO public.ecdc_import VALUES (44142, '24/05/2020', '24', '5', '2020', '310', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '54.04527086');
INSERT INTO public.ecdc_import VALUES (44143, '23/05/2020', '23', '5', '2020', '151', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '51.73745537');
INSERT INTO public.ecdc_import VALUES (44144, '22/05/2020', '22', '5', '2020', '139', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '52.93846139');
INSERT INTO public.ecdc_import VALUES (44145, '21/05/2020', '21', '5', '2020', '110', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '52.89136312');
INSERT INTO public.ecdc_import VALUES (44146, '20/05/2020', '20', '5', '2020', '141', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '55.19917861');
INSERT INTO public.ecdc_import VALUES (44147, '19/05/2020', '19', '5', '2020', '120', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '55.08143292');
INSERT INTO public.ecdc_import VALUES (44148, '18/05/2020', '18', '5', '2020', '157', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '56.72987255');
INSERT INTO public.ecdc_import VALUES (44149, '17/05/2020', '17', '5', '2020', '181', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '55.55241567');
INSERT INTO public.ecdc_import VALUES (44150, '16/05/2020', '16', '5', '2020', '150', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.00320268');
INSERT INTO public.ecdc_import VALUES (44151, '15/05/2020', '15', '5', '2020', '174', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.89806991');
INSERT INTO public.ecdc_import VALUES (44152, '14/05/2020', '14', '5', '2020', '161', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.42708716');
INSERT INTO public.ecdc_import VALUES (44153, '13/05/2020', '13', '5', '2020', '167', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.8274225');
INSERT INTO public.ecdc_import VALUES (44154, '12/05/2020', '12', '5', '2020', '168', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '61.11001215');
INSERT INTO public.ecdc_import VALUES (44155, '11/05/2020', '11', '5', '2020', '166', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '62.85264834');
INSERT INTO public.ecdc_import VALUES (44156, '10/05/2020', '10', '5', '2020', '212', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '64.61883366');
INSERT INTO public.ecdc_import VALUES (44157, '09/05/2020', '9', '5', '2020', '202', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '64.33624401');
INSERT INTO public.ecdc_import VALUES (44158, '08/05/2020', '8', '5', '2020', '137', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '63.62976988');
INSERT INTO public.ecdc_import VALUES (44159, '07/05/2020', '7', '5', '2020', '208', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '64.50108797');
INSERT INTO public.ecdc_import VALUES (44160, '06/05/2020', '6', '5', '2020', '136', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '63.62976988');
INSERT INTO public.ecdc_import VALUES (44161, '05/05/2020', '5', '5', '2020', '190', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '64.26559659');
INSERT INTO public.ecdc_import VALUES (44162, '04/05/2020', '4', '5', '2020', '107', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '64.28914573');
INSERT INTO public.ecdc_import VALUES (44163, '03/05/2020', '3', '5', '2020', '370', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '66.33792071');
INSERT INTO public.ecdc_import VALUES (44164, '02/05/2020', '2', '5', '2020', '188', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '59.10833545');
INSERT INTO public.ecdc_import VALUES (44165, '01/05/2020', '1', '5', '2020', '154', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '59.24963028');
INSERT INTO public.ecdc_import VALUES (44166, '30/04/2020', '30', '4', '2020', '178', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '61.86358456');
INSERT INTO public.ecdc_import VALUES (44167, '29/04/2020', '29', '4', '2020', '179', '9', '4246440', 'Panama', 'PA', 'PAN', 'America', '61.84003542');
INSERT INTO public.ecdc_import VALUES (44168, '28/04/2020', '28', '4', '2020', '242', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.02675182');
INSERT INTO public.ecdc_import VALUES (44169, '27/04/2020', '27', '4', '2020', '241', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '56.02339842');
INSERT INTO public.ecdc_import VALUES (44170, '26/04/2020', '26', '4', '2020', '200', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '54.2572131');
INSERT INTO public.ecdc_import VALUES (44171, '25/04/2020', '25', '4', '2020', '172', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '55.67016136');
INSERT INTO public.ecdc_import VALUES (44172, '24/04/2020', '24', '4', '2020', '174', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '56.84761824');
INSERT INTO public.ecdc_import VALUES (44173, '23/04/2020', '23', '4', '2020', '171', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '58.02507512');
INSERT INTO public.ecdc_import VALUES (44174, '22/04/2020', '22', '4', '2020', '163', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.56838199');
INSERT INTO public.ecdc_import VALUES (44175, '21/04/2020', '21', '4', '2020', '191', '10', '4246440', 'Panama', 'PA', 'PAN', 'America', '60.23869406');
INSERT INTO public.ecdc_import VALUES (44176, '20/04/2020', '20', '4', '2020', '194', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '58.37831219');
INSERT INTO public.ecdc_import VALUES (44177, '19/04/2020', '19', '4', '2020', '63', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '58.21346822');
INSERT INTO public.ecdc_import VALUES (44178, '18/04/2020', '18', '4', '2020', '194', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '59.74416217');
INSERT INTO public.ecdc_import VALUES (44179, '17/04/2020', '17', '4', '2020', '265', '6', '4246440', 'Panama', 'PA', 'PAN', 'America', '59.83835872');
INSERT INTO public.ecdc_import VALUES (44180, '16/04/2020', '16', '4', '2020', '177', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '57.31860099');
INSERT INTO public.ecdc_import VALUES (44181, '15/04/2020', '15', '4', '2020', '102', '1', '4246440', 'Panama', 'PA', 'PAN', 'America', '56.35308635');
INSERT INTO public.ecdc_import VALUES (44182, '14/04/2020', '14', '4', '2020', '72', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '56.4472829');
INSERT INTO public.ecdc_import VALUES (44183, '13/04/2020', '13', '4', '2020', '166', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '56.77697083');
INSERT INTO public.ecdc_import VALUES (44184, '12/04/2020', '12', '4', '2020', '260', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '54.94013809');
INSERT INTO public.ecdc_import VALUES (44185, '11/04/2020', '11', '4', '2020', '222', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '51.52551314');
INSERT INTO public.ecdc_import VALUES (44186, '10/04/2020', '10', '4', '2020', '224', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '48.935108');
INSERT INTO public.ecdc_import VALUES (44187, '09/04/2020', '9', '4', '2020', '279', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '45.685327');
INSERT INTO public.ecdc_import VALUES (44188, '08/04/2020', '8', '4', '2020', '149', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '42.52974256');
INSERT INTO public.ecdc_import VALUES (44189, '07/04/2020', '7', '4', '2020', '112', '1', '4246440', 'Panama', 'PA', 'PAN', 'America', '41.32873654');
INSERT INTO public.ecdc_import VALUES (44190, '06/04/2020', '6', '4', '2020', '187', '8', '4246440', 'Panama', 'PA', 'PAN', 'America', '39.44480553');
INSERT INTO public.ecdc_import VALUES (44191, '05/04/2020', '5', '4', '2020', '128', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '36.64245815');
INSERT INTO public.ecdc_import VALUES (44192, '04/04/2020', '4', '4', '2020', '198', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '34.68787973');
INSERT INTO public.ecdc_import VALUES (44193, '03/04/2020', '3', '4', '2020', '158', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '31.50874615');
INSERT INTO public.ecdc_import VALUES (44194, '02/04/2020', '2', '4', '2020', '136', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '28.44735826');
INSERT INTO public.ecdc_import VALUES (44195, '01/04/2020', '1', '4', '2020', '106', '4', '4246440', 'Panama', 'PA', 'PAN', 'America', '25.78630571');
INSERT INTO public.ecdc_import VALUES (44196, '31/03/2020', '31', '3', '2020', '86', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '23.69043246');
INSERT INTO public.ecdc_import VALUES (44197, '30/03/2020', '30', '3', '2020', '88', '7', '4246440', 'Panama', 'PA', 'PAN', 'America', '22.2774842');
INSERT INTO public.ecdc_import VALUES (44198, '29/03/2020', '29', '3', '2020', '115', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '20.20516009');
INSERT INTO public.ecdc_import VALUES (44199, '28/03/2020', '28', '3', '2020', '112', '5', '4246440', 'Panama', 'PA', 'PAN', 'America', '17.66185322');
INSERT INTO public.ecdc_import VALUES (44200, '27/03/2020', '27', '3', '2020', '86', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '15.23629205');
INSERT INTO public.ecdc_import VALUES (44201, '26/03/2020', '26', '3', '2020', '145', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '13.517205');
INSERT INTO public.ecdc_import VALUES (44202, '25/03/2020', '25', '3', '2020', '98', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '10.26742401');
INSERT INTO public.ecdc_import VALUES (44203, '24/03/2020', '24', '3', '2020', '32', '3', '4246440', 'Panama', 'PA', 'PAN', 'America', '8.10090334');
INSERT INTO public.ecdc_import VALUES (44204, '23/03/2020', '23', '3', '2020', '68', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '7.37088008');
INSERT INTO public.ecdc_import VALUES (44205, '22/03/2020', '22', '3', '2020', '45', '2', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44206, '21/03/2020', '21', '3', '2020', '63', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44207, '20/03/2020', '20', '3', '2020', '28', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44208, '19/03/2020', '19', '3', '2020', '23', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44209, '18/03/2020', '18', '3', '2020', '17', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44210, '17/03/2020', '17', '3', '2020', '26', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44211, '16/03/2020', '16', '3', '2020', '0', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44212, '15/03/2020', '15', '3', '2020', '7', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44213, '14/03/2020', '14', '3', '2020', '9', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44214, '13/03/2020', '13', '3', '2020', '13', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44215, '12/03/2020', '12', '3', '2020', '7', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44216, '11/03/2020', '11', '3', '2020', '6', '1', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44217, '10/03/2020', '10', '3', '2020', '1', '0', '4246440', 'Panama', 'PA', 'PAN', 'America', '');
INSERT INTO public.ecdc_import VALUES (44218, '14/12/2020', '14', '12', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.79761908');
INSERT INTO public.ecdc_import VALUES (44219, '13/12/2020', '13', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.85459188');
INSERT INTO public.ecdc_import VALUES (44220, '12/12/2020', '12', '12', '2020', '36', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.85459188');
INSERT INTO public.ecdc_import VALUES (44221, '11/12/2020', '11', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.44438778');
INSERT INTO public.ecdc_import VALUES (44222, '10/12/2020', '10', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.61530615');
INSERT INTO public.ecdc_import VALUES (44223, '09/12/2020', '9', '12', '2020', '13', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.8204082');
INSERT INTO public.ecdc_import VALUES (44224, '08/12/2020', '8', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.76343541');
INSERT INTO public.ecdc_import VALUES (44225, '07/12/2020', '7', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.76343541');
INSERT INTO public.ecdc_import VALUES (44226, '06/12/2020', '6', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.76343541');
INSERT INTO public.ecdc_import VALUES (44227, '05/12/2020', '5', '12', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.76343541');
INSERT INTO public.ecdc_import VALUES (44228, '04/12/2020', '4', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.74064629');
INSERT INTO public.ecdc_import VALUES (44229, '03/12/2020', '3', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.74064629');
INSERT INTO public.ecdc_import VALUES (44230, '02/12/2020', '2', '12', '2020', '14', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.76343541');
INSERT INTO public.ecdc_import VALUES (44231, '01/12/2020', '1', '12', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.60391159');
INSERT INTO public.ecdc_import VALUES (44232, '30/11/2020', '30', '11', '2020', '10', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.62670071');
INSERT INTO public.ecdc_import VALUES (44233, '29/11/2020', '29', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.51275513');
INSERT INTO public.ecdc_import VALUES (44234, '28/11/2020', '28', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.51275513');
INSERT INTO public.ecdc_import VALUES (44235, '27/11/2020', '27', '11', '2020', '15', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.52414968');
INSERT INTO public.ecdc_import VALUES (44236, '26/11/2020', '26', '11', '2020', '18', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.35323131');
INSERT INTO public.ecdc_import VALUES (44237, '25/11/2020', '25', '11', '2020', '8', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.14812926');
INSERT INTO public.ecdc_import VALUES (44238, '24/11/2020', '24', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.05697279');
INSERT INTO public.ecdc_import VALUES (44239, '23/11/2020', '23', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.07976191');
INSERT INTO public.ecdc_import VALUES (44240, '22/11/2020', '22', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.07976191');
INSERT INTO public.ecdc_import VALUES (44241, '21/11/2020', '21', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.07976191');
INSERT INTO public.ecdc_import VALUES (44242, '20/11/2020', '20', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.07976191');
INSERT INTO public.ecdc_import VALUES (44243, '19/11/2020', '19', '11', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.07976191');
INSERT INTO public.ecdc_import VALUES (44244, '18/11/2020', '18', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.05697279');
INSERT INTO public.ecdc_import VALUES (44245, '17/11/2020', '17', '11', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.1367347');
INSERT INTO public.ecdc_import VALUES (44246, '16/11/2020', '16', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.11394558');
INSERT INTO public.ecdc_import VALUES (44247, '15/11/2020', '15', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44248, '14/11/2020', '14', '11', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44249, '13/11/2020', '13', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.11394558');
INSERT INTO public.ecdc_import VALUES (44250, '12/11/2020', '12', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44251, '11/11/2020', '11', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44252, '10/11/2020', '10', '11', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44253, '09/11/2020', '9', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.10255103');
INSERT INTO public.ecdc_import VALUES (44254, '08/11/2020', '8', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.15952382');
INSERT INTO public.ecdc_import VALUES (44255, '07/11/2020', '7', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.15952382');
INSERT INTO public.ecdc_import VALUES (44256, '06/11/2020', '6', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.15952382');
INSERT INTO public.ecdc_import VALUES (44257, '05/11/2020', '5', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.15952382');
INSERT INTO public.ecdc_import VALUES (44258, '04/11/2020', '4', '11', '2020', '7', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.18231293');
INSERT INTO public.ecdc_import VALUES (44259, '03/11/2020', '3', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.10255103');
INSERT INTO public.ecdc_import VALUES (44260, '02/11/2020', '2', '11', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.10255103');
INSERT INTO public.ecdc_import VALUES (44261, '01/11/2020', '1', '11', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.09115647');
INSERT INTO public.ecdc_import VALUES (44262, '31/10/2020', '31', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44263, '30/10/2020', '30', '10', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.12534014');
INSERT INTO public.ecdc_import VALUES (44264, '29/10/2020', '29', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.11394558');
INSERT INTO public.ecdc_import VALUES (44265, '28/10/2020', '28', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.14812926');
INSERT INTO public.ecdc_import VALUES (44266, '27/10/2020', '27', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.26207484');
INSERT INTO public.ecdc_import VALUES (44267, '26/10/2020', '26', '10', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.38741498');
INSERT INTO public.ecdc_import VALUES (44268, '25/10/2020', '25', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.38741498');
INSERT INTO public.ecdc_import VALUES (44269, '24/10/2020', '24', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.38741498');
INSERT INTO public.ecdc_import VALUES (44270, '23/10/2020', '23', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.38741498');
INSERT INTO public.ecdc_import VALUES (44271, '22/10/2020', '22', '10', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.47857145');
INSERT INTO public.ecdc_import VALUES (44272, '21/10/2020', '21', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.45578233');
INSERT INTO public.ecdc_import VALUES (44273, '20/10/2020', '20', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.45578233');
INSERT INTO public.ecdc_import VALUES (44274, '19/10/2020', '19', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.46717689');
INSERT INTO public.ecdc_import VALUES (44275, '18/10/2020', '18', '10', '2020', '3', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.46717689');
INSERT INTO public.ecdc_import VALUES (44276, '17/10/2020', '17', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.44438778');
INSERT INTO public.ecdc_import VALUES (44277, '16/10/2020', '16', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.44438778');
INSERT INTO public.ecdc_import VALUES (44278, '15/10/2020', '15', '10', '2020', '3', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.50136057');
INSERT INTO public.ecdc_import VALUES (44279, '14/10/2020', '14', '10', '2020', '10', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.46717689');
INSERT INTO public.ecdc_import VALUES (44280, '13/10/2020', '13', '10', '2020', '11', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.37602043');
INSERT INTO public.ecdc_import VALUES (44281, '12/10/2020', '12', '10', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.25068028');
INSERT INTO public.ecdc_import VALUES (44282, '11/10/2020', '11', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.19370749');
INSERT INTO public.ecdc_import VALUES (44283, '10/10/2020', '10', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.19370749');
INSERT INTO public.ecdc_import VALUES (44284, '09/10/2020', '9', '10', '2020', '8', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.20510205');
INSERT INTO public.ecdc_import VALUES (44285, '08/10/2020', '8', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.11394558');
INSERT INTO public.ecdc_import VALUES (44286, '07/10/2020', '7', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.15952382');
INSERT INTO public.ecdc_import VALUES (44287, '06/10/2020', '6', '10', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.17091838');
INSERT INTO public.ecdc_import VALUES (44288, '05/10/2020', '5', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.26207484');
INSERT INTO public.ecdc_import VALUES (44289, '04/10/2020', '4', '10', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.2734694');
INSERT INTO public.ecdc_import VALUES (44290, '03/10/2020', '3', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.26207484');
INSERT INTO public.ecdc_import VALUES (44291, '02/10/2020', '2', '10', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.26207484');
INSERT INTO public.ecdc_import VALUES (44292, '01/10/2020', '1', '10', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.20510205');
INSERT INTO public.ecdc_import VALUES (44293, '30/09/2020', '30', '9', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.26207484');
INSERT INTO public.ecdc_import VALUES (44294, '29/09/2020', '29', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.23928573');
INSERT INTO public.ecdc_import VALUES (44295, '28/09/2020', '28', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.23928573');
INSERT INTO public.ecdc_import VALUES (44296, '27/09/2020', '27', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.25068028');
INSERT INTO public.ecdc_import VALUES (44297, '26/09/2020', '26', '9', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.28486396');
INSERT INTO public.ecdc_import VALUES (44298, '25/09/2020', '25', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.2734694');
INSERT INTO public.ecdc_import VALUES (44299, '24/09/2020', '24', '9', '2020', '4', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.30765308');
INSERT INTO public.ecdc_import VALUES (44300, '23/09/2020', '23', '9', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.2734694');
INSERT INTO public.ecdc_import VALUES (44301, '22/09/2020', '22', '9', '2020', '9', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.33044219');
INSERT INTO public.ecdc_import VALUES (44302, '21/09/2020', '21', '9', '2020', '1', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.22789117');
INSERT INTO public.ecdc_import VALUES (44303, '20/09/2020', '20', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.31904763');
INSERT INTO public.ecdc_import VALUES (44304, '19/09/2020', '19', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.51275513');
INSERT INTO public.ecdc_import VALUES (44305, '18/09/2020', '18', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.51275513');
INSERT INTO public.ecdc_import VALUES (44306, '17/09/2020', '17', '9', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.51275513');
INSERT INTO public.ecdc_import VALUES (44307, '16/09/2020', '16', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.58112248');
INSERT INTO public.ecdc_import VALUES (44308, '15/09/2020', '15', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.59251703');
INSERT INTO public.ecdc_import VALUES (44309, '14/09/2020', '14', '9', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.59251703');
INSERT INTO public.ecdc_import VALUES (44310, '13/09/2020', '13', '9', '2020', '3', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.58112248');
INSERT INTO public.ecdc_import VALUES (44311, '12/09/2020', '12', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.61530615');
INSERT INTO public.ecdc_import VALUES (44312, '11/09/2020', '11', '9', '2020', '3', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.94574834');
INSERT INTO public.ecdc_import VALUES (44313, '10/09/2020', '10', '9', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.96853746');
INSERT INTO public.ecdc_import VALUES (44314, '09/09/2020', '9', '9', '2020', '6', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.9571429');
INSERT INTO public.ecdc_import VALUES (44315, '08/09/2020', '8', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.0938776');
INSERT INTO public.ecdc_import VALUES (44316, '07/09/2020', '7', '9', '2020', '9', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.0938776');
INSERT INTO public.ecdc_import VALUES (44317, '06/09/2020', '6', '9', '2020', '17', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.44710891');
INSERT INTO public.ecdc_import VALUES (44318, '05/09/2020', '5', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.25340142');
INSERT INTO public.ecdc_import VALUES (44319, '04/09/2020', '4', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.25340142');
INSERT INTO public.ecdc_import VALUES (44320, '03/09/2020', '3', '9', '2020', '11', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.27619053');
INSERT INTO public.ecdc_import VALUES (44321, '02/09/2020', '2', '9', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.28758509');
INSERT INTO public.ecdc_import VALUES (44322, '01/09/2020', '1', '9', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.43571435');
INSERT INTO public.ecdc_import VALUES (44323, '31/08/2020', '31', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.54965994');
INSERT INTO public.ecdc_import VALUES (44324, '30/08/2020', '30', '8', '2020', '6', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.14217697');
INSERT INTO public.ecdc_import VALUES (44325, '29/08/2020', '29', '8', '2020', '29', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.07380962');
INSERT INTO public.ecdc_import VALUES (44326, '28/08/2020', '28', '8', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.74336743');
INSERT INTO public.ecdc_import VALUES (44327, '27/08/2020', '27', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.70918375');
INSERT INTO public.ecdc_import VALUES (44328, '26/08/2020', '26', '8', '2020', '18', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.33588446');
INSERT INTO public.ecdc_import VALUES (44329, '25/08/2020', '25', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.13078241');
INSERT INTO public.ecdc_import VALUES (44330, '24/08/2020', '24', '8', '2020', '40', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.13078241');
INSERT INTO public.ecdc_import VALUES (44331, '23/08/2020', '23', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.97125859');
INSERT INTO public.ecdc_import VALUES (44332, '22/08/2020', '22', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.97125859');
INSERT INTO public.ecdc_import VALUES (44333, '21/08/2020', '21', '8', '2020', '2', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.25612255');
INSERT INTO public.ecdc_import VALUES (44334, '20/08/2020', '20', '8', '2020', '12', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.34727902');
INSERT INTO public.ecdc_import VALUES (44335, '19/08/2020', '19', '8', '2020', '14', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.65493209');
INSERT INTO public.ecdc_import VALUES (44336, '18/08/2020', '18', '8', '2020', '10', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.52959195');
INSERT INTO public.ecdc_import VALUES (44337, '17/08/2020', '17', '8', '2020', '52', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.42704093');
INSERT INTO public.ecdc_import VALUES (44338, '16/08/2020', '16', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.0510205');
INSERT INTO public.ecdc_import VALUES (44339, '15/08/2020', '15', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.26751711');
INSERT INTO public.ecdc_import VALUES (44340, '14/08/2020', '14', '8', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.26751711');
INSERT INTO public.ecdc_import VALUES (44418, '28/05/2020', '28', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44341, '13/08/2020', '13', '8', '2020', '55', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '2.34727902');
INSERT INTO public.ecdc_import VALUES (44342, '12/08/2020', '12', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.72057831');
INSERT INTO public.ecdc_import VALUES (44343, '11/08/2020', '11', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.73197287');
INSERT INTO public.ecdc_import VALUES (44344, '10/08/2020', '10', '8', '2020', '26', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.73197287');
INSERT INTO public.ecdc_import VALUES (44345, '09/08/2020', '9', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.69778919');
INSERT INTO public.ecdc_import VALUES (44346, '08/08/2020', '8', '8', '2020', '25', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.7775511');
INSERT INTO public.ecdc_import VALUES (44347, '07/08/2020', '7', '8', '2020', '10', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.5040817');
INSERT INTO public.ecdc_import VALUES (44348, '06/08/2020', '6', '8', '2020', '39', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.40153068');
INSERT INTO public.ecdc_import VALUES (44349, '05/08/2020', '5', '8', '2020', '3', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.99132658');
INSERT INTO public.ecdc_import VALUES (44350, '04/08/2020', '4', '8', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.04829937');
INSERT INTO public.ecdc_import VALUES (44351, '03/08/2020', '3', '8', '2020', '19', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '1.05969393');
INSERT INTO public.ecdc_import VALUES (44352, '02/08/2020', '2', '8', '2020', '19', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.86598643');
INSERT INTO public.ecdc_import VALUES (44353, '01/08/2020', '1', '8', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.64948983');
INSERT INTO public.ecdc_import VALUES (44354, '31/07/2020', '31', '7', '2020', '9', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.69506806');
INSERT INTO public.ecdc_import VALUES (44355, '30/07/2020', '30', '7', '2020', '0', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.59251703');
INSERT INTO public.ecdc_import VALUES (44356, '29/07/2020', '29', '7', '2020', '1', '1', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.59251703');
INSERT INTO public.ecdc_import VALUES (44357, '28/07/2020', '28', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.58112248');
INSERT INTO public.ecdc_import VALUES (44358, '27/07/2020', '27', '7', '2020', '23', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.58112248');
INSERT INTO public.ecdc_import VALUES (44359, '26/07/2020', '26', '7', '2020', '7', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.31904763');
INSERT INTO public.ecdc_import VALUES (44360, '25/07/2020', '25', '7', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.23928573');
INSERT INTO public.ecdc_import VALUES (44361, '24/07/2020', '24', '7', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.22789117');
INSERT INTO public.ecdc_import VALUES (44362, '23/07/2020', '23', '7', '2020', '3', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.21649661');
INSERT INTO public.ecdc_import VALUES (44363, '22/07/2020', '22', '7', '2020', '8', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.18231293');
INSERT INTO public.ecdc_import VALUES (44364, '21/07/2020', '21', '7', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.09115647');
INSERT INTO public.ecdc_import VALUES (44365, '20/07/2020', '20', '7', '2020', '2', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44366, '19/07/2020', '19', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.04557823');
INSERT INTO public.ecdc_import VALUES (44367, '18/07/2020', '18', '7', '2020', '4', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.04557823');
INSERT INTO public.ecdc_import VALUES (44368, '17/07/2020', '17', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44369, '16/07/2020', '16', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44370, '15/07/2020', '15', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44371, '14/07/2020', '14', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44372, '13/07/2020', '13', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44373, '12/07/2020', '12', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44374, '11/07/2020', '11', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44375, '10/07/2020', '10', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44376, '09/07/2020', '9', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44377, '08/07/2020', '8', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.02278912');
INSERT INTO public.ecdc_import VALUES (44378, '07/07/2020', '7', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.02278912');
INSERT INTO public.ecdc_import VALUES (44379, '06/07/2020', '6', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.02278912');
INSERT INTO public.ecdc_import VALUES (44380, '05/07/2020', '5', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44381, '04/07/2020', '4', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44382, '03/07/2020', '3', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44383, '02/07/2020', '2', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44384, '01/07/2020', '1', '7', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44385, '30/06/2020', '30', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44386, '29/06/2020', '29', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44387, '28/06/2020', '28', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44388, '27/06/2020', '27', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44389, '26/06/2020', '26', '6', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.03418368');
INSERT INTO public.ecdc_import VALUES (44390, '25/06/2020', '25', '6', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.02278912');
INSERT INTO public.ecdc_import VALUES (44391, '24/06/2020', '24', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44392, '23/06/2020', '23', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44393, '22/06/2020', '22', '6', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44394, '21/06/2020', '21', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44395, '20/06/2020', '20', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44396, '19/06/2020', '19', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44397, '18/06/2020', '18', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44398, '17/06/2020', '17', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44399, '16/06/2020', '16', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44400, '15/06/2020', '15', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44401, '14/06/2020', '14', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44402, '13/06/2020', '13', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44403, '12/06/2020', '12', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44404, '11/06/2020', '11', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44405, '10/06/2020', '10', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44406, '09/06/2020', '9', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44407, '08/06/2020', '8', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44408, '07/06/2020', '7', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44409, '06/06/2020', '6', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44410, '05/06/2020', '5', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44411, '04/06/2020', '4', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44412, '03/06/2020', '3', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44413, '02/06/2020', '2', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44414, '01/06/2020', '1', '6', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44415, '31/05/2020', '31', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44416, '30/05/2020', '30', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44417, '29/05/2020', '29', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44419, '27/05/2020', '27', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44420, '26/05/2020', '26', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44421, '25/05/2020', '25', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44422, '24/05/2020', '24', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44423, '23/05/2020', '23', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44424, '22/05/2020', '22', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44425, '21/05/2020', '21', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44426, '20/05/2020', '20', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44427, '19/05/2020', '19', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44428, '18/05/2020', '18', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44429, '17/05/2020', '17', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44430, '16/05/2020', '16', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44431, '15/05/2020', '15', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44432, '14/05/2020', '14', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44433, '13/05/2020', '13', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44434, '12/05/2020', '12', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44435, '11/05/2020', '11', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44436, '10/05/2020', '10', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44437, '09/05/2020', '9', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44438, '08/05/2020', '8', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44439, '07/05/2020', '7', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44440, '06/05/2020', '6', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44441, '05/05/2020', '5', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44442, '04/05/2020', '4', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44443, '03/05/2020', '3', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44444, '02/05/2020', '2', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44445, '01/05/2020', '1', '5', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44446, '30/04/2020', '30', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44447, '29/04/2020', '29', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44448, '28/04/2020', '28', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44449, '27/04/2020', '27', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44450, '26/04/2020', '26', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44451, '25/04/2020', '25', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44452, '24/04/2020', '24', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44453, '23/04/2020', '23', '4', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44454, '22/04/2020', '22', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.05697279');
INSERT INTO public.ecdc_import VALUES (44455, '21/04/2020', '21', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44456, '20/04/2020', '20', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44457, '19/04/2020', '19', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44458, '18/04/2020', '18', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44459, '17/04/2020', '17', '4', '2020', '5', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.06836735');
INSERT INTO public.ecdc_import VALUES (44460, '16/04/2020', '16', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44461, '15/04/2020', '15', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44462, '14/04/2020', '14', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44463, '13/04/2020', '13', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44464, '12/04/2020', '12', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44465, '11/04/2020', '11', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44466, '10/04/2020', '10', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44467, '09/04/2020', '9', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44468, '08/04/2020', '8', '4', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44469, '07/04/2020', '7', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44470, '06/04/2020', '6', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44471, '05/04/2020', '5', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44472, '04/04/2020', '4', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (44473, '03/04/2020', '3', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '0.01139456');
INSERT INTO public.ecdc_import VALUES (44474, '02/04/2020', '2', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44475, '01/04/2020', '1', '4', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44476, '31/03/2020', '31', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44477, '30/03/2020', '30', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44478, '29/03/2020', '29', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44479, '28/03/2020', '28', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44480, '27/03/2020', '27', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44481, '26/03/2020', '26', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44482, '25/03/2020', '25', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44483, '24/03/2020', '24', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44484, '23/03/2020', '23', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44485, '22/03/2020', '22', '3', '2020', '0', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44486, '21/03/2020', '21', '3', '2020', '1', '0', '8776119', 'Papua_New_Guinea', 'PG', 'PNG', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (44487, '14/12/2020', '14', '12', '2020', '669', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '165.74305653');
INSERT INTO public.ecdc_import VALUES (44488, '13/12/2020', '13', '12', '2020', '800', '10', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '167.24774683');
INSERT INTO public.ecdc_import VALUES (44489, '12/12/2020', '12', '12', '2020', '1155', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '165.75725172');
INSERT INTO public.ecdc_import VALUES (44490, '11/12/2020', '11', '12', '2020', '812', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '162.40718651');
INSERT INTO public.ecdc_import VALUES (44491, '10/12/2020', '10', '12', '2020', '725', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '159.95141838');
INSERT INTO public.ecdc_import VALUES (44492, '09/12/2020', '9', '12', '2020', '698', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '163.67055856');
INSERT INTO public.ecdc_import VALUES (44493, '08/12/2020', '8', '12', '2020', '803', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '165.38817674');
INSERT INTO public.ecdc_import VALUES (44494, '07/12/2020', '7', '12', '2020', '707', '20', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '162.44977209');
INSERT INTO public.ecdc_import VALUES (44495, '06/12/2020', '6', '12', '2020', '1736', '37', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '161.20059523');
INSERT INTO public.ecdc_import VALUES (44496, '05/12/2020', '5', '12', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '147.89970075');
INSERT INTO public.ecdc_import VALUES (44497, '04/12/2020', '4', '12', '2020', '995', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '155.89159359');
INSERT INTO public.ecdc_import VALUES (44498, '03/12/2020', '3', '12', '2020', '1003', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '153.91846197');
INSERT INTO public.ecdc_import VALUES (44499, '02/12/2020', '2', '12', '2020', '1055', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '150.78132464');
INSERT INTO public.ecdc_import VALUES (44500, '01/12/2020', '1', '12', '2020', '518', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '146.56535275');
INSERT INTO public.ecdc_import VALUES (44501, '30/11/2020', '30', '11', '2020', '775', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '146.66471909');
INSERT INTO public.ecdc_import VALUES (44502, '29/11/2020', '29', '11', '2020', '695', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '142.88879813');
INSERT INTO public.ecdc_import VALUES (44503, '28/11/2020', '28', '11', '2020', '919', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '142.57650392');
INSERT INTO public.ecdc_import VALUES (44504, '27/11/2020', '27', '11', '2020', '639', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '140.02136944');
INSERT INTO public.ecdc_import VALUES (44505, '26/11/2020', '26', '11', '2020', '987', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '138.71541182');
INSERT INTO public.ecdc_import VALUES (44506, '25/11/2020', '25', '11', '2020', '819', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '133.34962941');
INSERT INTO public.ecdc_import VALUES (44507, '24/11/2020', '24', '11', '2020', '596', '8', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '129.51692769');
INSERT INTO public.ecdc_import VALUES (44508, '23/11/2020', '23', '11', '2020', '619', '5', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '126.1526673');
INSERT INTO public.ecdc_import VALUES (44509, '22/11/2020', '22', '11', '2020', '799', '5', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '126.56432785');
INSERT INTO public.ecdc_import VALUES (44510, '21/11/2020', '21', '11', '2020', '563', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '121.75215792');
INSERT INTO public.ecdc_import VALUES (44511, '20/11/2020', '20', '11', '2020', '856', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '123.73948473');
INSERT INTO public.ecdc_import VALUES (44512, '19/11/2020', '19', '11', '2020', '782', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '118.96990037');
INSERT INTO public.ecdc_import VALUES (44513, '18/11/2020', '18', '11', '2020', '758', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '116.81223126');
INSERT INTO public.ecdc_import VALUES (44514, '17/11/2020', '17', '11', '2020', '525', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '112.75240648');
INSERT INTO public.ecdc_import VALUES (44515, '16/11/2020', '16', '11', '2020', '509', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '111.33288732');
INSERT INTO public.ecdc_import VALUES (44516, '15/11/2020', '15', '11', '2020', '673', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '111.85810941');
INSERT INTO public.ecdc_import VALUES (44517, '14/11/2020', '14', '11', '2020', '739', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '110.66571332');
INSERT INTO public.ecdc_import VALUES (44518, '13/11/2020', '13', '11', '2020', '547', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '118.71438693');
INSERT INTO public.ecdc_import VALUES (44519, '12/11/2020', '12', '11', '2020', '609', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '110.94961715');
INSERT INTO public.ecdc_import VALUES (44520, '11/11/2020', '11', '11', '2020', '549', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '112.7098209');
INSERT INTO public.ecdc_import VALUES (44521, '10/11/2020', '10', '11', '2020', '359', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '118.5866302');
INSERT INTO public.ecdc_import VALUES (44522, '09/11/2020', '9', '11', '2020', '648', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '113.49055644');
INSERT INTO public.ecdc_import VALUES (44523, '08/11/2020', '8', '11', '2020', '460', '7', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '112.11362286');
INSERT INTO public.ecdc_import VALUES (44524, '07/11/2020', '7', '11', '2020', '703', '10', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '116.71286492');
INSERT INTO public.ecdc_import VALUES (44525, '06/11/2020', '6', '11', '2020', '520', '8', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '117.13872066');
INSERT INTO public.ecdc_import VALUES (44526, '05/11/2020', '5', '11', '2020', '630', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '119.79322148');
INSERT INTO public.ecdc_import VALUES (44527, '04/11/2020', '4', '11', '2020', '472', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '121.4398637');
INSERT INTO public.ecdc_import VALUES (44528, '03/11/2020', '3', '11', '2020', '425', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '123.55494724');
INSERT INTO public.ecdc_import VALUES (44529, '02/11/2020', '2', '11', '2020', '546', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '127.85609028');
INSERT INTO public.ecdc_import VALUES (44530, '01/11/2020', '1', '11', '2020', '589', '17', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '130.16990651');
INSERT INTO public.ecdc_import VALUES (44531, '31/10/2020', '31', '10', '2020', '1306', '28', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '129.37497578');
INSERT INTO public.ecdc_import VALUES (44532, '30/10/2020', '30', '10', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '123.41299533');
INSERT INTO public.ecdc_import VALUES (44533, '29/10/2020', '29', '10', '2020', '733', '32', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '134.07358418');
INSERT INTO public.ecdc_import VALUES (44534, '28/10/2020', '28', '10', '2020', '963', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '132.8669929');
INSERT INTO public.ecdc_import VALUES (44535, '27/10/2020', '27', '10', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '131.30552183');
INSERT INTO public.ecdc_import VALUES (44536, '26/10/2020', '26', '10', '2020', '551', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '140.80210498');
INSERT INTO public.ecdc_import VALUES (44537, '25/10/2020', '25', '10', '2020', '784', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '142.87460294');
INSERT INTO public.ecdc_import VALUES (44538, '24/10/2020', '24', '10', '2020', '733', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '141.72479243');
INSERT INTO public.ecdc_import VALUES (44539, '23/10/2020', '23', '10', '2020', '707', '17', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '144.93290572');
INSERT INTO public.ecdc_import VALUES (44540, '22/10/2020', '22', '10', '2020', '746', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '147.40286905');
INSERT INTO public.ecdc_import VALUES (44541, '21/10/2020', '21', '10', '2020', '621', '24', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '147.99906709');
INSERT INTO public.ecdc_import VALUES (44542, '20/10/2020', '20', '10', '2020', '728', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '152.41377166');
INSERT INTO public.ecdc_import VALUES (44543, '19/10/2020', '19', '10', '2020', '709', '9', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '149.64570931');
INSERT INTO public.ecdc_import VALUES (44544, '18/10/2020', '18', '10', '2020', '533', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '149.94380833');
INSERT INTO public.ecdc_import VALUES (44545, '17/10/2020', '17', '10', '2020', '886', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '153.27967835');
INSERT INTO public.ecdc_import VALUES (44546, '16/10/2020', '16', '10', '2020', '751', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '153.26548316');
INSERT INTO public.ecdc_import VALUES (44547, '15/10/2020', '15', '10', '2020', '648', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '157.38208871');
INSERT INTO public.ecdc_import VALUES (44548, '14/10/2020', '14', '10', '2020', '853', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '157.50984543');
INSERT INTO public.ecdc_import VALUES (44549, '13/10/2020', '13', '10', '2020', '669', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '154.89793018');
INSERT INTO public.ecdc_import VALUES (44550, '12/10/2020', '12', '10', '2020', '697', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '156.01935032');
INSERT INTO public.ecdc_import VALUES (44551, '11/10/2020', '11', '10', '2020', '703', '20', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '156.94203777');
INSERT INTO public.ecdc_import VALUES (44552, '10/10/2020', '10', '10', '2020', '959', '33', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '156.84267143');
INSERT INTO public.ecdc_import VALUES (44553, '09/10/2020', '9', '10', '2020', '881', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '154.89793018');
INSERT INTO public.ecdc_import VALUES (44554, '08/10/2020', '8', '10', '2020', '788', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '154.21656099');
INSERT INTO public.ecdc_import VALUES (44555, '07/10/2020', '7', '10', '2020', '932', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '153.57777737');
INSERT INTO public.ecdc_import VALUES (44556, '06/10/2020', '6', '10', '2020', '533', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '148.41072765');
INSERT INTO public.ecdc_import VALUES (44557, '05/10/2020', '5', '10', '2020', '730', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '151.3491323');
INSERT INTO public.ecdc_import VALUES (44558, '04/10/2020', '4', '10', '2020', '768', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '148.1552142');
INSERT INTO public.ecdc_import VALUES (44559, '03/10/2020', '3', '10', '2020', '885', '21', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '149.85863718');
INSERT INTO public.ecdc_import VALUES (44560, '02/10/2020', '2', '10', '2020', '1041', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '151.68981689');
INSERT INTO public.ecdc_import VALUES (44561, '01/10/2020', '1', '10', '2020', '657', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '146.76408543');
INSERT INTO public.ecdc_import VALUES (44562, '30/09/2020', '30', '9', '2020', '669', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '153.35065431');
INSERT INTO public.ecdc_import VALUES (44563, '29/09/2020', '29', '9', '2020', '748', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '157.06979449');
INSERT INTO public.ecdc_import VALUES (44564, '28/09/2020', '28', '9', '2020', '762', '21', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '154.25914657');
INSERT INTO public.ecdc_import VALUES (44565, '27/09/2020', '27', '9', '2020', '696', '21', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '150.44064004');
INSERT INTO public.ecdc_import VALUES (44566, '26/09/2020', '26', '9', '2020', '822', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '152.08728226');
INSERT INTO public.ecdc_import VALUES (44567, '25/09/2020', '25', '9', '2020', '833', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '152.92479856');
INSERT INTO public.ecdc_import VALUES (44568, '24/09/2020', '24', '9', '2020', '743', '22', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '149.68829489');
INSERT INTO public.ecdc_import VALUES (44569, '23/09/2020', '23', '9', '2020', '568', '29', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '150.6677631');
INSERT INTO public.ecdc_import VALUES (44570, '22/09/2020', '22', '9', '2020', '740', '17', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '154.82695423');
INSERT INTO public.ecdc_import VALUES (44571, '21/09/2020', '21', '9', '2020', '505', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '156.62974355');
INSERT INTO public.ecdc_import VALUES (44572, '20/09/2020', '20', '9', '2020', '888', '25', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '158.19121462');
INSERT INTO public.ecdc_import VALUES (44573, '19/09/2020', '19', '9', '2020', '1014', '27', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '162.86143264');
INSERT INTO public.ecdc_import VALUES (44574, '18/09/2020', '18', '9', '2020', '694', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '158.33316654');
INSERT INTO public.ecdc_import VALUES (44575, '17/09/2020', '17', '9', '2020', '1121', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '160.13595587');
INSERT INTO public.ecdc_import VALUES (44576, '16/09/2020', '16', '9', '2020', '931', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '155.57929938');
INSERT INTO public.ecdc_import VALUES (44577, '15/09/2020', '15', '9', '2020', '550', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '151.95952553');
INSERT INTO public.ecdc_import VALUES (44578, '14/09/2020', '14', '9', '2020', '493', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '150.78132464');
INSERT INTO public.ecdc_import VALUES (44579, '13/09/2020', '13', '9', '2020', '812', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '154.01782831');
INSERT INTO public.ecdc_import VALUES (44580, '12/09/2020', '12', '9', '2020', '881', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '151.0084477');
INSERT INTO public.ecdc_import VALUES (44581, '11/09/2020', '11', '9', '2020', '605', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '146.79247581');
INSERT INTO public.ecdc_import VALUES (44582, '10/09/2020', '10', '9', '2020', '812', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '144.13797499');
INSERT INTO public.ecdc_import VALUES (44583, '09/09/2020', '9', '9', '2020', '861', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '141.75318281');
INSERT INTO public.ecdc_import VALUES (44584, '08/09/2020', '8', '9', '2020', '867', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '138.4173128');
INSERT INTO public.ecdc_import VALUES (44585, '07/09/2020', '7', '9', '2020', '615', '23', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '131.3481074');
INSERT INTO public.ecdc_import VALUES (44586, '06/09/2020', '6', '9', '2020', '1217', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '126.29461921');
INSERT INTO public.ecdc_import VALUES (44587, '05/09/2020', '5', '9', '2020', '695', '25', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '115.236565');
INSERT INTO public.ecdc_import VALUES (44588, '04/09/2020', '4', '9', '2020', '821', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '115.57724959');
INSERT INTO public.ecdc_import VALUES (44589, '03/09/2020', '3', '9', '2020', '800', '10', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '113.63250835');
INSERT INTO public.ecdc_import VALUES (44590, '02/09/2020', '2', '9', '2020', '676', '22', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '109.75722106');
INSERT INTO public.ecdc_import VALUES (44591, '01/09/2020', '1', '9', '2020', '467', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '106.84720679');
INSERT INTO public.ecdc_import VALUES (44592, '31/08/2020', '31', '8', '2020', '721', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '105.10119823');
INSERT INTO public.ecdc_import VALUES (44593, '30/08/2020', '30', '8', '2020', '600', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '100.68649366');
INSERT INTO public.ecdc_import VALUES (44594, '29/08/2020', '29', '8', '2020', '584', '15', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '96.48471696');
INSERT INTO public.ecdc_import VALUES (44595, '28/08/2020', '28', '8', '2020', '418', '18', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '97.96101688');
INSERT INTO public.ecdc_import VALUES (44596, '27/08/2020', '27', '8', '2020', '644', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '97.29384288');
INSERT INTO public.ecdc_import VALUES (44597, '26/08/2020', '26', '8', '2020', '626', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '95.2355401');
INSERT INTO public.ecdc_import VALUES (44598, '25/08/2020', '25', '8', '2020', '369', '14', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '90.39497979');
INSERT INTO public.ecdc_import VALUES (44599, '24/08/2020', '24', '8', '2020', '259', '13', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '89.79878174');
INSERT INTO public.ecdc_import VALUES (44600, '23/08/2020', '23', '8', '2020', '438', '10', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '88.98965582');
INSERT INTO public.ecdc_import VALUES (44601, '22/08/2020', '22', '8', '2020', '719', '12', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '85.56861466');
INSERT INTO public.ecdc_import VALUES (44602, '21/08/2020', '21', '8', '2020', '684', '5', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '77.25023241');
INSERT INTO public.ecdc_import VALUES (44603, '20/08/2020', '20', '8', '2020', '527', '4', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '72.01220673');
INSERT INTO public.ecdc_import VALUES (44604, '19/08/2020', '19', '8', '2020', '471', '16', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '67.48394062');
INSERT INTO public.ecdc_import VALUES (44605, '18/08/2020', '18', '8', '2020', '344', '7', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '62.61498992');
INSERT INTO public.ecdc_import VALUES (44606, '17/08/2020', '17', '8', '2020', '410', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '58.86745935');
INSERT INTO public.ecdc_import VALUES (44607, '16/08/2020', '16', '8', '2020', '304', '19', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '55.30446628');
INSERT INTO public.ecdc_import VALUES (44608, '15/08/2020', '15', '8', '2020', '688', '11', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '53.0758212');
INSERT INTO public.ecdc_import VALUES (44609, '14/08/2020', '14', '8', '2020', '371', '4', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '45.16909951');
INSERT INTO public.ecdc_import VALUES (44610, '13/08/2020', '13', '8', '2020', '499', '7', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '44.74324376');
INSERT INTO public.ecdc_import VALUES (44611, '12/08/2020', '12', '8', '2020', '285', '4', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '40.38531996');
INSERT INTO public.ecdc_import VALUES (44612, '11/08/2020', '11', '8', '2020', '327', '7', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '38.1282845');
INSERT INTO public.ecdc_import VALUES (44613, '10/08/2020', '10', '8', '2020', '202', '3', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '34.96275679');
INSERT INTO public.ecdc_import VALUES (44614, '09/08/2020', '9', '8', '2020', '197', '3', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '33.74197031');
INSERT INTO public.ecdc_import VALUES (44615, '08/08/2020', '8', '8', '2020', '133', '3', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '32.4218175');
INSERT INTO public.ecdc_import VALUES (44616, '07/08/2020', '7', '8', '2020', '315', '5', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '32.10952328');
INSERT INTO public.ecdc_import VALUES (44617, '06/08/2020', '6', '8', '2020', '208', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '29.24209459');
INSERT INTO public.ecdc_import VALUES (44618, '05/08/2020', '5', '8', '2020', '128', '4', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '28.8872148');
INSERT INTO public.ecdc_import VALUES (44619, '04/08/2020', '4', '8', '2020', '80', '3', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '28.0496985');
INSERT INTO public.ecdc_import VALUES (44620, '03/08/2020', '3', '8', '2020', '159', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '27.29735335');
INSERT INTO public.ecdc_import VALUES (44621, '02/08/2020', '2', '8', '2020', '147', '3', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '26.34627552');
INSERT INTO public.ecdc_import VALUES (44622, '01/08/2020', '1', '8', '2020', '131', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '26.7011553');
INSERT INTO public.ecdc_import VALUES (44623, '31/07/2020', '31', '7', '2020', '341', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '26.47403224');
INSERT INTO public.ecdc_import VALUES (44624, '30/07/2020', '30', '7', '2020', '192', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '23.6775795');
INSERT INTO public.ecdc_import VALUES (44625, '29/07/2020', '29', '7', '2020', '126', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '22.71230648');
INSERT INTO public.ecdc_import VALUES (44626, '28/07/2020', '28', '7', '2020', '104', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '22.25806035');
INSERT INTO public.ecdc_import VALUES (44627, '27/07/2020', '27', '7', '2020', '116', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '21.23600656');
INSERT INTO public.ecdc_import VALUES (44628, '26/07/2020', '26', '7', '2020', '104', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '21.40634886');
INSERT INTO public.ecdc_import VALUES (44629, '25/07/2020', '25', '7', '2020', '111', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '21.12244503');
INSERT INTO public.ecdc_import VALUES (44630, '24/07/2020', '24', '7', '2020', '113', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '20.93790754');
INSERT INTO public.ecdc_import VALUES (44631, '23/07/2020', '23', '7', '2020', '183', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '20.52624698');
INSERT INTO public.ecdc_import VALUES (44632, '22/07/2020', '22', '7', '2020', '69', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '18.66667689');
INSERT INTO public.ecdc_import VALUES (44633, '21/07/2020', '21', '7', '2020', '27', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '18.34018748');
INSERT INTO public.ecdc_import VALUES (44634, '20/07/2020', '20', '7', '2020', '92', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '18.36857786');
INSERT INTO public.ecdc_import VALUES (44635, '19/07/2020', '19', '7', '2020', '172', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '17.65881829');
INSERT INTO public.ecdc_import VALUES (44636, '18/07/2020', '18', '7', '2020', '115', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '15.72827224');
INSERT INTO public.ecdc_import VALUES (44637, '17/07/2020', '17', '7', '2020', '144', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '14.74880402');
INSERT INTO public.ecdc_import VALUES (44638, '16/07/2020', '16', '7', '2020', '124', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '13.31508967');
INSERT INTO public.ecdc_import VALUES (44639, '15/07/2020', '15', '7', '2020', '94', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '12.10849839');
INSERT INTO public.ecdc_import VALUES (44640, '14/07/2020', '14', '7', '2020', '32', '3', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '11.20000613');
INSERT INTO public.ecdc_import VALUES (44641, '13/07/2020', '13', '7', '2020', '128', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '11.65425226');
INSERT INTO public.ecdc_import VALUES (44642, '12/07/2020', '12', '7', '2020', '84', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '12.46337818');
INSERT INTO public.ecdc_import VALUES (44643, '11/07/2020', '11', '7', '2020', '98', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '14.55007134');
INSERT INTO public.ecdc_import VALUES (44644, '10/07/2020', '10', '7', '2020', '84', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '15.17465977');
INSERT INTO public.ecdc_import VALUES (44645, '09/07/2020', '9', '7', '2020', '52', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '14.56426653');
INSERT INTO public.ecdc_import VALUES (44646, '08/07/2020', '8', '7', '2020', '46', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '15.33080687');
INSERT INTO public.ecdc_import VALUES (44647, '07/07/2020', '7', '7', '2020', '29', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '15.10368381');
INSERT INTO public.ecdc_import VALUES (44648, '06/07/2020', '6', '7', '2020', '42', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '14.87656074');
INSERT INTO public.ecdc_import VALUES (44649, '05/07/2020', '5', '7', '2020', '36', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '14.52168095');
INSERT INTO public.ecdc_import VALUES (44650, '04/07/2020', '4', '7', '2020', '46', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '14.37972904');
INSERT INTO public.ecdc_import VALUES (44651, '03/07/2020', '3', '7', '2020', '43', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '13.81192138');
INSERT INTO public.ecdc_import VALUES (44652, '02/07/2020', '2', '7', '2020', '39', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '13.51382235');
INSERT INTO public.ecdc_import VALUES (44653, '01/07/2020', '1', '7', '2020', '30', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '13.03118584');
INSERT INTO public.ecdc_import VALUES (44654, '30/06/2020', '30', '6', '2020', '64', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '12.80406278');
INSERT INTO public.ecdc_import VALUES (44655, '29/06/2020', '29', '6', '2020', '185', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '11.89557052');
INSERT INTO public.ecdc_import VALUES (44656, '28/06/2020', '28', '6', '2020', '231', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '9.66692545');
INSERT INTO public.ecdc_import VALUES (44657, '27/06/2020', '27', '6', '2020', '142', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '6.48720254');
INSERT INTO public.ecdc_import VALUES (44658, '26/06/2020', '26', '6', '2020', '41', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.81216994');
INSERT INTO public.ecdc_import VALUES (44659, '25/06/2020', '25', '6', '2020', '106', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.62763245');
INSERT INTO public.ecdc_import VALUES (44660, '24/06/2020', '24', '6', '2020', '30', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.33587001');
INSERT INTO public.ecdc_import VALUES (44661, '23/06/2020', '23', '6', '2020', '13', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.50621231');
INSERT INTO public.ecdc_import VALUES (44662, '22/06/2020', '22', '6', '2020', '17', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.46362674');
INSERT INTO public.ecdc_import VALUES (44663, '21/06/2020', '21', '6', '2020', '26', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.8610921');
INSERT INTO public.ecdc_import VALUES (44664, '20/06/2020', '20', '6', '2020', '6', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.5346027');
INSERT INTO public.ecdc_import VALUES (44665, '19/06/2020', '19', '6', '2020', '22', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.46362674');
INSERT INTO public.ecdc_import VALUES (44666, '18/06/2020', '18', '6', '2020', '5', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.37845559');
INSERT INTO public.ecdc_import VALUES (44667, '17/06/2020', '17', '6', '2020', '14', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.11660555');
INSERT INTO public.ecdc_import VALUES (44668, '16/06/2020', '16', '6', '2020', '0', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.17338632');
INSERT INTO public.ecdc_import VALUES (44669, '15/06/2020', '15', '6', '2020', '28', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.30114304');
INSERT INTO public.ecdc_import VALUES (44670, '14/06/2020', '14', '6', '2020', '7', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.21597189');
INSERT INTO public.ecdc_import VALUES (44671, '13/06/2020', '13', '6', '2020', '24', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.78377955');
INSERT INTO public.ecdc_import VALUES (44672, '12/06/2020', '12', '6', '2020', '28', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.68441321');
INSERT INTO public.ecdc_import VALUES (44673, '11/06/2020', '11', '6', '2020', '15', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.51407091');
INSERT INTO public.ecdc_import VALUES (44674, '10/06/2020', '10', '6', '2020', '42', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.40050938');
INSERT INTO public.ecdc_import VALUES (44675, '09/06/2020', '9', '6', '2020', '10', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.97465363');
INSERT INTO public.ecdc_import VALUES (44676, '08/06/2020', '8', '6', '2020', '45', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.87528729');
INSERT INTO public.ecdc_import VALUES (44677, '07/06/2020', '7', '6', '2020', '3', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.40684597');
INSERT INTO public.ecdc_import VALUES (44678, '06/06/2020', '6', '6', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.5346027');
INSERT INTO public.ecdc_import VALUES (44679, '05/06/2020', '5', '6', '2020', '16', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.54879789');
INSERT INTO public.ecdc_import VALUES (44680, '04/06/2020', '4', '6', '2020', '57', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.3642604');
INSERT INTO public.ecdc_import VALUES (44681, '03/06/2020', '3', '6', '2020', '18', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.61191525');
INSERT INTO public.ecdc_import VALUES (44682, '02/06/2020', '2', '6', '2020', '9', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.93840465');
INSERT INTO public.ecdc_import VALUES (44683, '01/06/2020', '1', '6', '2020', '22', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.83903831');
INSERT INTO public.ecdc_import VALUES (44684, '31/05/2020', '31', '5', '2020', '47', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.64030563');
INSERT INTO public.ecdc_import VALUES (44685, '30/05/2020', '30', '5', '2020', '17', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.24284026');
INSERT INTO public.ecdc_import VALUES (44686, '29/05/2020', '29', '5', '2020', '16', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.07249797');
INSERT INTO public.ecdc_import VALUES (44687, '28/05/2020', '28', '5', '2020', '7', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.04410758');
INSERT INTO public.ecdc_import VALUES (44688, '27/05/2020', '27', '5', '2020', '12', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.98732682');
INSERT INTO public.ecdc_import VALUES (44689, '26/05/2020', '26', '5', '2020', '3', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.00152201');
INSERT INTO public.ecdc_import VALUES (44690, '25/05/2020', '25', '5', '2020', '12', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.11508354');
INSERT INTO public.ecdc_import VALUES (44691, '24/05/2020', '24', '5', '2020', '12', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.28542584');
INSERT INTO public.ecdc_import VALUES (44692, '23/05/2020', '23', '5', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.90367768');
INSERT INTO public.ecdc_import VALUES (44693, '22/05/2020', '22', '5', '2020', '3', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '5.30900164');
INSERT INTO public.ecdc_import VALUES (44694, '21/05/2020', '21', '5', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '5.57871028');
INSERT INTO public.ecdc_import VALUES (44695, '20/05/2020', '20', '5', '2020', '41', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '5.64968624');
INSERT INTO public.ecdc_import VALUES (44696, '19/05/2020', '19', '5', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '5.29480645');
INSERT INTO public.ecdc_import VALUES (44697, '18/05/2020', '18', '5', '2020', '8', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '5.5361247');
INSERT INTO public.ecdc_import VALUES (44698, '17/05/2020', '17', '5', '2020', '19', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '5.79163815');
INSERT INTO public.ecdc_import VALUES (44699, '16/05/2020', '16', '5', '2020', '5', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '6.0471516');
INSERT INTO public.ecdc_import VALUES (44700, '15/05/2020', '15', '5', '2020', '14', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '6.92725348');
INSERT INTO public.ecdc_import VALUES (44701, '14/05/2020', '14', '5', '2020', '3', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '6.96983905');
INSERT INTO public.ecdc_import VALUES (44702, '13/05/2020', '13', '5', '2020', '13', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '7.06920539');
INSERT INTO public.ecdc_import VALUES (44703, '12/05/2020', '12', '5', '2020', '11', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '7.01242463');
INSERT INTO public.ecdc_import VALUES (44704, '11/05/2020', '11', '5', '2020', '24', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '6.8846679');
INSERT INTO public.ecdc_import VALUES (44705, '10/05/2020', '10', '5', '2020', '126', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '6.5439833');
INSERT INTO public.ecdc_import VALUES (44706, '09/05/2020', '9', '5', '2020', '101', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '4.82636513');
INSERT INTO public.ecdc_import VALUES (44707, '08/05/2020', '8', '5', '2020', '22', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.43523635');
INSERT INTO public.ecdc_import VALUES (44708, '07/05/2020', '7', '5', '2020', '9', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.22230848');
INSERT INTO public.ecdc_import VALUES (44709, '06/05/2020', '6', '5', '2020', '16', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '3.09455176');
INSERT INTO public.ecdc_import VALUES (44710, '05/05/2020', '5', '5', '2020', '19', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.93840465');
INSERT INTO public.ecdc_import VALUES (44711, '04/05/2020', '4', '5', '2020', '26', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.69708639');
INSERT INTO public.ecdc_import VALUES (44712, '03/05/2020', '3', '5', '2020', '37', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '2.38479218');
INSERT INTO public.ecdc_import VALUES (44713, '02/05/2020', '2', '5', '2020', '67', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.85957009');
INSERT INTO public.ecdc_import VALUES (44714, '01/05/2020', '1', '5', '2020', '17', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.30595762');
INSERT INTO public.ecdc_import VALUES (44715, '30/04/2020', '30', '4', '2020', '10', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.06463937');
INSERT INTO public.ecdc_import VALUES (44716, '29/04/2020', '29', '4', '2020', '9', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.10722494');
INSERT INTO public.ecdc_import VALUES (44717, '28/04/2020', '28', '4', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.0078586');
INSERT INTO public.ecdc_import VALUES (44718, '27/04/2020', '27', '4', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.14981052');
INSERT INTO public.ecdc_import VALUES (44719, '26/04/2020', '26', '4', '2020', '5', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.33434801');
INSERT INTO public.ecdc_import VALUES (44720, '25/04/2020', '25', '4', '2020', '3', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.27756724');
INSERT INTO public.ecdc_import VALUES (44721, '24/04/2020', '24', '4', '2020', '7', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.29176243');
INSERT INTO public.ecdc_import VALUES (44722, '23/04/2020', '23', '4', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.26337205');
INSERT INTO public.ecdc_import VALUES (44723, '22/04/2020', '22', '4', '2020', '5', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.39112877');
INSERT INTO public.ecdc_import VALUES (44724, '21/04/2020', '21', '4', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.3485432');
INSERT INTO public.ecdc_import VALUES (44725, '20/04/2020', '20', '4', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.32015281');
INSERT INTO public.ecdc_import VALUES (44726, '19/04/2020', '19', '4', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.39112877');
INSERT INTO public.ecdc_import VALUES (44727, '18/04/2020', '18', '4', '2020', '28', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.5046903');
INSERT INTO public.ecdc_import VALUES (44728, '17/04/2020', '17', '4', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.37693358');
INSERT INTO public.ecdc_import VALUES (44729, '16/04/2020', '16', '4', '2020', '13', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.49049511');
INSERT INTO public.ecdc_import VALUES (44730, '15/04/2020', '15', '4', '2020', '2', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.30595762');
INSERT INTO public.ecdc_import VALUES (44731, '14/04/2020', '14', '4', '2020', '12', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.33434801');
INSERT INTO public.ecdc_import VALUES (44732, '13/04/2020', '13', '4', '2020', '13', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.1782009');
INSERT INTO public.ecdc_import VALUES (44733, '12/04/2020', '12', '4', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.06463937');
INSERT INTO public.ecdc_import VALUES (44734, '11/04/2020', '11', '4', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.09302975');
INSERT INTO public.ecdc_import VALUES (44735, '10/04/2020', '10', '4', '2020', '5', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.09302975');
INSERT INTO public.ecdc_import VALUES (44736, '09/04/2020', '9', '4', '2020', '9', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.1782009');
INSERT INTO public.ecdc_import VALUES (44737, '08/04/2020', '8', '4', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.10722494');
INSERT INTO public.ecdc_import VALUES (44738, '07/04/2020', '7', '4', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.22078647');
INSERT INTO public.ecdc_import VALUES (44739, '06/04/2020', '6', '4', '2020', '9', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.29176243');
INSERT INTO public.ecdc_import VALUES (44740, '05/04/2020', '5', '4', '2020', '8', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.16400571');
INSERT INTO public.ecdc_import VALUES (44741, '04/04/2020', '4', '4', '2020', '19', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '1.10722494');
INSERT INTO public.ecdc_import VALUES (44742, '03/04/2020', '3', '4', '2020', '8', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.90849226');
INSERT INTO public.ecdc_import VALUES (44743, '02/04/2020', '2', '4', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.82332111');
INSERT INTO public.ecdc_import VALUES (44744, '01/04/2020', '1', '4', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.82332111');
INSERT INTO public.ecdc_import VALUES (44745, '31/03/2020', '31', '3', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.79493073');
INSERT INTO public.ecdc_import VALUES (44746, '30/03/2020', '30', '3', '2020', '5', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.79493073');
INSERT INTO public.ecdc_import VALUES (44747, '29/03/2020', '29', '3', '2020', '3', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.73814996');
INSERT INTO public.ecdc_import VALUES (44748, '28/03/2020', '28', '3', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.70975958');
INSERT INTO public.ecdc_import VALUES (44749, '27/03/2020', '27', '3', '2020', '11', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.667174');
INSERT INTO public.ecdc_import VALUES (44750, '26/03/2020', '26', '3', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.56780766');
INSERT INTO public.ecdc_import VALUES (44751, '25/03/2020', '25', '3', '2020', '10', '2', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '0.52522209');
INSERT INTO public.ecdc_import VALUES (44752, '24/03/2020', '24', '3', '2020', '5', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44753, '23/03/2020', '23', '3', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44754, '22/03/2020', '22', '3', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44755, '21/03/2020', '21', '3', '2020', '5', '1', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44756, '20/03/2020', '20', '3', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44757, '19/03/2020', '19', '3', '2020', '0', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44758, '18/03/2020', '18', '3', '2020', '2', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44759, '17/03/2020', '17', '3', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44760, '16/03/2020', '16', '3', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44761, '14/03/2020', '14', '3', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44762, '13/03/2020', '13', '3', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44763, '11/03/2020', '11', '3', '2020', '4', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44764, '08/03/2020', '8', '3', '2020', '1', '0', '7044639', 'Paraguay', 'PY', 'PRY', 'America', '');
INSERT INTO public.ecdc_import VALUES (44765, '14/12/2020', '14', '12', '2020', '1928', '68', '32510462', 'Peru', 'PE', 'PER', 'America', '69.03316231');
INSERT INTO public.ecdc_import VALUES (44766, '13/12/2020', '13', '12', '2020', '2102', '65', '32510462', 'Peru', 'PE', 'PER', 'America', '69.75293061');
INSERT INTO public.ecdc_import VALUES (44767, '12/12/2020', '12', '12', '2020', '1832', '45', '32510462', 'Peru', 'PE', 'PER', 'America', '69.5745265');
INSERT INTO public.ecdc_import VALUES (44768, '11/12/2020', '11', '12', '2020', '1799', '44', '32510462', 'Peru', 'PE', 'PER', 'America', '70.02053677');
INSERT INTO public.ecdc_import VALUES (44769, '10/12/2020', '10', '12', '2020', '691', '54', '32510462', 'Peru', 'PE', 'PER', 'America', '70.2942948');
INSERT INTO public.ecdc_import VALUES (44770, '09/12/2020', '9', '12', '2020', '1505', '77', '32510462', 'Peru', 'PE', 'PER', 'America', '74.38220964');
INSERT INTO public.ecdc_import VALUES (44771, '08/12/2020', '8', '12', '2020', '1204', '50', '32510462', 'Peru', 'PE', 'PER', 'America', '75.54183635');
INSERT INTO public.ecdc_import VALUES (44772, '07/12/2020', '7', '12', '2020', '1224', '43', '32510462', 'Peru', 'PE', 'PER', 'America', '74.56676562');
INSERT INTO public.ecdc_import VALUES (44773, '06/12/2020', '6', '12', '2020', '1828', '36', '32510462', 'Peru', 'PE', 'PER', 'America', '75.68948113');
INSERT INTO public.ecdc_import VALUES (44774, '05/12/2020', '5', '12', '2020', '2014', '91', '32510462', 'Peru', 'PE', 'PER', 'America', '76.20008599');
INSERT INTO public.ecdc_import VALUES (44775, '04/12/2020', '4', '12', '2020', '1771', '28', '32510462', 'Peru', 'PE', 'PER', 'America', '76.67993152');
INSERT INTO public.ecdc_import VALUES (44776, '03/12/2020', '3', '12', '2020', '1847', '45', '32510462', 'Peru', 'PE', 'PER', 'America', '77.27973844');
INSERT INTO public.ecdc_import VALUES (44777, '02/12/2020', '2', '12', '2020', '1623', '65', '32510462', 'Peru', 'PE', 'PER', 'America', '77.81187484');
INSERT INTO public.ecdc_import VALUES (44778, '01/12/2020', '1', '12', '2020', '1075', '43', '32510462', 'Peru', 'PE', 'PER', 'America', '77.93491215');
INSERT INTO public.ecdc_import VALUES (44779, '30/11/2020', '30', '11', '2020', '2162', '44', '32510462', 'Peru', 'PE', 'PER', 'America', '78.49473194');
INSERT INTO public.ecdc_import VALUES (44780, '29/11/2020', '29', '11', '2020', '2044', '40', '32510462', 'Peru', 'PE', 'PER', 'America', '78.3409353');
INSERT INTO public.ecdc_import VALUES (44781, '28/11/2020', '28', '11', '2020', '1977', '54', '32510462', 'Peru', 'PE', 'PER', 'America', '78.97150154');
INSERT INTO public.ecdc_import VALUES (44782, '27/11/2020', '27', '11', '2020', '1888', '58', '32510462', 'Peru', 'PE', 'PER', 'America', '80.31260829');
INSERT INTO public.ecdc_import VALUES (44783, '26/11/2020', '26', '11', '2020', '2020', '42', '32510462', 'Peru', 'PE', 'PER', 'America', '81.36765328');
INSERT INTO public.ecdc_import VALUES (44784, '25/11/2020', '25', '11', '2020', '1882', '44', '32510462', 'Peru', 'PE', 'PER', 'America', '83.07479605');
INSERT INTO public.ecdc_import VALUES (44785, '24/11/2020', '24', '11', '2020', '887', '46', '32510462', 'Peru', 'PE', 'PER', 'America', '83.14246657');
INSERT INTO public.ecdc_import VALUES (44786, '23/11/2020', '23', '11', '2020', '1589', '46', '32510462', 'Peru', 'PE', 'PER', 'America', '84.08677797');
INSERT INTO public.ecdc_import VALUES (44787, '22/11/2020', '22', '11', '2020', '1994', '65', '32510462', 'Peru', 'PE', 'PER', 'America', '86.34451273');
INSERT INTO public.ecdc_import VALUES (44788, '21/11/2020', '21', '11', '2020', '2170', '38', '32510462', 'Peru', 'PE', 'PER', 'America', '87.92246631');
INSERT INTO public.ecdc_import VALUES (44789, '20/11/2020', '20', '11', '2020', '1966', '44', '32510462', 'Peru', 'PE', 'PER', 'America', '89.80186132');
INSERT INTO public.ecdc_import VALUES (44790, '19/11/2020', '19', '11', '2020', '2020', '85', '32510462', 'Peru', 'PE', 'PER', 'America', '92.78244031');
INSERT INTO public.ecdc_import VALUES (44791, '18/11/2020', '18', '11', '2020', '1663', '46', '32510462', 'Peru', 'PE', 'PER', 'America', '95.44312228');
INSERT INTO public.ecdc_import VALUES (44792, '17/11/2020', '17', '11', '2020', '1257', '40', '32510462', 'Peru', 'PE', 'PER', 'America', '97.57781972');
INSERT INTO public.ecdc_import VALUES (44793, '16/11/2020', '16', '11', '2020', '2112', '54', '32510462', 'Peru', 'PE', 'PER', 'America', '98.73744643');
INSERT INTO public.ecdc_import VALUES (44794, '15/11/2020', '15', '11', '2020', '2249', '71', '32510462', 'Peru', 'PE', 'PER', 'America', '99.64792257');
INSERT INTO public.ecdc_import VALUES (44795, '14/11/2020', '14', '11', '2020', '2413', '39', '32510462', 'Peru', 'PE', 'PER', 'America', '99.8755416');
INSERT INTO public.ecdc_import VALUES (44796, '13/11/2020', '13', '11', '2020', '2231', '36', '32510462', 'Peru', 'PE', 'PER', 'America', '100.407678');
INSERT INTO public.ecdc_import VALUES (44797, '12/11/2020', '12', '11', '2020', '2575', '39', '32510462', 'Peru', 'PE', 'PER', 'America', '101.74570881');
INSERT INTO public.ecdc_import VALUES (44798, '11/11/2020', '11', '11', '2020', '1904', '49', '32510462', 'Peru', 'PE', 'PER', 'America', '101.30277447');
INSERT INTO public.ecdc_import VALUES (44799, '10/11/2020', '10', '11', '2020', '1194', '64', '32510462', 'Peru', 'PE', 'PER', 'America', '101.3612172');
INSERT INTO public.ecdc_import VALUES (44800, '09/11/2020', '9', '11', '2020', '2323', '39', '32510462', 'Peru', 'PE', 'PER', 'America', '103.40671258');
INSERT INTO public.ecdc_import VALUES (44801, '08/11/2020', '8', '11', '2020', '2507', '57', '32510462', 'Peru', 'PE', 'PER', 'America', '103.95422864');
INSERT INTO public.ecdc_import VALUES (44802, '07/11/2020', '7', '11', '2020', '2781', '53', '32510462', 'Peru', 'PE', 'PER', 'America', '105.77210499');
INSERT INTO public.ecdc_import VALUES (44803, '06/11/2020', '6', '11', '2020', '2935', '59', '32510462', 'Peru', 'PE', 'PER', 'America', '107.1839582');
INSERT INTO public.ecdc_import VALUES (44804, '05/11/2020', '5', '11', '2020', '2885', '48', '32510462', 'Peru', 'PE', 'PER', 'America', '107.35621044');
INSERT INTO public.ecdc_import VALUES (44805, '04/11/2020', '4', '11', '2020', '2357', '38', '32510462', 'Peru', 'PE', 'PER', 'America', '106.99325036');
INSERT INTO public.ecdc_import VALUES (44806, '03/11/2020', '3', '11', '2020', '1634', '56', '32510462', 'Peru', 'PE', 'PER', 'America', '109.71545098');
INSERT INTO public.ecdc_import VALUES (44807, '02/11/2020', '2', '11', '2020', '2408', '53', '32510462', 'Peru', 'PE', 'PER', 'America', '111.45950494');
INSERT INTO public.ecdc_import VALUES (44808, '01/11/2020', '1', '11', '2020', '2323', '65', '32510462', 'Peru', 'PE', 'PER', 'America', '113.66802477');
INSERT INTO public.ecdc_import VALUES (44809, '31/10/2020', '31', '10', '2020', '2586', '49', '32510462', 'Peru', 'PE', 'PER', 'America', '116.1564545');
INSERT INTO public.ecdc_import VALUES (44810, '30/10/2020', '30', '10', '2020', '2666', '47', '32510462', 'Peru', 'PE', 'PER', 'America', '116.43636439');
INSERT INTO public.ecdc_import VALUES (44811, '29/10/2020', '29', '10', '2020', '2431', '58', '32510462', 'Peru', 'PE', 'PER', 'America', '116.81470414');
INSERT INTO public.ecdc_import VALUES (44812, '28/10/2020', '28', '10', '2020', '1923', '60', '32510462', 'Peru', 'PE', 'PER', 'America', '118.49416351');
INSERT INTO public.ecdc_import VALUES (44813, '27/10/2020', '27', '10', '2020', '1859', '48', '32510462', 'Peru', 'PE', 'PER', 'America', '121.20098447');
INSERT INTO public.ecdc_import VALUES (44814, '26/10/2020', '26', '10', '2020', '2501', '54', '32510462', 'Peru', 'PE', 'PER', 'America', '121.01950443');
INSERT INTO public.ecdc_import VALUES (44815, '25/10/2020', '25', '10', '2020', '3098', '62', '32510462', 'Peru', 'PE', 'PER', 'America', '123.42488397');
INSERT INTO public.ecdc_import VALUES (44816, '24/10/2020', '24', '10', '2020', '3240', '49', '32510462', 'Peru', 'PE', 'PER', 'America', '122.30216845');
INSERT INTO public.ecdc_import VALUES (44817, '23/10/2020', '23', '10', '2020', '2991', '47', '32510462', 'Peru', 'PE', 'PER', 'America', '126.91914375');
INSERT INTO public.ecdc_import VALUES (44818, '22/10/2020', '22', '10', '2020', '2767', '62', '32510462', 'Peru', 'PE', 'PER', 'America', '126.79918237');
INSERT INTO public.ecdc_import VALUES (44819, '21/10/2020', '21', '10', '2020', '3242', '55', '32510462', 'Peru', 'PE', 'PER', 'America', '126.69460065');
INSERT INTO public.ecdc_import VALUES (44820, '20/10/2020', '20', '10', '2020', '2201', '61', '32510462', 'Peru', 'PE', 'PER', 'America', '125.73490958');
INSERT INTO public.ecdc_import VALUES (44821, '19/10/2020', '19', '10', '2020', '3126', '57', '32510462', 'Peru', 'PE', 'PER', 'America', '124.59373847');
INSERT INTO public.ecdc_import VALUES (44822, '18/10/2020', '18', '10', '2020', '3132', '54', '32510462', 'Peru', 'PE', 'PER', 'America', '124.77214258');
INSERT INTO public.ecdc_import VALUES (44823, '17/10/2020', '17', '10', '2020', '2677', '71', '32510462', 'Peru', 'PE', 'PER', 'America', '125.66108719');
INSERT INTO public.ecdc_import VALUES (44824, '16/10/2020', '16', '10', '2020', '2789', '65', '32510462', 'Peru', 'PE', 'PER', 'America', '127.47588761');
INSERT INTO public.ecdc_import VALUES (44825, '15/10/2020', '15', '10', '2020', '2977', '93', '32510462', 'Peru', 'PE', 'PER', 'America', '129.56444605');
INSERT INTO public.ecdc_import VALUES (44826, '14/10/2020', '14', '10', '2020', '2803', '62', '32510462', 'Peru', 'PE', 'PER', 'America', '129.82282442');
INSERT INTO public.ecdc_import VALUES (44827, '13/10/2020', '13', '10', '2020', '1800', '52', '32510462', 'Peru', 'PE', 'PER', 'America', '130.59488358');
INSERT INTO public.ecdc_import VALUES (44828, '12/10/2020', '12', '10', '2020', '3283', '82', '32510462', 'Peru', 'PE', 'PER', 'America', '135.55328743');
INSERT INTO public.ecdc_import VALUES (44829, '11/10/2020', '11', '10', '2020', '2733', '65', '32510462', 'Peru', 'PE', 'PER', 'America', '141.3268135');
INSERT INTO public.ecdc_import VALUES (44830, '10/10/2020', '10', '10', '2020', '4741', '60', '32510462', 'Peru', 'PE', 'PER', 'America', '150.01632398');
INSERT INTO public.ecdc_import VALUES (44831, '09/10/2020', '9', '10', '2020', '2952', '89', '32510462', 'Peru', 'PE', 'PER', 'America', '152.82465072');
INSERT INTO public.ecdc_import VALUES (44832, '08/10/2020', '8', '10', '2020', '2733', '95', '32510462', 'Peru', 'PE', 'PER', 'America', '162.92293847');
INSERT INTO public.ecdc_import VALUES (44833, '07/10/2020', '7', '10', '2020', '2930', '80', '32510462', 'Peru', 'PE', 'PER', 'America', '173.43032529');
INSERT INTO public.ecdc_import VALUES (44834, '06/10/2020', '6', '10', '2020', '1830', '92', '32510462', 'Peru', 'PE', 'PER', 'America', '175.64499699');
INSERT INTO public.ecdc_import VALUES (44835, '05/10/2020', '5', '10', '2020', '3184', '77', '32510462', 'Peru', 'PE', 'PER', 'America', '182.32284733');
INSERT INTO public.ecdc_import VALUES (44836, '04/10/2020', '4', '10', '2020', '3421', '56', '32510462', 'Peru', 'PE', 'PER', 'America', '191.0769524');
INSERT INTO public.ecdc_import VALUES (44837, '03/10/2020', '3', '10', '2020', '3267', '74', '32510462', 'Peru', 'PE', 'PER', 'America', '200.40318098');
INSERT INTO public.ecdc_import VALUES (44838, '02/10/2020', '2', '10', '2020', '3468', '72', '32510462', 'Peru', 'PE', 'PER', 'America', '209.77554856');
INSERT INTO public.ecdc_import VALUES (44839, '01/10/2020', '1', '10', '2020', '3061', '67', '32510462', 'Peru', 'PE', 'PER', 'America', '216.63487895');
INSERT INTO public.ecdc_import VALUES (44840, '30/09/2020', '30', '9', '2020', '3054', '72', '32510462', 'Peru', 'PE', 'PER', 'America', '226.84390028');
INSERT INTO public.ecdc_import VALUES (44841, '29/09/2020', '29', '9', '2020', '3412', '62', '32510462', 'Peru', 'PE', 'PER', 'America', '230.24588208');
INSERT INTO public.ecdc_import VALUES (44842, '28/09/2020', '28', '9', '2020', '5160', '120', '32510462', 'Peru', 'PE', 'PER', 'America', '232.79583046');
INSERT INTO public.ecdc_import VALUES (44843, '27/09/2020', '27', '9', '2020', '5558', '105', '32510462', 'Peru', 'PE', 'PER', 'America', '237.80037331');
INSERT INTO public.ecdc_import VALUES (44844, '26/09/2020', '26', '9', '2020', '5654', '99', '32510462', 'Peru', 'PE', 'PER', 'America', '239.65823679');
INSERT INTO public.ecdc_import VALUES (44845, '25/09/2020', '25', '9', '2020', '6235', '68', '32510462', 'Peru', 'PE', 'PER', 'America', '242.57729712');
INSERT INTO public.ecdc_import VALUES (44846, '24/09/2020', '24', '9', '2020', '6149', '284', '32510462', 'Peru', 'PE', 'PER', 'America', '245.82548227');
INSERT INTO public.ecdc_import VALUES (44847, '23/09/2020', '23', '9', '2020', '3650', '112', '32510462', 'Peru', 'PE', 'PER', 'America', '247.16966495');
INSERT INTO public.ecdc_import VALUES (44848, '22/09/2020', '22', '9', '2020', '4001', '105', '32510462', 'Peru', 'PE', 'PER', 'America', '250.13794021');
INSERT INTO public.ecdc_import VALUES (44849, '21/09/2020', '21', '9', '2020', '6030', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '242.74647343');
INSERT INTO public.ecdc_import VALUES (44850, '20/09/2020', '20', '9', '2020', '6453', '86', '32510462', 'Peru', 'PE', 'PER', 'America', '243.50007699');
INSERT INTO public.ecdc_import VALUES (44851, '19/09/2020', '19', '9', '2020', '6314', '137', '32510462', 'Peru', 'PE', 'PER', 'America', '244.73352609');
INSERT INTO public.ecdc_import VALUES (44852, '18/09/2020', '18', '9', '2020', '5698', '95', '32510462', 'Peru', 'PE', 'PER', 'America', '245.93006399');
INSERT INTO public.ecdc_import VALUES (44853, '17/09/2020', '17', '9', '2020', '6380', '124', '32510462', 'Peru', 'PE', 'PER', 'America', '249.03675623');
INSERT INTO public.ecdc_import VALUES (44854, '16/09/2020', '16', '9', '2020', '4160', '115', '32510462', 'Peru', 'PE', 'PER', 'America', '248.81528906');
INSERT INTO public.ecdc_import VALUES (44855, '15/09/2020', '15', '9', '2020', '4241', '102', '32510462', 'Peru', 'PE', 'PER', 'America', '251.68205853');
INSERT INTO public.ecdc_import VALUES (44856, '14/09/2020', '14', '9', '2020', '6787', '117', '32510462', 'Peru', 'PE', 'PER', 'America', '253.61989627');
INSERT INTO public.ecdc_import VALUES (44857, '13/09/2020', '13', '9', '2020', '6162', '123', '32510462', 'Peru', 'PE', 'PER', 'America', '256.52357693');
INSERT INTO public.ecdc_import VALUES (44858, '12/09/2020', '12', '9', '2020', '6603', '126', '32510462', 'Peru', 'PE', 'PER', 'America', '266.71106673');
INSERT INTO public.ecdc_import VALUES (44859, '11/09/2020', '11', '9', '2020', '7291', '108', '32510462', 'Peru', 'PE', 'PER', 'America', '270.89741142');
INSERT INTO public.ecdc_import VALUES (44860, '10/09/2020', '10', '9', '2020', '6586', '113', '32510462', 'Peru', 'PE', 'PER', 'America', '274.98225033');
INSERT INTO public.ecdc_import VALUES (44861, '09/09/2020', '9', '9', '2020', '4615', '147', '32510462', 'Peru', 'PE', 'PER', 'America', '273.16744991');
INSERT INTO public.ecdc_import VALUES (44862, '08/09/2020', '8', '9', '2020', '1598', '138', '32510462', 'Peru', 'PE', 'PER', 'America', '280.33129766');
INSERT INTO public.ecdc_import VALUES (44863, '07/09/2020', '7', '9', '2020', '6275', '151', '32510462', 'Peru', 'PE', 'PER', 'America', '294.21605882');
INSERT INTO public.ecdc_import VALUES (44864, '06/09/2020', '6', '9', '2020', '6854', '133', '32510462', 'Peru', 'PE', 'PER', 'America', '302.87480996');
INSERT INTO public.ecdc_import VALUES (44865, '05/09/2020', '5', '9', '2020', '6703', '149', '32510462', 'Peru', 'PE', 'PER', 'America', '309.99559465');
INSERT INTO public.ecdc_import VALUES (44866, '04/09/2020', '4', '9', '2020', '6708', '146', '32510462', 'Peru', 'PE', 'PER', 'America', '317.08562001');
INSERT INTO public.ecdc_import VALUES (44867, '03/09/2020', '3', '9', '2020', '6308', '191', '32510462', 'Peru', 'PE', 'PER', 'America', '323.02524646');
INSERT INTO public.ecdc_import VALUES (44868, '02/09/2020', '2', '9', '2020', '5092', '124', '32510462', 'Peru', 'PE', 'PER', 'America', '331.61017521');
INSERT INTO public.ecdc_import VALUES (44869, '01/09/2020', '1', '9', '2020', '4871', '156', '32510462', 'Peru', 'PE', 'PER', 'America', '340.02592765');
INSERT INTO public.ecdc_import VALUES (44870, '31/08/2020', '31', '8', '2020', '7731', '181', '32510462', 'Peru', 'PE', 'PER', 'America', '342.1052583');
INSERT INTO public.ecdc_import VALUES (44871, '30/08/2020', '30', '8', '2020', '9474', '136', '32510462', 'Peru', 'PE', 'PER', 'America', '349.52440848');
INSERT INTO public.ecdc_import VALUES (44872, '29/08/2020', '29', '8', '2020', '7964', '194', '32510462', 'Peru', 'PE', 'PER', 'America', '349.62591427');
INSERT INTO public.ecdc_import VALUES (44873, '28/08/2020', '28', '8', '2020', '8619', '153', '32510462', 'Peru', 'PE', 'PER', 'America', '350.65942773');
INSERT INTO public.ecdc_import VALUES (44874, '27/08/2020', '27', '8', '2020', '5996', '123', '32510462', 'Peru', 'PE', 'PER', 'America', '353.18784458');
INSERT INTO public.ecdc_import VALUES (44875, '26/08/2020', '26', '8', '2020', '6944', '188', '32510462', 'Peru', 'PE', 'PER', 'America', '362.04345543');
INSERT INTO public.ecdc_import VALUES (44876, '25/08/2020', '25', '8', '2020', '6112', '150', '32510462', 'Peru', 'PE', 'PER', 'America', '360.82231006');
INSERT INTO public.ecdc_import VALUES (44877, '24/08/2020', '24', '8', '2020', '9090', '210', '32510462', 'Peru', 'PE', 'PER', 'America', '357.73714935');
INSERT INTO public.ecdc_import VALUES (44878, '23/08/2020', '23', '8', '2020', '9169', '208', '32510462', 'Peru', 'PE', 'PER', 'America', '351.34536076');
INSERT INTO public.ecdc_import VALUES (44879, '22/08/2020', '22', '8', '2020', '9008', '211', '32510462', 'Peru', 'PE', 'PER', 'America', '345.09506509');
INSERT INTO public.ecdc_import VALUES (44880, '21/08/2020', '21', '8', '2020', '8639', '200', '32510462', 'Peru', 'PE', 'PER', 'America', '343.42790945');
INSERT INTO public.ecdc_import VALUES (44881, '20/08/2020', '20', '8', '2020', '9099', '176', '32510462', 'Peru', 'PE', 'PER', 'America', '340.80106275');
INSERT INTO public.ecdc_import VALUES (44882, '19/08/2020', '19', '8', '2020', '7828', '177', '32510462', 'Peru', 'PE', 'PER', 'America', '336.60241432');
INSERT INTO public.ecdc_import VALUES (44883, '18/08/2020', '18', '8', '2020', '5547', '200', '32510462', 'Peru', 'PE', 'PER', 'America', '333.40959596');
INSERT INTO public.ecdc_import VALUES (44884, '17/08/2020', '17', '8', '2020', '10143', '206', '32510462', 'Peru', 'PE', 'PER', 'America', '329.42011098');
INSERT INTO public.ecdc_import VALUES (44885, '16/08/2020', '16', '8', '2020', '9507', '219', '32510462', 'Peru', 'PE', 'PER', 'America', '318.72816818');
INSERT INTO public.ecdc_import VALUES (44886, '15/08/2020', '15', '8', '2020', '8300', '208', '32510462', 'Peru', 'PE', 'PER', 'America', '312.39482232');
INSERT INTO public.ecdc_import VALUES (44887, '14/08/2020', '14', '8', '2020', '9441', '3935', '32510462', 'Peru', 'PE', 'PER', 'America', '309.14356123');
INSERT INTO public.ecdc_import VALUES (44888, '13/08/2020', '13', '8', '2020', '8875', '212', '32510462', 'Peru', 'PE', 'PER', 'America', '301.04770581');
INSERT INTO public.ecdc_import VALUES (44889, '12/08/2020', '12', '8', '2020', '6547', '225', '32510462', 'Peru', 'PE', 'PER', 'America', '291.2139483');
INSERT INTO public.ecdc_import VALUES (44890, '11/08/2020', '11', '8', '2020', '5109', '204', '32510462', 'Peru', 'PE', 'PER', 'America', '287.34134876');
INSERT INTO public.ecdc_import VALUES (44891, '10/08/2020', '10', '8', '2020', '7012', '228', '32510462', 'Peru', 'PE', 'PER', 'America', '286.75999744');
INSERT INTO public.ecdc_import VALUES (44892, '09/08/2020', '9', '8', '2020', '7137', '195', '32510462', 'Peru', 'PE', 'PER', 'America', '280.30361426');
INSERT INTO public.ecdc_import VALUES (44893, '08/08/2020', '8', '8', '2020', '8466', '225', '32510462', 'Peru', 'PE', 'PER', 'America', '270.41756589');
INSERT INTO public.ecdc_import VALUES (44894, '07/08/2020', '7', '8', '2020', '7785', '196', '32510462', 'Peru', 'PE', 'PER', 'America', '259.34113148');
INSERT INTO public.ecdc_import VALUES (44895, '06/08/2020', '6', '8', '2020', '7734', '221', '32510462', 'Peru', 'PE', 'PER', 'America', '249.37818478');
INSERT INTO public.ecdc_import VALUES (44896, '05/08/2020', '5', '8', '2020', '6790', '196', '32510462', 'Peru', 'PE', 'PER', 'America', '239.31680823');
INSERT INTO public.ecdc_import VALUES (44897, '04/08/2020', '4', '8', '2020', '4250', '197', '32510462', 'Peru', 'PE', 'PER', 'America', '231.98378417');
INSERT INTO public.ecdc_import VALUES (44898, '03/08/2020', '3', '8', '2020', '6667', '206', '32510462', 'Peru', 'PE', 'PER', 'America', '231.49471084');
INSERT INTO public.ecdc_import VALUES (44899, '02/08/2020', '2', '8', '2020', '7448', '191', '32510462', 'Peru', 'PE', 'PER', 'America', '223.56803173');
INSERT INTO public.ecdc_import VALUES (44900, '01/08/2020', '1', '8', '2020', '7243', '196', '32510462', 'Peru', 'PE', 'PER', 'America', '212.84840554');
INSERT INTO public.ecdc_import VALUES (44901, '31/07/2020', '31', '7', '2020', '6809', '205', '32510462', 'Peru', 'PE', 'PER', 'America', '202.7224344');
INSERT INTO public.ecdc_import VALUES (44902, '30/07/2020', '30', '7', '2020', '5678', '204', '32510462', 'Peru', 'PE', 'PER', 'America', '193.65766011');
INSERT INTO public.ecdc_import VALUES (44903, '29/07/2020', '29', '7', '2020', '5288', '194', '32510462', 'Peru', 'PE', 'PER', 'America', '188.05638628');
INSERT INTO public.ecdc_import VALUES (44904, '28/07/2020', '28', '7', '2020', '4920', '189', '32510462', 'Peru', 'PE', 'PER', 'America', '183.30714587');
INSERT INTO public.ecdc_import VALUES (44905, '27/07/2020', '27', '7', '2020', '4913', '199', '32510462', 'Peru', 'PE', 'PER', 'America', '179.85287321');
INSERT INTO public.ecdc_import VALUES (44906, '26/07/2020', '26', '7', '2020', '3923', '187', '32510462', 'Peru', 'PE', 'PER', 'America', '175.86338822');
INSERT INTO public.ecdc_import VALUES (44907, '25/07/2020', '25', '7', '2020', '4865', '189', '32510462', 'Peru', 'PE', 'PER', 'America', '173.22116185');
INSERT INTO public.ecdc_import VALUES (44908, '24/07/2020', '24', '7', '2020', '4546', '3887', '32510462', 'Peru', 'PE', 'PER', 'America', '168.09358169');
INSERT INTO public.ecdc_import VALUES (44909, '23/07/2020', '23', '7', '2020', '4463', '188', '32510462', 'Peru', 'PE', 'PER', 'America', '164.98996538');
INSERT INTO public.ecdc_import VALUES (44910, '22/07/2020', '22', '7', '2020', '4406', '195', '32510462', 'Peru', 'PE', 'PER', 'America', '162.43694107');
INSERT INTO public.ecdc_import VALUES (44911, '21/07/2020', '21', '7', '2020', '4091', '197', '32510462', 'Peru', 'PE', 'PER', 'America', '159.88084082');
INSERT INTO public.ecdc_import VALUES (44912, '20/07/2020', '20', '7', '2020', '4090', '189', '32510462', 'Peru', 'PE', 'PER', 'America', '156.47885902');
INSERT INTO public.ecdc_import VALUES (44913, '19/07/2020', '19', '7', '2020', '3963', '199', '32510462', 'Peru', 'PE', 'PER', 'America', '155.08853735');
INSERT INTO public.ecdc_import VALUES (44914, '18/07/2020', '18', '7', '2020', '3951', '184', '32510462', 'Peru', 'PE', 'PER', 'America', '153.60593768');
INSERT INTO public.ecdc_import VALUES (44915, '17/07/2020', '17', '7', '2020', '3862', '198', '32510462', 'Peru', 'PE', 'PER', 'America', '152.51090557');
INSERT INTO public.ecdc_import VALUES (44916, '16/07/2020', '16', '7', '2020', '3857', '188', '32510462', 'Peru', 'PE', 'PER', 'America', '151.48046804');
INSERT INTO public.ecdc_import VALUES (44917, '15/07/2020', '15', '7', '2020', '3744', '175', '32510462', 'Peru', 'PE', 'PER', 'America', '149.65643983');
INSERT INTO public.ecdc_import VALUES (44918, '14/07/2020', '14', '7', '2020', '3797', '184', '32510462', 'Peru', 'PE', 'PER', 'America', '146.90040394');
INSERT INTO public.ecdc_import VALUES (44919, '13/07/2020', '13', '7', '2020', '3616', '188', '32510462', 'Peru', 'PE', 'PER', 'America', '144.28278503');
INSERT INTO public.ecdc_import VALUES (44920, '12/07/2020', '12', '7', '2020', '3064', '182', '32510462', 'Peru', 'PE', 'PER', 'America', '143.71066151');
INSERT INTO public.ecdc_import VALUES (44921, '11/07/2020', '11', '7', '2020', '3198', '186', '32510462', 'Peru', 'PE', 'PER', 'America', '145.43625987');
INSERT INTO public.ecdc_import VALUES (44922, '10/07/2020', '10', '7', '2020', '3537', '181', '32510462', 'Peru', 'PE', 'PER', 'America', '147.17108603');
INSERT INTO public.ecdc_import VALUES (44923, '09/07/2020', '9', '7', '2020', '3633', '181', '32510462', 'Peru', 'PE', 'PER', 'America', '148.32763681');
INSERT INTO public.ecdc_import VALUES (44924, '08/07/2020', '8', '7', '2020', '3575', '180', '32510462', 'Peru', 'PE', 'PER', 'America', '149.0843163');
INSERT INTO public.ecdc_import VALUES (44925, '07/07/2020', '7', '7', '2020', '2985', '183', '32510462', 'Peru', 'PE', 'PER', 'America', '156.15588607');
INSERT INTO public.ecdc_import VALUES (44926, '06/07/2020', '6', '7', '2020', '3638', '177', '32510462', 'Peru', 'PE', 'PER', 'America', '146.97422633');
INSERT INTO public.ecdc_import VALUES (44927, '05/07/2020', '5', '7', '2020', '3481', '186', '32510462', 'Peru', 'PE', 'PER', 'America', '146.85118901');
INSERT INTO public.ecdc_import VALUES (44928, '04/07/2020', '4', '7', '2020', '3595', '181', '32510462', 'Peru', 'PE', 'PER', 'America', '146.64202557');
INSERT INTO public.ecdc_import VALUES (44929, '03/07/2020', '3', '7', '2020', '3527', '185', '32510462', 'Peru', 'PE', 'PER', 'America', '146.46362146');
INSERT INTO public.ecdc_import VALUES (44930, '02/07/2020', '2', '7', '2020', '3264', '183', '32510462', 'Peru', 'PE', 'PER', 'America', '146.31905262');
INSERT INTO public.ecdc_import VALUES (44931, '01/07/2020', '1', '7', '2020', '2848', '173', '32510462', 'Peru', 'PE', 'PER', 'America', '147.82010788');
INSERT INTO public.ecdc_import VALUES (44932, '30/06/2020', '30', '6', '2020', '2946', '187', '32510462', 'Peru', 'PE', 'PER', 'America', '151.86803559');
INSERT INTO public.ecdc_import VALUES (44933, '29/06/2020', '29', '6', '2020', '3430', '182', '32510462', 'Peru', 'PE', 'PER', 'America', '152.82157479');
INSERT INTO public.ecdc_import VALUES (44934, '28/06/2020', '28', '6', '2020', '3625', '196', '32510462', 'Peru', 'PE', 'PER', 'America', '156.43272003');
INSERT INTO public.ecdc_import VALUES (44935, '27/06/2020', '27', '6', '2020', '3762', '178', '32510462', 'Peru', 'PE', 'PER', 'America', '158.76427717');
INSERT INTO public.ecdc_import VALUES (44936, '26/06/2020', '26', '6', '2020', '3913', '175', '32510462', 'Peru', 'PE', 'PER', 'America', '165.52825364');
INSERT INTO public.ecdc_import VALUES (44937, '25/06/2020', '25', '6', '2020', '3879', '182', '32510462', 'Peru', 'PE', 'PER', 'America', '171.84006798');
INSERT INTO public.ecdc_import VALUES (44938, '24/06/2020', '24', '6', '2020', '5874', '359', '32510462', 'Peru', 'PE', 'PER', 'America', '175.55579493');
INSERT INTO public.ecdc_import VALUES (44939, '23/06/2020', '23', '6', '2020', '0', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '169.91453397');
INSERT INTO public.ecdc_import VALUES (44940, '22/06/2020', '22', '6', '2020', '3598', '184', '32510462', 'Peru', 'PE', 'PER', 'America', '179.69907656');
INSERT INTO public.ecdc_import VALUES (44941, '21/06/2020', '21', '6', '2020', '3413', '201', '32510462', 'Peru', 'PE', 'PER', 'America', '183.26408281');
INSERT INTO public.ecdc_import VALUES (44942, '20/06/2020', '20', '6', '2020', '3537', '199', '32510462', 'Peru', 'PE', 'PER', 'America', '186.17083941');
INSERT INTO public.ecdc_import VALUES (44943, '19/06/2020', '19', '6', '2020', '3480', '204', '32510462', 'Peru', 'PE', 'PER', 'America', '188.21633479');
INSERT INTO public.ecdc_import VALUES (44944, '18/06/2020', '18', '6', '2020', '3752', '201', '32510462', 'Peru', 'PE', 'PER', 'America', '190.68938485');
INSERT INTO public.ecdc_import VALUES (44945, '17/06/2020', '17', '6', '2020', '4164', '196', '32510462', 'Peru', 'PE', 'PER', 'America', '206.44738915');
INSERT INTO public.ecdc_import VALUES (44946, '16/06/2020', '16', '6', '2020', '3256', '172', '32510462', 'Peru', 'PE', 'PER', 'America', '193.63920451');
INSERT INTO public.ecdc_import VALUES (44947, '15/06/2020', '15', '6', '2020', '4604', '190', '32510462', 'Peru', 'PE', 'PER', 'America', '200.73538174');
INSERT INTO public.ecdc_import VALUES (44948, '14/06/2020', '14', '6', '2020', '4383', '190', '32510462', 'Peru', 'PE', 'PER', 'America', '213.65737589');
INSERT INTO public.ecdc_import VALUES (44949, '13/06/2020', '13', '6', '2020', '5961', '199', '32510462', 'Peru', 'PE', 'PER', 'America', '222.89440242');
INSERT INTO public.ecdc_import VALUES (44950, '12/06/2020', '12', '6', '2020', '5965', '206', '32510462', 'Peru', 'PE', 'PER', 'America', '224.57078586');
INSERT INTO public.ecdc_import VALUES (44951, '11/06/2020', '11', '6', '2020', '5087', '165', '32510462', 'Peru', 'PE', 'PER', 'America', '224.29087596');
INSERT INTO public.ecdc_import VALUES (44952, '10/06/2020', '10', '6', '2020', '4040', '167', '32510462', 'Peru', 'PE', 'PER', 'America', '227.57289638');
INSERT INTO public.ecdc_import VALUES (44953, '09/06/2020', '9', '6', '2020', '3181', '106', '32510462', 'Peru', 'PE', 'PER', 'America', '232.90041218');
INSERT INTO public.ecdc_import VALUES (44954, '08/06/2020', '8', '6', '2020', '4757', '164', '32510462', 'Peru', 'PE', 'PER', 'America', '235.48111989');
INSERT INTO public.ecdc_import VALUES (44955, '07/06/2020', '7', '6', '2020', '4358', '139', '32510462', 'Peru', 'PE', 'PER', 'America', '233.78320493');
INSERT INTO public.ecdc_import VALUES (44956, '06/06/2020', '6', '6', '2020', '4202', '131', '32510462', 'Peru', 'PE', 'PER', 'America', '232.85427319');
INSERT INTO public.ecdc_import VALUES (44957, '05/06/2020', '5', '6', '2020', '4284', '137', '32510462', 'Peru', 'PE', 'PER', 'America', '228.93861059');
INSERT INTO public.ecdc_import VALUES (44958, '04/06/2020', '4', '6', '2020', '8875', '260', '32510462', 'Peru', 'PE', 'PER', 'America', '230.3689194');
INSERT INTO public.ecdc_import VALUES (44959, '03/06/2020', '3', '6', '2020', '0', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '217.02552243');
INSERT INTO public.ecdc_import VALUES (44960, '02/06/2020', '2', '6', '2020', '5563', '128', '32510462', 'Peru', 'PE', 'PER', 'America', '231.02101717');
INSERT INTO public.ecdc_import VALUES (44961, '01/06/2020', '1', '6', '2020', '8805', '135', '32510462', 'Peru', 'PE', 'PER', 'America', '222.09158393');
INSERT INTO public.ecdc_import VALUES (44962, '31/05/2020', '31', '5', '2020', '7386', '141', '32510462', 'Peru', 'PE', 'PER', 'America', '206.48737628');
INSERT INTO public.ecdc_import VALUES (44963, '30/05/2020', '30', '5', '2020', '6506', '131', '32510462', 'Peru', 'PE', 'PER', 'America', '196.21376036');
INSERT INTO public.ecdc_import VALUES (44964, '29/05/2020', '29', '5', '2020', '5874', '116', '32510462', 'Peru', 'PE', 'PER', 'America', '188.1701958');
INSERT INTO public.ecdc_import VALUES (44965, '28/05/2020', '28', '5', '2020', '6154', '195', '32510462', 'Peru', 'PE', 'PER', 'America', '183.32252553');
INSERT INTO public.ecdc_import VALUES (44966, '27/05/2020', '27', '5', '2020', '5772', '159', '32510462', 'Peru', 'PE', 'PER', 'America', '177.45672147');
INSERT INTO public.ecdc_import VALUES (44967, '26/05/2020', '26', '5', '2020', '4020', '173', '32510462', 'Peru', 'PE', 'PER', 'America', '169.65923154');
INSERT INTO public.ecdc_import VALUES (44968, '25/05/2020', '25', '5', '2020', '4205', '83', '32510462', 'Peru', 'PE', 'PER', 'America', '161.9540196');
INSERT INTO public.ecdc_import VALUES (44969, '24/05/2020', '24', '5', '2020', '4056', '129', '32510462', 'Peru', 'PE', 'PER', 'America', '156.06975994');
INSERT INTO public.ecdc_import VALUES (44970, '23/05/2020', '23', '5', '2020', '2929', '96', '32510462', 'Peru', 'PE', 'PER', 'America', '153.33833152');
INSERT INTO public.ecdc_import VALUES (44971, '22/05/2020', '22', '5', '2020', '4749', '124', '32510462', 'Peru', 'PE', 'PER', 'America', '154.54409722');
INSERT INTO public.ecdc_import VALUES (44972, '21/05/2020', '21', '5', '2020', '4537', '110', '32510462', 'Peru', 'PE', 'PER', 'America', '151.34512699');
INSERT INTO public.ecdc_import VALUES (44973, '20/05/2020', '20', '5', '2020', '4550', '125', '32510462', 'Peru', 'PE', 'PER', 'America', '148.54910398');
INSERT INTO public.ecdc_import VALUES (44974, '19/05/2020', '19', '5', '2020', '2660', '141', '32510462', 'Peru', 'PE', 'PER', 'America', '146.29444515');
INSERT INTO public.ecdc_import VALUES (44975, '18/05/2020', '18', '5', '2020', '3732', '125', '32510462', 'Peru', 'PE', 'PER', 'America', '142.55411074');
INSERT INTO public.ecdc_import VALUES (44976, '17/05/2020', '17', '5', '2020', '4046', '130', '32510462', 'Peru', 'PE', 'PER', 'America', '141.51444541');
INSERT INTO public.ecdc_import VALUES (44977, '16/05/2020', '16', '5', '2020', '3891', '126', '32510462', 'Peru', 'PE', 'PER', 'America', '135.45178164');
INSERT INTO public.ecdc_import VALUES (44978, '15/05/2020', '15', '5', '2020', '4298', '98', '32510462', 'Peru', 'PE', 'PER', 'America', '134.19680102');
INSERT INTO public.ecdc_import VALUES (44979, '14/05/2020', '14', '5', '2020', '4247', '112', '32510462', 'Peru', 'PE', 'PER', 'America', '130.34265708');
INSERT INTO public.ecdc_import VALUES (44980, '13/05/2020', '13', '5', '2020', '3237', '96', '32510462', 'Peru', 'PE', 'PER', 'America', '125.71030212');
INSERT INTO public.ecdc_import VALUES (44981, '12/05/2020', '12', '5', '2020', '1515', '72', '32510462', 'Peru', 'PE', 'PER', 'America', '123.41565617');
INSERT INTO public.ecdc_import VALUES (44982, '11/05/2020', '11', '5', '2020', '2292', '75', '32510462', 'Peru', 'PE', 'PER', 'America', '122.39137051');
INSERT INTO public.ecdc_import VALUES (44983, '10/05/2020', '10', '5', '2020', '3168', '100', '32510462', 'Peru', 'PE', 'PER', 'America', '122.06532162');
INSERT INTO public.ecdc_import VALUES (44984, '09/05/2020', '9', '5', '2020', '3321', '87', '32510462', 'Peru', 'PE', 'PER', 'America', '123.64942707');
INSERT INTO public.ecdc_import VALUES (44985, '08/05/2020', '8', '5', '2020', '3709', '94', '32510462', 'Peru', 'PE', 'PER', 'America', '115.69198863');
INSERT INTO public.ecdc_import VALUES (44986, '07/05/2020', '7', '5', '2020', '3628', '89', '32510462', 'Peru', 'PE', 'PER', 'America', '109.40170583');
INSERT INTO public.ecdc_import VALUES (44987, '06/05/2020', '6', '5', '2020', '3817', '100', '32510462', 'Peru', 'PE', 'PER', 'America', '102.58851443');
INSERT INTO public.ecdc_import VALUES (44988, '05/05/2020', '5', '5', '2020', '1444', '58', '32510462', 'Peru', 'PE', 'PER', 'America', '95.49848907');
INSERT INTO public.ecdc_import VALUES (44989, '04/05/2020', '4', '5', '2020', '3394', '86', '32510462', 'Peru', 'PE', 'PER', 'America', '93.20076719');
INSERT INTO public.ecdc_import VALUES (44990, '03/05/2020', '3', '5', '2020', '2075', '76', '32510462', 'Peru', 'PE', 'PER', 'America', '86.47677784');
INSERT INTO public.ecdc_import VALUES (44991, '02/05/2020', '2', '5', '2020', '3483', '73', '32510462', 'Peru', 'PE', 'PER', 'America', '82.9579106');
INSERT INTO public.ecdc_import VALUES (44992, '01/05/2020', '1', '5', '2020', '3045', '108', '32510462', 'Peru', 'PE', 'PER', 'America', '75.31421731');
INSERT INTO public.ecdc_import VALUES (44993, '30/04/2020', '30', '4', '2020', '2741', '89', '32510462', 'Peru', 'PE', 'PER', 'America', '69.07314944');
INSERT INTO public.ecdc_import VALUES (44994, '29/04/2020', '29', '4', '2020', '2491', '72', '32510462', 'Peru', 'PE', 'PER', 'America', '64.2470107');
INSERT INTO public.ecdc_import VALUES (44995, '28/04/2020', '28', '4', '2020', '1182', '54', '32510462', 'Peru', 'PE', 'PER', 'America', '65.14825904');
INSERT INTO public.ecdc_import VALUES (44996, '27/04/2020', '27', '4', '2020', '2186', '28', '32510462', 'Peru', 'PE', 'PER', 'America', '61.51250634');
INSERT INTO public.ecdc_import VALUES (44997, '26/04/2020', '26', '4', '2020', '3683', '66', '32510462', 'Peru', 'PE', 'PER', 'America', '56.85246798');
INSERT INTO public.ecdc_import VALUES (44998, '25/04/2020', '25', '4', '2020', '734', '62', '32510462', 'Peru', 'PE', 'PER', 'America', '48.44901927');
INSERT INTO public.ecdc_import VALUES (44999, '24/04/2020', '24', '4', '2020', '1664', '42', '32510462', 'Peru', 'PE', 'PER', 'America', '48.16295751');
INSERT INTO public.ecdc_import VALUES (45000, '23/04/2020', '23', '4', '2020', '1413', '46', '32510462', 'Peru', 'PE', 'PER', 'America', '45.85600783');
INSERT INTO public.ecdc_import VALUES (45001, '22/04/2020', '22', '4', '2020', '1512', '39', '32510462', 'Peru', 'PE', 'PER', 'America', '45.77910951');
INSERT INTO public.ecdc_import VALUES (45002, '21/04/2020', '21', '4', '2020', '697', '45', '32510462', 'Peru', 'PE', 'PER', 'America', '42.33714058');
INSERT INTO public.ecdc_import VALUES (45003, '20/04/2020', '20', '4', '2020', '1208', '52', '32510462', 'Peru', 'PE', 'PER', 'America', '41.05447656');
INSERT INTO public.ecdc_import VALUES (45004, '19/04/2020', '19', '4', '2020', '931', '48', '32510462', 'Peru', 'PE', 'PER', 'America', '38.98437371');
INSERT INTO public.ecdc_import VALUES (45005, '18/04/2020', '18', '4', '2020', '998', '26', '32510462', 'Peru', 'PE', 'PER', 'America', '36.58514604');
INSERT INTO public.ecdc_import VALUES (45006, '17/04/2020', '17', '4', '2020', '1016', '20', '32510462', 'Peru', 'PE', 'PER', 'America', '34.07210885');
INSERT INTO public.ecdc_import VALUES (45007, '16/04/2020', '16', '4', '2020', '1172', '24', '32510462', 'Peru', 'PE', 'PER', 'America', '31.22687091');
INSERT INTO public.ecdc_import VALUES (45008, '15/04/2020', '15', '4', '2020', '2784', '37', '32510462', 'Peru', 'PE', 'PER', 'America', '28.41546823');
INSERT INTO public.ecdc_import VALUES (45009, '14/04/2020', '14', '4', '2020', '0', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '20.20580329');
INSERT INTO public.ecdc_import VALUES (45010, '13/04/2020', '13', '4', '2020', '671', '12', '32510462', 'Peru', 'PE', 'PER', 'America', '20.50724471');
INSERT INTO public.ecdc_import VALUES (45011, '12/04/2020', '12', '4', '2020', '951', '12', '32510462', 'Peru', 'PE', 'PER', 'America', '19.00003759');
INSERT INTO public.ecdc_import VALUES (45012, '11/04/2020', '11', '4', '2020', '641', '31', '32510462', 'Peru', 'PE', 'PER', 'America', '16.18555897');
INSERT INTO public.ecdc_import VALUES (45013, '10/04/2020', '10', '4', '2020', '914', '17', '32510462', 'Peru', 'PE', 'PER', 'America', '14.38306229');
INSERT INTO public.ecdc_import VALUES (45014, '09/04/2020', '9', '4', '2020', '1388', '14', '32510462', 'Peru', 'PE', 'PER', 'America', '11.63933013');
INSERT INTO public.ecdc_import VALUES (45015, '08/04/2020', '8', '4', '2020', '393', '15', '32510462', 'Peru', 'PE', 'PER', 'America', '7.80671773');
INSERT INTO public.ecdc_import VALUES (45016, '07/04/2020', '7', '4', '2020', '280', '9', '32510462', 'Peru', 'PE', 'PER', 'America', '6.66247068');
INSERT INTO public.ecdc_import VALUES (45017, '06/04/2020', '6', '4', '2020', '535', '10', '32510462', 'Peru', 'PE', 'PER', 'America', '5.89963932');
INSERT INTO public.ecdc_import VALUES (45018, '05/04/2020', '5', '4', '2020', '151', '12', '32510462', 'Peru', 'PE', 'PER', 'America', '4.3924322');
INSERT INTO public.ecdc_import VALUES (45019, '04/04/2020', '4', '4', '2020', '181', '6', '32510462', 'Peru', 'PE', 'PER', 'America', '4.09714264');
INSERT INTO public.ecdc_import VALUES (45020, '03/04/2020', '3', '4', '2020', '91', '8', '32510462', 'Peru', 'PE', 'PER', 'America', '3.62960083');
INSERT INTO public.ecdc_import VALUES (45021, '02/04/2020', '2', '4', '2020', '258', '17', '32510462', 'Peru', 'PE', 'PER', 'America', '3.62344897');
INSERT INTO public.ecdc_import VALUES (45022, '01/04/2020', '1', '4', '2020', '115', '6', '32510462', 'Peru', 'PE', 'PER', 'America', '2.9159844');
INSERT INTO public.ecdc_import VALUES (45023, '31/03/2020', '31', '3', '2020', '98', '6', '32510462', 'Peru', 'PE', 'PER', 'America', '2.65760603');
INSERT INTO public.ecdc_import VALUES (45024, '30/03/2020', '30', '3', '2020', '181', '2', '32510462', 'Peru', 'PE', 'PER', 'America', '2.4023036');
INSERT INTO public.ecdc_import VALUES (45025, '29/03/2020', '29', '3', '2020', '36', '5', '32510462', 'Peru', 'PE', 'PER', 'America', '1.93168587');
INSERT INTO public.ecdc_import VALUES (45026, '28/03/2020', '28', '3', '2020', '55', '2', '32510462', 'Peru', 'PE', 'PER', 'America', '1.83633195');
INSERT INTO public.ecdc_import VALUES (45027, '27/03/2020', '27', '3', '2020', '22', '1', '32510462', 'Peru', 'PE', 'PER', 'America', '1.71637056');
INSERT INTO public.ecdc_import VALUES (45028, '26/03/2020', '26', '3', '2020', '142', '1', '32510462', 'Peru', 'PE', 'PER', 'America', '1.6640797');
INSERT INTO public.ecdc_import VALUES (45029, '25/03/2020', '25', '3', '2020', '21', '2', '32510462', 'Peru', 'PE', 'PER', 'America', '1.24575283');
INSERT INTO public.ecdc_import VALUES (45030, '24/03/2020', '24', '3', '2020', '32', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '1.1873101');
INSERT INTO public.ecdc_import VALUES (45031, '23/03/2020', '23', '3', '2020', '45', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '1.09503212');
INSERT INTO public.ecdc_import VALUES (45032, '22/03/2020', '22', '3', '2020', '55', '2', '32510462', 'Peru', 'PE', 'PER', 'America', '0.97507073');
INSERT INTO public.ecdc_import VALUES (45033, '21/03/2020', '21', '3', '2020', '29', '1', '32510462', 'Peru', 'PE', 'PER', 'America', '0.80897036');
INSERT INTO public.ecdc_import VALUES (45034, '20/03/2020', '20', '3', '2020', '89', '2', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45035, '19/03/2020', '19', '3', '2020', '28', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45036, '18/03/2020', '18', '3', '2020', '31', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45037, '17/03/2020', '17', '3', '2020', '15', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45038, '16/03/2020', '16', '3', '2020', '28', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45039, '15/03/2020', '15', '3', '2020', '5', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45040, '14/03/2020', '14', '3', '2020', '16', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45041, '13/03/2020', '13', '3', '2020', '5', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45042, '12/03/2020', '12', '3', '2020', '6', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45043, '11/03/2020', '11', '3', '2020', '2', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45044, '10/03/2020', '10', '3', '2020', '2', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45045, '09/03/2020', '9', '3', '2020', '6', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45046, '07/03/2020', '7', '3', '2020', '1', '0', '32510462', 'Peru', 'PE', 'PER', 'America', '');
INSERT INTO public.ecdc_import VALUES (45047, '14/12/2020', '14', '12', '2020', '1069', '3', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '18.06937697');
INSERT INTO public.ecdc_import VALUES (45048, '13/12/2020', '13', '12', '2020', '1292', '21', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '18.99245428');
INSERT INTO public.ecdc_import VALUES (45049, '12/12/2020', '12', '12', '2020', '1499', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.53538652');
INSERT INTO public.ecdc_import VALUES (45050, '11/12/2020', '11', '12', '2020', '1376', '24', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.64822763');
INSERT INTO public.ecdc_import VALUES (45051, '10/12/2020', '10', '12', '2020', '1379', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.6537772');
INSERT INTO public.ecdc_import VALUES (45052, '09/12/2020', '9', '12', '2020', '1386', '98', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.48174074');
INSERT INTO public.ecdc_import VALUES (45053, '08/12/2020', '8', '12', '2020', '1565', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.22461099');
INSERT INTO public.ecdc_import VALUES (45054, '07/12/2020', '7', '12', '2020', '1765', '28', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.43826917');
INSERT INTO public.ecdc_import VALUES (45055, '06/12/2020', '6', '12', '2020', '1724', '17', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.62417953');
INSERT INTO public.ecdc_import VALUES (45056, '05/12/2020', '5', '12', '2020', '932', '63', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.68060008');
INSERT INTO public.ecdc_import VALUES (45057, '04/12/2020', '4', '12', '2020', '1056', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.33267373');
INSERT INTO public.ecdc_import VALUES (45058, '03/12/2020', '3', '12', '2020', '1432', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.58887855');
INSERT INTO public.ecdc_import VALUES (45059, '02/12/2020', '2', '12', '2020', '1295', '26', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.53985741');
INSERT INTO public.ecdc_import VALUES (45060, '01/12/2020', '1', '12', '2020', '1766', '19', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.40019341');
INSERT INTO public.ecdc_import VALUES (45061, '30/11/2020', '30', '11', '2020', '2067', '40', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.3724456');
INSERT INTO public.ecdc_import VALUES (45062, '29/11/2020', '29', '11', '2020', '1879', '78', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.84893683');
INSERT INTO public.ecdc_import VALUES (45063, '28/11/2020', '28', '11', '2020', '1621', '13', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.6130804');
INSERT INTO public.ecdc_import VALUES (45064, '27/11/2020', '27', '11', '2020', '1382', '27', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.86466059');
INSERT INTO public.ecdc_import VALUES (45065, '26/11/2020', '26', '11', '2020', '1193', '30', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.88500899');
INSERT INTO public.ecdc_import VALUES (45066, '25/11/2020', '25', '11', '2020', '1108', '12', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.32342446');
INSERT INTO public.ecdc_import VALUES (45067, '24/11/2020', '24', '11', '2020', '1796', '50', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.50101047');
INSERT INTO public.ecdc_import VALUES (45068, '23/11/2020', '23', '11', '2020', '1966', '43', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.73964168');
INSERT INTO public.ecdc_import VALUES (45069, '22/11/2020', '22', '11', '2020', '1785', '55', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.17250759');
INSERT INTO public.ecdc_import VALUES (45070, '21/11/2020', '21', '11', '2020', '1637', '27', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.51195586');
INSERT INTO public.ecdc_import VALUES (45071, '20/11/2020', '20', '11', '2020', '1333', '41', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.9253983');
INSERT INTO public.ecdc_import VALUES (45072, '19/11/2020', '19', '11', '2020', '1379', '95', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '22.16125472');
INSERT INTO public.ecdc_import VALUES (45073, '18/11/2020', '18', '11', '2020', '1144', '23', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.78850908');
INSERT INTO public.ecdc_import VALUES (45074, '17/11/2020', '17', '11', '2020', '1736', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '22.35918914');
INSERT INTO public.ecdc_import VALUES (45075, '16/11/2020', '16', '11', '2020', '1501', '41', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '22.868824');
INSERT INTO public.ecdc_import VALUES (45076, '15/11/2020', '15', '11', '2020', '1624', '39', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.68553468');
INSERT INTO public.ecdc_import VALUES (45077, '14/11/2020', '14', '11', '2020', '1893', '31', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.84462215');
INSERT INTO public.ecdc_import VALUES (45078, '13/11/2020', '13', '11', '2020', '1404', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.9417395');
INSERT INTO public.ecdc_import VALUES (45079, '12/11/2020', '12', '11', '2020', '1667', '49', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.26638894');
INSERT INTO public.ecdc_import VALUES (45080, '11/11/2020', '11', '11', '2020', '1300', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.60768706');
INSERT INTO public.ecdc_import VALUES (45081, '10/11/2020', '10', '11', '2020', '2054', '108', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.80562147');
INSERT INTO public.ecdc_import VALUES (45082, '09/11/2020', '9', '11', '2020', '2434', '54', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.38755439');
INSERT INTO public.ecdc_import VALUES (45083, '08/11/2020', '8', '11', '2020', '2152', '24', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.17944578');
INSERT INTO public.ecdc_import VALUES (45084, '07/11/2020', '7', '11', '2020', '2084', '52', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.0573554');
INSERT INTO public.ecdc_import VALUES (45085, '06/11/2020', '6', '11', '2020', '1588', '42', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.897343');
INSERT INTO public.ecdc_import VALUES (45086, '05/11/2020', '5', '11', '2020', '976', '49', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.95006385');
INSERT INTO public.ecdc_import VALUES (45087, '04/11/2020', '4', '11', '2020', '1761', '49', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.40512801');
INSERT INTO public.ecdc_import VALUES (45088, '03/11/2020', '3', '11', '2020', '2287', '31', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.2617643');
INSERT INTO public.ecdc_import VALUES (45089, '02/11/2020', '2', '11', '2020', '2384', '17', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.50594507');
INSERT INTO public.ecdc_import VALUES (45090, '01/11/2020', '1', '11', '2020', '1796', '36', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.40975265');
INSERT INTO public.ecdc_import VALUES (45091, '31/10/2020', '31', '10', '2020', '1998', '38', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '25.14229496');
INSERT INTO public.ecdc_import VALUES (45092, '30/10/2020', '30', '10', '2020', '1755', '33', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '26.11716818');
INSERT INTO public.ecdc_import VALUES (45093, '29/10/2020', '29', '10', '2020', '2036', '61', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '26.49361354');
INSERT INTO public.ecdc_import VALUES (45094, '28/10/2020', '28', '10', '2020', '1514', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '26.29660405');
INSERT INTO public.ecdc_import VALUES (45095, '27/10/2020', '27', '10', '2020', '1602', '62', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '26.65085115');
INSERT INTO public.ecdc_import VALUES (45096, '26/10/2020', '26', '10', '2020', '2209', '43', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '28.38323972');
INSERT INTO public.ecdc_import VALUES (45097, '25/10/2020', '25', '10', '2020', '2020', '19', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '28.57377472');
INSERT INTO public.ecdc_import VALUES (45098, '24/10/2020', '24', '10', '2020', '1911', '132', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '28.69956481');
INSERT INTO public.ecdc_import VALUES (45099, '23/10/2020', '23', '10', '2020', '1645', '36', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '29.6152427');
INSERT INTO public.ecdc_import VALUES (45100, '22/10/2020', '22', '10', '2020', '1468', '57', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '30.15817494');
INSERT INTO public.ecdc_import VALUES (45101, '21/10/2020', '21', '10', '2020', '1606', '15', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '31.39387762');
INSERT INTO public.ecdc_import VALUES (45102, '20/10/2020', '20', '10', '2020', '2551', '23', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '31.82396875');
INSERT INTO public.ecdc_import VALUES (45103, '19/10/2020', '19', '10', '2020', '2280', '49', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '31.55943958');
INSERT INTO public.ecdc_import VALUES (45104, '18/10/2020', '18', '10', '2020', '2588', '72', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.37984997');
INSERT INTO public.ecdc_import VALUES (45105, '17/10/2020', '17', '10', '2020', '3052', '34', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.43904531');
INSERT INTO public.ecdc_import VALUES (45106, '16/10/2020', '16', '10', '2020', '2162', '48', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.02005331');
INSERT INTO public.ecdc_import VALUES (45107, '15/10/2020', '15', '10', '2020', '1823', '77', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '34.4378129');
INSERT INTO public.ecdc_import VALUES (45108, '14/10/2020', '14', '10', '2020', '1897', '40', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.75167069');
INSERT INTO public.ecdc_import VALUES (45109, '13/10/2020', '13', '10', '2020', '3475', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.8608121');
INSERT INTO public.ecdc_import VALUES (45110, '12/10/2020', '12', '10', '2020', '2415', '83', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.47881718');
INSERT INTO public.ecdc_import VALUES (45111, '11/10/2020', '11', '10', '2020', '2156', '86', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.99215175');
INSERT INTO public.ecdc_import VALUES (45112, '10/10/2020', '10', '10', '2020', '2901', '83', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.75074576');
INSERT INTO public.ecdc_import VALUES (45113, '09/10/2020', '9', '10', '2020', '2232', '144', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.47789225');
INSERT INTO public.ecdc_import VALUES (45114, '08/10/2020', '8', '10', '2020', '2804', '60', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.41499721');
INSERT INTO public.ecdc_import VALUES (45115, '07/10/2020', '7', '10', '2020', '2071', '25', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '32.41314735');
INSERT INTO public.ecdc_import VALUES (45116, '06/10/2020', '6', '10', '2020', '2265', '64', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '31.97658173');
INSERT INTO public.ecdc_import VALUES (45117, '05/10/2020', '5', '10', '2020', '3167', '98', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '33.06984563');
INSERT INTO public.ecdc_import VALUES (45118, '04/10/2020', '4', '10', '2020', '2652', '62', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '33.17713718');
INSERT INTO public.ecdc_import VALUES (45119, '03/10/2020', '3', '10', '2020', '2599', '54', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '34.3628938');
INSERT INTO public.ecdc_import VALUES (45120, '02/10/2020', '2', '10', '2020', '4776', '114', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '34.95299733');
INSERT INTO public.ecdc_import VALUES (45121, '01/10/2020', '1', '10', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '33.63867584');
INSERT INTO public.ecdc_import VALUES (45122, '30/09/2020', '30', '9', '2020', '2015', '67', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '36.90089393');
INSERT INTO public.ecdc_import VALUES (45123, '29/09/2020', '29', '9', '2020', '3062', '37', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '38.29198437');
INSERT INTO public.ecdc_import VALUES (45124, '28/09/2020', '28', '9', '2020', '2970', '60', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '39.7811171');
INSERT INTO public.ecdc_import VALUES (45125, '27/09/2020', '27', '9', '2020', '1895', '88', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '40.1353642');
INSERT INTO public.ecdc_import VALUES (45126, '26/09/2020', '26', '9', '2020', '2606', '69', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '42.91384538');
INSERT INTO public.ecdc_import VALUES (45127, '25/09/2020', '25', '9', '2020', '2164', '36', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '44.21891761');
INSERT INTO public.ecdc_import VALUES (45128, '24/09/2020', '24', '9', '2020', '2802', '42', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '45.73579815');
INSERT INTO public.ecdc_import VALUES (45129, '23/09/2020', '23', '9', '2020', '1599', '50', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '46.06322236');
INSERT INTO public.ecdc_import VALUES (45130, '22/09/2020', '22', '9', '2020', '3447', '15', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '47.59952637');
INSERT INTO public.ecdc_import VALUES (45131, '21/09/2020', '21', '9', '2020', '3283', '54', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '45.67105324');
INSERT INTO public.ecdc_import VALUES (45132, '20/09/2020', '20', '9', '2020', '3934', '100', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '45.21968879');
INSERT INTO public.ecdc_import VALUES (45133, '19/09/2020', '19', '9', '2020', '3237', '45', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '47.28505114');
INSERT INTO public.ecdc_import VALUES (45134, '18/09/2020', '18', '9', '2020', '3355', '53', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '44.29106192');
INSERT INTO public.ecdc_import VALUES (45135, '17/09/2020', '17', '9', '2020', '3527', '69', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '43.00356332');
INSERT INTO public.ecdc_import VALUES (45136, '16/09/2020', '16', '9', '2020', '3519', '33', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '41.75398673');
INSERT INTO public.ecdc_import VALUES (45137, '15/09/2020', '15', '9', '2020', '4672', '259', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '41.68554212');
INSERT INTO public.ecdc_import VALUES (45138, '14/09/2020', '14', '9', '2020', '3353', '79', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '40.5303081');
INSERT INTO public.ecdc_import VALUES (45139, '13/09/2020', '13', '9', '2020', '4899', '184', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '41.37384167');
INSERT INTO public.ecdc_import VALUES (45140, '12/09/2020', '12', '9', '2020', '4017', '42', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '40.16033723');
INSERT INTO public.ecdc_import VALUES (45141, '11/09/2020', '11', '9', '2020', '3804', '80', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '40.11039117');
INSERT INTO public.ecdc_import VALUES (45142, '10/09/2020', '10', '9', '2020', '3156', '70', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '39.57023371');
INSERT INTO public.ecdc_import VALUES (45143, '09/09/2020', '9', '9', '2020', '3260', '26', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '41.45801004');
INSERT INTO public.ecdc_import VALUES (45144, '08/09/2020', '8', '9', '2020', '1362', '15', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '41.13613539');
INSERT INTO public.ecdc_import VALUES (45145, '07/09/2020', '7', '9', '2020', '2795', '85', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '44.17822081');
INSERT INTO public.ecdc_import VALUES (45146, '06/09/2020', '6', '9', '2020', '6167', '102', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '43.76847808');
INSERT INTO public.ecdc_import VALUES (45147, '05/09/2020', '5', '9', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '42.58179653');
INSERT INTO public.ecdc_import VALUES (45148, '04/09/2020', '4', '9', '2020', '1963', '65', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '46.59875518');
INSERT INTO public.ecdc_import VALUES (45149, '03/09/2020', '3', '9', '2020', '2176', '26', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '48.71221374');
INSERT INTO public.ecdc_import VALUES (45150, '02/09/2020', '2', '9', '2020', '3445', '34', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '50.91816502');
INSERT INTO public.ecdc_import VALUES (45151, '01/09/2020', '1', '9', '2020', '3423', '43', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '52.11502076');
INSERT INTO public.ecdc_import VALUES (45152, '31/08/2020', '31', '8', '2020', '4265', '101', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '51.92818547');
INSERT INTO public.ecdc_import VALUES (45153, '30/08/2020', '30', '8', '2020', '3587', '94', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '51.06800322');
INSERT INTO public.ecdc_import VALUES (45154, '29/08/2020', '29', '8', '2020', '3963', '91', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '51.68862934');
INSERT INTO public.ecdc_import VALUES (45155, '28/08/2020', '28', '8', '2020', '3220', '97', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.6966462');
INSERT INTO public.ecdc_import VALUES (45156, '27/08/2020', '27', '8', '2020', '5197', '99', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '54.21183063');
INSERT INTO public.ecdc_import VALUES (45157, '26/08/2020', '26', '8', '2020', '2912', '28', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.29985245');
INSERT INTO public.ecdc_import VALUES (45158, '25/08/2020', '25', '8', '2020', '4651', '12', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.28875332');
INSERT INTO public.ecdc_import VALUES (45159, '24/08/2020', '24', '8', '2020', '2352', '32', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '55.20705225');
INSERT INTO public.ecdc_import VALUES (45160, '23/08/2020', '23', '8', '2020', '4884', '26', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '55.83230301');
INSERT INTO public.ecdc_import VALUES (45161, '22/08/2020', '22', '8', '2020', '4343', '57', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '55.13583286');
INSERT INTO public.ecdc_import VALUES (45162, '21/08/2020', '21', '8', '2020', '4248', '88', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '54.16558427');
INSERT INTO public.ecdc_import VALUES (45163, '20/08/2020', '20', '8', '2020', '4561', '108', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.45524021');
INSERT INTO public.ecdc_import VALUES (45164, '19/08/2020', '19', '8', '2020', '4739', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '52.36937573');
INSERT INTO public.ecdc_import VALUES (45165, '18/08/2020', '18', '8', '2020', '3221', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.77896472');
INSERT INTO public.ecdc_import VALUES (45166, '17/08/2020', '17', '8', '2020', '3335', '65', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.70867025');
INSERT INTO public.ecdc_import VALUES (45167, '16/08/2020', '16', '8', '2020', '4258', '158', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '55.2052024');
INSERT INTO public.ecdc_import VALUES (45168, '15/08/2020', '15', '8', '2020', '6134', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '55.77865724');
INSERT INTO public.ecdc_import VALUES (45169, '14/08/2020', '14', '8', '2020', '3777', '22', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.78636414');
INSERT INTO public.ecdc_import VALUES (45170, '13/08/2020', '13', '8', '2020', '4211', '92', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '53.88903105');
INSERT INTO public.ecdc_import VALUES (45171, '12/08/2020', '12', '8', '2020', '2900', '19', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '51.67105572');
INSERT INTO public.ecdc_import VALUES (45172, '11/08/2020', '11', '8', '2020', '6725', '23', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '50.49917301');
INSERT INTO public.ecdc_import VALUES (45173, '10/08/2020', '10', '8', '2020', '3028', '61', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '45.75152191');
INSERT INTO public.ecdc_import VALUES (45174, '09/08/2020', '9', '8', '2020', '4131', '41', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '44.83399417');
INSERT INTO public.ecdc_import VALUES (45175, '08/08/2020', '8', '8', '2020', '3294', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '42.83337672');
INSERT INTO public.ecdc_import VALUES (45176, '07/08/2020', '7', '8', '2020', '3480', '27', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '41.68646704');
INSERT INTO public.ecdc_import VALUES (45177, '06/08/2020', '6', '8', '2020', '3387', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '40.42949104');
INSERT INTO public.ecdc_import VALUES (45178, '05/08/2020', '5', '8', '2020', '6263', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '38.68877812');
INSERT INTO public.ecdc_import VALUES (45179, '04/08/2020', '4', '8', '2020', '3145', '45', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '34.62187341');
INSERT INTO public.ecdc_import VALUES (45180, '03/08/2020', '3', '8', '2020', '4953', '20', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '33.04672245');
INSERT INTO public.ecdc_import VALUES (45181, '02/08/2020', '2', '8', '2020', '4878', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '30.45600148');
INSERT INTO public.ecdc_import VALUES (45182, '01/08/2020', '1', '8', '2020', '3980', '40', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '28.07431405');
INSERT INTO public.ecdc_import VALUES (45183, '31/07/2020', '31', '7', '2020', '3888', '21', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '25.99785258');
INSERT INTO public.ecdc_import VALUES (45184, '30/07/2020', '30', '7', '2020', '1813', '15', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.6363598');
INSERT INTO public.ecdc_import VALUES (45185, '29/07/2020', '29', '7', '2020', '1633', '2', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '24.1664968');
INSERT INTO public.ecdc_import VALUES (45186, '28/07/2020', '28', '7', '2020', '1592', '13', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.15462649');
INSERT INTO public.ecdc_import VALUES (45187, '27/07/2020', '27', '7', '2020', '2036', '35', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '22.37306304');
INSERT INTO public.ecdc_import VALUES (45188, '26/07/2020', '26', '7', '2020', '1968', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '22.37398797');
INSERT INTO public.ecdc_import VALUES (45189, '25/07/2020', '25', '7', '2020', '2054', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.76353605');
INSERT INTO public.ecdc_import VALUES (45190, '24/07/2020', '24', '7', '2020', '2121', '28', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.93665117');
INSERT INTO public.ecdc_import VALUES (45191, '23/07/2020', '23', '7', '2020', '1505', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.26515405');
INSERT INTO public.ecdc_import VALUES (45192, '22/07/2020', '22', '7', '2020', '1866', '2', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.17250759');
INSERT INTO public.ecdc_import VALUES (45193, '21/07/2020', '21', '7', '2020', '1442', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.87098134');
INSERT INTO public.ecdc_import VALUES (45194, '20/07/2020', '20', '7', '2020', '2152', '58', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '23.70218337');
INSERT INTO public.ecdc_import VALUES (45195, '19/07/2020', '19', '7', '2020', '2303', '113', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '21.71174012');
INSERT INTO public.ecdc_import VALUES (45196, '18/07/2020', '18', '7', '2020', '1735', '17', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.96347405');
INSERT INTO public.ecdc_import VALUES (45197, '17/07/2020', '17', '7', '2020', '2416', '29', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '20.77478891');
INSERT INTO public.ecdc_import VALUES (45198, '16/07/2020', '16', '7', '2020', '1305', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '18.81209348');
INSERT INTO public.ecdc_import VALUES (45199, '15/07/2020', '15', '7', '2020', '539', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '18.52721592');
INSERT INTO public.ecdc_import VALUES (45200, '14/07/2020', '14', '7', '2020', '747', '65', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.0239018');
INSERT INTO public.ecdc_import VALUES (45201, '13/07/2020', '13', '7', '2020', '2037', '162', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '19.24218461');
INSERT INTO public.ecdc_import VALUES (45202, '12/07/2020', '12', '7', '2020', '1308', '12', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '17.9611605');
INSERT INTO public.ecdc_import VALUES (45203, '11/07/2020', '11', '7', '2020', '1160', '42', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '17.4265526');
INSERT INTO public.ecdc_import VALUES (45204, '10/07/2020', '10', '7', '2020', '1395', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '17.28226396');
INSERT INTO public.ecdc_import VALUES (45205, '09/07/2020', '9', '7', '2020', '2486', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '16.7078842');
INSERT INTO public.ecdc_import VALUES (45206, '08/07/2020', '8', '7', '2020', '1540', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '14.84323104');
INSERT INTO public.ecdc_import VALUES (45207, '07/07/2020', '7', '7', '2020', '4503', '13', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '14.47603496');
INSERT INTO public.ecdc_import VALUES (45208, '06/07/2020', '6', '7', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '10.89379208');
INSERT INTO public.ecdc_import VALUES (45209, '05/07/2020', '5', '7', '2020', '1494', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '11.49684458');
INSERT INTO public.ecdc_import VALUES (45210, '04/07/2020', '4', '7', '2020', '1531', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '10.98535986');
INSERT INTO public.ecdc_import VALUES (45211, '03/07/2020', '3', '7', '2020', '294', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '10.17974831');
INSERT INTO public.ecdc_import VALUES (45212, '02/07/2020', '2', '7', '2020', '997', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '10.42670386');
INSERT INTO public.ecdc_import VALUES (45213, '01/07/2020', '1', '7', '2020', '1076', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '9.92724319');
INSERT INTO public.ecdc_import VALUES (45214, '30/06/2020', '30', '6', '2020', '983', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '9.26592028');
INSERT INTO public.ecdc_import VALUES (45215, '29/06/2020', '29', '6', '2020', '652', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '8.80993119');
INSERT INTO public.ecdc_import VALUES (45216, '28/06/2020', '28', '6', '2020', '730', '12', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '8.70448949');
INSERT INTO public.ecdc_import VALUES (45217, '27/06/2020', '27', '6', '2020', '1004', '12', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '8.5888736');
INSERT INTO public.ecdc_import VALUES (45218, '26/06/2020', '26', '6', '2020', '774', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '8.22630215');
INSERT INTO public.ecdc_import VALUES (45219, '25/06/2020', '25', '6', '2020', '470', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.92015126');
INSERT INTO public.ecdc_import VALUES (45220, '24/06/2020', '24', '6', '2020', '1143', '9', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '8.16988159');
INSERT INTO public.ecdc_import VALUES (45221, '23/06/2020', '23', '6', '2020', '630', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.59180212');
INSERT INTO public.ecdc_import VALUES (45222, '22/06/2020', '22', '6', '2020', '652', '19', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.54463083');
INSERT INTO public.ecdc_import VALUES (45223, '21/06/2020', '21', '6', '2020', '941', '20', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.4549129');
INSERT INTO public.ecdc_import VALUES (45224, '20/06/2020', '20', '6', '2020', '660', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.24495443');
INSERT INTO public.ecdc_import VALUES (45225, '19/06/2020', '19', '6', '2020', '561', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '6.86018474');
INSERT INTO public.ecdc_import VALUES (45226, '18/06/2020', '18', '6', '2020', '457', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '6.92770442');
INSERT INTO public.ecdc_import VALUES (45227, '17/06/2020', '17', '6', '2020', '361', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.199633');
INSERT INTO public.ecdc_import VALUES (45228, '16/06/2020', '16', '6', '2020', '490', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.19778315');
INSERT INTO public.ecdc_import VALUES (45229, '15/06/2020', '15', '6', '2020', '538', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.25512863');
INSERT INTO public.ecdc_import VALUES (45230, '14/06/2020', '14', '6', '2020', '605', '22', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.55480503');
INSERT INTO public.ecdc_import VALUES (45231, '13/06/2020', '13', '6', '2020', '612', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.54093113');
INSERT INTO public.ecdc_import VALUES (45232, '12/06/2020', '12', '6', '2020', '443', '9', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.94234951');
INSERT INTO public.ecdc_import VALUES (45233, '11/06/2020', '11', '6', '2020', '740', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '8.03114252');
INSERT INTO public.ecdc_import VALUES (45234, '10/06/2020', '10', '6', '2020', '518', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.69816874');
INSERT INTO public.ecdc_import VALUES (45235, '09/06/2020', '9', '6', '2020', '579', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.54278098');
INSERT INTO public.ecdc_import VALUES (45236, '08/06/2020', '8', '6', '2020', '555', '9', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '7.26992747');
INSERT INTO public.ecdc_import VALUES (45237, '07/06/2020', '7', '6', '2020', '714', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '6.9952241');
INSERT INTO public.ecdc_import VALUES (45238, '06/06/2020', '6', '6', '2020', '244', '3', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '6.501313');
INSERT INTO public.ecdc_import VALUES (45239, '05/06/2020', '5', '6', '2020', '634', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '6.4263939');
INSERT INTO public.ecdc_import VALUES (45240, '04/06/2020', '4', '6', '2020', '751', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '6.03699957');
INSERT INTO public.ecdc_import VALUES (45241, '03/06/2020', '3', '6', '2020', '359', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '5.60043395');
INSERT INTO public.ecdc_import VALUES (45242, '02/06/2020', '2', '6', '2020', '552', '3', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '5.47556878');
INSERT INTO public.ecdc_import VALUES (45243, '01/06/2020', '1', '6', '2020', '862', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '5.15461906');
INSERT INTO public.ecdc_import VALUES (45244, '31/05/2020', '31', '5', '2020', '590', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '4.54971669');
INSERT INTO public.ecdc_import VALUES (45245, '30/05/2020', '30', '5', '2020', '1046', '21', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '4.20194408');
INSERT INTO public.ecdc_import VALUES (45246, '29/05/2020', '29', '5', '2020', '539', '17', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.43332961');
INSERT INTO public.ecdc_import VALUES (45247, '28/05/2020', '28', '5', '2020', '380', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.17342508');
INSERT INTO public.ecdc_import VALUES (45248, '27/05/2020', '27', '5', '2020', '350', '13', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.06983324');
INSERT INTO public.ecdc_import VALUES (45249, '26/05/2020', '26', '5', '2020', '284', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.9902895');
INSERT INTO public.ecdc_import VALUES (45250, '25/05/2020', '25', '5', '2020', '258', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.99768892');
INSERT INTO public.ecdc_import VALUES (45251, '24/05/2020', '24', '5', '2020', '180', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.92924431');
INSERT INTO public.ecdc_import VALUES (45252, '23/05/2020', '23', '5', '2020', '163', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.89872172');
INSERT INTO public.ecdc_import VALUES (45253, '22/05/2020', '22', '5', '2020', '213', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.85894985');
INSERT INTO public.ecdc_import VALUES (45254, '21/05/2020', '21', '5', '2020', '279', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.97549067');
INSERT INTO public.ecdc_import VALUES (45255, '20/05/2020', '20', '5', '2020', '224', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.01341268');
INSERT INTO public.ecdc_import VALUES (45256, '19/05/2020', '19', '5', '2020', '205', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.9902895');
INSERT INTO public.ecdc_import VALUES (45257, '18/05/2020', '18', '5', '2020', '208', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.04301035');
INSERT INTO public.ecdc_import VALUES (45258, '17/05/2020', '17', '5', '2020', '214', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.12347902');
INSERT INTO public.ecdc_import VALUES (45259, '16/05/2020', '16', '5', '2020', '215', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.06983324');
INSERT INTO public.ecdc_import VALUES (45260, '15/05/2020', '15', '5', '2020', '258', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.13365321');
INSERT INTO public.ecdc_import VALUES (45261, '14/05/2020', '14', '5', '2020', '268', '21', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.1503019');
INSERT INTO public.ecdc_import VALUES (45262, '13/05/2020', '13', '5', '2020', '264', '25', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.13735292');
INSERT INTO public.ecdc_import VALUES (45263, '12/05/2020', '12', '5', '2020', '292', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.06058397');
INSERT INTO public.ecdc_import VALUES (45264, '11/05/2020', '11', '5', '2020', '184', '15', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.97364082');
INSERT INTO public.ecdc_import VALUES (45265, '10/05/2020', '10', '5', '2020', '147', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.06705846');
INSERT INTO public.ecdc_import VALUES (45266, '09/05/2020', '9', '5', '2020', '120', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.02543674');
INSERT INTO public.ecdc_import VALUES (45267, '08/05/2020', '8', '5', '2020', '339', '27', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.10960511');
INSERT INTO public.ecdc_import VALUES (45268, '07/05/2020', '7', '5', '2020', '320', '21', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.04671006');
INSERT INTO public.ecdc_import VALUES (45269, '06/05/2020', '6', '5', '2020', '199', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.85340028');
INSERT INTO public.ecdc_import VALUES (45270, '05/05/2020', '5', '5', '2020', '262', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.79882958');
INSERT INTO public.ecdc_import VALUES (45271, '04/05/2020', '4', '5', '2020', '295', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.7414841');
INSERT INTO public.ecdc_import VALUES (45272, '03/05/2020', '3', '5', '2020', '156', '24', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.62771806');
INSERT INTO public.ecdc_import VALUES (45273, '02/05/2020', '2', '5', '2020', '284', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.6767392');
INSERT INTO public.ecdc_import VALUES (45274, '01/05/2020', '1', '5', '2020', '276', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.615694');
INSERT INTO public.ecdc_import VALUES (45275, '30/04/2020', '30', '4', '2020', '254', '28', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.55187403');
INSERT INTO public.ecdc_import VALUES (45276, '29/04/2020', '29', '4', '2020', '181', '19', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.52967578');
INSERT INTO public.ecdc_import VALUES (45277, '28/04/2020', '28', '4', '2020', '198', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.63141777');
INSERT INTO public.ecdc_import VALUES (45278, '27/04/2020', '27', '4', '2020', '285', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.7109615');
INSERT INTO public.ecdc_import VALUES (45279, '26/04/2020', '26', '4', '2020', '102', '17', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.65084124');
INSERT INTO public.ecdc_import VALUES (45280, '25/04/2020', '25', '4', '2020', '211', '15', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.88207303');
INSERT INTO public.ecdc_import VALUES (45281, '24/04/2020', '24', '4', '2020', '271', '16', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.6869134');
INSERT INTO public.ecdc_import VALUES (45282, '23/04/2020', '23', '4', '2020', '111', '9', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.62679313');
INSERT INTO public.ecdc_import VALUES (45283, '22/04/2020', '22', '4', '2020', '140', '9', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.6221685');
INSERT INTO public.ecdc_import VALUES (45284, '21/04/2020', '21', '4', '2020', '200', '19', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.58887112');
INSERT INTO public.ecdc_import VALUES (45285, '20/04/2020', '20', '4', '2020', '172', '12', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.78680553');
INSERT INTO public.ecdc_import VALUES (45286, '19/04/2020', '19', '4', '2020', '209', '10', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.76830699');
INSERT INTO public.ecdc_import VALUES (45287, '18/04/2020', '18', '4', '2020', '218', '25', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.64529167');
INSERT INTO public.ecdc_import VALUES (45288, '17/04/2020', '17', '4', '2020', '207', '13', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.79975451');
INSERT INTO public.ecdc_import VALUES (45289, '16/04/2020', '16', '4', '2020', '230', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.90612113');
INSERT INTO public.ecdc_import VALUES (45290, '15/04/2020', '15', '4', '2020', '291', '20', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.90334635');
INSERT INTO public.ecdc_import VALUES (45291, '14/04/2020', '14', '4', '2020', '284', '18', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.63419255');
INSERT INTO public.ecdc_import VALUES (45292, '13/04/2020', '13', '4', '2020', '220', '50', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.98751472');
INSERT INTO public.ecdc_import VALUES (45293, '12/04/2020', '12', '4', '2020', '352', '44', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.10128076');
INSERT INTO public.ecdc_import VALUES (45294, '11/04/2020', '11', '4', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.02728659');
INSERT INTO public.ecdc_import VALUES (45295, '10/04/2020', '10', '4', '2020', '206', '21', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '3.1160796');
INSERT INTO public.ecdc_import VALUES (45296, '09/04/2020', '9', '4', '2020', '106', '5', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.99121443');
INSERT INTO public.ecdc_import VALUES (45297, '08/04/2020', '8', '4', '2020', '104', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.97086603');
INSERT INTO public.ecdc_import VALUES (45298, '07/04/2020', '7', '4', '2020', '414', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.95791705');
INSERT INTO public.ecdc_import VALUES (45299, '06/04/2020', '6', '4', '2020', '152', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.65084124');
INSERT INTO public.ecdc_import VALUES (45300, '05/04/2020', '5', '4', '2020', '76', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.51025231');
INSERT INTO public.ecdc_import VALUES (45301, '04/04/2020', '4', '4', '2020', '385', '29', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.57869692');
INSERT INTO public.ecdc_import VALUES (45302, '03/04/2020', '3', '4', '2020', '322', '11', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '2.22259996');
INSERT INTO public.ecdc_import VALUES (45303, '02/04/2020', '2', '4', '2020', '227', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '1.95067138');
INSERT INTO public.ecdc_import VALUES (45304, '01/04/2020', '1', '4', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '1.75458682');
INSERT INTO public.ecdc_import VALUES (45305, '31/03/2020', '31', '3', '2020', '666', '17', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '1.79620854');
INSERT INTO public.ecdc_import VALUES (45306, '30/03/2020', '30', '3', '2020', '343', '3', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '1.18205691');
INSERT INTO public.ecdc_import VALUES (45307, '29/03/2020', '29', '3', '2020', '272', '14', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.89162978');
INSERT INTO public.ecdc_import VALUES (45308, '28/03/2020', '28', '3', '2020', '96', '9', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.68352117');
INSERT INTO public.ecdc_import VALUES (45309, '27/03/2020', '27', '3', '2020', '71', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.60582729');
INSERT INTO public.ecdc_import VALUES (45310, '26/03/2020', '26', '3', '2020', '84', '3', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.54293224');
INSERT INTO public.ecdc_import VALUES (45311, '25/03/2020', '25', '3', '2020', '90', '2', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.4800372');
INSERT INTO public.ecdc_import VALUES (45312, '24/03/2020', '24', '3', '2020', '82', '8', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.39679375');
INSERT INTO public.ecdc_import VALUES (45313, '23/03/2020', '23', '3', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.34222305');
INSERT INTO public.ecdc_import VALUES (45314, '22/03/2020', '22', '3', '2020', '150', '7', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.34592276');
INSERT INTO public.ecdc_import VALUES (45315, '21/03/2020', '21', '3', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.20810861');
INSERT INTO public.ecdc_import VALUES (45316, '20/03/2020', '20', '3', '2020', '28', '1', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.20995847');
INSERT INTO public.ecdc_import VALUES (45317, '19/03/2020', '19', '3', '2020', '15', '3', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.1840605');
INSERT INTO public.ecdc_import VALUES (45318, '18/03/2020', '18', '3', '2020', '45', '2', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.1701866');
INSERT INTO public.ecdc_import VALUES (45319, '17/03/2020', '17', '3', '2020', '2', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.12856488');
INSERT INTO public.ecdc_import VALUES (45320, '16/03/2020', '16', '3', '2020', '29', '6', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.12671502');
INSERT INTO public.ecdc_import VALUES (45321, '15/03/2020', '15', '3', '2020', '47', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.09989213');
INSERT INTO public.ecdc_import VALUES (45322, '14/03/2020', '14', '3', '2020', '12', '4', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.05642056');
INSERT INTO public.ecdc_import VALUES (45323, '13/03/2020', '13', '3', '2020', '3', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.04532143');
INSERT INTO public.ecdc_import VALUES (45324, '12/03/2020', '12', '3', '2020', '16', '1', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.04254665');
INSERT INTO public.ecdc_import VALUES (45325, '11/03/2020', '11', '3', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.02774781');
INSERT INTO public.ecdc_import VALUES (45326, '10/03/2020', '10', '3', '2020', '23', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.02774781');
INSERT INTO public.ecdc_import VALUES (45327, '09/03/2020', '9', '3', '2020', '4', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00647449');
INSERT INTO public.ecdc_import VALUES (45328, '08/03/2020', '8', '3', '2020', '1', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45329, '07/03/2020', '7', '3', '2020', '2', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45330, '02/03/2020', '2', '3', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45331, '01/03/2020', '1', '3', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45332, '29/02/2020', '29', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45333, '28/02/2020', '28', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45334, '27/02/2020', '27', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45335, '26/02/2020', '26', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45336, '25/02/2020', '25', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45337, '24/02/2020', '24', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45338, '23/02/2020', '23', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45339, '22/02/2020', '22', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45340, '21/02/2020', '21', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45341, '20/02/2020', '20', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45342, '19/02/2020', '19', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45343, '18/02/2020', '18', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45344, '17/02/2020', '17', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45345, '16/02/2020', '16', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45346, '15/02/2020', '15', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45347, '14/02/2020', '14', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45348, '13/02/2020', '13', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45349, '12/02/2020', '12', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45350, '11/02/2020', '11', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45351, '10/02/2020', '10', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45352, '09/02/2020', '9', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45353, '08/02/2020', '8', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45354, '07/02/2020', '7', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45355, '06/02/2020', '6', '2', '2020', '1', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00277478');
INSERT INTO public.ecdc_import VALUES (45356, '05/02/2020', '5', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45357, '04/02/2020', '4', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45358, '03/02/2020', '3', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45359, '02/02/2020', '2', '2', '2020', '1', '1', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00184985');
INSERT INTO public.ecdc_import VALUES (45360, '01/02/2020', '1', '2', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45361, '31/01/2020', '31', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45362, '30/01/2020', '30', '1', '2020', '1', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0.00092493');
INSERT INTO public.ecdc_import VALUES (45363, '29/01/2020', '29', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45364, '28/01/2020', '28', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45365, '27/01/2020', '27', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45366, '26/01/2020', '26', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45367, '25/01/2020', '25', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45368, '24/01/2020', '24', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45369, '23/01/2020', '23', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45370, '22/01/2020', '22', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45371, '21/01/2020', '21', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45372, '20/01/2020', '20', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45373, '19/01/2020', '19', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45374, '18/01/2020', '18', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45375, '17/01/2020', '17', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45376, '16/01/2020', '16', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45377, '15/01/2020', '15', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45378, '14/01/2020', '14', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45379, '13/01/2020', '13', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (45380, '12/01/2020', '12', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45381, '11/01/2020', '11', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45382, '10/01/2020', '10', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45383, '09/01/2020', '9', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45384, '08/01/2020', '8', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45385, '07/01/2020', '7', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45386, '06/01/2020', '6', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45387, '05/01/2020', '5', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45388, '04/01/2020', '4', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45389, '03/01/2020', '3', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45390, '02/01/2020', '2', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45391, '01/01/2020', '1', '1', '2020', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45392, '31/12/2019', '31', '12', '2019', '0', '0', '108116622', 'Philippines', 'PH', 'PHL', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (45393, '14/12/2020', '14', '12', '2020', '8976', '188', '37972812', 'Poland', 'PL', 'POL', 'Europe', '396.60217948');
INSERT INTO public.ecdc_import VALUES (45394, '13/12/2020', '13', '12', '2020', '11499', '502', '37972812', 'Poland', 'PL', 'POL', 'Europe', '403.20163806');
INSERT INTO public.ecdc_import VALUES (45395, '12/12/2020', '12', '12', '2020', '13105', '544', '37972812', 'Poland', 'PL', 'POL', 'Europe', '412.88751541');
INSERT INTO public.ecdc_import VALUES (45396, '11/12/2020', '11', '12', '2020', '13750', '470', '37972812', 'Poland', 'PL', 'POL', 'Europe', '423.94542706');
INSERT INTO public.ecdc_import VALUES (45397, '10/12/2020', '10', '12', '2020', '12166', '568', '37972812', 'Poland', 'PL', 'POL', 'Europe', '431.68780864');
INSERT INTO public.ecdc_import VALUES (45398, '09/12/2020', '9', '12', '2020', '8310', '411', '37972812', 'Poland', 'PL', 'POL', 'Europe', '440.08855599');
INSERT INTO public.ecdc_import VALUES (45399, '08/12/2020', '8', '12', '2020', '4421', '92', '37972812', 'Poland', 'PL', 'POL', 'Europe', '504.40562579');
INSERT INTO public.ecdc_import VALUES (45400, '07/12/2020', '7', '12', '2020', '9176', '228', '37972812', 'Poland', 'PL', 'POL', 'Europe', '532.27029908');
INSERT INTO public.ecdc_import VALUES (45401, '06/12/2020', '6', '12', '2020', '12427', '502', '37972812', 'Poland', 'PL', 'POL', 'Europe', '555.12875897');
INSERT INTO public.ecdc_import VALUES (45402, '05/12/2020', '5', '12', '2020', '13236', '531', '37972812', 'Poland', 'PL', 'POL', 'Europe', '586.16675531');
INSERT INTO public.ecdc_import VALUES (45403, '04/12/2020', '4', '12', '2020', '14863', '620', '37972812', 'Poland', 'PL', 'POL', 'Europe', '610.46835299');
INSERT INTO public.ecdc_import VALUES (45404, '03/12/2020', '3', '12', '2020', '13823', '609', '37972812', 'Poland', 'PL', 'POL', 'Europe', '634.46446895');
INSERT INTO public.ecdc_import VALUES (45405, '02/12/2020', '2', '12', '2020', '9113', '449', '37972812', 'Poland', 'PL', 'POL', 'Europe', '650.42325546');
INSERT INTO public.ecdc_import VALUES (45406, '01/12/2020', '1', '12', '2020', '5736', '121', '37972812', 'Poland', 'PL', 'POL', 'Europe', '676.86059173');
INSERT INTO public.ecdc_import VALUES (45407, '30/11/2020', '30', '11', '2020', '11482', '283', '37972812', 'Poland', 'PL', 'POL', 'Europe', '716.57321559');
INSERT INTO public.ecdc_import VALUES (45408, '29/11/2020', '29', '11', '2020', '15177', '599', '37972812', 'Poland', 'PL', 'POL', 'Europe', '743.88749508');
INSERT INTO public.ecdc_import VALUES (45409, '28/11/2020', '28', '11', '2020', '17304', '579', '37972812', 'Poland', 'PL', 'POL', 'Europe', '771.25971076');
INSERT INTO public.ecdc_import VALUES (45410, '27/11/2020', '27', '11', '2020', '16690', '580', '37972812', 'Poland', 'PL', 'POL', 'Europe', '789.02768644');
INSERT INTO public.ecdc_import VALUES (45411, '26/11/2020', '26', '11', '2020', '15356', '674', '37972812', 'Poland', 'PL', 'POL', 'Europe', '804.81003092');
INSERT INTO public.ecdc_import VALUES (45412, '25/11/2020', '25', '11', '2020', '32733', '540', '37972812', 'Poland', 'PL', 'POL', 'Europe', '830.78914461');
INSERT INTO public.ecdc_import VALUES (45413, '24/11/2020', '24', '11', '2020', '15002', '156', '37972812', 'Poland', 'PL', 'POL', 'Europe', '811.62016655');
INSERT INTO public.ecdc_import VALUES (45414, '23/11/2020', '23', '11', '2020', '17856', '330', '37972812', 'Poland', 'PL', 'POL', 'Europe', '829.29333756');
INSERT INTO public.ecdc_import VALUES (45415, '22/11/2020', '22', '11', '2020', '24213', '574', '37972812', 'Poland', 'PL', 'POL', 'Europe', '847.54060352');
INSERT INTO public.ecdc_import VALUES (45416, '21/11/2020', '21', '11', '2020', '22464', '626', '37972812', 'Poland', 'PL', 'POL', 'Europe', '857.18434547');
INSERT INTO public.ecdc_import VALUES (45417, '20/11/2020', '20', '11', '2020', '23975', '637', '37972812', 'Poland', 'PL', 'POL', 'Europe', '869.35621202');
INSERT INTO public.ecdc_import VALUES (45418, '19/11/2020', '19', '11', '2020', '19883', '603', '37972812', 'Poland', 'PL', 'POL', 'Europe', '877.69902319');
INSERT INTO public.ecdc_import VALUES (45419, '18/11/2020', '18', '11', '2020', '19152', '357', '37972812', 'Poland', 'PL', 'POL', 'Europe', '890.36334733');
INSERT INTO public.ecdc_import VALUES (45420, '17/11/2020', '17', '11', '2020', '20816', '143', '37972812', 'Poland', 'PL', 'POL', 'Europe', '890.92164152');
INSERT INTO public.ecdc_import VALUES (45421, '16/11/2020', '16', '11', '2020', '21854', '303', '37972812', 'Poland', 'PL', 'POL', 'Europe', '877.12756169');
INSERT INTO public.ecdc_import VALUES (45422, '15/11/2020', '15', '11', '2020', '25571', '546', '37972812', 'Poland', 'PL', 'POL', 'Europe', '864.79505389');
INSERT INTO public.ecdc_import VALUES (45423, '14/11/2020', '14', '11', '2020', '24051', '419', '37972812', 'Poland', 'PL', 'POL', 'Europe', '855.11971039');
INSERT INTO public.ecdc_import VALUES (45424, '13/11/2020', '13', '11', '2020', '22683', '275', '37972812', 'Poland', 'PL', 'POL', 'Europe', '848.74146271');
INSERT INTO public.ecdc_import VALUES (45425, '12/11/2020', '12', '11', '2020', '25221', '430', '37972812', 'Poland', 'PL', 'POL', 'Europe', '842.0867014');
INSERT INTO public.ecdc_import VALUES (45426, '11/11/2020', '11', '11', '2020', '25454', '330', '37972812', 'Poland', 'PL', 'POL', 'Europe', '825.22990396');
INSERT INTO public.ecdc_import VALUES (45427, '10/11/2020', '10', '11', '2020', '21713', '173', '37972812', 'Poland', 'PL', 'POL', 'Europe', '801.12318255');
INSERT INTO public.ecdc_import VALUES (45428, '09/11/2020', '9', '11', '2020', '24785', '236', '37972812', 'Poland', 'PL', 'POL', 'Europe', '770.91209363');
INSERT INTO public.ecdc_import VALUES (45429, '08/11/2020', '8', '11', '2020', '27875', '349', '37972812', 'Poland', 'PL', 'POL', 'Europe', '736.56383415');
INSERT INTO public.ecdc_import VALUES (45430, '07/11/2020', '7', '11', '2020', '27086', '445', '37972812', 'Poland', 'PL', 'POL', 'Europe', '699.04488506');
INSERT INTO public.ecdc_import VALUES (45431, '06/11/2020', '6', '11', '2020', '27143', '367', '37972812', 'Poland', 'PL', 'POL', 'Europe', '663.61427223');
INSERT INTO public.ecdc_import VALUES (45432, '05/11/2020', '5', '11', '2020', '24692', '373', '37972812', 'Poland', 'PL', 'POL', 'Europe', '624.01752075');
INSERT INTO public.ecdc_import VALUES (45433, '04/11/2020', '4', '11', '2020', '19364', '227', '37972812', 'Poland', 'PL', 'POL', 'Europe', '585.4320191');
INSERT INTO public.ecdc_import VALUES (45434, '03/11/2020', '3', '11', '2020', '15578', '92', '37972812', 'Poland', 'PL', 'POL', 'Europe', '558.90514508');
INSERT INTO public.ecdc_import VALUES (45435, '02/11/2020', '2', '11', '2020', '17171', '152', '37972812', 'Poland', 'PL', 'POL', 'Europe', '537.58462765');
INSERT INTO public.ecdc_import VALUES (45436, '01/11/2020', '1', '11', '2020', '21897', '280', '37972812', 'Poland', 'PL', 'POL', 'Europe', '514.8446736');
INSERT INTO public.ecdc_import VALUES (45437, '31/10/2020', '31', '10', '2020', '21629', '202', '37972812', 'Poland', 'PL', 'POL', 'Europe', '482.5189138');
INSERT INTO public.ecdc_import VALUES (45438, '30/10/2020', '30', '10', '2020', '20156', '298', '37972812', 'Poland', 'PL', 'POL', 'Europe', '445.8505733');
INSERT INTO public.ecdc_import VALUES (45439, '29/10/2020', '29', '10', '2020', '18820', '236', '37972812', 'Poland', 'PL', 'POL', 'Europe', '414.09890845');
INSERT INTO public.ecdc_import VALUES (45440, '28/10/2020', '28', '10', '2020', '16300', '132', '37972812', 'Poland', 'PL', 'POL', 'Europe', '381.72311284');
INSERT INTO public.ecdc_import VALUES (45441, '27/10/2020', '27', '10', '2020', '10241', '45', '37972812', 'Poland', 'PL', 'POL', 'Europe', '352.14405507');
INSERT INTO public.ecdc_import VALUES (45442, '26/10/2020', '26', '10', '2020', '11742', '87', '37972812', 'Poland', 'PL', 'POL', 'Europe', '336.7461962');
INSERT INTO public.ecdc_import VALUES (45443, '25/10/2020', '25', '10', '2020', '13628', '179', '37972812', 'Poland', 'PL', 'POL', 'Europe', '316.82668115');
INSERT INTO public.ecdc_import VALUES (45444, '24/10/2020', '24', '10', '2020', '13632', '153', '37972812', 'Poland', 'PL', 'POL', 'Europe', '294.89520028');
INSERT INTO public.ecdc_import VALUES (45445, '23/10/2020', '23', '10', '2020', '12107', '168', '37972812', 'Poland', 'PL', 'POL', 'Europe', '271.47581275');
INSERT INTO public.ecdc_import VALUES (45446, '22/10/2020', '22', '10', '2020', '10040', '130', '37972812', 'Poland', 'PL', 'POL', 'Europe', '250.8636969');
INSERT INTO public.ecdc_import VALUES (45447, '21/10/2020', '21', '10', '2020', '9291', '107', '37972812', 'Poland', 'PL', 'POL', 'Europe', '232.33201692');
INSERT INTO public.ecdc_import VALUES (45448, '20/10/2020', '20', '10', '2020', '7482', '41', '37972812', 'Poland', 'PL', 'POL', 'Europe', '213.7529346');
INSERT INTO public.ecdc_import VALUES (45449, '19/10/2020', '19', '10', '2020', '8536', '49', '37972812', 'Poland', 'PL', 'POL', 'Europe', '204.42520823');
INSERT INTO public.ecdc_import VALUES (45450, '18/10/2020', '18', '10', '2020', '9622', '84', '37972812', 'Poland', 'PL', 'POL', 'Europe', '181.94596703');
INSERT INTO public.ecdc_import VALUES (45451, '17/10/2020', '17', '10', '2020', '7705', '132', '37972812', 'Poland', 'PL', 'POL', 'Europe', '162.84019208');
INSERT INTO public.ecdc_import VALUES (45452, '16/10/2020', '16', '10', '2020', '8099', '91', '37972812', 'Poland', 'PL', 'POL', 'Europe', '148.58525621');
INSERT INTO public.ecdc_import VALUES (45453, '15/10/2020', '15', '10', '2020', '6526', '116', '37972812', 'Poland', 'PL', 'POL', 'Europe', '132.43686035');
INSERT INTO public.ecdc_import VALUES (45454, '14/10/2020', '14', '10', '2020', '5068', '62', '37972812', 'Poland', 'PL', 'POL', 'Europe', '119.33801479');
INSERT INTO public.ecdc_import VALUES (45455, '13/10/2020', '13', '10', '2020', '4394', '35', '37972812', 'Poland', 'PL', 'POL', 'Europe', '109.48359579');
INSERT INTO public.ecdc_import VALUES (45456, '12/10/2020', '12', '10', '2020', '4178', '32', '37972812', 'Poland', 'PL', 'POL', 'Europe', '101.35146167');
INSERT INTO public.ecdc_import VALUES (45457, '11/10/2020', '11', '10', '2020', '5300', '53', '37972812', 'Poland', 'PL', 'POL', 'Europe', '93.90402797');
INSERT INTO public.ecdc_import VALUES (45458, '10/10/2020', '10', '10', '2020', '4739', '52', '37972812', 'Poland', 'PL', 'POL', 'Europe', '84.11807901');
INSERT INTO public.ecdc_import VALUES (45459, '09/10/2020', '9', '10', '2020', '4280', '75', '37972812', 'Poland', 'PL', 'POL', 'Europe', '75.81740325');
INSERT INTO public.ecdc_import VALUES (45460, '08/10/2020', '8', '10', '2020', '3003', '75', '37972812', 'Poland', 'PL', 'POL', 'Europe', '67.5377952');
INSERT INTO public.ecdc_import VALUES (45461, '07/10/2020', '7', '10', '2020', '2236', '58', '37972812', 'Poland', 'PL', 'POL', 'Europe', '62.19449853');
INSERT INTO public.ecdc_import VALUES (45462, '06/10/2020', '6', '10', '2020', '3940', '55', '37972812', 'Poland', 'PL', 'POL', 'Europe', '58.17846727');
INSERT INTO public.ecdc_import VALUES (45463, '05/10/2020', '5', '10', '2020', '0', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '49.77245299');
INSERT INTO public.ecdc_import VALUES (45464, '04/10/2020', '4', '10', '2020', '2367', '34', '37972812', 'Poland', 'PL', 'POL', 'Europe', '52.16890443');
INSERT INTO public.ecdc_import VALUES (45465, '03/10/2020', '3', '10', '2020', '2292', '27', '37972812', 'Poland', 'PL', 'POL', 'Europe', '48.57422727');
INSERT INTO public.ecdc_import VALUES (45466, '02/10/2020', '2', '10', '2020', '1967', '30', '37972812', 'Poland', 'PL', 'POL', 'Europe', '44.53186137');
INSERT INTO public.ecdc_import VALUES (45467, '01/10/2020', '1', '10', '2020', '1552', '30', '37972812', 'Poland', 'PL', 'POL', 'Europe', '41.55604805');
INSERT INTO public.ecdc_import VALUES (45468, '30/09/2020', '30', '9', '2020', '1326', '36', '37972812', 'Poland', 'PL', 'POL', 'Europe', '39.04899116');
INSERT INTO public.ecdc_import VALUES (45469, '29/09/2020', '29', '9', '2020', '1306', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '37.15026425');
INSERT INTO public.ecdc_import VALUES (45470, '28/09/2020', '28', '9', '2020', '1350', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '34.70377701');
INSERT INTO public.ecdc_import VALUES (45471, '27/09/2020', '27', '9', '2020', '1584', '32', '37972812', 'Poland', 'PL', 'POL', 'Europe', '32.47060028');
INSERT INTO public.ecdc_import VALUES (45472, '26/09/2020', '26', '9', '2020', '1587', '23', '37972812', 'Poland', 'PL', 'POL', 'Europe', '29.88717296');
INSERT INTO public.ecdc_import VALUES (45473, '25/09/2020', '25', '9', '2020', '1136', '25', '37972812', 'Poland', 'PL', 'POL', 'Europe', '27.27214408');
INSERT INTO public.ecdc_import VALUES (45474, '24/09/2020', '24', '9', '2020', '974', '28', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.61306231');
INSERT INTO public.ecdc_import VALUES (45475, '23/09/2020', '23', '9', '2020', '711', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '24.15675721');
INSERT INTO public.ecdc_import VALUES (45476, '22/09/2020', '22', '9', '2020', '748', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '23.33775018');
INSERT INTO public.ecdc_import VALUES (45477, '21/09/2020', '21', '9', '2020', '910', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '22.16322563');
INSERT INTO public.ecdc_import VALUES (45478, '20/09/2020', '20', '9', '2020', '1002', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '20.91759757');
INSERT INTO public.ecdc_import VALUES (45479, '19/09/2020', '19', '9', '2020', '757', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.77204111');
INSERT INTO public.ecdc_import VALUES (45480, '18/09/2020', '18', '9', '2020', '837', '16', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.59823255');
INSERT INTO public.ecdc_import VALUES (45481, '17/09/2020', '17', '9', '2020', '600', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.00570334');
INSERT INTO public.ecdc_import VALUES (45482, '16/09/2020', '16', '9', '2020', '605', '24', '37972812', 'Poland', 'PL', 'POL', 'Europe', '18.99253603');
INSERT INTO public.ecdc_import VALUES (45483, '15/09/2020', '15', '9', '2020', '377', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '18.84769556');
INSERT INTO public.ecdc_import VALUES (45484, '14/09/2020', '14', '9', '2020', '502', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.17687845');
INSERT INTO public.ecdc_import VALUES (45485, '13/09/2020', '13', '9', '2020', '603', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.51659519');
INSERT INTO public.ecdc_import VALUES (45486, '12/09/2020', '12', '9', '2020', '594', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.92741544');
INSERT INTO public.ecdc_import VALUES (45487, '11/09/2020', '11', '9', '2020', '506', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '20.44620767');
INSERT INTO public.ecdc_import VALUES (45488, '10/09/2020', '10', '9', '2020', '421', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '21.44955712');
INSERT INTO public.ecdc_import VALUES (45489, '09/09/2020', '9', '9', '2020', '400', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '22.26066376');
INSERT INTO public.ecdc_import VALUES (45490, '08/09/2020', '8', '9', '2020', '302', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '23.21661087');
INSERT INTO public.ecdc_import VALUES (45491, '07/09/2020', '7', '9', '2020', '437', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '23.8644428');
INSERT INTO public.ecdc_import VALUES (45492, '06/09/2020', '6', '9', '2020', '567', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '24.24366149');
INSERT INTO public.ecdc_import VALUES (45493, '05/09/2020', '5', '9', '2020', '691', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.12060471');
INSERT INTO public.ecdc_import VALUES (45494, '04/09/2020', '4', '9', '2020', '612', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.67889889');
INSERT INTO public.ecdc_import VALUES (45495, '03/09/2020', '3', '9', '2020', '595', '20', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.08708568');
INSERT INTO public.ecdc_import VALUES (45496, '02/09/2020', '2', '9', '2020', '550', '19', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.45577051');
INSERT INTO public.ecdc_import VALUES (45497, '01/09/2020', '1', '9', '2020', '502', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.57954328');
INSERT INTO public.ecdc_import VALUES (45498, '31/08/2020', '31', '8', '2020', '631', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.82445535');
INSERT INTO public.ecdc_import VALUES (45499, '30/08/2020', '30', '8', '2020', '759', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.72701721');
INSERT INTO public.ecdc_import VALUES (45500, '29/08/2020', '29', '8', '2020', '791', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.75861877');
INSERT INTO public.ecdc_import VALUES (45501, '28/08/2020', '28', '8', '2020', '887', '16', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.86659076');
INSERT INTO public.ecdc_import VALUES (45502, '27/08/2020', '27', '8', '2020', '729', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.66644756');
INSERT INTO public.ecdc_import VALUES (45503, '26/08/2020', '26', '8', '2020', '763', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.62957908');
INSERT INTO public.ecdc_import VALUES (45504, '25/08/2020', '25', '8', '2020', '548', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.0712849');
INSERT INTO public.ecdc_import VALUES (45505, '24/08/2020', '24', '8', '2020', '581', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.25826078');
INSERT INTO public.ecdc_import VALUES (45506, '23/08/2020', '23', '8', '2020', '900', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.37149969');
INSERT INTO public.ecdc_import VALUES (45507, '22/08/2020', '22', '8', '2020', '903', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '26.2213923');
INSERT INTO public.ecdc_import VALUES (45508, '21/08/2020', '21', '8', '2020', '767', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.97384676');
INSERT INTO public.ecdc_import VALUES (45509, '20/08/2020', '20', '8', '2020', '735', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.86587477');
INSERT INTO public.ecdc_import VALUES (45510, '19/08/2020', '19', '8', '2020', '597', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.61569578');
INSERT INTO public.ecdc_import VALUES (45511, '18/08/2020', '18', '8', '2020', '595', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.83427322');
INSERT INTO public.ecdc_import VALUES (45512, '17/08/2020', '17', '8', '2020', '594', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.78160395');
INSERT INTO public.ecdc_import VALUES (45513, '16/08/2020', '16', '8', '2020', '771', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.66046465');
INSERT INTO public.ecdc_import VALUES (45514, '15/08/2020', '15', '8', '2020', '832', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '25.36288332');
INSERT INTO public.ecdc_import VALUES (45515, '14/08/2020', '14', '8', '2020', '811', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '24.90202727');
INSERT INTO public.ecdc_import VALUES (45516, '13/08/2020', '13', '8', '2020', '715', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '24.3858685');
INSERT INTO public.ecdc_import VALUES (45517, '12/08/2020', '12', '8', '2020', '551', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '23.85127549');
INSERT INTO public.ecdc_import VALUES (45518, '11/08/2020', '11', '8', '2020', '619', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '23.72223579');
INSERT INTO public.ecdc_import VALUES (45519, '10/08/2020', '10', '8', '2020', '624', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '22.97959919');
INSERT INTO public.ecdc_import VALUES (45520, '09/08/2020', '9', '8', '2020', '843', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '22.50294237');
INSERT INTO public.ecdc_import VALUES (45521, '08/08/2020', '8', '8', '2020', '809', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '21.82087542');
INSERT INTO public.ecdc_import VALUES (45522, '07/08/2020', '7', '8', '2020', '726', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '20.89652986');
INSERT INTO public.ecdc_import VALUES (45523, '06/08/2020', '6', '8', '2020', '640', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '20.08542322');
INSERT INTO public.ecdc_import VALUES (45524, '05/08/2020', '5', '8', '2020', '680', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '19.40072281');
INSERT INTO public.ecdc_import VALUES (45525, '04/08/2020', '4', '8', '2020', '575', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '18.66071967');
INSERT INTO public.ecdc_import VALUES (45526, '03/08/2020', '3', '8', '2020', '548', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '17.88121459');
INSERT INTO public.ecdc_import VALUES (45527, '02/08/2020', '2', '8', '2020', '658', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '17.3808566');
INSERT INTO public.ecdc_import VALUES (45528, '01/08/2020', '1', '8', '2020', '657', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '16.54078186');
INSERT INTO public.ecdc_import VALUES (45529, '31/07/2020', '31', '7', '2020', '615', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '15.74020907');
INSERT INTO public.ecdc_import VALUES (45530, '30/07/2020', '30', '7', '2020', '512', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.84219815');
INSERT INTO public.ecdc_import VALUES (45531, '29/07/2020', '29', '7', '2020', '502', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.34447362');
INSERT INTO public.ecdc_import VALUES (45532, '28/07/2020', '28', '7', '2020', '337', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.72560979');
INSERT INTO public.ecdc_import VALUES (45533, '27/07/2020', '27', '7', '2020', '443', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.62553819');
INSERT INTO public.ecdc_import VALUES (45534, '26/07/2020', '26', '7', '2020', '584', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.43329538');
INSERT INTO public.ecdc_import VALUES (45535, '25/07/2020', '25', '7', '2020', '458', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.69855917');
INSERT INTO public.ecdc_import VALUES (45536, '24/07/2020', '24', '7', '2020', '418', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.19030079');
INSERT INTO public.ecdc_import VALUES (45537, '23/07/2020', '23', '7', '2020', '380', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.77948054');
INSERT INTO public.ecdc_import VALUES (45538, '22/07/2020', '22', '7', '2020', '399', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.50823384');
INSERT INTO public.ecdc_import VALUES (45539, '21/07/2020', '21', '7', '2020', '279', '3', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.13428208');
INSERT INTO public.ecdc_import VALUES (45540, '20/07/2020', '20', '7', '2020', '358', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.9394058');
INSERT INTO public.ecdc_import VALUES (45541, '19/07/2020', '19', '7', '2020', '339', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.60495599');
INSERT INTO public.ecdc_import VALUES (45542, '18/07/2020', '18', '7', '2020', '353', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.53911941');
INSERT INTO public.ecdc_import VALUES (45543, '17/07/2020', '17', '7', '2020', '274', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.29157388');
INSERT INTO public.ecdc_import VALUES (45544, '16/07/2020', '16', '7', '2020', '323', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.5470198');
INSERT INTO public.ecdc_import VALUES (45545, '15/07/2020', '15', '7', '2020', '267', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.70239412');
INSERT INTO public.ecdc_import VALUES (45546, '14/07/2020', '14', '7', '2020', '299', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.62865716');
INSERT INTO public.ecdc_import VALUES (45547, '13/07/2020', '13', '7', '2020', '370', '3', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.49171707');
INSERT INTO public.ecdc_import VALUES (45548, '12/07/2020', '12', '7', '2020', '305', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.0255941');
INSERT INTO public.ecdc_import VALUES (45549, '11/07/2020', '11', '7', '2020', '265', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.06246259');
INSERT INTO public.ecdc_import VALUES (45550, '10/07/2020', '10', '7', '2020', '262', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.09143068');
INSERT INTO public.ecdc_import VALUES (45551, '09/07/2020', '9', '7', '2020', '277', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.18623535');
INSERT INTO public.ecdc_import VALUES (45552, '08/07/2020', '8', '7', '2020', '257', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.23100422');
INSERT INTO public.ecdc_import VALUES (45553, '07/07/2020', '7', '7', '2020', '205', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.34424314');
INSERT INTO public.ecdc_import VALUES (45554, '06/07/2020', '6', '7', '2020', '231', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.58388828');
INSERT INTO public.ecdc_import VALUES (45555, '05/07/2020', '5', '7', '2020', '314', '5', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.79456533');
INSERT INTO public.ecdc_import VALUES (45556, '04/07/2020', '4', '7', '2020', '259', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.7682307');
INSERT INTO public.ecdc_import VALUES (45557, '03/07/2020', '3', '7', '2020', '371', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.87883615');
INSERT INTO public.ecdc_import VALUES (45558, '02/07/2020', '2', '7', '2020', '382', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.72872875');
INSERT INTO public.ecdc_import VALUES (45559, '01/07/2020', '1', '7', '2020', '239', '19', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.05527818');
INSERT INTO public.ecdc_import VALUES (45560, '30/06/2020', '30', '6', '2020', '247', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.49769999');
INSERT INTO public.ecdc_import VALUES (45561, '29/06/2020', '29', '6', '2020', '193', '3', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.89008599');
INSERT INTO public.ecdc_import VALUES (45562, '28/06/2020', '28', '6', '2020', '319', '6', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.36937628');
INSERT INTO public.ecdc_import VALUES (45563, '27/06/2020', '27', '6', '2020', '276', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.68802532');
INSERT INTO public.ecdc_import VALUES (46247, '23/11/2020', '23', '11', '2020', '167', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '106.84760375');
INSERT INTO public.ecdc_import VALUES (45564, '26/06/2020', '26', '6', '2020', '298', '16', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.95137163');
INSERT INTO public.ecdc_import VALUES (45565, '25/06/2020', '25', '6', '2020', '294', '21', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.33585724');
INSERT INTO public.ecdc_import VALUES (45566, '24/06/2020', '24', '6', '2020', '300', '16', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.08041132');
INSERT INTO public.ecdc_import VALUES (45567, '23/06/2020', '23', '6', '2020', '296', '3', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.34375763');
INSERT INTO public.ecdc_import VALUES (45568, '22/06/2020', '22', '6', '2020', '311', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.14169696');
INSERT INTO public.ecdc_import VALUES (45569, '21/06/2020', '21', '6', '2020', '304', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.83693122');
INSERT INTO public.ecdc_import VALUES (45570, '20/06/2020', '20', '6', '2020', '301', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '15.52953202');
INSERT INTO public.ecdc_import VALUES (45571, '19/06/2020', '19', '6', '2020', '314', '30', '37972812', 'Poland', 'PL', 'POL', 'Europe', '15.71387444');
INSERT INTO public.ecdc_import VALUES (45572, '18/06/2020', '18', '6', '2020', '506', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '15.83764721');
INSERT INTO public.ecdc_import VALUES (45573, '17/06/2020', '17', '6', '2020', '407', '16', '37972812', 'Poland', 'PL', 'POL', 'Europe', '15.2740861');
INSERT INTO public.ecdc_import VALUES (45574, '16/06/2020', '16', '6', '2020', '396', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.80796313');
INSERT INTO public.ecdc_import VALUES (45575, '15/06/2020', '15', '6', '2020', '375', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.76319426');
INSERT INTO public.ecdc_import VALUES (45576, '14/06/2020', '14', '6', '2020', '440', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.34184016');
INSERT INTO public.ecdc_import VALUES (45577, '13/06/2020', '13', '6', '2020', '376', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.27863704');
INSERT INTO public.ecdc_import VALUES (45578, '12/06/2020', '12', '6', '2020', '444', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.15749774');
INSERT INTO public.ecdc_import VALUES (45579, '11/06/2020', '11', '6', '2020', '197', '23', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.91521913');
INSERT INTO public.ecdc_import VALUES (45580, '10/06/2020', '10', '6', '2020', '400', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.44717868');
INSERT INTO public.ecdc_import VALUES (45581, '09/06/2020', '9', '6', '2020', '599', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.5604176');
INSERT INTO public.ecdc_import VALUES (45582, '08/06/2020', '8', '6', '2020', '575', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.78617944');
INSERT INTO public.ecdc_import VALUES (45583, '07/06/2020', '7', '6', '2020', '567', '16', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.31215608');
INSERT INTO public.ecdc_import VALUES (45584, '06/06/2020', '6', '6', '2020', '371', '20', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.64062298');
INSERT INTO public.ecdc_import VALUES (45585, '05/06/2020', '5', '6', '2020', '361', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.91713661');
INSERT INTO public.ecdc_import VALUES (45586, '04/06/2020', '4', '6', '2020', '292', '23', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.03037552');
INSERT INTO public.ecdc_import VALUES (45587, '03/06/2020', '3', '6', '2020', '230', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.50176542');
INSERT INTO public.ecdc_import VALUES (45588, '02/06/2020', '2', '6', '2020', '379', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.90468528');
INSERT INTO public.ecdc_import VALUES (45589, '01/06/2020', '1', '6', '2020', '215', '3', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.84411563');
INSERT INTO public.ecdc_import VALUES (45590, '31/05/2020', '31', '5', '2020', '416', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.99422302');
INSERT INTO public.ecdc_import VALUES (45591, '30/05/2020', '30', '5', '2020', '330', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.53336698');
INSERT INTO public.ecdc_import VALUES (45592, '29/05/2020', '29', '5', '2020', '352', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.72034286');
INSERT INTO public.ecdc_import VALUES (45593, '28/05/2020', '28', '5', '2020', '399', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.87571718');
INSERT INTO public.ecdc_import VALUES (45594, '27/05/2020', '27', '5', '2020', '443', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.57023546');
INSERT INTO public.ecdc_import VALUES (45595, '26/05/2020', '26', '5', '2020', '305', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.97052186');
INSERT INTO public.ecdc_import VALUES (45596, '25/05/2020', '25', '5', '2020', '395', '3', '37972812', 'Poland', 'PL', 'POL', 'Europe', '14.03635843');
INSERT INTO public.ecdc_import VALUES (45597, '24/05/2020', '24', '5', '2020', '312', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.90468528');
INSERT INTO public.ecdc_import VALUES (45598, '23/05/2020', '23', '5', '2020', '476', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.83358177');
INSERT INTO public.ecdc_import VALUES (45599, '22/05/2020', '22', '5', '2020', '404', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.42012806');
INSERT INTO public.ecdc_import VALUES (45600, '21/05/2020', '21', '5', '2020', '471', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.16468214');
INSERT INTO public.ecdc_import VALUES (45601, '20/05/2020', '20', '5', '2020', '383', '12', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.73806112');
INSERT INTO public.ecdc_import VALUES (45602, '19/05/2020', '19', '5', '2020', '356', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.84866657');
INSERT INTO public.ecdc_import VALUES (45603, '18/05/2020', '18', '5', '2020', '272', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.73542765');
INSERT INTO public.ecdc_import VALUES (45604, '17/05/2020', '17', '5', '2020', '241', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.85656696');
INSERT INTO public.ecdc_import VALUES (45605, '16/05/2020', '16', '5', '2020', '401', '24', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.93293739');
INSERT INTO public.ecdc_import VALUES (45606, '15/05/2020', '15', '5', '2020', '411', '22', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.47734827');
INSERT INTO public.ecdc_import VALUES (45607, '14/05/2020', '14', '5', '2020', '283', '22', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.01912568');
INSERT INTO public.ecdc_import VALUES (45608, '13/05/2020', '13', '5', '2020', '595', '28', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.38517706');
INSERT INTO public.ecdc_import VALUES (45609, '12/05/2020', '12', '5', '2020', '330', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.65044085');
INSERT INTO public.ecdc_import VALUES (45610, '11/05/2020', '11', '5', '2020', '345', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.53193501');
INSERT INTO public.ecdc_import VALUES (45611, '10/05/2020', '10', '5', '2020', '285', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.52930154');
INSERT INTO public.ecdc_import VALUES (45612, '09/05/2020', '9', '5', '2020', '319', '21', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.782114');
INSERT INTO public.ecdc_import VALUES (45613, '08/05/2020', '8', '5', '2020', '307', '22', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.94538872');
INSERT INTO public.ecdc_import VALUES (45614, '07/05/2020', '7', '5', '2020', '309', '17', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.03755993');
INSERT INTO public.ecdc_import VALUES (45615, '06/05/2020', '6', '5', '2020', '425', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.04809378');
INSERT INTO public.ecdc_import VALUES (45616, '05/05/2020', '5', '5', '2020', '313', '20', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.62147275');
INSERT INTO public.ecdc_import VALUES (45617, '04/05/2020', '4', '5', '2020', '318', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.60303851');
INSERT INTO public.ecdc_import VALUES (45618, '03/05/2020', '3', '5', '2020', '270', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.20083464');
INSERT INTO public.ecdc_import VALUES (45619, '02/05/2020', '2', '5', '2020', '228', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.44574671');
INSERT INTO public.ecdc_import VALUES (45620, '01/05/2020', '1', '5', '2020', '237', '20', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.05934362');
INSERT INTO public.ecdc_import VALUES (45621, '30/04/2020', '30', '4', '2020', '422', '28', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.32005647');
INSERT INTO public.ecdc_import VALUES (45622, '29/04/2020', '29', '4', '2020', '316', '34', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.20945101');
INSERT INTO public.ecdc_import VALUES (45623, '28/04/2020', '28', '4', '2020', '285', '27', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.08304478');
INSERT INTO public.ecdc_import VALUES (45624, '27/04/2020', '27', '4', '2020', '344', '11', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.01720821');
INSERT INTO public.ecdc_import VALUES (45625, '26/04/2020', '26', '4', '2020', '381', '30', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.94873817');
INSERT INTO public.ecdc_import VALUES (45626, '25/04/2020', '25', '4', '2020', '381', '40', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.00140743');
INSERT INTO public.ecdc_import VALUES (45627, '24/04/2020', '24', '4', '2020', '342', '28', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.99877396');
INSERT INTO public.ecdc_import VALUES (45628, '23/04/2020', '23', '4', '2020', '313', '25', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.07251093');
INSERT INTO public.ecdc_import VALUES (45629, '22/04/2020', '22', '4', '2020', '263', '21', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.18838331');
INSERT INTO public.ecdc_import VALUES (45630, '21/04/2020', '21', '4', '2020', '306', '20', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.64133897');
INSERT INTO public.ecdc_import VALUES (45631, '20/04/2020', '20', '4', '2020', '545', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.65450628');
INSERT INTO public.ecdc_import VALUES (45632, '19/04/2020', '19', '4', '2020', '363', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.47016386');
INSERT INTO public.ecdc_import VALUES (45633, '18/04/2020', '18', '4', '2020', '461', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.15678175');
INSERT INTO public.ecdc_import VALUES (45634, '17/04/2020', '17', '4', '2020', '336', '28', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.09357864');
INSERT INTO public.ecdc_import VALUES (45635, '16/04/2020', '16', '4', '2020', '380', '23', '37972812', 'Poland', 'PL', 'POL', 'Europe', '13.24105257');
INSERT INTO public.ecdc_import VALUES (45636, '15/04/2020', '15', '4', '2020', '268', '18', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.88026812');
INSERT INTO public.ecdc_import VALUES (45637, '14/04/2020', '14', '4', '2020', '260', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.84866657');
INSERT INTO public.ecdc_import VALUES (45638, '13/04/2020', '13', '4', '2020', '318', '24', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.67222454');
INSERT INTO public.ecdc_import VALUES (45639, '12/04/2020', '12', '4', '2020', '401', '27', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.424679');
INSERT INTO public.ecdc_import VALUES (45640, '11/04/2020', '11', '4', '2020', '380', '7', '37972812', 'Poland', 'PL', 'POL', 'Europe', '12.02439261');
INSERT INTO public.ecdc_import VALUES (45641, '10/04/2020', '10', '4', '2020', '370', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '11.46609843');
INSERT INTO public.ecdc_import VALUES (45642, '09/04/2020', '9', '4', '2020', '357', '30', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.9394058');
INSERT INTO public.ecdc_import VALUES (45643, '08/04/2020', '8', '4', '2020', '435', '22', '37972812', 'Poland', 'PL', 'POL', 'Europe', '10.39427894');
INSERT INTO public.ecdc_import VALUES (45644, '07/04/2020', '7', '4', '2020', '311', '13', '37972812', 'Poland', 'PL', 'POL', 'Europe', '9.64900888');
INSERT INTO public.ecdc_import VALUES (45645, '06/04/2020', '6', '4', '2020', '475', '15', '37972812', 'Poland', 'PL', 'POL', 'Europe', '9.1328501');
INSERT INTO public.ecdc_import VALUES (45646, '05/04/2020', '5', '4', '2020', '244', '8', '37972812', 'Poland', 'PL', 'POL', 'Europe', '8.14003451');
INSERT INTO public.ecdc_import VALUES (45647, '04/04/2020', '4', '4', '2020', '437', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '7.78978391');
INSERT INTO public.ecdc_import VALUES (45648, '03/04/2020', '3', '4', '2020', '392', '14', '37972812', 'Poland', 'PL', 'POL', 'Europe', '6.82330295');
INSERT INTO public.ecdc_import VALUES (45649, '02/04/2020', '2', '4', '2020', '243', '10', '37972812', 'Poland', 'PL', 'POL', 'Europe', '5.9700609');
INSERT INTO public.ecdc_import VALUES (45650, '01/04/2020', '1', '4', '2020', '256', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '5.45916905');
INSERT INTO public.ecdc_import VALUES (45651, '31/03/2020', '31', '3', '2020', '193', '9', '37972812', 'Poland', 'PL', 'POL', 'Europe', '4.94564374');
INSERT INTO public.ecdc_import VALUES (45652, '30/03/2020', '30', '3', '2020', '224', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '4.57432544');
INSERT INTO public.ecdc_import VALUES (45653, '29/03/2020', '29', '3', '2020', '249', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '4.03973243');
INSERT INTO public.ecdc_import VALUES (45654, '28/03/2020', '28', '3', '2020', '168', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '3.47880478');
INSERT INTO public.ecdc_import VALUES (45655, '27/03/2020', '27', '3', '2020', '170', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '3.08641878');
INSERT INTO public.ecdc_import VALUES (45656, '26/03/2020', '26', '3', '2020', '150', '4', '37972812', 'Poland', 'PL', 'POL', 'Europe', '2.68613238');
INSERT INTO public.ecdc_import VALUES (45657, '25/03/2020', '25', '3', '2020', '152', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '2.31481408');
INSERT INTO public.ecdc_import VALUES (45658, '24/03/2020', '24', '3', '2020', '115', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '1.927695');
INSERT INTO public.ecdc_import VALUES (45659, '23/03/2020', '23', '3', '2020', '98', '2', '37972812', 'Poland', 'PL', 'POL', 'Europe', '1.64064752');
INSERT INTO public.ecdc_import VALUES (45660, '22/03/2020', '22', '3', '2020', '111', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '1.39573545');
INSERT INTO public.ecdc_import VALUES (45661, '21/03/2020', '21', '3', '2020', '70', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '1.10605451');
INSERT INTO public.ecdc_import VALUES (45662, '20/03/2020', '20', '3', '2020', '68', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '0.93224594');
INSERT INTO public.ecdc_import VALUES (45663, '19/03/2020', '19', '3', '2020', '49', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '0.75580392');
INSERT INTO public.ecdc_import VALUES (45664, '18/03/2020', '18', '3', '2020', '61', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45665, '17/03/2020', '17', '3', '2020', '52', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45666, '16/03/2020', '16', '3', '2020', '21', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45667, '15/03/2020', '15', '3', '2020', '36', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45668, '14/03/2020', '14', '3', '2020', '19', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45669, '13/03/2020', '13', '3', '2020', '18', '1', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45670, '12/03/2020', '12', '3', '2020', '9', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45671, '11/03/2020', '11', '3', '2020', '5', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45672, '10/03/2020', '10', '3', '2020', '6', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45673, '09/03/2020', '9', '3', '2020', '5', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45674, '08/03/2020', '8', '3', '2020', '1', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45675, '07/03/2020', '7', '3', '2020', '4', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45676, '04/03/2020', '4', '3', '2020', '1', '0', '37972812', 'Poland', 'PL', 'POL', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45677, '14/12/2020', '14', '12', '2020', '4044', '98', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '524.9295561');
INSERT INTO public.ecdc_import VALUES (45678, '13/12/2020', '13', '12', '2020', '4413', '88', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '525.40636671');
INSERT INTO public.ecdc_import VALUES (45679, '12/12/2020', '12', '12', '2020', '5080', '95', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '529.83389378');
INSERT INTO public.ecdc_import VALUES (45680, '11/12/2020', '11', '12', '2020', '3134', '86', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '533.37591544');
INSERT INTO public.ecdc_import VALUES (45681, '10/12/2020', '10', '12', '2020', '4097', '70', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '564.991378');
INSERT INTO public.ecdc_import VALUES (45682, '09/12/2020', '9', '12', '2020', '2905', '81', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '576.60025668');
INSERT INTO public.ecdc_import VALUES (45683, '08/12/2020', '8', '12', '2020', '2597', '78', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '586.46731702');
INSERT INTO public.ecdc_import VALUES (45684, '07/12/2020', '7', '12', '2020', '3834', '87', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '600.5478262');
INSERT INTO public.ecdc_import VALUES (45685, '06/12/2020', '6', '12', '2020', '6087', '73', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '609.83103681');
INSERT INTO public.ecdc_import VALUES (45686, '05/12/2020', '5', '12', '2020', '4935', '79', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '613.57740587');
INSERT INTO public.ecdc_import VALUES (45687, '04/12/2020', '4', '12', '2020', '3772', '79', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '628.69911373');
INSERT INTO public.ecdc_import VALUES (45688, '03/12/2020', '3', '12', '2020', '3384', '68', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '660.05184391');
INSERT INTO public.ecdc_import VALUES (45689, '02/12/2020', '2', '12', '2020', '2401', '72', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '684.44703155');
INSERT INTO public.ecdc_import VALUES (45690, '01/12/2020', '1', '12', '2020', '3262', '78', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '704.40496128');
INSERT INTO public.ecdc_import VALUES (45691, '30/11/2020', '30', '11', '2020', '4093', '64', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '754.11976529');
INSERT INTO public.ecdc_import VALUES (45692, '29/11/2020', '29', '11', '2020', '4868', '87', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '773.01703469');
INSERT INTO public.ecdc_import VALUES (45693, '28/11/2020', '28', '11', '2020', '5444', '67', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '789.89029172');
INSERT INTO public.ecdc_import VALUES (45694, '27/11/2020', '27', '11', '2020', '6383', '82', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '801.65486366');
INSERT INTO public.ecdc_import VALUES (45695, '26/11/2020', '26', '11', '2020', '5290', '71', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '796.36129283');
INSERT INTO public.ecdc_import VALUES (45696, '25/11/2020', '25', '11', '2020', '3919', '85', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '792.90684863');
INSERT INTO public.ecdc_import VALUES (45697, '24/11/2020', '24', '11', '2020', '4044', '74', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '791.91430409');
INSERT INTO public.ecdc_import VALUES (45698, '23/11/2020', '23', '11', '2020', '4788', '73', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '792.42030719');
INSERT INTO public.ecdc_import VALUES (45699, '22/11/2020', '22', '11', '2020', '6472', '62', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '802.11221261');
INSERT INTO public.ecdc_import VALUES (45700, '21/11/2020', '21', '11', '2020', '6489', '61', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '803.74699184');
INSERT INTO public.ecdc_import VALUES (45701, '20/11/2020', '20', '11', '2020', '6994', '69', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '794.60974365');
INSERT INTO public.ecdc_import VALUES (45702, '19/11/2020', '19', '11', '2020', '5891', '79', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '769.4652822');
INSERT INTO public.ecdc_import VALUES (45703, '18/11/2020', '18', '11', '2020', '4452', '81', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '785.09299315');
INSERT INTO public.ecdc_import VALUES (45704, '17/11/2020', '17', '11', '2020', '8371', '91', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '767.03257502');
INSERT INTO public.ecdc_import VALUES (45705, '16/11/2020', '16', '11', '2020', '6035', '76', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '709.96126449');
INSERT INTO public.ecdc_import VALUES (45706, '15/11/2020', '15', '11', '2020', '6602', '55', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '681.03151066');
INSERT INTO public.ecdc_import VALUES (45707, '14/11/2020', '14', '11', '2020', '6653', '69', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '655.78001009');
INSERT INTO public.ecdc_import VALUES (45708, '13/11/2020', '13', '11', '2020', '5839', '78', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '636.34754511');
INSERT INTO public.ecdc_import VALUES (45709, '12/11/2020', '12', '11', '2020', '4935', '82', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '620.6322567');
INSERT INTO public.ecdc_import VALUES (45710, '11/11/2020', '11', '11', '2020', '3817', '62', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '611.14469869');
INSERT INTO public.ecdc_import VALUES (45711, '10/11/2020', '10', '11', '2020', '4096', '63', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '606.1041294');
INSERT INTO public.ecdc_import VALUES (45712, '09/11/2020', '9', '11', '2020', '5784', '48', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '590.05799282');
INSERT INTO public.ecdc_import VALUES (45713, '08/11/2020', '8', '11', '2020', '6640', '56', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '558.85122507');
INSERT INTO public.ecdc_import VALUES (45714, '07/11/2020', '7', '11', '2020', '5550', '52', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '529.9409329');
INSERT INTO public.ecdc_import VALUES (45715, '06/11/2020', '6', '11', '2020', '4410', '46', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '504.14450592');
INSERT INTO public.ecdc_import VALUES (45716, '05/11/2020', '5', '11', '2020', '7497', '59', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '493.05136116');
INSERT INTO public.ecdc_import VALUES (45717, '04/11/2020', '4', '11', '2020', '2596', '45', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '444.76698898');
INSERT INTO public.ecdc_import VALUES (45718, '03/11/2020', '3', '11', '2020', '2506', '46', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '437.76079229');
INSERT INTO public.ecdc_import VALUES (45719, '02/11/2020', '2', '11', '2020', '3062', '37', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '432.34072069');
INSERT INTO public.ecdc_import VALUES (45720, '01/11/2020', '1', '11', '2020', '4007', '39', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '420.60534123');
INSERT INTO public.ecdc_import VALUES (45721, '31/10/2020', '31', '10', '2020', '4656', '40', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '402.56438476');
INSERT INTO public.ecdc_import VALUES (45722, '30/10/2020', '30', '10', '2020', '4224', '33', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '382.63564751');
INSERT INTO public.ecdc_import VALUES (45723, '29/10/2020', '29', '10', '2020', '3960', '24', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '361.97709811');
INSERT INTO public.ecdc_import VALUES (45724, '28/10/2020', '28', '10', '2020', '3299', '28', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '343.60529345');
INSERT INTO public.ecdc_import VALUES (45725, '27/10/2020', '27', '10', '2020', '2447', '27', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '323.25813057');
INSERT INTO public.ecdc_import VALUES (45726, '26/10/2020', '26', '10', '2020', '2577', '19', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '311.60059775');
INSERT INTO public.ecdc_import VALUES (45727, '25/10/2020', '25', '10', '2020', '3669', '21', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '297.13085542');
INSERT INTO public.ecdc_import VALUES (45728, '24/10/2020', '24', '10', '2020', '2899', '31', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '277.44538889');
INSERT INTO public.ecdc_import VALUES (45729, '23/10/2020', '23', '10', '2020', '3270', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '262.80049164');
INSERT INTO public.ecdc_import VALUES (45730, '22/10/2020', '22', '10', '2020', '2535', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '243.4166808');
INSERT INTO public.ecdc_import VALUES (45731, '21/10/2020', '21', '10', '2020', '1876', '15', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '227.93493228');
INSERT INTO public.ecdc_import VALUES (45732, '20/10/2020', '20', '10', '2020', '1949', '17', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '213.83496145');
INSERT INTO public.ecdc_import VALUES (45733, '19/10/2020', '19', '10', '2020', '1856', '19', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '210.80867371');
INSERT INTO public.ecdc_import VALUES (45734, '18/10/2020', '18', '10', '2020', '2153', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '192.74825558');
INSERT INTO public.ecdc_import VALUES (45735, '17/10/2020', '17', '10', '2020', '2608', '21', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '181.16856938');
INSERT INTO public.ecdc_import VALUES (45736, '16/10/2020', '16', '10', '2020', '2101', '11', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '164.43154396');
INSERT INTO public.ecdc_import VALUES (45737, '15/10/2020', '15', '10', '2020', '2072', '7', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '152.29720053');
INSERT INTO public.ecdc_import VALUES (45738, '14/10/2020', '14', '10', '2020', '1208', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '140.1628571');
INSERT INTO public.ecdc_import VALUES (45739, '13/10/2020', '13', '10', '2020', '1249', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '135.10282615');
INSERT INTO public.ecdc_import VALUES (45740, '12/10/2020', '12', '10', '2020', '1090', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '127.08462328');
INSERT INTO public.ecdc_import VALUES (45741, '11/10/2020', '11', '10', '2020', '1646', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '122.94902106');
INSERT INTO public.ecdc_import VALUES (45742, '10/10/2020', '10', '10', '2020', '1394', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '115.53412957');
INSERT INTO public.ecdc_import VALUES (45743, '09/10/2020', '9', '10', '2020', '1278', '10', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '110.71736934');
INSERT INTO public.ecdc_import VALUES (45744, '08/10/2020', '8', '10', '2020', '944', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '105.00537288');
INSERT INTO public.ecdc_import VALUES (45745, '07/10/2020', '7', '10', '2020', '427', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '103.6235952');
INSERT INTO public.ecdc_import VALUES (45746, '06/10/2020', '6', '10', '2020', '1638', '23', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '103.97390503');
INSERT INTO public.ecdc_import VALUES (45747, '05/10/2020', '5', '10', '2020', '0', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '94.09711387');
INSERT INTO public.ecdc_import VALUES (45748, '04/10/2020', '4', '10', '2020', '963', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '99.46853133');
INSERT INTO public.ecdc_import VALUES (45749, '03/10/2020', '3', '10', '2020', '888', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '98.35921685');
INSERT INTO public.ecdc_import VALUES (45750, '02/10/2020', '2', '10', '2020', '854', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '97.30828735');
INSERT INTO public.ecdc_import VALUES (45751, '01/10/2020', '1', '10', '2020', '825', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '96.49089773');
INSERT INTO public.ecdc_import VALUES (45752, '30/09/2020', '30', '9', '2020', '688', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '94.35011541');
INSERT INTO public.ecdc_import VALUES (45753, '29/09/2020', '29', '9', '2020', '425', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '91.79090746');
INSERT INTO public.ecdc_import VALUES (45754, '28/09/2020', '28', '9', '2020', '665', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '93.62030326');
INSERT INTO public.ecdc_import VALUES (45755, '27/09/2020', '27', '9', '2020', '884', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '93.69814989');
INSERT INTO public.ecdc_import VALUES (45756, '26/09/2020', '26', '9', '2020', '899', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '89.93231917');
INSERT INTO public.ecdc_import VALUES (45757, '25/09/2020', '25', '9', '2020', '691', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '87.86938348');
INSERT INTO public.ecdc_import VALUES (45758, '24/09/2020', '24', '9', '2020', '802', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '86.83791563');
INSERT INTO public.ecdc_import VALUES (45759, '23/09/2020', '23', '9', '2020', '463', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '85.31990635');
INSERT INTO public.ecdc_import VALUES (45760, '22/09/2020', '22', '9', '2020', '623', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '84.59009419');
INSERT INTO public.ecdc_import VALUES (45761, '21/09/2020', '21', '9', '2020', '552', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '80.95076424');
INSERT INTO public.ecdc_import VALUES (45762, '20/09/2020', '20', '9', '2020', '849', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '78.64455783');
INSERT INTO public.ecdc_import VALUES (45763, '19/09/2020', '19', '9', '2020', '780', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '75.112267');
INSERT INTO public.ecdc_import VALUES (45764, '18/09/2020', '18', '9', '2020', '770', '10', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '71.47293706');
INSERT INTO public.ecdc_import VALUES (45765, '17/09/2020', '17', '9', '2020', '605', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '68.04768534');
INSERT INTO public.ecdc_import VALUES (45766, '16/09/2020', '16', '9', '2020', '425', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '65.95555716');
INSERT INTO public.ecdc_import VALUES (45767, '15/09/2020', '15', '9', '2020', '613', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '64.06777639');
INSERT INTO public.ecdc_import VALUES (45768, '14/09/2020', '14', '9', '2020', '673', '7', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '60.47710059');
INSERT INTO public.ecdc_import VALUES (45769, '13/09/2020', '13', '9', '2020', '497', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '57.04211804');
INSERT INTO public.ecdc_import VALUES (45770, '12/09/2020', '12', '9', '2020', '687', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '55.84522611');
INSERT INTO public.ecdc_import VALUES (45771, '11/09/2020', '11', '9', '2020', '585', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '53.06220909');
INSERT INTO public.ecdc_import VALUES (45772, '10/09/2020', '10', '9', '2020', '646', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '51.25227495');
INSERT INTO public.ecdc_import VALUES (45773, '09/09/2020', '9', '9', '2020', '388', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '48.48871959');
INSERT INTO public.ecdc_import VALUES (45774, '08/09/2020', '8', '9', '2020', '249', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.58147715');
INSERT INTO public.ecdc_import VALUES (45775, '07/09/2020', '7', '9', '2020', '315', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.35539273');
INSERT INTO public.ecdc_import VALUES (45776, '06/09/2020', '6', '9', '2020', '486', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.70115185');
INSERT INTO public.ecdc_import VALUES (45777, '05/09/2020', '5', '9', '2020', '406', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.31709881');
INSERT INTO public.ecdc_import VALUES (45778, '04/09/2020', '4', '9', '2020', '418', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '39.49743383');
INSERT INTO public.ecdc_import VALUES (45779, '03/09/2020', '3', '9', '2020', '390', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '38.26161859');
INSERT INTO public.ecdc_import VALUES (45780, '02/09/2020', '2', '9', '2020', '231', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.92849505');
INSERT INTO public.ecdc_import VALUES (45781, '01/09/2020', '1', '9', '2020', '244', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.76307096');
INSERT INTO public.ecdc_import VALUES (45782, '31/08/2020', '31', '8', '2020', '320', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '35.67321814');
INSERT INTO public.ecdc_import VALUES (45783, '30/08/2020', '30', '8', '2020', '374', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.73678322');
INSERT INTO public.ecdc_import VALUES (45784, '29/08/2020', '29', '8', '2020', '401', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '32.02415737');
INSERT INTO public.ecdc_import VALUES (45785, '28/08/2020', '28', '8', '2020', '399', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '30.4088398');
INSERT INTO public.ecdc_import VALUES (45786, '27/08/2020', '27', '8', '2020', '362', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '29.68875847');
INSERT INTO public.ecdc_import VALUES (45787, '26/08/2020', '26', '8', '2020', '192', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.87136886');
INSERT INTO public.ecdc_import VALUES (45788, '25/08/2020', '25', '8', '2020', '123', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.17074919');
INSERT INTO public.ecdc_import VALUES (45789, '24/08/2020', '24', '8', '2020', '145', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.50159736');
INSERT INTO public.ecdc_import VALUES (45790, '23/08/2020', '23', '8', '2020', '241', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.36536576');
INSERT INTO public.ecdc_import VALUES (45791, '22/08/2020', '22', '8', '2020', '219', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '27.83017018');
INSERT INTO public.ecdc_import VALUES (45792, '21/08/2020', '21', '8', '2020', '291', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.52105902');
INSERT INTO public.ecdc_import VALUES (45793, '20/08/2020', '20', '8', '2020', '253', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '27.76205438');
INSERT INTO public.ecdc_import VALUES (45794, '19/08/2020', '19', '8', '2020', '214', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '26.92520311');
INSERT INTO public.ecdc_import VALUES (45795, '18/08/2020', '18', '8', '2020', '132', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '25.93265858');
INSERT INTO public.ecdc_import VALUES (45796, '17/08/2020', '17', '8', '2020', '121', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '25.67965703');
INSERT INTO public.ecdc_import VALUES (45797, '16/08/2020', '16', '8', '2020', '198', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '25.99104355');
INSERT INTO public.ecdc_import VALUES (45798, '15/08/2020', '15', '8', '2020', '235', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '26.3802767');
INSERT INTO public.ecdc_import VALUES (45799, '14/08/2020', '14', '8', '2020', '325', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '26.07862101');
INSERT INTO public.ecdc_import VALUES (45800, '13/08/2020', '13', '8', '2020', '278', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '25.397463');
INSERT INTO public.ecdc_import VALUES (45801, '12/08/2020', '12', '8', '2020', '120', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '24.66765084');
INSERT INTO public.ecdc_import VALUES (45802, '11/08/2020', '11', '8', '2020', '157', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '24.58007338');
INSERT INTO public.ecdc_import VALUES (45803, '10/08/2020', '10', '8', '2020', '131', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '24.36599515');
INSERT INTO public.ecdc_import VALUES (45804, '09/08/2020', '9', '8', '2020', '186', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '25.12499979');
INSERT INTO public.ecdc_import VALUES (45805, '08/08/2020', '8', '8', '2020', '290', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '25.87427361');
INSERT INTO public.ecdc_import VALUES (45806, '07/08/2020', '7', '8', '2020', '213', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '26.09808267');
INSERT INTO public.ecdc_import VALUES (45807, '06/08/2020', '6', '8', '2020', '167', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '26.25377593');
INSERT INTO public.ecdc_import VALUES (45808, '05/08/2020', '5', '8', '2020', '112', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '27.08089637');
INSERT INTO public.ecdc_import VALUES (45809, '04/08/2020', '4', '8', '2020', '106', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '27.2268588');
INSERT INTO public.ecdc_import VALUES (45810, '03/08/2020', '3', '8', '2020', '153', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '27.50905283');
INSERT INTO public.ecdc_import VALUES (45811, '02/08/2020', '2', '8', '2020', '238', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.41401991');
INSERT INTO public.ecdc_import VALUES (45812, '01/08/2020', '1', '8', '2020', '204', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '29.14383206');
INSERT INTO public.ecdc_import VALUES (45813, '31/07/2020', '31', '7', '2020', '255', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '30.19476156');
INSERT INTO public.ecdc_import VALUES (45814, '30/07/2020', '30', '7', '2020', '203', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '31.01215118');
INSERT INTO public.ecdc_import VALUES (45815, '29/07/2020', '29', '7', '2020', '111', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '32.68585372');
INSERT INTO public.ecdc_import VALUES (45816, '28/07/2020', '28', '7', '2020', '135', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.87301483');
INSERT INTO public.ecdc_import VALUES (45817, '27/07/2020', '27', '7', '2020', '209', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '35.53698654');
INSERT INTO public.ecdc_import VALUES (45818, '26/07/2020', '26', '7', '2020', '263', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.3349145');
INSERT INTO public.ecdc_import VALUES (45819, '25/07/2020', '25', '7', '2020', '313', '7', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '39.04981571');
INSERT INTO public.ecdc_import VALUES (45820, '24/07/2020', '24', '7', '2020', '229', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '39.91585947');
INSERT INTO public.ecdc_import VALUES (45821, '23/07/2020', '23', '7', '2020', '252', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.7549861');
INSERT INTO public.ecdc_import VALUES (45822, '22/07/2020', '22', '7', '2020', '127', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.61357439');
INSERT INTO public.ecdc_import VALUES (45823, '21/07/2020', '21', '7', '2020', '135', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.17050699');
INSERT INTO public.ecdc_import VALUES (45824, '20/07/2020', '20', '7', '2020', '246', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.11439737');
INSERT INTO public.ecdc_import VALUES (45825, '19/07/2020', '19', '7', '2020', '313', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.91232533');
INSERT INTO public.ecdc_import VALUES (45826, '18/07/2020', '18', '7', '2020', '312', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '47.8854082');
INSERT INTO public.ecdc_import VALUES (45827, '17/07/2020', '17', '7', '2020', '339', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '48.48871959');
INSERT INTO public.ecdc_import VALUES (45828, '16/07/2020', '16', '7', '2020', '375', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '48.38168047');
INSERT INTO public.ecdc_import VALUES (45829, '15/07/2020', '15', '7', '2020', '233', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '47.77836909');
INSERT INTO public.ecdc_import VALUES (45830, '14/07/2020', '14', '7', '2020', '306', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '47.73944577');
INSERT INTO public.ecdc_import VALUES (45831, '13/07/2020', '13', '7', '2020', '291', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '47.35021262');
INSERT INTO public.ecdc_import VALUES (45832, '12/07/2020', '12', '7', '2020', '542', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '48.96553019');
INSERT INTO public.ecdc_import VALUES (45833, '11/07/2020', '11', '7', '2020', '402', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.8344787');
INSERT INTO public.ecdc_import VALUES (45834, '10/07/2020', '10', '7', '2020', '418', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '47.31128931');
INSERT INTO public.ecdc_import VALUES (45835, '09/07/2020', '9', '7', '2020', '443', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.27009063');
INSERT INTO public.ecdc_import VALUES (45836, '08/07/2020', '8', '7', '2020', '287', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.53054765');
INSERT INTO public.ecdc_import VALUES (45837, '07/07/2020', '7', '7', '2020', '232', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.09493572');
INSERT INTO public.ecdc_import VALUES (45838, '06/07/2020', '6', '7', '2020', '328', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.35766809');
INSERT INTO public.ecdc_import VALUES (45839, '05/07/2020', '5', '7', '2020', '413', '7', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.00735826');
INSERT INTO public.ecdc_import VALUES (45840, '04/07/2020', '4', '7', '2020', '374', '11', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.65704842');
INSERT INTO public.ecdc_import VALUES (45841, '03/07/2020', '3', '7', '2020', '328', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.66677925');
INSERT INTO public.ecdc_import VALUES (45842, '02/07/2020', '2', '7', '2020', '313', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.53282301');
INSERT INTO public.ecdc_import VALUES (45843, '01/07/2020', '1', '7', '2020', '229', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '46.75663207');
INSERT INTO public.ecdc_import VALUES (45844, '30/06/2020', '30', '6', '2020', '266', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '47.44752091');
INSERT INTO public.ecdc_import VALUES (45845, '29/06/2020', '29', '6', '2020', '457', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '48.22598721');
INSERT INTO public.ecdc_import VALUES (45846, '28/06/2020', '28', '6', '2020', '323', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.9878966');
INSERT INTO public.ecdc_import VALUES (45847, '27/06/2020', '27', '6', '2020', '451', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.59866345');
INSERT INTO public.ecdc_import VALUES (45848, '26/06/2020', '26', '6', '2020', '311', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.83738345');
INSERT INTO public.ecdc_import VALUES (45849, '25/06/2020', '25', '6', '2020', '367', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.82765262');
INSERT INTO public.ecdc_import VALUES (45850, '24/06/2020', '24', '6', '2020', '345', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.11730212');
INSERT INTO public.ecdc_import VALUES (45851, '23/06/2020', '23', '6', '2020', '259', '4', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.85684511');
INSERT INTO public.ecdc_import VALUES (45852, '22/06/2020', '22', '6', '2020', '292', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.15104533');
INSERT INTO public.ecdc_import VALUES (45853, '21/06/2020', '21', '6', '2020', '377', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.69142102');
INSERT INTO public.ecdc_import VALUES (45854, '20/06/2020', '20', '6', '2020', '375', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.74007516');
INSERT INTO public.ecdc_import VALUES (45855, '19/06/2020', '19', '6', '2020', '417', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.75953682');
INSERT INTO public.ecdc_import VALUES (45856, '18/06/2020', '18', '6', '2020', '336', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '42.92268555');
INSERT INTO public.ecdc_import VALUES (45857, '17/06/2020', '17', '6', '2020', '300', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '43.21461041');
INSERT INTO public.ecdc_import VALUES (45858, '16/06/2020', '16', '6', '2020', '346', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '42.19287339');
INSERT INTO public.ecdc_import VALUES (45859, '15/06/2020', '15', '6', '2020', '227', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '40.7721724');
INSERT INTO public.ecdc_import VALUES (45860, '14/06/2020', '14', '6', '2020', '283', '7', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.45333041');
INSERT INTO public.ecdc_import VALUES (45861, '13/06/2020', '13', '6', '2020', '270', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.20032886');
INSERT INTO public.ecdc_import VALUES (45862, '12/06/2020', '12', '6', '2020', '310', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.97879516');
INSERT INTO public.ecdc_import VALUES (45863, '11/06/2020', '11', '6', '2020', '294', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.92041019');
INSERT INTO public.ecdc_import VALUES (45864, '10/06/2020', '10', '6', '2020', '421', '7', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '41.83283273');
INSERT INTO public.ecdc_import VALUES (45865, '09/06/2020', '9', '6', '2020', '392', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '39.86720533');
INSERT INTO public.ecdc_import VALUES (45866, '08/06/2020', '8', '6', '2020', '142', '5', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '37.6583072');
INSERT INTO public.ecdc_import VALUES (45867, '07/06/2020', '7', '6', '2020', '382', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '37.75561549');
INSERT INTO public.ecdc_import VALUES (45868, '06/06/2020', '6', '6', '2020', '377', '10', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.6754935');
INSERT INTO public.ecdc_import VALUES (45869, '05/06/2020', '5', '6', '2020', '331', '8', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '35.80944974');
INSERT INTO public.ecdc_import VALUES (45870, '04/06/2020', '4', '6', '2020', '366', '11', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '35.04071427');
INSERT INTO public.ecdc_import VALUES (45871, '03/06/2020', '3', '6', '2020', '195', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.69785991');
INSERT INTO public.ecdc_import VALUES (45872, '02/06/2020', '2', '6', '2020', '200', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.97032311');
INSERT INTO public.ecdc_import VALUES (45873, '01/06/2020', '1', '6', '2020', '297', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.70759074');
INSERT INTO public.ecdc_import VALUES (45874, '31/05/2020', '31', '5', '2020', '257', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.0167019');
INSERT INTO public.ecdc_import VALUES (45875, '30/05/2020', '30', '5', '2020', '350', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '32.72477704');
INSERT INTO public.ecdc_import VALUES (45876, '29/05/2020', '29', '5', '2020', '304', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '31.88792576');
INSERT INTO public.ecdc_import VALUES (45877, '28/05/2020', '28', '5', '2020', '285', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '30.7494188');
INSERT INTO public.ecdc_import VALUES (45878, '27/05/2020', '27', '5', '2020', '219', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '30.10718411');
INSERT INTO public.ecdc_import VALUES (45879, '26/05/2020', '26', '5', '2020', '165', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '30.25314654');
INSERT INTO public.ecdc_import VALUES (45880, '25/05/2020', '25', '5', '2020', '152', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '29.60118101');
INSERT INTO public.ecdc_import VALUES (45881, '24/05/2020', '24', '5', '2020', '271', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '29.82499007');
INSERT INTO public.ecdc_import VALUES (45882, '23/05/2020', '23', '5', '2020', '288', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.53078985');
INSERT INTO public.ecdc_import VALUES (45883, '22/05/2020', '22', '5', '2020', '252', '14', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '31.10945947');
INSERT INTO public.ecdc_import VALUES (45884, '21/05/2020', '21', '5', '2020', '228', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.84382234');
INSERT INTO public.ecdc_import VALUES (45885, '20/05/2020', '20', '5', '2020', '223', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.29599118');
INSERT INTO public.ecdc_import VALUES (45886, '19/05/2020', '19', '5', '2020', '173', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '35.85810389');
INSERT INTO public.ecdc_import VALUES (45887, '18/05/2020', '18', '5', '2020', '226', '15', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '34.17467052');
INSERT INTO public.ecdc_import VALUES (45888, '17/05/2020', '17', '5', '2020', '227', '13', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '35.22560002');
INSERT INTO public.ecdc_import VALUES (45889, '16/05/2020', '16', '5', '2020', '264', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '31.45003847');
INSERT INTO public.ecdc_import VALUES (45890, '15/05/2020', '15', '5', '2020', '187', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '32.42312134');
INSERT INTO public.ecdc_import VALUES (45891, '14/05/2020', '14', '5', '2020', '219', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.47405085');
INSERT INTO public.ecdc_import VALUES (45892, '13/05/2020', '13', '5', '2020', '234', '19', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '34.92394433');
INSERT INTO public.ecdc_import VALUES (45893, '12/05/2020', '12', '5', '2020', '98', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '34.39847958');
INSERT INTO public.ecdc_import VALUES (45894, '11/05/2020', '11', '5', '2020', '175', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.34464532');
INSERT INTO public.ecdc_import VALUES (45895, '10/05/2020', '10', '5', '2020', '138', '12', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '36.22787538');
INSERT INTO public.ecdc_import VALUES (45896, '09/05/2020', '9', '5', '2020', '553', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '38.89412245');
INSERT INTO public.ecdc_import VALUES (45897, '08/05/2020', '8', '5', '2020', '533', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '42.44587494');
INSERT INTO public.ecdc_import VALUES (45898, '07/05/2020', '7', '5', '2020', '480', '15', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '40.86948069');
INSERT INTO public.ecdc_import VALUES (45899, '06/05/2020', '6', '5', '2020', '178', '11', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '42.06637262');
INSERT INTO public.ecdc_import VALUES (45900, '05/05/2020', '5', '5', '2020', '0', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '45.35539273');
INSERT INTO public.ecdc_import VALUES (45901, '04/05/2020', '4', '5', '2020', '334', '40', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '51.74854721');
INSERT INTO public.ecdc_import VALUES (45902, '03/05/2020', '3', '5', '2020', '-161', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '53.56821219');
INSERT INTO public.ecdc_import VALUES (45903, '02/05/2020', '2', '5', '2020', '364', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '61.58641506');
INSERT INTO public.ecdc_import VALUES (45904, '01/05/2020', '1', '5', '2020', '295', '18', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '59.8056734');
INSERT INTO public.ecdc_import VALUES (45905, '30/04/2020', '30', '4', '2020', '368', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '64.23320048');
INSERT INTO public.ecdc_import VALUES (45906, '29/04/2020', '29', '4', '2020', '180', '25', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '66.90917838');
INSERT INTO public.ecdc_import VALUES (45907, '28/04/2020', '28', '4', '2020', '298', '20', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '70.15927518');
INSERT INTO public.ecdc_import VALUES (45908, '27/04/2020', '27', '4', '2020', '163', '25', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '70.65554744');
INSERT INTO public.ecdc_import VALUES (45909, '26/04/2020', '26', '4', '2020', '412', '23', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '74.88845794');
INSERT INTO public.ecdc_import VALUES (45910, '25/04/2020', '25', '4', '2020', '918', '60', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '75.8907333');
INSERT INTO public.ecdc_import VALUES (45911, '24/04/2020', '24', '4', '2020', '371', '35', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '81.70976889');
INSERT INTO public.ecdc_import VALUES (45912, '23/04/2020', '23', '4', '2020', '603', '23', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '86.03025684');
INSERT INTO public.ecdc_import VALUES (45913, '22/04/2020', '22', '4', '2020', '516', '27', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '86.9644164');
INSERT INTO public.ecdc_import VALUES (45914, '21/04/2020', '21', '4', '2020', '657', '21', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '88.87165883');
INSERT INTO public.ecdc_import VALUES (45915, '20/04/2020', '20', '4', '2020', '521', '27', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '86.87683894');
INSERT INTO public.ecdc_import VALUES (45916, '19/04/2020', '19', '4', '2020', '663', '30', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '89.14412204');
INSERT INTO public.ecdc_import VALUES (45917, '18/04/2020', '18', '4', '2020', '181', '28', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '88.90085132');
INSERT INTO public.ecdc_import VALUES (45918, '17/04/2020', '17', '4', '2020', '750', '30', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '95.4302374');
INSERT INTO public.ecdc_import VALUES (45919, '16/04/2020', '16', '4', '2020', '643', '32', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '95.75135475');
INSERT INTO public.ecdc_import VALUES (45920, '15/04/2020', '15', '4', '2020', '514', '32', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '97.35694149');
INSERT INTO public.ecdc_import VALUES (45921, '14/04/2020', '14', '4', '2020', '349', '31', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '102.42670326');
INSERT INTO public.ecdc_import VALUES (45922, '13/04/2020', '13', '4', '2020', '598', '34', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '103.37059365');
INSERT INTO public.ecdc_import VALUES (45923, '12/04/2020', '12', '4', '2020', '515', '35', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '105.25837442');
INSERT INTO public.ecdc_import VALUES (45924, '11/04/2020', '11', '4', '2020', '1516', '26', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '109.02420514');
INSERT INTO public.ecdc_import VALUES (45925, '10/04/2020', '10', '4', '2020', '815', '29', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '101.31738879');
INSERT INTO public.ecdc_import VALUES (45926, '09/04/2020', '9', '4', '2020', '699', '35', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '98.72898834');
INSERT INTO public.ecdc_import VALUES (45927, '08/04/2020', '8', '4', '2020', '712', '34', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '98.08675365');
INSERT INTO public.ecdc_import VALUES (45928, '07/04/2020', '7', '4', '2020', '452', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '94.09711387');
INSERT INTO public.ecdc_import VALUES (45929, '06/04/2020', '6', '4', '2020', '754', '29', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '94.1749605');
INSERT INTO public.ecdc_import VALUES (45930, '05/04/2020', '5', '4', '2020', '638', '20', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '89.95178082');
INSERT INTO public.ecdc_import VALUES (45931, '04/04/2020', '4', '4', '2020', '852', '37', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '86.27352756');
INSERT INTO public.ecdc_import VALUES (45932, '03/04/2020', '3', '4', '2020', '783', '22', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '80.26960623');
INSERT INTO public.ecdc_import VALUES (45933, '02/04/2020', '2', '4', '2020', '808', '27', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '74.04187584');
INSERT INTO public.ecdc_import VALUES (45934, '01/04/2020', '1', '4', '2020', '1035', '20', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '68.067147');
INSERT INTO public.ecdc_import VALUES (45935, '31/03/2020', '31', '3', '2020', '446', '21', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '59.13424622');
INSERT INTO public.ecdc_import VALUES (45936, '30/03/2020', '30', '3', '2020', '792', '19', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '55.63114788');
INSERT INTO public.ecdc_import VALUES (45937, '29/03/2020', '29', '3', '2020', '902', '24', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '48.6638745');
INSERT INTO public.ecdc_import VALUES (45938, '28/03/2020', '28', '3', '2020', '724', '16', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '40.44132422');
INSERT INTO public.ecdc_import VALUES (45939, '27/03/2020', '27', '3', '2020', '549', '17', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '33.72705239');
INSERT INTO public.ecdc_import VALUES (45940, '26/03/2020', '26', '3', '2020', '633', '10', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '28.56971317');
INSERT INTO public.ecdc_import VALUES (45941, '25/03/2020', '25', '3', '2020', '302', '10', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '22.58525349');
INSERT INTO public.ecdc_import VALUES (45942, '24/03/2020', '24', '3', '2020', '460', '9', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '19.66600487');
INSERT INTO public.ecdc_import VALUES (45943, '23/03/2020', '23', '3', '2020', '320', '2', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '15.27740111');
INSERT INTO public.ecdc_import VALUES (45944, '22/03/2020', '22', '3', '2020', '260', '6', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '12.25111338');
INSERT INTO public.ecdc_import VALUES (45945, '21/03/2020', '21', '3', '2020', '235', '3', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '9.79894454');
INSERT INTO public.ecdc_import VALUES (45946, '20/03/2020', '20', '3', '2020', '143', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '7.5511231');
INSERT INTO public.ecdc_import VALUES (45947, '19/03/2020', '19', '3', '2020', '194', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '6.1985379');
INSERT INTO public.ecdc_import VALUES (45948, '18/03/2020', '18', '3', '2020', '117', '1', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '4.32048796');
INSERT INTO public.ecdc_import VALUES (45949, '17/03/2020', '17', '3', '2020', '86', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '3.20144265');
INSERT INTO public.ecdc_import VALUES (45950, '16/03/2020', '16', '3', '2020', '76', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '2.38405304');
INSERT INTO public.ecdc_import VALUES (45951, '15/03/2020', '15', '3', '2020', '57', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45952, '14/03/2020', '14', '3', '2020', '34', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45953, '13/03/2020', '13', '3', '2020', '19', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45954, '12/03/2020', '12', '3', '2020', '18', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45955, '11/03/2020', '11', '3', '2020', '2', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45956, '10/03/2020', '10', '3', '2020', '9', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45957, '09/03/2020', '9', '3', '2020', '9', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45958, '08/03/2020', '8', '3', '2020', '8', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45959, '07/03/2020', '7', '3', '2020', '4', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45960, '06/03/2020', '6', '3', '2020', '4', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45961, '05/03/2020', '5', '3', '2020', '1', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45962, '04/03/2020', '4', '3', '2020', '2', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45963, '03/03/2020', '3', '3', '2020', '2', '0', '10276617', 'Portugal', 'PT', 'PRT', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (45964, '14/12/2020', '14', '12', '2020', '1104', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '564.63412472');
INSERT INTO public.ecdc_import VALUES (45965, '13/12/2020', '13', '12', '2020', '1561', '17', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '532.00991067');
INSERT INTO public.ecdc_import VALUES (45966, '12/12/2020', '12', '12', '2020', '2730', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '519.53293852');
INSERT INTO public.ecdc_import VALUES (45967, '11/12/2020', '11', '12', '2020', '494', '19', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '494.30627353');
INSERT INTO public.ecdc_import VALUES (45968, '10/12/2020', '10', '12', '2020', '721', '13', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '499.69250741');
INSERT INTO public.ecdc_import VALUES (45969, '09/12/2020', '9', '12', '2020', '1062', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '480.60205822');
INSERT INTO public.ecdc_import VALUES (45970, '08/12/2020', '8', '12', '2020', '1382', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '457.93214982');
INSERT INTO public.ecdc_import VALUES (45971, '07/12/2020', '7', '12', '2020', '2480', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '449.3073576');
INSERT INTO public.ecdc_import VALUES (45972, '06/12/2020', '6', '12', '2020', '1055', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '425.54656638');
INSERT INTO public.ecdc_import VALUES (45973, '05/12/2020', '5', '12', '2020', '618', '18', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '433.72818746');
INSERT INTO public.ecdc_import VALUES (45974, '04/12/2020', '4', '12', '2020', '437', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '453.67088884');
INSERT INTO public.ecdc_import VALUES (45975, '03/12/2020', '3', '12', '2020', '588', '22', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '454.86404191');
INSERT INTO public.ecdc_import VALUES (45976, '02/12/2020', '2', '12', '2020', '1041', '16', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '454.28451042');
INSERT INTO public.ecdc_import VALUES (45977, '01/12/2020', '1', '12', '2020', '1290', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '442.76206073');
INSERT INTO public.ecdc_import VALUES (45978, '30/11/2020', '30', '11', '2020', '147', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '428.54649411');
INSERT INTO public.ecdc_import VALUES (45979, '29/11/2020', '29', '11', '2020', '1195', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '461.6138793');
INSERT INTO public.ecdc_import VALUES (45980, '28/11/2020', '28', '11', '2020', '1990', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '452.13683489');
INSERT INTO public.ecdc_import VALUES (45981, '27/11/2020', '27', '11', '2020', '652', '17', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '411.97871142');
INSERT INTO public.ecdc_import VALUES (45982, '26/11/2020', '26', '11', '2020', '161', '14', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '456.39809586');
INSERT INTO public.ecdc_import VALUES (45983, '25/11/2020', '25', '11', '2020', '397', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '456.15946525');
INSERT INTO public.ecdc_import VALUES (45984, '24/11/2020', '24', '11', '2020', '1129', '15', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '453.39816814');
INSERT INTO public.ecdc_import VALUES (45985, '23/11/2020', '23', '11', '2020', '1783', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '438.3644394');
INSERT INTO public.ecdc_import VALUES (45986, '22/11/2020', '22', '11', '2020', '1295', '21', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '398.37676638');
INSERT INTO public.ecdc_import VALUES (45987, '21/11/2020', '21', '11', '2020', '1203', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '386.13842485');
INSERT INTO public.ecdc_import VALUES (45988, '20/11/2020', '20', '11', '2020', '472', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '382.72941606');
INSERT INTO public.ecdc_import VALUES (45989, '19/11/2020', '19', '11', '2020', '571', '20', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '380.13856939');
INSERT INTO public.ecdc_import VALUES (45990, '18/11/2020', '18', '11', '2020', '703', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '363.298066');
INSERT INTO public.ecdc_import VALUES (45991, '17/11/2020', '17', '11', '2020', '873', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '365.61619197');
INSERT INTO public.ecdc_import VALUES (45992, '16/11/2020', '16', '11', '2020', '1117', '14', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '387.36566801');
INSERT INTO public.ecdc_import VALUES (45993, '15/11/2020', '15', '11', '2020', '917', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '367.45705672');
INSERT INTO public.ecdc_import VALUES (45994, '14/11/2020', '14', '11', '2020', '812', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '349.32112999');
INSERT INTO public.ecdc_import VALUES (45995, '13/11/2020', '13', '11', '2020', '1955', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '353.85511167');
INSERT INTO public.ecdc_import VALUES (45996, '12/11/2020', '12', '11', '2020', '154', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '328.49208633');
INSERT INTO public.ecdc_import VALUES (45997, '11/11/2020', '11', '11', '2020', '316', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '326.31032071');
INSERT INTO public.ecdc_import VALUES (45998, '10/11/2020', '10', '11', '2020', '688', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '328.32163589');
INSERT INTO public.ecdc_import VALUES (45999, '09/11/2020', '9', '11', '2020', '610', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '325.96941983');
INSERT INTO public.ecdc_import VALUES (46000, '08/11/2020', '8', '11', '2020', '936', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '346.86664367');
INSERT INTO public.ecdc_import VALUES (46001, '07/11/2020', '7', '11', '2020', '1103', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '325.04898746');
INSERT INTO public.ecdc_import VALUES (46002, '06/11/2020', '6', '11', '2020', '396', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '353.82102158');
INSERT INTO public.ecdc_import VALUES (46003, '05/11/2020', '5', '11', '2020', '77', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '347.37799498');
INSERT INTO public.ecdc_import VALUES (46004, '04/11/2020', '4', '11', '2020', '771', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '351.12790465');
INSERT INTO public.ecdc_import VALUES (46005, '03/11/2020', '3', '11', '2020', '1511', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '348.4688778');
INSERT INTO public.ecdc_import VALUES (46006, '02/11/2020', '2', '11', '2020', '533', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '319.35594279');
INSERT INTO public.ecdc_import VALUES (46007, '01/11/2020', '1', '11', '2020', '385', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '323.10585245');
INSERT INTO public.ecdc_import VALUES (46008, '31/10/2020', '31', '10', '2020', '945', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '318.09460954');
INSERT INTO public.ecdc_import VALUES (46009, '30/10/2020', '30', '10', '2020', '1211', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '297.02693526');
INSERT INTO public.ecdc_import VALUES (46010, '29/10/2020', '29', '10', '2020', '90', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '275.14109887');
INSERT INTO public.ecdc_import VALUES (46011, '28/10/2020', '28', '10', '2020', '375', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '305.34491669');
INSERT INTO public.ecdc_import VALUES (46012, '27/10/2020', '27', '10', '2020', '619', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '302.99270063');
INSERT INTO public.ecdc_import VALUES (46013, '26/10/2020', '26', '10', '2020', '1223', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '301.08365571');
INSERT INTO public.ecdc_import VALUES (46014, '25/10/2020', '25', '10', '2020', '296', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '269.85713526');
INSERT INTO public.ecdc_import VALUES (46015, '24/10/2020', '24', '10', '2020', '1947', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '275.85699072');
INSERT INTO public.ecdc_import VALUES (46016, '23/10/2020', '23', '10', '2020', '207', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '229.86946224');
INSERT INTO public.ecdc_import VALUES (46017, '22/10/2020', '22', '10', '2020', '187', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '240.74420025');
INSERT INTO public.ecdc_import VALUES (46018, '21/10/2020', '21', '10', '2020', '693', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '235.42614655');
INSERT INTO public.ecdc_import VALUES (46019, '20/10/2020', '20', '10', '2020', '657', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '226.52863363');
INSERT INTO public.ecdc_import VALUES (46020, '19/10/2020', '19', '10', '2020', '643', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '225.60820126');
INSERT INTO public.ecdc_import VALUES (46021, '18/10/2020', '18', '10', '2020', '238', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '240.0623985');
INSERT INTO public.ecdc_import VALUES (46022, '17/10/2020', '17', '10', '2020', '327', '15', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '250.39169511');
INSERT INTO public.ecdc_import VALUES (46023, '16/10/2020', '16', '10', '2020', '569', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '239.24423639');
INSERT INTO public.ecdc_import VALUES (46024, '15/10/2020', '15', '10', '2020', '976', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '230.48308382');
INSERT INTO public.ecdc_import VALUES (46025, '14/10/2020', '14', '10', '2020', '306', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '207.02910339');
INSERT INTO public.ecdc_import VALUES (46026, '13/10/2020', '13', '10', '2020', '563', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '232.2216783');
INSERT INTO public.ecdc_import VALUES (46027, '12/10/2020', '12', '10', '2020', '307', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '251.14167704');
INSERT INTO public.ecdc_import VALUES (46028, '11/10/2020', '11', '10', '2020', '472', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '271.05028833');
INSERT INTO public.ecdc_import VALUES (46029, '10/10/2020', '10', '10', '2020', '598', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '272.2775315');
INSERT INTO public.ecdc_import VALUES (46030, '09/10/2020', '9', '10', '2020', '526', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '288.12942234');
INSERT INTO public.ecdc_import VALUES (46031, '08/10/2020', '8', '10', '2020', '31', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '310.79933074');
INSERT INTO public.ecdc_import VALUES (46032, '07/10/2020', '7', '10', '2020', '432', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '311.61749285');
INSERT INTO public.ecdc_import VALUES (46033, '06/10/2020', '6', '10', '2020', '630', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '300.98138545');
INSERT INTO public.ecdc_import VALUES (46034, '05/10/2020', '5', '10', '2020', '1067', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '301.25410615');
INSERT INTO public.ecdc_import VALUES (46035, '04/10/2020', '4', '10', '2020', '541', '16', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '293.68610665');
INSERT INTO public.ecdc_import VALUES (46036, '03/10/2020', '3', '10', '2020', '0', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '319.86729411');
INSERT INTO public.ecdc_import VALUES (46037, '02/10/2020', '2', '10', '2020', '312', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '347.71889586');
INSERT INTO public.ecdc_import VALUES (46038, '01/10/2020', '1', '10', '2020', '288', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '337.5259596');
INSERT INTO public.ecdc_import VALUES (46039, '30/09/2020', '30', '9', '2020', '1045', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '350.95745421');
INSERT INTO public.ecdc_import VALUES (46040, '29/09/2020', '29', '9', '2020', '1118', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '329.71932949');
INSERT INTO public.ecdc_import VALUES (46041, '28/09/2020', '28', '9', '2020', '891', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '304.21994379');
INSERT INTO public.ecdc_import VALUES (46042, '27/09/2020', '27', '9', '2020', '508', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '283.66362083');
INSERT INTO public.ecdc_import VALUES (46043, '26/09/2020', '26', '9', '2020', '1063', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '283.76589109');
INSERT INTO public.ecdc_import VALUES (46044, '25/09/2020', '25', '9', '2020', '1191', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '257.82333426');
INSERT INTO public.ecdc_import VALUES (46045, '24/09/2020', '24', '9', '2020', '55', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '243.53958746');
INSERT INTO public.ecdc_import VALUES (46046, '23/09/2020', '23', '9', '2020', '120', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '241.76690289');
INSERT INTO public.ecdc_import VALUES (46047, '22/09/2020', '22', '9', '2020', '638', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '242.07371368');
INSERT INTO public.ecdc_import VALUES (46048, '21/09/2020', '21', '9', '2020', '845', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '249.0280916');
INSERT INTO public.ecdc_import VALUES (46049, '20/09/2020', '20', '9', '2020', '1309', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '221.61966098');
INSERT INTO public.ecdc_import VALUES (46050, '19/09/2020', '19', '9', '2020', '817', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '185.55234806');
INSERT INTO public.ecdc_import VALUES (46051, '18/09/2020', '18', '9', '2020', '13', '18', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '159.16662008');
INSERT INTO public.ecdc_import VALUES (46052, '17/09/2020', '17', '9', '2020', '682', '19', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '165.37101606');
INSERT INTO public.ecdc_import VALUES (46053, '16/09/2020', '16', '9', '2020', '422', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '161.96200728');
INSERT INTO public.ecdc_import VALUES (46054, '15/09/2020', '15', '9', '2020', '370', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '155.14398971');
INSERT INTO public.ecdc_import VALUES (46055, '14/09/2020', '14', '9', '2020', '288', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '154.49627804');
INSERT INTO public.ecdc_import VALUES (46056, '13/09/2020', '13', '9', '2020', '511', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '154.83717892');
INSERT INTO public.ecdc_import VALUES (46057, '12/09/2020', '12', '9', '2020', '302', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '156.5757734');
INSERT INTO public.ecdc_import VALUES (46058, '11/09/2020', '11', '9', '2020', '772', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '166.90507001');
INSERT INTO public.ecdc_import VALUES (46059, '10/09/2020', '10', '9', '2020', '3', '18', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '162.37108833');
INSERT INTO public.ecdc_import VALUES (46060, '09/09/2020', '9', '9', '2020', '129', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '163.08698018');
INSERT INTO public.ecdc_import VALUES (46061, '08/09/2020', '8', '9', '2020', '842', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '162.16654781');
INSERT INTO public.ecdc_import VALUES (46062, '07/09/2020', '7', '9', '2020', '41', '13', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '158.07573727');
INSERT INTO public.ecdc_import VALUES (46063, '06/09/2020', '6', '9', '2020', '251', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '167.55278168');
INSERT INTO public.ecdc_import VALUES (46064, '05/09/2020', '5', '9', '2020', '43', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '183.81375358');
INSERT INTO public.ecdc_import VALUES (46065, '04/09/2020', '4', '9', '2020', '195', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '206.41548181');
INSERT INTO public.ecdc_import VALUES (46066, '03/09/2020', '3', '9', '2020', '582', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '206.89274304');
INSERT INTO public.ecdc_import VALUES (46067, '02/09/2020', '2', '9', '2020', '222', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '194.58622133');
INSERT INTO public.ecdc_import VALUES (46068, '01/09/2020', '1', '9', '2020', '351', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '219.50607554');
INSERT INTO public.ecdc_import VALUES (46069, '31/08/2020', '31', '8', '2020', '298', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '233.24438093');
INSERT INTO public.ecdc_import VALUES (46070, '30/08/2020', '30', '8', '2020', '562', '4', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '233.68755207');
INSERT INTO public.ecdc_import VALUES (46071, '29/08/2020', '29', '8', '2020', '605', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '233.85800251');
INSERT INTO public.ecdc_import VALUES (46072, '28/08/2020', '28', '8', '2020', '639', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '236.48293927');
INSERT INTO public.ecdc_import VALUES (46073, '27/08/2020', '27', '8', '2020', '24', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '227.38088582');
INSERT INTO public.ecdc_import VALUES (46074, '26/08/2020', '26', '8', '2020', '102', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '249.43717265');
INSERT INTO public.ecdc_import VALUES (46075, '25/08/2020', '25', '8', '2020', '722', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '265.90268507');
INSERT INTO public.ecdc_import VALUES (46076, '24/08/2020', '24', '8', '2020', '319', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '265.05043288');
INSERT INTO public.ecdc_import VALUES (46077, '23/08/2020', '23', '8', '2020', '728', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '277.93648608');
INSERT INTO public.ecdc_import VALUES (46078, '22/08/2020', '22', '8', '2020', '706', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '278.27738695');
INSERT INTO public.ecdc_import VALUES (46079, '21/08/2020', '21', '8', '2020', '209', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '279.84553099');
INSERT INTO public.ecdc_import VALUES (46080, '20/08/2020', '20', '8', '2020', '221', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '282.36819749');
INSERT INTO public.ecdc_import VALUES (46081, '19/08/2020', '19', '8', '2020', '953', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '285.9817468');
INSERT INTO public.ecdc_import VALUES (46082, '18/08/2020', '18', '8', '2020', '754', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '271.66390991');
INSERT INTO public.ecdc_import VALUES (46083, '17/08/2020', '17', '8', '2020', '311', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '258.91421707');
INSERT INTO public.ecdc_import VALUES (46084, '16/08/2020', '16', '8', '2020', '567', '18', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '266.68675709');
INSERT INTO public.ecdc_import VALUES (46085, '15/08/2020', '15', '8', '2020', '682', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '284.54996311');
INSERT INTO public.ecdc_import VALUES (46086, '14/08/2020', '14', '8', '2020', '372', '11', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '268.42535157');
INSERT INTO public.ecdc_import VALUES (46087, '13/08/2020', '13', '8', '2020', '671', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '273.16387378');
INSERT INTO public.ecdc_import VALUES (46088, '12/08/2020', '12', '8', '2020', '585', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '257.82333426');
INSERT INTO public.ecdc_import VALUES (46089, '11/08/2020', '11', '8', '2020', '697', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '251.48257792');
INSERT INTO public.ecdc_import VALUES (46090, '10/08/2020', '10', '8', '2020', '697', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '237.88063288');
INSERT INTO public.ecdc_import VALUES (46091, '09/08/2020', '9', '8', '2020', '738', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '234.67616462');
INSERT INTO public.ecdc_import VALUES (46092, '08/08/2020', '8', '8', '2020', '752', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '229.05130013');
INSERT INTO public.ecdc_import VALUES (46093, '07/08/2020', '7', '8', '2020', '283', '12', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '220.25605747');
INSERT INTO public.ecdc_import VALUES (46094, '06/08/2020', '6', '8', '2020', '327', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '225.43775082');
INSERT INTO public.ecdc_import VALUES (46095, '05/08/2020', '5', '8', '2020', '533', '7', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '217.6311207');
INSERT INTO public.ecdc_import VALUES (46096, '04/08/2020', '4', '8', '2020', '380', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '215.79025596');
INSERT INTO public.ecdc_import VALUES (46097, '03/08/2020', '3', '8', '2020', '539', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '216.40387754');
INSERT INTO public.ecdc_import VALUES (46098, '02/08/2020', '2', '8', '2020', '1091', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '218.82427378');
INSERT INTO public.ecdc_import VALUES (46099, '01/08/2020', '1', '8', '2020', '209', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '192.9839872');
INSERT INTO public.ecdc_import VALUES (46100, '31/07/2020', '31', '7', '2020', '511', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '204.4723468');
INSERT INTO public.ecdc_import VALUES (46101, '30/07/2020', '30', '7', '2020', '221', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '193.69987905');
INSERT INTO public.ecdc_import VALUES (46102, '29/07/2020', '29', '7', '2020', '399', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '194.89303212');
INSERT INTO public.ecdc_import VALUES (46103, '28/07/2020', '28', '7', '2020', '298', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '185.143267');
INSERT INTO public.ecdc_import VALUES (46104, '27/07/2020', '27', '7', '2020', '603', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '181.42744743');
INSERT INTO public.ecdc_import VALUES (46105, '26/07/2020', '26', '7', '2020', '573', '10', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '170.68906976');
INSERT INTO public.ecdc_import VALUES (46106, '25/07/2020', '25', '7', '2020', '494', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '159.23480025');
INSERT INTO public.ecdc_import VALUES (46107, '24/07/2020', '24', '7', '2020', '435', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '155.75761129');
INSERT INTO public.ecdc_import VALUES (46108, '23/07/2020', '23', '7', '2020', '98', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '140.92842309');
INSERT INTO public.ecdc_import VALUES (46109, '22/07/2020', '22', '7', '2020', '479', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '144.06471117');
INSERT INTO public.ecdc_import VALUES (46110, '21/07/2020', '21', '7', '2020', '398', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '132.13318043');
INSERT INTO public.ecdc_import VALUES (46111, '20/07/2020', '20', '7', '2020', '610', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '141.37159423');
INSERT INTO public.ecdc_import VALUES (46112, '19/07/2020', '19', '7', '2020', '333', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '128.38327077');
INSERT INTO public.ecdc_import VALUES (46113, '18/07/2020', '18', '7', '2020', '546', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '117.16763187');
INSERT INTO public.ecdc_import VALUES (46114, '17/07/2020', '17', '7', '2020', '195', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '101.1112005');
INSERT INTO public.ecdc_import VALUES (46115, '16/07/2020', '16', '7', '2020', '256', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '96.88402961');
INSERT INTO public.ecdc_import VALUES (46116, '15/07/2020', '15', '7', '2020', '113', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '90.61145345');
INSERT INTO public.ecdc_import VALUES (46117, '14/07/2020', '14', '7', '2020', '189', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '94.08864241');
INSERT INTO public.ecdc_import VALUES (46118, '13/07/2020', '13', '7', '2020', '288', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '89.72511117');
INSERT INTO public.ecdc_import VALUES (46119, '12/07/2020', '12', '7', '2020', '237', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '84.10024668');
INSERT INTO public.ecdc_import VALUES (46120, '11/07/2020', '11', '7', '2020', '392', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '80.92986851');
INSERT INTO public.ecdc_import VALUES (46121, '10/07/2020', '10', '7', '2020', '0', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '69.10060803');
INSERT INTO public.ecdc_import VALUES (46122, '09/07/2020', '9', '7', '2020', '190', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '71.04374304');
INSERT INTO public.ecdc_import VALUES (46123, '08/07/2020', '8', '7', '2020', '129', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '69.16878821');
INSERT INTO public.ecdc_import VALUES (46124, '07/07/2020', '7', '7', '2020', '669', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '68.8960675');
INSERT INTO public.ecdc_import VALUES (46125, '06/07/2020', '6', '7', '2020', '229', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '47.41931217');
INSERT INTO public.ecdc_import VALUES (46126, '05/07/2020', '5', '7', '2020', '4', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '41.7262675');
INSERT INTO public.ecdc_import VALUES (46127, '04/07/2020', '4', '7', '2020', '75', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '53.58961807');
INSERT INTO public.ecdc_import VALUES (46128, '03/07/2020', '3', '7', '2020', '71', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '51.03286148');
INSERT INTO public.ecdc_import VALUES (46129, '02/07/2020', '2', '7', '2020', '72', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '52.29419473');
INSERT INTO public.ecdc_import VALUES (46130, '01/07/2020', '1', '7', '2020', '215', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '51.61239297');
INSERT INTO public.ecdc_import VALUES (46131, '30/06/2020', '30', '6', '2020', '61', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '46.36251945');
INSERT INTO public.ecdc_import VALUES (46132, '29/06/2020', '29', '6', '2020', '123', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '46.97614103');
INSERT INTO public.ecdc_import VALUES (46133, '28/06/2020', '28', '6', '2020', '144', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '46.90796085');
INSERT INTO public.ecdc_import VALUES (46134, '27/06/2020', '27', '6', '2020', '45', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '47.24886173');
INSERT INTO public.ecdc_import VALUES (46135, '26/06/2020', '26', '6', '2020', '57', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '51.98738394');
INSERT INTO public.ecdc_import VALUES (46136, '25/06/2020', '25', '6', '2020', '135', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '50.82832095');
INSERT INTO public.ecdc_import VALUES (46137, '24/06/2020', '24', '6', '2020', '121', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '51.13513174');
INSERT INTO public.ecdc_import VALUES (46138, '23/06/2020', '23', '6', '2020', '39', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '51.74875333');
INSERT INTO public.ecdc_import VALUES (46139, '22/06/2020', '22', '6', '2020', '62', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '52.49873526');
INSERT INTO public.ecdc_import VALUES (46140, '21/06/2020', '21', '6', '2020', '352', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '52.77145596');
INSERT INTO public.ecdc_import VALUES (46141, '20/06/2020', '20', '6', '2020', '0', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '50.82832095');
INSERT INTO public.ecdc_import VALUES (46142, '19/06/2020', '19', '6', '2020', '108', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '54.64641079');
INSERT INTO public.ecdc_import VALUES (46143, '18/06/2020', '18', '6', '2020', '52', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '67.4983739');
INSERT INTO public.ecdc_import VALUES (46144, '17/06/2020', '17', '6', '2020', '61', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '68.72561706');
INSERT INTO public.ecdc_import VALUES (46145, '16/06/2020', '16', '6', '2020', '79', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '68.75970715');
INSERT INTO public.ecdc_import VALUES (46146, '15/06/2020', '15', '6', '2020', '121', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '69.37332873');
INSERT INTO public.ecdc_import VALUES (46147, '14/06/2020', '14', '6', '2020', '154', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '67.2256532');
INSERT INTO public.ecdc_import VALUES (46148, '13/06/2020', '13', '6', '2020', '184', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '64.39617591');
INSERT INTO public.ecdc_import VALUES (46149, '12/06/2020', '12', '6', '2020', '23', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '63.61210389');
INSERT INTO public.ecdc_import VALUES (46150, '11/06/2020', '11', '6', '2020', '144', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '65.86204969');
INSERT INTO public.ecdc_import VALUES (46151, '10/06/2020', '10', '6', '2020', '139', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '63.44165345');
INSERT INTO public.ecdc_import VALUES (46152, '09/06/2020', '9', '6', '2020', '61', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '60.88489686');
INSERT INTO public.ecdc_import VALUES (46153, '08/06/2020', '8', '6', '2020', '70', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '61.22579774');
INSERT INTO public.ecdc_import VALUES (46154, '07/06/2020', '7', '6', '2020', '295', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '61.87350941');
INSERT INTO public.ecdc_import VALUES (46155, '06/06/2020', '6', '6', '2020', '112', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '54.20323965');
INSERT INTO public.ecdc_import VALUES (46156, '05/06/2020', '5', '6', '2020', '485', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '54.37369009');
INSERT INTO public.ecdc_import VALUES (46157, '04/06/2020', '4', '6', '2020', '88', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '39.44223162');
INSERT INTO public.ecdc_import VALUES (46158, '03/06/2020', '3', '6', '2020', '62', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '38.52179925');
INSERT INTO public.ecdc_import VALUES (46159, '02/06/2020', '2', '6', '2020', '97', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '39.64677215');
INSERT INTO public.ecdc_import VALUES (46160, '01/06/2020', '1', '6', '2020', '58', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '38.52179925');
INSERT INTO public.ecdc_import VALUES (46161, '31/05/2020', '31', '5', '2020', '71', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '38.48770916');
INSERT INTO public.ecdc_import VALUES (46162, '30/05/2020', '30', '5', '2020', '161', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '37.66954705');
INSERT INTO public.ecdc_import VALUES (46163, '29/05/2020', '29', '5', '2020', '89', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '36.10140301');
INSERT INTO public.ecdc_import VALUES (46164, '28/05/2020', '28', '5', '2020', '73', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '36.4082138');
INSERT INTO public.ecdc_import VALUES (46165, '27/05/2020', '27', '5', '2020', '64', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '34.94234003');
INSERT INTO public.ecdc_import VALUES (46166, '26/05/2020', '26', '5', '2020', '71', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '34.22644818');
INSERT INTO public.ecdc_import VALUES (46167, '25/05/2020', '25', '5', '2020', '89', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '33.78327704');
INSERT INTO public.ecdc_import VALUES (46168, '24/05/2020', '24', '5', '2020', '70', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '31.60151142');
INSERT INTO public.ecdc_import VALUES (46169, '23/05/2020', '23', '5', '2020', '117', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '29.79473676');
INSERT INTO public.ecdc_import VALUES (46170, '22/05/2020', '22', '5', '2020', '47', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '30.06745747');
INSERT INTO public.ecdc_import VALUES (46171, '21/05/2020', '21', '5', '2020', '61', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '30.61289887');
INSERT INTO public.ecdc_import VALUES (46172, '20/05/2020', '20', '5', '2020', '95', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '30.03336738');
INSERT INTO public.ecdc_import VALUES (46173, '19/05/2020', '19', '5', '2020', '64', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '29.55610615');
INSERT INTO public.ecdc_import VALUES (46174, '18/05/2020', '18', '5', '2020', '57', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '28.5674936');
INSERT INTO public.ecdc_import VALUES (46175, '17/05/2020', '17', '5', '2020', '47', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '28.36295307');
INSERT INTO public.ecdc_import VALUES (46176, '16/05/2020', '16', '5', '2020', '115', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '32.96511493');
INSERT INTO public.ecdc_import VALUES (46177, '15/05/2020', '15', '5', '2020', '98', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '30.27199799');
INSERT INTO public.ecdc_import VALUES (46178, '14/05/2020', '14', '5', '2020', '30', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '30.5447187');
INSERT INTO public.ecdc_import VALUES (46179, '13/05/2020', '13', '5', '2020', '43', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '30.64698896');
INSERT INTO public.ecdc_import VALUES (46180, '12/05/2020', '12', '5', '2020', '58', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '29.55610615');
INSERT INTO public.ecdc_import VALUES (46181, '11/05/2020', '11', '5', '2020', '25', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '28.19250264');
INSERT INTO public.ecdc_import VALUES (46182, '10/05/2020', '10', '5', '2020', '17', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '29.52201606');
INSERT INTO public.ecdc_import VALUES (46183, '09/05/2020', '9', '5', '2020', '125', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '29.99927729');
INSERT INTO public.ecdc_import VALUES (46184, '08/05/2020', '8', '5', '2020', '63', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '26.55617842');
INSERT INTO public.ecdc_import VALUES (46185, '07/05/2020', '7', '5', '2020', '44', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '24.40850289');
INSERT INTO public.ecdc_import VALUES (46186, '06/05/2020', '6', '5', '2020', '81', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '22.90853902');
INSERT INTO public.ecdc_import VALUES (46187, '05/05/2020', '5', '5', '2020', '35', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '20.14724191');
INSERT INTO public.ecdc_import VALUES (46188, '04/05/2020', '4', '5', '2020', '51', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '20.28360226');
INSERT INTO public.ecdc_import VALUES (46189, '03/05/2020', '3', '5', '2020', '182', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '21.78356612');
INSERT INTO public.ecdc_import VALUES (46190, '02/05/2020', '2', '5', '2020', '36', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '17.28367453');
INSERT INTO public.ecdc_import VALUES (46191, '01/05/2020', '1', '5', '2020', '106', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '16.90868356');
INSERT INTO public.ecdc_import VALUES (46192, '30/04/2020', '30', '4', '2020', '33', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '15.64735031');
INSERT INTO public.ecdc_import VALUES (46193, '29/04/2020', '29', '4', '2020', '11', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '16.26097189');
INSERT INTO public.ecdc_import VALUES (46194, '28/04/2020', '28', '4', '2020', '18', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '16.56778269');
INSERT INTO public.ecdc_import VALUES (46195, '27/04/2020', '27', '4', '2020', '64', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '16.15870163');
INSERT INTO public.ecdc_import VALUES (46196, '26/04/2020', '26', '4', '2020', '31', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '17.69275558');
INSERT INTO public.ecdc_import VALUES (46197, '25/04/2020', '25', '4', '2020', '24', '8', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '18.78363839');
INSERT INTO public.ecdc_import VALUES (46198, '24/04/2020', '24', '4', '2020', '0', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '19.39725998');
INSERT INTO public.ecdc_import VALUES (46199, '23/04/2020', '23', '4', '2020', '0', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '21.54493551');
INSERT INTO public.ecdc_import VALUES (46200, '22/04/2020', '22', '4', '2020', '0', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '23.14716964');
INSERT INTO public.ecdc_import VALUES (46201, '21/04/2020', '21', '4', '2020', '39', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '25.19257491');
INSERT INTO public.ecdc_import VALUES (46202, '20/04/2020', '20', '4', '2020', '95', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '25.15848482');
INSERT INTO public.ecdc_import VALUES (46203, '19/04/2020', '19', '4', '2020', '50', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '22.70399849');
INSERT INTO public.ecdc_import VALUES (46204, '18/04/2020', '18', '4', '2020', '25', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '23.5221606');
INSERT INTO public.ecdc_import VALUES (46205, '17/04/2020', '17', '4', '2020', '69', '5', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '24.78349385');
INSERT INTO public.ecdc_import VALUES (46206, '16/04/2020', '16', '4', '2020', '51', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '23.45398043');
INSERT INTO public.ecdc_import VALUES (46207, '15/04/2020', '15', '4', '2020', '20', '0', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '23.31762008');
INSERT INTO public.ecdc_import VALUES (46208, '14/04/2020', '14', '4', '2020', '6', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '24.85167403');
INSERT INTO public.ecdc_import VALUES (46209, '13/04/2020', '13', '4', '2020', '109', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '26.24936763');
INSERT INTO public.ecdc_import VALUES (46210, '12/04/2020', '12', '4', '2020', '63', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '23.45398043');
INSERT INTO public.ecdc_import VALUES (46211, '11/04/2020', '11', '4', '2020', '42', '6', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '22.53354806');
INSERT INTO public.ecdc_import VALUES (46212, '10/04/2020', '10', '4', '2020', '63', '9', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '23.28352999');
INSERT INTO public.ecdc_import VALUES (46213, '09/04/2020', '9', '4', '2020', '47', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46214, '08/04/2020', '8', '4', '2020', '60', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46215, '07/04/2020', '7', '4', '2020', '38', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46216, '06/04/2020', '6', '4', '2020', '23', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46217, '05/04/2020', '5', '4', '2020', '74', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46218, '04/04/2020', '4', '4', '2020', '62', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46219, '03/04/2020', '3', '4', '2020', '30', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46220, '02/04/2020', '2', '4', '2020', '47', '3', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46221, '01/04/2020', '1', '4', '2020', '65', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46222, '31/03/2020', '31', '3', '2020', '47', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46223, '30/03/2020', '30', '3', '2020', '27', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46224, '29/03/2020', '29', '3', '2020', '36', '1', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46225, '28/03/2020', '28', '3', '2020', '64', '2', '2933404', 'Puerto_Rico', 'PR', 'PRI', 'America', '');
INSERT INTO public.ecdc_import VALUES (46226, '14/12/2020', '14', '12', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '81.67168125');
INSERT INTO public.ecdc_import VALUES (46227, '13/12/2020', '13', '12', '2020', '281', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '87.70966547');
INSERT INTO public.ecdc_import VALUES (46228, '12/12/2020', '12', '12', '2020', '164', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '85.80293361');
INSERT INTO public.ecdc_import VALUES (46229, '11/12/2020', '11', '12', '2020', '163', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '86.5091306');
INSERT INTO public.ecdc_import VALUES (46230, '10/12/2020', '10', '12', '2020', '150', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '88.34524276');
INSERT INTO public.ecdc_import VALUES (46231, '09/12/2020', '9', '12', '2020', '117', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '90.42852386');
INSERT INTO public.ecdc_import VALUES (46232, '08/12/2020', '8', '12', '2020', '178', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '94.31260728');
INSERT INTO public.ecdc_import VALUES (46233, '07/12/2020', '7', '12', '2020', '125', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '94.59508607');
INSERT INTO public.ecdc_import VALUES (46234, '06/12/2020', '6', '12', '2020', '140', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '96.07809974');
INSERT INTO public.ecdc_import VALUES (46235, '05/12/2020', '5', '12', '2020', '166', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '97.27863461');
INSERT INTO public.ecdc_import VALUES (46236, '04/12/2020', '4', '12', '2020', '221', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '99.8562536');
INSERT INTO public.ecdc_import VALUES (46237, '03/12/2020', '3', '12', '2020', '255', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '99.39722556');
INSERT INTO public.ecdc_import VALUES (46238, '02/12/2020', '2', '12', '2020', '168', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '98.12607099');
INSERT INTO public.ecdc_import VALUES (46239, '01/12/2020', '1', '12', '2020', '185', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '99.04412707');
INSERT INTO public.ecdc_import VALUES (46240, '30/11/2020', '30', '11', '2020', '171', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '101.09209833');
INSERT INTO public.ecdc_import VALUES (46241, '29/11/2020', '29', '11', '2020', '227', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '95.05411411');
INSERT INTO public.ecdc_import VALUES (46242, '28/11/2020', '28', '11', '2020', '184', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '101.79829531');
INSERT INTO public.ecdc_import VALUES (46243, '27/11/2020', '27', '11', '2020', '215', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '103.59909762');
INSERT INTO public.ecdc_import VALUES (46244, '26/11/2020', '26', '11', '2020', '209', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '104.6583931');
INSERT INTO public.ecdc_import VALUES (46245, '25/11/2020', '25', '11', '2020', '227', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.18804084');
INSERT INTO public.ecdc_import VALUES (46246, '24/11/2020', '24', '11', '2020', '186', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.29397038');
INSERT INTO public.ecdc_import VALUES (46248, '22/11/2020', '22', '11', '2020', '174', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '107.65973028');
INSERT INTO public.ecdc_import VALUES (46249, '21/11/2020', '21', '11', '2020', '239', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.64840606');
INSERT INTO public.ecdc_import VALUES (46250, '20/11/2020', '20', '11', '2020', '208', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '106.98884315');
INSERT INTO public.ecdc_import VALUES (46251, '19/11/2020', '19', '11', '2020', '219', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.43654697');
INSERT INTO public.ecdc_import VALUES (46252, '18/11/2020', '18', '11', '2020', '194', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.71902576');
INSERT INTO public.ecdc_import VALUES (46253, '17/11/2020', '17', '11', '2020', '243', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.84894093');
INSERT INTO public.ecdc_import VALUES (46254, '16/11/2020', '16', '11', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.22468787');
INSERT INTO public.ecdc_import VALUES (46255, '15/11/2020', '15', '11', '2020', '418', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.01550314');
INSERT INTO public.ecdc_import VALUES (46256, '14/11/2020', '14', '11', '2020', '235', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '106.77698405');
INSERT INTO public.ecdc_import VALUES (46257, '13/11/2020', '13', '11', '2020', '245', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.29397038');
INSERT INTO public.ecdc_import VALUES (46258, '12/11/2020', '12', '11', '2020', '224', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '104.09343551');
INSERT INTO public.ecdc_import VALUES (46259, '11/11/2020', '11', '11', '2020', '230', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.01149159');
INSERT INTO public.ecdc_import VALUES (46260, '10/11/2020', '10', '11', '2020', '230', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.96485752');
INSERT INTO public.ecdc_import VALUES (46261, '09/11/2020', '9', '11', '2020', '190', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '107.09477269');
INSERT INTO public.ecdc_import VALUES (46262, '08/11/2020', '8', '11', '2020', '202', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '107.62442043');
INSERT INTO public.ecdc_import VALUES (46263, '07/11/2020', '7', '11', '2020', '192', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.46053259');
INSERT INTO public.ecdc_import VALUES (46264, '06/11/2020', '6', '11', '2020', '249', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '111.473194');
INSERT INTO public.ecdc_import VALUES (46265, '05/11/2020', '5', '11', '2020', '227', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '111.57912355');
INSERT INTO public.ecdc_import VALUES (46266, '04/11/2020', '4', '11', '2020', '226', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '112.95620767');
INSERT INTO public.ecdc_import VALUES (46267, '03/11/2020', '3', '11', '2020', '197', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.61577058');
INSERT INTO public.ecdc_import VALUES (46268, '02/11/2020', '2', '11', '2020', '164', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '116.1340941');
INSERT INTO public.ecdc_import VALUES (46269, '01/11/2020', '1', '11', '2020', '213', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.54648806');
INSERT INTO public.ecdc_import VALUES (46270, '31/10/2020', '31', '10', '2020', '193', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '118.32330475');
INSERT INTO public.ecdc_import VALUES (46271, '30/10/2020', '30', '10', '2020', '211', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '118.18206535');
INSERT INTO public.ecdc_import VALUES (46272, '29/10/2020', '29', '10', '2020', '250', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.79365701');
INSERT INTO public.ecdc_import VALUES (46273, '28/10/2020', '28', '10', '2020', '257', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '115.95754485');
INSERT INTO public.ecdc_import VALUES (46274, '27/10/2020', '27', '10', '2020', '262', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.43922133');
INSERT INTO public.ecdc_import VALUES (46275, '26/10/2020', '26', '10', '2020', '205', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '112.46186978');
INSERT INTO public.ecdc_import VALUES (46276, '25/10/2020', '25', '10', '2020', '254', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '112.53248948');
INSERT INTO public.ecdc_import VALUES (46277, '24/10/2020', '24', '10', '2020', '249', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.84894093');
INSERT INTO public.ecdc_import VALUES (46278, '23/10/2020', '23', '10', '2020', '252', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.33061742');
INSERT INTO public.ecdc_import VALUES (46279, '22/10/2020', '22', '10', '2020', '266', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '106.9535333');
INSERT INTO public.ecdc_import VALUES (46280, '21/10/2020', '21', '10', '2020', '273', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.96485752');
INSERT INTO public.ecdc_import VALUES (46281, '20/10/2020', '20', '10', '2020', '240', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '105.18804084');
INSERT INTO public.ecdc_import VALUES (46282, '19/10/2020', '19', '10', '2020', '204', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '103.56378777');
INSERT INTO public.ecdc_import VALUES (46283, '18/10/2020', '18', '10', '2020', '235', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '101.97484456');
INSERT INTO public.ecdc_import VALUES (46284, '17/10/2020', '17', '10', '2020', '189', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '99.8562536');
INSERT INTO public.ecdc_import VALUES (46285, '16/10/2020', '16', '10', '2020', '200', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '100.42121119');
INSERT INTO public.ecdc_import VALUES (46286, '15/10/2020', '15', '10', '2020', '198', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '100.38590134');
INSERT INTO public.ecdc_import VALUES (46287, '14/10/2020', '14', '10', '2020', '214', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '101.40988697');
INSERT INTO public.ecdc_import VALUES (46288, '13/10/2020', '13', '10', '2020', '206', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '101.69236576');
INSERT INTO public.ecdc_import VALUES (46289, '12/10/2020', '12', '10', '2020', '207', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '102.4338726');
INSERT INTO public.ecdc_import VALUES (46290, '11/10/2020', '11', '10', '2020', '178', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '103.38723853');
INSERT INTO public.ecdc_import VALUES (46291, '10/10/2020', '10', '10', '2020', '206', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '104.16405521');
INSERT INTO public.ecdc_import VALUES (46292, '09/10/2020', '9', '10', '2020', '213', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '104.83494234');
INSERT INTO public.ecdc_import VALUES (46293, '08/10/2020', '8', '10', '2020', '238', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '106.14140677');
INSERT INTO public.ecdc_import VALUES (46294, '07/10/2020', '7', '10', '2020', '251', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '106.84760375');
INSERT INTO public.ecdc_import VALUES (46295, '06/10/2020', '6', '10', '2020', '194', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.0368144');
INSERT INTO public.ecdc_import VALUES (46296, '05/10/2020', '5', '10', '2020', '159', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '110.23734928');
INSERT INTO public.ecdc_import VALUES (46297, '04/10/2020', '4', '10', '2020', '175', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '112.74434857');
INSERT INTO public.ecdc_import VALUES (46298, '03/10/2020', '3', '10', '2020', '205', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.65108043');
INSERT INTO public.ecdc_import VALUES (46299, '02/10/2020', '2', '10', '2020', '199', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '115.32196756');
INSERT INTO public.ecdc_import VALUES (46300, '01/10/2020', '1', '10', '2020', '227', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '116.91091078');
INSERT INTO public.ecdc_import VALUES (46301, '30/09/2020', '30', '9', '2020', '222', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.19338957');
INSERT INTO public.ecdc_import VALUES (46302, '29/09/2020', '29', '9', '2020', '227', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.79365701');
INSERT INTO public.ecdc_import VALUES (46303, '28/09/2020', '28', '9', '2020', '234', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '118.0761358');
INSERT INTO public.ecdc_import VALUES (46304, '27/09/2020', '27', '9', '2020', '200', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.47586837');
INSERT INTO public.ecdc_import VALUES (46305, '26/09/2020', '26', '9', '2020', '225', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '118.74702294');
INSERT INTO public.ecdc_import VALUES (46306, '25/09/2020', '25', '9', '2020', '250', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '119.10012143');
INSERT INTO public.ecdc_import VALUES (46307, '24/09/2020', '24', '9', '2020', '258', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.54648806');
INSERT INTO public.ecdc_import VALUES (46308, '23/09/2020', '23', '9', '2020', '313', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.86427671');
INSERT INTO public.ecdc_import VALUES (46309, '22/09/2020', '22', '9', '2020', '228', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.96886907');
INSERT INTO public.ecdc_import VALUES (46310, '21/09/2020', '21', '9', '2020', '230', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '115.8516153');
INSERT INTO public.ecdc_import VALUES (46311, '20/09/2020', '20', '9', '2020', '229', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '115.88692515');
INSERT INTO public.ecdc_import VALUES (46312, '19/09/2020', '19', '9', '2020', '224', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '115.81630545');
INSERT INTO public.ecdc_import VALUES (46313, '18/09/2020', '18', '9', '2020', '244', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '115.56913651');
INSERT INTO public.ecdc_import VALUES (46314, '17/09/2020', '17', '9', '2020', '235', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.50984103');
INSERT INTO public.ecdc_import VALUES (46315, '16/09/2020', '16', '9', '2020', '239', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '113.6977145');
INSERT INTO public.ecdc_import VALUES (46316, '15/09/2020', '15', '9', '2020', '235', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '112.88558797');
INSERT INTO public.ecdc_import VALUES (46317, '14/09/2020', '14', '9', '2020', '217', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '111.75567279');
INSERT INTO public.ecdc_import VALUES (46318, '13/09/2020', '13', '9', '2020', '236', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '110.02549018');
INSERT INTO public.ecdc_import VALUES (46319, '12/09/2020', '12', '9', '2020', '235', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.14274395');
INSERT INTO public.ecdc_import VALUES (46320, '11/09/2020', '11', '9', '2020', '206', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.18937802');
INSERT INTO public.ecdc_import VALUES (46321, '10/09/2020', '10', '9', '2020', '267', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.60177199');
INSERT INTO public.ecdc_import VALUES (46322, '09/09/2020', '9', '9', '2020', '231', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.78964546');
INSERT INTO public.ecdc_import VALUES (46323, '08/09/2020', '8', '9', '2020', '253', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '108.82495531');
INSERT INTO public.ecdc_import VALUES (46324, '07/09/2020', '7', '9', '2020', '231', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.00150455');
INSERT INTO public.ecdc_import VALUES (46325, '06/09/2020', '6', '9', '2020', '227', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '109.42522274');
INSERT INTO public.ecdc_import VALUES (46326, '05/09/2020', '5', '9', '2020', '217', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '111.43788415');
INSERT INTO public.ecdc_import VALUES (46327, '04/09/2020', '4', '9', '2020', '214', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '112.85027812');
INSERT INTO public.ecdc_import VALUES (46328, '03/09/2020', '3', '9', '2020', '212', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '114.75700998');
INSERT INTO public.ecdc_import VALUES (46329, '02/09/2020', '2', '9', '2020', '216', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '117.68772746');
INSERT INTO public.ecdc_import VALUES (46330, '01/09/2020', '1', '9', '2020', '203', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '120.40658585');
INSERT INTO public.ecdc_import VALUES (46331, '31/08/2020', '31', '8', '2020', '168', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '123.40792304');
INSERT INTO public.ecdc_import VALUES (46332, '30/08/2020', '30', '8', '2020', '211', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '127.04483751');
INSERT INTO public.ecdc_import VALUES (46333, '29/08/2020', '29', '8', '2020', '208', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '129.37528755');
INSERT INTO public.ecdc_import VALUES (46334, '28/08/2020', '28', '8', '2020', '246', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '130.89361107');
INSERT INTO public.ecdc_import VALUES (46335, '27/08/2020', '27', '8', '2020', '244', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '134.31866645');
INSERT INTO public.ecdc_import VALUES (46336, '26/08/2020', '26', '8', '2020', '232', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '136.01353921');
INSERT INTO public.ecdc_import VALUES (46337, '25/08/2020', '25', '8', '2020', '258', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '141.38063629');
INSERT INTO public.ecdc_import VALUES (46338, '24/08/2020', '24', '8', '2020', '243', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '143.3932977');
INSERT INTO public.ecdc_import VALUES (46339, '23/08/2020', '23', '8', '2020', '284', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '145.30002955');
INSERT INTO public.ecdc_import VALUES (46340, '22/08/2020', '22', '8', '2020', '257', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '144.69976212');
INSERT INTO public.ecdc_import VALUES (46341, '21/08/2020', '21', '8', '2020', '268', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '145.90029699');
INSERT INTO public.ecdc_import VALUES (46342, '20/08/2020', '20', '8', '2020', '295', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '146.57118413');
INSERT INTO public.ecdc_import VALUES (46343, '19/08/2020', '19', '8', '2020', '293', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '145.58250835');
INSERT INTO public.ecdc_import VALUES (46344, '18/08/2020', '18', '8', '2020', '288', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '142.86364996');
INSERT INTO public.ecdc_import VALUES (46345, '17/08/2020', '17', '8', '2020', '271', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '140.28603096');
INSERT INTO public.ecdc_import VALUES (46346, '16/08/2020', '16', '8', '2020', '277', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '137.63779227');
INSERT INTO public.ecdc_import VALUES (46347, '15/08/2020', '15', '8', '2020', '251', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '135.48389147');
INSERT INTO public.ecdc_import VALUES (46348, '14/08/2020', '14', '8', '2020', '343', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '134.91893388');
INSERT INTO public.ecdc_import VALUES (46349, '13/08/2020', '13', '8', '2020', '292', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '133.64777931');
INSERT INTO public.ecdc_import VALUES (46350, '12/08/2020', '12', '8', '2020', '384', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '132.97689218');
INSERT INTO public.ecdc_import VALUES (46351, '11/08/2020', '11', '8', '2020', '315', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '129.4105974');
INSERT INTO public.ecdc_import VALUES (46352, '10/08/2020', '10', '8', '2020', '297', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '128.59847087');
INSERT INTO public.ecdc_import VALUES (46353, '09/08/2020', '9', '8', '2020', '267', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '127.60979509');
INSERT INTO public.ecdc_import VALUES (46354, '08/08/2020', '8', '8', '2020', '291', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '132.23538534');
INSERT INTO public.ecdc_import VALUES (46355, '07/08/2020', '7', '8', '2020', '287', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '135.87229981');
INSERT INTO public.ecdc_import VALUES (46356, '06/08/2020', '6', '8', '2020', '267', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '138.90894684');
INSERT INTO public.ecdc_import VALUES (46357, '05/08/2020', '5', '8', '2020', '216', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '145.05286061');
INSERT INTO public.ecdc_import VALUES (46358, '04/08/2020', '4', '8', '2020', '215', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '151.30270392');
INSERT INTO public.ecdc_import VALUES (46359, '03/08/2020', '3', '8', '2020', '196', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '157.44661769');
INSERT INTO public.ecdc_import VALUES (46360, '02/08/2020', '2', '8', '2020', '216', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '162.53123598');
INSERT INTO public.ecdc_import VALUES (46361, '01/08/2020', '1', '8', '2020', '235', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '169.38134672');
INSERT INTO public.ecdc_import VALUES (46362, '31/07/2020', '31', '7', '2020', '307', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '177.00827416');
INSERT INTO public.ecdc_import VALUES (46363, '30/07/2020', '30', '7', '2020', '273', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '182.55192049');
INSERT INTO public.ecdc_import VALUES (46364, '29/07/2020', '29', '7', '2020', '283', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '188.8017638');
INSERT INTO public.ecdc_import VALUES (46365, '28/07/2020', '28', '7', '2020', '292', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '197.06426852');
INSERT INTO public.ecdc_import VALUES (46366, '27/07/2020', '27', '7', '2020', '269', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '201.51330952');
INSERT INTO public.ecdc_import VALUES (46367, '26/07/2020', '26', '7', '2020', '398', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '208.61058921');
INSERT INTO public.ecdc_import VALUES (46368, '25/07/2020', '25', '7', '2020', '394', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '212.14157413');
INSERT INTO public.ecdc_import VALUES (46369, '24/07/2020', '24', '7', '2020', '373', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '216.59061514');
INSERT INTO public.ecdc_import VALUES (46370, '23/07/2020', '23', '7', '2020', '441', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '223.08762739');
INSERT INTO public.ecdc_import VALUES (46371, '22/07/2020', '22', '7', '2020', '393', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '228.98437221');
INSERT INTO public.ecdc_import VALUES (46372, '21/07/2020', '21', '7', '2020', '389', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '236.293511');
INSERT INTO public.ecdc_import VALUES (46373, '20/07/2020', '20', '7', '2020', '340', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '241.83715733');
INSERT INTO public.ecdc_import VALUES (46374, '19/07/2020', '19', '7', '2020', '410', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '251.58267572');
INSERT INTO public.ecdc_import VALUES (46375, '18/07/2020', '18', '7', '2020', '451', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '255.81985762');
INSERT INTO public.ecdc_import VALUES (46376, '17/07/2020', '17', '7', '2020', '464', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '266.58936164');
INSERT INTO public.ecdc_import VALUES (46377, '16/07/2020', '16', '7', '2020', '450', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '281.7725968');
INSERT INTO public.ecdc_import VALUES (46378, '15/07/2020', '15', '7', '2020', '517', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '298.19167669');
INSERT INTO public.ecdc_import VALUES (46379, '14/07/2020', '14', '7', '2020', '418', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '314.61075658');
INSERT INTO public.ecdc_import VALUES (46380, '13/07/2020', '13', '7', '2020', '470', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '324.32096512');
INSERT INTO public.ecdc_import VALUES (46381, '12/07/2020', '12', '7', '2020', '498', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '334.2077229');
INSERT INTO public.ecdc_import VALUES (46382, '11/07/2020', '11', '7', '2020', '520', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '347.66077545');
INSERT INTO public.ecdc_import VALUES (46383, '10/07/2020', '10', '7', '2020', '557', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '362.70277122');
INSERT INTO public.ecdc_import VALUES (46384, '09/07/2020', '9', '7', '2020', '608', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '380.46362538');
INSERT INTO public.ecdc_import VALUES (46385, '08/07/2020', '8', '7', '2020', '600', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '401.33174627');
INSERT INTO public.ecdc_import VALUES (46386, '07/07/2020', '7', '7', '2020', '546', '5', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '421.67021943');
INSERT INTO public.ecdc_import VALUES (46387, '06/07/2020', '6', '7', '2020', '616', '5', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '438.90142585');
INSERT INTO public.ecdc_import VALUES (46388, '05/07/2020', '5', '7', '2020', '530', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '448.25853589');
INSERT INTO public.ecdc_import VALUES (46389, '04/07/2020', '4', '7', '2020', '756', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '465.77222111');
INSERT INTO public.ecdc_import VALUES (46390, '03/07/2020', '3', '7', '2020', '894', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '475.12933115');
INSERT INTO public.ecdc_import VALUES (46391, '02/07/2020', '2', '7', '2020', '915', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '488.29990491');
INSERT INTO public.ecdc_import VALUES (46392, '01/07/2020', '1', '7', '2020', '982', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '494.72629747');
INSERT INTO public.ecdc_import VALUES (46393, '30/06/2020', '30', '6', '2020', '693', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '502.45915445');
INSERT INTO public.ecdc_import VALUES (46394, '29/06/2020', '29', '6', '2020', '750', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '522.97417685');
INSERT INTO public.ecdc_import VALUES (46395, '28/06/2020', '28', '6', '2020', '879', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '538.36927111');
INSERT INTO public.ecdc_import VALUES (46396, '27/06/2020', '27', '6', '2020', '946', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '571.87831802');
INSERT INTO public.ecdc_import VALUES (46397, '26/06/2020', '26', '6', '2020', '1060', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '592.04024193');
INSERT INTO public.ecdc_import VALUES (46398, '25/06/2020', '25', '6', '2020', '1199', '5', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '606.72913921');
INSERT INTO public.ecdc_import VALUES (46399, '24/06/2020', '24', '6', '2020', '1176', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '624.98433125');
INSERT INTO public.ecdc_import VALUES (46400, '23/06/2020', '23', '6', '2020', '1034', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '644.22819908');
INSERT INTO public.ecdc_import VALUES (46401, '22/06/2020', '22', '6', '2020', '881', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '656.02168872');
INSERT INTO public.ecdc_import VALUES (46402, '21/06/2020', '21', '6', '2020', '1026', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '681.23292107');
INSERT INTO public.ecdc_import VALUES (46403, '20/06/2020', '20', '6', '2020', '1021', '7', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '705.03175944');
INSERT INTO public.ecdc_import VALUES (46404, '19/06/2020', '19', '6', '2020', '1267', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '730.91387892');
INSERT INTO public.ecdc_import VALUES (46405, '18/06/2020', '18', '6', '2020', '1097', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '742.00117158');
INSERT INTO public.ecdc_import VALUES (46406, '17/06/2020', '17', '6', '2020', '1201', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '770.39029036');
INSERT INTO public.ecdc_import VALUES (46407, '16/06/2020', '16', '6', '2020', '1274', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '792.45894612');
INSERT INTO public.ecdc_import VALUES (46408, '15/06/2020', '15', '6', '2020', '1186', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '801.25109858');
INSERT INTO public.ecdc_import VALUES (46409, '14/06/2020', '14', '6', '2020', '1828', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '817.56424892');
INSERT INTO public.ecdc_import VALUES (46410, '13/06/2020', '13', '6', '2020', '1517', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '836.17253946');
INSERT INTO public.ecdc_import VALUES (46411, '12/06/2020', '12', '6', '2020', '1476', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '852.98002769');
INSERT INTO public.ecdc_import VALUES (46412, '11/06/2020', '11', '6', '2020', '1716', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '870.31716366');
INSERT INTO public.ecdc_import VALUES (46413, '10/06/2020', '10', '6', '2020', '1721', '5', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '871.16460004');
INSERT INTO public.ecdc_import VALUES (46414, '09/06/2020', '9', '6', '2020', '1368', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '871.90610687');
INSERT INTO public.ecdc_import VALUES (46415, '08/06/2020', '8', '6', '2020', '1595', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '885.42977913');
INSERT INTO public.ecdc_import VALUES (46416, '07/06/2020', '7', '6', '2020', '1700', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '882.1106533');
INSERT INTO public.ecdc_import VALUES (46417, '06/06/2020', '6', '6', '2020', '1754', '4', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '883.24056847');
INSERT INTO public.ecdc_import VALUES (46418, '05/06/2020', '5', '6', '2020', '1581', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '885.92411702');
INSERT INTO public.ecdc_import VALUES (46419, '04/06/2020', '4', '6', '2020', '1901', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '884.97075109');
INSERT INTO public.ecdc_import VALUES (46420, '03/06/2020', '3', '6', '2020', '1826', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '870.4937129');
INSERT INTO public.ecdc_import VALUES (46421, '02/06/2020', '2', '6', '2020', '1523', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '863.8201514');
INSERT INTO public.ecdc_import VALUES (46422, '01/06/2020', '1', '6', '2020', '1648', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '858.24119522');
INSERT INTO public.ecdc_import VALUES (46423, '31/05/2020', '31', '5', '2020', '2355', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '857.67623764');
INSERT INTO public.ecdc_import VALUES (46424, '30/05/2020', '30', '5', '2020', '1993', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '829.14587946');
INSERT INTO public.ecdc_import VALUES (46425, '29/05/2020', '29', '5', '2020', '1967', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '799.48560612');
INSERT INTO public.ecdc_import VALUES (46426, '28/05/2020', '28', '5', '2020', '1740', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '791.2231014');
INSERT INTO public.ecdc_import VALUES (46427, '27/05/2020', '27', '5', '2020', '1742', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '778.86465417');
INSERT INTO public.ecdc_import VALUES (46428, '26/05/2020', '26', '5', '2020', '1751', '3', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '771.23772674');
INSERT INTO public.ecdc_import VALUES (46429, '25/05/2020', '25', '5', '2020', '1501', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '748.35694444');
INSERT INTO public.ecdc_import VALUES (46430, '24/05/2020', '24', '5', '2020', '1732', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '737.34027148');
INSERT INTO public.ecdc_import VALUES (46431, '23/05/2020', '23', '5', '2020', '1830', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '716.08374225');
INSERT INTO public.ecdc_import VALUES (46432, '22/05/2020', '22', '5', '2020', '1554', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '697.7579305');
INSERT INTO public.ecdc_import VALUES (46433, '21/05/2020', '21', '5', '2020', '1491', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '675.3008664');
INSERT INTO public.ecdc_import VALUES (46434, '20/05/2020', '20', '5', '2020', '1637', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '651.96105606');
INSERT INTO public.ecdc_import VALUES (46435, '19/05/2020', '19', '5', '2020', '1365', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '627.73849949');
INSERT INTO public.ecdc_import VALUES (46436, '18/05/2020', '18', '5', '2020', '1632', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '602.13885881');
INSERT INTO public.ecdc_import VALUES (46437, '17/05/2020', '17', '5', '2020', '1547', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '568.4885725');
INSERT INTO public.ecdc_import VALUES (46438, '16/05/2020', '16', '5', '2020', '1153', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '541.26467875');
INSERT INTO public.ecdc_import VALUES (46439, '15/05/2020', '15', '5', '2020', '1733', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '524.81028901');
INSERT INTO public.ecdc_import VALUES (46440, '14/05/2020', '14', '5', '2020', '1390', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '493.4551429');
INSERT INTO public.ecdc_import VALUES (46441, '13/05/2020', '13', '5', '2020', '1526', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '467.07868553');
INSERT INTO public.ecdc_import VALUES (46442, '12/05/2020', '12', '5', '2020', '1103', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '437.10062354');
INSERT INTO public.ecdc_import VALUES (46443, '11/05/2020', '11', '5', '2020', '1189', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '431.94538555');
INSERT INTO public.ecdc_import VALUES (46444, '10/05/2020', '10', '5', '2020', '1130', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '422.76482475');
INSERT INTO public.ecdc_import VALUES (46445, '09/05/2020', '9', '5', '2020', '1311', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '412.27779953');
INSERT INTO public.ecdc_import VALUES (46446, '08/05/2020', '8', '5', '2020', '918', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '392.85738246');
INSERT INTO public.ecdc_import VALUES (46447, '07/05/2020', '7', '5', '2020', '830', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '382.44097694');
INSERT INTO public.ecdc_import VALUES (46448, '06/05/2020', '6', '5', '2020', '951', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '374.60219041');
INSERT INTO public.ecdc_import VALUES (46449, '05/05/2020', '5', '5', '2020', '640', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '359.3130257');
INSERT INTO public.ecdc_import VALUES (46450, '04/05/2020', '4', '5', '2020', '679', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '356.7354067');
INSERT INTO public.ecdc_import VALUES (46451, '03/05/2020', '3', '5', '2020', '776', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '348.29635274');
INSERT INTO public.ecdc_import VALUES (46452, '02/05/2020', '2', '5', '2020', '687', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '333.07780772');
INSERT INTO public.ecdc_import VALUES (46453, '01/05/2020', '1', '5', '2020', '845', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '328.59345687');
INSERT INTO public.ecdc_import VALUES (46454, '30/04/2020', '30', '4', '2020', '643', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '312.59809517');
INSERT INTO public.ecdc_import VALUES (46455, '29/04/2020', '29', '4', '2020', '677', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '299.88654945');
INSERT INTO public.ecdc_import VALUES (46456, '28/04/2020', '28', '4', '2020', '957', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '282.93782183');
INSERT INTO public.ecdc_import VALUES (46457, '27/04/2020', '27', '4', '2020', '929', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '258.04437812');
INSERT INTO public.ecdc_import VALUES (46458, '26/04/2020', '26', '4', '2020', '833', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '234.10430035');
INSERT INTO public.ecdc_import VALUES (46459, '25/04/2020', '25', '4', '2020', '761', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '212.31812338');
INSERT INTO public.ecdc_import VALUES (46460, '24/04/2020', '24', '4', '2020', '623', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '190.24946762');
INSERT INTO public.ecdc_import VALUES (46461, '23/04/2020', '23', '4', '2020', '608', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '174.11286652');
INSERT INTO public.ecdc_import VALUES (46462, '22/04/2020', '22', '4', '2020', '518', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '158.04688512');
INSERT INTO public.ecdc_import VALUES (46463, '21/04/2020', '21', '4', '2020', '567', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '147.7010993');
INSERT INTO public.ecdc_import VALUES (46464, '20/04/2020', '20', '4', '2020', '440', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '135.73106041');
INSERT INTO public.ecdc_import VALUES (46465, '19/04/2020', '19', '4', '2020', '345', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '130.04617469');
INSERT INTO public.ecdc_import VALUES (46466, '18/04/2020', '18', '4', '2020', '560', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '131.14078002');
INSERT INTO public.ecdc_import VALUES (46467, '17/04/2020', '17', '4', '2020', '392', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '111.36726445');
INSERT INTO public.ecdc_import VALUES (46468, '16/04/2020', '16', '4', '2020', '283', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '101.55112637');
INSERT INTO public.ecdc_import VALUES (46469, '15/04/2020', '15', '4', '2020', '197', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '93.46517089');
INSERT INTO public.ecdc_import VALUES (46470, '14/04/2020', '14', '4', '2020', '252', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '89.61639733');
INSERT INTO public.ecdc_import VALUES (46471, '13/04/2020', '13', '4', '2020', '251', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '82.80159643');
INSERT INTO public.ecdc_import VALUES (46472, '12/04/2020', '12', '4', '2020', '216', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '75.49245764');
INSERT INTO public.ecdc_import VALUES (46473, '11/04/2020', '11', '4', '2020', '136', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '68.85420599');
INSERT INTO public.ecdc_import VALUES (46474, '10/04/2020', '10', '4', '2020', '166', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '64.51109453');
INSERT INTO public.ecdc_import VALUES (46475, '09/04/2020', '9', '4', '2020', '153', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '59.07337775');
INSERT INTO public.ecdc_import VALUES (46476, '08/04/2020', '8', '4', '2020', '225', '2', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '54.05937916');
INSERT INTO public.ecdc_import VALUES (46477, '07/04/2020', '7', '4', '2020', '228', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '46.99740932');
INSERT INTO public.ecdc_import VALUES (46478, '06/04/2020', '6', '4', '2020', '279', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '39.19393264');
INSERT INTO public.ecdc_import VALUES (46479, '05/04/2020', '5', '4', '2020', '376', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '29.80151274');
INSERT INTO public.ecdc_import VALUES (46480, '04/04/2020', '4', '4', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '16.91341778');
INSERT INTO public.ecdc_import VALUES (46481, '03/04/2020', '3', '4', '2020', '114', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '17.26651627');
INSERT INTO public.ecdc_import VALUES (46482, '02/04/2020', '2', '4', '2020', '54', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '13.52367225');
INSERT INTO public.ecdc_import VALUES (46483, '01/04/2020', '1', '4', '2020', '88', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '11.97003889');
INSERT INTO public.ecdc_import VALUES (46484, '31/03/2020', '31', '3', '2020', '59', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '8.9687017');
INSERT INTO public.ecdc_import VALUES (46485, '30/03/2020', '30', '3', '2020', '44', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '8.22719487');
INSERT INTO public.ecdc_import VALUES (46486, '29/03/2020', '29', '3', '2020', '28', '1', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '8.93339185');
INSERT INTO public.ecdc_import VALUES (46487, '28/03/2020', '28', '3', '2020', '13', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '8.54498351');
INSERT INTO public.ecdc_import VALUES (46488, '27/03/2020', '27', '3', '2020', '12', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '10.13392673');
INSERT INTO public.ecdc_import VALUES (46489, '26/03/2020', '26', '3', '2020', '11', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '18.11395265');
INSERT INTO public.ecdc_import VALUES (46490, '25/03/2020', '25', '3', '2020', '25', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '17.93740341');
INSERT INTO public.ecdc_import VALUES (46491, '24/03/2020', '24', '3', '2020', '7', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '17.16058672');
INSERT INTO public.ecdc_import VALUES (46492, '23/03/2020', '23', '3', '2020', '13', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '17.01934733');
INSERT INTO public.ecdc_import VALUES (46493, '22/03/2020', '22', '3', '2020', '11', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '16.59562914');
INSERT INTO public.ecdc_import VALUES (46494, '21/03/2020', '21', '3', '2020', '10', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '16.31315034');
INSERT INTO public.ecdc_import VALUES (46495, '20/03/2020', '20', '3', '2020', '8', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '16.1366011');
INSERT INTO public.ecdc_import VALUES (46496, '19/03/2020', '19', '3', '2020', '10', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '15.924742');
INSERT INTO public.ecdc_import VALUES (46497, '18/03/2020', '18', '3', '2020', '3', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '15.60695336');
INSERT INTO public.ecdc_import VALUES (46498, '17/03/2020', '17', '3', '2020', '38', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '15.50102381');
INSERT INTO public.ecdc_import VALUES (46499, '16/03/2020', '16', '3', '2020', '64', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '14.15924954');
INSERT INTO public.ecdc_import VALUES (46500, '15/03/2020', '15', '3', '2020', '17', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '11.89941919');
INSERT INTO public.ecdc_import VALUES (46501, '14/03/2020', '14', '3', '2020', '58', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '11.29915175');
INSERT INTO public.ecdc_import VALUES (46502, '12/03/2020', '12', '3', '2020', '238', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '9.2511805');
INSERT INTO public.ecdc_import VALUES (46503, '11/03/2020', '11', '3', '2020', '6', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.84743638');
INSERT INTO public.ecdc_import VALUES (46504, '10/03/2020', '10', '3', '2020', '3', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.63557729');
INSERT INTO public.ecdc_import VALUES (46505, '09/03/2020', '9', '3', '2020', '3', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.52964774');
INSERT INTO public.ecdc_import VALUES (46506, '08/03/2020', '8', '3', '2020', '1', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.42371819');
INSERT INTO public.ecdc_import VALUES (46507, '07/03/2020', '7', '3', '2020', '3', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.38840834');
INSERT INTO public.ecdc_import VALUES (46508, '04/03/2020', '4', '3', '2020', '5', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.28247879');
INSERT INTO public.ecdc_import VALUES (46509, '02/03/2020', '2', '3', '2020', '2', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.10592955');
INSERT INTO public.ecdc_import VALUES (46510, '01/03/2020', '1', '3', '2020', '1', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0.03530985');
INSERT INTO public.ecdc_import VALUES (46511, '29/02/2020', '29', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46512, '28/02/2020', '28', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46513, '27/02/2020', '27', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46514, '26/02/2020', '26', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46515, '25/02/2020', '25', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46516, '24/02/2020', '24', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46517, '23/02/2020', '23', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46518, '22/02/2020', '22', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46519, '21/02/2020', '21', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46520, '20/02/2020', '20', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46521, '19/02/2020', '19', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46522, '18/02/2020', '18', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46523, '17/02/2020', '17', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46524, '16/02/2020', '16', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46525, '15/02/2020', '15', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46526, '14/02/2020', '14', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46527, '13/02/2020', '13', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46528, '12/02/2020', '12', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46529, '11/02/2020', '11', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46530, '10/02/2020', '10', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46531, '09/02/2020', '9', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46532, '08/02/2020', '8', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46533, '07/02/2020', '7', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46534, '06/02/2020', '6', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46535, '05/02/2020', '5', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46536, '04/02/2020', '4', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46537, '03/02/2020', '3', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46538, '02/02/2020', '2', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46539, '01/02/2020', '1', '2', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46540, '31/01/2020', '31', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46541, '30/01/2020', '30', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46542, '29/01/2020', '29', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46543, '28/01/2020', '28', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46544, '27/01/2020', '27', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46545, '26/01/2020', '26', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46546, '25/01/2020', '25', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46547, '24/01/2020', '24', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46548, '23/01/2020', '23', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46549, '22/01/2020', '22', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46550, '21/01/2020', '21', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46551, '20/01/2020', '20', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46552, '19/01/2020', '19', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46553, '18/01/2020', '18', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46554, '17/01/2020', '17', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46555, '16/01/2020', '16', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46556, '15/01/2020', '15', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46557, '14/01/2020', '14', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46558, '13/01/2020', '13', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (46559, '12/01/2020', '12', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46560, '11/01/2020', '11', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46561, '10/01/2020', '10', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46562, '09/01/2020', '9', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46563, '08/01/2020', '8', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46564, '07/01/2020', '7', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46565, '06/01/2020', '6', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46566, '05/01/2020', '5', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46567, '04/01/2020', '4', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46568, '03/01/2020', '3', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46569, '02/01/2020', '2', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46570, '01/01/2020', '1', '1', '2020', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46571, '31/12/2019', '31', '12', '2019', '0', '0', '2832071', 'Qatar', 'QA', 'QAT', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (46572, '14/12/2020', '14', '12', '2020', '4435', '121', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '436.78273171');
INSERT INTO public.ecdc_import VALUES (46573, '13/12/2020', '13', '12', '2020', '6333', '148', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '442.54647748');
INSERT INTO public.ecdc_import VALUES (46574, '12/12/2020', '12', '12', '2020', '6460', '168', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '451.82306918');
INSERT INTO public.ecdc_import VALUES (46575, '11/12/2020', '11', '12', '2020', '7067', '127', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '462.3255514');
INSERT INTO public.ecdc_import VALUES (46576, '10/12/2020', '10', '12', '2020', '7365', '161', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '472.30780277');
INSERT INTO public.ecdc_import VALUES (46577, '09/12/2020', '9', '12', '2020', '7439', '213', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '484.53580316');
INSERT INTO public.ecdc_import VALUES (46578, '08/12/2020', '8', '12', '2020', '3660', '127', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '486.15315452');
INSERT INTO public.ecdc_import VALUES (46579, '07/12/2020', '7', '12', '2020', '5231', '134', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '488.97064239');
INSERT INTO public.ecdc_import VALUES (46580, '06/12/2020', '6', '12', '2020', '8072', '134', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '492.0920275');
INSERT INTO public.ecdc_import VALUES (46581, '05/12/2020', '5', '12', '2020', '8062', '176', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '500.40026871');
INSERT INTO public.ecdc_import VALUES (46582, '04/12/2020', '4', '12', '2020', '7661', '211', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '506.63273731');
INSERT INTO public.ecdc_import VALUES (46583, '03/12/2020', '3', '12', '2020', '4916', '135', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '519.23674614');
INSERT INTO public.ecdc_import VALUES (46584, '02/12/2020', '2', '12', '2020', '4272', '199', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '546.80898122');
INSERT INTO public.ecdc_import VALUES (46585, '01/12/2020', '1', '12', '2020', '3826', '138', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '567.36067522');
INSERT INTO public.ecdc_import VALUES (46586, '30/11/2020', '30', '11', '2020', '5554', '148', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '573.05230978');
INSERT INTO public.ecdc_import VALUES (46587, '29/11/2020', '29', '11', '2020', '8134', '161', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '580.99484415');
INSERT INTO public.ecdc_import VALUES (46588, '28/11/2020', '28', '11', '2020', '8499', '172', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '587.82480562');
INSERT INTO public.ecdc_import VALUES (46589, '27/11/2020', '27', '11', '2020', '9005', '171', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '592.92409811');
INSERT INTO public.ecdc_import VALUES (46590, '26/11/2020', '26', '11', '2020', '9739', '168', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '598.78055828');
INSERT INTO public.ecdc_import VALUES (46591, '25/11/2020', '25', '11', '2020', '7753', '196', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '599.08960631');
INSERT INTO public.ecdc_import VALUES (46592, '24/11/2020', '24', '11', '2020', '4207', '130', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '596.77689689');
INSERT INTO public.ecdc_import VALUES (46593, '23/11/2020', '23', '11', '2020', '5837', '131', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '591.7960728');
INSERT INTO public.ecdc_import VALUES (46594, '22/11/2020', '22', '11', '2020', '9685', '160', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '596.50905526');
INSERT INTO public.ecdc_import VALUES (46595, '21/11/2020', '21', '11', '2020', '9272', '160', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '597.80705699');
INSERT INTO public.ecdc_import VALUES (46596, '20/11/2020', '20', '11', '2020', '10108', '167', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '602.89604788');
INSERT INTO public.ecdc_import VALUES (46597, '19/11/2020', '19', '11', '2020', '10269', '168', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '600.86663249');
INSERT INTO public.ecdc_import VALUES (46598, '18/11/2020', '18', '11', '2020', '8262', '186', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '592.53263727');
INSERT INTO public.ecdc_import VALUES (46599, '17/11/2020', '17', '11', '2020', '4931', '149', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '589.80786381');
INSERT INTO public.ecdc_import VALUES (46600, '16/11/2020', '16', '11', '2020', '7096', '113', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '585.22365136');
INSERT INTO public.ecdc_import VALUES (46601, '15/11/2020', '15', '11', '2020', '9460', '129', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '576.09643287');
INSERT INTO public.ecdc_import VALUES (46602, '14/11/2020', '14', '11', '2020', '9489', '174', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '557.00241542');
INSERT INTO public.ecdc_import VALUES (46603, '13/11/2020', '13', '11', '2020', '10142', '121', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '541.84360954');
INSERT INTO public.ecdc_import VALUES (46604, '12/11/2020', '12', '11', '2020', '9799', '203', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '522.98652891');
INSERT INTO public.ecdc_import VALUES (46605, '11/11/2020', '11', '11', '2020', '7304', '177', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '500.03456187');
INSERT INTO public.ecdc_import VALUES (46606, '10/11/2020', '10', '11', '2020', '3240', '130', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '486.74549658');
INSERT INTO public.ecdc_import VALUES (46607, '09/11/2020', '9', '11', '2020', '6752', '86', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '484.70577958');
INSERT INTO public.ecdc_import VALUES (46608, '08/11/2020', '8', '11', '2020', '9937', '130', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '469.78391053');
INSERT INTO public.ecdc_import VALUES (46609, '07/11/2020', '7', '11', '2020', '10260', '123', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '443.12336713');
INSERT INTO public.ecdc_import VALUES (46610, '06/11/2020', '6', '11', '2020', '9714', '121', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '416.17437891');
INSERT INTO public.ecdc_import VALUES (46611, '05/11/2020', '5', '11', '2020', '8651', '146', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '391.3887269');
INSERT INTO public.ecdc_import VALUES (46612, '04/11/2020', '4', '11', '2020', '7733', '120', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '371.80023259');
INSERT INTO public.ecdc_import VALUES (46613, '03/11/2020', '3', '11', '2020', '4041', '86', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '349.48181402');
INSERT INTO public.ecdc_import VALUES (46614, '02/11/2020', '2', '11', '2020', '5324', '99', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '341.36930323');
INSERT INTO public.ecdc_import VALUES (46615, '01/11/2020', '1', '11', '2020', '5753', '101', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '334.13757932');
INSERT INTO public.ecdc_import VALUES (46616, '31/10/2020', '31', '10', '2020', '6546', '103', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '324.86098762');
INSERT INTO public.ecdc_import VALUES (46617, '30/10/2020', '30', '10', '2020', '6481', '83', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '311.88097036');
INSERT INTO public.ecdc_import VALUES (46618, '29/10/2020', '29', '10', '2020', '5343', '107', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '299.16879472');
INSERT INTO public.ecdc_import VALUES (46619, '28/10/2020', '28', '10', '2020', '4724', '104', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '292.33368245');
INSERT INTO public.ecdc_import VALUES (46620, '27/10/2020', '27', '10', '2020', '2844', '79', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '284.01513964');
INSERT INTO public.ecdc_import VALUES (46621, '26/10/2020', '26', '10', '2020', '3855', '73', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '280.02326926');
INSERT INTO public.ecdc_import VALUES (46622, '25/10/2020', '25', '10', '2020', '4761', '73', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '275.00123877');
INSERT INTO public.ecdc_import VALUES (46623, '24/10/2020', '24', '10', '2020', '5028', '82', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '268.59364294');
INSERT INTO public.ecdc_import VALUES (46624, '23/10/2020', '23', '10', '2020', '4902', '98', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '259.10586842');
INSERT INTO public.ecdc_import VALUES (46625, '22/10/2020', '22', '10', '2020', '4848', '69', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '249.97864993');
INSERT INTO public.ecdc_import VALUES (46626, '21/10/2020', '21', '10', '2020', '3400', '65', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '240.24363698');
INSERT INTO public.ecdc_import VALUES (46627, '20/10/2020', '20', '10', '2020', '2466', '59', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '233.65576314');
INSERT INTO public.ecdc_import VALUES (46628, '19/10/2020', '19', '10', '2020', '3920', '60', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '238.60053162');
INSERT INTO public.ecdc_import VALUES (46629, '18/10/2020', '18', '10', '2020', '3952', '63', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '218.40939366');
INSERT INTO public.ecdc_import VALUES (46630, '17/10/2020', '17', '10', '2020', '4026', '75', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '208.68468231');
INSERT INTO public.ecdc_import VALUES (46631, '16/10/2020', '16', '10', '2020', '4013', '73', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '200.01588507');
INSERT INTO public.ecdc_import VALUES (46632, '15/10/2020', '15', '10', '2020', '4016', '66', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '190.0902925');
INSERT INTO public.ecdc_import VALUES (46633, '14/10/2020', '14', '10', '2020', '3109', '68', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '180.52010517');
INSERT INTO public.ecdc_import VALUES (46634, '13/10/2020', '13', '10', '2020', '2069', '56', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '172.07794315');
INSERT INTO public.ecdc_import VALUES (46635, '12/10/2020', '12', '10', '2020', '2880', '53', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '167.96760435');
INSERT INTO public.ecdc_import VALUES (46636, '11/10/2020', '11', '10', '2020', '3517', '59', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '160.54015003');
INSERT INTO public.ecdc_import VALUES (46637, '10/10/2020', '10', '10', '2020', '3186', '52', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '150.41882704');
INSERT INTO public.ecdc_import VALUES (46638, '09/10/2020', '9', '10', '2020', '3130', '44', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '142.39903066');
INSERT INTO public.ecdc_import VALUES (46639, '08/10/2020', '8', '10', '2020', '2958', '82', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '134.71918711');
INSERT INTO public.ecdc_import VALUES (46640, '07/10/2020', '7', '10', '2020', '2121', '73', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '128.58458372');
INSERT INTO public.ecdc_import VALUES (46641, '06/10/2020', '6', '10', '2020', '3426', '101', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '123.11443358');
INSERT INTO public.ecdc_import VALUES (46642, '05/10/2020', '5', '10', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '109.62963787');
INSERT INTO public.ecdc_import VALUES (46643, '04/10/2020', '4', '10', '2020', '2064', '32', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '115.97027329');
INSERT INTO public.ecdc_import VALUES (46644, '03/10/2020', '3', '10', '2020', '2343', '53', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '112.20503812');
INSERT INTO public.ecdc_import VALUES (46645, '02/10/2020', '2', '10', '2020', '2086', '37', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '108.00198491');
INSERT INTO public.ecdc_import VALUES (46646, '01/10/2020', '1', '10', '2020', '2158', '33', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '105.90560911');
INSERT INTO public.ecdc_import VALUES (46647, '30/09/2020', '30', '9', '2020', '1470', '44', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '103.61350289');
INSERT INTO public.ecdc_import VALUES (46648, '29/09/2020', '29', '9', '2020', '1271', '30', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '101.76436551');
INSERT INTO public.ecdc_import VALUES (46649, '28/09/2020', '28', '9', '2020', '1438', '31', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '98.78205202');
INSERT INTO public.ecdc_import VALUES (46650, '27/09/2020', '27', '9', '2020', '1552', '54', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '97.08743865');
INSERT INTO public.ecdc_import VALUES (46651, '26/09/2020', '26', '9', '2020', '1629', '42', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '95.84609573');
INSERT INTO public.ecdc_import VALUES (46652, '25/09/2020', '25', '9', '2020', '1639', '41', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '94.62020521');
INSERT INTO public.ecdc_import VALUES (46653, '24/09/2020', '24', '9', '2020', '1767', '47', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '93.28614788');
INSERT INTO public.ecdc_import VALUES (46654, '23/09/2020', '23', '9', '2020', '1059', '45', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '90.73135083');
INSERT INTO public.ecdc_import VALUES (46655, '22/09/2020', '22', '9', '2020', '808', '23', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '91.12796247');
INSERT INTO public.ecdc_import VALUES (46656, '21/09/2020', '21', '9', '2020', '1231', '33', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '91.51427251');
INSERT INTO public.ecdc_import VALUES (46657, '20/09/2020', '20', '9', '2020', '1333', '42', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '91.09705767');
INSERT INTO public.ecdc_import VALUES (46658, '19/09/2020', '19', '9', '2020', '1527', '48', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '90.76740643');
INSERT INTO public.ecdc_import VALUES (46659, '18/09/2020', '18', '9', '2020', '1679', '27', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '89.79905594');
INSERT INTO public.ecdc_import VALUES (46660, '17/09/2020', '17', '9', '2020', '1713', '49', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '88.18170458');
INSERT INTO public.ecdc_import VALUES (46661, '16/09/2020', '16', '9', '2020', '1111', '51', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '86.04412238');
INSERT INTO public.ecdc_import VALUES (46662, '15/09/2020', '15', '9', '2020', '692', '22', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.74537595');
INSERT INTO public.ecdc_import VALUES (46663, '14/09/2020', '14', '9', '2020', '1109', '36', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '86.06987638');
INSERT INTO public.ecdc_import VALUES (46664, '13/09/2020', '13', '9', '2020', '1311', '27', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.2612007');
INSERT INTO public.ecdc_import VALUES (46665, '12/09/2020', '12', '9', '2020', '1391', '35', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.53934393');
INSERT INTO public.ecdc_import VALUES (46666, '11/09/2020', '11', '9', '2020', '1380', '47', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.16333549');
INSERT INTO public.ecdc_import VALUES (46667, '10/09/2020', '10', '9', '2020', '1271', '51', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.80203475');
INSERT INTO public.ecdc_import VALUES (46668, '09/09/2020', '9', '9', '2020', '1136', '41', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.72477274');
INSERT INTO public.ecdc_import VALUES (46669, '08/09/2020', '8', '9', '2020', '883', '33', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.33331191');
INSERT INTO public.ecdc_import VALUES (46670, '07/09/2020', '7', '9', '2020', '1150', '43', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.93154947');
INSERT INTO public.ecdc_import VALUES (46671, '06/09/2020', '6', '9', '2020', '1269', '38', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.06106418');
INSERT INTO public.ecdc_import VALUES (46672, '05/09/2020', '5', '9', '2020', '1339', '47', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '83.64900014');
INSERT INTO public.ecdc_import VALUES (46673, '04/09/2020', '4', '9', '2020', '1365', '44', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '83.92199257');
INSERT INTO public.ecdc_import VALUES (46674, '03/09/2020', '3', '9', '2020', '1298', '40', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '83.82412736');
INSERT INTO public.ecdc_import VALUES (46675, '02/09/2020', '2', '9', '2020', '1053', '60', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.39586621');
INSERT INTO public.ecdc_import VALUES (46676, '01/09/2020', '1', '9', '2020', '755', '43', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.194985');
INSERT INTO public.ecdc_import VALUES (46677, '31/08/2020', '31', '8', '2020', '952', '39', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.08166738');
INSERT INTO public.ecdc_import VALUES (46678, '30/08/2020', '30', '8', '2020', '1365', '32', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.77702545');
INSERT INTO public.ecdc_import VALUES (46679, '29/08/2020', '29', '8', '2020', '1318', '48', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.58644583');
INSERT INTO public.ecdc_import VALUES (46680, '28/08/2020', '28', '8', '2020', '1504', '38', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.08607348');
INSERT INTO public.ecdc_import VALUES (46681, '27/08/2020', '27', '8', '2020', '1256', '54', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.82853346');
INSERT INTO public.ecdc_import VALUES (46682, '26/08/2020', '26', '8', '2020', '1060', '58', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.64751074');
INSERT INTO public.ecdc_import VALUES (46683, '25/08/2020', '25', '8', '2020', '805', '37', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '86.44588481');
INSERT INTO public.ecdc_import VALUES (46684, '24/08/2020', '24', '8', '2020', '981', '39', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '86.311964');
INSERT INTO public.ecdc_import VALUES (46685, '23/08/2020', '23', '8', '2020', '1189', '37', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.15669528');
INSERT INTO public.ecdc_import VALUES (46686, '22/08/2020', '22', '8', '2020', '1392', '42', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.98597416');
INSERT INTO public.ecdc_import VALUES (46687, '21/08/2020', '21', '8', '2020', '1346', '48', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.91386296');
INSERT INTO public.ecdc_import VALUES (46688, '20/08/2020', '20', '8', '2020', '1409', '32', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.90871216');
INSERT INTO public.ecdc_import VALUES (46689, '19/08/2020', '19', '8', '2020', '1014', '45', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.39363211');
INSERT INTO public.ecdc_import VALUES (46690, '18/08/2020', '18', '8', '2020', '733', '38', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '88.51650662');
INSERT INTO public.ecdc_import VALUES (46691, '17/08/2020', '17', '8', '2020', '1087', '37', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '88.98007866');
INSERT INTO public.ecdc_import VALUES (46692, '16/08/2020', '16', '8', '2020', '1328', '50', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '88.91826905');
INSERT INTO public.ecdc_import VALUES (46693, '15/08/2020', '15', '8', '2020', '1415', '44', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '88.3877366');
INSERT INTO public.ecdc_import VALUES (46694, '14/08/2020', '14', '8', '2020', '1454', '53', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.76964054');
INSERT INTO public.ecdc_import VALUES (46695, '13/08/2020', '13', '8', '2020', '1415', '43', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.26486209');
INSERT INTO public.ecdc_import VALUES (46696, '12/08/2020', '12', '8', '2020', '1215', '35', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '86.06472558');
INSERT INTO public.ecdc_import VALUES (46697, '11/08/2020', '11', '8', '2020', '779', '29', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.73507435');
INSERT INTO public.ecdc_import VALUES (46698, '10/08/2020', '10', '8', '2020', '1145', '41', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.40908451');
INSERT INTO public.ecdc_import VALUES (46699, '09/08/2020', '9', '8', '2020', '1350', '43', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '87.2803145');
INSERT INTO public.ecdc_import VALUES (46700, '08/08/2020', '8', '8', '2020', '1378', '50', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '86.94036166');
INSERT INTO public.ecdc_import VALUES (46701, '07/08/2020', '7', '8', '2020', '1345', '45', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '85.60630433');
INSERT INTO public.ecdc_import VALUES (46702, '06/08/2020', '6', '8', '2020', '1309', '41', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '84.40616782');
INSERT INTO public.ecdc_import VALUES (46703, '05/08/2020', '5', '8', '2020', '1232', '48', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '82.96909448');
INSERT INTO public.ecdc_import VALUES (46704, '04/08/2020', '4', '8', '2020', '823', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '81.74320396');
INSERT INTO public.ecdc_import VALUES (46705, '03/08/2020', '3', '8', '2020', '1075', '34', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '81.01179029');
INSERT INTO public.ecdc_import VALUES (46706, '02/08/2020', '2', '8', '2020', '1225', '36', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '79.42534373');
INSERT INTO public.ecdc_import VALUES (46707, '01/08/2020', '1', '8', '2020', '1295', '39', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '77.69467476');
INSERT INTO public.ecdc_import VALUES (46708, '31/07/2020', '31', '7', '2020', '1356', '35', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '75.13987771');
INSERT INTO public.ecdc_import VALUES (46709, '30/07/2020', '30', '7', '2020', '1182', '30', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '72.15756422');
INSERT INTO public.ecdc_import VALUES (46710, '29/07/2020', '29', '7', '2020', '1151', '33', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '69.37098115');
INSERT INTO public.ecdc_import VALUES (46711, '28/07/2020', '28', '7', '2020', '1104', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '66.72346969');
INSERT INTO public.ecdc_import VALUES (46712, '27/07/2020', '27', '7', '2020', '1120', '22', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '63.16426655');
INSERT INTO public.ecdc_import VALUES (46713, '26/07/2020', '26', '7', '2020', '1284', '15', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '59.74413502');
INSERT INTO public.ecdc_import VALUES (46714, '25/07/2020', '25', '7', '2020', '1119', '24', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '56.72576592');
INSERT INTO public.ecdc_import VALUES (46715, '24/07/2020', '24', '7', '2020', '1112', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '54.01129406');
INSERT INTO public.ecdc_import VALUES (46716, '23/07/2020', '23', '7', '2020', '1030', '27', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '51.44619541');
INSERT INTO public.ecdc_import VALUES (46717, '22/07/2020', '22', '7', '2020', '994', '36', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '48.99956517');
INSERT INTO public.ecdc_import VALUES (46718, '21/07/2020', '21', '7', '2020', '681', '12', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '45.92453727');
INSERT INTO public.ecdc_import VALUES (46719, '20/07/2020', '20', '7', '2020', '767', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '43.70454225');
INSERT INTO public.ecdc_import VALUES (46720, '19/07/2020', '19', '7', '2020', '889', '21', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '41.76784127');
INSERT INTO public.ecdc_import VALUES (46721, '18/07/2020', '18', '7', '2020', '799', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '39.33151263');
INSERT INTO public.ecdc_import VALUES (46722, '17/07/2020', '17', '7', '2020', '777', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '37.37935924');
INSERT INTO public.ecdc_import VALUES (46723, '16/07/2020', '16', '7', '2020', '641', '21', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '35.69504747');
INSERT INTO public.ecdc_import VALUES (46724, '15/07/2020', '15', '7', '2020', '637', '30', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '34.07254532');
INSERT INTO public.ecdc_import VALUES (46725, '14/07/2020', '14', '7', '2020', '413', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '32.78999599');
INSERT INTO public.ecdc_import VALUES (46726, '13/07/2020', '13', '7', '2020', '456', '13', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '32.04828072');
INSERT INTO public.ecdc_import VALUES (46727, '12/07/2020', '12', '7', '2020', '698', '24', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '31.19839864');
INSERT INTO public.ecdc_import VALUES (46728, '11/07/2020', '11', '7', '2020', '592', '13', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '29.27715005');
INSERT INTO public.ecdc_import VALUES (46729, '10/07/2020', '10', '7', '2020', '614', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '28.34485516');
INSERT INTO public.ecdc_import VALUES (46730, '09/07/2020', '9', '7', '2020', '555', '18', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '27.55163188');
INSERT INTO public.ecdc_import VALUES (46731, '08/07/2020', '8', '7', '2020', '397', '31', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '26.34634456');
INSERT INTO public.ecdc_import VALUES (46732, '07/07/2020', '7', '7', '2020', '250', '18', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.40374807');
INSERT INTO public.ecdc_import VALUES (46733, '06/07/2020', '6', '7', '2020', '391', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.38314487');
INSERT INTO public.ecdc_import VALUES (46734, '05/07/2020', '5', '7', '2020', '416', '23', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.99168403');
INSERT INTO public.ecdc_import VALUES (46735, '04/07/2020', '4', '7', '2020', '420', '21', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.54871519');
INSERT INTO public.ecdc_import VALUES (46736, '03/07/2020', '3', '7', '2020', '450', '20', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.03363514');
INSERT INTO public.ecdc_import VALUES (46737, '02/07/2020', '2', '7', '2020', '326', '16', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.36403107');
INSERT INTO public.ecdc_import VALUES (46738, '01/07/2020', '1', '7', '2020', '388', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.46189628');
INSERT INTO public.ecdc_import VALUES (46739, '30/06/2020', '30', '6', '2020', '269', '22', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.75108581');
INSERT INTO public.ecdc_import VALUES (46740, '29/06/2020', '29', '6', '2020', '291', '23', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.22055336');
INSERT INTO public.ecdc_import VALUES (46741, '28/06/2020', '28', '6', '2020', '325', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.36992658');
INSERT INTO public.ecdc_import VALUES (46742, '27/06/2020', '27', '6', '2020', '411', '14', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.11238655');
INSERT INTO public.ecdc_import VALUES (46743, '26/06/2020', '26', '6', '2020', '460', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '21.13888526');
INSERT INTO public.ecdc_import VALUES (46744, '25/06/2020', '25', '6', '2020', '321', '16', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '19.99025675');
INSERT INTO public.ecdc_import VALUES (46745, '24/06/2020', '24', '6', '2020', '214', '16', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '19.34640668');
INSERT INTO public.ecdc_import VALUES (46746, '23/06/2020', '23', '6', '2020', '246', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '18.99100145');
INSERT INTO public.ecdc_import VALUES (46747, '22/06/2020', '22', '6', '2020', '315', '12', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '18.36775459');
INSERT INTO public.ecdc_import VALUES (46748, '21/06/2020', '21', '6', '2020', '330', '16', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '17.71875372');
INSERT INTO public.ecdc_import VALUES (46749, '20/06/2020', '20', '6', '2020', '320', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '16.98218925');
INSERT INTO public.ecdc_import VALUES (46750, '19/06/2020', '19', '6', '2020', '320', '22', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '16.34348999');
INSERT INTO public.ecdc_import VALUES (46751, '18/06/2020', '18', '6', '2020', '345', '14', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '15.92112435');
INSERT INTO public.ecdc_import VALUES (46752, '17/06/2020', '17', '6', '2020', '250', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '14.92701985');
INSERT INTO public.ecdc_import VALUES (46753, '16/06/2020', '16', '6', '2020', '166', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '14.25226499');
INSERT INTO public.ecdc_import VALUES (46754, '15/06/2020', '15', '6', '2020', '320', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '14.12349497');
INSERT INTO public.ecdc_import VALUES (46755, '14/06/2020', '14', '6', '2020', '275', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.11393808');
INSERT INTO public.ecdc_import VALUES (46756, '13/06/2020', '13', '6', '2020', '222', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.47523881');
INSERT INTO public.ecdc_import VALUES (46757, '12/06/2020', '12', '6', '2020', '237', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.315564');
INSERT INTO public.ecdc_import VALUES (46758, '11/06/2020', '11', '6', '2020', '196', '15', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.10953198');
INSERT INTO public.ecdc_import VALUES (46759, '10/06/2020', '10', '6', '2020', '145', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '11.94985716');
INSERT INTO public.ecdc_import VALUES (46760, '09/06/2020', '9', '6', '2020', '125', '8', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '11.95500796');
INSERT INTO public.ecdc_import VALUES (46761, '08/06/2020', '8', '6', '2020', '189', '8', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.40827841');
INSERT INTO public.ecdc_import VALUES (46762, '07/06/2020', '7', '6', '2020', '187', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.53189762');
INSERT INTO public.ecdc_import VALUES (46763, '06/06/2020', '6', '6', '2020', '196', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.315564');
INSERT INTO public.ecdc_import VALUES (46764, '05/06/2020', '5', '6', '2020', '238', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '11.96015876');
INSERT INTO public.ecdc_import VALUES (46765, '04/06/2020', '4', '6', '2020', '152', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '11.75412674');
INSERT INTO public.ecdc_import VALUES (46766, '03/06/2020', '3', '6', '2020', '119', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '11.98076197');
INSERT INTO public.ecdc_import VALUES (46767, '02/06/2020', '2', '6', '2020', '141', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.16619078');
INSERT INTO public.ecdc_import VALUES (46768, '01/06/2020', '1', '6', '2020', '124', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.28981');
INSERT INTO public.ecdc_import VALUES (46769, '31/05/2020', '31', '5', '2020', '151', '13', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.51129442');
INSERT INTO public.ecdc_import VALUES (46770, '30/05/2020', '30', '5', '2020', '191', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.10878728');
INSERT INTO public.ecdc_import VALUES (46771, '29/05/2020', '29', '5', '2020', '197', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.10363648');
INSERT INTO public.ecdc_import VALUES (46772, '28/05/2020', '28', '5', '2020', '165', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.3508749');
INSERT INTO public.ecdc_import VALUES (46773, '27/05/2020', '27', '5', '2020', '146', '13', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.65477213');
INSERT INTO public.ecdc_import VALUES (46774, '26/05/2020', '26', '5', '2020', '213', '18', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.88140735');
INSERT INTO public.ecdc_import VALUES (46775, '25/05/2020', '25', '5', '2020', '213', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '13.94836776');
INSERT INTO public.ecdc_import VALUES (46776, '24/05/2020', '24', '5', '2020', '145', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '14.04108217');
INSERT INTO public.ecdc_import VALUES (46777, '23/05/2020', '23', '5', '2020', '127', '8', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '14.94247225');
INSERT INTO public.ecdc_import VALUES (46778, '22/05/2020', '22', '5', '2020', '198', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '15.89537035');
INSERT INTO public.ecdc_import VALUES (46779, '21/05/2020', '21', '5', '2020', '196', '15', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '16.89462564');
INSERT INTO public.ecdc_import VALUES (46780, '20/05/2020', '20', '5', '2020', '155', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '17.27578488');
INSERT INTO public.ecdc_import VALUES (46781, '19/05/2020', '19', '5', '2020', '165', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '18.15142097');
INSERT INTO public.ecdc_import VALUES (46782, '18/05/2020', '18', '5', '2020', '167', '16', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '19.09916826');
INSERT INTO public.ecdc_import VALUES (46783, '17/05/2020', '17', '5', '2020', '267', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '20.45897959');
INSERT INTO public.ecdc_import VALUES (46784, '16/05/2020', '16', '5', '2020', '190', '10', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '19.93359794');
INSERT INTO public.ecdc_import VALUES (46785, '15/05/2020', '15', '5', '2020', '245', '30', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '20.63925761');
INSERT INTO public.ecdc_import VALUES (46786, '14/05/2020', '14', '5', '2020', '224', '14', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '20.72682122');
INSERT INTO public.ecdc_import VALUES (46787, '13/05/2020', '13', '5', '2020', '190', '30', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '21.43763169');
INSERT INTO public.ecdc_import VALUES (46788, '12/05/2020', '12', '5', '2020', '226', '20', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '21.88575133');
INSERT INTO public.ecdc_import VALUES (46789, '11/05/2020', '11', '5', '2020', '231', '26', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.28236297');
INSERT INTO public.ecdc_import VALUES (46790, '10/05/2020', '10', '5', '2020', '320', '28', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.15799905');
INSERT INTO public.ecdc_import VALUES (46791, '09/05/2020', '9', '5', '2020', '312', '22', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.6326174');
INSERT INTO public.ecdc_import VALUES (46792, '08/05/2020', '8', '5', '2020', '392', '18', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.67897461');
INSERT INTO public.ecdc_import VALUES (46793, '07/05/2020', '7', '5', '2020', '270', '31', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.6480698');
INSERT INTO public.ecdc_import VALUES (46794, '06/05/2020', '6', '5', '2020', '325', '24', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.6679283');
INSERT INTO public.ecdc_import VALUES (46795, '05/05/2020', '5', '5', '2020', '349', '23', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.57006309');
INSERT INTO public.ecdc_import VALUES (46796, '04/05/2020', '4', '5', '2020', '431', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.75108581');
INSERT INTO public.ecdc_import VALUES (46797, '03/05/2020', '3', '5', '2020', '165', '27', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '22.22055336');
INSERT INTO public.ecdc_import VALUES (46798, '02/05/2020', '2', '5', '2020', '327', '27', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.17860226');
INSERT INTO public.ecdc_import VALUES (46799, '01/05/2020', '1', '5', '2020', '262', '42', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.34857867');
INSERT INTO public.ecdc_import VALUES (46800, '30/04/2020', '30', '4', '2020', '362', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.52811199');
INSERT INTO public.ecdc_import VALUES (46801, '29/04/2020', '29', '4', '2020', '277', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.39934197');
INSERT INTO public.ecdc_import VALUES (46802, '28/04/2020', '28', '4', '2020', '303', '23', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.23966716');
INSERT INTO public.ecdc_import VALUES (46803, '27/04/2020', '27', '4', '2020', '401', '33', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.39419117');
INSERT INTO public.ecdc_import VALUES (46804, '26/04/2020', '26', '4', '2020', '218', '23', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.92546833');
INSERT INTO public.ecdc_import VALUES (46805, '25/04/2020', '25', '4', '2020', '321', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.49646248');
INSERT INTO public.ecdc_import VALUES (46806, '24/04/2020', '24', '4', '2020', '386', '19', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.20801765');
INSERT INTO public.ecdc_import VALUES (46807, '23/04/2020', '23', '4', '2020', '468', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.49131168');
INSERT INTO public.ecdc_import VALUES (46808, '22/04/2020', '22', '4', '2020', '306', '32', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.85261242');
INSERT INTO public.ecdc_import VALUES (46809, '21/04/2020', '21', '4', '2020', '190', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.13075565');
INSERT INTO public.ecdc_import VALUES (46810, '20/04/2020', '20', '4', '2020', '328', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.14620805');
INSERT INTO public.ecdc_import VALUES (46811, '19/04/2020', '19', '4', '2020', '351', '17', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.74959641');
INSERT INTO public.ecdc_import VALUES (46812, '18/04/2020', '18', '4', '2020', '360', '13', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.15650965');
INSERT INTO public.ecdc_import VALUES (46813, '17/04/2020', '17', '4', '2020', '491', '15', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '25.59432769');
INSERT INTO public.ecdc_import VALUES (46814, '16/04/2020', '16', '4', '2020', '337', '28', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.49720718');
INSERT INTO public.ecdc_import VALUES (46815, '15/04/2020', '15', '4', '2020', '246', '26', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.86880952');
INSERT INTO public.ecdc_import VALUES (46816, '14/04/2020', '14', '4', '2020', '333', '12', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '24.11089715');
INSERT INTO public.ecdc_import VALUES (46817, '13/04/2020', '13', '4', '2020', '310', '24', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.38463428');
INSERT INTO public.ecdc_import VALUES (46818, '12/04/2020', '12', '4', '2020', '523', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '23.37433268');
INSERT INTO public.ecdc_import VALUES (46819, '11/04/2020', '11', '4', '2020', '265', '28', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '21.50459209');
INSERT INTO public.ecdc_import VALUES (46820, '10/04/2020', '10', '4', '2020', '441', '20', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '21.49429049');
INSERT INTO public.ecdc_import VALUES (46821, '09/04/2020', '9', '4', '2020', '344', '27', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '19.85633593');
INSERT INTO public.ecdc_import VALUES (46822, '08/04/2020', '8', '4', '2020', '360', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '18.82617583');
INSERT INTO public.ecdc_import VALUES (46823, '07/04/2020', '7', '4', '2020', '193', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '17.92993655');
INSERT INTO public.ecdc_import VALUES (46824, '06/04/2020', '6', '4', '2020', '251', '7', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '17.67239652');
INSERT INTO public.ecdc_import VALUES (46825, '05/04/2020', '5', '4', '2020', '430', '8', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '16.71949843');
INSERT INTO public.ecdc_import VALUES (46826, '04/04/2020', '4', '4', '2020', '445', '39', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '14.80855144');
INSERT INTO public.ecdc_import VALUES (46827, '03/04/2020', '3', '4', '2020', '278', '9', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '12.67612003');
INSERT INTO public.ecdc_import VALUES (46828, '02/04/2020', '2', '4', '2020', '215', '16', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '11.3317611');
INSERT INTO public.ecdc_import VALUES (46829, '01/04/2020', '1', '4', '2020', '293', '25', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '10.44582342');
INSERT INTO public.ecdc_import VALUES (46830, '31/03/2020', '31', '3', '2020', '192', '4', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '9.10661529');
INSERT INTO public.ecdc_import VALUES (46831, '30/03/2020', '30', '3', '2020', '308', '11', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '8.34944761');
INSERT INTO public.ecdc_import VALUES (46832, '29/03/2020', '29', '3', '2020', '160', '5', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '6.89692187');
INSERT INTO public.ecdc_import VALUES (46833, '28/03/2020', '28', '3', '2020', '263', '7', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '6.196413');
INSERT INTO public.ecdc_import VALUES (46834, '27/03/2020', '27', '3', '2020', '123', '4', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '4.97052248');
INSERT INTO public.ecdc_import VALUES (46835, '26/03/2020', '26', '3', '2020', '144', '2', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '4.43483923');
INSERT INTO public.ecdc_import VALUES (46836, '25/03/2020', '25', '3', '2020', '186', '4', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '3.79613997');
INSERT INTO public.ecdc_import VALUES (46837, '24/03/2020', '24', '3', '2020', '143', '5', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '2.87929748');
INSERT INTO public.ecdc_import VALUES (46838, '23/03/2020', '23', '3', '2020', '66', '2', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '2.15303461');
INSERT INTO public.ecdc_import VALUES (46839, '22/03/2020', '22', '3', '2020', '59', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '1.82338338');
INSERT INTO public.ecdc_import VALUES (46840, '21/03/2020', '21', '3', '2020', '31', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '1.55039095');
INSERT INTO public.ecdc_import VALUES (46841, '20/03/2020', '20', '3', '2020', '17', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '1.39586694');
INSERT INTO public.ecdc_import VALUES (46842, '19/03/2020', '19', '3', '2020', '43', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '1.31860493');
INSERT INTO public.ecdc_import VALUES (46843, '18/03/2020', '18', '3', '2020', '33', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '1.10227131');
INSERT INTO public.ecdc_import VALUES (46844, '17/03/2020', '17', '3', '2020', '45', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.93229489');
INSERT INTO public.ecdc_import VALUES (46845, '16/03/2020', '16', '3', '2020', '26', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.70050887');
INSERT INTO public.ecdc_import VALUES (46846, '15/03/2020', '15', '3', '2020', '24', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.57688966');
INSERT INTO public.ecdc_import VALUES (46847, '14/03/2020', '14', '3', '2020', '25', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.45327044');
INSERT INTO public.ecdc_import VALUES (46848, '13/03/2020', '13', '3', '2020', '19', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.32965123');
INSERT INTO public.ecdc_import VALUES (46849, '12/03/2020', '12', '3', '2020', '20', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.23178602');
INSERT INTO public.ecdc_import VALUES (46850, '11/03/2020', '11', '3', '2020', '8', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.12877001');
INSERT INTO public.ecdc_import VALUES (46851, '10/03/2020', '10', '3', '2020', '2', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.08756361');
INSERT INTO public.ecdc_import VALUES (46852, '09/03/2020', '9', '3', '2020', '2', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.07726201');
INSERT INTO public.ecdc_import VALUES (46853, '08/03/2020', '8', '3', '2020', '6', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.06696041');
INSERT INTO public.ecdc_import VALUES (46854, '07/03/2020', '7', '3', '2020', '1', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0360556');
INSERT INTO public.ecdc_import VALUES (46855, '06/03/2020', '6', '3', '2020', '2', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0309048');
INSERT INTO public.ecdc_import VALUES (46856, '04/03/2020', '4', '3', '2020', '1', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0206032');
INSERT INTO public.ecdc_import VALUES (46857, '02/03/2020', '2', '3', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0154524');
INSERT INTO public.ecdc_import VALUES (46858, '01/03/2020', '1', '3', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0154524');
INSERT INTO public.ecdc_import VALUES (46859, '29/02/2020', '29', '2', '2020', '2', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0154524');
INSERT INTO public.ecdc_import VALUES (46860, '28/02/2020', '28', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0051508');
INSERT INTO public.ecdc_import VALUES (46861, '27/02/2020', '27', '2', '2020', '1', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0.0051508');
INSERT INTO public.ecdc_import VALUES (46862, '26/02/2020', '26', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46863, '25/02/2020', '25', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46864, '24/02/2020', '24', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46865, '23/02/2020', '23', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46866, '22/02/2020', '22', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46867, '21/02/2020', '21', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46868, '20/02/2020', '20', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46869, '19/02/2020', '19', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46870, '18/02/2020', '18', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46871, '17/02/2020', '17', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46872, '16/02/2020', '16', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46873, '15/02/2020', '15', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46874, '14/02/2020', '14', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46875, '13/02/2020', '13', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46876, '12/02/2020', '12', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46877, '11/02/2020', '11', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46878, '10/02/2020', '10', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46879, '09/02/2020', '9', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46880, '08/02/2020', '8', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46881, '07/02/2020', '7', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46882, '06/02/2020', '6', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46883, '05/02/2020', '5', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46884, '04/02/2020', '4', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46885, '03/02/2020', '3', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46886, '02/02/2020', '2', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46887, '01/02/2020', '1', '2', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46888, '31/01/2020', '31', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46889, '30/01/2020', '30', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46890, '29/01/2020', '29', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46891, '28/01/2020', '28', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46892, '27/01/2020', '27', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46893, '26/01/2020', '26', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46894, '25/01/2020', '25', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46895, '24/01/2020', '24', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46896, '23/01/2020', '23', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46897, '22/01/2020', '22', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46898, '21/01/2020', '21', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46899, '20/01/2020', '20', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46900, '19/01/2020', '19', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46901, '18/01/2020', '18', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46902, '17/01/2020', '17', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46903, '16/01/2020', '16', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46904, '15/01/2020', '15', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46905, '14/01/2020', '14', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46906, '13/01/2020', '13', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (46907, '12/01/2020', '12', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46908, '11/01/2020', '11', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46909, '10/01/2020', '10', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46910, '09/01/2020', '9', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46911, '08/01/2020', '8', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46912, '07/01/2020', '7', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46913, '06/01/2020', '6', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46914, '05/01/2020', '5', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46915, '04/01/2020', '4', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46916, '03/01/2020', '3', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46917, '02/01/2020', '2', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46918, '01/01/2020', '1', '1', '2020', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46919, '31/12/2019', '31', '12', '2019', '0', '0', '19414458', 'Romania', 'RO', 'ROU', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (46920, '14/12/2020', '14', '12', '2020', '28080', '488', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '263.66356427');
INSERT INTO public.ecdc_import VALUES (46921, '13/12/2020', '13', '12', '2020', '28137', '560', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '262.70587705');
INSERT INTO public.ecdc_import VALUES (46922, '12/12/2020', '12', '12', '2020', '28585', '613', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '261.99498109');
INSERT INTO public.ecdc_import VALUES (46923, '11/12/2020', '11', '12', '2020', '27927', '562', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '261.28065747');
INSERT INTO public.ecdc_import VALUES (46924, '10/12/2020', '10', '12', '2020', '26190', '559', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '259.6079611');
INSERT INTO public.ecdc_import VALUES (46925, '09/12/2020', '9', '12', '2020', '26097', '562', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '257.88384988');
INSERT INTO public.ecdc_import VALUES (46926, '08/12/2020', '8', '12', '2020', '28142', '456', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '256.66977395');
INSERT INTO public.ecdc_import VALUES (46927, '07/12/2020', '7', '12', '2020', '29039', '457', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '254.63443152');
INSERT INTO public.ecdc_import VALUES (46928, '06/12/2020', '6', '12', '2020', '28782', '508', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '251.57833299');
INSERT INTO public.ecdc_import VALUES (46929, '05/12/2020', '5', '12', '2020', '27403', '569', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '248.86362904');
INSERT INTO public.ecdc_import VALUES (46930, '04/12/2020', '4', '12', '2020', '28145', '554', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '246.74876498');
INSERT INTO public.ecdc_import VALUES (46931, '03/12/2020', '3', '12', '2020', '25345', '589', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '243.63988054');
INSERT INTO public.ecdc_import VALUES (46932, '02/12/2020', '2', '12', '2020', '26402', '569', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '240.65096407');
INSERT INTO public.ecdc_import VALUES (46933, '01/12/2020', '1', '12', '2020', '26338', '368', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '237.91432312');
INSERT INTO public.ecdc_import VALUES (46934, '30/11/2020', '30', '11', '2020', '26683', '459', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '235.47383169');
INSERT INTO public.ecdc_import VALUES (46935, '29/11/2020', '29', '11', '2020', '27100', '510', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '232.65561252');
INSERT INTO public.ecdc_import VALUES (46936, '28/11/2020', '28', '11', '2020', '27543', '496', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '229.64064586');
INSERT INTO public.ecdc_import VALUES (46937, '27/11/2020', '27', '11', '2020', '25487', '524', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '225.82909184');
INSERT INTO public.ecdc_import VALUES (46938, '26/11/2020', '26', '11', '2020', '23675', '507', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '223.16991593');
INSERT INTO public.ecdc_import VALUES (46939, '25/11/2020', '25', '11', '2020', '24326', '491', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '220.54844423');
INSERT INTO public.ecdc_import VALUES (46940, '24/11/2020', '24', '11', '2020', '25173', '361', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '218.25259991');
INSERT INTO public.ecdc_import VALUES (46941, '23/11/2020', '23', '11', '2020', '24581', '401', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '215.93893177');
INSERT INTO public.ecdc_import VALUES (46942, '22/11/2020', '22', '11', '2020', '24822', '467', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '213.13990748');
INSERT INTO public.ecdc_import VALUES (46943, '21/11/2020', '21', '11', '2020', '24318', '461', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '210.10574595');
INSERT INTO public.ecdc_import VALUES (46944, '20/11/2020', '20', '11', '2020', '23610', '463', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '207.54460101');
INSERT INTO public.ecdc_import VALUES (46945, '19/11/2020', '19', '11', '2020', '20985', '456', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '204.66125636');
INSERT INTO public.ecdc_import VALUES (46946, '18/11/2020', '18', '11', '2020', '22410', '442', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '203.82696477');
INSERT INTO public.ecdc_import VALUES (46947, '17/11/2020', '17', '11', '2020', '22778', '303', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '201.24799602');
INSERT INTO public.ecdc_import VALUES (46948, '16/11/2020', '16', '11', '2020', '22572', '352', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '198.14870901');
INSERT INTO public.ecdc_import VALUES (46949, '15/11/2020', '15', '11', '2020', '22702', '391', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '195.47033823');
INSERT INTO public.ecdc_import VALUES (46950, '14/11/2020', '14', '11', '2020', '21983', '411', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '192.34294444');
INSERT INTO public.ecdc_import VALUES (46951, '13/11/2020', '13', '11', '2020', '21608', '439', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '189.80647863');
INSERT INTO public.ecdc_import VALUES (46952, '12/11/2020', '12', '11', '2020', '19851', '432', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '187.13907634');
INSERT INTO public.ecdc_import VALUES (46953, '11/11/2020', '11', '11', '2020', '20977', '368', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '184.63757263');
INSERT INTO public.ecdc_import VALUES (46954, '10/11/2020', '10', '11', '2020', '21798', '256', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '181.60272556');
INSERT INTO public.ecdc_import VALUES (46955, '09/11/2020', '9', '11', '2020', '20498', '286', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '178.55142575');
INSERT INTO public.ecdc_import VALUES (46956, '08/11/2020', '8', '11', '2020', '20396', '364', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '175.95463318');
INSERT INTO public.ecdc_import VALUES (46957, '07/11/2020', '7', '11', '2020', '20582', '378', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '173.2981994');
INSERT INTO public.ecdc_import VALUES (46958, '06/11/2020', '6', '11', '2020', '19404', '292', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '171.07570692');
INSERT INTO public.ecdc_import VALUES (46959, '05/11/2020', '5', '11', '2020', '19768', '389', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '168.72227797');
INSERT INTO public.ecdc_import VALUES (46960, '04/11/2020', '4', '11', '2020', '18648', '355', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '165.93353664');
INSERT INTO public.ecdc_import VALUES (46961, '03/11/2020', '3', '11', '2020', '18257', '238', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '164.33693425');
INSERT INTO public.ecdc_import VALUES (46962, '02/11/2020', '2', '11', '2020', '18665', '245', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '162.77735054');
INSERT INTO public.ecdc_import VALUES (46963, '01/11/2020', '1', '11', '2020', '18140', '334', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '160.33274592');
INSERT INTO public.ecdc_import VALUES (46964, '31/10/2020', '31', '10', '2020', '18283', '355', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '158.1267062');
INSERT INTO public.ecdc_import VALUES (46965, '30/10/2020', '30', '10', '2020', '17717', '366', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '155.97893664');
INSERT INTO public.ecdc_import VALUES (46966, '29/10/2020', '29', '10', '2020', '16202', '346', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '153.2621761');
INSERT INTO public.ecdc_import VALUES (46967, '28/10/2020', '28', '10', '2020', '16550', '320', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '151.91099391');
INSERT INTO public.ecdc_import VALUES (46968, '27/10/2020', '27', '10', '2020', '17347', '219', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '150.07239896');
INSERT INTO public.ecdc_import VALUES (46969, '26/10/2020', '26', '10', '2020', '16710', '229', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '147.49822893');
INSERT INTO public.ecdc_import VALUES (46970, '25/10/2020', '25', '10', '2020', '16521', '296', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '145.38953465');
INSERT INTO public.ecdc_import VALUES (46971, '24/10/2020', '24', '10', '2020', '17340', '283', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '142.87020713');
INSERT INTO public.ecdc_import VALUES (46972, '23/10/2020', '23', '10', '2020', '15971', '290', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '139.29584693');
INSERT INTO public.ecdc_import VALUES (46973, '22/10/2020', '22', '10', '2020', '15700', '317', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '136.22603777');
INSERT INTO public.ecdc_import VALUES (46974, '21/10/2020', '21', '10', '2020', '16319', '269', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '133.08287676');
INSERT INTO public.ecdc_import VALUES (46975, '20/10/2020', '20', '10', '2020', '15982', '179', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '129.85813752');
INSERT INTO public.ecdc_import VALUES (46976, '19/10/2020', '19', '10', '2020', '15099', '185', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '126.36604108');
INSERT INTO public.ecdc_import VALUES (46977, '18/10/2020', '18', '10', '2020', '14922', '279', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '123.2125971');
INSERT INTO public.ecdc_import VALUES (46978, '17/10/2020', '17', '10', '2020', '15150', '232', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '119.74175213');
INSERT INTO public.ecdc_import VALUES (46979, '16/10/2020', '16', '10', '2020', '13754', '286', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '115.80817353');
INSERT INTO public.ecdc_import VALUES (46980, '15/10/2020', '15', '10', '2020', '14231', '239', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '112.51145351');
INSERT INTO public.ecdc_import VALUES (46981, '14/10/2020', '14', '10', '2020', '13868', '244', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '108.56964854');
INSERT INTO public.ecdc_import VALUES (46982, '13/10/2020', '13', '10', '2020', '13592', '125', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '104.70599413');
INSERT INTO public.ecdc_import VALUES (46983, '12/10/2020', '12', '10', '2020', '13634', '143', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '100.96504983');
INSERT INTO public.ecdc_import VALUES (46984, '11/10/2020', '11', '10', '2020', '12846', '197', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '97.01159083');
INSERT INTO public.ecdc_import VALUES (46985, '10/10/2020', '10', '10', '2020', '12126', '201', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '93.36250772');
INSERT INTO public.ecdc_import VALUES (46986, '09/10/2020', '9', '10', '2020', '11493', '191', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '89.99380691');
INSERT INTO public.ecdc_import VALUES (46987, '08/10/2020', '8', '10', '2020', '11115', '202', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '86.6360746');
INSERT INTO public.ecdc_import VALUES (46988, '07/10/2020', '7', '10', '2020', '11615', '188', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '83.425046');
INSERT INTO public.ecdc_import VALUES (46989, '06/10/2020', '6', '10', '2020', '10888', '117', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '79.72317698');
INSERT INTO public.ecdc_import VALUES (46990, '05/10/2020', '5', '10', '2020', '10499', '107', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '76.50666412');
INSERT INTO public.ecdc_import VALUES (46991, '04/10/2020', '4', '10', '2020', '9859', '174', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '73.52391743');
INSERT INTO public.ecdc_import VALUES (46992, '03/10/2020', '3', '10', '2020', '9412', '186', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '70.92301168');
INSERT INTO public.ecdc_import VALUES (46993, '02/10/2020', '2', '10', '2020', '8945', '169', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '68.51885341');
INSERT INTO public.ecdc_import VALUES (46994, '01/10/2020', '1', '10', '2020', '8481', '177', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '66.33680729');
INSERT INTO public.ecdc_import VALUES (46995, '30/09/2020', '30', '9', '2020', '8232', '160', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '64.4097788');
INSERT INTO public.ecdc_import VALUES (46996, '29/09/2020', '29', '9', '2020', '8135', '61', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '62.5567877');
INSERT INTO public.ecdc_import VALUES (46997, '28/09/2020', '28', '9', '2020', '7867', '99', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '60.75658251');
INSERT INTO public.ecdc_import VALUES (46998, '27/09/2020', '27', '9', '2020', '7523', '169', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '59.09896782');
INSERT INTO public.ecdc_import VALUES (46999, '26/09/2020', '26', '9', '2020', '7212', '108', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '57.70391163');
INSERT INTO public.ecdc_import VALUES (47000, '25/09/2020', '25', '9', '2020', '6595', '149', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '56.53302417');
INSERT INTO public.ecdc_import VALUES (47001, '24/09/2020', '24', '9', '2020', '6431', '150', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '55.68844961');
INSERT INTO public.ecdc_import VALUES (47002, '23/09/2020', '23', '9', '2020', '6215', '160', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '54.85690014');
INSERT INTO public.ecdc_import VALUES (47003, '22/09/2020', '22', '9', '2020', '6196', '71', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '54.09184721');
INSERT INTO public.ecdc_import VALUES (47004, '21/09/2020', '21', '9', '2020', '6148', '79', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '53.39877507');
INSERT INTO public.ecdc_import VALUES (47005, '20/09/2020', '20', '9', '2020', '6065', '144', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '52.74546374');
INSERT INTO public.ecdc_import VALUES (47006, '19/09/2020', '19', '9', '2020', '5905', '134', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '52.15590682');
INSERT INTO public.ecdc_import VALUES (47007, '18/09/2020', '18', '9', '2020', '5762', '144', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '51.61090944');
INSERT INTO public.ecdc_import VALUES (47008, '17/09/2020', '17', '9', '2020', '5670', '132', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '51.08510693');
INSERT INTO public.ecdc_import VALUES (47009, '16/09/2020', '16', '9', '2020', '5529', '150', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '50.59289546');
INSERT INTO public.ecdc_import VALUES (47010, '15/09/2020', '15', '9', '2020', '5509', '57', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '50.04447042');
INSERT INTO public.ecdc_import VALUES (47011, '14/09/2020', '14', '9', '2020', '5449', '94', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.69073626');
INSERT INTO public.ecdc_import VALUES (47012, '13/09/2020', '13', '9', '2020', '5488', '119', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.36922209');
INSERT INTO public.ecdc_import VALUES (47013, '12/09/2020', '12', '9', '2020', '5504', '102', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '48.99423646');
INSERT INTO public.ecdc_import VALUES (47014, '11/09/2020', '11', '9', '2020', '5363', '110', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '48.53150284');
INSERT INTO public.ecdc_import VALUES (47015, '10/09/2020', '10', '9', '2020', '5218', '160', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '48.08453643');
INSERT INTO public.ecdc_import VALUES (47016, '09/09/2020', '9', '9', '2020', '5099', '122', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.71297846');
INSERT INTO public.ecdc_import VALUES (47017, '08/09/2020', '8', '9', '2020', '5185', '51', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.43670935');
INSERT INTO public.ecdc_import VALUES (47018, '07/09/2020', '7', '9', '2020', '5195', '61', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.13439005');
INSERT INTO public.ecdc_import VALUES (47019, '06/09/2020', '6', '9', '2020', '5205', '110', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.89925281');
INSERT INTO public.ecdc_import VALUES (47020, '05/09/2020', '5', '9', '2020', '5110', '121', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.70456192');
INSERT INTO public.ecdc_import VALUES (47021, '04/09/2020', '4', '9', '2020', '4995', '114', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.54003441');
INSERT INTO public.ecdc_import VALUES (47022, '03/09/2020', '3', '9', '2020', '4952', '115', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.39607284');
INSERT INTO public.ecdc_import VALUES (47023, '02/09/2020', '2', '9', '2020', '4729', '123', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.31106696');
INSERT INTO public.ecdc_import VALUES (47024, '01/09/2020', '1', '9', '2020', '4993', '83', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.32409205');
INSERT INTO public.ecdc_import VALUES (47025, '31/08/2020', '31', '8', '2020', '4980', '68', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.25485339');
INSERT INTO public.ecdc_import VALUES (47026, '30/08/2020', '30', '8', '2020', '4941', '111', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.24731255');
INSERT INTO public.ecdc_import VALUES (47027, '29/08/2020', '29', '8', '2020', '4829', '110', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.3295763');
INSERT INTO public.ecdc_import VALUES (47028, '28/08/2020', '28', '8', '2020', '4711', '121', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.49136169');
INSERT INTO public.ecdc_import VALUES (47029, '27/08/2020', '27', '8', '2020', '4676', '115', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '46.72855552');
INSERT INTO public.ecdc_import VALUES (47030, '26/08/2020', '26', '8', '2020', '4696', '120', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.02059185');
INSERT INTO public.ecdc_import VALUES (47031, '25/08/2020', '25', '8', '2020', '4744', '65', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.19128915');
INSERT INTO public.ecdc_import VALUES (47032, '24/08/2020', '24', '8', '2020', '4852', '73', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.44767785');
INSERT INTO public.ecdc_import VALUES (47033, '23/08/2020', '23', '8', '2020', '4921', '121', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.6787019');
INSERT INTO public.ecdc_import VALUES (47034, '22/08/2020', '22', '8', '2020', '4870', '90', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.87819151');
INSERT INTO public.ecdc_import VALUES (47035, '21/08/2020', '21', '8', '2020', '4785', '110', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '48.13252362');
INSERT INTO public.ecdc_import VALUES (47036, '20/08/2020', '20', '8', '2020', '4828', '117', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.9721093');
INSERT INTO public.ecdc_import VALUES (47037, '19/08/2020', '19', '8', '2020', '4748', '132', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '48.72070948');
INSERT INTO public.ecdc_import VALUES (47038, '18/08/2020', '18', '8', '2020', '4892', '55', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.00246284');
INSERT INTO public.ecdc_import VALUES (47039, '17/08/2020', '17', '8', '2020', '4969', '68', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.34659955');
INSERT INTO public.ecdc_import VALUES (47040, '16/08/2020', '16', '8', '2020', '5061', '119', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.66057289');
INSERT INTO public.ecdc_import VALUES (47041, '15/08/2020', '15', '8', '2020', '5065', '114', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.93547094');
INSERT INTO public.ecdc_import VALUES (47042, '14/08/2020', '14', '8', '2020', '5057', '124', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '50.22133749');
INSERT INTO public.ecdc_import VALUES (47043, '13/08/2020', '13', '8', '2020', '5102', '129', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '50.53119764');
INSERT INTO public.ecdc_import VALUES (47044, '12/08/2020', '12', '8', '2020', '4945', '70', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '50.78690081');
INSERT INTO public.ecdc_import VALUES (47045, '11/08/2020', '11', '8', '2020', '5118', '130', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '51.0953899');
INSERT INTO public.ecdc_import VALUES (47046, '10/08/2020', '10', '8', '2020', '5189', '77', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '51.44980958');
INSERT INTO public.ecdc_import VALUES (47047, '09/08/2020', '9', '8', '2020', '5212', '129', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '51.84467561');
INSERT INTO public.ecdc_import VALUES (47048, '08/08/2020', '8', '8', '2020', '5241', '119', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '52.29644074');
INSERT INTO public.ecdc_import VALUES (47049, '07/08/2020', '7', '8', '2020', '4551', '74', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '52.68719358');
INSERT INTO public.ecdc_import VALUES (47050, '06/08/2020', '6', '8', '2020', '5920', '181', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '53.57632767');
INSERT INTO public.ecdc_import VALUES (47051, '05/08/2020', '5', '8', '2020', '5159', '144', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '53.53656686');
INSERT INTO public.ecdc_import VALUES (47052, '04/08/2020', '4', '8', '2020', '5394', '79', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '54.00478473');
INSERT INTO public.ecdc_import VALUES (47053, '03/08/2020', '3', '8', '2020', '5427', '70', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '54.37908482');
INSERT INTO public.ecdc_import VALUES (47054, '02/08/2020', '2', '8', '2020', '5462', '95', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '54.84661717');
INSERT INTO public.ecdc_import VALUES (47055, '01/08/2020', '1', '8', '2020', '5482', '161', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '55.37584733');
INSERT INTO public.ecdc_import VALUES (47056, '31/07/2020', '31', '7', '2020', '5509', '129', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '56.00927825');
INSERT INTO public.ecdc_import VALUES (47057, '30/07/2020', '30', '7', '2020', '5475', '169', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '56.63928152');
INSERT INTO public.ecdc_import VALUES (47058, '29/07/2020', '29', '7', '2020', '5395', '150', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '57.28847966');
INSERT INTO public.ecdc_import VALUES (47059, '28/07/2020', '28', '7', '2020', '5635', '85', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '57.87323786');
INSERT INTO public.ecdc_import VALUES (47060, '27/07/2020', '27', '7', '2020', '5765', '77', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '58.49158709');
INSERT INTO public.ecdc_import VALUES (47061, '26/07/2020', '26', '7', '2020', '5871', '146', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '59.0742887');
INSERT INTO public.ecdc_import VALUES (47062, '25/07/2020', '25', '7', '2020', '5811', '154', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '59.58158186');
INSERT INTO public.ecdc_import VALUES (47063, '24/07/2020', '24', '7', '2020', '5848', '147', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '60.14645965');
INSERT INTO public.ecdc_import VALUES (47064, '23/07/2020', '23', '7', '2020', '5862', '165', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '60.59959584');
INSERT INTO public.ecdc_import VALUES (47065, '22/07/2020', '22', '7', '2020', '5842', '153', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '61.07946775');
INSERT INTO public.ecdc_import VALUES (47066, '21/07/2020', '21', '7', '2020', '5940', '85', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '61.44005721');
INSERT INTO public.ecdc_import VALUES (47067, '20/07/2020', '20', '7', '2020', '6109', '95', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '61.90004871');
INSERT INTO public.ecdc_import VALUES (47068, '19/07/2020', '19', '7', '2020', '6234', '124', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '62.32987684');
INSERT INTO public.ecdc_import VALUES (47069, '18/07/2020', '18', '7', '2020', '6406', '186', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '62.6027183');
INSERT INTO public.ecdc_import VALUES (47070, '17/07/2020', '17', '7', '2020', '6428', '167', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '62.81660406');
INSERT INTO public.ecdc_import VALUES (47071, '16/07/2020', '16', '7', '2020', '6422', '156', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.04420045');
INSERT INTO public.ecdc_import VALUES (47072, '15/07/2020', '15', '7', '2020', '6248', '175', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.13606165');
INSERT INTO public.ecdc_import VALUES (47073, '14/07/2020', '14', '7', '2020', '6537', '104', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.44112308');
INSERT INTO public.ecdc_import VALUES (47074, '13/07/2020', '13', '7', '2020', '6615', '130', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.56588977');
INSERT INTO public.ecdc_import VALUES (47075, '12/07/2020', '12', '7', '2020', '6611', '188', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.68654328');
INSERT INTO public.ecdc_import VALUES (47076, '11/07/2020', '11', '7', '2020', '6635', '174', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.85175632');
INSERT INTO public.ecdc_import VALUES (47077, '10/07/2020', '10', '7', '2020', '6509', '176', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '63.96486899');
INSERT INTO public.ecdc_import VALUES (47078, '09/07/2020', '9', '7', '2020', '6562', '173', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '64.37892989');
INSERT INTO public.ecdc_import VALUES (47079, '08/07/2020', '8', '7', '2020', '6368', '198', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '64.79984611');
INSERT INTO public.ecdc_import VALUES (47080, '07/07/2020', '7', '7', '2020', '6611', '135', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '65.5244527');
INSERT INTO public.ecdc_import VALUES (47081, '06/07/2020', '6', '7', '2020', '6736', '134', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '66.20244315');
INSERT INTO public.ecdc_import VALUES (47082, '05/07/2020', '5', '7', '2020', '6632', '168', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '66.8824902');
INSERT INTO public.ecdc_import VALUES (47083, '04/07/2020', '4', '7', '2020', '6718', '176', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '67.74420304');
INSERT INTO public.ecdc_import VALUES (47084, '03/07/2020', '3', '7', '2020', '6760', '147', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '68.60385929');
INSERT INTO public.ecdc_import VALUES (47085, '02/07/2020', '2', '7', '2020', '6556', '216', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '69.30995653');
INSERT INTO public.ecdc_import VALUES (47086, '01/07/2020', '1', '7', '2020', '6693', '154', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '70.19223532');
INSERT INTO public.ecdc_import VALUES (47087, '30/06/2020', '30', '6', '2020', '6719', '93', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '71.25823649');
INSERT INTO public.ecdc_import VALUES (47088, '29/06/2020', '29', '6', '2020', '6791', '104', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '72.30504278');
INSERT INTO public.ecdc_import VALUES (47089, '28/06/2020', '28', '6', '2020', '6852', '188', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '73.70626876');
INSERT INTO public.ecdc_import VALUES (47090, '27/06/2020', '27', '6', '2020', '6800', '176', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '74.97724379');
INSERT INTO public.ecdc_import VALUES (47091, '26/06/2020', '26', '6', '2020', '7113', '92', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '76.47650074');
INSERT INTO public.ecdc_import VALUES (47092, '25/06/2020', '25', '6', '2020', '7176', '154', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '77.61859589');
INSERT INTO public.ecdc_import VALUES (47093, '24/06/2020', '24', '6', '2020', '7425', '153', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '78.46042832');
INSERT INTO public.ecdc_import VALUES (47094, '23/06/2020', '23', '6', '2020', '7600', '95', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '79.26249994');
INSERT INTO public.ecdc_import VALUES (47095, '22/06/2020', '22', '6', '2020', '7728', '109', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '80.21196079');
INSERT INTO public.ecdc_import VALUES (47096, '21/06/2020', '21', '6', '2020', '7889', '30', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '81.07298811');
INSERT INTO public.ecdc_import VALUES (47097, '20/06/2020', '20', '6', '2020', '7972', '182', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '81.73521134');
INSERT INTO public.ecdc_import VALUES (47098, '19/06/2020', '19', '6', '2020', '7790', '312', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '82.25210194');
INSERT INTO public.ecdc_import VALUES (47099, '18/06/2020', '18', '6', '2020', '7843', '194', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '82.96574002');
INSERT INTO public.ecdc_import VALUES (47100, '17/06/2020', '17', '6', '2020', '8248', '193', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '83.44081322');
INSERT INTO public.ecdc_import VALUES (47101, '16/06/2020', '16', '6', '2020', '8246', '143', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '83.86241496');
INSERT INTO public.ecdc_import VALUES (47102, '15/06/2020', '15', '6', '2020', '8835', '119', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.40329916');
INSERT INTO public.ecdc_import VALUES (47103, '14/06/2020', '14', '6', '2020', '8706', '114', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.70013421');
INSERT INTO public.ecdc_import VALUES (47104, '13/06/2020', '13', '6', '2020', '8987', '183', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.86877491');
INSERT INTO public.ecdc_import VALUES (47105, '12/06/2020', '12', '6', '2020', '8779', '174', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.58427942');
INSERT INTO public.ecdc_import VALUES (47106, '11/06/2020', '11', '6', '2020', '8404', '217', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.30458265');
INSERT INTO public.ecdc_import VALUES (47107, '10/06/2020', '10', '6', '2020', '8595', '170', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.25933759');
INSERT INTO public.ecdc_import VALUES (47108, '09/06/2020', '9', '6', '2020', '8985', '112', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.4787076');
INSERT INTO public.ecdc_import VALUES (47109, '08/06/2020', '8', '6', '2020', '8984', '134', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.45197188');
INSERT INTO public.ecdc_import VALUES (47110, '07/06/2020', '7', '6', '2020', '8855', '197', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.18804233');
INSERT INTO public.ecdc_import VALUES (47111, '06/06/2020', '6', '6', '2020', '8726', '144', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.58496495');
INSERT INTO public.ecdc_import VALUES (47112, '05/06/2020', '5', '6', '2020', '8831', '169', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.70013421');
INSERT INTO public.ecdc_import VALUES (47113, '04/06/2020', '4', '6', '2020', '8536', '178', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.71247378');
INSERT INTO public.ecdc_import VALUES (47114, '03/06/2020', '3', '6', '2020', '8863', '182', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '84.86877491');
INSERT INTO public.ecdc_import VALUES (47115, '02/06/2020', '2', '6', '2020', '9035', '162', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '85.14298743');
INSERT INTO public.ecdc_import VALUES (47116, '01/06/2020', '1', '6', '2020', '9268', '138', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '85.06826452');
INSERT INTO public.ecdc_import VALUES (47117, '31/05/2020', '31', '5', '2020', '8952', '181', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '85.37058382');
INSERT INTO public.ecdc_import VALUES (47118, '30/05/2020', '30', '5', '2020', '8572', '232', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '85.54059559');
INSERT INTO public.ecdc_import VALUES (47119, '29/05/2020', '29', '5', '2020', '8371', '174', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '86.929482');
INSERT INTO public.ecdc_import VALUES (47120, '28/05/2020', '28', '5', '2020', '8338', '161', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '88.02838867');
INSERT INTO public.ecdc_import VALUES (47121, '27/05/2020', '27', '5', '2020', '8915', '174', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '89.18693657');
INSERT INTO public.ecdc_import VALUES (47122, '26/05/2020', '26', '5', '2020', '8946', '92', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '90.54703067');
INSERT INTO public.ecdc_import VALUES (47123, '25/05/2020', '25', '5', '2020', '8599', '153', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '92.40482049');
INSERT INTO public.ecdc_import VALUES (47124, '24/05/2020', '24', '5', '2020', '9434', '139', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '94.05900752');
INSERT INTO public.ecdc_import VALUES (47125, '23/05/2020', '23', '5', '2020', '8894', '150', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '95.00709731');
INSERT INTO public.ecdc_import VALUES (47126, '22/05/2020', '22', '5', '2020', '8849', '127', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '96.2444813');
INSERT INTO public.ecdc_import VALUES (47127, '21/05/2020', '21', '5', '2020', '8764', '135', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '97.87741686');
INSERT INTO public.ecdc_import VALUES (47128, '20/05/2020', '20', '5', '2020', '9263', '115', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '99.10794554');
INSERT INTO public.ecdc_import VALUES (47129, '19/05/2020', '19', '5', '2020', '8926', '91', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '99.6831063');
INSERT INTO public.ecdc_import VALUES (47130, '18/05/2020', '18', '5', '2020', '9709', '94', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '100.8176606');
INSERT INTO public.ecdc_import VALUES (47131, '17/05/2020', '17', '5', '2020', '9200', '119', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '101.45109152');
INSERT INTO public.ecdc_import VALUES (47132, '16/05/2020', '16', '5', '2020', '10598', '113', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '101.74107126');
INSERT INTO public.ecdc_import VALUES (47133, '15/05/2020', '15', '5', '2020', '9974', '93', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '99.91413035');
INSERT INTO public.ecdc_import VALUES (47134, '14/05/2020', '14', '5', '2020', '10028', '96', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '97.94322786');
INSERT INTO public.ecdc_import VALUES (47135, '13/05/2020', '13', '5', '2020', '10899', '107', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '95.07290831');
INSERT INTO public.ecdc_import VALUES (47136, '12/05/2020', '12', '5', '2020', '11656', '94', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '91.99624384');
INSERT INTO public.ecdc_import VALUES (47137, '11/05/2020', '11', '5', '2020', '11012', '88', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '88.254614');
INSERT INTO public.ecdc_import VALUES (47138, '10/05/2020', '10', '5', '2020', '10817', '104', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '85.06620793');
INSERT INTO public.ecdc_import VALUES (47139, '09/05/2020', '9', '5', '2020', '10699', '98', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '81.74069559');
INSERT INTO public.ecdc_import VALUES (47140, '08/05/2020', '8', '5', '2020', '11231', '88', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '78.41586879');
INSERT INTO public.ecdc_import VALUES (47141, '07/05/2020', '7', '5', '2020', '10559', '86', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '73.98939319');
INSERT INTO public.ecdc_import VALUES (47142, '06/05/2020', '6', '5', '2020', '10102', '95', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '70.34031008');
INSERT INTO public.ecdc_import VALUES (47143, '05/05/2020', '5', '5', '2020', '10581', '76', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '67.28284048');
INSERT INTO public.ecdc_import VALUES (47144, '04/05/2020', '4', '5', '2020', '10633', '58', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '62.95508138');
INSERT INTO public.ecdc_import VALUES (47145, '03/05/2020', '3', '5', '2020', '9623', '53', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '59.82014675');
INSERT INTO public.ecdc_import VALUES (47146, '02/05/2020', '2', '5', '2020', '7933', '96', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '56.50354632');
INSERT INTO public.ecdc_import VALUES (47147, '01/05/2020', '1', '5', '2020', '7099', '101', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '53.85533891');
INSERT INTO public.ecdc_import VALUES (47148, '30/04/2020', '30', '4', '2020', '5841', '105', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '51.35246414');
INSERT INTO public.ecdc_import VALUES (47149, '29/04/2020', '29', '4', '2020', '6411', '72', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '49.67085586');
INSERT INTO public.ecdc_import VALUES (47150, '28/04/2020', '28', '4', '2020', '6198', '48', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '47.17757852');
INSERT INTO public.ecdc_import VALUES (47151, '27/04/2020', '27', '4', '2020', '6361', '66', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '44.68224459');
INSERT INTO public.ecdc_import VALUES (47152, '26/04/2020', '26', '4', '2020', '5966', '66', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '41.82015141');
INSERT INTO public.ecdc_import VALUES (47153, '25/04/2020', '25', '4', '2020', '5849', '60', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '38.87305235');
INSERT INTO public.ecdc_import VALUES (47154, '24/04/2020', '24', '4', '2020', '4774', '42', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '36.08773868');
INSERT INTO public.ecdc_import VALUES (47155, '23/04/2020', '23', '4', '2020', '5236', '57', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '33.81520242');
INSERT INTO public.ecdc_import VALUES (47156, '22/04/2020', '22', '4', '2020', '5642', '51', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '31.03125982');
INSERT INTO public.ecdc_import VALUES (47157, '21/04/2020', '21', '4', '2020', '4268', '44', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '27.95459534');
INSERT INTO public.ecdc_import VALUES (47158, '20/04/2020', '20', '4', '2020', '6060', '48', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '25.68274462');
INSERT INTO public.ecdc_import VALUES (47159, '19/04/2020', '19', '4', '2020', '4785', '40', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '21.97950453');
INSERT INTO public.ecdc_import VALUES (47160, '18/04/2020', '18', '4', '2020', '4070', '41', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '19.09821648');
INSERT INTO public.ecdc_import VALUES (47161, '17/04/2020', '17', '4', '2020', '3448', '34', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '16.7201084');
INSERT INTO public.ecdc_import VALUES (47162, '16/04/2020', '16', '4', '2020', '3388', '28', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '14.88494111');
INSERT INTO public.ecdc_import VALUES (47163, '15/04/2020', '15', '4', '2020', '2774', '22', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '12.86399484');
INSERT INTO public.ecdc_import VALUES (47164, '14/04/2020', '14', '4', '2020', '2558', '18', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '11.3057822');
INSERT INTO public.ecdc_import VALUES (47165, '13/04/2020', '13', '4', '2020', '2186', '24', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '9.75922358');
INSERT INTO public.ecdc_import VALUES (47166, '12/04/2020', '12', '4', '2020', '1667', '12', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '8.44574561');
INSERT INTO public.ecdc_import VALUES (47167, '11/04/2020', '11', '4', '2020', '1786', '18', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '7.45926607');
INSERT INTO public.ecdc_import VALUES (47168, '10/04/2020', '10', '4', '2020', '1459', '13', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '6.36927131');
INSERT INTO public.ecdc_import VALUES (47169, '09/04/2020', '9', '4', '2020', '1175', '5', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '5.49384784');
INSERT INTO public.ecdc_import VALUES (47170, '08/04/2020', '8', '4', '2020', '1154', '11', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '4.80009016');
INSERT INTO public.ecdc_import VALUES (47171, '07/04/2020', '7', '4', '2020', '954', '2', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '4.04806233');
INSERT INTO public.ecdc_import VALUES (47172, '06/04/2020', '6', '4', '2020', '658', '2', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '3.44273819');
INSERT INTO public.ecdc_import VALUES (47173, '05/04/2020', '5', '4', '2020', '582', '9', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '3.033476');
INSERT INTO public.ecdc_import VALUES (47174, '04/04/2020', '4', '4', '2020', '601', '4', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '2.67082994');
INSERT INTO public.ecdc_import VALUES (47175, '03/04/2020', '3', '4', '2020', '771', '6', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '2.29584432');
INSERT INTO public.ecdc_import VALUES (47176, '02/04/2020', '2', '4', '2020', '440', '7', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '1.80294732');
INSERT INTO public.ecdc_import VALUES (47177, '01/04/2020', '1', '4', '2020', '501', '7', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '1.52393608');
INSERT INTO public.ecdc_import VALUES (47178, '31/03/2020', '31', '3', '2020', '302', '2', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '1.19488106');
INSERT INTO public.ecdc_import VALUES (47179, '30/03/2020', '30', '3', '2020', '270', '3', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '1.00841654');
INSERT INTO public.ecdc_import VALUES (47180, '29/03/2020', '29', '3', '2020', '228', '1', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.82606522');
INSERT INTO public.ecdc_import VALUES (47181, '28/03/2020', '28', '3', '2020', '196', '2', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.67936152');
INSERT INTO public.ecdc_import VALUES (47182, '27/03/2020', '27', '3', '2020', '182', '2', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.55528035');
INSERT INTO public.ecdc_import VALUES (47183, '26/03/2020', '26', '3', '2020', '163', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.43394131');
INSERT INTO public.ecdc_import VALUES (47184, '25/03/2020', '25', '3', '2020', '57', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.33248268');
INSERT INTO public.ecdc_import VALUES (47185, '24/03/2020', '24', '3', '2020', '71', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.2934074');
INSERT INTO public.ecdc_import VALUES (47186, '23/03/2020', '23', '3', '2020', '61', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.24473467');
INSERT INTO public.ecdc_import VALUES (47187, '22/03/2020', '22', '3', '2020', '53', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.20291726');
INSERT INTO public.ecdc_import VALUES (47188, '21/03/2020', '21', '3', '2020', '54', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.16658411');
INSERT INTO public.ecdc_import VALUES (47189, '20/03/2020', '20', '3', '2020', '52', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.1336786');
INSERT INTO public.ecdc_import VALUES (47190, '19/03/2020', '19', '3', '2020', '33', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.09803098');
INSERT INTO public.ecdc_import VALUES (47191, '18/03/2020', '18', '3', '2020', '21', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.07540844');
INSERT INTO public.ecdc_import VALUES (47192, '17/03/2020', '17', '3', '2020', '30', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.06169782');
INSERT INTO public.ecdc_import VALUES (47193, '16/03/2020', '16', '3', '2020', '4', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.04181741');
INSERT INTO public.ecdc_import VALUES (47194, '15/03/2020', '15', '3', '2020', '14', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.03907528');
INSERT INTO public.ecdc_import VALUES (47195, '14/03/2020', '14', '3', '2020', '15', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.02947785');
INSERT INTO public.ecdc_import VALUES (47196, '13/03/2020', '13', '3', '2020', '5', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.01919488');
INSERT INTO public.ecdc_import VALUES (47197, '12/03/2020', '12', '3', '2020', '15', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.01576722');
INSERT INTO public.ecdc_import VALUES (47198, '11/03/2020', '11', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00548425');
INSERT INTO public.ecdc_import VALUES (47199, '10/03/2020', '10', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00548425');
INSERT INTO public.ecdc_import VALUES (47200, '09/03/2020', '9', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00548425');
INSERT INTO public.ecdc_import VALUES (47201, '08/03/2020', '8', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00548425');
INSERT INTO public.ecdc_import VALUES (47202, '07/03/2020', '7', '3', '2020', '6', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00548425');
INSERT INTO public.ecdc_import VALUES (47203, '06/03/2020', '6', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47204, '05/03/2020', '5', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47205, '04/03/2020', '4', '3', '2020', '1', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47206, '03/03/2020', '3', '3', '2020', '1', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00068553');
INSERT INTO public.ecdc_import VALUES (47207, '02/03/2020', '2', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47208, '01/03/2020', '1', '3', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47209, '29/02/2020', '29', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47210, '28/02/2020', '28', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47211, '27/02/2020', '27', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47212, '26/02/2020', '26', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47213, '25/02/2020', '25', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47214, '24/02/2020', '24', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47215, '23/02/2020', '23', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47216, '22/02/2020', '22', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47217, '21/02/2020', '21', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47218, '20/02/2020', '20', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47219, '19/02/2020', '19', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47220, '18/02/2020', '18', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47221, '17/02/2020', '17', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47222, '16/02/2020', '16', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47223, '15/02/2020', '15', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47224, '14/02/2020', '14', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47225, '13/02/2020', '13', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47226, '12/02/2020', '12', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47227, '11/02/2020', '11', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47228, '10/02/2020', '10', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47229, '09/02/2020', '9', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47230, '08/02/2020', '8', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47231, '07/02/2020', '7', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47232, '06/02/2020', '6', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47233, '05/02/2020', '5', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47234, '04/02/2020', '4', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47235, '03/02/2020', '3', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47236, '02/02/2020', '2', '2', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47237, '01/02/2020', '1', '2', '2020', '2', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0.00137106');
INSERT INTO public.ecdc_import VALUES (47238, '31/01/2020', '31', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47239, '30/01/2020', '30', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47240, '29/01/2020', '29', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47241, '28/01/2020', '28', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47242, '27/01/2020', '27', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47243, '26/01/2020', '26', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47244, '25/01/2020', '25', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47245, '24/01/2020', '24', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47246, '23/01/2020', '23', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47247, '22/01/2020', '22', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47248, '21/01/2020', '21', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47249, '20/01/2020', '20', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47250, '19/01/2020', '19', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47251, '18/01/2020', '18', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47252, '17/01/2020', '17', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47253, '16/01/2020', '16', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47254, '15/01/2020', '15', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47255, '14/01/2020', '14', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47256, '13/01/2020', '13', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (47257, '12/01/2020', '12', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47258, '11/01/2020', '11', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47259, '10/01/2020', '10', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47260, '09/01/2020', '9', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47261, '08/01/2020', '8', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47262, '07/01/2020', '7', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47263, '06/01/2020', '6', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47264, '05/01/2020', '5', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47265, '04/01/2020', '4', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47266, '03/01/2020', '3', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47267, '02/01/2020', '2', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47268, '01/01/2020', '1', '1', '2020', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47269, '31/12/2019', '31', '12', '2019', '0', '0', '145872260', 'Russia', 'RU', 'RUS', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (47270, '14/12/2020', '14', '12', '2020', '131', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '5.86048652');
INSERT INTO public.ecdc_import VALUES (47271, '13/12/2020', '13', '12', '2020', '100', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '5.04477016');
INSERT INTO public.ecdc_import VALUES (47272, '12/12/2020', '12', '12', '2020', '79', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.40328447');
INSERT INTO public.ecdc_import VALUES (47273, '11/12/2020', '11', '12', '2020', '71', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.94394904');
INSERT INTO public.ecdc_import VALUES (47274, '10/12/2020', '10', '12', '2020', '41', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.95186862');
INSERT INTO public.ecdc_import VALUES (47275, '09/12/2020', '9', '12', '2020', '46', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.8568337');
INSERT INTO public.ecdc_import VALUES (47276, '08/12/2020', '8', '12', '2020', '62', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.68260302');
INSERT INTO public.ecdc_import VALUES (47277, '07/12/2020', '7', '12', '2020', '45', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.67468344');
INSERT INTO public.ecdc_import VALUES (47278, '06/12/2020', '6', '12', '2020', '41', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.67468344');
INSERT INTO public.ecdc_import VALUES (47279, '05/12/2020', '5', '12', '2020', '32', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.61924641');
INSERT INTO public.ecdc_import VALUES (47280, '04/12/2020', '4', '12', '2020', '17', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.70636175');
INSERT INTO public.ecdc_import VALUES (47281, '03/12/2020', '3', '12', '2020', '46', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.57172895');
INSERT INTO public.ecdc_import VALUES (47282, '02/12/2020', '2', '12', '2020', '14', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.49253319');
INSERT INTO public.ecdc_import VALUES (47283, '01/12/2020', '1', '12', '2020', '15', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.50837234');
INSERT INTO public.ecdc_import VALUES (47284, '30/11/2020', '30', '11', '2020', '28', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.67468344');
INSERT INTO public.ecdc_import VALUES (47285, '29/11/2020', '29', '11', '2020', '19', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.93602946');
INSERT INTO public.ecdc_import VALUES (47286, '28/11/2020', '28', '11', '2020', '21', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.03898396');
INSERT INTO public.ecdc_import VALUES (47287, '27/11/2020', '27', '11', '2020', '72', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.21321464');
INSERT INTO public.ecdc_import VALUES (47288, '26/11/2020', '26', '11', '2020', '29', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.69844217');
INSERT INTO public.ecdc_import VALUES (47289, '25/11/2020', '25', '11', '2020', '24', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.86475328');
INSERT INTO public.ecdc_import VALUES (47290, '24/11/2020', '24', '11', '2020', '61', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.83307497');
INSERT INTO public.ecdc_import VALUES (47291, '23/11/2020', '23', '11', '2020', '45', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.50837234');
INSERT INTO public.ecdc_import VALUES (47292, '22/11/2020', '22', '11', '2020', '34', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.22326759');
INSERT INTO public.ecdc_import VALUES (47293, '21/11/2020', '21', '11', '2020', '43', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.99359987');
INSERT INTO public.ecdc_import VALUES (47294, '20/11/2020', '20', '11', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.77977131');
INSERT INTO public.ecdc_import VALUES (47295, '19/11/2020', '19', '11', '2020', '36', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.92232369');
INSERT INTO public.ecdc_import VALUES (47296, '18/11/2020', '18', '11', '2020', '16', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.73225385');
INSERT INTO public.ecdc_import VALUES (47297, '17/11/2020', '17', '11', '2020', '36', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.66097767');
INSERT INTO public.ecdc_import VALUES (47298, '16/11/2020', '16', '11', '2020', '61', '3', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.4471491');
INSERT INTO public.ecdc_import VALUES (47299, '15/11/2020', '15', '11', '2020', '32', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.03533113');
INSERT INTO public.ecdc_import VALUES (47300, '14/11/2020', '14', '11', '2020', '43', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.80566342');
INSERT INTO public.ecdc_import VALUES (47301, '13/11/2020', '13', '11', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.48888036');
INSERT INTO public.ecdc_import VALUES (47302, '12/11/2020', '12', '11', '2020', '50', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.44928248');
INSERT INTO public.ecdc_import VALUES (47303, '11/11/2020', '11', '11', '2020', '20', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.4096846');
INSERT INTO public.ecdc_import VALUES (47304, '10/11/2020', '10', '11', '2020', '20', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.33840841');
INSERT INTO public.ecdc_import VALUES (47305, '09/11/2020', '9', '11', '2020', '9', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.23545392');
INSERT INTO public.ecdc_import VALUES (47306, '08/11/2020', '8', '11', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.21169519');
INSERT INTO public.ecdc_import VALUES (47307, '07/11/2020', '7', '11', '2020', '16', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.23545392');
INSERT INTO public.ecdc_import VALUES (47308, '06/11/2020', '6', '11', '2020', '18', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.38592587');
INSERT INTO public.ecdc_import VALUES (47309, '05/11/2020', '5', '11', '2020', '12', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.28297137');
INSERT INTO public.ecdc_import VALUES (47310, '04/11/2020', '4', '11', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.3067301');
INSERT INTO public.ecdc_import VALUES (47311, '03/11/2020', '3', '11', '2020', '9', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.29089095');
INSERT INTO public.ecdc_import VALUES (47312, '02/11/2020', '2', '11', '2020', '9', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.36216714');
INSERT INTO public.ecdc_import VALUES (47313, '01/11/2020', '1', '11', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.31464968');
INSERT INTO public.ecdc_import VALUES (47314, '31/10/2020', '31', '10', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.33840841');
INSERT INTO public.ecdc_import VALUES (47315, '30/10/2020', '30', '10', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.4096846');
INSERT INTO public.ecdc_import VALUES (47316, '29/10/2020', '29', '10', '2020', '45', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.49679994');
INSERT INTO public.ecdc_import VALUES (47317, '28/10/2020', '28', '10', '2020', '11', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.39384544');
INSERT INTO public.ecdc_import VALUES (47318, '27/10/2020', '27', '10', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.33048883');
INSERT INTO public.ecdc_import VALUES (47319, '26/10/2020', '26', '10', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.34632799');
INSERT INTO public.ecdc_import VALUES (47320, '25/10/2020', '25', '10', '2020', '8', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.33048883');
INSERT INTO public.ecdc_import VALUES (47321, '24/10/2020', '24', '10', '2020', '35', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.28297137');
INSERT INTO public.ecdc_import VALUES (47322, '23/10/2020', '23', '10', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.04538408');
INSERT INTO public.ecdc_import VALUES (47323, '22/10/2020', '22', '10', '2020', '15', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.02162535');
INSERT INTO public.ecdc_import VALUES (47324, '21/10/2020', '21', '10', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.98202747');
INSERT INTO public.ecdc_import VALUES (47325, '20/10/2020', '20', '10', '2020', '18', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.98994705');
INSERT INTO public.ecdc_import VALUES (47326, '19/10/2020', '19', '10', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.85531425');
INSERT INTO public.ecdc_import VALUES (47327, '18/10/2020', '18', '10', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.94242959');
INSERT INTO public.ecdc_import VALUES (47328, '17/10/2020', '17', '10', '2020', '12', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.93451001');
INSERT INTO public.ecdc_import VALUES (47329, '16/10/2020', '16', '10', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.8711534');
INSERT INTO public.ecdc_import VALUES (47330, '15/10/2020', '15', '10', '2020', '32', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.79195764');
INSERT INTO public.ecdc_import VALUES (47331, '14/10/2020', '14', '10', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.5702095');
INSERT INTO public.ecdc_import VALUES (47332, '13/10/2020', '13', '10', '2020', '9', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.57812908');
INSERT INTO public.ecdc_import VALUES (47333, '12/10/2020', '12', '10', '2020', '4', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.60188781');
INSERT INTO public.ecdc_import VALUES (47334, '11/10/2020', '11', '10', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.64148569');
INSERT INTO public.ecdc_import VALUES (47335, '10/10/2020', '10', '10', '2020', '5', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.72860103');
INSERT INTO public.ecdc_import VALUES (47336, '09/10/2020', '9', '10', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.76027933');
INSERT INTO public.ecdc_import VALUES (47337, '08/10/2020', '8', '10', '2020', '10', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.82363594');
INSERT INTO public.ecdc_import VALUES (47338, '07/10/2020', '7', '10', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.06914281');
INSERT INTO public.ecdc_import VALUES (47339, '06/10/2020', '6', '10', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.14833858');
INSERT INTO public.ecdc_import VALUES (47340, '05/10/2020', '5', '10', '2020', '14', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.22753434');
INSERT INTO public.ecdc_import VALUES (47341, '04/10/2020', '4', '10', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.29089095');
INSERT INTO public.ecdc_import VALUES (47342, '03/10/2020', '3', '10', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.39384544');
INSERT INTO public.ecdc_import VALUES (47343, '02/10/2020', '2', '10', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.50471951');
INSERT INTO public.ecdc_import VALUES (47344, '01/10/2020', '1', '10', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.63143274');
INSERT INTO public.ecdc_import VALUES (47345, '30/09/2020', '30', '9', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.67895019');
INSERT INTO public.ecdc_import VALUES (47346, '29/09/2020', '29', '9', '2020', '12', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.82150257');
INSERT INTO public.ecdc_import VALUES (47347, '28/09/2020', '28', '9', '2020', '9', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.81358299');
INSERT INTO public.ecdc_import VALUES (47348, '27/09/2020', '27', '9', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.94821579');
INSERT INTO public.ecdc_import VALUES (47349, '26/09/2020', '26', '9', '2020', '9', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.09076817');
INSERT INTO public.ecdc_import VALUES (47350, '25/09/2020', '25', '9', '2020', '10', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.45506868');
INSERT INTO public.ecdc_import VALUES (47351, '24/09/2020', '24', '9', '2020', '41', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.52634487');
INSERT INTO public.ecdc_import VALUES (47352, '23/09/2020', '23', '9', '2020', '16', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.36795334');
INSERT INTO public.ecdc_import VALUES (47353, '22/09/2020', '22', '9', '2020', '11', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.47882741');
INSERT INTO public.ecdc_import VALUES (47354, '21/09/2020', '21', '9', '2020', '22', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.66889724');
INSERT INTO public.ecdc_import VALUES (47355, '20/09/2020', '20', '9', '2020', '18', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.69265597');
INSERT INTO public.ecdc_import VALUES (47356, '19/09/2020', '19', '9', '2020', '18', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.90648453');
INSERT INTO public.ecdc_import VALUES (47357, '18/09/2020', '18', '9', '2020', '19', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.1519914');
INSERT INTO public.ecdc_import VALUES (47358, '17/09/2020', '17', '9', '2020', '10', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.29454378');
INSERT INTO public.ecdc_import VALUES (47359, '16/09/2020', '16', '9', '2020', '22', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.81723582');
INSERT INTO public.ecdc_import VALUES (47360, '15/09/2020', '15', '9', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.26865167');
INSERT INTO public.ecdc_import VALUES (47361, '14/09/2020', '14', '9', '2020', '26', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.52207812');
INSERT INTO public.ecdc_import VALUES (47362, '13/09/2020', '13', '9', '2020', '31', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '5.71793415');
INSERT INTO public.ecdc_import VALUES (47363, '12/09/2020', '12', '9', '2020', '55', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '6.2723045');
INSERT INTO public.ecdc_import VALUES (47364, '11/09/2020', '11', '9', '2020', '19', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '6.39109814');
INSERT INTO public.ecdc_import VALUES (47365, '10/09/2020', '10', '9', '2020', '21', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '6.61284628');
INSERT INTO public.ecdc_import VALUES (47366, '09/09/2020', '9', '9', '2020', '30', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '7.1434579');
INSERT INTO public.ecdc_import VALUES (47367, '08/09/2020', '8', '9', '2020', '35', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '8.73529275');
INSERT INTO public.ecdc_import VALUES (47368, '07/09/2020', '7', '9', '2020', '25', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '10.17665565');
INSERT INTO public.ecdc_import VALUES (47369, '06/09/2020', '6', '9', '2020', '45', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '11.56258152');
INSERT INTO public.ecdc_import VALUES (47370, '05/09/2020', '5', '9', '2020', '49', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '12.06943441');
INSERT INTO public.ecdc_import VALUES (47371, '04/09/2020', '4', '9', '2020', '37', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '12.18030848');
INSERT INTO public.ecdc_import VALUES (47372, '03/09/2020', '3', '9', '2020', '76', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '12.46541323');
INSERT INTO public.ecdc_import VALUES (47373, '02/09/2020', '2', '9', '2020', '79', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '12.39413704');
INSERT INTO public.ecdc_import VALUES (47374, '01/09/2020', '1', '9', '2020', '43', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '12.06151483');
INSERT INTO public.ecdc_import VALUES (47375, '31/08/2020', '31', '8', '2020', '177', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '12.4099762');
INSERT INTO public.ecdc_import VALUES (47376, '30/08/2020', '30', '8', '2020', '101', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '11.80808839');
INSERT INTO public.ecdc_import VALUES (47377, '29/08/2020', '29', '8', '2020', '70', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '11.47546618');
INSERT INTO public.ecdc_import VALUES (47378, '28/08/2020', '28', '8', '2020', '47', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '11.65761644');
INSERT INTO public.ecdc_import VALUES (47379, '27/08/2020', '27', '8', '2020', '88', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '11.37251169');
INSERT INTO public.ecdc_import VALUES (47380, '26/08/2020', '26', '8', '2020', '231', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '10.81814134');
INSERT INTO public.ecdc_import VALUES (47381, '25/08/2020', '25', '8', '2020', '217', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '9.13919115');
INSERT INTO public.ecdc_import VALUES (47382, '24/08/2020', '24', '8', '2020', '200', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '7.51567799');
INSERT INTO public.ecdc_import VALUES (47383, '23/08/2020', '23', '8', '2020', '109', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '5.97928017');
INSERT INTO public.ecdc_import VALUES (47384, '22/08/2020', '22', '8', '2020', '63', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '5.1635638');
INSERT INTO public.ecdc_import VALUES (47385, '21/08/2020', '21', '8', '2020', '73', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.79926329');
INSERT INTO public.ecdc_import VALUES (47386, '20/08/2020', '20', '8', '2020', '67', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.27657125');
INSERT INTO public.ecdc_import VALUES (47387, '19/08/2020', '19', '8', '2020', '37', '2', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.78555751');
INSERT INTO public.ecdc_import VALUES (47388, '18/08/2020', '18', '8', '2020', '87', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.54797022');
INSERT INTO public.ecdc_import VALUES (47389, '17/08/2020', '17', '8', '2020', '101', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.09655437');
INSERT INTO public.ecdc_import VALUES (47390, '16/08/2020', '16', '8', '2020', '59', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.45506868');
INSERT INTO public.ecdc_import VALUES (47391, '15/08/2020', '15', '8', '2020', '93', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.1462052');
INSERT INTO public.ecdc_import VALUES (47392, '14/08/2020', '14', '8', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.63143274');
INSERT INTO public.ecdc_import VALUES (47393, '13/08/2020', '13', '8', '2020', '18', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.00365283');
INSERT INTO public.ecdc_import VALUES (47394, '12/08/2020', '12', '8', '2020', '19', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.94029621');
INSERT INTO public.ecdc_import VALUES (47395, '11/08/2020', '11', '8', '2020', '12', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.16204435');
INSERT INTO public.ecdc_import VALUES (47396, '10/08/2020', '10', '8', '2020', '6', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.52634487');
INSERT INTO public.ecdc_import VALUES (47397, '09/08/2020', '9', '8', '2020', '6', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.02527818');
INSERT INTO public.ecdc_import VALUES (47398, '08/08/2020', '8', '8', '2020', '17', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.15991098');
INSERT INTO public.ecdc_import VALUES (47399, '07/08/2020', '7', '8', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.17575013');
INSERT INTO public.ecdc_import VALUES (47400, '06/08/2020', '6', '8', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.2866242');
INSERT INTO public.ecdc_import VALUES (47401, '05/08/2020', '5', '8', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.51629191');
INSERT INTO public.ecdc_import VALUES (47402, '04/08/2020', '4', '8', '2020', '30', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.66676387');
INSERT INTO public.ecdc_import VALUES (47403, '03/08/2020', '3', '8', '2020', '20', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.80139666');
INSERT INTO public.ecdc_import VALUES (47404, '02/08/2020', '2', '8', '2020', '20', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.98354692');
INSERT INTO public.ecdc_import VALUES (47405, '01/08/2020', '1', '8', '2020', '28', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.25281252');
INSERT INTO public.ecdc_import VALUES (47406, '31/07/2020', '31', '7', '2020', '58', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.1260993');
INSERT INTO public.ecdc_import VALUES (47407, '30/07/2020', '30', '7', '2020', '10', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.96770777');
INSERT INTO public.ecdc_import VALUES (47408, '29/07/2020', '29', '7', '2020', '47', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.03898396');
INSERT INTO public.ecdc_import VALUES (47409, '28/07/2020', '28', '7', '2020', '58', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.96770777');
INSERT INTO public.ecdc_import VALUES (47410, '27/07/2020', '27', '7', '2020', '69', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.83307497');
INSERT INTO public.ecdc_import VALUES (47411, '26/07/2020', '26', '7', '2020', '23', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.5875681');
INSERT INTO public.ecdc_import VALUES (47412, '25/07/2020', '25', '7', '2020', '19', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.77763794');
INSERT INTO public.ecdc_import VALUES (47413, '24/07/2020', '24', '7', '2020', '21', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.95978819');
INSERT INTO public.ecdc_import VALUES (47414, '23/07/2020', '23', '7', '2020', '34', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.92019031');
INSERT INTO public.ecdc_import VALUES (47415, '22/07/2020', '22', '7', '2020', '26', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.82515539');
INSERT INTO public.ecdc_import VALUES (47416, '21/07/2020', '21', '7', '2020', '47', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '4.08650141');
INSERT INTO public.ecdc_import VALUES (47417, '20/07/2020', '20', '7', '2020', '43', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.77763794');
INSERT INTO public.ecdc_import VALUES (47418, '19/07/2020', '19', '7', '2020', '54', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.54005064');
INSERT INTO public.ecdc_import VALUES (47419, '18/07/2020', '18', '7', '2020', '12', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.19950886');
INSERT INTO public.ecdc_import VALUES (47420, '17/07/2020', '17', '7', '2020', '38', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.24702632');
INSERT INTO public.ecdc_import VALUES (47421, '16/07/2020', '16', '7', '2020', '19', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.11239352');
INSERT INTO public.ecdc_import VALUES (47422, '15/07/2020', '15', '7', '2020', '38', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.09655437');
INSERT INTO public.ecdc_import VALUES (47423, '14/07/2020', '14', '7', '2020', '41', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.9856803');
INSERT INTO public.ecdc_import VALUES (47424, '13/07/2020', '13', '7', '2020', '38', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.46085488');
INSERT INTO public.ecdc_import VALUES (47425, '12/07/2020', '12', '7', '2020', '47', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.33414166');
INSERT INTO public.ecdc_import VALUES (47426, '11/07/2020', '11', '7', '2020', '42', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.1203131');
INSERT INTO public.ecdc_import VALUES (47427, '10/07/2020', '10', '7', '2020', '16', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.8510475');
INSERT INTO public.ecdc_import VALUES (47428, '09/07/2020', '9', '7', '2020', '22', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.8827258');
INSERT INTO public.ecdc_import VALUES (47429, '08/07/2020', '8', '7', '2020', '59', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.96192157');
INSERT INTO public.ecdc_import VALUES (47430, '07/07/2020', '7', '7', '2020', '8', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.5817819');
INSERT INTO public.ecdc_import VALUES (47431, '06/07/2020', '6', '7', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.9856803');
INSERT INTO public.ecdc_import VALUES (47432, '05/07/2020', '5', '7', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.08863479');
INSERT INTO public.ecdc_import VALUES (47433, '04/07/2020', '4', '7', '2020', '18', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.32622208');
INSERT INTO public.ecdc_import VALUES (47434, '03/07/2020', '3', '7', '2020', '21', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.30246335');
INSERT INTO public.ecdc_import VALUES (47435, '02/07/2020', '2', '7', '2020', '17', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.19158928');
INSERT INTO public.ecdc_import VALUES (47436, '01/07/2020', '1', '7', '2020', '24', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.08071521');
INSERT INTO public.ecdc_import VALUES (47437, '30/06/2020', '30', '6', '2020', '101', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '3.08071521');
INSERT INTO public.ecdc_import VALUES (47438, '29/06/2020', '29', '6', '2020', '22', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.51842529');
INSERT INTO public.ecdc_import VALUES (47439, '28/06/2020', '28', '6', '2020', '20', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.66889724');
INSERT INTO public.ecdc_import VALUES (47440, '27/06/2020', '27', '6', '2020', '8', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.75601258');
INSERT INTO public.ecdc_import VALUES (47441, '26/06/2020', '26', '6', '2020', '20', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.81936919');
INSERT INTO public.ecdc_import VALUES (47442, '25/06/2020', '25', '6', '2020', '32', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.80353004');
INSERT INTO public.ecdc_import VALUES (47443, '24/06/2020', '24', '6', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.65305809');
INSERT INTO public.ecdc_import VALUES (47444, '23/06/2020', '23', '6', '2020', '59', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.66097767');
INSERT INTO public.ecdc_import VALUES (47445, '22/06/2020', '22', '6', '2020', '26', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.28875758');
INSERT INTO public.ecdc_import VALUES (47446, '21/06/2020', '21', '6', '2020', '41', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '2.1462052');
INSERT INTO public.ecdc_import VALUES (47447, '20/06/2020', '20', '6', '2020', '15', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.90861791');
INSERT INTO public.ecdc_import VALUES (47448, '19/06/2020', '19', '6', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.86902003');
INSERT INTO public.ecdc_import VALUES (47449, '18/06/2020', '18', '6', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.91653749');
INSERT INTO public.ecdc_import VALUES (47450, '17/06/2020', '17', '6', '2020', '24', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.99573325');
INSERT INTO public.ecdc_import VALUES (47451, '16/06/2020', '16', '6', '2020', '30', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.86110045');
INSERT INTO public.ecdc_import VALUES (47452, '15/06/2020', '15', '6', '2020', '41', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.67895019');
INSERT INTO public.ecdc_import VALUES (47453, '14/06/2020', '14', '6', '2020', '31', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.4413629');
INSERT INTO public.ecdc_import VALUES (47454, '13/06/2020', '13', '6', '2020', '16', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.22753434');
INSERT INTO public.ecdc_import VALUES (47455, '12/06/2020', '12', '6', '2020', '18', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.14833858');
INSERT INTO public.ecdc_import VALUES (47456, '11/06/2020', '11', '6', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '1.02954493');
INSERT INTO public.ecdc_import VALUES (47457, '10/06/2020', '10', '6', '2020', '12', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.98202747');
INSERT INTO public.ecdc_import VALUES (47458, '09/06/2020', '9', '6', '2020', '12', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.91075128');
INSERT INTO public.ecdc_import VALUES (47459, '08/06/2020', '8', '6', '2020', '8', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.88699256');
INSERT INTO public.ecdc_import VALUES (47460, '07/06/2020', '7', '6', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.8394751');
INSERT INTO public.ecdc_import VALUES (47461, '06/06/2020', '6', '6', '2020', '10', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.78403806');
INSERT INTO public.ecdc_import VALUES (47462, '05/06/2020', '5', '6', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.71276187');
INSERT INTO public.ecdc_import VALUES (47463, '04/06/2020', '4', '6', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.65732484');
INSERT INTO public.ecdc_import VALUES (47464, '03/06/2020', '3', '6', '2020', '7', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.60188781');
INSERT INTO public.ecdc_import VALUES (47465, '02/06/2020', '2', '6', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.63356611');
INSERT INTO public.ecdc_import VALUES (47466, '01/06/2020', '1', '6', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.61772696');
INSERT INTO public.ecdc_import VALUES (47467, '31/05/2020', '31', '5', '2020', '4', '1', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.55437035');
INSERT INTO public.ecdc_import VALUES (47468, '30/05/2020', '30', '5', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.53853119');
INSERT INTO public.ecdc_import VALUES (47469, '29/05/2020', '29', '5', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.49101374');
INSERT INTO public.ecdc_import VALUES (47470, '28/05/2020', '28', '5', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.46725501');
INSERT INTO public.ecdc_import VALUES (47471, '27/05/2020', '27', '5', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.41973755');
INSERT INTO public.ecdc_import VALUES (47472, '26/05/2020', '26', '5', '2020', '9', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.4038984');
INSERT INTO public.ecdc_import VALUES (47473, '25/05/2020', '25', '5', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.34054178');
INSERT INTO public.ecdc_import VALUES (47474, '24/05/2020', '24', '5', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.35638094');
INSERT INTO public.ecdc_import VALUES (47475, '23/05/2020', '23', '5', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.38013967');
INSERT INTO public.ecdc_import VALUES (47476, '22/05/2020', '22', '5', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.38805924');
INSERT INTO public.ecdc_import VALUES (47477, '21/05/2020', '21', '5', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.36430051');
INSERT INTO public.ecdc_import VALUES (47478, '20/05/2020', '20', '5', '2020', '11', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.37222009');
INSERT INTO public.ecdc_import VALUES (47479, '19/05/2020', '19', '5', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.28510475');
INSERT INTO public.ecdc_import VALUES (47480, '18/05/2020', '18', '5', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.26134602');
INSERT INTO public.ecdc_import VALUES (47481, '17/05/2020', '17', '5', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.2692656');
INSERT INTO public.ecdc_import VALUES (47482, '16/05/2020', '16', '5', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.3009439');
INSERT INTO public.ecdc_import VALUES (47483, '15/05/2020', '15', '5', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.34846136');
INSERT INTO public.ecdc_import VALUES (47484, '14/05/2020', '14', '5', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.49101374');
INSERT INTO public.ecdc_import VALUES (47485, '13/05/2020', '13', '5', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.58604865');
INSERT INTO public.ecdc_import VALUES (47486, '12/05/2020', '12', '5', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.61772696');
INSERT INTO public.ecdc_import VALUES (47487, '11/05/2020', '11', '5', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.7365206');
INSERT INTO public.ecdc_import VALUES (47488, '10/05/2020', '10', '5', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.76819891');
INSERT INTO public.ecdc_import VALUES (47489, '09/05/2020', '9', '5', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.76819891');
INSERT INTO public.ecdc_import VALUES (47490, '08/05/2020', '8', '5', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.92659044');
INSERT INTO public.ecdc_import VALUES (47491, '07/05/2020', '7', '5', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.91075128');
INSERT INTO public.ecdc_import VALUES (47492, '06/05/2020', '6', '5', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.87907298');
INSERT INTO public.ecdc_import VALUES (47493, '05/05/2020', '5', '5', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.90283171');
INSERT INTO public.ecdc_import VALUES (47494, '04/05/2020', '4', '5', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.88699256');
INSERT INTO public.ecdc_import VALUES (47495, '03/05/2020', '3', '5', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.87907298');
INSERT INTO public.ecdc_import VALUES (47496, '02/05/2020', '2', '5', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.8394751');
INSERT INTO public.ecdc_import VALUES (47497, '01/05/2020', '1', '5', '2020', '18', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.83155552');
INSERT INTO public.ecdc_import VALUES (47498, '30/04/2020', '30', '4', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.7048423');
INSERT INTO public.ecdc_import VALUES (47499, '29/04/2020', '29', '4', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.61772696');
INSERT INTO public.ecdc_import VALUES (47500, '28/04/2020', '28', '4', '2020', '16', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.63356611');
INSERT INTO public.ecdc_import VALUES (47501, '27/04/2020', '27', '4', '2020', '8', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.51477247');
INSERT INTO public.ecdc_import VALUES (47502, '26/04/2020', '26', '4', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.49893331');
INSERT INTO public.ecdc_import VALUES (47503, '25/04/2020', '25', '4', '2020', '22', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.45933543');
INSERT INTO public.ecdc_import VALUES (47504, '24/04/2020', '24', '4', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.32470263');
INSERT INTO public.ecdc_import VALUES (47505, '23/04/2020', '23', '4', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.34054178');
INSERT INTO public.ecdc_import VALUES (47506, '22/04/2020', '22', '4', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.35638094');
INSERT INTO public.ecdc_import VALUES (47507, '21/04/2020', '21', '4', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.33262221');
INSERT INTO public.ecdc_import VALUES (47508, '20/04/2020', '20', '4', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.34054178');
INSERT INTO public.ecdc_import VALUES (47509, '19/04/2020', '19', '4', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.33262221');
INSERT INTO public.ecdc_import VALUES (47510, '18/04/2020', '18', '4', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.42765712');
INSERT INTO public.ecdc_import VALUES (47511, '17/04/2020', '17', '4', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.44349628');
INSERT INTO public.ecdc_import VALUES (47512, '16/04/2020', '16', '4', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.42765712');
INSERT INTO public.ecdc_import VALUES (47513, '15/04/2020', '15', '4', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.46725501');
INSERT INTO public.ecdc_import VALUES (47514, '14/04/2020', '14', '4', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.45141585');
INSERT INTO public.ecdc_import VALUES (47515, '13/04/2020', '13', '4', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.44349628');
INSERT INTO public.ecdc_import VALUES (47516, '12/04/2020', '12', '4', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.47517458');
INSERT INTO public.ecdc_import VALUES (47517, '11/04/2020', '11', '4', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.50685289');
INSERT INTO public.ecdc_import VALUES (47518, '10/04/2020', '10', '4', '2020', '3', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.49893331');
INSERT INTO public.ecdc_import VALUES (47519, '09/04/2020', '9', '4', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.54645077');
INSERT INTO public.ecdc_import VALUES (47520, '08/04/2020', '8', '4', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.51477247');
INSERT INTO public.ecdc_import VALUES (47521, '07/04/2020', '7', '4', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.54645077');
INSERT INTO public.ecdc_import VALUES (47522, '06/04/2020', '6', '4', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.67316399');
INSERT INTO public.ecdc_import VALUES (47523, '05/04/2020', '5', '4', '2020', '13', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.67316399');
INSERT INTO public.ecdc_import VALUES (47524, '04/04/2020', '4', '4', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.5702095');
INSERT INTO public.ecdc_import VALUES (47525, '03/04/2020', '3', '4', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.56228992');
INSERT INTO public.ecdc_import VALUES (47526, '02/04/2020', '2', '4', '2020', '7', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.56228992');
INSERT INTO public.ecdc_import VALUES (47527, '01/04/2020', '1', '4', '2020', '5', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.53853119');
INSERT INTO public.ecdc_import VALUES (47528, '31/03/2020', '31', '3', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.51477247');
INSERT INTO public.ecdc_import VALUES (47529, '30/03/2020', '30', '3', '2020', '10', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.51477247');
INSERT INTO public.ecdc_import VALUES (47530, '29/03/2020', '29', '3', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.46725501');
INSERT INTO public.ecdc_import VALUES (47531, '28/03/2020', '28', '3', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '0.42765712');
INSERT INTO public.ecdc_import VALUES (47532, '27/03/2020', '27', '3', '2020', '9', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47533, '26/03/2020', '26', '3', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47534, '25/03/2020', '25', '3', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47535, '24/03/2020', '24', '3', '2020', '17', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47536, '23/03/2020', '23', '3', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47537, '22/03/2020', '22', '3', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47538, '21/03/2020', '21', '3', '2020', '6', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47539, '20/03/2020', '20', '3', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47540, '19/03/2020', '19', '3', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47541, '18/03/2020', '18', '3', '2020', '2', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47542, '17/03/2020', '17', '3', '2020', '0', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47543, '16/03/2020', '16', '3', '2020', '4', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47544, '15/03/2020', '15', '3', '2020', '1', '0', '12626938', 'Rwanda', 'RW', 'RWA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (47545, '14/12/2020', '14', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47546, '13/12/2020', '13', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47547, '12/12/2020', '12', '12', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47548, '11/12/2020', '11', '12', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '7.57088239');
INSERT INTO public.ecdc_import VALUES (47549, '10/12/2020', '10', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47550, '09/12/2020', '9', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47551, '08/12/2020', '8', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47552, '07/12/2020', '7', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47553, '06/12/2020', '6', '12', '2020', '3', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '11.35632358');
INSERT INTO public.ecdc_import VALUES (47554, '05/12/2020', '5', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47555, '04/12/2020', '4', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47556, '03/12/2020', '3', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47557, '02/12/2020', '2', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47558, '01/12/2020', '1', '12', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47559, '30/11/2020', '30', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47560, '29/11/2020', '29', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47561, '28/11/2020', '28', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47562, '27/11/2020', '27', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47563, '26/11/2020', '26', '11', '2020', '2', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47564, '25/11/2020', '25', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47565, '24/11/2020', '24', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47566, '23/11/2020', '23', '11', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47567, '22/11/2020', '22', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47568, '21/11/2020', '21', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47569, '20/11/2020', '20', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47570, '19/11/2020', '19', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47571, '18/11/2020', '18', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47572, '17/11/2020', '17', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47573, '16/11/2020', '16', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47574, '15/11/2020', '15', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47575, '14/11/2020', '14', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47576, '13/11/2020', '13', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47577, '12/11/2020', '12', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47578, '11/11/2020', '11', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47579, '10/11/2020', '10', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47580, '09/11/2020', '9', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47581, '08/11/2020', '8', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47582, '07/11/2020', '7', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47583, '06/11/2020', '6', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47584, '05/11/2020', '5', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47585, '04/11/2020', '4', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47586, '03/11/2020', '3', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47587, '02/11/2020', '2', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47588, '01/11/2020', '1', '11', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47589, '31/10/2020', '31', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47590, '30/10/2020', '30', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47591, '29/10/2020', '29', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47592, '28/10/2020', '28', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47593, '27/10/2020', '27', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48469, '17/08/2020', '17', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (47594, '26/10/2020', '26', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47595, '25/10/2020', '25', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47596, '24/10/2020', '24', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47597, '23/10/2020', '23', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47598, '22/10/2020', '22', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47599, '21/10/2020', '21', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47600, '20/10/2020', '20', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47601, '19/10/2020', '19', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47602, '18/10/2020', '18', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47603, '17/10/2020', '17', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47604, '16/10/2020', '16', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47605, '15/10/2020', '15', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47606, '14/10/2020', '14', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47607, '13/10/2020', '13', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47608, '12/10/2020', '12', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47609, '11/10/2020', '11', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47610, '10/10/2020', '10', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47611, '09/10/2020', '9', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47612, '08/10/2020', '8', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47613, '07/10/2020', '7', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47614, '06/10/2020', '6', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47615, '05/10/2020', '5', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47616, '04/10/2020', '4', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47617, '03/10/2020', '3', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47618, '02/10/2020', '2', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47619, '01/10/2020', '1', '10', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47620, '30/09/2020', '30', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47621, '29/09/2020', '29', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47622, '28/09/2020', '28', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47623, '27/09/2020', '27', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47624, '26/09/2020', '26', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47625, '25/09/2020', '25', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47626, '24/09/2020', '24', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47627, '23/09/2020', '23', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47628, '22/09/2020', '22', '9', '2020', '2', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47629, '21/09/2020', '21', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47630, '20/09/2020', '20', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47631, '19/09/2020', '19', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47632, '18/09/2020', '18', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47633, '17/09/2020', '17', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47634, '16/09/2020', '16', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47635, '15/09/2020', '15', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47636, '14/09/2020', '14', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47637, '13/09/2020', '13', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47638, '12/09/2020', '12', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47639, '11/09/2020', '11', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47640, '10/09/2020', '10', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47641, '09/09/2020', '9', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47642, '08/09/2020', '8', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47643, '07/09/2020', '7', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47644, '06/09/2020', '6', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47645, '05/09/2020', '5', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47646, '04/09/2020', '4', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47647, '03/09/2020', '3', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47648, '02/09/2020', '2', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47649, '01/09/2020', '1', '9', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47650, '31/08/2020', '31', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47651, '30/08/2020', '30', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47652, '29/08/2020', '29', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47653, '28/08/2020', '28', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47654, '27/08/2020', '27', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47655, '26/08/2020', '26', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47656, '25/08/2020', '25', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47657, '24/08/2020', '24', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47658, '23/08/2020', '23', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47659, '22/08/2020', '22', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47660, '21/08/2020', '21', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47661, '20/08/2020', '20', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47662, '19/08/2020', '19', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47663, '18/08/2020', '18', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47664, '17/08/2020', '17', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47665, '16/08/2020', '16', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47666, '15/08/2020', '15', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47667, '14/08/2020', '14', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47668, '13/08/2020', '13', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47669, '12/08/2020', '12', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47670, '11/08/2020', '11', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47671, '10/08/2020', '10', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47672, '09/08/2020', '9', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47673, '08/08/2020', '8', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47674, '07/08/2020', '7', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47675, '06/08/2020', '6', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47676, '05/08/2020', '5', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47677, '04/08/2020', '4', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47678, '03/08/2020', '3', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47679, '02/08/2020', '2', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47680, '01/08/2020', '1', '8', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47681, '31/07/2020', '31', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47682, '30/07/2020', '30', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47683, '29/07/2020', '29', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47684, '28/07/2020', '28', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47685, '27/07/2020', '27', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47686, '26/07/2020', '26', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47687, '25/07/2020', '25', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47688, '24/07/2020', '24', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47689, '23/07/2020', '23', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47690, '22/07/2020', '22', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47691, '21/07/2020', '21', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47692, '20/07/2020', '20', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47693, '19/07/2020', '19', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47694, '18/07/2020', '18', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47695, '17/07/2020', '17', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47696, '16/07/2020', '16', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47697, '15/07/2020', '15', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47698, '14/07/2020', '14', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47699, '13/07/2020', '13', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47700, '12/07/2020', '12', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47701, '11/07/2020', '11', '7', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '3.78544119');
INSERT INTO public.ecdc_import VALUES (47702, '10/07/2020', '10', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47703, '09/07/2020', '9', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47704, '08/07/2020', '8', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47705, '07/07/2020', '7', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47706, '06/07/2020', '6', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47707, '05/07/2020', '5', '7', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47708, '04/07/2020', '4', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47709, '03/07/2020', '3', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47710, '02/07/2020', '2', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47711, '01/07/2020', '1', '7', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47712, '30/06/2020', '30', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47713, '29/06/2020', '29', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47714, '28/06/2020', '28', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47715, '27/06/2020', '27', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47716, '26/06/2020', '26', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47717, '25/06/2020', '25', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47718, '24/06/2020', '24', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47719, '23/06/2020', '23', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47720, '22/06/2020', '22', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47721, '21/06/2020', '21', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47722, '20/06/2020', '20', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47723, '19/06/2020', '19', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47724, '18/06/2020', '18', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47725, '17/06/2020', '17', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47726, '16/06/2020', '16', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47727, '15/06/2020', '15', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47728, '14/06/2020', '14', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47729, '13/06/2020', '13', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47730, '12/06/2020', '12', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47731, '11/06/2020', '11', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47732, '10/06/2020', '10', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47733, '09/06/2020', '9', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47734, '08/06/2020', '8', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47735, '07/06/2020', '7', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47736, '06/06/2020', '6', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47737, '05/06/2020', '5', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47738, '04/06/2020', '4', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47739, '03/06/2020', '3', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47740, '02/06/2020', '2', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47741, '01/06/2020', '1', '6', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47742, '31/05/2020', '31', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47743, '30/05/2020', '30', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47744, '29/05/2020', '29', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47745, '28/05/2020', '28', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47746, '27/05/2020', '27', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47747, '26/05/2020', '26', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47748, '25/05/2020', '25', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47749, '24/05/2020', '24', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47750, '23/05/2020', '23', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47751, '22/05/2020', '22', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47752, '21/05/2020', '21', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47753, '20/05/2020', '20', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47754, '19/05/2020', '19', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47755, '18/05/2020', '18', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47756, '17/05/2020', '17', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47757, '16/05/2020', '16', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47758, '15/05/2020', '15', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47759, '14/05/2020', '14', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47760, '13/05/2020', '13', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47761, '12/05/2020', '12', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47762, '11/05/2020', '11', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47763, '10/05/2020', '10', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47764, '09/05/2020', '9', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47765, '08/05/2020', '8', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47766, '07/05/2020', '7', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47767, '06/05/2020', '6', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47768, '05/05/2020', '5', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47769, '04/05/2020', '4', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47770, '03/05/2020', '3', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47771, '02/05/2020', '2', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47772, '01/05/2020', '1', '5', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47773, '30/04/2020', '30', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47774, '29/04/2020', '29', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '1.8927206');
INSERT INTO public.ecdc_import VALUES (47775, '28/04/2020', '28', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47776, '27/04/2020', '27', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47777, '26/04/2020', '26', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47778, '25/04/2020', '25', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '5.67816179');
INSERT INTO public.ecdc_import VALUES (47779, '24/04/2020', '24', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '7.57088239');
INSERT INTO public.ecdc_import VALUES (47780, '23/04/2020', '23', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '7.57088239');
INSERT INTO public.ecdc_import VALUES (47781, '22/04/2020', '22', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '7.57088239');
INSERT INTO public.ecdc_import VALUES (47782, '21/04/2020', '21', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '7.57088239');
INSERT INTO public.ecdc_import VALUES (47783, '20/04/2020', '20', '4', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47784, '19/04/2020', '19', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '7.57088239');
INSERT INTO public.ecdc_import VALUES (47785, '18/04/2020', '18', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47786, '17/04/2020', '17', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '11.35632358');
INSERT INTO public.ecdc_import VALUES (47787, '16/04/2020', '16', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '11.35632358');
INSERT INTO public.ecdc_import VALUES (47788, '15/04/2020', '15', '4', '2020', '2', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '11.35632358');
INSERT INTO public.ecdc_import VALUES (47789, '14/04/2020', '14', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47790, '13/04/2020', '13', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '9.46360298');
INSERT INTO public.ecdc_import VALUES (47791, '12/04/2020', '12', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '18.92720597');
INSERT INTO public.ecdc_import VALUES (47792, '11/04/2020', '11', '4', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '18.92720597');
INSERT INTO public.ecdc_import VALUES (47793, '10/04/2020', '10', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '17.03448537');
INSERT INTO public.ecdc_import VALUES (47794, '09/04/2020', '9', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '17.03448537');
INSERT INTO public.ecdc_import VALUES (47795, '08/04/2020', '8', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '20.81992656');
INSERT INTO public.ecdc_import VALUES (47796, '07/04/2020', '7', '4', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47797, '06/04/2020', '6', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47798, '05/04/2020', '5', '4', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47799, '04/04/2020', '4', '4', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47800, '03/04/2020', '3', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47801, '02/04/2020', '2', '4', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47802, '01/04/2020', '1', '4', '2020', '1', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47803, '31/03/2020', '31', '3', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47804, '30/03/2020', '30', '3', '2020', '5', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47805, '29/03/2020', '29', '3', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47806, '28/03/2020', '28', '3', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47807, '27/03/2020', '27', '3', '2020', '0', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47808, '26/03/2020', '26', '3', '2020', '2', '0', '52834', 'Saint_Kitts_and_Nevis', 'KN', 'KNA', 'America', '');
INSERT INTO public.ecdc_import VALUES (47809, '14/12/2020', '14', '12', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '9.84709647');
INSERT INTO public.ecdc_import VALUES (47810, '13/12/2020', '13', '12', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '12.03534014');
INSERT INTO public.ecdc_import VALUES (47811, '12/12/2020', '12', '12', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '15.31770563');
INSERT INTO public.ecdc_import VALUES (47812, '11/12/2020', '11', '12', '2020', '4', '1', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '19.69419295');
INSERT INTO public.ecdc_import VALUES (47813, '10/12/2020', '10', '12', '2020', '0', '1', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '19.14713203');
INSERT INTO public.ecdc_import VALUES (47814, '09/12/2020', '9', '12', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '24.07068027');
INSERT INTO public.ecdc_import VALUES (47815, '08/12/2020', '8', '12', '2020', '5', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '25.71186302');
INSERT INTO public.ecdc_import VALUES (47816, '07/12/2020', '7', '12', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '24.61774119');
INSERT INTO public.ecdc_import VALUES (47817, '06/12/2020', '6', '12', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '33.37071583');
INSERT INTO public.ecdc_import VALUES (47818, '05/12/2020', '5', '12', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '32.276594');
INSERT INTO public.ecdc_import VALUES (47819, '04/12/2020', '4', '12', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '32.276594');
INSERT INTO public.ecdc_import VALUES (47820, '03/12/2020', '3', '12', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '42.67075139');
INSERT INTO public.ecdc_import VALUES (47821, '02/12/2020', '2', '12', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '44.31193413');
INSERT INTO public.ecdc_import VALUES (47822, '01/12/2020', '1', '12', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '47.04723871');
INSERT INTO public.ecdc_import VALUES (47823, '30/11/2020', '30', '11', '2020', '5', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '47.04723871');
INSERT INTO public.ecdc_import VALUES (47824, '29/11/2020', '29', '11', '2020', '6', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '49.23548237');
INSERT INTO public.ecdc_import VALUES (47825, '28/11/2020', '28', '11', '2020', '8', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '47.04723871');
INSERT INTO public.ecdc_import VALUES (47826, '27/11/2020', '27', '11', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '44.85899505');
INSERT INTO public.ecdc_import VALUES (47827, '26/11/2020', '26', '11', '2020', '9', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '47.59429963');
INSERT INTO public.ecdc_import VALUES (47828, '25/11/2020', '25', '11', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '42.67075139');
INSERT INTO public.ecdc_import VALUES (47829, '24/11/2020', '24', '11', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '44.85899505');
INSERT INTO public.ecdc_import VALUES (47830, '23/11/2020', '23', '11', '2020', '16', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '48.68842146');
INSERT INTO public.ecdc_import VALUES (47831, '22/11/2020', '22', '11', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '44.31193413');
INSERT INTO public.ecdc_import VALUES (47832, '21/11/2020', '21', '11', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '50.87666512');
INSERT INTO public.ecdc_import VALUES (47833, '20/11/2020', '20', '11', '2020', '20', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '53.06490878');
INSERT INTO public.ecdc_import VALUES (47834, '19/11/2020', '19', '11', '2020', '5', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '42.67075139');
INSERT INTO public.ecdc_import VALUES (47835, '18/11/2020', '18', '11', '2020', '5', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '44.31193413');
INSERT INTO public.ecdc_import VALUES (47836, '17/11/2020', '17', '11', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '48.68842146');
INSERT INTO public.ecdc_import VALUES (47837, '16/11/2020', '16', '11', '2020', '9', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '47.59429963');
INSERT INTO public.ecdc_import VALUES (47838, '15/11/2020', '15', '11', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '45.95311688');
INSERT INTO public.ecdc_import VALUES (47839, '14/11/2020', '14', '11', '2020', '4', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '44.85899505');
INSERT INTO public.ecdc_import VALUES (47840, '13/11/2020', '13', '11', '2020', '8', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '43.76487322');
INSERT INTO public.ecdc_import VALUES (47841, '12/11/2020', '12', '11', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '41.02956864');
INSERT INTO public.ecdc_import VALUES (47842, '11/11/2020', '11', '11', '2020', '7', '2', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '46.50017779');
INSERT INTO public.ecdc_import VALUES (47843, '10/11/2020', '10', '11', '2020', '10', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '42.67075139');
INSERT INTO public.ecdc_import VALUES (47844, '09/11/2020', '9', '11', '2020', '8', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '42.12369047');
INSERT INTO public.ecdc_import VALUES (47845, '08/11/2020', '8', '11', '2020', '13', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '38.84132498');
INSERT INTO public.ecdc_import VALUES (47846, '07/11/2020', '7', '11', '2020', '4', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '33.91777674');
INSERT INTO public.ecdc_import VALUES (47847, '06/11/2020', '6', '11', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '35.01189857');
INSERT INTO public.ecdc_import VALUES (47848, '05/11/2020', '5', '11', '2020', '8', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '36.10602041');
INSERT INTO public.ecdc_import VALUES (47849, '04/11/2020', '4', '11', '2020', '13', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '33.37071583');
INSERT INTO public.ecdc_import VALUES (47850, '03/11/2020', '3', '11', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '26.25892393');
INSERT INTO public.ecdc_import VALUES (47851, '02/11/2020', '2', '11', '2020', '6', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '27.90010668');
INSERT INTO public.ecdc_import VALUES (47852, '01/11/2020', '1', '11', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '24.61774119');
INSERT INTO public.ecdc_import VALUES (47853, '31/10/2020', '31', '10', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '25.1648021');
INSERT INTO public.ecdc_import VALUES (47854, '30/10/2020', '30', '10', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '24.61774119');
INSERT INTO public.ecdc_import VALUES (47855, '29/10/2020', '29', '10', '2020', '10', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '22.97655844');
INSERT INTO public.ecdc_import VALUES (47856, '28/10/2020', '28', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '18.60007112');
INSERT INTO public.ecdc_import VALUES (47857, '27/10/2020', '27', '10', '2020', '9', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '18.60007112');
INSERT INTO public.ecdc_import VALUES (47858, '26/10/2020', '26', '10', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '13.67652288');
INSERT INTO public.ecdc_import VALUES (47859, '25/10/2020', '25', '10', '2020', '4', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '12.58240105');
INSERT INTO public.ecdc_import VALUES (47860, '24/10/2020', '24', '10', '2020', '6', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '10.9412183');
INSERT INTO public.ecdc_import VALUES (47861, '23/10/2020', '23', '10', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '7.65885281');
INSERT INTO public.ecdc_import VALUES (47862, '22/10/2020', '22', '10', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (47863, '21/10/2020', '21', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '4.92354824');
INSERT INTO public.ecdc_import VALUES (47864, '20/10/2020', '20', '10', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '4.92354824');
INSERT INTO public.ecdc_import VALUES (47865, '19/10/2020', '19', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '3.28236549');
INSERT INTO public.ecdc_import VALUES (47866, '18/10/2020', '18', '10', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '3.28236549');
INSERT INTO public.ecdc_import VALUES (47867, '17/10/2020', '17', '10', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '2.73530458');
INSERT INTO public.ecdc_import VALUES (47868, '16/10/2020', '16', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '2.18824366');
INSERT INTO public.ecdc_import VALUES (47869, '15/10/2020', '15', '10', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '2.18824366');
INSERT INTO public.ecdc_import VALUES (47870, '14/10/2020', '14', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47871, '13/10/2020', '13', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47872, '12/10/2020', '12', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47873, '11/10/2020', '11', '10', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47874, '10/10/2020', '10', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47875, '09/10/2020', '9', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47876, '08/10/2020', '8', '10', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47877, '07/10/2020', '7', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47878, '06/10/2020', '6', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47879, '05/10/2020', '5', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47880, '04/10/2020', '4', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47881, '03/10/2020', '3', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47882, '02/10/2020', '2', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47883, '01/10/2020', '1', '10', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47884, '30/09/2020', '30', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47885, '29/09/2020', '29', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47886, '28/09/2020', '28', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47887, '27/09/2020', '27', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47888, '26/09/2020', '26', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47889, '25/09/2020', '25', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47890, '24/09/2020', '24', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47891, '23/09/2020', '23', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47892, '22/09/2020', '22', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47893, '21/09/2020', '21', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47894, '20/09/2020', '20', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47895, '19/09/2020', '19', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47896, '18/09/2020', '18', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47897, '17/09/2020', '17', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47898, '16/09/2020', '16', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47899, '15/09/2020', '15', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47900, '14/09/2020', '14', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47901, '13/09/2020', '13', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47902, '12/09/2020', '12', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47903, '11/09/2020', '11', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47904, '10/09/2020', '10', '9', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47905, '09/09/2020', '9', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47906, '08/09/2020', '8', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47907, '07/09/2020', '7', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47908, '06/09/2020', '6', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47909, '05/09/2020', '5', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47910, '04/09/2020', '4', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47911, '03/09/2020', '3', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47912, '02/09/2020', '2', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47913, '01/09/2020', '1', '9', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47914, '31/08/2020', '31', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47915, '30/08/2020', '30', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47916, '29/08/2020', '29', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47917, '28/08/2020', '28', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47918, '27/08/2020', '27', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47919, '26/08/2020', '26', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47920, '25/08/2020', '25', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47921, '24/08/2020', '24', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47922, '23/08/2020', '23', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47923, '22/08/2020', '22', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47924, '21/08/2020', '21', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47925, '20/08/2020', '20', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47926, '19/08/2020', '19', '8', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47927, '18/08/2020', '18', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47928, '17/08/2020', '17', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47929, '16/08/2020', '16', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47930, '15/08/2020', '15', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47931, '14/08/2020', '14', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47932, '13/08/2020', '13', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47933, '12/08/2020', '12', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47934, '11/08/2020', '11', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47935, '10/08/2020', '10', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47936, '09/08/2020', '9', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47937, '08/08/2020', '8', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47938, '07/08/2020', '7', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47939, '06/08/2020', '6', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47940, '05/08/2020', '5', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47941, '04/08/2020', '4', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47942, '03/08/2020', '3', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47943, '02/08/2020', '2', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47944, '01/08/2020', '1', '8', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47945, '31/07/2020', '31', '7', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47946, '30/07/2020', '30', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47947, '29/07/2020', '29', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47948, '28/07/2020', '28', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47949, '27/07/2020', '27', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47950, '26/07/2020', '26', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47951, '25/07/2020', '25', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47952, '24/07/2020', '24', '7', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (47953, '23/07/2020', '23', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47954, '22/07/2020', '22', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47955, '21/07/2020', '21', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47956, '20/07/2020', '20', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47957, '19/07/2020', '19', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47958, '18/07/2020', '18', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47959, '17/07/2020', '17', '7', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47960, '16/07/2020', '16', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47961, '15/07/2020', '15', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47962, '14/07/2020', '14', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47963, '13/07/2020', '13', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47964, '12/07/2020', '12', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47965, '11/07/2020', '11', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47966, '10/07/2020', '10', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47967, '09/07/2020', '9', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47968, '08/07/2020', '8', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47969, '07/07/2020', '7', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47970, '06/07/2020', '6', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47971, '05/07/2020', '5', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47972, '04/07/2020', '4', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47973, '03/07/2020', '3', '7', '2020', '3', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (47974, '02/07/2020', '2', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47975, '01/07/2020', '1', '7', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47976, '30/06/2020', '30', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47977, '29/06/2020', '29', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47978, '28/06/2020', '28', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47979, '27/06/2020', '27', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47980, '26/06/2020', '26', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47981, '25/06/2020', '25', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47982, '24/06/2020', '24', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47983, '23/06/2020', '23', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47984, '22/06/2020', '22', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47985, '21/06/2020', '21', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47986, '20/06/2020', '20', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47987, '19/06/2020', '19', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (47988, '18/06/2020', '18', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47989, '17/06/2020', '17', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47990, '16/06/2020', '16', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47991, '15/06/2020', '15', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47992, '14/06/2020', '14', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47993, '13/06/2020', '13', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47994, '12/06/2020', '12', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47995, '11/06/2020', '11', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47996, '10/06/2020', '10', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47997, '09/06/2020', '9', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47998, '08/06/2020', '8', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (47999, '07/06/2020', '7', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48000, '06/06/2020', '6', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48001, '05/06/2020', '5', '6', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48002, '04/06/2020', '4', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48003, '03/06/2020', '3', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48004, '02/06/2020', '2', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48005, '01/06/2020', '1', '6', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48006, '31/05/2020', '31', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48007, '30/05/2020', '30', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48008, '29/05/2020', '29', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48009, '28/05/2020', '28', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48010, '27/05/2020', '27', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48011, '26/05/2020', '26', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48012, '25/05/2020', '25', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48013, '24/05/2020', '24', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48014, '23/05/2020', '23', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48015, '22/05/2020', '22', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48016, '21/05/2020', '21', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48017, '20/05/2020', '20', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48018, '19/05/2020', '19', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48019, '18/05/2020', '18', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48020, '17/05/2020', '17', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48021, '16/05/2020', '16', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48022, '15/05/2020', '15', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48023, '14/05/2020', '14', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48024, '13/05/2020', '13', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48025, '12/05/2020', '12', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48026, '11/05/2020', '11', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48027, '10/05/2020', '10', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48028, '09/05/2020', '9', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48029, '08/05/2020', '8', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48030, '07/05/2020', '7', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48031, '06/05/2020', '6', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48032, '05/05/2020', '5', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48033, '04/05/2020', '4', '5', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48034, '03/05/2020', '3', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48035, '02/05/2020', '2', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48036, '01/05/2020', '1', '5', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48037, '30/04/2020', '30', '4', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48038, '29/04/2020', '29', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48039, '28/04/2020', '28', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48040, '27/04/2020', '27', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48041, '26/04/2020', '26', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48042, '25/04/2020', '25', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48043, '24/04/2020', '24', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48044, '23/04/2020', '23', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48045, '22/04/2020', '22', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48046, '21/04/2020', '21', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48047, '20/04/2020', '20', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48048, '19/04/2020', '19', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '0.54706092');
INSERT INTO public.ecdc_import VALUES (48049, '18/04/2020', '18', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48050, '17/04/2020', '17', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48051, '16/04/2020', '16', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48052, '15/04/2020', '15', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48053, '14/04/2020', '14', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '3.28236549');
INSERT INTO public.ecdc_import VALUES (48054, '13/04/2020', '13', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '3.28236549');
INSERT INTO public.ecdc_import VALUES (48055, '12/04/2020', '12', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48056, '11/04/2020', '11', '4', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.56473098');
INSERT INTO public.ecdc_import VALUES (48057, '10/04/2020', '10', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48058, '09/04/2020', '9', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48059, '08/04/2020', '8', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.56473098');
INSERT INTO public.ecdc_import VALUES (48060, '07/04/2020', '7', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.56473098');
INSERT INTO public.ecdc_import VALUES (48061, '06/04/2020', '6', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.56473098');
INSERT INTO public.ecdc_import VALUES (48062, '05/04/2020', '5', '4', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.56473098');
INSERT INTO public.ecdc_import VALUES (48063, '04/04/2020', '4', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48064, '03/04/2020', '3', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48065, '02/04/2020', '2', '4', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48066, '01/04/2020', '1', '4', '2020', '4', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '6.01767007');
INSERT INTO public.ecdc_import VALUES (48067, '31/03/2020', '31', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '3.82942641');
INSERT INTO public.ecdc_import VALUES (48068, '30/03/2020', '30', '3', '2020', '5', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '3.82942641');
INSERT INTO public.ecdc_import VALUES (48069, '29/03/2020', '29', '3', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.09412183');
INSERT INTO public.ecdc_import VALUES (48070, '28/03/2020', '28', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '1.64118275');
INSERT INTO public.ecdc_import VALUES (48071, '27/03/2020', '27', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48072, '26/03/2020', '26', '3', '2020', '1', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48073, '25/03/2020', '25', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48074, '24/03/2020', '24', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48075, '23/03/2020', '23', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48076, '22/03/2020', '22', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48077, '21/03/2020', '21', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48078, '20/03/2020', '20', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48079, '19/03/2020', '19', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48080, '18/03/2020', '18', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48081, '17/03/2020', '17', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48082, '16/03/2020', '16', '3', '2020', '0', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48083, '15/03/2020', '15', '3', '2020', '2', '0', '182795', 'Saint_Lucia', 'LC', 'LCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (48084, '14/12/2020', '14', '12', '2020', '4', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '11.75481269');
INSERT INTO public.ecdc_import VALUES (48085, '13/12/2020', '13', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48086, '12/12/2020', '12', '12', '2020', '3', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48087, '11/12/2020', '11', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48088, '10/12/2020', '10', '12', '2020', '4', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48089, '09/12/2020', '9', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48090, '08/12/2020', '8', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48091, '07/12/2020', '7', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48092, '06/12/2020', '6', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48093, '05/12/2020', '5', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48094, '04/12/2020', '4', '12', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48095, '03/12/2020', '3', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48096, '02/12/2020', '2', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48097, '01/12/2020', '1', '12', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48098, '30/11/2020', '30', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48099, '29/11/2020', '29', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48100, '28/11/2020', '28', '11', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48101, '27/11/2020', '27', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48102, '26/11/2020', '26', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48103, '25/11/2020', '25', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48104, '24/11/2020', '24', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48105, '23/11/2020', '23', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48106, '22/11/2020', '22', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48107, '21/11/2020', '21', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48108, '20/11/2020', '20', '11', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48109, '19/11/2020', '19', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48110, '18/11/2020', '18', '11', '2020', '5', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48111, '17/11/2020', '17', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48112, '16/11/2020', '16', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48113, '15/11/2020', '15', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48114, '14/11/2020', '14', '11', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48115, '13/11/2020', '13', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48116, '12/11/2020', '12', '11', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48117, '11/11/2020', '11', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48118, '10/11/2020', '10', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48119, '09/11/2020', '9', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48120, '08/11/2020', '8', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48121, '07/11/2020', '7', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48122, '06/11/2020', '6', '11', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48123, '05/11/2020', '5', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48124, '04/11/2020', '4', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48125, '03/11/2020', '3', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48126, '02/11/2020', '2', '11', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48127, '01/11/2020', '1', '11', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48128, '31/10/2020', '31', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48129, '30/10/2020', '30', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.04216361');
INSERT INTO public.ecdc_import VALUES (48130, '29/10/2020', '29', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.04216361');
INSERT INTO public.ecdc_import VALUES (48131, '28/10/2020', '28', '10', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.04216361');
INSERT INTO public.ecdc_import VALUES (48132, '27/10/2020', '27', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48133, '26/10/2020', '26', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48134, '25/10/2020', '25', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48135, '24/10/2020', '24', '10', '2020', '5', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48136, '23/10/2020', '23', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48137, '22/10/2020', '22', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48138, '21/10/2020', '21', '10', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48139, '20/10/2020', '20', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48140, '19/10/2020', '19', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48141, '18/10/2020', '18', '10', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48142, '17/10/2020', '17', '10', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48143, '16/10/2020', '16', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48144, '15/10/2020', '15', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48145, '14/10/2020', '14', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48146, '13/10/2020', '13', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48147, '12/10/2020', '12', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48148, '11/10/2020', '11', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48149, '10/10/2020', '10', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48150, '09/10/2020', '9', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48151, '08/10/2020', '8', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48152, '07/10/2020', '7', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48153, '06/10/2020', '6', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48154, '05/10/2020', '5', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48155, '04/10/2020', '4', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48156, '03/10/2020', '3', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48157, '02/10/2020', '2', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48158, '01/10/2020', '1', '10', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48159, '30/09/2020', '30', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48160, '29/09/2020', '29', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48161, '28/09/2020', '28', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48162, '27/09/2020', '27', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48163, '26/09/2020', '26', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48164, '25/09/2020', '25', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48165, '24/09/2020', '24', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48166, '23/09/2020', '23', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48167, '22/09/2020', '22', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48168, '21/09/2020', '21', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48169, '20/09/2020', '20', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48170, '19/09/2020', '19', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48171, '18/09/2020', '18', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48172, '17/09/2020', '17', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48173, '16/09/2020', '16', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48174, '15/09/2020', '15', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48175, '14/09/2020', '14', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48176, '13/09/2020', '13', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48177, '12/09/2020', '12', '9', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48178, '11/09/2020', '11', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48179, '10/09/2020', '10', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48180, '09/09/2020', '9', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48181, '08/09/2020', '8', '9', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48182, '07/09/2020', '7', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48183, '06/09/2020', '6', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48184, '05/09/2020', '5', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48185, '04/09/2020', '4', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48186, '03/09/2020', '3', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48187, '02/09/2020', '2', '9', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48188, '01/09/2020', '1', '9', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48189, '31/08/2020', '31', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48190, '30/08/2020', '30', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48191, '29/08/2020', '29', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48192, '28/08/2020', '28', '8', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48193, '27/08/2020', '27', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48194, '26/08/2020', '26', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48195, '25/08/2020', '25', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48196, '24/08/2020', '24', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48197, '23/08/2020', '23', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48198, '22/08/2020', '22', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48199, '21/08/2020', '21', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48200, '20/08/2020', '20', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48201, '19/08/2020', '19', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48202, '18/08/2020', '18', '8', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48203, '17/08/2020', '17', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48204, '16/08/2020', '16', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48205, '15/08/2020', '15', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48206, '14/08/2020', '14', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48207, '13/08/2020', '13', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48208, '12/08/2020', '12', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48209, '11/08/2020', '11', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48210, '10/08/2020', '10', '8', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48211, '09/08/2020', '9', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48212, '08/08/2020', '8', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48213, '07/08/2020', '7', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48214, '06/08/2020', '6', '8', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48215, '05/08/2020', '5', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48216, '04/08/2020', '4', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48217, '03/08/2020', '3', '8', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48218, '02/08/2020', '2', '8', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48219, '01/08/2020', '1', '8', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '14.46746177');
INSERT INTO public.ecdc_import VALUES (48220, '31/07/2020', '31', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '15.37167814');
INSERT INTO public.ecdc_import VALUES (48221, '30/07/2020', '30', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '15.37167814');
INSERT INTO public.ecdc_import VALUES (48222, '29/07/2020', '29', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '15.37167814');
INSERT INTO public.ecdc_import VALUES (48223, '28/07/2020', '28', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '15.37167814');
INSERT INTO public.ecdc_import VALUES (48224, '27/07/2020', '27', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '15.37167814');
INSERT INTO public.ecdc_import VALUES (48225, '26/07/2020', '26', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '20.7969763');
INSERT INTO public.ecdc_import VALUES (48226, '25/07/2020', '25', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '20.7969763');
INSERT INTO public.ecdc_import VALUES (48227, '24/07/2020', '24', '7', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '20.7969763');
INSERT INTO public.ecdc_import VALUES (48228, '23/07/2020', '23', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '18.98854358');
INSERT INTO public.ecdc_import VALUES (48229, '22/07/2020', '22', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '18.98854358');
INSERT INTO public.ecdc_import VALUES (48230, '21/07/2020', '21', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '18.98854358');
INSERT INTO public.ecdc_import VALUES (48231, '20/07/2020', '20', '7', '2020', '6', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '18.98854358');
INSERT INTO public.ecdc_import VALUES (48232, '19/07/2020', '19', '7', '2020', '6', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '13.56324541');
INSERT INTO public.ecdc_import VALUES (48233, '18/07/2020', '18', '7', '2020', '3', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48234, '17/07/2020', '17', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48235, '16/07/2020', '16', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48236, '15/07/2020', '15', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48237, '14/07/2020', '14', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48238, '13/07/2020', '13', '7', '2020', '6', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48239, '12/07/2020', '12', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48240, '11/07/2020', '11', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48241, '10/07/2020', '10', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48242, '09/07/2020', '9', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48243, '08/07/2020', '8', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48244, '07/07/2020', '7', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48245, '06/07/2020', '6', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48246, '05/07/2020', '5', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48247, '04/07/2020', '4', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48248, '03/07/2020', '3', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48249, '02/07/2020', '2', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48250, '01/07/2020', '1', '7', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48251, '30/06/2020', '30', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48252, '29/06/2020', '29', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48253, '28/06/2020', '28', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48254, '27/06/2020', '27', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48255, '26/06/2020', '26', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48256, '25/06/2020', '25', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48257, '24/06/2020', '24', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48258, '23/06/2020', '23', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48259, '22/06/2020', '22', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48260, '21/06/2020', '21', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48261, '20/06/2020', '20', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48262, '19/06/2020', '19', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48263, '18/06/2020', '18', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48264, '17/06/2020', '17', '6', '2020', '2', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48265, '16/06/2020', '16', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48266, '15/06/2020', '15', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48267, '14/06/2020', '14', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48268, '13/06/2020', '13', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48269, '12/06/2020', '12', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48270, '11/06/2020', '11', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48271, '10/06/2020', '10', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48272, '09/06/2020', '9', '6', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48273, '08/06/2020', '8', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48274, '07/06/2020', '7', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48275, '06/06/2020', '6', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48276, '05/06/2020', '5', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48277, '04/06/2020', '4', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48278, '03/06/2020', '3', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48279, '02/06/2020', '2', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48280, '01/06/2020', '1', '6', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48281, '31/05/2020', '31', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48282, '30/05/2020', '30', '5', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '8.13794725');
INSERT INTO public.ecdc_import VALUES (48283, '29/05/2020', '29', '5', '2020', '7', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '7.23373089');
INSERT INTO public.ecdc_import VALUES (48284, '28/05/2020', '28', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48285, '27/05/2020', '27', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48286, '26/05/2020', '26', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48287, '25/05/2020', '25', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48288, '24/05/2020', '24', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48289, '23/05/2020', '23', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48290, '22/05/2020', '22', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48291, '21/05/2020', '21', '5', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48292, '20/05/2020', '20', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48293, '19/05/2020', '19', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48294, '18/05/2020', '18', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0');
INSERT INTO public.ecdc_import VALUES (48295, '17/05/2020', '17', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48296, '16/05/2020', '16', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48297, '15/05/2020', '15', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48298, '14/05/2020', '14', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48299, '13/05/2020', '13', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48300, '12/05/2020', '12', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48301, '11/05/2020', '11', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48302, '10/05/2020', '10', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48303, '09/05/2020', '9', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48304, '08/05/2020', '8', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48305, '07/05/2020', '7', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48306, '06/05/2020', '6', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48307, '05/05/2020', '5', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48308, '04/05/2020', '4', '5', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48309, '03/05/2020', '3', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48310, '02/05/2020', '2', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48311, '01/05/2020', '1', '5', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48312, '30/04/2020', '30', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48313, '29/04/2020', '29', '4', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48314, '28/04/2020', '28', '4', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '2.71264908');
INSERT INTO public.ecdc_import VALUES (48315, '27/04/2020', '27', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48316, '26/04/2020', '26', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48317, '25/04/2020', '25', '4', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '1.80843272');
INSERT INTO public.ecdc_import VALUES (48318, '24/04/2020', '24', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '0.90421636');
INSERT INTO public.ecdc_import VALUES (48319, '23/04/2020', '23', '4', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48320, '22/04/2020', '22', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '3.61686544');
INSERT INTO public.ecdc_import VALUES (48321, '21/04/2020', '21', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48322, '20/04/2020', '20', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48323, '19/04/2020', '19', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48324, '18/04/2020', '18', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '4.5210818');
INSERT INTO public.ecdc_import VALUES (48325, '17/04/2020', '17', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.04216361');
INSERT INTO public.ecdc_import VALUES (48326, '16/04/2020', '16', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.04216361');
INSERT INTO public.ecdc_import VALUES (48327, '15/04/2020', '15', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48328, '14/04/2020', '14', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48329, '13/04/2020', '13', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48330, '12/04/2020', '12', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48331, '11/04/2020', '11', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48332, '10/04/2020', '10', '4', '2020', '4', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '9.94637997');
INSERT INTO public.ecdc_import VALUES (48333, '09/04/2020', '9', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48334, '08/04/2020', '8', '4', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48335, '07/04/2020', '7', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '5.42529817');
INSERT INTO public.ecdc_import VALUES (48336, '06/04/2020', '6', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '6.32951453');
INSERT INTO public.ecdc_import VALUES (48337, '05/04/2020', '5', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48338, '04/04/2020', '4', '4', '2020', '5', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48339, '03/04/2020', '3', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48340, '02/04/2020', '2', '4', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48341, '01/04/2020', '1', '4', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48342, '31/03/2020', '31', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48343, '30/03/2020', '30', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48344, '29/03/2020', '29', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48345, '28/03/2020', '28', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48346, '27/03/2020', '27', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48347, '26/03/2020', '26', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48348, '25/03/2020', '25', '3', '2020', '0', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48349, '13/03/2020', '13', '3', '2020', '1', '0', '110593', 'Saint_Vincent_and_the_Grenadines', 'VC', 'VCT', 'America', '');
INSERT INTO public.ecdc_import VALUES (48350, '14/12/2020', '14', '12', '2020', '15', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1047.80425507');
INSERT INTO public.ecdc_import VALUES (48351, '13/12/2020', '13', '12', '2020', '24', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1004.26668215');
INSERT INTO public.ecdc_import VALUES (48352, '12/12/2020', '12', '12', '2020', '40', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1027.48672104');
INSERT INTO public.ecdc_import VALUES (48353, '11/12/2020', '11', '12', '2020', '34', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1027.48672104');
INSERT INTO public.ecdc_import VALUES (48354, '10/12/2020', '10', '12', '2020', '34', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '992.6566627');
INSERT INTO public.ecdc_import VALUES (48355, '09/12/2020', '9', '12', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1079.73180855');
INSERT INTO public.ecdc_import VALUES (48356, '08/12/2020', '8', '12', '2020', '11', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1079.73180855');
INSERT INTO public.ecdc_import VALUES (48357, '07/12/2020', '7', '12', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1143.58691551');
INSERT INTO public.ecdc_import VALUES (48358, '06/12/2020', '6', '12', '2020', '33', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1143.58691551');
INSERT INTO public.ecdc_import VALUES (48359, '05/12/2020', '5', '12', '2020', '42', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1047.80425507');
INSERT INTO public.ecdc_import VALUES (48360, '04/12/2020', '4', '12', '2020', '27', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1033.29173076');
INSERT INTO public.ecdc_import VALUES (48361, '03/12/2020', '3', '12', '2020', '37', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '954.9240995');
INSERT INTO public.ecdc_import VALUES (48362, '02/12/2020', '2', '12', '2020', '38', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1044.90175021');
INSERT INTO public.ecdc_import VALUES (48363, '01/12/2020', '1', '12', '2020', '26', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '934.60656547');
INSERT INTO public.ecdc_import VALUES (48364, '30/11/2020', '30', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '966.53411894');
INSERT INTO public.ecdc_import VALUES (48365, '29/11/2020', '29', '11', '2020', '32', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '966.53411894');
INSERT INTO public.ecdc_import VALUES (48366, '28/11/2020', '28', '11', '2020', '40', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '873.65396337');
INSERT INTO public.ecdc_import VALUES (48367, '27/11/2020', '27', '11', '2020', '22', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '940.41157519');
INSERT INTO public.ecdc_import VALUES (48368, '26/11/2020', '26', '11', '2020', '64', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '876.55646823');
INSERT INTO public.ecdc_import VALUES (48369, '25/11/2020', '25', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '911.38652657');
INSERT INTO public.ecdc_import VALUES (48370, '24/11/2020', '24', '11', '2020', '33', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '911.38652657');
INSERT INTO public.ecdc_import VALUES (48371, '23/11/2020', '23', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1021.68171132');
INSERT INTO public.ecdc_import VALUES (48372, '22/11/2020', '22', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1021.68171132');
INSERT INTO public.ecdc_import VALUES (48373, '21/11/2020', '21', '11', '2020', '37', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1021.68171132');
INSERT INTO public.ecdc_import VALUES (48374, '20/11/2020', '20', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '914.28903143');
INSERT INTO public.ecdc_import VALUES (48375, '19/11/2020', '19', '11', '2020', '68', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1056.51176966');
INSERT INTO public.ecdc_import VALUES (48376, '18/11/2020', '18', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '859.14143906');
INSERT INTO public.ecdc_import VALUES (48377, '17/11/2020', '17', '11', '2020', '37', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '1050.70675993');
INSERT INTO public.ecdc_import VALUES (48378, '16/11/2020', '16', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '943.31408005');
INSERT INTO public.ecdc_import VALUES (48379, '15/11/2020', '15', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '943.31408005');
INSERT INTO public.ecdc_import VALUES (48380, '14/11/2020', '14', '11', '2020', '63', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '943.31408005');
INSERT INTO public.ecdc_import VALUES (48381, '13/11/2020', '13', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '760.45627376');
INSERT INTO public.ecdc_import VALUES (48382, '12/11/2020', '12', '11', '2020', '76', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '763.35877863');
INSERT INTO public.ecdc_import VALUES (48383, '11/11/2020', '11', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '760.45627376');
INSERT INTO public.ecdc_import VALUES (48384, '10/11/2020', '10', '11', '2020', '71', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '760.45627376');
INSERT INTO public.ecdc_import VALUES (48385, '09/11/2020', '9', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '650.16108902');
INSERT INTO public.ecdc_import VALUES (48386, '08/11/2020', '8', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '650.16108902');
INSERT INTO public.ecdc_import VALUES (48387, '07/11/2020', '7', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '650.16108902');
INSERT INTO public.ecdc_import VALUES (48388, '06/11/2020', '6', '11', '2020', '49', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '699.50367167');
INSERT INTO public.ecdc_import VALUES (48389, '05/11/2020', '5', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '638.55106957');
INSERT INTO public.ecdc_import VALUES (48390, '04/11/2020', '4', '11', '2020', '66', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '661.77110847');
INSERT INTO public.ecdc_import VALUES (48391, '03/11/2020', '3', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '470.20578759');
INSERT INTO public.ecdc_import VALUES (48392, '02/11/2020', '2', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '490.52332163');
INSERT INTO public.ecdc_import VALUES (48393, '01/11/2020', '1', '11', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '490.52332163');
INSERT INTO public.ecdc_import VALUES (48394, '31/10/2020', '31', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '490.52332163');
INSERT INTO public.ecdc_import VALUES (48395, '30/10/2020', '30', '10', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '490.52332163');
INSERT INTO public.ecdc_import VALUES (48396, '29/10/2020', '29', '10', '2020', '75', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '507.9383508');
INSERT INTO public.ecdc_import VALUES (48397, '28/10/2020', '28', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '290.25048617');
INSERT INTO public.ecdc_import VALUES (48398, '27/10/2020', '27', '10', '2020', '33', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '290.25048617');
INSERT INTO public.ecdc_import VALUES (48399, '26/10/2020', '26', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '194.46782573');
INSERT INTO public.ecdc_import VALUES (48400, '25/10/2020', '25', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '194.46782573');
INSERT INTO public.ecdc_import VALUES (48401, '24/10/2020', '24', '10', '2020', '17', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '194.46782573');
INSERT INTO public.ecdc_import VALUES (48402, '23/10/2020', '23', '10', '2020', '28', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '145.12524308');
INSERT INTO public.ecdc_import VALUES (48403, '22/10/2020', '22', '10', '2020', '8', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '66.75761182');
INSERT INTO public.ecdc_import VALUES (48404, '21/10/2020', '21', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '43.53757293');
INSERT INTO public.ecdc_import VALUES (48405, '20/10/2020', '20', '10', '2020', '7', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '98.6851653');
INSERT INTO public.ecdc_import VALUES (48406, '19/10/2020', '19', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '78.36763127');
INSERT INTO public.ecdc_import VALUES (48407, '18/10/2020', '18', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '78.36763127');
INSERT INTO public.ecdc_import VALUES (48408, '17/10/2020', '17', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '78.36763127');
INSERT INTO public.ecdc_import VALUES (48409, '16/10/2020', '16', '10', '2020', '7', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '78.36763127');
INSERT INTO public.ecdc_import VALUES (48410, '15/10/2020', '15', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '58.05009723');
INSERT INTO public.ecdc_import VALUES (48411, '14/10/2020', '14', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '72.56262154');
INSERT INTO public.ecdc_import VALUES (48412, '13/10/2020', '13', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '72.56262154');
INSERT INTO public.ecdc_import VALUES (48413, '12/10/2020', '12', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '72.56262154');
INSERT INTO public.ecdc_import VALUES (48414, '11/10/2020', '11', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '72.56262154');
INSERT INTO public.ecdc_import VALUES (48415, '10/10/2020', '10', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '72.56262154');
INSERT INTO public.ecdc_import VALUES (48416, '09/10/2020', '9', '10', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '72.56262154');
INSERT INTO public.ecdc_import VALUES (48417, '08/10/2020', '8', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '81.27013613');
INSERT INTO public.ecdc_import VALUES (48418, '07/10/2020', '7', '10', '2020', '19', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '81.27013613');
INSERT INTO public.ecdc_import VALUES (48419, '06/10/2020', '6', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48420, '05/10/2020', '5', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48421, '04/10/2020', '4', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48422, '03/10/2020', '3', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48423, '02/10/2020', '2', '10', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48424, '01/10/2020', '1', '10', '2020', '5', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48425, '30/09/2020', '30', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '11.61001945');
INSERT INTO public.ecdc_import VALUES (48426, '29/09/2020', '29', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48427, '28/09/2020', '28', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48428, '27/09/2020', '27', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48429, '26/09/2020', '26', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48430, '25/09/2020', '25', '9', '2020', '4', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48431, '24/09/2020', '24', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48432, '23/09/2020', '23', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48433, '22/09/2020', '22', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48434, '21/09/2020', '21', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48435, '20/09/2020', '20', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48436, '19/09/2020', '19', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '23.22003889');
INSERT INTO public.ecdc_import VALUES (48437, '18/09/2020', '18', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '23.22003889');
INSERT INTO public.ecdc_import VALUES (48438, '17/09/2020', '17', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '23.22003889');
INSERT INTO public.ecdc_import VALUES (48439, '16/09/2020', '16', '9', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '23.22003889');
INSERT INTO public.ecdc_import VALUES (48440, '15/09/2020', '15', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48441, '14/09/2020', '14', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '34.83005834');
INSERT INTO public.ecdc_import VALUES (48442, '13/09/2020', '13', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '34.83005834');
INSERT INTO public.ecdc_import VALUES (48443, '12/09/2020', '12', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '34.83005834');
INSERT INTO public.ecdc_import VALUES (48444, '11/09/2020', '11', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '34.83005834');
INSERT INTO public.ecdc_import VALUES (48445, '10/09/2020', '10', '9', '2020', '6', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '34.83005834');
INSERT INTO public.ecdc_import VALUES (48446, '09/09/2020', '9', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '17.41502917');
INSERT INTO public.ecdc_import VALUES (48447, '08/09/2020', '8', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '17.41502917');
INSERT INTO public.ecdc_import VALUES (48448, '07/09/2020', '7', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '17.41502917');
INSERT INTO public.ecdc_import VALUES (48449, '06/09/2020', '6', '9', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '17.41502917');
INSERT INTO public.ecdc_import VALUES (48450, '05/09/2020', '5', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48451, '04/09/2020', '4', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48452, '03/09/2020', '3', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48453, '02/09/2020', '2', '9', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48454, '01/09/2020', '1', '9', '2020', '5', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '14.51252431');
INSERT INTO public.ecdc_import VALUES (48455, '31/08/2020', '31', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48456, '30/08/2020', '30', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48457, '29/08/2020', '29', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48458, '28/08/2020', '28', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48459, '27/08/2020', '27', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48460, '26/08/2020', '26', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48461, '25/08/2020', '25', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48462, '24/08/2020', '24', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48463, '23/08/2020', '23', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48464, '22/08/2020', '22', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48465, '21/08/2020', '21', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48466, '20/08/2020', '20', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48467, '19/08/2020', '19', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48468, '18/08/2020', '18', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48470, '16/08/2020', '16', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48471, '15/08/2020', '15', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48472, '14/08/2020', '14', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48473, '13/08/2020', '13', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48474, '12/08/2020', '12', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48475, '11/08/2020', '11', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48476, '10/08/2020', '10', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48477, '09/08/2020', '9', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48478, '08/08/2020', '8', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48479, '07/08/2020', '7', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48480, '06/08/2020', '6', '8', '2020', '11', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48481, '05/08/2020', '5', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48482, '04/08/2020', '4', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48483, '03/08/2020', '3', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48484, '02/08/2020', '2', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48485, '01/08/2020', '1', '8', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48486, '31/07/2020', '31', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48487, '30/07/2020', '30', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48488, '29/07/2020', '29', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48489, '28/07/2020', '28', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48490, '27/07/2020', '27', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48491, '26/07/2020', '26', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48492, '25/07/2020', '25', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48493, '24/07/2020', '24', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48494, '23/07/2020', '23', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48495, '22/07/2020', '22', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48496, '21/07/2020', '21', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48497, '20/07/2020', '20', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48498, '19/07/2020', '19', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48499, '18/07/2020', '18', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48500, '17/07/2020', '17', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48501, '16/07/2020', '16', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48502, '15/07/2020', '15', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48503, '14/07/2020', '14', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48504, '13/07/2020', '13', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48505, '12/07/2020', '12', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48506, '11/07/2020', '11', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48507, '10/07/2020', '10', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48508, '09/07/2020', '9', '7', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48509, '08/07/2020', '8', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48510, '07/07/2020', '7', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48511, '06/07/2020', '6', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '5.80500972');
INSERT INTO public.ecdc_import VALUES (48512, '05/07/2020', '5', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '5.80500972');
INSERT INTO public.ecdc_import VALUES (48513, '04/07/2020', '4', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '5.80500972');
INSERT INTO public.ecdc_import VALUES (48514, '03/07/2020', '3', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '5.80500972');
INSERT INTO public.ecdc_import VALUES (48515, '02/07/2020', '2', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '5.80500972');
INSERT INTO public.ecdc_import VALUES (48516, '01/07/2020', '1', '7', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '11.61001945');
INSERT INTO public.ecdc_import VALUES (48517, '30/06/2020', '30', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '11.61001945');
INSERT INTO public.ecdc_import VALUES (48518, '29/06/2020', '29', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '11.61001945');
INSERT INTO public.ecdc_import VALUES (48519, '28/06/2020', '28', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '11.61001945');
INSERT INTO public.ecdc_import VALUES (48520, '27/06/2020', '27', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '11.61001945');
INSERT INTO public.ecdc_import VALUES (48521, '26/06/2020', '26', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48522, '25/06/2020', '25', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48523, '24/06/2020', '24', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '29.02504862');
INSERT INTO public.ecdc_import VALUES (48524, '23/06/2020', '23', '6', '2020', '2', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '31.92755348');
INSERT INTO public.ecdc_import VALUES (48525, '22/06/2020', '22', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48526, '21/06/2020', '21', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48527, '20/06/2020', '20', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48528, '19/06/2020', '19', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48529, '18/06/2020', '18', '6', '2020', '2', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '26.12254376');
INSERT INTO public.ecdc_import VALUES (48530, '17/06/2020', '17', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48531, '16/06/2020', '16', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '20.31753403');
INSERT INTO public.ecdc_import VALUES (48532, '15/06/2020', '15', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '66.75761182');
INSERT INTO public.ecdc_import VALUES (48533, '14/06/2020', '14', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '66.75761182');
INSERT INTO public.ecdc_import VALUES (48534, '13/06/2020', '13', '6', '2020', '3', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '66.75761182');
INSERT INTO public.ecdc_import VALUES (48535, '12/06/2020', '12', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '60.9526021');
INSERT INTO public.ecdc_import VALUES (48536, '11/06/2020', '11', '6', '2020', '3', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '69.66011668');
INSERT INTO public.ecdc_import VALUES (48537, '10/06/2020', '10', '6', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '63.85510696');
INSERT INTO public.ecdc_import VALUES (48538, '09/06/2020', '9', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '60.9526021');
INSERT INTO public.ecdc_import VALUES (48539, '08/06/2020', '8', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '63.85510696');
INSERT INTO public.ecdc_import VALUES (48540, '07/06/2020', '7', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '63.85510696');
INSERT INTO public.ecdc_import VALUES (48541, '06/06/2020', '6', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '75.4651264');
INSERT INTO public.ecdc_import VALUES (48542, '05/06/2020', '5', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '84.17264099');
INSERT INTO public.ecdc_import VALUES (48543, '04/06/2020', '4', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '89.97765071');
INSERT INTO public.ecdc_import VALUES (48544, '03/06/2020', '3', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '92.88015557');
INSERT INTO public.ecdc_import VALUES (48545, '02/06/2020', '2', '6', '2020', '16', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '95.78266044');
INSERT INTO public.ecdc_import VALUES (48546, '01/06/2020', '1', '6', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '49.34258265');
INSERT INTO public.ecdc_import VALUES (48547, '31/05/2020', '31', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '52.24508751');
INSERT INTO public.ecdc_import VALUES (48548, '30/05/2020', '30', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '55.14759237');
INSERT INTO public.ecdc_import VALUES (48549, '29/05/2020', '29', '5', '2020', '3', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '63.85510696');
INSERT INTO public.ecdc_import VALUES (48550, '28/05/2020', '28', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '69.66011668');
INSERT INTO public.ecdc_import VALUES (48551, '27/05/2020', '27', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '81.27013613');
INSERT INTO public.ecdc_import VALUES (48552, '26/05/2020', '26', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '110.29518474');
INSERT INTO public.ecdc_import VALUES (48553, '25/05/2020', '25', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '107.39267988');
INSERT INTO public.ecdc_import VALUES (48554, '24/05/2020', '24', '5', '2020', '4', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '81.27013613');
INSERT INTO public.ecdc_import VALUES (48555, '23/05/2020', '23', '5', '2020', '3', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '110.29518474');
INSERT INTO public.ecdc_import VALUES (48556, '22/05/2020', '22', '5', '2020', '2', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '104.49017502');
INSERT INTO public.ecdc_import VALUES (48557, '21/05/2020', '21', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '139.32023336');
INSERT INTO public.ecdc_import VALUES (48558, '20/05/2020', '20', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '191.56532087');
INSERT INTO public.ecdc_import VALUES (48559, '19/05/2020', '19', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '208.98035004');
INSERT INTO public.ecdc_import VALUES (48560, '18/05/2020', '18', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '208.98035004');
INSERT INTO public.ecdc_import VALUES (48561, '17/05/2020', '17', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '211.8828549');
INSERT INTO public.ecdc_import VALUES (48562, '16/05/2020', '16', '5', '2020', '4', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '208.98035004');
INSERT INTO public.ecdc_import VALUES (48563, '15/05/2020', '15', '5', '2020', '5', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '229.29788407');
INSERT INTO public.ecdc_import VALUES (48564, '14/05/2020', '14', '5', '2020', '5', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '232.20038894');
INSERT INTO public.ecdc_import VALUES (48565, '13/05/2020', '13', '5', '2020', '10', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '246.71291324');
INSERT INTO public.ecdc_import VALUES (48566, '12/05/2020', '12', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '261.22543755');
INSERT INTO public.ecdc_import VALUES (48567, '11/05/2020', '11', '5', '2020', '-9', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '261.22543755');
INSERT INTO public.ecdc_import VALUES (48568, '10/05/2020', '10', '5', '2020', '14', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '359.91060285');
INSERT INTO public.ecdc_import VALUES (48569, '09/05/2020', '9', '5', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '319.27553479');
INSERT INTO public.ecdc_import VALUES (48570, '08/05/2020', '8', '5', '2020', '14', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '351.20308827');
INSERT INTO public.ecdc_import VALUES (48571, '07/05/2020', '7', '5', '2020', '19', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '348.3005834');
INSERT INTO public.ecdc_import VALUES (48572, '06/05/2020', '6', '5', '2020', '7', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '327.98304937');
INSERT INTO public.ecdc_import VALUES (48573, '05/05/2020', '5', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '348.3005834');
INSERT INTO public.ecdc_import VALUES (48574, '04/05/2020', '4', '5', '2020', '2', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '351.20308827');
INSERT INTO public.ecdc_import VALUES (48575, '03/05/2020', '3', '5', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '362.81310771');
INSERT INTO public.ecdc_import VALUES (48576, '02/05/2020', '2', '5', '2020', '11', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '420.86320495');
INSERT INTO public.ecdc_import VALUES (48577, '01/05/2020', '1', '5', '2020', '6', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '415.05819522');
INSERT INTO public.ecdc_import VALUES (48578, '30/04/2020', '30', '4', '2020', '10', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '496.32833135');
INSERT INTO public.ecdc_import VALUES (48579, '29/04/2020', '29', '4', '2020', '15', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '525.35337997');
INSERT INTO public.ecdc_import VALUES (48580, '28/04/2020', '28', '4', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '528.25588483');
INSERT INTO public.ecdc_import VALUES (48581, '27/04/2020', '27', '4', '2020', '25', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '528.25588483');
INSERT INTO public.ecdc_import VALUES (48582, '26/04/2020', '26', '4', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '455.69326329');
INSERT INTO public.ecdc_import VALUES (48583, '25/04/2020', '25', '4', '2020', '12', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '490.52332163');
INSERT INTO public.ecdc_import VALUES (48584, '24/04/2020', '24', '4', '2020', '13', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '487.62081676');
INSERT INTO public.ecdc_import VALUES (48585, '23/04/2020', '23', '4', '2020', '12', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '522.45087511');
INSERT INTO public.ecdc_import VALUES (48586, '22/04/2020', '22', '4', '2020', '14', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '571.79345775');
INSERT INTO public.ecdc_import VALUES (48587, '21/04/2020', '21', '4', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '536.96339941');
INSERT INTO public.ecdc_import VALUES (48588, '20/04/2020', '20', '4', '2020', '6', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '565.98844803');
INSERT INTO public.ecdc_import VALUES (48589, '19/04/2020', '19', '4', '2020', '20', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '568.89095289');
INSERT INTO public.ecdc_import VALUES (48590, '18/04/2020', '18', '4', '2020', '9', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '534.06089455');
INSERT INTO public.ecdc_import VALUES (48591, '17/04/2020', '17', '4', '2020', '34', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '525.35337997');
INSERT INTO public.ecdc_import VALUES (48592, '16/04/2020', '16', '4', '2020', '20', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '452.79075842');
INSERT INTO public.ecdc_import VALUES (48593, '15/04/2020', '15', '4', '2020', '16', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '412.15569036');
INSERT INTO public.ecdc_import VALUES (48594, '14/04/2020', '14', '4', '2020', '0', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '368.61811744');
INSERT INTO public.ecdc_import VALUES (48595, '13/04/2020', '13', '4', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '368.61811744');
INSERT INTO public.ecdc_import VALUES (48596, '12/04/2020', '12', '4', '2020', '12', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '383.13064174');
INSERT INTO public.ecdc_import VALUES (48597, '11/04/2020', '11', '4', '2020', '11', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '351.20308827');
INSERT INTO public.ecdc_import VALUES (48598, '10/04/2020', '10', '4', '2020', '25', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '333.78805909');
INSERT INTO public.ecdc_import VALUES (48599, '09/04/2020', '9', '4', '2020', '29', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '290.25048617');
INSERT INTO public.ecdc_import VALUES (48600, '08/04/2020', '8', '4', '2020', '2', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '267.03044728');
INSERT INTO public.ecdc_import VALUES (48601, '07/04/2020', '7', '4', '2020', '11', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '261.22543755');
INSERT INTO public.ecdc_import VALUES (48602, '06/04/2020', '6', '4', '2020', '7', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '333.78805909');
INSERT INTO public.ecdc_import VALUES (48603, '05/04/2020', '5', '4', '2020', '8', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '313.47052506');
INSERT INTO public.ecdc_import VALUES (48604, '04/04/2020', '4', '4', '2020', '6', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '290.25048617');
INSERT INTO public.ecdc_import VALUES (48605, '03/04/2020', '3', '4', '2020', '9', '4', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '345.39807854');
INSERT INTO public.ecdc_import VALUES (48606, '02/04/2020', '2', '4', '2020', '6', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '368.61811744');
INSERT INTO public.ecdc_import VALUES (48607, '01/04/2020', '1', '4', '2020', '1', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '365.71561257');
INSERT INTO public.ecdc_import VALUES (48608, '31/03/2020', '31', '3', '2020', '0', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '368.61811744');
INSERT INTO public.ecdc_import VALUES (48609, '30/03/2020', '30', '3', '2020', '5', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '380.22813688');
INSERT INTO public.ecdc_import VALUES (48610, '29/03/2020', '29', '3', '2020', '1', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '383.13064174');
INSERT INTO public.ecdc_import VALUES (48611, '28/03/2020', '28', '3', '2020', '5', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '435.37572925');
INSERT INTO public.ecdc_import VALUES (48612, '27/03/2020', '27', '3', '2020', '10', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '438.27823412');
INSERT INTO public.ecdc_import VALUES (48613, '26/03/2020', '26', '3', '2020', '21', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '412.15569036');
INSERT INTO public.ecdc_import VALUES (48614, '25/03/2020', '25', '3', '2020', '0', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '362.81310771');
INSERT INTO public.ecdc_import VALUES (48615, '24/03/2020', '24', '3', '2020', '36', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '400.54567091');
INSERT INTO public.ecdc_import VALUES (48616, '23/03/2020', '23', '3', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '330.88555423');
INSERT INTO public.ecdc_import VALUES (48617, '22/03/2020', '22', '3', '2020', '0', '6', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '362.81310771');
INSERT INTO public.ecdc_import VALUES (48618, '21/03/2020', '21', '3', '2020', '25', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '371.5206223');
INSERT INTO public.ecdc_import VALUES (48619, '20/03/2020', '20', '3', '2020', '17', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '301.86050562');
INSERT INTO public.ecdc_import VALUES (48620, '19/03/2020', '19', '3', '2020', '5', '3', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '272.835457');
INSERT INTO public.ecdc_import VALUES (48621, '18/03/2020', '18', '3', '2020', '2', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '272.835457');
INSERT INTO public.ecdc_import VALUES (48622, '17/03/2020', '17', '3', '2020', '4', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '272.835457');
INSERT INTO public.ecdc_import VALUES (48623, '16/03/2020', '16', '3', '2020', '6', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '281.54297158');
INSERT INTO public.ecdc_import VALUES (48624, '15/03/2020', '15', '3', '2020', '19', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '264.12794241');
INSERT INTO public.ecdc_import VALUES (48625, '14/03/2020', '14', '3', '2020', '6', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '208.98035004');
INSERT INTO public.ecdc_import VALUES (48626, '13/03/2020', '13', '3', '2020', '1', '2', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '194.46782573');
INSERT INTO public.ecdc_import VALUES (48627, '12/03/2020', '12', '3', '2020', '4', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '191.56532087');
INSERT INTO public.ecdc_import VALUES (48628, '11/03/2020', '11', '3', '2020', '13', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '179.95530143');
INSERT INTO public.ecdc_import VALUES (48629, '10/03/2020', '10', '3', '2020', '12', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '142.22273822');
INSERT INTO public.ecdc_import VALUES (48630, '09/03/2020', '9', '3', '2020', '11', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '107.39267988');
INSERT INTO public.ecdc_import VALUES (48631, '08/03/2020', '8', '3', '2020', '3', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '75.4651264');
INSERT INTO public.ecdc_import VALUES (48632, '07/03/2020', '7', '3', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '66.75761182');
INSERT INTO public.ecdc_import VALUES (48633, '06/03/2020', '6', '3', '2020', '7', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '63.85510696');
INSERT INTO public.ecdc_import VALUES (48634, '05/03/2020', '5', '3', '2020', '5', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '43.53757293');
INSERT INTO public.ecdc_import VALUES (48635, '04/03/2020', '4', '3', '2020', '2', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '29.02504862');
INSERT INTO public.ecdc_import VALUES (48636, '02/03/2020', '2', '3', '2020', '7', '1', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '23.22003889');
INSERT INTO public.ecdc_import VALUES (48637, '01/03/2020', '1', '3', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48638, '29/02/2020', '29', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48639, '28/02/2020', '28', '2', '2020', '1', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '2.90250486');
INSERT INTO public.ecdc_import VALUES (48640, '27/02/2020', '27', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48641, '26/02/2020', '26', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48642, '25/02/2020', '25', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48643, '24/02/2020', '24', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48644, '23/02/2020', '23', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48645, '22/02/2020', '22', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48646, '21/02/2020', '21', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48647, '20/02/2020', '20', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48648, '19/02/2020', '19', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48649, '18/02/2020', '18', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48650, '17/02/2020', '17', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48651, '16/02/2020', '16', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48652, '15/02/2020', '15', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48653, '14/02/2020', '14', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48654, '13/02/2020', '13', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48655, '12/02/2020', '12', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48656, '11/02/2020', '11', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48657, '10/02/2020', '10', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48658, '09/02/2020', '9', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48659, '08/02/2020', '8', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48660, '07/02/2020', '7', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48661, '06/02/2020', '6', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48662, '05/02/2020', '5', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48663, '04/02/2020', '4', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48664, '03/02/2020', '3', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48665, '02/02/2020', '2', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48666, '01/02/2020', '1', '2', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48667, '31/01/2020', '31', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48668, '30/01/2020', '30', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48669, '29/01/2020', '29', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48670, '28/01/2020', '28', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48671, '27/01/2020', '27', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48672, '26/01/2020', '26', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48673, '25/01/2020', '25', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48674, '24/01/2020', '24', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48675, '23/01/2020', '23', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48676, '22/01/2020', '22', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48677, '21/01/2020', '21', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48678, '20/01/2020', '20', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48679, '19/01/2020', '19', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48680, '18/01/2020', '18', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48681, '17/01/2020', '17', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48682, '16/01/2020', '16', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48683, '15/01/2020', '15', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48684, '14/01/2020', '14', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48685, '13/01/2020', '13', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (48686, '12/01/2020', '12', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48687, '11/01/2020', '11', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48688, '10/01/2020', '10', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48689, '09/01/2020', '9', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48690, '08/01/2020', '8', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48691, '07/01/2020', '7', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48692, '06/01/2020', '6', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48693, '05/01/2020', '5', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48694, '04/01/2020', '4', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48695, '03/01/2020', '3', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48696, '02/01/2020', '2', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48697, '01/01/2020', '1', '1', '2020', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48698, '31/12/2019', '31', '12', '2019', '0', '0', '34453', 'San_Marino', 'SM', 'SMR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (48699, '14/12/2020', '14', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.30024925');
INSERT INTO public.ecdc_import VALUES (48700, '13/12/2020', '13', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.1602991');
INSERT INTO public.ecdc_import VALUES (48701, '12/12/2020', '12', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.1602991');
INSERT INTO public.ecdc_import VALUES (48702, '11/12/2020', '11', '12', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.1602991');
INSERT INTO public.ecdc_import VALUES (48703, '10/12/2020', '10', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48704, '09/12/2020', '9', '12', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.1602991');
INSERT INTO public.ecdc_import VALUES (48705, '08/12/2020', '8', '12', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48706, '07/12/2020', '7', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.30024925');
INSERT INTO public.ecdc_import VALUES (48707, '06/12/2020', '6', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.30024925');
INSERT INTO public.ecdc_import VALUES (48708, '05/12/2020', '5', '12', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.62531156');
INSERT INTO public.ecdc_import VALUES (48709, '04/12/2020', '4', '12', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48710, '03/12/2020', '3', '12', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '13.95037387');
INSERT INTO public.ecdc_import VALUES (48711, '02/12/2020', '2', '12', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '13.48536141');
INSERT INTO public.ecdc_import VALUES (48712, '01/12/2020', '1', '12', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '12.09032402');
INSERT INTO public.ecdc_import VALUES (48713, '30/11/2020', '30', '11', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.1602991');
INSERT INTO public.ecdc_import VALUES (48714, '29/11/2020', '29', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48715, '28/11/2020', '28', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48716, '27/11/2020', '27', '11', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48717, '26/11/2020', '26', '11', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.30024925');
INSERT INTO public.ecdc_import VALUES (48718, '25/11/2020', '25', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48719, '24/11/2020', '24', '11', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48720, '23/11/2020', '23', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.90521186');
INSERT INTO public.ecdc_import VALUES (48721, '22/11/2020', '22', '11', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.90521186');
INSERT INTO public.ecdc_import VALUES (48722, '21/11/2020', '21', '11', '2020', '0', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48723, '20/11/2020', '20', '11', '2020', '7', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48724, '19/11/2020', '19', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.18511216');
INSERT INTO public.ecdc_import VALUES (48725, '18/11/2020', '18', '11', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.04516201');
INSERT INTO public.ecdc_import VALUES (48726, '17/11/2020', '17', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48727, '16/11/2020', '16', '11', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48728, '15/11/2020', '15', '11', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48729, '14/11/2020', '14', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48730, '13/11/2020', '13', '11', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48731, '12/11/2020', '12', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48732, '11/11/2020', '11', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48733, '10/11/2020', '10', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48734, '09/11/2020', '9', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48735, '08/11/2020', '8', '11', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48736, '07/11/2020', '7', '11', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48737, '06/11/2020', '6', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48738, '05/11/2020', '5', '11', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48739, '04/11/2020', '4', '11', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48740, '03/11/2020', '3', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48741, '02/11/2020', '2', '11', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48742, '01/11/2020', '1', '11', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.04516201');
INSERT INTO public.ecdc_import VALUES (48743, '31/10/2020', '31', '10', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.04516201');
INSERT INTO public.ecdc_import VALUES (48744, '30/10/2020', '30', '10', '2020', '1', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.97518694');
INSERT INTO public.ecdc_import VALUES (48745, '29/10/2020', '29', '10', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48746, '28/10/2020', '28', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48747, '27/10/2020', '27', '10', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48748, '26/10/2020', '26', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48749, '25/10/2020', '25', '10', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48750, '24/10/2020', '24', '10', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48751, '23/10/2020', '23', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48752, '22/10/2020', '22', '10', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48753, '21/10/2020', '21', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48754, '20/10/2020', '20', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.30024925');
INSERT INTO public.ecdc_import VALUES (48755, '19/10/2020', '19', '10', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.30024925');
INSERT INTO public.ecdc_import VALUES (48756, '18/10/2020', '18', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48757, '17/10/2020', '17', '10', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48758, '16/10/2020', '16', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48759, '15/10/2020', '15', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48760, '14/10/2020', '14', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48761, '13/10/2020', '13', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48762, '12/10/2020', '12', '10', '2020', '7', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48763, '11/10/2020', '11', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48764, '10/10/2020', '10', '10', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48765, '09/10/2020', '9', '10', '2020', '7', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48766, '08/10/2020', '8', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48767, '07/10/2020', '7', '10', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48768, '06/10/2020', '6', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48769, '05/10/2020', '5', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48770, '04/10/2020', '4', '10', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48771, '03/10/2020', '3', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.39503739');
INSERT INTO public.ecdc_import VALUES (48772, '02/10/2020', '2', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48773, '01/10/2020', '1', '10', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48774, '30/09/2020', '30', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48775, '29/09/2020', '29', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48776, '28/09/2020', '28', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48777, '27/09/2020', '27', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48778, '26/09/2020', '26', '9', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.32506231');
INSERT INTO public.ecdc_import VALUES (48779, '25/09/2020', '25', '9', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.18511216');
INSERT INTO public.ecdc_import VALUES (48780, '24/09/2020', '24', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48781, '23/09/2020', '23', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48782, '22/09/2020', '22', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48783, '21/09/2020', '21', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48784, '20/09/2020', '20', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48785, '19/09/2020', '19', '9', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48786, '18/09/2020', '18', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48787, '17/09/2020', '17', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48788, '16/09/2020', '16', '9', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48789, '15/09/2020', '15', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48790, '14/09/2020', '14', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48791, '13/09/2020', '13', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48792, '12/09/2020', '12', '9', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48793, '11/09/2020', '11', '9', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '3.25508724');
INSERT INTO public.ecdc_import VALUES (48794, '10/09/2020', '10', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48795, '09/09/2020', '9', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48796, '08/09/2020', '8', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48797, '07/09/2020', '7', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48798, '06/09/2020', '6', '9', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '2.79007477');
INSERT INTO public.ecdc_import VALUES (48799, '05/09/2020', '5', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.18511216');
INSERT INTO public.ecdc_import VALUES (48800, '04/09/2020', '4', '9', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48801, '03/09/2020', '3', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48802, '02/09/2020', '2', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48803, '01/09/2020', '1', '9', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48804, '31/08/2020', '31', '8', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48805, '30/08/2020', '30', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48806, '29/08/2020', '29', '8', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48807, '28/08/2020', '28', '8', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48808, '27/08/2020', '27', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48809, '26/08/2020', '26', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48810, '25/08/2020', '25', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48811, '24/08/2020', '24', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48812, '23/08/2020', '23', '8', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48813, '22/08/2020', '22', '8', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48814, '21/08/2020', '21', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '3.25508724');
INSERT INTO public.ecdc_import VALUES (48815, '20/08/2020', '20', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '3.25508724');
INSERT INTO public.ecdc_import VALUES (48816, '19/08/2020', '19', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48817, '18/08/2020', '18', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48818, '17/08/2020', '17', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48819, '16/08/2020', '16', '8', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.11513709');
INSERT INTO public.ecdc_import VALUES (48820, '15/08/2020', '15', '8', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48821, '14/08/2020', '14', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48822, '13/08/2020', '13', '8', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48823, '12/08/2020', '12', '8', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48824, '11/08/2020', '11', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.04516201');
INSERT INTO public.ecdc_import VALUES (48825, '10/08/2020', '10', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.97518694');
INSERT INTO public.ecdc_import VALUES (48826, '09/08/2020', '9', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48827, '08/08/2020', '8', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48828, '07/08/2020', '7', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '59.98660764');
INSERT INTO public.ecdc_import VALUES (48829, '06/08/2020', '6', '8', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '60.91663257');
INSERT INTO public.ecdc_import VALUES (48830, '05/08/2020', '5', '8', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '59.98660764');
INSERT INTO public.ecdc_import VALUES (48831, '04/08/2020', '4', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '59.52159518');
INSERT INTO public.ecdc_import VALUES (48832, '03/08/2020', '3', '8', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '59.52159518');
INSERT INTO public.ecdc_import VALUES (48833, '02/08/2020', '2', '8', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '60.91663257');
INSERT INTO public.ecdc_import VALUES (48834, '01/08/2020', '1', '8', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '60.4516201');
INSERT INTO public.ecdc_import VALUES (48835, '31/07/2020', '31', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '60.4516201');
INSERT INTO public.ecdc_import VALUES (48836, '30/07/2020', '30', '7', '2020', '1', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '60.91663257');
INSERT INTO public.ecdc_import VALUES (48837, '29/07/2020', '29', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '62.77668242');
INSERT INTO public.ecdc_import VALUES (48838, '28/07/2020', '28', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '61.84665749');
INSERT INTO public.ecdc_import VALUES (48839, '27/07/2020', '27', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '62.31166995');
INSERT INTO public.ecdc_import VALUES (48840, '26/07/2020', '26', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '62.77668242');
INSERT INTO public.ecdc_import VALUES (48841, '25/07/2020', '25', '7', '2020', '111', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '61.84665749');
INSERT INTO public.ecdc_import VALUES (48842, '24/07/2020', '24', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48843, '23/07/2020', '23', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48844, '22/07/2020', '22', '7', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48845, '21/07/2020', '21', '7', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.62531156');
INSERT INTO public.ecdc_import VALUES (48846, '20/07/2020', '20', '7', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '12.09032402');
INSERT INTO public.ecdc_import VALUES (48847, '19/07/2020', '19', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '11.1602991');
INSERT INTO public.ecdc_import VALUES (48848, '18/07/2020', '18', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48849, '17/07/2020', '17', '7', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.69528663');
INSERT INTO public.ecdc_import VALUES (48850, '16/07/2020', '16', '7', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48851, '15/07/2020', '15', '7', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.37022432');
INSERT INTO public.ecdc_import VALUES (48852, '14/07/2020', '14', '7', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48853, '13/07/2020', '13', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.4401994');
INSERT INTO public.ecdc_import VALUES (48854, '12/07/2020', '12', '7', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48855, '11/07/2020', '11', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.97518694');
INSERT INTO public.ecdc_import VALUES (48856, '10/07/2020', '10', '7', '2020', '2', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.97518694');
INSERT INTO public.ecdc_import VALUES (48857, '09/07/2020', '9', '7', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48858, '08/07/2020', '8', '7', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '7.90521186');
INSERT INTO public.ecdc_import VALUES (48859, '07/07/2020', '7', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '8.83523678');
INSERT INTO public.ecdc_import VALUES (48860, '06/07/2020', '6', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '10.23027417');
INSERT INTO public.ecdc_import VALUES (48861, '05/07/2020', '5', '7', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '9.76526171');
INSERT INTO public.ecdc_import VALUES (48862, '04/07/2020', '4', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '12.09032402');
INSERT INTO public.ecdc_import VALUES (48863, '03/07/2020', '3', '7', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '13.48536141');
INSERT INTO public.ecdc_import VALUES (48864, '02/07/2020', '2', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '14.88039879');
INSERT INTO public.ecdc_import VALUES (48865, '01/07/2020', '1', '7', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '19.99553588');
INSERT INTO public.ecdc_import VALUES (48866, '30/06/2020', '30', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '24.18064804');
INSERT INTO public.ecdc_import VALUES (48867, '29/06/2020', '29', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '24.18064804');
INSERT INTO public.ecdc_import VALUES (48868, '28/06/2020', '28', '6', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '25.11067297');
INSERT INTO public.ecdc_import VALUES (48869, '27/06/2020', '27', '6', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '28.83077266');
INSERT INTO public.ecdc_import VALUES (48870, '26/06/2020', '26', '6', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '33.48089729');
INSERT INTO public.ecdc_import VALUES (48871, '25/06/2020', '25', '6', '2020', '3', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '36.27097206');
INSERT INTO public.ecdc_import VALUES (48872, '24/06/2020', '24', '6', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '89.74740523');
INSERT INTO public.ecdc_import VALUES (48873, '23/06/2020', '23', '6', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '87.42234292');
INSERT INTO public.ecdc_import VALUES (48874, '22/06/2020', '22', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '85.56229307');
INSERT INTO public.ecdc_import VALUES (48875, '21/06/2020', '21', '6', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '86.02730553');
INSERT INTO public.ecdc_import VALUES (48876, '20/06/2020', '20', '6', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '85.56229307');
INSERT INTO public.ecdc_import VALUES (48877, '19/06/2020', '19', '6', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '87.88735538');
INSERT INTO public.ecdc_import VALUES (48878, '18/06/2020', '18', '6', '2020', '12', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '92.53748');
INSERT INTO public.ecdc_import VALUES (48879, '17/06/2020', '17', '6', '2020', '10', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '86.95733046');
INSERT INTO public.ecdc_import VALUES (48880, '16/06/2020', '16', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '82.30720583');
INSERT INTO public.ecdc_import VALUES (48881, '15/06/2020', '15', '6', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '82.7722183');
INSERT INTO public.ecdc_import VALUES (48882, '14/06/2020', '14', '6', '2020', '9', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '83.70224322');
INSERT INTO public.ecdc_import VALUES (48883, '13/06/2020', '13', '6', '2020', '11', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '86.95733046');
INSERT INTO public.ecdc_import VALUES (48884, '12/06/2020', '12', '6', '2020', '7', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '84.16725568');
INSERT INTO public.ecdc_import VALUES (48885, '11/06/2020', '11', '6', '2020', '118', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '87.88735538');
INSERT INTO public.ecdc_import VALUES (48886, '10/06/2020', '10', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '33.94590975');
INSERT INTO public.ecdc_import VALUES (48887, '09/06/2020', '9', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '99.9776794');
INSERT INTO public.ecdc_import VALUES (48888, '08/06/2020', '8', '6', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '99.9776794');
INSERT INTO public.ecdc_import VALUES (48889, '07/06/2020', '7', '6', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '103.23276664');
INSERT INTO public.ecdc_import VALUES (48890, '06/06/2020', '6', '6', '2020', '10', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '119.97321528');
INSERT INTO public.ecdc_import VALUES (48891, '05/06/2020', '5', '6', '2020', '15', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '115.32309066');
INSERT INTO public.ecdc_import VALUES (48892, '04/06/2020', '4', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '108.34790372');
INSERT INTO public.ecdc_import VALUES (48893, '03/06/2020', '3', '6', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '108.34790372');
INSERT INTO public.ecdc_import VALUES (48894, '02/06/2020', '2', '6', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '110.67296604');
INSERT INTO public.ecdc_import VALUES (48895, '01/06/2020', '1', '6', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '115.32309066');
INSERT INTO public.ecdc_import VALUES (48896, '31/05/2020', '31', '5', '2020', '16', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '113.46304081');
INSERT INTO public.ecdc_import VALUES (48897, '30/05/2020', '30', '5', '2020', '5', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '106.02284141');
INSERT INTO public.ecdc_import VALUES (48898, '29/05/2020', '29', '5', '2020', '15', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '103.6977791');
INSERT INTO public.ecdc_import VALUES (48899, '28/05/2020', '28', '5', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '96.72259217');
INSERT INTO public.ecdc_import VALUES (48900, '27/05/2020', '27', '5', '2020', '142', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '102.76775418');
INSERT INTO public.ecdc_import VALUES (48901, '26/05/2020', '26', '5', '2020', '0', '2', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '40.45608422');
INSERT INTO public.ecdc_import VALUES (48902, '25/05/2020', '25', '5', '2020', '8', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '42.31613407');
INSERT INTO public.ecdc_import VALUES (48903, '24/05/2020', '24', '5', '2020', '40', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '38.59603437');
INSERT INTO public.ecdc_import VALUES (48904, '23/05/2020', '23', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '19.99553588');
INSERT INTO public.ecdc_import VALUES (48905, '22/05/2020', '22', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '29.76079759');
INSERT INTO public.ecdc_import VALUES (48906, '21/05/2020', '21', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '35.8059596');
INSERT INTO public.ecdc_import VALUES (48907, '20/05/2020', '20', '5', '2020', '5', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '35.8059596');
INSERT INTO public.ecdc_import VALUES (48908, '19/05/2020', '19', '5', '2020', '11', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '33.48089729');
INSERT INTO public.ecdc_import VALUES (48909, '18/05/2020', '18', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '100.90770433');
INSERT INTO public.ecdc_import VALUES (48910, '17/05/2020', '17', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '100.90770433');
INSERT INTO public.ecdc_import VALUES (48911, '16/05/2020', '16', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '100.90770433');
INSERT INTO public.ecdc_import VALUES (48912, '15/05/2020', '15', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '101.83772925');
INSERT INTO public.ecdc_import VALUES (48913, '14/05/2020', '14', '5', '2020', '15', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '102.76775418');
INSERT INTO public.ecdc_import VALUES (48914, '13/05/2020', '13', '5', '2020', '8', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '97.18760463');
INSERT INTO public.ecdc_import VALUES (48915, '12/05/2020', '12', '5', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '94.86254232');
INSERT INTO public.ecdc_import VALUES (48916, '11/05/2020', '11', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '93.00249247');
INSERT INTO public.ecdc_import VALUES (48917, '10/05/2020', '10', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '93.00249247');
INSERT INTO public.ecdc_import VALUES (48918, '09/05/2020', '9', '5', '2020', '21', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '93.00249247');
INSERT INTO public.ecdc_import VALUES (48919, '08/05/2020', '8', '5', '2020', '13', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '83.23723076');
INSERT INTO public.ecdc_import VALUES (48920, '07/05/2020', '7', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '77.65708121');
INSERT INTO public.ecdc_import VALUES (48921, '06/05/2020', '6', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '79.0521186');
INSERT INTO public.ecdc_import VALUES (48922, '05/05/2020', '5', '5', '2020', '156', '2', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '79.0521186');
INSERT INTO public.ecdc_import VALUES (48923, '04/05/2020', '4', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48924, '03/05/2020', '3', '5', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48925, '02/05/2020', '2', '5', '2020', '2', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '6.51017447');
INSERT INTO public.ecdc_import VALUES (48926, '01/05/2020', '1', '5', '2020', '2', '1', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '5.58014955');
INSERT INTO public.ecdc_import VALUES (48927, '30/04/2020', '30', '4', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '4.65012462');
INSERT INTO public.ecdc_import VALUES (48928, '29/04/2020', '29', '4', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '3.25508724');
INSERT INTO public.ecdc_import VALUES (48929, '28/04/2020', '28', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48930, '27/04/2020', '27', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48931, '26/04/2020', '26', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48932, '25/04/2020', '25', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48933, '24/04/2020', '24', '4', '2020', '1', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48934, '23/04/2020', '23', '4', '2020', '3', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.39503739');
INSERT INTO public.ecdc_import VALUES (48935, '22/04/2020', '22', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '1.86004985');
INSERT INTO public.ecdc_import VALUES (48936, '21/04/2020', '21', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48937, '20/04/2020', '20', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48938, '19/04/2020', '19', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48939, '18/04/2020', '18', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48940, '17/04/2020', '17', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48941, '16/04/2020', '16', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48942, '15/04/2020', '15', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48943, '14/04/2020', '14', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48944, '13/04/2020', '13', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48945, '12/04/2020', '12', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48946, '11/04/2020', '11', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48947, '10/04/2020', '10', '4', '2020', '0', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48948, '09/04/2020', '9', '4', '2020', '4', '0', '215048', 'Sao_Tome_and_Principe', 'ST', 'STP', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (48949, '14/12/2020', '14', '12', '2020', '139', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '8.05403699');
INSERT INTO public.ecdc_import VALUES (48950, '13/12/2020', '13', '12', '2020', '166', '13', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '8.28165107');
INSERT INTO public.ecdc_import VALUES (48951, '12/12/2020', '12', '12', '2020', '168', '11', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '8.43923006');
INSERT INTO public.ecdc_import VALUES (48952, '11/12/2020', '11', '12', '2020', '141', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '8.83025939');
INSERT INTO public.ecdc_import VALUES (48953, '10/12/2020', '10', '12', '2020', '159', '13', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '9.3584408');
INSERT INTO public.ecdc_import VALUES (48954, '09/12/2020', '9', '12', '2020', '193', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '9.8457684');
INSERT INTO public.ecdc_import VALUES (48955, '08/12/2020', '8', '12', '2020', '209', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.01793803');
INSERT INTO public.ecdc_import VALUES (48956, '07/12/2020', '7', '12', '2020', '187', '11', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.08213688');
INSERT INTO public.ecdc_import VALUES (48957, '06/12/2020', '6', '12', '2020', '190', '14', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.19010766');
INSERT INTO public.ecdc_import VALUES (48958, '05/12/2020', '5', '12', '2020', '234', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.28056967');
INSERT INTO public.ecdc_import VALUES (48959, '04/12/2020', '4', '12', '2020', '230', '11', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.4323124');
INSERT INTO public.ecdc_import VALUES (48960, '03/12/2020', '3', '12', '2020', '249', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.69202591');
INSERT INTO public.ecdc_import VALUES (48961, '02/12/2020', '2', '12', '2020', '263', '11', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.81166921');
INSERT INTO public.ecdc_import VALUES (48962, '01/12/2020', '1', '12', '2020', '232', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '11.10056402');
INSERT INTO public.ecdc_import VALUES (48963, '30/11/2020', '30', '11', '2020', '217', '14', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '11.30191494');
INSERT INTO public.ecdc_import VALUES (48964, '29/11/2020', '29', '11', '2020', '220', '13', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '11.55871033');
INSERT INTO public.ecdc_import VALUES (48965, '28/11/2020', '28', '11', '2020', '302', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '11.93514901');
INSERT INTO public.ecdc_import VALUES (48966, '27/11/2020', '27', '11', '2020', '322', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '12.34076899');
INSERT INTO public.ecdc_import VALUES (48967, '26/11/2020', '26', '11', '2020', '326', '14', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '12.30866957');
INSERT INTO public.ecdc_import VALUES (48968, '25/11/2020', '25', '11', '2020', '252', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '12.50710236');
INSERT INTO public.ecdc_import VALUES (48969, '24/11/2020', '24', '11', '2020', '231', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '13.14617269');
INSERT INTO public.ecdc_import VALUES (48970, '23/11/2020', '23', '11', '2020', '224', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '13.61599151');
INSERT INTO public.ecdc_import VALUES (48971, '22/11/2020', '22', '11', '2020', '221', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '14.02161149');
INSERT INTO public.ecdc_import VALUES (48972, '21/11/2020', '21', '11', '2020', '286', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '14.56438355');
INSERT INTO public.ecdc_import VALUES (48973, '20/11/2020', '20', '11', '2020', '319', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.00210295');
INSERT INTO public.ecdc_import VALUES (48974, '19/11/2020', '19', '11', '2020', '290', '18', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.38437789');
INSERT INTO public.ecdc_import VALUES (48975, '18/11/2020', '18', '11', '2020', '362', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.78124348');
INSERT INTO public.ecdc_import VALUES (48976, '17/11/2020', '17', '11', '2020', '301', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.10515584');
INSERT INTO public.ecdc_import VALUES (48977, '16/11/2020', '16', '11', '2020', '305', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.33860619');
INSERT INTO public.ecdc_import VALUES (48978, '15/11/2020', '15', '11', '2020', '349', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.53995711');
INSERT INTO public.ecdc_import VALUES (48979, '14/11/2020', '14', '11', '2020', '441', '20', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.69461797');
INSERT INTO public.ecdc_import VALUES (48980, '13/11/2020', '13', '11', '2020', '311', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.56913841');
INSERT INTO public.ecdc_import VALUES (48981, '12/11/2020', '12', '11', '2020', '394', '14', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.93098645');
INSERT INTO public.ecdc_import VALUES (48982, '11/11/2020', '11', '11', '2020', '471', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.99518529');
INSERT INTO public.ecdc_import VALUES (48983, '10/11/2020', '10', '11', '2020', '392', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.78507998');
INSERT INTO public.ecdc_import VALUES (48984, '09/11/2020', '9', '11', '2020', '363', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.68294545');
INSERT INTO public.ecdc_import VALUES (48985, '08/11/2020', '8', '11', '2020', '407', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.56622028');
INSERT INTO public.ecdc_import VALUES (48986, '07/11/2020', '7', '11', '2020', '436', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.53120273');
INSERT INTO public.ecdc_import VALUES (48987, '06/11/2020', '6', '11', '2020', '450', '18', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.37654187');
INSERT INTO public.ecdc_import VALUES (48988, '05/11/2020', '5', '11', '2020', '426', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.23355353');
INSERT INTO public.ecdc_import VALUES (48989, '04/11/2020', '4', '11', '2020', '473', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.17227282');
INSERT INTO public.ecdc_import VALUES (48990, '03/11/2020', '3', '11', '2020', '381', '35', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.91547743');
INSERT INTO public.ecdc_import VALUES (48991, '02/11/2020', '2', '11', '2020', '374', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.91547743');
INSERT INTO public.ecdc_import VALUES (48992, '01/11/2020', '1', '11', '2020', '402', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.83960607');
INSERT INTO public.ecdc_import VALUES (48993, '31/10/2020', '31', '10', '2020', '398', '20', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.71412651');
INSERT INTO public.ecdc_import VALUES (48994, '30/10/2020', '30', '10', '2020', '435', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.81626104');
INSERT INTO public.ecdc_import VALUES (48995, '29/10/2020', '29', '10', '2020', '416', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.92423182');
INSERT INTO public.ecdc_import VALUES (48996, '28/10/2020', '28', '10', '2020', '399', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.17227282');
INSERT INTO public.ecdc_import VALUES (48997, '27/10/2020', '27', '10', '2020', '357', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.39113252');
INSERT INTO public.ecdc_import VALUES (48998, '26/10/2020', '26', '10', '2020', '323', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.36486935');
INSERT INTO public.ecdc_import VALUES (48999, '25/10/2020', '25', '10', '2020', '395', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.36486935');
INSERT INTO public.ecdc_import VALUES (49000, '24/10/2020', '24', '10', '2020', '383', '14', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.39405065');
INSERT INTO public.ecdc_import VALUES (49001, '23/10/2020', '23', '10', '2020', '401', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.46408575');
INSERT INTO public.ecdc_import VALUES (49002, '22/10/2020', '22', '10', '2020', '405', '18', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.52244834');
INSERT INTO public.ecdc_import VALUES (49003, '21/10/2020', '21', '10', '2020', '385', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.70629049');
INSERT INTO public.ecdc_import VALUES (49004, '20/10/2020', '20', '10', '2020', '381', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.97475839');
INSERT INTO public.ecdc_import VALUES (49005, '19/10/2020', '19', '10', '2020', '348', '20', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '16.96892213');
INSERT INTO public.ecdc_import VALUES (49006, '18/10/2020', '18', '10', '2020', '359', '21', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.09148356');
INSERT INTO public.ecdc_import VALUES (49007, '17/10/2020', '17', '10', '2020', '433', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.26657132');
INSERT INTO public.ecdc_import VALUES (49008, '16/10/2020', '16', '10', '2020', '472', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.40664153');
INSERT INTO public.ecdc_import VALUES (49009, '15/10/2020', '15', '10', '2020', '501', '21', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.46500412');
INSERT INTO public.ecdc_import VALUES (49010, '14/10/2020', '14', '10', '2020', '474', '19', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.22279938');
INSERT INTO public.ecdc_import VALUES (49011, '13/10/2020', '13', '10', '2020', '348', '25', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.41247779');
INSERT INTO public.ecdc_import VALUES (49012, '12/10/2020', '12', '10', '2020', '323', '25', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.72471763');
INSERT INTO public.ecdc_import VALUES (49013, '11/10/2020', '11', '10', '2020', '405', '22', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.95816797');
INSERT INTO public.ecdc_import VALUES (49014, '10/10/2020', '10', '10', '2020', '407', '24', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '18.12158322');
INSERT INTO public.ecdc_import VALUES (49015, '09/10/2020', '9', '10', '2020', '421', '25', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '18.31126162');
INSERT INTO public.ecdc_import VALUES (49016, '08/10/2020', '8', '10', '2020', '468', '24', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '18.53595758');
INSERT INTO public.ecdc_import VALUES (49017, '07/10/2020', '7', '10', '2020', '477', '25', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '18.80734361');
INSERT INTO public.ecdc_import VALUES (49018, '06/10/2020', '6', '10', '2020', '379', '23', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '19.02620331');
INSERT INTO public.ecdc_import VALUES (49019, '05/10/2020', '5', '10', '2020', '390', '25', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '19.35595193');
INSERT INTO public.ecdc_import VALUES (49020, '04/10/2020', '4', '10', '2020', '419', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '19.62733796');
INSERT INTO public.ecdc_import VALUES (49021, '03/10/2020', '3', '10', '2020', '481', '29', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '20.01253103');
INSERT INTO public.ecdc_import VALUES (49022, '02/10/2020', '2', '10', '2020', '492', '26', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '20.28975332');
INSERT INTO public.ecdc_import VALUES (49023, '01/10/2020', '1', '10', '2020', '418', '29', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '20.58448438');
INSERT INTO public.ecdc_import VALUES (49024, '30/09/2020', '30', '9', '2020', '539', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '21.17686464');
INSERT INTO public.ecdc_import VALUES (49025, '29/09/2020', '29', '9', '2020', '455', '29', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '21.56497584');
INSERT INTO public.ecdc_import VALUES (49026, '28/09/2020', '28', '9', '2020', '403', '28', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '22.0085315');
INSERT INTO public.ecdc_import VALUES (49027, '27/09/2020', '27', '9', '2020', '461', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '22.58632111');
INSERT INTO public.ecdc_import VALUES (49028, '26/09/2020', '26', '9', '2020', '472', '26', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '23.11742065');
INSERT INTO public.ecdc_import VALUES (49029, '25/09/2020', '25', '9', '2020', '498', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '23.74481846');
INSERT INTO public.ecdc_import VALUES (49030, '24/09/2020', '24', '9', '2020', '561', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '24.35762562');
INSERT INTO public.ecdc_import VALUES (49031, '23/09/2020', '23', '9', '2020', '552', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '24.9821053');
INSERT INTO public.ecdc_import VALUES (49032, '22/09/2020', '22', '9', '2020', '492', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '25.24473694');
INSERT INTO public.ecdc_import VALUES (49033, '21/09/2020', '21', '9', '2020', '483', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '26.05014064');
INSERT INTO public.ecdc_import VALUES (49034, '20/09/2020', '20', '9', '2020', '551', '28', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '27.25240993');
INSERT INTO public.ecdc_import VALUES (49035, '19/09/2020', '19', '9', '2020', '576', '31', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '27.95276097');
INSERT INTO public.ecdc_import VALUES (49036, '18/09/2020', '18', '9', '2020', '593', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '28.67062079');
INSERT INTO public.ecdc_import VALUES (49037, '17/09/2020', '17', '9', '2020', '621', '31', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '29.37097183');
INSERT INTO public.ecdc_import VALUES (49038, '16/09/2020', '16', '9', '2020', '672', '33', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '29.94000705');
INSERT INTO public.ecdc_import VALUES (49039, '15/09/2020', '15', '9', '2020', '607', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '30.59950429');
INSERT INTO public.ecdc_import VALUES (49040, '14/09/2020', '14', '9', '2020', '601', '28', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '31.60334078');
INSERT INTO public.ecdc_import VALUES (49041, '13/09/2020', '13', '9', '2020', '643', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '32.50504275');
INSERT INTO public.ecdc_import VALUES (49042, '12/09/2020', '12', '9', '2020', '687', '24', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '33.50887924');
INSERT INTO public.ecdc_import VALUES (49043, '11/09/2020', '11', '9', '2020', '708', '24', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '34.62360465');
INSERT INTO public.ecdc_import VALUES (49044, '10/09/2020', '10', '9', '2020', '775', '28', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '35.53114287');
INSERT INTO public.ecdc_import VALUES (49045, '09/09/2020', '9', '9', '2020', '642', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '36.38615477');
INSERT INTO public.ecdc_import VALUES (49046, '08/09/2020', '8', '9', '2020', '768', '26', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '37.76351182');
INSERT INTO public.ecdc_import VALUES (49047, '07/09/2020', '7', '9', '2020', '895', '32', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '38.95119046');
INSERT INTO public.ecdc_import VALUES (49048, '06/09/2020', '6', '9', '2020', '791', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '39.57567014');
INSERT INTO public.ecdc_import VALUES (49049, '05/09/2020', '5', '9', '2020', '822', '33', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '40.72249497');
INSERT INTO public.ecdc_import VALUES (49050, '04/09/2020', '4', '9', '2020', '833', '26', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '41.86348355');
INSERT INTO public.ecdc_import VALUES (49051, '03/09/2020', '3', '9', '2020', '816', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '43.18831427');
INSERT INTO public.ecdc_import VALUES (49052, '02/09/2020', '2', '9', '2020', '898', '32', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '44.75534973');
INSERT INTO public.ecdc_import VALUES (49053, '01/09/2020', '1', '9', '2020', '951', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '46.27569511');
INSERT INTO public.ecdc_import VALUES (49054, '31/08/2020', '31', '8', '2020', '910', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '47.50422757');
INSERT INTO public.ecdc_import VALUES (49055, '30/08/2020', '30', '8', '2020', '987', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '48.42927457');
INSERT INTO public.ecdc_import VALUES (49056, '29/08/2020', '29', '8', '2020', '1069', '28', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '49.67239767');
INSERT INTO public.ecdc_import VALUES (49057, '28/08/2020', '28', '8', '2020', '1019', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '50.58869028');
INSERT INTO public.ecdc_import VALUES (49058, '27/08/2020', '27', '8', '2020', '1068', '33', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '51.93978417');
INSERT INTO public.ecdc_import VALUES (49059, '26/08/2020', '26', '8', '2020', '1114', '31', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '53.40176697');
INSERT INTO public.ecdc_import VALUES (49060, '25/08/2020', '25', '8', '2020', '1175', '42', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '54.58944561');
INSERT INTO public.ecdc_import VALUES (49061, '24/08/2020', '24', '8', '2020', '1109', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '54.82873222');
INSERT INTO public.ecdc_import VALUES (49062, '23/08/2020', '23', '8', '2020', '1184', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '55.75961548');
INSERT INTO public.ecdc_import VALUES (49063, '22/08/2020', '22', '8', '2020', '1213', '32', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '56.59128234');
INSERT INTO public.ecdc_import VALUES (49064, '21/08/2020', '21', '8', '2020', '1287', '42', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '57.62430013');
INSERT INTO public.ecdc_import VALUES (49065, '20/08/2020', '20', '8', '2020', '1353', '36', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '57.959885');
INSERT INTO public.ecdc_import VALUES (49066, '19/08/2020', '19', '8', '2020', '1419', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '58.06493766');
INSERT INTO public.ecdc_import VALUES (49067, '18/08/2020', '18', '8', '2020', '1372', '28', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '57.8402417');
INSERT INTO public.ecdc_import VALUES (49068, '17/08/2020', '17', '8', '2020', '1227', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '57.50757495');
INSERT INTO public.ecdc_import VALUES (49069, '16/08/2020', '16', '8', '2020', '1413', '31', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '57.88693177');
INSERT INTO public.ecdc_import VALUES (49070, '15/08/2020', '15', '8', '2020', '1383', '35', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '58.35383246');
INSERT INTO public.ecdc_import VALUES (49071, '14/08/2020', '14', '8', '2020', '1482', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '59.23802565');
INSERT INTO public.ecdc_import VALUES (49072, '13/08/2020', '13', '8', '2020', '1569', '36', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '59.66699067');
INSERT INTO public.ecdc_import VALUES (49073, '12/08/2020', '12', '8', '2020', '1521', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '60.22143524');
INSERT INTO public.ecdc_import VALUES (49074, '11/08/2020', '11', '8', '2020', '1257', '32', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '61.31865187');
INSERT INTO public.ecdc_import VALUES (49075, '10/08/2020', '10', '8', '2020', '1428', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '63.46639507');
INSERT INTO public.ecdc_import VALUES (49076, '09/08/2020', '9', '8', '2020', '1469', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '65.04218492');
INSERT INTO public.ecdc_import VALUES (49077, '08/08/2020', '8', '8', '2020', '1567', '38', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '67.17825559');
INSERT INTO public.ecdc_import VALUES (49078, '07/08/2020', '7', '8', '2020', '1402', '35', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '69.54485849');
INSERT INTO public.ecdc_import VALUES (49079, '06/08/2020', '6', '8', '2020', '1389', '36', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '71.98441462');
INSERT INTO public.ecdc_import VALUES (49080, '05/08/2020', '5', '8', '2020', '1342', '35', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '74.73329246');
INSERT INTO public.ecdc_import VALUES (49081, '04/08/2020', '4', '8', '2020', '1258', '32', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '78.04245114');
INSERT INTO public.ecdc_import VALUES (49082, '03/08/2020', '3', '8', '2020', '1357', '50', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '81.4595806');
INSERT INTO public.ecdc_import VALUES (49083, '02/08/2020', '2', '8', '2020', '1573', '1', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '84.80667495');
INSERT INTO public.ecdc_import VALUES (49084, '01/08/2020', '1', '8', '2020', '1686', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '87.70145926');
INSERT INTO public.ecdc_import VALUES (49085, '31/07/2020', '31', '7', '2020', '1629', '50', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '90.40656516');
INSERT INTO public.ecdc_import VALUES (49086, '30/07/2020', '30', '7', '2020', '1759', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '93.71864196');
INSERT INTO public.ecdc_import VALUES (49087, '29/07/2020', '29', '7', '2020', '1897', '29', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '96.37997592');
INSERT INTO public.ecdc_import VALUES (49088, '28/07/2020', '28', '7', '2020', '1993', '27', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '98.69988875');
INSERT INTO public.ecdc_import VALUES (49089, '27/07/2020', '27', '7', '2020', '1968', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '101.20656186');
INSERT INTO public.ecdc_import VALUES (49090, '26/07/2020', '26', '7', '2020', '2201', '31', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '103.57316475');
INSERT INTO public.ecdc_import VALUES (49091, '25/07/2020', '25', '7', '2020', '2378', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '105.88724132');
INSERT INTO public.ecdc_import VALUES (49092, '24/07/2020', '24', '7', '2020', '2238', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '108.16630034');
INSERT INTO public.ecdc_import VALUES (49093, '23/07/2020', '23', '7', '2020', '2331', '44', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '110.92393257');
INSERT INTO public.ecdc_import VALUES (49094, '22/07/2020', '22', '7', '2020', '2476', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '112.98121375');
INSERT INTO public.ecdc_import VALUES (49095, '21/07/2020', '21', '7', '2020', '2429', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '115.65422023');
INSERT INTO public.ecdc_import VALUES (49096, '20/07/2020', '20', '7', '2020', '2504', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '120.8426542');
INSERT INTO public.ecdc_import VALUES (49097, '19/07/2020', '19', '7', '2020', '2565', '40', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '123.98256138');
INSERT INTO public.ecdc_import VALUES (49098, '18/07/2020', '18', '7', '2020', '2613', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '128.54359754');
INSERT INTO public.ecdc_import VALUES (49099, '17/07/2020', '17', '7', '2020', '2764', '45', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '133.1542419');
INSERT INTO public.ecdc_import VALUES (49100, '16/07/2020', '16', '7', '2020', '2671', '42', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '134.96056396');
INSERT INTO public.ecdc_import VALUES (49101, '15/07/2020', '15', '7', '2020', '2692', '40', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '137.09371651');
INSERT INTO public.ecdc_import VALUES (49102, '14/07/2020', '14', '7', '2020', '2852', '20', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '142.03994575');
INSERT INTO public.ecdc_import VALUES (49103, '13/07/2020', '13', '7', '2020', '2779', '42', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '145.22362486');
INSERT INTO public.ecdc_import VALUES (49104, '12/07/2020', '12', '7', '2020', '2994', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '148.75456136');
INSERT INTO public.ecdc_import VALUES (49105, '11/07/2020', '11', '7', '2020', '3159', '51', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '151.47717604');
INSERT INTO public.ecdc_import VALUES (49106, '10/07/2020', '10', '7', '2020', '3183', '41', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '153.7503988');
INSERT INTO public.ecdc_import VALUES (49107, '09/07/2020', '9', '7', '2020', '3036', '42', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '154.30192524');
INSERT INTO public.ecdc_import VALUES (49108, '08/07/2020', '8', '7', '2020', '3392', '49', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '154.5558025');
INSERT INTO public.ecdc_import VALUES (49109, '07/07/2020', '7', '7', '2020', '4207', '52', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '153.81751577');
INSERT INTO public.ecdc_import VALUES (49110, '06/07/2020', '6', '7', '2020', '3580', '58', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '151.44215849');
INSERT INTO public.ecdc_import VALUES (49111, '05/07/2020', '5', '7', '2020', '4128', '56', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '150.85561449');
INSERT INTO public.ecdc_import VALUES (49112, '04/07/2020', '4', '7', '2020', '4193', '50', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '150.3099243');
INSERT INTO public.ecdc_import VALUES (49113, '03/07/2020', '3', '7', '2020', '3383', '54', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '150.62508227');
INSERT INTO public.ecdc_import VALUES (49114, '02/07/2020', '2', '7', '2020', '3402', '49', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '154.63459199');
INSERT INTO public.ecdc_import VALUES (49115, '01/07/2020', '1', '7', '2020', '4387', '50', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '159.0613942');
INSERT INTO public.ecdc_import VALUES (49116, '30/06/2020', '30', '6', '2020', '3943', '48', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '158.71121868');
INSERT INTO public.ecdc_import VALUES (49117, '29/06/2020', '29', '6', '2020', '3989', '40', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '160.35704363');
INSERT INTO public.ecdc_import VALUES (49118, '28/06/2020', '28', '6', '2020', '3927', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '161.06906719');
INSERT INTO public.ecdc_import VALUES (49119, '27/06/2020', '27', '6', '2020', '3938', '46', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '159.43199663');
INSERT INTO public.ecdc_import VALUES (49120, '26/06/2020', '26', '6', '2020', '3372', '41', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '159.38238843');
INSERT INTO public.ecdc_import VALUES (49121, '25/06/2020', '25', '6', '2020', '3123', '41', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '160.43583312');
INSERT INTO public.ecdc_import VALUES (49122, '24/06/2020', '24', '6', '2020', '3139', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '162.16920195');
INSERT INTO public.ecdc_import VALUES (49123, '23/06/2020', '23', '6', '2020', '3393', '40', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '162.60400322');
INSERT INTO public.ecdc_import VALUES (49124, '22/06/2020', '22', '6', '2020', '3379', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '162.53396812');
INSERT INTO public.ecdc_import VALUES (49125, '21/06/2020', '21', '6', '2020', '3941', '46', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '161.55931292');
INSERT INTO public.ecdc_import VALUES (49126, '20/06/2020', '20', '6', '2020', '4301', '45', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '159.16644686');
INSERT INTO public.ecdc_import VALUES (49127, '19/06/2020', '19', '6', '2020', '4757', '48', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '154.17644568');
INSERT INTO public.ecdc_import VALUES (49128, '18/06/2020', '18', '6', '2020', '4919', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '146.05820985');
INSERT INTO public.ecdc_import VALUES (49129, '17/06/2020', '17', '6', '2020', '4267', '41', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '138.03919042');
INSERT INTO public.ecdc_import VALUES (49130, '16/06/2020', '16', '6', '2020', '4507', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '131.04151626');
INSERT INTO public.ecdc_import VALUES (49131, '15/06/2020', '15', '6', '2020', '4233', '40', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '123.3785086');
INSERT INTO public.ecdc_import VALUES (49132, '14/06/2020', '14', '6', '2020', '3366', '39', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '116.50339587');
INSERT INTO public.ecdc_import VALUES (49133, '13/06/2020', '13', '6', '2020', '3921', '36', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '111.40250578');
INSERT INTO public.ecdc_import VALUES (49134, '12/06/2020', '12', '6', '2020', '3733', '38', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '104.57408312');
INSERT INTO public.ecdc_import VALUES (49135, '11/06/2020', '11', '6', '2020', '3717', '36', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '98.47811092');
INSERT INTO public.ecdc_import VALUES (49136, '10/06/2020', '10', '6', '2020', '3288', '37', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '92.92782891');
INSERT INTO public.ecdc_import VALUES (49137, '09/06/2020', '9', '6', '2020', '3369', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '88.96792739');
INSERT INTO public.ecdc_import VALUES (49138, '08/06/2020', '8', '6', '2020', '3045', '36', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '85.65876872');
INSERT INTO public.ecdc_import VALUES (49139, '07/06/2020', '7', '6', '2020', '3121', '34', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '83.77365717');
INSERT INTO public.ecdc_import VALUES (49140, '06/06/2020', '6', '6', '2020', '2591', '31', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '81.79224734');
INSERT INTO public.ecdc_import VALUES (49141, '05/06/2020', '5', '6', '2020', '1975', '32', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '81.94107194');
INSERT INTO public.ecdc_import VALUES (49142, '04/06/2020', '4', '6', '2020', '2171', '30', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '83.56646998');
INSERT INTO public.ecdc_import VALUES (49143, '03/06/2020', '3', '6', '2020', '1869', '24', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '85.08389724');
INSERT INTO public.ecdc_import VALUES (49144, '02/06/2020', '2', '6', '2020', '1881', '22', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '86.95150002');
INSERT INTO public.ecdc_import VALUES (49145, '01/06/2020', '1', '6', '2020', '1877', '23', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '89.02920811');
INSERT INTO public.ecdc_import VALUES (49146, '31/05/2020', '31', '5', '2020', '1618', '22', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '91.53588122');
INSERT INTO public.ecdc_import VALUES (49147, '30/05/2020', '30', '5', '2020', '1581', '17', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '95.10183527');
INSERT INTO public.ecdc_import VALUES (49148, '29/05/2020', '29', '5', '2020', '1644', '16', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '97.22039718');
INSERT INTO public.ecdc_import VALUES (49149, '28/05/2020', '28', '5', '2020', '1815', '14', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '98.37305827');
INSERT INTO public.ecdc_import VALUES (49150, '27/05/2020', '27', '5', '2020', '1931', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '98.63568991');
INSERT INTO public.ecdc_import VALUES (49151, '26/05/2020', '26', '5', '2020', '2235', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '98.57732732');
INSERT INTO public.ecdc_import VALUES (49152, '25/05/2020', '25', '5', '2020', '2399', '11', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '97.79235053');
INSERT INTO public.ecdc_import VALUES (49153, '24/05/2020', '24', '5', '2020', '2442', '15', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '96.37122154');
INSERT INTO public.ecdc_import VALUES (49154, '23/05/2020', '23', '5', '2020', '2642', '13', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '94.21764208');
INSERT INTO public.ecdc_import VALUES (49155, '22/05/2020', '22', '5', '2020', '2532', '12', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '91.47168237');
INSERT INTO public.ecdc_import VALUES (49156, '21/05/2020', '21', '5', '2020', '2691', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '89.31518479');
INSERT INTO public.ecdc_import VALUES (49157, '20/05/2020', '20', '5', '2020', '2509', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '86.38538293');
INSERT INTO public.ecdc_import VALUES (49158, '19/05/2020', '19', '5', '2020', '2593', '8', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '83.71821271');
INSERT INTO public.ecdc_import VALUES (49159, '18/05/2020', '18', '5', '2020', '2736', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '80.95182609');
INSERT INTO public.ecdc_import VALUES (49160, '17/05/2020', '17', '5', '2020', '2840', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '77.49676095');
INSERT INTO public.ecdc_import VALUES (49161, '16/05/2020', '16', '5', '2020', '2307', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '73.18376578');
INSERT INTO public.ecdc_import VALUES (49162, '15/05/2020', '15', '5', '2020', '2039', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '70.37360722');
INSERT INTO public.ecdc_import VALUES (49163, '14/05/2020', '14', '5', '2020', '1905', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '68.36593424');
INSERT INTO public.ecdc_import VALUES (49164, '13/05/2020', '13', '5', '2020', '1911', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '66.67341922');
INSERT INTO public.ecdc_import VALUES (49165, '12/05/2020', '12', '5', '2020', '1966', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '64.79122579');
INSERT INTO public.ecdc_import VALUES (49166, '11/05/2020', '11', '5', '2020', '1912', '7', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '62.81565223');
INSERT INTO public.ecdc_import VALUES (49167, '10/05/2020', '10', '5', '2020', '1704', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '60.80506111');
INSERT INTO public.ecdc_import VALUES (49168, '09/05/2020', '9', '5', '2020', '1701', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '59.32556953');
INSERT INTO public.ecdc_import VALUES (49169, '08/05/2020', '8', '5', '2020', '1793', '10', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '57.78187911');
INSERT INTO public.ecdc_import VALUES (49170, '07/05/2020', '7', '5', '2020', '1687', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '55.92886698');
INSERT INTO public.ecdc_import VALUES (49171, '06/05/2020', '6', '5', '2020', '1595', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '54.33556836');
INSERT INTO public.ecdc_import VALUES (49172, '05/05/2020', '5', '5', '2020', '1645', '7', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '53.02824641');
INSERT INTO public.ecdc_import VALUES (49173, '04/05/2020', '4', '5', '2020', '1552', '8', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '51.50206477');
INSERT INTO public.ecdc_import VALUES (49174, '03/05/2020', '3', '5', '2020', '1362', '7', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '50.14805275');
INSERT INTO public.ecdc_import VALUES (49175, '02/05/2020', '2', '5', '2020', '1344', '7', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '49.476883');
INSERT INTO public.ecdc_import VALUES (49176, '01/05/2020', '1', '5', '2020', '1351', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '47.77853173');
INSERT INTO public.ecdc_import VALUES (49177, '30/04/2020', '30', '4', '2020', '1325', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '45.34772998');
INSERT INTO public.ecdc_import VALUES (49178, '29/04/2020', '29', '4', '2020', '1266', '8', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '42.91984637');
INSERT INTO public.ecdc_import VALUES (49179, '28/04/2020', '28', '4', '2020', '1289', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '40.49488089');
INSERT INTO public.ecdc_import VALUES (49180, '27/04/2020', '27', '4', '2020', '1223', '3', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '38.11076921');
INSERT INTO public.ecdc_import VALUES (49181, '26/04/2020', '26', '4', '2020', '1197', '9', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '35.79377452');
INSERT INTO public.ecdc_import VALUES (49182, '25/04/2020', '25', '4', '2020', '1172', '6', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '33.4154991');
INSERT INTO public.ecdc_import VALUES (49183, '24/04/2020', '24', '4', '2020', '1158', '7', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '31.05765059');
INSERT INTO public.ecdc_import VALUES (49184, '23/04/2020', '23', '4', '2020', '1141', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '28.71439273');
INSERT INTO public.ecdc_import VALUES (49185, '22/04/2020', '22', '4', '2020', '1147', '6', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '25.78459087');
INSERT INTO public.ecdc_import VALUES (49186, '21/04/2020', '21', '4', '2020', '1122', '6', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '23.2312277');
INSERT INTO public.ecdc_import VALUES (49187, '20/04/2020', '20', '4', '2020', '1088', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '20.35978842');
INSERT INTO public.ecdc_import VALUES (49188, '19/04/2020', '19', '4', '2020', '1132', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '17.78599834');
INSERT INTO public.ecdc_import VALUES (49189, '18/04/2020', '18', '4', '2020', '762', '4', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '15.34060595');
INSERT INTO public.ecdc_import VALUES (49190, '17/04/2020', '17', '4', '2020', '518', '4', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '13.11699139');
INSERT INTO public.ecdc_import VALUES (49191, '16/04/2020', '16', '4', '2020', '493', '6', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '12.08689174');
INSERT INTO public.ecdc_import VALUES (49192, '15/04/2020', '15', '4', '2020', '435', '8', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '11.10640028');
INSERT INTO public.ecdc_import VALUES (49193, '14/04/2020', '14', '4', '2020', '472', '6', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '10.15800824');
INSERT INTO public.ecdc_import VALUES (49194, '13/04/2020', '13', '4', '2020', '429', '7', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '9.43431216');
INSERT INTO public.ecdc_import VALUES (49195, '12/04/2020', '12', '4', '2020', '382', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '8.25830604');
INSERT INTO public.ecdc_import VALUES (49196, '11/04/2020', '11', '4', '2020', '364', '3', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '7.43247544');
INSERT INTO public.ecdc_import VALUES (49197, '10/04/2020', '10', '4', '2020', '355', '3', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '6.63874425');
INSERT INTO public.ecdc_import VALUES (49198, '09/04/2020', '9', '4', '2020', '137', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '5.92963882');
INSERT INTO public.ecdc_import VALUES (49199, '08/04/2020', '8', '4', '2020', '272', '3', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '5.91796631');
INSERT INTO public.ecdc_import VALUES (49200, '07/04/2020', '7', '4', '2020', '138', '4', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '5.72245164');
INSERT INTO public.ecdc_import VALUES (49201, '06/04/2020', '6', '4', '2020', '206', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '5.46857439');
INSERT INTO public.ecdc_import VALUES (49202, '05/04/2020', '5', '4', '2020', '294', '8', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '5.21469714');
INSERT INTO public.ecdc_import VALUES (49203, '04/04/2020', '4', '4', '2020', '0', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '4.70110637');
INSERT INTO public.ecdc_import VALUES (49204, '03/04/2020', '3', '4', '2020', '165', '5', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '4.80615903');
INSERT INTO public.ecdc_import VALUES (49205, '02/04/2020', '2', '4', '2020', '157', '6', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '4.52018235');
INSERT INTO public.ecdc_import VALUES (49206, '01/04/2020', '1', '4', '2020', '110', '2', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '4.17292496');
INSERT INTO public.ecdc_import VALUES (49207, '31/03/2020', '31', '3', '2020', '224', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '3.85193073');
INSERT INTO public.ecdc_import VALUES (49208, '30/03/2020', '30', '3', '2020', '26', '4', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '3.2420417');
INSERT INTO public.ecdc_import VALUES (49209, '29/03/2020', '29', '3', '2020', '99', '1', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '3.25955048');
INSERT INTO public.ecdc_import VALUES (49210, '28/03/2020', '28', '3', '2020', '92', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '2.97065567');
INSERT INTO public.ecdc_import VALUES (49211, '27/03/2020', '27', '3', '2020', '112', '1', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '2.77222288');
INSERT INTO public.ecdc_import VALUES (49212, '26/03/2020', '26', '3', '2020', '133', '1', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '2.49500059');
INSERT INTO public.ecdc_import VALUES (49213, '25/03/2020', '25', '3', '2020', '205', '1', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '2.17984262');
INSERT INTO public.ecdc_import VALUES (49214, '24/03/2020', '24', '3', '2020', '51', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '1.59621675');
INSERT INTO public.ecdc_import VALUES (49215, '23/03/2020', '23', '3', '2020', '119', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '1.45906467');
INSERT INTO public.ecdc_import VALUES (49216, '22/03/2020', '22', '3', '2020', '118', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '1.1234798');
INSERT INTO public.ecdc_import VALUES (49217, '21/03/2020', '21', '3', '2020', '36', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '0.78497679');
INSERT INTO public.ecdc_import VALUES (49218, '20/03/2020', '20', '3', '2020', '67', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '0.69159665');
INSERT INTO public.ecdc_import VALUES (49219, '19/03/2020', '19', '3', '2020', '38', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '0.49900012');
INSERT INTO public.ecdc_import VALUES (49220, '18/03/2020', '18', '3', '2020', '0', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49221, '17/03/2020', '17', '3', '2020', '15', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49222, '16/03/2020', '16', '3', '2020', '32', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49223, '15/03/2020', '15', '3', '2020', '0', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49224, '14/03/2020', '14', '3', '2020', '24', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49225, '13/03/2020', '13', '3', '2020', '17', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49226, '12/03/2020', '12', '3', '2020', '25', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49227, '11/03/2020', '11', '3', '2020', '5', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49228, '10/03/2020', '10', '3', '2020', '4', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49229, '09/03/2020', '9', '3', '2020', '4', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49230, '08/03/2020', '8', '3', '2020', '2', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49231, '06/03/2020', '6', '3', '2020', '4', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49232, '03/03/2020', '3', '3', '2020', '1', '0', '34268529', 'Saudi_Arabia', 'SA', 'SAU', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (49233, '14/12/2020', '14', '12', '2020', '78', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.1363389');
INSERT INTO public.ecdc_import VALUES (49234, '13/12/2020', '13', '12', '2020', '104', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.95224873');
INSERT INTO public.ecdc_import VALUES (49235, '12/12/2020', '12', '12', '2020', '127', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.59634107');
INSERT INTO public.ecdc_import VALUES (49236, '11/12/2020', '11', '12', '2020', '101', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.94588915');
INSERT INTO public.ecdc_import VALUES (49237, '10/12/2020', '10', '12', '2020', '112', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.52861811');
INSERT INTO public.ecdc_import VALUES (49238, '09/12/2020', '9', '12', '2020', '0', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.95793859');
INSERT INTO public.ecdc_import VALUES (49239, '08/12/2020', '8', '12', '2020', '76', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.02543832');
INSERT INTO public.ecdc_import VALUES (49240, '07/12/2020', '7', '12', '2020', '80', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.65112164');
INSERT INTO public.ecdc_import VALUES (49241, '06/12/2020', '6', '12', '2020', '100', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.26453229');
INSERT INTO public.ecdc_import VALUES (49242, '05/12/2020', '5', '12', '2020', '80', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.75521616');
INSERT INTO public.ecdc_import VALUES (49243, '04/12/2020', '4', '12', '2020', '44', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.34408146');
INSERT INTO public.ecdc_import VALUES (49244, '03/12/2020', '3', '12', '2020', '66', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.14771861');
INSERT INTO public.ecdc_import VALUES (49245, '02/12/2020', '2', '12', '2020', '18', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.84703801');
INSERT INTO public.ecdc_import VALUES (49246, '01/12/2020', '1', '12', '2020', '14', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.7672656');
INSERT INTO public.ecdc_import VALUES (49247, '30/11/2020', '30', '11', '2020', '48', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.73044757');
INSERT INTO public.ecdc_import VALUES (49248, '29/11/2020', '29', '11', '2020', '46', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.52181205');
INSERT INTO public.ecdc_import VALUES (49249, '28/11/2020', '28', '11', '2020', '21', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.38681259');
INSERT INTO public.ecdc_import VALUES (49250, '27/11/2020', '27', '11', '2020', '33', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.3254492');
INSERT INTO public.ecdc_import VALUES (49251, '26/11/2020', '26', '11', '2020', '19', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.17817707');
INSERT INTO public.ecdc_import VALUES (49252, '25/11/2020', '25', '11', '2020', '11', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.15363171');
INSERT INTO public.ecdc_import VALUES (49253, '24/11/2020', '24', '11', '2020', '15', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.14135903');
INSERT INTO public.ecdc_import VALUES (49254, '23/11/2020', '23', '11', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.06772297');
INSERT INTO public.ecdc_import VALUES (49255, '22/11/2020', '22', '11', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.05545029');
INSERT INTO public.ecdc_import VALUES (49256, '21/11/2020', '21', '11', '2020', '13', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.05545029');
INSERT INTO public.ecdc_import VALUES (49257, '20/11/2020', '20', '11', '2020', '12', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.19658608');
INSERT INTO public.ecdc_import VALUES (49258, '19/11/2020', '19', '11', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.12295002');
INSERT INTO public.ecdc_import VALUES (49259, '18/11/2020', '18', '11', '2020', '5', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.03704127');
INSERT INTO public.ecdc_import VALUES (49260, '17/11/2020', '17', '11', '2020', '8', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.00635958');
INSERT INTO public.ecdc_import VALUES (49261, '16/11/2020', '16', '11', '2020', '14', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.00022324');
INSERT INTO public.ecdc_import VALUES (49262, '15/11/2020', '15', '11', '2020', '24', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.00022324');
INSERT INTO public.ecdc_import VALUES (49263, '14/11/2020', '14', '11', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.92045083');
INSERT INTO public.ecdc_import VALUES (49264, '13/11/2020', '13', '11', '2020', '9', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.92658717');
INSERT INTO public.ecdc_import VALUES (49265, '12/11/2020', '12', '11', '2020', '15', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.93885985');
INSERT INTO public.ecdc_import VALUES (49266, '11/11/2020', '11', '11', '2020', '9', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.9143145');
INSERT INTO public.ecdc_import VALUES (49267, '10/11/2020', '10', '11', '2020', '3', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.89590548');
INSERT INTO public.ecdc_import VALUES (49268, '09/11/2020', '9', '11', '2020', '15', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.96340521');
INSERT INTO public.ecdc_import VALUES (49269, '08/11/2020', '8', '11', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.92045083');
INSERT INTO public.ecdc_import VALUES (49270, '07/11/2020', '7', '11', '2020', '36', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.92658717');
INSERT INTO public.ecdc_import VALUES (49271, '06/11/2020', '6', '11', '2020', '0', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.80999673');
INSERT INTO public.ecdc_import VALUES (49272, '05/11/2020', '5', '11', '2020', '3', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.95726887');
INSERT INTO public.ecdc_import VALUES (49273, '04/11/2020', '4', '11', '2020', '0', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.09226832');
INSERT INTO public.ecdc_import VALUES (49274, '03/11/2020', '3', '11', '2020', '7', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.25794947');
INSERT INTO public.ecdc_import VALUES (49275, '02/11/2020', '2', '11', '2020', '14', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.30090385');
INSERT INTO public.ecdc_import VALUES (49276, '01/11/2020', '1', '11', '2020', '11', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.37453991');
INSERT INTO public.ecdc_import VALUES (49277, '31/10/2020', '31', '10', '2020', '12', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.45431232');
INSERT INTO public.ecdc_import VALUES (49278, '30/10/2020', '30', '10', '2020', '11', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.50340303');
INSERT INTO public.ecdc_import VALUES (49279, '29/10/2020', '29', '10', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.54022106');
INSERT INTO public.ecdc_import VALUES (49280, '28/10/2020', '28', '10', '2020', '6', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.61999347');
INSERT INTO public.ecdc_import VALUES (49281, '27/10/2020', '27', '10', '2020', '14', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.67522052');
INSERT INTO public.ecdc_import VALUES (49282, '26/10/2020', '26', '10', '2020', '8', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.73658391');
INSERT INTO public.ecdc_import VALUES (49283, '25/10/2020', '25', '10', '2020', '18', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.83476533');
INSERT INTO public.ecdc_import VALUES (49284, '24/10/2020', '24', '10', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.91453774');
INSERT INTO public.ecdc_import VALUES (49285, '23/10/2020', '23', '10', '2020', '24', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.95135577');
INSERT INTO public.ecdc_import VALUES (49286, '22/10/2020', '22', '10', '2020', '25', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.90226506');
INSERT INTO public.ecdc_import VALUES (49287, '21/10/2020', '21', '10', '2020', '27', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.95135577');
INSERT INTO public.ecdc_import VALUES (49288, '20/10/2020', '20', '10', '2020', '14', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.90226506');
INSERT INTO public.ecdc_import VALUES (49289, '19/10/2020', '19', '10', '2020', '26', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.9881738');
INSERT INTO public.ecdc_import VALUES (49290, '18/10/2020', '18', '10', '2020', '24', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.9881738');
INSERT INTO public.ecdc_import VALUES (49291, '17/10/2020', '17', '10', '2020', '20', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.94521943');
INSERT INTO public.ecdc_import VALUES (49292, '16/10/2020', '16', '10', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.0188555');
INSERT INTO public.ecdc_import VALUES (49293, '15/10/2020', '15', '10', '2020', '24', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.14158227');
INSERT INTO public.ecdc_import VALUES (49294, '14/10/2020', '14', '10', '2020', '15', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.22135468');
INSERT INTO public.ecdc_import VALUES (49295, '13/10/2020', '13', '10', '2020', '24', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.28885441');
INSERT INTO public.ecdc_import VALUES (49296, '12/10/2020', '12', '10', '2020', '24', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.20294566');
INSERT INTO public.ecdc_import VALUES (49297, '11/10/2020', '11', '10', '2020', '31', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.30112709');
INSERT INTO public.ecdc_import VALUES (49298, '10/10/2020', '10', '10', '2020', '23', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.43612654');
INSERT INTO public.ecdc_import VALUES (49299, '09/10/2020', '9', '10', '2020', '16', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.29499075');
INSERT INTO public.ecdc_import VALUES (49300, '08/10/2020', '8', '10', '2020', '33', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.32567244');
INSERT INTO public.ecdc_import VALUES (49301, '07/10/2020', '7', '10', '2020', '19', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.34408146');
INSERT INTO public.ecdc_import VALUES (49302, '06/10/2020', '6', '10', '2020', '28', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.35635414');
INSERT INTO public.ecdc_import VALUES (49303, '05/10/2020', '5', '10', '2020', '26', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.33180878');
INSERT INTO public.ecdc_import VALUES (49304, '04/10/2020', '4', '10', '2020', '17', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.33180878');
INSERT INTO public.ecdc_import VALUES (49305, '03/10/2020', '3', '10', '2020', '32', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.49135359');
INSERT INTO public.ecdc_import VALUES (49306, '02/10/2020', '2', '10', '2020', '37', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.4606719');
INSERT INTO public.ecdc_import VALUES (49307, '01/10/2020', '1', '10', '2020', '37', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.5404443');
INSERT INTO public.ecdc_import VALUES (49308, '30/09/2020', '30', '9', '2020', '26', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.55271698');
INSERT INTO public.ecdc_import VALUES (49309, '29/09/2020', '29', '9', '2020', '10', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.76157574');
INSERT INTO public.ecdc_import VALUES (49310, '28/09/2020', '28', '9', '2020', '40', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.85975717');
INSERT INTO public.ecdc_import VALUES (49311, '27/09/2020', '27', '9', '2020', '53', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.87816618');
INSERT INTO public.ecdc_import VALUES (49312, '26/09/2020', '26', '9', '2020', '0', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.82293913');
INSERT INTO public.ecdc_import VALUES (49313, '25/09/2020', '25', '9', '2020', '21', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.0868017');
INSERT INTO public.ecdc_import VALUES (49314, '24/09/2020', '24', '9', '2020', '36', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.25248285');
INSERT INTO public.ecdc_import VALUES (49315, '23/09/2020', '23', '9', '2020', '21', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.38748231');
INSERT INTO public.ecdc_import VALUES (49316, '22/09/2020', '22', '9', '2020', '24', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.44270936');
INSERT INTO public.ecdc_import VALUES (49317, '21/09/2020', '21', '9', '2020', '26', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.46111838');
INSERT INTO public.ecdc_import VALUES (49318, '20/09/2020', '20', '9', '2020', '43', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.54089078');
INSERT INTO public.ecdc_import VALUES (49319, '19/09/2020', '19', '9', '2020', '27', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.68816292');
INSERT INTO public.ecdc_import VALUES (49320, '18/09/2020', '18', '9', '2020', '50', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.85998041');
INSERT INTO public.ecdc_import VALUES (49321, '17/09/2020', '17', '9', '2020', '39', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.06247959');
INSERT INTO public.ecdc_import VALUES (49322, '16/09/2020', '16', '9', '2020', '223', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.28338779');
INSERT INTO public.ecdc_import VALUES (49323, '15/09/2020', '15', '9', '2020', '26', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.26475553');
INSERT INTO public.ecdc_import VALUES (49324, '14/09/2020', '14', '9', '2020', '43', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.44270936');
INSERT INTO public.ecdc_import VALUES (49325, '13/09/2020', '13', '9', '2020', '44', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.79248068');
INSERT INTO public.ecdc_import VALUES (49326, '12/09/2020', '12', '9', '2020', '43', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.96429817');
INSERT INTO public.ecdc_import VALUES (49327, '11/09/2020', '11', '9', '2020', '48', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.25270609');
INSERT INTO public.ecdc_import VALUES (49328, '10/09/2020', '10', '9', '2020', '58', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.62088643');
INSERT INTO public.ecdc_import VALUES (49329, '09/09/2020', '9', '9', '2020', '30', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.06270283');
INSERT INTO public.ecdc_import VALUES (49330, '08/09/2020', '8', '9', '2020', '27', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.14247523');
INSERT INTO public.ecdc_import VALUES (49331, '07/09/2020', '7', '9', '2020', '39', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.36951977');
INSERT INTO public.ecdc_import VALUES (49332, '06/09/2020', '6', '9', '2020', '67', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.73770011');
INSERT INTO public.ecdc_import VALUES (49333, '05/09/2020', '5', '9', '2020', '55', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.31451596');
INSERT INTO public.ecdc_import VALUES (49334, '04/09/2020', '4', '9', '2020', '83', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.77474138');
INSERT INTO public.ecdc_import VALUES (49335, '03/09/2020', '3', '9', '2020', '75', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.95883155');
INSERT INTO public.ecdc_import VALUES (49336, '02/09/2020', '2', '9', '2020', '57', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.36382991');
INSERT INTO public.ecdc_import VALUES (49337, '01/09/2020', '1', '9', '2020', '55', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.43132964');
INSERT INTO public.ecdc_import VALUES (49338, '31/08/2020', '31', '8', '2020', '100', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.55405642');
INSERT INTO public.ecdc_import VALUES (49339, '30/08/2020', '30', '8', '2020', '72', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.73814659');
INSERT INTO public.ecdc_import VALUES (49340, '29/08/2020', '29', '8', '2020', '90', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.27814441');
INSERT INTO public.ecdc_import VALUES (49341, '28/08/2020', '28', '8', '2020', '108', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.53587064');
INSERT INTO public.ecdc_import VALUES (49342, '27/08/2020', '27', '8', '2020', '130', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.81200589');
INSERT INTO public.ecdc_import VALUES (49343, '26/08/2020', '26', '8', '2020', '43', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.28450399');
INSERT INTO public.ecdc_import VALUES (49344, '25/08/2020', '25', '8', '2020', '64', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.43791246');
INSERT INTO public.ecdc_import VALUES (49345, '24/08/2020', '24', '8', '2020', '99', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.8858652');
INSERT INTO public.ecdc_import VALUES (49346, '23/08/2020', '23', '8', '2020', '161', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.14972777');
INSERT INTO public.ecdc_import VALUES (49347, '22/08/2020', '22', '8', '2020', '130', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.05768269');
INSERT INTO public.ecdc_import VALUES (49348, '21/08/2020', '21', '8', '2020', '113', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.31540892');
INSERT INTO public.ecdc_import VALUES (49349, '20/08/2020', '20', '8', '2020', '141', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.70813461');
INSERT INTO public.ecdc_import VALUES (49350, '19/08/2020', '19', '8', '2020', '68', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.49336275');
INSERT INTO public.ecdc_import VALUES (49351, '18/08/2020', '18', '8', '2020', '75', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.3583633');
INSERT INTO public.ecdc_import VALUES (49352, '17/08/2020', '17', '8', '2020', '130', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '11.15586411');
INSERT INTO public.ecdc_import VALUES (49353, '16/08/2020', '16', '8', '2020', '160', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.72632039');
INSERT INTO public.ecdc_import VALUES (49354, '15/08/2020', '15', '8', '2020', '132', '5', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.06359579');
INSERT INTO public.ecdc_import VALUES (49355, '14/08/2020', '14', '8', '2020', '153', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.02677776');
INSERT INTO public.ecdc_import VALUES (49356, '13/08/2020', '13', '8', '2020', '207', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.97768704');
INSERT INTO public.ecdc_import VALUES (49357, '12/08/2020', '12', '8', '2020', '68', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.66473376');
INSERT INTO public.ecdc_import VALUES (49358, '11/08/2020', '11', '8', '2020', '137', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.49905261');
INSERT INTO public.ecdc_import VALUES (49359, '10/08/2020', '10', '8', '2020', '142', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.16769031');
INSERT INTO public.ecdc_import VALUES (49360, '09/08/2020', '9', '8', '2020', '146', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.0879179');
INSERT INTO public.ecdc_import VALUES (49361, '08/08/2020', '8', '8', '2020', '172', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.98973648');
INSERT INTO public.ecdc_import VALUES (49362, '07/08/2020', '7', '8', '2020', '177', '9', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.89155506');
INSERT INTO public.ecdc_import VALUES (49363, '06/08/2020', '6', '8', '2020', '106', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.69519222');
INSERT INTO public.ecdc_import VALUES (49364, '05/08/2020', '5', '8', '2020', '46', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.87928238');
INSERT INTO public.ecdc_import VALUES (49365, '04/08/2020', '4', '8', '2020', '42', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.82405533');
INSERT INTO public.ecdc_import VALUES (49366, '03/08/2020', '3', '8', '2020', '60', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.41314387');
INSERT INTO public.ecdc_import VALUES (49367, '02/08/2020', '2', '8', '2020', '52', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.91018732');
INSERT INTO public.ecdc_import VALUES (49368, '01/08/2020', '1', '8', '2020', '126', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '10.35814006');
INSERT INTO public.ecdc_import VALUES (49369, '31/07/2020', '31', '7', '2020', '145', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.97155071');
INSERT INTO public.ecdc_import VALUES (49370, '30/07/2020', '30', '7', '2020', '156', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.76905152');
INSERT INTO public.ecdc_import VALUES (49371, '29/07/2020', '29', '7', '2020', '41', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.58496136');
INSERT INTO public.ecdc_import VALUES (49372, '28/07/2020', '28', '7', '2020', '83', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.60950671');
INSERT INTO public.ecdc_import VALUES (49373, '27/07/2020', '27', '7', '2020', '129', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.48677993');
INSERT INTO public.ecdc_import VALUES (49374, '26/07/2020', '26', '7', '2020', '130', '5', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.43768922');
INSERT INTO public.ecdc_import VALUES (49375, '25/07/2020', '25', '7', '2020', '156', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.4499619');
INSERT INTO public.ecdc_import VALUES (49376, '24/07/2020', '24', '7', '2020', '145', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.09405424');
INSERT INTO public.ecdc_import VALUES (49377, '23/07/2020', '23', '7', '2020', '136', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.98360014');
INSERT INTO public.ecdc_import VALUES (49378, '22/07/2020', '22', '7', '2020', '37', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.82405533');
INSERT INTO public.ecdc_import VALUES (49379, '21/07/2020', '21', '7', '2020', '138', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.02041818');
INSERT INTO public.ecdc_import VALUES (49380, '20/07/2020', '20', '7', '2020', '141', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.65223784');
INSERT INTO public.ecdc_import VALUES (49381, '19/07/2020', '19', '7', '2020', '125', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.57246544');
INSERT INTO public.ecdc_import VALUES (49382, '18/07/2020', '18', '7', '2020', '63', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.46814768');
INSERT INTO public.ecdc_import VALUES (49383, '17/07/2020', '17', '7', '2020', '112', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.7565556');
INSERT INTO public.ecdc_import VALUES (49384, '16/07/2020', '16', '7', '2020', '126', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.86087337');
INSERT INTO public.ecdc_import VALUES (49385, '15/07/2020', '15', '7', '2020', '45', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.8976914');
INSERT INTO public.ecdc_import VALUES (49386, '14/07/2020', '14', '7', '2020', '63', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.20450834');
INSERT INTO public.ecdc_import VALUES (49387, '13/07/2020', '13', '7', '2020', '121', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.50518895');
INSERT INTO public.ecdc_import VALUES (49388, '12/07/2020', '12', '7', '2020', '132', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.54200698');
INSERT INTO public.ecdc_import VALUES (49389, '11/07/2020', '11', '7', '2020', '98', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.37632583');
INSERT INTO public.ecdc_import VALUES (49390, '10/07/2020', '10', '7', '2020', '127', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.51746163');
INSERT INTO public.ecdc_import VALUES (49391, '09/07/2020', '9', '7', '2020', '110', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.37632583');
INSERT INTO public.ecdc_import VALUES (49392, '08/07/2020', '8', '7', '2020', '69', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.28428075');
INSERT INTO public.ecdc_import VALUES (49393, '07/07/2020', '7', '7', '2020', '78', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.25359905');
INSERT INTO public.ecdc_import VALUES (49394, '06/07/2020', '6', '7', '2020', '128', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.27814441');
INSERT INTO public.ecdc_import VALUES (49395, '05/07/2020', '5', '7', '2020', '108', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.41314387');
INSERT INTO public.ecdc_import VALUES (49396, '04/07/2020', '4', '7', '2020', '110', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.35791682');
INSERT INTO public.ecdc_import VALUES (49397, '03/07/2020', '3', '7', '2020', '129', '5', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.68927912');
INSERT INTO public.ecdc_import VALUES (49398, '02/07/2020', '2', '7', '2020', '132', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.54814332');
INSERT INTO public.ecdc_import VALUES (49399, '01/07/2020', '1', '7', '2020', '95', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.48677993');
INSERT INTO public.ecdc_import VALUES (49400, '30/06/2020', '30', '6', '2020', '112', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.35791682');
INSERT INTO public.ecdc_import VALUES (49401, '29/06/2020', '29', '6', '2020', '127', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.17996299');
INSERT INTO public.ecdc_import VALUES (49402, '28/06/2020', '28', '6', '2020', '105', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.9774638');
INSERT INTO public.ecdc_import VALUES (49403, '27/06/2020', '27', '6', '2020', '121', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.22291736');
INSERT INTO public.ecdc_import VALUES (49404, '26/06/2020', '26', '6', '2020', '104', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.04496353');
INSERT INTO public.ecdc_import VALUES (49405, '25/06/2020', '25', '6', '2020', '95', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.13700862');
INSERT INTO public.ecdc_import VALUES (49406, '24/06/2020', '24', '6', '2020', '64', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.31496244');
INSERT INTO public.ecdc_import VALUES (49407, '23/06/2020', '23', '6', '2020', '82', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.46837092');
INSERT INTO public.ecdc_import VALUES (49408, '22/06/2020', '22', '6', '2020', '150', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.57268868');
INSERT INTO public.ecdc_import VALUES (49409, '21/06/2020', '21', '6', '2020', '99', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.13700862');
INSERT INTO public.ecdc_import VALUES (49410, '20/06/2020', '20', '6', '2020', '164', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '9.10632692');
INSERT INTO public.ecdc_import VALUES (49411, '19/06/2020', '19', '6', '2020', '106', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.92223675');
INSERT INTO public.ecdc_import VALUES (49412, '18/06/2020', '18', '6', '2020', '122', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.81791899');
INSERT INTO public.ecdc_import VALUES (49413, '17/06/2020', '17', '6', '2020', '74', '6', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.65837418');
INSERT INTO public.ecdc_import VALUES (49414, '16/06/2020', '16', '6', '2020', '83', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.79950998');
INSERT INTO public.ecdc_import VALUES (49415, '15/06/2020', '15', '6', '2020', '94', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.8670097');
INSERT INTO public.ecdc_import VALUES (49416, '14/06/2020', '14', '6', '2020', '145', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.96519113');
INSERT INTO public.ecdc_import VALUES (49417, '13/06/2020', '13', '6', '2020', '92', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.72587391');
INSERT INTO public.ecdc_import VALUES (49418, '12/06/2020', '12', '6', '2020', '119', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.65837418');
INSERT INTO public.ecdc_import VALUES (49419, '11/06/2020', '11', '6', '2020', '124', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.51110205');
INSERT INTO public.ecdc_import VALUES (49420, '10/06/2020', '10', '6', '2020', '89', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.3147392');
INSERT INTO public.ecdc_import VALUES (49421, '09/06/2020', '9', '6', '2020', '99', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.95883155');
INSERT INTO public.ecdc_import VALUES (49422, '08/06/2020', '8', '6', '2020', '79', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.86065013');
INSERT INTO public.ecdc_import VALUES (49423, '07/06/2020', '7', '6', '2020', '94', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.81155941');
INSERT INTO public.ecdc_import VALUES (49424, '06/06/2020', '6', '6', '2020', '134', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.64587826');
INSERT INTO public.ecdc_import VALUES (49425, '05/06/2020', '5', '6', '2020', '89', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.41883372');
INSERT INTO public.ecdc_import VALUES (49426, '04/06/2020', '4', '6', '2020', '96', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.47406078');
INSERT INTO public.ecdc_import VALUES (49427, '03/06/2020', '3', '6', '2020', '97', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.48019711');
INSERT INTO public.ecdc_import VALUES (49428, '02/06/2020', '2', '6', '2020', '94', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.33292498');
INSERT INTO public.ecdc_import VALUES (49429, '01/06/2020', '1', '6', '2020', '110', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.14883481');
INSERT INTO public.ecdc_import VALUES (49430, '31/05/2020', '31', '5', '2020', '106', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.78679082');
INSERT INTO public.ecdc_import VALUES (49431, '30/05/2020', '30', '5', '2020', '81', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.86656322');
INSERT INTO public.ecdc_import VALUES (49432, '29/05/2020', '29', '5', '2020', '95', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.11201678');
INSERT INTO public.ecdc_import VALUES (49433, '28/05/2020', '28', '5', '2020', '92', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.04451705');
INSERT INTO public.ecdc_import VALUES (49434, '27/05/2020', '27', '5', '2020', '31', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.15497115');
INSERT INTO public.ecdc_import VALUES (49435, '26/05/2020', '26', '5', '2020', '83', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.63360559');
INSERT INTO public.ecdc_import VALUES (49436, '25/05/2020', '25', '5', '2020', '71', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.21042144');
INSERT INTO public.ecdc_import VALUES (49437, '24/05/2020', '24', '5', '2020', '67', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.2349668');
INSERT INTO public.ecdc_import VALUES (49438, '23/05/2020', '23', '5', '2020', '97', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.33314822');
INSERT INTO public.ecdc_import VALUES (49439, '22/05/2020', '22', '5', '2020', '98', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.09996734');
INSERT INTO public.ecdc_import VALUES (49440, '21/05/2020', '21', '5', '2020', '97', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.86065013');
INSERT INTO public.ecdc_import VALUES (49441, '20/05/2020', '20', '5', '2020', '73', '4', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.9036045');
INSERT INTO public.ecdc_import VALUES (49442, '19/05/2020', '19', '5', '2020', '64', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.81155941');
INSERT INTO public.ecdc_import VALUES (49443, '18/05/2020', '18', '5', '2020', '51', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.96496789');
INSERT INTO public.ecdc_import VALUES (49444, '17/05/2020', '17', '5', '2020', '119', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '8.06314931');
INSERT INTO public.ecdc_import VALUES (49445, '16/05/2020', '16', '5', '2020', '121', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.89133182');
INSERT INTO public.ecdc_import VALUES (49446, '15/05/2020', '15', '5', '2020', '84', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.70724165');
INSERT INTO public.ecdc_import VALUES (49447, '14/05/2020', '14', '5', '2020', '110', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.50474247');
INSERT INTO public.ecdc_import VALUES (49448, '13/05/2020', '13', '5', '2020', '109', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.19178919');
INSERT INTO public.ecdc_import VALUES (49449, '12/05/2020', '12', '5', '2020', '177', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '7.06292607');
INSERT INTO public.ecdc_import VALUES (49450, '11/05/2020', '11', '5', '2020', '75', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.36951977');
INSERT INTO public.ecdc_import VALUES (49451, '10/05/2020', '10', '5', '2020', '83', '3', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.25906567');
INSERT INTO public.ecdc_import VALUES (49452, '09/05/2020', '9', '5', '2020', '59', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.17315693');
INSERT INTO public.ecdc_import VALUES (49453, '08/05/2020', '8', '5', '2020', '59', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.2161113');
INSERT INTO public.ecdc_import VALUES (49454, '07/05/2020', '7', '5', '2020', '104', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '6.08111185');
INSERT INTO public.ecdc_import VALUES (49455, '06/05/2020', '6', '5', '2020', '58', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.62702277');
INSERT INTO public.ecdc_import VALUES (49456, '05/05/2020', '5', '5', '2020', '89', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.48588697');
INSERT INTO public.ecdc_import VALUES (49457, '04/05/2020', '4', '5', '2020', '67', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '5.0011162');
INSERT INTO public.ecdc_import VALUES (49458, '03/05/2020', '3', '5', '2020', '91', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.69429926');
INSERT INTO public.ecdc_import VALUES (49459, '02/05/2020', '2', '5', '2020', '91', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '4.18498313');
INSERT INTO public.ecdc_import VALUES (49460, '01/05/2020', '1', '5', '2020', '51', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.66953066');
INSERT INTO public.ecdc_import VALUES (49461, '30/04/2020', '30', '4', '2020', '59', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.48544049');
INSERT INTO public.ecdc_import VALUES (49462, '29/04/2020', '29', '4', '2020', '88', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '3.21544158');
INSERT INTO public.ecdc_import VALUES (49463, '28/04/2020', '28', '4', '2020', '64', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.72453447');
INSERT INTO public.ecdc_import VALUES (49464, '27/04/2020', '27', '4', '2020', '57', '2', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.39930851');
INSERT INTO public.ecdc_import VALUES (49465, '26/04/2020', '26', '4', '2020', '69', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '2.06180987');
INSERT INTO public.ecdc_import VALUES (49466, '25/04/2020', '25', '4', '2020', '66', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.71817489');
INSERT INTO public.ecdc_import VALUES (49467, '24/04/2020', '24', '4', '2020', '37', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.40522161');
INSERT INTO public.ecdc_import VALUES (49468, '23/04/2020', '23', '4', '2020', '30', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.2149951');
INSERT INTO public.ecdc_import VALUES (49469, '22/04/2020', '22', '4', '2020', '35', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.07385931');
INSERT INTO public.ecdc_import VALUES (49470, '21/04/2020', '21', '4', '2020', '10', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.92658717');
INSERT INTO public.ecdc_import VALUES (49471, '20/04/2020', '20', '4', '2020', '17', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.88976914');
INSERT INTO public.ecdc_import VALUES (49472, '19/04/2020', '19', '4', '2020', '8', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.8038604');
INSERT INTO public.ecdc_import VALUES (49473, '18/04/2020', '18', '4', '2020', '7', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.82840575');
INSERT INTO public.ecdc_import VALUES (49474, '17/04/2020', '17', '4', '2020', '21', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.85908745');
INSERT INTO public.ecdc_import VALUES (49475, '16/04/2020', '16', '4', '2020', '15', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.76090602');
INSERT INTO public.ecdc_import VALUES (49476, '15/04/2020', '15', '4', '2020', '8', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.76090602');
INSERT INTO public.ecdc_import VALUES (49477, '14/04/2020', '14', '4', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.79158772');
INSERT INTO public.ecdc_import VALUES (49478, '13/04/2020', '13', '4', '2020', '2', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.84681477');
INSERT INTO public.ecdc_import VALUES (49479, '12/04/2020', '12', '4', '2020', '13', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.90817816');
INSERT INTO public.ecdc_import VALUES (49480, '11/04/2020', '11', '4', '2020', '15', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.89590548');
INSERT INTO public.ecdc_import VALUES (49481, '10/04/2020', '10', '4', '2020', '6', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.88976914');
INSERT INTO public.ecdc_import VALUES (49482, '09/04/2020', '9', '4', '2020', '7', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.88976914');
INSERT INTO public.ecdc_import VALUES (49483, '08/04/2020', '8', '4', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.92658717');
INSERT INTO public.ecdc_import VALUES (49484, '07/04/2020', '7', '4', '2020', '4', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.90204182');
INSERT INTO public.ecdc_import VALUES (49485, '06/04/2020', '6', '4', '2020', '3', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.95113253');
INSERT INTO public.ecdc_import VALUES (49486, '05/04/2020', '5', '4', '2020', '12', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '1.00022324');
INSERT INTO public.ecdc_import VALUES (49487, '04/04/2020', '4', '4', '2020', '12', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.98181422');
INSERT INTO public.ecdc_import VALUES (49488, '03/04/2020', '3', '4', '2020', '5', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.97567788');
INSERT INTO public.ecdc_import VALUES (49489, '02/04/2020', '2', '4', '2020', '15', '1', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.94499619');
INSERT INTO public.ecdc_import VALUES (49490, '01/04/2020', '1', '4', '2020', '13', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.8836328');
INSERT INTO public.ecdc_import VALUES (49491, '31/03/2020', '31', '3', '2020', '20', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.82840575');
INSERT INTO public.ecdc_import VALUES (49492, '30/03/2020', '30', '3', '2020', '12', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.71181531');
INSERT INTO public.ecdc_import VALUES (49493, '29/03/2020', '29', '3', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.66886094');
INSERT INTO public.ecdc_import VALUES (49494, '28/03/2020', '28', '3', '2020', '14', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.61363389');
INSERT INTO public.ecdc_import VALUES (49495, '27/03/2020', '27', '3', '2020', '6', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.60749755');
INSERT INTO public.ecdc_import VALUES (49496, '26/03/2020', '26', '3', '2020', '13', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.5829522');
INSERT INTO public.ecdc_import VALUES (49497, '25/03/2020', '25', '3', '2020', '7', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.50931613');
INSERT INTO public.ecdc_import VALUES (49498, '24/03/2020', '24', '3', '2020', '12', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.47863443');
INSERT INTO public.ecdc_import VALUES (49499, '23/03/2020', '23', '3', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '0.41113471');
INSERT INTO public.ecdc_import VALUES (49500, '22/03/2020', '22', '3', '2020', '9', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49501, '21/03/2020', '21', '3', '2020', '11', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49502, '20/03/2020', '20', '3', '2020', '0', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49503, '19/03/2020', '19', '3', '2020', '5', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49504, '18/03/2020', '18', '3', '2020', '4', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49505, '17/03/2020', '17', '3', '2020', '1', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49506, '16/03/2020', '16', '3', '2020', '5', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49507, '15/03/2020', '15', '3', '2020', '2', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49508, '14/03/2020', '14', '3', '2020', '13', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49509, '13/03/2020', '13', '3', '2020', '2', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49510, '06/03/2020', '6', '3', '2020', '1', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49511, '05/03/2020', '5', '3', '2020', '2', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49512, '03/03/2020', '3', '3', '2020', '1', '0', '16296362', 'Senegal', 'SN', 'SEN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (49513, '14/12/2020', '14', '12', '2020', '4995', '56', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1396.05535167');
INSERT INTO public.ecdc_import VALUES (49514, '13/12/2020', '13', '12', '2020', '5679', '48', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1413.05765101');
INSERT INTO public.ecdc_import VALUES (49515, '12/12/2020', '12', '12', '2020', '6534', '55', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1432.61603926');
INSERT INTO public.ecdc_import VALUES (49516, '11/12/2020', '11', '12', '2020', '7393', '56', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1450.5086617');
INSERT INTO public.ecdc_import VALUES (49517, '10/12/2020', '10', '12', '2020', '7804', '54', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1453.56735237');
INSERT INTO public.ecdc_import VALUES (49518, '09/12/2020', '9', '12', '2020', '7818', '57', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1450.33634109');
INSERT INTO public.ecdc_import VALUES (49519, '08/12/2020', '8', '12', '2020', '6557', '56', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1436.32093219');
INSERT INTO public.ecdc_import VALUES (49520, '07/12/2020', '7', '12', '2020', '5809', '58', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1414.92445752');
INSERT INTO public.ecdc_import VALUES (49521, '06/12/2020', '6', '12', '2020', '6903', '57', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1403.23537673');
INSERT INTO public.ecdc_import VALUES (49522, '05/12/2020', '5', '12', '2020', '7782', '69', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1387.02288016');
INSERT INTO public.ecdc_import VALUES (49523, '04/12/2020', '4', '12', '2020', '7802', '61', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1365.08072359');
INSERT INTO public.ecdc_import VALUES (49524, '03/12/2020', '3', '12', '2020', '7919', '52', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1340.76915875');
INSERT INTO public.ecdc_import VALUES (49525, '02/12/2020', '2', '12', '2020', '7999', '48', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1307.65488319');
INSERT INTO public.ecdc_import VALUES (49526, '01/12/2020', '1', '12', '2020', '6224', '55', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1264.50293261');
INSERT INTO public.ecdc_import VALUES (49527, '30/11/2020', '30', '11', '2020', '6179', '65', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1215.52080168');
INSERT INTO public.ecdc_import VALUES (49528, '29/11/2020', '29', '11', '2020', '7041', '61', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1176.79174653');
INSERT INTO public.ecdc_import VALUES (49529, '28/11/2020', '28', '11', '2020', '7780', '57', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1130.56674523');
INSERT INTO public.ecdc_import VALUES (49530, '27/11/2020', '27', '11', '2020', '7606', '51', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1069.0913707');
INSERT INTO public.ecdc_import VALUES (49531, '26/11/2020', '26', '11', '2020', '7579', '41', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '1007.84575698');
INSERT INTO public.ecdc_import VALUES (49532, '25/11/2020', '25', '11', '2020', '6842', '37', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '949.78807438');
INSERT INTO public.ecdc_import VALUES (49533, '24/11/2020', '24', '11', '2020', '5067', '38', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '892.07503299');
INSERT INTO public.ecdc_import VALUES (49534, '23/11/2020', '23', '11', '2020', '4995', '31', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '838.23920512');
INSERT INTO public.ecdc_import VALUES (49535, '22/11/2020', '22', '11', '2020', '5774', '28', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '796.83918065');
INSERT INTO public.ecdc_import VALUES (49536, '21/11/2020', '21', '11', '2020', '6254', '30', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '752.36610546');
INSERT INTO public.ecdc_import VALUES (49537, '20/11/2020', '20', '11', '2020', '6109', '29', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '695.32798642');
INSERT INTO public.ecdc_import VALUES (49538, '19/11/2020', '19', '11', '2020', '5613', '27', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '638.92170958');
INSERT INTO public.ecdc_import VALUES (49539, '18/11/2020', '18', '11', '2020', '4994', '24', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '592.95518918');
INSERT INTO public.ecdc_import VALUES (49540, '17/11/2020', '17', '11', '2020', '2813', '21', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '548.20927303');
INSERT INTO public.ecdc_import VALUES (49541, '16/11/2020', '16', '11', '2020', '3482', '20', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '519.33121226');
INSERT INTO public.ecdc_import VALUES (49542, '15/11/2020', '15', '11', '2020', '3822', '17', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '490.13723038');
INSERT INTO public.ecdc_import VALUES (49543, '14/11/2020', '14', '11', '2020', '3499', '17', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '461.34532991');
INSERT INTO public.ecdc_import VALUES (49544, '13/11/2020', '13', '11', '2020', '3341', '19', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '433.28579199');
INSERT INTO public.ecdc_import VALUES (49545, '12/11/2020', '12', '11', '2020', '3536', '21', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '405.18317393');
INSERT INTO public.ecdc_import VALUES (49546, '11/11/2020', '11', '11', '2020', '2823', '14', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '373.47618328');
INSERT INTO public.ecdc_import VALUES (49547, '10/11/2020', '10', '11', '2020', '1318', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '348.05889459');
INSERT INTO public.ecdc_import VALUES (49548, '09/11/2020', '9', '11', '2020', '2112', '10', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '334.02912563');
INSERT INTO public.ecdc_import VALUES (49549, '08/11/2020', '8', '11', '2020', '2677', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '312.51777056');
INSERT INTO public.ecdc_import VALUES (49550, '07/11/2020', '7', '11', '2020', '2282', '10', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '284.94647435');
INSERT INTO public.ecdc_import VALUES (49551, '06/11/2020', '6', '11', '2020', '2181', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '260.49130901');
INSERT INTO public.ecdc_import VALUES (49552, '05/11/2020', '5', '11', '2020', '2412', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '235.14582056');
INSERT INTO public.ecdc_import VALUES (49553, '04/11/2020', '4', '11', '2020', '1878', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '207.86172535');
INSERT INTO public.ecdc_import VALUES (49554, '03/11/2020', '3', '11', '2020', '802', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '185.57492758');
INSERT INTO public.ecdc_import VALUES (49555, '02/11/2020', '2', '11', '2020', '1449', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '175.81009351');
INSERT INTO public.ecdc_import VALUES (49556, '01/11/2020', '1', '11', '2020', '1817', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '158.07543162');
INSERT INTO public.ecdc_import VALUES (49557, '31/10/2020', '31', '10', '2020', '1545', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '135.24295194');
INSERT INTO public.ecdc_import VALUES (49558, '30/10/2020', '30', '10', '2020', '1384', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '116.8620878');
INSERT INTO public.ecdc_import VALUES (49559, '29/10/2020', '29', '10', '2020', '1328', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '99.90286862');
INSERT INTO public.ecdc_import VALUES (49560, '28/10/2020', '28', '10', '2020', '1053', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '84.35093435');
INSERT INTO public.ecdc_import VALUES (49561, '27/10/2020', '27', '10', '2020', '341', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '71.4125292');
INSERT INTO public.ecdc_import VALUES (49562, '26/10/2020', '26', '10', '2020', '614', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '67.47787547');
INSERT INTO public.ecdc_import VALUES (49563, '25/10/2020', '25', '10', '2020', '757', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '60.12552981');
INSERT INTO public.ecdc_import VALUES (49564, '24/10/2020', '24', '10', '2020', '579', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '51.6674603');
INSERT INTO public.ecdc_import VALUES (49565, '23/10/2020', '23', '10', '2020', '416', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '45.83727995');
INSERT INTO public.ecdc_import VALUES (49566, '22/10/2020', '22', '10', '2020', '512', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '42.03186667');
INSERT INTO public.ecdc_import VALUES (49567, '21/10/2020', '21', '10', '2020', '326', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '36.41708708');
INSERT INTO public.ecdc_import VALUES (49568, '20/10/2020', '20', '10', '2020', '122', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '34.19127931');
INSERT INTO public.ecdc_import VALUES (49569, '19/10/2020', '19', '10', '2020', '214', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '32.4393532');
INSERT INTO public.ecdc_import VALUES (49570, '18/10/2020', '18', '10', '2020', '227', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '30.21354543');
INSERT INTO public.ecdc_import VALUES (49571, '17/10/2020', '17', '10', '2020', '265', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '28.49033942');
INSERT INTO public.ecdc_import VALUES (49572, '16/10/2020', '16', '10', '2020', '203', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '25.7332098');
INSERT INTO public.ecdc_import VALUES (49573, '15/10/2020', '15', '10', '2020', '245', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '24.41208519');
INSERT INTO public.ecdc_import VALUES (49574, '14/10/2020', '14', '10', '2020', '152', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '21.92779652');
INSERT INTO public.ecdc_import VALUES (49575, '13/10/2020', '13', '10', '2020', '67', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '20.67847216');
INSERT INTO public.ecdc_import VALUES (49576, '12/10/2020', '12', '10', '2020', '102', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '20.14715031');
INSERT INTO public.ecdc_import VALUES (49577, '11/10/2020', '11', '10', '2020', '168', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '19.7163488');
INSERT INTO public.ecdc_import VALUES (49578, '10/10/2020', '10', '10', '2020', '173', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '18.36650409');
INSERT INTO public.ecdc_import VALUES (49579, '09/10/2020', '9', '10', '2020', '151', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '16.95921918');
INSERT INTO public.ecdc_import VALUES (49580, '08/10/2020', '8', '10', '2020', '121', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.98273577');
INSERT INTO public.ecdc_import VALUES (49581, '07/10/2020', '7', '10', '2020', '171', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.40833377');
INSERT INTO public.ecdc_import VALUES (49582, '06/10/2020', '6', '10', '2020', '0', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.82872826');
INSERT INTO public.ecdc_import VALUES (49583, '05/10/2020', '5', '10', '2020', '59', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.25952976');
INSERT INTO public.ecdc_import VALUES (49584, '04/10/2020', '4', '10', '2020', '107', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.38877021');
INSERT INTO public.ecdc_import VALUES (49585, '03/10/2020', '3', '10', '2020', '73', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.04412901');
INSERT INTO public.ecdc_import VALUES (49586, '02/10/2020', '2', '10', '2020', '111', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.88616846');
INSERT INTO public.ecdc_import VALUES (49587, '01/10/2020', '1', '10', '2020', '72', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.469727');
INSERT INTO public.ecdc_import VALUES (49588, '30/09/2020', '30', '9', '2020', '65', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.90052851');
INSERT INTO public.ecdc_import VALUES (49589, '29/09/2020', '29', '9', '2020', '30', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.02976896');
INSERT INTO public.ecdc_import VALUES (49590, '28/09/2020', '28', '9', '2020', '72', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.01540891');
INSERT INTO public.ecdc_import VALUES (49591, '27/09/2020', '27', '9', '2020', '74', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.53237071');
INSERT INTO public.ecdc_import VALUES (49592, '26/09/2020', '26', '9', '2020', '75', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.50365061');
INSERT INTO public.ecdc_import VALUES (49593, '25/09/2020', '25', '9', '2020', '83', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.74777146');
INSERT INTO public.ecdc_import VALUES (49594, '24/09/2020', '24', '9', '2020', '81', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.38877021');
INSERT INTO public.ecdc_import VALUES (49595, '23/09/2020', '23', '9', '2020', '61', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.43185036');
INSERT INTO public.ecdc_import VALUES (49596, '22/09/2020', '22', '9', '2020', '30', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.31696996');
INSERT INTO public.ecdc_import VALUES (49597, '21/09/2020', '21', '9', '2020', '68', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.40313026');
INSERT INTO public.ecdc_import VALUES (49598, '20/09/2020', '20', '9', '2020', '83', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.23080966');
INSERT INTO public.ecdc_import VALUES (49599, '19/09/2020', '19', '9', '2020', '62', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.14464936');
INSERT INTO public.ecdc_import VALUES (49600, '18/09/2020', '18', '9', '2020', '82', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.63289106');
INSERT INTO public.ecdc_import VALUES (49601, '17/09/2020', '17', '9', '2020', '102', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.81957171');
INSERT INTO public.ecdc_import VALUES (49602, '16/09/2020', '16', '9', '2020', '74', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.77649156');
INSERT INTO public.ecdc_import VALUES (49603, '15/09/2020', '15', '9', '2020', '29', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.80521166');
INSERT INTO public.ecdc_import VALUES (49604, '14/09/2020', '14', '9', '2020', '108', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.97753227');
INSERT INTO public.ecdc_import VALUES (49605, '13/09/2020', '13', '9', '2020', '72', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.61853101');
INSERT INTO public.ecdc_import VALUES (49606, '12/09/2020', '12', '9', '2020', '92', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.66161116');
INSERT INTO public.ecdc_import VALUES (49607, '11/09/2020', '11', '9', '2020', '58', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.89137196');
INSERT INTO public.ecdc_import VALUES (49608, '10/09/2020', '10', '9', '2020', '84', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.85349532');
INSERT INTO public.ecdc_import VALUES (49609, '09/09/2020', '9', '9', '2020', '53', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '16.85869883');
INSERT INTO public.ecdc_import VALUES (49610, '08/09/2020', '8', '9', '2020', '36', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '17.61978149');
INSERT INTO public.ecdc_import VALUES (49611, '07/09/2020', '7', '9', '2020', '56', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '17.92134254');
INSERT INTO public.ecdc_import VALUES (49612, '06/09/2020', '6', '9', '2020', '77', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '18.68242519');
INSERT INTO public.ecdc_import VALUES (49613, '05/09/2020', '5', '9', '2020', '96', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '20.01790985');
INSERT INTO public.ecdc_import VALUES (49614, '04/09/2020', '4', '9', '2020', '95', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '21.06619351');
INSERT INTO public.ecdc_import VALUES (49615, '03/09/2020', '3', '9', '2020', '99', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '22.01395682');
INSERT INTO public.ecdc_import VALUES (49616, '02/09/2020', '2', '9', '2020', '76', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '22.86119978');
INSERT INTO public.ecdc_import VALUES (49617, '01/09/2020', '1', '9', '2020', '41', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '23.32072138');
INSERT INTO public.ecdc_import VALUES (49618, '31/08/2020', '31', '8', '2020', '83', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '24.16796434');
INSERT INTO public.ecdc_import VALUES (49619, '30/08/2020', '30', '8', '2020', '75', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '26.00605075');
INSERT INTO public.ecdc_import VALUES (49620, '29/08/2020', '29', '8', '2020', '108', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '28.34673892');
INSERT INTO public.ecdc_import VALUES (49621, '28/08/2020', '28', '8', '2020', '125', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '30.17046528');
INSERT INTO public.ecdc_import VALUES (49622, '27/08/2020', '27', '8', '2020', '154', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '31.9223914');
INSERT INTO public.ecdc_import VALUES (49623, '26/08/2020', '26', '8', '2020', '106', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '33.35839641');
INSERT INTO public.ecdc_import VALUES (49624, '25/08/2020', '25', '8', '2020', '57', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '35.21084287');
INSERT INTO public.ecdc_import VALUES (49625, '24/08/2020', '24', '8', '2020', '109', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '36.73300818');
INSERT INTO public.ecdc_import VALUES (49626, '23/08/2020', '23', '8', '2020', '170', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '38.55673455');
INSERT INTO public.ecdc_import VALUES (49627, '22/08/2020', '22', '8', '2020', '169', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '39.77733881');
INSERT INTO public.ecdc_import VALUES (49628, '21/08/2020', '21', '8', '2020', '161', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '41.31386417');
INSERT INTO public.ecdc_import VALUES (49629, '20/08/2020', '20', '8', '2020', '158', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '43.29555108');
INSERT INTO public.ecdc_import VALUES (49630, '19/08/2020', '19', '8', '2020', '108', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '45.26287795');
INSERT INTO public.ecdc_import VALUES (49631, '18/08/2020', '18', '8', '2020', '100', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '47.83332692');
INSERT INTO public.ecdc_import VALUES (49632, '17/08/2020', '17', '8', '2020', '211', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '50.10221484');
INSERT INTO public.ecdc_import VALUES (49633, '16/08/2020', '16', '8', '2020', '238', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '51.53821985');
INSERT INTO public.ecdc_import VALUES (49634, '15/08/2020', '15', '8', '2020', '235', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '52.85934446');
INSERT INTO public.ecdc_import VALUES (49635, '14/08/2020', '14', '8', '2020', '247', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '54.35278967');
INSERT INTO public.ecdc_import VALUES (49636, '13/08/2020', '13', '8', '2020', '254', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '55.41543338');
INSERT INTO public.ecdc_import VALUES (49637, '12/08/2020', '12', '8', '2020', '235', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '57.10991929');
INSERT INTO public.ecdc_import VALUES (49638, '11/08/2020', '11', '8', '2020', '163', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '59.17776651');
INSERT INTO public.ecdc_import VALUES (49639, '10/08/2020', '10', '8', '2020', '236', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '62.73905893');
INSERT INTO public.ecdc_import VALUES (49640, '09/08/2020', '9', '8', '2020', '255', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '66.05623051');
INSERT INTO public.ecdc_import VALUES (49641, '08/08/2020', '8', '8', '2020', '276', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '68.29639833');
INSERT INTO public.ecdc_import VALUES (49642, '07/08/2020', '7', '8', '2020', '299', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '70.20628499');
INSERT INTO public.ecdc_import VALUES (49643, '06/08/2020', '6', '8', '2020', '295', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '71.82897065');
INSERT INTO public.ecdc_import VALUES (49644, '05/08/2020', '5', '8', '2020', '287', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '73.71013722');
INSERT INTO public.ecdc_import VALUES (49645, '04/08/2020', '4', '8', '2020', '258', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '74.64354048');
INSERT INTO public.ecdc_import VALUES (49646, '03/08/2020', '3', '8', '2020', '311', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '76.09390554');
INSERT INTO public.ecdc_import VALUES (49647, '02/08/2020', '2', '8', '2020', '330', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '77.3145098');
INSERT INTO public.ecdc_import VALUES (49648, '01/08/2020', '1', '8', '2020', '339', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '78.16175275');
INSERT INTO public.ecdc_import VALUES (49649, '31/07/2020', '31', '7', '2020', '321', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '78.92283541');
INSERT INTO public.ecdc_import VALUES (49650, '30/07/2020', '30', '7', '2020', '372', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '79.81315852');
INSERT INTO public.ecdc_import VALUES (49651, '29/07/2020', '29', '7', '2020', '379', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '79.51159746');
INSERT INTO public.ecdc_import VALUES (49652, '28/07/2020', '28', '7', '2020', '411', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '79.00899571');
INSERT INTO public.ecdc_import VALUES (49653, '27/07/2020', '27', '7', '2020', '467', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '77.1134691');
INSERT INTO public.ecdc_import VALUES (49654, '26/07/2020', '26', '7', '2020', '411', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '74.52866008');
INSERT INTO public.ecdc_import VALUES (49655, '25/07/2020', '25', '7', '2020', '409', '10', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '73.58089677');
INSERT INTO public.ecdc_import VALUES (49656, '24/07/2020', '24', '7', '2020', '412', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '73.25061562');
INSERT INTO public.ecdc_import VALUES (49657, '23/07/2020', '23', '7', '2020', '426', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '71.1540483');
INSERT INTO public.ecdc_import VALUES (49658, '22/07/2020', '22', '7', '2020', '352', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '70.16320484');
INSERT INTO public.ecdc_import VALUES (49659, '21/07/2020', '21', '7', '2020', '359', '10', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '69.40212219');
INSERT INTO public.ecdc_import VALUES (49660, '20/07/2020', '20', '7', '2020', '396', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '68.39691868');
INSERT INTO public.ecdc_import VALUES (49661, '19/07/2020', '19', '7', '2020', '389', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '67.04707397');
INSERT INTO public.ecdc_import VALUES (49662, '18/07/2020', '18', '7', '2020', '392', '10', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '66.12803076');
INSERT INTO public.ecdc_import VALUES (49663, '17/07/2020', '17', '7', '2020', '383', '13', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '64.9361466');
INSERT INTO public.ecdc_import VALUES (49664, '16/07/2020', '16', '7', '2020', '351', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '64.5915054');
INSERT INTO public.ecdc_import VALUES (49665, '15/07/2020', '15', '7', '2020', '344', '13', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.45706144');
INSERT INTO public.ecdc_import VALUES (49666, '14/07/2020', '14', '7', '2020', '279', '12', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '62.48057803');
INSERT INTO public.ecdc_import VALUES (49667, '13/07/2020', '13', '7', '2020', '287', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '61.94925618');
INSERT INTO public.ecdc_import VALUES (49668, '12/07/2020', '12', '7', '2020', '345', '12', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '61.47537452');
INSERT INTO public.ecdc_import VALUES (49669, '11/07/2020', '11', '7', '2020', '386', '18', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '59.78088861');
INSERT INTO public.ecdc_import VALUES (49670, '10/07/2020', '10', '7', '2020', '266', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '57.00939894');
INSERT INTO public.ecdc_import VALUES (49671, '09/07/2020', '9', '7', '2020', '357', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '55.15695248');
INSERT INTO public.ecdc_import VALUES (49672, '08/07/2020', '8', '7', '2020', '299', '13', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '52.08390175');
INSERT INTO public.ecdc_import VALUES (49673, '07/07/2020', '7', '7', '2020', '289', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '49.25497188');
INSERT INTO public.ecdc_import VALUES (49674, '06/07/2020', '6', '7', '2020', '302', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '46.48348221');
INSERT INTO public.ecdc_import VALUES (49675, '05/07/2020', '5', '7', '2020', '325', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '43.45351164');
INSERT INTO public.ecdc_import VALUES (49676, '04/07/2020', '4', '7', '2020', '309', '11', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '40.13634006');
INSERT INTO public.ecdc_import VALUES (49677, '03/07/2020', '3', '7', '2020', '359', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '37.03456924');
INSERT INTO public.ecdc_import VALUES (49678, '02/07/2020', '2', '7', '2020', '272', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '33.22915596');
INSERT INTO public.ecdc_import VALUES (49679, '01/07/2020', '1', '7', '2020', '276', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '30.70178714');
INSERT INTO public.ecdc_import VALUES (49680, '30/06/2020', '30', '6', '2020', '242', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '27.58565626');
INSERT INTO public.ecdc_import VALUES (49681, '29/06/2020', '29', '6', '2020', '254', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '24.92904699');
INSERT INTO public.ecdc_import VALUES (49682, '28/06/2020', '28', '6', '2020', '227', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '22.12883722');
INSERT INTO public.ecdc_import VALUES (49683, '27/06/2020', '27', '6', '2020', '193', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '19.96046965');
INSERT INTO public.ecdc_import VALUES (49684, '26/06/2020', '26', '6', '2020', '137', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '18.23726364');
INSERT INTO public.ecdc_import VALUES (49685, '25/06/2020', '25', '6', '2020', '143', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '17.28950033');
INSERT INTO public.ecdc_import VALUES (49686, '24/06/2020', '24', '6', '2020', '102', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '16.18377647');
INSERT INTO public.ecdc_import VALUES (49687, '23/06/2020', '23', '6', '2020', '96', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.70989482');
INSERT INTO public.ecdc_import VALUES (49688, '22/06/2020', '22', '6', '2020', '91', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.37961367');
INSERT INTO public.ecdc_import VALUES (49689, '21/06/2020', '21', '6', '2020', '94', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.25037322');
INSERT INTO public.ecdc_import VALUES (49690, '20/06/2020', '20', '6', '2020', '93', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.96317222');
INSERT INTO public.ecdc_import VALUES (49691, '19/06/2020', '19', '6', '2020', '94', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.00625237');
INSERT INTO public.ecdc_import VALUES (49692, '18/06/2020', '18', '6', '2020', '96', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.34569006');
INSERT INTO public.ecdc_import VALUES (49693, '17/06/2020', '17', '6', '2020', '59', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.95796871');
INSERT INTO public.ecdc_import VALUES (49694, '16/06/2020', '16', '6', '2020', '57', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.45536695');
INSERT INTO public.ecdc_import VALUES (49695, '15/06/2020', '15', '6', '2020', '59', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '12.895325');
INSERT INTO public.ecdc_import VALUES (49696, '14/06/2020', '14', '6', '2020', '76', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '12.4932436');
INSERT INTO public.ecdc_import VALUES (49697, '13/06/2020', '13', '6', '2020', '73', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '11.78960114');
INSERT INTO public.ecdc_import VALUES (49698, '12/06/2020', '12', '6', '2020', '71', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '11.51676019');
INSERT INTO public.ecdc_import VALUES (49699, '11/06/2020', '11', '6', '2020', '66', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '10.85619788');
INSERT INTO public.ecdc_import VALUES (49700, '10/06/2020', '10', '6', '2020', '69', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '10.59771698');
INSERT INTO public.ecdc_import VALUES (49701, '09/06/2020', '9', '6', '2020', '73', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '10.09511523');
INSERT INTO public.ecdc_import VALUES (49702, '08/06/2020', '8', '6', '2020', '82', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '9.53507327');
INSERT INTO public.ecdc_import VALUES (49703, '07/06/2020', '7', '6', '2020', '74', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '9.31967252');
INSERT INTO public.ecdc_import VALUES (49704, '06/06/2020', '6', '6', '2020', '96', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '9.23351222');
INSERT INTO public.ecdc_import VALUES (49705, '05/06/2020', '5', '6', '2020', '48', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '9.36275267');
INSERT INTO public.ecdc_import VALUES (49706, '04/06/2020', '4', '6', '2020', '69', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '9.90843458');
INSERT INTO public.ecdc_import VALUES (49707, '03/06/2020', '3', '6', '2020', '24', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '10.35359613');
INSERT INTO public.ecdc_import VALUES (49708, '02/06/2020', '2', '6', '2020', '18', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '10.49719663');
INSERT INTO public.ecdc_import VALUES (49709, '01/06/2020', '1', '6', '2020', '31', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '11.51676019');
INSERT INTO public.ecdc_import VALUES (49710, '31/05/2020', '31', '5', '2020', '27', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '12.70864435');
INSERT INTO public.ecdc_import VALUES (49711, '30/05/2020', '30', '5', '2020', '54', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.1538059');
INSERT INTO public.ecdc_import VALUES (49712, '29/05/2020', '29', '5', '2020', '25', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.2974064');
INSERT INTO public.ecdc_import VALUES (49713, '28/05/2020', '28', '5', '2020', '48', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.07284911');
INSERT INTO public.ecdc_import VALUES (49714, '27/05/2020', '27', '5', '2020', '34', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.13028931');
INSERT INTO public.ecdc_import VALUES (49715, '26/05/2020', '26', '5', '2020', '34', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.60417096');
INSERT INTO public.ecdc_import VALUES (49716, '25/05/2020', '25', '5', '2020', '67', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.00625237');
INSERT INTO public.ecdc_import VALUES (49717, '24/05/2020', '24', '5', '2020', '68', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.22165312');
INSERT INTO public.ecdc_import VALUES (49718, '23/05/2020', '23', '5', '2020', '105', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.52321417');
INSERT INTO public.ecdc_import VALUES (49719, '22/05/2020', '22', '5', '2020', '86', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.37961367');
INSERT INTO public.ecdc_import VALUES (49720, '21/05/2020', '21', '5', '2020', '100', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '14.96317222');
INSERT INTO public.ecdc_import VALUES (49721, '20/05/2020', '20', '5', '2020', '34', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.16421292');
INSERT INTO public.ecdc_import VALUES (49722, '19/05/2020', '19', '5', '2020', '89', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '16.39917723');
INSERT INTO public.ecdc_import VALUES (49723, '18/05/2020', '18', '5', '2020', '114', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '16.45661743');
INSERT INTO public.ecdc_import VALUES (49724, '17/05/2020', '17', '5', '2020', '58', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '16.28429683');
INSERT INTO public.ecdc_import VALUES (49725, '16/05/2020', '16', '5', '2020', '64', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '17.70594179');
INSERT INTO public.ecdc_import VALUES (49726, '15/05/2020', '15', '5', '2020', '79', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '19.6014684');
INSERT INTO public.ecdc_import VALUES (49727, '14/05/2020', '14', '5', '2020', '52', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '22.55963872');
INSERT INTO public.ecdc_import VALUES (49728, '13/05/2020', '13', '5', '2020', '67', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '25.07264749');
INSERT INTO public.ecdc_import VALUES (49729, '12/05/2020', '12', '5', '2020', '62', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '27.29845526');
INSERT INTO public.ecdc_import VALUES (49730, '11/05/2020', '11', '5', '2020', '82', '2', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '29.75402383');
INSERT INTO public.ecdc_import VALUES (49731, '10/05/2020', '10', '5', '2020', '89', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '32.3531929');
INSERT INTO public.ecdc_import VALUES (49732, '09/05/2020', '9', '5', '2020', '95', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '35.32572327');
INSERT INTO public.ecdc_import VALUES (49733, '08/05/2020', '8', '5', '2020', '57', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '36.93404889');
INSERT INTO public.ecdc_import VALUES (49734, '07/05/2020', '7', '5', '2020', '114', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '38.44185415');
INSERT INTO public.ecdc_import VALUES (49735, '06/05/2020', '6', '5', '2020', '120', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '40.02145966');
INSERT INTO public.ecdc_import VALUES (49736, '05/05/2020', '5', '5', '2020', '93', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '42.03186667');
INSERT INTO public.ecdc_import VALUES (49737, '04/05/2020', '4', '5', '2020', '102', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '45.17671765');
INSERT INTO public.ecdc_import VALUES (49738, '03/05/2020', '3', '5', '2020', '157', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '48.36464877');
INSERT INTO public.ecdc_import VALUES (49739, '02/05/2020', '2', '5', '2020', '196', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '50.47557614');
INSERT INTO public.ecdc_import VALUES (49740, '01/05/2020', '1', '5', '2020', '285', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '53.00294496');
INSERT INTO public.ecdc_import VALUES (49741, '30/04/2020', '30', '4', '2020', '227', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '55.30055298');
INSERT INTO public.ecdc_import VALUES (49742, '29/04/2020', '29', '4', '2020', '222', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '57.89972205');
INSERT INTO public.ecdc_import VALUES (49743, '28/04/2020', '28', '4', '2020', '233', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '60.61377152');
INSERT INTO public.ecdc_import VALUES (49744, '27/04/2020', '27', '4', '2020', '263', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.35654109');
INSERT INTO public.ecdc_import VALUES (49745, '26/04/2020', '26', '4', '2020', '296', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.16986044');
INSERT INTO public.ecdc_import VALUES (49746, '25/04/2020', '25', '4', '2020', '207', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '62.86829939');
INSERT INTO public.ecdc_import VALUES (49747, '24/04/2020', '24', '4', '2020', '162', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.31346094');
INSERT INTO public.ecdc_import VALUES (49748, '23/04/2020', '23', '4', '2020', '224', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.87350289');
INSERT INTO public.ecdc_import VALUES (49749, '22/04/2020', '22', '4', '2020', '260', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.80170264');
INSERT INTO public.ecdc_import VALUES (49750, '21/04/2020', '21', '4', '2020', '312', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.61502199');
INSERT INTO public.ecdc_import VALUES (49751, '20/04/2020', '20', '4', '2020', '324', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '63.32782099');
INSERT INTO public.ecdc_import VALUES (49752, '19/04/2020', '19', '4', '2020', '304', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '62.75341898');
INSERT INTO public.ecdc_import VALUES (49753, '18/04/2020', '18', '4', '2020', '372', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '60.51325117');
INSERT INTO public.ecdc_import VALUES (49754, '17/04/2020', '17', '4', '2020', '445', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '59.55112781');
INSERT INTO public.ecdc_import VALUES (49755, '16/04/2020', '16', '4', '2020', '408', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '54.75487107');
INSERT INTO public.ecdc_import VALUES (49756, '15/04/2020', '15', '4', '2020', '411', '9', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '51.19357865');
INSERT INTO public.ecdc_import VALUES (49757, '14/04/2020', '14', '4', '2020', '424', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '46.94300381');
INSERT INTO public.ecdc_import VALUES (49758, '13/04/2020', '13', '4', '2020', '250', '6', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '41.48618477');
INSERT INTO public.ecdc_import VALUES (49759, '12/04/2020', '12', '4', '2020', '275', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '39.07369635');
INSERT INTO public.ecdc_import VALUES (49760, '11/04/2020', '11', '4', '2020', '238', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '38.02541269');
INSERT INTO public.ecdc_import VALUES (49761, '10/04/2020', '10', '4', '2020', '201', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '35.65600443');
INSERT INTO public.ecdc_import VALUES (49762, '09/04/2020', '9', '4', '2020', '219', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '33.93279841');
INSERT INTO public.ecdc_import VALUES (49763, '08/04/2020', '8', '4', '2020', '247', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '31.56339014');
INSERT INTO public.ecdc_import VALUES (49764, '07/04/2020', '7', '4', '2020', '292', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '28.40417912');
INSERT INTO public.ecdc_import VALUES (49765, '06/04/2020', '6', '4', '2020', '284', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '24.69928619');
INSERT INTO public.ecdc_import VALUES (49766, '05/04/2020', '5', '4', '2020', '148', '5', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '21.18107391');
INSERT INTO public.ecdc_import VALUES (49767, '04/04/2020', '4', '4', '2020', '305', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '19.2568272');
INSERT INTO public.ecdc_import VALUES (49768, '03/04/2020', '3', '4', '2020', '111', '8', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '15.00625237');
INSERT INTO public.ecdc_import VALUES (49769, '02/04/2020', '2', '4', '2020', '160', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '13.87180841');
INSERT INTO public.ecdc_import VALUES (49770, '01/04/2020', '1', '4', '2020', '115', '7', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '11.89012149');
INSERT INTO public.ecdc_import VALUES (49771, '31/03/2020', '31', '3', '2020', '44', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '10.45411648');
INSERT INTO public.ecdc_import VALUES (49772, '30/03/2020', '30', '3', '2020', '82', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '9.85099438');
INSERT INTO public.ecdc_import VALUES (49773, '29/03/2020', '29', '3', '2020', '202', '4', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '8.80271072');
INSERT INTO public.ecdc_import VALUES (49774, '28/03/2020', '28', '3', '2020', '73', '3', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '5.97378085');
INSERT INTO public.ecdc_import VALUES (49775, '27/03/2020', '27', '3', '2020', '81', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '5.16961804');
INSERT INTO public.ecdc_import VALUES (49776, '26/03/2020', '26', '3', '2020', '54', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '4.09261428');
INSERT INTO public.ecdc_import VALUES (49777, '25/03/2020', '25', '3', '2020', '27', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '3.50385223');
INSERT INTO public.ecdc_import VALUES (49778, '24/03/2020', '24', '3', '2020', '34', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '3.17357107');
INSERT INTO public.ecdc_import VALUES (49779, '23/03/2020', '23', '3', '2020', '39', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '2.69968942');
INSERT INTO public.ecdc_import VALUES (49780, '22/03/2020', '22', '3', '2020', '14', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49781, '21/03/2020', '21', '3', '2020', '9', '1', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49782, '20/03/2020', '20', '3', '2020', '32', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49783, '19/03/2020', '19', '3', '2020', '22', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49784, '18/03/2020', '18', '3', '2020', '15', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49785, '17/03/2020', '17', '3', '2020', '2', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49786, '16/03/2020', '16', '3', '2020', '9', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49787, '15/03/2020', '15', '3', '2020', '5', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49788, '14/03/2020', '14', '3', '2020', '17', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49789, '13/03/2020', '13', '3', '2020', '6', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49790, '12/03/2020', '12', '3', '2020', '13', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49791, '11/03/2020', '11', '3', '2020', '4', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49792, '07/03/2020', '7', '3', '2020', '1', '0', '6963764', 'Serbia', 'RS', 'SRB', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (49793, '14/12/2020', '14', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49794, '13/12/2020', '13', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49795, '12/12/2020', '12', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49796, '11/12/2020', '11', '12', '2020', '3', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '16.36979364');
INSERT INTO public.ecdc_import VALUES (49797, '10/12/2020', '10', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '17.39290574');
INSERT INTO public.ecdc_import VALUES (49798, '09/12/2020', '9', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '18.41601784');
INSERT INTO public.ecdc_import VALUES (49799, '08/12/2020', '8', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '18.41601784');
INSERT INTO public.ecdc_import VALUES (49800, '07/12/2020', '7', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '18.41601784');
INSERT INTO public.ecdc_import VALUES (49801, '06/12/2020', '6', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '21.48535415');
INSERT INTO public.ecdc_import VALUES (49802, '05/12/2020', '5', '12', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '21.48535415');
INSERT INTO public.ecdc_import VALUES (49803, '04/12/2020', '4', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '20.46224205');
INSERT INTO public.ecdc_import VALUES (49804, '03/12/2020', '3', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '23.53157836');
INSERT INTO public.ecdc_import VALUES (49805, '02/12/2020', '2', '12', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '23.53157836');
INSERT INTO public.ecdc_import VALUES (49806, '01/12/2020', '1', '12', '2020', '10', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '25.57780256');
INSERT INTO public.ecdc_import VALUES (49807, '30/11/2020', '30', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '15.34668154');
INSERT INTO public.ecdc_import VALUES (49808, '29/11/2020', '29', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '15.34668154');
INSERT INTO public.ecdc_import VALUES (49809, '28/11/2020', '28', '11', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '15.34668154');
INSERT INTO public.ecdc_import VALUES (49810, '27/11/2020', '27', '11', '2020', '4', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49811, '26/11/2020', '26', '11', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49812, '25/11/2020', '25', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '8.18489682');
INSERT INTO public.ecdc_import VALUES (49813, '24/11/2020', '24', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '8.18489682');
INSERT INTO public.ecdc_import VALUES (49814, '23/11/2020', '23', '11', '2020', '3', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '8.18489682');
INSERT INTO public.ecdc_import VALUES (49815, '22/11/2020', '22', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49816, '21/11/2020', '21', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49817, '20/11/2020', '20', '11', '2020', '3', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49818, '19/11/2020', '19', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49819, '18/11/2020', '18', '11', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49820, '17/11/2020', '17', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49821, '16/11/2020', '16', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49822, '15/11/2020', '15', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49823, '14/11/2020', '14', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49824, '13/11/2020', '13', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49825, '12/11/2020', '12', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49826, '11/11/2020', '11', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49827, '10/11/2020', '10', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49828, '09/11/2020', '9', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49829, '08/11/2020', '8', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49830, '07/11/2020', '7', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49831, '06/11/2020', '6', '11', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49832, '05/11/2020', '5', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49833, '04/11/2020', '4', '11', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '8.18489682');
INSERT INTO public.ecdc_import VALUES (49834, '03/11/2020', '3', '11', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49835, '02/11/2020', '2', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49836, '01/11/2020', '1', '11', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49837, '31/10/2020', '31', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49838, '30/10/2020', '30', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49839, '29/10/2020', '29', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49840, '28/10/2020', '28', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49841, '27/10/2020', '27', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49842, '26/10/2020', '26', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49843, '25/10/2020', '25', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49844, '24/10/2020', '24', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49845, '23/10/2020', '23', '10', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49846, '22/10/2020', '22', '10', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49847, '21/10/2020', '21', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49848, '20/10/2020', '20', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49849, '19/10/2020', '19', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49850, '18/10/2020', '18', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49851, '17/10/2020', '17', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49852, '16/10/2020', '16', '10', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49853, '15/10/2020', '15', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49854, '14/10/2020', '14', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49855, '13/10/2020', '13', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49856, '12/10/2020', '12', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49857, '11/10/2020', '11', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49858, '10/10/2020', '10', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49859, '09/10/2020', '9', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49860, '08/10/2020', '8', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49861, '07/10/2020', '7', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49862, '06/10/2020', '6', '10', '2020', '3', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49863, '05/10/2020', '5', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49864, '04/10/2020', '4', '10', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49865, '03/10/2020', '3', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49866, '02/10/2020', '2', '10', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49867, '01/10/2020', '1', '10', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49868, '30/09/2020', '30', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49869, '29/09/2020', '29', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49870, '28/09/2020', '28', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49871, '27/09/2020', '27', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49872, '26/09/2020', '26', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49873, '25/09/2020', '25', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49874, '24/09/2020', '24', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49875, '23/09/2020', '23', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49876, '22/09/2020', '22', '9', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49877, '21/09/2020', '21', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49878, '20/09/2020', '20', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49879, '19/09/2020', '19', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49880, '18/09/2020', '18', '9', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49881, '17/09/2020', '17', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49882, '16/09/2020', '16', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49883, '15/09/2020', '15', '9', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49884, '14/09/2020', '14', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49885, '13/09/2020', '13', '9', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (49886, '12/09/2020', '12', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49887, '11/09/2020', '11', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49888, '10/09/2020', '10', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49889, '09/09/2020', '9', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49890, '08/09/2020', '8', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49891, '07/09/2020', '7', '9', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (49892, '06/09/2020', '6', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49893, '05/09/2020', '5', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49894, '04/09/2020', '4', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49895, '03/09/2020', '3', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (49896, '02/09/2020', '2', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49897, '01/09/2020', '1', '9', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49898, '31/08/2020', '31', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49899, '30/08/2020', '30', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49900, '29/08/2020', '29', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49901, '28/08/2020', '28', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49902, '27/08/2020', '27', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49903, '26/08/2020', '26', '8', '2020', '4', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '9.20800892');
INSERT INTO public.ecdc_import VALUES (49904, '25/08/2020', '25', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49905, '24/08/2020', '24', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49906, '23/08/2020', '23', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49907, '22/08/2020', '22', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49908, '21/08/2020', '21', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49909, '20/08/2020', '20', '8', '2020', '5', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49910, '19/08/2020', '19', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (49911, '18/08/2020', '18', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49912, '17/08/2020', '17', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49913, '16/08/2020', '16', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49914, '15/08/2020', '15', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49915, '14/08/2020', '14', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49916, '13/08/2020', '13', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49917, '12/08/2020', '12', '8', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '13.30045733');
INSERT INTO public.ecdc_import VALUES (49918, '11/08/2020', '11', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49919, '10/08/2020', '10', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49920, '09/08/2020', '9', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49921, '08/08/2020', '8', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49922, '07/08/2020', '7', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49923, '06/08/2020', '6', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49924, '05/08/2020', '5', '8', '2020', '12', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '12.27734523');
INSERT INTO public.ecdc_import VALUES (49925, '04/08/2020', '4', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (49926, '03/08/2020', '3', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49927, '02/08/2020', '2', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49928, '01/08/2020', '1', '8', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49929, '31/07/2020', '31', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49930, '30/07/2020', '30', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49931, '29/07/2020', '29', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49932, '28/07/2020', '28', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49933, '27/07/2020', '27', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49934, '26/07/2020', '26', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49935, '25/07/2020', '25', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '14.32356943');
INSERT INTO public.ecdc_import VALUES (49936, '24/07/2020', '24', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '20.46224205');
INSERT INTO public.ecdc_import VALUES (49937, '23/07/2020', '23', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '23.53157836');
INSERT INTO public.ecdc_import VALUES (49938, '22/07/2020', '22', '7', '2020', '6', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '33.76269938');
INSERT INTO public.ecdc_import VALUES (49939, '21/07/2020', '21', '7', '2020', '8', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '27.62402676');
INSERT INTO public.ecdc_import VALUES (49940, '20/07/2020', '20', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49941, '19/07/2020', '19', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49942, '18/07/2020', '18', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49943, '17/07/2020', '17', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49944, '16/07/2020', '16', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49945, '15/07/2020', '15', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49946, '14/07/2020', '14', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49947, '13/07/2020', '13', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49948, '12/07/2020', '12', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49949, '11/07/2020', '11', '7', '2020', '6', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '91.05697711');
INSERT INTO public.ecdc_import VALUES (49950, '10/07/2020', '10', '7', '2020', '3', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '84.9183045');
INSERT INTO public.ecdc_import VALUES (49951, '09/07/2020', '9', '7', '2020', '10', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '81.84896819');
INSERT INTO public.ecdc_import VALUES (49952, '08/07/2020', '8', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '71.61784717');
INSERT INTO public.ecdc_import VALUES (49953, '07/07/2020', '7', '7', '2020', '70', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '71.61784717');
INSERT INTO public.ecdc_import VALUES (49954, '06/07/2020', '6', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49955, '05/07/2020', '5', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49956, '04/07/2020', '4', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49957, '03/07/2020', '3', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49958, '02/07/2020', '2', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49959, '01/07/2020', '1', '7', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49960, '30/06/2020', '30', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49961, '29/06/2020', '29', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49962, '28/06/2020', '28', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49963, '27/06/2020', '27', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49964, '26/06/2020', '26', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49965, '25/06/2020', '25', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49966, '24/06/2020', '24', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49967, '23/06/2020', '23', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49968, '22/06/2020', '22', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49969, '21/06/2020', '21', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49970, '20/06/2020', '20', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49971, '19/06/2020', '19', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49972, '18/06/2020', '18', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49973, '17/06/2020', '17', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49974, '16/06/2020', '16', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49975, '15/06/2020', '15', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49976, '14/06/2020', '14', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49977, '13/06/2020', '13', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49978, '12/06/2020', '12', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49979, '11/06/2020', '11', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49980, '10/06/2020', '10', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49981, '09/06/2020', '9', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49982, '08/06/2020', '8', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49983, '07/06/2020', '7', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49984, '06/06/2020', '6', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49985, '05/06/2020', '5', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49986, '04/06/2020', '4', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49987, '03/06/2020', '3', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49988, '02/06/2020', '2', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49989, '01/06/2020', '1', '6', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49990, '31/05/2020', '31', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49991, '30/05/2020', '30', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49992, '29/05/2020', '29', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49993, '28/05/2020', '28', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49994, '27/05/2020', '27', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49995, '26/05/2020', '26', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49996, '25/05/2020', '25', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49997, '24/05/2020', '24', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49998, '23/05/2020', '23', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (49999, '22/05/2020', '22', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50000, '21/05/2020', '21', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50001, '20/05/2020', '20', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50002, '19/05/2020', '19', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50003, '18/05/2020', '18', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50004, '17/05/2020', '17', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50005, '16/05/2020', '16', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50006, '15/05/2020', '15', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50007, '14/05/2020', '14', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50008, '13/05/2020', '13', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50009, '12/05/2020', '12', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50010, '11/05/2020', '11', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50011, '10/05/2020', '10', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50012, '09/05/2020', '9', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50013, '08/05/2020', '8', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50014, '07/05/2020', '7', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50015, '06/05/2020', '6', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50016, '05/05/2020', '5', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50017, '04/05/2020', '4', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50018, '03/05/2020', '3', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50019, '02/05/2020', '2', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50020, '01/05/2020', '1', '5', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50021, '30/04/2020', '30', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50022, '29/04/2020', '29', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50023, '28/04/2020', '28', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50024, '27/04/2020', '27', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50025, '26/04/2020', '26', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50026, '25/04/2020', '25', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50027, '24/04/2020', '24', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50028, '23/04/2020', '23', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50029, '22/04/2020', '22', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50030, '21/04/2020', '21', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50031, '20/04/2020', '20', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50032, '19/04/2020', '19', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50033, '18/04/2020', '18', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50034, '17/04/2020', '17', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50035, '16/04/2020', '16', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50036, '15/04/2020', '15', '4', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '1.0231121');
INSERT INTO public.ecdc_import VALUES (50037, '14/04/2020', '14', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (50038, '13/04/2020', '13', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '2.0462242');
INSERT INTO public.ecdc_import VALUES (50039, '12/04/2020', '12', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50040, '11/04/2020', '11', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50041, '10/04/2020', '10', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50042, '09/04/2020', '9', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50043, '08/04/2020', '8', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50044, '07/04/2020', '7', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50045, '06/04/2020', '6', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50046, '05/04/2020', '5', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50047, '04/04/2020', '4', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '3.06933631');
INSERT INTO public.ecdc_import VALUES (50048, '03/04/2020', '3', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (50049, '02/04/2020', '2', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '4.09244841');
INSERT INTO public.ecdc_import VALUES (50050, '01/04/2020', '1', '4', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (50051, '31/03/2020', '31', '3', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '6.13867261');
INSERT INTO public.ecdc_import VALUES (50052, '30/03/2020', '30', '3', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (50053, '29/03/2020', '29', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '5.11556051');
INSERT INTO public.ecdc_import VALUES (50054, '28/03/2020', '28', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '7.16178472');
INSERT INTO public.ecdc_import VALUES (50055, '27/03/2020', '27', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50056, '26/03/2020', '26', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50057, '25/03/2020', '25', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50058, '24/03/2020', '24', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50059, '23/03/2020', '23', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50060, '22/03/2020', '22', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50061, '21/03/2020', '21', '3', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50062, '20/03/2020', '20', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50063, '19/03/2020', '19', '3', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50064, '18/03/2020', '18', '3', '2020', '0', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50065, '17/03/2020', '17', '3', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50066, '16/03/2020', '16', '3', '2020', '1', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50067, '15/03/2020', '15', '3', '2020', '2', '0', '97741', 'Seychelles', 'SC', 'SYC', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50068, '14/12/2020', '14', '12', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.37116641');
INSERT INTO public.ecdc_import VALUES (50069, '13/12/2020', '13', '12', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.38396525');
INSERT INTO public.ecdc_import VALUES (50070, '12/12/2020', '12', '12', '2020', '3', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.35836757');
INSERT INTO public.ecdc_import VALUES (50071, '11/12/2020', '11', '12', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.33276989');
INSERT INTO public.ecdc_import VALUES (50072, '10/12/2020', '10', '12', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.33276989');
INSERT INTO public.ecdc_import VALUES (50073, '09/12/2020', '9', '12', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.28157452');
INSERT INTO public.ecdc_import VALUES (50074, '08/12/2020', '8', '12', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.28157452');
INSERT INTO public.ecdc_import VALUES (50075, '07/12/2020', '7', '12', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.26877568');
INSERT INTO public.ecdc_import VALUES (50076, '06/12/2020', '6', '12', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.19198263');
INSERT INTO public.ecdc_import VALUES (50077, '05/12/2020', '5', '12', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.26877568');
INSERT INTO public.ecdc_import VALUES (50078, '04/12/2020', '4', '12', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.24317799');
INSERT INTO public.ecdc_import VALUES (50079, '03/12/2020', '3', '12', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.24317799');
INSERT INTO public.ecdc_import VALUES (50080, '02/12/2020', '2', '12', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.26877568');
INSERT INTO public.ecdc_import VALUES (50081, '01/12/2020', '1', '12', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.26877568');
INSERT INTO public.ecdc_import VALUES (50082, '30/11/2020', '30', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.25597684');
INSERT INTO public.ecdc_import VALUES (50083, '29/11/2020', '29', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.24317799');
INSERT INTO public.ecdc_import VALUES (50084, '28/11/2020', '28', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.26877568');
INSERT INTO public.ecdc_import VALUES (50085, '27/11/2020', '27', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.28157452');
INSERT INTO public.ecdc_import VALUES (50086, '26/11/2020', '26', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.28157452');
INSERT INTO public.ecdc_import VALUES (50087, '25/11/2020', '25', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.25597684');
INSERT INTO public.ecdc_import VALUES (50088, '24/11/2020', '24', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.26877568');
INSERT INTO public.ecdc_import VALUES (50089, '23/11/2020', '23', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.3071722');
INSERT INTO public.ecdc_import VALUES (50090, '22/11/2020', '22', '11', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.3071722');
INSERT INTO public.ecdc_import VALUES (50091, '21/11/2020', '21', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.33276989');
INSERT INTO public.ecdc_import VALUES (50092, '20/11/2020', '20', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.33276989');
INSERT INTO public.ecdc_import VALUES (50093, '19/11/2020', '19', '11', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.35836757');
INSERT INTO public.ecdc_import VALUES (50094, '18/11/2020', '18', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.3071722');
INSERT INTO public.ecdc_import VALUES (50095, '17/11/2020', '17', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.31997104');
INSERT INTO public.ecdc_import VALUES (50096, '16/11/2020', '16', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.31997104');
INSERT INTO public.ecdc_import VALUES (50097, '15/11/2020', '15', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.31997104');
INSERT INTO public.ecdc_import VALUES (50098, '14/11/2020', '14', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.3071722');
INSERT INTO public.ecdc_import VALUES (50099, '13/11/2020', '13', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.31997104');
INSERT INTO public.ecdc_import VALUES (50100, '12/11/2020', '12', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.40956294');
INSERT INTO public.ecdc_import VALUES (50101, '11/11/2020', '11', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.4607583');
INSERT INTO public.ecdc_import VALUES (50102, '10/11/2020', '10', '11', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.49915483');
INSERT INTO public.ecdc_import VALUES (50103, '09/11/2020', '9', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.44795946');
INSERT INTO public.ecdc_import VALUES (50104, '08/11/2020', '8', '11', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.4607583');
INSERT INTO public.ecdc_import VALUES (50105, '07/11/2020', '7', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.38396525');
INSERT INTO public.ecdc_import VALUES (50106, '06/11/2020', '6', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.39676409');
INSERT INTO public.ecdc_import VALUES (50107, '05/11/2020', '5', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.40956294');
INSERT INTO public.ecdc_import VALUES (50108, '04/11/2020', '4', '11', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.40956294');
INSERT INTO public.ecdc_import VALUES (50109, '03/11/2020', '3', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.44795946');
INSERT INTO public.ecdc_import VALUES (50110, '02/11/2020', '2', '11', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.4607583');
INSERT INTO public.ecdc_import VALUES (50111, '01/11/2020', '1', '11', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.49915483');
INSERT INTO public.ecdc_import VALUES (50112, '31/10/2020', '31', '10', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.51195367');
INSERT INTO public.ecdc_import VALUES (50113, '30/10/2020', '30', '10', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.49915483');
INSERT INTO public.ecdc_import VALUES (50114, '29/10/2020', '29', '10', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.49915483');
INSERT INTO public.ecdc_import VALUES (50115, '28/10/2020', '28', '10', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.52475251');
INSERT INTO public.ecdc_import VALUES (50116, '27/10/2020', '27', '10', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.51195367');
INSERT INTO public.ecdc_import VALUES (50117, '26/10/2020', '26', '10', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.51195367');
INSERT INTO public.ecdc_import VALUES (50118, '25/10/2020', '25', '10', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.57594788');
INSERT INTO public.ecdc_import VALUES (50119, '24/10/2020', '24', '10', '2020', '3', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.6143444');
INSERT INTO public.ecdc_import VALUES (50120, '23/10/2020', '23', '10', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.60154556');
INSERT INTO public.ecdc_import VALUES (50121, '22/10/2020', '22', '10', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.63994209');
INSERT INTO public.ecdc_import VALUES (50122, '21/10/2020', '21', '10', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.75513166');
INSERT INTO public.ecdc_import VALUES (50123, '20/10/2020', '20', '10', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.79352819');
INSERT INTO public.ecdc_import VALUES (50124, '19/10/2020', '19', '10', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.78072935');
INSERT INTO public.ecdc_import VALUES (50125, '18/10/2020', '18', '10', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.87032124');
INSERT INTO public.ecdc_import VALUES (50126, '17/10/2020', '17', '10', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.93431545');
INSERT INTO public.ecdc_import VALUES (50127, '16/10/2020', '16', '10', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.08790155');
INSERT INTO public.ecdc_import VALUES (50128, '15/10/2020', '15', '10', '2020', '6', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.07510271');
INSERT INTO public.ecdc_import VALUES (50129, '14/10/2020', '14', '10', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.11349923');
INSERT INTO public.ecdc_import VALUES (50130, '13/10/2020', '13', '10', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.1646946');
INSERT INTO public.ecdc_import VALUES (50131, '12/10/2020', '12', '10', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.1646946');
INSERT INTO public.ecdc_import VALUES (50132, '11/10/2020', '11', '10', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.17749344');
INSERT INTO public.ecdc_import VALUES (50133, '10/10/2020', '10', '10', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.22868881');
INSERT INTO public.ecdc_import VALUES (50134, '09/10/2020', '9', '10', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.34387838');
INSERT INTO public.ecdc_import VALUES (50135, '08/10/2020', '8', '10', '2020', '10', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.33107954');
INSERT INTO public.ecdc_import VALUES (50136, '07/10/2020', '7', '10', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.3182807');
INSERT INTO public.ecdc_import VALUES (50137, '06/10/2020', '6', '10', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.29268302');
INSERT INTO public.ecdc_import VALUES (50138, '05/10/2020', '5', '10', '2020', '10', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.29268302');
INSERT INTO public.ecdc_import VALUES (50139, '04/10/2020', '4', '10', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.27988418');
INSERT INTO public.ecdc_import VALUES (50140, '03/10/2020', '3', '10', '2020', '14', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.26708533');
INSERT INTO public.ecdc_import VALUES (50141, '02/10/2020', '2', '10', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.34387838');
INSERT INTO public.ecdc_import VALUES (50142, '01/10/2020', '1', '10', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.25428649');
INSERT INTO public.ecdc_import VALUES (50143, '30/09/2020', '30', '9', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.22868881');
INSERT INTO public.ecdc_import VALUES (50144, '29/09/2020', '29', '9', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.35667723');
INSERT INTO public.ecdc_import VALUES (50145, '28/09/2020', '28', '9', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.35667723');
INSERT INTO public.ecdc_import VALUES (50146, '27/09/2020', '27', '9', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.43347028');
INSERT INTO public.ecdc_import VALUES (50147, '26/09/2020', '26', '9', '2020', '11', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.43347028');
INSERT INTO public.ecdc_import VALUES (50148, '25/09/2020', '25', '9', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.52306217');
INSERT INTO public.ecdc_import VALUES (50149, '24/09/2020', '24', '9', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.48466564');
INSERT INTO public.ecdc_import VALUES (50150, '23/09/2020', '23', '9', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.40787259');
INSERT INTO public.ecdc_import VALUES (50151, '22/09/2020', '22', '9', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.44626912');
INSERT INTO public.ecdc_import VALUES (50152, '21/09/2020', '21', '9', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.45906796');
INSERT INTO public.ecdc_import VALUES (50153, '20/09/2020', '20', '9', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.51026333');
INSERT INTO public.ecdc_import VALUES (50154, '19/09/2020', '19', '9', '2020', '20', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.43347028');
INSERT INTO public.ecdc_import VALUES (50155, '18/09/2020', '18', '9', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.25428649');
INSERT INTO public.ecdc_import VALUES (50156, '17/09/2020', '17', '9', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.33107954');
INSERT INTO public.ecdc_import VALUES (50157, '16/09/2020', '16', '9', '2020', '17', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.25428649');
INSERT INTO public.ecdc_import VALUES (50158, '15/09/2020', '15', '9', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.06230387');
INSERT INTO public.ecdc_import VALUES (50159, '14/09/2020', '14', '9', '2020', '13', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.11349923');
INSERT INTO public.ecdc_import VALUES (50160, '13/09/2020', '13', '9', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.98551082');
INSERT INTO public.ecdc_import VALUES (50161, '12/09/2020', '12', '9', '2020', '18', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.94711429');
INSERT INTO public.ecdc_import VALUES (50162, '11/09/2020', '11', '9', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.71673514');
INSERT INTO public.ecdc_import VALUES (50163, '10/09/2020', '10', '9', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.81912587');
INSERT INTO public.ecdc_import VALUES (50164, '09/09/2020', '9', '9', '2020', '9', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.80632703');
INSERT INTO public.ecdc_import VALUES (50165, '08/09/2020', '8', '9', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.74233282');
INSERT INTO public.ecdc_import VALUES (50166, '07/09/2020', '7', '9', '2020', '13', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.79352819');
INSERT INTO public.ecdc_import VALUES (50167, '06/09/2020', '6', '9', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.78072935');
INSERT INTO public.ecdc_import VALUES (50168, '05/09/2020', '5', '9', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.88312008');
INSERT INTO public.ecdc_import VALUES (50169, '04/09/2020', '4', '9', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.84472356');
INSERT INTO public.ecdc_import VALUES (50170, '03/09/2020', '3', '9', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.87032124');
INSERT INTO public.ecdc_import VALUES (50171, '02/09/2020', '2', '9', '2020', '2', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.88312008');
INSERT INTO public.ecdc_import VALUES (50172, '01/09/2020', '1', '9', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.89591892');
INSERT INTO public.ecdc_import VALUES (50173, '31/08/2020', '31', '8', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.84472356');
INSERT INTO public.ecdc_import VALUES (50174, '30/08/2020', '30', '8', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.83192471');
INSERT INTO public.ecdc_import VALUES (50175, '29/08/2020', '29', '8', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.84472356');
INSERT INTO public.ecdc_import VALUES (50176, '28/08/2020', '28', '8', '2020', '10', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.93431545');
INSERT INTO public.ecdc_import VALUES (50177, '27/08/2020', '27', '8', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.84472356');
INSERT INTO public.ecdc_import VALUES (50178, '26/08/2020', '26', '8', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.88312008');
INSERT INTO public.ecdc_import VALUES (50179, '25/08/2020', '25', '8', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.02390734');
INSERT INTO public.ecdc_import VALUES (50180, '24/08/2020', '24', '8', '2020', '12', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.97271197');
INSERT INTO public.ecdc_import VALUES (50181, '23/08/2020', '23', '8', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.08790155');
INSERT INTO public.ecdc_import VALUES (50182, '22/08/2020', '22', '8', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.08790155');
INSERT INTO public.ecdc_import VALUES (50183, '21/08/2020', '21', '8', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.17749344');
INSERT INTO public.ecdc_import VALUES (50184, '20/08/2020', '20', '8', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.29268302');
INSERT INTO public.ecdc_import VALUES (50185, '19/08/2020', '19', '8', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.33107954');
INSERT INTO public.ecdc_import VALUES (50186, '18/08/2020', '18', '8', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.38227491');
INSERT INTO public.ecdc_import VALUES (50187, '17/08/2020', '17', '8', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.44626912');
INSERT INTO public.ecdc_import VALUES (50188, '16/08/2020', '16', '8', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.67664827');
INSERT INTO public.ecdc_import VALUES (50189, '15/08/2020', '15', '8', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.65105059');
INSERT INTO public.ecdc_import VALUES (50190, '14/08/2020', '14', '8', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.56145869');
INSERT INTO public.ecdc_import VALUES (50191, '13/08/2020', '13', '8', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.7150448');
INSERT INTO public.ecdc_import VALUES (50192, '12/08/2020', '12', '8', '2020', '15', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.8686309');
INSERT INTO public.ecdc_import VALUES (50193, '11/08/2020', '11', '8', '2020', '1', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.7150448');
INSERT INTO public.ecdc_import VALUES (50194, '10/08/2020', '10', '8', '2020', '21', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.70224595');
INSERT INTO public.ecdc_import VALUES (50195, '09/08/2020', '9', '8', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.6254529');
INSERT INTO public.ecdc_import VALUES (50196, '08/08/2020', '8', '8', '2020', '10', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.72784364');
INSERT INTO public.ecdc_import VALUES (50197, '07/08/2020', '7', '8', '2020', '17', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.59985522');
INSERT INTO public.ecdc_import VALUES (50198, '06/08/2020', '6', '8', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.65105059');
INSERT INTO public.ecdc_import VALUES (50199, '05/08/2020', '5', '8', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.63825174');
INSERT INTO public.ecdc_import VALUES (50200, '04/08/2020', '4', '8', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.75344132');
INSERT INTO public.ecdc_import VALUES (50201, '03/08/2020', '3', '8', '2020', '20', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.68944711');
INSERT INTO public.ecdc_import VALUES (50202, '02/08/2020', '2', '8', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.56145869');
INSERT INTO public.ecdc_import VALUES (50203, '01/08/2020', '1', '8', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.66384943');
INSERT INTO public.ecdc_import VALUES (50204, '31/07/2020', '31', '7', '2020', '15', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.79183785');
INSERT INTO public.ecdc_import VALUES (50205, '30/07/2020', '30', '7', '2020', '17', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.72784364');
INSERT INTO public.ecdc_import VALUES (50206, '29/07/2020', '29', '7', '2020', '3', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.72784364');
INSERT INTO public.ecdc_import VALUES (50207, '28/07/2020', '28', '7', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.80463669');
INSERT INTO public.ecdc_import VALUES (50208, '27/07/2020', '27', '7', '2020', '15', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.89422858');
INSERT INTO public.ecdc_import VALUES (50209, '26/07/2020', '26', '7', '2020', '16', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.91982626');
INSERT INTO public.ecdc_import VALUES (50210, '25/07/2020', '25', '7', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.779039');
INSERT INTO public.ecdc_import VALUES (50211, '24/07/2020', '24', '7', '2020', '21', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.97102163');
INSERT INTO public.ecdc_import VALUES (50212, '23/07/2020', '23', '7', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.88142974');
INSERT INTO public.ecdc_import VALUES (50213, '22/07/2020', '22', '7', '2020', '16', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.98382047');
INSERT INTO public.ecdc_import VALUES (50214, '21/07/2020', '21', '7', '2020', '0', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.16300426');
INSERT INTO public.ecdc_import VALUES (50215, '20/07/2020', '20', '7', '2020', '10', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.16300426');
INSERT INTO public.ecdc_import VALUES (50216, '19/07/2020', '19', '7', '2020', '13', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.15020542');
INSERT INTO public.ecdc_import VALUES (50217, '18/07/2020', '18', '7', '2020', '10', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.09901005');
INSERT INTO public.ecdc_import VALUES (50218, '17/07/2020', '17', '7', '2020', '10', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.04781468');
INSERT INTO public.ecdc_import VALUES (50219, '16/07/2020', '16', '7', '2020', '17', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.1758031');
INSERT INTO public.ecdc_import VALUES (50220, '15/07/2020', '15', '7', '2020', '9', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.41898109');
INSERT INTO public.ecdc_import VALUES (50221, '14/07/2020', '14', '7', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.45737762');
INSERT INTO public.ecdc_import VALUES (50222, '13/07/2020', '13', '7', '2020', '17', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.66215909');
INSERT INTO public.ecdc_import VALUES (50223, '12/07/2020', '12', '7', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.66215909');
INSERT INTO public.ecdc_import VALUES (50224, '11/07/2020', '11', '7', '2020', '15', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.80294634');
INSERT INTO public.ecdc_import VALUES (50225, '10/07/2020', '10', '7', '2020', '14', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.77734866');
INSERT INTO public.ecdc_import VALUES (50226, '09/07/2020', '9', '7', '2020', '12', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.9437336');
INSERT INTO public.ecdc_import VALUES (50227, '08/07/2020', '8', '7', '2020', '30', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.8797394');
INSERT INTO public.ecdc_import VALUES (50228, '07/07/2020', '7', '7', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.58536603');
INSERT INTO public.ecdc_import VALUES (50229, '06/07/2020', '6', '7', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.75175098');
INSERT INTO public.ecdc_import VALUES (50230, '05/07/2020', '5', '7', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.86694055');
INSERT INTO public.ecdc_import VALUES (50231, '04/07/2020', '4', '7', '2020', '6', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.89253824');
INSERT INTO public.ecdc_import VALUES (50232, '03/07/2020', '3', '7', '2020', '20', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.14851507');
INSERT INTO public.ecdc_import VALUES (50233, '02/07/2020', '2', '7', '2020', '36', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.1869116');
INSERT INTO public.ecdc_import VALUES (50234, '01/07/2020', '1', '7', '2020', '12', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.0333255');
INSERT INTO public.ecdc_import VALUES (50235, '30/06/2020', '30', '6', '2020', '23', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.50688264');
INSERT INTO public.ecdc_import VALUES (50236, '29/06/2020', '29', '6', '2020', '17', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.30210117');
INSERT INTO public.ecdc_import VALUES (50237, '28/06/2020', '28', '6', '2020', '16', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.55807801');
INSERT INTO public.ecdc_import VALUES (50238, '27/06/2020', '27', '6', '2020', '13', '3', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.72446295');
INSERT INTO public.ecdc_import VALUES (50239, '26/06/2020', '26', '6', '2020', '27', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.78845716');
INSERT INTO public.ecdc_import VALUES (50240, '25/06/2020', '25', '6', '2020', '7', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.73726179');
INSERT INTO public.ecdc_import VALUES (50241, '24/06/2020', '24', '6', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.12122705');
INSERT INTO public.ecdc_import VALUES (50242, '23/06/2020', '23', '6', '2020', '13', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.33880736');
INSERT INTO public.ecdc_import VALUES (50243, '22/06/2020', '22', '6', '2020', '18', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.58198535');
INSERT INTO public.ecdc_import VALUES (50244, '21/06/2020', '21', '6', '2020', '11', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.64597956');
INSERT INTO public.ecdc_import VALUES (50245, '20/06/2020', '20', '6', '2020', '26', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.72277261');
INSERT INTO public.ecdc_import VALUES (50246, '19/06/2020', '19', '6', '2020', '23', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.58198535');
INSERT INTO public.ecdc_import VALUES (50247, '18/06/2020', '18', '6', '2020', '24', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.3516062');
INSERT INTO public.ecdc_import VALUES (50248, '17/06/2020', '17', '6', '2020', '49', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.21081894');
INSERT INTO public.ecdc_import VALUES (50249, '16/06/2020', '16', '6', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.03163515');
INSERT INTO public.ecdc_import VALUES (50250, '15/06/2020', '15', '6', '2020', '37', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.94204326');
INSERT INTO public.ecdc_import VALUES (50251, '14/06/2020', '14', '6', '2020', '29', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.58367569');
INSERT INTO public.ecdc_import VALUES (50252, '13/06/2020', '13', '6', '2020', '18', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.50688264');
INSERT INTO public.ecdc_import VALUES (50253, '12/06/2020', '12', '6', '2020', '23', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.4940838');
INSERT INTO public.ecdc_import VALUES (50254, '11/06/2020', '11', '6', '2020', '37', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.58367569');
INSERT INTO public.ecdc_import VALUES (50255, '10/06/2020', '10', '6', '2020', '24', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.46848612');
INSERT INTO public.ecdc_import VALUES (50256, '09/06/2020', '9', '6', '2020', '32', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.40449191');
INSERT INTO public.ecdc_import VALUES (50257, '08/06/2020', '8', '6', '2020', '23', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.35329654');
INSERT INTO public.ecdc_import VALUES (50258, '07/06/2020', '7', '6', '2020', '17', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.15962357');
INSERT INTO public.ecdc_import VALUES (50259, '06/06/2020', '6', '6', '2020', '15', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.13402589');
INSERT INTO public.ecdc_import VALUES (50260, '05/06/2020', '5', '6', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.21081894');
INSERT INTO public.ecdc_import VALUES (50261, '04/06/2020', '4', '6', '2020', '13', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.33880736');
INSERT INTO public.ecdc_import VALUES (50262, '03/06/2020', '3', '6', '2020', '35', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.63318072');
INSERT INTO public.ecdc_import VALUES (50263, '02/06/2020', '2', '6', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.37720388');
INSERT INTO public.ecdc_import VALUES (50264, '01/06/2020', '1', '6', '2020', '9', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.55638767');
INSERT INTO public.ecdc_import VALUES (50265, '31/05/2020', '31', '5', '2020', '23', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.99154828');
INSERT INTO public.ecdc_import VALUES (50266, '30/05/2020', '30', '5', '2020', '17', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.88915755');
INSERT INTO public.ecdc_import VALUES (50267, '29/05/2020', '29', '5', '2020', '30', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '5.17073207');
INSERT INTO public.ecdc_import VALUES (50268, '28/05/2020', '28', '5', '2020', '28', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '5.05554249');
INSERT INTO public.ecdc_import VALUES (50269, '27/05/2020', '27', '5', '2020', '19', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '5.32431817');
INSERT INTO public.ecdc_import VALUES (50270, '26/05/2020', '26', '5', '2020', '28', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '5.08114018');
INSERT INTO public.ecdc_import VALUES (50271, '25/05/2020', '25', '5', '2020', '86', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '5.1195367');
INSERT INTO public.ecdc_import VALUES (50272, '24/05/2020', '24', '5', '2020', '15', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.22361778');
INSERT INTO public.ecdc_import VALUES (50273, '23/05/2020', '23', '5', '2020', '21', '3', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.46679577');
INSERT INTO public.ecdc_import VALUES (50274, '22/05/2020', '22', '5', '2020', '15', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.53078998');
INSERT INTO public.ecdc_import VALUES (50275, '21/05/2020', '21', '5', '2020', '36', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.41560041');
INSERT INTO public.ecdc_import VALUES (50276, '20/05/2020', '20', '5', '2020', '15', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.28761199');
INSERT INTO public.ecdc_import VALUES (50277, '19/05/2020', '19', '5', '2020', '14', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.36440504');
INSERT INTO public.ecdc_import VALUES (50278, '18/05/2020', '18', '5', '2020', '43', '3', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '4.45399693');
INSERT INTO public.ecdc_import VALUES (50279, '17/05/2020', '17', '5', '2020', '15', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.92924442');
INSERT INTO public.ecdc_import VALUES (50280, '16/05/2020', '16', '5', '2020', '39', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.98043979');
INSERT INTO public.ecdc_import VALUES (50281, '15/05/2020', '15', '5', '2020', '21', '5', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.63487106');
INSERT INTO public.ecdc_import VALUES (50282, '14/05/2020', '14', '5', '2020', '49', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.46848612');
INSERT INTO public.ecdc_import VALUES (50283, '13/05/2020', '13', '5', '2020', '0', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.99492897');
INSERT INTO public.ecdc_import VALUES (50284, '12/05/2020', '12', '5', '2020', '31', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '3.05892318');
INSERT INTO public.ecdc_import VALUES (50285, '11/05/2020', '11', '5', '2020', '16', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.73895214');
INSERT INTO public.ecdc_import VALUES (50286, '10/05/2020', '10', '5', '2020', '34', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.67495793');
INSERT INTO public.ecdc_import VALUES (50287, '09/05/2020', '9', '5', '2020', '26', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.23979731');
INSERT INTO public.ecdc_import VALUES (50288, '08/05/2020', '8', '5', '2020', '6', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.13740657');
INSERT INTO public.ecdc_import VALUES (50289, '07/05/2020', '7', '5', '2020', '26', '3', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '2.09901005');
INSERT INTO public.ecdc_import VALUES (50290, '06/05/2020', '6', '5', '2020', '21', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.90702742');
INSERT INTO public.ecdc_import VALUES (50291, '05/05/2020', '5', '5', '2020', '21', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.72784364');
INSERT INTO public.ecdc_import VALUES (50292, '04/05/2020', '4', '5', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.56145869');
INSERT INTO public.ecdc_import VALUES (50293, '03/05/2020', '3', '5', '2020', '19', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.59985522');
INSERT INTO public.ecdc_import VALUES (50294, '02/05/2020', '2', '5', '2020', '12', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.40787259');
INSERT INTO public.ecdc_import VALUES (50295, '01/05/2020', '1', '5', '2020', '8', '3', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.39507375');
INSERT INTO public.ecdc_import VALUES (50296, '30/04/2020', '30', '4', '2020', '12', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.3182807');
INSERT INTO public.ecdc_import VALUES (50297, '29/04/2020', '29', '4', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.19029228');
INSERT INTO public.ecdc_import VALUES (50298, '28/04/2020', '28', '4', '2020', '6', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.12629807');
INSERT INTO public.ecdc_import VALUES (50299, '27/04/2020', '27', '4', '2020', '11', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '1.06230387');
INSERT INTO public.ecdc_import VALUES (50300, '26/04/2020', '26', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.92151661');
INSERT INTO public.ecdc_import VALUES (50301, '25/04/2020', '25', '4', '2020', '18', '2', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.94711429');
INSERT INTO public.ecdc_import VALUES (50302, '24/04/2020', '24', '4', '2020', '3', '1', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.72953398');
INSERT INTO public.ecdc_import VALUES (50303, '23/04/2020', '23', '4', '2020', '11', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.69113745');
INSERT INTO public.ecdc_import VALUES (50304, '22/04/2020', '22', '4', '2020', '7', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.56314904');
INSERT INTO public.ecdc_import VALUES (50305, '21/04/2020', '21', '4', '2020', '8', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.47355714');
INSERT INTO public.ecdc_import VALUES (50306, '20/04/2020', '20', '4', '2020', '5', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.37116641');
INSERT INTO public.ecdc_import VALUES (50307, '19/04/2020', '19', '4', '2020', '4', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.33276989');
INSERT INTO public.ecdc_import VALUES (50308, '18/04/2020', '18', '4', '2020', '11', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.3071722');
INSERT INTO public.ecdc_import VALUES (50309, '17/04/2020', '17', '4', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.16638494');
INSERT INTO public.ecdc_import VALUES (50310, '16/04/2020', '16', '4', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.1535861');
INSERT INTO public.ecdc_import VALUES (50311, '15/04/2020', '15', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.12798842');
INSERT INTO public.ecdc_import VALUES (50312, '14/04/2020', '14', '4', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '0.14078726');
INSERT INTO public.ecdc_import VALUES (50313, '13/04/2020', '13', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50314, '12/04/2020', '12', '4', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50315, '11/04/2020', '11', '4', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50316, '10/04/2020', '10', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50317, '09/04/2020', '9', '4', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50318, '08/04/2020', '8', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50319, '07/04/2020', '7', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50320, '06/04/2020', '6', '4', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50321, '05/04/2020', '5', '4', '2020', '2', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50322, '04/04/2020', '4', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50323, '03/04/2020', '3', '4', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50324, '02/04/2020', '2', '4', '2020', '0', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50325, '01/04/2020', '1', '4', '2020', '1', '0', '7813207', 'Sierra_Leone', 'SL', 'SLE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (50326, '14/12/2020', '14', '12', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.84344723');
INSERT INTO public.ecdc_import VALUES (50327, '13/12/2020', '13', '12', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.8606757');
INSERT INTO public.ecdc_import VALUES (50328, '12/12/2020', '12', '12', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.82621875');
INSERT INTO public.ecdc_import VALUES (50329, '11/12/2020', '11', '12', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.75730483');
INSERT INTO public.ecdc_import VALUES (50330, '10/12/2020', '10', '12', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.74007635');
INSERT INTO public.ecdc_import VALUES (50331, '09/12/2020', '9', '12', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.75730483');
INSERT INTO public.ecdc_import VALUES (50332, '08/12/2020', '8', '12', '2020', '13', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.8606757');
INSERT INTO public.ecdc_import VALUES (50333, '07/12/2020', '7', '12', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.72284787');
INSERT INTO public.ecdc_import VALUES (50334, '06/12/2020', '6', '12', '2020', '13', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.84344723');
INSERT INTO public.ecdc_import VALUES (50335, '05/12/2020', '5', '12', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.7056194');
INSERT INTO public.ecdc_import VALUES (50336, '04/12/2020', '4', '12', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.72284787');
INSERT INTO public.ecdc_import VALUES (50337, '03/12/2020', '3', '12', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.63670548');
INSERT INTO public.ecdc_import VALUES (50338, '02/12/2020', '2', '12', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.68839092');
INSERT INTO public.ecdc_import VALUES (50339, '01/12/2020', '1', '12', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.619477');
INSERT INTO public.ecdc_import VALUES (50340, '30/11/2020', '30', '11', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.619477');
INSERT INTO public.ecdc_import VALUES (50341, '29/11/2020', '29', '11', '2020', '6', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.53333461');
INSERT INTO public.ecdc_import VALUES (50342, '28/11/2020', '28', '11', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.46442069');
INSERT INTO public.ecdc_import VALUES (50343, '27/11/2020', '27', '11', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.60224852');
INSERT INTO public.ecdc_import VALUES (50344, '26/11/2020', '26', '11', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.7056194');
INSERT INTO public.ecdc_import VALUES (50345, '25/11/2020', '25', '11', '2020', '18', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.89513266');
INSERT INTO public.ecdc_import VALUES (50346, '24/11/2020', '24', '11', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.74007635');
INSERT INTO public.ecdc_import VALUES (50347, '23/11/2020', '23', '11', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.79176179');
INSERT INTO public.ecdc_import VALUES (50348, '22/11/2020', '22', '11', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.619477');
INSERT INTO public.ecdc_import VALUES (50349, '21/11/2020', '21', '11', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.65393396');
INSERT INTO public.ecdc_import VALUES (50350, '20/11/2020', '20', '11', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.65393396');
INSERT INTO public.ecdc_import VALUES (50351, '19/11/2020', '19', '11', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.7056194');
INSERT INTO public.ecdc_import VALUES (50352, '18/11/2020', '18', '11', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.74007635');
INSERT INTO public.ecdc_import VALUES (50353, '17/11/2020', '17', '11', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.79176179');
INSERT INTO public.ecdc_import VALUES (50354, '16/11/2020', '16', '11', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.72284787');
INSERT INTO public.ecdc_import VALUES (50355, '15/11/2020', '15', '11', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.74007635');
INSERT INTO public.ecdc_import VALUES (50356, '14/11/2020', '14', '11', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.91236114');
INSERT INTO public.ecdc_import VALUES (50357, '13/11/2020', '13', '11', '2020', '11', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.8606757');
INSERT INTO public.ecdc_import VALUES (50358, '12/11/2020', '12', '11', '2020', '18', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.79176179');
INSERT INTO public.ecdc_import VALUES (50359, '11/11/2020', '11', '11', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.60224852');
INSERT INTO public.ecdc_import VALUES (50360, '10/11/2020', '10', '11', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.56779157');
INSERT INTO public.ecdc_import VALUES (50361, '09/11/2020', '9', '11', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.48164917');
INSERT INTO public.ecdc_import VALUES (50362, '08/11/2020', '8', '11', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.53333461');
INSERT INTO public.ecdc_import VALUES (50363, '07/11/2020', '7', '11', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.65393396');
INSERT INTO public.ecdc_import VALUES (50364, '06/11/2020', '6', '11', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.75730483');
INSERT INTO public.ecdc_import VALUES (50365, '05/11/2020', '5', '11', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.77453331');
INSERT INTO public.ecdc_import VALUES (50366, '04/11/2020', '4', '11', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.8606757');
INSERT INTO public.ecdc_import VALUES (50367, '03/11/2020', '3', '11', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.80899027');
INSERT INTO public.ecdc_import VALUES (50368, '02/11/2020', '2', '11', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.8606757');
INSERT INTO public.ecdc_import VALUES (50369, '01/11/2020', '1', '11', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.91236114');
INSERT INTO public.ecdc_import VALUES (50370, '31/10/2020', '31', '10', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.75730483');
INSERT INTO public.ecdc_import VALUES (50371, '30/10/2020', '30', '10', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.75730483');
INSERT INTO public.ecdc_import VALUES (50372, '29/10/2020', '29', '10', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.68839092');
INSERT INTO public.ecdc_import VALUES (50373, '28/10/2020', '28', '10', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.65393396');
INSERT INTO public.ecdc_import VALUES (50374, '27/10/2020', '27', '10', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.60224852');
INSERT INTO public.ecdc_import VALUES (50375, '26/10/2020', '26', '10', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.619477');
INSERT INTO public.ecdc_import VALUES (50376, '25/10/2020', '25', '10', '2020', '14', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.7056194');
INSERT INTO public.ecdc_import VALUES (50377, '24/10/2020', '24', '10', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.58502004');
INSERT INTO public.ecdc_import VALUES (50378, '23/10/2020', '23', '10', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.58502004');
INSERT INTO public.ecdc_import VALUES (50379, '22/10/2020', '22', '10', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.60224852');
INSERT INTO public.ecdc_import VALUES (50380, '21/10/2020', '21', '10', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.56779157');
INSERT INTO public.ecdc_import VALUES (50381, '20/10/2020', '20', '10', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.65393396');
INSERT INTO public.ecdc_import VALUES (50382, '19/10/2020', '19', '10', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.7056194');
INSERT INTO public.ecdc_import VALUES (50383, '18/10/2020', '18', '10', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.79176179');
INSERT INTO public.ecdc_import VALUES (50384, '17/10/2020', '17', '10', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.84344723');
INSERT INTO public.ecdc_import VALUES (50385, '16/10/2020', '16', '10', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.8606757');
INSERT INTO public.ecdc_import VALUES (50386, '15/10/2020', '15', '10', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '2.53258638');
INSERT INTO public.ecdc_import VALUES (50387, '14/10/2020', '14', '10', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '2.44644398');
INSERT INTO public.ecdc_import VALUES (50388, '13/10/2020', '13', '10', '2020', '4', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '2.84269899');
INSERT INTO public.ecdc_import VALUES (50389, '12/10/2020', '12', '10', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.03221226');
INSERT INTO public.ecdc_import VALUES (50390, '11/10/2020', '11', '10', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.11835465');
INSERT INTO public.ecdc_import VALUES (50391, '10/10/2020', '10', '10', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.34232488');
INSERT INTO public.ecdc_import VALUES (50392, '09/10/2020', '9', '10', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.35955336');
INSERT INTO public.ecdc_import VALUES (50393, '08/10/2020', '8', '10', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.46292423');
INSERT INTO public.ecdc_import VALUES (50394, '07/10/2020', '7', '10', '2020', '11', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.49738119');
INSERT INTO public.ecdc_import VALUES (50395, '06/10/2020', '6', '10', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.66966597');
INSERT INTO public.ecdc_import VALUES (50396, '05/10/2020', '5', '10', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.06592098');
INSERT INTO public.ecdc_import VALUES (50397, '04/10/2020', '4', '10', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.16929186');
INSERT INTO public.ecdc_import VALUES (50398, '03/10/2020', '3', '10', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.32434816');
INSERT INTO public.ecdc_import VALUES (50399, '02/10/2020', '2', '10', '2020', '42', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.34157664');
INSERT INTO public.ecdc_import VALUES (50400, '01/10/2020', '1', '10', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.92809315');
INSERT INTO public.ecdc_import VALUES (50401, '30/09/2020', '30', '9', '2020', '27', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.3760336');
INSERT INTO public.ecdc_import VALUES (50402, '29/09/2020', '29', '9', '2020', '15', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.49663295');
INSERT INTO public.ecdc_import VALUES (50403, '28/09/2020', '28', '9', '2020', '15', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '5.06517275');
INSERT INTO public.ecdc_import VALUES (50404, '27/09/2020', '27', '9', '2020', '20', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '5.65094103');
INSERT INTO public.ecdc_import VALUES (50405, '26/09/2020', '26', '9', '2020', '11', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '6.02996756');
INSERT INTO public.ecdc_import VALUES (50406, '25/09/2020', '25', '9', '2020', '15', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '7.32210347');
INSERT INTO public.ecdc_import VALUES (50407, '24/09/2020', '24', '9', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '8.14907045');
INSERT INTO public.ecdc_import VALUES (50408, '23/09/2020', '23', '9', '2020', '21', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '9.23446461');
INSERT INTO public.ecdc_import VALUES (50409, '22/09/2020', '22', '9', '2020', '30', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '9.68240505');
INSERT INTO public.ecdc_import VALUES (50410, '21/09/2020', '21', '9', '2020', '18', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '9.54457722');
INSERT INTO public.ecdc_import VALUES (50411, '20/09/2020', '20', '9', '2020', '15', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '9.92360376');
INSERT INTO public.ecdc_import VALUES (50412, '19/09/2020', '19', '9', '2020', '11', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.940084');
INSERT INTO public.ecdc_import VALUES (50413, '18/09/2020', '18', '9', '2020', '18', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.75057074');
INSERT INTO public.ecdc_import VALUES (50414, '17/09/2020', '17', '9', '2020', '26', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.2674251');
INSERT INTO public.ecdc_import VALUES (50415, '16/09/2020', '16', '9', '2020', '34', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.95731248');
INSERT INTO public.ecdc_import VALUES (50416, '15/09/2020', '15', '9', '2020', '48', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.06068335');
INSERT INTO public.ecdc_import VALUES (50417, '14/09/2020', '14', '9', '2020', '49', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.940084');
INSERT INTO public.ecdc_import VALUES (50418, '13/09/2020', '13', '9', '2020', '42', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.0262264');
INSERT INTO public.ecdc_import VALUES (50419, '12/09/2020', '12', '9', '2020', '86', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.18128271');
INSERT INTO public.ecdc_import VALUES (50420, '11/09/2020', '11', '9', '2020', '63', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.31911053');
INSERT INTO public.ecdc_import VALUES (50421, '10/09/2020', '10', '9', '2020', '75', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.56030924');
INSERT INTO public.ecdc_import VALUES (50422, '09/09/2020', '9', '9', '2020', '47', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.30188206');
INSERT INTO public.ecdc_import VALUES (50423, '08/09/2020', '8', '9', '2020', '22', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.0262264');
INSERT INTO public.ecdc_import VALUES (50424, '07/09/2020', '7', '9', '2020', '40', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.52585228');
INSERT INTO public.ecdc_import VALUES (50425, '06/09/2020', '6', '9', '2020', '74', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '12.33559078');
INSERT INTO public.ecdc_import VALUES (50426, '05/09/2020', '5', '9', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.92210729');
INSERT INTO public.ecdc_import VALUES (50427, '04/09/2020', '4', '9', '2020', '48', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '13.9378393');
INSERT INTO public.ecdc_import VALUES (50428, '03/09/2020', '3', '9', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '14.28240888');
INSERT INTO public.ecdc_import VALUES (50429, '02/09/2020', '2', '9', '2020', '40', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '15.74682957');
INSERT INTO public.ecdc_import VALUES (50430, '01/09/2020', '1', '9', '2020', '41', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '16.7805383');
INSERT INTO public.ecdc_import VALUES (50431, '31/08/2020', '31', '8', '2020', '54', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '17.64196223');
INSERT INTO public.ecdc_import VALUES (50432, '30/08/2020', '30', '8', '2020', '51', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '18.19327355');
INSERT INTO public.ecdc_import VALUES (50433, '29/08/2020', '29', '8', '2020', '94', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '18.71012792');
INSERT INTO public.ecdc_import VALUES (50434, '28/08/2020', '28', '8', '2020', '77', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '18.52061465');
INSERT INTO public.ecdc_import VALUES (50435, '27/08/2020', '27', '8', '2020', '60', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '18.95132662');
INSERT INTO public.ecdc_import VALUES (50436, '26/08/2020', '26', '8', '2020', '31', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '18.641214');
INSERT INTO public.ecdc_import VALUES (50437, '25/08/2020', '25', '8', '2020', '51', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '19.15806836');
INSERT INTO public.ecdc_import VALUES (50438, '24/08/2020', '24', '8', '2020', '87', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '21.51836995');
INSERT INTO public.ecdc_import VALUES (50439, '23/08/2020', '23', '8', '2020', '50', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '23.03447608');
INSERT INTO public.ecdc_import VALUES (50440, '22/08/2020', '22', '8', '2020', '117', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '24.44721134');
INSERT INTO public.ecdc_import VALUES (50441, '21/08/2020', '21', '8', '2020', '68', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '26.60077118');
INSERT INTO public.ecdc_import VALUES (50442, '20/08/2020', '20', '8', '2020', '93', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '30.61500673');
INSERT INTO public.ecdc_import VALUES (50443, '19/08/2020', '19', '8', '2020', '100', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '44.65621691');
INSERT INTO public.ecdc_import VALUES (50444, '18/08/2020', '18', '8', '2020', '91', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '48.01577026');
INSERT INTO public.ecdc_import VALUES (50445, '17/08/2020', '17', '8', '2020', '86', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '50.34161489');
INSERT INTO public.ecdc_import VALUES (50446, '16/08/2020', '16', '8', '2020', '81', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '54.25247957');
INSERT INTO public.ecdc_import VALUES (50447, '15/08/2020', '15', '8', '2020', '83', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '58.14611576');
INSERT INTO public.ecdc_import VALUES (50448, '14/08/2020', '14', '8', '2020', '102', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '63.53862961');
INSERT INTO public.ecdc_import VALUES (50449, '13/08/2020', '13', '8', '2020', '42', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '66.57084187');
INSERT INTO public.ecdc_import VALUES (50450, '12/08/2020', '12', '8', '2020', '61', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '71.60155766');
INSERT INTO public.ecdc_import VALUES (50451, '11/08/2020', '11', '8', '2020', '188', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '76.73564433');
INSERT INTO public.ecdc_import VALUES (50452, '10/08/2020', '10', '8', '2020', '175', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '81.57684685');
INSERT INTO public.ecdc_import VALUES (50453, '09/08/2020', '9', '8', '2020', '132', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '86.84876135');
INSERT INTO public.ecdc_import VALUES (50454, '08/08/2020', '8', '8', '2020', '242', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '93.41281175');
INSERT INTO public.ecdc_import VALUES (50455, '07/08/2020', '7', '8', '2020', '301', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '94.01580851');
INSERT INTO public.ecdc_import VALUES (50456, '06/08/2020', '6', '8', '2020', '908', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '94.92891788');
INSERT INTO public.ecdc_import VALUES (50457, '05/08/2020', '5', '8', '2020', '295', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '84.62628759');
INSERT INTO public.ecdc_import VALUES (50458, '04/08/2020', '4', '8', '2020', '226', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '86.41804938');
INSERT INTO public.ecdc_import VALUES (50459, '03/08/2020', '3', '8', '2020', '313', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '84.64351607');
INSERT INTO public.ecdc_import VALUES (50460, '02/08/2020', '2', '8', '2020', '307', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '83.67872126');
INSERT INTO public.ecdc_import VALUES (50461, '01/08/2020', '1', '8', '2020', '396', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '81.86973099');
INSERT INTO public.ecdc_import VALUES (50462, '31/07/2020', '31', '7', '2020', '278', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '80.68096596');
INSERT INTO public.ecdc_import VALUES (50463, '30/07/2020', '30', '7', '2020', '334', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '80.1641116');
INSERT INTO public.ecdc_import VALUES (50464, '29/07/2020', '29', '7', '2020', '359', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '78.6996909');
INSERT INTO public.ecdc_import VALUES (50465, '28/07/2020', '28', '7', '2020', '469', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '78.47572068');
INSERT INTO public.ecdc_import VALUES (50466, '27/07/2020', '27', '7', '2020', '481', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '75.9431343');
INSERT INTO public.ecdc_import VALUES (50467, '26/07/2020', '26', '7', '2020', '513', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '70.72290525');
INSERT INTO public.ecdc_import VALUES (50468, '25/07/2020', '25', '7', '2020', '277', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '64.81353704');
INSERT INTO public.ecdc_import VALUES (50469, '24/07/2020', '24', '7', '2020', '354', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '63.33188786');
INSERT INTO public.ecdc_import VALUES (50470, '23/07/2020', '23', '7', '2020', '310', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '59.36933775');
INSERT INTO public.ecdc_import VALUES (50471, '22/07/2020', '22', '7', '2020', '399', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '56.75060898');
INSERT INTO public.ecdc_import VALUES (50472, '21/07/2020', '21', '7', '2020', '123', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '52.58131713');
INSERT INTO public.ecdc_import VALUES (50473, '20/07/2020', '20', '7', '2020', '257', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '55.95809896');
INSERT INTO public.ecdc_import VALUES (50474, '19/07/2020', '19', '7', '2020', '202', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '51.53037992');
INSERT INTO public.ecdc_import VALUES (50475, '18/07/2020', '18', '7', '2020', '327', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '51.23749579');
INSERT INTO public.ecdc_import VALUES (50476, '17/07/2020', '17', '7', '2020', '248', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '48.51539614');
INSERT INTO public.ecdc_import VALUES (50477, '16/07/2020', '16', '7', '2020', '249', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '47.48168742');
INSERT INTO public.ecdc_import VALUES (50478, '15/07/2020', '15', '7', '2020', '346', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '46.89591914');
INSERT INTO public.ecdc_import VALUES (50479, '14/07/2020', '14', '7', '2020', '322', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '45.17307127');
INSERT INTO public.ecdc_import VALUES (50480, '13/07/2020', '13', '7', '2020', '178', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '43.10565382');
INSERT INTO public.ecdc_import VALUES (50481, '12/07/2020', '12', '7', '2020', '170', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '43.70865057');
INSERT INTO public.ecdc_import VALUES (50482, '11/07/2020', '11', '7', '2020', '191', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '45.7932965');
INSERT INTO public.ecdc_import VALUES (50483, '10/07/2020', '10', '7', '2020', '124', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '46.27569391');
INSERT INTO public.ecdc_import VALUES (50484, '09/07/2020', '9', '7', '2020', '158', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '46.08618064');
INSERT INTO public.ecdc_import VALUES (50485, '08/07/2020', '8', '7', '2020', '157', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '46.65472044');
INSERT INTO public.ecdc_import VALUES (50486, '07/07/2020', '7', '7', '2020', '319', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '46.00003825');
INSERT INTO public.ecdc_import VALUES (50487, '06/07/2020', '6', '7', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '44.25996189');
INSERT INTO public.ecdc_import VALUES (50488, '05/07/2020', '5', '7', '2020', '185', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '48.77382333');
INSERT INTO public.ecdc_import VALUES (50489, '04/07/2020', '4', '7', '2020', '169', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '49.34236312');
INSERT INTO public.ecdc_import VALUES (50490, '03/07/2020', '3', '7', '2020', '188', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '48.8771942');
INSERT INTO public.ecdc_import VALUES (50491, '02/07/2020', '2', '7', '2020', '215', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '50.06595923');
INSERT INTO public.ecdc_import VALUES (50492, '01/07/2020', '1', '7', '2020', '246', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '50.61727055');
INSERT INTO public.ecdc_import VALUES (50493, '30/06/2020', '30', '6', '2020', '202', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '48.98056507');
INSERT INTO public.ecdc_import VALUES (50494, '29/06/2020', '29', '6', '2020', '213', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '49.18730681');
INSERT INTO public.ecdc_import VALUES (50495, '28/06/2020', '28', '6', '2020', '291', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '52.52963169');
INSERT INTO public.ecdc_import VALUES (50496, '27/06/2020', '27', '6', '2020', '219', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '53.4944265');
INSERT INTO public.ecdc_import VALUES (50497, '26/06/2020', '26', '6', '2020', '113', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '57.69817531');
INSERT INTO public.ecdc_import VALUES (50498, '25/06/2020', '25', '6', '2020', '191', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '63.02177525');
INSERT INTO public.ecdc_import VALUES (50499, '24/06/2020', '24', '6', '2020', '119', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '67.50117972');
INSERT INTO public.ecdc_import VALUES (50500, '23/06/2020', '23', '6', '2020', '218', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '69.20679912');
INSERT INTO public.ecdc_import VALUES (50501, '22/06/2020', '22', '6', '2020', '262', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '72.10118354');
INSERT INTO public.ecdc_import VALUES (50502, '21/06/2020', '21', '6', '2020', '218', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '74.18582947');
INSERT INTO public.ecdc_import VALUES (50503, '20/06/2020', '20', '6', '2020', '142', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '76.35661779');
INSERT INTO public.ecdc_import VALUES (50504, '19/06/2020', '19', '6', '2020', '257', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '78.40680677');
INSERT INTO public.ecdc_import VALUES (50505, '18/06/2020', '18', '6', '2020', '247', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '82.88621124');
INSERT INTO public.ecdc_import VALUES (50506, '17/06/2020', '17', '6', '2020', '151', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '88.43378139');
INSERT INTO public.ecdc_import VALUES (50507, '16/06/2020', '16', '6', '2020', '214', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '95.20457354');
INSERT INTO public.ecdc_import VALUES (50508, '15/06/2020', '15', '6', '2020', '407', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '98.54689842');
INSERT INTO public.ecdc_import VALUES (50509, '14/06/2020', '14', '6', '2020', '347', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '100.45925956');
INSERT INTO public.ecdc_import VALUES (50510, '13/06/2020', '13', '6', '2020', '463', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '103.19858768');
INSERT INTO public.ecdc_import VALUES (50511, '12/06/2020', '12', '6', '2020', '422', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '105.74840253');
INSERT INTO public.ecdc_import VALUES (50512, '11/06/2020', '11', '6', '2020', '451', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '104.90420707');
INSERT INTO public.ecdc_import VALUES (50513, '10/06/2020', '10', '6', '2020', '218', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '106.31694233');
INSERT INTO public.ecdc_import VALUES (50514, '09/06/2020', '9', '6', '2020', '386', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '109.15964132');
INSERT INTO public.ecdc_import VALUES (50515, '08/06/2020', '8', '6', '2020', '383', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '108.43604522');
INSERT INTO public.ecdc_import VALUES (50516, '07/06/2020', '7', '6', '2020', '344', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '111.27874421');
INSERT INTO public.ecdc_import VALUES (50517, '06/06/2020', '6', '6', '2020', '261', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '116.41283088');
INSERT INTO public.ecdc_import VALUES (50518, '05/06/2020', '5', '6', '2020', '517', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '122.49448387');
INSERT INTO public.ecdc_import VALUES (50519, '04/06/2020', '4', '6', '2020', '569', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '121.30571884');
INSERT INTO public.ecdc_import VALUES (50520, '03/06/2020', '3', '6', '2020', '544', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '121.32294732');
INSERT INTO public.ecdc_import VALUES (50521, '02/06/2020', '2', '6', '2020', '408', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '119.72069879');
INSERT INTO public.ecdc_import VALUES (50522, '01/06/2020', '1', '6', '2020', '518', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '117.94616548');
INSERT INTO public.ecdc_import VALUES (50523, '31/05/2020', '31', '5', '2020', '506', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '120.771636');
INSERT INTO public.ecdc_import VALUES (50524, '30/05/2020', '30', '5', '2020', '611', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '120.06526837');
INSERT INTO public.ecdc_import VALUES (50525, '29/05/2020', '29', '5', '2020', '373', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '123.2008515');
INSERT INTO public.ecdc_import VALUES (50526, '28/05/2020', '28', '5', '2020', '533', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '129.73044494');
INSERT INTO public.ecdc_import VALUES (50527, '27/05/2020', '27', '5', '2020', '383', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '132.17688893');
INSERT INTO public.ecdc_import VALUES (50528, '26/05/2020', '26', '5', '2020', '344', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '140.80835678');
INSERT INTO public.ecdc_import VALUES (50529, '25/05/2020', '25', '5', '2020', '548', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '142.651804');
INSERT INTO public.ecdc_import VALUES (50530, '24/05/2020', '24', '5', '2020', '642', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '148.30274503');
INSERT INTO public.ecdc_import VALUES (50531, '23/05/2020', '23', '5', '2020', '614', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '150.21510617');
INSERT INTO public.ecdc_import VALUES (50532, '22/05/2020', '22', '5', '2020', '448', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '152.8682919');
INSERT INTO public.ecdc_import VALUES (50533, '21/05/2020', '21', '5', '2020', '570', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '157.91623617');
INSERT INTO public.ecdc_import VALUES (50534, '20/05/2020', '20', '5', '2020', '451', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '161.67204454');
INSERT INTO public.ecdc_import VALUES (50535, '19/05/2020', '19', '5', '2020', '305', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '164.79039919');
INSERT INTO public.ecdc_import VALUES (50536, '18/05/2020', '18', '5', '2020', '682', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '169.40763149');
INSERT INTO public.ecdc_import VALUES (50537, '17/05/2020', '17', '5', '2020', '465', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '168.97691952');
INSERT INTO public.ecdc_import VALUES (50538, '16/05/2020', '16', '5', '2020', '793', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '168.66680691');
INSERT INTO public.ecdc_import VALUES (50539, '15/05/2020', '15', '5', '2020', '752', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '171.06156545');
INSERT INTO public.ecdc_import VALUES (50540, '14/05/2020', '14', '5', '2020', '675', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '167.20238621');
INSERT INTO public.ecdc_import VALUES (50541, '13/05/2020', '13', '5', '2020', '884', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '167.46081339');
INSERT INTO public.ecdc_import VALUES (50542, '12/05/2020', '12', '5', '2020', '451', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '161.32747496');
INSERT INTO public.ecdc_import VALUES (50543, '11/05/2020', '11', '5', '2020', '876', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '167.32298556');
INSERT INTO public.ecdc_import VALUES (50544, '10/05/2020', '10', '5', '2020', '753', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '168.2705519');
INSERT INTO public.ecdc_import VALUES (50545, '09/05/2020', '9', '5', '2020', '768', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '165.94470726');
INSERT INTO public.ecdc_import VALUES (50546, '08/05/2020', '8', '5', '2020', '741', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '168.16718102');
INSERT INTO public.ecdc_import VALUES (50547, '07/05/2020', '7', '5', '2020', '788', '2', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '173.26681073');
INSERT INTO public.ecdc_import VALUES (50548, '06/05/2020', '6', '5', '2020', '632', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '177.19490388');
INSERT INTO public.ecdc_import VALUES (50549, '05/05/2020', '5', '5', '2020', '573', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '185.4473452');
INSERT INTO public.ecdc_import VALUES (50550, '04/05/2020', '4', '5', '2020', '657', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '200.14323757');
INSERT INTO public.ecdc_import VALUES (50551, '03/05/2020', '3', '5', '2020', '447', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '199.09230037');
INSERT INTO public.ecdc_import VALUES (50552, '02/05/2020', '2', '5', '2020', '932', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '207.62039735');
INSERT INTO public.ecdc_import VALUES (50553, '01/05/2020', '1', '5', '2020', '528', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '202.29679742');
INSERT INTO public.ecdc_import VALUES (50554, '30/04/2020', '30', '4', '2020', '690', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '205.74249316');
INSERT INTO public.ecdc_import VALUES (50555, '29/04/2020', '29', '4', '2020', '528', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '201.55597283');
INSERT INTO public.ecdc_import VALUES (50556, '28/04/2020', '28', '4', '2020', '799', '2', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '198.21364795');
INSERT INTO public.ecdc_import VALUES (50557, '27/04/2020', '27', '4', '2020', '931', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '191.09828623');
INSERT INTO public.ecdc_import VALUES (50558, '26/04/2020', '26', '4', '2020', '618', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '179.07280807');
INSERT INTO public.ecdc_import VALUES (50559, '25/04/2020', '25', '4', '2020', '897', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '175.14471491');
INSERT INTO public.ecdc_import VALUES (50560, '24/04/2020', '24', '4', '2020', '1037', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '159.69076948');
INSERT INTO public.ecdc_import VALUES (50561, '23/04/2020', '23', '4', '2020', '1016', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '146.75218194');
INSERT INTO public.ecdc_import VALUES (50562, '22/04/2020', '22', '4', '2020', '1111', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '131.69449152');
INSERT INTO public.ecdc_import VALUES (50563, '21/04/2020', '21', '4', '2020', '1426', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '114.37987038');
INSERT INTO public.ecdc_import VALUES (50564, '20/04/2020', '20', '4', '2020', '596', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '90.94913929');
INSERT INTO public.ecdc_import VALUES (50565, '19/04/2020', '19', '4', '2020', '942', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '82.74838341');
INSERT INTO public.ecdc_import VALUES (50566, '18/04/2020', '18', '4', '2020', '623', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '67.81129234');
INSERT INTO public.ecdc_import VALUES (50567, '17/04/2020', '17', '4', '2020', '728', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '58.1978012');
INSERT INTO public.ecdc_import VALUES (50568, '16/04/2020', '16', '4', '2020', '447', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '46.49966413');
INSERT INTO public.ecdc_import VALUES (50569, '15/04/2020', '15', '4', '2020', '334', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '40.88318006');
INSERT INTO public.ecdc_import VALUES (50570, '14/04/2020', '14', '4', '2020', '386', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '35.73186492');
INSERT INTO public.ecdc_import VALUES (50571, '13/04/2020', '13', '4', '2020', '233', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '29.08167212');
INSERT INTO public.ecdc_import VALUES (50572, '12/04/2020', '12', '4', '2020', '390', '2', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '25.7738042');
INSERT INTO public.ecdc_import VALUES (50573, '11/04/2020', '11', '4', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '20.27791948');
INSERT INTO public.ecdc_import VALUES (50574, '10/04/2020', '10', '4', '2020', '286', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '22.65544955');
INSERT INTO public.ecdc_import VALUES (50575, '09/04/2020', '9', '4', '2020', '142', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '18.17604508');
INSERT INTO public.ecdc_import VALUES (50576, '08/04/2020', '8', '4', '2020', '106', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '15.90188588');
INSERT INTO public.ecdc_import VALUES (50577, '07/04/2020', '7', '4', '2020', '66', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '14.91986259');
INSERT INTO public.ecdc_import VALUES (50578, '06/04/2020', '6', '4', '2020', '120', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '14.71312085');
INSERT INTO public.ecdc_import VALUES (50579, '05/04/2020', '5', '4', '2020', '75', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '13.04195841');
INSERT INTO public.ecdc_import VALUES (50580, '04/04/2020', '4', '4', '2020', '65', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '12.559561');
INSERT INTO public.ecdc_import VALUES (50581, '03/04/2020', '3', '4', '2020', '49', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '12.12884904');
INSERT INTO public.ecdc_import VALUES (50582, '02/04/2020', '2', '4', '2020', '121', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '11.8359649');
INSERT INTO public.ecdc_import VALUES (50583, '01/04/2020', '1', '4', '2020', '35', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.56105747');
INSERT INTO public.ecdc_import VALUES (50584, '31/03/2020', '31', '3', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.35431573');
INSERT INTO public.ecdc_import VALUES (50585, '30/03/2020', '30', '3', '2020', '41', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.64719986');
INSERT INTO public.ecdc_import VALUES (50586, '29/03/2020', '29', '3', '2020', '71', '1', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '10.14757398');
INSERT INTO public.ecdc_import VALUES (50587, '28/03/2020', '28', '3', '2020', '138', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '9.16555069');
INSERT INTO public.ecdc_import VALUES (50588, '27/03/2020', '27', '3', '2020', '26', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '7.01199085');
INSERT INTO public.ecdc_import VALUES (50589, '26/03/2020', '26', '3', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '6.71910671');
INSERT INTO public.ecdc_import VALUES (50590, '25/03/2020', '25', '3', '2020', '49', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '6.75356367');
INSERT INTO public.ecdc_import VALUES (50591, '24/03/2020', '24', '3', '2020', '54', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '6.01273908');
INSERT INTO public.ecdc_import VALUES (50592, '23/03/2020', '23', '3', '2020', '23', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '5.25468602');
INSERT INTO public.ecdc_import VALUES (50593, '22/03/2020', '22', '3', '2020', '47', '2', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '5.06517275');
INSERT INTO public.ecdc_import VALUES (50594, '21/03/2020', '21', '3', '2020', '40', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '4.39326208');
INSERT INTO public.ecdc_import VALUES (50595, '20/03/2020', '20', '3', '2020', '32', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.92809315');
INSERT INTO public.ecdc_import VALUES (50596, '19/03/2020', '19', '3', '2020', '47', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '3.46292423');
INSERT INTO public.ecdc_import VALUES (50597, '18/03/2020', '18', '3', '2020', '23', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '2.68764268');
INSERT INTO public.ecdc_import VALUES (50598, '17/03/2020', '17', '3', '2020', '17', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '2.32584463');
INSERT INTO public.ecdc_import VALUES (50599, '16/03/2020', '16', '3', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '2.06741745');
INSERT INTO public.ecdc_import VALUES (50600, '15/03/2020', '15', '3', '2020', '14', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.92958962');
INSERT INTO public.ecdc_import VALUES (50601, '14/03/2020', '14', '3', '2020', '13', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.75730483');
INSERT INTO public.ecdc_import VALUES (50602, '13/03/2020', '13', '3', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.56779157');
INSERT INTO public.ecdc_import VALUES (50603, '12/03/2020', '12', '3', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.46442069');
INSERT INTO public.ecdc_import VALUES (50604, '11/03/2020', '11', '3', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.29213591');
INSERT INTO public.ecdc_import VALUES (50605, '10/03/2020', '10', '3', '2020', '10', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.20599351');
INSERT INTO public.ecdc_import VALUES (50606, '09/03/2020', '9', '3', '2020', '12', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.0509372');
INSERT INTO public.ecdc_import VALUES (50607, '08/03/2020', '8', '3', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.84419546');
INSERT INTO public.ecdc_import VALUES (50608, '07/03/2020', '7', '3', '2020', '13', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.75805306');
INSERT INTO public.ecdc_import VALUES (50609, '06/03/2020', '6', '3', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.55131132');
INSERT INTO public.ecdc_import VALUES (50610, '05/03/2020', '5', '3', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.4823974');
INSERT INTO public.ecdc_import VALUES (50611, '04/03/2020', '4', '3', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.49962588');
INSERT INTO public.ecdc_import VALUES (50612, '03/03/2020', '3', '3', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.53408284');
INSERT INTO public.ecdc_import VALUES (50613, '02/03/2020', '2', '3', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.53408284');
INSERT INTO public.ecdc_import VALUES (50614, '01/03/2020', '1', '3', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.51685436');
INSERT INTO public.ecdc_import VALUES (50615, '29/02/2020', '29', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.53408284');
INSERT INTO public.ecdc_import VALUES (50616, '28/02/2020', '28', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.65468219');
INSERT INTO public.ecdc_import VALUES (50617, '27/02/2020', '27', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.74082459');
INSERT INTO public.ecdc_import VALUES (50618, '26/02/2020', '26', '2', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.75805306');
INSERT INTO public.ecdc_import VALUES (50619, '25/02/2020', '25', '2', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.77528154');
INSERT INTO public.ecdc_import VALUES (50620, '24/02/2020', '24', '2', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.79251002');
INSERT INTO public.ecdc_import VALUES (50621, '23/02/2020', '23', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.84419546');
INSERT INTO public.ecdc_import VALUES (50622, '22/02/2020', '22', '2', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.91310937');
INSERT INTO public.ecdc_import VALUES (50623, '21/02/2020', '21', '2', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.94756633');
INSERT INTO public.ecdc_import VALUES (50624, '20/02/2020', '20', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.96479481');
INSERT INTO public.ecdc_import VALUES (50625, '19/02/2020', '19', '2', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.98202329');
INSERT INTO public.ecdc_import VALUES (50626, '18/02/2020', '18', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '1.01648025');
INSERT INTO public.ecdc_import VALUES (50627, '17/02/2020', '17', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.98202329');
INSERT INTO public.ecdc_import VALUES (50628, '16/02/2020', '16', '2', '2020', '5', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.93033785');
INSERT INTO public.ecdc_import VALUES (50629, '15/02/2020', '15', '2', '2020', '9', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.87865242');
INSERT INTO public.ecdc_import VALUES (50630, '14/02/2020', '14', '2', '2020', '8', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.77528154');
INSERT INTO public.ecdc_import VALUES (50631, '13/02/2020', '13', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.68913915');
INSERT INTO public.ecdc_import VALUES (50632, '12/02/2020', '12', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.68913915');
INSERT INTO public.ecdc_import VALUES (50633, '11/02/2020', '11', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.68913915');
INSERT INTO public.ecdc_import VALUES (50634, '10/02/2020', '10', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.67191067');
INSERT INTO public.ecdc_import VALUES (50635, '09/02/2020', '9', '2', '2020', '7', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.62022523');
INSERT INTO public.ecdc_import VALUES (50636, '08/02/2020', '8', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.51685436');
INSERT INTO public.ecdc_import VALUES (50637, '07/02/2020', '7', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.46516893');
INSERT INTO public.ecdc_import VALUES (50638, '06/02/2020', '6', '2', '2020', '4', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.4823974');
INSERT INTO public.ecdc_import VALUES (50639, '05/02/2020', '5', '2', '2020', '6', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.41348349');
INSERT INTO public.ecdc_import VALUES (50640, '04/02/2020', '4', '2', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.31011262');
INSERT INTO public.ecdc_import VALUES (50641, '03/02/2020', '3', '2', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.31011262');
INSERT INTO public.ecdc_import VALUES (50642, '02/02/2020', '2', '2', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.31011262');
INSERT INTO public.ecdc_import VALUES (50643, '01/02/2020', '1', '2', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.27565566');
INSERT INTO public.ecdc_import VALUES (50644, '31/01/2020', '31', '1', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.22397022');
INSERT INTO public.ecdc_import VALUES (50645, '30/01/2020', '30', '1', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.17228479');
INSERT INTO public.ecdc_import VALUES (50646, '29/01/2020', '29', '1', '2020', '2', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.12059935');
INSERT INTO public.ecdc_import VALUES (50647, '28/01/2020', '28', '1', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.08614239');
INSERT INTO public.ecdc_import VALUES (50648, '27/01/2020', '27', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.06891391');
INSERT INTO public.ecdc_import VALUES (50649, '26/01/2020', '26', '1', '2020', '1', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.06891391');
INSERT INTO public.ecdc_import VALUES (50650, '25/01/2020', '25', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.05168544');
INSERT INTO public.ecdc_import VALUES (50651, '24/01/2020', '24', '1', '2020', '3', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0.05168544');
INSERT INTO public.ecdc_import VALUES (50652, '23/01/2020', '23', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50653, '22/01/2020', '22', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50654, '21/01/2020', '21', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50655, '20/01/2020', '20', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50656, '19/01/2020', '19', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50657, '18/01/2020', '18', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50658, '17/01/2020', '17', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50659, '16/01/2020', '16', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50660, '15/01/2020', '15', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50661, '14/01/2020', '14', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50662, '13/01/2020', '13', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (50663, '12/01/2020', '12', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50664, '11/01/2020', '11', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50665, '10/01/2020', '10', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50666, '09/01/2020', '9', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50667, '08/01/2020', '8', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50668, '07/01/2020', '7', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50669, '06/01/2020', '6', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50670, '05/01/2020', '5', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50671, '04/01/2020', '4', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50672, '03/01/2020', '3', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50673, '02/01/2020', '2', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50674, '01/01/2020', '1', '1', '2020', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50675, '31/12/2019', '31', '12', '2019', '0', '0', '5804343', 'Singapore', 'SG', 'SGP', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (50676, '14/12/2020', '14', '12', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '391.61103116');
INSERT INTO public.ecdc_import VALUES (50677, '13/12/2020', '13', '12', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '401.04744155');
INSERT INTO public.ecdc_import VALUES (50678, '12/12/2020', '12', '12', '2020', '24', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '405.76564675');
INSERT INTO public.ecdc_import VALUES (50679, '11/12/2020', '11', '12', '2020', '16', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '377.45641558');
INSERT INTO public.ecdc_import VALUES (50680, '10/12/2020', '10', '12', '2020', '24', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '351.50628701');
INSERT INTO public.ecdc_import VALUES (50681, '09/12/2020', '9', '12', '2020', '6', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '332.63346623');
INSERT INTO public.ecdc_import VALUES (50682, '08/12/2020', '8', '12', '2020', '14', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '325.55615844');
INSERT INTO public.ecdc_import VALUES (50683, '07/12/2020', '7', '12', '2020', '2', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '316.11974805');
INSERT INTO public.ecdc_import VALUES (50684, '06/12/2020', '6', '12', '2020', '19', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '337.35167142');
INSERT INTO public.ecdc_import VALUES (50685, '05/12/2020', '5', '12', '2020', '15', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '323.19705584');
INSERT INTO public.ecdc_import VALUES (50686, '04/12/2020', '4', '12', '2020', '13', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '311.40154285');
INSERT INTO public.ecdc_import VALUES (50687, '03/12/2020', '3', '12', '2020', '20', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '301.96513246');
INSERT INTO public.ecdc_import VALUES (50688, '02/12/2020', '2', '12', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '278.37410649');
INSERT INTO public.ecdc_import VALUES (50689, '01/12/2020', '1', '12', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '306.68333766');
INSERT INTO public.ecdc_import VALUES (50690, '30/11/2020', '30', '11', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '313.76064545');
INSERT INTO public.ecdc_import VALUES (50691, '29/11/2020', '29', '11', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '327.91526103');
INSERT INTO public.ecdc_import VALUES (50692, '28/11/2020', '28', '11', '2020', '12', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '306.68333766');
INSERT INTO public.ecdc_import VALUES (50693, '27/11/2020', '27', '11', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '299.60602987');
INSERT INTO public.ecdc_import VALUES (50694, '26/11/2020', '26', '11', '2020', '16', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '297.24692727');
INSERT INTO public.ecdc_import VALUES (50695, '25/11/2020', '25', '11', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '264.21949091');
INSERT INTO public.ecdc_import VALUES (50696, '24/11/2020', '24', '11', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '285.45141428');
INSERT INTO public.ecdc_import VALUES (50697, '23/11/2020', '23', '11', '2020', '11', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '261.86038831');
INSERT INTO public.ecdc_import VALUES (50698, '22/11/2020', '22', '11', '2020', '13', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '259.50128571');
INSERT INTO public.ecdc_import VALUES (50699, '21/11/2020', '21', '11', '2020', '10', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '228.83295195');
INSERT INTO public.ecdc_import VALUES (50700, '20/11/2020', '20', '11', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '226.47384935');
INSERT INTO public.ecdc_import VALUES (50701, '19/11/2020', '19', '11', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '221.75564415');
INSERT INTO public.ecdc_import VALUES (50702, '18/11/2020', '18', '11', '2020', '15', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50703, '17/11/2020', '17', '11', '2020', '6', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50704, '16/11/2020', '16', '11', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '240.62846493');
INSERT INTO public.ecdc_import VALUES (50705, '15/11/2020', '15', '11', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '228.83295195');
INSERT INTO public.ecdc_import VALUES (50706, '14/11/2020', '14', '11', '2020', '9', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '278.37410649');
INSERT INTO public.ecdc_import VALUES (50707, '13/11/2020', '13', '11', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '257.14218311');
INSERT INTO public.ecdc_import VALUES (50708, '12/11/2020', '12', '11', '2020', '2', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '247.70577272');
INSERT INTO public.ecdc_import VALUES (50709, '11/11/2020', '11', '11', '2020', '12', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '280.73320909');
INSERT INTO public.ecdc_import VALUES (50710, '10/11/2020', '10', '11', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '252.42397792');
INSERT INTO public.ecdc_import VALUES (50711, '09/11/2020', '9', '11', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '264.21949091');
INSERT INTO public.ecdc_import VALUES (50712, '08/11/2020', '8', '11', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '250.06487532');
INSERT INTO public.ecdc_import VALUES (50713, '07/11/2020', '7', '11', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '250.06487532');
INSERT INTO public.ecdc_import VALUES (50714, '06/11/2020', '6', '11', '2020', '7', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '238.26936233');
INSERT INTO public.ecdc_import VALUES (50715, '05/11/2020', '5', '11', '2020', '11', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '238.26936233');
INSERT INTO public.ecdc_import VALUES (50716, '04/11/2020', '4', '11', '2020', '15', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '242.98756753');
INSERT INTO public.ecdc_import VALUES (50717, '03/11/2020', '3', '11', '2020', '13', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '207.60102857');
INSERT INTO public.ecdc_import VALUES (50718, '02/11/2020', '2', '11', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '184.0100026');
INSERT INTO public.ecdc_import VALUES (50719, '01/11/2020', '1', '11', '2020', '21', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '181.6509');
INSERT INTO public.ecdc_import VALUES (50720, '31/10/2020', '31', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '139.18705324');
INSERT INTO public.ecdc_import VALUES (50721, '30/10/2020', '30', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '160.41897662');
INSERT INTO public.ecdc_import VALUES (50722, '29/10/2020', '29', '10', '2020', '16', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '179.2917974');
INSERT INTO public.ecdc_import VALUES (50723, '28/10/2020', '28', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '165.13718182');
INSERT INTO public.ecdc_import VALUES (50724, '27/10/2020', '27', '10', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '186.36910519');
INSERT INTO public.ecdc_import VALUES (50725, '26/10/2020', '26', '10', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '174.57359221');
INSERT INTO public.ecdc_import VALUES (50726, '25/10/2020', '25', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '172.21448961');
INSERT INTO public.ecdc_import VALUES (50727, '24/10/2020', '24', '10', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '181.6509');
INSERT INTO public.ecdc_import VALUES (50728, '23/10/2020', '23', '10', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '184.0100026');
INSERT INTO public.ecdc_import VALUES (50729, '22/10/2020', '22', '10', '2020', '13', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '188.72820779');
INSERT INTO public.ecdc_import VALUES (50730, '21/10/2020', '21', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '165.13718182');
INSERT INTO public.ecdc_import VALUES (50731, '20/10/2020', '20', '10', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '165.13718182');
INSERT INTO public.ecdc_import VALUES (50732, '19/10/2020', '19', '10', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '174.57359221');
INSERT INTO public.ecdc_import VALUES (50733, '18/10/2020', '18', '10', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '167.49628441');
INSERT INTO public.ecdc_import VALUES (50734, '17/10/2020', '17', '10', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '169.85538701');
INSERT INTO public.ecdc_import VALUES (50735, '16/10/2020', '16', '10', '2020', '8', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '162.77807922');
INSERT INTO public.ecdc_import VALUES (50736, '15/10/2020', '15', '10', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '146.26436104');
INSERT INTO public.ecdc_import VALUES (50737, '14/10/2020', '14', '10', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '141.54615584');
INSERT INTO public.ecdc_import VALUES (50738, '13/10/2020', '13', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '153.34166883');
INSERT INTO public.ecdc_import VALUES (50739, '12/10/2020', '12', '10', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '155.70077143');
INSERT INTO public.ecdc_import VALUES (50740, '11/10/2020', '11', '10', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '174.57359221');
INSERT INTO public.ecdc_import VALUES (50741, '10/10/2020', '10', '10', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '179.2917974');
INSERT INTO public.ecdc_import VALUES (50742, '09/10/2020', '9', '10', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '188.72820779');
INSERT INTO public.ecdc_import VALUES (50743, '08/10/2020', '8', '10', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '172.21448961');
INSERT INTO public.ecdc_import VALUES (50744, '07/10/2020', '7', '10', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '217.03743896');
INSERT INTO public.ecdc_import VALUES (50745, '06/10/2020', '6', '10', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50746, '05/10/2020', '5', '10', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50747, '04/10/2020', '4', '10', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '221.75564415');
INSERT INTO public.ecdc_import VALUES (50748, '03/10/2020', '3', '10', '2020', '6', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '235.91025974');
INSERT INTO public.ecdc_import VALUES (50749, '02/10/2020', '2', '10', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '242.98756753');
INSERT INTO public.ecdc_import VALUES (50750, '01/10/2020', '1', '10', '2020', '8', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '259.50128571');
INSERT INTO public.ecdc_import VALUES (50751, '30/09/2020', '30', '9', '2020', '14', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '259.50128571');
INSERT INTO public.ecdc_import VALUES (50752, '29/09/2020', '29', '9', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '226.47384935');
INSERT INTO public.ecdc_import VALUES (50753, '28/09/2020', '28', '9', '2020', '11', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50754, '27/09/2020', '27', '9', '2020', '6', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '235.91025974');
INSERT INTO public.ecdc_import VALUES (50755, '26/09/2020', '26', '9', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '226.47384935');
INSERT INTO public.ecdc_import VALUES (50756, '25/09/2020', '25', '9', '2020', '2', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '207.60102857');
INSERT INTO public.ecdc_import VALUES (50757, '24/09/2020', '24', '9', '2020', '22', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '202.88282337');
INSERT INTO public.ecdc_import VALUES (50758, '23/09/2020', '23', '9', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '158.05987402');
INSERT INTO public.ecdc_import VALUES (50759, '22/09/2020', '22', '9', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '176.9326948');
INSERT INTO public.ecdc_import VALUES (50760, '21/09/2020', '21', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '172.21448961');
INSERT INTO public.ecdc_import VALUES (50761, '20/09/2020', '20', '9', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '172.21448961');
INSERT INTO public.ecdc_import VALUES (50762, '19/09/2020', '19', '9', '2020', '9', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '148.62346363');
INSERT INTO public.ecdc_import VALUES (50763, '18/09/2020', '18', '9', '2020', '8', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '143.90525844');
INSERT INTO public.ecdc_import VALUES (50764, '17/09/2020', '17', '9', '2020', '8', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '176.9326948');
INSERT INTO public.ecdc_import VALUES (50765, '16/09/2020', '16', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '158.05987402');
INSERT INTO public.ecdc_import VALUES (50766, '15/09/2020', '15', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '172.21448961');
INSERT INTO public.ecdc_import VALUES (50767, '14/09/2020', '14', '9', '2020', '16', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '202.88282337');
INSERT INTO public.ecdc_import VALUES (50768, '13/09/2020', '13', '9', '2020', '2', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '172.21448961');
INSERT INTO public.ecdc_import VALUES (50769, '12/09/2020', '12', '9', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '205.24192597');
INSERT INTO public.ecdc_import VALUES (50770, '11/09/2020', '11', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '202.88282337');
INSERT INTO public.ecdc_import VALUES (50771, '10/09/2020', '10', '9', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '207.60102857');
INSERT INTO public.ecdc_import VALUES (50772, '09/09/2020', '9', '9', '2020', '11', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '257.14218311');
INSERT INTO public.ecdc_import VALUES (50773, '08/09/2020', '8', '9', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '254.78308052');
INSERT INTO public.ecdc_import VALUES (50774, '07/09/2020', '7', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '271.2967987');
INSERT INTO public.ecdc_import VALUES (50775, '06/09/2020', '6', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '337.35167142');
INSERT INTO public.ecdc_import VALUES (50776, '05/09/2020', '5', '9', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '372.73821038');
INSERT INTO public.ecdc_import VALUES (50777, '04/09/2020', '4', '9', '2020', '22', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '356.2244922');
INSERT INTO public.ecdc_import VALUES (50778, '03/09/2020', '3', '9', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '316.11974805');
INSERT INTO public.ecdc_import VALUES (50779, '02/09/2020', '2', '9', '2020', '6', '2', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '368.02000519');
INSERT INTO public.ecdc_import VALUES (50780, '01/09/2020', '1', '9', '2020', '13', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '353.86538961');
INSERT INTO public.ecdc_import VALUES (50781, '31/08/2020', '31', '8', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '344.42897922');
INSERT INTO public.ecdc_import VALUES (50782, '30/08/2020', '30', '8', '2020', '16', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '377.45641558');
INSERT INTO public.ecdc_import VALUES (50783, '29/08/2020', '29', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '412.84295454');
INSERT INTO public.ecdc_import VALUES (50784, '28/08/2020', '28', '8', '2020', '2', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '426.99757012');
INSERT INTO public.ecdc_import VALUES (50785, '27/08/2020', '27', '8', '2020', '24', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '457.66590389');
INSERT INTO public.ecdc_import VALUES (50786, '26/08/2020', '26', '8', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '469.46141688');
INSERT INTO public.ecdc_import VALUES (50787, '25/08/2020', '25', '8', '2020', '12', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '516.64346882');
INSERT INTO public.ecdc_import VALUES (50788, '24/08/2020', '24', '8', '2020', '28', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '488.33423766');
INSERT INTO public.ecdc_import VALUES (50789, '23/08/2020', '23', '8', '2020', '15', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '422.27936493');
INSERT INTO public.ecdc_import VALUES (50790, '22/08/2020', '22', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '415.20205714');
INSERT INTO public.ecdc_import VALUES (50791, '21/08/2020', '21', '8', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '417.56115973');
INSERT INTO public.ecdc_import VALUES (50792, '20/08/2020', '20', '8', '2020', '22', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '443.51128831');
INSERT INTO public.ecdc_import VALUES (50793, '19/08/2020', '19', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '401.04744155');
INSERT INTO public.ecdc_import VALUES (50794, '18/08/2020', '18', '8', '2020', '9', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '415.20205714');
INSERT INTO public.ecdc_import VALUES (50795, '17/08/2020', '17', '8', '2020', '17', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '403.40654415');
INSERT INTO public.ecdc_import VALUES (50796, '16/08/2020', '16', '8', '2020', '31', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '405.76564675');
INSERT INTO public.ecdc_import VALUES (50797, '15/08/2020', '15', '8', '2020', '6', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '332.63346623');
INSERT INTO public.ecdc_import VALUES (50798, '14/08/2020', '14', '8', '2020', '15', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '318.47885065');
INSERT INTO public.ecdc_import VALUES (50799, '13/08/2020', '13', '8', '2020', '29', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '299.60602987');
INSERT INTO public.ecdc_import VALUES (50800, '12/08/2020', '12', '8', '2020', '30', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '231.19205454');
INSERT INTO public.ecdc_import VALUES (50801, '11/08/2020', '11', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '176.9326948');
INSERT INTO public.ecdc_import VALUES (50802, '10/08/2020', '10', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50803, '09/08/2020', '9', '8', '2020', '12', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '224.11474675');
INSERT INTO public.ecdc_import VALUES (50804, '08/08/2020', '8', '8', '2020', '1', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '195.80551558');
INSERT INTO public.ecdc_import VALUES (50805, '07/08/2020', '7', '8', '2020', '16', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '217.03743896');
INSERT INTO public.ecdc_import VALUES (50806, '06/08/2020', '6', '8', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '186.36910519');
INSERT INTO public.ecdc_import VALUES (50807, '05/08/2020', '5', '8', '2020', '6', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '181.6509');
INSERT INTO public.ecdc_import VALUES (50808, '04/08/2020', '4', '8', '2020', '4', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '167.49628441');
INSERT INTO public.ecdc_import VALUES (50809, '03/08/2020', '3', '8', '2020', '18', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '158.05987402');
INSERT INTO public.ecdc_import VALUES (50810, '02/08/2020', '2', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '115.59602727');
INSERT INTO public.ecdc_import VALUES (50811, '01/08/2020', '1', '8', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '115.59602727');
INSERT INTO public.ecdc_import VALUES (50812, '31/07/2020', '31', '7', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '115.59602727');
INSERT INTO public.ecdc_import VALUES (50813, '30/07/2020', '30', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '101.44141169');
INSERT INTO public.ecdc_import VALUES (50814, '29/07/2020', '29', '7', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '101.44141169');
INSERT INTO public.ecdc_import VALUES (50815, '28/07/2020', '28', '7', '2020', '20', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '84.92769351');
INSERT INTO public.ecdc_import VALUES (50816, '27/07/2020', '27', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '37.74564156');
INSERT INTO public.ecdc_import VALUES (50817, '26/07/2020', '26', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '37.74564156');
INSERT INTO public.ecdc_import VALUES (50818, '25/07/2020', '25', '7', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '37.74564156');
INSERT INTO public.ecdc_import VALUES (50819, '24/07/2020', '24', '7', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '14.15461558');
INSERT INTO public.ecdc_import VALUES (50820, '23/07/2020', '23', '7', '2020', '2', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '7.07730779');
INSERT INTO public.ecdc_import VALUES (50821, '22/07/2020', '22', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50822, '21/07/2020', '21', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50823, '20/07/2020', '20', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50824, '19/07/2020', '19', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50825, '18/07/2020', '18', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '4.71820519');
INSERT INTO public.ecdc_import VALUES (50826, '17/07/2020', '17', '7', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '4.71820519');
INSERT INTO public.ecdc_import VALUES (50827, '16/07/2020', '16', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50828, '15/07/2020', '15', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50829, '14/07/2020', '14', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50830, '13/07/2020', '13', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50831, '12/07/2020', '12', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50832, '11/07/2020', '11', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50833, '10/07/2020', '10', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50834, '09/07/2020', '9', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50835, '08/07/2020', '8', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50836, '07/07/2020', '7', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50837, '06/07/2020', '6', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50838, '05/07/2020', '5', '7', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50839, '04/07/2020', '4', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50840, '03/07/2020', '3', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50841, '02/07/2020', '2', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50842, '01/07/2020', '1', '7', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50843, '30/06/2020', '30', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50844, '29/06/2020', '29', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50845, '28/06/2020', '28', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50846, '27/06/2020', '27', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50847, '26/06/2020', '26', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50848, '25/06/2020', '25', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50849, '24/06/2020', '24', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50850, '23/06/2020', '23', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50851, '22/06/2020', '22', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50852, '21/06/2020', '21', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50853, '20/06/2020', '20', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50854, '19/06/2020', '19', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50855, '18/06/2020', '18', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50856, '17/06/2020', '17', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50857, '16/06/2020', '16', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50858, '15/06/2020', '15', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50859, '14/06/2020', '14', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50860, '13/06/2020', '13', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50861, '12/06/2020', '12', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50862, '11/06/2020', '11', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50863, '10/06/2020', '10', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50864, '09/06/2020', '9', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50865, '08/06/2020', '8', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50866, '07/06/2020', '7', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50867, '06/06/2020', '6', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50868, '05/06/2020', '5', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50869, '04/06/2020', '4', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50870, '03/06/2020', '3', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50871, '02/06/2020', '2', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50872, '01/06/2020', '1', '6', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50873, '31/05/2020', '31', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50874, '30/05/2020', '30', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50875, '29/05/2020', '29', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50876, '28/05/2020', '28', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50877, '27/05/2020', '27', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '0');
INSERT INTO public.ecdc_import VALUES (50878, '26/05/2020', '26', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50879, '25/05/2020', '25', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50880, '24/05/2020', '24', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50881, '23/05/2020', '23', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50882, '22/05/2020', '22', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (51115, '22/06/2020', '22', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.08248519');
INSERT INTO public.ecdc_import VALUES (50883, '21/05/2020', '21', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50884, '20/05/2020', '20', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50885, '19/05/2020', '19', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50886, '18/05/2020', '18', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50887, '17/05/2020', '17', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50888, '16/05/2020', '16', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50889, '15/05/2020', '15', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50890, '14/05/2020', '14', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50891, '13/05/2020', '13', '5', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '4.71820519');
INSERT INTO public.ecdc_import VALUES (50892, '12/05/2020', '12', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '2.3591026');
INSERT INTO public.ecdc_import VALUES (50893, '11/05/2020', '11', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '4.71820519');
INSERT INTO public.ecdc_import VALUES (50894, '10/05/2020', '10', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '7.07730779');
INSERT INTO public.ecdc_import VALUES (50895, '09/05/2020', '9', '5', '2020', '0', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '7.07730779');
INSERT INTO public.ecdc_import VALUES (50896, '08/05/2020', '8', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '7.07730779');
INSERT INTO public.ecdc_import VALUES (50897, '07/05/2020', '7', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '7.07730779');
INSERT INTO public.ecdc_import VALUES (50898, '06/05/2020', '6', '5', '2020', '0', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '18.87282078');
INSERT INTO public.ecdc_import VALUES (50899, '05/05/2020', '5', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '18.87282078');
INSERT INTO public.ecdc_import VALUES (50900, '04/05/2020', '4', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '21.23192338');
INSERT INTO public.ecdc_import VALUES (50901, '03/05/2020', '3', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '28.30923117');
INSERT INTO public.ecdc_import VALUES (50902, '02/05/2020', '2', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '44.82294935');
INSERT INTO public.ecdc_import VALUES (50903, '01/05/2020', '1', '5', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '44.82294935');
INSERT INTO public.ecdc_import VALUES (50904, '30/04/2020', '30', '4', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '44.82294935');
INSERT INTO public.ecdc_import VALUES (50905, '29/04/2020', '29', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '54.25935974');
INSERT INTO public.ecdc_import VALUES (50906, '28/04/2020', '28', '4', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '54.25935974');
INSERT INTO public.ecdc_import VALUES (50907, '27/04/2020', '27', '4', '2020', '1', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '56.61846234');
INSERT INTO public.ecdc_import VALUES (50908, '26/04/2020', '26', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '54.25935974');
INSERT INTO public.ecdc_import VALUES (50909, '25/04/2020', '25', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '54.25935974');
INSERT INTO public.ecdc_import VALUES (50910, '24/04/2020', '24', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '54.25935974');
INSERT INTO public.ecdc_import VALUES (50911, '23/04/2020', '23', '4', '2020', '5', '2', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '77.85038571');
INSERT INTO public.ecdc_import VALUES (50912, '22/04/2020', '22', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '66.05487273');
INSERT INTO public.ecdc_import VALUES (50913, '21/04/2020', '21', '4', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '101.44141169');
INSERT INTO public.ecdc_import VALUES (50914, '20/04/2020', '20', '4', '2020', '3', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '99.08230909');
INSERT INTO public.ecdc_import VALUES (50915, '19/04/2020', '19', '4', '2020', '7', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '96.72320649');
INSERT INTO public.ecdc_import VALUES (50916, '18/04/2020', '18', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '80.20948831');
INSERT INTO public.ecdc_import VALUES (50917, '17/04/2020', '17', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '80.20948831');
INSERT INTO public.ecdc_import VALUES (50918, '16/04/2020', '16', '4', '2020', '5', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '96.72320649');
INSERT INTO public.ecdc_import VALUES (50919, '15/04/2020', '15', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '108.51871948');
INSERT INTO public.ecdc_import VALUES (50920, '14/04/2020', '14', '4', '2020', '2', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '115.59602727');
INSERT INTO public.ecdc_import VALUES (50921, '13/04/2020', '13', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '110.87782208');
INSERT INTO public.ecdc_import VALUES (50922, '12/04/2020', '12', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '110.87782208');
INSERT INTO public.ecdc_import VALUES (50923, '11/04/2020', '11', '4', '2020', '0', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '113.23692467');
INSERT INTO public.ecdc_import VALUES (50924, '10/04/2020', '10', '4', '2020', '10', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '113.23692467');
INSERT INTO public.ecdc_import VALUES (50925, '09/04/2020', '9', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '92.0050013');
INSERT INTO public.ecdc_import VALUES (50926, '08/04/2020', '8', '4', '2020', '15', '4', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '94.36410389');
INSERT INTO public.ecdc_import VALUES (50927, '07/04/2020', '7', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50928, '06/04/2020', '6', '4', '2020', '2', '2', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50929, '05/04/2020', '5', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50930, '04/04/2020', '4', '4', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50931, '03/04/2020', '3', '4', '2020', '7', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50932, '02/04/2020', '2', '4', '2020', '10', '1', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50933, '01/04/2020', '1', '4', '2020', '3', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50934, '30/03/2020', '30', '3', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50935, '29/03/2020', '29', '3', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50936, '28/03/2020', '28', '3', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50937, '27/03/2020', '27', '3', '2020', '0', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50938, '26/03/2020', '26', '3', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50939, '03/03/2020', '3', '3', '2020', '1', '0', '42389', 'Sint_Maarten', 'SX', 'SXM', 'America', '');
INSERT INTO public.ecdc_import VALUES (50940, '14/12/2020', '14', '12', '2020', '5897', '53', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '499.97972634');
INSERT INTO public.ecdc_import VALUES (50941, '13/12/2020', '13', '12', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '411.98652361');
INSERT INTO public.ecdc_import VALUES (50942, '12/12/2020', '12', '12', '2020', '2166', '18', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '439.98436084');
INSERT INTO public.ecdc_import VALUES (50943, '11/12/2020', '11', '12', '2020', '3125', '20', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '434.16829636');
INSERT INTO public.ecdc_import VALUES (50944, '10/12/2020', '10', '12', '2020', '2564', '38', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '412.66537025');
INSERT INTO public.ecdc_import VALUES (50945, '09/12/2020', '9', '12', '2020', '1949', '28', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '398.8499237');
INSERT INTO public.ecdc_import VALUES (50946, '08/12/2020', '8', '12', '2020', '552', '22', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '381.823716');
INSERT INTO public.ecdc_import VALUES (50947, '07/12/2020', '7', '12', '2020', '1269', '15', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '375.93426269');
INSERT INTO public.ecdc_import VALUES (50948, '06/12/2020', '6', '12', '2020', '2070', '24', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '370.70530882');
INSERT INTO public.ecdc_import VALUES (50949, '05/12/2020', '5', '12', '2020', '2184', '27', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '366.87074265');
INSERT INTO public.ecdc_import VALUES (50950, '04/12/2020', '4', '12', '2020', '1982', '32', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '360.15566504');
INSERT INTO public.ecdc_import VALUES (50951, '03/12/2020', '3', '12', '2020', '2043', '30', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '354.33960056');
INSERT INTO public.ecdc_import VALUES (50952, '02/12/2020', '2', '12', '2020', '1254', '29', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '340.90944534');
INSERT INTO public.ecdc_import VALUES (50953, '01/12/2020', '1', '12', '2020', '196', '23', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '342.23044422');
INSERT INTO public.ecdc_import VALUES (50954, '30/11/2020', '30', '11', '2020', '1101', '18', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '347.97311987');
INSERT INTO public.ecdc_import VALUES (50955, '29/11/2020', '29', '11', '2020', '1526', '27', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '349.78949333');
INSERT INTO public.ecdc_import VALUES (50956, '28/11/2020', '28', '11', '2020', '1849', '22', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '354.28455894');
INSERT INTO public.ecdc_import VALUES (50957, '27/11/2020', '27', '11', '2020', '1953', '17', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '357.49532009');
INSERT INTO public.ecdc_import VALUES (50958, '26/11/2020', '26', '11', '2020', '1811', '23', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '369.20083788');
INSERT INTO public.ecdc_import VALUES (50959, '25/11/2020', '25', '11', '2020', '1021', '16', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '373.7325979');
INSERT INTO public.ecdc_import VALUES (50960, '24/11/2020', '24', '11', '2020', '231', '22', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '374.2830141');
INSERT INTO public.ecdc_import VALUES (50961, '23/11/2020', '23', '11', '2020', '984', '27', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '380.63114758');
INSERT INTO public.ecdc_import VALUES (50962, '22/11/2020', '22', '11', '2020', '1861', '30', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '396.11618992');
INSERT INTO public.ecdc_import VALUES (50963, '21/11/2020', '21', '11', '2020', '1818', '35', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '409.28948424');
INSERT INTO public.ecdc_import VALUES (50964, '20/11/2020', '20', '11', '2020', '1665', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '419.12358697');
INSERT INTO public.ecdc_import VALUES (50965, '19/11/2020', '19', '11', '2020', '1311', '22', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '424.57270732');
INSERT INTO public.ecdc_import VALUES (50966, '18/11/2020', '18', '11', '2020', '1326', '31', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '459.52413584');
INSERT INTO public.ecdc_import VALUES (50967, '17/11/2020', '17', '11', '2020', '509', '16', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '466.88136568');
INSERT INTO public.ecdc_import VALUES (50968, '16/11/2020', '16', '11', '2020', '1200', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '492.09042751');
INSERT INTO public.ecdc_import VALUES (50969, '15/11/2020', '15', '11', '2020', '1771', '19', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '511.94210502');
INSERT INTO public.ecdc_import VALUES (50970, '14/11/2020', '14', '11', '2020', '2024', '27', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '526.65656469');
INSERT INTO public.ecdc_import VALUES (50971, '13/11/2020', '13', '11', '2020', '2591', '50', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '551.2234743');
INSERT INTO public.ecdc_import VALUES (50972, '12/11/2020', '12', '11', '2020', '2058', '24', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '554.78283237');
INSERT INTO public.ecdc_import VALUES (50973, '11/11/2020', '11', '11', '2020', '1051', '24', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '569.99266662');
INSERT INTO public.ecdc_import VALUES (50974, '10/11/2020', '10', '11', '2020', '577', '15', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '567.24058564');
INSERT INTO public.ecdc_import VALUES (50975, '09/11/2020', '9', '11', '2020', '1828', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '580.72578247');
INSERT INTO public.ecdc_import VALUES (50976, '08/11/2020', '8', '11', '2020', '2579', '34', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '602.99929125');
INSERT INTO public.ecdc_import VALUES (50977, '07/11/2020', '7', '11', '2020', '2354', '31', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '608.70527249');
INSERT INTO public.ecdc_import VALUES (50978, '06/11/2020', '6', '11', '2020', '1962', '25', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '612.87008838');
INSERT INTO public.ecdc_import VALUES (50979, '05/11/2020', '5', '11', '2020', '3216', '26', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '608.57684205');
INSERT INTO public.ecdc_import VALUES (50980, '04/11/2020', '4', '11', '2020', '1727', '16', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '589.97277458');
INSERT INTO public.ecdc_import VALUES (50981, '03/11/2020', '3', '11', '2020', '1883', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '571.22192946');
INSERT INTO public.ecdc_import VALUES (50982, '02/11/2020', '2', '11', '2020', '2282', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '552.45273714');
INSERT INTO public.ecdc_import VALUES (50983, '01/11/2020', '1', '11', '2020', '2573', '7', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '539.33448444');
INSERT INTO public.ecdc_import VALUES (50984, '31/10/2020', '31', '10', '2020', '3363', '12', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '528.23442446');
INSERT INTO public.ecdc_import VALUES (50985, '30/10/2020', '30', '10', '2020', '2785', '16', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '504.60322239');
INSERT INTO public.ecdc_import VALUES (50986, '29/10/2020', '29', '10', '2020', '2887', '8', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '488.89801357');
INSERT INTO public.ecdc_import VALUES (50987, '28/10/2020', '28', '10', '2020', '901', '11', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '461.79918946');
INSERT INTO public.ecdc_import VALUES (50988, '27/10/2020', '27', '10', '2020', '1312', '6', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '455.01072302');
INSERT INTO public.ecdc_import VALUES (50989, '26/10/2020', '26', '10', '2020', '3042', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '440.18618011');
INSERT INTO public.ecdc_import VALUES (50990, '25/10/2020', '25', '10', '2020', '2890', '25', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '403.71193345');
INSERT INTO public.ecdc_import VALUES (50991, '24/10/2020', '24', '10', '2020', '2581', '19', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '385.30968525');
INSERT INTO public.ecdc_import VALUES (50992, '23/10/2020', '23', '10', '2020', '1728', '17', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '359.67863767');
INSERT INTO public.ecdc_import VALUES (50993, '22/10/2020', '22', '10', '2020', '2202', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '347.00071793');
INSERT INTO public.ecdc_import VALUES (50994, '21/10/2020', '21', '10', '2020', '705', '6', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '322.69066922');
INSERT INTO public.ecdc_import VALUES (50995, '20/10/2020', '20', '10', '2020', '860', '4', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '315.62699469');
INSERT INTO public.ecdc_import VALUES (50996, '19/10/2020', '19', '10', '2020', '1567', '6', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '306.32496095');
INSERT INTO public.ecdc_import VALUES (50997, '18/10/2020', '18', '10', '2020', '1968', '11', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '292.58290323');
INSERT INTO public.ecdc_import VALUES (50998, '17/10/2020', '17', '10', '2020', '2075', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '269.39203412');
INSERT INTO public.ecdc_import VALUES (50999, '16/10/2020', '16', '10', '2020', '1929', '5', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '243.77933374');
INSERT INTO public.ecdc_import VALUES (51000, '15/10/2020', '15', '10', '2020', '1410', '5', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '223.0102959');
INSERT INTO public.ecdc_import VALUES (51001, '14/10/2020', '14', '10', '2020', '531', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '207.54360076');
INSERT INTO public.ecdc_import VALUES (51002, '13/10/2020', '13', '10', '2020', '504', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '202.03943879');
INSERT INTO public.ecdc_import VALUES (51003, '12/10/2020', '12', '10', '2020', '1054', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '197.65445642');
INSERT INTO public.ecdc_import VALUES (51004, '11/10/2020', '11', '10', '2020', '1887', '4', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '187.08646543');
INSERT INTO public.ecdc_import VALUES (51005, '10/10/2020', '10', '10', '2020', '1184', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '162.59294466');
INSERT INTO public.ecdc_import VALUES (51006, '09/10/2020', '9', '10', '2020', '1037', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '148.55733163');
INSERT INTO public.ecdc_import VALUES (51007, '08/10/2020', '8', '10', '2020', '877', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '136.13627278');
INSERT INTO public.ecdc_import VALUES (51008, '07/10/2020', '7', '10', '2020', '320', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '126.24712843');
INSERT INTO public.ecdc_import VALUES (51009, '06/10/2020', '6', '10', '2020', '353', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '123.58678348');
INSERT INTO public.ecdc_import VALUES (51010, '05/10/2020', '5', '10', '2020', '818', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '118.55964888');
INSERT INTO public.ecdc_import VALUES (51011, '04/10/2020', '4', '10', '2020', '704', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '105.95511796');
INSERT INTO public.ecdc_import VALUES (51012, '03/10/2020', '3', '10', '2020', '679', '6', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '98.35937444');
INSERT INTO public.ecdc_import VALUES (51013, '02/10/2020', '2', '10', '2020', '797', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '90.21321472');
INSERT INTO public.ecdc_import VALUES (51014, '01/10/2020', '1', '10', '2020', '567', '3', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '78.54439134');
INSERT INTO public.ecdc_import VALUES (51015, '30/09/2020', '30', '9', '2020', '231', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '69.82946822');
INSERT INTO public.ecdc_import VALUES (51016, '29/09/2020', '29', '9', '2020', '265', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '69.04053834');
INSERT INTO public.ecdc_import VALUES (51017, '28/09/2020', '28', '9', '2020', '478', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '65.05919451');
INSERT INTO public.ecdc_import VALUES (51018, '27/09/2020', '27', '9', '2020', '552', '3', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '57.73865909');
INSERT INTO public.ecdc_import VALUES (51019, '26/09/2020', '26', '9', '2020', '419', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '51.29878958');
INSERT INTO public.ecdc_import VALUES (51020, '25/09/2020', '25', '9', '2020', '360', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '47.84951474');
INSERT INTO public.ecdc_import VALUES (51021, '24/09/2020', '24', '9', '2020', '338', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '43.68469885');
INSERT INTO public.ecdc_import VALUES (51022, '23/09/2020', '23', '9', '2020', '175', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '40.43724329');
INSERT INTO public.ecdc_import VALUES (51023, '22/09/2020', '22', '9', '2020', '79', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '38.89607794');
INSERT INTO public.ecdc_import VALUES (51024, '21/09/2020', '21', '9', '2020', '131', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '37.85028716');
INSERT INTO public.ecdc_import VALUES (51025, '20/09/2020', '20', '9', '2020', '290', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '37.06135728');
INSERT INTO public.ecdc_import VALUES (51026, '19/09/2020', '19', '9', '2020', '235', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '35.88713606');
INSERT INTO public.ecdc_import VALUES (51027, '18/09/2020', '18', '9', '2020', '161', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '34.08910981');
INSERT INTO public.ecdc_import VALUES (51028, '17/09/2020', '17', '9', '2020', '92', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '33.35522155');
INSERT INTO public.ecdc_import VALUES (51029, '16/09/2020', '16', '9', '2020', '188', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '32.63968049');
INSERT INTO public.ecdc_import VALUES (51030, '15/09/2020', '15', '9', '2020', '48', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '30.51140453');
INSERT INTO public.ecdc_import VALUES (51031, '14/09/2020', '14', '9', '2020', '79', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '30.38297409');
INSERT INTO public.ecdc_import VALUES (51032, '13/09/2020', '13', '9', '2020', '201', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '29.55734979');
INSERT INTO public.ecdc_import VALUES (51033, '12/09/2020', '12', '9', '2020', '231', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '27.96114282');
INSERT INTO public.ecdc_import VALUES (51034, '11/09/2020', '11', '9', '2020', '133', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '25.59435317');
INSERT INTO public.ecdc_import VALUES (51035, '10/09/2020', '10', '9', '2020', '161', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '24.80542329');
INSERT INTO public.ecdc_import VALUES (51036, '09/09/2020', '9', '9', '2020', '91', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '23.39268838');
INSERT INTO public.ecdc_import VALUES (51037, '08/09/2020', '8', '9', '2020', '22', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '22.23681437');
INSERT INTO public.ecdc_import VALUES (51038, '07/09/2020', '7', '9', '2020', '88', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '23.08078587');
INSERT INTO public.ecdc_import VALUES (51039, '06/09/2020', '6', '9', '2020', '226', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '22.20011995');
INSERT INTO public.ecdc_import VALUES (51040, '05/09/2020', '5', '9', '2020', '137', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '19.72324707');
INSERT INTO public.ecdc_import VALUES (51041, '04/09/2020', '4', '9', '2020', '121', '4', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '19.46638617');
INSERT INTO public.ecdc_import VALUES (51042, '03/09/2020', '3', '9', '2020', '53', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '18.71415071');
INSERT INTO public.ecdc_import VALUES (51043, '02/09/2020', '2', '9', '2020', '72', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '19.57646941');
INSERT INTO public.ecdc_import VALUES (51044, '01/09/2020', '1', '9', '2020', '41', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '18.53067864');
INSERT INTO public.ecdc_import VALUES (51045, '31/08/2020', '31', '8', '2020', '34', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '17.8701792');
INSERT INTO public.ecdc_import VALUES (51046, '30/08/2020', '30', '8', '2020', '114', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '18.10869289');
INSERT INTO public.ecdc_import VALUES (51047, '29/08/2020', '29', '8', '2020', '102', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '17.00786049');
INSERT INTO public.ecdc_import VALUES (51048, '28/08/2020', '28', '8', '2020', '90', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '16.27397223');
INSERT INTO public.ecdc_import VALUES (51049, '27/08/2020', '27', '8', '2020', '84', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '15.52173676');
INSERT INTO public.ecdc_import VALUES (51050, '26/08/2020', '26', '8', '2020', '28', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '15.3566119');
INSERT INTO public.ecdc_import VALUES (51051, '25/08/2020', '25', '8', '2020', '68', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '15.13644542');
INSERT INTO public.ecdc_import VALUES (51052, '24/08/2020', '24', '8', '2020', '40', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '13.943877');
INSERT INTO public.ecdc_import VALUES (51053, '23/08/2020', '23', '8', '2020', '91', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '13.76040493');
INSERT INTO public.ecdc_import VALUES (51054, '22/08/2020', '22', '8', '2020', '123', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '12.87973901');
INSERT INTO public.ecdc_import VALUES (51055, '21/08/2020', '21', '8', '2020', '80', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.41196249');
INSERT INTO public.ecdc_import VALUES (51056, '20/08/2020', '20', '8', '2020', '100', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.10005998');
INSERT INTO public.ecdc_import VALUES (51057, '19/08/2020', '19', '8', '2020', '15', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.16435244');
INSERT INTO public.ecdc_import VALUES (51058, '18/08/2020', '18', '8', '2020', '5', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.14600524');
INSERT INTO public.ecdc_import VALUES (51059, '17/08/2020', '17', '8', '2020', '47', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.23774127');
INSERT INTO public.ecdc_import VALUES (51060, '16/08/2020', '16', '8', '2020', '54', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '9.50385301');
INSERT INTO public.ecdc_import VALUES (51061, '15/08/2020', '15', '8', '2020', '62', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '9.33872815');
INSERT INTO public.ecdc_import VALUES (51062, '14/08/2020', '14', '8', '2020', '49', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '8.69657592');
INSERT INTO public.ecdc_import VALUES (51063, '13/08/2020', '13', '8', '2020', '75', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '8.16450693');
INSERT INTO public.ecdc_import VALUES (51064, '12/08/2020', '12', '8', '2020', '16', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.5407019');
INSERT INTO public.ecdc_import VALUES (51065, '11/08/2020', '11', '8', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.66913235');
INSERT INTO public.ecdc_import VALUES (51066, '10/08/2020', '10', '8', '2020', '30', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.65078514');
INSERT INTO public.ecdc_import VALUES (51067, '09/08/2020', '9', '8', '2020', '43', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.79756279');
INSERT INTO public.ecdc_import VALUES (51068, '08/08/2020', '8', '8', '2020', '43', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.43061866');
INSERT INTO public.ecdc_import VALUES (51069, '07/08/2020', '7', '8', '2020', '63', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.17375777');
INSERT INTO public.ecdc_import VALUES (51070, '06/08/2020', '6', '8', '2020', '49', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.58664716');
INSERT INTO public.ecdc_import VALUES (51071, '05/08/2020', '5', '8', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.36648068');
INSERT INTO public.ecdc_import VALUES (51072, '04/08/2020', '4', '8', '2020', '10', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.86185526');
INSERT INTO public.ecdc_import VALUES (51073, '03/08/2020', '3', '8', '2020', '7', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.6967304');
INSERT INTO public.ecdc_import VALUES (51074, '02/08/2020', '2', '8', '2020', '45', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.62334157');
INSERT INTO public.ecdc_import VALUES (51075, '01/08/2020', '1', '8', '2020', '27', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.99953655');
INSERT INTO public.ecdc_import VALUES (51076, '31/07/2020', '31', '7', '2020', '20', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.76102286');
INSERT INTO public.ecdc_import VALUES (51077, '30/07/2020', '30', '7', '2020', '41', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.83441169');
INSERT INTO public.ecdc_import VALUES (51078, '29/07/2020', '29', '7', '2020', '23', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.43077315');
INSERT INTO public.ecdc_import VALUES (51079, '28/07/2020', '28', '7', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.11887063');
INSERT INTO public.ecdc_import VALUES (51080, '27/07/2020', '27', '7', '2020', '38', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.10052343');
INSERT INTO public.ecdc_import VALUES (51081, '26/07/2020', '26', '7', '2020', '23', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.55010723');
INSERT INTO public.ecdc_import VALUES (51082, '25/07/2020', '25', '7', '2020', '29', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.55010723');
INSERT INTO public.ecdc_import VALUES (51083, '24/07/2020', '24', '7', '2020', '31', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.36663516');
INSERT INTO public.ecdc_import VALUES (51084, '23/07/2020', '23', '7', '2020', '37', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.77027371');
INSERT INTO public.ecdc_import VALUES (51085, '22/07/2020', '22', '7', '2020', '41', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.66019047');
INSERT INTO public.ecdc_import VALUES (51086, '21/07/2020', '21', '7', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.94464941');
INSERT INTO public.ecdc_import VALUES (51087, '20/07/2020', '20', '7', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.94464941');
INSERT INTO public.ecdc_import VALUES (51088, '19/07/2020', '19', '7', '2020', '11', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.16481589');
INSERT INTO public.ecdc_import VALUES (51089, '18/07/2020', '18', '7', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.49506561');
INSERT INTO public.ecdc_import VALUES (51090, '17/07/2020', '17', '7', '2020', '24', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.60514885');
INSERT INTO public.ecdc_import VALUES (51091, '16/07/2020', '16', '7', '2020', '19', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.40332958');
INSERT INTO public.ecdc_import VALUES (51092, '15/07/2020', '15', '7', '2020', '6', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.42167678');
INSERT INTO public.ecdc_import VALUES (51093, '14/07/2020', '14', '7', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.34828796');
INSERT INTO public.ecdc_import VALUES (51094, '13/07/2020', '13', '7', '2020', '8', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.34828796');
INSERT INTO public.ecdc_import VALUES (51095, '12/07/2020', '12', '7', '2020', '23', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.32994075');
INSERT INTO public.ecdc_import VALUES (51096, '11/07/2020', '11', '7', '2020', '19', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.16481589');
INSERT INTO public.ecdc_import VALUES (51097, '10/07/2020', '10', '7', '2020', '53', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.05473265');
INSERT INTO public.ecdc_import VALUES (51098, '09/07/2020', '9', '7', '2020', '31', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.50431646');
INSERT INTO public.ecdc_import VALUES (51099, '08/07/2020', '8', '7', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.26580277');
INSERT INTO public.ecdc_import VALUES (51100, '07/07/2020', '7', '7', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.24745556');
INSERT INTO public.ecdc_import VALUES (51101, '06/07/2020', '6', '7', '2020', '15', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.24745556');
INSERT INTO public.ecdc_import VALUES (51102, '05/07/2020', '5', '7', '2020', '29', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.99059467');
INSERT INTO public.ecdc_import VALUES (51103, '04/07/2020', '4', '7', '2020', '20', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.64199775');
INSERT INTO public.ecdc_import VALUES (51104, '03/07/2020', '3', '7', '2020', '13', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.53191451');
INSERT INTO public.ecdc_import VALUES (51105, '02/07/2020', '2', '7', '2020', '20', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.31174803');
INSERT INTO public.ecdc_import VALUES (51106, '01/07/2020', '1', '7', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.10992876');
INSERT INTO public.ecdc_import VALUES (51107, '30/06/2020', '30', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.07323434');
INSERT INTO public.ecdc_import VALUES (51108, '29/06/2020', '29', '6', '2020', '7', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.12827596');
INSERT INTO public.ecdc_import VALUES (51109, '28/06/2020', '28', '6', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.05488714');
INSERT INTO public.ecdc_import VALUES (51110, '27/06/2020', '27', '6', '2020', '13', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.85306786');
INSERT INTO public.ecdc_import VALUES (51111, '26/06/2020', '26', '6', '2020', '23', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.63290139');
INSERT INTO public.ecdc_import VALUES (51112, '25/06/2020', '25', '6', '2020', '18', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.35769329');
INSERT INTO public.ecdc_import VALUES (51113, '24/06/2020', '24', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.06413798');
INSERT INTO public.ecdc_import VALUES (51114, '23/06/2020', '23', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.06413798');
INSERT INTO public.ecdc_import VALUES (51116, '21/06/2020', '21', '6', '2020', '10', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.06413798');
INSERT INTO public.ecdc_import VALUES (51117, '20/06/2020', '20', '6', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.91736033');
INSERT INTO public.ecdc_import VALUES (51118, '19/06/2020', '19', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.66049944');
INSERT INTO public.ecdc_import VALUES (51119, '18/06/2020', '18', '6', '2020', '9', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.66049944');
INSERT INTO public.ecdc_import VALUES (51120, '17/06/2020', '17', '6', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.5504162');
INSERT INTO public.ecdc_import VALUES (51121, '16/06/2020', '16', '6', '2020', '4', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.5504162');
INSERT INTO public.ecdc_import VALUES (51122, '15/06/2020', '15', '6', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.47702737');
INSERT INTO public.ecdc_import VALUES (51123, '14/06/2020', '14', '6', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.44033296');
INSERT INTO public.ecdc_import VALUES (51124, '13/06/2020', '13', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.40363854');
INSERT INTO public.ecdc_import VALUES (51125, '12/06/2020', '12', '6', '2020', '8', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.38529134');
INSERT INTO public.ecdc_import VALUES (51126, '11/06/2020', '11', '6', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.33024972');
INSERT INTO public.ecdc_import VALUES (51127, '10/06/2020', '10', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.33024972');
INSERT INTO public.ecdc_import VALUES (51128, '09/06/2020', '9', '6', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.34859692');
INSERT INTO public.ecdc_import VALUES (51129, '08/06/2020', '8', '6', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.34859692');
INSERT INTO public.ecdc_import VALUES (51130, '07/06/2020', '7', '6', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.44033296');
INSERT INTO public.ecdc_import VALUES (51131, '06/06/2020', '6', '6', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.42198575');
INSERT INTO public.ecdc_import VALUES (51132, '05/06/2020', '5', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.44033296');
INSERT INTO public.ecdc_import VALUES (51133, '04/06/2020', '4', '6', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.53206899');
INSERT INTO public.ecdc_import VALUES (51134, '03/06/2020', '3', '6', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.49537458');
INSERT INTO public.ecdc_import VALUES (51135, '02/06/2020', '2', '6', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.49537458');
INSERT INTO public.ecdc_import VALUES (51136, '01/06/2020', '1', '6', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.51372178');
INSERT INTO public.ecdc_import VALUES (51137, '31/05/2020', '31', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.51372178');
INSERT INTO public.ecdc_import VALUES (51138, '30/05/2020', '30', '5', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.73388826');
INSERT INTO public.ecdc_import VALUES (51139, '29/05/2020', '29', '5', '2020', '5', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.78892988');
INSERT INTO public.ecdc_import VALUES (51140, '28/05/2020', '28', '5', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.8439715');
INSERT INTO public.ecdc_import VALUES (51141, '27/05/2020', '27', '5', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.88066592');
INSERT INTO public.ecdc_import VALUES (51142, '26/05/2020', '26', '5', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.99074915');
INSERT INTO public.ecdc_import VALUES (51143, '25/05/2020', '25', '5', '2020', '5', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.95405474');
INSERT INTO public.ecdc_import VALUES (51144, '24/05/2020', '24', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.89901312');
INSERT INTO public.ecdc_import VALUES (51145, '23/05/2020', '23', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '0.88066592');
INSERT INTO public.ecdc_import VALUES (51146, '22/05/2020', '22', '5', '2020', '6', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.04579077');
INSERT INTO public.ecdc_import VALUES (51147, '21/05/2020', '21', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.22926284');
INSERT INTO public.ecdc_import VALUES (51148, '20/05/2020', '20', '5', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.35769329');
INSERT INTO public.ecdc_import VALUES (51149, '19/05/2020', '19', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.50447094');
INSERT INTO public.ecdc_import VALUES (51150, '18/05/2020', '18', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.57785977');
INSERT INTO public.ecdc_import VALUES (51151, '17/05/2020', '17', '5', '2020', '13', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.57785977');
INSERT INTO public.ecdc_import VALUES (51152, '16/05/2020', '16', '5', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.41273491');
INSERT INTO public.ecdc_import VALUES (51153, '15/05/2020', '15', '5', '2020', '8', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.48612373');
INSERT INTO public.ecdc_import VALUES (51154, '14/05/2020', '14', '5', '2020', '4', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.43108211');
INSERT INTO public.ecdc_import VALUES (51155, '13/05/2020', '13', '5', '2020', '8', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.48612373');
INSERT INTO public.ecdc_import VALUES (51156, '12/05/2020', '12', '5', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.3943877');
INSERT INTO public.ecdc_import VALUES (51157, '11/05/2020', '11', '5', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.43108211');
INSERT INTO public.ecdc_import VALUES (51158, '10/05/2020', '10', '5', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.50447094');
INSERT INTO public.ecdc_import VALUES (51159, '09/05/2020', '9', '5', '2020', '10', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '1.74298462');
INSERT INTO public.ecdc_import VALUES (51160, '08/05/2020', '8', '5', '2020', '16', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.20166479');
INSERT INTO public.ecdc_import VALUES (51161, '07/05/2020', '7', '5', '2020', '8', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.39423322');
INSERT INTO public.ecdc_import VALUES (51162, '06/05/2020', '6', '5', '2020', '8', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.07307986');
INSERT INTO public.ecdc_import VALUES (51163, '05/05/2020', '5', '5', '2020', '5', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.40332958');
INSERT INTO public.ecdc_import VALUES (51164, '04/05/2020', '4', '5', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.53176002');
INSERT INTO public.ecdc_import VALUES (51165, '03/05/2020', '3', '5', '2020', '4', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.83441169');
INSERT INTO public.ecdc_import VALUES (51166, '02/05/2020', '2', '5', '2020', '7', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.49491113');
INSERT INTO public.ecdc_import VALUES (51167, '01/05/2020', '1', '5', '2020', '5', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.68747955');
INSERT INTO public.ecdc_import VALUES (51168, '30/04/2020', '30', '4', '2020', '7', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '9.68732507');
INSERT INTO public.ecdc_import VALUES (51169, '29/04/2020', '29', '4', '2020', '3', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.07261641');
INSERT INTO public.ecdc_import VALUES (51170, '28/04/2020', '28', '4', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.22849042');
INSERT INTO public.ecdc_import VALUES (51171, '27/04/2020', '27', '4', '2020', '6', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.68717059');
INSERT INTO public.ecdc_import VALUES (51172, '26/04/2020', '26', '4', '2020', '13', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.83394824');
INSERT INTO public.ecdc_import VALUES (51173, '25/04/2020', '25', '4', '2020', '35', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.83394824');
INSERT INTO public.ecdc_import VALUES (51174, '24/04/2020', '24', '4', '2020', '81', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.4486569');
INSERT INTO public.ecdc_import VALUES (51175, '23/04/2020', '23', '4', '2020', '45', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.31113009');
INSERT INTO public.ecdc_import VALUES (51176, '22/04/2020', '22', '4', '2020', '26', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.33857366');
INSERT INTO public.ecdc_import VALUES (51177, '21/04/2020', '21', '4', '2020', '12', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.723865');
INSERT INTO public.ecdc_import VALUES (51178, '20/04/2020', '20', '4', '2020', '72', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '12.40271164');
INSERT INTO public.ecdc_import VALUES (51179, '19/04/2020', '19', '4', '2020', '40', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '11.33857366');
INSERT INTO public.ecdc_import VALUES (51180, '18/04/2020', '18', '4', '2020', '72', '1', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.98997674');
INSERT INTO public.ecdc_import VALUES (51181, '17/04/2020', '17', '4', '2020', '114', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '10.10931082');
INSERT INTO public.ecdc_import VALUES (51182, '16/04/2020', '16', '4', '2020', '28', '4', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '8.49475664');
INSERT INTO public.ecdc_import VALUES (51183, '15/04/2020', '15', '4', '2020', '66', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '8.6598815');
INSERT INTO public.ecdc_import VALUES (51184, '14/04/2020', '14', '4', '2020', '27', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.94434045');
INSERT INTO public.ecdc_import VALUES (51185, '13/04/2020', '13', '4', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.44896587');
INSERT INTO public.ecdc_import VALUES (51186, '12/04/2020', '12', '4', '2020', '13', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.94434045');
INSERT INTO public.ecdc_import VALUES (51187, '11/04/2020', '11', '4', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '7.70582676');
INSERT INTO public.ecdc_import VALUES (51188, '10/04/2020', '10', '4', '2020', '19', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '8.71492312');
INSERT INTO public.ecdc_import VALUES (51189, '09/04/2020', '9', '4', '2020', '101', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '8.54979826');
INSERT INTO public.ecdc_import VALUES (51190, '08/04/2020', '8', '4', '2020', '47', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.91689688');
INSERT INTO public.ecdc_import VALUES (51191, '07/04/2020', '7', '4', '2020', '49', '2', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '6.29309185');
INSERT INTO public.ecdc_import VALUES (51192, '06/04/2020', '6', '4', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.50416197');
INSERT INTO public.ecdc_import VALUES (51193, '05/04/2020', '5', '4', '2020', '21', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.37573153');
INSERT INTO public.ecdc_import VALUES (51194, '04/04/2020', '4', '4', '2020', '24', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.74267566');
INSERT INTO public.ecdc_import VALUES (51195, '03/04/2020', '3', '4', '2020', '26', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.55920359');
INSERT INTO public.ecdc_import VALUES (51196, '02/04/2020', '2', '4', '2020', '37', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.37573153');
INSERT INTO public.ecdc_import VALUES (51197, '01/04/2020', '1', '4', '2020', '27', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.88035695');
INSERT INTO public.ecdc_import VALUES (51198, '31/03/2020', '31', '3', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.62349606');
INSERT INTO public.ecdc_import VALUES (51199, '30/03/2020', '30', '3', '2020', '41', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '5.04548181');
INSERT INTO public.ecdc_import VALUES (51200, '29/03/2020', '29', '3', '2020', '0', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.60514885');
INSERT INTO public.ecdc_import VALUES (51201, '28/03/2020', '28', '3', '2020', '69', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '4.86200974');
INSERT INTO public.ecdc_import VALUES (51202, '27/03/2020', '27', '3', '2020', '10', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.76117735');
INSERT INTO public.ecdc_import VALUES (51203, '26/03/2020', '26', '3', '2020', '12', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.77952455');
INSERT INTO public.ecdc_import VALUES (51204, '25/03/2020', '25', '3', '2020', '13', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.61439969');
INSERT INTO public.ecdc_import VALUES (51205, '24/03/2020', '24', '3', '2020', '6', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.41258042');
INSERT INTO public.ecdc_import VALUES (51206, '23/03/2020', '23', '3', '2020', '7', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.3391916');
INSERT INTO public.ecdc_import VALUES (51207, '22/03/2020', '22', '3', '2020', '41', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '3.24745556');
INSERT INTO public.ecdc_import VALUES (51208, '21/03/2020', '21', '3', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '2.5135673');
INSERT INTO public.ecdc_import VALUES (51209, '20/03/2020', '20', '3', '2020', '16', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51210, '19/03/2020', '19', '3', '2020', '10', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51211, '18/03/2020', '18', '3', '2020', '13', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51212, '17/03/2020', '17', '3', '2020', '23', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51213, '16/03/2020', '16', '3', '2020', '17', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51214, '15/03/2020', '15', '3', '2020', '14', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51215, '14/03/2020', '14', '3', '2020', '9', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51216, '13/03/2020', '13', '3', '2020', '11', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51217, '12/03/2020', '12', '3', '2020', '3', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51218, '11/03/2020', '11', '3', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51219, '09/03/2020', '9', '3', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51220, '08/03/2020', '8', '3', '2020', '2', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51221, '07/03/2020', '7', '3', '2020', '1', '0', '5450421', 'Slovakia', 'SK', 'SVK', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51222, '14/12/2020', '14', '12', '2020', '833', '11', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1005.95509268');
INSERT INTO public.ecdc_import VALUES (51223, '13/12/2020', '13', '12', '2020', '1744', '22', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1019.60298101');
INSERT INTO public.ecdc_import VALUES (51224, '12/12/2020', '12', '12', '2020', '1816', '39', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1012.20236551');
INSERT INTO public.ecdc_import VALUES (51225, '11/12/2020', '11', '12', '2020', '1848', '26', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1001.87033737');
INSERT INTO public.ecdc_import VALUES (51226, '10/12/2020', '10', '12', '2020', '2137', '50', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '997.97780584');
INSERT INTO public.ecdc_import VALUES (51227, '09/12/2020', '9', '12', '2020', '1648', '23', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1002.25478493');
INSERT INTO public.ecdc_import VALUES (51228, '08/12/2020', '8', '12', '2020', '483', '30', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '985.62742803');
INSERT INTO public.ecdc_import VALUES (51229, '07/12/2020', '7', '12', '2020', '1030', '14', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '985.00270074');
INSERT INTO public.ecdc_import VALUES (51230, '06/12/2020', '6', '12', '2020', '1642', '37', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '984.71436508');
INSERT INTO public.ecdc_import VALUES (51231, '05/12/2020', '5', '12', '2020', '1784', '111', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '987.69383365');
INSERT INTO public.ecdc_import VALUES (51232, '04/12/2020', '4', '12', '2020', '1783', '54', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '976.25651879');
INSERT INTO public.ecdc_import VALUES (51233, '03/12/2020', '3', '12', '2020', '2431', '78', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '990.04857495');
INSERT INTO public.ecdc_import VALUES (51234, '02/12/2020', '2', '12', '2020', '1321', '16', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '970.63397325');
INSERT INTO public.ecdc_import VALUES (51235, '01/12/2020', '1', '12', '2020', '433', '21', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '974.09400127');
INSERT INTO public.ecdc_import VALUES (51236, '30/11/2020', '30', '11', '2020', '1117', '14', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '977.40986146');
INSERT INTO public.ecdc_import VALUES (51237, '29/11/2020', '29', '11', '2020', '1590', '30', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '967.94284034');
INSERT INTO public.ecdc_import VALUES (51238, '28/11/2020', '28', '11', '2020', '1601', '28', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '975.00706422');
INSERT INTO public.ecdc_import VALUES (51239, '27/11/2020', '27', '11', '2020', '1767', '78', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '970.87425297');
INSERT INTO public.ecdc_import VALUES (51240, '26/11/2020', '26', '11', '2020', '2226', '52', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '978.75542792');
INSERT INTO public.ecdc_import VALUES (51241, '25/11/2020', '25', '11', '2020', '1302', '35', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '978.56320414');
INSERT INTO public.ecdc_import VALUES (51242, '24/11/2020', '24', '11', '2020', '470', '27', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '968.47145573');
INSERT INTO public.ecdc_import VALUES (51243, '23/11/2020', '23', '11', '2020', '1024', '6', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '968.18312006');
INSERT INTO public.ecdc_import VALUES (51244, '22/11/2020', '22', '11', '2020', '1704', '13', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '961.74362346');
INSERT INTO public.ecdc_import VALUES (51245, '21/11/2020', '21', '11', '2020', '1546', '35', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '957.37053248');
INSERT INTO public.ecdc_import VALUES (51246, '20/11/2020', '20', '11', '2020', '2070', '23', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '958.23553949');
INSERT INTO public.ecdc_import VALUES (51247, '19/11/2020', '19', '11', '2020', '2027', '30', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '939.78205668');
INSERT INTO public.ecdc_import VALUES (51248, '18/11/2020', '18', '11', '2020', '1393', '24', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '939.68594479');
INSERT INTO public.ecdc_import VALUES (51249, '17/11/2020', '17', '11', '2020', '502', '21', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '929.30586071');
INSERT INTO public.ecdc_import VALUES (51250, '16/11/2020', '16', '11', '2020', '920', '11', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '931.94893768');
INSERT INTO public.ecdc_import VALUES (51251, '15/11/2020', '15', '11', '2020', '1737', '19', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '952.22854638');
INSERT INTO public.ecdc_import VALUES (51252, '14/11/2020', '14', '11', '2020', '1515', '44', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '955.11190307');
INSERT INTO public.ecdc_import VALUES (51253, '13/11/2020', '13', '11', '2020', '1931', '13', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '969.04812707');
INSERT INTO public.ecdc_import VALUES (51254, '12/11/2020', '12', '11', '2020', '2222', '14', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '995.91140022');
INSERT INTO public.ecdc_import VALUES (51255, '11/11/2020', '11', '11', '2020', '1092', '12', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1014.65321869');
INSERT INTO public.ecdc_import VALUES (51256, '10/11/2020', '10', '11', '2020', '464', '16', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1035.3653309');
INSERT INTO public.ecdc_import VALUES (51257, '09/11/2020', '9', '11', '2020', '890', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1067.37059015');
INSERT INTO public.ecdc_import VALUES (51258, '08/11/2020', '8', '11', '2020', '1613', '25', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1104.99839493');
INSERT INTO public.ecdc_import VALUES (51259, '07/11/2020', '7', '11', '2020', '1564', '12', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1121.86603156');
INSERT INTO public.ecdc_import VALUES (51260, '06/11/2020', '6', '11', '2020', '1686', '20', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1126.57551415');
INSERT INTO public.ecdc_import VALUES (51261, '05/11/2020', '5', '11', '2020', '2025', '39', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1125.71050714');
INSERT INTO public.ecdc_import VALUES (51262, '04/11/2020', '4', '11', '2020', '1177', '31', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1100.86558368');
INSERT INTO public.ecdc_import VALUES (51263, '03/11/2020', '3', '11', '2020', '557', '15', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1082.46015682');
INSERT INTO public.ecdc_import VALUES (51264, '02/11/2020', '2', '11', '2020', '1342', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1081.49903792');
INSERT INTO public.ecdc_import VALUES (51265, '01/11/2020', '1', '11', '2020', '1797', '6', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1051.99268781');
INSERT INTO public.ecdc_import VALUES (51266, '31/10/2020', '31', '10', '2020', '1805', '10', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1008.79039342');
INSERT INTO public.ecdc_import VALUES (51267, '30/10/2020', '30', '10', '2020', '2490', '10', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '962.12807102');
INSERT INTO public.ecdc_import VALUES (51268, '29/10/2020', '29', '10', '2020', '2612', '13', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '878.31850327');
INSERT INTO public.ecdc_import VALUES (51269, '28/10/2020', '28', '10', '2020', '1523', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '786.77192841');
INSERT INTO public.ecdc_import VALUES (51270, '27/10/2020', '27', '10', '2020', '1130', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '732.75704644');
INSERT INTO public.ecdc_import VALUES (51271, '26/10/2020', '26', '10', '2020', '1673', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '686.47917159');
INSERT INTO public.ecdc_import VALUES (51272, '25/10/2020', '25', '10', '2020', '1964', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '625.83256924');
INSERT INTO public.ecdc_import VALUES (51273, '24/10/2020', '24', '10', '2020', '1662', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '549.71195267');
INSERT INTO public.ecdc_import VALUES (51274, '23/10/2020', '23', '10', '2020', '1668', '7', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '487.28728036');
INSERT INTO public.ecdc_import VALUES (51275, '22/10/2020', '22', '10', '2020', '1508', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '425.72761506');
INSERT INTO public.ecdc_import VALUES (51276, '21/10/2020', '21', '10', '2020', '794', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '370.36716664');
INSERT INTO public.ecdc_import VALUES (51277, '20/10/2020', '20', '10', '2020', '537', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '341.53359976');
INSERT INTO public.ecdc_import VALUES (51278, '19/10/2020', '19', '10', '2020', '728', '8', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '319.3798092');
INSERT INTO public.ecdc_import VALUES (51279, '18/10/2020', '18', '10', '2020', '898', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '292.46848011');
INSERT INTO public.ecdc_import VALUES (51280, '17/10/2020', '17', '10', '2020', '834', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '260.22294114');
INSERT INTO public.ecdc_import VALUES (51281, '16/10/2020', '16', '10', '2020', '746', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '231.58159803');
INSERT INTO public.ecdc_import VALUES (51282, '15/10/2020', '15', '10', '2020', '707', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '204.14165355');
INSERT INTO public.ecdc_import VALUES (51283, '14/10/2020', '14', '10', '2020', '399', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '179.92145736');
INSERT INTO public.ecdc_import VALUES (51284, '13/10/2020', '13', '10', '2020', '167', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '165.21633825');
INSERT INTO public.ecdc_import VALUES (51285, '12/10/2020', '12', '10', '2020', '411', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '159.30545704');
INSERT INTO public.ecdc_import VALUES (51286, '11/10/2020', '11', '10', '2020', '380', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '147.19535895');
INSERT INTO public.ecdc_import VALUES (51287, '10/10/2020', '10', '10', '2020', '363', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '137.77639377');
INSERT INTO public.ecdc_import VALUES (51288, '09/10/2020', '9', '10', '2020', '387', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '129.51077126');
INSERT INTO public.ecdc_import VALUES (51289, '08/10/2020', '8', '10', '2020', '356', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '116.77594589');
INSERT INTO public.ecdc_import VALUES (51290, '07/10/2020', '7', '10', '2020', '194', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '106.20363803');
INSERT INTO public.ecdc_import VALUES (51291, '06/10/2020', '6', '10', '2020', '76', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '101.10970788');
INSERT INTO public.ecdc_import VALUES (51292, '05/10/2020', '5', '10', '2020', '168', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '99.86025331');
INSERT INTO public.ecdc_import VALUES (51293, '04/10/2020', '4', '10', '2020', '227', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '97.12106446');
INSERT INTO public.ecdc_import VALUES (51294, '03/10/2020', '3', '10', '2020', '238', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '91.6907427');
INSERT INTO public.ecdc_import VALUES (51295, '02/10/2020', '2', '10', '2020', '175', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '86.83709227');
INSERT INTO public.ecdc_import VALUES (51296, '01/10/2020', '1', '10', '2020', '203', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '83.13678452');
INSERT INTO public.ecdc_import VALUES (51297, '30/09/2020', '30', '9', '2020', '93', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '79.29230893');
INSERT INTO public.ecdc_import VALUES (51298, '29/09/2020', '29', '9', '2020', '44', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '78.76369354');
INSERT INTO public.ecdc_import VALUES (51299, '28/09/2020', '28', '9', '2020', '159', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '79.19619704');
INSERT INTO public.ecdc_import VALUES (51300, '27/09/2020', '27', '9', '2020', '184', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '76.31284036');
INSERT INTO public.ecdc_import VALUES (51301, '26/09/2020', '26', '9', '2020', '191', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '72.51642072');
INSERT INTO public.ecdc_import VALUES (51302, '25/09/2020', '25', '9', '2020', '122', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '68.62388919');
INSERT INTO public.ecdc_import VALUES (51303, '24/09/2020', '24', '9', '2020', '136', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '66.41331573');
INSERT INTO public.ecdc_import VALUES (51304, '23/09/2020', '23', '9', '2020', '88', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '63.72218282');
INSERT INTO public.ecdc_import VALUES (51305, '22/09/2020', '22', '9', '2020', '50', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '61.51160936');
INSERT INTO public.ecdc_import VALUES (51306, '21/09/2020', '21', '9', '2020', '111', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '59.87770723');
INSERT INTO public.ecdc_import VALUES (51307, '20/09/2020', '20', '9', '2020', '114', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '56.60990298');
INSERT INTO public.ecdc_import VALUES (51308, '19/09/2020', '19', '9', '2020', '137', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '53.1979309');
INSERT INTO public.ecdc_import VALUES (51309, '18/09/2020', '18', '9', '2020', '98', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '48.87289587');
INSERT INTO public.ecdc_import VALUES (51310, '17/09/2020', '17', '9', '2020', '123', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '46.71037835');
INSERT INTO public.ecdc_import VALUES (51311, '16/09/2020', '16', '9', '2020', '82', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '43.44257411');
INSERT INTO public.ecdc_import VALUES (51312, '15/09/2020', '15', '9', '2020', '53', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '41.47228037');
INSERT INTO public.ecdc_import VALUES (51313, '14/09/2020', '14', '9', '2020', '99', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '40.2228258');
INSERT INTO public.ecdc_import VALUES (51314, '13/09/2020', '13', '9', '2020', '105', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '36.95502156');
INSERT INTO public.ecdc_import VALUES (51315, '12/09/2020', '12', '9', '2020', '110', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '33.68721731');
INSERT INTO public.ecdc_import VALUES (51316, '11/09/2020', '11', '9', '2020', '76', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '30.41941306');
INSERT INTO public.ecdc_import VALUES (51317, '10/09/2020', '10', '9', '2020', '80', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '28.35300744');
INSERT INTO public.ecdc_import VALUES (51318, '09/09/2020', '9', '9', '2020', '42', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '26.23854587');
INSERT INTO public.ecdc_import VALUES (51319, '08/09/2020', '8', '9', '2020', '16', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '25.22937102');
INSERT INTO public.ecdc_import VALUES (51320, '07/09/2020', '7', '9', '2020', '43', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '25.13325913');
INSERT INTO public.ecdc_import VALUES (51321, '06/09/2020', '6', '9', '2020', '43', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '24.70075563');
INSERT INTO public.ecdc_import VALUES (51322, '05/09/2020', '5', '9', '2020', '47', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '24.70075563');
INSERT INTO public.ecdc_import VALUES (51323, '04/09/2020', '4', '9', '2020', '53', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '24.26825213');
INSERT INTO public.ecdc_import VALUES (51324, '03/09/2020', '3', '9', '2020', '55', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '23.78769268');
INSERT INTO public.ecdc_import VALUES (51325, '02/09/2020', '2', '9', '2020', '41', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '22.92268567');
INSERT INTO public.ecdc_import VALUES (51326, '01/09/2020', '1', '9', '2020', '27', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '21.81739894');
INSERT INTO public.ecdc_import VALUES (51327, '31/08/2020', '31', '8', '2020', '31', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '21.57711922');
INSERT INTO public.ecdc_import VALUES (51328, '30/08/2020', '30', '8', '2020', '37', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '20.8082241');
INSERT INTO public.ecdc_import VALUES (51329, '29/08/2020', '29', '8', '2020', '42', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '20.56794438');
INSERT INTO public.ecdc_import VALUES (51330, '28/08/2020', '28', '8', '2020', '33', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '20.32766465');
INSERT INTO public.ecdc_import VALUES (51331, '27/08/2020', '27', '8', '2020', '36', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '20.13544087');
INSERT INTO public.ecdc_import VALUES (51332, '26/08/2020', '26', '8', '2020', '21', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '19.89516115');
INSERT INTO public.ecdc_import VALUES (51333, '25/08/2020', '25', '8', '2020', '14', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '19.70293737');
INSERT INTO public.ecdc_import VALUES (51334, '24/08/2020', '24', '8', '2020', '34', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '19.31848981');
INSERT INTO public.ecdc_import VALUES (51335, '23/08/2020', '23', '8', '2020', '43', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '17.78069958');
INSERT INTO public.ecdc_import VALUES (51336, '22/08/2020', '22', '8', '2020', '38', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '16.38707718');
INSERT INTO public.ecdc_import VALUES (51337, '21/08/2020', '21', '8', '2020', '43', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '15.04151073');
INSERT INTO public.ecdc_import VALUES (51338, '20/08/2020', '20', '8', '2020', '37', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '13.69594427');
INSERT INTO public.ecdc_import VALUES (51339, '19/08/2020', '19', '8', '2020', '18', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.78288132');
INSERT INTO public.ecdc_import VALUES (51340, '18/08/2020', '18', '8', '2020', '22', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.35037782');
INSERT INTO public.ecdc_import VALUES (51341, '17/08/2020', '17', '8', '2020', '15', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.34120297');
INSERT INTO public.ecdc_import VALUES (51342, '16/08/2020', '16', '8', '2020', '32', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.05286731');
INSERT INTO public.ecdc_import VALUES (51343, '15/08/2020', '15', '8', '2020', '37', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.80341274');
INSERT INTO public.ecdc_import VALUES (51344, '14/08/2020', '14', '8', '2020', '29', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.27479735');
INSERT INTO public.ecdc_import VALUES (51345, '13/08/2020', '13', '8', '2020', '31', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.03451762');
INSERT INTO public.ecdc_import VALUES (51346, '12/08/2020', '12', '8', '2020', '17', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.21756656');
INSERT INTO public.ecdc_import VALUES (51347, '11/08/2020', '11', '8', '2020', '6', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.07339873');
INSERT INTO public.ecdc_import VALUES (51348, '10/08/2020', '10', '8', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.02534278');
INSERT INTO public.ecdc_import VALUES (51349, '09/08/2020', '9', '8', '2020', '14', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.69812601');
INSERT INTO public.ecdc_import VALUES (51350, '08/08/2020', '8', '8', '2020', '10', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.69812601');
INSERT INTO public.ecdc_import VALUES (51351, '07/08/2020', '7', '8', '2020', '15', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.13062951');
INSERT INTO public.ecdc_import VALUES (51352, '06/08/2020', '6', '8', '2020', '18', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.27479735');
INSERT INTO public.ecdc_import VALUES (51353, '05/08/2020', '5', '8', '2020', '9', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '10.23591624');
INSERT INTO public.ecdc_import VALUES (51354, '04/08/2020', '4', '8', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '10.95675542');
INSERT INTO public.ecdc_import VALUES (51355, '03/08/2020', '3', '8', '2020', '9', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.24509109');
INSERT INTO public.ecdc_import VALUES (51356, '02/08/2020', '2', '8', '2020', '6', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.10092325');
INSERT INTO public.ecdc_import VALUES (51357, '01/08/2020', '1', '8', '2020', '26', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.96593026');
INSERT INTO public.ecdc_import VALUES (51358, '31/07/2020', '31', '7', '2020', '24', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.62953864');
INSERT INTO public.ecdc_import VALUES (51359, '30/07/2020', '30', '7', '2020', '14', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.38925892');
INSERT INTO public.ecdc_import VALUES (51360, '29/07/2020', '29', '7', '2020', '14', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.62953864');
INSERT INTO public.ecdc_import VALUES (51361, '28/07/2020', '28', '7', '2020', '5', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.43731486');
INSERT INTO public.ecdc_import VALUES (51362, '27/07/2020', '27', '7', '2020', '16', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.5814827');
INSERT INTO public.ecdc_import VALUES (51363, '26/07/2020', '26', '7', '2020', '14', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.48537081');
INSERT INTO public.ecdc_import VALUES (51364, '25/07/2020', '25', '7', '2020', '19', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.44648971');
INSERT INTO public.ecdc_import VALUES (51365, '24/07/2020', '24', '7', '2020', '18', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.35037782');
INSERT INTO public.ecdc_import VALUES (51366, '23/07/2020', '23', '7', '2020', '38', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.11009809');
INSERT INTO public.ecdc_import VALUES (51367, '22/07/2020', '22', '7', '2020', '24', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.43731486');
INSERT INTO public.ecdc_import VALUES (51368, '21/07/2020', '21', '7', '2020', '7', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.38925892');
INSERT INTO public.ecdc_import VALUES (51369, '20/07/2020', '20', '7', '2020', '6', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.82176242');
INSERT INTO public.ecdc_import VALUES (51370, '19/07/2020', '19', '7', '2020', '24', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.5426016');
INSERT INTO public.ecdc_import VALUES (51371, '18/07/2020', '18', '7', '2020', '19', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.83093726');
INSERT INTO public.ecdc_import VALUES (51372, '17/07/2020', '17', '7', '2020', '19', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.68676943');
INSERT INTO public.ecdc_import VALUES (51373, '16/07/2020', '16', '7', '2020', '19', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.73482537');
INSERT INTO public.ecdc_import VALUES (51374, '15/07/2020', '15', '7', '2020', '10', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.44648971');
INSERT INTO public.ecdc_import VALUES (51375, '14/07/2020', '14', '7', '2020', '8', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.68676943');
INSERT INTO public.ecdc_import VALUES (51376, '13/07/2020', '13', '7', '2020', '14', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.49454565');
INSERT INTO public.ecdc_import VALUES (51377, '12/07/2020', '12', '7', '2020', '34', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.25426593');
INSERT INTO public.ecdc_import VALUES (51378, '11/07/2020', '11', '7', '2020', '17', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.29314703');
INSERT INTO public.ecdc_import VALUES (51379, '10/07/2020', '10', '7', '2020', '13', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.00481136');
INSERT INTO public.ecdc_import VALUES (51380, '09/07/2020', '9', '7', '2020', '24', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '10.66841975');
INSERT INTO public.ecdc_import VALUES (51381, '08/07/2020', '8', '7', '2020', '23', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.85146869');
INSERT INTO public.ecdc_import VALUES (51382, '07/07/2020', '7', '7', '2020', '16', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.37090924');
INSERT INTO public.ecdc_import VALUES (51383, '06/07/2020', '6', '7', '2020', '21', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.65007007');
INSERT INTO public.ecdc_import VALUES (51384, '05/07/2020', '5', '7', '2020', '30', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '7.68895117');
INSERT INTO public.ecdc_import VALUES (51385, '04/07/2020', '4', '7', '2020', '16', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '6.53560849');
INSERT INTO public.ecdc_import VALUES (51386, '03/07/2020', '3', '7', '2020', '20', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '5.86282527');
INSERT INTO public.ecdc_import VALUES (51387, '02/07/2020', '2', '7', '2020', '13', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '5.28615393');
INSERT INTO public.ecdc_import VALUES (51388, '01/07/2020', '1', '7', '2020', '15', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '4.85365043');
INSERT INTO public.ecdc_import VALUES (51389, '30/06/2020', '30', '6', '2020', '4', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '4.27697909');
INSERT INTO public.ecdc_import VALUES (51390, '29/06/2020', '29', '6', '2020', '9', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '4.13281125');
INSERT INTO public.ecdc_import VALUES (51391, '28/06/2020', '28', '6', '2020', '14', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '3.84447558');
INSERT INTO public.ecdc_import VALUES (51392, '27/06/2020', '27', '6', '2020', '11', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '3.26780425');
INSERT INTO public.ecdc_import VALUES (51393, '26/06/2020', '26', '6', '2020', '6', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.83530074');
INSERT INTO public.ecdc_import VALUES (51394, '25/06/2020', '25', '6', '2020', '7', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.54696507');
INSERT INTO public.ecdc_import VALUES (51395, '24/06/2020', '24', '6', '2020', '13', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.30668535');
INSERT INTO public.ecdc_import VALUES (51396, '23/06/2020', '23', '6', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.73001401');
INSERT INTO public.ecdc_import VALUES (51397, '22/06/2020', '22', '6', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.68195807');
INSERT INTO public.ecdc_import VALUES (51398, '21/06/2020', '21', '6', '2020', '6', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.63390212');
INSERT INTO public.ecdc_import VALUES (51399, '20/06/2020', '20', '6', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.3936224');
INSERT INTO public.ecdc_import VALUES (51400, '19/06/2020', '19', '6', '2020', '8', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.53779023');
INSERT INTO public.ecdc_import VALUES (51401, '18/06/2020', '18', '6', '2020', '4', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.24945457');
INSERT INTO public.ecdc_import VALUES (51402, '17/06/2020', '17', '6', '2020', '3', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.15334268');
INSERT INTO public.ecdc_import VALUES (51403, '16/06/2020', '16', '6', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.00917484');
INSERT INTO public.ecdc_import VALUES (51404, '15/06/2020', '15', '6', '2020', '3', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.05723079');
INSERT INTO public.ecdc_import VALUES (51405, '14/06/2020', '14', '6', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.91306295');
INSERT INTO public.ecdc_import VALUES (51406, '13/06/2020', '13', '6', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.81695106');
INSERT INTO public.ecdc_import VALUES (51407, '12/06/2020', '12', '6', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.72083917');
INSERT INTO public.ecdc_import VALUES (51408, '11/06/2020', '11', '6', '2020', '2', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.81695106');
INSERT INTO public.ecdc_import VALUES (51409, '10/06/2020', '10', '6', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.81695106');
INSERT INTO public.ecdc_import VALUES (51410, '09/06/2020', '9', '6', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.76889512');
INSERT INTO public.ecdc_import VALUES (51411, '08/06/2020', '8', '6', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.76889512');
INSERT INTO public.ecdc_import VALUES (51412, '07/06/2020', '7', '6', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.81695106');
INSERT INTO public.ecdc_import VALUES (51413, '06/06/2020', '6', '6', '2020', '5', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.76889512');
INSERT INTO public.ecdc_import VALUES (51414, '05/06/2020', '5', '6', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.52861539');
INSERT INTO public.ecdc_import VALUES (51415, '04/06/2020', '4', '6', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.4325035');
INSERT INTO public.ecdc_import VALUES (51416, '03/06/2020', '3', '6', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.33639161');
INSERT INTO public.ecdc_import VALUES (51417, '02/06/2020', '2', '6', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.38444756');
INSERT INTO public.ecdc_import VALUES (51418, '01/06/2020', '1', '6', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.33639161');
INSERT INTO public.ecdc_import VALUES (51419, '31/05/2020', '31', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.33639161');
INSERT INTO public.ecdc_import VALUES (51420, '30/05/2020', '30', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.38444756');
INSERT INTO public.ecdc_import VALUES (51421, '29/05/2020', '29', '5', '2020', '2', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.38444756');
INSERT INTO public.ecdc_import VALUES (51422, '28/05/2020', '28', '5', '2020', '2', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.33639161');
INSERT INTO public.ecdc_import VALUES (51423, '27/05/2020', '27', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.28833567');
INSERT INTO public.ecdc_import VALUES (51424, '26/05/2020', '26', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.38444756');
INSERT INTO public.ecdc_import VALUES (51425, '25/05/2020', '25', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.4325035');
INSERT INTO public.ecdc_import VALUES (51426, '24/05/2020', '24', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.52861539');
INSERT INTO public.ecdc_import VALUES (51427, '23/05/2020', '23', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.67278323');
INSERT INTO public.ecdc_import VALUES (51428, '22/05/2020', '22', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.86500701');
INSERT INTO public.ecdc_import VALUES (51429, '21/05/2020', '21', '5', '2020', '0', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.91306295');
INSERT INTO public.ecdc_import VALUES (51430, '20/05/2020', '20', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '0.9611189');
INSERT INTO public.ecdc_import VALUES (51431, '19/05/2020', '19', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.05723079');
INSERT INTO public.ecdc_import VALUES (51432, '18/05/2020', '18', '5', '2020', '0', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.29751051');
INSERT INTO public.ecdc_import VALUES (51433, '17/05/2020', '17', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.29751051');
INSERT INTO public.ecdc_import VALUES (51434, '16/05/2020', '16', '5', '2020', '0', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.48973429');
INSERT INTO public.ecdc_import VALUES (51435, '15/05/2020', '15', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '1.73001401');
INSERT INTO public.ecdc_import VALUES (51436, '14/05/2020', '14', '5', '2020', '1', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.21057346');
INSERT INTO public.ecdc_import VALUES (51437, '13/05/2020', '13', '5', '2020', '2', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.64307696');
INSERT INTO public.ecdc_import VALUES (51438, '12/05/2020', '12', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.59502102');
INSERT INTO public.ecdc_import VALUES (51439, '11/05/2020', '11', '5', '2020', '3', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '2.54696507');
INSERT INTO public.ecdc_import VALUES (51440, '10/05/2020', '10', '5', '2020', '3', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '3.31586019');
INSERT INTO public.ecdc_import VALUES (51441, '09/05/2020', '9', '5', '2020', '4', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '3.89253153');
INSERT INTO public.ecdc_import VALUES (51442, '08/05/2020', '8', '5', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '4.03669936');
INSERT INTO public.ecdc_import VALUES (51443, '07/05/2020', '7', '5', '2020', '1', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '4.6133707');
INSERT INTO public.ecdc_import VALUES (51444, '06/05/2020', '6', '5', '2020', '3', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '5.19004204');
INSERT INTO public.ecdc_import VALUES (51445, '05/05/2020', '5', '5', '2020', '6', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '5.28615393');
INSERT INTO public.ecdc_import VALUES (51446, '04/05/2020', '4', '5', '2020', '0', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '5.23809798');
INSERT INTO public.ecdc_import VALUES (51447, '03/05/2020', '3', '5', '2020', '5', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '5.86282527');
INSERT INTO public.ecdc_import VALUES (51448, '02/05/2020', '2', '5', '2020', '5', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '6.24727283');
INSERT INTO public.ecdc_import VALUES (51449, '01/05/2020', '1', '5', '2020', '11', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '7.73700711');
INSERT INTO public.ecdc_import VALUES (51450, '30/04/2020', '30', '4', '2020', '10', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '8.16951062');
INSERT INTO public.ecdc_import VALUES (51451, '29/04/2020', '29', '4', '2020', '1', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.03451762');
INSERT INTO public.ecdc_import VALUES (51452, '28/04/2020', '28', '4', '2020', '0', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.37090924');
INSERT INTO public.ecdc_import VALUES (51453, '27/04/2020', '27', '4', '2020', '19', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.70730085');
INSERT INTO public.ecdc_import VALUES (51454, '26/04/2020', '26', '4', '2020', '15', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '9.61118896');
INSERT INTO public.ecdc_import VALUES (51455, '25/04/2020', '25', '4', '2020', '7', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '10.23591624');
INSERT INTO public.ecdc_import VALUES (51456, '24/04/2020', '24', '4', '2020', '13', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '11.62953864');
INSERT INTO public.ecdc_import VALUES (51457, '23/04/2020', '23', '4', '2020', '13', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '12.59065754');
INSERT INTO public.ecdc_import VALUES (51458, '22/04/2020', '22', '4', '2020', '5', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '13.69594427');
INSERT INTO public.ecdc_import VALUES (51459, '21/04/2020', '21', '4', '2020', '5', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '15.08956667');
INSERT INTO public.ecdc_import VALUES (51460, '20/04/2020', '20', '4', '2020', '13', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '16.00262962');
INSERT INTO public.ecdc_import VALUES (51461, '19/04/2020', '19', '4', '2020', '13', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '16.33902123');
INSERT INTO public.ecdc_import VALUES (51462, '18/04/2020', '18', '4', '2020', '36', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '17.78069958');
INSERT INTO public.ecdc_import VALUES (51463, '17/04/2020', '17', '4', '2020', '20', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '17.82875552');
INSERT INTO public.ecdc_import VALUES (51464, '16/04/2020', '16', '4', '2020', '28', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '19.55876954');
INSERT INTO public.ecdc_import VALUES (51465, '15/04/2020', '15', '4', '2020', '8', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '19.51071359');
INSERT INTO public.ecdc_import VALUES (51466, '14/04/2020', '14', '4', '2020', '7', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '21.57711922');
INSERT INTO public.ecdc_import VALUES (51467, '13/04/2020', '13', '4', '2020', '17', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '22.82657378');
INSERT INTO public.ecdc_import VALUES (51468, '12/04/2020', '12', '4', '2020', '28', '5', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '23.88380457');
INSERT INTO public.ecdc_import VALUES (51469, '11/04/2020', '11', '4', '2020', '36', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '25.37353886');
INSERT INTO public.ecdc_import VALUES (51470, '10/04/2020', '10', '4', '2020', '33', '3', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '26.28660181');
INSERT INTO public.ecdc_import VALUES (51471, '09/04/2020', '9', '4', '2020', '36', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '27.05549693');
INSERT INTO public.ecdc_import VALUES (51472, '08/04/2020', '8', '4', '2020', '34', '6', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '27.63216827');
INSERT INTO public.ecdc_import VALUES (51473, '07/04/2020', '7', '4', '2020', '24', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '27.82439204');
INSERT INTO public.ecdc_import VALUES (51474, '06/04/2020', '6', '4', '2020', '20', '6', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '28.01661582');
INSERT INTO public.ecdc_import VALUES (51475, '05/04/2020', '5', '4', '2020', '43', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '28.54523122');
INSERT INTO public.ecdc_import VALUES (51476, '04/04/2020', '4', '4', '2020', '37', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '28.49717527');
INSERT INTO public.ecdc_import VALUES (51477, '03/04/2020', '3', '4', '2020', '56', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '27.7763361');
INSERT INTO public.ecdc_import VALUES (51478, '02/04/2020', '2', '4', '2020', '27', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '26.67104937');
INSERT INTO public.ecdc_import VALUES (51479, '01/04/2020', '1', '4', '2020', '51', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '25.90215425');
INSERT INTO public.ecdc_import VALUES (51480, '31/03/2020', '31', '3', '2020', '33', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '24.50853185');
INSERT INTO public.ecdc_import VALUES (51481, '30/03/2020', '30', '3', '2020', '39', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '24.5565878');
INSERT INTO public.ecdc_import VALUES (51482, '29/03/2020', '29', '3', '2020', '59', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '24.50853185');
INSERT INTO public.ecdc_import VALUES (51483, '28/03/2020', '28', '3', '2020', '55', '4', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '23.5954689');
INSERT INTO public.ecdc_import VALUES (51484, '27/03/2020', '27', '3', '2020', '49', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '23.11490945');
INSERT INTO public.ecdc_import VALUES (51485, '26/03/2020', '26', '3', '2020', '48', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '22.63435');
INSERT INTO public.ecdc_import VALUES (51486, '25/03/2020', '25', '3', '2020', '38', '2', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '21.57711922');
INSERT INTO public.ecdc_import VALUES (51487, '24/03/2020', '24', '3', '2020', '28', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '20.47183249');
INSERT INTO public.ecdc_import VALUES (51488, '23/03/2020', '23', '3', '2020', '31', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '19.31848981');
INSERT INTO public.ecdc_import VALUES (51489, '22/03/2020', '22', '3', '2020', '42', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '17.97292336');
INSERT INTO public.ecdc_import VALUES (51490, '21/03/2020', '21', '3', '2020', '22', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '16.09874151');
INSERT INTO public.ecdc_import VALUES (51491, '20/03/2020', '20', '3', '2020', '33', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '15.28179045');
INSERT INTO public.ecdc_import VALUES (51492, '19/03/2020', '19', '3', '2020', '11', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '13.74400022');
INSERT INTO public.ecdc_import VALUES (51493, '18/03/2020', '18', '3', '2020', '22', '1', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51494, '17/03/2020', '17', '3', '2020', '34', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51495, '16/03/2020', '16', '3', '2020', '38', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51496, '15/03/2020', '15', '3', '2020', '40', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51497, '14/03/2020', '14', '3', '2020', '45', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51498, '13/03/2020', '13', '3', '2020', '39', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51499, '12/03/2020', '12', '3', '2020', '26', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51500, '11/03/2020', '11', '3', '2020', '15', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51501, '09/03/2020', '9', '3', '2020', '4', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51502, '08/03/2020', '8', '3', '2020', '3', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51503, '07/03/2020', '7', '3', '2020', '3', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51504, '06/03/2020', '6', '3', '2020', '5', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51505, '05/03/2020', '5', '3', '2020', '1', '0', '2080908', 'Slovenia', 'SI', 'SVN', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (51506, '14/12/2020', '14', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (51507, '13/12/2020', '13', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (51508, '12/12/2020', '12', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (51509, '11/12/2020', '11', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (51510, '10/12/2020', '10', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (51511, '09/12/2020', '9', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (51590, '20/11/2020', '20', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.99074617');
INSERT INTO public.ecdc_import VALUES (51512, '08/12/2020', '8', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51513, '07/12/2020', '7', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51514, '06/12/2020', '6', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51515, '05/12/2020', '5', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51516, '04/12/2020', '4', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51517, '03/12/2020', '3', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51518, '02/12/2020', '2', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51519, '01/12/2020', '1', '12', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51520, '30/11/2020', '30', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51521, '29/11/2020', '29', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51522, '28/11/2020', '28', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51523, '27/11/2020', '27', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51524, '26/11/2020', '26', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51525, '25/11/2020', '25', '11', '2020', '1', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.14929362');
INSERT INTO public.ecdc_import VALUES (51526, '24/11/2020', '24', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51527, '23/11/2020', '23', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51528, '22/11/2020', '22', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51529, '21/11/2020', '21', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51530, '20/11/2020', '20', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51531, '19/11/2020', '19', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51532, '18/11/2020', '18', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.44788085');
INSERT INTO public.ecdc_import VALUES (51533, '17/11/2020', '17', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51534, '16/11/2020', '16', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51535, '15/11/2020', '15', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51536, '14/11/2020', '14', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51537, '13/11/2020', '13', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51538, '12/11/2020', '12', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51539, '11/11/2020', '11', '11', '2020', '3', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51540, '10/11/2020', '10', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.34364256');
INSERT INTO public.ecdc_import VALUES (51541, '09/11/2020', '9', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.34364256');
INSERT INTO public.ecdc_import VALUES (51542, '08/11/2020', '8', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.34364256');
INSERT INTO public.ecdc_import VALUES (51543, '07/11/2020', '7', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.49293617');
INSERT INTO public.ecdc_import VALUES (51544, '06/11/2020', '6', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.49293617');
INSERT INTO public.ecdc_import VALUES (51545, '05/11/2020', '5', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.49293617');
INSERT INTO public.ecdc_import VALUES (51546, '04/11/2020', '4', '11', '2020', '5', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.49293617');
INSERT INTO public.ecdc_import VALUES (51547, '03/11/2020', '3', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.74646809');
INSERT INTO public.ecdc_import VALUES (51548, '02/11/2020', '2', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.74646809');
INSERT INTO public.ecdc_import VALUES (51549, '01/11/2020', '1', '11', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.74646809');
INSERT INTO public.ecdc_import VALUES (51550, '31/10/2020', '31', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.74646809');
INSERT INTO public.ecdc_import VALUES (51551, '30/10/2020', '30', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '0.8957617');
INSERT INTO public.ecdc_import VALUES (51552, '29/10/2020', '29', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '1.19434894');
INSERT INTO public.ecdc_import VALUES (51553, '28/10/2020', '28', '10', '2020', '4', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51554, '27/10/2020', '27', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51555, '26/10/2020', '26', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51556, '25/10/2020', '25', '10', '2020', '1', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51557, '24/10/2020', '24', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51558, '23/10/2020', '23', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51559, '22/10/2020', '22', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51560, '21/10/2020', '21', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51561, '20/10/2020', '20', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51562, '19/10/2020', '19', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51563, '18/10/2020', '18', '10', '2020', '0', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51564, '17/10/2020', '17', '10', '2020', '1', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51565, '16/10/2020', '16', '10', '2020', '2', '0', '669821', 'Solomon_Islands', 'SB', 'SLB', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (51566, '14/12/2020', '14', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51567, '13/12/2020', '13', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51568, '12/12/2020', '12', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51569, '11/12/2020', '11', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51570, '10/12/2020', '10', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51571, '09/12/2020', '9', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51572, '08/12/2020', '8', '12', '2020', '54', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86771233');
INSERT INTO public.ecdc_import VALUES (51573, '07/12/2020', '7', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51803721');
INSERT INTO public.ecdc_import VALUES (51574, '06/12/2020', '6', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.92599152');
INSERT INTO public.ecdc_import VALUES (51575, '05/12/2020', '5', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.92599152');
INSERT INTO public.ecdc_import VALUES (51576, '04/12/2020', '4', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.92599152');
INSERT INTO public.ecdc_import VALUES (51577, '03/12/2020', '3', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.92599152');
INSERT INTO public.ecdc_import VALUES (51578, '02/12/2020', '2', '12', '2020', '80', '8', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.92599152');
INSERT INTO public.ecdc_import VALUES (51579, '01/12/2020', '1', '12', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.40795431');
INSERT INTO public.ecdc_import VALUES (51580, '30/11/2020', '30', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51581, '29/11/2020', '29', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51582, '28/11/2020', '28', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51583, '27/11/2020', '27', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51584, '26/11/2020', '26', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51585, '25/11/2020', '25', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51586, '24/11/2020', '24', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93246699');
INSERT INTO public.ecdc_import VALUES (51587, '23/11/2020', '23', '11', '2020', '63', '5', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.39870048');
INSERT INTO public.ecdc_import VALUES (51588, '22/11/2020', '22', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.99074617');
INSERT INTO public.ecdc_import VALUES (51589, '21/11/2020', '21', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.99074617');
INSERT INTO public.ecdc_import VALUES (51591, '19/11/2020', '19', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.99074617');
INSERT INTO public.ecdc_import VALUES (51592, '18/11/2020', '18', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.99074617');
INSERT INTO public.ecdc_import VALUES (51593, '17/11/2020', '17', '11', '2020', '81', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.85568014');
INSERT INTO public.ecdc_import VALUES (51594, '16/11/2020', '16', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51595, '15/11/2020', '15', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51596, '14/11/2020', '14', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51597, '13/11/2020', '13', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51598, '12/11/2020', '12', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51599, '11/11/2020', '11', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51600, '10/11/2020', '10', '11', '2020', '72', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.33116746');
INSERT INTO public.ecdc_import VALUES (51601, '09/11/2020', '9', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.86493397');
INSERT INTO public.ecdc_import VALUES (51602, '08/11/2020', '8', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.14985444');
INSERT INTO public.ecdc_import VALUES (51603, '07/11/2020', '7', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.14985444');
INSERT INTO public.ecdc_import VALUES (51604, '06/11/2020', '6', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.14985444');
INSERT INTO public.ecdc_import VALUES (51605, '05/11/2020', '5', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.19518269');
INSERT INTO public.ecdc_import VALUES (51606, '04/11/2020', '4', '11', '2020', '288', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.19518269');
INSERT INTO public.ecdc_import VALUES (51607, '03/11/2020', '3', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.33024872');
INSERT INTO public.ecdc_import VALUES (51608, '02/11/2020', '2', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51609, '01/11/2020', '1', '11', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51610, '31/10/2020', '31', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51611, '30/10/2020', '30', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51612, '29/10/2020', '29', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51613, '28/10/2020', '28', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51614, '27/10/2020', '27', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51615, '26/10/2020', '26', '10', '2020', '44', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.49861082');
INSERT INTO public.ecdc_import VALUES (51616, '25/10/2020', '25', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.32377326');
INSERT INTO public.ecdc_import VALUES (51617, '24/10/2020', '24', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.32377326');
INSERT INTO public.ecdc_import VALUES (51618, '23/10/2020', '23', '10', '2020', '7', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.98427071');
INSERT INTO public.ecdc_import VALUES (51619, '22/10/2020', '22', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93894245');
INSERT INTO public.ecdc_import VALUES (51620, '21/10/2020', '21', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93894245');
INSERT INTO public.ecdc_import VALUES (51621, '20/10/2020', '20', '10', '2020', '26', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.93894245');
INSERT INTO public.ecdc_import VALUES (51622, '19/10/2020', '19', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.77058036');
INSERT INTO public.ecdc_import VALUES (51623, '18/10/2020', '18', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.77058036');
INSERT INTO public.ecdc_import VALUES (51624, '17/10/2020', '17', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.75485106');
INSERT INTO public.ecdc_import VALUES (51625, '16/10/2020', '16', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.75485106');
INSERT INTO public.ecdc_import VALUES (51626, '15/10/2020', '15', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.78722839');
INSERT INTO public.ecdc_import VALUES (51627, '14/10/2020', '14', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.78722839');
INSERT INTO public.ecdc_import VALUES (51628, '13/10/2020', '13', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.78722839');
INSERT INTO public.ecdc_import VALUES (51629, '12/10/2020', '12', '10', '2020', '17', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.78722839');
INSERT INTO public.ecdc_import VALUES (51630, '11/10/2020', '11', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.67714548');
INSERT INTO public.ecdc_import VALUES (51631, '10/10/2020', '10', '10', '2020', '102', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.4736277');
INSERT INTO public.ecdc_import VALUES (51632, '09/10/2020', '9', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.81313025');
INSERT INTO public.ecdc_import VALUES (51633, '08/10/2020', '8', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.81313025');
INSERT INTO public.ecdc_import VALUES (51634, '07/10/2020', '7', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.81313025');
INSERT INTO public.ecdc_import VALUES (51635, '06/10/2020', '6', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.81313025');
INSERT INTO public.ecdc_import VALUES (51636, '05/10/2020', '5', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.96206595');
INSERT INTO public.ecdc_import VALUES (51637, '04/10/2020', '4', '10', '2020', '152', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.96206595');
INSERT INTO public.ecdc_import VALUES (51638, '03/10/2020', '3', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.31451943');
INSERT INTO public.ecdc_import VALUES (51639, '02/10/2020', '2', '10', '2020', '5', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.31451943');
INSERT INTO public.ecdc_import VALUES (51640, '01/10/2020', '1', '10', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.2821421');
INSERT INTO public.ecdc_import VALUES (51641, '30/09/2020', '30', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.28861757');
INSERT INTO public.ecdc_import VALUES (51642, '29/09/2020', '29', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.28861757');
INSERT INTO public.ecdc_import VALUES (51643, '28/09/2020', '28', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.28861757');
INSERT INTO public.ecdc_import VALUES (51644, '27/09/2020', '27', '9', '2020', '123', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.37279862');
INSERT INTO public.ecdc_import VALUES (51645, '26/09/2020', '26', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.5763164');
INSERT INTO public.ecdc_import VALUES (51646, '25/09/2020', '25', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.60869373');
INSERT INTO public.ecdc_import VALUES (51647, '24/09/2020', '24', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.60869373');
INSERT INTO public.ecdc_import VALUES (51648, '23/09/2020', '23', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.66697291');
INSERT INTO public.ecdc_import VALUES (51649, '22/09/2020', '22', '9', '2020', '23', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.66697291');
INSERT INTO public.ecdc_import VALUES (51650, '21/09/2020', '21', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51803721');
INSERT INTO public.ecdc_import VALUES (51651, '20/09/2020', '20', '9', '2020', '52', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.71230117');
INSERT INTO public.ecdc_import VALUES (51652, '19/09/2020', '19', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.37557698');
INSERT INTO public.ecdc_import VALUES (51653, '18/09/2020', '18', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51803721');
INSERT INTO public.ecdc_import VALUES (51654, '17/09/2020', '17', '9', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51803721');
INSERT INTO public.ecdc_import VALUES (51655, '16/09/2020', '16', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51156175');
INSERT INTO public.ecdc_import VALUES (51656, '15/09/2020', '15', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51156175');
INSERT INTO public.ecdc_import VALUES (51657, '14/09/2020', '14', '9', '2020', '13', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.51156175');
INSERT INTO public.ecdc_import VALUES (51658, '13/09/2020', '13', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.4273807');
INSERT INTO public.ecdc_import VALUES (51659, '12/09/2020', '12', '9', '2020', '5', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.65402198');
INSERT INTO public.ecdc_import VALUES (51660, '11/09/2020', '11', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.62164466');
INSERT INTO public.ecdc_import VALUES (51661, '10/09/2020', '10', '9', '2020', '9', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.62164466');
INSERT INTO public.ecdc_import VALUES (51662, '09/09/2020', '9', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.56336547');
INSERT INTO public.ecdc_import VALUES (51663, '08/09/2020', '8', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.60221826');
INSERT INTO public.ecdc_import VALUES (51664, '07/09/2020', '7', '9', '2020', '30', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.60221826');
INSERT INTO public.ecdc_import VALUES (51665, '06/09/2020', '6', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.40795431');
INSERT INTO public.ecdc_import VALUES (51666, '05/09/2020', '5', '9', '2020', '22', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.43385617');
INSERT INTO public.ecdc_import VALUES (51667, '04/09/2020', '4', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.29139593');
INSERT INTO public.ecdc_import VALUES (51668, '03/09/2020', '3', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.29139593');
INSERT INTO public.ecdc_import VALUES (51669, '02/09/2020', '2', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.34319965');
INSERT INTO public.ecdc_import VALUES (51670, '01/09/2020', '1', '9', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.34319965');
INSERT INTO public.ecdc_import VALUES (51671, '31/08/2020', '31', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.34967512');
INSERT INTO public.ecdc_import VALUES (51672, '30/08/2020', '30', '8', '2020', '35', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.34967512');
INSERT INTO public.ecdc_import VALUES (51673, '29/08/2020', '29', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.16188663');
INSERT INTO public.ecdc_import VALUES (51674, '28/08/2020', '28', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.31082233');
INSERT INTO public.ecdc_import VALUES (51675, '27/08/2020', '27', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.31082233');
INSERT INTO public.ecdc_import VALUES (51676, '26/08/2020', '26', '8', '2020', '6', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.31082233');
INSERT INTO public.ecdc_import VALUES (51677, '25/08/2020', '25', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.27196954');
INSERT INTO public.ecdc_import VALUES (51678, '24/08/2020', '24', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.27196954');
INSERT INTO public.ecdc_import VALUES (51679, '23/08/2020', '23', '8', '2020', '4', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.27196954');
INSERT INTO public.ecdc_import VALUES (51680, '22/08/2020', '22', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.24606768');
INSERT INTO public.ecdc_import VALUES (51681, '21/08/2020', '21', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.24606768');
INSERT INTO public.ecdc_import VALUES (51682, '20/08/2020', '20', '8', '2020', '8', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.28492047');
INSERT INTO public.ecdc_import VALUES (51683, '19/08/2020', '19', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.23959221');
INSERT INTO public.ecdc_import VALUES (51684, '18/08/2020', '18', '8', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.23959221');
INSERT INTO public.ecdc_import VALUES (51685, '17/08/2020', '17', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.28492047');
INSERT INTO public.ecdc_import VALUES (51686, '16/08/2020', '16', '8', '2020', '6', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.28492047');
INSERT INTO public.ecdc_import VALUES (51687, '15/08/2020', '15', '8', '2020', '23', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.24606768');
INSERT INTO public.ecdc_import VALUES (51688, '14/08/2020', '14', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.09713198');
INSERT INTO public.ecdc_import VALUES (51689, '13/08/2020', '13', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.09713198');
INSERT INTO public.ecdc_import VALUES (51690, '12/08/2020', '12', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.20073942');
INSERT INTO public.ecdc_import VALUES (51691, '11/08/2020', '11', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.31729779');
INSERT INTO public.ecdc_import VALUES (51692, '10/08/2020', '10', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.31729779');
INSERT INTO public.ecdc_import VALUES (51693, '09/08/2020', '9', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.31729779');
INSERT INTO public.ecdc_import VALUES (51694, '08/08/2020', '8', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.36262605');
INSERT INTO public.ecdc_import VALUES (51695, '07/08/2020', '7', '8', '2020', '6', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.36262605');
INSERT INTO public.ecdc_import VALUES (51696, '06/08/2020', '6', '8', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.38852791');
INSERT INTO public.ecdc_import VALUES (51697, '05/08/2020', '5', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.55041454');
INSERT INTO public.ecdc_import VALUES (51698, '04/08/2020', '4', '8', '2020', '8', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.58279187');
INSERT INTO public.ecdc_import VALUES (51699, '03/08/2020', '3', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.60221826');
INSERT INTO public.ecdc_import VALUES (51700, '02/08/2020', '2', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.65402198');
INSERT INTO public.ecdc_import VALUES (51701, '01/08/2020', '1', '8', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.68639931');
INSERT INTO public.ecdc_import VALUES (51702, '31/07/2020', '31', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.83533501');
INSERT INTO public.ecdc_import VALUES (51703, '30/07/2020', '30', '7', '2020', '16', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.83533501');
INSERT INTO public.ecdc_import VALUES (51704, '29/07/2020', '29', '7', '2020', '18', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.77705582');
INSERT INTO public.ecdc_import VALUES (51705, '28/07/2020', '28', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.77058036');
INSERT INTO public.ecdc_import VALUES (51706, '27/07/2020', '27', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.77058036');
INSERT INTO public.ecdc_import VALUES (51707, '26/07/2020', '26', '7', '2020', '7', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.82238408');
INSERT INTO public.ecdc_import VALUES (51708, '25/07/2020', '25', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86123687');
INSERT INTO public.ecdc_import VALUES (51709, '24/07/2020', '24', '7', '2020', '10', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86123687');
INSERT INTO public.ecdc_import VALUES (51710, '23/07/2020', '23', '7', '2020', '26', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.86123687');
INSERT INTO public.ecdc_import VALUES (51711, '22/07/2020', '22', '7', '2020', '5', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.77705582');
INSERT INTO public.ecdc_import VALUES (51712, '21/07/2020', '21', '7', '2020', '11', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.80295768');
INSERT INTO public.ecdc_import VALUES (51713, '20/07/2020', '20', '7', '2020', '8', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.79000675');
INSERT INTO public.ecdc_import VALUES (51714, '19/07/2020', '19', '7', '2020', '5', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.97131978');
INSERT INTO public.ecdc_import VALUES (51715, '18/07/2020', '18', '7', '2020', '23', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.04902536');
INSERT INTO public.ecdc_import VALUES (51716, '17/07/2020', '17', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.90008966');
INSERT INTO public.ecdc_import VALUES (51717, '16/07/2020', '16', '7', '2020', '7', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.02959896');
INSERT INTO public.ecdc_import VALUES (51718, '15/07/2020', '15', '7', '2020', '17', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.98427071');
INSERT INTO public.ecdc_import VALUES (51719, '14/07/2020', '14', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.0036971');
INSERT INTO public.ecdc_import VALUES (51720, '13/07/2020', '13', '7', '2020', '8', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.06845175');
INSERT INTO public.ecdc_import VALUES (51721, '12/07/2020', '12', '7', '2020', '13', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.12025548');
INSERT INTO public.ecdc_import VALUES (51722, '11/07/2020', '11', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.03607443');
INSERT INTO public.ecdc_import VALUES (51723, '10/07/2020', '10', '7', '2020', '10', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.03607443');
INSERT INTO public.ecdc_import VALUES (51724, '09/07/2020', '9', '7', '2020', '13', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.08787815');
INSERT INTO public.ecdc_import VALUES (51725, '08/07/2020', '8', '7', '2020', '9', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.16558373');
INSERT INTO public.ecdc_import VALUES (51726, '07/07/2020', '7', '7', '2020', '9', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.25624024');
INSERT INTO public.ecdc_import VALUES (51727, '06/07/2020', '6', '7', '2020', '36', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.41165141');
INSERT INTO public.ecdc_import VALUES (51728, '05/07/2020', '5', '7', '2020', '17', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.33394583');
INSERT INTO public.ecdc_import VALUES (51729, '04/07/2020', '4', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.45697966');
INSERT INTO public.ecdc_import VALUES (51730, '03/07/2020', '3', '7', '2020', '20', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.45697966');
INSERT INTO public.ecdc_import VALUES (51731, '02/07/2020', '2', '7', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.47640606');
INSERT INTO public.ecdc_import VALUES (51732, '01/07/2020', '1', '7', '2020', '20', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.72247374');
INSERT INTO public.ecdc_import VALUES (51733, '30/06/2020', '30', '6', '2020', '10', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.69657188');
INSERT INTO public.ecdc_import VALUES (51734, '29/06/2020', '29', '6', '2020', '16', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.88436037');
INSERT INTO public.ecdc_import VALUES (51735, '28/06/2020', '28', '6', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.93616409');
INSERT INTO public.ecdc_import VALUES (51736, '27/06/2020', '27', '6', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.36354479');
INSERT INTO public.ecdc_import VALUES (51737, '26/06/2020', '26', '6', '2020', '18', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.36354479');
INSERT INTO public.ecdc_import VALUES (51738, '25/06/2020', '25', '6', '2020', '25', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.64198979');
INSERT INTO public.ecdc_import VALUES (51739, '24/06/2020', '24', '6', '2020', '23', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.71321991');
INSERT INTO public.ecdc_import VALUES (51740, '23/06/2020', '23', '6', '2020', '33', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.87510654');
INSERT INTO public.ecdc_import VALUES (51741, '22/06/2020', '22', '6', '2020', '24', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.881582');
INSERT INTO public.ecdc_import VALUES (51742, '21/06/2020', '21', '6', '2020', '36', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.01756677');
INSERT INTO public.ecdc_import VALUES (51743, '20/06/2020', '20', '6', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.33486456');
INSERT INTO public.ecdc_import VALUES (51744, '19/06/2020', '19', '6', '2020', '23', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.33486456');
INSERT INTO public.ecdc_import VALUES (51745, '18/06/2020', '18', '6', '2020', '38', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.56150585');
INSERT INTO public.ecdc_import VALUES (51746, '17/06/2020', '17', '6', '2020', '16', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.68453968');
INSERT INTO public.ecdc_import VALUES (51747, '16/06/2020', '16', '6', '2020', '39', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.00831294');
INSERT INTO public.ecdc_import VALUES (51748, '15/06/2020', '15', '6', '2020', '24', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.06011666');
INSERT INTO public.ecdc_import VALUES (51749, '14/06/2020', '14', '6', '2020', '66', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.29323341');
INSERT INTO public.ecdc_import VALUES (51750, '13/06/2020', '13', '6', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.43569364');
INSERT INTO public.ecdc_import VALUES (51751, '12/06/2020', '12', '6', '2020', '61', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.43569364');
INSERT INTO public.ecdc_import VALUES (51752, '11/06/2020', '11', '6', '2020', '36', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.66881039');
INSERT INTO public.ecdc_import VALUES (51753, '10/06/2020', '10', '6', '2020', '48', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.56520295');
INSERT INTO public.ecdc_import VALUES (51754, '09/06/2020', '9', '6', '2020', '34', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.39684085');
INSERT INTO public.ecdc_import VALUES (51755, '08/06/2020', '8', '6', '2020', '45', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.79184423');
INSERT INTO public.ecdc_import VALUES (51756, '07/06/2020', '7', '6', '2020', '85', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.5004483');
INSERT INTO public.ecdc_import VALUES (51757, '06/06/2020', '6', '6', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.95003376');
INSERT INTO public.ecdc_import VALUES (51758, '05/06/2020', '5', '6', '2020', '58', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.95003376');
INSERT INTO public.ecdc_import VALUES (51759, '04/06/2020', '4', '6', '2020', '57', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.71044155');
INSERT INTO public.ecdc_import VALUES (51760, '03/06/2020', '3', '6', '2020', '66', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.80109806');
INSERT INTO public.ecdc_import VALUES (51761, '02/06/2020', '2', '6', '2020', '47', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.67806422');
INSERT INTO public.ecdc_import VALUES (51762, '01/06/2020', '1', '6', '2020', '60', '5', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.59388317');
INSERT INTO public.ecdc_import VALUES (51763, '31/05/2020', '31', '5', '2020', '88', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.61978503');
INSERT INTO public.ecdc_import VALUES (51764, '30/05/2020', '30', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.52265306');
INSERT INTO public.ecdc_import VALUES (51765, '29/05/2020', '29', '5', '2020', '97', '5', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.52265306');
INSERT INTO public.ecdc_import VALUES (51766, '28/05/2020', '28', '5', '2020', '20', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.31543817');
INSERT INTO public.ecdc_import VALUES (51767, '27/05/2020', '27', '5', '2020', '22', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.50322666');
INSERT INTO public.ecdc_import VALUES (51768, '26/05/2020', '26', '5', '2020', '95', '5', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.8852791');
INSERT INTO public.ecdc_import VALUES (51769, '25/05/2020', '25', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.49675119');
INSERT INTO public.ecdc_import VALUES (51770, '24/05/2020', '24', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.86585271');
INSERT INTO public.ecdc_import VALUES (51771, '23/05/2020', '23', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.31265981');
INSERT INTO public.ecdc_import VALUES (51772, '22/05/2020', '22', '5', '2020', '21', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.31265981');
INSERT INTO public.ecdc_import VALUES (51773, '21/05/2020', '21', '5', '2020', '71', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.53282562');
INSERT INTO public.ecdc_import VALUES (51774, '20/05/2020', '20', '5', '2020', '47', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.31913527');
INSERT INTO public.ecdc_import VALUES (51775, '19/05/2020', '19', '5', '2020', '34', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.52635016');
INSERT INTO public.ecdc_import VALUES (51776, '18/05/2020', '18', '5', '2020', '64', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.52635016');
INSERT INTO public.ecdc_import VALUES (51777, '17/05/2020', '17', '5', '2020', '73', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.44216911');
INSERT INTO public.ecdc_import VALUES (51778, '16/05/2020', '16', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.42274271');
INSERT INTO public.ecdc_import VALUES (51779, '15/05/2020', '15', '5', '2020', '65', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.42274271');
INSERT INTO public.ecdc_import VALUES (51780, '14/05/2020', '14', '5', '2020', '49', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.12487132');
INSERT INTO public.ecdc_import VALUES (51781, '13/05/2020', '13', '5', '2020', '81', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.15724864');
INSERT INTO public.ecdc_import VALUES (51782, '12/05/2020', '12', '5', '2020', '35', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.94355829');
INSERT INTO public.ecdc_import VALUES (51783, '11/05/2020', '11', '5', '2020', '57', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '4.00183748');
INSERT INTO public.ecdc_import VALUES (51784, '10/05/2020', '10', '5', '2020', '69', '4', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.93060736');
INSERT INTO public.ecdc_import VALUES (51785, '09/05/2020', '9', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.8852791');
INSERT INTO public.ecdc_import VALUES (51786, '08/05/2020', '8', '5', '2020', '55', '5', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.8852791');
INSERT INTO public.ecdc_import VALUES (51787, '07/05/2020', '7', '5', '2020', '38', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.80109806');
INSERT INTO public.ecdc_import VALUES (51788, '06/05/2020', '6', '5', '2020', '79', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.55503038');
INSERT INTO public.ecdc_import VALUES (51789, '05/05/2020', '5', '5', '2020', '34', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.36076643');
INSERT INTO public.ecdc_import VALUES (51790, '04/05/2020', '4', '5', '2020', '51', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.61330957');
INSERT INTO public.ecdc_import VALUES (51791, '03/05/2020', '3', '5', '2020', '70', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.47084933');
INSERT INTO public.ecdc_import VALUES (51792, '02/05/2020', '2', '5', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.14060061');
INSERT INTO public.ecdc_import VALUES (51793, '01/05/2020', '1', '5', '2020', '19', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.37371736');
INSERT INTO public.ecdc_import VALUES (51794, '30/04/2020', '30', '4', '2020', '54', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.25068352');
INSERT INTO public.ecdc_import VALUES (51795, '29/04/2020', '29', '4', '2020', '48', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '3.0305177');
INSERT INTO public.ecdc_import VALUES (51796, '28/04/2020', '28', '4', '2020', '44', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.94633665');
INSERT INTO public.ecdc_import VALUES (51797, '27/04/2020', '27', '4', '2020', '46', '5', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.66141619');
INSERT INTO public.ecdc_import VALUES (51798, '26/04/2020', '26', '4', '2020', '62', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.38944665');
INSERT INTO public.ecdc_import VALUES (51799, '25/04/2020', '25', '4', '2020', '0', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.98796781');
INSERT INTO public.ecdc_import VALUES (51800, '24/04/2020', '24', '4', '2020', '42', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '2.046247');
INSERT INTO public.ecdc_import VALUES (51801, '23/04/2020', '23', '4', '2020', '0', '6', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.80017932');
INSERT INTO public.ecdc_import VALUES (51802, '22/04/2020', '22', '4', '2020', '49', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.80017932');
INSERT INTO public.ecdc_import VALUES (51803, '21/04/2020', '21', '4', '2020', '73', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.48935699');
INSERT INTO public.ecdc_import VALUES (51804, '20/04/2020', '20', '4', '2020', '29', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '1.01664803');
INSERT INTO public.ecdc_import VALUES (51805, '19/04/2020', '19', '4', '2020', '19', '2', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.82885954');
INSERT INTO public.ecdc_import VALUES (51806, '18/04/2020', '18', '4', '2020', '36', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.71877663');
INSERT INTO public.ecdc_import VALUES (51807, '17/04/2020', '17', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.48565989');
INSERT INTO public.ecdc_import VALUES (51808, '16/04/2020', '16', '4', '2020', '20', '3', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.48565989');
INSERT INTO public.ecdc_import VALUES (51809, '15/04/2020', '15', '4', '2020', '35', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.36910151');
INSERT INTO public.ecdc_import VALUES (51810, '14/04/2020', '14', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.14246023');
INSERT INTO public.ecdc_import VALUES (51811, '13/04/2020', '13', '4', '2020', '4', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.14246023');
INSERT INTO public.ecdc_import VALUES (51812, '12/04/2020', '12', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.11655837');
INSERT INTO public.ecdc_import VALUES (51813, '11/04/2020', '11', '4', '2020', '9', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.11655837');
INSERT INTO public.ecdc_import VALUES (51814, '10/04/2020', '10', '4', '2020', '4', '1', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.06475465');
INSERT INTO public.ecdc_import VALUES (51815, '09/04/2020', '9', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.04532826');
INSERT INTO public.ecdc_import VALUES (51816, '08/04/2020', '8', '4', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.04532826');
INSERT INTO public.ecdc_import VALUES (51817, '07/04/2020', '7', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.03885279');
INSERT INTO public.ecdc_import VALUES (51818, '06/04/2020', '6', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.03885279');
INSERT INTO public.ecdc_import VALUES (51819, '05/04/2020', '5', '4', '2020', '2', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.03885279');
INSERT INTO public.ecdc_import VALUES (51820, '04/04/2020', '4', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.02590186');
INSERT INTO public.ecdc_import VALUES (51821, '03/04/2020', '3', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.02590186');
INSERT INTO public.ecdc_import VALUES (51822, '02/04/2020', '2', '4', '2020', '2', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.02590186');
INSERT INTO public.ecdc_import VALUES (51823, '01/04/2020', '1', '4', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.01295093');
INSERT INTO public.ecdc_import VALUES (51824, '31/03/2020', '31', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.01295093');
INSERT INTO public.ecdc_import VALUES (51825, '30/03/2020', '30', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '0.0194264');
INSERT INTO public.ecdc_import VALUES (51826, '29/03/2020', '29', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51827, '28/03/2020', '28', '3', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51828, '27/03/2020', '27', '3', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51829, '26/03/2020', '26', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51830, '25/03/2020', '25', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51831, '24/03/2020', '24', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51832, '23/03/2020', '23', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51833, '22/03/2020', '22', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51834, '21/03/2020', '21', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51835, '20/03/2020', '20', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51836, '19/03/2020', '19', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51837, '18/03/2020', '18', '3', '2020', '0', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51838, '17/03/2020', '17', '3', '2020', '1', '0', '15442906', 'Somalia', 'SO', 'SOM', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (51839, '14/12/2020', '14', '12', '2020', '7999', '170', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '125.10957676');
INSERT INTO public.ecdc_import VALUES (51840, '13/12/2020', '13', '12', '2020', '7882', '154', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '115.82651515');
INSERT INTO public.ecdc_import VALUES (51841, '12/12/2020', '12', '12', '2020', '8319', '205', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '107.82764456');
INSERT INTO public.ecdc_import VALUES (51842, '11/12/2020', '11', '12', '2020', '8166', '173', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '99.37623325');
INSERT INTO public.ecdc_import VALUES (51843, '10/12/2020', '10', '12', '2020', '6709', '142', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '90.67208222');
INSERT INTO public.ecdc_import VALUES (51844, '09/12/2020', '9', '12', '2020', '4011', '183', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '84.76514512');
INSERT INTO public.ecdc_import VALUES (51845, '08/12/2020', '8', '12', '2020', '3313', '43', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '82.17285529');
INSERT INTO public.ecdc_import VALUES (51846, '07/12/2020', '7', '12', '2020', '4116', '139', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '80.06726019');
INSERT INTO public.ecdc_import VALUES (51847, '06/12/2020', '6', '12', '2020', '4645', '104', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '76.91484449');
INSERT INTO public.ecdc_import VALUES (51848, '05/12/2020', '5', '12', '2020', '4932', '160', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '73.50115057');
INSERT INTO public.ecdc_import VALUES (51849, '04/12/2020', '4', '12', '2020', '4400', '94', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '70.38118119');
INSERT INTO public.ecdc_import VALUES (51850, '03/12/2020', '3', '12', '2020', '4173', '65', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '67.16045746');
INSERT INTO public.ecdc_import VALUES (51851, '02/12/2020', '2', '12', '2020', '2295', '109', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '64.96606192');
INSERT INTO public.ecdc_import VALUES (51852, '01/12/2020', '1', '12', '2020', '2302', '58', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '64.44009007');
INSERT INTO public.ecdc_import VALUES (51853, '30/11/2020', '30', '11', '2020', '2563', '38', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '62.63505032');
INSERT INTO public.ecdc_import VALUES (51854, '29/11/2020', '29', '11', '2020', '3198', '61', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '61.40379803');
INSERT INTO public.ecdc_import VALUES (51855, '28/11/2020', '28', '11', '2020', '3370', '89', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '59.76269755');
INSERT INTO public.ecdc_import VALUES (51856, '27/11/2020', '27', '11', '2020', '3069', '88', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '57.78688772');
INSERT INTO public.ecdc_import VALUES (51857, '26/11/2020', '26', '11', '2020', '3250', '118', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '56.53855842');
INSERT INTO public.ecdc_import VALUES (51858, '25/11/2020', '25', '11', '2020', '2493', '115', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '54.64301052');
INSERT INTO public.ecdc_import VALUES (51859, '24/11/2020', '24', '11', '2020', '2080', '65', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '53.33832711');
INSERT INTO public.ecdc_import VALUES (51860, '23/11/2020', '23', '11', '2020', '2270', '58', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '51.91581233');
INSERT INTO public.ecdc_import VALUES (51861, '22/11/2020', '22', '11', '2020', '2646', '86', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '50.382297');
INSERT INTO public.ecdc_import VALUES (51862, '21/11/2020', '21', '11', '2020', '3105', '88', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '48.81975076');
INSERT INTO public.ecdc_import VALUES (51863, '20/11/2020', '20', '11', '2020', '2514', '115', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '46.52460087');
INSERT INTO public.ecdc_import VALUES (51864, '19/11/2020', '19', '11', '2020', '2888', '123', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '45.41801075');
INSERT INTO public.ecdc_import VALUES (51865, '18/11/2020', '18', '11', '2020', '1987', '119', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '43.4097546');
INSERT INTO public.ecdc_import VALUES (51866, '17/11/2020', '17', '11', '2020', '1245', '73', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '42.13580979');
INSERT INTO public.ecdc_import VALUES (51867, '16/11/2020', '16', '11', '2020', '1842', '35', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '41.32806731');
INSERT INTO public.ecdc_import VALUES (51868, '15/11/2020', '15', '11', '2020', '2237', '53', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '40.52374023');
INSERT INTO public.ecdc_import VALUES (51869, '14/11/2020', '14', '11', '2020', '2213', '77', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.72624395');
INSERT INTO public.ecdc_import VALUES (51870, '13/11/2020', '13', '11', '2020', '2338', '65', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.212226');
INSERT INTO public.ecdc_import VALUES (51871, '12/11/2020', '12', '11', '2020', '2140', '60', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.73065438');
INSERT INTO public.ecdc_import VALUES (51872, '11/11/2020', '11', '11', '2020', '1729', '106', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.25762125');
INSERT INTO public.ecdc_import VALUES (51873, '10/11/2020', '10', '11', '2020', '1247', '36', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.16981583');
INSERT INTO public.ecdc_import VALUES (51874, '09/11/2020', '9', '11', '2020', '1372', '20', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '36.56187435');
INSERT INTO public.ecdc_import VALUES (51875, '08/11/2020', '8', '11', '2020', '1731', '40', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '36.98879955');
INSERT INTO public.ecdc_import VALUES (51876, '07/11/2020', '7', '11', '2020', '1761', '72', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.16469273');
INSERT INTO public.ecdc_import VALUES (51877, '06/11/2020', '6', '11', '2020', '1866', '92', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.39694004');
INSERT INTO public.ecdc_import VALUES (51878, '05/11/2020', '5', '11', '2020', '1712', '46', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.89217328');
INSERT INTO public.ecdc_import VALUES (51879, '04/11/2020', '4', '11', '2020', '1241', '74', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.47791466');
INSERT INTO public.ecdc_import VALUES (51880, '03/11/2020', '3', '11', '2020', '772', '54', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.1517438');
INSERT INTO public.ecdc_import VALUES (51881, '02/11/2020', '2', '11', '2020', '1371', '135', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.32834966');
INSERT INTO public.ecdc_import VALUES (51882, '01/11/2020', '1', '11', '2020', '1770', '46', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.82529059');
INSERT INTO public.ecdc_import VALUES (51883, '31/10/2020', '31', '10', '2020', '1912', '66', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '40.09510732');
INSERT INTO public.ecdc_import VALUES (51884, '30/10/2020', '30', '10', '2020', '2056', '53', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '40.27783131');
INSERT INTO public.ecdc_import VALUES (51885, '29/10/2020', '29', '10', '2020', '1863', '58', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.78942888');
INSERT INTO public.ecdc_import VALUES (51886, '28/10/2020', '28', '10', '2020', '1092', '45', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.81333669');
INSERT INTO public.ecdc_import VALUES (51887, '27/10/2020', '27', '10', '2020', '891', '40', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '41.47663728');
INSERT INTO public.ecdc_import VALUES (51888, '26/10/2020', '26', '10', '2020', '1622', '24', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.95507586');
INSERT INTO public.ecdc_import VALUES (51889, '25/10/2020', '25', '10', '2020', '1834', '53', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.87481392');
INSERT INTO public.ecdc_import VALUES (51890, '24/10/2020', '24', '10', '2020', '1897', '48', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '40.77989535');
INSERT INTO public.ecdc_import VALUES (51891, '23/10/2020', '23', '10', '2020', '2156', '102', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '40.34272394');
INSERT INTO public.ecdc_import VALUES (51892, '22/10/2020', '22', '10', '2020', '2055', '85', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.6254896');
INSERT INTO public.ecdc_import VALUES (51893, '21/10/2020', '21', '10', '2020', '1050', '164', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.38299608');
INSERT INTO public.ecdc_import VALUES (51894, '20/10/2020', '20', '10', '2020', '1461', '21', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.34371897');
INSERT INTO public.ecdc_import VALUES (51895, '19/10/2020', '19', '10', '2020', '1662', '63', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.43009903');
INSERT INTO public.ecdc_import VALUES (51896, '18/10/2020', '18', '10', '2020', '1928', '38', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.27811366');
INSERT INTO public.ecdc_import VALUES (51897, '17/10/2020', '17', '10', '2020', '2019', '61', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.20126712');
INSERT INTO public.ecdc_import VALUES (51898, '16/10/2020', '16', '10', '2020', '1770', '158', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.74018791');
INSERT INTO public.ecdc_import VALUES (51899, '15/10/2020', '15', '10', '2020', '1877', '123', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.69749539');
INSERT INTO public.ecdc_import VALUES (51900, '14/10/2020', '14', '10', '2020', '2066', '248', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.5096483');
INSERT INTO public.ecdc_import VALUES (51901, '13/10/2020', '13', '10', '2020', '0', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '35.52359225');
INSERT INTO public.ecdc_import VALUES (51902, '12/10/2020', '12', '10', '2020', '1575', '107', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.06564609');
INSERT INTO public.ecdc_import VALUES (51903, '11/10/2020', '11', '10', '2020', '2364', '126', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '36.54138194');
INSERT INTO public.ecdc_import VALUES (51904, '10/10/2020', '10', '10', '2020', '1641', '139', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.15913931');
INSERT INTO public.ecdc_import VALUES (51905, '09/10/2020', '9', '10', '2020', '1736', '160', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '33.88419948');
INSERT INTO public.ecdc_import VALUES (51906, '08/10/2020', '8', '10', '2020', '1913', '145', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.09766208');
INSERT INTO public.ecdc_import VALUES (51907, '07/10/2020', '7', '10', '2020', '1027', '87', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.08570817');
INSERT INTO public.ecdc_import VALUES (51908, '06/10/2020', '6', '10', '2020', '926', '40', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.63046473');
INSERT INTO public.ecdc_import VALUES (51909, '05/10/2020', '5', '10', '2020', '1573', '38', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.28721687');
INSERT INTO public.ecdc_import VALUES (51910, '04/10/2020', '4', '10', '2020', '1883', '29', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.25647825');
INSERT INTO public.ecdc_import VALUES (51911, '03/10/2020', '3', '10', '2020', '1749', '43', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '34.50580257');
INSERT INTO public.ecdc_import VALUES (51912, '02/10/2020', '2', '10', '2020', '1745', '132', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '35.02835902');
INSERT INTO public.ecdc_import VALUES (51913, '01/10/2020', '1', '10', '2020', '1767', '67', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '35.68240843');
INSERT INTO public.ecdc_import VALUES (51914, '30/09/2020', '30', '9', '2020', '903', '81', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '35.94880976');
INSERT INTO public.ecdc_import VALUES (51915, '29/09/2020', '29', '9', '2020', '903', '188', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '35.72510095');
INSERT INTO public.ecdc_import VALUES (51916, '28/09/2020', '28', '9', '2020', '1268', '22', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '35.81560909');
INSERT INTO public.ecdc_import VALUES (51917, '27/09/2020', '27', '9', '2020', '969', '64', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '36.34670404');
INSERT INTO public.ecdc_import VALUES (51918, '26/09/2020', '26', '9', '2020', '1480', '29', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '37.79312663');
INSERT INTO public.ecdc_import VALUES (51919, '25/09/2020', '25', '9', '2020', '1861', '77', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.61282302');
INSERT INTO public.ecdc_import VALUES (51920, '24/09/2020', '24', '9', '2020', '1906', '88', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.86214734');
INSERT INTO public.ecdc_import VALUES (51921, '23/09/2020', '23', '9', '2020', '1346', '126', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.00559421');
INSERT INTO public.ecdc_import VALUES (51922, '22/09/2020', '22', '9', '2020', '725', '39', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.54963809');
INSERT INTO public.ecdc_import VALUES (51923, '21/09/2020', '21', '9', '2020', '1555', '13', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.75456219');
INSERT INTO public.ecdc_import VALUES (51924, '20/09/2020', '20', '9', '2020', '2029', '83', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.88776285');
INSERT INTO public.ecdc_import VALUES (51925, '19/09/2020', '19', '9', '2020', '2055', '85', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.50694557');
INSERT INTO public.ecdc_import VALUES (51926, '18/09/2020', '18', '9', '2020', '2128', '67', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '38.52060718');
INSERT INTO public.ecdc_import VALUES (51927, '17/09/2020', '17', '9', '2020', '1923', '64', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.01925581');
INSERT INTO public.ecdc_import VALUES (51928, '16/09/2020', '16', '9', '2020', '772', '142', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.72453625');
INSERT INTO public.ecdc_import VALUES (51929, '15/09/2020', '15', '9', '2020', '956', '52', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '40.48617081');
INSERT INTO public.ecdc_import VALUES (51930, '14/09/2020', '14', '9', '2020', '1579', '20', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '42.24339494');
INSERT INTO public.ecdc_import VALUES (51931, '13/09/2020', '13', '9', '2020', '1816', '49', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '43.82472589');
INSERT INTO public.ecdc_import VALUES (51932, '12/09/2020', '12', '9', '2020', '1960', '113', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '44.86983879');
INSERT INTO public.ecdc_import VALUES (51933, '11/09/2020', '11', '9', '2020', '2007', '97', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '44.65979159');
INSERT INTO public.ecdc_import VALUES (51934, '10/09/2020', '10', '9', '2020', '1990', '82', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '45.64684266');
INSERT INTO public.ecdc_import VALUES (51935, '09/09/2020', '9', '9', '2020', '1079', '82', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '46.83198702');
INSERT INTO public.ecdc_import VALUES (51936, '08/09/2020', '8', '9', '2020', '845', '115', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '47.66534501');
INSERT INTO public.ecdc_import VALUES (51937, '07/09/2020', '7', '9', '2020', '1633', '110', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '49.08615209');
INSERT INTO public.ecdc_import VALUES (51938, '06/09/2020', '6', '9', '2020', '1806', '101', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '50.95608448');
INSERT INTO public.ecdc_import VALUES (51939, '05/09/2020', '5', '9', '2020', '2063', '115', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '54.20242372');
INSERT INTO public.ecdc_import VALUES (51940, '04/09/2020', '4', '9', '2020', '2420', '174', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '56.4822043');
INSERT INTO public.ecdc_import VALUES (51941, '03/09/2020', '3', '9', '2020', '2336', '126', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '58.97544748');
INSERT INTO public.ecdc_import VALUES (51942, '02/09/2020', '2', '9', '2020', '1218', '114', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '61.67361476');
INSERT INTO public.ecdc_import VALUES (51943, '01/09/2020', '1', '9', '2020', '1985', '121', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '63.4496236');
INSERT INTO public.ecdc_import VALUES (51944, '31/08/2020', '31', '8', '2020', '2505', '47', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '64.39910525');
INSERT INTO public.ecdc_import VALUES (51945, '30/08/2020', '30', '8', '2020', '2428', '238', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '66.42614612');
INSERT INTO public.ecdc_import VALUES (51946, '29/08/2020', '29', '8', '2020', '1837', '115', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '69.9867023');
INSERT INTO public.ecdc_import VALUES (51947, '28/08/2020', '28', '8', '2020', '2585', '126', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '77.5654785');
INSERT INTO public.ecdc_import VALUES (51948, '27/08/2020', '27', '8', '2020', '2684', '194', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '79.8896593');
INSERT INTO public.ecdc_import VALUES (51949, '26/08/2020', '26', '8', '2020', '1567', '149', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '80.10482961');
INSERT INTO public.ecdc_import VALUES (51950, '25/08/2020', '25', '8', '2020', '1677', '100', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '81.71689917');
INSERT INTO public.ecdc_import VALUES (51951, '24/08/2020', '24', '8', '2020', '2728', '72', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '85.23988594');
INSERT INTO public.ecdc_import VALUES (51952, '23/08/2020', '23', '8', '2020', '3707', '144', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '91.97164254');
INSERT INTO public.ecdc_import VALUES (51953, '22/08/2020', '22', '8', '2020', '3398', '225', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '98.81098428');
INSERT INTO public.ecdc_import VALUES (51954, '21/08/2020', '21', '8', '2020', '3880', '195', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '105.46077123');
INSERT INTO public.ecdc_import VALUES (51955, '20/08/2020', '20', '8', '2020', '3916', '159', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '113.02076272');
INSERT INTO public.ecdc_import VALUES (51956, '19/08/2020', '19', '8', '2020', '2258', '282', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '120.94961758');
INSERT INTO public.ecdc_import VALUES (51957, '18/08/2020', '18', '8', '2020', '2541', '143', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '124.70314396');
INSERT INTO public.ecdc_import VALUES (51958, '17/08/2020', '17', '8', '2020', '3692', '162', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '129.54618346');
INSERT INTO public.ecdc_import VALUES (51959, '16/08/2020', '16', '8', '2020', '4513', '121', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '137.23596021');
INSERT INTO public.ecdc_import VALUES (51960, '15/08/2020', '15', '8', '2020', '6275', '286', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '146.78883854');
INSERT INTO public.ecdc_import VALUES (51961, '14/08/2020', '14', '8', '2020', '3946', '260', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '154.88163268');
INSERT INTO public.ecdc_import VALUES (51962, '13/08/2020', '13', '8', '2020', '2810', '259', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '167.00630843');
INSERT INTO public.ecdc_import VALUES (51963, '12/08/2020', '12', '8', '2020', '2511', '130', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '181.61056576');
INSERT INTO public.ecdc_import VALUES (51964, '11/08/2020', '11', '8', '2020', '3740', '213', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '189.67262129');
INSERT INTO public.ecdc_import VALUES (51965, '10/08/2020', '10', '8', '2020', '6670', '198', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '195.40366521');
INSERT INTO public.ecdc_import VALUES (51966, '09/08/2020', '9', '8', '2020', '7712', '301', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '203.195904');
INSERT INTO public.ecdc_import VALUES (51967, '08/08/2020', '8', '8', '2020', '7292', '305', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '210.86689604');
INSERT INTO public.ecdc_import VALUES (51968, '07/08/2020', '7', '8', '2020', '8307', '306', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '222.22652183');
INSERT INTO public.ecdc_import VALUES (51969, '06/08/2020', '6', '8', '2020', '8559', '414', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '230.41836262');
INSERT INTO public.ecdc_import VALUES (51970, '05/08/2020', '5', '8', '2020', '4456', '345', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '238.25841704');
INSERT INTO public.ecdc_import VALUES (51971, '04/08/2020', '4', '8', '2020', '5377', '173', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '244.60081785');
INSERT INTO public.ecdc_import VALUES (51972, '03/08/2020', '3', '8', '2020', '8195', '213', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '251.30012813');
INSERT INTO public.ecdc_import VALUES (51973, '02/08/2020', '2', '8', '2020', '10107', '148', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '260.27238818');
INSERT INTO public.ecdc_import VALUES (51974, '01/08/2020', '1', '8', '2020', '11014', '193', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '265.69946136');
INSERT INTO public.ecdc_import VALUES (51975, '31/07/2020', '31', '7', '2020', '11046', '315', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '269.72792757');
INSERT INTO public.ecdc_import VALUES (51976, '30/07/2020', '30', '7', '2020', '11362', '240', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '273.35849949');
INSERT INTO public.ecdc_import VALUES (51977, '29/07/2020', '29', '7', '2020', '7232', '190', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '275.74074212');
INSERT INTO public.ecdc_import VALUES (51978, '28/07/2020', '28', '7', '2020', '7096', '298', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '281.31467757');
INSERT INTO public.ecdc_import VALUES (51979, '27/07/2020', '27', '7', '2020', '11233', '114', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '288.92760778');
INSERT INTO public.ecdc_import VALUES (51980, '26/07/2020', '26', '7', '2020', '12204', '312', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '290.33646095');
INSERT INTO public.ecdc_import VALUES (51981, '25/07/2020', '25', '7', '2020', '13944', '250', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '292.5445181');
INSERT INTO public.ecdc_import VALUES (51982, '24/07/2020', '24', '7', '2020', '13104', '153', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '289.8190276');
INSERT INTO public.ecdc_import VALUES (51983, '23/07/2020', '23', '7', '2020', '13150', '572', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '290.79241706');
INSERT INTO public.ecdc_import VALUES (51984, '22/07/2020', '22', '7', '2020', '8170', '195', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '283.38099555');
INSERT INTO public.ecdc_import VALUES (51985, '21/07/2020', '21', '7', '2020', '9300', '140', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '286.73491994');
INSERT INTO public.ecdc_import VALUES (51986, '20/07/2020', '20', '7', '2020', '13449', '85', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '286.17308637');
INSERT INTO public.ecdc_import VALUES (51987, '19/07/2020', '19', '7', '2020', '13285', '144', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '278.18787738');
INSERT INTO public.ecdc_import VALUES (51988, '18/07/2020', '18', '7', '2020', '13373', '135', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '274.03474901');
INSERT INTO public.ecdc_import VALUES (51989, '17/07/2020', '17', '7', '2020', '13172', '216', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '266.67455852');
INSERT INTO public.ecdc_import VALUES (51990, '16/07/2020', '16', '7', '2020', '12757', '107', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '259.08553612');
INSERT INTO public.ecdc_import VALUES (51991, '15/07/2020', '15', '7', '2020', '10496', '174', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '251.17375827');
INSERT INTO public.ecdc_import VALUES (51992, '14/07/2020', '14', '7', '2020', '11554', '93', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '245.10971269');
INSERT INTO public.ecdc_import VALUES (51993, '13/07/2020', '13', '7', '2020', '12058', '108', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '235.8471435');
INSERT INTO public.ecdc_import VALUES (51994, '12/07/2020', '12', '7', '2020', '13497', '111', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '226.07226406');
INSERT INTO public.ecdc_import VALUES (51995, '11/07/2020', '11', '7', '2020', '12348', '140', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '215.33594906');
INSERT INTO public.ecdc_import VALUES (51996, '10/07/2020', '10', '7', '2020', '13674', '118', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '204.86262');
INSERT INTO public.ecdc_import VALUES (51997, '09/07/2020', '9', '7', '2020', '8810', '100', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '192.74648275');
INSERT INTO public.ecdc_import VALUES (51998, '08/07/2020', '8', '7', '2020', '10134', '192', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '187.41504082');
INSERT INTO public.ecdc_import VALUES (51999, '07/07/2020', '7', '7', '2020', '8971', '111', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '177.82459307');
INSERT INTO public.ecdc_import VALUES (52000, '06/07/2020', '6', '7', '2020', '8773', '173', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '169.82743017');
INSERT INTO public.ecdc_import VALUES (52001, '05/07/2020', '5', '7', '2020', '10853', '74', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '162.73705641');
INSERT INTO public.ecdc_import VALUES (52002, '04/07/2020', '4', '7', '2020', '9063', '108', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '152.68382174');
INSERT INTO public.ecdc_import VALUES (52003, '03/07/2020', '3', '7', '2020', '8728', '95', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '143.7388849');
INSERT INTO public.ecdc_import VALUES (52004, '02/07/2020', '2', '7', '2020', '8124', '92', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '134.77345564');
INSERT INTO public.ecdc_import VALUES (52005, '01/07/2020', '1', '7', '2020', '6945', '128', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '127.86409816');
INSERT INTO public.ecdc_import VALUES (52006, '30/06/2020', '30', '6', '2020', '6130', '73', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '120.78738601');
INSERT INTO public.ecdc_import VALUES (52007, '29/06/2020', '29', '6', '2020', '6334', '43', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '116.28759437');
INSERT INTO public.ecdc_import VALUES (52008, '28/06/2020', '28', '6', '2020', '7210', '73', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '112.81754633');
INSERT INTO public.ecdc_import VALUES (52009, '27/06/2020', '27', '6', '2020', '6215', '48', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '107.00965587');
INSERT INTO public.ecdc_import VALUES (52010, '26/06/2020', '26', '6', '2020', '6579', '87', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '102.13246236');
INSERT INTO public.ecdc_import VALUES (52011, '25/06/2020', '25', '6', '2020', '5688', '103', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '96.27163318');
INSERT INTO public.ecdc_import VALUES (52012, '24/06/2020', '24', '6', '2020', '4518', '111', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '90.70794394');
INSERT INTO public.ecdc_import VALUES (52013, '23/06/2020', '23', '6', '2020', '4288', '61', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '86.59921579');
INSERT INTO public.ecdc_import VALUES (52014, '22/06/2020', '22', '6', '2020', '4621', '53', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '83.70637061');
INSERT INTO public.ecdc_import VALUES (52015, '21/06/2020', '21', '6', '2020', '4966', '46', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '79.76328944');
INSERT INTO public.ecdc_import VALUES (52016, '20/06/2020', '20', '6', '2020', '3825', '94', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '75.61869958');
INSERT INTO public.ecdc_import VALUES (52017, '19/06/2020', '19', '6', '2020', '3478', '63', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '73.59848952');
INSERT INTO public.ecdc_import VALUES (52018, '18/06/2020', '18', '6', '2020', '4078', '49', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '73.23816465');
INSERT INTO public.ecdc_import VALUES (52019, '17/06/2020', '17', '6', '2020', '2801', '57', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '69.19945223');
INSERT INTO public.ecdc_import VALUES (52020, '16/06/2020', '16', '6', '2020', '3495', '88', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '66.90088694');
INSERT INTO public.ecdc_import VALUES (52021, '15/06/2020', '15', '6', '2020', '4302', '57', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '63.79116377');
INSERT INTO public.ecdc_import VALUES (52022, '14/06/2020', '14', '6', '2020', '3809', '69', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '59.37504947');
INSERT INTO public.ecdc_import VALUES (52023, '13/06/2020', '13', '6', '2020', '3359', '65', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '55.81961638');
INSERT INTO public.ecdc_import VALUES (52024, '12/06/2020', '12', '6', '2020', '3147', '79', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '53.22049575');
INSERT INTO public.ecdc_import VALUES (52025, '11/06/2020', '11', '6', '2020', '2430', '48', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '50.34985069');
INSERT INTO public.ecdc_import VALUES (52026, '10/06/2020', '10', '6', '2020', '2112', '82', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '49.05712117');
INSERT INTO public.ecdc_import VALUES (52027, '09/06/2020', '9', '6', '2020', '2594', '82', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '46.55875489');
INSERT INTO public.ecdc_import VALUES (52028, '08/06/2020', '8', '6', '2020', '2312', '46', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '43.89132622');
INSERT INTO public.ecdc_import VALUES (52029, '07/06/2020', '7', '6', '2020', '2539', '44', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '42.06067096');
INSERT INTO public.ecdc_import VALUES (52030, '06/06/2020', '6', '6', '2020', '2642', '60', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '39.80479819');
INSERT INTO public.ecdc_import VALUES (52031, '05/06/2020', '5', '6', '2020', '3267', '56', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '36.98026104');
INSERT INTO public.ecdc_import VALUES (52032, '04/06/2020', '4', '6', '2020', '1713', '37', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '33.33773522');
INSERT INTO public.ecdc_import VALUES (52033, '03/06/2020', '3', '6', '2020', '1455', '50', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '31.78372748');
INSERT INTO public.ecdc_import VALUES (52034, '02/06/2020', '2', '6', '2020', '1674', '22', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '30.60882932');
INSERT INTO public.ecdc_import VALUES (52035, '01/06/2020', '1', '6', '2020', '1716', '40', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '29.31780751');
INSERT INTO public.ecdc_import VALUES (52036, '31/05/2020', '31', '5', '2020', '1727', '32', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '28.36832586');
INSERT INTO public.ecdc_import VALUES (52037, '30/05/2020', '30', '5', '2020', '1837', '34', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '26.83822593');
INSERT INTO public.ecdc_import VALUES (52038, '29/05/2020', '29', '5', '2020', '1466', '25', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '25.04172468');
INSERT INTO public.ecdc_import VALUES (52039, '28/05/2020', '28', '5', '2020', '1673', '28', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '23.67385633');
INSERT INTO public.ecdc_import VALUES (52040, '27/05/2020', '27', '5', '2020', '649', '43', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '22.05324826');
INSERT INTO public.ecdc_import VALUES (52041, '26/05/2020', '26', '5', '2020', '1032', '52', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '22.1369256');
INSERT INTO public.ecdc_import VALUES (52042, '25/05/2020', '25', '5', '2020', '1240', '22', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '21.46238378');
INSERT INTO public.ecdc_import VALUES (52043, '24/05/2020', '24', '5', '2020', '1218', '10', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '20.36091676');
INSERT INTO public.ecdc_import VALUES (52044, '23/05/2020', '23', '5', '2020', '988', '28', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '19.1774801');
INSERT INTO public.ecdc_import VALUES (52045, '22/05/2020', '22', '5', '2020', '1134', '30', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '18.62247734');
INSERT INTO public.ecdc_import VALUES (52046, '21/05/2020', '21', '5', '2020', '803', '27', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '17.41000976');
INSERT INTO public.ecdc_import VALUES (52047, '20/05/2020', '20', '5', '2020', '767', '26', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '16.4417434');
INSERT INTO public.ecdc_import VALUES (52048, '19/05/2020', '19', '5', '2020', '918', '22', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '15.73304756');
INSERT INTO public.ecdc_import VALUES (52049, '18/05/2020', '18', '5', '2020', '1160', '3', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '14.91164347');
INSERT INTO public.ecdc_import VALUES (52050, '17/05/2020', '17', '5', '2020', '831', '14', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '13.6940528');
INSERT INTO public.ecdc_import VALUES (52051, '16/05/2020', '16', '5', '2020', '785', '9', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '12.93241824');
INSERT INTO public.ecdc_import VALUES (52052, '15/05/2020', '15', '5', '2020', '665', '19', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '12.11101415');
INSERT INTO public.ecdc_import VALUES (52053, '14/05/2020', '14', '5', '2020', '724', '13', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '11.48258025');
INSERT INTO public.ecdc_import VALUES (52054, '13/05/2020', '13', '5', '2020', '698', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '10.85073095');
INSERT INTO public.ecdc_import VALUES (52055, '12/05/2020', '12', '5', '2020', '637', '12', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '10.00541905');
INSERT INTO public.ecdc_import VALUES (52056, '11/05/2020', '11', '5', '2020', '595', '8', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '9.33941573');
INSERT INTO public.ecdc_import VALUES (52057, '10/05/2020', '10', '5', '2020', '525', '8', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '8.6392584');
INSERT INTO public.ecdc_import VALUES (52058, '09/05/2020', '9', '5', '2020', '663', '17', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '7.98350129');
INSERT INTO public.ecdc_import VALUES (52059, '08/05/2020', '8', '5', '2020', '424', '8', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '7.30725177');
INSERT INTO public.ecdc_import VALUES (52060, '07/05/2020', '7', '5', '2020', '236', '5', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '7.12623548');
INSERT INTO public.ecdc_import VALUES (52061, '06/05/2020', '6', '5', '2020', '352', '10', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '7.01352723');
INSERT INTO public.ecdc_import VALUES (52062, '05/05/2020', '5', '5', '2020', '437', '7', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '6.69418718');
INSERT INTO public.ecdc_import VALUES (52063, '04/05/2020', '4', '5', '2020', '447', '8', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '6.19041544');
INSERT INTO public.ecdc_import VALUES (52064, '03/05/2020', '3', '5', '2020', '385', '7', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '5.63882808');
INSERT INTO public.ecdc_import VALUES (52065, '02/05/2020', '2', '5', '2020', '304', '13', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '5.40999617');
INSERT INTO public.ecdc_import VALUES (52066, '01/05/2020', '1', '5', '2020', '297', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '5.19482586');
INSERT INTO public.ecdc_import VALUES (52067, '30/04/2020', '30', '4', '2020', '354', '10', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '4.8567011');
INSERT INTO public.ecdc_import VALUES (52068, '29/04/2020', '29', '4', '2020', '203', '3', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '4.40757579');
INSERT INTO public.ecdc_import VALUES (52069, '28/04/2020', '28', '4', '2020', '247', '3', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '4.30511374');
INSERT INTO public.ecdc_import VALUES (52070, '27/04/2020', '27', '4', '2020', '185', '1', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '4.05237402');
INSERT INTO public.ecdc_import VALUES (52071, '26/04/2020', '26', '4', '2020', '141', '7', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '3.98406599');
INSERT INTO public.ecdc_import VALUES (52072, '25/04/2020', '25', '4', '2020', '267', '4', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '3.7859727');
INSERT INTO public.ecdc_import VALUES (52073, '24/04/2020', '24', '4', '2020', '318', '10', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '3.44784794');
INSERT INTO public.ecdc_import VALUES (52074, '23/04/2020', '23', '4', '2020', '170', '7', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '3.05678445');
INSERT INTO public.ecdc_import VALUES (52075, '22/04/2020', '22', '4', '2020', '165', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.93041459');
INSERT INTO public.ecdc_import VALUES (52076, '21/04/2020', '21', '4', '2020', '142', '4', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.75622911');
INSERT INTO public.ecdc_import VALUES (52077, '20/04/2020', '20', '4', '2020', '124', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.56667432');
INSERT INTO public.ecdc_import VALUES (52078, '19/04/2020', '19', '4', '2020', '251', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.47445847');
INSERT INTO public.ecdc_import VALUES (52079, '18/04/2020', '18', '4', '2020', '178', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.18244164');
INSERT INTO public.ecdc_import VALUES (52080, '17/04/2020', '17', '4', '2020', '99', '14', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.95190203');
INSERT INTO public.ecdc_import VALUES (52081, '16/04/2020', '16', '4', '2020', '91', '7', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.92287111');
INSERT INTO public.ecdc_import VALUES (52082, '15/04/2020', '15', '4', '2020', '143', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.81357826');
INSERT INTO public.ecdc_import VALUES (52083, '14/04/2020', '14', '4', '2020', '99', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.61548497');
INSERT INTO public.ecdc_import VALUES (52084, '13/04/2020', '13', '4', '2020', '145', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.52497682');
INSERT INTO public.ecdc_import VALUES (52085, '12/04/2020', '12', '4', '2020', '25', '1', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.43617638');
INSERT INTO public.ecdc_import VALUES (52086, '11/04/2020', '11', '4', '2020', '69', '6', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.42251477');
INSERT INTO public.ecdc_import VALUES (52087, '10/04/2020', '10', '4', '2020', '89', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.71965472');
INSERT INTO public.ecdc_import VALUES (52088, '09/04/2020', '9', '4', '2020', '96', '5', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.93994812');
INSERT INTO public.ecdc_import VALUES (52089, '08/04/2020', '8', '4', '2020', '63', '1', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.03557937');
INSERT INTO public.ecdc_import VALUES (52090, '07/04/2020', '7', '4', '2020', '31', '1', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.19268784');
INSERT INTO public.ecdc_import VALUES (52091, '06/04/2020', '6', '4', '2020', '70', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.35833482');
INSERT INTO public.ecdc_import VALUES (52092, '05/04/2020', '5', '4', '2020', '80', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.29685759');
INSERT INTO public.ecdc_import VALUES (52093, '04/04/2020', '4', '4', '2020', '43', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.22001105');
INSERT INTO public.ecdc_import VALUES (52094, '03/04/2020', '3', '4', '2020', '82', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.24050346');
INSERT INTO public.ecdc_import VALUES (52095, '02/04/2020', '2', '4', '2020', '27', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.15853382');
INSERT INTO public.ecdc_import VALUES (52096, '01/04/2020', '1', '4', '2020', '27', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.16536463');
INSERT INTO public.ecdc_import VALUES (52097, '31/03/2020', '31', '3', '2020', '46', '1', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.15853382');
INSERT INTO public.ecdc_import VALUES (52098, '30/03/2020', '30', '3', '2020', '93', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '2.0987643');
INSERT INTO public.ecdc_import VALUES (52099, '29/03/2020', '29', '3', '2020', '17', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.98605604');
INSERT INTO public.ecdc_import VALUES (52100, '28/03/2020', '28', '3', '2020', '243', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.95702513');
INSERT INTO public.ecdc_import VALUES (52101, '27/03/2020', '27', '3', '2020', '218', '2', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.55400774');
INSERT INTO public.ecdc_import VALUES (52102, '26/03/2020', '26', '3', '2020', '152', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '1.18855976');
INSERT INTO public.ecdc_import VALUES (52103, '25/03/2020', '25', '3', '2020', '155', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '0.93923545');
INSERT INTO public.ecdc_import VALUES (52104, '24/03/2020', '24', '3', '2020', '128', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '0.68137262');
INSERT INTO public.ecdc_import VALUES (52105, '23/03/2020', '23', '3', '2020', '34', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '0.46449462');
INSERT INTO public.ecdc_import VALUES (52106, '22/03/2020', '22', '3', '2020', '35', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '0.40814049');
INSERT INTO public.ecdc_import VALUES (52107, '21/03/2020', '21', '3', '2020', '55', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '0.35007867');
INSERT INTO public.ecdc_import VALUES (52108, '20/03/2020', '20', '3', '2020', '34', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52109, '19/03/2020', '19', '3', '2020', '31', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52110, '18/03/2020', '18', '3', '2020', '23', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52111, '17/03/2020', '17', '3', '2020', '11', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52112, '16/03/2020', '16', '3', '2020', '27', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52113, '15/03/2020', '15', '3', '2020', '0', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52114, '14/03/2020', '14', '3', '2020', '7', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52115, '13/03/2020', '13', '3', '2020', '4', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52116, '12/03/2020', '12', '3', '2020', '6', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52117, '10/03/2020', '10', '3', '2020', '4', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52118, '09/03/2020', '9', '3', '2020', '1', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52119, '08/03/2020', '8', '3', '2020', '1', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52120, '06/03/2020', '6', '3', '2020', '1', '0', '58558267', 'South_Africa', 'ZA', 'ZAF', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52121, '14/12/2020', '14', '12', '2020', '718', '7', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '18.12189718');
INSERT INTO public.ecdc_import VALUES (52122, '13/12/2020', '13', '12', '2020', '1030', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '17.45621077');
INSERT INTO public.ecdc_import VALUES (52123, '12/12/2020', '12', '12', '2020', '950', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '16.32200606');
INSERT INTO public.ecdc_import VALUES (52124, '11/12/2020', '11', '12', '2020', '688', '8', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '15.42010835');
INSERT INTO public.ecdc_import VALUES (52125, '10/12/2020', '10', '12', '2020', '666', '8', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '15.18780136');
INSERT INTO public.ecdc_import VALUES (52126, '09/12/2020', '9', '12', '2020', '677', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '15.02577212');
INSERT INTO public.ecdc_import VALUES (52127, '08/12/2020', '8', '12', '2020', '594', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '14.44988505');
INSERT INTO public.ecdc_import VALUES (52128, '07/12/2020', '7', '12', '2020', '615', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '13.97160596');
INSERT INTO public.ecdc_import VALUES (52129, '06/12/2020', '6', '12', '2020', '631', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '13.30006307');
INSERT INTO public.ecdc_import VALUES (52130, '05/12/2020', '5', '12', '2020', '583', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.71246304');
INSERT INTO public.ecdc_import VALUES (52131, '04/12/2020', '4', '12', '2020', '629', '7', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.32788761');
INSERT INTO public.ecdc_import VALUES (52132, '03/12/2020', '3', '12', '2020', '540', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '11.80861317');
INSERT INTO public.ecdc_import VALUES (52133, '02/12/2020', '2', '12', '2020', '511', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '11.42403773');
INSERT INTO public.ecdc_import VALUES (52134, '01/12/2020', '1', '12', '2020', '451', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '11.03751014');
INSERT INTO public.ecdc_import VALUES (52135, '30/11/2020', '30', '11', '2020', '377', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '10.60413072');
INSERT INTO public.ecdc_import VALUES (52136, '29/11/2020', '29', '11', '2020', '449', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '10.30349815');
INSERT INTO public.ecdc_import VALUES (52137, '28/11/2020', '28', '11', '2020', '488', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '9.83302769');
INSERT INTO public.ecdc_import VALUES (52138, '27/11/2020', '27', '11', '2020', '569', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '9.28056654');
INSERT INTO public.ecdc_import VALUES (52139, '26/11/2020', '26', '11', '2020', '583', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.54265023');
INSERT INTO public.ecdc_import VALUES (52140, '25/11/2020', '25', '11', '2020', '382', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.68370002');
INSERT INTO public.ecdc_import VALUES (52141, '24/11/2020', '24', '11', '2020', '349', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.22299036');
INSERT INTO public.ecdc_import VALUES (52142, '23/11/2020', '23', '11', '2020', '271', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.73690263');
INSERT INTO public.ecdc_import VALUES (52143, '22/11/2020', '22', '11', '2020', '330', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.4538395');
INSERT INTO public.ecdc_import VALUES (52144, '21/11/2020', '21', '11', '2020', '386', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.08878566');
INSERT INTO public.ecdc_import VALUES (52145, '20/11/2020', '20', '11', '2020', '363', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.50899427');
INSERT INTO public.ecdc_import VALUES (52146, '19/11/2020', '19', '11', '2020', '343', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.08342349');
INSERT INTO public.ecdc_import VALUES (52147, '18/11/2020', '18', '11', '2020', '313', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.65785271');
INSERT INTO public.ecdc_import VALUES (52148, '17/11/2020', '17', '11', '2020', '229', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.27718159');
INSERT INTO public.ecdc_import VALUES (52149, '16/11/2020', '16', '11', '2020', '223', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.97654902');
INSERT INTO public.ecdc_import VALUES (52150, '15/11/2020', '15', '11', '2020', '208', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.73057692');
INSERT INTO public.ecdc_import VALUES (52151, '14/11/2020', '14', '11', '2020', '205', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.56659551');
INSERT INTO public.ecdc_import VALUES (52152, '13/11/2020', '13', '11', '2020', '191', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.41237491');
INSERT INTO public.ecdc_import VALUES (52153, '12/11/2020', '12', '11', '2020', '143', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.26205862');
INSERT INTO public.ecdc_import VALUES (52154, '11/11/2020', '11', '11', '2020', '146', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.22691975');
INSERT INTO public.ecdc_import VALUES (52155, '10/11/2020', '10', '11', '2020', '100', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.14297689');
INSERT INTO public.ecdc_import VALUES (52156, '09/11/2020', '9', '11', '2020', '126', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.11955097');
INSERT INTO public.ecdc_import VALUES (52157, '08/11/2020', '8', '11', '2020', '143', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.10588586');
INSERT INTO public.ecdc_import VALUES (52158, '07/11/2020', '7', '11', '2020', '89', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.94580877');
INSERT INTO public.ecdc_import VALUES (52159, '06/11/2020', '6', '11', '2020', '145', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.92238286');
INSERT INTO public.ecdc_import VALUES (52160, '05/11/2020', '5', '11', '2020', '125', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.94190445');
INSERT INTO public.ecdc_import VALUES (52161, '04/11/2020', '4', '11', '2020', '118', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.9301915');
INSERT INTO public.ecdc_import VALUES (52162, '03/11/2020', '3', '11', '2020', '75', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.87748319');
INSERT INTO public.ecdc_import VALUES (52163, '02/11/2020', '2', '11', '2020', '97', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.84429648');
INSERT INTO public.ecdc_import VALUES (52164, '01/11/2020', '1', '11', '2020', '124', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.80330113');
INSERT INTO public.ecdc_import VALUES (52165, '31/10/2020', '31', '10', '2020', '126', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.73887986');
INSERT INTO public.ecdc_import VALUES (52166, '30/10/2020', '30', '10', '2020', '114', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.6354154');
INSERT INTO public.ecdc_import VALUES (52167, '29/10/2020', '29', '10', '2020', '125', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.50462071');
INSERT INTO public.ecdc_import VALUES (52168, '28/10/2020', '28', '10', '2020', '103', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.45386456');
INSERT INTO public.ecdc_import VALUES (52169, '27/10/2020', '27', '10', '2020', '88', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.41677353');
INSERT INTO public.ecdc_import VALUES (52170, '26/10/2020', '26', '10', '2020', '119', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.44410377');
INSERT INTO public.ecdc_import VALUES (52171, '25/10/2020', '25', '10', '2020', '61', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.40115626');
INSERT INTO public.ecdc_import VALUES (52172, '24/10/2020', '24', '10', '2020', '77', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.39529978');
INSERT INTO public.ecdc_import VALUES (52173, '23/10/2020', '23', '10', '2020', '155', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.38553898');
INSERT INTO public.ecdc_import VALUES (52174, '22/10/2020', '22', '10', '2020', '119', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.18837086');
INSERT INTO public.ecdc_import VALUES (52175, '21/10/2020', '21', '10', '2020', '91', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.09076289');
INSERT INTO public.ecdc_import VALUES (52176, '20/10/2020', '20', '10', '2020', '58', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.13566256');
INSERT INTO public.ecdc_import VALUES (52177, '19/10/2020', '19', '10', '2020', '76', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.16884927');
INSERT INTO public.ecdc_import VALUES (52178, '18/10/2020', '18', '10', '2020', '91', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.16299279');
INSERT INTO public.ecdc_import VALUES (52179, '17/10/2020', '17', '10', '2020', '73', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.11028448');
INSERT INTO public.ecdc_import VALUES (52180, '16/10/2020', '16', '10', '2020', '47', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.1141888');
INSERT INTO public.ecdc_import VALUES (52181, '15/10/2020', '15', '10', '2020', '99', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.29573964');
INSERT INTO public.ecdc_import VALUES (52182, '14/10/2020', '14', '10', '2020', '84', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.10247584');
INSERT INTO public.ecdc_import VALUES (52183, '13/10/2020', '13', '10', '2020', '102', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.15908847');
INSERT INTO public.ecdc_import VALUES (52184, '12/10/2020', '12', '10', '2020', '97', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.03415026');
INSERT INTO public.ecdc_import VALUES (52185, '11/10/2020', '11', '10', '2020', '58', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.94239876');
INSERT INTO public.ecdc_import VALUES (52186, '10/10/2020', '10', '10', '2020', '72', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.01462866');
INSERT INTO public.ecdc_import VALUES (52187, '09/10/2020', '9', '10', '2020', '54', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.99315491');
INSERT INTO public.ecdc_import VALUES (52188, '08/10/2020', '8', '10', '2020', '69', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.11028448');
INSERT INTO public.ecdc_import VALUES (52189, '07/10/2020', '7', '10', '2020', '114', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.21960542');
INSERT INTO public.ecdc_import VALUES (52190, '06/10/2020', '6', '10', '2020', '75', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.21179678');
INSERT INTO public.ecdc_import VALUES (52191, '05/10/2020', '5', '10', '2020', '73', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.18446655');
INSERT INTO public.ecdc_import VALUES (52192, '04/10/2020', '4', '10', '2020', '64', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.17861007');
INSERT INTO public.ecdc_import VALUES (52193, '03/10/2020', '3', '10', '2020', '75', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.21374894');
INSERT INTO public.ecdc_import VALUES (52194, '02/10/2020', '2', '10', '2020', '140', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.28207452');
INSERT INTO public.ecdc_import VALUES (52195, '01/10/2020', '1', '10', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.25474429');
INSERT INTO public.ecdc_import VALUES (52196, '30/09/2020', '30', '9', '2020', '113', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.5534247');
INSERT INTO public.ecdc_import VALUES (52197, '29/09/2020', '29', '9', '2020', '38', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.5534247');
INSERT INTO public.ecdc_import VALUES (52198, '28/09/2020', '28', '9', '2020', '50', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.68617155');
INSERT INTO public.ecdc_import VALUES (52199, '27/09/2020', '27', '9', '2020', '95', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.80134897');
INSERT INTO public.ecdc_import VALUES (52200, '26/09/2020', '26', '9', '2020', '61', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.85210511');
INSERT INTO public.ecdc_import VALUES (52201, '25/09/2020', '25', '9', '2020', '114', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.99851708');
INSERT INTO public.ecdc_import VALUES (52202, '24/09/2020', '24', '9', '2020', '125', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.11955097');
INSERT INTO public.ecdc_import VALUES (52203, '23/09/2020', '23', '9', '2020', '110', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.17811576');
INSERT INTO public.ecdc_import VALUES (52204, '22/09/2020', '22', '9', '2020', '61', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.2679151');
INSERT INTO public.ecdc_import VALUES (52205, '21/09/2020', '21', '9', '2020', '70', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.41432707');
INSERT INTO public.ecdc_import VALUES (52206, '20/09/2020', '20', '9', '2020', '82', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.50998289');
INSERT INTO public.ecdc_import VALUES (52207, '19/09/2020', '19', '9', '2020', '110', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.00387925');
INSERT INTO public.ecdc_import VALUES (52208, '18/09/2020', '18', '9', '2020', '126', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.7891417');
INSERT INTO public.ecdc_import VALUES (52209, '17/09/2020', '17', '9', '2020', '153', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.92969719');
INSERT INTO public.ecdc_import VALUES (52210, '16/09/2020', '16', '9', '2020', '113', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.01168789');
INSERT INTO public.ecdc_import VALUES (52211, '15/09/2020', '15', '9', '2020', '106', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.31232046');
INSERT INTO public.ecdc_import VALUES (52212, '14/09/2020', '14', '9', '2020', '109', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.56414905');
INSERT INTO public.ecdc_import VALUES (52213, '13/09/2020', '13', '9', '2020', '121', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.83549923');
INSERT INTO public.ecdc_import VALUES (52214, '12/09/2020', '12', '9', '2020', '136', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.18298363');
INSERT INTO public.ecdc_import VALUES (52215, '11/09/2020', '11', '9', '2020', '176', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.54803746');
INSERT INTO public.ecdc_import VALUES (52216, '10/09/2020', '10', '9', '2020', '155', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.92870858');
INSERT INTO public.ecdc_import VALUES (52217, '09/09/2020', '9', '9', '2020', '156', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.48702621');
INSERT INTO public.ecdc_import VALUES (52218, '08/09/2020', '8', '9', '2020', '136', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.80718038');
INSERT INTO public.ecdc_import VALUES (52219, '07/09/2020', '7', '9', '2020', '119', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.08829135');
INSERT INTO public.ecdc_import VALUES (52220, '06/09/2020', '6', '9', '2020', '335', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.37525881');
INSERT INTO public.ecdc_import VALUES (52221, '05/09/2020', '5', '9', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.4962927');
INSERT INTO public.ecdc_import VALUES (52222, '04/09/2020', '4', '9', '2020', '198', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.14440968');
INSERT INTO public.ecdc_import VALUES (52223, '03/09/2020', '3', '9', '2020', '195', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.39038178');
INSERT INTO public.ecdc_import VALUES (52224, '02/09/2020', '2', '9', '2020', '267', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.57193262');
INSERT INTO public.ecdc_import VALUES (52225, '01/09/2020', '1', '9', '2020', '235', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.63049741');
INSERT INTO public.ecdc_import VALUES (52226, '31/08/2020', '31', '8', '2020', '248', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.65197116');
INSERT INTO public.ecdc_import VALUES (52227, '30/08/2020', '30', '8', '2020', '299', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.55241102');
INSERT INTO public.ecdc_import VALUES (52228, '29/08/2020', '29', '8', '2020', '323', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.51336783');
INSERT INTO public.ecdc_import VALUES (52229, '28/08/2020', '28', '8', '2020', '371', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.20687878');
INSERT INTO public.ecdc_import VALUES (52230, '27/08/2020', '27', '8', '2020', '441', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.68370002');
INSERT INTO public.ecdc_import VALUES (52231, '26/08/2020', '26', '8', '2020', '320', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.93211859');
INSERT INTO public.ecdc_import VALUES (52232, '25/08/2020', '25', '8', '2020', '280', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.41284415');
INSERT INTO public.ecdc_import VALUES (52233, '24/08/2020', '24', '8', '2020', '266', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.9326129');
INSERT INTO public.ecdc_import VALUES (52234, '23/08/2020', '23', '8', '2020', '397', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.46799892');
INSERT INTO public.ecdc_import VALUES (52235, '22/08/2020', '22', '8', '2020', '332', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.76326932');
INSERT INTO public.ecdc_import VALUES (52236, '21/08/2020', '21', '8', '2020', '324', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.19909521');
INSERT INTO public.ecdc_import VALUES (52237, '20/08/2020', '20', '8', '2020', '288', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.6056387');
INSERT INTO public.ecdc_import VALUES (52238, '19/08/2020', '19', '8', '2020', '297', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.12735961');
INSERT INTO public.ecdc_import VALUES (52239, '18/08/2020', '18', '8', '2020', '246', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.61198949');
INSERT INTO public.ecdc_import VALUES (52240, '17/08/2020', '17', '8', '2020', '197', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.19813166');
INSERT INTO public.ecdc_import VALUES (52241, '16/08/2020', '16', '8', '2020', '279', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.91702069');
INSERT INTO public.ecdc_import VALUES (52242, '15/08/2020', '15', '8', '2020', '166', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.37236817');
INSERT INTO public.ecdc_import VALUES (52243, '14/08/2020', '14', '8', '2020', '103', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.10882663');
INSERT INTO public.ecdc_import VALUES (52244, '13/08/2020', '13', '8', '2020', '56', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.97803194');
INSERT INTO public.ecdc_import VALUES (52245, '12/08/2020', '12', '8', '2020', '54', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.90384988');
INSERT INTO public.ecdc_import VALUES (52246, '11/08/2020', '11', '8', '2020', '34', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.89213692');
INSERT INTO public.ecdc_import VALUES (52247, '10/08/2020', '10', '8', '2020', '28', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.88042396');
INSERT INTO public.ecdc_import VALUES (52248, '09/08/2020', '9', '8', '2020', '36', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.87456748');
INSERT INTO public.ecdc_import VALUES (52249, '08/08/2020', '8', '8', '2020', '43', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.91751499');
INSERT INTO public.ecdc_import VALUES (52250, '07/08/2020', '7', '8', '2020', '20', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.05416616');
INSERT INTO public.ecdc_import VALUES (52251, '06/08/2020', '6', '8', '2020', '43', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.09516151');
INSERT INTO public.ecdc_import VALUES (52252, '05/08/2020', '5', '8', '2020', '33', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.12639606');
INSERT INTO public.ecdc_import VALUES (52253, '04/08/2020', '4', '8', '2020', '34', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.18496085');
INSERT INTO public.ecdc_import VALUES (52254, '03/08/2020', '3', '8', '2020', '53', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.20643461');
INSERT INTO public.ecdc_import VALUES (52255, '02/08/2020', '2', '8', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.1537263');
INSERT INTO public.ecdc_import VALUES (52256, '01/08/2020', '1', '8', '2020', '31', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.22009972');
INSERT INTO public.ecdc_import VALUES (52257, '31/07/2020', '31', '7', '2020', '36', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.235717');
INSERT INTO public.ecdc_import VALUES (52258, '30/07/2020', '30', '7', '2020', '18', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.28256883');
INSERT INTO public.ecdc_import VALUES (52259, '29/07/2020', '29', '7', '2020', '48', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.36651169');
INSERT INTO public.ecdc_import VALUES (52260, '28/07/2020', '28', '7', '2020', '28', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.34894225');
INSERT INTO public.ecdc_import VALUES (52261, '27/07/2020', '27', '7', '2020', '25', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.35870305');
INSERT INTO public.ecdc_import VALUES (52262, '26/07/2020', '26', '7', '2020', '58', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.43093296');
INSERT INTO public.ecdc_import VALUES (52263, '25/07/2020', '25', '7', '2020', '113', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.40360272');
INSERT INTO public.ecdc_import VALUES (52264, '24/07/2020', '24', '7', '2020', '41', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.25133428');
INSERT INTO public.ecdc_import VALUES (52265, '23/07/2020', '23', '7', '2020', '59', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.25914291');
INSERT INTO public.ecdc_import VALUES (52266, '22/07/2020', '22', '7', '2020', '63', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.23962132');
INSERT INTO public.ecdc_import VALUES (52267, '21/07/2020', '21', '7', '2020', '45', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.23962132');
INSERT INTO public.ecdc_import VALUES (52268, '20/07/2020', '20', '7', '2020', '26', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.3274685');
INSERT INTO public.ecdc_import VALUES (52269, '19/07/2020', '19', '7', '2020', '34', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.27671235');
INSERT INTO public.ecdc_import VALUES (52270, '18/07/2020', '18', '7', '2020', '39', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.32942066');
INSERT INTO public.ecdc_import VALUES (52271, '17/07/2020', '17', '7', '2020', '60', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.37627249');
INSERT INTO public.ecdc_import VALUES (52272, '16/07/2020', '16', '7', '2020', '61', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.38212897');
INSERT INTO public.ecdc_import VALUES (52273, '15/07/2020', '15', '7', '2020', '39', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.36846385');
INSERT INTO public.ecdc_import VALUES (52274, '14/07/2020', '14', '7', '2020', '33', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.38993761');
INSERT INTO public.ecdc_import VALUES (52275, '13/07/2020', '13', '7', '2020', '62', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.4094592');
INSERT INTO public.ecdc_import VALUES (52276, '12/07/2020', '12', '7', '2020', '44', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.37041601');
INSERT INTO public.ecdc_import VALUES (52277, '11/07/2020', '11', '7', '2020', '35', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.40555488');
INSERT INTO public.ecdc_import VALUES (52278, '10/07/2020', '10', '7', '2020', '45', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.43678943');
INSERT INTO public.ecdc_import VALUES (52279, '09/07/2020', '9', '7', '2020', '49', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.42507648');
INSERT INTO public.ecdc_import VALUES (52280, '08/07/2020', '8', '7', '2020', '63', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.38408113');
INSERT INTO public.ecdc_import VALUES (52281, '07/07/2020', '7', '7', '2020', '90', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.36065521');
INSERT INTO public.ecdc_import VALUES (52282, '06/07/2020', '6', '7', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.27476019');
INSERT INTO public.ecdc_import VALUES (52283, '05/07/2020', '5', '7', '2020', '61', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.3079469');
INSERT INTO public.ecdc_import VALUES (52284, '04/07/2020', '4', '7', '2020', '63', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.28256883');
INSERT INTO public.ecdc_import VALUES (52285, '03/07/2020', '3', '7', '2020', '63', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.29037747');
INSERT INTO public.ecdc_import VALUES (52286, '02/07/2020', '2', '7', '2020', '54', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.26304723');
INSERT INTO public.ecdc_import VALUES (52287, '01/07/2020', '1', '7', '2020', '50', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.27280803');
INSERT INTO public.ecdc_import VALUES (52288, '30/06/2020', '30', '6', '2020', '43', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.25914291');
INSERT INTO public.ecdc_import VALUES (52289, '29/06/2020', '29', '6', '2020', '42', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.24157348');
INSERT INTO public.ecdc_import VALUES (52290, '28/06/2020', '28', '6', '2020', '62', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.23181268');
INSERT INTO public.ecdc_import VALUES (52291, '27/06/2020', '27', '6', '2020', '51', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.17520005');
INSERT INTO public.ecdc_import VALUES (52292, '26/06/2020', '26', '6', '2020', '39', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.16934358');
INSERT INTO public.ecdc_import VALUES (52293, '25/06/2020', '25', '6', '2020', '28', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.20253029');
INSERT INTO public.ecdc_import VALUES (52294, '24/06/2020', '24', '6', '2020', '51', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.235717');
INSERT INTO public.ecdc_import VALUES (52295, '23/06/2020', '23', '6', '2020', '46', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.23376484');
INSERT INTO public.ecdc_import VALUES (52296, '22/06/2020', '22', '6', '2020', '17', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.21814756');
INSERT INTO public.ecdc_import VALUES (52297, '21/06/2020', '21', '6', '2020', '48', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.25914291');
INSERT INTO public.ecdc_import VALUES (52298, '20/06/2020', '20', '6', '2020', '67', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.27671235');
INSERT INTO public.ecdc_import VALUES (52299, '19/06/2020', '19', '6', '2020', '49', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.2454778');
INSERT INTO public.ecdc_import VALUES (52300, '18/06/2020', '18', '6', '2020', '59', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.2259562');
INSERT INTO public.ecdc_import VALUES (52301, '17/06/2020', '17', '6', '2020', '43', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.18691301');
INSERT INTO public.ecdc_import VALUES (52302, '16/06/2020', '16', '6', '2020', '34', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.19862597');
INSERT INTO public.ecdc_import VALUES (52303, '15/06/2020', '15', '6', '2020', '37', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.20643461');
INSERT INTO public.ecdc_import VALUES (52304, '14/06/2020', '14', '6', '2020', '33', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.20253029');
INSERT INTO public.ecdc_import VALUES (52305, '13/06/2020', '13', '6', '2020', '48', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.19081733');
INSERT INTO public.ecdc_import VALUES (52306, '12/06/2020', '12', '6', '2020', '56', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.17324789');
INSERT INTO public.ecdc_import VALUES (52307, '11/06/2020', '11', '6', '2020', '45', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.17715221');
INSERT INTO public.ecdc_import VALUES (52308, '10/06/2020', '10', '6', '2020', '50', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.24352564');
INSERT INTO public.ecdc_import VALUES (52309, '09/06/2020', '9', '6', '2020', '38', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.22400404');
INSERT INTO public.ecdc_import VALUES (52310, '08/06/2020', '8', '6', '2020', '38', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.18691301');
INSERT INTO public.ecdc_import VALUES (52311, '07/06/2020', '7', '6', '2020', '57', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.1439655');
INSERT INTO public.ecdc_import VALUES (52312, '06/06/2020', '6', '6', '2020', '51', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.0814964');
INSERT INTO public.ecdc_import VALUES (52313, '05/06/2020', '5', '6', '2020', '39', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.02683593');
INSERT INTO public.ecdc_import VALUES (52314, '04/06/2020', '4', '6', '2020', '39', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.9897449');
INSERT INTO public.ecdc_import VALUES (52315, '03/06/2020', '3', '6', '2020', '49', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.93703659');
INSERT INTO public.ecdc_import VALUES (52316, '02/06/2020', '2', '6', '2020', '38', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.90384988');
INSERT INTO public.ecdc_import VALUES (52317, '01/06/2020', '1', '6', '2020', '35', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.85504589');
INSERT INTO public.ecdc_import VALUES (52318, '31/05/2020', '31', '5', '2020', '27', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.8160027');
INSERT INTO public.ecdc_import VALUES (52319, '30/05/2020', '30', '5', '2020', '39', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.78867246');
INSERT INTO public.ecdc_import VALUES (52320, '29/05/2020', '29', '5', '2020', '58', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.74962927');
INSERT INTO public.ecdc_import VALUES (52321, '28/05/2020', '28', '5', '2020', '79', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.68911232');
INSERT INTO public.ecdc_import VALUES (52322, '27/05/2020', '27', '5', '2020', '40', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.59150435');
INSERT INTO public.ecdc_import VALUES (52323, '26/05/2020', '26', '5', '2020', '19', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.56417411');
INSERT INTO public.ecdc_import VALUES (52324, '25/05/2020', '25', '5', '2020', '16', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.57979139');
INSERT INTO public.ecdc_import VALUES (52325, '24/05/2020', '24', '5', '2020', '25', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.61688242');
INSERT INTO public.ecdc_import VALUES (52326, '23/05/2020', '23', '5', '2020', '23', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.63445186');
INSERT INTO public.ecdc_import VALUES (52327, '22/05/2020', '22', '5', '2020', '20', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.62469106');
INSERT INTO public.ecdc_import VALUES (52328, '21/05/2020', '21', '5', '2020', '12', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.60907378');
INSERT INTO public.ecdc_import VALUES (52329, '20/05/2020', '20', '5', '2020', '32', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.59345651');
INSERT INTO public.ecdc_import VALUES (52330, '19/05/2020', '19', '5', '2020', '13', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.53489172');
INSERT INTO public.ecdc_import VALUES (52331, '18/05/2020', '18', '5', '2020', '15', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.51537012');
INSERT INTO public.ecdc_import VALUES (52332, '17/05/2020', '17', '5', '2020', '13', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.50170501');
INSERT INTO public.ecdc_import VALUES (52333, '16/05/2020', '16', '5', '2020', '19', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.50170501');
INSERT INTO public.ecdc_import VALUES (52334, '15/05/2020', '15', '5', '2020', '27', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.47632693');
INSERT INTO public.ecdc_import VALUES (52335, '14/05/2020', '14', '5', '2020', '29', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.44118806');
INSERT INTO public.ecdc_import VALUES (52336, '13/05/2020', '13', '5', '2020', '26', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.39238407');
INSERT INTO public.ecdc_import VALUES (52337, '12/05/2020', '12', '5', '2020', '27', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.35919736');
INSERT INTO public.ecdc_import VALUES (52338, '11/05/2020', '11', '5', '2020', '35', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.33381928');
INSERT INTO public.ecdc_import VALUES (52339, '10/05/2020', '10', '5', '2020', '34', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.2850153');
INSERT INTO public.ecdc_import VALUES (52340, '09/05/2020', '9', '5', '2020', '18', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.23816347');
INSERT INTO public.ecdc_import VALUES (52341, '08/05/2020', '8', '5', '2020', '12', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.22254619');
INSERT INTO public.ecdc_import VALUES (52342, '07/05/2020', '7', '5', '2020', '4', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.21083323');
INSERT INTO public.ecdc_import VALUES (52343, '06/05/2020', '6', '5', '2020', '2', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.21864187');
INSERT INTO public.ecdc_import VALUES (52344, '05/05/2020', '5', '5', '2020', '3', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.23621131');
INSERT INTO public.ecdc_import VALUES (52345, '04/05/2020', '4', '5', '2020', '8', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.24792426');
INSERT INTO public.ecdc_import VALUES (52346, '03/05/2020', '3', '5', '2020', '13', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.25768506');
INSERT INTO public.ecdc_import VALUES (52347, '02/05/2020', '2', '5', '2020', '6', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.24792426');
INSERT INTO public.ecdc_import VALUES (52348, '01/05/2020', '1', '5', '2020', '9', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.27135018');
INSERT INTO public.ecdc_import VALUES (52349, '30/04/2020', '30', '4', '2020', '4', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.29672825');
INSERT INTO public.ecdc_import VALUES (52350, '29/04/2020', '29', '4', '2020', '9', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.33186712');
INSERT INTO public.ecdc_import VALUES (52351, '28/04/2020', '28', '4', '2020', '14', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.367006');
INSERT INTO public.ecdc_import VALUES (52352, '27/04/2020', '27', '4', '2020', '10', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.39238407');
INSERT INTO public.ecdc_import VALUES (52353, '26/04/2020', '26', '4', '2020', '10', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.42166646');
INSERT INTO public.ecdc_import VALUES (52354, '25/04/2020', '25', '4', '2020', '10', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.52317876');
INSERT INTO public.ecdc_import VALUES (52355, '24/04/2020', '24', '4', '2020', '6', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.50365717');
INSERT INTO public.ecdc_import VALUES (52356, '23/04/2020', '23', '4', '2020', '8', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.54465252');
INSERT INTO public.ecdc_import VALUES (52357, '22/04/2020', '22', '4', '2020', '11', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.60516946');
INSERT INTO public.ecdc_import VALUES (52358, '21/04/2020', '21', '4', '2020', '9', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.68716016');
INSERT INTO public.ecdc_import VALUES (52359, '20/04/2020', '20', '4', '2020', '13', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.76134223');
INSERT INTO public.ecdc_import VALUES (52360, '19/04/2020', '19', '4', '2020', '8', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.82771565');
INSERT INTO public.ecdc_import VALUES (52361, '18/04/2020', '18', '4', '2020', '18', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.9702233');
INSERT INTO public.ecdc_import VALUES (52362, '17/04/2020', '17', '4', '2020', '22', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.11858743');
INSERT INTO public.ecdc_import VALUES (52363, '16/04/2020', '16', '4', '2020', '22', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.24352564');
INSERT INTO public.ecdc_import VALUES (52364, '15/04/2020', '15', '4', '2020', '27', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.57148844');
INSERT INTO public.ecdc_import VALUES (52365, '14/04/2020', '14', '4', '2020', '27', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.51878014');
INSERT INTO public.ecdc_import VALUES (52366, '13/04/2020', '13', '4', '2020', '25', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.71009177');
INSERT INTO public.ecdc_import VALUES (52367, '12/04/2020', '12', '4', '2020', '62', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.81355623');
INSERT INTO public.ecdc_import VALUES (52368, '11/04/2020', '11', '4', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.89749909');
INSERT INTO public.ecdc_import VALUES (52369, '10/04/2020', '10', '4', '2020', '27', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.18251439');
INSERT INTO public.ecdc_import VALUES (52370, '09/04/2020', '9', '4', '2020', '39', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.3074526');
INSERT INTO public.ecdc_import VALUES (52371, '08/04/2020', '8', '4', '2020', '53', '8', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.43434297');
INSERT INTO public.ecdc_import VALUES (52372, '07/04/2020', '7', '4', '2020', '47', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.52609447');
INSERT INTO public.ecdc_import VALUES (52373, '06/04/2020', '6', '4', '2020', '47', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.5827071');
INSERT INTO public.ecdc_import VALUES (52374, '05/04/2020', '5', '4', '2020', '81', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.61589381');
INSERT INTO public.ecdc_import VALUES (52375, '04/04/2020', '4', '4', '2020', '94', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.64908052');
INSERT INTO public.ecdc_import VALUES (52376, '03/04/2020', '3', '4', '2020', '86', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.75254498');
INSERT INTO public.ecdc_import VALUES (52377, '02/04/2020', '2', '4', '2020', '190', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.75449714');
INSERT INTO public.ecdc_import VALUES (52378, '01/04/2020', '1', '4', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.68031507');
INSERT INTO public.ecdc_import VALUES (52379, '31/03/2020', '31', '3', '2020', '125', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.86186591');
INSERT INTO public.ecdc_import VALUES (52380, '30/03/2020', '30', '3', '2020', '78', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.78182737');
INSERT INTO public.ecdc_import VALUES (52381, '29/03/2020', '29', '3', '2020', '105', '8', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.77401873');
INSERT INTO public.ecdc_import VALUES (52382, '28/03/2020', '28', '3', '2020', '146', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.7174061');
INSERT INTO public.ecdc_import VALUES (52383, '27/03/2020', '27', '3', '2020', '91', '8', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.64127188');
INSERT INTO public.ecdc_import VALUES (52384, '26/03/2020', '26', '3', '2020', '104', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.67836291');
INSERT INTO public.ecdc_import VALUES (52385, '25/03/2020', '25', '3', '2020', '100', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.69788451');
INSERT INTO public.ecdc_import VALUES (52386, '24/03/2020', '24', '3', '2020', '76', '7', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.97509117');
INSERT INTO public.ecdc_import VALUES (52387, '23/03/2020', '23', '3', '2020', '64', '9', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.08245994');
INSERT INTO public.ecdc_import VALUES (52388, '22/03/2020', '22', '3', '2020', '98', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.4416573');
INSERT INTO public.ecdc_import VALUES (52389, '21/03/2020', '21', '3', '2020', '147', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.96678822');
INSERT INTO public.ecdc_import VALUES (52390, '20/03/2020', '20', '3', '2020', '87', '9', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '4.62271383');
INSERT INTO public.ecdc_import VALUES (52391, '19/03/2020', '19', '3', '2020', '152', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.4640946');
INSERT INTO public.ecdc_import VALUES (52392, '18/03/2020', '18', '3', '2020', '93', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.02241224');
INSERT INTO public.ecdc_import VALUES (52393, '17/03/2020', '17', '3', '2020', '84', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.84817573');
INSERT INTO public.ecdc_import VALUES (52394, '16/03/2020', '16', '3', '2020', '74', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '7.85549006');
INSERT INTO public.ecdc_import VALUES (52395, '15/03/2020', '15', '3', '2020', '76', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '9.05021171');
INSERT INTO public.ecdc_import VALUES (52396, '14/03/2020', '14', '3', '2020', '107', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '10.06338252');
INSERT INTO public.ecdc_import VALUES (52397, '13/03/2020', '13', '3', '2020', '110', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '11.62901449');
INSERT INTO public.ecdc_import VALUES (52398, '12/03/2020', '12', '3', '2020', '114', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.24784907');
INSERT INTO public.ecdc_import VALUES (52399, '11/03/2020', '11', '3', '2020', '242', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.90182252');
INSERT INTO public.ecdc_import VALUES (52400, '10/03/2020', '10', '3', '2020', '131', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.92524843');
INSERT INTO public.ecdc_import VALUES (52401, '09/03/2020', '9', '3', '2020', '248', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.92329627');
INSERT INTO public.ecdc_import VALUES (52402, '08/03/2020', '8', '3', '2020', '367', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.75345839');
INSERT INTO public.ecdc_import VALUES (52403, '07/03/2020', '7', '3', '2020', '483', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '12.53676868');
INSERT INTO public.ecdc_import VALUES (52404, '06/03/2020', '6', '3', '2020', '518', '7', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '11.96478593');
INSERT INTO public.ecdc_import VALUES (52405, '05/03/2020', '5', '3', '2020', '438', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '11.09997925');
INSERT INTO public.ecdc_import VALUES (52406, '04/03/2020', '4', '3', '2020', '516', '4', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '10.31130679');
INSERT INTO public.ecdc_import VALUES (52407, '03/03/2020', '3', '3', '2020', '600', '6', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '9.33327485');
INSERT INTO public.ecdc_import VALUES (52408, '02/03/2020', '2', '3', '2020', '686', '5', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '8.16393127');
INSERT INTO public.ecdc_import VALUES (52409, '01/03/2020', '1', '3', '2020', '595', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '6.82670197');
INSERT INTO public.ecdc_import VALUES (52410, '29/02/2020', '29', '2', '2020', '909', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '5.6671192');
INSERT INTO public.ecdc_import VALUES (52411, '28/02/2020', '28', '2', '2020', '427', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.89260616');
INSERT INTO public.ecdc_import VALUES (52412, '27/02/2020', '27', '2', '2020', '449', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '3.05903403');
INSERT INTO public.ecdc_import VALUES (52413, '26/02/2020', '26', '2', '2020', '254', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '2.18251439');
INSERT INTO public.ecdc_import VALUES (52414, '25/02/2020', '25', '2', '2020', '130', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.68666586');
INSERT INTO public.ecdc_import VALUES (52415, '24/02/2020', '24', '2', '2020', '161', '2', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.43483728');
INSERT INTO public.ecdc_import VALUES (52416, '23/02/2020', '23', '2', '2020', '256', '3', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '1.12444391');
INSERT INTO public.ecdc_import VALUES (52417, '22/02/2020', '22', '2', '2020', '190', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.62664322');
INSERT INTO public.ecdc_import VALUES (52418, '21/02/2020', '21', '2', '2020', '75', '1', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.2557329');
INSERT INTO public.ecdc_import VALUES (52419, '20/02/2020', '20', '2', '2020', '34', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.11127309');
INSERT INTO public.ecdc_import VALUES (52420, '19/02/2020', '19', '2', '2020', '15', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.05466047');
INSERT INTO public.ecdc_import VALUES (52421, '18/02/2020', '18', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02928239');
INSERT INTO public.ecdc_import VALUES (52422, '17/02/2020', '17', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02928239');
INSERT INTO public.ecdc_import VALUES (52423, '16/02/2020', '16', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02733023');
INSERT INTO public.ecdc_import VALUES (52885, '05/07/2020', '5', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.10368055');
INSERT INTO public.ecdc_import VALUES (52424, '15/02/2020', '15', '2', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.03123455');
INSERT INTO public.ecdc_import VALUES (52425, '14/02/2020', '14', '2', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04099535');
INSERT INTO public.ecdc_import VALUES (52426, '13/02/2020', '13', '2', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04685183');
INSERT INTO public.ecdc_import VALUES (52427, '12/02/2020', '12', '2', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04685183');
INSERT INTO public.ecdc_import VALUES (52428, '11/02/2020', '11', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04685183');
INSERT INTO public.ecdc_import VALUES (52429, '10/02/2020', '10', '2', '2020', '2', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04489967');
INSERT INTO public.ecdc_import VALUES (52430, '09/02/2020', '9', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04294751');
INSERT INTO public.ecdc_import VALUES (52431, '08/02/2020', '8', '2', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04294751');
INSERT INTO public.ecdc_import VALUES (52432, '07/02/2020', '7', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04294751');
INSERT INTO public.ecdc_import VALUES (52433, '06/02/2020', '6', '2', '2020', '5', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.04294751');
INSERT INTO public.ecdc_import VALUES (52434, '05/02/2020', '5', '2', '2020', '2', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.03318671');
INSERT INTO public.ecdc_import VALUES (52435, '04/02/2020', '4', '2', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02928239');
INSERT INTO public.ecdc_import VALUES (52436, '03/02/2020', '3', '2', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02733023');
INSERT INTO public.ecdc_import VALUES (52437, '02/02/2020', '2', '2', '2020', '3', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02928239');
INSERT INTO public.ecdc_import VALUES (52438, '01/02/2020', '1', '2', '2020', '5', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.02342591');
INSERT INTO public.ecdc_import VALUES (52439, '31/01/2020', '31', '1', '2020', '3', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.01366512');
INSERT INTO public.ecdc_import VALUES (52440, '30/01/2020', '30', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00780864');
INSERT INTO public.ecdc_import VALUES (52441, '29/01/2020', '29', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00780864');
INSERT INTO public.ecdc_import VALUES (52442, '28/01/2020', '28', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00780864');
INSERT INTO public.ecdc_import VALUES (52443, '27/01/2020', '27', '1', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00780864');
INSERT INTO public.ecdc_import VALUES (52444, '26/01/2020', '26', '1', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00585648');
INSERT INTO public.ecdc_import VALUES (52445, '25/01/2020', '25', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00390432');
INSERT INTO public.ecdc_import VALUES (52446, '24/01/2020', '24', '1', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00390432');
INSERT INTO public.ecdc_import VALUES (52447, '23/01/2020', '23', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00195216');
INSERT INTO public.ecdc_import VALUES (52448, '22/01/2020', '22', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00195216');
INSERT INTO public.ecdc_import VALUES (52449, '21/01/2020', '21', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00195216');
INSERT INTO public.ecdc_import VALUES (52450, '20/01/2020', '20', '1', '2020', '1', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0.00195216');
INSERT INTO public.ecdc_import VALUES (52451, '19/01/2020', '19', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52452, '18/01/2020', '18', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52453, '17/01/2020', '17', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52454, '16/01/2020', '16', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52455, '15/01/2020', '15', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52456, '14/01/2020', '14', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52457, '13/01/2020', '13', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (52458, '12/01/2020', '12', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52459, '11/01/2020', '11', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52460, '10/01/2020', '10', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52461, '09/01/2020', '9', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52462, '08/01/2020', '8', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52463, '07/01/2020', '7', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52464, '06/01/2020', '6', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52465, '05/01/2020', '5', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52466, '04/01/2020', '4', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52467, '03/01/2020', '3', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52468, '02/01/2020', '2', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52469, '01/01/2020', '1', '1', '2020', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52470, '31/12/2019', '31', '12', '2019', '0', '0', '51225321', 'South_Korea', 'KR', 'KOR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (52471, '14/12/2020', '14', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.87686675');
INSERT INTO public.ecdc_import VALUES (52472, '13/12/2020', '13', '12', '2020', '25', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.92206607');
INSERT INTO public.ecdc_import VALUES (52473, '12/12/2020', '12', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.80454785');
INSERT INTO public.ecdc_import VALUES (52474, '11/12/2020', '11', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.87686675');
INSERT INTO public.ecdc_import VALUES (52475, '10/12/2020', '10', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.2113417');
INSERT INTO public.ecdc_import VALUES (52476, '09/12/2020', '9', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.2113417');
INSERT INTO public.ecdc_import VALUES (52477, '08/12/2020', '8', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.2113417');
INSERT INTO public.ecdc_import VALUES (52478, '07/12/2020', '7', '12', '2020', '15', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.2113417');
INSERT INTO public.ecdc_import VALUES (52479, '06/12/2020', '6', '12', '2020', '12', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.07574375');
INSERT INTO public.ecdc_import VALUES (52480, '05/12/2020', '5', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.24750116');
INSERT INTO public.ecdc_import VALUES (52481, '04/12/2020', '4', '12', '2020', '36', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.24750116');
INSERT INTO public.ecdc_import VALUES (52482, '03/12/2020', '3', '12', '2020', '7', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.92206607');
INSERT INTO public.ecdc_import VALUES (52483, '02/12/2020', '2', '12', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.85878703');
INSERT INTO public.ecdc_import VALUES (52484, '01/12/2020', '1', '12', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.87686675');
INSERT INTO public.ecdc_import VALUES (52485, '30/11/2020', '30', '11', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.95822553');
INSERT INTO public.ecdc_import VALUES (52486, '29/11/2020', '29', '11', '2020', '12', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.91302621');
INSERT INTO public.ecdc_import VALUES (52487, '28/11/2020', '28', '11', '2020', '8', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.01246471');
INSERT INTO public.ecdc_import VALUES (52488, '27/11/2020', '27', '11', '2020', '37', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.12094307');
INSERT INTO public.ecdc_import VALUES (52489, '26/11/2020', '26', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.78646812');
INSERT INTO public.ecdc_import VALUES (52490, '25/11/2020', '25', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.78646812');
INSERT INTO public.ecdc_import VALUES (52491, '24/11/2020', '24', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.78646812');
INSERT INTO public.ecdc_import VALUES (52492, '23/11/2020', '23', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.83166744');
INSERT INTO public.ecdc_import VALUES (52493, '22/11/2020', '22', '11', '2020', '31', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.83166744');
INSERT INTO public.ecdc_import VALUES (52494, '21/11/2020', '21', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.55143167');
INSERT INTO public.ecdc_import VALUES (52495, '20/11/2020', '20', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.6418303');
INSERT INTO public.ecdc_import VALUES (52496, '19/11/2020', '19', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.65991003');
INSERT INTO public.ecdc_import VALUES (52497, '18/11/2020', '18', '11', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.68702962');
INSERT INTO public.ecdc_import VALUES (52498, '17/11/2020', '17', '11', '2020', '9', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.77742826');
INSERT INTO public.ecdc_import VALUES (52499, '16/11/2020', '16', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.69606949');
INSERT INTO public.ecdc_import VALUES (52500, '15/11/2020', '15', '11', '2020', '23', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.88590662');
INSERT INTO public.ecdc_import VALUES (52501, '14/11/2020', '14', '11', '2020', '20', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.69606949');
INSERT INTO public.ecdc_import VALUES (52502, '13/11/2020', '13', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.51527222');
INSERT INTO public.ecdc_import VALUES (52503, '12/11/2020', '12', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.63279044');
INSERT INTO public.ecdc_import VALUES (52504, '11/11/2020', '11', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.63279044');
INSERT INTO public.ecdc_import VALUES (52505, '10/11/2020', '10', '11', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.69606949');
INSERT INTO public.ecdc_import VALUES (52506, '09/11/2020', '9', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.65087017');
INSERT INTO public.ecdc_import VALUES (52507, '08/11/2020', '8', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.69606949');
INSERT INTO public.ecdc_import VALUES (52508, '07/11/2020', '7', '11', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.71414921');
INSERT INTO public.ecdc_import VALUES (52509, '06/11/2020', '6', '11', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.65991003');
INSERT INTO public.ecdc_import VALUES (52510, '05/11/2020', '5', '11', '2020', '3', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.65991003');
INSERT INTO public.ecdc_import VALUES (52511, '04/11/2020', '4', '11', '2020', '14', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.8407073');
INSERT INTO public.ecdc_import VALUES (52512, '03/11/2020', '3', '11', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.71414921');
INSERT INTO public.ecdc_import VALUES (52513, '02/11/2020', '2', '11', '2020', '21', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.75934853');
INSERT INTO public.ecdc_import VALUES (52514, '01/11/2020', '1', '11', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.79550798');
INSERT INTO public.ecdc_import VALUES (52515, '31/10/2020', '31', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.77742826');
INSERT INTO public.ecdc_import VALUES (52516, '30/10/2020', '30', '10', '2020', '13', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.86782689');
INSERT INTO public.ecdc_import VALUES (52517, '29/10/2020', '29', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.83166744');
INSERT INTO public.ecdc_import VALUES (52518, '28/10/2020', '28', '10', '2020', '7', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.83166744');
INSERT INTO public.ecdc_import VALUES (52519, '27/10/2020', '27', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.86782689');
INSERT INTO public.ecdc_import VALUES (52520, '26/10/2020', '26', '10', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.95822553');
INSERT INTO public.ecdc_import VALUES (52521, '25/10/2020', '25', '10', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.05766402');
INSERT INTO public.ecdc_import VALUES (52522, '24/10/2020', '24', '10', '2020', '4', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.0395843');
INSERT INTO public.ecdc_import VALUES (52523, '23/10/2020', '23', '10', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.12094307');
INSERT INTO public.ecdc_import VALUES (52524, '22/10/2020', '22', '10', '2020', '23', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.22942143');
INSERT INTO public.ecdc_import VALUES (52525, '21/10/2020', '21', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.02150457');
INSERT INTO public.ecdc_import VALUES (52526, '20/10/2020', '20', '10', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.09382348');
INSERT INTO public.ecdc_import VALUES (52527, '19/10/2020', '19', '10', '2020', '25', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.04862416');
INSERT INTO public.ecdc_import VALUES (52528, '18/10/2020', '18', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.92206607');
INSERT INTO public.ecdc_import VALUES (52529, '17/10/2020', '17', '10', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.92206607');
INSERT INTO public.ecdc_import VALUES (52530, '16/10/2020', '16', '10', '2020', '9', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.93110594');
INSERT INTO public.ecdc_import VALUES (52531, '15/10/2020', '15', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.84974716');
INSERT INTO public.ecdc_import VALUES (52532, '14/10/2020', '14', '10', '2020', '11', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.88590662');
INSERT INTO public.ecdc_import VALUES (52533, '13/10/2020', '13', '10', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.85878703');
INSERT INTO public.ecdc_import VALUES (52534, '12/10/2020', '12', '10', '2020', '16', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.82262757');
INSERT INTO public.ecdc_import VALUES (52535, '11/10/2020', '11', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.76838839');
INSERT INTO public.ecdc_import VALUES (52536, '10/10/2020', '10', '10', '2020', '13', '4', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.76838839');
INSERT INTO public.ecdc_import VALUES (52537, '09/10/2020', '9', '10', '2020', '14', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.75934853');
INSERT INTO public.ecdc_import VALUES (52538, '08/10/2020', '8', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.6689499');
INSERT INTO public.ecdc_import VALUES (52539, '07/10/2020', '7', '10', '2020', '8', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.6689499');
INSERT INTO public.ecdc_import VALUES (52540, '06/10/2020', '6', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.69606949');
INSERT INTO public.ecdc_import VALUES (52541, '05/10/2020', '5', '10', '2020', '11', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.75934853');
INSERT INTO public.ecdc_import VALUES (52542, '04/10/2020', '4', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.65991003');
INSERT INTO public.ecdc_import VALUES (52543, '03/10/2020', '3', '10', '2020', '11', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.95822553');
INSERT INTO public.ecdc_import VALUES (52544, '02/10/2020', '2', '10', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.94918566');
INSERT INTO public.ecdc_import VALUES (52545, '01/10/2020', '1', '10', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.99438498');
INSERT INTO public.ecdc_import VALUES (52546, '30/09/2020', '30', '9', '2020', '8', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.97630525');
INSERT INTO public.ecdc_import VALUES (52547, '29/09/2020', '29', '9', '2020', '6', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.94918566');
INSERT INTO public.ecdc_import VALUES (52548, '28/09/2020', '28', '9', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.97630525');
INSERT INTO public.ecdc_import VALUES (52549, '27/09/2020', '27', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.88590662');
INSERT INTO public.ecdc_import VALUES (52550, '26/09/2020', '26', '9', '2020', '12', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.97630525');
INSERT INTO public.ecdc_import VALUES (52551, '25/09/2020', '25', '9', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.98534512');
INSERT INTO public.ecdc_import VALUES (52552, '24/09/2020', '24', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.97630525');
INSERT INTO public.ecdc_import VALUES (52553, '23/09/2020', '23', '9', '2020', '11', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.0395843');
INSERT INTO public.ecdc_import VALUES (52554, '22/09/2020', '22', '9', '2020', '7', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.9401458');
INSERT INTO public.ecdc_import VALUES (52555, '21/09/2020', '21', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.88590662');
INSERT INTO public.ecdc_import VALUES (52556, '20/09/2020', '20', '9', '2020', '33', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.88590662');
INSERT INTO public.ecdc_import VALUES (52557, '19/09/2020', '19', '9', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.65991003');
INSERT INTO public.ecdc_import VALUES (52558, '18/09/2020', '18', '9', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.59663099');
INSERT INTO public.ecdc_import VALUES (52559, '17/09/2020', '17', '9', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.56047153');
INSERT INTO public.ecdc_import VALUES (52560, '16/09/2020', '16', '9', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.58759112');
INSERT INTO public.ecdc_import VALUES (52561, '15/09/2020', '15', '9', '2020', '9', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.54239181');
INSERT INTO public.ecdc_import VALUES (52562, '14/09/2020', '14', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.53335194');
INSERT INTO public.ecdc_import VALUES (52563, '13/09/2020', '13', '9', '2020', '10', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.53335194');
INSERT INTO public.ecdc_import VALUES (52564, '12/09/2020', '12', '9', '2020', '13', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.45199317');
INSERT INTO public.ecdc_import VALUES (52565, '11/09/2020', '11', '9', '2020', '3', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.3706344');
INSERT INTO public.ecdc_import VALUES (52566, '10/09/2020', '10', '9', '2020', '7', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.37967426');
INSERT INTO public.ecdc_import VALUES (52567, '09/09/2020', '9', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.34351481');
INSERT INTO public.ecdc_import VALUES (52568, '08/09/2020', '8', '9', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.3706344');
INSERT INTO public.ecdc_import VALUES (52569, '07/09/2020', '7', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.40679386');
INSERT INTO public.ecdc_import VALUES (52570, '06/09/2020', '6', '9', '2020', '8', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.42487358');
INSERT INTO public.ecdc_import VALUES (52571, '05/09/2020', '5', '9', '2020', '3', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.35255467');
INSERT INTO public.ecdc_import VALUES (52572, '04/09/2020', '4', '9', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.35255467');
INSERT INTO public.ecdc_import VALUES (52573, '03/09/2020', '3', '9', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.34351481');
INSERT INTO public.ecdc_import VALUES (52574, '02/09/2020', '2', '9', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.33447495');
INSERT INTO public.ecdc_import VALUES (52575, '01/09/2020', '1', '9', '2020', '8', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.33447495');
INSERT INTO public.ecdc_import VALUES (52576, '31/08/2020', '31', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.2711959');
INSERT INTO public.ecdc_import VALUES (52577, '30/08/2020', '30', '8', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.28023577');
INSERT INTO public.ecdc_import VALUES (52578, '29/08/2020', '29', '8', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.32543508');
INSERT INTO public.ecdc_import VALUES (52579, '28/08/2020', '28', '8', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.32543508');
INSERT INTO public.ecdc_import VALUES (52580, '27/08/2020', '27', '8', '2020', '3', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.29831549');
INSERT INTO public.ecdc_import VALUES (52581, '26/08/2020', '26', '8', '2020', '3', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.31639522');
INSERT INTO public.ecdc_import VALUES (52582, '25/08/2020', '25', '8', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.30735536');
INSERT INTO public.ecdc_import VALUES (52583, '24/08/2020', '24', '8', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.26215604');
INSERT INTO public.ecdc_import VALUES (52584, '23/08/2020', '23', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.30735536');
INSERT INTO public.ecdc_import VALUES (52585, '22/08/2020', '22', '8', '2020', '3', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.30735536');
INSERT INTO public.ecdc_import VALUES (52586, '21/08/2020', '21', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.32543508');
INSERT INTO public.ecdc_import VALUES (52587, '20/08/2020', '20', '8', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.39775399');
INSERT INTO public.ecdc_import VALUES (52588, '19/08/2020', '19', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.47911276');
INSERT INTO public.ecdc_import VALUES (52589, '18/08/2020', '18', '8', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.55143167');
INSERT INTO public.ecdc_import VALUES (52590, '17/08/2020', '17', '8', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.54239181');
INSERT INTO public.ecdc_import VALUES (52591, '16/08/2020', '16', '8', '2020', '6', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.22942143');
INSERT INTO public.ecdc_import VALUES (52592, '15/08/2020', '15', '8', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.44637815');
INSERT INTO public.ecdc_import VALUES (52593, '14/08/2020', '14', '8', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.4102187');
INSERT INTO public.ecdc_import VALUES (52594, '13/08/2020', '13', '8', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.40117883');
INSERT INTO public.ecdc_import VALUES (52595, '12/08/2020', '12', '8', '2020', '2', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.35597952');
INSERT INTO public.ecdc_import VALUES (52596, '11/08/2020', '11', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.49157747');
INSERT INTO public.ecdc_import VALUES (52597, '10/08/2020', '10', '8', '2020', '7', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.8802916');
INSERT INTO public.ecdc_import VALUES (52598, '09/08/2020', '9', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.85317201');
INSERT INTO public.ecdc_import VALUES (52599, '08/08/2020', '8', '8', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.85317201');
INSERT INTO public.ecdc_import VALUES (52600, '07/08/2020', '7', '8', '2020', '8', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.97973009');
INSERT INTO public.ecdc_import VALUES (52601, '06/08/2020', '6', '8', '2020', '13', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.16052736');
INSERT INTO public.ecdc_import VALUES (52602, '05/08/2020', '5', '8', '2020', '8', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.04300914');
INSERT INTO public.ecdc_import VALUES (52603, '04/08/2020', '4', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.97069023');
INSERT INTO public.ecdc_import VALUES (52604, '03/08/2020', '3', '8', '2020', '77', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.07012873');
INSERT INTO public.ecdc_import VALUES (52605, '02/08/2020', '2', '8', '2020', '30', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.45541802');
INSERT INTO public.ecdc_import VALUES (52606, '01/08/2020', '1', '8', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.18422211');
INSERT INTO public.ecdc_import VALUES (52607, '31/07/2020', '31', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.36501938');
INSERT INTO public.ecdc_import VALUES (52608, '30/07/2020', '30', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.52773692');
INSERT INTO public.ecdc_import VALUES (52609, '29/07/2020', '29', '7', '2020', '17', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.57293624');
INSERT INTO public.ecdc_import VALUES (52610, '28/07/2020', '28', '7', '2020', '43', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.41925856');
INSERT INTO public.ecdc_import VALUES (52611, '27/07/2020', '27', '7', '2020', '4', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.1119032');
INSERT INTO public.ecdc_import VALUES (52612, '26/07/2020', '26', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.16614238');
INSERT INTO public.ecdc_import VALUES (52613, '25/07/2020', '25', '7', '2020', '19', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.16614238');
INSERT INTO public.ecdc_import VALUES (52614, '24/07/2020', '24', '7', '2020', '28', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.13902279');
INSERT INTO public.ecdc_import VALUES (52615, '23/07/2020', '23', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.94918566');
INSERT INTO public.ecdc_import VALUES (52616, '22/07/2020', '22', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.02150457');
INSERT INTO public.ecdc_import VALUES (52617, '21/07/2020', '21', '7', '2020', '11', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.06670389');
INSERT INTO public.ecdc_import VALUES (52618, '20/07/2020', '20', '7', '2020', '9', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.48253761');
INSERT INTO public.ecdc_import VALUES (52619, '19/07/2020', '19', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.40117883');
INSERT INTO public.ecdc_import VALUES (52620, '18/07/2020', '18', '7', '2020', '20', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.40117883');
INSERT INTO public.ecdc_import VALUES (52621, '17/07/2020', '17', '7', '2020', '18', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.22038157');
INSERT INTO public.ecdc_import VALUES (52622, '16/07/2020', '16', '7', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.32885993');
INSERT INTO public.ecdc_import VALUES (52623, '15/07/2020', '15', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.28366061');
INSERT INTO public.ecdc_import VALUES (52624, '14/07/2020', '14', '7', '2020', '9', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.28366061');
INSERT INTO public.ecdc_import VALUES (52625, '13/07/2020', '13', '7', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.35597952');
INSERT INTO public.ecdc_import VALUES (52626, '12/07/2020', '12', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.54581665');
INSERT INTO public.ecdc_import VALUES (52627, '11/07/2020', '11', '7', '2020', '16', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.60005583');
INSERT INTO public.ecdc_import VALUES (52628, '10/07/2020', '10', '7', '2020', '7', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.54581665');
INSERT INTO public.ecdc_import VALUES (52629, '09/07/2020', '9', '7', '2020', '8', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.59101597');
INSERT INTO public.ecdc_import VALUES (52630, '08/07/2020', '8', '7', '2020', '5', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.64525515');
INSERT INTO public.ecdc_import VALUES (52631, '07/07/2020', '7', '7', '2020', '57', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.81701255');
INSERT INTO public.ecdc_import VALUES (52632, '06/07/2020', '6', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.39213897');
INSERT INTO public.ecdc_import VALUES (52633, '05/07/2020', '5', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.55485651');
INSERT INTO public.ecdc_import VALUES (52634, '04/07/2020', '4', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.01588955');
INSERT INTO public.ecdc_import VALUES (52635, '03/07/2020', '3', '7', '2020', '30', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.01588955');
INSERT INTO public.ecdc_import VALUES (52636, '02/07/2020', '2', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.79893283');
INSERT INTO public.ecdc_import VALUES (52637, '01/07/2020', '1', '7', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.07916859');
INSERT INTO public.ecdc_import VALUES (52638, '30/06/2020', '30', '6', '2020', '17', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.26900573');
INSERT INTO public.ecdc_import VALUES (52639, '29/06/2020', '29', '6', '2020', '31', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.67579958');
INSERT INTO public.ecdc_import VALUES (52640, '28/06/2020', '28', '6', '2020', '6', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.39556381');
INSERT INTO public.ecdc_import VALUES (52641, '27/06/2020', '27', '6', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.54924149');
INSERT INTO public.ecdc_import VALUES (52642, '26/06/2020', '26', '6', '2020', '12', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '3.05547385');
INSERT INTO public.ecdc_import VALUES (52643, '25/06/2020', '25', '6', '2020', '14', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.94699548');
INSERT INTO public.ecdc_import VALUES (52644, '24/06/2020', '24', '6', '2020', '24', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.8204374');
INSERT INTO public.ecdc_import VALUES (52645, '23/06/2020', '23', '6', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.60348067');
INSERT INTO public.ecdc_import VALUES (52646, '22/06/2020', '22', '6', '2020', '18', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '5.10752285');
INSERT INTO public.ecdc_import VALUES (52647, '21/06/2020', '21', '6', '2020', '51', '3', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '4.94480531');
INSERT INTO public.ecdc_import VALUES (52648, '20/06/2020', '20', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '4.48377227');
INSERT INTO public.ecdc_import VALUES (52649, '19/06/2020', '19', '6', '2020', '6', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '4.48377227');
INSERT INTO public.ecdc_import VALUES (52650, '18/06/2020', '18', '6', '2020', '31', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '7.34940898');
INSERT INTO public.ecdc_import VALUES (52651, '17/06/2020', '17', '6', '2020', '21', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '7.06917322');
INSERT INTO public.ecdc_import VALUES (52652, '16/06/2020', '16', '6', '2020', '62', '3', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.87933608');
INSERT INTO public.ecdc_import VALUES (52653, '15/06/2020', '15', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.31886455');
INSERT INTO public.ecdc_import VALUES (52654, '14/06/2020', '14', '6', '2020', '23', '5', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.31886455');
INSERT INTO public.ecdc_import VALUES (52655, '13/06/2020', '13', '6', '2020', '66', '3', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.11094769');
INSERT INTO public.ecdc_import VALUES (52656, '12/06/2020', '12', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '7.21381103');
INSERT INTO public.ecdc_import VALUES (52657, '11/06/2020', '11', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '7.21381103');
INSERT INTO public.ecdc_import VALUES (52658, '10/06/2020', '10', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '7.21381103');
INSERT INTO public.ecdc_import VALUES (52659, '09/06/2020', '9', '6', '2020', '287', '5', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '8.57883041');
INSERT INTO public.ecdc_import VALUES (52660, '08/06/2020', '8', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.81605704');
INSERT INTO public.ecdc_import VALUES (52661, '07/06/2020', '7', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.81605704');
INSERT INTO public.ecdc_import VALUES (52662, '06/06/2020', '6', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '8.84098645');
INSERT INTO public.ecdc_import VALUES (52663, '05/06/2020', '5', '6', '2020', '323', '4', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '8.84098645');
INSERT INTO public.ecdc_import VALUES (52664, '04/06/2020', '4', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.40926318');
INSERT INTO public.ecdc_import VALUES (52665, '03/06/2020', '3', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.40926318');
INSERT INTO public.ecdc_import VALUES (52666, '02/06/2020', '2', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.43638277');
INSERT INTO public.ecdc_import VALUES (52667, '01/06/2020', '1', '6', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.43638277');
INSERT INTO public.ecdc_import VALUES (52668, '31/05/2020', '31', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.85221649');
INSERT INTO public.ecdc_import VALUES (52669, '30/05/2020', '30', '5', '2020', '188', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '6.85221649');
INSERT INTO public.ecdc_import VALUES (52670, '29/05/2020', '29', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '5.19792148');
INSERT INTO public.ecdc_import VALUES (52671, '28/05/2020', '28', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '5.45103766');
INSERT INTO public.ecdc_import VALUES (52672, '27/05/2020', '27', '5', '2020', '151', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '5.53239643');
INSERT INTO public.ecdc_import VALUES (52673, '26/05/2020', '26', '5', '2020', '92', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '4.51089186');
INSERT INTO public.ecdc_import VALUES (52674, '25/05/2020', '25', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '3.67922442');
INSERT INTO public.ecdc_import VALUES (52675, '24/05/2020', '24', '5', '2020', '224', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '3.79674265');
INSERT INTO public.ecdc_import VALUES (52676, '23/05/2020', '23', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.97973009');
INSERT INTO public.ecdc_import VALUES (52677, '22/05/2020', '22', '5', '2020', '54', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.250926');
INSERT INTO public.ecdc_import VALUES (52678, '21/05/2020', '21', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.90741119');
INSERT INTO public.ecdc_import VALUES (52679, '20/05/2020', '20', '5', '2020', '3', '2', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.10628818');
INSERT INTO public.ecdc_import VALUES (52680, '19/05/2020', '19', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.13340777');
INSERT INTO public.ecdc_import VALUES (52681, '18/05/2020', '18', '5', '2020', '46', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '2.13340777');
INSERT INTO public.ecdc_import VALUES (52682, '17/05/2020', '17', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.72661392');
INSERT INTO public.ecdc_import VALUES (52683, '16/05/2020', '16', '5', '2020', '5', '3', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.72661392');
INSERT INTO public.ecdc_import VALUES (52684, '15/05/2020', '15', '5', '2020', '28', '1', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.77181324');
INSERT INTO public.ecdc_import VALUES (52685, '14/05/2020', '14', '5', '2020', '9', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.52773692');
INSERT INTO public.ecdc_import VALUES (52686, '13/05/2020', '13', '5', '2020', '38', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.44637815');
INSERT INTO public.ecdc_import VALUES (52687, '12/05/2020', '12', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.35597952');
INSERT INTO public.ecdc_import VALUES (52688, '11/05/2020', '11', '5', '2020', '13', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.35597952');
INSERT INTO public.ecdc_import VALUES (52689, '10/05/2020', '10', '5', '2020', '23', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.24750116');
INSERT INTO public.ecdc_import VALUES (52690, '09/05/2020', '9', '5', '2020', '30', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '1.0395843');
INSERT INTO public.ecdc_import VALUES (52691, '08/05/2020', '8', '5', '2020', '16', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.77742826');
INSERT INTO public.ecdc_import VALUES (52692, '07/05/2020', '7', '5', '2020', '22', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.63279044');
INSERT INTO public.ecdc_import VALUES (52693, '06/05/2020', '6', '5', '2020', '6', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.43391345');
INSERT INTO public.ecdc_import VALUES (52694, '05/05/2020', '5', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.37967426');
INSERT INTO public.ecdc_import VALUES (52695, '04/05/2020', '4', '5', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.37967426');
INSERT INTO public.ecdc_import VALUES (52696, '03/05/2020', '3', '5', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.3706344');
INSERT INTO public.ecdc_import VALUES (52697, '02/05/2020', '2', '5', '2020', '10', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.3706344');
INSERT INTO public.ecdc_import VALUES (52698, '01/05/2020', '1', '5', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.28023577');
INSERT INTO public.ecdc_import VALUES (52699, '30/04/2020', '30', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.2711959');
INSERT INTO public.ecdc_import VALUES (52700, '29/04/2020', '29', '4', '2020', '28', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.2711959');
INSERT INTO public.ecdc_import VALUES (52701, '28/04/2020', '28', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.01807973');
INSERT INTO public.ecdc_import VALUES (52702, '27/04/2020', '27', '4', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.01807973');
INSERT INTO public.ecdc_import VALUES (52703, '26/04/2020', '26', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.00903986');
INSERT INTO public.ecdc_import VALUES (52704, '25/04/2020', '25', '4', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.01807973');
INSERT INTO public.ecdc_import VALUES (52705, '24/04/2020', '24', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.01807973');
INSERT INTO public.ecdc_import VALUES (52706, '23/04/2020', '23', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.01807973');
INSERT INTO public.ecdc_import VALUES (52707, '22/04/2020', '22', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.02711959');
INSERT INTO public.ecdc_import VALUES (52708, '21/04/2020', '21', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.02711959');
INSERT INTO public.ecdc_import VALUES (52709, '20/04/2020', '20', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.02711959');
INSERT INTO public.ecdc_import VALUES (52710, '19/04/2020', '19', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '0.03615945');
INSERT INTO public.ecdc_import VALUES (52711, '18/04/2020', '18', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52712, '17/04/2020', '17', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52713, '16/04/2020', '16', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52714, '15/04/2020', '15', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52715, '14/04/2020', '14', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52716, '13/04/2020', '13', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52717, '12/04/2020', '12', '4', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52718, '11/04/2020', '11', '4', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52719, '10/04/2020', '10', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52720, '09/04/2020', '9', '4', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52721, '08/04/2020', '8', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52722, '07/04/2020', '7', '4', '2020', '0', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52723, '06/04/2020', '6', '4', '2020', '1', '0', '11062114', 'South_Sudan', 'SS', 'SSD', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (52724, '13/12/2020', '13', '12', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '218.09418826');
INSERT INTO public.ecdc_import VALUES (52725, '12/12/2020', '12', '12', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '218.09418826');
INSERT INTO public.ecdc_import VALUES (52726, '11/12/2020', '11', '12', '2020', '10519', '280', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '218.09418826');
INSERT INTO public.ecdc_import VALUES (52727, '10/12/2020', '10', '12', '2020', '7955', '325', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '218.80577948');
INSERT INTO public.ecdc_import VALUES (52728, '09/12/2020', '9', '12', '2020', '9773', '373', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '228.0394213');
INSERT INTO public.ecdc_import VALUES (52729, '08/12/2020', '8', '12', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '228.99602148');
INSERT INTO public.ecdc_import VALUES (52730, '07/12/2020', '7', '12', '2020', '17681', '394', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '255.04793014');
INSERT INTO public.ecdc_import VALUES (52731, '06/12/2020', '6', '12', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '272.52878642');
INSERT INTO public.ecdc_import VALUES (52732, '05/12/2020', '5', '12', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '272.52878642');
INSERT INTO public.ecdc_import VALUES (52733, '04/12/2020', '4', '12', '2020', '8745', '214', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '272.52878642');
INSERT INTO public.ecdc_import VALUES (52734, '03/12/2020', '3', '12', '2020', '10127', '254', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '286.18750301');
INSERT INTO public.ecdc_import VALUES (52735, '02/12/2020', '2', '12', '2020', '9331', '273', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '299.19641324');
INSERT INTO public.ecdc_import VALUES (52736, '01/12/2020', '1', '12', '2020', '8257', '442', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '311.95179246');
INSERT INTO public.ecdc_import VALUES (52737, '30/11/2020', '30', '11', '2020', '19979', '401', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '322.39556547');
INSERT INTO public.ecdc_import VALUES (52738, '29/11/2020', '29', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '361.37116385');
INSERT INTO public.ecdc_import VALUES (52739, '28/11/2020', '28', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '361.37116385');
INSERT INTO public.ecdc_import VALUES (52740, '27/11/2020', '27', '11', '2020', '10853', '294', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '361.37116385');
INSERT INTO public.ecdc_import VALUES (52741, '26/11/2020', '26', '11', '2020', '12289', '337', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '383.77989589');
INSERT INTO public.ecdc_import VALUES (52742, '25/11/2020', '25', '11', '2020', '10222', '369', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '399.16645823');
INSERT INTO public.ecdc_import VALUES (52743, '24/11/2020', '24', '11', '2020', '12228', '537', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '418.07262747');
INSERT INTO public.ecdc_import VALUES (52744, '23/11/2020', '23', '11', '2020', '25886', '512', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '429.08098633');
INSERT INTO public.ecdc_import VALUES (52745, '22/11/2020', '22', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '485.5395715');
INSERT INTO public.ecdc_import VALUES (52746, '21/11/2020', '21', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '485.5395715');
INSERT INTO public.ecdc_import VALUES (52747, '20/11/2020', '20', '11', '2020', '15156', '328', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '485.5395715');
INSERT INTO public.ecdc_import VALUES (52748, '19/11/2020', '19', '11', '2020', '16233', '252', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '501.22014459');
INSERT INTO public.ecdc_import VALUES (52749, '18/11/2020', '18', '11', '2020', '15318', '351', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '513.31080387');
INSERT INTO public.ecdc_import VALUES (52750, '17/11/2020', '17', '11', '2020', '13159', '435', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '534.02790886');
INSERT INTO public.ecdc_import VALUES (52751, '16/11/2020', '16', '11', '2020', '38273', '484', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '545.76703356');
INSERT INTO public.ecdc_import VALUES (52752, '15/11/2020', '15', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '581.44459836');
INSERT INTO public.ecdc_import VALUES (52753, '14/11/2020', '14', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '581.44459836');
INSERT INTO public.ecdc_import VALUES (52754, '13/11/2020', '13', '11', '2020', '21371', '308', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '581.44459836');
INSERT INTO public.ecdc_import VALUES (52755, '12/11/2020', '12', '11', '2020', '19511', '356', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '590.44388379');
INSERT INTO public.ecdc_import VALUES (52756, '11/11/2020', '11', '11', '2020', '19096', '349', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '599.11293975');
INSERT INTO public.ecdc_import VALUES (52757, '10/11/2020', '10', '11', '2020', '17395', '411', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '600.53825272');
INSERT INTO public.ecdc_import VALUES (52758, '09/11/2020', '9', '11', '2020', '52386', '512', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '602.71776715');
INSERT INTO public.ecdc_import VALUES (52759, '08/11/2020', '8', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '602.29592565');
INSERT INTO public.ecdc_import VALUES (52760, '07/11/2020', '7', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '602.29592565');
INSERT INTO public.ecdc_import VALUES (52761, '06/11/2020', '6', '11', '2020', '22516', '347', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '602.29592565');
INSERT INTO public.ecdc_import VALUES (52762, '05/11/2020', '5', '11', '2020', '21908', '368', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '596.61810944');
INSERT INTO public.ecdc_import VALUES (52763, '04/11/2020', '4', '11', '2020', '25042', '1623', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '594.65377678');
INSERT INTO public.ecdc_import VALUES (52764, '03/11/2020', '3', '11', '2020', '18669', '238', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '577.46267022');
INSERT INTO public.ecdc_import VALUES (52765, '02/11/2020', '2', '11', '2020', '55019', '379', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '567.24473156');
INSERT INTO public.ecdc_import VALUES (52766, '01/11/2020', '1', '11', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '530.7490499');
INSERT INTO public.ecdc_import VALUES (52767, '31/10/2020', '31', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '530.7490499');
INSERT INTO public.ecdc_import VALUES (52768, '30/10/2020', '30', '10', '2020', '25595', '239', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '530.7490499');
INSERT INTO public.ecdc_import VALUES (52769, '29/10/2020', '29', '10', '2020', '23580', '173', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '508.57254374');
INSERT INTO public.ecdc_import VALUES (52770, '28/10/2020', '28', '10', '2020', '19765', '168', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '486.70922295');
INSERT INTO public.ecdc_import VALUES (52771, '27/10/2020', '27', '10', '2020', '18418', '267', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '470.10187685');
INSERT INTO public.ecdc_import VALUES (52772, '26/10/2020', '26', '10', '2020', '52188', '279', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '446.02708393');
INSERT INTO public.ecdc_import VALUES (52773, '25/10/2020', '25', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '394.18745017');
INSERT INTO public.ecdc_import VALUES (52774, '24/10/2020', '24', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '394.18745017');
INSERT INTO public.ecdc_import VALUES (52775, '23/10/2020', '23', '10', '2020', '19851', '231', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '394.18745017');
INSERT INTO public.ecdc_import VALUES (52776, '22/10/2020', '22', '10', '2020', '20986', '155', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '379.13963934');
INSERT INTO public.ecdc_import VALUES (52777, '21/10/2020', '21', '10', '2020', '16973', '156', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '360.89605953');
INSERT INTO public.ecdc_import VALUES (52778, '20/10/2020', '20', '10', '2020', '13873', '218', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '347.08607655');
INSERT INTO public.ecdc_import VALUES (52779, '19/10/2020', '19', '10', '2020', '37889', '217', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '343.09136533');
INSERT INTO public.ecdc_import VALUES (52780, '18/10/2020', '18', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '312.39280858');
INSERT INTO public.ecdc_import VALUES (52781, '17/10/2020', '17', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '312.39280858');
INSERT INTO public.ecdc_import VALUES (52782, '16/10/2020', '16', '10', '2020', '15186', '222', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '312.39280858');
INSERT INTO public.ecdc_import VALUES (52783, '15/10/2020', '15', '10', '2020', '13318', '140', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '304.16689925');
INSERT INTO public.ecdc_import VALUES (52784, '14/10/2020', '14', '10', '2020', '11970', '209', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '295.86003043');
INSERT INTO public.ecdc_import VALUES (52785, '13/10/2020', '13', '10', '2020', '7118', '80', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '293.82752137');
INSERT INTO public.ecdc_import VALUES (52786, '12/10/2020', '12', '10', '2020', '27856', '195', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '299.76739063');
INSERT INTO public.ecdc_import VALUES (52787, '11/10/2020', '11', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '308.13817482');
INSERT INTO public.ecdc_import VALUES (52788, '10/10/2020', '10', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '308.13817482');
INSERT INTO public.ecdc_import VALUES (52789, '09/10/2020', '9', '10', '2020', '12788', '241', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '308.13817482');
INSERT INTO public.ecdc_import VALUES (52790, '08/10/2020', '8', '10', '2020', '12423', '126', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '307.0388303');
INSERT INTO public.ecdc_import VALUES (52791, '07/10/2020', '7', '10', '2020', '10491', '76', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '303.26782291');
INSERT INTO public.ecdc_import VALUES (52792, '06/10/2020', '6', '10', '2020', '11998', '261', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '304.967972');
INSERT INTO public.ecdc_import VALUES (52793, '05/10/2020', '5', '10', '2020', '23480', '139', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '302.41348734');
INSERT INTO public.ecdc_import VALUES (52794, '04/10/2020', '4', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.34680187');
INSERT INTO public.ecdc_import VALUES (52795, '03/10/2020', '3', '10', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.34680187');
INSERT INTO public.ecdc_import VALUES (52796, '02/10/2020', '2', '10', '2020', '11325', '113', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.34680187');
INSERT INTO public.ecdc_import VALUES (52797, '01/10/2020', '1', '10', '2020', '9419', '182', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '325.87469262');
INSERT INTO public.ecdc_import VALUES (52798, '30/09/2020', '30', '9', '2020', '11016', '177', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '329.8630123');
INSERT INTO public.ecdc_import VALUES (52799, '29/09/2020', '29', '9', '2020', '9906', '203', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '330.24011304');
INSERT INTO public.ecdc_import VALUES (52800, '28/09/2020', '28', '9', '2020', '31785', '179', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '329.2409026');
INSERT INTO public.ecdc_import VALUES (52801, '27/09/2020', '27', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.90712669');
INSERT INTO public.ecdc_import VALUES (52802, '26/09/2020', '26', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.90712669');
INSERT INTO public.ecdc_import VALUES (52803, '25/09/2020', '25', '9', '2020', '12272', '114', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.90712669');
INSERT INTO public.ecdc_import VALUES (52804, '24/09/2020', '24', '9', '2020', '10653', '84', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.71751107');
INSERT INTO public.ecdc_import VALUES (52805, '23/09/2020', '23', '9', '2020', '11289', '130', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '319.95399797');
INSERT INTO public.ecdc_import VALUES (52806, '22/09/2020', '22', '9', '2020', '10799', '241', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '314.79176582');
INSERT INTO public.ecdc_import VALUES (52807, '21/09/2020', '21', '9', '2020', '31428', '168', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '310.88227511');
INSERT INTO public.ecdc_import VALUES (52808, '20/09/2020', '20', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '300.51093954');
INSERT INTO public.ecdc_import VALUES (52809, '19/09/2020', '19', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '300.51093954');
INSERT INTO public.ecdc_import VALUES (52810, '18/09/2020', '18', '9', '2020', '14389', '90', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '300.51093954');
INSERT INTO public.ecdc_import VALUES (52811, '17/09/2020', '17', '9', '2020', '11291', '162', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '292.17424355');
INSERT INTO public.ecdc_import VALUES (52812, '16/09/2020', '16', '9', '2020', '11193', '239', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '287.20588806');
INSERT INTO public.ecdc_import VALUES (52813, '15/09/2020', '15', '9', '2020', '9437', '156', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '281.64098902');
INSERT INTO public.ecdc_import VALUES (52814, '14/09/2020', '14', '9', '2020', '27404', '101', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '278.8244513');
INSERT INTO public.ecdc_import VALUES (52815, '13/09/2020', '13', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '270.66032683');
INSERT INTO public.ecdc_import VALUES (52816, '12/09/2020', '12', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '270.66032683');
INSERT INTO public.ecdc_import VALUES (52817, '11/09/2020', '11', '9', '2020', '12183', '48', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '270.66032683');
INSERT INTO public.ecdc_import VALUES (52818, '10/09/2020', '10', '9', '2020', '10764', '71', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '265.53857442');
INSERT INTO public.ecdc_import VALUES (52819, '09/09/2020', '9', '9', '2020', '8866', '34', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '263.18222743');
INSERT INTO public.ecdc_import VALUES (52820, '08/09/2020', '8', '9', '2020', '8964', '78', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '259.83732258');
INSERT INTO public.ecdc_import VALUES (52821, '07/09/2020', '7', '9', '2020', '26560', '98', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '255.90226571');
INSERT INTO public.ecdc_import VALUES (52822, '06/09/2020', '6', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '240.60944593');
INSERT INTO public.ecdc_import VALUES (52823, '05/09/2020', '5', '9', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '240.60944593');
INSERT INTO public.ecdc_import VALUES (52824, '04/09/2020', '4', '9', '2020', '10476', '184', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '240.60944593');
INSERT INTO public.ecdc_import VALUES (52825, '03/09/2020', '3', '9', '2020', '8959', '40', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '235.64961248');
INSERT INTO public.ecdc_import VALUES (52826, '02/09/2020', '2', '9', '2020', '8581', '42', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '231.5590282');
INSERT INTO public.ecdc_import VALUES (52827, '01/09/2020', '1', '9', '2020', '8115', '58', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '227.48974904');
INSERT INTO public.ecdc_import VALUES (52828, '31/08/2020', '31', '8', '2020', '23572', '83', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '221.09608058');
INSERT INTO public.ecdc_import VALUES (52829, '30/08/2020', '30', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '205.53694671');
INSERT INTO public.ecdc_import VALUES (52830, '29/08/2020', '29', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '205.53694671');
INSERT INTO public.ecdc_import VALUES (52831, '28/08/2020', '28', '8', '2020', '9779', '15', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '205.53694671');
INSERT INTO public.ecdc_import VALUES (52832, '27/08/2020', '27', '8', '2020', '9658', '25', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '196.37574232');
INSERT INTO public.ecdc_import VALUES (52833, '26/08/2020', '26', '8', '2020', '7296', '47', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '191.88462166');
INSERT INTO public.ecdc_import VALUES (52834, '25/08/2020', '25', '8', '2020', '7117', '52', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '183.0983875');
INSERT INTO public.ecdc_import VALUES (52835, '24/08/2020', '24', '8', '2020', '19382', '34', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '175.67355092');
INSERT INTO public.ecdc_import VALUES (52836, '23/08/2020', '23', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '152.74071278');
INSERT INTO public.ecdc_import VALUES (52837, '22/08/2020', '22', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '152.74071278');
INSERT INTO public.ecdc_import VALUES (52838, '21/08/2020', '21', '8', '2020', '8148', '25', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '152.74071278');
INSERT INTO public.ecdc_import VALUES (52839, '20/08/2020', '20', '8', '2020', '7039', '16', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '144.98351622');
INSERT INTO public.ecdc_import VALUES (52840, '19/08/2020', '19', '8', '2020', '6671', '127', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '138.6963734');
INSERT INTO public.ecdc_import VALUES (52841, '18/08/2020', '18', '8', '2020', '5114', '24', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '130.77512737');
INSERT INTO public.ecdc_import VALUES (52842, '17/08/2020', '17', '8', '2020', '16269', '29', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '132.15143854');
INSERT INTO public.ecdc_import VALUES (52843, '16/08/2020', '16', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '115.66766218');
INSERT INTO public.ecdc_import VALUES (52844, '15/08/2020', '15', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '115.66766218');
INSERT INTO public.ecdc_import VALUES (52845, '14/08/2020', '14', '8', '2020', '5479', '12', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '115.66766218');
INSERT INTO public.ecdc_import VALUES (52846, '13/08/2020', '13', '8', '2020', '7550', '26', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '110.58212849');
INSERT INTO public.ecdc_import VALUES (52847, '12/08/2020', '12', '8', '2020', '3172', '-2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '100.43875777');
INSERT INTO public.ecdc_import VALUES (52848, '11/08/2020', '11', '8', '2020', '3632', '5', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '98.00784284');
INSERT INTO public.ecdc_import VALUES (52849, '10/08/2020', '10', '8', '2020', '8618', '73', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '94.16439803');
INSERT INTO public.ecdc_import VALUES (52850, '09/08/2020', '9', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '89.35583098');
INSERT INTO public.ecdc_import VALUES (52851, '08/08/2020', '8', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '89.35583098');
INSERT INTO public.ecdc_import VALUES (52852, '07/08/2020', '7', '8', '2020', '4507', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '89.35583098');
INSERT INTO public.ecdc_import VALUES (52853, '06/08/2020', '6', '8', '2020', '4088', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '84.55791649');
INSERT INTO public.ecdc_import VALUES (52854, '05/08/2020', '5', '8', '2020', '2953', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '81.41967136');
INSERT INTO public.ecdc_import VALUES (52855, '04/08/2020', '4', '8', '2020', '5760', '26', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '78.01937318');
INSERT INTO public.ecdc_import VALUES (52856, '03/08/2020', '3', '8', '2020', '8532', '27', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '68.6408565');
INSERT INTO public.ecdc_import VALUES (52857, '02/08/2020', '2', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '60.22320103');
INSERT INTO public.ecdc_import VALUES (52858, '01/08/2020', '1', '8', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '60.22320103');
INSERT INTO public.ecdc_import VALUES (52859, '31/07/2020', '31', '7', '2020', '3092', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '60.22320103');
INSERT INTO public.ecdc_import VALUES (52860, '30/07/2020', '30', '7', '2020', '2789', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '56.61837363');
INSERT INTO public.ecdc_import VALUES (52861, '29/07/2020', '29', '7', '2020', '2031', '5', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '53.57600156');
INSERT INTO public.ecdc_import VALUES (52862, '28/07/2020', '28', '7', '2020', '1828', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '51.11312894');
INSERT INTO public.ecdc_import VALUES (52863, '27/07/2020', '27', '7', '2020', '6361', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '48.63747325');
INSERT INTO public.ecdc_import VALUES (52864, '26/07/2020', '26', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '39.44218066');
INSERT INTO public.ecdc_import VALUES (52865, '25/07/2020', '25', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '39.44218066');
INSERT INTO public.ecdc_import VALUES (52866, '24/07/2020', '24', '7', '2020', '2255', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '39.44218066');
INSERT INTO public.ecdc_import VALUES (52867, '23/07/2020', '23', '7', '2020', '2615', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '36.45307141');
INSERT INTO public.ecdc_import VALUES (52868, '22/07/2020', '22', '7', '2020', '1357', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '32.0386492');
INSERT INTO public.ecdc_import VALUES (52869, '21/07/2020', '21', '7', '2020', '1358', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '29.96352988');
INSERT INTO public.ecdc_import VALUES (52870, '20/07/2020', '20', '7', '2020', '4581', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '27.79679852');
INSERT INTO public.ecdc_import VALUES (52871, '19/07/2020', '19', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '20.68727781');
INSERT INTO public.ecdc_import VALUES (52872, '18/07/2020', '18', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '20.68727781');
INSERT INTO public.ecdc_import VALUES (52873, '17/07/2020', '17', '7', '2020', '1400', '4', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '20.68727781');
INSERT INTO public.ecdc_import VALUES (52874, '16/07/2020', '16', '7', '2020', '1361', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '18.6462467');
INSERT INTO public.ecdc_import VALUES (52875, '15/07/2020', '15', '7', '2020', '875', '4', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '16.6925666');
INSERT INTO public.ecdc_import VALUES (52876, '14/07/2020', '14', '7', '2020', '666', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '15.65500694');
INSERT INTO public.ecdc_import VALUES (52877, '13/07/2020', '13', '7', '2020', '2045', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '14.87736982');
INSERT INTO public.ecdc_import VALUES (52878, '12/07/2020', '12', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.94657399');
INSERT INTO public.ecdc_import VALUES (52879, '11/07/2020', '11', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '11.58785829');
INSERT INTO public.ecdc_import VALUES (52880, '10/07/2020', '10', '7', '2020', '852', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '12.78946743');
INSERT INTO public.ecdc_import VALUES (52881, '09/07/2020', '9', '7', '2020', '543', '5', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '11.86695545');
INSERT INTO public.ecdc_import VALUES (52882, '08/07/2020', '8', '7', '2020', '383', '4', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '11.56229214');
INSERT INTO public.ecdc_import VALUES (52883, '07/07/2020', '7', '7', '2020', '341', '4', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '11.45789702');
INSERT INTO public.ecdc_import VALUES (52884, '06/07/2020', '6', '7', '2020', '1244', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '11.25975935');
INSERT INTO public.ecdc_import VALUES (52886, '04/07/2020', '4', '7', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.81527177');
INSERT INTO public.ecdc_import VALUES (52887, '03/07/2020', '3', '7', '2020', '442', '17', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.58864786');
INSERT INTO public.ecdc_import VALUES (52888, '02/07/2020', '2', '7', '2020', '444', '5', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.30102865');
INSERT INTO public.ecdc_import VALUES (52889, '01/07/2020', '1', '7', '2020', '388', '8', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.60143094');
INSERT INTO public.ecdc_import VALUES (52890, '30/06/2020', '30', '6', '2020', '301', '9', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.53112402');
INSERT INTO public.ecdc_import VALUES (52891, '29/06/2020', '29', '6', '2020', '200', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.35642198');
INSERT INTO public.ecdc_import VALUES (52892, '28/06/2020', '28', '6', '2020', '301', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.31594224');
INSERT INTO public.ecdc_import VALUES (52893, '27/06/2020', '27', '6', '2020', '564', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.36281352');
INSERT INTO public.ecdc_import VALUES (52894, '26/06/2020', '26', '6', '2020', '419', '8', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.0048874');
INSERT INTO public.ecdc_import VALUES (52895, '25/06/2020', '25', '6', '2020', '400', '3', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.18171995');
INSERT INTO public.ecdc_import VALUES (52896, '24/06/2020', '24', '6', '2020', '334', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.23924379');
INSERT INTO public.ecdc_import VALUES (52897, '23/06/2020', '23', '6', '2020', '248', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.19663353');
INSERT INTO public.ecdc_import VALUES (52898, '22/06/2020', '22', '6', '2020', '232', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.19876405');
INSERT INTO public.ecdc_import VALUES (52899, '21/06/2020', '21', '6', '2020', '334', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.06028072');
INSERT INTO public.ecdc_import VALUES (52900, '20/06/2020', '20', '6', '2020', '363', '7', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.86001254');
INSERT INTO public.ecdc_import VALUES (52901, '19/06/2020', '19', '6', '2020', '307', '1179', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.79396664');
INSERT INTO public.ecdc_import VALUES (52902, '18/06/2020', '18', '6', '2020', '585', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.81740228');
INSERT INTO public.ecdc_import VALUES (52903, '17/06/2020', '17', '6', '2020', '355', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.28264361');
INSERT INTO public.ecdc_import VALUES (52904, '16/06/2020', '16', '6', '2020', '219', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.3657336');
INSERT INTO public.ecdc_import VALUES (52905, '15/06/2020', '15', '6', '2020', '181', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.52552205');
INSERT INTO public.ecdc_import VALUES (52906, '14/06/2020', '14', '6', '2020', '323', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.5851764');
INSERT INTO public.ecdc_import VALUES (52907, '13/06/2020', '13', '6', '2020', '396', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.32525386');
INSERT INTO public.ecdc_import VALUES (52908, '12/06/2020', '12', '6', '2020', '502', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.89623125');
INSERT INTO public.ecdc_import VALUES (52909, '11/06/2020', '11', '6', '2020', '427', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '10.22859122');
INSERT INTO public.ecdc_import VALUES (52910, '10/06/2020', '10', '6', '2020', '314', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '11.7412552');
INSERT INTO public.ecdc_import VALUES (52911, '09/06/2020', '9', '6', '2020', '249', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '12.15883568');
INSERT INTO public.ecdc_import VALUES (52912, '08/06/2020', '8', '6', '2020', '167', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '13.4584484');
INSERT INTO public.ecdc_import VALUES (52913, '07/06/2020', '7', '6', '2020', '240', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '12.31010208');
INSERT INTO public.ecdc_import VALUES (52914, '06/06/2020', '6', '6', '2020', '332', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '12.82568614');
INSERT INTO public.ecdc_import VALUES (52915, '05/06/2020', '5', '6', '2020', '318', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '13.11117484');
INSERT INTO public.ecdc_import VALUES (52916, '04/06/2020', '4', '6', '2020', '334', '5', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '16.24089792');
INSERT INTO public.ecdc_import VALUES (52917, '03/06/2020', '3', '6', '2020', '394', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '16.55621379');
INSERT INTO public.ecdc_import VALUES (52918, '02/06/2020', '2', '6', '2020', '294', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '16.82039736');
INSERT INTO public.ecdc_import VALUES (52919, '01/06/2020', '1', '6', '2020', '209', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.11227759');
INSERT INTO public.ecdc_import VALUES (52920, '31/05/2020', '31', '5', '2020', '201', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.21241168');
INSERT INTO public.ecdc_import VALUES (52921, '30/05/2020', '30', '5', '2020', '664', '4', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '18.17327289');
INSERT INTO public.ecdc_import VALUES (52922, '29/05/2020', '29', '5', '2020', '658', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.8558265');
INSERT INTO public.ecdc_import VALUES (52923, '28/05/2020', '28', '5', '2020', '1137', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.82386881');
INSERT INTO public.ecdc_import VALUES (52924, '27/05/2020', '27', '5', '2020', '510', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.21028117');
INSERT INTO public.ecdc_import VALUES (52925, '26/05/2020', '26', '5', '2020', '859', '283', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.05901477');
INSERT INTO public.ecdc_import VALUES (52926, '25/05/2020', '25', '5', '2020', '-372', '-1918', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '16.25581151');
INSERT INTO public.ecdc_import VALUES (52927, '24/05/2020', '24', '5', '2020', '482', '74', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '17.88565368');
INSERT INTO public.ecdc_import VALUES (52928, '23/05/2020', '23', '5', '2020', '466', '50', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '24.13657779');
INSERT INTO public.ecdc_import VALUES (52929, '22/05/2020', '22', '5', '2020', '1787', '688', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '24.7267298');
INSERT INTO public.ecdc_import VALUES (52930, '21/05/2020', '21', '5', '2020', '482', '52', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '23.41859503');
INSERT INTO public.ecdc_import VALUES (52931, '20/05/2020', '20', '5', '2020', '518', '110', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '24.35389008');
INSERT INTO public.ecdc_import VALUES (52932, '19/05/2020', '19', '5', '2020', '431', '69', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '25.12513566');
INSERT INTO public.ecdc_import VALUES (52933, '18/05/2020', '18', '5', '2020', '256', '59', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '26.42048735');
INSERT INTO public.ecdc_import VALUES (52934, '17/05/2020', '17', '5', '2020', '652', '87', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '26.86789501');
INSERT INTO public.ecdc_import VALUES (52935, '16/05/2020', '16', '5', '2020', '515', '104', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '27.47083009');
INSERT INTO public.ecdc_import VALUES (52936, '15/05/2020', '15', '5', '2020', '643', '138', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '29.00266868');
INSERT INTO public.ecdc_import VALUES (52937, '14/05/2020', '14', '5', '2020', '849', '217', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '30.58777009');
INSERT INTO public.ecdc_import VALUES (52938, '13/05/2020', '13', '5', '2020', '439', '184', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '31.42293105');
INSERT INTO public.ecdc_import VALUES (52939, '12/05/2020', '12', '5', '2020', '482', '176', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '32.29218021');
INSERT INTO public.ecdc_import VALUES (52940, '11/05/2020', '11', '5', '2020', '393', '123', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '34.5143049');
INSERT INTO public.ecdc_import VALUES (52941, '10/05/2020', '10', '5', '2020', '3416', '143', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '37.21366443');
INSERT INTO public.ecdc_import VALUES (52942, '09/05/2020', '9', '5', '2020', '743', '227', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '33.43200448');
INSERT INTO public.ecdc_import VALUES (52943, '08/05/2020', '8', '5', '2020', '1173', '181', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '37.18809827');
INSERT INTO public.ecdc_import VALUES (52944, '07/05/2020', '7', '5', '2020', '921', '213', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '39.19291068');
INSERT INTO public.ecdc_import VALUES (52945, '06/05/2020', '6', '5', '2020', '880', '244', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '43.44328341');
INSERT INTO public.ecdc_import VALUES (52946, '05/05/2020', '5', '5', '2020', '1039', '185', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '46.49417752');
INSERT INTO public.ecdc_import VALUES (52947, '04/05/2020', '4', '5', '2020', '466', '164', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '50.56771771');
INSERT INTO public.ecdc_import VALUES (52948, '03/05/2020', '3', '5', '2020', '935', '164', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '54.30037587');
INSERT INTO public.ecdc_import VALUES (52949, '02/05/2020', '2', '5', '2020', '1234', '276', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '50.78929102');
INSERT INTO public.ecdc_import VALUES (52950, '01/05/2020', '1', '5', '2020', '1387', '281', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '56.33288493');
INSERT INTO public.ecdc_import VALUES (52951, '30/04/2020', '30', '4', '2020', '1241', '268', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '61.51216118');
INSERT INTO public.ecdc_import VALUES (52952, '29/04/2020', '29', '4', '2020', '847', '453', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '67.0067533');
INSERT INTO public.ecdc_import VALUES (52953, '28/04/2020', '28', '4', '2020', '1525', '632', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '74.62759704');
INSERT INTO public.ecdc_import VALUES (52954, '27/04/2020', '27', '4', '2020', '1660', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '78.01724266');
INSERT INTO public.ecdc_import VALUES (52955, '26/04/2020', '26', '4', '2020', '1641', '288', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '80.93604499');
INSERT INTO public.ecdc_import VALUES (52956, '25/04/2020', '25', '4', '2020', '2506', '378', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '85.74674255');
INSERT INTO public.ecdc_import VALUES (52957, '24/04/2020', '24', '4', '2020', '2114', '367', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '90.10151041');
INSERT INTO public.ecdc_import VALUES (52958, '23/04/2020', '23', '4', '2020', '2916', '440', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '95.26374255');
INSERT INTO public.ecdc_import VALUES (52959, '22/04/2020', '22', '4', '2020', '2312', '435', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '101.29096283');
INSERT INTO public.ecdc_import VALUES (52960, '21/04/2020', '21', '4', '2020', '2951', '430', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '108.25986971');
INSERT INTO public.ecdc_import VALUES (52961, '20/04/2020', '20', '4', '2020', '2218', '399', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '113.07056727');
INSERT INTO public.ecdc_import VALUES (52962, '19/04/2020', '19', '4', '2020', '-713', '410', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '116.15768009');
INSERT INTO public.ecdc_import VALUES (52963, '18/04/2020', '18', '4', '2020', '3836', '565', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '129.46486209');
INSERT INTO public.ecdc_import VALUES (52964, '17/04/2020', '17', '4', '2020', '3818', '585', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '135.48782135');
INSERT INTO public.ecdc_import VALUES (52965, '16/04/2020', '16', '4', '2020', '3820', '617', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '142.84661204');
INSERT INTO public.ecdc_import VALUES (52966, '15/04/2020', '15', '4', '2020', '4424', '787', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '150.86373113');
INSERT INTO public.ecdc_import VALUES (52967, '14/04/2020', '14', '4', '2020', '3116', '517', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '157.23183344');
INSERT INTO public.ecdc_import VALUES (52968, '13/04/2020', '13', '4', '2020', '3030', '619', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '167.94618155');
INSERT INTO public.ecdc_import VALUES (52969, '12/04/2020', '12', '4', '2020', '3899', '510', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '173.87539825');
INSERT INTO public.ecdc_import VALUES (52970, '11/04/2020', '11', '4', '2020', '4550', '605', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '179.25494268');
INSERT INTO public.ecdc_import VALUES (52971, '10/04/2020', '10', '4', '2020', '4537', '683', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '187.12505641');
INSERT INTO public.ecdc_import VALUES (52972, '09/04/2020', '9', '4', '2020', '5745', '757', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '197.01915714');
INSERT INTO public.ecdc_import VALUES (52973, '08/04/2020', '8', '4', '2020', '5583', '743', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '203.85597223');
INSERT INTO public.ecdc_import VALUES (52974, '07/04/2020', '7', '4', '2020', '5209', '637', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '210.1835948');
INSERT INTO public.ecdc_import VALUES (52975, '06/04/2020', '6', '4', '2020', '3667', '674', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '215.47152719');
INSERT INTO public.ecdc_import VALUES (52976, '05/04/2020', '5', '4', '2020', '5533', '809', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '217.55729907');
INSERT INTO public.ecdc_import VALUES (52977, '04/04/2020', '4', '4', '2020', '6663', '932', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '216.13624714');
INSERT INTO public.ecdc_import VALUES (52978, '03/04/2020', '3', '4', '2020', '7272', '950', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '213.54341324');
INSERT INTO public.ecdc_import VALUES (52979, '02/04/2020', '2', '4', '2020', '7583', '864', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '207.78463756');
INSERT INTO public.ecdc_import VALUES (52980, '01/04/2020', '1', '4', '2020', '7413', '849', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '200.25114483');
INSERT INTO public.ecdc_import VALUES (52981, '31/03/2020', '31', '3', '2020', '8145', '812', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '192.32776829');
INSERT INTO public.ecdc_import VALUES (52982, '30/03/2020', '30', '3', '2020', '5813', '838', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '180.30741593');
INSERT INTO public.ecdc_import VALUES (52983, '29/03/2020', '29', '3', '2020', '6424', '832', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '171.55740048');
INSERT INTO public.ecdc_import VALUES (52984, '28/03/2020', '28', '3', '2020', '8244', '769', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '162.43880635');
INSERT INTO public.ecdc_import VALUES (52985, '27/03/2020', '27', '3', '2020', '9181', '655', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '148.46051287');
INSERT INTO public.ecdc_import VALUES (52986, '26/03/2020', '26', '3', '2020', '8954', '738', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '132.16209111');
INSERT INTO public.ecdc_import VALUES (52987, '25/03/2020', '25', '3', '2020', '8553', '514', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '115.54196194');
INSERT INTO public.ecdc_import VALUES (52988, '24/03/2020', '24', '3', '2020', '7691', '462', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '99.39693709');
INSERT INTO public.ecdc_import VALUES (52989, '23/03/2020', '23', '3', '2020', '4646', '394', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '84.65592008');
INSERT INTO public.ecdc_import VALUES (52990, '22/03/2020', '22', '3', '2020', '4866', '324', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '75.68007029');
INSERT INTO public.ecdc_import VALUES (52991, '21/03/2020', '21', '3', '2020', '5446', '235', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '66.01606492');
INSERT INTO public.ecdc_import VALUES (52992, '20/03/2020', '20', '3', '2020', '4569', '169', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '54.90970248');
INSERT INTO public.ecdc_import VALUES (52993, '19/03/2020', '19', '3', '2020', '4047', '107', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '45.56527401');
INSERT INTO public.ecdc_import VALUES (52994, '18/03/2020', '18', '3', '2020', '3694', '182', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '37.11566084');
INSERT INTO public.ecdc_import VALUES (52995, '17/03/2020', '17', '3', '2020', '2503', '21', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '29.40533557');
INSERT INTO public.ecdc_import VALUES (52996, '16/03/2020', '16', '3', '2020', '1706', '152', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '24.19197112');
INSERT INTO public.ecdc_import VALUES (52997, '15/03/2020', '15', '3', '2020', '2144', '15', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '20.67236423');
INSERT INTO public.ecdc_import VALUES (52998, '14/03/2020', '14', '3', '2020', '1683', '37', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '16.16419946');
INSERT INTO public.ecdc_import VALUES (52999, '13/03/2020', '13', '3', '2020', '1531', '37', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '12.61902642');
INSERT INTO public.ecdc_import VALUES (53000, '12/03/2020', '12', '3', '2020', '1153', '12', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '9.39556078');
INSERT INTO public.ecdc_import VALUES (53001, '11/03/2020', '11', '3', '2020', '975', '7', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '6.9561238');
INSERT INTO public.ecdc_import VALUES (53002, '10/03/2020', '10', '3', '2020', '772', '23', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '4.89165704');
INSERT INTO public.ecdc_import VALUES (53003, '09/03/2020', '9', '3', '2020', '433', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '3.24903179');
INSERT INTO public.ecdc_import VALUES (53004, '08/03/2020', '8', '3', '2020', '330', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '2.32651981');
INSERT INTO public.ecdc_import VALUES (53005, '07/03/2020', '7', '3', '2020', '233', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '1.62345064');
INSERT INTO public.ecdc_import VALUES (53006, '06/03/2020', '6', '3', '2020', '183', '2', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '1.12704119');
INSERT INTO public.ecdc_import VALUES (53007, '05/03/2020', '5', '3', '2020', '81', '1', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.73715738');
INSERT INTO public.ecdc_import VALUES (53008, '04/03/2020', '4', '3', '2020', '75', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.56458585');
INSERT INTO public.ecdc_import VALUES (53009, '03/03/2020', '3', '3', '2020', '56', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.4047974');
INSERT INTO public.ecdc_import VALUES (53010, '02/03/2020', '2', '3', '2020', '54', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.28548869');
INSERT INTO public.ecdc_import VALUES (53011, '01/03/2020', '1', '3', '2020', '28', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.17044101');
INSERT INTO public.ecdc_import VALUES (53012, '29/02/2020', '29', '2', '2020', '19', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.11078666');
INSERT INTO public.ecdc_import VALUES (53013, '28/02/2020', '28', '2', '2020', '18', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.07030692');
INSERT INTO public.ecdc_import VALUES (53014, '27/02/2020', '27', '2', '2020', '8', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.03195769');
INSERT INTO public.ecdc_import VALUES (53015, '26/02/2020', '26', '2', '2020', '6', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.01491359');
INSERT INTO public.ecdc_import VALUES (53016, '25/02/2020', '25', '2', '2020', '1', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53017, '24/02/2020', '24', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53018, '23/02/2020', '23', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53019, '22/02/2020', '22', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53020, '21/02/2020', '21', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53021, '20/02/2020', '20', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53022, '19/02/2020', '19', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53023, '18/02/2020', '18', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53024, '17/02/2020', '17', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53025, '16/02/2020', '16', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53026, '15/02/2020', '15', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53027, '14/02/2020', '14', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00426103');
INSERT INTO public.ecdc_import VALUES (53028, '13/02/2020', '13', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00426103');
INSERT INTO public.ecdc_import VALUES (53029, '12/02/2020', '12', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00426103');
INSERT INTO public.ecdc_import VALUES (53030, '11/02/2020', '11', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00426103');
INSERT INTO public.ecdc_import VALUES (53031, '10/02/2020', '10', '2', '2020', '1', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00426103');
INSERT INTO public.ecdc_import VALUES (53032, '09/02/2020', '9', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53033, '08/02/2020', '8', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53034, '07/02/2020', '7', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53035, '06/02/2020', '6', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53036, '05/02/2020', '5', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53037, '04/02/2020', '4', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53038, '03/02/2020', '3', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53039, '02/02/2020', '2', '2', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53040, '01/02/2020', '1', '2', '2020', '1', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0.00213051');
INSERT INTO public.ecdc_import VALUES (53041, '31/01/2020', '31', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53042, '30/01/2020', '30', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53043, '29/01/2020', '29', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53044, '28/01/2020', '28', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53045, '27/01/2020', '27', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53046, '26/01/2020', '26', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53047, '25/01/2020', '25', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53048, '24/01/2020', '24', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53049, '23/01/2020', '23', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53050, '22/01/2020', '22', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53051, '21/01/2020', '21', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53052, '20/01/2020', '20', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53053, '19/01/2020', '19', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53054, '18/01/2020', '18', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53055, '17/01/2020', '17', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53056, '16/01/2020', '16', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53057, '15/01/2020', '15', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53058, '14/01/2020', '14', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53059, '13/01/2020', '13', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (53060, '12/01/2020', '12', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53061, '11/01/2020', '11', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53062, '10/01/2020', '10', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53063, '09/01/2020', '9', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53064, '08/01/2020', '8', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53065, '07/01/2020', '7', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53066, '06/01/2020', '6', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53067, '05/01/2020', '5', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53068, '04/01/2020', '4', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53069, '03/01/2020', '3', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53070, '02/01/2020', '2', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53071, '01/01/2020', '1', '1', '2020', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53072, '31/12/2019', '31', '12', '2019', '0', '0', '46937060', 'Spain', 'ES', 'ESP', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (53073, '14/12/2020', '14', '12', '2020', '655', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '43.64151232');
INSERT INTO public.ecdc_import VALUES (53074, '13/12/2020', '13', '12', '2020', '760', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '42.8958643');
INSERT INTO public.ecdc_import VALUES (53075, '12/12/2020', '12', '12', '2020', '762', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '41.61560072');
INSERT INTO public.ecdc_import VALUES (53076, '11/12/2020', '11', '12', '2020', '538', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '40.26030338');
INSERT INTO public.ecdc_import VALUES (53077, '10/12/2020', '10', '12', '2020', '697', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '40.35878519');
INSERT INTO public.ecdc_import VALUES (53078, '09/12/2020', '9', '12', '2020', '798', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '39.44431121');
INSERT INTO public.ecdc_import VALUES (53079, '08/12/2020', '8', '12', '2020', '703', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '37.85453336');
INSERT INTO public.ecdc_import VALUES (53080, '07/12/2020', '7', '12', '2020', '649', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '36.13813603');
INSERT INTO public.ecdc_import VALUES (53081, '06/12/2020', '6', '12', '2020', '669', '7', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '34.9704231');
INSERT INTO public.ecdc_import VALUES (53082, '05/12/2020', '5', '12', '2020', '521', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '34.13567249');
INSERT INTO public.ecdc_import VALUES (53083, '04/12/2020', '4', '12', '2020', '628', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '33.75112445');
INSERT INTO public.ecdc_import VALUES (53084, '03/12/2020', '3', '12', '2020', '878', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '32.86478813');
INSERT INTO public.ecdc_import VALUES (53085, '02/12/2020', '2', '12', '2020', '545', '4', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '30.28081292');
INSERT INTO public.ecdc_import VALUES (53086, '01/12/2020', '1', '12', '2020', '503', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.60550905');
INSERT INTO public.ecdc_import VALUES (53087, '30/11/2020', '30', '11', '2020', '496', '7', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.06151427');
INSERT INTO public.ecdc_import VALUES (53088, '29/11/2020', '29', '11', '2020', '487', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '30.03695319');
INSERT INTO public.ecdc_import VALUES (53089, '28/11/2020', '28', '11', '2020', '473', '8', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.59144022');
INSERT INTO public.ecdc_import VALUES (53090, '27/11/2020', '27', '11', '2020', '559', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.56799217');
INSERT INTO public.ecdc_import VALUES (53091, '26/11/2020', '26', '11', '2020', '502', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '28.69572468');
INSERT INTO public.ecdc_import VALUES (53092, '25/11/2020', '25', '11', '2020', '459', '4', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.31944283');
INSERT INTO public.ecdc_import VALUES (53093, '24/11/2020', '24', '11', '2020', '337', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.18344414');
INSERT INTO public.ecdc_import VALUES (53094, '23/11/2020', '23', '11', '2020', '400', '4', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.27254673');
INSERT INTO public.ecdc_import VALUES (53095, '22/11/2020', '22', '11', '2020', '491', '9', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.78840385');
INSERT INTO public.ecdc_import VALUES (53096, '21/11/2020', '21', '11', '2020', '439', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.59144022');
INSERT INTO public.ecdc_import VALUES (53097, '20/11/2020', '20', '11', '2020', '439', '4', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.40854543');
INSERT INTO public.ecdc_import VALUES (53098, '19/11/2020', '19', '11', '2020', '327', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.14592726');
INSERT INTO public.ecdc_import VALUES (53099, '18/11/2020', '18', '11', '2020', '401', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.68992204');
INSERT INTO public.ecdc_import VALUES (53100, '17/11/2020', '17', '11', '2020', '387', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.72743892');
INSERT INTO public.ecdc_import VALUES (53101, '16/11/2020', '16', '11', '2020', '704', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.20220258');
INSERT INTO public.ecdc_import VALUES (53102, '15/11/2020', '15', '11', '2020', '392', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.76249225');
INSERT INTO public.ecdc_import VALUES (53103, '14/11/2020', '14', '11', '2020', '468', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.0449819');
INSERT INTO public.ecdc_import VALUES (53104, '13/11/2020', '13', '11', '2020', '373', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.81876758');
INSERT INTO public.ecdc_import VALUES (53105, '12/11/2020', '12', '11', '2020', '635', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '28.81765454');
INSERT INTO public.ecdc_import VALUES (53106, '11/11/2020', '11', '11', '2020', '430', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.41077149');
INSERT INTO public.ecdc_import VALUES (53107, '10/11/2020', '10', '11', '2020', '356', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.53739097');
INSERT INTO public.ecdc_import VALUES (53108, '09/11/2020', '9', '11', '2020', '510', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '28.40496885');
INSERT INTO public.ecdc_import VALUES (53109, '08/11/2020', '8', '11', '2020', '449', '4', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.65932083');
INSERT INTO public.ecdc_import VALUES (53110, '07/11/2020', '7', '11', '2020', '400', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.27946241');
INSERT INTO public.ecdc_import VALUES (53111, '06/11/2020', '6', '11', '2020', '383', '5', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.46482075');
INSERT INTO public.ecdc_import VALUES (53112, '05/11/2020', '5', '11', '2020', '443', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '29.1177896');
INSERT INTO public.ecdc_import VALUES (53113, '04/11/2020', '4', '11', '2020', '409', '2', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '27.82345719');
INSERT INTO public.ecdc_import VALUES (53114, '03/11/2020', '3', '11', '2020', '275', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '26.77767412');
INSERT INTO public.ecdc_import VALUES (53115, '02/11/2020', '2', '11', '2020', '397', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '25.8960274');
INSERT INTO public.ecdc_import VALUES (53116, '01/11/2020', '1', '11', '2020', '239', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '24.3296976');
INSERT INTO public.ecdc_import VALUES (53117, '31/10/2020', '31', '10', '2020', '633', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '23.7763236');
INSERT INTO public.ecdc_import VALUES (53118, '30/10/2020', '30', '10', '2020', '586', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '21.32365748');
INSERT INTO public.ecdc_import VALUES (53119, '29/10/2020', '29', '10', '2020', '335', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '18.92257707');
INSERT INTO public.ecdc_import VALUES (53120, '28/10/2020', '28', '10', '2020', '457', '3', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '17.9705862');
INSERT INTO public.ecdc_import VALUES (53121, '27/10/2020', '27', '10', '2020', '541', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '16.73721873');
INSERT INTO public.ecdc_import VALUES (53122, '26/10/2020', '26', '10', '2020', '351', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '14.63158376');
INSERT INTO public.ecdc_import VALUES (53123, '25/10/2020', '25', '10', '2020', '368', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '13.56704225');
INSERT INTO public.ecdc_import VALUES (53124, '24/10/2020', '24', '10', '2020', '866', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '12.33367477');
INSERT INTO public.ecdc_import VALUES (53125, '23/10/2020', '23', '10', '2020', '309', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '8.43660871');
INSERT INTO public.ecdc_import VALUES (53126, '22/10/2020', '22', '10', '2020', '167', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '7.12351786');
INSERT INTO public.ecdc_import VALUES (53127, '21/10/2020', '21', '10', '2020', '186', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '7.31110227');
INSERT INTO public.ecdc_import VALUES (53128, '20/10/2020', '20', '10', '2020', '87', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '8.87274246');
INSERT INTO public.ecdc_import VALUES (53129, '19/10/2020', '19', '10', '2020', '63', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '10.01700734');
INSERT INTO public.ecdc_import VALUES (53130, '18/10/2020', '18', '10', '2020', '121', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '9.74969956');
INSERT INTO public.ecdc_import VALUES (53131, '17/10/2020', '17', '10', '2020', '110', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '9.21977361');
INSERT INTO public.ecdc_import VALUES (53132, '16/10/2020', '16', '10', '2020', '74', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '8.73205415');
INSERT INTO public.ecdc_import VALUES (53133, '15/10/2020', '15', '10', '2020', '132', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '8.39440222');
INSERT INTO public.ecdc_import VALUES (53134, '14/10/2020', '14', '10', '2020', '194', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '7.80351134');
INSERT INTO public.ecdc_import VALUES (53135, '13/10/2020', '13', '10', '2020', '92', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '6.94531267');
INSERT INTO public.ecdc_import VALUES (53136, '12/10/2020', '12', '10', '2020', '124', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '6.52793737');
INSERT INTO public.ecdc_import VALUES (53137, '11/10/2020', '11', '10', '2020', '105', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '5.99801142');
INSERT INTO public.ecdc_import VALUES (53138, '10/10/2020', '10', '10', '2020', '35', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '5.52436079');
INSERT INTO public.ecdc_import VALUES (53139, '09/10/2020', '9', '10', '2020', '29', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '5.41649976');
INSERT INTO public.ecdc_import VALUES (53140, '08/10/2020', '8', '10', '2020', '207', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '5.32270755');
INSERT INTO public.ecdc_import VALUES (53141, '07/10/2020', '7', '10', '2020', '519', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '4.40354396');
INSERT INTO public.ecdc_import VALUES (53142, '06/10/2020', '6', '10', '2020', '331', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.03529082');
INSERT INTO public.ecdc_import VALUES (53143, '05/10/2020', '5', '10', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.53930517');
INSERT INTO public.ecdc_import VALUES (53144, '04/10/2020', '4', '10', '2020', '8', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.52992595');
INSERT INTO public.ecdc_import VALUES (53145, '03/10/2020', '3', '10', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.50178829');
INSERT INTO public.ecdc_import VALUES (53146, '02/10/2020', '2', '10', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.49709868');
INSERT INTO public.ecdc_import VALUES (53147, '01/10/2020', '1', '10', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.51116751');
INSERT INTO public.ecdc_import VALUES (53148, '30/09/2020', '30', '9', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48302985');
INSERT INTO public.ecdc_import VALUES (53149, '29/09/2020', '29', '9', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.47365063');
INSERT INTO public.ecdc_import VALUES (53150, '28/09/2020', '28', '9', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.59089088');
INSERT INTO public.ecdc_import VALUES (53151, '27/09/2020', '27', '9', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.71751036');
INSERT INTO public.ecdc_import VALUES (53152, '26/09/2020', '26', '9', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.82537139');
INSERT INTO public.ecdc_import VALUES (53153, '25/09/2020', '25', '9', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.83475061');
INSERT INTO public.ecdc_import VALUES (53154, '24/09/2020', '24', '9', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.830061');
INSERT INTO public.ecdc_import VALUES (53155, '23/09/2020', '23', '9', '2020', '14', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.81130256');
INSERT INTO public.ecdc_import VALUES (53156, '22/09/2020', '22', '9', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.82537139');
INSERT INTO public.ecdc_import VALUES (53157, '21/09/2020', '21', '9', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.76909607');
INSERT INTO public.ecdc_import VALUES (53158, '20/09/2020', '20', '9', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.75971685');
INSERT INTO public.ecdc_import VALUES (53159, '19/09/2020', '19', '9', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.77847529');
INSERT INTO public.ecdc_import VALUES (53160, '18/09/2020', '18', '9', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.77378568');
INSERT INTO public.ecdc_import VALUES (53161, '17/09/2020', '17', '9', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.79723373');
INSERT INTO public.ecdc_import VALUES (53162, '16/09/2020', '16', '9', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.83944022');
INSERT INTO public.ecdc_import VALUES (53163, '15/09/2020', '15', '9', '2020', '28', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.99888697');
INSERT INTO public.ecdc_import VALUES (53164, '14/09/2020', '14', '9', '2020', '38', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.04109346');
INSERT INTO public.ecdc_import VALUES (53165, '13/09/2020', '13', '9', '2020', '27', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.94261165');
INSERT INTO public.ecdc_import VALUES (53166, '12/09/2020', '12', '9', '2020', '14', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.84412983');
INSERT INTO public.ecdc_import VALUES (53167, '11/09/2020', '11', '9', '2020', '8', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.79254412');
INSERT INTO public.ecdc_import VALUES (53168, '10/09/2020', '10', '9', '2020', '7', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.76440646');
INSERT INTO public.ecdc_import VALUES (53169, '09/09/2020', '9', '9', '2020', '17', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.79254412');
INSERT INTO public.ecdc_import VALUES (53170, '08/09/2020', '8', '9', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.76909607');
INSERT INTO public.ecdc_import VALUES (53171, '07/09/2020', '7', '9', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.79723373');
INSERT INTO public.ecdc_import VALUES (53172, '06/09/2020', '6', '9', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.81599217');
INSERT INTO public.ecdc_import VALUES (53173, '05/09/2020', '5', '9', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.81599217');
INSERT INTO public.ecdc_import VALUES (53174, '04/09/2020', '4', '9', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.90509476');
INSERT INTO public.ecdc_import VALUES (53175, '03/09/2020', '3', '9', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.93323243');
INSERT INTO public.ecdc_import VALUES (53176, '02/09/2020', '2', '9', '2020', '43', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.89102593');
INSERT INTO public.ecdc_import VALUES (53177, '01/09/2020', '1', '9', '2020', '37', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.69875192');
INSERT INTO public.ecdc_import VALUES (53178, '31/08/2020', '31', '8', '2020', '17', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.55806361');
INSERT INTO public.ecdc_import VALUES (53179, '30/08/2020', '30', '8', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.49240907');
INSERT INTO public.ecdc_import VALUES (53180, '29/08/2020', '29', '8', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48302985');
INSERT INTO public.ecdc_import VALUES (53181, '28/08/2020', '28', '8', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48771946');
INSERT INTO public.ecdc_import VALUES (53182, '27/08/2020', '27', '8', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48302985');
INSERT INTO public.ecdc_import VALUES (53183, '26/08/2020', '26', '8', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.42675453');
INSERT INTO public.ecdc_import VALUES (53184, '25/08/2020', '25', '8', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.4126857');
INSERT INTO public.ecdc_import VALUES (53185, '24/08/2020', '24', '8', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.51116751');
INSERT INTO public.ecdc_import VALUES (53186, '23/08/2020', '23', '8', '2020', '6', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.49709868');
INSERT INTO public.ecdc_import VALUES (53187, '22/08/2020', '22', '8', '2020', '23', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.47834024');
INSERT INTO public.ecdc_import VALUES (53188, '21/08/2020', '21', '8', '2020', '16', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.3704792');
INSERT INTO public.ecdc_import VALUES (53189, '20/08/2020', '20', '8', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.29544544');
INSERT INTO public.ecdc_import VALUES (53190, '19/08/2020', '19', '8', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.31889349');
INSERT INTO public.ecdc_import VALUES (53191, '18/08/2020', '18', '8', '2020', '7', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.33765193');
INSERT INTO public.ecdc_import VALUES (53192, '17/08/2020', '17', '8', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.32827271');
INSERT INTO public.ecdc_import VALUES (53193, '16/08/2020', '16', '8', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.35172076');
INSERT INTO public.ecdc_import VALUES (53194, '15/08/2020', '15', '8', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.33296232');
INSERT INTO public.ecdc_import VALUES (53195, '14/08/2020', '14', '8', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.31889349');
INSERT INTO public.ecdc_import VALUES (53196, '13/08/2020', '13', '8', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.32827271');
INSERT INTO public.ecdc_import VALUES (53197, '12/08/2020', '12', '8', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.32827271');
INSERT INTO public.ecdc_import VALUES (53198, '11/08/2020', '11', '8', '2020', '27', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.30951427');
INSERT INTO public.ecdc_import VALUES (53199, '10/08/2020', '10', '8', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.29075583');
INSERT INTO public.ecdc_import VALUES (53200, '09/08/2020', '9', '8', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.33296232');
INSERT INTO public.ecdc_import VALUES (53201, '08/08/2020', '8', '8', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.35172076');
INSERT INTO public.ecdc_import VALUES (53202, '07/08/2020', '7', '8', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.40330648');
INSERT INTO public.ecdc_import VALUES (53203, '06/08/2020', '6', '8', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.40799609');
INSERT INTO public.ecdc_import VALUES (53204, '05/08/2020', '5', '8', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48771946');
INSERT INTO public.ecdc_import VALUES (53205, '04/08/2020', '4', '8', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.4595818');
INSERT INTO public.ecdc_import VALUES (53206, '03/08/2020', '3', '8', '2020', '8', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.46427141');
INSERT INTO public.ecdc_import VALUES (53207, '02/08/2020', '2', '8', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.52054673');
INSERT INTO public.ecdc_import VALUES (53208, '01/08/2020', '1', '8', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.553374');
INSERT INTO public.ecdc_import VALUES (53209, '31/07/2020', '31', '7', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.59558049');
INSERT INTO public.ecdc_import VALUES (53210, '30/07/2020', '30', '7', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.64247659');
INSERT INTO public.ecdc_import VALUES (53211, '29/07/2020', '29', '7', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.67999348');
INSERT INTO public.ecdc_import VALUES (53212, '28/07/2020', '28', '7', '2020', '23', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.74564802');
INSERT INTO public.ecdc_import VALUES (53213, '27/07/2020', '27', '7', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.77378568');
INSERT INTO public.ecdc_import VALUES (53214, '26/07/2020', '26', '7', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.21460904');
INSERT INTO public.ecdc_import VALUES (53215, '25/07/2020', '25', '7', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.45377916');
INSERT INTO public.ecdc_import VALUES (53216, '24/07/2020', '24', '7', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.8899129');
INSERT INTO public.ecdc_import VALUES (53217, '23/07/2020', '23', '7', '2020', '22', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.0857635');
INSERT INTO public.ecdc_import VALUES (53218, '22/07/2020', '22', '7', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.04355701');
INSERT INTO public.ecdc_import VALUES (53219, '21/07/2020', '21', '7', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.05762584');
INSERT INTO public.ecdc_import VALUES (53220, '20/07/2020', '20', '7', '2020', '20', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.0388674');
INSERT INTO public.ecdc_import VALUES (53221, '19/07/2020', '19', '7', '2020', '7', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.95445441');
INSERT INTO public.ecdc_import VALUES (53222, '18/07/2020', '18', '7', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.94507519');
INSERT INTO public.ecdc_import VALUES (53223, '17/07/2020', '17', '7', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.91224792');
INSERT INTO public.ecdc_import VALUES (53224, '16/07/2020', '16', '7', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.90755831');
INSERT INTO public.ecdc_import VALUES (53225, '15/07/2020', '15', '7', '2020', '19', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.89817909');
INSERT INTO public.ecdc_import VALUES (53226, '14/07/2020', '14', '7', '2020', '29', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.83252455');
INSERT INTO public.ecdc_import VALUES (53227, '13/07/2020', '13', '7', '2020', '106', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.7199739');
INSERT INTO public.ecdc_import VALUES (53228, '12/07/2020', '12', '7', '2020', '57', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.24163367');
INSERT INTO public.ecdc_import VALUES (53229, '11/07/2020', '11', '7', '2020', '104', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.06342848');
INSERT INTO public.ecdc_import VALUES (53230, '10/07/2020', '10', '7', '2020', '256', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.59446746');
INSERT INTO public.ecdc_import VALUES (53231, '09/07/2020', '9', '7', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.43613375');
INSERT INTO public.ecdc_import VALUES (53232, '08/07/2020', '8', '7', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.42206492');
INSERT INTO public.ecdc_import VALUES (53233, '07/07/2020', '7', '7', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.59558049');
INSERT INTO public.ecdc_import VALUES (53234, '06/07/2020', '6', '7', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.59089088');
INSERT INTO public.ecdc_import VALUES (53235, '05/07/2020', '5', '7', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.58151166');
INSERT INTO public.ecdc_import VALUES (53236, '04/07/2020', '4', '7', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.55806361');
INSERT INTO public.ecdc_import VALUES (53237, '03/07/2020', '3', '7', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.55806361');
INSERT INTO public.ecdc_import VALUES (53238, '02/07/2020', '2', '7', '2020', '7', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.60964932');
INSERT INTO public.ecdc_import VALUES (53239, '01/07/2020', '1', '7', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.61902854');
INSERT INTO public.ecdc_import VALUES (53240, '30/06/2020', '30', '6', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.64247659');
INSERT INTO public.ecdc_import VALUES (53241, '29/06/2020', '29', '6', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.69406231');
INSERT INTO public.ecdc_import VALUES (53242, '28/06/2020', '28', '6', '2020', '19', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.69875192');
INSERT INTO public.ecdc_import VALUES (53243, '27/06/2020', '27', '6', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.62840776');
INSERT INTO public.ecdc_import VALUES (53244, '26/06/2020', '26', '6', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.62371815');
INSERT INTO public.ecdc_import VALUES (53245, '25/06/2020', '25', '6', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.61902854');
INSERT INTO public.ecdc_import VALUES (53246, '24/06/2020', '24', '6', '2020', '40', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.61902854');
INSERT INTO public.ecdc_import VALUES (53247, '23/06/2020', '23', '6', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.44082336');
INSERT INTO public.ecdc_import VALUES (53248, '22/06/2020', '22', '6', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.53930517');
INSERT INTO public.ecdc_import VALUES (53249, '21/06/2020', '21', '6', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.63778698');
INSERT INTO public.ecdc_import VALUES (53250, '20/06/2020', '20', '6', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.69875192');
INSERT INTO public.ecdc_import VALUES (53251, '19/06/2020', '19', '6', '2020', '23', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.70344153');
INSERT INTO public.ecdc_import VALUES (53252, '18/06/2020', '18', '6', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.82068178');
INSERT INTO public.ecdc_import VALUES (53253, '17/06/2020', '17', '6', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.08798956');
INSERT INTO public.ecdc_import VALUES (53254, '16/06/2020', '16', '6', '2020', '16', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.22867787');
INSERT INTO public.ecdc_import VALUES (53255, '15/06/2020', '15', '6', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.20054021');
INSERT INTO public.ecdc_import VALUES (53256, '14/06/2020', '14', '6', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.23805709');
INSERT INTO public.ecdc_import VALUES (53257, '13/06/2020', '13', '6', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.51005448');
INSERT INTO public.ecdc_import VALUES (53258, '12/06/2020', '12', '6', '2020', '8', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.62729473');
INSERT INTO public.ecdc_import VALUES (53259, '11/06/2020', '11', '6', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.87584407');
INSERT INTO public.ecdc_import VALUES (53260, '10/06/2020', '10', '6', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.5323895');
INSERT INTO public.ecdc_import VALUES (53261, '09/06/2020', '9', '6', '2020', '22', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.16548687');
INSERT INTO public.ecdc_import VALUES (53262, '08/06/2020', '8', '6', '2020', '21', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.25458946');
INSERT INTO public.ecdc_import VALUES (53263, '07/06/2020', '7', '6', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.39996738');
INSERT INTO public.ecdc_import VALUES (53264, '06/06/2020', '6', '6', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.43748426');
INSERT INTO public.ecdc_import VALUES (53265, '05/06/2020', '5', '6', '2020', '48', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.47969075');
INSERT INTO public.ecdc_import VALUES (53266, '04/06/2020', '4', '6', '2020', '66', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.38120894');
INSERT INTO public.ecdc_import VALUES (53267, '03/06/2020', '3', '6', '2020', '40', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.07638428');
INSERT INTO public.ecdc_import VALUES (53268, '02/06/2020', '2', '6', '2020', '10', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.05293623');
INSERT INTO public.ecdc_import VALUES (53269, '01/06/2020', '1', '6', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.05762584');
INSERT INTO public.ecdc_import VALUES (53270, '31/05/2020', '31', '5', '2020', '62', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '3.09514272');
INSERT INTO public.ecdc_import VALUES (53271, '30/05/2020', '30', '5', '2020', '28', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.92162714');
INSERT INTO public.ecdc_import VALUES (53272, '29/05/2020', '29', '5', '2020', '61', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.83721416');
INSERT INTO public.ecdc_import VALUES (53273, '28/05/2020', '28', '5', '2020', '150', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.59804404');
INSERT INTO public.ecdc_import VALUES (53274, '27/05/2020', '27', '5', '2020', '137', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.01653238');
INSERT INTO public.ecdc_import VALUES (53275, '26/05/2020', '26', '5', '2020', '41', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.46784799');
INSERT INTO public.ecdc_import VALUES (53276, '25/05/2020', '25', '5', '2020', '52', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.30371163');
INSERT INTO public.ecdc_import VALUES (53277, '24/05/2020', '24', '5', '2020', '21', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.13488566');
INSERT INTO public.ecdc_import VALUES (53278, '23/05/2020', '23', '5', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.09267917');
INSERT INTO public.ecdc_import VALUES (53279, '22/05/2020', '22', '5', '2020', '27', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.08329995');
INSERT INTO public.ecdc_import VALUES (53280, '21/05/2020', '21', '5', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.08329995');
INSERT INTO public.ecdc_import VALUES (53281, '20/05/2020', '20', '5', '2020', '35', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.20054021');
INSERT INTO public.ecdc_import VALUES (53282, '19/05/2020', '19', '5', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.11143761');
INSERT INTO public.ecdc_import VALUES (53283, '18/05/2020', '18', '5', '2020', '21', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.23336748');
INSERT INTO public.ecdc_import VALUES (53284, '17/05/2020', '17', '5', '2020', '25', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.1958506');
INSERT INTO public.ecdc_import VALUES (53285, '16/05/2020', '16', '5', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.14895449');
INSERT INTO public.ecdc_import VALUES (53286, '15/05/2020', '15', '5', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.21929865');
INSERT INTO public.ecdc_import VALUES (53287, '14/05/2020', '14', '5', '2020', '26', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.24743631');
INSERT INTO public.ecdc_import VALUES (53288, '13/05/2020', '13', '5', '2020', '20', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.26619475');
INSERT INTO public.ecdc_import VALUES (53289, '12/05/2020', '12', '5', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.31778046');
INSERT INTO public.ecdc_import VALUES (53290, '11/05/2020', '11', '5', '2020', '16', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.59446746');
INSERT INTO public.ecdc_import VALUES (53291, '10/05/2020', '10', '5', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.80549992');
INSERT INTO public.ecdc_import VALUES (53292, '09/05/2020', '9', '5', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.94618822');
INSERT INTO public.ecdc_import VALUES (53293, '08/05/2020', '8', '5', '2020', '27', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.13846224');
INSERT INTO public.ecdc_import VALUES (53294, '07/05/2020', '7', '5', '2020', '26', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.19004795');
INSERT INTO public.ecdc_import VALUES (53295, '06/05/2020', '6', '5', '2020', '16', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.16191029');
INSERT INTO public.ecdc_import VALUES (53296, '05/05/2020', '5', '5', '2020', '37', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.11501419');
INSERT INTO public.ecdc_import VALUES (53297, '04/05/2020', '4', '5', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.98370511');
INSERT INTO public.ecdc_import VALUES (53298, '03/05/2020', '3', '5', '2020', '15', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.11501419');
INSERT INTO public.ecdc_import VALUES (53299, '02/05/2020', '2', '5', '2020', '25', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.09156614');
INSERT INTO public.ecdc_import VALUES (53300, '01/05/2020', '1', '5', '2020', '16', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '2.00246355');
INSERT INTO public.ecdc_import VALUES (53301, '30/04/2020', '30', '4', '2020', '30', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.93211939');
INSERT INTO public.ecdc_import VALUES (53302, '29/04/2020', '29', '4', '2020', '31', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.81018953');
INSERT INTO public.ecdc_import VALUES (53303, '28/04/2020', '28', '4', '2020', '65', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.73515577');
INSERT INTO public.ecdc_import VALUES (53304, '27/04/2020', '27', '4', '2020', '61', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.46784799');
INSERT INTO public.ecdc_import VALUES (53305, '26/04/2020', '26', '4', '2020', '42', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.23336748');
INSERT INTO public.ecdc_import VALUES (53306, '25/04/2020', '25', '4', '2020', '52', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '1.04578307');
INSERT INTO public.ecdc_import VALUES (53307, '24/04/2020', '24', '4', '2020', '38', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.83475061');
INSERT INTO public.ecdc_import VALUES (53308, '23/04/2020', '23', '4', '2020', '20', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.66123504');
INSERT INTO public.ecdc_import VALUES (53309, '22/04/2020', '22', '4', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.58620127');
INSERT INTO public.ecdc_import VALUES (53310, '21/04/2020', '21', '4', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.59089088');
INSERT INTO public.ecdc_import VALUES (53311, '20/04/2020', '20', '4', '2020', '41', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.60495971');
INSERT INTO public.ecdc_import VALUES (53312, '19/04/2020', '19', '4', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.44551297');
INSERT INTO public.ecdc_import VALUES (53313, '18/04/2020', '18', '4', '2020', '6', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.43613375');
INSERT INTO public.ecdc_import VALUES (53314, '17/04/2020', '17', '4', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.42206492');
INSERT INTO public.ecdc_import VALUES (53315, '16/04/2020', '16', '4', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.44082336');
INSERT INTO public.ecdc_import VALUES (53316, '15/04/2020', '15', '4', '2020', '15', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.52054673');
INSERT INTO public.ecdc_import VALUES (53317, '14/04/2020', '14', '4', '2020', '8', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.4595818');
INSERT INTO public.ecdc_import VALUES (53318, '13/04/2020', '13', '4', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.42206492');
INSERT INTO public.ecdc_import VALUES (53319, '12/04/2020', '12', '4', '2020', '2', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.39392725');
INSERT INTO public.ecdc_import VALUES (53320, '11/04/2020', '11', '4', '2020', '7', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.42675453');
INSERT INTO public.ecdc_import VALUES (53321, '10/04/2020', '10', '4', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.39392725');
INSERT INTO public.ecdc_import VALUES (53322, '09/04/2020', '9', '4', '2020', '4', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.40799609');
INSERT INTO public.ecdc_import VALUES (53323, '08/04/2020', '8', '4', '2020', '7', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.38923764');
INSERT INTO public.ecdc_import VALUES (53324, '07/04/2020', '7', '4', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.37985842');
INSERT INTO public.ecdc_import VALUES (53325, '06/04/2020', '6', '4', '2020', '7', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.3704792');
INSERT INTO public.ecdc_import VALUES (53326, '05/04/2020', '5', '4', '2020', '8', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.37985842');
INSERT INTO public.ecdc_import VALUES (53327, '04/04/2020', '4', '4', '2020', '3', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.39861687');
INSERT INTO public.ecdc_import VALUES (53328, '03/04/2020', '3', '4', '2020', '5', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.44551297');
INSERT INTO public.ecdc_import VALUES (53329, '02/04/2020', '2', '4', '2020', '21', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.47365063');
INSERT INTO public.ecdc_import VALUES (53330, '01/04/2020', '1', '4', '2020', '2', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.37516881');
INSERT INTO public.ecdc_import VALUES (53331, '31/03/2020', '31', '3', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.42675453');
INSERT INTO public.ecdc_import VALUES (53332, '30/03/2020', '30', '3', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.47365063');
INSERT INTO public.ecdc_import VALUES (53333, '29/03/2020', '29', '3', '2020', '9', '1', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48771946');
INSERT INTO public.ecdc_import VALUES (53334, '28/03/2020', '28', '3', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.46896102');
INSERT INTO public.ecdc_import VALUES (53335, '27/03/2020', '27', '3', '2020', '4', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.48302985');
INSERT INTO public.ecdc_import VALUES (53336, '26/03/2020', '26', '3', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.46896102');
INSERT INTO public.ecdc_import VALUES (53337, '25/03/2020', '25', '3', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.47365063');
INSERT INTO public.ecdc_import VALUES (53338, '24/03/2020', '24', '3', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.45020258');
INSERT INTO public.ecdc_import VALUES (53339, '23/03/2020', '23', '3', '2020', '9', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.40330648');
INSERT INTO public.ecdc_import VALUES (53340, '22/03/2020', '22', '3', '2020', '12', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.36109998');
INSERT INTO public.ecdc_import VALUES (53341, '21/03/2020', '21', '3', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.30482466');
INSERT INTO public.ecdc_import VALUES (53342, '20/03/2020', '20', '3', '2020', '11', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.24385973');
INSERT INTO public.ecdc_import VALUES (53343, '19/03/2020', '19', '3', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.19227402');
INSERT INTO public.ecdc_import VALUES (53344, '18/03/2020', '18', '3', '2020', '13', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.19227402');
INSERT INTO public.ecdc_import VALUES (53345, '17/03/2020', '17', '3', '2020', '10', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.13130908');
INSERT INTO public.ecdc_import VALUES (53346, '16/03/2020', '16', '3', '2020', '8', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.08441298');
INSERT INTO public.ecdc_import VALUES (53347, '15/03/2020', '15', '3', '2020', '5', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.0468961');
INSERT INTO public.ecdc_import VALUES (53348, '14/03/2020', '14', '3', '2020', '3', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.02344805');
INSERT INTO public.ecdc_import VALUES (53349, '13/03/2020', '13', '3', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00937922');
INSERT INTO public.ecdc_import VALUES (53350, '12/03/2020', '12', '3', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53351, '02/03/2020', '2', '3', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53352, '01/03/2020', '1', '3', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53353, '29/02/2020', '29', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53354, '28/02/2020', '28', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53355, '27/02/2020', '27', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53356, '26/02/2020', '26', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53357, '25/02/2020', '25', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53358, '24/02/2020', '24', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53359, '23/02/2020', '23', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53360, '22/02/2020', '22', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53361, '21/02/2020', '21', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53362, '20/02/2020', '20', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53363, '19/02/2020', '19', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53364, '18/02/2020', '18', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53365, '17/02/2020', '17', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53366, '16/02/2020', '16', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53367, '15/02/2020', '15', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53368, '14/02/2020', '14', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53369, '13/02/2020', '13', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53370, '12/02/2020', '12', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53371, '11/02/2020', '11', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53372, '10/02/2020', '10', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53373, '09/02/2020', '9', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53374, '08/02/2020', '8', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53375, '07/02/2020', '7', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53376, '06/02/2020', '6', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53377, '05/02/2020', '5', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53378, '04/02/2020', '4', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53379, '03/02/2020', '3', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53380, '02/02/2020', '2', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53381, '01/02/2020', '1', '2', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53382, '31/01/2020', '31', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53383, '30/01/2020', '30', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53384, '29/01/2020', '29', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53385, '28/01/2020', '28', '1', '2020', '1', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0.00468961');
INSERT INTO public.ecdc_import VALUES (53386, '27/01/2020', '27', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53387, '26/01/2020', '26', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53388, '25/01/2020', '25', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53389, '24/01/2020', '24', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53390, '23/01/2020', '23', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53391, '22/01/2020', '22', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53392, '21/01/2020', '21', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53393, '20/01/2020', '20', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53394, '19/01/2020', '19', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53395, '18/01/2020', '18', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53396, '17/01/2020', '17', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53397, '16/01/2020', '16', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53398, '15/01/2020', '15', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53399, '14/01/2020', '14', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53400, '13/01/2020', '13', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (53401, '12/01/2020', '12', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53402, '11/01/2020', '11', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53403, '10/01/2020', '10', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53404, '09/01/2020', '9', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53405, '08/01/2020', '8', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53406, '07/01/2020', '7', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53407, '06/01/2020', '6', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53408, '05/01/2020', '5', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53409, '04/01/2020', '4', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53410, '03/01/2020', '3', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53411, '02/01/2020', '2', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53412, '01/01/2020', '1', '1', '2020', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53413, '31/12/2019', '31', '12', '2019', '0', '0', '21323734', 'Sri_Lanka', 'LK', 'LKA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (53414, '14/12/2020', '14', '12', '2020', '239', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '8.77999484');
INSERT INTO public.ecdc_import VALUES (53415, '13/12/2020', '13', '12', '2020', '679', '25', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '9.52742723');
INSERT INTO public.ecdc_import VALUES (53416, '12/12/2020', '12', '12', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '8.41795728');
INSERT INTO public.ecdc_import VALUES (53417, '11/12/2020', '11', '12', '2020', '384', '12', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '9.99924393');
INSERT INTO public.ecdc_import VALUES (53418, '10/12/2020', '10', '12', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '9.10232506');
INSERT INTO public.ecdc_import VALUES (53419, '09/12/2020', '9', '12', '2020', '337', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '9.10232506');
INSERT INTO public.ecdc_import VALUES (53420, '08/12/2020', '8', '12', '2020', '279', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '8.31518532');
INSERT INTO public.ecdc_import VALUES (53421, '07/12/2020', '7', '12', '2020', '272', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '8.47635043');
INSERT INTO public.ecdc_import VALUES (53422, '06/12/2020', '6', '12', '2020', '843', '19', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '8.5627723');
INSERT INTO public.ecdc_import VALUES (53423, '05/12/2020', '5', '12', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.5937551');
INSERT INTO public.ecdc_import VALUES (53424, '04/12/2020', '4', '12', '2020', '99', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '7.72191087');
INSERT INTO public.ecdc_import VALUES (53425, '03/12/2020', '3', '12', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '7.49067397');
INSERT INTO public.ecdc_import VALUES (53426, '02/12/2020', '2', '12', '2020', '444', '16', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '7.49067397');
INSERT INTO public.ecdc_import VALUES (53427, '01/12/2020', '1', '12', '2020', '183', '8', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '7.43695227');
INSERT INTO public.ecdc_import VALUES (53428, '30/11/2020', '30', '11', '2020', '559', '21', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '7.00951437');
INSERT INTO public.ecdc_import VALUES (53429, '29/11/2020', '29', '11', '2020', '204', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.22938181');
INSERT INTO public.ecdc_import VALUES (53430, '28/11/2020', '28', '11', '2020', '677', '16', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.75289367');
INSERT INTO public.ecdc_import VALUES (53431, '27/11/2020', '27', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.17160702');
INSERT INTO public.ecdc_import VALUES (53432, '26/11/2020', '26', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.30007196');
INSERT INTO public.ecdc_import VALUES (53433, '25/11/2020', '25', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.74619567');
INSERT INTO public.ecdc_import VALUES (53434, '24/11/2020', '24', '11', '2020', '348', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.74619567');
INSERT INTO public.ecdc_import VALUES (53435, '23/11/2020', '23', '11', '2020', '309', '8', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.08518515');
INSERT INTO public.ecdc_import VALUES (53436, '22/11/2020', '22', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.7067975');
INSERT INTO public.ecdc_import VALUES (53437, '21/11/2020', '21', '11', '2020', '483', '10', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.7067975');
INSERT INTO public.ecdc_import VALUES (53438, '20/11/2020', '20', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.57864174');
INSERT INTO public.ecdc_import VALUES (53439, '19/11/2020', '19', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.57864174');
INSERT INTO public.ecdc_import VALUES (53440, '18/11/2020', '18', '11', '2020', '421', '59', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.75849266');
INSERT INTO public.ecdc_import VALUES (53441, '17/11/2020', '17', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.88493106');
INSERT INTO public.ecdc_import VALUES (53442, '16/11/2020', '16', '11', '2020', '225', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.88493106');
INSERT INTO public.ecdc_import VALUES (53443, '15/11/2020', '15', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.48552187');
INSERT INTO public.ecdc_import VALUES (53444, '14/11/2020', '14', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.48552187');
INSERT INTO public.ecdc_import VALUES (53445, '13/11/2020', '13', '11', '2020', '55', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.48552187');
INSERT INTO public.ecdc_import VALUES (53446, '12/11/2020', '12', '11', '2020', '191', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.35705693');
INSERT INTO public.ecdc_import VALUES (53447, '11/11/2020', '11', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.91093322');
INSERT INTO public.ecdc_import VALUES (53448, '10/11/2020', '10', '11', '2020', '65', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.9529763');
INSERT INTO public.ecdc_import VALUES (53449, '09/11/2020', '9', '11', '2020', '147', '278', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.81283272');
INSERT INTO public.ecdc_import VALUES (53450, '08/11/2020', '8', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.46948097');
INSERT INTO public.ecdc_import VALUES (53451, '07/11/2020', '7', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.51152404');
INSERT INTO public.ecdc_import VALUES (53452, '06/11/2020', '6', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.51152404');
INSERT INTO public.ecdc_import VALUES (53453, '05/11/2020', '5', '11', '2020', '77', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.51152404');
INSERT INTO public.ecdc_import VALUES (53454, '04/11/2020', '4', '11', '2020', '47', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.33167312');
INSERT INTO public.ecdc_import VALUES (53455, '03/11/2020', '3', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.2849586');
INSERT INTO public.ecdc_import VALUES (53456, '02/11/2020', '2', '11', '2020', '54', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.29897296');
INSERT INTO public.ecdc_import VALUES (53457, '01/11/2020', '1', '11', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17284374');
INSERT INTO public.ecdc_import VALUES (53458, '31/10/2020', '31', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17284374');
INSERT INTO public.ecdc_import VALUES (53459, '30/10/2020', '30', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17284374');
INSERT INTO public.ecdc_import VALUES (53460, '29/10/2020', '29', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17284374');
INSERT INTO public.ecdc_import VALUES (53461, '28/10/2020', '28', '10', '2020', '18', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17284374');
INSERT INTO public.ecdc_import VALUES (53462, '27/10/2020', '27', '10', '2020', '5', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.14481503');
INSERT INTO public.ecdc_import VALUES (53463, '26/10/2020', '26', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.16817229');
INSERT INTO public.ecdc_import VALUES (53464, '25/10/2020', '25', '10', '2020', '18', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.16817229');
INSERT INTO public.ecdc_import VALUES (53465, '24/10/2020', '24', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.12612922');
INSERT INTO public.ecdc_import VALUES (53466, '23/10/2020', '23', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.13080067');
INSERT INTO public.ecdc_import VALUES (53467, '22/10/2020', '22', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.13080067');
INSERT INTO public.ecdc_import VALUES (53468, '21/10/2020', '21', '10', '2020', '27', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.16583656');
INSERT INTO public.ecdc_import VALUES (53469, '20/10/2020', '20', '10', '2020', '6', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.10277195');
INSERT INTO public.ecdc_import VALUES (53470, '19/10/2020', '19', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0887576');
INSERT INTO public.ecdc_import VALUES (53471, '18/10/2020', '18', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0887576');
INSERT INTO public.ecdc_import VALUES (53472, '17/10/2020', '17', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0887576');
INSERT INTO public.ecdc_import VALUES (53473, '16/10/2020', '16', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0887576');
INSERT INTO public.ecdc_import VALUES (53474, '15/10/2020', '15', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.11912204');
INSERT INTO public.ecdc_import VALUES (53475, '14/10/2020', '14', '10', '2020', '6', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.19853673');
INSERT INTO public.ecdc_import VALUES (53476, '13/10/2020', '13', '10', '2020', '15', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.18452237');
INSERT INTO public.ecdc_import VALUES (53477, '12/10/2020', '12', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.14948648');
INSERT INTO public.ecdc_import VALUES (53478, '11/10/2020', '11', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.14948648');
INSERT INTO public.ecdc_import VALUES (53479, '10/10/2020', '10', '10', '2020', '2', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.18218664');
INSERT INTO public.ecdc_import VALUES (53480, '09/10/2020', '9', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17751519');
INSERT INTO public.ecdc_import VALUES (53481, '08/10/2020', '8', '10', '2020', '15', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.21021536');
INSERT INTO public.ecdc_import VALUES (53482, '07/10/2020', '7', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.17517947');
INSERT INTO public.ecdc_import VALUES (53483, '06/10/2020', '6', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.22890117');
INSERT INTO public.ecdc_import VALUES (53484, '05/10/2020', '5', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.22890117');
INSERT INTO public.ecdc_import VALUES (53485, '04/10/2020', '4', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.27561569');
INSERT INTO public.ecdc_import VALUES (53486, '03/10/2020', '3', '10', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.27561569');
INSERT INTO public.ecdc_import VALUES (53487, '02/10/2020', '2', '10', '2020', '13', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.27561569');
INSERT INTO public.ecdc_import VALUES (53488, '01/10/2020', '1', '10', '2020', '34', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.24525125');
INSERT INTO public.ecdc_import VALUES (53489, '30/09/2020', '30', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.16583656');
INSERT INTO public.ecdc_import VALUES (53490, '29/09/2020', '29', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.16583656');
INSERT INTO public.ecdc_import VALUES (53491, '28/09/2020', '28', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.31765877');
INSERT INTO public.ecdc_import VALUES (53492, '27/09/2020', '27', '9', '2020', '14', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.31765877');
INSERT INTO public.ecdc_import VALUES (53493, '26/09/2020', '26', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.36203756');
INSERT INTO public.ecdc_import VALUES (53494, '25/09/2020', '25', '9', '2020', '14', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.36203756');
INSERT INTO public.ecdc_import VALUES (53495, '24/09/2020', '24', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.3293374');
INSERT INTO public.ecdc_import VALUES (53496, '23/09/2020', '23', '9', '2020', '23', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.3293374');
INSERT INTO public.ecdc_import VALUES (53497, '22/09/2020', '22', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.27561569');
INSERT INTO public.ecdc_import VALUES (53498, '21/09/2020', '21', '9', '2020', '20', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.34568748');
INSERT INTO public.ecdc_import VALUES (53499, '20/09/2020', '20', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80816127');
INSERT INTO public.ecdc_import VALUES (53500, '19/09/2020', '19', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80816127');
INSERT INTO public.ecdc_import VALUES (53501, '18/09/2020', '18', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80816127');
INSERT INTO public.ecdc_import VALUES (53502, '17/09/2020', '17', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80816127');
INSERT INTO public.ecdc_import VALUES (53503, '16/09/2020', '16', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80816127');
INSERT INTO public.ecdc_import VALUES (53504, '15/09/2020', '15', '9', '2020', '65', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80816127');
INSERT INTO public.ecdc_import VALUES (53505, '14/09/2020', '14', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.65633907');
INSERT INTO public.ecdc_import VALUES (53506, '13/09/2020', '13', '9', '2020', '33', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.65633907');
INSERT INTO public.ecdc_import VALUES (53507, '12/09/2020', '12', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.91560468');
INSERT INTO public.ecdc_import VALUES (53508, '11/09/2020', '11', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.91560468');
INSERT INTO public.ecdc_import VALUES (53509, '10/09/2020', '10', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.08144124');
INSERT INTO public.ecdc_import VALUES (53510, '09/09/2020', '9', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.08144124');
INSERT INTO public.ecdc_import VALUES (53511, '08/09/2020', '8', '9', '2020', '30', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.40377146');
INSERT INTO public.ecdc_import VALUES (53512, '07/09/2020', '7', '9', '2020', '218', '9', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.33369967');
INSERT INTO public.ecdc_import VALUES (53513, '06/09/2020', '6', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.32202104');
INSERT INTO public.ecdc_import VALUES (53514, '05/09/2020', '5', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.32202104');
INSERT INTO public.ecdc_import VALUES (53515, '04/09/2020', '4', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.40844291');
INSERT INTO public.ecdc_import VALUES (53516, '03/09/2020', '3', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.50187196');
INSERT INTO public.ecdc_import VALUES (53517, '02/09/2020', '2', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.64435126');
INSERT INTO public.ecdc_import VALUES (53518, '01/09/2020', '1', '9', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.81953072');
INSERT INTO public.ecdc_import VALUES (53519, '31/08/2020', '31', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.81953072');
INSERT INTO public.ecdc_import VALUES (53520, '30/08/2020', '30', '8', '2020', '144', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.04376044');
INSERT INTO public.ecdc_import VALUES (53521, '29/08/2020', '29', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.06244625');
INSERT INTO public.ecdc_import VALUES (53522, '28/08/2020', '28', '8', '2020', '71', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.17222538');
INSERT INTO public.ecdc_import VALUES (53523, '27/08/2020', '27', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.00638882');
INSERT INTO public.ecdc_import VALUES (53524, '26/08/2020', '26', '8', '2020', '138', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.19791837');
INSERT INTO public.ecdc_import VALUES (53525, '25/08/2020', '25', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.05543907');
INSERT INTO public.ecdc_import VALUES (53526, '24/08/2020', '24', '8', '2020', '213', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.20025409');
INSERT INTO public.ecdc_import VALUES (53527, '23/08/2020', '23', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.70274441');
INSERT INTO public.ecdc_import VALUES (53528, '22/08/2020', '22', '8', '2020', '37', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.80551636');
INSERT INTO public.ecdc_import VALUES (53529, '21/08/2020', '21', '8', '2020', '40', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.88259533');
INSERT INTO public.ecdc_import VALUES (53530, '20/08/2020', '20', '8', '2020', '61', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.78916628');
INSERT INTO public.ecdc_import VALUES (53531, '19/08/2020', '19', '8', '2020', '75', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.64668698');
INSERT INTO public.ecdc_import VALUES (53532, '18/08/2020', '18', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.56960802');
INSERT INTO public.ecdc_import VALUES (53533, '17/08/2020', '17', '8', '2020', '96', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.56960802');
INSERT INTO public.ecdc_import VALUES (53534, '16/08/2020', '16', '8', '2020', '152', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.56493656');
INSERT INTO public.ecdc_import VALUES (53535, '15/08/2020', '15', '8', '2020', '47', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.20990618');
INSERT INTO public.ecdc_import VALUES (53536, '14/08/2020', '14', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.44581453');
INSERT INTO public.ecdc_import VALUES (53537, '13/08/2020', '13', '8', '2020', '82', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.44581453');
INSERT INTO public.ecdc_import VALUES (53538, '12/08/2020', '12', '8', '2020', '77', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.25428498');
INSERT INTO public.ecdc_import VALUES (53539, '11/08/2020', '11', '8', '2020', '62', '8', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.24260635');
INSERT INTO public.ecdc_import VALUES (53540, '10/08/2020', '10', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.18888464');
INSERT INTO public.ecdc_import VALUES (53541, '09/08/2020', '9', '8', '2020', '44', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.38274992');
INSERT INTO public.ecdc_import VALUES (53542, '08/08/2020', '8', '8', '2020', '70', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.43180017');
INSERT INTO public.ecdc_import VALUES (53543, '07/08/2020', '7', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.26829933');
INSERT INTO public.ecdc_import VALUES (53544, '06/08/2020', '6', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.52522922');
INSERT INTO public.ecdc_import VALUES (53545, '05/08/2020', '5', '8', '2020', '42', '11', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.52522922');
INSERT INTO public.ecdc_import VALUES (53546, '04/08/2020', '4', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.74245176');
INSERT INTO public.ecdc_import VALUES (53547, '03/08/2020', '3', '8', '2020', '94', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.27966879');
INSERT INTO public.ecdc_import VALUES (53548, '02/08/2020', '2', '8', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.24696862');
INSERT INTO public.ecdc_import VALUES (53549, '01/08/2020', '1', '8', '2020', '148', '21', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.60900618');
INSERT INTO public.ecdc_import VALUES (53550, '31/07/2020', '31', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.2633187');
INSERT INTO public.ecdc_import VALUES (53551, '30/07/2020', '30', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.2633187');
INSERT INTO public.ecdc_import VALUES (53552, '29/07/2020', '29', '7', '2020', '72', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.75615693');
INSERT INTO public.ecdc_import VALUES (53553, '28/07/2020', '28', '7', '2020', '39', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.58798465');
INSERT INTO public.ecdc_import VALUES (53554, '27/07/2020', '27', '7', '2020', '83', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.65104925');
INSERT INTO public.ecdc_import VALUES (53555, '26/07/2020', '26', '7', '2020', '65', '7', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.45718398');
INSERT INTO public.ecdc_import VALUES (53556, '25/07/2020', '25', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.41280518');
INSERT INTO public.ecdc_import VALUES (53557, '24/07/2020', '24', '7', '2020', '110', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.52024859');
INSERT INTO public.ecdc_import VALUES (53558, '23/07/2020', '23', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.43616244');
INSERT INTO public.ecdc_import VALUES (53559, '22/07/2020', '22', '7', '2020', '135', '13', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.63937062');
INSERT INTO public.ecdc_import VALUES (53560, '21/07/2020', '21', '7', '2020', '230', '13', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.86126461');
INSERT INTO public.ecdc_import VALUES (53561, '20/07/2020', '20', '7', '2020', '80', '7', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.32404758');
INSERT INTO public.ecdc_import VALUES (53562, '19/07/2020', '19', '7', '2020', '155', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.38010501');
INSERT INTO public.ecdc_import VALUES (53563, '18/07/2020', '18', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.01806745');
INSERT INTO public.ecdc_import VALUES (53564, '17/07/2020', '17', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.22828281');
INSERT INTO public.ecdc_import VALUES (53565, '16/07/2020', '16', '7', '2020', '211', '11', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.22828281');
INSERT INTO public.ecdc_import VALUES (53566, '15/07/2020', '15', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.47119834');
INSERT INTO public.ecdc_import VALUES (53567, '14/07/2020', '14', '7', '2020', '66', '7', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.47119834');
INSERT INTO public.ecdc_import VALUES (53568, '13/07/2020', '13', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.31704041');
INSERT INTO public.ecdc_import VALUES (53569, '12/07/2020', '12', '7', '2020', '46', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.31704041');
INSERT INTO public.ecdc_import VALUES (53570, '11/07/2020', '11', '7', '2020', '46', '8', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.21193273');
INSERT INTO public.ecdc_import VALUES (53571, '10/07/2020', '10', '7', '2020', '74', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.74214258');
INSERT INTO public.ecdc_import VALUES (53572, '09/07/2020', '9', '7', '2020', '87', '14', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.79119283');
INSERT INTO public.ecdc_import VALUES (53573, '08/07/2020', '8', '7', '2020', '230', '14', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.58798465');
INSERT INTO public.ecdc_import VALUES (53574, '07/07/2020', '7', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.49689132');
INSERT INTO public.ecdc_import VALUES (53575, '06/07/2020', '6', '7', '2020', '104', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.77250702');
INSERT INTO public.ecdc_import VALUES (53576, '05/07/2020', '5', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.52959149');
INSERT INTO public.ecdc_import VALUES (53577, '04/07/2020', '4', '7', '2020', '90', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.14622321');
INSERT INTO public.ecdc_import VALUES (53578, '03/07/2020', '3', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.62738281');
INSERT INTO public.ecdc_import VALUES (53579, '02/07/2020', '2', '7', '2020', '315', '30', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.62738281');
INSERT INTO public.ecdc_import VALUES (53580, '01/07/2020', '1', '7', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.54563239');
INSERT INTO public.ecdc_import VALUES (53581, '30/06/2020', '30', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.76021003');
INSERT INTO public.ecdc_import VALUES (53582, '29/06/2020', '29', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.76021003');
INSERT INTO public.ecdc_import VALUES (53583, '28/06/2020', '28', '6', '2020', '1', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.55669266');
INSERT INTO public.ecdc_import VALUES (53584, '27/06/2020', '27', '6', '2020', '273', '16', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.55435694');
INSERT INTO public.ecdc_import VALUES (53585, '26/06/2020', '26', '6', '2020', '95', '8', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.26472689');
INSERT INTO public.ecdc_import VALUES (53586, '25/06/2020', '25', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.75055794');
INSERT INTO public.ecdc_import VALUES (53587, '24/06/2020', '24', '6', '2020', '191', '15', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.18266729');
INSERT INTO public.ecdc_import VALUES (53588, '23/06/2020', '23', '6', '2020', '118', '12', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.73654358');
INSERT INTO public.ecdc_import VALUES (53589, '22/06/2020', '22', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.83230836');
INSERT INTO public.ecdc_import VALUES (53590, '21/06/2020', '21', '6', '2020', '264', '15', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.34149667');
INSERT INTO public.ecdc_import VALUES (53591, '20/06/2020', '20', '6', '2020', '296', '19', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.07755961');
INSERT INTO public.ecdc_import VALUES (53592, '19/06/2020', '19', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.88836579');
INSERT INTO public.ecdc_import VALUES (53593, '18/06/2020', '18', '6', '2020', '280', '10', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.32981804');
INSERT INTO public.ecdc_import VALUES (53594, '17/06/2020', '17', '6', '2020', '520', '18', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.6758147');
INSERT INTO public.ecdc_import VALUES (53595, '16/06/2020', '16', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.78123156');
INSERT INTO public.ecdc_import VALUES (53596, '15/06/2020', '15', '6', '2020', '341', '26', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.12458332');
INSERT INTO public.ecdc_import VALUES (53597, '14/06/2020', '14', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.8559748');
INSERT INTO public.ecdc_import VALUES (53598, '13/06/2020', '13', '6', '2020', '149', '20', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.50764241');
INSERT INTO public.ecdc_import VALUES (53599, '12/06/2020', '12', '6', '2020', '303', '24', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.5683713');
INSERT INTO public.ecdc_import VALUES (53600, '11/06/2020', '11', '6', '2020', '185', '17', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.3277915');
INSERT INTO public.ecdc_import VALUES (53601, '10/06/2020', '10', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.2927556');
INSERT INTO public.ecdc_import VALUES (53602, '09/06/2020', '9', '6', '2020', '159', '13', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.64311453');
INSERT INTO public.ecdc_import VALUES (53603, '08/06/2020', '8', '6', '2020', '218', '12', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.7201935');
INSERT INTO public.ecdc_import VALUES (53604, '07/06/2020', '7', '6', '2020', '151', '14', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.22501954');
INSERT INTO public.ecdc_import VALUES (53605, '06/06/2020', '6', '6', '2020', '215', '19', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.45625644');
INSERT INTO public.ecdc_import VALUES (53606, '05/06/2020', '5', '6', '2020', '189', '7', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.51464959');
INSERT INTO public.ecdc_import VALUES (53607, '04/06/2020', '4', '6', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.03084509');
INSERT INTO public.ecdc_import VALUES (53608, '03/06/2020', '3', '6', '2020', '137', '9', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.35083958');
INSERT INTO public.ecdc_import VALUES (53609, '02/06/2020', '2', '6', '2020', '147', '12', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.03084509');
INSERT INTO public.ecdc_import VALUES (53610, '01/06/2020', '1', '6', '2020', '226', '24', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.39288265');
INSERT INTO public.ecdc_import VALUES (53611, '31/05/2020', '31', '5', '2020', '279', '29', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '6.62411955');
INSERT INTO public.ecdc_import VALUES (53612, '30/05/2020', '30', '5', '2020', '175', '38', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.97245193');
INSERT INTO public.ecdc_import VALUES (53613, '29/05/2020', '29', '5', '2020', '200', '11', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.56369984');
INSERT INTO public.ecdc_import VALUES (53614, '28/05/2020', '28', '5', '2020', '170', '14', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.43757063');
INSERT INTO public.ecdc_import VALUES (53615, '27/05/2020', '27', '5', '2020', '150', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.40720619');
INSERT INTO public.ecdc_import VALUES (53616, '26/05/2020', '26', '5', '2020', '192', '19', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.37217029');
INSERT INTO public.ecdc_import VALUES (53617, '25/05/2020', '25', '5', '2020', '6', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.30443423');
INSERT INTO public.ecdc_import VALUES (53618, '24/05/2020', '24', '5', '2020', '250', '9', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.75522939');
INSERT INTO public.ecdc_import VALUES (53619, '23/05/2020', '23', '5', '2020', '240', '16', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.29509133');
INSERT INTO public.ecdc_import VALUES (53620, '22/05/2020', '22', '5', '2020', '410', '10', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '5.15728348');
INSERT INTO public.ecdc_import VALUES (53621, '21/05/2020', '21', '5', '2020', '137', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.38182238');
INSERT INTO public.ecdc_import VALUES (53622, '20/05/2020', '20', '5', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.23467163');
INSERT INTO public.ecdc_import VALUES (53623, '19/05/2020', '19', '5', '2020', '302', '8', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '4.46824425');
INSERT INTO public.ecdc_import VALUES (53624, '18/05/2020', '18', '5', '2020', '325', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.76285493');
INSERT INTO public.ecdc_import VALUES (53625, '17/05/2020', '17', '5', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.20461637');
INSERT INTO public.ecdc_import VALUES (53626, '16/05/2020', '16', '5', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.5549753');
INSERT INTO public.ecdc_import VALUES (53627, '15/05/2020', '15', '5', '2020', '146', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.5549753');
INSERT INTO public.ecdc_import VALUES (53628, '14/05/2020', '14', '5', '2020', '157', '10', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.37045293');
INSERT INTO public.ecdc_import VALUES (53629, '13/05/2020', '13', '5', '2020', '135', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '3.13688031');
INSERT INTO public.ecdc_import VALUES (53630, '12/05/2020', '12', '5', '2020', '163', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.92199349');
INSERT INTO public.ecdc_import VALUES (53631, '11/05/2020', '11', '5', '2020', '199', '6', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.63002772');
INSERT INTO public.ecdc_import VALUES (53632, '10/05/2020', '10', '5', '2020', '53', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.22127563');
INSERT INTO public.ecdc_import VALUES (53633, '09/05/2020', '9', '5', '2020', '181', '7', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '2.18857546');
INSERT INTO public.ecdc_import VALUES (53634, '08/05/2020', '8', '5', '2020', '78', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.79383773');
INSERT INTO public.ecdc_import VALUES (53635, '07/05/2020', '7', '5', '2020', '74', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.66303706');
INSERT INTO public.ecdc_import VALUES (53636, '06/05/2020', '6', '5', '2020', '100', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.56727229');
INSERT INTO public.ecdc_import VALUES (53637, '05/05/2020', '5', '5', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.36873556');
INSERT INTO public.ecdc_import VALUES (53638, '04/05/2020', '4', '5', '2020', '86', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.42946444');
INSERT INTO public.ecdc_import VALUES (53639, '03/05/2020', '3', '5', '2020', '150', '10', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '1.22859199');
INSERT INTO public.ecdc_import VALUES (53640, '02/05/2020', '2', '5', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.95764775');
INSERT INTO public.ecdc_import VALUES (53641, '01/05/2020', '1', '5', '2020', '67', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.95764775');
INSERT INTO public.ecdc_import VALUES (53642, '30/04/2020', '30', '4', '2020', '57', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.80115409');
INSERT INTO public.ecdc_import VALUES (53643, '29/04/2020', '29', '4', '2020', '43', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.6680177');
INSERT INTO public.ecdc_import VALUES (53644, '28/04/2020', '28', '4', '2020', '38', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.57458865');
INSERT INTO public.ecdc_import VALUES (53645, '27/04/2020', '27', '4', '2020', '24', '4', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.50918831');
INSERT INTO public.ecdc_import VALUES (53646, '26/04/2020', '26', '4', '2020', '39', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.45313089');
INSERT INTO public.ecdc_import VALUES (53647, '25/04/2020', '25', '4', '2020', '12', '3', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.37138047');
INSERT INTO public.ecdc_import VALUES (53648, '24/04/2020', '24', '4', '2020', '22', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.34568748');
INSERT INTO public.ecdc_import VALUES (53649, '23/04/2020', '23', '4', '2020', '33', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.2943015');
INSERT INTO public.ecdc_import VALUES (53650, '22/04/2020', '22', '4', '2020', '15', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.21722254');
INSERT INTO public.ecdc_import VALUES (53651, '21/04/2020', '21', '4', '2020', '26', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.1868581');
INSERT INTO public.ecdc_import VALUES (53652, '20/04/2020', '20', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.12612922');
INSERT INTO public.ecdc_import VALUES (53653, '19/04/2020', '19', '4', '2020', '34', '5', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.13080067');
INSERT INTO public.ecdc_import VALUES (53654, '18/04/2020', '18', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.05839316');
INSERT INTO public.ecdc_import VALUES (53655, '17/04/2020', '17', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.05839316');
INSERT INTO public.ecdc_import VALUES (53656, '16/04/2020', '16', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.05839316');
INSERT INTO public.ecdc_import VALUES (53657, '15/04/2020', '15', '4', '2020', '3', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.05839316');
INSERT INTO public.ecdc_import VALUES (53658, '14/04/2020', '14', '4', '2020', '10', '2', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0537217');
INSERT INTO public.ecdc_import VALUES (53659, '13/04/2020', '13', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.03270017');
INSERT INTO public.ecdc_import VALUES (53660, '12/04/2020', '12', '4', '2020', '4', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.03270017');
INSERT INTO public.ecdc_import VALUES (53661, '11/04/2020', '11', '4', '2020', '1', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.02802871');
INSERT INTO public.ecdc_import VALUES (53662, '10/04/2020', '10', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.02569299');
INSERT INTO public.ecdc_import VALUES (53663, '09/04/2020', '9', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.02569299');
INSERT INTO public.ecdc_import VALUES (53664, '08/04/2020', '8', '4', '2020', '2', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.02569299');
INSERT INTO public.ecdc_import VALUES (53665, '07/04/2020', '7', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.02335726');
INSERT INTO public.ecdc_import VALUES (53666, '06/04/2020', '6', '4', '2020', '2', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.02335726');
INSERT INTO public.ecdc_import VALUES (53667, '05/04/2020', '5', '4', '2020', '3', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.01868581');
INSERT INTO public.ecdc_import VALUES (53668, '04/04/2020', '4', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.01167863');
INSERT INTO public.ecdc_import VALUES (53669, '03/04/2020', '3', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.01167863');
INSERT INTO public.ecdc_import VALUES (53670, '02/04/2020', '2', '4', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.01167863');
INSERT INTO public.ecdc_import VALUES (53671, '01/04/2020', '1', '4', '2020', '1', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.01401436');
INSERT INTO public.ecdc_import VALUES (53672, '31/03/2020', '31', '3', '2020', '1', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.01167863');
INSERT INTO public.ecdc_import VALUES (53673, '30/03/2020', '30', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0093429');
INSERT INTO public.ecdc_import VALUES (53674, '29/03/2020', '29', '3', '2020', '2', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.0093429');
INSERT INTO public.ecdc_import VALUES (53675, '28/03/2020', '28', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.00467145');
INSERT INTO public.ecdc_import VALUES (53676, '27/03/2020', '27', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '0.00700718');
INSERT INTO public.ecdc_import VALUES (53677, '26/03/2020', '26', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53678, '25/03/2020', '25', '3', '2020', '1', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53679, '24/03/2020', '24', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53680, '23/03/2020', '23', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53681, '22/03/2020', '22', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53682, '21/03/2020', '21', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53683, '20/03/2020', '20', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53684, '19/03/2020', '19', '3', '2020', '1', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53685, '18/03/2020', '18', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53686, '17/03/2020', '17', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53687, '16/03/2020', '16', '3', '2020', '0', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53688, '15/03/2020', '15', '3', '2020', '0', '1', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53689, '14/03/2020', '14', '3', '2020', '1', '0', '42813237', 'Sudan', 'SD', 'SDN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (53690, '14/12/2020', '14', '12', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '7.0523924');
INSERT INTO public.ecdc_import VALUES (53691, '13/12/2020', '13', '12', '2020', '10', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '6.36435411');
INSERT INTO public.ecdc_import VALUES (53692, '12/12/2020', '12', '12', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '4.81626798');
INSERT INTO public.ecdc_import VALUES (53693, '11/12/2020', '11', '12', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '5.16028712');
INSERT INTO public.ecdc_import VALUES (53694, '10/12/2020', '10', '12', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '4.81626798');
INSERT INTO public.ecdc_import VALUES (53695, '09/12/2020', '9', '12', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '4.47224884');
INSERT INTO public.ecdc_import VALUES (53696, '08/12/2020', '8', '12', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '4.81626798');
INSERT INTO public.ecdc_import VALUES (53697, '07/12/2020', '7', '12', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '4.81626798');
INSERT INTO public.ecdc_import VALUES (53698, '06/12/2020', '6', '12', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '4.98827755');
INSERT INTO public.ecdc_import VALUES (53699, '05/12/2020', '5', '12', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '5.67631583');
INSERT INTO public.ecdc_import VALUES (53700, '04/12/2020', '4', '12', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '6.53636368');
INSERT INTO public.ecdc_import VALUES (53701, '03/12/2020', '3', '12', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '6.53636368');
INSERT INTO public.ecdc_import VALUES (53702, '02/12/2020', '2', '12', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '7.0523924');
INSERT INTO public.ecdc_import VALUES (53703, '01/12/2020', '1', '12', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '6.36435411');
INSERT INTO public.ecdc_import VALUES (53704, '30/11/2020', '30', '11', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '6.53636368');
INSERT INTO public.ecdc_import VALUES (53705, '29/11/2020', '29', '11', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '6.53636368');
INSERT INTO public.ecdc_import VALUES (53706, '28/11/2020', '28', '11', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '7.39641154');
INSERT INTO public.ecdc_import VALUES (53707, '27/11/2020', '27', '11', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '7.91244025');
INSERT INTO public.ecdc_import VALUES (53708, '26/11/2020', '26', '11', '2020', '5', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '8.7724881');
INSERT INTO public.ecdc_import VALUES (53709, '25/11/2020', '25', '11', '2020', '3', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '9.46052638');
INSERT INTO public.ecdc_import VALUES (53710, '24/11/2020', '24', '11', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '9.63253595');
INSERT INTO public.ecdc_import VALUES (53711, '23/11/2020', '23', '11', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '9.80454552');
INSERT INTO public.ecdc_import VALUES (53712, '22/11/2020', '22', '11', '2020', '6', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.49258381');
INSERT INTO public.ecdc_import VALUES (53713, '21/11/2020', '21', '11', '2020', '5', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.66459338');
INSERT INTO public.ecdc_import VALUES (53714, '20/11/2020', '20', '11', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.14856467');
INSERT INTO public.ecdc_import VALUES (53715, '19/11/2020', '19', '11', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.66459338');
INSERT INTO public.ecdc_import VALUES (53716, '18/11/2020', '18', '11', '2020', '3', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.32057424');
INSERT INTO public.ecdc_import VALUES (53717, '17/11/2020', '17', '11', '2020', '1', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.83660295');
INSERT INTO public.ecdc_import VALUES (53718, '16/11/2020', '16', '11', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '11.00861252');
INSERT INTO public.ecdc_import VALUES (53719, '15/11/2020', '15', '11', '2020', '6', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '12.21267951');
INSERT INTO public.ecdc_import VALUES (53720, '14/11/2020', '14', '11', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '11.52464123');
INSERT INTO public.ecdc_import VALUES (53721, '13/11/2020', '13', '11', '2020', '7', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '11.00861252');
INSERT INTO public.ecdc_import VALUES (53722, '12/11/2020', '12', '11', '2020', '9', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '11.52464123');
INSERT INTO public.ecdc_import VALUES (53723, '11/11/2020', '11', '11', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '9.9765551');
INSERT INTO public.ecdc_import VALUES (53724, '10/11/2020', '10', '11', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.49258381');
INSERT INTO public.ecdc_import VALUES (53725, '09/11/2020', '9', '11', '2020', '5', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '11.86866037');
INSERT INTO public.ecdc_import VALUES (53726, '08/11/2020', '8', '11', '2020', '7', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '11.6966508');
INSERT INTO public.ecdc_import VALUES (53727, '07/11/2020', '7', '11', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '12.38468908');
INSERT INTO public.ecdc_import VALUES (53728, '06/11/2020', '6', '11', '2020', '5', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '12.21267951');
INSERT INTO public.ecdc_import VALUES (53729, '05/11/2020', '5', '11', '2020', '2', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '12.04066994');
INSERT INTO public.ecdc_import VALUES (53730, '04/11/2020', '4', '11', '2020', '6', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '12.72870823');
INSERT INTO public.ecdc_import VALUES (53731, '03/11/2020', '3', '11', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '13.58875608');
INSERT INTO public.ecdc_import VALUES (53732, '02/11/2020', '2', '11', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '13.76076565');
INSERT INTO public.ecdc_import VALUES (53733, '01/11/2020', '1', '11', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '13.76076565');
INSERT INTO public.ecdc_import VALUES (53734, '31/10/2020', '31', '10', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '15.13684221');
INSERT INTO public.ecdc_import VALUES (53735, '30/10/2020', '30', '10', '2020', '10', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '17.71698577');
INSERT INTO public.ecdc_import VALUES (53736, '29/10/2020', '29', '10', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '17.88899534');
INSERT INTO public.ecdc_import VALUES (53737, '28/10/2020', '28', '10', '2020', '7', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '19.78110062');
INSERT INTO public.ecdc_import VALUES (53738, '27/10/2020', '27', '10', '2020', '10', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '20.98516761');
INSERT INTO public.ecdc_import VALUES (53739, '26/10/2020', '26', '10', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '20.4691389');
INSERT INTO public.ecdc_import VALUES (53740, '25/10/2020', '25', '10', '2020', '11', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '22.53325375');
INSERT INTO public.ecdc_import VALUES (53741, '24/10/2020', '24', '10', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '23.56531117');
INSERT INTO public.ecdc_import VALUES (53742, '23/10/2020', '23', '10', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '25.80143559');
INSERT INTO public.ecdc_import VALUES (53743, '22/10/2020', '22', '10', '2020', '6', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '29.41363657');
INSERT INTO public.ecdc_import VALUES (53744, '21/10/2020', '21', '10', '2020', '11', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '30.78971314');
INSERT INTO public.ecdc_import VALUES (53745, '20/10/2020', '20', '10', '2020', '3', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '30.78971314');
INSERT INTO public.ecdc_import VALUES (53746, '19/10/2020', '19', '10', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '32.50980885');
INSERT INTO public.ecdc_import VALUES (53747, '18/10/2020', '18', '10', '2020', '10', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '34.22990455');
INSERT INTO public.ecdc_import VALUES (53748, '17/10/2020', '17', '10', '2020', '19', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '36.81004811');
INSERT INTO public.ecdc_import VALUES (53749, '16/10/2020', '16', '10', '2020', '11', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '34.91794283');
INSERT INTO public.ecdc_import VALUES (53750, '15/10/2020', '15', '10', '2020', '11', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.43397155');
INSERT INTO public.ecdc_import VALUES (53751, '14/10/2020', '14', '10', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.95000026');
INSERT INTO public.ecdc_import VALUES (53752, '13/10/2020', '13', '10', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '38.18612468');
INSERT INTO public.ecdc_import VALUES (53753, '12/10/2020', '12', '10', '2020', '16', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '37.15406725');
INSERT INTO public.ecdc_import VALUES (53754, '11/10/2020', '11', '10', '2020', '17', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.0899524');
INSERT INTO public.ecdc_import VALUES (53755, '10/10/2020', '10', '10', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '34.57392369');
INSERT INTO public.ecdc_import VALUES (53756, '09/10/2020', '9', '10', '2020', '25', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '36.98205768');
INSERT INTO public.ecdc_import VALUES (53757, '08/10/2020', '8', '10', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '34.40191412');
INSERT INTO public.ecdc_import VALUES (53758, '07/10/2020', '7', '10', '2020', '11', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.43397155');
INSERT INTO public.ecdc_import VALUES (53759, '06/10/2020', '6', '10', '2020', '13', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '36.81004811');
INSERT INTO public.ecdc_import VALUES (53760, '05/10/2020', '5', '10', '2020', '17', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '37.49808639');
INSERT INTO public.ecdc_import VALUES (53761, '04/10/2020', '4', '10', '2020', '25', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '36.98205768');
INSERT INTO public.ecdc_import VALUES (53762, '03/10/2020', '3', '10', '2020', '8', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.77799069');
INSERT INTO public.ecdc_import VALUES (53763, '02/10/2020', '2', '10', '2020', '14', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '37.84210553');
INSERT INTO public.ecdc_import VALUES (53764, '01/10/2020', '1', '10', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '39.90622038');
INSERT INTO public.ecdc_import VALUES (53765, '30/09/2020', '30', '9', '2020', '27', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '40.93827781');
INSERT INTO public.ecdc_import VALUES (53766, '29/09/2020', '29', '9', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '38.70215339');
INSERT INTO public.ecdc_import VALUES (53767, '28/09/2020', '28', '9', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '43.51842136');
INSERT INTO public.ecdc_import VALUES (53768, '27/09/2020', '27', '9', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '43.34641179');
INSERT INTO public.ecdc_import VALUES (53769, '26/09/2020', '26', '9', '2020', '28', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '49.53875634');
INSERT INTO public.ecdc_import VALUES (53770, '25/09/2020', '25', '9', '2020', '10', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '53.66698603');
INSERT INTO public.ecdc_import VALUES (53771, '24/09/2020', '24', '9', '2020', '20', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '57.10717744');
INSERT INTO public.ecdc_import VALUES (53772, '23/09/2020', '23', '9', '2020', '19', '3', '581363', 'Suriname', 'SR', 'SUR', 'America', '58.48325401');
INSERT INTO public.ecdc_import VALUES (53773, '22/09/2020', '22', '9', '2020', '17', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '65.36363683');
INSERT INTO public.ecdc_import VALUES (53774, '21/09/2020', '21', '9', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '64.84760812');
INSERT INTO public.ecdc_import VALUES (53775, '20/09/2020', '20', '9', '2020', '18', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '66.91172297');
INSERT INTO public.ecdc_import VALUES (53776, '19/09/2020', '19', '9', '2020', '20', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '75.5122015');
INSERT INTO public.ecdc_import VALUES (53777, '18/09/2020', '18', '9', '2020', '26', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '78.4363642');
INSERT INTO public.ecdc_import VALUES (53778, '17/09/2020', '17', '9', '2020', '20', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '85.31674702');
INSERT INTO public.ecdc_import VALUES (53779, '16/09/2020', '16', '9', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '92.19712985');
INSERT INTO public.ecdc_import VALUES (53780, '15/09/2020', '15', '9', '2020', '29', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '99.24952224');
INSERT INTO public.ecdc_import VALUES (53781, '14/09/2020', '14', '9', '2020', '3', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '98.56148396');
INSERT INTO public.ecdc_import VALUES (53782, '13/09/2020', '13', '9', '2020', '50', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '107.50598163');
INSERT INTO public.ecdc_import VALUES (53783, '12/09/2020', '12', '9', '2020', '52', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '117.13851759');
INSERT INTO public.ecdc_import VALUES (53784, '11/09/2020', '11', '9', '2020', '30', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '117.6545463');
INSERT INTO public.ecdc_import VALUES (53785, '10/09/2020', '10', '9', '2020', '28', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '124.36291955');
INSERT INTO public.ecdc_import VALUES (53786, '09/09/2020', '9', '9', '2020', '59', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '124.01890041');
INSERT INTO public.ecdc_import VALUES (53787, '08/09/2020', '8', '9', '2020', '14', '6', '581363', 'Suriname', 'SR', 'SUR', 'America', '125.22296741');
INSERT INTO public.ecdc_import VALUES (53788, '07/09/2020', '7', '9', '2020', '26', '8', '581363', 'Suriname', 'SR', 'SUR', 'America', '127.11507268');
INSERT INTO public.ecdc_import VALUES (53789, '06/09/2020', '6', '9', '2020', '68', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '129.17918753');
INSERT INTO public.ecdc_import VALUES (53790, '05/09/2020', '5', '9', '2020', '37', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '136.23157993');
INSERT INTO public.ecdc_import VALUES (53791, '04/09/2020', '4', '9', '2020', '66', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '146.03612545');
INSERT INTO public.ecdc_import VALUES (53792, '03/09/2020', '3', '9', '2020', '60', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '146.8961733');
INSERT INTO public.ecdc_import VALUES (53793, '02/09/2020', '2', '9', '2020', '55', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '150.16435514');
INSERT INTO public.ecdc_import VALUES (53794, '01/09/2020', '1', '9', '2020', '25', '4', '581363', 'Suriname', 'SR', 'SUR', 'America', '164.61315908');
INSERT INTO public.ecdc_import VALUES (53795, '31/08/2020', '31', '8', '2020', '55', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '170.80550362');
INSERT INTO public.ecdc_import VALUES (53796, '30/08/2020', '30', '8', '2020', '106', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '170.80550362');
INSERT INTO public.ecdc_import VALUES (53797, '29/08/2020', '29', '8', '2020', '55', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '173.72966632');
INSERT INTO public.ecdc_import VALUES (53798, '28/08/2020', '28', '8', '2020', '69', '4', '581363', 'Suriname', 'SR', 'SUR', 'America', '177.51387687');
INSERT INTO public.ecdc_import VALUES (53799, '27/08/2020', '27', '8', '2020', '26', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '184.22225013');
INSERT INTO public.ecdc_import VALUES (53800, '26/08/2020', '26', '8', '2020', '66', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '195.91890093');
INSERT INTO public.ecdc_import VALUES (53801, '25/08/2020', '25', '8', '2020', '25', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '196.60693921');
INSERT INTO public.ecdc_import VALUES (53802, '24/08/2020', '24', '8', '2020', '38', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '209.16363786');
INSERT INTO public.ecdc_import VALUES (53803, '23/08/2020', '23', '8', '2020', '109', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '217.24808768');
INSERT INTO public.ecdc_import VALUES (53804, '22/08/2020', '22', '8', '2020', '94', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '216.21603026');
INSERT INTO public.ecdc_import VALUES (53805, '21/08/2020', '21', '8', '2020', '71', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '218.45215468');
INSERT INTO public.ecdc_import VALUES (53806, '20/08/2020', '20', '8', '2020', '79', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '214.15191541');
INSERT INTO public.ecdc_import VALUES (53807, '19/08/2020', '19', '8', '2020', '139', '6', '581363', 'Suriname', 'SR', 'SUR', 'America', '212.43181971');
INSERT INTO public.ecdc_import VALUES (53808, '18/08/2020', '18', '8', '2020', '61', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '203.65933161');
INSERT INTO public.ecdc_import VALUES (53809, '17/08/2020', '17', '8', '2020', '55', '5', '581363', 'Suriname', 'SR', 'SUR', 'America', '200.7351689');
INSERT INTO public.ecdc_import VALUES (53810, '16/08/2020', '16', '8', '2020', '123', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '206.58349431');
INSERT INTO public.ecdc_import VALUES (53811, '15/08/2020', '15', '8', '2020', '77', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '194.71483393');
INSERT INTO public.ecdc_import VALUES (53812, '14/08/2020', '14', '8', '2020', '108', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '191.10263295');
INSERT INTO public.ecdc_import VALUES (53813, '13/08/2020', '13', '8', '2020', '94', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '179.92201086');
INSERT INTO public.ecdc_import VALUES (53814, '12/08/2020', '12', '8', '2020', '70', '9', '581363', 'Suriname', 'SR', 'SUR', 'America', '180.43803957');
INSERT INTO public.ecdc_import VALUES (53815, '11/08/2020', '11', '8', '2020', '98', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '173.04162804');
INSERT INTO public.ecdc_import VALUES (53816, '10/08/2020', '10', '8', '2020', '85', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '163.75311122');
INSERT INTO public.ecdc_import VALUES (53817, '09/08/2020', '9', '8', '2020', '103', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '159.10885282');
INSERT INTO public.ecdc_import VALUES (53818, '08/08/2020', '8', '8', '2020', '107', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '154.46459441');
INSERT INTO public.ecdc_import VALUES (53819, '07/08/2020', '7', '8', '2020', '46', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '148.27224987');
INSERT INTO public.ecdc_import VALUES (53820, '06/08/2020', '6', '8', '2020', '69', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '150.33636472');
INSERT INTO public.ecdc_import VALUES (53821, '05/08/2020', '5', '8', '2020', '88', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '146.20813502');
INSERT INTO public.ecdc_import VALUES (53822, '04/08/2020', '4', '8', '2020', '44', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '140.01579048');
INSERT INTO public.ecdc_import VALUES (53823, '03/08/2020', '3', '8', '2020', '89', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '141.0478479');
INSERT INTO public.ecdc_import VALUES (53824, '02/08/2020', '2', '8', '2020', '54', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '130.55526409');
INSERT INTO public.ecdc_import VALUES (53825, '01/08/2020', '1', '8', '2020', '56', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '131.24330238');
INSERT INTO public.ecdc_import VALUES (53826, '31/07/2020', '31', '7', '2020', '43', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '125.91100569');
INSERT INTO public.ecdc_import VALUES (53827, '30/07/2020', '30', '7', '2020', '97', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '130.38325452');
INSERT INTO public.ecdc_import VALUES (53828, '29/07/2020', '29', '7', '2020', '27', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '121.95478556');
INSERT INTO public.ecdc_import VALUES (53829, '28/07/2020', '28', '7', '2020', '44', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '120.92272814');
INSERT INTO public.ecdc_import VALUES (53830, '27/07/2020', '27', '7', '2020', '58', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '120.06268029');
INSERT INTO public.ecdc_import VALUES (53831, '26/07/2020', '26', '7', '2020', '76', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '110.08612519');
INSERT INTO public.ecdc_import VALUES (53832, '25/07/2020', '25', '7', '2020', '71', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '99.59354138');
INSERT INTO public.ecdc_import VALUES (53833, '24/07/2020', '24', '7', '2020', '58', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '92.88516813');
INSERT INTO public.ecdc_import VALUES (53834, '23/07/2020', '23', '7', '2020', '45', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '87.89689058');
INSERT INTO public.ecdc_import VALUES (53835, '22/07/2020', '22', '7', '2020', '52', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '88.92894801');
INSERT INTO public.ecdc_import VALUES (53836, '21/07/2020', '21', '7', '2020', '50', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '79.98445033');
INSERT INTO public.ecdc_import VALUES (53837, '20/07/2020', '20', '7', '2020', '28', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '74.82416322');
INSERT INTO public.ecdc_import VALUES (53838, '19/07/2020', '19', '7', '2020', '58', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '74.99617279');
INSERT INTO public.ecdc_import VALUES (53839, '18/07/2020', '18', '7', '2020', '25', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '65.70765597');
INSERT INTO public.ecdc_import VALUES (53840, '17/07/2020', '17', '7', '2020', '69', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '63.8155507');
INSERT INTO public.ecdc_import VALUES (53841, '16/07/2020', '16', '7', '2020', '48', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '54.01100517');
INSERT INTO public.ecdc_import VALUES (53842, '15/07/2020', '15', '7', '2020', '21', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '48.85071805');
INSERT INTO public.ecdc_import VALUES (53843, '14/07/2020', '14', '7', '2020', '39', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '47.9906702');
INSERT INTO public.ecdc_import VALUES (53844, '13/07/2020', '13', '7', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '43.17440222');
INSERT INTO public.ecdc_import VALUES (53845, '12/07/2020', '12', '7', '2020', '15', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '60.20334971');
INSERT INTO public.ecdc_import VALUES (53846, '11/07/2020', '11', '7', '2020', '32', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '57.62320616');
INSERT INTO public.ecdc_import VALUES (53847, '10/07/2020', '10', '7', '2020', '29', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '55.21507217');
INSERT INTO public.ecdc_import VALUES (53848, '09/07/2020', '9', '7', '2020', '51', '3', '581363', 'Suriname', 'SR', 'SUR', 'America', '52.97894775');
INSERT INTO public.ecdc_import VALUES (53849, '08/07/2020', '8', '7', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '50.74282333');
INSERT INTO public.ecdc_import VALUES (53850, '07/07/2020', '7', '7', '2020', '20', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '50.74282333');
INSERT INTO public.ecdc_import VALUES (53851, '06/07/2020', '6', '7', '2020', '29', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '48.16267977');
INSERT INTO public.ecdc_import VALUES (53852, '05/07/2020', '5', '7', '2020', '4', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '45.23851707');
INSERT INTO public.ecdc_import VALUES (53853, '04/07/2020', '4', '7', '2020', '14', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '46.09856492');
INSERT INTO public.ecdc_import VALUES (53854, '03/07/2020', '3', '7', '2020', '12', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '46.44258407');
INSERT INTO public.ecdc_import VALUES (53855, '02/07/2020', '2', '7', '2020', '18', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '47.13062235');
INSERT INTO public.ecdc_import VALUES (53856, '01/07/2020', '1', '7', '2020', '16', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '48.33468934');
INSERT INTO public.ecdc_import VALUES (53857, '30/06/2020', '30', '6', '2020', '11', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '46.78660321');
INSERT INTO public.ecdc_import VALUES (53858, '29/06/2020', '29', '6', '2020', '99', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '48.50669891');
INSERT INTO public.ecdc_import VALUES (53859, '28/06/2020', '28', '6', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '33.54186627');
INSERT INTO public.ecdc_import VALUES (53860, '27/06/2020', '27', '6', '2020', '18', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.0899524');
INSERT INTO public.ecdc_import VALUES (53861, '26/06/2020', '26', '6', '2020', '16', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '35.26196198');
INSERT INTO public.ecdc_import VALUES (53862, '25/06/2020', '25', '6', '2020', '38', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '37.84210553');
INSERT INTO public.ecdc_import VALUES (53863, '24/06/2020', '24', '6', '2020', '0', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '31.30574185');
INSERT INTO public.ecdc_import VALUES (53864, '23/06/2020', '23', '6', '2020', '5', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '32.50980885');
INSERT INTO public.ecdc_import VALUES (53865, '22/06/2020', '22', '6', '2020', '12', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '33.02583756');
INSERT INTO public.ecdc_import VALUES (53866, '21/06/2020', '21', '6', '2020', '9', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '34.74593326');
INSERT INTO public.ecdc_import VALUES (53867, '20/06/2020', '20', '6', '2020', '16', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '34.74593326');
INSERT INTO public.ecdc_import VALUES (53868, '19/06/2020', '19', '6', '2020', '16', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '33.54186627');
INSERT INTO public.ecdc_import VALUES (53869, '18/06/2020', '18', '6', '2020', '25', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '32.1657897');
INSERT INTO public.ecdc_import VALUES (53870, '17/06/2020', '17', '6', '2020', '7', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '31.30574185');
INSERT INTO public.ecdc_import VALUES (53871, '16/06/2020', '16', '6', '2020', '21', '2', '581363', 'Suriname', 'SR', 'SUR', 'America', '31.82177056');
INSERT INTO public.ecdc_import VALUES (53872, '15/06/2020', '15', '6', '2020', '12', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '31.82177056');
INSERT INTO public.ecdc_import VALUES (53873, '14/06/2020', '14', '6', '2020', '9', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '31.30574185');
INSERT INTO public.ecdc_import VALUES (53874, '13/06/2020', '13', '6', '2020', '19', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '30.10167486');
INSERT INTO public.ecdc_import VALUES (53875, '12/06/2020', '12', '6', '2020', '31', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '26.83349302');
INSERT INTO public.ecdc_import VALUES (53876, '11/06/2020', '11', '6', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '21.50119633');
INSERT INTO public.ecdc_import VALUES (53877, '10/06/2020', '10', '6', '2020', '7', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '21.6732059');
INSERT INTO public.ecdc_import VALUES (53878, '09/06/2020', '9', '6', '2020', '8', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '20.4691389');
INSERT INTO public.ecdc_import VALUES (53879, '08/06/2020', '8', '6', '2020', '22', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '19.09306234');
INSERT INTO public.ecdc_import VALUES (53880, '07/06/2020', '7', '6', '2020', '9', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '15.30885178');
INSERT INTO public.ecdc_import VALUES (53881, '06/06/2020', '6', '6', '2020', '9', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '13.76076565');
INSERT INTO public.ecdc_import VALUES (53882, '05/06/2020', '5', '6', '2020', '8', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '12.21267951');
INSERT INTO public.ecdc_import VALUES (53883, '04/06/2020', '4', '6', '2020', '20', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '10.83660295');
INSERT INTO public.ecdc_import VALUES (53884, '03/06/2020', '3', '6', '2020', '10', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '7.39641154');
INSERT INTO public.ecdc_import VALUES (53885, '02/06/2020', '2', '6', '2020', '21', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '5.67631583');
INSERT INTO public.ecdc_import VALUES (53886, '01/06/2020', '1', '6', '2020', '9', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '2.23612442');
INSERT INTO public.ecdc_import VALUES (53887, '31/05/2020', '31', '5', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.68803828');
INSERT INTO public.ecdc_import VALUES (53888, '30/05/2020', '30', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53889, '29/05/2020', '29', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53890, '28/05/2020', '28', '5', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53891, '27/05/2020', '27', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53892, '26/05/2020', '26', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53893, '25/05/2020', '25', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53894, '24/05/2020', '24', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53895, '23/05/2020', '23', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53896, '22/05/2020', '22', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53897, '21/05/2020', '21', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53898, '20/05/2020', '20', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53899, '19/05/2020', '19', '5', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.17200957');
INSERT INTO public.ecdc_import VALUES (53900, '18/05/2020', '18', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53901, '17/05/2020', '17', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53902, '16/05/2020', '16', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53903, '15/05/2020', '15', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53904, '14/05/2020', '14', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53905, '13/05/2020', '13', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53906, '12/05/2020', '12', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53907, '11/05/2020', '11', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53908, '10/05/2020', '10', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53909, '09/05/2020', '9', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53910, '08/05/2020', '8', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53911, '07/05/2020', '7', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53912, '06/05/2020', '6', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53913, '05/05/2020', '5', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53914, '04/05/2020', '4', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53915, '03/05/2020', '3', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53916, '02/05/2020', '2', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53917, '01/05/2020', '1', '5', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53918, '30/04/2020', '30', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53919, '29/04/2020', '29', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53920, '28/04/2020', '28', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53921, '27/04/2020', '27', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53922, '26/04/2020', '26', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53923, '25/04/2020', '25', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53924, '24/04/2020', '24', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53925, '23/04/2020', '23', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53926, '22/04/2020', '22', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53927, '21/04/2020', '21', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53928, '20/04/2020', '20', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53929, '19/04/2020', '19', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53930, '18/04/2020', '18', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53931, '17/04/2020', '17', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53932, '16/04/2020', '16', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53933, '15/04/2020', '15', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (53934, '14/04/2020', '14', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53935, '13/04/2020', '13', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53936, '12/04/2020', '12', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53937, '11/04/2020', '11', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53938, '10/04/2020', '10', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53939, '09/04/2020', '9', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53940, '08/04/2020', '8', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.34401914');
INSERT INTO public.ecdc_import VALUES (53941, '07/04/2020', '7', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.68803828');
INSERT INTO public.ecdc_import VALUES (53942, '06/04/2020', '6', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.86004785');
INSERT INTO public.ecdc_import VALUES (53943, '05/04/2020', '5', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '0.86004785');
INSERT INTO public.ecdc_import VALUES (53944, '04/04/2020', '4', '4', '2020', '0', '1', '581363', 'Suriname', 'SR', 'SUR', 'America', '1.54808614');
INSERT INTO public.ecdc_import VALUES (53945, '03/04/2020', '3', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '1.54808614');
INSERT INTO public.ecdc_import VALUES (53946, '02/04/2020', '2', '4', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '1.72009571');
INSERT INTO public.ecdc_import VALUES (53947, '01/04/2020', '1', '4', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53948, '31/03/2020', '31', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53949, '30/03/2020', '30', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53950, '29/03/2020', '29', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53951, '28/03/2020', '28', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53952, '27/03/2020', '27', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53953, '26/03/2020', '26', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53954, '25/03/2020', '25', '3', '2020', '2', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53955, '24/03/2020', '24', '3', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53956, '23/03/2020', '23', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53957, '22/03/2020', '22', '3', '2020', '4', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53958, '21/03/2020', '21', '3', '2020', '0', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53959, '15/03/2020', '15', '3', '2020', '1', '0', '581363', 'Suriname', 'SR', 'SUR', 'America', '');
INSERT INTO public.ecdc_import VALUES (53960, '14/12/2020', '14', '12', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '738.75496875');
INSERT INTO public.ecdc_import VALUES (53961, '13/12/2020', '13', '12', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '738.75496875');
INSERT INTO public.ecdc_import VALUES (53962, '12/12/2020', '12', '12', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '738.75496875');
INSERT INTO public.ecdc_import VALUES (53963, '11/12/2020', '11', '12', '2020', '6051', '7', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '747.0637139');
INSERT INTO public.ecdc_import VALUES (53964, '10/12/2020', '10', '12', '2020', '8402', '15', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '724.18045226');
INSERT INTO public.ecdc_import VALUES (53965, '09/12/2020', '9', '12', '2020', '7449', '24', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '706.82983739');
INSERT INTO public.ecdc_import VALUES (53966, '08/12/2020', '8', '12', '2020', '3778', '19', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '707.76823684');
INSERT INTO public.ecdc_import VALUES (53967, '07/12/2020', '7', '12', '2020', '1803', '44', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '713.81895831');
INSERT INTO public.ecdc_import VALUES (53968, '06/12/2020', '6', '12', '2020', '4865', '19', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '710.18266043');
INSERT INTO public.ecdc_import VALUES (53969, '05/12/2020', '5', '12', '2020', '7343', '37', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '691.75679619');
INSERT INTO public.ecdc_import VALUES (53970, '04/12/2020', '4', '12', '2020', '6990', '51', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '697.92481759');
INSERT INTO public.ecdc_import VALUES (53971, '03/12/2020', '3', '12', '2020', '6548', '52', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '682.41190164');
INSERT INTO public.ecdc_import VALUES (53972, '02/12/2020', '2', '12', '2020', '5819', '51', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '669.1276844');
INSERT INTO public.ecdc_import VALUES (53973, '01/12/2020', '1', '12', '2020', '3488', '55', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '659.89031479');
INSERT INTO public.ecdc_import VALUES (53974, '30/11/2020', '30', '11', '2020', '2754', '45', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '648.43402148');
INSERT INTO public.ecdc_import VALUES (53975, '29/11/2020', '29', '11', '2020', '3825', '42', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '645.38422326');
INSERT INTO public.ecdc_import VALUES (53976, '28/11/2020', '28', '11', '2020', '6461', '50', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '648.02347172');
INSERT INTO public.ecdc_import VALUES (53977, '27/11/2020', '27', '11', '2020', '6901', '57', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '634.95430435');
INSERT INTO public.ecdc_import VALUES (53978, '26/11/2020', '26', '11', '2020', '6061', '67', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '631.51350635');
INSERT INTO public.ecdc_import VALUES (53979, '25/11/2020', '25', '11', '2020', '5674', '68', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '620.01811306');
INSERT INTO public.ecdc_import VALUES (53980, '24/11/2020', '24', '11', '2020', '3874', '54', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '618.56163891');
INSERT INTO public.ecdc_import VALUES (53981, '23/11/2020', '23', '11', '2020', '2422', '57', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '615.38476577');
INSERT INTO public.ecdc_import VALUES (53982, '22/11/2020', '22', '11', '2020', '4493', '51', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '614.983991');
INSERT INTO public.ecdc_import VALUES (53983, '21/11/2020', '21', '11', '2020', '5458', '45', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '605.16012174');
INSERT INTO public.ecdc_import VALUES (53984, '20/11/2020', '20', '11', '2020', '7621', '45', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '577.03746315');
INSERT INTO public.ecdc_import VALUES (53985, '19/11/2020', '19', '11', '2020', '4961', '51', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '572.36501588');
INSERT INTO public.ecdc_import VALUES (53986, '18/11/2020', '18', '11', '2020', '4460', '40', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '564.03672074');
INSERT INTO public.ecdc_import VALUES (53987, '17/11/2020', '17', '11', '2020', '2543', '37', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '554.5256513');
INSERT INTO public.ecdc_import VALUES (53988, '16/11/2020', '16', '11', '2020', '1582', '39', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '551.73977792');
INSERT INTO public.ecdc_import VALUES (53989, '15/11/2020', '15', '11', '2020', '3513', '37', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '546.59813092');
INSERT INTO public.ecdc_import VALUES (53990, '14/11/2020', '14', '11', '2020', '6731', '32', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '520.44024619');
INSERT INTO public.ecdc_import VALUES (53991, '13/11/2020', '13', '11', '2020', '5564', '28', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '497.93820933');
INSERT INTO public.ecdc_import VALUES (53992, '12/11/2020', '12', '11', '2020', '5709', '27', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '475.26999756');
INSERT INTO public.ecdc_import VALUES (53993, '11/11/2020', '11', '11', '2020', '4498', '35', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '454.90868445');
INSERT INTO public.ecdc_import VALUES (53994, '10/11/2020', '10', '11', '2020', '3725', '35', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '428.93652461');
INSERT INTO public.ecdc_import VALUES (53995, '09/11/2020', '9', '11', '2020', '2097', '22', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '413.46270864');
INSERT INTO public.ecdc_import VALUES (53996, '08/11/2020', '8', '11', '2020', '4452', '26', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '384.38210062');
INSERT INTO public.ecdc_import VALUES (53997, '07/11/2020', '7', '11', '2020', '4453', '25', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '359.11374037');
INSERT INTO public.ecdc_import VALUES (53998, '06/11/2020', '6', '11', '2020', '4744', '22', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '329.02630793');
INSERT INTO public.ecdc_import VALUES (53999, '05/11/2020', '5', '11', '2020', '4483', '21', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '300.55174955');
INSERT INTO public.ecdc_import VALUES (54000, '04/11/2020', '4', '11', '2020', '3608', '19', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '277.89331278');
INSERT INTO public.ecdc_import VALUES (54001, '03/11/2020', '3', '11', '2020', '1570', '20', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '270.08309234');
INSERT INTO public.ecdc_import VALUES (54002, '02/11/2020', '2', '11', '2020', '1297', '22', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '260.54269791');
INSERT INTO public.ecdc_import VALUES (54003, '01/11/2020', '1', '11', '2020', '2987', '13', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '238.15796098');
INSERT INTO public.ecdc_import VALUES (54004, '31/10/2020', '31', '10', '2020', '4055', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '210.04507739');
INSERT INTO public.ecdc_import VALUES (54005, '30/10/2020', '30', '10', '2020', '3262', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '186.97609085');
INSERT INTO public.ecdc_import VALUES (54006, '29/10/2020', '29', '10', '2020', '3390', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '163.30105467');
INSERT INTO public.ecdc_import VALUES (54007, '28/10/2020', '28', '10', '2020', '2415', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '148.64833823');
INSERT INTO public.ecdc_import VALUES (54008, '27/10/2020', '27', '10', '2020', '1068', '11', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '144.43531569');
INSERT INTO public.ecdc_import VALUES (54009, '26/10/2020', '26', '10', '2020', '514', '8', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '140.9847427');
INSERT INTO public.ecdc_import VALUES (54010, '25/10/2020', '25', '10', '2020', '1477', '8', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '131.52254822');
INSERT INTO public.ecdc_import VALUES (54011, '24/10/2020', '24', '10', '2020', '1868', '7', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '120.91667941');
INSERT INTO public.ecdc_import VALUES (54012, '23/10/2020', '23', '10', '2020', '1666', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '112.78388416');
INSERT INTO public.ecdc_import VALUES (54013, '22/10/2020', '22', '10', '2020', '1570', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '105.56016338');
INSERT INTO public.ecdc_import VALUES (54014, '21/10/2020', '21', '10', '2020', '1290', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '100.63356626');
INSERT INTO public.ecdc_import VALUES (54015, '20/10/2020', '20', '10', '2020', '771', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '96.75289352');
INSERT INTO public.ecdc_import VALUES (54016, '19/10/2020', '19', '10', '2020', '321', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '95.14001946');
INSERT INTO public.ecdc_import VALUES (54017, '18/10/2020', '18', '10', '2020', '697', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '92.83312081');
INSERT INTO public.ecdc_import VALUES (54018, '17/10/2020', '17', '10', '2020', '1179', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '88.26819847');
INSERT INTO public.ecdc_import VALUES (54019, '16/10/2020', '16', '10', '2020', '902', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '85.63872501');
INSERT INTO public.ecdc_import VALUES (54020, '15/10/2020', '15', '10', '2020', '968', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '82.9115016');
INSERT INTO public.ecdc_import VALUES (54021, '14/10/2020', '14', '10', '2020', '916', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '79.94967833');
INSERT INTO public.ecdc_import VALUES (54022, '13/10/2020', '13', '10', '2020', '637', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.41795481');
INSERT INTO public.ecdc_import VALUES (54023, '12/10/2020', '12', '10', '2020', '161', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.47660477');
INSERT INTO public.ecdc_import VALUES (54024, '11/10/2020', '11', '10', '2020', '509', '5', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '75.67800582');
INSERT INTO public.ecdc_import VALUES (54025, '10/10/2020', '10', '10', '2020', '783', '5', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '74.1824317');
INSERT INTO public.ecdc_import VALUES (54026, '09/10/2020', '9', '10', '2020', '834', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '71.30858337');
INSERT INTO public.ecdc_import VALUES (54027, '08/10/2020', '8', '10', '2020', '831', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '68.59113496');
INSERT INTO public.ecdc_import VALUES (54028, '07/10/2020', '7', '10', '2020', '786', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '65.18943695');
INSERT INTO public.ecdc_import VALUES (54029, '06/10/2020', '6', '10', '2020', '374', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '64.13373756');
INSERT INTO public.ecdc_import VALUES (54030, '05/10/2020', '5', '10', '2020', '156', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '63.8991377');
INSERT INTO public.ecdc_import VALUES (54031, '04/10/2020', '4', '10', '2020', '461', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '62.12008874');
INSERT INTO public.ecdc_import VALUES (54032, '03/10/2020', '3', '10', '2020', '712', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '59.43196531');
INSERT INTO public.ecdc_import VALUES (54033, '02/10/2020', '2', '10', '2020', '633', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '57.0468667');
INSERT INTO public.ecdc_import VALUES (54034, '01/10/2020', '1', '10', '2020', '689', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '53.53764375');
INSERT INTO public.ecdc_import VALUES (54035, '30/09/2020', '30', '9', '2020', '613', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '50.39987058');
INSERT INTO public.ecdc_import VALUES (54036, '29/09/2020', '29', '9', '2020', '378', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '48.85542148');
INSERT INTO public.ecdc_import VALUES (54037, '28/09/2020', '28', '9', '2020', '167', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '48.25914683');
INSERT INTO public.ecdc_import VALUES (54038, '27/09/2020', '27', '9', '2020', '325', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '47.09592251');
INSERT INTO public.ecdc_import VALUES (54039, '26/09/2020', '26', '9', '2020', '630', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '43.78219944');
INSERT INTO public.ecdc_import VALUES (54040, '25/09/2020', '25', '9', '2020', '540', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '40.98655107');
INSERT INTO public.ecdc_import VALUES (54041, '24/09/2020', '24', '9', '2020', '553', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '38.65032744');
INSERT INTO public.ecdc_import VALUES (54042, '23/09/2020', '23', '9', '2020', '438', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '36.67577859');
INSERT INTO public.ecdc_import VALUES (54043, '22/09/2020', '22', '9', '2020', '266', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '35.88400405');
INSERT INTO public.ecdc_import VALUES (54044, '21/09/2020', '21', '9', '2020', '132', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '35.24862942');
INSERT INTO public.ecdc_import VALUES (54045, '20/09/2020', '20', '9', '2020', '279', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '34.19293004');
INSERT INTO public.ecdc_import VALUES (54046, '19/09/2020', '19', '9', '2020', '437', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '32.48230604');
INSERT INTO public.ecdc_import VALUES (54047, '18/09/2020', '18', '9', '2020', '389', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '31.47548163');
INSERT INTO public.ecdc_import VALUES (54048, '17/09/2020', '17', '9', '2020', '330', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '30.33180729');
INSERT INTO public.ecdc_import VALUES (54049, '16/09/2020', '16', '9', '2020', '292', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '29.14903298');
INSERT INTO public.ecdc_import VALUES (54050, '15/09/2020', '15', '9', '2020', '220', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.58208332');
INSERT INTO public.ecdc_import VALUES (54051, '14/09/2020', '14', '9', '2020', '106', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.01513365');
INSERT INTO public.ecdc_import VALUES (54052, '13/09/2020', '13', '9', '2020', '206', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '27.28200907');
INSERT INTO public.ecdc_import VALUES (54053, '12/09/2020', '12', '9', '2020', '291', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '26.18720971');
INSERT INTO public.ecdc_import VALUES (54054, '11/09/2020', '11', '9', '2020', '254', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '25.67891001');
INSERT INTO public.ecdc_import VALUES (54055, '10/09/2020', '10', '9', '2020', '314', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '24.99466041');
INSERT INTO public.ecdc_import VALUES (54056, '09/09/2020', '9', '9', '2020', '236', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '24.85781049');
INSERT INTO public.ecdc_import VALUES (54057, '08/09/2020', '8', '9', '2020', '185', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '24.75028555');
INSERT INTO public.ecdc_import VALUES (54058, '07/09/2020', '7', '9', '2020', '67', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '24.65253561');
INSERT INTO public.ecdc_import VALUES (54059, '06/09/2020', '6', '9', '2020', '171', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '24.54501067');
INSERT INTO public.ecdc_import VALUES (54060, '05/09/2020', '5', '9', '2020', '262', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '24.89691047');
INSERT INTO public.ecdc_import VALUES (54061, '04/09/2020', '4', '9', '2020', '286', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '25.3563352');
INSERT INTO public.ecdc_import VALUES (54062, '03/09/2020', '3', '9', '2020', '213', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '26.70528441');
INSERT INTO public.ecdc_import VALUES (54063, '02/09/2020', '2', '9', '2020', '171', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.10310859');
INSERT INTO public.ecdc_import VALUES (54064, '01/09/2020', '1', '9', '2020', '162', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.22040853');
INSERT INTO public.ecdc_import VALUES (54065, '31/08/2020', '31', '8', '2020', '48', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.36703344');
INSERT INTO public.ecdc_import VALUES (54066, '30/08/2020', '30', '8', '2020', '131', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '29.2956579');
INSERT INTO public.ecdc_import VALUES (54067, '29/08/2020', '29', '8', '2020', '179', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '30.90853196');
INSERT INTO public.ecdc_import VALUES (54068, '28/08/2020', '28', '8', '2020', '202', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '32.48230604');
INSERT INTO public.ecdc_import VALUES (54069, '27/08/2020', '27', '8', '2020', '244', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '34.4275299');
INSERT INTO public.ecdc_import VALUES (54070, '26/08/2020', '26', '8', '2020', '222', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '36.33365379');
INSERT INTO public.ecdc_import VALUES (54071, '25/08/2020', '25', '8', '2020', '174', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '36.54870366');
INSERT INTO public.ecdc_import VALUES (54072, '24/08/2020', '24', '8', '2020', '57', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '36.70510357');
INSERT INTO public.ecdc_import VALUES (54073, '23/08/2020', '23', '8', '2020', '160', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '37.682603');
INSERT INTO public.ecdc_import VALUES (54074, '22/08/2020', '22', '8', '2020', '298', '5', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '38.48415253');
INSERT INTO public.ecdc_import VALUES (54075, '21/08/2020', '21', '8', '2020', '333', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '38.92402728');
INSERT INTO public.ecdc_import VALUES (54076, '20/08/2020', '20', '8', '2020', '351', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '39.64737686');
INSERT INTO public.ecdc_import VALUES (54077, '19/08/2020', '19', '8', '2020', '314', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '39.83310175');
INSERT INTO public.ecdc_import VALUES (54078, '18/08/2020', '18', '8', '2020', '174', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '39.7451268');
INSERT INTO public.ecdc_import VALUES (54079, '17/08/2020', '17', '8', '2020', '63', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '39.50075194');
INSERT INTO public.ecdc_import VALUES (54080, '16/08/2020', '16', '8', '2020', '226', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '40.2534265');
INSERT INTO public.ecdc_import VALUES (54081, '15/08/2020', '15', '8', '2020', '344', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '39.41277699');
INSERT INTO public.ecdc_import VALUES (54082, '14/08/2020', '14', '8', '2020', '363', '5', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '38.81650234');
INSERT INTO public.ecdc_import VALUES (54083, '13/08/2020', '13', '8', '2020', '443', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '37.42845315');
INSERT INTO public.ecdc_import VALUES (54084, '12/08/2020', '12', '8', '2020', '417', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '36.11860392');
INSERT INTO public.ecdc_import VALUES (54085, '11/08/2020', '11', '8', '2020', '196', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '34.89672963');
INSERT INTO public.ecdc_import VALUES (54086, '10/08/2020', '10', '8', '2020', '73', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '34.59370481');
INSERT INTO public.ecdc_import VALUES (54087, '09/08/2020', '9', '8', '2020', '260', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '33.4011555');
INSERT INTO public.ecdc_import VALUES (54088, '08/08/2020', '8', '8', '2020', '380', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '32.24770618');
INSERT INTO public.ecdc_import VALUES (54089, '07/08/2020', '7', '8', '2020', '378', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '30.70325708');
INSERT INTO public.ecdc_import VALUES (54090, '06/08/2020', '6', '8', '2020', '425', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '29.45205781');
INSERT INTO public.ecdc_import VALUES (54091, '05/08/2020', '5', '8', '2020', '333', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.40613342');
INSERT INTO public.ecdc_import VALUES (54092, '04/08/2020', '4', '8', '2020', '165', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.07378361');
INSERT INTO public.ecdc_import VALUES (54093, '03/08/2020', '3', '8', '2020', '38', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.7775832');
INSERT INTO public.ecdc_import VALUES (54094, '02/08/2020', '2', '8', '2020', '303', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '27.68278384');
INSERT INTO public.ecdc_import VALUES (54095, '01/08/2020', '1', '8', '2020', '258', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '27.93693369');
INSERT INTO public.ecdc_import VALUES (54096, '31/07/2020', '31', '7', '2020', '302', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '27.60458389');
INSERT INTO public.ecdc_import VALUES (54097, '30/07/2020', '30', '7', '2020', '301', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '27.46773397');
INSERT INTO public.ecdc_import VALUES (54098, '29/07/2020', '29', '7', '2020', '283', '4', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '27.7512088');
INSERT INTO public.ecdc_import VALUES (54099, '28/07/2020', '28', '7', '2020', '71', '6', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.71893324');
INSERT INTO public.ecdc_import VALUES (54100, '27/07/2020', '27', '7', '2020', '42', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '29.34453287');
INSERT INTO public.ecdc_import VALUES (54101, '26/07/2020', '26', '7', '2020', '138', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '31.0062819');
INSERT INTO public.ecdc_import VALUES (54102, '25/07/2020', '25', '7', '2020', '262', '3', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '32.05220629');
INSERT INTO public.ecdc_import VALUES (54103, '24/07/2020', '24', '7', '2020', '220', '5', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '33.16655564');
INSERT INTO public.ecdc_import VALUES (54104, '23/07/2020', '23', '7', '2020', '297', '6', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '35.47345429');
INSERT INTO public.ecdc_import VALUES (54105, '22/07/2020', '22', '7', '2020', '226', '7', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '35.981754');
INSERT INTO public.ecdc_import VALUES (54106, '21/07/2020', '21', '7', '2020', '131', '6', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '37.15475331');
INSERT INTO public.ecdc_import VALUES (54107, '20/07/2020', '20', '7', '2020', '110', '7', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '39.15862714');
INSERT INTO public.ecdc_import VALUES (54108, '19/07/2020', '19', '7', '2020', '191', '11', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '40.84970115');
INSERT INTO public.ecdc_import VALUES (54109, '18/07/2020', '18', '7', '2020', '284', '7', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '44.85744881');
INSERT INTO public.ecdc_import VALUES (54110, '17/07/2020', '17', '7', '2020', '268', '6', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '48.95317142');
INSERT INTO public.ecdc_import VALUES (54111, '16/07/2020', '16', '7', '2020', '287', '6', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '52.83384416');
INSERT INTO public.ecdc_import VALUES (54112, '15/07/2020', '15', '7', '2020', '312', '8', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '57.64314135');
INSERT INTO public.ecdc_import VALUES (54113, '14/07/2020', '14', '7', '2020', '170', '12', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '63.08781317');
INSERT INTO public.ecdc_import VALUES (54114, '13/07/2020', '13', '7', '2020', '106', '8', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '66.10828641');
INSERT INTO public.ecdc_import VALUES (54115, '12/07/2020', '12', '7', '2020', '308', '10', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '70.47770886');
INSERT INTO public.ecdc_import VALUES (54116, '11/07/2020', '11', '7', '2020', '369', '14', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.63982909');
INSERT INTO public.ecdc_import VALUES (54117, '10/07/2020', '10', '7', '2020', '334', '15', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '87.8771987');
INSERT INTO public.ecdc_import VALUES (54118, '09/07/2020', '9', '7', '2020', '533', '11', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '99.26506705');
INSERT INTO public.ecdc_import VALUES (54119, '08/07/2020', '8', '7', '2020', '278', '12', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '109.34308617');
INSERT INTO public.ecdc_import VALUES (54120, '07/07/2020', '7', '7', '2020', '251', '15', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '114.70955804');
INSERT INTO public.ecdc_import VALUES (54121, '06/07/2020', '6', '7', '2020', '315', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '114.768208');
INSERT INTO public.ecdc_import VALUES (54122, '05/07/2020', '5', '7', '2020', '364', '15', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '118.0330561');
INSERT INTO public.ecdc_import VALUES (54123, '04/07/2020', '4', '7', '2020', '694', '8', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '123.06717816');
INSERT INTO public.ecdc_import VALUES (54124, '03/07/2020', '3', '7', '2020', '687', '15', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '130.95559855');
INSERT INTO public.ecdc_import VALUES (54125, '02/07/2020', '2', '7', '2020', '684', '15', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '138.51166914');
INSERT INTO public.ecdc_import VALUES (54126, '01/07/2020', '1', '7', '2020', '804', '20', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '142.47054183');
INSERT INTO public.ecdc_import VALUES (54127, '30/06/2020', '30', '6', '2020', '727', '16', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '142.05999207');
INSERT INTO public.ecdc_import VALUES (54128, '29/06/2020', '29', '6', '2020', '415', '23', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '142.08931706');
INSERT INTO public.ecdc_import VALUES (54129, '28/06/2020', '28', '6', '2020', '755', '14', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '144.79699047');
INSERT INTO public.ecdc_import VALUES (54130, '27/06/2020', '27', '6', '2020', '1204', '11', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '146.01886476');
INSERT INTO public.ecdc_import VALUES (54131, '26/06/2020', '26', '6', '2020', '1279', '23', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '146.15571468');
INSERT INTO public.ecdc_import VALUES (54132, '25/06/2020', '25', '6', '2020', '1698', '22', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '143.60444117');
INSERT INTO public.ecdc_import VALUES (54133, '24/06/2020', '24', '6', '2020', '1309', '25', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '139.96814329');
INSERT INTO public.ecdc_import VALUES (54134, '23/06/2020', '23', '6', '2020', '800', '20', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '138.765819');
INSERT INTO public.ecdc_import VALUES (54135, '22/06/2020', '22', '6', '2020', '321', '22', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '140.14409319');
INSERT INTO public.ecdc_import VALUES (54136, '21/06/2020', '21', '6', '2020', '698', '29', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '140.94564272');
INSERT INTO public.ecdc_import VALUES (54137, '20/06/2020', '20', '6', '2020', '1209', '30', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '140.32981808');
INSERT INTO public.ecdc_import VALUES (54138, '19/06/2020', '19', '6', '2020', '1494', '29', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '135.87242068');
INSERT INTO public.ecdc_import VALUES (54139, '18/06/2020', '18', '6', '2020', '1457', '32', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '131.85489803');
INSERT INTO public.ecdc_import VALUES (54140, '17/06/2020', '17', '6', '2020', '1209', '28', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '128.83442479');
INSERT INTO public.ecdc_import VALUES (54141, '16/06/2020', '16', '6', '2020', '685', '30', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '128.47275');
INSERT INTO public.ecdc_import VALUES (54142, '15/06/2020', '15', '6', '2020', '418', '27', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '126.97717588');
INSERT INTO public.ecdc_import VALUES (54143, '14/06/2020', '14', '6', '2020', '1032', '33', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '121.1121793');
INSERT INTO public.ecdc_import VALUES (54144, '13/06/2020', '13', '6', '2020', '1329', '29', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '115.67728247');
INSERT INTO public.ecdc_import VALUES (54145, '12/06/2020', '12', '6', '2020', '1293', '35', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '110.60406043');
INSERT INTO public.ecdc_import VALUES (54146, '11/06/2020', '11', '6', '2020', '1437', '40', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '104.37738907');
INSERT INTO public.ecdc_import VALUES (54147, '10/06/2020', '10', '6', '2020', '937', '33', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '102.51036516');
INSERT INTO public.ecdc_import VALUES (54148, '09/06/2020', '9', '6', '2020', '677', '38', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '100.69221622');
INSERT INTO public.ecdc_import VALUES (54149, '08/06/2020', '8', '6', '2020', '462', '33', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '98.22891766');
INSERT INTO public.ecdc_import VALUES (54150, '07/06/2020', '7', '6', '2020', '780', '29', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '94.54374481');
INSERT INTO public.ecdc_import VALUES (54151, '06/06/2020', '6', '6', '2020', '1146', '37', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '88.54189831');
INSERT INTO public.ecdc_import VALUES (54152, '05/06/2020', '5', '6', '2020', '1038', '43', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '84.35820076');
INSERT INTO public.ecdc_import VALUES (54153, '04/06/2020', '4', '6', '2020', '1046', '28', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '82.03175211');
INSERT INTO public.ecdc_import VALUES (54154, '03/06/2020', '3', '6', '2020', '900', '36', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '79.74440345');
INSERT INTO public.ecdc_import VALUES (54155, '02/06/2020', '2', '6', '2020', '648', '39', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.61345469');
INSERT INTO public.ecdc_import VALUES (54156, '01/06/2020', '1', '6', '2020', '265', '46', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.55480473');
INSERT INTO public.ecdc_import VALUES (54157, '31/05/2020', '31', '5', '2020', '432', '39', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '76.83145515');
INSERT INTO public.ecdc_import VALUES (54158, '30/05/2020', '30', '5', '2020', '773', '41', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '76.00058063');
INSERT INTO public.ecdc_import VALUES (54159, '29/05/2020', '29', '5', '2020', '774', '40', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '74.8569063');
INSERT INTO public.ecdc_import VALUES (54160, '28/05/2020', '28', '5', '2020', '800', '38', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '73.85985688');
INSERT INTO public.ecdc_import VALUES (54161, '27/05/2020', '27', '5', '2020', '746', '28', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '73.93805684');
INSERT INTO public.ecdc_import VALUES (54162, '26/05/2020', '26', '5', '2020', '491', '42', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '73.58615704');
INSERT INTO public.ecdc_import VALUES (54163, '25/05/2020', '25', '5', '2020', '210', '44', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '74.26063165');
INSERT INTO public.ecdc_import VALUES (54164, '24/05/2020', '24', '5', '2020', '403', '55', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '75.29678105');
INSERT INTO public.ecdc_import VALUES (54165, '23/05/2020', '23', '5', '2020', '532', '56', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '76.93898009');
INSERT INTO public.ecdc_import VALUES (54166, '22/05/2020', '22', '5', '2020', '610', '53', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.63982909');
INSERT INTO public.ecdc_import VALUES (54167, '21/05/2020', '21', '5', '2020', '808', '52', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.02400445');
INSERT INTO public.ecdc_import VALUES (54168, '20/05/2020', '20', '5', '2020', '666', '41', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.9360295');
INSERT INTO public.ecdc_import VALUES (54169, '19/05/2020', '19', '5', '2020', '430', '59', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.39545424');
INSERT INTO public.ecdc_import VALUES (54170, '18/05/2020', '18', '5', '2020', '259', '53', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.41500423');
INSERT INTO public.ecdc_import VALUES (54171, '17/05/2020', '17', '5', '2020', '358', '48', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.83827956');
INSERT INTO public.ecdc_import VALUES (54172, '16/05/2020', '16', '5', '2020', '688', '58', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '76.31338045');
INSERT INTO public.ecdc_import VALUES (54173, '15/05/2020', '15', '5', '2020', '657', '46', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '76.10810557');
INSERT INTO public.ecdc_import VALUES (54174, '14/05/2020', '14', '5', '2020', '698', '50', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.09538');
INSERT INTO public.ecdc_import VALUES (54175, '13/05/2020', '13', '5', '2020', '754', '61', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '76.97808006');
INSERT INTO public.ecdc_import VALUES (54176, '12/05/2020', '12', '5', '2020', '455', '65', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.03377945');
INSERT INTO public.ecdc_import VALUES (54177, '11/05/2020', '11', '5', '2020', '279', '73', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.23905433');
INSERT INTO public.ecdc_import VALUES (54178, '10/05/2020', '10', '5', '2020', '509', '68', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.88715453');
INSERT INTO public.ecdc_import VALUES (54179, '09/05/2020', '9', '5', '2020', '700', '60', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.66915408');
INSERT INTO public.ecdc_import VALUES (54180, '08/05/2020', '8', '5', '2020', '784', '80', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.41500423');
INSERT INTO public.ecdc_import VALUES (54181, '07/05/2020', '7', '5', '2020', '745', '73', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.19017936');
INSERT INTO public.ecdc_import VALUES (54182, '06/05/2020', '6', '5', '2020', '657', '72', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.67892907');
INSERT INTO public.ecdc_import VALUES (54183, '05/05/2020', '5', '5', '2020', '477', '84', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.52252916');
INSERT INTO public.ecdc_import VALUES (54184, '04/05/2020', '4', '5', '2020', '261', '75', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '79.76395344');
INSERT INTO public.ecdc_import VALUES (54185, '03/05/2020', '3', '5', '2020', '299', '73', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '82.04152711');
INSERT INTO public.ecdc_import VALUES (54186, '02/05/2020', '2', '5', '2020', '532', '78', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '83.56642622');
INSERT INTO public.ecdc_import VALUES (54187, '01/05/2020', '1', '5', '2020', '636', '78', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '83.43935129');
INSERT INTO public.ecdc_import VALUES (54188, '30/04/2020', '30', '4', '2020', '799', '83', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '81.5332274');
INSERT INTO public.ecdc_import VALUES (54189, '29/04/2020', '29', '4', '2020', '742', '83', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.96240391');
INSERT INTO public.ecdc_import VALUES (54190, '28/04/2020', '28', '4', '2020', '563', '74', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '77.73075462');
INSERT INTO public.ecdc_import VALUES (54191, '27/04/2020', '27', '4', '2020', '300', '74', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '79.33385369');
INSERT INTO public.ecdc_import VALUES (54192, '26/04/2020', '26', '4', '2020', '473', '73', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '78.57140413');
INSERT INTO public.ecdc_import VALUES (54193, '25/04/2020', '25', '4', '2020', '780', '89', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '75.38475599');
INSERT INTO public.ecdc_import VALUES (54194, '24/04/2020', '24', '4', '2020', '758', '86', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '74.28018164');
INSERT INTO public.ecdc_import VALUES (54195, '23/04/2020', '23', '4', '2020', '722', '77', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '73.61548203');
INSERT INTO public.ecdc_import VALUES (54196, '22/04/2020', '22', '4', '2020', '707', '62', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '73.91850685');
INSERT INTO public.ecdc_import VALUES (54197, '21/04/2020', '21', '4', '2020', '461', '85', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '73.21470726');
INSERT INTO public.ecdc_import VALUES (54198, '20/04/2020', '20', '4', '2020', '388', '87', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '72.74550753');
INSERT INTO public.ecdc_import VALUES (54199, '19/04/2020', '19', '4', '2020', '532', '86', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '71.03488353');
INSERT INTO public.ecdc_import VALUES (54200, '18/04/2020', '18', '4', '2020', '688', '83', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '70.18445903');
INSERT INTO public.ecdc_import VALUES (54201, '17/04/2020', '17', '4', '2020', '623', '111', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '69.50998442');
INSERT INTO public.ecdc_import VALUES (54202, '16/04/2020', '16', '4', '2020', '604', '115', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '68.3565351');
INSERT INTO public.ecdc_import VALUES (54203, '15/04/2020', '15', '4', '2020', '479', '92', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '68.31743512');
INSERT INTO public.ecdc_import VALUES (54204, '14/04/2020', '14', '4', '2020', '437', '84', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '68.11216024');
INSERT INTO public.ecdc_import VALUES (54205, '13/04/2020', '13', '4', '2020', '464', '97', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '66.31356129');
INSERT INTO public.ecdc_import VALUES (54206, '12/04/2020', '12', '4', '2020', '395', '102', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '65.38493683');
INSERT INTO public.ecdc_import VALUES (54207, '11/04/2020', '11', '4', '2020', '454', '90', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '64.51496234');
INSERT INTO public.ecdc_import VALUES (54208, '10/04/2020', '10', '4', '2020', '645', '86', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '61.00573939');
INSERT INTO public.ecdc_import VALUES (54209, '09/04/2020', '9', '4', '2020', '654', '115', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '57.68224133');
INSERT INTO public.ecdc_import VALUES (54210, '08/04/2020', '8', '4', '2020', '738', '84', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '52.71654423');
INSERT INTO public.ecdc_import VALUES (54211, '07/04/2020', '7', '4', '2020', '389', '90', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '50.69312041');
INSERT INTO public.ecdc_import VALUES (54212, '06/04/2020', '6', '4', '2020', '340', '85', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '48.52307167');
INSERT INTO public.ecdc_import VALUES (54213, '05/04/2020', '5', '4', '2020', '357', '70', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '46.36279794');
INSERT INTO public.ecdc_import VALUES (54214, '04/04/2020', '4', '4', '2020', '601', '80', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '42.24752534');
INSERT INTO public.ecdc_import VALUES (54215, '03/04/2020', '3', '4', '2020', '554', '70', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '38.23000268');
INSERT INTO public.ecdc_import VALUES (54216, '02/04/2020', '2', '4', '2020', '486', '53', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '34.89672963');
INSERT INTO public.ecdc_import VALUES (54217, '01/04/2020', '1', '4', '2020', '475', '48', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '31.41683166');
INSERT INTO public.ecdc_import VALUES (54218, '31/03/2020', '31', '3', '2020', '416', '45', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '28.16175856');
INSERT INTO public.ecdc_import VALUES (54219, '30/03/2020', '30', '3', '2020', '280', '38', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '26.09923476');
INSERT INTO public.ecdc_import VALUES (54220, '29/03/2020', '29', '3', '2020', '300', '35', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '23.86076107');
INSERT INTO public.ecdc_import VALUES (54221, '28/03/2020', '28', '3', '2020', '365', '32', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '21.77868729');
INSERT INTO public.ecdc_import VALUES (54222, '27/03/2020', '27', '3', '2020', '286', '31', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '20.45906306');
INSERT INTO public.ecdc_import VALUES (54223, '26/03/2020', '26', '3', '2020', '314', '22', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '19.30561373');
INSERT INTO public.ecdc_import VALUES (54224, '25/03/2020', '25', '3', '2020', '230', '21', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '18.01531448');
INSERT INTO public.ecdc_import VALUES (54225, '24/03/2020', '24', '3', '2020', '182', '11', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '17.22353995');
INSERT INTO public.ecdc_import VALUES (54226, '23/03/2020', '23', '3', '2020', '118', '11', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '16.51974036');
INSERT INTO public.ecdc_import VALUES (54227, '22/03/2020', '22', '3', '2020', '136', '8', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '15.51291594');
INSERT INTO public.ecdc_import VALUES (54228, '21/03/2020', '21', '3', '2020', '180', '9', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '14.33014163');
INSERT INTO public.ecdc_import VALUES (54229, '20/03/2020', '20', '3', '2020', '143', '7', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '13.17669231');
INSERT INTO public.ecdc_import VALUES (54230, '19/03/2020', '19', '3', '2020', '145', '6', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '12.05256796');
INSERT INTO public.ecdc_import VALUES (54231, '18/03/2020', '18', '3', '2020', '119', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '11.01641857');
INSERT INTO public.ecdc_import VALUES (54232, '17/03/2020', '17', '3', '2020', '83', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '10.25396901');
INSERT INTO public.ecdc_import VALUES (54233, '16/03/2020', '16', '3', '2020', '69', '2', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '9.57949441');
INSERT INTO public.ecdc_import VALUES (54234, '15/03/2020', '15', '3', '2020', '71', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '8.9147948');
INSERT INTO public.ecdc_import VALUES (54235, '14/03/2020', '14', '3', '2020', '152', '1', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '7.50719562');
INSERT INTO public.ecdc_import VALUES (54236, '13/03/2020', '13', '3', '2020', '151', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '6.04094647');
INSERT INTO public.ecdc_import VALUES (54237, '12/03/2020', '12', '3', '2020', '196', '20', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '4.13482259');
INSERT INTO public.ecdc_import VALUES (54238, '11/03/2020', '11', '3', '2020', '98', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '3.17687315');
INSERT INTO public.ecdc_import VALUES (54239, '10/03/2020', '10', '3', '2020', '101', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '2.18959872');
INSERT INTO public.ecdc_import VALUES (54240, '09/03/2020', '9', '3', '2020', '46', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '1.73994898');
INSERT INTO public.ecdc_import VALUES (54241, '08/03/2020', '8', '3', '2020', '33', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '1.41737417');
INSERT INTO public.ecdc_import VALUES (54242, '07/03/2020', '7', '3', '2020', '59', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.84064951');
INSERT INTO public.ecdc_import VALUES (54243, '06/03/2020', '6', '3', '2020', '25', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.59627465');
INSERT INTO public.ecdc_import VALUES (54244, '05/03/2020', '5', '3', '2020', '30', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.30302482');
INSERT INTO public.ecdc_import VALUES (54245, '04/03/2020', '4', '3', '2020', '13', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.1759499');
INSERT INTO public.ecdc_import VALUES (54246, '03/03/2020', '3', '3', '2020', '5', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.12707493');
INSERT INTO public.ecdc_import VALUES (54247, '02/03/2020', '2', '3', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.01954999');
INSERT INTO public.ecdc_import VALUES (54248, '01/03/2020', '1', '3', '2020', '3', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.09774994');
INSERT INTO public.ecdc_import VALUES (54249, '29/02/2020', '29', '2', '2020', '8', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.01954999');
INSERT INTO public.ecdc_import VALUES (54250, '28/02/2020', '28', '2', '2020', '1', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54251, '27/02/2020', '27', '2', '2020', '1', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54252, '26/02/2020', '26', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54253, '25/02/2020', '25', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54254, '24/02/2020', '24', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54255, '23/02/2020', '23', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54256, '22/02/2020', '22', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54257, '21/02/2020', '21', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54258, '20/02/2020', '20', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54259, '19/02/2020', '19', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54260, '18/02/2020', '18', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54261, '17/02/2020', '17', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54262, '16/02/2020', '16', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54263, '15/02/2020', '15', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54264, '14/02/2020', '14', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54265, '13/02/2020', '13', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54266, '12/02/2020', '12', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54267, '11/02/2020', '11', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54268, '10/02/2020', '10', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54269, '09/02/2020', '9', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54270, '08/02/2020', '8', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54271, '07/02/2020', '7', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54272, '06/02/2020', '6', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0.00977499');
INSERT INTO public.ecdc_import VALUES (54273, '05/02/2020', '5', '2', '2020', '1', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54274, '04/02/2020', '4', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54275, '03/02/2020', '3', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54276, '02/02/2020', '2', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54277, '01/02/2020', '1', '2', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54278, '31/01/2020', '31', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54279, '30/01/2020', '30', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54280, '29/01/2020', '29', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54281, '28/01/2020', '28', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54282, '27/01/2020', '27', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54283, '26/01/2020', '26', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54284, '25/01/2020', '25', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54285, '24/01/2020', '24', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54286, '23/01/2020', '23', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54287, '22/01/2020', '22', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54288, '21/01/2020', '21', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54289, '20/01/2020', '20', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54290, '19/01/2020', '19', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54291, '18/01/2020', '18', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54292, '17/01/2020', '17', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54293, '16/01/2020', '16', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54294, '15/01/2020', '15', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54295, '14/01/2020', '14', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54296, '13/01/2020', '13', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54297, '12/01/2020', '12', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54298, '11/01/2020', '11', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54299, '10/01/2020', '10', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54300, '09/01/2020', '9', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54301, '08/01/2020', '8', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54302, '07/01/2020', '7', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54303, '06/01/2020', '6', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54304, '05/01/2020', '5', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54305, '04/01/2020', '4', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54306, '03/01/2020', '3', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54307, '02/01/2020', '2', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54308, '01/01/2020', '1', '1', '2020', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54309, '31/12/2019', '31', '12', '2019', '0', '0', '10230185', 'Sweden', 'SE', 'SWE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54310, '14/12/2020', '14', '12', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '647.33834886');
INSERT INTO public.ecdc_import VALUES (54311, '13/12/2020', '13', '12', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '647.33834886');
INSERT INTO public.ecdc_import VALUES (54312, '12/12/2020', '12', '12', '2020', '5111', '105', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '647.33834886');
INSERT INTO public.ecdc_import VALUES (54313, '11/12/2020', '11', '12', '2020', '5038', '87', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '637.78837611');
INSERT INTO public.ecdc_import VALUES (54314, '10/12/2020', '10', '12', '2020', '5059', '87', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '631.11743927');
INSERT INTO public.ecdc_import VALUES (54315, '09/12/2020', '9', '12', '2020', '4246', '92', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '628.81186987');
INSERT INTO public.ecdc_import VALUES (54316, '08/12/2020', '8', '12', '2020', '9774', '175', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '628.51928492');
INSERT INTO public.ecdc_import VALUES (54317, '07/12/2020', '7', '12', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '627.51279269');
INSERT INTO public.ecdc_import VALUES (54318, '06/12/2020', '6', '12', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '627.51279269');
INSERT INTO public.ecdc_import VALUES (54319, '05/12/2020', '5', '12', '2020', '4370', '100', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '627.51279269');
INSERT INTO public.ecdc_import VALUES (54320, '04/12/2020', '4', '12', '2020', '3071', '65', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '633.98477177');
INSERT INTO public.ecdc_import VALUES (54621, '07/02/2020', '7', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54321, '03/12/2020', '3', '12', '2020', '6130', '130', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '656.42018569');
INSERT INTO public.ecdc_import VALUES (54322, '02/12/2020', '2', '12', '2020', '3760', '107', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '655.89353278');
INSERT INTO public.ecdc_import VALUES (54323, '01/12/2020', '1', '12', '2020', '8753', '194', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '664.81152204');
INSERT INTO public.ecdc_import VALUES (54324, '30/11/2020', '30', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '711.92940229');
INSERT INTO public.ecdc_import VALUES (54325, '29/11/2020', '29', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '711.92940229');
INSERT INTO public.ecdc_import VALUES (54326, '28/11/2020', '28', '11', '2020', '4295', '141', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '711.92940229');
INSERT INTO public.ecdc_import VALUES (54327, '27/11/2020', '27', '11', '2020', '4468', '79', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '740.2516254');
INSERT INTO public.ecdc_import VALUES (54328, '26/11/2020', '26', '11', '2020', '4862', '86', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '768.63236549');
INSERT INTO public.ecdc_import VALUES (54329, '25/11/2020', '25', '11', '2020', '4221', '150', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '808.14303706');
INSERT INTO public.ecdc_import VALUES (54330, '24/11/2020', '24', '11', '2020', '9688', '213', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '828.20266119');
INSERT INTO public.ecdc_import VALUES (54331, '23/11/2020', '23', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '916.6452397');
INSERT INTO public.ecdc_import VALUES (54332, '22/11/2020', '22', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '916.6452397');
INSERT INTO public.ecdc_import VALUES (54333, '21/11/2020', '21', '11', '2020', '4923', '111', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '916.6452397');
INSERT INTO public.ecdc_import VALUES (54334, '20/11/2020', '20', '11', '2020', '4988', '79', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '968.56151312');
INSERT INTO public.ecdc_import VALUES (54335, '19/11/2020', '19', '11', '2020', '6085', '84', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1028.36587678');
INSERT INTO public.ecdc_import VALUES (54336, '18/11/2020', '18', '11', '2020', '4522', '140', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1074.68792597');
INSERT INTO public.ecdc_import VALUES (54337, '17/11/2020', '17', '11', '2020', '12779', '197', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1093.03885399');
INSERT INTO public.ecdc_import VALUES (54338, '16/11/2020', '16', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1199.10674985');
INSERT INTO public.ecdc_import VALUES (54339, '15/11/2020', '15', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1199.10674985');
INSERT INTO public.ecdc_import VALUES (54340, '14/11/2020', '14', '11', '2020', '6715', '93', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1199.10674985');
INSERT INTO public.ecdc_import VALUES (54341, '13/11/2020', '13', '11', '2020', '6893', '98', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1227.83859188');
INSERT INTO public.ecdc_import VALUES (54342, '12/11/2020', '12', '11', '2020', '8238', '86', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1256.72257809');
INSERT INTO public.ecdc_import VALUES (54343, '11/11/2020', '11', '11', '2020', '5935', '106', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1255.75119606');
INSERT INTO public.ecdc_import VALUES (54344, '10/11/2020', '10', '11', '2020', '17245', '169', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1260.74854699');
INSERT INTO public.ecdc_import VALUES (54345, '09/11/2020', '9', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1262.05932757');
INSERT INTO public.ecdc_import VALUES (54346, '08/11/2020', '8', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1262.05932757');
INSERT INTO public.ecdc_import VALUES (54347, '07/11/2020', '7', '11', '2020', '9359', '70', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1262.05932757');
INSERT INTO public.ecdc_import VALUES (54348, '06/11/2020', '6', '11', '2020', '10098', '62', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1229.67602537');
INSERT INTO public.ecdc_import VALUES (54349, '05/11/2020', '5', '11', '2020', '10043', '72', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1169.63759375');
INSERT INTO public.ecdc_import VALUES (54350, '04/11/2020', '4', '11', '2020', '6090', '72', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1117.59258295');
INSERT INTO public.ecdc_import VALUES (54351, '03/11/2020', '3', '11', '2020', '21842', '93', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1081.52271039');
INSERT INTO public.ecdc_import VALUES (54352, '02/11/2020', '2', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '928.14967991');
INSERT INTO public.ecdc_import VALUES (54353, '01/11/2020', '1', '11', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '930.43184251');
INSERT INTO public.ecdc_import VALUES (54354, '31/10/2020', '31', '10', '2020', '9170', '51', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '930.43184251');
INSERT INTO public.ecdc_import VALUES (54355, '30/10/2020', '30', '10', '2020', '9361', '31', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '859.24007262');
INSERT INTO public.ecdc_import VALUES (54356, '29/10/2020', '29', '10', '2020', '8155', '24', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '781.16670472');
INSERT INTO public.ecdc_import VALUES (54357, '28/10/2020', '28', '10', '2020', '6362', '16', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '717.60555031');
INSERT INTO public.ecdc_import VALUES (54358, '27/10/2020', '27', '10', '2020', '17357', '37', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '659.98972208');
INSERT INTO public.ecdc_import VALUES (54359, '26/10/2020', '26', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '504.33452899');
INSERT INTO public.ecdc_import VALUES (54360, '25/10/2020', '25', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '504.33452899');
INSERT INTO public.ecdc_import VALUES (54361, '24/10/2020', '24', '10', '2020', '6592', '10', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '504.33452899');
INSERT INTO public.ecdc_import VALUES (54362, '23/10/2020', '23', '10', '2020', '4968', '11', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '444.56527553');
INSERT INTO public.ecdc_import VALUES (54363, '22/10/2020', '22', '10', '2020', '5596', '11', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '412.67351604');
INSERT INTO public.ecdc_import VALUES (54364, '21/10/2020', '21', '10', '2020', '3008', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '347.18130097');
INSERT INTO public.ecdc_import VALUES (54365, '20/10/2020', '20', '10', '2020', '8737', '14', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '320.15815504');
INSERT INTO public.ecdc_import VALUES (54366, '19/10/2020', '19', '10', '2020', '195', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '235.9287998');
INSERT INTO public.ecdc_import VALUES (54367, '18/10/2020', '18', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '233.6466372');
INSERT INTO public.ecdc_import VALUES (54368, '17/10/2020', '17', '10', '2020', '3087', '5', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '233.6466372');
INSERT INTO public.ecdc_import VALUES (54369, '16/10/2020', '16', '10', '2020', '2690', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '203.96681993');
INSERT INTO public.ecdc_import VALUES (54370, '15/10/2020', '15', '10', '2020', '2724', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '178.92154826');
INSERT INTO public.ecdc_import VALUES (54371, '14/10/2020', '14', '10', '2020', '1439', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '151.85158874');
INSERT INTO public.ecdc_import VALUES (54372, '13/10/2020', '13', '10', '2020', '4057', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '137.6202568');
INSERT INTO public.ecdc_import VALUES (54373, '12/10/2020', '12', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '97.91062747');
INSERT INTO public.ecdc_import VALUES (54374, '11/10/2020', '11', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '97.91062747');
INSERT INTO public.ecdc_import VALUES (54375, '10/10/2020', '10', '10', '2020', '1485', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '99.27992503');
INSERT INTO public.ecdc_import VALUES (54376, '09/10/2020', '9', '10', '2020', '2243', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '84.88474552');
INSERT INTO public.ecdc_import VALUES (54377, '08/10/2020', '8', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '64.57935003');
INSERT INTO public.ecdc_import VALUES (54378, '07/10/2020', '7', '10', '2020', '699', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '69.68203155');
INSERT INTO public.ecdc_import VALUES (54379, '06/10/2020', '6', '10', '2020', '1540', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '64.82512139');
INSERT INTO public.ecdc_import VALUES (54380, '05/10/2020', '5', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '59.5937025');
INSERT INTO public.ecdc_import VALUES (54381, '04/10/2020', '4', '10', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '59.5937025');
INSERT INTO public.ecdc_import VALUES (54382, '03/10/2020', '3', '10', '2020', '551', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '59.5937025');
INSERT INTO public.ecdc_import VALUES (54383, '02/10/2020', '2', '10', '2020', '550', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '58.84468502');
INSERT INTO public.ecdc_import VALUES (54384, '01/10/2020', '1', '10', '2020', '411', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '58.61061707');
INSERT INTO public.ecdc_import VALUES (54385, '30/09/2020', '30', '9', '2020', '223', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '59.81606706');
INSERT INTO public.ecdc_import VALUES (54386, '29/09/2020', '29', '9', '2020', '664', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '60.89277967');
INSERT INTO public.ecdc_import VALUES (54387, '28/09/2020', '28', '9', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '56.12949669');
INSERT INTO public.ecdc_import VALUES (54388, '27/09/2020', '27', '9', '2020', '117', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '61.66520394');
INSERT INTO public.ecdc_import VALUES (54389, '26/09/2020', '26', '9', '2020', '255', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '65.73798643');
INSERT INTO public.ecdc_import VALUES (54390, '25/09/2020', '25', '9', '2020', '508', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '68.93301408');
INSERT INTO public.ecdc_import VALUES (54391, '24/09/2020', '24', '9', '2020', '436', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '67.72756409');
INSERT INTO public.ecdc_import VALUES (54392, '23/09/2020', '23', '9', '2020', '284', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '68.10207282');
INSERT INTO public.ecdc_import VALUES (54393, '22/09/2020', '22', '9', '2020', '1093', '5', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '67.6456403');
INSERT INTO public.ecdc_import VALUES (54394, '21/09/2020', '21', '9', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '57.08917533');
INSERT INTO public.ecdc_import VALUES (54395, '20/09/2020', '20', '9', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '62.28548403');
INSERT INTO public.ecdc_import VALUES (54396, '19/09/2020', '19', '9', '2020', '487', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '67.25942817');
INSERT INTO public.ecdc_import VALUES (54397, '18/09/2020', '18', '9', '2020', '530', '8', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '65.03578255');
INSERT INTO public.ecdc_import VALUES (54398, '17/09/2020', '17', '9', '2020', '514', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '64.35698547');
INSERT INTO public.ecdc_import VALUES (54399, '16/09/2020', '16', '9', '2020', '315', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '62.67169616');
INSERT INTO public.ecdc_import VALUES (54400, '15/09/2020', '15', '9', '2020', '257', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '61.51305976');
INSERT INTO public.ecdc_import VALUES (54401, '14/09/2020', '14', '9', '2020', '473', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '60.41294035');
INSERT INTO public.ecdc_import VALUES (54402, '13/09/2020', '13', '9', '2020', '465', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '58.28292192');
INSERT INTO public.ecdc_import VALUES (54403, '12/09/2020', '12', '9', '2020', '528', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '57.2296161');
INSERT INTO public.ecdc_import VALUES (54404, '11/09/2020', '11', '9', '2020', '405', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '55.02937728');
INSERT INTO public.ecdc_import VALUES (54405, '10/09/2020', '10', '9', '2020', '468', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '54.50272438');
INSERT INTO public.ecdc_import VALUES (54406, '09/09/2020', '9', '9', '2020', '245', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '53.46112196');
INSERT INTO public.ecdc_import VALUES (54407, '08/09/2020', '8', '9', '2020', '191', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '52.95787584');
INSERT INTO public.ecdc_import VALUES (54408, '07/09/2020', '7', '9', '2020', '444', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '52.55996031');
INSERT INTO public.ecdc_import VALUES (54409, '06/09/2020', '6', '9', '2020', '425', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '50.59378945');
INSERT INTO public.ecdc_import VALUES (54410, '05/09/2020', '5', '9', '2020', '297', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '49.06064432');
INSERT INTO public.ecdc_import VALUES (54411, '04/09/2020', '4', '9', '2020', '472', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '49.1659749');
INSERT INTO public.ecdc_import VALUES (54412, '03/09/2020', '3', '9', '2020', '370', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '46.73166812');
INSERT INTO public.ecdc_import VALUES (54413, '02/09/2020', '2', '9', '2020', '216', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '46.02946424');
INSERT INTO public.ecdc_import VALUES (54414, '01/09/2020', '1', '9', '2020', '163', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '45.79539628');
INSERT INTO public.ecdc_import VALUES (54415, '31/08/2020', '31', '8', '2020', '291', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '45.35066716');
INSERT INTO public.ecdc_import VALUES (54416, '30/08/2020', '30', '8', '2020', '375', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '44.28565794');
INSERT INTO public.ecdc_import VALUES (54417, '29/08/2020', '29', '8', '2020', '340', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '42.83443659');
INSERT INTO public.ecdc_import VALUES (54418, '28/08/2020', '28', '8', '2020', '360', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '41.99179194');
INSERT INTO public.ecdc_import VALUES (54419, '27/08/2020', '27', '8', '2020', '379', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '40.5054604');
INSERT INTO public.ecdc_import VALUES (54420, '26/08/2020', '26', '8', '2020', '202', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '39.26490021');
INSERT INTO public.ecdc_import VALUES (54421, '25/08/2020', '25', '8', '2020', '157', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '39.08934924');
INSERT INTO public.ecdc_import VALUES (54422, '24/08/2020', '24', '8', '2020', '276', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '38.48077255');
INSERT INTO public.ecdc_import VALUES (54423, '23/08/2020', '23', '8', '2020', '294', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '37.0295512');
INSERT INTO public.ecdc_import VALUES (54424, '22/08/2020', '22', '8', '2020', '306', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '35.71877062');
INSERT INTO public.ecdc_import VALUES (54425, '21/08/2020', '21', '8', '2020', '264', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '34.02177792');
INSERT INTO public.ecdc_import VALUES (54426, '20/08/2020', '20', '8', '2020', '310', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '33.05039588');
INSERT INTO public.ecdc_import VALUES (54427, '19/08/2020', '19', '8', '2020', '196', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '31.54065755');
INSERT INTO public.ecdc_import VALUES (54428, '18/08/2020', '18', '8', '2020', '125', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '30.76823328');
INSERT INTO public.ecdc_import VALUES (54429, '17/08/2020', '17', '8', '2020', '200', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '30.0777328');
INSERT INTO public.ecdc_import VALUES (54430, '16/08/2020', '16', '8', '2020', '251', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '28.3105197');
INSERT INTO public.ecdc_import VALUES (54431, '15/08/2020', '15', '8', '2020', '268', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '29.37552892');
INSERT INTO public.ecdc_import VALUES (54432, '14/08/2020', '14', '8', '2020', '233', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '27.84238379');
INSERT INTO public.ecdc_import VALUES (54433, '13/08/2020', '13', '8', '2020', '273', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '27.67853621');
INSERT INTO public.ecdc_import VALUES (54434, '12/08/2020', '12', '8', '2020', '187', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '26.73056098');
INSERT INTO public.ecdc_import VALUES (54435, '11/08/2020', '11', '8', '2020', '105', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '26.08687409');
INSERT INTO public.ecdc_import VALUES (54436, '10/08/2020', '10', '8', '2020', '152', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '25.61873817');
INSERT INTO public.ecdc_import VALUES (54437, '09/08/2020', '9', '8', '2020', '182', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '25.12719546');
INSERT INTO public.ecdc_import VALUES (54438, '08/08/2020', '8', '8', '2020', '161', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '24.72927992');
INSERT INTO public.ecdc_import VALUES (54439, '07/08/2020', '7', '8', '2020', '181', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '24.64735614');
INSERT INTO public.ecdc_import VALUES (54440, '06/08/2020', '6', '8', '2020', '181', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '23.89833867');
INSERT INTO public.ecdc_import VALUES (54441, '05/08/2020', '5', '8', '2020', '130', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '23.43020275');
INSERT INTO public.ecdc_import VALUES (54442, '04/08/2020', '4', '8', '2020', '66', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '23.17272799');
INSERT INTO public.ecdc_import VALUES (54443, '03/08/2020', '3', '8', '2020', '49', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '22.90354984');
INSERT INTO public.ecdc_import VALUES (54444, '02/08/2020', '2', '8', '2020', '342', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '23.47701634');
INSERT INTO public.ecdc_import VALUES (54445, '01/08/2020', '1', '8', '2020', '137', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '20.76182801');
INSERT INTO public.ecdc_import VALUES (54446, '31/07/2020', '31', '7', '2020', '219', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '20.2234717');
INSERT INTO public.ecdc_import VALUES (54447, '30/07/2020', '30', '7', '2020', '192', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '19.32231006');
INSERT INTO public.ecdc_import VALUES (54448, '29/07/2020', '29', '7', '2020', '132', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '18.62010618');
INSERT INTO public.ecdc_import VALUES (54449, '28/07/2020', '28', '7', '2020', '65', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '17.89449551');
INSERT INTO public.ecdc_import VALUES (54450, '27/07/2020', '27', '7', '2020', '110', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '17.87108871');
INSERT INTO public.ecdc_import VALUES (54451, '26/07/2020', '26', '7', '2020', '148', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '17.57850376');
INSERT INTO public.ecdc_import VALUES (54452, '25/07/2020', '25', '7', '2020', '154', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '17.11036784');
INSERT INTO public.ecdc_import VALUES (54453, '24/07/2020', '24', '7', '2020', '117', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '16.52519794');
INSERT INTO public.ecdc_import VALUES (54454, '23/07/2020', '23', '7', '2020', '141', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '16.1857994');
INSERT INTO public.ecdc_import VALUES (54455, '22/07/2020', '22', '7', '2020', '108', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '16.04535863');
INSERT INTO public.ecdc_import VALUES (54456, '21/07/2020', '21', '7', '2020', '43', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.41337513');
INSERT INTO public.ecdc_import VALUES (54457, '20/07/2020', '20', '7', '2020', '98', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.44848533');
INSERT INTO public.ecdc_import VALUES (54458, '19/07/2020', '19', '7', '2020', '110', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.12079019');
INSERT INTO public.ecdc_import VALUES (54459, '18/07/2020', '18', '7', '2020', '91', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '14.96864601');
INSERT INTO public.ecdc_import VALUES (54460, '17/07/2020', '17', '7', '2020', '142', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.46018873');
INSERT INTO public.ecdc_import VALUES (54461, '16/07/2020', '16', '7', '2020', '132', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '14.18451835');
INSERT INTO public.ecdc_import VALUES (54462, '15/07/2020', '15', '7', '2020', '70', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.21441737');
INSERT INTO public.ecdc_import VALUES (54463, '14/07/2020', '14', '7', '2020', '63', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.12079019');
INSERT INTO public.ecdc_import VALUES (54464, '13/07/2020', '13', '7', '2020', '85', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '14.79309504');
INSERT INTO public.ecdc_import VALUES (54465, '12/07/2020', '12', '7', '2020', '108', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '14.52391689');
INSERT INTO public.ecdc_import VALUES (54466, '11/07/2020', '11', '7', '2020', '104', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '14.06748437');
INSERT INTO public.ecdc_import VALUES (54467, '10/07/2020', '10', '7', '2020', '88', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '13.52912806');
INSERT INTO public.ecdc_import VALUES (54468, '09/07/2020', '9', '7', '2020', '129', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '13.10780573');
INSERT INTO public.ecdc_import VALUES (54469, '08/07/2020', '8', '7', '2020', '54', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '12.11301691');
INSERT INTO public.ecdc_import VALUES (54470, '07/07/2020', '7', '7', '2020', '46', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '11.73850817');
INSERT INTO public.ecdc_import VALUES (54471, '06/07/2020', '6', '7', '2020', '70', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '11.41081303');
INSERT INTO public.ecdc_import VALUES (54472, '05/07/2020', '5', '7', '2020', '97', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '10.59157517');
INSERT INTO public.ecdc_import VALUES (54473, '04/07/2020', '4', '7', '2020', '133', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '9.45634556');
INSERT INTO public.ecdc_import VALUES (54474, '03/07/2020', '3', '7', '2020', '33', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '8.97650625');
INSERT INTO public.ecdc_import VALUES (54475, '02/07/2020', '2', '7', '2020', '220', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '8.78925188');
INSERT INTO public.ecdc_import VALUES (54476, '01/07/2020', '1', '7', '2020', '62', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '6.64753005');
INSERT INTO public.ecdc_import VALUES (54477, '30/06/2020', '30', '6', '2020', '35', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '6.09747035');
INSERT INTO public.ecdc_import VALUES (54478, '29/06/2020', '29', '6', '2020', '62', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '5.85169899');
INSERT INTO public.ecdc_import VALUES (54479, '28/06/2020', '28', '6', '2020', '69', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '5.39526647');
INSERT INTO public.ecdc_import VALUES (54480, '27/06/2020', '27', '6', '2020', '58', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.95053734');
INSERT INTO public.ecdc_import VALUES (54481, '26/06/2020', '26', '6', '2020', '52', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.49410482');
INSERT INTO public.ecdc_import VALUES (54482, '25/06/2020', '25', '6', '2020', '44', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.27174026');
INSERT INTO public.ecdc_import VALUES (54483, '24/06/2020', '24', '6', '2020', '22', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.0259689');
INSERT INTO public.ecdc_import VALUES (54484, '23/06/2020', '23', '6', '2020', '18', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.95574852');
INSERT INTO public.ecdc_import VALUES (54485, '22/06/2020', '22', '6', '2020', '0', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.82701114');
INSERT INTO public.ecdc_import VALUES (54486, '21/06/2020', '21', '6', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.93234172');
INSERT INTO public.ecdc_import VALUES (54487, '20/06/2020', '20', '6', '2020', '92', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.16640968');
INSERT INTO public.ecdc_import VALUES (54488, '19/06/2020', '19', '6', '2020', '17', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.35887522');
INSERT INTO public.ecdc_import VALUES (54489, '18/06/2020', '18', '6', '2020', '37', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.39398541');
INSERT INTO public.ecdc_import VALUES (54490, '17/06/2020', '17', '6', '2020', '15', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.18332425');
INSERT INTO public.ecdc_import VALUES (54491, '16/06/2020', '16', '6', '2020', '14', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.04288347');
INSERT INTO public.ecdc_import VALUES (54492, '15/06/2020', '15', '6', '2020', '23', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.98436648');
INSERT INTO public.ecdc_import VALUES (54493, '14/06/2020', '14', '6', '2020', '31', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.9141461');
INSERT INTO public.ecdc_import VALUES (54494, '13/06/2020', '13', '6', '2020', '19', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.75029852');
INSERT INTO public.ecdc_import VALUES (54495, '12/06/2020', '12', '6', '2020', '33', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.9024427');
INSERT INTO public.ecdc_import VALUES (54496, '11/06/2020', '11', '6', '2020', '23', '12', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.92584949');
INSERT INTO public.ecdc_import VALUES (54497, '10/06/2020', '10', '6', '2020', '16', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.65667134');
INSERT INTO public.ecdc_import VALUES (54498, '09/06/2020', '9', '6', '2020', '7', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.64496794');
INSERT INTO public.ecdc_import VALUES (54499, '08/06/2020', '8', '6', '2020', '9', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.68007814');
INSERT INTO public.ecdc_import VALUES (54500, '07/06/2020', '7', '6', '2020', '20', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.70348493');
INSERT INTO public.ecdc_import VALUES (54501, '06/06/2020', '6', '6', '2020', '23', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.68007814');
INSERT INTO public.ecdc_import VALUES (54502, '05/06/2020', '5', '6', '2020', '20', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.56304416');
INSERT INTO public.ecdc_import VALUES (54503, '04/06/2020', '4', '6', '2020', '19', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.75029852');
INSERT INTO public.ecdc_import VALUES (54504, '03/06/2020', '3', '6', '2020', '3', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.99606988');
INSERT INTO public.ecdc_import VALUES (54505, '02/06/2020', '2', '6', '2020', '9', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.20673105');
INSERT INTO public.ecdc_import VALUES (54506, '01/06/2020', '1', '6', '2020', '17', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.21843444');
INSERT INTO public.ecdc_import VALUES (54507, '31/05/2020', '31', '5', '2020', '17', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.19502765');
INSERT INTO public.ecdc_import VALUES (54508, '30/05/2020', '30', '5', '2020', '32', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.67486696');
INSERT INTO public.ecdc_import VALUES (54509, '29/05/2020', '29', '5', '2020', '35', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.89723153');
INSERT INTO public.ecdc_import VALUES (54510, '28/05/2020', '28', '5', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.0727825');
INSERT INTO public.ecdc_import VALUES (54511, '27/05/2020', '27', '5', '2020', '15', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.45899463');
INSERT INTO public.ecdc_import VALUES (54512, '26/05/2020', '26', '5', '2020', '10', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.70476599');
INSERT INTO public.ecdc_import VALUES (54513, '25/05/2020', '25', '5', '2020', '11', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '5.04416453');
INSERT INTO public.ecdc_import VALUES (54514, '24/05/2020', '24', '5', '2020', '18', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '5.54741064');
INSERT INTO public.ecdc_import VALUES (54515, '23/05/2020', '23', '5', '2020', '13', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '5.85169899');
INSERT INTO public.ecdc_import VALUES (54516, '22/05/2020', '22', '5', '2020', '36', '8', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '6.64753005');
INSERT INTO public.ecdc_import VALUES (54517, '21/05/2020', '21', '5', '2020', '40', '16', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '6.99863199');
INSERT INTO public.ecdc_import VALUES (54518, '20/05/2020', '20', '5', '2020', '21', '11', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '7.12736937');
INSERT INTO public.ecdc_import VALUES (54519, '19/05/2020', '19', '5', '2020', '10', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '7.20929315');
INSERT INTO public.ecdc_import VALUES (54520, '18/05/2020', '18', '5', '2020', '15', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '7.98171742');
INSERT INTO public.ecdc_import VALUES (54521, '17/05/2020', '17', '5', '2020', '58', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '8.83606547');
INSERT INTO public.ecdc_import VALUES (54522, '16/05/2020', '16', '5', '2020', '51', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '9.46804896');
INSERT INTO public.ecdc_import VALUES (54523, '15/05/2020', '15', '5', '2020', '50', '25', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '10.26388003');
INSERT INTO public.ecdc_import VALUES (54524, '14/05/2020', '14', '5', '2020', '33', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '11.77361836');
INSERT INTO public.ecdc_import VALUES (54525, '13/05/2020', '13', '5', '2020', '36', '18', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '13.06099214');
INSERT INTO public.ecdc_import VALUES (54526, '12/05/2020', '12', '5', '2020', '39', '5', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '13.81000961');
INSERT INTO public.ecdc_import VALUES (54527, '11/05/2020', '11', '5', '2020', '54', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '14.55902708');
INSERT INTO public.ecdc_import VALUES (54528, '10/05/2020', '10', '5', '2020', '44', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.88151105');
INSERT INTO public.ecdc_import VALUES (54529, '09/05/2020', '9', '5', '2020', '81', '8', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '17.89449551');
INSERT INTO public.ecdc_import VALUES (54530, '08/05/2020', '8', '5', '2020', '66', '13', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '19.0648353');
INSERT INTO public.ecdc_import VALUES (54531, '07/05/2020', '7', '5', '2020', '51', '22', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '20.96078578');
INSERT INTO public.ecdc_import VALUES (54532, '06/05/2020', '6', '5', '2020', '28', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '22.76310906');
INSERT INTO public.ecdc_import VALUES (54533, '05/05/2020', '5', '5', '2020', '76', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '24.24944061');
INSERT INTO public.ecdc_import VALUES (54534, '04/05/2020', '4', '5', '2020', '88', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '25.32615322');
INSERT INTO public.ecdc_import VALUES (54535, '03/05/2020', '3', '5', '2020', '112', '32', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '28.22859592');
INSERT INTO public.ecdc_import VALUES (54536, '02/05/2020', '2', '5', '2020', '119', '12', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '30.72141969');
INSERT INTO public.ecdc_import VALUES (54537, '01/05/2020', '1', '5', '2020', '179', '15', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '33.37809103');
INSERT INTO public.ecdc_import VALUES (54538, '30/04/2020', '30', '4', '2020', '143', '28', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '34.96975315');
INSERT INTO public.ecdc_import VALUES (54539, '29/04/2020', '29', '4', '2020', '100', '27', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '40.11924826');
INSERT INTO public.ecdc_import VALUES (54540, '28/04/2020', '28', '4', '2020', '103', '16', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '41.92157155');
INSERT INTO public.ecdc_import VALUES (54541, '27/04/2020', '27', '4', '2020', '167', '8', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '43.98136959');
INSERT INTO public.ecdc_import VALUES (54542, '26/04/2020', '26', '4', '2020', '216', '20', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '46.70826132');
INSERT INTO public.ecdc_import VALUES (54543, '25/04/2020', '25', '4', '2020', '181', '41', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '51.10873896');
INSERT INTO public.ecdc_import VALUES (54544, '24/04/2020', '24', '4', '2020', '228', '51', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '57.56901465');
INSERT INTO public.ecdc_import VALUES (54545, '23/04/2020', '23', '4', '2020', '205', '30', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '64.08780732');
INSERT INTO public.ecdc_import VALUES (54546, '22/04/2020', '22', '4', '2020', '155', '45', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '68.07866603');
INSERT INTO public.ecdc_import VALUES (54547, '21/04/2020', '21', '4', '2020', '168', '7', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '73.16964415');
INSERT INTO public.ecdc_import VALUES (54548, '20/04/2020', '20', '4', '2020', '336', '24', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '77.66374897');
INSERT INTO public.ecdc_import VALUES (54549, '19/04/2020', '19', '4', '2020', '325', '52', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '83.33989699');
INSERT INTO public.ecdc_import VALUES (54550, '18/04/2020', '18', '4', '2020', '346', '42', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '90.93540228');
INSERT INTO public.ecdc_import VALUES (54551, '17/04/2020', '17', '4', '2020', '315', '43', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '98.97563669');
INSERT INTO public.ecdc_import VALUES (54552, '16/04/2020', '16', '4', '2020', '583', '73', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '108.44368565');
INSERT INTO public.ecdc_import VALUES (54553, '15/04/2020', '15', '4', '2020', '254', '42', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '112.87927348');
INSERT INTO public.ecdc_import VALUES (54554, '14/04/2020', '14', '4', '2020', '279', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '118.05217539');
INSERT INTO public.ecdc_import VALUES (54555, '13/04/2020', '13', '4', '2020', '400', '27', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '128.10539425');
INSERT INTO public.ecdc_import VALUES (54556, '12/04/2020', '12', '4', '2020', '592', '26', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '136.55524759');
INSERT INTO public.ecdc_import VALUES (54557, '11/04/2020', '11', '4', '2020', '733', '49', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '141.89199706');
INSERT INTO public.ecdc_import VALUES (54558, '10/04/2020', '10', '4', '2020', '785', '51', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '149.58112953');
INSERT INTO public.ecdc_import VALUES (54559, '09/04/2020', '9', '4', '2020', '546', '64', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '152.0973601');
INSERT INTO public.ecdc_import VALUES (54560, '08/04/2020', '8', '4', '2020', '590', '57', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '156.53294793');
INSERT INTO public.ecdc_import VALUES (54561, '07/04/2020', '7', '4', '2020', '552', '25', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '158.68637316');
INSERT INTO public.ecdc_import VALUES (54562, '06/04/2020', '6', '4', '2020', '821', '19', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '164.44444496');
INSERT INTO public.ecdc_import VALUES (54563, '05/04/2020', '5', '4', '2020', '974', '56', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '165.29879302');
INSERT INTO public.ecdc_import VALUES (54564, '04/04/2020', '4', '4', '2020', '1033', '52', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '168.77470222');
INSERT INTO public.ecdc_import VALUES (54565, '03/04/2020', '3', '4', '2020', '1124', '54', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '167.7213964');
INSERT INTO public.ecdc_import VALUES (54566, '02/04/2020', '2', '4', '2020', '962', '5', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '164.63169933');
INSERT INTO public.ecdc_import VALUES (54567, '01/04/2020', '1', '4', '2020', '696', '78', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '157.50432996');
INSERT INTO public.ecdc_import VALUES (54568, '31/03/2020', '31', '3', '2020', '1138', '38', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '154.62529406');
INSERT INTO public.ecdc_import VALUES (54569, '30/03/2020', '30', '3', '2020', '1122', '22', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '141.30682717');
INSERT INTO public.ecdc_import VALUES (54570, '29/03/2020', '29', '3', '2020', '1048', '38', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '138.01817233');
INSERT INTO public.ecdc_import VALUES (54571, '28/03/2020', '28', '3', '2020', '1390', '36', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '128.53841997');
INSERT INTO public.ecdc_import VALUES (54572, '27/03/2020', '27', '3', '2020', '1000', '58', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '115.39550405');
INSERT INTO public.ecdc_import VALUES (54573, '26/03/2020', '26', '3', '2020', '925', '17', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '106.17322644');
INSERT INTO public.ecdc_import VALUES (54574, '25/03/2020', '25', '3', '2020', '774', '20', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '97.12649981');
INSERT INTO public.ecdc_import VALUES (54575, '24/03/2020', '24', '3', '2020', '1044', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '89.42566394');
INSERT INTO public.ecdc_import VALUES (54576, '23/03/2020', '23', '3', '2020', '894', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '77.69885916');
INSERT INTO public.ecdc_import VALUES (54577, '22/03/2020', '22', '3', '2020', '1271', '13', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '68.03185244');
INSERT INTO public.ecdc_import VALUES (54578, '21/03/2020', '21', '3', '2020', '943', '10', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '53.8005205');
INSERT INTO public.ecdc_import VALUES (54579, '20/03/2020', '20', '3', '2020', '860', '8', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '44.19203076');
INSERT INTO public.ecdc_import VALUES (54580, '19/03/2020', '19', '3', '2020', '353', '6', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '34.47821044');
INSERT INTO public.ecdc_import VALUES (54581, '18/03/2020', '18', '3', '2020', '450', '5', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '30.58097891');
INSERT INTO public.ecdc_import VALUES (54582, '17/03/2020', '17', '3', '2020', '0', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '25.39637361');
INSERT INTO public.ecdc_import VALUES (54583, '16/03/2020', '16', '3', '2020', '841', '2', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '25.466594');
INSERT INTO public.ecdc_import VALUES (54584, '15/03/2020', '15', '3', '2020', '238', '4', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '15.69425669');
INSERT INTO public.ecdc_import VALUES (54585, '14/03/2020', '14', '3', '2020', '267', '3', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '12.97906836');
INSERT INTO public.ecdc_import VALUES (54586, '13/03/2020', '13', '3', '2020', '212', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '9.90107469');
INSERT INTO public.ecdc_import VALUES (54587, '12/03/2020', '12', '3', '2020', '152', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '7.5018781');
INSERT INTO public.ecdc_import VALUES (54588, '11/03/2020', '11', '3', '2020', '116', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '5.72296161');
INSERT INTO public.ecdc_import VALUES (54589, '10/03/2020', '10', '3', '2020', '42', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '4.37707084');
INSERT INTO public.ecdc_import VALUES (54590, '09/03/2020', '9', '3', '2020', '68', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.88552813');
INSERT INTO public.ecdc_import VALUES (54591, '08/03/2020', '8', '3', '2020', '55', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '3.08969707');
INSERT INTO public.ecdc_import VALUES (54592, '07/03/2020', '7', '3', '2020', '122', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '2.44601018');
INSERT INTO public.ecdc_import VALUES (54593, '06/03/2020', '6', '3', '2020', '30', '1', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '1.01819562');
INSERT INTO public.ecdc_import VALUES (54594, '05/03/2020', '5', '3', '2020', '20', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.66709368');
INSERT INTO public.ecdc_import VALUES (54595, '04/03/2020', '4', '3', '2020', '7', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.43302573');
INSERT INTO public.ecdc_import VALUES (54596, '03/03/2020', '3', '3', '2020', '6', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.35110194');
INSERT INTO public.ecdc_import VALUES (54597, '02/03/2020', '2', '3', '2020', '6', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.28088155');
INSERT INTO public.ecdc_import VALUES (54598, '01/03/2020', '1', '3', '2020', '6', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.21066116');
INSERT INTO public.ecdc_import VALUES (54599, '29/02/2020', '29', '2', '2020', '4', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.14044078');
INSERT INTO public.ecdc_import VALUES (54600, '28/02/2020', '28', '2', '2020', '7', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.09362718');
INSERT INTO public.ecdc_import VALUES (54601, '27/02/2020', '27', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.0117034');
INSERT INTO public.ecdc_import VALUES (54602, '26/02/2020', '26', '2', '2020', '1', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0.0117034');
INSERT INTO public.ecdc_import VALUES (54603, '25/02/2020', '25', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54604, '24/02/2020', '24', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54605, '23/02/2020', '23', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54606, '22/02/2020', '22', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54607, '21/02/2020', '21', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54608, '20/02/2020', '20', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54609, '19/02/2020', '19', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54610, '18/02/2020', '18', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54611, '17/02/2020', '17', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54612, '16/02/2020', '16', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54613, '15/02/2020', '15', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54614, '14/02/2020', '14', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54615, '13/02/2020', '13', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54616, '12/02/2020', '12', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54617, '11/02/2020', '11', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54618, '10/02/2020', '10', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54619, '09/02/2020', '9', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54620, '08/02/2020', '8', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54622, '06/02/2020', '6', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54623, '05/02/2020', '5', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54624, '04/02/2020', '4', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54625, '03/02/2020', '3', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54626, '02/02/2020', '2', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54627, '01/02/2020', '1', '2', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54628, '31/01/2020', '31', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54629, '30/01/2020', '30', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54630, '29/01/2020', '29', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54631, '28/01/2020', '28', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54632, '27/01/2020', '27', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54633, '26/01/2020', '26', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54634, '25/01/2020', '25', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54635, '24/01/2020', '24', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54636, '23/01/2020', '23', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54637, '22/01/2020', '22', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54638, '21/01/2020', '21', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54639, '20/01/2020', '20', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54640, '19/01/2020', '19', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54641, '18/01/2020', '18', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54642, '17/01/2020', '17', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54643, '16/01/2020', '16', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54644, '15/01/2020', '15', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54645, '14/01/2020', '14', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54646, '13/01/2020', '13', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (54647, '12/01/2020', '12', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54648, '11/01/2020', '11', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54649, '10/01/2020', '10', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54650, '09/01/2020', '9', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54651, '08/01/2020', '8', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54652, '07/01/2020', '7', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54653, '06/01/2020', '6', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54654, '05/01/2020', '5', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54655, '04/01/2020', '4', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54656, '03/01/2020', '3', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54657, '02/01/2020', '2', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54658, '01/01/2020', '1', '1', '2020', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54659, '31/12/2019', '31', '12', '2019', '0', '0', '8544527', 'Switzerland', 'CH', 'CHE', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (54660, '14/12/2020', '14', '12', '2020', '125', '12', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '8.01985597');
INSERT INTO public.ecdc_import VALUES (54661, '13/12/2020', '13', '12', '2020', '130', '15', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '7.76795399');
INSERT INTO public.ecdc_import VALUES (54662, '12/12/2020', '12', '12', '2020', '124', '15', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '7.47504472');
INSERT INTO public.ecdc_import VALUES (54663, '11/12/2020', '11', '12', '2020', '112', '11', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '7.29344096');
INSERT INTO public.ecdc_import VALUES (54664, '10/12/2020', '10', '12', '2020', '95', '7', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '7.12355358');
INSERT INTO public.ecdc_import VALUES (54665, '09/12/2020', '9', '12', '2020', '90', '6', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '7.09426266');
INSERT INTO public.ecdc_import VALUES (54666, '08/12/2020', '8', '12', '2020', '87', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '7.00053169');
INSERT INTO public.ecdc_import VALUES (54667, '07/12/2020', '7', '12', '2020', '83', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.90094254');
INSERT INTO public.ecdc_import VALUES (54668, '06/12/2020', '6', '12', '2020', '87', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.83064431');
INSERT INTO public.ecdc_import VALUES (54669, '05/12/2020', '5', '12', '2020', '86', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.76034608');
INSERT INTO public.ecdc_import VALUES (54670, '04/12/2020', '4', '12', '2020', '88', '6', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.77206245');
INSERT INTO public.ecdc_import VALUES (54671, '03/12/2020', '3', '12', '2020', '86', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.67833149');
INSERT INTO public.ecdc_import VALUES (54672, '02/12/2020', '2', '12', '2020', '86', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.66075693');
INSERT INTO public.ecdc_import VALUES (54673, '01/12/2020', '1', '12', '2020', '90', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.60803326');
INSERT INTO public.ecdc_import VALUES (54674, '30/11/2020', '30', '11', '2020', '82', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.52016048');
INSERT INTO public.ecdc_import VALUES (54675, '29/11/2020', '29', '11', '2020', '80', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.45572044');
INSERT INTO public.ecdc_import VALUES (54676, '28/11/2020', '28', '11', '2020', '93', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.34441491');
INSERT INTO public.ecdc_import VALUES (54677, '27/11/2020', '27', '11', '2020', '83', '8', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.1862439');
INSERT INTO public.ecdc_import VALUES (54678, '26/11/2020', '26', '11', '2020', '90', '6', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.08079656');
INSERT INTO public.ecdc_import VALUES (54679, '25/11/2020', '25', '11', '2020', '74', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.95777467');
INSERT INTO public.ecdc_import VALUES (54680, '24/11/2020', '24', '11', '2020', '70', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.92262555');
INSERT INTO public.ecdc_import VALUES (54681, '23/11/2020', '23', '11', '2020', '71', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.91676737');
INSERT INTO public.ecdc_import VALUES (54682, '22/11/2020', '22', '11', '2020', '75', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.89919281');
INSERT INTO public.ecdc_import VALUES (54683, '21/11/2020', '21', '11', '2020', '88', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.72344725');
INSERT INTO public.ecdc_import VALUES (54684, '20/11/2020', '20', '11', '2020', '72', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.57113442');
INSERT INTO public.ecdc_import VALUES (54685, '19/11/2020', '19', '11', '2020', '83', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.59456717');
INSERT INTO public.ecdc_import VALUES (54686, '18/11/2020', '18', '11', '2020', '77', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.55355987');
INSERT INTO public.ecdc_import VALUES (54687, '17/11/2020', '17', '11', '2020', '75', '5', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.36609793');
INSERT INTO public.ecdc_import VALUES (54688, '16/11/2020', '16', '11', '2020', '71', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.24307603');
INSERT INTO public.ecdc_import VALUES (54689, '15/11/2020', '15', '11', '2020', '61', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.18449418');
INSERT INTO public.ecdc_import VALUES (54690, '14/11/2020', '14', '11', '2020', '66', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.09076321');
INSERT INTO public.ecdc_import VALUES (54691, '13/11/2020', '13', '11', '2020', '65', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.99703224');
INSERT INTO public.ecdc_import VALUES (54692, '12/11/2020', '12', '11', '2020', '69', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.92673402');
INSERT INTO public.ecdc_import VALUES (54693, '11/11/2020', '11', '11', '2020', '68', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.82714486');
INSERT INTO public.ecdc_import VALUES (54694, '10/11/2020', '10', '11', '2020', '69', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.82128668');
INSERT INTO public.ecdc_import VALUES (54695, '09/11/2020', '9', '11', '2020', '68', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.72755571');
INSERT INTO public.ecdc_import VALUES (54696, '08/11/2020', '8', '11', '2020', '45', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.61625018');
INSERT INTO public.ecdc_import VALUES (54697, '07/11/2020', '7', '11', '2020', '62', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.58695926');
INSERT INTO public.ecdc_import VALUES (54698, '06/11/2020', '6', '11', '2020', '76', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.5283774');
INSERT INTO public.ecdc_import VALUES (54699, '05/11/2020', '5', '11', '2020', '76', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.33505728');
INSERT INTO public.ecdc_import VALUES (54700, '04/11/2020', '4', '11', '2020', '45', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.14759534');
INSERT INTO public.ecdc_import VALUES (54701, '03/11/2020', '3', '11', '2020', '54', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.15345353');
INSERT INTO public.ecdc_import VALUES (54702, '02/11/2020', '2', '11', '2020', '61', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.17102809');
INSERT INTO public.ecdc_import VALUES (54703, '01/11/2020', '1', '11', '2020', '45', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.07143893');
INSERT INTO public.ecdc_import VALUES (54704, '31/10/2020', '31', '10', '2020', '50', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.07729712');
INSERT INTO public.ecdc_import VALUES (54705, '30/10/2020', '30', '10', '2020', '53', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.11244623');
INSERT INTO public.ecdc_import VALUES (54706, '29/10/2020', '29', '10', '2020', '52', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.0831553');
INSERT INTO public.ecdc_import VALUES (54707, '28/10/2020', '28', '10', '2020', '67', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.11244623');
INSERT INTO public.ecdc_import VALUES (54708, '27/10/2020', '27', '10', '2020', '53', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.02457345');
INSERT INTO public.ecdc_import VALUES (54709, '26/10/2020', '26', '10', '2020', '49', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.30576635');
INSERT INTO public.ecdc_import VALUES (54710, '25/10/2020', '25', '10', '2020', '40', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.01871526');
INSERT INTO public.ecdc_import VALUES (54711, '24/10/2020', '24', '10', '2020', '52', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.11830442');
INSERT INTO public.ecdc_import VALUES (54712, '23/10/2020', '23', '10', '2020', '43', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.10658805');
INSERT INTO public.ecdc_import VALUES (54713, '22/10/2020', '22', '10', '2020', '44', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.21789357');
INSERT INTO public.ecdc_import VALUES (54714, '21/10/2020', '21', '10', '2020', '46', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.23546813');
INSERT INTO public.ecdc_import VALUES (54715, '20/10/2020', '20', '10', '2020', '57', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.23546813');
INSERT INTO public.ecdc_import VALUES (54716, '19/10/2020', '19', '10', '2020', '44', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.1651699');
INSERT INTO public.ecdc_import VALUES (54717, '18/10/2020', '18', '10', '2020', '46', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.1241626');
INSERT INTO public.ecdc_import VALUES (54718, '17/10/2020', '17', '10', '2020', '56', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.08901349');
INSERT INTO public.ecdc_import VALUES (54719, '16/10/2020', '16', '10', '2020', '48', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.00699889');
INSERT INTO public.ecdc_import VALUES (54720, '15/10/2020', '15', '10', '2020', '57', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.00114071');
INSERT INTO public.ecdc_import VALUES (54721, '14/10/2020', '14', '10', '2020', '52', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.97184978');
INSERT INTO public.ecdc_import VALUES (54722, '13/10/2020', '13', '10', '2020', '101', '7', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.93670067');
INSERT INTO public.ecdc_import VALUES (54723, '12/10/2020', '12', '10', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.52076949');
INSERT INTO public.ecdc_import VALUES (54724, '11/10/2020', '11', '10', '2020', '57', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.7199478');
INSERT INTO public.ecdc_import VALUES (54725, '10/10/2020', '10', '10', '2020', '50', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.60278409');
INSERT INTO public.ecdc_import VALUES (54726, '09/10/2020', '9', '10', '2020', '62', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.51491131');
INSERT INTO public.ecdc_import VALUES (54727, '08/10/2020', '8', '10', '2020', '47', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.3977476');
INSERT INTO public.ecdc_import VALUES (54728, '07/10/2020', '7', '10', '2020', '46', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.3977476');
INSERT INTO public.ecdc_import VALUES (54729, '06/10/2020', '6', '10', '2020', '45', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.38603123');
INSERT INTO public.ecdc_import VALUES (54730, '05/10/2020', '5', '10', '2020', '37', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.315733');
INSERT INTO public.ecdc_import VALUES (54731, '04/10/2020', '4', '10', '2020', '40', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.30401663');
INSERT INTO public.ecdc_import VALUES (54732, '03/10/2020', '3', '10', '2020', '42', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.26886752');
INSERT INTO public.ecdc_import VALUES (54733, '02/10/2020', '2', '10', '2020', '47', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.25715115');
INSERT INTO public.ecdc_import VALUES (54734, '01/10/2020', '1', '10', '2020', '52', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.19856929');
INSERT INTO public.ecdc_import VALUES (54735, '30/09/2020', '30', '9', '2020', '46', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.12827106');
INSERT INTO public.ecdc_import VALUES (54736, '29/09/2020', '29', '9', '2020', '30', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.08140558');
INSERT INTO public.ecdc_import VALUES (54737, '28/09/2020', '28', '9', '2020', '34', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.11655469');
INSERT INTO public.ecdc_import VALUES (54738, '27/09/2020', '27', '9', '2020', '37', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.11655469');
INSERT INTO public.ecdc_import VALUES (54739, '26/09/2020', '26', '9', '2020', '35', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.07554739');
INSERT INTO public.ecdc_import VALUES (54740, '25/09/2020', '25', '9', '2020', '42', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.22200203');
INSERT INTO public.ecdc_import VALUES (54741, '24/09/2020', '24', '9', '2020', '47', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.3567403');
INSERT INTO public.ecdc_import VALUES (54742, '23/09/2020', '23', '9', '2020', '44', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.44461308');
INSERT INTO public.ecdc_import VALUES (54743, '22/09/2020', '22', '9', '2020', '33', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.53834405');
INSERT INTO public.ecdc_import VALUES (54744, '21/09/2020', '21', '9', '2020', '35', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.68479869');
INSERT INTO public.ecdc_import VALUES (54745, '20/09/2020', '20', '9', '2020', '34', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.87226062');
INSERT INTO public.ecdc_import VALUES (54746, '19/09/2020', '19', '9', '2020', '40', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.042148');
INSERT INTO public.ecdc_import VALUES (54747, '18/09/2020', '18', '9', '2020', '37', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.2061772');
INSERT INTO public.ecdc_import VALUES (54748, '17/09/2020', '17', '9', '2020', '40', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.42878825');
INSERT INTO public.ecdc_import VALUES (54749, '16/09/2020', '16', '9', '2020', '38', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.59281744');
INSERT INTO public.ecdc_import VALUES (54750, '15/09/2020', '15', '9', '2020', '36', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.75098845');
INSERT INTO public.ecdc_import VALUES (54751, '14/09/2020', '14', '9', '2020', '34', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.90330127');
INSERT INTO public.ecdc_import VALUES (54752, '13/09/2020', '13', '9', '2020', '30', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.14348688');
INSERT INTO public.ecdc_import VALUES (54753, '12/09/2020', '12', '9', '2020', '60', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.34852337');
INSERT INTO public.ecdc_import VALUES (54754, '11/09/2020', '11', '9', '2020', '65', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.34266519');
INSERT INTO public.ecdc_import VALUES (54755, '10/09/2020', '10', '9', '2020', '62', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.336807');
INSERT INTO public.ecdc_import VALUES (54756, '09/09/2020', '9', '9', '2020', '60', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.83475277');
INSERT INTO public.ecdc_import VALUES (54757, '08/09/2020', '8', '9', '2020', '58', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.48326164');
INSERT INTO public.ecdc_import VALUES (54758, '07/09/2020', '7', '9', '2020', '67', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.02221471');
INSERT INTO public.ecdc_import VALUES (54759, '06/09/2020', '6', '9', '2020', '63', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.62971628');
INSERT INTO public.ecdc_import VALUES (54760, '05/09/2020', '5', '9', '2020', '68', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.67072358');
INSERT INTO public.ecdc_import VALUES (54761, '04/09/2020', '4', '9', '2020', '75', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.65314902');
INSERT INTO public.ecdc_import VALUES (54762, '03/09/2020', '3', '9', '2020', '68', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.68829813');
INSERT INTO public.ecdc_import VALUES (54763, '02/09/2020', '2', '9', '2020', '65', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.24482576');
INSERT INTO public.ecdc_import VALUES (54764, '01/09/2020', '1', '9', '2020', '62', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.8640437');
INSERT INTO public.ecdc_import VALUES (54765, '31/08/2020', '31', '8', '2020', '75', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.01049834');
INSERT INTO public.ecdc_import VALUES (54766, '30/08/2020', '30', '8', '2020', '65', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.06322201');
INSERT INTO public.ecdc_import VALUES (54767, '29/08/2020', '29', '8', '2020', '59', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.13937842');
INSERT INTO public.ecdc_import VALUES (54768, '28/08/2020', '28', '8', '2020', '64', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.27997487');
INSERT INTO public.ecdc_import VALUES (54769, '27/08/2020', '27', '8', '2020', '147', '6', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.49086955');
INSERT INTO public.ecdc_import VALUES (54770, '26/08/2020', '26', '8', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.65900721');
INSERT INTO public.ecdc_import VALUES (54771, '25/08/2020', '25', '8', '2020', '150', '7', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.47329499');
INSERT INTO public.ecdc_import VALUES (54772, '24/08/2020', '24', '8', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.59456717');
INSERT INTO public.ecdc_import VALUES (54773, '23/08/2020', '23', '8', '2020', '70', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.96363285');
INSERT INTO public.ecdc_import VALUES (54774, '22/08/2020', '22', '8', '2020', '65', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.93434193');
INSERT INTO public.ecdc_import VALUES (54775, '21/08/2020', '21', '8', '2020', '81', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '6.23310939');
INSERT INTO public.ecdc_import VALUES (54776, '20/08/2020', '20', '8', '2020', '163', '10', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.75859636');
INSERT INTO public.ecdc_import VALUES (54777, '19/08/2020', '19', '8', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.10833777');
INSERT INTO public.ecdc_import VALUES (54778, '18/08/2020', '18', '8', '2020', '87', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.37195612');
INSERT INTO public.ecdc_import VALUES (54779, '17/08/2020', '17', '8', '2020', '84', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '5.08490503');
INSERT INTO public.ecdc_import VALUES (54780, '16/08/2020', '16', '8', '2020', '78', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.89744309');
INSERT INTO public.ecdc_import VALUES (54781, '15/08/2020', '15', '8', '2020', '83', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.55181014');
INSERT INTO public.ecdc_import VALUES (54782, '14/08/2020', '14', '8', '2020', '100', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '4.06558075');
INSERT INTO public.ecdc_import VALUES (54783, '13/08/2020', '13', '8', '2020', '5', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.60278409');
INSERT INTO public.ecdc_import VALUES (54784, '12/08/2020', '12', '8', '2020', '139', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.70823143');
INSERT INTO public.ecdc_import VALUES (54785, '11/08/2020', '11', '8', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.01110735');
INSERT INTO public.ecdc_import VALUES (54786, '10/08/2020', '10', '8', '2020', '63', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '3.15170381');
INSERT INTO public.ecdc_import VALUES (54787, '09/08/2020', '9', '8', '2020', '65', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '2.91737639');
INSERT INTO public.ecdc_import VALUES (54788, '08/08/2020', '8', '8', '2020', '116', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '2.7884963');
INSERT INTO public.ecdc_import VALUES (54789, '07/08/2020', '7', '8', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '2.10894678');
INSERT INTO public.ecdc_import VALUES (54790, '06/08/2020', '6', '8', '2020', '52', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '2.24368505');
INSERT INTO public.ecdc_import VALUES (54791, '05/08/2020', '5', '8', '2020', '45', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '2.0620813');
INSERT INTO public.ecdc_import VALUES (54792, '04/08/2020', '4', '8', '2020', '38', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.90391029');
INSERT INTO public.ecdc_import VALUES (54793, '03/08/2020', '3', '8', '2020', '52', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.83361207');
INSERT INTO public.ecdc_import VALUES (54794, '02/08/2020', '2', '8', '2020', '19', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.52898642');
INSERT INTO public.ecdc_import VALUES (54795, '01/08/2020', '1', '8', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.41768089');
INSERT INTO public.ecdc_import VALUES (54796, '31/07/2020', '31', '7', '2020', '21', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.52898642');
INSERT INTO public.ecdc_import VALUES (54797, '30/07/2020', '30', '7', '2020', '23', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.51727005');
INSERT INTO public.ecdc_import VALUES (54798, '29/07/2020', '29', '7', '2020', '20', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.49383731');
INSERT INTO public.ecdc_import VALUES (54799, '28/07/2020', '28', '7', '2020', '24', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.50555368');
INSERT INTO public.ecdc_import VALUES (54800, '27/07/2020', '27', '7', '2020', '23', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.49969549');
INSERT INTO public.ecdc_import VALUES (54801, '26/07/2020', '26', '7', '2020', '43', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.36495722');
INSERT INTO public.ecdc_import VALUES (54802, '25/07/2020', '25', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.11305525');
INSERT INTO public.ecdc_import VALUES (54803, '24/07/2020', '24', '7', '2020', '23', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.24193533');
INSERT INTO public.ecdc_import VALUES (54804, '23/07/2020', '23', '7', '2020', '21', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '1.10719706');
INSERT INTO public.ecdc_import VALUES (54805, '22/07/2020', '22', '7', '2020', '18', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.98417517');
INSERT INTO public.ecdc_import VALUES (54806, '21/07/2020', '21', '7', '2020', '26', '4', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.87872783');
INSERT INTO public.ecdc_import VALUES (54807, '20/07/2020', '20', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.8084296');
INSERT INTO public.ecdc_import VALUES (54808, '19/07/2020', '19', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.92559331');
INSERT INTO public.ecdc_import VALUES (54809, '18/07/2020', '18', '7', '2020', '19', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.98417517');
INSERT INTO public.ecdc_import VALUES (54810, '17/07/2020', '17', '7', '2020', '19', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.96660061');
INSERT INTO public.ecdc_import VALUES (54811, '16/07/2020', '16', '7', '2020', '19', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.96660061');
INSERT INTO public.ecdc_import VALUES (54812, '15/07/2020', '15', '7', '2020', '22', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.93730968');
INSERT INTO public.ecdc_import VALUES (54813, '14/07/2020', '14', '7', '2020', '23', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.86701146');
INSERT INTO public.ecdc_import VALUES (54814, '13/07/2020', '13', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.8084296');
INSERT INTO public.ecdc_import VALUES (54815, '12/07/2020', '12', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.8084296');
INSERT INTO public.ecdc_import VALUES (54816, '11/07/2020', '11', '7', '2020', '22', '2', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.81428779');
INSERT INTO public.ecdc_import VALUES (54817, '10/07/2020', '10', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.76156412');
INSERT INTO public.ecdc_import VALUES (54818, '09/07/2020', '9', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.82600416');
INSERT INTO public.ecdc_import VALUES (54819, '08/07/2020', '8', '7', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.82600416');
INSERT INTO public.ecdc_import VALUES (54820, '07/07/2020', '7', '7', '2020', '14', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.89630238');
INSERT INTO public.ecdc_import VALUES (54821, '06/07/2020', '6', '7', '2020', '20', '3', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.90216057');
INSERT INTO public.ecdc_import VALUES (54822, '05/07/2020', '5', '7', '2020', '10', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.82014597');
INSERT INTO public.ecdc_import VALUES (54823, '04/07/2020', '4', '7', '2020', '16', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.82600416');
INSERT INTO public.ecdc_import VALUES (54824, '03/07/2020', '3', '7', '2020', '19', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.73227319');
INSERT INTO public.ecdc_import VALUES (54825, '02/07/2020', '2', '7', '2020', '14', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.67369133');
INSERT INTO public.ecdc_import VALUES (54826, '01/07/2020', '1', '7', '2020', '10', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.59753492');
INSERT INTO public.ecdc_import VALUES (54827, '30/06/2020', '30', '6', '2020', '13', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.53895307');
INSERT INTO public.ecdc_import VALUES (54828, '29/06/2020', '29', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.46279666');
INSERT INTO public.ecdc_import VALUES (54829, '28/06/2020', '28', '6', '2020', '1', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.50380395');
INSERT INTO public.ecdc_import VALUES (54830, '27/06/2020', '27', '6', '2020', '13', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.53309488');
INSERT INTO public.ecdc_import VALUES (54831, '26/06/2020', '26', '6', '2020', '11', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.45693847');
INSERT INTO public.ecdc_import VALUES (54832, '25/06/2020', '25', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.46279666');
INSERT INTO public.ecdc_import VALUES (54833, '24/06/2020', '24', '6', '2020', '12', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.49794577');
INSERT INTO public.ecdc_import VALUES (54834, '23/06/2020', '23', '6', '2020', '15', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.43936391');
INSERT INTO public.ecdc_import VALUES (54835, '22/06/2020', '22', '6', '2020', '6', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.36906569');
INSERT INTO public.ecdc_import VALUES (54836, '21/06/2020', '21', '6', '2020', '11', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.43350573');
INSERT INTO public.ecdc_import VALUES (54837, '20/06/2020', '20', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.36906569');
INSERT INTO public.ecdc_import VALUES (54838, '19/06/2020', '19', '6', '2020', '9', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.36906569');
INSERT INTO public.ecdc_import VALUES (54839, '18/06/2020', '18', '6', '2020', '1', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.3222002');
INSERT INTO public.ecdc_import VALUES (54840, '17/06/2020', '17', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.31634202');
INSERT INTO public.ecdc_import VALUES (54841, '16/06/2020', '16', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.31634202');
INSERT INTO public.ecdc_import VALUES (54842, '15/06/2020', '15', '6', '2020', '7', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.3222002');
INSERT INTO public.ecdc_import VALUES (54843, '14/06/2020', '14', '6', '2020', '6', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.2811929');
INSERT INTO public.ecdc_import VALUES (54844, '13/06/2020', '13', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.24604379');
INSERT INTO public.ecdc_import VALUES (54845, '12/06/2020', '12', '6', '2020', '12', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.25190198');
INSERT INTO public.ecdc_import VALUES (54846, '11/06/2020', '11', '6', '2020', '6', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.18160375');
INSERT INTO public.ecdc_import VALUES (54847, '10/06/2020', '10', '6', '2020', '2', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.14645464');
INSERT INTO public.ecdc_import VALUES (54848, '09/06/2020', '9', '6', '2020', '3', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.22261105');
INSERT INTO public.ecdc_import VALUES (54849, '08/06/2020', '8', '6', '2020', '17', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.3222002');
INSERT INTO public.ecdc_import VALUES (54850, '07/06/2020', '7', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.31634202');
INSERT INTO public.ecdc_import VALUES (54851, '06/06/2020', '6', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.38078206');
INSERT INTO public.ecdc_import VALUES (54852, '05/06/2020', '5', '6', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.38664024');
INSERT INTO public.ecdc_import VALUES (54853, '04/06/2020', '4', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.38078206');
INSERT INTO public.ecdc_import VALUES (54854, '03/06/2020', '3', '6', '2020', '0', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.38078206');
INSERT INTO public.ecdc_import VALUES (54855, '02/06/2020', '2', '6', '2020', '1', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.38078206');
INSERT INTO public.ecdc_import VALUES (54856, '01/06/2020', '1', '6', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.37492387');
INSERT INTO public.ecdc_import VALUES (54857, '31/05/2020', '31', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.41593117');
INSERT INTO public.ecdc_import VALUES (54858, '30/05/2020', '30', '5', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.42178936');
INSERT INTO public.ecdc_import VALUES (54859, '29/05/2020', '29', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.42764754');
INSERT INTO public.ecdc_import VALUES (54860, '28/05/2020', '28', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.42764754');
INSERT INTO public.ecdc_import VALUES (54861, '27/05/2020', '27', '5', '2020', '15', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.43350573');
INSERT INTO public.ecdc_import VALUES (54862, '26/05/2020', '26', '5', '2020', '20', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.34563295');
INSERT INTO public.ecdc_import VALUES (54863, '25/05/2020', '25', '5', '2020', '16', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.22846924');
INSERT INTO public.ecdc_import VALUES (54864, '24/05/2020', '24', '5', '2020', '11', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.13473827');
INSERT INTO public.ecdc_import VALUES (54865, '23/05/2020', '23', '5', '2020', '1', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.07029823');
INSERT INTO public.ecdc_import VALUES (54866, '22/05/2020', '22', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.07615641');
INSERT INTO public.ecdc_import VALUES (54867, '21/05/2020', '21', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.07615641');
INSERT INTO public.ecdc_import VALUES (54868, '20/05/2020', '20', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0820146');
INSERT INTO public.ecdc_import VALUES (54869, '19/05/2020', '19', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0820146');
INSERT INTO public.ecdc_import VALUES (54870, '18/05/2020', '18', '5', '2020', '7', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0820146');
INSERT INTO public.ecdc_import VALUES (54871, '17/05/2020', '17', '5', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0410073');
INSERT INTO public.ecdc_import VALUES (54872, '16/05/2020', '16', '5', '2020', '2', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.03514911');
INSERT INTO public.ecdc_import VALUES (54873, '15/05/2020', '15', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02929093');
INSERT INTO public.ecdc_import VALUES (54874, '14/05/2020', '14', '5', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02929093');
INSERT INTO public.ecdc_import VALUES (54875, '13/05/2020', '13', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02343274');
INSERT INTO public.ecdc_import VALUES (54876, '12/05/2020', '12', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02343274');
INSERT INTO public.ecdc_import VALUES (54877, '11/05/2020', '11', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02343274');
INSERT INTO public.ecdc_import VALUES (54878, '10/05/2020', '10', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02929093');
INSERT INTO public.ecdc_import VALUES (54879, '09/05/2020', '9', '5', '2020', '2', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02929093');
INSERT INTO public.ecdc_import VALUES (54880, '08/05/2020', '8', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.01757456');
INSERT INTO public.ecdc_import VALUES (54881, '07/05/2020', '7', '5', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.01757456');
INSERT INTO public.ecdc_import VALUES (54882, '06/05/2020', '6', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.01171637');
INSERT INTO public.ecdc_import VALUES (54883, '05/05/2020', '5', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02929093');
INSERT INTO public.ecdc_import VALUES (54884, '04/05/2020', '4', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.02929093');
INSERT INTO public.ecdc_import VALUES (54885, '03/05/2020', '3', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.03514911');
INSERT INTO public.ecdc_import VALUES (54886, '02/05/2020', '2', '5', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.03514911');
INSERT INTO public.ecdc_import VALUES (54887, '01/05/2020', '1', '5', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.05858186');
INSERT INTO public.ecdc_import VALUES (54888, '30/04/2020', '30', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.05858186');
INSERT INTO public.ecdc_import VALUES (54889, '29/04/2020', '29', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0820146');
INSERT INTO public.ecdc_import VALUES (54890, '28/04/2020', '28', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.10544734');
INSERT INTO public.ecdc_import VALUES (54891, '27/04/2020', '27', '4', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.10544734');
INSERT INTO public.ecdc_import VALUES (54892, '26/04/2020', '26', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.09958915');
INSERT INTO public.ecdc_import VALUES (54893, '25/04/2020', '25', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.13473827');
INSERT INTO public.ecdc_import VALUES (54894, '24/04/2020', '24', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.13473827');
INSERT INTO public.ecdc_import VALUES (54895, '23/04/2020', '23', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.13473827');
INSERT INTO public.ecdc_import VALUES (54896, '22/04/2020', '22', '4', '2020', '3', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.13473827');
INSERT INTO public.ecdc_import VALUES (54897, '21/04/2020', '21', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.11716371');
INSERT INTO public.ecdc_import VALUES (54898, '20/04/2020', '20', '4', '2020', '1', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.11716371');
INSERT INTO public.ecdc_import VALUES (54899, '19/04/2020', '19', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.12888008');
INSERT INTO public.ecdc_import VALUES (54900, '18/04/2020', '18', '4', '2020', '5', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.12888008');
INSERT INTO public.ecdc_import VALUES (54901, '17/04/2020', '17', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.09958915');
INSERT INTO public.ecdc_import VALUES (54902, '16/04/2020', '16', '4', '2020', '4', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.13473827');
INSERT INTO public.ecdc_import VALUES (54903, '15/04/2020', '15', '4', '2020', '4', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.11130552');
INSERT INTO public.ecdc_import VALUES (54904, '14/04/2020', '14', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.08787278');
INSERT INTO public.ecdc_import VALUES (54905, '13/04/2020', '13', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.09373097');
INSERT INTO public.ecdc_import VALUES (54906, '12/04/2020', '12', '4', '2020', '6', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.11716371');
INSERT INTO public.ecdc_import VALUES (54907, '11/04/2020', '11', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0820146');
INSERT INTO public.ecdc_import VALUES (54908, '10/04/2020', '10', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.0820146');
INSERT INTO public.ecdc_import VALUES (54909, '09/04/2020', '9', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.10544734');
INSERT INTO public.ecdc_import VALUES (54910, '08/04/2020', '8', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.10544734');
INSERT INTO public.ecdc_import VALUES (54911, '07/04/2020', '7', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.10544734');
INSERT INTO public.ecdc_import VALUES (54912, '06/04/2020', '6', '4', '2020', '3', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.10544734');
INSERT INTO public.ecdc_import VALUES (54913, '05/04/2020', '5', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '0.09373097');
INSERT INTO public.ecdc_import VALUES (54914, '04/04/2020', '4', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54915, '03/04/2020', '3', '4', '2020', '6', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54916, '02/04/2020', '2', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54917, '01/04/2020', '1', '4', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54918, '31/03/2020', '31', '3', '2020', '1', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54919, '30/03/2020', '30', '3', '2020', '4', '1', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54920, '29/03/2020', '29', '3', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54921, '28/03/2020', '28', '3', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54922, '27/03/2020', '27', '3', '2020', '4', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54923, '26/03/2020', '26', '3', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54924, '25/03/2020', '25', '3', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54925, '24/03/2020', '24', '3', '2020', '0', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54926, '23/03/2020', '23', '3', '2020', '1', '0', '17070132', 'Syria', 'SY', 'SYR', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (54927, '14/12/2020', '14', '12', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.27340929');
INSERT INTO public.ecdc_import VALUES (54928, '13/12/2020', '13', '12', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.35753523');
INSERT INTO public.ecdc_import VALUES (54929, '12/12/2020', '12', '12', '2020', '8', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.35753523');
INSERT INTO public.ecdc_import VALUES (54930, '11/12/2020', '11', '12', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.36174153');
INSERT INTO public.ecdc_import VALUES (54931, '10/12/2020', '10', '12', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.41642338');
INSERT INTO public.ecdc_import VALUES (54932, '09/12/2020', '9', '12', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.40801079');
INSERT INTO public.ecdc_import VALUES (54933, '08/12/2020', '8', '12', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.42062968');
INSERT INTO public.ecdc_import VALUES (54934, '07/12/2020', '7', '12', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.41221709');
INSERT INTO public.ecdc_import VALUES (54935, '06/12/2020', '6', '12', '2020', '23', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.41642338');
INSERT INTO public.ecdc_import VALUES (54936, '05/12/2020', '5', '12', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.34491634');
INSERT INTO public.ecdc_import VALUES (54937, '04/12/2020', '4', '12', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.34071004');
INSERT INTO public.ecdc_import VALUES (54938, '03/12/2020', '3', '12', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.32388485');
INSERT INTO public.ecdc_import VALUES (54939, '02/12/2020', '2', '12', '2020', '6', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.32809115');
INSERT INTO public.ecdc_import VALUES (54940, '01/12/2020', '1', '12', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.31126596');
INSERT INTO public.ecdc_import VALUES (54941, '30/11/2020', '30', '11', '2020', '24', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.30285337');
INSERT INTO public.ecdc_import VALUES (54942, '29/11/2020', '29', '11', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.20610854');
INSERT INTO public.ecdc_import VALUES (54943, '28/11/2020', '28', '11', '2020', '9', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.20190225');
INSERT INTO public.ecdc_import VALUES (54944, '27/11/2020', '27', '11', '2020', '14', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.17666447');
INSERT INTO public.ecdc_import VALUES (54945, '26/11/2020', '26', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15142669');
INSERT INTO public.ecdc_import VALUES (54946, '25/11/2020', '25', '11', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16404558');
INSERT INTO public.ecdc_import VALUES (54947, '24/11/2020', '24', '11', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15983928');
INSERT INTO public.ecdc_import VALUES (55026, '06/09/2020', '6', '9', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (54948, '23/11/2020', '23', '11', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16825187');
INSERT INTO public.ecdc_import VALUES (54949, '22/11/2020', '22', '11', '2020', '6', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16825187');
INSERT INTO public.ecdc_import VALUES (54950, '21/11/2020', '21', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15983928');
INSERT INTO public.ecdc_import VALUES (54951, '20/11/2020', '20', '11', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15142669');
INSERT INTO public.ecdc_import VALUES (54952, '19/11/2020', '19', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16825187');
INSERT INTO public.ecdc_import VALUES (54953, '18/11/2020', '18', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16404558');
INSERT INTO public.ecdc_import VALUES (54954, '17/11/2020', '17', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15983928');
INSERT INTO public.ecdc_import VALUES (54955, '16/11/2020', '16', '11', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16825187');
INSERT INTO public.ecdc_import VALUES (54956, '15/11/2020', '15', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.18507706');
INSERT INTO public.ecdc_import VALUES (54957, '14/11/2020', '14', '11', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.18928336');
INSERT INTO public.ecdc_import VALUES (54958, '13/11/2020', '13', '11', '2020', '8', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.18087076');
INSERT INTO public.ecdc_import VALUES (54959, '12/11/2020', '12', '11', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15142669');
INSERT INTO public.ecdc_import VALUES (54960, '11/11/2020', '11', '11', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14301409');
INSERT INTO public.ecdc_import VALUES (54961, '10/11/2020', '10', '11', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.1261889');
INSERT INTO public.ecdc_import VALUES (54962, '09/11/2020', '9', '11', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.11777631');
INSERT INTO public.ecdc_import VALUES (54963, '08/11/2020', '8', '11', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.11357001');
INSERT INTO public.ecdc_import VALUES (54964, '07/11/2020', '7', '11', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54965, '06/11/2020', '6', '11', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.10515742');
INSERT INTO public.ecdc_import VALUES (54966, '05/11/2020', '5', '11', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.10515742');
INSERT INTO public.ecdc_import VALUES (54967, '04/11/2020', '4', '11', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.10515742');
INSERT INTO public.ecdc_import VALUES (54968, '03/11/2020', '3', '11', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.11357001');
INSERT INTO public.ecdc_import VALUES (54969, '02/11/2020', '2', '11', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54970, '01/11/2020', '1', '11', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54971, '31/10/2020', '31', '10', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (54972, '30/10/2020', '30', '10', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (54973, '29/10/2020', '29', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54974, '28/10/2020', '28', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (54975, '27/10/2020', '27', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (54976, '26/10/2020', '26', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54977, '25/10/2020', '25', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54978, '24/10/2020', '24', '10', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54979, '23/10/2020', '23', '10', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08833223');
INSERT INTO public.ecdc_import VALUES (54980, '22/10/2020', '22', '10', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (54981, '21/10/2020', '21', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09253853');
INSERT INTO public.ecdc_import VALUES (54982, '20/10/2020', '20', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09253853');
INSERT INTO public.ecdc_import VALUES (54983, '19/10/2020', '19', '10', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09674483');
INSERT INTO public.ecdc_import VALUES (54984, '18/10/2020', '18', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07571334');
INSERT INTO public.ecdc_import VALUES (54985, '17/10/2020', '17', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07571334');
INSERT INTO public.ecdc_import VALUES (54986, '16/10/2020', '16', '10', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07571334');
INSERT INTO public.ecdc_import VALUES (54987, '15/10/2020', '15', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (54988, '14/10/2020', '14', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (54989, '13/10/2020', '13', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07150705');
INSERT INTO public.ecdc_import VALUES (54990, '12/10/2020', '12', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07150705');
INSERT INTO public.ecdc_import VALUES (54991, '11/10/2020', '11', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07150705');
INSERT INTO public.ecdc_import VALUES (54992, '10/10/2020', '10', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07150705');
INSERT INTO public.ecdc_import VALUES (54993, '09/10/2020', '9', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07571334');
INSERT INTO public.ecdc_import VALUES (54994, '08/10/2020', '8', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (54995, '07/10/2020', '7', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (54996, '06/10/2020', '6', '10', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (54997, '05/10/2020', '5', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (54998, '04/10/2020', '4', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (54999, '03/10/2020', '3', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55000, '02/10/2020', '2', '10', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55001, '01/10/2020', '1', '10', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55002, '30/09/2020', '30', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55003, '29/09/2020', '29', '9', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55004, '28/09/2020', '28', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (55005, '27/09/2020', '27', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (55006, '26/09/2020', '26', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (55007, '25/09/2020', '25', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55008, '24/09/2020', '24', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55009, '23/09/2020', '23', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55010, '22/09/2020', '22', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (55011, '21/09/2020', '21', '9', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55012, '20/09/2020', '20', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55013, '19/09/2020', '19', '9', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55014, '18/09/2020', '18', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55015, '17/09/2020', '17', '9', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55016, '16/09/2020', '16', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55017, '15/09/2020', '15', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55018, '14/09/2020', '14', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55019, '13/09/2020', '13', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55020, '12/09/2020', '12', '9', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55021, '11/09/2020', '11', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55022, '10/09/2020', '10', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55023, '09/09/2020', '9', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55024, '08/09/2020', '8', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55025, '07/09/2020', '7', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55027, '05/09/2020', '5', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55028, '04/09/2020', '4', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55029, '03/09/2020', '3', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55030, '02/09/2020', '2', '9', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55031, '01/09/2020', '1', '9', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55032, '31/08/2020', '31', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55033, '30/08/2020', '30', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55034, '29/08/2020', '29', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55035, '28/08/2020', '28', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55036, '27/08/2020', '27', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55037, '26/08/2020', '26', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55038, '25/08/2020', '25', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55039, '24/08/2020', '24', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55040, '23/08/2020', '23', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55041, '22/08/2020', '22', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55042, '21/08/2020', '21', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55043, '20/08/2020', '20', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55044, '19/08/2020', '19', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55045, '18/08/2020', '18', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55046, '17/08/2020', '17', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55047, '16/08/2020', '16', '8', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55048, '15/08/2020', '15', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55049, '14/08/2020', '14', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55050, '13/08/2020', '13', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55051, '12/08/2020', '12', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55052, '11/08/2020', '11', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55053, '10/08/2020', '10', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07571334');
INSERT INTO public.ecdc_import VALUES (55054, '09/08/2020', '9', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09253853');
INSERT INTO public.ecdc_import VALUES (55055, '08/08/2020', '8', '8', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08833223');
INSERT INTO public.ecdc_import VALUES (55056, '07/08/2020', '7', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55057, '06/08/2020', '6', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09253853');
INSERT INTO public.ecdc_import VALUES (55058, '05/08/2020', '5', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08833223');
INSERT INTO public.ecdc_import VALUES (55059, '04/08/2020', '4', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08833223');
INSERT INTO public.ecdc_import VALUES (55060, '03/08/2020', '3', '8', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (55061, '02/08/2020', '2', '8', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55062, '01/08/2020', '1', '8', '2020', '7', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (55063, '31/07/2020', '31', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55064, '30/07/2020', '30', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (55065, '29/07/2020', '29', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55066, '28/07/2020', '28', '7', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55067, '27/07/2020', '27', '7', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55068, '26/07/2020', '26', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55069, '25/07/2020', '25', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55070, '24/07/2020', '24', '7', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55071, '23/07/2020', '23', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55072, '22/07/2020', '22', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55073, '21/07/2020', '21', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55074, '20/07/2020', '20', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55075, '19/07/2020', '19', '7', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02523778');
INSERT INTO public.ecdc_import VALUES (55076, '18/07/2020', '18', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02103148');
INSERT INTO public.ecdc_import VALUES (55077, '17/07/2020', '17', '7', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02103148');
INSERT INTO public.ecdc_import VALUES (55078, '16/07/2020', '16', '7', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55079, '15/07/2020', '15', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55080, '14/07/2020', '14', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55081, '13/07/2020', '13', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55082, '12/07/2020', '12', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55083, '11/07/2020', '11', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55084, '10/07/2020', '10', '7', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55085, '09/07/2020', '9', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55086, '08/07/2020', '8', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55087, '07/07/2020', '7', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55088, '06/07/2020', '6', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55089, '05/07/2020', '5', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55090, '04/07/2020', '4', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55091, '03/07/2020', '3', '7', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55092, '02/07/2020', '2', '7', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55093, '01/07/2020', '1', '7', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55094, '30/06/2020', '30', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55095, '29/06/2020', '29', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55096, '28/06/2020', '28', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55097, '27/06/2020', '27', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55098, '26/06/2020', '26', '6', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55099, '25/06/2020', '25', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55100, '24/06/2020', '24', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55101, '23/06/2020', '23', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55102, '22/06/2020', '22', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55103, '21/06/2020', '21', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55104, '20/06/2020', '20', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55105, '19/06/2020', '19', '6', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55106, '18/06/2020', '18', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55107, '17/06/2020', '17', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55108, '16/06/2020', '16', '6', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55109, '15/06/2020', '15', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55110, '14/06/2020', '14', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55111, '13/06/2020', '13', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55112, '12/06/2020', '12', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55113, '11/06/2020', '11', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55114, '10/06/2020', '10', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55115, '09/06/2020', '9', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55116, '08/06/2020', '8', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55117, '07/06/2020', '7', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55118, '06/06/2020', '6', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55119, '05/06/2020', '5', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55120, '04/06/2020', '4', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55121, '03/06/2020', '3', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55122, '02/06/2020', '2', '6', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55123, '01/06/2020', '1', '6', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55124, '31/05/2020', '31', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55125, '30/05/2020', '30', '5', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55126, '29/05/2020', '29', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55127, '28/05/2020', '28', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55128, '27/05/2020', '27', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55129, '26/05/2020', '26', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55130, '25/05/2020', '25', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55131, '24/05/2020', '24', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55132, '23/05/2020', '23', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55133, '22/05/2020', '22', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55134, '21/05/2020', '21', '5', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55135, '20/05/2020', '20', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55136, '19/05/2020', '19', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.00841259');
INSERT INTO public.ecdc_import VALUES (55137, '18/05/2020', '18', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01682519');
INSERT INTO public.ecdc_import VALUES (55138, '17/05/2020', '17', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55139, '16/05/2020', '16', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55140, '15/05/2020', '15', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55141, '14/05/2020', '14', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55142, '13/05/2020', '13', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55143, '12/05/2020', '12', '5', '2020', '0', '1', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55144, '11/05/2020', '11', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55145, '10/05/2020', '10', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55146, '09/05/2020', '9', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (55147, '08/05/2020', '8', '5', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55148, '07/05/2020', '7', '5', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55149, '06/05/2020', '6', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55150, '05/05/2020', '5', '5', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55151, '04/05/2020', '4', '5', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55152, '03/05/2020', '3', '5', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14301409');
INSERT INTO public.ecdc_import VALUES (55153, '02/05/2020', '2', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14301409');
INSERT INTO public.ecdc_import VALUES (55154, '01/05/2020', '1', '5', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14301409');
INSERT INTO public.ecdc_import VALUES (55155, '30/04/2020', '30', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14301409');
INSERT INTO public.ecdc_import VALUES (55156, '29/04/2020', '29', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14301409');
INSERT INTO public.ecdc_import VALUES (55157, '28/04/2020', '28', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.15142669');
INSERT INTO public.ecdc_import VALUES (55158, '27/04/2020', '27', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.17245817');
INSERT INTO public.ecdc_import VALUES (55159, '26/04/2020', '26', '4', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.18507706');
INSERT INTO public.ecdc_import VALUES (55160, '25/04/2020', '25', '4', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.20190225');
INSERT INTO public.ecdc_import VALUES (55161, '24/04/2020', '24', '4', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.19769595');
INSERT INTO public.ecdc_import VALUES (55162, '23/04/2020', '23', '4', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.19769595');
INSERT INTO public.ecdc_import VALUES (55163, '22/04/2020', '22', '4', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.20610854');
INSERT INTO public.ecdc_import VALUES (55164, '21/04/2020', '21', '4', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.20610854');
INSERT INTO public.ecdc_import VALUES (55165, '20/04/2020', '20', '4', '2020', '22', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.23975892');
INSERT INTO public.ecdc_import VALUES (55166, '19/04/2020', '19', '4', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14722039');
INSERT INTO public.ecdc_import VALUES (55167, '18/04/2020', '18', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.16825187');
INSERT INTO public.ecdc_import VALUES (55168, '17/04/2020', '17', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.23555262');
INSERT INTO public.ecdc_import VALUES (55169, '16/04/2020', '16', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.23555262');
INSERT INTO public.ecdc_import VALUES (55170, '15/04/2020', '15', '4', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.30705967');
INSERT INTO public.ecdc_import VALUES (55171, '14/04/2020', '14', '4', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.36594782');
INSERT INTO public.ecdc_import VALUES (55172, '13/04/2020', '13', '4', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.34491634');
INSERT INTO public.ecdc_import VALUES (55173, '12/04/2020', '12', '4', '2020', '5', '1', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.42904228');
INSERT INTO public.ecdc_import VALUES (55174, '11/04/2020', '11', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.47531154');
INSERT INTO public.ecdc_import VALUES (55175, '10/04/2020', '10', '4', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.53840599');
INSERT INTO public.ecdc_import VALUES (55176, '09/04/2020', '9', '4', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.60570674');
INSERT INTO public.ecdc_import VALUES (55177, '08/04/2020', '8', '4', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.67300749');
INSERT INTO public.ecdc_import VALUES (55178, '07/04/2020', '7', '4', '2020', '10', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.74872083');
INSERT INTO public.ecdc_import VALUES (55179, '06/04/2020', '6', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.83284677');
INSERT INTO public.ecdc_import VALUES (55180, '05/04/2020', '5', '4', '2020', '8', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.88332233');
INSERT INTO public.ecdc_import VALUES (55181, '04/04/2020', '4', '4', '2020', '16', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.9253853');
INSERT INTO public.ecdc_import VALUES (55182, '03/04/2020', '3', '4', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.97165456');
INSERT INTO public.ecdc_import VALUES (55183, '02/04/2020', '2', '4', '2020', '17', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.97165456');
INSERT INTO public.ecdc_import VALUES (55184, '01/04/2020', '1', '4', '2020', '16', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '1.03054272');
INSERT INTO public.ecdc_import VALUES (55185, '31/03/2020', '31', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '1.00530494');
INSERT INTO public.ecdc_import VALUES (55186, '30/03/2020', '30', '3', '2020', '23', '3', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '1.03895531');
INSERT INTO public.ecdc_import VALUES (55187, '29/03/2020', '29', '3', '2020', '16', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.94221049');
INSERT INTO public.ecdc_import VALUES (55188, '28/03/2020', '28', '3', '2020', '15', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.90014752');
INSERT INTO public.ecdc_import VALUES (55189, '27/03/2020', '27', '3', '2020', '17', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.85387825');
INSERT INTO public.ecdc_import VALUES (55190, '26/03/2020', '26', '3', '2020', '19', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.7865775');
INSERT INTO public.ecdc_import VALUES (55191, '25/03/2020', '25', '3', '2020', '21', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.70665787');
INSERT INTO public.ecdc_import VALUES (55192, '24/03/2020', '24', '3', '2020', '30', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.63094452');
INSERT INTO public.ecdc_import VALUES (55193, '23/03/2020', '23', '3', '2020', '12', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.50475562');
INSERT INTO public.ecdc_import VALUES (55194, '22/03/2020', '22', '3', '2020', '18', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.45428006');
INSERT INTO public.ecdc_import VALUES (55195, '21/03/2020', '21', '3', '2020', '27', '1', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.37856671');
INSERT INTO public.ecdc_import VALUES (55196, '20/03/2020', '20', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.269203');
INSERT INTO public.ecdc_import VALUES (55197, '19/03/2020', '19', '3', '2020', '31', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.27761559');
INSERT INTO public.ecdc_import VALUES (55198, '18/03/2020', '18', '3', '2020', '10', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.14722039');
INSERT INTO public.ecdc_import VALUES (55199, '17/03/2020', '17', '3', '2020', '8', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.10936372');
INSERT INTO public.ecdc_import VALUES (55200, '16/03/2020', '16', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55201, '15/03/2020', '15', '3', '2020', '6', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55202, '14/03/2020', '14', '3', '2020', '4', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55203, '13/03/2020', '13', '3', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (55204, '12/03/2020', '12', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55205, '11/03/2020', '11', '3', '2020', '3', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07150705');
INSERT INTO public.ecdc_import VALUES (55206, '10/03/2020', '10', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (55207, '09/03/2020', '9', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07150705');
INSERT INTO public.ecdc_import VALUES (55208, '08/03/2020', '8', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55209, '07/03/2020', '7', '3', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55210, '06/03/2020', '6', '3', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (55211, '05/03/2020', '5', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07571334');
INSERT INTO public.ecdc_import VALUES (55212, '04/03/2020', '4', '3', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (55213, '03/03/2020', '3', '3', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.07991964');
INSERT INTO public.ecdc_import VALUES (55214, '02/03/2020', '2', '3', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08412594');
INSERT INTO public.ecdc_import VALUES (55215, '01/03/2020', '1', '3', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.09253853');
INSERT INTO public.ecdc_import VALUES (55216, '29/02/2020', '29', '2', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.08833223');
INSERT INTO public.ecdc_import VALUES (55217, '28/02/2020', '28', '2', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06730075');
INSERT INTO public.ecdc_import VALUES (55218, '27/02/2020', '27', '2', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55219, '26/02/2020', '26', '2', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55220, '25/02/2020', '25', '2', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (55221, '24/02/2020', '24', '2', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55222, '23/02/2020', '23', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55223, '22/02/2020', '22', '2', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55224, '21/02/2020', '21', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55225, '20/02/2020', '20', '2', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55226, '19/02/2020', '19', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55227, '18/02/2020', '18', '2', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05047556');
INSERT INTO public.ecdc_import VALUES (55228, '17/02/2020', '17', '2', '2020', '2', '1', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55229, '16/02/2020', '16', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55230, '15/02/2020', '15', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55231, '14/02/2020', '14', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55232, '13/02/2020', '13', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55233, '12/02/2020', '12', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55234, '11/02/2020', '11', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04626926');
INSERT INTO public.ecdc_import VALUES (55235, '10/02/2020', '10', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05468186');
INSERT INTO public.ecdc_import VALUES (55236, '09/02/2020', '9', '2', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (55237, '08/02/2020', '8', '2', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.05888816');
INSERT INTO public.ecdc_import VALUES (55238, '07/02/2020', '7', '2', '2020', '5', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.06309445');
INSERT INTO public.ecdc_import VALUES (55239, '06/02/2020', '6', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55240, '05/02/2020', '5', '2', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55241, '04/02/2020', '4', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55242, '03/02/2020', '3', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55243, '02/02/2020', '2', '2', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55244, '01/02/2020', '1', '2', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.04206297');
INSERT INTO public.ecdc_import VALUES (55245, '31/01/2020', '31', '1', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03785667');
INSERT INTO public.ecdc_import VALUES (55246, '30/01/2020', '30', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55247, '29/01/2020', '29', '1', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.03365037');
INSERT INTO public.ecdc_import VALUES (55248, '28/01/2020', '28', '1', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02944408');
INSERT INTO public.ecdc_import VALUES (55249, '27/01/2020', '27', '1', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.02103148');
INSERT INTO public.ecdc_import VALUES (55250, '26/01/2020', '26', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55251, '25/01/2020', '25', '1', '2020', '2', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.01261889');
INSERT INTO public.ecdc_import VALUES (55252, '24/01/2020', '24', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55253, '23/01/2020', '23', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55254, '22/01/2020', '22', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55255, '21/01/2020', '21', '1', '2020', '1', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0.0042063');
INSERT INTO public.ecdc_import VALUES (55256, '20/01/2020', '20', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55257, '19/01/2020', '19', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55258, '18/01/2020', '18', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55259, '17/01/2020', '17', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55260, '16/01/2020', '16', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55261, '15/01/2020', '15', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55262, '14/01/2020', '14', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55263, '13/01/2020', '13', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55264, '12/01/2020', '12', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55265, '11/01/2020', '11', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55266, '10/01/2020', '10', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55267, '09/01/2020', '9', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55268, '08/01/2020', '8', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55269, '07/01/2020', '7', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55270, '06/01/2020', '6', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55271, '05/01/2020', '5', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55272, '04/01/2020', '4', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55273, '03/01/2020', '3', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55274, '02/01/2020', '2', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55275, '01/01/2020', '1', '1', '2020', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55276, '31/12/2019', '31', '12', '2019', '0', '0', '23773881', 'Taiwan', 'TW', 'CNG1925', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55277, '14/12/2020', '14', '12', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.88991144');
INSERT INTO public.ecdc_import VALUES (55278, '13/12/2020', '13', '12', '2020', '35', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.879183');
INSERT INTO public.ecdc_import VALUES (55279, '12/12/2020', '12', '12', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.88991144');
INSERT INTO public.ecdc_import VALUES (55280, '11/12/2020', '11', '12', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.83626926');
INSERT INTO public.ecdc_import VALUES (55281, '10/12/2020', '10', '12', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.82554082');
INSERT INTO public.ecdc_import VALUES (55282, '09/12/2020', '9', '12', '2020', '42', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.79335551');
INSERT INTO public.ecdc_import VALUES (55283, '08/12/2020', '8', '12', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.76117021');
INSERT INTO public.ecdc_import VALUES (55284, '07/12/2020', '7', '12', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.7289849');
INSERT INTO public.ecdc_import VALUES (55285, '06/12/2020', '6', '12', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.73971333');
INSERT INTO public.ecdc_import VALUES (55286, '05/12/2020', '5', '12', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.7289849');
INSERT INTO public.ecdc_import VALUES (55287, '04/12/2020', '4', '12', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.75044177');
INSERT INTO public.ecdc_import VALUES (55288, '03/12/2020', '3', '12', '2020', '38', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.77189864');
INSERT INTO public.ecdc_import VALUES (55289, '02/12/2020', '2', '12', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.81481239');
INSERT INTO public.ecdc_import VALUES (55290, '01/12/2020', '1', '12', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.8469977');
INSERT INTO public.ecdc_import VALUES (55291, '30/11/2020', '30', '11', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.8469977');
INSERT INTO public.ecdc_import VALUES (55292, '29/11/2020', '29', '11', '2020', '36', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.8469977');
INSERT INTO public.ecdc_import VALUES (55293, '28/11/2020', '28', '11', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.879183');
INSERT INTO public.ecdc_import VALUES (55294, '27/11/2020', '27', '11', '2020', '36', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.879183');
INSERT INTO public.ecdc_import VALUES (55295, '26/11/2020', '26', '11', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.92209675');
INSERT INTO public.ecdc_import VALUES (55296, '25/11/2020', '25', '11', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.94355362');
INSERT INTO public.ecdc_import VALUES (55297, '24/11/2020', '24', '11', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55298, '23/11/2020', '23', '11', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.98646737');
INSERT INTO public.ecdc_import VALUES (55299, '22/11/2020', '22', '11', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.41560481');
INSERT INTO public.ecdc_import VALUES (55300, '21/11/2020', '21', '11', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.9971958');
INSERT INTO public.ecdc_import VALUES (55301, '20/11/2020', '20', '11', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.93282518');
INSERT INTO public.ecdc_import VALUES (55302, '19/11/2020', '19', '11', '2020', '42', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.91136831');
INSERT INTO public.ecdc_import VALUES (55303, '18/11/2020', '18', '11', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.90063988');
INSERT INTO public.ecdc_import VALUES (55304, '17/11/2020', '17', '11', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.93282518');
INSERT INTO public.ecdc_import VALUES (55305, '16/11/2020', '16', '11', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55306, '15/11/2020', '15', '11', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55307, '14/11/2020', '14', '11', '2020', '38', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.97573893');
INSERT INTO public.ecdc_import VALUES (55308, '13/11/2020', '13', '11', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.97573893');
INSERT INTO public.ecdc_import VALUES (55309, '12/11/2020', '12', '11', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55310, '11/11/2020', '11', '11', '2020', '41', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.97573893');
INSERT INTO public.ecdc_import VALUES (55311, '10/11/2020', '10', '11', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.97573893');
INSERT INTO public.ecdc_import VALUES (55312, '09/11/2020', '9', '11', '2020', '80', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.00792424');
INSERT INTO public.ecdc_import VALUES (55313, '08/11/2020', '8', '11', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.57878679');
INSERT INTO public.ecdc_import VALUES (55314, '07/11/2020', '7', '11', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.01865267');
INSERT INTO public.ecdc_import VALUES (55315, '06/11/2020', '6', '11', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.07229485');
INSERT INTO public.ecdc_import VALUES (55316, '05/11/2020', '5', '11', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.08302329');
INSERT INTO public.ecdc_import VALUES (55317, '04/11/2020', '4', '11', '2020', '43', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.06156642');
INSERT INTO public.ecdc_import VALUES (55318, '03/11/2020', '3', '11', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.04010955');
INSERT INTO public.ecdc_import VALUES (55319, '02/11/2020', '2', '11', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.01865267');
INSERT INTO public.ecdc_import VALUES (55320, '01/11/2020', '1', '11', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.02938111');
INSERT INTO public.ecdc_import VALUES (55321, '31/10/2020', '31', '10', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.04010955');
INSERT INTO public.ecdc_import VALUES (55322, '30/10/2020', '30', '10', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.06156642');
INSERT INTO public.ecdc_import VALUES (55323, '29/10/2020', '29', '10', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.05083798');
INSERT INTO public.ecdc_import VALUES (55324, '28/10/2020', '28', '10', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.04010955');
INSERT INTO public.ecdc_import VALUES (55325, '27/10/2020', '27', '10', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.9971958');
INSERT INTO public.ecdc_import VALUES (55326, '26/10/2020', '26', '10', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.94355362');
INSERT INTO public.ecdc_import VALUES (55327, '25/10/2020', '25', '10', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55328, '24/10/2020', '24', '10', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.98646737');
INSERT INTO public.ecdc_import VALUES (55329, '23/10/2020', '23', '10', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55330, '22/10/2020', '22', '10', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.98646737');
INSERT INTO public.ecdc_import VALUES (55331, '21/10/2020', '21', '10', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.00792424');
INSERT INTO public.ecdc_import VALUES (55332, '20/10/2020', '20', '10', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.9971958');
INSERT INTO public.ecdc_import VALUES (55333, '19/10/2020', '19', '10', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.98646737');
INSERT INTO public.ecdc_import VALUES (55334, '18/10/2020', '18', '10', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.00792424');
INSERT INTO public.ecdc_import VALUES (55335, '17/10/2020', '17', '10', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.02938111');
INSERT INTO public.ecdc_import VALUES (55336, '16/10/2020', '16', '10', '2020', '38', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.04010955');
INSERT INTO public.ecdc_import VALUES (55337, '15/10/2020', '15', '10', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.08302329');
INSERT INTO public.ecdc_import VALUES (55338, '14/10/2020', '14', '10', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.12593704');
INSERT INTO public.ecdc_import VALUES (55339, '13/10/2020', '13', '10', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.16885078');
INSERT INTO public.ecdc_import VALUES (55340, '12/10/2020', '12', '10', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.17957922');
INSERT INTO public.ecdc_import VALUES (55341, '11/10/2020', '11', '10', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.16885078');
INSERT INTO public.ecdc_import VALUES (55342, '10/10/2020', '10', '10', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.16885078');
INSERT INTO public.ecdc_import VALUES (55343, '09/10/2020', '9', '10', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.19030765');
INSERT INTO public.ecdc_import VALUES (55344, '08/10/2020', '8', '10', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.22249296');
INSERT INTO public.ecdc_import VALUES (55345, '07/10/2020', '7', '10', '2020', '40', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.24394983');
INSERT INTO public.ecdc_import VALUES (55346, '06/10/2020', '6', '10', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.28686358');
INSERT INTO public.ecdc_import VALUES (55347, '05/10/2020', '5', '10', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.31904889');
INSERT INTO public.ecdc_import VALUES (55348, '04/10/2020', '4', '10', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.35123419');
INSERT INTO public.ecdc_import VALUES (55349, '03/10/2020', '3', '10', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.36196263');
INSERT INTO public.ecdc_import VALUES (55350, '02/10/2020', '2', '10', '2020', '42', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.40487637');
INSERT INTO public.ecdc_import VALUES (55351, '01/10/2020', '1', '10', '2020', '43', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.41560481');
INSERT INTO public.ecdc_import VALUES (55352, '30/09/2020', '30', '9', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.40487637');
INSERT INTO public.ecdc_import VALUES (55353, '29/09/2020', '29', '9', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.40487637');
INSERT INTO public.ecdc_import VALUES (55354, '28/09/2020', '28', '9', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.40487637');
INSERT INTO public.ecdc_import VALUES (55355, '27/09/2020', '27', '9', '2020', '43', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.34050576');
INSERT INTO public.ecdc_import VALUES (55356, '26/09/2020', '26', '9', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.27613514');
INSERT INTO public.ecdc_import VALUES (55357, '25/09/2020', '25', '9', '2020', '45', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.2332214');
INSERT INTO public.ecdc_import VALUES (55358, '24/09/2020', '24', '9', '2020', '43', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.17957922');
INSERT INTO public.ecdc_import VALUES (55359, '23/09/2020', '23', '9', '2020', '44', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.13666547');
INSERT INTO public.ecdc_import VALUES (55360, '22/09/2020', '22', '9', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.05083798');
INSERT INTO public.ecdc_import VALUES (55361, '21/09/2020', '21', '9', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.94355362');
INSERT INTO public.ecdc_import VALUES (55362, '20/09/2020', '20', '9', '2020', '44', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.85772613');
INSERT INTO public.ecdc_import VALUES (55363, '19/09/2020', '19', '9', '2020', '45', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.73971333');
INSERT INTO public.ecdc_import VALUES (55364, '18/09/2020', '18', '9', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.62170054');
INSERT INTO public.ecdc_import VALUES (55365, '17/09/2020', '17', '9', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.54660148');
INSERT INTO public.ecdc_import VALUES (55366, '16/09/2020', '16', '9', '2020', '41', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.47150243');
INSERT INTO public.ecdc_import VALUES (55367, '15/09/2020', '15', '9', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.41786025');
INSERT INTO public.ecdc_import VALUES (55368, '14/09/2020', '14', '9', '2020', '35', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.35348963');
INSERT INTO public.ecdc_import VALUES (55369, '13/09/2020', '13', '9', '2020', '37', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.71825646');
INSERT INTO public.ecdc_import VALUES (55370, '12/09/2020', '12', '9', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.32130432');
INSERT INTO public.ecdc_import VALUES (55371, '11/09/2020', '11', '9', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.25693371');
INSERT INTO public.ecdc_import VALUES (55372, '10/09/2020', '10', '9', '2020', '39', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.21401996');
INSERT INTO public.ecdc_import VALUES (55373, '09/09/2020', '9', '9', '2020', '36', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.16037778');
INSERT INTO public.ecdc_import VALUES (55374, '08/09/2020', '8', '9', '2020', '32', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.12819247');
INSERT INTO public.ecdc_import VALUES (55375, '07/09/2020', '7', '9', '2020', '35', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.16037778');
INSERT INTO public.ecdc_import VALUES (55376, '06/09/2020', '6', '9', '2020', '33', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.14964935');
INSERT INTO public.ecdc_import VALUES (55377, '05/09/2020', '5', '9', '2020', '34', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.18183465');
INSERT INTO public.ecdc_import VALUES (55378, '04/09/2020', '4', '9', '2020', '36', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.2247484');
INSERT INTO public.ecdc_import VALUES (55379, '03/09/2020', '3', '9', '2020', '35', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.23547684');
INSERT INTO public.ecdc_import VALUES (55380, '02/09/2020', '2', '9', '2020', '36', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.23547684');
INSERT INTO public.ecdc_import VALUES (55381, '01/09/2020', '1', '9', '2020', '33', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.19256309');
INSERT INTO public.ecdc_import VALUES (55382, '31/08/2020', '31', '8', '2020', '69', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.20329153');
INSERT INTO public.ecdc_import VALUES (55383, '30/08/2020', '30', '8', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '4.84925313');
INSERT INTO public.ecdc_import VALUES (55384, '29/08/2020', '29', '8', '2020', '32', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.27839058');
INSERT INTO public.ecdc_import VALUES (55385, '28/08/2020', '28', '8', '2020', '36', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.35348963');
INSERT INTO public.ecdc_import VALUES (55386, '27/08/2020', '27', '8', '2020', '34', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.37494651');
INSERT INTO public.ecdc_import VALUES (55387, '26/08/2020', '26', '8', '2020', '33', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.45004556');
INSERT INTO public.ecdc_import VALUES (55388, '25/08/2020', '25', '8', '2020', '35', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.56805836');
INSERT INTO public.ecdc_import VALUES (55389, '24/08/2020', '24', '8', '2020', '34', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.07229485');
INSERT INTO public.ecdc_import VALUES (55390, '23/08/2020', '23', '8', '2020', '36', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.12593704');
INSERT INTO public.ecdc_import VALUES (55391, '22/08/2020', '22', '8', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.73971333');
INSERT INTO public.ecdc_import VALUES (55392, '21/08/2020', '21', '8', '2020', '37', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.77189864');
INSERT INTO public.ecdc_import VALUES (55393, '20/08/2020', '20', '8', '2020', '35', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.80408395');
INSERT INTO public.ecdc_import VALUES (55394, '19/08/2020', '19', '8', '2020', '32', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.879183');
INSERT INTO public.ecdc_import VALUES (55395, '18/08/2020', '18', '8', '2020', '34', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.01865267');
INSERT INTO public.ecdc_import VALUES (55396, '17/08/2020', '17', '8', '2020', '36', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.1152086');
INSERT INTO public.ecdc_import VALUES (55397, '16/08/2020', '16', '8', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.20103609');
INSERT INTO public.ecdc_import VALUES (55398, '15/08/2020', '15', '8', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.22249296');
INSERT INTO public.ecdc_import VALUES (55399, '14/08/2020', '14', '8', '2020', '38', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.2654067');
INSERT INTO public.ecdc_import VALUES (55400, '13/08/2020', '13', '8', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.35123419');
INSERT INTO public.ecdc_import VALUES (55401, '12/08/2020', '12', '8', '2020', '44', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.3834195');
INSERT INTO public.ecdc_import VALUES (55402, '11/08/2020', '11', '8', '2020', '82', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.35123419');
INSERT INTO public.ecdc_import VALUES (55403, '10/08/2020', '10', '8', '2020', '39', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.93282518');
INSERT INTO public.ecdc_import VALUES (55404, '09/08/2020', '9', '8', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '5.96501049');
INSERT INTO public.ecdc_import VALUES (55405, '08/08/2020', '8', '8', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.45851856');
INSERT INTO public.ecdc_import VALUES (55406, '07/08/2020', '7', '8', '2020', '40', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.49070386');
INSERT INTO public.ecdc_import VALUES (55407, '06/08/2020', '6', '8', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.54434604');
INSERT INTO public.ecdc_import VALUES (55408, '05/08/2020', '5', '8', '2020', '45', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.60871666');
INSERT INTO public.ecdc_import VALUES (55409, '04/08/2020', '4', '8', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.6194451');
INSERT INTO public.ecdc_import VALUES (55410, '03/08/2020', '3', '8', '2020', '44', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.6194451');
INSERT INTO public.ecdc_import VALUES (55411, '02/08/2020', '2', '8', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.6194451');
INSERT INTO public.ecdc_import VALUES (55412, '01/08/2020', '1', '8', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.68381571');
INSERT INTO public.ecdc_import VALUES (55413, '31/07/2020', '31', '7', '2020', '46', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.70527259');
INSERT INTO public.ecdc_import VALUES (55414, '30/07/2020', '30', '7', '2020', '44', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.70527259');
INSERT INTO public.ecdc_import VALUES (55415, '29/07/2020', '29', '7', '2020', '41', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.79110008');
INSERT INTO public.ecdc_import VALUES (55416, '28/07/2020', '28', '7', '2020', '43', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.86619913');
INSERT INTO public.ecdc_import VALUES (55417, '27/07/2020', '27', '7', '2020', '42', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.86619913');
INSERT INTO public.ecdc_import VALUES (55418, '26/07/2020', '26', '7', '2020', '46', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.90911287');
INSERT INTO public.ecdc_import VALUES (55419, '25/07/2020', '25', '7', '2020', '44', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.94129818');
INSERT INTO public.ecdc_import VALUES (55420, '24/07/2020', '24', '7', '2020', '45', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.97348349');
INSERT INTO public.ecdc_import VALUES (55421, '23/07/2020', '23', '7', '2020', '48', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.98421193');
INSERT INTO public.ecdc_import VALUES (55422, '22/07/2020', '22', '7', '2020', '46', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '6.99494036');
INSERT INTO public.ecdc_import VALUES (55423, '21/07/2020', '21', '7', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.07003942');
INSERT INTO public.ecdc_import VALUES (55424, '20/07/2020', '20', '7', '2020', '44', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.13441003');
INSERT INTO public.ecdc_import VALUES (55425, '19/07/2020', '19', '7', '2020', '48', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.24169439');
INSERT INTO public.ecdc_import VALUES (55426, '18/07/2020', '18', '7', '2020', '45', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.2738797');
INSERT INTO public.ecdc_import VALUES (55427, '17/07/2020', '17', '7', '2020', '46', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.32752188');
INSERT INTO public.ecdc_import VALUES (55428, '16/07/2020', '16', '7', '2020', '52', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.40262094');
INSERT INTO public.ecdc_import VALUES (55429, '15/07/2020', '15', '7', '2020', '48', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.3918925');
INSERT INTO public.ecdc_import VALUES (55430, '14/07/2020', '14', '7', '2020', '43', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.45626312');
INSERT INTO public.ecdc_import VALUES (55431, '13/07/2020', '13', '7', '2020', '46', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.54209061');
INSERT INTO public.ecdc_import VALUES (55432, '12/07/2020', '12', '7', '2020', '49', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.58500435');
INSERT INTO public.ecdc_import VALUES (55433, '11/07/2020', '11', '7', '2020', '47', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.61718966');
INSERT INTO public.ecdc_import VALUES (55434, '10/07/2020', '10', '7', '2020', '46', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.71374558');
INSERT INTO public.ecdc_import VALUES (55435, '09/07/2020', '9', '7', '2020', '49', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '7.87467213');
INSERT INTO public.ecdc_import VALUES (55436, '08/07/2020', '8', '7', '2020', '53', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.02487023');
INSERT INTO public.ecdc_import VALUES (55437, '07/07/2020', '7', '7', '2020', '49', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.03559867');
INSERT INTO public.ecdc_import VALUES (55438, '06/07/2020', '6', '7', '2020', '54', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.11069772');
INSERT INTO public.ecdc_import VALUES (55439, '05/07/2020', '5', '7', '2020', '51', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.15361147');
INSERT INTO public.ecdc_import VALUES (55440, '04/07/2020', '4', '7', '2020', '50', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.26089583');
INSERT INTO public.ecdc_import VALUES (55441, '03/07/2020', '3', '7', '2020', '53', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.35745175');
INSERT INTO public.ecdc_import VALUES (55442, '02/07/2020', '2', '7', '2020', '51', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.41109393');
INSERT INTO public.ecdc_import VALUES (55443, '01/07/2020', '1', '7', '2020', '54', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.51837829');
INSERT INTO public.ecdc_import VALUES (55444, '30/06/2020', '30', '6', '2020', '51', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.61493422');
INSERT INTO public.ecdc_import VALUES (55445, '29/06/2020', '29', '6', '2020', '50', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.73294702');
INSERT INTO public.ecdc_import VALUES (55446, '28/06/2020', '28', '6', '2020', '52', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.88314512');
INSERT INTO public.ecdc_import VALUES (55447, '27/06/2020', '27', '6', '2020', '56', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.06552854');
INSERT INTO public.ecdc_import VALUES (55448, '26/06/2020', '26', '6', '2020', '61', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.19426977');
INSERT INTO public.ecdc_import VALUES (55449, '25/06/2020', '25', '6', '2020', '63', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.30155413');
INSERT INTO public.ecdc_import VALUES (55450, '24/06/2020', '24', '6', '2020', '54', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.40883849');
INSERT INTO public.ecdc_import VALUES (55451, '23/06/2020', '23', '6', '2020', '56', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.69850627');
INSERT INTO public.ecdc_import VALUES (55452, '22/06/2020', '22', '6', '2020', '58', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.95598874');
INSERT INTO public.ecdc_import VALUES (55453, '21/06/2020', '21', '6', '2020', '61', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '10.14910059');
INSERT INTO public.ecdc_import VALUES (55454, '20/06/2020', '20', '6', '2020', '59', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '10.38512618');
INSERT INTO public.ecdc_import VALUES (55455, '19/06/2020', '19', '6', '2020', '58', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '10.62115178');
INSERT INTO public.ecdc_import VALUES (55456, '18/06/2020', '18', '6', '2020', '61', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '12.02657691');
INSERT INTO public.ecdc_import VALUES (55457, '17/06/2020', '17', '6', '2020', '63', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '12.30551625');
INSERT INTO public.ecdc_import VALUES (55458, '16/06/2020', '16', '6', '2020', '62', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '12.52008497');
INSERT INTO public.ecdc_import VALUES (55459, '15/06/2020', '15', '6', '2020', '64', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '13.17451958');
INSERT INTO public.ecdc_import VALUES (55460, '14/06/2020', '14', '6', '2020', '69', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '12.48789967');
INSERT INTO public.ecdc_import VALUES (55461, '13/06/2020', '13', '6', '2020', '68', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '14.36537599');
INSERT INTO public.ecdc_import VALUES (55462, '12/06/2020', '12', '6', '2020', '71', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '13.63584233');
INSERT INTO public.ecdc_import VALUES (55463, '11/06/2020', '11', '6', '2020', '73', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '17.8413893');
INSERT INTO public.ecdc_import VALUES (55464, '10/06/2020', '10', '6', '2020', '81', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '17.05821346');
INSERT INTO public.ecdc_import VALUES (55465, '09/06/2020', '9', '6', '2020', '80', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '16.18921013');
INSERT INTO public.ecdc_import VALUES (55466, '08/06/2020', '8', '6', '2020', '76', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '19.21462912');
INSERT INTO public.ecdc_import VALUES (55467, '07/06/2020', '7', '6', '2020', '83', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '20.40548554');
INSERT INTO public.ecdc_import VALUES (55468, '06/06/2020', '6', '6', '2020', '81', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '21.671441');
INSERT INTO public.ecdc_import VALUES (55469, '05/06/2020', '5', '6', '2020', '189', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '23.05540926');
INSERT INTO public.ecdc_import VALUES (55470, '04/06/2020', '4', '6', '2020', '87', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '23.2163358');
INSERT INTO public.ecdc_import VALUES (55471, '03/06/2020', '3', '6', '2020', '83', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '24.50374814');
INSERT INTO public.ecdc_import VALUES (55472, '02/06/2020', '2', '6', '2020', '123', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '23.61328794');
INSERT INTO public.ecdc_import VALUES (55473, '01/06/2020', '1', '6', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '24.4930197');
INSERT INTO public.ecdc_import VALUES (55474, '31/05/2020', '31', '5', '2020', '244', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '26.6601638');
INSERT INTO public.ecdc_import VALUES (55475, '30/05/2020', '30', '5', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '26.23102636');
INSERT INTO public.ecdc_import VALUES (55476, '29/05/2020', '29', '5', '2020', '463', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '28.49472638');
INSERT INTO public.ecdc_import VALUES (55477, '28/05/2020', '28', '5', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '24.66467468');
INSERT INTO public.ecdc_import VALUES (55478, '27/05/2020', '27', '5', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '25.43712208');
INSERT INTO public.ecdc_import VALUES (55479, '26/05/2020', '26', '5', '2020', '362', '2', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '26.16665574');
INSERT INTO public.ecdc_import VALUES (55480, '25/05/2020', '25', '5', '2020', '187', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '22.80865523');
INSERT INTO public.ecdc_import VALUES (55481, '24/05/2020', '24', '5', '2020', '201', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '20.80243767');
INSERT INTO public.ecdc_import VALUES (55482, '23/05/2020', '23', '5', '2020', '210', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '19.61158126');
INSERT INTO public.ecdc_import VALUES (55483, '22/05/2020', '22', '5', '2020', '204', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '18.01304428');
INSERT INTO public.ecdc_import VALUES (55484, '21/05/2020', '21', '5', '2020', '207', '3', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '16.70417507');
INSERT INTO public.ecdc_import VALUES (55485, '20/05/2020', '20', '5', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '15.40603429');
INSERT INTO public.ecdc_import VALUES (55486, '19/05/2020', '19', '5', '2020', '205', '2', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '16.08192577');
INSERT INTO public.ecdc_import VALUES (55487, '18/05/2020', '18', '5', '2020', '202', '3', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '15.53477553');
INSERT INTO public.ecdc_import VALUES (55488, '17/05/2020', '17', '5', '2020', '204', '3', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '13.83968262');
INSERT INTO public.ecdc_import VALUES (55489, '16/05/2020', '16', '5', '2020', '211', '4', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '11.83346506');
INSERT INTO public.ecdc_import VALUES (55490, '15/05/2020', '15', '5', '2020', '106', '6', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '9.56976504');
INSERT INTO public.ecdc_import VALUES (55491, '14/05/2020', '14', '5', '2020', '72', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '8.59347735');
INSERT INTO public.ecdc_import VALUES (55492, '13/05/2020', '13', '5', '2020', '68', '2', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55493, '12/05/2020', '12', '5', '2020', '49', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55494, '11/05/2020', '11', '5', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55495, '10/05/2020', '10', '5', '2020', '90', '8', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55496, '09/05/2020', '9', '5', '2020', '61', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55497, '08/05/2020', '8', '5', '2020', '82', '4', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55498, '07/05/2020', '7', '5', '2020', '86', '3', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55499, '06/05/2020', '6', '5', '2020', '63', '2', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55500, '05/05/2020', '5', '5', '2020', '154', '1', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55501, '04/05/2020', '4', '5', '2020', '44', '2', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55502, '03/05/2020', '3', '5', '2020', '17', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55503, '02/05/2020', '2', '5', '2020', '0', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55504, '01/05/2020', '1', '5', '2020', '15', '0', '9321023', 'Tajikistan', 'TJ', 'TJK', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55505, '14/12/2020', '14', '12', '2020', '28', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.37342597');
INSERT INTO public.ecdc_import VALUES (55506, '13/12/2020', '13', '12', '2020', '17', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.33321086');
INSERT INTO public.ecdc_import VALUES (55507, '12/12/2020', '12', '12', '2020', '12', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.32459334');
INSERT INTO public.ecdc_import VALUES (55508, '11/12/2020', '11', '12', '2020', '29', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.31453957');
INSERT INTO public.ecdc_import VALUES (55509, '10/12/2020', '10', '12', '2020', '25', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.30017703');
INSERT INTO public.ecdc_import VALUES (55510, '09/12/2020', '9', '12', '2020', '19', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.28725074');
INSERT INTO public.ecdc_import VALUES (55511, '08/12/2020', '8', '12', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.26857945');
INSERT INTO public.ecdc_import VALUES (55512, '07/12/2020', '7', '12', '2020', '21', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.27863322');
INSERT INTO public.ecdc_import VALUES (55513, '06/12/2020', '6', '12', '2020', '14', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.24847189');
INSERT INTO public.ecdc_import VALUES (55514, '05/12/2020', '5', '12', '2020', '33', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.24416313');
INSERT INTO public.ecdc_import VALUES (55515, '04/12/2020', '4', '12', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.2111293');
INSERT INTO public.ecdc_import VALUES (55516, '03/12/2020', '3', '12', '2020', '13', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.21687431');
INSERT INTO public.ecdc_import VALUES (55517, '02/12/2020', '2', '12', '2020', '28', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.20969304');
INSERT INTO public.ecdc_import VALUES (55518, '01/12/2020', '1', '12', '2020', '21', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.17235045');
INSERT INTO public.ecdc_import VALUES (55519, '30/11/2020', '30', '11', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14649788');
INSERT INTO public.ecdc_import VALUES (55520, '29/11/2020', '29', '11', '2020', '11', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14793413');
INSERT INTO public.ecdc_import VALUES (55521, '28/11/2020', '28', '11', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14362537');
INSERT INTO public.ecdc_import VALUES (55522, '27/11/2020', '27', '11', '2020', '19', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14362537');
INSERT INTO public.ecdc_import VALUES (55523, '26/11/2020', '26', '11', '2020', '16', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12926284');
INSERT INTO public.ecdc_import VALUES (55524, '25/11/2020', '25', '11', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11346404');
INSERT INTO public.ecdc_import VALUES (55525, '24/11/2020', '24', '11', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10915528');
INSERT INTO public.ecdc_import VALUES (55526, '23/11/2020', '23', '11', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10484652');
INSERT INTO public.ecdc_import VALUES (55527, '22/11/2020', '22', '11', '2020', '11', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10915528');
INSERT INTO public.ecdc_import VALUES (55528, '21/11/2020', '21', '11', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10341027');
INSERT INTO public.ecdc_import VALUES (55529, '20/11/2020', '20', '11', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10628278');
INSERT INTO public.ecdc_import VALUES (55530, '19/11/2020', '19', '11', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11202779');
INSERT INTO public.ecdc_import VALUES (55531, '18/11/2020', '18', '11', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10915528');
INSERT INTO public.ecdc_import VALUES (55532, '17/11/2020', '17', '11', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11633655');
INSERT INTO public.ecdc_import VALUES (55533, '16/11/2020', '16', '11', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12639033');
INSERT INTO public.ecdc_import VALUES (55534, '15/11/2020', '15', '11', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12926284');
INSERT INTO public.ecdc_import VALUES (55535, '14/11/2020', '14', '11', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12351782');
INSERT INTO public.ecdc_import VALUES (55536, '13/11/2020', '13', '11', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12351782');
INSERT INTO public.ecdc_import VALUES (55537, '12/11/2020', '12', '11', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12782658');
INSERT INTO public.ecdc_import VALUES (55538, '11/11/2020', '11', '11', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12639033');
INSERT INTO public.ecdc_import VALUES (55539, '10/11/2020', '10', '11', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14075286');
INSERT INTO public.ecdc_import VALUES (55540, '09/11/2020', '9', '11', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13931661');
INSERT INTO public.ecdc_import VALUES (55541, '08/11/2020', '8', '11', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14506163');
INSERT INTO public.ecdc_import VALUES (55542, '07/11/2020', '7', '11', '2020', '12', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14218912');
INSERT INTO public.ecdc_import VALUES (55543, '06/11/2020', '6', '11', '2020', '8', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13069909');
INSERT INTO public.ecdc_import VALUES (55544, '05/11/2020', '5', '11', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13069909');
INSERT INTO public.ecdc_import VALUES (55545, '04/11/2020', '4', '11', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.1364441');
INSERT INTO public.ecdc_import VALUES (55546, '03/11/2020', '3', '11', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13931661');
INSERT INTO public.ecdc_import VALUES (55547, '02/11/2020', '2', '11', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13788036');
INSERT INTO public.ecdc_import VALUES (55548, '01/11/2020', '1', '11', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14075286');
INSERT INTO public.ecdc_import VALUES (55549, '31/10/2020', '31', '10', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14506163');
INSERT INTO public.ecdc_import VALUES (55550, '30/10/2020', '30', '10', '2020', '12', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.15224289');
INSERT INTO public.ecdc_import VALUES (55551, '29/10/2020', '29', '10', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14075286');
INSERT INTO public.ecdc_import VALUES (55552, '28/10/2020', '28', '10', '2020', '13', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.15367915');
INSERT INTO public.ecdc_import VALUES (55553, '27/10/2020', '27', '10', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14793413');
INSERT INTO public.ecdc_import VALUES (55554, '26/10/2020', '26', '10', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14649788');
INSERT INTO public.ecdc_import VALUES (55555, '25/10/2020', '25', '10', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14649788');
INSERT INTO public.ecdc_import VALUES (55556, '24/10/2020', '24', '10', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13931661');
INSERT INTO public.ecdc_import VALUES (55557, '23/10/2020', '23', '10', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14218912');
INSERT INTO public.ecdc_import VALUES (55558, '22/10/2020', '22', '10', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13931661');
INSERT INTO public.ecdc_import VALUES (55559, '21/10/2020', '21', '10', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13500785');
INSERT INTO public.ecdc_import VALUES (55560, '20/10/2020', '20', '10', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14362537');
INSERT INTO public.ecdc_import VALUES (55561, '19/10/2020', '19', '10', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14506163');
INSERT INTO public.ecdc_import VALUES (55562, '18/10/2020', '18', '10', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14793413');
INSERT INTO public.ecdc_import VALUES (55563, '17/10/2020', '17', '10', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13788036');
INSERT INTO public.ecdc_import VALUES (55564, '16/10/2020', '16', '10', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13500785');
INSERT INTO public.ecdc_import VALUES (55565, '15/10/2020', '15', '10', '2020', '13', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13788036');
INSERT INTO public.ecdc_import VALUES (55566, '14/10/2020', '14', '10', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12639033');
INSERT INTO public.ecdc_import VALUES (55567, '13/10/2020', '13', '10', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12064531');
INSERT INTO public.ecdc_import VALUES (55568, '12/10/2020', '12', '10', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.13788036');
INSERT INTO public.ecdc_import VALUES (55569, '11/10/2020', '11', '10', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.15942416');
INSERT INTO public.ecdc_import VALUES (55570, '10/10/2020', '10', '10', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.16086042');
INSERT INTO public.ecdc_import VALUES (55571, '09/10/2020', '9', '10', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.15655166');
INSERT INTO public.ecdc_import VALUES (55572, '08/10/2020', '8', '10', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.15224289');
INSERT INTO public.ecdc_import VALUES (55573, '07/10/2020', '7', '10', '2020', '15', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.14506163');
INSERT INTO public.ecdc_import VALUES (55574, '06/10/2020', '6', '10', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12782658');
INSERT INTO public.ecdc_import VALUES (55575, '05/10/2020', '5', '10', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.12064531');
INSERT INTO public.ecdc_import VALUES (55576, '04/10/2020', '4', '10', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11059154');
INSERT INTO public.ecdc_import VALUES (55577, '03/10/2020', '3', '10', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11920906');
INSERT INTO public.ecdc_import VALUES (55578, '02/10/2020', '2', '10', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11202779');
INSERT INTO public.ecdc_import VALUES (55579, '01/10/2020', '1', '10', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11346404');
INSERT INTO public.ecdc_import VALUES (55580, '30/09/2020', '30', '9', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10628278');
INSERT INTO public.ecdc_import VALUES (55581, '29/09/2020', '29', '9', '2020', '14', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11346404');
INSERT INTO public.ecdc_import VALUES (55582, '28/09/2020', '28', '9', '2020', '22', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10053776');
INSERT INTO public.ecdc_import VALUES (55583, '27/09/2020', '27', '9', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07181269');
INSERT INTO public.ecdc_import VALUES (55584, '26/09/2020', '26', '9', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08043021');
INSERT INTO public.ecdc_import VALUES (55585, '25/09/2020', '25', '9', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08330272');
INSERT INTO public.ecdc_import VALUES (55586, '24/09/2020', '24', '9', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08904773');
INSERT INTO public.ecdc_import VALUES (55587, '23/09/2020', '23', '9', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.096229');
INSERT INTO public.ecdc_import VALUES (55588, '22/09/2020', '22', '9', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09335649');
INSERT INTO public.ecdc_import VALUES (55589, '21/09/2020', '21', '9', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08761148');
INSERT INTO public.ecdc_import VALUES (55590, '20/09/2020', '20', '9', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08904773');
INSERT INTO public.ecdc_import VALUES (55591, '19/09/2020', '19', '9', '2020', '3', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09910151');
INSERT INTO public.ecdc_import VALUES (55592, '18/09/2020', '18', '9', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55593, '17/09/2020', '17', '9', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09048398');
INSERT INTO public.ecdc_import VALUES (55594, '16/09/2020', '16', '9', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09335649');
INSERT INTO public.ecdc_import VALUES (55595, '15/09/2020', '15', '9', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09048398');
INSERT INTO public.ecdc_import VALUES (55596, '14/09/2020', '14', '9', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09048398');
INSERT INTO public.ecdc_import VALUES (55597, '13/09/2020', '13', '9', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08904773');
INSERT INTO public.ecdc_import VALUES (55598, '12/09/2020', '12', '9', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07899395');
INSERT INTO public.ecdc_import VALUES (55599, '11/09/2020', '11', '9', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07324894');
INSERT INTO public.ecdc_import VALUES (55600, '10/09/2020', '10', '9', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07181269');
INSERT INTO public.ecdc_import VALUES (55601, '09/09/2020', '9', '9', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55602, '08/09/2020', '8', '9', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55603, '07/09/2020', '7', '9', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06894018');
INSERT INTO public.ecdc_import VALUES (55604, '06/09/2020', '6', '9', '2020', '13', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07037643');
INSERT INTO public.ecdc_import VALUES (55605, '05/09/2020', '5', '9', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0588864');
INSERT INTO public.ecdc_import VALUES (55606, '04/09/2020', '4', '9', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0588864');
INSERT INTO public.ecdc_import VALUES (55607, '03/09/2020', '3', '9', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05457764');
INSERT INTO public.ecdc_import VALUES (55608, '02/09/2020', '2', '9', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06175891');
INSERT INTO public.ecdc_import VALUES (55609, '01/09/2020', '1', '9', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0560139');
INSERT INTO public.ecdc_import VALUES (55610, '31/08/2020', '31', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04883263');
INSERT INTO public.ecdc_import VALUES (55611, '30/08/2020', '30', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04883263');
INSERT INTO public.ecdc_import VALUES (55612, '29/08/2020', '29', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05026888');
INSERT INTO public.ecdc_import VALUES (55613, '28/08/2020', '28', '8', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04883263');
INSERT INTO public.ecdc_import VALUES (55614, '27/08/2020', '27', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06894018');
INSERT INTO public.ecdc_import VALUES (55615, '26/08/2020', '26', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06750393');
INSERT INTO public.ecdc_import VALUES (55616, '25/08/2020', '25', '8', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07324894');
INSERT INTO public.ecdc_import VALUES (55617, '24/08/2020', '24', '8', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06606767');
INSERT INTO public.ecdc_import VALUES (55618, '23/08/2020', '23', '8', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55619, '22/08/2020', '22', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06032266');
INSERT INTO public.ecdc_import VALUES (55620, '21/08/2020', '21', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06463142');
INSERT INTO public.ecdc_import VALUES (55621, '20/08/2020', '20', '8', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08473897');
INSERT INTO public.ecdc_import VALUES (55622, '19/08/2020', '19', '8', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0775577');
INSERT INTO public.ecdc_import VALUES (55623, '18/08/2020', '18', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08186646');
INSERT INTO public.ecdc_import VALUES (55624, '17/08/2020', '17', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08330272');
INSERT INTO public.ecdc_import VALUES (55625, '16/08/2020', '16', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08617522');
INSERT INTO public.ecdc_import VALUES (55626, '15/08/2020', '15', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09192024');
INSERT INTO public.ecdc_import VALUES (55627, '14/08/2020', '14', '8', '2020', '20', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55628, '13/08/2020', '13', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07468519');
INSERT INTO public.ecdc_import VALUES (55629, '12/08/2020', '12', '8', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08330272');
INSERT INTO public.ecdc_import VALUES (55630, '11/08/2020', '11', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0775577');
INSERT INTO public.ecdc_import VALUES (55631, '10/08/2020', '10', '8', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08043021');
INSERT INTO public.ecdc_import VALUES (55632, '09/08/2020', '9', '8', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08617522');
INSERT INTO public.ecdc_import VALUES (55633, '08/08/2020', '8', '8', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55634, '07/08/2020', '7', '8', '2020', '15', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55635, '06/08/2020', '6', '8', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08761148');
INSERT INTO public.ecdc_import VALUES (55636, '05/08/2020', '5', '8', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.096229');
INSERT INTO public.ecdc_import VALUES (55637, '04/08/2020', '4', '8', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55638, '03/08/2020', '3', '8', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10053776');
INSERT INTO public.ecdc_import VALUES (55639, '02/08/2020', '2', '8', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09766525');
INSERT INTO public.ecdc_import VALUES (55640, '01/08/2020', '1', '8', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55641, '31/07/2020', '31', '7', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10197401');
INSERT INTO public.ecdc_import VALUES (55642, '30/07/2020', '30', '7', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09766525');
INSERT INTO public.ecdc_import VALUES (55643, '29/07/2020', '29', '7', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55644, '28/07/2020', '28', '7', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10053776');
INSERT INTO public.ecdc_import VALUES (55645, '27/07/2020', '27', '7', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10771903');
INSERT INTO public.ecdc_import VALUES (55646, '26/07/2020', '26', '7', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10628278');
INSERT INTO public.ecdc_import VALUES (55647, '25/07/2020', '25', '7', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09479275');
INSERT INTO public.ecdc_import VALUES (55648, '24/07/2020', '24', '7', '2020', '10', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11059154');
INSERT INTO public.ecdc_import VALUES (55649, '23/07/2020', '23', '7', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.096229');
INSERT INTO public.ecdc_import VALUES (55650, '22/07/2020', '22', '7', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09192024');
INSERT INTO public.ecdc_import VALUES (55651, '21/07/2020', '21', '7', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08617522');
INSERT INTO public.ecdc_import VALUES (55652, '20/07/2020', '20', '7', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07899395');
INSERT INTO public.ecdc_import VALUES (55653, '19/07/2020', '19', '7', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08473897');
INSERT INTO public.ecdc_import VALUES (55654, '18/07/2020', '18', '7', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08761148');
INSERT INTO public.ecdc_import VALUES (55655, '17/07/2020', '17', '7', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08473897');
INSERT INTO public.ecdc_import VALUES (55656, '16/07/2020', '16', '7', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08186646');
INSERT INTO public.ecdc_import VALUES (55657, '15/07/2020', '15', '7', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08473897');
INSERT INTO public.ecdc_import VALUES (55658, '14/07/2020', '14', '7', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08043021');
INSERT INTO public.ecdc_import VALUES (55659, '13/07/2020', '13', '7', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08330272');
INSERT INTO public.ecdc_import VALUES (55660, '12/07/2020', '12', '7', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07899395');
INSERT INTO public.ecdc_import VALUES (55661, '11/07/2020', '11', '7', '2020', '14', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0775577');
INSERT INTO public.ecdc_import VALUES (55662, '10/07/2020', '10', '7', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55663, '09/07/2020', '9', '7', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55664, '08/07/2020', '8', '7', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0588864');
INSERT INTO public.ecdc_import VALUES (55665, '07/07/2020', '7', '7', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55666, '06/07/2020', '6', '7', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06750393');
INSERT INTO public.ecdc_import VALUES (55667, '05/07/2020', '5', '7', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06175891');
INSERT INTO public.ecdc_import VALUES (55668, '04/07/2020', '4', '7', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0560139');
INSERT INTO public.ecdc_import VALUES (55669, '03/07/2020', '3', '7', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0560139');
INSERT INTO public.ecdc_import VALUES (55670, '02/07/2020', '2', '7', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05457764');
INSERT INTO public.ecdc_import VALUES (55671, '01/07/2020', '1', '7', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05457764');
INSERT INTO public.ecdc_import VALUES (55672, '30/06/2020', '30', '6', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05170513');
INSERT INTO public.ecdc_import VALUES (55673, '29/06/2020', '29', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03877885');
INSERT INTO public.ecdc_import VALUES (55674, '28/06/2020', '28', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0402151');
INSERT INTO public.ecdc_import VALUES (55675, '27/06/2020', '27', '6', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04739637');
INSERT INTO public.ecdc_import VALUES (55676, '26/06/2020', '26', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04739637');
INSERT INTO public.ecdc_import VALUES (55677, '25/06/2020', '25', '6', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04739637');
INSERT INTO public.ecdc_import VALUES (55678, '24/06/2020', '24', '6', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04452387');
INSERT INTO public.ecdc_import VALUES (55679, '23/06/2020', '23', '6', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04596012');
INSERT INTO public.ecdc_import VALUES (55680, '22/06/2020', '22', '6', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.04165136');
INSERT INTO public.ecdc_import VALUES (55681, '21/06/2020', '21', '6', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05026888');
INSERT INTO public.ecdc_import VALUES (55682, '20/06/2020', '20', '6', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06032266');
INSERT INTO public.ecdc_import VALUES (55683, '19/06/2020', '19', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0560139');
INSERT INTO public.ecdc_import VALUES (55684, '18/06/2020', '18', '6', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05745015');
INSERT INTO public.ecdc_import VALUES (55685, '17/06/2020', '17', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07468519');
INSERT INTO public.ecdc_import VALUES (55686, '16/06/2020', '16', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07612145');
INSERT INTO public.ecdc_import VALUES (55687, '15/06/2020', '15', '6', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0775577');
INSERT INTO public.ecdc_import VALUES (55688, '14/06/2020', '14', '6', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07612145');
INSERT INTO public.ecdc_import VALUES (55689, '13/06/2020', '13', '6', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07612145');
INSERT INTO public.ecdc_import VALUES (55690, '12/06/2020', '12', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08617522');
INSERT INTO public.ecdc_import VALUES (55691, '11/06/2020', '11', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10197401');
INSERT INTO public.ecdc_import VALUES (55692, '10/06/2020', '10', '6', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.1149003');
INSERT INTO public.ecdc_import VALUES (55693, '09/06/2020', '9', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11059154');
INSERT INTO public.ecdc_import VALUES (55694, '08/06/2020', '8', '6', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11059154');
INSERT INTO public.ecdc_import VALUES (55695, '07/06/2020', '7', '6', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.10341027');
INSERT INTO public.ecdc_import VALUES (55696, '06/06/2020', '6', '6', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09192024');
INSERT INTO public.ecdc_import VALUES (55697, '05/06/2020', '5', '6', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09335649');
INSERT INTO public.ecdc_import VALUES (55698, '04/06/2020', '4', '6', '2020', '18', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.096229');
INSERT INTO public.ecdc_import VALUES (55699, '03/06/2020', '3', '6', '2020', '1', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07037643');
INSERT INTO public.ecdc_import VALUES (55700, '02/06/2020', '2', '6', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07324894');
INSERT INTO public.ecdc_import VALUES (55701, '01/06/2020', '1', '6', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07612145');
INSERT INTO public.ecdc_import VALUES (55702, '31/05/2020', '31', '5', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07612145');
INSERT INTO public.ecdc_import VALUES (55703, '30/05/2020', '30', '5', '2020', '11', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.07324894');
INSERT INTO public.ecdc_import VALUES (55704, '29/05/2020', '29', '5', '2020', '11', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06750393');
INSERT INTO public.ecdc_import VALUES (55705, '28/05/2020', '28', '5', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05314139');
INSERT INTO public.ecdc_import VALUES (55706, '27/05/2020', '27', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0402151');
INSERT INTO public.ecdc_import VALUES (55707, '26/05/2020', '26', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03877885');
INSERT INTO public.ecdc_import VALUES (55708, '25/05/2020', '25', '5', '2020', '2', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03877885');
INSERT INTO public.ecdc_import VALUES (55709, '24/05/2020', '24', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05170513');
INSERT INTO public.ecdc_import VALUES (55710, '23/05/2020', '23', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05745015');
INSERT INTO public.ecdc_import VALUES (55711, '22/05/2020', '22', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06463142');
INSERT INTO public.ecdc_import VALUES (55712, '21/05/2020', '21', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06463142');
INSERT INTO public.ecdc_import VALUES (55713, '20/05/2020', '20', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06606767');
INSERT INTO public.ecdc_import VALUES (55714, '19/05/2020', '19', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06319516');
INSERT INTO public.ecdc_import VALUES (55715, '18/05/2020', '18', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08473897');
INSERT INTO public.ecdc_import VALUES (55716, '17/05/2020', '17', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08904773');
INSERT INTO public.ecdc_import VALUES (55717, '16/05/2020', '16', '5', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09335649');
INSERT INTO public.ecdc_import VALUES (55718, '15/05/2020', '15', '5', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.08330272');
INSERT INTO public.ecdc_import VALUES (55719, '14/05/2020', '14', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.09048398');
INSERT INTO public.ecdc_import VALUES (55720, '13/05/2020', '13', '5', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11346404');
INSERT INTO public.ecdc_import VALUES (55721, '12/05/2020', '12', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11059154');
INSERT INTO public.ecdc_import VALUES (55722, '11/05/2020', '11', '5', '2020', '11', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.1335716');
INSERT INTO public.ecdc_import VALUES (55723, '10/05/2020', '10', '5', '2020', '4', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11777281');
INSERT INTO public.ecdc_import VALUES (55724, '09/05/2020', '9', '5', '2020', '8', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.20969304');
INSERT INTO public.ecdc_import VALUES (55725, '08/05/2020', '8', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.21974682');
INSERT INTO public.ecdc_import VALUES (55726, '07/05/2020', '7', '5', '2020', '1', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.21543806');
INSERT INTO public.ecdc_import VALUES (55727, '06/05/2020', '6', '5', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.25421691');
INSERT INTO public.ecdc_import VALUES (55728, '05/05/2020', '5', '5', '2020', '18', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.28006948');
INSERT INTO public.ecdc_import VALUES (55729, '04/05/2020', '4', '5', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.29299576');
INSERT INTO public.ecdc_import VALUES (55730, '03/05/2020', '3', '5', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.33464712');
INSERT INTO public.ecdc_import VALUES (55731, '02/05/2020', '2', '5', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.37342597');
INSERT INTO public.ecdc_import VALUES (55732, '01/05/2020', '1', '5', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.37342597');
INSERT INTO public.ecdc_import VALUES (55733, '30/04/2020', '30', '4', '2020', '16', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.40502355');
INSERT INTO public.ecdc_import VALUES (55734, '29/04/2020', '29', '4', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.42369485');
INSERT INTO public.ecdc_import VALUES (55735, '28/04/2020', '28', '4', '2020', '16', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.46678246');
INSERT INTO public.ecdc_import VALUES (55736, '27/04/2020', '27', '4', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.49263503');
INSERT INTO public.ecdc_import VALUES (55737, '26/04/2020', '26', '4', '2020', '68', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.53285013');
INSERT INTO public.ecdc_import VALUES (55738, '25/04/2020', '25', '4', '2020', '15', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.48258125');
INSERT INTO public.ecdc_import VALUES (55739, '24/04/2020', '24', '4', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.52566886');
INSERT INTO public.ecdc_import VALUES (55740, '23/04/2020', '23', '4', '2020', '28', '2', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.59748155');
INSERT INTO public.ecdc_import VALUES (55741, '22/04/2020', '22', '4', '2020', '19', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.63482415');
INSERT INTO public.ecdc_import VALUES (55742, '21/04/2020', '21', '4', '2020', '27', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.76695949');
INSERT INTO public.ecdc_import VALUES (55743, '20/04/2020', '20', '4', '2020', '32', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.78275828');
INSERT INTO public.ecdc_import VALUES (55744, '19/04/2020', '19', '4', '2020', '33', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.8100471');
INSERT INTO public.ecdc_import VALUES (55745, '18/04/2020', '18', '4', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.03697519');
INSERT INTO public.ecdc_import VALUES (55746, '17/04/2020', '17', '4', '2020', '28', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.18490932');
INSERT INTO public.ecdc_import VALUES (55747, '16/04/2020', '16', '4', '2020', '29', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.29406461');
INSERT INTO public.ecdc_import VALUES (55748, '15/04/2020', '15', '4', '2020', '30', '2', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.42476369');
INSERT INTO public.ecdc_import VALUES (55749, '14/04/2020', '14', '4', '2020', '34', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.38167608');
INSERT INTO public.ecdc_import VALUES (55750, '13/04/2020', '13', '4', '2020', '28', '2', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.71057819');
INSERT INTO public.ecdc_import VALUES (55751, '12/04/2020', '12', '4', '2020', '33', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.87574736');
INSERT INTO public.ecdc_import VALUES (55752, '11/04/2020', '11', '4', '2020', '45', '2', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.98490265');
INSERT INTO public.ecdc_import VALUES (55753, '10/04/2020', '10', '4', '2020', '50', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.92027123');
INSERT INTO public.ecdc_import VALUES (55754, '09/04/2020', '9', '4', '2020', '54', '2', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.97915763');
INSERT INTO public.ecdc_import VALUES (55755, '08/04/2020', '8', '4', '2020', '111', '4', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.06102409');
INSERT INTO public.ecdc_import VALUES (55756, '07/04/2020', '7', '4', '2020', '38', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.05527908');
INSERT INTO public.ecdc_import VALUES (55757, '06/04/2020', '6', '4', '2020', '51', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.15294433');
INSERT INTO public.ecdc_import VALUES (55758, '05/04/2020', '5', '4', '2020', '191', '4', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.25491835');
INSERT INTO public.ecdc_import VALUES (55759, '04/04/2020', '4', '4', '2020', '103', '4', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.315241');
INSERT INTO public.ecdc_import VALUES (55760, '03/04/2020', '3', '4', '2020', '104', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.38848994');
INSERT INTO public.ecdc_import VALUES (55761, '02/04/2020', '2', '4', '2020', '120', '2', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.28938844');
INSERT INTO public.ecdc_import VALUES (55762, '01/04/2020', '1', '4', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.11703799');
INSERT INTO public.ecdc_import VALUES (55763, '31/03/2020', '31', '3', '2020', '263', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '2.11703799');
INSERT INTO public.ecdc_import VALUES (55764, '30/03/2020', '30', '3', '2020', '143', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.82978724');
INSERT INTO public.ecdc_import VALUES (55765, '29/03/2020', '29', '3', '2020', '109', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.67036308');
INSERT INTO public.ecdc_import VALUES (55766, '28/03/2020', '28', '3', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.51381143');
INSERT INTO public.ecdc_import VALUES (55767, '27/03/2020', '27', '3', '2020', '91', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.53104647');
INSERT INTO public.ecdc_import VALUES (55768, '26/03/2020', '26', '3', '2020', '111', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.41614617');
INSERT INTO public.ecdc_import VALUES (55769, '25/03/2020', '25', '3', '2020', '107', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.26964829');
INSERT INTO public.ecdc_import VALUES (55770, '24/03/2020', '24', '3', '2020', '106', '3', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '1.1202779');
INSERT INTO public.ecdc_import VALUES (55771, '23/03/2020', '23', '3', '2020', '122', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.97378002');
INSERT INTO public.ecdc_import VALUES (55772, '22/03/2020', '22', '3', '2020', '233', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.79999332');
INSERT INTO public.ecdc_import VALUES (55773, '21/03/2020', '21', '3', '2020', '154', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.46534621');
INSERT INTO public.ecdc_import VALUES (55774, '20/03/2020', '20', '3', '2020', '35', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.24703564');
INSERT INTO public.ecdc_import VALUES (55775, '19/03/2020', '19', '3', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.19676676');
INSERT INTO public.ecdc_import VALUES (55776, '18/03/2020', '18', '3', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.19676676');
INSERT INTO public.ecdc_import VALUES (55777, '17/03/2020', '17', '3', '2020', '63', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.20107552');
INSERT INTO public.ecdc_import VALUES (55778, '16/03/2020', '16', '3', '2020', '32', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.11346404');
INSERT INTO public.ecdc_import VALUES (55779, '15/03/2020', '15', '3', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06750393');
INSERT INTO public.ecdc_import VALUES (55780, '14/03/2020', '14', '3', '2020', '12', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.06750393');
INSERT INTO public.ecdc_import VALUES (55781, '12/03/2020', '12', '3', '2020', '11', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.05026888');
INSERT INTO public.ecdc_import VALUES (55782, '11/03/2020', '11', '3', '2020', '9', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03447009');
INSERT INTO public.ecdc_import VALUES (55783, '07/03/2020', '7', '3', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02154381');
INSERT INTO public.ecdc_import VALUES (55784, '05/03/2020', '5', '3', '2020', '4', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01723504');
INSERT INTO public.ecdc_import VALUES (55785, '02/03/2020', '2', '3', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01292628');
INSERT INTO public.ecdc_import VALUES (55786, '01/03/2020', '1', '3', '2020', '0', '1', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01149003');
INSERT INTO public.ecdc_import VALUES (55787, '29/02/2020', '29', '2', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01149003');
INSERT INTO public.ecdc_import VALUES (55788, '28/02/2020', '28', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01005378');
INSERT INTO public.ecdc_import VALUES (55789, '27/02/2020', '27', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01005378');
INSERT INTO public.ecdc_import VALUES (55790, '26/02/2020', '26', '2', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01005378');
INSERT INTO public.ecdc_import VALUES (55791, '25/02/2020', '25', '2', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00718127');
INSERT INTO public.ecdc_import VALUES (55792, '24/02/2020', '24', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00430876');
INSERT INTO public.ecdc_import VALUES (55793, '23/02/2020', '23', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00430876');
INSERT INTO public.ecdc_import VALUES (55794, '22/02/2020', '22', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00430876');
INSERT INTO public.ecdc_import VALUES (55795, '21/02/2020', '21', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01436254');
INSERT INTO public.ecdc_import VALUES (55796, '20/02/2020', '20', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01436254');
INSERT INTO public.ecdc_import VALUES (55797, '19/02/2020', '19', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01436254');
INSERT INTO public.ecdc_import VALUES (55798, '18/02/2020', '18', '2', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02298006');
INSERT INTO public.ecdc_import VALUES (55799, '17/02/2020', '17', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02154381');
INSERT INTO public.ecdc_import VALUES (55800, '16/02/2020', '16', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02154381');
INSERT INTO public.ecdc_import VALUES (55801, '15/02/2020', '15', '2', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02154381');
INSERT INTO public.ecdc_import VALUES (55802, '14/02/2020', '14', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02728882');
INSERT INTO public.ecdc_import VALUES (55803, '13/02/2020', '13', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02728882');
INSERT INTO public.ecdc_import VALUES (55804, '12/02/2020', '12', '2', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02728882');
INSERT INTO public.ecdc_import VALUES (55805, '11/02/2020', '11', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02585257');
INSERT INTO public.ecdc_import VALUES (55806, '10/02/2020', '10', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03447009');
INSERT INTO public.ecdc_import VALUES (55807, '09/02/2020', '9', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03877885');
INSERT INTO public.ecdc_import VALUES (55808, '08/02/2020', '8', '2', '2020', '7', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03877885');
INSERT INTO public.ecdc_import VALUES (55809, '07/02/2020', '7', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03016133');
INSERT INTO public.ecdc_import VALUES (55810, '06/02/2020', '6', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03016133');
INSERT INTO public.ecdc_import VALUES (55811, '05/02/2020', '5', '2', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.03016133');
INSERT INTO public.ecdc_import VALUES (55812, '04/02/2020', '4', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02441631');
INSERT INTO public.ecdc_import VALUES (55813, '03/02/2020', '3', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02441631');
INSERT INTO public.ecdc_import VALUES (55814, '02/02/2020', '2', '2', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02441631');
INSERT INTO public.ecdc_import VALUES (55815, '01/02/2020', '1', '2', '2020', '5', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.02441631');
INSERT INTO public.ecdc_import VALUES (55816, '31/01/2020', '31', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01723504');
INSERT INTO public.ecdc_import VALUES (55817, '30/01/2020', '30', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0186713');
INSERT INTO public.ecdc_import VALUES (55818, '29/01/2020', '29', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0186713');
INSERT INTO public.ecdc_import VALUES (55819, '28/01/2020', '28', '1', '2020', '6', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.0186713');
INSERT INTO public.ecdc_import VALUES (55820, '27/01/2020', '27', '1', '2020', '3', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.01005378');
INSERT INTO public.ecdc_import VALUES (55821, '26/01/2020', '26', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00718127');
INSERT INTO public.ecdc_import VALUES (55822, '25/01/2020', '25', '1', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00718127');
INSERT INTO public.ecdc_import VALUES (55823, '24/01/2020', '24', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00574501');
INSERT INTO public.ecdc_import VALUES (55824, '23/01/2020', '23', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00574501');
INSERT INTO public.ecdc_import VALUES (55825, '22/01/2020', '22', '1', '2020', '2', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00574501');
INSERT INTO public.ecdc_import VALUES (55826, '21/01/2020', '21', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00287251');
INSERT INTO public.ecdc_import VALUES (55827, '20/01/2020', '20', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00287251');
INSERT INTO public.ecdc_import VALUES (55828, '19/01/2020', '19', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00287251');
INSERT INTO public.ecdc_import VALUES (55829, '18/01/2020', '18', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00287251');
INSERT INTO public.ecdc_import VALUES (55830, '17/01/2020', '17', '1', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00287251');
INSERT INTO public.ecdc_import VALUES (55831, '16/01/2020', '16', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00143625');
INSERT INTO public.ecdc_import VALUES (55832, '15/01/2020', '15', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00143625');
INSERT INTO public.ecdc_import VALUES (55833, '14/01/2020', '14', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00143625');
INSERT INTO public.ecdc_import VALUES (55834, '13/01/2020', '13', '1', '2020', '1', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '0.00143625');
INSERT INTO public.ecdc_import VALUES (55835, '12/01/2020', '12', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55836, '11/01/2020', '11', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55837, '10/01/2020', '10', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55838, '09/01/2020', '9', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55839, '08/01/2020', '8', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55840, '07/01/2020', '7', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55841, '06/01/2020', '6', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55842, '05/01/2020', '5', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55843, '04/01/2020', '4', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55844, '03/01/2020', '3', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55845, '02/01/2020', '2', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55846, '01/01/2020', '1', '1', '2020', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55847, '31/12/2019', '31', '12', '2019', '0', '0', '69625581', 'Thailand', 'TH', 'THA', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (55848, '14/12/2020', '14', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55849, '13/12/2020', '13', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55850, '12/12/2020', '12', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55851, '11/12/2020', '11', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55852, '10/12/2020', '10', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55853, '09/12/2020', '9', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55854, '08/12/2020', '8', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55855, '07/12/2020', '7', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55856, '06/12/2020', '6', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55857, '05/12/2020', '5', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55858, '04/12/2020', '4', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55859, '03/12/2020', '3', '12', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55860, '02/12/2020', '2', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55861, '01/12/2020', '1', '12', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55862, '30/11/2020', '30', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55863, '29/11/2020', '29', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55864, '28/11/2020', '28', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55865, '27/11/2020', '27', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55866, '26/11/2020', '26', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55867, '25/11/2020', '25', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55868, '24/11/2020', '24', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55869, '23/11/2020', '23', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55870, '22/11/2020', '22', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55871, '21/11/2020', '21', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55872, '20/11/2020', '20', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55873, '19/11/2020', '19', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55874, '18/11/2020', '18', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55875, '17/11/2020', '17', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55876, '16/11/2020', '16', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55877, '15/11/2020', '15', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55878, '14/11/2020', '14', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55879, '13/11/2020', '13', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55880, '12/11/2020', '12', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55881, '11/11/2020', '11', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55882, '10/11/2020', '10', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55883, '09/11/2020', '9', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55884, '08/11/2020', '8', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55885, '07/11/2020', '7', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55886, '06/11/2020', '6', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55887, '05/11/2020', '5', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55888, '04/11/2020', '4', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55889, '03/11/2020', '3', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55890, '02/11/2020', '2', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55891, '01/11/2020', '1', '11', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55892, '31/10/2020', '31', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55893, '30/10/2020', '30', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55894, '29/10/2020', '29', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55895, '28/10/2020', '28', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55896, '27/10/2020', '27', '10', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55897, '26/10/2020', '26', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55898, '25/10/2020', '25', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55899, '24/10/2020', '24', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55900, '23/10/2020', '23', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55901, '22/10/2020', '22', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55902, '21/10/2020', '21', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55903, '20/10/2020', '20', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55904, '19/10/2020', '19', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55905, '18/10/2020', '18', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55906, '17/10/2020', '17', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55907, '16/10/2020', '16', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55908, '15/10/2020', '15', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55909, '14/10/2020', '14', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55910, '13/10/2020', '13', '10', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55911, '12/10/2020', '12', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55912, '11/10/2020', '11', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55913, '10/10/2020', '10', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55914, '09/10/2020', '9', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55915, '08/10/2020', '8', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55916, '07/10/2020', '7', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55917, '06/10/2020', '6', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55918, '05/10/2020', '5', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55919, '04/10/2020', '4', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55920, '03/10/2020', '3', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55921, '02/10/2020', '2', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55922, '01/10/2020', '1', '10', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55923, '30/09/2020', '30', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55924, '29/09/2020', '29', '9', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55925, '28/09/2020', '28', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55926, '27/09/2020', '27', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55927, '26/09/2020', '26', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55928, '25/09/2020', '25', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55929, '24/09/2020', '24', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55930, '23/09/2020', '23', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55931, '22/09/2020', '22', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55932, '21/09/2020', '21', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55933, '20/09/2020', '20', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55934, '19/09/2020', '19', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55935, '18/09/2020', '18', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55936, '17/09/2020', '17', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55937, '16/09/2020', '16', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55938, '15/09/2020', '15', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55939, '14/09/2020', '14', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55940, '13/09/2020', '13', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55941, '12/09/2020', '12', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55942, '11/09/2020', '11', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55943, '10/09/2020', '10', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55944, '09/09/2020', '9', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55945, '08/09/2020', '8', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55946, '07/09/2020', '7', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55947, '06/09/2020', '6', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55948, '05/09/2020', '5', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55949, '04/09/2020', '4', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55950, '03/09/2020', '3', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55951, '02/09/2020', '2', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55952, '01/09/2020', '1', '9', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55953, '31/08/2020', '31', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55954, '30/08/2020', '30', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55955, '29/08/2020', '29', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55956, '28/08/2020', '28', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55957, '27/08/2020', '27', '8', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (55958, '26/08/2020', '26', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55959, '25/08/2020', '25', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55960, '24/08/2020', '24', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55961, '23/08/2020', '23', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55962, '22/08/2020', '22', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55963, '21/08/2020', '21', '8', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55964, '20/08/2020', '20', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55965, '19/08/2020', '19', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55966, '18/08/2020', '18', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55967, '17/08/2020', '17', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55968, '16/08/2020', '16', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55969, '15/08/2020', '15', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55970, '14/08/2020', '14', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55971, '13/08/2020', '13', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55972, '12/08/2020', '12', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55973, '11/08/2020', '11', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55974, '10/08/2020', '10', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55975, '09/08/2020', '9', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55976, '08/08/2020', '8', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55977, '07/08/2020', '7', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55978, '06/08/2020', '6', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55979, '05/08/2020', '5', '8', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (55980, '04/08/2020', '4', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55981, '03/08/2020', '3', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55982, '02/08/2020', '2', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55983, '01/08/2020', '1', '8', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55984, '31/07/2020', '31', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55985, '30/07/2020', '30', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55986, '29/07/2020', '29', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55987, '28/07/2020', '28', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55988, '27/07/2020', '27', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55989, '26/07/2020', '26', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55990, '25/07/2020', '25', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55991, '24/07/2020', '24', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55992, '23/07/2020', '23', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55993, '22/07/2020', '22', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55994, '21/07/2020', '21', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55995, '20/07/2020', '20', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55996, '19/07/2020', '19', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55997, '18/07/2020', '18', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55998, '17/07/2020', '17', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (55999, '16/07/2020', '16', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56000, '15/07/2020', '15', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56001, '14/07/2020', '14', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56002, '13/07/2020', '13', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56003, '12/07/2020', '12', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56004, '11/07/2020', '11', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56005, '10/07/2020', '10', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56006, '09/07/2020', '9', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56007, '08/07/2020', '8', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56008, '07/07/2020', '7', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56009, '06/07/2020', '6', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56010, '05/07/2020', '5', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56011, '04/07/2020', '4', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56012, '03/07/2020', '3', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56013, '02/07/2020', '2', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56014, '01/07/2020', '1', '7', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56015, '30/06/2020', '30', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56016, '29/06/2020', '29', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56017, '28/06/2020', '28', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56018, '27/06/2020', '27', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56019, '26/06/2020', '26', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56020, '25/06/2020', '25', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56021, '24/06/2020', '24', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56022, '23/06/2020', '23', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56023, '22/06/2020', '22', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56024, '21/06/2020', '21', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56025, '20/06/2020', '20', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56026, '19/06/2020', '19', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56027, '18/06/2020', '18', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56028, '17/06/2020', '17', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56029, '16/06/2020', '16', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56030, '15/06/2020', '15', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56031, '14/06/2020', '14', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56032, '13/06/2020', '13', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56033, '12/06/2020', '12', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56034, '11/06/2020', '11', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56035, '10/06/2020', '10', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56036, '09/06/2020', '9', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56037, '08/06/2020', '8', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56038, '07/06/2020', '7', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56039, '06/06/2020', '6', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56040, '05/06/2020', '5', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56041, '04/06/2020', '4', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56042, '03/06/2020', '3', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56043, '02/06/2020', '2', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56044, '01/06/2020', '1', '6', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56045, '31/05/2020', '31', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56046, '30/05/2020', '30', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56047, '29/05/2020', '29', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56048, '28/05/2020', '28', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56049, '27/05/2020', '27', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56050, '26/05/2020', '26', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56051, '25/05/2020', '25', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56052, '24/05/2020', '24', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56053, '23/05/2020', '23', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56054, '22/05/2020', '22', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56055, '21/05/2020', '21', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56056, '20/05/2020', '20', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56057, '19/05/2020', '19', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56058, '18/05/2020', '18', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56059, '17/05/2020', '17', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56060, '16/05/2020', '16', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56061, '15/05/2020', '15', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56062, '14/05/2020', '14', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56063, '13/05/2020', '13', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56064, '12/05/2020', '12', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56065, '11/05/2020', '11', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56066, '10/05/2020', '10', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56067, '09/05/2020', '9', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56068, '08/05/2020', '8', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56069, '07/05/2020', '7', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56070, '06/05/2020', '6', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56071, '05/05/2020', '5', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.15466469');
INSERT INTO public.ecdc_import VALUES (56072, '04/05/2020', '4', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.38666172');
INSERT INTO public.ecdc_import VALUES (56073, '03/05/2020', '3', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.46399406');
INSERT INTO public.ecdc_import VALUES (56074, '02/05/2020', '2', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.46399406');
INSERT INTO public.ecdc_import VALUES (56075, '01/05/2020', '1', '5', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.46399406');
INSERT INTO public.ecdc_import VALUES (56076, '30/04/2020', '30', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.39198218');
INSERT INTO public.ecdc_import VALUES (56077, '29/04/2020', '29', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.39198218');
INSERT INTO public.ecdc_import VALUES (56078, '28/04/2020', '28', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.54664687');
INSERT INTO public.ecdc_import VALUES (56079, '27/04/2020', '27', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.70131156');
INSERT INTO public.ecdc_import VALUES (56080, '26/04/2020', '26', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.70131156');
INSERT INTO public.ecdc_import VALUES (56081, '25/04/2020', '25', '4', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.70131156');
INSERT INTO public.ecdc_import VALUES (56082, '24/04/2020', '24', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.62397921');
INSERT INTO public.ecdc_import VALUES (56083, '23/04/2020', '23', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.70131156');
INSERT INTO public.ecdc_import VALUES (56084, '22/04/2020', '22', '4', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.70131156');
INSERT INTO public.ecdc_import VALUES (56085, '21/04/2020', '21', '4', '2020', '3', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.62397921');
INSERT INTO public.ecdc_import VALUES (56086, '20/04/2020', '20', '4', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.39198218');
INSERT INTO public.ecdc_import VALUES (56087, '19/04/2020', '19', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.31464984');
INSERT INTO public.ecdc_import VALUES (56088, '18/04/2020', '18', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.31464984');
INSERT INTO public.ecdc_import VALUES (56089, '17/04/2020', '17', '4', '2020', '12', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '1.31464984');
INSERT INTO public.ecdc_import VALUES (56090, '16/04/2020', '16', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.38666172');
INSERT INTO public.ecdc_import VALUES (56091, '15/04/2020', '15', '4', '2020', '2', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.38666172');
INSERT INTO public.ecdc_import VALUES (56092, '14/04/2020', '14', '4', '2020', '2', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.23199703');
INSERT INTO public.ecdc_import VALUES (56093, '13/04/2020', '13', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56094, '12/04/2020', '12', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56095, '11/04/2020', '11', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56096, '10/04/2020', '10', '4', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56097, '09/04/2020', '9', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56098, '08/04/2020', '8', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56099, '07/04/2020', '7', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56100, '06/04/2020', '6', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56101, '05/04/2020', '5', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (56102, '04/04/2020', '4', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '0.07733234');
INSERT INTO public.ecdc_import VALUES (56103, '03/04/2020', '3', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56104, '02/04/2020', '2', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56105, '01/04/2020', '1', '4', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56106, '31/03/2020', '31', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56107, '30/03/2020', '30', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56108, '29/03/2020', '29', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56109, '28/03/2020', '28', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56110, '27/03/2020', '27', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56111, '26/03/2020', '26', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56112, '25/03/2020', '25', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56113, '24/03/2020', '24', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56114, '23/03/2020', '23', '3', '2020', '0', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56115, '22/03/2020', '22', '3', '2020', '1', '0', '1293120', 'Timor_Leste', 'TL', 'TLS', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (56116, '14/12/2020', '14', '12', '2020', '30', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.57568873');
INSERT INTO public.ecdc_import VALUES (56117, '13/12/2020', '13', '12', '2020', '19', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.40247198');
INSERT INTO public.ecdc_import VALUES (56118, '12/12/2020', '12', '12', '2020', '20', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.4148446');
INSERT INTO public.ecdc_import VALUES (56119, '11/12/2020', '11', '12', '2020', '31', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.43958985');
INSERT INTO public.ecdc_import VALUES (56120, '10/12/2020', '10', '12', '2020', '19', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.24162785');
INSERT INTO public.ecdc_import VALUES (56121, '09/12/2020', '9', '12', '2020', '21', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.2168826');
INSERT INTO public.ecdc_import VALUES (56122, '08/12/2020', '8', '12', '2020', '16', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.17976472');
INSERT INTO public.ecdc_import VALUES (56123, '07/12/2020', '7', '12', '2020', '10', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.11790159');
INSERT INTO public.ecdc_import VALUES (56124, '06/12/2020', '6', '12', '2020', '34', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.16739209');
INSERT INTO public.ecdc_import VALUES (56125, '05/12/2020', '5', '12', '2020', '12', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.15501947');
INSERT INTO public.ecdc_import VALUES (56126, '04/12/2020', '4', '12', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.3158636');
INSERT INTO public.ecdc_import VALUES (56127, '03/12/2020', '3', '12', '2020', '17', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.24162785');
INSERT INTO public.ecdc_import VALUES (56128, '02/12/2020', '2', '12', '2020', '23', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.40247198');
INSERT INTO public.ecdc_import VALUES (56129, '01/12/2020', '1', '12', '2020', '12', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.47670773');
INSERT INTO public.ecdc_import VALUES (56130, '30/11/2020', '30', '11', '2020', '16', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.55094348');
INSERT INTO public.ecdc_import VALUES (56131, '29/11/2020', '29', '11', '2020', '20', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.64992448');
INSERT INTO public.ecdc_import VALUES (56132, '28/11/2020', '28', '11', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.69941499');
INSERT INTO public.ecdc_import VALUES (56133, '27/11/2020', '27', '11', '2020', '15', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.69941499');
INSERT INTO public.ecdc_import VALUES (56134, '26/11/2020', '26', '11', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.66229711');
INSERT INTO public.ecdc_import VALUES (56135, '25/11/2020', '25', '11', '2020', '18', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.88500437');
INSERT INTO public.ecdc_import VALUES (56136, '24/11/2020', '24', '11', '2020', '11', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.095339');
INSERT INTO public.ecdc_import VALUES (56137, '23/11/2020', '23', '11', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.0458485');
INSERT INTO public.ecdc_import VALUES (56138, '22/11/2020', '22', '11', '2020', '33', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.28092838');
INSERT INTO public.ecdc_import VALUES (56139, '21/11/2020', '21', '11', '2020', '25', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.15720212');
INSERT INTO public.ecdc_import VALUES (56140, '20/11/2020', '20', '11', '2020', '19', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.07059375');
INSERT INTO public.ecdc_import VALUES (56141, '19/11/2020', '19', '11', '2020', '30', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.28092838');
INSERT INTO public.ecdc_import VALUES (56142, '18/11/2020', '18', '11', '2020', '29', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.21906525');
INSERT INTO public.ecdc_import VALUES (56143, '17/11/2020', '17', '11', '2020', '18', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.07059375');
INSERT INTO public.ecdc_import VALUES (56144, '16/11/2020', '16', '11', '2020', '24', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.93449487');
INSERT INTO public.ecdc_import VALUES (56145, '15/11/2020', '15', '11', '2020', '24', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.95924012');
INSERT INTO public.ecdc_import VALUES (56146, '14/11/2020', '14', '11', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.89737699');
INSERT INTO public.ecdc_import VALUES (56147, '13/11/2020', '13', '11', '2020', '12', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.82314124');
INSERT INTO public.ecdc_import VALUES (56148, '12/11/2020', '12', '11', '2020', '35', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.39228201');
INSERT INTO public.ecdc_import VALUES (56149, '11/11/2020', '11', '11', '2020', '35', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '4.07059375');
INSERT INTO public.ecdc_import VALUES (56150, '10/11/2020', '10', '11', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.94686749');
INSERT INTO public.ecdc_import VALUES (56151, '09/11/2020', '9', '11', '2020', '33', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.90974962');
INSERT INTO public.ecdc_import VALUES (56152, '08/11/2020', '8', '11', '2020', '23', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.66229711');
INSERT INTO public.ecdc_import VALUES (56153, '07/11/2020', '7', '11', '2020', '18', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.68704236');
INSERT INTO public.ecdc_import VALUES (56154, '06/11/2020', '6', '11', '2020', '36', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.74890549');
INSERT INTO public.ecdc_import VALUES (56155, '05/11/2020', '5', '11', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.53857086');
INSERT INTO public.ecdc_import VALUES (56156, '04/11/2020', '4', '11', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.42721723');
INSERT INTO public.ecdc_import VALUES (56157, '03/11/2020', '3', '11', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.62517923');
INSERT INTO public.ecdc_import VALUES (56158, '02/11/2020', '2', '11', '2020', '26', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.71178761');
INSERT INTO public.ecdc_import VALUES (56159, '01/11/2020', '1', '11', '2020', '19', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.48908035');
INSERT INTO public.ecdc_import VALUES (56160, '31/10/2020', '31', '10', '2020', '16', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.52619823');
INSERT INTO public.ecdc_import VALUES (56161, '30/10/2020', '30', '10', '2020', '58', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.71178761');
INSERT INTO public.ecdc_import VALUES (56162, '29/10/2020', '29', '10', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.15501947');
INSERT INTO public.ecdc_import VALUES (56163, '28/10/2020', '28', '10', '2020', '25', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.17976472');
INSERT INTO public.ecdc_import VALUES (56164, '27/10/2020', '27', '10', '2020', '4', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.15501947');
INSERT INTO public.ecdc_import VALUES (56165, '26/10/2020', '26', '10', '2020', '13', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.2168826');
INSERT INTO public.ecdc_import VALUES (56166, '25/10/2020', '25', '10', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.11790159');
INSERT INTO public.ecdc_import VALUES (56167, '24/10/2020', '24', '10', '2020', '23', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.98180271');
INSERT INTO public.ecdc_import VALUES (56168, '23/10/2020', '23', '10', '2020', '19', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.87044909');
INSERT INTO public.ecdc_import VALUES (56169, '22/10/2020', '22', '10', '2020', '16', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.74672283');
INSERT INTO public.ecdc_import VALUES (56170, '21/10/2020', '21', '10', '2020', '33', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.75909546');
INSERT INTO public.ecdc_import VALUES (56171, '20/10/2020', '20', '10', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.56113345');
INSERT INTO public.ecdc_import VALUES (56172, '19/10/2020', '19', '10', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.51164295');
INSERT INTO public.ecdc_import VALUES (56173, '18/10/2020', '18', '10', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.5858787');
INSERT INTO public.ecdc_import VALUES (56174, '17/10/2020', '17', '10', '2020', '31', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.5858787');
INSERT INTO public.ecdc_import VALUES (56175, '16/10/2020', '16', '10', '2020', '13', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.31368094');
INSERT INTO public.ecdc_import VALUES (56176, '15/10/2020', '15', '10', '2020', '11', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.46215245');
INSERT INTO public.ecdc_import VALUES (56177, '14/10/2020', '14', '10', '2020', '23', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.6353692');
INSERT INTO public.ecdc_import VALUES (56178, '13/10/2020', '13', '10', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.47452507');
INSERT INTO public.ecdc_import VALUES (56179, '12/10/2020', '12', '10', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.4374072');
INSERT INTO public.ecdc_import VALUES (56180, '11/10/2020', '11', '10', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.46215245');
INSERT INTO public.ecdc_import VALUES (56181, '10/10/2020', '10', '10', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.46215245');
INSERT INTO public.ecdc_import VALUES (56182, '09/10/2020', '9', '10', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.47452507');
INSERT INTO public.ecdc_import VALUES (56183, '08/10/2020', '8', '10', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.4374072');
INSERT INTO public.ecdc_import VALUES (56184, '07/10/2020', '7', '10', '2020', '17', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.44977982');
INSERT INTO public.ecdc_import VALUES (56185, '06/10/2020', '6', '10', '2020', '10', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.41266195');
INSERT INTO public.ecdc_import VALUES (56186, '05/10/2020', '5', '10', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.32605357');
INSERT INTO public.ecdc_import VALUES (56187, '04/10/2020', '4', '10', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.23944519');
INSERT INTO public.ecdc_import VALUES (56188, '03/10/2020', '3', '10', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.20232732');
INSERT INTO public.ecdc_import VALUES (56189, '02/10/2020', '2', '10', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.36317145');
INSERT INTO public.ecdc_import VALUES (56190, '01/10/2020', '1', '10', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.17758206');
INSERT INTO public.ecdc_import VALUES (56191, '30/09/2020', '30', '9', '2020', '10', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.02911056');
INSERT INTO public.ecdc_import VALUES (56192, '29/09/2020', '29', '9', '2020', '6', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.11571894');
INSERT INTO public.ecdc_import VALUES (56193, '28/09/2020', '28', '9', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.11571894');
INSERT INTO public.ecdc_import VALUES (56194, '27/09/2020', '27', '9', '2020', '14', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.23944519');
INSERT INTO public.ecdc_import VALUES (56195, '26/09/2020', '26', '9', '2020', '15', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.15283681');
INSERT INTO public.ecdc_import VALUES (56196, '25/09/2020', '25', '9', '2020', '6', '3', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.10334631');
INSERT INTO public.ecdc_import VALUES (56197, '24/09/2020', '24', '9', '2020', '18', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.14046419');
INSERT INTO public.ecdc_import VALUES (56198, '23/09/2020', '23', '9', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.10334631');
INSERT INTO public.ecdc_import VALUES (56199, '22/09/2020', '22', '9', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.17758206');
INSERT INTO public.ecdc_import VALUES (56200, '21/09/2020', '21', '9', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.20232732');
INSERT INTO public.ecdc_import VALUES (56201, '20/09/2020', '20', '9', '2020', '19', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.25181782');
INSERT INTO public.ecdc_import VALUES (56202, '19/09/2020', '19', '9', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.26419044');
INSERT INTO public.ecdc_import VALUES (56203, '18/09/2020', '18', '9', '2020', '10', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.16520944');
INSERT INTO public.ecdc_import VALUES (56204, '17/09/2020', '17', '9', '2020', '13', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.15283681');
INSERT INTO public.ecdc_import VALUES (56205, '16/09/2020', '16', '9', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.21469994');
INSERT INTO public.ecdc_import VALUES (56206, '15/09/2020', '15', '9', '2020', '6', '3', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.20232732');
INSERT INTO public.ecdc_import VALUES (56207, '14/09/2020', '14', '9', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.17758206');
INSERT INTO public.ecdc_import VALUES (56208, '13/09/2020', '13', '9', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.04148319');
INSERT INTO public.ecdc_import VALUES (56209, '12/09/2020', '12', '9', '2020', '11', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.26419044');
INSERT INTO public.ecdc_import VALUES (56210, '11/09/2020', '11', '9', '2020', '9', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.61062395');
INSERT INTO public.ecdc_import VALUES (56211, '10/09/2020', '10', '9', '2020', '15', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.49927032');
INSERT INTO public.ecdc_import VALUES (56212, '09/09/2020', '9', '9', '2020', '20', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.52401558');
INSERT INTO public.ecdc_import VALUES (56213, '08/09/2020', '8', '9', '2020', '5', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.44977982');
INSERT INTO public.ecdc_import VALUES (56214, '07/09/2020', '7', '9', '2020', '11', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.61062395');
INSERT INTO public.ecdc_import VALUES (56215, '06/09/2020', '6', '9', '2020', '20', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.49927032');
INSERT INTO public.ecdc_import VALUES (56216, '05/09/2020', '5', '9', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.69723233');
INSERT INTO public.ecdc_import VALUES (56217, '04/09/2020', '4', '9', '2020', '9', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.85807646');
INSERT INTO public.ecdc_import VALUES (56218, '03/09/2020', '3', '9', '2020', '18', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.01892059');
INSERT INTO public.ecdc_import VALUES (56219, '02/09/2020', '2', '9', '2020', '16', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.00654796');
INSERT INTO public.ecdc_import VALUES (56220, '01/09/2020', '1', '9', '2020', '4', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.04366584');
INSERT INTO public.ecdc_import VALUES (56221, '31/08/2020', '31', '8', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.08078372');
INSERT INTO public.ecdc_import VALUES (56222, '30/08/2020', '30', '8', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '3.2168826');
INSERT INTO public.ecdc_import VALUES (56223, '29/08/2020', '29', '8', '2020', '39', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.98180271');
INSERT INTO public.ecdc_import VALUES (56224, '28/08/2020', '28', '8', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.74672283');
INSERT INTO public.ecdc_import VALUES (56225, '27/08/2020', '27', '8', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.89519434');
INSERT INTO public.ecdc_import VALUES (56226, '26/08/2020', '26', '8', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.95705746');
INSERT INTO public.ecdc_import VALUES (56227, '25/08/2020', '25', '8', '2020', '18', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.82095858');
INSERT INTO public.ecdc_import VALUES (56228, '24/08/2020', '24', '8', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.6848597');
INSERT INTO public.ecdc_import VALUES (56229, '23/08/2020', '23', '8', '2020', '36', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.83333121');
INSERT INTO public.ecdc_import VALUES (56230, '22/08/2020', '22', '8', '2020', '27', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.61062395');
INSERT INTO public.ecdc_import VALUES (56231, '21/08/2020', '21', '8', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.47452507');
INSERT INTO public.ecdc_import VALUES (56232, '20/08/2020', '20', '8', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.33842619');
INSERT INTO public.ecdc_import VALUES (56233, '19/08/2020', '19', '8', '2020', '19', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.28893569');
INSERT INTO public.ecdc_import VALUES (56234, '18/08/2020', '18', '8', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.20232732');
INSERT INTO public.ecdc_import VALUES (56235, '17/08/2020', '17', '8', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.30130832');
INSERT INTO public.ecdc_import VALUES (56236, '16/08/2020', '16', '8', '2020', '6', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.12809156');
INSERT INTO public.ecdc_import VALUES (56237, '15/08/2020', '15', '8', '2020', '20', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.26419044');
INSERT INTO public.ecdc_import VALUES (56238, '14/08/2020', '14', '8', '2020', '12', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.18995469');
INSERT INTO public.ecdc_import VALUES (56239, '13/08/2020', '13', '8', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.42503457');
INSERT INTO public.ecdc_import VALUES (56240, '12/08/2020', '12', '8', '2020', '3', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.15283681');
INSERT INTO public.ecdc_import VALUES (56241, '11/08/2020', '11', '8', '2020', '7', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.3879167');
INSERT INTO public.ecdc_import VALUES (56242, '10/08/2020', '10', '8', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.37554407');
INSERT INTO public.ecdc_import VALUES (56243, '09/08/2020', '9', '8', '2020', '18', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.3879167');
INSERT INTO public.ecdc_import VALUES (56244, '08/08/2020', '8', '8', '2020', '16', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.33842619');
INSERT INTO public.ecdc_import VALUES (56245, '07/08/2020', '7', '8', '2020', '11', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.27656307');
INSERT INTO public.ecdc_import VALUES (56246, '06/08/2020', '6', '8', '2020', '13', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.41266195');
INSERT INTO public.ecdc_import VALUES (56247, '05/08/2020', '5', '8', '2020', '12', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.44977982');
INSERT INTO public.ecdc_import VALUES (56248, '04/08/2020', '4', '8', '2020', '15', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.3879167');
INSERT INTO public.ecdc_import VALUES (56249, '03/08/2020', '3', '8', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.31368094');
INSERT INTO public.ecdc_import VALUES (56250, '02/08/2020', '2', '8', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.37554407');
INSERT INTO public.ecdc_import VALUES (56251, '01/08/2020', '1', '8', '2020', '14', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.37554407');
INSERT INTO public.ecdc_import VALUES (56252, '31/07/2020', '31', '7', '2020', '31', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.20232732');
INSERT INTO public.ecdc_import VALUES (56253, '30/07/2020', '30', '7', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.93012956');
INSERT INTO public.ecdc_import VALUES (56254, '29/07/2020', '29', '7', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.04148319');
INSERT INTO public.ecdc_import VALUES (56255, '28/07/2020', '28', '7', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.89301168');
INSERT INTO public.ecdc_import VALUES (56256, '27/07/2020', '27', '7', '2020', '15', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.83114855');
INSERT INTO public.ecdc_import VALUES (56257, '26/07/2020', '26', '7', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.67030442');
INSERT INTO public.ecdc_import VALUES (56258, '25/07/2020', '25', '7', '2020', '11', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.59606867');
INSERT INTO public.ecdc_import VALUES (56259, '24/07/2020', '24', '7', '2020', '22', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.53420555');
INSERT INTO public.ecdc_import VALUES (56260, '23/07/2020', '23', '7', '2020', '16', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56261, '22/07/2020', '22', '7', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.24963516');
INSERT INTO public.ecdc_import VALUES (56262, '21/07/2020', '21', '7', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.27438041');
INSERT INTO public.ecdc_import VALUES (56263, '20/07/2020', '20', '7', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.16302678');
INSERT INTO public.ecdc_import VALUES (56264, '19/07/2020', '19', '7', '2020', '17', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.11353628');
INSERT INTO public.ecdc_import VALUES (56265, '18/07/2020', '18', '7', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.96506478');
INSERT INTO public.ecdc_import VALUES (56266, '17/07/2020', '17', '7', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.01455528');
INSERT INTO public.ecdc_import VALUES (56267, '16/07/2020', '16', '7', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.9774374');
INSERT INTO public.ecdc_import VALUES (56268, '15/07/2020', '15', '7', '2020', '10', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.00218265');
INSERT INTO public.ecdc_import VALUES (56269, '14/07/2020', '14', '7', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.96506478');
INSERT INTO public.ecdc_import VALUES (56270, '13/07/2020', '13', '7', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.96506478');
INSERT INTO public.ecdc_import VALUES (56271, '12/07/2020', '12', '7', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.27438041');
INSERT INTO public.ecdc_import VALUES (56272, '11/07/2020', '11', '7', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.47234242');
INSERT INTO public.ecdc_import VALUES (56273, '10/07/2020', '10', '7', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.43522454');
INSERT INTO public.ecdc_import VALUES (56274, '09/07/2020', '9', '7', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.38573404');
INSERT INTO public.ecdc_import VALUES (56275, '08/07/2020', '8', '7', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.39810667');
INSERT INTO public.ecdc_import VALUES (56276, '07/07/2020', '7', '7', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56277, '06/07/2020', '6', '7', '2020', '4', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56278, '05/07/2020', '5', '7', '2020', '5', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.42285192');
INSERT INTO public.ecdc_import VALUES (56279, '04/07/2020', '4', '7', '2020', '4', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.43522454');
INSERT INTO public.ecdc_import VALUES (56280, '03/07/2020', '3', '7', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.48471504');
INSERT INTO public.ecdc_import VALUES (56281, '02/07/2020', '2', '7', '2020', '11', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.44759717');
INSERT INTO public.ecdc_import VALUES (56282, '01/07/2020', '1', '7', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.39810667');
INSERT INTO public.ecdc_import VALUES (56283, '30/06/2020', '30', '6', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56284, '29/06/2020', '29', '6', '2020', '27', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56285, '28/06/2020', '28', '6', '2020', '24', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.05167316');
INSERT INTO public.ecdc_import VALUES (56286, '27/06/2020', '27', '6', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.81659327');
INSERT INTO public.ecdc_import VALUES (56287, '26/06/2020', '26', '6', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.79184802');
INSERT INTO public.ecdc_import VALUES (56288, '25/06/2020', '25', '6', '2020', '7', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.75473015');
INSERT INTO public.ecdc_import VALUES (56289, '24/06/2020', '24', '6', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.9279469');
INSERT INTO public.ecdc_import VALUES (56290, '23/06/2020', '23', '6', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.89082903');
INSERT INTO public.ecdc_import VALUES (56291, '22/06/2020', '22', '6', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.91557428');
INSERT INTO public.ecdc_import VALUES (56292, '21/06/2020', '21', '6', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.91557428');
INSERT INTO public.ecdc_import VALUES (56293, '20/06/2020', '20', '6', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.86608378');
INSERT INTO public.ecdc_import VALUES (56294, '19/06/2020', '19', '6', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.01455528');
INSERT INTO public.ecdc_import VALUES (56295, '18/06/2020', '18', '6', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.13828153');
INSERT INTO public.ecdc_import VALUES (56296, '17/06/2020', '17', '6', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.13828153');
INSERT INTO public.ecdc_import VALUES (56297, '16/06/2020', '16', '6', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.10116366');
INSERT INTO public.ecdc_import VALUES (56298, '15/06/2020', '15', '6', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.10116366');
INSERT INTO public.ecdc_import VALUES (56299, '14/06/2020', '14', '6', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.20014466');
INSERT INTO public.ecdc_import VALUES (56300, '13/06/2020', '13', '6', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.20014466');
INSERT INTO public.ecdc_import VALUES (56301, '12/06/2020', '12', '6', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.26200779');
INSERT INTO public.ecdc_import VALUES (56302, '11/06/2020', '11', '6', '2020', '21', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.57132342');
INSERT INTO public.ecdc_import VALUES (56303, '10/06/2020', '10', '6', '2020', '4', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.36098879');
INSERT INTO public.ecdc_import VALUES (56304, '09/06/2020', '9', '6', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56305, '08/06/2020', '8', '6', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.41047929');
INSERT INTO public.ecdc_import VALUES (56306, '07/06/2020', '7', '6', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.41047929');
INSERT INTO public.ecdc_import VALUES (56307, '06/06/2020', '6', '6', '2020', '20', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.50946029');
INSERT INTO public.ecdc_import VALUES (56308, '05/06/2020', '5', '6', '2020', '13', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.37336142');
INSERT INTO public.ecdc_import VALUES (56309, '04/06/2020', '4', '6', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.38573404');
INSERT INTO public.ecdc_import VALUES (56310, '03/06/2020', '3', '6', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.32387091');
INSERT INTO public.ecdc_import VALUES (56311, '02/06/2020', '2', '6', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.39810667');
INSERT INTO public.ecdc_import VALUES (56312, '01/06/2020', '1', '6', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.74454018');
INSERT INTO public.ecdc_import VALUES (56313, '31/05/2020', '31', '5', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.67030442');
INSERT INTO public.ecdc_import VALUES (56314, '30/05/2020', '30', '5', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.04148319');
INSERT INTO public.ecdc_import VALUES (56315, '29/05/2020', '29', '5', '2020', '27', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.27656307');
INSERT INTO public.ecdc_import VALUES (56316, '28/05/2020', '28', '5', '2020', '4', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.17758206');
INSERT INTO public.ecdc_import VALUES (56317, '27/05/2020', '27', '5', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.37554407');
INSERT INTO public.ecdc_import VALUES (56318, '26/05/2020', '26', '5', '2020', '5', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.5363882');
INSERT INTO public.ecdc_import VALUES (56319, '25/05/2020', '25', '5', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.56113345');
INSERT INTO public.ecdc_import VALUES (56320, '24/05/2020', '24', '5', '2020', '10', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.72197758');
INSERT INTO public.ecdc_import VALUES (56321, '23/05/2020', '23', '5', '2020', '9', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.69723233');
INSERT INTO public.ecdc_import VALUES (56322, '22/05/2020', '22', '5', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.70960496');
INSERT INTO public.ecdc_import VALUES (56323, '21/05/2020', '21', '5', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.62299658');
INSERT INTO public.ecdc_import VALUES (56324, '20/05/2020', '20', '5', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.59825133');
INSERT INTO public.ecdc_import VALUES (56325, '19/05/2020', '19', '5', '2020', '29', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.52401558');
INSERT INTO public.ecdc_import VALUES (56326, '18/05/2020', '18', '5', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.18995469');
INSERT INTO public.ecdc_import VALUES (56327, '17/05/2020', '17', '5', '2020', '35', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '2.16520944');
INSERT INTO public.ecdc_import VALUES (56328, '16/05/2020', '16', '5', '2020', '25', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.73216755');
INSERT INTO public.ecdc_import VALUES (56329, '15/05/2020', '15', '5', '2020', '19', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.50946029');
INSERT INTO public.ecdc_import VALUES (56330, '14/05/2020', '14', '5', '2020', '20', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.36098879');
INSERT INTO public.ecdc_import VALUES (56331, '13/05/2020', '13', '5', '2020', '18', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.23726254');
INSERT INTO public.ecdc_import VALUES (56332, '12/05/2020', '12', '5', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '1.01455528');
INSERT INTO public.ecdc_import VALUES (56333, '11/05/2020', '11', '5', '2020', '21', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.94031953');
INSERT INTO public.ecdc_import VALUES (56334, '10/05/2020', '10', '5', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.70523965');
INSERT INTO public.ecdc_import VALUES (56335, '09/05/2020', '9', '5', '2020', '10', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.6804944');
INSERT INTO public.ecdc_import VALUES (56336, '08/05/2020', '8', '5', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.58151339');
INSERT INTO public.ecdc_import VALUES (56337, '07/05/2020', '7', '5', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.49490501');
INSERT INTO public.ecdc_import VALUES (56338, '06/05/2020', '6', '5', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.51965027');
INSERT INTO public.ecdc_import VALUES (56339, '05/05/2020', '5', '5', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.51965027');
INSERT INTO public.ecdc_import VALUES (56340, '04/05/2020', '4', '5', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.49490501');
INSERT INTO public.ecdc_import VALUES (56341, '03/05/2020', '3', '5', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.48253239');
INSERT INTO public.ecdc_import VALUES (56342, '02/05/2020', '2', '5', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.49490501');
INSERT INTO public.ecdc_import VALUES (56343, '01/05/2020', '1', '5', '2020', '7', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.43304189');
INSERT INTO public.ecdc_import VALUES (56344, '30/04/2020', '30', '4', '2020', '10', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.34643351');
INSERT INTO public.ecdc_import VALUES (56345, '29/04/2020', '29', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.27219776');
INSERT INTO public.ecdc_import VALUES (56346, '28/04/2020', '28', '4', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.27219776');
INSERT INTO public.ecdc_import VALUES (56347, '27/04/2020', '27', '4', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.27219776');
INSERT INTO public.ecdc_import VALUES (56348, '26/04/2020', '26', '4', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.24745251');
INSERT INTO public.ecdc_import VALUES (56349, '25/04/2020', '25', '4', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.17321676');
INSERT INTO public.ecdc_import VALUES (56350, '24/04/2020', '24', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.18558938');
INSERT INTO public.ecdc_import VALUES (56351, '23/04/2020', '23', '4', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.22270726');
INSERT INTO public.ecdc_import VALUES (56352, '22/04/2020', '22', '4', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.25982513');
INSERT INTO public.ecdc_import VALUES (56353, '21/04/2020', '21', '4', '2020', '0', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.32168826');
INSERT INTO public.ecdc_import VALUES (56354, '20/04/2020', '20', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.49490501');
INSERT INTO public.ecdc_import VALUES (56355, '19/04/2020', '19', '4', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.53202289');
INSERT INTO public.ecdc_import VALUES (56356, '18/04/2020', '18', '4', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.53202289');
INSERT INTO public.ecdc_import VALUES (56357, '17/04/2020', '17', '4', '2020', '0', '2', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.51965027');
INSERT INTO public.ecdc_import VALUES (56358, '16/04/2020', '16', '4', '2020', '4', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.55676814');
INSERT INTO public.ecdc_import VALUES (56359, '15/04/2020', '15', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.53202289');
INSERT INTO public.ecdc_import VALUES (56360, '14/04/2020', '14', '4', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.53202289');
INSERT INTO public.ecdc_import VALUES (56361, '13/04/2020', '13', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.56914077');
INSERT INTO public.ecdc_import VALUES (56362, '12/04/2020', '12', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.59388602');
INSERT INTO public.ecdc_import VALUES (56363, '11/04/2020', '11', '4', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.63100389');
INSERT INTO public.ecdc_import VALUES (56364, '10/04/2020', '10', '4', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.60625864');
INSERT INTO public.ecdc_import VALUES (56365, '09/04/2020', '9', '4', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.58151339');
INSERT INTO public.ecdc_import VALUES (56366, '08/04/2020', '8', '4', '2020', '7', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.58151339');
INSERT INTO public.ecdc_import VALUES (56367, '07/04/2020', '7', '4', '2020', '14', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.49490501');
INSERT INTO public.ecdc_import VALUES (56368, '06/04/2020', '6', '4', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.35880614');
INSERT INTO public.ecdc_import VALUES (56369, '05/04/2020', '5', '4', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.32168826');
INSERT INTO public.ecdc_import VALUES (56370, '04/04/2020', '4', '4', '2020', '1', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.38355139');
INSERT INTO public.ecdc_import VALUES (56371, '03/04/2020', '3', '4', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.47015976');
INSERT INTO public.ecdc_import VALUES (56372, '02/04/2020', '2', '4', '2020', '2', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.43304189');
INSERT INTO public.ecdc_import VALUES (56373, '01/04/2020', '1', '4', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.40829664');
INSERT INTO public.ecdc_import VALUES (56374, '31/03/2020', '31', '3', '2020', '4', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.40829664');
INSERT INTO public.ecdc_import VALUES (56375, '30/03/2020', '30', '3', '2020', '2', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.35880614');
INSERT INTO public.ecdc_import VALUES (56376, '29/03/2020', '29', '3', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.33406088');
INSERT INTO public.ecdc_import VALUES (56377, '28/03/2020', '28', '3', '2020', '1', '1', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.29694301');
INSERT INTO public.ecdc_import VALUES (56378, '27/03/2020', '27', '3', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '0.29694301');
INSERT INTO public.ecdc_import VALUES (56379, '26/03/2020', '26', '3', '2020', '5', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56380, '25/03/2020', '25', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56381, '24/03/2020', '24', '3', '2020', '3', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56382, '23/03/2020', '23', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56383, '22/03/2020', '22', '3', '2020', '6', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56384, '21/03/2020', '21', '3', '2020', '8', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56385, '20/03/2020', '20', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56386, '19/03/2020', '19', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56387, '18/03/2020', '18', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56388, '17/03/2020', '17', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56389, '16/03/2020', '16', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56390, '15/03/2020', '15', '3', '2020', '0', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56391, '07/03/2020', '7', '3', '2020', '1', '0', '8082359', 'Togo', 'TG', 'TGO', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56392, '14/12/2020', '14', '12', '2020', '15', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '15.6992736');
INSERT INTO public.ecdc_import VALUES (56393, '13/12/2020', '13', '12', '2020', '12', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '16.77456632');
INSERT INTO public.ecdc_import VALUES (56394, '12/12/2020', '12', '12', '2020', '19', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '19.0685241');
INSERT INTO public.ecdc_import VALUES (56395, '11/12/2020', '11', '12', '2020', '25', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '18.85346556');
INSERT INTO public.ecdc_import VALUES (56396, '10/12/2020', '10', '12', '2020', '26', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '21.86428516');
INSERT INTO public.ecdc_import VALUES (56397, '09/12/2020', '9', '12', '2020', '7', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '21.07573717');
INSERT INTO public.ecdc_import VALUES (56398, '08/12/2020', '8', '12', '2020', '8', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '21.50585425');
INSERT INTO public.ecdc_import VALUES (56399, '07/12/2020', '7', '12', '2020', '16', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '22.72451933');
INSERT INTO public.ecdc_import VALUES (56400, '06/12/2020', '6', '12', '2020', '16', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '30.60999922');
INSERT INTO public.ecdc_import VALUES (56401, '05/12/2020', '5', '12', '2020', '10', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '33.97924972');
INSERT INTO public.ecdc_import VALUES (56402, '04/12/2020', '4', '12', '2020', '21', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '35.26960097');
INSERT INTO public.ecdc_import VALUES (56403, '03/12/2020', '3', '12', '2020', '19', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '37.56355876');
INSERT INTO public.ecdc_import VALUES (56404, '02/12/2020', '2', '12', '2020', '16', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '39.42739946');
INSERT INTO public.ecdc_import VALUES (56405, '01/12/2020', '1', '12', '2020', '9', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '41.07618162');
INSERT INTO public.ecdc_import VALUES (56406, '30/11/2020', '30', '11', '2020', '30', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '41.57798489');
INSERT INTO public.ecdc_import VALUES (56407, '29/11/2020', '29', '11', '2020', '44', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '39.642458');
INSERT INTO public.ecdc_import VALUES (56408, '28/11/2020', '28', '11', '2020', '16', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '43.44182559');
INSERT INTO public.ecdc_import VALUES (56409, '27/11/2020', '27', '11', '2020', '67', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '45.87915574');
INSERT INTO public.ecdc_import VALUES (56410, '26/11/2020', '26', '11', '2020', '15', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '42.94002232');
INSERT INTO public.ecdc_import VALUES (56411, '25/11/2020', '25', '11', '2020', '13', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '43.58519795');
INSERT INTO public.ecdc_import VALUES (56412, '24/11/2020', '24', '11', '2020', '25', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '44.87554921');
INSERT INTO public.ecdc_import VALUES (56413, '23/11/2020', '23', '11', '2020', '126', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '43.08339468');
INSERT INTO public.ecdc_import VALUES (56414, '22/11/2020', '22', '11', '2020', '63', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '34.83948389');
INSERT INTO public.ecdc_import VALUES (56415, '21/11/2020', '21', '11', '2020', '28', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '33.19070173');
INSERT INTO public.ecdc_import VALUES (56416, '20/11/2020', '20', '11', '2020', '53', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '32.90395701');
INSERT INTO public.ecdc_import VALUES (56417, '19/11/2020', '19', '11', '2020', '45', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '29.82145123');
INSERT INTO public.ecdc_import VALUES (56418, '18/11/2020', '18', '11', '2020', '39', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '27.3124349');
INSERT INTO public.ecdc_import VALUES (56419, '17/11/2020', '17', '11', '2020', '16', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '28.10098289');
INSERT INTO public.ecdc_import VALUES (56420, '16/11/2020', '16', '11', '2020', '3', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '29.53470651');
INSERT INTO public.ecdc_import VALUES (56421, '15/11/2020', '15', '11', '2020', '97', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '29.31964796');
INSERT INTO public.ecdc_import VALUES (56422, '14/11/2020', '14', '11', '2020', '50', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '22.36608842');
INSERT INTO public.ecdc_import VALUES (56423, '13/11/2020', '13', '11', '2020', '26', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '21.07573717');
INSERT INTO public.ecdc_import VALUES (56424, '12/11/2020', '12', '11', '2020', '24', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '22.22271606');
INSERT INTO public.ecdc_import VALUES (56425, '11/11/2020', '11', '11', '2020', '31', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '22.36608842');
INSERT INTO public.ecdc_import VALUES (56426, '10/11/2020', '10', '11', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '22.50946078');
INSERT INTO public.ecdc_import VALUES (56427, '09/11/2020', '9', '11', '2020', '11', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '24.22992912');
INSERT INTO public.ecdc_import VALUES (56428, '08/11/2020', '8', '11', '2020', '40', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '24.01487058');
INSERT INTO public.ecdc_import VALUES (56429, '07/11/2020', '7', '11', '2020', '24', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '22.29440224');
INSERT INTO public.ecdc_import VALUES (56430, '06/11/2020', '6', '11', '2020', '10', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '23.51306732');
INSERT INTO public.ecdc_import VALUES (56431, '05/11/2020', '5', '11', '2020', '10', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '26.66725927');
INSERT INTO public.ecdc_import VALUES (56432, '04/11/2020', '4', '11', '2020', '50', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '30.17988213');
INSERT INTO public.ecdc_import VALUES (56433, '03/11/2020', '3', '11', '2020', '36', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '29.10458942');
INSERT INTO public.ecdc_import VALUES (56434, '02/11/2020', '2', '11', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '26.59557309');
INSERT INTO public.ecdc_import VALUES (56435, '01/11/2020', '1', '11', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '27.74255199');
INSERT INTO public.ecdc_import VALUES (56436, '31/10/2020', '31', '10', '2020', '32', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '30.60999922');
INSERT INTO public.ecdc_import VALUES (56437, '30/10/2020', '30', '10', '2020', '42', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '31.68529193');
INSERT INTO public.ecdc_import VALUES (56438, '29/10/2020', '29', '10', '2020', '26', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '31.54191957');
INSERT INTO public.ecdc_import VALUES (56439, '28/10/2020', '28', '10', '2020', '33', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '31.61360575');
INSERT INTO public.ecdc_import VALUES (56440, '27/10/2020', '27', '10', '2020', '24', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '30.03650977');
INSERT INTO public.ecdc_import VALUES (56441, '26/10/2020', '26', '10', '2020', '8', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '29.39133414');
INSERT INTO public.ecdc_import VALUES (56442, '25/10/2020', '25', '10', '2020', '16', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '32.97564319');
INSERT INTO public.ecdc_import VALUES (56443, '24/10/2020', '24', '10', '2020', '41', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '33.40576027');
INSERT INTO public.ecdc_import VALUES (56444, '23/10/2020', '23', '10', '2020', '54', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '34.62442535');
INSERT INTO public.ecdc_import VALUES (56445, '22/10/2020', '22', '10', '2020', '59', '3', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '36.20152132');
INSERT INTO public.ecdc_import VALUES (56446, '21/10/2020', '21', '10', '2020', '35', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '34.91117007');
INSERT INTO public.ecdc_import VALUES (56447, '20/10/2020', '20', '10', '2020', '1', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '38.06536203');
INSERT INTO public.ecdc_import VALUES (56448, '19/10/2020', '19', '10', '2020', '16', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '38.28042057');
INSERT INTO public.ecdc_import VALUES (56449, '18/10/2020', '18', '10', '2020', '40', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '41.00449544');
INSERT INTO public.ecdc_import VALUES (56450, '17/10/2020', '17', '10', '2020', '47', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '43.87194267');
INSERT INTO public.ecdc_import VALUES (56451, '16/10/2020', '16', '10', '2020', '40', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '44.73217684');
INSERT INTO public.ecdc_import VALUES (56452, '15/10/2020', '15', '10', '2020', '27', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '44.66049066');
INSERT INTO public.ecdc_import VALUES (56453, '14/10/2020', '14', '10', '2020', '11', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '47.59962408');
INSERT INTO public.ecdc_import VALUES (56454, '13/10/2020', '13', '10', '2020', '15', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '52.33091201');
INSERT INTO public.ecdc_import VALUES (56455, '12/10/2020', '12', '10', '2020', '58', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '52.97608764');
INSERT INTO public.ecdc_import VALUES (56456, '11/10/2020', '11', '10', '2020', '22', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '52.40259819');
INSERT INTO public.ecdc_import VALUES (56457, '10/10/2020', '10', '10', '2020', '58', '3', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '53.33451854');
INSERT INTO public.ecdc_import VALUES (56458, '09/10/2020', '9', '10', '2020', '76', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '52.18753965');
INSERT INTO public.ecdc_import VALUES (56459, '08/10/2020', '8', '10', '2020', '41', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '53.83632181');
INSERT INTO public.ecdc_import VALUES (56460, '07/10/2020', '7', '10', '2020', '79', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '58.78266829');
INSERT INTO public.ecdc_import VALUES (56461, '06/10/2020', '6', '10', '2020', '4', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '58.92604065');
INSERT INTO public.ecdc_import VALUES (56462, '05/10/2020', '5', '10', '2020', '54', '3', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '61.79348788');
INSERT INTO public.ecdc_import VALUES (56463, '04/10/2020', '4', '10', '2020', '80', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '61.3633708');
INSERT INTO public.ecdc_import VALUES (56464, '03/10/2020', '3', '10', '2020', '59', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '70.10908486');
INSERT INTO public.ecdc_import VALUES (56465, '02/10/2020', '2', '10', '2020', '39', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '81.43550143');
INSERT INTO public.ecdc_import VALUES (56466, '01/10/2020', '1', '10', '2020', '68', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '86.31016173');
INSERT INTO public.ecdc_import VALUES (56467, '30/09/2020', '30', '9', '2020', '77', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '88.89086424');
INSERT INTO public.ecdc_import VALUES (56468, '29/09/2020', '29', '9', '2020', '24', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '89.24929515');
INSERT INTO public.ecdc_import VALUES (56469, '28/09/2020', '28', '9', '2020', '50', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '94.62575871');
INSERT INTO public.ecdc_import VALUES (56470, '27/09/2020', '27', '9', '2020', '35', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '94.55407253');
INSERT INTO public.ecdc_import VALUES (56471, '26/09/2020', '26', '9', '2020', '42', '3', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '104.08833458');
INSERT INTO public.ecdc_import VALUES (56472, '25/09/2020', '25', '9', '2020', '99', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '110.18165995');
INSERT INTO public.ecdc_import VALUES (56473, '24/09/2020', '24', '9', '2020', '110', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '110.97020794');
INSERT INTO public.ecdc_import VALUES (56474, '23/09/2020', '23', '9', '2020', '81', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '117.20690567');
INSERT INTO public.ecdc_import VALUES (56475, '22/09/2020', '22', '9', '2020', '44', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '119.57254964');
INSERT INTO public.ecdc_import VALUES (56476, '21/09/2020', '21', '9', '2020', '48', '4', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '118.35388457');
INSERT INTO public.ecdc_import VALUES (56477, '20/09/2020', '20', '9', '2020', '202', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '116.3466715');
INSERT INTO public.ecdc_import VALUES (56478, '19/09/2020', '19', '9', '2020', '217', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '115.48643733');
INSERT INTO public.ecdc_import VALUES (56479, '18/09/2020', '18', '9', '2020', '107', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '103.94496222');
INSERT INTO public.ecdc_import VALUES (56480, '17/09/2020', '17', '9', '2020', '104', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '100.86245644');
INSERT INTO public.ecdc_import VALUES (56481, '16/09/2020', '16', '9', '2020', '82', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '102.22449388');
INSERT INTO public.ecdc_import VALUES (56482, '15/09/2020', '15', '9', '2020', '99', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '99.07030192');
INSERT INTO public.ecdc_import VALUES (56483, '14/09/2020', '14', '9', '2020', '49', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '97.42151976');
INSERT INTO public.ecdc_import VALUES (56484, '13/09/2020', '13', '9', '2020', '168', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '96.63297177');
INSERT INTO public.ecdc_import VALUES (56485, '12/09/2020', '12', '9', '2020', '127', '7', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '91.11313585');
INSERT INTO public.ecdc_import VALUES (56486, '11/09/2020', '11', '9', '2020', '110', '4', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '87.60051299');
INSERT INTO public.ecdc_import VALUES (56487, '10/09/2020', '10', '9', '2020', '197', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '84.37463485');
INSERT INTO public.ecdc_import VALUES (56488, '09/09/2020', '9', '9', '2020', '114', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '81.65055998');
INSERT INTO public.ecdc_import VALUES (56489, '08/09/2020', '8', '9', '2020', '27', '3', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '84.44632103');
INSERT INTO public.ecdc_import VALUES (56490, '07/09/2020', '7', '9', '2020', '20', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '89.10592278');
INSERT INTO public.ecdc_import VALUES (56491, '06/09/2020', '6', '9', '2020', '190', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '93.19203509');
INSERT INTO public.ecdc_import VALUES (56492, '05/09/2020', '5', '9', '2020', '56', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '84.30294867');
INSERT INTO public.ecdc_import VALUES (56493, '04/09/2020', '4', '9', '2020', '64', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '87.24208208');
INSERT INTO public.ecdc_import VALUES (56494, '03/09/2020', '3', '9', '2020', '123', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '88.46074716');
INSERT INTO public.ecdc_import VALUES (56495, '02/09/2020', '2', '9', '2020', '38', '5', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '83.72945922');
INSERT INTO public.ecdc_import VALUES (56496, '01/09/2020', '1', '9', '2020', '76', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '86.52522027');
INSERT INTO public.ecdc_import VALUES (56497, '31/08/2020', '31', '8', '2020', '38', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '81.07707053');
INSERT INTO public.ecdc_import VALUES (56498, '30/08/2020', '30', '8', '2020', '91', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '83.94451776');
INSERT INTO public.ecdc_import VALUES (56499, '29/08/2020', '29', '8', '2020', '78', '4', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '81.86561852');
INSERT INTO public.ecdc_import VALUES (56500, '28/08/2020', '28', '8', '2020', '65', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '76.84758586');
INSERT INTO public.ecdc_import VALUES (56501, '27/08/2020', '27', '8', '2020', '159', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '77.77950621');
INSERT INTO public.ecdc_import VALUES (56502, '26/08/2020', '26', '8', '2020', '153', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '68.60367506');
INSERT INTO public.ecdc_import VALUES (56503, '25/08/2020', '25', '8', '2020', '92', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '58.63929593');
INSERT INTO public.ecdc_import VALUES (56504, '24/08/2020', '24', '8', '2020', '77', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '52.18753965');
INSERT INTO public.ecdc_import VALUES (56505, '23/08/2020', '23', '8', '2020', '66', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '46.95444845');
INSERT INTO public.ecdc_import VALUES (56506, '22/08/2020', '22', '8', '2020', '97', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '45.80746956');
INSERT INTO public.ecdc_import VALUES (56507, '21/08/2020', '21', '8', '2020', '81', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '39.92920273');
INSERT INTO public.ecdc_import VALUES (56508, '20/08/2020', '20', '8', '2020', '57', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '34.91117007');
INSERT INTO public.ecdc_import VALUES (56509, '19/08/2020', '19', '8', '2020', '77', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '31.18348867');
INSERT INTO public.ecdc_import VALUES (56510, '18/08/2020', '18', '8', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '26.52388691');
INSERT INTO public.ecdc_import VALUES (56511, '17/08/2020', '17', '8', '2020', '78', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '26.52388691');
INSERT INTO public.ecdc_import VALUES (56512, '16/08/2020', '16', '8', '2020', '62', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '21.57754043');
INSERT INTO public.ecdc_import VALUES (56513, '15/08/2020', '15', '8', '2020', '8', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '17.41974194');
INSERT INTO public.ecdc_import VALUES (56514, '14/08/2020', '14', '8', '2020', '78', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '17.2046834');
INSERT INTO public.ecdc_import VALUES (56515, '13/08/2020', '13', '8', '2020', '31', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '12.18665074');
INSERT INTO public.ecdc_import VALUES (56516, '12/08/2020', '12', '8', '2020', '14', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '10.1077515');
INSERT INTO public.ecdc_import VALUES (56517, '11/08/2020', '11', '8', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '9.53426205');
INSERT INTO public.ecdc_import VALUES (56518, '10/08/2020', '10', '8', '2020', '4', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '9.46257587');
INSERT INTO public.ecdc_import VALUES (56519, '09/08/2020', '9', '8', '2020', '50', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '9.17583115');
INSERT INTO public.ecdc_import VALUES (56520, '08/08/2020', '8', '8', '2020', '15', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '5.94995301');
INSERT INTO public.ecdc_import VALUES (56521, '07/08/2020', '7', '8', '2020', '11', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '4.94634648');
INSERT INTO public.ecdc_import VALUES (56522, '06/08/2020', '6', '8', '2020', '5', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '4.15779849');
INSERT INTO public.ecdc_import VALUES (56523, '05/08/2020', '5', '8', '2020', '12', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.94273995');
INSERT INTO public.ecdc_import VALUES (56524, '04/08/2020', '4', '8', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.22587814');
INSERT INTO public.ecdc_import VALUES (56525, '03/08/2020', '3', '8', '2020', '9', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.22587814');
INSERT INTO public.ecdc_import VALUES (56526, '02/08/2020', '2', '8', '2020', '4', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '2.58070251');
INSERT INTO public.ecdc_import VALUES (56527, '01/08/2020', '1', '8', '2020', '5', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '2.36564397');
INSERT INTO public.ecdc_import VALUES (56528, '31/07/2020', '31', '7', '2020', '8', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '2.22227161');
INSERT INTO public.ecdc_import VALUES (56529, '30/07/2020', '30', '7', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.64878216');
INSERT INTO public.ecdc_import VALUES (56530, '29/07/2020', '29', '7', '2020', '6', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.5054098');
INSERT INTO public.ecdc_import VALUES (56531, '28/07/2020', '28', '7', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.07529271');
INSERT INTO public.ecdc_import VALUES (56532, '27/07/2020', '27', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.00360653');
INSERT INTO public.ecdc_import VALUES (56533, '26/07/2020', '26', '7', '2020', '5', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.00360653');
INSERT INTO public.ecdc_import VALUES (56534, '25/07/2020', '25', '7', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.64517563');
INSERT INTO public.ecdc_import VALUES (56535, '24/07/2020', '24', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.57348945');
INSERT INTO public.ecdc_import VALUES (56536, '23/07/2020', '23', '7', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.57348945');
INSERT INTO public.ecdc_import VALUES (56537, '22/07/2020', '22', '7', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56538, '21/07/2020', '21', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.28674472');
INSERT INTO public.ecdc_import VALUES (56539, '20/07/2020', '20', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.28674472');
INSERT INTO public.ecdc_import VALUES (56540, '19/07/2020', '19', '7', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56541, '18/07/2020', '18', '7', '2020', '3', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56542, '17/07/2020', '17', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56543, '16/07/2020', '16', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56544, '15/07/2020', '15', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56545, '14/07/2020', '14', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56546, '13/07/2020', '13', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56547, '12/07/2020', '12', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.64517563');
INSERT INTO public.ecdc_import VALUES (56548, '11/07/2020', '11', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.64517563');
INSERT INTO public.ecdc_import VALUES (56549, '10/07/2020', '10', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.71686181');
INSERT INTO public.ecdc_import VALUES (56550, '09/07/2020', '9', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.71686181');
INSERT INTO public.ecdc_import VALUES (56551, '08/07/2020', '8', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.71686181');
INSERT INTO public.ecdc_import VALUES (56552, '07/07/2020', '7', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.71686181');
INSERT INTO public.ecdc_import VALUES (56553, '06/07/2020', '6', '7', '2020', '3', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.71686181');
INSERT INTO public.ecdc_import VALUES (56554, '05/07/2020', '5', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56555, '04/07/2020', '4', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56556, '03/07/2020', '3', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56557, '02/07/2020', '2', '7', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56558, '01/07/2020', '1', '7', '2020', '4', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56559, '30/06/2020', '30', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56560, '29/06/2020', '29', '6', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56561, '28/06/2020', '28', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56562, '27/06/2020', '27', '6', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.50180327');
INSERT INTO public.ecdc_import VALUES (56563, '26/06/2020', '26', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56564, '25/06/2020', '25', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56565, '24/06/2020', '24', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56566, '23/06/2020', '23', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56567, '22/06/2020', '22', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56568, '21/06/2020', '21', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56569, '20/06/2020', '20', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56570, '19/06/2020', '19', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56571, '18/06/2020', '18', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56572, '17/06/2020', '17', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56573, '16/06/2020', '16', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56574, '15/06/2020', '15', '6', '2020', '6', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56575, '14/06/2020', '14', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56576, '13/06/2020', '13', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56577, '12/06/2020', '12', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56578, '11/06/2020', '11', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56579, '10/06/2020', '10', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56580, '09/06/2020', '9', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56581, '08/06/2020', '8', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56582, '07/06/2020', '7', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56583, '06/06/2020', '6', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56584, '05/06/2020', '5', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56585, '04/06/2020', '4', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56586, '03/06/2020', '3', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56587, '02/06/2020', '2', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56588, '01/06/2020', '1', '6', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56589, '31/05/2020', '31', '5', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56590, '30/05/2020', '30', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56591, '29/05/2020', '29', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56592, '28/05/2020', '28', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56593, '27/05/2020', '27', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56594, '26/05/2020', '26', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56595, '25/05/2020', '25', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56596, '24/05/2020', '24', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56597, '23/05/2020', '23', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56598, '22/05/2020', '22', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56599, '21/05/2020', '21', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56600, '20/05/2020', '20', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56601, '19/05/2020', '19', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56602, '18/05/2020', '18', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56603, '17/05/2020', '17', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56604, '16/05/2020', '16', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56605, '15/05/2020', '15', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56606, '14/05/2020', '14', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56607, '13/05/2020', '13', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56608, '12/05/2020', '12', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56609, '11/05/2020', '11', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0');
INSERT INTO public.ecdc_import VALUES (56610, '10/05/2020', '10', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56611, '09/05/2020', '9', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56612, '08/05/2020', '8', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56613, '07/05/2020', '7', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56614, '06/05/2020', '6', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.07168618');
INSERT INTO public.ecdc_import VALUES (56615, '05/05/2020', '5', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.14337236');
INSERT INTO public.ecdc_import VALUES (56616, '04/05/2020', '4', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.14337236');
INSERT INTO public.ecdc_import VALUES (56617, '03/05/2020', '3', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.14337236');
INSERT INTO public.ecdc_import VALUES (56618, '02/05/2020', '2', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.14337236');
INSERT INTO public.ecdc_import VALUES (56619, '01/05/2020', '1', '5', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.14337236');
INSERT INTO public.ecdc_import VALUES (56620, '30/04/2020', '30', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.14337236');
INSERT INTO public.ecdc_import VALUES (56621, '29/04/2020', '29', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56622, '28/04/2020', '28', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56772, '02/09/2020', '2', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '13.83530227');
INSERT INTO public.ecdc_import VALUES (56623, '27/04/2020', '27', '4', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56624, '26/04/2020', '26', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.21505854');
INSERT INTO public.ecdc_import VALUES (56625, '25/04/2020', '25', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56626, '24/04/2020', '24', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.43011709');
INSERT INTO public.ecdc_import VALUES (56627, '23/04/2020', '23', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.57348945');
INSERT INTO public.ecdc_import VALUES (56628, '22/04/2020', '22', '4', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.57348945');
INSERT INTO public.ecdc_import VALUES (56629, '21/04/2020', '21', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.64517563');
INSERT INTO public.ecdc_import VALUES (56630, '20/04/2020', '20', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.71686181');
INSERT INTO public.ecdc_import VALUES (56631, '19/04/2020', '19', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '0.78854799');
INSERT INTO public.ecdc_import VALUES (56632, '18/04/2020', '18', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.00360653');
INSERT INTO public.ecdc_import VALUES (56633, '17/04/2020', '17', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.21866507');
INSERT INTO public.ecdc_import VALUES (56634, '16/04/2020', '16', '4', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.79215452');
INSERT INTO public.ecdc_import VALUES (56635, '15/04/2020', '15', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '1.8638407');
INSERT INTO public.ecdc_import VALUES (56636, '14/04/2020', '14', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '2.00721306');
INSERT INTO public.ecdc_import VALUES (56637, '13/04/2020', '13', '4', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '2.50901633');
INSERT INTO public.ecdc_import VALUES (56638, '12/04/2020', '12', '4', '2020', '3', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '2.72407487');
INSERT INTO public.ecdc_import VALUES (56639, '11/04/2020', '11', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.08250578');
INSERT INTO public.ecdc_import VALUES (56640, '10/04/2020', '10', '4', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.15419196');
INSERT INTO public.ecdc_import VALUES (56641, '09/04/2020', '9', '4', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.3692505');
INSERT INTO public.ecdc_import VALUES (56642, '08/04/2020', '8', '4', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.58430904');
INSERT INTO public.ecdc_import VALUES (56643, '07/04/2020', '7', '4', '2020', '1', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.87105377');
INSERT INTO public.ecdc_import VALUES (56644, '06/04/2020', '6', '4', '2020', '1', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.87105377');
INSERT INTO public.ecdc_import VALUES (56645, '05/04/2020', '5', '4', '2020', '3', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '3.87105377');
INSERT INTO public.ecdc_import VALUES (56646, '04/04/2020', '4', '4', '2020', '3', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '6.52344246');
INSERT INTO public.ecdc_import VALUES (56647, '03/04/2020', '3', '4', '2020', '8', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '6.30838391');
INSERT INTO public.ecdc_import VALUES (56648, '02/04/2020', '2', '4', '2020', '2', '2', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '5.73489447');
INSERT INTO public.ecdc_import VALUES (56649, '01/04/2020', '1', '4', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '5.73489447');
INSERT INTO public.ecdc_import VALUES (56650, '31/03/2020', '31', '3', '2020', '7', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '5.73489447');
INSERT INTO public.ecdc_import VALUES (56651, '30/03/2020', '30', '3', '2020', '4', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '5.30477738');
INSERT INTO public.ecdc_import VALUES (56652, '29/03/2020', '29', '3', '2020', '8', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '5.16140502');
INSERT INTO public.ecdc_import VALUES (56653, '28/03/2020', '28', '3', '2020', '1', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '4.58791557');
INSERT INTO public.ecdc_import VALUES (56654, '27/03/2020', '27', '3', '2020', '5', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '4.58791557');
INSERT INTO public.ecdc_import VALUES (56655, '26/03/2020', '26', '3', '2020', '3', '1', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '4.30117085');
INSERT INTO public.ecdc_import VALUES (56656, '25/03/2020', '25', '3', '2020', '6', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56657, '24/03/2020', '24', '3', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56658, '23/03/2020', '23', '3', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56659, '22/03/2020', '22', '3', '2020', '40', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56660, '21/03/2020', '21', '3', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56661, '20/03/2020', '20', '3', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56662, '19/03/2020', '19', '3', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56663, '18/03/2020', '18', '3', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56664, '17/03/2020', '17', '3', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56665, '16/03/2020', '16', '3', '2020', '2', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56666, '15/03/2020', '15', '3', '2020', '0', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56667, '14/03/2020', '14', '3', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56668, '13/03/2020', '13', '3', '2020', '1', '0', '1394969', 'Trinidad_and_Tobago', 'TT', 'TTO', 'America', '');
INSERT INTO public.ecdc_import VALUES (56669, '14/12/2020', '14', '12', '2020', '968', '58', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '129.20359537');
INSERT INTO public.ecdc_import VALUES (56670, '13/12/2020', '13', '12', '2020', '1289', '35', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '131.79450797');
INSERT INTO public.ecdc_import VALUES (56671, '12/12/2020', '12', '12', '2020', '1290', '43', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '131.1189895');
INSERT INTO public.ecdc_import VALUES (56672, '11/12/2020', '11', '12', '2020', '958', '41', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '131.16174383');
INSERT INTO public.ecdc_import VALUES (56673, '10/12/2020', '10', '12', '2020', '1411', '49', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '132.95742583');
INSERT INTO public.ecdc_import VALUES (56674, '09/12/2020', '9', '12', '2020', '1116', '72', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '130.2468011');
INSERT INTO public.ecdc_import VALUES (56675, '08/12/2020', '8', '12', '2020', '327', '35', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '129.40881617');
INSERT INTO public.ecdc_import VALUES (56676, '07/12/2020', '7', '12', '2020', '1011', '35', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '130.75130223');
INSERT INTO public.ecdc_import VALUES (56677, '06/12/2020', '6', '12', '2020', '1091', '45', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '132.7094507');
INSERT INTO public.ecdc_import VALUES (56678, '05/12/2020', '5', '12', '2020', '2620', '122', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '133.69280037');
INSERT INTO public.ecdc_import VALUES (56679, '04/12/2020', '4', '12', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '122.14913036');
INSERT INTO public.ecdc_import VALUES (56680, '03/12/2020', '3', '12', '2020', '1208', '48', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '132.6068403');
INSERT INTO public.ecdc_import VALUES (56681, '02/12/2020', '2', '12', '2020', '1303', '51', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '139.79811917');
INSERT INTO public.ecdc_import VALUES (56682, '01/12/2020', '1', '12', '2020', '518', '41', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '134.8129639');
INSERT INTO public.ecdc_import VALUES (56683, '30/11/2020', '30', '11', '2020', '1271', '66', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '135.5055841');
INSERT INTO public.ecdc_import VALUES (56684, '29/11/2020', '29', '11', '2020', '1210', '47', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '133.74410557');
INSERT INTO public.ecdc_import VALUES (56685, '28/11/2020', '28', '11', '2020', '1295', '72', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '137.6860551');
INSERT INTO public.ecdc_import VALUES (56686, '27/11/2020', '27', '11', '2020', '1168', '51', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '139.9691365');
INSERT INTO public.ecdc_import VALUES (56687, '26/11/2020', '26', '11', '2020', '1094', '48', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '143.52629704');
INSERT INTO public.ecdc_import VALUES (56688, '25/11/2020', '25', '11', '2020', '1018', '73', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '147.24592404');
INSERT INTO public.ecdc_import VALUES (56689, '24/11/2020', '24', '11', '2020', '484', '41', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '150.7175759');
INSERT INTO public.ecdc_import VALUES (56690, '23/11/2020', '23', '11', '2020', '1240', '69', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '150.42684644');
INSERT INTO public.ecdc_import VALUES (56691, '22/11/2020', '22', '11', '2020', '1206', '68', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '153.29993764');
INSERT INTO public.ecdc_import VALUES (56692, '21/11/2020', '21', '11', '2020', '1270', '73', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '170.42732358');
INSERT INTO public.ecdc_import VALUES (56693, '20/11/2020', '20', '11', '2020', '1223', '70', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '159.56772291');
INSERT INTO public.ecdc_import VALUES (56694, '19/11/2020', '19', '11', '2020', '2049', '96', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '165.96377118');
INSERT INTO public.ecdc_import VALUES (56695, '18/11/2020', '18', '11', '2020', '720', '56', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '159.02046744');
INSERT INTO public.ecdc_import VALUES (56696, '17/11/2020', '17', '11', '2020', '599', '44', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '163.29590077');
INSERT INTO public.ecdc_import VALUES (56697, '16/11/2020', '16', '11', '2020', '1065', '66', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '158.17393164');
INSERT INTO public.ecdc_import VALUES (56698, '15/11/2020', '15', '11', '2020', '1671', '70', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '155.83099417');
INSERT INTO public.ecdc_import VALUES (56699, '14/11/2020', '14', '11', '2020', '1562', '58', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '152.67572437');
INSERT INTO public.ecdc_import VALUES (56700, '13/11/2020', '13', '11', '2020', '1584', '49', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '154.57401677');
INSERT INTO public.ecdc_import VALUES (56701, '12/11/2020', '12', '11', '2020', '1529', '96', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '173.10374484');
INSERT INTO public.ecdc_import VALUES (56702, '11/11/2020', '11', '11', '2020', '1424', '86', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '176.09654818');
INSERT INTO public.ecdc_import VALUES (56703, '10/11/2020', '10', '11', '2020', '450', '47', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '163.92011404');
INSERT INTO public.ecdc_import VALUES (56704, '09/11/2020', '9', '11', '2020', '1576', '79', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '190.85534405');
INSERT INTO public.ecdc_import VALUES (56705, '08/11/2020', '8', '11', '2020', '3209', '217', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '177.37917818');
INSERT INTO public.ecdc_import VALUES (56706, '07/11/2020', '7', '11', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '163.49257071');
INSERT INTO public.ecdc_import VALUES (56707, '06/11/2020', '6', '11', '2020', '1971', '65', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '174.79681644');
INSERT INTO public.ecdc_import VALUES (56708, '05/11/2020', '5', '11', '2020', '1237', '29', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '157.94305824');
INSERT INTO public.ecdc_import VALUES (56709, '04/11/2020', '4', '11', '2020', '1220', '102', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '159.69598591');
INSERT INTO public.ecdc_import VALUES (56710, '03/11/2020', '3', '11', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '163.99707184');
INSERT INTO public.ecdc_import VALUES (56711, '02/11/2020', '2', '11', '2020', '791', '33', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '182.68071551');
INSERT INTO public.ecdc_import VALUES (56712, '01/11/2020', '1', '11', '2020', '1302', '31', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '175.91697998');
INSERT INTO public.ecdc_import VALUES (56713, '31/10/2020', '31', '10', '2020', '1784', '64', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '213.96833665');
INSERT INTO public.ecdc_import VALUES (56714, '30/10/2020', '30', '10', '2020', '3751', '100', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '198.71359052');
INSERT INTO public.ecdc_import VALUES (56715, '29/10/2020', '29', '10', '2020', '1879', '170', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '166.63928964');
INSERT INTO public.ecdc_import VALUES (56716, '28/10/2020', '28', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '169.67484731');
INSERT INTO public.ecdc_import VALUES (56717, '27/10/2020', '27', '10', '2020', '3600', '164', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '169.67484731');
INSERT INTO public.ecdc_import VALUES (56718, '26/10/2020', '26', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '149.98220137');
INSERT INTO public.ecdc_import VALUES (56719, '25/10/2020', '25', '10', '2020', '1585', '35', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '149.98220137');
INSERT INTO public.ecdc_import VALUES (56720, '24/10/2020', '24', '10', '2020', '1322', '44', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '163.25314644');
INSERT INTO public.ecdc_import VALUES (56721, '23/10/2020', '23', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '172.10329344');
INSERT INTO public.ecdc_import VALUES (56722, '22/10/2020', '22', '10', '2020', '1442', '29', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '172.10329344');
INSERT INTO public.ecdc_import VALUES (56723, '21/10/2020', '21', '10', '2020', '1723', '24', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '179.54254745');
INSERT INTO public.ecdc_import VALUES (56724, '20/10/2020', '20', '10', '2020', '2185', '61', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '164.80940417');
INSERT INTO public.ecdc_import VALUES (56725, '19/10/2020', '19', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '146.1257605');
INSERT INTO public.ecdc_import VALUES (56726, '18/10/2020', '18', '10', '2020', '5752', '114', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '167.57988498');
INSERT INTO public.ecdc_import VALUES (56727, '17/10/2020', '17', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '128.85300983');
INSERT INTO public.ecdc_import VALUES (56728, '16/10/2020', '16', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '140.03754344');
INSERT INTO public.ecdc_import VALUES (56729, '15/10/2020', '15', '10', '2020', '2234', '34', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '140.03754344');
INSERT INTO public.ecdc_import VALUES (56730, '14/10/2020', '14', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '129.5541809');
INSERT INTO public.ecdc_import VALUES (56731, '13/10/2020', '13', '10', '2020', '1297', '22', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '140.59334977');
INSERT INTO public.ecdc_import VALUES (56732, '12/10/2020', '12', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '129.5028757');
INSERT INTO public.ecdc_import VALUES (56733, '11/10/2020', '11', '10', '2020', '3137', '47', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '137.5064869');
INSERT INTO public.ecdc_import VALUES (56734, '10/10/2020', '10', '10', '2020', '2357', '45', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '117.40339936');
INSERT INTO public.ecdc_import VALUES (56735, '09/10/2020', '9', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '106.54379869');
INSERT INTO public.ecdc_import VALUES (56736, '08/10/2020', '8', '10', '2020', '2312', '43', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '113.60681456');
INSERT INTO public.ecdc_import VALUES (56737, '07/10/2020', '7', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '104.26071729');
INSERT INTO public.ecdc_import VALUES (56738, '06/10/2020', '6', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '104.26071729');
INSERT INTO public.ecdc_import VALUES (56739, '05/10/2020', '5', '10', '2020', '2509', '45', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '108.77557489');
INSERT INTO public.ecdc_import VALUES (56740, '04/10/2020', '4', '10', '2020', '1223', '5', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '95.83811362');
INSERT INTO public.ecdc_import VALUES (56741, '03/10/2020', '3', '10', '2020', '1308', '6', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '95.35071422');
INSERT INTO public.ecdc_import VALUES (56742, '02/10/2020', '2', '10', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '84.16618062');
INSERT INTO public.ecdc_import VALUES (56743, '01/10/2020', '1', '10', '2020', '1008', '19', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '88.18508796');
INSERT INTO public.ecdc_import VALUES (56744, '30/09/2020', '30', '9', '2020', '1291', '32', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '83.64457775');
INSERT INTO public.ecdc_import VALUES (56745, '29/09/2020', '29', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '74.66616775');
INSERT INTO public.ecdc_import VALUES (56746, '28/09/2020', '28', '9', '2020', '936', '7', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '81.05366515');
INSERT INTO public.ecdc_import VALUES (56747, '27/09/2020', '27', '9', '2020', '786', '16', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '73.05005395');
INSERT INTO public.ecdc_import VALUES (56748, '26/09/2020', '26', '9', '2020', '1087', '11', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '69.54419862');
INSERT INTO public.ecdc_import VALUES (56749, '25/09/2020', '25', '9', '2020', '826', '6', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '63.47308328');
INSERT INTO public.ecdc_import VALUES (56750, '24/09/2020', '24', '9', '2020', '1219', '10', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '60.38622042');
INSERT INTO public.ecdc_import VALUES (56751, '23/09/2020', '23', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '49.96271395');
INSERT INTO public.ecdc_import VALUES (56752, '22/09/2020', '22', '9', '2020', '528', '5', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '52.46811788');
INSERT INTO public.ecdc_import VALUES (56753, '21/09/2020', '21', '9', '2020', '996', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '50.92896188');
INSERT INTO public.ecdc_import VALUES (56754, '20/09/2020', '20', '9', '2020', '1166', '22', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '44.41320148');
INSERT INTO public.ecdc_import VALUES (56755, '19/09/2020', '19', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '35.70841921');
INSERT INTO public.ecdc_import VALUES (56756, '18/09/2020', '18', '9', '2020', '470', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '35.70841921');
INSERT INTO public.ecdc_import VALUES (56757, '17/09/2020', '17', '9', '2020', '477', '6', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '33.38258348');
INSERT INTO public.ecdc_import VALUES (56758, '16/09/2020', '16', '9', '2020', '241', '6', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '32.66431067');
INSERT INTO public.ecdc_import VALUES (56759, '15/09/2020', '15', '9', '2020', '747', '10', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '30.60355181');
INSERT INTO public.ecdc_import VALUES (56760, '14/09/2020', '14', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '25.22505667');
INSERT INTO public.ecdc_import VALUES (56761, '13/09/2020', '13', '9', '2020', '376', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '26.19130461');
INSERT INTO public.ecdc_import VALUES (56762, '12/09/2020', '12', '9', '2020', '377', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '23.92532494');
INSERT INTO public.ecdc_import VALUES (56763, '11/09/2020', '11', '9', '2020', '465', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '21.88166781');
INSERT INTO public.ecdc_import VALUES (56764, '10/09/2020', '10', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '18.9059662');
INSERT INTO public.ecdc_import VALUES (56765, '09/09/2020', '9', '9', '2020', '293', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '20.07743494');
INSERT INTO public.ecdc_import VALUES (56766, '08/09/2020', '8', '9', '2020', '348', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '19.07698354');
INSERT INTO public.ecdc_import VALUES (56767, '07/09/2020', '7', '9', '2020', '234', '6', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '17.42666627');
INSERT INTO public.ecdc_import VALUES (56768, '06/09/2020', '6', '9', '2020', '148', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '15.42576347');
INSERT INTO public.ecdc_import VALUES (56769, '05/09/2020', '5', '9', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '15.28039874');
INSERT INTO public.ecdc_import VALUES (56770, '04/09/2020', '4', '9', '2020', '198', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '15.8276542');
INSERT INTO public.ecdc_import VALUES (56771, '03/09/2020', '3', '9', '2020', '393', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '15.12648314');
INSERT INTO public.ecdc_import VALUES (56773, '01/09/2020', '1', '9', '2020', '118', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '13.83530227');
INSERT INTO public.ecdc_import VALUES (56774, '31/08/2020', '31', '8', '2020', '113', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '13.4932676');
INSERT INTO public.ecdc_import VALUES (56775, '30/08/2020', '30', '8', '2020', '111', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '13.24529247');
INSERT INTO public.ecdc_import VALUES (56776, '29/08/2020', '29', '8', '2020', '138', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '13.32225027');
INSERT INTO public.ecdc_import VALUES (56777, '28/08/2020', '28', '8', '2020', '117', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '12.6210792');
INSERT INTO public.ecdc_import VALUES (56778, '27/08/2020', '27', '8', '2020', '137', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '12.19353587');
INSERT INTO public.ecdc_import VALUES (56779, '26/08/2020', '26', '8', '2020', '176', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '11.38120354');
INSERT INTO public.ecdc_import VALUES (56780, '25/08/2020', '25', '8', '2020', '155', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '10.0558192');
INSERT INTO public.ecdc_import VALUES (56781, '24/08/2020', '24', '8', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '8.9014522');
INSERT INTO public.ecdc_import VALUES (56782, '23/08/2020', '23', '8', '2020', '131', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '9.06391867');
INSERT INTO public.ecdc_import VALUES (56783, '22/08/2020', '22', '8', '2020', '64', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '8.1318742');
INSERT INTO public.ecdc_import VALUES (56784, '21/08/2020', '21', '8', '2020', '116', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '7.70433087');
INSERT INTO public.ecdc_import VALUES (56785, '20/08/2020', '20', '8', '2020', '242', '4', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '7.06301587');
INSERT INTO public.ecdc_import VALUES (56786, '19/08/2020', '19', '8', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '5.13907087');
INSERT INTO public.ecdc_import VALUES (56787, '18/08/2020', '18', '8', '2020', '78', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '5.30153733');
INSERT INTO public.ecdc_import VALUES (56788, '17/08/2020', '17', '8', '2020', '84', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '4.6687732');
INSERT INTO public.ecdc_import VALUES (56789, '16/08/2020', '16', '8', '2020', '120', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '4.0274582');
INSERT INTO public.ecdc_import VALUES (56790, '15/08/2020', '15', '8', '2020', '56', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.14671893');
INSERT INTO public.ecdc_import VALUES (56791, '14/08/2020', '14', '8', '2020', '67', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.8474386');
INSERT INTO public.ecdc_import VALUES (56792, '13/08/2020', '13', '8', '2020', '42', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.49685307');
INSERT INTO public.ecdc_import VALUES (56793, '12/08/2020', '12', '8', '2020', '21', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.308734');
INSERT INTO public.ecdc_import VALUES (56794, '11/08/2020', '11', '8', '2020', '20', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.24032707');
INSERT INTO public.ecdc_import VALUES (56795, '10/08/2020', '10', '8', '2020', '19', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.09496233');
INSERT INTO public.ecdc_import VALUES (56796, '09/08/2020', '9', '8', '2020', '22', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.00945367');
INSERT INTO public.ecdc_import VALUES (56797, '08/08/2020', '8', '8', '2020', '14', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.9752502');
INSERT INTO public.ecdc_import VALUES (56798, '07/08/2020', '7', '8', '2020', '41', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.01800453');
INSERT INTO public.ecdc_import VALUES (56799, '06/08/2020', '6', '8', '2020', '17', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.7700294');
INSERT INTO public.ecdc_import VALUES (56800, '05/08/2020', '5', '8', '2020', '19', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.667419');
INSERT INTO public.ecdc_import VALUES (56801, '04/08/2020', '4', '8', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.57335947');
INSERT INTO public.ecdc_import VALUES (56802, '03/08/2020', '3', '8', '2020', '9', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.59901207');
INSERT INTO public.ecdc_import VALUES (56803, '02/08/2020', '2', '8', '2020', '17', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.7443768');
INSERT INTO public.ecdc_import VALUES (56804, '01/08/2020', '1', '8', '2020', '21', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.70162247');
INSERT INTO public.ecdc_import VALUES (56805, '31/07/2020', '31', '7', '2020', '26', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.59901207');
INSERT INTO public.ecdc_import VALUES (56806, '30/07/2020', '30', '7', '2020', '20', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.44509647');
INSERT INTO public.ecdc_import VALUES (56807, '29/07/2020', '29', '7', '2020', '13', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.3852404');
INSERT INTO public.ecdc_import VALUES (56808, '28/07/2020', '28', '7', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.3082826');
INSERT INTO public.ecdc_import VALUES (56809, '27/07/2020', '27', '7', '2020', '9', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.6161138');
INSERT INTO public.ecdc_import VALUES (56810, '26/07/2020', '26', '7', '2020', '18', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.6930716');
INSERT INTO public.ecdc_import VALUES (56811, '25/07/2020', '25', '7', '2020', '19', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.58191033');
INSERT INTO public.ecdc_import VALUES (56812, '24/07/2020', '24', '7', '2020', '12', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.49640167');
INSERT INTO public.ecdc_import VALUES (56813, '23/07/2020', '23', '7', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.47929993');
INSERT INTO public.ecdc_import VALUES (56814, '22/07/2020', '22', '7', '2020', '8', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.57335947');
INSERT INTO public.ecdc_import VALUES (56815, '21/07/2020', '21', '7', '2020', '7', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.55625773');
INSERT INTO public.ecdc_import VALUES (56816, '20/07/2020', '20', '7', '2020', '26', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.5904612');
INSERT INTO public.ecdc_import VALUES (56817, '19/07/2020', '19', '7', '2020', '12', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.3852404');
INSERT INTO public.ecdc_import VALUES (56818, '18/07/2020', '18', '7', '2020', '9', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.32538433');
INSERT INTO public.ecdc_import VALUES (56819, '17/07/2020', '17', '7', '2020', '8', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.27407913');
INSERT INTO public.ecdc_import VALUES (56820, '16/07/2020', '16', '7', '2020', '13', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.2313248');
INSERT INTO public.ecdc_import VALUES (56821, '15/07/2020', '15', '7', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.1287144');
INSERT INTO public.ecdc_import VALUES (56822, '14/07/2020', '14', '7', '2020', '39', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.11161267');
INSERT INTO public.ecdc_import VALUES (56823, '13/07/2020', '13', '7', '2020', '18', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.80378147');
INSERT INTO public.ecdc_import VALUES (56824, '12/07/2020', '12', '7', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.65841673');
INSERT INTO public.ecdc_import VALUES (56825, '11/07/2020', '11', '7', '2020', '9', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.64986587');
INSERT INTO public.ecdc_import VALUES (56826, '10/07/2020', '10', '7', '2020', '10', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.5900098');
INSERT INTO public.ecdc_import VALUES (56827, '09/07/2020', '9', '7', '2020', '16', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.52160287');
INSERT INTO public.ecdc_import VALUES (56828, '08/07/2020', '8', '7', '2020', '6', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.39333987');
INSERT INTO public.ecdc_import VALUES (56829, '07/07/2020', '7', '7', '2020', '11', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.34203467');
INSERT INTO public.ecdc_import VALUES (56830, '06/07/2020', '6', '7', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.26507687');
INSERT INTO public.ecdc_import VALUES (56831, '05/07/2020', '5', '7', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.256526');
INSERT INTO public.ecdc_import VALUES (56832, '04/07/2020', '4', '7', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.29928033');
INSERT INTO public.ecdc_import VALUES (56833, '03/07/2020', '3', '7', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.39333987');
INSERT INTO public.ecdc_import VALUES (56834, '02/07/2020', '2', '7', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.40189073');
INSERT INTO public.ecdc_import VALUES (56835, '01/07/2020', '1', '7', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.41899247');
INSERT INTO public.ecdc_import VALUES (56836, '30/06/2020', '30', '6', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.53015373');
INSERT INTO public.ecdc_import VALUES (56837, '29/06/2020', '29', '6', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.62421327');
INSERT INTO public.ecdc_import VALUES (56838, '28/06/2020', '28', '6', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.63276413');
INSERT INTO public.ecdc_import VALUES (56839, '27/06/2020', '27', '6', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.60711153');
INSERT INTO public.ecdc_import VALUES (56840, '26/06/2020', '26', '6', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.641315');
INSERT INTO public.ecdc_import VALUES (56841, '25/06/2020', '25', '6', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.62421327');
INSERT INTO public.ecdc_import VALUES (56842, '24/06/2020', '24', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.6156624');
INSERT INTO public.ecdc_import VALUES (56843, '23/06/2020', '23', '6', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.6156624');
INSERT INTO public.ecdc_import VALUES (56844, '22/06/2020', '22', '6', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.59856067');
INSERT INTO public.ecdc_import VALUES (56845, '21/06/2020', '21', '6', '2020', '10', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.5900098');
INSERT INTO public.ecdc_import VALUES (56846, '20/06/2020', '20', '6', '2020', '14', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.50450113');
INSERT INTO public.ecdc_import VALUES (56847, '19/06/2020', '19', '6', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.384789');
INSERT INTO public.ecdc_import VALUES (56848, '18/06/2020', '18', '6', '2020', '3', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.35058553');
INSERT INTO public.ecdc_import VALUES (56849, '17/06/2020', '17', '6', '2020', '15', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3334838');
INSERT INTO public.ecdc_import VALUES (56850, '16/06/2020', '16', '6', '2020', '14', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.22232253');
INSERT INTO public.ecdc_import VALUES (56851, '15/06/2020', '15', '6', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.16246647');
INSERT INTO public.ecdc_import VALUES (56852, '14/06/2020', '14', '6', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.1539156');
INSERT INTO public.ecdc_import VALUES (56853, '13/06/2020', '13', '6', '2020', '6', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.18811907');
INSERT INTO public.ecdc_import VALUES (56854, '12/06/2020', '12', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.16246647');
INSERT INTO public.ecdc_import VALUES (56855, '11/06/2020', '11', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3078312');
INSERT INTO public.ecdc_import VALUES (56856, '10/06/2020', '10', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3078312');
INSERT INTO public.ecdc_import VALUES (56857, '09/06/2020', '9', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3078312');
INSERT INTO public.ecdc_import VALUES (56858, '08/06/2020', '8', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3078312');
INSERT INTO public.ecdc_import VALUES (56859, '07/06/2020', '7', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3334838');
INSERT INTO public.ecdc_import VALUES (56860, '06/06/2020', '6', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3334838');
INSERT INTO public.ecdc_import VALUES (56861, '05/06/2020', '5', '6', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.35058553');
INSERT INTO public.ecdc_import VALUES (56862, '04/06/2020', '4', '6', '2020', '1', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3591364');
INSERT INTO public.ecdc_import VALUES (56863, '03/06/2020', '3', '6', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3591364');
INSERT INTO public.ecdc_import VALUES (56864, '02/06/2020', '2', '6', '2020', '7', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.35058553');
INSERT INTO public.ecdc_import VALUES (56865, '01/06/2020', '1', '6', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.34203467');
INSERT INTO public.ecdc_import VALUES (56866, '31/05/2020', '31', '5', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.35058553');
INSERT INTO public.ecdc_import VALUES (56867, '30/05/2020', '30', '5', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3078312');
INSERT INTO public.ecdc_import VALUES (56868, '29/05/2020', '29', '5', '2020', '17', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.3078312');
INSERT INTO public.ecdc_import VALUES (56869, '28/05/2020', '28', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.16246647');
INSERT INTO public.ecdc_import VALUES (56870, '27/05/2020', '27', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.16246647');
INSERT INTO public.ecdc_import VALUES (56871, '26/05/2020', '26', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.16246647');
INSERT INTO public.ecdc_import VALUES (56872, '25/05/2020', '25', '5', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.16246647');
INSERT INTO public.ecdc_import VALUES (56873, '24/05/2020', '24', '5', '2020', '0', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.13681387');
INSERT INTO public.ecdc_import VALUES (56874, '23/05/2020', '23', '5', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.1539156');
INSERT INTO public.ecdc_import VALUES (56875, '22/05/2020', '22', '5', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.17101733');
INSERT INTO public.ecdc_import VALUES (56876, '21/05/2020', '21', '5', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.17101733');
INSERT INTO public.ecdc_import VALUES (56877, '20/05/2020', '20', '5', '2020', '1', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.18811907');
INSERT INTO public.ecdc_import VALUES (56878, '19/05/2020', '19', '5', '2020', '6', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.21377167');
INSERT INTO public.ecdc_import VALUES (56879, '18/05/2020', '18', '5', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.2052208');
INSERT INTO public.ecdc_import VALUES (56880, '17/05/2020', '17', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.22232253');
INSERT INTO public.ecdc_import VALUES (56881, '16/05/2020', '16', '5', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.31638207');
INSERT INTO public.ecdc_import VALUES (56882, '15/05/2020', '15', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.32493293');
INSERT INTO public.ecdc_import VALUES (56883, '14/05/2020', '14', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.44464507');
INSERT INTO public.ecdc_import VALUES (56884, '13/05/2020', '13', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.4873994');
INSERT INTO public.ecdc_import VALUES (56885, '12/05/2020', '12', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.55580633');
INSERT INTO public.ecdc_import VALUES (56886, '11/05/2020', '11', '5', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.70972193');
INSERT INTO public.ecdc_import VALUES (56887, '10/05/2020', '10', '5', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.7952306');
INSERT INTO public.ecdc_import VALUES (56888, '09/05/2020', '9', '5', '2020', '4', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.9234936');
INSERT INTO public.ecdc_import VALUES (56889, '08/05/2020', '8', '5', '2020', '1', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.9234936');
INSERT INTO public.ecdc_import VALUES (56890, '07/05/2020', '7', '5', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.06030747');
INSERT INTO public.ecdc_import VALUES (56891, '06/05/2020', '6', '5', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.03465487');
INSERT INTO public.ecdc_import VALUES (56892, '05/05/2020', '5', '5', '2020', '5', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.14581613');
INSERT INTO public.ecdc_import VALUES (56893, '04/05/2020', '4', '5', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.14581613');
INSERT INTO public.ecdc_import VALUES (56894, '03/05/2020', '3', '5', '2020', '11', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.22277393');
INSERT INTO public.ecdc_import VALUES (56895, '02/05/2020', '2', '5', '2020', '4', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.14581613');
INSERT INTO public.ecdc_import VALUES (56896, '01/05/2020', '1', '5', '2020', '14', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.47074907');
INSERT INTO public.ecdc_import VALUES (56897, '30/04/2020', '30', '4', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.71017333');
INSERT INTO public.ecdc_import VALUES (56898, '29/04/2020', '29', '4', '2020', '8', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.9495976');
INSERT INTO public.ecdc_import VALUES (56899, '28/04/2020', '28', '4', '2020', '18', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.06075887');
INSERT INTO public.ecdc_import VALUES (56900, '27/04/2020', '27', '4', '2020', '10', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.06930973');
INSERT INTO public.ecdc_import VALUES (56901, '26/04/2020', '26', '4', '2020', '17', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.17192013');
INSERT INTO public.ecdc_import VALUES (56902, '25/04/2020', '25', '4', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.14626753');
INSERT INTO public.ecdc_import VALUES (56903, '24/04/2020', '24', '4', '2020', '17', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.35148833');
INSERT INTO public.ecdc_import VALUES (56904, '23/04/2020', '23', '4', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.37714093');
INSERT INTO public.ecdc_import VALUES (56905, '22/04/2020', '22', '4', '2020', '17', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.60801433');
INSERT INTO public.ecdc_import VALUES (56906, '21/04/2020', '21', '4', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.65076867');
INSERT INTO public.ecdc_import VALUES (56907, '20/04/2020', '20', '4', '2020', '13', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.78758253');
INSERT INTO public.ecdc_import VALUES (56908, '19/04/2020', '19', '4', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.17237153');
INSERT INTO public.ecdc_import VALUES (56909, '18/04/2020', '18', '4', '2020', '42', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.49730447');
INSERT INTO public.ecdc_import VALUES (56910, '17/04/2020', '17', '4', '2020', '42', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.13816807');
INSERT INTO public.ecdc_import VALUES (56911, '16/04/2020', '16', '4', '2020', '33', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.30063453');
INSERT INTO public.ecdc_import VALUES (56912, '15/04/2020', '15', '4', '2020', '21', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.29208367');
INSERT INTO public.ecdc_import VALUES (56913, '14/04/2020', '14', '4', '2020', '19', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.5400588');
INSERT INTO public.ecdc_import VALUES (56914, '13/04/2020', '13', '4', '2020', '22', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.6683218');
INSERT INTO public.ecdc_import VALUES (56915, '12/04/2020', '12', '4', '2020', '14', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.91629693');
INSERT INTO public.ecdc_import VALUES (56916, '11/04/2020', '11', '4', '2020', '28', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.7965848');
INSERT INTO public.ecdc_import VALUES (56917, '10/04/2020', '10', '4', '2020', '20', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '4.01890733');
INSERT INTO public.ecdc_import VALUES (56918, '09/04/2020', '9', '4', '2020', '27', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.84789');
INSERT INTO public.ecdc_import VALUES (56919, '08/04/2020', '8', '4', '2020', '22', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '4.12151773');
INSERT INTO public.ecdc_import VALUES (56920, '07/04/2020', '7', '4', '2020', '21', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '4.14717033');
INSERT INTO public.ecdc_import VALUES (56921, '06/04/2020', '6', '4', '2020', '58', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '4.08731427');
INSERT INTO public.ecdc_import VALUES (56922, '05/04/2020', '5', '4', '2020', '40', '5', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.719627');
INSERT INTO public.ecdc_import VALUES (56923, '04/04/2020', '4', '4', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.42889753');
INSERT INTO public.ecdc_import VALUES (56924, '03/04/2020', '3', '4', '2020', '61', '3', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.55716053');
INSERT INTO public.ecdc_import VALUES (56925, '02/04/2020', '2', '4', '2020', '32', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '3.12106633');
INSERT INTO public.ecdc_import VALUES (56926, '01/04/2020', '1', '4', '2020', '50', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.89019293');
INSERT INTO public.ecdc_import VALUES (56927, '31/03/2020', '31', '3', '2020', '34', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.49685307');
INSERT INTO public.ecdc_import VALUES (56928, '30/03/2020', '30', '3', '2020', '51', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '2.22322533');
INSERT INTO public.ecdc_import VALUES (56929, '29/03/2020', '29', '3', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.80423287');
INSERT INTO public.ecdc_import VALUES (56930, '28/03/2020', '28', '3', '2020', '54', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.80423287');
INSERT INTO public.ecdc_import VALUES (56931, '27/03/2020', '27', '3', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.36813867');
INSERT INTO public.ecdc_import VALUES (56932, '26/03/2020', '26', '3', '2020', '59', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '1.41944387');
INSERT INTO public.ecdc_import VALUES (56933, '25/03/2020', '25', '3', '2020', '25', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.93204447');
INSERT INTO public.ecdc_import VALUES (56934, '24/03/2020', '24', '3', '2020', '14', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.7439254');
INSERT INTO public.ecdc_import VALUES (56935, '23/03/2020', '23', '3', '2020', '15', '2', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.63276413');
INSERT INTO public.ecdc_import VALUES (56936, '22/03/2020', '22', '3', '2020', '6', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '0.513052');
INSERT INTO public.ecdc_import VALUES (56937, '21/03/2020', '21', '3', '2020', '15', '1', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56938, '20/03/2020', '20', '3', '2020', '10', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56939, '19/03/2020', '19', '3', '2020', '5', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56940, '18/03/2020', '18', '3', '2020', '4', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56941, '17/03/2020', '17', '3', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56942, '16/03/2020', '16', '3', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56943, '15/03/2020', '15', '3', '2020', '0', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56944, '14/03/2020', '14', '3', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56945, '13/03/2020', '13', '3', '2020', '6', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56946, '12/03/2020', '12', '3', '2020', '2', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56947, '11/03/2020', '11', '3', '2020', '3', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56948, '10/03/2020', '10', '3', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56949, '03/03/2020', '3', '3', '2020', '1', '0', '11694721', 'Tunisia', 'TN', 'TUN', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (56950, '14/12/2020', '14', '12', '2020', '29136', '222', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '499.22026862');
INSERT INTO public.ecdc_import VALUES (56951, '13/12/2020', '13', '12', '2020', '32106', '226', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '499.39708952');
INSERT INTO public.ecdc_import VALUES (56952, '12/12/2020', '12', '12', '2020', '0', '0', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '496.95452223');
INSERT INTO public.ecdc_import VALUES (56953, '11/12/2020', '11', '12', '2020', '30424', '220', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '533.34914072');
INSERT INTO public.ecdc_import VALUES (56954, '10/12/2020', '10', '12', '2020', '31712', '217', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '531.77360555');
INSERT INTO public.ecdc_import VALUES (56955, '09/12/2020', '9', '12', '2020', '33198', '211', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '501.41162829');
INSERT INTO public.ecdc_import VALUES (56956, '08/12/2020', '8', '12', '2020', '32137', '203', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '469.92897239');
INSERT INTO public.ecdc_import VALUES (56957, '07/12/2020', '7', '12', '2020', '30402', '195', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '438.92556208');
INSERT INTO public.ecdc_import VALUES (56958, '06/12/2020', '6', '12', '2020', '31896', '196', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '409.18916497');
INSERT INTO public.ecdc_import VALUES (56959, '05/12/2020', '5', '12', '2020', '32736', '193', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '377.03946747');
INSERT INTO public.ecdc_import VALUES (56960, '04/12/2020', '4', '12', '2020', '32381', '187', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '343.34228226');
INSERT INTO public.ecdc_import VALUES (56961, '03/12/2020', '3', '12', '2020', '31923', '193', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '309.39388943');
INSERT INTO public.ecdc_import VALUES (56962, '02/12/2020', '2', '12', '2020', '30110', '190', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '275.60524513');
INSERT INTO public.ecdc_import VALUES (56963, '01/12/2020', '1', '12', '2020', '31219', '188', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '243.5445678');
INSERT INTO public.ecdc_import VALUES (56964, '30/11/2020', '30', '11', '2020', '29281', '185', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '209.51812989');
INSERT INTO public.ecdc_import VALUES (56965, '29/11/2020', '29', '11', '2020', '30103', '182', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '177.74158545');
INSERT INTO public.ecdc_import VALUES (56966, '28/11/2020', '28', '11', '2020', '29845', '177', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '144.83216782');
INSERT INTO public.ecdc_import VALUES (56967, '27/11/2020', '27', '11', '2020', '29132', '174', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '112.15078818');
INSERT INTO public.ecdc_import VALUES (56968, '26/11/2020', '26', '11', '2020', '6814', '168', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '80.09011086');
INSERT INTO public.ecdc_import VALUES (56969, '25/11/2020', '25', '11', '2020', '7381', '161', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '75.06473901');
INSERT INTO public.ecdc_import VALUES (56970, '24/11/2020', '24', '11', '2020', '6713', '153', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '69.14794595');
INSERT INTO public.ecdc_import VALUES (56971, '23/11/2020', '23', '11', '2020', '6017', '139', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '64.10306283');
INSERT INTO public.ecdc_import VALUES (56972, '22/11/2020', '22', '11', '2020', '5532', '135', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '59.83375275');
INSERT INTO public.ecdc_import VALUES (56973, '21/11/2020', '21', '11', '2020', '5103', '141', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '56.11563609');
INSERT INTO public.ecdc_import VALUES (56974, '20/11/2020', '20', '11', '2020', '4542', '123', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '52.86335103');
INSERT INTO public.ecdc_import VALUES (56975, '19/11/2020', '19', '11', '2020', '4215', '116', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '50.14274812');
INSERT INTO public.ecdc_import VALUES (56976, '18/11/2020', '18', '11', '2020', '3819', '103', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '47.91846318');
INSERT INTO public.ecdc_import VALUES (56977, '17/11/2020', '17', '11', '2020', '3316', '94', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '46.11854839');
INSERT INTO public.ecdc_import VALUES (56978, '16/11/2020', '16', '11', '2020', '3223', '89', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '44.88202156');
INSERT INTO public.ecdc_import VALUES (56979, '15/11/2020', '15', '11', '2020', '3116', '92', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '43.51989092');
INSERT INTO public.ecdc_import VALUES (56980, '14/11/2020', '14', '11', '2020', '3045', '93', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '42.41872354');
INSERT INTO public.ecdc_import VALUES (56981, '13/11/2020', '13', '11', '2020', '2841', '88', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '41.53705797');
INSERT INTO public.ecdc_import VALUES (56982, '12/11/2020', '12', '11', '2020', '2693', '86', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '40.90050273');
INSERT INTO public.ecdc_import VALUES (56983, '11/11/2020', '11', '11', '2020', '2529', '87', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '40.4273544');
INSERT INTO public.ecdc_import VALUES (56984, '10/11/2020', '10', '11', '2020', '2576', '85', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '40.03712897');
INSERT INTO public.ecdc_import VALUES (56985, '09/11/2020', '9', '11', '2020', '2516', '84', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '39.57617519');
INSERT INTO public.ecdc_import VALUES (56986, '08/11/2020', '8', '11', '2020', '2483', '81', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '38.96766741');
INSERT INTO public.ecdc_import VALUES (56987, '07/11/2020', '7', '11', '2020', '2436', '83', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '38.48964126');
INSERT INTO public.ecdc_import VALUES (56988, '06/11/2020', '6', '11', '2020', '2311', '81', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '38.1591691');
INSERT INTO public.ecdc_import VALUES (56989, '05/11/2020', '5', '11', '2020', '2391', '77', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '37.90430312');
INSERT INTO public.ecdc_import VALUES (56990, '04/11/2020', '4', '11', '2020', '2343', '79', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '37.44334933');
INSERT INTO public.ecdc_import VALUES (56991, '03/11/2020', '3', '11', '2020', '2302', '76', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '36.89581427');
INSERT INTO public.ecdc_import VALUES (56992, '02/11/2020', '2', '11', '2020', '2106', '74', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '36.55924484');
INSERT INTO public.ecdc_import VALUES (56993, '01/11/2020', '1', '11', '2020', '2213', '75', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '36.20438359');
INSERT INTO public.ecdc_import VALUES (56994, '31/10/2020', '31', '10', '2020', '2322', '78', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '35.6068509');
INSERT INTO public.ecdc_import VALUES (56995, '30/10/2020', '30', '10', '2020', '2319', '72', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '34.98492913');
INSERT INTO public.ecdc_import VALUES (56996, '29/10/2020', '29', '10', '2020', '2305', '77', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '34.22155063');
INSERT INTO public.ecdc_import VALUES (56997, '28/10/2020', '28', '10', '2020', '2209', '76', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '33.4484165');
INSERT INTO public.ecdc_import VALUES (56998, '27/10/2020', '27', '10', '2020', '2198', '75', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '32.74479128');
INSERT INTO public.ecdc_import VALUES (56999, '26/10/2020', '26', '10', '2020', '2017', '72', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '32.03262987');
INSERT INTO public.ecdc_import VALUES (57000, '25/10/2020', '25', '10', '2020', '2091', '69', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '31.40461082');
INSERT INTO public.ecdc_import VALUES (57001, '24/10/2020', '24', '10', '2020', '2165', '74', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '30.86561195');
INSERT INTO public.ecdc_import VALUES (57002, '23/10/2020', '23', '10', '2020', '2102', '71', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '30.21198435');
INSERT INTO public.ecdc_import VALUES (57003, '22/10/2020', '22', '10', '2020', '2013', '68', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '29.61811003');
INSERT INTO public.ecdc_import VALUES (57004, '21/10/2020', '21', '10', '2020', '1894', '74', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '29.0913057');
INSERT INTO public.ecdc_import VALUES (57005, '20/10/2020', '20', '10', '2020', '2026', '75', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.62425464');
INSERT INTO public.ecdc_import VALUES (57006, '19/10/2020', '19', '10', '2020', '1815', '72', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.1084254');
INSERT INTO public.ecdc_import VALUES (57007, '18/10/2020', '18', '10', '2020', '1723', '71', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.63771598');
INSERT INTO public.ecdc_import VALUES (57008, '17/10/2020', '17', '10', '2020', '1812', '73', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.36821654');
INSERT INTO public.ecdc_import VALUES (57009, '16/10/2020', '16', '10', '2020', '1693', '66', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.91701839');
INSERT INTO public.ecdc_import VALUES (57010, '15/10/2020', '15', '10', '2020', '1671', '57', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.56825442');
INSERT INTO public.ecdc_import VALUES (57011, '14/10/2020', '14', '10', '2020', '1632', '62', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.22680717');
INSERT INTO public.ecdc_import VALUES (57012, '13/10/2020', '13', '10', '2020', '1614', '58', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.976819');
INSERT INTO public.ecdc_import VALUES (57013, '12/10/2020', '12', '10', '2020', '1502', '59', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.7304892');
INSERT INTO public.ecdc_import VALUES (57014, '11/10/2020', '11', '10', '2020', '1649', '56', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.68780829');
INSERT INTO public.ecdc_import VALUES (57015, '10/10/2020', '10', '10', '2020', '1629', '55', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.51952358');
INSERT INTO public.ecdc_import VALUES (57016, '09/10/2020', '9', '10', '2020', '1615', '58', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.56342394');
INSERT INTO public.ecdc_import VALUES (57017, '08/10/2020', '8', '10', '2020', '1581', '56', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.69268611');
INSERT INTO public.ecdc_import VALUES (57018, '07/10/2020', '7', '10', '2020', '1511', '55', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.91950464');
INSERT INTO public.ecdc_import VALUES (57019, '06/10/2020', '6', '10', '2020', '1603', '57', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.1402259');
INSERT INTO public.ecdc_import VALUES (57020, '05/10/2020', '5', '10', '2020', '1429', '57', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.31094952');
INSERT INTO public.ecdc_import VALUES (57021, '04/10/2020', '4', '10', '2020', '1502', '59', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.42070042');
INSERT INTO public.ecdc_import VALUES (57022, '03/10/2020', '3', '10', '2020', '1442', '63', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.46460079');
INSERT INTO public.ecdc_import VALUES (57023, '02/10/2020', '2', '10', '2020', '1407', '67', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.8658013');
INSERT INTO public.ecdc_import VALUES (57024, '01/10/2020', '1', '10', '2020', '1391', '65', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.15968983');
INSERT INTO public.ecdc_import VALUES (57025, '30/09/2020', '30', '9', '2020', '1427', '68', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.62308253');
INSERT INTO public.ecdc_import VALUES (57026, '29/09/2020', '29', '9', '2020', '1412', '65', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.00721068');
INSERT INTO public.ecdc_import VALUES (57027, '28/09/2020', '28', '9', '2020', '1467', '68', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.37792484');
INSERT INTO public.ecdc_import VALUES (57028, '27/09/2020', '27', '9', '2020', '1511', '71', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.45109211');
INSERT INTO public.ecdc_import VALUES (57029, '26/09/2020', '26', '9', '2020', '1665', '73', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.4486532');
INSERT INTO public.ecdc_import VALUES (57030, '25/09/2020', '25', '9', '2020', '1721', '74', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.45596993');
INSERT INTO public.ecdc_import VALUES (57031, '24/09/2020', '24', '9', '2020', '1767', '72', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.20110394');
INSERT INTO public.ecdc_import VALUES (57032, '23/09/2020', '23', '9', '2020', '1692', '65', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.08647522');
INSERT INTO public.ecdc_import VALUES (57033, '22/09/2020', '22', '9', '2020', '1743', '68', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.17061758');
INSERT INTO public.ecdc_import VALUES (57034, '21/09/2020', '21', '9', '2020', '1519', '61', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.1218394');
INSERT INTO public.ecdc_import VALUES (57035, '20/09/2020', '20', '9', '2020', '1538', '68', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.19378722');
INSERT INTO public.ecdc_import VALUES (57036, '19/09/2020', '19', '9', '2020', '1771', '62', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.35841357');
INSERT INTO public.ecdc_import VALUES (57037, '18/09/2020', '18', '9', '2020', '1648', '66', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.16452031');
INSERT INTO public.ecdc_import VALUES (57038, '17/09/2020', '17', '9', '2020', '1771', '63', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.15720358');
INSERT INTO public.ecdc_import VALUES (57039, '16/09/2020', '16', '9', '2020', '1742', '67', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.94379905');
INSERT INTO public.ecdc_import VALUES (57040, '15/09/2020', '15', '9', '2020', '1716', '63', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.73649179');
INSERT INTO public.ecdc_import VALUES (57041, '14/09/2020', '14', '9', '2020', '1527', '57', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.57918217');
INSERT INTO public.ecdc_import VALUES (57042, '13/09/2020', '13', '9', '2020', '1509', '48', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.52430672');
INSERT INTO public.ecdc_import VALUES (57043, '12/09/2020', '12', '9', '2020', '1671', '56', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.57308489');
INSERT INTO public.ecdc_import VALUES (57044, '11/09/2020', '11', '9', '2020', '1512', '58', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.38528891');
INSERT INTO public.ecdc_import VALUES (57045, '10/09/2020', '10', '9', '2020', '1673', '55', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.35968036');
INSERT INTO public.ecdc_import VALUES (57046, '09/09/2020', '9', '9', '2020', '1761', '52', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.92067676');
INSERT INTO public.ecdc_import VALUES (57047, '08/09/2020', '8', '9', '2020', '1703', '57', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.60483805');
INSERT INTO public.ecdc_import VALUES (57048, '07/09/2020', '7', '9', '2020', '1578', '53', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.28777989');
INSERT INTO public.ecdc_import VALUES (57049, '06/09/2020', '6', '9', '2020', '1673', '56', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.84755683');
INSERT INTO public.ecdc_import VALUES (57050, '05/09/2020', '5', '9', '2020', '1612', '53', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.4036754');
INSERT INTO public.ecdc_import VALUES (57051, '04/09/2020', '4', '9', '2020', '1642', '49', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '24.90491853');
INSERT INTO public.ecdc_import VALUES (57052, '03/09/2020', '3', '9', '2020', '1596', '45', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '24.624444');
INSERT INTO public.ecdc_import VALUES (57053, '02/09/2020', '2', '9', '2020', '1572', '47', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '24.26714384');
INSERT INTO public.ecdc_import VALUES (57054, '01/09/2020', '1', '9', '2020', '1587', '44', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.89033241');
INSERT INTO public.ecdc_import VALUES (57055, '31/08/2020', '31', '8', '2020', '1482', '42', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.45864553');
INSERT INTO public.ecdc_import VALUES (57056, '30/08/2020', '30', '8', '2020', '1549', '39', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.10500374');
INSERT INTO public.ecdc_import VALUES (57057, '29/08/2020', '29', '8', '2020', '1517', '36', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.74770358');
INSERT INTO public.ecdc_import VALUES (57058, '28/08/2020', '28', '8', '2020', '1491', '26', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.39284233');
INSERT INTO public.ecdc_import VALUES (57059, '27/08/2020', '27', '8', '2020', '1313', '20', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.09041762');
INSERT INTO public.ecdc_import VALUES (57060, '26/08/2020', '26', '8', '2020', '1502', '24', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.96725272');
INSERT INTO public.ecdc_import VALUES (57061, '25/08/2020', '25', '8', '2020', '1443', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.57824675');
INSERT INTO public.ecdc_import VALUES (57062, '24/08/2020', '24', '8', '2020', '1217', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.27338313');
INSERT INTO public.ecdc_import VALUES (57063, '23/08/2020', '23', '8', '2020', '1309', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.23070222');
INSERT INTO public.ecdc_import VALUES (57064, '22/08/2020', '22', '8', '2020', '1203', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.06363696');
INSERT INTO public.ecdc_import VALUES (57065, '21/08/2020', '21', '8', '2020', '1412', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.04168678');
INSERT INTO public.ecdc_import VALUES (57066, '20/08/2020', '20', '8', '2020', '1303', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.72584808');
INSERT INTO public.ecdc_import VALUES (57067, '19/08/2020', '19', '8', '2020', '1263', '20', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.57341627');
INSERT INTO public.ecdc_import VALUES (57068, '18/08/2020', '18', '8', '2020', '1233', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.35391446');
INSERT INTO public.ecdc_import VALUES (57069, '17/08/2020', '17', '8', '2020', '1192', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.0636843');
INSERT INTO public.ecdc_import VALUES (57070, '16/08/2020', '16', '8', '2020', '1256', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.81369614');
INSERT INTO public.ecdc_import VALUES (57071, '15/08/2020', '15', '8', '2020', '1226', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.49663798');
INSERT INTO public.ecdc_import VALUES (57072, '14/08/2020', '14', '8', '2020', '1243', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.19909109');
INSERT INTO public.ecdc_import VALUES (57073, '13/08/2020', '13', '8', '2020', '1212', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.86252165');
INSERT INTO public.ecdc_import VALUES (57074, '12/08/2020', '12', '8', '2020', '1183', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.53326895');
INSERT INTO public.ecdc_import VALUES (57075, '11/08/2020', '11', '8', '2020', '1193', '14', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.26498897');
INSERT INTO public.ecdc_import VALUES (57076, '10/08/2020', '10', '8', '2020', '1182', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.93085844');
INSERT INTO public.ecdc_import VALUES (57077, '09/08/2020', '9', '8', '2020', '1172', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.61989756');
INSERT INTO public.ecdc_import VALUES (57078, '08/08/2020', '8', '8', '2020', '1185', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.31381449');
INSERT INTO public.ecdc_import VALUES (57079, '07/08/2020', '7', '8', '2020', '1153', '14', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.01138978');
INSERT INTO public.ecdc_import VALUES (57080, '06/08/2020', '6', '8', '2020', '1178', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.71872071');
INSERT INTO public.ecdc_import VALUES (57081, '05/08/2020', '5', '8', '2020', '1083', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.38215127');
INSERT INTO public.ecdc_import VALUES (57082, '04/08/2020', '4', '8', '2020', '995', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.19313583');
INSERT INTO public.ecdc_import VALUES (57083, '03/08/2020', '3', '8', '2020', '987', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.11509075');
INSERT INTO public.ecdc_import VALUES (57084, '02/08/2020', '2', '8', '2020', '996', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.03826512');
INSERT INTO public.ecdc_import VALUES (57085, '01/08/2020', '1', '8', '2020', '982', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.94314767');
INSERT INTO public.ecdc_import VALUES (57086, '31/07/2020', '31', '7', '2020', '967', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.87485822');
INSERT INTO public.ecdc_import VALUES (57087, '30/07/2020', '30', '7', '2020', '942', '14', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.83339677');
INSERT INTO public.ecdc_import VALUES (57088, '29/07/2020', '29', '7', '2020', '963', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.83949404');
INSERT INTO public.ecdc_import VALUES (57089, '28/07/2020', '28', '7', '2020', '919', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.87485822');
INSERT INTO public.ecdc_import VALUES (57090, '27/07/2020', '27', '7', '2020', '927', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.98338966');
INSERT INTO public.ecdc_import VALUES (57091, '26/07/2020', '26', '7', '2020', '921', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.08704329');
INSERT INTO public.ecdc_import VALUES (57092, '25/07/2020', '25', '7', '2020', '937', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.20289147');
INSERT INTO public.ecdc_import VALUES (57093, '24/07/2020', '24', '7', '2020', '913', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.28337546');
INSERT INTO public.ecdc_import VALUES (57094, '23/07/2020', '23', '7', '2020', '902', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.41873491');
INSERT INTO public.ecdc_import VALUES (57095, '22/07/2020', '22', '7', '2020', '928', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.58823908');
INSERT INTO public.ecdc_import VALUES (57096, '21/07/2020', '21', '7', '2020', '931', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.74067089');
INSERT INTO public.ecdc_import VALUES (57097, '20/07/2020', '20', '7', '2020', '924', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.92968633');
INSERT INTO public.ecdc_import VALUES (57098, '19/07/2020', '19', '7', '2020', '918', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.20284413');
INSERT INTO public.ecdc_import VALUES (57099, '18/07/2020', '18', '7', '2020', '926', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.49063538');
INSERT INTO public.ecdc_import VALUES (57100, '17/07/2020', '17', '7', '2020', '933', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.79062118');
INSERT INTO public.ecdc_import VALUES (57101, '16/07/2020', '16', '7', '2020', '947', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.09914316');
INSERT INTO public.ecdc_import VALUES (57102, '15/07/2020', '15', '7', '2020', '992', '20', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.3979095');
INSERT INTO public.ecdc_import VALUES (57103, '14/07/2020', '14', '7', '2020', '1008', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.7649653');
INSERT INTO public.ecdc_import VALUES (57104, '13/07/2020', '13', '7', '2020', '1012', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.21128563');
INSERT INTO public.ecdc_import VALUES (57105, '12/07/2020', '12', '7', '2020', '1016', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.63077797');
INSERT INTO public.ecdc_import VALUES (57106, '11/07/2020', '11', '7', '2020', '1003', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.06490376');
INSERT INTO public.ecdc_import VALUES (57107, '10/07/2020', '10', '7', '2020', '1024', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.54414936');
INSERT INTO public.ecdc_import VALUES (57108, '09/07/2020', '9', '7', '2020', '1041', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.0733926');
INSERT INTO public.ecdc_import VALUES (57109, '08/07/2020', '8', '7', '2020', '1053', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.62336656');
INSERT INTO public.ecdc_import VALUES (57110, '07/07/2020', '7', '7', '2020', '1086', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.88554927');
INSERT INTO public.ecdc_import VALUES (57111, '06/07/2020', '6', '7', '2020', '1148', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.03920053');
INSERT INTO public.ecdc_import VALUES (57112, '05/07/2020', '5', '7', '2020', '1154', '20', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.09285653');
INSERT INTO public.ecdc_import VALUES (57113, '04/07/2020', '4', '7', '2020', '1172', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.20748525');
INSERT INTO public.ecdc_import VALUES (57114, '03/07/2020', '3', '7', '2020', '1186', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.25870234');
INSERT INTO public.ecdc_import VALUES (57115, '02/07/2020', '2', '7', '2020', '1192', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.40259796');
INSERT INTO public.ecdc_import VALUES (57116, '01/07/2020', '1', '7', '2020', '1293', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.69160867');
INSERT INTO public.ecdc_import VALUES (57117, '30/06/2020', '30', '6', '2020', '1374', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.90379375');
INSERT INTO public.ecdc_import VALUES (57118, '29/06/2020', '29', '6', '2020', '1356', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.16963482');
INSERT INTO public.ecdc_import VALUES (57119, '28/06/2020', '28', '6', '2020', '1372', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.42084244');
INSERT INTO public.ecdc_import VALUES (57120, '27/06/2020', '27', '6', '2020', '1396', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.52693498');
INSERT INTO public.ecdc_import VALUES (57121, '26/06/2020', '26', '6', '2020', '1458', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.28182463');
INSERT INTO public.ecdc_import VALUES (57122, '25/06/2020', '25', '6', '2020', '1492', '24', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.70746158');
INSERT INTO public.ecdc_import VALUES (57123, '24/06/2020', '24', '6', '2020', '1268', '27', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.01237254');
INSERT INTO public.ecdc_import VALUES (57124, '23/06/2020', '23', '6', '2020', '1212', '24', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.67702256');
INSERT INTO public.ecdc_import VALUES (57125, '22/06/2020', '22', '6', '2020', '1192', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.40508421');
INSERT INTO public.ecdc_import VALUES (57126, '21/06/2020', '21', '6', '2020', '1248', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.06607587');
INSERT INTO public.ecdc_import VALUES (57127, '20/06/2020', '20', '6', '2020', '1214', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.61487772');
INSERT INTO public.ecdc_import VALUES (57128, '19/06/2020', '19', '6', '2020', '1304', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.26855265');
INSERT INTO public.ecdc_import VALUES (57129, '18/06/2020', '18', '6', '2020', '1429', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.88320504');
INSERT INTO public.ecdc_import VALUES (57130, '17/06/2020', '17', '6', '2020', '1467', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.19787163');
INSERT INTO public.ecdc_import VALUES (57131, '16/06/2020', '16', '6', '2020', '1592', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.36742314');
INSERT INTO public.ecdc_import VALUES (57132, '15/06/2020', '15', '6', '2020', '1562', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.43454048');
INSERT INTO public.ecdc_import VALUES (57133, '14/06/2020', '14', '6', '2020', '1459', '14', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.5528749');
INSERT INTO public.ecdc_import VALUES (57134, '13/06/2020', '13', '6', '2020', '1195', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.97241457');
INSERT INTO public.ecdc_import VALUES (57135, '12/06/2020', '12', '6', '2020', '987', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '15.90656403');
INSERT INTO public.ecdc_import VALUES (57136, '11/06/2020', '11', '6', '2020', '922', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.14435765');
INSERT INTO public.ecdc_import VALUES (57137, '10/06/2020', '10', '6', '2020', '993', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.28215601');
INSERT INTO public.ecdc_import VALUES (57138, '09/06/2020', '9', '6', '2020', '989', '19', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.22728056');
INSERT INTO public.ecdc_import VALUES (57139, '08/06/2020', '8', '6', '2020', '914', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.22484165');
INSERT INTO public.ecdc_import VALUES (57140, '07/06/2020', '7', '6', '2020', '878', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.50165781');
INSERT INTO public.ecdc_import VALUES (57141, '06/06/2020', '6', '6', '2020', '930', '18', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.87724979');
INSERT INTO public.ecdc_import VALUES (57142, '05/06/2020', '5', '6', '2020', '988', '21', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.90407779');
INSERT INTO public.ecdc_import VALUES (57143, '04/06/2020', '4', '6', '2020', '867', '24', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.87115251');
INSERT INTO public.ecdc_import VALUES (57144, '03/06/2020', '3', '6', '2020', '786', '22', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.99919523');
INSERT INTO public.ecdc_import VALUES (57145, '02/06/2020', '2', '6', '2020', '827', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.28698649');
INSERT INTO public.ecdc_import VALUES (57146, '01/06/2020', '1', '6', '2020', '839', '25', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '17.69062591');
INSERT INTO public.ecdc_import VALUES (57147, '31/05/2020', '31', '5', '2020', '983', '26', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.33571733');
INSERT INTO public.ecdc_import VALUES (57148, '30/05/2020', '30', '5', '2020', '1141', '28', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.10031528');
INSERT INTO public.ecdc_import VALUES (57149, '29/05/2020', '29', '5', '2020', '1182', '30', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '19.79174596');
INSERT INTO public.ecdc_import VALUES (57150, '28/05/2020', '28', '5', '2020', '1035', '34', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '20.34415883');
INSERT INTO public.ecdc_import VALUES (57151, '27/05/2020', '27', '5', '2020', '948', '28', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.08070933');
INSERT INTO public.ecdc_import VALUES (57152, '26/05/2020', '26', '5', '2020', '987', '29', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.0026169');
INSERT INTO public.ecdc_import VALUES (57153, '25/05/2020', '25', '5', '2020', '1141', '32', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.15748762');
INSERT INTO public.ecdc_import VALUES (57154, '24/05/2020', '24', '5', '2020', '1186', '32', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '22.64648886');
INSERT INTO public.ecdc_import VALUES (57155, '23/05/2020', '23', '5', '2020', '952', '27', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '23.08549246');
INSERT INTO public.ecdc_import VALUES (57156, '22/05/2020', '22', '5', '2020', '961', '27', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '24.17812366');
INSERT INTO public.ecdc_import VALUES (57157, '21/05/2020', '21', '5', '2020', '972', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '25.4170894');
INSERT INTO public.ecdc_import VALUES (57158, '20/05/2020', '20', '5', '2020', '1022', '28', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '26.97921057');
INSERT INTO public.ecdc_import VALUES (57159, '19/05/2020', '19', '5', '2020', '1158', '31', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '27.96696869');
INSERT INTO public.ecdc_import VALUES (57160, '18/05/2020', '18', '5', '2020', '1368', '44', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.52303992');
INSERT INTO public.ecdc_import VALUES (57161, '17/05/2020', '17', '5', '2020', '1610', '41', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.89131517');
INSERT INTO public.ecdc_import VALUES (57162, '16/05/2020', '16', '5', '2020', '1708', '48', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '29.34617168');
INSERT INTO public.ecdc_import VALUES (57163, '15/05/2020', '15', '5', '2020', '1635', '55', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '29.93150983');
INSERT INTO public.ecdc_import VALUES (57164, '14/05/2020', '14', '5', '2020', '1639', '58', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '31.1265752');
INSERT INTO public.ecdc_import VALUES (57165, '13/05/2020', '13', '5', '2020', '1704', '53', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '32.70820764');
INSERT INTO public.ecdc_import VALUES (57166, '12/05/2020', '12', '5', '2020', '1114', '55', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '33.54719231');
INSERT INTO public.ecdc_import VALUES (57167, '11/05/2020', '11', '5', '2020', '1542', '47', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '34.7873775');
INSERT INTO public.ecdc_import VALUES (57168, '10/05/2020', '10', '5', '2020', '1546', '50', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '35.78123289');
INSERT INTO public.ecdc_import VALUES (57169, '09/05/2020', '9', '5', '2020', '1848', '48', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '37.38481551');
INSERT INTO public.ecdc_import VALUES (57170, '08/05/2020', '8', '5', '2020', '1977', '57', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '38.9384005');
INSERT INTO public.ecdc_import VALUES (57171, '07/05/2020', '7', '5', '2020', '2253', '64', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '40.32735914');
INSERT INTO public.ecdc_import VALUES (57172, '06/05/2020', '6', '5', '2020', '1832', '59', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '41.33950634');
INSERT INTO public.ecdc_import VALUES (57173, '05/05/2020', '5', '5', '2020', '1614', '64', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '44.7283703');
INSERT INTO public.ecdc_import VALUES (57174, '04/05/2020', '4', '5', '2020', '1670', '61', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '48.45990096');
INSERT INTO public.ecdc_import VALUES (57175, '03/05/2020', '3', '5', '2020', '1983', '78', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '51.27318241');
INSERT INTO public.ecdc_import VALUES (57176, '02/05/2020', '2', '5', '2020', '2188', '84', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '53.46820044');
INSERT INTO public.ecdc_import VALUES (57177, '01/05/2020', '1', '5', '2020', '2615', '93', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '56.10831936');
INSERT INTO public.ecdc_import VALUES (57178, '30/04/2020', '30', '4', '2020', '2936', '89', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '58.77404682');
INSERT INTO public.ecdc_import VALUES (57179, '29/04/2020', '29', '4', '2020', '2392', '92', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '60.41421307');
INSERT INTO public.ecdc_import VALUES (57180, '28/04/2020', '28', '4', '2020', '2131', '95', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '62.45070203');
INSERT INTO public.ecdc_import VALUES (57181, '27/04/2020', '27', '4', '2020', '2357', '99', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '64.84327169');
INSERT INTO public.ecdc_import VALUES (57182, '26/04/2020', '26', '4', '2020', '2861', '106', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '67.80898495');
INSERT INTO public.ecdc_import VALUES (57183, '25/04/2020', '25', '4', '2020', '3122', '109', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '70.58568276');
INSERT INTO public.ecdc_import VALUES (57184, '24/04/2020', '24', '4', '2020', '3116', '115', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '72.56729627');
INSERT INTO public.ecdc_import VALUES (57185, '23/04/2020', '23', '4', '2020', '3083', '117', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '73.71358346');
INSERT INTO public.ecdc_import VALUES (57186, '22/04/2020', '22', '4', '2020', '4611', '119', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '74.97449938');
INSERT INTO public.ecdc_import VALUES (57187, '21/04/2020', '21', '4', '2020', '4674', '123', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '74.09771162');
INSERT INTO public.ecdc_import VALUES (57188, '20/04/2020', '20', '4', '2020', '3977', '127', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '72.23682411');
INSERT INTO public.ecdc_import VALUES (57189, '19/04/2020', '19', '4', '2020', '3783', '121', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '71.21004345');
INSERT INTO public.ecdc_import VALUES (57190, '18/04/2020', '18', '4', '2020', '4353', '126', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '70.27106351');
INSERT INTO public.ecdc_import VALUES (57191, '17/04/2020', '17', '4', '2020', '4801', '125', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '68.36017836');
INSERT INTO public.ecdc_import VALUES (57192, '16/04/2020', '16', '4', '2020', '4281', '115', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '65.50055764');
INSERT INTO public.ecdc_import VALUES (57193, '15/04/2020', '15', '4', '2020', '4062', '107', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '62.89946127');
INSERT INTO public.ecdc_import VALUES (57194, '14/04/2020', '14', '4', '2020', '4093', '98', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '61.24344211');
INSERT INTO public.ecdc_import VALUES (57195, '13/04/2020', '13', '4', '2020', '4789', '97', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '58.21553667');
INSERT INTO public.ecdc_import VALUES (57196, '12/04/2020', '12', '4', '2020', '5138', '95', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '54.5888791');
INSERT INTO public.ecdc_import VALUES (57197, '11/04/2020', '11', '4', '2020', '4747', '98', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '50.40127247');
INSERT INTO public.ecdc_import VALUES (57198, '10/04/2020', '10', '4', '2020', '4056', '96', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '47.13557341');
INSERT INTO public.ecdc_import VALUES (57199, '09/04/2020', '9', '4', '2020', '4117', '87', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '43.64793364');
INSERT INTO public.ecdc_import VALUES (57200, '08/04/2020', '8', '4', '2020', '3892', '76', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '39.31155357');
INSERT INTO public.ecdc_import VALUES (57201, '07/04/2020', '7', '4', '2020', '3148', '75', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '34.98370967');
INSERT INTO public.ecdc_import VALUES (57202, '06/04/2020', '6', '4', '2020', '3135', '73', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '31.50216718');
INSERT INTO public.ecdc_import VALUES (57203, '05/04/2020', '5', '4', '2020', '3013', '76', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '28.03159977');
INSERT INTO public.ecdc_import VALUES (57204, '04/04/2020', '4', '4', '2020', '2786', '69', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '24.69517236');
INSERT INTO public.ecdc_import VALUES (57205, '03/04/2020', '3', '4', '2020', '2456', '79', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '21.67702256');
INSERT INTO public.ecdc_import VALUES (57206, '02/04/2020', '2', '4', '2020', '2148', '63', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '18.88691074');
INSERT INTO public.ecdc_import VALUES (57207, '01/04/2020', '1', '4', '2020', '2704', '46', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '16.38093182');
INSERT INTO public.ecdc_import VALUES (57208, '31/03/2020', '31', '3', '2020', '1610', '37', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '13.14571913');
INSERT INTO public.ecdc_import VALUES (57209, '30/03/2020', '30', '3', '2020', '1815', '23', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '11.21776162');
INSERT INTO public.ecdc_import VALUES (57210, '29/03/2020', '29', '3', '2020', '1704', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '9.02396304');
INSERT INTO public.ecdc_import VALUES (57211, '28/03/2020', '28', '3', '2020', '2069', '17', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '6.94723208');
INSERT INTO public.ecdc_import VALUES (57212, '27/03/2020', '27', '3', '2020', '1196', '16', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '4.42540025');
INSERT INTO public.ecdc_import VALUES (57213, '26/03/2020', '26', '3', '2020', '561', '15', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57214, '25/03/2020', '25', '3', '2020', '343', '7', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57215, '24/03/2020', '24', '3', '2020', '293', '7', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57216, '23/03/2020', '23', '3', '2020', '289', '9', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57217, '22/03/2020', '22', '3', '2020', '277', '12', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57218, '21/03/2020', '21', '3', '2020', '311', '5', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57219, '20/03/2020', '20', '3', '2020', '168', '3', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57220, '19/03/2020', '19', '3', '2020', '93', '1', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57221, '18/03/2020', '18', '3', '2020', '51', '0', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57222, '17/03/2020', '17', '3', '2020', '29', '0', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57223, '16/03/2020', '16', '3', '2020', '16', '0', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57224, '13/03/2020', '13', '3', '2020', '1', '0', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57225, '12/03/2020', '12', '3', '2020', '1', '0', '82003882', 'Turkey', 'TR', 'TUR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (57226, '14/12/2020', '14', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '54.98245798');
INSERT INTO public.ecdc_import VALUES (57227, '13/12/2020', '13', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '54.98245798');
INSERT INTO public.ecdc_import VALUES (57228, '12/12/2020', '12', '12', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '54.98245798');
INSERT INTO public.ecdc_import VALUES (57229, '11/12/2020', '11', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '57.60067026');
INSERT INTO public.ecdc_import VALUES (57230, '10/12/2020', '10', '12', '2020', '7', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '57.60067026');
INSERT INTO public.ecdc_import VALUES (57231, '09/12/2020', '9', '12', '2020', '5', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '39.27318427');
INSERT INTO public.ecdc_import VALUES (57232, '08/12/2020', '8', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '26.18212285');
INSERT INTO public.ecdc_import VALUES (57233, '07/12/2020', '7', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '26.18212285');
INSERT INTO public.ecdc_import VALUES (57234, '06/12/2020', '6', '12', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57235, '05/12/2020', '5', '12', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '39.27318427');
INSERT INTO public.ecdc_import VALUES (57236, '04/12/2020', '4', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57237, '03/12/2020', '3', '12', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57238, '02/12/2020', '2', '12', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57239, '01/12/2020', '1', '12', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '73.30994397');
INSERT INTO public.ecdc_import VALUES (57240, '30/11/2020', '30', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '73.30994397');
INSERT INTO public.ecdc_import VALUES (57241, '29/11/2020', '29', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '73.30994397');
INSERT INTO public.ecdc_import VALUES (57242, '28/11/2020', '28', '11', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '83.78279311');
INSERT INTO public.ecdc_import VALUES (57243, '27/11/2020', '27', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57244, '26/11/2020', '26', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57245, '25/11/2020', '25', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '91.63742996');
INSERT INTO public.ecdc_import VALUES (57246, '24/11/2020', '24', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '102.1102791');
INSERT INTO public.ecdc_import VALUES (57247, '23/11/2020', '23', '11', '2020', '6', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '102.1102791');
INSERT INTO public.ecdc_import VALUES (57248, '22/11/2020', '22', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '86.40100539');
INSERT INTO public.ecdc_import VALUES (57249, '21/11/2020', '21', '11', '2020', '19', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '86.40100539');
INSERT INTO public.ecdc_import VALUES (57250, '20/11/2020', '20', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57251, '19/11/2020', '19', '11', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57252, '18/11/2020', '18', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57253, '17/11/2020', '17', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57254, '16/11/2020', '16', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57255, '15/11/2020', '15', '11', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57256, '14/11/2020', '14', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '34.0367597');
INSERT INTO public.ecdc_import VALUES (57257, '13/11/2020', '13', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '34.0367597');
INSERT INTO public.ecdc_import VALUES (57258, '12/11/2020', '12', '11', '2020', '5', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '34.0367597');
INSERT INTO public.ecdc_import VALUES (57259, '11/11/2020', '11', '11', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '20.94569828');
INSERT INTO public.ecdc_import VALUES (57260, '10/11/2020', '10', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57261, '09/11/2020', '9', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57262, '08/11/2020', '8', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57263, '07/11/2020', '7', '11', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '20.94569828');
INSERT INTO public.ecdc_import VALUES (57264, '06/11/2020', '6', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57265, '05/11/2020', '5', '11', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57266, '04/11/2020', '4', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57267, '03/11/2020', '3', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57268, '02/11/2020', '2', '11', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57269, '01/11/2020', '1', '11', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57270, '31/10/2020', '31', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57271, '30/10/2020', '30', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57272, '29/10/2020', '29', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57273, '28/10/2020', '28', '10', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57274, '27/10/2020', '27', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '13.09106142');
INSERT INTO public.ecdc_import VALUES (57275, '26/10/2020', '26', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57276, '25/10/2020', '25', '10', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57277, '24/10/2020', '24', '10', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '10.47284914');
INSERT INTO public.ecdc_import VALUES (57278, '23/10/2020', '23', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57279, '22/10/2020', '22', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57280, '21/10/2020', '21', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57281, '20/10/2020', '20', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57282, '19/10/2020', '19', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57283, '18/10/2020', '18', '10', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57284, '17/10/2020', '17', '10', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57285, '16/10/2020', '16', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57286, '15/10/2020', '15', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57287, '14/10/2020', '14', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '26.18212285');
INSERT INTO public.ecdc_import VALUES (57288, '13/10/2020', '13', '10', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '36.65497199');
INSERT INTO public.ecdc_import VALUES (57289, '12/10/2020', '12', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '34.0367597');
INSERT INTO public.ecdc_import VALUES (57290, '11/10/2020', '11', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '36.65497199');
INSERT INTO public.ecdc_import VALUES (57291, '10/10/2020', '10', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '39.27318427');
INSERT INTO public.ecdc_import VALUES (57292, '09/10/2020', '9', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57293, '08/10/2020', '8', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '49.74603341');
INSERT INTO public.ecdc_import VALUES (57294, '07/10/2020', '7', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '60.21888255');
INSERT INTO public.ecdc_import VALUES (57295, '06/10/2020', '6', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57296, '05/10/2020', '5', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57297, '04/10/2020', '4', '10', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57298, '03/10/2020', '3', '10', '2020', '5', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '73.30994397');
INSERT INTO public.ecdc_import VALUES (57299, '02/10/2020', '2', '10', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57300, '01/10/2020', '1', '10', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57301, '30/09/2020', '30', '9', '2020', '4', '1', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '94.25564225');
INSERT INTO public.ecdc_import VALUES (57302, '29/09/2020', '29', '9', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '89.01921768');
INSERT INTO public.ecdc_import VALUES (57303, '28/09/2020', '28', '9', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '94.25564225');
INSERT INTO public.ecdc_import VALUES (57304, '27/09/2020', '27', '9', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '96.87385453');
INSERT INTO public.ecdc_import VALUES (57305, '26/09/2020', '26', '9', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '102.1102791');
INSERT INTO public.ecdc_import VALUES (57306, '25/09/2020', '25', '9', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '107.34670367');
INSERT INTO public.ecdc_import VALUES (57307, '24/09/2020', '24', '9', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '125.67418966');
INSERT INTO public.ecdc_import VALUES (57308, '23/09/2020', '23', '9', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '151.85631251');
INSERT INTO public.ecdc_import VALUES (57309, '22/09/2020', '22', '9', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '180.65664764');
INSERT INTO public.ecdc_import VALUES (57310, '21/09/2020', '21', '9', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '183.27485993');
INSERT INTO public.ecdc_import VALUES (57311, '20/09/2020', '20', '9', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '201.60234592');
INSERT INTO public.ecdc_import VALUES (57312, '19/09/2020', '19', '9', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '235.63910562');
INSERT INTO public.ecdc_import VALUES (57313, '18/09/2020', '18', '9', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '282.76692674');
INSERT INTO public.ecdc_import VALUES (57314, '17/09/2020', '17', '9', '2020', '9', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '272.2940776');
INSERT INTO public.ecdc_import VALUES (57315, '16/09/2020', '16', '9', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '371.78614442');
INSERT INTO public.ecdc_import VALUES (57316, '15/09/2020', '15', '9', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '366.54971985');
INSERT INTO public.ecdc_import VALUES (57317, '14/09/2020', '14', '9', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '363.93150757');
INSERT INTO public.ecdc_import VALUES (57318, '13/09/2020', '13', '9', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '363.93150757');
INSERT INTO public.ecdc_import VALUES (57319, '12/09/2020', '12', '9', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '395.35005498');
INSERT INTO public.ecdc_import VALUES (57320, '11/09/2020', '11', '9', '2020', '10', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '408.44111641');
INSERT INTO public.ecdc_import VALUES (57321, '10/09/2020', '10', '9', '2020', '14', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '429.38681468');
INSERT INTO public.ecdc_import VALUES (57322, '09/09/2020', '9', '9', '2020', '15', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '479.13284809');
INSERT INTO public.ecdc_import VALUES (57323, '08/09/2020', '8', '9', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '565.53385348');
INSERT INTO public.ecdc_import VALUES (57324, '07/09/2020', '7', '9', '2020', '7', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '562.9156412');
INSERT INTO public.ecdc_import VALUES (57325, '06/09/2020', '6', '9', '2020', '14', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '544.58815521');
INSERT INTO public.ecdc_import VALUES (57326, '05/09/2020', '5', '9', '2020', '22', '1', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '602.18882547');
INSERT INTO public.ecdc_import VALUES (57327, '04/09/2020', '4', '9', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '578.62491491');
INSERT INTO public.ecdc_import VALUES (57328, '03/09/2020', '3', '9', '2020', '47', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '596.9524009');
INSERT INTO public.ecdc_import VALUES (57329, '02/09/2020', '2', '9', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '505.31497094');
INSERT INTO public.ecdc_import VALUES (57330, '01/09/2020', '1', '9', '2020', '1', '1', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '549.82457978');
INSERT INTO public.ecdc_import VALUES (57331, '31/08/2020', '31', '8', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '547.20636749');
INSERT INTO public.ecdc_import VALUES (57332, '30/08/2020', '30', '8', '2020', '15', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '541.96994292');
INSERT INTO public.ecdc_import VALUES (57333, '29/08/2020', '29', '8', '2020', '8', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '565.53385348');
INSERT INTO public.ecdc_import VALUES (57334, '28/08/2020', '28', '8', '2020', '18', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '586.47955176');
INSERT INTO public.ecdc_import VALUES (57335, '27/08/2020', '27', '8', '2020', '33', '1', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '583.86133948');
INSERT INTO public.ecdc_import VALUES (57336, '26/08/2020', '26', '8', '2020', '48', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '541.96994292');
INSERT INTO public.ecdc_import VALUES (57337, '25/08/2020', '25', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '437.24145154');
INSERT INTO public.ecdc_import VALUES (57338, '24/08/2020', '24', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '437.24145154');
INSERT INTO public.ecdc_import VALUES (57339, '23/08/2020', '23', '8', '2020', '36', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '486.98748495');
INSERT INTO public.ecdc_import VALUES (57340, '22/08/2020', '22', '8', '2020', '13', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '463.42357438');
INSERT INTO public.ecdc_import VALUES (57341, '21/08/2020', '21', '8', '2020', '7', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '505.31497094');
INSERT INTO public.ecdc_import VALUES (57342, '20/08/2020', '20', '8', '2020', '12', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '518.40603236');
INSERT INTO public.ecdc_import VALUES (57343, '19/08/2020', '19', '8', '2020', '17', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '521.02424465');
INSERT INTO public.ecdc_import VALUES (57344, '18/08/2020', '18', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '476.51463581');
INSERT INTO public.ecdc_import VALUES (57345, '17/08/2020', '17', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '476.51463581');
INSERT INTO public.ecdc_import VALUES (57346, '16/08/2020', '16', '8', '2020', '24', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '481.75106038');
INSERT INTO public.ecdc_import VALUES (57347, '15/08/2020', '15', '8', '2020', '16', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '437.24145154');
INSERT INTO public.ecdc_import VALUES (57348, '14/08/2020', '14', '8', '2020', '17', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '403.20469184');
INSERT INTO public.ecdc_import VALUES (57349, '13/08/2020', '13', '8', '2020', '17', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '371.78614442');
INSERT INTO public.ecdc_import VALUES (57350, '12/08/2020', '12', '8', '2020', '8', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '327.27653558');
INSERT INTO public.ecdc_import VALUES (57351, '11/08/2020', '11', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '306.3308373');
INSERT INTO public.ecdc_import VALUES (57352, '10/08/2020', '10', '8', '2020', '19', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '306.3308373');
INSERT INTO public.ecdc_import VALUES (57353, '09/08/2020', '9', '8', '2020', '27', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '261.82122847');
INSERT INTO public.ecdc_import VALUES (57354, '08/08/2020', '8', '8', '2020', '29', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '204.2205582');
INSERT INTO public.ecdc_import VALUES (57355, '07/08/2020', '7', '8', '2020', '12', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '133.52882652');
INSERT INTO public.ecdc_import VALUES (57356, '06/08/2020', '6', '8', '2020', '13', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '112.58312824');
INSERT INTO public.ecdc_import VALUES (57357, '05/08/2020', '5', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '89.01921768');
INSERT INTO public.ecdc_import VALUES (57358, '04/08/2020', '4', '8', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '91.63742996');
INSERT INTO public.ecdc_import VALUES (57359, '03/08/2020', '3', '8', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '91.63742996');
INSERT INTO public.ecdc_import VALUES (57360, '02/08/2020', '2', '8', '2020', '7', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '102.1102791');
INSERT INTO public.ecdc_import VALUES (57361, '01/08/2020', '1', '8', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '86.40100539');
INSERT INTO public.ecdc_import VALUES (57362, '31/07/2020', '31', '7', '2020', '5', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '83.78279311');
INSERT INTO public.ecdc_import VALUES (57363, '30/07/2020', '30', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57364, '29/07/2020', '29', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57365, '28/07/2020', '28', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57366, '27/07/2020', '27', '7', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '70.69173169');
INSERT INTO public.ecdc_import VALUES (57367, '26/07/2020', '26', '7', '2020', '5', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '81.16458082');
INSERT INTO public.ecdc_import VALUES (57368, '25/07/2020', '25', '7', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '68.0735194');
INSERT INTO public.ecdc_import VALUES (57369, '24/07/2020', '24', '7', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '91.63742996');
INSERT INTO public.ecdc_import VALUES (57370, '23/07/2020', '23', '7', '2020', '4', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '81.16458082');
INSERT INTO public.ecdc_import VALUES (57371, '22/07/2020', '22', '7', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '86.40100539');
INSERT INTO public.ecdc_import VALUES (57372, '21/07/2020', '21', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '83.78279311');
INSERT INTO public.ecdc_import VALUES (57373, '20/07/2020', '20', '7', '2020', '6', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '89.01921768');
INSERT INTO public.ecdc_import VALUES (57374, '19/07/2020', '19', '7', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57375, '18/07/2020', '18', '7', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57376, '17/07/2020', '17', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '73.30994397');
INSERT INTO public.ecdc_import VALUES (57377, '16/07/2020', '16', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57378, '15/07/2020', '15', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '81.16458082');
INSERT INTO public.ecdc_import VALUES (57379, '14/07/2020', '14', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '81.16458082');
INSERT INTO public.ecdc_import VALUES (57380, '13/07/2020', '13', '7', '2020', '6', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '115.20134052');
INSERT INTO public.ecdc_import VALUES (57381, '12/07/2020', '12', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '130.91061423');
INSERT INTO public.ecdc_import VALUES (57382, '11/07/2020', '11', '7', '2020', '11', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '133.52882652');
INSERT INTO public.ecdc_import VALUES (57383, '10/07/2020', '10', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '104.72849139');
INSERT INTO public.ecdc_import VALUES (57384, '09/07/2020', '9', '7', '2020', '6', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '104.72849139');
INSERT INTO public.ecdc_import VALUES (57385, '08/07/2020', '8', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '91.63742996');
INSERT INTO public.ecdc_import VALUES (57386, '07/07/2020', '7', '7', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '91.63742996');
INSERT INTO public.ecdc_import VALUES (57387, '06/07/2020', '6', '7', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '86.40100539');
INSERT INTO public.ecdc_import VALUES (57388, '05/07/2020', '5', '7', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '86.40100539');
INSERT INTO public.ecdc_import VALUES (57389, '04/07/2020', '4', '7', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '83.78279311');
INSERT INTO public.ecdc_import VALUES (57390, '03/07/2020', '3', '7', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '83.78279311');
INSERT INTO public.ecdc_import VALUES (57391, '02/07/2020', '2', '7', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '78.54636854');
INSERT INTO public.ecdc_import VALUES (57392, '01/07/2020', '1', '7', '2020', '0', '1', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '75.92815625');
INSERT INTO public.ecdc_import VALUES (57393, '30/06/2020', '30', '6', '2020', '13', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '75.92815625');
INSERT INTO public.ecdc_import VALUES (57394, '29/06/2020', '29', '6', '2020', '12', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '41.89139655');
INSERT INTO public.ecdc_import VALUES (57395, '28/06/2020', '28', '6', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '10.47284914');
INSERT INTO public.ecdc_import VALUES (57396, '27/06/2020', '27', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57397, '26/06/2020', '26', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57398, '25/06/2020', '25', '6', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57399, '24/06/2020', '24', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57400, '23/06/2020', '23', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57401, '22/06/2020', '22', '6', '2020', '2', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57402, '21/06/2020', '21', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57403, '20/06/2020', '20', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57404, '19/06/2020', '19', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57405, '18/06/2020', '18', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57406, '17/06/2020', '17', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57407, '16/06/2020', '16', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57408, '15/06/2020', '15', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57409, '14/06/2020', '14', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57410, '13/06/2020', '13', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57411, '12/06/2020', '12', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57412, '11/06/2020', '11', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57413, '10/06/2020', '10', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57414, '09/06/2020', '9', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57415, '08/06/2020', '8', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57416, '07/06/2020', '7', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57417, '06/06/2020', '6', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57418, '05/06/2020', '5', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57419, '04/06/2020', '4', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57420, '03/06/2020', '3', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57421, '02/06/2020', '2', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57422, '01/06/2020', '1', '6', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57423, '31/05/2020', '31', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57424, '30/05/2020', '30', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57425, '29/05/2020', '29', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57426, '28/05/2020', '28', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57427, '27/05/2020', '27', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57428, '26/05/2020', '26', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57429, '25/05/2020', '25', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57430, '24/05/2020', '24', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57431, '23/05/2020', '23', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57432, '22/05/2020', '22', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57433, '21/05/2020', '21', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57434, '20/05/2020', '20', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57435, '19/05/2020', '19', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57436, '18/05/2020', '18', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57437, '17/05/2020', '17', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57438, '16/05/2020', '16', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57439, '15/05/2020', '15', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57440, '14/05/2020', '14', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57441, '13/05/2020', '13', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57442, '12/05/2020', '12', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (57443, '11/05/2020', '11', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57444, '10/05/2020', '10', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57445, '09/05/2020', '9', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57446, '08/05/2020', '8', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57447, '07/05/2020', '7', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57448, '06/05/2020', '6', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57449, '05/05/2020', '5', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57450, '04/05/2020', '4', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57451, '03/05/2020', '3', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57452, '02/05/2020', '2', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57453, '01/05/2020', '1', '5', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57454, '30/04/2020', '30', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '2.61821228');
INSERT INTO public.ecdc_import VALUES (57455, '29/04/2020', '29', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57456, '28/04/2020', '28', '4', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57457, '27/04/2020', '27', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57458, '26/04/2020', '26', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57459, '25/04/2020', '25', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '5.23642457');
INSERT INTO public.ecdc_import VALUES (57460, '24/04/2020', '24', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57461, '23/04/2020', '23', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57462, '22/04/2020', '22', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57463, '21/04/2020', '21', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '7.85463685');
INSERT INTO public.ecdc_import VALUES (57464, '20/04/2020', '20', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57465, '19/04/2020', '19', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57466, '18/04/2020', '18', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57467, '17/04/2020', '17', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57468, '16/04/2020', '16', '4', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57469, '15/04/2020', '15', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '13.09106142');
INSERT INTO public.ecdc_import VALUES (57470, '14/04/2020', '14', '4', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '13.09106142');
INSERT INTO public.ecdc_import VALUES (57471, '13/04/2020', '13', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '10.47284914');
INSERT INTO public.ecdc_import VALUES (57472, '12/04/2020', '12', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '10.47284914');
INSERT INTO public.ecdc_import VALUES (57473, '11/04/2020', '11', '4', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57474, '10/04/2020', '10', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '15.70927371');
INSERT INTO public.ecdc_import VALUES (57475, '09/04/2020', '9', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57476, '08/04/2020', '8', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '18.32748599');
INSERT INTO public.ecdc_import VALUES (57477, '07/04/2020', '7', '4', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '20.94569828');
INSERT INTO public.ecdc_import VALUES (57478, '06/04/2020', '6', '4', '2020', '0', '1', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57479, '05/04/2020', '5', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57480, '04/04/2020', '4', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57481, '03/04/2020', '3', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57482, '02/04/2020', '2', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57483, '01/04/2020', '1', '4', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57484, '31/03/2020', '31', '3', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57485, '30/03/2020', '30', '3', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57486, '29/03/2020', '29', '3', '2020', '3', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57487, '28/03/2020', '28', '3', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57488, '27/03/2020', '27', '3', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57489, '26/03/2020', '26', '3', '2020', '0', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57490, '25/03/2020', '25', '3', '2020', '1', '0', '38194', 'Turks_and_Caicos_islands', 'TC', 'TCA', 'America', '');
INSERT INTO public.ecdc_import VALUES (57491, '14/12/2020', '14', '12', '2020', '461', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '16.68639918');
INSERT INTO public.ecdc_import VALUES (57492, '13/12/2020', '13', '12', '2020', '702', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '16.09908852');
INSERT INTO public.ecdc_import VALUES (57493, '12/12/2020', '12', '12', '2020', '639', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '15.31751358');
INSERT INTO public.ecdc_import VALUES (57494, '11/12/2020', '11', '12', '2020', '671', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '14.94253832');
INSERT INTO public.ecdc_import VALUES (57495, '10/12/2020', '10', '12', '2020', '1199', '12', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '13.93507466');
INSERT INTO public.ecdc_import VALUES (57496, '09/12/2020', '9', '12', '2020', '660', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '12.31997037');
INSERT INTO public.ecdc_import VALUES (57497, '08/12/2020', '8', '12', '2020', '701', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '11.37349666');
INSERT INTO public.ecdc_import VALUES (57498, '07/12/2020', '7', '12', '2020', '311', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.23501755');
INSERT INTO public.ecdc_import VALUES (57499, '06/12/2020', '6', '12', '2020', '290', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.21242868');
INSERT INTO public.ecdc_import VALUES (57500, '05/12/2020', '5', '12', '2020', '286', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.09044878');
INSERT INTO public.ecdc_import VALUES (57501, '04/12/2020', '4', '12', '2020', '203', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.08367212');
INSERT INTO public.ecdc_import VALUES (57502, '03/12/2020', '3', '12', '2020', '374', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.1740276');
INSERT INTO public.ecdc_import VALUES (57503, '02/12/2020', '2', '12', '2020', '576', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.10174321');
INSERT INTO public.ecdc_import VALUES (57504, '01/12/2020', '1', '12', '2020', '314', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '9.49184369');
INSERT INTO public.ecdc_import VALUES (57505, '30/11/2020', '30', '11', '2020', '201', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '9.31790938');
INSERT INTO public.ecdc_import VALUES (57506, '29/11/2020', '29', '11', '2020', '356', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '10.25986531');
INSERT INTO public.ecdc_import VALUES (57507, '28/11/2020', '28', '11', '2020', '473', '6', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '9.4557015');
INSERT INTO public.ecdc_import VALUES (57508, '27/11/2020', '27', '11', '2020', '225', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.805142');
INSERT INTO public.ecdc_import VALUES (57509, '26/11/2020', '26', '11', '2020', '484', '5', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.80288312');
INSERT INTO public.ecdc_import VALUES (57510, '25/11/2020', '25', '11', '2020', '241', '5', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.36240013');
INSERT INTO public.ecdc_import VALUES (57511, '24/11/2020', '24', '11', '2020', '197', '9', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.11166366');
INSERT INTO public.ecdc_import VALUES (57512, '23/11/2020', '23', '11', '2020', '301', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.05293259');
INSERT INTO public.ecdc_import VALUES (57513, '22/11/2020', '22', '11', '2020', '236', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.13425253');
INSERT INTO public.ecdc_import VALUES (57514, '21/11/2020', '21', '11', '2020', '283', '10', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.08455701');
INSERT INTO public.ecdc_import VALUES (57515, '20/11/2020', '20', '11', '2020', '243', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.0868159');
INSERT INTO public.ecdc_import VALUES (57516, '19/11/2020', '19', '11', '2020', '342', '7', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '8.02808483');
INSERT INTO public.ecdc_import VALUES (57517, '18/11/2020', '18', '11', '2020', '306', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '7.82478499');
INSERT INTO public.ecdc_import VALUES (57518, '17/11/2020', '17', '11', '2020', '237', '5', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '7.42270309');
INSERT INTO public.ecdc_import VALUES (57519, '16/11/2020', '16', '11', '2020', '618', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '7.4023731');
INSERT INTO public.ecdc_import VALUES (57520, '15/11/2020', '15', '11', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.56658487');
INSERT INTO public.ecdc_import VALUES (57521, '14/11/2020', '14', '11', '2020', '185', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.75859027');
INSERT INTO public.ecdc_import VALUES (57522, '13/11/2020', '13', '11', '2020', '224', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.81280356');
INSERT INTO public.ecdc_import VALUES (57523, '12/11/2020', '12', '11', '2020', '289', '6', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '7.28716986');
INSERT INTO public.ecdc_import VALUES (57524, '11/11/2020', '11', '11', '2020', '130', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.964149');
INSERT INTO public.ecdc_import VALUES (57525, '10/11/2020', '10', '11', '2020', '171', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.81506245');
INSERT INTO public.ecdc_import VALUES (57526, '09/11/2020', '9', '11', '2020', '337', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.68630588');
INSERT INTO public.ecdc_import VALUES (57527, '08/11/2020', '8', '11', '2020', '214', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.25485844');
INSERT INTO public.ecdc_import VALUES (57528, '07/11/2020', '7', '11', '2020', '284', '14', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.07414747');
INSERT INTO public.ecdc_import VALUES (57529, '06/11/2020', '6', '11', '2020', '217', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.70820776');
INSERT INTO public.ecdc_import VALUES (57530, '05/11/2020', '5', '11', '2020', '252', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.46198906');
INSERT INTO public.ecdc_import VALUES (57531, '04/11/2020', '4', '11', '2020', '128', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.22028814');
INSERT INTO public.ecdc_import VALUES (57532, '03/11/2020', '3', '11', '2020', '228', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.15026264');
INSERT INTO public.ecdc_import VALUES (57533, '02/11/2020', '2', '11', '2020', '248', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.86338398');
INSERT INTO public.ecdc_import VALUES (57534, '01/11/2020', '1', '11', '2020', '85', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.60812973');
INSERT INTO public.ecdc_import VALUES (57535, '31/10/2020', '31', '10', '2020', '209', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.68944967');
INSERT INTO public.ecdc_import VALUES (57536, '30/10/2020', '30', '10', '2020', '434', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.70752076');
INSERT INTO public.ecdc_import VALUES (57537, '29/10/2020', '29', '10', '2020', '146', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.83559033');
INSERT INTO public.ecdc_import VALUES (57538, '28/10/2020', '28', '10', '2020', '64', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.78589482');
INSERT INTO public.ecdc_import VALUES (57539, '27/10/2020', '27', '10', '2020', '114', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.8242959');
INSERT INTO public.ecdc_import VALUES (57540, '26/10/2020', '26', '10', '2020', '146', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.70909266');
INSERT INTO public.ecdc_import VALUES (57541, '25/10/2020', '25', '10', '2020', '134', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.60518385');
INSERT INTO public.ecdc_import VALUES (57542, '24/10/2020', '24', '10', '2020', '122', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.67069157');
INSERT INTO public.ecdc_import VALUES (57543, '23/10/2020', '23', '10', '2020', '108', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.61196051');
INSERT INTO public.ecdc_import VALUES (57544, '22/10/2020', '22', '10', '2020', '145', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.77911816');
INSERT INTO public.ecdc_import VALUES (57545, '21/10/2020', '21', '10', '2020', '97', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.85366143');
INSERT INTO public.ecdc_import VALUES (57546, '20/10/2020', '20', '10', '2020', '101', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.89883917');
INSERT INTO public.ecdc_import VALUES (57547, '19/10/2020', '19', '10', '2020', '135', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.02533685');
INSERT INTO public.ecdc_import VALUES (57548, '18/10/2020', '18', '10', '2020', '121', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.05018461');
INSERT INTO public.ecdc_import VALUES (57549, '17/10/2020', '17', '10', '2020', '217', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.16312897');
INSERT INTO public.ecdc_import VALUES (57550, '16/10/2020', '16', '10', '2020', '48', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.13376343');
INSERT INTO public.ecdc_import VALUES (57551, '15/10/2020', '15', '10', '2020', '124', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.38224102');
INSERT INTO public.ecdc_import VALUES (57552, '14/10/2020', '14', '10', '2020', '81', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.35513437');
INSERT INTO public.ecdc_import VALUES (57553, '13/10/2020', '13', '10', '2020', '63', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.71429743');
INSERT INTO public.ecdc_import VALUES (57554, '12/10/2020', '12', '10', '2020', '100', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.12993266');
INSERT INTO public.ecdc_import VALUES (57555, '11/10/2020', '11', '10', '2020', '163', '7', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.27901921');
INSERT INTO public.ecdc_import VALUES (57556, '10/10/2020', '10', '10', '2020', '96', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.24061812');
INSERT INTO public.ecdc_import VALUES (57557, '09/10/2020', '9', '10', '2020', '182', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.37163358');
INSERT INTO public.ecdc_import VALUES (57558, '08/10/2020', '8', '10', '2020', '178', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.37841024');
INSERT INTO public.ecdc_import VALUES (57559, '07/10/2020', '7', '10', '2020', '117', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.35356248');
INSERT INTO public.ecdc_import VALUES (57560, '06/10/2020', '6', '10', '2020', '157', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.64044115');
INSERT INTO public.ecdc_import VALUES (57561, '05/10/2020', '5', '10', '2020', '146', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.69465444');
INSERT INTO public.ecdc_import VALUES (57562, '04/10/2020', '4', '10', '2020', '171', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.97475644');
INSERT INTO public.ecdc_import VALUES (57563, '03/10/2020', '3', '10', '2020', '204', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.54399599');
INSERT INTO public.ecdc_import VALUES (57564, '02/10/2020', '2', '10', '2020', '158', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.56658487');
INSERT INTO public.ecdc_import VALUES (57565, '01/10/2020', '1', '10', '2020', '112', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.46719383');
INSERT INTO public.ecdc_import VALUES (57566, '30/09/2020', '30', '9', '2020', '240', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.53721933');
INSERT INTO public.ecdc_import VALUES (57567, '29/09/2020', '29', '9', '2020', '247', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.72696585');
INSERT INTO public.ecdc_import VALUES (57568, '28/09/2020', '28', '9', '2020', '166', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.16902073');
INSERT INTO public.ecdc_import VALUES (57569, '27/09/2020', '27', '9', '2020', '146', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.01089863');
INSERT INTO public.ecdc_import VALUES (57570, '26/09/2020', '26', '9', '2020', '154', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.41749832');
INSERT INTO public.ecdc_import VALUES (57571, '25/09/2020', '25', '9', '2020', '185', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.26389399');
INSERT INTO public.ecdc_import VALUES (57572, '24/09/2020', '24', '9', '2020', '167', '5', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.27518843');
INSERT INTO public.ecdc_import VALUES (57573, '23/09/2020', '23', '9', '2020', '244', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.35199059');
INSERT INTO public.ecdc_import VALUES (57574, '22/09/2020', '22', '9', '2020', '181', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '6.08092413');
INSERT INTO public.ecdc_import VALUES (57575, '21/09/2020', '21', '9', '2020', '270', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.91828426');
INSERT INTO public.ecdc_import VALUES (57576, '20/09/2020', '20', '9', '2020', '423', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.59752229');
INSERT INTO public.ecdc_import VALUES (57577, '19/09/2020', '19', '9', '2020', '214', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '5.06216604');
INSERT INTO public.ecdc_import VALUES (57578, '18/09/2020', '18', '9', '2020', '114', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.72559186');
INSERT INTO public.ecdc_import VALUES (57579, '17/09/2020', '17', '9', '2020', '143', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.86564286');
INSERT INTO public.ecdc_import VALUES (57580, '16/09/2020', '16', '9', '2020', '324', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.71203854');
INSERT INTO public.ecdc_import VALUES (57581, '15/09/2020', '15', '9', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.12698677');
INSERT INTO public.ecdc_import VALUES (57582, '14/09/2020', '14', '9', '2020', '96', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.22637781');
INSERT INTO public.ecdc_import VALUES (57583, '13/09/2020', '13', '9', '2020', '326', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '4.1924945');
INSERT INTO public.ecdc_import VALUES (57584, '12/09/2020', '12', '9', '2020', '86', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.66165603');
INSERT INTO public.ecdc_import VALUES (57585, '11/09/2020', '11', '9', '2020', '190', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.64132604');
INSERT INTO public.ecdc_import VALUES (57586, '10/09/2020', '10', '9', '2020', '201', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.56226499');
INSERT INTO public.ecdc_import VALUES (57587, '09/09/2020', '9', '9', '2020', '124', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.32959962');
INSERT INTO public.ecdc_import VALUES (57588, '08/09/2020', '8', '9', '2020', '109', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.19406639');
INSERT INTO public.ecdc_import VALUES (57589, '07/09/2020', '7', '9', '2020', '128', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.17147752');
INSERT INTO public.ecdc_import VALUES (57590, '06/09/2020', '6', '9', '2020', '186', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.81977812');
INSERT INTO public.ecdc_import VALUES (57591, '05/09/2020', '5', '9', '2020', '65', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.39962512');
INSERT INTO public.ecdc_import VALUES (57592, '04/09/2020', '4', '9', '2020', '176', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.47416839');
INSERT INTO public.ecdc_import VALUES (57593, '03/09/2020', '3', '9', '2020', '75', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.40866067');
INSERT INTO public.ecdc_import VALUES (57594, '02/09/2020', '2', '9', '2020', '65', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.23924413');
INSERT INTO public.ecdc_import VALUES (57595, '01/09/2020', '1', '9', '2020', '44', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.18954862');
INSERT INTO public.ecdc_import VALUES (57596, '31/08/2020', '31', '8', '2020', '81', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.22569081');
INSERT INTO public.ecdc_import VALUES (57597, '30/08/2020', '30', '8', '2020', '91', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.1918075');
INSERT INTO public.ecdc_import VALUES (57598, '29/08/2020', '29', '8', '2020', '77', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '3.09693425');
INSERT INTO public.ecdc_import VALUES (57599, '28/08/2020', '28', '8', '2020', '155', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '2.99528432');
INSERT INTO public.ecdc_import VALUES (57600, '27/08/2020', '27', '8', '2020', '98', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '2.69259345');
INSERT INTO public.ecdc_import VALUES (57601, '26/08/2020', '26', '8', '2020', '64', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '2.51414137');
INSERT INTO public.ecdc_import VALUES (57602, '25/08/2020', '25', '8', '2020', '99', '3', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '2.40571479');
INSERT INTO public.ecdc_import VALUES (57603, '24/08/2020', '24', '8', '2020', '415', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '2.21370938');
INSERT INTO public.ecdc_import VALUES (57604, '23/08/2020', '23', '8', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '1.31241342');
INSERT INTO public.ecdc_import VALUES (57605, '22/08/2020', '22', '8', '2020', '98', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '1.34177895');
INSERT INTO public.ecdc_import VALUES (57606, '21/08/2020', '21', '8', '2020', '147', '4', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '1.19043351');
INSERT INTO public.ecdc_import VALUES (57607, '20/08/2020', '20', '8', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.88096598');
INSERT INTO public.ecdc_import VALUES (57608, '19/08/2020', '19', '8', '2020', '43', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.90355485');
INSERT INTO public.ecdc_import VALUES (57609, '18/08/2020', '18', '8', '2020', '60', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.8244938');
INSERT INTO public.ecdc_import VALUES (57610, '17/08/2020', '17', '8', '2020', '66', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.71832611');
INSERT INTO public.ecdc_import VALUES (57611, '16/08/2020', '16', '8', '2020', '49', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.58279288');
INSERT INTO public.ecdc_import VALUES (57612, '15/08/2020', '15', '8', '2020', '32', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.52180293');
INSERT INTO public.ecdc_import VALUES (57613, '14/08/2020', '14', '8', '2020', '21', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.46533075');
INSERT INTO public.ecdc_import VALUES (57614, '13/08/2020', '13', '8', '2020', '19', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.43370633');
INSERT INTO public.ecdc_import VALUES (57615, '12/08/2020', '12', '8', '2020', '16', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.40208191');
INSERT INTO public.ecdc_import VALUES (57616, '11/08/2020', '11', '8', '2020', '14', '2', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.38175192');
INSERT INTO public.ecdc_import VALUES (57617, '10/08/2020', '10', '8', '2020', '16', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37949304');
INSERT INTO public.ecdc_import VALUES (57618, '09/08/2020', '9', '8', '2020', '13', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37045749');
INSERT INTO public.ecdc_import VALUES (57619, '08/08/2020', '8', '8', '2020', '31', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37271638');
INSERT INTO public.ecdc_import VALUES (57620, '07/08/2020', '7', '8', '2020', '10', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.33431529');
INSERT INTO public.ecdc_import VALUES (57621, '06/08/2020', '6', '8', '2020', '10', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.31172642');
INSERT INTO public.ecdc_import VALUES (57622, '05/08/2020', '5', '8', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.29591421');
INSERT INTO public.ecdc_import VALUES (57623, '04/08/2020', '4', '8', '2020', '13', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.28461978');
INSERT INTO public.ecdc_import VALUES (57624, '03/08/2020', '3', '8', '2020', '6', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.26428979');
INSERT INTO public.ecdc_import VALUES (57625, '02/08/2020', '2', '8', '2020', '22', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.25751313');
INSERT INTO public.ecdc_import VALUES (57626, '01/08/2020', '1', '8', '2020', '7', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.22137094');
INSERT INTO public.ecdc_import VALUES (57627, '31/07/2020', '31', '7', '2020', '7', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.21685316');
INSERT INTO public.ecdc_import VALUES (57628, '30/07/2020', '30', '7', '2020', '5', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.21911205');
INSERT INTO public.ecdc_import VALUES (57629, '29/07/2020', '29', '7', '2020', '7', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.21459428');
INSERT INTO public.ecdc_import VALUES (57630, '28/07/2020', '28', '7', '2020', '13', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.22362983');
INSERT INTO public.ecdc_import VALUES (57631, '27/07/2020', '27', '7', '2020', '12', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.20329984');
INSERT INTO public.ecdc_import VALUES (57632, '26/07/2020', '26', '7', '2020', '14', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.20329984');
INSERT INTO public.ecdc_import VALUES (57633, '25/07/2020', '25', '7', '2020', '14', '1', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.18748763');
INSERT INTO public.ecdc_import VALUES (57634, '24/07/2020', '24', '7', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.16941653');
INSERT INTO public.ecdc_import VALUES (57635, '23/07/2020', '23', '7', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.22137094');
INSERT INTO public.ecdc_import VALUES (57636, '22/07/2020', '22', '7', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.2281476');
INSERT INTO public.ecdc_import VALUES (57637, '21/07/2020', '21', '7', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.26203091');
INSERT INTO public.ecdc_import VALUES (57638, '20/07/2020', '20', '7', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.28461978');
INSERT INTO public.ecdc_import VALUES (57639, '19/07/2020', '19', '7', '2020', '6', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.30494976');
INSERT INTO public.ecdc_import VALUES (57640, '18/07/2020', '18', '7', '2020', '5', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.32753863');
INSERT INTO public.ecdc_import VALUES (57641, '17/07/2020', '17', '7', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.33657418');
INSERT INTO public.ecdc_import VALUES (57642, '16/07/2020', '16', '7', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.33883307');
INSERT INTO public.ecdc_import VALUES (57643, '15/07/2020', '15', '7', '2020', '11', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.34109196');
INSERT INTO public.ecdc_import VALUES (57644, '14/07/2020', '14', '7', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.35916305');
INSERT INTO public.ecdc_import VALUES (57645, '13/07/2020', '13', '7', '2020', '12', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37497526');
INSERT INTO public.ecdc_import VALUES (57646, '12/07/2020', '12', '7', '2020', '7', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37271638');
INSERT INTO public.ecdc_import VALUES (57647, '11/07/2020', '11', '7', '2020', '6', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.39078747');
INSERT INTO public.ecdc_import VALUES (57648, '10/07/2020', '10', '7', '2020', '23', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.40434079');
INSERT INTO public.ecdc_import VALUES (57649, '09/07/2020', '9', '7', '2020', '6', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.38852859');
INSERT INTO public.ecdc_import VALUES (57650, '08/07/2020', '8', '7', '2020', '18', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.39304636');
INSERT INTO public.ecdc_import VALUES (57651, '07/07/2020', '7', '7', '2020', '14', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.40434079');
INSERT INTO public.ecdc_import VALUES (57652, '06/07/2020', '6', '7', '2020', '12', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.38175192');
INSERT INTO public.ecdc_import VALUES (57653, '05/07/2020', '5', '7', '2020', '16', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.38852859');
INSERT INTO public.ecdc_import VALUES (57654, '04/07/2020', '4', '7', '2020', '9', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.35238639');
INSERT INTO public.ecdc_import VALUES (57655, '03/07/2020', '3', '7', '2020', '9', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.36368083');
INSERT INTO public.ecdc_import VALUES (57656, '02/07/2020', '2', '7', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.36368083');
INSERT INTO public.ecdc_import VALUES (57657, '01/07/2020', '1', '7', '2020', '19', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37271638');
INSERT INTO public.ecdc_import VALUES (57658, '30/06/2020', '30', '6', '2020', '11', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.37271638');
INSERT INTO public.ecdc_import VALUES (57659, '29/06/2020', '29', '6', '2020', '11', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.3681986');
INSERT INTO public.ecdc_import VALUES (57660, '28/06/2020', '28', '6', '2020', '15', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.3681986');
INSERT INTO public.ecdc_import VALUES (57661, '27/06/2020', '27', '6', '2020', '12', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.33431529');
INSERT INTO public.ecdc_import VALUES (57662, '26/06/2020', '26', '6', '2020', '16', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.32076197');
INSERT INTO public.ecdc_import VALUES (57663, '25/06/2020', '25', '6', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.3162442');
INSERT INTO public.ecdc_import VALUES (57664, '24/06/2020', '24', '6', '2020', '23', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.3162442');
INSERT INTO public.ecdc_import VALUES (57665, '23/06/2020', '23', '6', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.28913755');
INSERT INTO public.ecdc_import VALUES (57666, '22/06/2020', '22', '6', '2020', '15', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.34786862');
INSERT INTO public.ecdc_import VALUES (57667, '21/06/2020', '21', '6', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.36593971');
INSERT INTO public.ecdc_import VALUES (57668, '20/06/2020', '20', '6', '2020', '14', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.44725965');
INSERT INTO public.ecdc_import VALUES (57669, '19/06/2020', '19', '6', '2020', '9', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.49469628');
INSERT INTO public.ecdc_import VALUES (57670, '18/06/2020', '18', '6', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.5082496');
INSERT INTO public.ecdc_import VALUES (57671, '17/06/2020', '17', '6', '2020', '19', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.53083847');
INSERT INTO public.ecdc_import VALUES (57672, '16/06/2020', '16', '6', '2020', '9', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.56020401');
INSERT INTO public.ecdc_import VALUES (57673, '15/06/2020', '15', '6', '2020', '11', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.53761514');
INSERT INTO public.ecdc_import VALUES (57674, '14/06/2020', '14', '6', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.6144173');
INSERT INTO public.ecdc_import VALUES (57675, '13/06/2020', '13', '6', '2020', '6', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.80416382');
INSERT INTO public.ecdc_import VALUES (57676, '12/06/2020', '12', '6', '2020', '14', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.81771714');
INSERT INTO public.ecdc_import VALUES (57677, '11/06/2020', '11', '6', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.86741266');
INSERT INTO public.ecdc_import VALUES (57678, '10/06/2020', '10', '6', '2020', '11', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.9125904');
INSERT INTO public.ecdc_import VALUES (57679, '09/06/2020', '9', '6', '2020', '30', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.95776814');
INSERT INTO public.ecdc_import VALUES (57680, '08/06/2020', '8', '6', '2020', '23', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.9125904');
INSERT INTO public.ecdc_import VALUES (57681, '07/06/2020', '7', '6', '2020', '36', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.89226041');
INSERT INTO public.ecdc_import VALUES (57682, '06/06/2020', '6', '6', '2020', '35', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.86289488');
INSERT INTO public.ecdc_import VALUES (57683, '05/06/2020', '5', '6', '2020', '15', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.81771714');
INSERT INTO public.ecdc_import VALUES (57684, '04/06/2020', '4', '6', '2020', '18', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.81771714');
INSERT INTO public.ecdc_import VALUES (57685, '03/06/2020', '3', '6', '2020', '32', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.51728515');
INSERT INTO public.ecdc_import VALUES (57686, '02/06/2020', '2', '6', '2020', '-1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.44500076');
INSERT INTO public.ecdc_import VALUES (57687, '01/06/2020', '1', '6', '2020', '45', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.52180293');
INSERT INTO public.ecdc_import VALUES (57688, '31/05/2020', '31', '5', '2020', '84', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.420153');
INSERT INTO public.ecdc_import VALUES (57689, '30/05/2020', '30', '5', '2020', '12', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.28461978');
INSERT INTO public.ecdc_import VALUES (57690, '29/05/2020', '29', '5', '2020', '36', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.35464528');
INSERT INTO public.ecdc_import VALUES (57691, '28/05/2020', '28', '5', '2020', '28', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.32076197');
INSERT INTO public.ecdc_import VALUES (57692, '27/05/2020', '27', '5', '2020', '31', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.28687866');
INSERT INTO public.ecdc_import VALUES (57693, '26/05/2020', '26', '5', '2020', '10', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.22588871');
INSERT INTO public.ecdc_import VALUES (57694, '25/05/2020', '25', '5', '2020', '14', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.20555873');
INSERT INTO public.ecdc_import VALUES (57695, '24/05/2020', '24', '5', '2020', '23', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.18522874');
INSERT INTO public.ecdc_import VALUES (57696, '23/05/2020', '23', '5', '2020', '15', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.16715765');
INSERT INTO public.ecdc_import VALUES (57697, '22/05/2020', '22', '5', '2020', '15', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.13327434');
INSERT INTO public.ecdc_import VALUES (57698, '21/05/2020', '21', '5', '2020', '-115', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.10616769');
INSERT INTO public.ecdc_import VALUES (57699, '20/05/2020', '20', '5', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.36593971');
INSERT INTO public.ecdc_import VALUES (57700, '19/05/2020', '19', '5', '2020', '33', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.3681986');
INSERT INTO public.ecdc_import VALUES (57701, '18/05/2020', '18', '5', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.31172642');
INSERT INTO public.ecdc_import VALUES (57702, '17/05/2020', '17', '5', '2020', '24', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.31398531');
INSERT INTO public.ecdc_import VALUES (57703, '16/05/2020', '16', '5', '2020', '43', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.26654868');
INSERT INTO public.ecdc_import VALUES (57704, '15/05/2020', '15', '5', '2020', '21', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.17393431');
INSERT INTO public.ecdc_import VALUES (57705, '14/05/2020', '14', '5', '2020', '13', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.13101545');
INSERT INTO public.ecdc_import VALUES (57706, '13/05/2020', '13', '5', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.10616769');
INSERT INTO public.ecdc_import VALUES (57707, '12/05/2020', '12', '5', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09713215');
INSERT INTO public.ecdc_import VALUES (57708, '11/05/2020', '11', '5', '2020', '5', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09487326');
INSERT INTO public.ecdc_import VALUES (57709, '10/05/2020', '10', '5', '2020', '15', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09261437');
INSERT INTO public.ecdc_import VALUES (57710, '09/05/2020', '9', '5', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.05873107');
INSERT INTO public.ecdc_import VALUES (57711, '08/05/2020', '8', '5', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.06098995');
INSERT INTO public.ecdc_import VALUES (57712, '07/05/2020', '7', '5', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.08357882');
INSERT INTO public.ecdc_import VALUES (57713, '06/05/2020', '6', '5', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09035548');
INSERT INTO public.ecdc_import VALUES (57714, '05/05/2020', '5', '5', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09261437');
INSERT INTO public.ecdc_import VALUES (57715, '04/05/2020', '4', '5', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.07680216');
INSERT INTO public.ecdc_import VALUES (57716, '03/05/2020', '3', '5', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.07454328');
INSERT INTO public.ecdc_import VALUES (57717, '02/05/2020', '2', '5', '2020', '2', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.06776661');
INSERT INTO public.ecdc_import VALUES (57718, '01/05/2020', '1', '5', '2020', '2', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.06324884');
INSERT INTO public.ecdc_import VALUES (57719, '30/04/2020', '30', '4', '2020', '2', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.05873107');
INSERT INTO public.ecdc_import VALUES (57720, '29/04/2020', '29', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.05421329');
INSERT INTO public.ecdc_import VALUES (57721, '28/04/2020', '28', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.05647218');
INSERT INTO public.ecdc_import VALUES (57722, '27/04/2020', '27', '4', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.05647218');
INSERT INTO public.ecdc_import VALUES (57723, '26/04/2020', '26', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.04969552');
INSERT INTO public.ecdc_import VALUES (57724, '25/04/2020', '25', '4', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.04969552');
INSERT INTO public.ecdc_import VALUES (57725, '24/04/2020', '24', '4', '2020', '13', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.04743663');
INSERT INTO public.ecdc_import VALUES (57726, '23/04/2020', '23', '4', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.0180711');
INSERT INTO public.ecdc_import VALUES (57727, '22/04/2020', '22', '4', '2020', '2', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.01355332');
INSERT INTO public.ecdc_import VALUES (57728, '21/04/2020', '21', '4', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.00903555');
INSERT INTO public.ecdc_import VALUES (57729, '20/04/2020', '20', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.00677666');
INSERT INTO public.ecdc_import VALUES (57730, '19/04/2020', '19', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.01581221');
INSERT INTO public.ecdc_import VALUES (57731, '18/04/2020', '18', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.01581221');
INSERT INTO public.ecdc_import VALUES (57732, '17/04/2020', '17', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.02258887');
INSERT INTO public.ecdc_import VALUES (57733, '16/04/2020', '16', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.02484776');
INSERT INTO public.ecdc_import VALUES (57734, '15/04/2020', '15', '4', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.02484776');
INSERT INTO public.ecdc_import VALUES (57735, '14/04/2020', '14', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.04743663');
INSERT INTO public.ecdc_import VALUES (57736, '13/04/2020', '13', '4', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.04743663');
INSERT INTO public.ecdc_import VALUES (57737, '12/04/2020', '12', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.0519544');
INSERT INTO public.ecdc_import VALUES (57738, '11/04/2020', '11', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.0880966');
INSERT INTO public.ecdc_import VALUES (57739, '10/04/2020', '10', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.0880966');
INSERT INTO public.ecdc_import VALUES (57740, '09/04/2020', '9', '4', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.0880966');
INSERT INTO public.ecdc_import VALUES (57741, '08/04/2020', '8', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09713215');
INSERT INTO public.ecdc_import VALUES (57742, '07/04/2020', '7', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.09713215');
INSERT INTO public.ecdc_import VALUES (57743, '06/04/2020', '6', '4', '2020', '4', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.11520324');
INSERT INTO public.ecdc_import VALUES (57744, '05/04/2020', '5', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.10616769');
INSERT INTO public.ecdc_import VALUES (57745, '04/04/2020', '4', '4', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '0.10842658');
INSERT INTO public.ecdc_import VALUES (57746, '03/04/2020', '3', '4', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57747, '02/04/2020', '2', '4', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57748, '01/04/2020', '1', '4', '2020', '11', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57749, '31/03/2020', '31', '3', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57750, '30/03/2020', '30', '3', '2020', '3', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57751, '29/03/2020', '29', '3', '2020', '16', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57752, '28/03/2020', '28', '3', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57753, '27/03/2020', '27', '3', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57754, '26/03/2020', '26', '3', '2020', '5', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57755, '25/03/2020', '25', '3', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57756, '24/03/2020', '24', '3', '2020', '8', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57757, '23/03/2020', '23', '3', '2020', '0', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57758, '22/03/2020', '22', '3', '2020', '1', '0', '44269587', 'Uganda', 'UG', 'UGA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (57759, '14/12/2020', '14', '12', '2020', '15627', '249', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '404.57436089');
INSERT INTO public.ecdc_import VALUES (57760, '13/12/2020', '13', '12', '2020', '12811', '243', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '398.5530364');
INSERT INTO public.ecdc_import VALUES (57761, '12/12/2020', '12', '12', '2020', '13514', '285', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '406.47008933');
INSERT INTO public.ecdc_import VALUES (57762, '11/12/2020', '11', '12', '2020', '13371', '266', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '412.61643188');
INSERT INTO public.ecdc_import VALUES (57763, '10/12/2020', '10', '12', '2020', '12585', '276', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '417.07162101');
INSERT INTO public.ecdc_import VALUES (57764, '09/12/2020', '9', '12', '2020', '10811', '195', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '420.01977422');
INSERT INTO public.ecdc_import VALUES (57765, '08/12/2020', '8', '12', '2020', '8641', '145', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '423.3748044');
INSERT INTO public.ecdc_import VALUES (57766, '07/12/2020', '7', '12', '2020', '11590', '167', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '456.06816421');
INSERT INTO public.ecdc_import VALUES (57767, '06/12/2020', '6', '12', '2020', '13825', '226', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '429.72344891');
INSERT INTO public.ecdc_import VALUES (57768, '05/12/2020', '5', '12', '2020', '15131', '235', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '398.29845417');
INSERT INTO public.ecdc_import VALUES (57769, '04/12/2020', '4', '12', '2020', '14496', '243', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '430.17578699');
INSERT INTO public.ecdc_import VALUES (57770, '03/12/2020', '3', '12', '2020', '13141', '169', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '427.58677657');
INSERT INTO public.ecdc_import VALUES (57771, '02/12/2020', '2', '12', '2020', '12498', '221', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '426.12065566');
INSERT INTO public.ecdc_import VALUES (57772, '01/12/2020', '1', '12', '2020', '9946', '114', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '424.91593615');
INSERT INTO public.ecdc_import VALUES (57773, '30/11/2020', '30', '11', '2020', '12978', '120', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '424.6568078');
INSERT INTO public.ecdc_import VALUES (57774, '29/11/2020', '29', '11', '2020', '16294', '184', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '419.43559891');
INSERT INTO public.ecdc_import VALUES (57775, '28/11/2020', '28', '11', '2020', '16218', '192', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '410.86617901');
INSERT INTO public.ecdc_import VALUES (57776, '27/11/2020', '27', '11', '2020', '15331', '225', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '400.7942693');
INSERT INTO public.ecdc_import VALUES (57777, '26/11/2020', '26', '11', '2020', '13882', '229', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '391.07922933');
INSERT INTO public.ecdc_import VALUES (57778, '25/11/2020', '25', '11', '2020', '12287', '188', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '383.64406421');
INSERT INTO public.ecdc_import VALUES (57779, '24/11/2020', '24', '11', '2020', '23024', '262', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '378.85246284');
INSERT INTO public.ecdc_import VALUES (57780, '23/11/2020', '23', '11', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '346.26366359');
INSERT INTO public.ecdc_import VALUES (57781, '22/11/2020', '22', '11', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '367.6235678');
INSERT INTO public.ecdc_import VALUES (57782, '21/11/2020', '21', '11', '2020', '29155', '444', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '392.04982411');
INSERT INTO public.ecdc_import VALUES (57783, '20/11/2020', '20', '11', '2020', '13357', '257', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '347.87526007');
INSERT INTO public.ecdc_import VALUES (57784, '19/11/2020', '19', '11', '2020', '12496', '256', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '339.90365381');
INSERT INTO public.ecdc_import VALUES (57785, '18/11/2020', '18', '11', '2020', '11968', '159', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '333.14813233');
INSERT INTO public.ecdc_import VALUES (57786, '17/11/2020', '17', '11', '2020', '9832', '94', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '326.17212446');
INSERT INTO public.ecdc_import VALUES (57787, '16/11/2020', '16', '11', '2020', '10681', '95', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '319.17565908');
INSERT INTO public.ecdc_import VALUES (57788, '15/11/2020', '15', '11', '2020', '12524', '191', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '312.98840153');
INSERT INTO public.ecdc_import VALUES (57789, '14/11/2020', '14', '11', '2020', '11787', '172', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '304.41443551');
INSERT INTO public.ecdc_import VALUES (57790, '13/11/2020', '13', '11', '2020', '11057', '198', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '296.51556703');
INSERT INTO public.ecdc_import VALUES (57791, '12/11/2020', '12', '11', '2020', '10611', '191', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '288.07116519');
INSERT INTO public.ecdc_import VALUES (57792, '11/11/2020', '11', '11', '2020', '10179', '191', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '280.94058953');
INSERT INTO public.ecdc_import VALUES (57793, '10/11/2020', '10', '11', '2020', '8687', '115', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '272.98034855');
INSERT INTO public.ecdc_import VALUES (57794, '09/11/2020', '9', '11', '2020', '9397', '138', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '265.58837148');
INSERT INTO public.ecdc_import VALUES (57795, '08/11/2020', '8', '11', '2020', '10746', '187', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '258.04637275');
INSERT INTO public.ecdc_import VALUES (57796, '07/11/2020', '7', '11', '2020', '9721', '201', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '249.56332896');
INSERT INTO public.ecdc_import VALUES (57797, '06/11/2020', '6', '11', '2020', '9850', '193', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '244.55351424');
INSERT INTO public.ecdc_import VALUES (57798, '05/11/2020', '5', '11', '2020', '9524', '199', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '238.19577751');
INSERT INTO public.ecdc_import VALUES (57799, '04/11/2020', '4', '11', '2020', '8899', '157', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '231.81985634');
INSERT INTO public.ecdc_import VALUES (57800, '03/11/2020', '3', '11', '2020', '6754', '69', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '211.59193386');
INSERT INTO public.ecdc_import VALUES (57801, '02/11/2020', '2', '11', '2020', '7959', '110', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '208.67105732');
INSERT INTO public.ecdc_import VALUES (57802, '01/11/2020', '1', '11', '2020', '8752', '155', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '213.30354479');
INSERT INTO public.ecdc_import VALUES (57803, '31/10/2020', '31', '10', '2020', '8312', '173', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '207.98004839');
INSERT INTO public.ecdc_import VALUES (57804, '30/10/2020', '30', '10', '2020', '7342', '113', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '202.70655922');
INSERT INTO public.ecdc_import VALUES (57805, '29/10/2020', '29', '10', '2020', '7474', '165', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '197.52399227');
INSERT INTO public.ecdc_import VALUES (57806, '28/10/2020', '28', '10', '2020', '6677', '126', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '193.24155538');
INSERT INTO public.ecdc_import VALUES (57807, '27/10/2020', '27', '10', '2020', '5435', '73', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '189.73195741');
INSERT INTO public.ecdc_import VALUES (57808, '26/10/2020', '26', '10', '2020', '6079', '102', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '187.4248059');
INSERT INTO public.ecdc_import VALUES (57809, '25/10/2020', '25', '10', '2020', '7014', '125', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '184.4448299');
INSERT INTO public.ecdc_import VALUES (57810, '24/10/2020', '24', '10', '2020', '7517', '121', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '194.71449546');
INSERT INTO public.ecdc_import VALUES (57811, '23/10/2020', '23', '10', '2020', '7053', '116', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '177.62793593');
INSERT INTO public.ecdc_import VALUES (57812, '22/10/2020', '22', '10', '2020', '6719', '141', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '173.86375572');
INSERT INTO public.ecdc_import VALUES (57813, '21/10/2020', '21', '10', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '169.39492826');
INSERT INTO public.ecdc_import VALUES (57814, '20/10/2020', '20', '10', '2020', '5469', '113', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '179.27817435');
INSERT INTO public.ecdc_import VALUES (57815, '19/10/2020', '19', '10', '2020', '9997', '156', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '175.42534498');
INSERT INTO public.ecdc_import VALUES (57816, '18/10/2020', '18', '10', '2020', '6410', '109', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '162.31663288');
INSERT INTO public.ecdc_import VALUES (57817, '17/10/2020', '17', '10', '2020', '5992', '106', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '158.13648349');
INSERT INTO public.ecdc_import VALUES (57818, '16/10/2020', '16', '10', '2020', '5062', '73', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '164.29646438');
INSERT INTO public.ecdc_import VALUES (57819, '15/10/2020', '15', '10', '2020', '5590', '96', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '152.79025654');
INSERT INTO public.ecdc_import VALUES (57820, '14/10/2020', '14', '10', '2020', '5133', '118', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '149.23747051');
INSERT INTO public.ecdc_import VALUES (57821, '13/10/2020', '13', '10', '2020', '4420', '43', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '145.81424866');
INSERT INTO public.ecdc_import VALUES (57822, '12/10/2020', '12', '10', '2020', '4768', '85', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '141.83867428');
INSERT INTO public.ecdc_import VALUES (57823, '11/10/2020', '11', '10', '2020', '11532', '197', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '138.11540908');
INSERT INTO public.ecdc_import VALUES (57824, '10/10/2020', '10', '10', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '120.61515342');
INSERT INTO public.ecdc_import VALUES (57825, '09/10/2020', '9', '10', '2020', '5397', '93', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '128.71859691');
INSERT INTO public.ecdc_import VALUES (57826, '08/10/2020', '8', '10', '2020', '4753', '77', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '124.11565916');
INSERT INTO public.ecdc_import VALUES (57827, '07/10/2020', '7', '10', '2020', '4348', '90', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '121.26070123');
INSERT INTO public.ecdc_import VALUES (57828, '06/10/2020', '6', '10', '2020', '3774', '33', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '117.93294772');
INSERT INTO public.ecdc_import VALUES (57829, '05/10/2020', '5', '10', '2020', '4230', '44', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '115.43485953');
INSERT INTO public.ecdc_import VALUES (57830, '04/10/2020', '4', '10', '2020', '4571', '92', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '112.56171716');
INSERT INTO public.ecdc_import VALUES (57831, '03/10/2020', '3', '10', '2020', '8702', '68', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '109.53628005');
INSERT INTO public.ecdc_import VALUES (57832, '02/10/2020', '2', '10', '2020', '0', '64', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '97.09357327');
INSERT INTO public.ecdc_import VALUES (57833, '01/10/2020', '1', '10', '2020', '4027', '64', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '105.24020482');
INSERT INTO public.ecdc_import VALUES (57834, '30/09/2020', '30', '9', '2020', '3627', '69', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '96.0866096');
INSERT INTO public.ecdc_import VALUES (57835, '29/09/2020', '29', '9', '2020', '2671', '37', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '101.1691621');
INSERT INTO public.ecdc_import VALUES (57836, '28/09/2020', '28', '9', '2020', '3130', '56', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '100.69409346');
INSERT INTO public.ecdc_import VALUES (57837, '27/09/2020', '27', '9', '2020', '3833', '76', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '99.20751505');
INSERT INTO public.ecdc_import VALUES (57838, '26/09/2020', '26', '9', '2020', '3565', '70', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '97.5481844');
INSERT INTO public.ecdc_import VALUES (57839, '25/09/2020', '25', '9', '2020', '3372', '52', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '89.44474091');
INSERT INTO public.ecdc_import VALUES (57840, '24/09/2020', '24', '9', '2020', '3497', '63', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '88.92648422');
INSERT INTO public.ecdc_import VALUES (57841, '23/09/2020', '23', '9', '2020', '2884', '59', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '86.84663827');
INSERT INTO public.ecdc_import VALUES (57842, '22/09/2020', '22', '9', '2020', '2675', '26', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '91.57004797');
INSERT INTO public.ecdc_import VALUES (57843, '21/09/2020', '21', '9', '2020', '2966', '41', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '90.43124708');
INSERT INTO public.ecdc_import VALUES (57844, '20/09/2020', '20', '9', '2020', '3240', '48', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '88.47869225');
INSERT INTO public.ecdc_import VALUES (57845, '19/09/2020', '19', '9', '2020', '3228', '68', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '87.56037776');
INSERT INTO public.ecdc_import VALUES (57846, '18/09/2020', '18', '9', '2020', '3584', '60', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '86.41248464');
INSERT INTO public.ecdc_import VALUES (57847, '17/09/2020', '17', '9', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '83.80983589');
INSERT INTO public.ecdc_import VALUES (57848, '16/09/2020', '16', '9', '2020', '5863', '129', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '89.4606523');
INSERT INTO public.ecdc_import VALUES (57849, '15/09/2020', '15', '9', '2020', '2462', '33', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '80.87986712');
INSERT INTO public.ecdc_import VALUES (57850, '14/09/2020', '14', '9', '2020', '2476', '75', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '80.15021625');
INSERT INTO public.ecdc_import VALUES (57851, '13/09/2020', '13', '9', '2020', '3103', '27', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '79.28645509');
INSERT INTO public.ecdc_import VALUES (57852, '12/09/2020', '12', '9', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '77.87261446');
INSERT INTO public.ecdc_import VALUES (57853, '11/09/2020', '11', '9', '2020', '3144', '97', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '83.4143242');
INSERT INTO public.ecdc_import VALUES (57854, '10/09/2020', '10', '9', '2020', '2582', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '76.26783715');
INSERT INTO public.ecdc_import VALUES (57855, '09/09/2020', '9', '9', '2020', '4962', '102', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '74.8858193');
INSERT INTO public.ecdc_import VALUES (57856, '08/09/2020', '8', '9', '2020', '2174', '66', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '71.17846549');
INSERT INTO public.ecdc_import VALUES (57857, '07/09/2020', '7', '9', '2020', '2107', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '70.31925044');
INSERT INTO public.ecdc_import VALUES (57858, '06/09/2020', '6', '9', '2020', '2836', '88', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '70.04648376');
INSERT INTO public.ecdc_import VALUES (57859, '05/09/2020', '5', '9', '2020', '2723', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '68.89177148');
INSERT INTO public.ecdc_import VALUES (57860, '04/09/2020', '4', '9', '2020', '2439', '54', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '67.48929612');
INSERT INTO public.ecdc_import VALUES (57861, '03/09/2020', '3', '9', '2020', '2486', '51', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '66.79601414');
INSERT INTO public.ecdc_import VALUES (57862, '02/09/2020', '2', '9', '2020', '2088', '48', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '65.61629825');
INSERT INTO public.ecdc_import VALUES (57863, '01/09/2020', '1', '9', '2020', '2141', '30', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '60.87015799');
INSERT INTO public.ecdc_import VALUES (57864, '31/08/2020', '31', '8', '2020', '2096', '35', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '59.67680376');
INSERT INTO public.ecdc_import VALUES (57865, '30/08/2020', '30', '8', '2020', '2481', '54', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '61.96122472');
INSERT INTO public.ecdc_import VALUES (57866, '29/08/2020', '29', '8', '2020', '2438', '35', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '60.52010742');
INSERT INTO public.ecdc_import VALUES (57867, '28/08/2020', '28', '8', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '54.97839767');
INSERT INTO public.ecdc_import VALUES (57868, '27/08/2020', '27', '8', '2020', '1974', '85', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '58.91533011');
INSERT INTO public.ecdc_import VALUES (57869, '26/08/2020', '26', '8', '2020', '3331', '25', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '58.04702284');
INSERT INTO public.ecdc_import VALUES (57870, '25/08/2020', '25', '8', '2020', '1796', '22', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '53.73276316');
INSERT INTO public.ecdc_import VALUES (57871, '24/08/2020', '24', '8', '2020', '1987', '27', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '52.28255364');
INSERT INTO public.ecdc_import VALUES (57872, '23/08/2020', '23', '8', '2020', '2328', '37', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '52.78262589');
INSERT INTO public.ecdc_import VALUES (57873, '22/08/2020', '22', '8', '2020', '2106', '23', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '50.87553218');
INSERT INTO public.ecdc_import VALUES (57874, '21/08/2020', '21', '8', '2020', '2134', '40', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '49.39122682');
INSERT INTO public.ecdc_import VALUES (57875, '20/08/2020', '20', '8', '2020', '1967', '28', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '47.53641339');
INSERT INTO public.ecdc_import VALUES (57876, '19/08/2020', '19', '8', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '45.95436663');
INSERT INTO public.ecdc_import VALUES (57877, '18/08/2020', '18', '8', '2020', '1616', '27', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '48.36607871');
INSERT INTO public.ecdc_import VALUES (57878, '17/08/2020', '17', '8', '2020', '3101', '45', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '46.94314585');
INSERT INTO public.ecdc_import VALUES (57879, '16/08/2020', '16', '8', '2020', '1847', '33', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '42.42203811');
INSERT INTO public.ecdc_import VALUES (57880, '15/08/2020', '15', '8', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '40.88772553');
INSERT INTO public.ecdc_import VALUES (57881, '14/08/2020', '14', '8', '2020', '1732', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '43.36535622');
INSERT INTO public.ecdc_import VALUES (57882, '13/08/2020', '13', '8', '2020', '1592', '22', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '42.14927143');
INSERT INTO public.ecdc_import VALUES (57883, '12/08/2020', '12', '8', '2020', '1433', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '40.85362969');
INSERT INTO public.ecdc_import VALUES (57884, '11/08/2020', '11', '8', '2020', '1158', '29', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '39.68527908');
INSERT INTO public.ecdc_import VALUES (57885, '10/08/2020', '10', '8', '2020', '2207', '43', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '38.88743653');
INSERT INTO public.ecdc_import VALUES (57886, '09/08/2020', '9', '8', '2020', '1489', '27', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '35.96201388');
INSERT INTO public.ecdc_import VALUES (57887, '08/08/2020', '8', '8', '2020', '1453', '33', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '35.09143355');
INSERT INTO public.ecdc_import VALUES (57888, '07/08/2020', '7', '8', '2020', '1318', '31', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '33.99809377');
INSERT INTO public.ecdc_import VALUES (57889, '06/08/2020', '6', '8', '2020', '1271', '24', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '32.94794205');
INSERT INTO public.ecdc_import VALUES (57890, '05/08/2020', '5', '8', '2020', '1061', '26', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '31.94325144');
INSERT INTO public.ecdc_import VALUES (57891, '04/08/2020', '4', '8', '2020', '990', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '31.06130583');
INSERT INTO public.ecdc_import VALUES (57892, '03/08/2020', '3', '8', '2020', '1112', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '30.29073996');
INSERT INTO public.ecdc_import VALUES (57893, '02/08/2020', '2', '8', '2020', '1172', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '29.42470575');
INSERT INTO public.ecdc_import VALUES (57894, '01/08/2020', '1', '8', '2020', '1090', '20', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '28.68596265');
INSERT INTO public.ecdc_import VALUES (57895, '31/07/2020', '31', '7', '2020', '1197', '23', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '28.04723401');
INSERT INTO public.ecdc_import VALUES (57896, '30/07/2020', '30', '7', '2020', '1022', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '27.25393757');
INSERT INTO public.ecdc_import VALUES (57897, '29/07/2020', '29', '7', '2020', '919', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.83114922');
INSERT INTO public.ecdc_import VALUES (57898, '28/07/2020', '28', '7', '2020', '807', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.19242057');
INSERT INTO public.ecdc_import VALUES (57899, '27/07/2020', '27', '7', '2020', '920', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '25.74917472');
INSERT INTO public.ecdc_import VALUES (57900, '26/07/2020', '26', '7', '2020', '1106', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '25.19909524');
INSERT INTO public.ecdc_import VALUES (57901, '25/07/2020', '25', '7', '2020', '972', '20', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.5035402');
INSERT INTO public.ecdc_import VALUES (57902, '24/07/2020', '24', '7', '2020', '856', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.15576269');
INSERT INTO public.ecdc_import VALUES (57903, '23/07/2020', '23', '7', '2020', '829', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.05120212');
INSERT INTO public.ecdc_import VALUES (57904, '22/07/2020', '22', '7', '2020', '673', '20', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.0011949');
INSERT INTO public.ecdc_import VALUES (57905, '21/07/2020', '21', '7', '2020', '651', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.75343183');
INSERT INTO public.ecdc_import VALUES (57906, '20/07/2020', '20', '7', '2020', '731', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.50794182');
INSERT INTO public.ecdc_import VALUES (57907, '19/07/2020', '19', '7', '2020', '847', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.71706294');
INSERT INTO public.ecdc_import VALUES (57908, '18/07/2020', '18', '7', '2020', '809', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.86935767');
INSERT INTO public.ecdc_import VALUES (57909, '17/07/2020', '17', '7', '2020', '848', '18', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.0216524');
INSERT INTO public.ecdc_import VALUES (57910, '16/07/2020', '16', '7', '2020', '836', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.11484768');
INSERT INTO public.ecdc_import VALUES (57911, '15/07/2020', '15', '7', '2020', '638', '14', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.72388211');
INSERT INTO public.ecdc_import VALUES (57912, '14/07/2020', '14', '7', '2020', '612', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.87844989');
INSERT INTO public.ecdc_import VALUES (57913, '13/07/2020', '13', '7', '2020', '678', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.95573379');
INSERT INTO public.ecdc_import VALUES (57914, '12/07/2020', '12', '7', '2020', '800', '27', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.49899409');
INSERT INTO public.ecdc_import VALUES (57915, '11/07/2020', '11', '7', '2020', '819', '18', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.83540633');
INSERT INTO public.ecdc_import VALUES (57916, '10/07/2020', '10', '7', '2020', '810', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '25.49459248');
INSERT INTO public.ecdc_import VALUES (57917, '09/07/2020', '9', '7', '2020', '807', '23', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '25.91283472');
INSERT INTO public.ecdc_import VALUES (57918, '08/07/2020', '8', '7', '2020', '564', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.21515113');
INSERT INTO public.ecdc_import VALUES (57919, '07/07/2020', '7', '7', '2020', '543', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.82660311');
INSERT INTO public.ecdc_import VALUES (57920, '06/07/2020', '6', '7', '2020', '823', '22', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '27.14028479');
INSERT INTO public.ecdc_import VALUES (57921, '05/07/2020', '5', '7', '2020', '914', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.94025589');
INSERT INTO public.ecdc_import VALUES (57922, '04/07/2020', '4', '7', '2020', '876', '27', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.77432283');
INSERT INTO public.ecdc_import VALUES (57923, '03/07/2020', '3', '7', '2020', '889', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.87661033');
INSERT INTO public.ecdc_import VALUES (57924, '02/07/2020', '2', '7', '2020', '664', '14', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.74022699');
INSERT INTO public.ecdc_import VALUES (57925, '01/07/2020', '1', '7', '2020', '706', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.95389423');
INSERT INTO public.ecdc_import VALUES (57926, '30/06/2020', '30', '6', '2020', '646', '18', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.862972');
INSERT INTO public.ecdc_import VALUES (57927, '29/06/2020', '29', '6', '2020', '917', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.88570255');
INSERT INTO public.ecdc_import VALUES (57928, '28/06/2020', '28', '6', '2020', '948', '24', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '26.27425058');
INSERT INTO public.ecdc_import VALUES (57929, '27/06/2020', '27', '6', '2020', '1109', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '25.83100472');
INSERT INTO public.ecdc_import VALUES (57930, '26/06/2020', '26', '6', '2020', '994', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.862683');
INSERT INTO public.ecdc_import VALUES (57931, '25/06/2020', '25', '6', '2020', '940', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '24.16940102');
INSERT INTO public.ecdc_import VALUES (57932, '24/06/2020', '24', '6', '2020', '833', '23', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '23.22608291');
INSERT INTO public.ecdc_import VALUES (57933, '23/06/2020', '23', '6', '2020', '681', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '22.22821147');
INSERT INTO public.ecdc_import VALUES (57934, '22/06/2020', '22', '6', '2020', '735', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '21.73268533');
INSERT INTO public.ecdc_import VALUES (57935, '21/06/2020', '21', '6', '2020', '841', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '21.16442141');
INSERT INTO public.ecdc_import VALUES (57936, '20/06/2020', '20', '6', '2020', '921', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '20.50296221');
INSERT INTO public.ecdc_import VALUES (57937, '19/06/2020', '19', '6', '2020', '829', '23', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '19.66647772');
INSERT INTO public.ecdc_import VALUES (57938, '18/06/2020', '18', '6', '2020', '758', '31', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '19.1186713');
INSERT INTO public.ecdc_import VALUES (57939, '17/06/2020', '17', '6', '2020', '666', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '18.49358099');
INSERT INTO public.ecdc_import VALUES (57940, '16/06/2020', '16', '6', '2020', '656', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '17.72528817');
INSERT INTO public.ecdc_import VALUES (57941, '15/06/2020', '15', '6', '2020', '648', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '17.00700258');
INSERT INTO public.ecdc_import VALUES (57942, '14/06/2020', '14', '6', '2020', '753', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '16.59785256');
INSERT INTO public.ecdc_import VALUES (57943, '13/06/2020', '13', '6', '2020', '683', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '15.77955251');
INSERT INTO public.ecdc_import VALUES (57944, '12/06/2020', '12', '6', '2020', '689', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '15.20219637');
INSERT INTO public.ecdc_import VALUES (57945, '11/06/2020', '11', '6', '2020', '525', '23', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.72030857');
INSERT INTO public.ecdc_import VALUES (57946, '10/06/2020', '10', '6', '2020', '394', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.25660521');
INSERT INTO public.ecdc_import VALUES (57947, '09/06/2020', '9', '6', '2020', '463', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.13158715');
INSERT INTO public.ecdc_import VALUES (57948, '08/06/2020', '8', '6', '2020', '485', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.66788379');
INSERT INTO public.ecdc_import VALUES (57949, '07/06/2020', '7', '6', '2020', '550', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.48831239');
INSERT INTO public.ecdc_import VALUES (57950, '06/06/2020', '6', '6', '2020', '553', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.22009182');
INSERT INTO public.ecdc_import VALUES (57951, '05/06/2020', '5', '6', '2020', '588', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.96778264');
INSERT INTO public.ecdc_import VALUES (57952, '04/06/2020', '4', '6', '2020', '483', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.7132004');
INSERT INTO public.ecdc_import VALUES (57953, '03/06/2020', '3', '6', '2020', '328', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.41997622');
INSERT INTO public.ecdc_import VALUES (57954, '02/06/2020', '2', '6', '2020', '340', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.26540844');
INSERT INTO public.ecdc_import VALUES (57955, '01/06/2020', '1', '6', '2020', '468', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.2313126');
INSERT INTO public.ecdc_import VALUES (57956, '31/05/2020', '31', '5', '2020', '393', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.15175565');
INSERT INTO public.ecdc_import VALUES (57957, '30/05/2020', '30', '5', '2020', '429', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.45861817');
INSERT INTO public.ecdc_import VALUES (57958, '29/05/2020', '29', '5', '2020', '477', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.58136318');
INSERT INTO public.ecdc_import VALUES (57959, '28/05/2020', '28', '5', '2020', '321', '14', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.45634511');
INSERT INTO public.ecdc_import VALUES (57960, '27/05/2020', '27', '5', '2020', '339', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.64046262');
INSERT INTO public.ecdc_import VALUES (57961, '26/05/2020', '26', '5', '2020', '259', '6', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.72229263');
INSERT INTO public.ecdc_import VALUES (57962, '25/05/2020', '25', '5', '2020', '406', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.07916237');
INSERT INTO public.ecdc_import VALUES (57963, '24/05/2020', '24', '5', '2020', '432', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.34283683');
INSERT INTO public.ecdc_import VALUES (57964, '23/05/2020', '23', '5', '2020', '442', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.53150045');
INSERT INTO public.ecdc_import VALUES (57965, '22/05/2020', '22', '5', '2020', '476', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.6724299');
INSERT INTO public.ecdc_import VALUES (57966, '21/05/2020', '21', '5', '2020', '354', '16', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.74289463');
INSERT INTO public.ecdc_import VALUES (57967, '20/05/2020', '20', '5', '2020', '260', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.04521103');
INSERT INTO public.ecdc_import VALUES (57968, '19/05/2020', '19', '5', '2020', '325', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.28615493');
INSERT INTO public.ecdc_import VALUES (57969, '18/05/2020', '18', '5', '2020', '433', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.49754911');
INSERT INTO public.ecdc_import VALUES (57970, '17/05/2020', '17', '5', '2020', '528', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.65438995');
INSERT INTO public.ecdc_import VALUES (57971, '16/05/2020', '16', '5', '2020', '483', '20', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.70439718');
INSERT INTO public.ecdc_import VALUES (57972, '15/05/2020', '15', '5', '2020', '422', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.64075162');
INSERT INTO public.ecdc_import VALUES (57973, '14/05/2020', '14', '5', '2020', '402', '14', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.90897219');
INSERT INTO public.ecdc_import VALUES (57974, '13/05/2020', '13', '5', '2020', '375', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '15.0317172');
INSERT INTO public.ecdc_import VALUES (57975, '12/05/2020', '12', '5', '2020', '416', '17', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '15.09081664');
INSERT INTO public.ecdc_import VALUES (57976, '11/05/2020', '11', '5', '2020', '522', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '15.03626331');
INSERT INTO public.ecdc_import VALUES (57977, '10/05/2020', '10', '5', '2020', '515', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.96807164');
INSERT INTO public.ecdc_import VALUES (57978, '09/05/2020', '9', '5', '2020', '504', '21', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.88396858');
INSERT INTO public.ecdc_import VALUES (57979, '08/05/2020', '8', '5', '2020', '507', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.82259607');
INSERT INTO public.ecdc_import VALUES (57980, '07/05/2020', '7', '5', '2020', '487', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.98398303');
INSERT INTO public.ecdc_import VALUES (57981, '06/05/2020', '6', '5', '2020', '366', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.93852191');
INSERT INTO public.ecdc_import VALUES (57982, '05/05/2020', '5', '5', '2020', '418', '15', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '15.04990164');
INSERT INTO public.ecdc_import VALUES (57983, '04/05/2020', '4', '5', '2020', '502', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.6930319');
INSERT INTO public.ecdc_import VALUES (57984, '03/05/2020', '3', '5', '2020', '550', '7', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.33161605');
INSERT INTO public.ecdc_import VALUES (57985, '02/05/2020', '2', '5', '2020', '455', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.54528328');
INSERT INTO public.ecdc_import VALUES (57986, '01/05/2020', '1', '5', '2020', '540', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '14.19523271');
INSERT INTO public.ecdc_import VALUES (57987, '30/04/2020', '30', '4', '2020', '456', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.87018574');
INSERT INTO public.ecdc_import VALUES (57988, '29/04/2020', '29', '4', '2020', '401', '19', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.72471018');
INSERT INTO public.ecdc_import VALUES (57989, '28/04/2020', '28', '4', '2020', '392', '11', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.42693989');
INSERT INTO public.ecdc_import VALUES (57990, '27/04/2020', '27', '4', '2020', '492', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '13.27464516');
INSERT INTO public.ecdc_import VALUES (57991, '26/04/2020', '26', '4', '2020', '478', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.76093457');
INSERT INTO public.ecdc_import VALUES (57992, '25/04/2020', '25', '4', '2020', '477', '6', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '12.37451511');
INSERT INTO public.ecdc_import VALUES (57993, '24/04/2020', '24', '4', '2020', '578', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '11.99718787');
INSERT INTO public.ecdc_import VALUES (57994, '23/04/2020', '23', '4', '2020', '467', '13', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '11.19252616');
INSERT INTO public.ecdc_import VALUES (57995, '22/04/2020', '22', '4', '2020', '415', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '10.59925862');
INSERT INTO public.ecdc_import VALUES (57996, '21/04/2020', '21', '4', '2020', '261', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '9.98098748');
INSERT INTO public.ecdc_import VALUES (57997, '20/04/2020', '20', '4', '2020', '343', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '9.41272356');
INSERT INTO public.ecdc_import VALUES (57998, '19/04/2020', '19', '4', '2020', '644', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '8.82172908');
INSERT INTO public.ecdc_import VALUES (57999, '18/04/2020', '18', '4', '2020', '301', '9', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '7.70565875');
INSERT INTO public.ecdc_import VALUES (58000, '17/04/2020', '17', '4', '2020', '397', '8', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '7.41925373');
INSERT INTO public.ecdc_import VALUES (58001, '16/04/2020', '16', '4', '2020', '392', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '6.75097536');
INSERT INTO public.ecdc_import VALUES (58002, '15/04/2020', '15', '4', '2020', '270', '5', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '6.41683618');
INSERT INTO public.ecdc_import VALUES (58003, '14/04/2020', '14', '4', '2020', '325', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '5.95995199');
INSERT INTO public.ecdc_import VALUES (58004, '13/04/2020', '13', '4', '2020', '266', '10', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '5.36213834');
INSERT INTO public.ecdc_import VALUES (58005, '12/04/2020', '12', '4', '2020', '308', '4', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '5.00072249');
INSERT INTO public.ecdc_import VALUES (58006, '11/04/2020', '11', '4', '2020', '311', '12', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '4.51201552');
INSERT INTO public.ecdc_import VALUES (58007, '10/04/2020', '10', '4', '2020', '224', '5', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '3.94602466');
INSERT INTO public.ecdc_import VALUES (58008, '09/04/2020', '9', '4', '2020', '206', '7', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '3.53460158');
INSERT INTO public.ecdc_import VALUES (58009, '08/04/2020', '8', '4', '2020', '143', '7', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '3.13227072');
INSERT INTO public.ecdc_import VALUES (58010, '07/04/2020', '7', '4', '2020', '11', '1', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '2.83222737');
INSERT INTO public.ecdc_import VALUES (58011, '06/04/2020', '6', '4', '2020', '83', '5', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '2.86632321');
INSERT INTO public.ecdc_import VALUES (58012, '05/04/2020', '5', '4', '2020', '153', '5', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '2.69129792');
INSERT INTO public.ecdc_import VALUES (58013, '04/04/2020', '4', '4', '2020', '175', '5', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '2.37761624');
INSERT INTO public.ecdc_import VALUES (58014, '03/04/2020', '3', '4', '2020', '103', '2', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '1.9798315');
INSERT INTO public.ecdc_import VALUES (58015, '02/04/2020', '2', '4', '2020', '245', '7', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '1.76161815');
INSERT INTO public.ecdc_import VALUES (58016, '01/04/2020', '1', '4', '2020', '69', '2', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '1.21608479');
INSERT INTO public.ecdc_import VALUES (58017, '31/03/2020', '31', '3', '2020', '62', '2', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '1.07970145');
INSERT INTO public.ecdc_import VALUES (58018, '30/03/2020', '30', '3', '2020', '107', '1', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '0.94331811');
INSERT INTO public.ecdc_import VALUES (58019, '29/03/2020', '29', '3', '2020', '93', '3', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '0.70010115');
INSERT INTO public.ecdc_import VALUES (58020, '28/03/2020', '28', '3', '2020', '62', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '0.49325308');
INSERT INTO public.ecdc_import VALUES (58021, '27/03/2020', '27', '3', '2020', '43', '1', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '0.35459669');
INSERT INTO public.ecdc_import VALUES (58022, '26/03/2020', '26', '3', '2020', '29', '1', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58023, '25/03/2020', '25', '3', '2020', '11', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58024, '24/03/2020', '24', '3', '2020', '26', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58025, '23/03/2020', '23', '3', '2020', '6', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58026, '22/03/2020', '22', '3', '2020', '15', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58027, '21/03/2020', '21', '3', '2020', '0', '1', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58028, '20/03/2020', '20', '3', '2020', '7', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58029, '19/03/2020', '19', '3', '2020', '5', '2', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58030, '18/03/2020', '18', '3', '2020', '9', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58031, '17/03/2020', '17', '3', '2020', '2', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58032, '16/03/2020', '16', '3', '2020', '0', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58033, '13/03/2020', '13', '3', '2020', '2', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58034, '04/03/2020', '4', '3', '2020', '1', '0', '43993643', 'Ukraine', 'UA', 'UKR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58035, '14/12/2020', '14', '12', '2020', '1194', '8', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '175.99871286');
INSERT INTO public.ecdc_import VALUES (58036, '13/12/2020', '13', '12', '2020', '1154', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '176.58210008');
INSERT INTO public.ecdc_import VALUES (58037, '12/12/2020', '12', '12', '2020', '1196', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '177.58511671');
INSERT INTO public.ecdc_import VALUES (58038, '11/12/2020', '11', '12', '2020', '1255', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '178.47554983');
INSERT INTO public.ecdc_import VALUES (58039, '10/12/2020', '10', '12', '2020', '1313', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '178.98729301');
INSERT INTO public.ecdc_import VALUES (58040, '09/12/2020', '9', '12', '2020', '1260', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '178.82353519');
INSERT INTO public.ecdc_import VALUES (58041, '08/12/2020', '8', '12', '2020', '1148', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '179.33527837');
INSERT INTO public.ecdc_import VALUES (58042, '07/12/2020', '7', '12', '2020', '1153', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '178.4857847');
INSERT INTO public.ecdc_import VALUES (58043, '06/12/2020', '6', '12', '2020', '1214', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '179.0179976');
INSERT INTO public.ecdc_import VALUES (58044, '05/12/2020', '5', '12', '2020', '1311', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '179.50927105');
INSERT INTO public.ecdc_import VALUES (58045, '04/12/2020', '4', '12', '2020', '1317', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '179.07940678');
INSERT INTO public.ecdc_import VALUES (58046, '03/12/2020', '3', '12', '2020', '1285', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '177.40088916');
INSERT INTO public.ecdc_import VALUES (58047, '02/12/2020', '2', '12', '2020', '1289', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '177.47253321');
INSERT INTO public.ecdc_import VALUES (58048, '01/12/2020', '1', '12', '2020', '1107', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '177.12454785');
INSERT INTO public.ecdc_import VALUES (58049, '30/11/2020', '30', '11', '2020', '1251', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '178.16850393');
INSERT INTO public.ecdc_import VALUES (58050, '29/11/2020', '29', '11', '2020', '1252', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '177.74887452');
INSERT INTO public.ecdc_import VALUES (58051, '28/11/2020', '28', '11', '2020', '1283', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '176.95055517');
INSERT INTO public.ecdc_import VALUES (58052, '27/11/2020', '27', '11', '2020', '1305', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '176.36716795');
INSERT INTO public.ecdc_import VALUES (58053, '26/11/2020', '26', '11', '2020', '1297', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '174.63747602');
INSERT INTO public.ecdc_import VALUES (58054, '25/11/2020', '25', '11', '2020', '1310', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '173.78798235');
INSERT INTO public.ecdc_import VALUES (58055, '24/11/2020', '24', '11', '2020', '1065', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.59772156');
INSERT INTO public.ecdc_import VALUES (58056, '23/11/2020', '23', '11', '2020', '1205', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '172.4267455');
INSERT INTO public.ecdc_import VALUES (58057, '22/11/2020', '22', '11', '2020', '1262', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.46466833');
INSERT INTO public.ecdc_import VALUES (58058, '21/11/2020', '21', '11', '2020', '1269', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '170.22624985');
INSERT INTO public.ecdc_import VALUES (58059, '20/11/2020', '20', '11', '2020', '1153', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '170.46165171');
INSERT INTO public.ecdc_import VALUES (58060, '19/11/2020', '19', '11', '2020', '1292', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.85359314');
INSERT INTO public.ecdc_import VALUES (58061, '18/11/2020', '18', '11', '2020', '1255', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '170.51282602');
INSERT INTO public.ecdc_import VALUES (58062, '17/11/2020', '17', '11', '2020', '1209', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '167.98481474');
INSERT INTO public.ecdc_import VALUES (58063, '16/11/2020', '16', '11', '2020', '1210', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '168.24068633');
INSERT INTO public.ecdc_import VALUES (58064, '15/11/2020', '15', '11', '2020', '1174', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '168.93665704');
INSERT INTO public.ecdc_import VALUES (58065, '14/11/2020', '14', '11', '2020', '1226', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '168.39420928');
INSERT INTO public.ecdc_import VALUES (58066, '13/11/2020', '13', '11', '2020', '1136', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '167.84152665');
INSERT INTO public.ecdc_import VALUES (58067, '12/11/2020', '12', '11', '2020', '1214', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '169.64286263');
INSERT INTO public.ecdc_import VALUES (58068, '11/11/2020', '11', '11', '2020', '1096', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.54654724');
INSERT INTO public.ecdc_import VALUES (58069, '10/11/2020', '10', '11', '2020', '1146', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '174.55559711');
INSERT INTO public.ecdc_import VALUES (58070, '09/11/2020', '9', '11', '2020', '1111', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '174.19737689');
INSERT INTO public.ecdc_import VALUES (58071, '08/11/2020', '8', '11', '2020', '1141', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '176.73562304');
INSERT INTO public.ecdc_import VALUES (58072, '07/11/2020', '7', '11', '2020', '1292', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '180.31782526');
INSERT INTO public.ecdc_import VALUES (58073, '06/11/2020', '6', '11', '2020', '1289', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '183.09147327');
INSERT INTO public.ecdc_import VALUES (58074, '05/11/2020', '5', '11', '2020', '1161', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '186.04934883');
INSERT INTO public.ecdc_import VALUES (58075, '04/11/2020', '4', '11', '2020', '1008', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '189.90789237');
INSERT INTO public.ecdc_import VALUES (58076, '03/11/2020', '3', '11', '2020', '1234', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '190.61409795');
INSERT INTO public.ecdc_import VALUES (58077, '02/11/2020', '2', '11', '2020', '1278', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '187.34917649');
INSERT INTO public.ecdc_import VALUES (58078, '01/11/2020', '1', '11', '2020', '1121', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '186.70438009');
INSERT INTO public.ecdc_import VALUES (58079, '31/10/2020', '31', '10', '2020', '1172', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '190.97231817');
INSERT INTO public.ecdc_import VALUES (58080, '30/10/2020', '30', '10', '2020', '1312', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '193.42868542');
INSERT INTO public.ecdc_import VALUES (58081, '29/10/2020', '29', '10', '2020', '1400', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '194.30888368');
INSERT INTO public.ecdc_import VALUES (58082, '28/10/2020', '28', '10', '2020', '1390', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '194.62616445');
INSERT INTO public.ecdc_import VALUES (58083, '27/10/2020', '27', '10', '2020', '1111', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '193.85854968');
INSERT INTO public.ecdc_import VALUES (58084, '26/10/2020', '26', '10', '2020', '1359', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '193.3775111');
INSERT INTO public.ecdc_import VALUES (58085, '25/10/2020', '25', '10', '2020', '1491', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '190.685742');
INSERT INTO public.ecdc_import VALUES (58086, '24/10/2020', '24', '10', '2020', '1563', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '186.98072141');
INSERT INTO public.ecdc_import VALUES (58087, '23/10/2020', '23', '10', '2020', '1578', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '181.98610802');
INSERT INTO public.ecdc_import VALUES (58088, '22/10/2020', '22', '10', '2020', '1538', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '176.98125976');
INSERT INTO public.ecdc_import VALUES (58089, '21/10/2020', '21', '10', '2020', '1077', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.94570691');
INSERT INTO public.ecdc_import VALUES (58090, '20/10/2020', '20', '10', '2020', '915', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.7819491');
INSERT INTO public.ecdc_import VALUES (58091, '19/10/2020', '19', '10', '2020', '1215', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '171.95594178');
INSERT INTO public.ecdc_import VALUES (58092, '18/10/2020', '18', '10', '2020', '1538', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '170.17507553');
INSERT INTO public.ecdc_import VALUES (58093, '17/10/2020', '17', '10', '2020', '1412', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '167.03297243');
INSERT INTO public.ecdc_import VALUES (58094, '16/10/2020', '16', '10', '2020', '1398', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '164.66871896');
INSERT INTO public.ecdc_import VALUES (58095, '15/10/2020', '15', '10', '2020', '1431', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '162.21235172');
INSERT INTO public.ecdc_import VALUES (58096, '14/10/2020', '14', '10', '2020', '1315', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '158.8246119');
INSERT INTO public.ecdc_import VALUES (58097, '13/10/2020', '13', '10', '2020', '1064', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '155.54945558');
INSERT INTO public.ecdc_import VALUES (58098, '12/10/2020', '12', '10', '2020', '1096', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '151.06658536');
INSERT INTO public.ecdc_import VALUES (58099, '11/10/2020', '11', '10', '2020', '1129', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '148.5590438');
INSERT INTO public.ecdc_import VALUES (58100, '10/10/2020', '10', '10', '2020', '1075', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '148.03706576');
INSERT INTO public.ecdc_import VALUES (58101, '09/10/2020', '9', '10', '2020', '1089', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '147.35132991');
INSERT INTO public.ecdc_import VALUES (58102, '08/10/2020', '8', '10', '2020', '1046', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '146.46089678');
INSERT INTO public.ecdc_import VALUES (58103, '07/10/2020', '7', '10', '2020', '1061', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '146.83958673');
INSERT INTO public.ecdc_import VALUES (58104, '06/10/2020', '6', '10', '2020', '932', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '144.70050026');
INSERT INTO public.ecdc_import VALUES (58105, '05/10/2020', '5', '10', '2020', '1041', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '142.11107979');
INSERT INTO public.ecdc_import VALUES (58106, '04/10/2020', '4', '10', '2020', '1231', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '138.35488489');
INSERT INTO public.ecdc_import VALUES (58107, '03/10/2020', '3', '10', '2020', '1181', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '134.03577249');
INSERT INTO public.ecdc_import VALUES (58108, '02/10/2020', '2', '10', '2020', '1158', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '130.80155562');
INSERT INTO public.ecdc_import VALUES (58109, '01/10/2020', '1', '10', '2020', '1100', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '126.99418639');
INSERT INTO public.ecdc_import VALUES (58110, '30/09/2020', '30', '9', '2020', '995', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '124.35359161');
INSERT INTO public.ecdc_import VALUES (58111, '29/09/2020', '29', '9', '2020', '626', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '121.06820042');
INSERT INTO public.ecdc_import VALUES (58112, '28/09/2020', '28', '9', '2020', '851', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '122.61366481');
INSERT INTO public.ecdc_import VALUES (58113, '27/09/2020', '27', '9', '2020', '1078', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '120.45410861');
INSERT INTO public.ecdc_import VALUES (58114, '26/09/2020', '26', '9', '2020', '1008', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '119.7274333');
INSERT INTO public.ecdc_import VALUES (58115, '25/09/2020', '25', '9', '2020', '1002', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '118.93934881');
INSERT INTO public.ecdc_import VALUES (58116, '24/09/2020', '24', '9', '2020', '1083', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '118.20243864');
INSERT INTO public.ecdc_import VALUES (58117, '23/09/2020', '23', '9', '2020', '852', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '116.15546594');
INSERT INTO public.ecdc_import VALUES (58118, '22/09/2020', '22', '9', '2020', '679', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '114.02661433');
INSERT INTO public.ecdc_import VALUES (58119, '21/09/2020', '21', '9', '2020', '674', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '111.88752786');
INSERT INTO public.ecdc_import VALUES (58120, '20/09/2020', '20', '9', '2020', '809', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '110.23971483');
INSERT INTO public.ecdc_import VALUES (58121, '19/09/2020', '19', '9', '2020', '865', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '109.17528903');
INSERT INTO public.ecdc_import VALUES (58122, '18/09/2020', '18', '9', '2020', '786', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '106.58586856');
INSERT INTO public.ecdc_import VALUES (58123, '17/09/2020', '17', '9', '2020', '842', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '104.82547204');
INSERT INTO public.ecdc_import VALUES (58124, '16/09/2020', '16', '9', '2020', '674', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '103.73034164');
INSERT INTO public.ecdc_import VALUES (58125, '15/09/2020', '15', '9', '2020', '777', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '102.70685529');
INSERT INTO public.ecdc_import VALUES (58126, '14/09/2020', '14', '9', '2020', '640', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '100.2914275');
INSERT INTO public.ecdc_import VALUES (58127, '13/09/2020', '13', '9', '2020', '1007', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '97.44613545');
INSERT INTO public.ecdc_import VALUES (58128, '12/09/2020', '12', '9', '2020', '931', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '91.50991461');
INSERT INTO public.ecdc_import VALUES (58129, '11/09/2020', '11', '9', '2020', '930', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '85.97285346');
INSERT INTO public.ecdc_import VALUES (58130, '10/09/2020', '10', '9', '2020', '883', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '81.47974838');
INSERT INTO public.ecdc_import VALUES (58131, '09/09/2020', '9', '9', '2020', '644', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '76.52607444');
INSERT INTO public.ecdc_import VALUES (58132, '08/09/2020', '8', '9', '2020', '470', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '73.40444107');
INSERT INTO public.ecdc_import VALUES (58133, '07/09/2020', '7', '9', '2020', '513', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '71.40864269');
INSERT INTO public.ecdc_import VALUES (58134, '06/09/2020', '6', '9', '2020', '705', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '70.14975448');
INSERT INTO public.ecdc_import VALUES (58135, '05/09/2020', '5', '9', '2020', '612', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '67.27375783');
INSERT INTO public.ecdc_import VALUES (58136, '04/09/2020', '4', '9', '2020', '614', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '65.011853');
INSERT INTO public.ecdc_import VALUES (58137, '03/09/2020', '3', '9', '2020', '735', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '63.44591888');
INSERT INTO public.ecdc_import VALUES (58138, '02/09/2020', '2', '9', '2020', '574', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '60.37545983');
INSERT INTO public.ecdc_import VALUES (58139, '01/09/2020', '1', '9', '2020', '541', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '58.23637335');
INSERT INTO public.ecdc_import VALUES (58140, '31/08/2020', '31', '8', '2020', '362', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '55.04309594');
INSERT INTO public.ecdc_import VALUES (58141, '30/08/2020', '30', '8', '2020', '427', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '53.48739669');
INSERT INTO public.ecdc_import VALUES (58142, '29/08/2020', '29', '8', '2020', '390', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '52.01357634');
INSERT INTO public.ecdc_import VALUES (58143, '28/08/2020', '28', '8', '2020', '491', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '51.39948453');
INSERT INTO public.ecdc_import VALUES (58144, '27/08/2020', '27', '8', '2020', '399', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '49.20922374');
INSERT INTO public.ecdc_import VALUES (58145, '26/08/2020', '26', '8', '2020', '339', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '47.64328962');
INSERT INTO public.ecdc_import VALUES (58146, '25/08/2020', '25', '8', '2020', '275', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '46.85520513');
INSERT INTO public.ecdc_import VALUES (58147, '24/08/2020', '24', '8', '2020', '390', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '45.87265824');
INSERT INTO public.ecdc_import VALUES (58148, '23/08/2020', '23', '8', '2020', '424', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '44.18390576');
INSERT INTO public.ecdc_import VALUES (58149, '22/08/2020', '22', '8', '2020', '391', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '42.29045601');
INSERT INTO public.ecdc_import VALUES (58150, '21/08/2020', '21', '8', '2020', '461', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '40.4993549');
INSERT INTO public.ecdc_import VALUES (58151, '20/08/2020', '20', '8', '2020', '435', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '38.2272152');
INSERT INTO public.ecdc_import VALUES (58152, '19/08/2020', '19', '8', '2020', '365', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '36.3747049');
INSERT INTO public.ecdc_import VALUES (58153, '18/08/2020', '18', '8', '2020', '229', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '34.57336893');
INSERT INTO public.ecdc_import VALUES (58154, '17/08/2020', '17', '8', '2020', '210', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '33.9081028');
INSERT INTO public.ecdc_import VALUES (58155, '16/08/2020', '16', '8', '2020', '283', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '34.20491384');
INSERT INTO public.ecdc_import VALUES (58156, '15/08/2020', '15', '8', '2020', '330', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '33.9081028');
INSERT INTO public.ecdc_import VALUES (58157, '14/08/2020', '14', '8', '2020', '277', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '30.53059784');
INSERT INTO public.ecdc_import VALUES (58158, '13/08/2020', '13', '8', '2020', '246', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '33.6829358');
INSERT INTO public.ecdc_import VALUES (58159, '12/08/2020', '12', '8', '2020', '262', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '35.00323319');
INSERT INTO public.ecdc_import VALUES (58160, '11/08/2020', '11', '8', '2020', '179', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '36.09836359');
INSERT INTO public.ecdc_import VALUES (58161, '10/08/2020', '10', '8', '2020', '225', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '36.96832699');
INSERT INTO public.ecdc_import VALUES (58162, '09/08/2020', '9', '8', '2020', '239', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '38.25791979');
INSERT INTO public.ecdc_import VALUES (58163, '08/08/2020', '8', '8', '2020', '216', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '39.01529969');
INSERT INTO public.ecdc_import VALUES (58164, '07/08/2020', '7', '8', '2020', '239', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '39.47586855');
INSERT INTO public.ecdc_import VALUES (58165, '06/08/2020', '6', '8', '2020', '254', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '39.6293915');
INSERT INTO public.ecdc_import VALUES (58166, '05/08/2020', '5', '8', '2020', '189', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '39.44516396');
INSERT INTO public.ecdc_import VALUES (58167, '04/08/2020', '4', '8', '2020', '164', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '40.63240812');
INSERT INTO public.ecdc_import VALUES (58168, '03/08/2020', '3', '8', '2020', '239', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '41.72753852');
INSERT INTO public.ecdc_import VALUES (58169, '02/08/2020', '2', '8', '2020', '254', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '41.44096234');
INSERT INTO public.ecdc_import VALUES (58170, '01/08/2020', '1', '8', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '41.79918256');
INSERT INTO public.ecdc_import VALUES (58171, '31/07/2020', '31', '7', '2020', '585', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '44.79799757');
INSERT INTO public.ecdc_import VALUES (58172, '30/07/2020', '30', '7', '2020', '375', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '41.68659906');
INSERT INTO public.ecdc_import VALUES (58173, '29/07/2020', '29', '7', '2020', '369', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '40.66311271');
INSERT INTO public.ecdc_import VALUES (58174, '28/07/2020', '28', '7', '2020', '264', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '40.72452189');
INSERT INTO public.ecdc_import VALUES (58175, '27/07/2020', '27', '7', '2020', '351', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '41.54331097');
INSERT INTO public.ecdc_import VALUES (58176, '26/07/2020', '26', '7', '2020', '313', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '42.05505415');
INSERT INTO public.ecdc_import VALUES (58177, '25/07/2020', '25', '7', '2020', '261', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '42.97619187');
INSERT INTO public.ecdc_import VALUES (58178, '24/07/2020', '24', '7', '2020', '254', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '45.14598293');
INSERT INTO public.ecdc_import VALUES (58179, '23/07/2020', '23', '7', '2020', '236', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '47.99127498');
INSERT INTO public.ecdc_import VALUES (58180, '22/07/2020', '22', '7', '2020', '305', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '50.13036146');
INSERT INTO public.ecdc_import VALUES (58181, '21/07/2020', '21', '7', '2020', '271', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '52.45367547');
INSERT INTO public.ecdc_import VALUES (58182, '20/07/2020', '20', '7', '2020', '211', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '55.08403539');
INSERT INTO public.ecdc_import VALUES (58183, '19/07/2020', '19', '7', '2020', '289', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '59.91489097');
INSERT INTO public.ecdc_import VALUES (58184, '18/07/2020', '18', '7', '2020', '293', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '64.28517769');
INSERT INTO public.ecdc_import VALUES (58185, '17/07/2020', '17', '7', '2020', '281', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '68.16419096');
INSERT INTO public.ecdc_import VALUES (58186, '16/07/2020', '16', '7', '2020', '275', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '69.38213971');
INSERT INTO public.ecdc_import VALUES (58187, '15/07/2020', '15', '7', '2020', '375', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '70.68196738');
INSERT INTO public.ecdc_import VALUES (58188, '14/07/2020', '14', '7', '2020', '344', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '71.1527711');
INSERT INTO public.ecdc_import VALUES (58189, '13/07/2020', '13', '7', '2020', '401', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '72.22743177');
INSERT INTO public.ecdc_import VALUES (58190, '12/07/2020', '12', '7', '2020', '403', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '72.59588685');
INSERT INTO public.ecdc_import VALUES (58191, '11/07/2020', '11', '7', '2020', '473', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '72.43212904');
INSERT INTO public.ecdc_import VALUES (58192, '10/07/2020', '10', '7', '2020', '532', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '71.78733264');
INSERT INTO public.ecdc_import VALUES (58193, '09/07/2020', '9', '7', '2020', '445', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '70.74337656');
INSERT INTO public.ecdc_import VALUES (58194, '08/07/2020', '8', '7', '2020', '532', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '70.79455088');
INSERT INTO public.ecdc_import VALUES (58195, '07/07/2020', '7', '7', '2020', '528', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '69.23885162');
INSERT INTO public.ecdc_import VALUES (58196, '06/07/2020', '6', '7', '2020', '683', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '67.7036221');
INSERT INTO public.ecdc_import VALUES (58197, '05/07/2020', '5', '7', '2020', '716', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '64.72527682');
INSERT INTO public.ecdc_import VALUES (58198, '04/07/2020', '4', '7', '2020', '672', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '61.36824159');
INSERT INTO public.ecdc_import VALUES (58199, '03/07/2020', '3', '7', '2020', '400', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '58.51271467');
INSERT INTO public.ecdc_import VALUES (58200, '02/07/2020', '2', '7', '2020', '402', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '58.38989631');
INSERT INTO public.ecdc_import VALUES (58201, '01/07/2020', '1', '7', '2020', '421', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '58.18519904');
INSERT INTO public.ecdc_import VALUES (58202, '30/06/2020', '30', '6', '2020', '449', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '57.41758427');
INSERT INTO public.ecdc_import VALUES (58203, '29/06/2020', '29', '6', '2020', '437', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '56.32245388');
INSERT INTO public.ecdc_import VALUES (58204, '28/06/2020', '28', '6', '2020', '387', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '54.96121703');
INSERT INTO public.ecdc_import VALUES (58205, '27/06/2020', '27', '6', '2020', '410', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '56.02564284');
INSERT INTO public.ecdc_import VALUES (58206, '26/06/2020', '26', '6', '2020', '430', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '57.07983378');
INSERT INTO public.ecdc_import VALUES (58207, '25/06/2020', '25', '6', '2020', '450', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '57.58134209');
INSERT INTO public.ecdc_import VALUES (58208, '24/06/2020', '24', '6', '2020', '380', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '59.14727621');
INSERT INTO public.ecdc_import VALUES (58209, '23/06/2020', '23', '6', '2020', '378', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '60.66203601');
INSERT INTO public.ecdc_import VALUES (58210, '22/06/2020', '22', '6', '2020', '392', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '62.60666007');
INSERT INTO public.ecdc_import VALUES (58211, '21/06/2020', '21', '6', '2020', '388', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '64.12141987');
INSERT INTO public.ecdc_import VALUES (58212, '20/06/2020', '20', '6', '2020', '393', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '66.55731738');
INSERT INTO public.ecdc_import VALUES (58213, '19/06/2020', '19', '6', '2020', '388', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '68.92157086');
INSERT INTO public.ecdc_import VALUES (58214, '18/06/2020', '18', '6', '2020', '382', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '71.69521887');
INSERT INTO public.ecdc_import VALUES (58215, '17/06/2020', '17', '6', '2020', '346', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '73.62960807');
INSERT INTO public.ecdc_import VALUES (58216, '16/06/2020', '16', '6', '2020', '342', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '76.18832394');
INSERT INTO public.ecdc_import VALUES (58217, '15/06/2020', '15', '6', '2020', '304', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '79.18713895');
INSERT INTO public.ecdc_import VALUES (58218, '14/06/2020', '14', '6', '2020', '491', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '82.84098522');
INSERT INTO public.ecdc_import VALUES (58219, '13/06/2020', '13', '6', '2020', '513', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '85.24617815');
INSERT INTO public.ecdc_import VALUES (58220, '12/06/2020', '12', '6', '2020', '479', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '86.52553609');
INSERT INTO public.ecdc_import VALUES (58221, '11/06/2020', '11', '6', '2020', '603', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '87.38526462');
INSERT INTO public.ecdc_import VALUES (58222, '10/06/2020', '10', '6', '2020', '528', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '90.2510264');
INSERT INTO public.ecdc_import VALUES (58223, '09/06/2020', '9', '6', '2020', '568', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '92.81997714');
INSERT INTO public.ecdc_import VALUES (58224, '08/06/2020', '8', '6', '2020', '540', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '95.41963247');
INSERT INTO public.ecdc_import VALUES (58225, '07/06/2020', '7', '6', '2020', '626', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '97.88623458');
INSERT INTO public.ecdc_import VALUES (58226, '06/06/2020', '6', '6', '2020', '624', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '99.78991919');
INSERT INTO public.ecdc_import VALUES (58227, '05/06/2020', '5', '6', '2020', '659', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '103.57681869');
INSERT INTO public.ecdc_import VALUES (58228, '04/06/2020', '4', '6', '2020', '571', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '105.98201161');
INSERT INTO public.ecdc_import VALUES (58229, '03/06/2020', '3', '6', '2020', '596', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '109.76891111');
INSERT INTO public.ecdc_import VALUES (58230, '02/06/2020', '2', '6', '2020', '635', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '112.6039683');
INSERT INTO public.ecdc_import VALUES (58231, '01/06/2020', '1', '6', '2020', '661', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '114.62023641');
INSERT INTO public.ecdc_import VALUES (58232, '31/05/2020', '31', '5', '2020', '726', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '115.33667686');
INSERT INTO public.ecdc_import VALUES (58233, '30/05/2020', '30', '5', '2020', '638', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '116.0531173');
INSERT INTO public.ecdc_import VALUES (58234, '29/05/2020', '29', '5', '2020', '563', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '117.16871743');
INSERT INTO public.ecdc_import VALUES (58235, '28/05/2020', '28', '5', '2020', '883', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '118.550424');
INSERT INTO public.ecdc_import VALUES (58236, '27/05/2020', '27', '5', '2020', '779', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '116.93331557');
INSERT INTO public.ecdc_import VALUES (58237, '26/05/2020', '26', '5', '2020', '822', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '116.97425502');
INSERT INTO public.ecdc_import VALUES (58238, '25/05/2020', '25', '5', '2020', '781', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '115.5209044');
INSERT INTO public.ecdc_import VALUES (58239, '24/05/2020', '24', '5', '2020', '812', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '115.5209044');
INSERT INTO public.ecdc_import VALUES (58240, '23/05/2020', '23', '5', '2020', '994', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '113.59675006');
INSERT INTO public.ecdc_import VALUES (58241, '22/05/2020', '22', '5', '2020', '894', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '109.08317526');
INSERT INTO public.ecdc_import VALUES (58242, '21/05/2020', '21', '5', '2020', '941', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '105.07110876');
INSERT INTO public.ecdc_import VALUES (58243, '20/05/2020', '20', '5', '2020', '873', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '101.02833768');
INSERT INTO public.ecdc_import VALUES (58244, '19/05/2020', '19', '5', '2020', '832', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '96.82180877');
INSERT INTO public.ecdc_import VALUES (58245, '18/05/2020', '18', '5', '2020', '731', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '94.10956995');
INSERT INTO public.ecdc_import VALUES (58246, '17/05/2020', '17', '5', '2020', '796', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '92.40034774');
INSERT INTO public.ecdc_import VALUES (58247, '16/05/2020', '16', '5', '2020', '747', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '89.99515482');
INSERT INTO public.ecdc_import VALUES (58248, '15/05/2020', '15', '5', '2020', '698', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '88.05053075');
INSERT INTO public.ecdc_import VALUES (58249, '14/05/2020', '14', '5', '2020', '725', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '86.55624068');
INSERT INTO public.ecdc_import VALUES (58250, '13/05/2020', '13', '5', '2020', '783', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '84.7549047');
INSERT INTO public.ecdc_import VALUES (58251, '12/05/2020', '12', '5', '2020', '680', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '82.27806773');
INSERT INTO public.ecdc_import VALUES (58252, '11/05/2020', '11', '5', '2020', '781', '13', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '80.33344367');
INSERT INTO public.ecdc_import VALUES (58253, '10/05/2020', '10', '5', '2020', '624', '11', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '77.82590211');
INSERT INTO public.ecdc_import VALUES (58254, '09/05/2020', '9', '5', '2020', '553', '9', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '76.59771849');
INSERT INTO public.ecdc_import VALUES (58255, '08/05/2020', '8', '5', '2020', '502', '8', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '76.02456613');
INSERT INTO public.ecdc_import VALUES (58256, '07/05/2020', '7', '5', '2020', '546', '11', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '75.90174777');
INSERT INTO public.ecdc_import VALUES (58257, '06/05/2020', '6', '5', '2020', '462', '9', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '74.99084491');
INSERT INTO public.ecdc_import VALUES (58258, '05/05/2020', '5', '5', '2020', '567', '11', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '75.01131464');
INSERT INTO public.ecdc_import VALUES (58259, '04/05/2020', '4', '5', '2020', '564', '7', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '73.89571452');
INSERT INTO public.ecdc_import VALUES (58260, '03/05/2020', '3', '5', '2020', '561', '8', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '72.75964467');
INSERT INTO public.ecdc_import VALUES (58261, '02/05/2020', '2', '5', '2020', '557', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '71.5724005');
INSERT INTO public.ecdc_import VALUES (58262, '01/05/2020', '1', '5', '2020', '552', '7', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '70.49773984');
INSERT INTO public.ecdc_import VALUES (58263, '30/04/2020', '30', '4', '2020', '549', '9', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '69.3002608');
INSERT INTO public.ecdc_import VALUES (58264, '29/04/2020', '29', '4', '2020', '541', '7', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '67.86737991');
INSERT INTO public.ecdc_import VALUES (58265, '28/04/2020', '28', '4', '2020', '490', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '66.32191552');
INSERT INTO public.ecdc_import VALUES (58266, '27/04/2020', '27', '4', '2020', '536', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '65.16537595');
INSERT INTO public.ecdc_import VALUES (58267, '26/04/2020', '26', '4', '2020', '504', '7', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '63.42544915');
INSERT INTO public.ecdc_import VALUES (58268, '25/04/2020', '25', '4', '2020', '497', '8', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '61.91068935');
INSERT INTO public.ecdc_import VALUES (58269, '24/04/2020', '24', '4', '2020', '490', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '60.40616442');
INSERT INTO public.ecdc_import VALUES (58270, '23/04/2020', '23', '4', '2020', '457', '6', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '58.59459358');
INSERT INTO public.ecdc_import VALUES (58271, '22/04/2020', '22', '4', '2020', '464', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '56.82396219');
INSERT INTO public.ecdc_import VALUES (58272, '21/04/2020', '21', '4', '2020', '458', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '54.81792894');
INSERT INTO public.ecdc_import VALUES (58273, '20/04/2020', '20', '4', '2020', '453', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '52.8118957');
INSERT INTO public.ecdc_import VALUES (58274, '19/04/2020', '19', '4', '2020', '445', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '51.02079458');
INSERT INTO public.ecdc_import VALUES (58275, '18/04/2020', '18', '4', '2020', '452', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '48.93288243');
INSERT INTO public.ecdc_import VALUES (58276, '17/04/2020', '17', '4', '2020', '435', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '46.76309136');
INSERT INTO public.ecdc_import VALUES (58277, '16/04/2020', '16', '4', '2020', '409', '5', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '44.46024707');
INSERT INTO public.ecdc_import VALUES (58278, '15/04/2020', '15', '4', '2020', '390', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '41.80941743');
INSERT INTO public.ecdc_import VALUES (58279, '14/04/2020', '14', '4', '2020', '377', '3', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '38.36026842');
INSERT INTO public.ecdc_import VALUES (58280, '13/04/2020', '13', '4', '2020', '366', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '34.92135429');
INSERT INTO public.ecdc_import VALUES (58281, '12/04/2020', '12', '4', '2020', '356', '4', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '32.21935032');
INSERT INTO public.ecdc_import VALUES (58282, '11/04/2020', '11', '4', '2020', '350', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '29.22053531');
INSERT INTO public.ecdc_import VALUES (58283, '10/04/2020', '10', '4', '2020', '313', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '26.37524326');
INSERT INTO public.ecdc_import VALUES (58284, '09/04/2020', '9', '4', '2020', '284', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '23.17173098');
INSERT INTO public.ecdc_import VALUES (58285, '08/04/2020', '8', '4', '2020', '268', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '21.13499314');
INSERT INTO public.ecdc_import VALUES (58286, '07/04/2020', '7', '4', '2020', '262', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '18.9037929');
INSERT INTO public.ecdc_import VALUES (58287, '06/04/2020', '6', '4', '2020', '278', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '16.68282752');
INSERT INTO public.ecdc_import VALUES (58288, '05/04/2020', '5', '4', '2020', '241', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '13.83753546');
INSERT INTO public.ecdc_import VALUES (58289, '04/04/2020', '4', '4', '2020', '240', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '11.50398658');
INSERT INTO public.ecdc_import VALUES (58290, '03/04/2020', '3', '4', '2020', '210', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '9.04761934');
INSERT INTO public.ecdc_import VALUES (58291, '02/04/2020', '2', '4', '2020', '150', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '7.17463932');
INSERT INTO public.ecdc_import VALUES (58292, '01/04/2020', '1', '4', '2020', '53', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '5.63940979');
INSERT INTO public.ecdc_import VALUES (58293, '31/03/2020', '31', '3', '2020', '41', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '5.25048498');
INSERT INTO public.ecdc_import VALUES (58294, '30/03/2020', '30', '3', '2020', '102', '1', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '4.83085558');
INSERT INTO public.ecdc_import VALUES (58295, '29/03/2020', '29', '3', '2020', '63', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '3.90971786');
INSERT INTO public.ecdc_import VALUES (58296, '28/03/2020', '28', '3', '2020', '72', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '3.27515632');
INSERT INTO public.ecdc_import VALUES (58297, '27/03/2020', '27', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '2.65082965');
INSERT INTO public.ecdc_import VALUES (58298, '26/03/2020', '26', '3', '2020', '85', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '2.8043526');
INSERT INTO public.ecdc_import VALUES (58299, '25/03/2020', '25', '3', '2020', '50', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '2.07767729');
INSERT INTO public.ecdc_import VALUES (58300, '24/03/2020', '24', '3', '2020', '45', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '1.72969193');
INSERT INTO public.ecdc_import VALUES (58301, '23/03/2020', '23', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '1.2895928');
INSERT INTO public.ecdc_import VALUES (58302, '22/03/2020', '22', '3', '2020', '13', '2', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '1.35100198');
INSERT INTO public.ecdc_import VALUES (58303, '21/03/2020', '21', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '1.21794876');
INSERT INTO public.ecdc_import VALUES (58304, '20/03/2020', '20', '3', '2020', '27', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '1.21794876');
INSERT INTO public.ecdc_import VALUES (58305, '19/03/2020', '19', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.96207717');
INSERT INTO public.ecdc_import VALUES (58306, '18/03/2020', '18', '3', '2020', '15', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '1.02348635');
INSERT INTO public.ecdc_import VALUES (58307, '17/03/2020', '17', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.8699634');
INSERT INTO public.ecdc_import VALUES (58308, '16/03/2020', '16', '3', '2020', '12', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.8699634');
INSERT INTO public.ecdc_import VALUES (58309, '15/03/2020', '15', '3', '2020', '1', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.74714504');
INSERT INTO public.ecdc_import VALUES (58310, '13/03/2020', '13', '3', '2020', '11', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.73691017');
INSERT INTO public.ecdc_import VALUES (58311, '11/03/2020', '11', '3', '2020', '15', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.6447964');
INSERT INTO public.ecdc_import VALUES (58312, '10/03/2020', '10', '3', '2020', '14', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.51174318');
INSERT INTO public.ecdc_import VALUES (58313, '08/03/2020', '8', '3', '2020', '16', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.36845509');
INSERT INTO public.ecdc_import VALUES (58314, '06/03/2020', '6', '3', '2020', '2', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.20469727');
INSERT INTO public.ecdc_import VALUES (58315, '04/03/2020', '4', '3', '2020', '6', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.18422754');
INSERT INTO public.ecdc_import VALUES (58316, '02/03/2020', '2', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.12281836');
INSERT INTO public.ecdc_import VALUES (58317, '01/03/2020', '1', '3', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.13305323');
INSERT INTO public.ecdc_import VALUES (58318, '29/02/2020', '29', '2', '2020', '2', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.13305323');
INSERT INTO public.ecdc_import VALUES (58319, '28/02/2020', '28', '2', '2020', '6', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.1125835');
INSERT INTO public.ecdc_import VALUES (58320, '27/02/2020', '27', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58321, '26/02/2020', '26', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58322, '25/02/2020', '25', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58323, '24/02/2020', '24', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.06140918');
INSERT INTO public.ecdc_import VALUES (58324, '23/02/2020', '23', '2', '2020', '2', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.06140918');
INSERT INTO public.ecdc_import VALUES (58325, '22/02/2020', '22', '2', '2020', '2', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58326, '21/02/2020', '21', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58327, '20/02/2020', '20', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58328, '19/02/2020', '19', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58329, '18/02/2020', '18', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58330, '17/02/2020', '17', '2', '2020', '1', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58331, '16/02/2020', '16', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.03070459');
INSERT INTO public.ecdc_import VALUES (58332, '15/02/2020', '15', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58333, '14/02/2020', '14', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58334, '13/02/2020', '13', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58335, '12/02/2020', '12', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.07164404');
INSERT INTO public.ecdc_import VALUES (58336, '11/02/2020', '11', '2', '2020', '1', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.07164404');
INSERT INTO public.ecdc_import VALUES (58337, '10/02/2020', '10', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.06140918');
INSERT INTO public.ecdc_import VALUES (58338, '09/02/2020', '9', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.07164404');
INSERT INTO public.ecdc_import VALUES (58339, '08/02/2020', '8', '2', '2020', '2', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.07164404');
INSERT INTO public.ecdc_import VALUES (58340, '07/02/2020', '7', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58341, '06/02/2020', '6', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58342, '05/02/2020', '5', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58343, '04/02/2020', '4', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58344, '03/02/2020', '3', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58345, '02/02/2020', '2', '2', '2020', '1', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.05117432');
INSERT INTO public.ecdc_import VALUES (58346, '01/02/2020', '1', '2', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58347, '31/01/2020', '31', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58348, '30/01/2020', '30', '1', '2020', '3', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.04093945');
INSERT INTO public.ecdc_import VALUES (58349, '29/01/2020', '29', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.01023486');
INSERT INTO public.ecdc_import VALUES (58350, '28/01/2020', '28', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.01023486');
INSERT INTO public.ecdc_import VALUES (58351, '27/01/2020', '27', '1', '2020', '1', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0.01023486');
INSERT INTO public.ecdc_import VALUES (58352, '26/01/2020', '26', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58353, '25/01/2020', '25', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58354, '24/01/2020', '24', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58355, '23/01/2020', '23', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58356, '22/01/2020', '22', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58357, '21/01/2020', '21', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58358, '20/01/2020', '20', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58359, '19/01/2020', '19', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58360, '18/01/2020', '18', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58361, '17/01/2020', '17', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58362, '16/01/2020', '16', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58363, '15/01/2020', '15', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58364, '14/01/2020', '14', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58365, '13/01/2020', '13', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (58366, '12/01/2020', '12', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58367, '11/01/2020', '11', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58368, '10/01/2020', '10', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58369, '09/01/2020', '9', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58370, '08/01/2020', '8', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58371, '07/01/2020', '7', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58372, '06/01/2020', '6', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58373, '05/01/2020', '5', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58374, '04/01/2020', '4', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58375, '03/01/2020', '3', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58376, '02/01/2020', '2', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58377, '01/01/2020', '1', '1', '2020', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58378, '31/12/2019', '31', '12', '2019', '0', '0', '9770526', 'United_Arab_Emirates', 'AE', 'ARE', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (58379, '14/12/2020', '14', '12', '2020', '18447', '144', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '348.21613876');
INSERT INTO public.ecdc_import VALUES (58380, '13/12/2020', '13', '12', '2020', '21501', '520', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '338.77536959');
INSERT INTO public.ecdc_import VALUES (58381, '12/12/2020', '12', '12', '2020', '21672', '424', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '330.32789178');
INSERT INTO public.ecdc_import VALUES (58382, '11/12/2020', '11', '12', '2020', '20964', '516', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '319.9253405');
INSERT INTO public.ecdc_import VALUES (58383, '10/12/2020', '10', '12', '2020', '16578', '533', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '314.81034017');
INSERT INTO public.ecdc_import VALUES (58384, '09/12/2020', '9', '12', '2020', '12281', '599', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '317.26355975');
INSERT INTO public.ecdc_import VALUES (58385, '08/12/2020', '8', '12', '2020', '14718', '189', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '315.79012756');
INSERT INTO public.ecdc_import VALUES (58386, '07/12/2020', '7', '12', '2020', '17271', '231', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '316.88844972');
INSERT INTO public.ecdc_import VALUES (58387, '06/12/2020', '6', '12', '2020', '15539', '397', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '318.97556191');
INSERT INTO public.ecdc_import VALUES (58388, '05/12/2020', '5', '12', '2020', '16298', '504', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '325.48147022');
INSERT INTO public.ecdc_import VALUES (58389, '04/12/2020', '4', '12', '2020', '14878', '414', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '331.41421042');
INSERT INTO public.ecdc_import VALUES (58390, '03/12/2020', '3', '12', '2020', '16170', '648', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '343.47324757');
INSERT INTO public.ecdc_import VALUES (58391, '02/12/2020', '2', '12', '2020', '13429', '603', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '348.63326111');
INSERT INTO public.ecdc_import VALUES (58392, '01/12/2020', '1', '12', '2020', '12330', '203', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '358.56917551');
INSERT INTO public.ecdc_import VALUES (58393, '30/11/2020', '30', '11', '2020', '12155', '215', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '372.12265102');
INSERT INTO public.ecdc_import VALUES (58394, '29/11/2020', '29', '11', '2020', '15871', '479', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '391.33878749');
INSERT INTO public.ecdc_import VALUES (58395, '28/11/2020', '28', '11', '2020', '14739', '520', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '407.82712385');
INSERT INTO public.ecdc_import VALUES (58396, '27/11/2020', '27', '11', '2020', '17555', '498', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '426.6756525');
INSERT INTO public.ecdc_import VALUES (58397, '26/11/2020', '26', '11', '2020', '18213', '695', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '450.55515684');
INSERT INTO public.ecdc_import VALUES (58398, '25/11/2020', '25', '11', '2020', '11299', '608', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '457.66274164');
INSERT INTO public.ecdc_import VALUES (58399, '24/11/2020', '24', '11', '2020', '15450', '479', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '471.33625235');
INSERT INTO public.ecdc_import VALUES (58400, '23/11/2020', '23', '11', '2020', '18662', '125', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '480.18884899');
INSERT INTO public.ecdc_import VALUES (58401, '22/11/2020', '22', '11', '2020', '19875', '340', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '483.0546896');
INSERT INTO public.ecdc_import VALUES (58402, '21/11/2020', '21', '11', '2020', '20252', '511', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '490.67992624');
INSERT INTO public.ecdc_import VALUES (58403, '20/11/2020', '20', '11', '2020', '22915', '501', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '495.23376197');
INSERT INTO public.ecdc_import VALUES (58404, '19/11/2020', '19', '11', '2020', '19609', '529', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '497.06880022');
INSERT INTO public.ecdc_import VALUES (58405, '18/11/2020', '18', '11', '2020', '20051', '598', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '505.42325075');
INSERT INTO public.ecdc_import VALUES (58406, '17/11/2020', '17', '11', '2020', '21363', '213', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '505.37373622');
INSERT INTO public.ecdc_import VALUES (58407, '16/11/2020', '16', '11', '2020', '24962', '168', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '501.75317424');
INSERT INTO public.ecdc_import VALUES (58408, '15/11/2020', '15', '11', '2020', '26860', '462', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '499.19042253');
INSERT INTO public.ecdc_import VALUES (58409, '14/11/2020', '14', '11', '2020', '27301', '376', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '491.7707462');
INSERT INTO public.ecdc_import VALUES (58410, '13/11/2020', '13', '11', '2020', '33470', '563', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '487.42547164');
INSERT INTO public.ecdc_import VALUES (58411, '12/11/2020', '12', '11', '2020', '22950', '595', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '471.8133923');
INSERT INTO public.ecdc_import VALUES (58412, '11/11/2020', '11', '11', '2020', '20412', '532', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '474.4391625');
INSERT INTO public.ecdc_import VALUES (58413, '10/11/2020', '10', '11', '2020', '21350', '194', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '478.14975088');
INSERT INTO public.ecdc_import VALUES (58414, '09/11/2020', '9', '11', '2020', '20572', '156', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '477.45954843');
INSERT INTO public.ecdc_import VALUES (58415, '08/11/2020', '8', '11', '2020', '24957', '413', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '476.28620427');
INSERT INTO public.ecdc_import VALUES (58416, '07/11/2020', '7', '11', '2020', '23287', '355', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '473.36784826');
INSERT INTO public.ecdc_import VALUES (58417, '06/11/2020', '6', '11', '2020', '24138', '378', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '469.23263532');
INSERT INTO public.ecdc_import VALUES (58418, '05/11/2020', '5', '11', '2020', '25177', '492', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '464.881359');
INSERT INTO public.ecdc_import VALUES (58419, '04/11/2020', '4', '11', '2020', '20018', '397', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '467.14702356');
INSERT INTO public.ecdc_import VALUES (58420, '03/11/2020', '3', '11', '2020', '18950', '136', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '469.11560099');
INSERT INTO public.ecdc_import VALUES (58421, '02/11/2020', '2', '11', '2020', '23254', '162', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '468.89503629');
INSERT INTO public.ecdc_import VALUES (58422, '01/11/2020', '1', '11', '2020', '21915', '326', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '459.48277549');
INSERT INTO public.ecdc_import VALUES (58423, '31/10/2020', '31', '10', '2020', '24405', '274', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '450.8642475');
INSERT INTO public.ecdc_import VALUES (58424, '30/10/2020', '30', '10', '2020', '23065', '280', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '437.70538774');
INSERT INTO public.ecdc_import VALUES (58425, '29/10/2020', '29', '10', '2020', '24700', '310', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '431.57308902');
INSERT INTO public.ecdc_import VALUES (58426, '28/10/2020', '28', '10', '2020', '22885', '367', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '424.10689904');
INSERT INTO public.ecdc_import VALUES (58427, '27/10/2020', '27', '10', '2020', '20890', '102', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '415.6249111');
INSERT INTO public.ecdc_import VALUES (58428, '26/10/2020', '26', '10', '2020', '19790', '151', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '405.24486642');
INSERT INTO public.ecdc_import VALUES (58429, '25/10/2020', '25', '10', '2020', '23012', '174', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '394.86482175');
INSERT INTO public.ecdc_import VALUES (58430, '24/10/2020', '24', '10', '2020', '20531', '224', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '383.09086821');
INSERT INTO public.ecdc_import VALUES (58431, '23/10/2020', '23', '10', '2020', '21238', '189', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '373.08743401');
INSERT INTO public.ecdc_import VALUES (58432, '22/10/2020', '22', '10', '2020', '26687', '191', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '367.53880648');
INSERT INTO public.ecdc_import VALUES (58433, '21/10/2020', '21', '10', '2020', '21330', '241', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '348.74579412');
INSERT INTO public.ecdc_import VALUES (58434, '20/10/2020', '20', '10', '2020', '18803', '80', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '338.56080666');
INSERT INTO public.ecdc_import VALUES (58435, '19/10/2020', '19', '10', '2020', '16981', '67', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '329.24307358');
INSERT INTO public.ecdc_import VALUES (58436, '18/10/2020', '18', '10', '2020', '16171', '150', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '338.21570543');
INSERT INTO public.ecdc_import VALUES (58437, '17/10/2020', '17', '10', '2020', '15635', '136', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '333.26425307');
INSERT INTO public.ecdc_import VALUES (58438, '16/10/2020', '16', '10', '2020', '18978', '138', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '320.25993865');
INSERT INTO public.ecdc_import VALUES (58439, '15/10/2020', '15', '10', '2020', '19724', '137', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '302.15862917');
INSERT INTO public.ecdc_import VALUES (58440, '14/10/2020', '14', '10', '2020', '17232', '143', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '283.22907675');
INSERT INTO public.ecdc_import VALUES (58441, '13/10/2020', '13', '10', '2020', '13972', '50', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '268.09113649');
INSERT INTO public.ecdc_import VALUES (58442, '12/10/2020', '12', '10', '2020', '12872', '65', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '253.19476709');
INSERT INTO public.ecdc_import VALUES (58443, '11/10/2020', '11', '10', '2020', '15165', '81', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '242.42160711');
INSERT INTO public.ecdc_import VALUES (58444, '10/10/2020', '10', '10', '2020', '13864', '87', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '228.73159155');
INSERT INTO public.ecdc_import VALUES (58445, '09/10/2020', '9', '10', '2020', '17540', '77', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '218.24201475');
INSERT INTO public.ecdc_import VALUES (58446, '08/10/2020', '8', '10', '2020', '14162', '70', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '201.87821492');
INSERT INTO public.ecdc_import VALUES (58447, '07/10/2020', '7', '10', '2020', '14542', '76', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '189.89870109');
INSERT INTO public.ecdc_import VALUES (58448, '06/10/2020', '6', '10', '2020', '12593', '19', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '175.470469');
INSERT INTO public.ecdc_import VALUES (58449, '05/10/2020', '5', '10', '2020', '22961', '33', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '163.1293491');
INSERT INTO public.ecdc_import VALUES (58450, '04/10/2020', '4', '10', '2020', '12871', '49', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '134.52795974');
INSERT INTO public.ecdc_import VALUES (58451, '03/10/2020', '3', '10', '2020', '6968', '66', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '121.85074126');
INSERT INTO public.ecdc_import VALUES (58452, '02/10/2020', '2', '10', '2020', '6914', '59', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '117.88057673');
INSERT INTO public.ecdc_import VALUES (58453, '01/10/2020', '1', '10', '2020', '7108', '71', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '112.60052799');
INSERT INTO public.ecdc_import VALUES (58454, '30/09/2020', '30', '9', '2020', '7143', '71', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '107.92365617');
INSERT INTO public.ecdc_import VALUES (58455, '29/09/2020', '29', '9', '2020', '4044', '13', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '101.86187813');
INSERT INTO public.ecdc_import VALUES (58456, '28/09/2020', '28', '9', '2020', '5692', '17', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '99.72675185');
INSERT INTO public.ecdc_import VALUES (58457, '27/09/2020', '27', '9', '2020', '6041', '35', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '96.18271231');
INSERT INTO public.ecdc_import VALUES (58458, '26/09/2020', '26', '9', '2020', '6873', '34', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '92.36559268');
INSERT INTO public.ecdc_import VALUES (58459, '25/09/2020', '25', '9', '2020', '6634', '40', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '87.36312535');
INSERT INTO public.ecdc_import VALUES (58460, '24/09/2020', '24', '9', '2020', '6178', '37', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '81.78899035');
INSERT INTO public.ecdc_import VALUES (58461, '23/09/2020', '23', '9', '2020', '4926', '37', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '76.5089416');
INSERT INTO public.ecdc_import VALUES (58462, '22/09/2020', '22', '9', '2020', '4368', '11', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '72.80885629');
INSERT INTO public.ecdc_import VALUES (58463, '21/09/2020', '21', '9', '2020', '3899', '18', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '70.67823134');
INSERT INTO public.ecdc_import VALUES (58464, '20/09/2020', '20', '9', '2020', '4422', '27', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '69.3113304');
INSERT INTO public.ecdc_import VALUES (58465, '19/09/2020', '19', '9', '2020', '4322', '27', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '65.39668215');
INSERT INTO public.ecdc_import VALUES (58466, '18/09/2020', '18', '9', '2020', '3395', '21', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '61.82263381');
INSERT INTO public.ecdc_import VALUES (58467, '17/09/2020', '17', '9', '2020', '3991', '20', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '59.33190323');
INSERT INTO public.ecdc_import VALUES (58468, '16/09/2020', '16', '9', '2020', '3103', '27', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '55.60631044');
INSERT INTO public.ecdc_import VALUES (58469, '15/09/2020', '15', '9', '2020', '2621', '9', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '52.89351473');
INSERT INTO public.ecdc_import VALUES (58470, '14/09/2020', '14', '9', '2020', '3330', '5', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '51.07047999');
INSERT INTO public.ecdc_import VALUES (58471, '13/09/2020', '13', '9', '2020', '3497', '9', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '48.64726922');
INSERT INTO public.ecdc_import VALUES (58472, '12/09/2020', '12', '9', '2020', '3539', '6', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '45.0627178');
INSERT INTO public.ecdc_import VALUES (58473, '11/09/2020', '11', '9', '2020', '2919', '14', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '41.66722183');
INSERT INTO public.ecdc_import VALUES (58474, '10/09/2020', '10', '9', '2020', '2659', '8', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '39.571107');
INSERT INTO public.ecdc_import VALUES (58475, '09/09/2020', '9', '9', '2020', '2460', '32', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '37.15389798');
INSERT INTO public.ecdc_import VALUES (58476, '08/09/2020', '8', '9', '2020', '2948', '3', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '35.2393364');
INSERT INTO public.ecdc_import VALUES (58477, '07/09/2020', '7', '9', '2020', '2988', '2', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '32.27446675');
INSERT INTO public.ecdc_import VALUES (58478, '06/09/2020', '6', '9', '2020', '1813', '12', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '29.35310985');
INSERT INTO public.ecdc_import VALUES (58479, '05/09/2020', '5', '9', '2020', '1940', '10', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '28.5653788');
INSERT INTO public.ecdc_import VALUES (58480, '04/09/2020', '4', '9', '2020', '1735', '13', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '27.20447962');
INSERT INTO public.ecdc_import VALUES (58481, '03/09/2020', '3', '9', '2020', '1508', '10', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '26.37473624');
INSERT INTO public.ecdc_import VALUES (58482, '02/09/2020', '2', '9', '2020', '1295', '3', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '25.33042992');
INSERT INTO public.ecdc_import VALUES (58483, '01/09/2020', '1', '9', '2020', '1406', '2', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '25.02133926');
INSERT INTO public.ecdc_import VALUES (58484, '31/08/2020', '31', '8', '2020', '1715', '1', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '23.98153426');
INSERT INTO public.ecdc_import VALUES (58485, '30/08/2020', '30', '8', '2020', '1108', '12', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.96873719');
INSERT INTO public.ecdc_import VALUES (58486, '29/08/2020', '29', '8', '2020', '1276', '9', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.92222355');
INSERT INTO public.ecdc_import VALUES (58487, '28/08/2020', '28', '8', '2020', '1522', '12', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '23.16829572');
INSERT INTO public.ecdc_import VALUES (58488, '27/08/2020', '27', '8', '2020', '1048', '16', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.57862276');
INSERT INTO public.ecdc_import VALUES (58489, '26/08/2020', '26', '8', '2020', '1184', '16', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.5201056');
INSERT INTO public.ecdc_import VALUES (58490, '25/08/2020', '25', '8', '2020', '972', '4', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.46608975');
INSERT INTO public.ecdc_import VALUES (58491, '24/08/2020', '24', '8', '2020', '1041', '6', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.2320211');
INSERT INTO public.ecdc_import VALUES (58492, '23/08/2020', '23', '8', '2020', '1288', '18', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.26353034');
INSERT INTO public.ecdc_import VALUES (58493, '22/08/2020', '22', '8', '2020', '1033', '2', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '21.46829708');
INSERT INTO public.ecdc_import VALUES (58494, '21/08/2020', '21', '8', '2020', '1182', '6', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '21.22522578');
INSERT INTO public.ecdc_import VALUES (58495, '20/08/2020', '20', '8', '2020', '812', '16', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.87712368');
INSERT INTO public.ecdc_import VALUES (58496, '19/08/2020', '19', '8', '2020', '1089', '12', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.99565845');
INSERT INTO public.ecdc_import VALUES (58497, '18/08/2020', '18', '8', '2020', '713', '3', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.36697404');
INSERT INTO public.ecdc_import VALUES (58498, '17/08/2020', '17', '8', '2020', '1040', '5', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.68956866');
INSERT INTO public.ecdc_import VALUES (58499, '16/08/2020', '16', '8', '2020', '1077', '3', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.24393795');
INSERT INTO public.ecdc_import VALUES (58500, '15/08/2020', '15', '8', '2020', '1440', '11', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '19.78480328');
INSERT INTO public.ecdc_import VALUES (58501, '14/08/2020', '14', '8', '2020', '1129', '18', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '18.94455682');
INSERT INTO public.ecdc_import VALUES (58502, '13/08/2020', '13', '8', '2020', '1009', '20', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '18.51993227');
INSERT INTO public.ecdc_import VALUES (58503, '12/08/2020', '12', '8', '2020', '1148', '13', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '18.150824');
INSERT INTO public.ecdc_import VALUES (58504, '11/08/2020', '11', '8', '2020', '816', '18', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '16.53334956');
INSERT INTO public.ecdc_import VALUES (58505, '10/08/2020', '10', '8', '2020', '1062', '5', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '15.86565371');
INSERT INTO public.ecdc_import VALUES (58506, '09/08/2020', '9', '8', '2020', '758', '3', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.9038716');
INSERT INTO public.ecdc_import VALUES (58507, '08/08/2020', '8', '8', '2020', '871', '12', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.76733155');
INSERT INTO public.ecdc_import VALUES (58508, '07/08/2020', '7', '8', '2020', '950', '18', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.55726994');
INSERT INTO public.ecdc_import VALUES (58509, '06/08/2020', '6', '8', '2020', '891', '14', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.29169204');
INSERT INTO public.ecdc_import VALUES (58510, '05/08/2020', '5', '8', '2020', '670', '18', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.08163042');
INSERT INTO public.ecdc_import VALUES (58511, '04/08/2020', '4', '8', '2020', '928', '1', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.26618456');
INSERT INTO public.ecdc_import VALUES (58512, '03/08/2020', '3', '8', '2020', '743', '5', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.4934579');
INSERT INTO public.ecdc_import VALUES (58513, '02/08/2020', '2', '8', '2020', '771', '13', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.11834787');
INSERT INTO public.ecdc_import VALUES (58514, '01/08/2020', '1', '8', '2020', '880', '20', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.81525897');
INSERT INTO public.ecdc_import VALUES (58515, '31/07/2020', '31', '7', '2020', '846', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.55118151');
INSERT INTO public.ecdc_import VALUES (58516, '30/07/2020', '30', '7', '2020', '763', '34', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.44014894');
INSERT INTO public.ecdc_import VALUES (58517, '29/07/2020', '29', '7', '2020', '70', '21', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.32311462');
INSERT INTO public.ecdc_import VALUES (58518, '28/07/2020', '28', '7', '2020', '371', '3', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.30740333');
INSERT INTO public.ecdc_import VALUES (58519, '27/07/2020', '27', '7', '2020', '421', '8', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.29239893');
INSERT INTO public.ecdc_import VALUES (58520, '26/07/2020', '26', '7', '2020', '667', '15', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.32390817');
INSERT INTO public.ecdc_import VALUES (58521, '25/07/2020', '25', '7', '2020', '731', '32', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.17086328');
INSERT INTO public.ecdc_import VALUES (58522, '24/07/2020', '24', '7', '2020', '773', '9', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.14685624');
INSERT INTO public.ecdc_import VALUES (58523, '23/07/2020', '23', '7', '2020', '751', '17', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.02682103');
INSERT INTO public.ecdc_import VALUES (58524, '22/07/2020', '22', '7', '2020', '793', '25', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.79575325');
INSERT INTO public.ecdc_import VALUES (58525, '21/07/2020', '21', '7', '2020', '413', '10', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.66221408');
INSERT INTO public.ecdc_import VALUES (58526, '20/07/2020', '20', '7', '2020', '493', '11', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.87527658');
INSERT INTO public.ecdc_import VALUES (58527, '19/07/2020', '19', '7', '2020', '569', '9', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.73723609');
INSERT INTO public.ecdc_import VALUES (58528, '18/07/2020', '18', '7', '2020', '704', '26', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.75224049');
INSERT INTO public.ecdc_import VALUES (58529, '17/07/2020', '17', '7', '2020', '772', '24', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.5991956');
INSERT INTO public.ecdc_import VALUES (58530, '16/07/2020', '16', '7', '2020', '685', '26', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.41764234');
INSERT INTO public.ecdc_import VALUES (58531, '15/07/2020', '15', '7', '2020', '726', '44', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.31561242');
INSERT INTO public.ecdc_import VALUES (58532, '14/07/2020', '14', '7', '2020', '361', '10', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.32161418');
INSERT INTO public.ecdc_import VALUES (58533, '13/07/2020', '13', '7', '2020', '442', '9', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.44915159');
INSERT INTO public.ecdc_import VALUES (58534, '12/07/2020', '12', '7', '2020', '565', '17', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.75974269');
INSERT INTO public.ecdc_import VALUES (58535, '11/07/2020', '11', '7', '2020', '715', '34', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.91878934');
INSERT INTO public.ecdc_import VALUES (58536, '10/07/2020', '10', '7', '2020', '693', '31', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.92779198');
INSERT INTO public.ecdc_import VALUES (58537, '09/07/2020', '9', '7', '2020', '597', '57', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.05532939');
INSERT INTO public.ecdc_import VALUES (58538, '08/07/2020', '8', '7', '2020', '704', '54', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.48895658');
INSERT INTO public.ecdc_import VALUES (58539, '07/07/2020', '7', '7', '2020', '555', '11', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.77704108');
INSERT INTO public.ecdc_import VALUES (58540, '06/07/2020', '6', '7', '2020', '401', '19', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '13.90307805');
INSERT INTO public.ecdc_import VALUES (58541, '05/07/2020', '5', '7', '2020', '579', '32', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.33220392');
INSERT INTO public.ecdc_import VALUES (58542, '04/07/2020', '4', '7', '2020', '602', '49', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.94288305');
INSERT INTO public.ecdc_import VALUES (58543, '03/07/2020', '3', '7', '2020', '651', '41', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '15.58057009');
INSERT INTO public.ecdc_import VALUES (58544, '02/07/2020', '2', '7', '2020', '617', '97', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '16.12372941');
INSERT INTO public.ecdc_import VALUES (58545, '01/07/2020', '1', '7', '2020', '730', '53', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '16.85144287');
INSERT INTO public.ecdc_import VALUES (58546, '30/06/2020', '30', '6', '2020', '446', '21', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '17.32108062');
INSERT INTO public.ecdc_import VALUES (58547, '29/06/2020', '29', '6', '2020', '649', '31', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '17.8852461');
INSERT INTO public.ecdc_import VALUES (58548, '28/06/2020', '28', '6', '2020', '671', '40', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '18.24685217');
INSERT INTO public.ecdc_import VALUES (58549, '27/06/2020', '27', '6', '2020', '721', '77', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '18.81851985');
INSERT INTO public.ecdc_import VALUES (58550, '26/06/2020', '26', '6', '2020', '778', '99', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '19.26265012');
INSERT INTO public.ecdc_import VALUES (58551, '25/06/2020', '25', '6', '2020', '886', '87', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '19.89433541');
INSERT INTO public.ecdc_import VALUES (58552, '24/06/2020', '24', '6', '2020', '896', '94', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.30245512');
INSERT INTO public.ecdc_import VALUES (58553, '23/06/2020', '23', '6', '2020', '639', '14', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.60704446');
INSERT INTO public.ecdc_import VALUES (58554, '22/06/2020', '22', '6', '2020', '687', '31', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.73008055');
INSERT INTO public.ecdc_import VALUES (58555, '21/06/2020', '21', '6', '2020', '986', '71', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '20.90113072');
INSERT INTO public.ecdc_import VALUES (58556, '20/06/2020', '20', '6', '2020', '1027', '84', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '21.10218969');
INSERT INTO public.ecdc_import VALUES (58557, '19/06/2020', '19', '6', '2020', '1013', '67', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '21.42628476');
INSERT INTO public.ecdc_import VALUES (58558, '18/06/2020', '18', '6', '2020', '1102', '110', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '21.94093572');
INSERT INTO public.ecdc_import VALUES (58559, '17/06/2020', '17', '6', '2020', '1043', '120', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '22.51410384');
INSERT INTO public.ecdc_import VALUES (58560, '16/06/2020', '16', '6', '2020', '822', '29', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '23.111279');
INSERT INTO public.ecdc_import VALUES (58561, '15/06/2020', '15', '6', '2020', '890', '27', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '23.49689211');
INSERT INTO public.ecdc_import VALUES (58562, '14/06/2020', '14', '6', '2020', '1052', '107', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '23.84949553');
INSERT INTO public.ecdc_import VALUES (58563, '13/06/2020', '13', '6', '2020', '1017', '131', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '24.56220459');
INSERT INTO public.ecdc_import VALUES (58564, '12/06/2020', '12', '6', '2020', '1199', '76', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '25.67703159');
INSERT INTO public.ecdc_import VALUES (58565, '11/06/2020', '11', '6', '2020', '1158', '164', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '26.6313115');
INSERT INTO public.ecdc_import VALUES (58566, '10/06/2020', '10', '6', '2020', '1099', '195', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '27.40253771');
INSERT INTO public.ecdc_import VALUES (58567, '09/06/2020', '9', '6', '2020', '721', '47', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '28.19026877');
INSERT INTO public.ecdc_import VALUES (58568, '08/06/2020', '8', '6', '2020', '801', '54', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '29.15505176');
INSERT INTO public.ecdc_import VALUES (58569, '07/06/2020', '7', '6', '2020', '1120', '143', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '30.24437128');
INSERT INTO public.ecdc_import VALUES (58570, '06/06/2020', '6', '6', '2020', '1243', '258', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '31.65778586');
INSERT INTO public.ecdc_import VALUES (58571, '05/06/2020', '5', '6', '2020', '1356', '130', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '33.65487165');
INSERT INTO public.ecdc_import VALUES (58572, '04/06/2020', '4', '6', '2020', '1484', '254', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '35.69847108');
INSERT INTO public.ecdc_import VALUES (58573, '03/06/2020', '3', '6', '2020', '1441', '249', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '38.05116117');
INSERT INTO public.ecdc_import VALUES (58574, '02/06/2020', '2', '6', '2020', '1079', '86', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '39.77366641');
INSERT INTO public.ecdc_import VALUES (58575, '01/06/2020', '1', '6', '2020', '1125', '60', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '40.91250045');
INSERT INTO public.ecdc_import VALUES (58576, '31/05/2020', '31', '5', '2020', '1527', '154', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '42.34392032');
INSERT INTO public.ecdc_import VALUES (58577, '30/05/2020', '30', '5', '2020', '1760', '274', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '43.84285999');
INSERT INTO public.ecdc_import VALUES (58578, '29/05/2020', '29', '5', '2020', '1835', '343', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '45.145242');
INSERT INTO public.ecdc_import VALUES (58579, '28/05/2020', '28', '5', '2020', '1672', '422', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '47.35388984');
INSERT INTO public.ecdc_import VALUES (58580, '27/05/2020', '27', '5', '2020', '1624', '131', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '49.94965123');
INSERT INTO public.ecdc_import VALUES (58581, '26/05/2020', '26', '5', '2020', '1364', '104', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '52.89351473');
INSERT INTO public.ecdc_import VALUES (58582, '25/05/2020', '25', '5', '2020', '1527', '379', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '54.34143943');
INSERT INTO public.ecdc_import VALUES (58583, '24/05/2020', '24', '5', '2020', '2062', '220', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '55.2867167');
INSERT INTO public.ecdc_import VALUES (58584, '23/05/2020', '23', '5', '2020', '2574', '291', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '56.78865725');
INSERT INTO public.ecdc_import VALUES (58585, '22/05/2020', '22', '5', '2020', '2718', '273', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '58.5786823');
INSERT INTO public.ecdc_import VALUES (58586, '21/05/2020', '21', '5', '2020', '3052', '328', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '60.24267038');
INSERT INTO public.ecdc_import VALUES (58587, '20/05/2020', '20', '5', '2020', '2589', '500', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '61.18794765');
INSERT INTO public.ecdc_import VALUES (58588, '19/05/2020', '19', '5', '2020', '1838', '146', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '62.38829974');
INSERT INTO public.ecdc_import VALUES (58589, '18/05/2020', '18', '5', '2020', '2079', '67', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '64.10480322');
INSERT INTO public.ecdc_import VALUES (58590, '17/05/2020', '17', '5', '2020', '2526', '411', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '65.83030935');
INSERT INTO public.ecdc_import VALUES (58591, '16/05/2020', '16', '5', '2020', '2628', '350', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '69.14778243');
INSERT INTO public.ecdc_import VALUES (58592, '15/05/2020', '15', '5', '2020', '3307', '352', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '72.6558114');
INSERT INTO public.ecdc_import VALUES (58593, '14/05/2020', '14', '5', '2020', '3402', '447', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '75.85925104');
INSERT INTO public.ecdc_import VALUES (58594, '13/05/2020', '13', '5', '2020', '3586', '614', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '77.85033506');
INSERT INTO public.ecdc_import VALUES (58595, '12/05/2020', '12', '5', '2020', '2329', '187', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '79.53082798');
INSERT INTO public.ecdc_import VALUES (58596, '11/05/2020', '11', '5', '2020', '2157', '217', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '81.24733147');
INSERT INTO public.ecdc_import VALUES (58597, '10/05/2020', '10', '5', '2020', '3063', '275', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '83.63453168');
INSERT INTO public.ecdc_import VALUES (58598, '09/05/2020', '9', '5', '2020', '3767', '579', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '86.49587097');
INSERT INTO public.ecdc_import VALUES (58599, '08/05/2020', '8', '5', '2020', '3827', '458', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '88.58298316');
INSERT INTO public.ecdc_import VALUES (58600, '07/05/2020', '7', '5', '2020', '3682', '647', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '91.07371374');
INSERT INTO public.ecdc_import VALUES (58601, '06/05/2020', '6', '5', '2020', '3389', '726', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '92.69118818');
INSERT INTO public.ecdc_import VALUES (58602, '05/05/2020', '5', '5', '2020', '2982', '272', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '94.88933294');
INSERT INTO public.ecdc_import VALUES (58603, '04/05/2020', '4', '5', '2020', '3229', '253', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '96.19621627');
INSERT INTO public.ecdc_import VALUES (58604, '03/05/2020', '3', '5', '2020', '4737', '584', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '98.43487292');
INSERT INTO public.ecdc_import VALUES (58605, '02/05/2020', '2', '5', '2020', '4966', '698', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '98.7634693');
INSERT INTO public.ecdc_import VALUES (58606, '01/05/2020', '1', '5', '2020', '5442', '634', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '99.25261278');
INSERT INTO public.ecdc_import VALUES (58607, '30/04/2020', '30', '4', '2020', '4729', '769', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '98.68694686');
INSERT INTO public.ecdc_import VALUES (58608, '29/04/2020', '29', '4', '2020', '4706', '969', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '98.08226949');
INSERT INTO public.ecdc_import VALUES (58609, '28/04/2020', '28', '4', '2020', '3473', '320', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '97.29003711');
INSERT INTO public.ecdc_import VALUES (58610, '27/04/2020', '27', '4', '2020', '3748', '364', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '97.31404416');
INSERT INTO public.ecdc_import VALUES (58611, '26/04/2020', '26', '4', '2020', '4970', '815', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '97.06046978');
INSERT INTO public.ecdc_import VALUES (58612, '25/04/2020', '25', '4', '2020', '5158', '1010', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '96.07468063');
INSERT INTO public.ecdc_import VALUES (58613, '24/04/2020', '24', '4', '2020', '5487', '682', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '95.62454859');
INSERT INTO public.ecdc_import VALUES (58614, '23/04/2020', '23', '4', '2020', '4760', '847', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '95.09039191');
INSERT INTO public.ecdc_import VALUES (58615, '22/04/2020', '22', '4', '2020', '4854', '1224', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '96.12569559');
INSERT INTO public.ecdc_import VALUES (58616, '21/04/2020', '21', '4', '2020', '3853', '570', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '96.76788396');
INSERT INTO public.ecdc_import VALUES (58617, '20/04/2020', '20', '4', '2020', '4721', '432', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '96.37626909');
INSERT INTO public.ecdc_import VALUES (58618, '19/04/2020', '19', '4', '2020', '4956', '1105', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '95.32446057');
INSERT INTO public.ecdc_import VALUES (58619, '18/04/2020', '18', '4', '2020', '5292', '913', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '95.25694077');
INSERT INTO public.ecdc_import VALUES (58620, '17/04/2020', '17', '4', '2020', '5065', '1036', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '94.62075416');
INSERT INTO public.ecdc_import VALUES (58621, '16/04/2020', '16', '4', '2020', '4326', '880', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '94.39268726');
INSERT INTO public.ecdc_import VALUES (58622, '15/04/2020', '15', '4', '2020', '4178', '1076', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '94.67477');
INSERT INTO public.ecdc_import VALUES (58623, '14/04/2020', '14', '4', '2020', '3489', '724', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '94.81731181');
INSERT INTO public.ecdc_import VALUES (58624, '13/04/2020', '13', '4', '2020', '3579', '657', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '93.87053411');
INSERT INTO public.ecdc_import VALUES (58625, '12/04/2020', '12', '4', '2020', '4313', '843', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '92.73470094');
INSERT INTO public.ecdc_import VALUES (58626, '11/04/2020', '11', '4', '2020', '4858', '1122', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '91.06020978');
INSERT INTO public.ecdc_import VALUES (58627, '10/04/2020', '10', '4', '2020', '5131', '1116', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '88.40293035');
INSERT INTO public.ecdc_import VALUES (58628, '09/04/2020', '9', '4', '2020', '5450', '1030', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '84.74335692');
INSERT INTO public.ecdc_import VALUES (58629, '08/04/2020', '8', '4', '2020', '5282', '1105', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '80.12950359');
INSERT INTO public.ecdc_import VALUES (58630, '07/04/2020', '7', '4', '2020', '3592', '567', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '75.7122079');
INSERT INTO public.ecdc_import VALUES (58631, '06/04/2020', '6', '4', '2020', '4020', '599', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '72.3902335');
INSERT INTO public.ecdc_import VALUES (58632, '05/04/2020', '5', '4', '2020', '4911', '756', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '68.15599152');
INSERT INTO public.ecdc_import VALUES (58633, '04/04/2020', '4', '4', '2020', '4868', '736', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '62.67038248');
INSERT INTO public.ecdc_import VALUES (58634, '03/04/2020', '3', '4', '2020', '4913', '657', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '56.94920434');
INSERT INTO public.ecdc_import VALUES (58635, '02/04/2020', '2', '4', '2020', '4514', '672', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '51.07648175');
INSERT INTO public.ecdc_import VALUES (58636, '01/04/2020', '1', '4', '2020', '4273', '403', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '45.45733355');
INSERT INTO public.ecdc_import VALUES (58637, '31/03/2020', '31', '3', '2020', '2858', '374', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '39.96272187');
INSERT INTO public.ecdc_import VALUES (58638, '30/03/2020', '30', '3', '2020', '2822', '212', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '36.33765856');
INSERT INTO public.ecdc_import VALUES (58639, '29/03/2020', '29', '3', '2020', '3197', '292', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '32.64507545');
INSERT INTO public.ecdc_import VALUES (58640, '28/03/2020', '28', '3', '2020', '3087', '288', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '28.5653788');
INSERT INTO public.ecdc_import VALUES (58641, '27/03/2020', '27', '3', '2020', '2692', '181', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '24.65973319');
INSERT INTO public.ecdc_import VALUES (58642, '26/03/2020', '26', '3', '2020', '2375', '191', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '21.2297271');
INSERT INTO public.ecdc_import VALUES (58643, '25/03/2020', '25', '3', '2020', '2338', '148', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '18.05479583');
INSERT INTO public.ecdc_import VALUES (58644, '24/03/2020', '24', '3', '2020', '1378', '76', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '14.76883199');
INSERT INTO public.ecdc_import VALUES (58645, '23/03/2020', '23', '3', '2020', '1198', '36', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '12.78675061');
INSERT INTO public.ecdc_import VALUES (58646, '22/03/2020', '22', '3', '2020', '1255', '58', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '11.07924977');
INSERT INTO public.ecdc_import VALUES (58647, '21/03/2020', '21', '3', '2020', '1055', '32', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '9.31773308');
INSERT INTO public.ecdc_import VALUES (58648, '20/03/2020', '20', '3', '2020', '999', '46', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '7.81129121');
INSERT INTO public.ecdc_import VALUES (58649, '19/03/2020', '19', '3', '2020', '769', '34', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '6.39637619');
INSERT INTO public.ecdc_import VALUES (58650, '18/03/2020', '18', '3', '2020', '611', '17', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '5.32506195');
INSERT INTO public.ecdc_import VALUES (58651, '17/03/2020', '17', '3', '2020', '442', '22', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '4.46831064');
INSERT INTO public.ecdc_import VALUES (58652, '16/03/2020', '16', '3', '2020', '361', '14', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '3.8381258');
INSERT INTO public.ecdc_import VALUES (58653, '15/03/2020', '15', '3', '2020', '478', '19', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '3.30396912');
INSERT INTO public.ecdc_import VALUES (58654, '14/03/2020', '14', '3', '2020', '484', '1', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '2.60476403');
INSERT INTO public.ecdc_import VALUES (58655, '13/03/2020', '13', '3', '2020', '406', '2', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '1.89055454');
INSERT INTO public.ecdc_import VALUES (58656, '12/03/2020', '12', '3', '2020', '259', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '1.28737761');
INSERT INTO public.ecdc_import VALUES (58657, '11/03/2020', '11', '3', '2020', '148', '4', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.90626583');
INSERT INTO public.ecdc_import VALUES (58658, '10/03/2020', '10', '3', '2020', '57', '1', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.68720157');
INSERT INTO public.ecdc_import VALUES (58659, '09/03/2020', '9', '3', '2020', '60', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.60167648');
INSERT INTO public.ecdc_import VALUES (58660, '08/03/2020', '8', '3', '2020', '81', '1', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.51165008');
INSERT INTO public.ecdc_import VALUES (58661, '07/03/2020', '7', '3', '2020', '51', '1', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.39161487');
INSERT INTO public.ecdc_import VALUES (58662, '06/03/2020', '6', '3', '2020', '56', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.31509242');
INSERT INTO public.ecdc_import VALUES (58663, '05/03/2020', '5', '3', '2020', '55', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.23106778');
INSERT INTO public.ecdc_import VALUES (58664, '04/03/2020', '4', '3', '2020', '40', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.14854357');
INSERT INTO public.ecdc_import VALUES (58665, '03/03/2020', '3', '3', '2020', '22', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.08852597');
INSERT INTO public.ecdc_import VALUES (58666, '02/03/2020', '2', '3', '2020', '5', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.05551628');
INSERT INTO public.ecdc_import VALUES (58667, '01/03/2020', '1', '3', '2020', '12', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.04801408');
INSERT INTO public.ecdc_import VALUES (58668, '29/02/2020', '29', '2', '2020', '8', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.0300088');
INSERT INTO public.ecdc_import VALUES (58669, '28/02/2020', '28', '2', '2020', '4', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01800528');
INSERT INTO public.ecdc_import VALUES (58670, '27/02/2020', '27', '2', '2020', '5', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01200352');
INSERT INTO public.ecdc_import VALUES (58671, '26/02/2020', '26', '2', '2020', '2', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00600176');
INSERT INTO public.ecdc_import VALUES (58672, '25/02/2020', '25', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00300088');
INSERT INTO public.ecdc_import VALUES (58673, '24/02/2020', '24', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00450132');
INSERT INTO public.ecdc_import VALUES (58674, '23/02/2020', '23', '2', '2020', '1', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01050308');
INSERT INTO public.ecdc_import VALUES (58675, '22/02/2020', '22', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00900264');
INSERT INTO public.ecdc_import VALUES (58676, '21/02/2020', '21', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00900264');
INSERT INTO public.ecdc_import VALUES (58677, '20/02/2020', '20', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01050308');
INSERT INTO public.ecdc_import VALUES (58678, '19/02/2020', '19', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01050308');
INSERT INTO public.ecdc_import VALUES (58679, '18/02/2020', '18', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01200352');
INSERT INTO public.ecdc_import VALUES (58680, '17/02/2020', '17', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01200352');
INSERT INTO public.ecdc_import VALUES (58681, '16/02/2020', '16', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01200352');
INSERT INTO public.ecdc_import VALUES (58682, '15/02/2020', '15', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01200352');
INSERT INTO public.ecdc_import VALUES (58683, '14/02/2020', '14', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.0150044');
INSERT INTO public.ecdc_import VALUES (58684, '13/02/2020', '13', '2', '2020', '1', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.0150044');
INSERT INTO public.ecdc_import VALUES (58685, '12/02/2020', '12', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01350396');
INSERT INTO public.ecdc_import VALUES (58686, '11/02/2020', '11', '2', '2020', '1', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01350396');
INSERT INTO public.ecdc_import VALUES (58687, '10/02/2020', '10', '2', '2020', '4', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.01200352');
INSERT INTO public.ecdc_import VALUES (58688, '09/02/2020', '9', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00600176');
INSERT INTO public.ecdc_import VALUES (58689, '08/02/2020', '8', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00600176');
INSERT INTO public.ecdc_import VALUES (58690, '07/02/2020', '7', '2', '2020', '1', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00600176');
INSERT INTO public.ecdc_import VALUES (58691, '06/02/2020', '6', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00450132');
INSERT INTO public.ecdc_import VALUES (58692, '05/02/2020', '5', '2', '2020', '1', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00450132');
INSERT INTO public.ecdc_import VALUES (58693, '04/02/2020', '4', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00300088');
INSERT INTO public.ecdc_import VALUES (58694, '03/02/2020', '3', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00300088');
INSERT INTO public.ecdc_import VALUES (58695, '02/02/2020', '2', '2', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00300088');
INSERT INTO public.ecdc_import VALUES (58696, '01/02/2020', '1', '2', '2020', '2', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0.00300088');
INSERT INTO public.ecdc_import VALUES (58697, '31/01/2020', '31', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58698, '30/01/2020', '30', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58699, '29/01/2020', '29', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58700, '28/01/2020', '28', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58701, '27/01/2020', '27', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58702, '26/01/2020', '26', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58703, '25/01/2020', '25', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58704, '24/01/2020', '24', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58705, '23/01/2020', '23', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58706, '22/01/2020', '22', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58707, '21/01/2020', '21', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58708, '20/01/2020', '20', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58709, '19/01/2020', '19', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58710, '18/01/2020', '18', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58711, '17/01/2020', '17', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58712, '16/01/2020', '16', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58713, '15/01/2020', '15', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58714, '14/01/2020', '14', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58715, '13/01/2020', '13', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '0');
INSERT INTO public.ecdc_import VALUES (58716, '12/01/2020', '12', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58717, '11/01/2020', '11', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58718, '10/01/2020', '10', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58719, '09/01/2020', '9', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58720, '08/01/2020', '8', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58721, '07/01/2020', '7', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58722, '06/01/2020', '6', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58723, '05/01/2020', '5', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58724, '04/01/2020', '4', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58725, '03/01/2020', '3', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58726, '02/01/2020', '2', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58727, '01/01/2020', '1', '1', '2020', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58728, '31/12/2019', '31', '12', '2019', '0', '0', '66647112', 'United_Kingdom', 'UK', 'GBR', 'Europe', '');
INSERT INTO public.ecdc_import VALUES (58729, '14/12/2020', '14', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58730, '13/12/2020', '13', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58731, '12/12/2020', '12', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58732, '11/12/2020', '11', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58733, '10/12/2020', '10', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58734, '09/12/2020', '9', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58735, '08/12/2020', '8', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58736, '07/12/2020', '7', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58737, '06/12/2020', '6', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58738, '05/12/2020', '5', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58739, '04/12/2020', '4', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58740, '03/12/2020', '3', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58741, '02/12/2020', '2', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58742, '01/12/2020', '1', '12', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58743, '30/11/2020', '30', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58744, '29/11/2020', '29', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58745, '28/11/2020', '28', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58746, '27/11/2020', '27', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58747, '26/11/2020', '26', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58748, '25/11/2020', '25', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58749, '24/11/2020', '24', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58750, '23/11/2020', '23', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58751, '22/11/2020', '22', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58752, '21/11/2020', '21', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58753, '20/11/2020', '20', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58754, '19/11/2020', '19', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58755, '18/11/2020', '18', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58756, '17/11/2020', '17', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58757, '16/11/2020', '16', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58758, '15/11/2020', '15', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58759, '14/11/2020', '14', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58760, '13/11/2020', '13', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58761, '12/11/2020', '12', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58762, '11/11/2020', '11', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58763, '10/11/2020', '10', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58764, '09/11/2020', '9', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58765, '08/11/2020', '8', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58766, '07/11/2020', '7', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58767, '06/11/2020', '6', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58768, '05/11/2020', '5', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58769, '04/11/2020', '4', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58770, '03/11/2020', '3', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58771, '02/11/2020', '2', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58772, '01/11/2020', '1', '11', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58773, '31/10/2020', '31', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58774, '30/10/2020', '30', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58775, '29/10/2020', '29', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58776, '28/10/2020', '28', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58777, '27/10/2020', '27', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58778, '26/10/2020', '26', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58779, '25/10/2020', '25', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58780, '24/10/2020', '24', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58781, '23/10/2020', '23', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58782, '22/10/2020', '22', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58783, '21/10/2020', '21', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58784, '20/10/2020', '20', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58785, '19/10/2020', '19', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58786, '18/10/2020', '18', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58787, '17/10/2020', '17', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58788, '16/10/2020', '16', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58789, '15/10/2020', '15', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58790, '14/10/2020', '14', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58791, '13/10/2020', '13', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58792, '12/10/2020', '12', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58793, '11/10/2020', '11', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58794, '10/10/2020', '10', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58795, '09/10/2020', '9', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58796, '08/10/2020', '8', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58797, '07/10/2020', '7', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58798, '06/10/2020', '6', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58799, '05/10/2020', '5', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58800, '04/10/2020', '4', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58801, '03/10/2020', '3', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58802, '02/10/2020', '2', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58803, '01/10/2020', '1', '10', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58804, '30/09/2020', '30', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58805, '29/09/2020', '29', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58806, '28/09/2020', '28', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58807, '27/09/2020', '27', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58808, '26/09/2020', '26', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58809, '25/09/2020', '25', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58810, '24/09/2020', '24', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58811, '23/09/2020', '23', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58812, '22/09/2020', '22', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58813, '21/09/2020', '21', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58814, '20/09/2020', '20', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58815, '19/09/2020', '19', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58816, '18/09/2020', '18', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58817, '17/09/2020', '17', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58818, '16/09/2020', '16', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58819, '15/09/2020', '15', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58820, '14/09/2020', '14', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58821, '13/09/2020', '13', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58822, '12/09/2020', '12', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58823, '11/09/2020', '11', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58824, '10/09/2020', '10', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58825, '09/09/2020', '9', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58826, '08/09/2020', '8', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58827, '07/09/2020', '7', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58828, '06/09/2020', '6', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58829, '05/09/2020', '5', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58830, '04/09/2020', '4', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58831, '03/09/2020', '3', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58832, '02/09/2020', '2', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58833, '01/09/2020', '1', '9', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58834, '31/08/2020', '31', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58835, '30/08/2020', '30', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58836, '29/08/2020', '29', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58837, '28/08/2020', '28', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58838, '27/08/2020', '27', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58839, '26/08/2020', '26', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58840, '25/08/2020', '25', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58841, '24/08/2020', '24', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58842, '23/08/2020', '23', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58843, '22/08/2020', '22', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58844, '21/08/2020', '21', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58845, '20/08/2020', '20', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58846, '19/08/2020', '19', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58847, '18/08/2020', '18', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58848, '17/08/2020', '17', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58849, '16/08/2020', '16', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58850, '15/08/2020', '15', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58851, '14/08/2020', '14', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58852, '13/08/2020', '13', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58853, '12/08/2020', '12', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58854, '11/08/2020', '11', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58855, '10/08/2020', '10', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58856, '09/08/2020', '9', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58857, '08/08/2020', '8', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58858, '07/08/2020', '7', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58859, '06/08/2020', '6', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58860, '05/08/2020', '5', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58861, '04/08/2020', '4', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58862, '03/08/2020', '3', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58863, '02/08/2020', '2', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58864, '01/08/2020', '1', '8', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58865, '31/07/2020', '31', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58866, '30/07/2020', '30', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58867, '29/07/2020', '29', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58868, '28/07/2020', '28', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58869, '27/07/2020', '27', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58870, '26/07/2020', '26', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58871, '25/07/2020', '25', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58872, '24/07/2020', '24', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58873, '23/07/2020', '23', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58874, '22/07/2020', '22', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58875, '21/07/2020', '21', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58876, '20/07/2020', '20', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58877, '19/07/2020', '19', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58878, '18/07/2020', '18', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58879, '17/07/2020', '17', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58880, '16/07/2020', '16', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58881, '15/07/2020', '15', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58882, '14/07/2020', '14', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58883, '13/07/2020', '13', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58884, '12/07/2020', '12', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58885, '11/07/2020', '11', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58886, '10/07/2020', '10', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58887, '09/07/2020', '9', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58888, '08/07/2020', '8', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58889, '07/07/2020', '7', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58890, '06/07/2020', '6', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58891, '05/07/2020', '5', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58892, '04/07/2020', '4', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58893, '03/07/2020', '3', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58894, '02/07/2020', '2', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58895, '01/07/2020', '1', '7', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58896, '30/06/2020', '30', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58897, '29/06/2020', '29', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58898, '28/06/2020', '28', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58899, '27/06/2020', '27', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58900, '26/06/2020', '26', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58901, '25/06/2020', '25', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58902, '24/06/2020', '24', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58903, '23/06/2020', '23', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58904, '22/06/2020', '22', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58905, '21/06/2020', '21', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58906, '20/06/2020', '20', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58907, '19/06/2020', '19', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58908, '18/06/2020', '18', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58909, '17/06/2020', '17', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58910, '16/06/2020', '16', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58911, '15/06/2020', '15', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58912, '14/06/2020', '14', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58913, '13/06/2020', '13', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58914, '12/06/2020', '12', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58915, '11/06/2020', '11', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58916, '10/06/2020', '10', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58917, '09/06/2020', '9', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58918, '08/06/2020', '8', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58919, '07/06/2020', '7', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58920, '06/06/2020', '6', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58921, '05/06/2020', '5', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58922, '04/06/2020', '4', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58923, '03/06/2020', '3', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58924, '02/06/2020', '2', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58925, '01/06/2020', '1', '6', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58926, '31/05/2020', '31', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58927, '30/05/2020', '30', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58928, '29/05/2020', '29', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58929, '28/05/2020', '28', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58930, '27/05/2020', '27', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58931, '26/05/2020', '26', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58932, '25/05/2020', '25', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58933, '24/05/2020', '24', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58934, '23/05/2020', '23', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58935, '22/05/2020', '22', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (58936, '21/05/2020', '21', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58937, '20/05/2020', '20', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58938, '19/05/2020', '19', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58939, '18/05/2020', '18', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58940, '17/05/2020', '17', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58941, '16/05/2020', '16', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58942, '15/05/2020', '15', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58943, '14/05/2020', '14', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04999529');
INSERT INTO public.ecdc_import VALUES (58944, '13/05/2020', '13', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.34996705');
INSERT INTO public.ecdc_import VALUES (58945, '12/05/2020', '12', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.3603109');
INSERT INTO public.ecdc_import VALUES (58946, '11/05/2020', '11', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.3603109');
INSERT INTO public.ecdc_import VALUES (58947, '10/05/2020', '10', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.3603109');
INSERT INTO public.ecdc_import VALUES (58948, '09/05/2020', '9', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.3603109');
INSERT INTO public.ecdc_import VALUES (58949, '08/05/2020', '8', '5', '2020', '29', '3', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.38617054');
INSERT INTO public.ecdc_import VALUES (58950, '07/05/2020', '7', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.33617524');
INSERT INTO public.ecdc_import VALUES (58951, '06/05/2020', '6', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.38961849');
INSERT INTO public.ecdc_import VALUES (58952, '05/05/2020', '5', '5', '2020', '0', '2', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.53443244');
INSERT INTO public.ecdc_import VALUES (58953, '04/05/2020', '4', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.53443244');
INSERT INTO public.ecdc_import VALUES (58954, '03/05/2020', '3', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.5723599');
INSERT INTO public.ecdc_import VALUES (58955, '02/05/2020', '2', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.57408388');
INSERT INTO public.ecdc_import VALUES (58956, '01/05/2020', '1', '5', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.66545459');
INSERT INTO public.ecdc_import VALUES (58957, '30/04/2020', '30', '4', '2020', '174', '6', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.67579844');
INSERT INTO public.ecdc_import VALUES (58958, '29/04/2020', '29', '4', '2020', '6', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.43616583');
INSERT INTO public.ecdc_import VALUES (58959, '28/04/2020', '28', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.4378898');
INSERT INTO public.ecdc_import VALUES (58960, '27/04/2020', '27', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.46202546');
INSERT INTO public.ecdc_import VALUES (58961, '26/04/2020', '26', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.46202546');
INSERT INTO public.ecdc_import VALUES (58962, '25/04/2020', '25', '4', '2020', '15', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.46202546');
INSERT INTO public.ecdc_import VALUES (58963, '24/04/2020', '24', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.44823366');
INSERT INTO public.ecdc_import VALUES (58964, '23/04/2020', '23', '4', '2020', '31', '2', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.44823366');
INSERT INTO public.ecdc_import VALUES (58965, '22/04/2020', '22', '4', '2020', '84', '3', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.39651439');
INSERT INTO public.ecdc_import VALUES (58966, '21/04/2020', '21', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.25170044');
INSERT INTO public.ecdc_import VALUES (58967, '20/04/2020', '20', '4', '2020', '22', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.25514839');
INSERT INTO public.ecdc_import VALUES (58968, '19/04/2020', '19', '4', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.2189449');
INSERT INTO public.ecdc_import VALUES (58969, '18/04/2020', '18', '4', '2020', '53', '1', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.21722093');
INSERT INTO public.ecdc_import VALUES (58970, '17/04/2020', '17', '4', '2020', '6', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.12585022');
INSERT INTO public.ecdc_import VALUES (58971, '16/04/2020', '16', '4', '2020', '35', '1', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.11723034');
INSERT INTO public.ecdc_import VALUES (58972, '15/04/2020', '15', '4', '2020', '7', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.05861517');
INSERT INTO public.ecdc_import VALUES (58973, '14/04/2020', '14', '4', '2020', '14', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.04654734');
INSERT INTO public.ecdc_import VALUES (58974, '13/04/2020', '13', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03103156');
INSERT INTO public.ecdc_import VALUES (58975, '12/04/2020', '12', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03275554');
INSERT INTO public.ecdc_import VALUES (58976, '11/04/2020', '11', '4', '2020', '7', '2', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03275554');
INSERT INTO public.ecdc_import VALUES (58977, '10/04/2020', '10', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02068771');
INSERT INTO public.ecdc_import VALUES (58978, '09/04/2020', '9', '4', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02241168');
INSERT INTO public.ecdc_import VALUES (58979, '08/04/2020', '8', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02068771');
INSERT INTO public.ecdc_import VALUES (58980, '07/04/2020', '7', '4', '2020', '2', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02068771');
INSERT INTO public.ecdc_import VALUES (58981, '06/04/2020', '6', '4', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.01723976');
INSERT INTO public.ecdc_import VALUES (58982, '05/04/2020', '5', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02585963');
INSERT INTO public.ecdc_import VALUES (58983, '04/04/2020', '4', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03103156');
INSERT INTO public.ecdc_import VALUES (58984, '03/04/2020', '3', '4', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03103156');
INSERT INTO public.ecdc_import VALUES (58985, '02/04/2020', '2', '4', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02930759');
INSERT INTO public.ecdc_import VALUES (59705, '17/09/2020', '17', '9', '2020', '29', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.64407489');
INSERT INTO public.ecdc_import VALUES (58986, '01/04/2020', '1', '4', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03103156');
INSERT INTO public.ecdc_import VALUES (58987, '31/03/2020', '31', '3', '2020', '5', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.03103156');
INSERT INTO public.ecdc_import VALUES (58988, '30/03/2020', '30', '3', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '0.02413566');
INSERT INTO public.ecdc_import VALUES (58989, '29/03/2020', '29', '3', '2020', '0', '1', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58990, '28/03/2020', '28', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58991, '27/03/2020', '27', '3', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58992, '26/03/2020', '26', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58993, '25/03/2020', '25', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58994, '24/03/2020', '24', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58995, '23/03/2020', '23', '3', '2020', '6', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58996, '22/03/2020', '22', '3', '2020', '3', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58997, '21/03/2020', '21', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58998, '20/03/2020', '20', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (58999, '19/03/2020', '19', '3', '2020', '2', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (59000, '18/03/2020', '18', '3', '2020', '0', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (59001, '17/03/2020', '17', '3', '2020', '1', '0', '58005461', 'United_Republic_of_Tanzania', 'TZ', 'TZA', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (59002, '14/12/2020', '14', '12', '2020', '189723', '1340', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '873.21159186');
INSERT INTO public.ecdc_import VALUES (59003, '13/12/2020', '13', '12', '2020', '216017', '2315', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '857.08924115');
INSERT INTO public.ecdc_import VALUES (59004, '12/12/2020', '12', '12', '2020', '234633', '3343', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '838.5141829');
INSERT INTO public.ecdc_import VALUES (59005, '11/12/2020', '11', '12', '2020', '224680', '2748', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '830.39420456');
INSERT INTO public.ecdc_import VALUES (59006, '10/12/2020', '10', '12', '2020', '220025', '3124', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '794.35602672');
INSERT INTO public.ecdc_import VALUES (59007, '09/12/2020', '9', '12', '2020', '217344', '2564', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '784.1951137');
INSERT INTO public.ecdc_import VALUES (59008, '08/12/2020', '8', '12', '2020', '197334', '1433', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '769.89671919');
INSERT INTO public.ecdc_import VALUES (59009, '07/12/2020', '7', '12', '2020', '173432', '1111', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '762.79447316');
INSERT INTO public.ecdc_import VALUES (59010, '06/12/2020', '6', '12', '2020', '211933', '2203', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '757.94406245');
INSERT INTO public.ecdc_import VALUES (59011, '05/12/2020', '5', '12', '2020', '231930', '2680', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '746.87056354');
INSERT INTO public.ecdc_import VALUES (59012, '04/12/2020', '4', '12', '2020', '214747', '2481', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '735.98730065');
INSERT INTO public.ecdc_import VALUES (59013, '03/12/2020', '3', '12', '2020', '203311', '3190', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '727.86519506');
INSERT INTO public.ecdc_import VALUES (59014, '02/12/2020', '2', '12', '2020', '180421', '2600', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '717.74378792');
INSERT INTO public.ecdc_import VALUES (59015, '01/12/2020', '1', '12', '2020', '157903', '1172', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '709.81070279');
INSERT INTO public.ecdc_import VALUES (59016, '30/11/2020', '30', '11', '2020', '136670', '810', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '713.00824816');
INSERT INTO public.ecdc_import VALUES (59017, '29/11/2020', '29', '11', '2020', '154893', '1204', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '711.64073683');
INSERT INTO public.ecdc_import VALUES (59018, '28/11/2020', '28', '11', '2020', '207913', '1404', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '714.79634518');
INSERT INTO public.ecdc_import VALUES (59019, '27/11/2020', '27', '11', '2020', '106091', '1189', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '707.77645373');
INSERT INTO public.ecdc_import VALUES (59020, '26/11/2020', '26', '11', '2020', '186589', '2341', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '722.234999');
INSERT INTO public.ecdc_import VALUES (59021, '25/11/2020', '25', '11', '2020', '170293', '2224', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '709.08166731');
INSERT INTO public.ecdc_import VALUES (59022, '24/11/2020', '24', '11', '2020', '173963', '919', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '702.08639106');
INSERT INTO public.ecdc_import VALUES (59023, '23/11/2020', '23', '11', '2020', '157471', '883', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '691.43135061');
INSERT INTO public.ecdc_import VALUES (59024, '22/11/2020', '22', '11', '2020', '175494', '1486', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '677.21591846');
INSERT INTO public.ecdc_import VALUES (59025, '21/11/2020', '21', '11', '2020', '196117', '1858', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '660.78116738');
INSERT INTO public.ecdc_import VALUES (59026, '20/11/2020', '20', '11', '2020', '188020', '2018', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '640.8781037');
INSERT INTO public.ecdc_import VALUES (59027, '19/11/2020', '19', '11', '2020', '170005', '1850', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '620.94768978');
INSERT INTO public.ecdc_import VALUES (59028, '18/11/2020', '18', '11', '2020', '154316', '1467', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '600.43562772');
INSERT INTO public.ecdc_import VALUES (59029, '17/11/2020', '17', '11', '2020', '168425', '1006', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '581.72138721');
INSERT INTO public.ecdc_import VALUES (59030, '16/11/2020', '16', '11', '2020', '132170', '614', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '556.02980004');
INSERT INTO public.ecdc_import VALUES (59031, '15/11/2020', '15', '11', '2020', '165277', '1255', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '540.47998073');
INSERT INTO public.ecdc_import VALUES (59032, '14/11/2020', '14', '11', '2020', '184813', '1915', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '514.24108514');
INSERT INTO public.ecdc_import VALUES (59033, '13/11/2020', '13', '11', '2020', '153669', '630', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '488.85399716');
INSERT INTO public.ecdc_import VALUES (59034, '12/11/2020', '12', '11', '2020', '143306', '2117', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '468.93725836');
INSERT INTO public.ecdc_import VALUES (59035, '11/11/2020', '11', '11', '2020', '147274', '1432', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '449.20406997');
INSERT INTO public.ecdc_import VALUES (59036, '10/11/2020', '10', '11', '2020', '138901', '679', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '427.27982455');
INSERT INTO public.ecdc_import VALUES (59037, '09/11/2020', '9', '11', '2020', '110693', '459', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '405.84271705');
INSERT INTO public.ecdc_import VALUES (59038, '08/11/2020', '8', '11', '2020', '121413', '1014', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '390.26737086');
INSERT INTO public.ecdc_import VALUES (59039, '07/11/2020', '7', '11', '2020', '130623', '1162', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '378.61100823');
INSERT INTO public.ecdc_import VALUES (59040, '06/11/2020', '6', '11', '2020', '122436', '1208', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '364.84655093');
INSERT INTO public.ecdc_import VALUES (59041, '05/11/2020', '5', '11', '2020', '102507', '1102', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '349.53710972');
INSERT INTO public.ecdc_import VALUES (59042, '04/11/2020', '4', '11', '2020', '92734', '1076', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '337.52458637');
INSERT INTO public.ecdc_import VALUES (59043, '03/11/2020', '3', '11', '2020', '83883', '555', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '327.13605869');
INSERT INTO public.ecdc_import VALUES (59044, '02/11/2020', '2', '11', '2020', '81001', '440', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '319.92684288');
INSERT INTO public.ecdc_import VALUES (59045, '01/11/2020', '1', '11', '2020', '78934', '848', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '309.85041167');
INSERT INTO public.ecdc_import VALUES (59046, '31/10/2020', '31', '10', '2020', '101273', '1040', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '303.06664384');
INSERT INTO public.ecdc_import VALUES (59047, '30/10/2020', '30', '10', '2020', '88130', '968', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '293.64084413');
INSERT INTO public.ecdc_import VALUES (59048, '29/10/2020', '29', '10', '2020', '78371', '977', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '286.24260787');
INSERT INTO public.ecdc_import VALUES (59049, '28/10/2020', '28', '10', '2020', '75129', '988', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '280.47322954');
INSERT INTO public.ecdc_import VALUES (59050, '27/10/2020', '27', '10', '2020', '68359', '505', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '273.60163709');
INSERT INTO public.ecdc_import VALUES (59051, '26/10/2020', '26', '10', '2020', '59440', '331', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '265.48591322');
INSERT INTO public.ecdc_import VALUES (59052, '25/10/2020', '25', '10', '2020', '83056', '904', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '260.67136169');
INSERT INTO public.ecdc_import VALUES (59053, '24/10/2020', '24', '10', '2020', '85329', '953', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '251.9238476');
INSERT INTO public.ecdc_import VALUES (59054, '23/10/2020', '23', '10', '2020', '72058', '841', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '243.64371848');
INSERT INTO public.ecdc_import VALUES (59055, '22/10/2020', '22', '10', '2020', '62978', '1135', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '239.00694342');
INSERT INTO public.ecdc_import VALUES (59056, '21/10/2020', '21', '10', '2020', '58549', '933', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '234.51056619');
INSERT INTO public.ecdc_import VALUES (59057, '20/10/2020', '20', '10', '2020', '60160', '459', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '229.8042');
INSERT INTO public.ecdc_import VALUES (59058, '19/10/2020', '19', '10', '2020', '47843', '385', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '223.89199272');
INSERT INTO public.ecdc_import VALUES (59059, '18/10/2020', '18', '10', '2020', '56611', '690', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '219.95903015');
INSERT INTO public.ecdc_import VALUES (59060, '17/10/2020', '17', '10', '2020', '70256', '899', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '218.15026851');
INSERT INTO public.ecdc_import VALUES (59061, '16/10/2020', '16', '10', '2020', '63785', '828', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '213.35334268');
INSERT INTO public.ecdc_import VALUES (59062, '15/10/2020', '15', '10', '2020', '59386', '970', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '207.5751515');
INSERT INTO public.ecdc_import VALUES (59063, '14/10/2020', '14', '10', '2020', '52517', '817', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '202.28622549');
INSERT INTO public.ecdc_import VALUES (59064, '13/10/2020', '13', '10', '2020', '41653', '314', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '199.39925714');
INSERT INTO public.ecdc_import VALUES (59065, '12/10/2020', '12', '10', '2020', '43597', '394', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '196.76907703');
INSERT INTO public.ecdc_import VALUES (59066, '11/10/2020', '11', '10', '2020', '54271', '590', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '194.53577909');
INSERT INTO public.ecdc_import VALUES (59067, '10/10/2020', '10', '10', '2020', '58082', '1014', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '191.83023391');
INSERT INTO public.ecdc_import VALUES (59068, '09/10/2020', '9', '10', '2020', '56800', '972', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '190.89759119');
INSERT INTO public.ecdc_import VALUES (59069, '08/10/2020', '8', '10', '2020', '48182', '892', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '187.07251007');
INSERT INTO public.ecdc_import VALUES (59070, '07/10/2020', '7', '10', '2020', '43062', '717', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '183.95701539');
INSERT INTO public.ecdc_import VALUES (59071, '06/10/2020', '6', '10', '2020', '40705', '398', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '182.51201176');
INSERT INTO public.ecdc_import VALUES (59072, '05/10/2020', '5', '10', '2020', '34901', '400', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '186.29485197');
INSERT INTO public.ecdc_import VALUES (59073, '04/10/2020', '4', '10', '2020', '50659', '678', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '187.79941831');
INSERT INTO public.ecdc_import VALUES (59074, '03/10/2020', '3', '10', '2020', '54471', '908', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '184.64988779');
INSERT INTO public.ecdc_import VALUES (59075, '02/10/2020', '2', '10', '2020', '44771', '880', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '183.35470262');
INSERT INTO public.ecdc_import VALUES (59076, '01/10/2020', '1', '10', '2020', '41982', '930', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '182.98881737');
INSERT INTO public.ecdc_import VALUES (59077, '30/09/2020', '30', '9', '2020', '43017', '928', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '177.70596918');
INSERT INTO public.ecdc_import VALUES (59078, '29/09/2020', '29', '9', '2020', '32998', '314', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '180.27567491');
INSERT INTO public.ecdc_import VALUES (59079, '28/09/2020', '28', '9', '2020', '36248', '259', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '180.83574677');
INSERT INTO public.ecdc_import VALUES (59080, '27/09/2020', '27', '9', '2020', '45368', '723', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '180.1133969');
INSERT INTO public.ecdc_import VALUES (59081, '26/09/2020', '26', '9', '2020', '55013', '964', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '178.73129879');
INSERT INTO public.ecdc_import VALUES (59082, '25/09/2020', '25', '9', '2020', '44213', '901', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '176.61864574');
INSERT INTO public.ecdc_import VALUES (59083, '24/09/2020', '24', '9', '2020', '37930', '1102', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '174.58074997');
INSERT INTO public.ecdc_import VALUES (59084, '23/09/2020', '23', '9', '2020', '38307', '926', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '172.75648987');
INSERT INTO public.ecdc_import VALUES (59085, '22/09/2020', '22', '9', '2020', '53153', '372', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '169.3574645');
INSERT INTO public.ecdc_import VALUES (59086, '21/09/2020', '21', '9', '2020', '39852', '251', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '160.57409122');
INSERT INTO public.ecdc_import VALUES (59087, '20/09/2020', '20', '9', '2020', '40295', '669', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '157.74881283');
INSERT INTO public.ecdc_import VALUES (59088, '19/09/2020', '19', '9', '2020', '50209', '956', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '158.91727528');
INSERT INTO public.ecdc_import VALUES (59089, '18/09/2020', '18', '9', '2020', '43567', '831', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '159.17922967');
INSERT INTO public.ecdc_import VALUES (59090, '17/09/2020', '17', '9', '2020', '24598', '865', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '156.95535237');
INSERT INTO public.ecdc_import VALUES (59091, '16/09/2020', '16', '9', '2020', '51473', '1407', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '161.2572391');
INSERT INTO public.ecdc_import VALUES (59092, '15/09/2020', '15', '9', '2020', '34841', '451', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '159.18044524');
INSERT INTO public.ecdc_import VALUES (59093, '14/09/2020', '14', '9', '2020', '33871', '378', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '158.87928885');
INSERT INTO public.ecdc_import VALUES (59094, '13/09/2020', '13', '9', '2020', '40820', '685', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '159.39894316');
INSERT INTO public.ecdc_import VALUES (59095, '12/09/2020', '12', '9', '2020', '48061', '1227', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '160.4087743');
INSERT INTO public.ecdc_import VALUES (59096, '11/09/2020', '11', '9', '2020', '37507', '974', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '160.8928733');
INSERT INTO public.ecdc_import VALUES (59097, '10/09/2020', '10', '9', '2020', '31927', '1136', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '163.44616889');
INSERT INTO public.ecdc_import VALUES (59098, '09/09/2020', '9', '9', '2020', '27122', '471', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '166.76496693');
INSERT INTO public.ecdc_import VALUES (59099, '08/09/2020', '8', '9', '2020', '24250', '267', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '170.10686071');
INSERT INTO public.ecdc_import VALUES (59100, '07/09/2020', '7', '9', '2020', '30555', '403', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '174.37592717');
INSERT INTO public.ecdc_import VALUES (59101, '06/09/2020', '6', '9', '2020', '44140', '773', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '175.57660211');
INSERT INTO public.ecdc_import VALUES (59102, '05/09/2020', '5', '9', '2020', '51071', '968', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '175.64892826');
INSERT INTO public.ecdc_import VALUES (59103, '04/09/2020', '4', '9', '2020', '36249', '1053', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '175.2869936');
INSERT INTO public.ecdc_import VALUES (59104, '03/09/2020', '3', '9', '2020', '38754', '1055', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '177.64397534');
INSERT INTO public.ecdc_import VALUES (59105, '02/09/2020', '2', '9', '2020', '44639', '1091', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '180.2793216');
INSERT INTO public.ecdc_import VALUES (59106, '01/09/2020', '1', '9', '2020', '33850', '529', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '180.11278911');
INSERT INTO public.ecdc_import VALUES (59107, '31/08/2020', '31', '8', '2020', '35581', '290', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '180.47928215');
INSERT INTO public.ecdc_import VALUES (59108, '30/08/2020', '30', '8', '2020', '44143', '1006', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '182.46156578');
INSERT INTO public.ecdc_import VALUES (59109, '29/08/2020', '29', '8', '2020', '49654', '949', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '183.6595057');
INSERT INTO public.ecdc_import VALUES (59706, '16/09/2020', '16', '9', '2020', '15', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.23965294');
INSERT INTO public.ecdc_import VALUES (59110, '28/08/2020', '28', '8', '2020', '45909', '1110', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '188.2737928');
INSERT INTO public.ecdc_import VALUES (59111, '27/08/2020', '27', '8', '2020', '42848', '1228', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '189.84946973');
INSERT INTO public.ecdc_import VALUES (59112, '26/08/2020', '26', '8', '2020', '38119', '1207', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '193.8283199');
INSERT INTO public.ecdc_import VALUES (59113, '25/08/2020', '25', '8', '2020', '38298', '473', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '196.47035178');
INSERT INTO public.ecdc_import VALUES (59114, '24/08/2020', '24', '8', '2020', '34506', '444', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '199.88366004');
INSERT INTO public.ecdc_import VALUES (59115, '23/08/2020', '23', '8', '2020', '44378', '956', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '203.63398387');
INSERT INTO public.ecdc_import VALUES (59116, '22/08/2020', '22', '8', '2020', '49880', '1151', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '207.23296978');
INSERT INTO public.ecdc_import VALUES (59117, '21/08/2020', '21', '8', '2020', '44005', '1078', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '209.7461517');
INSERT INTO public.ecdc_import VALUES (59118, '20/08/2020', '20', '8', '2020', '47426', '1356', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '214.53244133');
INSERT INTO public.ecdc_import VALUES (59119, '19/08/2020', '19', '8', '2020', '44091', '1324', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '216.16676931');
INSERT INTO public.ecdc_import VALUES (59120, '18/08/2020', '18', '8', '2020', '35056', '445', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '220.24924644');
INSERT INTO public.ecdc_import VALUES (59121, '17/08/2020', '17', '8', '2020', '42104', '571', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '223.45560466');
INSERT INTO public.ecdc_import VALUES (59122, '16/08/2020', '16', '8', '2020', '48085', '1035', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '225.09874549');
INSERT INTO public.ecdc_import VALUES (59123, '15/08/2020', '15', '8', '2020', '64838', '1336', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '228.23551257');
INSERT INTO public.ecdc_import VALUES (59124, '14/08/2020', '14', '8', '2020', '51094', '1083', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '228.89951529');
INSERT INTO public.ecdc_import VALUES (59125, '13/08/2020', '13', '8', '2020', '55941', '1490', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '234.04682791');
INSERT INTO public.ecdc_import VALUES (59126, '12/08/2020', '12', '8', '2020', '46813', '1076', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '239.83413583');
INSERT INTO public.ecdc_import VALUES (59127, '11/08/2020', '11', '8', '2020', '49530', '523', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '244.36849948');
INSERT INTO public.ecdc_import VALUES (59128, '10/08/2020', '10', '8', '2020', '46847', '513', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '246.40852249');
INSERT INTO public.ecdc_import VALUES (59129, '09/08/2020', '9', '8', '2020', '56221', '1069', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '249.18791328');
INSERT INTO public.ecdc_import VALUES (59130, '08/08/2020', '8', '8', '2020', '58150', '1252', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '252.00711384');
INSERT INTO public.ecdc_import VALUES (59131, '07/08/2020', '7', '8', '2020', '59755', '1848', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '258.16911986');
INSERT INTO public.ecdc_import VALUES (59132, '06/08/2020', '6', '8', '2020', '52804', '1450', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '259.21481019');
INSERT INTO public.ecdc_import VALUES (59133, '05/08/2020', '5', '8', '2020', '57525', '1403', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '264.09044389');
INSERT INTO public.ecdc_import VALUES (59134, '04/08/2020', '4', '8', '2020', '45607', '543', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '268.50385877');
INSERT INTO public.ecdc_import VALUES (59135, '03/08/2020', '3', '8', '2020', '47511', '413', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '271.8901207');
INSERT INTO public.ecdc_import VALUES (59136, '02/08/2020', '2', '8', '2020', '58407', '1133', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '276.23120942');
INSERT INTO public.ecdc_import VALUES (59137, '01/08/2020', '1', '8', '2020', '67023', '1244', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '277.8545973');
INSERT INTO public.ecdc_import VALUES (59138, '31/07/2020', '31', '7', '2020', '68032', '1357', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '279.21329578');
INSERT INTO public.ecdc_import VALUES (59139, '30/07/2020', '30', '7', '2020', '74985', '1457', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '281.9173215');
INSERT INTO public.ecdc_import VALUES (59140, '29/07/2020', '29', '7', '2020', '61734', '1245', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '279.70863877');
INSERT INTO public.ecdc_import VALUES (59141, '28/07/2020', '28', '7', '2020', '56243', '1076', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '281.77023806');
INSERT INTO public.ecdc_import VALUES (59142, '27/07/2020', '27', '7', '2020', '55993', '475', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '282.33881888');
INSERT INTO public.ecdc_import VALUES (59143, '26/07/2020', '26', '7', '2020', '65498', '914', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '282.72324151');
INSERT INTO public.ecdc_import VALUES (59144, '25/07/2020', '25', '7', '2020', '78427', '1304', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '281.97961924');
INSERT INTO public.ecdc_import VALUES (59145, '24/07/2020', '24', '7', '2020', '63196', '1052', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '278.39309287');
INSERT INTO public.ecdc_import VALUES (59146, '23/07/2020', '23', '7', '2020', '68848', '1124', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '278.33474572');
INSERT INTO public.ecdc_import VALUES (59147, '22/07/2020', '22', '7', '2020', '72048', '1160', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '275.31345737');
INSERT INTO public.ecdc_import VALUES (59148, '21/07/2020', '21', '7', '2020', '56750', '372', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '270.88424015');
INSERT INTO public.ecdc_import VALUES (59149, '20/07/2020', '20', '7', '2020', '61796', '415', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '268.82993425');
INSERT INTO public.ecdc_import VALUES (59150, '19/07/2020', '19', '7', '2020', '63749', '853', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '264.96960173');
INSERT INTO public.ecdc_import VALUES (59151, '18/07/2020', '18', '7', '2020', '71494', '908', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '259.33910177');
INSERT INTO public.ecdc_import VALUES (59152, '17/07/2020', '17', '7', '2020', '76930', '939', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '254.15714553');
INSERT INTO public.ecdc_import VALUES (59153, '16/07/2020', '16', '7', '2020', '67717', '953', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '247.00627688');
INSERT INTO public.ecdc_import VALUES (59154, '15/07/2020', '15', '7', '2020', '68518', '861', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '242.24460245');
INSERT INTO public.ecdc_import VALUES (59155, '14/07/2020', '14', '7', '2020', '58114', '400', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '234.75732601');
INSERT INTO public.ecdc_import VALUES (59156, '13/07/2020', '13', '7', '2020', '57258', '391', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '229.72549213');
INSERT INTO public.ecdc_import VALUES (59157, '12/07/2020', '12', '7', '2020', '63051', '717', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '224.07767036');
INSERT INTO public.ecdc_import VALUES (59158, '11/07/2020', '11', '7', '2020', '66625', '806', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '217.82814362');
INSERT INTO public.ecdc_import VALUES (59159, '10/07/2020', '10', '7', '2020', '63004', '982', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '211.41664275');
INSERT INTO public.ecdc_import VALUES (59160, '09/07/2020', '9', '7', '2020', '58906', '829', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '204.71431781');
INSERT INTO public.ecdc_import VALUES (59161, '08/07/2020', '8', '7', '2020', '57473', '1174', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '197.24861766');
INSERT INTO public.ecdc_import VALUES (59162, '07/07/2020', '7', '7', '2020', '49990', '359', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '190.33417652');
INSERT INTO public.ecdc_import VALUES (59163, '06/07/2020', '6', '7', '2020', '49093', '271', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '184.68179639');
INSERT INTO public.ecdc_import VALUES (59164, '05/07/2020', '5', '7', '2020', '45221', '242', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '177.60112665');
INSERT INTO public.ecdc_import VALUES (59165, '04/07/2020', '4', '7', '2020', '54442', '694', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '174.23917603');
INSERT INTO public.ecdc_import VALUES (59166, '03/07/2020', '3', '7', '2020', '53399', '678', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '166.78380819');
INSERT INTO public.ecdc_import VALUES (59167, '02/07/2020', '2', '7', '2020', '52048', '652', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '158.99294424');
INSERT INTO public.ecdc_import VALUES (59168, '01/07/2020', '1', '7', '2020', '43880', '1270', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '150.94316481');
INSERT INTO public.ecdc_import VALUES (59169, '30/06/2020', '30', '6', '2020', '41556', '336', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '144.81215571');
INSERT INTO public.ecdc_import VALUES (59170, '29/06/2020', '29', '6', '2020', '38673', '265', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '138.24840525');
INSERT INTO public.ecdc_import VALUES (59707, '15/09/2020', '15', '9', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.26854022');
INSERT INTO public.ecdc_import VALUES (59171, '28/06/2020', '28', '6', '2020', '42486', '500', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '132.43496267');
INSERT INTO public.ecdc_import VALUES (59172, '27/06/2020', '27', '6', '2020', '45527', '623', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '127.28521892');
INSERT INTO public.ecdc_import VALUES (59173, '26/06/2020', '26', '6', '2020', '40949', '2437', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '121.24142666');
INSERT INTO public.ecdc_import VALUES (59174, '25/06/2020', '25', '6', '2020', '34339', '751', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '115.75132453');
INSERT INTO public.ecdc_import VALUES (59175, '24/06/2020', '24', '6', '2020', '34720', '826', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '111.580415');
INSERT INTO public.ecdc_import VALUES (59176, '23/06/2020', '23', '6', '2020', '31390', '427', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '106.70143849');
INSERT INTO public.ecdc_import VALUES (59177, '22/06/2020', '22', '6', '2020', '25793', '256', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '102.88213131');
INSERT INTO public.ecdc_import VALUES (59178, '21/06/2020', '21', '6', '2020', '34158', '607', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '101.82124641');
INSERT INTO public.ecdc_import VALUES (59179, '20/06/2020', '20', '6', '2020', '29909', '678', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '98.19430249');
INSERT INTO public.ecdc_import VALUES (59180, '19/06/2020', '19', '6', '2020', '27762', '717', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '96.75659226');
INSERT INTO public.ecdc_import VALUES (59181, '18/06/2020', '18', '6', '2020', '25559', '754', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '94.74422337');
INSERT INTO public.ecdc_import VALUES (59182, '17/06/2020', '17', '6', '2020', '23705', '836', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.96341974');
INSERT INTO public.ecdc_import VALUES (59183, '16/06/2020', '16', '6', '2020', '19957', '395', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.00281901');
INSERT INTO public.ecdc_import VALUES (59184, '15/06/2020', '15', '6', '2020', '19543', '296', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.3459124');
INSERT INTO public.ecdc_import VALUES (59185, '14/06/2020', '14', '6', '2020', '25540', '767', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.42613973');
INSERT INTO public.ecdc_import VALUES (59186, '13/06/2020', '13', '6', '2020', '25639', '849', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.74451131');
INSERT INTO public.ecdc_import VALUES (59187, '12/06/2020', '12', '6', '2020', '22883', '896', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.65273611');
INSERT INTO public.ecdc_import VALUES (59188, '11/06/2020', '11', '6', '2020', '20614', '918', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.32878787');
INSERT INTO public.ecdc_import VALUES (59189, '10/06/2020', '10', '6', '2020', '18665', '999', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '90.75352144');
INSERT INTO public.ecdc_import VALUES (59190, '09/06/2020', '9', '6', '2020', '18822', '493', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '90.82797483');
INSERT INTO public.ecdc_import VALUES (59191, '08/06/2020', '8', '6', '2020', '22302', '712', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '90.90151655');
INSERT INTO public.ecdc_import VALUES (59192, '07/06/2020', '7', '6', '2020', '22223', '659', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '90.37456886');
INSERT INTO public.ecdc_import VALUES (59193, '06/06/2020', '6', '6', '2020', '25178', '932', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '90.07462804');
INSERT INTO public.ecdc_import VALUES (59194, '05/06/2020', '5', '6', '2020', '21140', '1036', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '89.761316');
INSERT INTO public.ecdc_import VALUES (59195, '04/06/2020', '4', '6', '2020', '19699', '994', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.0662257');
INSERT INTO public.ecdc_import VALUES (59196, '03/06/2020', '3', '6', '2020', '20544', '1034', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.15598027');
INSERT INTO public.ecdc_import VALUES (59197, '02/06/2020', '2', '6', '2020', '21086', '764', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.98154661');
INSERT INTO public.ecdc_import VALUES (59198, '01/06/2020', '1', '6', '2020', '19807', '602', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.21098462');
INSERT INTO public.ecdc_import VALUES (59199, '31/05/2020', '31', '5', '2020', '23297', '945', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.92715005');
INSERT INTO public.ecdc_import VALUES (59200, '30/05/2020', '30', '5', '2020', '25337', '1219', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.28878082');
INSERT INTO public.ecdc_import VALUES (59201, '29/05/2020', '29', '5', '2020', '21817', '1175', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '92.34074625');
INSERT INTO public.ecdc_import VALUES (59202, '28/05/2020', '28', '5', '2020', '18721', '1526', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '93.95927187');
INSERT INTO public.ecdc_import VALUES (59203, '27/05/2020', '27', '5', '2020', '18910', '696', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '94.58559206');
INSERT INTO public.ecdc_import VALUES (59204, '26/05/2020', '26', '5', '2020', '19064', '500', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '95.53920329');
INSERT INTO public.ecdc_import VALUES (59205, '25/05/2020', '25', '5', '2020', '20568', '633', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '95.25141813');
INSERT INTO public.ecdc_import VALUES (59206, '24/05/2020', '24', '5', '2020', '21236', '1080', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '95.15721179');
INSERT INTO public.ecdc_import VALUES (59207, '23/05/2020', '23', '5', '2020', '24147', '1305', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '96.48704058');
INSERT INTO public.ecdc_import VALUES (59208, '22/05/2020', '22', '5', '2020', '25434', '1263', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '97.34097543');
INSERT INTO public.ecdc_import VALUES (59209, '21/05/2020', '21', '5', '2020', '23285', '1518', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '98.2328967');
INSERT INTO public.ecdc_import VALUES (59210, '20/05/2020', '20', '5', '2020', '19970', '1568', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '98.48907716');
INSERT INTO public.ecdc_import VALUES (59211, '19/05/2020', '19', '5', '2020', '21841', '791', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '99.66544079');
INSERT INTO public.ecdc_import VALUES (59212, '18/05/2020', '18', '5', '2020', '18873', '808', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '99.89396712');
INSERT INTO public.ecdc_import VALUES (59213, '17/05/2020', '17', '5', '2020', '24487', '1186', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '101.7474008');
INSERT INTO public.ecdc_import VALUES (59214, '16/05/2020', '16', '5', '2020', '25508', '1662', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '103.20638344');
INSERT INTO public.ecdc_import VALUES (59215, '15/05/2020', '15', '5', '2020', '27143', '1773', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '105.77335414');
INSERT INTO public.ecdc_import VALUES (59216, '14/05/2020', '14', '5', '2020', '20782', '1746', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '106.6163489');
INSERT INTO public.ecdc_import VALUES (59217, '13/05/2020', '13', '5', '2020', '22048', '1703', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '108.60501425');
INSERT INTO public.ecdc_import VALUES (59218, '12/05/2020', '12', '5', '2020', '18117', '1156', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '109.23832394');
INSERT INTO public.ecdc_import VALUES (59219, '11/05/2020', '11', '5', '2020', '20258', '734', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '110.58273951');
INSERT INTO public.ecdc_import VALUES (59220, '10/05/2020', '10', '5', '2020', '25612', '1614', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '112.5881189');
INSERT INTO public.ecdc_import VALUES (59221, '09/05/2020', '9', '5', '2020', '26957', '1510', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '119.55239823');
INSERT INTO public.ecdc_import VALUES (59222, '08/05/2020', '8', '5', '2020', '28369', '2239', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '117.8490869');
INSERT INTO public.ecdc_import VALUES (59223, '07/05/2020', '7', '5', '2020', '24128', '2353', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '117.2941812');
INSERT INTO public.ecdc_import VALUES (59224, '06/05/2020', '6', '5', '2020', '23841', '2144', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '115.30673141');
INSERT INTO public.ecdc_import VALUES (59225, '05/05/2020', '5', '5', '2020', '22593', '1252', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '119.39346302');
INSERT INTO public.ecdc_import VALUES (59226, '04/05/2020', '4', '5', '2020', '24972', '1297', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '121.05635679');
INSERT INTO public.ecdc_import VALUES (59227, '03/05/2020', '3', '5', '2020', '29288', '1317', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '120.94361308');
INSERT INTO public.ecdc_import VALUES (59228, '02/05/2020', '2', '5', '2020', '33955', '2062', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '122.04795445');
INSERT INTO public.ecdc_import VALUES (59229, '01/05/2020', '1', '5', '2020', '29917', '2040', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '121.09920548');
INSERT INTO public.ecdc_import VALUES (59230, '30/04/2020', '30', '4', '2020', '27326', '2611', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '121.63101544');
INSERT INTO public.ecdc_import VALUES (59231, '29/04/2020', '29', '4', '2020', '24132', '2110', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '122.48859698');
INSERT INTO public.ecdc_import VALUES (59232, '28/04/2020', '28', '4', '2020', '22541', '1369', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '123.336454');
INSERT INTO public.ecdc_import VALUES (59233, '27/04/2020', '27', '4', '2020', '26857', '1687', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '124.09071247');
INSERT INTO public.ecdc_import VALUES (59234, '26/04/2020', '26', '4', '2020', '48529', '2172', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '124.32258161');
INSERT INTO public.ecdc_import VALUES (59235, '25/04/2020', '25', '4', '2020', '21352', '1054', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '118.2028165');
INSERT INTO public.ecdc_import VALUES (59236, '24/04/2020', '24', '4', '2020', '26543', '3179', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '122.51047717');
INSERT INTO public.ecdc_import VALUES (59237, '23/04/2020', '23', '4', '2020', '17588', '1721', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '124.74651012');
INSERT INTO public.ecdc_import VALUES (59238, '22/04/2020', '22', '4', '2020', '37289', '2524', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '129.52824138');
INSERT INTO public.ecdc_import VALUES (59239, '21/04/2020', '21', '4', '2020', '28065', '1857', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '127.49946236');
INSERT INTO public.ecdc_import VALUES (59240, '20/04/2020', '20', '4', '2020', '24601', '1772', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '128.25797531');
INSERT INTO public.ecdc_import VALUES (59241, '19/04/2020', '19', '4', '2020', '32922', '1856', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '128.50017676');
INSERT INTO public.ecdc_import VALUES (59242, '18/04/2020', '18', '4', '2020', '30833', '3770', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '128.91043016');
INSERT INTO public.ecdc_import VALUES (59243, '17/04/2020', '17', '4', '2020', '31667', '2299', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '129.39422527');
INSERT INTO public.ecdc_import VALUES (59244, '16/04/2020', '16', '4', '2020', '30148', '4928', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '128.52874255');
INSERT INTO public.ecdc_import VALUES (59245, '15/04/2020', '15', '4', '2020', '26922', '2408', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '127.60339322');
INSERT INTO public.ecdc_import VALUES (59246, '14/04/2020', '14', '4', '2020', '25023', '1541', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '127.01870616');
INSERT INTO public.ecdc_import VALUES (59247, '13/04/2020', '13', '4', '2020', '27620', '1500', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '125.97696642');
INSERT INTO public.ecdc_import VALUES (59248, '12/04/2020', '12', '4', '2020', '28391', '1831', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '123.16293201');
INSERT INTO public.ecdc_import VALUES (59249, '11/04/2020', '11', '4', '2020', '35527', '2087', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '120.60659751');
INSERT INTO public.ecdc_import VALUES (59250, '10/04/2020', '10', '4', '2020', '33901', '1873', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '115.49149738');
INSERT INTO public.ecdc_import VALUES (59251, '09/04/2020', '9', '4', '2020', '33323', '1922', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '110.29373879');
INSERT INTO public.ecdc_import VALUES (59252, '08/04/2020', '8', '4', '2020', '30613', '1906', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '104.41040119');
INSERT INTO public.ecdc_import VALUES (59253, '07/04/2020', '7', '4', '2020', '30561', '1342', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '97.77827516');
INSERT INTO public.ecdc_import VALUES (59254, '06/04/2020', '6', '4', '2020', '25398', '1146', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '91.90557376');
INSERT INTO public.ecdc_import VALUES (59255, '05/04/2020', '5', '4', '2020', '34272', '1344', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '86.75795725');
INSERT INTO public.ecdc_import VALUES (59256, '04/04/2020', '4', '4', '2020', '32425', '1104', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '78.50760949');
INSERT INTO public.ecdc_import VALUES (59257, '03/04/2020', '3', '4', '2020', '28819', '915', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '70.28704309');
INSERT INTO public.ecdc_import VALUES (59258, '02/04/2020', '2', '4', '2020', '27103', '1059', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '62.99851163');
INSERT INTO public.ecdc_import VALUES (59259, '01/04/2020', '1', '4', '2020', '24998', '909', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '55.67017039');
INSERT INTO public.ecdc_import VALUES (59260, '31/03/2020', '31', '3', '2020', '21595', '661', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '48.61016527');
INSERT INTO public.ecdc_import VALUES (59261, '30/03/2020', '30', '3', '2020', '18360', '318', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '42.31718205');
INSERT INTO public.ecdc_import VALUES (59262, '29/03/2020', '29', '3', '2020', '19979', '484', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '36.98783848');
INSERT INTO public.ecdc_import VALUES (59263, '28/03/2020', '28', '3', '2020', '18695', '411', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '31.15251572');
INSERT INTO public.ecdc_import VALUES (59264, '27/03/2020', '27', '3', '2020', '16797', '246', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '25.62655441');
INSERT INTO public.ecdc_import VALUES (59265, '26/03/2020', '26', '3', '2020', '13963', '249', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '20.62875636');
INSERT INTO public.ecdc_import VALUES (59266, '25/03/2020', '25', '3', '2020', '8789', '211', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '16.47273751');
INSERT INTO public.ecdc_import VALUES (59267, '24/03/2020', '24', '3', '2020', '11236', '119', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '13.88419052');
INSERT INTO public.ecdc_import VALUES (59268, '23/03/2020', '23', '3', '2020', '8459', '131', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '10.53044497');
INSERT INTO public.ecdc_import VALUES (59269, '22/03/2020', '22', '3', '2020', '7123', '80', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '7.99659843');
INSERT INTO public.ecdc_import VALUES (59270, '21/03/2020', '21', '3', '2020', '5374', '110', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '5.86084964');
INSERT INTO public.ecdc_import VALUES (59271, '20/03/2020', '20', '3', '2020', '4835', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '4.25964583');
INSERT INTO public.ecdc_import VALUES (59272, '19/03/2020', '19', '3', '2020', '2988', '42', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '2.81281885');
INSERT INTO public.ecdc_import VALUES (59273, '18/03/2020', '18', '3', '2020', '1766', '23', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '1.91512364');
INSERT INTO public.ecdc_import VALUES (59274, '17/03/2020', '17', '3', '2020', '887', '16', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '1.38513702');
INSERT INTO public.ecdc_import VALUES (59275, '16/03/2020', '16', '3', '2020', '823', '12', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '1.11983983');
INSERT INTO public.ecdc_import VALUES (59276, '15/03/2020', '15', '3', '2020', '777', '10', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.87581503');
INSERT INTO public.ecdc_import VALUES (59277, '14/03/2020', '14', '3', '2020', '511', '7', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.64060308');
INSERT INTO public.ecdc_import VALUES (59278, '13/03/2020', '13', '3', '2020', '351', '10', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.48713792');
INSERT INTO public.ecdc_import VALUES (59279, '12/03/2020', '12', '3', '2020', '287', '2', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.38077593');
INSERT INTO public.ecdc_import VALUES (59280, '11/03/2020', '11', '3', '2020', '271', '2', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.29538245');
INSERT INTO public.ecdc_import VALUES (59281, '10/03/2020', '10', '3', '2020', '200', '5', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.21302787');
INSERT INTO public.ecdc_import VALUES (59282, '09/03/2020', '9', '3', '2020', '121', '4', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.15771964');
INSERT INTO public.ecdc_import VALUES (59283, '08/03/2020', '8', '3', '2020', '95', '3', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.12094878');
INSERT INTO public.ecdc_import VALUES (59284, '07/03/2020', '7', '3', '2020', '105', '2', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.0920791');
INSERT INTO public.ecdc_import VALUES (59285, '06/03/2020', '6', '3', '2020', '74', '1', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.06594443');
INSERT INTO public.ecdc_import VALUES (59286, '05/03/2020', '5', '3', '2020', '34', '2', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.04376036');
INSERT INTO public.ecdc_import VALUES (59287, '04/03/2020', '4', '3', '2020', '22', '3', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.03342805');
INSERT INTO public.ecdc_import VALUES (59288, '03/03/2020', '3', '3', '2020', '14', '4', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.02674244');
INSERT INTO public.ecdc_import VALUES (59289, '02/03/2020', '2', '3', '2020', '20', '1', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.02248796');
INSERT INTO public.ecdc_import VALUES (59290, '01/03/2020', '1', '3', '2020', '3', '1', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.01641014');
INSERT INTO public.ecdc_import VALUES (59291, '29/02/2020', '29', '2', '2020', '6', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.01549846');
INSERT INTO public.ecdc_import VALUES (59292, '28/02/2020', '28', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.01367511');
INSERT INTO public.ecdc_import VALUES (59293, '27/02/2020', '27', '2', '2020', '6', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.01367511');
INSERT INTO public.ecdc_import VALUES (59294, '26/02/2020', '26', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.01215566');
INSERT INTO public.ecdc_import VALUES (59295, '25/02/2020', '25', '2', '2020', '18', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.01215566');
INSERT INTO public.ecdc_import VALUES (59708, '14/09/2020', '14', '9', '2020', '28', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.44186391');
INSERT INTO public.ecdc_import VALUES (59296, '24/02/2020', '24', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.0069895');
INSERT INTO public.ecdc_import VALUES (59297, '23/02/2020', '23', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.0069895');
INSERT INTO public.ecdc_import VALUES (59298, '22/02/2020', '22', '2', '2020', '19', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.0069895');
INSERT INTO public.ecdc_import VALUES (59299, '21/02/2020', '21', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00121557');
INSERT INTO public.ecdc_import VALUES (59300, '20/02/2020', '20', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00091167');
INSERT INTO public.ecdc_import VALUES (59301, '19/02/2020', '19', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00121557');
INSERT INTO public.ecdc_import VALUES (59302, '18/02/2020', '18', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00121557');
INSERT INTO public.ecdc_import VALUES (59303, '17/02/2020', '17', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00121557');
INSERT INTO public.ecdc_import VALUES (59304, '16/02/2020', '16', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00212724');
INSERT INTO public.ecdc_import VALUES (59305, '15/02/2020', '15', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00243113');
INSERT INTO public.ecdc_import VALUES (59306, '14/02/2020', '14', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00273502');
INSERT INTO public.ecdc_import VALUES (59307, '13/02/2020', '13', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00273502');
INSERT INTO public.ecdc_import VALUES (59308, '12/02/2020', '12', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00243113');
INSERT INTO public.ecdc_import VALUES (59309, '11/02/2020', '11', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00243113');
INSERT INTO public.ecdc_import VALUES (59310, '10/02/2020', '10', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00212724');
INSERT INTO public.ecdc_import VALUES (59311, '09/02/2020', '9', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00303891');
INSERT INTO public.ecdc_import VALUES (59312, '08/02/2020', '8', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00303891');
INSERT INTO public.ecdc_import VALUES (59313, '07/02/2020', '7', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00334281');
INSERT INTO public.ecdc_import VALUES (59314, '06/02/2020', '6', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00334281');
INSERT INTO public.ecdc_import VALUES (59315, '05/02/2020', '5', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00303891');
INSERT INTO public.ecdc_import VALUES (59316, '04/02/2020', '4', '2', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00303891');
INSERT INTO public.ecdc_import VALUES (59317, '03/02/2020', '3', '2', '2020', '3', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00334281');
INSERT INTO public.ecdc_import VALUES (59318, '02/02/2020', '2', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00243113');
INSERT INTO public.ecdc_import VALUES (59319, '01/02/2020', '1', '2', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00212724');
INSERT INTO public.ecdc_import VALUES (59320, '31/01/2020', '31', '1', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00182335');
INSERT INTO public.ecdc_import VALUES (59321, '30/01/2020', '30', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00151946');
INSERT INTO public.ecdc_import VALUES (59322, '29/01/2020', '29', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00151946');
INSERT INTO public.ecdc_import VALUES (59323, '28/01/2020', '28', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00151946');
INSERT INTO public.ecdc_import VALUES (59324, '27/01/2020', '27', '1', '2020', '3', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00151946');
INSERT INTO public.ecdc_import VALUES (59325, '26/01/2020', '26', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00060778');
INSERT INTO public.ecdc_import VALUES (59326, '25/01/2020', '25', '1', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00060778');
INSERT INTO public.ecdc_import VALUES (59327, '24/01/2020', '24', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00030389');
INSERT INTO public.ecdc_import VALUES (59328, '23/01/2020', '23', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00030389');
INSERT INTO public.ecdc_import VALUES (59329, '22/01/2020', '22', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00030389');
INSERT INTO public.ecdc_import VALUES (59330, '21/01/2020', '21', '1', '2020', '1', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0.00030389');
INSERT INTO public.ecdc_import VALUES (59331, '20/01/2020', '20', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59332, '19/01/2020', '19', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59333, '18/01/2020', '18', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59334, '17/01/2020', '17', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59335, '16/01/2020', '16', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59336, '15/01/2020', '15', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59337, '14/01/2020', '14', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59338, '13/01/2020', '13', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59339, '12/01/2020', '12', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59340, '11/01/2020', '11', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59341, '10/01/2020', '10', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59342, '09/01/2020', '9', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59343, '08/01/2020', '8', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59344, '07/01/2020', '7', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59345, '06/01/2020', '6', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59346, '05/01/2020', '5', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59347, '04/01/2020', '4', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59348, '03/01/2020', '3', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59349, '02/01/2020', '2', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59350, '01/01/2020', '1', '1', '2020', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59351, '31/12/2019', '31', '12', '2019', '0', '0', '329064917', 'United_States_of_America', 'US', 'USA', 'America', '');
INSERT INTO public.ecdc_import VALUES (59352, '14/12/2020', '14', '12', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '251.48452366');
INSERT INTO public.ecdc_import VALUES (59353, '13/12/2020', '13', '12', '2020', '16', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '257.22181317');
INSERT INTO public.ecdc_import VALUES (59354, '12/12/2020', '12', '12', '2020', '58', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '258.17802809');
INSERT INTO public.ecdc_import VALUES (59355, '11/12/2020', '11', '12', '2020', '35', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '202.7175628');
INSERT INTO public.ecdc_import VALUES (59356, '10/12/2020', '10', '12', '2020', '18', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '169.25004064');
INSERT INTO public.ecdc_import VALUES (59357, '09/12/2020', '9', '12', '2020', '31', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '152.0381721');
INSERT INTO public.ecdc_import VALUES (59358, '08/12/2020', '8', '12', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '135.78251848');
INSERT INTO public.ecdc_import VALUES (59359, '07/12/2020', '7', '12', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '138.65116324');
INSERT INTO public.ecdc_import VALUES (59360, '06/12/2020', '6', '12', '2020', '16', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '151.08195718');
INSERT INTO public.ecdc_import VALUES (59361, '05/12/2020', '5', '12', '2020', '20', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '144.38845275');
INSERT INTO public.ecdc_import VALUES (59362, '04/12/2020', '4', '12', '2020', '24', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '137.69494832');
INSERT INTO public.ecdc_import VALUES (59363, '03/12/2020', '3', '12', '2020', '26', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '120.48307978');
INSERT INTO public.ecdc_import VALUES (59364, '02/12/2020', '2', '12', '2020', '13', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '108.05228583');
INSERT INTO public.ecdc_import VALUES (59365, '01/12/2020', '1', '12', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '110.92093059');
INSERT INTO public.ecdc_import VALUES (59366, '30/11/2020', '30', '11', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '105.18364108');
INSERT INTO public.ecdc_import VALUES (59367, '29/11/2020', '29', '11', '2020', '17', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '99.44635156');
INSERT INTO public.ecdc_import VALUES (59368, '28/11/2020', '28', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '106.13985599');
INSERT INTO public.ecdc_import VALUES (59369, '27/11/2020', '27', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '106.13985599');
INSERT INTO public.ecdc_import VALUES (59370, '26/11/2020', '26', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '106.13985599');
INSERT INTO public.ecdc_import VALUES (59371, '25/11/2020', '25', '11', '2020', '14', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '106.13985599');
INSERT INTO public.ecdc_import VALUES (59372, '24/11/2020', '24', '11', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '97.53392172');
INSERT INTO public.ecdc_import VALUES (59373, '23/11/2020', '23', '11', '2020', '13', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '94.66527697');
INSERT INTO public.ecdc_import VALUES (59374, '22/11/2020', '22', '11', '2020', '9', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '82.23448302');
INSERT INTO public.ecdc_import VALUES (59375, '21/11/2020', '21', '11', '2020', '13', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '87.97177254');
INSERT INTO public.ecdc_import VALUES (59376, '20/11/2020', '20', '11', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '75.54097859');
INSERT INTO public.ecdc_import VALUES (59377, '19/11/2020', '19', '11', '2020', '13', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '71.71611891');
INSERT INTO public.ecdc_import VALUES (59378, '18/11/2020', '18', '11', '2020', '16', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '62.15396973');
INSERT INTO public.ecdc_import VALUES (59379, '17/11/2020', '17', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '53.54803546');
INSERT INTO public.ecdc_import VALUES (59380, '16/11/2020', '16', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '55.46046529');
INSERT INTO public.ecdc_import VALUES (59381, '15/11/2020', '15', '11', '2020', '24', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '55.46046529');
INSERT INTO public.ecdc_import VALUES (59382, '14/11/2020', '14', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '45.89831611');
INSERT INTO public.ecdc_import VALUES (59383, '13/11/2020', '13', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '54.50425038');
INSERT INTO public.ecdc_import VALUES (59384, '12/11/2020', '12', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '54.50425038');
INSERT INTO public.ecdc_import VALUES (59385, '11/11/2020', '11', '11', '2020', '5', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '54.50425038');
INSERT INTO public.ecdc_import VALUES (59386, '10/11/2020', '10', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '54.50425038');
INSERT INTO public.ecdc_import VALUES (59387, '09/11/2020', '9', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '54.50425038');
INSERT INTO public.ecdc_import VALUES (59388, '08/11/2020', '8', '11', '2020', '15', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '54.50425038');
INSERT INTO public.ecdc_import VALUES (59389, '07/11/2020', '7', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '42.07345643');
INSERT INTO public.ecdc_import VALUES (59390, '06/11/2020', '6', '11', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '44.94210119');
INSERT INTO public.ecdc_import VALUES (59391, '05/11/2020', '5', '11', '2020', '3', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '43.02967135');
INSERT INTO public.ecdc_import VALUES (59392, '04/11/2020', '4', '11', '2020', '7', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '45.89831611');
INSERT INTO public.ecdc_import VALUES (59393, '03/11/2020', '3', '11', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '40.16102659');
INSERT INTO public.ecdc_import VALUES (59394, '02/11/2020', '2', '11', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '39.20481167');
INSERT INTO public.ecdc_import VALUES (59395, '01/11/2020', '1', '11', '2020', '14', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '39.20481167');
INSERT INTO public.ecdc_import VALUES (59396, '31/10/2020', '31', '10', '2020', '9', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '31.55509232');
INSERT INTO public.ecdc_import VALUES (59397, '30/10/2020', '30', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '22.94915805');
INSERT INTO public.ecdc_import VALUES (59398, '29/10/2020', '29', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '23.90537297');
INSERT INTO public.ecdc_import VALUES (59399, '28/10/2020', '28', '10', '2020', '5', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '23.90537297');
INSERT INTO public.ecdc_import VALUES (59400, '27/10/2020', '27', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '21.99294313');
INSERT INTO public.ecdc_import VALUES (59401, '26/10/2020', '26', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '21.99294313');
INSERT INTO public.ecdc_import VALUES (59402, '25/10/2020', '25', '10', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '21.99294313');
INSERT INTO public.ecdc_import VALUES (59403, '24/10/2020', '24', '10', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '20.0805133');
INSERT INTO public.ecdc_import VALUES (59404, '23/10/2020', '23', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '18.16808346');
INSERT INTO public.ecdc_import VALUES (59405, '22/10/2020', '22', '10', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '20.0805133');
INSERT INTO public.ecdc_import VALUES (59406, '21/10/2020', '21', '10', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '15.2994387');
INSERT INTO public.ecdc_import VALUES (59407, '20/10/2020', '20', '10', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '14.34322378');
INSERT INTO public.ecdc_import VALUES (59408, '19/10/2020', '19', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '13.38700886');
INSERT INTO public.ecdc_import VALUES (59409, '18/10/2020', '18', '10', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '13.38700886');
INSERT INTO public.ecdc_import VALUES (59410, '17/10/2020', '17', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59411, '16/10/2020', '16', '10', '2020', '1', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59412, '15/10/2020', '15', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '9.56214919');
INSERT INTO public.ecdc_import VALUES (59413, '14/10/2020', '14', '10', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '9.56214919');
INSERT INTO public.ecdc_import VALUES (59414, '13/10/2020', '13', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '6.69350443');
INSERT INTO public.ecdc_import VALUES (59415, '12/10/2020', '12', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59416, '11/10/2020', '11', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59417, '10/10/2020', '10', '10', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '10.51836411');
INSERT INTO public.ecdc_import VALUES (59418, '09/10/2020', '9', '10', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '26.77401773');
INSERT INTO public.ecdc_import VALUES (59419, '08/10/2020', '8', '10', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '30.5988774');
INSERT INTO public.ecdc_import VALUES (59420, '07/10/2020', '7', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '41.11724151');
INSERT INTO public.ecdc_import VALUES (59421, '06/10/2020', '6', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '49.72317578');
INSERT INTO public.ecdc_import VALUES (59422, '05/10/2020', '5', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '49.72317578');
INSERT INTO public.ecdc_import VALUES (59423, '04/10/2020', '4', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '75.54097859');
INSERT INTO public.ecdc_import VALUES (59424, '03/10/2020', '3', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '75.54097859');
INSERT INTO public.ecdc_import VALUES (59425, '02/10/2020', '2', '10', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '79.36583827');
INSERT INTO public.ecdc_import VALUES (59426, '01/10/2020', '1', '10', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '76.49719351');
INSERT INTO public.ecdc_import VALUES (59427, '30/09/2020', '30', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '82.23448302');
INSERT INTO public.ecdc_import VALUES (59428, '29/09/2020', '29', '9', '2020', '1', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '92.75284713');
INSERT INTO public.ecdc_import VALUES (59709, '13/09/2020', '13', '9', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.06632924');
INSERT INTO public.ecdc_import VALUES (59429, '28/09/2020', '28', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '92.75284713');
INSERT INTO public.ecdc_import VALUES (59430, '27/09/2020', '27', '9', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '92.75284713');
INSERT INTO public.ecdc_import VALUES (59431, '26/09/2020', '26', '9', '2020', '18', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '108.05228583');
INSERT INTO public.ecdc_import VALUES (59432, '25/09/2020', '25', '9', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '90.84041729');
INSERT INTO public.ecdc_import VALUES (59433, '24/09/2020', '24', '9', '2020', '12', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '88.92798745');
INSERT INTO public.ecdc_import VALUES (59434, '23/09/2020', '23', '9', '2020', '9', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '83.19069794');
INSERT INTO public.ecdc_import VALUES (59435, '22/09/2020', '22', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '75.54097859');
INSERT INTO public.ecdc_import VALUES (59436, '21/09/2020', '21', '9', '2020', '27', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '84.14691286');
INSERT INTO public.ecdc_import VALUES (59437, '20/09/2020', '20', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '71.71611891');
INSERT INTO public.ecdc_import VALUES (59438, '19/09/2020', '19', '9', '2020', '4', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '87.97177254');
INSERT INTO public.ecdc_import VALUES (59439, '18/09/2020', '18', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '84.14691286');
INSERT INTO public.ecdc_import VALUES (59440, '17/09/2020', '17', '9', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '89.88420237');
INSERT INTO public.ecdc_import VALUES (59441, '16/09/2020', '16', '9', '2020', '11', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '85.10312778');
INSERT INTO public.ecdc_import VALUES (59442, '15/09/2020', '15', '9', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '78.40962335');
INSERT INTO public.ecdc_import VALUES (59443, '14/09/2020', '14', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '82.23448302');
INSERT INTO public.ecdc_import VALUES (59444, '13/09/2020', '13', '9', '2020', '19', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '87.01555762');
INSERT INTO public.ecdc_import VALUES (59445, '12/09/2020', '12', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '120.48307978');
INSERT INTO public.ecdc_import VALUES (59446, '11/09/2020', '11', '9', '2020', '4', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '120.48307978');
INSERT INTO public.ecdc_import VALUES (59447, '10/09/2020', '10', '9', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '159.68789145');
INSERT INTO public.ecdc_import VALUES (59448, '09/09/2020', '9', '9', '2020', '1', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '153.95060194');
INSERT INTO public.ecdc_import VALUES (59449, '08/09/2020', '8', '9', '2020', '9', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '183.59326442');
INSERT INTO public.ecdc_import VALUES (59450, '07/09/2020', '7', '9', '2020', '14', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '188.37433902');
INSERT INTO public.ecdc_import VALUES (59451, '06/09/2020', '6', '9', '2020', '17', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '224.71050593');
INSERT INTO public.ecdc_import VALUES (59452, '05/09/2020', '5', '9', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '208.45485231');
INSERT INTO public.ecdc_import VALUES (59453, '04/09/2020', '4', '9', '2020', '6', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '268.6963922');
INSERT INTO public.ecdc_import VALUES (59454, '03/09/2020', '3', '9', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '302.16391436');
INSERT INTO public.ecdc_import VALUES (59455, '02/09/2020', '2', '9', '2020', '4', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '331.80657685');
INSERT INTO public.ecdc_import VALUES (59456, '01/09/2020', '1', '9', '2020', '5', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '327.98171717');
INSERT INTO public.ecdc_import VALUES (59457, '31/08/2020', '31', '8', '2020', '5', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '375.79246311');
INSERT INTO public.ecdc_import VALUES (59458, '30/08/2020', '30', '8', '2020', '54', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '377.70489295');
INSERT INTO public.ecdc_import VALUES (59459, '29/08/2020', '29', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '326.06928733');
INSERT INTO public.ecdc_import VALUES (59460, '28/08/2020', '28', '8', '2020', '45', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '354.7557349');
INSERT INTO public.ecdc_import VALUES (59461, '27/08/2020', '27', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '373.88003328');
INSERT INTO public.ecdc_import VALUES (59462, '26/08/2020', '26', '8', '2020', '32', '2', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '373.88003328');
INSERT INTO public.ecdc_import VALUES (59463, '25/08/2020', '25', '8', '2020', '14', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '431.25292841');
INSERT INTO public.ecdc_import VALUES (59464, '24/08/2020', '24', '8', '2020', '52', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '417.86591954');
INSERT INTO public.ecdc_import VALUES (59465, '23/08/2020', '23', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '368.14274376');
INSERT INTO public.ecdc_import VALUES (59466, '22/08/2020', '22', '8', '2020', '63', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '386.31082722');
INSERT INTO public.ecdc_import VALUES (59467, '21/08/2020', '21', '8', '2020', '41', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '331.80657685');
INSERT INTO public.ecdc_import VALUES (59468, '20/08/2020', '20', '8', '2020', '32', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '312.68227847');
INSERT INTO public.ecdc_import VALUES (59469, '19/08/2020', '19', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '318.41956798');
INSERT INTO public.ecdc_import VALUES (59470, '18/08/2020', '18', '8', '2020', '55', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '341.36872603');
INSERT INTO public.ecdc_import VALUES (59471, '17/08/2020', '17', '8', '2020', '7', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '305.98877404');
INSERT INTO public.ecdc_import VALUES (59472, '16/08/2020', '16', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '299.2952696');
INSERT INTO public.ecdc_import VALUES (59473, '15/08/2020', '15', '8', '2020', '30', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '313.63849339');
INSERT INTO public.ecdc_import VALUES (59474, '14/08/2020', '14', '8', '2020', '65', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '305.03255912');
INSERT INTO public.ecdc_import VALUES (59475, '13/08/2020', '13', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '242.87858939');
INSERT INTO public.ecdc_import VALUES (59476, '12/08/2020', '12', '8', '2020', '92', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '242.87858939');
INSERT INTO public.ecdc_import VALUES (59477, '11/08/2020', '11', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '174.98733015');
INSERT INTO public.ecdc_import VALUES (59478, '10/08/2020', '10', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '177.85597491');
INSERT INTO public.ecdc_import VALUES (59479, '09/08/2020', '9', '8', '2020', '19', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '186.46190918');
INSERT INTO public.ecdc_import VALUES (59480, '08/08/2020', '8', '8', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '168.29382572');
INSERT INTO public.ecdc_import VALUES (59481, '07/08/2020', '7', '8', '2020', '21', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '177.85597491');
INSERT INTO public.ecdc_import VALUES (59482, '06/08/2020', '6', '8', '2020', '38', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '157.77546161');
INSERT INTO public.ecdc_import VALUES (59483, '05/08/2020', '5', '8', '2020', '24', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '136.7387334');
INSERT INTO public.ecdc_import VALUES (59484, '04/08/2020', '4', '8', '2020', '18', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '125.26415437');
INSERT INTO public.ecdc_import VALUES (59485, '03/08/2020', '3', '8', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '118.57064994');
INSERT INTO public.ecdc_import VALUES (59486, '02/08/2020', '2', '8', '2020', '15', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '118.57064994');
INSERT INTO public.ecdc_import VALUES (59487, '01/08/2020', '1', '8', '2020', '21', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '117.61443502');
INSERT INTO public.ecdc_import VALUES (59488, '31/07/2020', '31', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '116.6582201');
INSERT INTO public.ecdc_import VALUES (59489, '30/07/2020', '30', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '130.04522897');
INSERT INTO public.ecdc_import VALUES (59490, '29/07/2020', '29', '7', '2020', '21', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '160.64410637');
INSERT INTO public.ecdc_import VALUES (59491, '28/07/2020', '28', '7', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '140.56359307');
INSERT INTO public.ecdc_import VALUES (59492, '27/07/2020', '27', '7', '2020', '9', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '172.1186854');
INSERT INTO public.ecdc_import VALUES (59493, '26/07/2020', '26', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '163.51275113');
INSERT INTO public.ecdc_import VALUES (59710, '12/09/2020', '12', '9', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.26854022');
INSERT INTO public.ecdc_import VALUES (59494, '25/07/2020', '25', '7', '2020', '16', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '176.89975999');
INSERT INTO public.ecdc_import VALUES (59495, '24/07/2020', '24', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '174.98733015');
INSERT INTO public.ecdc_import VALUES (59496, '23/07/2020', '23', '7', '2020', '16', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '183.59326442');
INSERT INTO public.ecdc_import VALUES (59497, '22/07/2020', '22', '7', '2020', '12', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '189.33055394');
INSERT INTO public.ecdc_import VALUES (59498, '21/07/2020', '21', '7', '2020', '11', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '183.59326442');
INSERT INTO public.ecdc_import VALUES (59499, '20/07/2020', '20', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '176.89975999');
INSERT INTO public.ecdc_import VALUES (59500, '19/07/2020', '19', '7', '2020', '14', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '177.85597491');
INSERT INTO public.ecdc_import VALUES (59501, '18/07/2020', '18', '7', '2020', '20', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '164.46896604');
INSERT INTO public.ecdc_import VALUES (59502, '17/07/2020', '17', '7', '2020', '14', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '157.77546161');
INSERT INTO public.ecdc_import VALUES (59503, '16/07/2020', '16', '7', '2020', '32', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '150.12574226');
INSERT INTO public.ecdc_import VALUES (59504, '15/07/2020', '15', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '127.17658421');
INSERT INTO public.ecdc_import VALUES (59505, '14/07/2020', '14', '7', '2020', '36', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '127.17658421');
INSERT INTO public.ecdc_import VALUES (59506, '13/07/2020', '13', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '95.62149189');
INSERT INTO public.ecdc_import VALUES (59507, '12/07/2020', '12', '7', '2020', '14', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '95.62149189');
INSERT INTO public.ecdc_import VALUES (59508, '11/07/2020', '11', '7', '2020', '14', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '82.23448302');
INSERT INTO public.ecdc_import VALUES (59509, '10/07/2020', '10', '7', '2020', '9', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '68.84747416');
INSERT INTO public.ecdc_import VALUES (59510, '09/07/2020', '9', '7', '2020', '22', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '61.19775481');
INSERT INTO public.ecdc_import VALUES (59511, '08/07/2020', '8', '7', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '43.98588627');
INSERT INTO public.ecdc_import VALUES (59512, '07/07/2020', '7', '7', '2020', '4', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '38.24859675');
INSERT INTO public.ecdc_import VALUES (59513, '06/07/2020', '6', '7', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '34.42373708');
INSERT INTO public.ecdc_import VALUES (59514, '05/07/2020', '5', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '35.379952');
INSERT INTO public.ecdc_import VALUES (59515, '04/07/2020', '4', '7', '2020', '13', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '35.379952');
INSERT INTO public.ecdc_import VALUES (59516, '03/07/2020', '3', '7', '2020', '6', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '23.90537297');
INSERT INTO public.ecdc_import VALUES (59517, '02/07/2020', '2', '7', '2020', '8', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '18.16808346');
INSERT INTO public.ecdc_import VALUES (59518, '01/07/2020', '1', '7', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '10.51836411');
INSERT INTO public.ecdc_import VALUES (59519, '30/06/2020', '30', '6', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '10.51836411');
INSERT INTO public.ecdc_import VALUES (59520, '29/06/2020', '29', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59521, '28/06/2020', '28', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '8.60593427');
INSERT INTO public.ecdc_import VALUES (59522, '27/06/2020', '27', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '8.60593427');
INSERT INTO public.ecdc_import VALUES (59523, '26/06/2020', '26', '6', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '8.60593427');
INSERT INTO public.ecdc_import VALUES (59524, '25/06/2020', '25', '6', '2020', '4', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59525, '24/06/2020', '24', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '4.78107459');
INSERT INTO public.ecdc_import VALUES (59526, '23/06/2020', '23', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '4.78107459');
INSERT INTO public.ecdc_import VALUES (59527, '22/06/2020', '22', '6', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '4.78107459');
INSERT INTO public.ecdc_import VALUES (59528, '21/06/2020', '21', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59529, '20/06/2020', '20', '6', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59530, '19/06/2020', '19', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59531, '18/06/2020', '18', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59532, '17/06/2020', '17', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59533, '16/06/2020', '16', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59534, '15/06/2020', '15', '6', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '3.82485968');
INSERT INTO public.ecdc_import VALUES (59535, '14/06/2020', '14', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59536, '13/06/2020', '13', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59537, '12/06/2020', '12', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59538, '11/06/2020', '11', '6', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59539, '10/06/2020', '10', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59540, '09/06/2020', '9', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59541, '08/06/2020', '8', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59542, '07/06/2020', '7', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59543, '06/06/2020', '6', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59544, '05/06/2020', '5', '6', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '1.91242984');
INSERT INTO public.ecdc_import VALUES (59545, '04/06/2020', '4', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0.95621492');
INSERT INTO public.ecdc_import VALUES (59546, '03/06/2020', '3', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0.95621492');
INSERT INTO public.ecdc_import VALUES (59547, '02/06/2020', '2', '6', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0.95621492');
INSERT INTO public.ecdc_import VALUES (59548, '01/06/2020', '1', '6', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59549, '31/05/2020', '31', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59550, '30/05/2020', '30', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59551, '29/05/2020', '29', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59552, '28/05/2020', '28', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59553, '27/05/2020', '27', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59554, '26/05/2020', '26', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59555, '25/05/2020', '25', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59556, '24/05/2020', '24', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0');
INSERT INTO public.ecdc_import VALUES (59557, '23/05/2020', '23', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '0.95621492');
INSERT INTO public.ecdc_import VALUES (59558, '22/05/2020', '22', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59559, '21/05/2020', '21', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59560, '20/05/2020', '20', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59561, '19/05/2020', '19', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59562, '18/05/2020', '18', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59563, '17/05/2020', '17', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59564, '16/05/2020', '16', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59565, '15/05/2020', '15', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59566, '14/05/2020', '14', '5', '2020', '0', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '2.86864476');
INSERT INTO public.ecdc_import VALUES (59567, '13/05/2020', '13', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '9.56214919');
INSERT INTO public.ecdc_import VALUES (59568, '12/05/2020', '12', '5', '2020', '0', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '9.56214919');
INSERT INTO public.ecdc_import VALUES (59569, '11/05/2020', '11', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '13.38700886');
INSERT INTO public.ecdc_import VALUES (59570, '10/05/2020', '10', '5', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '13.38700886');
INSERT INTO public.ecdc_import VALUES (59571, '09/05/2020', '9', '5', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '13.38700886');
INSERT INTO public.ecdc_import VALUES (59572, '08/05/2020', '8', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '11.47457903');
INSERT INTO public.ecdc_import VALUES (59573, '07/05/2020', '7', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '11.47457903');
INSERT INTO public.ecdc_import VALUES (59574, '06/05/2020', '6', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '11.47457903');
INSERT INTO public.ecdc_import VALUES (59575, '05/05/2020', '5', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '11.47457903');
INSERT INTO public.ecdc_import VALUES (59576, '04/05/2020', '4', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '12.43079395');
INSERT INTO public.ecdc_import VALUES (59577, '03/05/2020', '3', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '12.43079395');
INSERT INTO public.ecdc_import VALUES (59578, '02/05/2020', '2', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '14.34322378');
INSERT INTO public.ecdc_import VALUES (59579, '01/05/2020', '1', '5', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '14.34322378');
INSERT INTO public.ecdc_import VALUES (59580, '30/04/2020', '30', '4', '2020', '7', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '14.34322378');
INSERT INTO public.ecdc_import VALUES (59581, '29/04/2020', '29', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59582, '28/04/2020', '28', '4', '2020', '4', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '7.64971935');
INSERT INTO public.ecdc_import VALUES (59583, '27/04/2020', '27', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '3.82485968');
INSERT INTO public.ecdc_import VALUES (59584, '26/04/2020', '26', '4', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '3.82485968');
INSERT INTO public.ecdc_import VALUES (59585, '25/04/2020', '25', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '3.82485968');
INSERT INTO public.ecdc_import VALUES (59586, '24/04/2020', '24', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '3.82485968');
INSERT INTO public.ecdc_import VALUES (59587, '23/04/2020', '23', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '8.60593427');
INSERT INTO public.ecdc_import VALUES (59588, '22/04/2020', '22', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '8.60593427');
INSERT INTO public.ecdc_import VALUES (59589, '21/04/2020', '21', '4', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '11.47457903');
INSERT INTO public.ecdc_import VALUES (59590, '20/04/2020', '20', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '10.51836411');
INSERT INTO public.ecdc_import VALUES (59591, '19/04/2020', '19', '4', '2020', '2', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '12.43079395');
INSERT INTO public.ecdc_import VALUES (59592, '18/04/2020', '18', '4', '2020', '0', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '10.51836411');
INSERT INTO public.ecdc_import VALUES (59593, '17/04/2020', '17', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '17.21186854');
INSERT INTO public.ecdc_import VALUES (59594, '16/04/2020', '16', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '20.0805133');
INSERT INTO public.ecdc_import VALUES (59595, '15/04/2020', '15', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '20.0805133');
INSERT INTO public.ecdc_import VALUES (59596, '14/04/2020', '14', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '20.0805133');
INSERT INTO public.ecdc_import VALUES (59597, '13/04/2020', '13', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '27.73023265');
INSERT INTO public.ecdc_import VALUES (59598, '12/04/2020', '12', '4', '2020', '1', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '30.5988774');
INSERT INTO public.ecdc_import VALUES (59599, '11/04/2020', '11', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '31.55509232');
INSERT INTO public.ecdc_import VALUES (59600, '10/04/2020', '10', '4', '2020', '5', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '31.55509232');
INSERT INTO public.ecdc_import VALUES (59601, '09/04/2020', '9', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '26.77401773');
INSERT INTO public.ecdc_import VALUES (59602, '08/04/2020', '8', '4', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '26.77401773');
INSERT INTO public.ecdc_import VALUES (59603, '07/04/2020', '7', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '40.16102659');
INSERT INTO public.ecdc_import VALUES (59604, '06/04/2020', '6', '4', '2020', '2', '1', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59605, '05/04/2020', '5', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59606, '04/04/2020', '4', '4', '2020', '7', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59607, '03/04/2020', '3', '4', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59608, '02/04/2020', '2', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59609, '01/04/2020', '1', '4', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59610, '30/03/2020', '30', '3', '2020', '8', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59611, '29/03/2020', '29', '3', '2020', '3', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59612, '28/03/2020', '28', '3', '2020', '2', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59613, '27/03/2020', '27', '3', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59614, '26/03/2020', '26', '3', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59615, '25/03/2020', '25', '3', '2020', '0', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59616, '24/03/2020', '24', '3', '2020', '17', '0', '104579', 'United_States_Virgin_Islands', 'VI', 'VIR', 'America', '');
INSERT INTO public.ecdc_import VALUES (59617, '14/12/2020', '14', '12', '2020', '528', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '115.3180302');
INSERT INTO public.ecdc_import VALUES (59618, '13/12/2020', '13', '12', '2020', '331', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '105.98743808');
INSERT INTO public.ecdc_import VALUES (59619, '12/12/2020', '12', '12', '2020', '362', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '102.43430238');
INSERT INTO public.ecdc_import VALUES (59620, '11/12/2020', '11', '12', '2020', '383', '3', '3461731', 'Uruguay', 'UY', 'URY', 'America', '97.35014072');
INSERT INTO public.ecdc_import VALUES (59621, '10/12/2020', '10', '12', '2020', '298', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '90.01277107');
INSERT INTO public.ecdc_import VALUES (59622, '09/12/2020', '9', '12', '2020', '301', '3', '3461731', 'Uruguay', 'UY', 'URY', 'America', '84.81306029');
INSERT INTO public.ecdc_import VALUES (59623, '08/12/2020', '8', '12', '2020', '202', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '79.20892756');
INSERT INTO public.ecdc_import VALUES (59624, '07/12/2020', '7', '12', '2020', '338', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '75.22248263');
INSERT INTO public.ecdc_import VALUES (59625, '06/12/2020', '6', '12', '2020', '234', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '69.35836436');
INSERT INTO public.ecdc_import VALUES (59626, '05/12/2020', '5', '12', '2020', '276', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '65.11193389');
INSERT INTO public.ecdc_import VALUES (59627, '04/12/2020', '4', '12', '2020', '230', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '60.02777223');
INSERT INTO public.ecdc_import VALUES (59628, '03/12/2020', '3', '12', '2020', '201', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '55.7235672');
INSERT INTO public.ecdc_import VALUES (59629, '02/12/2020', '2', '12', '2020', '167', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '52.45930432');
INSERT INTO public.ecdc_import VALUES (59630, '01/12/2020', '1', '12', '2020', '141', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '50.63940555');
INSERT INTO public.ecdc_import VALUES (59631, '30/11/2020', '30', '11', '2020', '205', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '48.70395764');
INSERT INTO public.ecdc_import VALUES (59632, '29/11/2020', '29', '11', '2020', '208', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '44.89083641');
INSERT INTO public.ecdc_import VALUES (59633, '28/11/2020', '28', '11', '2020', '186', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '41.0199406');
INSERT INTO public.ecdc_import VALUES (59634, '27/11/2020', '27', '11', '2020', '129', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '38.18898695');
INSERT INTO public.ecdc_import VALUES (59635, '26/11/2020', '26', '11', '2020', '118', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '37.20681936');
INSERT INTO public.ecdc_import VALUES (59636, '25/11/2020', '25', '11', '2020', '107', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '36.10910264');
INSERT INTO public.ecdc_import VALUES (59637, '24/11/2020', '24', '11', '2020', '64', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '34.75140038');
INSERT INTO public.ecdc_import VALUES (59638, '23/11/2020', '23', '11', '2020', '135', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '34.23142931');
INSERT INTO public.ecdc_import VALUES (59639, '22/11/2020', '22', '11', '2020', '87', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '32.44041781');
INSERT INTO public.ecdc_import VALUES (59640, '21/11/2020', '21', '11', '2020', '100', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '31.9782213');
INSERT INTO public.ecdc_import VALUES (59641, '20/11/2020', '20', '11', '2020', '81', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '30.8516173');
INSERT INTO public.ecdc_import VALUES (59642, '19/11/2020', '19', '11', '2020', '88', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '30.3605335');
INSERT INTO public.ecdc_import VALUES (59643, '18/11/2020', '18', '11', '2020', '104', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '29.2339295');
INSERT INTO public.ecdc_import VALUES (59644, '17/11/2020', '17', '11', '2020', '74', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '27.12515791');
INSERT INTO public.ecdc_import VALUES (59645, '16/11/2020', '16', '11', '2020', '73', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '25.44969554');
INSERT INTO public.ecdc_import VALUES (59646, '15/11/2020', '15', '11', '2020', '74', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '24.063106');
INSERT INTO public.ecdc_import VALUES (59647, '14/11/2020', '14', '11', '2020', '88', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '23.13871297');
INSERT INTO public.ecdc_import VALUES (59648, '13/11/2020', '13', '11', '2020', '95', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '21.69434887');
INSERT INTO public.ecdc_import VALUES (59649, '12/11/2020', '12', '11', '2020', '80', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '20.76995584');
INSERT INTO public.ecdc_import VALUES (59650, '11/11/2020', '11', '11', '2020', '60', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '20.33664661');
INSERT INTO public.ecdc_import VALUES (59651, '10/11/2020', '10', '11', '2020', '46', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '19.87445009');
INSERT INTO public.ecdc_import VALUES (59652, '09/11/2020', '9', '11', '2020', '73', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '19.15226804');
INSERT INTO public.ecdc_import VALUES (59653, '08/11/2020', '8', '11', '2020', '71', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '18.31453686');
INSERT INTO public.ecdc_import VALUES (59654, '07/11/2020', '7', '11', '2020', '61', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '17.65012937');
INSERT INTO public.ecdc_import VALUES (59655, '06/11/2020', '6', '11', '2020', '64', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '17.56346753');
INSERT INTO public.ecdc_import VALUES (59656, '05/11/2020', '5', '11', '2020', '49', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '16.81239819');
INSERT INTO public.ecdc_import VALUES (59657, '04/11/2020', '4', '11', '2020', '31', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '16.55241265');
INSERT INTO public.ecdc_import VALUES (59658, '03/11/2020', '3', '11', '2020', '16', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '17.47680568');
INSERT INTO public.ecdc_import VALUES (59659, '02/11/2020', '2', '11', '2020', '25', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '17.85234035');
INSERT INTO public.ecdc_import VALUES (59660, '01/11/2020', '1', '11', '2020', '42', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '17.99677676');
INSERT INTO public.ecdc_import VALUES (59661, '31/10/2020', '31', '10', '2020', '38', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '18.2567623');
INSERT INTO public.ecdc_import VALUES (59662, '30/10/2020', '30', '10', '2020', '63', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '18.11232589');
INSERT INTO public.ecdc_import VALUES (59663, '29/10/2020', '29', '10', '2020', '65', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '18.5745224');
INSERT INTO public.ecdc_import VALUES (59664, '28/10/2020', '28', '10', '2020', '44', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '16.72573634');
INSERT INTO public.ecdc_import VALUES (59665, '27/10/2020', '27', '10', '2020', '21', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '16.1479907');
INSERT INTO public.ecdc_import VALUES (59666, '26/10/2020', '26', '10', '2020', '44', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '16.09021614');
INSERT INTO public.ecdc_import VALUES (59667, '25/10/2020', '25', '10', '2020', '48', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '15.57024506');
INSERT INTO public.ecdc_import VALUES (59668, '24/10/2020', '24', '10', '2020', '58', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '14.67473931');
INSERT INTO public.ecdc_import VALUES (59669, '23/10/2020', '23', '10', '2020', '38', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '13.721459');
INSERT INTO public.ecdc_import VALUES (59670, '22/10/2020', '22', '10', '2020', '40', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '13.20148793');
INSERT INTO public.ecdc_import VALUES (59671, '21/10/2020', '21', '10', '2020', '63', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '12.88372782');
INSERT INTO public.ecdc_import VALUES (59672, '20/10/2020', '20', '10', '2020', '29', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '11.69934926');
INSERT INTO public.ecdc_import VALUES (59673, '19/10/2020', '19', '10', '2020', '30', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '11.1504909');
INSERT INTO public.ecdc_import VALUES (59674, '18/10/2020', '18', '10', '2020', '51', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '10.94827992');
INSERT INTO public.ecdc_import VALUES (59675, '17/10/2020', '17', '10', '2020', '33', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '10.19721059');
INSERT INTO public.ecdc_import VALUES (59676, '16/10/2020', '16', '10', '2020', '79', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '10.28387243');
INSERT INTO public.ecdc_import VALUES (59677, '15/10/2020', '15', '10', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.43508638');
INSERT INTO public.ecdc_import VALUES (59678, '14/10/2020', '14', '10', '2020', '24', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.78173376');
INSERT INTO public.ecdc_import VALUES (59679, '13/10/2020', '13', '10', '2020', '19', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.75284648');
INSERT INTO public.ecdc_import VALUES (59680, '12/10/2020', '12', '10', '2020', '26', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.26176268');
INSERT INTO public.ecdc_import VALUES (59681, '11/10/2020', '11', '10', '2020', '17', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.79956617');
INSERT INTO public.ecdc_import VALUES (59682, '10/10/2020', '10', '10', '2020', '25', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.20398812');
INSERT INTO public.ecdc_import VALUES (59683, '09/10/2020', '9', '10', '2020', '20', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.71290432');
INSERT INTO public.ecdc_import VALUES (59684, '08/10/2020', '8', '10', '2020', '29', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.51069335');
INSERT INTO public.ecdc_import VALUES (59685, '07/10/2020', '7', '10', '2020', '22', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.01960955');
INSERT INTO public.ecdc_import VALUES (59686, '06/10/2020', '6', '10', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.58630032');
INSERT INTO public.ecdc_import VALUES (59687, '05/10/2020', '5', '10', '2020', '23', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.58630032');
INSERT INTO public.ecdc_import VALUES (59688, '04/10/2020', '4', '10', '2020', '25', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.2974275');
INSERT INTO public.ecdc_import VALUES (59689, '03/10/2020', '3', '10', '2020', '36', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.9796674');
INSERT INTO public.ecdc_import VALUES (59690, '02/10/2020', '2', '10', '2020', '15', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.34414719');
INSERT INTO public.ecdc_import VALUES (59691, '01/10/2020', '1', '10', '2020', '13', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.4885836');
INSERT INTO public.ecdc_import VALUES (59692, '30/09/2020', '30', '9', '2020', '23', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.95078012');
INSERT INTO public.ecdc_import VALUES (59693, '29/09/2020', '29', '9', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.71968186');
INSERT INTO public.ecdc_import VALUES (59694, '28/09/2020', '28', '9', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.77745642');
INSERT INTO public.ecdc_import VALUES (59695, '27/09/2020', '27', '9', '2020', '31', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.2974275');
INSERT INTO public.ecdc_import VALUES (59696, '26/09/2020', '26', '9', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.60413273');
INSERT INTO public.ecdc_import VALUES (59697, '25/09/2020', '25', '9', '2020', '13', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.77745642');
INSERT INTO public.ecdc_import VALUES (59698, '24/09/2020', '24', '9', '2020', '12', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.92189283');
INSERT INTO public.ecdc_import VALUES (59699, '23/09/2020', '23', '9', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.41297663');
INSERT INTO public.ecdc_import VALUES (59700, '22/09/2020', '22', '9', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.75962401');
INSERT INTO public.ecdc_import VALUES (59701, '21/09/2020', '21', '9', '2020', '13', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.87517314');
INSERT INTO public.ecdc_import VALUES (59702, '20/09/2020', '20', '9', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.7885113');
INSERT INTO public.ecdc_import VALUES (59703, '19/09/2020', '19', '9', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.84628586');
INSERT INTO public.ecdc_import VALUES (59704, '18/09/2020', '18', '9', '2020', '20', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.93294771');
INSERT INTO public.ecdc_import VALUES (59711, '11/09/2020', '11', '9', '2020', '18', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.00855468');
INSERT INTO public.ecdc_import VALUES (59712, '10/09/2020', '10', '9', '2020', '29', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.71968186');
INSERT INTO public.ecdc_import VALUES (59713, '09/09/2020', '9', '9', '2020', '19', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.08416165');
INSERT INTO public.ecdc_import VALUES (59714, '08/09/2020', '8', '9', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.62196514');
INSERT INTO public.ecdc_import VALUES (59715, '07/09/2020', '7', '9', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.39086688');
INSERT INTO public.ecdc_import VALUES (59716, '06/09/2020', '6', '9', '2020', '16', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.27531775');
INSERT INTO public.ecdc_import VALUES (59717, '05/09/2020', '5', '9', '2020', '17', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.95755765');
INSERT INTO public.ecdc_import VALUES (59718, '04/09/2020', '4', '9', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.75534667');
INSERT INTO public.ecdc_import VALUES (59719, '03/09/2020', '3', '9', '2020', '15', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.84200852');
INSERT INTO public.ecdc_import VALUES (59720, '02/09/2020', '2', '9', '2020', '16', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.63979755');
INSERT INTO public.ecdc_import VALUES (59721, '01/09/2020', '1', '9', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.98644493');
INSERT INTO public.ecdc_import VALUES (59722, '31/08/2020', '31', '8', '2020', '15', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.18865591');
INSERT INTO public.ecdc_import VALUES (59723, '30/08/2020', '30', '8', '2020', '14', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.92867037');
INSERT INTO public.ecdc_import VALUES (59724, '29/08/2020', '29', '8', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.89978309');
INSERT INTO public.ecdc_import VALUES (59725, '28/08/2020', '28', '8', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.10199406');
INSERT INTO public.ecdc_import VALUES (59726, '27/08/2020', '27', '8', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.33309232');
INSERT INTO public.ecdc_import VALUES (59727, '26/08/2020', '26', '8', '2020', '3', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.3619796');
INSERT INTO public.ecdc_import VALUES (59728, '25/08/2020', '25', '8', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.88195068');
INSERT INTO public.ecdc_import VALUES (59729, '24/08/2020', '24', '8', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.02638709');
INSERT INTO public.ecdc_import VALUES (59730, '23/08/2020', '23', '8', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.37303447');
INSERT INTO public.ecdc_import VALUES (59731, '22/08/2020', '22', '8', '2020', '10', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.51747088');
INSERT INTO public.ecdc_import VALUES (59732, '21/08/2020', '21', '8', '2020', '13', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.43080904');
INSERT INTO public.ecdc_import VALUES (59733, '20/08/2020', '20', '8', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.31525991');
INSERT INTO public.ecdc_import VALUES (59734, '19/08/2020', '19', '8', '2020', '28', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.34414719');
INSERT INTO public.ecdc_import VALUES (59735, '18/08/2020', '18', '8', '2020', '17', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.79528883');
INSERT INTO public.ecdc_import VALUES (59736, '17/08/2020', '17', '8', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.44864145');
INSERT INTO public.ecdc_import VALUES (59737, '16/08/2020', '16', '8', '2020', '13', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.50641601');
INSERT INTO public.ecdc_import VALUES (59738, '15/08/2020', '15', '8', '2020', '12', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.53530329');
INSERT INTO public.ecdc_import VALUES (59739, '14/08/2020', '14', '8', '2020', '16', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.79528883');
INSERT INTO public.ecdc_import VALUES (59740, '13/08/2020', '13', '8', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.50641601');
INSERT INTO public.ecdc_import VALUES (59741, '12/08/2020', '12', '8', '2020', '21', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.82417611');
INSERT INTO public.ecdc_import VALUES (59742, '11/08/2020', '11', '8', '2020', '11', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.6797397');
INSERT INTO public.ecdc_import VALUES (59743, '10/08/2020', '10', '8', '2020', '18', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.65085242');
INSERT INTO public.ecdc_import VALUES (59744, '09/08/2020', '9', '8', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.65085242');
INSERT INTO public.ecdc_import VALUES (59745, '08/08/2020', '8', '8', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.59307786');
INSERT INTO public.ecdc_import VALUES (59746, '07/08/2020', '7', '8', '2020', '9', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.11304893');
INSERT INTO public.ecdc_import VALUES (59747, '06/08/2020', '6', '8', '2020', '9', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.54635817');
INSERT INTO public.ecdc_import VALUES (59748, '05/08/2020', '5', '8', '2020', '9', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.89300555');
INSERT INTO public.ecdc_import VALUES (59749, '04/08/2020', '4', '8', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.55741304');
INSERT INTO public.ecdc_import VALUES (59750, '03/08/2020', '3', '8', '2020', '8', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.70184945');
INSERT INTO public.ecdc_import VALUES (59751, '02/08/2020', '2', '8', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.75962401');
INSERT INTO public.ecdc_import VALUES (59752, '01/08/2020', '1', '8', '2020', '21', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.55741304');
INSERT INTO public.ecdc_import VALUES (59753, '31/07/2020', '31', '7', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.75962401');
INSERT INTO public.ecdc_import VALUES (59754, '30/07/2020', '30', '7', '2020', '19', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.58630032');
INSERT INTO public.ecdc_import VALUES (59755, '29/07/2020', '29', '7', '2020', '16', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.38408935');
INSERT INTO public.ecdc_import VALUES (59756, '28/07/2020', '28', '7', '2020', '10', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.15299109');
INSERT INTO public.ecdc_import VALUES (59757, '27/07/2020', '27', '7', '2020', '18', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.92189283');
INSERT INTO public.ecdc_import VALUES (59758, '26/07/2020', '26', '7', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.43080904');
INSERT INTO public.ecdc_import VALUES (59759, '25/07/2020', '25', '7', '2020', '25', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.22859806');
INSERT INTO public.ecdc_import VALUES (59760, '24/07/2020', '24', '7', '2020', '24', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.73751427');
INSERT INTO public.ecdc_import VALUES (59761, '23/07/2020', '23', '7', '2020', '21', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.13088134');
INSERT INTO public.ecdc_import VALUES (59762, '22/07/2020', '22', '7', '2020', '32', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.78423396');
INSERT INTO public.ecdc_import VALUES (59763, '21/07/2020', '21', '7', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.00427734');
INSERT INTO public.ecdc_import VALUES (59764, '20/07/2020', '20', '7', '2020', '10', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.83095365');
INSERT INTO public.ecdc_import VALUES (59765, '19/07/2020', '19', '7', '2020', '7', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.57096811');
INSERT INTO public.ecdc_import VALUES (59766, '18/07/2020', '18', '7', '2020', '28', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.45541898');
INSERT INTO public.ecdc_import VALUES (59767, '17/07/2020', '17', '7', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.79101149');
INSERT INTO public.ecdc_import VALUES (59768, '16/07/2020', '16', '7', '2020', '12', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.90656062');
INSERT INTO public.ecdc_import VALUES (59769, '15/07/2020', '15', '7', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.76212421');
INSERT INTO public.ecdc_import VALUES (59770, '14/07/2020', '14', '7', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.64657508');
INSERT INTO public.ecdc_import VALUES (59771, '13/07/2020', '13', '7', '2020', '1', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.67546236');
INSERT INTO public.ecdc_import VALUES (59772, '12/07/2020', '12', '7', '2020', '1', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.79101149');
INSERT INTO public.ecdc_import VALUES (59773, '11/07/2020', '11', '7', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.90656062');
INSERT INTO public.ecdc_import VALUES (59774, '10/07/2020', '10', '7', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.02210975');
INSERT INTO public.ecdc_import VALUES (59775, '09/07/2020', '9', '7', '2020', '9', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.07988431');
INSERT INTO public.ecdc_import VALUES (59776, '08/07/2020', '8', '7', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.31098257');
INSERT INTO public.ecdc_import VALUES (59777, '07/07/2020', '7', '7', '2020', '4', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.253208');
INSERT INTO public.ecdc_import VALUES (59778, '06/07/2020', '6', '7', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.31098257');
INSERT INTO public.ecdc_import VALUES (59779, '05/07/2020', '5', '7', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.77317908');
INSERT INTO public.ecdc_import VALUES (59780, '04/07/2020', '4', '7', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.85984093');
INSERT INTO public.ecdc_import VALUES (59781, '03/07/2020', '3', '7', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.80206637');
INSERT INTO public.ecdc_import VALUES (59782, '02/07/2020', '2', '7', '2020', '7', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.71540452');
INSERT INTO public.ecdc_import VALUES (59783, '01/07/2020', '1', '7', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.51319354');
INSERT INTO public.ecdc_import VALUES (59784, '30/06/2020', '30', '6', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.4265317');
INSERT INTO public.ecdc_import VALUES (59785, '29/06/2020', '29', '6', '2020', '5', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.33986985');
INSERT INTO public.ecdc_import VALUES (59786, '28/06/2020', '28', '6', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.22432072');
INSERT INTO public.ecdc_import VALUES (59787, '27/06/2020', '27', '6', '2020', '12', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.07988431');
INSERT INTO public.ecdc_import VALUES (59788, '26/06/2020', '26', '6', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.73323693');
INSERT INTO public.ecdc_import VALUES (59789, '25/06/2020', '25', '6', '2020', '17', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.58880052');
INSERT INTO public.ecdc_import VALUES (59790, '24/06/2020', '24', '6', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.126604');
INSERT INTO public.ecdc_import VALUES (59791, '23/06/2020', '23', '6', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.06882944');
INSERT INTO public.ecdc_import VALUES (59792, '22/06/2020', '22', '6', '2020', '17', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.89550575');
INSERT INTO public.ecdc_import VALUES (59793, '21/06/2020', '21', '6', '2020', '6', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.40442195');
INSERT INTO public.ecdc_import VALUES (59794, '20/06/2020', '20', '6', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.54885836');
INSERT INTO public.ecdc_import VALUES (59795, '19/06/2020', '19', '6', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.51997108');
INSERT INTO public.ecdc_import VALUES (59796, '18/06/2020', '18', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.60663292');
INSERT INTO public.ecdc_import VALUES (59797, '17/06/2020', '17', '6', '2020', '1', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.66440749');
INSERT INTO public.ecdc_import VALUES (59798, '16/06/2020', '16', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.66440749');
INSERT INTO public.ecdc_import VALUES (59799, '15/06/2020', '15', '6', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.72218205');
INSERT INTO public.ecdc_import VALUES (59800, '14/06/2020', '14', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.75106933');
INSERT INTO public.ecdc_import VALUES (59801, '13/06/2020', '13', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '0.89550575');
INSERT INTO public.ecdc_import VALUES (59802, '12/06/2020', '12', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.03994216');
INSERT INTO public.ecdc_import VALUES (59803, '11/06/2020', '11', '6', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.27104041');
INSERT INTO public.ecdc_import VALUES (59804, '10/06/2020', '10', '6', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.64657508');
INSERT INTO public.ecdc_import VALUES (59805, '09/06/2020', '9', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.67546236');
INSERT INTO public.ecdc_import VALUES (59806, '08/06/2020', '8', '6', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.19543344');
INSERT INTO public.ecdc_import VALUES (59807, '07/06/2020', '7', '6', '2020', '11', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.33986985');
INSERT INTO public.ecdc_import VALUES (59808, '06/06/2020', '6', '6', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.33986985');
INSERT INTO public.ecdc_import VALUES (59809, '05/06/2020', '5', '6', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.39764442');
INSERT INTO public.ecdc_import VALUES (59810, '04/06/2020', '4', '6', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.36875713');
INSERT INTO public.ecdc_import VALUES (59811, '03/06/2020', '3', '6', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.54208083');
INSERT INTO public.ecdc_import VALUES (59812, '02/06/2020', '2', '6', '2020', '2', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.54208083');
INSERT INTO public.ecdc_import VALUES (59813, '01/06/2020', '1', '6', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.57096811');
INSERT INTO public.ecdc_import VALUES (59814, '31/05/2020', '31', '5', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.54208083');
INSERT INTO public.ecdc_import VALUES (59815, '30/05/2020', '30', '5', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.4265317');
INSERT INTO public.ecdc_import VALUES (59816, '29/05/2020', '29', '5', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.51319354');
INSERT INTO public.ecdc_import VALUES (59817, '28/05/2020', '28', '5', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.4265317');
INSERT INTO public.ecdc_import VALUES (59818, '27/05/2020', '27', '5', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.07988431');
INSERT INTO public.ecdc_import VALUES (59819, '26/05/2020', '26', '5', '2020', '18', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.19543344');
INSERT INTO public.ecdc_import VALUES (59820, '25/05/2020', '25', '5', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.79101149');
INSERT INTO public.ecdc_import VALUES (59821, '24/05/2020', '24', '5', '2020', '11', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.79101149');
INSERT INTO public.ecdc_import VALUES (59822, '23/05/2020', '23', '5', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.70434964');
INSERT INTO public.ecdc_import VALUES (59823, '22/05/2020', '22', '5', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.87767334');
INSERT INTO public.ecdc_import VALUES (59824, '21/05/2020', '21', '5', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.10877159');
INSERT INTO public.ecdc_import VALUES (59825, '20/05/2020', '20', '5', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '1.96433518');
INSERT INTO public.ecdc_import VALUES (59826, '19/05/2020', '19', '5', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.31098257');
INSERT INTO public.ecdc_import VALUES (59827, '18/05/2020', '18', '5', '2020', '1', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.28209529');
INSERT INTO public.ecdc_import VALUES (59828, '17/05/2020', '17', '5', '2020', '1', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.33986985');
INSERT INTO public.ecdc_import VALUES (59829, '16/05/2020', '16', '5', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.4265317');
INSERT INTO public.ecdc_import VALUES (59830, '15/05/2020', '15', '5', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.33986985');
INSERT INTO public.ecdc_import VALUES (59831, '14/05/2020', '14', '5', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.57096811');
INSERT INTO public.ecdc_import VALUES (59832, '13/05/2020', '13', '5', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.65762995');
INSERT INTO public.ecdc_import VALUES (59833, '12/05/2020', '12', '5', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.62874267');
INSERT INTO public.ecdc_import VALUES (59834, '11/05/2020', '11', '5', '2020', '5', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '2.91761549');
INSERT INTO public.ecdc_import VALUES (59835, '10/05/2020', '10', '5', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.0620519');
INSERT INTO public.ecdc_import VALUES (59836, '09/05/2020', '9', '5', '2020', '10', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.78423396');
INSERT INTO public.ecdc_import VALUES (59837, '08/05/2020', '8', '5', '2020', '11', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.66868483');
INSERT INTO public.ecdc_import VALUES (59838, '07/05/2020', '7', '5', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.58202298');
INSERT INTO public.ecdc_import VALUES (59839, '06/05/2020', '6', '5', '2020', '13', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.66868483');
INSERT INTO public.ecdc_import VALUES (59840, '05/05/2020', '5', '5', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.52424842');
INSERT INTO public.ecdc_import VALUES (59841, '04/05/2020', '4', '5', '2020', '3', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.66868483');
INSERT INTO public.ecdc_import VALUES (59842, '03/05/2020', '3', '5', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.89978309');
INSERT INTO public.ecdc_import VALUES (59843, '02/05/2020', '2', '5', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.0442195');
INSERT INTO public.ecdc_import VALUES (59844, '01/05/2020', '1', '5', '2020', '13', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.07310678');
INSERT INTO public.ecdc_import VALUES (59845, '30/04/2020', '30', '4', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.95755765');
INSERT INTO public.ecdc_import VALUES (59846, '29/04/2020', '29', '4', '2020', '5', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.10199406');
INSERT INTO public.ecdc_import VALUES (59847, '28/04/2020', '28', '4', '2020', '14', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.27531775');
INSERT INTO public.ecdc_import VALUES (59848, '27/04/2020', '27', '4', '2020', '10', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.07310678');
INSERT INTO public.ecdc_import VALUES (59849, '26/04/2020', '26', '4', '2020', '33', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.13088134');
INSERT INTO public.ecdc_import VALUES (59850, '25/04/2020', '25', '4', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.37981201');
INSERT INTO public.ecdc_import VALUES (59851, '24/04/2020', '24', '4', '2020', '8', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.58202298');
INSERT INTO public.ecdc_import VALUES (59852, '23/04/2020', '23', '4', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.5531357');
INSERT INTO public.ecdc_import VALUES (59853, '22/04/2020', '22', '4', '2020', '8', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.63979755');
INSERT INTO public.ecdc_import VALUES (59854, '21/04/2020', '21', '4', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.58202298');
INSERT INTO public.ecdc_import VALUES (59855, '20/04/2020', '20', '4', '2020', '11', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.49536114');
INSERT INTO public.ecdc_import VALUES (59856, '19/04/2020', '19', '4', '2020', '9', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.66868483');
INSERT INTO public.ecdc_import VALUES (59857, '18/04/2020', '18', '4', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '3.95755765');
INSERT INTO public.ecdc_import VALUES (59858, '17/04/2020', '17', '4', '2020', '9', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.13088134');
INSERT INTO public.ecdc_import VALUES (59859, '16/04/2020', '16', '4', '2020', '10', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.39086688');
INSERT INTO public.ecdc_import VALUES (59860, '15/04/2020', '15', '4', '2020', '11', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.41975416');
INSERT INTO public.ecdc_import VALUES (59861, '14/04/2020', '14', '4', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.27531775');
INSERT INTO public.ecdc_import VALUES (59862, '13/04/2020', '13', '4', '2020', '12', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '4.91083796');
INSERT INTO public.ecdc_import VALUES (59863, '12/04/2020', '12', '4', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.60413273');
INSERT INTO public.ecdc_import VALUES (59864, '11/04/2020', '11', '4', '2020', '13', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.00855468');
INSERT INTO public.ecdc_import VALUES (59865, '10/04/2020', '10', '4', '2020', '7', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '5.63302001');
INSERT INTO public.ecdc_import VALUES (59866, '09/04/2020', '9', '4', '2020', '9', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.03744196');
INSERT INTO public.ecdc_import VALUES (59867, '08/04/2020', '8', '4', '2020', '6', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.58630032');
INSERT INTO public.ecdc_import VALUES (59868, '07/04/2020', '7', '4', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.19293325');
INSERT INTO public.ecdc_import VALUES (59869, '06/04/2020', '6', '4', '2020', '17', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.19293325');
INSERT INTO public.ecdc_import VALUES (59870, '05/04/2020', '5', '4', '2020', '19', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.36625694');
INSERT INTO public.ecdc_import VALUES (59871, '04/04/2020', '4', '4', '2020', '12', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.53958063');
INSERT INTO public.ecdc_import VALUES (59872, '03/04/2020', '3', '4', '2020', '18', '2', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.65512976');
INSERT INTO public.ecdc_import VALUES (59873, '02/04/2020', '2', '4', '2020', '11', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.56846791');
INSERT INTO public.ecdc_import VALUES (59874, '01/04/2020', '1', '4', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.08843899');
INSERT INTO public.ecdc_import VALUES (59875, '31/03/2020', '31', '3', '2020', '29', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.52174822');
INSERT INTO public.ecdc_import VALUES (59876, '30/03/2020', '30', '3', '2020', '36', '1', '3461731', 'Uruguay', 'UY', 'URY', 'America', '8.29064997');
INSERT INTO public.ecdc_import VALUES (59877, '29/03/2020', '29', '3', '2020', '21', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '7.30848237');
INSERT INTO public.ecdc_import VALUES (59878, '28/03/2020', '28', '3', '2020', '0', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '6.87517314');
INSERT INTO public.ecdc_import VALUES (59879, '27/03/2020', '27', '3', '2020', '21', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59880, '26/03/2020', '26', '3', '2020', '28', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59881, '25/03/2020', '25', '3', '2020', '27', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59882, '24/03/2020', '24', '3', '2020', '4', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59883, '23/03/2020', '23', '3', '2020', '23', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59884, '22/03/2020', '22', '3', '2020', '25', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59885, '21/03/2020', '21', '3', '2020', '16', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59886, '20/03/2020', '20', '3', '2020', '15', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59887, '19/03/2020', '19', '3', '2020', '29', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59888, '18/03/2020', '18', '3', '2020', '21', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59889, '17/03/2020', '17', '3', '2020', '21', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59890, '16/03/2020', '16', '3', '2020', '2', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59891, '15/03/2020', '15', '3', '2020', '6', '0', '3461731', 'Uruguay', 'UY', 'URY', 'America', '');
INSERT INTO public.ecdc_import VALUES (59892, '14/12/2020', '14', '12', '2020', '138', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.74313025');
INSERT INTO public.ecdc_import VALUES (59893, '13/12/2020', '13', '12', '2020', '145', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.72246076');
INSERT INTO public.ecdc_import VALUES (59894, '12/12/2020', '12', '12', '2020', '147', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.28282322');
INSERT INTO public.ecdc_import VALUES (59895, '11/12/2020', '11', '12', '2020', '166', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.83712172');
INSERT INTO public.ecdc_import VALUES (59896, '10/12/2020', '10', '12', '2020', '146', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.88563345');
INSERT INTO public.ecdc_import VALUES (59897, '09/12/2020', '9', '12', '2020', '146', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.01297674');
INSERT INTO public.ecdc_import VALUES (59898, '08/12/2020', '8', '12', '2020', '153', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.15244795');
INSERT INTO public.ecdc_import VALUES (59899, '07/12/2020', '7', '12', '2020', '461', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.38591065');
INSERT INTO public.ecdc_import VALUES (59900, '06/12/2020', '6', '12', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.00994475');
INSERT INTO public.ecdc_import VALUES (59901, '05/12/2020', '5', '12', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.00994475');
INSERT INTO public.ecdc_import VALUES (59902, '04/12/2020', '4', '12', '2020', '161', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.6436292');
INSERT INTO public.ecdc_import VALUES (59903, '03/12/2020', '3', '12', '2020', '337', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.80129232');
INSERT INTO public.ecdc_import VALUES (59904, '02/12/2020', '2', '12', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.41623048');
INSERT INTO public.ecdc_import VALUES (59905, '01/12/2020', '1', '12', '2020', '224', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.03475502');
INSERT INTO public.ecdc_import VALUES (59906, '30/11/2020', '30', '11', '2020', '461', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.96501941');
INSERT INTO public.ecdc_import VALUES (59907, '29/11/2020', '29', '11', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.27428167');
INSERT INTO public.ecdc_import VALUES (59908, '28/11/2020', '28', '11', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.27428167');
INSERT INTO public.ecdc_import VALUES (59909, '27/11/2020', '27', '11', '2020', '182', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.4652966');
INSERT INTO public.ecdc_import VALUES (59910, '26/11/2020', '26', '11', '2020', '188', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.58051196');
INSERT INTO public.ecdc_import VALUES (59911, '25/11/2020', '25', '11', '2020', '192', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.68966335');
INSERT INTO public.ecdc_import VALUES (59912, '24/11/2020', '24', '11', '2020', '230', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.55019213');
INSERT INTO public.ecdc_import VALUES (59913, '23/11/2020', '23', '11', '2020', '337', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.57747998');
INSERT INTO public.ecdc_import VALUES (59914, '22/11/2020', '22', '11', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.83216655');
INSERT INTO public.ecdc_import VALUES (59915, '21/11/2020', '21', '11', '2020', '209', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.52345868');
INSERT INTO public.ecdc_import VALUES (59916, '20/11/2020', '20', '11', '2020', '213', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.88977423');
INSERT INTO public.ecdc_import VALUES (59917, '19/11/2020', '19', '11', '2020', '210', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.33547573');
INSERT INTO public.ecdc_import VALUES (59918, '18/11/2020', '18', '11', '2020', '204', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.38398746');
INSERT INTO public.ecdc_import VALUES (59919, '17/11/2020', '17', '11', '2020', '201', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.67202585');
INSERT INTO public.ecdc_import VALUES (59920, '16/11/2020', '16', '11', '2020', '563', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.3597316');
INSERT INTO public.ecdc_import VALUES (59921, '15/11/2020', '15', '11', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.95895544');
INSERT INTO public.ecdc_import VALUES (59922, '14/11/2020', '14', '11', '2020', '63', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.25361219');
INSERT INTO public.ecdc_import VALUES (59923, '13/11/2020', '13', '11', '2020', '220', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.3233478');
INSERT INTO public.ecdc_import VALUES (59924, '12/11/2020', '12', '11', '2020', '224', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.35063565');
INSERT INTO public.ecdc_import VALUES (59925, '11/11/2020', '11', '11', '2020', '146', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.50829876');
INSERT INTO public.ecdc_import VALUES (59926, '10/11/2020', '10', '11', '2020', '239', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.89032863');
INSERT INTO public.ecdc_import VALUES (59927, '09/11/2020', '9', '11', '2020', '421', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.02979985');
INSERT INTO public.ecdc_import VALUES (59928, '08/11/2020', '8', '11', '2020', '228', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.60229024');
INSERT INTO public.ecdc_import VALUES (59929, '07/11/2020', '7', '11', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.09043951');
INSERT INTO public.ecdc_import VALUES (59930, '06/11/2020', '6', '11', '2020', '360', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.63013248');
INSERT INTO public.ecdc_import VALUES (59931, '05/11/2020', '5', '11', '2020', '226', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.44214954');
INSERT INTO public.ecdc_import VALUES (59932, '04/11/2020', '4', '11', '2020', '299', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.74231586');
INSERT INTO public.ecdc_import VALUES (59933, '03/11/2020', '3', '11', '2020', '98', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.6634843');
INSERT INTO public.ecdc_import VALUES (59934, '02/11/2020', '2', '11', '2020', '101', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '11.29716875');
INSERT INTO public.ecdc_import VALUES (59935, '01/11/2020', '1', '11', '2020', '427', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '11.91872527');
INSERT INTO public.ecdc_import VALUES (59936, '31/10/2020', '31', '10', '2020', '86', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.26133935');
INSERT INTO public.ecdc_import VALUES (59937, '30/10/2020', '30', '10', '2020', '229', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.30378711');
INSERT INTO public.ecdc_import VALUES (59938, '29/10/2020', '29', '10', '2020', '276', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.54634576');
INSERT INTO public.ecdc_import VALUES (59939, '28/10/2020', '28', '10', '2020', '272', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.66762508');
INSERT INTO public.ecdc_import VALUES (59940, '27/10/2020', '27', '10', '2020', '285', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.82832018');
INSERT INTO public.ecdc_import VALUES (59941, '26/10/2020', '26', '10', '2020', '280', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.28614961');
INSERT INTO public.ecdc_import VALUES (59942, '25/10/2020', '25', '10', '2020', '389', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.0557189');
INSERT INTO public.ecdc_import VALUES (59943, '24/10/2020', '24', '10', '2020', '178', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.54993214');
INSERT INTO public.ecdc_import VALUES (59944, '23/10/2020', '23', '10', '2020', '298', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.67727542');
INSERT INTO public.ecdc_import VALUES (59945, '22/10/2020', '22', '10', '2020', '325', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.4316848');
INSERT INTO public.ecdc_import VALUES (59946, '21/10/2020', '21', '10', '2020', '273', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.15026478');
INSERT INTO public.ecdc_import VALUES (59947, '20/10/2020', '20', '10', '2020', '307', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.52623067');
INSERT INTO public.ecdc_import VALUES (59948, '19/10/2020', '19', '10', '2020', '306', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.85919441');
INSERT INTO public.ecdc_import VALUES (59949, '18/10/2020', '18', '10', '2020', '540', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.25941616');
INSERT INTO public.ecdc_import VALUES (59950, '17/10/2020', '17', '10', '2020', '100', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.57777438');
INSERT INTO public.ecdc_import VALUES (59951, '16/10/2020', '16', '10', '2020', '309', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '15.25087461');
INSERT INTO public.ecdc_import VALUES (59952, '15/10/2020', '15', '10', '2020', '316', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '15.6996081');
INSERT INTO public.ecdc_import VALUES (59953, '14/10/2020', '14', '10', '2020', '325', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '16.19078935');
INSERT INTO public.ecdc_import VALUES (59954, '13/10/2020', '13', '10', '2020', '436', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '16.57281921');
INSERT INTO public.ecdc_import VALUES (59955, '12/10/2020', '12', '10', '2020', '204', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '16.69106655');
INSERT INTO public.ecdc_import VALUES (59956, '11/10/2020', '11', '10', '2020', '552', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '18.01301115');
INSERT INTO public.ecdc_import VALUES (59957, '10/10/2020', '10', '10', '2020', '220', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '17.82806018');
INSERT INTO public.ecdc_import VALUES (59958, '09/10/2020', '9', '10', '2020', '217', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '18.6648875');
INSERT INTO public.ecdc_import VALUES (59959, '08/10/2020', '8', '10', '2020', '562', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '18.91351011');
INSERT INTO public.ecdc_import VALUES (59960, '07/10/2020', '7', '10', '2020', '397', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '19.07723719');
INSERT INTO public.ecdc_import VALUES (59961, '06/10/2020', '6', '10', '2020', '87', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '19.57145042');
INSERT INTO public.ecdc_import VALUES (59962, '05/10/2020', '5', '10', '2020', '438', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '21.43611998');
INSERT INTO public.ecdc_import VALUES (59963, '04/10/2020', '4', '10', '2020', '645', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '21.78783001');
INSERT INTO public.ecdc_import VALUES (59964, '03/10/2020', '3', '10', '2020', '322', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.80960829');
INSERT INTO public.ecdc_import VALUES (59965, '02/10/2020', '2', '10', '2020', '457', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.61859336');
INSERT INTO public.ecdc_import VALUES (59966, '01/10/2020', '1', '10', '2020', '478', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.07945478');
INSERT INTO public.ecdc_import VALUES (59967, '30/09/2020', '30', '9', '2020', '451', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.47664456');
INSERT INTO public.ecdc_import VALUES (59968, '29/09/2020', '29', '9', '2020', '475', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.8798983');
INSERT INTO public.ecdc_import VALUES (59969, '28/09/2020', '28', '9', '2020', '640', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.17400065');
INSERT INTO public.ecdc_import VALUES (59970, '27/09/2020', '27', '9', '2020', '491', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.98601771');
INSERT INTO public.ecdc_import VALUES (59971, '26/09/2020', '26', '9', '2020', '496', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.14671281');
INSERT INTO public.ecdc_import VALUES (59972, '25/09/2020', '25', '9', '2020', '299', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.37411153');
INSERT INTO public.ecdc_import VALUES (59973, '24/09/2020', '24', '9', '2020', '616', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '25.79307959');
INSERT INTO public.ecdc_import VALUES (59974, '23/09/2020', '23', '9', '2020', '560', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '25.75366381');
INSERT INTO public.ecdc_import VALUES (59975, '22/09/2020', '22', '9', '2020', '702', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '25.42014568');
INSERT INTO public.ecdc_import VALUES (59976, '21/09/2020', '21', '9', '2020', '554', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.29831196');
INSERT INTO public.ecdc_import VALUES (59977, '20/09/2020', '20', '9', '2020', '982', '10', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.52515629');
INSERT INTO public.ecdc_import VALUES (59978, '19/09/2020', '19', '9', '2020', '259', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '21.99703684');
INSERT INTO public.ecdc_import VALUES (59979, '18/09/2020', '18', '9', '2020', '609', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '21.49372766');
INSERT INTO public.ecdc_import VALUES (59980, '17/09/2020', '17', '9', '2020', '609', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '20.7539238');
INSERT INTO public.ecdc_import VALUES (59981, '16/09/2020', '16', '9', '2020', '584', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '19.42288326');
INSERT INTO public.ecdc_import VALUES (59982, '15/09/2020', '15', '9', '2020', '572', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '18.79223079');
INSERT INTO public.ecdc_import VALUES (59983, '14/09/2020', '14', '9', '2020', '578', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '18.09790667');
INSERT INTO public.ecdc_import VALUES (59984, '13/09/2020', '13', '9', '2020', '544', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '17.40055058');
INSERT INTO public.ecdc_import VALUES (59985, '12/09/2020', '12', '9', '2020', '571', '7', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '16.81234587');
INSERT INTO public.ecdc_import VALUES (59986, '11/09/2020', '11', '9', '2020', '767', '7', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '16.11195779');
INSERT INTO public.ecdc_import VALUES (59987, '10/09/2020', '10', '9', '2020', '603', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '15.05379572');
INSERT INTO public.ecdc_import VALUES (59988, '09/09/2020', '9', '9', '2020', '450', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.45346308');
INSERT INTO public.ecdc_import VALUES (59989, '08/09/2020', '8', '9', '2020', '332', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.9501539');
INSERT INTO public.ecdc_import VALUES (59990, '07/09/2020', '7', '9', '2020', '299', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.64144603');
INSERT INTO public.ecdc_import VALUES (59991, '06/09/2020', '6', '9', '2020', '478', '7', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.48681489');
INSERT INTO public.ecdc_import VALUES (59992, '05/09/2020', '5', '9', '2020', '93', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.45346308');
INSERT INTO public.ecdc_import VALUES (59993, '04/09/2020', '4', '9', '2020', '365', '7', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '15.40247376');
INSERT INTO public.ecdc_import VALUES (59994, '03/09/2020', '3', '9', '2020', '170', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '15.68748017');
INSERT INTO public.ecdc_import VALUES (59995, '02/09/2020', '2', '9', '2020', '376', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '17.00942477');
INSERT INTO public.ecdc_import VALUES (59996, '01/09/2020', '1', '9', '2020', '343', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '17.87050795');
INSERT INTO public.ecdc_import VALUES (59997, '31/08/2020', '31', '8', '2020', '348', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '20.33551015');
INSERT INTO public.ecdc_import VALUES (59998, '30/08/2020', '30', '8', '2020', '350', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '19.28038005');
INSERT INTO public.ecdc_import VALUES (59999, '29/08/2020', '29', '8', '2020', '340', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '20.32035023');
INSERT INTO public.ecdc_import VALUES (60000, '28/08/2020', '28', '8', '2020', '418', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '21.38154429');
INSERT INTO public.ecdc_import VALUES (60001, '27/08/2020', '27', '8', '2020', '405', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.30933109');
INSERT INTO public.ecdc_import VALUES (60002, '26/08/2020', '26', '8', '2020', '284', '7', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.96727141');
INSERT INTO public.ecdc_import VALUES (60003, '25/08/2020', '25', '8', '2020', '560', '9', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.13761686');
INSERT INTO public.ecdc_import VALUES (60004, '24/08/2020', '24', '8', '2020', '248', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.63789406');
INSERT INTO public.ecdc_import VALUES (60005, '23/08/2020', '23', '8', '2020', '467', '7', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '25.77488769');
INSERT INTO public.ecdc_import VALUES (60006, '22/08/2020', '22', '8', '2020', '406', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '26.59655509');
INSERT INTO public.ecdc_import VALUES (60007, '21/08/2020', '21', '8', '2020', '459', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '27.33635895');
INSERT INTO public.ecdc_import VALUES (60008, '20/08/2020', '20', '8', '2020', '606', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '28.18834618');
INSERT INTO public.ecdc_import VALUES (60009, '19/08/2020', '19', '8', '2020', '660', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '28.64011165');
INSERT INTO public.ecdc_import VALUES (60010, '18/08/2020', '18', '8', '2020', '1156', '12', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '28.95543788');
INSERT INTO public.ecdc_import VALUES (60011, '17/08/2020', '17', '8', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '27.63955725');
INSERT INTO public.ecdc_import VALUES (60012, '16/08/2020', '16', '8', '2020', '693', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.02875987');
INSERT INTO public.ecdc_import VALUES (60013, '15/08/2020', '15', '8', '2020', '690', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.15913515');
INSERT INTO public.ecdc_import VALUES (60014, '14/08/2020', '14', '8', '2020', '724', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.32892619');
INSERT INTO public.ecdc_import VALUES (60015, '13/08/2020', '13', '8', '2020', '622', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.21371084');
INSERT INTO public.ecdc_import VALUES (60016, '12/08/2020', '12', '8', '2020', '670', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.45930146');
INSERT INTO public.ecdc_import VALUES (60017, '11/08/2020', '11', '8', '2020', '725', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.43807758');
INSERT INTO public.ecdc_import VALUES (60018, '10/08/2020', '10', '8', '2020', '623', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.31983025');
INSERT INTO public.ecdc_import VALUES (60019, '09/08/2020', '9', '8', '2020', '738', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '30.23190274');
INSERT INTO public.ecdc_import VALUES (60020, '08/08/2020', '8', '8', '2020', '650', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '29.73162554');
INSERT INTO public.ecdc_import VALUES (60021, '07/08/2020', '7', '8', '2020', '740', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '29.78316925');
INSERT INTO public.ecdc_import VALUES (60022, '06/08/2020', '6', '8', '2020', '755', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '28.91905409');
INSERT INTO public.ecdc_import VALUES (60023, '05/08/2020', '5', '8', '2020', '764', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '27.72142079');
INSERT INTO public.ecdc_import VALUES (60024, '04/08/2020', '4', '8', '2020', '722', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '27.1665679');
INSERT INTO public.ecdc_import VALUES (60025, '03/08/2020', '3', '8', '2020', '788', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '26.86943356');
INSERT INTO public.ecdc_import VALUES (60026, '02/08/2020', '2', '8', '2020', '736', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '26.10840582');
INSERT INTO public.ecdc_import VALUES (60027, '01/08/2020', '1', '8', '2020', '746', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '25.49291327');
INSERT INTO public.ecdc_import VALUES (60028, '31/07/2020', '31', '7', '2020', '686', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.88954865');
INSERT INTO public.ecdc_import VALUES (60029, '30/07/2020', '30', '7', '2020', '703', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '24.51358275');
INSERT INTO public.ecdc_import VALUES (60030, '29/07/2020', '29', '7', '2020', '663', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.8798983');
INSERT INTO public.ecdc_import VALUES (60031, '28/07/2020', '28', '7', '2020', '686', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.14615841');
INSERT INTO public.ecdc_import VALUES (60032, '27/07/2020', '27', '7', '2020', '594', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.12493453');
INSERT INTO public.ecdc_import VALUES (60033, '26/07/2020', '26', '7', '2020', '573', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '23.38568507');
INSERT INTO public.ecdc_import VALUES (60034, '25/07/2020', '25', '7', '2020', '667', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.57917758');
INSERT INTO public.ecdc_import VALUES (60035, '24/07/2020', '24', '7', '2020', '455', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.02129271');
INSERT INTO public.ecdc_import VALUES (60036, '23/07/2020', '23', '7', '2020', '360', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.04858055');
INSERT INTO public.ecdc_import VALUES (60037, '22/07/2020', '22', '7', '2020', '581', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '22.23353152');
INSERT INTO public.ecdc_import VALUES (60038, '21/07/2020', '21', '7', '2020', '624', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '21.62107095');
INSERT INTO public.ecdc_import VALUES (60039, '20/07/2020', '20', '7', '2020', '537', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '20.68722018');
INSERT INTO public.ecdc_import VALUES (60040, '19/07/2020', '19', '7', '2020', '533', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '20.01108796');
INSERT INTO public.ecdc_import VALUES (60041, '18/07/2020', '18', '7', '2020', '547', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '19.39256342');
INSERT INTO public.ecdc_import VALUES (60042, '17/07/2020', '17', '7', '2020', '562', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '18.6466956');
INSERT INTO public.ecdc_import VALUES (60043, '16/07/2020', '16', '7', '2020', '494', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '17.83715613');
INSERT INTO public.ecdc_import VALUES (60044, '15/07/2020', '15', '7', '2020', '421', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '17.17921582');
INSERT INTO public.ecdc_import VALUES (60045, '14/07/2020', '14', '7', '2020', '679', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '16.90027338');
INSERT INTO public.ecdc_import VALUES (60046, '13/07/2020', '13', '7', '2020', '680', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '15.65109637');
INSERT INTO public.ecdc_import VALUES (60047, '12/07/2020', '12', '7', '2020', '307', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.51713472');
INSERT INTO public.ecdc_import VALUES (60048, '11/07/2020', '11', '7', '2020', '483', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '14.29883194');
INSERT INTO public.ecdc_import VALUES (60049, '10/07/2020', '10', '7', '2020', '464', '5', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '13.6287637');
INSERT INTO public.ecdc_import VALUES (60050, '09/07/2020', '9', '7', '2020', '421', '6', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.94353553');
INSERT INTO public.ecdc_import VALUES (60051, '08/07/2020', '8', '7', '2020', '379', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.37958669');
INSERT INTO public.ecdc_import VALUES (60052, '07/07/2020', '7', '7', '2020', '316', '3', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '12.00362079');
INSERT INTO public.ecdc_import VALUES (60053, '06/07/2020', '6', '7', '2020', '314', '4', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '11.47605575');
INSERT INTO public.ecdc_import VALUES (60054, '05/07/2020', '5', '7', '2020', '329', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.95455467');
INSERT INTO public.ecdc_import VALUES (60055, '04/07/2020', '4', '7', '2020', '301', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.53614101');
INSERT INTO public.ecdc_import VALUES (60056, '03/07/2020', '3', '7', '2020', '295', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '10.13895123');
INSERT INTO public.ecdc_import VALUES (60057, '02/07/2020', '2', '7', '2020', '277', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.72356956');
INSERT INTO public.ecdc_import VALUES (60058, '01/07/2020', '1', '7', '2020', '329', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.29605995');
INSERT INTO public.ecdc_import VALUES (60059, '30/06/2020', '30', '6', '2020', '267', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '9.11110899');
INSERT INTO public.ecdc_import VALUES (60060, '29/06/2020', '29', '6', '2020', '306', '2', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.8776463');
INSERT INTO public.ecdc_import VALUES (60061, '28/06/2020', '28', '6', '2020', '235', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '8.28034564');
INSERT INTO public.ecdc_import VALUES (60062, '27/06/2020', '27', '6', '2020', '262', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.84980405');
INSERT INTO public.ecdc_import VALUES (60063, '26/06/2020', '26', '6', '2020', '238', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '7.30404711');
INSERT INTO public.ecdc_import VALUES (60064, '25/06/2020', '25', '6', '2020', '235', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.95840104');
INSERT INTO public.ecdc_import VALUES (60065, '24/06/2020', '24', '6', '2020', '255', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.69461852');
INSERT INTO public.ecdc_import VALUES (60066, '23/06/2020', '23', '6', '2020', '142', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.22162917');
INSERT INTO public.ecdc_import VALUES (60067, '22/06/2020', '22', '6', '2020', '142', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.08215795');
INSERT INTO public.ecdc_import VALUES (60068, '21/06/2020', '21', '6', '2020', '191', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.17008545');
INSERT INTO public.ecdc_import VALUES (60069, '20/06/2020', '20', '6', '2020', '170', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '6.073062');
INSERT INTO public.ecdc_import VALUES (60070, '19/06/2020', '19', '6', '2020', '158', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '5.73044792');
INSERT INTO public.ecdc_import VALUES (60071, '18/06/2020', '18', '6', '2020', '136', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '5.52730505');
INSERT INTO public.ecdc_import VALUES (60072, '17/06/2020', '17', '6', '2020', '268', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '5.43331358');
INSERT INTO public.ecdc_import VALUES (60073, '16/06/2020', '16', '6', '2020', '190', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '4.77537326');
INSERT INTO public.ecdc_import VALUES (60074, '15/06/2020', '15', '6', '2020', '109', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '4.36908754');
INSERT INTO public.ecdc_import VALUES (60075, '14/06/2020', '14', '6', '2020', '93', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '4.36605556');
INSERT INTO public.ecdc_import VALUES (60076, '13/06/2020', '13', '6', '2020', '82', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '4.20839244');
INSERT INTO public.ecdc_import VALUES (60077, '12/06/2020', '12', '6', '2020', '124', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '4.16897666');
INSERT INTO public.ecdc_import VALUES (60078, '11/06/2020', '11', '6', '2020', '148', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '4.12956088');
INSERT INTO public.ecdc_import VALUES (60079, '10/06/2020', '10', '6', '2020', '99', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.68082739');
INSERT INTO public.ecdc_import VALUES (60080, '09/06/2020', '9', '6', '2020', '96', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.59896385');
INSERT INTO public.ecdc_import VALUES (60081, '08/06/2020', '8', '6', '2020', '171', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.60199583');
INSERT INTO public.ecdc_import VALUES (60082, '07/06/2020', '7', '6', '2020', '159', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.18055019');
INSERT INTO public.ecdc_import VALUES (60083, '06/06/2020', '6', '6', '2020', '57', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.86219198');
INSERT INTO public.ecdc_import VALUES (60084, '05/06/2020', '5', '6', '2020', '91', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.90767172');
INSERT INTO public.ecdc_import VALUES (60085, '04/06/2020', '4', '6', '2020', '105', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.80155231');
INSERT INTO public.ecdc_import VALUES (60086, '03/06/2020', '3', '6', '2020', '51', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.69543291');
INSERT INTO public.ecdc_import VALUES (60087, '02/06/2020', '2', '6', '2020', '56', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.77729645');
INSERT INTO public.ecdc_import VALUES (60088, '01/06/2020', '1', '6', '2020', '108', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.75607257');
INSERT INTO public.ecdc_import VALUES (60089, '31/05/2020', '31', '5', '2020', '41', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.4650022');
INSERT INTO public.ecdc_import VALUES (60090, '30/05/2020', '30', '5', '2020', '69', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.49229005');
INSERT INTO public.ecdc_import VALUES (60091, '29/05/2020', '29', '5', '2020', '111', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.42255444');
INSERT INTO public.ecdc_import VALUES (60092, '28/05/2020', '28', '5', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.18605976');
INSERT INTO public.ecdc_import VALUES (60093, '27/05/2020', '27', '5', '2020', '72', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.38313866');
INSERT INTO public.ecdc_import VALUES (60094, '26/05/2020', '26', '5', '2020', '97', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.28005123');
INSERT INTO public.ecdc_import VALUES (60095, '25/05/2020', '25', '5', '2020', '32', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.26185934');
INSERT INTO public.ecdc_import VALUES (60096, '24/05/2020', '24', '5', '2020', '54', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.25882735');
INSERT INTO public.ecdc_import VALUES (60097, '23/05/2020', '23', '5', '2020', '72', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.2497314');
INSERT INTO public.ecdc_import VALUES (60098, '22/05/2020', '22', '5', '2020', '56', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.14664398');
INSERT INTO public.ecdc_import VALUES (60099, '21/05/2020', '21', '5', '2020', '70', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.17393183');
INSERT INTO public.ecdc_import VALUES (60100, '20/05/2020', '20', '5', '2020', '78', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.04052458');
INSERT INTO public.ecdc_import VALUES (60101, '19/05/2020', '19', '5', '2020', '49', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.85860559');
INSERT INTO public.ecdc_import VALUES (60102, '18/05/2020', '18', '5', '2020', '12', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.83131775');
INSERT INTO public.ecdc_import VALUES (60103, '17/05/2020', '17', '5', '2020', '50', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.86163758');
INSERT INTO public.ecdc_import VALUES (60104, '16/05/2020', '16', '5', '2020', '46', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.81009387');
INSERT INTO public.ecdc_import VALUES (60105, '15/05/2020', '15', '5', '2020', '33', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.81615783');
INSERT INTO public.ecdc_import VALUES (60106, '14/05/2020', '14', '5', '2020', '65', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.84950964');
INSERT INTO public.ecdc_import VALUES (60107, '13/05/2020', '13', '5', '2020', '38', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.84344568');
INSERT INTO public.ecdc_import VALUES (60108, '12/05/2020', '12', '5', '2020', '91', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.83434973');
INSERT INTO public.ecdc_import VALUES (60109, '11/05/2020', '11', '5', '2020', '31', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.60998299');
INSERT INTO public.ecdc_import VALUES (60110, '10/05/2020', '10', '5', '2020', '51', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.58269514');
INSERT INTO public.ecdc_import VALUES (60111, '09/05/2020', '9', '5', '2020', '38', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.51599151');
INSERT INTO public.ecdc_import VALUES (60112, '08/05/2020', '8', '5', '2020', '65', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.57663117');
INSERT INTO public.ecdc_import VALUES (60113, '07/05/2020', '7', '5', '2020', '26', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.56753522');
INSERT INTO public.ecdc_import VALUES (60114, '06/05/2020', '6', '5', '2020', '18', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.56147126');
INSERT INTO public.ecdc_import VALUES (60115, '05/05/2020', '5', '5', '2020', '40', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.61301497');
INSERT INTO public.ecdc_import VALUES (60116, '04/05/2020', '4', '5', '2020', '22', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.77067809');
INSERT INTO public.ecdc_import VALUES (60117, '03/05/2020', '3', '5', '2020', '33', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.91621327');
INSERT INTO public.ecdc_import VALUES (60118, '02/05/2020', '2', '5', '2020', '48', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.95259707');
INSERT INTO public.ecdc_import VALUES (60119, '01/05/2020', '1', '5', '2020', '44', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.01930069');
INSERT INTO public.ecdc_import VALUES (60120, '30/04/2020', '30', '4', '2020', '63', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.12238812');
INSERT INTO public.ecdc_import VALUES (60121, '29/04/2020', '29', '4', '2020', '35', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.34675486');
INSERT INTO public.ecdc_import VALUES (60122, '28/04/2020', '28', '4', '2020', '17', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.74697662');
INSERT INTO public.ecdc_import VALUES (60123, '27/04/2020', '27', '4', '2020', '22', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.09868665');
INSERT INTO public.ecdc_import VALUES (60124, '26/04/2020', '26', '4', '2020', '29', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.24118985');
INSERT INTO public.ecdc_import VALUES (60125, '25/04/2020', '25', '4', '2020', '58', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.67476343');
INSERT INTO public.ecdc_import VALUES (60126, '24/04/2020', '24', '4', '2020', '62', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.6262517');
INSERT INTO public.ecdc_import VALUES (60127, '23/04/2020', '23', '4', '2020', '24', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.52013229');
INSERT INTO public.ecdc_import VALUES (60128, '22/04/2020', '22', '4', '2020', '35', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.60199583');
INSERT INTO public.ecdc_import VALUES (60129, '21/04/2020', '21', '4', '2020', '92', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.82029861');
INSERT INTO public.ecdc_import VALUES (60130, '20/04/2020', '20', '4', '2020', '70', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.70811524');
INSERT INTO public.ecdc_import VALUES (60131, '19/04/2020', '19', '4', '2020', '45', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.72630714');
INSERT INTO public.ecdc_import VALUES (60132, '18/04/2020', '18', '4', '2020', '70', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.70811524');
INSERT INTO public.ecdc_import VALUES (60133, '17/04/2020', '17', '4', '2020', '78', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.6080598');
INSERT INTO public.ecdc_import VALUES (60134, '16/04/2020', '16', '4', '2020', '137', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.38066107');
INSERT INTO public.ecdc_import VALUES (60135, '15/04/2020', '15', '4', '2020', '167', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '3.00772716');
INSERT INTO public.ecdc_import VALUES (60136, '14/04/2020', '14', '4', '2020', '133', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.57415359');
INSERT INTO public.ecdc_import VALUES (60137, '13/04/2020', '13', '4', '2020', '69', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.18302778');
INSERT INTO public.ecdc_import VALUES (60138, '12/04/2020', '12', '4', '2020', '172', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '2.01020475');
INSERT INTO public.ecdc_import VALUES (60139, '11/04/2020', '11', '4', '2020', '42', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.57663117');
INSERT INTO public.ecdc_import VALUES (60140, '10/04/2020', '10', '4', '2020', '27', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.51295953');
INSERT INTO public.ecdc_import VALUES (60141, '09/04/2020', '9', '4', '2020', '51', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.48567168');
INSERT INTO public.ecdc_import VALUES (60142, '08/04/2020', '8', '4', '2020', '107', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.36136038');
INSERT INTO public.ecdc_import VALUES (60143, '07/04/2020', '7', '4', '2020', '55', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '1.05513009');
INSERT INTO public.ecdc_import VALUES (60144, '06/04/2020', '6', '4', '2020', '76', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.89746698');
INSERT INTO public.ecdc_import VALUES (60145, '05/04/2020', '5', '4', '2020', '39', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.70645204');
INSERT INTO public.ecdc_import VALUES (60146, '04/04/2020', '4', '4', '2020', '37', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.58820471');
INSERT INTO public.ecdc_import VALUES (60147, '03/04/2020', '3', '4', '2020', '3', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.50634117');
INSERT INTO public.ecdc_import VALUES (60148, '02/04/2020', '2', '4', '2020', '14', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.49724522');
INSERT INTO public.ecdc_import VALUES (60149, '01/04/2020', '1', '4', '2020', '24', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.47602133');
INSERT INTO public.ecdc_import VALUES (60150, '31/03/2020', '31', '3', '2020', '4', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.42750961');
INSERT INTO public.ecdc_import VALUES (60151, '30/03/2020', '30', '3', '2020', '12', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.42144564');
INSERT INTO public.ecdc_import VALUES (60152, '29/03/2020', '29', '3', '2020', '29', '1', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '0.40325374');
INSERT INTO public.ecdc_import VALUES (60153, '28/03/2020', '28', '3', '2020', '21', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60154, '27/03/2020', '27', '3', '2020', '18', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60155, '26/03/2020', '26', '3', '2020', '10', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60156, '25/03/2020', '25', '3', '2020', '6', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60157, '24/03/2020', '24', '3', '2020', '3', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60158, '23/03/2020', '23', '3', '2020', '13', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60159, '22/03/2020', '22', '3', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60160, '21/03/2020', '21', '3', '2020', '10', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60161, '20/03/2020', '20', '3', '2020', '0', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60162, '19/03/2020', '19', '3', '2020', '7', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60163, '18/03/2020', '18', '3', '2020', '8', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60164, '17/03/2020', '17', '3', '2020', '2', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60165, '16/03/2020', '16', '3', '2020', '6', '0', '32981715', 'Uzbekistan', 'UZ', 'UZB', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60166, '14/12/2020', '14', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60167, '13/12/2020', '13', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60168, '12/12/2020', '12', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60169, '11/12/2020', '11', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60170, '10/12/2020', '10', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60171, '09/12/2020', '9', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60172, '08/12/2020', '8', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60173, '07/12/2020', '7', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60174, '06/12/2020', '6', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60175, '05/12/2020', '5', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60176, '04/12/2020', '4', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60177, '03/12/2020', '3', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60178, '02/12/2020', '2', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60179, '01/12/2020', '1', '12', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60180, '30/11/2020', '30', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60181, '29/11/2020', '29', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60182, '28/11/2020', '28', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60183, '27/11/2020', '27', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60184, '26/11/2020', '26', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60185, '25/11/2020', '25', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0');
INSERT INTO public.ecdc_import VALUES (60186, '24/11/2020', '24', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '0.3334645');
INSERT INTO public.ecdc_import VALUES (60187, '23/11/2020', '23', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60188, '22/11/2020', '22', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60189, '21/11/2020', '21', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60190, '20/11/2020', '20', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60191, '19/11/2020', '19', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60192, '18/11/2020', '18', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60193, '17/11/2020', '17', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60194, '16/11/2020', '16', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60195, '15/11/2020', '15', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60196, '14/11/2020', '14', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60197, '13/11/2020', '13', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60198, '12/11/2020', '12', '11', '2020', '0', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60199, '11/11/2020', '11', '11', '2020', '1', '0', '299882', 'Vanuatu', 'VU', 'VUT', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60200, '14/12/2020', '14', '12', '2020', '462', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.01455606');
INSERT INTO public.ecdc_import VALUES (60201, '13/12/2020', '13', '12', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.20392456');
INSERT INTO public.ecdc_import VALUES (60202, '12/12/2020', '12', '12', '2020', '435', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.28753325');
INSERT INTO public.ecdc_import VALUES (60203, '11/12/2020', '11', '12', '2020', '428', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.15778075');
INSERT INTO public.ecdc_import VALUES (60204, '10/12/2020', '10', '12', '2020', '468', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.65685998');
INSERT INTO public.ecdc_import VALUES (60205, '09/12/2020', '9', '12', '2020', '480', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.13434317');
INSERT INTO public.ecdc_import VALUES (60206, '08/12/2020', '8', '12', '2020', '462', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.69599015');
INSERT INTO public.ecdc_import VALUES (60207, '07/12/2020', '7', '12', '2020', '265', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.15593922');
INSERT INTO public.ecdc_import VALUES (60208, '06/12/2020', '6', '12', '2020', '300', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.09521301');
INSERT INTO public.ecdc_import VALUES (60209, '05/12/2020', '5', '12', '2020', '810', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.27756787');
INSERT INTO public.ecdc_import VALUES (60210, '04/12/2020', '4', '12', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '15.43704025');
INSERT INTO public.ecdc_import VALUES (60211, '03/12/2020', '3', '12', '2020', '446', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.54168988');
INSERT INTO public.ecdc_import VALUES (60212, '02/12/2020', '2', '12', '2020', '227', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.02969354');
INSERT INTO public.ecdc_import VALUES (60213, '01/12/2020', '1', '12', '2020', '354', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.32426678');
INSERT INTO public.ecdc_import VALUES (60214, '30/11/2020', '30', '11', '2020', '516', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.43999198');
INSERT INTO public.ecdc_import VALUES (60215, '29/11/2020', '29', '11', '2020', '309', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.82518755');
INSERT INTO public.ecdc_import VALUES (60216, '28/11/2020', '28', '11', '2020', '398', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.79713295');
INSERT INTO public.ecdc_import VALUES (60217, '27/11/2020', '27', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.40141691');
INSERT INTO public.ecdc_import VALUES (60218, '26/11/2020', '26', '11', '2020', '319', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.83865975');
INSERT INTO public.ecdc_import VALUES (60219, '25/11/2020', '25', '11', '2020', '355', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.71998282');
INSERT INTO public.ecdc_import VALUES (60220, '24/11/2020', '24', '11', '2020', '308', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.44589544');
INSERT INTO public.ecdc_import VALUES (60221, '23/11/2020', '23', '11', '2020', '818', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.36579357');
INSERT INTO public.ecdc_import VALUES (60222, '22/11/2020', '22', '11', '2020', '352', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.52415576');
INSERT INTO public.ecdc_import VALUES (60223, '21/11/2020', '21', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '15.28975363');
INSERT INTO public.ecdc_import VALUES (60224, '20/11/2020', '20', '11', '2020', '315', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.63637413');
INSERT INTO public.ecdc_import VALUES (60225, '19/11/2020', '19', '11', '2020', '300', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.41082719');
INSERT INTO public.ecdc_import VALUES (60226, '18/11/2020', '18', '11', '2020', '311', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.35877993');
INSERT INTO public.ecdc_import VALUES (60227, '17/11/2020', '17', '11', '2020', '387', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.65335316');
INSERT INTO public.ecdc_import VALUES (60228, '16/11/2020', '16', '11', '2020', '911', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.62880539');
INSERT INTO public.ecdc_import VALUES (60229, '15/11/2020', '15', '11', '2020', '301', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '15.52821768');
INSERT INTO public.ecdc_import VALUES (60230, '14/11/2020', '14', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '15.95955706');
INSERT INTO public.ecdc_import VALUES (60231, '13/11/2020', '13', '11', '2020', '695', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.04316574');
INSERT INTO public.ecdc_import VALUES (60232, '12/11/2020', '12', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.02267989');
INSERT INTO public.ecdc_import VALUES (60233, '11/11/2020', '11', '11', '2020', '562', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.69192823');
INSERT INTO public.ecdc_import VALUES (60234, '10/11/2020', '10', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.95900196');
INSERT INTO public.ecdc_import VALUES (60235, '09/11/2020', '9', '11', '2020', '578', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.64929124');
INSERT INTO public.ecdc_import VALUES (60236, '08/11/2020', '8', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.10573349');
INSERT INTO public.ecdc_import VALUES (60237, '07/11/2020', '7', '11', '2020', '384', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.59262696');
INSERT INTO public.ecdc_import VALUES (60238, '06/11/2020', '6', '11', '2020', '821', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.30506737');
INSERT INTO public.ecdc_import VALUES (60239, '05/11/2020', '5', '11', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.76206471');
INSERT INTO public.ecdc_import VALUES (60240, '04/11/2020', '4', '11', '2020', '395', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.13323298');
INSERT INTO public.ecdc_import VALUES (60241, '03/11/2020', '3', '11', '2020', '380', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '21.28291624');
INSERT INTO public.ecdc_import VALUES (60242, '02/11/2020', '2', '11', '2020', '312', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.95032303');
INSERT INTO public.ecdc_import VALUES (60243, '01/11/2020', '1', '11', '2020', '424', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '21.93518554');
INSERT INTO public.ecdc_import VALUES (60244, '31/10/2020', '31', '10', '2020', '309', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '21.46176427');
INSERT INTO public.ecdc_import VALUES (60245, '30/10/2020', '30', '10', '2020', '404', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '20.37815559');
INSERT INTO public.ecdc_import VALUES (60246, '29/10/2020', '29', '10', '2020', '476', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '20.58856504');
INSERT INTO public.ecdc_import VALUES (60247, '28/10/2020', '28', '10', '2020', '353', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '21.07250678');
INSERT INTO public.ecdc_import VALUES (60248, '27/10/2020', '27', '10', '2020', '482', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '22.06143121');
INSERT INTO public.ecdc_import VALUES (60249, '26/10/2020', '26', '10', '2020', '423', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '22.54186613');
INSERT INTO public.ecdc_import VALUES (60250, '25/10/2020', '25', '10', '2020', '424', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '23.45714726');
INSERT INTO public.ecdc_import VALUES (60251, '24/10/2020', '24', '10', '2020', '302', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '24.62491972');
INSERT INTO public.ecdc_import VALUES (60252, '23/10/2020', '23', '10', '2020', '381', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '25.93997881');
INSERT INTO public.ecdc_import VALUES (60253, '22/10/2020', '22', '10', '2020', '391', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '26.76057568');
INSERT INTO public.ecdc_import VALUES (60254, '21/10/2020', '21', '10', '2020', '1008', '11', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '27.52155654');
INSERT INTO public.ecdc_import VALUES (60255, '20/10/2020', '20', '10', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '26.36781137');
INSERT INTO public.ecdc_import VALUES (60256, '19/10/2020', '19', '10', '2020', '878', '11', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '28.76297231');
INSERT INTO public.ecdc_import VALUES (60257, '18/10/2020', '18', '10', '2020', '289', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '31.34399494');
INSERT INTO public.ecdc_import VALUES (60258, '17/10/2020', '17', '10', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '30.33052274');
INSERT INTO public.ecdc_import VALUES (60259, '16/10/2020', '16', '10', '2020', '464', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '33.10442071');
INSERT INTO public.ecdc_import VALUES (60260, '15/10/2020', '15', '10', '2020', '614', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '34.65794384');
INSERT INTO public.ecdc_import VALUES (60261, '14/10/2020', '14', '10', '2020', '635', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '35.16643335');
INSERT INTO public.ecdc_import VALUES (60262, '13/10/2020', '13', '10', '2020', '619', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '35.8677982');
INSERT INTO public.ecdc_import VALUES (60263, '12/10/2020', '12', '10', '2020', '684', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '36.63228588');
INSERT INTO public.ecdc_import VALUES (60264, '11/10/2020', '11', '10', '2020', '757', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '36.8672431');
INSERT INTO public.ecdc_import VALUES (60265, '10/10/2020', '10', '10', '2020', '677', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '36.55162892');
INSERT INTO public.ecdc_import VALUES (60266, '09/10/2020', '9', '10', '2020', '615', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '37.21792552');
INSERT INTO public.ecdc_import VALUES (60267, '08/10/2020', '8', '10', '2020', '608', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '38.45232765');
INSERT INTO public.ecdc_import VALUES (60268, '07/10/2020', '7', '10', '2020', '679', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '39.77790721');
INSERT INTO public.ecdc_import VALUES (60269, '06/10/2020', '6', '10', '2020', '683', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '40.93866603');
INSERT INTO public.ecdc_import VALUES (60270, '05/10/2020', '5', '10', '2020', '1614', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '41.30337575');
INSERT INTO public.ecdc_import VALUES (60271, '04/10/2020', '4', '10', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '38.12268618');
INSERT INTO public.ecdc_import VALUES (60272, '03/10/2020', '3', '10', '2020', '791', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '40.84047495');
INSERT INTO public.ecdc_import VALUES (60273, '02/10/2020', '2', '10', '2020', '907', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '41.18765055');
INSERT INTO public.ecdc_import VALUES (60274, '01/10/2020', '1', '10', '2020', '759', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '41.05088441');
INSERT INTO public.ecdc_import VALUES (60275, '30/09/2020', '30', '9', '2020', '835', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '41.05789805');
INSERT INTO public.ecdc_import VALUES (60276, '29/09/2020', '29', '9', '2020', '837', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '41.93811093');
INSERT INTO public.ecdc_import VALUES (60277, '28/09/2020', '28', '9', '2020', '751', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '42.61142119');
INSERT INTO public.ecdc_import VALUES (60278, '27/09/2020', '27', '9', '2020', '667', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.16900624');
INSERT INTO public.ecdc_import VALUES (60279, '26/09/2020', '26', '9', '2020', '867', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '44.22105351');
INSERT INTO public.ecdc_import VALUES (60280, '25/09/2020', '25', '9', '2020', '967', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '44.12636925');
INSERT INTO public.ecdc_import VALUES (60281, '24/09/2020', '24', '9', '2020', '986', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '44.4945858');
INSERT INTO public.ecdc_import VALUES (60282, '23/09/2020', '23', '9', '2020', '1010', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '45.20296429');
INSERT INTO public.ecdc_import VALUES (60283, '22/09/2020', '22', '9', '2020', '787', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '45.91484961');
INSERT INTO public.ecdc_import VALUES (60284, '21/09/2020', '21', '9', '2020', '707', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '46.87571945');
INSERT INTO public.ecdc_import VALUES (60285, '20/09/2020', '20', '9', '2020', '775', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '48.33806515');
INSERT INTO public.ecdc_import VALUES (60286, '19/09/2020', '19', '9', '2020', '890', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '49.80041085');
INSERT INTO public.ecdc_import VALUES (60287, '18/09/2020', '18', '9', '2020', '868', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '50.52281664');
INSERT INTO public.ecdc_import VALUES (60288, '17/09/2020', '17', '9', '2020', '761', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '50.9646765');
INSERT INTO public.ecdc_import VALUES (60289, '16/09/2020', '16', '9', '2020', '1086', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '52.24817416');
INSERT INTO public.ecdc_import VALUES (60290, '15/09/2020', '15', '9', '2020', '1029', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '55.06064719');
INSERT INTO public.ecdc_import VALUES (60291, '14/09/2020', '14', '9', '2020', '910', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '51.45212506');
INSERT INTO public.ecdc_import VALUES (60292, '13/09/2020', '13', '9', '2020', '967', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '51.49420695');
INSERT INTO public.ecdc_import VALUES (60293, '12/09/2020', '12', '9', '2020', '840', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '51.84488938');
INSERT INTO public.ecdc_import VALUES (60294, '11/09/2020', '11', '9', '2020', '1072', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '52.33935159');
INSERT INTO public.ecdc_import VALUES (60295, '10/09/2020', '10', '9', '2020', '1188', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '54.68191018');
INSERT INTO public.ecdc_import VALUES (60296, '09/09/2020', '9', '9', '2020', '1213', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '50.51580299');
INSERT INTO public.ecdc_import VALUES (60297, '08/09/2020', '8', '9', '2020', '1061', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '49.13762107');
INSERT INTO public.ecdc_import VALUES (60298, '07/09/2020', '7', '9', '2020', '1124', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '48.13116252');
INSERT INTO public.ecdc_import VALUES (60299, '06/09/2020', '6', '9', '2020', '1192', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '46.31813439');
INSERT INTO public.ecdc_import VALUES (60300, '05/09/2020', '5', '9', '2020', '1096', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '44.83474775');
INSERT INTO public.ecdc_import VALUES (60301, '04/09/2020', '4', '9', '2020', '994', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.16900624');
INSERT INTO public.ecdc_import VALUES (60302, '03/09/2020', '3', '9', '2020', '1127', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '42.13449309');
INSERT INTO public.ecdc_import VALUES (60303, '02/09/2020', '2', '9', '2020', '1888', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '42.28879336');
INSERT INTO public.ecdc_import VALUES (60304, '01/09/2020', '1', '9', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '38.8065169');
INSERT INTO public.ecdc_import VALUES (60305, '31/08/2020', '31', '8', '2020', '922', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '42.47816187');
INSERT INTO public.ecdc_import VALUES (60306, '30/08/2020', '30', '8', '2020', '1067', '17', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.27070414');
INSERT INTO public.ecdc_import VALUES (60307, '29/08/2020', '29', '8', '2020', '981', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.82828919');
INSERT INTO public.ecdc_import VALUES (60308, '28/08/2020', '28', '8', '2020', '1740', '15', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.93700074');
INSERT INTO public.ecdc_import VALUES (60309, '27/08/2020', '27', '8', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '42.32736842');
INSERT INTO public.ecdc_import VALUES (60310, '26/08/2020', '26', '8', '2020', '820', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '46.36021629');
INSERT INTO public.ecdc_import VALUES (60311, '25/08/2020', '25', '8', '2020', '774', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '50.9646765');
INSERT INTO public.ecdc_import VALUES (60312, '24/08/2020', '24', '8', '2020', '607', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '48.25039454');
INSERT INTO public.ecdc_import VALUES (60313, '23/08/2020', '23', '8', '2020', '769', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '51.86943715');
INSERT INTO public.ecdc_import VALUES (60314, '22/08/2020', '22', '8', '2020', '621', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '49.17268932');
INSERT INTO public.ecdc_import VALUES (60315, '21/08/2020', '21', '8', '2020', '699', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '50.10199774');
INSERT INTO public.ecdc_import VALUES (60316, '20/08/2020', '20', '8', '2020', '1171', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '51.09092217');
INSERT INTO public.ecdc_import VALUES (60317, '19/08/2020', '19', '8', '2020', '895', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '50.00380666');
INSERT INTO public.ecdc_import VALUES (60318, '18/08/2020', '18', '8', '2020', '1047', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '51.18560642');
INSERT INTO public.ecdc_import VALUES (60319, '17/08/2020', '17', '8', '2020', '1148', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '47.51396146');
INSERT INTO public.ecdc_import VALUES (60320, '16/08/2020', '16', '8', '2020', '1226', '10', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '46.16383413');
INSERT INTO public.ecdc_import VALUES (60321, '15/08/2020', '15', '8', '2020', '1012', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '44.91189788');
INSERT INTO public.ecdc_import VALUES (60322, '14/08/2020', '14', '8', '2020', '1281', '12', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.87037108');
INSERT INTO public.ecdc_import VALUES (60323, '13/08/2020', '13', '8', '2020', '1150', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '43.89491885');
INSERT INTO public.ecdc_import VALUES (60324, '12/08/2020', '12', '8', '2020', '2133', '15', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '39.86207099');
INSERT INTO public.ecdc_import VALUES (60325, '11/08/2020', '11', '8', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '34.42649344');
INSERT INTO public.ecdc_import VALUES (60326, '10/08/2020', '10', '8', '2020', '1639', '15', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '36.26757616');
INSERT INTO public.ecdc_import VALUES (60327, '09/08/2020', '9', '8', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '34.72808032');
INSERT INTO public.ecdc_import VALUES (60328, '08/08/2020', '8', '8', '2020', '886', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '34.72808032');
INSERT INTO public.ecdc_import VALUES (60329, '07/08/2020', '7', '8', '2020', '981', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '33.90046981');
INSERT INTO public.ecdc_import VALUES (60330, '06/08/2020', '6', '8', '2020', '861', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '33.40250077');
INSERT INTO public.ecdc_import VALUES (60331, '05/08/2020', '5', '8', '2020', '1232', '13', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '30.38312511');
INSERT INTO public.ecdc_import VALUES (60332, '04/08/2020', '4', '8', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '27.60572032');
INSERT INTO public.ecdc_import VALUES (60333, '03/08/2020', '3', '8', '2020', '763', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '29.15924345');
INSERT INTO public.ecdc_import VALUES (60334, '02/08/2020', '2', '8', '2020', '869', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '27.91432085');
INSERT INTO public.ecdc_import VALUES (60335, '01/08/2020', '1', '8', '2020', '715', '6', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '25.89088327');
INSERT INTO public.ecdc_import VALUES (60336, '31/07/2020', '31', '7', '2020', '1288', '7', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '24.56530371');
INSERT INTO public.ecdc_import VALUES (60337, '30/07/2020', '30', '7', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '21.54242123');
INSERT INTO public.ecdc_import VALUES (60338, '29/07/2020', '29', '7', '2020', '583', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '23.00827376');
INSERT INTO public.ecdc_import VALUES (60339, '28/07/2020', '28', '7', '2020', '525', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '22.02636297');
INSERT INTO public.ecdc_import VALUES (60340, '27/07/2020', '27', '7', '2020', '1200', '8', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '21.03393172');
INSERT INTO public.ecdc_import VALUES (60341, '26/07/2020', '26', '7', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.8322012');
INSERT INTO public.ecdc_import VALUES (60342, '25/07/2020', '25', '7', '2020', '650', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '19.14726028');
INSERT INTO public.ecdc_import VALUES (60343, '24/07/2020', '24', '7', '2020', '839', '9', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '18.37926578');
INSERT INTO public.ecdc_import VALUES (60344, '23/07/2020', '23', '7', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.70651062');
INSERT INTO public.ecdc_import VALUES (60345, '22/07/2020', '22', '7', '2020', '440', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.8181739');
INSERT INTO public.ecdc_import VALUES (60346, '21/07/2020', '21', '7', '2020', '443', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '17.26409567');
INSERT INTO public.ecdc_import VALUES (60347, '20/07/2020', '20', '7', '2020', '408', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.559224');
INSERT INTO public.ecdc_import VALUES (60348, '19/07/2020', '19', '7', '2020', '292', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.59779907');
INSERT INTO public.ecdc_import VALUES (60349, '18/07/2020', '18', '7', '2020', '337', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.32075995');
INSERT INTO public.ecdc_import VALUES (60350, '17/07/2020', '17', '7', '2020', '426', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '16.06476179');
INSERT INTO public.ecdc_import VALUES (60351, '16/07/2020', '16', '7', '2020', '418', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '15.31079458');
INSERT INTO public.ecdc_import VALUES (60352, '15/07/2020', '15', '7', '2020', '303', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '14.65151162');
INSERT INTO public.ecdc_import VALUES (60353, '14/07/2020', '14', '7', '2020', '242', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '14.6480048');
INSERT INTO public.ecdc_import VALUES (60354, '13/07/2020', '13', '7', '2020', '287', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '14.61644338');
INSERT INTO public.ecdc_import VALUES (60355, '12/07/2020', '12', '7', '2020', '375', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '14.19562447');
INSERT INTO public.ecdc_import VALUES (60356, '11/07/2020', '11', '7', '2020', '431', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '14.11146069');
INSERT INTO public.ecdc_import VALUES (60357, '10/07/2020', '10', '7', '2020', '362', '5', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '13.35749348');
INSERT INTO public.ecdc_import VALUES (60358, '09/07/2020', '9', '7', '2020', '317', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '12.78237431');
INSERT INTO public.ecdc_import VALUES (60359, '08/07/2020', '8', '7', '2020', '282', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '12.29843257');
INSERT INTO public.ecdc_import VALUES (60360, '07/07/2020', '7', '7', '2020', '242', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '11.79344988');
INSERT INTO public.ecdc_import VALUES (60361, '06/07/2020', '6', '7', '2020', '419', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '11.40068556');
INSERT INTO public.ecdc_import VALUES (60362, '05/07/2020', '5', '7', '2020', '213', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '10.38019971');
INSERT INTO public.ecdc_import VALUES (60363, '04/07/2020', '4', '7', '2020', '264', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '10.33110417');
INSERT INTO public.ecdc_import VALUES (60364, '03/07/2020', '3', '7', '2020', '211', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '9.78053277');
INSERT INTO public.ecdc_import VALUES (60365, '02/07/2020', '2', '7', '2020', '230', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '10.21187215');
INSERT INTO public.ecdc_import VALUES (60366, '01/07/2020', '1', '7', '2020', '302', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '9.71390311');
INSERT INTO public.ecdc_import VALUES (60367, '30/06/2020', '30', '6', '2020', '233', '4', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '8.94941543');
INSERT INTO public.ecdc_import VALUES (60368, '29/06/2020', '29', '6', '2020', '167', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '8.39183038');
INSERT INTO public.ecdc_import VALUES (60369, '28/06/2020', '28', '6', '2020', '351', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '7.89386134');
INSERT INTO public.ecdc_import VALUES (60370, '27/06/2020', '27', '6', '2020', '216', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '6.89090961');
INSERT INTO public.ecdc_import VALUES (60371, '26/06/2020', '26', '6', '2020', '198', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '6.39995421');
INSERT INTO public.ecdc_import VALUES (60372, '25/06/2020', '25', '6', '2020', '179', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '6.07732639');
INSERT INTO public.ecdc_import VALUES (60373, '24/06/2020', '24', '6', '2020', '138', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '6.0071899');
INSERT INTO public.ecdc_import VALUES (60374, '23/06/2020', '23', '6', '2020', '130', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.85990328');
INSERT INTO public.ecdc_import VALUES (60375, '22/06/2020', '22', '6', '2020', '128', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.61793241');
INSERT INTO public.ecdc_import VALUES (60376, '21/06/2020', '21', '6', '2020', '199', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.76872585');
INSERT INTO public.ecdc_import VALUES (60377, '20/06/2020', '20', '6', '2020', '107', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.27426364');
INSERT INTO public.ecdc_import VALUES (60378, '19/06/2020', '19', '6', '2020', '334', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.37245472');
INSERT INTO public.ecdc_import VALUES (60379, '17/06/2020', '17', '6', '2020', '88', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.66758305');
INSERT INTO public.ecdc_import VALUES (60380, '16/06/2020', '16', '6', '2020', '84', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.90955392');
INSERT INTO public.ecdc_import VALUES (60381, '15/06/2020', '15', '6', '2020', '74', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.14801797');
INSERT INTO public.ecdc_import VALUES (60382, '14/06/2020', '14', '6', '2020', '25', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.06736101');
INSERT INTO public.ecdc_import VALUES (60383, '13/06/2020', '13', '6', '2020', '65', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.29530458');
INSERT INTO public.ecdc_import VALUES (60384, '12/06/2020', '12', '6', '2020', '76', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.21464763');
INSERT INTO public.ecdc_import VALUES (60385, '11/06/2020', '11', '6', '2020', '106', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '5.23568857');
INSERT INTO public.ecdc_import VALUES (60386, '10/06/2020', '10', '6', '2020', '159', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.98319723');
INSERT INTO public.ecdc_import VALUES (60387, '09/06/2020', '9', '6', '2020', '96', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.5448442');
INSERT INTO public.ecdc_import VALUES (60388, '08/06/2020', '8', '6', '2020', '61', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.40457123');
INSERT INTO public.ecdc_import VALUES (60389, '07/06/2020', '7', '6', '2020', '171', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.81136284');
INSERT INTO public.ecdc_import VALUES (60390, '06/06/2020', '6', '6', '2020', '58', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.2116959');
INSERT INTO public.ecdc_import VALUES (60391, '05/06/2020', '5', '6', '2020', '135', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '4.22572319');
INSERT INTO public.ecdc_import VALUES (60392, '04/06/2020', '4', '6', '2020', '133', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.95569773');
INSERT INTO public.ecdc_import VALUES (60393, '03/06/2020', '3', '6', '2020', '157', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.75230192');
INSERT INTO public.ecdc_import VALUES (60394, '02/06/2020', '2', '6', '2020', '152', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.66112449');
INSERT INTO public.ecdc_import VALUES (60395, '01/06/2020', '1', '6', '2020', '51', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.39811268');
INSERT INTO public.ecdc_import VALUES (60396, '31/05/2020', '31', '5', '2020', '90', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.34901714');
INSERT INTO public.ecdc_import VALUES (60397, '30/05/2020', '30', '5', '2020', '42', '3', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.19121005');
INSERT INTO public.ecdc_import VALUES (60398, '29/05/2020', '29', '5', '2020', '82', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '3.05795073');
INSERT INTO public.ecdc_import VALUES (60399, '28/05/2020', '28', '5', '2020', '34', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '2.8229935');
INSERT INTO public.ecdc_import VALUES (60400, '27/05/2020', '27', '5', '2020', '34', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '2.76337749');
INSERT INTO public.ecdc_import VALUES (60401, '26/05/2020', '26', '5', '2020', '56', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '2.64765229');
INSERT INTO public.ecdc_import VALUES (60402, '25/05/2020', '25', '5', '2020', '177', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '2.47932473');
INSERT INTO public.ecdc_import VALUES (60403, '24/05/2020', '24', '5', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '1.90069873');
INSERT INTO public.ecdc_import VALUES (60404, '23/05/2020', '23', '5', '2020', '62', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '1.94979427');
INSERT INTO public.ecdc_import VALUES (60405, '22/05/2020', '22', '5', '2020', '58', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '1.75691894');
INSERT INTO public.ecdc_import VALUES (60406, '21/05/2020', '21', '5', '2020', '75', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '1.56053678');
INSERT INTO public.ecdc_import VALUES (60407, '20/05/2020', '20', '5', '2020', '131', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '1.33960685');
INSERT INTO public.ecdc_import VALUES (60408, '19/05/2020', '19', '5', '2020', '77', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.90125383');
INSERT INTO public.ecdc_import VALUES (60409, '18/05/2020', '18', '5', '2020', '37', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.64525566');
INSERT INTO public.ecdc_import VALUES (60410, '17/05/2020', '17', '5', '2020', '45', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.55758505');
INSERT INTO public.ecdc_import VALUES (60411, '16/05/2020', '16', '5', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.4348462');
INSERT INTO public.ecdc_import VALUES (60412, '15/05/2020', '15', '5', '2020', '15', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.42783256');
INSERT INTO public.ecdc_import VALUES (60413, '14/05/2020', '14', '5', '2020', '17', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.38224384');
INSERT INTO public.ecdc_import VALUES (60414, '13/05/2020', '13', '5', '2020', '1', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.32964148');
INSERT INTO public.ecdc_import VALUES (60415, '12/05/2020', '12', '5', '2020', '8', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.32613465');
INSERT INTO public.ecdc_import VALUES (60416, '11/05/2020', '11', '5', '2020', '12', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.31210736');
INSERT INTO public.ecdc_import VALUES (60417, '10/05/2020', '10', '5', '2020', '14', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.27703911');
INSERT INTO public.ecdc_import VALUES (60418, '09/05/2020', '9', '5', '2020', '7', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.2454777');
INSERT INTO public.ecdc_import VALUES (60419, '08/05/2020', '8', '5', '2020', '2', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.29106641');
INSERT INTO public.ecdc_import VALUES (60420, '07/05/2020', '7', '5', '2020', '12', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.319121');
INSERT INTO public.ecdc_import VALUES (60421, '06/05/2020', '6', '5', '2020', '6', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.28755959');
INSERT INTO public.ecdc_import VALUES (60422, '05/05/2020', '5', '5', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.36821654');
INSERT INTO public.ecdc_import VALUES (60423, '04/05/2020', '4', '5', '2020', '12', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.35418925');
INSERT INTO public.ecdc_import VALUES (60424, '03/05/2020', '3', '5', '2020', '10', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.41380526');
INSERT INTO public.ecdc_import VALUES (60425, '02/05/2020', '2', '5', '2020', '2', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.37873702');
INSERT INTO public.ecdc_import VALUES (60426, '01/05/2020', '1', '5', '2020', '2', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.45238033');
INSERT INTO public.ecdc_import VALUES (60427, '30/04/2020', '30', '4', '2020', '2', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.46991445');
INSERT INTO public.ecdc_import VALUES (60428, '29/04/2020', '29', '4', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.47692809');
INSERT INTO public.ecdc_import VALUES (60429, '28/04/2020', '28', '4', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.49095539');
INSERT INTO public.ecdc_import VALUES (60430, '27/04/2020', '27', '4', '2020', '2', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.50498269');
INSERT INTO public.ecdc_import VALUES (60431, '26/04/2020', '26', '4', '2020', '5', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.51900999');
INSERT INTO public.ecdc_import VALUES (60432, '25/04/2020', '25', '4', '2020', '20', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.50147586');
INSERT INTO public.ecdc_import VALUES (60433, '24/04/2020', '24', '4', '2020', '10', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.44536668');
INSERT INTO public.ecdc_import VALUES (60434, '23/04/2020', '23', '4', '2020', '3', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.42432573');
INSERT INTO public.ecdc_import VALUES (60435, '22/04/2020', '22', '4', '2020', '29', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.41731208');
INSERT INTO public.ecdc_import VALUES (60436, '21/04/2020', '21', '4', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.34016195');
INSERT INTO public.ecdc_import VALUES (60437, '20/04/2020', '20', '4', '2020', '29', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.37873702');
INSERT INTO public.ecdc_import VALUES (60438, '19/04/2020', '19', '4', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.29106641');
INSERT INTO public.ecdc_import VALUES (60439, '18/04/2020', '18', '4', '2020', '23', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.29106641');
INSERT INTO public.ecdc_import VALUES (60440, '17/04/2020', '17', '4', '2020', '7', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.21040945');
INSERT INTO public.ecdc_import VALUES (60441, '16/04/2020', '16', '4', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.18936851');
INSERT INTO public.ecdc_import VALUES (60442, '15/04/2020', '15', '4', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.20339581');
INSERT INTO public.ecdc_import VALUES (60443, '14/04/2020', '14', '4', '2020', '8', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.18936851');
INSERT INTO public.ecdc_import VALUES (60444, '13/04/2020', '13', '4', '2020', '6', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.2174231');
INSERT INTO public.ecdc_import VALUES (60445, '12/04/2020', '12', '4', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.19638216');
INSERT INTO public.ecdc_import VALUES (60446, '11/04/2020', '11', '4', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.19638216');
INSERT INTO public.ecdc_import VALUES (60447, '10/04/2020', '10', '4', '2020', '4', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.22443675');
INSERT INTO public.ecdc_import VALUES (60448, '09/04/2020', '9', '4', '2020', '1', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.21391628');
INSERT INTO public.ecdc_import VALUES (60449, '08/04/2020', '8', '4', '2020', '7', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.26301182');
INSERT INTO public.ecdc_import VALUES (60450, '07/04/2020', '7', '4', '2020', '11', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.26301182');
INSERT INTO public.ecdc_import VALUES (60451, '06/04/2020', '6', '4', '2020', '4', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.39276431');
INSERT INTO public.ecdc_import VALUES (60452, '05/04/2020', '5', '4', '2020', '0', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.37873702');
INSERT INTO public.ecdc_import VALUES (60453, '04/04/2020', '4', '4', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.37873702');
INSERT INTO public.ecdc_import VALUES (60454, '03/04/2020', '3', '4', '2020', '1', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.38925749');
INSERT INTO public.ecdc_import VALUES (60455, '02/04/2020', '2', '4', '2020', '8', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.38575067');
INSERT INTO public.ecdc_import VALUES (60456, '01/04/2020', '1', '4', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.35769607');
INSERT INTO public.ecdc_import VALUES (60457, '31/03/2020', '31', '3', '2020', '16', '2', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.35769607');
INSERT INTO public.ecdc_import VALUES (60458, '30/03/2020', '30', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.36470972');
INSERT INTO public.ecdc_import VALUES (60459, '29/03/2020', '29', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.38224384');
INSERT INTO public.ecdc_import VALUES (60460, '28/03/2020', '28', '3', '2020', '12', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '0.41731208');
INSERT INTO public.ecdc_import VALUES (60461, '27/03/2020', '27', '3', '2020', '1', '1', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60462, '26/03/2020', '26', '3', '2020', '15', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60463, '25/03/2020', '25', '3', '2020', '7', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60464, '24/03/2020', '24', '3', '2020', '48', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60465, '23/03/2020', '23', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60466, '22/03/2020', '22', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60467, '21/03/2020', '21', '3', '2020', '3', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60468, '20/03/2020', '20', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60469, '19/03/2020', '19', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60470, '18/03/2020', '18', '3', '2020', '0', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60471, '17/03/2020', '17', '3', '2020', '18', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60472, '16/03/2020', '16', '3', '2020', '5', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60473, '15/03/2020', '15', '3', '2020', '10', '0', '28515829', 'Venezuela', 'VE', 'VEN', 'America', '');
INSERT INTO public.ecdc_import VALUES (60474, '14/12/2020', '14', '12', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05598053');
INSERT INTO public.ecdc_import VALUES (60475, '13/12/2020', '13', '12', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05598053');
INSERT INTO public.ecdc_import VALUES (60476, '12/12/2020', '12', '12', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05390718');
INSERT INTO public.ecdc_import VALUES (60477, '11/12/2020', '11', '12', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05598053');
INSERT INTO public.ecdc_import VALUES (60478, '10/12/2020', '10', '12', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06220059');
INSERT INTO public.ecdc_import VALUES (60479, '09/12/2020', '9', '12', '2020', '10', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06323727');
INSERT INTO public.ecdc_import VALUES (60480, '08/12/2020', '8', '12', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05701721');
INSERT INTO public.ecdc_import VALUES (60481, '07/12/2020', '7', '12', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06220059');
INSERT INTO public.ecdc_import VALUES (60482, '06/12/2020', '6', '12', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06116391');
INSERT INTO public.ecdc_import VALUES (60483, '05/12/2020', '5', '12', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05805388');
INSERT INTO public.ecdc_import VALUES (60484, '04/12/2020', '4', '12', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05909056');
INSERT INTO public.ecdc_import VALUES (60485, '03/12/2020', '3', '12', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06012724');
INSERT INTO public.ecdc_import VALUES (60486, '02/12/2020', '2', '12', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06531062');
INSERT INTO public.ecdc_import VALUES (60487, '01/12/2020', '1', '12', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06531062');
INSERT INTO public.ecdc_import VALUES (60488, '30/11/2020', '30', '11', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06427394');
INSERT INTO public.ecdc_import VALUES (60489, '29/11/2020', '29', '11', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07878741');
INSERT INTO public.ecdc_import VALUES (60490, '28/11/2020', '28', '11', '2020', '8', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.08604415');
INSERT INTO public.ecdc_import VALUES (60491, '27/11/2020', '27', '11', '2020', '10', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.08086077');
INSERT INTO public.ecdc_import VALUES (60492, '26/11/2020', '26', '11', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07153068');
INSERT INTO public.ecdc_import VALUES (60493, '25/11/2020', '25', '11', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09330088');
INSERT INTO public.ecdc_import VALUES (60494, '24/11/2020', '24', '11', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09952094');
INSERT INTO public.ecdc_import VALUES (60495, '23/11/2020', '23', '11', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09641091');
INSERT INTO public.ecdc_import VALUES (60496, '22/11/2020', '22', '11', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09641091');
INSERT INTO public.ecdc_import VALUES (60497, '21/11/2020', '21', '11', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09537424');
INSERT INTO public.ecdc_import VALUES (60498, '20/11/2020', '20', '11', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.10055762');
INSERT INTO public.ecdc_import VALUES (60499, '19/11/2020', '19', '11', '2020', '12', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09641091');
INSERT INTO public.ecdc_import VALUES (60500, '18/11/2020', '18', '11', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0881175');
INSERT INTO public.ecdc_import VALUES (60501, '17/11/2020', '17', '11', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09433756');
INSERT INTO public.ecdc_import VALUES (60502, '16/11/2020', '16', '11', '2020', '16', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.10470433');
INSERT INTO public.ecdc_import VALUES (60503, '15/11/2020', '15', '11', '2020', '9', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0881175');
INSERT INTO public.ecdc_import VALUES (60504, '14/11/2020', '14', '11', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.08189744');
INSERT INTO public.ecdc_import VALUES (60505, '13/11/2020', '13', '11', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07878741');
INSERT INTO public.ecdc_import VALUES (60506, '12/11/2020', '12', '11', '2020', '26', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.08189744');
INSERT INTO public.ecdc_import VALUES (60507, '11/11/2020', '11', '11', '2020', '10', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05598053');
INSERT INTO public.ecdc_import VALUES (60508, '10/11/2020', '10', '11', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0487238');
INSERT INTO public.ecdc_import VALUES (60509, '09/11/2020', '9', '11', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04665044');
INSERT INTO public.ecdc_import VALUES (60510, '08/11/2020', '8', '11', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60511, '07/11/2020', '7', '11', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06738397');
INSERT INTO public.ecdc_import VALUES (60512, '06/11/2020', '6', '11', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06116391');
INSERT INTO public.ecdc_import VALUES (60513, '05/11/2020', '5', '11', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06427394');
INSERT INTO public.ecdc_import VALUES (60514, '04/11/2020', '4', '11', '2020', '11', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06427394');
INSERT INTO public.ecdc_import VALUES (60515, '03/11/2020', '3', '11', '2020', '12', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05390718');
INSERT INTO public.ecdc_import VALUES (60516, '02/11/2020', '2', '11', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04768712');
INSERT INTO public.ecdc_import VALUES (60517, '01/11/2020', '1', '11', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05598053');
INSERT INTO public.ecdc_import VALUES (60518, '31/10/2020', '31', '10', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60519, '30/10/2020', '30', '10', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60520, '29/10/2020', '29', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0528705');
INSERT INTO public.ecdc_import VALUES (60521, '28/10/2020', '28', '10', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06116391');
INSERT INTO public.ecdc_import VALUES (60522, '27/10/2020', '27', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06116391');
INSERT INTO public.ecdc_import VALUES (60523, '26/10/2020', '26', '10', '2020', '8', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06116391');
INSERT INTO public.ecdc_import VALUES (60524, '25/10/2020', '25', '10', '2020', '12', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60525, '24/10/2020', '24', '10', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04457709');
INSERT INTO public.ecdc_import VALUES (60526, '23/10/2020', '23', '10', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04976047');
INSERT INTO public.ecdc_import VALUES (60527, '22/10/2020', '22', '10', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04768712');
INSERT INTO public.ecdc_import VALUES (60528, '21/10/2020', '21', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04457709');
INSERT INTO public.ecdc_import VALUES (60529, '20/10/2020', '20', '10', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04457709');
INSERT INTO public.ecdc_import VALUES (60530, '19/10/2020', '19', '10', '2020', '8', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03939371');
INSERT INTO public.ecdc_import VALUES (60531, '18/10/2020', '18', '10', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03110029');
INSERT INTO public.ecdc_import VALUES (60532, '17/10/2020', '17', '10', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60533, '16/10/2020', '16', '10', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03006362');
INSERT INTO public.ecdc_import VALUES (60534, '15/10/2020', '15', '10', '2020', '9', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60535, '14/10/2020', '14', '10', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01969685');
INSERT INTO public.ecdc_import VALUES (60536, '13/10/2020', '13', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03421032');
INSERT INTO public.ecdc_import VALUES (60537, '12/10/2020', '12', '10', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03628368');
INSERT INTO public.ecdc_import VALUES (60538, '11/10/2020', '11', '10', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03939371');
INSERT INTO public.ecdc_import VALUES (60539, '10/10/2020', '10', '10', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03732035');
INSERT INTO public.ecdc_import VALUES (60540, '09/10/2020', '9', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03213697');
INSERT INTO public.ecdc_import VALUES (60541, '08/10/2020', '8', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03110029');
INSERT INTO public.ecdc_import VALUES (60542, '07/10/2020', '7', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03110029');
INSERT INTO public.ecdc_import VALUES (60543, '06/10/2020', '6', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03006362');
INSERT INTO public.ecdc_import VALUES (60544, '05/10/2020', '5', '10', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60545, '04/10/2020', '4', '10', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60546, '03/10/2020', '3', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60547, '02/10/2020', '2', '10', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03006362');
INSERT INTO public.ecdc_import VALUES (60548, '01/10/2020', '1', '10', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03213697');
INSERT INTO public.ecdc_import VALUES (60549, '30/09/2020', '30', '9', '2020', '17', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03213697');
INSERT INTO public.ecdc_import VALUES (60550, '29/09/2020', '29', '9', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01451347');
INSERT INTO public.ecdc_import VALUES (60551, '28/09/2020', '28', '9', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01140344');
INSERT INTO public.ecdc_import VALUES (60552, '27/09/2020', '27', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00933009');
INSERT INTO public.ecdc_import VALUES (60553, '26/09/2020', '26', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00933009');
INSERT INTO public.ecdc_import VALUES (60554, '25/09/2020', '25', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01036676');
INSERT INTO public.ecdc_import VALUES (60555, '24/09/2020', '24', '9', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01036676');
INSERT INTO public.ecdc_import VALUES (60556, '23/09/2020', '23', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01451347');
INSERT INTO public.ecdc_import VALUES (60557, '22/09/2020', '22', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01969685');
INSERT INTO public.ecdc_import VALUES (60558, '21/09/2020', '21', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01969685');
INSERT INTO public.ecdc_import VALUES (60559, '20/09/2020', '20', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01969685');
INSERT INTO public.ecdc_import VALUES (60560, '19/09/2020', '19', '9', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02280688');
INSERT INTO public.ecdc_import VALUES (60561, '18/09/2020', '18', '9', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60562, '17/09/2020', '17', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60563, '16/09/2020', '16', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01969685');
INSERT INTO public.ecdc_import VALUES (60564, '15/09/2020', '15', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01969685');
INSERT INTO public.ecdc_import VALUES (60565, '14/09/2020', '14', '9', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02384356');
INSERT INTO public.ecdc_import VALUES (60566, '13/09/2020', '13', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60567, '12/09/2020', '12', '9', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02280688');
INSERT INTO public.ecdc_import VALUES (60568, '11/09/2020', '11', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02384356');
INSERT INTO public.ecdc_import VALUES (60569, '10/09/2020', '10', '9', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02591691');
INSERT INTO public.ecdc_import VALUES (60570, '09/09/2020', '9', '9', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02591691');
INSERT INTO public.ecdc_import VALUES (60571, '08/09/2020', '8', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02799027');
INSERT INTO public.ecdc_import VALUES (60572, '07/09/2020', '7', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03421032');
INSERT INTO public.ecdc_import VALUES (60573, '06/09/2020', '6', '9', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03628368');
INSERT INTO public.ecdc_import VALUES (60574, '05/09/2020', '5', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03835703');
INSERT INTO public.ecdc_import VALUES (60575, '04/09/2020', '4', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04043038');
INSERT INTO public.ecdc_import VALUES (60576, '03/09/2020', '3', '9', '2020', '2', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05390718');
INSERT INTO public.ecdc_import VALUES (60577, '02/09/2020', '2', '9', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05701721');
INSERT INTO public.ecdc_import VALUES (60578, '01/09/2020', '1', '9', '2020', '4', '2', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06323727');
INSERT INTO public.ecdc_import VALUES (60579, '31/08/2020', '31', '8', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07878741');
INSERT INTO public.ecdc_import VALUES (60580, '30/08/2020', '30', '8', '2020', '2', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.10988771');
INSERT INTO public.ecdc_import VALUES (60581, '29/08/2020', '29', '8', '2020', '2', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.11196106');
INSERT INTO public.ecdc_import VALUES (60582, '28/08/2020', '28', '8', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.12958456');
INSERT INTO public.ecdc_import VALUES (60583, '27/08/2020', '27', '8', '2020', '5', '3', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.15653815');
INSERT INTO public.ecdc_import VALUES (60584, '26/08/2020', '26', '8', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.16897827');
INSERT INTO public.ecdc_import VALUES (60585, '25/08/2020', '25', '8', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.18245506');
INSERT INTO public.ecdc_import VALUES (60586, '24/08/2020', '24', '8', '2020', '2', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.18141839');
INSERT INTO public.ecdc_import VALUES (60587, '23/08/2020', '23', '8', '2020', '5', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.20940865');
INSERT INTO public.ecdc_import VALUES (60588, '22/08/2020', '22', '8', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.22806883');
INSERT INTO public.ecdc_import VALUES (60589, '21/08/2020', '21', '8', '2020', '13', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.26642586');
INSERT INTO public.ecdc_import VALUES (60590, '20/08/2020', '20', '8', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.28715939');
INSERT INTO public.ecdc_import VALUES (60591, '19/08/2020', '19', '8', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.32862645');
INSERT INTO public.ecdc_import VALUES (60592, '18/08/2020', '18', '8', '2020', '19', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.34313992');
INSERT INTO public.ecdc_import VALUES (60593, '17/08/2020', '17', '8', '2020', '30', '2', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.35558004');
INSERT INTO public.ecdc_import VALUES (60594, '16/08/2020', '16', '8', '2020', '4', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.35661671');
INSERT INTO public.ecdc_import VALUES (60595, '15/08/2020', '15', '8', '2020', '19', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.38564366');
INSERT INTO public.ecdc_import VALUES (60596, '14/08/2020', '14', '8', '2020', '28', '3', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.41674395');
INSERT INTO public.ecdc_import VALUES (60597, '13/08/2020', '13', '8', '2020', '17', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.43955083');
INSERT INTO public.ecdc_import VALUES (60598, '12/08/2020', '12', '8', '2020', '20', '4', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.44888092');
INSERT INTO public.ecdc_import VALUES (60599, '11/08/2020', '11', '8', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.43022075');
INSERT INTO public.ecdc_import VALUES (60600, '10/08/2020', '10', '8', '2020', '29', '3', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.4364408');
INSERT INTO public.ecdc_import VALUES (60601, '09/08/2020', '9', '8', '2020', '23', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.41156057');
INSERT INTO public.ecdc_import VALUES (60602, '08/08/2020', '8', '8', '2020', '39', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.38771701');
INSERT INTO public.ecdc_import VALUES (60603, '07/08/2020', '7', '8', '2020', '33', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.35039666');
INSERT INTO public.ecdc_import VALUES (60604, '06/08/2020', '6', '8', '2020', '45', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.32033304');
INSERT INTO public.ecdc_import VALUES (60605, '05/08/2020', '5', '8', '2020', '20', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.28093933');
INSERT INTO public.ecdc_import VALUES (60606, '04/08/2020', '4', '8', '2020', '31', '2', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.28923274');
INSERT INTO public.ecdc_import VALUES (60607, '03/08/2020', '3', '8', '2020', '31', '1', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.25709577');
INSERT INTO public.ecdc_import VALUES (60608, '02/08/2020', '2', '8', '2020', '32', '2', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.2249588');
INSERT INTO public.ecdc_import VALUES (60609, '01/08/2020', '1', '8', '2020', '49', '3', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.19178515');
INSERT INTO public.ecdc_import VALUES (60610, '31/07/2020', '31', '7', '2020', '50', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.140988');
INSERT INTO public.ecdc_import VALUES (60611, '30/07/2020', '30', '7', '2020', '26', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.08915418');
INSERT INTO public.ecdc_import VALUES (60612, '29/07/2020', '29', '7', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06220059');
INSERT INTO public.ecdc_import VALUES (60613, '28/07/2020', '28', '7', '2020', '11', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06012724');
INSERT INTO public.ecdc_import VALUES (60614, '27/07/2020', '27', '7', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04976047');
INSERT INTO public.ecdc_import VALUES (60615, '26/07/2020', '26', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04665044');
INSERT INTO public.ecdc_import VALUES (60616, '25/07/2020', '25', '7', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04665044');
INSERT INTO public.ecdc_import VALUES (60617, '24/07/2020', '24', '7', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04457709');
INSERT INTO public.ecdc_import VALUES (60618, '23/07/2020', '23', '7', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04043038');
INSERT INTO public.ecdc_import VALUES (60619, '22/07/2020', '22', '7', '2020', '28', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03317365');
INSERT INTO public.ecdc_import VALUES (60620, '21/07/2020', '21', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00414671');
INSERT INTO public.ecdc_import VALUES (60621, '20/07/2020', '20', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60622, '19/07/2020', '19', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60623, '18/07/2020', '18', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60624, '17/07/2020', '17', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60625, '16/07/2020', '16', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60626, '15/07/2020', '15', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60627, '14/07/2020', '14', '7', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60628, '13/07/2020', '13', '7', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60629, '12/07/2020', '12', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01658682');
INSERT INTO public.ecdc_import VALUES (60630, '11/07/2020', '11', '7', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60631, '10/07/2020', '10', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60632, '09/07/2020', '9', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60633, '08/07/2020', '8', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60634, '07/07/2020', '7', '7', '2020', '14', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60635, '06/07/2020', '6', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60636, '05/07/2020', '5', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60637, '04/07/2020', '4', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60638, '03/07/2020', '3', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01347679');
INSERT INTO public.ecdc_import VALUES (60639, '02/07/2020', '2', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60640, '01/07/2020', '1', '7', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60641, '30/06/2020', '30', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02177021');
INSERT INTO public.ecdc_import VALUES (60642, '29/06/2020', '29', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02177021');
INSERT INTO public.ecdc_import VALUES (60643, '28/06/2020', '28', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60644, '27/06/2020', '27', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60645, '26/06/2020', '26', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60646, '25/06/2020', '25', '6', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60647, '24/06/2020', '24', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60648, '23/06/2020', '23', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60649, '22/06/2020', '22', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60650, '21/06/2020', '21', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60651, '20/06/2020', '20', '6', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02073353');
INSERT INTO public.ecdc_import VALUES (60652, '19/06/2020', '19', '6', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01451347');
INSERT INTO public.ecdc_import VALUES (60653, '18/06/2020', '18', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00725674');
INSERT INTO public.ecdc_import VALUES (60654, '17/06/2020', '17', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00725674');
INSERT INTO public.ecdc_import VALUES (60655, '16/06/2020', '16', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60656, '15/06/2020', '15', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60657, '14/06/2020', '14', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00725674');
INSERT INTO public.ecdc_import VALUES (60658, '13/06/2020', '13', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60659, '12/06/2020', '12', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60660, '11/06/2020', '11', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60661, '10/06/2020', '10', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60662, '09/06/2020', '9', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60663, '08/06/2020', '8', '6', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60664, '07/06/2020', '7', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60665, '06/06/2020', '6', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60666, '05/06/2020', '5', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00414671');
INSERT INTO public.ecdc_import VALUES (60667, '04/06/2020', '4', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00414671');
INSERT INTO public.ecdc_import VALUES (60668, '03/06/2020', '3', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00414671');
INSERT INTO public.ecdc_import VALUES (60669, '02/06/2020', '2', '6', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00414671');
INSERT INTO public.ecdc_import VALUES (60670, '01/06/2020', '1', '6', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00829341');
INSERT INTO public.ecdc_import VALUES (60671, '31/05/2020', '31', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00933009');
INSERT INTO public.ecdc_import VALUES (60672, '30/05/2020', '30', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01451347');
INSERT INTO public.ecdc_import VALUES (60673, '29/05/2020', '29', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01555015');
INSERT INTO public.ecdc_import VALUES (60674, '28/05/2020', '28', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04043038');
INSERT INTO public.ecdc_import VALUES (60675, '27/05/2020', '27', '5', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04043038');
INSERT INTO public.ecdc_import VALUES (60676, '26/05/2020', '26', '5', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03939371');
INSERT INTO public.ecdc_import VALUES (60677, '25/05/2020', '25', '5', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03835703');
INSERT INTO public.ecdc_import VALUES (60678, '24/05/2020', '24', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03732035');
INSERT INTO public.ecdc_import VALUES (60679, '23/05/2020', '23', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03732035');
INSERT INTO public.ecdc_import VALUES (60680, '22/05/2020', '22', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03732035');
INSERT INTO public.ecdc_import VALUES (60681, '21/05/2020', '21', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60682, '20/05/2020', '20', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60683, '19/05/2020', '19', '5', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05494385');
INSERT INTO public.ecdc_import VALUES (60684, '18/05/2020', '18', '5', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05079715');
INSERT INTO public.ecdc_import VALUES (60685, '17/05/2020', '17', '5', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04976047');
INSERT INTO public.ecdc_import VALUES (60686, '16/05/2020', '16', '5', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04457709');
INSERT INTO public.ecdc_import VALUES (60687, '15/05/2020', '15', '5', '2020', '24', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04354041');
INSERT INTO public.ecdc_import VALUES (60688, '14/05/2020', '14', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60689, '13/05/2020', '13', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60690, '12/05/2020', '12', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60691, '11/05/2020', '11', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60692, '10/05/2020', '10', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60693, '09/05/2020', '9', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60694, '08/05/2020', '8', '5', '2020', '17', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60695, '07/05/2020', '7', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00311003');
INSERT INTO public.ecdc_import VALUES (60696, '06/05/2020', '6', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00311003');
INSERT INTO public.ecdc_import VALUES (60697, '05/05/2020', '5', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00311003');
INSERT INTO public.ecdc_import VALUES (60698, '04/05/2020', '4', '5', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00311003');
INSERT INTO public.ecdc_import VALUES (60699, '03/05/2020', '3', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60700, '02/05/2020', '2', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60701, '01/05/2020', '1', '5', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60702, '30/04/2020', '30', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60703, '29/04/2020', '29', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60704, '28/04/2020', '28', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00311003');
INSERT INTO public.ecdc_import VALUES (60705, '27/04/2020', '27', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60706, '26/04/2020', '26', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00829341');
INSERT INTO public.ecdc_import VALUES (60707, '25/04/2020', '25', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01244012');
INSERT INTO public.ecdc_import VALUES (60708, '24/04/2020', '24', '4', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01347679');
INSERT INTO public.ecdc_import VALUES (60709, '23/04/2020', '23', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01347679');
INSERT INTO public.ecdc_import VALUES (60710, '22/04/2020', '22', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60711, '21/04/2020', '21', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.0176235');
INSERT INTO public.ecdc_import VALUES (60712, '20/04/2020', '20', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02384356');
INSERT INTO public.ecdc_import VALUES (60713, '19/04/2020', '19', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02799027');
INSERT INTO public.ecdc_import VALUES (60714, '18/04/2020', '18', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60715, '17/04/2020', '17', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03317365');
INSERT INTO public.ecdc_import VALUES (60716, '16/04/2020', '16', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03628368');
INSERT INTO public.ecdc_import VALUES (60717, '15/04/2020', '15', '4', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05805388');
INSERT INTO public.ecdc_import VALUES (60718, '14/04/2020', '14', '4', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06323727');
INSERT INTO public.ecdc_import VALUES (60719, '13/04/2020', '13', '4', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06323727');
INSERT INTO public.ecdc_import VALUES (60720, '12/04/2020', '12', '4', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07671406');
INSERT INTO public.ecdc_import VALUES (60721, '11/04/2020', '11', '4', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09019086');
INSERT INTO public.ecdc_import VALUES (60722, '10/04/2020', '10', '4', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09744759');
INSERT INTO public.ecdc_import VALUES (60723, '09/04/2020', '9', '4', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.105741');
INSERT INTO public.ecdc_import VALUES (60724, '08/04/2020', '8', '4', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.11818112');
INSERT INTO public.ecdc_import VALUES (60725, '07/04/2020', '7', '4', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.1233645');
INSERT INTO public.ecdc_import VALUES (60726, '06/04/2020', '6', '4', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.12854789');
INSERT INTO public.ecdc_import VALUES (60727, '05/04/2020', '5', '4', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.15135477');
INSERT INTO public.ecdc_import VALUES (60728, '04/04/2020', '4', '4', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.15757483');
INSERT INTO public.ecdc_import VALUES (60729, '03/04/2020', '3', '4', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.1544648');
INSERT INTO public.ecdc_import VALUES (60730, '02/04/2020', '2', '4', '2020', '21', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.16275821');
INSERT INTO public.ecdc_import VALUES (60731, '01/04/2020', '1', '4', '2020', '6', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.14928142');
INSERT INTO public.ecdc_import VALUES (60732, '31/03/2020', '31', '3', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.15031809');
INSERT INTO public.ecdc_import VALUES (60733, '30/03/2020', '30', '3', '2020', '15', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.15135477');
INSERT INTO public.ecdc_import VALUES (60734, '29/03/2020', '29', '3', '2020', '17', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.13995133');
INSERT INTO public.ecdc_import VALUES (60735, '28/03/2020', '28', '3', '2020', '8', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.12232783');
INSERT INTO public.ecdc_import VALUES (60736, '27/03/2020', '27', '3', '2020', '10', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.1233645');
INSERT INTO public.ecdc_import VALUES (60737, '26/03/2020', '26', '3', '2020', '16', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.11818112');
INSERT INTO public.ecdc_import VALUES (60738, '25/03/2020', '25', '3', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.10263097');
INSERT INTO public.ecdc_import VALUES (60739, '24/03/2020', '24', '3', '2020', '11', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.1015943');
INSERT INTO public.ecdc_import VALUES (60740, '23/03/2020', '23', '3', '2020', '26', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.09433756');
INSERT INTO public.ecdc_import VALUES (60741, '22/03/2020', '22', '3', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07671406');
INSERT INTO public.ecdc_import VALUES (60742, '21/03/2020', '21', '3', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07360403');
INSERT INTO public.ecdc_import VALUES (60743, '20/03/2020', '20', '3', '2020', '11', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.07360403');
INSERT INTO public.ecdc_import VALUES (60744, '19/03/2020', '19', '3', '2020', '8', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.06220059');
INSERT INTO public.ecdc_import VALUES (60745, '18/03/2020', '18', '3', '2020', '7', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.05390718');
INSERT INTO public.ecdc_import VALUES (60746, '17/03/2020', '17', '3', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04665044');
INSERT INTO public.ecdc_import VALUES (60747, '16/03/2020', '16', '3', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.04250374');
INSERT INTO public.ecdc_import VALUES (60748, '15/03/2020', '15', '3', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03835703');
INSERT INTO public.ecdc_import VALUES (60749, '14/03/2020', '14', '3', '2020', '9', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.03835703');
INSERT INTO public.ecdc_import VALUES (60750, '13/03/2020', '13', '3', '2020', '5', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02902694');
INSERT INTO public.ecdc_import VALUES (60751, '12/03/2020', '12', '3', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02384356');
INSERT INTO public.ecdc_import VALUES (60752, '11/03/2020', '11', '3', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.02280688');
INSERT INTO public.ecdc_import VALUES (60753, '10/03/2020', '10', '3', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01866018');
INSERT INTO public.ecdc_import VALUES (60754, '09/03/2020', '9', '3', '2020', '9', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01451347');
INSERT INTO public.ecdc_import VALUES (60755, '08/03/2020', '8', '3', '2020', '4', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60756, '07/03/2020', '7', '3', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00103668');
INSERT INTO public.ecdc_import VALUES (60757, '02/03/2020', '2', '3', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60758, '01/03/2020', '1', '3', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60759, '29/02/2020', '29', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60760, '28/02/2020', '28', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60761, '27/02/2020', '27', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60762, '26/02/2020', '26', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00103668');
INSERT INTO public.ecdc_import VALUES (60763, '25/02/2020', '25', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00103668');
INSERT INTO public.ecdc_import VALUES (60764, '24/02/2020', '24', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60765, '23/02/2020', '23', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60766, '22/02/2020', '22', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00311003');
INSERT INTO public.ecdc_import VALUES (60767, '21/02/2020', '21', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00414671');
INSERT INTO public.ecdc_import VALUES (60768, '20/02/2020', '20', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60769, '19/02/2020', '19', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00622006');
INSERT INTO public.ecdc_import VALUES (60770, '18/02/2020', '18', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00725674');
INSERT INTO public.ecdc_import VALUES (60771, '17/02/2020', '17', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00829341');
INSERT INTO public.ecdc_import VALUES (60772, '16/02/2020', '16', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00933009');
INSERT INTO public.ecdc_import VALUES (60773, '15/02/2020', '15', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01140344');
INSERT INTO public.ecdc_import VALUES (60774, '14/02/2020', '14', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01140344');
INSERT INTO public.ecdc_import VALUES (60775, '13/02/2020', '13', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01451347');
INSERT INTO public.ecdc_import VALUES (60776, '12/02/2020', '12', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01347679');
INSERT INTO public.ecdc_import VALUES (60777, '11/02/2020', '11', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01347679');
INSERT INTO public.ecdc_import VALUES (60778, '10/02/2020', '10', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01244012');
INSERT INTO public.ecdc_import VALUES (60779, '09/02/2020', '9', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01244012');
INSERT INTO public.ecdc_import VALUES (60780, '08/02/2020', '8', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01140344');
INSERT INTO public.ecdc_import VALUES (60781, '07/02/2020', '7', '2', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01036676');
INSERT INTO public.ecdc_import VALUES (60782, '06/02/2020', '6', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01036676');
INSERT INTO public.ecdc_import VALUES (60783, '05/02/2020', '5', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.01036676');
INSERT INTO public.ecdc_import VALUES (60784, '04/02/2020', '4', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00933009');
INSERT INTO public.ecdc_import VALUES (60785, '03/02/2020', '3', '2', '2020', '1', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00829341');
INSERT INTO public.ecdc_import VALUES (60786, '02/02/2020', '2', '2', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00725674');
INSERT INTO public.ecdc_import VALUES (60787, '01/02/2020', '1', '2', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60788, '31/01/2020', '31', '1', '2020', '3', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00518338');
INSERT INTO public.ecdc_import VALUES (60789, '30/01/2020', '30', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60790, '29/01/2020', '29', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60791, '28/01/2020', '28', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60792, '27/01/2020', '27', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60793, '26/01/2020', '26', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60794, '25/01/2020', '25', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60795, '24/01/2020', '24', '1', '2020', '2', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0.00207335');
INSERT INTO public.ecdc_import VALUES (60796, '23/01/2020', '23', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60797, '22/01/2020', '22', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60798, '21/01/2020', '21', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60799, '20/01/2020', '20', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60800, '19/01/2020', '19', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60801, '18/01/2020', '18', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60802, '17/01/2020', '17', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60803, '16/01/2020', '16', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60804, '15/01/2020', '15', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60805, '14/01/2020', '14', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60806, '13/01/2020', '13', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (60807, '12/01/2020', '12', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60808, '11/01/2020', '11', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60809, '10/01/2020', '10', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60810, '09/01/2020', '9', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60811, '08/01/2020', '8', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60812, '07/01/2020', '7', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60813, '06/01/2020', '6', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60814, '05/01/2020', '5', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60815, '04/01/2020', '4', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60816, '03/01/2020', '3', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60817, '02/01/2020', '2', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60818, '01/01/2020', '1', '1', '2020', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60819, '31/12/2019', '31', '12', '2019', '0', '0', '96462108', 'Vietnam', 'VN', 'VNM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (60820, '14/12/2020', '14', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60821, '13/12/2020', '13', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60822, '12/12/2020', '12', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60823, '11/12/2020', '11', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60824, '10/12/2020', '10', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60825, '09/12/2020', '9', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60826, '08/12/2020', '8', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60827, '07/12/2020', '7', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60828, '06/12/2020', '6', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60829, '05/12/2020', '5', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60830, '04/12/2020', '4', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60831, '03/12/2020', '3', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60832, '02/12/2020', '2', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60833, '01/12/2020', '1', '12', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60834, '30/11/2020', '30', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60835, '29/11/2020', '29', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60836, '28/11/2020', '28', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60837, '27/11/2020', '27', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60838, '26/11/2020', '26', '11', '2020', '1', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60839, '25/11/2020', '25', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60840, '24/11/2020', '24', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60841, '23/11/2020', '23', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60842, '22/11/2020', '22', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60843, '21/11/2020', '21', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60844, '20/11/2020', '20', '11', '2020', '1', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60845, '19/11/2020', '19', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60846, '18/11/2020', '18', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60847, '17/11/2020', '17', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60848, '16/11/2020', '16', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60849, '15/11/2020', '15', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60850, '14/11/2020', '14', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60851, '13/11/2020', '13', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60852, '12/11/2020', '12', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60853, '11/11/2020', '11', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60854, '10/11/2020', '10', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60855, '09/11/2020', '9', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60856, '08/11/2020', '8', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60857, '07/11/2020', '7', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60858, '06/11/2020', '6', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60859, '05/11/2020', '5', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60860, '04/11/2020', '4', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60861, '03/11/2020', '3', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60862, '02/11/2020', '2', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60863, '01/11/2020', '1', '11', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60864, '31/10/2020', '31', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60865, '30/10/2020', '30', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60866, '29/10/2020', '29', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60867, '28/10/2020', '28', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60868, '27/10/2020', '27', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60869, '26/10/2020', '26', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60870, '25/10/2020', '25', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60871, '24/10/2020', '24', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60872, '23/10/2020', '23', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60873, '22/10/2020', '22', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60874, '21/10/2020', '21', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60875, '20/10/2020', '20', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60876, '19/10/2020', '19', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60877, '18/10/2020', '18', '10', '2020', '0', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60878, '17/10/2020', '17', '10', '2020', '1', '0', '', 'Wallis_and_Futuna', 'WF', '', 'Oceania', '');
INSERT INTO public.ecdc_import VALUES (60879, '14/12/2020', '14', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60880, '13/12/2020', '13', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60881, '12/12/2020', '12', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60882, '11/12/2020', '11', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60883, '10/12/2020', '10', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60884, '09/12/2020', '9', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60885, '08/12/2020', '8', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60886, '07/12/2020', '7', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60887, '06/12/2020', '6', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60888, '05/12/2020', '5', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60889, '04/12/2020', '4', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60890, '03/12/2020', '3', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60891, '02/12/2020', '2', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60892, '01/12/2020', '1', '12', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60893, '30/11/2020', '30', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60894, '29/11/2020', '29', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60895, '28/11/2020', '28', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60896, '27/11/2020', '27', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60897, '26/11/2020', '26', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60898, '25/11/2020', '25', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60899, '24/11/2020', '24', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60900, '23/11/2020', '23', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60901, '22/11/2020', '22', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60902, '21/11/2020', '21', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60903, '20/11/2020', '20', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60904, '19/11/2020', '19', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60905, '18/11/2020', '18', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60906, '17/11/2020', '17', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60907, '16/11/2020', '16', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60908, '15/11/2020', '15', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60909, '14/11/2020', '14', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60910, '13/11/2020', '13', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60911, '12/11/2020', '12', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60912, '11/11/2020', '11', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60913, '10/11/2020', '10', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60914, '09/11/2020', '9', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60915, '08/11/2020', '8', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60916, '07/11/2020', '7', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60917, '06/11/2020', '6', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60918, '05/11/2020', '5', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60919, '04/11/2020', '4', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60920, '03/11/2020', '3', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60921, '02/11/2020', '2', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60922, '01/11/2020', '1', '11', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60923, '31/10/2020', '31', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60924, '30/10/2020', '30', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60925, '29/10/2020', '29', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60926, '28/10/2020', '28', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60927, '27/10/2020', '27', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60928, '26/10/2020', '26', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60929, '25/10/2020', '25', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60930, '24/10/2020', '24', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60931, '23/10/2020', '23', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60932, '22/10/2020', '22', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60933, '21/10/2020', '21', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60934, '20/10/2020', '20', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60935, '19/10/2020', '19', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60936, '18/10/2020', '18', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60937, '17/10/2020', '17', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60938, '16/10/2020', '16', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60939, '15/10/2020', '15', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60940, '14/10/2020', '14', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60941, '13/10/2020', '13', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60942, '12/10/2020', '12', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60943, '11/10/2020', '11', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60944, '10/10/2020', '10', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60945, '09/10/2020', '9', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60946, '08/10/2020', '8', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60947, '07/10/2020', '7', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60948, '06/10/2020', '6', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60949, '05/10/2020', '5', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60950, '04/10/2020', '4', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60951, '03/10/2020', '3', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60952, '02/10/2020', '2', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60953, '01/10/2020', '1', '10', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60954, '30/09/2020', '30', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60955, '29/09/2020', '29', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60956, '28/09/2020', '28', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60957, '27/09/2020', '27', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60958, '26/09/2020', '26', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60959, '25/09/2020', '25', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60960, '24/09/2020', '24', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60961, '23/09/2020', '23', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60962, '22/09/2020', '22', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60963, '21/09/2020', '21', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60964, '20/09/2020', '20', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60965, '19/09/2020', '19', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60966, '18/09/2020', '18', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60967, '17/09/2020', '17', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60968, '16/09/2020', '16', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60969, '15/09/2020', '15', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60970, '14/09/2020', '14', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60971, '13/09/2020', '13', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60972, '12/09/2020', '12', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60973, '11/09/2020', '11', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60974, '10/09/2020', '10', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60975, '09/09/2020', '9', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60976, '08/09/2020', '8', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60977, '07/09/2020', '7', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60978, '06/09/2020', '6', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60979, '05/09/2020', '5', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60980, '04/09/2020', '4', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60981, '03/09/2020', '3', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60982, '02/09/2020', '2', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60983, '01/09/2020', '1', '9', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60984, '31/08/2020', '31', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60985, '30/08/2020', '30', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60986, '29/08/2020', '29', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60987, '28/08/2020', '28', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60988, '27/08/2020', '27', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60989, '26/08/2020', '26', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60990, '25/08/2020', '25', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60991, '24/08/2020', '24', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60992, '23/08/2020', '23', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60993, '22/08/2020', '22', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60994, '21/08/2020', '21', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60995, '20/08/2020', '20', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60996, '19/08/2020', '19', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60997, '18/08/2020', '18', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60998, '17/08/2020', '17', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (60999, '16/08/2020', '16', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61000, '15/08/2020', '15', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61001, '14/08/2020', '14', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61002, '13/08/2020', '13', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61003, '12/08/2020', '12', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61004, '11/08/2020', '11', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61005, '10/08/2020', '10', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61006, '09/08/2020', '9', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61007, '08/08/2020', '8', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61008, '07/08/2020', '7', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61009, '06/08/2020', '6', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61010, '05/08/2020', '5', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61011, '04/08/2020', '4', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61012, '03/08/2020', '3', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61013, '02/08/2020', '2', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61014, '01/08/2020', '1', '8', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61015, '31/07/2020', '31', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61016, '30/07/2020', '30', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61017, '29/07/2020', '29', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61018, '28/07/2020', '28', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.85843099');
INSERT INTO public.ecdc_import VALUES (61019, '27/07/2020', '27', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61020, '26/07/2020', '26', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61021, '25/07/2020', '25', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61022, '24/07/2020', '24', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61023, '23/07/2020', '23', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61024, '22/07/2020', '22', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61025, '21/07/2020', '21', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61026, '20/07/2020', '20', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61027, '19/07/2020', '19', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61028, '18/07/2020', '18', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '42.40649111');
INSERT INTO public.ecdc_import VALUES (61029, '17/07/2020', '17', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '52.36429064');
INSERT INTO public.ecdc_import VALUES (61030, '16/07/2020', '16', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '52.36429064');
INSERT INTO public.ecdc_import VALUES (61031, '15/07/2020', '15', '7', '2020', '5', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '66.27087275');
INSERT INTO public.ecdc_import VALUES (61032, '14/07/2020', '14', '7', '2020', '242', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '94.94246795');
INSERT INTO public.ecdc_import VALUES (61033, '13/07/2020', '13', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '53.39440784');
INSERT INTO public.ecdc_import VALUES (61034, '12/07/2020', '12', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '53.39440784');
INSERT INTO public.ecdc_import VALUES (61035, '11/07/2020', '11', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61036, '10/07/2020', '10', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61037, '09/07/2020', '9', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61038, '08/07/2020', '8', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61039, '07/07/2020', '7', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61040, '06/07/2020', '6', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61041, '05/07/2020', '5', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61042, '04/07/2020', '4', '7', '2020', '58', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '84.81298222');
INSERT INTO public.ecdc_import VALUES (61043, '03/07/2020', '3', '7', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '75.19855509');
INSERT INTO public.ecdc_import VALUES (61044, '02/07/2020', '2', '7', '2020', '81', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '75.19855509');
INSERT INTO public.ecdc_import VALUES (61045, '01/07/2020', '1', '7', '2020', '172', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '61.29197298');
INSERT INTO public.ecdc_import VALUES (61046, '30/06/2020', '30', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '31.76194678');
INSERT INTO public.ecdc_import VALUES (61047, '29/06/2020', '29', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '31.76194678');
INSERT INTO public.ecdc_import VALUES (61048, '28/06/2020', '28', '6', '2020', '183', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '31.76194678');
INSERT INTO public.ecdc_import VALUES (61049, '27/06/2020', '27', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61050, '26/06/2020', '26', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61051, '25/06/2020', '25', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61052, '24/06/2020', '24', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61053, '23/06/2020', '23', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61054, '22/06/2020', '22', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61055, '21/06/2020', '21', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61056, '20/06/2020', '20', '6', '2020', '2', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0.3433724');
INSERT INTO public.ecdc_import VALUES (61057, '19/06/2020', '19', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61058, '18/06/2020', '18', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61059, '17/06/2020', '17', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61060, '16/06/2020', '16', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61061, '15/06/2020', '15', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61062, '14/06/2020', '14', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61063, '13/06/2020', '13', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61064, '12/06/2020', '12', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61065, '11/06/2020', '11', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61066, '10/06/2020', '10', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61067, '09/06/2020', '9', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61068, '08/06/2020', '8', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61069, '07/06/2020', '7', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61070, '06/06/2020', '6', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61071, '05/06/2020', '5', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61072, '04/06/2020', '4', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61073, '03/06/2020', '3', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61074, '02/06/2020', '2', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61075, '01/06/2020', '1', '6', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61076, '31/05/2020', '31', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61077, '30/05/2020', '30', '5', '2020', '17', '1', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '2.91866538');
INSERT INTO public.ecdc_import VALUES (61078, '29/05/2020', '29', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61079, '28/05/2020', '28', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61080, '27/05/2020', '27', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61081, '26/05/2020', '26', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61082, '25/05/2020', '25', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61083, '24/05/2020', '24', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61084, '23/05/2020', '23', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61085, '22/05/2020', '22', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61086, '21/05/2020', '21', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61087, '20/05/2020', '20', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61088, '19/05/2020', '19', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61089, '18/05/2020', '18', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61090, '17/05/2020', '17', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61091, '16/05/2020', '16', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61092, '15/05/2020', '15', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61093, '14/05/2020', '14', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61094, '13/05/2020', '13', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61095, '12/05/2020', '12', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61096, '11/05/2020', '11', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61097, '10/05/2020', '10', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '0');
INSERT INTO public.ecdc_import VALUES (61098, '09/05/2020', '9', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '1.03011719');
INSERT INTO public.ecdc_import VALUES (61099, '08/05/2020', '8', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61100, '07/05/2020', '7', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61101, '06/05/2020', '6', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61102, '05/05/2020', '5', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61103, '04/05/2020', '4', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61104, '03/05/2020', '3', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61105, '02/05/2020', '2', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61106, '01/05/2020', '1', '5', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61107, '30/04/2020', '30', '4', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61108, '29/04/2020', '29', '4', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61109, '28/04/2020', '28', '4', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61110, '27/04/2020', '27', '4', '2020', '0', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61111, '26/04/2020', '26', '4', '2020', '6', '0', '582458', 'Western_Sahara', 'EH', 'ESH', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61112, '14/12/2020', '14', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61113, '13/12/2020', '13', '12', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61114, '12/12/2020', '12', '12', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02743303');
INSERT INTO public.ecdc_import VALUES (61115, '11/12/2020', '11', '12', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0240039');
INSERT INTO public.ecdc_import VALUES (61116, '10/12/2020', '10', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61117, '09/12/2020', '9', '12', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0240039');
INSERT INTO public.ecdc_import VALUES (61118, '08/12/2020', '8', '12', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61119, '07/12/2020', '7', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02743303');
INSERT INTO public.ecdc_import VALUES (61120, '06/12/2020', '6', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02743303');
INSERT INTO public.ecdc_import VALUES (61121, '05/12/2020', '5', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61122, '04/12/2020', '4', '12', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61123, '03/12/2020', '3', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61124, '02/12/2020', '2', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61125, '01/12/2020', '1', '12', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61126, '30/11/2020', '30', '11', '2020', '3', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61127, '29/11/2020', '29', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61128, '28/11/2020', '28', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61129, '27/11/2020', '27', '11', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61130, '26/11/2020', '26', '11', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03429129');
INSERT INTO public.ecdc_import VALUES (61131, '25/11/2020', '25', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61132, '24/11/2020', '24', '11', '2020', '3', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61133, '23/11/2020', '23', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61134, '22/11/2020', '22', '11', '2020', '1', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61135, '21/11/2020', '21', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61136, '20/11/2020', '20', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61137, '19/11/2020', '19', '11', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61138, '18/11/2020', '18', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61139, '17/11/2020', '17', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61140, '16/11/2020', '16', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61141, '15/11/2020', '15', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61142, '14/11/2020', '14', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61143, '13/11/2020', '13', '11', '2020', '5', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61144, '12/11/2020', '12', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61145, '11/11/2020', '11', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61146, '10/11/2020', '10', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61147, '09/11/2020', '9', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61148, '08/11/2020', '8', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61149, '07/11/2020', '7', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.00685826');
INSERT INTO public.ecdc_import VALUES (61150, '06/11/2020', '6', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.00685826');
INSERT INTO public.ecdc_import VALUES (61151, '05/11/2020', '5', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.00685826');
INSERT INTO public.ecdc_import VALUES (61152, '04/11/2020', '4', '11', '2020', '0', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01028739');
INSERT INTO public.ecdc_import VALUES (61153, '03/11/2020', '3', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01028739');
INSERT INTO public.ecdc_import VALUES (61154, '02/11/2020', '2', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01371652');
INSERT INTO public.ecdc_import VALUES (61155, '01/11/2020', '1', '11', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01371652');
INSERT INTO public.ecdc_import VALUES (61156, '31/10/2020', '31', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61157, '30/10/2020', '30', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61158, '29/10/2020', '29', '10', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61159, '28/10/2020', '28', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0240039');
INSERT INTO public.ecdc_import VALUES (61160, '27/10/2020', '27', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0240039');
INSERT INTO public.ecdc_import VALUES (61161, '26/10/2020', '26', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02743303');
INSERT INTO public.ecdc_import VALUES (61162, '25/10/2020', '25', '10', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02743303');
INSERT INTO public.ecdc_import VALUES (61163, '24/10/2020', '24', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0240039');
INSERT INTO public.ecdc_import VALUES (61164, '23/10/2020', '23', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0240039');
INSERT INTO public.ecdc_import VALUES (61165, '22/10/2020', '22', '10', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02743303');
INSERT INTO public.ecdc_import VALUES (61166, '21/10/2020', '21', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61167, '20/10/2020', '20', '10', '2020', '1', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61168, '19/10/2020', '19', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.04800781');
INSERT INTO public.ecdc_import VALUES (61169, '18/10/2020', '18', '10', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61170, '17/10/2020', '17', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.04800781');
INSERT INTO public.ecdc_import VALUES (61171, '16/10/2020', '16', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.06515346');
INSERT INTO public.ecdc_import VALUES (61172, '15/10/2020', '15', '10', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07544084');
INSERT INTO public.ecdc_import VALUES (61173, '14/10/2020', '14', '10', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61174, '13/10/2020', '13', '10', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61175, '12/10/2020', '12', '10', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61176, '11/10/2020', '11', '10', '2020', '1', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07544084');
INSERT INTO public.ecdc_import VALUES (61177, '10/10/2020', '10', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61178, '09/10/2020', '9', '10', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61179, '08/10/2020', '8', '10', '2020', '8', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61180, '07/10/2020', '7', '10', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.04457868');
INSERT INTO public.ecdc_import VALUES (61181, '06/10/2020', '6', '10', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61182, '05/10/2020', '5', '10', '2020', '1', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61183, '04/10/2020', '4', '10', '2020', '1', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05486607');
INSERT INTO public.ecdc_import VALUES (61184, '03/10/2020', '3', '10', '2020', '5', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.06515346');
INSERT INTO public.ecdc_import VALUES (61185, '02/10/2020', '2', '10', '2020', '3', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61186, '01/10/2020', '1', '10', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.05143694');
INSERT INTO public.ecdc_import VALUES (61187, '30/09/2020', '30', '9', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.06515346');
INSERT INTO public.ecdc_import VALUES (61188, '29/09/2020', '29', '9', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07544084');
INSERT INTO public.ecdc_import VALUES (61189, '28/09/2020', '28', '9', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07201171');
INSERT INTO public.ecdc_import VALUES (61190, '27/09/2020', '27', '9', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.07544084');
INSERT INTO public.ecdc_import VALUES (61191, '26/09/2020', '26', '9', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.08915736');
INSERT INTO public.ecdc_import VALUES (61192, '25/09/2020', '25', '9', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.10287388');
INSERT INTO public.ecdc_import VALUES (61193, '24/09/2020', '24', '9', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.11316127');
INSERT INTO public.ecdc_import VALUES (61194, '23/09/2020', '23', '9', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.13030691');
INSERT INTO public.ecdc_import VALUES (61195, '22/09/2020', '22', '9', '2020', '0', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.13373604');
INSERT INTO public.ecdc_import VALUES (61196, '21/09/2020', '21', '9', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.14745256');
INSERT INTO public.ecdc_import VALUES (61197, '20/09/2020', '20', '9', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.1405943');
INSERT INTO public.ecdc_import VALUES (61198, '19/09/2020', '19', '9', '2020', '1', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.1405943');
INSERT INTO public.ecdc_import VALUES (61199, '18/09/2020', '18', '9', '2020', '3', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.14745256');
INSERT INTO public.ecdc_import VALUES (61200, '17/09/2020', '17', '9', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.15088169');
INSERT INTO public.ecdc_import VALUES (61201, '16/09/2020', '16', '9', '2020', '3', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.18517298');
INSERT INTO public.ecdc_import VALUES (61202, '15/09/2020', '15', '9', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.18860211');
INSERT INTO public.ecdc_import VALUES (61203, '14/09/2020', '14', '9', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.20574776');
INSERT INTO public.ecdc_import VALUES (61204, '13/09/2020', '13', '9', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.21946427');
INSERT INTO public.ecdc_import VALUES (61205, '12/09/2020', '12', '9', '2020', '4', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.21946427');
INSERT INTO public.ecdc_import VALUES (61206, '11/09/2020', '11', '9', '2020', '4', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.23660992');
INSERT INTO public.ecdc_import VALUES (61207, '10/09/2020', '10', '9', '2020', '5', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.23660992');
INSERT INTO public.ecdc_import VALUES (61208, '09/09/2020', '9', '9', '2020', '3', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.24003905');
INSERT INTO public.ecdc_import VALUES (61209, '08/09/2020', '8', '9', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.25718469');
INSERT INTO public.ecdc_import VALUES (61210, '07/09/2020', '7', '9', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.26061382');
INSERT INTO public.ecdc_import VALUES (61211, '06/09/2020', '6', '9', '2020', '4', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.27433034');
INSERT INTO public.ecdc_import VALUES (61212, '05/09/2020', '5', '9', '2020', '3', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.26404295');
INSERT INTO public.ecdc_import VALUES (61213, '04/09/2020', '4', '9', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.27775947');
INSERT INTO public.ecdc_import VALUES (61214, '03/09/2020', '3', '9', '2020', '14', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.28461773');
INSERT INTO public.ecdc_import VALUES (61215, '02/09/2020', '2', '9', '2020', '4', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.26061382');
INSERT INTO public.ecdc_import VALUES (61216, '01/09/2020', '1', '9', '2020', '5', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.26061382');
INSERT INTO public.ecdc_import VALUES (61217, '31/08/2020', '31', '8', '2020', '6', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.28804686');
INSERT INTO public.ecdc_import VALUES (61218, '30/08/2020', '30', '8', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.29147599');
INSERT INTO public.ecdc_import VALUES (61219, '29/08/2020', '29', '8', '2020', '9', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.29147599');
INSERT INTO public.ecdc_import VALUES (61220, '28/08/2020', '28', '8', '2020', '4', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.29833425');
INSERT INTO public.ecdc_import VALUES (61221, '27/08/2020', '27', '8', '2020', '6', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.3051925');
INSERT INTO public.ecdc_import VALUES (61222, '26/08/2020', '26', '8', '2020', '8', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.31890902');
INSERT INTO public.ecdc_import VALUES (61223, '25/08/2020', '25', '8', '2020', '5', '8', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.29147599');
INSERT INTO public.ecdc_import VALUES (61224, '24/08/2020', '24', '8', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.36691683');
INSERT INTO public.ecdc_import VALUES (61225, '23/08/2020', '23', '8', '2020', '1', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.36691683');
INSERT INTO public.ecdc_import VALUES (61226, '22/08/2020', '22', '8', '2020', '7', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.37720422');
INSERT INTO public.ecdc_import VALUES (61227, '21/08/2020', '21', '8', '2020', '6', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.45264506');
INSERT INTO public.ecdc_import VALUES (61228, '20/08/2020', '20', '8', '2020', '7', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.44235767');
INSERT INTO public.ecdc_import VALUES (61229, '19/08/2020', '19', '8', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.43207029');
INSERT INTO public.ecdc_import VALUES (61230, '18/08/2020', '18', '8', '2020', '13', '5', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.49379461');
INSERT INTO public.ecdc_import VALUES (61231, '17/08/2020', '17', '8', '2020', '7', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.46293245');
INSERT INTO public.ecdc_import VALUES (61232, '16/08/2020', '16', '8', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.45264506');
INSERT INTO public.ecdc_import VALUES (61233, '15/08/2020', '15', '8', '2020', '11', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.4457868');
INSERT INTO public.ecdc_import VALUES (61234, '14/08/2020', '14', '8', '2020', '6', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.41492464');
INSERT INTO public.ecdc_import VALUES (61235, '13/08/2020', '13', '8', '2020', '10', '5', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.4457868');
INSERT INTO public.ecdc_import VALUES (61236, '12/08/2020', '12', '8', '2020', '0', '5', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.46636158');
INSERT INTO public.ecdc_import VALUES (61237, '11/08/2020', '11', '8', '2020', '27', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.4800781');
INSERT INTO public.ecdc_import VALUES (61238, '10/08/2020', '10', '8', '2020', '4', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.4217829');
INSERT INTO public.ecdc_import VALUES (61239, '09/08/2020', '9', '8', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.43207029');
INSERT INTO public.ecdc_import VALUES (61240, '08/08/2020', '8', '8', '2020', '29', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.48693635');
INSERT INTO public.ecdc_import VALUES (61241, '07/08/2020', '7', '8', '2020', '3', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.38749161');
INSERT INTO public.ecdc_import VALUES (61242, '06/08/2020', '6', '8', '2020', '4', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.42521203');
INSERT INTO public.ecdc_import VALUES (61243, '05/08/2020', '5', '8', '2020', '22', '7', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.44921593');
INSERT INTO public.ecdc_import VALUES (61244, '04/08/2020', '4', '8', '2020', '4', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.40806638');
INSERT INTO public.ecdc_import VALUES (61245, '03/08/2020', '3', '8', '2020', '4', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.43892855');
INSERT INTO public.ecdc_import VALUES (61246, '02/08/2020', '2', '8', '2020', '2', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.51094026');
INSERT INTO public.ecdc_import VALUES (61247, '01/08/2020', '1', '8', '2020', '2', '6', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.52122765');
INSERT INTO public.ecdc_import VALUES (61248, '31/07/2020', '31', '7', '2020', '15', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.59666849');
INSERT INTO public.ecdc_import VALUES (61249, '30/07/2020', '30', '7', '2020', '16', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.63438891');
INSERT INTO public.ecdc_import VALUES (61250, '29/07/2020', '29', '7', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.66182195');
INSERT INTO public.ecdc_import VALUES (61251, '28/07/2020', '28', '7', '2020', '10', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.66182195');
INSERT INTO public.ecdc_import VALUES (61252, '27/07/2020', '27', '7', '2020', '7', '5', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.74069192');
INSERT INTO public.ecdc_import VALUES (61253, '26/07/2020', '26', '7', '2020', '20', '13', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.97730184');
INSERT INTO public.ecdc_import VALUES (61254, '25/07/2020', '25', '7', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.93958142');
INSERT INTO public.ecdc_import VALUES (61255, '24/07/2020', '24', '7', '2020', '14', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.02188052');
INSERT INTO public.ecdc_import VALUES (61256, '23/07/2020', '23', '7', '2020', '11', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.10417962');
INSERT INTO public.ecdc_import VALUES (61257, '22/07/2020', '22', '7', '2020', '10', '9', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.13847091');
INSERT INTO public.ecdc_import VALUES (61258, '21/07/2020', '21', '7', '2020', '13', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.12818353');
INSERT INTO public.ecdc_import VALUES (61259, '20/07/2020', '20', '7', '2020', '25', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.16933308');
INSERT INTO public.ecdc_import VALUES (61260, '19/07/2020', '19', '7', '2020', '5', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.14190004');
INSERT INTO public.ecdc_import VALUES (61261, '18/07/2020', '18', '7', '2020', '24', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.15218743');
INSERT INTO public.ecdc_import VALUES (61262, '17/07/2020', '17', '7', '2020', '26', '5', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.13504178');
INSERT INTO public.ecdc_import VALUES (61263, '16/07/2020', '16', '7', '2020', '24', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.15218743');
INSERT INTO public.ecdc_import VALUES (61264, '15/07/2020', '15', '7', '2020', '4', '6', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.17962047');
INSERT INTO public.ecdc_import VALUES (61265, '14/07/2020', '14', '7', '2020', '33', '7', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.26877783');
INSERT INTO public.ecdc_import VALUES (61266, '13/07/2020', '13', '7', '2020', '76', '52', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.18990785');
INSERT INTO public.ecdc_import VALUES (61267, '12/07/2020', '12', '7', '2020', '9', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.98073097');
INSERT INTO public.ecdc_import VALUES (61268, '11/07/2020', '11', '7', '2020', '24', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.99787661');
INSERT INTO public.ecdc_import VALUES (61269, '10/07/2020', '10', '7', '2020', '38', '10', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.96015619');
INSERT INTO public.ecdc_import VALUES (61270, '09/07/2020', '9', '7', '2020', '21', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.03902617');
INSERT INTO public.ecdc_import VALUES (61271, '08/07/2020', '8', '7', '2020', '7', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.04588442');
INSERT INTO public.ecdc_import VALUES (61272, '07/07/2020', '7', '7', '2020', '25', '7', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.10760875');
INSERT INTO public.ecdc_import VALUES (61273, '06/07/2020', '6', '7', '2020', '17', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.11103788');
INSERT INTO public.ecdc_import VALUES (61274, '05/07/2020', '5', '7', '2020', '8', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.11446701');
INSERT INTO public.ecdc_import VALUES (61275, '04/07/2020', '4', '7', '2020', '19', '10', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.10075049');
INSERT INTO public.ecdc_import VALUES (61276, '03/07/2020', '3', '7', '2020', '31', '7', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.08017572');
INSERT INTO public.ecdc_import VALUES (61277, '02/07/2020', '2', '7', '2020', '32', '6', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.98758923');
INSERT INTO public.ecdc_import VALUES (61278, '01/07/2020', '1', '7', '2020', '30', '8', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.92243577');
INSERT INTO public.ecdc_import VALUES (61279, '30/06/2020', '30', '6', '2020', '10', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.97387271');
INSERT INTO public.ecdc_import VALUES (61280, '29/06/2020', '29', '6', '2020', '15', '6', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.33736041');
INSERT INTO public.ecdc_import VALUES (61281, '28/06/2020', '28', '6', '2020', '14', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.36479345');
INSERT INTO public.ecdc_import VALUES (61282, '27/06/2020', '27', '6', '2020', '13', '5', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.56711207');
INSERT INTO public.ecdc_import VALUES (61283, '26/06/2020', '26', '6', '2020', '61', '14', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.66312769');
INSERT INTO public.ecdc_import VALUES (61284, '25/06/2020', '25', '6', '2020', '23', '13', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.56025381');
INSERT INTO public.ecdc_import VALUES (61285, '24/06/2020', '24', '6', '2020', '25', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.60483249');
INSERT INTO public.ecdc_import VALUES (61286, '23/06/2020', '23', '6', '2020', '26', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.61511988');
INSERT INTO public.ecdc_import VALUES (61287, '22/06/2020', '22', '6', '2020', '18', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.56025381');
INSERT INTO public.ecdc_import VALUES (61288, '21/06/2020', '21', '6', '2020', '4', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.54310817');
INSERT INTO public.ecdc_import VALUES (61289, '20/06/2020', '20', '6', '2020', '13', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.54310817');
INSERT INTO public.ecdc_import VALUES (61290, '19/06/2020', '19', '6', '2020', '4', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.55339555');
INSERT INTO public.ecdc_import VALUES (61291, '18/06/2020', '18', '6', '2020', '13', '29', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.7111355');
INSERT INTO public.ecdc_import VALUES (61292, '17/06/2020', '17', '6', '2020', '45', '7', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.68027334');
INSERT INTO public.ecdc_import VALUES (61293, '16/06/2020', '16', '6', '2020', '116', '44', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.68027334');
INSERT INTO public.ecdc_import VALUES (61294, '15/06/2020', '15', '6', '2020', '23', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.38879735');
INSERT INTO public.ecdc_import VALUES (61295, '14/06/2020', '14', '6', '2020', '73', '21', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.35450606');
INSERT INTO public.ecdc_import VALUES (61296, '13/06/2020', '13', '6', '2020', '41', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.18304959');
INSERT INTO public.ecdc_import VALUES (61297, '12/06/2020', '12', '6', '2020', '31', '7', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.07331746');
INSERT INTO public.ecdc_import VALUES (61298, '11/06/2020', '11', '6', '2020', '36', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '1.04588442');
INSERT INTO public.ecdc_import VALUES (61299, '10/06/2020', '10', '6', '2020', '28', '15', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.94301055');
INSERT INTO public.ecdc_import VALUES (61300, '09/06/2020', '9', '6', '2020', '10', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.88814448');
INSERT INTO public.ecdc_import VALUES (61301, '08/06/2020', '8', '6', '2020', '13', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.90529012');
INSERT INTO public.ecdc_import VALUES (61302, '07/06/2020', '7', '6', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.89500274');
INSERT INTO public.ecdc_import VALUES (61303, '06/06/2020', '6', '6', '2020', '16', '8', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.90529012');
INSERT INTO public.ecdc_import VALUES (61304, '05/06/2020', '5', '6', '2020', '50', '15', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.89157361');
INSERT INTO public.ecdc_import VALUES (61305, '04/06/2020', '4', '6', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.76469582');
INSERT INTO public.ecdc_import VALUES (61306, '03/06/2020', '3', '6', '2020', '45', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.79555799');
INSERT INTO public.ecdc_import VALUES (61307, '02/06/2020', '2', '6', '2020', '31', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.76812495');
INSERT INTO public.ecdc_import VALUES (61308, '01/06/2020', '1', '6', '2020', '13', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.66868021');
INSERT INTO public.ecdc_import VALUES (61309, '31/05/2020', '31', '5', '2020', '23', '11', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.63781804');
INSERT INTO public.ecdc_import VALUES (61310, '30/05/2020', '30', '5', '2020', '9', '9', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.6206724');
INSERT INTO public.ecdc_import VALUES (61311, '29/05/2020', '29', '5', '2020', '23', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.65496369');
INSERT INTO public.ecdc_import VALUES (61312, '28/05/2020', '28', '5', '2020', '6', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.63438891');
INSERT INTO public.ecdc_import VALUES (61313, '27/05/2020', '27', '5', '2020', '12', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.62410153');
INSERT INTO public.ecdc_import VALUES (61314, '26/05/2020', '26', '5', '2020', '15', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.6206724');
INSERT INTO public.ecdc_import VALUES (61315, '25/05/2020', '25', '5', '2020', '10', '3', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.5863811');
INSERT INTO public.ecdc_import VALUES (61316, '24/05/2020', '24', '5', '2020', '7', '6', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.61038501');
INSERT INTO public.ecdc_import VALUES (61317, '23/05/2020', '23', '5', '2020', '12', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.5863811');
INSERT INTO public.ecdc_import VALUES (61318, '22/05/2020', '22', '5', '2020', '13', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.57266459');
INSERT INTO public.ecdc_import VALUES (61319, '21/05/2020', '21', '5', '2020', '13', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.53151504');
INSERT INTO public.ecdc_import VALUES (61320, '20/05/2020', '20', '5', '2020', '37', '8', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.50065287');
INSERT INTO public.ecdc_import VALUES (61321, '19/05/2020', '19', '5', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.40463725');
INSERT INTO public.ecdc_import VALUES (61322, '18/05/2020', '18', '5', '2020', '4', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.40463725');
INSERT INTO public.ecdc_import VALUES (61323, '17/05/2020', '17', '5', '2020', '18', '4', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.39092074');
INSERT INTO public.ecdc_import VALUES (61324, '16/05/2020', '16', '5', '2020', '19', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.3394838');
INSERT INTO public.ecdc_import VALUES (61325, '15/05/2020', '15', '5', '2020', '17', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.27775947');
INSERT INTO public.ecdc_import VALUES (61326, '14/05/2020', '14', '5', '2020', '3', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.21946427');
INSERT INTO public.ecdc_import VALUES (61327, '13/05/2020', '13', '5', '2020', '11', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.22632253');
INSERT INTO public.ecdc_import VALUES (61328, '12/05/2020', '12', '5', '2020', '5', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.18860211');
INSERT INTO public.ecdc_import VALUES (61329, '11/05/2020', '11', '5', '2020', '17', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.17145646');
INSERT INTO public.ecdc_import VALUES (61330, '10/05/2020', '10', '5', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.11316127');
INSERT INTO public.ecdc_import VALUES (61331, '09/05/2020', '9', '5', '2020', '8', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.11316127');
INSERT INTO public.ecdc_import VALUES (61332, '08/05/2020', '8', '5', '2020', '1', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.08572823');
INSERT INTO public.ecdc_import VALUES (61333, '07/05/2020', '7', '5', '2020', '4', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.0822991');
INSERT INTO public.ecdc_import VALUES (61334, '06/05/2020', '6', '5', '2020', '9', '1', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.06858259');
INSERT INTO public.ecdc_import VALUES (61335, '05/05/2020', '5', '5', '2020', '2', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03772042');
INSERT INTO public.ecdc_import VALUES (61336, '04/05/2020', '4', '5', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61337, '03/05/2020', '3', '5', '2020', '3', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.03086216');
INSERT INTO public.ecdc_import VALUES (61338, '02/05/2020', '2', '5', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.02057478');
INSERT INTO public.ecdc_import VALUES (61339, '01/05/2020', '1', '5', '2020', '0', '2', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61340, '30/04/2020', '30', '4', '2020', '5', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.01714565');
INSERT INTO public.ecdc_import VALUES (61341, '29/04/2020', '29', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61342, '28/04/2020', '28', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61343, '27/04/2020', '27', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61344, '26/04/2020', '26', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61345, '25/04/2020', '25', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61346, '24/04/2020', '24', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0');
INSERT INTO public.ecdc_import VALUES (61347, '23/04/2020', '23', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '0.00342913');
INSERT INTO public.ecdc_import VALUES (61348, '22/04/2020', '22', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61349, '21/04/2020', '21', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61350, '20/04/2020', '20', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61351, '19/04/2020', '19', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61352, '18/04/2020', '18', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61353, '17/04/2020', '17', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61354, '16/04/2020', '16', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61355, '15/04/2020', '15', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61356, '14/04/2020', '14', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61357, '13/04/2020', '13', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61358, '12/04/2020', '12', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61359, '11/04/2020', '11', '4', '2020', '0', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61360, '10/04/2020', '10', '4', '2020', '1', '0', '29161922', 'Yemen', 'YE', 'YEM', 'Asia', '');
INSERT INTO public.ecdc_import VALUES (61361, '14/12/2020', '14', '12', '2020', '57', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.72878748');
INSERT INTO public.ecdc_import VALUES (61362, '13/12/2020', '13', '12', '2020', '56', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.51603384');
INSERT INTO public.ecdc_import VALUES (61363, '12/12/2020', '12', '12', '2020', '70', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.31447776');
INSERT INTO public.ecdc_import VALUES (61364, '11/12/2020', '11', '12', '2020', '29', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.01214364');
INSERT INTO public.ecdc_import VALUES (61365, '10/12/2020', '10', '12', '2020', '99', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.95055706');
INSERT INTO public.ecdc_import VALUES (61366, '09/12/2020', '9', '12', '2020', '32', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.78259366');
INSERT INTO public.ecdc_import VALUES (61367, '08/12/2020', '8', '12', '2020', '15', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.67061806');
INSERT INTO public.ecdc_import VALUES (61368, '07/12/2020', '7', '12', '2020', '18', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.75459976');
INSERT INTO public.ecdc_import VALUES (61369, '06/12/2020', '6', '12', '2020', '41', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.82178512');
INSERT INTO public.ecdc_import VALUES (61370, '05/12/2020', '5', '12', '2020', '127', '7', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.70980952');
INSERT INTO public.ecdc_import VALUES (61371, '04/12/2020', '4', '12', '2020', '30', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.1275364');
INSERT INTO public.ecdc_import VALUES (61372, '03/12/2020', '3', '12', '2020', '35', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.3514876');
INSERT INTO public.ecdc_import VALUES (61373, '02/12/2020', '2', '12', '2020', '18', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.36268516');
INSERT INTO public.ecdc_import VALUES (61374, '01/12/2020', '1', '12', '2020', '39', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.5754388');
INSERT INTO public.ecdc_import VALUES (61375, '30/11/2020', '30', '11', '2020', '19', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.7154083');
INSERT INTO public.ecdc_import VALUES (61376, '29/11/2020', '29', '11', '2020', '20', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.75459976');
INSERT INTO public.ecdc_import VALUES (61377, '28/11/2020', '28', '11', '2020', '16', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.66501928');
INSERT INTO public.ecdc_import VALUES (61378, '27/11/2020', '27', '11', '2020', '18', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.89456926');
INSERT INTO public.ecdc_import VALUES (61379, '26/11/2020', '26', '11', '2020', '69', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.79379122');
INSERT INTO public.ecdc_import VALUES (61380, '25/11/2020', '25', '11', '2020', '12', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.62582782');
INSERT INTO public.ecdc_import VALUES (61381, '24/11/2020', '24', '11', '2020', '30', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.70421074');
INSERT INTO public.ecdc_import VALUES (61382, '23/11/2020', '23', '11', '2020', '30', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.6314266');
INSERT INTO public.ecdc_import VALUES (61383, '22/11/2020', '22', '11', '2020', '21', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.72100708');
INSERT INTO public.ecdc_import VALUES (61384, '21/11/2020', '21', '11', '2020', '23', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.10172412');
INSERT INTO public.ecdc_import VALUES (61385, '20/11/2020', '20', '11', '2020', '70', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.2472924');
INSERT INTO public.ecdc_import VALUES (61386, '19/11/2020', '19', '11', '2020', '37', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.25848996');
INSERT INTO public.ecdc_import VALUES (61387, '18/11/2020', '18', '11', '2020', '56', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.25848996');
INSERT INTO public.ecdc_import VALUES (61388, '17/11/2020', '17', '11', '2020', '64', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.60561432');
INSERT INTO public.ecdc_import VALUES (61389, '16/11/2020', '16', '11', '2020', '26', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.60001554');
INSERT INTO public.ecdc_import VALUES (61390, '15/11/2020', '15', '11', '2020', '4', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.7231887');
INSERT INTO public.ecdc_import VALUES (61391, '14/11/2020', '14', '11', '2020', '57', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.79597284');
INSERT INTO public.ecdc_import VALUES (61392, '13/11/2020', '13', '11', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.98073258');
INSERT INTO public.ecdc_import VALUES (61393, '12/11/2020', '12', '11', '2020', '39', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.98073258');
INSERT INTO public.ecdc_import VALUES (61394, '11/11/2020', '11', '11', '2020', '26', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.22148012');
INSERT INTO public.ecdc_import VALUES (61395, '10/11/2020', '10', '11', '2020', '17', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.31665938');
INSERT INTO public.ecdc_import VALUES (61396, '09/11/2020', '9', '11', '2020', '46', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.68617886');
INSERT INTO public.ecdc_import VALUES (61397, '08/11/2020', '8', '11', '2020', '89', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.42863498');
INSERT INTO public.ecdc_import VALUES (61398, '07/11/2020', '7', '11', '2020', '49', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.05351672');
INSERT INTO public.ecdc_import VALUES (61399, '06/11/2020', '6', '11', '2020', '72', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.1151033');
INSERT INTO public.ecdc_import VALUES (61400, '05/11/2020', '5', '11', '2020', '37', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.90794844');
INSERT INTO public.ecdc_import VALUES (61401, '04/11/2020', '4', '11', '2020', '118', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.80157162');
INSERT INTO public.ecdc_import VALUES (61402, '03/11/2020', '3', '11', '2020', '63', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.61681188');
INSERT INTO public.ecdc_import VALUES (61403, '02/11/2020', '2', '11', '2020', '48', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.51043506');
INSERT INTO public.ecdc_import VALUES (61404, '01/11/2020', '1', '11', '2020', '17', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.60001554');
INSERT INTO public.ecdc_import VALUES (61405, '31/10/2020', '31', '10', '2020', '90', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.23267768');
INSERT INTO public.ecdc_import VALUES (61406, '30/10/2020', '30', '10', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.72878748');
INSERT INTO public.ecdc_import VALUES (61407, '29/10/2020', '29', '10', '2020', '82', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.96953502');
INSERT INTO public.ecdc_import VALUES (61408, '28/10/2020', '28', '10', '2020', '43', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.67279968');
INSERT INTO public.ecdc_import VALUES (61409, '27/10/2020', '27', '10', '2020', '83', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.64480578');
INSERT INTO public.ecdc_import VALUES (61410, '26/10/2020', '26', '10', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.68959602');
INSERT INTO public.ecdc_import VALUES (61411, '25/10/2020', '25', '10', '2020', '22', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.35585084');
INSERT INTO public.ecdc_import VALUES (61412, '24/10/2020', '24', '10', '2020', '60', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.44543132');
INSERT INTO public.ecdc_import VALUES (61413, '23/10/2020', '23', '10', '2020', '35', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.54061058');
INSERT INTO public.ecdc_import VALUES (61414, '22/10/2020', '22', '10', '2020', '18', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.34465328');
INSERT INTO public.ecdc_import VALUES (61415, '21/10/2020', '21', '10', '2020', '85', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.54620936');
INSERT INTO public.ecdc_import VALUES (61416, '20/10/2020', '20', '10', '2020', '44', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.52381424');
INSERT INTO public.ecdc_import VALUES (61417, '19/10/2020', '19', '10', '2020', '64', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.48462278');
INSERT INTO public.ecdc_import VALUES (61418, '18/10/2020', '18', '10', '2020', '130', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.5630057');
INSERT INTO public.ecdc_import VALUES (61419, '17/10/2020', '17', '10', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.64138862');
INSERT INTO public.ecdc_import VALUES (61420, '16/10/2020', '16', '10', '2020', '43', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.79815446');
INSERT INTO public.ecdc_import VALUES (61421, '15/10/2020', '15', '10', '2020', '29', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.79815446');
INSERT INTO public.ecdc_import VALUES (61422, '14/10/2020', '14', '10', '2020', '38', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.88213616');
INSERT INTO public.ecdc_import VALUES (61423, '13/10/2020', '13', '10', '2020', '91', '9', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.97731542');
INSERT INTO public.ecdc_import VALUES (61424, '12/10/2020', '12', '10', '2020', '119', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.57420326');
INSERT INTO public.ecdc_import VALUES (61425, '11/10/2020', '11', '10', '2020', '38', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.07031306');
INSERT INTO public.ecdc_import VALUES (61426, '10/10/2020', '10', '10', '2020', '77', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.40064108');
INSERT INTO public.ecdc_import VALUES (61427, '09/10/2020', '9', '10', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.10390574');
INSERT INTO public.ecdc_import VALUES (61428, '08/10/2020', '8', '10', '2020', '54', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.37264718');
INSERT INTO public.ecdc_import VALUES (61429, '07/10/2020', '7', '10', '2020', '81', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.37264718');
INSERT INTO public.ecdc_import VALUES (61430, '06/10/2020', '6', '10', '2020', '37', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '5.11728492');
INSERT INTO public.ecdc_import VALUES (61431, '05/10/2020', '5', '10', '2020', '78', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '5.15647638');
INSERT INTO public.ecdc_import VALUES (61432, '04/10/2020', '4', '10', '2020', '144', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '5.318841');
INSERT INTO public.ecdc_import VALUES (61433, '03/10/2020', '3', '10', '2020', '28', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.52381424');
INSERT INTO public.ecdc_import VALUES (61434, '02/10/2020', '2', '10', '2020', '43', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.89333372');
INSERT INTO public.ecdc_import VALUES (61435, '01/10/2020', '1', '10', '2020', '44', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.88213616');
INSERT INTO public.ecdc_import VALUES (61436, '30/09/2020', '30', '9', '2020', '55', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '5.01650688');
INSERT INTO public.ecdc_import VALUES (61437, '29/09/2020', '29', '9', '2020', '19', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '5.2628532');
INSERT INTO public.ecdc_import VALUES (61438, '28/09/2020', '28', '9', '2020', '29', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '6.16985556');
INSERT INTO public.ecdc_import VALUES (61439, '27/09/2020', '27', '9', '2020', '97', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '6.41620188');
INSERT INTO public.ecdc_import VALUES (61440, '26/09/2020', '26', '9', '2020', '24', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '6.67374576');
INSERT INTO public.ecdc_import VALUES (61441, '25/09/2020', '25', '9', '2020', '48', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.14964206');
INSERT INTO public.ecdc_import VALUES (61442, '24/09/2020', '24', '9', '2020', '54', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.45197618');
INSERT INTO public.ecdc_import VALUES (61443, '23/09/2020', '23', '9', '2020', '214', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.04544686');
INSERT INTO public.ecdc_import VALUES (61444, '22/09/2020', '22', '9', '2020', '44', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.49676642');
INSERT INTO public.ecdc_import VALUES (61445, '21/09/2020', '21', '9', '2020', '107', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.5863469');
INSERT INTO public.ecdc_import VALUES (61446, '20/09/2020', '20', '9', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.3623957');
INSERT INTO public.ecdc_import VALUES (61447, '19/09/2020', '19', '9', '2020', '94', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.74311274');
INSERT INTO public.ecdc_import VALUES (61448, '18/09/2020', '18', '9', '2020', '41', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.8662859');
INSERT INTO public.ecdc_import VALUES (61449, '17/09/2020', '17', '9', '2020', '68', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.24140417');
INSERT INTO public.ecdc_import VALUES (61450, '16/09/2020', '16', '9', '2020', '99', '4', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.05104564');
INSERT INTO public.ecdc_import VALUES (61451, '15/09/2020', '15', '9', '2020', '181', '8', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.08681995');
INSERT INTO public.ecdc_import VALUES (61452, '14/09/2020', '14', '9', '2020', '73', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.47655293');
INSERT INTO public.ecdc_import VALUES (61453, '13/09/2020', '13', '9', '2020', '143', '6', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.75649193');
INSERT INTO public.ecdc_import VALUES (61454, '12/09/2020', '12', '9', '2020', '109', '6', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.64451633');
INSERT INTO public.ecdc_import VALUES (61455, '11/09/2020', '11', '9', '2020', '102', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.03083215');
INSERT INTO public.ecdc_import VALUES (61456, '10/09/2020', '10', '9', '2020', '160', '4', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.71948209');
INSERT INTO public.ecdc_import VALUES (61457, '09/09/2020', '9', '9', '2020', '116', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.33316627');
INSERT INTO public.ecdc_import VALUES (61458, '08/09/2020', '8', '9', '2020', '60', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.45074065');
INSERT INTO public.ecdc_import VALUES (61459, '07/09/2020', '7', '9', '2020', '67', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.48433333');
INSERT INTO public.ecdc_import VALUES (61460, '06/09/2020', '6', '9', '2020', '70', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '11.65665997');
INSERT INTO public.ecdc_import VALUES (61461, '05/09/2020', '5', '9', '2020', '116', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '11.26474537');
INSERT INTO public.ecdc_import VALUES (61462, '04/09/2020', '4', '9', '2020', '108', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '12.04297579');
INSERT INTO public.ecdc_import VALUES (61463, '03/09/2020', '3', '9', '2020', '34', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '12.30051967');
INSERT INTO public.ecdc_import VALUES (61464, '02/09/2020', '2', '9', '2020', '284', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '13.43707201');
INSERT INTO public.ecdc_import VALUES (61465, '01/09/2020', '1', '9', '2020', '72', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '12.64204525');
INSERT INTO public.ecdc_import VALUES (61466, '31/08/2020', '31', '8', '2020', '123', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '15.01592797');
INSERT INTO public.ecdc_import VALUES (61467, '30/08/2020', '30', '8', '2020', '123', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '15.20628649');
INSERT INTO public.ecdc_import VALUES (61468, '29/08/2020', '29', '8', '2020', '178', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '15.44143525');
INSERT INTO public.ecdc_import VALUES (61469, '28/08/2020', '28', '8', '2020', '225', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.44921565');
INSERT INTO public.ecdc_import VALUES (61470, '27/08/2020', '27', '8', '2020', '91', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.09649251');
INSERT INTO public.ecdc_import VALUES (61471, '26/08/2020', '26', '8', '2020', '137', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.85232781');
INSERT INTO public.ecdc_import VALUES (61472, '25/08/2020', '25', '8', '2020', '66', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.44921565');
INSERT INTO public.ecdc_import VALUES (61473, '24/08/2020', '24', '8', '2020', '455', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.77954367');
INSERT INTO public.ecdc_import VALUES (61474, '23/08/2020', '23', '8', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '15.25107673');
INSERT INTO public.ecdc_import VALUES (61475, '22/08/2020', '22', '8', '2020', '255', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '17.58576799');
INSERT INTO public.ecdc_import VALUES (61476, '21/08/2020', '21', '8', '2020', '154', '5', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '17.96088625');
INSERT INTO public.ecdc_import VALUES (61477, '20/08/2020', '20', '8', '2020', '237', '5', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '17.89370089');
INSERT INTO public.ecdc_import VALUES (61478, '19/08/2020', '19', '8', '2020', '142', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '19.04145079');
INSERT INTO public.ecdc_import VALUES (61479, '18/08/2020', '18', '8', '2020', '496', '4', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.24642403');
INSERT INTO public.ecdc_import VALUES (61480, '17/08/2020', '17', '8', '2020', '157', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.77394489');
INSERT INTO public.ecdc_import VALUES (61481, '16/08/2020', '16', '8', '2020', '165', '4', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.56119125');
INSERT INTO public.ecdc_import VALUES (61482, '15/08/2020', '15', '8', '2020', '358', '10', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '17.12106925');
INSERT INTO public.ecdc_import VALUES (61483, '14/08/2020', '14', '8', '2020', '162', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '17.40100825');
INSERT INTO public.ecdc_import VALUES (61484, '13/08/2020', '13', '8', '2020', '226', '5', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.20723257');
INSERT INTO public.ecdc_import VALUES (61485, '12/08/2020', '12', '8', '2020', '65', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.32480695');
INSERT INTO public.ecdc_import VALUES (61486, '11/08/2020', '11', '8', '2020', '125', '6', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '20.48033725');
INSERT INTO public.ecdc_import VALUES (61487, '10/08/2020', '10', '8', '2020', '182', '32', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '20.17800313');
INSERT INTO public.ecdc_import VALUES (61488, '09/08/2020', '9', '8', '2020', '417', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '20.01563851');
INSERT INTO public.ecdc_import VALUES (61489, '08/08/2020', '8', '8', '2020', '322', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '20.32357141');
INSERT INTO public.ecdc_import VALUES (61490, '07/08/2020', '7', '8', '2020', '142', '23', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '20.04923119');
INSERT INTO public.ecdc_import VALUES (61491, '06/08/2020', '6', '8', '2020', '442', '5', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '19.25420443');
INSERT INTO public.ecdc_import VALUES (61492, '05/08/2020', '5', '8', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.21843013');
INSERT INTO public.ecdc_import VALUES (61493, '04/08/2020', '4', '8', '2020', '233', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.21843013');
INSERT INTO public.ecdc_import VALUES (61494, '03/08/2020', '3', '8', '2020', '119', '5', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.85109227');
INSERT INTO public.ecdc_import VALUES (61495, '02/08/2020', '2', '8', '2020', '265', '14', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.18483745');
INSERT INTO public.ecdc_import VALUES (61496, '01/08/2020', '1', '8', '2020', '408', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '17.65295335');
INSERT INTO public.ecdc_import VALUES (61497, '31/07/2020', '31', '7', '2020', '306', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '18.31920817');
INSERT INTO public.ecdc_import VALUES (61498, '30/07/2020', '30', '7', '2020', '247', '4', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '16.60598149');
INSERT INTO public.ecdc_import VALUES (61499, '29/07/2020', '29', '7', '2020', '450', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '15.22308283');
INSERT INTO public.ecdc_import VALUES (61500, '28/07/2020', '28', '7', '2020', '71', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '14.87595847');
INSERT INTO public.ecdc_import VALUES (61501, '27/07/2020', '27', '7', '2020', '153', '9', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '14.47844509');
INSERT INTO public.ecdc_import VALUES (61502, '26/07/2020', '26', '7', '2020', '472', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '13.62183175');
INSERT INTO public.ecdc_import VALUES (61503, '25/07/2020', '25', '7', '2020', '273', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '10.97920759');
INSERT INTO public.ecdc_import VALUES (61504, '24/07/2020', '24', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.45074065');
INSERT INTO public.ecdc_import VALUES (61505, '23/07/2020', '23', '7', '2020', '257', '8', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.45074065');
INSERT INTO public.ecdc_import VALUES (61506, '22/07/2020', '22', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '8.01185418');
INSERT INTO public.ecdc_import VALUES (61507, '21/07/2020', '21', '7', '2020', '346', '11', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '9.48433333');
INSERT INTO public.ecdc_import VALUES (61508, '20/07/2020', '20', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.54715544');
INSERT INTO public.ecdc_import VALUES (61509, '19/07/2020', '19', '7', '2020', '170', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '7.54715544');
INSERT INTO public.ecdc_import VALUES (61510, '18/07/2020', '18', '7', '2020', '527', '27', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '6.59536284');
INSERT INTO public.ecdc_import VALUES (61511, '17/07/2020', '17', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.64480578');
INSERT INTO public.ecdc_import VALUES (61512, '16/07/2020', '16', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.64480578');
INSERT INTO public.ecdc_import VALUES (61513, '15/07/2020', '15', '7', '2020', '388', '40', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.85755942');
INSERT INTO public.ecdc_import VALUES (61514, '14/07/2020', '14', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.83080106');
INSERT INTO public.ecdc_import VALUES (61515, '13/07/2020', '13', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.89238764');
INSERT INTO public.ecdc_import VALUES (61516, '12/07/2020', '12', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.03795592');
INSERT INTO public.ecdc_import VALUES (61517, '11/07/2020', '11', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.03795592');
INSERT INTO public.ecdc_import VALUES (61518, '10/07/2020', '10', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.22831444');
INSERT INTO public.ecdc_import VALUES (61519, '09/07/2020', '9', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.27310468');
INSERT INTO public.ecdc_import VALUES (61520, '08/07/2020', '8', '7', '2020', '263', '12', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.34029004');
INSERT INTO public.ecdc_import VALUES (61521, '07/07/2020', '7', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.13095356');
INSERT INTO public.ecdc_import VALUES (61522, '06/07/2020', '6', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.13095356');
INSERT INTO public.ecdc_import VALUES (61523, '05/07/2020', '5', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.13095356');
INSERT INTO public.ecdc_import VALUES (61524, '04/07/2020', '4', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.13095356');
INSERT INTO public.ecdc_import VALUES (61525, '03/07/2020', '3', '7', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.20933648');
INSERT INTO public.ecdc_import VALUES (61526, '02/07/2020', '2', '7', '2020', '38', '6', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.2317316');
INSERT INTO public.ecdc_import VALUES (61527, '01/07/2020', '1', '7', '2020', '26', '2', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.05816942');
INSERT INTO public.ecdc_import VALUES (61528, '30/06/2020', '30', '6', '2020', '11', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.04137308');
INSERT INTO public.ecdc_import VALUES (61529, '29/06/2020', '29', '6', '2020', '26', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.11415722');
INSERT INTO public.ecdc_import VALUES (61530, '28/06/2020', '28', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.97418772');
INSERT INTO public.ecdc_import VALUES (61531, '27/06/2020', '27', '6', '2020', '34', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.1757438');
INSERT INTO public.ecdc_import VALUES (61532, '26/06/2020', '26', '6', '2020', '8', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.3717011');
INSERT INTO public.ecdc_import VALUES (61533, '25/06/2020', '25', '6', '2020', '12', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.32691086');
INSERT INTO public.ecdc_import VALUES (61534, '24/06/2020', '24', '6', '2020', '47', '7', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.55086206');
INSERT INTO public.ecdc_import VALUES (61535, '23/06/2020', '23', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.2877194');
INSERT INTO public.ecdc_import VALUES (61536, '22/06/2020', '22', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.54526328');
INSERT INTO public.ecdc_import VALUES (61537, '21/06/2020', '21', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.54526328');
INSERT INTO public.ecdc_import VALUES (61538, '20/06/2020', '20', '6', '2020', '14', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.78601082');
INSERT INTO public.ecdc_import VALUES (61539, '19/06/2020', '19', '6', '2020', '4', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.7076279');
INSERT INTO public.ecdc_import VALUES (61540, '18/06/2020', '18', '6', '2020', '7', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.80840594');
INSERT INTO public.ecdc_import VALUES (61541, '17/06/2020', '17', '6', '2020', '23', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.76921448');
INSERT INTO public.ecdc_import VALUES (61542, '16/06/2020', '16', '6', '2020', '24', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.64044254');
INSERT INTO public.ecdc_import VALUES (61543, '15/06/2020', '15', '6', '2020', '1', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.68523278');
INSERT INTO public.ecdc_import VALUES (61544, '14/06/2020', '14', '6', '2020', '36', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.679634');
INSERT INTO public.ecdc_import VALUES (61545, '13/06/2020', '13', '6', '2020', '69', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.47807792');
INSERT INTO public.ecdc_import VALUES (61546, '12/06/2020', '12', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.0917621');
INSERT INTO public.ecdc_import VALUES (61547, '11/06/2020', '11', '6', '2020', '52', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.0917621');
INSERT INTO public.ecdc_import VALUES (61548, '10/06/2020', '10', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.5676584');
INSERT INTO public.ecdc_import VALUES (61549, '09/06/2020', '9', '6', '2020', '46', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.5676584');
INSERT INTO public.ecdc_import VALUES (61550, '08/06/2020', '8', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.31011452');
INSERT INTO public.ecdc_import VALUES (61551, '07/06/2020', '7', '6', '2020', '43', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.31011452');
INSERT INTO public.ecdc_import VALUES (61552, '06/06/2020', '6', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.06936698');
INSERT INTO public.ecdc_import VALUES (61553, '05/06/2020', '5', '6', '2020', '22', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.3717011');
INSERT INTO public.ecdc_import VALUES (61554, '04/06/2020', '4', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.43888646');
INSERT INTO public.ecdc_import VALUES (61555, '03/06/2020', '3', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.77481326');
INSERT INTO public.ecdc_import VALUES (61556, '02/06/2020', '2', '6', '2020', '32', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.83639984');
INSERT INTO public.ecdc_import VALUES (61557, '01/06/2020', '1', '6', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.70202912');
INSERT INTO public.ecdc_import VALUES (61558, '31/05/2020', '31', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.11633884');
INSERT INTO public.ecdc_import VALUES (61559, '30/05/2020', '30', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.17792542');
INSERT INTO public.ecdc_import VALUES (61560, '29/05/2020', '29', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.25630834');
INSERT INTO public.ecdc_import VALUES (61561, '28/05/2020', '28', '5', '2020', '137', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.42085458');
INSERT INTO public.ecdc_import VALUES (61562, '27/05/2020', '27', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '2.68181562');
INSERT INTO public.ecdc_import VALUES (61563, '26/05/2020', '26', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.65600334');
INSERT INTO public.ecdc_import VALUES (61564, '25/05/2020', '25', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.65600334');
INSERT INTO public.ecdc_import VALUES (61565, '24/05/2020', '24', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.73998504');
INSERT INTO public.ecdc_import VALUES (61566, '23/05/2020', '23', '5', '2020', '54', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '4.21588134');
INSERT INTO public.ecdc_import VALUES (61567, '22/05/2020', '22', '5', '2020', '34', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.99193014');
INSERT INTO public.ecdc_import VALUES (61568, '21/05/2020', '21', '5', '2020', '60', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.84076308');
INSERT INTO public.ecdc_import VALUES (61569, '20/05/2020', '20', '5', '2020', '11', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.54402774');
INSERT INTO public.ecdc_import VALUES (61570, '19/05/2020', '19', '5', '2020', '8', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.49363872');
INSERT INTO public.ecdc_import VALUES (61571, '18/05/2020', '18', '5', '2020', '74', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.52163262');
INSERT INTO public.ecdc_import VALUES (61572, '17/05/2020', '17', '5', '2020', '11', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.1353168');
INSERT INTO public.ecdc_import VALUES (61573, '16/05/2020', '16', '5', '2020', '14', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.12971802');
INSERT INTO public.ecdc_import VALUES (61574, '15/05/2020', '15', '5', '2020', '208', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '3.06813144');
INSERT INTO public.ecdc_import VALUES (61575, '14/05/2020', '14', '5', '2020', '5', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.95397422');
INSERT INTO public.ecdc_import VALUES (61576, '13/05/2020', '13', '5', '2020', '174', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.93717788');
INSERT INTO public.ecdc_import VALUES (61577, '12/05/2020', '12', '5', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.99658284');
INSERT INTO public.ecdc_import VALUES (61578, '11/05/2020', '11', '5', '2020', '15', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '1.00218162');
INSERT INTO public.ecdc_import VALUES (61579, '10/05/2020', '10', '5', '2020', '85', '3', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.94059504');
INSERT INTO public.ecdc_import VALUES (61580, '09/05/2020', '9', '5', '2020', '14', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.46469874');
INSERT INTO public.ecdc_import VALUES (61581, '08/05/2020', '8', '5', '2020', '7', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.43110606');
INSERT INTO public.ecdc_import VALUES (61582, '07/05/2020', '7', '5', '2020', '7', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.40311216');
INSERT INTO public.ecdc_import VALUES (61583, '06/05/2020', '6', '5', '2020', '2', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.41430972');
INSERT INTO public.ecdc_import VALUES (61584, '05/05/2020', '5', '5', '2020', '13', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.40311216');
INSERT INTO public.ecdc_import VALUES (61585, '04/05/2020', '4', '5', '2020', '5', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.35272314');
INSERT INTO public.ecdc_import VALUES (61586, '03/05/2020', '3', '5', '2020', '10', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.34712436');
INSERT INTO public.ecdc_import VALUES (61587, '02/05/2020', '2', '5', '2020', '3', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.31913046');
INSERT INTO public.ecdc_import VALUES (61588, '01/05/2020', '1', '5', '2020', '9', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.32472924');
INSERT INTO public.ecdc_import VALUES (61589, '30/04/2020', '30', '4', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.27434022');
INSERT INTO public.ecdc_import VALUES (61590, '29/04/2020', '29', '4', '2020', '6', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.279939');
INSERT INTO public.ecdc_import VALUES (61591, '28/04/2020', '28', '4', '2020', '1', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.24634632');
INSERT INTO public.ecdc_import VALUES (61592, '27/04/2020', '27', '4', '2020', '4', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.2519451');
INSERT INTO public.ecdc_import VALUES (61593, '26/04/2020', '26', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.24634632');
INSERT INTO public.ecdc_import VALUES (61594, '25/04/2020', '25', '4', '2020', '8', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.24634632');
INSERT INTO public.ecdc_import VALUES (61595, '24/04/2020', '24', '4', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20715486');
INSERT INTO public.ecdc_import VALUES (61596, '23/04/2020', '23', '4', '2020', '9', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.1959573');
INSERT INTO public.ecdc_import VALUES (61597, '22/04/2020', '22', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.14556828');
INSERT INTO public.ecdc_import VALUES (61598, '21/04/2020', '21', '4', '2020', '4', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.14556828');
INSERT INTO public.ecdc_import VALUES (61599, '20/04/2020', '20', '4', '2020', '4', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.12317316');
INSERT INTO public.ecdc_import VALUES (61600, '19/04/2020', '19', '4', '2020', '5', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.10077804');
INSERT INTO public.ecdc_import VALUES (61601, '18/04/2020', '18', '4', '2020', '4', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.07278414');
INSERT INTO public.ecdc_import VALUES (61602, '17/04/2020', '17', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.05038902');
INSERT INTO public.ecdc_import VALUES (61603, '16/04/2020', '16', '4', '2020', '3', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.06718536');
INSERT INTO public.ecdc_import VALUES (61604, '15/04/2020', '15', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.0559878');
INSERT INTO public.ecdc_import VALUES (61605, '14/04/2020', '14', '4', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.0559878');
INSERT INTO public.ecdc_import VALUES (61606, '13/04/2020', '13', '4', '2020', '3', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.07838292');
INSERT INTO public.ecdc_import VALUES (61607, '12/04/2020', '12', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.06718536');
INSERT INTO public.ecdc_import VALUES (61608, '11/04/2020', '11', '4', '2020', '1', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.13437072');
INSERT INTO public.ecdc_import VALUES (61609, '10/04/2020', '10', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.1399695');
INSERT INTO public.ecdc_import VALUES (61610, '09/04/2020', '9', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.15116706');
INSERT INTO public.ecdc_import VALUES (61611, '08/04/2020', '8', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20155608');
INSERT INTO public.ecdc_import VALUES (61612, '07/04/2020', '7', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20155608');
INSERT INTO public.ecdc_import VALUES (61613, '06/04/2020', '6', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20155608');
INSERT INTO public.ecdc_import VALUES (61614, '05/04/2020', '5', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20715486');
INSERT INTO public.ecdc_import VALUES (61615, '04/04/2020', '4', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20715486');
INSERT INTO public.ecdc_import VALUES (61616, '03/04/2020', '3', '4', '2020', '3', '1', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.20715486');
INSERT INTO public.ecdc_import VALUES (61617, '02/04/2020', '2', '4', '2020', '1', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.19035852');
INSERT INTO public.ecdc_import VALUES (61618, '01/04/2020', '1', '4', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '0.1959573');
INSERT INTO public.ecdc_import VALUES (61619, '31/03/2020', '31', '3', '2020', '6', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61620, '30/03/2020', '30', '3', '2020', '1', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61621, '29/03/2020', '29', '3', '2020', '12', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61622, '28/03/2020', '28', '3', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61623, '27/03/2020', '27', '3', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61624, '26/03/2020', '26', '3', '2020', '9', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61625, '25/03/2020', '25', '3', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61626, '24/03/2020', '24', '3', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61627, '23/03/2020', '23', '3', '2020', '1', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61628, '22/03/2020', '22', '3', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61629, '21/03/2020', '21', '3', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61630, '20/03/2020', '20', '3', '2020', '0', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61631, '19/03/2020', '19', '3', '2020', '2', '0', '17861034', 'Zambia', 'ZM', 'ZMB', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61632, '14/12/2020', '14', '12', '2020', '27', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.84915086');
INSERT INTO public.ecdc_import VALUES (61633, '13/12/2020', '13', '12', '2020', '57', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.53878376');
INSERT INTO public.ecdc_import VALUES (61634, '12/12/2020', '12', '12', '2020', '81', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.88701423');
INSERT INTO public.ecdc_import VALUES (61635, '11/12/2020', '11', '12', '2020', '74', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.95529472');
INSERT INTO public.ecdc_import VALUES (61636, '10/12/2020', '10', '12', '2020', '95', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '10.23524471');
INSERT INTO public.ecdc_import VALUES (61637, '09/12/2020', '9', '12', '2020', '73', '9', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '10.33766543');
INSERT INTO public.ecdc_import VALUES (61638, '08/12/2020', '8', '12', '2020', '121', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '10.45374226');
INSERT INTO public.ecdc_import VALUES (61639, '07/12/2020', '7', '12', '2020', '101', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '10.22841666');
INSERT INTO public.ecdc_import VALUES (61640, '06/12/2020', '6', '12', '2020', '70', '11', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.86653009');
INSERT INTO public.ecdc_import VALUES (61641, '05/12/2020', '5', '12', '2020', '123', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.74362521');
INSERT INTO public.ecdc_import VALUES (61642, '04/12/2020', '4', '12', '2020', '181', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.40905084');
INSERT INTO public.ecdc_import VALUES (61643, '03/12/2020', '3', '12', '2020', '114', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.61699721');
INSERT INTO public.ecdc_import VALUES (61644, '02/12/2020', '2', '12', '2020', '95', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.08440943');
INSERT INTO public.ecdc_import VALUES (61645, '01/12/2020', '1', '12', '2020', '84', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.76349115');
INSERT INTO public.ecdc_import VALUES (61646, '30/11/2020', '30', '11', '2020', '128', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.94784846');
INSERT INTO public.ecdc_import VALUES (61647, '29/11/2020', '29', '11', '2020', '108', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.07385825');
INSERT INTO public.ecdc_import VALUES (61648, '28/11/2020', '28', '11', '2020', '91', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.47981803');
INSERT INTO public.ecdc_import VALUES (61649, '27/11/2020', '27', '11', '2020', '115', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.32960096');
INSERT INTO public.ecdc_import VALUES (61650, '26/11/2020', '26', '11', '2020', '110', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.74238879');
INSERT INTO public.ecdc_import VALUES (61651, '25/11/2020', '25', '11', '2020', '90', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.38050222');
INSERT INTO public.ecdc_import VALUES (61652, '24/11/2020', '24', '11', '2020', '88', '5', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.10055223');
INSERT INTO public.ecdc_import VALUES (61653, '23/11/2020', '23', '11', '2020', '48', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '4.70452542');
INSERT INTO public.ecdc_import VALUES (61654, '22/11/2020', '22', '11', '2020', '52', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '4.60210469');
INSERT INTO public.ecdc_import VALUES (61655, '21/11/2020', '21', '11', '2020', '74', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '4.43140348');
INSERT INTO public.ecdc_import VALUES (61656, '20/11/2020', '20', '11', '2020', '65', '4', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '4.1104852');
INSERT INTO public.ecdc_import VALUES (61657, '19/11/2020', '19', '11', '2020', '36', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '3.78273887');
INSERT INTO public.ecdc_import VALUES (61658, '18/11/2020', '18', '11', '2020', '48', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '3.65300595');
INSERT INTO public.ecdc_import VALUES (61659, '17/11/2020', '17', '11', '2020', '111', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '3.46864864');
INSERT INTO public.ecdc_import VALUES (61660, '16/11/2020', '16', '11', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.81315598');
INSERT INTO public.ecdc_import VALUES (61661, '15/11/2020', '15', '11', '2020', '21', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.89509257');
INSERT INTO public.ecdc_import VALUES (61662, '14/11/2020', '14', '11', '2020', '69', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.75170355');
INSERT INTO public.ecdc_import VALUES (61663, '13/11/2020', '13', '11', '2020', '29', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.36933283');
INSERT INTO public.ecdc_import VALUES (61664, '12/11/2020', '12', '11', '2020', '57', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.36933283');
INSERT INTO public.ecdc_import VALUES (61665, '11/11/2020', '11', '11', '2020', '49', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.01427431');
INSERT INTO public.ecdc_import VALUES (61666, '10/11/2020', '10', '11', '2020', '30', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.76163651');
INSERT INTO public.ecdc_import VALUES (61667, '09/11/2020', '9', '11', '2020', '33', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.74115237');
INSERT INTO public.ecdc_import VALUES (61668, '08/11/2020', '8', '11', '2020', '27', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.56362311');
INSERT INTO public.ecdc_import VALUES (61669, '07/11/2020', '7', '11', '2020', '27', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.46120238');
INSERT INTO public.ecdc_import VALUES (61670, '06/11/2020', '6', '11', '2020', '17', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.3792658');
INSERT INTO public.ecdc_import VALUES (61671, '05/11/2020', '5', '11', '2020', '17', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.44754628');
INSERT INTO public.ecdc_import VALUES (61672, '04/11/2020', '4', '11', '2020', '21', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.52265482');
INSERT INTO public.ecdc_import VALUES (61673, '03/11/2020', '3', '11', '2020', '15', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.57045116');
INSERT INTO public.ecdc_import VALUES (61674, '02/11/2020', '2', '11', '2020', '12', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.54996701');
INSERT INTO public.ecdc_import VALUES (61675, '01/11/2020', '1', '11', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.72066822');
INSERT INTO public.ecdc_import VALUES (61676, '31/10/2020', '31', '10', '2020', '13', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.79577676');
INSERT INTO public.ecdc_import VALUES (61677, '30/10/2020', '30', '10', '2020', '29', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.87088529');
INSERT INTO public.ecdc_import VALUES (61678, '29/10/2020', '29', '10', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.80943285');
INSERT INTO public.ecdc_import VALUES (61679, '28/10/2020', '28', '10', '2020', '12', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.90502553');
INSERT INTO public.ecdc_import VALUES (61680, '27/10/2020', '27', '10', '2020', '27', '5', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.92550968');
INSERT INTO public.ecdc_import VALUES (61681, '26/10/2020', '26', '10', '2020', '7', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.80943285');
INSERT INTO public.ecdc_import VALUES (61682, '25/10/2020', '25', '10', '2020', '12', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.76846456');
INSERT INTO public.ecdc_import VALUES (61683, '24/10/2020', '24', '10', '2020', '15', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.79577676');
INSERT INTO public.ecdc_import VALUES (61684, '23/10/2020', '23', '10', '2020', '27', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.98696211');
INSERT INTO public.ecdc_import VALUES (61685, '22/10/2020', '22', '10', '2020', '28', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.02110236');
INSERT INTO public.ecdc_import VALUES (61686, '21/10/2020', '21', '10', '2020', '28', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.85722919');
INSERT INTO public.ecdc_import VALUES (61687, '20/10/2020', '20', '10', '2020', '12', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.78212066');
INSERT INTO public.ecdc_import VALUES (61688, '19/10/2020', '19', '10', '2020', '37', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.78894871');
INSERT INTO public.ecdc_import VALUES (61689, '18/10/2020', '18', '10', '2020', '11', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.53631091');
INSERT INTO public.ecdc_import VALUES (61690, '17/10/2020', '17', '10', '2020', '24', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.64555969');
INSERT INTO public.ecdc_import VALUES (61691, '16/10/2020', '16', '10', '2020', '20', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.53631091');
INSERT INTO public.ecdc_import VALUES (61692, '15/10/2020', '15', '10', '2020', '19', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.48168653');
INSERT INTO public.ecdc_import VALUES (61693, '14/10/2020', '14', '10', '2020', '15', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.35878165');
INSERT INTO public.ecdc_import VALUES (61694, '13/10/2020', '13', '10', '2020', '10', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.39974994');
INSERT INTO public.ecdc_import VALUES (61695, '12/10/2020', '12', '10', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.35878165');
INSERT INTO public.ecdc_import VALUES (61696, '11/10/2020', '11', '10', '2020', '16', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.41340604');
INSERT INTO public.ecdc_import VALUES (61697, '10/10/2020', '10', '10', '2020', '43', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.41340604');
INSERT INTO public.ecdc_import VALUES (61698, '09/10/2020', '9', '10', '2020', '32', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.35878165');
INSERT INTO public.ecdc_import VALUES (61699, '08/10/2020', '8', '10', '2020', '4', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.32464141');
INSERT INTO public.ecdc_import VALUES (61700, '07/10/2020', '7', '10', '2020', '17', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.39292189');
INSERT INTO public.ecdc_import VALUES (61701, '06/10/2020', '6', '10', '2020', '13', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.31098531');
INSERT INTO public.ecdc_import VALUES (61702, '05/10/2020', '5', '10', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.3792658');
INSERT INTO public.ecdc_import VALUES (61703, '04/10/2020', '4', '10', '2020', '27', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.45437433');
INSERT INTO public.ecdc_import VALUES (61704, '03/10/2020', '3', '10', '2020', '8', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.44071823');
INSERT INTO public.ecdc_import VALUES (61705, '02/10/2020', '2', '10', '2020', '12', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.48168653');
INSERT INTO public.ecdc_import VALUES (61706, '01/10/2020', '1', '10', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.63873164');
INSERT INTO public.ecdc_import VALUES (61707, '30/09/2020', '30', '9', '2020', '21', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.78212066');
INSERT INTO public.ecdc_import VALUES (61708, '29/09/2020', '29', '9', '2020', '4', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.94599382');
INSERT INTO public.ecdc_import VALUES (61709, '28/09/2020', '28', '9', '2020', '9', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.95282187');
INSERT INTO public.ecdc_import VALUES (61710, '27/09/2020', '27', '9', '2020', '16', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.01427431');
INSERT INTO public.ecdc_import VALUES (61711, '26/09/2020', '26', '9', '2020', '35', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.10303894');
INSERT INTO public.ecdc_import VALUES (61712, '25/09/2020', '25', '9', '2020', '27', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.0415865');
INSERT INTO public.ecdc_import VALUES (61713, '24/09/2020', '24', '9', '2020', '14', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.02110236');
INSERT INTO public.ecdc_import VALUES (61714, '23/09/2020', '23', '9', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.20545967');
INSERT INTO public.ecdc_import VALUES (61715, '22/09/2020', '22', '9', '2020', '23', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.78584379');
INSERT INTO public.ecdc_import VALUES (61716, '21/09/2020', '21', '9', '2020', '11', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '4.82060224');
INSERT INTO public.ecdc_import VALUES (61717, '20/09/2020', '20', '9', '2020', '25', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.7014205');
INSERT INTO public.ecdc_import VALUES (61718, '19/09/2020', '19', '9', '2020', '14', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.53071929');
INSERT INTO public.ecdc_import VALUES (61719, '18/09/2020', '18', '9', '2020', '35', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.52078632');
INSERT INTO public.ecdc_import VALUES (61720, '17/09/2020', '17', '9', '2020', '22', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.55492656');
INSERT INTO public.ecdc_import VALUES (61721, '16/09/2020', '16', '9', '2020', '45', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.94412533');
INSERT INTO public.ecdc_import VALUES (61722, '15/09/2020', '15', '9', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.06020215');
INSERT INTO public.ecdc_import VALUES (61723, '14/09/2020', '14', '9', '2020', '18', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.60644603');
INSERT INTO public.ecdc_import VALUES (61724, '13/09/2020', '13', '9', '2020', '29', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.52450945');
INSERT INTO public.ecdc_import VALUES (61725, '12/09/2020', '12', '9', '2020', '26', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.44940092');
INSERT INTO public.ecdc_import VALUES (61726, '11/09/2020', '11', '9', '2020', '24', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.92736431');
INSERT INTO public.ecdc_import VALUES (61727, '10/09/2020', '10', '9', '2020', '41', '4', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.04344114');
INSERT INTO public.ecdc_import VALUES (61728, '09/09/2020', '9', '9', '2020', '90', '8', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.13903382');
INSERT INTO public.ecdc_import VALUES (61729, '08/09/2020', '8', '9', '2020', '321', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.38484356');
INSERT INTO public.ecdc_import VALUES (61730, '07/09/2020', '7', '9', '2020', '140', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.14896678');
INSERT INTO public.ecdc_import VALUES (61731, '06/09/2020', '6', '9', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.44567779');
INSERT INTO public.ecdc_import VALUES (61732, '05/09/2020', '5', '9', '2020', '159', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.97826557');
INSERT INTO public.ecdc_import VALUES (61733, '04/09/2020', '4', '9', '2020', '40', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.37056925');
INSERT INTO public.ecdc_import VALUES (61734, '03/09/2020', '3', '9', '2020', '79', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.79390826');
INSERT INTO public.ecdc_import VALUES (61735, '02/09/2020', '2', '9', '2020', '62', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.06392528');
INSERT INTO public.ecdc_import VALUES (61736, '01/09/2020', '1', '9', '2020', '85', '6', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.11854967');
INSERT INTO public.ecdc_import VALUES (61737, '31/08/2020', '31', '8', '2020', '6', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.85908383');
INSERT INTO public.ecdc_import VALUES (61738, '30/08/2020', '30', '8', '2020', '18', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.39849966');
INSERT INTO public.ecdc_import VALUES (61739, '29/08/2020', '29', '8', '2020', '96', '6', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.98571183');
INSERT INTO public.ecdc_import VALUES (61740, '28/08/2020', '28', '8', '2020', '41', '10', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.89011915');
INSERT INTO public.ecdc_import VALUES (61741, '27/08/2020', '27', '8', '2020', '55', '13', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.27248987');
INSERT INTO public.ecdc_import VALUES (61742, '26/08/2020', '26', '8', '2020', '126', '11', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.40905084');
INSERT INTO public.ecdc_import VALUES (61743, '25/08/2020', '25', '8', '2020', '140', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.02668012');
INSERT INTO public.ecdc_import VALUES (61744, '24/08/2020', '24', '8', '2020', '37', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.74673013');
INSERT INTO public.ecdc_import VALUES (61745, '23/08/2020', '23', '8', '2020', '78', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.99936793');
INSERT INTO public.ecdc_import VALUES (61746, '22/08/2020', '22', '8', '2020', '70', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.31345816');
INSERT INTO public.ecdc_import VALUES (61747, '21/08/2020', '21', '8', '2020', '102', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.21786548');
INSERT INTO public.ecdc_import VALUES (61748, '20/08/2020', '20', '8', '2020', '265', '9', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.90377525');
INSERT INTO public.ecdc_import VALUES (61749, '19/08/2020', '19', '8', '2020', '70', '6', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.90005212');
INSERT INTO public.ecdc_import VALUES (61750, '18/08/2020', '18', '8', '2020', '47', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.4189838');
INSERT INTO public.ecdc_import VALUES (61751, '17/08/2020', '17', '8', '2020', '85', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.14958499');
INSERT INTO public.ecdc_import VALUES (61752, '16/08/2020', '16', '8', '2020', '104', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '10.35814958');
INSERT INTO public.ecdc_import VALUES (61753, '15/08/2020', '15', '8', '2020', '82', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '12.9937763');
INSERT INTO public.ecdc_import VALUES (61754, '14/08/2020', '14', '8', '2020', '97', '6', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '12.95963606');
INSERT INTO public.ecdc_import VALUES (61755, '13/08/2020', '13', '8', '2020', '75', '18', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '13.75168969');
INSERT INTO public.ecdc_import VALUES (61756, '12/08/2020', '12', '8', '2020', '70', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '13.66292506');
INSERT INTO public.ecdc_import VALUES (61757, '11/08/2020', '11', '8', '2020', '99', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '13.95653114');
INSERT INTO public.ecdc_import VALUES (61758, '10/08/2020', '10', '8', '2020', '74', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '14.59153965');
INSERT INTO public.ecdc_import VALUES (61759, '09/08/2020', '9', '8', '2020', '124', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '14.61885185');
INSERT INTO public.ecdc_import VALUES (61760, '08/08/2020', '8', '8', '2020', '56', '5', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '14.71444452');
INSERT INTO public.ecdc_import VALUES (61761, '07/08/2020', '7', '8', '2020', '56', '13', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '15.50649815');
INSERT INTO public.ecdc_import VALUES (61762, '06/08/2020', '6', '8', '2020', '118', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '15.7386518');
INSERT INTO public.ecdc_import VALUES (61763, '05/08/2020', '5', '8', '2020', '146', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '16.39414446');
INSERT INTO public.ecdc_import VALUES (61764, '04/08/2020', '4', '8', '2020', '154', '10', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '16.12785057');
INSERT INTO public.ecdc_import VALUES (61765, '03/08/2020', '3', '8', '2020', '262', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '15.77279204');
INSERT INTO public.ecdc_import VALUES (61766, '02/08/2020', '2', '8', '2020', '490', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '14.89197379');
INSERT INTO public.ecdc_import VALUES (61767, '01/08/2020', '1', '8', '2020', '77', '14', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '11.94225683');
INSERT INTO public.ecdc_import VALUES (61768, '31/07/2020', '31', '7', '2020', '213', '12', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '11.81252391');
INSERT INTO public.ecdc_import VALUES (61769, '30/07/2020', '30', '7', '2020', '62', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '12.22220682');
INSERT INTO public.ecdc_import VALUES (61770, '29/07/2020', '29', '7', '2020', '113', '4', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '12.17441048');
INSERT INTO public.ecdc_import VALUES (61771, '28/07/2020', '28', '7', '2020', '192', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '11.402841');
INSERT INTO public.ecdc_import VALUES (61772, '27/07/2020', '27', '7', '2020', '78', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '10.42643006');
INSERT INTO public.ecdc_import VALUES (61773, '26/07/2020', '26', '7', '2020', '138', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.91432643');
INSERT INTO public.ecdc_import VALUES (61774, '25/07/2020', '25', '7', '2020', '172', '4', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '9.24517767');
INSERT INTO public.ecdc_import VALUES (61775, '24/07/2020', '24', '7', '2020', '90', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '8.18000211');
INSERT INTO public.ecdc_import VALUES (61776, '23/07/2020', '23', '7', '2020', '214', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.84542773');
INSERT INTO public.ecdc_import VALUES (61777, '22/07/2020', '22', '7', '2020', '107', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '7.0533741');
INSERT INTO public.ecdc_import VALUES (61778, '21/07/2020', '21', '7', '2020', '102', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.68465948');
INSERT INTO public.ecdc_import VALUES (61779, '20/07/2020', '20', '7', '2020', '133', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '6.11110341');
INSERT INTO public.ecdc_import VALUES (61780, '19/07/2020', '19', '7', '2020', '58', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.32587783');
INSERT INTO public.ecdc_import VALUES (61781, '18/07/2020', '18', '7', '2020', '58', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.42829856');
INSERT INTO public.ecdc_import VALUES (61782, '17/07/2020', '17', '7', '2020', '273', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '5.08689614');
INSERT INTO public.ecdc_import VALUES (61783, '16/07/2020', '16', '7', '2020', '55', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '3.30477548');
INSERT INTO public.ecdc_import VALUES (61784, '15/07/2020', '15', '7', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '3.02482549');
INSERT INTO public.ecdc_import VALUES (61785, '14/07/2020', '14', '7', '2020', '49', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '3.14090231');
INSERT INTO public.ecdc_import VALUES (61786, '13/07/2020', '13', '7', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.85412427');
INSERT INTO public.ecdc_import VALUES (61787, '12/07/2020', '12', '7', '2020', '40', '5', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.83364013');
INSERT INTO public.ecdc_import VALUES (61788, '11/07/2020', '11', '7', '2020', '16', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.60148648');
INSERT INTO public.ecdc_import VALUES (61789, '10/07/2020', '10', '7', '2020', '41', '3', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.56051819');
INSERT INTO public.ecdc_import VALUES (61790, '09/07/2020', '9', '7', '2020', '98', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '2.42395722');
INSERT INTO public.ecdc_import VALUES (61791, '08/07/2020', '8', '7', '2020', '53', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.78894871');
INSERT INTO public.ecdc_import VALUES (61792, '07/07/2020', '7', '7', '2020', '18', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.51582677');
INSERT INTO public.ecdc_import VALUES (61793, '06/07/2020', '6', '7', '2020', '18', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.54996701');
INSERT INTO public.ecdc_import VALUES (61794, '05/07/2020', '5', '7', '2020', '73', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.44754628');
INSERT INTO public.ecdc_import VALUES (61795, '04/07/2020', '4', '7', '2020', '8', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.99689508');
INSERT INTO public.ecdc_import VALUES (61796, '03/07/2020', '3', '7', '2020', '12', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.05151947');
INSERT INTO public.ecdc_import VALUES (61797, '02/07/2020', '2', '7', '2020', '14', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.39292189');
INSERT INTO public.ecdc_import VALUES (61798, '01/07/2020', '1', '7', '2020', '17', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.34512556');
INSERT INTO public.ecdc_import VALUES (61799, '30/06/2020', '30', '6', '2020', '7', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.27684507');
INSERT INTO public.ecdc_import VALUES (61800, '29/06/2020', '29', '6', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.25636092');
INSERT INTO public.ecdc_import VALUES (61801, '28/06/2020', '28', '6', '2020', '6', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.44071823');
INSERT INTO public.ecdc_import VALUES (61802, '27/06/2020', '27', '6', '2020', '10', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.48851457');
INSERT INTO public.ecdc_import VALUES (61803, '26/06/2020', '26', '6', '2020', '21', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.49534262');
INSERT INTO public.ecdc_import VALUES (61804, '25/06/2020', '25', '6', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.43389019');
INSERT INTO public.ecdc_import VALUES (61805, '24/06/2020', '24', '6', '2020', '13', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.44071823');
INSERT INTO public.ecdc_import VALUES (61806, '23/06/2020', '23', '6', '2020', '23', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.53631091');
INSERT INTO public.ecdc_import VALUES (61807, '22/06/2020', '22', '6', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.41340604');
INSERT INTO public.ecdc_import VALUES (61808, '21/06/2020', '21', '6', '2020', '7', '2', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.41340604');
INSERT INTO public.ecdc_import VALUES (61809, '20/06/2020', '20', '6', '2020', '16', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.46120238');
INSERT INTO public.ecdc_import VALUES (61810, '19/06/2020', '19', '6', '2020', '62', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.54313896');
INSERT INTO public.ecdc_import VALUES (61811, '18/06/2020', '18', '6', '2020', '7', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.22222068');
INSERT INTO public.ecdc_import VALUES (61812, '17/06/2020', '17', '6', '2020', '7', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.28367312');
INSERT INTO public.ecdc_import VALUES (61813, '16/06/2020', '16', '6', '2020', '4', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.25636092');
INSERT INTO public.ecdc_import VALUES (61814, '15/06/2020', '15', '6', '2020', '27', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.39974994');
INSERT INTO public.ecdc_import VALUES (61815, '14/06/2020', '14', '6', '2020', '13', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.24270483');
INSERT INTO public.ecdc_import VALUES (61816, '13/06/2020', '13', '6', '2020', '11', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.24953288');
INSERT INTO public.ecdc_import VALUES (61817, '12/06/2020', '12', '6', '2020', '12', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.24953288');
INSERT INTO public.ecdc_import VALUES (61818, '11/06/2020', '11', '6', '2020', '6', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.28367312');
INSERT INTO public.ecdc_import VALUES (61819, '10/06/2020', '10', '6', '2020', '27', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.76163651');
INSERT INTO public.ecdc_import VALUES (61820, '09/06/2020', '9', '6', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.5772792');
INSERT INTO public.ecdc_import VALUES (61821, '08/06/2020', '8', '6', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.54313896');
INSERT INTO public.ecdc_import VALUES (61822, '07/06/2020', '7', '6', '2020', '14', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.52265482');
INSERT INTO public.ecdc_import VALUES (61823, '06/06/2020', '6', '6', '2020', '28', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.42706214');
INSERT INTO public.ecdc_import VALUES (61824, '05/06/2020', '5', '6', '2020', '15', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.27001702');
INSERT INTO public.ecdc_import VALUES (61825, '04/06/2020', '4', '6', '2020', '16', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.18808044');
INSERT INTO public.ecdc_import VALUES (61826, '03/06/2020', '3', '6', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.09248776');
INSERT INTO public.ecdc_import VALUES (61827, '02/06/2020', '2', '6', '2020', '25', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '1.07200362');
INSERT INTO public.ecdc_import VALUES (61828, '01/06/2020', '1', '6', '2020', '4', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.9013024');
INSERT INTO public.ecdc_import VALUES (61829, '31/05/2020', '31', '5', '2020', '14', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.88764631');
INSERT INTO public.ecdc_import VALUES (61830, '30/05/2020', '30', '5', '2020', '11', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.80570972');
INSERT INTO public.ecdc_import VALUES (61831, '29/05/2020', '29', '5', '2020', '17', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.76474143');
INSERT INTO public.ecdc_import VALUES (61832, '28/05/2020', '28', '5', '2020', '76', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.64866461');
INSERT INTO public.ecdc_import VALUES (61833, '27/05/2020', '27', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.12973292');
INSERT INTO public.ecdc_import VALUES (61834, '26/05/2020', '26', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.12973292');
INSERT INTO public.ecdc_import VALUES (61835, '25/05/2020', '25', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.13656097');
INSERT INTO public.ecdc_import VALUES (61836, '24/05/2020', '24', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.13656097');
INSERT INTO public.ecdc_import VALUES (61837, '23/05/2020', '23', '5', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.14338902');
INSERT INTO public.ecdc_import VALUES (61838, '22/05/2020', '22', '5', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.11607682');
INSERT INTO public.ecdc_import VALUES (61839, '21/05/2020', '21', '5', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.09559268');
INSERT INTO public.ecdc_import VALUES (61840, '20/05/2020', '20', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.08193658');
INSERT INTO public.ecdc_import VALUES (61841, '19/05/2020', '19', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.08193658');
INSERT INTO public.ecdc_import VALUES (61842, '18/05/2020', '18', '5', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.08193658');
INSERT INTO public.ecdc_import VALUES (61843, '17/05/2020', '17', '5', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06828049');
INSERT INTO public.ecdc_import VALUES (61844, '16/05/2020', '16', '5', '2020', '5', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.05462439');
INSERT INTO public.ecdc_import VALUES (61845, '15/05/2020', '15', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.02048415');
INSERT INTO public.ecdc_import VALUES (61846, '14/05/2020', '14', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.02048415');
INSERT INTO public.ecdc_import VALUES (61847, '13/05/2020', '13', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.03414024');
INSERT INTO public.ecdc_import VALUES (61848, '12/05/2020', '12', '5', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.03414024');
INSERT INTO public.ecdc_import VALUES (61849, '11/05/2020', '11', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.03414024');
INSERT INTO public.ecdc_import VALUES (61850, '10/05/2020', '10', '5', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.03414024');
INSERT INTO public.ecdc_import VALUES (61851, '09/05/2020', '9', '5', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04096829');
INSERT INTO public.ecdc_import VALUES (61852, '08/05/2020', '8', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.03414024');
INSERT INTO public.ecdc_import VALUES (61853, '07/05/2020', '7', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04096829');
INSERT INTO public.ecdc_import VALUES (61854, '06/05/2020', '6', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04096829');
INSERT INTO public.ecdc_import VALUES (61855, '05/05/2020', '5', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06145244');
INSERT INTO public.ecdc_import VALUES (61856, '04/05/2020', '4', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06145244');
INSERT INTO public.ecdc_import VALUES (61857, '03/05/2020', '3', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06145244');
INSERT INTO public.ecdc_import VALUES (61858, '02/05/2020', '2', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06828049');
INSERT INTO public.ecdc_import VALUES (61859, '01/05/2020', '1', '5', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06828049');
INSERT INTO public.ecdc_import VALUES (61860, '30/04/2020', '30', '4', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.07510853');
INSERT INTO public.ecdc_import VALUES (61861, '29/04/2020', '29', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10242073');
INSERT INTO public.ecdc_import VALUES (61862, '28/04/2020', '28', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10242073');
INSERT INTO public.ecdc_import VALUES (61863, '27/04/2020', '27', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.11607682');
INSERT INTO public.ecdc_import VALUES (61864, '26/04/2020', '26', '4', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.11607682');
INSERT INTO public.ecdc_import VALUES (61865, '25/04/2020', '25', '4', '2020', '0', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.12290487');
INSERT INTO public.ecdc_import VALUES (61866, '24/04/2020', '24', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.12290487');
INSERT INTO public.ecdc_import VALUES (61867, '23/04/2020', '23', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.11607682');
INSERT INTO public.ecdc_import VALUES (61868, '22/04/2020', '22', '4', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.12290487');
INSERT INTO public.ecdc_import VALUES (61869, '21/04/2020', '21', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10924878');
INSERT INTO public.ecdc_import VALUES (61870, '20/04/2020', '20', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10924878');
INSERT INTO public.ecdc_import VALUES (61871, '19/04/2020', '19', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10924878');
INSERT INTO public.ecdc_import VALUES (61872, '18/04/2020', '18', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10242073');
INSERT INTO public.ecdc_import VALUES (61873, '17/04/2020', '17', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10924878');
INSERT INTO public.ecdc_import VALUES (61874, '16/04/2020', '16', '4', '2020', '6', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.10242073');
INSERT INTO public.ecdc_import VALUES (61875, '15/04/2020', '15', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06145244');
INSERT INTO public.ecdc_import VALUES (61876, '14/04/2020', '14', '4', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.06828049');
INSERT INTO public.ecdc_import VALUES (61877, '13/04/2020', '13', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04779634');
INSERT INTO public.ecdc_import VALUES (61878, '12/04/2020', '12', '4', '2020', '3', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04779634');
INSERT INTO public.ecdc_import VALUES (61879, '11/04/2020', '11', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04096829');
INSERT INTO public.ecdc_import VALUES (61880, '10/04/2020', '10', '4', '2020', '0', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.05462439');
INSERT INTO public.ecdc_import VALUES (61881, '09/04/2020', '9', '4', '2020', '1', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.05462439');
INSERT INTO public.ecdc_import VALUES (61882, '08/04/2020', '8', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.05462439');
INSERT INTO public.ecdc_import VALUES (61883, '07/04/2020', '7', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04779634');
INSERT INTO public.ecdc_import VALUES (61884, '06/04/2020', '6', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04779634');
INSERT INTO public.ecdc_import VALUES (61885, '05/04/2020', '5', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.04779634');
INSERT INTO public.ecdc_import VALUES (61886, '04/04/2020', '4', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.05462439');
INSERT INTO public.ecdc_import VALUES (61887, '03/04/2020', '3', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '0.05462439');
INSERT INTO public.ecdc_import VALUES (61888, '02/04/2020', '2', '4', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61889, '01/04/2020', '1', '4', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61890, '31/03/2020', '31', '3', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61891, '30/03/2020', '30', '3', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61892, '29/03/2020', '29', '3', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61893, '28/03/2020', '28', '3', '2020', '2', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61894, '27/03/2020', '27', '3', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61895, '26/03/2020', '26', '3', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61896, '25/03/2020', '25', '3', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61897, '24/03/2020', '24', '3', '2020', '0', '1', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61898, '23/03/2020', '23', '3', '2020', '0', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61899, '22/03/2020', '22', '3', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');
INSERT INTO public.ecdc_import VALUES (61900, '21/03/2020', '21', '3', '2020', '1', '0', '14645473', 'Zimbabwe', 'ZW', 'ZWE', 'Africa', '');


--
-- Data for Name: owid_data; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: owid_date_reported; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: owid_import; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_bundeslaender; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_bundeslsaender_import; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_country; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_date_reported; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_landkreise; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_landkreise_import; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_region; Type: TABLE DATA; Schema: public; Owner: covid19data
--



--
-- Data for Name: rki_vaccination_data; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.rki_vaccination_data VALUES (1, 19, 23556, 23556, 23556, 0, 23556, 0, 0.00028, 0, 8646, 7750, 1280, 13145, 8646, 7750, 1280, 13145, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (2, 1, 42302, 18746, 42302, 0, 42302, 0, 0.00051, 0, 16438, 15098, 2012, 21998, 16438, 15098, 2012, 21998, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (3, 6, 84818, 42516, 84818, 0, 84818, 0, 0.00102, 0, 28903, 36563, 3090, 38676, 28903, 36563, 3090, 38676, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (4, 12, 142574, 57756, 142574, 0, 142574, 0, 0.00171, 0, 46301, 67770, 4688, 59578, 46301, 67770, 4688, 59578, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (5, 54, 181008, 38434, 181008, 0, 181008, 0, 0.00218, 0, 59324, 86341, 6499, 74858, 59324, 86341, 6499, 74858, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (6, 13, 205625, 24617, 205625, 0, 205625, 0, 0.00247, 0, 67077, 96166, 7574, 87461, 67077, 96166, 7574, 87461, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (7, 45, 257050, 51425, 257050, 0, 257050, 0, 0.00309, 0, 86324, 119395, 10053, 108446, 86324, 119395, 10053, 108446, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (8, 14, 282290, 25240, 282290, 0, 282290, 0, 0.00339, 0, 96152, 130500, 10983, 119091, 96152, 130500, 10983, 119091, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (9, 33, 330600, 48310, 330600, 0, 330600, 0, 0.00398, 0, 111342, 155284, 13643, 134935, 111342, 155284, 13643, 134935, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (10, 44, 382947, 52347, 382947, 0, 382946, 1, 0.0046, 0, 127550, 182717, 16078, 153107, 127550, 182716, 16078, 153107, 0, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (11, 42, 441562, 58615, 441562, 0, 441561, 1, 0.00531, 0, 145257, 213446, 19495, 174167, 145257, 213445, 19495, 174167, 0, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (12, 30, 499961, 58399, 499961, 0, 499959, 2, 0.00601, 0, 163008, 243789, 22501, 192039, 163007, 243788, 22501, 192039, 1, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (13, 11, 560129, 60168, 560129, 0, 560123, 6, 0.00673, 0, 182477, 275221, 25812, 211741, 182472, 275220, 25812, 211741, 5, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (14, 47, 617336, 57207, 617336, 0, 617326, 10, 0.00742, 0, 204768, 299920, 28130, 234670, 204759, 299919, 28130, 234670, 9, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (15, 9, 650636, 33300, 650636, 0, 650624, 12, 0.00782, 0, 217999, 313992, 29452, 246477, 217988, 313991, 29452, 246477, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (16, 37, 716236, 65600, 716236, 0, 716224, 12, 0.00861, 0, 240997, 345291, 32400, 266750, 240986, 345290, 32400, 266750, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (17, 18, 798261, 82025, 798261, 0, 798249, 12, 0.0096, 0, 266545, 387602, 35555, 290954, 266534, 387601, 35555, 290954, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (18, 5, 897241, 98980, 896446, 795, 897229, 12, 0.01079, 0, 298906, 439808, 38977, 320443, 298895, 439807, 38977, 320443, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (19, 21, 997359, 100118, 991915, 5444, 997231, 128, 0.01199, 0, 325164, 491012, 41332, 353102, 325098, 491007, 41332, 353102, 66, 5, 0, 0);
INSERT INTO public.rki_vaccination_data VALUES (20, 23, 1090131, 92772, 1079236, 10895, 1089574, 557, 0.0131, 1e-05, 354930, 538243, 44953, 381252, 354751, 538159, 44944, 381163, 179, 84, 9, 89);
INSERT INTO public.rki_vaccination_data VALUES (21, 10, 1147260, 57129, 1134507, 12753, 1146307, 953, 0.01378, 1e-05, 375815, 563310, 46992, 401170, 375446, 563118, 46922, 400879, 369, 192, 70, 291);
INSERT INTO public.rki_vaccination_data VALUES (22, 35, 1191793, 44533, 1177625, 14168, 1177230, 14563, 0.01416, 0.00018, 392579, 582857, 48715, 419073, 385890, 577774, 48050, 410840, 6689, 5083, 665, 8233);
INSERT INTO public.rki_vaccination_data VALUES (23, 38, 1266083, 74290, 1249981, 16102, 1235110, 30973, 0.01485, 0.00037, 419865, 618666, 50821, 439794, 407513, 606511, 49622, 424027, 12352, 12155, 1199, 15767);
INSERT INTO public.rki_vaccination_data VALUES (24, 24, 1360681, 94598, 1343056, 17625, 1302657, 58024, 0.01566, 0.0007, 452340, 667174, 54079, 466853, 430636, 642048, 52088, 440509, 21704, 25126, 1991, 26344);
INSERT INTO public.rki_vaccination_data VALUES (25, 3, 1489011, 128330, 1470108, 18903, 1380414, 108597, 0.0166, 0.00131, 494231, 729394, 57978, 509358, 457704, 678935, 55090, 463039, 36527, 50459, 2888, 46319);
INSERT INTO public.rki_vaccination_data VALUES (26, 43, 1583959, 94948, 1563957, 20002, 1440639, 143320, 0.01732, 0.00172, 531321, 771226, 63712, 540218, 482006, 705571, 58317, 480621, 49315, 65655, 5395, 59597);
INSERT INTO public.rki_vaccination_data VALUES (27, 48, 1697969, 114010, 1676629, 21340, 1524309, 173660, 0.01833, 0.00209, 572135, 822598, 67200, 582306, 510590, 742905, 60991, 508154, 61545, 79693, 6209, 74152);
INSERT INTO public.rki_vaccination_data VALUES (28, 41, 1789662, 91693, 1767939, 21723, 1573076, 216586, 0.01891, 0.0026, 606085, 862653, 70455, 613384, 529028, 762668, 62171, 521911, 77057, 99985, 8284, 91473);
INSERT INTO public.rki_vaccination_data VALUES (29, 26, 1855377, 65715, 1833410, 21967, 1611030, 244347, 0.01937, 0.00294, 628520, 889488, 71257, 637310, 542415, 777534, 62493, 533737, 86105, 111954, 8764, 103573);
INSERT INTO public.rki_vaccination_data VALUES (30, 7, 1952162, 96785, 1928725, 23437, 1668608, 283554, 0.02006, 0.00341, 667820, 932006, 74575, 662845, 569899, 799542, 64081, 546402, 97921, 132464, 10494, 116443);
INSERT INTO public.rki_vaccination_data VALUES (31, 46, 2054438, 102276, 2029414, 25024, 1721800, 332638, 0.0207, 0.004, 705954, 979543, 78212, 690529, 594735, 819924, 65381, 558521, 111219, 159619, 12831, 132008);
INSERT INTO public.rki_vaccination_data VALUES (32, 28, 2166652, 112214, 2139718, 26932, 1775675, 390977, 0.02135, 0.0047, 746019, 1033548, 83245, 721954, 617971, 842154, 67172, 570692, 128048, 191394, 16073, 151262);
INSERT INTO public.rki_vaccination_data VALUES (33, 8, 2266887, 100235, 2233471, 33414, 1827218, 439669, 0.02197, 0.00529, 782564, 1082328, 87368, 748250, 639645, 865150, 68695, 582561, 142919, 217178, 18673, 165689);
INSERT INTO public.rki_vaccination_data VALUES (34, 22, 2376203, 109316, 2341384, 34817, 1883721, 492482, 0.02265, 0.00592, 823036, 1133493, 92635, 776065, 662081, 889293, 70909, 593508, 160955, 244200, 21726, 182557);
INSERT INTO public.rki_vaccination_data VALUES (35, 29, 2461681, 85478, 2426057, 35622, 1922247, 539434, 0.02311, 0.00649, 855379, 1173171, 96261, 801083, 677544, 907359, 72297, 601338, 177835, 265812, 23964, 199745);
INSERT INTO public.rki_vaccination_data VALUES (36, 16, 2524058, 62377, 2488092, 35964, 1953492, 570566, 0.02349, 0.00686, 878808, 1201417, 98290, 816693, 691104, 921581, 73455, 607110, 187704, 279836, 24835, 209583);
INSERT INTO public.rki_vaccination_data VALUES (37, 17, 2637815, 113757, 2600272, 37541, 2002112, 635703, 0.02407, 0.00764, 918832, 1257621, 101814, 845426, 710496, 945204, 75267, 616845, 208336, 312417, 26547, 228581);
INSERT INTO public.rki_vaccination_data VALUES (38, 40, 2763341, 125526, 2723769, 39570, 2058526, 704815, 0.02475, 0.00847, 959464, 1322861, 106698, 877532, 728718, 977074, 77734, 626504, 230746, 345787, 28964, 251028);
INSERT INTO public.rki_vaccination_data VALUES (39, 15, 2903605, 140264, 2858582, 45021, 2114734, 788871, 0.02543, 0.00949, 1010948, 1390287, 112108, 914818, 750520, 1003807, 79865, 637312, 260428, 386480, 32243, 277506);
INSERT INTO public.rki_vaccination_data VALUES (40, 55, 3037606, 134001, 2987560, 50044, 2176723, 860883, 0.02617, 0.01035, 1055744, 1459513, 116552, 947085, 771268, 1039082, 82047, 646616, 284476, 420431, 34505, 300469);
INSERT INTO public.rki_vaccination_data VALUES (41, 34, 3168194, 130588, 3114079, 54113, 2235123, 933071, 0.02688, 0.01122, 1105012, 1522354, 121333, 978428, 794609, 1067907, 83533, 656010, 310403, 454447, 37800, 322418);
INSERT INTO public.rki_vaccination_data VALUES (42, 49, 3270990, 102796, 3213473, 57515, 2282831, 988159, 0.02745, 0.01188, 1140542, 1573217, 125807, 1005188, 812075, 1092515, 85378, 664891, 328467, 480702, 40429, 340297);
INSERT INTO public.rki_vaccination_data VALUES (43, 2, 3330098, 59108, 3269119, 60977, 2315467, 1014631, 0.02784, 0.0122, 1163141, 1600270, 128501, 1018988, 824917, 1108140, 86608, 670522, 338224, 492130, 41893, 348466);
INSERT INTO public.rki_vaccination_data VALUES (44, 25, 3429299, 99201, 3365260, 64021, 2366386, 1062913, 0.02845, 0.01278, 1215237, 1636470, 132365, 1036747, 857454, 1121942, 88419, 677717, 357783, 514528, 43946, 359030);
INSERT INTO public.rki_vaccination_data VALUES (45, 51, 3560705, 131406, 3492297, 68200, 2430542, 1130163, 0.02922, 0.01359, 1273647, 1693772, 136627, 1060761, 893448, 1144176, 91106, 686475, 380199, 549596, 45521, 374286);
INSERT INTO public.rki_vaccination_data VALUES (46, 53, 3706546, 145841, 3626918, 73130, 2503959, 1202587, 0.03011, 0.01446, 1338429, 1758513, 140343, 1088352, 934256, 1170467, 92714, 696498, 404173, 588046, 47629, 391854);
INSERT INTO public.rki_vaccination_data VALUES (47, 27, 3849624, 143078, 3750463, 79081, 2574772, 1274852, 0.03096, 0.01533, 1396704, 1828089, 145608, 1113625, 968398, 1201431, 94959, 705860, 428306, 626658, 50649, 407765);
INSERT INTO public.rki_vaccination_data VALUES (48, 36, 4005824, 156200, 3883760, 88415, 2653840, 1351984, 0.03191, 0.01626, 1466186, 1899032, 151686, 1140114, 1009322, 1233241, 97624, 715341, 456864, 665791, 54062, 424773);
INSERT INTO public.rki_vaccination_data VALUES (49, 31, 4115003, 109179, 3977421, 91632, 2716779, 1398224, 0.03267, 0.01681, 1520799, 1943439, 156179, 1157558, 1043644, 1258081, 99373, 722032, 477155, 685358, 56806, 435526);
INSERT INTO public.rki_vaccination_data VALUES (50, 4, 4181141, 66138, 4033879, 94332, 2756304, 1424837, 0.03314, 0.01713, 1558629, 1967661, 157755, 1165884, 1067858, 1271393, 100188, 725415, 490771, 696268, 57567, 440469);
INSERT INTO public.rki_vaccination_data VALUES (51, 39, 4306666, 125525, 4141434, 97499, 2826623, 1480043, 0.03399, 0.0178, 1624774, 2015823, 161584, 1185306, 1108315, 1296466, 102328, 731917, 516459, 719357, 59256, 453389);
INSERT INTO public.rki_vaccination_data VALUES (52, 50, 4441695, 135029, 4248927, 101848, 2907438, 1534257, 0.03496, 0.01845, 1689782, 2073894, 164190, 1203226, 1149816, 1331533, 103839, 738598, 539966, 742361, 60351, 464628);
INSERT INTO public.rki_vaccination_data VALUES (53, 20, 4587338, 145643, 4369749, 108434, 2999648, 1587690, 0.03607, 0.01909, 1767577, 2129462, 168872, 1224338, 1204998, 1363260, 106494, 746546, 562579, 766202, 62378, 477792);
INSERT INTO public.rki_vaccination_data VALUES (54, 32, 4729150, 141812, 4482310, 115333, 3090135, 1639015, 0.03716, 0.01971, 1838353, 2180659, 172210, 1244218, 1253184, 1393634, 108210, 754121, 585169, 787025, 64000, 490097);
INSERT INTO public.rki_vaccination_data VALUES (55, 52, 4869641, 140491, 4595777, 122975, 3179290, 1690351, 0.03823, 0.02032, 1909016, 2229283, 176450, 1261399, 1301879, 1419690, 110381, 760490, 607137, 809593, 66069, 500909);


--
-- Data for Name: rki_vaccination_date_reported; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.rki_vaccination_date_reported VALUES (1, '2020-12-28', '2020-53', '2020-12-28', 2020, 12, 28, 1, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (2, '2021-02-07', '2021-05', '2021-02-07', 2021, 2, 7, 7, 5);
INSERT INTO public.rki_vaccination_date_reported VALUES (3, '2021-01-20', '2021-03', '2021-01-20', 2021, 1, 20, 3, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (4, '2021-02-14', '2021-06', '2021-02-14', 2021, 2, 14, 7, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (5, '2021-01-13', '2021-02', '2021-01-13', 2021, 1, 13, 3, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (6, '2020-12-29', '2020-53', '2020-12-29', 2020, 12, 29, 2, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (7, '2021-01-25', '2021-04', '2021-01-25', 2021, 1, 25, 1, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (8, '2021-01-28', '2021-04', '2021-01-28', 2021, 1, 28, 4, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (9, '2021-01-10', '2021-01', '2021-01-10', 2021, 1, 10, 7, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (10, '2021-01-16', '2021-02', '2021-01-16', 2021, 1, 16, 6, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (11, '2021-01-08', '2021-01', '2021-01-08', 2021, 1, 8, 5, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (12, '2020-12-30', '2020-53', '2020-12-30', 2020, 12, 30, 3, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (13, '2021-01-01', '2020-53', '2021-01-01', 2021, 1, 1, 5, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (14, '2021-01-03', '2020-53', '2021-01-03', 2021, 1, 3, 7, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (15, '2021-02-03', '2021-05', '2021-02-03', 2021, 2, 3, 3, 5);
INSERT INTO public.rki_vaccination_date_reported VALUES (16, '2021-01-31', '2021-04', '2021-01-31', 2021, 1, 31, 7, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (17, '2021-02-01', '2021-05', '2021-02-01', 2021, 2, 1, 1, 5);
INSERT INTO public.rki_vaccination_date_reported VALUES (18, '2021-01-12', '2021-02', '2021-01-12', 2021, 1, 12, 2, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (19, '2020-12-27', '2020-52', '2020-12-27', 2020, 12, 27, 7, 52);
INSERT INTO public.rki_vaccination_date_reported VALUES (20, '2021-02-17', '2021-07', '2021-02-17', 2021, 2, 17, 3, 7);
INSERT INTO public.rki_vaccination_date_reported VALUES (21, '2021-01-14', '2021-02', '2021-01-14', 2021, 1, 14, 4, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (22, '2021-01-29', '2021-04', '2021-01-29', 2021, 1, 29, 5, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (23, '2021-01-15', '2021-02', '2021-01-15', 2021, 1, 15, 5, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (24, '2021-01-19', '2021-03', '2021-01-19', 2021, 1, 19, 2, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (25, '2021-02-08', '2021-06', '2021-02-08', 2021, 2, 8, 1, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (26, '2021-01-24', '2021-03', '2021-01-24', 2021, 1, 24, 7, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (27, '2021-02-11', '2021-06', '2021-02-11', 2021, 2, 11, 4, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (28, '2021-01-27', '2021-04', '2021-01-27', 2021, 1, 27, 3, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (29, '2021-01-30', '2021-04', '2021-01-30', 2021, 1, 30, 6, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (30, '2021-01-07', '2021-01', '2021-01-07', 2021, 1, 7, 4, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (31, '2021-02-13', '2021-06', '2021-02-13', 2021, 2, 13, 6, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (32, '2021-02-18', '2021-07', '2021-02-18', 2021, 2, 18, 4, 7);
INSERT INTO public.rki_vaccination_date_reported VALUES (33, '2021-01-04', '2021-01', '2021-01-04', 2021, 1, 4, 1, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (34, '2021-02-05', '2021-05', '2021-02-05', 2021, 2, 5, 5, 5);
INSERT INTO public.rki_vaccination_date_reported VALUES (35, '2021-01-17', '2021-02', '2021-01-17', 2021, 1, 17, 7, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (36, '2021-02-12', '2021-06', '2021-02-12', 2021, 2, 12, 5, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (37, '2021-01-11', '2021-02', '2021-01-11', 2021, 1, 11, 1, 2);
INSERT INTO public.rki_vaccination_date_reported VALUES (38, '2021-01-18', '2021-03', '2021-01-18', 2021, 1, 18, 1, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (39, '2021-02-15', '2021-07', '2021-02-15', 2021, 2, 15, 1, 7);
INSERT INTO public.rki_vaccination_date_reported VALUES (40, '2021-02-02', '2021-05', '2021-02-02', 2021, 2, 2, 2, 5);
INSERT INTO public.rki_vaccination_date_reported VALUES (41, '2021-01-23', '2021-03', '2021-01-23', 2021, 1, 23, 6, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (42, '2021-01-06', '2021-01', '2021-01-06', 2021, 1, 6, 3, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (43, '2021-01-21', '2021-03', '2021-01-21', 2021, 1, 21, 4, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (44, '2021-01-05', '2021-01', '2021-01-05', 2021, 1, 5, 2, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (45, '2021-01-02', '2020-53', '2021-01-02', 2021, 1, 2, 6, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (46, '2021-01-26', '2021-04', '2021-01-26', 2021, 1, 26, 2, 4);
INSERT INTO public.rki_vaccination_date_reported VALUES (47, '2021-01-09', '2021-01', '2021-01-09', 2021, 1, 9, 6, 1);
INSERT INTO public.rki_vaccination_date_reported VALUES (48, '2021-01-22', '2021-03', '2021-01-22', 2021, 1, 22, 5, 3);
INSERT INTO public.rki_vaccination_date_reported VALUES (49, '2021-02-06', '2021-05', '2021-02-06', 2021, 2, 6, 6, 5);
INSERT INTO public.rki_vaccination_date_reported VALUES (50, '2021-02-16', '2021-07', '2021-02-16', 2021, 2, 16, 2, 7);
INSERT INTO public.rki_vaccination_date_reported VALUES (51, '2021-02-09', '2021-06', '2021-02-09', 2021, 2, 9, 2, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (52, '2021-02-19', '2021-07', '2021-02-19', 2021, 2, 19, 5, 7);
INSERT INTO public.rki_vaccination_date_reported VALUES (53, '2021-02-10', '2021-06', '2021-02-10', 2021, 2, 10, 3, 6);
INSERT INTO public.rki_vaccination_date_reported VALUES (54, '2020-12-31', '2020-53', '2020-12-31', 2020, 12, 31, 4, 53);
INSERT INTO public.rki_vaccination_date_reported VALUES (55, '2021-02-04', '2021-05', '2021-02-04', 2021, 2, 4, 4, 5);


--
-- Data for Name: rki_vaccination_import; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.rki_vaccination_import VALUES (1, '2020-12-27', 23556, 23556, 23556, 0, 23556, 0, 0.00028, 0, 8646, 7750, 1280, 13145, 8646, 7750, 1280, 13145, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (2, '2020-12-28', 42302, 18746, 42302, 0, 42302, 0, 0.00051, 0, 16438, 15098, 2012, 21998, 16438, 15098, 2012, 21998, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (3, '2020-12-29', 84818, 42516, 84818, 0, 84818, 0, 0.00102, 0, 28903, 36563, 3090, 38676, 28903, 36563, 3090, 38676, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (4, '2020-12-30', 142574, 57756, 142574, 0, 142574, 0, 0.00171, 0, 46301, 67770, 4688, 59578, 46301, 67770, 4688, 59578, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (5, '2020-12-31', 181008, 38434, 181008, 0, 181008, 0, 0.00218, 0, 59324, 86341, 6499, 74858, 59324, 86341, 6499, 74858, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (6, '2021-01-01', 205625, 24617, 205625, 0, 205625, 0, 0.00247, 0, 67077, 96166, 7574, 87461, 67077, 96166, 7574, 87461, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (7, '2021-01-02', 257050, 51425, 257050, 0, 257050, 0, 0.00309, 0, 86324, 119395, 10053, 108446, 86324, 119395, 10053, 108446, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (8, '2021-01-03', 282290, 25240, 282290, 0, 282290, 0, 0.00339, 0, 96152, 130500, 10983, 119091, 96152, 130500, 10983, 119091, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (9, '2021-01-04', 330600, 48310, 330600, 0, 330600, 0, 0.00398, 0, 111342, 155284, 13643, 134935, 111342, 155284, 13643, 134935, 0, 0, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (10, '2021-01-05', 382947, 52347, 382947, 0, 382946, 1, 0.0046, 0, 127550, 182717, 16078, 153107, 127550, 182716, 16078, 153107, 0, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (11, '2021-01-06', 441562, 58615, 441562, 0, 441561, 1, 0.00531, 0, 145257, 213446, 19495, 174167, 145257, 213445, 19495, 174167, 0, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (12, '2021-01-07', 499961, 58399, 499961, 0, 499959, 2, 0.00601, 0, 163008, 243789, 22501, 192039, 163007, 243788, 22501, 192039, 1, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (13, '2021-01-08', 560129, 60168, 560129, 0, 560123, 6, 0.00673, 0, 182477, 275221, 25812, 211741, 182472, 275220, 25812, 211741, 5, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (14, '2021-01-09', 617336, 57207, 617336, 0, 617326, 10, 0.00742, 0, 204768, 299920, 28130, 234670, 204759, 299919, 28130, 234670, 9, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (15, '2021-01-10', 650636, 33300, 650636, 0, 650624, 12, 0.00782, 0, 217999, 313992, 29452, 246477, 217988, 313991, 29452, 246477, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (16, '2021-01-11', 716236, 65600, 716236, 0, 716224, 12, 0.00861, 0, 240997, 345291, 32400, 266750, 240986, 345290, 32400, 266750, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (17, '2021-01-12', 798261, 82025, 798261, 0, 798249, 12, 0.0096, 0, 266545, 387602, 35555, 290954, 266534, 387601, 35555, 290954, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (18, '2021-01-13', 897241, 98980, 896446, 795, 897229, 12, 0.01079, 0, 298906, 439808, 38977, 320443, 298895, 439807, 38977, 320443, 11, 1, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (19, '2021-01-14', 997359, 100118, 991915, 5444, 997231, 128, 0.01199, 0, 325164, 491012, 41332, 353102, 325098, 491007, 41332, 353102, 66, 5, 0, 0);
INSERT INTO public.rki_vaccination_import VALUES (20, '2021-01-15', 1090131, 92772, 1079236, 10895, 1089574, 557, 0.0131, 1e-05, 354930, 538243, 44953, 381252, 354751, 538159, 44944, 381163, 179, 84, 9, 89);
INSERT INTO public.rki_vaccination_import VALUES (21, '2021-01-16', 1147260, 57129, 1134507, 12753, 1146307, 953, 0.01378, 1e-05, 375815, 563310, 46992, 401170, 375446, 563118, 46922, 400879, 369, 192, 70, 291);
INSERT INTO public.rki_vaccination_import VALUES (22, '2021-01-17', 1191793, 44533, 1177625, 14168, 1177230, 14563, 0.01416, 0.00018, 392579, 582857, 48715, 419073, 385890, 577774, 48050, 410840, 6689, 5083, 665, 8233);
INSERT INTO public.rki_vaccination_import VALUES (23, '2021-01-18', 1266083, 74290, 1249981, 16102, 1235110, 30973, 0.01485, 0.00037, 419865, 618666, 50821, 439794, 407513, 606511, 49622, 424027, 12352, 12155, 1199, 15767);
INSERT INTO public.rki_vaccination_import VALUES (24, '2021-01-19', 1360681, 94598, 1343056, 17625, 1302657, 58024, 0.01566, 0.0007, 452340, 667174, 54079, 466853, 430636, 642048, 52088, 440509, 21704, 25126, 1991, 26344);
INSERT INTO public.rki_vaccination_import VALUES (25, '2021-01-20', 1489011, 128330, 1470108, 18903, 1380414, 108597, 0.0166, 0.00131, 494231, 729394, 57978, 509358, 457704, 678935, 55090, 463039, 36527, 50459, 2888, 46319);
INSERT INTO public.rki_vaccination_import VALUES (26, '2021-01-21', 1583959, 94948, 1563957, 20002, 1440639, 143320, 0.01732, 0.00172, 531321, 771226, 63712, 540218, 482006, 705571, 58317, 480621, 49315, 65655, 5395, 59597);
INSERT INTO public.rki_vaccination_import VALUES (27, '2021-01-22', 1697969, 114010, 1676629, 21340, 1524309, 173660, 0.01833, 0.00209, 572135, 822598, 67200, 582306, 510590, 742905, 60991, 508154, 61545, 79693, 6209, 74152);
INSERT INTO public.rki_vaccination_import VALUES (28, '2021-01-23', 1789662, 91693, 1767939, 21723, 1573076, 216586, 0.01891, 0.0026, 606085, 862653, 70455, 613384, 529028, 762668, 62171, 521911, 77057, 99985, 8284, 91473);
INSERT INTO public.rki_vaccination_import VALUES (29, '2021-01-24', 1855377, 65715, 1833410, 21967, 1611030, 244347, 0.01937, 0.00294, 628520, 889488, 71257, 637310, 542415, 777534, 62493, 533737, 86105, 111954, 8764, 103573);
INSERT INTO public.rki_vaccination_import VALUES (30, '2021-01-25', 1952162, 96785, 1928725, 23437, 1668608, 283554, 0.02006, 0.00341, 667820, 932006, 74575, 662845, 569899, 799542, 64081, 546402, 97921, 132464, 10494, 116443);
INSERT INTO public.rki_vaccination_import VALUES (31, '2021-01-26', 2054438, 102276, 2029414, 25024, 1721800, 332638, 0.0207, 0.004, 705954, 979543, 78212, 690529, 594735, 819924, 65381, 558521, 111219, 159619, 12831, 132008);
INSERT INTO public.rki_vaccination_import VALUES (32, '2021-01-27', 2166652, 112214, 2139718, 26932, 1775675, 390977, 0.02135, 0.0047, 746019, 1033548, 83245, 721954, 617971, 842154, 67172, 570692, 128048, 191394, 16073, 151262);
INSERT INTO public.rki_vaccination_import VALUES (33, '2021-01-28', 2266887, 100235, 2233471, 33414, 1827218, 439669, 0.02197, 0.00529, 782564, 1082328, 87368, 748250, 639645, 865150, 68695, 582561, 142919, 217178, 18673, 165689);
INSERT INTO public.rki_vaccination_import VALUES (34, '2021-01-29', 2376203, 109316, 2341384, 34817, 1883721, 492482, 0.02265, 0.00592, 823036, 1133493, 92635, 776065, 662081, 889293, 70909, 593508, 160955, 244200, 21726, 182557);
INSERT INTO public.rki_vaccination_import VALUES (35, '2021-01-30', 2461681, 85478, 2426057, 35622, 1922247, 539434, 0.02311, 0.00649, 855379, 1173171, 96261, 801083, 677544, 907359, 72297, 601338, 177835, 265812, 23964, 199745);
INSERT INTO public.rki_vaccination_import VALUES (36, '2021-01-31', 2524058, 62377, 2488092, 35964, 1953492, 570566, 0.02349, 0.00686, 878808, 1201417, 98290, 816693, 691104, 921581, 73455, 607110, 187704, 279836, 24835, 209583);
INSERT INTO public.rki_vaccination_import VALUES (37, '2021-02-01', 2637815, 113757, 2600272, 37541, 2002112, 635703, 0.02407, 0.00764, 918832, 1257621, 101814, 845426, 710496, 945204, 75267, 616845, 208336, 312417, 26547, 228581);
INSERT INTO public.rki_vaccination_import VALUES (38, '2021-02-02', 2763341, 125526, 2723769, 39570, 2058526, 704815, 0.02475, 0.00847, 959464, 1322861, 106698, 877532, 728718, 977074, 77734, 626504, 230746, 345787, 28964, 251028);
INSERT INTO public.rki_vaccination_import VALUES (39, '2021-02-03', 2903605, 140264, 2858582, 45021, 2114734, 788871, 0.02543, 0.00949, 1010948, 1390287, 112108, 914818, 750520, 1003807, 79865, 637312, 260428, 386480, 32243, 277506);
INSERT INTO public.rki_vaccination_import VALUES (40, '2021-02-04', 3037606, 134001, 2987560, 50044, 2176723, 860883, 0.02617, 0.01035, 1055744, 1459513, 116552, 947085, 771268, 1039082, 82047, 646616, 284476, 420431, 34505, 300469);
INSERT INTO public.rki_vaccination_import VALUES (41, '2021-02-05', 3168194, 130588, 3114079, 54113, 2235123, 933071, 0.02688, 0.01122, 1105012, 1522354, 121333, 978428, 794609, 1067907, 83533, 656010, 310403, 454447, 37800, 322418);
INSERT INTO public.rki_vaccination_import VALUES (42, '2021-02-06', 3270990, 102796, 3213473, 57515, 2282831, 988159, 0.02745, 0.01188, 1140542, 1573217, 125807, 1005188, 812075, 1092515, 85378, 664891, 328467, 480702, 40429, 340297);
INSERT INTO public.rki_vaccination_import VALUES (43, '2021-02-07', 3330098, 59108, 3269119, 60977, 2315467, 1014631, 0.02784, 0.0122, 1163141, 1600270, 128501, 1018988, 824917, 1108140, 86608, 670522, 338224, 492130, 41893, 348466);
INSERT INTO public.rki_vaccination_import VALUES (44, '2021-02-08', 3429299, 99201, 3365260, 64021, 2366386, 1062913, 0.02845, 0.01278, 1215237, 1636470, 132365, 1036747, 857454, 1121942, 88419, 677717, 357783, 514528, 43946, 359030);
INSERT INTO public.rki_vaccination_import VALUES (45, '2021-02-09', 3560705, 131406, 3492297, 68200, 2430542, 1130163, 0.02922, 0.01359, 1273647, 1693772, 136627, 1060761, 893448, 1144176, 91106, 686475, 380199, 549596, 45521, 374286);
INSERT INTO public.rki_vaccination_import VALUES (46, '2021-02-10', 3706546, 145841, 3626918, 73130, 2503959, 1202587, 0.03011, 0.01446, 1338429, 1758513, 140343, 1088352, 934256, 1170467, 92714, 696498, 404173, 588046, 47629, 391854);
INSERT INTO public.rki_vaccination_import VALUES (47, '2021-02-11', 3849624, 143078, 3750463, 79081, 2574772, 1274852, 0.03096, 0.01533, 1396704, 1828089, 145608, 1113625, 968398, 1201431, 94959, 705860, 428306, 626658, 50649, 407765);
INSERT INTO public.rki_vaccination_import VALUES (48, '2021-02-12', 4005824, 156200, 3883760, 88415, 2653840, 1351984, 0.03191, 0.01626, 1466186, 1899032, 151686, 1140114, 1009322, 1233241, 97624, 715341, 456864, 665791, 54062, 424773);
INSERT INTO public.rki_vaccination_import VALUES (49, '2021-02-13', 4115003, 109179, 3977421, 91632, 2716779, 1398224, 0.03267, 0.01681, 1520799, 1943439, 156179, 1157558, 1043644, 1258081, 99373, 722032, 477155, 685358, 56806, 435526);
INSERT INTO public.rki_vaccination_import VALUES (50, '2021-02-14', 4181141, 66138, 4033879, 94332, 2756304, 1424837, 0.03314, 0.01713, 1558629, 1967661, 157755, 1165884, 1067858, 1271393, 100188, 725415, 490771, 696268, 57567, 440469);
INSERT INTO public.rki_vaccination_import VALUES (51, '2021-02-15', 4306666, 125525, 4141434, 97499, 2826623, 1480043, 0.03399, 0.0178, 1624774, 2015823, 161584, 1185306, 1108315, 1296466, 102328, 731917, 516459, 719357, 59256, 453389);
INSERT INTO public.rki_vaccination_import VALUES (52, '2021-02-16', 4441695, 135029, 4248927, 101848, 2907438, 1534257, 0.03496, 0.01845, 1689782, 2073894, 164190, 1203226, 1149816, 1331533, 103839, 738598, 539966, 742361, 60351, 464628);
INSERT INTO public.rki_vaccination_import VALUES (53, '2021-02-17', 4587338, 145643, 4369749, 108434, 2999648, 1587690, 0.03607, 0.01909, 1767577, 2129462, 168872, 1224338, 1204998, 1363260, 106494, 746546, 562579, 766202, 62378, 477792);
INSERT INTO public.rki_vaccination_import VALUES (54, '2021-02-18', 4729150, 141812, 4482310, 115333, 3090135, 1639015, 0.03716, 0.01971, 1838353, 2180659, 172210, 1244218, 1253184, 1393634, 108210, 754121, 585169, 787025, 64000, 490097);
INSERT INTO public.rki_vaccination_import VALUES (55, '2021-02-19', 4869641, 140491, 4595777, 122975, 3179290, 1690351, 0.03823, 0.02032, 1909016, 2229283, 176450, 1261399, 1301879, 1419690, 110381, 760490, 607137, 809593, 66069, 500909);


--
-- Data for Name: who_country; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.who_country VALUES (1, 'CI', 'Côte d’Ivoire', 1);
INSERT INTO public.who_country VALUES (2, 'BF', 'Burkina Faso', 1);
INSERT INTO public.who_country VALUES (3, 'OM', 'Oman', 3);
INSERT INTO public.who_country VALUES (4, 'LI', 'Liechtenstein', 4);
INSERT INTO public.who_country VALUES (5, 'ZW', 'Zimbabwe', 1);
INSERT INTO public.who_country VALUES (6, 'TL', 'Timor-Leste', 6);
INSERT INTO public.who_country VALUES (7, 'TJ', 'Tajikistan', 4);
INSERT INTO public.who_country VALUES (8, 'US', 'United States of America', 2);
INSERT INTO public.who_country VALUES (9, 'GW', 'Guinea-Bissau', 1);
INSERT INTO public.who_country VALUES (10, 'GH', 'Ghana', 1);
INSERT INTO public.who_country VALUES (11, 'RO', 'Romania', 4);
INSERT INTO public.who_country VALUES (12, 'KW', 'Kuwait', 3);
INSERT INTO public.who_country VALUES (13, 'GD', 'Grenada', 2);
INSERT INTO public.who_country VALUES (14, 'TO', 'Tonga', 7);
INSERT INTO public.who_country VALUES (15, 'SC', 'Seychelles', 1);
INSERT INTO public.who_country VALUES (16, 'AZ', 'Azerbaijan', 4);
INSERT INTO public.who_country VALUES (17, 'EE', 'Estonia', 4);
INSERT INTO public.who_country VALUES (18, 'NC', 'New Caledonia', 7);
INSERT INTO public.who_country VALUES (19, 'CK', 'Cook Islands', 7);
INSERT INTO public.who_country VALUES (20, 'GL', 'Greenland', 4);
INSERT INTO public.who_country VALUES (21, 'HR', 'Croatia', 4);
INSERT INTO public.who_country VALUES (22, 'CR', 'Costa Rica', 2);
INSERT INTO public.who_country VALUES (23, 'SE', 'Sweden', 4);
INSERT INTO public.who_country VALUES (24, 'KG', 'Kyrgyzstan', 4);
INSERT INTO public.who_country VALUES (25, 'XB', 'Sint Eustatius', 2);
INSERT INTO public.who_country VALUES (26, 'LB', 'Lebanon', 3);
INSERT INTO public.who_country VALUES (27, 'BA', 'Bosnia and Herzegovina', 4);
INSERT INTO public.who_country VALUES (28, 'GQ', 'Equatorial Guinea', 1);
INSERT INTO public.who_country VALUES (29, 'GA', 'Gabon', 1);
INSERT INTO public.who_country VALUES (30, 'FO', 'Faroe Islands', 4);
INSERT INTO public.who_country VALUES (31, 'BY', 'Belarus', 4);
INSERT INTO public.who_country VALUES (32, 'AW', 'Aruba', 2);
INSERT INTO public.who_country VALUES (33, 'PM', 'Saint Pierre and Miquelon', 2);
INSERT INTO public.who_country VALUES (34, 'HT', 'Haiti', 2);
INSERT INTO public.who_country VALUES (35, 'KM', 'Comoros', 1);
INSERT INTO public.who_country VALUES (36, 'WF', 'Wallis and Futuna', 7);
INSERT INTO public.who_country VALUES (37, 'IN', 'India', 6);
INSERT INTO public.who_country VALUES (38, 'HU', 'Hungary', 4);
INSERT INTO public.who_country VALUES (39, 'LV', 'Latvia', 4);
INSERT INTO public.who_country VALUES (40, 'NZ', 'New Zealand', 7);
INSERT INTO public.who_country VALUES (41, 'KR', 'Republic of Korea', 7);
INSERT INTO public.who_country VALUES (42, 'WS', 'Samoa', 7);
INSERT INTO public.who_country VALUES (43, 'BH', 'Bahrain', 3);
INSERT INTO public.who_country VALUES (44, 'GF', 'French Guiana', 2);
INSERT INTO public.who_country VALUES (45, 'UZ', 'Uzbekistan', 4);
INSERT INTO public.who_country VALUES (46, 'DE', 'Germany', 4);
INSERT INTO public.who_country VALUES (47, 'BT', 'Bhutan', 6);
INSERT INTO public.who_country VALUES (48, 'PS', 'occupied Palestinian territory, including east Jerusalem', 3);
INSERT INTO public.who_country VALUES (49, 'MY', 'Malaysia', 7);
INSERT INTO public.who_country VALUES (50, 'GR', 'Greece', 4);
INSERT INTO public.who_country VALUES (51, 'YE', 'Yemen', 3);
INSERT INTO public.who_country VALUES (52, 'MX', 'Mexico', 2);
INSERT INTO public.who_country VALUES (53, 'CV', 'Cabo Verde', 1);
INSERT INTO public.who_country VALUES (54, 'BN', 'Brunei Darussalam', 7);
INSERT INTO public.who_country VALUES (55, 'MK', 'North Macedonia', 4);
INSERT INTO public.who_country VALUES (56, 'SD', 'Sudan', 3);
INSERT INTO public.who_country VALUES (57, 'CO', 'Colombia', 2);
INSERT INTO public.who_country VALUES (58, 'AL', 'Albania', 4);
INSERT INTO public.who_country VALUES (59, 'LS', 'Lesotho', 1);
INSERT INTO public.who_country VALUES (60, 'MR', 'Mauritania', 1);
INSERT INTO public.who_country VALUES (61, 'MG', 'Madagascar', 1);
INSERT INTO public.who_country VALUES (62, 'DJ', 'Djibouti', 3);
INSERT INTO public.who_country VALUES (63, 'SV', 'El Salvador', 2);
INSERT INTO public.who_country VALUES (64, 'MT', 'Malta', 4);
INSERT INTO public.who_country VALUES (65, 'TV', 'Tuvalu', 7);
INSERT INTO public.who_country VALUES (66, 'TR', 'Turkey', 4);
INSERT INTO public.who_country VALUES (67, 'RS', 'Serbia', 4);
INSERT INTO public.who_country VALUES (68, 'MU', 'Mauritius', 1);
INSERT INTO public.who_country VALUES (69, 'DM', 'Dominica', 2);
INSERT INTO public.who_country VALUES (70, 'PE', 'Peru', 2);
INSERT INTO public.who_country VALUES (71, 'BR', 'Brazil', 2);
INSERT INTO public.who_country VALUES (72, 'BS', 'Bahamas', 2);
INSERT INTO public.who_country VALUES (73, 'TZ', 'United Republic of Tanzania', 1);
INSERT INTO public.who_country VALUES (74, 'RE', 'Réunion', 1);
INSERT INTO public.who_country VALUES (75, 'UY', 'Uruguay', 2);
INSERT INTO public.who_country VALUES (76, 'FK', 'Falkland Islands (Malvinas)', 2);
INSERT INTO public.who_country VALUES (77, 'LR', 'Liberia', 1);
INSERT INTO public.who_country VALUES (78, 'AR', 'Argentina', 2);
INSERT INTO public.who_country VALUES (79, 'SI', 'Slovenia', 4);
INSERT INTO public.who_country VALUES (80, 'BO', 'Bolivia (Plurinational State of)', 2);
INSERT INTO public.who_country VALUES (81, 'KH', 'Cambodia', 7);
INSERT INTO public.who_country VALUES (82, 'AT', 'Austria', 4);
INSERT INTO public.who_country VALUES (83, 'CF', 'Central African Republic', 1);
INSERT INTO public.who_country VALUES (84, 'AG', 'Antigua and Barbuda', 2);
INSERT INTO public.who_country VALUES (85, 'MW', 'Malawi', 1);
INSERT INTO public.who_country VALUES (86, 'FI', 'Finland', 4);
INSERT INTO public.who_country VALUES (87, 'RU', 'Russian Federation', 4);
INSERT INTO public.who_country VALUES (88, 'MP', 'Northern Mariana Islands (Commonwealth of the)', 7);
INSERT INTO public.who_country VALUES (89, 'PA', 'Panama', 2);
INSERT INTO public.who_country VALUES (90, 'LU', 'Luxembourg', 4);
INSERT INTO public.who_country VALUES (91, 'CW', 'Curaçao', 2);
INSERT INTO public.who_country VALUES (92, 'CD', 'Democratic Republic of the Congo', 1);
INSERT INTO public.who_country VALUES (93, 'AI', 'Anguilla', 2);
INSERT INTO public.who_country VALUES (94, 'CA', 'Canada', 2);
INSERT INTO public.who_country VALUES (95, 'MD', 'Republic of Moldova', 4);
INSERT INTO public.who_country VALUES (96, 'BM', 'Bermuda', 2);
INSERT INTO public.who_country VALUES (97, 'VC', 'Saint Vincent and the Grenadines', 2);
INSERT INTO public.who_country VALUES (98, 'UA', 'Ukraine', 4);
INSERT INTO public.who_country VALUES (99, 'AD', 'Andorra', 4);
INSERT INTO public.who_country VALUES (100, 'EC', 'Ecuador', 2);
INSERT INTO public.who_country VALUES (101, 'IQ', 'Iraq', 3);
INSERT INTO public.who_country VALUES (102, 'GY', 'Guyana', 2);
INSERT INTO public.who_country VALUES (103, 'AF', 'Afghanistan', 3);
INSERT INTO public.who_country VALUES (104, 'AE', 'United Arab Emirates', 3);
INSERT INTO public.who_country VALUES (105, 'BI', 'Burundi', 1);
INSERT INTO public.who_country VALUES (106, 'PW', 'Palau', 7);
INSERT INTO public.who_country VALUES (107, 'IR', 'Iran (Islamic Republic of)', 3);
INSERT INTO public.who_country VALUES (108, 'NO', 'Norway', 4);
INSERT INTO public.who_country VALUES (109, 'LT', 'Lithuania', 4);
INSERT INTO public.who_country VALUES (110, 'PK', 'Pakistan', 3);
INSERT INTO public.who_country VALUES (111, 'TT', 'Trinidad and Tobago', 2);
INSERT INTO public.who_country VALUES (112, 'DK', 'Denmark', 4);
INSERT INTO public.who_country VALUES (113, 'PF', 'French Polynesia', 7);
INSERT INTO public.who_country VALUES (114, 'MQ', 'Martinique', 2);
INSERT INTO public.who_country VALUES (115, 'AS', 'American Samoa', 7);
INSERT INTO public.who_country VALUES (116, 'XC', 'Saba', 2);
INSERT INTO public.who_country VALUES (117, 'FM', 'Micronesia (Federated States of)', 7);
INSERT INTO public.who_country VALUES (118, 'PL', 'Poland', 4);
INSERT INTO public.who_country VALUES (119, 'LA', 'Lao People''s Democratic Republic', 7);
INSERT INTO public.who_country VALUES (120, 'BD', 'Bangladesh', 6);
INSERT INTO public.who_country VALUES (121, 'PG', 'Papua New Guinea', 7);
INSERT INTO public.who_country VALUES (122, 'HN', 'Honduras', 2);
INSERT INTO public.who_country VALUES (123, 'GN', 'Guinea', 1);
INSERT INTO public.who_country VALUES (124, 'PR', 'Puerto Rico', 2);
INSERT INTO public.who_country VALUES (125, 'GM', 'Gambia', 1);
INSERT INTO public.who_country VALUES (126, 'MC', 'Monaco', 4);
INSERT INTO public.who_country VALUES (127, 'LC', 'Saint Lucia', 2);
INSERT INTO public.who_country VALUES (128, 'FJ', 'Fiji', 7);
INSERT INTO public.who_country VALUES (129, 'VN', 'Viet Nam', 7);
INSERT INTO public.who_country VALUES (130, 'IS', 'Iceland', 4);
INSERT INTO public.who_country VALUES (131, 'GE', 'Georgia', 4);
INSERT INTO public.who_country VALUES (132, 'IE', 'Ireland', 4);
INSERT INTO public.who_country VALUES (133, 'VU', 'Vanuatu', 7);
INSERT INTO public.who_country VALUES (134, 'LY', 'Libya', 3);
INSERT INTO public.who_country VALUES (135, 'NU', 'Niue', 7);
INSERT INTO public.who_country VALUES (136, 'CL', 'Chile', 2);
INSERT INTO public.who_country VALUES (137, 'CY', 'Cyprus', 4);
INSERT INTO public.who_country VALUES (138, 'MA', 'Morocco', 3);
INSERT INTO public.who_country VALUES (139, 'TG', 'Togo', 1);
INSERT INTO public.who_country VALUES (140, 'FR', 'France', 4);
INSERT INTO public.who_country VALUES (141, 'ZA', 'South Africa', 1);
INSERT INTO public.who_country VALUES (142, 'ME', 'Montenegro', 4);
INSERT INTO public.who_country VALUES (143, 'SB', 'Solomon Islands', 7);
INSERT INTO public.who_country VALUES (144, 'BJ', 'Benin', 1);
INSERT INTO public.who_country VALUES (145, 'TC', 'Turks and Caicos Islands', 2);
INSERT INTO public.who_country VALUES (146, 'BW', 'Botswana', 1);
INSERT INTO public.who_country VALUES (147, 'BG', 'Bulgaria', 4);
INSERT INTO public.who_country VALUES (148, 'GP', 'Guadeloupe', 2);
INSERT INTO public.who_country VALUES (149, 'GB', 'The United Kingdom', 4);
INSERT INTO public.who_country VALUES (150, 'LK', 'Sri Lanka', 6);
INSERT INTO public.who_country VALUES (151, 'NP', 'Nepal', 6);
INSERT INTO public.who_country VALUES (152, 'BZ', 'Belize', 2);
INSERT INTO public.who_country VALUES (153, 'AO', 'Angola', 1);
INSERT INTO public.who_country VALUES (154, 'KY', 'Cayman Islands', 2);
INSERT INTO public.who_country VALUES (155, 'AU', 'Australia', 7);
INSERT INTO public.who_country VALUES (156, 'NG', 'Nigeria', 1);
INSERT INTO public.who_country VALUES (157, 'BL', 'Saint Barthélemy', 2);
INSERT INTO public.who_country VALUES (158, 'YT', 'Mayotte', 1);
INSERT INTO public.who_country VALUES (159, 'XA', 'Bonaire', 2);
INSERT INTO public.who_country VALUES (160, 'NR', 'Nauru', 7);
INSERT INTO public.who_country VALUES (161, 'TH', 'Thailand', 6);
INSERT INTO public.who_country VALUES (162, 'XK', 'Kosovo[1]', 4);
INSERT INTO public.who_country VALUES (163, 'PY', 'Paraguay', 2);
INSERT INTO public.who_country VALUES (164, 'SA', 'Saudi Arabia', 3);
INSERT INTO public.who_country VALUES (165, 'JP', 'Japan', 7);
INSERT INTO public.who_country VALUES (166, 'ML', 'Mali', 1);
INSERT INTO public.who_country VALUES (167, 'SR', 'Suriname', 2);
INSERT INTO public.who_country VALUES (168, 'NA', 'Namibia', 1);
INSERT INTO public.who_country VALUES (169, 'IT', 'Italy', 4);
INSERT INTO public.who_country VALUES (170, 'AM', 'Armenia', 4);
INSERT INTO public.who_country VALUES (171, 'KP', 'Democratic People''s Republic of Korea', 6);
INSERT INTO public.who_country VALUES (172, 'ER', 'Eritrea', 1);
INSERT INTO public.who_country VALUES (173, 'TM', 'Turkmenistan', 4);
INSERT INTO public.who_country VALUES (174, 'PH', 'Philippines', 7);
INSERT INTO public.who_country VALUES (175, 'PN', 'Pitcairn Islands', 7);
INSERT INTO public.who_country VALUES (176, 'IM', 'Isle of Man', 4);
INSERT INTO public.who_country VALUES (177, 'KZ', 'Kazakhstan', 4);
INSERT INTO public.who_country VALUES (178, 'MM', 'Myanmar', 6);
INSERT INTO public.who_country VALUES (179, 'CN', 'China', 7);
INSERT INTO public.who_country VALUES (180, 'SL', 'Sierra Leone', 1);
INSERT INTO public.who_country VALUES (181, 'MZ', 'Mozambique', 1);
INSERT INTO public.who_country VALUES (182, 'SH', 'Saint Helena', 1);
INSERT INTO public.who_country VALUES (183, 'KE', 'Kenya', 1);
INSERT INTO public.who_country VALUES (184, 'UG', 'Uganda', 1);
INSERT INTO public.who_country VALUES (185, 'MS', 'Montserrat', 2);
INSERT INTO public.who_country VALUES (186, 'KN', 'Saint Kitts and Nevis', 2);
INSERT INTO public.who_country VALUES (187, 'EG', 'Egypt', 3);
INSERT INTO public.who_country VALUES (188, 'GG', 'Guernsey', 4);
INSERT INTO public.who_country VALUES (189, 'PT', 'Portugal', 4);
INSERT INTO public.who_country VALUES (190, 'GT', 'Guatemala', 2);
INSERT INTO public.who_country VALUES (191, 'NE', 'Niger', 1);
INSERT INTO public.who_country VALUES (192, 'QA', 'Qatar', 3);
INSERT INTO public.who_country VALUES (193, 'NL', 'Netherlands', 4);
INSERT INTO public.who_country VALUES (194, 'TD', 'Chad', 1);
INSERT INTO public.who_country VALUES (195, 'DZ', 'Algeria', 1);
INSERT INTO public.who_country VALUES (196, 'MN', 'Mongolia', 7);
INSERT INTO public.who_country VALUES (197, 'SS', 'South Sudan', 1);
INSERT INTO public.who_country VALUES (198, 'SM', 'San Marino', 4);
INSERT INTO public.who_country VALUES (199, 'MH', 'Marshall Islands', 7);
INSERT INTO public.who_country VALUES (200, 'IL', 'Israel', 4);
INSERT INTO public.who_country VALUES (201, 'CZ', 'Czechia', 4);
INSERT INTO public.who_country VALUES (202, 'VE', 'Venezuela (Bolivarian Republic of)', 2);
INSERT INTO public.who_country VALUES (203, 'KI', 'Kiribati', 7);
INSERT INTO public.who_country VALUES (204, 'BE', 'Belgium', 4);
INSERT INTO public.who_country VALUES (205, 'GI', 'Gibraltar', 4);
INSERT INTO public.who_country VALUES (206, 'ZM', 'Zambia', 1);
INSERT INTO public.who_country VALUES (207, 'TN', 'Tunisia', 3);
INSERT INTO public.who_country VALUES (208, 'MV', 'Maldives', 6);
INSERT INTO public.who_country VALUES (209, 'SX', 'Sint Maarten', 2);
INSERT INTO public.who_country VALUES (210, 'VG', 'British Virgin Islands', 2);
INSERT INTO public.who_country VALUES (211, 'TK', 'Tokelau', 7);
INSERT INTO public.who_country VALUES (212, 'VA', 'Holy See', 4);
INSERT INTO public.who_country VALUES (213, 'BB', 'Barbados', 2);
INSERT INTO public.who_country VALUES (214, 'RW', 'Rwanda', 1);
INSERT INTO public.who_country VALUES (215, 'JO', 'Jordan', 3);
INSERT INTO public.who_country VALUES (216, 'ST', 'Sao Tome and Principe', 1);
INSERT INTO public.who_country VALUES (217, 'SK', 'Slovakia', 4);
INSERT INTO public.who_country VALUES (218, 'NI', 'Nicaragua', 2);
INSERT INTO public.who_country VALUES (219, 'SY', 'Syrian Arab Republic', 3);
INSERT INTO public.who_country VALUES (220, 'DO', 'Dominican Republic', 2);
INSERT INTO public.who_country VALUES (221, 'ES', 'Spain', 4);
INSERT INTO public.who_country VALUES (222, 'CH', 'Switzerland', 4);
INSERT INTO public.who_country VALUES (223, 'CM', 'Cameroon', 1);
INSERT INTO public.who_country VALUES (224, ' ', 'Other', 5);
INSERT INTO public.who_country VALUES (225, 'JM', 'Jamaica', 2);
INSERT INTO public.who_country VALUES (226, 'SZ', 'Eswatini', 1);
INSERT INTO public.who_country VALUES (227, 'VI', 'United States Virgin Islands', 2);
INSERT INTO public.who_country VALUES (228, 'CG', 'Congo', 1);
INSERT INTO public.who_country VALUES (229, 'SO', 'Somalia', 3);
INSERT INTO public.who_country VALUES (230, 'GU', 'Guam', 7);
INSERT INTO public.who_country VALUES (231, 'ID', 'Indonesia', 6);
INSERT INTO public.who_country VALUES (232, 'MF', 'Saint Martin', 2);
INSERT INTO public.who_country VALUES (233, 'JE', 'Jersey', 4);
INSERT INTO public.who_country VALUES (234, 'CU', 'Cuba', 2);
INSERT INTO public.who_country VALUES (235, 'SN', 'Senegal', 1);
INSERT INTO public.who_country VALUES (236, 'ET', 'Ethiopia', 1);
INSERT INTO public.who_country VALUES (237, 'SG', 'Singapore', 7);


--
-- Data for Name: who_data; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.who_data VALUES (1, 5, 55580, 0, 2430, 1, 103);
INSERT INTO public.who_data VALUES (2, 1071, 97909, 19, 1636, 1, 58);
INSERT INTO public.who_data VALUES (3, 182, 111600, 4, 2954, 1, 195);
INSERT INTO public.who_data VALUES (4, 0, 0, 0, 0, 1, 115);
INSERT INTO public.who_data VALUES (5, 35, 10645, 0, 107, 1, 99);
INSERT INTO public.who_data VALUES (6, 26, 20478, 0, 498, 1, 153);
INSERT INTO public.who_data VALUES (7, 0, 18, 0, 0, 1, 93);
INSERT INTO public.who_data VALUES (8, 23, 548, 0, 10, 1, 84);
INSERT INTO public.who_data VALUES (9, 7671, 2046795, 241, 50857, 1, 78);
INSERT INTO public.who_data VALUES (10, 223, 170234, 1, 3159, 1, 170);
INSERT INTO public.who_data VALUES (11, 40, 7553, 1, 70, 1, 32);
INSERT INTO public.who_data VALUES (12, 6, 28918, 0, 909, 1, 155);
INSERT INTO public.who_data VALUES (13, 1799, 437899, 23, 8233, 1, 82);
INSERT INTO public.who_data VALUES (14, 193, 232829, 3, 3193, 1, 16);
INSERT INTO public.who_data VALUES (15, 0, 8403, 0, 179, 1, 72);
INSERT INTO public.who_data VALUES (16, 777, 116482, 4, 418, 1, 43);
INSERT INTO public.who_data VALUES (17, 406, 542674, 8, 8337, 1, 120);
INSERT INTO public.who_data VALUES (18, 39, 2647, 0, 29, 1, 213);
INSERT INTO public.who_data VALUES (19, 1663, 275322, 9, 1894, 1, 31);
INSERT INTO public.who_data VALUES (20, 1, 749739, 4, 21859, 1, 204);
INSERT INTO public.who_data VALUES (21, 12, 12207, 0, 314, 1, 152);
INSERT INTO public.who_data VALUES (22, 0, 5143, 0, 65, 1, 144);
INSERT INTO public.who_data VALUES (23, 2, 699, 0, 12, 1, 96);
INSERT INTO public.who_data VALUES (24, 0, 866, 0, 1, 1, 47);
INSERT INTO public.who_data VALUES (25, 1029, 239524, 50, 11353, 1, 80);
INSERT INTO public.who_data VALUES (26, 6, 387, 0, 4, 1, 159);
INSERT INTO public.who_data VALUES (27, 402, 127537, 17, 4979, 1, 27);
INSERT INTO public.who_data VALUES (28, 712, 26524, 28, 254, 1, 146);
INSERT INTO public.who_data VALUES (29, 51879, 10030626, 1367, 243457, 1, 71);
INSERT INTO public.who_data VALUES (30, 0, 153, 0, 1, 1, 210);
INSERT INTO public.who_data VALUES (31, 0, 185, 0, 3, 1, 54);
INSERT INTO public.who_data VALUES (32, 1463, 235891, 35, 9821, 1, 147);
INSERT INTO public.who_data VALUES (33, 60, 11763, 0, 139, 1, 2);
INSERT INTO public.who_data VALUES (34, 28, 1983, 0, 3, 1, 105);
INSERT INTO public.who_data VALUES (35, 63, 14948, 0, 142, 1, 53);
INSERT INTO public.who_data VALUES (36, 0, 484, 0, 0, 1, 81);
INSERT INTO public.who_data VALUES (37, 0, 32681, 0, 500, 1, 223);
INSERT INTO public.who_data VALUES (38, 3315, 837497, 63, 21498, 1, 94);
INSERT INTO public.who_data VALUES (39, 6, 425, 0, 2, 1, 154);
INSERT INTO public.who_data VALUES (40, 0, 4996, 0, 63, 1, 83);
INSERT INTO public.who_data VALUES (41, 25, 3776, 0, 132, 1, 194);
INSERT INTO public.who_data VALUES (42, 3797, 791939, 99, 19897, 1, 136);
INSERT INTO public.who_data VALUES (43, 22, 101646, 0, 4842, 1, 179);
INSERT INTO public.who_data VALUES (44, 4824, 2212525, 200, 58334, 1, 57);
INSERT INTO public.who_data VALUES (45, 15, 3473, 4, 142, 1, 35);
INSERT INTO public.who_data VALUES (46, 0, 8419, 0, 123, 1, 228);
INSERT INTO public.who_data VALUES (47, 0, 0, 0, 0, 1, 19);
INSERT INTO public.who_data VALUES (48, 353, 201241, 11, 2756, 1, 22);
INSERT INTO public.who_data VALUES (49, 213, 31825, 2, 185, 1, 1);
INSERT INTO public.who_data VALUES (50, 431, 239685, 13, 5420, 1, 21);
INSERT INTO public.who_data VALUES (51, 859, 42547, 5, 287, 1, 234);
INSERT INTO public.who_data VALUES (52, 8, 4666, 0, 22, 1, 91);
INSERT INTO public.who_data VALUES (53, 111, 33046, 1, 229, 1, 137);
INSERT INTO public.who_data VALUES (54, 11364, 1146321, 184, 19097, 1, 201);
INSERT INTO public.who_data VALUES (55, 0, 0, 0, 0, 1, 171);
INSERT INTO public.who_data VALUES (56, 170, 24963, 0, 694, 1, 92);
INSERT INTO public.who_data VALUES (57, 552, 206617, 8, 2327, 1, 112);
INSERT INTO public.who_data VALUES (58, 14, 6022, 0, 63, 1, 62);
INSERT INTO public.who_data VALUES (59, 0, 134, 0, 0, 1, 69);
INSERT INTO public.who_data VALUES (60, 818, 233598, 17, 3024, 1, 220);
INSERT INTO public.who_data VALUES (61, 1416, 271276, 30, 15474, 1, 100);
INSERT INTO public.who_data VALUES (62, 610, 176943, 49, 10250, 1, 187);
INSERT INTO public.who_data VALUES (63, 523, 58546, 9, 1785, 1, 63);
INSERT INTO public.who_data VALUES (64, 0, 5747, 0, 88, 1, 28);
INSERT INTO public.who_data VALUES (65, 10, 2685, 0, 7, 1, 172);
INSERT INTO public.who_data VALUES (66, 787, 57033, 10, 528, 1, 17);
INSERT INTO public.who_data VALUES (67, 33, 16742, 3, 643, 1, 226);
INSERT INTO public.who_data VALUES (68, 837, 151016, 10, 2259, 1, 236);
INSERT INTO public.who_data VALUES (69, 0, 49, 0, 0, 1, 76);
INSERT INTO public.who_data VALUES (70, 0, 658, 0, 1, 1, 30);
INSERT INTO public.who_data VALUES (71, 0, 56, 0, 2, 1, 128);
INSERT INTO public.who_data VALUES (72, 444, 52653, 1, 726, 1, 86);
INSERT INTO public.who_data VALUES (73, 23170, 3499305, 565, 83524, 1, 140);
INSERT INTO public.who_data VALUES (74, 73, 16529, 3, 83, 1, 44);
INSERT INTO public.who_data VALUES (75, 11, 18346, 1, 137, 1, 113);
INSERT INTO public.who_data VALUES (76, 446, 13553, 0, 75, 1, 29);
INSERT INTO public.who_data VALUES (77, 0, 4510, 0, 139, 1, 125);
INSERT INTO public.who_data VALUES (78, 396, 268097, 19, 3425, 1, 131);
INSERT INTO public.who_data VALUES (79, 9164, 2378883, 490, 67696, 1, 46);
INSERT INTO public.who_data VALUES (80, 476, 79165, 0, 568, 1, 10);
INSERT INTO public.who_data VALUES (81, 1, 4227, 1, 88, 1, 205);
INSERT INTO public.who_data VALUES (82, 1435, 177494, 28, 6249, 1, 50);
INSERT INTO public.who_data VALUES (83, 0, 30, 0, 0, 1, 20);
INSERT INTO public.who_data VALUES (84, 0, 148, 0, 1, 1, 13);
INSERT INTO public.who_data VALUES (85, 0, 9455, 0, 160, 1, 148);
INSERT INTO public.who_data VALUES (86, 9, 7506, 0, 130, 1, 230);
INSERT INTO public.who_data VALUES (87, 665, 170275, 34, 6220, 1, 190);
INSERT INTO public.who_data VALUES (88, 2, 808, 0, 14, 1, 188);
INSERT INTO public.who_data VALUES (89, 62, 15216, 1, 86, 1, 123);
INSERT INTO public.who_data VALUES (90, 39, 3064, 0, 46, 1, 9);
INSERT INTO public.who_data VALUES (91, 25, 8338, 0, 189, 1, 102);
INSERT INTO public.who_data VALUES (92, 48, 12254, 0, 247, 1, 34);
INSERT INTO public.who_data VALUES (93, 0, 26, 0, 0, 1, 212);
INSERT INTO public.who_data VALUES (94, 721, 163305, 32, 3965, 1, 122);
INSERT INTO public.who_data VALUES (95, 2995, 400111, 107, 14252, 1, 38);
INSERT INTO public.who_data VALUES (96, 1, 6045, 0, 29, 1, 130);
INSERT INTO public.who_data VALUES (97, 13993, 10977387, 101, 156212, 1, 37);
INSERT INTO public.who_data VALUES (98, 10614, 1263299, 183, 34152, 1, 231);
INSERT INTO public.who_data VALUES (99, 8017, 1558159, 77, 59341, 1, 107);
INSERT INTO public.who_data VALUES (100, 4024, 661477, 12, 13232, 1, 101);
INSERT INTO public.who_data VALUES (101, 753, 213400, 27, 4109, 1, 132);
INSERT INTO public.who_data VALUES (102, 7, 444, 0, 25, 1, 176);
INSERT INTO public.who_data VALUES (103, 0, 731037, 0, 5417, 1, 200);
INSERT INTO public.who_data VALUES (104, 15470, 2780882, 348, 95235, 1, 169);
INSERT INTO public.who_data VALUES (105, 271, 20581, 7, 391, 1, 225);
INSERT INTO public.who_data VALUES (106, 1344, 423311, 59, 7333, 1, 165);
INSERT INTO public.who_data VALUES (107, 1, 3208, 0, 68, 1, 233);
INSERT INTO public.who_data VALUES (108, 867, 357611, 16, 4528, 1, 215);
INSERT INTO public.who_data VALUES (109, 0, 254712, 0, 3246, 1, 177);
INSERT INTO public.who_data VALUES (110, 226, 103841, 6, 1813, 1, 183);
INSERT INTO public.who_data VALUES (111, 0, 0, 0, 0, 1, 203);
INSERT INTO public.who_data VALUES (112, 340, 65647, 10, 1558, 1, 162);
INSERT INTO public.who_data VALUES (113, 976, 182460, 7, 1034, 1, 12);
INSERT INTO public.who_data VALUES (114, 59, 85831, 2, 1452, 1, 24);
INSERT INTO public.who_data VALUES (115, 0, 45, 0, 0, 1, 119);
INSERT INTO public.who_data VALUES (116, 689, 80040, 12, 1533, 1, 39);
INSERT INTO public.who_data VALUES (117, 2255, 351048, 51, 4257, 1, 26);
INSERT INTO public.who_data VALUES (118, 0, 10455, 0, 285, 1, 59);
INSERT INTO public.who_data VALUES (119, 3, 1988, 0, 85, 1, 77);
INSERT INTO public.who_data VALUES (120, 585, 129325, 27, 2088, 1, 134);
INSERT INTO public.who_data VALUES (121, 0, 2617, 0, 52, 1, 4);
INSERT INTO public.who_data VALUES (122, 576, 193562, 17, 3162, 1, 109);
INSERT INTO public.who_data VALUES (123, 220, 53782, 3, 622, 1, 90);
INSERT INTO public.who_data VALUES (124, 0, 19598, 0, 292, 1, 61);
INSERT INTO public.who_data VALUES (125, 643, 30277, 8, 992, 1, 85);
INSERT INTO public.who_data VALUES (126, 2936, 277811, 13, 1043, 1, 49);
INSERT INTO public.who_data VALUES (127, 127, 18467, 1, 59, 1, 208);
INSERT INTO public.who_data VALUES (128, 4, 8260, 2, 344, 1, 166);
INSERT INTO public.who_data VALUES (129, 154, 20563, 0, 301, 1, 64);
INSERT INTO public.who_data VALUES (130, 0, 4, 0, 0, 1, 199);
INSERT INTO public.who_data VALUES (131, 0, 6593, 0, 45, 1, 114);
INSERT INTO public.who_data VALUES (132, 13, 17071, 0, 433, 1, 60);
INSERT INTO public.who_data VALUES (133, 0, 603, 0, 10, 1, 68);
INSERT INTO public.who_data VALUES (134, 873, 15365, 3, 92, 1, 158);
INSERT INTO public.who_data VALUES (135, 9099, 2022662, 1047, 178108, 1, 52);
INSERT INTO public.who_data VALUES (136, 0, 0, 0, 0, 1, 117);
INSERT INTO public.who_data VALUES (137, 9, 1844, 0, 22, 1, 126);
INSERT INTO public.who_data VALUES (138, 58, 2551, 0, 2, 1, 196);
INSERT INTO public.who_data VALUES (139, 0, 71112, 0, 926, 1, 142);
INSERT INTO public.who_data VALUES (140, 0, 20, 0, 1, 1, 185);
INSERT INTO public.who_data VALUES (141, 448, 480504, 16, 8540, 1, 138);
INSERT INTO public.who_data VALUES (142, 677, 54204, 12, 583, 1, 181);
INSERT INTO public.who_data VALUES (143, 0, 141709, 0, 3192, 1, 178);
INSERT INTO public.who_data VALUES (144, 313, 36993, 0, 394, 1, 168);
INSERT INTO public.who_data VALUES (145, 0, 0, 0, 0, 1, 160);
INSERT INTO public.who_data VALUES (146, 97, 273263, 3, 2061, 1, 151);
INSERT INTO public.who_data VALUES (147, 4761, 1047400, 50, 15138, 1, 193);
INSERT INTO public.who_data VALUES (148, 0, 55, 0, 0, 1, 18);
INSERT INTO public.who_data VALUES (149, 2, 1994, 0, 26, 1, 40);
INSERT INTO public.who_data VALUES (150, 0, 5106, 0, 172, 1, 218);
INSERT INTO public.who_data VALUES (151, 7, 4725, 0, 170, 1, 191);
INSERT INTO public.who_data VALUES (152, 662, 150908, 10, 1813, 1, 156);
INSERT INTO public.who_data VALUES (153, 0, 0, 0, 0, 1, 135);
INSERT INTO public.who_data VALUES (154, 0, 135, 0, 2, 1, 88);
INSERT INTO public.who_data VALUES (155, 410, 98584, 19, 3037, 1, 55);
INSERT INTO public.who_data VALUES (156, 327, 67824, 0, 607, 1, 108);
INSERT INTO public.who_data VALUES (157, 859, 194277, 7, 2162, 1, 48);
INSERT INTO public.who_data VALUES (158, 0, 138494, 0, 1549, 1, 3);
INSERT INTO public.who_data VALUES (159, 0, 745, 0, 13, 1, 224);
INSERT INTO public.who_data VALUES (160, 1245, 568506, 39, 12527, 1, 110);
INSERT INTO public.who_data VALUES (161, 0, 0, 0, 0, 1, 106);
INSERT INTO public.who_data VALUES (162, 708, 334463, 22, 5694, 1, 89);
INSERT INTO public.who_data VALUES (163, 9, 970, 0, 10, 1, 121);
INSERT INTO public.who_data VALUES (164, 1369, 148622, 17, 3008, 1, 163);
INSERT INTO public.who_data VALUES (165, 9667, 1261804, 181, 44489, 1, 70);
INSERT INTO public.who_data VALUES (166, 1895, 557058, 156, 11829, 1, 174);
INSERT INTO public.who_data VALUES (167, 0, 0, 0, 0, 1, 175);
INSERT INTO public.who_data VALUES (168, 8509, 1631727, 254, 42077, 1, 118);
INSERT INTO public.who_data VALUES (169, 1940, 794769, 67, 15821, 1, 189);
INSERT INTO public.who_data VALUES (170, 118, 98624, 7, 1947, 1, 124);
INSERT INTO public.who_data VALUES (171, 465, 159518, 0, 256, 1, 192);
INSERT INTO public.who_data VALUES (172, 446, 86574, 3, 1553, 1, 41);
INSERT INTO public.who_data VALUES (173, 1028, 175183, 22, 3739, 1, 95);
INSERT INTO public.who_data VALUES (174, 0, 11562, 0, 48, 1, 74);
INSERT INTO public.who_data VALUES (175, 2712, 774555, 79, 19738, 1, 11);
INSERT INTO public.who_data VALUES (176, 12953, 4151984, 480, 82876, 1, 87);
INSERT INTO public.who_data VALUES (177, 94, 17929, 2, 245, 1, 214);
INSERT INTO public.who_data VALUES (178, 0, 6, 0, 0, 1, 116);
INSERT INTO public.who_data VALUES (179, 0, 475, 0, 0, 1, 157);
INSERT INTO public.who_data VALUES (180, 0, 0, 0, 0, 1, 182);
INSERT INTO public.who_data VALUES (181, 0, 41, 0, 0, 1, 186);
INSERT INTO public.who_data VALUES (182, 0, 2620, 0, 25, 1, 127);
INSERT INTO public.who_data VALUES (183, 0, 1456, 0, 12, 1, 232);
INSERT INTO public.who_data VALUES (184, 0, 24, 0, 0, 1, 33);
INSERT INTO public.who_data VALUES (185, 20, 1494, 0, 6, 1, 97);
INSERT INTO public.who_data VALUES (186, 0, 4, 0, 0, 1, 42);
INSERT INTO public.who_data VALUES (187, 20, 3440, 0, 72, 1, 198);
INSERT INTO public.who_data VALUES (188, 30, 1578, 0, 20, 1, 216);
INSERT INTO public.who_data VALUES (189, 337, 374366, 4, 6454, 1, 164);
INSERT INTO public.who_data VALUES (190, 279, 32378, 6, 787, 1, 235);
INSERT INTO public.who_data VALUES (191, 2632, 431680, 14, 4306, 1, 67);
INSERT INTO public.who_data VALUES (192, 0, 2264, 0, 10, 1, 15);
INSERT INTO public.who_data VALUES (193, 12, 3841, 0, 79, 1, 180);
INSERT INTO public.who_data VALUES (194, 14, 59846, 0, 29, 1, 237);
INSERT INTO public.who_data VALUES (195, 0, 20, 0, 0, 1, 25);
INSERT INTO public.who_data VALUES (196, 14, 2027, 0, 27, 1, 209);
INSERT INTO public.who_data VALUES (197, 2705, 290457, 74, 6424, 1, 217);
INSERT INTO public.who_data VALUES (198, 910, 183396, 2, 4034, 1, 79);
INSERT INTO public.who_data VALUES (199, 0, 18, 0, 0, 1, 143);
INSERT INTO public.who_data VALUES (200, 0, 5632, 0, 179, 1, 229);
INSERT INTO public.who_data VALUES (201, 1911, 1500677, 151, 48859, 1, 141);
INSERT INTO public.who_data VALUES (202, 193, 6277, 0, 83, 1, 197);
INSERT INTO public.who_data VALUES (203, 0, 3121687, 0, 66704, 1, 221);
INSERT INTO public.who_data VALUES (204, 517, 78937, 3, 433, 1, 150);
INSERT INTO public.who_data VALUES (205, 0, 30128, 0, 1864, 1, 56);
INSERT INTO public.who_data VALUES (206, 6, 8838, 0, 168, 1, 167);
INSERT INTO public.who_data VALUES (207, 4131, 631166, 1, 12649, 1, 23);
INSERT INTO public.who_data VALUES (208, 5, 545158, 1, 9148, 1, 222);
INSERT INTO public.who_data VALUES (209, 49, 15094, 4, 994, 1, 219);
INSERT INTO public.who_data VALUES (210, 0, 13714, 0, 91, 1, 7);
INSERT INTO public.who_data VALUES (211, 82, 25323, 0, 83, 1, 161);
INSERT INTO public.who_data VALUES (212, 12027, 4095273, 533, 119920, 1, 149);
INSERT INTO public.who_data VALUES (213, 0, 103, 0, 0, 1, 6);
INSERT INTO public.who_data VALUES (214, 97, 6182, 0, 81, 1, 139);
INSERT INTO public.who_data VALUES (215, 0, 0, 0, 0, 1, 211);
INSERT INTO public.who_data VALUES (216, 0, 0, 0, 0, 1, 14);
INSERT INTO public.who_data VALUES (217, 3, 7666, 0, 138, 1, 111);
INSERT INTO public.who_data VALUES (218, 725, 226740, 35, 7719, 1, 207);
INSERT INTO public.who_data VALUES (219, 7419, 2624019, 82, 27903, 1, 66);
INSERT INTO public.who_data VALUES (220, 0, 0, 0, 0, 1, 173);
INSERT INTO public.who_data VALUES (221, 56, 1984, 0, 13, 1, 145);
INSERT INTO public.who_data VALUES (222, 0, 0, 0, 0, 1, 65);
INSERT INTO public.who_data VALUES (223, 14, 40168, 0, 331, 1, 184);
INSERT INTO public.who_data VALUES (224, 6295, 1299967, 73, 25045, 1, 98);
INSERT INTO public.who_data VALUES (225, 3140, 365017, 20, 1093, 1, 104);
INSERT INTO public.who_data VALUES (226, 0, 509, 0, 21, 1, 73);
INSERT INTO public.who_data VALUES (227, 68191, 27628834, 2381, 489351, 1, 8);
INSERT INTO public.who_data VALUES (228, 7, 2565, 0, 25, 1, 227);
INSERT INTO public.who_data VALUES (229, 544, 50752, 5, 558, 1, 75);
INSERT INTO public.who_data VALUES (230, 34, 79632, 0, 622, 1, 45);
INSERT INTO public.who_data VALUES (231, 0, 1, 0, 0, 1, 133);
INSERT INTO public.who_data VALUES (232, 462, 134781, 6, 1303, 1, 202);
INSERT INTO public.who_data VALUES (233, 15, 2362, 0, 35, 1, 129);
INSERT INTO public.who_data VALUES (234, 0, 9, 0, 0, 1, 36);
INSERT INTO public.who_data VALUES (235, 3, 2161, 0, 619, 1, 51);
INSERT INTO public.who_data VALUES (236, 736, 73203, 11, 1002, 1, 206);
INSERT INTO public.who_data VALUES (237, 167, 35710, 10, 1430, 1, 5);
INSERT INTO public.who_data VALUES (238, 18, 55575, 0, 2430, 2, 103);
INSERT INTO public.who_data VALUES (239, 1112, 96838, 17, 1617, 2, 58);
INSERT INTO public.who_data VALUES (240, 171, 111418, 3, 2950, 2, 195);
INSERT INTO public.who_data VALUES (241, 0, 0, 0, 0, 2, 115);
INSERT INTO public.who_data VALUES (242, 27, 10610, 0, 107, 2, 99);
INSERT INTO public.who_data VALUES (243, 52, 20452, 4, 498, 2, 153);
INSERT INTO public.who_data VALUES (244, 0, 18, 0, 0, 2, 93);
INSERT INTO public.who_data VALUES (245, 39, 525, 0, 10, 2, 84);
INSERT INTO public.who_data VALUES (246, 6064, 2039124, 184, 50616, 2, 78);
INSERT INTO public.who_data VALUES (247, 191, 170011, 2, 3158, 2, 170);
INSERT INTO public.who_data VALUES (248, 52, 7513, 0, 69, 2, 32);
INSERT INTO public.who_data VALUES (249, 1, 28912, 0, 909, 2, 155);
INSERT INTO public.who_data VALUES (250, 1983, 436100, 26, 8210, 2, 82);
INSERT INTO public.who_data VALUES (251, 145, 232636, 3, 3190, 2, 16);
INSERT INTO public.who_data VALUES (252, 10, 8403, 0, 179, 2, 72);
INSERT INTO public.who_data VALUES (253, 648, 115705, 4, 414, 2, 43);
INSERT INTO public.who_data VALUES (254, 391, 542268, 15, 8329, 2, 120);
INSERT INTO public.who_data VALUES (255, 151, 2608, 1, 29, 2, 213);
INSERT INTO public.who_data VALUES (256, 1386, 273659, 9, 1885, 2, 31);
INSERT INTO public.who_data VALUES (257, 1365, 749738, 29, 21855, 2, 204);
INSERT INTO public.who_data VALUES (258, 7, 12195, 1, 314, 2, 152);
INSERT INTO public.who_data VALUES (259, 0, 5143, 0, 65, 2, 144);
INSERT INTO public.who_data VALUES (260, 2, 697, 0, 12, 2, 96);
INSERT INTO public.who_data VALUES (261, 0, 866, 0, 1, 2, 47);
INSERT INTO public.who_data VALUES (262, 789, 238495, 29, 11303, 2, 80);
INSERT INTO public.who_data VALUES (263, 1, 381, 0, 4, 2, 159);
INSERT INTO public.who_data VALUES (264, 354, 127135, 13, 4962, 2, 27);
INSERT INTO public.who_data VALUES (265, 0, 25812, 0, 226, 2, 146);
INSERT INTO public.who_data VALUES (266, 56766, 9978747, 1150, 242090, 2, 71);
INSERT INTO public.who_data VALUES (267, 0, 153, 0, 1, 2, 210);
INSERT INTO public.who_data VALUES (268, 0, 185, 0, 3, 2, 54);
INSERT INTO public.who_data VALUES (269, 1186, 234428, 42, 9786, 2, 147);
INSERT INTO public.who_data VALUES (270, 31, 11703, 1, 139, 2, 2);
INSERT INTO public.who_data VALUES (271, 27, 1955, 0, 3, 2, 105);
INSERT INTO public.who_data VALUES (272, 37, 14885, 1, 142, 2, 53);
INSERT INTO public.who_data VALUES (273, 1, 484, 0, 0, 2, 81);
INSERT INTO public.who_data VALUES (274, 0, 32681, 0, 500, 2, 223);
INSERT INTO public.who_data VALUES (275, 2605, 834182, 38, 21435, 2, 94);
INSERT INTO public.who_data VALUES (276, 0, 419, 0, 2, 2, 154);
INSERT INTO public.who_data VALUES (277, 0, 4996, 0, 63, 2, 83);
INSERT INTO public.who_data VALUES (278, 27, 3751, 0, 132, 2, 194);
INSERT INTO public.who_data VALUES (279, 3828, 788142, 139, 19798, 2, 136);
INSERT INTO public.who_data VALUES (280, 20, 101624, 0, 4842, 2, 179);
INSERT INTO public.who_data VALUES (281, 5103, 2207701, 185, 58134, 2, 57);
INSERT INTO public.who_data VALUES (282, 45, 3458, 3, 138, 2, 35);
INSERT INTO public.who_data VALUES (283, 0, 8419, 0, 123, 2, 228);
INSERT INTO public.who_data VALUES (284, 0, 0, 0, 0, 2, 19);
INSERT INTO public.who_data VALUES (285, 434, 200888, 8, 2745, 2, 22);
INSERT INTO public.who_data VALUES (286, 115, 31612, 3, 183, 2, 1);
INSERT INTO public.who_data VALUES (287, 388, 239254, 8, 5407, 2, 21);
INSERT INTO public.who_data VALUES (288, 923, 41688, 5, 282, 2, 234);
INSERT INTO public.who_data VALUES (289, 3, 4658, 0, 22, 2, 91);
INSERT INTO public.who_data VALUES (290, 107, 32935, 1, 228, 2, 137);
INSERT INTO public.who_data VALUES (291, 11705, 1134957, 174, 18913, 2, 201);
INSERT INTO public.who_data VALUES (292, 0, 0, 0, 0, 2, 171);
INSERT INTO public.who_data VALUES (293, 192, 24793, 0, 694, 2, 92);
INSERT INTO public.who_data VALUES (294, 468, 206065, 3, 2319, 2, 112);
INSERT INTO public.who_data VALUES (295, 2, 6008, 0, 63, 2, 62);
INSERT INTO public.who_data VALUES (296, 0, 134, 0, 0, 2, 69);
INSERT INTO public.who_data VALUES (297, 1043, 232780, 17, 3007, 2, 220);
INSERT INTO public.who_data VALUES (298, 1641, 269860, 50, 15444, 2, 100);
INSERT INTO public.who_data VALUES (299, 656, 176333, 51, 10201, 2, 187);
INSERT INTO public.who_data VALUES (300, 0, 58023, 9, 1776, 2, 63);
INSERT INTO public.who_data VALUES (301, 17, 5747, 0, 88, 2, 28);
INSERT INTO public.who_data VALUES (302, 109, 2675, 0, 7, 2, 172);
INSERT INTO public.who_data VALUES (303, 951, 56246, 4, 518, 2, 17);
INSERT INTO public.who_data VALUES (304, 36, 16709, 3, 640, 2, 226);
INSERT INTO public.who_data VALUES (305, 1321, 150179, 12, 2249, 2, 236);
INSERT INTO public.who_data VALUES (306, 0, 49, 0, 0, 2, 76);
INSERT INTO public.who_data VALUES (307, 0, 658, 0, 1, 2, 30);
INSERT INTO public.who_data VALUES (308, 0, 56, 0, 2, 2, 128);
INSERT INTO public.who_data VALUES (309, 614, 52209, 2, 725, 2, 86);
INSERT INTO public.who_data VALUES (310, 22490, 3476135, 267, 82959, 2, 140);
INSERT INTO public.who_data VALUES (311, 0, 16456, 0, 80, 2, 44);
INSERT INTO public.who_data VALUES (312, 14, 18335, 0, 136, 2, 113);
INSERT INTO public.who_data VALUES (313, 0, 13107, 0, 75, 2, 29);
INSERT INTO public.who_data VALUES (314, 41, 4510, 1, 139, 2, 125);
INSERT INTO public.who_data VALUES (315, 388, 267701, 7, 3406, 2, 131);
INSERT INTO public.who_data VALUES (316, 9113, 2369719, 508, 67206, 2, 46);
INSERT INTO public.who_data VALUES (317, 941, 78689, 7, 568, 2, 10);
INSERT INTO public.who_data VALUES (318, 2, 4226, 0, 87, 2, 205);
INSERT INTO public.who_data VALUES (319, 1400, 176059, 27, 6221, 2, 50);
INSERT INTO public.who_data VALUES (320, 0, 30, 0, 0, 2, 20);
INSERT INTO public.who_data VALUES (321, 0, 148, 0, 1, 2, 13);
INSERT INTO public.who_data VALUES (322, 0, 9455, 0, 160, 2, 148);
INSERT INTO public.who_data VALUES (323, 2, 7497, 0, 130, 2, 230);
INSERT INTO public.who_data VALUES (324, 730, 169610, 22, 6186, 2, 190);
INSERT INTO public.who_data VALUES (325, 2, 806, 0, 14, 2, 188);
INSERT INTO public.who_data VALUES (326, 66, 15154, 0, 85, 2, 123);
INSERT INTO public.who_data VALUES (327, 26, 3025, 0, 46, 2, 9);
INSERT INTO public.who_data VALUES (328, 51, 8313, 1, 189, 2, 102);
INSERT INTO public.who_data VALUES (329, 0, 12206, 0, 247, 2, 34);
INSERT INTO public.who_data VALUES (330, 0, 26, 0, 0, 2, 212);
INSERT INTO public.who_data VALUES (331, 857, 162584, 20, 3933, 2, 122);
INSERT INTO public.who_data VALUES (332, 3093, 397116, 110, 14145, 2, 38);
INSERT INTO public.who_data VALUES (333, 0, 6044, 0, 29, 2, 130);
INSERT INTO public.who_data VALUES (334, 13193, 10963394, 97, 156111, 2, 37);
INSERT INTO public.who_data VALUES (335, 9039, 1252685, 181, 33969, 2, 231);
INSERT INTO public.who_data VALUES (336, 8066, 1550142, 80, 59264, 2, 107);
INSERT INTO public.who_data VALUES (337, 3896, 657453, 16, 13220, 2, 101);
INSERT INTO public.who_data VALUES (338, 896, 212647, 46, 4082, 2, 132);
INSERT INTO public.who_data VALUES (339, 0, 437, 0, 25, 2, 176);
INSERT INTO public.who_data VALUES (340, 0, 731037, 0, 5417, 2, 200);
INSERT INTO public.who_data VALUES (341, 13755, 2765412, 347, 94887, 2, 169);
INSERT INTO public.who_data VALUES (342, 294, 20310, 3, 384, 2, 225);
INSERT INTO public.who_data VALUES (343, 1559, 421967, 78, 7274, 2, 165);
INSERT INTO public.who_data VALUES (344, 2, 3207, 0, 68, 2, 233);
INSERT INTO public.who_data VALUES (345, 1638, 356744, 9, 4512, 2, 215);
INSERT INTO public.who_data VALUES (346, 0, 254712, 0, 3246, 2, 177);
INSERT INTO public.who_data VALUES (347, 283, 103615, 6, 1807, 2, 183);
INSERT INTO public.who_data VALUES (348, 0, 0, 0, 0, 2, 203);
INSERT INTO public.who_data VALUES (349, 285, 65307, 5, 1548, 2, 162);
INSERT INTO public.who_data VALUES (350, 979, 181484, 8, 1027, 2, 12);
INSERT INTO public.who_data VALUES (351, 83, 85772, 3, 1450, 2, 24);
INSERT INTO public.who_data VALUES (352, 0, 45, 0, 0, 2, 119);
INSERT INTO public.who_data VALUES (353, 708, 79351, 13, 1521, 2, 39);
INSERT INTO public.who_data VALUES (354, 2730, 348793, 54, 4206, 2, 26);
INSERT INTO public.who_data VALUES (355, 80, 10455, 6, 285, 2, 59);
INSERT INTO public.who_data VALUES (356, 0, 1985, 0, 85, 2, 77);
INSERT INTO public.who_data VALUES (357, 392, 128740, 5, 2061, 2, 134);
INSERT INTO public.who_data VALUES (358, 0, 2617, 0, 52, 2, 4);
INSERT INTO public.who_data VALUES (359, 793, 192986, 16, 3145, 2, 109);
INSERT INTO public.who_data VALUES (360, 233, 53562, 3, 619, 2, 90);
INSERT INTO public.who_data VALUES (361, 0, 19598, 0, 292, 2, 61);
INSERT INTO public.who_data VALUES (362, 0, 29634, 8, 984, 2, 85);
INSERT INTO public.who_data VALUES (363, 2712, 274875, 25, 1030, 2, 49);
INSERT INTO public.who_data VALUES (364, 116, 18340, 0, 58, 2, 208);
INSERT INTO public.who_data VALUES (365, 0, 8256, 0, 342, 2, 166);
INSERT INTO public.who_data VALUES (366, 163, 20409, 3, 301, 2, 64);
INSERT INTO public.who_data VALUES (367, 0, 4, 0, 0, 2, 199);
INSERT INTO public.who_data VALUES (368, 0, 6593, 0, 45, 2, 114);
INSERT INTO public.who_data VALUES (369, 17, 17058, 1, 433, 2, 60);
INSERT INTO public.who_data VALUES (370, 0, 603, 0, 10, 2, 68);
INSERT INTO public.who_data VALUES (371, 11, 14492, 4, 89, 2, 158);
INSERT INTO public.who_data VALUES (372, 8988, 2013563, 1075, 177061, 2, 52);
INSERT INTO public.who_data VALUES (373, 0, 0, 0, 0, 2, 117);
INSERT INTO public.who_data VALUES (374, 19, 1835, 0, 22, 2, 126);
INSERT INTO public.who_data VALUES (375, 49, 2493, 0, 2, 2, 196);
INSERT INTO public.who_data VALUES (376, 0, 71112, 0, 926, 2, 142);
INSERT INTO public.who_data VALUES (377, 0, 20, 0, 1, 2, 185);
INSERT INTO public.who_data VALUES (378, 477, 480056, 7, 8524, 2, 138);
INSERT INTO public.who_data VALUES (379, 898, 53527, 10, 571, 2, 181);
INSERT INTO public.who_data VALUES (380, 19, 141709, 0, 3192, 2, 178);
INSERT INTO public.who_data VALUES (381, 179, 36680, 0, 394, 2, 168);
INSERT INTO public.who_data VALUES (382, 0, 0, 0, 0, 2, 160);
INSERT INTO public.who_data VALUES (383, 96, 273166, 3, 2058, 2, 151);
INSERT INTO public.who_data VALUES (384, 4594, 1042639, 74, 15088, 2, 193);
INSERT INTO public.who_data VALUES (385, 3, 55, 0, 0, 2, 18);
INSERT INTO public.who_data VALUES (386, 4, 1992, 0, 26, 2, 40);
INSERT INTO public.who_data VALUES (387, 0, 5106, 0, 172, 2, 218);
INSERT INTO public.who_data VALUES (388, 3, 4718, 0, 170, 2, 191);
INSERT INTO public.who_data VALUES (389, 877, 150246, 16, 1803, 2, 156);
INSERT INTO public.who_data VALUES (390, 0, 0, 0, 0, 2, 135);
INSERT INTO public.who_data VALUES (391, 0, 135, 0, 2, 2, 88);
INSERT INTO public.who_data VALUES (392, 371, 98174, 8, 3018, 2, 55);
INSERT INTO public.who_data VALUES (393, 358, 67497, 0, 607, 2, 108);
INSERT INTO public.who_data VALUES (394, 627, 193418, 8, 2155, 2, 48);
INSERT INTO public.who_data VALUES (395, 288, 138494, 0, 1549, 2, 3);
INSERT INTO public.who_data VALUES (396, 0, 745, 0, 13, 2, 224);
INSERT INTO public.who_data VALUES (397, 1272, 567261, 52, 12488, 2, 110);
INSERT INTO public.who_data VALUES (398, 0, 0, 0, 0, 2, 106);
INSERT INTO public.who_data VALUES (399, 504, 333755, 17, 5672, 2, 89);
INSERT INTO public.who_data VALUES (400, 0, 961, 0, 10, 2, 121);
INSERT INTO public.who_data VALUES (401, 1037, 147253, 20, 2991, 2, 163);
INSERT INTO public.who_data VALUES (402, 7408, 1252137, 252, 44308, 2, 70);
INSERT INTO public.who_data VALUES (403, 1739, 555163, 96, 11673, 2, 174);
INSERT INTO public.who_data VALUES (404, 0, 0, 0, 0, 2, 175);
INSERT INTO public.who_data VALUES (405, 8772, 1623218, 241, 41823, 2, 118);
INSERT INTO public.who_data VALUES (406, 1944, 792829, 105, 15754, 2, 189);
INSERT INTO public.who_data VALUES (407, 78, 98506, 10, 1940, 2, 124);
INSERT INTO public.who_data VALUES (408, 462, 159053, 0, 256, 2, 192);
INSERT INTO public.who_data VALUES (409, 561, 86128, 6, 1550, 2, 41);
INSERT INTO public.who_data VALUES (410, 1340, 174155, 20, 3717, 2, 95);
INSERT INTO public.who_data VALUES (411, 0, 11562, 0, 48, 2, 74);
INSERT INTO public.who_data VALUES (412, 3058, 771843, 71, 19659, 2, 11);
INSERT INTO public.who_data VALUES (413, 13433, 4139031, 470, 82396, 2, 87);
INSERT INTO public.who_data VALUES (414, 119, 17835, 0, 243, 2, 214);
INSERT INTO public.who_data VALUES (415, 0, 6, 0, 0, 2, 116);
INSERT INTO public.who_data VALUES (416, 0, 475, 0, 0, 2, 157);
INSERT INTO public.who_data VALUES (417, 0, 0, 0, 0, 2, 182);
INSERT INTO public.who_data VALUES (418, 0, 41, 0, 0, 2, 186);
INSERT INTO public.who_data VALUES (419, 44, 2620, 1, 25, 2, 127);
INSERT INTO public.who_data VALUES (420, 0, 1456, 0, 12, 2, 232);
INSERT INTO public.who_data VALUES (421, 0, 24, 0, 0, 2, 33);
INSERT INTO public.who_data VALUES (422, 12, 1474, 0, 6, 2, 97);
INSERT INTO public.who_data VALUES (423, 0, 4, 0, 0, 2, 42);
INSERT INTO public.who_data VALUES (424, 26, 3420, 0, 72, 2, 198);
INSERT INTO public.who_data VALUES (425, 13, 1548, 0, 20, 2, 216);
INSERT INTO public.who_data VALUES (426, 327, 374029, 5, 6450, 2, 164);
INSERT INTO public.who_data VALUES (427, 328, 32099, 12, 781, 2, 235);
INSERT INTO public.who_data VALUES (428, 2561, 429048, 15, 4292, 2, 67);
INSERT INTO public.who_data VALUES (429, 53, 2264, 0, 10, 2, 15);
INSERT INTO public.who_data VALUES (430, 4, 3829, 0, 79, 2, 180);
INSERT INTO public.who_data VALUES (431, 11, 59832, 0, 29, 2, 237);
INSERT INTO public.who_data VALUES (432, 0, 20, 0, 0, 2, 25);
INSERT INTO public.who_data VALUES (433, 0, 2013, 0, 27, 2, 209);
INSERT INTO public.who_data VALUES (434, 2333, 287752, 79, 6350, 2, 217);
INSERT INTO public.who_data VALUES (435, 873, 182486, 2, 4032, 2, 79);
INSERT INTO public.who_data VALUES (436, 0, 18, 0, 0, 2, 143);
INSERT INTO public.who_data VALUES (437, 132, 5632, 7, 179, 2, 229);
INSERT INTO public.who_data VALUES (438, 2327, 1498766, 230, 48708, 2, 141);
INSERT INTO public.who_data VALUES (439, 162, 6084, 4, 83, 2, 197);
INSERT INTO public.who_data VALUES (440, 4323, 3121687, 34, 66704, 2, 221);
INSERT INTO public.who_data VALUES (441, 514, 78420, 8, 430, 2, 150);
INSERT INTO public.who_data VALUES (442, 13, 30128, 0, 1864, 2, 56);
INSERT INTO public.who_data VALUES (443, 12, 8832, 1, 168, 2, 167);
INSERT INTO public.who_data VALUES (444, 4979, 627035, 8, 12648, 2, 23);
INSERT INTO public.who_data VALUES (445, 685, 545153, 3, 9147, 2, 222);
INSERT INTO public.who_data VALUES (446, 44, 15045, 3, 990, 2, 219);
INSERT INTO public.who_data VALUES (447, 0, 13714, 0, 91, 2, 7);
INSERT INTO public.who_data VALUES (448, 130, 25241, 1, 83, 2, 161);
INSERT INTO public.who_data VALUES (449, 12057, 4083246, 454, 119387, 2, 149);
INSERT INTO public.who_data VALUES (450, 1, 103, 0, 0, 2, 6);
INSERT INTO public.who_data VALUES (451, 203, 6085, 0, 81, 2, 139);
INSERT INTO public.who_data VALUES (452, 0, 0, 0, 0, 2, 211);
INSERT INTO public.who_data VALUES (453, 0, 0, 0, 0, 2, 14);
INSERT INTO public.who_data VALUES (454, 7, 7663, 0, 138, 2, 111);
INSERT INTO public.who_data VALUES (455, 899, 226015, 33, 7684, 2, 207);
INSERT INTO public.who_data VALUES (456, 7241, 2616600, 83, 27821, 2, 66);
INSERT INTO public.who_data VALUES (457, 0, 0, 0, 0, 2, 173);
INSERT INTO public.who_data VALUES (458, 19, 1928, 0, 13, 2, 145);
INSERT INTO public.who_data VALUES (459, 0, 0, 0, 0, 2, 65);
INSERT INTO public.who_data VALUES (460, 52, 40154, 0, 331, 2, 184);
INSERT INTO public.who_data VALUES (461, 6531, 1293672, 120, 24972, 2, 98);
INSERT INTO public.who_data VALUES (462, 3294, 361877, 18, 1073, 2, 104);
INSERT INTO public.who_data VALUES (463, 0, 509, 0, 21, 2, 73);
INSERT INTO public.who_data VALUES (464, 69069, 27560643, 2591, 486970, 2, 8);
INSERT INTO public.who_data VALUES (465, 13, 2558, 0, 25, 2, 227);
INSERT INTO public.who_data VALUES (466, 483, 50208, 7, 553, 2, 75);
INSERT INTO public.who_data VALUES (467, 50, 79598, 0, 622, 2, 45);
INSERT INTO public.who_data VALUES (468, 0, 1, 0, 0, 2, 133);
INSERT INTO public.who_data VALUES (469, 392, 134319, 5, 1297, 2, 202);
INSERT INTO public.who_data VALUES (470, 18, 2347, 0, 35, 2, 129);
INSERT INTO public.who_data VALUES (471, 0, 9, 0, 0, 2, 36);
INSERT INTO public.who_data VALUES (472, 3, 2158, 0, 619, 2, 51);
INSERT INTO public.who_data VALUES (473, 790, 72467, 8, 991, 2, 206);
INSERT INTO public.who_data VALUES (474, 120, 35543, 2, 1420, 2, 5);
INSERT INTO public.who_data VALUES (475, 17, 55557, 2, 2430, 3, 103);
INSERT INTO public.who_data VALUES (476, 1075, 95726, 18, 1600, 3, 58);
INSERT INTO public.who_data VALUES (477, 178, 111247, 2, 2947, 3, 195);
INSERT INTO public.who_data VALUES (478, 0, 0, 0, 0, 3, 115);
INSERT INTO public.who_data VALUES (479, 28, 10583, 0, 107, 3, 99);
INSERT INTO public.who_data VALUES (480, 11, 20400, 0, 494, 3, 153);
INSERT INTO public.who_data VALUES (481, 0, 18, 0, 0, 3, 93);
INSERT INTO public.who_data VALUES (482, 43, 486, 1, 10, 3, 84);
INSERT INTO public.who_data VALUES (483, 4003, 2033060, 105, 50432, 3, 78);
INSERT INTO public.who_data VALUES (484, 223, 169820, 1, 3156, 3, 170);
INSERT INTO public.who_data VALUES (485, 23, 7461, 1, 69, 3, 32);
INSERT INTO public.who_data VALUES (486, 6, 28911, 0, 909, 3, 155);
INSERT INTO public.who_data VALUES (487, 1648, 434117, 20, 8184, 3, 82);
INSERT INTO public.who_data VALUES (488, 154, 232491, 2, 3187, 3, 16);
INSERT INTO public.who_data VALUES (489, 0, 8393, 0, 179, 3, 72);
INSERT INTO public.who_data VALUES (490, 696, 115057, 0, 410, 3, 43);
INSERT INTO public.who_data VALUES (491, 443, 541877, 16, 8314, 3, 120);
INSERT INTO public.who_data VALUES (492, 126, 2457, 3, 28, 3, 213);
INSERT INTO public.who_data VALUES (493, 1352, 272273, 9, 1876, 3, 31);
INSERT INTO public.who_data VALUES (494, 2386, 748373, 28, 21826, 3, 204);
INSERT INTO public.who_data VALUES (495, 13, 12188, 0, 313, 3, 152);
INSERT INTO public.who_data VALUES (496, 104, 5143, 3, 65, 3, 144);
INSERT INTO public.who_data VALUES (497, 0, 695, 0, 12, 3, 96);
INSERT INTO public.who_data VALUES (498, 0, 866, 0, 1, 3, 47);
INSERT INTO public.who_data VALUES (499, 562, 237706, 40, 11274, 3, 80);
INSERT INTO public.who_data VALUES (500, 2, 380, 0, 4, 3, 159);
INSERT INTO public.who_data VALUES (501, 368, 126781, 14, 4949, 3, 27);
INSERT INTO public.who_data VALUES (502, 10, 25812, 0, 226, 3, 146);
INSERT INTO public.who_data VALUES (503, 55271, 9921981, 1167, 240940, 3, 71);
INSERT INTO public.who_data VALUES (504, 0, 153, 0, 1, 3, 210);
INSERT INTO public.who_data VALUES (505, 1, 185, 0, 3, 3, 54);
INSERT INTO public.who_data VALUES (506, 1146, 233242, 41, 9744, 3, 147);
INSERT INTO public.who_data VALUES (507, 42, 11672, 0, 138, 3, 2);
INSERT INTO public.who_data VALUES (508, 33, 1928, 0, 3, 3, 105);
INSERT INTO public.who_data VALUES (509, 63, 14848, 1, 141, 3, 53);
INSERT INTO public.who_data VALUES (510, 4, 483, 0, 0, 3, 81);
INSERT INTO public.who_data VALUES (511, 1287, 32681, 26, 500, 3, 223);
INSERT INTO public.who_data VALUES (512, 4653, 831577, 86, 21397, 3, 94);
INSERT INTO public.who_data VALUES (513, 0, 419, 0, 2, 3, 154);
INSERT INTO public.who_data VALUES (514, 0, 4996, 0, 63, 3, 83);
INSERT INTO public.who_data VALUES (515, 35, 3724, 1, 132, 3, 194);
INSERT INTO public.who_data VALUES (516, 2275, 784314, 15, 19659, 3, 136);
INSERT INTO public.who_data VALUES (517, 28, 101604, 2, 4842, 3, 179);
INSERT INTO public.who_data VALUES (518, 4049, 2202598, 163, 57949, 3, 57);
INSERT INTO public.who_data VALUES (519, 20, 3413, 2, 135, 3, 35);
INSERT INTO public.who_data VALUES (520, 0, 8419, 0, 123, 3, 228);
INSERT INTO public.who_data VALUES (521, 0, 0, 0, 0, 3, 19);
INSERT INTO public.who_data VALUES (522, 430, 200454, 7, 2737, 3, 22);
INSERT INTO public.who_data VALUES (523, 132, 31497, 1, 180, 3, 1);
INSERT INTO public.who_data VALUES (524, 365, 238866, 24, 5399, 3, 21);
INSERT INTO public.who_data VALUES (525, 824, 40765, 3, 277, 3, 234);
INSERT INTO public.who_data VALUES (526, 3, 4655, 0, 22, 3, 91);
INSERT INTO public.who_data VALUES (527, 121, 32828, 2, 227, 3, 137);
INSERT INTO public.who_data VALUES (528, 10930, 1123252, 143, 18739, 3, 201);
INSERT INTO public.who_data VALUES (529, 0, 0, 0, 0, 3, 171);
INSERT INTO public.who_data VALUES (530, 179, 24601, 0, 694, 3, 92);
INSERT INTO public.who_data VALUES (531, 414, 205597, 8, 2316, 3, 112);
INSERT INTO public.who_data VALUES (532, 25, 6006, 0, 63, 3, 62);
INSERT INTO public.who_data VALUES (533, 0, 134, 0, 0, 3, 69);
INSERT INTO public.who_data VALUES (534, 642, 231737, 15, 2990, 3, 220);
INSERT INTO public.who_data VALUES (535, 146, 268219, 2, 15394, 3, 100);
INSERT INTO public.who_data VALUES (536, 618, 175677, 49, 10150, 3, 187);
INSERT INTO public.who_data VALUES (537, 0, 58023, 9, 1767, 3, 63);
INSERT INTO public.who_data VALUES (538, 36, 5730, 1, 88, 3, 28);
INSERT INTO public.who_data VALUES (539, 0, 2566, 0, 7, 3, 172);
INSERT INTO public.who_data VALUES (540, 995, 55295, 4, 514, 3, 17);
INSERT INTO public.who_data VALUES (541, 67, 16673, 3, 637, 3, 226);
INSERT INTO public.who_data VALUES (542, 368, 148858, 14, 2237, 3, 236);
INSERT INTO public.who_data VALUES (543, 0, 49, 0, 0, 3, 76);
INSERT INTO public.who_data VALUES (544, 0, 658, 0, 1, 3, 30);
INSERT INTO public.who_data VALUES (545, 0, 56, 0, 2, 3, 128);
INSERT INTO public.who_data VALUES (546, 548, 51595, 3, 723, 3, 86);
INSERT INTO public.who_data VALUES (547, 23919, 3453645, 309, 82692, 3, 140);
INSERT INTO public.who_data VALUES (548, 0, 16456, 0, 80, 3, 44);
INSERT INTO public.who_data VALUES (549, 22, 18321, 0, 136, 3, 113);
INSERT INTO public.who_data VALUES (550, 242, 13107, 0, 75, 3, 29);
INSERT INTO public.who_data VALUES (551, 0, 4469, 0, 138, 3, 125);
INSERT INTO public.who_data VALUES (552, 365, 267313, 9, 3399, 3, 131);
INSERT INTO public.who_data VALUES (553, 10207, 2360606, 534, 66698, 3, 46);
INSERT INTO public.who_data VALUES (554, 0, 77748, 0, 561, 3, 10);
INSERT INTO public.who_data VALUES (555, 1, 4224, 0, 87, 3, 205);
INSERT INTO public.who_data VALUES (556, 754, 174659, 13, 6194, 3, 50);
INSERT INTO public.who_data VALUES (557, 0, 30, 0, 0, 3, 20);
INSERT INTO public.who_data VALUES (558, 0, 148, 0, 1, 3, 13);
INSERT INTO public.who_data VALUES (559, 0, 9455, 0, 160, 3, 148);
INSERT INTO public.who_data VALUES (560, 2, 7495, 0, 130, 3, 230);
INSERT INTO public.who_data VALUES (561, 777, 168880, 6, 6164, 3, 190);
INSERT INTO public.who_data VALUES (562, 0, 804, 1, 14, 3, 188);
INSERT INTO public.who_data VALUES (563, 68, 15088, 0, 85, 3, 123);
INSERT INTO public.who_data VALUES (564, 49, 2999, 0, 46, 3, 9);
INSERT INTO public.who_data VALUES (565, 30, 8262, 2, 188, 3, 102);
INSERT INTO public.who_data VALUES (566, 0, 12206, 0, 247, 3, 34);
INSERT INTO public.who_data VALUES (567, 0, 26, 0, 0, 3, 212);
INSERT INTO public.who_data VALUES (568, 744, 161727, 20, 3913, 3, 122);
INSERT INTO public.who_data VALUES (569, 2853, 394023, 104, 14035, 3, 38);
INSERT INTO public.who_data VALUES (570, 5, 6044, 0, 29, 3, 130);
INSERT INTO public.who_data VALUES (571, 12881, 10950201, 101, 156014, 3, 37);
INSERT INTO public.who_data VALUES (572, 9687, 1243646, 192, 33788, 3, 231);
INSERT INTO public.who_data VALUES (573, 8042, 1542076, 67, 59184, 3, 107);
INSERT INTO public.who_data VALUES (574, 3575, 653557, 12, 13204, 3, 101);
INSERT INTO public.who_data VALUES (575, 638, 211751, 56, 4036, 3, 132);
INSERT INTO public.who_data VALUES (576, 1, 437, 0, 25, 3, 176);
INSERT INTO public.who_data VALUES (577, 0, 731037, 0, 5417, 3, 200);
INSERT INTO public.who_data VALUES (578, 12066, 2751657, 369, 94540, 3, 169);
INSERT INTO public.who_data VALUES (579, 243, 20016, 3, 381, 3, 225);
INSERT INTO public.who_data VALUES (580, 1393, 420408, 94, 7196, 3, 165);
INSERT INTO public.who_data VALUES (581, 2, 3205, 0, 68, 3, 233);
INSERT INTO public.who_data VALUES (582, 2887, 355106, 12, 4503, 3, 215);
INSERT INTO public.who_data VALUES (583, 961, 254712, 0, 3246, 3, 177);
INSERT INTO public.who_data VALUES (584, 144, 103332, 4, 1801, 3, 183);
INSERT INTO public.who_data VALUES (585, 0, 0, 0, 0, 3, 203);
INSERT INTO public.who_data VALUES (586, 297, 65022, 5, 1543, 3, 162);
INSERT INTO public.who_data VALUES (587, 1017, 180505, 5, 1019, 3, 12);
INSERT INTO public.who_data VALUES (588, 70, 85689, 1, 1447, 3, 24);
INSERT INTO public.who_data VALUES (589, 0, 45, 0, 0, 3, 119);
INSERT INTO public.who_data VALUES (590, 946, 78643, 22, 1508, 3, 39);
INSERT INTO public.who_data VALUES (591, 2479, 346063, 60, 4152, 3, 26);
INSERT INTO public.who_data VALUES (592, 25, 10375, 25, 279, 3, 59);
INSERT INTO public.who_data VALUES (593, 0, 1985, 1, 85, 3, 77);
INSERT INTO public.who_data VALUES (594, 312, 128348, 5, 2056, 3, 134);
INSERT INTO public.who_data VALUES (595, 1, 2617, 0, 52, 3, 4);
INSERT INTO public.who_data VALUES (596, 372, 192193, 16, 3129, 3, 109);
INSERT INTO public.who_data VALUES (597, 267, 53329, 4, 616, 3, 90);
INSERT INTO public.who_data VALUES (598, 0, 19598, 0, 292, 3, 61);
INSERT INTO public.who_data VALUES (599, 213, 29634, 8, 976, 3, 85);
INSERT INTO public.who_data VALUES (600, 2998, 272163, 22, 1005, 3, 49);
INSERT INTO public.who_data VALUES (601, 142, 18224, 0, 58, 3, 208);
INSERT INTO public.who_data VALUES (602, 15, 8256, 0, 342, 3, 166);
INSERT INTO public.who_data VALUES (603, 199, 20246, 1, 298, 3, 64);
INSERT INTO public.who_data VALUES (604, 0, 4, 0, 0, 3, 199);
INSERT INTO public.who_data VALUES (605, 0, 6593, 0, 45, 3, 114);
INSERT INTO public.who_data VALUES (606, 25, 17041, 1, 432, 3, 60);
INSERT INTO public.who_data VALUES (607, 0, 603, 0, 10, 3, 68);
INSERT INTO public.who_data VALUES (608, 444, 14481, 0, 85, 3, 158);
INSERT INTO public.who_data VALUES (609, 8683, 2004575, 1329, 175986, 3, 52);
INSERT INTO public.who_data VALUES (610, 0, 0, 0, 0, 3, 117);
INSERT INTO public.who_data VALUES (611, 29, 1816, 1, 22, 3, 126);
INSERT INTO public.who_data VALUES (612, 28, 2444, 0, 2, 3, 196);
INSERT INTO public.who_data VALUES (613, 451, 71112, 10, 926, 3, 142);
INSERT INTO public.who_data VALUES (614, 0, 20, 0, 1, 3, 185);
INSERT INTO public.who_data VALUES (615, 508, 479579, 13, 8517, 3, 138);
INSERT INTO public.who_data VALUES (616, 829, 52629, 10, 561, 3, 181);
INSERT INTO public.who_data VALUES (617, 31, 141690, 0, 3192, 3, 178);
INSERT INTO public.who_data VALUES (618, 135, 36501, 2, 394, 3, 168);
INSERT INTO public.who_data VALUES (619, 0, 0, 0, 0, 3, 160);
INSERT INTO public.who_data VALUES (620, 125, 273070, 0, 2055, 3, 151);
INSERT INTO public.who_data VALUES (621, 3392, 1038045, 89, 15014, 3, 193);
INSERT INTO public.who_data VALUES (622, 0, 52, 0, 0, 3, 18);
INSERT INTO public.who_data VALUES (623, 4, 1988, 0, 26, 3, 40);
INSERT INTO public.who_data VALUES (624, 0, 5106, 0, 172, 3, 218);
INSERT INTO public.who_data VALUES (625, 9, 4715, 1, 170, 3, 191);
INSERT INTO public.who_data VALUES (626, 1073, 149369, 10, 1787, 3, 156);
INSERT INTO public.who_data VALUES (627, 0, 0, 0, 0, 3, 135);
INSERT INTO public.who_data VALUES (628, 0, 135, 0, 2, 3, 88);
INSERT INTO public.who_data VALUES (629, 347, 97803, 7, 3010, 3, 55);
INSERT INTO public.who_data VALUES (630, 290, 67139, 14, 607, 3, 108);
INSERT INTO public.who_data VALUES (631, 1432, 192791, 8, 2147, 3, 48);
INSERT INTO public.who_data VALUES (632, 277, 138206, 5, 1549, 3, 3);
INSERT INTO public.who_data VALUES (633, 0, 745, 0, 13, 3, 224);
INSERT INTO public.who_data VALUES (634, 1165, 565989, 56, 12436, 3, 110);
INSERT INTO public.who_data VALUES (635, 0, 0, 0, 0, 3, 106);
INSERT INTO public.who_data VALUES (636, 572, 333251, 13, 5655, 3, 89);
INSERT INTO public.who_data VALUES (637, 6, 961, 0, 10, 3, 121);
INSERT INTO public.who_data VALUES (638, 1121, 146216, 18, 2971, 3, 163);
INSERT INTO public.who_data VALUES (639, 6228, 1244729, 176, 44056, 3, 70);
INSERT INTO public.who_data VALUES (640, 1178, 553424, 53, 11577, 3, 174);
INSERT INTO public.who_data VALUES (641, 0, 0, 0, 0, 3, 175);
INSERT INTO public.who_data VALUES (642, 9074, 1614446, 274, 41582, 3, 118);
INSERT INTO public.who_data VALUES (643, 2324, 790885, 127, 15649, 3, 189);
INSERT INTO public.who_data VALUES (644, 111, 98428, 6, 1930, 3, 124);
INSERT INTO public.who_data VALUES (645, 453, 158591, 0, 256, 3, 192);
INSERT INTO public.who_data VALUES (646, 621, 85567, 6, 1544, 3, 41);
INSERT INTO public.who_data VALUES (647, 1301, 172815, 19, 3697, 3, 95);
INSERT INTO public.who_data VALUES (648, 655, 11562, 1, 48, 3, 74);
INSERT INTO public.who_data VALUES (649, 2815, 768785, 62, 19588, 3, 11);
INSERT INTO public.who_data VALUES (650, 13447, 4125598, 480, 81926, 3, 87);
INSERT INTO public.who_data VALUES (651, 122, 17716, 3, 243, 3, 214);
INSERT INTO public.who_data VALUES (652, 0, 6, 0, 0, 3, 116);
INSERT INTO public.who_data VALUES (653, 0, 475, 0, 0, 3, 157);
INSERT INTO public.who_data VALUES (654, 0, 0, 0, 0, 3, 182);
INSERT INTO public.who_data VALUES (655, 0, 41, 0, 0, 3, 186);
INSERT INTO public.who_data VALUES (656, 27, 2576, 1, 24, 3, 127);
INSERT INTO public.who_data VALUES (657, 0, 1456, 0, 12, 3, 232);
INSERT INTO public.who_data VALUES (658, 0, 24, 0, 0, 3, 33);
INSERT INTO public.who_data VALUES (659, 5, 1462, 0, 6, 3, 97);
INSERT INTO public.who_data VALUES (660, 0, 4, 0, 0, 3, 42);
INSERT INTO public.who_data VALUES (661, 42, 3394, 0, 72, 3, 198);
INSERT INTO public.who_data VALUES (662, 15, 1535, 1, 20, 3, 216);
INSERT INTO public.who_data VALUES (663, 334, 373702, 4, 6445, 3, 164);
INSERT INTO public.who_data VALUES (664, 295, 31771, 9, 769, 3, 235);
INSERT INTO public.who_data VALUES (665, 2467, 426487, 16, 4277, 3, 67);
INSERT INTO public.who_data VALUES (666, 224, 2211, 1, 10, 3, 15);
INSERT INTO public.who_data VALUES (667, 0, 3825, 0, 79, 3, 180);
INSERT INTO public.who_data VALUES (668, 11, 59821, 0, 29, 3, 237);
INSERT INTO public.who_data VALUES (669, 0, 20, 0, 0, 3, 25);
INSERT INTO public.who_data VALUES (670, 12, 2013, 0, 27, 3, 209);
INSERT INTO public.who_data VALUES (671, 2555, 285419, 103, 6271, 3, 217);
INSERT INTO public.who_data VALUES (672, 1099, 181613, 1, 4030, 3, 79);
INSERT INTO public.who_data VALUES (673, 0, 18, 0, 0, 3, 143);
INSERT INTO public.who_data VALUES (674, 127, 5500, 9, 172, 3, 229);
INSERT INTO public.who_data VALUES (675, 2320, 1496439, 165, 48478, 3, 141);
INSERT INTO public.who_data VALUES (676, 212, 5922, 2, 79, 3, 197);
INSERT INTO public.who_data VALUES (677, 8444, 3117364, 150, 66670, 3, 221);
INSERT INTO public.who_data VALUES (678, 722, 77906, 13, 422, 3, 150);
INSERT INTO public.who_data VALUES (679, 37, 30115, 1, 1864, 3, 56);
INSERT INTO public.who_data VALUES (680, 9, 8820, 0, 167, 3, 167);
INSERT INTO public.who_data VALUES (681, 4213, 622056, 2, 12640, 3, 23);
INSERT INTO public.who_data VALUES (682, 1202, 544468, 8, 9144, 3, 222);
INSERT INTO public.who_data VALUES (683, 50, 15001, 3, 987, 3, 219);
INSERT INTO public.who_data VALUES (684, 0, 13714, 0, 91, 3, 7);
INSERT INTO public.who_data VALUES (685, 150, 25111, 0, 82, 3, 161);
INSERT INTO public.who_data VALUES (686, 12717, 4071189, 738, 118933, 3, 149);
INSERT INTO public.who_data VALUES (687, 0, 102, 0, 0, 3, 6);
INSERT INTO public.who_data VALUES (688, 0, 5882, 0, 81, 3, 139);
INSERT INTO public.who_data VALUES (689, 0, 0, 0, 0, 3, 211);
INSERT INTO public.who_data VALUES (690, 0, 0, 0, 0, 3, 14);
INSERT INTO public.who_data VALUES (691, 10, 7656, 0, 138, 3, 111);
INSERT INTO public.who_data VALUES (692, 787, 225116, 34, 7651, 3, 207);
INSERT INTO public.who_data VALUES (693, 7325, 2609359, 86, 27738, 3, 66);
INSERT INTO public.who_data VALUES (694, 0, 0, 0, 0, 3, 173);
INSERT INTO public.who_data VALUES (695, 35, 1909, 0, 13, 3, 145);
INSERT INTO public.who_data VALUES (696, 0, 0, 0, 0, 3, 65);
INSERT INTO public.who_data VALUES (697, 21, 40102, 0, 331, 3, 184);
INSERT INTO public.who_data VALUES (698, 6237, 1287141, 163, 24852, 3, 98);
INSERT INTO public.who_data VALUES (699, 3452, 358583, 14, 1055, 3, 104);
INSERT INTO public.who_data VALUES (700, 0, 509, 0, 21, 3, 73);
INSERT INTO public.who_data VALUES (701, 57856, 27491574, 1390, 484379, 3, 8);
INSERT INTO public.who_data VALUES (702, 3, 2545, 0, 25, 3, 227);
INSERT INTO public.who_data VALUES (703, 365, 49725, 5, 546, 3, 75);
INSERT INTO public.who_data VALUES (704, 51, 79548, 0, 622, 3, 45);
INSERT INTO public.who_data VALUES (705, 0, 1, 0, 0, 3, 133);
INSERT INTO public.who_data VALUES (706, 350, 133927, 7, 1292, 3, 202);
INSERT INTO public.who_data VALUES (707, 18, 2329, 0, 35, 3, 129);
INSERT INTO public.who_data VALUES (708, 0, 9, 0, 0, 3, 36);
INSERT INTO public.who_data VALUES (709, 3, 2155, 0, 619, 3, 51);
INSERT INTO public.who_data VALUES (710, 854, 71677, 9, 983, 3, 206);
INSERT INTO public.who_data VALUES (711, 108, 35423, 4, 1418, 3, 5);
INSERT INTO public.who_data VALUES (712, 22, 55540, 0, 2428, 4, 103);
INSERT INTO public.who_data VALUES (713, 801, 94651, 15, 1582, 4, 58);
INSERT INTO public.who_data VALUES (714, 175, 111069, 2, 2945, 4, 195);
INSERT INTO public.who_data VALUES (715, 0, 0, 0, 0, 4, 115);
INSERT INTO public.who_data VALUES (716, 17, 10555, 0, 107, 4, 99);
INSERT INTO public.who_data VALUES (717, 8, 20389, 1, 494, 4, 153);
INSERT INTO public.who_data VALUES (718, 0, 18, 0, 0, 4, 93);
INSERT INTO public.who_data VALUES (719, 16, 443, 0, 9, 4, 84);
INSERT INTO public.who_data VALUES (720, 3259, 2029057, 91, 50327, 4, 78);
INSERT INTO public.who_data VALUES (721, 206, 169597, 5, 3155, 4, 170);
INSERT INTO public.who_data VALUES (722, 25, 7438, 0, 68, 4, 32);
INSERT INTO public.who_data VALUES (723, 5, 28905, 0, 909, 4, 155);
INSERT INTO public.who_data VALUES (724, 1382, 432469, 36, 8164, 4, 82);
INSERT INTO public.who_data VALUES (725, 140, 232337, 2, 3185, 4, 16);
INSERT INTO public.who_data VALUES (726, 17, 8393, 0, 179, 4, 72);
INSERT INTO public.who_data VALUES (727, 771, 114361, 4, 410, 4, 43);
INSERT INTO public.who_data VALUES (728, 396, 541434, 13, 8298, 4, 120);
INSERT INTO public.who_data VALUES (729, 63, 2331, 1, 25, 4, 213);
INSERT INTO public.who_data VALUES (730, 1134, 270921, 9, 1867, 4, 31);
INSERT INTO public.who_data VALUES (731, 2382, 745987, 39, 21798, 4, 204);
INSERT INTO public.who_data VALUES (732, 30, 12175, 0, 313, 4, 152);
INSERT INTO public.who_data VALUES (733, 0, 5039, 0, 62, 4, 144);
INSERT INTO public.who_data VALUES (734, 0, 695, 0, 12, 4, 96);
INSERT INTO public.who_data VALUES (735, 0, 866, 0, 1, 4, 47);
INSERT INTO public.who_data VALUES (736, 412, 237144, 32, 11234, 4, 80);
INSERT INTO public.who_data VALUES (737, 0, 378, 0, 4, 4, 159);
INSERT INTO public.who_data VALUES (738, 274, 126413, 19, 4935, 4, 27);
INSERT INTO public.who_data VALUES (739, 0, 25802, 0, 226, 4, 146);
INSERT INTO public.who_data VALUES (740, 32197, 9866710, 528, 239773, 4, 71);
INSERT INTO public.who_data VALUES (741, 0, 153, 0, 1, 4, 210);
INSERT INTO public.who_data VALUES (742, 0, 184, 0, 3, 4, 54);
INSERT INTO public.who_data VALUES (743, 1349, 232096, 32, 9703, 4, 147);
INSERT INTO public.who_data VALUES (744, 0, 11630, 0, 138, 4, 2);
INSERT INTO public.who_data VALUES (745, 40, 1895, 0, 3, 4, 105);
INSERT INTO public.who_data VALUES (746, 24, 14785, 1, 140, 4, 53);
INSERT INTO public.who_data VALUES (747, 0, 479, 0, 0, 4, 81);
INSERT INTO public.who_data VALUES (748, 0, 31394, 0, 474, 4, 223);
INSERT INTO public.who_data VALUES (749, 1139, 826924, 18, 21311, 4, 94);
INSERT INTO public.who_data VALUES (750, 3, 419, 0, 2, 4, 154);
INSERT INTO public.who_data VALUES (751, 0, 4996, 0, 63, 4, 83);
INSERT INTO public.who_data VALUES (752, 25, 3689, 0, 131, 4, 194);
INSERT INTO public.who_data VALUES (753, 2498, 782039, 20, 19644, 4, 136);
INSERT INTO public.who_data VALUES (754, 15, 101576, 2, 4840, 4, 179);
INSERT INTO public.who_data VALUES (755, 3510, 2198549, 181, 57786, 4, 57);
INSERT INTO public.who_data VALUES (756, 35, 3393, 2, 133, 4, 35);
INSERT INTO public.who_data VALUES (757, 0, 8419, 0, 123, 4, 228);
INSERT INTO public.who_data VALUES (758, 0, 0, 0, 0, 4, 19);
INSERT INTO public.who_data VALUES (759, 182, 200024, 7, 2730, 4, 22);
INSERT INTO public.who_data VALUES (760, 130, 31365, 4, 179, 4, 1);
INSERT INTO public.who_data VALUES (761, 502, 238501, 18, 5375, 4, 21);
INSERT INTO public.who_data VALUES (762, 937, 39941, 5, 274, 4, 234);
INSERT INTO public.who_data VALUES (763, 2, 4652, 0, 22, 4, 91);
INSERT INTO public.who_data VALUES (764, 81, 32707, 3, 225, 4, 137);
INSERT INTO public.who_data VALUES (765, 12668, 1112322, 166, 18596, 4, 201);
INSERT INTO public.who_data VALUES (766, 0, 0, 0, 0, 4, 171);
INSERT INTO public.who_data VALUES (767, 37, 24422, 2, 694, 4, 92);
INSERT INTO public.who_data VALUES (768, 384, 205183, 7, 2308, 4, 112);
INSERT INTO public.who_data VALUES (769, 1, 5981, 0, 63, 4, 62);
INSERT INTO public.who_data VALUES (770, 0, 134, 0, 0, 4, 69);
INSERT INTO public.who_data VALUES (771, 532, 231095, 16, 2975, 4, 220);
INSERT INTO public.who_data VALUES (772, 372, 268073, 37, 15392, 4, 100);
INSERT INTO public.who_data VALUES (773, 633, 175059, 51, 10101, 4, 187);
INSERT INTO public.who_data VALUES (774, 0, 58023, 8, 1758, 4, 63);
INSERT INTO public.who_data VALUES (775, 0, 5694, 0, 87, 4, 28);
INSERT INTO public.who_data VALUES (776, 0, 2566, 0, 7, 4, 172);
INSERT INTO public.who_data VALUES (777, 856, 54300, 2, 510, 4, 17);
INSERT INTO public.who_data VALUES (778, 30, 16606, 0, 634, 4, 226);
INSERT INTO public.who_data VALUES (779, 665, 148490, 14, 2223, 4, 236);
INSERT INTO public.who_data VALUES (780, 0, 49, 0, 0, 4, 76);
INSERT INTO public.who_data VALUES (781, 1, 658, 0, 1, 4, 30);
INSERT INTO public.who_data VALUES (782, 0, 56, 0, 2, 4, 128);
INSERT INTO public.who_data VALUES (783, 385, 51047, 4, 720, 4, 86);
INSERT INTO public.who_data VALUES (784, 19011, 3429726, 582, 82383, 4, 140);
INSERT INTO public.who_data VALUES (785, 0, 16456, 0, 80, 4, 44);
INSERT INTO public.who_data VALUES (786, 6, 18299, 1, 136, 4, 113);
INSERT INTO public.who_data VALUES (787, 0, 12865, 0, 75, 4, 29);
INSERT INTO public.who_data VALUES (788, 55, 4469, 0, 138, 4, 125);
INSERT INTO public.who_data VALUES (789, 486, 266948, 13, 3390, 4, 131);
INSERT INTO public.who_data VALUES (790, 7556, 2350399, 560, 66164, 4, 46);
INSERT INTO public.who_data VALUES (791, 1256, 77748, 19, 561, 4, 10);
INSERT INTO public.who_data VALUES (792, 4, 4223, 0, 87, 4, 205);
INSERT INTO public.who_data VALUES (793, 1081, 173905, 29, 6181, 4, 50);
INSERT INTO public.who_data VALUES (794, 0, 30, 0, 0, 4, 20);
INSERT INTO public.who_data VALUES (795, 0, 148, 0, 1, 4, 13);
INSERT INTO public.who_data VALUES (796, 0, 9455, 0, 160, 4, 148);
INSERT INTO public.who_data VALUES (797, 2, 7493, 0, 130, 4, 230);
INSERT INTO public.who_data VALUES (798, 720, 168103, 8, 6158, 4, 190);
INSERT INTO public.who_data VALUES (799, 7, 804, 0, 13, 4, 188);
INSERT INTO public.who_data VALUES (800, 53, 15020, 0, 85, 4, 123);
INSERT INTO public.who_data VALUES (801, 26, 2950, 0, 46, 4, 9);
INSERT INTO public.who_data VALUES (802, 1, 8232, 0, 186, 4, 102);
INSERT INTO public.who_data VALUES (803, 14, 12206, 0, 247, 4, 34);
INSERT INTO public.who_data VALUES (804, 0, 26, 0, 0, 4, 212);
INSERT INTO public.who_data VALUES (805, 812, 160983, 27, 3893, 4, 122);
INSERT INTO public.who_data VALUES (806, 1548, 391170, 94, 13931, 4, 38);
INSERT INTO public.who_data VALUES (807, 0, 6039, 0, 29, 4, 130);
INSERT INTO public.who_data VALUES (808, 11610, 10937320, 100, 155913, 4, 37);
INSERT INTO public.who_data VALUES (809, 10029, 1233959, 229, 33596, 4, 231);
INSERT INTO public.who_data VALUES (810, 8011, 1534034, 89, 59117, 4, 107);
INSERT INTO public.who_data VALUES (811, 3332, 649982, 7, 13192, 4, 101);
INSERT INTO public.who_data VALUES (812, 711, 211113, 32, 3980, 4, 132);
INSERT INTO public.who_data VALUES (813, 0, 436, 0, 25, 4, 176);
INSERT INTO public.who_data VALUES (814, 5191, 731037, 14, 5417, 4, 200);
INSERT INTO public.who_data VALUES (815, 10368, 2739591, 336, 94171, 4, 169);
INSERT INTO public.who_data VALUES (816, 468, 19773, 0, 378, 4, 225);
INSERT INTO public.who_data VALUES (817, 1250, 419015, 87, 7102, 4, 165);
INSERT INTO public.who_data VALUES (818, 1, 3203, 1, 68, 4, 233);
INSERT INTO public.who_data VALUES (819, 2657, 352219, 18, 4491, 4, 215);
INSERT INTO public.who_data VALUES (820, 930, 253751, 0, 3246, 4, 177);
INSERT INTO public.who_data VALUES (821, 174, 103188, 2, 1797, 4, 183);
INSERT INTO public.who_data VALUES (822, 0, 0, 0, 0, 4, 203);
INSERT INTO public.who_data VALUES (823, 249, 64725, 3, 1538, 4, 162);
INSERT INTO public.who_data VALUES (824, 964, 179488, 5, 1014, 4, 12);
INSERT INTO public.who_data VALUES (825, 55, 85619, 2, 1446, 4, 24);
INSERT INTO public.who_data VALUES (826, 0, 45, 0, 0, 4, 119);
INSERT INTO public.who_data VALUES (827, 713, 77697, 18, 1486, 4, 39);
INSERT INTO public.who_data VALUES (828, 2723, 343584, 55, 4092, 4, 26);
INSERT INTO public.who_data VALUES (829, 96, 10350, 11, 254, 4, 59);
INSERT INTO public.who_data VALUES (830, 0, 1985, 0, 84, 4, 77);
INSERT INTO public.who_data VALUES (831, 331, 128036, 9, 2051, 4, 134);
INSERT INTO public.who_data VALUES (832, 1, 2616, 0, 52, 4, 4);
INSERT INTO public.who_data VALUES (833, 557, 191821, 18, 3113, 4, 109);
INSERT INTO public.who_data VALUES (834, 139, 53062, 1, 612, 4, 90);
INSERT INTO public.who_data VALUES (835, 0, 19598, 0, 292, 4, 61);
INSERT INTO public.who_data VALUES (836, 240, 29421, 10, 968, 4, 85);
INSERT INTO public.who_data VALUES (837, 2710, 269165, 8, 983, 4, 49);
INSERT INTO public.who_data VALUES (838, 129, 18082, 0, 58, 4, 208);
INSERT INTO public.who_data VALUES (839, 6, 8241, 0, 342, 4, 166);
INSERT INTO public.who_data VALUES (840, 102, 20047, 2, 297, 4, 64);
INSERT INTO public.who_data VALUES (841, 0, 4, 0, 0, 4, 199);
INSERT INTO public.who_data VALUES (842, 0, 6593, 0, 45, 4, 114);
INSERT INTO public.who_data VALUES (843, 20, 17016, 1, 431, 4, 60);
INSERT INTO public.who_data VALUES (844, 2, 603, 0, 10, 4, 68);
INSERT INTO public.who_data VALUES (845, 367, 14037, 4, 85, 4, 158);
INSERT INTO public.who_data VALUES (846, 3098, 1995892, 450, 174657, 4, 52);
INSERT INTO public.who_data VALUES (847, 0, 0, 0, 0, 4, 117);
INSERT INTO public.who_data VALUES (848, 13, 1787, 0, 21, 4, 126);
INSERT INTO public.who_data VALUES (849, 33, 2416, 0, 2, 4, 196);
INSERT INTO public.who_data VALUES (850, 484, 70661, 6, 916, 4, 142);
INSERT INTO public.who_data VALUES (851, 0, 20, 0, 1, 4, 185);
INSERT INTO public.who_data VALUES (852, 476, 479071, 13, 8504, 4, 138);
INSERT INTO public.who_data VALUES (853, 1109, 51800, 4, 551, 4, 181);
INSERT INTO public.who_data VALUES (854, 22, 141659, 2, 3192, 4, 178);
INSERT INTO public.who_data VALUES (855, 124, 36366, 3, 392, 4, 168);
INSERT INTO public.who_data VALUES (856, 0, 0, 0, 0, 4, 160);
INSERT INTO public.who_data VALUES (857, 105, 272945, 0, 2055, 4, 151);
INSERT INTO public.who_data VALUES (858, 2704, 1034653, 88, 14925, 4, 193);
INSERT INTO public.who_data VALUES (859, 0, 52, 0, 0, 4, 18);
INSERT INTO public.who_data VALUES (860, 3, 1984, 0, 26, 4, 40);
INSERT INTO public.who_data VALUES (861, 42, 5106, 1, 172, 4, 218);
INSERT INTO public.who_data VALUES (862, 4, 4706, 0, 169, 4, 191);
INSERT INTO public.who_data VALUES (863, 1368, 148296, 25, 1777, 4, 156);
INSERT INTO public.who_data VALUES (864, 0, 0, 0, 0, 4, 135);
INSERT INTO public.who_data VALUES (865, 1, 135, 0, 2, 4, 88);
INSERT INTO public.who_data VALUES (866, 355, 97456, 5, 3003, 4, 55);
INSERT INTO public.who_data VALUES (867, 348, 66849, 0, 593, 4, 108);
INSERT INTO public.who_data VALUES (868, 1043, 191359, 6, 2139, 4, 48);
INSERT INTO public.who_data VALUES (869, 337, 137929, 1, 1544, 4, 3);
INSERT INTO public.who_data VALUES (870, 0, 745, 0, 13, 4, 224);
INSERT INTO public.who_data VALUES (871, 747, 564824, 47, 12380, 4, 110);
INSERT INTO public.who_data VALUES (872, 0, 0, 0, 0, 4, 106);
INSERT INTO public.who_data VALUES (873, 500, 332679, 6, 5642, 4, 89);
INSERT INTO public.who_data VALUES (874, 0, 955, 0, 10, 4, 121);
INSERT INTO public.who_data VALUES (875, 1053, 145095, 17, 2953, 4, 163);
INSERT INTO public.who_data VALUES (876, 3203, 1238501, 177, 43880, 4, 70);
INSERT INTO public.who_data VALUES (877, 1386, 552246, 7, 11524, 4, 174);
INSERT INTO public.who_data VALUES (878, 0, 0, 0, 0, 4, 175);
INSERT INTO public.who_data VALUES (879, 8699, 1605372, 280, 41308, 4, 118);
INSERT INTO public.who_data VALUES (880, 1502, 788561, 111, 15522, 4, 189);
INSERT INTO public.who_data VALUES (881, 480, 98317, 4, 1924, 4, 124);
INSERT INTO public.who_data VALUES (882, 446, 158138, 1, 256, 4, 192);
INSERT INTO public.who_data VALUES (883, 621, 84946, 4, 1538, 4, 41);
INSERT INTO public.who_data VALUES (884, 965, 171514, 17, 3678, 4, 95);
INSERT INTO public.who_data VALUES (885, 0, 10907, 0, 47, 4, 74);
INSERT INTO public.who_data VALUES (886, 2676, 765970, 81, 19526, 4, 11);
INSERT INTO public.who_data VALUES (887, 12828, 4112151, 467, 81446, 4, 87);
INSERT INTO public.who_data VALUES (888, 110, 17594, 1, 240, 4, 214);
INSERT INTO public.who_data VALUES (889, 0, 6, 0, 0, 4, 116);
INSERT INTO public.who_data VALUES (890, 0, 475, 0, 0, 4, 157);
INSERT INTO public.who_data VALUES (891, 0, 0, 0, 0, 4, 182);
INSERT INTO public.who_data VALUES (892, 0, 41, 0, 0, 4, 186);
INSERT INTO public.who_data VALUES (893, 30, 2549, 0, 23, 4, 127);
INSERT INTO public.who_data VALUES (894, 0, 1456, 0, 12, 4, 232);
INSERT INTO public.who_data VALUES (895, 0, 24, 0, 0, 4, 33);
INSERT INTO public.who_data VALUES (896, 4, 1457, 0, 6, 4, 97);
INSERT INTO public.who_data VALUES (897, 0, 4, 0, 0, 4, 42);
INSERT INTO public.who_data VALUES (898, 35, 3352, 0, 72, 4, 198);
INSERT INTO public.who_data VALUES (899, 38, 1520, 0, 19, 4, 216);
INSERT INTO public.who_data VALUES (900, 322, 373368, 3, 6441, 4, 164);
INSERT INTO public.who_data VALUES (901, 201, 31476, 6, 760, 4, 235);
INSERT INTO public.who_data VALUES (902, 1810, 424020, 16, 4261, 4, 67);
INSERT INTO public.who_data VALUES (903, 0, 1987, 0, 9, 4, 15);
INSERT INTO public.who_data VALUES (904, 2, 3825, 0, 79, 4, 180);
INSERT INTO public.who_data VALUES (905, 1, 59810, 0, 29, 4, 237);
INSERT INTO public.who_data VALUES (906, 0, 20, 0, 0, 4, 25);
INSERT INTO public.who_data VALUES (907, 3, 2001, 0, 27, 4, 209);
INSERT INTO public.who_data VALUES (908, 3168, 282864, 105, 6168, 4, 217);
INSERT INTO public.who_data VALUES (909, 742, 180514, 4, 4029, 4, 79);
INSERT INTO public.who_data VALUES (910, 0, 18, 0, 0, 4, 143);
INSERT INTO public.who_data VALUES (911, 100, 5373, 9, 163, 4, 229);
INSERT INTO public.who_data VALUES (912, 1210, 1494119, 219, 48313, 4, 141);
INSERT INTO public.who_data VALUES (913, 297, 5710, 3, 77, 4, 197);
INSERT INTO public.who_data VALUES (914, 8215, 3108920, 159, 66520, 4, 221);
INSERT INTO public.who_data VALUES (915, 756, 77184, 6, 409, 4, 150);
INSERT INTO public.who_data VALUES (916, 26, 30078, 5, 1863, 4, 56);
INSERT INTO public.who_data VALUES (917, 8, 8811, 1, 167, 4, 167);
INSERT INTO public.who_data VALUES (918, 1905, 617843, 6, 12638, 4, 23);
INSERT INTO public.who_data VALUES (919, 1134, 543266, 6, 9136, 4, 222);
INSERT INTO public.who_data VALUES (920, 45, 14951, 3, 984, 4, 219);
INSERT INTO public.who_data VALUES (921, 0, 13714, 0, 91, 4, 7);
INSERT INTO public.who_data VALUES (922, 175, 24961, 0, 82, 4, 161);
INSERT INTO public.who_data VALUES (923, 10625, 4058472, 799, 118195, 4, 149);
INSERT INTO public.who_data VALUES (924, 0, 102, 0, 0, 4, 6);
INSERT INTO public.who_data VALUES (925, 0, 5882, 0, 81, 4, 139);
INSERT INTO public.who_data VALUES (926, 0, 0, 0, 0, 4, 211);
INSERT INTO public.who_data VALUES (927, 0, 0, 0, 0, 4, 14);
INSERT INTO public.who_data VALUES (928, 4, 7646, 0, 138, 4, 111);
INSERT INTO public.who_data VALUES (929, 780, 224329, 42, 7617, 4, 207);
INSERT INTO public.who_data VALUES (930, 7906, 2602034, 90, 27652, 4, 66);
INSERT INTO public.who_data VALUES (931, 0, 0, 0, 0, 4, 173);
INSERT INTO public.who_data VALUES (932, 1, 1874, 0, 13, 4, 145);
INSERT INTO public.who_data VALUES (933, 0, 0, 0, 0, 4, 65);
INSERT INTO public.who_data VALUES (934, 26, 40081, 3, 331, 4, 184);
INSERT INTO public.who_data VALUES (935, 4286, 1280904, 147, 24689, 4, 98);
INSERT INTO public.who_data VALUES (936, 3236, 355131, 14, 1041, 4, 104);
INSERT INTO public.who_data VALUES (937, 0, 509, 0, 21, 4, 73);
INSERT INTO public.who_data VALUES (938, 95902, 27433718, 1213, 482989, 4, 8);
INSERT INTO public.who_data VALUES (939, 0, 2542, 0, 25, 4, 227);
INSERT INTO public.who_data VALUES (940, 451, 49360, 6, 541, 4, 75);
INSERT INTO public.who_data VALUES (941, 36, 79497, 0, 622, 4, 45);
INSERT INTO public.who_data VALUES (942, 0, 1, 0, 0, 4, 133);
INSERT INTO public.who_data VALUES (943, 359, 133577, 6, 1285, 4, 202);
INSERT INTO public.who_data VALUES (944, 40, 2311, 0, 35, 4, 129);
INSERT INTO public.who_data VALUES (945, 0, 9, 0, 0, 4, 36);
INSERT INTO public.who_data VALUES (946, 3, 2152, 1, 619, 4, 51);
INSERT INTO public.who_data VALUES (947, 575, 70823, 15, 974, 4, 206);
INSERT INTO public.who_data VALUES (948, 93, 35315, 4, 1414, 4, 5);
INSERT INTO public.who_data VALUES (949, 4, 55518, 1, 2428, 5, 103);
INSERT INTO public.who_data VALUES (950, 775, 93850, 12, 1567, 5, 58);
INSERT INTO public.who_data VALUES (951, 183, 110894, 4, 2943, 5, 195);
INSERT INTO public.who_data VALUES (952, 0, 0, 0, 0, 5, 115);
INSERT INTO public.who_data VALUES (953, 35, 10538, 0, 107, 5, 99);
INSERT INTO public.who_data VALUES (954, 15, 20381, 1, 493, 5, 153);
INSERT INTO public.who_data VALUES (955, 0, 18, 0, 0, 5, 93);
INSERT INTO public.who_data VALUES (956, 0, 427, 0, 9, 5, 84);
INSERT INTO public.who_data VALUES (957, 0, 2025798, 0, 50236, 5, 78);
INSERT INTO public.who_data VALUES (958, 136, 169391, 3, 3150, 5, 170);
INSERT INTO public.who_data VALUES (959, 75, 7413, 0, 68, 5, 32);
INSERT INTO public.who_data VALUES (960, 2, 28900, 0, 909, 5, 155);
INSERT INTO public.who_data VALUES (961, 1193, 431087, 27, 8128, 5, 82);
INSERT INTO public.who_data VALUES (962, 74, 232197, 3, 3183, 5, 16);
INSERT INTO public.who_data VALUES (963, 0, 8376, 0, 179, 5, 72);
INSERT INTO public.who_data VALUES (964, 848, 113590, 3, 406, 5, 43);
INSERT INTO public.who_data VALUES (965, 0, 541038, 0, 8285, 5, 120);
INSERT INTO public.who_data VALUES (966, 207, 2268, 1, 24, 5, 213);
INSERT INTO public.who_data VALUES (967, 1100, 269787, 9, 1858, 5, 31);
INSERT INTO public.who_data VALUES (968, 2783, 743605, 36, 21759, 5, 204);
INSERT INTO public.who_data VALUES (969, 0, 12145, 0, 313, 5, 152);
INSERT INTO public.who_data VALUES (970, 479, 5039, 6, 62, 5, 144);
INSERT INTO public.who_data VALUES (971, 1, 695, 0, 12, 5, 96);
INSERT INTO public.who_data VALUES (972, 2, 866, 0, 1, 5, 47);
INSERT INTO public.who_data VALUES (973, 696, 236732, 47, 11202, 5, 80);
INSERT INTO public.who_data VALUES (974, 6, 378, 0, 4, 5, 159);
INSERT INTO public.who_data VALUES (975, 116, 126139, 20, 4916, 5, 27);
INSERT INTO public.who_data VALUES (976, 876, 25802, 24, 226, 5, 146);
INSERT INTO public.who_data VALUES (977, 24759, 9834513, 713, 239245, 5, 71);
INSERT INTO public.who_data VALUES (978, 2, 153, 0, 1, 5, 210);
INSERT INTO public.who_data VALUES (979, 0, 184, 0, 3, 5, 54);
INSERT INTO public.who_data VALUES (980, 1050, 230747, 47, 9671, 5, 147);
INSERT INTO public.who_data VALUES (981, 42, 11630, 0, 138, 5, 2);
INSERT INTO public.who_data VALUES (982, 6, 1855, 0, 3, 5, 105);
INSERT INTO public.who_data VALUES (983, 20, 14761, 0, 139, 5, 53);
INSERT INTO public.who_data VALUES (984, 0, 479, 0, 0, 5, 81);
INSERT INTO public.who_data VALUES (985, 0, 31394, 0, 474, 5, 223);
INSERT INTO public.who_data VALUES (986, 2432, 825785, 65, 21293, 5, 94);
INSERT INTO public.who_data VALUES (987, 0, 416, 0, 2, 5, 154);
INSERT INTO public.who_data VALUES (988, 0, 4996, 0, 63, 5, 83);
INSERT INTO public.who_data VALUES (989, 19, 3664, 3, 131, 5, 194);
INSERT INTO public.who_data VALUES (990, 3332, 779541, 83, 19624, 5, 136);
INSERT INTO public.who_data VALUES (991, 25, 101561, 0, 4838, 5, 179);
INSERT INTO public.who_data VALUES (992, 4923, 2195039, 180, 57605, 5, 57);
INSERT INTO public.who_data VALUES (993, 24, 3358, 3, 131, 5, 35);
INSERT INTO public.who_data VALUES (994, 0, 8419, 0, 123, 5, 228);
INSERT INTO public.who_data VALUES (995, 0, 0, 0, 0, 5, 19);
INSERT INTO public.who_data VALUES (996, 265, 199842, 0, 2723, 5, 22);
INSERT INTO public.who_data VALUES (997, 95, 31235, 1, 175, 5, 1);
INSERT INTO public.who_data VALUES (998, 274, 237999, 18, 5357, 5, 21);
INSERT INTO public.who_data VALUES (999, 715, 39004, 3, 269, 5, 234);
INSERT INTO public.who_data VALUES (1000, 17, 4650, 0, 22, 5, 91);
INSERT INTO public.who_data VALUES (1001, 113, 32626, 1, 222, 5, 137);
INSERT INTO public.who_data VALUES (1002, 8794, 1099654, 180, 18430, 5, 201);
INSERT INTO public.who_data VALUES (1003, 0, 0, 0, 0, 5, 171);
INSERT INTO public.who_data VALUES (1004, 91, 24385, 0, 692, 5, 92);
INSERT INTO public.who_data VALUES (1005, 437, 204799, 9, 2301, 5, 112);
INSERT INTO public.who_data VALUES (1006, 9, 5980, 0, 63, 5, 62);
INSERT INTO public.who_data VALUES (1007, 13, 134, 0, 0, 5, 69);
INSERT INTO public.who_data VALUES (1008, 795, 230563, 15, 2959, 5, 220);
INSERT INTO public.who_data VALUES (1009, 478, 267701, 34, 15355, 5, 100);
INSERT INTO public.who_data VALUES (1010, 613, 174426, 56, 10050, 5, 187);
INSERT INTO public.who_data VALUES (1011, 595, 58023, 8, 1750, 5, 63);
INSERT INTO public.who_data VALUES (1012, 0, 5694, 0, 87, 5, 28);
INSERT INTO public.who_data VALUES (1013, 137, 2566, 0, 7, 5, 172);
INSERT INTO public.who_data VALUES (1014, 617, 53444, 7, 508, 5, 17);
INSERT INTO public.who_data VALUES (1015, 41, 16576, 4, 634, 5, 226);
INSERT INTO public.who_data VALUES (1016, 1333, 147825, 15, 2209, 5, 236);
INSERT INTO public.who_data VALUES (1017, 0, 49, 0, 0, 5, 76);
INSERT INTO public.who_data VALUES (1018, 0, 657, 0, 1, 5, 30);
INSERT INTO public.who_data VALUES (1019, 0, 56, 0, 2, 5, 128);
INSERT INTO public.who_data VALUES (1020, 343, 50662, 6, 716, 5, 86);
INSERT INTO public.who_data VALUES (1021, 4099, 3410715, 408, 81801, 5, 140);
INSERT INTO public.who_data VALUES (1022, 0, 16456, 0, 80, 5, 44);
INSERT INTO public.who_data VALUES (1023, 30, 18293, 0, 135, 5, 113);
INSERT INTO public.who_data VALUES (1024, 288, 12865, 2, 75, 5, 29);
INSERT INTO public.who_data VALUES (1025, 0, 4414, 0, 138, 5, 125);
INSERT INTO public.who_data VALUES (1026, 740, 266462, 14, 3377, 5, 131);
INSERT INTO public.who_data VALUES (1027, 3856, 2342843, 528, 65604, 5, 46);
INSERT INTO public.who_data VALUES (1028, 656, 76492, 9, 542, 5, 10);
INSERT INTO public.who_data VALUES (1029, 4, 4219, 2, 87, 5, 205);
INSERT INTO public.who_data VALUES (1030, 696, 172824, 26, 6152, 5, 50);
INSERT INTO public.who_data VALUES (1031, 0, 30, 0, 0, 5, 20);
INSERT INTO public.who_data VALUES (1032, 0, 148, 0, 1, 5, 13);
INSERT INTO public.who_data VALUES (1033, 0, 9455, 0, 160, 5, 148);
INSERT INTO public.who_data VALUES (1034, 4, 7491, 0, 130, 5, 230);
INSERT INTO public.who_data VALUES (1035, 104, 167383, 26, 6150, 5, 190);
INSERT INTO public.who_data VALUES (1036, 8, 797, 0, 13, 5, 188);
INSERT INTO public.who_data VALUES (1037, 21, 14967, 1, 85, 5, 123);
INSERT INTO public.who_data VALUES (1038, 0, 2924, 0, 46, 5, 9);
INSERT INTO public.who_data VALUES (1039, 24, 8231, 0, 186, 5, 102);
INSERT INTO public.who_data VALUES (1040, 49, 12192, 0, 247, 5, 34);
INSERT INTO public.who_data VALUES (1041, 0, 26, 0, 0, 5, 212);
INSERT INTO public.who_data VALUES (1042, 383, 160171, 9, 3866, 5, 122);
INSERT INTO public.who_data VALUES (1043, 823, 389622, 85, 13837, 5, 38);
INSERT INTO public.who_data VALUES (1044, 6, 6039, 0, 29, 5, 130);
INSERT INTO public.who_data VALUES (1045, 9121, 10925710, 81, 155813, 5, 37);
INSERT INTO public.who_data VALUES (1046, 0, 1223930, 0, 33367, 5, 231);
INSERT INTO public.who_data VALUES (1047, 7760, 1526023, 83, 59028, 5, 107);
INSERT INTO public.who_data VALUES (1048, 2798, 646650, 6, 13185, 5, 101);
INSERT INTO public.who_data VALUES (1049, 820, 210402, 0, 3948, 5, 132);
INSERT INTO public.who_data VALUES (1050, 0, 436, 0, 25, 5, 176);
INSERT INTO public.who_data VALUES (1051, 3451, 725846, 32, 5403, 5, 200);
INSERT INTO public.who_data VALUES (1052, 7344, 2729223, 258, 93835, 5, 169);
INSERT INTO public.who_data VALUES (1053, 270, 19305, 4, 378, 5, 225);
INSERT INTO public.who_data VALUES (1054, 1983, 417765, 63, 7015, 5, 165);
INSERT INTO public.who_data VALUES (1055, 2, 3202, 0, 67, 5, 233);
INSERT INTO public.who_data VALUES (1056, 2312, 349562, 18, 4473, 5, 215);
INSERT INTO public.who_data VALUES (1057, 862, 252821, 0, 3246, 5, 177);
INSERT INTO public.who_data VALUES (1058, 147, 103014, 0, 1795, 5, 183);
INSERT INTO public.who_data VALUES (1059, 0, 0, 0, 0, 5, 203);
INSERT INTO public.who_data VALUES (1060, 178, 64476, 1, 1535, 5, 162);
INSERT INTO public.who_data VALUES (1061, 823, 178524, 6, 1009, 5, 12);
INSERT INTO public.who_data VALUES (1062, 48, 85564, 2, 1444, 5, 24);
INSERT INTO public.who_data VALUES (1063, 0, 45, 0, 0, 5, 119);
INSERT INTO public.who_data VALUES (1064, 278, 76984, 17, 1468, 5, 39);
INSERT INTO public.who_data VALUES (1065, 1739, 340861, 44, 4037, 5, 26);
INSERT INTO public.who_data VALUES (1066, 289, 10254, 13, 243, 5, 59);
INSERT INTO public.who_data VALUES (1067, 16, 1985, 0, 84, 5, 77);
INSERT INTO public.who_data VALUES (1068, 351, 127705, 24, 2042, 5, 134);
INSERT INTO public.who_data VALUES (1069, 1, 2615, 0, 52, 5, 4);
INSERT INTO public.who_data VALUES (1070, 327, 191264, 15, 3095, 5, 109);
INSERT INTO public.who_data VALUES (1071, 39, 52923, 4, 611, 5, 90);
INSERT INTO public.who_data VALUES (1072, 238, 19598, 7, 292, 5, 61);
INSERT INTO public.who_data VALUES (1073, 146, 29181, 6, 958, 5, 85);
INSERT INTO public.who_data VALUES (1074, 2186, 266455, 10, 975, 5, 49);
INSERT INTO public.who_data VALUES (1075, 125, 17953, 0, 58, 5, 208);
INSERT INTO public.who_data VALUES (1076, 6, 8235, 0, 342, 5, 166);
INSERT INTO public.who_data VALUES (1077, 156, 19945, 2, 295, 5, 64);
INSERT INTO public.who_data VALUES (1078, 0, 4, 0, 0, 5, 199);
INSERT INTO public.who_data VALUES (1079, 0, 6593, 0, 45, 5, 114);
INSERT INTO public.who_data VALUES (1080, 22, 16996, 0, 430, 5, 60);
INSERT INTO public.who_data VALUES (1081, 6, 601, 0, 10, 5, 68);
INSERT INTO public.who_data VALUES (1082, 135, 13670, 3, 81, 5, 158);
INSERT INTO public.who_data VALUES (1083, 4099, 1992794, 436, 174207, 5, 52);
INSERT INTO public.who_data VALUES (1084, 0, 0, 0, 0, 5, 117);
INSERT INTO public.who_data VALUES (1085, 14, 1774, 0, 21, 5, 126);
INSERT INTO public.who_data VALUES (1086, 32, 2383, 0, 2, 5, 196);
INSERT INTO public.who_data VALUES (1087, 473, 70177, 11, 910, 5, 142);
INSERT INTO public.who_data VALUES (1088, 0, 20, 0, 1, 5, 185);
INSERT INTO public.who_data VALUES (1089, 121, 478595, 14, 8491, 5, 138);
INSERT INTO public.who_data VALUES (1090, 426, 50691, 12, 547, 5, 181);
INSERT INTO public.who_data VALUES (1091, 36, 141637, 1, 3190, 5, 178);
INSERT INTO public.who_data VALUES (1092, 272, 36242, 1, 389, 5, 168);
INSERT INTO public.who_data VALUES (1093, 0, 0, 0, 0, 5, 160);
INSERT INTO public.who_data VALUES (1094, 0, 272840, 0, 2055, 5, 151);
INSERT INTO public.who_data VALUES (1095, 2848, 1031949, 27, 14837, 5, 193);
INSERT INTO public.who_data VALUES (1096, 0, 52, 0, 0, 5, 18);
INSERT INTO public.who_data VALUES (1097, 1, 1981, 1, 26, 5, 40);
INSERT INTO public.who_data VALUES (1098, 0, 5064, 0, 171, 5, 218);
INSERT INTO public.who_data VALUES (1099, 7, 4702, 0, 169, 5, 191);
INSERT INTO public.who_data VALUES (1100, 744, 146928, 0, 1752, 5, 156);
INSERT INTO public.who_data VALUES (1101, 0, 0, 0, 0, 5, 135);
INSERT INTO public.who_data VALUES (1102, 0, 134, 0, 2, 5, 88);
INSERT INTO public.who_data VALUES (1103, 49, 97101, 9, 2998, 5, 55);
INSERT INTO public.who_data VALUES (1104, 109, 66501, 1, 593, 5, 108);
INSERT INTO public.who_data VALUES (1105, 1048, 190316, 5, 2133, 5, 48);
INSERT INTO public.who_data VALUES (1106, 286, 137592, 1, 1543, 5, 3);
INSERT INTO public.who_data VALUES (1107, 0, 745, 0, 13, 5, 224);
INSERT INTO public.who_data VALUES (1108, 1048, 564077, 26, 12333, 5, 110);
INSERT INTO public.who_data VALUES (1109, 0, 0, 0, 0, 5, 106);
INSERT INTO public.who_data VALUES (1110, 487, 332179, 15, 5636, 5, 89);
INSERT INTO public.who_data VALUES (1111, 33, 955, 0, 10, 5, 121);
INSERT INTO public.who_data VALUES (1112, 599, 144042, 16, 2936, 5, 163);
INSERT INTO public.who_data VALUES (1113, 8093, 1235298, 212, 43703, 5, 70);
INSERT INTO public.who_data VALUES (1114, 1684, 550860, 2, 11517, 5, 174);
INSERT INTO public.who_data VALUES (1115, 0, 0, 0, 0, 5, 175);
INSERT INTO public.who_data VALUES (1116, 5176, 1596673, 196, 41028, 5, 118);
INSERT INTO public.who_data VALUES (1117, 1303, 787059, 90, 15411, 5, 189);
INSERT INTO public.who_data VALUES (1118, 228, 97837, 1, 1920, 5, 124);
INSERT INTO public.who_data VALUES (1119, 448, 157692, 0, 255, 5, 192);
INSERT INTO public.who_data VALUES (1120, 457, 84325, 7, 1534, 5, 41);
INSERT INTO public.who_data VALUES (1121, 363, 170549, 10, 3661, 5, 95);
INSERT INTO public.who_data VALUES (1122, 0, 10907, 0, 47, 5, 74);
INSERT INTO public.who_data VALUES (1123, 1331, 763294, 79, 19445, 5, 11);
INSERT INTO public.who_data VALUES (1124, 13233, 4099323, 459, 80979, 5, 87);
INSERT INTO public.who_data VALUES (1125, 141, 17484, 0, 239, 5, 214);
INSERT INTO public.who_data VALUES (1126, 0, 6, 0, 0, 5, 116);
INSERT INTO public.who_data VALUES (1127, 0, 475, 0, 0, 5, 157);
INSERT INTO public.who_data VALUES (1128, 0, 0, 0, 0, 5, 182);
INSERT INTO public.who_data VALUES (1129, 0, 41, 0, 0, 5, 186);
INSERT INTO public.who_data VALUES (1130, 32, 2519, 0, 23, 5, 127);
INSERT INTO public.who_data VALUES (1131, 0, 1456, 0, 12, 5, 232);
INSERT INTO public.who_data VALUES (1132, 0, 24, 0, 0, 5, 33);
INSERT INTO public.who_data VALUES (1133, 35, 1453, 0, 6, 5, 97);
INSERT INTO public.who_data VALUES (1134, 0, 4, 0, 0, 5, 42);
INSERT INTO public.who_data VALUES (1135, 3, 3317, 0, 72, 5, 198);
INSERT INTO public.who_data VALUES (1136, 0, 1482, 0, 19, 5, 216);
INSERT INTO public.who_data VALUES (1137, 314, 373046, 6, 6438, 5, 164);
INSERT INTO public.who_data VALUES (1138, 268, 31275, 6, 754, 5, 235);
INSERT INTO public.who_data VALUES (1139, 1331, 422210, 15, 4245, 5, 67);
INSERT INTO public.who_data VALUES (1140, 95, 1987, 1, 9, 5, 15);
INSERT INTO public.who_data VALUES (1141, 2, 3823, 0, 79, 5, 180);
INSERT INTO public.who_data VALUES (1142, 9, 59809, 0, 29, 5, 237);
INSERT INTO public.who_data VALUES (1143, 0, 20, 0, 0, 5, 25);
INSERT INTO public.who_data VALUES (1144, 13, 1998, 0, 27, 5, 209);
INSERT INTO public.who_data VALUES (1145, 1442, 279696, 111, 6063, 5, 217);
INSERT INTO public.who_data VALUES (1146, 244, 179772, 5, 4025, 5, 79);
INSERT INTO public.who_data VALUES (1147, 0, 18, 0, 0, 5, 143);
INSERT INTO public.who_data VALUES (1148, 90, 5273, 2, 154, 5, 229);
INSERT INTO public.who_data VALUES (1149, 1102, 1492909, 195, 48094, 5, 141);
INSERT INTO public.who_data VALUES (1150, 0, 5413, 0, 74, 5, 197);
INSERT INTO public.who_data VALUES (1151, 3330, 3100705, 173, 66361, 5, 221);
INSERT INTO public.who_data VALUES (1152, 774, 76428, 6, 403, 5, 150);
INSERT INTO public.who_data VALUES (1153, 46, 30052, 5, 1858, 5, 56);
INSERT INTO public.who_data VALUES (1154, 9, 8803, 0, 166, 5, 167);
INSERT INTO public.who_data VALUES (1155, 1213, 615938, 8, 12632, 5, 23);
INSERT INTO public.who_data VALUES (1156, 1306, 542132, 14, 9130, 5, 222);
INSERT INTO public.who_data VALUES (1157, 43, 14906, 3, 981, 5, 219);
INSERT INTO public.who_data VALUES (1158, 0, 13714, 0, 91, 5, 7);
INSERT INTO public.who_data VALUES (1159, 72, 24786, 0, 82, 5, 161);
INSERT INTO public.who_data VALUES (1160, 9765, 4047847, 230, 117396, 5, 149);
INSERT INTO public.who_data VALUES (1161, 0, 102, 0, 0, 5, 6);
INSERT INTO public.who_data VALUES (1162, 8, 5882, 0, 81, 5, 139);
INSERT INTO public.who_data VALUES (1163, 0, 0, 0, 0, 5, 211);
INSERT INTO public.who_data VALUES (1164, 0, 0, 0, 0, 5, 14);
INSERT INTO public.who_data VALUES (1165, 0, 7642, 0, 138, 5, 111);
INSERT INTO public.who_data VALUES (1166, 305, 223549, 31, 7575, 5, 207);
INSERT INTO public.who_data VALUES (1167, 7945, 2594128, 91, 27562, 5, 66);
INSERT INTO public.who_data VALUES (1168, 0, 0, 0, 0, 5, 173);
INSERT INTO public.who_data VALUES (1169, 4, 1873, 1, 13, 5, 145);
INSERT INTO public.who_data VALUES (1170, 0, 0, 0, 0, 5, 65);
INSERT INTO public.who_data VALUES (1171, 36, 40055, 0, 328, 5, 184);
INSERT INTO public.who_data VALUES (1172, 3143, 1276618, 150, 24542, 5, 98);
INSERT INTO public.who_data VALUES (1173, 3123, 351895, 13, 1027, 5, 104);
INSERT INTO public.who_data VALUES (1174, 0, 509, 0, 21, 5, 73);
INSERT INTO public.who_data VALUES (1175, 28313, 27337816, 1312, 481776, 5, 8);
INSERT INTO public.who_data VALUES (1176, 18, 2542, 0, 25, 5, 227);
INSERT INTO public.who_data VALUES (1177, 450, 48909, 2, 535, 5, 75);
INSERT INTO public.who_data VALUES (1178, 19, 79461, 0, 622, 5, 45);
INSERT INTO public.who_data VALUES (1179, 0, 1, 0, 0, 5, 133);
INSERT INTO public.who_data VALUES (1180, 475, 133218, 6, 1279, 5, 202);
INSERT INTO public.who_data VALUES (1181, 42, 2271, 0, 35, 5, 129);
INSERT INTO public.who_data VALUES (1182, 0, 9, 0, 0, 5, 36);
INSERT INTO public.who_data VALUES (1183, 0, 2149, 0, 618, 5, 51);
INSERT INTO public.who_data VALUES (1184, 811, 70248, 8, 959, 5, 206);
INSERT INTO public.who_data VALUES (1185, 50, 35222, 10, 1410, 5, 5);
INSERT INTO public.who_data VALUES (1186, 22, 55514, 0, 2427, 6, 103);
INSERT INTO public.who_data VALUES (1187, 1088, 93075, 12, 1555, 6, 58);
INSERT INTO public.who_data VALUES (1188, 198, 110711, 4, 2939, 6, 195);
INSERT INTO public.who_data VALUES (1189, 0, 0, 0, 0, 6, 115);
INSERT INTO public.who_data VALUES (1190, 40, 10503, 0, 107, 6, 99);
INSERT INTO public.who_data VALUES (1191, 37, 20366, 1, 492, 6, 153);
INSERT INTO public.who_data VALUES (1192, 0, 18, 0, 0, 6, 93);
INSERT INTO public.who_data VALUES (1193, 0, 427, 0, 9, 6, 84);
INSERT INTO public.who_data VALUES (1194, 4245, 2025798, 48, 50236, 6, 78);
INSERT INTO public.who_data VALUES (1195, 88, 169255, 6, 3147, 6, 170);
INSERT INTO public.who_data VALUES (1196, 0, 7338, 0, 68, 6, 32);
INSERT INTO public.who_data VALUES (1197, 6, 28898, 0, 909, 6, 155);
INSERT INTO public.who_data VALUES (1198, 1202, 429894, 13, 8101, 6, 82);
INSERT INTO public.who_data VALUES (1199, 128, 232123, 2, 3180, 6, 16);
INSERT INTO public.who_data VALUES (1200, 6, 8376, 0, 179, 6, 72);
INSERT INTO public.who_data VALUES (1201, 640, 112742, 5, 403, 6, 43);
INSERT INTO public.who_data VALUES (1202, 772, 541038, 19, 8285, 6, 120);
INSERT INTO public.who_data VALUES (1203, 114, 2061, 0, 23, 6, 213);
INSERT INTO public.who_data VALUES (1204, 1658, 268687, 9, 1849, 6, 31);
INSERT INTO public.who_data VALUES (1205, 610, 740822, 51, 21723, 6, 204);
INSERT INTO public.who_data VALUES (1206, 11, 12145, 0, 313, 6, 152);
INSERT INTO public.who_data VALUES (1207, 0, 4560, 0, 56, 6, 144);
INSERT INTO public.who_data VALUES (1208, 0, 694, 0, 12, 6, 96);
INSERT INTO public.who_data VALUES (1209, 1, 864, 0, 1, 6, 47);
INSERT INTO public.who_data VALUES (1210, 938, 236036, 48, 11155, 6, 80);
INSERT INTO public.who_data VALUES (1211, 0, 372, 0, 4, 6, 159);
INSERT INTO public.who_data VALUES (1212, 381, 126023, 4, 4896, 6, 27);
INSERT INTO public.who_data VALUES (1213, 0, 24926, 0, 202, 6, 146);
INSERT INTO public.who_data VALUES (1214, 44299, 9809754, 1043, 238532, 6, 71);
INSERT INTO public.who_data VALUES (1215, 0, 151, 0, 1, 6, 210);
INSERT INTO public.who_data VALUES (1216, 0, 184, 0, 3, 6, 54);
INSERT INTO public.who_data VALUES (1217, 181, 229697, 16, 9624, 6, 147);
INSERT INTO public.who_data VALUES (1218, 0, 11588, 0, 138, 6, 2);
INSERT INTO public.who_data VALUES (1219, 25, 1849, 0, 3, 6, 105);
INSERT INTO public.who_data VALUES (1220, 41, 14741, 0, 139, 6, 53);
INSERT INTO public.who_data VALUES (1221, 0, 479, 0, 0, 6, 81);
INSERT INTO public.who_data VALUES (1222, 0, 31394, 0, 474, 6, 223);
INSERT INTO public.who_data VALUES (1223, 3047, 823353, 66, 21228, 6, 94);
INSERT INTO public.who_data VALUES (1224, 0, 416, 0, 2, 6, 154);
INSERT INTO public.who_data VALUES (1225, 0, 4996, 0, 63, 6, 83);
INSERT INTO public.who_data VALUES (1226, 23, 3645, 1, 128, 6, 194);
INSERT INTO public.who_data VALUES (1227, 3814, 776209, 98, 19541, 6, 136);
INSERT INTO public.who_data VALUES (1228, 21, 101536, 0, 4838, 6, 179);
INSERT INTO public.who_data VALUES (1229, 4947, 2190116, 229, 57425, 6, 57);
INSERT INTO public.who_data VALUES (1230, 2, 3334, 0, 128, 6, 35);
INSERT INTO public.who_data VALUES (1231, 0, 8419, 0, 123, 6, 228);
INSERT INTO public.who_data VALUES (1232, 0, 0, 0, 0, 6, 19);
INSERT INTO public.who_data VALUES (1233, 390, 199577, 9, 2723, 6, 22);
INSERT INTO public.who_data VALUES (1234, 256, 31140, 1, 174, 6, 1);
INSERT INTO public.who_data VALUES (1235, 68, 237725, 21, 5339, 6, 21);
INSERT INTO public.who_data VALUES (1236, 806, 38289, 5, 266, 6, 234);
INSERT INTO public.who_data VALUES (1237, 0, 4633, 0, 22, 6, 91);
INSERT INTO public.who_data VALUES (1238, 123, 32513, 1, 221, 6, 137);
INSERT INTO public.who_data VALUES (1239, 2851, 1090860, 107, 18250, 6, 201);
INSERT INTO public.who_data VALUES (1240, 0, 0, 0, 0, 6, 171);
INSERT INTO public.who_data VALUES (1241, 55, 24294, 0, 692, 6, 92);
INSERT INTO public.who_data VALUES (1242, 295, 204362, 8, 2292, 6, 112);
INSERT INTO public.who_data VALUES (1243, 3, 5971, 0, 63, 6, 62);
INSERT INTO public.who_data VALUES (1244, 0, 121, 0, 0, 6, 69);
INSERT INTO public.who_data VALUES (1245, 873, 229768, 12, 2944, 6, 220);
INSERT INTO public.who_data VALUES (1246, 1696, 267223, 52, 15321, 6, 100);
INSERT INTO public.who_data VALUES (1247, 611, 173813, 59, 9994, 6, 187);
INSERT INTO public.who_data VALUES (1248, 0, 57428, 8, 1742, 6, 63);
INSERT INTO public.who_data VALUES (1249, 0, 5694, 0, 87, 6, 28);
INSERT INTO public.who_data VALUES (1250, 0, 2429, 0, 7, 6, 172);
INSERT INTO public.who_data VALUES (1251, 411, 52827, 6, 501, 6, 17);
INSERT INTO public.who_data VALUES (1252, 47, 16535, 0, 630, 6, 226);
INSERT INTO public.who_data VALUES (1253, 788, 146492, 13, 2194, 6, 236);
INSERT INTO public.who_data VALUES (1254, 0, 49, 0, 0, 6, 76);
INSERT INTO public.who_data VALUES (1255, 0, 657, 0, 1, 6, 30);
INSERT INTO public.who_data VALUES (1256, 0, 56, 0, 2, 6, 128);
INSERT INTO public.who_data VALUES (1257, 312, 50319, 0, 710, 6, 86);
INSERT INTO public.who_data VALUES (1258, 16546, 3406616, 167, 81393, 6, 140);
INSERT INTO public.who_data VALUES (1259, 0, 16456, 0, 80, 6, 44);
INSERT INTO public.who_data VALUES (1260, 0, 18263, 0, 135, 6, 113);
INSERT INTO public.who_data VALUES (1261, 0, 12577, 0, 73, 6, 29);
INSERT INTO public.who_data VALUES (1262, 112, 4414, 3, 138, 6, 125);
INSERT INTO public.who_data VALUES (1263, 165, 265722, 11, 3363, 6, 131);
INSERT INTO public.who_data VALUES (1264, 4426, 2338987, 116, 65076, 6, 46);
INSERT INTO public.who_data VALUES (1265, 718, 75836, 15, 533, 6, 10);
INSERT INTO public.who_data VALUES (1266, 3, 4215, 1, 85, 6, 205);
INSERT INTO public.who_data VALUES (1267, 662, 172128, 23, 6126, 6, 50);
INSERT INTO public.who_data VALUES (1268, 0, 30, 0, 0, 6, 20);
INSERT INTO public.who_data VALUES (1269, 0, 148, 0, 1, 6, 13);
INSERT INTO public.who_data VALUES (1270, 0, 9455, 0, 160, 6, 148);
INSERT INTO public.who_data VALUES (1271, 3, 7487, 0, 130, 6, 230);
INSERT INTO public.who_data VALUES (1272, 208, 167279, 30, 6124, 6, 190);
INSERT INTO public.who_data VALUES (1273, 7, 789, 0, 13, 6, 188);
INSERT INTO public.who_data VALUES (1274, 51, 14946, 0, 84, 6, 123);
INSERT INTO public.who_data VALUES (1275, 39, 2924, 0, 46, 6, 9);
INSERT INTO public.who_data VALUES (1276, 26, 8207, 0, 186, 6, 102);
INSERT INTO public.who_data VALUES (1277, 0, 12143, 0, 247, 6, 34);
INSERT INTO public.who_data VALUES (1278, 0, 26, 0, 0, 6, 212);
INSERT INTO public.who_data VALUES (1279, 764, 159788, 9, 3857, 6, 122);
INSERT INTO public.who_data VALUES (1280, 1337, 388799, 46, 13752, 6, 38);
INSERT INTO public.who_data VALUES (1281, 0, 6033, 0, 29, 6, 130);
INSERT INTO public.who_data VALUES (1282, 11649, 10916589, 90, 155732, 6, 37);
INSERT INTO public.who_data VALUES (1283, 13227, 1223930, 431, 33367, 6, 231);
INSERT INTO public.who_data VALUES (1284, 7390, 1518263, 62, 58945, 6, 107);
INSERT INTO public.who_data VALUES (1285, 2224, 643852, 15, 13179, 6, 101);
INSERT INTO public.who_data VALUES (1286, 786, 209582, 17, 3948, 6, 132);
INSERT INTO public.who_data VALUES (1287, 0, 436, 0, 25, 6, 176);
INSERT INTO public.who_data VALUES (1288, 2002, 722395, 36, 5371, 6, 200);
INSERT INTO public.who_data VALUES (1289, 11060, 2721879, 221, 93577, 6, 169);
INSERT INTO public.who_data VALUES (1290, 205, 19035, 2, 374, 6, 225);
INSERT INTO public.who_data VALUES (1291, 1310, 415782, 40, 6952, 6, 165);
INSERT INTO public.who_data VALUES (1292, 2, 3200, 0, 67, 6, 233);
INSERT INTO public.who_data VALUES (1293, 2447, 347250, 11, 4455, 6, 215);
INSERT INTO public.who_data VALUES (1294, 692, 251959, 0, 3246, 6, 177);
INSERT INTO public.who_data VALUES (1295, 75, 102867, 0, 1795, 6, 183);
INSERT INTO public.who_data VALUES (1296, 0, 0, 0, 0, 6, 203);
INSERT INTO public.who_data VALUES (1297, 246, 64298, 0, 1534, 6, 162);
INSERT INTO public.who_data VALUES (1298, 798, 177701, 5, 1003, 6, 12);
INSERT INTO public.who_data VALUES (1299, 41, 85516, 1, 1442, 6, 24);
INSERT INTO public.who_data VALUES (1300, 0, 45, 0, 0, 6, 119);
INSERT INTO public.who_data VALUES (1301, 424, 76706, 8, 1451, 6, 39);
INSERT INTO public.who_data VALUES (1302, 2130, 339122, 32, 3993, 6, 26);
INSERT INTO public.who_data VALUES (1303, 113, 9965, 5, 230, 6, 59);
INSERT INTO public.who_data VALUES (1304, 0, 1969, 0, 84, 6, 77);
INSERT INTO public.who_data VALUES (1305, 473, 127354, 4, 2018, 6, 134);
INSERT INTO public.who_data VALUES (1306, 1, 2614, 0, 52, 6, 4);
INSERT INTO public.who_data VALUES (1307, 213, 190937, 10, 3080, 6, 109);
INSERT INTO public.who_data VALUES (1308, 185, 52884, 1, 607, 6, 90);
INSERT INTO public.who_data VALUES (1309, 0, 19360, 0, 285, 6, 61);
INSERT INTO public.who_data VALUES (1310, 159, 29035, 15, 952, 6, 85);
INSERT INTO public.who_data VALUES (1311, 2464, 264269, 7, 965, 6, 49);
INSERT INTO public.who_data VALUES (1312, 112, 17828, 2, 58, 6, 208);
INSERT INTO public.who_data VALUES (1313, 3, 8229, 0, 342, 6, 166);
INSERT INTO public.who_data VALUES (1314, 138, 19789, 3, 293, 6, 64);
INSERT INTO public.who_data VALUES (1315, 0, 4, 0, 0, 6, 199);
INSERT INTO public.who_data VALUES (1316, 0, 6593, 0, 45, 6, 114);
INSERT INTO public.who_data VALUES (1317, 197, 16974, 5, 430, 6, 60);
INSERT INTO public.who_data VALUES (1318, 0, 595, 0, 10, 6, 68);
INSERT INTO public.who_data VALUES (1319, 0, 13535, 0, 78, 6, 158);
INSERT INTO public.who_data VALUES (1320, 9741, 1988695, 1214, 173771, 6, 52);
INSERT INTO public.who_data VALUES (1321, 0, 0, 0, 0, 6, 117);
INSERT INTO public.who_data VALUES (1322, 5, 1760, 0, 21, 6, 126);
INSERT INTO public.who_data VALUES (1323, 58, 2351, 0, 2, 6, 196);
INSERT INTO public.who_data VALUES (1324, 409, 69704, 9, 899, 6, 142);
INSERT INTO public.who_data VALUES (1325, 1, 20, 0, 1, 6, 185);
INSERT INTO public.who_data VALUES (1326, 339, 478474, 17, 8477, 6, 138);
INSERT INTO public.who_data VALUES (1327, 1677, 50265, 21, 535, 6, 181);
INSERT INTO public.who_data VALUES (1328, 16, 141601, 1, 3189, 6, 178);
INSERT INTO public.who_data VALUES (1329, 173, 35970, 2, 388, 6, 168);
INSERT INTO public.who_data VALUES (1330, 0, 0, 0, 0, 6, 160);
INSERT INTO public.who_data VALUES (1331, 226, 272840, 1, 2055, 6, 151);
INSERT INTO public.who_data VALUES (1332, 3442, 1029101, 23, 14810, 6, 193);
INSERT INTO public.who_data VALUES (1333, 0, 52, 0, 0, 6, 18);
INSERT INTO public.who_data VALUES (1334, 6, 1980, 0, 25, 6, 40);
INSERT INTO public.who_data VALUES (1335, 0, 5064, 0, 171, 6, 218);
INSERT INTO public.who_data VALUES (1336, 5, 4695, 0, 169, 6, 191);
INSERT INTO public.who_data VALUES (1337, 520, 146184, 5, 1752, 6, 156);
INSERT INTO public.who_data VALUES (1338, 0, 0, 0, 0, 6, 135);
INSERT INTO public.who_data VALUES (1339, 0, 134, 0, 2, 6, 88);
INSERT INTO public.who_data VALUES (1340, 180, 97052, 13, 2989, 6, 55);
INSERT INTO public.who_data VALUES (1341, 156, 66392, 0, 592, 6, 108);
INSERT INTO public.who_data VALUES (1342, 804, 189268, 3, 2128, 6, 48);
INSERT INTO public.who_data VALUES (1343, 684, 137306, 3, 1542, 6, 3);
INSERT INTO public.who_data VALUES (1344, 0, 745, 0, 13, 6, 224);
INSERT INTO public.who_data VALUES (1345, 1404, 563029, 31, 12307, 6, 110);
INSERT INTO public.who_data VALUES (1346, 0, 0, 0, 0, 6, 106);
INSERT INTO public.who_data VALUES (1347, 707, 331692, 26, 5621, 6, 89);
INSERT INTO public.who_data VALUES (1348, 0, 922, 0, 10, 6, 121);
INSERT INTO public.who_data VALUES (1349, 845, 143443, 16, 2920, 6, 163);
INSERT INTO public.who_data VALUES (1350, 6457, 1227205, 236, 43491, 6, 70);
INSERT INTO public.who_data VALUES (1351, 1921, 549176, 8, 11515, 6, 174);
INSERT INTO public.who_data VALUES (1352, 0, 0, 0, 0, 6, 175);
INSERT INTO public.who_data VALUES (1353, 2542, 1591497, 25, 40832, 6, 118);
INSERT INTO public.who_data VALUES (1354, 1677, 785756, 138, 15321, 6, 189);
INSERT INTO public.who_data VALUES (1355, 296, 97609, 4, 1919, 6, 124);
INSERT INTO public.who_data VALUES (1356, 440, 157244, 0, 255, 6, 192);
INSERT INTO public.who_data VALUES (1357, 343, 83868, 5, 1527, 6, 41);
INSERT INTO public.who_data VALUES (1358, 381, 170186, 11, 3651, 6, 95);
INSERT INTO public.who_data VALUES (1359, 0, 10907, 0, 47, 6, 74);
INSERT INTO public.who_data VALUES (1360, 1872, 761963, 41, 19366, 6, 11);
INSERT INTO public.who_data VALUES (1361, 14207, 4086090, 394, 80520, 6, 87);
INSERT INTO public.who_data VALUES (1362, 76, 17343, 3, 239, 6, 214);
INSERT INTO public.who_data VALUES (1363, 0, 6, 0, 0, 6, 116);
INSERT INTO public.who_data VALUES (1364, 0, 475, 0, 0, 6, 157);
INSERT INTO public.who_data VALUES (1365, 0, 0, 0, 0, 6, 182);
INSERT INTO public.who_data VALUES (1366, 1, 41, 0, 0, 6, 186);
INSERT INTO public.who_data VALUES (1367, 0, 2487, 0, 23, 6, 127);
INSERT INTO public.who_data VALUES (1368, 0, 1456, 0, 12, 6, 232);
INSERT INTO public.who_data VALUES (1369, 0, 24, 0, 0, 6, 33);
INSERT INTO public.who_data VALUES (1370, 0, 1418, 0, 6, 6, 97);
INSERT INTO public.who_data VALUES (1371, 1, 4, 0, 0, 6, 42);
INSERT INTO public.who_data VALUES (1372, 10, 3314, 0, 72, 6, 198);
INSERT INTO public.who_data VALUES (1373, 0, 1482, 0, 19, 6, 216);
INSERT INTO public.who_data VALUES (1374, 322, 372732, 4, 6432, 6, 164);
INSERT INTO public.who_data VALUES (1375, 366, 31007, 7, 748, 6, 235);
INSERT INTO public.who_data VALUES (1376, 1386, 420879, 16, 4230, 6, 67);
INSERT INTO public.who_data VALUES (1377, 0, 1892, 0, 8, 6, 15);
INSERT INTO public.who_data VALUES (1378, 0, 3821, 0, 79, 6, 180);
INSERT INTO public.who_data VALUES (1379, 14, 59800, 0, 29, 6, 237);
INSERT INTO public.who_data VALUES (1380, 0, 20, 0, 0, 6, 25);
INSERT INTO public.who_data VALUES (1381, 0, 1985, 0, 27, 6, 209);
INSERT INTO public.who_data VALUES (1382, 2020, 278254, 140, 5952, 6, 217);
INSERT INTO public.who_data VALUES (1383, 384, 179528, 2, 4020, 6, 79);
INSERT INTO public.who_data VALUES (1384, 0, 18, 0, 0, 6, 143);
INSERT INTO public.who_data VALUES (1385, 91, 5183, 4, 152, 6, 229);
INSERT INTO public.who_data VALUES (1386, 1744, 1491807, 78, 47899, 6, 141);
INSERT INTO public.who_data VALUES (1387, 103, 5413, 0, 74, 6, 197);
INSERT INTO public.who_data VALUES (1388, 5452, 3097375, 164, 66188, 6, 221);
INSERT INTO public.who_data VALUES (1389, 802, 75654, 13, 397, 6, 150);
INSERT INTO public.who_data VALUES (1390, 17, 30006, 0, 1853, 6, 56);
INSERT INTO public.who_data VALUES (1391, 16, 8794, 0, 166, 6, 167);
INSERT INTO public.who_data VALUES (1392, 2771, 614725, 14, 12624, 6, 23);
INSERT INTO public.who_data VALUES (1393, 479, 540826, 18, 9116, 6, 222);
INSERT INTO public.who_data VALUES (1394, 43, 14863, 3, 978, 6, 219);
INSERT INTO public.who_data VALUES (1395, 0, 13714, 0, 91, 6, 7);
INSERT INTO public.who_data VALUES (1396, 143, 24714, 2, 82, 6, 161);
INSERT INTO public.who_data VALUES (1397, 10972, 4038082, 258, 117166, 6, 149);
INSERT INTO public.who_data VALUES (1398, 1, 102, 0, 0, 6, 6);
INSERT INTO public.who_data VALUES (1399, 51, 5874, 1, 81, 6, 139);
INSERT INTO public.who_data VALUES (1400, 0, 0, 0, 0, 6, 211);
INSERT INTO public.who_data VALUES (1401, 0, 0, 0, 0, 6, 14);
INSERT INTO public.who_data VALUES (1402, 5, 7642, 1, 138, 6, 111);
INSERT INTO public.who_data VALUES (1403, 740, 223244, 36, 7544, 6, 207);
INSERT INTO public.who_data VALUES (1404, 6287, 2586183, 94, 27471, 6, 66);
INSERT INTO public.who_data VALUES (1405, 0, 0, 0, 0, 6, 173);
INSERT INTO public.who_data VALUES (1406, 36, 1869, 0, 12, 6, 145);
INSERT INTO public.who_data VALUES (1407, 0, 0, 0, 0, 6, 65);
INSERT INTO public.who_data VALUES (1408, 0, 40019, 0, 328, 6, 184);
INSERT INTO public.who_data VALUES (1409, 2332, 1273475, 62, 24392, 6, 98);
INSERT INTO public.who_data VALUES (1410, 3167, 348772, 13, 1014, 6, 104);
INSERT INTO public.who_data VALUES (1411, 0, 509, 0, 21, 6, 73);
INSERT INTO public.who_data VALUES (1412, 87896, 27309503, 3317, 480464, 6, 8);
INSERT INTO public.who_data VALUES (1413, 0, 2524, 0, 25, 6, 227);
INSERT INTO public.who_data VALUES (1414, 631, 48459, 6, 533, 6, 75);
INSERT INTO public.who_data VALUES (1415, 26, 79442, 0, 622, 6, 45);
INSERT INTO public.who_data VALUES (1416, 0, 1, 0, 0, 6, 133);
INSERT INTO public.who_data VALUES (1417, 484, 132743, 6, 1273, 6, 202);
INSERT INTO public.who_data VALUES (1418, 34, 2229, 0, 35, 6, 129);
INSERT INTO public.who_data VALUES (1419, 0, 9, 0, 0, 6, 36);
INSERT INTO public.who_data VALUES (1420, 9, 2149, 1, 618, 6, 51);
INSERT INTO public.who_data VALUES (1421, 983, 69437, 11, 951, 6, 206);
INSERT INTO public.who_data VALUES (1422, 68, 35172, 2, 1400, 6, 5);
INSERT INTO public.who_data VALUES (1423, 19, 55492, 0, 2427, 7, 103);
INSERT INTO public.who_data VALUES (1424, 1152, 91987, 12, 1543, 7, 58);
INSERT INTO public.who_data VALUES (1425, 210, 110513, 3, 2935, 7, 195);
INSERT INTO public.who_data VALUES (1426, 0, 0, 0, 0, 7, 115);
INSERT INTO public.who_data VALUES (1427, 36, 10463, 1, 107, 7, 99);
INSERT INTO public.who_data VALUES (1428, 35, 20329, 1, 491, 7, 153);
INSERT INTO public.who_data VALUES (1429, 0, 18, 0, 0, 7, 93);
INSERT INTO public.who_data VALUES (1430, 46, 427, 0, 9, 7, 84);
INSERT INTO public.who_data VALUES (1431, 13208, 2021553, 314, 50188, 7, 78);
INSERT INTO public.who_data VALUES (1432, 145, 169167, 1, 3141, 7, 170);
INSERT INTO public.who_data VALUES (1433, 0, 7338, 0, 68, 7, 32);
INSERT INTO public.who_data VALUES (1434, 6, 28892, 0, 909, 7, 155);
INSERT INTO public.who_data VALUES (1435, 1325, 428692, 12, 8088, 7, 82);
INSERT INTO public.who_data VALUES (1436, 155, 231995, 5, 3178, 7, 16);
INSERT INTO public.who_data VALUES (1437, 11, 8370, 0, 179, 7, 72);
INSERT INTO public.who_data VALUES (1438, 790, 112102, 3, 398, 7, 43);
INSERT INTO public.who_data VALUES (1439, 291, 540266, 13, 8266, 7, 120);
INSERT INTO public.who_data VALUES (1440, 43, 1947, 2, 23, 7, 213);
INSERT INTO public.who_data VALUES (1441, 1745, 267029, 10, 1840, 7, 31);
INSERT INTO public.who_data VALUES (1442, 1135, 740212, 31, 21672, 7, 204);
INSERT INTO public.who_data VALUES (1443, 20, 12134, 0, 313, 7, 152);
INSERT INTO public.who_data VALUES (1444, 0, 4560, 0, 56, 7, 144);
INSERT INTO public.who_data VALUES (1445, 0, 694, 0, 12, 7, 96);
INSERT INTO public.who_data VALUES (1446, 0, 863, 0, 1, 7, 47);
INSERT INTO public.who_data VALUES (1447, 1244, 235098, 63, 11107, 7, 80);
INSERT INTO public.who_data VALUES (1448, 0, 372, 0, 4, 7, 159);
INSERT INTO public.who_data VALUES (1449, 240, 125642, 11, 4892, 7, 27);
INSERT INTO public.who_data VALUES (1450, 0, 24926, 0, 202, 7, 146);
INSERT INTO public.who_data VALUES (1451, 51546, 9765455, 1288, 237489, 7, 71);
INSERT INTO public.who_data VALUES (1452, 0, 151, 0, 1, 7, 210);
INSERT INTO public.who_data VALUES (1453, 0, 184, 0, 3, 7, 54);
INSERT INTO public.who_data VALUES (1454, 506, 229516, 14, 9608, 7, 147);
INSERT INTO public.who_data VALUES (1455, 50, 11588, 1, 138, 7, 2);
INSERT INTO public.who_data VALUES (1456, 0, 1824, 0, 3, 7, 105);
INSERT INTO public.who_data VALUES (1457, 53, 14700, 0, 139, 7, 53);
INSERT INTO public.who_data VALUES (1458, 0, 479, 0, 0, 7, 81);
INSERT INTO public.who_data VALUES (1459, 0, 31394, 0, 474, 7, 223);
INSERT INTO public.who_data VALUES (1460, 3143, 820306, 74, 21162, 7, 94);
INSERT INTO public.who_data VALUES (1461, 5, 416, 0, 2, 7, 154);
INSERT INTO public.who_data VALUES (1462, 0, 4996, 0, 63, 7, 83);
INSERT INTO public.who_data VALUES (1463, 25, 3622, 0, 127, 7, 194);
INSERT INTO public.who_data VALUES (1464, 3924, 772395, 98, 19443, 7, 136);
INSERT INTO public.who_data VALUES (1465, 19, 101515, 1, 4838, 7, 179);
INSERT INTO public.who_data VALUES (1466, 5528, 2185169, 213, 57196, 7, 57);
INSERT INTO public.who_data VALUES (1467, 42, 3332, 3, 128, 7, 35);
INSERT INTO public.who_data VALUES (1468, 0, 8419, 0, 123, 7, 228);
INSERT INTO public.who_data VALUES (1469, 0, 0, 0, 0, 7, 19);
INSERT INTO public.who_data VALUES (1470, 431, 199187, 4, 2714, 7, 22);
INSERT INTO public.who_data VALUES (1471, 167, 30884, 0, 173, 7, 1);
INSERT INTO public.who_data VALUES (1472, 198, 237657, 19, 5318, 7, 21);
INSERT INTO public.who_data VALUES (1473, 888, 37483, 4, 261, 7, 234);
INSERT INTO public.who_data VALUES (1474, 0, 4633, 0, 22, 7, 91);
INSERT INTO public.who_data VALUES (1475, 102, 32390, 1, 220, 7, 137);
INSERT INTO public.who_data VALUES (1476, 5160, 1088009, 85, 18143, 7, 201);
INSERT INTO public.who_data VALUES (1477, 0, 0, 0, 0, 7, 171);
INSERT INTO public.who_data VALUES (1478, 88, 24239, 2, 692, 7, 92);
INSERT INTO public.who_data VALUES (1479, 274, 204067, 4, 2284, 7, 112);
INSERT INTO public.who_data VALUES (1480, 1, 5968, 0, 63, 7, 62);
INSERT INTO public.who_data VALUES (1481, 0, 121, 0, 0, 7, 69);
INSERT INTO public.who_data VALUES (1482, 1131, 228895, 15, 2932, 7, 220);
INSERT INTO public.who_data VALUES (1483, 2010, 265527, 49, 15269, 7, 100);
INSERT INTO public.who_data VALUES (1484, 600, 173202, 36, 9935, 7, 187);
INSERT INTO public.who_data VALUES (1485, 775, 57428, 7, 1734, 7, 63);
INSERT INTO public.who_data VALUES (1486, 31, 5694, 0, 87, 7, 28);
INSERT INTO public.who_data VALUES (1487, 0, 2429, 0, 7, 7, 172);
INSERT INTO public.who_data VALUES (1488, 667, 52416, 4, 495, 7, 17);
INSERT INTO public.who_data VALUES (1489, 33, 16488, 0, 630, 7, 226);
INSERT INTO public.who_data VALUES (1490, 156, 145704, 4, 2181, 7, 236);
INSERT INTO public.who_data VALUES (1491, 0, 49, 0, 0, 7, 76);
INSERT INTO public.who_data VALUES (1492, 0, 657, 0, 1, 7, 30);
INSERT INTO public.who_data VALUES (1493, 0, 56, 0, 2, 7, 128);
INSERT INTO public.who_data VALUES (1494, 435, 50007, 0, 710, 7, 86);
INSERT INTO public.who_data VALUES (1495, 20398, 3390070, 193, 81226, 7, 140);
INSERT INTO public.who_data VALUES (1496, 0, 16456, 0, 80, 7, 44);
INSERT INTO public.who_data VALUES (1497, 0, 18263, 0, 135, 7, 113);
INSERT INTO public.who_data VALUES (1498, 406, 12577, 2, 73, 7, 29);
INSERT INTO public.who_data VALUES (1499, 0, 4302, 0, 135, 7, 125);
INSERT INTO public.who_data VALUES (1500, 357, 265557, 9, 3352, 7, 131);
INSERT INTO public.who_data VALUES (1501, 6114, 2334561, 218, 64960, 7, 46);
INSERT INTO public.who_data VALUES (1502, 771, 75118, 13, 518, 7, 10);
INSERT INTO public.who_data VALUES (1503, 9, 4212, 1, 84, 7, 205);
INSERT INTO public.who_data VALUES (1504, 1222, 171466, 26, 6103, 7, 50);
INSERT INTO public.who_data VALUES (1505, 0, 30, 0, 0, 7, 20);
INSERT INTO public.who_data VALUES (1506, 0, 148, 0, 1, 7, 13);
INSERT INTO public.who_data VALUES (1507, 153, 9455, 1, 160, 7, 148);
INSERT INTO public.who_data VALUES (1508, 3, 7484, 0, 130, 7, 230);
INSERT INTO public.who_data VALUES (1509, 788, 167071, 37, 6094, 7, 190);
INSERT INTO public.who_data VALUES (1510, 12, 782, 0, 13, 7, 188);
INSERT INTO public.who_data VALUES (1511, 35, 14895, 0, 84, 7, 123);
INSERT INTO public.who_data VALUES (1512, 16, 2885, 0, 46, 7, 9);
INSERT INTO public.who_data VALUES (1513, 46, 8181, 2, 186, 7, 102);
INSERT INTO public.who_data VALUES (1514, 127, 12143, 1, 247, 7, 34);
INSERT INTO public.who_data VALUES (1515, 0, 26, 0, 0, 7, 212);
INSERT INTO public.who_data VALUES (1516, 669, 159024, 10, 3848, 7, 122);
INSERT INTO public.who_data VALUES (1517, 1707, 387462, 70, 13706, 7, 38);
INSERT INTO public.who_data VALUES (1518, 0, 6033, 0, 29, 7, 130);
INSERT INTO public.who_data VALUES (1519, 12194, 10904940, 92, 155642, 7, 37);
INSERT INTO public.who_data VALUES (1520, 8844, 1210703, 280, 32936, 7, 231);
INSERT INTO public.who_data VALUES (1521, 7120, 1510873, 74, 58883, 7, 107);
INSERT INTO public.who_data VALUES (1522, 2190, 641628, 7, 13164, 7, 101);
INSERT INTO public.who_data VALUES (1523, 1076, 208796, 66, 3931, 7, 132);
INSERT INTO public.who_data VALUES (1524, 0, 436, 0, 25, 7, 176);
INSERT INTO public.who_data VALUES (1525, 4597, 720393, 35, 5335, 7, 200);
INSERT INTO public.who_data VALUES (1526, 13523, 2710819, 311, 93356, 7, 169);
INSERT INTO public.who_data VALUES (1527, 303, 18830, 4, 372, 7, 225);
INSERT INTO public.who_data VALUES (1528, 1318, 414472, 63, 6912, 7, 165);
INSERT INTO public.who_data VALUES (1529, 7, 3198, 0, 67, 7, 233);
INSERT INTO public.who_data VALUES (1530, 1240, 344803, 11, 4444, 7, 215);
INSERT INTO public.who_data VALUES (1531, 791, 251267, 61, 3246, 7, 177);
INSERT INTO public.who_data VALUES (1532, 179, 102792, 1, 1795, 7, 183);
INSERT INTO public.who_data VALUES (1533, 0, 0, 0, 0, 7, 203);
INSERT INTO public.who_data VALUES (1534, 290, 64052, 4, 1534, 7, 162);
INSERT INTO public.who_data VALUES (1535, 851, 176903, 6, 998, 7, 12);
INSERT INTO public.who_data VALUES (1536, 34, 85475, 0, 1441, 7, 24);
INSERT INTO public.who_data VALUES (1537, 0, 45, 0, 0, 7, 119);
INSERT INTO public.who_data VALUES (1538, 773, 76282, 12, 1443, 7, 39);
INSERT INTO public.who_data VALUES (1539, 2906, 336992, 46, 3961, 7, 26);
INSERT INTO public.who_data VALUES (1540, 0, 9852, 0, 225, 7, 59);
INSERT INTO public.who_data VALUES (1541, 0, 1969, 0, 84, 7, 77);
INSERT INTO public.who_data VALUES (1542, 0, 126881, 0, 2014, 7, 134);
INSERT INTO public.who_data VALUES (1543, 1, 2613, 0, 52, 7, 4);
INSERT INTO public.who_data VALUES (1544, 483, 190724, 13, 3070, 7, 109);
INSERT INTO public.who_data VALUES (1545, 160, 52699, 0, 606, 7, 90);
INSERT INTO public.who_data VALUES (1546, 0, 19360, 0, 285, 7, 61);
INSERT INTO public.who_data VALUES (1547, 246, 28876, 11, 937, 7, 85);
INSERT INTO public.who_data VALUES (1548, 3499, 261805, 5, 958, 7, 49);
INSERT INTO public.who_data VALUES (1549, 209, 17716, 0, 56, 7, 208);
INSERT INTO public.who_data VALUES (1550, 8, 8226, 2, 342, 7, 166);
INSERT INTO public.who_data VALUES (1551, 154, 19651, 2, 290, 7, 64);
INSERT INTO public.who_data VALUES (1552, 0, 4, 0, 0, 7, 199);
INSERT INTO public.who_data VALUES (1553, 72, 6593, 0, 45, 7, 114);
INSERT INTO public.who_data VALUES (1554, 0, 16777, 0, 425, 7, 60);
INSERT INTO public.who_data VALUES (1555, 0, 595, 0, 10, 7, 68);
INSERT INTO public.who_data VALUES (1556, 833, 13535, 6, 78, 7, 158);
INSERT INTO public.who_data VALUES (1557, 10388, 1978954, 1323, 172557, 7, 52);
INSERT INTO public.who_data VALUES (1558, 0, 0, 0, 0, 7, 117);
INSERT INTO public.who_data VALUES (1559, 3, 1755, 0, 21, 7, 126);
INSERT INTO public.who_data VALUES (1560, 46, 2293, 0, 2, 7, 196);
INSERT INTO public.who_data VALUES (1561, 346, 69295, 8, 890, 7, 142);
INSERT INTO public.who_data VALUES (1562, 0, 19, 0, 1, 7, 185);
INSERT INTO public.who_data VALUES (1563, 479, 478135, 10, 8460, 7, 138);
INSERT INTO public.who_data VALUES (1564, 798, 48588, 13, 514, 7, 181);
INSERT INTO public.who_data VALUES (1565, 42, 141585, 0, 3188, 7, 178);
INSERT INTO public.who_data VALUES (1566, 243, 35797, 2, 386, 7, 168);
INSERT INTO public.who_data VALUES (1567, 0, 0, 0, 0, 7, 160);
INSERT INTO public.who_data VALUES (1568, 57, 272614, 0, 2054, 7, 151);
INSERT INTO public.who_data VALUES (1569, 4186, 1025659, 67, 14787, 7, 193);
INSERT INTO public.who_data VALUES (1570, 0, 52, 0, 0, 7, 18);
INSERT INTO public.who_data VALUES (1571, 3, 1974, 0, 25, 7, 40);
INSERT INTO public.who_data VALUES (1572, 0, 5064, 0, 171, 7, 218);
INSERT INTO public.who_data VALUES (1573, 12, 4690, 0, 169, 7, 191);
INSERT INTO public.who_data VALUES (1574, 1143, 145664, 13, 1747, 7, 156);
INSERT INTO public.who_data VALUES (1575, 0, 0, 0, 0, 7, 135);
INSERT INTO public.who_data VALUES (1576, 0, 134, 0, 2, 7, 88);
INSERT INTO public.who_data VALUES (1577, 354, 96872, 5, 2976, 7, 55);
INSERT INTO public.who_data VALUES (1578, 425, 66236, 0, 592, 7, 108);
INSERT INTO public.who_data VALUES (1579, 938, 188464, 15, 2125, 7, 48);
INSERT INTO public.who_data VALUES (1580, 0, 136622, 0, 1539, 7, 3);
INSERT INTO public.who_data VALUES (1581, 0, 745, 0, 13, 7, 224);
INSERT INTO public.who_data VALUES (1582, 1262, 561625, 58, 12276, 7, 110);
INSERT INTO public.who_data VALUES (1583, 0, 0, 0, 0, 7, 106);
INSERT INTO public.who_data VALUES (1584, 910, 330985, 23, 5595, 7, 89);
INSERT INTO public.who_data VALUES (1585, 0, 922, 0, 10, 7, 121);
INSERT INTO public.who_data VALUES (1586, 823, 142598, 13, 2904, 7, 163);
INSERT INTO public.who_data VALUES (1587, 8439, 1220748, 210, 43255, 7, 70);
INSERT INTO public.who_data VALUES (1588, 1955, 547255, 12, 11507, 7, 174);
INSERT INTO public.who_data VALUES (1589, 0, 0, 0, 0, 7, 175);
INSERT INTO public.who_data VALUES (1590, 5334, 1588955, 98, 40807, 7, 118);
INSERT INTO public.who_data VALUES (1591, 2856, 784079, 149, 15183, 7, 189);
INSERT INTO public.who_data VALUES (1592, 389, 97313, 8, 1915, 7, 124);
INSERT INTO public.who_data VALUES (1593, 453, 156804, 1, 255, 7, 192);
INSERT INTO public.who_data VALUES (1594, 326, 83525, 8, 1522, 7, 41);
INSERT INTO public.who_data VALUES (1595, 979, 169805, 14, 3640, 7, 95);
INSERT INTO public.who_data VALUES (1596, 0, 10907, 0, 47, 7, 74);
INSERT INTO public.who_data VALUES (1597, 2415, 760091, 48, 19325, 7, 11);
INSERT INTO public.who_data VALUES (1598, 14185, 4071883, 430, 80126, 7, 87);
INSERT INTO public.who_data VALUES (1599, 67, 17267, 0, 236, 7, 214);
INSERT INTO public.who_data VALUES (1600, 0, 6, 0, 0, 7, 116);
INSERT INTO public.who_data VALUES (1601, 50, 475, 0, 0, 7, 157);
INSERT INTO public.who_data VALUES (1602, 0, 0, 0, 0, 7, 182);
INSERT INTO public.who_data VALUES (1603, 0, 40, 0, 0, 7, 186);
INSERT INTO public.who_data VALUES (1604, 72, 2487, 1, 23, 7, 127);
INSERT INTO public.who_data VALUES (1605, 79, 1456, 0, 12, 7, 232);
INSERT INTO public.who_data VALUES (1606, 0, 24, 0, 0, 7, 33);
INSERT INTO public.who_data VALUES (1607, 23, 1418, 0, 6, 7, 97);
INSERT INTO public.who_data VALUES (1608, 0, 3, 0, 0, 7, 42);
INSERT INTO public.who_data VALUES (1609, 26, 3304, 0, 72, 7, 198);
INSERT INTO public.who_data VALUES (1610, 4, 1482, 0, 19, 7, 216);
INSERT INTO public.who_data VALUES (1611, 337, 372410, 4, 6428, 7, 164);
INSERT INTO public.who_data VALUES (1612, 265, 30641, 6, 741, 7, 235);
INSERT INTO public.who_data VALUES (1613, 1622, 419493, 15, 4214, 7, 67);
INSERT INTO public.who_data VALUES (1614, 90, 1892, 1, 8, 7, 15);
INSERT INTO public.who_data VALUES (1615, 4, 3821, 0, 79, 7, 180);
INSERT INTO public.who_data VALUES (1616, 9, 59786, 0, 29, 7, 237);
INSERT INTO public.who_data VALUES (1617, 0, 20, 0, 0, 7, 25);
INSERT INTO public.who_data VALUES (1618, 0, 1985, 0, 27, 7, 209);
INSERT INTO public.who_data VALUES (1619, 2330, 276234, 79, 5812, 7, 217);
INSERT INTO public.who_data VALUES (1620, 1007, 179144, 9, 4018, 7, 79);
INSERT INTO public.who_data VALUES (1621, 0, 18, 0, 0, 7, 143);
INSERT INTO public.who_data VALUES (1622, 17, 5092, 2, 148, 7, 229);
INSERT INTO public.who_data VALUES (1623, 2382, 1490063, 151, 47821, 7, 141);
INSERT INTO public.who_data VALUES (1624, 176, 5310, 2, 74, 7, 197);
INSERT INTO public.who_data VALUES (1625, 11276, 3091923, 235, 66024, 7, 221);
INSERT INTO public.who_data VALUES (1626, 796, 74852, 0, 384, 7, 150);
INSERT INTO public.who_data VALUES (1627, 11, 29989, 1, 1853, 7, 56);
INSERT INTO public.who_data VALUES (1628, 13, 8778, 0, 166, 7, 167);
INSERT INTO public.who_data VALUES (1629, 3572, 611954, 9, 12610, 7, 23);
INSERT INTO public.who_data VALUES (1630, 716, 540347, 17, 9098, 7, 222);
INSERT INTO public.who_data VALUES (1631, 55, 14820, 4, 975, 7, 219);
INSERT INTO public.who_data VALUES (1632, 0, 13714, 0, 91, 7, 7);
INSERT INTO public.who_data VALUES (1633, 166, 24571, 0, 80, 7, 161);
INSERT INTO public.who_data VALUES (1634, 13307, 4027110, 621, 116908, 7, 149);
INSERT INTO public.who_data VALUES (1635, 0, 101, 0, 0, 7, 6);
INSERT INTO public.who_data VALUES (1636, 136, 5823, 0, 80, 7, 139);
INSERT INTO public.who_data VALUES (1637, 0, 0, 0, 0, 7, 211);
INSERT INTO public.who_data VALUES (1638, 0, 0, 0, 0, 7, 14);
INSERT INTO public.who_data VALUES (1639, 5, 7637, 1, 137, 7, 111);
INSERT INTO public.who_data VALUES (1640, 1049, 222504, 47, 7508, 7, 207);
INSERT INTO public.who_data VALUES (1641, 7706, 2579896, 93, 27377, 7, 66);
INSERT INTO public.who_data VALUES (1642, 0, 0, 0, 0, 7, 173);
INSERT INTO public.who_data VALUES (1643, 21, 1833, 0, 12, 7, 145);
INSERT INTO public.who_data VALUES (1644, 0, 0, 0, 0, 7, 65);
INSERT INTO public.who_data VALUES (1645, 40, 40019, 0, 328, 7, 184);
INSERT INTO public.who_data VALUES (1646, 3094, 1271143, 45, 24330, 7, 98);
INSERT INTO public.who_data VALUES (1647, 2631, 345605, 15, 1001, 7, 104);
INSERT INTO public.who_data VALUES (1648, 0, 509, 0, 21, 7, 73);
INSERT INTO public.who_data VALUES (1649, 99024, 27221607, 5512, 477147, 7, 8);
INSERT INTO public.who_data VALUES (1650, 0, 2524, 0, 25, 7, 227);
INSERT INTO public.who_data VALUES (1651, 574, 47828, 3, 527, 7, 75);
INSERT INTO public.who_data VALUES (1652, 35, 79416, 0, 622, 7, 45);
INSERT INTO public.who_data VALUES (1653, 0, 1, 0, 0, 7, 133);
INSERT INTO public.who_data VALUES (1654, 431, 132259, 7, 1267, 7, 202);
INSERT INTO public.who_data VALUES (1655, 53, 2195, 0, 35, 7, 129);
INSERT INTO public.who_data VALUES (1656, 0, 9, 0, 0, 7, 36);
INSERT INTO public.who_data VALUES (1657, 0, 2140, 0, 617, 7, 51);
INSERT INTO public.who_data VALUES (1658, 773, 68454, 9, 940, 7, 206);
INSERT INTO public.who_data VALUES (1659, 59, 35104, 5, 1398, 7, 5);
INSERT INTO public.who_data VALUES (1660, 28, 55473, 3, 2427, 8, 103);
INSERT INTO public.who_data VALUES (1661, 1059, 90835, 14, 1531, 8, 58);
INSERT INTO public.who_data VALUES (1662, 254, 110303, 2, 2932, 8, 195);
INSERT INTO public.who_data VALUES (1663, 0, 0, 0, 0, 8, 115);
INSERT INTO public.who_data VALUES (1664, 36, 10427, 0, 106, 8, 99);
INSERT INTO public.who_data VALUES (1665, 33, 20294, 3, 490, 8, 153);
INSERT INTO public.who_data VALUES (1666, 0, 18, 0, 0, 8, 93);
INSERT INTO public.who_data VALUES (1667, 0, 381, 0, 9, 8, 84);
INSERT INTO public.who_data VALUES (1668, 7311, 2008345, 200, 49874, 8, 78);
INSERT INTO public.who_data VALUES (1669, 192, 169022, 2, 3140, 8, 170);
INSERT INTO public.who_data VALUES (1670, 19, 7338, 0, 68, 8, 32);
INSERT INTO public.who_data VALUES (1671, 7, 28886, 0, 909, 8, 155);
INSERT INTO public.who_data VALUES (1672, 1708, 427367, 27, 8076, 8, 82);
INSERT INTO public.who_data VALUES (1673, 191, 231840, 3, 3173, 8, 16);
INSERT INTO public.who_data VALUES (1674, 27, 8359, 1, 179, 8, 72);
INSERT INTO public.who_data VALUES (1675, 896, 111312, 2, 395, 8, 43);
INSERT INTO public.who_data VALUES (1676, 404, 539975, 5, 8253, 8, 120);
INSERT INTO public.who_data VALUES (1677, 47, 1904, 1, 21, 8, 213);
INSERT INTO public.who_data VALUES (1678, 1733, 265284, 10, 1830, 8, 31);
INSERT INTO public.who_data VALUES (1679, 2043, 739077, 43, 21641, 8, 204);
INSERT INTO public.who_data VALUES (1680, 7, 12114, 0, 313, 8, 152);
INSERT INTO public.who_data VALUES (1681, 0, 4560, 0, 56, 8, 144);
INSERT INTO public.who_data VALUES (1682, 0, 694, 0, 12, 8, 96);
INSERT INTO public.who_data VALUES (1683, 2, 863, 0, 1, 8, 47);
INSERT INTO public.who_data VALUES (1684, 1352, 233854, 48, 11044, 8, 80);
INSERT INTO public.who_data VALUES (1685, 3, 372, 0, 4, 8, 159);
INSERT INTO public.who_data VALUES (1686, 279, 125402, 13, 4881, 8, 27);
INSERT INTO public.who_data VALUES (1687, 491, 24926, 23, 202, 8, 146);
INSERT INTO public.who_data VALUES (1688, 54742, 9713909, 1351, 236201, 8, 71);
INSERT INTO public.who_data VALUES (1689, 0, 151, 0, 1, 8, 210);
INSERT INTO public.who_data VALUES (1690, 0, 184, 0, 3, 8, 54);
INSERT INTO public.who_data VALUES (1691, 966, 229010, 33, 9594, 8, 147);
INSERT INTO public.who_data VALUES (1692, 112, 11538, 3, 137, 8, 2);
INSERT INTO public.who_data VALUES (1693, 27, 1824, 0, 3, 8, 105);
INSERT INTO public.who_data VALUES (1694, 46, 14647, 1, 139, 8, 53);
INSERT INTO public.who_data VALUES (1695, 0, 479, 0, 0, 8, 81);
INSERT INTO public.who_data VALUES (1696, 0, 31394, 0, 474, 8, 223);
INSERT INTO public.who_data VALUES (1697, 3181, 817163, 84, 21088, 8, 94);
INSERT INTO public.who_data VALUES (1698, 3, 411, 0, 2, 8, 154);
INSERT INTO public.who_data VALUES (1699, 0, 4996, 0, 63, 8, 83);
INSERT INTO public.who_data VALUES (1700, 16, 3597, 1, 127, 8, 194);
INSERT INTO public.who_data VALUES (1701, 4164, 768471, 83, 19345, 8, 136);
INSERT INTO public.who_data VALUES (1702, 33, 101496, 1, 4837, 8, 179);
INSERT INTO public.who_data VALUES (1703, 6294, 2179641, 250, 56983, 8, 57);
INSERT INTO public.who_data VALUES (1704, 14, 3290, 3, 125, 8, 35);
INSERT INTO public.who_data VALUES (1705, 0, 8419, 0, 123, 8, 228);
INSERT INTO public.who_data VALUES (1706, 0, 0, 0, 0, 8, 19);
INSERT INTO public.who_data VALUES (1707, 418, 198756, 9, 2710, 8, 22);
INSERT INTO public.who_data VALUES (1708, 191, 30717, 2, 173, 8, 1);
INSERT INTO public.who_data VALUES (1709, 379, 237459, 17, 5299, 8, 21);
INSERT INTO public.who_data VALUES (1710, 823, 36595, 4, 257, 8, 234);
INSERT INTO public.who_data VALUES (1711, 5, 4633, 0, 22, 8, 91);
INSERT INTO public.who_data VALUES (1712, 113, 32288, 1, 219, 8, 137);
INSERT INTO public.who_data VALUES (1713, 8883, 1082849, 156, 18058, 8, 201);
INSERT INTO public.who_data VALUES (1714, 0, 0, 0, 0, 8, 171);
INSERT INTO public.who_data VALUES (1715, 126, 24151, 5, 690, 8, 92);
INSERT INTO public.who_data VALUES (1716, 428, 203793, 11, 2280, 8, 112);
INSERT INTO public.who_data VALUES (1717, 1, 5967, 0, 63, 8, 62);
INSERT INTO public.who_data VALUES (1718, 0, 121, 0, 0, 8, 69);
INSERT INTO public.who_data VALUES (1719, 1050, 227764, 13, 2917, 8, 220);
INSERT INTO public.who_data VALUES (1720, 1204, 263517, 46, 15220, 8, 100);
INSERT INTO public.who_data VALUES (1721, 609, 172602, 42, 9899, 8, 187);
INSERT INTO public.who_data VALUES (1722, 0, 56653, 8, 1727, 8, 63);
INSERT INTO public.who_data VALUES (1723, 0, 5663, 0, 87, 8, 28);
INSERT INTO public.who_data VALUES (1724, 0, 2429, 0, 7, 8, 172);
INSERT INTO public.who_data VALUES (1725, 756, 51749, 5, 491, 8, 17);
INSERT INTO public.who_data VALUES (1726, 59, 16455, 11, 630, 8, 226);
INSERT INTO public.who_data VALUES (1727, 686, 145548, 6, 2177, 8, 236);
INSERT INTO public.who_data VALUES (1728, 0, 49, 0, 0, 8, 76);
INSERT INTO public.who_data VALUES (1729, 0, 657, 0, 1, 8, 30);
INSERT INTO public.who_data VALUES (1730, 0, 56, 0, 2, 8, 128);
INSERT INTO public.who_data VALUES (1731, 407, 49572, 2, 710, 8, 86);
INSERT INTO public.who_data VALUES (1732, 20279, 3369672, 644, 81033, 8, 140);
INSERT INTO public.who_data VALUES (1733, 160, 16456, 1, 80, 8, 44);
INSERT INTO public.who_data VALUES (1734, 6, 18263, 0, 135, 8, 113);
INSERT INTO public.who_data VALUES (1735, 0, 12171, 0, 71, 8, 29);
INSERT INTO public.who_data VALUES (1736, 0, 4302, 0, 135, 8, 125);
INSERT INTO public.who_data VALUES (1737, 535, 265200, 7, 3343, 8, 131);
INSERT INTO public.who_data VALUES (1738, 8354, 2328447, 551, 64742, 8, 46);
INSERT INTO public.who_data VALUES (1739, 790, 74347, 11, 505, 8, 10);
INSERT INTO public.who_data VALUES (1740, 6, 4203, 0, 83, 8, 205);
INSERT INTO public.who_data VALUES (1741, 1372, 170244, 21, 6077, 8, 50);
INSERT INTO public.who_data VALUES (1742, 0, 30, 0, 0, 8, 20);
INSERT INTO public.who_data VALUES (1743, 0, 148, 0, 1, 8, 13);
INSERT INTO public.who_data VALUES (1744, 0, 9302, 0, 159, 8, 148);
INSERT INTO public.who_data VALUES (1745, 3, 7481, 0, 130, 8, 230);
INSERT INTO public.who_data VALUES (1746, 751, 166283, 34, 6057, 8, 190);
INSERT INTO public.who_data VALUES (1747, 10, 770, 0, 13, 8, 188);
INSERT INTO public.who_data VALUES (1748, 32, 14860, 0, 84, 8, 123);
INSERT INTO public.who_data VALUES (1749, 21, 2869, 0, 46, 8, 9);
INSERT INTO public.who_data VALUES (1750, 43, 8135, 2, 184, 8, 102);
INSERT INTO public.who_data VALUES (1751, 0, 12016, 0, 246, 8, 34);
INSERT INTO public.who_data VALUES (1752, 0, 26, 0, 0, 8, 212);
INSERT INTO public.who_data VALUES (1753, 887, 158355, 32, 3838, 8, 122);
INSERT INTO public.who_data VALUES (1754, 2020, 385755, 93, 13636, 8, 38);
INSERT INTO public.who_data VALUES (1755, 7, 6033, 0, 29, 8, 130);
INSERT INTO public.who_data VALUES (1756, 12143, 10892746, 103, 155550, 8, 37);
INSERT INTO public.who_data VALUES (1757, 9869, 1201859, 275, 32656, 8, 231);
INSERT INTO public.who_data VALUES (1758, 7298, 1503753, 58, 58809, 8, 107);
INSERT INTO public.who_data VALUES (1759, 2530, 639438, 13, 13157, 8, 101);
INSERT INTO public.who_data VALUES (1760, 919, 207720, 19, 3865, 8, 132);
INSERT INTO public.who_data VALUES (1761, 0, 436, 0, 25, 8, 176);
INSERT INTO public.who_data VALUES (1762, 4950, 715796, 30, 5300, 8, 200);
INSERT INTO public.who_data VALUES (1763, 13893, 2697296, 316, 93045, 8, 169);
INSERT INTO public.who_data VALUES (1764, 290, 18527, 5, 368, 8, 225);
INSERT INTO public.who_data VALUES (1765, 1403, 413154, 75, 6849, 8, 165);
INSERT INTO public.who_data VALUES (1766, 1, 3191, 0, 67, 8, 233);
INSERT INTO public.who_data VALUES (1767, 1579, 343563, 12, 4433, 8, 215);
INSERT INTO public.who_data VALUES (1768, 914, 250476, 0, 3185, 8, 177);
INSERT INTO public.who_data VALUES (1769, 260, 102613, 0, 1794, 8, 183);
INSERT INTO public.who_data VALUES (1770, 0, 0, 0, 0, 8, 203);
INSERT INTO public.who_data VALUES (1771, 372, 63762, 6, 1530, 8, 162);
INSERT INTO public.who_data VALUES (1772, 1021, 176052, 7, 992, 8, 12);
INSERT INTO public.who_data VALUES (1773, 43, 85441, 2, 1441, 8, 24);
INSERT INTO public.who_data VALUES (1774, 0, 45, 0, 0, 8, 119);
INSERT INTO public.who_data VALUES (1775, 808, 75509, 15, 1431, 8, 39);
INSERT INTO public.who_data VALUES (1776, 2934, 334086, 49, 3915, 8, 26);
INSERT INTO public.who_data VALUES (1777, 34, 9852, 13, 225, 8, 59);
INSERT INTO public.who_data VALUES (1778, 0, 1969, 0, 84, 8, 77);
INSERT INTO public.who_data VALUES (1779, 520, 126881, 5, 2014, 8, 134);
INSERT INTO public.who_data VALUES (1780, 0, 2612, 1, 52, 8, 4);
INSERT INTO public.who_data VALUES (1781, 1183, 190241, 44, 3057, 8, 109);
INSERT INTO public.who_data VALUES (1782, 147, 52539, 2, 606, 8, 90);
INSERT INTO public.who_data VALUES (1783, 0, 19360, 0, 285, 8, 61);
INSERT INTO public.who_data VALUES (1784, 360, 28630, 12, 926, 8, 85);
INSERT INTO public.who_data VALUES (1785, 3318, 258306, 17, 953, 8, 49);
INSERT INTO public.who_data VALUES (1786, 120, 17507, 0, 56, 8, 208);
INSERT INTO public.who_data VALUES (1787, 0, 8218, 0, 340, 8, 166);
INSERT INTO public.who_data VALUES (1788, 164, 19497, 2, 288, 8, 64);
INSERT INTO public.who_data VALUES (1789, 0, 4, 0, 0, 8, 199);
INSERT INTO public.who_data VALUES (1790, 0, 6521, 0, 45, 8, 114);
INSERT INTO public.who_data VALUES (1791, 0, 16777, 0, 425, 8, 60);
INSERT INTO public.who_data VALUES (1792, 0, 595, 0, 10, 8, 68);
INSERT INTO public.who_data VALUES (1793, 262, 12702, 0, 72, 8, 158);
INSERT INTO public.who_data VALUES (1794, 10677, 1968566, 1474, 171234, 8, 52);
INSERT INTO public.who_data VALUES (1795, 0, 0, 0, 0, 8, 117);
INSERT INTO public.who_data VALUES (1796, 17, 1752, 1, 21, 8, 126);
INSERT INTO public.who_data VALUES (1797, 40, 2247, 0, 2, 8, 196);
INSERT INTO public.who_data VALUES (1798, 453, 68949, 2, 882, 8, 142);
INSERT INTO public.who_data VALUES (1799, 0, 19, 0, 1, 8, 185);
INSERT INTO public.who_data VALUES (1800, 496, 477656, 10, 8450, 8, 138);
INSERT INTO public.who_data VALUES (1801, 0, 47790, 0, 501, 8, 181);
INSERT INTO public.who_data VALUES (1802, 21, 141543, 4, 3188, 8, 178);
INSERT INTO public.who_data VALUES (1803, 201, 35554, 2, 384, 8, 168);
INSERT INTO public.who_data VALUES (1804, 0, 0, 0, 0, 8, 160);
INSERT INTO public.who_data VALUES (1805, 127, 272557, 2, 2054, 8, 151);
INSERT INTO public.who_data VALUES (1806, 4341, 1021473, 65, 14720, 8, 193);
INSERT INTO public.who_data VALUES (1807, 2, 52, 0, 0, 8, 18);
INSERT INTO public.who_data VALUES (1808, 1, 1971, 0, 25, 8, 40);
INSERT INTO public.who_data VALUES (1809, 0, 5064, 0, 171, 8, 218);
INSERT INTO public.who_data VALUES (1810, 13, 4678, 2, 169, 8, 191);
INSERT INTO public.who_data VALUES (1811, 1005, 144521, 24, 1734, 8, 156);
INSERT INTO public.who_data VALUES (1812, 0, 0, 0, 0, 8, 135);
INSERT INTO public.who_data VALUES (1813, 0, 134, 0, 2, 8, 88);
INSERT INTO public.who_data VALUES (1814, 366, 96518, 5, 2971, 8, 55);
INSERT INTO public.who_data VALUES (1815, 264, 65811, 0, 592, 8, 108);
INSERT INTO public.who_data VALUES (1816, 665, 187526, 8, 2110, 8, 48);
INSERT INTO public.who_data VALUES (1817, 0, 136622, 0, 1539, 8, 3);
INSERT INTO public.who_data VALUES (1818, 0, 745, 0, 13, 8, 224);
INSERT INTO public.who_data VALUES (1819, 1270, 560363, 33, 12218, 8, 110);
INSERT INTO public.who_data VALUES (1820, 0, 0, 0, 0, 8, 106);
INSERT INTO public.who_data VALUES (1821, 708, 330075, 22, 5572, 8, 89);
INSERT INTO public.who_data VALUES (1822, 0, 922, 0, 10, 8, 121);
INSERT INTO public.who_data VALUES (1823, 978, 141775, 15, 2891, 8, 163);
INSERT INTO public.who_data VALUES (1824, 8807, 1212309, 186, 43045, 8, 70);
INSERT INTO public.who_data VALUES (1825, 2018, 545300, 26, 11495, 8, 174);
INSERT INTO public.who_data VALUES (1826, 0, 0, 0, 0, 8, 175);
INSERT INTO public.who_data VALUES (1827, 6585, 1583621, 285, 40709, 8, 118);
INSERT INTO public.who_data VALUES (1828, 2854, 781223, 149, 15034, 8, 189);
INSERT INTO public.who_data VALUES (1829, 288, 96924, 5, 1907, 8, 124);
INSERT INTO public.who_data VALUES (1830, 450, 156351, 0, 254, 8, 192);
INSERT INTO public.who_data VALUES (1831, 362, 83199, 7, 1514, 8, 41);
INSERT INTO public.who_data VALUES (1832, 1280, 168826, 19, 3626, 8, 95);
INSERT INTO public.who_data VALUES (1833, 0, 10907, 0, 47, 8, 74);
INSERT INTO public.who_data VALUES (1834, 2550, 757676, 77, 19277, 8, 11);
INSERT INTO public.who_data VALUES (1835, 14861, 4057698, 502, 79696, 8, 87);
INSERT INTO public.who_data VALUES (1836, 132, 17200, 5, 236, 8, 214);
INSERT INTO public.who_data VALUES (1837, 0, 6, 0, 0, 8, 116);
INSERT INTO public.who_data VALUES (1838, 0, 425, 0, 0, 8, 157);
INSERT INTO public.who_data VALUES (1839, 0, 0, 0, 0, 8, 182);
INSERT INTO public.who_data VALUES (1840, 0, 40, 0, 0, 8, 186);
INSERT INTO public.who_data VALUES (1841, 278, 2415, 0, 22, 8, 127);
INSERT INTO public.who_data VALUES (1842, 0, 1377, 0, 12, 8, 232);
INSERT INTO public.who_data VALUES (1843, 0, 24, 0, 0, 8, 33);
INSERT INTO public.who_data VALUES (1844, 25, 1395, 0, 6, 8, 97);
INSERT INTO public.who_data VALUES (1845, 0, 3, 0, 0, 8, 42);
INSERT INTO public.who_data VALUES (1846, 31, 3278, 0, 72, 8, 198);
INSERT INTO public.who_data VALUES (1847, 47, 1478, 0, 19, 8, 216);
INSERT INTO public.who_data VALUES (1848, 353, 372073, 4, 6424, 8, 164);
INSERT INTO public.who_data VALUES (1849, 462, 30376, 11, 735, 8, 235);
INSERT INTO public.who_data VALUES (1850, 1928, 417871, 16, 4199, 8, 67);
INSERT INTO public.who_data VALUES (1851, 107, 1802, 0, 7, 8, 15);
INSERT INTO public.who_data VALUES (1852, 4, 3817, 0, 79, 8, 180);
INSERT INTO public.who_data VALUES (1853, 18, 59777, 0, 29, 8, 237);
INSERT INTO public.who_data VALUES (1854, 0, 20, 0, 0, 8, 25);
INSERT INTO public.who_data VALUES (1855, 13, 1985, 0, 27, 8, 209);
INSERT INTO public.who_data VALUES (1856, 2431, 273904, 104, 5733, 8, 217);
INSERT INTO public.who_data VALUES (1857, 1062, 178137, 12, 4009, 8, 79);
INSERT INTO public.who_data VALUES (1858, 0, 18, 0, 0, 8, 143);
INSERT INTO public.who_data VALUES (1859, 62, 5075, 2, 146, 8, 229);
INSERT INTO public.who_data VALUES (1860, 2781, 1487681, 288, 47670, 8, 141);
INSERT INTO public.who_data VALUES (1861, 174, 5134, 1, 72, 8, 197);
INSERT INTO public.who_data VALUES (1862, 11475, 3080647, 253, 65789, 8, 221);
INSERT INTO public.who_data VALUES (1863, 940, 74056, 5, 384, 8, 150);
INSERT INTO public.who_data VALUES (1864, 26, 29978, 3, 1852, 8, 56);
INSERT INTO public.who_data VALUES (1865, 26, 8765, 2, 166, 8, 167);
INSERT INTO public.who_data VALUES (1866, 3812, 608382, 17, 12601, 8, 23);
INSERT INTO public.who_data VALUES (1867, 1128, 539631, 15, 9081, 8, 222);
INSERT INTO public.who_data VALUES (1868, 41, 14765, 3, 971, 8, 219);
INSERT INTO public.who_data VALUES (1869, 0, 13714, 0, 91, 8, 7);
INSERT INTO public.who_data VALUES (1870, 126, 24405, 0, 80, 8, 161);
INSERT INTO public.who_data VALUES (1871, 15144, 4013803, 758, 116287, 8, 149);
INSERT INTO public.who_data VALUES (1872, 1, 101, 0, 0, 8, 6);
INSERT INTO public.who_data VALUES (1873, 0, 5687, 0, 80, 8, 139);
INSERT INTO public.who_data VALUES (1874, 0, 0, 0, 0, 8, 211);
INSERT INTO public.who_data VALUES (1875, 0, 0, 0, 0, 8, 14);
INSERT INTO public.who_data VALUES (1876, 1, 7632, 0, 136, 8, 111);
INSERT INTO public.who_data VALUES (1877, 977, 221455, 32, 7461, 8, 207);
INSERT INTO public.who_data VALUES (1878, 7763, 2572190, 97, 27284, 8, 66);
INSERT INTO public.who_data VALUES (1879, 0, 0, 0, 0, 8, 173);
INSERT INTO public.who_data VALUES (1880, 28, 1812, 2, 12, 8, 145);
INSERT INTO public.who_data VALUES (1881, 0, 0, 0, 0, 8, 65);
INSERT INTO public.who_data VALUES (1882, 37, 39979, 0, 328, 8, 184);
INSERT INTO public.who_data VALUES (1883, 5182, 1268049, 111, 24285, 8, 98);
INSERT INTO public.who_data VALUES (1884, 3307, 342974, 12, 986, 8, 104);
INSERT INTO public.who_data VALUES (1885, 0, 509, 0, 21, 8, 73);
INSERT INTO public.who_data VALUES (1886, 101693, 27122583, 3584, 471635, 8, 8);
INSERT INTO public.who_data VALUES (1887, 19, 2524, 0, 25, 8, 227);
INSERT INTO public.who_data VALUES (1888, 476, 47254, 8, 524, 8, 75);
INSERT INTO public.who_data VALUES (1889, 41, 79381, 0, 622, 8, 45);
INSERT INTO public.who_data VALUES (1890, 0, 1, 0, 0, 8, 133);
INSERT INTO public.who_data VALUES (1891, 352, 131828, 7, 1260, 8, 202);
INSERT INTO public.who_data VALUES (1892, 2, 2142, 0, 35, 8, 129);
INSERT INTO public.who_data VALUES (1893, 0, 9, 0, 0, 8, 36);
INSERT INTO public.who_data VALUES (1894, 2, 2140, 0, 617, 8, 51);
INSERT INTO public.who_data VALUES (1895, 1083, 67681, 17, 931, 8, 206);
INSERT INTO public.who_data VALUES (1896, 96, 35045, 11, 1393, 8, 5);
INSERT INTO public.who_data VALUES (1897, 25, 55445, 5, 2424, 9, 103);
INSERT INTO public.who_data VALUES (1898, 1105, 89776, 14, 1517, 9, 58);
INSERT INTO public.who_data VALUES (1899, 267, 110049, 4, 2930, 9, 195);
INSERT INTO public.who_data VALUES (1900, 0, 0, 0, 0, 9, 115);
INSERT INTO public.who_data VALUES (1901, 39, 10391, 0, 106, 9, 99);
INSERT INTO public.who_data VALUES (1902, 51, 20261, 0, 487, 9, 153);
INSERT INTO public.who_data VALUES (1903, 0, 18, 0, 0, 9, 93);
INSERT INTO public.who_data VALUES (1904, 31, 381, 0, 9, 9, 84);
INSERT INTO public.who_data VALUES (1905, 7739, 2001034, 118, 49674, 9, 78);
INSERT INTO public.who_data VALUES (1906, 154, 168830, 3, 3138, 9, 170);
INSERT INTO public.who_data VALUES (1907, 33, 7319, 2, 68, 9, 32);
INSERT INTO public.who_data VALUES (1908, 8, 28879, 0, 909, 9, 155);
INSERT INTO public.who_data VALUES (1909, 1654, 425659, 36, 8049, 9, 82);
INSERT INTO public.who_data VALUES (1910, 140, 231649, 3, 3170, 9, 16);
INSERT INTO public.who_data VALUES (1911, 0, 8332, 0, 178, 9, 72);
INSERT INTO public.who_data VALUES (1912, 812, 110416, 2, 393, 9, 43);
INSERT INTO public.who_data VALUES (1913, 418, 539571, 9, 8248, 9, 120);
INSERT INTO public.who_data VALUES (1914, 43, 1857, 0, 20, 9, 213);
INSERT INTO public.who_data VALUES (1915, 1692, 263551, 9, 1820, 9, 31);
INSERT INTO public.who_data VALUES (1916, 2095, 737034, 34, 21598, 9, 204);
INSERT INTO public.who_data VALUES (1917, 28, 12107, 3, 313, 9, 152);
INSERT INTO public.who_data VALUES (1918, 0, 4560, 0, 56, 9, 144);
INSERT INTO public.who_data VALUES (1919, 0, 694, 0, 12, 9, 96);
INSERT INTO public.who_data VALUES (1920, 0, 861, 0, 1, 9, 47);
INSERT INTO public.who_data VALUES (1921, 1771, 232502, 67, 10996, 9, 80);
INSERT INTO public.who_data VALUES (1922, 1, 369, 0, 4, 9, 159);
INSERT INTO public.who_data VALUES (1923, 427, 125123, 15, 4868, 9, 27);
INSERT INTO public.who_data VALUES (1924, 0, 24435, 0, 179, 9, 146);
INSERT INTO public.who_data VALUES (1925, 59602, 9659167, 1330, 234850, 9, 71);
INSERT INTO public.who_data VALUES (1926, 0, 151, 0, 1, 9, 210);
INSERT INTO public.who_data VALUES (1927, 1, 184, 0, 3, 9, 54);
INSERT INTO public.who_data VALUES (1928, 1070, 228044, 34, 9561, 9, 147);
INSERT INTO public.who_data VALUES (1929, 0, 11426, 0, 134, 9, 2);
INSERT INTO public.who_data VALUES (1930, 26, 1797, 0, 3, 9, 105);
INSERT INTO public.who_data VALUES (1931, 58, 14601, 0, 138, 9, 53);
INSERT INTO public.who_data VALUES (1932, 1, 479, 0, 0, 9, 81);
INSERT INTO public.who_data VALUES (1933, 0, 31394, 0, 474, 9, 223);
INSERT INTO public.who_data VALUES (1934, 3185, 813982, 95, 21004, 9, 94);
INSERT INTO public.who_data VALUES (1935, 0, 408, 0, 2, 9, 154);
INSERT INTO public.who_data VALUES (1936, 0, 4996, 0, 63, 9, 83);
INSERT INTO public.who_data VALUES (1937, 13, 3581, 0, 126, 9, 194);
INSERT INTO public.who_data VALUES (1938, 3731, 764307, 157, 19262, 9, 136);
INSERT INTO public.who_data VALUES (1939, 34, 101463, 2, 4836, 9, 179);
INSERT INTO public.who_data VALUES (1940, 6443, 2173347, 226, 56733, 9, 57);
INSERT INTO public.who_data VALUES (1941, 67, 3276, 2, 122, 9, 35);
INSERT INTO public.who_data VALUES (1942, 65, 8419, 1, 123, 9, 228);
INSERT INTO public.who_data VALUES (1943, 0, 0, 0, 0, 9, 19);
INSERT INTO public.who_data VALUES (1944, 486, 198338, 3, 2701, 9, 22);
INSERT INTO public.who_data VALUES (1945, 286, 30526, 2, 171, 9, 1);
INSERT INTO public.who_data VALUES (1946, 371, 237080, 19, 5282, 9, 21);
INSERT INTO public.who_data VALUES (1947, 850, 35772, 4, 253, 9, 234);
INSERT INTO public.who_data VALUES (1948, 8, 4628, 0, 22, 9, 91);
INSERT INTO public.who_data VALUES (1949, 103, 32175, 1, 218, 9, 137);
INSERT INTO public.who_data VALUES (1950, 9014, 1073966, 130, 17902, 9, 201);
INSERT INTO public.who_data VALUES (1951, 0, 0, 0, 0, 9, 171);
INSERT INTO public.who_data VALUES (1952, 136, 24025, 0, 685, 9, 92);
INSERT INTO public.who_data VALUES (1953, 478, 203365, 14, 2269, 9, 112);
INSERT INTO public.who_data VALUES (1954, 4, 5966, 0, 63, 9, 62);
INSERT INTO public.who_data VALUES (1955, 0, 121, 0, 0, 9, 69);
INSERT INTO public.who_data VALUES (1956, 1242, 226714, 21, 2904, 9, 220);
INSERT INTO public.who_data VALUES (1957, 2237, 262313, 58, 15174, 9, 100);
INSERT INTO public.who_data VALUES (1958, 603, 171993, 53, 9857, 9, 187);
INSERT INTO public.who_data VALUES (1959, 0, 56653, 10, 1719, 9, 63);
INSERT INTO public.who_data VALUES (1960, 49, 5663, 0, 87, 9, 28);
INSERT INTO public.who_data VALUES (1961, 11, 2429, 0, 7, 9, 172);
INSERT INTO public.who_data VALUES (1962, 713, 50993, 6, 486, 9, 17);
INSERT INTO public.who_data VALUES (1963, 55, 16396, 3, 619, 9, 226);
INSERT INTO public.who_data VALUES (1964, 613, 144862, 4, 2171, 9, 236);
INSERT INTO public.who_data VALUES (1965, 0, 49, 0, 0, 9, 76);
INSERT INTO public.who_data VALUES (1966, 0, 657, 0, 1, 9, 30);
INSERT INTO public.who_data VALUES (1967, 0, 56, 0, 2, 9, 128);
INSERT INTO public.who_data VALUES (1968, 358, 49165, 2, 708, 9, 86);
INSERT INTO public.who_data VALUES (1969, 20406, 3349393, 357, 80389, 9, 140);
INSERT INTO public.who_data VALUES (1970, 0, 16296, 0, 79, 9, 44);
INSERT INTO public.who_data VALUES (1971, 13, 18257, 0, 135, 9, 113);
INSERT INTO public.who_data VALUES (1972, 0, 12171, 0, 71, 9, 29);
INSERT INTO public.who_data VALUES (1973, 0, 4302, 0, 135, 9, 125);
INSERT INTO public.who_data VALUES (1974, 507, 264665, 15, 3336, 9, 131);
INSERT INTO public.who_data VALUES (1975, 9860, 2320093, 556, 64191, 9, 46);
INSERT INTO public.who_data VALUES (1976, 554, 73557, 12, 494, 9, 10);
INSERT INTO public.who_data VALUES (1977, 7, 4197, 0, 83, 9, 205);
INSERT INTO public.who_data VALUES (1978, 1323, 168872, 22, 6056, 9, 50);
INSERT INTO public.who_data VALUES (1979, 0, 30, 0, 0, 9, 20);
INSERT INTO public.who_data VALUES (1980, 0, 148, 0, 1, 9, 13);
INSERT INTO public.who_data VALUES (1981, 0, 9302, 0, 159, 9, 148);
INSERT INTO public.who_data VALUES (1982, 2, 7478, 0, 130, 9, 230);
INSERT INTO public.who_data VALUES (1983, 786, 165532, 34, 6023, 9, 190);
INSERT INTO public.who_data VALUES (1984, 8, 760, 0, 13, 9, 188);
INSERT INTO public.who_data VALUES (1985, 37, 14828, 0, 84, 9, 123);
INSERT INTO public.who_data VALUES (1986, 22, 2848, 0, 46, 9, 9);
INSERT INTO public.who_data VALUES (1987, 51, 8092, 1, 182, 9, 102);
INSERT INTO public.who_data VALUES (1988, 25, 12016, 0, 246, 9, 34);
INSERT INTO public.who_data VALUES (1989, 0, 26, 0, 0, 9, 212);
INSERT INTO public.who_data VALUES (1990, 862, 157468, 17, 3806, 9, 122);
INSERT INTO public.who_data VALUES (1991, 1860, 383735, 99, 13543, 9, 38);
INSERT INTO public.who_data VALUES (1992, 0, 6026, 0, 29, 9, 130);
INSERT INTO public.who_data VALUES (1993, 9309, 10880603, 87, 155447, 9, 37);
INSERT INTO public.who_data VALUES (1994, 8435, 1191990, 214, 32381, 9, 231);
INSERT INTO public.who_data VALUES (1995, 7474, 1496455, 65, 58751, 9, 107);
INSERT INTO public.who_data VALUES (1996, 2369, 636908, 4, 13144, 9, 101);
INSERT INTO public.who_data VALUES (1997, 862, 206801, 52, 3846, 9, 132);
INSERT INTO public.who_data VALUES (1998, 0, 436, 0, 25, 9, 176);
INSERT INTO public.who_data VALUES (1999, 5754, 710846, 32, 5270, 9, 200);
INSERT INTO public.who_data VALUES (2000, 15137, 2683403, 391, 92729, 9, 169);
INSERT INTO public.who_data VALUES (2001, 329, 18237, 1, 363, 9, 225);
INSERT INTO public.who_data VALUES (2002, 1739, 411751, 96, 6774, 9, 165);
INSERT INTO public.who_data VALUES (2003, 3, 3190, 0, 67, 9, 233);
INSERT INTO public.who_data VALUES (2004, 1807, 341984, 10, 4421, 9, 215);
INSERT INTO public.who_data VALUES (2005, 996, 249562, 0, 3185, 9, 177);
INSERT INTO public.who_data VALUES (2006, 132, 102353, 3, 1794, 9, 183);
INSERT INTO public.who_data VALUES (2007, 0, 0, 0, 0, 9, 203);
INSERT INTO public.who_data VALUES (2008, 344, 63390, 2, 1524, 9, 162);
INSERT INTO public.who_data VALUES (2009, 1048, 175031, 5, 985, 9, 12);
INSERT INTO public.who_data VALUES (2010, 70, 85398, 2, 1439, 9, 24);
INSERT INTO public.who_data VALUES (2011, 0, 45, 0, 0, 9, 119);
INSERT INTO public.who_data VALUES (2012, 842, 74701, 21, 1416, 9, 39);
INSERT INTO public.who_data VALUES (2013, 3136, 331152, 63, 3866, 9, 26);
INSERT INTO public.who_data VALUES (2014, 14, 9818, 2, 212, 9, 59);
INSERT INTO public.who_data VALUES (2015, 13, 1969, 0, 84, 9, 77);
INSERT INTO public.who_data VALUES (2016, 333, 126361, 20, 2009, 9, 134);
INSERT INTO public.who_data VALUES (2017, 3, 2612, 0, 51, 9, 4);
INSERT INTO public.who_data VALUES (2018, 0, 189058, 0, 3013, 9, 109);
INSERT INTO public.who_data VALUES (2019, 145, 52392, 2, 604, 9, 90);
INSERT INTO public.who_data VALUES (2020, 0, 19360, 0, 285, 9, 61);
INSERT INTO public.who_data VALUES (2021, 220, 28270, 14, 914, 9, 85);
INSERT INTO public.who_data VALUES (2022, 3384, 254988, 13, 936, 9, 49);
INSERT INTO public.who_data VALUES (2023, 186, 17387, 0, 56, 9, 208);
INSERT INTO public.who_data VALUES (2024, 15, 8218, 1, 340, 9, 166);
INSERT INTO public.who_data VALUES (2025, 151, 19333, 0, 286, 9, 64);
INSERT INTO public.who_data VALUES (2026, 0, 4, 0, 0, 9, 199);
INSERT INTO public.who_data VALUES (2027, 0, 6521, 0, 45, 9, 114);
INSERT INTO public.who_data VALUES (2028, 0, 16777, 0, 425, 9, 60);
INSERT INTO public.who_data VALUES (2029, 1, 595, 0, 10, 9, 68);
INSERT INTO public.who_data VALUES (2030, 657, 12440, 3, 72, 9, 158);
INSERT INTO public.who_data VALUES (2031, 11138, 1957889, 1328, 169760, 9, 52);
INSERT INTO public.who_data VALUES (2032, 0, 0, 0, 0, 9, 117);
INSERT INTO public.who_data VALUES (2033, 18, 1735, 0, 20, 9, 126);
INSERT INTO public.who_data VALUES (2034, 33, 2207, 0, 2, 9, 196);
INSERT INTO public.who_data VALUES (2035, 482, 68496, 11, 880, 9, 142);
INSERT INTO public.who_data VALUES (2036, 1, 19, 0, 1, 9, 185);
INSERT INTO public.who_data VALUES (2037, 471, 477160, 4, 8440, 9, 138);
INSERT INTO public.who_data VALUES (2038, 1054, 47790, 15, 501, 9, 181);
INSERT INTO public.who_data VALUES (2039, 35, 141522, 3, 3184, 9, 178);
INSERT INTO public.who_data VALUES (2040, 111, 35353, 4, 382, 9, 168);
INSERT INTO public.who_data VALUES (2041, 0, 0, 0, 0, 9, 160);
INSERT INTO public.who_data VALUES (2042, 81, 272430, 5, 2052, 9, 151);
INSERT INTO public.who_data VALUES (2043, 4438, 1017132, 74, 14655, 9, 193);
INSERT INTO public.who_data VALUES (2044, 0, 50, 0, 0, 9, 18);
INSERT INTO public.who_data VALUES (2045, 2, 1970, 0, 25, 9, 40);
INSERT INTO public.who_data VALUES (2046, 0, 5064, 0, 171, 9, 218);
INSERT INTO public.who_data VALUES (2047, 22, 4665, 0, 167, 9, 191);
INSERT INTO public.who_data VALUES (2048, 938, 143516, 8, 1710, 9, 156);
INSERT INTO public.who_data VALUES (2049, 0, 0, 0, 0, 9, 135);
INSERT INTO public.who_data VALUES (2050, 1, 134, 0, 2, 9, 88);
INSERT INTO public.who_data VALUES (2051, 416, 96152, 7, 2966, 9, 55);
INSERT INTO public.who_data VALUES (2052, 209, 65547, 0, 592, 9, 108);
INSERT INTO public.who_data VALUES (2053, 1101, 186861, 2, 2102, 9, 48);
INSERT INTO public.who_data VALUES (2054, 245, 136622, 2, 1539, 9, 3);
INSERT INTO public.who_data VALUES (2055, 0, 745, 0, 13, 9, 224);
INSERT INTO public.who_data VALUES (2056, 1502, 559093, 57, 12185, 9, 110);
INSERT INTO public.who_data VALUES (2057, 0, 0, 0, 0, 9, 106);
INSERT INTO public.who_data VALUES (2058, 891, 329367, 19, 5550, 9, 89);
INSERT INTO public.who_data VALUES (2059, 8, 922, 1, 10, 9, 121);
INSERT INTO public.who_data VALUES (2060, 978, 140797, 14, 2876, 9, 163);
INSERT INTO public.who_data VALUES (2061, 6724, 1203502, 233, 42859, 9, 70);
INSERT INTO public.who_data VALUES (2062, 1722, 543282, 68, 11469, 9, 174);
INSERT INTO public.who_data VALUES (2063, 0, 0, 0, 0, 9, 175);
INSERT INTO public.who_data VALUES (2064, 6378, 1577036, 247, 40424, 9, 118);
INSERT INTO public.who_data VALUES (2065, 3480, 778369, 167, 14885, 9, 189);
INSERT INTO public.who_data VALUES (2066, 142, 96636, 5, 1902, 9, 124);
INSERT INTO public.who_data VALUES (2067, 448, 155901, 1, 254, 9, 192);
INSERT INTO public.who_data VALUES (2068, 403, 82837, 11, 1507, 9, 41);
INSERT INTO public.who_data VALUES (2069, 993, 167546, 18, 3607, 9, 95);
INSERT INTO public.who_data VALUES (2070, 0, 10907, 0, 47, 9, 74);
INSERT INTO public.who_data VALUES (2071, 2644, 755126, 65, 19200, 9, 11);
INSERT INTO public.who_data VALUES (2072, 15089, 4042837, 507, 79194, 9, 87);
INSERT INTO public.who_data VALUES (2073, 127, 17068, 2, 231, 9, 214);
INSERT INTO public.who_data VALUES (2074, 0, 6, 0, 0, 9, 116);
INSERT INTO public.who_data VALUES (2075, 0, 425, 0, 0, 9, 157);
INSERT INTO public.who_data VALUES (2076, 0, 0, 0, 0, 9, 182);
INSERT INTO public.who_data VALUES (2077, 0, 40, 0, 0, 9, 186);
INSERT INTO public.who_data VALUES (2078, 0, 2137, 0, 22, 9, 127);
INSERT INTO public.who_data VALUES (2079, 0, 1377, 0, 12, 9, 232);
INSERT INTO public.who_data VALUES (2080, 0, 24, 0, 0, 9, 33);
INSERT INTO public.who_data VALUES (2081, 30, 1370, 0, 6, 9, 97);
INSERT INTO public.who_data VALUES (2082, 0, 3, 0, 0, 9, 42);
INSERT INTO public.who_data VALUES (2083, 34, 3247, 1, 72, 9, 198);
INSERT INTO public.who_data VALUES (2084, 1, 1431, 1, 19, 9, 216);
INSERT INTO public.who_data VALUES (2085, 364, 371720, 5, 6420, 9, 164);
INSERT INTO public.who_data VALUES (2086, 393, 29914, 12, 724, 9, 235);
INSERT INTO public.who_data VALUES (2087, 2000, 415943, 15, 4183, 9, 67);
INSERT INTO public.who_data VALUES (2088, 0, 1695, 0, 7, 9, 15);
INSERT INTO public.who_data VALUES (2089, 10, 3813, 0, 79, 9, 180);
INSERT INTO public.who_data VALUES (2090, 12, 59759, 0, 29, 9, 237);
INSERT INTO public.who_data VALUES (2091, 0, 20, 0, 0, 9, 25);
INSERT INTO public.who_data VALUES (2092, 20, 1972, 0, 27, 9, 209);
INSERT INTO public.who_data VALUES (2093, 2487, 271473, 127, 5629, 9, 217);
INSERT INTO public.who_data VALUES (2094, 1368, 177075, 8, 3997, 9, 79);
INSERT INTO public.who_data VALUES (2095, 0, 18, 0, 0, 9, 143);
INSERT INTO public.who_data VALUES (2096, 78, 5013, 5, 144, 9, 229);
INSERT INTO public.who_data VALUES (2097, 2488, 1484900, 237, 47382, 9, 141);
INSERT INTO public.who_data VALUES (2098, 0, 4960, 0, 71, 9, 197);
INSERT INTO public.who_data VALUES (2099, 13048, 3069172, 298, 65536, 9, 221);
INSERT INTO public.who_data VALUES (2100, 942, 73116, 4, 379, 9, 150);
INSERT INTO public.who_data VALUES (2101, 19, 29952, 0, 1849, 9, 56);
INSERT INTO public.who_data VALUES (2102, 29, 8739, 1, 164, 9, 167);
INSERT INTO public.who_data VALUES (2103, 4357, 604570, 19, 12584, 9, 23);
INSERT INTO public.who_data VALUES (2104, 1171, 538503, 13, 9066, 9, 222);
INSERT INTO public.who_data VALUES (2105, 56, 14724, 3, 968, 9, 219);
INSERT INTO public.who_data VALUES (2106, 0, 13714, 0, 91, 9, 7);
INSERT INTO public.who_data VALUES (2107, 175, 24279, 0, 80, 9, 161);
INSERT INTO public.who_data VALUES (2108, 13494, 3998659, 678, 115529, 9, 149);
INSERT INTO public.who_data VALUES (2109, 0, 100, 0, 0, 9, 6);
INSERT INTO public.who_data VALUES (2110, 81, 5687, 0, 80, 9, 139);
INSERT INTO public.who_data VALUES (2111, 0, 0, 0, 0, 9, 211);
INSERT INTO public.who_data VALUES (2112, 0, 0, 0, 0, 9, 14);
INSERT INTO public.who_data VALUES (2113, 14, 7631, 0, 136, 9, 111);
INSERT INTO public.who_data VALUES (2114, 828, 220478, 51, 7429, 9, 207);
INSERT INTO public.who_data VALUES (2115, 7590, 2564427, 94, 27187, 9, 66);
INSERT INTO public.who_data VALUES (2116, 0, 0, 0, 0, 9, 173);
INSERT INTO public.who_data VALUES (2117, 46, 1784, 1, 10, 9, 145);
INSERT INTO public.who_data VALUES (2118, 0, 0, 0, 0, 9, 65);
INSERT INTO public.who_data VALUES (2119, 31, 39942, 0, 328, 9, 184);
INSERT INTO public.who_data VALUES (2120, 4773, 1262867, 116, 24174, 9, 98);
INSERT INTO public.who_data VALUES (2121, 3525, 339667, 18, 974, 9, 104);
INSERT INTO public.who_data VALUES (2122, 0, 509, 0, 21, 9, 73);
INSERT INTO public.who_data VALUES (2123, 97134, 27020890, 3639, 468051, 9, 8);
INSERT INTO public.who_data VALUES (2124, 20, 2505, 1, 25, 9, 227);
INSERT INTO public.who_data VALUES (2125, 625, 46778, 10, 516, 9, 75);
INSERT INTO public.who_data VALUES (2126, 37, 79340, 0, 622, 9, 45);
INSERT INTO public.who_data VALUES (2127, 0, 1, 0, 0, 9, 133);
INSERT INTO public.who_data VALUES (2128, 380, 131476, 6, 1253, 9, 202);
INSERT INTO public.who_data VALUES (2129, 31, 2140, 0, 35, 9, 129);
INSERT INTO public.who_data VALUES (2130, 0, 9, 0, 0, 9, 36);
INSERT INTO public.who_data VALUES (2131, 1, 2138, 0, 617, 9, 51);
INSERT INTO public.who_data VALUES (2132, 1025, 66598, 13, 914, 9, 206);
INSERT INTO public.who_data VALUES (2133, 85, 34949, 18, 1382, 9, 5);
INSERT INTO public.who_data VALUES (2134, 18, 55420, 1, 2419, 10, 103);
INSERT INTO public.who_data VALUES (2135, 1143, 88671, 15, 1503, 10, 58);
INSERT INTO public.who_data VALUES (2136, 223, 109782, 2, 2926, 10, 195);
INSERT INTO public.who_data VALUES (2137, 0, 0, 0, 0, 10, 115);
INSERT INTO public.who_data VALUES (2138, 40, 10352, 0, 106, 10, 99);
INSERT INTO public.who_data VALUES (2139, 47, 20210, 9, 487, 10, 153);
INSERT INTO public.who_data VALUES (2140, 0, 18, 0, 0, 10, 93);
INSERT INTO public.who_data VALUES (2141, 34, 350, 1, 9, 10, 84);
INSERT INTO public.who_data VALUES (2142, 7794, 1993295, 158, 49556, 10, 78);
INSERT INTO public.who_data VALUES (2143, 180, 168676, 5, 3135, 10, 170);
INSERT INTO public.who_data VALUES (2144, 48, 7286, 2, 66, 10, 32);
INSERT INTO public.who_data VALUES (2145, 11, 28871, 0, 909, 10, 155);
INSERT INTO public.who_data VALUES (2146, 1433, 424005, 29, 8013, 10, 82);
INSERT INTO public.who_data VALUES (2147, 147, 231509, 4, 3167, 10, 16);
INSERT INTO public.who_data VALUES (2148, 41, 8332, 2, 178, 10, 72);
INSERT INTO public.who_data VALUES (2149, 797, 109604, 4, 391, 10, 43);
INSERT INTO public.who_data VALUES (2150, 388, 539153, 10, 8239, 10, 120);
INSERT INTO public.who_data VALUES (2151, 82, 1814, 2, 20, 10, 213);
INSERT INTO public.who_data VALUES (2152, 1799, 261859, 10, 1811, 10, 31);
INSERT INTO public.who_data VALUES (2153, 2157, 734939, 42, 21564, 10, 204);
INSERT INTO public.who_data VALUES (2154, 9, 12079, 3, 310, 10, 152);
INSERT INTO public.who_data VALUES (2155, 0, 4560, 0, 56, 10, 144);
INSERT INTO public.who_data VALUES (2156, 0, 694, 0, 12, 10, 96);
INSERT INTO public.who_data VALUES (2157, 0, 861, 0, 1, 10, 47);
INSERT INTO public.who_data VALUES (2158, 1544, 230731, 65, 10929, 10, 80);
INSERT INTO public.who_data VALUES (2159, 0, 368, 1, 4, 10, 159);
INSERT INTO public.who_data VALUES (2160, 253, 124696, 19, 4853, 10, 27);
INSERT INTO public.who_data VALUES (2161, 0, 24435, 0, 179, 10, 146);
INSERT INTO public.who_data VALUES (2162, 51486, 9599565, 1350, 233520, 10, 71);
INSERT INTO public.who_data VALUES (2163, 10, 151, 0, 1, 10, 210);
INSERT INTO public.who_data VALUES (2164, 1, 183, 0, 3, 10, 54);
INSERT INTO public.who_data VALUES (2165, 913, 226974, 45, 9527, 10, 147);
INSERT INTO public.who_data VALUES (2166, 59, 11426, 0, 134, 10, 2);
INSERT INTO public.who_data VALUES (2167, 20, 1771, 0, 3, 10, 105);
INSERT INTO public.who_data VALUES (2168, 64, 14543, 1, 138, 10, 53);
INSERT INTO public.who_data VALUES (2169, 0, 478, 0, 0, 10, 81);
INSERT INTO public.who_data VALUES (2170, 0, 31394, 0, 474, 10, 223);
INSERT INTO public.who_data VALUES (2171, 2677, 810797, 74, 20909, 10, 94);
INSERT INTO public.who_data VALUES (2172, 0, 408, 0, 2, 10, 154);
INSERT INTO public.who_data VALUES (2173, 7, 4996, 0, 63, 10, 83);
INSERT INTO public.who_data VALUES (2174, 29, 3568, 1, 126, 10, 194);
INSERT INTO public.who_data VALUES (2175, 2387, 760576, 21, 19105, 10, 136);
INSERT INTO public.who_data VALUES (2176, 21, 101429, 1, 4834, 10, 179);
INSERT INTO public.who_data VALUES (2177, 5442, 2166904, 217, 56507, 10, 57);
INSERT INTO public.who_data VALUES (2178, 30, 3209, 2, 120, 10, 35);
INSERT INTO public.who_data VALUES (2179, 0, 8354, 0, 122, 10, 228);
INSERT INTO public.who_data VALUES (2180, 0, 0, 0, 0, 10, 19);
INSERT INTO public.who_data VALUES (2181, 417, 197852, 6, 2698, 10, 22);
INSERT INTO public.who_data VALUES (2182, 166, 30240, 4, 169, 10, 1);
INSERT INTO public.who_data VALUES (2183, 376, 236709, 25, 5263, 10, 21);
INSERT INTO public.who_data VALUES (2184, 858, 34922, 5, 249, 10, 234);
INSERT INTO public.who_data VALUES (2185, 7, 4620, 1, 22, 10, 91);
INSERT INTO public.who_data VALUES (2186, 113, 32072, 3, 217, 10, 137);
INSERT INTO public.who_data VALUES (2187, 9537, 1064952, 130, 17772, 10, 201);
INSERT INTO public.who_data VALUES (2188, 0, 0, 0, 0, 10, 171);
INSERT INTO public.who_data VALUES (2189, 119, 23889, 2, 685, 10, 92);
INSERT INTO public.who_data VALUES (2190, 470, 202887, 11, 2255, 10, 112);
INSERT INTO public.who_data VALUES (2191, 3, 5962, 0, 63, 10, 62);
INSERT INTO public.who_data VALUES (2192, 0, 121, 0, 0, 10, 69);
INSERT INTO public.who_data VALUES (2193, 934, 225472, 19, 2883, 10, 220);
INSERT INTO public.who_data VALUES (2194, 293, 260076, 30, 15116, 10, 100);
INSERT INTO public.who_data VALUES (2195, 610, 171390, 53, 9804, 10, 187);
INSERT INTO public.who_data VALUES (2196, 0, 56653, 8, 1709, 10, 63);
INSERT INTO public.who_data VALUES (2197, 0, 5614, 0, 87, 10, 28);
INSERT INTO public.who_data VALUES (2198, 17, 2418, 0, 7, 10, 172);
INSERT INTO public.who_data VALUES (2199, 675, 50280, 3, 480, 10, 17);
INSERT INTO public.who_data VALUES (2200, 53, 16341, 6, 616, 10, 226);
INSERT INTO public.who_data VALUES (2201, 683, 144249, 9, 2167, 10, 236);
INSERT INTO public.who_data VALUES (2202, 0, 49, 0, 0, 10, 76);
INSERT INTO public.who_data VALUES (2203, 0, 657, 0, 1, 10, 30);
INSERT INTO public.who_data VALUES (2204, 0, 56, 0, 2, 10, 128);
INSERT INTO public.who_data VALUES (2205, 400, 48807, 3, 706, 10, 86);
INSERT INTO public.who_data VALUES (2206, 24631, 3328987, 295, 80032, 10, 140);
INSERT INTO public.who_data VALUES (2207, 0, 16296, 0, 79, 10, 44);
INSERT INTO public.who_data VALUES (2208, 22, 18244, 0, 135, 10, 113);
INSERT INTO public.who_data VALUES (2209, 335, 12171, 0, 71, 10, 29);
INSERT INTO public.who_data VALUES (2210, 0, 4302, 0, 135, 10, 125);
INSERT INTO public.who_data VALUES (2211, 557, 264158, 10, 3321, 10, 131);
INSERT INTO public.who_data VALUES (2212, 10237, 2310233, 666, 63635, 10, 46);
INSERT INTO public.who_data VALUES (2213, 0, 73003, 0, 482, 10, 10);
INSERT INTO public.who_data VALUES (2214, 3, 4190, 0, 83, 10, 205);
INSERT INTO public.who_data VALUES (2215, 1482, 167549, 17, 6034, 10, 50);
INSERT INTO public.who_data VALUES (2216, 0, 30, 0, 0, 10, 20);
INSERT INTO public.who_data VALUES (2217, 0, 148, 0, 1, 10, 13);
INSERT INTO public.who_data VALUES (2218, 0, 9302, 0, 159, 10, 148);
INSERT INTO public.who_data VALUES (2219, 10, 7476, 0, 130, 10, 230);
INSERT INTO public.who_data VALUES (2220, 753, 164746, 34, 5989, 10, 190);
INSERT INTO public.who_data VALUES (2221, 11, 752, 0, 13, 10, 188);
INSERT INTO public.who_data VALUES (2222, 27, 14791, 0, 84, 10, 123);
INSERT INTO public.who_data VALUES (2223, 16, 2826, 0, 46, 10, 9);
INSERT INTO public.who_data VALUES (2224, 18, 8041, 0, 181, 10, 102);
INSERT INTO public.who_data VALUES (2225, 22, 11991, 0, 246, 10, 34);
INSERT INTO public.who_data VALUES (2226, 0, 26, 0, 0, 10, 212);
INSERT INTO public.who_data VALUES (2227, 871, 156606, 47, 3789, 10, 122);
INSERT INTO public.who_data VALUES (2228, 1862, 381875, 97, 13444, 10, 38);
INSERT INTO public.who_data VALUES (2229, 1, 6026, 0, 29, 10, 130);
INSERT INTO public.who_data VALUES (2230, 12923, 10871294, 108, 155360, 10, 37);
INSERT INTO public.who_data VALUES (2231, 8776, 1183555, 191, 32167, 10, 231);
INSERT INTO public.who_data VALUES (2232, 7585, 1488981, 61, 58686, 10, 107);
INSERT INTO public.who_data VALUES (2233, 2282, 634539, 6, 13140, 10, 101);
INSERT INTO public.who_data VALUES (2234, 999, 205939, 42, 3794, 10, 132);
INSERT INTO public.who_data VALUES (2235, 1, 436, 0, 25, 10, 176);
INSERT INTO public.who_data VALUES (2236, 6075, 705092, 39, 5238, 10, 200);
INSERT INTO public.who_data VALUES (2237, 12947, 2668266, 336, 92338, 10, 169);
INSERT INTO public.who_data VALUES (2238, 207, 17908, 3, 362, 10, 225);
INSERT INTO public.who_data VALUES (2239, 1826, 410012, 121, 6678, 10, 165);
INSERT INTO public.who_data VALUES (2240, 10, 3187, 0, 67, 10, 233);
INSERT INTO public.who_data VALUES (2241, 1855, 340177, 16, 4411, 10, 215);
INSERT INTO public.who_data VALUES (2242, 1033, 248566, 0, 3185, 10, 177);
INSERT INTO public.who_data VALUES (2243, 173, 102221, 2, 1791, 10, 183);
INSERT INTO public.who_data VALUES (2244, 0, 0, 0, 0, 10, 203);
INSERT INTO public.who_data VALUES (2245, 307, 63046, 4, 1522, 10, 162);
INSERT INTO public.who_data VALUES (2246, 987, 173983, 5, 980, 10, 12);
INSERT INTO public.who_data VALUES (2247, 75, 85328, 1, 1437, 10, 24);
INSERT INTO public.who_data VALUES (2248, 0, 45, 0, 0, 10, 119);
INSERT INTO public.who_data VALUES (2249, 990, 73859, 32, 1395, 10, 39);
INSERT INTO public.who_data VALUES (2250, 3157, 328016, 66, 3803, 10, 26);
INSERT INTO public.who_data VALUES (2251, 86, 9804, 3, 210, 10, 59);
INSERT INTO public.who_data VALUES (2252, 0, 1956, 0, 84, 10, 77);
INSERT INTO public.who_data VALUES (2253, 467, 126028, 7, 1989, 10, 134);
INSERT INTO public.who_data VALUES (2254, 2, 2609, 0, 51, 10, 4);
INSERT INTO public.who_data VALUES (2255, 1067, 189058, 25, 3013, 10, 109);
INSERT INTO public.who_data VALUES (2256, 225, 52247, 2, 602, 10, 90);
INSERT INTO public.who_data VALUES (2257, 0, 19360, 0, 285, 10, 61);
INSERT INTO public.who_data VALUES (2258, 328, 28050, 17, 900, 10, 85);
INSERT INTO public.who_data VALUES (2259, 3288, 251604, 14, 923, 10, 49);
INSERT INTO public.who_data VALUES (2260, 100, 17201, 0, 56, 10, 208);
INSERT INTO public.who_data VALUES (2261, 11, 8203, 0, 339, 10, 166);
INSERT INTO public.who_data VALUES (2262, 167, 19182, 2, 286, 10, 64);
INSERT INTO public.who_data VALUES (2263, 0, 4, 0, 0, 10, 199);
INSERT INTO public.who_data VALUES (2264, 0, 6521, 0, 45, 10, 114);
INSERT INTO public.who_data VALUES (2265, 0, 16777, 0, 425, 10, 60);
INSERT INTO public.who_data VALUES (2266, 10, 594, 0, 10, 10, 68);
INSERT INTO public.who_data VALUES (2267, 336, 11783, 1, 69, 10, 158);
INSERT INTO public.who_data VALUES (2268, 10738, 1946751, 1701, 168432, 10, 52);
INSERT INTO public.who_data VALUES (2269, 0, 0, 0, 0, 10, 117);
INSERT INTO public.who_data VALUES (2270, 22, 1717, 0, 20, 10, 126);
INSERT INTO public.who_data VALUES (2271, 54, 2174, 0, 2, 10, 196);
INSERT INTO public.who_data VALUES (2272, 562, 68014, 8, 869, 10, 142);
INSERT INTO public.who_data VALUES (2273, 0, 18, 0, 1, 10, 185);
INSERT INTO public.who_data VALUES (2274, 564, 476689, 12, 8436, 10, 138);
INSERT INTO public.who_data VALUES (2275, 951, 46736, 6, 486, 10, 181);
INSERT INTO public.who_data VALUES (2276, 39, 141487, 1, 3181, 10, 178);
INSERT INTO public.who_data VALUES (2277, 41, 35242, 1, 378, 10, 168);
INSERT INTO public.who_data VALUES (2278, 0, 0, 0, 0, 10, 160);
INSERT INTO public.who_data VALUES (2279, 134, 272349, 0, 2047, 10, 151);
INSERT INTO public.who_data VALUES (2280, 3192, 1012694, 78, 14581, 10, 193);
INSERT INTO public.who_data VALUES (2281, 0, 50, 0, 0, 10, 18);
INSERT INTO public.who_data VALUES (2282, 1, 1968, 0, 25, 10, 40);
INSERT INTO public.who_data VALUES (2283, 0, 5064, 0, 171, 10, 218);
INSERT INTO public.who_data VALUES (2284, 0, 4643, 0, 167, 10, 191);
INSERT INTO public.who_data VALUES (2285, 1131, 142578, 8, 1702, 10, 156);
INSERT INTO public.who_data VALUES (2286, 0, 0, 0, 0, 10, 135);
INSERT INTO public.who_data VALUES (2287, 0, 133, 0, 2, 10, 88);
INSERT INTO public.who_data VALUES (2288, 389, 95736, 4, 2959, 10, 55);
INSERT INTO public.who_data VALUES (2289, 222, 65338, 9, 592, 10, 108);
INSERT INTO public.who_data VALUES (2290, 761, 185760, 12, 2100, 10, 48);
INSERT INTO public.who_data VALUES (2291, 190, 136377, 1, 1537, 10, 3);
INSERT INTO public.who_data VALUES (2292, 0, 745, 0, 13, 10, 224);
INSERT INTO public.who_data VALUES (2293, 1072, 557591, 62, 12128, 10, 110);
INSERT INTO public.who_data VALUES (2294, 0, 0, 0, 0, 10, 106);
INSERT INTO public.who_data VALUES (2295, 822, 328476, 25, 5531, 10, 89);
INSERT INTO public.who_data VALUES (2296, 14, 914, 0, 9, 10, 121);
INSERT INTO public.who_data VALUES (2297, 874, 139819, 16, 2862, 10, 163);
INSERT INTO public.who_data VALUES (2298, 5557, 1196778, 159, 42626, 10, 70);
INSERT INTO public.who_data VALUES (2299, 1333, 541560, 105, 11401, 10, 174);
INSERT INTO public.who_data VALUES (2300, 0, 0, 0, 0, 10, 175);
INSERT INTO public.who_data VALUES (2301, 7013, 1570658, 456, 40177, 10, 118);
INSERT INTO public.who_data VALUES (2302, 4387, 774889, 161, 14718, 10, 189);
INSERT INTO public.who_data VALUES (2303, 92, 96494, 4, 1897, 10, 124);
INSERT INTO public.who_data VALUES (2304, 451, 155453, 0, 253, 10, 192);
INSERT INTO public.who_data VALUES (2305, 504, 82434, 10, 1496, 10, 41);
INSERT INTO public.who_data VALUES (2306, 890, 166553, 16, 3589, 10, 95);
INSERT INTO public.who_data VALUES (2307, 420, 10907, 0, 47, 10, 74);
INSERT INTO public.who_data VALUES (2308, 3048, 752482, 79, 19135, 10, 11);
INSERT INTO public.who_data VALUES (2309, 15038, 4027748, 553, 78687, 10, 87);
INSERT INTO public.who_data VALUES (2310, 130, 16941, 3, 229, 10, 214);
INSERT INTO public.who_data VALUES (2311, 0, 6, 0, 0, 10, 116);
INSERT INTO public.who_data VALUES (2312, 0, 425, 0, 0, 10, 157);
INSERT INTO public.who_data VALUES (2313, 0, 0, 0, 0, 10, 182);
INSERT INTO public.who_data VALUES (2314, 0, 40, 0, 0, 10, 186);
INSERT INTO public.who_data VALUES (2315, 110, 2137, 3, 22, 10, 127);
INSERT INTO public.who_data VALUES (2316, 0, 1377, 0, 12, 10, 232);
INSERT INTO public.who_data VALUES (2317, 0, 24, 0, 0, 10, 33);
INSERT INTO public.who_data VALUES (2318, 16, 1340, 2, 6, 10, 97);
INSERT INTO public.who_data VALUES (2319, 0, 3, 0, 0, 10, 42);
INSERT INTO public.who_data VALUES (2320, 26, 3213, 0, 71, 10, 198);
INSERT INTO public.who_data VALUES (2321, 45, 1430, 0, 18, 10, 216);
INSERT INTO public.who_data VALUES (2322, 369, 371356, 5, 6415, 10, 164);
INSERT INTO public.who_data VALUES (2323, 276, 29521, 12, 712, 10, 235);
INSERT INTO public.who_data VALUES (2324, 2088, 413943, 14, 4168, 10, 67);
INSERT INTO public.who_data VALUES (2325, 120, 1695, 0, 7, 10, 15);
INSERT INTO public.who_data VALUES (2326, 14, 3803, 0, 79, 10, 180);
INSERT INTO public.who_data VALUES (2327, 15, 59747, 0, 29, 10, 237);
INSERT INTO public.who_data VALUES (2328, 0, 20, 0, 0, 10, 25);
INSERT INTO public.who_data VALUES (2329, 14, 1952, 0, 27, 10, 209);
INSERT INTO public.who_data VALUES (2330, 3179, 268986, 120, 5502, 10, 217);
INSERT INTO public.who_data VALUES (2331, 1388, 175707, 10, 3989, 10, 79);
INSERT INTO public.who_data VALUES (2332, 0, 18, 0, 0, 10, 143);
INSERT INTO public.who_data VALUES (2333, 73, 4935, 5, 139, 10, 229);
INSERT INTO public.who_data VALUES (2334, 3159, 1482412, 276, 47145, 10, 141);
INSERT INTO public.who_data VALUES (2335, 351, 4960, 6, 71, 10, 197);
INSERT INTO public.who_data VALUES (2336, 15084, 3056124, 284, 65238, 10, 221);
INSERT INTO public.who_data VALUES (2337, 963, 72174, 5, 375, 10, 150);
INSERT INTO public.who_data VALUES (2338, 32, 29933, 6, 1849, 10, 56);
INSERT INTO public.who_data VALUES (2339, 20, 8710, 1, 163, 10, 167);
INSERT INTO public.who_data VALUES (2340, 4073, 600213, 22, 12565, 10, 23);
INSERT INTO public.who_data VALUES (2341, 1254, 537332, 20, 9053, 10, 222);
INSERT INTO public.who_data VALUES (2342, 57, 14668, 4, 965, 10, 219);
INSERT INTO public.who_data VALUES (2343, 0, 13714, 0, 91, 10, 7);
INSERT INTO public.who_data VALUES (2344, 201, 24104, 0, 80, 10, 161);
INSERT INTO public.who_data VALUES (2345, 13013, 3985165, 1001, 114851, 10, 149);
INSERT INTO public.who_data VALUES (2346, 14, 100, 0, 0, 10, 6);
INSERT INTO public.who_data VALUES (2347, 30, 5606, 0, 80, 10, 139);
INSERT INTO public.who_data VALUES (2348, 0, 0, 0, 0, 10, 211);
INSERT INTO public.who_data VALUES (2349, 0, 0, 0, 0, 10, 14);
INSERT INTO public.who_data VALUES (2350, 1, 7617, 1, 136, 10, 111);
INSERT INTO public.who_data VALUES (2351, 1086, 219650, 46, 7378, 10, 207);
INSERT INTO public.who_data VALUES (2352, 8642, 2556837, 95, 27093, 10, 66);
INSERT INTO public.who_data VALUES (2353, 0, 0, 0, 0, 10, 173);
INSERT INTO public.who_data VALUES (2354, 43, 1738, 0, 9, 10, 145);
INSERT INTO public.who_data VALUES (2355, 0, 0, 0, 0, 10, 65);
INSERT INTO public.who_data VALUES (2356, 28, 39911, 1, 328, 10, 184);
INSERT INTO public.who_data VALUES (2357, 5039, 1258094, 124, 24058, 10, 98);
INSERT INTO public.who_data VALUES (2358, 3539, 336142, 9, 956, 10, 104);
INSERT INTO public.who_data VALUES (2359, 0, 509, 0, 21, 10, 73);
INSERT INTO public.who_data VALUES (2360, 90930, 26923756, 2802, 464412, 10, 8);
INSERT INTO public.who_data VALUES (2361, 12, 2485, 0, 24, 10, 227);
INSERT INTO public.who_data VALUES (2362, 503, 46153, 9, 506, 10, 75);
INSERT INTO public.who_data VALUES (2363, 66, 79303, 1, 622, 10, 45);
INSERT INTO public.who_data VALUES (2364, 0, 1, 0, 0, 10, 133);
INSERT INTO public.who_data VALUES (2365, 500, 131096, 7, 1247, 10, 202);
INSERT INTO public.who_data VALUES (2366, 39, 2109, 0, 35, 10, 129);
INSERT INTO public.who_data VALUES (2367, 0, 9, 0, 0, 10, 36);
INSERT INTO public.who_data VALUES (2368, 2, 2137, 1, 617, 10, 51);
INSERT INTO public.who_data VALUES (2369, 963, 65573, 20, 901, 10, 206);
INSERT INTO public.who_data VALUES (2370, 79, 34864, 11, 1364, 10, 5);
INSERT INTO public.who_data VALUES (2371, 18, 55402, 4, 2418, 11, 103);
INSERT INTO public.who_data VALUES (2372, 1239, 87528, 16, 1488, 11, 58);
INSERT INTO public.who_data VALUES (2373, 246, 109559, 6, 2924, 11, 195);
INSERT INTO public.who_data VALUES (2374, 0, 0, 0, 0, 11, 115);
INSERT INTO public.who_data VALUES (2375, 37, 10312, 0, 106, 11, 99);
INSERT INTO public.who_data VALUES (2376, 51, 20163, 3, 478, 11, 153);
INSERT INTO public.who_data VALUES (2377, 1, 18, 0, 0, 11, 93);
INSERT INTO public.who_data VALUES (2378, 0, 316, 1, 8, 11, 84);
INSERT INTO public.who_data VALUES (2379, 5154, 1985501, 227, 49398, 11, 78);
INSERT INTO public.who_data VALUES (2380, 196, 168496, 4, 3130, 11, 170);
INSERT INTO public.who_data VALUES (2381, 15, 7238, 2, 64, 11, 32);
INSERT INTO public.who_data VALUES (2382, 3, 28860, 0, 909, 11, 155);
INSERT INTO public.who_data VALUES (2383, 1120, 422572, 44, 7984, 11, 82);
INSERT INTO public.who_data VALUES (2384, 164, 231362, 2, 3163, 11, 16);
INSERT INTO public.who_data VALUES (2385, 2, 8291, 0, 176, 11, 72);
INSERT INTO public.who_data VALUES (2386, 759, 108807, 4, 387, 11, 43);
INSERT INTO public.who_data VALUES (2387, 387, 538765, 8, 8229, 11, 120);
INSERT INTO public.who_data VALUES (2388, 23, 1732, 0, 18, 11, 213);
INSERT INTO public.who_data VALUES (2389, 561, 260060, 9, 1801, 11, 31);
INSERT INTO public.who_data VALUES (2390, 2156, 732782, 41, 21522, 11, 204);
INSERT INTO public.who_data VALUES (2391, 33, 12070, 1, 307, 11, 152);
INSERT INTO public.who_data VALUES (2392, 367, 4560, 1, 56, 11, 144);
INSERT INTO public.who_data VALUES (2393, 2, 694, 0, 12, 11, 96);
INSERT INTO public.who_data VALUES (2394, 0, 861, 0, 1, 11, 47);
INSERT INTO public.who_data VALUES (2395, 1220, 229187, 68, 10864, 11, 80);
INSERT INTO public.who_data VALUES (2396, 0, 368, 0, 3, 11, 159);
INSERT INTO public.who_data VALUES (2397, 342, 124443, 21, 4834, 11, 27);
INSERT INTO public.who_data VALUES (2398, 0, 24435, 0, 179, 11, 146);
INSERT INTO public.who_data VALUES (2399, 23439, 9548079, 636, 232170, 11, 71);
INSERT INTO public.who_data VALUES (2400, 0, 141, 0, 1, 11, 210);
INSERT INTO public.who_data VALUES (2401, 0, 182, 0, 3, 11, 54);
INSERT INTO public.who_data VALUES (2402, 1212, 226061, 62, 9482, 11, 147);
INSERT INTO public.who_data VALUES (2403, 58, 11367, 0, 134, 11, 2);
INSERT INTO public.who_data VALUES (2404, 21, 1751, 0, 3, 11, 105);
INSERT INTO public.who_data VALUES (2405, 28, 14479, 1, 137, 11, 53);
INSERT INTO public.who_data VALUES (2406, 2, 478, 0, 0, 11, 81);
INSERT INTO public.who_data VALUES (2407, 0, 31394, 0, 474, 11, 223);
INSERT INTO public.who_data VALUES (2408, 3860, 808120, 68, 20835, 11, 94);
INSERT INTO public.who_data VALUES (2409, 3, 408, 0, 2, 11, 154);
INSERT INTO public.who_data VALUES (2410, 0, 4989, 0, 63, 11, 83);
INSERT INTO public.who_data VALUES (2411, 31, 3539, 0, 125, 11, 194);
INSERT INTO public.who_data VALUES (2412, 2839, 758189, 28, 19084, 11, 136);
INSERT INTO public.who_data VALUES (2413, 45, 101408, 2, 4833, 11, 179);
INSERT INTO public.who_data VALUES (2414, 4246, 2161462, 297, 56290, 11, 57);
INSERT INTO public.who_data VALUES (2415, 26, 3179, 3, 118, 11, 35);
INSERT INTO public.who_data VALUES (2416, 294, 8354, 0, 122, 11, 228);
INSERT INTO public.who_data VALUES (2417, 0, 0, 0, 0, 11, 19);
INSERT INTO public.who_data VALUES (2418, 210, 197435, 5, 2692, 11, 22);
INSERT INTO public.who_data VALUES (2419, 107, 30074, 0, 165, 11, 1);
INSERT INTO public.who_data VALUES (2420, 577, 236333, 14, 5238, 11, 21);
INSERT INTO public.who_data VALUES (2421, 580, 34064, 4, 244, 11, 234);
INSERT INTO public.who_data VALUES (2422, 0, 4613, 0, 21, 11, 91);
INSERT INTO public.who_data VALUES (2423, 95, 31959, 0, 214, 11, 137);
INSERT INTO public.who_data VALUES (2424, 10283, 1055415, 145, 17642, 11, 201);
INSERT INTO public.who_data VALUES (2425, 0, 0, 0, 0, 11, 171);
INSERT INTO public.who_data VALUES (2426, 100, 23770, 2, 683, 11, 92);
INSERT INTO public.who_data VALUES (2427, 366, 202417, 28, 2244, 11, 112);
INSERT INTO public.who_data VALUES (2428, 9, 5959, 0, 63, 11, 62);
INSERT INTO public.who_data VALUES (2429, 0, 121, 0, 0, 11, 69);
INSERT INTO public.who_data VALUES (2430, 419, 224538, 21, 2864, 11, 220);
INSERT INTO public.who_data VALUES (2431, 1176, 259783, 73, 15086, 11, 100);
INSERT INTO public.who_data VALUES (2432, 573, 170780, 52, 9751, 11, 187);
INSERT INTO public.who_data VALUES (2433, 0, 56653, 9, 1701, 11, 63);
INSERT INTO public.who_data VALUES (2434, 0, 5614, 0, 87, 11, 28);
INSERT INTO public.who_data VALUES (2435, 75, 2401, 0, 7, 11, 172);
INSERT INTO public.who_data VALUES (2436, 796, 49605, 3, 477, 11, 17);
INSERT INTO public.who_data VALUES (2437, 54, 16288, 3, 610, 11, 226);
INSERT INTO public.who_data VALUES (2438, 572, 143566, 2, 2158, 11, 236);
INSERT INTO public.who_data VALUES (2439, 1, 49, 0, 0, 11, 76);
INSERT INTO public.who_data VALUES (2440, 1, 657, 0, 1, 11, 30);
INSERT INTO public.who_data VALUES (2441, 0, 56, 0, 2, 11, 128);
INSERT INTO public.who_data VALUES (2442, 438, 48407, 2, 703, 11, 86);
INSERT INTO public.who_data VALUES (2443, 18570, 3304356, 721, 79737, 11, 140);
INSERT INTO public.who_data VALUES (2444, 0, 16296, 0, 79, 11, 44);
INSERT INTO public.who_data VALUES (2445, 16, 18222, 0, 135, 11, 113);
INSERT INTO public.who_data VALUES (2446, 0, 11836, 0, 71, 11, 29);
INSERT INTO public.who_data VALUES (2447, 0, 4302, 0, 135, 11, 125);
INSERT INTO public.who_data VALUES (2448, 544, 263601, 5, 3311, 11, 131);
INSERT INTO public.who_data VALUES (2449, 8072, 2299996, 813, 62969, 11, 46);
INSERT INTO public.who_data VALUES (2450, 1470, 73003, 18, 482, 11, 10);
INSERT INTO public.who_data VALUES (2451, 5, 4187, 0, 83, 11, 205);
INSERT INTO public.who_data VALUES (2452, 1492, 166067, 20, 6017, 11, 50);
INSERT INTO public.who_data VALUES (2453, 0, 30, 0, 0, 11, 20);
INSERT INTO public.who_data VALUES (2454, 0, 148, 0, 1, 11, 13);
INSERT INTO public.who_data VALUES (2455, 0, 9302, 0, 159, 11, 148);
INSERT INTO public.who_data VALUES (2456, 9, 7466, 0, 130, 11, 230);
INSERT INTO public.who_data VALUES (2457, 746, 163993, 33, 5955, 11, 190);
INSERT INTO public.who_data VALUES (2458, 21, 741, 0, 13, 11, 188);
INSERT INTO public.who_data VALUES (2459, 21, 14764, 0, 84, 11, 123);
INSERT INTO public.who_data VALUES (2460, 30, 2810, 0, 46, 11, 9);
INSERT INTO public.who_data VALUES (2461, 41, 8023, 1, 181, 11, 102);
INSERT INTO public.who_data VALUES (2462, 61, 11969, 0, 246, 11, 34);
INSERT INTO public.who_data VALUES (2463, 0, 26, 0, 0, 11, 212);
INSERT INTO public.who_data VALUES (2464, 1167, 155735, 21, 3742, 11, 122);
INSERT INTO public.who_data VALUES (2465, 1279, 380013, 98, 13347, 11, 38);
INSERT INTO public.who_data VALUES (2466, 5, 6025, 0, 29, 11, 130);
INSERT INTO public.who_data VALUES (2467, 11067, 10858371, 94, 155252, 11, 37);
INSERT INTO public.who_data VALUES (2468, 8700, 1174779, 213, 31976, 11, 231);
INSERT INTO public.who_data VALUES (2469, 7640, 1481396, 89, 58625, 11, 107);
INSERT INTO public.who_data VALUES (2470, 1994, 632257, 8, 13134, 11, 101);
INSERT INTO public.who_data VALUES (2471, 543, 204940, 65, 3752, 11, 132);
INSERT INTO public.who_data VALUES (2472, 1, 435, 0, 25, 11, 176);
INSERT INTO public.who_data VALUES (2473, 7906, 699017, 36, 5199, 11, 200);
INSERT INTO public.who_data VALUES (2474, 10612, 2655319, 422, 92002, 11, 169);
INSERT INTO public.who_data VALUES (2475, 403, 17701, 1, 359, 11, 225);
INSERT INTO public.who_data VALUES (2476, 1420, 408186, 81, 6557, 11, 165);
INSERT INTO public.who_data VALUES (2477, 1, 3177, 0, 67, 11, 233);
INSERT INTO public.who_data VALUES (2478, 1483, 338322, 10, 4395, 11, 215);
INSERT INTO public.who_data VALUES (2479, 1059, 247533, 0, 3185, 11, 177);
INSERT INTO public.who_data VALUES (2480, 104, 102048, 3, 1789, 11, 183);
INSERT INTO public.who_data VALUES (2481, 0, 0, 0, 0, 11, 203);
INSERT INTO public.who_data VALUES (2482, 234, 62739, 2, 1518, 11, 162);
INSERT INTO public.who_data VALUES (2483, 1002, 172996, 6, 975, 11, 12);
INSERT INTO public.who_data VALUES (2484, 82, 85253, 3, 1436, 11, 24);
INSERT INTO public.who_data VALUES (2485, 0, 45, 0, 0, 11, 119);
INSERT INTO public.who_data VALUES (2486, 781, 72869, 16, 1363, 11, 39);
INSERT INTO public.who_data VALUES (2487, 2879, 324859, 60, 3737, 11, 26);
INSERT INTO public.who_data VALUES (2488, 338, 9718, 24, 207, 11, 59);
INSERT INTO public.who_data VALUES (2489, 0, 1956, 0, 84, 11, 77);
INSERT INTO public.who_data VALUES (2490, 679, 125561, 8, 1982, 11, 134);
INSERT INTO public.who_data VALUES (2491, 4, 2607, 0, 51, 11, 4);
INSERT INTO public.who_data VALUES (2492, 570, 187991, 16, 2988, 11, 109);
INSERT INTO public.who_data VALUES (2493, 143, 52022, 3, 600, 11, 90);
INSERT INTO public.who_data VALUES (2494, 0, 19360, 0, 285, 11, 61);
INSERT INTO public.who_data VALUES (2495, 300, 27722, 9, 883, 11, 85);
INSERT INTO public.who_data VALUES (2496, 2764, 248316, 13, 909, 11, 49);
INSERT INTO public.who_data VALUES (2497, 192, 17101, 1, 56, 11, 208);
INSERT INTO public.who_data VALUES (2498, 11, 8192, 0, 339, 11, 166);
INSERT INTO public.who_data VALUES (2499, 202, 19015, 2, 284, 11, 64);
INSERT INTO public.who_data VALUES (2500, 0, 4, 0, 0, 11, 199);
INSERT INTO public.who_data VALUES (2501, 0, 6521, 0, 45, 11, 114);
INSERT INTO public.who_data VALUES (2502, 0, 16777, 0, 425, 11, 60);
INSERT INTO public.who_data VALUES (2503, 0, 584, 0, 10, 11, 68);
INSERT INTO public.who_data VALUES (2504, 300, 11447, 3, 68, 11, 158);
INSERT INTO public.who_data VALUES (2505, 3868, 1936013, 531, 166731, 11, 52);
INSERT INTO public.who_data VALUES (2506, 0, 0, 0, 0, 11, 117);
INSERT INTO public.who_data VALUES (2507, 30, 1695, 0, 20, 11, 126);
INSERT INTO public.who_data VALUES (2508, 47, 2120, 0, 2, 11, 196);
INSERT INTO public.who_data VALUES (2509, 562, 67452, 9, 861, 11, 142);
INSERT INTO public.who_data VALUES (2510, 1, 18, 0, 1, 11, 185);
INSERT INTO public.who_data VALUES (2511, 536, 476125, 16, 8424, 11, 138);
INSERT INTO public.who_data VALUES (2512, 873, 45785, 15, 480, 11, 181);
INSERT INTO public.who_data VALUES (2513, 21, 141448, 3, 3180, 11, 178);
INSERT INTO public.who_data VALUES (2514, 131, 35201, 2, 377, 11, 168);
INSERT INTO public.who_data VALUES (2515, 0, 0, 0, 0, 11, 160);
INSERT INTO public.who_data VALUES (2516, 160, 272215, 2, 2047, 11, 151);
INSERT INTO public.who_data VALUES (2517, 1763, 1009502, 84, 14503, 11, 193);
INSERT INTO public.who_data VALUES (2518, 0, 50, 0, 0, 11, 18);
INSERT INTO public.who_data VALUES (2519, 2, 1967, 0, 25, 11, 40);
INSERT INTO public.who_data VALUES (2520, 37, 5064, 1, 171, 11, 218);
INSERT INTO public.who_data VALUES (2521, 22, 4643, 1, 167, 11, 191);
INSERT INTO public.who_data VALUES (2522, 1056, 141447, 21, 1694, 11, 156);
INSERT INTO public.who_data VALUES (2523, 0, 0, 0, 0, 11, 135);
INSERT INTO public.who_data VALUES (2524, 0, 133, 0, 2, 11, 88);
INSERT INTO public.who_data VALUES (2525, 476, 95347, 9, 2955, 11, 55);
INSERT INTO public.who_data VALUES (2526, 344, 65116, 1, 583, 11, 108);
INSERT INTO public.who_data VALUES (2527, 1022, 184999, 9, 2088, 11, 48);
INSERT INTO public.who_data VALUES (2528, 197, 136187, 1, 1536, 11, 3);
INSERT INTO public.who_data VALUES (2529, 0, 745, 0, 13, 11, 224);
INSERT INTO public.who_data VALUES (2530, 1008, 556519, 40, 12066, 11, 110);
INSERT INTO public.who_data VALUES (2531, 0, 0, 0, 0, 11, 106);
INSERT INTO public.who_data VALUES (2532, 563, 327654, 26, 5506, 11, 89);
INSERT INTO public.who_data VALUES (2533, 0, 900, 0, 9, 11, 121);
INSERT INTO public.who_data VALUES (2534, 827, 138945, 20, 2846, 11, 163);
INSERT INTO public.who_data VALUES (2535, 4523, 1191221, 159, 42467, 11, 70);
INSERT INTO public.who_data VALUES (2536, 1232, 540227, 65, 11296, 11, 174);
INSERT INTO public.who_data VALUES (2537, 0, 0, 0, 0, 11, 175);
INSERT INTO public.who_data VALUES (2538, 6960, 1563645, 361, 39721, 11, 118);
INSERT INTO public.who_data VALUES (2539, 2583, 770502, 203, 14557, 11, 189);
INSERT INTO public.who_data VALUES (2540, 241, 96402, 5, 1893, 11, 124);
INSERT INTO public.who_data VALUES (2541, 477, 155002, 2, 253, 11, 192);
INSERT INTO public.who_data VALUES (2542, 444, 81930, 4, 1486, 11, 41);
INSERT INTO public.who_data VALUES (2543, 805, 165663, 16, 3573, 11, 95);
INSERT INTO public.who_data VALUES (2544, 0, 10487, 0, 47, 11, 74);
INSERT INTO public.who_data VALUES (2545, 2797, 749434, 95, 19056, 11, 11);
INSERT INTO public.who_data VALUES (2546, 14494, 4012710, 536, 78134, 11, 87);
INSERT INTO public.who_data VALUES (2547, 190, 16811, 3, 226, 11, 214);
INSERT INTO public.who_data VALUES (2548, 0, 6, 0, 0, 11, 116);
INSERT INTO public.who_data VALUES (2549, 0, 425, 0, 0, 11, 157);
INSERT INTO public.who_data VALUES (2550, 0, 0, 0, 0, 11, 182);
INSERT INTO public.who_data VALUES (2551, 0, 40, 0, 0, 11, 186);
INSERT INTO public.who_data VALUES (2552, 0, 2027, 0, 19, 11, 127);
INSERT INTO public.who_data VALUES (2553, 0, 1377, 0, 12, 11, 232);
INSERT INTO public.who_data VALUES (2554, 0, 24, 0, 0, 11, 33);
INSERT INTO public.who_data VALUES (2555, 41, 1324, 0, 4, 11, 97);
INSERT INTO public.who_data VALUES (2556, 0, 3, 0, 0, 11, 42);
INSERT INTO public.who_data VALUES (2557, 50, 3187, 2, 71, 11, 198);
INSERT INTO public.who_data VALUES (2558, 30, 1385, 0, 18, 11, 216);
INSERT INTO public.who_data VALUES (2559, 353, 370987, 4, 6410, 11, 164);
INSERT INTO public.who_data VALUES (2560, 188, 29245, 11, 700, 11, 235);
INSERT INTO public.who_data VALUES (2561, 2014, 411855, 15, 4154, 11, 67);
INSERT INTO public.who_data VALUES (2562, 0, 1575, 0, 7, 11, 15);
INSERT INTO public.who_data VALUES (2563, 0, 3789, 0, 79, 11, 180);
INSERT INTO public.who_data VALUES (2564, 11, 59732, 0, 29, 11, 237);
INSERT INTO public.who_data VALUES (2565, 0, 20, 0, 0, 11, 25);
INSERT INTO public.who_data VALUES (2566, 2, 1938, 0, 27, 11, 209);
INSERT INTO public.who_data VALUES (2567, 1724, 265807, 111, 5382, 11, 217);
INSERT INTO public.who_data VALUES (2568, 337, 174319, 15, 3979, 11, 79);
INSERT INTO public.who_data VALUES (2569, 0, 18, 0, 0, 11, 143);
INSERT INTO public.who_data VALUES (2570, 0, 4862, 0, 134, 11, 229);
INSERT INTO public.who_data VALUES (2571, 1742, 1479253, 396, 46869, 11, 141);
INSERT INTO public.who_data VALUES (2572, 0, 4609, 0, 65, 11, 197);
INSERT INTO public.who_data VALUES (2573, 13516, 3041040, 328, 64954, 11, 221);
INSERT INTO public.who_data VALUES (2574, 976, 71211, 5, 370, 11, 150);
INSERT INTO public.who_data VALUES (2575, 50, 29901, 8, 1843, 11, 56);
INSERT INTO public.who_data VALUES (2576, 19, 8690, 1, 162, 11, 167);
INSERT INTO public.who_data VALUES (2577, 1511, 596140, 37, 12543, 11, 23);
INSERT INTO public.who_data VALUES (2578, 1348, 536078, 15, 9033, 11, 222);
INSERT INTO public.who_data VALUES (2579, 60, 14611, 3, 961, 11, 219);
INSERT INTO public.who_data VALUES (2580, 0, 13714, 0, 91, 11, 7);
INSERT INTO public.who_data VALUES (2581, 157, 23903, 1, 80, 11, 161);
INSERT INTO public.who_data VALUES (2582, 12364, 3972152, 1052, 113850, 11, 149);
INSERT INTO public.who_data VALUES (2583, 0, 86, 0, 0, 11, 6);
INSERT INTO public.who_data VALUES (2584, 80, 5576, 0, 80, 11, 139);
INSERT INTO public.who_data VALUES (2585, 0, 0, 0, 0, 11, 211);
INSERT INTO public.who_data VALUES (2586, 0, 0, 0, 0, 11, 14);
INSERT INTO public.who_data VALUES (2587, 0, 7616, 0, 135, 11, 111);
INSERT INTO public.who_data VALUES (2588, 811, 218564, 75, 7332, 11, 207);
INSERT INTO public.who_data VALUES (2589, 8636, 2548195, 98, 26998, 11, 66);
INSERT INTO public.who_data VALUES (2590, 0, 0, 0, 0, 11, 173);
INSERT INTO public.who_data VALUES (2591, 0, 1695, 0, 9, 11, 145);
INSERT INTO public.who_data VALUES (2592, 0, 0, 0, 0, 11, 65);
INSERT INTO public.who_data VALUES (2593, 23, 39883, 0, 327, 11, 184);
INSERT INTO public.who_data VALUES (2594, 3409, 1253055, 163, 23934, 11, 98);
INSERT INTO public.who_data VALUES (2595, 3310, 332603, 17, 947, 11, 104);
INSERT INTO public.who_data VALUES (2596, 0, 509, 0, 21, 11, 73);
INSERT INTO public.who_data VALUES (2597, 86449, 26832826, 1617, 461610, 11, 8);
INSERT INTO public.who_data VALUES (2598, 7, 2473, 0, 24, 11, 227);
INSERT INTO public.who_data VALUES (2599, 339, 45650, 7, 497, 11, 75);
INSERT INTO public.who_data VALUES (2600, 33, 79237, 0, 621, 11, 45);
INSERT INTO public.who_data VALUES (2601, 0, 1, 0, 0, 11, 133);
INSERT INTO public.who_data VALUES (2602, 480, 130596, 7, 1240, 11, 202);
INSERT INTO public.who_data VALUES (2603, 17, 2070, 0, 35, 11, 129);
INSERT INTO public.who_data VALUES (2604, 0, 9, 0, 0, 11, 36);
INSERT INTO public.who_data VALUES (2605, 1, 2135, 0, 616, 11, 51);
INSERT INTO public.who_data VALUES (2606, 1947, 64610, 28, 881, 11, 206);
INSERT INTO public.who_data VALUES (2607, 127, 34785, 14, 1353, 11, 5);
INSERT INTO public.who_data VALUES (2608, 25, 55384, 1, 2414, 12, 103);
INSERT INTO public.who_data VALUES (2609, 953, 86289, 12, 1472, 12, 58);
INSERT INTO public.who_data VALUES (2610, 225, 109313, 4, 2918, 12, 195);
INSERT INTO public.who_data VALUES (2611, 0, 0, 0, 0, 12, 115);
INSERT INTO public.who_data VALUES (2612, 24, 10275, 0, 106, 12, 99);
INSERT INTO public.who_data VALUES (2613, 26, 20112, 0, 475, 12, 153);
INSERT INTO public.who_data VALUES (2614, 0, 17, 0, 0, 12, 93);
INSERT INTO public.who_data VALUES (2615, 17, 316, 0, 7, 12, 84);
INSERT INTO public.who_data VALUES (2616, 3658, 1980347, 61, 49171, 12, 78);
INSERT INTO public.who_data VALUES (2617, 123, 168300, 3, 3126, 12, 170);
INSERT INTO public.who_data VALUES (2618, 89, 7223, 1, 62, 12, 32);
INSERT INTO public.who_data VALUES (2619, 7, 28857, 0, 909, 12, 155);
INSERT INTO public.who_data VALUES (2620, 808, 421452, 34, 7940, 12, 82);
INSERT INTO public.who_data VALUES (2621, 44, 231198, 3, 3161, 12, 16);
INSERT INTO public.who_data VALUES (2622, 2, 8289, 0, 176, 12, 72);
INSERT INTO public.who_data VALUES (2623, 719, 108048, 3, 383, 12, 43);
INSERT INTO public.who_data VALUES (2624, 316, 538378, 16, 8221, 12, 120);
INSERT INTO public.who_data VALUES (2625, 33, 1709, 0, 18, 12, 213);
INSERT INTO public.who_data VALUES (2626, 808, 259499, 9, 1792, 12, 31);
INSERT INTO public.who_data VALUES (2627, 2608, 730626, 37, 21481, 12, 204);
INSERT INTO public.who_data VALUES (2628, 0, 12037, 0, 306, 12, 152);
INSERT INTO public.who_data VALUES (2629, 0, 4193, 0, 55, 12, 144);
INSERT INTO public.who_data VALUES (2630, 0, 692, 0, 12, 12, 96);
INSERT INTO public.who_data VALUES (2631, 0, 861, 0, 1, 12, 47);
INSERT INTO public.who_data VALUES (2632, 839, 227967, 43, 10796, 12, 80);
INSERT INTO public.who_data VALUES (2633, 2, 368, 0, 3, 12, 159);
INSERT INTO public.who_data VALUES (2634, 157, 124101, 13, 4813, 12, 27);
INSERT INTO public.who_data VALUES (2635, 932, 24435, 16, 179, 12, 146);
INSERT INTO public.who_data VALUES (2636, 26845, 9524640, 522, 231534, 12, 71);
INSERT INTO public.who_data VALUES (2637, 0, 141, 0, 1, 12, 210);
INSERT INTO public.who_data VALUES (2638, 1, 182, 0, 3, 12, 54);
INSERT INTO public.who_data VALUES (2639, 1115, 224849, 89, 9420, 12, 147);
INSERT INTO public.who_data VALUES (2640, 24, 11309, 0, 134, 12, 2);
INSERT INTO public.who_data VALUES (2641, 2, 1730, 0, 3, 12, 105);
INSERT INTO public.who_data VALUES (2642, 71, 14451, 1, 136, 12, 53);
INSERT INTO public.who_data VALUES (2643, 2, 476, 0, 0, 12, 81);
INSERT INTO public.who_data VALUES (2644, 1081, 31394, 0, 474, 12, 223);
INSERT INTO public.who_data VALUES (2645, 3203, 804260, 65, 20767, 12, 94);
INSERT INTO public.who_data VALUES (2646, 0, 405, 0, 2, 12, 154);
INSERT INTO public.who_data VALUES (2647, 0, 4989, 0, 63, 12, 83);
INSERT INTO public.who_data VALUES (2648, 11, 3508, 0, 125, 12, 194);
INSERT INTO public.who_data VALUES (2649, 3464, 755350, 82, 19056, 12, 136);
INSERT INTO public.who_data VALUES (2650, 47, 101363, 0, 4831, 12, 179);
INSERT INTO public.who_data VALUES (2651, 6009, 2157216, 300, 55993, 12, 57);
INSERT INTO public.who_data VALUES (2652, 65, 3153, 3, 115, 12, 35);
INSERT INTO public.who_data VALUES (2653, 0, 8060, 0, 122, 12, 228);
INSERT INTO public.who_data VALUES (2654, 0, 0, 0, 0, 12, 19);
INSERT INTO public.who_data VALUES (2655, 281, 197225, 7, 2687, 12, 22);
INSERT INTO public.who_data VALUES (2656, 142, 29967, 3, 165, 12, 1);
INSERT INTO public.who_data VALUES (2657, 283, 235756, 26, 5224, 12, 21);
INSERT INTO public.who_data VALUES (2658, 653, 33484, 2, 240, 12, 234);
INSERT INTO public.who_data VALUES (2659, 16, 4613, 0, 21, 12, 91);
INSERT INTO public.who_data VALUES (2660, 105, 31864, 2, 214, 12, 137);
INSERT INTO public.who_data VALUES (2661, 7727, 1045132, 164, 17497, 12, 201);
INSERT INTO public.who_data VALUES (2662, 0, 0, 0, 0, 12, 171);
INSERT INTO public.who_data VALUES (2663, 72, 23670, 0, 681, 12, 92);
INSERT INTO public.who_data VALUES (2664, 430, 202051, 0, 2216, 12, 112);
INSERT INTO public.who_data VALUES (2665, 3, 5950, 0, 63, 12, 62);
INSERT INTO public.who_data VALUES (2666, 0, 121, 0, 0, 12, 69);
INSERT INTO public.who_data VALUES (2667, 721, 224119, 12, 2843, 12, 220);
INSERT INTO public.who_data VALUES (2668, 325, 258607, 1, 15013, 12, 100);
INSERT INTO public.who_data VALUES (2669, 567, 170207, 48, 9699, 12, 187);
INSERT INTO public.who_data VALUES (2670, 416, 56653, 11, 1692, 12, 63);
INSERT INTO public.who_data VALUES (2671, 36, 5614, 1, 87, 12, 28);
INSERT INTO public.who_data VALUES (2672, 0, 2326, 0, 7, 12, 172);
INSERT INTO public.who_data VALUES (2673, 542, 48809, 13, 474, 12, 17);
INSERT INTO public.who_data VALUES (2674, 30, 16234, 3, 607, 12, 226);
INSERT INTO public.who_data VALUES (2675, 656, 142994, 8, 2156, 12, 236);
INSERT INTO public.who_data VALUES (2676, 0, 48, 0, 0, 12, 76);
INSERT INTO public.who_data VALUES (2677, 0, 656, 0, 1, 12, 30);
INSERT INTO public.who_data VALUES (2678, 0, 56, 0, 2, 12, 128);
INSERT INTO public.who_data VALUES (2679, 353, 47969, 3, 701, 12, 86);
INSERT INTO public.who_data VALUES (2680, 3566, 3285786, 456, 79016, 12, 140);
INSERT INTO public.who_data VALUES (2681, 0, 16296, 0, 79, 12, 44);
INSERT INTO public.who_data VALUES (2682, 21, 18206, 2, 135, 12, 113);
INSERT INTO public.who_data VALUES (2683, 379, 11836, 0, 71, 12, 29);
INSERT INTO public.who_data VALUES (2684, 65, 4302, 1, 135, 12, 125);
INSERT INTO public.who_data VALUES (2685, 829, 263057, 8, 3306, 12, 131);
INSERT INTO public.who_data VALUES (2686, 3379, 2291924, 481, 62156, 12, 46);
INSERT INTO public.who_data VALUES (2687, 765, 71533, 7, 464, 12, 10);
INSERT INTO public.who_data VALUES (2688, 5, 4182, 3, 83, 12, 205);
INSERT INTO public.who_data VALUES (2689, 629, 164575, 25, 5997, 12, 50);
INSERT INTO public.who_data VALUES (2690, 0, 30, 0, 0, 12, 20);
INSERT INTO public.who_data VALUES (2691, 0, 148, 0, 1, 12, 13);
INSERT INTO public.who_data VALUES (2692, 146, 9302, 1, 159, 12, 148);
INSERT INTO public.who_data VALUES (2693, 15, 7457, 0, 130, 12, 230);
INSERT INTO public.who_data VALUES (2694, 110, 163247, 38, 5922, 12, 190);
INSERT INTO public.who_data VALUES (2695, 9, 720, 0, 13, 12, 188);
INSERT INTO public.who_data VALUES (2696, 56, 14743, 0, 84, 12, 123);
INSERT INTO public.who_data VALUES (2697, 0, 2780, 0, 46, 12, 9);
INSERT INTO public.who_data VALUES (2698, 43, 7982, 0, 180, 12, 102);
INSERT INTO public.who_data VALUES (2699, 102, 11908, 0, 246, 12, 34);
INSERT INTO public.who_data VALUES (2700, 0, 26, 0, 0, 12, 212);
INSERT INTO public.who_data VALUES (2701, 663, 154568, 11, 3721, 12, 122);
INSERT INTO public.who_data VALUES (2702, 1079, 378734, 94, 13249, 12, 38);
INSERT INTO public.who_data VALUES (2703, 0, 6020, 0, 29, 12, 130);
INSERT INTO public.who_data VALUES (2704, 9110, 10847304, 78, 155158, 12, 37);
INSERT INTO public.who_data VALUES (2705, 8242, 1166079, 207, 31763, 12, 231);
INSERT INTO public.who_data VALUES (2706, 7321, 1473756, 67, 58536, 12, 107);
INSERT INTO public.who_data VALUES (2707, 1713, 630263, 6, 13126, 12, 101);
INSERT INTO public.who_data VALUES (2708, 829, 204397, 1, 3687, 12, 132);
INSERT INTO public.who_data VALUES (2709, 0, 434, 0, 25, 12, 176);
INSERT INTO public.who_data VALUES (2710, 4573, 691111, 43, 5163, 12, 200);
INSERT INTO public.who_data VALUES (2711, 7969, 2644707, 307, 91580, 12, 169);
INSERT INTO public.who_data VALUES (2712, 213, 17298, 0, 358, 12, 225);
INSERT INTO public.who_data VALUES (2713, 1776, 406766, 81, 6476, 12, 165);
INSERT INTO public.who_data VALUES (2714, 2, 3176, 0, 67, 12, 233);
INSERT INTO public.who_data VALUES (2715, 1685, 336839, 6, 4385, 12, 215);
INSERT INTO public.who_data VALUES (2716, 1123, 246474, 0, 3185, 12, 177);
INSERT INTO public.who_data VALUES (2717, 125, 101944, 7, 1786, 12, 183);
INSERT INTO public.who_data VALUES (2718, 0, 0, 0, 0, 12, 203);
INSERT INTO public.who_data VALUES (2719, 290, 62505, 3, 1516, 12, 162);
INSERT INTO public.who_data VALUES (2720, 996, 171994, 3, 969, 12, 12);
INSERT INTO public.who_data VALUES (2721, 58, 85171, 2, 1433, 12, 24);
INSERT INTO public.who_data VALUES (2722, 0, 45, 0, 0, 12, 119);
INSERT INTO public.who_data VALUES (2723, 288, 72088, 8, 1347, 12, 39);
INSERT INTO public.who_data VALUES (2724, 2063, 321980, 61, 3677, 12, 26);
INSERT INTO public.who_data VALUES (2725, 0, 9380, 0, 183, 12, 59);
INSERT INTO public.who_data VALUES (2726, 0, 1956, 0, 84, 12, 77);
INSERT INTO public.who_data VALUES (2727, 856, 124882, 21, 1974, 12, 134);
INSERT INTO public.who_data VALUES (2728, 5, 2603, 0, 51, 12, 4);
INSERT INTO public.who_data VALUES (2729, 382, 187421, 17, 2972, 12, 109);
INSERT INTO public.who_data VALUES (2730, 31, 51879, 4, 597, 12, 90);
INSERT INTO public.who_data VALUES (2731, 295, 19360, 4, 285, 12, 61);
INSERT INTO public.who_data VALUES (2732, 227, 27422, 18, 874, 12, 85);
INSERT INTO public.who_data VALUES (2733, 3100, 245552, 24, 896, 12, 49);
INSERT INTO public.who_data VALUES (2734, 126, 16909, 0, 55, 12, 208);
INSERT INTO public.who_data VALUES (2735, 5, 8181, 1, 339, 12, 166);
INSERT INTO public.who_data VALUES (2736, 137, 18813, 0, 282, 12, 64);
INSERT INTO public.who_data VALUES (2737, 0, 4, 0, 0, 12, 199);
INSERT INTO public.who_data VALUES (2738, 79, 6521, 0, 45, 12, 114);
INSERT INTO public.who_data VALUES (2739, 0, 16777, 0, 425, 12, 60);
INSERT INTO public.who_data VALUES (2740, 0, 584, 0, 10, 12, 68);
INSERT INTO public.who_data VALUES (2741, 392, 11147, 1, 65, 12, 158);
INSERT INTO public.who_data VALUES (2742, 6065, 1932145, 414, 166200, 12, 52);
INSERT INTO public.who_data VALUES (2743, 0, 0, 0, 0, 12, 117);
INSERT INTO public.who_data VALUES (2744, 10, 1665, 0, 20, 12, 126);
INSERT INTO public.who_data VALUES (2745, 50, 2073, 0, 2, 12, 196);
INSERT INTO public.who_data VALUES (2746, 620, 66890, 10, 852, 12, 142);
INSERT INTO public.who_data VALUES (2747, 0, 17, 0, 1, 12, 185);
INSERT INTO public.who_data VALUES (2748, 234, 475589, 14, 8408, 12, 138);
INSERT INTO public.who_data VALUES (2749, 312, 44912, 5, 465, 12, 181);
INSERT INTO public.who_data VALUES (2750, 123, 141427, 2, 3177, 12, 178);
INSERT INTO public.who_data VALUES (2751, 96, 35070, 0, 375, 12, 168);
INSERT INTO public.who_data VALUES (2752, 0, 0, 0, 0, 12, 160);
INSERT INTO public.who_data VALUES (2753, 130, 272055, 7, 2045, 12, 151);
INSERT INTO public.who_data VALUES (2754, 2261, 1007739, 25, 14419, 12, 193);
INSERT INTO public.who_data VALUES (2755, 1, 50, 0, 0, 12, 18);
INSERT INTO public.who_data VALUES (2756, 1, 1965, 0, 25, 12, 40);
INSERT INTO public.who_data VALUES (2757, 0, 5027, 0, 170, 12, 218);
INSERT INTO public.who_data VALUES (2758, 9, 4621, 1, 166, 12, 191);
INSERT INTO public.who_data VALUES (2759, 643, 140391, 6, 1673, 12, 156);
INSERT INTO public.who_data VALUES (2760, 0, 0, 0, 0, 12, 135);
INSERT INTO public.who_data VALUES (2761, 0, 133, 0, 2, 12, 88);
INSERT INTO public.who_data VALUES (2762, 73, 94871, 22, 2946, 12, 55);
INSERT INTO public.who_data VALUES (2763, 119, 64772, 0, 582, 12, 108);
INSERT INTO public.who_data VALUES (2764, 612, 183977, 7, 2079, 12, 48);
INSERT INTO public.who_data VALUES (2765, 316, 135990, 1, 1535, 12, 3);
INSERT INTO public.who_data VALUES (2766, 0, 745, 0, 13, 12, 224);
INSERT INTO public.who_data VALUES (2767, 1037, 555511, 59, 12026, 12, 110);
INSERT INTO public.who_data VALUES (2768, 0, 0, 0, 0, 12, 106);
INSERT INTO public.who_data VALUES (2769, 627, 327091, 25, 5480, 12, 89);
INSERT INTO public.who_data VALUES (2770, 5, 900, 0, 9, 12, 121);
INSERT INTO public.who_data VALUES (2771, 515, 138118, 19, 2826, 12, 163);
INSERT INTO public.who_data VALUES (2772, 6220, 1186698, 187, 42308, 12, 70);
INSERT INTO public.who_data VALUES (2773, 1685, 538995, 52, 11231, 12, 174);
INSERT INTO public.who_data VALUES (2774, 0, 0, 0, 0, 12, 175);
INSERT INTO public.who_data VALUES (2775, 3999, 1556685, 228, 39360, 12, 118);
INSERT INTO public.who_data VALUES (2776, 2505, 767919, 196, 14354, 12, 189);
INSERT INTO public.who_data VALUES (2777, 322, 96161, 5, 1888, 12, 124);
INSERT INTO public.who_data VALUES (2778, 427, 154525, 1, 251, 12, 192);
INSERT INTO public.who_data VALUES (2779, 302, 81486, 8, 1482, 12, 41);
INSERT INTO public.who_data VALUES (2780, 289, 164858, 14, 3557, 12, 95);
INSERT INTO public.who_data VALUES (2781, 0, 10487, 0, 47, 12, 74);
INSERT INTO public.who_data VALUES (2782, 1319, 746637, 80, 18961, 12, 11);
INSERT INTO public.who_data VALUES (2783, 15019, 3998216, 530, 77598, 12, 87);
INSERT INTO public.who_data VALUES (2784, 170, 16621, 3, 223, 12, 214);
INSERT INTO public.who_data VALUES (2785, 0, 6, 0, 0, 12, 116);
INSERT INTO public.who_data VALUES (2786, 46, 425, 0, 0, 12, 157);
INSERT INTO public.who_data VALUES (2787, 0, 0, 0, 0, 12, 182);
INSERT INTO public.who_data VALUES (2788, 0, 40, 0, 0, 12, 186);
INSERT INTO public.who_data VALUES (2789, 214, 2027, 1, 19, 12, 127);
INSERT INTO public.who_data VALUES (2790, 88, 1377, 0, 12, 12, 232);
INSERT INTO public.who_data VALUES (2791, 0, 24, 0, 0, 12, 33);
INSERT INTO public.who_data VALUES (2792, 14, 1283, 0, 4, 12, 97);
INSERT INTO public.who_data VALUES (2793, 0, 3, 0, 0, 12, 42);
INSERT INTO public.who_data VALUES (2794, 0, 3137, 0, 69, 12, 198);
INSERT INTO public.who_data VALUES (2795, 16, 1355, 0, 18, 12, 216);
INSERT INTO public.who_data VALUES (2796, 356, 370634, 4, 6406, 12, 164);
INSERT INTO public.who_data VALUES (2797, 297, 29057, 7, 689, 12, 235);
INSERT INTO public.who_data VALUES (2798, 1960, 409841, 13, 4139, 12, 67);
INSERT INTO public.who_data VALUES (2799, 62, 1575, 0, 7, 12, 15);
INSERT INTO public.who_data VALUES (2800, 4, 3789, 0, 79, 12, 180);
INSERT INTO public.who_data VALUES (2801, 22, 59721, 0, 29, 12, 237);
INSERT INTO public.who_data VALUES (2802, 0, 20, 0, 0, 12, 25);
INSERT INTO public.who_data VALUES (2803, 25, 1936, 0, 27, 12, 209);
INSERT INTO public.who_data VALUES (2804, 757, 264083, 72, 5271, 12, 217);
INSERT INTO public.who_data VALUES (2805, 310, 173982, 7, 3964, 12, 79);
INSERT INTO public.who_data VALUES (2806, 1, 18, 0, 0, 12, 143);
INSERT INTO public.who_data VALUES (2807, 0, 4862, 0, 134, 12, 229);
INSERT INTO public.who_data VALUES (2808, 1376, 1477511, 183, 46473, 12, 141);
INSERT INTO public.who_data VALUES (2809, 254, 4609, 0, 65, 12, 197);
INSERT INTO public.who_data VALUES (2810, 5920, 3027524, 302, 64626, 12, 221);
INSERT INTO public.who_data VALUES (2811, 887, 70235, 9, 365, 12, 150);
INSERT INTO public.who_data VALUES (2812, 86, 29851, 0, 1835, 12, 56);
INSERT INTO public.who_data VALUES (2813, 21, 8671, 1, 161, 12, 167);
INSERT INTO public.who_data VALUES (2814, 1013, 594629, 26, 12506, 12, 23);
INSERT INTO public.who_data VALUES (2815, 1747, 534730, 18, 9018, 12, 222);
INSERT INTO public.who_data VALUES (2816, 74, 14551, 6, 958, 12, 219);
INSERT INTO public.who_data VALUES (2817, 0, 13714, 0, 91, 12, 7);
INSERT INTO public.who_data VALUES (2818, 189, 23746, 0, 79, 12, 161);
INSERT INTO public.who_data VALUES (2819, 14104, 3959788, 333, 112798, 12, 149);
INSERT INTO public.who_data VALUES (2820, 6, 86, 0, 0, 12, 6);
INSERT INTO public.who_data VALUES (2821, 13, 5496, 0, 80, 12, 139);
INSERT INTO public.who_data VALUES (2822, 0, 0, 0, 0, 12, 211);
INSERT INTO public.who_data VALUES (2823, 0, 0, 0, 0, 12, 14);
INSERT INTO public.who_data VALUES (2824, 0, 7616, 0, 135, 12, 111);
INSERT INTO public.who_data VALUES (2825, 667, 217753, 43, 7257, 12, 207);
INSERT INTO public.who_data VALUES (2826, 8103, 2539559, 103, 26900, 12, 66);
INSERT INTO public.who_data VALUES (2827, 0, 0, 0, 0, 12, 173);
INSERT INTO public.who_data VALUES (2828, 0, 1695, 0, 9, 12, 145);
INSERT INTO public.who_data VALUES (2829, 0, 0, 0, 0, 12, 65);
INSERT INTO public.who_data VALUES (2830, 12, 39860, 0, 327, 12, 184);
INSERT INTO public.who_data VALUES (2831, 2656, 1249646, 127, 23771, 12, 98);
INSERT INTO public.who_data VALUES (2832, 2798, 329293, 9, 930, 12, 104);
INSERT INTO public.who_data VALUES (2833, 0, 509, 0, 21, 12, 73);
INSERT INTO public.who_data VALUES (2834, 91412, 26746377, 1449, 459993, 12, 8);
INSERT INTO public.who_data VALUES (2835, 0, 2466, 0, 24, 12, 227);
INSERT INTO public.who_data VALUES (2836, 499, 45311, 9, 490, 12, 75);
INSERT INTO public.who_data VALUES (2837, 42, 79204, 0, 621, 12, 45);
INSERT INTO public.who_data VALUES (2838, 0, 1, 0, 0, 12, 133);
INSERT INTO public.who_data VALUES (2839, 473, 130116, 5, 1233, 12, 202);
INSERT INTO public.who_data VALUES (2840, 48, 2053, 0, 35, 12, 129);
INSERT INTO public.who_data VALUES (2841, 0, 9, 0, 0, 12, 36);
INSERT INTO public.who_data VALUES (2842, 3, 2134, 0, 616, 12, 51);
INSERT INTO public.who_data VALUES (2843, 0, 62663, 0, 853, 12, 206);
INSERT INTO public.who_data VALUES (2844, 106, 34658, 13, 1339, 12, 5);
INSERT INTO public.who_data VALUES (2845, 24, 55359, 3, 2413, 13, 103);
INSERT INTO public.who_data VALUES (2846, 1124, 85336, 14, 1460, 13, 58);
INSERT INTO public.who_data VALUES (2847, 236, 109088, 3, 2914, 13, 195);
INSERT INTO public.who_data VALUES (2848, 0, 0, 0, 0, 13, 115);
INSERT INTO public.who_data VALUES (2849, 45, 10251, 1, 106, 13, 99);
INSERT INTO public.who_data VALUES (2850, 24, 20086, 0, 475, 13, 153);
INSERT INTO public.who_data VALUES (2851, 0, 17, 0, 0, 13, 93);
INSERT INTO public.who_data VALUES (2852, 22, 299, 0, 7, 13, 84);
INSERT INTO public.who_data VALUES (2853, 6680, 1976689, 125, 49110, 13, 78);
INSERT INTO public.who_data VALUES (2854, 89, 168177, 6, 3123, 13, 170);
INSERT INTO public.who_data VALUES (2855, 0, 7134, 0, 61, 13, 32);
INSERT INTO public.who_data VALUES (2856, 2, 28850, 0, 909, 13, 155);
INSERT INTO public.who_data VALUES (2857, 1337, 420644, 22, 7906, 13, 82);
INSERT INTO public.who_data VALUES (2858, 132, 231154, 2, 3158, 13, 16);
INSERT INTO public.who_data VALUES (2859, 17, 8287, 0, 176, 13, 72);
INSERT INTO public.who_data VALUES (2860, 616, 107329, 1, 380, 13, 43);
INSERT INTO public.who_data VALUES (2861, 292, 538062, 15, 8205, 13, 120);
INSERT INTO public.who_data VALUES (2862, 0, 1676, 0, 18, 13, 213);
INSERT INTO public.who_data VALUES (2863, 1732, 258691, 10, 1783, 13, 31);
INSERT INTO public.who_data VALUES (2864, 601, 728018, 41, 21444, 13, 204);
INSERT INTO public.who_data VALUES (2865, 24, 12037, 0, 306, 13, 152);
INSERT INTO public.who_data VALUES (2866, 0, 4193, 0, 55, 13, 144);
INSERT INTO public.who_data VALUES (2867, 0, 692, 0, 12, 13, 96);
INSERT INTO public.who_data VALUES (2868, 0, 861, 0, 1, 13, 47);
INSERT INTO public.who_data VALUES (2869, 1218, 227128, 66, 10753, 13, 80);
INSERT INTO public.who_data VALUES (2870, 0, 366, 0, 3, 13, 159);
INSERT INTO public.who_data VALUES (2871, 240, 123944, 9, 4800, 13, 27);
INSERT INTO public.who_data VALUES (2872, 0, 23503, 0, 163, 13, 146);
INSERT INTO public.who_data VALUES (2873, 50630, 9497795, 978, 231012, 13, 71);
INSERT INTO public.who_data VALUES (2874, 0, 141, 0, 1, 13, 210);
INSERT INTO public.who_data VALUES (2875, 0, 181, 0, 3, 13, 54);
INSERT INTO public.who_data VALUES (2876, 182, 223734, 20, 9331, 13, 147);
INSERT INTO public.who_data VALUES (2877, 58, 11285, 0, 134, 13, 2);
INSERT INTO public.who_data VALUES (2878, 5, 1728, 0, 3, 13, 105);
INSERT INTO public.who_data VALUES (2879, 0, 14380, 0, 135, 13, 53);
INSERT INTO public.who_data VALUES (2880, 0, 474, 0, 0, 13, 81);
INSERT INTO public.who_data VALUES (2881, 0, 30313, 0, 474, 13, 223);
INSERT INTO public.who_data VALUES (2882, 3301, 801057, 93, 20702, 13, 94);
INSERT INTO public.who_data VALUES (2883, 0, 405, 0, 2, 13, 154);
INSERT INTO public.who_data VALUES (2884, 0, 4989, 0, 63, 13, 83);
INSERT INTO public.who_data VALUES (2885, 24, 3497, 0, 125, 13, 194);
INSERT INTO public.who_data VALUES (2886, 3804, 751886, 79, 18974, 13, 136);
INSERT INTO public.who_data VALUES (2887, 44, 101316, 0, 4831, 13, 179);
INSERT INTO public.who_data VALUES (2888, 8547, 2151207, 290, 55693, 13, 57);
INSERT INTO public.who_data VALUES (2889, 2, 3088, 4, 112, 13, 35);
INSERT INTO public.who_data VALUES (2890, 0, 8060, 0, 122, 13, 228);
INSERT INTO public.who_data VALUES (2891, 0, 0, 0, 0, 13, 19);
INSERT INTO public.who_data VALUES (2892, 506, 196944, 8, 2680, 13, 22);
INSERT INTO public.who_data VALUES (2893, 258, 29825, 0, 162, 13, 1);
INSERT INTO public.who_data VALUES (2894, 71, 235473, 29, 5198, 13, 21);
INSERT INTO public.who_data VALUES (2895, 820, 32831, 5, 238, 13, 234);
INSERT INTO public.who_data VALUES (2896, 0, 4597, 0, 21, 13, 91);
INSERT INTO public.who_data VALUES (2897, 115, 31759, 1, 212, 13, 137);
INSERT INTO public.who_data VALUES (2898, 2430, 1037405, 98, 17333, 13, 201);
INSERT INTO public.who_data VALUES (2899, 0, 0, 0, 0, 13, 171);
INSERT INTO public.who_data VALUES (2900, 114, 23598, 2, 681, 13, 92);
INSERT INTO public.who_data VALUES (2901, 435, 201621, 1, 2216, 13, 112);
INSERT INTO public.who_data VALUES (2902, 6, 5947, 0, 63, 13, 62);
INSERT INTO public.who_data VALUES (2903, 0, 121, 0, 0, 13, 69);
INSERT INTO public.who_data VALUES (2904, 1250, 223398, 30, 2831, 13, 220);
INSERT INTO public.who_data VALUES (2905, 1167, 258282, 8, 15012, 13, 100);
INSERT INTO public.who_data VALUES (2906, 534, 169640, 47, 9651, 13, 187);
INSERT INTO public.who_data VALUES (2907, 0, 56237, 8, 1681, 13, 63);
INSERT INTO public.who_data VALUES (2908, 0, 5578, 0, 86, 13, 28);
INSERT INTO public.who_data VALUES (2909, 0, 2326, 0, 7, 13, 172);
INSERT INTO public.who_data VALUES (2910, 339, 48267, 0, 461, 13, 17);
INSERT INTO public.who_data VALUES (2911, 23, 16204, 0, 604, 13, 226);
INSERT INTO public.who_data VALUES (2912, 885, 142338, 3, 2148, 13, 236);
INSERT INTO public.who_data VALUES (2913, 4, 48, 0, 0, 13, 76);
INSERT INTO public.who_data VALUES (2914, 1, 656, 0, 1, 13, 30);
INSERT INTO public.who_data VALUES (2915, 0, 56, 0, 2, 13, 128);
INSERT INTO public.who_data VALUES (2916, 354, 47616, 3, 698, 13, 86);
INSERT INTO public.who_data VALUES (2917, 19715, 3282220, 171, 78560, 13, 140);
INSERT INTO public.who_data VALUES (2918, 0, 16296, 0, 79, 13, 44);
INSERT INTO public.who_data VALUES (2919, 0, 18185, 0, 133, 13, 113);
INSERT INTO public.who_data VALUES (2920, 0, 11457, 0, 71, 13, 29);
INSERT INTO public.who_data VALUES (2921, 0, 4237, 0, 134, 13, 125);
INSERT INTO public.who_data VALUES (2922, 204, 262228, 15, 3298, 13, 131);
INSERT INTO public.who_data VALUES (2923, 4535, 2288545, 158, 61675, 13, 46);
INSERT INTO public.who_data VALUES (2924, 722, 70768, 8, 457, 13, 10);
INSERT INTO public.who_data VALUES (2925, 7, 4177, 0, 80, 13, 205);
INSERT INTO public.who_data VALUES (2926, 733, 163946, 21, 5972, 13, 50);
INSERT INTO public.who_data VALUES (2927, 0, 30, 0, 0, 13, 20);
INSERT INTO public.who_data VALUES (2928, 0, 148, 0, 1, 13, 13);
INSERT INTO public.who_data VALUES (2929, 0, 9156, 0, 158, 13, 148);
INSERT INTO public.who_data VALUES (2930, 6, 7442, 1, 130, 13, 230);
INSERT INTO public.who_data VALUES (2931, 200, 163137, 30, 5884, 13, 190);
INSERT INTO public.who_data VALUES (2932, 22, 711, 0, 13, 13, 188);
INSERT INTO public.who_data VALUES (2933, 22, 14687, 0, 84, 13, 123);
INSERT INTO public.who_data VALUES (2934, 8, 2780, 0, 46, 13, 9);
INSERT INTO public.who_data VALUES (2935, 52, 7939, 1, 180, 13, 102);
INSERT INTO public.who_data VALUES (2936, 0, 11806, 0, 246, 13, 34);
INSERT INTO public.who_data VALUES (2937, 0, 26, 0, 0, 13, 212);
INSERT INTO public.who_data VALUES (2938, 652, 153905, 16, 3710, 13, 122);
INSERT INTO public.who_data VALUES (2939, 1160, 377655, 65, 13155, 13, 38);
INSERT INTO public.who_data VALUES (2940, 0, 6020, 0, 29, 13, 130);
INSERT INTO public.who_data VALUES (2941, 11831, 10838194, 84, 155080, 13, 37);
INSERT INTO public.who_data VALUES (2942, 10827, 1157837, 163, 31556, 13, 231);
INSERT INTO public.who_data VALUES (2943, 7065, 1466435, 57, 58469, 13, 107);
INSERT INTO public.who_data VALUES (2944, 1134, 628550, 9, 13120, 13, 101);
INSERT INTO public.who_data VALUES (2945, 1020, 203568, 12, 3686, 13, 132);
INSERT INTO public.who_data VALUES (2946, 0, 434, 0, 25, 13, 176);
INSERT INTO public.who_data VALUES (2947, 2645, 686538, 53, 5120, 13, 200);
INSERT INTO public.who_data VALUES (2948, 11640, 2636738, 270, 91273, 13, 169);
INSERT INTO public.who_data VALUES (2949, 244, 17085, 1, 358, 13, 225);
INSERT INTO public.who_data VALUES (2950, 1555, 404990, 57, 6395, 13, 165);
INSERT INTO public.who_data VALUES (2951, 1, 3174, 0, 67, 13, 233);
INSERT INTO public.who_data VALUES (2952, 1299, 335154, 10, 4379, 13, 215);
INSERT INTO public.who_data VALUES (2953, 923, 245351, 0, 3185, 13, 177);
INSERT INTO public.who_data VALUES (2954, 129, 101819, 3, 1779, 13, 183);
INSERT INTO public.who_data VALUES (2955, 0, 0, 0, 0, 13, 203);
INSERT INTO public.who_data VALUES (2956, 249, 62215, 3, 1513, 13, 162);
INSERT INTO public.who_data VALUES (2957, 962, 170998, 2, 966, 13, 12);
INSERT INTO public.who_data VALUES (2958, 42, 85113, 5, 1431, 13, 24);
INSERT INTO public.who_data VALUES (2959, 0, 45, 0, 0, 13, 119);
INSERT INTO public.who_data VALUES (2960, 480, 71800, 12, 1339, 13, 39);
INSERT INTO public.who_data VALUES (2961, 2081, 319917, 54, 3616, 13, 26);
INSERT INTO public.who_data VALUES (2962, 0, 9380, 0, 183, 13, 59);
INSERT INTO public.who_data VALUES (2963, 0, 1956, 0, 84, 13, 77);
INSERT INTO public.who_data VALUES (2964, 1132, 124026, 17, 1953, 13, 134);
INSERT INTO public.who_data VALUES (2965, 3, 2598, 1, 51, 13, 4);
INSERT INTO public.who_data VALUES (2966, 269, 187039, 18, 2955, 13, 109);
INSERT INTO public.who_data VALUES (2967, 159, 51848, 1, 593, 13, 90);
INSERT INTO public.who_data VALUES (2968, 0, 19065, 0, 281, 13, 61);
INSERT INTO public.who_data VALUES (2969, 320, 27195, 19, 856, 13, 85);
INSERT INTO public.who_data VALUES (2970, 3731, 242452, 15, 872, 13, 49);
INSERT INTO public.who_data VALUES (2971, 127, 16783, 1, 55, 13, 208);
INSERT INTO public.who_data VALUES (2972, 16, 8176, 0, 338, 13, 166);
INSERT INTO public.who_data VALUES (2973, 100, 18676, 3, 282, 13, 64);
INSERT INTO public.who_data VALUES (2974, 0, 4, 0, 0, 13, 199);
INSERT INTO public.who_data VALUES (2975, 0, 6442, 0, 45, 13, 114);
INSERT INTO public.who_data VALUES (2976, 0, 16777, 0, 425, 13, 60);
INSERT INTO public.who_data VALUES (2977, 0, 584, 0, 10, 13, 68);
INSERT INTO public.who_data VALUES (2978, 0, 10755, 0, 64, 13, 158);
INSERT INTO public.who_data VALUES (2979, 13209, 1926080, 1496, 165786, 13, 52);
INSERT INTO public.who_data VALUES (2980, 0, 0, 0, 0, 13, 117);
INSERT INTO public.who_data VALUES (2981, 8, 1655, 0, 20, 13, 126);
INSERT INTO public.who_data VALUES (2982, 34, 2023, 0, 2, 13, 196);
INSERT INTO public.who_data VALUES (2983, 605, 66270, 4, 842, 13, 142);
INSERT INTO public.who_data VALUES (2984, 2, 17, 0, 1, 13, 185);
INSERT INTO public.who_data VALUES (2985, 389, 475355, 13, 8394, 13, 138);
INSERT INTO public.who_data VALUES (2986, 488, 44600, 9, 460, 13, 181);
INSERT INTO public.who_data VALUES (2987, 0, 141304, 7, 3175, 13, 178);
INSERT INTO public.who_data VALUES (2988, 129, 34974, 4, 375, 13, 168);
INSERT INTO public.who_data VALUES (2989, 0, 0, 0, 0, 13, 160);
INSERT INTO public.who_data VALUES (2990, 119, 271925, 3, 2038, 13, 151);
INSERT INTO public.who_data VALUES (2991, 3928, 1005478, 48, 14394, 13, 193);
INSERT INTO public.who_data VALUES (2992, 0, 49, 0, 0, 13, 18);
INSERT INTO public.who_data VALUES (2993, 0, 1964, 0, 25, 13, 40);
INSERT INTO public.who_data VALUES (2994, 0, 5027, 0, 170, 13, 218);
INSERT INTO public.who_data VALUES (2995, 14, 4612, 0, 165, 13, 191);
INSERT INTO public.who_data VALUES (2996, 506, 139748, 20, 1667, 13, 156);
INSERT INTO public.who_data VALUES (2997, 0, 0, 0, 0, 13, 135);
INSERT INTO public.who_data VALUES (2998, 0, 133, 0, 2, 13, 88);
INSERT INTO public.who_data VALUES (2999, 199, 94798, 8, 2924, 13, 55);
INSERT INTO public.who_data VALUES (3000, 170, 64653, 0, 582, 13, 108);
INSERT INTO public.who_data VALUES (3001, 824, 183365, 14, 2072, 13, 48);
INSERT INTO public.who_data VALUES (3002, 633, 135674, 2, 1534, 13, 3);
INSERT INTO public.who_data VALUES (3003, 0, 745, 0, 13, 13, 224);
INSERT INTO public.who_data VALUES (3004, 1346, 554474, 53, 11967, 13, 110);
INSERT INTO public.who_data VALUES (3005, 0, 0, 0, 0, 13, 106);
INSERT INTO public.who_data VALUES (3006, 977, 326464, 29, 5455, 13, 89);
INSERT INTO public.who_data VALUES (3007, 1, 895, 0, 9, 13, 121);
INSERT INTO public.who_data VALUES (3008, 713, 137603, 16, 2807, 13, 163);
INSERT INTO public.who_data VALUES (3009, 7433, 1180478, 188, 42121, 13, 70);
INSERT INTO public.who_data VALUES (3010, 1789, 537310, 69, 11179, 13, 174);
INSERT INTO public.who_data VALUES (3011, 0, 0, 0, 0, 13, 175);
INSERT INTO public.who_data VALUES (3012, 2431, 1552686, 45, 39132, 13, 118);
INSERT INTO public.who_data VALUES (3013, 3508, 765414, 204, 14158, 13, 189);
INSERT INTO public.who_data VALUES (3014, 484, 95839, 11, 1883, 13, 124);
INSERT INTO public.who_data VALUES (3015, 408, 154098, 0, 250, 13, 192);
INSERT INTO public.who_data VALUES (3016, 288, 81184, 3, 1474, 13, 41);
INSERT INTO public.who_data VALUES (3017, 326, 164569, 13, 3543, 13, 95);
INSERT INTO public.who_data VALUES (3018, 0, 10487, 0, 47, 13, 74);
INSERT INTO public.who_data VALUES (3019, 1975, 745318, 72, 18881, 13, 11);
INSERT INTO public.who_data VALUES (3020, 15916, 3983197, 407, 77068, 13, 87);
INSERT INTO public.who_data VALUES (3021, 114, 16451, 3, 220, 13, 214);
INSERT INTO public.who_data VALUES (3022, 0, 6, 0, 0, 13, 116);
INSERT INTO public.who_data VALUES (3023, 0, 379, 0, 0, 13, 157);
INSERT INTO public.who_data VALUES (3024, 0, 0, 0, 0, 13, 182);
INSERT INTO public.who_data VALUES (3025, 0, 40, 0, 0, 13, 186);
INSERT INTO public.who_data VALUES (3026, 0, 1813, 0, 18, 13, 127);
INSERT INTO public.who_data VALUES (3027, 0, 1289, 0, 12, 13, 232);
INSERT INTO public.who_data VALUES (3028, 0, 24, 0, 0, 13, 33);
INSERT INTO public.who_data VALUES (3029, 99, 1269, 1, 4, 13, 97);
INSERT INTO public.who_data VALUES (3030, 0, 3, 0, 0, 13, 42);
INSERT INTO public.who_data VALUES (3031, 1, 3137, 0, 69, 13, 198);
INSERT INTO public.who_data VALUES (3032, 0, 1339, 0, 18, 13, 216);
INSERT INTO public.who_data VALUES (3033, 317, 370278, 5, 6402, 13, 164);
INSERT INTO public.who_data VALUES (3034, 271, 28760, 7, 682, 13, 235);
INSERT INTO public.who_data VALUES (3035, 1529, 407881, 14, 4126, 13, 67);
INSERT INTO public.who_data VALUES (3036, 9, 1513, 1, 7, 13, 15);
INSERT INTO public.who_data VALUES (3037, 26, 3785, 0, 79, 13, 180);
INSERT INTO public.who_data VALUES (3038, 24, 59699, 0, 29, 13, 237);
INSERT INTO public.who_data VALUES (3039, 0, 20, 0, 0, 13, 25);
INSERT INTO public.who_data VALUES (3040, 0, 1911, 0, 27, 13, 209);
INSERT INTO public.who_data VALUES (3041, 1552, 263326, 64, 5199, 13, 217);
INSERT INTO public.who_data VALUES (3042, 497, 173672, 16, 3957, 13, 79);
INSERT INTO public.who_data VALUES (3043, 0, 17, 0, 0, 13, 143);
INSERT INTO public.who_data VALUES (3044, 8, 4862, 0, 134, 13, 229);
INSERT INTO public.who_data VALUES (3045, 2435, 1476135, 110, 46290, 13, 141);
INSERT INTO public.who_data VALUES (3046, 0, 4355, 0, 65, 13, 197);
INSERT INTO public.who_data VALUES (3047, 10189, 3021604, 320, 64324, 13, 221);
INSERT INTO public.who_data VALUES (3048, 772, 69348, 5, 356, 13, 150);
INSERT INTO public.who_data VALUES (3049, 12, 29765, 1, 1835, 13, 56);
INSERT INTO public.who_data VALUES (3050, 31, 8650, 2, 160, 13, 167);
INSERT INTO public.who_data VALUES (3051, 2337, 593616, 31, 12480, 13, 23);
INSERT INTO public.who_data VALUES (3052, 672, 532983, 16, 9000, 13, 222);
INSERT INTO public.who_data VALUES (3053, 69, 14477, 5, 952, 13, 219);
INSERT INTO public.who_data VALUES (3054, 0, 13714, 0, 91, 13, 7);
INSERT INTO public.who_data VALUES (3055, 186, 23557, 0, 79, 13, 161);
INSERT INTO public.who_data VALUES (3056, 15845, 3945684, 373, 112465, 13, 149);
INSERT INTO public.who_data VALUES (3057, 0, 80, 0, 0, 13, 6);
INSERT INTO public.who_data VALUES (3058, 47, 5483, 1, 80, 13, 139);
INSERT INTO public.who_data VALUES (3059, 0, 0, 0, 0, 13, 211);
INSERT INTO public.who_data VALUES (3060, 0, 0, 0, 0, 13, 14);
INSERT INTO public.who_data VALUES (3061, 9, 7616, 0, 135, 13, 111);
INSERT INTO public.who_data VALUES (3062, 910, 217086, 52, 7214, 13, 207);
INSERT INTO public.who_data VALUES (3063, 6670, 2531456, 112, 26797, 13, 66);
INSERT INTO public.who_data VALUES (3064, 0, 0, 0, 0, 13, 173);
INSERT INTO public.who_data VALUES (3065, 41, 1695, 0, 9, 13, 145);
INSERT INTO public.who_data VALUES (3066, 0, 0, 0, 0, 13, 65);
INSERT INTO public.who_data VALUES (3067, 27, 39848, 0, 327, 13, 184);
INSERT INTO public.who_data VALUES (3068, 2141, 1246990, 47, 23644, 13, 98);
INSERT INTO public.who_data VALUES (3069, 3093, 326495, 7, 921, 13, 104);
INSERT INTO public.who_data VALUES (3070, 0, 509, 0, 21, 13, 73);
INSERT INTO public.who_data VALUES (3071, 106988, 26654965, 2809, 458544, 13, 8);
INSERT INTO public.who_data VALUES (3072, 17, 2466, 0, 24, 13, 227);
INSERT INTO public.who_data VALUES (3073, 509, 44812, 3, 481, 13, 75);
INSERT INTO public.who_data VALUES (3074, 64, 79162, 0, 621, 13, 45);
INSERT INTO public.who_data VALUES (3075, 0, 1, 0, 0, 13, 133);
INSERT INTO public.who_data VALUES (3076, 412, 129643, 5, 1228, 13, 202);
INSERT INTO public.who_data VALUES (3077, 20, 2005, 0, 35, 13, 129);
INSERT INTO public.who_data VALUES (3078, 4, 9, 0, 0, 13, 36);
INSERT INTO public.who_data VALUES (3079, 0, 2131, 0, 616, 13, 51);
INSERT INTO public.who_data VALUES (3080, 1236, 62663, 14, 853, 13, 206);
INSERT INTO public.who_data VALUES (3081, 65, 34552, 10, 1326, 13, 5);
INSERT INTO public.who_data VALUES (3082, 5, 55335, 2, 2410, 14, 103);
INSERT INTO public.who_data VALUES (3083, 1130, 84212, 13, 1446, 14, 58);
INSERT INTO public.who_data VALUES (3084, 223, 108852, 2, 2911, 14, 195);
INSERT INTO public.who_data VALUES (3085, 0, 0, 0, 0, 14, 115);
INSERT INTO public.who_data VALUES (3086, 34, 10206, 1, 105, 14, 99);
INSERT INTO public.who_data VALUES (3087, 32, 20062, 1, 475, 14, 153);
INSERT INTO public.who_data VALUES (3088, 0, 17, 0, 0, 14, 93);
INSERT INTO public.who_data VALUES (3089, 0, 277, 0, 7, 14, 84);
INSERT INTO public.who_data VALUES (3090, 8374, 1970009, 285, 48985, 14, 78);
INSERT INTO public.who_data VALUES (3091, 151, 168088, 3, 3117, 14, 170);
INSERT INTO public.who_data VALUES (3092, 0, 7134, 0, 61, 14, 32);
INSERT INTO public.who_data VALUES (3093, 6, 28848, 0, 909, 14, 155);
INSERT INTO public.who_data VALUES (3094, 1437, 419307, 21, 7884, 14, 82);
INSERT INTO public.who_data VALUES (3095, 115, 231022, 3, 3156, 14, 16);
INSERT INTO public.who_data VALUES (3096, 14, 8270, 0, 176, 14, 72);
INSERT INTO public.who_data VALUES (3097, 515, 106713, 2, 379, 14, 43);
INSERT INTO public.who_data VALUES (3098, 305, 537770, 8, 8190, 14, 120);
INSERT INTO public.who_data VALUES (3099, 20, 1676, 0, 18, 14, 213);
INSERT INTO public.who_data VALUES (3100, 1787, 256959, 9, 1773, 14, 31);
INSERT INTO public.who_data VALUES (3101, 1271, 727417, 41, 21403, 14, 204);
INSERT INTO public.who_data VALUES (3102, 5, 12013, 0, 306, 14, 152);
INSERT INTO public.who_data VALUES (3103, 0, 4193, 0, 55, 14, 144);
INSERT INTO public.who_data VALUES (3104, 0, 692, 0, 12, 14, 96);
INSERT INTO public.who_data VALUES (3105, 0, 861, 0, 1, 14, 47);
INSERT INTO public.who_data VALUES (3106, 1676, 225910, 54, 10687, 14, 80);
INSERT INTO public.who_data VALUES (3107, 0, 366, 0, 3, 14, 159);
INSERT INTO public.who_data VALUES (3108, 270, 123704, 16, 4791, 14, 27);
INSERT INTO public.who_data VALUES (3109, 0, 23503, 0, 163, 14, 146);
INSERT INTO public.who_data VALUES (3110, 50872, 9447165, 1239, 230034, 14, 71);
INSERT INTO public.who_data VALUES (3111, 0, 141, 0, 1, 14, 210);
INSERT INTO public.who_data VALUES (3112, 0, 181, 0, 3, 14, 54);
INSERT INTO public.who_data VALUES (3113, 493, 223552, 9, 9311, 14, 147);
INSERT INTO public.who_data VALUES (3114, 84, 11227, 2, 134, 14, 2);
INSERT INTO public.who_data VALUES (3115, 6, 1723, 0, 3, 14, 105);
INSERT INTO public.who_data VALUES (3116, 74, 14380, 0, 135, 14, 53);
INSERT INTO public.who_data VALUES (3117, 2, 474, 0, 0, 14, 81);
INSERT INTO public.who_data VALUES (3118, 0, 30313, 0, 474, 14, 223);
INSERT INTO public.who_data VALUES (3119, 4022, 797756, 96, 20609, 14, 94);
INSERT INTO public.who_data VALUES (3120, 0, 405, 0, 2, 14, 154);
INSERT INTO public.who_data VALUES (3121, 0, 4989, 0, 63, 14, 83);
INSERT INTO public.who_data VALUES (3122, 23, 3473, 1, 125, 14, 194);
INSERT INTO public.who_data VALUES (3123, 4063, 748082, 87, 18895, 14, 136);
INSERT INTO public.who_data VALUES (3124, 31, 101272, 0, 4831, 14, 179);
INSERT INTO public.who_data VALUES (3125, 7248, 2142660, 272, 55403, 14, 57);
INSERT INTO public.who_data VALUES (3126, 85, 3086, 3, 108, 14, 35);
INSERT INTO public.who_data VALUES (3127, 0, 8060, 0, 122, 14, 228);
INSERT INTO public.who_data VALUES (3128, 0, 0, 0, 0, 14, 19);
INSERT INTO public.who_data VALUES (3129, 446, 196438, 10, 2672, 14, 22);
INSERT INTO public.who_data VALUES (3130, 272, 29567, 2, 162, 14, 1);
INSERT INTO public.who_data VALUES (3131, 276, 235402, 25, 5169, 14, 21);
INSERT INTO public.who_data VALUES (3132, 821, 32011, 4, 233, 14, 234);
INSERT INTO public.who_data VALUES (3133, 0, 4597, 0, 21, 14, 91);
INSERT INTO public.who_data VALUES (3134, 132, 31644, 1, 211, 14, 137);
INSERT INTO public.who_data VALUES (3135, 4863, 1034975, 106, 17235, 14, 201);
INSERT INTO public.who_data VALUES (3136, 0, 0, 0, 0, 14, 171);
INSERT INTO public.who_data VALUES (3137, 114, 23484, 2, 679, 14, 92);
INSERT INTO public.who_data VALUES (3138, 413, 201186, 14, 2215, 14, 112);
INSERT INTO public.who_data VALUES (3139, 0, 5941, 0, 63, 14, 62);
INSERT INTO public.who_data VALUES (3140, 0, 121, 0, 0, 14, 69);
INSERT INTO public.who_data VALUES (3141, 1722, 222148, 28, 2801, 14, 220);
INSERT INTO public.who_data VALUES (3142, 1703, 257115, 22, 15004, 14, 100);
INSERT INTO public.who_data VALUES (3143, 509, 169106, 44, 9604, 14, 187);
INSERT INTO public.who_data VALUES (3144, 212, 56237, 11, 1673, 14, 63);
INSERT INTO public.who_data VALUES (3145, 0, 5578, 0, 86, 14, 28);
INSERT INTO public.who_data VALUES (3146, 0, 2326, 0, 7, 14, 172);
INSERT INTO public.who_data VALUES (3147, 416, 47928, 5, 461, 14, 17);
INSERT INTO public.who_data VALUES (3148, 44, 16181, 4, 604, 14, 226);
INSERT INTO public.who_data VALUES (3149, 570, 141453, 9, 2145, 14, 236);
INSERT INTO public.who_data VALUES (3150, 0, 44, 0, 0, 14, 76);
INSERT INTO public.who_data VALUES (3151, 0, 655, 0, 1, 14, 30);
INSERT INTO public.who_data VALUES (3152, 0, 56, 0, 2, 14, 128);
INSERT INTO public.who_data VALUES (3153, 368, 47262, 3, 695, 14, 86);
INSERT INTO public.who_data VALUES (3154, 20586, 3262505, 191, 78389, 14, 140);
INSERT INTO public.who_data VALUES (3155, 0, 16296, 0, 79, 14, 44);
INSERT INTO public.who_data VALUES (3156, 0, 18185, 0, 133, 14, 113);
INSERT INTO public.who_data VALUES (3157, 0, 11457, 0, 71, 14, 29);
INSERT INTO public.who_data VALUES (3158, 53, 4237, 2, 134, 14, 125);
INSERT INTO public.who_data VALUES (3159, 404, 262024, 14, 3283, 14, 131);
INSERT INTO public.who_data VALUES (3160, 8616, 2284010, 231, 61517, 14, 46);
INSERT INTO public.who_data VALUES (3161, 6, 70046, 0, 449, 14, 10);
INSERT INTO public.who_data VALUES (3162, 7, 4170, 1, 80, 14, 205);
INSERT INTO public.who_data VALUES (3163, 1106, 163213, 29, 5951, 14, 50);
INSERT INTO public.who_data VALUES (3164, 0, 30, 0, 0, 14, 20);
INSERT INTO public.who_data VALUES (3165, 0, 148, 0, 1, 14, 13);
INSERT INTO public.who_data VALUES (3166, 0, 9156, 0, 158, 14, 148);
INSERT INTO public.who_data VALUES (3167, 7, 7436, 0, 129, 14, 230);
INSERT INTO public.who_data VALUES (3168, 642, 162937, 38, 5854, 14, 190);
INSERT INTO public.who_data VALUES (3169, 17, 689, 0, 13, 14, 188);
INSERT INTO public.who_data VALUES (3170, 36, 14665, 0, 84, 14, 123);
INSERT INTO public.who_data VALUES (3171, 20, 2772, 0, 46, 14, 9);
INSERT INTO public.who_data VALUES (3172, 107, 7887, 2, 179, 14, 102);
INSERT INTO public.who_data VALUES (3173, 48, 11806, 1, 246, 14, 34);
INSERT INTO public.who_data VALUES (3174, 0, 26, 0, 0, 14, 212);
INSERT INTO public.who_data VALUES (3175, 1028, 153253, 25, 3694, 14, 122);
INSERT INTO public.who_data VALUES (3176, 1370, 376495, 64, 13090, 14, 38);
INSERT INTO public.who_data VALUES (3177, 0, 6020, 0, 29, 14, 130);
INSERT INTO public.who_data VALUES (3178, 12059, 10826363, 78, 154996, 14, 37);
INSERT INTO public.who_data VALUES (3179, 12156, 1147010, 191, 31393, 14, 231);
INSERT INTO public.who_data VALUES (3180, 6983, 1459370, 76, 58412, 14, 107);
INSERT INTO public.who_data VALUES (3181, 1660, 627416, 8, 13111, 14, 101);
INSERT INTO public.who_data VALUES (3182, 785, 202548, 53, 3674, 14, 132);
INSERT INTO public.who_data VALUES (3183, 0, 434, 0, 25, 14, 176);
INSERT INTO public.who_data VALUES (3184, 6578, 683893, 53, 5067, 14, 200);
INSERT INTO public.who_data VALUES (3185, 13439, 2625098, 385, 91003, 14, 169);
INSERT INTO public.who_data VALUES (3186, 328, 16841, 0, 357, 14, 225);
INSERT INTO public.who_data VALUES (3187, 2080, 403435, 95, 6338, 14, 165);
INSERT INTO public.who_data VALUES (3188, 2, 3173, 0, 67, 14, 233);
INSERT INTO public.who_data VALUES (3189, 865, 333855, 7, 4369, 14, 215);
INSERT INTO public.who_data VALUES (3190, 1021, 244428, 59, 3185, 14, 177);
INSERT INTO public.who_data VALUES (3191, 156, 101690, 0, 1776, 14, 183);
INSERT INTO public.who_data VALUES (3192, 0, 0, 0, 0, 14, 203);
INSERT INTO public.who_data VALUES (3193, 321, 61966, 1, 1510, 14, 162);
INSERT INTO public.who_data VALUES (3194, 846, 170036, 0, 964, 14, 12);
INSERT INTO public.who_data VALUES (3195, 79, 85071, 3, 1426, 14, 24);
INSERT INTO public.who_data VALUES (3196, 0, 45, 0, 0, 14, 119);
INSERT INTO public.who_data VALUES (3197, 1044, 71320, 18, 1327, 14, 39);
INSERT INTO public.who_data VALUES (3198, 2496, 317836, 67, 3562, 14, 26);
INSERT INTO public.who_data VALUES (3199, 0, 9380, 0, 183, 14, 59);
INSERT INTO public.who_data VALUES (3200, 11, 1956, 0, 84, 14, 77);
INSERT INTO public.who_data VALUES (3201, 0, 122894, 0, 1936, 14, 134);
INSERT INTO public.who_data VALUES (3202, 4, 2595, 0, 50, 14, 4);
INSERT INTO public.who_data VALUES (3203, 492, 186770, 10, 2937, 14, 109);
INSERT INTO public.who_data VALUES (3204, 177, 51689, 2, 592, 14, 90);
INSERT INTO public.who_data VALUES (3205, 0, 19065, 0, 281, 14, 61);
INSERT INTO public.who_data VALUES (3206, 515, 26875, 38, 837, 14, 85);
INSERT INTO public.who_data VALUES (3207, 3847, 238721, 12, 857, 14, 49);
INSERT INTO public.who_data VALUES (3208, 109, 16656, 0, 54, 14, 208);
INSERT INTO public.who_data VALUES (3209, 15, 8160, 2, 338, 14, 166);
INSERT INTO public.who_data VALUES (3210, 134, 18576, 2, 279, 14, 64);
INSERT INTO public.who_data VALUES (3211, 0, 4, 0, 0, 14, 199);
INSERT INTO public.who_data VALUES (3212, 0, 6442, 0, 45, 14, 114);
INSERT INTO public.who_data VALUES (3213, 115, 16777, 3, 425, 14, 60);
INSERT INTO public.who_data VALUES (3214, 0, 584, 0, 10, 14, 68);
INSERT INTO public.who_data VALUES (3215, 0, 10755, 0, 64, 14, 158);
INSERT INTO public.who_data VALUES (3216, 13051, 1912871, 1368, 164290, 14, 52);
INSERT INTO public.who_data VALUES (3217, 0, 0, 0, 0, 14, 117);
INSERT INTO public.who_data VALUES (3218, 22, 1647, 1, 20, 14, 126);
INSERT INTO public.who_data VALUES (3219, 61, 1989, 0, 2, 14, 196);
INSERT INTO public.who_data VALUES (3220, 413, 65665, 2, 838, 14, 142);
INSERT INTO public.who_data VALUES (3221, 2, 15, 0, 1, 14, 185);
INSERT INTO public.who_data VALUES (3222, 587, 474966, 13, 8381, 14, 138);
INSERT INTO public.who_data VALUES (3223, 928, 44112, 15, 451, 14, 181);
INSERT INTO public.who_data VALUES (3224, 0, 141304, 0, 3168, 14, 178);
INSERT INTO public.who_data VALUES (3225, 230, 34845, 1, 371, 14, 168);
INSERT INTO public.who_data VALUES (3226, 0, 0, 0, 0, 14, 160);
INSERT INTO public.who_data VALUES (3227, 99, 271806, 0, 2035, 14, 151);
INSERT INTO public.who_data VALUES (3228, 4099, 1001550, 61, 14346, 14, 193);
INSERT INTO public.who_data VALUES (3229, 0, 49, 0, 0, 14, 18);
INSERT INTO public.who_data VALUES (3230, 5, 1964, 0, 25, 14, 40);
INSERT INTO public.who_data VALUES (3231, 0, 5027, 0, 170, 14, 218);
INSERT INTO public.who_data VALUES (3232, 23, 4598, 1, 165, 14, 191);
INSERT INTO public.who_data VALUES (3233, 1588, 139242, 6, 1647, 14, 156);
INSERT INTO public.who_data VALUES (3234, 0, 0, 0, 0, 14, 135);
INSERT INTO public.who_data VALUES (3235, 0, 133, 0, 2, 14, 88);
INSERT INTO public.who_data VALUES (3236, 403, 94599, 8, 2916, 14, 55);
INSERT INTO public.who_data VALUES (3237, 274, 64483, 0, 582, 14, 108);
INSERT INTO public.who_data VALUES (3238, 470, 182541, 3, 2058, 14, 48);
INSERT INTO public.who_data VALUES (3239, 0, 135041, 0, 1532, 14, 3);
INSERT INTO public.who_data VALUES (3240, 0, 745, 0, 13, 14, 224);
INSERT INTO public.who_data VALUES (3241, 1286, 553128, 28, 11914, 14, 110);
INSERT INTO public.who_data VALUES (3242, 0, 0, 0, 0, 14, 106);
INSERT INTO public.who_data VALUES (3243, 998, 325487, 35, 5426, 14, 89);
INSERT INTO public.who_data VALUES (3244, 0, 894, 0, 9, 14, 121);
INSERT INTO public.who_data VALUES (3245, 867, 136890, 12, 2791, 14, 163);
INSERT INTO public.who_data VALUES (3246, 7993, 1173045, 180, 41933, 14, 70);
INSERT INTO public.who_data VALUES (3247, 1934, 535521, 52, 11110, 14, 174);
INSERT INTO public.who_data VALUES (3248, 0, 0, 0, 0, 14, 175);
INSERT INTO public.who_data VALUES (3249, 4725, 1550255, 93, 39087, 14, 118);
INSERT INTO public.who_data VALUES (3250, 6132, 761906, 214, 13954, 14, 189);
INSERT INTO public.who_data VALUES (3251, 291, 95355, 5, 1872, 14, 124);
INSERT INTO public.who_data VALUES (3252, 394, 153690, 0, 250, 14, 192);
INSERT INTO public.who_data VALUES (3253, 372, 80896, 7, 1471, 14, 41);
INSERT INTO public.who_data VALUES (3254, 843, 164243, 15, 3530, 14, 95);
INSERT INTO public.who_data VALUES (3255, 0, 10487, 0, 47, 14, 74);
INSERT INTO public.who_data VALUES (3256, 2611, 743343, 61, 18809, 14, 11);
INSERT INTO public.who_data VALUES (3257, 16048, 3967281, 432, 76661, 14, 87);
INSERT INTO public.who_data VALUES (3258, 151, 16337, 4, 217, 14, 214);
INSERT INTO public.who_data VALUES (3259, 0, 6, 0, 0, 14, 116);
INSERT INTO public.who_data VALUES (3260, 0, 379, 0, 0, 14, 157);
INSERT INTO public.who_data VALUES (3261, 0, 0, 0, 0, 14, 182);
INSERT INTO public.who_data VALUES (3262, 0, 40, 0, 0, 14, 186);
INSERT INTO public.who_data VALUES (3263, 257, 1813, 0, 18, 14, 127);
INSERT INTO public.who_data VALUES (3264, 0, 1289, 0, 12, 14, 232);
INSERT INTO public.who_data VALUES (3265, 0, 24, 0, 0, 14, 33);
INSERT INTO public.who_data VALUES (3266, 0, 1170, 0, 3, 14, 97);
INSERT INTO public.who_data VALUES (3267, 0, 3, 0, 0, 14, 42);
INSERT INTO public.who_data VALUES (3268, 9, 3136, 0, 69, 14, 198);
INSERT INTO public.who_data VALUES (3269, 5, 1339, 0, 18, 14, 216);
INSERT INTO public.who_data VALUES (3270, 386, 369961, 4, 6397, 14, 164);
INSERT INTO public.who_data VALUES (3271, 383, 28489, 9, 675, 14, 235);
INSERT INTO public.who_data VALUES (3272, 1684, 406352, 13, 4112, 14, 67);
INSERT INTO public.who_data VALUES (3273, 215, 1504, 1, 6, 14, 15);
INSERT INTO public.who_data VALUES (3274, 0, 3759, 0, 79, 14, 180);
INSERT INTO public.who_data VALUES (3275, 26, 59675, 0, 29, 14, 237);
INSERT INTO public.who_data VALUES (3276, 0, 20, 0, 0, 14, 25);
INSERT INTO public.who_data VALUES (3277, 0, 1911, 0, 27, 14, 209);
INSERT INTO public.who_data VALUES (3278, 2241, 261774, 85, 5135, 14, 217);
INSERT INTO public.who_data VALUES (3279, 981, 173175, 13, 3941, 14, 79);
INSERT INTO public.who_data VALUES (3280, 0, 17, 0, 0, 14, 143);
INSERT INTO public.who_data VALUES (3281, 40, 4854, 2, 134, 14, 229);
INSERT INTO public.who_data VALUES (3282, 3184, 1473700, 278, 46180, 14, 141);
INSERT INTO public.who_data VALUES (3283, 0, 4355, 0, 65, 14, 197);
INSERT INTO public.who_data VALUES (3284, 19812, 3011415, 362, 64004, 14, 221);
INSERT INTO public.who_data VALUES (3285, 726, 68576, 8, 351, 14, 150);
INSERT INTO public.who_data VALUES (3286, 54, 29753, 2, 1834, 14, 56);
INSERT INTO public.who_data VALUES (3287, 24, 8619, 0, 158, 14, 167);
INSERT INTO public.who_data VALUES (3288, 3262, 591279, 34, 12449, 14, 23);
INSERT INTO public.who_data VALUES (3289, 887, 532311, 24, 8984, 14, 222);
INSERT INTO public.who_data VALUES (3290, 70, 14408, 4, 947, 14, 219);
INSERT INTO public.who_data VALUES (3291, 0, 13714, 0, 91, 14, 7);
INSERT INTO public.who_data VALUES (3292, 237, 23371, 0, 79, 14, 161);
INSERT INTO public.who_data VALUES (3293, 18262, 3929839, 828, 112092, 14, 149);
INSERT INTO public.who_data VALUES (3294, 0, 80, 0, 0, 14, 6);
INSERT INTO public.who_data VALUES (3295, 80, 5436, 0, 79, 14, 139);
INSERT INTO public.who_data VALUES (3296, 0, 0, 0, 0, 14, 211);
INSERT INTO public.who_data VALUES (3297, 0, 0, 0, 0, 14, 14);
INSERT INTO public.who_data VALUES (3298, 0, 7607, 0, 135, 14, 111);
INSERT INTO public.who_data VALUES (3299, 1064, 216176, 63, 7162, 14, 207);
INSERT INTO public.who_data VALUES (3300, 7897, 2524786, 108, 26685, 14, 66);
INSERT INTO public.who_data VALUES (3301, 0, 0, 0, 0, 14, 173);
INSERT INTO public.who_data VALUES (3302, 64, 1654, 0, 9, 14, 145);
INSERT INTO public.who_data VALUES (3303, 0, 0, 0, 0, 14, 65);
INSERT INTO public.who_data VALUES (3304, 32, 39821, 0, 327, 14, 184);
INSERT INTO public.who_data VALUES (3305, 3370, 1244849, 81, 23597, 14, 98);
INSERT INTO public.who_data VALUES (3306, 3276, 323402, 12, 914, 14, 104);
INSERT INTO public.who_data VALUES (3307, 0, 509, 0, 21, 14, 73);
INSERT INTO public.who_data VALUES (3308, 129961, 26547977, 3549, 455735, 14, 8);
INSERT INTO public.who_data VALUES (3309, 0, 2449, 0, 24, 14, 227);
INSERT INTO public.who_data VALUES (3310, 499, 44303, 2, 478, 14, 75);
INSERT INTO public.who_data VALUES (3311, 53, 79098, 0, 621, 14, 45);
INSERT INTO public.who_data VALUES (3312, 0, 1, 0, 0, 14, 133);
INSERT INTO public.who_data VALUES (3313, 456, 129231, 7, 1223, 14, 202);
INSERT INTO public.who_data VALUES (3314, 9, 1985, 0, 35, 14, 129);
INSERT INTO public.who_data VALUES (3315, 0, 5, 0, 0, 14, 36);
INSERT INTO public.who_data VALUES (3316, 4, 2131, 0, 616, 14, 51);
INSERT INTO public.who_data VALUES (3317, 1000, 61427, 11, 839, 14, 206);
INSERT INTO public.who_data VALUES (3318, 156, 34487, 13, 1316, 14, 5);
INSERT INTO public.who_data VALUES (3319, 65, 55330, 1, 2408, 15, 103);
INSERT INTO public.who_data VALUES (3320, 1089, 83082, 15, 1433, 15, 58);
INSERT INTO public.who_data VALUES (3321, 248, 108629, 5, 2909, 15, 195);
INSERT INTO public.who_data VALUES (3322, 0, 0, 0, 0, 15, 115);
INSERT INTO public.who_data VALUES (3323, 35, 10172, 1, 104, 15, 99);
INSERT INTO public.who_data VALUES (3324, 34, 20030, 1, 474, 15, 153);
INSERT INTO public.who_data VALUES (3325, 0, 17, 0, 0, 15, 93);
INSERT INTO public.who_data VALUES (3326, 9, 277, 0, 7, 15, 84);
INSERT INTO public.who_data VALUES (3327, 8891, 1961635, 161, 48700, 15, 78);
INSERT INTO public.who_data VALUES (3328, 211, 167937, 5, 3114, 15, 170);
INSERT INTO public.who_data VALUES (3329, 51, 7134, 0, 61, 15, 32);
INSERT INTO public.who_data VALUES (3330, 4, 28842, 0, 909, 15, 155);
INSERT INTO public.who_data VALUES (3331, 1501, 417870, 35, 7863, 15, 82);
INSERT INTO public.who_data VALUES (3332, 138, 230907, 5, 3153, 15, 16);
INSERT INTO public.who_data VALUES (3333, 9, 8256, 0, 176, 15, 72);
INSERT INTO public.who_data VALUES (3334, 702, 106198, 0, 377, 15, 43);
INSERT INTO public.who_data VALUES (3335, 435, 537465, 7, 8182, 15, 120);
INSERT INTO public.who_data VALUES (3336, 45, 1656, 3, 18, 15, 213);
INSERT INTO public.who_data VALUES (3337, 1759, 255172, 9, 1764, 15, 31);
INSERT INTO public.who_data VALUES (3338, 2484, 726146, 54, 21362, 15, 204);
INSERT INTO public.who_data VALUES (3339, 30, 12008, 0, 306, 15, 152);
INSERT INTO public.who_data VALUES (3340, 74, 4193, 1, 55, 15, 144);
INSERT INTO public.who_data VALUES (3341, 0, 692, 0, 12, 15, 96);
INSERT INTO public.who_data VALUES (3342, 2, 861, 0, 1, 15, 47);
INSERT INTO public.who_data VALUES (3343, 1787, 224234, 62, 10633, 15, 80);
INSERT INTO public.who_data VALUES (3344, 0, 366, 0, 3, 15, 159);
INSERT INTO public.who_data VALUES (3345, 292, 123434, 14, 4775, 15, 27);
INSERT INTO public.who_data VALUES (3346, 765, 23503, 15, 163, 15, 146);
INSERT INTO public.who_data VALUES (3347, 56873, 9396293, 1232, 228795, 15, 71);
INSERT INTO public.who_data VALUES (3348, 0, 141, 0, 1, 15, 210);
INSERT INTO public.who_data VALUES (3349, 1, 181, 0, 3, 15, 54);
INSERT INTO public.who_data VALUES (3350, 910, 223059, 30, 9302, 15, 147);
INSERT INTO public.who_data VALUES (3351, 90, 11143, 0, 132, 15, 2);
INSERT INTO public.who_data VALUES (3352, 19, 1717, 0, 3, 15, 105);
INSERT INTO public.who_data VALUES (3353, 16, 14306, 0, 135, 15, 53);
INSERT INTO public.who_data VALUES (3354, 2, 472, 0, 0, 15, 81);
INSERT INTO public.who_data VALUES (3355, 0, 30313, 0, 474, 15, 223);
INSERT INTO public.who_data VALUES (3356, 4083, 793734, 158, 20513, 15, 94);
INSERT INTO public.who_data VALUES (3357, 5, 405, 0, 2, 15, 154);
INSERT INTO public.who_data VALUES (3358, 0, 4989, 0, 63, 15, 83);
INSERT INTO public.who_data VALUES (3359, 17, 3450, 3, 124, 15, 194);
INSERT INTO public.who_data VALUES (3360, 3782, 744019, 77, 18808, 15, 136);
INSERT INTO public.who_data VALUES (3361, 54, 101241, 0, 4831, 15, 179);
INSERT INTO public.who_data VALUES (3362, 9790, 2135412, 254, 55131, 15, 57);
INSERT INTO public.who_data VALUES (3363, 26, 3001, 0, 105, 15, 35);
INSERT INTO public.who_data VALUES (3364, 0, 8060, 0, 122, 15, 228);
INSERT INTO public.who_data VALUES (3365, 0, 0, 0, 0, 15, 19);
INSERT INTO public.who_data VALUES (3366, 455, 195992, 12, 2662, 15, 22);
INSERT INTO public.who_data VALUES (3367, 193, 29295, 2, 160, 15, 1);
INSERT INTO public.who_data VALUES (3368, 424, 235126, 22, 5144, 15, 21);
INSERT INTO public.who_data VALUES (3369, 845, 31190, 4, 229, 15, 234);
INSERT INTO public.who_data VALUES (3370, 2, 4597, 0, 21, 15, 91);
INSERT INTO public.who_data VALUES (3371, 133, 31512, 2, 210, 15, 137);
INSERT INTO public.who_data VALUES (3372, 8635, 1030112, 153, 17129, 15, 201);
INSERT INTO public.who_data VALUES (3373, 0, 0, 0, 0, 15, 171);
INSERT INTO public.who_data VALUES (3374, 159, 23370, 0, 677, 15, 92);
INSERT INTO public.who_data VALUES (3375, 438, 200773, 17, 2201, 15, 112);
INSERT INTO public.who_data VALUES (3376, 5, 5941, 0, 63, 15, 62);
INSERT INTO public.who_data VALUES (3377, 0, 121, 0, 0, 15, 69);
INSERT INTO public.who_data VALUES (3378, 1478, 220426, 26, 2773, 15, 220);
INSERT INTO public.who_data VALUES (3379, 2073, 255412, 14, 14982, 15, 100);
INSERT INTO public.who_data VALUES (3380, 540, 168597, 48, 9560, 15, 187);
INSERT INTO public.who_data VALUES (3381, 204, 56025, 9, 1662, 15, 63);
INSERT INTO public.who_data VALUES (3382, 44, 5578, 0, 86, 15, 28);
INSERT INTO public.who_data VALUES (3383, 17, 2326, 0, 7, 15, 172);
INSERT INTO public.who_data VALUES (3384, 587, 47512, 9, 456, 15, 17);
INSERT INTO public.who_data VALUES (3385, 92, 16137, 9, 600, 15, 226);
INSERT INTO public.who_data VALUES (3386, 726, 140883, 10, 2136, 15, 236);
INSERT INTO public.who_data VALUES (3387, 3, 44, 0, 0, 15, 76);
INSERT INTO public.who_data VALUES (3388, 0, 655, 0, 1, 15, 30);
INSERT INTO public.who_data VALUES (3389, 0, 56, 0, 2, 15, 128);
INSERT INTO public.who_data VALUES (3390, 401, 46894, 4, 692, 15, 86);
INSERT INTO public.who_data VALUES (3391, 20741, 3241919, 650, 78198, 15, 140);
INSERT INTO public.who_data VALUES (3392, 32, 16296, 0, 79, 15, 44);
INSERT INTO public.who_data VALUES (3393, 20, 18185, 0, 133, 15, 113);
INSERT INTO public.who_data VALUES (3394, 328, 11457, 1, 71, 15, 29);
INSERT INTO public.who_data VALUES (3395, 0, 4184, 0, 132, 15, 125);
INSERT INTO public.who_data VALUES (3396, 602, 261620, 11, 3269, 15, 131);
INSERT INTO public.who_data VALUES (3397, 10485, 2275394, 689, 61286, 15, 46);
INSERT INTO public.who_data VALUES (3398, 1481, 70040, 16, 449, 15, 10);
INSERT INTO public.who_data VALUES (3399, 7, 4163, 0, 79, 15, 205);
INSERT INTO public.who_data VALUES (3400, 1172, 162107, 19, 5922, 15, 50);
INSERT INTO public.who_data VALUES (3401, 0, 30, 0, 0, 15, 20);
INSERT INTO public.who_data VALUES (3402, 0, 148, 0, 1, 15, 13);
INSERT INTO public.who_data VALUES (3403, 0, 9156, 0, 158, 15, 148);
INSERT INTO public.who_data VALUES (3404, 14, 7429, 0, 129, 15, 230);
INSERT INTO public.who_data VALUES (3405, 630, 162295, 31, 5816, 15, 190);
INSERT INTO public.who_data VALUES (3406, 21, 672, 0, 13, 15, 188);
INSERT INTO public.who_data VALUES (3407, 0, 14629, 0, 84, 15, 123);
INSERT INTO public.who_data VALUES (3408, 59, 2752, 0, 46, 15, 9);
INSERT INTO public.who_data VALUES (3409, 66, 7780, 0, 177, 15, 102);
INSERT INTO public.who_data VALUES (3410, 66, 11758, 0, 245, 15, 34);
INSERT INTO public.who_data VALUES (3411, 0, 26, 0, 0, 15, 212);
INSERT INTO public.who_data VALUES (3412, 1122, 152225, 7, 3669, 15, 122);
INSERT INTO public.who_data VALUES (3413, 1561, 375125, 96, 13026, 15, 38);
INSERT INTO public.who_data VALUES (3414, 4, 6020, 0, 29, 15, 130);
INSERT INTO public.who_data VALUES (3415, 11713, 10814304, 95, 154918, 15, 37);
INSERT INTO public.who_data VALUES (3416, 11749, 1134854, 201, 31202, 15, 231);
INSERT INTO public.who_data VALUES (3417, 7061, 1452387, 80, 58336, 15, 107);
INSERT INTO public.who_data VALUES (3418, 1534, 625756, 12, 13103, 15, 101);
INSERT INTO public.who_data VALUES (3419, 1019, 201763, 35, 3621, 15, 132);
INSERT INTO public.who_data VALUES (3420, 0, 434, 0, 25, 15, 176);
INSERT INTO public.who_data VALUES (3421, 7186, 677315, 46, 5014, 15, 200);
INSERT INTO public.who_data VALUES (3422, 14213, 2611659, 377, 90618, 15, 169);
INSERT INTO public.who_data VALUES (3423, 263, 16513, 2, 357, 15, 225);
INSERT INTO public.who_data VALUES (3424, 2307, 401355, 108, 6243, 15, 165);
INSERT INTO public.who_data VALUES (3425, 6, 3171, 0, 67, 15, 233);
INSERT INTO public.who_data VALUES (3426, 1222, 332990, 8, 4362, 15, 215);
INSERT INTO public.who_data VALUES (3427, 1215, 243407, 0, 3126, 15, 177);
INSERT INTO public.who_data VALUES (3428, 195, 101534, 3, 1776, 15, 183);
INSERT INTO public.who_data VALUES (3429, 0, 0, 0, 0, 15, 203);
INSERT INTO public.who_data VALUES (3430, 308, 61645, 5, 1509, 15, 162);
INSERT INTO public.who_data VALUES (3431, 940, 169190, 2, 964, 15, 12);
INSERT INTO public.who_data VALUES (3432, 72, 84992, 3, 1423, 15, 24);
INSERT INTO public.who_data VALUES (3433, 0, 45, 0, 0, 15, 119);
INSERT INTO public.who_data VALUES (3434, 876, 70276, 28, 1309, 15, 39);
INSERT INTO public.who_data VALUES (3435, 3071, 315340, 98, 3495, 15, 26);
INSERT INTO public.who_data VALUES (3436, 411, 9380, 5, 183, 15, 59);
INSERT INTO public.who_data VALUES (3437, 0, 1945, 0, 84, 15, 77);
INSERT INTO public.who_data VALUES (3438, 881, 122894, 17, 1936, 15, 134);
INSERT INTO public.who_data VALUES (3439, 3, 2591, 0, 50, 15, 4);
INSERT INTO public.who_data VALUES (3440, 677, 186278, 19, 2927, 15, 109);
INSERT INTO public.who_data VALUES (3441, 182, 51512, 2, 590, 15, 90);
INSERT INTO public.who_data VALUES (3442, 0, 19065, 0, 281, 15, 61);
INSERT INTO public.who_data VALUES (3443, 476, 26360, 20, 799, 15, 85);
INSERT INTO public.who_data VALUES (3444, 3391, 234874, 19, 845, 15, 49);
INSERT INTO public.who_data VALUES (3445, 137, 16547, 0, 54, 15, 208);
INSERT INTO public.who_data VALUES (3446, 15, 8145, 3, 336, 15, 166);
INSERT INTO public.who_data VALUES (3447, 57, 18442, 4, 277, 15, 64);
INSERT INTO public.who_data VALUES (3448, 0, 4, 0, 0, 15, 199);
INSERT INTO public.who_data VALUES (3449, 0, 6442, 0, 45, 15, 114);
INSERT INTO public.who_data VALUES (3450, 0, 16662, 0, 422, 15, 60);
INSERT INTO public.who_data VALUES (3451, 0, 584, 0, 10, 15, 68);
INSERT INTO public.who_data VALUES (3452, 1209, 10755, 1, 64, 15, 158);
INSERT INTO public.who_data VALUES (3453, 13575, 1899820, 1682, 162922, 15, 52);
INSERT INTO public.who_data VALUES (3454, 0, 0, 0, 0, 15, 117);
INSERT INTO public.who_data VALUES (3455, 29, 1625, 1, 19, 15, 126);
INSERT INTO public.who_data VALUES (3456, 38, 1928, 0, 2, 15, 196);
INSERT INTO public.who_data VALUES (3457, 510, 65252, 5, 836, 15, 142);
INSERT INTO public.who_data VALUES (3458, 0, 13, 0, 1, 15, 185);
INSERT INTO public.who_data VALUES (3459, 712, 474379, 17, 8368, 15, 138);
INSERT INTO public.who_data VALUES (3460, 696, 43184, 9, 436, 15, 181);
INSERT INTO public.who_data VALUES (3461, 200, 141304, 5, 3168, 15, 178);
INSERT INTO public.who_data VALUES (3462, 96, 34615, 6, 370, 15, 168);
INSERT INTO public.who_data VALUES (3463, 0, 0, 0, 0, 15, 160);
INSERT INTO public.who_data VALUES (3464, 105, 271707, 2, 2035, 15, 151);
INSERT INTO public.who_data VALUES (3465, 4330, 997451, 60, 14285, 15, 193);
INSERT INTO public.who_data VALUES (3466, 2, 49, 0, 0, 15, 18);
INSERT INTO public.who_data VALUES (3467, 0, 1959, 0, 25, 15, 40);
INSERT INTO public.who_data VALUES (3468, 0, 5027, 0, 170, 15, 218);
INSERT INTO public.who_data VALUES (3469, 0, 4575, 0, 164, 15, 191);
INSERT INTO public.who_data VALUES (3470, 1624, 137654, 9, 1641, 15, 156);
INSERT INTO public.who_data VALUES (3471, 0, 0, 0, 0, 15, 135);
INSERT INTO public.who_data VALUES (3472, 0, 133, 0, 2, 15, 88);
INSERT INTO public.who_data VALUES (3473, 314, 94196, 8, 2908, 15, 55);
INSERT INTO public.who_data VALUES (3474, 372, 64209, 0, 582, 15, 108);
INSERT INTO public.who_data VALUES (3475, 722, 182071, 5, 2055, 15, 48);
INSERT INTO public.who_data VALUES (3476, 0, 135041, 0, 1532, 15, 3);
INSERT INTO public.who_data VALUES (3477, 0, 745, 0, 13, 15, 224);
INSERT INTO public.who_data VALUES (3478, 1302, 551842, 53, 11886, 15, 110);
INSERT INTO public.who_data VALUES (3479, 0, 0, 0, 0, 15, 106);
INSERT INTO public.who_data VALUES (3480, 1107, 324489, 25, 5391, 15, 89);
INSERT INTO public.who_data VALUES (3481, 3, 894, 0, 9, 15, 121);
INSERT INTO public.who_data VALUES (3482, 794, 136023, 14, 2779, 15, 163);
INSERT INTO public.who_data VALUES (3483, 6715, 1165052, 215, 41753, 15, 70);
INSERT INTO public.who_data VALUES (3484, 1888, 533587, 61, 11058, 15, 174);
INSERT INTO public.who_data VALUES (3485, 0, 0, 0, 0, 15, 175);
INSERT INTO public.who_data VALUES (3486, 5966, 1545530, 282, 38994, 15, 118);
INSERT INTO public.who_data VALUES (3487, 6916, 755774, 258, 13740, 15, 189);
INSERT INTO public.who_data VALUES (3488, 80, 95064, 6, 1867, 15, 124);
INSERT INTO public.who_data VALUES (3489, 398, 153296, 1, 250, 15, 192);
INSERT INTO public.who_data VALUES (3490, 393, 80524, 5, 1464, 15, 41);
INSERT INTO public.who_data VALUES (3491, 776, 163400, 18, 3515, 15, 95);
INSERT INTO public.who_data VALUES (3492, 157, 10487, 0, 47, 15, 74);
INSERT INTO public.who_data VALUES (3493, 2580, 740732, 73, 18748, 15, 11);
INSERT INTO public.who_data VALUES (3494, 16627, 3951233, 497, 76229, 15, 87);
INSERT INTO public.who_data VALUES (3495, 198, 16186, 3, 213, 15, 214);
INSERT INTO public.who_data VALUES (3496, 0, 6, 0, 0, 15, 116);
INSERT INTO public.who_data VALUES (3497, 0, 379, 0, 0, 15, 157);
INSERT INTO public.who_data VALUES (3498, 0, 0, 0, 0, 15, 182);
INSERT INTO public.who_data VALUES (3499, 1, 40, 0, 0, 15, 186);
INSERT INTO public.who_data VALUES (3500, 0, 1556, 0, 18, 15, 127);
INSERT INTO public.who_data VALUES (3501, 0, 1289, 0, 12, 15, 232);
INSERT INTO public.who_data VALUES (3502, 0, 24, 0, 0, 15, 33);
INSERT INTO public.who_data VALUES (3503, 103, 1170, 0, 3, 15, 97);
INSERT INTO public.who_data VALUES (3504, 0, 3, 0, 0, 15, 42);
INSERT INTO public.who_data VALUES (3505, 2, 3127, 1, 69, 15, 198);
INSERT INTO public.who_data VALUES (3506, 59, 1334, 1, 18, 15, 216);
INSERT INTO public.who_data VALUES (3507, 327, 369575, 4, 6393, 15, 164);
INSERT INTO public.who_data VALUES (3508, 373, 28106, 7, 666, 15, 235);
INSERT INTO public.who_data VALUES (3509, 1968, 404668, 14, 4099, 15, 67);
INSERT INTO public.who_data VALUES (3510, 10, 1289, 0, 5, 15, 15);
INSERT INTO public.who_data VALUES (3511, 31, 3759, 0, 79, 15, 180);
INSERT INTO public.who_data VALUES (3512, 25, 59649, 0, 29, 15, 237);
INSERT INTO public.who_data VALUES (3513, 0, 20, 0, 0, 15, 25);
INSERT INTO public.who_data VALUES (3514, 12, 1911, 0, 27, 15, 209);
INSERT INTO public.who_data VALUES (3515, 2630, 259533, 74, 5050, 15, 217);
INSERT INTO public.who_data VALUES (3516, 962, 172194, 14, 3928, 15, 79);
INSERT INTO public.who_data VALUES (3517, 0, 17, 0, 0, 15, 143);
INSERT INTO public.who_data VALUES (3518, 0, 4814, 0, 132, 15, 229);
INSERT INTO public.who_data VALUES (3519, 3749, 1470516, 297, 45902, 15, 141);
INSERT INTO public.who_data VALUES (3520, 249, 4355, 0, 65, 15, 197);
INSERT INTO public.who_data VALUES (3521, 20781, 2991603, 373, 63642, 15, 221);
INSERT INTO public.who_data VALUES (3522, 735, 67850, 4, 343, 15, 150);
INSERT INTO public.who_data VALUES (3523, 65, 29699, 1, 1832, 15, 56);
INSERT INTO public.who_data VALUES (3524, 39, 8595, 2, 158, 15, 167);
INSERT INTO public.who_data VALUES (3525, 3399, 588017, 29, 12415, 15, 23);
INSERT INTO public.who_data VALUES (3526, 1506, 531424, 22, 8960, 15, 222);
INSERT INTO public.who_data VALUES (3527, 71, 14338, 5, 943, 15, 219);
INSERT INTO public.who_data VALUES (3528, 0, 13714, 0, 91, 15, 7);
INSERT INTO public.who_data VALUES (3529, 490, 23134, 0, 79, 15, 161);
INSERT INTO public.who_data VALUES (3530, 19114, 3911577, 1014, 111264, 15, 149);
INSERT INTO public.who_data VALUES (3531, 0, 80, 0, 0, 15, 6);
INSERT INTO public.who_data VALUES (3532, 66, 5356, 0, 79, 15, 139);
INSERT INTO public.who_data VALUES (3533, 0, 0, 0, 0, 15, 211);
INSERT INTO public.who_data VALUES (3534, 0, 0, 0, 0, 15, 14);
INSERT INTO public.who_data VALUES (3535, 21, 7607, 0, 135, 15, 111);
INSERT INTO public.who_data VALUES (3536, 1163, 215112, 51, 7099, 15, 207);
INSERT INTO public.who_data VALUES (3537, 7901, 2516889, 110, 26577, 15, 66);
INSERT INTO public.who_data VALUES (3538, 0, 0, 0, 0, 15, 173);
INSERT INTO public.who_data VALUES (3539, 37, 1590, 0, 9, 15, 145);
INSERT INTO public.who_data VALUES (3540, 0, 0, 0, 0, 15, 65);
INSERT INTO public.who_data VALUES (3541, 54, 39789, 0, 327, 15, 184);
INSERT INTO public.who_data VALUES (3542, 4310, 1241479, 129, 23516, 15, 98);
INSERT INTO public.who_data VALUES (3543, 3251, 320126, 14, 902, 15, 104);
INSERT INTO public.who_data VALUES (3544, 0, 509, 0, 21, 15, 73);
INSERT INTO public.who_data VALUES (3545, 124866, 26418016, 5182, 452186, 15, 8);
INSERT INTO public.who_data VALUES (3546, 9, 2449, 0, 24, 15, 227);
INSERT INTO public.who_data VALUES (3547, 589, 43804, 12, 476, 15, 75);
INSERT INTO public.who_data VALUES (3548, 56, 79045, 0, 621, 15, 45);
INSERT INTO public.who_data VALUES (3549, 0, 1, 0, 0, 15, 133);
INSERT INTO public.who_data VALUES (3550, 460, 128775, 7, 1216, 15, 202);
INSERT INTO public.who_data VALUES (3551, 19, 1976, 0, 35, 15, 129);
INSERT INTO public.who_data VALUES (3552, 0, 5, 0, 0, 15, 36);
INSERT INTO public.who_data VALUES (3553, 1, 2127, 0, 616, 15, 51);
INSERT INTO public.who_data VALUES (3554, 1424, 60427, 16, 828, 15, 206);
INSERT INTO public.who_data VALUES (3555, 160, 34331, 15, 1303, 15, 5);
INSERT INTO public.who_data VALUES (3556, 34, 55265, 0, 2407, 16, 103);
INSERT INTO public.who_data VALUES (3557, 1052, 81993, 14, 1418, 16, 58);
INSERT INTO public.who_data VALUES (3558, 265, 108381, 4, 2904, 16, 195);
INSERT INTO public.who_data VALUES (3559, 0, 0, 0, 0, 16, 115);
INSERT INTO public.who_data VALUES (3560, 67, 10137, 0, 103, 16, 99);
INSERT INTO public.who_data VALUES (3561, 59, 19996, 3, 473, 16, 153);
INSERT INTO public.who_data VALUES (3562, 0, 17, 0, 0, 16, 93);
INSERT INTO public.who_data VALUES (3563, 19, 268, 0, 7, 16, 84);
INSERT INTO public.who_data VALUES (3564, 9196, 1952744, 113, 48539, 16, 78);
INSERT INTO public.who_data VALUES (3565, 158, 167726, 2, 3109, 16, 170);
INSERT INTO public.who_data VALUES (3566, 55, 7083, 2, 61, 16, 32);
INSERT INTO public.who_data VALUES (3567, 9, 28838, 0, 909, 16, 155);
INSERT INTO public.who_data VALUES (3568, 1444, 416369, 28, 7828, 16, 82);
INSERT INTO public.who_data VALUES (3569, 152, 230769, 3, 3148, 16, 16);
INSERT INTO public.who_data VALUES (3570, 16, 8247, 0, 176, 16, 72);
INSERT INTO public.who_data VALUES (3571, 704, 105496, 1, 377, 16, 43);
INSERT INTO public.who_data VALUES (3572, 485, 537030, 13, 8175, 16, 120);
INSERT INTO public.who_data VALUES (3573, 25, 1611, 1, 15, 16, 213);
INSERT INTO public.who_data VALUES (3574, 1708, 253413, 9, 1755, 16, 31);
INSERT INTO public.who_data VALUES (3575, 2413, 723662, 34, 21308, 16, 204);
INSERT INTO public.who_data VALUES (3576, 21, 11978, 3, 306, 16, 152);
INSERT INTO public.who_data VALUES (3577, 0, 4119, 0, 54, 16, 144);
INSERT INTO public.who_data VALUES (3578, 0, 692, 0, 12, 16, 96);
INSERT INTO public.who_data VALUES (3579, 0, 859, 0, 1, 16, 47);
INSERT INTO public.who_data VALUES (3580, 2021, 222447, 58, 10571, 16, 80);
INSERT INTO public.who_data VALUES (3581, 0, 366, 0, 3, 16, 159);
INSERT INTO public.who_data VALUES (3582, 314, 123142, 16, 4761, 16, 27);
INSERT INTO public.who_data VALUES (3583, 0, 22738, 0, 148, 16, 146);
INSERT INTO public.who_data VALUES (3584, 56002, 9339420, 1254, 227563, 16, 71);
INSERT INTO public.who_data VALUES (3585, 0, 141, 0, 1, 16, 210);
INSERT INTO public.who_data VALUES (3586, 0, 180, 0, 3, 16, 54);
INSERT INTO public.who_data VALUES (3587, 883, 222149, 54, 9272, 16, 147);
INSERT INTO public.who_data VALUES (3588, 95, 11053, 5, 132, 16, 2);
INSERT INTO public.who_data VALUES (3589, 12, 1698, 1, 3, 16, 105);
INSERT INTO public.who_data VALUES (3590, 138, 14290, 1, 135, 16, 53);
INSERT INTO public.who_data VALUES (3591, 3, 470, 0, 0, 16, 81);
INSERT INTO public.who_data VALUES (3592, 0, 30313, 0, 474, 16, 223);
INSERT INTO public.who_data VALUES (3593, 3234, 789651, 142, 20355, 16, 94);
INSERT INTO public.who_data VALUES (3594, 0, 400, 0, 2, 16, 154);
INSERT INTO public.who_data VALUES (3595, 0, 4989, 0, 63, 16, 83);
INSERT INTO public.who_data VALUES (3596, 14, 3433, 0, 121, 16, 194);
INSERT INTO public.who_data VALUES (3597, 3592, 740237, 155, 18731, 16, 136);
INSERT INTO public.who_data VALUES (3598, 44, 101187, 2, 4831, 16, 179);
INSERT INTO public.who_data VALUES (3599, 11025, 2125622, 301, 54877, 16, 57);
INSERT INTO public.who_data VALUES (3600, 83, 2975, 1, 105, 16, 35);
INSERT INTO public.who_data VALUES (3601, 0, 8060, 0, 122, 16, 228);
INSERT INTO public.who_data VALUES (3602, 0, 0, 0, 0, 16, 19);
INSERT INTO public.who_data VALUES (3603, 528, 195537, 9, 2650, 16, 22);
INSERT INTO public.who_data VALUES (3604, 363, 29102, 0, 158, 16, 1);
INSERT INTO public.who_data VALUES (3605, 549, 234702, 16, 5122, 16, 21);
INSERT INTO public.who_data VALUES (3606, 816, 30345, 5, 225, 16, 234);
INSERT INTO public.who_data VALUES (3607, 4, 4595, 0, 21, 16, 91);
INSERT INTO public.who_data VALUES (3608, 116, 31379, 5, 208, 16, 137);
INSERT INTO public.who_data VALUES (3609, 8125, 1021477, 150, 16976, 16, 201);
INSERT INTO public.who_data VALUES (3610, 0, 0, 0, 0, 16, 171);
INSERT INTO public.who_data VALUES (3611, 30, 23211, 3, 677, 16, 92);
INSERT INTO public.who_data VALUES (3612, 553, 200335, 14, 2184, 16, 112);
INSERT INTO public.who_data VALUES (3613, 0, 5936, 0, 63, 16, 62);
INSERT INTO public.who_data VALUES (3614, 0, 121, 0, 0, 16, 69);
INSERT INTO public.who_data VALUES (3615, 1671, 218948, 28, 2747, 16, 220);
INSERT INTO public.who_data VALUES (3616, 949, 253339, 19, 14968, 16, 100);
INSERT INTO public.who_data VALUES (3617, 532, 168057, 52, 9512, 16, 187);
INSERT INTO public.who_data VALUES (3618, 198, 55821, 7, 1653, 16, 63);
INSERT INTO public.who_data VALUES (3619, 0, 5534, 0, 86, 16, 28);
INSERT INTO public.who_data VALUES (3620, 0, 2309, 0, 7, 16, 172);
INSERT INTO public.who_data VALUES (3621, 591, 46925, 4, 447, 16, 17);
INSERT INTO public.who_data VALUES (3622, 71, 16045, 6, 591, 16, 226);
INSERT INTO public.who_data VALUES (3623, 749, 140157, 4, 2126, 16, 236);
INSERT INTO public.who_data VALUES (3624, 0, 41, 0, 0, 16, 76);
INSERT INTO public.who_data VALUES (3625, 1, 655, 0, 1, 16, 30);
INSERT INTO public.who_data VALUES (3626, 0, 56, 0, 2, 16, 128);
INSERT INTO public.who_data VALUES (3627, 444, 46493, 3, 688, 16, 86);
INSERT INTO public.who_data VALUES (3628, 23148, 3221178, 355, 77548, 16, 140);
INSERT INTO public.who_data VALUES (3629, 46, 16264, 1, 79, 16, 44);
INSERT INTO public.who_data VALUES (3630, 20, 18165, 0, 133, 16, 113);
INSERT INTO public.who_data VALUES (3631, 0, 11129, 0, 70, 16, 29);
INSERT INTO public.who_data VALUES (3632, 0, 4184, 0, 132, 16, 125);
INSERT INTO public.who_data VALUES (3633, 538, 261018, 18, 3258, 16, 131);
INSERT INTO public.who_data VALUES (3634, 12908, 2264909, 855, 60597, 16, 46);
INSERT INTO public.who_data VALUES (3635, 777, 68559, 9, 433, 16, 10);
INSERT INTO public.who_data VALUES (3636, 13, 4156, 0, 79, 16, 205);
INSERT INTO public.who_data VALUES (3637, 1069, 160935, 25, 5903, 16, 50);
INSERT INTO public.who_data VALUES (3638, 0, 30, 0, 0, 16, 20);
INSERT INTO public.who_data VALUES (3639, 0, 148, 0, 1, 16, 13);
INSERT INTO public.who_data VALUES (3640, 0, 9156, 0, 158, 16, 148);
INSERT INTO public.who_data VALUES (3641, 4, 7415, 0, 129, 16, 230);
INSERT INTO public.who_data VALUES (3642, 699, 161665, 49, 5785, 16, 190);
INSERT INTO public.who_data VALUES (3643, 36, 651, 0, 13, 16, 188);
INSERT INTO public.who_data VALUES (3644, 61, 14629, 1, 84, 16, 123);
INSERT INTO public.who_data VALUES (3645, 31, 2693, 1, 46, 16, 9);
INSERT INTO public.who_data VALUES (3646, 36, 7714, 0, 177, 16, 102);
INSERT INTO public.who_data VALUES (3647, 0, 11692, 0, 245, 16, 34);
INSERT INTO public.who_data VALUES (3648, 0, 26, 0, 0, 16, 212);
INSERT INTO public.who_data VALUES (3649, 1312, 151103, 24, 3662, 16, 122);
INSERT INTO public.who_data VALUES (3650, 1576, 373564, 98, 12930, 16, 38);
INSERT INTO public.who_data VALUES (3651, 3, 6016, 0, 29, 16, 130);
INSERT INTO public.who_data VALUES (3652, 12408, 10802591, 120, 154823, 16, 37);
INSERT INTO public.who_data VALUES (3653, 11434, 1123105, 231, 31001, 16, 231);
INSERT INTO public.who_data VALUES (3654, 7040, 1445326, 67, 58256, 16, 107);
INSERT INTO public.who_data VALUES (3655, 1150, 624222, 12, 13091, 16, 101);
INSERT INTO public.who_data VALUES (3656, 1314, 200744, 74, 3586, 16, 132);
INSERT INTO public.who_data VALUES (3657, 0, 434, 0, 25, 16, 176);
INSERT INTO public.who_data VALUES (3658, 7458, 670129, 52, 4968, 16, 200);
INSERT INTO public.who_data VALUES (3659, 13656, 2597446, 421, 90241, 16, 169);
INSERT INTO public.who_data VALUES (3660, 177, 16250, 0, 355, 16, 225);
INSERT INTO public.who_data VALUES (3661, 2619, 399048, 115, 6135, 16, 165);
INSERT INTO public.who_data VALUES (3662, 4, 3165, 0, 67, 16, 233);
INSERT INTO public.who_data VALUES (3663, 1294, 331768, 10, 4354, 16, 215);
INSERT INTO public.who_data VALUES (3664, 1209, 242192, 0, 3126, 16, 177);
INSERT INTO public.who_data VALUES (3665, 180, 101339, 4, 1773, 16, 183);
INSERT INTO public.who_data VALUES (3666, 0, 0, 0, 0, 16, 203);
INSERT INTO public.who_data VALUES (3667, 318, 61337, 5, 1504, 16, 162);
INSERT INTO public.who_data VALUES (3668, 840, 168250, 1, 962, 16, 12);
INSERT INTO public.who_data VALUES (3669, 88, 84920, 2, 1420, 16, 24);
INSERT INTO public.who_data VALUES (3670, 0, 45, 0, 0, 16, 119);
INSERT INTO public.who_data VALUES (3671, 742, 69400, 31, 1281, 16, 39);
INSERT INTO public.who_data VALUES (3672, 3107, 312269, 82, 3397, 16, 26);
INSERT INTO public.who_data VALUES (3673, 0, 8969, 0, 178, 16, 59);
INSERT INTO public.who_data VALUES (3674, 0, 1945, 0, 84, 16, 77);
INSERT INTO public.who_data VALUES (3675, 770, 122013, 5, 1919, 16, 134);
INSERT INTO public.who_data VALUES (3676, 1, 2588, 0, 50, 16, 4);
INSERT INTO public.who_data VALUES (3677, 653, 185601, 23, 2908, 16, 109);
INSERT INTO public.who_data VALUES (3678, 202, 51330, 1, 588, 16, 90);
INSERT INTO public.who_data VALUES (3679, 0, 19065, 0, 281, 16, 61);
INSERT INTO public.who_data VALUES (3680, 435, 25884, 18, 779, 16, 85);
INSERT INTO public.who_data VALUES (3681, 4571, 231483, 17, 826, 16, 49);
INSERT INTO public.who_data VALUES (3682, 134, 16410, 1, 54, 16, 208);
INSERT INTO public.who_data VALUES (3683, 11, 8130, 0, 333, 16, 166);
INSERT INTO public.who_data VALUES (3684, 79, 18385, 0, 273, 16, 64);
INSERT INTO public.who_data VALUES (3685, 0, 4, 0, 0, 16, 199);
INSERT INTO public.who_data VALUES (3686, 0, 6442, 0, 45, 16, 114);
INSERT INTO public.who_data VALUES (3687, 0, 16662, 0, 422, 16, 60);
INSERT INTO public.who_data VALUES (3688, 0, 584, 0, 10, 16, 68);
INSERT INTO public.who_data VALUES (3689, 254, 9546, 1, 63, 16, 158);
INSERT INTO public.who_data VALUES (3690, 12153, 1886245, 1707, 161240, 16, 52);
INSERT INTO public.who_data VALUES (3691, 0, 0, 0, 0, 16, 117);
INSERT INTO public.who_data VALUES (3692, 24, 1596, 0, 18, 16, 126);
INSERT INTO public.who_data VALUES (3693, 31, 1890, 0, 2, 16, 196);
INSERT INTO public.who_data VALUES (3694, 541, 64742, 5, 831, 16, 142);
INSERT INTO public.who_data VALUES (3695, 0, 13, 0, 1, 16, 185);
INSERT INTO public.who_data VALUES (3696, 620, 473667, 28, 8351, 16, 138);
INSERT INTO public.who_data VALUES (3697, 1055, 42488, 12, 427, 16, 181);
INSERT INTO public.who_data VALUES (3698, 177, 141104, 3, 3163, 16, 178);
INSERT INTO public.who_data VALUES (3699, 147, 34519, 5, 364, 16, 168);
INSERT INTO public.who_data VALUES (3700, 0, 0, 0, 0, 16, 160);
INSERT INTO public.who_data VALUES (3701, 171, 271602, 2, 2033, 16, 151);
INSERT INTO public.who_data VALUES (3702, 4215, 993121, 67, 14225, 16, 193);
INSERT INTO public.who_data VALUES (3703, 0, 47, 0, 0, 16, 18);
INSERT INTO public.who_data VALUES (3704, 2, 1959, 0, 25, 16, 40);
INSERT INTO public.who_data VALUES (3705, 0, 5027, 0, 170, 16, 218);
INSERT INTO public.who_data VALUES (3706, 10, 4575, 1, 164, 16, 191);
INSERT INTO public.who_data VALUES (3707, 1340, 136030, 14, 1632, 16, 156);
INSERT INTO public.who_data VALUES (3708, 0, 0, 0, 0, 16, 135);
INSERT INTO public.who_data VALUES (3709, 0, 133, 0, 2, 16, 88);
INSERT INTO public.who_data VALUES (3710, 372, 93882, 7, 2900, 16, 55);
INSERT INTO public.who_data VALUES (3711, 284, 63837, 8, 582, 16, 108);
INSERT INTO public.who_data VALUES (3712, 661, 181349, 8, 2050, 16, 48);
INSERT INTO public.who_data VALUES (3713, 185, 135041, 0, 1532, 16, 3);
INSERT INTO public.who_data VALUES (3714, 0, 745, 0, 13, 16, 224);
INSERT INTO public.who_data VALUES (3715, 1508, 550540, 31, 11833, 16, 110);
INSERT INTO public.who_data VALUES (3716, 0, 0, 0, 0, 16, 106);
INSERT INTO public.who_data VALUES (3717, 1181, 323382, 27, 5366, 16, 89);
INSERT INTO public.who_data VALUES (3718, 24, 891, 0, 9, 16, 121);
INSERT INTO public.who_data VALUES (3719, 747, 135229, 15, 2765, 16, 163);
INSERT INTO public.who_data VALUES (3720, 8573, 1158337, 184, 41538, 16, 70);
INSERT INTO public.who_data VALUES (3721, 1581, 531699, 55, 10997, 16, 174);
INSERT INTO public.who_data VALUES (3722, 0, 0, 0, 0, 16, 175);
INSERT INTO public.who_data VALUES (3723, 6053, 1539564, 368, 38712, 16, 118);
INSERT INTO public.who_data VALUES (3724, 7914, 748858, 225, 13482, 16, 189);
INSERT INTO public.who_data VALUES (3725, 322, 94984, 8, 1861, 16, 124);
INSERT INTO public.who_data VALUES (3726, 407, 152898, 0, 249, 16, 192);
INSERT INTO public.who_data VALUES (3727, 370, 80131, 11, 1459, 16, 41);
INSERT INTO public.who_data VALUES (3728, 982, 162624, 17, 3497, 16, 95);
INSERT INTO public.who_data VALUES (3729, 0, 10330, 0, 47, 16, 74);
INSERT INTO public.who_data VALUES (3730, 2668, 738152, 75, 18675, 16, 11);
INSERT INTO public.who_data VALUES (3731, 16688, 3934606, 527, 75732, 16, 87);
INSERT INTO public.who_data VALUES (3732, 154, 15988, 2, 210, 16, 214);
INSERT INTO public.who_data VALUES (3733, 0, 6, 0, 0, 16, 116);
INSERT INTO public.who_data VALUES (3734, 0, 379, 0, 0, 16, 157);
INSERT INTO public.who_data VALUES (3735, 0, 0, 0, 0, 16, 182);
INSERT INTO public.who_data VALUES (3736, 0, 39, 0, 0, 16, 186);
INSERT INTO public.who_data VALUES (3737, 77, 1556, 2, 18, 16, 127);
INSERT INTO public.who_data VALUES (3738, 0, 1289, 0, 12, 16, 232);
INSERT INTO public.who_data VALUES (3739, 0, 24, 0, 0, 16, 33);
INSERT INTO public.who_data VALUES (3740, 8, 1067, 1, 3, 16, 97);
INSERT INTO public.who_data VALUES (3741, 0, 3, 0, 0, 16, 42);
INSERT INTO public.who_data VALUES (3742, 14, 3125, 0, 68, 16, 198);
INSERT INTO public.who_data VALUES (3743, 0, 1275, 0, 17, 16, 216);
INSERT INTO public.who_data VALUES (3744, 303, 369248, 3, 6389, 16, 164);
INSERT INTO public.who_data VALUES (3745, 368, 27733, 11, 659, 16, 235);
INSERT INTO public.who_data VALUES (3746, 1863, 402700, 14, 4085, 16, 67);
INSERT INTO public.who_data VALUES (3747, 36, 1279, 0, 5, 16, 15);
INSERT INTO public.who_data VALUES (3748, 29, 3728, 0, 79, 16, 180);
INSERT INTO public.who_data VALUES (3749, 22, 59624, 0, 29, 16, 237);
INSERT INTO public.who_data VALUES (3750, 0, 20, 0, 0, 16, 25);
INSERT INTO public.who_data VALUES (3751, 14, 1899, 0, 27, 16, 209);
INSERT INTO public.who_data VALUES (3752, 2077, 256903, 87, 4976, 16, 217);
INSERT INTO public.who_data VALUES (3753, 1267, 171232, 25, 3914, 16, 79);
INSERT INTO public.who_data VALUES (3754, 0, 17, 0, 0, 16, 143);
INSERT INTO public.who_data VALUES (3755, 0, 4814, 0, 132, 16, 229);
INSERT INTO public.who_data VALUES (3756, 3751, 1466767, 261, 45605, 16, 141);
INSERT INTO public.who_data VALUES (3757, 0, 4106, 0, 65, 16, 197);
INSERT INTO public.who_data VALUES (3758, 23515, 2970822, 403, 63269, 16, 221);
INSERT INTO public.who_data VALUES (3759, 706, 67115, 7, 339, 16, 150);
INSERT INTO public.who_data VALUES (3760, 57, 29634, 1, 1831, 16, 56);
INSERT INTO public.who_data VALUES (3761, 59, 8556, 0, 156, 16, 167);
INSERT INTO public.who_data VALUES (3762, 3739, 584618, 49, 12386, 16, 23);
INSERT INTO public.who_data VALUES (3763, 1442, 529918, 20, 8938, 16, 222);
INSERT INTO public.who_data VALUES (3764, 65, 14267, 5, 938, 16, 219);
INSERT INTO public.who_data VALUES (3765, 0, 13714, 0, 91, 16, 7);
INSERT INTO public.who_data VALUES (3766, 586, 22644, 0, 79, 16, 161);
INSERT INTO public.who_data VALUES (3767, 20634, 3892463, 915, 110250, 16, 149);
INSERT INTO public.who_data VALUES (3768, 0, 80, 0, 0, 16, 6);
INSERT INTO public.who_data VALUES (3769, 66, 5290, 0, 79, 16, 139);
INSERT INTO public.who_data VALUES (3770, 0, 0, 0, 0, 16, 211);
INSERT INTO public.who_data VALUES (3771, 0, 0, 0, 0, 16, 14);
INSERT INTO public.who_data VALUES (3772, 8, 7586, 1, 135, 16, 111);
INSERT INTO public.who_data VALUES (3773, 1270, 213949, 68, 7048, 16, 207);
INSERT INTO public.who_data VALUES (3774, 7909, 2508988, 113, 26467, 16, 66);
INSERT INTO public.who_data VALUES (3775, 0, 0, 0, 0, 16, 173);
INSERT INTO public.who_data VALUES (3776, 49, 1553, 0, 9, 16, 145);
INSERT INTO public.who_data VALUES (3777, 0, 0, 0, 0, 16, 65);
INSERT INTO public.who_data VALUES (3778, 50, 39735, 0, 327, 16, 184);
INSERT INTO public.who_data VALUES (3779, 4923, 1237169, 158, 23387, 16, 98);
INSERT INTO public.who_data VALUES (3780, 3249, 316875, 10, 888, 16, 104);
INSERT INTO public.who_data VALUES (3781, 0, 509, 0, 21, 16, 73);
INSERT INTO public.who_data VALUES (3782, 120876, 26293150, 3748, 447004, 16, 8);
INSERT INTO public.who_data VALUES (3783, 10, 2440, 0, 24, 16, 227);
INSERT INTO public.who_data VALUES (3784, 548, 43215, 11, 464, 16, 75);
INSERT INTO public.who_data VALUES (3785, 73, 78989, 0, 621, 16, 45);
INSERT INTO public.who_data VALUES (3786, 0, 1, 0, 0, 16, 133);
INSERT INTO public.who_data VALUES (3787, 563, 128315, 7, 1209, 16, 202);
INSERT INTO public.who_data VALUES (3788, 9, 1957, 0, 35, 16, 129);
INSERT INTO public.who_data VALUES (3789, 0, 5, 0, 0, 16, 36);
INSERT INTO public.who_data VALUES (3790, 0, 2126, 0, 616, 16, 51);
INSERT INTO public.who_data VALUES (3791, 1514, 59003, 8, 812, 16, 206);
INSERT INTO public.who_data VALUES (3792, 207, 34171, 19, 1288, 16, 5);
INSERT INTO public.who_data VALUES (3793, 57, 55231, 1, 2407, 17, 103);
INSERT INTO public.who_data VALUES (3794, 1007, 80941, 6, 1404, 17, 58);
INSERT INTO public.who_data VALUES (3795, 275, 108116, 2, 2900, 17, 195);
INSERT INTO public.who_data VALUES (3796, 0, 0, 0, 0, 17, 115);
INSERT INTO public.who_data VALUES (3797, 53, 10070, 1, 103, 17, 99);
INSERT INTO public.who_data VALUES (3798, 37, 19937, 2, 470, 17, 153);
INSERT INTO public.who_data VALUES (3799, 0, 17, 0, 0, 17, 93);
INSERT INTO public.who_data VALUES (3800, 15, 249, 0, 7, 17, 84);
INSERT INTO public.who_data VALUES (3801, 9695, 1943548, 177, 48426, 17, 78);
INSERT INTO public.who_data VALUES (3802, 147, 167568, 11, 3107, 17, 170);
INSERT INTO public.who_data VALUES (3803, 42, 7028, 0, 59, 17, 32);
INSERT INTO public.who_data VALUES (3804, 5, 28829, 0, 909, 17, 155);
INSERT INTO public.who_data VALUES (3805, 1686, 414925, 51, 7800, 17, 82);
INSERT INTO public.who_data VALUES (3806, 162, 230617, 4, 3145, 17, 16);
INSERT INTO public.who_data VALUES (3807, 6, 8231, 0, 176, 17, 72);
INSERT INTO public.who_data VALUES (3808, 553, 104792, 0, 376, 17, 43);
INSERT INTO public.who_data VALUES (3809, 438, 536545, 13, 8162, 17, 120);
INSERT INTO public.who_data VALUES (3810, 28, 1586, 0, 14, 17, 213);
INSERT INTO public.who_data VALUES (3811, 1711, 251705, 9, 1746, 17, 31);
INSERT INTO public.who_data VALUES (3812, 2416, 721249, 42, 21274, 17, 204);
INSERT INTO public.who_data VALUES (3813, 12, 11957, 1, 303, 17, 152);
INSERT INTO public.who_data VALUES (3814, 0, 4119, 0, 54, 17, 144);
INSERT INTO public.who_data VALUES (3815, 0, 692, 0, 12, 17, 96);
INSERT INTO public.who_data VALUES (3816, 0, 859, 0, 1, 17, 47);
INSERT INTO public.who_data VALUES (3817, 2127, 220426, 74, 10513, 17, 80);
INSERT INTO public.who_data VALUES (3818, 0, 366, 0, 3, 17, 159);
INSERT INTO public.who_data VALUES (3819, 367, 122828, 8, 4745, 17, 27);
INSERT INTO public.who_data VALUES (3820, 1445, 22738, 0, 148, 17, 146);
INSERT INTO public.who_data VALUES (3821, 54096, 9283418, 1210, 226309, 17, 71);
INSERT INTO public.who_data VALUES (3822, 0, 141, 0, 1, 17, 210);
INSERT INTO public.who_data VALUES (3823, 0, 180, 0, 3, 17, 54);
INSERT INTO public.who_data VALUES (3824, 719, 221266, 40, 9218, 17, 147);
INSERT INTO public.who_data VALUES (3825, 54, 10958, 1, 127, 17, 2);
INSERT INTO public.who_data VALUES (3826, 22, 1686, 0, 2, 17, 105);
INSERT INTO public.who_data VALUES (3827, 0, 14152, 0, 134, 17, 53);
INSERT INTO public.who_data VALUES (3828, 1, 467, 0, 0, 17, 81);
INSERT INTO public.who_data VALUES (3829, 0, 30313, 0, 474, 17, 223);
INSERT INTO public.who_data VALUES (3830, 2828, 786417, 77, 20213, 17, 94);
INSERT INTO public.who_data VALUES (3831, 2, 400, 0, 2, 17, 154);
INSERT INTO public.who_data VALUES (3832, 0, 4989, 0, 63, 17, 83);
INSERT INTO public.who_data VALUES (3833, 15, 3419, 0, 121, 17, 194);
INSERT INTO public.who_data VALUES (3834, 2610, 736645, 17, 18576, 17, 136);
INSERT INTO public.who_data VALUES (3835, 51, 101143, 1, 4829, 17, 179);
INSERT INTO public.who_data VALUES (3836, 10091, 2114597, 304, 54576, 17, 57);
INSERT INTO public.who_data VALUES (3837, 44, 2892, 4, 104, 17, 35);
INSERT INTO public.who_data VALUES (3838, 173, 8060, 5, 122, 17, 228);
INSERT INTO public.who_data VALUES (3839, 0, 0, 0, 0, 17, 19);
INSERT INTO public.who_data VALUES (3840, 440, 195009, 7, 2641, 17, 22);
INSERT INTO public.who_data VALUES (3841, 132, 28739, 0, 158, 17, 1);
INSERT INTO public.who_data VALUES (3842, 516, 234153, 18, 5106, 17, 21);
INSERT INTO public.who_data VALUES (3843, 893, 29529, 2, 220, 17, 234);
INSERT INTO public.who_data VALUES (3844, 6, 4591, 0, 21, 17, 91);
INSERT INTO public.who_data VALUES (3845, 139, 31263, 1, 203, 17, 137);
INSERT INTO public.who_data VALUES (3846, 9695, 1013352, 143, 16826, 17, 201);
INSERT INTO public.who_data VALUES (3847, 0, 0, 0, 0, 17, 171);
INSERT INTO public.who_data VALUES (3848, 139, 23181, 0, 674, 17, 92);
INSERT INTO public.who_data VALUES (3849, 425, 199782, 10, 2170, 17, 112);
INSERT INTO public.who_data VALUES (3850, 1, 5936, 0, 63, 17, 62);
INSERT INTO public.who_data VALUES (3851, 0, 121, 0, 0, 17, 69);
INSERT INTO public.who_data VALUES (3852, 1357, 217277, 15, 2719, 17, 220);
INSERT INTO public.who_data VALUES (3853, 1111, 252390, 34, 14949, 17, 100);
INSERT INTO public.who_data VALUES (3854, 512, 167525, 53, 9460, 17, 187);
INSERT INTO public.who_data VALUES (3855, 428, 55623, 8, 1646, 17, 63);
INSERT INTO public.who_data VALUES (3856, 0, 5534, 0, 86, 17, 28);
INSERT INTO public.who_data VALUES (3857, 42, 2309, 0, 7, 17, 172);
INSERT INTO public.who_data VALUES (3858, 671, 46334, 10, 443, 17, 17);
INSERT INTO public.who_data VALUES (3859, 96, 15974, 2, 585, 17, 226);
INSERT INTO public.who_data VALUES (3860, 547, 139408, 6, 2122, 17, 236);
INSERT INTO public.who_data VALUES (3861, 0, 41, 0, 0, 17, 76);
INSERT INTO public.who_data VALUES (3862, 0, 654, 0, 1, 17, 30);
INSERT INTO public.who_data VALUES (3863, 1, 56, 0, 2, 17, 128);
INSERT INTO public.who_data VALUES (3864, 265, 46049, 1, 685, 17, 86);
INSERT INTO public.who_data VALUES (3865, 25904, 3198030, 353, 77193, 17, 140);
INSERT INTO public.who_data VALUES (3866, 33, 16218, 2, 78, 17, 44);
INSERT INTO public.who_data VALUES (3867, 24, 18145, 0, 133, 17, 113);
INSERT INTO public.who_data VALUES (3868, 177, 11129, 2, 70, 17, 29);
INSERT INTO public.who_data VALUES (3869, 45, 4184, 1, 132, 17, 125);
INSERT INTO public.who_data VALUES (3870, 583, 260480, 19, 3240, 17, 131);
INSERT INTO public.who_data VALUES (3871, 14211, 2252001, 786, 59742, 17, 46);
INSERT INTO public.who_data VALUES (3872, 0, 67782, 0, 424, 17, 10);
INSERT INTO public.who_data VALUES (3873, 15, 4143, 1, 79, 17, 205);
INSERT INTO public.who_data VALUES (3874, 1150, 159866, 27, 5878, 17, 50);
INSERT INTO public.who_data VALUES (3875, 0, 30, 0, 0, 17, 20);
INSERT INTO public.who_data VALUES (3876, 0, 148, 0, 1, 17, 13);
INSERT INTO public.who_data VALUES (3877, 0, 9156, 0, 158, 17, 148);
INSERT INTO public.who_data VALUES (3878, 8, 7411, 0, 129, 17, 230);
INSERT INTO public.who_data VALUES (3879, 667, 160966, 27, 5736, 17, 190);
INSERT INTO public.who_data VALUES (3880, 30, 615, 0, 13, 17, 188);
INSERT INTO public.who_data VALUES (3881, 13, 14568, 0, 83, 17, 123);
INSERT INTO public.who_data VALUES (3882, 7, 2662, 0, 45, 17, 9);
INSERT INTO public.who_data VALUES (3883, 24, 7678, 0, 177, 17, 102);
INSERT INTO public.who_data VALUES (3884, 20, 11692, 0, 245, 17, 34);
INSERT INTO public.who_data VALUES (3885, 0, 26, 0, 0, 17, 212);
INSERT INTO public.who_data VALUES (3886, 840, 149791, 24, 3638, 17, 122);
INSERT INTO public.who_data VALUES (3887, 1652, 371988, 93, 12832, 17, 38);
INSERT INTO public.who_data VALUES (3888, 2, 6013, 0, 29, 17, 130);
INSERT INTO public.who_data VALUES (3889, 12899, 10790183, 107, 154703, 17, 37);
INSERT INTO public.who_data VALUES (3890, 11984, 1111671, 189, 30770, 17, 231);
INSERT INTO public.who_data VALUES (3891, 6870, 1438286, 79, 58189, 17, 107);
INSERT INTO public.who_data VALUES (3892, 1317, 623072, 11, 13079, 17, 101);
INSERT INTO public.who_data VALUES (3893, 1006, 199430, 94, 3512, 17, 132);
INSERT INTO public.who_data VALUES (3894, 0, 434, 0, 25, 17, 176);
INSERT INTO public.who_data VALUES (3895, 8024, 662671, 55, 4916, 17, 200);
INSERT INTO public.who_data VALUES (3896, 13182, 2583790, 476, 89820, 17, 169);
INSERT INTO public.who_data VALUES (3897, 100, 16073, 2, 355, 17, 225);
INSERT INTO public.who_data VALUES (3898, 2593, 396429, 108, 6020, 17, 165);
INSERT INTO public.who_data VALUES (3899, 7, 3161, 1, 67, 17, 233);
INSERT INTO public.who_data VALUES (3900, 1280, 330474, 10, 4344, 17, 215);
INSERT INTO public.who_data VALUES (3901, 1257, 240983, 0, 3126, 17, 177);
INSERT INTO public.who_data VALUES (3902, 150, 101159, 3, 1769, 17, 183);
INSERT INTO public.who_data VALUES (3903, 0, 0, 0, 0, 17, 203);
INSERT INTO public.who_data VALUES (3904, 314, 61019, 3, 1499, 17, 162);
INSERT INTO public.who_data VALUES (3905, 756, 167410, 2, 961, 17, 12);
INSERT INTO public.who_data VALUES (3906, 70, 84832, 3, 1418, 17, 24);
INSERT INTO public.who_data VALUES (3907, 1, 45, 0, 0, 17, 119);
INSERT INTO public.who_data VALUES (3908, 1231, 68658, 31, 1250, 17, 39);
INSERT INTO public.who_data VALUES (3909, 3320, 309162, 89, 3315, 17, 26);
INSERT INTO public.who_data VALUES (3910, 69, 8969, 6, 178, 17, 59);
INSERT INTO public.who_data VALUES (3911, 1, 1945, 0, 84, 17, 77);
INSERT INTO public.who_data VALUES (3912, 809, 121243, 18, 1914, 17, 134);
INSERT INTO public.who_data VALUES (3913, 5, 2587, 0, 50, 17, 4);
INSERT INTO public.who_data VALUES (3914, 740, 184948, 18, 2885, 17, 109);
INSERT INTO public.who_data VALUES (3915, 205, 51128, 1, 587, 17, 90);
INSERT INTO public.who_data VALUES (3916, 0, 19065, 0, 281, 17, 61);
INSERT INTO public.who_data VALUES (3917, 546, 25449, 35, 761, 17, 85);
INSERT INTO public.who_data VALUES (3918, 4284, 226912, 18, 809, 17, 49);
INSERT INTO public.who_data VALUES (3919, 121, 16276, 1, 53, 17, 208);
INSERT INTO public.who_data VALUES (3920, 8, 8119, 0, 333, 17, 166);
INSERT INTO public.who_data VALUES (3921, 138, 18306, 3, 273, 17, 64);
INSERT INTO public.who_data VALUES (3922, 0, 4, 0, 0, 17, 199);
INSERT INTO public.who_data VALUES (3923, 0, 6442, 0, 45, 17, 114);
INSERT INTO public.who_data VALUES (3924, 202, 16662, 4, 422, 17, 60);
INSERT INTO public.who_data VALUES (3925, 1, 584, 0, 10, 17, 68);
INSERT INTO public.who_data VALUES (3926, 289, 9292, 1, 62, 17, 158);
INSERT INTO public.who_data VALUES (3927, 4384, 1874092, 433, 159533, 17, 52);
INSERT INTO public.who_data VALUES (3928, 0, 0, 0, 0, 17, 117);
INSERT INTO public.who_data VALUES (3929, 29, 1572, 1, 18, 17, 126);
INSERT INTO public.who_data VALUES (3930, 27, 1859, 0, 2, 17, 196);
INSERT INTO public.who_data VALUES (3931, 562, 64201, 1, 826, 17, 142);
INSERT INTO public.who_data VALUES (3932, 0, 13, 0, 1, 17, 185);
INSERT INTO public.who_data VALUES (3933, 774, 473047, 14, 8323, 17, 138);
INSERT INTO public.who_data VALUES (3934, 1173, 41433, 12, 415, 17, 181);
INSERT INTO public.who_data VALUES (3935, 263, 140927, 14, 3160, 17, 178);
INSERT INTO public.who_data VALUES (3936, 102, 34372, 4, 359, 17, 168);
INSERT INTO public.who_data VALUES (3937, 0, 0, 0, 0, 17, 160);
INSERT INTO public.who_data VALUES (3938, 142, 271431, 1, 2031, 17, 151);
INSERT INTO public.who_data VALUES (3939, 4031, 988906, 62, 14158, 17, 193);
INSERT INTO public.who_data VALUES (3940, 0, 47, 0, 0, 17, 18);
INSERT INTO public.who_data VALUES (3941, 6, 1957, 0, 25, 17, 40);
INSERT INTO public.who_data VALUES (3942, 0, 5027, 0, 170, 17, 218);
INSERT INTO public.who_data VALUES (3943, 17, 4565, 1, 163, 17, 191);
INSERT INTO public.who_data VALUES (3944, 1138, 134690, 5, 1618, 17, 156);
INSERT INTO public.who_data VALUES (3945, 0, 0, 0, 0, 17, 135);
INSERT INTO public.who_data VALUES (3946, 0, 133, 0, 2, 17, 88);
INSERT INTO public.who_data VALUES (3947, 350, 93510, 20, 2893, 17, 55);
INSERT INTO public.who_data VALUES (3948, 293, 63553, 6, 574, 17, 108);
INSERT INTO public.who_data VALUES (3949, 670, 180688, 10, 2042, 17, 48);
INSERT INTO public.who_data VALUES (3950, 171, 134856, 0, 1532, 17, 3);
INSERT INTO public.who_data VALUES (3951, 0, 745, 0, 13, 17, 224);
INSERT INTO public.who_data VALUES (3952, 1384, 549032, 56, 11802, 17, 110);
INSERT INTO public.who_data VALUES (3953, 0, 0, 0, 0, 17, 106);
INSERT INTO public.who_data VALUES (3954, 1098, 322201, 43, 5339, 17, 89);
INSERT INTO public.who_data VALUES (3955, 0, 867, 0, 9, 17, 121);
INSERT INTO public.who_data VALUES (3956, 701, 134482, 17, 2750, 17, 163);
INSERT INTO public.who_data VALUES (3957, 7048, 1149764, 173, 41354, 17, 70);
INSERT INTO public.who_data VALUES (3958, 1265, 530118, 68, 10942, 17, 174);
INSERT INTO public.who_data VALUES (3959, 0, 0, 0, 0, 17, 175);
INSERT INTO public.who_data VALUES (3960, 6495, 1533511, 447, 38344, 17, 118);
INSERT INTO public.who_data VALUES (3961, 9083, 740944, 240, 13257, 17, 189);
INSERT INTO public.who_data VALUES (3962, 136, 94662, 7, 1853, 17, 124);
INSERT INTO public.who_data VALUES (3963, 396, 152491, 0, 249, 17, 192);
INSERT INTO public.who_data VALUES (3964, 451, 79761, 7, 1448, 17, 41);
INSERT INTO public.who_data VALUES (3965, 917, 161642, 18, 3480, 17, 95);
INSERT INTO public.who_data VALUES (3966, 136, 10330, 1, 47, 17, 74);
INSERT INTO public.who_data VALUES (3967, 2752, 735484, 87, 18600, 17, 11);
INSERT INTO public.who_data VALUES (3968, 16714, 3917918, 521, 75205, 17, 87);
INSERT INTO public.who_data VALUES (3969, 146, 15834, 3, 208, 17, 214);
INSERT INTO public.who_data VALUES (3970, 0, 6, 0, 0, 17, 116);
INSERT INTO public.who_data VALUES (3971, 0, 379, 0, 0, 17, 157);
INSERT INTO public.who_data VALUES (3972, 0, 0, 0, 0, 17, 182);
INSERT INTO public.who_data VALUES (3973, 0, 39, 0, 0, 17, 186);
INSERT INTO public.who_data VALUES (3974, 68, 1479, 1, 16, 17, 127);
INSERT INTO public.who_data VALUES (3975, 0, 1289, 0, 12, 17, 232);
INSERT INTO public.who_data VALUES (3976, 0, 24, 0, 0, 17, 33);
INSERT INTO public.who_data VALUES (3977, 51, 1059, 0, 2, 17, 97);
INSERT INTO public.who_data VALUES (3978, 0, 3, 0, 0, 17, 42);
INSERT INTO public.who_data VALUES (3979, 17, 3111, 0, 68, 17, 198);
INSERT INTO public.who_data VALUES (3980, 4, 1275, 0, 17, 17, 216);
INSERT INTO public.who_data VALUES (3981, 306, 368945, 3, 6386, 17, 164);
INSERT INTO public.who_data VALUES (3982, 285, 27365, 7, 648, 17, 235);
INSERT INTO public.who_data VALUES (3983, 1932, 400837, 15, 4071, 17, 67);
INSERT INTO public.who_data VALUES (3984, 0, 1243, 0, 5, 17, 15);
INSERT INTO public.who_data VALUES (3985, 39, 3699, 0, 79, 17, 180);
INSERT INTO public.who_data VALUES (3986, 18, 59602, 0, 29, 17, 237);
INSERT INTO public.who_data VALUES (3987, 0, 20, 0, 0, 17, 25);
INSERT INTO public.who_data VALUES (3988, 15, 1885, 0, 27, 17, 209);
INSERT INTO public.who_data VALUES (3989, 2732, 254826, 105, 4889, 17, 217);
INSERT INTO public.who_data VALUES (3990, 1560, 169965, 23, 3889, 17, 79);
INSERT INTO public.who_data VALUES (3991, 0, 17, 0, 0, 17, 143);
INSERT INTO public.who_data VALUES (3992, 30, 4814, 2, 132, 17, 229);
INSERT INTO public.who_data VALUES (3993, 4058, 1463016, 398, 45344, 17, 141);
INSERT INTO public.who_data VALUES (3994, 69, 4106, 1, 65, 17, 197);
INSERT INTO public.who_data VALUES (3995, 25597, 2947307, 410, 62866, 17, 221);
INSERT INTO public.who_data VALUES (3996, 711, 66409, 2, 332, 17, 150);
INSERT INTO public.who_data VALUES (3997, 41, 29577, 1, 1830, 17, 56);
INSERT INTO public.who_data VALUES (3998, 48, 8497, 0, 156, 17, 167);
INSERT INTO public.who_data VALUES (3999, 4318, 580879, 42, 12337, 17, 23);
INSERT INTO public.who_data VALUES (4000, 1730, 528476, 18, 8918, 17, 222);
INSERT INTO public.who_data VALUES (4001, 60, 14202, 4, 933, 17, 219);
INSERT INTO public.who_data VALUES (4002, 0, 13714, 0, 91, 17, 7);
INSERT INTO public.who_data VALUES (4003, 809, 22058, 0, 79, 17, 161);
INSERT INTO public.who_data VALUES (4004, 19202, 3871829, 1322, 109335, 17, 149);
INSERT INTO public.who_data VALUES (4005, 3, 80, 0, 0, 17, 6);
INSERT INTO public.who_data VALUES (4006, 58, 5224, 0, 79, 17, 139);
INSERT INTO public.who_data VALUES (4007, 0, 0, 0, 0, 17, 211);
INSERT INTO public.who_data VALUES (4008, 0, 0, 0, 0, 17, 14);
INSERT INTO public.who_data VALUES (4009, 12, 7578, 0, 134, 17, 111);
INSERT INTO public.who_data VALUES (4010, 1267, 212679, 87, 6980, 17, 207);
INSERT INTO public.who_data VALUES (4011, 8102, 2501079, 117, 26354, 17, 66);
INSERT INTO public.who_data VALUES (4012, 0, 0, 0, 0, 17, 173);
INSERT INTO public.who_data VALUES (4013, 0, 1504, 0, 9, 17, 145);
INSERT INTO public.who_data VALUES (4014, 0, 0, 0, 0, 17, 65);
INSERT INTO public.who_data VALUES (4015, 34, 39685, 2, 327, 17, 184);
INSERT INTO public.who_data VALUES (4016, 5082, 1232246, 140, 23229, 17, 98);
INSERT INTO public.who_data VALUES (4017, 3977, 313626, 12, 878, 17, 104);
INSERT INTO public.who_data VALUES (4018, 0, 509, 0, 21, 17, 73);
INSERT INTO public.who_data VALUES (4019, 116762, 26172274, 3426, 443256, 17, 8);
INSERT INTO public.who_data VALUES (4020, 4, 2430, 0, 24, 17, 227);
INSERT INTO public.who_data VALUES (4021, 539, 42667, 9, 453, 17, 75);
INSERT INTO public.who_data VALUES (4022, 57, 78916, 0, 621, 17, 45);
INSERT INTO public.who_data VALUES (4023, 0, 1, 0, 0, 17, 133);
INSERT INTO public.who_data VALUES (4024, 406, 127752, 6, 1202, 17, 202);
INSERT INTO public.who_data VALUES (4025, 57, 1948, 0, 35, 17, 129);
INSERT INTO public.who_data VALUES (4026, 0, 5, 0, 0, 17, 36);
INSERT INTO public.who_data VALUES (4027, 0, 2126, 0, 616, 17, 51);
INSERT INTO public.who_data VALUES (4028, 1256, 57489, 10, 804, 17, 206);
INSERT INTO public.who_data VALUES (4029, 150, 33964, 15, 1269, 17, 5);
INSERT INTO public.who_data VALUES (4030, 53, 55174, 1, 2406, 18, 103);
INSERT INTO public.who_data VALUES (4031, 942, 79934, 5, 1398, 18, 58);
INSERT INTO public.who_data VALUES (4032, 263, 107841, 4, 2898, 18, 195);
INSERT INTO public.who_data VALUES (4033, 0, 0, 0, 0, 18, 115);
INSERT INTO public.who_data VALUES (4034, 45, 10017, 1, 102, 18, 99);
INSERT INTO public.who_data VALUES (4035, 71, 19900, 2, 468, 18, 153);
INSERT INTO public.who_data VALUES (4036, 0, 17, 0, 0, 18, 93);
INSERT INTO public.who_data VALUES (4037, 0, 234, 0, 7, 18, 84);
INSERT INTO public.who_data VALUES (4038, 6614, 1933853, 275, 48249, 18, 78);
INSERT INTO public.who_data VALUES (4039, 190, 167421, 7, 3096, 18, 170);
INSERT INTO public.who_data VALUES (4040, 20, 6986, 0, 59, 18, 32);
INSERT INTO public.who_data VALUES (4041, 6, 28824, 0, 909, 18, 155);
INSERT INTO public.who_data VALUES (4042, 1318, 413239, 39, 7749, 18, 82);
INSERT INTO public.who_data VALUES (4043, 159, 230455, 5, 3141, 18, 16);
INSERT INTO public.who_data VALUES (4044, 18, 8225, 0, 176, 18, 72);
INSERT INTO public.who_data VALUES (4045, 657, 104239, 0, 376, 18, 43);
INSERT INTO public.who_data VALUES (4046, 525, 536107, 12, 8149, 18, 120);
INSERT INTO public.who_data VALUES (4047, 13, 1558, 0, 14, 18, 213);
INSERT INTO public.who_data VALUES (4048, 699, 249994, 9, 1737, 18, 31);
INSERT INTO public.who_data VALUES (4049, 2683, 718833, 52, 21232, 18, 204);
INSERT INTO public.who_data VALUES (4050, 37, 11945, 1, 302, 18, 152);
INSERT INTO public.who_data VALUES (4051, 226, 4119, 2, 54, 18, 144);
INSERT INTO public.who_data VALUES (4052, 1, 692, 0, 12, 18, 96);
INSERT INTO public.who_data VALUES (4053, 0, 859, 0, 1, 18, 47);
INSERT INTO public.who_data VALUES (4054, 1464, 218299, 60, 10439, 18, 80);
INSERT INTO public.who_data VALUES (4055, 0, 366, 0, 3, 18, 159);
INSERT INTO public.who_data VALUES (4056, 262, 122461, 13, 4737, 18, 27);
INSERT INTO public.who_data VALUES (4057, 0, 21293, 14, 148, 18, 146);
INSERT INTO public.who_data VALUES (4058, 24591, 9229322, 595, 225099, 18, 71);
INSERT INTO public.who_data VALUES (4059, 0, 141, 0, 1, 18, 210);
INSERT INTO public.who_data VALUES (4060, 0, 180, 0, 3, 18, 54);
INSERT INTO public.who_data VALUES (4061, 967, 220547, 36, 9178, 18, 147);
INSERT INTO public.who_data VALUES (4062, 136, 10904, 5, 126, 18, 2);
INSERT INTO public.who_data VALUES (4063, 23, 1664, 0, 2, 18, 105);
INSERT INTO public.who_data VALUES (4064, 54, 14152, 0, 134, 18, 53);
INSERT INTO public.who_data VALUES (4065, 0, 466, 0, 0, 18, 81);
INSERT INTO public.who_data VALUES (4066, 0, 30313, 0, 474, 18, 223);
INSERT INTO public.who_data VALUES (4067, 4617, 783589, 104, 20136, 18, 94);
INSERT INTO public.who_data VALUES (4068, 8, 398, 0, 2, 18, 154);
INSERT INTO public.who_data VALUES (4069, 0, 4989, 0, 63, 18, 83);
INSERT INTO public.who_data VALUES (4070, 19, 3404, 0, 121, 18, 194);
INSERT INTO public.who_data VALUES (4071, 3147, 734035, 22, 18559, 18, 136);
INSERT INTO public.who_data VALUES (4072, 53, 101092, 2, 4828, 18, 179);
INSERT INTO public.who_data VALUES (4073, 9622, 2104506, 289, 54272, 18, 57);
INSERT INTO public.who_data VALUES (4074, 37, 2848, 2, 100, 18, 35);
INSERT INTO public.who_data VALUES (4075, 0, 7887, 0, 117, 18, 228);
INSERT INTO public.who_data VALUES (4076, 0, 0, 0, 0, 18, 19);
INSERT INTO public.who_data VALUES (4077, 289, 194569, 7, 2634, 18, 22);
INSERT INTO public.who_data VALUES (4078, 132, 28607, 2, 158, 18, 1);
INSERT INTO public.who_data VALUES (4079, 730, 233637, 17, 5088, 18, 21);
INSERT INTO public.who_data VALUES (4080, 1044, 28636, 2, 218, 18, 234);
INSERT INTO public.who_data VALUES (4081, 0, 4585, 0, 21, 18, 91);
INSERT INTO public.who_data VALUES (4082, 128, 31124, 0, 202, 18, 137);
INSERT INTO public.who_data VALUES (4083, 9143, 1003657, 138, 16683, 18, 201);
INSERT INTO public.who_data VALUES (4084, 0, 0, 0, 0, 18, 171);
INSERT INTO public.who_data VALUES (4085, 201, 23042, 1, 674, 18, 92);
INSERT INTO public.who_data VALUES (4086, 397, 199357, 15, 2160, 18, 112);
INSERT INTO public.who_data VALUES (4087, 2, 5935, 0, 63, 18, 62);
INSERT INTO public.who_data VALUES (4088, 4, 121, 0, 0, 18, 69);
INSERT INTO public.who_data VALUES (4089, 834, 215920, 16, 2704, 18, 220);
INSERT INTO public.who_data VALUES (4090, 293, 251279, 25, 14915, 18, 100);
INSERT INTO public.who_data VALUES (4091, 521, 167013, 47, 9407, 18, 187);
INSERT INTO public.who_data VALUES (4092, 0, 55195, 6, 1638, 18, 63);
INSERT INTO public.who_data VALUES (4093, 0, 5534, 0, 86, 18, 28);
INSERT INTO public.who_data VALUES (4094, 132, 2267, 0, 7, 18, 172);
INSERT INTO public.who_data VALUES (4095, 685, 45663, 9, 433, 18, 17);
INSERT INTO public.who_data VALUES (4096, 74, 15878, 9, 583, 18, 226);
INSERT INTO public.who_data VALUES (4097, 477, 138861, 13, 2116, 18, 236);
INSERT INTO public.who_data VALUES (4098, 1, 41, 0, 0, 18, 76);
INSERT INTO public.who_data VALUES (4099, 0, 654, 0, 1, 18, 30);
INSERT INTO public.who_data VALUES (4100, 0, 55, 0, 2, 18, 128);
INSERT INTO public.who_data VALUES (4101, 302, 45784, 7, 684, 18, 86);
INSERT INTO public.who_data VALUES (4102, 22871, 3172126, 726, 76840, 18, 140);
INSERT INTO public.who_data VALUES (4103, 51, 16185, 0, 76, 18, 44);
INSERT INTO public.who_data VALUES (4104, 20, 18121, 1, 133, 18, 113);
INSERT INTO public.who_data VALUES (4105, 0, 10952, 0, 68, 18, 29);
INSERT INTO public.who_data VALUES (4106, 0, 4139, 0, 131, 18, 125);
INSERT INTO public.who_data VALUES (4107, 688, 259897, 13, 3221, 18, 131);
INSERT INTO public.who_data VALUES (4108, 9705, 2237790, 975, 58956, 18, 46);
INSERT INTO public.who_data VALUES (4109, 772, 67782, 8, 424, 18, 10);
INSERT INTO public.who_data VALUES (4110, 14, 4128, 1, 78, 18, 205);
INSERT INTO public.who_data VALUES (4111, 1221, 158716, 22, 5851, 18, 50);
INSERT INTO public.who_data VALUES (4112, 0, 30, 0, 0, 18, 20);
INSERT INTO public.who_data VALUES (4113, 0, 148, 0, 1, 18, 13);
INSERT INTO public.who_data VALUES (4114, 0, 9156, 0, 158, 18, 148);
INSERT INTO public.who_data VALUES (4115, 2, 7403, 0, 129, 18, 230);
INSERT INTO public.who_data VALUES (4116, 667, 160299, 36, 5709, 18, 190);
INSERT INTO public.who_data VALUES (4117, 46, 585, 0, 13, 18, 188);
INSERT INTO public.who_data VALUES (4118, 9, 14555, 1, 83, 18, 123);
INSERT INTO public.who_data VALUES (4119, 20, 2655, 0, 45, 18, 9);
INSERT INTO public.who_data VALUES (4120, 13, 7654, 1, 177, 18, 102);
INSERT INTO public.who_data VALUES (4121, 82, 11672, 0, 245, 18, 34);
INSERT INTO public.who_data VALUES (4122, 0, 26, 0, 0, 18, 212);
INSERT INTO public.who_data VALUES (4123, 1108, 148951, 4, 3614, 18, 122);
INSERT INTO public.who_data VALUES (4124, 1048, 370336, 83, 12739, 18, 38);
INSERT INTO public.who_data VALUES (4125, 2, 6011, 0, 29, 18, 130);
INSERT INTO public.who_data VALUES (4126, 11039, 10777284, 110, 154596, 18, 37);
INSERT INTO public.who_data VALUES (4127, 10379, 1099687, 304, 30581, 18, 231);
INSERT INTO public.who_data VALUES (4128, 6820, 1431416, 72, 58110, 18, 107);
INSERT INTO public.who_data VALUES (4129, 1135, 621755, 11, 13068, 18, 101);
INSERT INTO public.who_data VALUES (4130, 871, 198424, 101, 3418, 18, 132);
INSERT INTO public.who_data VALUES (4131, 0, 434, 0, 25, 18, 176);
INSERT INTO public.who_data VALUES (4132, 8902, 654647, 43, 4861, 18, 200);
INSERT INTO public.who_data VALUES (4133, 9651, 2570608, 499, 89344, 18, 169);
INSERT INTO public.who_data VALUES (4134, 195, 15973, 1, 353, 18, 225);
INSERT INTO public.who_data VALUES (4135, 2210, 393836, 118, 5912, 18, 165);
INSERT INTO public.who_data VALUES (4136, 2, 3154, 0, 66, 18, 233);
INSERT INTO public.who_data VALUES (4137, 1132, 329194, 8, 4334, 18, 215);
INSERT INTO public.who_data VALUES (4138, 1362, 239726, 0, 3126, 18, 177);
INSERT INTO public.who_data VALUES (4139, 153, 101009, 0, 1766, 18, 183);
INSERT INTO public.who_data VALUES (4140, 0, 0, 0, 0, 18, 203);
INSERT INTO public.who_data VALUES (4141, 245, 60705, 3, 1496, 18, 162);
INSERT INTO public.who_data VALUES (4142, 811, 166654, 0, 959, 18, 12);
INSERT INTO public.who_data VALUES (4143, 116, 84762, 1, 1415, 18, 24);
INSERT INTO public.who_data VALUES (4144, 0, 44, 0, 0, 18, 119);
INSERT INTO public.who_data VALUES (4145, 775, 67427, 17, 1219, 18, 39);
INSERT INTO public.who_data VALUES (4146, 2770, 305842, 81, 3226, 18, 26);
INSERT INTO public.who_data VALUES (4147, 0, 8900, 0, 172, 18, 59);
INSERT INTO public.who_data VALUES (4148, 0, 1944, 0, 84, 18, 77);
INSERT INTO public.who_data VALUES (4149, 1032, 120434, 13, 1896, 18, 134);
INSERT INTO public.who_data VALUES (4150, 3, 2582, 0, 50, 18, 4);
INSERT INTO public.who_data VALUES (4151, 764, 184208, 20, 2867, 18, 109);
INSERT INTO public.who_data VALUES (4152, 190, 50923, 2, 586, 18, 90);
INSERT INTO public.who_data VALUES (4153, 0, 19065, 0, 281, 18, 61);
INSERT INTO public.who_data VALUES (4154, 538, 24903, 14, 726, 18, 85);
INSERT INTO public.who_data VALUES (4155, 3455, 222628, 21, 791, 18, 49);
INSERT INTO public.who_data VALUES (4156, 99, 16155, 0, 52, 18, 208);
INSERT INTO public.who_data VALUES (4157, 11, 8111, 3, 333, 18, 166);
INSERT INTO public.who_data VALUES (4158, 141, 18168, 1, 270, 18, 64);
INSERT INTO public.who_data VALUES (4159, 0, 4, 0, 0, 18, 199);
INSERT INTO public.who_data VALUES (4160, 0, 6442, 0, 45, 18, 114);
INSERT INTO public.who_data VALUES (4161, 0, 16460, 0, 418, 18, 60);
INSERT INTO public.who_data VALUES (4162, 15, 583, 0, 10, 18, 68);
INSERT INTO public.who_data VALUES (4163, 415, 9003, 0, 61, 18, 158);
INSERT INTO public.who_data VALUES (4164, 5448, 1869708, 564, 159100, 18, 52);
INSERT INTO public.who_data VALUES (4165, 0, 0, 0, 0, 18, 117);
INSERT INTO public.who_data VALUES (4166, 44, 1543, 3, 17, 18, 126);
INSERT INTO public.who_data VALUES (4167, 18, 1832, 0, 2, 18, 196);
INSERT INTO public.who_data VALUES (4168, 515, 63639, 7, 825, 18, 142);
INSERT INTO public.who_data VALUES (4169, 0, 13, 0, 1, 18, 185);
INSERT INTO public.who_data VALUES (4170, 835, 472273, 22, 8309, 18, 138);
INSERT INTO public.who_data VALUES (4171, 800, 40260, 17, 403, 18, 181);
INSERT INTO public.who_data VALUES (4172, 310, 140664, 8, 3146, 18, 178);
INSERT INTO public.who_data VALUES (4173, 102, 34270, 2, 355, 18, 168);
INSERT INTO public.who_data VALUES (4174, 0, 0, 0, 0, 18, 160);
INSERT INTO public.who_data VALUES (4175, 171, 271289, 1, 2030, 18, 151);
INSERT INTO public.who_data VALUES (4176, 3562, 984875, 83, 14096, 18, 193);
INSERT INTO public.who_data VALUES (4177, 0, 47, 0, 0, 18, 18);
INSERT INTO public.who_data VALUES (4178, 2, 1951, 0, 25, 18, 40);
INSERT INTO public.who_data VALUES (4179, 35, 5027, 1, 170, 18, 218);
INSERT INTO public.who_data VALUES (4180, 11, 4548, 1, 162, 18, 191);
INSERT INTO public.who_data VALUES (4181, 1634, 133552, 6, 1613, 18, 156);
INSERT INTO public.who_data VALUES (4182, 0, 0, 0, 0, 18, 135);
INSERT INTO public.who_data VALUES (4183, 0, 133, 0, 2, 18, 88);
INSERT INTO public.who_data VALUES (4184, 407, 93160, 7, 2873, 18, 55);
INSERT INTO public.who_data VALUES (4185, 294, 63260, 1, 568, 18, 108);
INSERT INTO public.who_data VALUES (4186, 513, 180018, 9, 2032, 18, 48);
INSERT INTO public.who_data VALUES (4187, 161, 134685, 0, 1532, 18, 3);
INSERT INTO public.who_data VALUES (4188, 0, 745, 0, 13, 18, 224);
INSERT INTO public.who_data VALUES (4189, 1220, 547648, 63, 11746, 18, 110);
INSERT INTO public.who_data VALUES (4190, 0, 0, 0, 0, 18, 106);
INSERT INTO public.who_data VALUES (4191, 724, 321103, 26, 5296, 18, 89);
INSERT INTO public.who_data VALUES (4192, 0, 867, 0, 9, 18, 121);
INSERT INTO public.who_data VALUES (4193, 554, 133781, 14, 2733, 18, 163);
INSERT INTO public.who_data VALUES (4194, 4477, 1142716, 155, 41181, 18, 70);
INSERT INTO public.who_data VALUES (4195, 1581, 528853, 67, 10874, 18, 174);
INSERT INTO public.who_data VALUES (4196, 0, 0, 0, 0, 18, 175);
INSERT INTO public.who_data VALUES (4197, 6801, 1527016, 421, 37897, 18, 118);
INSERT INTO public.who_data VALUES (4198, 5540, 731861, 260, 13017, 18, 189);
INSERT INTO public.who_data VALUES (4199, 288, 94526, 10, 1846, 18, 124);
INSERT INTO public.who_data VALUES (4200, 375, 152095, 0, 249, 18, 192);
INSERT INTO public.who_data VALUES (4201, 467, 79310, 6, 1441, 18, 41);
INSERT INTO public.who_data VALUES (4202, 639, 160725, 16, 3462, 18, 95);
INSERT INTO public.who_data VALUES (4203, 0, 10194, 0, 46, 18, 74);
INSERT INTO public.who_data VALUES (4204, 2676, 732732, 111, 18513, 18, 11);
INSERT INTO public.who_data VALUES (4205, 16474, 3901204, 526, 74684, 18, 87);
INSERT INTO public.who_data VALUES (4206, 229, 15688, 7, 205, 18, 214);
INSERT INTO public.who_data VALUES (4207, 0, 6, 0, 0, 18, 116);
INSERT INTO public.who_data VALUES (4208, 0, 379, 0, 0, 18, 157);
INSERT INTO public.who_data VALUES (4209, 0, 0, 0, 0, 18, 182);
INSERT INTO public.who_data VALUES (4210, 1, 39, 0, 0, 18, 186);
INSERT INTO public.who_data VALUES (4211, 0, 1411, 0, 15, 18, 127);
INSERT INTO public.who_data VALUES (4212, 0, 1289, 0, 12, 18, 232);
INSERT INTO public.who_data VALUES (4213, 0, 24, 0, 0, 18, 33);
INSERT INTO public.who_data VALUES (4214, 57, 1008, 0, 2, 18, 97);
INSERT INTO public.who_data VALUES (4215, 0, 3, 0, 0, 18, 42);
INSERT INTO public.who_data VALUES (4216, 28, 3094, 1, 68, 18, 198);
INSERT INTO public.who_data VALUES (4217, 12, 1271, 0, 17, 18, 216);
INSERT INTO public.who_data VALUES (4218, 310, 368639, 4, 6383, 18, 164);
INSERT INTO public.who_data VALUES (4219, 153, 27080, 3, 641, 18, 235);
INSERT INTO public.who_data VALUES (4220, 1903, 398905, 18, 4056, 18, 67);
INSERT INTO public.who_data VALUES (4221, 38, 1243, 1, 5, 18, 15);
INSERT INTO public.who_data VALUES (4222, 26, 3660, 0, 79, 18, 180);
INSERT INTO public.who_data VALUES (4223, 19, 59584, 0, 29, 18, 237);
INSERT INTO public.who_data VALUES (4224, 0, 20, 0, 0, 18, 25);
INSERT INTO public.who_data VALUES (4225, 8, 1870, 0, 27, 18, 209);
INSERT INTO public.who_data VALUES (4226, 1737, 252094, 73, 4784, 18, 217);
INSERT INTO public.who_data VALUES (4227, 1517, 168405, 16, 3866, 18, 79);
INSERT INTO public.who_data VALUES (4228, 0, 17, 0, 0, 18, 143);
INSERT INTO public.who_data VALUES (4229, 0, 4784, 0, 130, 18, 229);
INSERT INTO public.who_data VALUES (4230, 2649, 1458958, 547, 44946, 18, 141);
INSERT INTO public.who_data VALUES (4231, 0, 4037, 0, 64, 18, 197);
INSERT INTO public.who_data VALUES (4232, 22206, 2921710, 476, 62456, 18, 221);
INSERT INTO public.who_data VALUES (4233, 715, 65698, 7, 330, 18, 150);
INSERT INTO public.who_data VALUES (4234, 0, 29536, 0, 1829, 18, 56);
INSERT INTO public.who_data VALUES (4235, 11, 8449, 2, 156, 18, 167);
INSERT INTO public.who_data VALUES (4236, 1552, 576561, 43, 12295, 18, 23);
INSERT INTO public.who_data VALUES (4237, 1650, 526746, 20, 8900, 18, 222);
INSERT INTO public.who_data VALUES (4238, 46, 14142, 3, 929, 18, 219);
INSERT INTO public.who_data VALUES (4239, 0, 13714, 0, 91, 18, 7);
INSERT INTO public.who_data VALUES (4240, 795, 21249, 0, 79, 18, 161);
INSERT INTO public.who_data VALUES (4241, 16840, 3852627, 1449, 108013, 18, 149);
INSERT INTO public.who_data VALUES (4242, 2, 77, 0, 0, 18, 6);
INSERT INTO public.who_data VALUES (4243, 74, 5166, 0, 79, 18, 139);
INSERT INTO public.who_data VALUES (4244, 0, 0, 0, 0, 18, 211);
INSERT INTO public.who_data VALUES (4245, 0, 0, 0, 0, 18, 14);
INSERT INTO public.who_data VALUES (4246, 2, 7566, 0, 134, 18, 111);
INSERT INTO public.who_data VALUES (4247, 1367, 211412, 91, 6893, 18, 207);
INSERT INTO public.who_data VALUES (4248, 7795, 2492977, 120, 26237, 18, 66);
INSERT INTO public.who_data VALUES (4249, 0, 0, 0, 0, 18, 173);
INSERT INTO public.who_data VALUES (4250, 0, 1504, 0, 9, 18, 145);
INSERT INTO public.who_data VALUES (4251, 0, 0, 0, 0, 18, 65);
INSERT INTO public.who_data VALUES (4252, 45, 39651, 0, 325, 18, 184);
INSERT INTO public.who_data VALUES (4253, 3285, 1227164, 165, 23089, 18, 98);
INSERT INTO public.who_data VALUES (4254, 3310, 309649, 7, 866, 18, 104);
INSERT INTO public.who_data VALUES (4255, 0, 509, 0, 21, 18, 73);
INSERT INTO public.who_data VALUES (4256, 125444, 26055512, 1866, 439830, 18, 8);
INSERT INTO public.who_data VALUES (4257, 5, 2426, 0, 24, 18, 227);
INSERT INTO public.who_data VALUES (4258, 390, 42128, 8, 444, 18, 75);
INSERT INTO public.who_data VALUES (4259, 58, 78859, 0, 621, 18, 45);
INSERT INTO public.who_data VALUES (4260, 0, 1, 0, 0, 18, 133);
INSERT INTO public.who_data VALUES (4261, 419, 127346, 7, 1196, 18, 202);
INSERT INTO public.who_data VALUES (4262, 40, 1891, 0, 35, 18, 129);
INSERT INTO public.who_data VALUES (4263, 0, 5, 0, 0, 18, 36);
INSERT INTO public.who_data VALUES (4264, 0, 2126, 0, 616, 18, 51);
INSERT INTO public.who_data VALUES (4265, 1191, 56233, 14, 794, 18, 206);
INSERT INTO public.who_data VALUES (4266, 266, 33814, 20, 1254, 18, 5);
INSERT INTO public.who_data VALUES (4267, 62, 55121, 1, 2405, 19, 103);
INSERT INTO public.who_data VALUES (4268, 865, 78992, 13, 1393, 19, 58);
INSERT INTO public.who_data VALUES (4269, 239, 107578, 3, 2894, 19, 195);
INSERT INTO public.who_data VALUES (4270, 0, 0, 0, 0, 19, 115);
INSERT INTO public.who_data VALUES (4271, 35, 9972, 0, 101, 19, 99);
INSERT INTO public.who_data VALUES (4272, 33, 19829, 0, 466, 19, 153);
INSERT INTO public.who_data VALUES (4273, 0, 17, 0, 0, 19, 93);
INSERT INTO public.who_data VALUES (4274, 14, 234, 0, 7, 19, 84);
INSERT INTO public.who_data VALUES (4275, 4975, 1927239, 43, 47974, 19, 78);
INSERT INTO public.who_data VALUES (4276, 143, 167231, 5, 3089, 19, 170);
INSERT INTO public.who_data VALUES (4277, 108, 6966, 1, 59, 19, 32);
INSERT INTO public.who_data VALUES (4278, 7, 28818, 0, 909, 19, 155);
INSERT INTO public.who_data VALUES (4279, 936, 411921, 57, 7710, 19, 82);
INSERT INTO public.who_data VALUES (4280, 77, 230296, 4, 3136, 19, 16);
INSERT INTO public.who_data VALUES (4281, 24, 8207, 0, 176, 19, 72);
INSERT INTO public.who_data VALUES (4282, 525, 103582, 1, 376, 19, 43);
INSERT INTO public.who_data VALUES (4283, 443, 535582, 10, 8137, 19, 120);
INSERT INTO public.who_data VALUES (4284, 0, 1545, 2, 14, 19, 213);
INSERT INTO public.who_data VALUES (4285, 959, 249295, 10, 1728, 19, 31);
INSERT INTO public.who_data VALUES (4286, 3383, 716150, 38, 21180, 19, 204);
INSERT INTO public.who_data VALUES (4287, 0, 11908, 0, 301, 19, 152);
INSERT INTO public.who_data VALUES (4288, 0, 3893, 0, 52, 19, 144);
INSERT INTO public.who_data VALUES (4289, 0, 691, 0, 12, 19, 96);
INSERT INTO public.who_data VALUES (4290, 0, 859, 0, 1, 19, 47);
INSERT INTO public.who_data VALUES (4291, 1438, 216835, 49, 10379, 19, 80);
INSERT INTO public.who_data VALUES (4292, 4, 366, 0, 3, 19, 159);
INSERT INTO public.who_data VALUES (4293, 113, 122199, 19, 4724, 19, 27);
INSERT INTO public.who_data VALUES (4294, 0, 21293, 0, 134, 19, 146);
INSERT INTO public.who_data VALUES (4295, 27756, 9204731, 559, 224504, 19, 71);
INSERT INTO public.who_data VALUES (4296, 0, 141, 0, 1, 19, 210);
INSERT INTO public.who_data VALUES (4297, 0, 180, 0, 3, 19, 54);
INSERT INTO public.who_data VALUES (4298, 832, 219580, 97, 9142, 19, 147);
INSERT INTO public.who_data VALUES (4299, 86, 10768, 1, 121, 19, 2);
INSERT INTO public.who_data VALUES (4300, 6, 1641, 0, 2, 19, 105);
INSERT INTO public.who_data VALUES (4301, 28, 14098, 0, 134, 19, 53);
INSERT INTO public.who_data VALUES (4302, 0, 466, 0, 0, 19, 81);
INSERT INTO public.who_data VALUES (4303, 696, 30313, 12, 474, 19, 223);
INSERT INTO public.who_data VALUES (4304, 3924, 778972, 90, 20032, 19, 94);
INSERT INTO public.who_data VALUES (4305, 0, 390, 0, 2, 19, 154);
INSERT INTO public.who_data VALUES (4306, 0, 4989, 0, 63, 19, 83);
INSERT INTO public.who_data VALUES (4307, 9, 3385, 3, 121, 19, 194);
INSERT INTO public.who_data VALUES (4308, 3779, 730888, 85, 18537, 19, 136);
INSERT INTO public.who_data VALUES (4309, 65, 101039, 1, 4826, 19, 179);
INSERT INTO public.who_data VALUES (4310, 8078, 2094884, 333, 53983, 19, 57);
INSERT INTO public.who_data VALUES (4311, 85, 2811, 5, 98, 19, 35);
INSERT INTO public.who_data VALUES (4312, 0, 7887, 0, 117, 19, 228);
INSERT INTO public.who_data VALUES (4313, 0, 0, 0, 0, 19, 19);
INSERT INTO public.who_data VALUES (4314, 436, 194280, 15, 2627, 19, 22);
INSERT INTO public.who_data VALUES (4315, 76, 28475, 2, 156, 19, 1);
INSERT INTO public.who_data VALUES (4316, 387, 232907, 17, 5071, 19, 21);
INSERT INTO public.who_data VALUES (4317, 906, 27592, 2, 216, 19, 234);
INSERT INTO public.who_data VALUES (4318, 11, 4585, 1, 21, 19, 91);
INSERT INTO public.who_data VALUES (4319, 120, 30996, 3, 202, 19, 137);
INSERT INTO public.who_data VALUES (4320, 7185, 994514, 153, 16545, 19, 201);
INSERT INTO public.who_data VALUES (4321, 0, 0, 0, 0, 19, 171);
INSERT INTO public.who_data VALUES (4322, 71, 22841, 2, 673, 19, 92);
INSERT INTO public.who_data VALUES (4323, 488, 198960, 20, 2145, 19, 112);
INSERT INTO public.who_data VALUES (4324, 1, 5933, 0, 63, 19, 62);
INSERT INTO public.who_data VALUES (4325, 0, 117, 0, 0, 19, 69);
INSERT INTO public.who_data VALUES (4326, 1026, 215086, 22, 2688, 19, 220);
INSERT INTO public.who_data VALUES (4327, 158, 250986, 31, 14890, 19, 100);
INSERT INTO public.who_data VALUES (4328, 541, 166492, 44, 9360, 19, 187);
INSERT INTO public.who_data VALUES (4329, 229, 55195, 9, 1632, 19, 63);
INSERT INTO public.who_data VALUES (4330, 18, 5534, 0, 86, 19, 28);
INSERT INTO public.who_data VALUES (4331, 0, 2135, 0, 7, 19, 172);
INSERT INTO public.who_data VALUES (4332, 403, 44978, 2, 424, 19, 17);
INSERT INTO public.who_data VALUES (4333, 93, 15804, 9, 574, 19, 226);
INSERT INTO public.who_data VALUES (4334, 734, 138384, 10, 2103, 19, 236);
INSERT INTO public.who_data VALUES (4335, 0, 40, 0, 0, 19, 76);
INSERT INTO public.who_data VALUES (4336, 0, 654, 0, 1, 19, 30);
INSERT INTO public.who_data VALUES (4337, 0, 55, 0, 2, 19, 128);
INSERT INTO public.who_data VALUES (4338, 244, 45482, 6, 677, 19, 86);
INSERT INTO public.who_data VALUES (4339, 3669, 3149255, 453, 76114, 19, 140);
INSERT INTO public.who_data VALUES (4340, 51, 16134, 0, 76, 19, 44);
INSERT INTO public.who_data VALUES (4341, 41, 18101, 1, 132, 19, 113);
INSERT INTO public.who_data VALUES (4342, 204, 10952, 0, 68, 19, 29);
INSERT INTO public.who_data VALUES (4343, 49, 4139, 3, 131, 19, 125);
INSERT INTO public.who_data VALUES (4344, 858, 259209, 14, 3208, 19, 131);
INSERT INTO public.who_data VALUES (4345, 6114, 2228085, 861, 57981, 19, 46);
INSERT INTO public.who_data VALUES (4346, 0, 67010, 0, 416, 19, 10);
INSERT INTO public.who_data VALUES (4347, 6, 4114, 2, 77, 19, 205);
INSERT INTO public.who_data VALUES (4348, 538, 157495, 33, 5829, 19, 50);
INSERT INTO public.who_data VALUES (4349, 0, 30, 0, 0, 19, 20);
INSERT INTO public.who_data VALUES (4350, 0, 148, 0, 1, 19, 13);
INSERT INTO public.who_data VALUES (4351, 0, 9156, 1, 158, 19, 148);
INSERT INTO public.who_data VALUES (4352, 21, 7401, 0, 129, 19, 230);
INSERT INTO public.who_data VALUES (4353, 128, 159632, 30, 5673, 19, 190);
INSERT INTO public.who_data VALUES (4354, 46, 539, 0, 13, 19, 188);
INSERT INTO public.who_data VALUES (4355, 14, 14546, 0, 82, 19, 123);
INSERT INTO public.who_data VALUES (4356, 0, 2635, 0, 45, 19, 9);
INSERT INTO public.who_data VALUES (4357, 60, 7641, 0, 176, 19, 102);
INSERT INTO public.who_data VALUES (4358, 57, 11590, 0, 245, 19, 34);
INSERT INTO public.who_data VALUES (4359, 0, 26, 0, 0, 19, 212);
INSERT INTO public.who_data VALUES (4360, 743, 147843, 18, 3610, 19, 122);
INSERT INTO public.who_data VALUES (4361, 578, 369288, 78, 12656, 19, 38);
INSERT INTO public.who_data VALUES (4362, 0, 6009, 0, 29, 19, 130);
INSERT INTO public.who_data VALUES (4363, 8635, 10766245, 94, 154486, 19, 37);
INSERT INTO public.who_data VALUES (4364, 10994, 1089308, 279, 30277, 19, 231);
INSERT INTO public.who_data VALUES (4365, 6597, 1424596, 79, 58038, 19, 107);
INSERT INTO public.who_data VALUES (4366, 984, 620620, 10, 13057, 19, 101);
INSERT INTO public.who_data VALUES (4367, 1006, 197553, 10, 3317, 19, 132);
INSERT INTO public.who_data VALUES (4368, 0, 434, 0, 25, 19, 176);
INSERT INTO public.who_data VALUES (4369, 5227, 645745, 50, 4818, 19, 200);
INSERT INTO public.who_data VALUES (4370, 7925, 2560957, 329, 88845, 19, 169);
INSERT INTO public.who_data VALUES (4371, 125, 15778, 2, 352, 19, 225);
INSERT INTO public.who_data VALUES (4372, 2108, 391626, 72, 5794, 19, 165);
INSERT INTO public.who_data VALUES (4373, 6, 3152, 0, 66, 19, 233);
INSERT INTO public.who_data VALUES (4374, 1207, 328062, 10, 4326, 19, 215);
INSERT INTO public.who_data VALUES (4375, 1335, 238364, 0, 3126, 19, 177);
INSERT INTO public.who_data VALUES (4376, 83, 100856, 3, 1766, 19, 183);
INSERT INTO public.who_data VALUES (4377, 0, 0, 0, 0, 19, 203);
INSERT INTO public.who_data VALUES (4378, 282, 60460, 5, 1493, 19, 162);
INSERT INTO public.who_data VALUES (4379, 586, 165843, 0, 959, 19, 12);
INSERT INTO public.who_data VALUES (4380, 58, 84646, 2, 1414, 19, 24);
INSERT INTO public.who_data VALUES (4381, 0, 44, 0, 0, 19, 119);
INSERT INTO public.who_data VALUES (4382, 411, 66652, 7, 1202, 19, 39);
INSERT INTO public.who_data VALUES (4383, 2020, 303072, 63, 3145, 19, 26);
INSERT INTO public.who_data VALUES (4384, 622, 8900, 12, 172, 19, 59);
INSERT INTO public.who_data VALUES (4385, 5, 1944, 0, 84, 19, 77);
INSERT INTO public.who_data VALUES (4386, 771, 119402, 6, 1883, 19, 134);
INSERT INTO public.who_data VALUES (4387, 12, 2579, 0, 50, 19, 4);
INSERT INTO public.who_data VALUES (4388, 551, 183444, 22, 2847, 19, 109);
INSERT INTO public.who_data VALUES (4389, 34, 50733, 4, 584, 19, 90);
INSERT INTO public.who_data VALUES (4390, 0, 19065, 0, 281, 19, 61);
INSERT INTO public.who_data VALUES (4391, 402, 24365, 10, 712, 19, 85);
INSERT INTO public.who_data VALUES (4392, 4214, 219173, 10, 770, 19, 49);
INSERT INTO public.who_data VALUES (4393, 215, 16056, 0, 52, 19, 208);
INSERT INTO public.who_data VALUES (4394, 9, 8100, 0, 330, 19, 166);
INSERT INTO public.who_data VALUES (4395, 124, 18027, 2, 269, 19, 64);
INSERT INTO public.who_data VALUES (4396, 0, 4, 0, 0, 19, 199);
INSERT INTO public.who_data VALUES (4397, 72, 6442, 1, 45, 19, 114);
INSERT INTO public.who_data VALUES (4398, 0, 16460, 0, 418, 19, 60);
INSERT INTO public.who_data VALUES (4399, 0, 568, 0, 10, 19, 68);
INSERT INTO public.who_data VALUES (4400, 357, 8588, 0, 61, 19, 158);
INSERT INTO public.who_data VALUES (4401, 7030, 1864260, 462, 158536, 19, 52);
INSERT INTO public.who_data VALUES (4402, 0, 0, 0, 0, 19, 117);
INSERT INTO public.who_data VALUES (4403, 10, 1499, 1, 14, 19, 126);
INSERT INTO public.who_data VALUES (4404, 35, 1814, 0, 2, 19, 196);
INSERT INTO public.who_data VALUES (4405, 602, 63124, 7, 818, 19, 142);
INSERT INTO public.who_data VALUES (4406, 0, 13, 0, 1, 19, 185);
INSERT INTO public.who_data VALUES (4407, 281, 471438, 12, 8287, 19, 138);
INSERT INTO public.who_data VALUES (4408, 806, 39460, 19, 386, 19, 181);
INSERT INTO public.who_data VALUES (4409, 209, 140354, 7, 3138, 19, 178);
INSERT INTO public.who_data VALUES (4410, 228, 34168, 1, 353, 19, 168);
INSERT INTO public.who_data VALUES (4411, 0, 0, 0, 0, 19, 160);
INSERT INTO public.who_data VALUES (4412, 159, 271118, 0, 2029, 19, 151);
INSERT INTO public.who_data VALUES (4413, 3244, 981313, 27, 14013, 19, 193);
INSERT INTO public.who_data VALUES (4414, 0, 47, 0, 0, 19, 18);
INSERT INTO public.who_data VALUES (4415, 2, 1949, 0, 25, 19, 40);
INSERT INTO public.who_data VALUES (4416, 0, 4992, 0, 169, 19, 218);
INSERT INTO public.who_data VALUES (4417, 20, 4537, 2, 161, 19, 191);
INSERT INTO public.who_data VALUES (4418, 676, 131918, 21, 1607, 19, 156);
INSERT INTO public.who_data VALUES (4419, 0, 0, 0, 0, 19, 135);
INSERT INTO public.who_data VALUES (4420, 1, 133, 0, 2, 19, 88);
INSERT INTO public.who_data VALUES (4421, 60, 92753, 11, 2866, 19, 55);
INSERT INTO public.who_data VALUES (4422, 173, 62966, 4, 567, 19, 108);
INSERT INTO public.who_data VALUES (4423, 586, 179505, 11, 2023, 19, 48);
INSERT INTO public.who_data VALUES (4424, 198, 134524, 3, 1532, 19, 3);
INSERT INTO public.who_data VALUES (4425, 0, 745, 0, 13, 19, 224);
INSERT INTO public.who_data VALUES (4426, 1615, 546428, 26, 11683, 19, 110);
INSERT INTO public.who_data VALUES (4427, 0, 0, 0, 0, 19, 106);
INSERT INTO public.who_data VALUES (4428, 926, 320379, 26, 5270, 19, 89);
INSERT INTO public.who_data VALUES (4429, 0, 867, 0, 9, 19, 121);
INSERT INTO public.who_data VALUES (4430, 679, 133227, 15, 2719, 19, 163);
INSERT INTO public.who_data VALUES (4431, 5217, 1138239, 169, 41026, 19, 70);
INSERT INTO public.who_data VALUES (4432, 1654, 527272, 58, 10807, 19, 174);
INSERT INTO public.who_data VALUES (4433, 0, 0, 0, 0, 19, 175);
INSERT INTO public.who_data VALUES (4434, 4326, 1520215, 254, 37476, 19, 118);
INSERT INTO public.who_data VALUES (4435, 5805, 726321, 275, 12757, 19, 189);
INSERT INTO public.who_data VALUES (4436, 614, 94238, 7, 1836, 19, 124);
INSERT INTO public.who_data VALUES (4437, 385, 151720, 1, 249, 19, 192);
INSERT INTO public.who_data VALUES (4438, 336, 78843, 10, 1435, 19, 41);
INSERT INTO public.who_data VALUES (4439, 282, 160086, 8, 3446, 19, 95);
INSERT INTO public.who_data VALUES (4440, 198, 10194, 0, 46, 19, 74);
INSERT INTO public.who_data VALUES (4441, 1313, 730056, 67, 18402, 19, 11);
INSERT INTO public.who_data VALUES (4442, 16643, 3884730, 539, 74158, 19, 87);
INSERT INTO public.who_data VALUES (4443, 155, 15459, 2, 198, 19, 214);
INSERT INTO public.who_data VALUES (4444, 0, 6, 0, 0, 19, 116);
INSERT INTO public.who_data VALUES (4445, 0, 379, 0, 0, 19, 157);
INSERT INTO public.who_data VALUES (4446, 0, 0, 0, 0, 19, 182);
INSERT INTO public.who_data VALUES (4447, 1, 38, 0, 0, 19, 186);
INSERT INTO public.who_data VALUES (4448, 216, 1411, 2, 15, 19, 127);
INSERT INTO public.who_data VALUES (4449, 0, 1289, 0, 12, 19, 232);
INSERT INTO public.who_data VALUES (4450, 0, 24, 0, 0, 19, 33);
INSERT INTO public.who_data VALUES (4451, 50, 951, 0, 2, 19, 97);
INSERT INTO public.who_data VALUES (4452, 0, 3, 0, 0, 19, 42);
INSERT INTO public.who_data VALUES (4453, 41, 3066, 0, 67, 19, 198);
INSERT INTO public.who_data VALUES (4454, 3, 1259, 0, 17, 19, 216);
INSERT INTO public.who_data VALUES (4455, 255, 368329, 4, 6379, 19, 164);
INSERT INTO public.who_data VALUES (4456, 404, 26927, 10, 638, 19, 235);
INSERT INTO public.who_data VALUES (4457, 1739, 397002, 18, 4038, 19, 67);
INSERT INTO public.who_data VALUES (4458, 4, 1205, 0, 4, 19, 15);
INSERT INTO public.who_data VALUES (4459, 41, 3634, 0, 79, 19, 180);
INSERT INTO public.who_data VALUES (4460, 29, 59565, 0, 29, 19, 237);
INSERT INTO public.who_data VALUES (4461, 0, 20, 0, 0, 19, 25);
INSERT INTO public.who_data VALUES (4462, 40, 1862, 0, 27, 19, 209);
INSERT INTO public.who_data VALUES (4463, 444, 250357, 69, 4711, 19, 217);
INSERT INTO public.who_data VALUES (4464, 348, 166888, 21, 3850, 19, 79);
INSERT INTO public.who_data VALUES (4465, 0, 17, 0, 0, 19, 143);
INSERT INTO public.who_data VALUES (4466, 0, 4784, 0, 130, 19, 229);
INSERT INTO public.who_data VALUES (4467, 2548, 1456309, 235, 44399, 19, 141);
INSERT INTO public.who_data VALUES (4468, 76, 4037, 0, 64, 19, 197);
INSERT INTO public.who_data VALUES (4469, 11469, 2899504, 401, 61980, 19, 221);
INSERT INTO public.who_data VALUES (4470, 826, 64983, 7, 323, 19, 150);
INSERT INTO public.who_data VALUES (4471, 48, 29536, 17, 1829, 19, 56);
INSERT INTO public.who_data VALUES (4472, 35, 8438, 0, 154, 19, 167);
INSERT INTO public.who_data VALUES (4473, 1165, 575009, 39, 12252, 19, 23);
INSERT INTO public.who_data VALUES (4474, 2162, 525096, 30, 8880, 19, 222);
INSERT INTO public.who_data VALUES (4475, 48, 14096, 5, 926, 19, 219);
INSERT INTO public.who_data VALUES (4476, 0, 13714, 0, 91, 19, 7);
INSERT INTO public.who_data VALUES (4477, 836, 20454, 2, 79, 19, 161);
INSERT INTO public.who_data VALUES (4478, 18607, 3835787, 406, 106564, 19, 149);
INSERT INTO public.who_data VALUES (4479, 5, 75, 0, 0, 19, 6);
INSERT INTO public.who_data VALUES (4480, 18, 5092, 2, 79, 19, 139);
INSERT INTO public.who_data VALUES (4481, 0, 0, 0, 0, 19, 211);
INSERT INTO public.who_data VALUES (4482, 0, 0, 0, 0, 19, 14);
INSERT INTO public.who_data VALUES (4483, 22, 7564, 0, 134, 19, 111);
INSERT INTO public.who_data VALUES (4484, 1160, 210045, 48, 6802, 19, 207);
INSERT INTO public.who_data VALUES (4485, 7719, 2485182, 124, 26117, 19, 66);
INSERT INTO public.who_data VALUES (4486, 0, 0, 0, 0, 19, 173);
INSERT INTO public.who_data VALUES (4487, 1, 1504, 0, 9, 19, 145);
INSERT INTO public.who_data VALUES (4488, 0, 0, 0, 0, 19, 65);
INSERT INTO public.who_data VALUES (4489, 27, 39606, 1, 325, 19, 184);
INSERT INTO public.who_data VALUES (4490, 2394, 1223879, 156, 22924, 19, 98);
INSERT INTO public.who_data VALUES (4491, 2730, 306339, 9, 859, 19, 104);
INSERT INTO public.who_data VALUES (4492, 0, 509, 0, 21, 19, 73);
INSERT INTO public.who_data VALUES (4493, 112129, 25930068, 1913, 437964, 19, 8);
INSERT INTO public.who_data VALUES (4494, 0, 2421, 0, 24, 19, 227);
INSERT INTO public.who_data VALUES (4495, 557, 41738, 5, 436, 19, 75);
INSERT INTO public.who_data VALUES (4496, 46, 78801, 0, 621, 19, 45);
INSERT INTO public.who_data VALUES (4497, 0, 1, 0, 0, 19, 133);
INSERT INTO public.who_data VALUES (4498, 604, 126927, 6, 1189, 19, 202);
INSERT INTO public.who_data VALUES (4499, 32, 1851, 0, 35, 19, 129);
INSERT INTO public.who_data VALUES (4500, 0, 5, 0, 0, 19, 36);
INSERT INTO public.who_data VALUES (4501, 1, 2126, 0, 616, 19, 51);
INSERT INTO public.who_data VALUES (4502, 825, 55042, 17, 780, 19, 206);
INSERT INTO public.who_data VALUES (4503, 160, 33548, 17, 1234, 19, 5);
INSERT INTO public.who_data VALUES (4504, 36, 55059, 4, 2404, 20, 103);
INSERT INTO public.who_data VALUES (4505, 876, 78127, 11, 1380, 20, 58);
INSERT INTO public.who_data VALUES (4506, 217, 107339, 3, 2891, 20, 195);
INSERT INTO public.who_data VALUES (4507, 0, 0, 0, 0, 20, 115);
INSERT INTO public.who_data VALUES (4508, 52, 9937, 0, 101, 20, 99);
INSERT INTO public.who_data VALUES (4509, 14, 19796, 2, 466, 20, 153);
INSERT INTO public.who_data VALUES (4510, 0, 17, 0, 0, 20, 93);
INSERT INTO public.who_data VALUES (4511, 2, 220, 0, 7, 20, 84);
INSERT INTO public.who_data VALUES (4512, 6902, 1922264, 156, 47931, 20, 78);
INSERT INTO public.who_data VALUES (4513, 62, 167088, 4, 3084, 20, 170);
INSERT INTO public.who_data VALUES (4514, 0, 6858, 0, 58, 20, 32);
INSERT INTO public.who_data VALUES (4515, 5, 28811, 0, 909, 20, 155);
INSERT INTO public.who_data VALUES (4516, 1093, 410985, 17, 7653, 20, 82);
INSERT INTO public.who_data VALUES (4517, 153, 230219, 6, 3132, 20, 16);
INSERT INTO public.who_data VALUES (4518, 9, 8183, 0, 176, 20, 72);
INSERT INTO public.who_data VALUES (4519, 431, 103057, 3, 375, 20, 43);
INSERT INTO public.who_data VALUES (4520, 369, 535139, 16, 8127, 20, 120);
INSERT INTO public.who_data VALUES (4521, 47, 1545, 0, 12, 20, 213);
INSERT INTO public.who_data VALUES (4522, 1766, 248336, 10, 1718, 20, 31);
INSERT INTO public.who_data VALUES (4523, 862, 712767, 32, 21142, 20, 204);
INSERT INTO public.who_data VALUES (4524, 31, 11908, 0, 301, 20, 152);
INSERT INTO public.who_data VALUES (4525, 107, 3893, 4, 52, 20, 144);
INSERT INTO public.who_data VALUES (4526, 0, 691, 0, 12, 20, 96);
INSERT INTO public.who_data VALUES (4527, 1, 859, 0, 1, 20, 47);
INSERT INTO public.who_data VALUES (4528, 2005, 215397, 104, 10330, 20, 80);
INSERT INTO public.who_data VALUES (4529, 0, 362, 0, 3, 20, 159);
INSERT INTO public.who_data VALUES (4530, 195, 122086, 9, 4705, 20, 27);
INSERT INTO public.who_data VALUES (4531, 0, 21293, 0, 134, 20, 146);
INSERT INTO public.who_data VALUES (4532, 58462, 9176975, 1279, 223945, 20, 71);
INSERT INTO public.who_data VALUES (4533, 0, 141, 0, 1, 20, 210);
INSERT INTO public.who_data VALUES (4534, 0, 180, 0, 3, 20, 54);
INSERT INTO public.who_data VALUES (4535, 130, 218748, 17, 9045, 20, 147);
INSERT INTO public.who_data VALUES (4536, 102, 10682, 0, 120, 20, 2);
INSERT INTO public.who_data VALUES (4537, 3, 1635, 0, 2, 20, 105);
INSERT INTO public.who_data VALUES (4538, 89, 14070, 1, 134, 20, 53);
INSERT INTO public.who_data VALUES (4539, 1, 466, 0, 0, 20, 81);
INSERT INTO public.who_data VALUES (4540, 0, 29617, 0, 462, 20, 223);
INSERT INTO public.who_data VALUES (4541, 4255, 775048, 141, 19942, 20, 94);
INSERT INTO public.who_data VALUES (4542, 0, 390, 0, 2, 20, 154);
INSERT INTO public.who_data VALUES (4543, 8, 4989, 0, 63, 20, 83);
INSERT INTO public.who_data VALUES (4544, 29, 3376, 0, 118, 20, 194);
INSERT INTO public.who_data VALUES (4545, 4209, 727109, 113, 18452, 20, 136);
INSERT INTO public.who_data VALUES (4546, 97, 100974, 2, 4825, 20, 179);
INSERT INTO public.who_data VALUES (4547, 9173, 2086806, 366, 53650, 20, 57);
INSERT INTO public.who_data VALUES (4548, 8, 2726, 3, 93, 20, 35);
INSERT INTO public.who_data VALUES (4549, 0, 7887, 0, 117, 20, 228);
INSERT INTO public.who_data VALUES (4550, 0, 0, 0, 0, 20, 19);
INSERT INTO public.who_data VALUES (4551, 568, 193844, 8, 2612, 20, 22);
INSERT INTO public.who_data VALUES (4552, 221, 28399, 2, 154, 20, 1);
INSERT INTO public.who_data VALUES (4553, 94, 232520, 27, 5054, 20, 21);
INSERT INTO public.who_data VALUES (4554, 1012, 26686, 1, 214, 20, 234);
INSERT INTO public.who_data VALUES (4555, 0, 4574, 0, 20, 20, 91);
INSERT INTO public.who_data VALUES (4556, 106, 30876, 2, 199, 20, 137);
INSERT INTO public.who_data VALUES (4557, 2555, 987329, 84, 16392, 20, 201);
INSERT INTO public.who_data VALUES (4558, 0, 0, 0, 0, 20, 171);
INSERT INTO public.who_data VALUES (4559, 167, 22770, 0, 671, 20, 92);
INSERT INTO public.who_data VALUES (4560, 377, 198472, 19, 2125, 20, 112);
INSERT INTO public.who_data VALUES (4561, 1, 5932, 1, 63, 20, 62);
INSERT INTO public.who_data VALUES (4562, 0, 117, 0, 0, 20, 69);
INSERT INTO public.who_data VALUES (4563, 1507, 214060, 20, 2666, 20, 220);
INSERT INTO public.who_data VALUES (4564, 1049, 250828, 8, 14859, 20, 100);
INSERT INTO public.who_data VALUES (4565, 533, 165951, 53, 9316, 20, 187);
INSERT INTO public.who_data VALUES (4566, 977, 54966, 9, 1623, 20, 63);
INSERT INTO public.who_data VALUES (4567, 0, 5516, 0, 86, 20, 28);
INSERT INTO public.who_data VALUES (4568, 0, 2135, 0, 7, 20, 172);
INSERT INTO public.who_data VALUES (4569, 367, 44575, 3, 422, 20, 17);
INSERT INTO public.who_data VALUES (4570, 45, 15711, 3, 565, 20, 226);
INSERT INTO public.who_data VALUES (4571, 629, 137650, 2, 2093, 20, 236);
INSERT INTO public.who_data VALUES (4572, 0, 40, 0, 0, 20, 76);
INSERT INTO public.who_data VALUES (4573, 0, 654, 0, 1, 20, 30);
INSERT INTO public.who_data VALUES (4574, 0, 55, 0, 2, 20, 128);
INSERT INTO public.who_data VALUES (4575, 367, 45238, 0, 671, 20, 86);
INSERT INTO public.who_data VALUES (4576, 19235, 3145586, 195, 75661, 20, 140);
INSERT INTO public.who_data VALUES (4577, 0, 16083, 0, 76, 20, 44);
INSERT INTO public.who_data VALUES (4578, 0, 18060, 0, 131, 20, 113);
INSERT INTO public.who_data VALUES (4579, 0, 10748, 0, 68, 20, 29);
INSERT INTO public.who_data VALUES (4580, 0, 4090, 0, 128, 20, 125);
INSERT INTO public.who_data VALUES (4581, 240, 258351, 16, 3194, 20, 131);
INSERT INTO public.who_data VALUES (4582, 5608, 2221971, 175, 57120, 20, 46);
INSERT INTO public.who_data VALUES (4583, 1583, 67010, 11, 416, 20, 10);
INSERT INTO public.who_data VALUES (4584, 12, 4108, 2, 75, 20, 205);
INSERT INTO public.who_data VALUES (4585, 484, 156957, 17, 5796, 20, 50);
INSERT INTO public.who_data VALUES (4586, 0, 30, 0, 0, 20, 20);
INSERT INTO public.who_data VALUES (4587, 0, 148, 0, 1, 20, 13);
INSERT INTO public.who_data VALUES (4588, 0, 9156, 0, 157, 20, 148);
INSERT INTO public.who_data VALUES (4589, 1, 7380, 0, 129, 20, 230);
INSERT INTO public.who_data VALUES (4590, 386, 159504, 25, 5643, 20, 190);
INSERT INTO public.who_data VALUES (4591, 44, 493, 0, 13, 20, 188);
INSERT INTO public.who_data VALUES (4592, 57, 14532, 0, 82, 20, 123);
INSERT INTO public.who_data VALUES (4593, 12, 2635, 0, 45, 20, 9);
INSERT INTO public.who_data VALUES (4594, 53, 7581, 1, 176, 20, 102);
INSERT INTO public.who_data VALUES (4595, 0, 11533, 0, 245, 20, 34);
INSERT INTO public.who_data VALUES (4596, 0, 26, 0, 0, 20, 212);
INSERT INTO public.who_data VALUES (4597, 990, 147100, 17, 3592, 20, 122);
INSERT INTO public.who_data VALUES (4598, 1124, 368710, 54, 12578, 20, 38);
INSERT INTO public.who_data VALUES (4599, 7, 6009, 0, 29, 20, 130);
INSERT INTO public.who_data VALUES (4600, 11427, 10757610, 118, 154392, 20, 37);
INSERT INTO public.who_data VALUES (4601, 12001, 1078314, 270, 29998, 20, 231);
INSERT INTO public.who_data VALUES (4602, 6268, 1417999, 70, 57959, 20, 107);
INSERT INTO public.who_data VALUES (4603, 714, 619636, 6, 13047, 20, 101);
INSERT INTO public.who_data VALUES (4604, 1244, 196547, 15, 3307, 20, 132);
INSERT INTO public.who_data VALUES (4605, 0, 434, 0, 25, 20, 176);
INSERT INTO public.who_data VALUES (4606, 2617, 640518, 39, 4768, 20, 200);
INSERT INTO public.who_data VALUES (4607, 11249, 2553032, 237, 88516, 20, 169);
INSERT INTO public.who_data VALUES (4608, 126, 15653, 2, 350, 20, 225);
INSERT INTO public.who_data VALUES (4609, 2776, 389518, 68, 5722, 20, 165);
INSERT INTO public.who_data VALUES (4610, 3, 3146, 0, 66, 20, 233);
INSERT INTO public.who_data VALUES (4611, 1181, 326855, 12, 4316, 20, 215);
INSERT INTO public.who_data VALUES (4612, 1185, 237029, 0, 3126, 20, 177);
INSERT INTO public.who_data VALUES (4613, 98, 100773, 8, 1763, 20, 183);
INSERT INTO public.who_data VALUES (4614, 0, 0, 0, 0, 20, 203);
INSERT INTO public.who_data VALUES (4615, 287, 60178, 6, 1488, 20, 162);
INSERT INTO public.who_data VALUES (4616, 635, 165257, 0, 959, 20, 12);
INSERT INTO public.who_data VALUES (4617, 59, 84588, 0, 1412, 20, 24);
INSERT INTO public.who_data VALUES (4618, 0, 44, 0, 0, 20, 119);
INSERT INTO public.who_data VALUES (4619, 533, 66241, 15, 1195, 20, 39);
INSERT INTO public.who_data VALUES (4620, 2139, 301052, 51, 3082, 20, 26);
INSERT INTO public.who_data VALUES (4621, 0, 8278, 0, 160, 20, 59);
INSERT INTO public.who_data VALUES (4622, 0, 1939, 0, 84, 20, 77);
INSERT INTO public.who_data VALUES (4623, 981, 118631, 35, 1877, 20, 134);
INSERT INTO public.who_data VALUES (4624, 2, 2567, 0, 50, 20, 4);
INSERT INTO public.who_data VALUES (4625, 354, 182893, 22, 2825, 20, 109);
INSERT INTO public.who_data VALUES (4626, 152, 50699, 1, 580, 20, 90);
INSERT INTO public.who_data VALUES (4627, 322, 19065, 2, 281, 20, 61);
INSERT INTO public.who_data VALUES (4628, 466, 23963, 15, 702, 20, 85);
INSERT INTO public.who_data VALUES (4629, 5298, 214959, 14, 760, 20, 49);
INSERT INTO public.who_data VALUES (4630, 105, 15841, 1, 52, 20, 208);
INSERT INTO public.who_data VALUES (4631, 22, 8091, 0, 330, 20, 166);
INSERT INTO public.who_data VALUES (4632, 182, 17903, 2, 267, 20, 64);
INSERT INTO public.who_data VALUES (4633, 0, 4, 0, 0, 20, 199);
INSERT INTO public.who_data VALUES (4634, 0, 6370, 0, 44, 20, 114);
INSERT INTO public.who_data VALUES (4635, 0, 16460, 0, 418, 20, 60);
INSERT INTO public.who_data VALUES (4636, 0, 568, 0, 10, 20, 68);
INSERT INTO public.who_data VALUES (4637, 0, 8231, 0, 61, 20, 158);
INSERT INTO public.who_data VALUES (4638, 15337, 1857230, 1495, 158074, 20, 52);
INSERT INTO public.who_data VALUES (4639, 0, 0, 0, 0, 20, 117);
INSERT INTO public.who_data VALUES (4640, 14, 1489, 1, 13, 20, 126);
INSERT INTO public.who_data VALUES (4641, 37, 1779, 0, 2, 20, 196);
INSERT INTO public.who_data VALUES (4642, 524, 62522, 6, 811, 20, 142);
INSERT INTO public.who_data VALUES (4643, 0, 13, 0, 1, 20, 185);
INSERT INTO public.who_data VALUES (4644, 466, 471157, 16, 8275, 20, 138);
INSERT INTO public.who_data VALUES (4645, 949, 38654, 4, 367, 20, 181);
INSERT INTO public.who_data VALUES (4646, 281, 140145, 6, 3131, 20, 178);
INSERT INTO public.who_data VALUES (4647, 112, 33940, 2, 352, 20, 168);
INSERT INTO public.who_data VALUES (4648, 0, 0, 0, 0, 20, 160);
INSERT INTO public.who_data VALUES (4649, 105, 270959, 2, 2029, 20, 151);
INSERT INTO public.who_data VALUES (4650, 3686, 978069, 40, 13986, 20, 193);
INSERT INTO public.who_data VALUES (4651, 0, 47, 0, 0, 20, 18);
INSERT INTO public.who_data VALUES (4652, 0, 1947, 0, 25, 20, 40);
INSERT INTO public.who_data VALUES (4653, 0, 4992, 0, 169, 20, 218);
INSERT INTO public.who_data VALUES (4654, 1, 4517, 0, 159, 20, 191);
INSERT INTO public.who_data VALUES (4655, 685, 131242, 8, 1586, 20, 156);
INSERT INTO public.who_data VALUES (4656, 0, 0, 0, 0, 20, 135);
INSERT INTO public.who_data VALUES (4657, 0, 132, 0, 2, 20, 88);
INSERT INTO public.who_data VALUES (4658, 175, 92693, 7, 2855, 20, 55);
INSERT INTO public.who_data VALUES (4659, 218, 62793, 0, 563, 20, 108);
INSERT INTO public.who_data VALUES (4660, 403, 178919, 2, 2012, 20, 48);
INSERT INTO public.who_data VALUES (4661, 598, 134326, 2, 1529, 20, 3);
INSERT INTO public.who_data VALUES (4662, 0, 745, 0, 13, 20, 224);
INSERT INTO public.who_data VALUES (4663, 1599, 544813, 34, 11657, 20, 110);
INSERT INTO public.who_data VALUES (4664, 0, 0, 0, 0, 20, 106);
INSERT INTO public.who_data VALUES (4665, 1200, 319453, 23, 5244, 20, 89);
INSERT INTO public.who_data VALUES (4666, 16, 867, 0, 9, 20, 121);
INSERT INTO public.who_data VALUES (4667, 662, 132548, 11, 2704, 20, 163);
INSERT INTO public.who_data VALUES (4668, 7147, 1133022, 171, 40857, 20, 70);
INSERT INTO public.who_data VALUES (4669, 2102, 525618, 80, 10749, 20, 174);
INSERT INTO public.who_data VALUES (4670, 0, 0, 0, 0, 20, 175);
INSERT INTO public.who_data VALUES (4671, 2504, 1515889, 42, 37222, 20, 118);
INSERT INTO public.who_data VALUES (4672, 9498, 720516, 303, 12482, 20, 189);
INSERT INTO public.who_data VALUES (4673, 218, 93624, 6, 1829, 20, 124);
INSERT INTO public.who_data VALUES (4674, 351, 151335, 0, 248, 20, 192);
INSERT INTO public.who_data VALUES (4675, 305, 78507, 5, 1425, 20, 41);
INSERT INTO public.who_data VALUES (4676, 291, 159804, 4, 3438, 20, 95);
INSERT INTO public.who_data VALUES (4677, 0, 9996, 0, 46, 20, 74);
INSERT INTO public.who_data VALUES (4678, 1825, 728743, 71, 18335, 20, 11);
INSERT INTO public.who_data VALUES (4679, 17648, 3868087, 437, 73619, 20, 87);
INSERT INTO public.who_data VALUES (4680, 186, 15304, 3, 196, 20, 214);
INSERT INTO public.who_data VALUES (4681, 0, 6, 0, 0, 20, 116);
INSERT INTO public.who_data VALUES (4682, 0, 379, 0, 0, 20, 157);
INSERT INTO public.who_data VALUES (4683, 0, 0, 0, 0, 20, 182);
INSERT INTO public.who_data VALUES (4684, 0, 37, 0, 0, 20, 186);
INSERT INTO public.who_data VALUES (4685, 0, 1195, 0, 13, 20, 127);
INSERT INTO public.who_data VALUES (4686, 0, 1289, 0, 12, 20, 232);
INSERT INTO public.who_data VALUES (4687, 0, 24, 0, 0, 20, 33);
INSERT INTO public.who_data VALUES (4688, 5, 901, 0, 2, 20, 97);
INSERT INTO public.who_data VALUES (4689, 0, 3, 0, 0, 20, 42);
INSERT INTO public.who_data VALUES (4690, 0, 3025, 0, 67, 20, 198);
INSERT INTO public.who_data VALUES (4691, 0, 1256, 0, 17, 20, 216);
INSERT INTO public.who_data VALUES (4692, 261, 368074, 3, 6375, 20, 164);
INSERT INTO public.who_data VALUES (4693, 310, 26523, 7, 628, 20, 235);
INSERT INTO public.who_data VALUES (4694, 1366, 395263, 20, 4020, 20, 67);
INSERT INTO public.who_data VALUES (4695, 15, 1201, 1, 4, 20, 15);
INSERT INTO public.who_data VALUES (4696, 65, 3593, 0, 79, 20, 180);
INSERT INTO public.who_data VALUES (4697, 29, 59536, 0, 29, 20, 237);
INSERT INTO public.who_data VALUES (4698, 0, 20, 0, 0, 20, 25);
INSERT INTO public.who_data VALUES (4699, 0, 1822, 0, 27, 20, 209);
INSERT INTO public.who_data VALUES (4700, 2914, 249913, 77, 4642, 20, 217);
INSERT INTO public.who_data VALUES (4701, 588, 166540, 17, 3829, 20, 79);
INSERT INTO public.who_data VALUES (4702, 0, 17, 0, 0, 20, 143);
INSERT INTO public.who_data VALUES (4703, 0, 4784, 0, 130, 20, 229);
INSERT INTO public.who_data VALUES (4704, 4525, 1453761, 213, 44164, 20, 141);
INSERT INTO public.who_data VALUES (4705, 0, 3961, 0, 64, 20, 197);
INSERT INTO public.who_data VALUES (4706, 18014, 2888035, 434, 61579, 20, 221);
INSERT INTO public.who_data VALUES (4707, 864, 64157, 3, 316, 20, 150);
INSERT INTO public.who_data VALUES (4708, 39, 29488, 5, 1812, 20, 56);
INSERT INTO public.who_data VALUES (4709, 39, 8403, 0, 154, 20, 167);
INSERT INTO public.who_data VALUES (4710, 2695, 573844, 56, 12213, 20, 23);
INSERT INTO public.who_data VALUES (4711, 739, 522934, 27, 8850, 20, 222);
INSERT INTO public.who_data VALUES (4712, 50, 14048, 5, 921, 20, 219);
INSERT INTO public.who_data VALUES (4713, 0, 13714, 0, 91, 20, 7);
INSERT INTO public.who_data VALUES (4714, 836, 19618, 0, 77, 20, 161);
INSERT INTO public.who_data VALUES (4715, 21088, 3817180, 587, 106158, 20, 149);
INSERT INTO public.who_data VALUES (4716, 0, 70, 0, 0, 20, 6);
INSERT INTO public.who_data VALUES (4717, 33, 5074, 0, 77, 20, 139);
INSERT INTO public.who_data VALUES (4718, 0, 0, 0, 0, 20, 211);
INSERT INTO public.who_data VALUES (4719, 0, 0, 0, 0, 20, 14);
INSERT INTO public.who_data VALUES (4720, 9, 7542, 0, 134, 20, 111);
INSERT INTO public.who_data VALUES (4721, 1417, 208885, 74, 6754, 20, 207);
INSERT INTO public.who_data VALUES (4722, 6562, 2477463, 128, 25993, 20, 66);
INSERT INTO public.who_data VALUES (4723, 0, 0, 0, 0, 20, 173);
INSERT INTO public.who_data VALUES (4724, 44, 1503, 1, 9, 20, 145);
INSERT INTO public.who_data VALUES (4725, 0, 0, 0, 0, 20, 65);
INSERT INTO public.who_data VALUES (4726, 46, 39579, 0, 324, 20, 184);
INSERT INTO public.who_data VALUES (4727, 2030, 1221485, 61, 22768, 20, 98);
INSERT INTO public.who_data VALUES (4728, 2948, 303609, 12, 850, 20, 104);
INSERT INTO public.who_data VALUES (4729, 0, 509, 0, 21, 20, 73);
INSERT INTO public.who_data VALUES (4730, 141327, 25817939, 2878, 436051, 20, 8);
INSERT INTO public.who_data VALUES (4731, 23, 2421, 0, 24, 20, 227);
INSERT INTO public.who_data VALUES (4732, 652, 41181, 6, 431, 20, 75);
INSERT INTO public.who_data VALUES (4733, 44, 78755, 0, 621, 20, 45);
INSERT INTO public.who_data VALUES (4734, 0, 1, 0, 0, 20, 133);
INSERT INTO public.who_data VALUES (4735, 547, 126323, 6, 1183, 20, 202);
INSERT INTO public.who_data VALUES (4736, 38, 1819, 0, 35, 20, 129);
INSERT INTO public.who_data VALUES (4737, 0, 5, 0, 0, 20, 36);
INSERT INTO public.who_data VALUES (4738, 1, 2125, 0, 616, 20, 51);
INSERT INTO public.who_data VALUES (4739, 865, 54217, 18, 763, 20, 206);
INSERT INTO public.who_data VALUES (4740, 117, 33388, 24, 1217, 20, 5);
INSERT INTO public.who_data VALUES (4741, 15, 55023, 0, 2400, 21, 103);
INSERT INTO public.who_data VALUES (4742, 901, 77251, 11, 1369, 21, 58);
INSERT INTO public.who_data VALUES (4743, 235, 107122, 4, 2888, 21, 195);
INSERT INTO public.who_data VALUES (4744, 0, 0, 0, 0, 21, 115);
INSERT INTO public.who_data VALUES (4745, 48, 9885, 1, 101, 21, 99);
INSERT INTO public.who_data VALUES (4746, 59, 19782, 0, 464, 21, 153);
INSERT INTO public.who_data VALUES (4747, 1, 17, 0, 0, 21, 93);
INSERT INTO public.who_data VALUES (4748, 0, 218, 1, 7, 21, 84);
INSERT INTO public.who_data VALUES (4749, 9838, 1915362, 174, 47775, 21, 78);
INSERT INTO public.who_data VALUES (4750, 125, 167026, 9, 3080, 21, 170);
INSERT INTO public.who_data VALUES (4751, 0, 6858, 0, 58, 21, 32);
INSERT INTO public.who_data VALUES (4752, 6, 28806, 0, 909, 21, 155);
INSERT INTO public.who_data VALUES (4753, 1519, 409892, 31, 7636, 21, 82);
INSERT INTO public.who_data VALUES (4754, 131, 230066, 7, 3126, 21, 16);
INSERT INTO public.who_data VALUES (4755, 7, 8174, 1, 176, 21, 72);
INSERT INTO public.who_data VALUES (4756, 655, 102626, 0, 372, 21, 43);
INSERT INTO public.who_data VALUES (4757, 363, 534770, 17, 8111, 21, 120);
INSERT INTO public.who_data VALUES (4758, 51, 1498, 1, 12, 21, 213);
INSERT INTO public.who_data VALUES (4759, 1852, 246570, 10, 1708, 21, 31);
INSERT INTO public.who_data VALUES (4760, 1573, 711905, 29, 21110, 21, 204);
INSERT INTO public.who_data VALUES (4761, 32, 11877, 3, 301, 21, 152);
INSERT INTO public.who_data VALUES (4762, 0, 3786, 0, 48, 21, 144);
INSERT INTO public.who_data VALUES (4763, 1, 691, 0, 12, 21, 96);
INSERT INTO public.who_data VALUES (4764, 0, 858, 0, 1, 21, 47);
INSERT INTO public.who_data VALUES (4765, 2666, 213392, 0, 10226, 21, 80);
INSERT INTO public.who_data VALUES (4766, 0, 362, 0, 3, 21, 159);
INSERT INTO public.who_data VALUES (4767, 394, 121891, 17, 4696, 21, 27);
INSERT INTO public.who_data VALUES (4768, 0, 21293, 0, 134, 21, 146);
INSERT INTO public.who_data VALUES (4769, 59826, 9118513, 1119, 222666, 21, 71);
INSERT INTO public.who_data VALUES (4770, 0, 141, 0, 1, 21, 210);
INSERT INTO public.who_data VALUES (4771, 0, 180, 0, 3, 21, 54);
INSERT INTO public.who_data VALUES (4772, 349, 218618, 20, 9028, 21, 147);
INSERT INTO public.who_data VALUES (4773, 157, 10580, 0, 120, 21, 2);
INSERT INTO public.who_data VALUES (4774, 19, 1632, 0, 2, 21, 105);
INSERT INTO public.who_data VALUES (4775, 84, 13981, 2, 133, 21, 53);
INSERT INTO public.who_data VALUES (4776, 1, 465, 0, 0, 21, 81);
INSERT INTO public.who_data VALUES (4777, 0, 29617, 0, 462, 21, 223);
INSERT INTO public.who_data VALUES (4778, 4690, 770793, 137, 19801, 21, 94);
INSERT INTO public.who_data VALUES (4779, 3, 390, 0, 2, 21, 154);
INSERT INTO public.who_data VALUES (4780, 0, 4981, 0, 63, 21, 83);
INSERT INTO public.who_data VALUES (4781, 26, 3347, 0, 118, 21, 194);
INSERT INTO public.who_data VALUES (4782, 4151, 722900, 82, 18339, 21, 136);
INSERT INTO public.who_data VALUES (4783, 130, 100877, 2, 4823, 21, 179);
INSERT INTO public.who_data VALUES (4784, 10058, 2077633, 371, 53284, 21, 57);
INSERT INTO public.who_data VALUES (4785, 72, 2718, 1, 90, 21, 35);
INSERT INTO public.who_data VALUES (4786, 0, 7887, 0, 117, 21, 228);
INSERT INTO public.who_data VALUES (4787, 0, 0, 0, 0, 21, 19);
INSERT INTO public.who_data VALUES (4788, 639, 193276, 5, 2604, 21, 22);
INSERT INTO public.who_data VALUES (4789, 243, 28178, 0, 152, 21, 1);
INSERT INTO public.who_data VALUES (4790, 336, 232426, 29, 5027, 21, 21);
INSERT INTO public.who_data VALUES (4791, 910, 25674, 3, 213, 21, 234);
INSERT INTO public.who_data VALUES (4792, 0, 4574, 0, 20, 21, 91);
INSERT INTO public.who_data VALUES (4793, 113, 30770, 0, 197, 21, 137);
INSERT INTO public.who_data VALUES (4794, 4060, 984774, 97, 16308, 21, 201);
INSERT INTO public.who_data VALUES (4795, 0, 0, 0, 0, 21, 171);
INSERT INTO public.who_data VALUES (4796, 149, 22603, 6, 671, 21, 92);
INSERT INTO public.who_data VALUES (4797, 431, 198095, 22, 2106, 21, 112);
INSERT INTO public.who_data VALUES (4798, 1, 5931, 0, 62, 21, 62);
INSERT INTO public.who_data VALUES (4799, 0, 117, 0, 0, 21, 69);
INSERT INTO public.who_data VALUES (4800, 2141, 212553, 20, 2646, 21, 220);
INSERT INTO public.who_data VALUES (4801, 3779, 249779, 85, 14851, 21, 100);
INSERT INTO public.who_data VALUES (4802, 547, 165418, 46, 9263, 21, 187);
INSERT INTO public.who_data VALUES (4803, 0, 53989, 10, 1614, 21, 63);
INSERT INTO public.who_data VALUES (4804, 0, 5516, 0, 86, 21, 28);
INSERT INTO public.who_data VALUES (4805, 0, 2135, 0, 7, 21, 172);
INSERT INTO public.who_data VALUES (4806, 461, 44208, 8, 419, 21, 17);
INSERT INTO public.who_data VALUES (4807, 195, 15666, 11, 562, 21, 226);
INSERT INTO public.who_data VALUES (4808, 656, 137021, 4, 2091, 21, 236);
INSERT INTO public.who_data VALUES (4809, 2, 40, 0, 0, 21, 76);
INSERT INTO public.who_data VALUES (4810, 0, 654, 0, 1, 21, 30);
INSERT INTO public.who_data VALUES (4811, 0, 55, 0, 2, 21, 128);
INSERT INTO public.who_data VALUES (4812, 469, 44871, 0, 671, 21, 86);
INSERT INTO public.who_data VALUES (4813, 24136, 3126351, 242, 75466, 21, 140);
INSERT INTO public.who_data VALUES (4814, 55, 16083, 0, 76, 21, 44);
INSERT INTO public.who_data VALUES (4815, 0, 18060, 0, 131, 21, 113);
INSERT INTO public.who_data VALUES (4816, 0, 10748, 0, 68, 21, 29);
INSERT INTO public.who_data VALUES (4817, 0, 4090, 0, 128, 21, 125);
INSERT INTO public.who_data VALUES (4818, 479, 258111, 19, 3178, 21, 131);
INSERT INTO public.who_data VALUES (4819, 11192, 2216363, 399, 56945, 21, 46);
INSERT INTO public.who_data VALUES (4820, 1544, 65427, 15, 405, 21, 10);
INSERT INTO public.who_data VALUES (4821, 14, 4096, 3, 73, 21, 205);
INSERT INTO public.who_data VALUES (4822, 795, 156473, 15, 5779, 21, 50);
INSERT INTO public.who_data VALUES (4823, 0, 30, 0, 0, 21, 20);
INSERT INTO public.who_data VALUES (4824, 0, 148, 0, 1, 21, 13);
INSERT INTO public.who_data VALUES (4825, 100, 9156, 0, 157, 21, 148);
INSERT INTO public.who_data VALUES (4826, 7, 7379, 0, 129, 21, 230);
INSERT INTO public.who_data VALUES (4827, 782, 159118, 36, 5618, 21, 190);
INSERT INTO public.who_data VALUES (4828, 35, 449, 0, 13, 21, 188);
INSERT INTO public.who_data VALUES (4829, 24, 14475, 0, 82, 21, 123);
INSERT INTO public.who_data VALUES (4830, 9, 2623, 0, 45, 21, 9);
INSERT INTO public.who_data VALUES (4831, 58, 7528, 0, 175, 21, 102);
INSERT INTO public.who_data VALUES (4832, 73, 11533, 0, 245, 21, 34);
INSERT INTO public.who_data VALUES (4833, 0, 26, 0, 0, 21, 212);
INSERT INTO public.who_data VALUES (4834, 1118, 146110, 26, 3575, 21, 122);
INSERT INTO public.who_data VALUES (4835, 1307, 367586, 61, 12524, 21, 38);
INSERT INTO public.who_data VALUES (4836, 0, 6002, 0, 29, 21, 130);
INSERT INTO public.who_data VALUES (4837, 13052, 10746183, 127, 154274, 21, 37);
INSERT INTO public.who_data VALUES (4838, 14518, 1066313, 210, 29728, 21, 231);
INSERT INTO public.who_data VALUES (4839, 6317, 1411731, 82, 57889, 21, 107);
INSERT INTO public.who_data VALUES (4840, 775, 618922, 5, 13041, 21, 101);
INSERT INTO public.who_data VALUES (4841, 1411, 195303, 78, 3292, 21, 132);
INSERT INTO public.who_data VALUES (4842, 2, 434, 0, 25, 21, 176);
INSERT INTO public.who_data VALUES (4843, 6750, 637901, 42, 4729, 21, 200);
INSERT INTO public.who_data VALUES (4844, 12713, 2541783, 421, 88279, 21, 169);
INSERT INTO public.who_data VALUES (4845, 65, 15527, 3, 348, 21, 225);
INSERT INTO public.who_data VALUES (4846, 3659, 386742, 108, 5654, 21, 165);
INSERT INTO public.who_data VALUES (4847, 3, 3143, 1, 66, 21, 233);
INSERT INTO public.who_data VALUES (4848, 641, 325674, 23, 4304, 21, 215);
INSERT INTO public.who_data VALUES (4849, 1275, 235844, 91, 3126, 21, 177);
INSERT INTO public.who_data VALUES (4850, 112, 100675, 2, 1755, 21, 183);
INSERT INTO public.who_data VALUES (4851, 0, 0, 0, 0, 21, 203);
INSERT INTO public.who_data VALUES (4852, 285, 59891, 5, 1482, 21, 162);
INSERT INTO public.who_data VALUES (4853, 514, 164622, 1, 959, 21, 12);
INSERT INTO public.who_data VALUES (4854, 76, 84529, 1, 1412, 21, 24);
INSERT INTO public.who_data VALUES (4855, 0, 44, 0, 0, 21, 119);
INSERT INTO public.who_data VALUES (4856, 785, 65708, 14, 1180, 21, 39);
INSERT INTO public.who_data VALUES (4857, 2631, 298913, 351, 3031, 21, 26);
INSERT INTO public.who_data VALUES (4858, 0, 8278, 0, 160, 21, 59);
INSERT INTO public.who_data VALUES (4859, 0, 1939, 0, 84, 21, 77);
INSERT INTO public.who_data VALUES (4860, 0, 117650, 0, 1842, 21, 134);
INSERT INTO public.who_data VALUES (4861, 2, 2565, 0, 50, 21, 4);
INSERT INTO public.who_data VALUES (4862, 805, 182539, 16, 2803, 21, 109);
INSERT INTO public.who_data VALUES (4863, 159, 50547, 2, 579, 21, 90);
INSERT INTO public.who_data VALUES (4864, 0, 18743, 0, 279, 21, 61);
INSERT INTO public.who_data VALUES (4865, 477, 23497, 44, 687, 21, 85);
INSERT INTO public.who_data VALUES (4866, 5728, 209661, 13, 746, 21, 49);
INSERT INTO public.who_data VALUES (4867, 122, 15736, 0, 51, 21, 208);
INSERT INTO public.who_data VALUES (4868, 6, 8069, 1, 330, 21, 166);
INSERT INTO public.who_data VALUES (4869, 136, 17721, 1, 265, 21, 64);
INSERT INTO public.who_data VALUES (4870, 0, 4, 0, 0, 21, 199);
INSERT INTO public.who_data VALUES (4871, 0, 6370, 0, 44, 21, 114);
INSERT INTO public.who_data VALUES (4872, 0, 16460, 0, 418, 21, 60);
INSERT INTO public.who_data VALUES (4873, 0, 568, 0, 10, 21, 68);
INSERT INTO public.who_data VALUES (4874, 0, 8231, 0, 61, 21, 158);
INSERT INTO public.who_data VALUES (4875, 16374, 1841893, 1434, 156579, 21, 52);
INSERT INTO public.who_data VALUES (4876, 0, 0, 0, 0, 21, 117);
INSERT INTO public.who_data VALUES (4877, 18, 1475, 0, 12, 21, 126);
INSERT INTO public.who_data VALUES (4878, 32, 1742, 0, 2, 21, 196);
INSERT INTO public.who_data VALUES (4879, 365, 61998, 3, 805, 21, 142);
INSERT INTO public.who_data VALUES (4880, 0, 13, 0, 1, 21, 185);
INSERT INTO public.who_data VALUES (4881, 701, 470691, 13, 8259, 21, 138);
INSERT INTO public.who_data VALUES (4882, 597, 37705, 7, 363, 21, 181);
INSERT INTO public.who_data VALUES (4883, 349, 139864, 10, 3125, 21, 178);
INSERT INTO public.who_data VALUES (4884, 136, 33828, 8, 350, 21, 168);
INSERT INTO public.who_data VALUES (4885, 0, 0, 0, 0, 21, 160);
INSERT INTO public.who_data VALUES (4886, 109, 270854, 2, 2027, 21, 151);
INSERT INTO public.who_data VALUES (4887, 4179, 974383, 88, 13946, 21, 193);
INSERT INTO public.who_data VALUES (4888, 0, 47, 0, 0, 21, 18);
INSERT INTO public.who_data VALUES (4889, 0, 1947, 0, 25, 21, 40);
INSERT INTO public.who_data VALUES (4890, 0, 4992, 0, 169, 21, 218);
INSERT INTO public.who_data VALUES (4891, 27, 4516, 0, 159, 21, 191);
INSERT INTO public.who_data VALUES (4892, 1883, 130557, 1, 1578, 21, 156);
INSERT INTO public.who_data VALUES (4893, 0, 0, 0, 0, 21, 135);
INSERT INTO public.who_data VALUES (4894, 0, 132, 0, 2, 21, 88);
INSERT INTO public.who_data VALUES (4895, 325, 92518, 7, 2848, 21, 55);
INSERT INTO public.who_data VALUES (4896, 299, 62575, 0, 563, 21, 108);
INSERT INTO public.who_data VALUES (4897, 515, 178516, 9, 2010, 21, 48);
INSERT INTO public.who_data VALUES (4898, 0, 133728, 0, 1527, 21, 3);
INSERT INTO public.who_data VALUES (4899, 0, 745, 0, 13, 21, 224);
INSERT INTO public.who_data VALUES (4900, 2183, 543214, 63, 11623, 21, 110);
INSERT INTO public.who_data VALUES (4901, 0, 0, 0, 0, 21, 106);
INSERT INTO public.who_data VALUES (4902, 1445, 318253, 25, 5221, 21, 89);
INSERT INTO public.who_data VALUES (4903, 0, 851, 0, 9, 21, 121);
INSERT INTO public.who_data VALUES (4904, 969, 131886, 12, 2693, 21, 163);
INSERT INTO public.who_data VALUES (4905, 6190, 1125875, 202, 40686, 21, 70);
INSERT INTO public.who_data VALUES (4906, 2103, 523516, 69, 10669, 21, 174);
INSERT INTO public.who_data VALUES (4907, 0, 0, 0, 0, 21, 175);
INSERT INTO public.who_data VALUES (4908, 4711, 1513385, 98, 37180, 21, 118);
INSERT INTO public.who_data VALUES (4909, 12435, 711018, 293, 12179, 21, 189);
INSERT INTO public.who_data VALUES (4910, 438, 93406, 11, 1823, 21, 124);
INSERT INTO public.who_data VALUES (4911, 363, 150984, 0, 248, 21, 192);
INSERT INTO public.who_data VALUES (4912, 354, 78202, 6, 1420, 21, 41);
INSERT INTO public.who_data VALUES (4913, 653, 159513, 10, 3434, 21, 95);
INSERT INTO public.who_data VALUES (4914, 0, 9996, 0, 46, 21, 74);
INSERT INTO public.who_data VALUES (4915, 2668, 726918, 68, 18264, 21, 11);
INSERT INTO public.who_data VALUES (4916, 18359, 3850439, 485, 73182, 21, 87);
INSERT INTO public.who_data VALUES (4917, 334, 15118, 5, 193, 21, 214);
INSERT INTO public.who_data VALUES (4918, 0, 6, 0, 0, 21, 116);
INSERT INTO public.who_data VALUES (4919, 3, 379, 0, 0, 21, 157);
INSERT INTO public.who_data VALUES (4920, 0, 0, 0, 0, 21, 182);
INSERT INTO public.who_data VALUES (4921, 0, 37, 0, 0, 21, 186);
INSERT INTO public.who_data VALUES (4922, 89, 1195, 0, 13, 21, 127);
INSERT INTO public.who_data VALUES (4923, 98, 1289, 0, 12, 21, 232);
INSERT INTO public.who_data VALUES (4924, 0, 24, 0, 0, 21, 33);
INSERT INTO public.who_data VALUES (4925, 31, 896, 0, 2, 21, 97);
INSERT INTO public.who_data VALUES (4926, 0, 3, 0, 0, 21, 42);
INSERT INTO public.who_data VALUES (4927, 29, 3025, 2, 67, 21, 198);
INSERT INTO public.who_data VALUES (4928, 11, 1256, 0, 17, 21, 216);
INSERT INTO public.who_data VALUES (4929, 270, 367813, 4, 6372, 21, 164);
INSERT INTO public.who_data VALUES (4930, 318, 26213, 4, 621, 21, 235);
INSERT INTO public.who_data VALUES (4931, 1543, 393897, 17, 4000, 21, 67);
INSERT INTO public.who_data VALUES (4932, 29, 1186, 0, 3, 21, 15);
INSERT INTO public.who_data VALUES (4933, 146, 3528, 0, 79, 21, 180);
INSERT INTO public.who_data VALUES (4934, 58, 59507, 0, 29, 21, 237);
INSERT INTO public.who_data VALUES (4935, 0, 20, 0, 0, 21, 25);
INSERT INTO public.who_data VALUES (4936, 0, 1822, 0, 27, 21, 209);
INSERT INTO public.who_data VALUES (4937, 991, 246999, 70, 4565, 21, 217);
INSERT INTO public.who_data VALUES (4938, 1303, 165952, 22, 3812, 21, 79);
INSERT INTO public.who_data VALUES (4939, 0, 17, 0, 0, 21, 143);
INSERT INTO public.who_data VALUES (4940, 0, 4784, 0, 130, 21, 229);
INSERT INTO public.who_data VALUES (4941, 5297, 1449236, 318, 43951, 21, 141);
INSERT INTO public.who_data VALUES (4942, 0, 3961, 0, 64, 21, 197);
INSERT INTO public.who_data VALUES (4943, 31762, 2870021, 435, 61145, 21, 221);
INSERT INTO public.who_data VALUES (4944, 848, 63293, 8, 313, 21, 150);
INSERT INTO public.who_data VALUES (4945, 69, 29449, 3, 1807, 21, 56);
INSERT INTO public.who_data VALUES (4946, 71, 8364, 0, 154, 21, 167);
INSERT INTO public.who_data VALUES (4947, 4255, 571149, 58, 12157, 21, 23);
INSERT INTO public.who_data VALUES (4948, 1019, 522195, 27, 8823, 21, 222);
INSERT INTO public.who_data VALUES (4949, 54, 13998, 5, 916, 21, 219);
INSERT INTO public.who_data VALUES (4950, 0, 13714, 0, 91, 21, 7);
INSERT INTO public.who_data VALUES (4951, 829, 18782, 0, 77, 21, 161);
INSERT INTO public.who_data VALUES (4952, 23275, 3796092, 1222, 105571, 21, 149);
INSERT INTO public.who_data VALUES (4953, 0, 70, 0, 0, 21, 6);
INSERT INTO public.who_data VALUES (4954, 119, 5041, 1, 77, 21, 139);
INSERT INTO public.who_data VALUES (4955, 0, 0, 0, 0, 21, 211);
INSERT INTO public.who_data VALUES (4956, 0, 0, 0, 0, 21, 14);
INSERT INTO public.who_data VALUES (4957, 13, 7533, 0, 134, 21, 111);
INSERT INTO public.who_data VALUES (4958, 1438, 207468, 81, 6680, 21, 207);
INSERT INTO public.who_data VALUES (4959, 6871, 2470901, 129, 25865, 21, 66);
INSERT INTO public.who_data VALUES (4960, 0, 0, 0, 0, 21, 173);
INSERT INTO public.who_data VALUES (4961, 24, 1459, 0, 8, 21, 145);
INSERT INTO public.who_data VALUES (4962, 0, 0, 0, 0, 21, 65);
INSERT INTO public.who_data VALUES (4963, 43, 39533, 0, 324, 21, 184);
INSERT INTO public.who_data VALUES (4964, 3177, 1219455, 79, 22707, 21, 98);
INSERT INTO public.who_data VALUES (4965, 3647, 300661, 12, 838, 21, 104);
INSERT INTO public.who_data VALUES (4966, 0, 509, 0, 21, 21, 73);
INSERT INTO public.who_data VALUES (4967, 164415, 25676612, 3521, 433173, 21, 8);
INSERT INTO public.who_data VALUES (4968, 0, 2398, 0, 24, 21, 227);
INSERT INTO public.who_data VALUES (4969, 642, 40529, 10, 425, 21, 75);
INSERT INTO public.who_data VALUES (4970, 39, 78711, 0, 621, 21, 45);
INSERT INTO public.who_data VALUES (4971, 0, 1, 0, 0, 21, 133);
INSERT INTO public.who_data VALUES (4972, 412, 125776, 6, 1177, 21, 202);
INSERT INTO public.who_data VALUES (4973, 42, 1781, 0, 35, 21, 129);
INSERT INTO public.who_data VALUES (4974, 0, 5, 0, 0, 21, 36);
INSERT INTO public.who_data VALUES (4975, 0, 2124, 0, 616, 21, 51);
INSERT INTO public.who_data VALUES (4976, 1728, 53352, 17, 745, 21, 206);
INSERT INTO public.who_data VALUES (4977, 319, 33271, 15, 1193, 21, 5);
INSERT INTO public.who_data VALUES (4978, 69, 55008, 1, 2400, 22, 103);
INSERT INTO public.who_data VALUES (4979, 896, 76350, 8, 1358, 22, 58);
INSERT INTO public.who_data VALUES (4980, 277, 106887, 3, 2884, 22, 195);
INSERT INTO public.who_data VALUES (4981, 0, 0, 0, 0, 22, 115);
INSERT INTO public.who_data VALUES (4982, 58, 9837, 0, 100, 22, 99);
INSERT INTO public.who_data VALUES (4983, 51, 19723, 0, 464, 22, 153);
INSERT INTO public.who_data VALUES (4984, 0, 16, 0, 0, 22, 93);
INSERT INTO public.who_data VALUES (4985, 3, 218, 0, 6, 22, 84);
INSERT INTO public.who_data VALUES (4986, 9471, 1905524, 166, 47601, 22, 78);
INSERT INTO public.who_data VALUES (4987, 173, 166901, 2, 3071, 22, 170);
INSERT INTO public.who_data VALUES (4988, 49, 6858, 0, 58, 22, 32);
INSERT INTO public.who_data VALUES (4989, 6, 28800, 0, 909, 22, 155);
INSERT INTO public.who_data VALUES (4990, 1606, 408373, 47, 7605, 22, 82);
INSERT INTO public.who_data VALUES (4991, 142, 229935, 6, 3119, 22, 16);
INSERT INTO public.who_data VALUES (4992, 0, 8167, 0, 175, 22, 72);
INSERT INTO public.who_data VALUES (4993, 468, 101971, 0, 372, 22, 43);
INSERT INTO public.who_data VALUES (4994, 454, 534407, 7, 8094, 22, 120);
INSERT INTO public.who_data VALUES (4995, 4, 1447, 0, 11, 22, 213);
INSERT INTO public.who_data VALUES (4996, 1867, 244718, 10, 1698, 22, 31);
INSERT INTO public.who_data VALUES (4997, 3034, 710332, 44, 21081, 22, 204);
INSERT INTO public.who_data VALUES (4998, 29, 11845, 4, 298, 22, 152);
INSERT INTO public.who_data VALUES (4999, 0, 3786, 0, 48, 22, 144);
INSERT INTO public.who_data VALUES (5000, 1, 690, 0, 12, 22, 96);
INSERT INTO public.who_data VALUES (5001, 1, 858, 0, 1, 22, 47);
INSERT INTO public.who_data VALUES (5002, 2652, 210726, 59, 10226, 22, 80);
INSERT INTO public.who_data VALUES (5003, 0, 362, 0, 3, 22, 159);
INSERT INTO public.who_data VALUES (5004, 303, 121497, 20, 4679, 22, 27);
INSERT INTO public.who_data VALUES (5005, 635, 21293, 10, 134, 22, 146);
INSERT INTO public.who_data VALUES (5006, 61811, 9058687, 1386, 221547, 22, 71);
INSERT INTO public.who_data VALUES (5007, 4, 141, 0, 1, 22, 210);
INSERT INTO public.who_data VALUES (5008, 0, 180, 0, 3, 22, 54);
INSERT INTO public.who_data VALUES (5009, 695, 218269, 35, 9008, 22, 147);
INSERT INTO public.who_data VALUES (5010, 46, 10423, 0, 120, 22, 2);
INSERT INTO public.who_data VALUES (5011, 9, 1613, 0, 2, 22, 105);
INSERT INTO public.who_data VALUES (5012, 113, 13897, 0, 131, 22, 53);
INSERT INTO public.who_data VALUES (5013, 1, 464, 0, 0, 22, 81);
INSERT INTO public.who_data VALUES (5014, 0, 29617, 0, 462, 22, 223);
INSERT INTO public.who_data VALUES (5015, 4877, 766103, 131, 19664, 22, 94);
INSERT INTO public.who_data VALUES (5016, 2, 387, 0, 2, 22, 154);
INSERT INTO public.who_data VALUES (5017, 0, 4981, 0, 63, 22, 83);
INSERT INTO public.who_data VALUES (5018, 25, 3321, 0, 118, 22, 194);
INSERT INTO public.who_data VALUES (5019, 4606, 718749, 83, 18257, 22, 136);
INSERT INTO public.who_data VALUES (5020, 106, 100747, 1, 4821, 22, 179);
INSERT INTO public.who_data VALUES (5021, 12270, 2067575, 390, 52913, 22, 57);
INSERT INTO public.who_data VALUES (5022, 48, 2646, 4, 89, 22, 35);
INSERT INTO public.who_data VALUES (5023, 0, 7887, 0, 117, 22, 228);
INSERT INTO public.who_data VALUES (5024, 0, 0, 0, 0, 22, 19);
INSERT INTO public.who_data VALUES (5025, 571, 192637, 15, 2599, 22, 22);
INSERT INTO public.who_data VALUES (5026, 240, 27935, 1, 152, 22, 1);
INSERT INTO public.who_data VALUES (5027, 551, 232090, 26, 4998, 22, 21);
INSERT INTO public.who_data VALUES (5028, 659, 24764, 2, 210, 22, 234);
INSERT INTO public.who_data VALUES (5029, 7, 4574, 0, 20, 22, 91);
INSERT INTO public.who_data VALUES (5030, 119, 30657, 0, 197, 22, 137);
INSERT INTO public.who_data VALUES (5031, 8072, 980714, 139, 16211, 22, 201);
INSERT INTO public.who_data VALUES (5032, 0, 0, 0, 0, 22, 171);
INSERT INTO public.who_data VALUES (5033, 133, 22454, 0, 665, 22, 92);
INSERT INTO public.who_data VALUES (5034, 456, 197664, 13, 2084, 22, 112);
INSERT INTO public.who_data VALUES (5035, 1, 5930, 0, 62, 22, 62);
INSERT INTO public.who_data VALUES (5036, 0, 117, 0, 0, 22, 69);
INSERT INTO public.who_data VALUES (5037, 1802, 210412, 23, 2626, 22, 220);
INSERT INTO public.who_data VALUES (5038, 0, 246000, 0, 14766, 22, 100);
INSERT INTO public.who_data VALUES (5039, 589, 164871, 48, 9217, 22, 187);
INSERT INTO public.who_data VALUES (5040, 0, 53989, 5, 1604, 22, 63);
INSERT INTO public.who_data VALUES (5041, 24, 5516, 0, 86, 22, 28);
INSERT INTO public.who_data VALUES (5042, 50, 2135, 0, 7, 22, 172);
INSERT INTO public.who_data VALUES (5043, 404, 43747, 2, 411, 22, 17);
INSERT INTO public.who_data VALUES (5044, 188, 15471, 13, 551, 22, 226);
INSERT INTO public.who_data VALUES (5045, 771, 136365, 2, 2087, 22, 236);
INSERT INTO public.who_data VALUES (5046, 0, 38, 0, 0, 22, 76);
INSERT INTO public.who_data VALUES (5047, 0, 654, 0, 1, 22, 30);
INSERT INTO public.who_data VALUES (5048, 0, 55, 0, 2, 22, 128);
INSERT INTO public.who_data VALUES (5049, 363, 44402, 7, 671, 22, 86);
INSERT INTO public.who_data VALUES (5050, 22670, 3102215, 819, 75224, 22, 140);
INSERT INTO public.who_data VALUES (5051, 96, 16028, 0, 76, 22, 44);
INSERT INTO public.who_data VALUES (5052, 27, 18060, 0, 131, 22, 113);
INSERT INTO public.who_data VALUES (5053, 212, 10748, 0, 68, 22, 29);
INSERT INTO public.who_data VALUES (5054, 71, 4090, 0, 128, 22, 125);
INSERT INTO public.who_data VALUES (5055, 676, 257632, 11, 3159, 22, 131);
INSERT INTO public.who_data VALUES (5056, 12321, 2205171, 794, 56546, 22, 46);
INSERT INTO public.who_data VALUES (5057, 0, 63883, 0, 390, 22, 10);
INSERT INTO public.who_data VALUES (5058, 25, 4082, 0, 70, 22, 205);
INSERT INTO public.who_data VALUES (5059, 882, 155678, 22, 5764, 22, 50);
INSERT INTO public.who_data VALUES (5060, 0, 30, 0, 0, 22, 20);
INSERT INTO public.who_data VALUES (5061, 0, 148, 0, 1, 22, 13);
INSERT INTO public.who_data VALUES (5062, 0, 9056, 0, 157, 22, 148);
INSERT INTO public.who_data VALUES (5063, 7, 7372, 0, 129, 22, 230);
INSERT INTO public.who_data VALUES (5064, 741, 158336, 39, 5582, 22, 190);
INSERT INTO public.who_data VALUES (5065, 23, 414, 0, 13, 22, 188);
INSERT INTO public.who_data VALUES (5066, 16, 14451, 0, 82, 22, 123);
INSERT INTO public.who_data VALUES (5067, 9, 2614, 0, 45, 22, 9);
INSERT INTO public.who_data VALUES (5068, 90, 7470, 1, 175, 22, 102);
INSERT INTO public.who_data VALUES (5069, 58, 11460, 1, 245, 22, 34);
INSERT INTO public.who_data VALUES (5070, 0, 26, 0, 0, 22, 212);
INSERT INTO public.who_data VALUES (5071, 985, 144992, 37, 3549, 22, 122);
INSERT INTO public.who_data VALUES (5072, 1370, 366279, 89, 12463, 22, 38);
INSERT INTO public.who_data VALUES (5073, 1, 6002, 0, 29, 22, 130);
INSERT INTO public.who_data VALUES (5074, 13083, 10733131, 137, 154147, 22, 37);
INSERT INTO public.who_data VALUES (5075, 13802, 1051795, 187, 29518, 22, 231);
INSERT INTO public.who_data VALUES (5076, 6573, 1405414, 71, 57807, 22, 107);
INSERT INTO public.who_data VALUES (5077, 945, 618147, 12, 13036, 22, 101);
INSERT INTO public.who_data VALUES (5078, 247, 193892, 47, 3214, 22, 132);
INSERT INTO public.who_data VALUES (5079, 0, 432, 0, 25, 22, 176);
INSERT INTO public.who_data VALUES (5080, 7183, 631151, 47, 4687, 22, 200);
INSERT INTO public.who_data VALUES (5081, 13563, 2529070, 477, 87858, 22, 169);
INSERT INTO public.who_data VALUES (5082, 27, 15462, 1, 345, 22, 225);
INSERT INTO public.who_data VALUES (5083, 3567, 383083, 94, 5546, 22, 165);
INSERT INTO public.who_data VALUES (5084, 6, 3140, 1, 65, 22, 233);
INSERT INTO public.who_data VALUES (5085, 864, 325033, 12, 4281, 22, 215);
INSERT INTO public.who_data VALUES (5086, 1413, 234569, 0, 3035, 22, 177);
INSERT INTO public.who_data VALUES (5087, 141, 100563, 0, 1753, 22, 183);
INSERT INTO public.who_data VALUES (5088, 0, 0, 0, 0, 22, 203);
INSERT INTO public.who_data VALUES (5089, 342, 59606, 5, 1477, 22, 162);
INSERT INTO public.who_data VALUES (5090, 658, 164108, 0, 958, 22, 12);
INSERT INTO public.who_data VALUES (5091, 76, 84453, 2, 1411, 22, 24);
INSERT INTO public.who_data VALUES (5092, 0, 44, 0, 0, 22, 119);
INSERT INTO public.who_data VALUES (5093, 931, 64923, 18, 1166, 22, 39);
INSERT INTO public.who_data VALUES (5094, 3125, 296282, 59, 2680, 22, 26);
INSERT INTO public.who_data VALUES (5095, 136, 8278, 0, 160, 22, 59);
INSERT INTO public.who_data VALUES (5096, 3, 1939, 0, 84, 22, 77);
INSERT INTO public.who_data VALUES (5097, 871, 117650, 10, 1842, 22, 134);
INSERT INTO public.who_data VALUES (5098, 2, 2563, 0, 50, 22, 4);
INSERT INTO public.who_data VALUES (5099, 706, 181734, 25, 2787, 22, 109);
INSERT INTO public.who_data VALUES (5100, 160, 50388, 3, 577, 22, 90);
INSERT INTO public.who_data VALUES (5101, 0, 18743, 0, 279, 22, 61);
INSERT INTO public.who_data VALUES (5102, 716, 23020, 15, 643, 22, 85);
INSERT INTO public.who_data VALUES (5103, 5725, 203933, 16, 733, 22, 49);
INSERT INTO public.who_data VALUES (5104, 118, 15614, 0, 51, 22, 208);
INSERT INTO public.who_data VALUES (5105, 7, 8063, 0, 329, 22, 166);
INSERT INTO public.who_data VALUES (5106, 185, 17585, 3, 264, 22, 64);
INSERT INTO public.who_data VALUES (5107, 0, 4, 0, 0, 22, 199);
INSERT INTO public.who_data VALUES (5108, 0, 6370, 0, 44, 22, 114);
INSERT INTO public.who_data VALUES (5109, 0, 16460, 0, 418, 22, 60);
INSERT INTO public.who_data VALUES (5110, 0, 568, 0, 10, 22, 68);
INSERT INTO public.who_data VALUES (5111, 0, 8231, 0, 61, 22, 158);
INSERT INTO public.who_data VALUES (5112, 18670, 1825519, 1506, 155145, 22, 52);
INSERT INTO public.who_data VALUES (5113, 0, 0, 0, 0, 22, 117);
INSERT INTO public.who_data VALUES (5114, 27, 1457, 1, 12, 22, 126);
INSERT INTO public.who_data VALUES (5115, 18, 1710, 0, 2, 22, 196);
INSERT INTO public.who_data VALUES (5116, 450, 61633, 2, 802, 22, 142);
INSERT INTO public.who_data VALUES (5117, 0, 13, 0, 1, 22, 185);
INSERT INTO public.who_data VALUES (5118, 851, 469990, 22, 8246, 22, 138);
INSERT INTO public.who_data VALUES (5119, 1275, 37108, 9, 356, 22, 181);
INSERT INTO public.who_data VALUES (5120, 363, 139515, 12, 3115, 22, 178);
INSERT INTO public.who_data VALUES (5121, 243, 33692, 10, 342, 22, 168);
INSERT INTO public.who_data VALUES (5122, 0, 0, 0, 0, 22, 160);
INSERT INTO public.who_data VALUES (5123, 157, 270745, 5, 2025, 22, 151);
INSERT INTO public.who_data VALUES (5124, 4409, 970204, 57, 13858, 22, 193);
INSERT INTO public.who_data VALUES (5125, 3, 47, 0, 0, 22, 18);
INSERT INTO public.who_data VALUES (5126, 1, 1947, 0, 25, 22, 40);
INSERT INTO public.who_data VALUES (5127, 0, 4992, 0, 169, 22, 218);
INSERT INTO public.who_data VALUES (5128, 15, 4489, 2, 159, 22, 191);
INSERT INTO public.who_data VALUES (5129, 1650, 128674, 30, 1577, 22, 156);
INSERT INTO public.who_data VALUES (5130, 0, 0, 0, 0, 22, 135);
INSERT INTO public.who_data VALUES (5131, 0, 132, 0, 2, 22, 88);
INSERT INTO public.who_data VALUES (5132, 302, 92193, 10, 2841, 22, 55);
INSERT INTO public.who_data VALUES (5133, 316, 62276, 6, 563, 22, 108);
INSERT INTO public.who_data VALUES (5134, 575, 178001, 11, 2001, 22, 48);
INSERT INTO public.who_data VALUES (5135, 0, 133728, 0, 1527, 22, 3);
INSERT INTO public.who_data VALUES (5136, 0, 745, 0, 13, 22, 224);
INSERT INTO public.who_data VALUES (5137, 1644, 541031, 46, 11560, 22, 110);
INSERT INTO public.who_data VALUES (5138, 0, 0, 0, 0, 22, 106);
INSERT INTO public.who_data VALUES (5139, 1408, 316808, 20, 5196, 22, 89);
INSERT INTO public.who_data VALUES (5140, 0, 851, 0, 9, 22, 121);
INSERT INTO public.who_data VALUES (5141, 754, 130917, 13, 2681, 22, 163);
INSERT INTO public.who_data VALUES (5142, 5715, 1119685, 212, 40484, 22, 70);
INSERT INTO public.who_data VALUES (5143, 1838, 521413, 48, 10600, 22, 174);
INSERT INTO public.who_data VALUES (5144, 0, 0, 0, 0, 22, 175);
INSERT INTO public.who_data VALUES (5145, 5864, 1508674, 302, 37082, 22, 118);
INSERT INTO public.who_data VALUES (5146, 13200, 698583, 278, 11886, 22, 189);
INSERT INTO public.who_data VALUES (5147, 427, 92968, 11, 1812, 22, 124);
INSERT INTO public.who_data VALUES (5148, 341, 150621, 0, 248, 22, 192);
INSERT INTO public.who_data VALUES (5149, 456, 77848, 15, 1414, 22, 41);
INSERT INTO public.who_data VALUES (5150, 551, 158860, 11, 3424, 22, 95);
INSERT INTO public.who_data VALUES (5151, 92, 9996, 1, 46, 22, 74);
INSERT INTO public.who_data VALUES (5152, 2737, 724250, 91, 18196, 22, 11);
INSERT INTO public.who_data VALUES (5153, 19032, 3832080, 512, 72697, 22, 87);
INSERT INTO public.who_data VALUES (5154, 255, 14784, 5, 188, 22, 214);
INSERT INTO public.who_data VALUES (5155, 0, 6, 0, 0, 22, 116);
INSERT INTO public.who_data VALUES (5156, 0, 376, 0, 0, 22, 157);
INSERT INTO public.who_data VALUES (5157, 0, 0, 0, 0, 22, 182);
INSERT INTO public.who_data VALUES (5158, 0, 37, 0, 0, 22, 186);
INSERT INTO public.who_data VALUES (5159, 77, 1106, 0, 13, 22, 127);
INSERT INTO public.who_data VALUES (5160, 0, 1191, 0, 12, 22, 232);
INSERT INTO public.who_data VALUES (5161, 0, 24, 0, 0, 22, 33);
INSERT INTO public.who_data VALUES (5162, 38, 865, 0, 2, 22, 97);
INSERT INTO public.who_data VALUES (5163, 0, 3, 0, 0, 22, 42);
INSERT INTO public.who_data VALUES (5164, 27, 2996, 0, 65, 22, 198);
INSERT INTO public.who_data VALUES (5165, 13, 1245, 0, 17, 22, 216);
INSERT INTO public.who_data VALUES (5166, 267, 367543, 2, 6368, 22, 164);
INSERT INTO public.who_data VALUES (5167, 184, 25895, 3, 617, 22, 235);
INSERT INTO public.who_data VALUES (5168, 1717, 392354, 18, 3983, 22, 67);
INSERT INTO public.who_data VALUES (5169, 27, 1157, 0, 3, 22, 15);
INSERT INTO public.who_data VALUES (5170, 100, 3382, 2, 79, 22, 180);
INSERT INTO public.who_data VALUES (5171, 24, 59449, 0, 29, 22, 237);
INSERT INTO public.who_data VALUES (5172, 0, 20, 0, 0, 22, 25);
INSERT INTO public.who_data VALUES (5173, 15, 1822, 0, 27, 22, 209);
INSERT INTO public.who_data VALUES (5174, 2581, 246008, 84, 4495, 22, 217);
INSERT INTO public.who_data VALUES (5175, 1306, 164649, 26, 3790, 22, 79);
INSERT INTO public.who_data VALUES (5176, 0, 17, 0, 0, 22, 143);
INSERT INTO public.who_data VALUES (5177, 0, 4784, 0, 130, 22, 229);
INSERT INTO public.who_data VALUES (5178, 6141, 1443939, 528, 43633, 22, 141);
INSERT INTO public.who_data VALUES (5179, 32, 3961, 0, 64, 22, 197);
INSERT INTO public.who_data VALUES (5180, 32806, 2838259, 476, 60710, 22, 221);
INSERT INTO public.who_data VALUES (5181, 859, 62445, 8, 305, 22, 150);
INSERT INTO public.who_data VALUES (5182, 40, 29380, 3, 1804, 22, 56);
INSERT INTO public.who_data VALUES (5183, 50, 8293, 2, 154, 22, 167);
INSERT INTO public.who_data VALUES (5184, 2373, 566894, 54, 12099, 22, 23);
INSERT INTO public.who_data VALUES (5185, 1764, 521176, 30, 8796, 22, 222);
INSERT INTO public.who_data VALUES (5186, 59, 13944, 5, 911, 22, 219);
INSERT INTO public.who_data VALUES (5187, 0, 13714, 0, 91, 22, 7);
INSERT INTO public.who_data VALUES (5188, 930, 17953, 1, 77, 22, 161);
INSERT INTO public.who_data VALUES (5189, 29079, 3772817, 1223, 104349, 22, 149);
INSERT INTO public.who_data VALUES (5190, 1, 70, 0, 0, 22, 6);
INSERT INTO public.who_data VALUES (5191, 0, 4922, 0, 76, 22, 139);
INSERT INTO public.who_data VALUES (5192, 0, 0, 0, 0, 22, 211);
INSERT INTO public.who_data VALUES (5193, 0, 0, 0, 0, 22, 14);
INSERT INTO public.who_data VALUES (5194, 11, 7520, 0, 134, 22, 111);
INSERT INTO public.who_data VALUES (5195, 1679, 206030, 91, 6599, 22, 207);
INSERT INTO public.who_data VALUES (5196, 6912, 2464030, 131, 25736, 22, 66);
INSERT INTO public.who_data VALUES (5197, 0, 0, 0, 0, 22, 173);
INSERT INTO public.who_data VALUES (5198, 48, 1435, 0, 8, 22, 145);
INSERT INTO public.who_data VALUES (5199, 0, 0, 0, 0, 22, 65);
INSERT INTO public.who_data VALUES (5200, 66, 39490, 6, 324, 22, 184);
INSERT INTO public.who_data VALUES (5201, 4685, 1216278, 149, 22628, 22, 98);
INSERT INTO public.who_data VALUES (5202, 3962, 297014, 7, 826, 22, 104);
INSERT INTO public.who_data VALUES (5203, 0, 509, 0, 21, 22, 73);
INSERT INTO public.who_data VALUES (5204, 158153, 25512197, 3982, 429652, 22, 8);
INSERT INTO public.who_data VALUES (5205, 14, 2398, 0, 24, 22, 227);
INSERT INTO public.who_data VALUES (5206, 559, 39887, 8, 415, 22, 75);
INSERT INTO public.who_data VALUES (5207, 70, 78672, 0, 621, 22, 45);
INSERT INTO public.who_data VALUES (5208, 0, 1, 0, 0, 22, 133);
INSERT INTO public.who_data VALUES (5209, 406, 125364, 6, 1171, 22, 202);
INSERT INTO public.who_data VALUES (5210, 88, 1739, 0, 35, 22, 129);
INSERT INTO public.who_data VALUES (5211, 0, 5, 0, 0, 22, 36);
INSERT INTO public.who_data VALUES (5212, 0, 2124, 0, 616, 22, 51);
INSERT INTO public.who_data VALUES (5213, 1305, 51624, 23, 728, 22, 206);
INSERT INTO public.who_data VALUES (5214, 306, 32952, 18, 1178, 22, 5);
INSERT INTO public.who_data VALUES (5215, 48, 54939, 2, 2399, 23, 103);
INSERT INTO public.who_data VALUES (5216, 887, 75454, 11, 1350, 23, 58);
INSERT INTO public.who_data VALUES (5217, 251, 106610, 4, 2881, 23, 195);
INSERT INTO public.who_data VALUES (5218, 0, 0, 0, 0, 23, 115);
INSERT INTO public.who_data VALUES (5219, 63, 9779, 2, 100, 23, 99);
INSERT INTO public.who_data VALUES (5220, 92, 19672, 2, 464, 23, 153);
INSERT INTO public.who_data VALUES (5221, 0, 16, 0, 0, 23, 93);
INSERT INTO public.who_data VALUES (5222, 14, 215, 0, 6, 23, 84);
INSERT INTO public.who_data VALUES (5223, 10843, 1896053, 182, 47435, 23, 78);
INSERT INTO public.who_data VALUES (5224, 59, 166728, 2, 3069, 23, 170);
INSERT INTO public.who_data VALUES (5225, 41, 6809, 1, 58, 23, 32);
INSERT INTO public.who_data VALUES (5226, 8, 28794, 0, 909, 23, 155);
INSERT INTO public.who_data VALUES (5227, 1238, 406767, 43, 7558, 23, 82);
INSERT INTO public.who_data VALUES (5228, 209, 229793, 8, 3113, 23, 16);
INSERT INTO public.who_data VALUES (5229, 6, 8167, 0, 175, 23, 72);
INSERT INTO public.who_data VALUES (5230, 387, 101503, 1, 372, 23, 43);
INSERT INTO public.who_data VALUES (5231, 509, 533953, 15, 8087, 23, 120);
INSERT INTO public.who_data VALUES (5232, 16, 1443, 1, 11, 23, 213);
INSERT INTO public.who_data VALUES (5233, 1718, 242851, 10, 1688, 23, 31);
INSERT INTO public.who_data VALUES (5234, 2606, 707298, 55, 21037, 23, 204);
INSERT INTO public.who_data VALUES (5235, 28, 11816, 1, 294, 23, 152);
INSERT INTO public.who_data VALUES (5236, 0, 3786, 0, 48, 23, 144);
INSERT INTO public.who_data VALUES (5237, 1, 689, 0, 12, 23, 96);
INSERT INTO public.who_data VALUES (5238, 1, 857, 0, 1, 23, 47);
INSERT INTO public.who_data VALUES (5239, 2866, 208074, 62, 10167, 23, 80);
INSERT INTO public.who_data VALUES (5240, 2, 362, 0, 3, 23, 159);
INSERT INTO public.who_data VALUES (5241, 330, 121194, 16, 4659, 23, 27);
INSERT INTO public.who_data VALUES (5242, 0, 20658, 0, 124, 23, 146);
INSERT INTO public.who_data VALUES (5243, 63520, 8996876, 1283, 220161, 23, 71);
INSERT INTO public.who_data VALUES (5244, 0, 137, 0, 1, 23, 210);
INSERT INTO public.who_data VALUES (5245, 4, 180, 0, 3, 23, 54);
INSERT INTO public.who_data VALUES (5246, 560, 217574, 29, 8973, 23, 147);
INSERT INTO public.who_data VALUES (5247, 160, 10377, 0, 120, 23, 2);
INSERT INTO public.who_data VALUES (5248, 20, 1604, 0, 2, 23, 105);
INSERT INTO public.who_data VALUES (5249, 62, 13784, 2, 131, 23, 53);
INSERT INTO public.who_data VALUES (5250, 2, 463, 0, 0, 23, 81);
INSERT INTO public.who_data VALUES (5251, 0, 29617, 0, 462, 23, 223);
INSERT INTO public.who_data VALUES (5252, 4204, 761226, 130, 19533, 23, 94);
INSERT INTO public.who_data VALUES (5253, 1, 385, 0, 2, 23, 154);
INSERT INTO public.who_data VALUES (5254, 0, 4981, 0, 63, 23, 83);
INSERT INTO public.who_data VALUES (5255, 27, 3296, 1, 118, 23, 194);
INSERT INTO public.who_data VALUES (5256, 4255, 714143, 134, 18174, 23, 136);
INSERT INTO public.who_data VALUES (5257, 93, 100641, 2, 4820, 23, 179);
INSERT INTO public.who_data VALUES (5258, 13953, 2055305, 395, 52523, 23, 57);
INSERT INTO public.who_data VALUES (5259, 106, 2598, 4, 85, 23, 35);
INSERT INTO public.who_data VALUES (5260, 0, 7887, 0, 117, 23, 228);
INSERT INTO public.who_data VALUES (5261, 0, 0, 0, 0, 23, 19);
INSERT INTO public.who_data VALUES (5262, 721, 192066, 17, 2584, 23, 22);
INSERT INTO public.who_data VALUES (5263, 239, 27695, 0, 151, 23, 1);
INSERT INTO public.who_data VALUES (5264, 561, 231539, 29, 4972, 23, 21);
INSERT INTO public.who_data VALUES (5265, 666, 24105, 4, 208, 23, 234);
INSERT INTO public.who_data VALUES (5266, 9, 4567, 0, 20, 23, 91);
INSERT INTO public.who_data VALUES (5267, 158, 30538, 4, 197, 23, 137);
INSERT INTO public.who_data VALUES (5268, 7982, 972642, 128, 16072, 23, 201);
INSERT INTO public.who_data VALUES (5269, 0, 0, 0, 0, 23, 171);
INSERT INTO public.who_data VALUES (5270, 144, 22321, 4, 665, 23, 92);
INSERT INTO public.who_data VALUES (5271, 668, 197208, 21, 2071, 23, 112);
INSERT INTO public.who_data VALUES (5272, 3, 5929, 0, 62, 23, 62);
INSERT INTO public.who_data VALUES (5273, 4, 117, 0, 0, 23, 69);
INSERT INTO public.who_data VALUES (5274, 1155, 208610, 24, 2603, 23, 220);
INSERT INTO public.who_data VALUES (5275, 2465, 246000, 62, 14766, 23, 100);
INSERT INTO public.who_data VALUES (5276, 521, 164282, 54, 9169, 23, 187);
INSERT INTO public.who_data VALUES (5277, 0, 53989, 10, 1599, 23, 63);
INSERT INTO public.who_data VALUES (5278, 0, 5492, 0, 86, 23, 28);
INSERT INTO public.who_data VALUES (5279, 0, 2085, 0, 7, 23, 172);
INSERT INTO public.who_data VALUES (5280, 687, 43343, 3, 409, 23, 17);
INSERT INTO public.who_data VALUES (5281, 232, 15283, 16, 538, 23, 226);
INSERT INTO public.who_data VALUES (5282, 549, 135594, 2, 2085, 23, 236);
INSERT INTO public.who_data VALUES (5283, 0, 38, 0, 0, 23, 76);
INSERT INTO public.who_data VALUES (5284, 0, 654, 0, 1, 23, 30);
INSERT INTO public.who_data VALUES (5285, 0, 55, 0, 2, 23, 128);
INSERT INTO public.who_data VALUES (5286, 423, 44039, 4, 664, 23, 86);
INSERT INTO public.who_data VALUES (5287, 23347, 3079545, 343, 74405, 23, 140);
INSERT INTO public.who_data VALUES (5288, 75, 15932, 0, 76, 23, 44);
INSERT INTO public.who_data VALUES (5289, 37, 18033, 0, 131, 23, 113);
INSERT INTO public.who_data VALUES (5290, 0, 10536, 0, 68, 23, 29);
INSERT INTO public.who_data VALUES (5291, 0, 4019, 0, 128, 23, 125);
INSERT INTO public.who_data VALUES (5292, 669, 256956, 21, 3148, 23, 131);
INSERT INTO public.who_data VALUES (5293, 14022, 2192850, 839, 55752, 23, 46);
INSERT INTO public.who_data VALUES (5294, 1132, 63883, 13, 390, 23, 10);
INSERT INTO public.who_data VALUES (5295, 33, 4057, 1, 70, 23, 205);
INSERT INTO public.who_data VALUES (5296, 713, 154796, 18, 5742, 23, 50);
INSERT INTO public.who_data VALUES (5297, 0, 30, 0, 0, 23, 20);
INSERT INTO public.who_data VALUES (5298, 0, 148, 0, 1, 23, 13);
INSERT INTO public.who_data VALUES (5299, 0, 9056, 0, 157, 23, 148);
INSERT INTO public.who_data VALUES (5300, 4, 7365, 0, 129, 23, 230);
INSERT INTO public.who_data VALUES (5301, 1098, 157595, 30, 5543, 23, 190);
INSERT INTO public.who_data VALUES (5302, 22, 391, 0, 13, 23, 188);
INSERT INTO public.who_data VALUES (5303, 18, 14435, 0, 82, 23, 123);
INSERT INTO public.who_data VALUES (5304, 61, 2605, 0, 45, 23, 9);
INSERT INTO public.who_data VALUES (5305, 34, 7380, 2, 174, 23, 102);
INSERT INTO public.who_data VALUES (5306, 116, 11402, 1, 244, 23, 34);
INSERT INTO public.who_data VALUES (5307, 0, 26, 0, 0, 23, 212);
INSERT INTO public.who_data VALUES (5308, 1127, 144007, 26, 3512, 23, 122);
INSERT INTO public.who_data VALUES (5309, 1459, 364909, 83, 12374, 23, 38);
INSERT INTO public.who_data VALUES (5310, 1, 6001, 0, 29, 23, 130);
INSERT INTO public.who_data VALUES (5311, 18855, 10720048, 163, 154010, 23, 37);
INSERT INTO public.who_data VALUES (5312, 13695, 1037993, 476, 29331, 23, 231);
INSERT INTO public.who_data VALUES (5313, 6527, 1398841, 85, 57736, 23, 107);
INSERT INTO public.who_data VALUES (5314, 943, 617202, 6, 13024, 23, 101);
INSERT INTO public.who_data VALUES (5315, 2463, 193645, 47, 3167, 23, 132);
INSERT INTO public.who_data VALUES (5316, 0, 432, 0, 25, 23, 176);
INSERT INTO public.who_data VALUES (5317, 7725, 623968, 63, 4640, 23, 200);
INSERT INTO public.who_data VALUES (5318, 14360, 2515507, 492, 87381, 23, 169);
INSERT INTO public.who_data VALUES (5319, 194, 15435, 2, 344, 23, 225);
INSERT INTO public.who_data VALUES (5320, 3909, 379516, 91, 5452, 23, 165);
INSERT INTO public.who_data VALUES (5321, 4, 3134, 1, 64, 23, 233);
INSERT INTO public.who_data VALUES (5322, 1058, 324169, 7, 4269, 23, 215);
INSERT INTO public.who_data VALUES (5323, 1440, 233156, 0, 3035, 23, 177);
INSERT INTO public.who_data VALUES (5324, 99, 100422, 2, 1753, 23, 183);
INSERT INTO public.who_data VALUES (5325, 0, 0, 0, 0, 23, 203);
INSERT INTO public.who_data VALUES (5326, 316, 59264, 3, 1472, 23, 162);
INSERT INTO public.who_data VALUES (5327, 588, 163450, 1, 958, 23, 12);
INSERT INTO public.who_data VALUES (5328, 74, 84377, 1, 1409, 23, 24);
INSERT INTO public.who_data VALUES (5329, 0, 44, 0, 0, 23, 119);
INSERT INTO public.who_data VALUES (5330, 965, 63992, 10, 1148, 23, 39);
INSERT INTO public.who_data VALUES (5331, 3497, 293157, 68, 2621, 23, 26);
INSERT INTO public.who_data VALUES (5332, 0, 8142, 0, 160, 23, 59);
INSERT INTO public.who_data VALUES (5333, 0, 1936, 0, 84, 23, 77);
INSERT INTO public.who_data VALUES (5334, 715, 116779, 30, 1832, 23, 134);
INSERT INTO public.who_data VALUES (5335, 9, 2561, 0, 50, 23, 4);
INSERT INTO public.who_data VALUES (5336, 858, 181028, 16, 2762, 23, 109);
INSERT INTO public.who_data VALUES (5337, 139, 50228, 3, 574, 23, 90);
INSERT INTO public.who_data VALUES (5338, 0, 18743, 0, 279, 23, 61);
INSERT INTO public.who_data VALUES (5339, 644, 22304, 73, 628, 23, 85);
INSERT INTO public.who_data VALUES (5340, 4094, 198208, 10, 717, 23, 49);
INSERT INTO public.who_data VALUES (5341, 106, 15496, 0, 51, 23, 208);
INSERT INTO public.who_data VALUES (5342, 19, 8056, 2, 329, 23, 166);
INSERT INTO public.who_data VALUES (5343, 208, 17400, 3, 261, 23, 64);
INSERT INTO public.who_data VALUES (5344, 0, 4, 0, 0, 23, 199);
INSERT INTO public.who_data VALUES (5345, 0, 6370, 0, 44, 23, 114);
INSERT INTO public.who_data VALUES (5346, 238, 16460, 8, 418, 23, 60);
INSERT INTO public.who_data VALUES (5347, 0, 568, 0, 10, 23, 68);
INSERT INTO public.who_data VALUES (5348, 347, 8231, 1, 61, 23, 158);
INSERT INTO public.who_data VALUES (5349, 17944, 1806849, 1623, 153639, 23, 52);
INSERT INTO public.who_data VALUES (5350, 0, 0, 0, 0, 23, 117);
INSERT INTO public.who_data VALUES (5351, 17, 1430, 1, 11, 23, 126);
INSERT INTO public.who_data VALUES (5352, 25, 1692, 0, 2, 23, 196);
INSERT INTO public.who_data VALUES (5353, 459, 61183, 10, 800, 23, 142);
INSERT INTO public.who_data VALUES (5354, 0, 13, 0, 1, 23, 185);
INSERT INTO public.who_data VALUES (5355, 756, 469139, 17, 8224, 23, 138);
INSERT INTO public.who_data VALUES (5356, 907, 35833, 11, 347, 23, 181);
INSERT INTO public.who_data VALUES (5357, 350, 139152, 14, 3103, 23, 178);
INSERT INTO public.who_data VALUES (5358, 194, 33449, 0, 332, 23, 168);
INSERT INTO public.who_data VALUES (5359, 0, 0, 0, 0, 23, 160);
INSERT INTO public.who_data VALUES (5360, 213, 270588, 0, 2020, 23, 151);
INSERT INTO public.who_data VALUES (5361, 4706, 965795, 82, 13801, 23, 193);
INSERT INTO public.who_data VALUES (5362, 0, 44, 0, 0, 23, 18);
INSERT INTO public.who_data VALUES (5363, 3, 1946, 0, 25, 23, 40);
INSERT INTO public.who_data VALUES (5364, 0, 4992, 0, 169, 23, 218);
INSERT INTO public.who_data VALUES (5365, 41, 4474, 4, 157, 23, 191);
INSERT INTO public.who_data VALUES (5366, 864, 127024, 4, 1547, 23, 156);
INSERT INTO public.who_data VALUES (5367, 0, 0, 0, 0, 23, 135);
INSERT INTO public.who_data VALUES (5368, 0, 132, 0, 2, 23, 88);
INSERT INTO public.who_data VALUES (5369, 336, 91891, 10, 2831, 23, 55);
INSERT INTO public.who_data VALUES (5370, 366, 61960, 1, 557, 23, 108);
INSERT INTO public.who_data VALUES (5371, 747, 177426, 8, 1990, 23, 48);
INSERT INTO public.who_data VALUES (5372, 154, 133728, 2, 1527, 23, 3);
INSERT INTO public.who_data VALUES (5373, 0, 745, 0, 13, 23, 224);
INSERT INTO public.who_data VALUES (5374, 1910, 539387, 64, 11514, 23, 110);
INSERT INTO public.who_data VALUES (5375, 0, 0, 0, 0, 23, 106);
INSERT INTO public.who_data VALUES (5376, 1566, 315400, 39, 5176, 23, 89);
INSERT INTO public.who_data VALUES (5377, 0, 851, 0, 9, 23, 121);
INSERT INTO public.who_data VALUES (5378, 769, 130163, 17, 2668, 23, 163);
INSERT INTO public.who_data VALUES (5379, 6731, 1113970, 165, 40272, 23, 70);
INSERT INTO public.who_data VALUES (5380, 1168, 519575, 71, 10552, 23, 174);
INSERT INTO public.who_data VALUES (5381, 0, 0, 0, 0, 23, 175);
INSERT INTO public.who_data VALUES (5382, 6145, 1502810, 337, 36780, 23, 118);
INSERT INTO public.who_data VALUES (5383, 16432, 685383, 303, 11608, 23, 189);
INSERT INTO public.who_data VALUES (5384, 297, 92541, 7, 1801, 23, 124);
INSERT INTO public.who_data VALUES (5385, 347, 150280, 0, 248, 23, 192);
INSERT INTO public.who_data VALUES (5386, 469, 77392, 13, 1399, 23, 41);
INSERT INTO public.who_data VALUES (5387, 683, 158309, 17, 3413, 23, 95);
INSERT INTO public.who_data VALUES (5388, 0, 9904, 0, 45, 23, 74);
INSERT INTO public.who_data VALUES (5389, 2901, 721513, 90, 18105, 23, 11);
INSERT INTO public.who_data VALUES (5390, 19238, 3813048, 534, 72185, 23, 87);
INSERT INTO public.who_data VALUES (5391, 363, 14529, 0, 183, 23, 214);
INSERT INTO public.who_data VALUES (5392, 0, 6, 0, 0, 23, 116);
INSERT INTO public.who_data VALUES (5393, 0, 376, 0, 0, 23, 157);
INSERT INTO public.who_data VALUES (5394, 0, 0, 0, 0, 23, 182);
INSERT INTO public.who_data VALUES (5395, 0, 37, 0, 0, 23, 186);
INSERT INTO public.who_data VALUES (5396, 60, 1029, 0, 13, 23, 127);
INSERT INTO public.who_data VALUES (5397, 0, 1191, 0, 12, 23, 232);
INSERT INTO public.who_data VALUES (5398, 1, 24, 0, 0, 23, 33);
INSERT INTO public.who_data VALUES (5399, 29, 827, 0, 2, 23, 97);
INSERT INTO public.who_data VALUES (5400, 0, 3, 0, 0, 23, 42);
INSERT INTO public.who_data VALUES (5401, 28, 2969, 0, 65, 23, 198);
INSERT INTO public.who_data VALUES (5402, 11, 1232, 0, 17, 23, 216);
INSERT INTO public.who_data VALUES (5403, 253, 367276, 3, 6366, 23, 164);
INSERT INTO public.who_data VALUES (5404, 304, 25711, 13, 614, 23, 235);
INSERT INTO public.who_data VALUES (5405, 1592, 390637, 21, 3965, 23, 67);
INSERT INTO public.who_data VALUES (5406, 0, 1130, 0, 3, 23, 15);
INSERT INTO public.who_data VALUES (5407, 46, 3282, 0, 77, 23, 180);
INSERT INTO public.who_data VALUES (5408, 34, 59425, 0, 29, 23, 237);
INSERT INTO public.who_data VALUES (5409, 0, 20, 0, 0, 23, 25);
INSERT INTO public.who_data VALUES (5410, 40, 1807, 0, 27, 23, 209);
INSERT INTO public.who_data VALUES (5411, 2035, 243427, 50, 4411, 23, 217);
INSERT INTO public.who_data VALUES (5412, 1539, 163343, 16, 3764, 23, 79);
INSERT INTO public.who_data VALUES (5413, 0, 17, 0, 0, 23, 143);
INSERT INTO public.who_data VALUES (5414, 0, 4784, 0, 130, 23, 229);
INSERT INTO public.who_data VALUES (5415, 7150, 1437798, 555, 43105, 23, 141);
INSERT INTO public.who_data VALUES (5416, 47, 3929, 0, 64, 23, 197);
INSERT INTO public.who_data VALUES (5417, 35419, 2805453, 514, 60234, 23, 221);
INSERT INTO public.who_data VALUES (5418, 892, 61586, 7, 297, 23, 150);
INSERT INTO public.who_data VALUES (5419, 49, 29340, 3, 1801, 23, 56);
INSERT INTO public.who_data VALUES (5420, 69, 8243, 2, 152, 23, 167);
INSERT INTO public.who_data VALUES (5421, 4109, 564521, 53, 12045, 23, 23);
INSERT INTO public.who_data VALUES (5422, 1779, 519412, 36, 8766, 23, 222);
INSERT INTO public.who_data VALUES (5423, 62, 13885, 6, 906, 23, 219);
INSERT INTO public.who_data VALUES (5424, 0, 13714, 0, 91, 23, 7);
INSERT INTO public.who_data VALUES (5425, 802, 17023, 0, 76, 23, 161);
INSERT INTO public.who_data VALUES (5426, 28680, 3743738, 1239, 103126, 23, 149);
INSERT INTO public.who_data VALUES (5427, 1, 69, 0, 0, 23, 6);
INSERT INTO public.who_data VALUES (5428, 52, 4922, 0, 76, 23, 139);
INSERT INTO public.who_data VALUES (5429, 0, 0, 0, 0, 23, 211);
INSERT INTO public.who_data VALUES (5430, 0, 0, 0, 0, 23, 14);
INSERT INTO public.who_data VALUES (5431, 13, 7509, 0, 134, 23, 111);
INSERT INTO public.who_data VALUES (5432, 2028, 204351, 62, 6508, 23, 207);
INSERT INTO public.who_data VALUES (5433, 7279, 2457118, 129, 25605, 23, 66);
INSERT INTO public.who_data VALUES (5434, 0, 0, 0, 0, 23, 173);
INSERT INTO public.who_data VALUES (5435, 75, 1387, 0, 8, 23, 145);
INSERT INTO public.who_data VALUES (5436, 0, 0, 0, 0, 23, 65);
INSERT INTO public.who_data VALUES (5437, 110, 39424, 0, 318, 23, 184);
INSERT INTO public.who_data VALUES (5438, 5181, 1211593, 128, 22479, 23, 98);
INSERT INTO public.who_data VALUES (5439, 3966, 293052, 8, 819, 23, 104);
INSERT INTO public.who_data VALUES (5440, 0, 509, 0, 21, 23, 73);
INSERT INTO public.who_data VALUES (5441, 155203, 25354044, 4100, 425670, 23, 8);
INSERT INTO public.who_data VALUES (5442, 11, 2384, 0, 24, 23, 227);
INSERT INTO public.who_data VALUES (5443, 648, 39328, 6, 407, 23, 75);
INSERT INTO public.who_data VALUES (5444, 46, 78602, 0, 621, 23, 45);
INSERT INTO public.who_data VALUES (5445, 0, 1, 0, 0, 23, 133);
INSERT INTO public.who_data VALUES (5446, 433, 124958, 6, 1165, 23, 202);
INSERT INTO public.who_data VALUES (5447, 98, 1651, 0, 35, 23, 129);
INSERT INTO public.who_data VALUES (5448, 0, 5, 0, 0, 23, 36);
INSERT INTO public.who_data VALUES (5449, 0, 2124, 0, 616, 23, 51);
INSERT INTO public.who_data VALUES (5450, 1408, 50319, 17, 705, 23, 206);
INSERT INTO public.who_data VALUES (5451, 342, 32646, 38, 1160, 23, 5);
INSERT INTO public.who_data VALUES (5452, 37, 54891, 8, 2397, 24, 103);
INSERT INTO public.who_data VALUES (5453, 876, 74567, 7, 1339, 24, 58);
INSERT INTO public.who_data VALUES (5454, 262, 106359, 6, 2877, 24, 195);
INSERT INTO public.who_data VALUES (5455, 0, 0, 0, 0, 24, 115);
INSERT INTO public.who_data VALUES (5456, 78, 9716, 1, 98, 24, 99);
INSERT INTO public.who_data VALUES (5457, 27, 19580, 0, 462, 24, 153);
INSERT INTO public.who_data VALUES (5458, 0, 16, 0, 0, 24, 93);
INSERT INTO public.who_data VALUES (5459, 0, 201, 0, 6, 24, 84);
INSERT INTO public.who_data VALUES (5460, 10409, 1885210, 219, 47253, 24, 78);
INSERT INTO public.who_data VALUES (5461, 242, 166669, 11, 3067, 24, 170);
INSERT INTO public.who_data VALUES (5462, 26, 6768, 0, 57, 24, 32);
INSERT INTO public.who_data VALUES (5463, 6, 28786, 0, 909, 24, 155);
INSERT INTO public.who_data VALUES (5464, 1606, 405529, 53, 7515, 24, 82);
INSERT INTO public.who_data VALUES (5465, 226, 229584, 5, 3105, 24, 16);
INSERT INTO public.who_data VALUES (5466, 21, 8161, 0, 175, 24, 72);
INSERT INTO public.who_data VALUES (5467, 427, 101116, 1, 371, 24, 43);
INSERT INTO public.who_data VALUES (5468, 528, 533444, 17, 8072, 24, 120);
INSERT INTO public.who_data VALUES (5469, 26, 1427, 0, 10, 24, 213);
INSERT INTO public.who_data VALUES (5470, 1651, 241133, 10, 1678, 24, 31);
INSERT INTO public.who_data VALUES (5471, 2604, 704692, 41, 20982, 24, 204);
INSERT INTO public.who_data VALUES (5472, 18, 11788, 0, 293, 24, 152);
INSERT INTO public.who_data VALUES (5473, 0, 3786, 0, 48, 24, 144);
INSERT INTO public.who_data VALUES (5474, 2, 688, 0, 12, 24, 96);
INSERT INTO public.who_data VALUES (5475, 0, 856, 0, 1, 24, 47);
INSERT INTO public.who_data VALUES (5476, 2390, 205208, 54, 10105, 24, 80);
INSERT INTO public.who_data VALUES (5477, 4, 360, 0, 3, 24, 159);
INSERT INTO public.who_data VALUES (5478, 332, 120864, 22, 4643, 24, 27);
INSERT INTO public.who_data VALUES (5479, 0, 20658, 0, 124, 24, 146);
INSERT INTO public.who_data VALUES (5480, 61963, 8933356, 1214, 218878, 24, 71);
INSERT INTO public.who_data VALUES (5481, 0, 137, 0, 1, 24, 210);
INSERT INTO public.who_data VALUES (5482, 0, 176, 0, 3, 24, 54);
INSERT INTO public.who_data VALUES (5483, 598, 217014, 28, 8944, 24, 147);
INSERT INTO public.who_data VALUES (5484, 60, 10217, 2, 120, 24, 2);
INSERT INTO public.who_data VALUES (5485, 42, 1584, 0, 2, 24, 105);
INSERT INTO public.who_data VALUES (5486, 103, 13722, 0, 129, 24, 53);
INSERT INTO public.who_data VALUES (5487, 1, 461, 0, 0, 24, 81);
INSERT INTO public.who_data VALUES (5488, 0, 29617, 0, 462, 24, 223);
INSERT INTO public.who_data VALUES (5489, 4011, 757022, 165, 19403, 24, 94);
INSERT INTO public.who_data VALUES (5490, 1, 384, 0, 2, 24, 154);
INSERT INTO public.who_data VALUES (5491, 0, 4981, 0, 63, 24, 83);
INSERT INTO public.who_data VALUES (5492, 44, 3269, 1, 117, 24, 194);
INSERT INTO public.who_data VALUES (5493, 3388, 709888, 17, 18040, 24, 136);
INSERT INTO public.who_data VALUES (5494, 117, 100548, 2, 4818, 24, 179);
INSERT INTO public.who_data VALUES (5495, 13606, 2041352, 381, 52128, 24, 57);
INSERT INTO public.who_data VALUES (5496, 67, 2492, 4, 81, 24, 35);
INSERT INTO public.who_data VALUES (5497, 0, 7887, 0, 117, 24, 228);
INSERT INTO public.who_data VALUES (5498, 0, 0, 0, 0, 24, 19);
INSERT INTO public.who_data VALUES (5499, 600, 191345, 9, 2567, 24, 22);
INSERT INTO public.who_data VALUES (5500, 219, 27456, 4, 151, 24, 1);
INSERT INTO public.who_data VALUES (5501, 619, 230978, 30, 4943, 24, 21);
INSERT INTO public.who_data VALUES (5502, 825, 23439, 4, 204, 24, 234);
INSERT INTO public.who_data VALUES (5503, 10, 4558, 0, 20, 24, 91);
INSERT INTO public.who_data VALUES (5504, 128, 30380, 3, 193, 24, 137);
INSERT INTO public.who_data VALUES (5505, 8505, 964660, 153, 15944, 24, 201);
INSERT INTO public.who_data VALUES (5506, 0, 0, 0, 0, 24, 171);
INSERT INTO public.who_data VALUES (5507, 130, 22177, 0, 661, 24, 92);
INSERT INTO public.who_data VALUES (5508, 592, 196540, 20, 2050, 24, 112);
INSERT INTO public.who_data VALUES (5509, 3, 5926, 0, 62, 24, 62);
INSERT INTO public.who_data VALUES (5510, 0, 113, 0, 0, 24, 69);
INSERT INTO public.who_data VALUES (5511, 1150, 207455, 15, 2579, 24, 220);
INSERT INTO public.who_data VALUES (5512, 1389, 243535, 36, 14704, 24, 100);
INSERT INTO public.who_data VALUES (5513, 632, 163761, 48, 9115, 24, 187);
INSERT INTO public.who_data VALUES (5514, 510, 53989, 6, 1589, 24, 63);
INSERT INTO public.who_data VALUES (5515, 38, 5492, 0, 86, 24, 28);
INSERT INTO public.who_data VALUES (5516, 115, 2085, 0, 7, 24, 172);
INSERT INTO public.who_data VALUES (5517, 690, 42656, 8, 406, 24, 17);
INSERT INTO public.who_data VALUES (5518, 220, 15051, 5, 522, 24, 226);
INSERT INTO public.who_data VALUES (5519, 476, 135045, 8, 2083, 24, 236);
INSERT INTO public.who_data VALUES (5520, 1, 38, 0, 0, 24, 76);
INSERT INTO public.who_data VALUES (5521, 0, 654, 0, 1, 24, 30);
INSERT INTO public.who_data VALUES (5522, 0, 55, 0, 2, 24, 128);
INSERT INTO public.who_data VALUES (5523, 496, 43616, 5, 660, 24, 86);
INSERT INTO public.who_data VALUES (5524, 26483, 3056198, 349, 74062, 24, 140);
INSERT INTO public.who_data VALUES (5525, 78, 15857, 0, 76, 24, 44);
INSERT INTO public.who_data VALUES (5526, 35, 17996, 0, 131, 24, 113);
INSERT INTO public.who_data VALUES (5527, 125, 10536, 1, 68, 24, 29);
INSERT INTO public.who_data VALUES (5528, 7, 4019, 0, 128, 24, 125);
INSERT INTO public.who_data VALUES (5529, 723, 256287, 19, 3127, 24, 131);
INSERT INTO public.who_data VALUES (5530, 17549, 2178828, 941, 54913, 24, 46);
INSERT INTO public.who_data VALUES (5531, 616, 62751, 5, 377, 24, 10);
INSERT INTO public.who_data VALUES (5532, 32, 4024, 4, 69, 24, 205);
INSERT INTO public.who_data VALUES (5533, 857, 154083, 32, 5724, 24, 50);
INSERT INTO public.who_data VALUES (5534, 0, 30, 0, 0, 24, 20);
INSERT INTO public.who_data VALUES (5535, 0, 148, 0, 1, 24, 13);
INSERT INTO public.who_data VALUES (5536, 0, 9056, 0, 157, 24, 148);
INSERT INTO public.who_data VALUES (5537, 2, 7361, 0, 129, 24, 230);
INSERT INTO public.who_data VALUES (5538, 1038, 156497, 27, 5513, 24, 190);
INSERT INTO public.who_data VALUES (5539, 10, 369, 0, 13, 24, 188);
INSERT INTO public.who_data VALUES (5540, 38, 14417, 0, 82, 24, 123);
INSERT INTO public.who_data VALUES (5541, 2, 2544, 0, 45, 24, 9);
INSERT INTO public.who_data VALUES (5542, 29, 7346, 0, 172, 24, 102);
INSERT INTO public.who_data VALUES (5543, 0, 11286, 0, 243, 24, 34);
INSERT INTO public.who_data VALUES (5544, 0, 26, 0, 0, 24, 212);
INSERT INTO public.who_data VALUES (5545, 896, 142880, 24, 3486, 24, 122);
INSERT INTO public.who_data VALUES (5546, 1569, 363450, 93, 12291, 24, 38);
INSERT INTO public.who_data VALUES (5547, 8, 6000, 0, 29, 24, 130);
INSERT INTO public.who_data VALUES (5548, 11666, 10701193, 123, 153847, 24, 37);
INSERT INTO public.who_data VALUES (5549, 11948, 1024298, 387, 28855, 24, 231);
INSERT INTO public.who_data VALUES (5550, 6608, 1392314, 91, 57651, 24, 107);
INSERT INTO public.who_data VALUES (5551, 879, 616259, 8, 13018, 24, 101);
INSERT INTO public.who_data VALUES (5552, 1331, 191182, 54, 3120, 24, 132);
INSERT INTO public.who_data VALUES (5553, 0, 432, 0, 25, 24, 176);
INSERT INTO public.who_data VALUES (5554, 7796, 616243, 52, 4577, 24, 200);
INSERT INTO public.who_data VALUES (5555, 15191, 2501147, 467, 86889, 24, 169);
INSERT INTO public.who_data VALUES (5556, 88, 15241, 3, 342, 24, 225);
INSERT INTO public.who_data VALUES (5557, 3927, 375607, 109, 5361, 24, 165);
INSERT INTO public.who_data VALUES (5558, 3, 3130, 0, 63, 24, 233);
INSERT INTO public.who_data VALUES (5559, 870, 323111, 14, 4262, 24, 215);
INSERT INTO public.who_data VALUES (5560, 1528, 231716, 0, 3035, 24, 177);
INSERT INTO public.who_data VALUES (5561, 130, 100323, 1, 1751, 24, 183);
INSERT INTO public.who_data VALUES (5562, 0, 0, 0, 0, 24, 203);
INSERT INTO public.who_data VALUES (5563, 301, 58948, 8, 1469, 24, 162);
INSERT INTO public.who_data VALUES (5564, 580, 162862, 0, 957, 24, 12);
INSERT INTO public.who_data VALUES (5565, 128, 84303, 3, 1408, 24, 24);
INSERT INTO public.who_data VALUES (5566, 0, 44, 0, 0, 24, 119);
INSERT INTO public.who_data VALUES (5567, 1103, 63027, 12, 1138, 24, 39);
INSERT INTO public.who_data VALUES (5568, 3906, 289660, 76, 2553, 24, 26);
INSERT INTO public.who_data VALUES (5569, 95, 8142, 14, 160, 24, 59);
INSERT INTO public.who_data VALUES (5570, 4, 1936, 0, 84, 24, 77);
INSERT INTO public.who_data VALUES (5571, 765, 116064, 13, 1802, 24, 134);
INSERT INTO public.who_data VALUES (5572, 9, 2552, 0, 50, 24, 4);
INSERT INTO public.who_data VALUES (5573, 958, 180170, 30, 2746, 24, 109);
INSERT INTO public.who_data VALUES (5574, 237, 50089, 1, 571, 24, 90);
INSERT INTO public.who_data VALUES (5575, 0, 18743, 0, 279, 24, 61);
INSERT INTO public.who_data VALUES (5576, 830, 21660, 15, 555, 24, 85);
INSERT INTO public.who_data VALUES (5577, 3680, 194114, 7, 707, 24, 49);
INSERT INTO public.who_data VALUES (5578, 143, 15390, 0, 51, 24, 208);
INSERT INTO public.who_data VALUES (5579, 31, 8037, 0, 327, 24, 166);
INSERT INTO public.who_data VALUES (5580, 193, 17192, 3, 258, 24, 64);
INSERT INTO public.who_data VALUES (5581, 0, 4, 0, 0, 24, 199);
INSERT INTO public.who_data VALUES (5582, 0, 6370, 0, 44, 24, 114);
INSERT INTO public.who_data VALUES (5583, 0, 16222, 0, 410, 24, 60);
INSERT INTO public.who_data VALUES (5584, 0, 568, 0, 10, 24, 68);
INSERT INTO public.who_data VALUES (5585, 294, 7884, 1, 60, 24, 158);
INSERT INTO public.who_data VALUES (5586, 17165, 1788905, 1743, 152016, 24, 52);
INSERT INTO public.who_data VALUES (5587, 0, 0, 0, 0, 24, 117);
INSERT INTO public.who_data VALUES (5588, 14, 1413, 1, 10, 24, 126);
INSERT INTO public.who_data VALUES (5589, 11, 1667, 0, 2, 24, 196);
INSERT INTO public.who_data VALUES (5590, 463, 60724, 7, 790, 24, 142);
INSERT INTO public.who_data VALUES (5591, 0, 13, 0, 1, 24, 185);
INSERT INTO public.who_data VALUES (5592, 890, 468383, 20, 8207, 24, 138);
INSERT INTO public.who_data VALUES (5593, 871, 34926, 7, 336, 24, 181);
INSERT INTO public.who_data VALUES (5594, 434, 138802, 7, 3089, 24, 178);
INSERT INTO public.who_data VALUES (5595, 298, 33255, 4, 332, 24, 168);
INSERT INTO public.who_data VALUES (5596, 0, 0, 0, 0, 24, 160);
INSERT INTO public.who_data VALUES (5597, 283, 270375, 3, 2020, 24, 151);
INSERT INTO public.who_data VALUES (5598, 4733, 961089, 68, 13719, 24, 193);
INSERT INTO public.who_data VALUES (5599, 0, 44, 0, 0, 24, 18);
INSERT INTO public.who_data VALUES (5600, 5, 1943, 0, 25, 24, 40);
INSERT INTO public.who_data VALUES (5601, 0, 4992, 0, 169, 24, 218);
INSERT INTO public.who_data VALUES (5602, 59, 4433, 2, 153, 24, 191);
INSERT INTO public.who_data VALUES (5603, 1861, 126160, 21, 1543, 24, 156);
INSERT INTO public.who_data VALUES (5604, 0, 0, 0, 0, 24, 135);
INSERT INTO public.who_data VALUES (5605, 0, 132, 0, 2, 24, 88);
INSERT INTO public.who_data VALUES (5606, 394, 91555, 9, 2821, 24, 55);
INSERT INTO public.who_data VALUES (5607, 280, 61594, 6, 556, 24, 108);
INSERT INTO public.who_data VALUES (5608, 603, 176679, 5, 1982, 24, 48);
INSERT INTO public.who_data VALUES (5609, 167, 133574, 1, 1525, 24, 3);
INSERT INTO public.who_data VALUES (5610, 0, 745, 0, 13, 24, 224);
INSERT INTO public.who_data VALUES (5611, 1563, 537477, 74, 11450, 24, 110);
INSERT INTO public.who_data VALUES (5612, 0, 0, 0, 0, 24, 106);
INSERT INTO public.who_data VALUES (5613, 1676, 313834, 39, 5137, 24, 89);
INSERT INTO public.who_data VALUES (5614, 1, 851, 0, 9, 24, 121);
INSERT INTO public.who_data VALUES (5615, 1028, 129394, 19, 2651, 24, 163);
INSERT INTO public.who_data VALUES (5616, 4444, 1107239, 220, 40107, 24, 70);
INSERT INTO public.who_data VALUES (5617, 2241, 518407, 95, 10481, 24, 174);
INSERT INTO public.who_data VALUES (5618, 0, 0, 0, 0, 24, 175);
INSERT INTO public.who_data VALUES (5619, 7153, 1496665, 389, 36443, 24, 118);
INSERT INTO public.who_data VALUES (5620, 15073, 668951, 293, 11305, 24, 189);
INSERT INTO public.who_data VALUES (5621, 175, 92244, 11, 1794, 24, 124);
INSERT INTO public.who_data VALUES (5622, 338, 149933, 0, 248, 24, 192);
INSERT INTO public.who_data VALUES (5623, 497, 76923, 8, 1386, 24, 41);
INSERT INTO public.who_data VALUES (5624, 654, 157626, 15, 3396, 24, 95);
INSERT INTO public.who_data VALUES (5625, 61, 9904, 0, 45, 24, 74);
INSERT INTO public.who_data VALUES (5626, 3174, 718612, 77, 18015, 24, 11);
INSERT INTO public.who_data VALUES (5627, 19138, 3793810, 575, 71651, 24, 87);
INSERT INTO public.who_data VALUES (5628, 281, 14166, 2, 183, 24, 214);
INSERT INTO public.who_data VALUES (5629, 0, 6, 0, 0, 24, 116);
INSERT INTO public.who_data VALUES (5630, 0, 376, 0, 0, 24, 157);
INSERT INTO public.who_data VALUES (5631, 0, 0, 0, 0, 24, 182);
INSERT INTO public.who_data VALUES (5632, 2, 37, 0, 0, 24, 186);
INSERT INTO public.who_data VALUES (5633, 48, 969, 0, 13, 24, 127);
INSERT INTO public.who_data VALUES (5634, 0, 1191, 0, 12, 24, 232);
INSERT INTO public.who_data VALUES (5635, 0, 23, 0, 0, 24, 33);
INSERT INTO public.who_data VALUES (5636, 35, 798, 0, 2, 24, 97);
INSERT INTO public.who_data VALUES (5637, 1, 3, 0, 0, 24, 42);
INSERT INTO public.who_data VALUES (5638, 26, 2941, 0, 65, 24, 198);
INSERT INTO public.who_data VALUES (5639, 11, 1221, 0, 17, 24, 216);
INSERT INTO public.who_data VALUES (5640, 216, 367023, 4, 6363, 24, 164);
INSERT INTO public.who_data VALUES (5641, 281, 25407, 9, 601, 24, 235);
INSERT INTO public.who_data VALUES (5642, 1839, 389045, 20, 3944, 24, 67);
INSERT INTO public.who_data VALUES (5643, 14, 1130, 0, 3, 24, 15);
INSERT INTO public.who_data VALUES (5644, 42, 3236, 0, 77, 24, 180);
INSERT INTO public.who_data VALUES (5645, 25, 59391, 0, 29, 24, 237);
INSERT INTO public.who_data VALUES (5646, 0, 20, 0, 0, 24, 25);
INSERT INTO public.who_data VALUES (5647, 9, 1767, 0, 27, 24, 209);
INSERT INTO public.who_data VALUES (5648, 2775, 241392, 101, 4361, 24, 217);
INSERT INTO public.who_data VALUES (5649, 1875, 161804, 24, 3748, 24, 79);
INSERT INTO public.who_data VALUES (5650, 0, 17, 0, 0, 24, 143);
INSERT INTO public.who_data VALUES (5651, 0, 4784, 0, 130, 24, 229);
INSERT INTO public.who_data VALUES (5652, 7070, 1430648, 753, 42550, 24, 141);
INSERT INTO public.who_data VALUES (5653, 0, 3882, 0, 64, 24, 197);
INSERT INTO public.who_data VALUES (5654, 37100, 2770034, 445, 59720, 24, 221);
INSERT INTO public.who_data VALUES (5655, 772, 60694, 2, 290, 24, 150);
INSERT INTO public.who_data VALUES (5656, 225, 29291, 38, 1798, 24, 56);
INSERT INTO public.who_data VALUES (5657, 62, 8174, 1, 150, 24, 167);
INSERT INTO public.who_data VALUES (5658, 4190, 560412, 66, 11992, 24, 23);
INSERT INTO public.who_data VALUES (5659, 1870, 517633, 32, 8730, 24, 222);
INSERT INTO public.who_data VALUES (5660, 61, 13823, 5, 900, 24, 219);
INSERT INTO public.who_data VALUES (5661, 0, 13714, 0, 91, 24, 7);
INSERT INTO public.who_data VALUES (5662, 756, 16221, 0, 76, 24, 161);
INSERT INTO public.who_data VALUES (5663, 25308, 3715058, 1725, 101887, 24, 149);
INSERT INTO public.who_data VALUES (5664, 0, 68, 0, 0, 24, 6);
INSERT INTO public.who_data VALUES (5665, 188, 4870, 0, 76, 24, 139);
INSERT INTO public.who_data VALUES (5666, 0, 0, 0, 0, 24, 211);
INSERT INTO public.who_data VALUES (5667, 0, 0, 0, 0, 24, 14);
INSERT INTO public.who_data VALUES (5668, 6, 7496, 0, 134, 24, 111);
INSERT INTO public.who_data VALUES (5669, 1661, 202323, 76, 6446, 24, 207);
INSERT INTO public.who_data VALUES (5670, 7489, 2449839, 132, 25476, 24, 66);
INSERT INTO public.who_data VALUES (5671, 0, 0, 0, 0, 24, 173);
INSERT INTO public.who_data VALUES (5672, 25, 1312, 0, 8, 24, 145);
INSERT INTO public.who_data VALUES (5673, 0, 0, 0, 0, 24, 65);
INSERT INTO public.who_data VALUES (5674, 53, 39314, 0, 318, 24, 184);
INSERT INTO public.who_data VALUES (5675, 5529, 1206412, 149, 22351, 24, 98);
INSERT INTO public.who_data VALUES (5676, 3939, 289086, 6, 811, 24, 104);
INSERT INTO public.who_data VALUES (5677, 0, 509, 0, 21, 24, 73);
INSERT INTO public.who_data VALUES (5678, 148533, 25198841, 3681, 421570, 24, 8);
INSERT INTO public.who_data VALUES (5679, 23, 2373, 0, 24, 24, 227);
INSERT INTO public.who_data VALUES (5680, 639, 38680, 11, 401, 24, 75);
INSERT INTO public.who_data VALUES (5681, 46, 78556, 0, 621, 24, 45);
INSERT INTO public.who_data VALUES (5682, 0, 1, 0, 0, 24, 133);
INSERT INTO public.who_data VALUES (5683, 413, 124525, 5, 1159, 24, 202);
INSERT INTO public.who_data VALUES (5684, 2, 1553, 0, 35, 24, 129);
INSERT INTO public.who_data VALUES (5685, 0, 5, 0, 0, 24, 36);
INSERT INTO public.who_data VALUES (5686, 1, 2124, 0, 616, 24, 51);
INSERT INTO public.who_data VALUES (5687, 1289, 48911, 16, 688, 24, 206);
INSERT INTO public.who_data VALUES (5688, 300, 32304, 19, 1122, 24, 5);
INSERT INTO public.who_data VALUES (5689, 104, 54854, 0, 2389, 25, 103);
INSERT INTO public.who_data VALUES (5690, 879, 73691, 8, 1332, 25, 58);
INSERT INTO public.who_data VALUES (5691, 243, 106097, 5, 2871, 25, 195);
INSERT INTO public.who_data VALUES (5692, 0, 0, 0, 0, 25, 115);
INSERT INTO public.who_data VALUES (5693, 42, 9638, 0, 97, 25, 99);
INSERT INTO public.who_data VALUES (5694, 77, 19553, 1, 462, 25, 153);
INSERT INTO public.who_data VALUES (5695, 0, 16, 0, 0, 25, 93);
INSERT INTO public.who_data VALUES (5696, 0, 201, 0, 6, 25, 84);
INSERT INTO public.who_data VALUES (5697, 7578, 1874801, 207, 47034, 25, 78);
INSERT INTO public.who_data VALUES (5698, 195, 166427, 4, 3056, 25, 170);
INSERT INTO public.who_data VALUES (5699, 19, 6742, 1, 57, 25, 32);
INSERT INTO public.who_data VALUES (5700, 3, 28780, 0, 909, 25, 155);
INSERT INTO public.who_data VALUES (5701, 1445, 403923, 46, 7462, 25, 82);
INSERT INTO public.who_data VALUES (5702, 326, 229358, 7, 3100, 25, 16);
INSERT INTO public.who_data VALUES (5703, 7, 8140, 0, 175, 25, 72);
INSERT INTO public.who_data VALUES (5704, 459, 100689, 1, 370, 25, 43);
INSERT INTO public.who_data VALUES (5705, 515, 532916, 14, 8055, 25, 120);
INSERT INTO public.who_data VALUES (5706, 14, 1401, 0, 10, 25, 213);
INSERT INTO public.who_data VALUES (5707, 847, 239482, 10, 1668, 25, 31);
INSERT INTO public.who_data VALUES (5708, 2779, 702088, 52, 20941, 25, 204);
INSERT INTO public.who_data VALUES (5709, 20, 11770, 3, 293, 25, 152);
INSERT INTO public.who_data VALUES (5710, 143, 3786, 0, 48, 25, 144);
INSERT INTO public.who_data VALUES (5711, 0, 686, 0, 12, 25, 96);
INSERT INTO public.who_data VALUES (5712, 0, 856, 0, 1, 25, 47);
INSERT INTO public.who_data VALUES (5713, 1781, 202818, 66, 10051, 25, 80);
INSERT INTO public.who_data VALUES (5714, 2, 356, 0, 3, 25, 159);
INSERT INTO public.who_data VALUES (5715, 389, 120532, 28, 4621, 25, 27);
INSERT INTO public.who_data VALUES (5716, 1004, 20658, 19, 124, 25, 146);
INSERT INTO public.who_data VALUES (5717, 26816, 8871393, 627, 217664, 25, 71);
INSERT INTO public.who_data VALUES (5718, 0, 137, 0, 1, 25, 210);
INSERT INTO public.who_data VALUES (5719, 1, 176, 0, 3, 25, 54);
INSERT INTO public.who_data VALUES (5720, 827, 216416, 36, 8916, 25, 147);
INSERT INTO public.who_data VALUES (5721, 54, 10157, 1, 118, 25, 2);
INSERT INTO public.who_data VALUES (5722, 61, 1542, 0, 2, 25, 105);
INSERT INTO public.who_data VALUES (5723, 62, 13619, 2, 129, 25, 53);
INSERT INTO public.who_data VALUES (5724, 0, 460, 0, 0, 25, 81);
INSERT INTO public.who_data VALUES (5725, 0, 29617, 0, 462, 25, 223);
INSERT INTO public.who_data VALUES (5726, 5628, 753011, 144, 19238, 25, 94);
INSERT INTO public.who_data VALUES (5727, 0, 383, 0, 2, 25, 154);
INSERT INTO public.who_data VALUES (5728, 1, 4981, 0, 63, 25, 83);
INSERT INTO public.who_data VALUES (5729, 43, 3225, 0, 116, 25, 194);
INSERT INTO public.who_data VALUES (5730, 3322, 706500, 24, 18023, 25, 136);
INSERT INTO public.who_data VALUES (5731, 140, 100431, 2, 4816, 25, 179);
INSERT INTO public.who_data VALUES (5732, 12261, 2027746, 373, 51747, 25, 57);
INSERT INTO public.who_data VALUES (5733, 75, 2425, 1, 77, 25, 35);
INSERT INTO public.who_data VALUES (5734, 0, 7887, 0, 117, 25, 228);
INSERT INTO public.who_data VALUES (5735, 0, 0, 0, 0, 25, 19);
INSERT INTO public.who_data VALUES (5736, 355, 190745, 15, 2558, 25, 22);
INSERT INTO public.who_data VALUES (5737, 387, 27237, 1, 147, 25, 1);
INSERT INTO public.who_data VALUES (5738, 857, 230359, 31, 4913, 25, 21);
INSERT INTO public.who_data VALUES (5739, 786, 22614, 3, 200, 25, 234);
INSERT INTO public.who_data VALUES (5740, 0, 4548, 0, 20, 25, 91);
INSERT INTO public.who_data VALUES (5741, 109, 30252, 2, 190, 25, 137);
INSERT INTO public.who_data VALUES (5742, 9209, 956155, 173, 15791, 25, 201);
INSERT INTO public.who_data VALUES (5743, 0, 0, 0, 0, 25, 171);
INSERT INTO public.who_data VALUES (5744, 0, 22047, 0, 661, 25, 92);
INSERT INTO public.who_data VALUES (5745, 652, 195948, 20, 2030, 25, 112);
INSERT INTO public.who_data VALUES (5746, 3, 5923, 1, 62, 25, 62);
INSERT INTO public.who_data VALUES (5747, 0, 113, 0, 0, 25, 69);
INSERT INTO public.who_data VALUES (5748, 1143, 206305, 19, 2564, 25, 220);
INSERT INTO public.who_data VALUES (5749, 579, 242146, 29, 14668, 25, 100);
INSERT INTO public.who_data VALUES (5750, 643, 163129, 55, 9067, 25, 187);
INSERT INTO public.who_data VALUES (5751, 0, 53479, 11, 1583, 25, 63);
INSERT INTO public.who_data VALUES (5752, 0, 5454, 0, 86, 25, 28);
INSERT INTO public.who_data VALUES (5753, 30, 1970, 0, 7, 25, 172);
INSERT INTO public.who_data VALUES (5754, 636, 41966, 6, 398, 25, 17);
INSERT INTO public.who_data VALUES (5755, 347, 14831, 24, 517, 25, 226);
INSERT INTO public.who_data VALUES (5756, 437, 134569, 4, 2075, 25, 236);
INSERT INTO public.who_data VALUES (5757, 0, 37, 0, 0, 25, 76);
INSERT INTO public.who_data VALUES (5758, 2, 654, 0, 1, 25, 30);
INSERT INTO public.who_data VALUES (5759, 0, 55, 0, 2, 25, 128);
INSERT INTO public.who_data VALUES (5760, 348, 43120, 0, 655, 25, 86);
INSERT INTO public.who_data VALUES (5761, 22009, 3029715, 612, 73713, 25, 140);
INSERT INTO public.who_data VALUES (5762, 77, 15779, 0, 76, 25, 44);
INSERT INTO public.who_data VALUES (5763, 49, 17961, 2, 131, 25, 113);
INSERT INTO public.who_data VALUES (5764, 0, 10411, 0, 67, 25, 29);
INSERT INTO public.who_data VALUES (5765, 4, 4012, 0, 128, 25, 125);
INSERT INTO public.who_data VALUES (5766, 742, 255564, 12, 3108, 25, 131);
INSERT INTO public.who_data VALUES (5767, 13202, 2161279, 982, 53972, 25, 46);
INSERT INTO public.who_data VALUES (5768, 0, 62135, 0, 372, 25, 10);
INSERT INTO public.who_data VALUES (5769, 26, 3992, 2, 65, 25, 205);
INSERT INTO public.who_data VALUES (5770, 814, 153226, 21, 5692, 25, 50);
INSERT INTO public.who_data VALUES (5771, 0, 30, 0, 0, 25, 20);
INSERT INTO public.who_data VALUES (5772, 0, 148, 0, 1, 25, 13);
INSERT INTO public.who_data VALUES (5773, 0, 9056, 0, 157, 25, 148);
INSERT INTO public.who_data VALUES (5774, 12, 7359, 0, 129, 25, 230);
INSERT INTO public.who_data VALUES (5775, 1029, 155459, 17, 5486, 25, 190);
INSERT INTO public.who_data VALUES (5776, 38, 359, 0, 13, 25, 188);
INSERT INTO public.who_data VALUES (5777, 4, 14379, 1, 82, 25, 123);
INSERT INTO public.who_data VALUES (5778, 9, 2542, 0, 45, 25, 9);
INSERT INTO public.who_data VALUES (5779, 19, 7317, 0, 172, 25, 102);
INSERT INTO public.who_data VALUES (5780, 0, 11286, 0, 243, 25, 34);
INSERT INTO public.who_data VALUES (5781, 0, 26, 0, 0, 25, 212);
INSERT INTO public.who_data VALUES (5782, 1055, 141984, 15, 3462, 25, 122);
INSERT INTO public.who_data VALUES (5783, 1004, 361881, 85, 12198, 25, 38);
INSERT INTO public.who_data VALUES (5784, 2, 5992, 0, 29, 25, 130);
INSERT INTO public.who_data VALUES (5785, 12689, 10689527, 137, 153724, 25, 37);
INSERT INTO public.who_data VALUES (5786, 13094, 1012350, 336, 28468, 25, 231);
INSERT INTO public.who_data VALUES (5787, 6420, 1385706, 79, 57560, 25, 107);
INSERT INTO public.who_data VALUES (5788, 804, 615380, 10, 13010, 25, 101);
INSERT INTO public.who_data VALUES (5789, 928, 189851, 89, 3066, 25, 132);
INSERT INTO public.who_data VALUES (5790, 0, 432, 0, 25, 25, 176);
INSERT INTO public.who_data VALUES (5791, 8726, 608447, 63, 4525, 25, 200);
INSERT INTO public.who_data VALUES (5792, 10584, 2485956, 541, 86422, 25, 169);
INSERT INTO public.who_data VALUES (5793, 141, 15153, 1, 339, 25, 225);
INSERT INTO public.who_data VALUES (5794, 3537, 371680, 94, 5252, 25, 165);
INSERT INTO public.who_data VALUES (5795, 5, 3127, 0, 63, 25, 233);
INSERT INTO public.who_data VALUES (5796, 943, 322241, 9, 4248, 25, 215);
INSERT INTO public.who_data VALUES (5797, 1496, 230188, 0, 3035, 25, 177);
INSERT INTO public.who_data VALUES (5798, 141, 100193, 6, 1750, 25, 183);
INSERT INTO public.who_data VALUES (5799, 0, 0, 0, 0, 25, 203);
INSERT INTO public.who_data VALUES (5800, 288, 58647, 5, 1461, 25, 162);
INSERT INTO public.who_data VALUES (5801, 505, 162282, 3, 957, 25, 12);
INSERT INTO public.who_data VALUES (5802, 107, 84175, 3, 1405, 25, 24);
INSERT INTO public.who_data VALUES (5803, 0, 44, 0, 0, 25, 119);
INSERT INTO public.who_data VALUES (5804, 693, 61924, 12, 1126, 25, 39);
INSERT INTO public.who_data VALUES (5805, 3505, 285754, 83, 2477, 25, 26);
INSERT INTO public.who_data VALUES (5806, 3, 8047, 12, 146, 25, 59);
INSERT INTO public.who_data VALUES (5807, 5, 1932, 0, 84, 25, 77);
INSERT INTO public.who_data VALUES (5808, 869, 115299, 7, 1789, 25, 134);
INSERT INTO public.who_data VALUES (5809, 17, 2543, 0, 50, 25, 4);
INSERT INTO public.who_data VALUES (5810, 1278, 179212, 28, 2716, 25, 109);
INSERT INTO public.who_data VALUES (5811, 119, 49852, 4, 570, 25, 90);
INSERT INTO public.who_data VALUES (5812, 0, 18743, 0, 279, 25, 61);
INSERT INTO public.who_data VALUES (5813, 843, 20830, 22, 540, 25, 85);
INSERT INTO public.who_data VALUES (5814, 3585, 190434, 11, 700, 25, 49);
INSERT INTO public.who_data VALUES (5815, 145, 15247, 0, 51, 25, 208);
INSERT INTO public.who_data VALUES (5816, 23, 8006, 4, 327, 25, 166);
INSERT INTO public.who_data VALUES (5817, 138, 16999, 2, 255, 25, 64);
INSERT INTO public.who_data VALUES (5818, 0, 4, 0, 0, 25, 199);
INSERT INTO public.who_data VALUES (5819, 0, 6370, 0, 44, 25, 114);
INSERT INTO public.who_data VALUES (5820, 0, 16222, 0, 410, 25, 60);
INSERT INTO public.who_data VALUES (5821, 0, 568, 0, 10, 25, 68);
INSERT INTO public.who_data VALUES (5822, 0, 7590, 0, 59, 25, 158);
INSERT INTO public.who_data VALUES (5823, 8521, 1771740, 659, 150273, 25, 52);
INSERT INTO public.who_data VALUES (5824, 0, 0, 0, 0, 25, 117);
INSERT INTO public.who_data VALUES (5825, 31, 1399, 0, 9, 25, 126);
INSERT INTO public.who_data VALUES (5826, 13, 1656, 0, 2, 25, 196);
INSERT INTO public.who_data VALUES (5827, 498, 60261, 6, 783, 25, 142);
INSERT INTO public.who_data VALUES (5828, 0, 13, 0, 1, 25, 185);
INSERT INTO public.who_data VALUES (5829, 867, 467493, 15, 8187, 25, 138);
INSERT INTO public.who_data VALUES (5830, 1274, 34055, 10, 329, 25, 181);
INSERT INTO public.who_data VALUES (5831, 411, 138368, 13, 3082, 25, 178);
INSERT INTO public.who_data VALUES (5832, 307, 32957, 9, 328, 25, 168);
INSERT INTO public.who_data VALUES (5833, 0, 0, 0, 0, 25, 160);
INSERT INTO public.who_data VALUES (5834, 303, 270092, 6, 2017, 25, 151);
INSERT INTO public.who_data VALUES (5835, 3962, 956356, 86, 13651, 25, 193);
INSERT INTO public.who_data VALUES (5836, 0, 44, 0, 0, 25, 18);
INSERT INTO public.who_data VALUES (5837, 5, 1938, 0, 25, 25, 40);
INSERT INTO public.who_data VALUES (5838, 39, 4992, 1, 169, 25, 218);
INSERT INTO public.who_data VALUES (5839, 0, 4374, 0, 151, 25, 191);
INSERT INTO public.who_data VALUES (5840, 1303, 124299, 15, 1522, 25, 156);
INSERT INTO public.who_data VALUES (5841, 0, 0, 0, 0, 25, 135);
INSERT INTO public.who_data VALUES (5842, 0, 132, 0, 2, 25, 88);
INSERT INTO public.who_data VALUES (5843, 444, 91161, 21, 2812, 25, 55);
INSERT INTO public.who_data VALUES (5844, 232, 61314, 2, 550, 25, 108);
INSERT INTO public.who_data VALUES (5845, 660, 176076, 10, 1977, 25, 48);
INSERT INTO public.who_data VALUES (5846, 154, 133407, 2, 1524, 25, 3);
INSERT INTO public.who_data VALUES (5847, 0, 745, 0, 13, 25, 224);
INSERT INTO public.who_data VALUES (5848, 1873, 535914, 58, 11376, 25, 110);
INSERT INTO public.who_data VALUES (5849, 0, 0, 0, 0, 25, 106);
INSERT INTO public.who_data VALUES (5850, 914, 312158, 35, 5098, 25, 89);
INSERT INTO public.who_data VALUES (5851, 1, 850, 0, 9, 25, 121);
INSERT INTO public.who_data VALUES (5852, 714, 128366, 15, 2632, 25, 163);
INSERT INTO public.who_data VALUES (5853, 3782, 1102795, 110, 39887, 25, 70);
INSERT INTO public.who_data VALUES (5854, 1170, 516166, 94, 10386, 25, 174);
INSERT INTO public.who_data VALUES (5855, 0, 0, 0, 0, 25, 175);
INSERT INTO public.who_data VALUES (5856, 6790, 1489512, 389, 36054, 25, 118);
INSERT INTO public.who_data VALUES (5857, 10765, 653878, 291, 11012, 25, 189);
INSERT INTO public.who_data VALUES (5858, 473, 92069, 5, 1783, 25, 124);
INSERT INTO public.who_data VALUES (5859, 299, 149595, 0, 248, 25, 192);
INSERT INTO public.who_data VALUES (5860, 559, 76426, 7, 1378, 25, 41);
INSERT INTO public.who_data VALUES (5861, 546, 156972, 13, 3381, 25, 95);
INSERT INTO public.who_data VALUES (5862, 0, 9843, 0, 45, 25, 74);
INSERT INTO public.who_data VALUES (5863, 2877, 715438, 97, 17938, 25, 11);
INSERT INTO public.who_data VALUES (5864, 17741, 3774672, 594, 71076, 25, 87);
INSERT INTO public.who_data VALUES (5865, 574, 13885, 4, 181, 25, 214);
INSERT INTO public.who_data VALUES (5866, 0, 6, 0, 0, 25, 116);
INSERT INTO public.who_data VALUES (5867, 0, 376, 0, 0, 25, 157);
INSERT INTO public.who_data VALUES (5868, 0, 0, 0, 0, 25, 182);
INSERT INTO public.who_data VALUES (5869, 0, 35, 0, 0, 25, 186);
INSERT INTO public.who_data VALUES (5870, 35, 921, 2, 13, 25, 127);
INSERT INTO public.who_data VALUES (5871, 0, 1191, 0, 12, 25, 232);
INSERT INTO public.who_data VALUES (5872, 0, 23, 0, 0, 25, 33);
INSERT INTO public.who_data VALUES (5873, 17, 763, 0, 2, 25, 97);
INSERT INTO public.who_data VALUES (5874, 0, 2, 0, 0, 25, 42);
INSERT INTO public.who_data VALUES (5875, 26, 2915, 0, 65, 25, 198);
INSERT INTO public.who_data VALUES (5876, 21, 1210, 0, 17, 25, 216);
INSERT INTO public.who_data VALUES (5877, 223, 366807, 4, 6359, 25, 164);
INSERT INTO public.who_data VALUES (5878, 133, 25126, 10, 592, 25, 235);
INSERT INTO public.who_data VALUES (5879, 2080, 387206, 19, 3924, 25, 67);
INSERT INTO public.who_data VALUES (5880, 47, 1116, 0, 3, 25, 15);
INSERT INTO public.who_data VALUES (5881, 21, 3194, 0, 77, 25, 180);
INSERT INTO public.who_data VALUES (5882, 14, 59366, 0, 29, 25, 237);
INSERT INTO public.who_data VALUES (5883, 0, 20, 0, 0, 25, 25);
INSERT INTO public.who_data VALUES (5884, 9, 1758, 0, 27, 25, 209);
INSERT INTO public.who_data VALUES (5885, 1590, 238617, 192, 4260, 25, 217);
INSERT INTO public.who_data VALUES (5886, 1679, 159929, 23, 3724, 25, 79);
INSERT INTO public.who_data VALUES (5887, 0, 17, 0, 0, 25, 143);
INSERT INTO public.who_data VALUES (5888, 30, 4784, 0, 130, 25, 229);
INSERT INTO public.who_data VALUES (5889, 6041, 1423578, 680, 41797, 25, 141);
INSERT INTO public.who_data VALUES (5890, 17, 3882, 0, 64, 25, 197);
INSERT INTO public.who_data VALUES (5891, 32201, 2732934, 423, 59275, 25, 221);
INSERT INTO public.who_data VALUES (5892, 755, 59922, 5, 288, 25, 150);
INSERT INTO public.who_data VALUES (5893, 72, 29066, 10, 1760, 25, 56);
INSERT INTO public.who_data VALUES (5894, 55, 8112, 0, 149, 25, 167);
INSERT INTO public.who_data VALUES (5895, 1887, 556222, 57, 11926, 25, 23);
INSERT INTO public.who_data VALUES (5896, 1838, 515763, 35, 8698, 25, 222);
INSERT INTO public.who_data VALUES (5897, 65, 13762, 5, 895, 25, 219);
INSERT INTO public.who_data VALUES (5898, 0, 13714, 0, 91, 25, 7);
INSERT INTO public.who_data VALUES (5899, 819, 15465, 1, 76, 25, 161);
INSERT INTO public.who_data VALUES (5900, 20088, 3689750, 1631, 100162, 25, 149);
INSERT INTO public.who_data VALUES (5901, 1, 68, 0, 0, 25, 6);
INSERT INTO public.who_data VALUES (5902, 20, 4682, 1, 76, 25, 139);
INSERT INTO public.who_data VALUES (5903, 0, 0, 0, 0, 25, 211);
INSERT INTO public.who_data VALUES (5904, 0, 0, 0, 0, 25, 14);
INSERT INTO public.who_data VALUES (5905, 17, 7490, 0, 134, 25, 111);
INSERT INTO public.who_data VALUES (5906, 2026, 200662, 83, 6370, 25, 207);
INSERT INTO public.who_data VALUES (5907, 7103, 2442350, 134, 25344, 25, 66);
INSERT INTO public.who_data VALUES (5908, 0, 0, 0, 0, 25, 173);
INSERT INTO public.who_data VALUES (5909, 0, 1287, 1, 8, 25, 145);
INSERT INTO public.who_data VALUES (5910, 0, 0, 0, 0, 25, 65);
INSERT INTO public.who_data VALUES (5911, 73, 39261, 0, 318, 25, 184);
INSERT INTO public.who_data VALUES (5912, 3776, 1200883, 145, 22202, 25, 98);
INSERT INTO public.who_data VALUES (5913, 3601, 285147, 7, 805, 25, 104);
INSERT INTO public.who_data VALUES (5914, 0, 509, 0, 21, 25, 73);
INSERT INTO public.who_data VALUES (5915, 133409, 25050308, 1885, 417889, 25, 8);
INSERT INTO public.who_data VALUES (5916, 9, 2350, 0, 24, 25, 227);
INSERT INTO public.who_data VALUES (5917, 408, 38041, 14, 390, 25, 75);
INSERT INTO public.who_data VALUES (5918, 39, 78510, 0, 621, 25, 45);
INSERT INTO public.who_data VALUES (5919, 0, 1, 0, 0, 25, 133);
INSERT INTO public.who_data VALUES (5920, 403, 124112, 6, 1154, 25, 202);
INSERT INTO public.who_data VALUES (5921, 2, 1551, 0, 35, 25, 129);
INSERT INTO public.who_data VALUES (5922, 0, 5, 0, 0, 25, 36);
INSERT INTO public.who_data VALUES (5923, 1, 2123, 0, 616, 25, 51);
INSERT INTO public.who_data VALUES (5924, 1476, 47622, 12, 672, 25, 206);
INSERT INTO public.who_data VALUES (5925, 358, 32004, 28, 1103, 25, 5);
INSERT INTO public.who_data VALUES (5926, 78, 54750, 4, 2389, 26, 103);
INSERT INTO public.who_data VALUES (5927, 538, 72812, 9, 1324, 26, 58);
INSERT INTO public.who_data VALUES (5928, 258, 105854, 3, 2866, 26, 195);
INSERT INTO public.who_data VALUES (5929, 0, 0, 0, 0, 26, 115);
INSERT INTO public.who_data VALUES (5930, 47, 9596, 1, 97, 26, 99);
INSERT INTO public.who_data VALUES (5931, 77, 19476, 2, 461, 26, 153);
INSERT INTO public.who_data VALUES (5932, 1, 16, 0, 0, 26, 93);
INSERT INTO public.who_data VALUES (5933, 6, 201, 0, 6, 26, 84);
INSERT INTO public.who_data VALUES (5934, 5031, 1867223, 90, 46827, 26, 78);
INSERT INTO public.who_data VALUES (5935, 138, 166232, 5, 3052, 26, 170);
INSERT INTO public.who_data VALUES (5936, 100, 6723, 4, 56, 26, 32);
INSERT INTO public.who_data VALUES (5937, 11, 28777, 0, 909, 26, 155);
INSERT INTO public.who_data VALUES (5938, 944, 402478, 54, 7416, 26, 82);
INSERT INTO public.who_data VALUES (5939, 57, 229032, 11, 3093, 26, 16);
INSERT INTO public.who_data VALUES (5940, 6, 8133, 0, 175, 26, 72);
INSERT INTO public.who_data VALUES (5941, 413, 100230, 2, 369, 26, 43);
INSERT INTO public.who_data VALUES (5942, 602, 532401, 18, 8041, 26, 120);
INSERT INTO public.who_data VALUES (5943, 46, 1387, 1, 10, 26, 213);
INSERT INTO public.who_data VALUES (5944, 1024, 238635, 9, 1658, 26, 31);
INSERT INTO public.who_data VALUES (5945, 3438, 699309, 44, 20889, 26, 204);
INSERT INTO public.who_data VALUES (5946, 28, 11750, 0, 290, 26, 152);
INSERT INTO public.who_data VALUES (5947, 0, 3643, 0, 48, 26, 144);
INSERT INTO public.who_data VALUES (5948, 0, 686, 0, 12, 26, 96);
INSERT INTO public.who_data VALUES (5949, 1, 856, 0, 1, 26, 47);
INSERT INTO public.who_data VALUES (5950, 1048, 201037, 58, 9985, 26, 80);
INSERT INTO public.who_data VALUES (5951, 4, 354, 0, 3, 26, 159);
INSERT INTO public.who_data VALUES (5952, 100, 120143, 19, 4593, 26, 27);
INSERT INTO public.who_data VALUES (5953, 1024, 19654, 17, 105, 26, 146);
INSERT INTO public.who_data VALUES (5954, 28323, 8844577, 592, 217037, 26, 71);
INSERT INTO public.who_data VALUES (5955, 0, 137, 0, 1, 26, 210);
INSERT INTO public.who_data VALUES (5956, 0, 175, 0, 3, 26, 54);
INSERT INTO public.who_data VALUES (5957, 772, 215589, 60, 8880, 26, 147);
INSERT INTO public.who_data VALUES (5958, 65, 10103, 5, 117, 26, 2);
INSERT INTO public.who_data VALUES (5959, 2, 1481, 0, 2, 26, 105);
INSERT INTO public.who_data VALUES (5960, 68, 13557, 0, 127, 26, 53);
INSERT INTO public.who_data VALUES (5961, 2, 460, 0, 0, 26, 81);
INSERT INTO public.who_data VALUES (5962, 0, 29617, 0, 462, 26, 223);
INSERT INTO public.who_data VALUES (5963, 4852, 747383, 120, 19094, 26, 94);
INSERT INTO public.who_data VALUES (5964, 0, 383, 0, 2, 26, 154);
INSERT INTO public.who_data VALUES (5965, 0, 4980, 0, 63, 26, 83);
INSERT INTO public.who_data VALUES (5966, 21, 3182, 0, 116, 26, 194);
INSERT INTO public.who_data VALUES (5967, 4068, 703178, 66, 17999, 26, 136);
INSERT INTO public.who_data VALUES (5968, 155, 100291, 3, 4814, 26, 179);
INSERT INTO public.who_data VALUES (5969, 12516, 2015485, 392, 51374, 26, 57);
INSERT INTO public.who_data VALUES (5970, 82, 2350, 5, 76, 26, 35);
INSERT INTO public.who_data VALUES (5971, 0, 7887, 0, 117, 26, 228);
INSERT INTO public.who_data VALUES (5972, 0, 0, 0, 0, 26, 19);
INSERT INTO public.who_data VALUES (5973, 431, 190390, 11, 2543, 26, 22);
INSERT INTO public.who_data VALUES (5974, 0, 26850, 0, 146, 26, 1);
INSERT INTO public.who_data VALUES (5975, 448, 229502, 23, 4882, 26, 21);
INSERT INTO public.who_data VALUES (5976, 567, 21828, 3, 197, 26, 234);
INSERT INTO public.who_data VALUES (5977, 11, 4548, 0, 20, 26, 91);
INSERT INTO public.who_data VALUES (5978, 126, 30143, 2, 188, 26, 137);
INSERT INTO public.who_data VALUES (5979, 6942, 946946, 165, 15618, 26, 201);
INSERT INTO public.who_data VALUES (5980, 0, 0, 0, 0, 26, 171);
INSERT INTO public.who_data VALUES (5981, 179, 22047, 1, 661, 26, 92);
INSERT INTO public.who_data VALUES (5982, 625, 195296, 27, 2010, 26, 112);
INSERT INTO public.who_data VALUES (5983, 1, 5920, 0, 61, 26, 62);
INSERT INTO public.who_data VALUES (5984, 0, 113, 0, 0, 26, 69);
INSERT INTO public.who_data VALUES (5985, 1216, 205162, 32, 2545, 26, 220);
INSERT INTO public.who_data VALUES (5986, 275, 241567, 16, 14639, 26, 100);
INSERT INTO public.who_data VALUES (5987, 669, 162486, 53, 9012, 26, 187);
INSERT INTO public.who_data VALUES (5988, 261, 53479, 11, 1572, 26, 63);
INSERT INTO public.who_data VALUES (5989, 53, 5454, 0, 86, 26, 28);
INSERT INTO public.who_data VALUES (5990, 0, 1940, 1, 7, 26, 172);
INSERT INTO public.who_data VALUES (5991, 355, 41330, 9, 392, 26, 17);
INSERT INTO public.who_data VALUES (5992, 0, 14484, 14, 493, 26, 226);
INSERT INTO public.who_data VALUES (5993, 365, 134132, 5, 2071, 26, 236);
INSERT INTO public.who_data VALUES (5994, 0, 37, 0, 0, 26, 76);
INSERT INTO public.who_data VALUES (5995, 0, 652, 0, 1, 26, 30);
INSERT INTO public.who_data VALUES (5996, 0, 55, 0, 2, 26, 128);
INSERT INTO public.who_data VALUES (5997, 192, 42772, 3, 655, 26, 86);
INSERT INTO public.who_data VALUES (5998, 4012, 3007706, 445, 73101, 26, 140);
INSERT INTO public.who_data VALUES (5999, 38, 15702, 0, 76, 26, 44);
INSERT INTO public.who_data VALUES (6000, 60, 17912, 1, 129, 26, 113);
INSERT INTO public.who_data VALUES (6001, 133, 10411, 0, 67, 26, 29);
INSERT INTO public.who_data VALUES (6002, 50, 4008, 0, 128, 26, 125);
INSERT INTO public.who_data VALUES (6003, 1006, 254822, 25, 3096, 26, 131);
INSERT INTO public.who_data VALUES (6004, 6412, 2148077, 903, 52990, 26, 46);
INSERT INTO public.who_data VALUES (6005, 1341, 62135, 5, 372, 26, 10);
INSERT INTO public.who_data VALUES (6006, 31, 3966, 1, 63, 26, 205);
INSERT INTO public.who_data VALUES (6007, 432, 152412, 25, 5671, 26, 50);
INSERT INTO public.who_data VALUES (6008, 0, 30, 0, 0, 26, 20);
INSERT INTO public.who_data VALUES (6009, 0, 148, 0, 1, 26, 13);
INSERT INTO public.who_data VALUES (6010, 0, 9056, 0, 157, 26, 148);
INSERT INTO public.who_data VALUES (6011, 7, 7347, 1, 129, 26, 230);
INSERT INTO public.who_data VALUES (6012, 218, 154430, 4, 5469, 26, 190);
INSERT INTO public.who_data VALUES (6013, 7, 321, 0, 13, 26, 188);
INSERT INTO public.who_data VALUES (6014, 56, 14375, 0, 81, 26, 123);
INSERT INTO public.who_data VALUES (6015, 0, 2533, 0, 45, 26, 9);
INSERT INTO public.who_data VALUES (6016, 76, 7298, 2, 172, 26, 102);
INSERT INTO public.who_data VALUES (6017, 105, 11286, 0, 243, 26, 34);
INSERT INTO public.who_data VALUES (6018, 0, 26, 0, 0, 26, 212);
INSERT INTO public.who_data VALUES (6019, 691, 140929, 6, 3447, 26, 122);
INSERT INTO public.who_data VALUES (6020, 459, 360877, 89, 12113, 26, 38);
INSERT INTO public.who_data VALUES (6021, 0, 5990, 0, 29, 26, 130);
INSERT INTO public.who_data VALUES (6022, 9102, 10676838, 117, 153587, 26, 37);
INSERT INTO public.who_data VALUES (6023, 9994, 999256, 297, 28132, 26, 231);
INSERT INTO public.who_data VALUES (6024, 6309, 1379286, 98, 57481, 26, 107);
INSERT INTO public.who_data VALUES (6025, 813, 614576, 7, 13000, 26, 101);
INSERT INTO public.who_data VALUES (6026, 1369, 188923, 7, 2977, 26, 132);
INSERT INTO public.who_data VALUES (6027, 0, 432, 0, 25, 26, 176);
INSERT INTO public.who_data VALUES (6028, 4945, 599721, 77, 4462, 26, 200);
INSERT INTO public.who_data VALUES (6029, 8559, 2475372, 420, 85881, 26, 169);
INSERT INTO public.who_data VALUES (6030, 133, 15012, 2, 338, 26, 225);
INSERT INTO public.who_data VALUES (6031, 3330, 368143, 74, 5158, 26, 165);
INSERT INTO public.who_data VALUES (6032, 6, 3122, 0, 63, 26, 233);
INSERT INTO public.who_data VALUES (6033, 845, 321298, 15, 4239, 26, 215);
INSERT INTO public.who_data VALUES (6034, 1527, 228692, 0, 3035, 26, 177);
INSERT INTO public.who_data VALUES (6035, 69, 100052, 0, 1744, 26, 183);
INSERT INTO public.who_data VALUES (6036, 0, 0, 0, 0, 26, 203);
INSERT INTO public.who_data VALUES (6037, 311, 58359, 10, 1456, 26, 162);
INSERT INTO public.who_data VALUES (6038, 492, 161777, 2, 954, 26, 12);
INSERT INTO public.who_data VALUES (6039, 97, 84068, 1, 1402, 26, 24);
INSERT INTO public.who_data VALUES (6040, 1, 44, 0, 0, 26, 119);
INSERT INTO public.who_data VALUES (6041, 223, 61231, 3, 1114, 26, 39);
INSERT INTO public.who_data VALUES (6042, 2652, 282249, 54, 2394, 26, 26);
INSERT INTO public.who_data VALUES (6043, 388, 8044, 11, 134, 26, 59);
INSERT INTO public.who_data VALUES (6044, 13, 1927, 0, 84, 26, 77);
INSERT INTO public.who_data VALUES (6045, 742, 114430, 19, 1782, 26, 134);
INSERT INTO public.who_data VALUES (6046, 4, 2526, 0, 50, 26, 4);
INSERT INTO public.who_data VALUES (6047, 768, 177934, 24, 2688, 26, 109);
INSERT INTO public.who_data VALUES (6048, 29, 49733, 2, 566, 26, 90);
INSERT INTO public.who_data VALUES (6049, 0, 18743, 0, 279, 26, 61);
INSERT INTO public.who_data VALUES (6050, 592, 19987, 10, 518, 26, 85);
INSERT INTO public.who_data VALUES (6051, 3048, 186849, 11, 689, 26, 49);
INSERT INTO public.who_data VALUES (6052, 109, 15102, 0, 51, 26, 208);
INSERT INTO public.who_data VALUES (6053, 0, 7983, 0, 323, 26, 166);
INSERT INTO public.who_data VALUES (6054, 203, 16861, 2, 253, 26, 64);
INSERT INTO public.who_data VALUES (6055, 0, 4, 0, 0, 26, 199);
INSERT INTO public.who_data VALUES (6056, 0, 6370, 0, 44, 26, 114);
INSERT INTO public.who_data VALUES (6057, 0, 16222, 0, 410, 26, 60);
INSERT INTO public.who_data VALUES (6058, 12, 568, 0, 10, 26, 68);
INSERT INTO public.who_data VALUES (6059, 46, 7590, 0, 59, 26, 158);
INSERT INTO public.who_data VALUES (6060, 10872, 1763219, 530, 149614, 26, 52);
INSERT INTO public.who_data VALUES (6061, 0, 0, 0, 0, 26, 117);
INSERT INTO public.who_data VALUES (6062, 11, 1368, 0, 9, 26, 126);
INSERT INTO public.who_data VALUES (6063, 16, 1643, 0, 2, 26, 196);
INSERT INTO public.who_data VALUES (6064, 511, 59763, 7, 777, 26, 142);
INSERT INTO public.who_data VALUES (6065, 0, 13, 0, 1, 26, 185);
INSERT INTO public.who_data VALUES (6066, 337, 466626, 22, 8172, 26, 138);
INSERT INTO public.who_data VALUES (6067, 363, 32781, 14, 319, 26, 181);
INSERT INTO public.who_data VALUES (6068, 383, 137957, 7, 3069, 26, 178);
INSERT INTO public.who_data VALUES (6069, 225, 32650, 0, 319, 26, 168);
INSERT INTO public.who_data VALUES (6070, 0, 0, 0, 0, 26, 160);
INSERT INTO public.who_data VALUES (6071, 339, 269789, 10, 2011, 26, 151);
INSERT INTO public.who_data VALUES (6072, 4097, 952394, 40, 13565, 26, 193);
INSERT INTO public.who_data VALUES (6073, 0, 44, 0, 0, 26, 18);
INSERT INTO public.who_data VALUES (6074, 1, 1933, 0, 25, 26, 40);
INSERT INTO public.who_data VALUES (6075, 0, 4953, 0, 168, 26, 218);
INSERT INTO public.who_data VALUES (6076, 21, 4374, 0, 151, 26, 191);
INSERT INTO public.who_data VALUES (6077, 1430, 122996, 10, 1507, 26, 156);
INSERT INTO public.who_data VALUES (6078, 0, 0, 0, 0, 26, 135);
INSERT INTO public.who_data VALUES (6079, 0, 132, 0, 2, 26, 88);
INSERT INTO public.who_data VALUES (6080, 63, 90717, 6, 2791, 26, 55);
INSERT INTO public.who_data VALUES (6081, 279, 61082, 4, 548, 26, 108);
INSERT INTO public.who_data VALUES (6082, 470, 175416, 5, 1967, 26, 48);
INSERT INTO public.who_data VALUES (6083, 209, 133253, 1, 1522, 26, 3);
INSERT INTO public.who_data VALUES (6084, 0, 745, 0, 13, 26, 224);
INSERT INTO public.who_data VALUES (6085, 1629, 534041, 23, 11318, 26, 110);
INSERT INTO public.who_data VALUES (6086, 0, 0, 0, 0, 26, 106);
INSERT INTO public.who_data VALUES (6087, 1393, 311244, 29, 5063, 26, 89);
INSERT INTO public.who_data VALUES (6088, 0, 849, 0, 9, 26, 121);
INSERT INTO public.who_data VALUES (6089, 571, 127652, 10, 2617, 26, 163);
INSERT INTO public.who_data VALUES (6090, 5075, 1099013, 169, 39777, 26, 70);
INSERT INTO public.who_data VALUES (6091, 1377, 514996, 50, 10292, 26, 174);
INSERT INTO public.who_data VALUES (6092, 0, 0, 0, 0, 26, 175);
INSERT INTO public.who_data VALUES (6093, 4603, 1482722, 264, 35665, 26, 118);
INSERT INTO public.who_data VALUES (6094, 6923, 643113, 252, 10721, 26, 189);
INSERT INTO public.who_data VALUES (6095, 568, 91596, 5, 1778, 26, 124);
INSERT INTO public.who_data VALUES (6096, 277, 149296, 0, 248, 26, 192);
INSERT INTO public.who_data VALUES (6097, 349, 75867, 11, 1371, 26, 41);
INSERT INTO public.who_data VALUES (6098, 224, 156426, 7, 3368, 26, 95);
INSERT INTO public.who_data VALUES (6099, 142, 9843, 0, 45, 26, 74);
INSERT INTO public.who_data VALUES (6100, 1551, 712561, 65, 17841, 26, 11);
INSERT INTO public.who_data VALUES (6101, 18241, 3756931, 564, 70482, 26, 87);
INSERT INTO public.who_data VALUES (6102, 336, 13311, 3, 177, 26, 214);
INSERT INTO public.who_data VALUES (6103, 0, 6, 0, 0, 26, 116);
INSERT INTO public.who_data VALUES (6104, 0, 376, 0, 0, 26, 157);
INSERT INTO public.who_data VALUES (6105, 0, 0, 0, 0, 26, 182);
INSERT INTO public.who_data VALUES (6106, 0, 35, 0, 0, 26, 186);
INSERT INTO public.who_data VALUES (6107, 76, 886, 0, 11, 26, 127);
INSERT INTO public.who_data VALUES (6108, 0, 1191, 0, 12, 26, 232);
INSERT INTO public.who_data VALUES (6109, 2, 23, 0, 0, 26, 33);
INSERT INTO public.who_data VALUES (6110, 8, 746, 0, 2, 26, 97);
INSERT INTO public.who_data VALUES (6111, 0, 2, 0, 0, 26, 42);
INSERT INTO public.who_data VALUES (6112, 15, 2889, 0, 65, 26, 198);
INSERT INTO public.who_data VALUES (6113, 1, 1189, 0, 17, 26, 216);
INSERT INTO public.who_data VALUES (6114, 213, 366584, 3, 6355, 26, 164);
INSERT INTO public.who_data VALUES (6115, 265, 24993, 7, 582, 26, 235);
INSERT INTO public.who_data VALUES (6116, 1523, 385126, 19, 3905, 26, 67);
INSERT INTO public.who_data VALUES (6117, 36, 1069, 0, 3, 26, 15);
INSERT INTO public.who_data VALUES (6118, 34, 3173, 0, 77, 26, 180);
INSERT INTO public.who_data VALUES (6119, 44, 59352, 0, 29, 26, 237);
INSERT INTO public.who_data VALUES (6120, 0, 20, 0, 0, 26, 25);
INSERT INTO public.who_data VALUES (6121, 41, 1749, 0, 27, 26, 209);
INSERT INTO public.who_data VALUES (6122, 551, 237027, 0, 4068, 26, 217);
INSERT INTO public.who_data VALUES (6123, 297, 158250, 24, 3701, 26, 79);
INSERT INTO public.who_data VALUES (6124, 0, 17, 0, 0, 26, 143);
INSERT INTO public.who_data VALUES (6125, 0, 4754, 0, 130, 26, 229);
INSERT INTO public.who_data VALUES (6126, 4551, 1417537, 243, 41117, 26, 141);
INSERT INTO public.who_data VALUES (6127, 0, 3865, 0, 64, 26, 197);
INSERT INTO public.who_data VALUES (6128, 17081, 2700733, 433, 58852, 26, 221);
INSERT INTO public.who_data VALUES (6129, 737, 59167, 0, 283, 26, 150);
INSERT INTO public.who_data VALUES (6130, 70, 28994, 12, 1750, 26, 56);
INSERT INTO public.who_data VALUES (6131, 57, 8057, 1, 149, 26, 167);
INSERT INTO public.who_data VALUES (6132, 1148, 554335, 52, 11869, 26, 23);
INSERT INTO public.who_data VALUES (6133, 2490, 513925, 30, 8663, 26, 222);
INSERT INTO public.who_data VALUES (6134, 69, 13697, 5, 890, 26, 219);
INSERT INTO public.who_data VALUES (6135, 0, 13714, 0, 91, 26, 7);
INSERT INTO public.who_data VALUES (6136, 959, 14646, 0, 75, 26, 161);
INSERT INTO public.who_data VALUES (6137, 22195, 3669662, 592, 98531, 26, 149);
INSERT INTO public.who_data VALUES (6138, 0, 67, 0, 0, 26, 6);
INSERT INTO public.who_data VALUES (6139, 0, 4662, 0, 75, 26, 139);
INSERT INTO public.who_data VALUES (6140, 0, 0, 0, 0, 26, 211);
INSERT INTO public.who_data VALUES (6141, 0, 0, 0, 0, 26, 14);
INSERT INTO public.who_data VALUES (6142, 11, 7473, 0, 134, 26, 111);
INSERT INTO public.who_data VALUES (6143, 1263, 198636, 53, 6287, 26, 207);
INSERT INTO public.who_data VALUES (6144, 5642, 2435247, 137, 25210, 26, 66);
INSERT INTO public.who_data VALUES (6145, 0, 0, 0, 0, 26, 173);
INSERT INTO public.who_data VALUES (6146, 0, 1287, 0, 7, 26, 145);
INSERT INTO public.who_data VALUES (6147, 0, 0, 0, 0, 26, 65);
INSERT INTO public.who_data VALUES (6148, 39, 39188, 1, 318, 26, 184);
INSERT INTO public.who_data VALUES (6149, 2779, 1197107, 133, 22057, 26, 98);
INSERT INTO public.who_data VALUES (6150, 3591, 281546, 6, 798, 26, 104);
INSERT INTO public.who_data VALUES (6151, 0, 509, 0, 21, 26, 73);
INSERT INTO public.who_data VALUES (6152, 141691, 24916899, 1921, 416004, 26, 8);
INSERT INTO public.who_data VALUES (6153, 0, 2341, 0, 24, 26, 227);
INSERT INTO public.who_data VALUES (6154, 666, 37633, 9, 376, 26, 75);
INSERT INTO public.who_data VALUES (6155, 42, 78471, 0, 621, 26, 45);
INSERT INTO public.who_data VALUES (6156, 0, 1, 0, 0, 26, 133);
INSERT INTO public.who_data VALUES (6157, 464, 123709, 6, 1148, 26, 202);
INSERT INTO public.who_data VALUES (6158, 1, 1549, 0, 35, 26, 129);
INSERT INTO public.who_data VALUES (6159, 0, 5, 0, 0, 26, 36);
INSERT INTO public.who_data VALUES (6160, 0, 2122, 0, 616, 26, 51);
INSERT INTO public.who_data VALUES (6161, 809, 46146, 21, 660, 26, 206);
INSERT INTO public.who_data VALUES (6162, 326, 31646, 70, 1075, 26, 5);
INSERT INTO public.who_data VALUES (6163, 77, 54672, 7, 2385, 27, 103);
INSERT INTO public.who_data VALUES (6164, 833, 72274, 5, 1315, 27, 58);
INSERT INTO public.who_data VALUES (6165, 227, 105596, 2, 2863, 27, 195);
INSERT INTO public.who_data VALUES (6166, 0, 0, 0, 0, 27, 115);
INSERT INTO public.who_data VALUES (6167, 50, 9549, 0, 96, 27, 99);
INSERT INTO public.who_data VALUES (6168, 32, 19399, 2, 459, 27, 153);
INSERT INTO public.who_data VALUES (6169, 0, 15, 0, 0, 27, 93);
INSERT INTO public.who_data VALUES (6170, 0, 195, 0, 6, 27, 84);
INSERT INTO public.who_data VALUES (6171, 8362, 1862192, 162, 46737, 27, 78);
INSERT INTO public.who_data VALUES (6172, 58, 166094, 8, 3047, 27, 170);
INSERT INTO public.who_data VALUES (6173, 0, 6623, 0, 52, 27, 32);
INSERT INTO public.who_data VALUES (6174, 5, 28766, 0, 909, 27, 155);
INSERT INTO public.who_data VALUES (6175, 1347, 401534, 44, 7362, 27, 82);
INSERT INTO public.who_data VALUES (6176, 287, 228975, 10, 3082, 27, 16);
INSERT INTO public.who_data VALUES (6177, 17, 8127, 0, 175, 27, 72);
INSERT INTO public.who_data VALUES (6178, 361, 99817, 0, 367, 27, 43);
INSERT INTO public.who_data VALUES (6179, 473, 531799, 20, 8023, 27, 120);
INSERT INTO public.who_data VALUES (6180, 98, 1341, 0, 9, 27, 213);
INSERT INTO public.who_data VALUES (6181, 1752, 237611, 10, 1649, 27, 31);
INSERT INTO public.who_data VALUES (6182, 822, 695871, 39, 20845, 27, 204);
INSERT INTO public.who_data VALUES (6183, 22, 11722, 0, 290, 27, 152);
INSERT INTO public.who_data VALUES (6184, 0, 3643, 0, 48, 27, 144);
INSERT INTO public.who_data VALUES (6185, 0, 686, 0, 12, 27, 96);
INSERT INTO public.who_data VALUES (6186, 1, 855, 0, 1, 27, 47);
INSERT INTO public.who_data VALUES (6187, 1732, 199989, 56, 9927, 27, 80);
INSERT INTO public.who_data VALUES (6188, 0, 350, 0, 3, 27, 159);
INSERT INTO public.who_data VALUES (6189, 203, 120043, 5, 4574, 27, 27);
INSERT INTO public.who_data VALUES (6190, 0, 18630, 0, 88, 27, 146);
INSERT INTO public.who_data VALUES (6191, 62334, 8816254, 1202, 216445, 27, 71);
INSERT INTO public.who_data VALUES (6192, 0, 137, 0, 1, 27, 210);
INSERT INTO public.who_data VALUES (6193, 0, 175, 0, 3, 27, 54);
INSERT INTO public.who_data VALUES (6194, 121, 214817, 9, 8820, 27, 147);
INSERT INTO public.who_data VALUES (6195, 71, 10038, 3, 112, 27, 2);
INSERT INTO public.who_data VALUES (6196, 7, 1479, 0, 2, 27, 105);
INSERT INTO public.who_data VALUES (6197, 75, 13489, 3, 127, 27, 53);
INSERT INTO public.who_data VALUES (6198, 0, 458, 0, 0, 27, 81);
INSERT INTO public.who_data VALUES (6199, 0, 29617, 0, 462, 27, 223);
INSERT INTO public.who_data VALUES (6200, 5124, 742531, 146, 18974, 27, 94);
INSERT INTO public.who_data VALUES (6201, 0, 383, 0, 2, 27, 154);
INSERT INTO public.who_data VALUES (6202, 0, 4980, 0, 63, 27, 83);
INSERT INTO public.who_data VALUES (6203, 24, 3161, 1, 116, 27, 194);
INSERT INTO public.who_data VALUES (6204, 4463, 699110, 79, 17933, 27, 136);
INSERT INTO public.who_data VALUES (6205, 205, 100136, 1, 4811, 27, 179);
INSERT INTO public.who_data VALUES (6206, 15551, 2002969, 396, 50982, 27, 57);
INSERT INTO public.who_data VALUES (6207, 8, 2268, 1, 71, 27, 35);
INSERT INTO public.who_data VALUES (6208, 93, 7887, 0, 117, 27, 228);
INSERT INTO public.who_data VALUES (6209, 0, 0, 0, 0, 27, 19);
INSERT INTO public.who_data VALUES (6210, 651, 189959, 14, 2532, 27, 22);
INSERT INTO public.who_data VALUES (6211, 238, 26850, 1, 146, 27, 1);
INSERT INTO public.who_data VALUES (6212, 134, 229054, 32, 4859, 27, 21);
INSERT INTO public.who_data VALUES (6213, 634, 21261, 3, 194, 27, 234);
INSERT INTO public.who_data VALUES (6214, 0, 4537, 0, 20, 27, 91);
INSERT INTO public.who_data VALUES (6215, 130, 30017, 3, 186, 27, 137);
INSERT INTO public.who_data VALUES (6216, 2387, 940004, 84, 15453, 27, 201);
INSERT INTO public.who_data VALUES (6217, 0, 0, 0, 0, 27, 171);
INSERT INTO public.who_data VALUES (6218, 0, 21868, 0, 660, 27, 92);
INSERT INTO public.who_data VALUES (6219, 754, 194671, 14, 1983, 27, 112);
INSERT INTO public.who_data VALUES (6220, 1, 5919, 0, 61, 27, 62);
INSERT INTO public.who_data VALUES (6221, 0, 113, 0, 0, 27, 69);
INSERT INTO public.who_data VALUES (6222, 1439, 203946, 0, 2513, 27, 220);
INSERT INTO public.who_data VALUES (6223, 3060, 241292, 27, 14623, 27, 100);
INSERT INTO public.who_data VALUES (6224, 674, 161817, 57, 8959, 27, 187);
INSERT INTO public.who_data VALUES (6225, 546, 53218, 10, 1561, 27, 63);
INSERT INTO public.who_data VALUES (6226, 0, 5401, 0, 86, 27, 28);
INSERT INTO public.who_data VALUES (6227, 0, 1940, 0, 6, 27, 172);
INSERT INTO public.who_data VALUES (6228, 259, 40975, 7, 383, 27, 17);
INSERT INTO public.who_data VALUES (6229, 154, 14484, 21, 479, 27, 226);
INSERT INTO public.who_data VALUES (6230, 469, 133767, 3, 2066, 27, 236);
INSERT INTO public.who_data VALUES (6231, 0, 37, 0, 0, 27, 76);
INSERT INTO public.who_data VALUES (6232, 0, 652, 0, 1, 27, 30);
INSERT INTO public.who_data VALUES (6233, 0, 55, 0, 2, 27, 128);
INSERT INTO public.who_data VALUES (6234, 246, 42580, 4, 652, 27, 86);
INSERT INTO public.who_data VALUES (6235, 18435, 3003694, 172, 72656, 27, 140);
INSERT INTO public.who_data VALUES (6236, 0, 15664, 0, 76, 27, 44);
INSERT INTO public.who_data VALUES (6237, 0, 17852, 0, 128, 27, 113);
INSERT INTO public.who_data VALUES (6238, 0, 10278, 0, 67, 27, 29);
INSERT INTO public.who_data VALUES (6239, 0, 3958, 0, 128, 27, 125);
INSERT INTO public.who_data VALUES (6240, 298, 253816, 16, 3071, 27, 131);
INSERT INTO public.who_data VALUES (6241, 6729, 2141665, 217, 52087, 27, 46);
INSERT INTO public.who_data VALUES (6242, 679, 60794, 6, 367, 27, 10);
INSERT INTO public.who_data VALUES (6243, 30, 3935, 3, 62, 27, 205);
INSERT INTO public.who_data VALUES (6244, 334, 151980, 24, 5646, 27, 50);
INSERT INTO public.who_data VALUES (6245, 0, 30, 0, 0, 27, 20);
INSERT INTO public.who_data VALUES (6246, 1, 148, 0, 1, 27, 13);
INSERT INTO public.who_data VALUES (6247, 0, 9056, 0, 157, 27, 148);
INSERT INTO public.who_data VALUES (6248, 0, 7340, 0, 128, 27, 230);
INSERT INTO public.who_data VALUES (6249, 322, 154212, 9, 5465, 27, 190);
INSERT INTO public.who_data VALUES (6250, 4, 314, 0, 13, 27, 188);
INSERT INTO public.who_data VALUES (6251, 19, 14319, 0, 81, 27, 123);
INSERT INTO public.who_data VALUES (6252, 2, 2533, 0, 45, 27, 9);
INSERT INTO public.who_data VALUES (6253, 79, 7222, 0, 170, 27, 102);
INSERT INTO public.who_data VALUES (6254, 82, 11181, 0, 243, 27, 34);
INSERT INTO public.who_data VALUES (6255, 0, 26, 0, 0, 27, 212);
INSERT INTO public.who_data VALUES (6256, 1056, 140238, 2, 3441, 27, 122);
INSERT INTO public.who_data VALUES (6257, 844, 360418, 56, 12024, 27, 38);
INSERT INTO public.who_data VALUES (6258, 9, 5990, 0, 29, 27, 130);
INSERT INTO public.who_data VALUES (6259, 13203, 10667736, 131, 153470, 27, 37);
INSERT INTO public.who_data VALUES (6260, 11788, 989262, 171, 27835, 27, 231);
INSERT INTO public.who_data VALUES (6261, 5945, 1372977, 89, 57383, 27, 107);
INSERT INTO public.who_data VALUES (6262, 893, 613763, 5, 12993, 27, 101);
INSERT INTO public.who_data VALUES (6263, 1370, 187554, 23, 2970, 27, 132);
INSERT INTO public.who_data VALUES (6264, 0, 432, 0, 25, 27, 176);
INSERT INTO public.who_data VALUES (6265, 2448, 594776, 52, 4385, 27, 200);
INSERT INTO public.who_data VALUES (6266, 11628, 2466813, 299, 85461, 27, 169);
INSERT INTO public.who_data VALUES (6267, 107, 14879, 0, 336, 27, 225);
INSERT INTO public.who_data VALUES (6268, 4152, 364813, 65, 5084, 27, 165);
INSERT INTO public.who_data VALUES (6269, 12, 3116, 0, 63, 27, 233);
INSERT INTO public.who_data VALUES (6270, 934, 320453, 7, 4224, 27, 215);
INSERT INTO public.who_data VALUES (6271, 1274, 227165, 0, 3035, 27, 177);
INSERT INTO public.who_data VALUES (6272, 85, 99983, 4, 1744, 27, 183);
INSERT INTO public.who_data VALUES (6273, 0, 0, 0, 0, 27, 203);
INSERT INTO public.who_data VALUES (6274, 392, 58048, 6, 1446, 27, 162);
INSERT INTO public.who_data VALUES (6275, 384, 161285, 0, 952, 27, 12);
INSERT INTO public.who_data VALUES (6276, 71, 83971, 1, 1401, 27, 24);
INSERT INTO public.who_data VALUES (6277, 0, 43, 0, 0, 27, 119);
INSERT INTO public.who_data VALUES (6278, 512, 61008, 14, 1111, 27, 39);
INSERT INTO public.who_data VALUES (6279, 3010, 279597, 60, 2340, 27, 26);
INSERT INTO public.who_data VALUES (6280, 0, 7656, 0, 123, 27, 59);
INSERT INTO public.who_data VALUES (6281, 0, 1914, 0, 84, 27, 77);
INSERT INTO public.who_data VALUES (6282, 1148, 113688, 26, 1763, 27, 134);
INSERT INTO public.who_data VALUES (6283, 11, 2522, 0, 50, 27, 4);
INSERT INTO public.who_data VALUES (6284, 542, 177166, 15, 2664, 27, 109);
INSERT INTO public.who_data VALUES (6285, 123, 49704, 0, 564, 27, 90);
INSERT INTO public.who_data VALUES (6286, 442, 18743, 6, 279, 27, 61);
INSERT INTO public.who_data VALUES (6287, 956, 19395, 38, 508, 27, 85);
INSERT INTO public.who_data VALUES (6288, 3346, 183801, 11, 678, 27, 49);
INSERT INTO public.who_data VALUES (6289, 108, 14993, 1, 51, 27, 208);
INSERT INTO public.who_data VALUES (6290, 18, 7983, 0, 323, 27, 166);
INSERT INTO public.who_data VALUES (6291, 116, 16658, 1, 251, 27, 64);
INSERT INTO public.who_data VALUES (6292, 0, 4, 0, 0, 27, 199);
INSERT INTO public.who_data VALUES (6293, 0, 6370, 0, 44, 27, 114);
INSERT INTO public.who_data VALUES (6294, 0, 16222, 0, 410, 27, 60);
INSERT INTO public.who_data VALUES (6295, 0, 556, 0, 10, 27, 68);
INSERT INTO public.who_data VALUES (6296, 0, 7544, 0, 59, 27, 158);
INSERT INTO public.who_data VALUES (6297, 20057, 1752347, 1470, 149084, 27, 52);
INSERT INTO public.who_data VALUES (6298, 0, 0, 0, 0, 27, 117);
INSERT INTO public.who_data VALUES (6299, 12, 1357, 0, 9, 27, 126);
INSERT INTO public.who_data VALUES (6300, 16, 1627, 0, 2, 27, 196);
INSERT INTO public.who_data VALUES (6301, 567, 59252, 2, 770, 27, 142);
INSERT INTO public.who_data VALUES (6302, 0, 13, 0, 1, 27, 185);
INSERT INTO public.who_data VALUES (6303, 520, 466289, 22, 8150, 27, 138);
INSERT INTO public.who_data VALUES (6304, 790, 32418, 8, 305, 27, 181);
INSERT INTO public.who_data VALUES (6305, 476, 137574, 17, 3062, 27, 178);
INSERT INTO public.who_data VALUES (6306, 212, 32425, 2, 319, 27, 168);
INSERT INTO public.who_data VALUES (6307, 0, 0, 0, 0, 27, 160);
INSERT INTO public.who_data VALUES (6308, 270, 269450, 7, 2001, 27, 151);
INSERT INTO public.who_data VALUES (6309, 4890, 948297, 30, 13525, 27, 193);
INSERT INTO public.who_data VALUES (6310, 0, 44, 0, 0, 27, 18);
INSERT INTO public.who_data VALUES (6311, 6, 1932, 0, 25, 27, 40);
INSERT INTO public.who_data VALUES (6312, 0, 4953, 0, 168, 27, 218);
INSERT INTO public.who_data VALUES (6313, 32, 4353, 0, 151, 27, 191);
INSERT INTO public.who_data VALUES (6314, 964, 121566, 2, 1497, 27, 156);
INSERT INTO public.who_data VALUES (6315, 0, 0, 0, 0, 27, 135);
INSERT INTO public.who_data VALUES (6316, 0, 132, 0, 2, 27, 88);
INSERT INTO public.who_data VALUES (6317, 183, 90654, 6, 2785, 27, 55);
INSERT INTO public.who_data VALUES (6318, 238, 60803, 0, 544, 27, 108);
INSERT INTO public.who_data VALUES (6319, 533, 174946, 11, 1962, 27, 48);
INSERT INTO public.who_data VALUES (6320, 558, 133044, 4, 1521, 27, 3);
INSERT INTO public.who_data VALUES (6321, 0, 745, 0, 13, 27, 224);
INSERT INTO public.who_data VALUES (6322, 1594, 532412, 48, 11295, 27, 110);
INSERT INTO public.who_data VALUES (6323, 0, 0, 0, 0, 27, 106);
INSERT INTO public.who_data VALUES (6324, 2058, 309851, 54, 5034, 27, 89);
INSERT INTO public.who_data VALUES (6325, 0, 849, 0, 9, 27, 121);
INSERT INTO public.who_data VALUES (6326, 711, 127081, 22, 2607, 27, 163);
INSERT INTO public.who_data VALUES (6327, 5842, 1093938, 181, 39608, 27, 70);
INSERT INTO public.who_data VALUES (6328, 1940, 513619, 52, 10242, 27, 174);
INSERT INTO public.who_data VALUES (6329, 0, 0, 0, 0, 27, 175);
INSERT INTO public.who_data VALUES (6330, 2674, 1478119, 38, 35401, 27, 118);
INSERT INTO public.who_data VALUES (6331, 11721, 636190, 275, 10469, 27, 189);
INSERT INTO public.who_data VALUES (6332, 955, 91028, 2, 1773, 27, 124);
INSERT INTO public.who_data VALUES (6333, 247, 149019, 0, 248, 27, 192);
INSERT INTO public.who_data VALUES (6334, 437, 75518, 11, 1360, 27, 41);
INSERT INTO public.who_data VALUES (6335, 265, 156202, 14, 3361, 27, 95);
INSERT INTO public.who_data VALUES (6336, 0, 9701, 0, 45, 27, 74);
INSERT INTO public.who_data VALUES (6337, 1816, 711010, 54, 17776, 27, 11);
INSERT INTO public.who_data VALUES (6338, 19290, 3738690, 456, 69918, 27, 87);
INSERT INTO public.who_data VALUES (6339, 328, 12975, 2, 174, 27, 214);
INSERT INTO public.who_data VALUES (6340, 0, 6, 0, 0, 27, 116);
INSERT INTO public.who_data VALUES (6341, 0, 376, 0, 0, 27, 157);
INSERT INTO public.who_data VALUES (6342, 0, 0, 0, 0, 27, 182);
INSERT INTO public.who_data VALUES (6343, 0, 35, 0, 0, 27, 186);
INSERT INTO public.who_data VALUES (6344, 40, 810, 1, 11, 27, 127);
INSERT INTO public.who_data VALUES (6345, 0, 1191, 0, 12, 27, 232);
INSERT INTO public.who_data VALUES (6346, 1, 21, 0, 0, 27, 33);
INSERT INTO public.who_data VALUES (6347, 18, 738, 0, 2, 27, 97);
INSERT INTO public.who_data VALUES (6348, 0, 2, 0, 0, 27, 42);
INSERT INTO public.who_data VALUES (6349, 0, 2874, 0, 65, 27, 198);
INSERT INTO public.who_data VALUES (6350, 6, 1188, 0, 17, 27, 216);
INSERT INTO public.who_data VALUES (6351, 186, 366371, 2, 6352, 27, 164);
INSERT INTO public.who_data VALUES (6352, 268, 24728, 6, 575, 27, 235);
INSERT INTO public.who_data VALUES (6353, 1318, 383603, 18, 3886, 27, 67);
INSERT INTO public.who_data VALUES (6354, 0, 1033, 0, 3, 27, 15);
INSERT INTO public.who_data VALUES (6355, 19, 3139, 0, 77, 27, 180);
INSERT INTO public.who_data VALUES (6356, 48, 59308, 0, 29, 27, 237);
INSERT INTO public.who_data VALUES (6357, 0, 20, 0, 0, 27, 25);
INSERT INTO public.who_data VALUES (6358, 0, 1708, 0, 27, 27, 209);
INSERT INTO public.who_data VALUES (6359, 1905, 236476, 103, 4068, 27, 217);
INSERT INTO public.who_data VALUES (6360, 541, 157953, 30, 3677, 27, 79);
INSERT INTO public.who_data VALUES (6361, 0, 17, 0, 0, 27, 143);
INSERT INTO public.who_data VALUES (6362, 0, 4754, 0, 130, 27, 229);
INSERT INTO public.who_data VALUES (6363, 8147, 1412986, 300, 40874, 27, 141);
INSERT INTO public.who_data VALUES (6364, 92, 3865, 0, 64, 27, 197);
INSERT INTO public.who_data VALUES (6365, 23648, 2683652, 389, 58419, 27, 221);
INSERT INTO public.who_data VALUES (6366, 843, 58430, 3, 283, 27, 150);
INSERT INTO public.who_data VALUES (6367, 54, 28924, 0, 1738, 27, 56);
INSERT INTO public.who_data VALUES (6368, 55, 8000, 0, 148, 27, 167);
INSERT INTO public.who_data VALUES (6369, 2368, 553187, 63, 11817, 27, 23);
INSERT INTO public.who_data VALUES (6370, 732, 511435, 47, 8633, 27, 222);
INSERT INTO public.who_data VALUES (6371, 71, 13628, 6, 885, 27, 219);
INSERT INTO public.who_data VALUES (6372, 0, 13714, 0, 91, 27, 7);
INSERT INTO public.who_data VALUES (6373, 187, 13687, 2, 75, 27, 161);
INSERT INTO public.who_data VALUES (6374, 30004, 3647467, 610, 97939, 27, 149);
INSERT INTO public.who_data VALUES (6375, 0, 67, 0, 0, 27, 6);
INSERT INTO public.who_data VALUES (6376, 26, 4662, 1, 75, 27, 139);
INSERT INTO public.who_data VALUES (6377, 0, 0, 0, 0, 27, 211);
INSERT INTO public.who_data VALUES (6378, 0, 0, 0, 0, 27, 14);
INSERT INTO public.who_data VALUES (6379, 6, 7462, 1, 134, 27, 111);
INSERT INTO public.who_data VALUES (6380, 2059, 197373, 80, 6234, 27, 207);
INSERT INTO public.who_data VALUES (6381, 5277, 2429605, 140, 25073, 27, 66);
INSERT INTO public.who_data VALUES (6382, 0, 0, 0, 0, 27, 173);
INSERT INTO public.who_data VALUES (6383, 43, 1287, 0, 7, 27, 145);
INSERT INTO public.who_data VALUES (6384, 0, 0, 0, 0, 27, 65);
INSERT INTO public.who_data VALUES (6385, 105, 39149, 0, 317, 27, 184);
INSERT INTO public.who_data VALUES (6386, 2516, 1194328, 63, 21924, 27, 98);
INSERT INTO public.who_data VALUES (6387, 3579, 277955, 9, 792, 27, 104);
INSERT INTO public.who_data VALUES (6388, 0, 509, 0, 21, 27, 73);
INSERT INTO public.who_data VALUES (6389, 170883, 24775208, 3416, 414083, 27, 8);
INSERT INTO public.who_data VALUES (6390, 6, 2341, 0, 24, 27, 227);
INSERT INTO public.who_data VALUES (6391, 797, 36967, 3, 367, 27, 75);
INSERT INTO public.who_data VALUES (6392, 54, 78429, 0, 621, 27, 45);
INSERT INTO public.who_data VALUES (6393, 0, 1, 0, 0, 27, 133);
INSERT INTO public.who_data VALUES (6394, 450, 123245, 6, 1142, 27, 202);
INSERT INTO public.who_data VALUES (6395, 0, 1548, 0, 35, 27, 129);
INSERT INTO public.who_data VALUES (6396, 1, 5, 0, 0, 27, 36);
INSERT INTO public.who_data VALUES (6397, 0, 2122, 0, 616, 27, 51);
INSERT INTO public.who_data VALUES (6398, 745, 45337, 12, 639, 27, 206);
INSERT INTO public.who_data VALUES (6399, 313, 31320, 31, 1005, 27, 5);
INSERT INTO public.who_data VALUES (6400, 36, 54595, 5, 2378, 28, 103);
INSERT INTO public.who_data VALUES (6401, 786, 71441, 7, 1310, 28, 58);
INSERT INTO public.who_data VALUES (6402, 245, 105369, 5, 2861, 28, 195);
INSERT INTO public.who_data VALUES (6403, 0, 0, 0, 0, 28, 115);
INSERT INTO public.who_data VALUES (6404, 83, 9499, 3, 96, 28, 99);
INSERT INTO public.who_data VALUES (6405, 98, 19367, 5, 457, 28, 153);
INSERT INTO public.who_data VALUES (6406, 0, 15, 0, 0, 28, 93);
INSERT INTO public.who_data VALUES (6407, 3, 195, 0, 6, 28, 84);
INSERT INTO public.who_data VALUES (6408, 10753, 1853830, 220, 46575, 28, 78);
INSERT INTO public.who_data VALUES (6409, 127, 166036, 5, 3039, 28, 170);
INSERT INTO public.who_data VALUES (6410, 0, 6623, 0, 52, 28, 32);
INSERT INTO public.who_data VALUES (6411, 6, 28761, 0, 909, 28, 155);
INSERT INTO public.who_data VALUES (6412, 1551, 400187, 30, 7318, 28, 82);
INSERT INTO public.who_data VALUES (6413, 162, 228688, 8, 3072, 28, 16);
INSERT INTO public.who_data VALUES (6414, 9, 8110, 0, 175, 28, 72);
INSERT INTO public.who_data VALUES (6415, 246, 99456, 1, 367, 28, 43);
INSERT INTO public.who_data VALUES (6416, 436, 531326, 22, 8003, 28, 120);
INSERT INTO public.who_data VALUES (6417, 87, 1243, 0, 9, 28, 213);
INSERT INTO public.who_data VALUES (6418, 1748, 235859, 11, 1639, 28, 31);
INSERT INTO public.who_data VALUES (6419, 1398, 695049, 67, 20806, 28, 204);
INSERT INTO public.who_data VALUES (6420, 24, 11700, 1, 290, 28, 152);
INSERT INTO public.who_data VALUES (6421, 0, 3643, 0, 48, 28, 144);
INSERT INTO public.who_data VALUES (6422, 0, 686, 0, 12, 28, 96);
INSERT INTO public.who_data VALUES (6423, 3, 854, 0, 1, 28, 47);
INSERT INTO public.who_data VALUES (6424, 1864, 198257, 53, 9871, 28, 80);
INSERT INTO public.who_data VALUES (6425, 0, 350, 0, 3, 28, 159);
INSERT INTO public.who_data VALUES (6426, 420, 119840, 14, 4569, 28, 27);
INSERT INTO public.who_data VALUES (6427, 0, 18630, 0, 88, 28, 146);
INSERT INTO public.who_data VALUES (6428, 56552, 8753920, 1096, 215243, 28, 71);
INSERT INTO public.who_data VALUES (6429, 16, 137, 0, 1, 28, 210);
INSERT INTO public.who_data VALUES (6430, 0, 175, 0, 3, 28, 54);
INSERT INTO public.who_data VALUES (6431, 266, 214696, 12, 8811, 28, 147);
INSERT INTO public.who_data VALUES (6432, 110, 9967, 2, 109, 28, 2);
INSERT INTO public.who_data VALUES (6433, 34, 1472, 0, 2, 28, 105);
INSERT INTO public.who_data VALUES (6434, 33, 13414, 2, 124, 28, 53);
INSERT INTO public.who_data VALUES (6435, 2, 458, 0, 0, 28, 81);
INSERT INTO public.who_data VALUES (6436, 1607, 29617, 7, 462, 28, 223);
INSERT INTO public.who_data VALUES (6437, 5957, 737407, 206, 18828, 28, 94);
INSERT INTO public.who_data VALUES (6438, 1, 383, 0, 2, 28, 154);
INSERT INTO public.who_data VALUES (6439, 6, 4980, 0, 63, 28, 83);
INSERT INTO public.who_data VALUES (6440, 33, 3137, 0, 115, 28, 194);
INSERT INTO public.who_data VALUES (6441, 4581, 694647, 68, 17854, 28, 136);
INSERT INTO public.who_data VALUES (6442, 164, 99931, 0, 4810, 28, 179);
INSERT INTO public.who_data VALUES (6443, 15073, 1987418, 399, 50586, 28, 57);
INSERT INTO public.who_data VALUES (6444, 100, 2260, 7, 70, 28, 35);
INSERT INTO public.who_data VALUES (6445, 0, 7794, 0, 117, 28, 228);
INSERT INTO public.who_data VALUES (6446, 0, 0, 0, 0, 28, 19);
INSERT INTO public.who_data VALUES (6447, 831, 189308, 12, 2518, 28, 22);
INSERT INTO public.who_data VALUES (6448, 297, 26612, 2, 145, 28, 1);
INSERT INTO public.who_data VALUES (6449, 352, 228920, 28, 4827, 28, 21);
INSERT INTO public.who_data VALUES (6450, 567, 20627, 3, 191, 28, 234);
INSERT INTO public.who_data VALUES (6451, 0, 4537, 0, 20, 28, 91);
INSERT INTO public.who_data VALUES (6452, 129, 29887, 4, 183, 28, 137);
INSERT INTO public.who_data VALUES (6453, 4256, 937617, 99, 15369, 28, 201);
INSERT INTO public.who_data VALUES (6454, 0, 0, 0, 0, 28, 171);
INSERT INTO public.who_data VALUES (6455, 273, 21868, 14, 660, 28, 92);
INSERT INTO public.who_data VALUES (6456, 879, 193917, 28, 1969, 28, 112);
INSERT INTO public.who_data VALUES (6457, 1, 5918, 0, 61, 28, 62);
INSERT INTO public.who_data VALUES (6458, 0, 113, 0, 0, 28, 69);
INSERT INTO public.who_data VALUES (6459, 1362, 202507, 17, 2513, 28, 220);
INSERT INTO public.who_data VALUES (6460, 1074, 238232, 34, 14596, 28, 100);
INSERT INTO public.who_data VALUES (6461, 680, 161143, 49, 8902, 28, 187);
INSERT INTO public.who_data VALUES (6462, 0, 52672, 11, 1551, 28, 63);
INSERT INTO public.who_data VALUES (6463, 0, 5401, 0, 86, 28, 28);
INSERT INTO public.who_data VALUES (6464, 0, 1940, 0, 6, 28, 172);
INSERT INTO public.who_data VALUES (6465, 532, 40716, 8, 376, 28, 17);
INSERT INTO public.who_data VALUES (6466, 111, 14330, 0, 458, 28, 226);
INSERT INTO public.who_data VALUES (6467, 417, 133298, 3, 2063, 28, 236);
INSERT INTO public.who_data VALUES (6468, 3, 37, 0, 0, 28, 76);
INSERT INTO public.who_data VALUES (6469, 0, 652, 0, 1, 28, 30);
INSERT INTO public.who_data VALUES (6470, 0, 55, 0, 2, 28, 128);
INSERT INTO public.who_data VALUES (6471, 419, 42334, 4, 648, 28, 86);
INSERT INTO public.who_data VALUES (6472, 23522, 2985259, 229, 72484, 28, 140);
INSERT INTO public.who_data VALUES (6473, 104, 15664, 0, 76, 28, 44);
INSERT INTO public.who_data VALUES (6474, 0, 17852, 0, 128, 28, 113);
INSERT INTO public.who_data VALUES (6475, 0, 10278, 0, 67, 28, 29);
INSERT INTO public.who_data VALUES (6476, 8, 3958, 0, 128, 28, 125);
INSERT INTO public.who_data VALUES (6477, 546, 253518, 17, 3055, 28, 131);
INSERT INTO public.who_data VALUES (6478, 12257, 2134936, 349, 51870, 28, 46);
INSERT INTO public.who_data VALUES (6479, 635, 60115, 0, 361, 28, 10);
INSERT INTO public.who_data VALUES (6480, 24, 3905, 0, 59, 28, 205);
INSERT INTO public.who_data VALUES (6481, 605, 151646, 24, 5622, 28, 50);
INSERT INTO public.who_data VALUES (6482, 0, 30, 0, 0, 28, 20);
INSERT INTO public.who_data VALUES (6483, 0, 147, 0, 1, 28, 13);
INSERT INTO public.who_data VALUES (6484, 0, 9056, 0, 157, 28, 148);
INSERT INTO public.who_data VALUES (6485, 0, 7340, 0, 128, 28, 230);
INSERT INTO public.who_data VALUES (6486, 934, 153890, 36, 5456, 28, 190);
INSERT INTO public.who_data VALUES (6487, 0, 310, 0, 13, 28, 188);
INSERT INTO public.who_data VALUES (6488, 38, 14300, 0, 81, 28, 123);
INSERT INTO public.who_data VALUES (6489, 6, 2531, 0, 45, 28, 9);
INSERT INTO public.who_data VALUES (6490, 76, 7143, 0, 170, 28, 102);
INSERT INTO public.who_data VALUES (6491, 64, 11099, 0, 243, 28, 34);
INSERT INTO public.who_data VALUES (6492, 0, 26, 0, 0, 28, 212);
INSERT INTO public.who_data VALUES (6493, 1138, 139182, 17, 3439, 28, 122);
INSERT INTO public.who_data VALUES (6494, 1257, 359574, 64, 11968, 28, 38);
INSERT INTO public.who_data VALUES (6495, 0, 5981, 0, 29, 28, 130);
INSERT INTO public.who_data VALUES (6496, 14849, 10654533, 155, 153339, 28, 37);
INSERT INTO public.who_data VALUES (6497, 12191, 977474, 211, 27664, 28, 231);
INSERT INTO public.who_data VALUES (6498, 6207, 1367032, 69, 57294, 28, 107);
INSERT INTO public.who_data VALUES (6499, 778, 612870, 4, 12988, 28, 101);
INSERT INTO public.who_data VALUES (6500, 1905, 186184, 77, 2947, 28, 132);
INSERT INTO public.who_data VALUES (6501, 0, 432, 0, 25, 28, 176);
INSERT INTO public.who_data VALUES (6502, 7387, 592328, 66, 4333, 28, 200);
INSERT INTO public.who_data VALUES (6503, 13331, 2455185, 488, 85162, 28, 169);
INSERT INTO public.who_data VALUES (6504, 114, 14772, 4, 336, 28, 225);
INSERT INTO public.who_data VALUES (6505, 4587, 360661, 84, 5019, 28, 165);
INSERT INTO public.who_data VALUES (6506, 7, 3104, 1, 63, 28, 233);
INSERT INTO public.who_data VALUES (6507, 608, 319519, 10, 4217, 28, 215);
INSERT INTO public.who_data VALUES (6508, 1496, 225891, 79, 3035, 28, 177);
INSERT INTO public.who_data VALUES (6509, 129, 99898, 0, 1740, 28, 183);
INSERT INTO public.who_data VALUES (6510, 0, 0, 0, 0, 28, 203);
INSERT INTO public.who_data VALUES (6511, 379, 57656, 3, 1440, 28, 162);
INSERT INTO public.who_data VALUES (6512, 534, 160901, 0, 952, 28, 12);
INSERT INTO public.who_data VALUES (6513, 104, 83900, 2, 1400, 28, 24);
INSERT INTO public.who_data VALUES (6514, 0, 43, 0, 0, 28, 119);
INSERT INTO public.who_data VALUES (6515, 910, 60496, 21, 1097, 28, 39);
INSERT INTO public.who_data VALUES (6516, 4176, 276587, 62, 2280, 28, 26);
INSERT INTO public.who_data VALUES (6517, 101, 7656, 10, 123, 28, 59);
INSERT INTO public.who_data VALUES (6518, 0, 1914, 0, 84, 28, 77);
INSERT INTO public.who_data VALUES (6519, 0, 112540, 0, 1737, 28, 134);
INSERT INTO public.who_data VALUES (6520, 5, 2511, 0, 50, 28, 4);
INSERT INTO public.who_data VALUES (6521, 773, 176624, 21, 2649, 28, 109);
INSERT INTO public.who_data VALUES (6522, 143, 49581, 2, 564, 28, 90);
INSERT INTO public.who_data VALUES (6523, 0, 18301, 0, 273, 28, 61);
INSERT INTO public.who_data VALUES (6524, 1076, 18439, 25, 470, 28, 85);
INSERT INTO public.who_data VALUES (6525, 4275, 180455, 7, 667, 28, 49);
INSERT INTO public.who_data VALUES (6526, 55, 14885, 0, 50, 28, 208);
INSERT INTO public.who_data VALUES (6527, 28, 7965, 2, 323, 28, 166);
INSERT INTO public.who_data VALUES (6528, 119, 16542, 2, 250, 28, 64);
INSERT INTO public.who_data VALUES (6529, 0, 4, 0, 0, 28, 199);
INSERT INTO public.who_data VALUES (6530, 0, 6370, 0, 44, 28, 114);
INSERT INTO public.who_data VALUES (6531, 0, 16222, 0, 410, 28, 60);
INSERT INTO public.who_data VALUES (6532, 0, 556, 0, 10, 28, 68);
INSERT INTO public.who_data VALUES (6533, 294, 7544, 1, 59, 28, 158);
INSERT INTO public.who_data VALUES (6534, 21007, 1732290, 1440, 147614, 28, 52);
INSERT INTO public.who_data VALUES (6535, 0, 0, 0, 0, 28, 117);
INSERT INTO public.who_data VALUES (6536, 34, 1345, 0, 9, 28, 126);
INSERT INTO public.who_data VALUES (6537, 19, 1611, 1, 2, 28, 196);
INSERT INTO public.who_data VALUES (6538, 384, 58685, 2, 768, 28, 142);
INSERT INTO public.who_data VALUES (6539, 0, 13, 0, 1, 28, 185);
INSERT INTO public.who_data VALUES (6540, 925, 465769, 23, 8128, 28, 138);
INSERT INTO public.who_data VALUES (6541, 780, 31628, 7, 297, 28, 181);
INSERT INTO public.who_data VALUES (6542, 507, 137098, 14, 3045, 28, 178);
INSERT INTO public.who_data VALUES (6543, 365, 32213, 6, 317, 28, 168);
INSERT INTO public.who_data VALUES (6544, 0, 0, 0, 0, 28, 160);
INSERT INTO public.who_data VALUES (6545, 232, 269180, 8, 1994, 28, 151);
INSERT INTO public.who_data VALUES (6546, 5459, 943407, 88, 13495, 28, 193);
INSERT INTO public.who_data VALUES (6547, 0, 44, 0, 0, 28, 18);
INSERT INTO public.who_data VALUES (6548, 7, 1926, 0, 25, 28, 40);
INSERT INTO public.who_data VALUES (6549, 0, 4953, 0, 168, 28, 218);
INSERT INTO public.who_data VALUES (6550, 54, 4321, 4, 151, 28, 191);
INSERT INTO public.who_data VALUES (6551, 2464, 120602, 5, 1495, 28, 156);
INSERT INTO public.who_data VALUES (6552, 0, 0, 0, 0, 28, 135);
INSERT INTO public.who_data VALUES (6553, 3, 132, 0, 2, 28, 88);
INSERT INTO public.who_data VALUES (6554, 347, 90471, 11, 2779, 28, 55);
INSERT INTO public.who_data VALUES (6555, 306, 60565, 0, 544, 28, 108);
INSERT INTO public.who_data VALUES (6556, 449, 174413, 14, 1951, 28, 48);
INSERT INTO public.who_data VALUES (6557, 0, 132486, 0, 1517, 28, 3);
INSERT INTO public.who_data VALUES (6558, 0, 745, 0, 13, 28, 224);
INSERT INTO public.who_data VALUES (6559, 1927, 530818, 43, 11247, 28, 110);
INSERT INTO public.who_data VALUES (6560, 0, 0, 0, 0, 28, 106);
INSERT INTO public.who_data VALUES (6561, 2041, 307793, 36, 4980, 28, 89);
INSERT INTO public.who_data VALUES (6562, 0, 849, 0, 9, 28, 121);
INSERT INTO public.who_data VALUES (6563, 852, 126370, 15, 2585, 28, 163);
INSERT INTO public.who_data VALUES (6564, 5189, 1088096, 153, 39427, 28, 70);
INSERT INTO public.who_data VALUES (6565, 1792, 511679, 54, 10190, 28, 174);
INSERT INTO public.who_data VALUES (6566, 0, 0, 0, 0, 28, 175);
INSERT INTO public.who_data VALUES (6567, 4566, 1475445, 110, 35363, 28, 118);
INSERT INTO public.who_data VALUES (6568, 15333, 624469, 274, 10194, 28, 189);
INSERT INTO public.who_data VALUES (6569, 791, 90073, 10, 1771, 28, 124);
INSERT INTO public.who_data VALUES (6570, 251, 148772, 0, 248, 28, 192);
INSERT INTO public.who_data VALUES (6571, 392, 75081, 12, 1349, 28, 41);
INSERT INTO public.who_data VALUES (6572, 635, 155937, 15, 3347, 28, 95);
INSERT INTO public.who_data VALUES (6573, 0, 9701, 0, 45, 28, 74);
INSERT INTO public.who_data VALUES (6574, 2719, 709194, 94, 17722, 28, 11);
INSERT INTO public.who_data VALUES (6575, 21127, 3719400, 491, 69462, 28, 87);
INSERT INTO public.who_data VALUES (6576, 204, 12647, 7, 172, 28, 214);
INSERT INTO public.who_data VALUES (6577, 0, 6, 0, 0, 28, 116);
INSERT INTO public.who_data VALUES (6578, 0, 376, 0, 0, 28, 157);
INSERT INTO public.who_data VALUES (6579, 0, 0, 0, 0, 28, 182);
INSERT INTO public.who_data VALUES (6580, 0, 35, 0, 0, 28, 186);
INSERT INTO public.who_data VALUES (6581, 15, 770, 2, 10, 28, 127);
INSERT INTO public.who_data VALUES (6582, 0, 1191, 0, 12, 28, 232);
INSERT INTO public.who_data VALUES (6583, 4, 20, 0, 0, 28, 33);
INSERT INTO public.who_data VALUES (6584, 30, 720, 0, 2, 28, 97);
INSERT INTO public.who_data VALUES (6585, 0, 2, 0, 0, 28, 42);
INSERT INTO public.who_data VALUES (6586, 13, 2874, 0, 65, 28, 198);
INSERT INTO public.who_data VALUES (6587, 0, 1182, 0, 17, 28, 216);
INSERT INTO public.who_data VALUES (6588, 197, 366185, 4, 6350, 28, 164);
INSERT INTO public.who_data VALUES (6589, 250, 24460, 8, 569, 28, 235);
INSERT INTO public.who_data VALUES (6590, 1483, 382285, 19, 3868, 28, 67);
INSERT INTO public.who_data VALUES (6591, 61, 1033, 0, 3, 28, 15);
INSERT INTO public.who_data VALUES (6592, 27, 3120, 0, 77, 28, 180);
INSERT INTO public.who_data VALUES (6593, 10, 59260, 0, 29, 28, 237);
INSERT INTO public.who_data VALUES (6594, 0, 20, 0, 0, 28, 25);
INSERT INTO public.who_data VALUES (6595, 0, 1708, 0, 27, 28, 209);
INSERT INTO public.who_data VALUES (6596, 1544, 234571, 71, 3965, 28, 217);
INSERT INTO public.who_data VALUES (6597, 1519, 157412, 27, 3647, 28, 79);
INSERT INTO public.who_data VALUES (6598, 0, 17, 0, 0, 28, 143);
INSERT INTO public.who_data VALUES (6599, 10, 4754, 0, 130, 28, 229);
INSERT INTO public.who_data VALUES (6600, 12271, 1404839, 498, 40574, 28, 141);
INSERT INTO public.who_data VALUES (6601, 0, 3773, 0, 64, 28, 197);
INSERT INTO public.who_data VALUES (6602, 41808, 2660004, 472, 58030, 28, 221);
INSERT INTO public.who_data VALUES (6603, 724, 57587, 2, 280, 28, 150);
INSERT INTO public.who_data VALUES (6604, 82, 28870, 0, 1738, 28, 56);
INSERT INTO public.who_data VALUES (6605, 65, 7945, 2, 148, 28, 167);
INSERT INTO public.who_data VALUES (6606, 3724, 550819, 60, 11754, 28, 23);
INSERT INTO public.who_data VALUES (6607, 1097, 510703, 44, 8586, 28, 222);
INSERT INTO public.who_data VALUES (6608, 78, 13557, 6, 879, 28, 219);
INSERT INTO public.who_data VALUES (6609, 0, 13714, 0, 91, 28, 7);
INSERT INTO public.who_data VALUES (6610, 198, 13500, 1, 73, 28, 161);
INSERT INTO public.who_data VALUES (6611, 33552, 3617463, 1348, 97329, 28, 149);
INSERT INTO public.who_data VALUES (6612, 3, 67, 0, 0, 28, 6);
INSERT INTO public.who_data VALUES (6613, 131, 4636, 0, 74, 28, 139);
INSERT INTO public.who_data VALUES (6614, 0, 0, 0, 0, 28, 211);
INSERT INTO public.who_data VALUES (6615, 0, 0, 0, 0, 28, 14);
INSERT INTO public.who_data VALUES (6616, 6, 7456, 0, 133, 28, 111);
INSERT INTO public.who_data VALUES (6617, 2041, 195314, 62, 6154, 28, 207);
INSERT INTO public.who_data VALUES (6618, 5856, 2424328, 144, 24933, 28, 66);
INSERT INTO public.who_data VALUES (6619, 0, 0, 0, 0, 28, 173);
INSERT INTO public.who_data VALUES (6620, 51, 1244, 0, 7, 28, 145);
INSERT INTO public.who_data VALUES (6621, 0, 0, 0, 0, 28, 65);
INSERT INTO public.who_data VALUES (6622, 109, 39044, 0, 317, 28, 184);
INSERT INTO public.who_data VALUES (6623, 3915, 1191812, 83, 21861, 28, 98);
INSERT INTO public.who_data VALUES (6624, 3566, 274376, 7, 783, 28, 104);
INSERT INTO public.who_data VALUES (6625, 0, 509, 0, 21, 28, 73);
INSERT INTO public.who_data VALUES (6626, 190994, 24604325, 3885, 410667, 28, 8);
INSERT INTO public.who_data VALUES (6627, 14, 2335, 0, 24, 28, 227);
INSERT INTO public.who_data VALUES (6628, 1178, 36170, 17, 364, 28, 75);
INSERT INTO public.who_data VALUES (6629, 58, 78375, 0, 621, 28, 45);
INSERT INTO public.who_data VALUES (6630, 0, 1, 0, 0, 28, 133);
INSERT INTO public.who_data VALUES (6631, 535, 122795, 7, 1136, 28, 202);
INSERT INTO public.who_data VALUES (6632, 0, 1548, 0, 35, 28, 129);
INSERT INTO public.who_data VALUES (6633, 0, 4, 0, 0, 28, 36);
INSERT INTO public.who_data VALUES (6634, 0, 2122, 1, 616, 28, 51);
INSERT INTO public.who_data VALUES (6635, 1259, 44592, 17, 627, 28, 206);
INSERT INTO public.who_data VALUES (6636, 484, 31007, 12, 974, 28, 5);
INSERT INTO public.who_data VALUES (6637, 76, 54559, 3, 2373, 29, 103);
INSERT INTO public.who_data VALUES (6638, 739, 70655, 7, 1303, 29, 58);
INSERT INTO public.who_data VALUES (6639, 272, 105124, 2, 2856, 29, 195);
INSERT INTO public.who_data VALUES (6640, 0, 0, 0, 0, 29, 115);
INSERT INTO public.who_data VALUES (6641, 37, 9416, 0, 93, 29, 99);
INSERT INTO public.who_data VALUES (6642, 92, 19269, 4, 452, 29, 153);
INSERT INTO public.who_data VALUES (6643, 0, 15, 0, 0, 29, 93);
INSERT INTO public.who_data VALUES (6644, 2, 192, 0, 6, 29, 84);
INSERT INTO public.who_data VALUES (6645, 11396, 1843077, 139, 46355, 29, 78);
INSERT INTO public.who_data VALUES (6646, 198, 165909, 4, 3034, 29, 170);
INSERT INTO public.who_data VALUES (6647, 61, 6623, 0, 52, 29, 32);
INSERT INTO public.who_data VALUES (6648, 5, 28755, 0, 909, 29, 155);
INSERT INTO public.who_data VALUES (6649, 1779, 398636, 66, 7288, 29, 82);
INSERT INTO public.who_data VALUES (6650, 280, 228526, 11, 3064, 29, 16);
INSERT INTO public.who_data VALUES (6651, 13, 8101, 0, 175, 29, 72);
INSERT INTO public.who_data VALUES (6652, 332, 99210, 0, 366, 29, 43);
INSERT INTO public.who_data VALUES (6653, 619, 530890, 15, 7981, 29, 120);
INSERT INTO public.who_data VALUES (6654, 0, 1156, 0, 9, 29, 213);
INSERT INTO public.who_data VALUES (6655, 1813, 234111, 9, 1628, 29, 31);
INSERT INTO public.who_data VALUES (6656, 2635, 693651, 49, 20739, 29, 204);
INSERT INTO public.who_data VALUES (6657, 34, 11676, 3, 289, 29, 152);
INSERT INTO public.who_data VALUES (6658, 61, 3643, 0, 48, 29, 144);
INSERT INTO public.who_data VALUES (6659, 2, 686, 0, 12, 29, 96);
INSERT INTO public.who_data VALUES (6660, 0, 851, 0, 1, 29, 47);
INSERT INTO public.who_data VALUES (6661, 2648, 196393, 54, 9818, 29, 80);
INSERT INTO public.who_data VALUES (6662, 1, 350, 0, 3, 29, 159);
INSERT INTO public.who_data VALUES (6663, 214, 119420, 19, 4555, 29, 27);
INSERT INTO public.who_data VALUES (6664, 0, 18630, 0, 88, 29, 146);
INSERT INTO public.who_data VALUES (6665, 59119, 8697368, 1316, 214147, 29, 71);
INSERT INTO public.who_data VALUES (6666, 0, 121, 0, 1, 29, 210);
INSERT INTO public.who_data VALUES (6667, 1, 175, 0, 3, 29, 54);
INSERT INTO public.who_data VALUES (6668, 566, 214430, 58, 8799, 29, 147);
INSERT INTO public.who_data VALUES (6669, 138, 9857, 1, 107, 29, 2);
INSERT INTO public.who_data VALUES (6670, 58, 1438, 0, 2, 29, 105);
INSERT INTO public.who_data VALUES (6671, 74, 13381, 0, 122, 29, 53);
INSERT INTO public.who_data VALUES (6672, 0, 456, 0, 0, 29, 81);
INSERT INTO public.who_data VALUES (6673, 0, 28010, 0, 455, 29, 223);
INSERT INTO public.who_data VALUES (6674, 5955, 731450, 160, 18622, 29, 94);
INSERT INTO public.who_data VALUES (6675, 1, 382, 0, 2, 29, 154);
INSERT INTO public.who_data VALUES (6676, 0, 4974, 0, 63, 29, 83);
INSERT INTO public.who_data VALUES (6677, 39, 3104, 1, 115, 29, 194);
INSERT INTO public.who_data VALUES (6678, 4959, 690066, 84, 17786, 29, 136);
INSERT INTO public.who_data VALUES (6679, 178, 99767, 1, 4810, 29, 179);
INSERT INTO public.who_data VALUES (6680, 15366, 1972345, 395, 50187, 29, 57);
INSERT INTO public.who_data VALUES (6681, 78, 2160, 1, 63, 29, 35);
INSERT INTO public.who_data VALUES (6682, 0, 7794, 0, 117, 29, 228);
INSERT INTO public.who_data VALUES (6683, 0, 0, 0, 0, 29, 19);
INSERT INTO public.who_data VALUES (6684, 765, 188477, 14, 2506, 29, 22);
INSERT INTO public.who_data VALUES (6685, 564, 26315, 1, 143, 29, 1);
INSERT INTO public.who_data VALUES (6686, 599, 228568, 29, 4799, 29, 21);
INSERT INTO public.who_data VALUES (6687, 530, 20060, 4, 188, 29, 234);
INSERT INTO public.who_data VALUES (6688, 2, 4537, 0, 20, 29, 91);
INSERT INTO public.who_data VALUES (6689, 122, 29758, 1, 179, 29, 137);
INSERT INTO public.who_data VALUES (6690, 8514, 933361, 140, 15270, 29, 201);
INSERT INTO public.who_data VALUES (6691, 0, 0, 0, 0, 29, 171);
INSERT INTO public.who_data VALUES (6692, 198, 21595, 3, 646, 29, 92);
INSERT INTO public.who_data VALUES (6693, 773, 193038, 32, 1941, 29, 112);
INSERT INTO public.who_data VALUES (6694, 1, 5917, 0, 61, 29, 62);
INSERT INTO public.who_data VALUES (6695, 0, 113, 0, 0, 29, 69);
INSERT INTO public.who_data VALUES (6696, 1473, 201145, 14, 2496, 29, 220);
INSERT INTO public.who_data VALUES (6697, 969, 237158, 36, 14562, 29, 100);
INSERT INTO public.who_data VALUES (6698, 748, 160463, 52, 8853, 29, 187);
INSERT INTO public.who_data VALUES (6699, 284, 52672, 10, 1540, 29, 63);
INSERT INTO public.who_data VALUES (6700, 36, 5401, 0, 86, 29, 28);
INSERT INTO public.who_data VALUES (6701, 27, 1940, 0, 6, 29, 172);
INSERT INTO public.who_data VALUES (6702, 483, 40184, 10, 368, 29, 17);
INSERT INTO public.who_data VALUES (6703, 202, 14219, 17, 458, 29, 226);
INSERT INTO public.who_data VALUES (6704, 555, 132881, 3, 2060, 29, 236);
INSERT INTO public.who_data VALUES (6705, 2, 34, 0, 0, 29, 76);
INSERT INTO public.who_data VALUES (6706, 0, 652, 0, 1, 29, 30);
INSERT INTO public.who_data VALUES (6707, 0, 55, 0, 2, 29, 128);
INSERT INTO public.who_data VALUES (6708, 350, 41915, 6, 644, 29, 86);
INSERT INTO public.who_data VALUES (6709, 22609, 2961737, 648, 72255, 29, 140);
INSERT INTO public.who_data VALUES (6710, 129, 15560, 0, 76, 29, 44);
INSERT INTO public.who_data VALUES (6711, 32, 17852, 0, 128, 29, 113);
INSERT INTO public.who_data VALUES (6712, 158, 10278, 1, 67, 29, 29);
INSERT INTO public.who_data VALUES (6713, 0, 3950, 0, 128, 29, 125);
INSERT INTO public.who_data VALUES (6714, 998, 252972, 16, 3038, 29, 131);
INSERT INTO public.who_data VALUES (6715, 16417, 2122679, 879, 51521, 29, 46);
INSERT INTO public.who_data VALUES (6716, 0, 59480, 0, 361, 29, 10);
INSERT INTO public.who_data VALUES (6717, 36, 3881, 6, 59, 29, 205);
INSERT INTO public.who_data VALUES (6718, 562, 151041, 28, 5598, 29, 50);
INSERT INTO public.who_data VALUES (6719, 0, 30, 0, 0, 29, 20);
INSERT INTO public.who_data VALUES (6720, 8, 147, 0, 1, 29, 13);
INSERT INTO public.who_data VALUES (6721, 108, 9056, 1, 157, 29, 148);
INSERT INTO public.who_data VALUES (6722, 19, 7340, 0, 128, 29, 230);
INSERT INTO public.who_data VALUES (6723, 561, 152956, 31, 5420, 29, 190);
INSERT INTO public.who_data VALUES (6724, 0, 310, 0, 13, 29, 188);
INSERT INTO public.who_data VALUES (6725, 26, 14262, 0, 81, 29, 123);
INSERT INTO public.who_data VALUES (6726, 8, 2525, 0, 45, 29, 9);
INSERT INTO public.who_data VALUES (6727, 52, 7067, 0, 170, 29, 102);
INSERT INTO public.who_data VALUES (6728, 72, 11035, 3, 243, 29, 34);
INSERT INTO public.who_data VALUES (6729, 0, 26, 0, 0, 29, 212);
INSERT INTO public.who_data VALUES (6730, 1146, 138044, 16, 3422, 29, 122);
INSERT INTO public.who_data VALUES (6731, 1344, 358317, 93, 11904, 29, 38);
INSERT INTO public.who_data VALUES (6732, 0, 5981, 0, 29, 29, 130);
INSERT INTO public.who_data VALUES (6733, 14256, 10639684, 152, 153184, 29, 37);
INSERT INTO public.who_data VALUES (6734, 13632, 965283, 250, 27453, 29, 231);
INSERT INTO public.who_data VALUES (6735, 6305, 1360825, 75, 57225, 29, 107);
INSERT INTO public.who_data VALUES (6736, 685, 612092, 7, 12984, 29, 101);
INSERT INTO public.who_data VALUES (6737, 2357, 184279, 52, 2870, 29, 132);
INSERT INTO public.who_data VALUES (6738, 0, 432, 0, 25, 29, 176);
INSERT INTO public.who_data VALUES (6739, 7269, 584941, 48, 4267, 29, 200);
INSERT INTO public.who_data VALUES (6740, 13633, 2441854, 472, 84674, 29, 169);
INSERT INTO public.who_data VALUES (6741, 108, 14658, 1, 332, 29, 225);
INSERT INTO public.who_data VALUES (6742, 5054, 356074, 105, 4935, 29, 165);
INSERT INTO public.who_data VALUES (6743, 9, 3097, 0, 62, 29, 233);
INSERT INTO public.who_data VALUES (6744, 730, 318911, 9, 4207, 29, 215);
INSERT INTO public.who_data VALUES (6745, 1694, 224395, 0, 2956, 29, 177);
INSERT INTO public.who_data VALUES (6746, 139, 99769, 1, 1740, 29, 183);
INSERT INTO public.who_data VALUES (6747, 0, 0, 0, 0, 29, 203);
INSERT INTO public.who_data VALUES (6748, 289, 57277, 14, 1437, 29, 162);
INSERT INTO public.who_data VALUES (6749, 533, 160367, 1, 952, 29, 12);
INSERT INTO public.who_data VALUES (6750, 93, 83796, 2, 1398, 29, 24);
INSERT INTO public.who_data VALUES (6751, 2, 43, 0, 0, 29, 119);
INSERT INTO public.who_data VALUES (6752, 876, 59586, 19, 1076, 29, 39);
INSERT INTO public.who_data VALUES (6753, 3170, 272411, 67, 2218, 29, 26);
INSERT INTO public.who_data VALUES (6754, 0, 7555, 0, 113, 29, 59);
INSERT INTO public.who_data VALUES (6755, 13, 1914, 0, 84, 29, 77);
INSERT INTO public.who_data VALUES (6756, 794, 112540, 21, 1737, 29, 134);
INSERT INTO public.who_data VALUES (6757, 6, 2506, 0, 50, 29, 4);
INSERT INTO public.who_data VALUES (6758, 1005, 175851, 37, 2628, 29, 109);
INSERT INTO public.who_data VALUES (6759, 119, 49438, 0, 562, 29, 90);
INSERT INTO public.who_data VALUES (6760, 0, 18301, 0, 273, 29, 61);
INSERT INTO public.who_data VALUES (6761, 1315, 17363, 49, 445, 29, 85);
INSERT INTO public.who_data VALUES (6762, 3631, 176180, 18, 660, 29, 49);
INSERT INTO public.who_data VALUES (6763, 65, 14830, 0, 50, 29, 208);
INSERT INTO public.who_data VALUES (6764, 26, 7937, 1, 321, 29, 166);
INSERT INTO public.who_data VALUES (6765, 143, 16423, 3, 248, 29, 64);
INSERT INTO public.who_data VALUES (6766, 0, 4, 0, 0, 29, 199);
INSERT INTO public.who_data VALUES (6767, 68, 6370, 0, 44, 29, 114);
INSERT INTO public.who_data VALUES (6768, 183, 16222, 8, 410, 29, 60);
INSERT INTO public.who_data VALUES (6769, 0, 556, 0, 10, 29, 68);
INSERT INTO public.who_data VALUES (6770, 92, 7250, 0, 58, 29, 158);
INSERT INTO public.who_data VALUES (6771, 22339, 1711283, 1803, 146174, 29, 52);
INSERT INTO public.who_data VALUES (6772, 0, 0, 0, 0, 29, 117);
INSERT INTO public.who_data VALUES (6773, 24, 1311, 0, 9, 29, 126);
INSERT INTO public.who_data VALUES (6774, 8, 1592, 0, 1, 29, 196);
INSERT INTO public.who_data VALUES (6775, 425, 58301, 1, 766, 29, 142);
INSERT INTO public.who_data VALUES (6776, 0, 13, 0, 1, 29, 185);
INSERT INTO public.who_data VALUES (6777, 1138, 464844, 29, 8105, 29, 138);
INSERT INTO public.who_data VALUES (6778, 623, 30848, 7, 290, 29, 181);
INSERT INTO public.who_data VALUES (6779, 425, 136591, 18, 3031, 29, 178);
INSERT INTO public.who_data VALUES (6780, 333, 31848, 1, 311, 29, 168);
INSERT INTO public.who_data VALUES (6781, 0, 0, 0, 0, 29, 160);
INSERT INTO public.who_data VALUES (6782, 302, 268948, 7, 1986, 29, 151);
INSERT INTO public.who_data VALUES (6783, 5754, 937948, 89, 13407, 29, 193);
INSERT INTO public.who_data VALUES (6784, 0, 44, 0, 0, 29, 18);
INSERT INTO public.who_data VALUES (6785, 0, 1919, 0, 25, 29, 40);
INSERT INTO public.who_data VALUES (6786, 0, 4953, 0, 168, 29, 218);
INSERT INTO public.who_data VALUES (6787, 0, 4267, 0, 147, 29, 191);
INSERT INTO public.who_data VALUES (6788, 1485, 118138, 5, 1490, 29, 156);
INSERT INTO public.who_data VALUES (6789, 0, 0, 0, 0, 29, 135);
INSERT INTO public.who_data VALUES (6790, 0, 129, 0, 2, 29, 88);
INSERT INTO public.who_data VALUES (6791, 307, 90124, 14, 2768, 29, 55);
INSERT INTO public.who_data VALUES (6792, 372, 60259, 0, 544, 29, 108);
INSERT INTO public.who_data VALUES (6793, 494, 173964, 12, 1937, 29, 48);
INSERT INTO public.who_data VALUES (6794, 0, 132486, 0, 1517, 29, 3);
INSERT INTO public.who_data VALUES (6795, 0, 745, 0, 13, 29, 224);
INSERT INTO public.who_data VALUES (6796, 1745, 528891, 47, 11204, 29, 110);
INSERT INTO public.who_data VALUES (6797, 0, 0, 0, 0, 29, 106);
INSERT INTO public.who_data VALUES (6798, 1975, 305752, 32, 4944, 29, 89);
INSERT INTO public.who_data VALUES (6799, 0, 849, 0, 9, 29, 121);
INSERT INTO public.who_data VALUES (6800, 1071, 125518, 13, 2570, 29, 163);
INSERT INTO public.who_data VALUES (6801, 4232, 1082907, 117, 39274, 29, 70);
INSERT INTO public.who_data VALUES (6802, 2170, 509887, 20, 10136, 29, 174);
INSERT INTO public.who_data VALUES (6803, 0, 0, 0, 0, 29, 175);
INSERT INTO public.who_data VALUES (6804, 6431, 1470879, 345, 35253, 29, 118);
INSERT INTO public.who_data VALUES (6805, 13987, 609136, 234, 9920, 29, 189);
INSERT INTO public.who_data VALUES (6806, 554, 89282, 29, 1761, 29, 124);
INSERT INTO public.who_data VALUES (6807, 263, 148521, 0, 248, 29, 192);
INSERT INTO public.who_data VALUES (6808, 431, 74689, 9, 1337, 29, 41);
INSERT INTO public.who_data VALUES (6809, 514, 155302, 17, 3332, 29, 95);
INSERT INTO public.who_data VALUES (6810, 117, 9701, 0, 45, 29, 74);
INSERT INTO public.who_data VALUES (6811, 2699, 706475, 74, 17628, 29, 11);
INSERT INTO public.who_data VALUES (6812, 20921, 3698273, 559, 68971, 29, 87);
INSERT INTO public.who_data VALUES (6813, 273, 12443, 3, 165, 29, 214);
INSERT INTO public.who_data VALUES (6814, 0, 6, 0, 0, 29, 116);
INSERT INTO public.who_data VALUES (6815, 95, 376, 0, 0, 29, 157);
INSERT INTO public.who_data VALUES (6816, 0, 0, 0, 0, 29, 182);
INSERT INTO public.who_data VALUES (6817, 0, 35, 0, 0, 29, 186);
INSERT INTO public.who_data VALUES (6818, 37, 755, 0, 8, 29, 127);
INSERT INTO public.who_data VALUES (6819, 74, 1191, 0, 12, 29, 232);
INSERT INTO public.who_data VALUES (6820, 0, 16, 0, 0, 29, 33);
INSERT INTO public.who_data VALUES (6821, 35, 690, 0, 2, 29, 97);
INSERT INTO public.who_data VALUES (6822, 0, 2, 0, 0, 29, 42);
INSERT INTO public.who_data VALUES (6823, 28, 2861, 0, 65, 29, 198);
INSERT INTO public.who_data VALUES (6824, 11, 1182, 0, 17, 29, 216);
INSERT INTO public.who_data VALUES (6825, 213, 365988, 4, 6346, 29, 164);
INSERT INTO public.who_data VALUES (6826, 300, 24210, 9, 561, 29, 235);
INSERT INTO public.who_data VALUES (6827, 1709, 380802, 19, 3849, 29, 67);
INSERT INTO public.who_data VALUES (6828, 106, 972, 0, 3, 29, 15);
INSERT INTO public.who_data VALUES (6829, 12, 3093, 0, 77, 29, 180);
INSERT INTO public.who_data VALUES (6830, 15, 59250, 0, 29, 29, 237);
INSERT INTO public.who_data VALUES (6831, 0, 20, 0, 0, 29, 25);
INSERT INTO public.who_data VALUES (6832, 5, 1708, 0, 27, 29, 209);
INSERT INTO public.who_data VALUES (6833, 1785, 233027, 93, 3894, 29, 217);
INSERT INTO public.who_data VALUES (6834, 1457, 155893, 24, 3620, 29, 79);
INSERT INTO public.who_data VALUES (6835, 0, 17, 0, 0, 29, 143);
INSERT INTO public.who_data VALUES (6836, 0, 4744, 0, 130, 29, 229);
INSERT INTO public.who_data VALUES (6837, 11761, 1392568, 575, 40076, 29, 141);
INSERT INTO public.who_data VALUES (6838, 11, 3773, 0, 64, 29, 197);
INSERT INTO public.who_data VALUES (6839, 40329, 2618196, 420, 57558, 29, 221);
INSERT INTO public.who_data VALUES (6840, 787, 56863, 2, 278, 29, 150);
INSERT INTO public.who_data VALUES (6841, 134, 28788, 5, 1738, 29, 56);
INSERT INTO public.who_data VALUES (6842, 97, 7880, 0, 146, 29, 167);
INSERT INTO public.who_data VALUES (6843, 4202, 547095, 88, 11694, 29, 23);
INSERT INTO public.who_data VALUES (6844, 2036, 509606, 43, 8542, 29, 222);
INSERT INTO public.who_data VALUES (6845, 81, 13479, 7, 873, 29, 219);
INSERT INTO public.who_data VALUES (6846, 0, 13714, 0, 91, 29, 7);
INSERT INTO public.who_data VALUES (6847, 198, 13302, 1, 72, 29, 161);
INSERT INTO public.who_data VALUES (6848, 40261, 3583911, 1401, 95981, 29, 149);
INSERT INTO public.who_data VALUES (6849, 11, 64, 0, 0, 29, 6);
INSERT INTO public.who_data VALUES (6850, 0, 4505, 0, 74, 29, 139);
INSERT INTO public.who_data VALUES (6851, 0, 0, 0, 0, 29, 211);
INSERT INTO public.who_data VALUES (6852, 0, 0, 0, 0, 29, 14);
INSERT INTO public.who_data VALUES (6853, 20, 7450, 0, 133, 29, 111);
INSERT INTO public.who_data VALUES (6854, 2389, 193273, 103, 6092, 29, 207);
INSERT INTO public.who_data VALUES (6855, 5967, 2418472, 149, 24789, 29, 66);
INSERT INTO public.who_data VALUES (6856, 0, 0, 0, 0, 29, 173);
INSERT INTO public.who_data VALUES (6857, 29, 1193, 0, 7, 29, 145);
INSERT INTO public.who_data VALUES (6858, 0, 0, 0, 0, 29, 65);
INSERT INTO public.who_data VALUES (6859, 129, 38935, 1, 317, 29, 184);
INSERT INTO public.who_data VALUES (6860, 4928, 1187897, 116, 21778, 29, 98);
INSERT INTO public.who_data VALUES (6861, 3552, 270810, 10, 776, 29, 104);
INSERT INTO public.who_data VALUES (6862, 0, 509, 0, 21, 29, 73);
INSERT INTO public.who_data VALUES (6863, 188176, 24413331, 3979, 406782, 29, 8);
INSERT INTO public.who_data VALUES (6864, 16, 2321, 0, 24, 29, 227);
INSERT INTO public.who_data VALUES (6865, 698, 34992, 11, 347, 29, 75);
INSERT INTO public.who_data VALUES (6866, 45, 78317, 1, 621, 29, 45);
INSERT INTO public.who_data VALUES (6867, 0, 1, 0, 0, 29, 133);
INSERT INTO public.who_data VALUES (6868, 569, 122260, 7, 1129, 29, 202);
INSERT INTO public.who_data VALUES (6869, 2, 1548, 0, 35, 29, 129);
INSERT INTO public.who_data VALUES (6870, 0, 4, 0, 0, 29, 36);
INSERT INTO public.who_data VALUES (6871, 3, 2122, 0, 615, 29, 51);
INSERT INTO public.who_data VALUES (6872, 1120, 43333, 13, 610, 29, 206);
INSERT INTO public.who_data VALUES (6873, 476, 30523, 45, 962, 29, 5);
INSERT INTO public.who_data VALUES (6874, 80, 54483, 7, 2370, 30, 103);
INSERT INTO public.who_data VALUES (6875, 678, 69916, 5, 1296, 30, 58);
INSERT INTO public.who_data VALUES (6876, 246, 104852, 0, 2854, 30, 195);
INSERT INTO public.who_data VALUES (6877, 0, 0, 0, 0, 30, 115);
INSERT INTO public.who_data VALUES (6878, 71, 9379, 1, 93, 30, 99);
INSERT INTO public.who_data VALUES (6879, 84, 19177, 4, 448, 30, 153);
INSERT INTO public.who_data VALUES (6880, 0, 15, 0, 0, 30, 93);
INSERT INTO public.who_data VALUES (6881, 0, 190, 0, 6, 30, 84);
INSERT INTO public.who_data VALUES (6882, 12112, 1831681, 150, 46216, 30, 78);
INSERT INTO public.who_data VALUES (6883, 183, 165711, 9, 3030, 30, 170);
INSERT INTO public.who_data VALUES (6884, 39, 6562, 0, 52, 30, 32);
INSERT INTO public.who_data VALUES (6885, 10, 28750, 0, 909, 30, 155);
INSERT INTO public.who_data VALUES (6886, 1779, 396857, 57, 7222, 30, 82);
INSERT INTO public.who_data VALUES (6887, 218, 228246, 9, 3053, 30, 16);
INSERT INTO public.who_data VALUES (6888, 13, 8088, 0, 175, 30, 72);
INSERT INTO public.who_data VALUES (6889, 305, 98878, 0, 366, 30, 43);
INSERT INTO public.who_data VALUES (6890, 584, 530271, 16, 7966, 30, 120);
INSERT INTO public.who_data VALUES (6891, 0, 1156, 0, 9, 30, 213);
INSERT INTO public.who_data VALUES (6892, 1804, 232298, 9, 1619, 30, 31);
INSERT INTO public.who_data VALUES (6893, 2392, 691016, 51, 20690, 30, 204);
INSERT INTO public.who_data VALUES (6894, 27, 11642, 3, 286, 30, 152);
INSERT INTO public.who_data VALUES (6895, 0, 3582, 0, 48, 30, 144);
INSERT INTO public.who_data VALUES (6896, 0, 684, 0, 12, 30, 96);
INSERT INTO public.who_data VALUES (6897, 1, 851, 0, 1, 30, 47);
INSERT INTO public.who_data VALUES (6898, 2655, 193745, 42, 9764, 30, 80);
INSERT INTO public.who_data VALUES (6899, 1, 349, 0, 3, 30, 159);
INSERT INTO public.who_data VALUES (6900, 489, 119206, 15, 4536, 30, 27);
INSERT INTO public.who_data VALUES (6901, 0, 18630, 0, 88, 30, 146);
INSERT INTO public.who_data VALUES (6902, 64385, 8638249, 1340, 212831, 30, 71);
INSERT INTO public.who_data VALUES (6903, 0, 121, 0, 1, 30, 210);
INSERT INTO public.who_data VALUES (6904, 0, 174, 0, 3, 30, 54);
INSERT INTO public.who_data VALUES (6905, 455, 213864, 90, 8741, 30, 147);
INSERT INTO public.who_data VALUES (6906, 166, 9719, 0, 106, 30, 2);
INSERT INTO public.who_data VALUES (6907, 22, 1380, 0, 2, 30, 105);
INSERT INTO public.who_data VALUES (6908, 83, 13307, 1, 122, 30, 53);
INSERT INTO public.who_data VALUES (6909, 3, 456, 0, 0, 30, 81);
INSERT INTO public.who_data VALUES (6910, 0, 28010, 0, 455, 30, 223);
INSERT INTO public.who_data VALUES (6911, 5744, 725495, 196, 18462, 30, 94);
INSERT INTO public.who_data VALUES (6912, 0, 381, 0, 2, 30, 154);
INSERT INTO public.who_data VALUES (6913, 0, 4974, 0, 63, 30, 83);
INSERT INTO public.who_data VALUES (6914, 53, 3065, 0, 114, 30, 194);
INSERT INTO public.who_data VALUES (6915, 4367, 685107, 108, 17702, 30, 136);
INSERT INTO public.who_data VALUES (6916, 175, 99589, 1, 4809, 30, 179);
INSERT INTO public.who_data VALUES (6917, 17908, 1956979, 390, 49792, 30, 57);
INSERT INTO public.who_data VALUES (6918, 149, 2082, 8, 62, 30, 35);
INSERT INTO public.who_data VALUES (6919, 0, 7794, 0, 117, 30, 228);
INSERT INTO public.who_data VALUES (6920, 0, 0, 0, 0, 30, 19);
INSERT INTO public.who_data VALUES (6921, 835, 187712, 15, 2492, 30, 22);
INSERT INTO public.who_data VALUES (6922, 154, 25751, 0, 142, 30, 1);
INSERT INTO public.who_data VALUES (6923, 643, 227969, 32, 4770, 30, 21);
INSERT INTO public.who_data VALUES (6924, 408, 19530, 4, 184, 30, 234);
INSERT INTO public.who_data VALUES (6925, 8, 4535, 0, 20, 30, 91);
INSERT INTO public.who_data VALUES (6926, 164, 29636, 2, 178, 30, 137);
INSERT INTO public.who_data VALUES (6927, 7488, 924847, 157, 15130, 30, 201);
INSERT INTO public.who_data VALUES (6928, 0, 0, 0, 0, 30, 171);
INSERT INTO public.who_data VALUES (6929, 96, 21397, 3, 643, 30, 92);
INSERT INTO public.who_data VALUES (6930, 760, 192265, 37, 1909, 30, 112);
INSERT INTO public.who_data VALUES (6931, 3, 5916, 0, 61, 30, 62);
INSERT INTO public.who_data VALUES (6932, 0, 113, 0, 0, 30, 69);
INSERT INTO public.who_data VALUES (6933, 1549, 199672, 12, 2482, 30, 220);
INSERT INTO public.who_data VALUES (6934, 1874, 236189, 89, 14526, 30, 100);
INSERT INTO public.who_data VALUES (6935, 752, 159715, 54, 8801, 30, 187);
INSERT INTO public.who_data VALUES (6936, 951, 52388, 9, 1530, 30, 63);
INSERT INTO public.who_data VALUES (6937, 0, 5365, 0, 86, 30, 28);
INSERT INTO public.who_data VALUES (6938, 3, 1913, 0, 6, 30, 172);
INSERT INTO public.who_data VALUES (6939, 489, 39701, 4, 358, 30, 17);
INSERT INTO public.who_data VALUES (6940, 228, 14017, 14, 441, 30, 226);
INSERT INTO public.who_data VALUES (6941, 292, 132326, 13, 2057, 30, 236);
INSERT INTO public.who_data VALUES (6942, 0, 32, 0, 0, 30, 76);
INSERT INTO public.who_data VALUES (6943, 0, 652, 0, 1, 30, 30);
INSERT INTO public.who_data VALUES (6944, 0, 55, 0, 2, 30, 128);
INSERT INTO public.who_data VALUES (6945, 399, 41565, 5, 638, 30, 86);
INSERT INTO public.who_data VALUES (6946, 22551, 2939128, 346, 71607, 30, 140);
INSERT INTO public.who_data VALUES (6947, 120, 15431, 0, 76, 30, 44);
INSERT INTO public.who_data VALUES (6948, 12, 17820, 0, 128, 30, 113);
INSERT INTO public.who_data VALUES (6949, 0, 10120, 0, 66, 30, 29);
INSERT INTO public.who_data VALUES (6950, 0, 3950, 0, 128, 30, 125);
INSERT INTO public.who_data VALUES (6951, 903, 251974, 24, 3022, 30, 131);
INSERT INTO public.who_data VALUES (6952, 17862, 2106262, 859, 50642, 30, 46);
INSERT INTO public.who_data VALUES (6953, 658, 59480, 3, 361, 30, 10);
INSERT INTO public.who_data VALUES (6954, 52, 3845, 6, 53, 30, 205);
INSERT INTO public.who_data VALUES (6955, 506, 150479, 25, 5570, 30, 50);
INSERT INTO public.who_data VALUES (6956, 0, 30, 0, 0, 30, 20);
INSERT INTO public.who_data VALUES (6957, 0, 139, 0, 1, 30, 13);
INSERT INTO public.who_data VALUES (6958, 0, 8948, 0, 156, 30, 148);
INSERT INTO public.who_data VALUES (6959, 7, 7321, 0, 128, 30, 230);
INSERT INTO public.who_data VALUES (6960, 1071, 152395, 46, 5389, 30, 190);
INSERT INTO public.who_data VALUES (6961, 1, 310, 0, 13, 30, 188);
INSERT INTO public.who_data VALUES (6962, 29, 14236, 0, 81, 30, 123);
INSERT INTO public.who_data VALUES (6963, 7, 2517, 0, 45, 30, 9);
INSERT INTO public.who_data VALUES (6964, 65, 7015, 0, 170, 30, 102);
INSERT INTO public.who_data VALUES (6965, 0, 10963, 0, 240, 30, 34);
INSERT INTO public.who_data VALUES (6966, 0, 26, 0, 0, 30, 212);
INSERT INTO public.who_data VALUES (6967, 830, 136898, 15, 3406, 30, 122);
INSERT INTO public.who_data VALUES (6968, 1311, 356973, 98, 11811, 30, 38);
INSERT INTO public.who_data VALUES (6969, 6, 5981, 0, 29, 30, 130);
INSERT INTO public.who_data VALUES (6970, 14545, 10625428, 163, 153032, 30, 37);
INSERT INTO public.who_data VALUES (6971, 11703, 951651, 346, 27203, 30, 231);
INSERT INTO public.who_data VALUES (6972, 6204, 1354520, 93, 57150, 30, 107);
INSERT INTO public.who_data VALUES (6973, 809, 611407, 9, 12977, 30, 101);
INSERT INTO public.who_data VALUES (6974, 2598, 181922, 50, 2818, 30, 132);
INSERT INTO public.who_data VALUES (6975, 0, 432, 0, 25, 30, 176);
INSERT INTO public.who_data VALUES (6976, 8361, 577672, 54, 4219, 30, 200);
INSERT INTO public.who_data VALUES (6977, 14055, 2428221, 521, 84202, 30, 169);
INSERT INTO public.who_data VALUES (6978, 63, 14550, 0, 331, 30, 225);
INSERT INTO public.who_data VALUES (6979, 5799, 351020, 87, 4830, 30, 165);
INSERT INTO public.who_data VALUES (6980, 11, 3088, 0, 62, 30, 233);
INSERT INTO public.who_data VALUES (6981, 776, 318181, 11, 4198, 30, 215);
INSERT INTO public.who_data VALUES (6982, 1648, 222701, 0, 2956, 30, 177);
INSERT INTO public.who_data VALUES (6983, 186, 99630, 3, 1739, 30, 183);
INSERT INTO public.who_data VALUES (6984, 0, 0, 0, 0, 30, 203);
INSERT INTO public.who_data VALUES (6985, 296, 56988, 7, 1423, 30, 162);
INSERT INTO public.who_data VALUES (6986, 570, 159834, 0, 951, 30, 12);
INSERT INTO public.who_data VALUES (6987, 118, 83703, 2, 1396, 30, 24);
INSERT INTO public.who_data VALUES (6988, 0, 41, 0, 0, 30, 119);
INSERT INTO public.who_data VALUES (6989, 902, 58710, 25, 1057, 30, 39);
INSERT INTO public.who_data VALUES (6990, 4594, 269241, 67, 2151, 30, 26);
INSERT INTO public.who_data VALUES (6991, 520, 7555, 12, 113, 30, 59);
INSERT INTO public.who_data VALUES (6992, 0, 1901, 0, 84, 30, 77);
INSERT INTO public.who_data VALUES (6993, 622, 111746, 1, 1716, 30, 134);
INSERT INTO public.who_data VALUES (6994, 5, 2500, 0, 50, 30, 4);
INSERT INTO public.who_data VALUES (6995, 1027, 174846, 37, 2591, 30, 109);
INSERT INTO public.who_data VALUES (6996, 115, 49319, 0, 562, 30, 90);
INSERT INTO public.who_data VALUES (6997, 0, 18301, 0, 273, 30, 61);
INSERT INTO public.who_data VALUES (6998, 1197, 16048, 42, 396, 30, 85);
INSERT INTO public.who_data VALUES (6999, 3170, 172549, 12, 642, 30, 49);
INSERT INTO public.who_data VALUES (7000, 53, 14765, 1, 50, 30, 208);
INSERT INTO public.who_data VALUES (7001, 14, 7911, 2, 320, 30, 166);
INSERT INTO public.who_data VALUES (7002, 151, 16280, 1, 245, 30, 64);
INSERT INTO public.who_data VALUES (7003, 0, 4, 0, 0, 30, 199);
INSERT INTO public.who_data VALUES (7004, 0, 6302, 0, 44, 30, 114);
INSERT INTO public.who_data VALUES (7005, 0, 16039, 0, 402, 30, 60);
INSERT INTO public.who_data VALUES (7006, 0, 556, 0, 10, 30, 68);
INSERT INTO public.who_data VALUES (7007, 177, 7158, 0, 58, 30, 158);
INSERT INTO public.who_data VALUES (7008, 20548, 1688944, 1539, 144371, 30, 52);
INSERT INTO public.who_data VALUES (7009, 0, 0, 0, 0, 30, 117);
INSERT INTO public.who_data VALUES (7010, 25, 1287, 0, 9, 30, 126);
INSERT INTO public.who_data VALUES (7011, 16, 1584, 0, 1, 30, 196);
INSERT INTO public.who_data VALUES (7012, 421, 57876, 3, 765, 30, 142);
INSERT INTO public.who_data VALUES (7013, 0, 13, 0, 1, 30, 185);
INSERT INTO public.who_data VALUES (7014, 1164, 463706, 33, 8076, 30, 138);
INSERT INTO public.who_data VALUES (7015, 829, 30225, 12, 283, 30, 181);
INSERT INTO public.who_data VALUES (7016, 445, 136166, 16, 3013, 30, 178);
INSERT INTO public.who_data VALUES (7017, 262, 31515, 9, 310, 30, 168);
INSERT INTO public.who_data VALUES (7018, 0, 0, 0, 0, 30, 160);
INSERT INTO public.who_data VALUES (7019, 336, 268646, 4, 1979, 30, 151);
INSERT INTO public.who_data VALUES (7020, 5816, 932194, 91, 13318, 30, 193);
INSERT INTO public.who_data VALUES (7021, 0, 44, 0, 0, 30, 18);
INSERT INTO public.who_data VALUES (7022, 8, 1919, 0, 25, 30, 40);
INSERT INTO public.who_data VALUES (7023, 0, 4953, 0, 168, 30, 218);
INSERT INTO public.who_data VALUES (7024, 18, 4267, 0, 147, 30, 191);
INSERT INTO public.who_data VALUES (7025, 1962, 116653, 7, 1485, 30, 156);
INSERT INTO public.who_data VALUES (7026, 0, 0, 0, 0, 30, 135);
INSERT INTO public.who_data VALUES (7027, 0, 129, 0, 2, 30, 88);
INSERT INTO public.who_data VALUES (7028, 354, 89817, 15, 2754, 30, 55);
INSERT INTO public.who_data VALUES (7029, 431, 59887, 1, 544, 30, 108);
INSERT INTO public.who_data VALUES (7030, 574, 173470, 7, 1925, 30, 48);
INSERT INTO public.who_data VALUES (7031, 169, 132486, 1, 1517, 30, 3);
INSERT INTO public.who_data VALUES (7032, 0, 745, 0, 13, 30, 224);
INSERT INTO public.who_data VALUES (7033, 2363, 527146, 54, 11157, 30, 110);
INSERT INTO public.who_data VALUES (7034, 0, 0, 0, 0, 30, 106);
INSERT INTO public.who_data VALUES (7035, 2243, 303777, 48, 4912, 30, 89);
INSERT INTO public.who_data VALUES (7036, 5, 849, 0, 9, 30, 121);
INSERT INTO public.who_data VALUES (7037, 1088, 124447, 22, 2557, 30, 163);
INSERT INTO public.who_data VALUES (7038, 5461, 1078675, 113, 39157, 30, 70);
INSERT INTO public.who_data VALUES (7039, 1778, 507717, 74, 10116, 30, 174);
INSERT INTO public.who_data VALUES (7040, 0, 0, 0, 0, 30, 175);
INSERT INTO public.who_data VALUES (7041, 6693, 1464448, 347, 34908, 30, 118);
INSERT INTO public.who_data VALUES (7042, 13544, 595149, 221, 9686, 30, 189);
INSERT INTO public.who_data VALUES (7043, 215, 88728, 15, 1732, 30, 124);
INSERT INTO public.who_data VALUES (7044, 258, 148258, 0, 248, 30, 192);
INSERT INTO public.who_data VALUES (7045, 345, 74258, 12, 1328, 30, 41);
INSERT INTO public.who_data VALUES (7046, 670, 154788, 16, 3315, 30, 95);
INSERT INTO public.who_data VALUES (7047, 0, 9584, 0, 45, 30, 74);
INSERT INTO public.who_data VALUES (7048, 2878, 703776, 69, 17554, 30, 11);
INSERT INTO public.who_data VALUES (7049, 21513, 3677352, 580, 68412, 30, 87);
INSERT INTO public.who_data VALUES (7050, 310, 12170, 9, 162, 30, 214);
INSERT INTO public.who_data VALUES (7051, 0, 6, 0, 0, 30, 116);
INSERT INTO public.who_data VALUES (7052, 0, 281, 0, 0, 30, 157);
INSERT INTO public.who_data VALUES (7053, 0, 0, 0, 0, 30, 182);
INSERT INTO public.who_data VALUES (7054, 0, 35, 0, 0, 30, 186);
INSERT INTO public.who_data VALUES (7055, 5, 718, 0, 8, 30, 127);
INSERT INTO public.who_data VALUES (7056, 0, 1117, 0, 12, 30, 232);
INSERT INTO public.who_data VALUES (7057, 0, 16, 0, 0, 30, 33);
INSERT INTO public.who_data VALUES (7058, 53, 655, 0, 2, 30, 97);
INSERT INTO public.who_data VALUES (7059, 0, 2, 0, 0, 30, 42);
INSERT INTO public.who_data VALUES (7060, 18, 2833, 0, 65, 30, 198);
INSERT INTO public.who_data VALUES (7061, 1, 1171, 0, 17, 30, 216);
INSERT INTO public.who_data VALUES (7062, 212, 365775, 4, 6342, 30, 164);
INSERT INTO public.who_data VALUES (7063, 268, 23910, 6, 552, 30, 235);
INSERT INTO public.who_data VALUES (7064, 1648, 379093, 20, 3830, 30, 67);
INSERT INTO public.who_data VALUES (7065, 22, 866, 0, 3, 30, 15);
INSERT INTO public.who_data VALUES (7066, 30, 3081, 0, 77, 30, 180);
INSERT INTO public.who_data VALUES (7067, 38, 59235, 0, 29, 30, 237);
INSERT INTO public.who_data VALUES (7068, 0, 20, 0, 0, 30, 25);
INSERT INTO public.who_data VALUES (7069, 26, 1703, 0, 27, 30, 209);
INSERT INTO public.who_data VALUES (7070, 2464, 231242, 64, 3801, 30, 217);
INSERT INTO public.who_data VALUES (7071, 1456, 154436, 29, 3596, 30, 79);
INSERT INTO public.who_data VALUES (7072, 0, 17, 0, 0, 30, 143);
INSERT INTO public.who_data VALUES (7073, 0, 4744, 0, 130, 30, 229);
INSERT INTO public.who_data VALUES (7074, 11381, 1380807, 647, 39501, 30, 141);
INSERT INTO public.who_data VALUES (7075, 0, 3762, 1, 64, 30, 197);
INSERT INTO public.who_data VALUES (7076, 41476, 2577867, 379, 57138, 30, 221);
INSERT INTO public.who_data VALUES (7077, 887, 56076, 2, 276, 30, 150);
INSERT INTO public.who_data VALUES (7078, 65, 28654, 1, 1733, 30, 56);
INSERT INTO public.who_data VALUES (7079, 74, 7783, 0, 146, 30, 167);
INSERT INTO public.who_data VALUES (7080, 4951, 542893, 87, 11606, 30, 23);
INSERT INTO public.who_data VALUES (7081, 2054, 507570, 42, 8499, 30, 222);
INSERT INTO public.who_data VALUES (7082, 85, 13398, 8, 866, 30, 219);
INSERT INTO public.who_data VALUES (7083, 0, 13714, 0, 91, 30, 7);
INSERT INTO public.who_data VALUES (7084, 309, 13104, 0, 71, 30, 161);
INSERT INTO public.who_data VALUES (7085, 37892, 3543650, 1290, 94580, 30, 149);
INSERT INTO public.who_data VALUES (7086, 0, 53, 0, 0, 30, 6);
INSERT INTO public.who_data VALUES (7087, 46, 4505, 0, 74, 30, 139);
INSERT INTO public.who_data VALUES (7088, 0, 0, 0, 0, 30, 211);
INSERT INTO public.who_data VALUES (7089, 0, 0, 0, 0, 30, 14);
INSERT INTO public.who_data VALUES (7090, 15, 7430, 1, 133, 30, 111);
INSERT INTO public.who_data VALUES (7091, 2511, 190884, 68, 5989, 30, 207);
INSERT INTO public.who_data VALUES (7092, 6289, 2412505, 153, 24640, 30, 66);
INSERT INTO public.who_data VALUES (7093, 0, 0, 0, 0, 30, 173);
INSERT INTO public.who_data VALUES (7094, 39, 1164, 0, 7, 30, 145);
INSERT INTO public.who_data VALUES (7095, 0, 0, 0, 0, 30, 65);
INSERT INTO public.who_data VALUES (7096, 178, 38806, 11, 316, 30, 184);
INSERT INTO public.who_data VALUES (7097, 5348, 1182969, 163, 21662, 30, 98);
INSERT INTO public.who_data VALUES (7098, 3529, 267258, 4, 766, 30, 104);
INSERT INTO public.who_data VALUES (7099, 0, 509, 0, 21, 30, 73);
INSERT INTO public.who_data VALUES (7100, 187919, 24225155, 4368, 402803, 30, 8);
INSERT INTO public.who_data VALUES (7101, 22, 2305, 0, 24, 30, 227);
INSERT INTO public.who_data VALUES (7102, 848, 34294, 6, 336, 30, 75);
INSERT INTO public.who_data VALUES (7103, 53, 78272, 0, 620, 30, 45);
INSERT INTO public.who_data VALUES (7104, 0, 1, 0, 0, 30, 133);
INSERT INTO public.who_data VALUES (7105, 574, 121691, 6, 1122, 30, 202);
INSERT INTO public.who_data VALUES (7106, 2, 1546, 0, 35, 30, 129);
INSERT INTO public.who_data VALUES (7107, 0, 4, 0, 0, 30, 36);
INSERT INTO public.who_data VALUES (7108, 0, 2119, 2, 615, 30, 51);
INSERT INTO public.who_data VALUES (7109, 1264, 42213, 12, 597, 30, 206);
INSERT INTO public.who_data VALUES (7110, 639, 30047, 38, 917, 30, 5);
INSERT INTO public.who_data VALUES (7111, 125, 54403, 9, 2363, 31, 103);
INSERT INTO public.who_data VALUES (7112, 670, 69238, 4, 1291, 31, 58);
INSERT INTO public.who_data VALUES (7113, 265, 104606, 6, 2854, 31, 195);
INSERT INTO public.who_data VALUES (7114, 0, 0, 0, 0, 31, 115);
INSERT INTO public.who_data VALUES (7115, 114, 9308, 0, 92, 31, 99);
INSERT INTO public.who_data VALUES (7116, 82, 19093, 2, 444, 31, 153);
INSERT INTO public.who_data VALUES (7117, 0, 15, 0, 0, 31, 93);
INSERT INTO public.who_data VALUES (7118, 0, 190, 0, 6, 31, 84);
INSERT INTO public.who_data VALUES (7119, 12141, 1819569, 234, 46066, 31, 78);
INSERT INTO public.who_data VALUES (7120, 307, 165528, 5, 3021, 31, 170);
INSERT INTO public.who_data VALUES (7121, 72, 6523, 0, 52, 31, 32);
INSERT INTO public.who_data VALUES (7122, 10, 28740, 0, 909, 31, 155);
INSERT INTO public.who_data VALUES (7123, 1634, 395078, 38, 7165, 31, 82);
INSERT INTO public.who_data VALUES (7124, 332, 228028, 12, 3044, 31, 16);
INSERT INTO public.who_data VALUES (7125, 7, 8075, 0, 175, 31, 72);
INSERT INTO public.who_data VALUES (7126, 313, 98573, 4, 366, 31, 43);
INSERT INTO public.who_data VALUES (7127, 656, 529687, 8, 7950, 31, 120);
INSERT INTO public.who_data VALUES (7128, 61, 1156, 2, 9, 31, 213);
INSERT INTO public.who_data VALUES (7129, 1778, 230494, 9, 1610, 31, 31);
INSERT INTO public.who_data VALUES (7130, 2542, 688624, 49, 20639, 31, 204);
INSERT INTO public.who_data VALUES (7131, 23, 11615, 1, 283, 31, 152);
INSERT INTO public.who_data VALUES (7132, 0, 3582, 0, 48, 31, 144);
INSERT INTO public.who_data VALUES (7133, 1, 684, 0, 12, 31, 96);
INSERT INTO public.who_data VALUES (7134, 2, 850, 0, 1, 31, 47);
INSERT INTO public.who_data VALUES (7135, 2357, 191090, 42, 9722, 31, 80);
INSERT INTO public.who_data VALUES (7136, 2, 348, 0, 3, 31, 159);
INSERT INTO public.who_data VALUES (7137, 334, 118717, 12, 4521, 31, 27);
INSERT INTO public.who_data VALUES (7138, 0, 18630, 0, 88, 31, 146);
INSERT INTO public.who_data VALUES (7139, 62094, 8573864, 1192, 211491, 31, 71);
INSERT INTO public.who_data VALUES (7140, 0, 121, 0, 1, 31, 210);
INSERT INTO public.who_data VALUES (7141, 0, 174, 0, 3, 31, 54);
INSERT INTO public.who_data VALUES (7142, 482, 213409, 37, 8651, 31, 147);
INSERT INTO public.who_data VALUES (7143, 201, 9553, 1, 106, 31, 2);
INSERT INTO public.who_data VALUES (7144, 36, 1358, 0, 2, 31, 105);
INSERT INTO public.who_data VALUES (7145, 85, 13224, 1, 121, 31, 53);
INSERT INTO public.who_data VALUES (7146, 5, 453, 0, 0, 31, 81);
INSERT INTO public.who_data VALUES (7147, 0, 28010, 0, 455, 31, 223);
INSERT INTO public.who_data VALUES (7148, 4679, 719751, 146, 18266, 31, 94);
INSERT INTO public.who_data VALUES (7149, 1, 381, 0, 2, 31, 154);
INSERT INTO public.who_data VALUES (7150, 0, 4974, 0, 63, 31, 83);
INSERT INTO public.who_data VALUES (7151, 35, 3012, 0, 114, 31, 194);
INSERT INTO public.who_data VALUES (7152, 3589, 680740, 21, 17594, 31, 136);
INSERT INTO public.who_data VALUES (7153, 223, 99414, 1, 4808, 31, 179);
INSERT INTO public.who_data VALUES (7154, 15939, 1939071, 398, 49402, 31, 57);
INSERT INTO public.who_data VALUES (7155, 69, 1933, 3, 54, 31, 35);
INSERT INTO public.who_data VALUES (7156, 85, 7794, 3, 117, 31, 228);
INSERT INTO public.who_data VALUES (7157, 0, 0, 0, 0, 31, 19);
INSERT INTO public.who_data VALUES (7158, 861, 186877, 19, 2477, 31, 22);
INSERT INTO public.who_data VALUES (7159, 214, 25597, 0, 142, 31, 1);
INSERT INTO public.who_data VALUES (7160, 776, 227326, 27, 4738, 31, 21);
INSERT INTO public.who_data VALUES (7161, 349, 19122, 5, 180, 31, 234);
INSERT INTO public.who_data VALUES (7162, 4, 4527, 1, 20, 31, 91);
INSERT INTO public.who_data VALUES (7163, 178, 29472, 0, 176, 31, 137);
INSERT INTO public.who_data VALUES (7164, 8228, 917359, 153, 14973, 31, 201);
INSERT INTO public.who_data VALUES (7165, 0, 0, 0, 0, 31, 171);
INSERT INTO public.who_data VALUES (7166, 162, 21301, 0, 640, 31, 92);
INSERT INTO public.who_data VALUES (7167, 886, 191505, 35, 1872, 31, 112);
INSERT INTO public.who_data VALUES (7168, 3, 5913, 0, 61, 31, 62);
INSERT INTO public.who_data VALUES (7169, 3, 113, 0, 0, 31, 69);
INSERT INTO public.who_data VALUES (7170, 1532, 198123, 9, 2470, 31, 220);
INSERT INTO public.who_data VALUES (7171, 1747, 234315, 55, 14437, 31, 100);
INSERT INTO public.who_data VALUES (7172, 789, 158963, 51, 8747, 31, 187);
INSERT INTO public.who_data VALUES (7173, 0, 51437, 12, 1521, 31, 63);
INSERT INTO public.who_data VALUES (7174, 0, 5365, 0, 86, 31, 28);
INSERT INTO public.who_data VALUES (7175, 33, 1910, 0, 6, 31, 172);
INSERT INTO public.who_data VALUES (7176, 668, 39212, 5, 354, 31, 17);
INSERT INTO public.who_data VALUES (7177, 346, 13789, 24, 427, 31, 226);
INSERT INTO public.who_data VALUES (7178, 307, 132034, 7, 2044, 31, 236);
INSERT INTO public.who_data VALUES (7179, 0, 32, 0, 0, 31, 76);
INSERT INTO public.who_data VALUES (7180, 2, 652, 0, 1, 31, 30);
INSERT INTO public.who_data VALUES (7181, 0, 55, 0, 2, 31, 128);
INSERT INTO public.who_data VALUES (7182, 444, 41166, 0, 633, 31, 86);
INSERT INTO public.who_data VALUES (7183, 26565, 2916577, 310, 71261, 31, 140);
INSERT INTO public.who_data VALUES (7184, 124, 15311, 0, 76, 31, 44);
INSERT INTO public.who_data VALUES (7185, 111, 17808, 1, 128, 31, 113);
INSERT INTO public.who_data VALUES (7186, 101, 10120, 0, 66, 31, 29);
INSERT INTO public.who_data VALUES (7187, 12, 3950, 0, 128, 31, 125);
INSERT INTO public.who_data VALUES (7188, 1137, 251071, 11, 2998, 31, 131);
INSERT INTO public.who_data VALUES (7189, 20398, 2088400, 1013, 49783, 31, 46);
INSERT INTO public.who_data VALUES (7190, 391, 58822, 0, 358, 31, 10);
INSERT INTO public.who_data VALUES (7191, 81, 3793, 2, 47, 31, 205);
INSERT INTO public.who_data VALUES (7192, 511, 149973, 27, 5545, 31, 50);
INSERT INTO public.who_data VALUES (7193, 0, 30, 0, 0, 31, 20);
INSERT INTO public.who_data VALUES (7194, 0, 139, 0, 1, 31, 13);
INSERT INTO public.who_data VALUES (7195, 0, 8948, 0, 156, 31, 148);
INSERT INTO public.who_data VALUES (7196, 5, 7314, 0, 128, 31, 230);
INSERT INTO public.who_data VALUES (7197, 1047, 151324, 30, 5343, 31, 190);
INSERT INTO public.who_data VALUES (7198, 0, 309, 0, 13, 31, 188);
INSERT INTO public.who_data VALUES (7199, 35, 14207, 0, 81, 31, 123);
INSERT INTO public.who_data VALUES (7200, 0, 2510, 0, 45, 31, 9);
INSERT INTO public.who_data VALUES (7201, 19, 6950, 0, 170, 31, 102);
INSERT INTO public.who_data VALUES (7202, 56, 10963, 0, 240, 31, 34);
INSERT INTO public.who_data VALUES (7203, 0, 26, 0, 0, 31, 212);
INSERT INTO public.who_data VALUES (7204, 1130, 136068, 23, 3391, 31, 122);
INSERT INTO public.who_data VALUES (7205, 1410, 355662, 98, 11713, 31, 38);
INSERT INTO public.who_data VALUES (7206, 5, 5975, 0, 29, 31, 130);
INSERT INTO public.who_data VALUES (7207, 15223, 10610883, 151, 152869, 31, 37);
INSERT INTO public.who_data VALUES (7208, 12568, 939948, 267, 26857, 31, 231);
INSERT INTO public.who_data VALUES (7209, 6182, 1348316, 84, 57057, 31, 107);
INSERT INTO public.who_data VALUES (7210, 746, 610598, 6, 12968, 31, 101);
INSERT INTO public.who_data VALUES (7211, 2485, 179324, 60, 2768, 31, 132);
INSERT INTO public.who_data VALUES (7212, 0, 432, 0, 25, 31, 176);
INSERT INTO public.who_data VALUES (7213, 8622, 569311, 46, 4165, 31, 200);
INSERT INTO public.who_data VALUES (7214, 13568, 2414166, 524, 83681, 31, 169);
INSERT INTO public.who_data VALUES (7215, 68, 14487, 2, 331, 31, 225);
INSERT INTO public.who_data VALUES (7216, 5447, 345221, 96, 4743, 31, 165);
INSERT INTO public.who_data VALUES (7217, 16, 3077, 0, 62, 31, 233);
INSERT INTO public.who_data VALUES (7218, 978, 317405, 17, 4187, 31, 215);
INSERT INTO public.who_data VALUES (7219, 1526, 221053, 0, 2956, 31, 177);
INSERT INTO public.who_data VALUES (7220, 136, 99444, 2, 1736, 31, 183);
INSERT INTO public.who_data VALUES (7221, 0, 0, 0, 0, 31, 203);
INSERT INTO public.who_data VALUES (7222, 320, 56692, 6, 1416, 31, 162);
INSERT INTO public.who_data VALUES (7223, 442, 159264, 1, 951, 31, 12);
INSERT INTO public.who_data VALUES (7224, 155, 83585, 2, 1394, 31, 24);
INSERT INTO public.who_data VALUES (7225, 0, 41, 0, 0, 31, 119);
INSERT INTO public.who_data VALUES (7226, 1088, 57808, 20, 1032, 31, 39);
INSERT INTO public.who_data VALUES (7227, 4332, 264647, 64, 2084, 31, 26);
INSERT INTO public.who_data VALUES (7228, 17, 7035, 0, 101, 31, 59);
INSERT INTO public.who_data VALUES (7229, 3, 1901, 0, 84, 31, 77);
INSERT INTO public.who_data VALUES (7230, 659, 111124, 15, 1715, 31, 134);
INSERT INTO public.who_data VALUES (7231, 17, 2495, 0, 50, 31, 4);
INSERT INTO public.who_data VALUES (7232, 1759, 173819, 40, 2554, 31, 109);
INSERT INTO public.who_data VALUES (7233, 238, 49204, 2, 562, 31, 90);
INSERT INTO public.who_data VALUES (7234, 0, 18301, 0, 273, 31, 61);
INSERT INTO public.who_data VALUES (7235, 971, 14851, 18, 354, 31, 85);
INSERT INTO public.who_data VALUES (7236, 4008, 169379, 11, 630, 31, 49);
INSERT INTO public.who_data VALUES (7237, 79, 14712, 0, 49, 31, 208);
INSERT INTO public.who_data VALUES (7238, 17, 7897, 1, 318, 31, 166);
INSERT INTO public.who_data VALUES (7239, 187, 16129, 2, 244, 31, 64);
INSERT INTO public.who_data VALUES (7240, 0, 4, 0, 0, 31, 199);
INSERT INTO public.who_data VALUES (7241, 0, 6302, 0, 44, 31, 114);
INSERT INTO public.who_data VALUES (7242, 0, 16039, 0, 402, 31, 60);
INSERT INTO public.who_data VALUES (7243, 0, 556, 0, 10, 31, 68);
INSERT INTO public.who_data VALUES (7244, 63, 6981, 0, 58, 31, 158);
INSERT INTO public.who_data VALUES (7245, 18894, 1668396, 1584, 142832, 31, 52);
INSERT INTO public.who_data VALUES (7246, 0, 0, 0, 0, 31, 117);
INSERT INTO public.who_data VALUES (7247, 22, 1262, 0, 9, 31, 126);
INSERT INTO public.who_data VALUES (7248, 32, 1568, 0, 1, 31, 196);
INSERT INTO public.who_data VALUES (7249, 476, 57455, 4, 762, 31, 142);
INSERT INTO public.who_data VALUES (7250, 0, 13, 0, 1, 31, 185);
INSERT INTO public.who_data VALUES (7251, 1152, 462542, 32, 8043, 31, 138);
INSERT INTO public.who_data VALUES (7252, 1126, 29396, 18, 271, 31, 181);
INSERT INTO public.who_data VALUES (7253, 478, 135721, 11, 2997, 31, 178);
INSERT INTO public.who_data VALUES (7254, 258, 31253, 5, 301, 31, 168);
INSERT INTO public.who_data VALUES (7255, 0, 0, 0, 0, 31, 160);
INSERT INTO public.who_data VALUES (7256, 318, 268310, 6, 1975, 31, 151);
INSERT INTO public.who_data VALUES (7257, 5575, 926378, 86, 13227, 31, 193);
INSERT INTO public.who_data VALUES (7258, 0, 44, 0, 0, 31, 18);
INSERT INTO public.who_data VALUES (7259, 0, 1911, 0, 25, 31, 40);
INSERT INTO public.who_data VALUES (7260, 0, 4953, 0, 168, 31, 218);
INSERT INTO public.who_data VALUES (7261, 24, 4249, 1, 147, 31, 191);
INSERT INTO public.who_data VALUES (7262, 1386, 114691, 14, 1478, 31, 156);
INSERT INTO public.who_data VALUES (7263, 0, 0, 0, 0, 31, 135);
INSERT INTO public.who_data VALUES (7264, 0, 129, 0, 2, 31, 88);
INSERT INTO public.who_data VALUES (7265, 71, 89463, 13, 2739, 31, 55);
INSERT INTO public.who_data VALUES (7266, 423, 59456, 18, 543, 31, 108);
INSERT INTO public.who_data VALUES (7267, 497, 172896, 10, 1918, 31, 48);
INSERT INTO public.who_data VALUES (7268, 171, 132317, 0, 1516, 31, 3);
INSERT INTO public.who_data VALUES (7269, 0, 745, 0, 13, 31, 224);
INSERT INTO public.who_data VALUES (7270, 1772, 524783, 48, 11103, 31, 110);
INSERT INTO public.who_data VALUES (7271, 0, 0, 0, 0, 31, 106);
INSERT INTO public.who_data VALUES (7272, 2173, 301534, 36, 4864, 31, 89);
INSERT INTO public.who_data VALUES (7273, 1, 844, 0, 9, 31, 121);
INSERT INTO public.who_data VALUES (7274, 771, 123359, 17, 2535, 31, 163);
INSERT INTO public.who_data VALUES (7275, 4412, 1073214, 113, 39044, 31, 70);
INSERT INTO public.who_data VALUES (7276, 1855, 505939, 64, 10042, 31, 174);
INSERT INTO public.who_data VALUES (7277, 0, 0, 0, 0, 31, 175);
INSERT INTO public.who_data VALUES (7278, 7008, 1457755, 420, 34561, 31, 118);
INSERT INTO public.who_data VALUES (7279, 14647, 581605, 219, 9465, 31, 189);
INSERT INTO public.who_data VALUES (7280, 140, 88513, 14, 1717, 31, 124);
INSERT INTO public.who_data VALUES (7281, 271, 148000, 0, 248, 31, 192);
INSERT INTO public.who_data VALUES (7282, 401, 73913, 16, 1316, 31, 41);
INSERT INTO public.who_data VALUES (7283, 612, 154118, 17, 3299, 31, 95);
INSERT INTO public.who_data VALUES (7284, 32, 9584, 0, 45, 31, 74);
INSERT INTO public.who_data VALUES (7285, 3000, 700898, 116, 17485, 31, 11);
INSERT INTO public.who_data VALUES (7286, 21887, 3655839, 612, 67832, 31, 87);
INSERT INTO public.who_data VALUES (7287, 312, 11860, 5, 153, 31, 214);
INSERT INTO public.who_data VALUES (7288, 1, 6, 0, 0, 31, 116);
INSERT INTO public.who_data VALUES (7289, 0, 281, 0, 0, 31, 157);
INSERT INTO public.who_data VALUES (7290, 0, 0, 0, 0, 31, 182);
INSERT INTO public.who_data VALUES (7291, 0, 35, 0, 0, 31, 186);
INSERT INTO public.who_data VALUES (7292, 57, 713, 0, 8, 31, 127);
INSERT INTO public.who_data VALUES (7293, 0, 1117, 0, 12, 31, 232);
INSERT INTO public.who_data VALUES (7294, 0, 16, 0, 0, 31, 33);
INSERT INTO public.who_data VALUES (7295, 62, 602, 0, 2, 31, 97);
INSERT INTO public.who_data VALUES (7296, 0, 2, 0, 0, 31, 42);
INSERT INTO public.who_data VALUES (7297, 28, 2815, 0, 65, 31, 198);
INSERT INTO public.who_data VALUES (7298, 19, 1170, 0, 17, 31, 216);
INSERT INTO public.who_data VALUES (7299, 238, 365563, 3, 6338, 31, 164);
INSERT INTO public.who_data VALUES (7300, 250, 23642, 10, 546, 31, 235);
INSERT INTO public.who_data VALUES (7301, 1646, 377445, 19, 3810, 31, 67);
INSERT INTO public.who_data VALUES (7302, 82, 844, 1, 3, 31, 15);
INSERT INTO public.who_data VALUES (7303, 21, 3051, 0, 77, 31, 180);
INSERT INTO public.who_data VALUES (7304, 40, 59197, 0, 29, 31, 237);
INSERT INTO public.who_data VALUES (7305, 0, 20, 0, 0, 31, 25);
INSERT INTO public.who_data VALUES (7306, 8, 1677, 0, 27, 31, 209);
INSERT INTO public.who_data VALUES (7307, 2484, 228778, 100, 3737, 31, 217);
INSERT INTO public.who_data VALUES (7308, 1717, 152980, 24, 3567, 31, 79);
INSERT INTO public.who_data VALUES (7309, 0, 17, 0, 0, 31, 143);
INSERT INTO public.who_data VALUES (7310, 0, 4744, 0, 130, 31, 229);
INSERT INTO public.who_data VALUES (7311, 12710, 1369426, 566, 38854, 31, 141);
INSERT INTO public.who_data VALUES (7312, 0, 3762, 0, 63, 31, 197);
INSERT INTO public.who_data VALUES (7313, 41737, 2536391, 416, 56759, 31, 221);
INSERT INTO public.who_data VALUES (7314, 770, 55189, 1, 274, 31, 150);
INSERT INTO public.who_data VALUES (7315, 67, 28589, 10, 1732, 31, 56);
INSERT INTO public.who_data VALUES (7316, 85, 7709, 1, 146, 31, 167);
INSERT INTO public.who_data VALUES (7317, 4735, 537942, 91, 11519, 31, 23);
INSERT INTO public.who_data VALUES (7318, 2279, 505516, 43, 8457, 31, 222);
INSERT INTO public.who_data VALUES (7319, 89, 13313, 8, 858, 31, 219);
INSERT INTO public.who_data VALUES (7320, 0, 13714, 0, 91, 31, 7);
INSERT INTO public.who_data VALUES (7321, 142, 12795, 0, 71, 31, 161);
INSERT INTO public.who_data VALUES (7322, 38905, 3505758, 1820, 93290, 31, 149);
INSERT INTO public.who_data VALUES (7323, 1, 53, 0, 0, 31, 6);
INSERT INTO public.who_data VALUES (7324, 76, 4459, 0, 74, 31, 139);
INSERT INTO public.who_data VALUES (7325, 0, 0, 0, 0, 31, 211);
INSERT INTO public.who_data VALUES (7326, 0, 0, 0, 0, 31, 14);
INSERT INTO public.who_data VALUES (7327, 16, 7415, 0, 132, 31, 111);
INSERT INTO public.who_data VALUES (7328, 3890, 188373, 77, 5921, 31, 207);
INSERT INTO public.who_data VALUES (7329, 6435, 2406216, 159, 24487, 31, 66);
INSERT INTO public.who_data VALUES (7330, 0, 0, 0, 0, 31, 173);
INSERT INTO public.who_data VALUES (7331, 20, 1125, 0, 7, 31, 145);
INSERT INTO public.who_data VALUES (7332, 0, 0, 0, 0, 31, 65);
INSERT INTO public.who_data VALUES (7333, 94, 38628, 0, 305, 31, 184);
INSERT INTO public.who_data VALUES (7334, 5583, 1177621, 241, 21499, 31, 98);
INSERT INTO public.who_data VALUES (7335, 3506, 263729, 6, 762, 31, 104);
INSERT INTO public.who_data VALUES (7336, 0, 509, 0, 21, 31, 73);
INSERT INTO public.who_data VALUES (7337, 152937, 24037236, 2280, 398435, 31, 8);
INSERT INTO public.who_data VALUES (7338, 23, 2283, 0, 24, 31, 227);
INSERT INTO public.who_data VALUES (7339, 583, 33446, 11, 330, 31, 75);
INSERT INTO public.who_data VALUES (7340, 56, 78219, 0, 620, 31, 45);
INSERT INTO public.who_data VALUES (7341, 0, 1, 0, 0, 31, 133);
INSERT INTO public.who_data VALUES (7342, 673, 121117, 4, 1116, 31, 202);
INSERT INTO public.who_data VALUES (7343, 4, 1544, 0, 35, 31, 129);
INSERT INTO public.who_data VALUES (7344, 0, 4, 0, 0, 31, 36);
INSERT INTO public.who_data VALUES (7345, 0, 2119, 0, 613, 31, 51);
INSERT INTO public.who_data VALUES (7346, 1434, 40949, 7, 585, 31, 206);
INSERT INTO public.who_data VALUES (7347, 733, 29408, 54, 879, 31, 5);
INSERT INTO public.who_data VALUES (7348, 137, 54278, 8, 2354, 32, 103);
INSERT INTO public.who_data VALUES (7349, 586, 68568, 6, 1287, 32, 58);
INSERT INTO public.who_data VALUES (7350, 249, 104341, 3, 2848, 32, 195);
INSERT INTO public.who_data VALUES (7351, 0, 0, 0, 0, 32, 115);
INSERT INTO public.who_data VALUES (7352, 111, 9194, 1, 92, 32, 99);
INSERT INTO public.who_data VALUES (7353, 85, 19011, 3, 442, 32, 153);
INSERT INTO public.who_data VALUES (7354, 0, 15, 0, 0, 32, 93);
INSERT INTO public.who_data VALUES (7355, 1, 190, 0, 6, 32, 84);
INSERT INTO public.who_data VALUES (7356, 8185, 1807428, 425, 45832, 32, 78);
INSERT INTO public.who_data VALUES (7357, 309, 165221, 9, 3016, 32, 170);
INSERT INTO public.who_data VALUES (7358, 16, 6451, 0, 52, 32, 32);
INSERT INTO public.who_data VALUES (7359, 9, 28730, 0, 909, 32, 155);
INSERT INTO public.who_data VALUES (7360, 1463, 393444, 58, 7127, 32, 82);
INSERT INTO public.who_data VALUES (7361, 305, 227696, 10, 3032, 32, 16);
INSERT INTO public.who_data VALUES (7362, 1, 8068, 0, 175, 32, 72);
INSERT INTO public.who_data VALUES (7363, 320, 98260, 2, 362, 32, 43);
INSERT INTO public.who_data VALUES (7364, 702, 529031, 20, 7942, 32, 120);
INSERT INTO public.who_data VALUES (7365, 0, 1095, 0, 7, 32, 213);
INSERT INTO public.who_data VALUES (7366, 1356, 228716, 10, 1601, 32, 31);
INSERT INTO public.who_data VALUES (7367, 2485, 686082, 60, 20590, 32, 204);
INSERT INTO public.who_data VALUES (7368, 12, 11592, 1, 282, 32, 152);
INSERT INTO public.who_data VALUES (7369, 169, 3582, 2, 48, 32, 144);
INSERT INTO public.who_data VALUES (7370, 13, 683, 0, 12, 32, 96);
INSERT INTO public.who_data VALUES (7371, 5, 848, 0, 1, 32, 47);
INSERT INTO public.who_data VALUES (7372, 1550, 188733, 44, 9680, 32, 80);
INSERT INTO public.who_data VALUES (7373, 6, 346, 0, 3, 32, 159);
INSERT INTO public.who_data VALUES (7374, 300, 118383, 23, 4509, 32, 27);
INSERT INTO public.who_data VALUES (7375, 0, 18630, 0, 88, 32, 146);
INSERT INTO public.who_data VALUES (7376, 23671, 8511770, 452, 210299, 32, 71);
INSERT INTO public.who_data VALUES (7377, 0, 121, 0, 1, 32, 210);
INSERT INTO public.who_data VALUES (7378, 0, 174, 0, 3, 32, 54);
INSERT INTO public.who_data VALUES (7379, 544, 212927, 49, 8614, 32, 147);
INSERT INTO public.who_data VALUES (7380, 0, 9352, 0, 105, 32, 2);
INSERT INTO public.who_data VALUES (7381, 69, 1322, 0, 2, 32, 105);
INSERT INTO public.who_data VALUES (7382, 93, 13139, 0, 120, 32, 53);
INSERT INTO public.who_data VALUES (7383, 7, 448, 0, 0, 32, 81);
INSERT INTO public.who_data VALUES (7384, 0, 28010, 0, 455, 32, 223);
INSERT INTO public.who_data VALUES (7385, 6453, 715072, 106, 18120, 32, 94);
INSERT INTO public.who_data VALUES (7386, 6, 380, 0, 2, 32, 154);
INSERT INTO public.who_data VALUES (7387, 1, 4974, 0, 63, 32, 83);
INSERT INTO public.who_data VALUES (7388, 58, 2977, 1, 114, 32, 194);
INSERT INTO public.who_data VALUES (7389, 3401, 677151, 26, 17573, 32, 136);
INSERT INTO public.who_data VALUES (7390, 165, 99191, 2, 4807, 32, 179);
INSERT INTO public.who_data VALUES (7391, 14719, 1923132, 373, 49004, 32, 57);
INSERT INTO public.who_data VALUES (7392, 95, 1864, 2, 51, 32, 35);
INSERT INTO public.who_data VALUES (7393, 0, 7709, 0, 114, 32, 228);
INSERT INTO public.who_data VALUES (7394, 0, 0, 0, 0, 32, 19);
INSERT INTO public.who_data VALUES (7395, 363, 186016, 9, 2458, 32, 22);
INSERT INTO public.who_data VALUES (7396, 78, 25383, 0, 142, 32, 1);
INSERT INTO public.who_data VALUES (7397, 902, 226550, 27, 4711, 32, 21);
INSERT INTO public.who_data VALUES (7398, 330, 18773, 2, 175, 32, 234);
INSERT INTO public.who_data VALUES (7399, 3, 4523, 0, 19, 32, 91);
INSERT INTO public.who_data VALUES (7400, 164, 29294, 1, 176, 32, 137);
INSERT INTO public.who_data VALUES (7401, 9628, 909131, 174, 14820, 32, 201);
INSERT INTO public.who_data VALUES (7402, 0, 0, 0, 0, 32, 171);
INSERT INTO public.who_data VALUES (7403, 232, 21139, 10, 640, 32, 92);
INSERT INTO public.who_data VALUES (7404, 724, 190619, 32, 1837, 32, 112);
INSERT INTO public.who_data VALUES (7405, 4, 5910, 0, 61, 32, 62);
INSERT INTO public.who_data VALUES (7406, 0, 110, 0, 0, 32, 69);
INSERT INTO public.who_data VALUES (7407, 1625, 196591, 13, 2461, 32, 220);
INSERT INTO public.who_data VALUES (7408, 924, 232568, 60, 14382, 32, 100);
INSERT INTO public.who_data VALUES (7409, 899, 158174, 58, 8696, 32, 187);
INSERT INTO public.who_data VALUES (7410, 0, 51437, 11, 1509, 32, 63);
INSERT INTO public.who_data VALUES (7411, 0, 5365, 0, 86, 32, 28);
INSERT INTO public.who_data VALUES (7412, 0, 1877, 0, 6, 32, 172);
INSERT INTO public.who_data VALUES (7413, 603, 38544, 5, 349, 32, 17);
INSERT INTO public.who_data VALUES (7414, 256, 13443, 19, 403, 32, 226);
INSERT INTO public.who_data VALUES (7415, 181, 131727, 4, 2037, 32, 236);
INSERT INTO public.who_data VALUES (7416, 0, 32, 0, 0, 32, 76);
INSERT INTO public.who_data VALUES (7417, 1, 650, 0, 1, 32, 30);
INSERT INTO public.who_data VALUES (7418, 0, 55, 0, 2, 32, 128);
INSERT INTO public.who_data VALUES (7419, 217, 40722, 12, 633, 32, 86);
INSERT INTO public.who_data VALUES (7420, 23347, 2890012, 656, 70951, 32, 140);
INSERT INTO public.who_data VALUES (7421, 132, 15187, 0, 76, 32, 44);
INSERT INTO public.who_data VALUES (7422, 0, 17697, 0, 127, 32, 113);
INSERT INTO public.who_data VALUES (7423, 0, 10019, 0, 66, 32, 29);
INSERT INTO public.who_data VALUES (7424, 5, 3938, 0, 128, 32, 125);
INSERT INTO public.who_data VALUES (7425, 469, 249934, 14, 2987, 32, 131);
INSERT INTO public.who_data VALUES (7426, 15974, 2068002, 1148, 48770, 32, 46);
INSERT INTO public.who_data VALUES (7427, 366, 58431, 6, 358, 32, 10);
INSERT INTO public.who_data VALUES (7428, 42, 3712, 2, 45, 32, 205);
INSERT INTO public.who_data VALUES (7429, 537, 149462, 30, 5518, 32, 50);
INSERT INTO public.who_data VALUES (7430, 0, 30, 0, 0, 32, 20);
INSERT INTO public.who_data VALUES (7431, 0, 139, 0, 1, 32, 13);
INSERT INTO public.who_data VALUES (7432, 0, 8948, 0, 156, 32, 148);
INSERT INTO public.who_data VALUES (7433, 22, 7309, 0, 128, 32, 230);
INSERT INTO public.who_data VALUES (7434, 1131, 150277, 35, 5313, 32, 190);
INSERT INTO public.who_data VALUES (7435, 0, 309, 0, 13, 32, 188);
INSERT INTO public.who_data VALUES (7436, 7, 14172, 0, 81, 32, 123);
INSERT INTO public.who_data VALUES (7437, 32, 2510, 0, 45, 32, 9);
INSERT INTO public.who_data VALUES (7438, 23, 6931, 0, 170, 32, 102);
INSERT INTO public.who_data VALUES (7439, 55, 10907, 0, 240, 32, 34);
INSERT INTO public.who_data VALUES (7440, 0, 26, 0, 0, 32, 212);
INSERT INTO public.who_data VALUES (7441, 827, 134938, 14, 3368, 32, 122);
INSERT INTO public.who_data VALUES (7442, 976, 354252, 95, 11615, 32, 38);
INSERT INTO public.who_data VALUES (7443, 0, 5970, 0, 29, 32, 130);
INSERT INTO public.who_data VALUES (7444, 13823, 10595660, 162, 152718, 32, 37);
INSERT INTO public.who_data VALUES (7445, 10365, 927380, 308, 26590, 32, 231);
INSERT INTO public.who_data VALUES (7446, 5917, 1342134, 87, 56973, 32, 107);
INSERT INTO public.who_data VALUES (7447, 823, 609852, 9, 12962, 32, 101);
INSERT INTO public.who_data VALUES (7448, 1996, 176839, 92, 2708, 32, 132);
INSERT INTO public.who_data VALUES (7449, 4, 432, 0, 25, 32, 176);
INSERT INTO public.who_data VALUES (7450, 10114, 560689, 46, 4119, 32, 200);
INSERT INTO public.who_data VALUES (7451, 10496, 2400598, 603, 83157, 32, 169);
INSERT INTO public.who_data VALUES (7452, 145, 14419, 3, 329, 32, 225);
INSERT INTO public.who_data VALUES (7453, 5446, 339774, 99, 4647, 32, 165);
INSERT INTO public.who_data VALUES (7454, 7, 3061, 0, 62, 32, 233);
INSERT INTO public.who_data VALUES (7455, 883, 316427, 17, 4170, 32, 215);
INSERT INTO public.who_data VALUES (7456, 1311, 219527, 0, 2956, 32, 177);
INSERT INTO public.who_data VALUES (7457, 81, 99308, 0, 1734, 32, 183);
INSERT INTO public.who_data VALUES (7458, 0, 0, 0, 0, 32, 203);
INSERT INTO public.who_data VALUES (7459, 297, 56372, 9, 1410, 32, 162);
INSERT INTO public.who_data VALUES (7460, 578, 158822, 2, 950, 32, 12);
INSERT INTO public.who_data VALUES (7461, 162, 83430, 2, 1392, 32, 24);
INSERT INTO public.who_data VALUES (7462, 0, 41, 0, 0, 32, 119);
INSERT INTO public.who_data VALUES (7463, 812, 56720, 29, 1012, 32, 39);
INSERT INTO public.who_data VALUES (7464, 4359, 260315, 61, 2020, 32, 26);
INSERT INTO public.who_data VALUES (7465, 647, 7018, 8, 101, 32, 59);
INSERT INTO public.who_data VALUES (7466, 2, 1898, 0, 84, 32, 77);
INSERT INTO public.who_data VALUES (7467, 596, 110465, 2, 1700, 32, 134);
INSERT INTO public.who_data VALUES (7468, 10, 2478, 1, 50, 32, 4);
INSERT INTO public.who_data VALUES (7469, 3352, 172060, 20, 2514, 32, 109);
INSERT INTO public.who_data VALUES (7470, 85, 48966, 3, 560, 32, 90);
INSERT INTO public.who_data VALUES (7471, 0, 18301, 0, 273, 32, 61);
INSERT INTO public.who_data VALUES (7472, 853, 13880, 15, 336, 32, 85);
INSERT INTO public.who_data VALUES (7473, 3631, 165371, 14, 619, 32, 49);
INSERT INTO public.who_data VALUES (7474, 51, 14633, 0, 49, 32, 208);
INSERT INTO public.who_data VALUES (7475, 25, 7880, 6, 317, 32, 166);
INSERT INTO public.who_data VALUES (7476, 200, 15942, 1, 242, 32, 64);
INSERT INTO public.who_data VALUES (7477, 0, 4, 0, 0, 32, 199);
INSERT INTO public.who_data VALUES (7478, 0, 6302, 0, 44, 32, 114);
INSERT INTO public.who_data VALUES (7479, 0, 16039, 0, 402, 32, 60);
INSERT INTO public.who_data VALUES (7480, 9, 556, 0, 10, 32, 68);
INSERT INTO public.who_data VALUES (7481, 129, 6918, 0, 58, 32, 158);
INSERT INTO public.who_data VALUES (7482, 8074, 1649502, 544, 141248, 32, 52);
INSERT INTO public.who_data VALUES (7483, 0, 0, 0, 0, 32, 117);
INSERT INTO public.who_data VALUES (7484, 25, 1240, 1, 9, 32, 126);
INSERT INTO public.who_data VALUES (7485, 10, 1536, 0, 1, 32, 196);
INSERT INTO public.who_data VALUES (7486, 452, 56979, 9, 758, 32, 142);
INSERT INTO public.who_data VALUES (7487, 0, 13, 0, 1, 32, 185);
INSERT INTO public.who_data VALUES (7488, 1246, 461390, 34, 8011, 32, 138);
INSERT INTO public.who_data VALUES (7489, 824, 28270, 4, 253, 32, 181);
INSERT INTO public.who_data VALUES (7490, 448, 135243, 13, 2986, 32, 178);
INSERT INTO public.who_data VALUES (7491, 242, 30995, 3, 296, 32, 168);
INSERT INTO public.who_data VALUES (7492, 0, 0, 0, 0, 32, 160);
INSERT INTO public.who_data VALUES (7493, 348, 267992, 4, 1969, 32, 151);
INSERT INTO public.who_data VALUES (7494, 4302, 920803, 105, 13141, 32, 193);
INSERT INTO public.who_data VALUES (7495, 0, 44, 0, 0, 32, 18);
INSERT INTO public.who_data VALUES (7496, 6, 1911, 0, 25, 32, 40);
INSERT INTO public.who_data VALUES (7497, 37, 4953, 1, 168, 32, 218);
INSERT INTO public.who_data VALUES (7498, 21, 4225, 1, 146, 32, 191);
INSERT INTO public.who_data VALUES (7499, 1301, 113305, 15, 1464, 32, 156);
INSERT INTO public.who_data VALUES (7500, 0, 0, 0, 0, 32, 135);
INSERT INTO public.who_data VALUES (7501, 0, 129, 0, 2, 32, 88);
INSERT INTO public.who_data VALUES (7502, 400, 89392, 11, 2726, 32, 55);
INSERT INTO public.who_data VALUES (7503, 382, 59033, 4, 525, 32, 108);
INSERT INTO public.who_data VALUES (7504, 660, 172399, 19, 1908, 32, 48);
INSERT INTO public.who_data VALUES (7505, 135, 132146, 2, 1516, 32, 3);
INSERT INTO public.who_data VALUES (7506, 0, 745, 0, 13, 32, 224);
INSERT INTO public.who_data VALUES (7507, 1800, 523011, 58, 11055, 32, 110);
INSERT INTO public.who_data VALUES (7508, 0, 0, 0, 0, 32, 106);
INSERT INTO public.who_data VALUES (7509, 1342, 299361, 41, 4828, 32, 89);
INSERT INTO public.who_data VALUES (7510, 9, 843, 0, 9, 32, 121);
INSERT INTO public.who_data VALUES (7511, 428, 122588, 13, 2518, 32, 163);
INSERT INTO public.who_data VALUES (7512, 3893, 1068802, 60, 38931, 32, 70);
INSERT INTO public.who_data VALUES (7513, 1348, 504084, 69, 9978, 32, 174);
INSERT INTO public.who_data VALUES (7514, 0, 0, 0, 0, 32, 175);
INSERT INTO public.who_data VALUES (7515, 6943, 1450747, 443, 34141, 32, 118);
INSERT INTO public.who_data VALUES (7516, 10455, 566958, 218, 9246, 32, 189);
INSERT INTO public.who_data VALUES (7517, 434, 88373, 0, 1703, 32, 124);
INSERT INTO public.who_data VALUES (7518, 225, 147729, 0, 248, 32, 192);
INSERT INTO public.who_data VALUES (7519, 404, 73512, 17, 1300, 32, 41);
INSERT INTO public.who_data VALUES (7520, 394, 153506, 15, 3282, 32, 95);
INSERT INTO public.who_data VALUES (7521, 0, 9552, 0, 45, 32, 74);
INSERT INTO public.who_data VALUES (7522, 2745, 697898, 98, 17369, 32, 11);
INSERT INTO public.who_data VALUES (7523, 21152, 3633952, 597, 67220, 32, 87);
INSERT INTO public.who_data VALUES (7524, 289, 11548, 2, 148, 32, 214);
INSERT INTO public.who_data VALUES (7525, 0, 5, 0, 0, 32, 116);
INSERT INTO public.who_data VALUES (7526, 0, 281, 0, 0, 32, 157);
INSERT INTO public.who_data VALUES (7527, 0, 0, 0, 0, 32, 182);
INSERT INTO public.who_data VALUES (7528, 0, 35, 0, 0, 32, 186);
INSERT INTO public.who_data VALUES (7529, 35, 656, 0, 8, 32, 127);
INSERT INTO public.who_data VALUES (7530, 0, 1117, 0, 12, 32, 232);
INSERT INTO public.who_data VALUES (7531, 0, 16, 0, 0, 32, 33);
INSERT INTO public.who_data VALUES (7532, 46, 540, 0, 2, 32, 97);
INSERT INTO public.who_data VALUES (7533, 0, 2, 0, 0, 32, 42);
INSERT INTO public.who_data VALUES (7534, 0, 2787, 0, 65, 32, 198);
INSERT INTO public.who_data VALUES (7535, 9, 1151, 0, 17, 32, 216);
INSERT INTO public.who_data VALUES (7536, 226, 365325, 6, 6335, 32, 164);
INSERT INTO public.who_data VALUES (7537, 168, 23392, 10, 536, 32, 235);
INSERT INTO public.who_data VALUES (7538, 1688, 375799, 20, 3791, 32, 67);
INSERT INTO public.who_data VALUES (7539, 16, 762, 0, 2, 32, 15);
INSERT INTO public.who_data VALUES (7540, 16, 3030, 0, 77, 32, 180);
INSERT INTO public.who_data VALUES (7541, 30, 59157, 0, 29, 32, 237);
INSERT INTO public.who_data VALUES (7542, 0, 20, 0, 0, 32, 25);
INSERT INTO public.who_data VALUES (7543, 13, 1669, 0, 27, 32, 209);
INSERT INTO public.who_data VALUES (7544, 1909, 226294, 111, 3637, 32, 217);
INSERT INTO public.who_data VALUES (7545, 1706, 151263, 28, 3543, 32, 79);
INSERT INTO public.who_data VALUES (7546, 0, 17, 0, 0, 32, 143);
INSERT INTO public.who_data VALUES (7547, 0, 4744, 0, 130, 32, 229);
INSERT INTO public.who_data VALUES (7548, 9780, 1356716, 839, 38288, 32, 141);
INSERT INTO public.who_data VALUES (7549, 59, 3762, 0, 63, 32, 197);
INSERT INTO public.who_data VALUES (7550, 35130, 2494654, 355, 56343, 32, 221);
INSERT INTO public.who_data VALUES (7551, 669, 54419, 3, 273, 32, 150);
INSERT INTO public.who_data VALUES (7552, 72, 28522, 1, 1722, 32, 56);
INSERT INTO public.who_data VALUES (7553, 97, 7624, 4, 145, 32, 167);
INSERT INTO public.who_data VALUES (7554, 2119, 533207, 73, 11428, 32, 23);
INSERT INTO public.who_data VALUES (7555, 2330, 503237, 61, 8414, 32, 222);
INSERT INTO public.who_data VALUES (7556, 92, 13224, 9, 850, 32, 219);
INSERT INTO public.who_data VALUES (7557, 0, 13714, 0, 91, 32, 7);
INSERT INTO public.who_data VALUES (7558, 59, 12653, 1, 71, 32, 161);
INSERT INTO public.who_data VALUES (7559, 33355, 3466853, 1610, 91470, 32, 149);
INSERT INTO public.who_data VALUES (7560, 0, 52, 0, 0, 32, 6);
INSERT INTO public.who_data VALUES (7561, 59, 4383, 0, 74, 32, 139);
INSERT INTO public.who_data VALUES (7562, 0, 0, 0, 0, 32, 211);
INSERT INTO public.who_data VALUES (7563, 0, 0, 0, 0, 32, 14);
INSERT INTO public.who_data VALUES (7564, 6, 7399, 0, 132, 32, 111);
INSERT INTO public.who_data VALUES (7565, 2598, 184483, 94, 5844, 32, 207);
INSERT INTO public.who_data VALUES (7566, 6818, 2399781, 167, 24328, 32, 66);
INSERT INTO public.who_data VALUES (7567, 0, 0, 0, 0, 32, 173);
INSERT INTO public.who_data VALUES (7568, 3, 1105, 1, 7, 32, 145);
INSERT INTO public.who_data VALUES (7569, 0, 0, 0, 0, 32, 65);
INSERT INTO public.who_data VALUES (7570, 449, 38534, 1, 305, 32, 184);
INSERT INTO public.who_data VALUES (7571, 4383, 1172038, 212, 21258, 32, 98);
INSERT INTO public.who_data VALUES (7572, 3491, 260223, 5, 756, 32, 104);
INSERT INTO public.who_data VALUES (7573, 0, 509, 0, 21, 32, 73);
INSERT INTO public.who_data VALUES (7574, 142240, 23884299, 1567, 396155, 32, 8);
INSERT INTO public.who_data VALUES (7575, 0, 2260, 0, 24, 32, 227);
INSERT INTO public.who_data VALUES (7576, 485, 32863, 8, 319, 32, 75);
INSERT INTO public.who_data VALUES (7577, 72, 78163, 0, 620, 32, 45);
INSERT INTO public.who_data VALUES (7578, 0, 1, 0, 0, 32, 133);
INSERT INTO public.who_data VALUES (7579, 641, 120444, 6, 1112, 32, 202);
INSERT INTO public.who_data VALUES (7580, 1, 1540, 0, 35, 32, 129);
INSERT INTO public.who_data VALUES (7581, 0, 4, 0, 0, 32, 36);
INSERT INTO public.who_data VALUES (7582, 2, 2119, 0, 613, 32, 51);
INSERT INTO public.who_data VALUES (7583, 1308, 39515, 19, 578, 32, 206);
INSERT INTO public.who_data VALUES (7584, 783, 28675, 52, 825, 32, 5);
INSERT INTO public.who_data VALUES (7585, 79, 54141, 3, 2346, 33, 103);
INSERT INTO public.who_data VALUES (7586, 292, 67982, 4, 1281, 33, 58);
INSERT INTO public.who_data VALUES (7587, 259, 104092, 4, 2845, 33, 195);
INSERT INTO public.who_data VALUES (7588, 0, 0, 0, 0, 33, 115);
INSERT INTO public.who_data VALUES (7589, 45, 9083, 0, 91, 33, 99);
INSERT INTO public.who_data VALUES (7590, 51, 18926, 3, 439, 33, 153);
INSERT INTO public.who_data VALUES (7591, 0, 15, 0, 0, 33, 93);
INSERT INTO public.who_data VALUES (7592, 2, 189, 0, 6, 33, 84);
INSERT INTO public.who_data VALUES (7593, 7264, 1799243, 112, 45407, 33, 78);
INSERT INTO public.who_data VALUES (7594, 236, 164912, 9, 3007, 33, 170);
INSERT INTO public.who_data VALUES (7595, 139, 6435, 0, 52, 33, 32);
INSERT INTO public.who_data VALUES (7596, 13, 28721, 0, 909, 33, 155);
INSERT INTO public.who_data VALUES (7597, 868, 391981, 55, 7069, 33, 82);
INSERT INTO public.who_data VALUES (7598, 118, 227391, 13, 3022, 33, 16);
INSERT INTO public.who_data VALUES (7599, 35, 8067, 0, 175, 33, 72);
INSERT INTO public.who_data VALUES (7600, 333, 97940, 0, 360, 33, 43);
INSERT INTO public.who_data VALUES (7601, 697, 528329, 16, 7922, 33, 120);
INSERT INTO public.who_data VALUES (7602, 0, 1095, 0, 7, 33, 213);
INSERT INTO public.who_data VALUES (7603, 1899, 227360, 9, 1591, 33, 31);
INSERT INTO public.who_data VALUES (7604, 3049, 683597, 57, 20530, 33, 204);
INSERT INTO public.who_data VALUES (7605, 51, 11580, 0, 281, 33, 152);
INSERT INTO public.who_data VALUES (7606, 0, 3413, 0, 46, 33, 144);
INSERT INTO public.who_data VALUES (7607, 0, 670, 0, 12, 33, 96);
INSERT INTO public.who_data VALUES (7608, 1, 843, 0, 1, 33, 47);
INSERT INTO public.who_data VALUES (7609, 1503, 187183, 40, 9636, 33, 80);
INSERT INTO public.who_data VALUES (7610, 11, 340, 0, 3, 33, 159);
INSERT INTO public.who_data VALUES (7611, 110, 118083, 14, 4486, 33, 27);
INSERT INTO public.who_data VALUES (7612, 1982, 18630, 17, 88, 33, 146);
INSERT INTO public.who_data VALUES (7613, 33040, 8488099, 551, 209847, 33, 71);
INSERT INTO public.who_data VALUES (7614, 0, 121, 0, 1, 33, 210);
INSERT INTO public.who_data VALUES (7615, 0, 174, 0, 3, 33, 54);
INSERT INTO public.who_data VALUES (7616, 570, 212383, 82, 8565, 33, 147);
INSERT INTO public.who_data VALUES (7617, 164, 9352, 3, 105, 33, 2);
INSERT INTO public.who_data VALUES (7618, 8, 1253, 0, 2, 33, 105);
INSERT INTO public.who_data VALUES (7619, 53, 13046, 1, 120, 33, 53);
INSERT INTO public.who_data VALUES (7620, 2, 441, 0, 0, 33, 81);
INSERT INTO public.who_data VALUES (7621, 0, 28010, 0, 455, 33, 223);
INSERT INTO public.who_data VALUES (7622, 6436, 708619, 149, 18014, 33, 94);
INSERT INTO public.who_data VALUES (7623, 0, 374, 0, 2, 33, 154);
INSERT INTO public.who_data VALUES (7624, 0, 4973, 0, 63, 33, 83);
INSERT INTO public.who_data VALUES (7625, 24, 2919, 2, 113, 33, 194);
INSERT INTO public.who_data VALUES (7626, 3918, 673750, 70, 17547, 33, 136);
INSERT INTO public.who_data VALUES (7627, 232, 99026, 1, 4805, 33, 179);
INSERT INTO public.who_data VALUES (7628, 17379, 1908413, 375, 48631, 33, 57);
INSERT INTO public.who_data VALUES (7629, 177, 1769, 4, 49, 33, 35);
INSERT INTO public.who_data VALUES (7630, 0, 7709, 0, 114, 33, 228);
INSERT INTO public.who_data VALUES (7631, 0, 0, 0, 0, 33, 19);
INSERT INTO public.who_data VALUES (7632, 508, 185653, 6, 2449, 33, 22);
INSERT INTO public.who_data VALUES (7633, 64, 25305, 1, 142, 33, 1);
INSERT INTO public.who_data VALUES (7634, 520, 225648, 29, 4684, 33, 21);
INSERT INTO public.who_data VALUES (7635, 942, 18443, 7, 173, 33, 234);
INSERT INTO public.who_data VALUES (7636, 22, 4520, 0, 19, 33, 91);
INSERT INTO public.who_data VALUES (7637, 162, 29130, 5, 175, 33, 137);
INSERT INTO public.who_data VALUES (7638, 7651, 899503, 197, 14646, 33, 201);
INSERT INTO public.who_data VALUES (7639, 0, 0, 0, 0, 33, 171);
INSERT INTO public.who_data VALUES (7640, 215, 20907, 0, 630, 33, 92);
INSERT INTO public.who_data VALUES (7641, 807, 189895, 30, 1805, 33, 112);
INSERT INTO public.who_data VALUES (7642, 1, 5906, 0, 61, 33, 62);
INSERT INTO public.who_data VALUES (7643, 0, 110, 0, 0, 33, 69);
INSERT INTO public.who_data VALUES (7644, 1848, 194966, 11, 2448, 33, 220);
INSERT INTO public.who_data VALUES (7645, 162, 231644, 3, 14322, 33, 100);
INSERT INTO public.who_data VALUES (7646, 878, 157275, 55, 8638, 33, 187);
INSERT INTO public.who_data VALUES (7647, 653, 51437, 11, 1498, 33, 63);
INSERT INTO public.who_data VALUES (7648, 9, 5365, 0, 86, 33, 28);
INSERT INTO public.who_data VALUES (7649, 0, 1877, 0, 6, 33, 172);
INSERT INTO public.who_data VALUES (7650, 597, 37941, 11, 344, 33, 17);
INSERT INTO public.who_data VALUES (7651, 243, 13187, 8, 384, 33, 226);
INSERT INTO public.who_data VALUES (7652, 351, 131546, 3, 2033, 33, 236);
INSERT INTO public.who_data VALUES (7653, 0, 32, 0, 0, 33, 76);
INSERT INTO public.who_data VALUES (7654, 0, 649, 0, 1, 33, 30);
INSERT INTO public.who_data VALUES (7655, 0, 55, 0, 2, 33, 128);
INSERT INTO public.who_data VALUES (7656, 168, 40505, 3, 621, 33, 86);
INSERT INTO public.who_data VALUES (7657, 3052, 2866665, 401, 70295, 33, 140);
INSERT INTO public.who_data VALUES (7658, 80, 15055, 1, 76, 33, 44);
INSERT INTO public.who_data VALUES (7659, 62, 17697, 1, 127, 33, 113);
INSERT INTO public.who_data VALUES (7660, 120, 10019, 0, 66, 33, 29);
INSERT INTO public.who_data VALUES (7661, 23, 3933, 1, 128, 33, 125);
INSERT INTO public.who_data VALUES (7662, 1550, 249465, 15, 2973, 33, 131);
INSERT INTO public.who_data VALUES (7663, 11369, 2052028, 989, 47622, 33, 46);
INSERT INTO public.who_data VALUES (7664, 351, 58065, 6, 352, 33, 10);
INSERT INTO public.who_data VALUES (7665, 33, 3670, 9, 43, 33, 205);
INSERT INTO public.who_data VALUES (7666, 318, 148925, 19, 5488, 33, 50);
INSERT INTO public.who_data VALUES (7667, 0, 30, 0, 0, 33, 20);
INSERT INTO public.who_data VALUES (7668, 0, 139, 0, 1, 33, 13);
INSERT INTO public.who_data VALUES (7669, 114, 8948, 0, 156, 33, 148);
INSERT INTO public.who_data VALUES (7670, 1, 7287, 1, 128, 33, 230);
INSERT INTO public.who_data VALUES (7671, 258, 149146, 24, 5278, 33, 190);
INSERT INTO public.who_data VALUES (7672, 0, 309, 0, 13, 33, 188);
INSERT INTO public.who_data VALUES (7673, 51, 14165, 0, 81, 33, 123);
INSERT INTO public.who_data VALUES (7674, 0, 2478, 0, 45, 33, 9);
INSERT INTO public.who_data VALUES (7675, 57, 6908, 0, 170, 33, 102);
INSERT INTO public.who_data VALUES (7676, 71, 10852, 0, 240, 33, 34);
INSERT INTO public.who_data VALUES (7677, 0, 26, 0, 0, 33, 212);
INSERT INTO public.who_data VALUES (7678, 604, 134111, 6, 3354, 33, 122);
INSERT INTO public.who_data VALUES (7679, 573, 353276, 111, 11520, 33, 38);
INSERT INTO public.who_data VALUES (7680, 14, 5970, 0, 29, 33, 130);
INSERT INTO public.who_data VALUES (7681, 10064, 10581837, 137, 152556, 33, 37);
INSERT INTO public.who_data VALUES (7682, 9086, 917015, 295, 26282, 33, 231);
INSERT INTO public.who_data VALUES (7683, 5806, 1336217, 83, 56886, 33, 107);
INSERT INTO public.who_data VALUES (7684, 797, 609029, 9, 12953, 33, 101);
INSERT INTO public.who_data VALUES (7685, 2117, 174843, 8, 2616, 33, 132);
INSERT INTO public.who_data VALUES (7686, 9, 428, 0, 25, 33, 176);
INSERT INTO public.who_data VALUES (7687, 5648, 550575, 57, 4073, 33, 200);
INSERT INTO public.who_data VALUES (7688, 8825, 2390102, 377, 82554, 33, 169);
INSERT INTO public.who_data VALUES (7689, 113, 14274, 2, 326, 33, 225);
INSERT INTO public.who_data VALUES (7690, 6034, 334328, 47, 4548, 33, 165);
INSERT INTO public.who_data VALUES (7691, 7, 3054, 0, 62, 33, 233);
INSERT INTO public.who_data VALUES (7692, 1030, 315544, 8, 4153, 33, 215);
INSERT INTO public.who_data VALUES (7693, 1252, 218216, 0, 2956, 33, 177);
INSERT INTO public.who_data VALUES (7694, 65, 99227, 3, 1734, 33, 183);
INSERT INTO public.who_data VALUES (7695, 0, 0, 0, 0, 33, 203);
INSERT INTO public.who_data VALUES (7696, 267, 56075, 1, 1401, 33, 162);
INSERT INTO public.who_data VALUES (7697, 467, 158244, 1, 948, 33, 12);
INSERT INTO public.who_data VALUES (7698, 90, 83268, 3, 1390, 33, 24);
INSERT INTO public.who_data VALUES (7699, 0, 41, 0, 0, 33, 119);
INSERT INTO public.who_data VALUES (7700, 244, 55908, 5, 983, 33, 39);
INSERT INTO public.who_data VALUES (7701, 3144, 255956, 53, 1959, 33, 26);
INSERT INTO public.who_data VALUES (7702, 0, 6371, 0, 93, 33, 59);
INSERT INTO public.who_data VALUES (7703, 9, 1896, 0, 84, 33, 77);
INSERT INTO public.who_data VALUES (7704, 781, 109869, 33, 1698, 33, 134);
INSERT INTO public.who_data VALUES (7705, 10, 2468, 0, 49, 33, 4);
INSERT INTO public.who_data VALUES (7706, 716, 168708, 25, 2494, 33, 109);
INSERT INTO public.who_data VALUES (7707, 37, 48881, 5, 557, 33, 90);
INSERT INTO public.who_data VALUES (7708, 0, 18301, 0, 273, 33, 61);
INSERT INTO public.who_data VALUES (7709, 557, 13027, 7, 321, 33, 85);
INSERT INTO public.who_data VALUES (7710, 3306, 161740, 4, 605, 33, 49);
INSERT INTO public.who_data VALUES (7711, 69, 14582, 0, 49, 33, 208);
INSERT INTO public.who_data VALUES (7712, 16, 7855, 1, 311, 33, 166);
INSERT INTO public.who_data VALUES (7713, 154, 15742, 2, 241, 33, 64);
INSERT INTO public.who_data VALUES (7714, 0, 4, 0, 0, 33, 199);
INSERT INTO public.who_data VALUES (7715, 75, 6302, 1, 44, 33, 114);
INSERT INTO public.who_data VALUES (7716, 0, 16039, 0, 402, 33, 60);
INSERT INTO public.who_data VALUES (7717, 0, 547, 0, 10, 33, 68);
INSERT INTO public.who_data VALUES (7718, 178, 6789, 0, 58, 33, 158);
INSERT INTO public.who_data VALUES (7719, 11170, 1641428, 463, 140704, 33, 52);
INSERT INTO public.who_data VALUES (7720, 0, 0, 0, 0, 33, 117);
INSERT INTO public.who_data VALUES (7721, 7, 1215, 0, 8, 33, 126);
INSERT INTO public.who_data VALUES (7722, 9, 1526, 0, 1, 33, 196);
INSERT INTO public.who_data VALUES (7723, 351, 56527, 3, 749, 33, 142);
INSERT INTO public.who_data VALUES (7724, 0, 13, 0, 1, 33, 185);
INSERT INTO public.who_data VALUES (7725, 473, 460144, 35, 7977, 33, 138);
INSERT INTO public.who_data VALUES (7726, 895, 27446, 8, 249, 33, 181);
INSERT INTO public.who_data VALUES (7727, 477, 134795, 18, 2973, 33, 178);
INSERT INTO public.who_data VALUES (7728, 390, 30753, 8, 293, 33, 168);
INSERT INTO public.who_data VALUES (7729, 0, 0, 0, 0, 33, 160);
INSERT INTO public.who_data VALUES (7730, 322, 267644, 6, 1965, 33, 151);
INSERT INTO public.who_data VALUES (7731, 4793, 916501, 59, 13036, 33, 193);
INSERT INTO public.who_data VALUES (7732, 0, 44, 0, 0, 33, 18);
INSERT INTO public.who_data VALUES (7733, 0, 1905, 0, 25, 33, 40);
INSERT INTO public.who_data VALUES (7734, 0, 4916, 0, 167, 33, 218);
INSERT INTO public.who_data VALUES (7735, 48, 4204, 5, 145, 33, 191);
INSERT INTO public.who_data VALUES (7736, 1617, 112004, 14, 1449, 33, 156);
INSERT INTO public.who_data VALUES (7737, 0, 0, 0, 0, 33, 135);
INSERT INTO public.who_data VALUES (7738, 0, 129, 0, 2, 33, 88);
INSERT INTO public.who_data VALUES (7739, 54, 88992, 13, 2715, 33, 55);
INSERT INTO public.who_data VALUES (7740, 206, 58651, 4, 521, 33, 108);
INSERT INTO public.who_data VALUES (7741, 524, 171739, 8, 1889, 33, 48);
INSERT INTO public.who_data VALUES (7742, 221, 132011, 2, 1514, 33, 3);
INSERT INTO public.who_data VALUES (7743, 0, 745, 0, 13, 33, 224);
INSERT INTO public.who_data VALUES (7744, 1920, 521211, 46, 10997, 33, 110);
INSERT INTO public.who_data VALUES (7745, 0, 0, 0, 0, 33, 106);
INSERT INTO public.who_data VALUES (7746, 1750, 298019, 49, 4787, 33, 89);
INSERT INTO public.who_data VALUES (7747, 0, 834, 0, 9, 33, 121);
INSERT INTO public.who_data VALUES (7748, 512, 122160, 10, 2505, 33, 163);
INSERT INTO public.who_data VALUES (7749, 4342, 1064909, 101, 38871, 33, 70);
INSERT INTO public.who_data VALUES (7750, 2159, 502736, 14, 9909, 33, 174);
INSERT INTO public.who_data VALUES (7751, 0, 0, 0, 0, 33, 175);
INSERT INTO public.who_data VALUES (7752, 4890, 1443804, 291, 33698, 33, 118);
INSERT INTO public.who_data VALUES (7753, 6702, 556503, 167, 9028, 33, 189);
INSERT INTO public.who_data VALUES (7754, 567, 87939, 0, 1703, 33, 124);
INSERT INTO public.who_data VALUES (7755, 227, 147504, 2, 248, 33, 192);
INSERT INTO public.who_data VALUES (7756, 386, 73108, 19, 1283, 33, 41);
INSERT INTO public.who_data VALUES (7757, 258, 153112, 17, 3267, 33, 95);
INSERT INTO public.who_data VALUES (7758, 109, 9552, 0, 45, 33, 74);
INSERT INTO public.who_data VALUES (7759, 1509, 695153, 50, 17271, 33, 11);
INSERT INTO public.who_data VALUES (7760, 21734, 3612800, 586, 66623, 33, 87);
INSERT INTO public.who_data VALUES (7761, 227, 11259, 4, 146, 33, 214);
INSERT INTO public.who_data VALUES (7762, 0, 5, 0, 0, 33, 116);
INSERT INTO public.who_data VALUES (7763, 57, 281, 0, 0, 33, 157);
INSERT INTO public.who_data VALUES (7764, 0, 0, 0, 0, 33, 182);
INSERT INTO public.who_data VALUES (7765, 1, 35, 0, 0, 33, 186);
INSERT INTO public.who_data VALUES (7766, 10, 621, 0, 8, 33, 127);
INSERT INTO public.who_data VALUES (7767, 71, 1117, 0, 12, 33, 232);
INSERT INTO public.who_data VALUES (7768, 0, 16, 0, 0, 33, 33);
INSERT INTO public.who_data VALUES (7769, 16, 494, 1, 2, 33, 97);
INSERT INTO public.who_data VALUES (7770, 0, 2, 0, 0, 33, 42);
INSERT INTO public.who_data VALUES (7771, 9, 2787, 0, 65, 33, 198);
INSERT INTO public.who_data VALUES (7772, 0, 1142, 0, 17, 33, 216);
INSERT INTO public.who_data VALUES (7773, 170, 365099, 6, 6329, 33, 164);
INSERT INTO public.who_data VALUES (7774, 196, 23224, 11, 526, 33, 235);
INSERT INTO public.who_data VALUES (7775, 1578, 374111, 21, 3771, 33, 67);
INSERT INTO public.who_data VALUES (7776, 58, 746, 0, 2, 33, 15);
INSERT INTO public.who_data VALUES (7777, 8, 3014, 0, 77, 33, 180);
INSERT INTO public.who_data VALUES (7778, 14, 59127, 0, 29, 33, 237);
INSERT INTO public.who_data VALUES (7779, 1, 20, 0, 0, 33, 25);
INSERT INTO public.who_data VALUES (7780, 27, 1656, 0, 27, 33, 209);
INSERT INTO public.who_data VALUES (7781, 1060, 224385, 52, 3526, 33, 217);
INSERT INTO public.who_data VALUES (7782, 300, 149557, 31, 3515, 33, 79);
INSERT INTO public.who_data VALUES (7783, 0, 17, 0, 0, 33, 143);
INSERT INTO public.who_data VALUES (7784, 0, 4744, 0, 130, 33, 229);
INSERT INTO public.who_data VALUES (7785, 9010, 1346936, 344, 37449, 33, 141);
INSERT INTO public.who_data VALUES (7786, 0, 3703, 0, 63, 33, 197);
INSERT INTO public.who_data VALUES (7787, 18386, 2459524, 294, 55988, 33, 221);
INSERT INTO public.who_data VALUES (7788, 688, 53750, 6, 270, 33, 150);
INSERT INTO public.who_data VALUES (7789, 133, 28450, 4, 1721, 33, 56);
INSERT INTO public.who_data VALUES (7790, 58, 7527, 0, 141, 33, 167);
INSERT INTO public.who_data VALUES (7791, 1250, 531088, 61, 11355, 33, 23);
INSERT INTO public.who_data VALUES (7792, 2945, 500907, 36, 8353, 33, 222);
INSERT INTO public.who_data VALUES (7793, 96, 13132, 9, 841, 33, 219);
INSERT INTO public.who_data VALUES (7794, 0, 13714, 0, 91, 33, 7);
INSERT INTO public.who_data VALUES (7795, 171, 12594, 0, 70, 33, 161);
INSERT INTO public.who_data VALUES (7796, 37535, 3433498, 599, 89860, 33, 149);
INSERT INTO public.who_data VALUES (7797, 0, 52, 0, 0, 33, 6);
INSERT INTO public.who_data VALUES (7798, 22, 4324, 1, 74, 33, 139);
INSERT INTO public.who_data VALUES (7799, 0, 0, 0, 0, 33, 211);
INSERT INTO public.who_data VALUES (7800, 0, 0, 0, 0, 33, 14);
INSERT INTO public.who_data VALUES (7801, 23, 7393, 1, 132, 33, 111);
INSERT INTO public.who_data VALUES (7802, 1795, 181885, 58, 5750, 33, 207);
INSERT INTO public.who_data VALUES (7803, 5862, 2392963, 164, 24161, 33, 66);
INSERT INTO public.who_data VALUES (7804, 0, 0, 0, 0, 33, 173);
INSERT INTO public.who_data VALUES (7805, 0, 1102, 0, 6, 33, 145);
INSERT INTO public.who_data VALUES (7806, 0, 0, 0, 0, 33, 65);
INSERT INTO public.who_data VALUES (7807, 0, 38085, 0, 304, 33, 184);
INSERT INTO public.who_data VALUES (7808, 3939, 1167655, 177, 21046, 33, 98);
INSERT INTO public.who_data VALUES (7809, 3471, 256732, 6, 751, 33, 104);
INSERT INTO public.who_data VALUES (7810, 0, 509, 0, 21, 33, 73);
INSERT INTO public.who_data VALUES (7811, 185383, 23742059, 1947, 394588, 33, 8);
INSERT INTO public.who_data VALUES (7812, 0, 2260, 0, 24, 33, 227);
INSERT INTO public.who_data VALUES (7813, 709, 32378, 13, 311, 33, 75);
INSERT INTO public.who_data VALUES (7814, 55, 78091, 1, 620, 33, 45);
INSERT INTO public.who_data VALUES (7815, 0, 1, 0, 0, 33, 133);
INSERT INTO public.who_data VALUES (7816, 497, 119803, 5, 1106, 33, 202);
INSERT INTO public.who_data VALUES (7817, 2, 1539, 0, 35, 33, 129);
INSERT INTO public.who_data VALUES (7818, 0, 4, 0, 0, 33, 36);
INSERT INTO public.who_data VALUES (7819, 1, 2117, 0, 613, 33, 51);
INSERT INTO public.who_data VALUES (7820, 602, 38207, 13, 559, 33, 206);
INSERT INTO public.who_data VALUES (7821, 689, 27892, 60, 773, 33, 5);
INSERT INTO public.who_data VALUES (7822, 78, 54062, 4, 2343, 34, 103);
INSERT INTO public.who_data VALUES (7823, 474, 67690, 7, 1277, 34, 58);
INSERT INTO public.who_data VALUES (7824, 222, 103833, 10, 2841, 34, 195);
INSERT INTO public.who_data VALUES (7825, 0, 0, 0, 0, 34, 115);
INSERT INTO public.who_data VALUES (7826, 0, 9038, 0, 91, 34, 99);
INSERT INTO public.who_data VALUES (7827, 110, 18875, 5, 436, 34, 153);
INSERT INTO public.who_data VALUES (7828, 0, 15, 0, 0, 34, 93);
INSERT INTO public.who_data VALUES (7829, 0, 187, 0, 6, 34, 84);
INSERT INTO public.who_data VALUES (7830, 8932, 1791979, 68, 45295, 34, 78);
INSERT INTO public.who_data VALUES (7831, 90, 164676, 6, 2998, 34, 170);
INSERT INTO public.who_data VALUES (7832, 0, 6296, 0, 52, 34, 32);
INSERT INTO public.who_data VALUES (7833, 19, 28708, 0, 909, 34, 155);
INSERT INTO public.who_data VALUES (7834, 1361, 391113, 50, 7014, 34, 82);
INSERT INTO public.who_data VALUES (7835, 322, 227273, 11, 3009, 34, 16);
INSERT INTO public.who_data VALUES (7836, 0, 8032, 0, 175, 34, 72);
INSERT INTO public.who_data VALUES (7837, 339, 97607, 2, 360, 34, 43);
INSERT INTO public.who_data VALUES (7838, 569, 527632, 23, 7906, 34, 120);
INSERT INTO public.who_data VALUES (7839, 59, 1095, 0, 7, 34, 213);
INSERT INTO public.who_data VALUES (7840, 1924, 225461, 9, 1582, 34, 31);
INSERT INTO public.who_data VALUES (7841, 722, 680548, 44, 20473, 34, 204);
INSERT INTO public.who_data VALUES (7842, 0, 11529, 0, 281, 34, 152);
INSERT INTO public.who_data VALUES (7843, 0, 3413, 0, 46, 34, 144);
INSERT INTO public.who_data VALUES (7844, 0, 670, 0, 12, 34, 96);
INSERT INTO public.who_data VALUES (7845, 0, 842, 0, 1, 34, 47);
INSERT INTO public.who_data VALUES (7846, 2091, 185680, 25, 9596, 34, 80);
INSERT INTO public.who_data VALUES (7847, 0, 329, 0, 3, 34, 159);
INSERT INTO public.who_data VALUES (7848, 180, 117973, 23, 4472, 34, 27);
INSERT INTO public.who_data VALUES (7849, 597, 16648, 23, 71, 34, 146);
INSERT INTO public.who_data VALUES (7850, 61567, 8455059, 1050, 209296, 34, 71);
INSERT INTO public.who_data VALUES (7851, 0, 121, 0, 1, 34, 210);
INSERT INTO public.who_data VALUES (7852, 0, 174, 0, 3, 34, 54);
INSERT INTO public.who_data VALUES (7853, 77, 211813, 9, 8483, 34, 147);
INSERT INTO public.who_data VALUES (7854, 188, 9188, 1, 102, 34, 2);
INSERT INTO public.who_data VALUES (7855, 9, 1245, 0, 2, 34, 105);
INSERT INTO public.who_data VALUES (7856, 92, 12993, 0, 119, 34, 53);
INSERT INTO public.who_data VALUES (7857, 0, 439, 0, 0, 34, 81);
INSERT INTO public.who_data VALUES (7858, 674, 28010, 4, 455, 34, 223);
INSERT INTO public.who_data VALUES (7859, 6476, 702183, 136, 17865, 34, 94);
INSERT INTO public.who_data VALUES (7860, 0, 374, 0, 2, 34, 154);
INSERT INTO public.who_data VALUES (7861, 0, 4973, 0, 63, 34, 83);
INSERT INTO public.who_data VALUES (7862, 40, 2895, 0, 111, 34, 194);
INSERT INTO public.who_data VALUES (7863, 4339, 669832, 42, 17477, 34, 136);
INSERT INTO public.who_data VALUES (7864, 169, 98794, 0, 4804, 34, 179);
INSERT INTO public.who_data VALUES (7865, 20855, 1891034, 388, 48256, 34, 57);
INSERT INTO public.who_data VALUES (7866, 15, 1592, 4, 45, 34, 35);
INSERT INTO public.who_data VALUES (7867, 0, 7709, 0, 114, 34, 228);
INSERT INTO public.who_data VALUES (7868, 0, 0, 0, 0, 34, 19);
INSERT INTO public.who_data VALUES (7869, 958, 185145, 27, 2443, 34, 22);
INSERT INTO public.who_data VALUES (7870, 385, 25241, 0, 141, 34, 1);
INSERT INTO public.who_data VALUES (7871, 174, 225128, 39, 4655, 34, 21);
INSERT INTO public.who_data VALUES (7872, 0, 17501, 0, 166, 34, 234);
INSERT INTO public.who_data VALUES (7873, 0, 4498, 0, 19, 34, 91);
INSERT INTO public.who_data VALUES (7874, 157, 28968, 3, 170, 34, 137);
INSERT INTO public.who_data VALUES (7875, 2693, 891852, 111, 14449, 34, 201);
INSERT INTO public.who_data VALUES (7876, 0, 0, 0, 0, 34, 171);
INSERT INTO public.who_data VALUES (7877, 67, 20692, 1, 630, 34, 92);
INSERT INTO public.who_data VALUES (7878, 889, 189088, 28, 1775, 34, 112);
INSERT INTO public.who_data VALUES (7879, 2, 5905, 0, 61, 34, 62);
INSERT INTO public.who_data VALUES (7880, 0, 110, 0, 0, 34, 69);
INSERT INTO public.who_data VALUES (7881, 1779, 193118, 5, 2437, 34, 220);
INSERT INTO public.who_data VALUES (7882, 674, 231482, 3, 14319, 34, 100);
INSERT INTO public.who_data VALUES (7883, 890, 156397, 56, 8583, 34, 187);
INSERT INTO public.who_data VALUES (7884, 627, 50784, 8, 1487, 34, 63);
INSERT INTO public.who_data VALUES (7885, 0, 5356, 0, 86, 34, 28);
INSERT INTO public.who_data VALUES (7886, 0, 1877, 0, 6, 34, 172);
INSERT INTO public.who_data VALUES (7887, 265, 37344, 8, 333, 34, 17);
INSERT INTO public.who_data VALUES (7888, 208, 12944, 16, 376, 34, 226);
INSERT INTO public.who_data VALUES (7889, 423, 131195, 1, 2030, 34, 236);
INSERT INTO public.who_data VALUES (7890, 0, 32, 0, 0, 34, 76);
INSERT INTO public.who_data VALUES (7891, 0, 649, 0, 1, 34, 30);
INSERT INTO public.who_data VALUES (7892, 0, 55, 0, 2, 34, 128);
INSERT INTO public.who_data VALUES (7893, 236, 40337, 0, 618, 34, 86);
INSERT INTO public.who_data VALUES (7894, 16642, 2863613, 141, 69894, 34, 140);
INSERT INTO public.who_data VALUES (7895, 0, 14975, 0, 75, 34, 44);
INSERT INTO public.who_data VALUES (7896, 0, 17635, 0, 126, 34, 113);
INSERT INTO public.who_data VALUES (7897, 0, 9899, 0, 66, 34, 29);
INSERT INTO public.who_data VALUES (7898, 13, 3910, 0, 127, 34, 125);
INSERT INTO public.who_data VALUES (7899, 110, 247915, 25, 2958, 34, 131);
INSERT INTO public.who_data VALUES (7900, 7141, 2040659, 214, 46633, 34, 46);
INSERT INTO public.who_data VALUES (7901, 733, 57714, 5, 346, 34, 10);
INSERT INTO public.who_data VALUES (7902, 62, 3637, 4, 34, 34, 205);
INSERT INTO public.who_data VALUES (7903, 237, 148607, 28, 5469, 34, 50);
INSERT INTO public.who_data VALUES (7904, 0, 30, 0, 0, 34, 20);
INSERT INTO public.who_data VALUES (7905, 0, 139, 0, 1, 34, 13);
INSERT INTO public.who_data VALUES (7906, 0, 8834, 0, 156, 34, 148);
INSERT INTO public.who_data VALUES (7907, 3, 7286, 1, 127, 34, 230);
INSERT INTO public.who_data VALUES (7908, 290, 148888, 34, 5254, 34, 190);
INSERT INTO public.who_data VALUES (7909, 0, 309, 0, 13, 34, 188);
INSERT INTO public.who_data VALUES (7910, 16, 14114, 0, 81, 34, 123);
INSERT INTO public.who_data VALUES (7911, 0, 2478, 0, 45, 34, 9);
INSERT INTO public.who_data VALUES (7912, 46, 6851, 0, 170, 34, 102);
INSERT INTO public.who_data VALUES (7913, 0, 10781, 0, 240, 34, 34);
INSERT INTO public.who_data VALUES (7914, 0, 26, 0, 0, 34, 212);
INSERT INTO public.who_data VALUES (7915, 1095, 133507, 4, 3348, 34, 122);
INSERT INTO public.who_data VALUES (7916, 875, 352703, 68, 11409, 34, 38);
INSERT INTO public.who_data VALUES (7917, 0, 5956, 0, 29, 34, 130);
INSERT INTO public.who_data VALUES (7918, 13788, 10571773, 145, 152419, 34, 37);
INSERT INTO public.who_data VALUES (7919, 11287, 907929, 220, 25987, 34, 231);
INSERT INTO public.who_data VALUES (7920, 6016, 1330411, 86, 56803, 34, 107);
INSERT INTO public.who_data VALUES (7921, 645, 608232, 9, 12944, 34, 101);
INSERT INTO public.who_data VALUES (7922, 2946, 172726, 13, 2608, 34, 132);
INSERT INTO public.who_data VALUES (7923, 1, 419, 0, 25, 34, 176);
INSERT INTO public.who_data VALUES (7924, 5088, 544927, 48, 4016, 34, 200);
INSERT INTO public.who_data VALUES (7925, 12544, 2381277, 377, 82177, 34, 169);
INSERT INTO public.who_data VALUES (7926, 65, 14161, 1, 324, 34, 225);
INSERT INTO public.who_data VALUES (7927, 5998, 328294, 55, 4501, 34, 165);
INSERT INTO public.who_data VALUES (7928, 3, 3047, 0, 62, 34, 233);
INSERT INTO public.who_data VALUES (7929, 957, 314514, 8, 4145, 34, 215);
INSERT INTO public.who_data VALUES (7930, 1017, 216964, 0, 2956, 34, 177);
INSERT INTO public.who_data VALUES (7931, 80, 99162, 3, 1731, 34, 183);
INSERT INTO public.who_data VALUES (7932, 0, 0, 0, 0, 34, 203);
INSERT INTO public.who_data VALUES (7933, 353, 55808, 5, 1400, 34, 162);
INSERT INTO public.who_data VALUES (7934, 378, 157777, 0, 947, 34, 12);
INSERT INTO public.who_data VALUES (7935, 69, 83178, 3, 1387, 34, 24);
INSERT INTO public.who_data VALUES (7936, 0, 41, 0, 0, 34, 119);
INSERT INTO public.who_data VALUES (7937, 567, 55664, 17, 978, 34, 39);
INSERT INTO public.who_data VALUES (7938, 3654, 252812, 40, 1906, 34, 26);
INSERT INTO public.who_data VALUES (7939, 0, 6371, -4, 93, 34, 59);
INSERT INTO public.who_data VALUES (7940, 0, 1887, 0, 84, 34, 77);
INSERT INTO public.who_data VALUES (7941, 1071, 109088, 14, 1665, 34, 134);
INSERT INTO public.who_data VALUES (7942, 6, 2458, 1, 49, 34, 4);
INSERT INTO public.who_data VALUES (7943, 476, 167992, 24, 2469, 34, 109);
INSERT INTO public.who_data VALUES (7944, 87, 48844, 0, 552, 34, 90);
INSERT INTO public.who_data VALUES (7945, 300, 18301, 6, 273, 34, 61);
INSERT INTO public.who_data VALUES (7946, 685, 12470, 14, 314, 34, 85);
INSERT INTO public.who_data VALUES (7947, 3339, 158434, 7, 601, 34, 49);
INSERT INTO public.who_data VALUES (7948, 51, 14513, 0, 49, 34, 208);
INSERT INTO public.who_data VALUES (7949, 16, 7839, 2, 310, 34, 166);
INSERT INTO public.who_data VALUES (7950, 141, 15588, 1, 239, 34, 64);
INSERT INTO public.who_data VALUES (7951, 0, 4, 0, 0, 34, 199);
INSERT INTO public.who_data VALUES (7952, 0, 6227, 0, 43, 34, 114);
INSERT INTO public.who_data VALUES (7953, 146, 16039, 6, 402, 34, 60);
INSERT INTO public.who_data VALUES (7954, 0, 547, 0, 10, 34, 68);
INSERT INTO public.who_data VALUES (7955, 0, 6611, 0, 58, 34, 158);
INSERT INTO public.who_data VALUES (7956, 20523, 1630258, 1219, 140241, 34, 52);
INSERT INTO public.who_data VALUES (7957, 0, 0, 0, 0, 34, 117);
INSERT INTO public.who_data VALUES (7958, 11, 1208, 0, 8, 34, 126);
INSERT INTO public.who_data VALUES (7959, 5, 1517, 0, 1, 34, 196);
INSERT INTO public.who_data VALUES (7960, 406, 56176, 1, 746, 34, 142);
INSERT INTO public.who_data VALUES (7961, 0, 13, 0, 1, 34, 185);
INSERT INTO public.who_data VALUES (7962, 806, 459671, 31, 7942, 34, 138);
INSERT INTO public.who_data VALUES (7963, 689, 26551, 7, 241, 34, 181);
INSERT INTO public.who_data VALUES (7964, 449, 134318, 13, 2955, 34, 178);
INSERT INTO public.who_data VALUES (7965, 165, 30363, 5, 285, 34, 168);
INSERT INTO public.who_data VALUES (7966, 0, 0, 0, 0, 34, 160);
INSERT INTO public.who_data VALUES (7967, 266, 267322, 5, 1959, 34, 151);
INSERT INTO public.who_data VALUES (7968, 5586, 911708, 43, 12977, 34, 193);
INSERT INTO public.who_data VALUES (7969, 0, 44, 0, 0, 34, 18);
INSERT INTO public.who_data VALUES (7970, 5, 1905, 0, 25, 34, 40);
INSERT INTO public.who_data VALUES (7971, 0, 4916, 0, 167, 34, 218);
INSERT INTO public.who_data VALUES (7972, 24, 4156, 2, 140, 34, 191);
INSERT INTO public.who_data VALUES (7973, 1444, 110387, 15, 1435, 34, 156);
INSERT INTO public.who_data VALUES (7974, 0, 0, 0, 0, 34, 135);
INSERT INTO public.who_data VALUES (7975, 1, 129, 0, 2, 34, 88);
INSERT INTO public.who_data VALUES (7976, 189, 88938, 6, 2702, 34, 55);
INSERT INTO public.who_data VALUES (7977, 711, 58445, 0, 517, 34, 108);
INSERT INTO public.who_data VALUES (7978, 578, 171215, 20, 1881, 34, 48);
INSERT INTO public.who_data VALUES (7979, 526, 131790, 3, 1512, 34, 3);
INSERT INTO public.who_data VALUES (7980, 0, 745, 0, 13, 34, 224);
INSERT INTO public.who_data VALUES (7981, 2521, 519291, 43, 10951, 34, 110);
INSERT INTO public.who_data VALUES (7982, 0, 0, 0, 0, 34, 106);
INSERT INTO public.who_data VALUES (7983, 2677, 296269, 49, 4738, 34, 89);
INSERT INTO public.who_data VALUES (7984, 0, 834, 0, 9, 34, 121);
INSERT INTO public.who_data VALUES (7985, 859, 121648, 16, 2495, 34, 163);
INSERT INTO public.who_data VALUES (7986, 4544, 1060567, 116, 38770, 34, 70);
INSERT INTO public.who_data VALUES (7987, 1886, 500577, 11, 9895, 34, 174);
INSERT INTO public.who_data VALUES (7988, 0, 0, 0, 0, 34, 175);
INSERT INTO public.who_data VALUES (7989, 3332, 1438914, 52, 33407, 34, 118);
INSERT INTO public.who_data VALUES (7990, 10385, 549801, 152, 8861, 34, 189);
INSERT INTO public.who_data VALUES (7991, 849, 87372, 0, 1703, 34, 124);
INSERT INTO public.who_data VALUES (7992, 188, 147277, 0, 246, 34, 192);
INSERT INTO public.who_data VALUES (7993, 389, 72722, 15, 1264, 34, 41);
INSERT INTO public.who_data VALUES (7994, 214, 152854, 5, 3250, 34, 95);
INSERT INTO public.who_data VALUES (7995, 0, 9443, 0, 45, 34, 74);
INSERT INTO public.who_data VALUES (7996, 2156, 693644, 57, 17221, 34, 11);
INSERT INTO public.who_data VALUES (7997, 22857, 3591066, 471, 66037, 34, 87);
INSERT INTO public.who_data VALUES (7998, 182, 11032, 2, 142, 34, 214);
INSERT INTO public.who_data VALUES (7999, 0, 5, 0, 0, 34, 116);
INSERT INTO public.who_data VALUES (8000, 0, 224, 0, 0, 34, 157);
INSERT INTO public.who_data VALUES (8001, 0, 0, 0, 0, 34, 182);
INSERT INTO public.who_data VALUES (8002, 0, 34, 0, 0, 34, 186);
INSERT INTO public.who_data VALUES (8003, 35, 611, 2, 8, 34, 127);
INSERT INTO public.who_data VALUES (8004, 0, 1046, 0, 12, 34, 232);
INSERT INTO public.who_data VALUES (8005, 0, 16, 0, 0, 34, 33);
INSERT INTO public.who_data VALUES (8006, 28, 478, 0, 1, 34, 97);
INSERT INTO public.who_data VALUES (8007, 0, 2, 0, 0, 34, 42);
INSERT INTO public.who_data VALUES (8008, 0, 2778, 0, 65, 34, 198);
INSERT INTO public.who_data VALUES (8009, 12, 1142, 0, 17, 34, 216);
INSERT INTO public.who_data VALUES (8010, 176, 364929, 5, 6323, 34, 164);
INSERT INTO public.who_data VALUES (8011, 290, 23028, 6, 515, 34, 235);
INSERT INTO public.who_data VALUES (8012, 1317, 372533, 20, 3750, 34, 67);
INSERT INTO public.who_data VALUES (8013, -1, 688, 1, 2, 34, 15);
INSERT INTO public.who_data VALUES (8014, 36, 3006, 0, 77, 34, 180);
INSERT INTO public.who_data VALUES (8015, 30, 59113, 0, 29, 34, 237);
INSERT INTO public.who_data VALUES (8016, 0, 19, 0, 0, 34, 25);
INSERT INTO public.who_data VALUES (8017, 0, 1629, 0, 27, 34, 209);
INSERT INTO public.who_data VALUES (8018, 573, 223325, 57, 3474, 34, 217);
INSERT INTO public.who_data VALUES (8019, 574, 149257, 33, 3484, 34, 79);
INSERT INTO public.who_data VALUES (8020, 0, 17, 0, 0, 34, 143);
INSERT INTO public.who_data VALUES (8021, 0, 4744, 0, 130, 34, 229);
INSERT INTO public.who_data VALUES (8022, 12267, 1337926, 254, 37105, 34, 141);
INSERT INTO public.who_data VALUES (8023, 10, 3703, 0, 63, 34, 197);
INSERT INTO public.who_data VALUES (8024, 24633, 2441138, 309, 55694, 34, 221);
INSERT INTO public.who_data VALUES (8025, 749, 53062, 8, 264, 34, 150);
INSERT INTO public.who_data VALUES (8026, 84, 28317, 10, 1717, 34, 56);
INSERT INTO public.who_data VALUES (8027, 60, 7469, 2, 141, 34, 167);
INSERT INTO public.who_data VALUES (8028, 2162, 529838, 82, 11294, 34, 23);
INSERT INTO public.who_data VALUES (8029, 893, 497962, 31, 8317, 34, 222);
INSERT INTO public.who_data VALUES (8030, 94, 13036, 8, 832, 34, 219);
INSERT INTO public.who_data VALUES (8031, 0, 13714, 0, 91, 34, 7);
INSERT INTO public.who_data VALUES (8032, 369, 12423, 0, 70, 34, 161);
INSERT INTO public.who_data VALUES (8033, 38598, 3395963, 671, 89261, 34, 149);
INSERT INTO public.who_data VALUES (8034, 0, 52, 0, 0, 34, 6);
INSERT INTO public.who_data VALUES (8035, 30, 4302, 0, 73, 34, 139);
INSERT INTO public.who_data VALUES (8036, 0, 0, 0, 0, 34, 211);
INSERT INTO public.who_data VALUES (8037, 0, 0, 0, 0, 34, 14);
INSERT INTO public.who_data VALUES (8038, 27, 7370, 1, 131, 34, 111);
INSERT INTO public.who_data VALUES (8039, 2859, 180090, 76, 5692, 34, 207);
INSERT INTO public.who_data VALUES (8040, 6436, 2387101, 165, 23997, 34, 66);
INSERT INTO public.who_data VALUES (8041, 0, 0, 0, 0, 34, 173);
INSERT INTO public.who_data VALUES (8042, 23, 1102, 0, 6, 34, 145);
INSERT INTO public.who_data VALUES (8043, 0, 0, 0, 0, 34, 65);
INSERT INTO public.who_data VALUES (8044, 0, 38085, 0, 304, 34, 184);
INSERT INTO public.who_data VALUES (8045, 3034, 1163716, 67, 20869, 34, 98);
INSERT INTO public.who_data VALUES (8046, 3453, 253261, 5, 745, 34, 104);
INSERT INTO public.who_data VALUES (8047, 0, 509, 0, 21, 34, 73);
INSERT INTO public.who_data VALUES (8048, 212253, 23556676, 3557, 392641, 34, 8);
INSERT INTO public.who_data VALUES (8049, 8, 2260, 0, 24, 34, 227);
INSERT INTO public.who_data VALUES (8050, 723, 31669, 7, 298, 34, 75);
INSERT INTO public.who_data VALUES (8051, 68, 78036, 0, 619, 34, 45);
INSERT INTO public.who_data VALUES (8052, 0, 1, 0, 0, 34, 133);
INSERT INTO public.who_data VALUES (8053, 450, 119306, 6, 1101, 34, 202);
INSERT INTO public.who_data VALUES (8054, 0, 1537, 0, 35, 34, 129);
INSERT INTO public.who_data VALUES (8055, 0, 4, 0, 0, 34, 36);
INSERT INTO public.who_data VALUES (8056, 0, 2116, 0, 613, 34, 51);
INSERT INTO public.who_data VALUES (8057, 1531, 37605, 14, 546, 34, 206);
INSERT INTO public.who_data VALUES (8058, 322, 27203, 30, 713, 34, 5);
INSERT INTO public.who_data VALUES (8059, 46, 53984, 3, 2339, 35, 103);
INSERT INTO public.who_data VALUES (8060, 581, 67216, 5, 1270, 35, 58);
INSERT INTO public.who_data VALUES (8061, 751, 103611, 12, 2831, 35, 195);
INSERT INTO public.who_data VALUES (8062, 0, 0, 0, 0, 35, 115);
INSERT INTO public.who_data VALUES (8063, 92, 9038, 3, 91, 35, 99);
INSERT INTO public.who_data VALUES (8064, 152, 18765, 6, 431, 35, 153);
INSERT INTO public.who_data VALUES (8065, 0, 15, 0, 0, 35, 93);
INSERT INTO public.who_data VALUES (8066, 3, 187, 0, 6, 35, 84);
INSERT INTO public.who_data VALUES (8067, 12332, 1783047, 102, 45227, 35, 78);
INSERT INTO public.who_data VALUES (8068, 351, 164586, 5, 2992, 35, 170);
INSERT INTO public.who_data VALUES (8069, 0, 6296, 0, 52, 35, 32);
INSERT INTO public.who_data VALUES (8070, 20, 28689, 0, 909, 35, 155);
INSERT INTO public.who_data VALUES (8071, 1757, 389752, 33, 6964, 35, 82);
INSERT INTO public.who_data VALUES (8072, 402, 226951, 15, 2998, 35, 16);
INSERT INTO public.who_data VALUES (8073, 0, 8032, 0, 175, 35, 72);
INSERT INTO public.who_data VALUES (8074, 247, 97268, 1, 358, 35, 43);
INSERT INTO public.who_data VALUES (8075, 578, 527063, 21, 7883, 35, 120);
INSERT INTO public.who_data VALUES (8076, 0, 1036, 0, 7, 35, 213);
INSERT INTO public.who_data VALUES (8077, 1933, 223537, 9, 1573, 35, 31);
INSERT INTO public.who_data VALUES (8078, 1191, 679826, 45, 20429, 35, 204);
INSERT INTO public.who_data VALUES (8079, 73, 11529, 1, 281, 35, 152);
INSERT INTO public.who_data VALUES (8080, 0, 3413, 0, 46, 35, 144);
INSERT INTO public.who_data VALUES (8081, 3, 670, 0, 12, 35, 96);
INSERT INTO public.who_data VALUES (8082, 5, 842, 0, 1, 35, 47);
INSERT INTO public.who_data VALUES (8083, 2573, 183589, 41, 9571, 35, 80);
INSERT INTO public.who_data VALUES (8084, 0, 329, 0, 3, 35, 159);
INSERT INTO public.who_data VALUES (8085, 462, 117793, 20, 4449, 35, 27);
INSERT INTO public.who_data VALUES (8086, 0, 16051, 0, 48, 35, 146);
INSERT INTO public.who_data VALUES (8087, 69198, 8393492, 1151, 208246, 35, 71);
INSERT INTO public.who_data VALUES (8088, 0, 121, 0, 1, 35, 210);
INSERT INTO public.who_data VALUES (8089, 0, 174, 0, 3, 35, 54);
INSERT INTO public.who_data VALUES (8090, 233, 211736, 17, 8474, 35, 147);
INSERT INTO public.who_data VALUES (8091, 191, 9000, 4, 101, 35, 2);
INSERT INTO public.who_data VALUES (8092, 51, 1236, 0, 2, 35, 105);
INSERT INTO public.who_data VALUES (8093, 125, 12901, 1, 119, 35, 53);
INSERT INTO public.who_data VALUES (8094, 3, 439, 0, 0, 35, 81);
INSERT INTO public.who_data VALUES (8095, 0, 27336, 0, 451, 35, 223);
INSERT INTO public.who_data VALUES (8096, 6816, 695707, 191, 17729, 35, 94);
INSERT INTO public.who_data VALUES (8097, 6, 374, 0, 2, 35, 154);
INSERT INTO public.who_data VALUES (8098, 0, 4973, 0, 63, 35, 83);
INSERT INTO public.who_data VALUES (8099, 48, 2855, 0, 111, 35, 194);
INSERT INTO public.who_data VALUES (8100, 4313, 665493, 66, 17435, 35, 136);
INSERT INTO public.who_data VALUES (8101, 166, 98625, 1, 4804, 35, 179);
INSERT INTO public.who_data VALUES (8102, 21078, 1870179, 377, 47868, 35, 57);
INSERT INTO public.who_data VALUES (8103, 108, 1577, 3, 41, 35, 35);
INSERT INTO public.who_data VALUES (8104, 0, 7709, 0, 114, 35, 228);
INSERT INTO public.who_data VALUES (8105, 0, 0, 0, 0, 35, 19);
INSERT INTO public.who_data VALUES (8106, 945, 184187, 15, 2416, 35, 22);
INSERT INTO public.who_data VALUES (8107, 0, 24856, 0, 141, 35, 1);
INSERT INTO public.who_data VALUES (8108, 379, 224954, 28, 4616, 35, 21);
INSERT INTO public.who_data VALUES (8109, 405, 17501, 4, 166, 35, 234);
INSERT INTO public.who_data VALUES (8110, 0, 4498, 0, 19, 35, 91);
INSERT INTO public.who_data VALUES (8111, 202, 28811, 1, 167, 35, 137);
INSERT INTO public.who_data VALUES (8112, 5253, 889159, 123, 14338, 35, 201);
INSERT INTO public.who_data VALUES (8113, 0, 0, 0, 0, 35, 171);
INSERT INTO public.who_data VALUES (8114, 0, 20625, 2, 629, 35, 92);
INSERT INTO public.who_data VALUES (8115, 879, 188199, 27, 1747, 35, 112);
INSERT INTO public.who_data VALUES (8116, 0, 5903, 0, 61, 35, 62);
INSERT INTO public.who_data VALUES (8117, 1, 110, 0, 0, 35, 69);
INSERT INTO public.who_data VALUES (8118, 2370, 191339, 0, 2432, 35, 220);
INSERT INTO public.who_data VALUES (8119, 3942, 230808, 43, 14316, 35, 100);
INSERT INTO public.who_data VALUES (8120, 887, 155507, 54, 8527, 35, 187);
INSERT INTO public.who_data VALUES (8121, 0, 50157, 10, 1479, 35, 63);
INSERT INTO public.who_data VALUES (8122, 40, 5356, 0, 86, 35, 28);
INSERT INTO public.who_data VALUES (8123, 72, 1877, 0, 6, 35, 172);
INSERT INTO public.who_data VALUES (8124, 388, 37079, 5, 325, 35, 17);
INSERT INTO public.who_data VALUES (8125, 409, 12736, 25, 360, 35, 226);
INSERT INTO public.who_data VALUES (8126, 446, 130772, 6, 2029, 35, 236);
INSERT INTO public.who_data VALUES (8127, 0, 32, 0, 0, 35, 76);
INSERT INTO public.who_data VALUES (8128, 1, 649, 0, 1, 35, 30);
INSERT INTO public.who_data VALUES (8129, 2, 55, 0, 2, 35, 128);
INSERT INTO public.who_data VALUES (8130, 190, 40101, 0, 618, 35, 86);
INSERT INTO public.who_data VALUES (8131, 21207, 2846971, 192, 69753, 35, 140);
INSERT INTO public.who_data VALUES (8132, 199, 14975, 1, 75, 35, 44);
INSERT INTO public.who_data VALUES (8133, 0, 17635, 0, 126, 35, 113);
INSERT INTO public.who_data VALUES (8134, 80, 9899, 0, 66, 35, 29);
INSERT INTO public.who_data VALUES (8135, 0, 3897, 0, 127, 35, 125);
INSERT INTO public.who_data VALUES (8136, 780, 247805, 17, 2933, 35, 131);
INSERT INTO public.who_data VALUES (8137, 13882, 2033518, 445, 46419, 35, 46);
INSERT INTO public.who_data VALUES (8138, 0, 56981, 0, 341, 35, 10);
INSERT INTO public.who_data VALUES (8139, 66, 3575, 5, 30, 35, 205);
INSERT INTO public.who_data VALUES (8140, 510, 148370, 20, 5441, 35, 50);
INSERT INTO public.who_data VALUES (8141, 0, 30, 0, 0, 35, 20);
INSERT INTO public.who_data VALUES (8142, 0, 139, 0, 1, 35, 13);
INSERT INTO public.who_data VALUES (8143, 0, 8834, 0, 156, 35, 148);
INSERT INTO public.who_data VALUES (8144, 7, 7283, 1, 126, 35, 230);
INSERT INTO public.who_data VALUES (8145, 1038, 148598, 43, 5220, 35, 190);
INSERT INTO public.who_data VALUES (8146, 1, 309, 0, 13, 35, 188);
INSERT INTO public.who_data VALUES (8147, 33, 14098, 0, 81, 35, 123);
INSERT INTO public.who_data VALUES (8148, 31, 2478, 0, 45, 35, 9);
INSERT INTO public.who_data VALUES (8149, 60, 6805, 0, 170, 35, 102);
INSERT INTO public.who_data VALUES (8150, 146, 10781, 2, 240, 35, 34);
INSERT INTO public.who_data VALUES (8151, 0, 26, 0, 0, 35, 212);
INSERT INTO public.who_data VALUES (8152, 449, 132412, 9, 3344, 35, 122);
INSERT INTO public.who_data VALUES (8153, 1241, 351828, 77, 11341, 35, 38);
INSERT INTO public.who_data VALUES (8154, 0, 5956, 0, 29, 35, 130);
INSERT INTO public.who_data VALUES (8155, 15144, 10557985, 181, 152274, 35, 37);
INSERT INTO public.who_data VALUES (8156, 14224, 896642, 283, 25767, 35, 231);
INSERT INTO public.who_data VALUES (8157, 6100, 1324395, 96, 56717, 35, 107);
INSERT INTO public.who_data VALUES (8158, 596, 607587, 3, 12935, 35, 101);
INSERT INTO public.who_data VALUES (8159, 3232, 169780, 59, 2595, 35, 132);
INSERT INTO public.who_data VALUES (8160, 1, 418, 0, 25, 35, 176);
INSERT INTO public.who_data VALUES (8161, 8428, 539839, 51, 3968, 35, 200);
INSERT INTO public.who_data VALUES (8162, 16310, 2368733, 475, 81800, 35, 169);
INSERT INTO public.who_data VALUES (8163, 104, 14096, 0, 323, 35, 225);
INSERT INTO public.who_data VALUES (8164, 6386, 322296, 66, 4446, 35, 165);
INSERT INTO public.who_data VALUES (8165, 15, 3044, 2, 62, 35, 233);
INSERT INTO public.who_data VALUES (8166, 706, 313557, 16, 4137, 35, 215);
INSERT INTO public.who_data VALUES (8167, 1020, 215947, 71, 2956, 35, 177);
INSERT INTO public.who_data VALUES (8168, 223, 99082, 2, 1728, 35, 183);
INSERT INTO public.who_data VALUES (8169, 0, 0, 0, 0, 35, 203);
INSERT INTO public.who_data VALUES (8170, 363, 55455, 6, 1395, 35, 162);
INSERT INTO public.who_data VALUES (8171, 435, 157399, 0, 947, 35, 12);
INSERT INTO public.who_data VALUES (8172, 123, 83109, 2, 1384, 35, 24);
INSERT INTO public.who_data VALUES (8173, 0, 41, 0, 0, 35, 119);
INSERT INTO public.who_data VALUES (8174, 1031, 55097, 41, 961, 35, 39);
INSERT INTO public.who_data VALUES (8175, 5872, 249158, 41, 1866, 35, 26);
INSERT INTO public.who_data VALUES (8176, 0, 6371, 4, 97, 35, 59);
INSERT INTO public.who_data VALUES (8177, 5, 1887, 0, 84, 35, 77);
INSERT INTO public.who_data VALUES (8178, 0, 108017, 0, 1651, 35, 134);
INSERT INTO public.who_data VALUES (8179, 6, 2452, 0, 48, 35, 4);
INSERT INTO public.who_data VALUES (8180, 836, 167516, 31, 2445, 35, 109);
INSERT INTO public.who_data VALUES (8181, 135, 48757, 3, 552, 35, 90);
INSERT INTO public.who_data VALUES (8182, 0, 18001, 0, 267, 35, 61);
INSERT INTO public.who_data VALUES (8183, 1291, 11785, 15, 300, 35, 85);
INSERT INTO public.who_data VALUES (8184, 4029, 155095, 8, 594, 35, 49);
INSERT INTO public.who_data VALUES (8185, 87, 14462, 0, 49, 35, 208);
INSERT INTO public.who_data VALUES (8186, 23, 7823, 0, 308, 35, 166);
INSERT INTO public.who_data VALUES (8187, 175, 15447, 2, 238, 35, 64);
INSERT INTO public.who_data VALUES (8188, 0, 4, 0, 0, 35, 199);
INSERT INTO public.who_data VALUES (8189, 0, 6227, 0, 43, 35, 114);
INSERT INTO public.who_data VALUES (8190, 0, 15893, 0, 396, 35, 60);
INSERT INTO public.who_data VALUES (8191, 0, 547, 0, 10, 35, 68);
INSERT INTO public.who_data VALUES (8192, 0, 6611, 0, 58, 35, 158);
INSERT INTO public.who_data VALUES (8193, 21366, 1609735, 1106, 139022, 35, 52);
INSERT INTO public.who_data VALUES (8194, 0, 0, 0, 0, 35, 117);
INSERT INTO public.who_data VALUES (8195, 25, 1197, 0, 8, 35, 126);
INSERT INTO public.who_data VALUES (8196, 21, 1512, 0, 1, 35, 196);
INSERT INTO public.who_data VALUES (8197, 286, 55770, 2, 745, 35, 142);
INSERT INTO public.who_data VALUES (8198, 0, 13, 0, 1, 35, 185);
INSERT INTO public.who_data VALUES (8199, 1240, 458865, 23, 7911, 35, 138);
INSERT INTO public.who_data VALUES (8200, 1593, 25862, 23, 234, 35, 181);
INSERT INTO public.who_data VALUES (8201, 491, 133869, 16, 2942, 35, 178);
INSERT INTO public.who_data VALUES (8202, 628, 30198, 5, 280, 35, 168);
INSERT INTO public.who_data VALUES (8203, 0, 0, 0, 0, 35, 160);
INSERT INTO public.who_data VALUES (8204, 240, 267056, 6, 1954, 35, 151);
INSERT INTO public.who_data VALUES (8205, 5303, 906122, 96, 12934, 35, 193);
INSERT INTO public.who_data VALUES (8206, 3, 44, 0, 0, 35, 18);
INSERT INTO public.who_data VALUES (8207, 10, 1900, 0, 25, 35, 40);
INSERT INTO public.who_data VALUES (8208, 0, 4916, 0, 167, 35, 218);
INSERT INTO public.who_data VALUES (8209, 27, 4132, 0, 138, 35, 191);
INSERT INTO public.who_data VALUES (8210, 1598, 108943, 7, 1420, 35, 156);
INSERT INTO public.who_data VALUES (8211, 0, 0, 0, 0, 35, 135);
INSERT INTO public.who_data VALUES (8212, 0, 128, 0, 2, 35, 88);
INSERT INTO public.who_data VALUES (8213, 360, 88749, 14, 2696, 35, 55);
INSERT INTO public.who_data VALUES (8214, 0, 57734, 0, 517, 35, 108);
INSERT INTO public.who_data VALUES (8215, 427, 170637, 13, 1861, 35, 48);
INSERT INTO public.who_data VALUES (8216, 0, 131264, 0, 1509, 35, 3);
INSERT INTO public.who_data VALUES (8217, 0, 745, 0, 13, 35, 224);
INSERT INTO public.who_data VALUES (8218, 2432, 516770, 45, 10908, 35, 110);
INSERT INTO public.who_data VALUES (8219, 0, 0, 0, 0, 35, 106);
INSERT INTO public.who_data VALUES (8220, 2307, 293592, 38, 4689, 35, 89);
INSERT INTO public.who_data VALUES (8221, 0, 834, 0, 9, 35, 121);
INSERT INTO public.who_data VALUES (8222, 1149, 120789, 12, 2479, 35, 163);
INSERT INTO public.who_data VALUES (8223, 7361, 1056023, 90, 38654, 35, 70);
INSERT INTO public.who_data VALUES (8224, 2045, 498691, 8, 9884, 35, 174);
INSERT INTO public.who_data VALUES (8225, 0, 0, 0, 0, 35, 175);
INSERT INTO public.who_data VALUES (8226, 5970, 1435582, 142, 33355, 35, 118);
INSERT INTO public.who_data VALUES (8227, 10947, 539416, 166, 8709, 35, 189);
INSERT INTO public.who_data VALUES (8228, 569, 86523, 11, 1703, 35, 124);
INSERT INTO public.who_data VALUES (8229, 204, 147089, 0, 246, 35, 192);
INSERT INTO public.who_data VALUES (8230, 520, 72333, 13, 1249, 35, 41);
INSERT INTO public.who_data VALUES (8231, 377, 152640, 17, 3245, 35, 95);
INSERT INTO public.who_data VALUES (8232, 0, 9443, 0, 45, 35, 74);
INSERT INTO public.who_data VALUES (8233, 3218, 691488, 66, 17164, 35, 11);
INSERT INTO public.who_data VALUES (8234, 23586, 3568209, 481, 65566, 35, 87);
INSERT INTO public.who_data VALUES (8235, 277, 10850, 2, 140, 35, 214);
INSERT INTO public.who_data VALUES (8236, 0, 5, 0, 0, 35, 116);
INSERT INTO public.who_data VALUES (8237, 0, 224, 0, 0, 35, 157);
INSERT INTO public.who_data VALUES (8238, 0, 0, 0, 0, 35, 182);
INSERT INTO public.who_data VALUES (8239, 0, 34, 0, 0, 35, 186);
INSERT INTO public.who_data VALUES (8240, 33, 576, 0, 6, 35, 127);
INSERT INTO public.who_data VALUES (8241, 0, 1046, 0, 12, 35, 232);
INSERT INTO public.who_data VALUES (8242, 0, 16, 0, 0, 35, 33);
INSERT INTO public.who_data VALUES (8243, 62, 450, 1, 1, 35, 97);
INSERT INTO public.who_data VALUES (8244, 0, 2, 0, 0, 35, 42);
INSERT INTO public.who_data VALUES (8245, 11, 2778, 0, 65, 35, 198);
INSERT INTO public.who_data VALUES (8246, 5, 1130, 0, 17, 35, 216);
INSERT INTO public.who_data VALUES (8247, 140, 364753, 5, 6318, 35, 164);
INSERT INTO public.who_data VALUES (8248, 342, 22738, 3, 509, 35, 235);
INSERT INTO public.who_data VALUES (8249, 1393, 371216, 22, 3730, 35, 67);
INSERT INTO public.who_data VALUES (8250, 63, 689, 0, 1, 35, 15);
INSERT INTO public.who_data VALUES (8251, 11, 2970, 0, 77, 35, 180);
INSERT INTO public.who_data VALUES (8252, 24, 59083, 0, 29, 35, 237);
INSERT INTO public.who_data VALUES (8253, 0, 19, 0, 0, 35, 25);
INSERT INTO public.who_data VALUES (8254, 0, 1629, 0, 27, 35, 209);
INSERT INTO public.who_data VALUES (8255, 2045, 222752, 55, 3417, 35, 217);
INSERT INTO public.who_data VALUES (8256, 1549, 148683, 30, 3451, 35, 79);
INSERT INTO public.who_data VALUES (8257, 0, 17, 0, 0, 35, 143);
INSERT INTO public.who_data VALUES (8258, 0, 4744, 0, 130, 35, 229);
INSERT INTO public.who_data VALUES (8259, 13973, 1325659, 384, 36851, 35, 141);
INSERT INTO public.who_data VALUES (8260, 0, 3693, 0, 63, 35, 197);
INSERT INTO public.who_data VALUES (8261, 42475, 2416505, 327, 55385, 35, 221);
INSERT INTO public.who_data VALUES (8262, 719, 52313, 1, 256, 35, 150);
INSERT INTO public.who_data VALUES (8263, 54, 28233, 8, 1707, 35, 56);
INSERT INTO public.who_data VALUES (8264, 109, 7409, 0, 139, 35, 167);
INSERT INTO public.who_data VALUES (8265, 4209, 527676, 87, 11212, 35, 23);
INSERT INTO public.who_data VALUES (8266, 1337, 497069, 48, 8286, 35, 222);
INSERT INTO public.who_data VALUES (8267, 92, 12942, 7, 824, 35, 219);
INSERT INTO public.who_data VALUES (8268, 3, 13714, 0, 91, 35, 7);
INSERT INTO public.who_data VALUES (8269, 374, 12054, 0, 70, 35, 161);
INSERT INTO public.who_data VALUES (8270, 41342, 3357365, 1295, 88590, 35, 149);
INSERT INTO public.who_data VALUES (8271, 0, 52, 0, 0, 35, 6);
INSERT INTO public.who_data VALUES (8272, 52, 4272, 0, 73, 35, 139);
INSERT INTO public.who_data VALUES (8273, 0, 0, 0, 0, 35, 211);
INSERT INTO public.who_data VALUES (8274, 0, 0, 0, 0, 35, 14);
INSERT INTO public.who_data VALUES (8275, 23, 7343, 0, 130, 35, 111);
INSERT INTO public.who_data VALUES (8276, 2166, 177231, 88, 5616, 35, 207);
INSERT INTO public.who_data VALUES (8277, 7550, 2380665, 168, 23832, 35, 66);
INSERT INTO public.who_data VALUES (8278, 0, 0, 0, 0, 35, 173);
INSERT INTO public.who_data VALUES (8279, 17, 1079, 0, 6, 35, 145);
INSERT INTO public.who_data VALUES (8280, 0, 0, 0, 0, 35, 65);
INSERT INTO public.who_data VALUES (8281, 0, 38085, 0, 304, 35, 184);
INSERT INTO public.who_data VALUES (8282, 5990, 1160682, 116, 20802, 35, 98);
INSERT INTO public.who_data VALUES (8283, 3432, 249808, 7, 740, 35, 104);
INSERT INTO public.who_data VALUES (8284, 0, 509, 0, 21, 35, 73);
INSERT INTO public.who_data VALUES (8285, 246485, 23344423, 3671, 389084, 35, 8);
INSERT INTO public.who_data VALUES (8286, 34, 2252, 0, 24, 35, 227);
INSERT INTO public.who_data VALUES (8287, 957, 30946, 11, 291, 35, 75);
INSERT INTO public.who_data VALUES (8288, 64, 77968, 0, 619, 35, 45);
INSERT INTO public.who_data VALUES (8289, 0, 1, 0, 0, 35, 133);
INSERT INTO public.who_data VALUES (8290, 441, 118856, 5, 1095, 35, 202);
INSERT INTO public.who_data VALUES (8291, 1, 1537, 0, 35, 35, 129);
INSERT INTO public.who_data VALUES (8292, 0, 4, 0, 0, 35, 36);
INSERT INTO public.who_data VALUES (8293, 1, 2116, 0, 613, 35, 51);
INSERT INTO public.who_data VALUES (8294, 1796, 36074, 5, 532, 35, 206);
INSERT INTO public.who_data VALUES (8295, 772, 26881, 17, 683, 35, 5);
INSERT INTO public.who_data VALUES (8296, 107, 53938, 12, 2336, 36, 103);
INSERT INTO public.who_data VALUES (8297, 641, 66635, 4, 1265, 36, 58);
INSERT INTO public.who_data VALUES (8298, 0, 102860, 0, 2819, 36, 195);
INSERT INTO public.who_data VALUES (8299, 0, 0, 0, 0, 36, 115);
INSERT INTO public.who_data VALUES (8300, 78, 8946, 0, 88, 36, 99);
INSERT INTO public.who_data VALUES (8301, 0, 18613, 0, 425, 36, 153);
INSERT INTO public.who_data VALUES (8302, 0, 15, 0, 0, 36, 93);
INSERT INTO public.who_data VALUES (8303, 0, 184, 0, 6, 36, 84);
INSERT INTO public.who_data VALUES (8304, 13286, 1770715, 142, 45125, 36, 78);
INSERT INTO public.who_data VALUES (8305, 263, 164235, 13, 2987, 36, 170);
INSERT INTO public.who_data VALUES (8306, 68, 6296, 0, 52, 36, 32);
INSERT INTO public.who_data VALUES (8307, 11, 28669, 0, 909, 36, 155);
INSERT INTO public.who_data VALUES (8308, 1472, 387995, 51, 6931, 36, 82);
INSERT INTO public.who_data VALUES (8309, 349, 226549, 12, 2983, 36, 16);
INSERT INTO public.who_data VALUES (8310, 11, 8032, 0, 175, 36, 72);
INSERT INTO public.who_data VALUES (8311, 209, 97021, 1, 357, 36, 43);
INSERT INTO public.who_data VALUES (8312, 762, 526485, 13, 7862, 36, 120);
INSERT INTO public.who_data VALUES (8313, 29, 1036, 0, 7, 36, 213);
INSERT INTO public.who_data VALUES (8314, 1941, 221604, 10, 1564, 36, 31);
INSERT INTO public.who_data VALUES (8315, 2177, 678635, 48, 20384, 36, 204);
INSERT INTO public.who_data VALUES (8316, 37, 11456, 2, 280, 36, 152);
INSERT INTO public.who_data VALUES (8317, 0, 3413, 0, 46, 36, 144);
INSERT INTO public.who_data VALUES (8318, 3, 667, 0, 12, 36, 96);
INSERT INTO public.who_data VALUES (8319, 3, 837, 0, 1, 36, 47);
INSERT INTO public.who_data VALUES (8320, 2198, 181016, 37, 9530, 36, 80);
INSERT INTO public.who_data VALUES (8321, 11, 329, 0, 3, 36, 159);
INSERT INTO public.who_data VALUES (8322, 320, 117331, 18, 4429, 36, 27);
INSERT INTO public.who_data VALUES (8323, 0, 16051, 0, 48, 36, 146);
INSERT INTO public.who_data VALUES (8324, 67758, 8324294, 1131, 207095, 36, 71);
INSERT INTO public.who_data VALUES (8325, 7, 121, 0, 1, 36, 210);
INSERT INTO public.who_data VALUES (8326, 0, 174, 0, 3, 36, 54);
INSERT INTO public.who_data VALUES (8327, 552, 211503, 61, 8457, 36, 147);
INSERT INTO public.who_data VALUES (8328, 0, 8809, 0, 97, 36, 2);
INSERT INTO public.who_data VALUES (8329, 35, 1185, 0, 2, 36, 105);
INSERT INTO public.who_data VALUES (8330, 112, 12776, 3, 118, 36, 53);
INSERT INTO public.who_data VALUES (8331, 10, 436, 0, 0, 36, 81);
INSERT INTO public.who_data VALUES (8332, 0, 27336, 0, 451, 36, 223);
INSERT INTO public.who_data VALUES (8333, 7563, 688891, 155, 17538, 36, 94);
INSERT INTO public.who_data VALUES (8334, 1, 368, 0, 2, 36, 154);
INSERT INTO public.who_data VALUES (8335, 0, 4973, 0, 63, 36, 83);
INSERT INTO public.who_data VALUES (8336, 34, 2807, 1, 111, 36, 194);
INSERT INTO public.who_data VALUES (8337, 4468, 661180, 75, 17369, 36, 136);
INSERT INTO public.who_data VALUES (8338, 169, 98459, 0, 4803, 36, 179);
INSERT INTO public.who_data VALUES (8339, 17121, 1849101, 367, 47491, 36, 57);
INSERT INTO public.who_data VALUES (8340, 66, 1469, 0, 38, 36, 35);
INSERT INTO public.who_data VALUES (8341, 0, 7709, 0, 114, 36, 228);
INSERT INTO public.who_data VALUES (8342, 0, 0, 0, 0, 36, 19);
INSERT INTO public.who_data VALUES (8343, 1086, 183242, 17, 2401, 36, 22);
INSERT INTO public.who_data VALUES (8344, 487, 24856, 1, 141, 36, 1);
INSERT INTO public.who_data VALUES (8345, 763, 224575, 38, 4588, 36, 21);
INSERT INTO public.who_data VALUES (8346, 547, 17096, 2, 162, 36, 234);
INSERT INTO public.who_data VALUES (8347, 10, 4498, 0, 19, 36, 91);
INSERT INTO public.who_data VALUES (8348, 244, 28609, 0, 166, 36, 137);
INSERT INTO public.who_data VALUES (8349, 9301, 883906, 186, 14215, 36, 201);
INSERT INTO public.who_data VALUES (8350, 0, 0, 0, 0, 36, 171);
INSERT INTO public.who_data VALUES (8351, 919, 20625, 2, 627, 36, 92);
INSERT INTO public.who_data VALUES (8352, 659, 187320, 17, 1720, 36, 112);
INSERT INTO public.who_data VALUES (8353, 3, 5903, 0, 61, 36, 62);
INSERT INTO public.who_data VALUES (8354, 0, 109, 0, 0, 36, 69);
INSERT INTO public.who_data VALUES (8355, 1482, 188969, 4, 2432, 36, 220);
INSERT INTO public.who_data VALUES (8356, 864, 226866, 27, 14273, 36, 100);
INSERT INTO public.who_data VALUES (8357, 879, 154620, 52, 8473, 36, 187);
INSERT INTO public.who_data VALUES (8358, 0, 50157, 10, 1469, 36, 63);
INSERT INTO public.who_data VALUES (8359, 0, 5316, 0, 86, 36, 28);
INSERT INTO public.who_data VALUES (8360, 0, 1805, 0, 6, 36, 172);
INSERT INTO public.who_data VALUES (8361, 595, 36691, 9, 320, 36, 17);
INSERT INTO public.who_data VALUES (8362, 0, 12327, 0, 335, 36, 226);
INSERT INTO public.who_data VALUES (8363, 404, 130326, 15, 2023, 36, 236);
INSERT INTO public.who_data VALUES (8364, 0, 32, 0, 0, 36, 76);
INSERT INTO public.who_data VALUES (8365, 1, 648, 0, 1, 36, 30);
INSERT INTO public.who_data VALUES (8366, 0, 53, 0, 2, 36, 128);
INSERT INTO public.who_data VALUES (8367, 318, 39911, 2, 618, 36, 86);
INSERT INTO public.who_data VALUES (8368, 21112, 2825764, 633, 69561, 36, 140);
INSERT INTO public.who_data VALUES (8369, 122, 14776, 0, 74, 36, 44);
INSERT INTO public.who_data VALUES (8370, 45, 17635, 0, 126, 36, 113);
INSERT INTO public.who_data VALUES (8371, 0, 9819, 0, 66, 36, 29);
INSERT INTO public.who_data VALUES (8372, 4, 3897, 0, 127, 36, 125);
INSERT INTO public.who_data VALUES (8373, 1236, 247025, 23, 2916, 36, 131);
INSERT INTO public.who_data VALUES (8374, 18678, 2019636, 980, 45974, 36, 46);
INSERT INTO public.who_data VALUES (8375, 0, 56981, 0, 341, 36, 10);
INSERT INTO public.who_data VALUES (8376, 78, 3509, 5, 25, 36, 205);
INSERT INTO public.who_data VALUES (8377, 577, 147860, 34, 5421, 36, 50);
INSERT INTO public.who_data VALUES (8378, 0, 30, 0, 0, 36, 20);
INSERT INTO public.who_data VALUES (8379, 0, 139, 0, 1, 36, 13);
INSERT INTO public.who_data VALUES (8380, 0, 8834, 0, 156, 36, 148);
INSERT INTO public.who_data VALUES (8381, 13, 7276, 1, 125, 36, 230);
INSERT INTO public.who_data VALUES (8382, 623, 147560, 26, 5177, 36, 190);
INSERT INTO public.who_data VALUES (8383, 0, 308, 0, 13, 36, 188);
INSERT INTO public.who_data VALUES (8384, 14, 14065, 0, 81, 36, 123);
INSERT INTO public.who_data VALUES (8385, 0, 2447, 0, 45, 36, 9);
INSERT INTO public.who_data VALUES (8386, 49, 6745, 0, 170, 36, 102);
INSERT INTO public.who_data VALUES (8387, 66, 10635, 0, 238, 36, 34);
INSERT INTO public.who_data VALUES (8388, 0, 26, 0, 0, 36, 212);
INSERT INTO public.who_data VALUES (8389, 954, 131963, 15, 3335, 36, 122);
INSERT INTO public.who_data VALUES (8390, 1438, 350587, 87, 11264, 36, 38);
INSERT INTO public.who_data VALUES (8391, 8, 5956, 0, 29, 36, 130);
INSERT INTO public.who_data VALUES (8392, 15158, 10542841, 175, 152093, 36, 37);
INSERT INTO public.who_data VALUES (8393, 12818, 882418, 238, 25484, 36, 231);
INSERT INTO public.who_data VALUES (8394, 6485, 1318295, 83, 56621, 36, 107);
INSERT INTO public.who_data VALUES (8395, 805, 606991, 10, 12932, 36, 101);
INSERT INTO public.who_data VALUES (8396, 3491, 166548, 48, 2536, 36, 132);
INSERT INTO public.who_data VALUES (8397, 3, 417, 0, 25, 36, 176);
INSERT INTO public.who_data VALUES (8398, 9295, 531411, 59, 3917, 36, 200);
INSERT INTO public.who_data VALUES (8399, 16144, 2352423, 477, 81325, 36, 169);
INSERT INTO public.who_data VALUES (8400, 77, 13992, 1, 323, 36, 225);
INSERT INTO public.who_data VALUES (8401, 6696, 315910, 65, 4380, 36, 165);
INSERT INTO public.who_data VALUES (8402, 13, 3029, 0, 60, 36, 233);
INSERT INTO public.who_data VALUES (8403, 808, 312851, 14, 4121, 36, 215);
INSERT INTO public.who_data VALUES (8404, 1072, 214927, 0, 2885, 36, 177);
INSERT INTO public.who_data VALUES (8405, 166, 98859, 3, 1726, 36, 183);
INSERT INTO public.who_data VALUES (8406, 0, 0, 0, 0, 36, 203);
INSERT INTO public.who_data VALUES (8407, 296, 55092, 7, 1389, 36, 162);
INSERT INTO public.who_data VALUES (8408, 530, 156964, 1, 947, 36, 12);
INSERT INTO public.who_data VALUES (8409, 129, 82986, 1, 1382, 36, 24);
INSERT INTO public.who_data VALUES (8410, 0, 41, 0, 0, 36, 119);
INSERT INTO public.who_data VALUES (8411, 1084, 54066, 0, 920, 36, 39);
INSERT INTO public.who_data VALUES (8412, 6154, 243286, 44, 1825, 36, 26);
INSERT INTO public.who_data VALUES (8413, 15, 6371, 4, 93, 36, 59);
INSERT INTO public.who_data VALUES (8414, 5, 1882, 0, 84, 36, 77);
INSERT INTO public.who_data VALUES (8415, 583, 108017, 6, 1651, 36, 134);
INSERT INTO public.who_data VALUES (8416, 4, 2446, 0, 48, 36, 4);
INSERT INTO public.who_data VALUES (8417, 1120, 166680, 38, 2414, 36, 109);
INSERT INTO public.who_data VALUES (8418, 143, 48622, 4, 549, 36, 90);
INSERT INTO public.who_data VALUES (8419, 0, 18001, 0, 267, 36, 61);
INSERT INTO public.who_data VALUES (8420, 0, 10494, 0, 285, 36, 85);
INSERT INTO public.who_data VALUES (8421, 3211, 151066, 8, 586, 36, 49);
INSERT INTO public.who_data VALUES (8422, 50, 14375, 0, 49, 36, 208);
INSERT INTO public.who_data VALUES (8423, 62, 7800, 5, 308, 36, 166);
INSERT INTO public.who_data VALUES (8424, 193, 15272, 1, 236, 36, 64);
INSERT INTO public.who_data VALUES (8425, 0, 4, 0, 0, 36, 199);
INSERT INTO public.who_data VALUES (8426, 0, 6227, 0, 43, 36, 114);
INSERT INTO public.who_data VALUES (8427, 0, 15893, 0, 396, 36, 60);
INSERT INTO public.who_data VALUES (8428, 1, 547, 0, 10, 36, 68);
INSERT INTO public.who_data VALUES (8429, 0, 6611, 0, 58, 36, 158);
INSERT INTO public.who_data VALUES (8430, 16468, 1588369, 999, 137916, 36, 52);
INSERT INTO public.who_data VALUES (8431, 0, 0, 0, 0, 36, 117);
INSERT INTO public.who_data VALUES (8432, 24, 1172, 0, 8, 36, 126);
INSERT INTO public.who_data VALUES (8433, 12, 1491, 0, 1, 36, 196);
INSERT INTO public.who_data VALUES (8434, 403, 55484, 2, 743, 36, 142);
INSERT INTO public.who_data VALUES (8435, 0, 13, 0, 1, 36, 185);
INSERT INTO public.who_data VALUES (8436, 1291, 457625, 34, 7888, 36, 138);
INSERT INTO public.who_data VALUES (8437, 0, 24269, 0, 211, 36, 181);
INSERT INTO public.who_data VALUES (8438, 513, 133378, 14, 2926, 36, 178);
INSERT INTO public.who_data VALUES (8439, 0, 29570, 0, 275, 36, 168);
INSERT INTO public.who_data VALUES (8440, 0, 0, 0, 0, 36, 160);
INSERT INTO public.who_data VALUES (8441, 270, 266816, 5, 1948, 36, 151);
INSERT INTO public.who_data VALUES (8442, 6033, 900819, 94, 12838, 36, 193);
INSERT INTO public.who_data VALUES (8443, 1, 41, 0, 0, 36, 18);
INSERT INTO public.who_data VALUES (8444, 0, 1890, 0, 25, 36, 40);
INSERT INTO public.who_data VALUES (8445, 0, 4916, 0, 167, 36, 218);
INSERT INTO public.who_data VALUES (8446, 47, 4105, 1, 138, 36, 191);
INSERT INTO public.who_data VALUES (8447, 1867, 107345, 8, 1413, 36, 156);
INSERT INTO public.who_data VALUES (8448, 0, 0, 0, 0, 36, 135);
INSERT INTO public.who_data VALUES (8449, 0, 128, 0, 2, 36, 88);
INSERT INTO public.who_data VALUES (8450, 403, 88389, 10, 2682, 36, 55);
INSERT INTO public.who_data VALUES (8451, 0, 57734, 0, 517, 36, 108);
INSERT INTO public.who_data VALUES (8452, 822, 170210, 27, 1848, 36, 48);
INSERT INTO public.who_data VALUES (8453, 0, 131264, 0, 1509, 36, 3);
INSERT INTO public.who_data VALUES (8454, 0, 745, 0, 13, 36, 224);
INSERT INTO public.who_data VALUES (8455, 2417, 514338, 45, 10863, 36, 110);
INSERT INTO public.who_data VALUES (8456, 0, 0, 0, 0, 36, 106);
INSERT INTO public.who_data VALUES (8457, 2877, 291285, 57, 4651, 36, 89);
INSERT INTO public.who_data VALUES (8458, 0, 834, 0, 9, 36, 121);
INSERT INTO public.who_data VALUES (8459, 1048, 119640, 15, 2467, 36, 163);
INSERT INTO public.who_data VALUES (8460, 5022, 1048662, 91, 38564, 36, 70);
INSERT INTO public.who_data VALUES (8461, 2041, 496646, 137, 9876, 36, 174);
INSERT INTO public.who_data VALUES (8462, 0, 0, 0, 0, 36, 175);
INSERT INTO public.who_data VALUES (8463, 7292, 1429612, 369, 33213, 36, 118);
INSERT INTO public.who_data VALUES (8464, 10663, 528469, 159, 8543, 36, 189);
INSERT INTO public.who_data VALUES (8465, 1138, 85954, 13, 1692, 36, 124);
INSERT INTO public.who_data VALUES (8466, 196, 146885, 0, 246, 36, 192);
INSERT INTO public.who_data VALUES (8467, 580, 71813, 19, 1236, 36, 41);
INSERT INTO public.who_data VALUES (8468, 576, 152263, 17, 3228, 36, 95);
INSERT INTO public.who_data VALUES (8469, 37, 9443, 3, 45, 36, 74);
INSERT INTO public.who_data VALUES (8470, 3353, 688270, 63, 17098, 36, 11);
INSERT INTO public.who_data VALUES (8471, 24092, 3544623, 590, 65085, 36, 87);
INSERT INTO public.who_data VALUES (8472, 257, 10573, 5, 138, 36, 214);
INSERT INTO public.who_data VALUES (8473, 0, 5, 0, 0, 36, 116);
INSERT INTO public.who_data VALUES (8474, 0, 224, 0, 0, 36, 157);
INSERT INTO public.who_data VALUES (8475, 0, 0, 0, 0, 36, 182);
INSERT INTO public.who_data VALUES (8476, 0, 34, 0, 0, 36, 186);
INSERT INTO public.who_data VALUES (8477, 41, 543, 0, 6, 36, 127);
INSERT INTO public.who_data VALUES (8478, 0, 1046, 0, 12, 36, 232);
INSERT INTO public.who_data VALUES (8479, 0, 16, 0, 0, 36, 33);
INSERT INTO public.who_data VALUES (8480, 48, 388, 0, 0, 36, 97);
INSERT INTO public.who_data VALUES (8481, 0, 2, 0, 0, 36, 42);
INSERT INTO public.who_data VALUES (8482, 29, 2767, 0, 65, 36, 198);
INSERT INTO public.who_data VALUES (8483, 6, 1125, 0, 17, 36, 216);
INSERT INTO public.who_data VALUES (8484, 173, 364613, 3, 6313, 36, 164);
INSERT INTO public.who_data VALUES (8485, 218, 22396, 10, 506, 36, 235);
INSERT INTO public.who_data VALUES (8486, 1751, 369823, 21, 3708, 36, 67);
INSERT INTO public.who_data VALUES (8487, 0, 626, 0, 1, 36, 15);
INSERT INTO public.who_data VALUES (8488, 26, 2959, 0, 77, 36, 180);
INSERT INTO public.who_data VALUES (8489, 30, 59059, 0, 29, 36, 237);
INSERT INTO public.who_data VALUES (8490, 0, 19, 0, 0, 36, 25);
INSERT INTO public.who_data VALUES (8491, 22, 1629, 0, 27, 36, 209);
INSERT INTO public.who_data VALUES (8492, 2729, 220707, 102, 3362, 36, 217);
INSERT INTO public.who_data VALUES (8493, 1499, 147134, 25, 3421, 36, 79);
INSERT INTO public.who_data VALUES (8494, 0, 17, 0, 0, 36, 143);
INSERT INTO public.who_data VALUES (8495, 0, 4744, 0, 130, 36, 229);
INSERT INTO public.who_data VALUES (8496, 14880, 1311686, 615, 36467, 36, 141);
INSERT INTO public.who_data VALUES (8497, 23, 3693, 0, 63, 36, 197);
INSERT INTO public.who_data VALUES (8498, 37625, 2374030, 253, 55058, 36, 221);
INSERT INTO public.who_data VALUES (8499, 695, 51594, 4, 255, 36, 150);
INSERT INTO public.who_data VALUES (8500, 82, 28179, 4, 1699, 36, 56);
INSERT INTO public.who_data VALUES (8501, 53, 7300, 0, 139, 36, 167);
INSERT INTO public.who_data VALUES (8502, 4748, 523467, 95, 11125, 36, 23);
INSERT INTO public.who_data VALUES (8503, 2159, 495732, 61, 8238, 36, 222);
INSERT INTO public.who_data VALUES (8504, 90, 12850, 8, 817, 36, 219);
INSERT INTO public.who_data VALUES (8505, 0, 13711, 0, 91, 36, 7);
INSERT INTO public.who_data VALUES (8506, 230, 11680, 1, 70, 36, 161);
INSERT INTO public.who_data VALUES (8507, 55761, 3316023, 1280, 87295, 36, 149);
INSERT INTO public.who_data VALUES (8508, 1, 52, 0, 0, 36, 6);
INSERT INTO public.who_data VALUES (8509, 111, 4220, 0, 73, 36, 139);
INSERT INTO public.who_data VALUES (8510, 0, 0, 0, 0, 36, 211);
INSERT INTO public.who_data VALUES (8511, 0, 0, 0, 0, 36, 14);
INSERT INTO public.who_data VALUES (8512, 15, 7320, 1, 130, 36, 111);
INSERT INTO public.who_data VALUES (8513, 4170, 175065, 50, 5528, 36, 207);
INSERT INTO public.who_data VALUES (8514, 8314, 2373115, 169, 23664, 36, 66);
INSERT INTO public.who_data VALUES (8515, 0, 0, 0, 0, 36, 173);
INSERT INTO public.who_data VALUES (8516, 32, 1062, 0, 6, 36, 145);
INSERT INTO public.who_data VALUES (8517, 0, 0, 0, 0, 36, 65);
INSERT INTO public.who_data VALUES (8518, 0, 38085, 0, 304, 36, 184);
INSERT INTO public.who_data VALUES (8519, 7729, 1154692, 144, 20686, 36, 98);
INSERT INTO public.who_data VALUES (8520, 3407, 246376, 7, 733, 36, 104);
INSERT INTO public.who_data VALUES (8521, 0, 509, 0, 21, 36, 73);
INSERT INTO public.who_data VALUES (8522, 226608, 23097938, 3891, 385413, 36, 8);
INSERT INTO public.who_data VALUES (8523, 0, 2218, 0, 24, 36, 227);
INSERT INTO public.who_data VALUES (8524, 1514, 29989, 5, 280, 36, 75);
INSERT INTO public.who_data VALUES (8525, 59, 77904, 0, 619, 36, 45);
INSERT INTO public.who_data VALUES (8526, 0, 1, 0, 0, 36, 133);
INSERT INTO public.who_data VALUES (8527, 604, 118415, 6, 1090, 36, 202);
INSERT INTO public.who_data VALUES (8528, 5, 1536, 0, 35, 36, 129);
INSERT INTO public.who_data VALUES (8529, 0, 4, 0, 0, 36, 36);
INSERT INTO public.who_data VALUES (8530, 1, 2115, 0, 613, 36, 51);
INSERT INTO public.who_data VALUES (8531, 1478, 34278, 13, 527, 36, 206);
INSERT INTO public.who_data VALUES (8532, 741, 26109, 30, 666, 36, 5);
INSERT INTO public.who_data VALUES (8533, 56, 53831, 10, 2324, 37, 103);
INSERT INTO public.who_data VALUES (8534, 660, 65994, 5, 1261, 37, 58);
INSERT INTO public.who_data VALUES (8535, 219, 102860, 3, 2819, 37, 195);
INSERT INTO public.who_data VALUES (8536, 0, 0, 0, 0, 37, 115);
INSERT INTO public.who_data VALUES (8537, 50, 8868, 1, 88, 37, 99);
INSERT INTO public.who_data VALUES (8538, 188, 18613, 1, 425, 37, 153);
INSERT INTO public.who_data VALUES (8539, 0, 15, 0, 0, 37, 93);
INSERT INTO public.who_data VALUES (8540, 8, 184, 1, 6, 37, 84);
INSERT INTO public.who_data VALUES (8541, 12725, 1757429, 135, 44983, 37, 78);
INSERT INTO public.who_data VALUES (8542, 396, 163972, 11, 2974, 37, 170);
INSERT INTO public.who_data VALUES (8543, 74, 6228, 0, 52, 37, 32);
INSERT INTO public.who_data VALUES (8544, 8, 28658, 0, 909, 37, 155);
INSERT INTO public.who_data VALUES (8545, 1514, 386523, 54, 6880, 37, 82);
INSERT INTO public.who_data VALUES (8546, 380, 226200, 14, 2971, 37, 16);
INSERT INTO public.who_data VALUES (8547, 17, 8021, 0, 175, 37, 72);
INSERT INTO public.who_data VALUES (8548, 342, 96812, 0, 356, 37, 43);
INSERT INTO public.who_data VALUES (8549, 813, 525723, 16, 7849, 37, 120);
INSERT INTO public.who_data VALUES (8550, 39, 1007, 0, 7, 37, 213);
INSERT INTO public.who_data VALUES (8551, 1967, 219663, 10, 1554, 37, 31);
INSERT INTO public.who_data VALUES (8552, 2193, 676458, 62, 20336, 37, 204);
INSERT INTO public.who_data VALUES (8553, 53, 11419, 1, 278, 37, 152);
INSERT INTO public.who_data VALUES (8554, 0, 3413, 0, 46, 37, 144);
INSERT INTO public.who_data VALUES (8555, 3, 664, 0, 12, 37, 96);
INSERT INTO public.who_data VALUES (8556, 1, 834, 0, 1, 37, 47);
INSERT INTO public.who_data VALUES (8557, 2057, 178818, 39, 9493, 37, 80);
INSERT INTO public.who_data VALUES (8558, 3, 318, 0, 3, 37, 159);
INSERT INTO public.who_data VALUES (8559, 343, 117011, 12, 4411, 37, 27);
INSERT INTO public.who_data VALUES (8560, 0, 16051, 0, 48, 37, 146);
INSERT INTO public.who_data VALUES (8561, 60899, 8256536, 1274, 205964, 37, 71);
INSERT INTO public.who_data VALUES (8562, 0, 114, 0, 1, 37, 210);
INSERT INTO public.who_data VALUES (8563, 0, 174, 0, 3, 37, 54);
INSERT INTO public.who_data VALUES (8564, 535, 210951, 47, 8396, 37, 147);
INSERT INTO public.who_data VALUES (8565, 263, 8809, 4, 97, 37, 2);
INSERT INTO public.who_data VALUES (8566, 47, 1150, 0, 2, 37, 105);
INSERT INTO public.who_data VALUES (8567, 72, 12664, 0, 115, 37, 53);
INSERT INTO public.who_data VALUES (8568, 15, 426, 0, 0, 37, 81);
INSERT INTO public.who_data VALUES (8569, 0, 27336, 0, 451, 37, 223);
INSERT INTO public.who_data VALUES (8570, 6855, 681328, 150, 17383, 37, 94);
INSERT INTO public.who_data VALUES (8571, 5, 367, 0, 2, 37, 154);
INSERT INTO public.who_data VALUES (8572, 0, 4973, 0, 63, 37, 83);
INSERT INTO public.who_data VALUES (8573, 64, 2773, 1, 110, 37, 194);
INSERT INTO public.who_data VALUES (8574, 4187, 656712, 90, 17294, 37, 136);
INSERT INTO public.who_data VALUES (8575, 173, 98290, 0, 4803, 37, 179);
INSERT INTO public.who_data VALUES (8576, 15898, 1831980, 342, 47124, 37, 57);
INSERT INTO public.who_data VALUES (8577, 62, 1403, 5, 38, 37, 35);
INSERT INTO public.who_data VALUES (8578, 549, 7709, 2, 114, 37, 228);
INSERT INTO public.who_data VALUES (8579, 0, 0, 0, 0, 37, 19);
INSERT INTO public.who_data VALUES (8580, 1063, 182156, 17, 2384, 37, 22);
INSERT INTO public.who_data VALUES (8581, 183, 24369, 0, 140, 37, 1);
INSERT INTO public.who_data VALUES (8582, 715, 223812, 33, 4550, 37, 21);
INSERT INTO public.who_data VALUES (8583, 505, 16549, 2, 160, 37, 234);
INSERT INTO public.who_data VALUES (8584, 19, 4488, 0, 19, 37, 91);
INSERT INTO public.who_data VALUES (8585, 241, 28365, 3, 166, 37, 137);
INSERT INTO public.who_data VALUES (8586, 8083, 874605, 173, 14029, 37, 201);
INSERT INTO public.who_data VALUES (8587, 0, 0, 0, 0, 37, 171);
INSERT INTO public.who_data VALUES (8588, 211, 19706, 15, 625, 37, 92);
INSERT INTO public.who_data VALUES (8589, 1502, 186661, 43, 1703, 37, 112);
INSERT INTO public.who_data VALUES (8590, 9, 5900, 0, 61, 37, 62);
INSERT INTO public.who_data VALUES (8591, 0, 109, 0, 0, 37, 69);
INSERT INTO public.who_data VALUES (8592, 1104, 187487, 0, 2428, 37, 220);
INSERT INTO public.who_data VALUES (8593, 1687, 226002, 17, 14246, 37, 100);
INSERT INTO public.who_data VALUES (8594, 1022, 153741, 59, 8421, 37, 187);
INSERT INTO public.who_data VALUES (8595, 618, 50157, 12, 1459, 37, 63);
INSERT INTO public.who_data VALUES (8596, 0, 5316, 0, 86, 37, 28);
INSERT INTO public.who_data VALUES (8597, 209, 1805, 0, 6, 37, 172);
INSERT INTO public.who_data VALUES (8598, 475, 36096, 10, 311, 37, 17);
INSERT INTO public.who_data VALUES (8599, 203, 12327, 3, 335, 37, 226);
INSERT INTO public.who_data VALUES (8600, 477, 129922, 2, 2008, 37, 236);
INSERT INTO public.who_data VALUES (8601, 0, 32, 0, 0, 37, 76);
INSERT INTO public.who_data VALUES (8602, 0, 647, 0, 1, 37, 30);
INSERT INTO public.who_data VALUES (8603, 0, 53, 0, 2, 37, 128);
INSERT INTO public.who_data VALUES (8604, 258, 39593, 6, 616, 37, 86);
INSERT INTO public.who_data VALUES (8605, 20744, 2804652, 280, 68928, 37, 140);
INSERT INTO public.who_data VALUES (8606, 128, 14654, 0, 74, 37, 44);
INSERT INTO public.who_data VALUES (8607, 107, 17590, 2, 126, 37, 113);
INSERT INTO public.who_data VALUES (8608, 0, 9819, 0, 66, 37, 29);
INSERT INTO public.who_data VALUES (8609, 3, 3893, 1, 127, 37, 125);
INSERT INTO public.who_data VALUES (8610, 1177, 245789, 26, 2893, 37, 131);
INSERT INTO public.who_data VALUES (8611, 22368, 2000958, 1113, 44994, 37, 46);
INSERT INTO public.who_data VALUES (8612, 0, 56981, 0, 341, 37, 10);
INSERT INTO public.who_data VALUES (8613, 107, 3431, 3, 20, 37, 205);
INSERT INTO public.who_data VALUES (8614, 595, 147283, 33, 5387, 37, 50);
INSERT INTO public.who_data VALUES (8615, 1, 30, 0, 0, 37, 20);
INSERT INTO public.who_data VALUES (8616, 0, 139, 0, 1, 37, 13);
INSERT INTO public.who_data VALUES (8617, 0, 8834, 0, 156, 37, 148);
INSERT INTO public.who_data VALUES (8618, 13, 7263, 0, 124, 37, 230);
INSERT INTO public.who_data VALUES (8619, 951, 146937, 34, 5151, 37, 190);
INSERT INTO public.who_data VALUES (8620, 1, 308, 0, 13, 37, 188);
INSERT INTO public.who_data VALUES (8621, 26, 14051, 0, 81, 37, 123);
INSERT INTO public.who_data VALUES (8622, 0, 2447, 0, 45, 37, 9);
INSERT INTO public.who_data VALUES (8623, 43, 6696, 0, 170, 37, 102);
INSERT INTO public.who_data VALUES (8624, 154, 10569, 0, 238, 37, 34);
INSERT INTO public.who_data VALUES (8625, 0, 26, 0, 0, 37, 212);
INSERT INTO public.who_data VALUES (8626, 1204, 131009, 26, 3320, 37, 122);
INSERT INTO public.who_data VALUES (8627, 1513, 349149, 111, 11177, 37, 38);
INSERT INTO public.who_data VALUES (8628, 13, 5948, 0, 29, 37, 130);
INSERT INTO public.who_data VALUES (8629, 15590, 10527683, 191, 151918, 37, 37);
INSERT INTO public.who_data VALUES (8630, 11557, 869600, 295, 25246, 37, 231);
INSERT INTO public.who_data VALUES (8631, 6471, 1311810, 81, 56538, 37, 107);
INSERT INTO public.who_data VALUES (8632, 770, 606186, 7, 12922, 37, 101);
INSERT INTO public.who_data VALUES (8633, 3913, 163057, 28, 2488, 37, 132);
INSERT INTO public.who_data VALUES (8634, 8, 414, 0, 25, 37, 176);
INSERT INTO public.who_data VALUES (8635, 9471, 522116, 57, 3858, 37, 200);
INSERT INTO public.who_data VALUES (8636, 17243, 2336279, 522, 80848, 37, 169);
INSERT INTO public.who_data VALUES (8637, 63, 13915, 5, 322, 37, 225);
INSERT INTO public.who_data VALUES (8638, 6591, 309214, 82, 4315, 37, 165);
INSERT INTO public.who_data VALUES (8639, 13, 3016, 1, 60, 37, 233);
INSERT INTO public.who_data VALUES (8640, 1075, 312043, 16, 4107, 37, 215);
INSERT INTO public.who_data VALUES (8641, 1043, 213855, 0, 2885, 37, 177);
INSERT INTO public.who_data VALUES (8642, 138, 98693, 3, 1723, 37, 183);
INSERT INTO public.who_data VALUES (8643, 0, 0, 0, 0, 37, 203);
INSERT INTO public.who_data VALUES (8644, 279, 54796, 4, 1382, 37, 162);
INSERT INTO public.who_data VALUES (8645, 560, 156434, 0, 946, 37, 12);
INSERT INTO public.who_data VALUES (8646, 134, 82857, 3, 1381, 37, 24);
INSERT INTO public.who_data VALUES (8647, 0, 41, 0, 0, 37, 119);
INSERT INTO public.who_data VALUES (8648, 950, 52982, 11, 920, 37, 39);
INSERT INTO public.who_data VALUES (8649, 5196, 237132, 41, 1781, 37, 26);
INSERT INTO public.who_data VALUES (8650, 115, 6356, 2, 89, 37, 59);
INSERT INTO public.who_data VALUES (8651, 0, 1877, 0, 84, 37, 77);
INSERT INTO public.who_data VALUES (8652, 764, 107434, 16, 1645, 37, 134);
INSERT INTO public.who_data VALUES (8653, 1, 2442, 0, 48, 37, 4);
INSERT INTO public.who_data VALUES (8654, 1146, 165560, 30, 2376, 37, 109);
INSERT INTO public.who_data VALUES (8655, 114, 48479, 3, 545, 37, 90);
INSERT INTO public.who_data VALUES (8656, 0, 18001, 0, 267, 37, 61);
INSERT INTO public.who_data VALUES (8657, 503, 10494, 10, 285, 37, 85);
INSERT INTO public.who_data VALUES (8658, 3337, 147855, 15, 578, 37, 49);
INSERT INTO public.who_data VALUES (8659, 48, 14325, 0, 49, 37, 208);
INSERT INTO public.who_data VALUES (8660, 0, 7738, 0, 303, 37, 166);
INSERT INTO public.who_data VALUES (8661, 121, 15079, 1, 235, 37, 64);
INSERT INTO public.who_data VALUES (8662, 0, 4, 0, 0, 37, 199);
INSERT INTO public.who_data VALUES (8663, 0, 6227, 0, 43, 37, 114);
INSERT INTO public.who_data VALUES (8664, 282, 15893, 9, 396, 37, 60);
INSERT INTO public.who_data VALUES (8665, 0, 546, 0, 10, 37, 68);
INSERT INTO public.who_data VALUES (8666, 356, 6611, 2, 58, 37, 158);
INSERT INTO public.who_data VALUES (8667, 15873, 1571901, 1235, 136917, 37, 52);
INSERT INTO public.who_data VALUES (8668, 0, 0, 0, 0, 37, 117);
INSERT INTO public.who_data VALUES (8669, 17, 1148, 1, 8, 37, 126);
INSERT INTO public.who_data VALUES (8670, 10, 1479, 0, 1, 37, 196);
INSERT INTO public.who_data VALUES (8671, 429, 55081, 1, 741, 37, 142);
INSERT INTO public.who_data VALUES (8672, 0, 13, 0, 1, 37, 185);
INSERT INTO public.who_data VALUES (8673, 1279, 456334, 44, 7854, 37, 138);
INSERT INTO public.who_data VALUES (8674, 543, 24269, 6, 211, 37, 181);
INSERT INTO public.who_data VALUES (8675, 605, 132865, 10, 2912, 37, 178);
INSERT INTO public.who_data VALUES (8676, 387, 29570, 4, 275, 37, 168);
INSERT INTO public.who_data VALUES (8677, 0, 0, 0, 0, 37, 160);
INSERT INTO public.who_data VALUES (8678, 403, 266546, 6, 1943, 37, 151);
INSERT INTO public.who_data VALUES (8679, 6500, 894786, 86, 12744, 37, 193);
INSERT INTO public.who_data VALUES (8680, 0, 40, 0, 0, 37, 18);
INSERT INTO public.who_data VALUES (8681, 18, 1890, 0, 25, 37, 40);
INSERT INTO public.who_data VALUES (8682, 0, 4916, 0, 167, 37, 218);
INSERT INTO public.who_data VALUES (8683, 60, 4058, 1, 137, 37, 191);
INSERT INTO public.who_data VALUES (8684, 1479, 105478, 23, 1405, 37, 156);
INSERT INTO public.who_data VALUES (8685, 0, 0, 0, 0, 37, 135);
INSERT INTO public.who_data VALUES (8686, 0, 128, 0, 2, 37, 88);
INSERT INTO public.who_data VALUES (8687, 396, 87986, 15, 2672, 37, 55);
INSERT INTO public.who_data VALUES (8688, 455, 57734, 6, 517, 37, 108);
INSERT INTO public.who_data VALUES (8689, 736, 169388, 7, 1821, 37, 48);
INSERT INTO public.who_data VALUES (8690, 178, 131264, 1, 1509, 37, 3);
INSERT INTO public.who_data VALUES (8691, 0, 745, 0, 13, 37, 224);
INSERT INTO public.who_data VALUES (8692, 3097, 511921, 46, 10818, 37, 110);
INSERT INTO public.who_data VALUES (8693, 0, 0, 0, 0, 37, 106);
INSERT INTO public.who_data VALUES (8694, 3315, 288408, 33, 4594, 37, 89);
INSERT INTO public.who_data VALUES (8695, 1, 834, 0, 9, 37, 121);
INSERT INTO public.who_data VALUES (8696, 1002, 118592, 15, 2452, 37, 163);
INSERT INTO public.who_data VALUES (8697, 3409, 1043640, 134, 38473, 37, 70);
INSERT INTO public.who_data VALUES (8698, 1905, 494605, 40, 9739, 37, 174);
INSERT INTO public.who_data VALUES (8699, 0, 0, 0, 0, 37, 175);
INSERT INTO public.who_data VALUES (8700, 7958, 1422320, 388, 32844, 37, 118);
INSERT INTO public.who_data VALUES (8701, 10698, 517806, 148, 8384, 37, 189);
INSERT INTO public.who_data VALUES (8702, 177, 84816, 20, 1679, 37, 124);
INSERT INTO public.who_data VALUES (8703, 209, 146689, 0, 246, 37, 192);
INSERT INTO public.who_data VALUES (8704, 512, 71233, 22, 1217, 37, 41);
INSERT INTO public.who_data VALUES (8705, 741, 151687, 18, 3211, 37, 95);
INSERT INTO public.who_data VALUES (8706, 0, 9406, 0, 42, 37, 74);
INSERT INTO public.who_data VALUES (8707, 3525, 684917, 66, 17035, 37, 11);
INSERT INTO public.who_data VALUES (8708, 24715, 3520531, 555, 64495, 37, 87);
INSERT INTO public.who_data VALUES (8709, 194, 10316, 5, 133, 37, 214);
INSERT INTO public.who_data VALUES (8710, 0, 5, 0, 0, 37, 116);
INSERT INTO public.who_data VALUES (8711, 0, 224, 0, 0, 37, 157);
INSERT INTO public.who_data VALUES (8712, 0, 0, 0, 0, 37, 182);
INSERT INTO public.who_data VALUES (8713, 0, 34, 0, 0, 37, 186);
INSERT INTO public.who_data VALUES (8714, 12, 502, 1, 6, 37, 127);
INSERT INTO public.who_data VALUES (8715, 0, 1046, 0, 12, 37, 232);
INSERT INTO public.who_data VALUES (8716, 0, 16, 0, 0, 37, 33);
INSERT INTO public.who_data VALUES (8717, 56, 340, 0, 0, 37, 97);
INSERT INTO public.who_data VALUES (8718, 0, 2, 0, 0, 37, 42);
INSERT INTO public.who_data VALUES (8719, 15, 2738, 0, 65, 37, 198);
INSERT INTO public.who_data VALUES (8720, 14, 1119, 0, 17, 37, 216);
INSERT INTO public.who_data VALUES (8721, 169, 364440, 6, 6310, 37, 164);
INSERT INTO public.who_data VALUES (8722, 295, 22178, 7, 496, 37, 235);
INSERT INTO public.who_data VALUES (8723, 1881, 368072, 23, 3687, 37, 67);
INSERT INTO public.who_data VALUES (8724, 16, 626, 0, 1, 37, 15);
INSERT INTO public.who_data VALUES (8725, 46, 2933, 0, 77, 37, 180);
INSERT INTO public.who_data VALUES (8726, 45, 59029, 0, 29, 37, 237);
INSERT INTO public.who_data VALUES (8727, 0, 19, 0, 0, 37, 25);
INSERT INTO public.who_data VALUES (8728, 18, 1607, 0, 27, 37, 209);
INSERT INTO public.who_data VALUES (8729, 2923, 217978, 97, 3260, 37, 217);
INSERT INTO public.who_data VALUES (8730, 1807, 145635, 18, 3396, 37, 79);
INSERT INTO public.who_data VALUES (8731, 0, 17, 0, 0, 37, 143);
INSERT INTO public.who_data VALUES (8732, 18, 4744, 0, 130, 37, 229);
INSERT INTO public.who_data VALUES (8733, 18503, 1296806, 712, 35852, 37, 141);
INSERT INTO public.who_data VALUES (8734, 0, 3670, 0, 63, 37, 197);
INSERT INTO public.who_data VALUES (8735, 38293, 2336405, 251, 54805, 37, 221);
INSERT INTO public.who_data VALUES (8736, 670, 50899, 4, 251, 37, 150);
INSERT INTO public.who_data VALUES (8737, 128, 28097, 12, 1695, 37, 56);
INSERT INTO public.who_data VALUES (8738, 69, 7247, 1, 139, 37, 167);
INSERT INTO public.who_data VALUES (8739, 6597, 518719, 90, 11030, 37, 23);
INSERT INTO public.who_data VALUES (8740, 2239, 493573, 47, 8177, 37, 222);
INSERT INTO public.who_data VALUES (8741, 100, 12760, 10, 809, 37, 219);
INSERT INTO public.who_data VALUES (8742, 0, 13711, 0, 91, 37, 7);
INSERT INTO public.who_data VALUES (8743, 188, 11450, 0, 69, 37, 161);
INSERT INTO public.who_data VALUES (8744, 48682, 3260262, 1248, 86015, 37, 149);
INSERT INTO public.who_data VALUES (8745, 0, 51, 0, 0, 37, 6);
INSERT INTO public.who_data VALUES (8746, 0, 4109, 0, 73, 37, 139);
INSERT INTO public.who_data VALUES (8747, 0, 0, 0, 0, 37, 211);
INSERT INTO public.who_data VALUES (8748, 0, 0, 0, 0, 37, 14);
INSERT INTO public.who_data VALUES (8749, 19, 7305, 1, 129, 37, 111);
INSERT INTO public.who_data VALUES (8750, 2327, 170895, 63, 5478, 37, 207);
INSERT INTO public.who_data VALUES (8751, 8962, 2364801, 170, 23495, 37, 66);
INSERT INTO public.who_data VALUES (8752, 0, 0, 0, 0, 37, 173);
INSERT INTO public.who_data VALUES (8753, 19, 1030, 0, 6, 37, 145);
INSERT INTO public.who_data VALUES (8754, 0, 0, 0, 0, 37, 65);
INSERT INTO public.who_data VALUES (8755, 0, 38085, 0, 304, 37, 184);
INSERT INTO public.who_data VALUES (8756, 8199, 1146963, 166, 20542, 37, 98);
INSERT INTO public.who_data VALUES (8757, 3382, 242969, 3, 726, 37, 104);
INSERT INTO public.who_data VALUES (8758, 0, 509, 0, 21, 37, 73);
INSERT INTO public.who_data VALUES (8759, 225573, 22871330, 4076, 381522, 37, 8);
INSERT INTO public.who_data VALUES (8760, 38, 2218, 0, 24, 37, 227);
INSERT INTO public.who_data VALUES (8761, 629, 28475, 6, 275, 37, 75);
INSERT INTO public.who_data VALUES (8762, 68, 77845, 1, 619, 37, 45);
INSERT INTO public.who_data VALUES (8763, 0, 1, 0, 0, 37, 133);
INSERT INTO public.who_data VALUES (8764, 512, 117811, 6, 1084, 37, 202);
INSERT INTO public.who_data VALUES (8765, 10, 1531, 0, 35, 37, 129);
INSERT INTO public.who_data VALUES (8766, 0, 4, 0, 0, 37, 36);
INSERT INTO public.who_data VALUES (8767, 1, 2114, 0, 613, 37, 51);
INSERT INTO public.who_data VALUES (8768, 1700, 32800, 5, 514, 37, 206);
INSERT INTO public.who_data VALUES (8769, 1112, 25368, 47, 636, 37, 5);
INSERT INTO public.who_data VALUES (8770, 85, 53775, 6, 2314, 38, 103);
INSERT INTO public.who_data VALUES (8771, 707, 65334, 4, 1256, 38, 58);
INSERT INTO public.who_data VALUES (8772, 0, 102641, 0, 2816, 38, 195);
INSERT INTO public.who_data VALUES (8773, 0, 0, 0, 0, 38, 115);
INSERT INTO public.who_data VALUES (8774, 73, 8818, 0, 87, 38, 99);
INSERT INTO public.who_data VALUES (8775, 82, 18425, 2, 424, 38, 153);
INSERT INTO public.who_data VALUES (8776, 0, 15, 0, 0, 38, 93);
INSERT INTO public.who_data VALUES (8777, 0, 176, 0, 5, 38, 84);
INSERT INTO public.who_data VALUES (8778, 13783, 1744704, 194, 44848, 38, 78);
INSERT INTO public.who_data VALUES (8779, 448, 163576, 12, 2963, 38, 170);
INSERT INTO public.who_data VALUES (8780, 86, 6154, 0, 52, 38, 32);
INSERT INTO public.who_data VALUES (8781, 16, 28650, 0, 909, 38, 155);
INSERT INTO public.who_data VALUES (8782, 2246, 385009, 44, 6826, 38, 82);
INSERT INTO public.who_data VALUES (8783, 474, 225820, 16, 2957, 38, 16);
INSERT INTO public.who_data VALUES (8784, 0, 8004, 0, 175, 38, 72);
INSERT INTO public.who_data VALUES (8785, 275, 96470, 0, 356, 38, 43);
INSERT INTO public.who_data VALUES (8786, 890, 524910, 14, 7833, 38, 120);
INSERT INTO public.who_data VALUES (8787, 84, 968, 0, 7, 38, 213);
INSERT INTO public.who_data VALUES (8788, 1972, 217696, 9, 1544, 38, 31);
INSERT INTO public.who_data VALUES (8789, 2219, 674265, 42, 20274, 38, 204);
INSERT INTO public.who_data VALUES (8790, 34, 11366, 2, 277, 38, 152);
INSERT INTO public.who_data VALUES (8791, 0, 3413, 0, 46, 38, 144);
INSERT INTO public.who_data VALUES (8792, 5, 661, 0, 12, 38, 96);
INSERT INTO public.who_data VALUES (8793, 2, 833, 0, 1, 38, 47);
INSERT INTO public.who_data VALUES (8794, 1473, 176761, 39, 9454, 38, 80);
INSERT INTO public.who_data VALUES (8795, 5, 315, 0, 3, 38, 159);
INSERT INTO public.who_data VALUES (8796, 468, 116668, 26, 4399, 38, 27);
INSERT INTO public.who_data VALUES (8797, 0, 16051, 0, 48, 38, 146);
INSERT INTO public.who_data VALUES (8798, 64025, 8195637, 1110, 204690, 38, 71);
INSERT INTO public.who_data VALUES (8799, 0, 114, 0, 1, 38, 210);
INSERT INTO public.who_data VALUES (8800, 0, 174, 0, 3, 38, 54);
INSERT INTO public.who_data VALUES (8801, 535, 210416, 70, 8349, 38, 147);
INSERT INTO public.who_data VALUES (8802, 83, 8546, 1, 93, 38, 2);
INSERT INTO public.who_data VALUES (8803, 41, 1103, 0, 2, 38, 105);
INSERT INTO public.who_data VALUES (8804, 86, 12592, 0, 115, 38, 53);
INSERT INTO public.who_data VALUES (8805, 13, 411, 0, 0, 38, 81);
INSERT INTO public.who_data VALUES (8806, 0, 27336, 0, 451, 38, 223);
INSERT INTO public.who_data VALUES (8807, 6292, 674473, 147, 17233, 38, 94);
INSERT INTO public.who_data VALUES (8808, 0, 362, 0, 2, 38, 154);
INSERT INTO public.who_data VALUES (8809, 0, 4973, 0, 63, 38, 83);
INSERT INTO public.who_data VALUES (8810, 41, 2709, 1, 109, 38, 194);
INSERT INTO public.who_data VALUES (8811, 3390, 652525, 22, 17204, 38, 136);
INSERT INTO public.who_data VALUES (8812, 184, 98117, 2, 4803, 38, 179);
INSERT INTO public.who_data VALUES (8813, 14179, 1816082, 331, 46782, 38, 57);
INSERT INTO public.who_data VALUES (8814, 53, 1341, 3, 33, 38, 35);
INSERT INTO public.who_data VALUES (8815, 0, 7160, 0, 112, 38, 228);
INSERT INTO public.who_data VALUES (8816, 0, 0, 0, 0, 38, 19);
INSERT INTO public.who_data VALUES (8817, 1032, 181093, 14, 2367, 38, 22);
INSERT INTO public.who_data VALUES (8818, 292, 24186, 1, 140, 38, 1);
INSERT INTO public.who_data VALUES (8819, 980, 223097, 45, 4517, 38, 21);
INSERT INTO public.who_data VALUES (8820, 550, 16044, 3, 158, 38, 234);
INSERT INTO public.who_data VALUES (8821, 5, 4469, 0, 19, 38, 91);
INSERT INTO public.who_data VALUES (8822, 227, 28124, 6, 163, 38, 137);
INSERT INTO public.who_data VALUES (8823, 10922, 866522, 200, 13856, 38, 201);
INSERT INTO public.who_data VALUES (8824, 0, 0, 0, 0, 38, 171);
INSERT INTO public.who_data VALUES (8825, 61, 19495, 0, 610, 38, 92);
INSERT INTO public.who_data VALUES (8826, 1358, 185159, 37, 1660, 38, 112);
INSERT INTO public.who_data VALUES (8827, 12, 5891, 0, 61, 38, 62);
INSERT INTO public.who_data VALUES (8828, 0, 109, 0, 0, 38, 69);
INSERT INTO public.who_data VALUES (8829, 1595, 186383, 1, 2428, 38, 220);
INSERT INTO public.who_data VALUES (8830, 1748, 224315, 33, 14229, 38, 100);
INSERT INTO public.who_data VALUES (8831, 996, 152719, 58, 8362, 38, 187);
INSERT INTO public.who_data VALUES (8832, 634, 49539, 10, 1447, 38, 63);
INSERT INTO public.who_data VALUES (8833, 20, 5316, 0, 86, 38, 28);
INSERT INTO public.who_data VALUES (8834, 0, 1596, 0, 6, 38, 172);
INSERT INTO public.who_data VALUES (8835, 630, 35621, 9, 301, 38, 17);
INSERT INTO public.who_data VALUES (8836, 205, 12124, 13, 332, 38, 226);
INSERT INTO public.who_data VALUES (8837, 453, 129445, 2, 2006, 38, 236);
INSERT INTO public.who_data VALUES (8838, 0, 32, 0, 0, 38, 76);
INSERT INTO public.who_data VALUES (8839, 1, 647, 0, 1, 38, 30);
INSERT INTO public.who_data VALUES (8840, 0, 53, 0, 2, 38, 128);
INSERT INTO public.who_data VALUES (8841, 324, 39335, 8, 610, 38, 86);
INSERT INTO public.who_data VALUES (8842, 23649, 2783908, 229, 68648, 38, 140);
INSERT INTO public.who_data VALUES (8843, 156, 14526, 0, 74, 38, 44);
INSERT INTO public.who_data VALUES (8844, 80, 17483, 0, 124, 38, 113);
INSERT INTO public.who_data VALUES (8845, 79, 9819, 0, 66, 38, 29);
INSERT INTO public.who_data VALUES (8846, 5, 3890, 1, 126, 38, 125);
INSERT INTO public.who_data VALUES (8847, 1357, 244612, 21, 2867, 38, 131);
INSERT INTO public.who_data VALUES (8848, 25164, 1978590, 1244, 43881, 38, 46);
INSERT INTO public.who_data VALUES (8849, 560, 56981, 3, 341, 38, 10);
INSERT INTO public.who_data VALUES (8850, 84, 3324, 1, 17, 38, 205);
INSERT INTO public.who_data VALUES (8851, 668, 146688, 25, 5354, 38, 50);
INSERT INTO public.who_data VALUES (8852, 0, 29, 0, 0, 38, 20);
INSERT INTO public.who_data VALUES (8853, 0, 139, 0, 1, 38, 13);
INSERT INTO public.who_data VALUES (8854, 0, 8834, 0, 156, 38, 148);
INSERT INTO public.who_data VALUES (8855, 11, 7250, 0, 124, 38, 230);
INSERT INTO public.who_data VALUES (8856, 982, 145986, 0, 5117, 38, 190);
INSERT INTO public.who_data VALUES (8857, 1, 307, 0, 13, 38, 188);
INSERT INTO public.who_data VALUES (8858, 36, 14025, 0, 81, 38, 123);
INSERT INTO public.who_data VALUES (8859, 0, 2447, 0, 45, 38, 9);
INSERT INTO public.who_data VALUES (8860, 65, 6653, 0, 170, 38, 102);
INSERT INTO public.who_data VALUES (8861, 29, 10415, 0, 238, 38, 34);
INSERT INTO public.who_data VALUES (8862, 0, 26, 0, 0, 38, 212);
INSERT INTO public.who_data VALUES (8863, 1104, 129805, 9, 3294, 38, 122);
INSERT INTO public.who_data VALUES (8864, 1926, 347636, 118, 11066, 38, 38);
INSERT INTO public.who_data VALUES (8865, 23, 5935, 0, 29, 38, 130);
INSERT INTO public.who_data VALUES (8866, 16946, 10512093, 198, 151727, 38, 37);
INSERT INTO public.who_data VALUES (8867, 11278, 858043, 306, 24951, 38, 231);
INSERT INTO public.who_data VALUES (8868, 6317, 1305339, 97, 56457, 38, 107);
INSERT INTO public.who_data VALUES (8869, 867, 605416, 4, 12915, 38, 101);
INSERT INTO public.who_data VALUES (8870, 3553, 159144, 63, 2460, 38, 132);
INSERT INTO public.who_data VALUES (8871, 3, 406, 0, 25, 38, 176);
INSERT INTO public.who_data VALUES (8872, 9295, 512645, 56, 3801, 38, 200);
INSERT INTO public.who_data VALUES (8873, 15773, 2319036, 507, 80326, 38, 169);
INSERT INTO public.who_data VALUES (8874, 92, 13852, 2, 317, 38, 225);
INSERT INTO public.who_data VALUES (8875, 5308, 302623, 88, 4233, 38, 165);
INSERT INTO public.who_data VALUES (8876, 10, 3003, 0, 59, 38, 233);
INSERT INTO public.who_data VALUES (8877, 1122, 310968, 15, 4091, 38, 215);
INSERT INTO public.who_data VALUES (8878, 911, 212812, 0, 2885, 38, 177);
INSERT INTO public.who_data VALUES (8879, 123, 98555, 4, 1720, 38, 183);
INSERT INTO public.who_data VALUES (8880, 0, 0, 0, 0, 38, 203);
INSERT INTO public.who_data VALUES (8881, 299, 54517, 1, 1378, 38, 162);
INSERT INTO public.who_data VALUES (8882, 539, 155874, 0, 946, 38, 12);
INSERT INTO public.who_data VALUES (8883, 136, 82723, 3, 1378, 38, 24);
INSERT INTO public.who_data VALUES (8884, 0, 41, 0, 0, 38, 119);
INSERT INTO public.who_data VALUES (8885, 1255, 52032, 27, 909, 38, 39);
INSERT INTO public.who_data VALUES (8886, 4988, 231936, 35, 1740, 38, 26);
INSERT INTO public.who_data VALUES (8887, 307, 6241, 2, 87, 38, 59);
INSERT INTO public.who_data VALUES (8888, 1, 1877, 0, 84, 38, 77);
INSERT INTO public.who_data VALUES (8889, 640, 106670, 7, 1629, 38, 134);
INSERT INTO public.who_data VALUES (8890, 4, 2441, 0, 48, 38, 4);
INSERT INTO public.who_data VALUES (8891, 1372, 164414, 29, 2346, 38, 109);
INSERT INTO public.who_data VALUES (8892, 190, 48365, 4, 542, 38, 90);
INSERT INTO public.who_data VALUES (8893, 0, 18001, 0, 267, 38, 61);
INSERT INTO public.who_data VALUES (8894, 591, 9991, 21, 275, 38, 85);
INSERT INTO public.who_data VALUES (8895, 2985, 144518, 4, 563, 38, 49);
INSERT INTO public.who_data VALUES (8896, 59, 14277, 0, 49, 38, 208);
INSERT INTO public.who_data VALUES (8897, 51, 7738, 0, 303, 38, 166);
INSERT INTO public.who_data VALUES (8898, 189, 14958, 0, 234, 38, 64);
INSERT INTO public.who_data VALUES (8899, 0, 4, 0, 0, 38, 199);
INSERT INTO public.who_data VALUES (8900, 0, 6227, 0, 43, 38, 114);
INSERT INTO public.who_data VALUES (8901, 0, 15611, 0, 387, 38, 60);
INSERT INTO public.who_data VALUES (8902, 0, 546, 0, 10, 38, 68);
INSERT INTO public.who_data VALUES (8903, 0, 6255, 0, 56, 38, 158);
INSERT INTO public.who_data VALUES (8904, 14395, 1556028, 1314, 135682, 38, 52);
INSERT INTO public.who_data VALUES (8905, 0, 0, 0, 0, 38, 117);
INSERT INTO public.who_data VALUES (8906, 33, 1131, 0, 7, 38, 126);
INSERT INTO public.who_data VALUES (8907, 13, 1469, 0, 1, 38, 196);
INSERT INTO public.who_data VALUES (8908, 422, 54652, 3, 740, 38, 142);
INSERT INTO public.who_data VALUES (8909, 0, 13, 0, 1, 38, 185);
INSERT INTO public.who_data VALUES (8910, 1266, 455055, 26, 7810, 38, 138);
INSERT INTO public.who_data VALUES (8911, 730, 23726, 4, 205, 38, 181);
INSERT INTO public.who_data VALUES (8912, 523, 132260, 24, 2902, 38, 178);
INSERT INTO public.who_data VALUES (8913, 312, 29183, 7, 271, 38, 168);
INSERT INTO public.who_data VALUES (8914, 0, 0, 0, 0, 38, 160);
INSERT INTO public.who_data VALUES (8915, 445, 266143, 5, 1937, 38, 151);
INSERT INTO public.who_data VALUES (8916, 6097, 888286, 121, 12658, 38, 193);
INSERT INTO public.who_data VALUES (8917, 0, 40, 0, 0, 38, 18);
INSERT INTO public.who_data VALUES (8918, 0, 1872, 0, 25, 38, 40);
INSERT INTO public.who_data VALUES (8919, 0, 4916, 0, 167, 38, 218);
INSERT INTO public.who_data VALUES (8920, 29, 3998, 1, 136, 38, 191);
INSERT INTO public.who_data VALUES (8921, 1398, 103999, 9, 1382, 38, 156);
INSERT INTO public.who_data VALUES (8922, 0, 0, 0, 0, 38, 135);
INSERT INTO public.who_data VALUES (8923, 0, 128, 0, 2, 38, 88);
INSERT INTO public.who_data VALUES (8924, 473, 87590, 10, 2657, 38, 55);
INSERT INTO public.who_data VALUES (8925, 665, 57279, 2, 511, 38, 108);
INSERT INTO public.who_data VALUES (8926, 978, 168652, 30, 1814, 38, 48);
INSERT INTO public.who_data VALUES (8927, 142, 131086, 0, 1508, 38, 3);
INSERT INTO public.who_data VALUES (8928, 0, 745, 0, 13, 38, 224);
INSERT INTO public.who_data VALUES (8929, 2123, 508824, 55, 10772, 38, 110);
INSERT INTO public.who_data VALUES (8930, 0, 0, 0, 0, 38, 106);
INSERT INTO public.who_data VALUES (8931, 3740, 285093, 61, 4561, 38, 89);
INSERT INTO public.who_data VALUES (8932, 10, 833, 0, 9, 38, 121);
INSERT INTO public.who_data VALUES (8933, 1055, 117590, 17, 2437, 38, 163);
INSERT INTO public.who_data VALUES (8934, 2881, 1040231, 4, 38339, 38, 70);
INSERT INTO public.who_data VALUES (8935, 1442, 492700, 145, 9699, 38, 174);
INSERT INTO public.who_data VALUES (8936, 0, 0, 0, 0, 38, 175);
INSERT INTO public.who_data VALUES (8937, 9457, 1414362, 382, 32456, 38, 118);
INSERT INTO public.who_data VALUES (8938, 10556, 507108, 156, 8236, 38, 189);
INSERT INTO public.who_data VALUES (8939, 212, 84639, 14, 1659, 38, 124);
INSERT INTO public.who_data VALUES (8940, 201, 146480, 0, 246, 38, 192);
INSERT INTO public.who_data VALUES (8941, 524, 70721, 10, 1195, 38, 41);
INSERT INTO public.who_data VALUES (8942, 808, 150946, 17, 3193, 38, 95);
INSERT INTO public.who_data VALUES (8943, 47, 9406, 0, 42, 38, 74);
INSERT INTO public.who_data VALUES (8944, 4424, 681392, 88, 16969, 38, 11);
INSERT INTO public.who_data VALUES (8945, 24763, 3495816, 570, 63940, 38, 87);
INSERT INTO public.who_data VALUES (8946, 172, 10122, 3, 128, 38, 214);
INSERT INTO public.who_data VALUES (8947, 0, 5, 0, 0, 38, 116);
INSERT INTO public.who_data VALUES (8948, 0, 224, 0, 0, 38, 157);
INSERT INTO public.who_data VALUES (8949, 0, 0, 0, 0, 38, 182);
INSERT INTO public.who_data VALUES (8950, 0, 34, 0, 0, 38, 186);
INSERT INTO public.who_data VALUES (8951, 12, 490, 0, 5, 38, 127);
INSERT INTO public.who_data VALUES (8952, 0, 1046, 0, 12, 38, 232);
INSERT INTO public.who_data VALUES (8953, 0, 16, 0, 0, 38, 33);
INSERT INTO public.who_data VALUES (8954, 31, 284, 0, 0, 38, 97);
INSERT INTO public.who_data VALUES (8955, 0, 2, 0, 0, 38, 42);
INSERT INTO public.who_data VALUES (8956, 17, 2723, 0, 65, 38, 198);
INSERT INTO public.who_data VALUES (8957, 15, 1105, 0, 17, 38, 216);
INSERT INTO public.who_data VALUES (8958, 175, 364271, 4, 6304, 38, 164);
INSERT INTO public.who_data VALUES (8959, 198, 21883, 9, 489, 38, 235);
INSERT INTO public.who_data VALUES (8960, 2267, 366191, 25, 3664, 38, 67);
INSERT INTO public.who_data VALUES (8961, 33, 610, 0, 1, 38, 15);
INSERT INTO public.who_data VALUES (8962, 23, 2887, 0, 77, 38, 180);
INSERT INTO public.who_data VALUES (8963, 38, 58984, 0, 29, 38, 237);
INSERT INTO public.who_data VALUES (8964, 0, 19, 0, 0, 38, 25);
INSERT INTO public.who_data VALUES (8965, 14, 1589, 0, 27, 38, 209);
INSERT INTO public.who_data VALUES (8966, 3576, 215055, 61, 3163, 38, 217);
INSERT INTO public.who_data VALUES (8967, 2104, 143828, 23, 3378, 38, 79);
INSERT INTO public.who_data VALUES (8968, 0, 17, 0, 0, 38, 143);
INSERT INTO public.who_data VALUES (8969, 0, 4726, 0, 130, 38, 229);
INSERT INTO public.who_data VALUES (8970, 18555, 1278303, 806, 35140, 38, 141);
INSERT INTO public.who_data VALUES (8971, 0, 3670, 0, 63, 38, 197);
INSERT INTO public.who_data VALUES (8972, 36814, 2298112, 234, 54554, 38, 221);
INSERT INTO public.who_data VALUES (8973, 692, 50229, 3, 247, 38, 150);
INSERT INTO public.who_data VALUES (8974, 142, 27969, 6, 1683, 38, 56);
INSERT INTO public.who_data VALUES (8975, 114, 7178, 0, 138, 38, 167);
INSERT INTO public.who_data VALUES (8976, 5341, 512122, 88, 10940, 38, 23);
INSERT INTO public.who_data VALUES (8977, 2461, 491334, 56, 8130, 38, 222);
INSERT INTO public.who_data VALUES (8978, 102, 12660, 9, 799, 38, 219);
INSERT INTO public.who_data VALUES (8979, 1, 13711, 0, 91, 38, 7);
INSERT INTO public.who_data VALUES (8980, 271, 11262, 2, 69, 38, 161);
INSERT INTO public.who_data VALUES (8981, 47525, 3211580, 1564, 84767, 38, 149);
INSERT INTO public.who_data VALUES (8982, 0, 51, 0, 0, 38, 6);
INSERT INTO public.who_data VALUES (8983, 64, 4109, 0, 73, 38, 139);
INSERT INTO public.who_data VALUES (8984, 0, 0, 0, 0, 38, 211);
INSERT INTO public.who_data VALUES (8985, 0, 0, 0, 0, 38, 14);
INSERT INTO public.who_data VALUES (8986, 13, 7286, 0, 128, 38, 111);
INSERT INTO public.who_data VALUES (8987, 3632, 168568, 72, 5415, 38, 207);
INSERT INTO public.who_data VALUES (8988, 9554, 2355839, 173, 23325, 38, 66);
INSERT INTO public.who_data VALUES (8989, 0, 0, 0, 0, 38, 173);
INSERT INTO public.who_data VALUES (8990, 17, 1011, 0, 6, 38, 145);
INSERT INTO public.who_data VALUES (8991, 0, 0, 0, 0, 38, 65);
INSERT INTO public.who_data VALUES (8992, 137, 38085, 1, 304, 38, 184);
INSERT INTO public.who_data VALUES (8993, 7925, 1138764, 162, 20376, 38, 98);
INSERT INTO public.who_data VALUES (8994, 3362, 239587, 6, 723, 38, 104);
INSERT INTO public.who_data VALUES (8995, 0, 509, 0, 21, 38, 73);
INSERT INTO public.who_data VALUES (8996, 217166, 22645757, 4117, 377446, 38, 8);
INSERT INTO public.who_data VALUES (8997, 14, 2180, 0, 24, 38, 227);
INSERT INTO public.who_data VALUES (8998, 945, 27846, 7, 269, 38, 75);
INSERT INTO public.who_data VALUES (8999, 61, 77777, 0, 618, 38, 45);
INSERT INTO public.who_data VALUES (9000, 0, 1, 0, 0, 38, 133);
INSERT INTO public.who_data VALUES (9001, 316, 117299, 5, 1078, 38, 202);
INSERT INTO public.who_data VALUES (9002, 1, 1521, 0, 35, 38, 129);
INSERT INTO public.who_data VALUES (9003, 0, 4, 0, 0, 38, 36);
INSERT INTO public.who_data VALUES (9004, 2, 2113, 0, 613, 38, 51);
INSERT INTO public.who_data VALUES (9005, 1343, 31100, 14, 509, 38, 206);
INSERT INTO public.who_data VALUES (9006, 1017, 24256, 38, 589, 38, 5);
INSERT INTO public.who_data VALUES (9007, 106, 53690, 7, 2308, 39, 103);
INSERT INTO public.who_data VALUES (9008, 656, 64627, 5, 1252, 39, 58);
INSERT INTO public.who_data VALUES (9009, 272, 102641, 4, 2816, 39, 195);
INSERT INTO public.who_data VALUES (9010, 0, 0, 0, 0, 39, 115);
INSERT INTO public.who_data VALUES (9011, 63, 8745, 1, 87, 39, 99);
INSERT INTO public.who_data VALUES (9012, 89, 18343, 2, 422, 39, 153);
INSERT INTO public.who_data VALUES (9013, 0, 15, 0, 0, 39, 93);
INSERT INTO public.who_data VALUES (9014, 0, 176, 0, 5, 39, 84);
INSERT INTO public.who_data VALUES (9015, 8704, 1730921, 159, 44654, 39, 78);
INSERT INTO public.who_data VALUES (9016, 240, 163128, 20, 2951, 39, 170);
INSERT INTO public.who_data VALUES (9017, 26, 6068, 1, 52, 39, 32);
INSERT INTO public.who_data VALUES (9018, 20, 28634, 0, 909, 39, 155);
INSERT INTO public.who_data VALUES (9019, 1728, 382763, 80, 6782, 39, 82);
INSERT INTO public.who_data VALUES (9020, 519, 225346, 15, 2941, 39, 16);
INSERT INTO public.who_data VALUES (9021, 0, 8004, 0, 175, 39, 72);
INSERT INTO public.who_data VALUES (9022, 316, 96195, 0, 356, 39, 43);
INSERT INTO public.who_data VALUES (9023, 718, 524020, 16, 7819, 39, 120);
INSERT INTO public.who_data VALUES (9024, 6, 884, 0, 7, 39, 213);
INSERT INTO public.who_data VALUES (9025, 1731, 215724, 9, 1535, 39, 31);
INSERT INTO public.who_data VALUES (9026, 2489, 672046, 51, 20232, 39, 204);
INSERT INTO public.who_data VALUES (9027, 29, 11332, 1, 275, 39, 152);
INSERT INTO public.who_data VALUES (9028, 50, 3413, 0, 46, 39, 144);
INSERT INTO public.who_data VALUES (9029, 4, 656, 0, 12, 39, 96);
INSERT INTO public.who_data VALUES (9030, 6, 831, 0, 1, 39, 47);
INSERT INTO public.who_data VALUES (9031, 1392, 175288, 39, 9415, 39, 80);
INSERT INTO public.who_data VALUES (9032, 25, 310, 0, 3, 39, 159);
INSERT INTO public.who_data VALUES (9033, 442, 116200, 15, 4373, 39, 27);
INSERT INTO public.who_data VALUES (9034, 0, 16051, 0, 48, 39, 146);
INSERT INTO public.who_data VALUES (9035, 25822, 8131612, 480, 203580, 39, 71);
INSERT INTO public.who_data VALUES (9036, 0, 114, 0, 1, 39, 210);
INSERT INTO public.who_data VALUES (9037, 1, 174, 0, 3, 39, 54);
INSERT INTO public.who_data VALUES (9038, 750, 209881, 47, 8279, 39, 147);
INSERT INTO public.who_data VALUES (9039, 184, 8463, 3, 92, 39, 2);
INSERT INTO public.who_data VALUES (9040, 43, 1062, 0, 2, 39, 105);
INSERT INTO public.who_data VALUES (9041, 73, 12506, 0, 115, 39, 53);
INSERT INTO public.who_data VALUES (9042, 6, 398, 0, 0, 39, 81);
INSERT INTO public.who_data VALUES (9043, 0, 27336, 0, 451, 39, 223);
INSERT INTO public.who_data VALUES (9044, 7892, 668181, 136, 17086, 39, 94);
INSERT INTO public.who_data VALUES (9045, 3, 362, 0, 2, 39, 154);
INSERT INTO public.who_data VALUES (9046, 0, 4973, 0, 63, 39, 83);
INSERT INTO public.who_data VALUES (9047, 79, 2668, 1, 108, 39, 194);
INSERT INTO public.who_data VALUES (9048, 3243, 649135, 20, 17182, 39, 136);
INSERT INTO public.who_data VALUES (9049, 179, 97933, 1, 4801, 39, 179);
INSERT INTO public.who_data VALUES (9050, 15003, 1801903, 337, 46451, 39, 57);
INSERT INTO public.who_data VALUES (9051, 104, 1288, 5, 30, 39, 35);
INSERT INTO public.who_data VALUES (9052, 0, 7160, 0, 112, 39, 228);
INSERT INTO public.who_data VALUES (9053, 0, 0, 0, 0, 39, 19);
INSERT INTO public.who_data VALUES (9054, 656, 180061, 15, 2353, 39, 22);
INSERT INTO public.who_data VALUES (9055, 412, 23894, 0, 139, 39, 1);
INSERT INTO public.who_data VALUES (9056, 1135, 222117, 26, 4472, 39, 21);
INSERT INTO public.who_data VALUES (9057, 487, 15494, 2, 155, 39, 234);
INSERT INTO public.who_data VALUES (9058, 6, 4464, 0, 19, 39, 91);
INSERT INTO public.who_data VALUES (9059, 259, 27897, 4, 157, 39, 137);
INSERT INTO public.who_data VALUES (9060, 10801, 855600, 171, 13656, 39, 201);
INSERT INTO public.who_data VALUES (9061, 0, 0, 0, 0, 39, 171);
INSERT INTO public.who_data VALUES (9062, 0, 19434, 0, 610, 39, 92);
INSERT INTO public.who_data VALUES (9063, 1076, 183801, 26, 1623, 39, 112);
INSERT INTO public.who_data VALUES (9064, 2, 5879, 0, 61, 39, 62);
INSERT INTO public.who_data VALUES (9065, 3, 109, 0, 0, 39, 69);
INSERT INTO public.who_data VALUES (9066, 1506, 184788, 0, 2427, 39, 220);
INSERT INTO public.who_data VALUES (9067, 1061, 222567, 12, 14196, 39, 100);
INSERT INTO public.who_data VALUES (9068, 970, 151723, 55, 8304, 39, 187);
INSERT INTO public.who_data VALUES (9069, 0, 48905, 9, 1437, 39, 63);
INSERT INTO public.who_data VALUES (9070, 0, 5296, 0, 86, 39, 28);
INSERT INTO public.who_data VALUES (9071, 40, 1596, 0, 6, 39, 172);
INSERT INTO public.who_data VALUES (9072, 853, 34991, 0, 292, 39, 17);
INSERT INTO public.who_data VALUES (9073, 208, 11919, 21, 319, 39, 226);
INSERT INTO public.who_data VALUES (9074, 376, 128992, 1, 2004, 39, 236);
INSERT INTO public.who_data VALUES (9075, 3, 32, 0, 0, 39, 76);
INSERT INTO public.who_data VALUES (9076, 0, 646, 0, 1, 39, 30);
INSERT INTO public.who_data VALUES (9077, 0, 53, 0, 2, 39, 128);
INSERT INTO public.who_data VALUES (9078, 221, 39011, 5, 602, 39, 86);
INSERT INTO public.who_data VALUES (9079, 19603, 2760259, 362, 68419, 39, 140);
INSERT INTO public.who_data VALUES (9080, 149, 14370, 0, 74, 39, 44);
INSERT INTO public.who_data VALUES (9081, 63, 17403, 0, 124, 39, 113);
INSERT INTO public.who_data VALUES (9082, 0, 9740, 0, 66, 39, 29);
INSERT INTO public.who_data VALUES (9083, 9, 3885, 0, 125, 39, 125);
INSERT INTO public.who_data VALUES (9084, 1618, 243255, 26, 2846, 39, 131);
INSERT INTO public.who_data VALUES (9085, 19600, 1953426, 1060, 42637, 39, 46);
INSERT INTO public.who_data VALUES (9086, 191, 56421, 0, 338, 39, 10);
INSERT INTO public.who_data VALUES (9087, 70, 3240, 0, 16, 39, 205);
INSERT INTO public.who_data VALUES (9088, 841, 146020, 27, 5329, 39, 50);
INSERT INTO public.who_data VALUES (9089, 0, 29, 0, 0, 39, 20);
INSERT INTO public.who_data VALUES (9090, 4, 139, 0, 1, 39, 13);
INSERT INTO public.who_data VALUES (9091, 0, 8834, 0, 156, 39, 148);
INSERT INTO public.who_data VALUES (9092, 5, 7239, 0, 124, 39, 230);
INSERT INTO public.who_data VALUES (9093, 1044, 145004, 92, 5117, 39, 190);
INSERT INTO public.who_data VALUES (9094, 1, 306, 0, 13, 39, 188);
INSERT INTO public.who_data VALUES (9095, 22, 13989, 0, 81, 39, 123);
INSERT INTO public.who_data VALUES (9096, 0, 2447, 0, 45, 39, 9);
INSERT INTO public.who_data VALUES (9097, 14, 6588, 1, 170, 39, 102);
INSERT INTO public.who_data VALUES (9098, 114, 10386, 0, 238, 39, 34);
INSERT INTO public.who_data VALUES (9099, 0, 26, 0, 0, 39, 212);
INSERT INTO public.who_data VALUES (9100, 756, 128701, 12, 3285, 39, 122);
INSERT INTO public.who_data VALUES (9101, 1358, 345710, 95, 10948, 39, 38);
INSERT INTO public.who_data VALUES (9102, 14, 5912, 0, 29, 39, 130);
INSERT INTO public.who_data VALUES (9103, 15968, 10495147, 202, 151529, 39, 37);
INSERT INTO public.who_data VALUES (9104, 10047, 846765, 302, 24645, 39, 231);
INSERT INTO public.who_data VALUES (9105, 6408, 1299022, 98, 56360, 39, 107);
INSERT INTO public.who_data VALUES (9106, 810, 604549, 5, 12911, 39, 101);
INSERT INTO public.who_data VALUES (9107, 3052, 155591, 45, 2397, 39, 132);
INSERT INTO public.who_data VALUES (9108, 7, 403, 0, 25, 39, 176);
INSERT INTO public.who_data VALUES (9109, 9712, 503350, 29, 3745, 39, 200);
INSERT INTO public.who_data VALUES (9110, 14242, 2303263, 616, 79819, 39, 169);
INSERT INTO public.who_data VALUES (9111, 123, 13760, 2, 315, 39, 225);
INSERT INTO public.who_data VALUES (9112, 5103, 297315, 51, 4145, 39, 165);
INSERT INTO public.who_data VALUES (9113, 21, 2993, 2, 59, 39, 233);
INSERT INTO public.who_data VALUES (9114, 1176, 309846, 33, 4076, 39, 215);
INSERT INTO public.who_data VALUES (9115, 925, 211901, 0, 2885, 39, 177);
INSERT INTO public.who_data VALUES (9116, 98, 98432, 3, 1716, 39, 183);
INSERT INTO public.who_data VALUES (9117, 0, 0, 0, 0, 39, 203);
INSERT INTO public.who_data VALUES (9118, 279, 54218, 4, 1377, 39, 162);
INSERT INTO public.who_data VALUES (9119, 494, 155335, 1, 946, 39, 12);
INSERT INTO public.who_data VALUES (9120, 92, 82587, 1, 1375, 39, 24);
INSERT INTO public.who_data VALUES (9121, 0, 41, 0, 0, 39, 119);
INSERT INTO public.who_data VALUES (9122, 878, 50777, 18, 882, 39, 39);
INSERT INTO public.who_data VALUES (9123, 4557, 226948, 76, 1705, 39, 26);
INSERT INTO public.who_data VALUES (9124, 764, 5934, 6, 85, 39, 59);
INSERT INTO public.who_data VALUES (9125, 76, 1876, 1, 84, 39, 77);
INSERT INTO public.who_data VALUES (9126, 652, 106030, 33, 1622, 39, 134);
INSERT INTO public.who_data VALUES (9127, 9, 2437, 0, 48, 39, 4);
INSERT INTO public.who_data VALUES (9128, 1694, 163042, 45, 2317, 39, 109);
INSERT INTO public.who_data VALUES (9129, 153, 48175, 3, 538, 39, 90);
INSERT INTO public.who_data VALUES (9130, 0, 18001, 0, 267, 39, 61);
INSERT INTO public.who_data VALUES (9131, 373, 9400, 19, 254, 39, 85);
INSERT INTO public.who_data VALUES (9132, 3309, 141533, 4, 559, 39, 49);
INSERT INTO public.who_data VALUES (9133, 59, 14218, 0, 49, 39, 208);
INSERT INTO public.who_data VALUES (9134, 23, 7687, 4, 303, 39, 166);
INSERT INTO public.who_data VALUES (9135, 240, 14769, 1, 234, 39, 64);
INSERT INTO public.who_data VALUES (9136, 0, 4, 0, 0, 39, 199);
INSERT INTO public.who_data VALUES (9137, 0, 6227, 0, 43, 39, 114);
INSERT INTO public.who_data VALUES (9138, 99, 15611, 3, 387, 39, 60);
INSERT INTO public.who_data VALUES (9139, 1, 546, 0, 10, 39, 68);
INSERT INTO public.who_data VALUES (9140, 0, 6255, 0, 56, 39, 158);
INSERT INTO public.who_data VALUES (9141, 7594, 1541633, 662, 134368, 39, 52);
INSERT INTO public.who_data VALUES (9142, 0, 0, 0, 0, 39, 117);
INSERT INTO public.who_data VALUES (9143, 25, 1098, 1, 7, 39, 126);
INSERT INTO public.who_data VALUES (9144, 14, 1456, 0, 1, 39, 196);
INSERT INTO public.who_data VALUES (9145, 447, 54230, 7, 737, 39, 142);
INSERT INTO public.who_data VALUES (9146, 0, 13, 0, 1, 39, 185);
INSERT INTO public.who_data VALUES (9147, 801, 453789, 17, 7784, 39, 138);
INSERT INTO public.who_data VALUES (9148, 662, 22996, 4, 201, 39, 181);
INSERT INTO public.who_data VALUES (9149, 551, 131737, 20, 2878, 39, 178);
INSERT INTO public.who_data VALUES (9150, 269, 28871, 3, 264, 39, 168);
INSERT INTO public.who_data VALUES (9151, 0, 0, 0, 0, 39, 160);
INSERT INTO public.who_data VALUES (9152, 430, 265698, 5, 1932, 39, 151);
INSERT INTO public.who_data VALUES (9153, 4943, 882189, 153, 12537, 39, 193);
INSERT INTO public.who_data VALUES (9154, 0, 40, 0, 0, 39, 18);
INSERT INTO public.who_data VALUES (9155, 7, 1872, 0, 25, 39, 40);
INSERT INTO public.who_data VALUES (9156, 49, 4916, 1, 167, 39, 218);
INSERT INTO public.who_data VALUES (9157, 92, 3969, 9, 135, 39, 191);
INSERT INTO public.who_data VALUES (9158, 1270, 102601, 12, 1373, 39, 156);
INSERT INTO public.who_data VALUES (9159, 0, 0, 0, 0, 39, 135);
INSERT INTO public.who_data VALUES (9160, 0, 128, 0, 2, 39, 88);
INSERT INTO public.who_data VALUES (9161, 520, 87117, 12, 2647, 39, 55);
INSERT INTO public.who_data VALUES (9162, 713, 56614, 27, 509, 39, 108);
INSERT INTO public.who_data VALUES (9163, 797, 167674, 16, 1784, 39, 48);
INSERT INTO public.who_data VALUES (9164, 164, 130944, 0, 1508, 39, 3);
INSERT INTO public.who_data VALUES (9165, 0, 745, 0, 13, 39, 224);
INSERT INTO public.who_data VALUES (9166, 2408, 506701, 41, 10717, 39, 110);
INSERT INTO public.who_data VALUES (9167, 0, 0, 0, 0, 39, 106);
INSERT INTO public.who_data VALUES (9168, 2157, 281353, 45, 4500, 39, 89);
INSERT INTO public.who_data VALUES (9169, 4, 823, 0, 9, 39, 121);
INSERT INTO public.who_data VALUES (9170, 802, 116535, 15, 2420, 39, 163);
INSERT INTO public.who_data VALUES (9171, 2166, 1037350, 55, 38335, 39, 70);
INSERT INTO public.who_data VALUES (9172, 1522, 491258, 138, 9554, 39, 174);
INSERT INTO public.who_data VALUES (9173, 0, 0, 0, 0, 39, 175);
INSERT INTO public.who_data VALUES (9174, 9053, 1404905, 481, 32074, 39, 118);
INSERT INTO public.who_data VALUES (9175, 7259, 496552, 155, 8080, 39, 189);
INSERT INTO public.who_data VALUES (9176, 959, 84427, 3, 1645, 39, 124);
INSERT INTO public.who_data VALUES (9177, 211, 146279, 0, 246, 39, 192);
INSERT INTO public.who_data VALUES (9178, 561, 70197, 20, 1185, 39, 41);
INSERT INTO public.who_data VALUES (9179, 476, 150138, 20, 3176, 39, 95);
INSERT INTO public.who_data VALUES (9180, 0, 9359, 0, 42, 39, 74);
INSERT INTO public.who_data VALUES (9181, 3697, 676968, 156, 16881, 39, 11);
INSERT INTO public.who_data VALUES (9182, 22850, 3471053, 566, 63370, 39, 87);
INSERT INTO public.who_data VALUES (9183, 166, 9950, 1, 125, 39, 214);
INSERT INTO public.who_data VALUES (9184, 0, 5, 0, 0, 39, 116);
INSERT INTO public.who_data VALUES (9185, 0, 224, 0, 0, 39, 157);
INSERT INTO public.who_data VALUES (9186, 0, 0, 0, 0, 39, 182);
INSERT INTO public.who_data VALUES (9187, 0, 34, 0, 0, 39, 186);
INSERT INTO public.who_data VALUES (9188, 40, 478, 0, 5, 39, 127);
INSERT INTO public.who_data VALUES (9189, 0, 1046, 0, 12, 39, 232);
INSERT INTO public.who_data VALUES (9190, 0, 16, 0, 0, 39, 33);
INSERT INTO public.who_data VALUES (9191, 4, 253, 0, 0, 39, 97);
INSERT INTO public.who_data VALUES (9192, 0, 2, 0, 0, 39, 42);
INSERT INTO public.who_data VALUES (9193, 56, 2706, 1, 65, 39, 198);
INSERT INTO public.who_data VALUES (9194, 24, 1090, 0, 17, 39, 216);
INSERT INTO public.who_data VALUES (9195, 147, 364096, 5, 6300, 39, 164);
INSERT INTO public.who_data VALUES (9196, 152, 21685, 11, 480, 39, 235);
INSERT INTO public.who_data VALUES (9197, 2142, 363924, 29, 3639, 39, 67);
INSERT INTO public.who_data VALUES (9198, 0, 577, 0, 1, 39, 15);
INSERT INTO public.who_data VALUES (9199, 18, 2864, 0, 77, 39, 180);
INSERT INTO public.who_data VALUES (9200, 17, 58946, 0, 29, 39, 237);
INSERT INTO public.who_data VALUES (9201, 0, 19, 0, 0, 39, 25);
INSERT INTO public.who_data VALUES (9202, 20, 1575, 0, 27, 39, 209);
INSERT INTO public.who_data VALUES (9203, 2410, 211479, 95, 3102, 39, 217);
INSERT INTO public.who_data VALUES (9204, 1909, 141724, 29, 3355, 39, 79);
INSERT INTO public.who_data VALUES (9205, 0, 17, 0, 0, 39, 143);
INSERT INTO public.who_data VALUES (9206, 0, 4726, 0, 130, 39, 229);
INSERT INTO public.who_data VALUES (9207, 13105, 1259748, 755, 34334, 39, 141);
INSERT INTO public.who_data VALUES (9208, 8, 3670, 0, 63, 39, 197);
INSERT INTO public.who_data VALUES (9209, 31737, 2261298, 239, 54320, 39, 221);
INSERT INTO public.who_data VALUES (9210, 588, 49537, 12, 244, 39, 150);
INSERT INTO public.who_data VALUES (9211, 59, 27827, 5, 1677, 39, 56);
INSERT INTO public.who_data VALUES (9212, 56, 7064, 5, 138, 39, 167);
INSERT INTO public.who_data VALUES (9213, 4648, 506781, 89, 10852, 39, 23);
INSERT INTO public.who_data VALUES (9214, 2607, 488873, 51, 8074, 39, 222);
INSERT INTO public.who_data VALUES (9215, 96, 12558, 9, 790, 39, 219);
INSERT INTO public.who_data VALUES (9216, 1, 13710, 0, 91, 39, 7);
INSERT INTO public.who_data VALUES (9217, 157, 10991, 0, 67, 39, 161);
INSERT INTO public.who_data VALUES (9218, 45533, 3164055, 1243, 83203, 39, 149);
INSERT INTO public.who_data VALUES (9219, 2, 51, 0, 0, 39, 6);
INSERT INTO public.who_data VALUES (9220, 67, 4045, 0, 73, 39, 139);
INSERT INTO public.who_data VALUES (9221, 0, 0, 0, 0, 39, 211);
INSERT INTO public.who_data VALUES (9222, 0, 0, 0, 0, 39, 14);
INSERT INTO public.who_data VALUES (9223, 8, 7273, 0, 128, 39, 111);
INSERT INTO public.who_data VALUES (9224, 2586, 164936, 59, 5343, 39, 207);
INSERT INTO public.who_data VALUES (9225, 9809, 2346285, 171, 23152, 39, 66);
INSERT INTO public.who_data VALUES (9226, 0, 0, 0, 0, 39, 173);
INSERT INTO public.who_data VALUES (9227, 0, 994, 0, 6, 39, 145);
INSERT INTO public.who_data VALUES (9228, 0, 0, 0, 0, 39, 65);
INSERT INTO public.who_data VALUES (9229, 140, 37948, 1, 303, 39, 184);
INSERT INTO public.who_data VALUES (9230, 6409, 1130839, 195, 20214, 39, 98);
INSERT INTO public.who_data VALUES (9231, 3243, 236225, 6, 717, 39, 104);
INSERT INTO public.who_data VALUES (9232, 0, 509, 0, 21, 39, 73);
INSERT INTO public.who_data VALUES (9233, 198788, 22428591, 1954, 373329, 39, 8);
INSERT INTO public.who_data VALUES (9234, 23, 2166, 0, 24, 39, 227);
INSERT INTO public.who_data VALUES (9235, 715, 26901, 6, 262, 39, 75);
INSERT INTO public.who_data VALUES (9236, 53, 77716, 1, 618, 39, 45);
INSERT INTO public.who_data VALUES (9237, 0, 1, 0, 0, 39, 133);
INSERT INTO public.who_data VALUES (9238, 373, 116983, 6, 1073, 39, 202);
INSERT INTO public.who_data VALUES (9239, 5, 1520, 0, 35, 39, 129);
INSERT INTO public.who_data VALUES (9240, 0, 4, 0, 0, 39, 36);
INSERT INTO public.who_data VALUES (9241, 2, 2111, 0, 613, 39, 51);
INSERT INTO public.who_data VALUES (9242, 1161, 29757, 24, 495, 39, 206);
INSERT INTO public.who_data VALUES (9243, 942, 23239, 23, 551, 39, 5);
INSERT INTO public.who_data VALUES (9244, 46, 53584, 13, 2301, 40, 103);
INSERT INTO public.who_data VALUES (9245, 376, 63971, 6, 1247, 40, 58);
INSERT INTO public.who_data VALUES (9246, 225, 102369, 5, 2812, 40, 195);
INSERT INTO public.who_data VALUES (9247, 0, 0, 0, 0, 40, 115);
INSERT INTO public.who_data VALUES (9248, 96, 8682, 1, 86, 40, 99);
INSERT INTO public.who_data VALUES (9249, 61, 18254, 4, 420, 40, 153);
INSERT INTO public.who_data VALUES (9250, 0, 15, 0, 0, 40, 93);
INSERT INTO public.who_data VALUES (9251, 0, 176, 0, 5, 40, 84);
INSERT INTO public.who_data VALUES (9252, 7808, 1722217, 78, 44495, 40, 78);
INSERT INTO public.who_data VALUES (9253, 0, 162888, 0, 2931, 40, 170);
INSERT INTO public.who_data VALUES (9254, 159, 6042, 1, 51, 40, 32);
INSERT INTO public.who_data VALUES (9255, 19, 28614, 0, 909, 40, 155);
INSERT INTO public.who_data VALUES (9256, 1328, 381035, 71, 6702, 40, 82);
INSERT INTO public.who_data VALUES (9257, 176, 224827, 17, 2926, 40, 16);
INSERT INTO public.who_data VALUES (9258, 9, 8004, 0, 175, 40, 72);
INSERT INTO public.who_data VALUES (9259, 321, 95879, 0, 356, 40, 43);
INSERT INTO public.who_data VALUES (9260, 849, 523302, 22, 7803, 40, 120);
INSERT INTO public.who_data VALUES (9261, 0, 878, 0, 7, 40, 213);
INSERT INTO public.who_data VALUES (9262, 1792, 213993, 9, 1526, 40, 31);
INSERT INTO public.who_data VALUES (9263, 3082, 669557, 53, 20181, 40, 204);
INSERT INTO public.who_data VALUES (9264, 37, 11303, 3, 274, 40, 152);
INSERT INTO public.who_data VALUES (9265, 59, 3363, 2, 46, 40, 144);
INSERT INTO public.who_data VALUES (9266, 0, 652, 0, 12, 40, 96);
INSERT INTO public.who_data VALUES (9267, 12, 825, 0, 1, 40, 47);
INSERT INTO public.who_data VALUES (9268, 1098, 173896, 25, 9376, 40, 80);
INSERT INTO public.who_data VALUES (9269, 31, 285, 0, 3, 40, 159);
INSERT INTO public.who_data VALUES (9270, 123, 115758, 28, 4358, 40, 27);
INSERT INTO public.who_data VALUES (9271, 0, 16051, 0, 48, 40, 146);
INSERT INTO public.who_data VALUES (9272, 29792, 8105790, 469, 203100, 40, 71);
INSERT INTO public.who_data VALUES (9273, 0, 114, 0, 1, 40, 210);
INSERT INTO public.who_data VALUES (9274, 0, 173, 0, 3, 40, 54);
INSERT INTO public.who_data VALUES (9275, 620, 209131, 106, 8232, 40, 147);
INSERT INTO public.who_data VALUES (9276, 197, 8279, 0, 89, 40, 2);
INSERT INTO public.who_data VALUES (9277, 0, 1019, 0, 2, 40, 105);
INSERT INTO public.who_data VALUES (9278, 41, 12433, 1, 115, 40, 53);
INSERT INTO public.who_data VALUES (9279, 0, 392, 0, 0, 40, 81);
INSERT INTO public.who_data VALUES (9280, 488, 27336, 3, 451, 40, 223);
INSERT INTO public.who_data VALUES (9281, 7816, 660289, 117, 16950, 40, 94);
INSERT INTO public.who_data VALUES (9282, 0, 359, 0, 2, 40, 154);
INSERT INTO public.who_data VALUES (9283, 0, 4973, 0, 63, 40, 83);
INSERT INTO public.who_data VALUES (9284, 52, 2589, 0, 107, 40, 194);
INSERT INTO public.who_data VALUES (9285, 3969, 645892, 66, 17162, 40, 136);
INSERT INTO public.who_data VALUES (9286, 102, 97754, 1, 4800, 40, 179);
INSERT INTO public.who_data VALUES (9287, 15537, 1786900, 330, 46114, 40, 57);
INSERT INTO public.who_data VALUES (9288, 0, 1184, 0, 25, 40, 35);
INSERT INTO public.who_data VALUES (9289, 0, 7160, 12, 112, 40, 228);
INSERT INTO public.who_data VALUES (9290, 0, 0, 0, 0, 40, 19);
INSERT INTO public.who_data VALUES (9291, 756, 179405, 16, 2338, 40, 22);
INSERT INTO public.who_data VALUES (9292, 228, 23482, 1, 139, 40, 1);
INSERT INTO public.who_data VALUES (9293, 759, 220982, 43, 4446, 40, 21);
INSERT INTO public.who_data VALUES (9294, 431, 15007, 2, 153, 40, 234);
INSERT INTO public.who_data VALUES (9295, 53, 4458, 1, 19, 40, 91);
INSERT INTO public.who_data VALUES (9296, 288, 27638, 5, 153, 40, 137);
INSERT INTO public.who_data VALUES (9297, 9345, 844799, 213, 13485, 40, 201);
INSERT INTO public.who_data VALUES (9298, 0, 0, 0, 0, 40, 171);
INSERT INTO public.who_data VALUES (9299, 277, 19434, 0, 610, 40, 92);
INSERT INTO public.who_data VALUES (9300, 1239, 182725, 27, 1597, 40, 112);
INSERT INTO public.who_data VALUES (9301, 6, 5877, 0, 61, 40, 62);
INSERT INTO public.who_data VALUES (9302, 0, 106, 0, 0, 40, 69);
INSERT INTO public.who_data VALUES (9303, 1179, 183282, 0, 2427, 40, 220);
INSERT INTO public.who_data VALUES (9304, 436, 221506, 7, 14184, 40, 100);
INSERT INTO public.who_data VALUES (9305, 961, 150753, 52, 8249, 40, 187);
INSERT INTO public.who_data VALUES (9306, 0, 48905, 9, 1428, 40, 63);
INSERT INTO public.who_data VALUES (9307, 7, 5296, 0, 86, 40, 28);
INSERT INTO public.who_data VALUES (9308, 0, 1556, 0, 6, 40, 172);
INSERT INTO public.who_data VALUES (9309, 333, 34138, 5, 292, 40, 17);
INSERT INTO public.who_data VALUES (9310, 276, 11711, 3, 298, 40, 226);
INSERT INTO public.who_data VALUES (9311, 300, 128616, 9, 2003, 40, 236);
INSERT INTO public.who_data VALUES (9312, 0, 29, 0, 0, 40, 76);
INSERT INTO public.who_data VALUES (9313, 0, 646, 0, 1, 40, 30);
INSERT INTO public.who_data VALUES (9314, 0, 53, 0, 2, 40, 128);
INSERT INTO public.who_data VALUES (9315, 200, 38790, 11, 597, 40, 86);
INSERT INTO public.who_data VALUES (9316, 3155, 2740656, 689, 68057, 40, 140);
INSERT INTO public.who_data VALUES (9317, 108, 14221, 0, 74, 40, 44);
INSERT INTO public.who_data VALUES (9318, 99, 17340, 2, 124, 40, 113);
INSERT INTO public.who_data VALUES (9319, 46, 9740, 0, 66, 40, 29);
INSERT INTO public.who_data VALUES (9320, 19, 3876, 0, 125, 40, 125);
INSERT INTO public.who_data VALUES (9321, 1857, 241637, 24, 2820, 40, 131);
INSERT INTO public.who_data VALUES (9322, 12802, 1933826, 891, 41577, 40, 46);
INSERT INTO public.who_data VALUES (9323, 458, 56230, 2, 338, 40, 10);
INSERT INTO public.who_data VALUES (9324, 61, 3170, 4, 16, 40, 205);
INSERT INTO public.who_data VALUES (9325, 441, 145179, 39, 5302, 40, 50);
INSERT INTO public.who_data VALUES (9326, 0, 29, 0, 0, 40, 20);
INSERT INTO public.who_data VALUES (9327, 0, 135, 0, 1, 40, 13);
INSERT INTO public.who_data VALUES (9328, 132, 8834, 1, 156, 40, 148);
INSERT INTO public.who_data VALUES (9329, 8, 7234, 0, 124, 40, 230);
INSERT INTO public.who_data VALUES (9330, 717, 143960, 0, 5025, 40, 190);
INSERT INTO public.who_data VALUES (9331, 1, 305, 0, 13, 40, 188);
INSERT INTO public.who_data VALUES (9332, 25, 13967, 0, 81, 40, 123);
INSERT INTO public.who_data VALUES (9333, 0, 2447, 0, 45, 40, 9);
INSERT INTO public.who_data VALUES (9334, 33, 6574, 2, 169, 40, 102);
INSERT INTO public.who_data VALUES (9335, 0, 10272, 0, 238, 40, 34);
INSERT INTO public.who_data VALUES (9336, 0, 26, 0, 0, 40, 212);
INSERT INTO public.who_data VALUES (9337, 719, 127945, -2, 3273, 40, 122);
INSERT INTO public.who_data VALUES (9338, 696, 344352, 128, 10853, 40, 38);
INSERT INTO public.who_data VALUES (9339, 8, 5898, 0, 29, 40, 130);
INSERT INTO public.who_data VALUES (9340, 12584, 10479179, 167, 151327, 40, 37);
INSERT INTO public.who_data VALUES (9341, 8692, 836718, 214, 24343, 40, 231);
INSERT INTO public.who_data VALUES (9342, 6208, 1292614, 91, 56262, 40, 107);
INSERT INTO public.who_data VALUES (9343, 801, 603739, 11, 12906, 40, 101);
INSERT INTO public.who_data VALUES (9344, 4926, 152539, 8, 2352, 40, 132);
INSERT INTO public.who_data VALUES (9345, 2, 396, 0, 25, 40, 176);
INSERT INTO public.who_data VALUES (9346, 6937, 493638, 44, 3716, 40, 200);
INSERT INTO public.who_data VALUES (9347, 12530, 2289021, 448, 79203, 40, 169);
INSERT INTO public.who_data VALUES (9348, 89, 13637, 1, 313, 40, 225);
INSERT INTO public.who_data VALUES (9349, 5460, 292212, 50, 4094, 40, 165);
INSERT INTO public.who_data VALUES (9350, 14, 2972, 0, 57, 40, 233);
INSERT INTO public.who_data VALUES (9351, 1461, 308670, 19, 4043, 40, 215);
INSERT INTO public.who_data VALUES (9352, 890, 210976, 0, 2885, 40, 177);
INSERT INTO public.who_data VALUES (9353, 63, 98334, 3, 1713, 40, 183);
INSERT INTO public.who_data VALUES (9354, 0, 0, 0, 0, 40, 203);
INSERT INTO public.who_data VALUES (9355, 206, 53939, 6, 1373, 40, 162);
INSERT INTO public.who_data VALUES (9356, 527, 154841, 2, 945, 40, 12);
INSERT INTO public.who_data VALUES (9357, 115, 82495, 3, 1374, 40, 24);
INSERT INTO public.who_data VALUES (9358, 0, 41, 0, 0, 40, 119);
INSERT INTO public.who_data VALUES (9359, 331, 49899, 15, 864, 40, 39);
INSERT INTO public.who_data VALUES (9360, 3095, 222391, 23, 1629, 40, 26);
INSERT INTO public.who_data VALUES (9361, 2593, 5170, 29, 79, 40, 59);
INSERT INTO public.who_data VALUES (9362, 0, 1800, 0, 83, 40, 77);
INSERT INTO public.who_data VALUES (9363, 633, 105378, 8, 1589, 40, 134);
INSERT INTO public.who_data VALUES (9364, 16, 2428, 0, 48, 40, 4);
INSERT INTO public.who_data VALUES (9365, 902, 161348, 40, 2272, 40, 109);
INSERT INTO public.who_data VALUES (9366, 42, 48022, 2, 535, 40, 90);
INSERT INTO public.who_data VALUES (9367, 234, 18001, 5, 267, 40, 61);
INSERT INTO public.who_data VALUES (9368, 452, 9027, 10, 235, 40, 85);
INSERT INTO public.who_data VALUES (9369, 2232, 138224, 4, 555, 40, 49);
INSERT INTO public.who_data VALUES (9370, 50, 14159, 0, 49, 40, 208);
INSERT INTO public.who_data VALUES (9371, 64, 7664, 1, 299, 40, 166);
INSERT INTO public.who_data VALUES (9372, 133, 14529, 0, 233, 40, 64);
INSERT INTO public.who_data VALUES (9373, 0, 4, 0, 0, 40, 199);
INSERT INTO public.who_data VALUES (9374, 110, 6227, 0, 43, 40, 114);
INSERT INTO public.who_data VALUES (9375, 0, 15512, 0, 384, 40, 60);
INSERT INTO public.who_data VALUES (9376, 6, 545, 0, 10, 40, 68);
INSERT INTO public.who_data VALUES (9377, 0, 6255, 0, 56, 40, 158);
INSERT INTO public.who_data VALUES (9378, 10003, 1534039, 502, 133706, 40, 52);
INSERT INTO public.who_data VALUES (9379, 0, 0, 0, 0, 40, 117);
INSERT INTO public.who_data VALUES (9380, 13, 1073, 1, 6, 40, 126);
INSERT INTO public.who_data VALUES (9381, 13, 1442, 0, 1, 40, 196);
INSERT INTO public.who_data VALUES (9382, 524, 53783, 1, 730, 40, 142);
INSERT INTO public.who_data VALUES (9383, 0, 13, 0, 1, 40, 185);
INSERT INTO public.who_data VALUES (9384, 456, 452988, 24, 7767, 40, 138);
INSERT INTO public.who_data VALUES (9385, 395, 22334, 5, 197, 40, 181);
INSERT INTO public.who_data VALUES (9386, 582, 131186, 12, 2858, 40, 178);
INSERT INTO public.who_data VALUES (9387, 343, 28602, 7, 261, 40, 168);
INSERT INTO public.who_data VALUES (9388, 0, 0, 0, 0, 40, 160);
INSERT INTO public.who_data VALUES (9389, 488, 265268, 10, 1927, 40, 151);
INSERT INTO public.who_data VALUES (9390, 5454, 877246, 47, 12384, 40, 193);
INSERT INTO public.who_data VALUES (9391, 0, 40, 0, 0, 40, 18);
INSERT INTO public.who_data VALUES (9392, 0, 1865, 0, 25, 40, 40);
INSERT INTO public.who_data VALUES (9393, 0, 4867, 0, 166, 40, 218);
INSERT INTO public.who_data VALUES (9394, 0, 3877, 0, 126, 40, 191);
INSERT INTO public.who_data VALUES (9395, 1244, 101331, 3, 1361, 40, 156);
INSERT INTO public.who_data VALUES (9396, 0, 0, 0, 0, 40, 135);
INSERT INTO public.who_data VALUES (9397, 3, 128, 0, 2, 40, 88);
INSERT INTO public.who_data VALUES (9398, 103, 86597, 13, 2635, 40, 55);
INSERT INTO public.who_data VALUES (9399, 428, 55901, 4, 482, 40, 108);
INSERT INTO public.who_data VALUES (9400, 928, 166877, 12, 1768, 40, 48);
INSERT INTO public.who_data VALUES (9401, 172, 130780, 0, 1508, 40, 3);
INSERT INTO public.who_data VALUES (9402, 0, 745, 0, 13, 40, 224);
INSERT INTO public.who_data VALUES (9403, 1877, 504293, 32, 10676, 40, 110);
INSERT INTO public.who_data VALUES (9404, 0, 0, 0, 0, 40, 106);
INSERT INTO public.who_data VALUES (9405, 2424, 279196, 45, 4455, 40, 89);
INSERT INTO public.who_data VALUES (9406, 8, 819, 0, 9, 40, 121);
INSERT INTO public.who_data VALUES (9407, 707, 115733, 18, 2405, 40, 163);
INSERT INTO public.who_data VALUES (9408, 2909, 1035184, 67, 38280, 40, 70);
INSERT INTO public.who_data VALUES (9409, 2046, 489736, 11, 9416, 40, 174);
INSERT INTO public.who_data VALUES (9410, 0, 0, 0, 0, 40, 175);
INSERT INTO public.who_data VALUES (9411, 5467, 1395852, 329, 31593, 40, 118);
INSERT INTO public.who_data VALUES (9412, 5604, 489293, 122, 7925, 40, 189);
INSERT INTO public.who_data VALUES (9413, 349, 83468, 12, 1642, 40, 124);
INSERT INTO public.who_data VALUES (9414, 203, 146068, 0, 246, 40, 192);
INSERT INTO public.who_data VALUES (9415, 537, 69636, 25, 1165, 40, 41);
INSERT INTO public.who_data VALUES (9416, 271, 149662, 17, 3156, 40, 95);
INSERT INTO public.who_data VALUES (9417, 0, 9359, 0, 42, 40, 74);
INSERT INTO public.who_data VALUES (9418, 1987, 673271, 71, 16725, 40, 11);
INSERT INTO public.who_data VALUES (9419, 22934, 3448203, 531, 62804, 40, 87);
INSERT INTO public.who_data VALUES (9420, 154, 9784, 4, 124, 40, 214);
INSERT INTO public.who_data VALUES (9421, 0, 5, 0, 0, 40, 116);
INSERT INTO public.who_data VALUES (9422, 33, 224, 0, 0, 40, 157);
INSERT INTO public.who_data VALUES (9423, 0, 0, 0, 0, 40, 182);
INSERT INTO public.who_data VALUES (9424, 0, 34, 0, 0, 40, 186);
INSERT INTO public.who_data VALUES (9425, 0, 438, 0, 5, 40, 127);
INSERT INTO public.who_data VALUES (9426, 44, 1046, 0, 12, 40, 232);
INSERT INTO public.who_data VALUES (9427, 0, 16, 0, 0, 40, 33);
INSERT INTO public.who_data VALUES (9428, 24, 249, 0, 0, 40, 97);
INSERT INTO public.who_data VALUES (9429, 0, 2, 0, 0, 40, 42);
INSERT INTO public.who_data VALUES (9430, 0, 2650, 0, 64, 40, 198);
INSERT INTO public.who_data VALUES (9431, 0, 1066, 0, 17, 40, 216);
INSERT INTO public.who_data VALUES (9432, 140, 363949, 4, 6295, 40, 164);
INSERT INTO public.who_data VALUES (9433, 288, 21533, 4, 469, 40, 235);
INSERT INTO public.who_data VALUES (9434, 2093, 361782, 28, 3610, 40, 67);
INSERT INTO public.who_data VALUES (9435, 52, 577, 0, 1, 40, 15);
INSERT INTO public.who_data VALUES (9436, 12, 2846, 0, 77, 40, 180);
INSERT INTO public.who_data VALUES (9437, 22, 58929, 0, 29, 40, 237);
INSERT INTO public.who_data VALUES (9438, 0, 19, 0, 0, 40, 25);
INSERT INTO public.who_data VALUES (9439, 24, 1555, 0, 27, 40, 209);
INSERT INTO public.who_data VALUES (9440, 860, 209069, 89, 3007, 40, 217);
INSERT INTO public.who_data VALUES (9441, 426, 139815, 20, 3326, 40, 79);
INSERT INTO public.who_data VALUES (9442, 0, 17, 0, 0, 40, 143);
INSERT INTO public.who_data VALUES (9443, 0, 4726, 0, 130, 40, 229);
INSERT INTO public.who_data VALUES (9444, 15046, 1246643, 416, 33579, 40, 141);
INSERT INTO public.who_data VALUES (9445, 13, 3662, 0, 63, 40, 197);
INSERT INTO public.who_data VALUES (9446, 13639, 2229561, 180, 54081, 40, 221);
INSERT INTO public.who_data VALUES (9447, 569, 48949, 0, 232, 40, 150);
INSERT INTO public.who_data VALUES (9448, 149, 27768, 6, 1672, 40, 56);
INSERT INTO public.who_data VALUES (9449, 60, 7008, 1, 133, 40, 167);
INSERT INTO public.who_data VALUES (9450, 2318, 502133, 91, 10763, 40, 23);
INSERT INTO public.who_data VALUES (9451, 3458, 486266, 56, 8023, 40, 222);
INSERT INTO public.who_data VALUES (9452, 98, 12462, 7, 781, 40, 219);
INSERT INTO public.who_data VALUES (9453, 1, 13709, 0, 91, 40, 7);
INSERT INTO public.who_data VALUES (9454, 287, 10834, 0, 67, 40, 161);
INSERT INTO public.who_data VALUES (9455, 46169, 3118522, 529, 81960, 40, 149);
INSERT INTO public.who_data VALUES (9456, 0, 49, 0, 0, 40, 6);
INSERT INTO public.who_data VALUES (9457, 21, 3978, 1, 73, 40, 139);
INSERT INTO public.who_data VALUES (9458, 0, 0, 0, 0, 40, 211);
INSERT INTO public.who_data VALUES (9459, 0, 0, 0, 0, 40, 14);
INSERT INTO public.who_data VALUES (9460, 21, 7265, 0, 128, 40, 111);
INSERT INTO public.who_data VALUES (9461, 3074, 162350, 69, 5284, 40, 207);
INSERT INTO public.who_data VALUES (9462, 10220, 2336476, 174, 22981, 40, 66);
INSERT INTO public.who_data VALUES (9463, 0, 0, 0, 0, 40, 173);
INSERT INTO public.who_data VALUES (9464, 0, 994, 0, 6, 40, 145);
INSERT INTO public.who_data VALUES (9465, 0, 0, 0, 0, 40, 65);
INSERT INTO public.who_data VALUES (9466, 66, 37808, 1, 302, 40, 184);
INSERT INTO public.who_data VALUES (9467, 5116, 1124430, 184, 20019, 40, 98);
INSERT INTO public.who_data VALUES (9468, 2404, 232982, 3, 711, 40, 104);
INSERT INTO public.who_data VALUES (9469, 0, 509, 0, 21, 40, 73);
INSERT INTO public.who_data VALUES (9470, 220528, 22229803, 2071, 371375, 40, 8);
INSERT INTO public.who_data VALUES (9471, 0, 2143, 0, 24, 40, 227);
INSERT INTO public.who_data VALUES (9472, 1212, 26186, 8, 256, 40, 75);
INSERT INTO public.who_data VALUES (9473, 52, 77663, 0, 617, 40, 45);
INSERT INTO public.who_data VALUES (9474, 0, 1, 0, 0, 40, 133);
INSERT INTO public.who_data VALUES (9475, 438, 116610, 6, 1067, 40, 202);
INSERT INTO public.who_data VALUES (9476, 1, 1515, 0, 35, 40, 129);
INSERT INTO public.who_data VALUES (9477, 0, 4, 0, 0, 40, 36);
INSERT INTO public.who_data VALUES (9478, 1, 2109, 1, 613, 40, 51);
INSERT INTO public.who_data VALUES (9479, 868, 28596, 2, 471, 40, 206);
INSERT INTO public.who_data VALUES (9480, 820, 22297, 21, 528, 40, 5);
INSERT INTO public.who_data VALUES (9481, 49, 53538, 11, 2288, 41, 103);
INSERT INTO public.who_data VALUES (9482, 562, 63595, 8, 1241, 41, 58);
INSERT INTO public.who_data VALUES (9483, 231, 102144, 4, 2807, 41, 195);
INSERT INTO public.who_data VALUES (9484, 0, 0, 0, 0, 41, 115);
INSERT INTO public.who_data VALUES (9485, 0, 8586, 0, 85, 41, 99);
INSERT INTO public.who_data VALUES (9486, 37, 18193, 0, 416, 41, 153);
INSERT INTO public.who_data VALUES (9487, 0, 15, 0, 0, 41, 93);
INSERT INTO public.who_data VALUES (9488, 7, 176, 0, 5, 41, 84);
INSERT INTO public.who_data VALUES (9489, 11057, 1714409, 144, 44417, 41, 78);
INSERT INTO public.who_data VALUES (9490, 757, 162888, 2, 2931, 41, 170);
INSERT INTO public.who_data VALUES (9491, 0, 5883, 0, 50, 41, 32);
INSERT INTO public.who_data VALUES (9492, 13, 28595, 0, 909, 41, 155);
INSERT INTO public.who_data VALUES (9493, 1597, 379707, 17, 6631, 41, 82);
INSERT INTO public.who_data VALUES (9494, 601, 224651, 19, 2909, 41, 16);
INSERT INTO public.who_data VALUES (9495, 18, 7995, 0, 175, 41, 72);
INSERT INTO public.who_data VALUES (9496, 241, 95558, 1, 356, 41, 43);
INSERT INTO public.who_data VALUES (9497, 1071, 522453, 25, 7781, 41, 120);
INSERT INTO public.who_data VALUES (9498, 70, 878, 0, 7, 41, 213);
INSERT INTO public.who_data VALUES (9499, 1833, 212201, 10, 1517, 41, 31);
INSERT INTO public.who_data VALUES (9500, 858, 666475, 56, 20128, 41, 204);
INSERT INTO public.who_data VALUES (9501, 64, 11266, 0, 271, 41, 152);
INSERT INTO public.who_data VALUES (9502, 0, 3304, 0, 44, 41, 144);
INSERT INTO public.who_data VALUES (9503, 6, 652, 0, 12, 41, 96);
INSERT INTO public.who_data VALUES (9504, 3, 813, 0, 1, 41, 47);
INSERT INTO public.who_data VALUES (9505, 1644, 172798, 23, 9351, 41, 80);
INSERT INTO public.who_data VALUES (9506, 0, 254, 0, 3, 41, 159);
INSERT INTO public.who_data VALUES (9507, 256, 115635, 25, 4330, 41, 27);
INSERT INTO public.who_data VALUES (9508, 0, 16051, 0, 48, 41, 146);
INSERT INTO public.who_data VALUES (9509, 62290, 8075998, 1171, 202631, 41, 71);
INSERT INTO public.who_data VALUES (9510, 0, 114, 0, 1, 41, 210);
INSERT INTO public.who_data VALUES (9511, 0, 173, 0, 3, 41, 54);
INSERT INTO public.who_data VALUES (9512, 105, 208511, 29, 8126, 41, 147);
INSERT INTO public.who_data VALUES (9513, 216, 8082, 0, 89, 41, 2);
INSERT INTO public.who_data VALUES (9514, 33, 1019, 0, 2, 41, 105);
INSERT INTO public.who_data VALUES (9515, 155, 12392, 0, 114, 41, 53);
INSERT INTO public.who_data VALUES (9516, 1, 392, 0, 0, 41, 81);
INSERT INTO public.who_data VALUES (9517, 0, 26848, 0, 448, 41, 223);
INSERT INTO public.who_data VALUES (9518, 8125, 652473, 126, 16833, 41, 94);
INSERT INTO public.who_data VALUES (9519, 0, 359, 0, 2, 41, 154);
INSERT INTO public.who_data VALUES (9520, 0, 4973, 0, 63, 41, 83);
INSERT INTO public.who_data VALUES (9521, 27, 2537, 0, 107, 41, 194);
INSERT INTO public.who_data VALUES (9522, 4181, 641923, 59, 17096, 41, 136);
INSERT INTO public.who_data VALUES (9523, 134, 97652, 1, 4799, 41, 179);
INSERT INTO public.who_data VALUES (9524, 15795, 1771363, 353, 45784, 41, 57);
INSERT INTO public.who_data VALUES (9525, 34, 1184, 7, 25, 41, 35);
INSERT INTO public.who_data VALUES (9526, 0, 7160, 0, 100, 41, 228);
INSERT INTO public.who_data VALUES (9527, 0, 0, 0, 0, 41, 19);
INSERT INTO public.who_data VALUES (9528, 1035, 178649, 17, 2322, 41, 22);
INSERT INTO public.who_data VALUES (9529, 0, 23254, 0, 138, 41, 1);
INSERT INTO public.who_data VALUES (9530, 230, 220223, 35, 4403, 41, 21);
INSERT INTO public.who_data VALUES (9531, 388, 14576, 3, 151, 41, 234);
INSERT INTO public.who_data VALUES (9532, 0, 4405, 0, 18, 41, 91);
INSERT INTO public.who_data VALUES (9533, 339, 27350, 1, 148, 41, 137);
INSERT INTO public.who_data VALUES (9534, 4289, 835454, 157, 13272, 41, 201);
INSERT INTO public.who_data VALUES (9535, 0, 0, 0, 0, 41, 171);
INSERT INTO public.who_data VALUES (9536, 190, 19157, 0, 610, 41, 92);
INSERT INTO public.who_data VALUES (9537, 1246, 181486, 28, 1570, 41, 112);
INSERT INTO public.who_data VALUES (9538, 5, 5871, 0, 61, 41, 62);
INSERT INTO public.who_data VALUES (9539, 0, 106, 0, 0, 41, 69);
INSERT INTO public.who_data VALUES (9540, 1459, 182103, 3, 2427, 41, 220);
INSERT INTO public.who_data VALUES (9541, 721, 221070, 0, 14177, 41, 100);
INSERT INTO public.who_data VALUES (9542, 993, 149792, 55, 8197, 41, 187);
INSERT INTO public.who_data VALUES (9543, 331, 48905, 11, 1419, 41, 63);
INSERT INTO public.who_data VALUES (9544, 0, 5289, 0, 86, 41, 28);
INSERT INTO public.who_data VALUES (9545, 0, 1556, 0, 6, 41, 172);
INSERT INTO public.who_data VALUES (9546, 289, 33805, 4, 287, 41, 17);
INSERT INTO public.who_data VALUES (9547, 255, 11435, 4, 295, 41, 226);
INSERT INTO public.who_data VALUES (9548, 524, 128316, 9, 1994, 41, 236);
INSERT INTO public.who_data VALUES (9549, 0, 29, 0, 0, 41, 76);
INSERT INTO public.who_data VALUES (9550, 0, 646, 0, 1, 41, 30);
INSERT INTO public.who_data VALUES (9551, 0, 53, 0, 2, 41, 128);
INSERT INTO public.who_data VALUES (9552, 198, 38590, 0, 586, 41, 86);
INSERT INTO public.who_data VALUES (9553, 15809, 2737501, 151, 67368, 41, 140);
INSERT INTO public.who_data VALUES (9554, 0, 14113, 0, 74, 41, 44);
INSERT INTO public.who_data VALUES (9555, 0, 17241, 0, 122, 41, 113);
INSERT INTO public.who_data VALUES (9556, 0, 9694, 0, 66, 41, 29);
INSERT INTO public.who_data VALUES (9557, 0, 3857, 0, 125, 41, 125);
INSERT INTO public.who_data VALUES (9558, 551, 239780, 23, 2796, 41, 131);
INSERT INTO public.who_data VALUES (9559, 12497, 1921024, 343, 40686, 41, 46);
INSERT INTO public.who_data VALUES (9560, 0, 55772, 0, 336, 41, 10);
INSERT INTO public.who_data VALUES (9561, 88, 3109, 0, 12, 41, 205);
INSERT INTO public.who_data VALUES (9562, 445, 144738, 36, 5263, 41, 50);
INSERT INTO public.who_data VALUES (9563, 0, 29, 0, 0, 41, 20);
INSERT INTO public.who_data VALUES (9564, 0, 135, 0, 1, 41, 13);
INSERT INTO public.who_data VALUES (9565, 0, 8702, 0, 155, 41, 148);
INSERT INTO public.who_data VALUES (9566, 8, 7226, 0, 124, 41, 230);
INSERT INTO public.who_data VALUES (9567, 116, 143243, 26, 5025, 41, 190);
INSERT INTO public.who_data VALUES (9568, 2, 304, 0, 13, 41, 188);
INSERT INTO public.who_data VALUES (9569, 38, 13942, 0, 81, 41, 123);
INSERT INTO public.who_data VALUES (9570, 0, 2447, 0, 45, 41, 9);
INSERT INTO public.who_data VALUES (9571, 72, 6541, 0, 167, 41, 102);
INSERT INTO public.who_data VALUES (9572, 31, 10272, 1, 238, 41, 34);
INSERT INTO public.who_data VALUES (9573, 0, 26, 0, 0, 41, 212);
INSERT INTO public.who_data VALUES (9574, 830, 127226, 9, 3275, 41, 122);
INSERT INTO public.who_data VALUES (9575, 1419, 343656, 77, 10725, 41, 38);
INSERT INTO public.who_data VALUES (9576, 10, 5890, 0, 29, 41, 130);
INSERT INTO public.who_data VALUES (9577, 16311, 10466595, 161, 151160, 41, 37);
INSERT INTO public.who_data VALUES (9578, 9640, 828026, 182, 24129, 41, 231);
INSERT INTO public.who_data VALUES (9579, 5968, 1286406, 71, 56171, 41, 107);
INSERT INTO public.who_data VALUES (9580, 607, 602938, 14, 12895, 41, 101);
INSERT INTO public.who_data VALUES (9581, 6886, 147613, 8, 2344, 41, 132);
INSERT INTO public.who_data VALUES (9582, 2, 394, 0, 25, 41, 176);
INSERT INTO public.who_data VALUES (9583, 5157, 486701, 21, 3672, 41, 200);
INSERT INTO public.who_data VALUES (9584, 18625, 2276491, 361, 78755, 41, 169);
INSERT INTO public.who_data VALUES (9585, 93, 13548, 1, 312, 41, 225);
INSERT INTO public.who_data VALUES (9586, 5977, 286752, 48, 4044, 41, 165);
INSERT INTO public.who_data VALUES (9587, 37, 2958, 0, 57, 41, 233);
INSERT INTO public.who_data VALUES (9588, 1250, 307209, 15, 4024, 41, 215);
INSERT INTO public.who_data VALUES (9589, 717, 210086, 0, 2885, 41, 177);
INSERT INTO public.who_data VALUES (9590, 87, 98271, 6, 1710, 41, 183);
INSERT INTO public.who_data VALUES (9591, 0, 0, 0, 0, 41, 203);
INSERT INTO public.who_data VALUES (9592, 253, 53733, 2, 1367, 41, 162);
INSERT INTO public.who_data VALUES (9593, 414, 154314, 1, 943, 41, 12);
INSERT INTO public.who_data VALUES (9594, 107, 82380, 2, 1371, 41, 24);
INSERT INTO public.who_data VALUES (9595, 0, 41, 0, 0, 41, 119);
INSERT INTO public.who_data VALUES (9596, 616, 49568, 31, 849, 41, 39);
INSERT INTO public.who_data VALUES (9597, 3743, 219296, 16, 1606, 41, 26);
INSERT INTO public.who_data VALUES (9598, 0, 2577, 0, 50, 41, 59);
INSERT INTO public.who_data VALUES (9599, 0, 1800, 0, 83, 41, 77);
INSERT INTO public.who_data VALUES (9600, 743, 104745, 13, 1581, 41, 134);
INSERT INTO public.who_data VALUES (9601, 9, 2412, 0, 48, 41, 4);
INSERT INTO public.who_data VALUES (9602, 775, 160446, 32, 2232, 41, 109);
INSERT INTO public.who_data VALUES (9603, 104, 47980, 3, 533, 41, 90);
INSERT INTO public.who_data VALUES (9604, 0, 17767, 0, 262, 41, 61);
INSERT INTO public.who_data VALUES (9605, 269, 8575, 5, 225, 41, 85);
INSERT INTO public.who_data VALUES (9606, 2433, 135992, 9, 551, 41, 49);
INSERT INTO public.who_data VALUES (9607, 44, 14109, 0, 49, 41, 208);
INSERT INTO public.who_data VALUES (9608, 35, 7600, 3, 298, 41, 166);
INSERT INTO public.who_data VALUES (9609, 184, 14396, 1, 233, 41, 64);
INSERT INTO public.who_data VALUES (9610, 0, 4, 0, 0, 41, 199);
INSERT INTO public.who_data VALUES (9611, 0, 6117, 0, 43, 41, 114);
INSERT INTO public.who_data VALUES (9612, 298, 15512, 6, 384, 41, 60);
INSERT INTO public.who_data VALUES (9613, 0, 539, 0, 10, 41, 68);
INSERT INTO public.who_data VALUES (9614, 23, 6255, 0, 56, 41, 158);
INSERT INTO public.who_data VALUES (9615, 16105, 1524036, 1135, 133204, 41, 52);
INSERT INTO public.who_data VALUES (9616, 0, 0, 0, 0, 41, 117);
INSERT INTO public.who_data VALUES (9617, 4, 1060, 0, 5, 41, 126);
INSERT INTO public.who_data VALUES (9618, 21, 1429, 0, 1, 41, 196);
INSERT INTO public.who_data VALUES (9619, 515, 53259, 4, 729, 41, 142);
INSERT INTO public.who_data VALUES (9620, 0, 13, 0, 1, 41, 185);
INSERT INTO public.who_data VALUES (9621, 895, 452532, 34, 7743, 41, 138);
INSERT INTO public.who_data VALUES (9622, 578, 21939, 5, 192, 41, 181);
INSERT INTO public.who_data VALUES (9623, 555, 130604, 20, 2846, 41, 178);
INSERT INTO public.who_data VALUES (9624, 536, 28259, 3, 254, 41, 168);
INSERT INTO public.who_data VALUES (9625, 0, 0, 0, 0, 41, 160);
INSERT INTO public.who_data VALUES (9626, 259, 264780, 5, 1917, 41, 151);
INSERT INTO public.who_data VALUES (9627, 6609, 871792, 53, 12337, 41, 193);
INSERT INTO public.who_data VALUES (9628, 0, 40, 0, 0, 41, 18);
INSERT INTO public.who_data VALUES (9629, 4, 1865, 0, 25, 41, 40);
INSERT INTO public.who_data VALUES (9630, 0, 4867, 0, 166, 41, 218);
INSERT INTO public.who_data VALUES (9631, 555, 3877, 22, 126, 41, 191);
INSERT INTO public.who_data VALUES (9632, 2609, 100087, 16, 1358, 41, 156);
INSERT INTO public.who_data VALUES (9633, 0, 0, 0, 0, 41, 135);
INSERT INTO public.who_data VALUES (9634, 0, 125, 0, 2, 41, 88);
INSERT INTO public.who_data VALUES (9635, 344, 86494, 8, 2622, 41, 55);
INSERT INTO public.who_data VALUES (9636, 1681, 55473, 7, 478, 41, 108);
INSERT INTO public.who_data VALUES (9637, 699, 165949, 21, 1756, 41, 48);
INSERT INTO public.who_data VALUES (9638, 538, 130608, 3, 1508, 41, 3);
INSERT INTO public.who_data VALUES (9639, 0, 745, 0, 13, 41, 224);
INSERT INTO public.who_data VALUES (9640, 2899, 502416, 46, 10644, 41, 110);
INSERT INTO public.who_data VALUES (9641, 0, 0, 0, 0, 41, 106);
INSERT INTO public.who_data VALUES (9642, 3735, 276772, 47, 4410, 41, 89);
INSERT INTO public.who_data VALUES (9643, 0, 811, 0, 9, 41, 121);
INSERT INTO public.who_data VALUES (9644, 1032, 115026, 15, 2387, 41, 163);
INSERT INTO public.who_data VALUES (9645, 2804, 1032275, 68, 38213, 41, 70);
INSERT INTO public.who_data VALUES (9646, 1893, 487690, 7, 9405, 41, 174);
INSERT INTO public.who_data VALUES (9647, 0, 0, 0, 0, 41, 175);
INSERT INTO public.who_data VALUES (9648, 4863, 1390385, 75, 31264, 41, 118);
INSERT INTO public.who_data VALUES (9649, 7502, 483689, 102, 7803, 41, 189);
INSERT INTO public.who_data VALUES (9650, 489, 83119, 14, 1630, 41, 124);
INSERT INTO public.who_data VALUES (9651, 193, 145865, 0, 246, 41, 192);
INSERT INTO public.who_data VALUES (9652, 451, 69099, 15, 1140, 41, 41);
INSERT INTO public.who_data VALUES (9653, 298, 149391, 9, 3139, 41, 95);
INSERT INTO public.who_data VALUES (9654, 112, 9359, 0, 42, 41, 74);
INSERT INTO public.who_data VALUES (9655, 3082, 671284, 62, 16654, 41, 11);
INSERT INTO public.who_data VALUES (9656, 23315, 3425269, 436, 62273, 41, 87);
INSERT INTO public.who_data VALUES (9657, 169, 9630, 2, 120, 41, 214);
INSERT INTO public.who_data VALUES (9658, 0, 5, 0, 0, 41, 116);
INSERT INTO public.who_data VALUES (9659, 0, 191, 0, 0, 41, 157);
INSERT INTO public.who_data VALUES (9660, 0, 0, 0, 0, 41, 182);
INSERT INTO public.who_data VALUES (9661, 0, 34, 0, 0, 41, 186);
INSERT INTO public.who_data VALUES (9662, 43, 438, 0, 5, 41, 127);
INSERT INTO public.who_data VALUES (9663, 0, 1002, 0, 12, 41, 232);
INSERT INTO public.who_data VALUES (9664, 0, 16, 0, 0, 41, 33);
INSERT INTO public.who_data VALUES (9665, 21, 225, 0, 0, 41, 97);
INSERT INTO public.who_data VALUES (9666, 0, 2, 0, 0, 41, 42);
INSERT INTO public.who_data VALUES (9667, 0, 2650, 0, 64, 41, 198);
INSERT INTO public.who_data VALUES (9668, 12, 1066, 0, 17, 41, 216);
INSERT INTO public.who_data VALUES (9669, 117, 363809, 5, 6291, 41, 164);
INSERT INTO public.who_data VALUES (9670, 245, 21245, 6, 465, 41, 235);
INSERT INTO public.who_data VALUES (9671, 1795, 359689, 34, 3582, 41, 67);
INSERT INTO public.who_data VALUES (9672, 23, 525, 0, 1, 41, 15);
INSERT INTO public.who_data VALUES (9673, 31, 2834, 0, 77, 41, 180);
INSERT INTO public.who_data VALUES (9674, 42, 58907, 0, 29, 41, 237);
INSERT INTO public.who_data VALUES (9675, 0, 19, 0, 0, 41, 25);
INSERT INTO public.who_data VALUES (9676, 0, 1531, 0, 27, 41, 209);
INSERT INTO public.who_data VALUES (9677, 2973, 208209, 82, 2918, 41, 217);
INSERT INTO public.who_data VALUES (9678, 763, 139389, 33, 3306, 41, 79);
INSERT INTO public.who_data VALUES (9679, 0, 17, 0, 0, 41, 143);
INSERT INTO public.who_data VALUES (9680, 0, 4726, 0, 130, 41, 229);
INSERT INTO public.who_data VALUES (9681, 17421, 1231597, 339, 33163, 41, 141);
INSERT INTO public.who_data VALUES (9682, 9, 3649, 0, 63, 41, 197);
INSERT INTO public.who_data VALUES (9683, 19003, 2215922, 178, 53901, 41, 221);
INSERT INTO public.who_data VALUES (9684, 540, 48380, 3, 232, 41, 150);
INSERT INTO public.who_data VALUES (9685, 125, 27619, 9, 1666, 41, 56);
INSERT INTO public.who_data VALUES (9686, 94, 6948, 1, 132, 41, 167);
INSERT INTO public.who_data VALUES (9687, 4737, 499815, 90, 10672, 41, 23);
INSERT INTO public.who_data VALUES (9688, 1293, 482808, 55, 7967, 41, 222);
INSERT INTO public.who_data VALUES (9689, 90, 12364, 6, 774, 41, 219);
INSERT INTO public.who_data VALUES (9690, 1, 13708, 0, 91, 41, 7);
INSERT INTO public.who_data VALUES (9691, 249, 10547, 0, 67, 41, 161);
INSERT INTO public.who_data VALUES (9692, 54940, 3072353, 563, 81431, 41, 149);
INSERT INTO public.who_data VALUES (9693, 0, 49, 0, 0, 41, 6);
INSERT INTO public.who_data VALUES (9694, 25, 3957, 0, 72, 41, 139);
INSERT INTO public.who_data VALUES (9695, 0, 0, 0, 0, 41, 211);
INSERT INTO public.who_data VALUES (9696, 0, 0, 0, 0, 41, 14);
INSERT INTO public.who_data VALUES (9697, 25, 7244, 1, 128, 41, 111);
INSERT INTO public.who_data VALUES (9698, 1762, 159276, 62, 5215, 41, 207);
INSERT INTO public.who_data VALUES (9699, 9138, 2326256, 176, 22807, 41, 66);
INSERT INTO public.who_data VALUES (9700, 0, 0, 0, 0, 41, 173);
INSERT INTO public.who_data VALUES (9701, 29, 994, 0, 6, 41, 145);
INSERT INTO public.who_data VALUES (9702, 0, 0, 0, 0, 41, 65);
INSERT INTO public.who_data VALUES (9703, 188, 37742, 0, 301, 41, 184);
INSERT INTO public.who_data VALUES (9704, 4288, 1119314, 68, 19835, 41, 98);
INSERT INTO public.who_data VALUES (9705, 2876, 230578, 6, 708, 41, 104);
INSERT INTO public.who_data VALUES (9706, 0, 509, 0, 21, 41, 73);
INSERT INTO public.who_data VALUES (9707, 248089, 22009275, 3418, 369304, 41, 8);
INSERT INTO public.who_data VALUES (9708, 0, 2143, 0, 24, 41, 227);
INSERT INTO public.who_data VALUES (9709, 635, 24974, 8, 248, 41, 75);
INSERT INTO public.who_data VALUES (9710, 39, 77611, 0, 617, 41, 45);
INSERT INTO public.who_data VALUES (9711, 0, 1, 0, 0, 41, 133);
INSERT INTO public.who_data VALUES (9712, 505, 116172, 5, 1061, 41, 202);
INSERT INTO public.who_data VALUES (9713, 1, 1514, 0, 35, 41, 129);
INSERT INTO public.who_data VALUES (9714, 0, 4, 0, 0, 41, 36);
INSERT INTO public.who_data VALUES (9715, 0, 2108, 1, 612, 41, 51);
INSERT INTO public.who_data VALUES (9716, 1161, 27728, 5, 469, 41, 206);
INSERT INTO public.who_data VALUES (9717, 978, 21477, 24, 507, 41, 5);
INSERT INTO public.who_data VALUES (9718, 89, 53489, 13, 2277, 42, 103);
INSERT INTO public.who_data VALUES (9719, 655, 63033, 3, 1233, 42, 58);
INSERT INTO public.who_data VALUES (9720, 256, 101913, 5, 2803, 42, 195);
INSERT INTO public.who_data VALUES (9721, 0, 0, 0, 0, 42, 115);
INSERT INTO public.who_data VALUES (9722, 97, 8586, 1, 85, 42, 99);
INSERT INTO public.who_data VALUES (9723, 90, 18156, 1, 416, 42, 153);
INSERT INTO public.who_data VALUES (9724, 0, 15, 0, 0, 42, 93);
INSERT INTO public.who_data VALUES (9725, 2, 169, 0, 5, 42, 84);
INSERT INTO public.who_data VALUES (9726, 13346, 1703352, 151, 44273, 42, 78);
INSERT INTO public.who_data VALUES (9727, 337, 162131, 7, 2929, 42, 170);
INSERT INTO public.who_data VALUES (9728, 0, 5883, 0, 50, 42, 32);
INSERT INTO public.who_data VALUES (9729, 11, 28582, 0, 909, 42, 155);
INSERT INTO public.who_data VALUES (9730, 2446, 378110, 42, 6614, 42, 82);
INSERT INTO public.who_data VALUES (9731, 633, 224050, 21, 2890, 42, 16);
INSERT INTO public.who_data VALUES (9732, 8, 7977, 0, 175, 42, 72);
INSERT INTO public.who_data VALUES (9733, 287, 95317, 1, 355, 42, 43);
INSERT INTO public.who_data VALUES (9734, 692, 521382, 22, 7756, 42, 120);
INSERT INTO public.who_data VALUES (9735, 28, 808, 0, 7, 42, 213);
INSERT INTO public.who_data VALUES (9736, 1767, 210368, 9, 1507, 42, 31);
INSERT INTO public.who_data VALUES (9737, 1394, 665617, 51, 20072, 42, 204);
INSERT INTO public.who_data VALUES (9738, 50, 11202, 4, 271, 42, 152);
INSERT INTO public.who_data VALUES (9739, 0, 3304, 0, 44, 42, 144);
INSERT INTO public.who_data VALUES (9740, 5, 646, 0, 12, 42, 96);
INSERT INTO public.who_data VALUES (9741, 39, 810, 0, 1, 42, 47);
INSERT INTO public.who_data VALUES (9742, 2263, 171154, 24, 9328, 42, 80);
INSERT INTO public.who_data VALUES (9743, 0, 254, 0, 3, 42, 159);
INSERT INTO public.who_data VALUES (9744, 459, 115379, 20, 4305, 42, 27);
INSERT INTO public.who_data VALUES (9745, 0, 16051, 0, 48, 42, 146);
INSERT INTO public.who_data VALUES (9746, 52035, 8013708, 962, 201460, 42, 71);
INSERT INTO public.who_data VALUES (9747, 0, 114, 0, 1, 42, 210);
INSERT INTO public.who_data VALUES (9748, 0, 173, 0, 3, 42, 54);
INSERT INTO public.who_data VALUES (9749, 394, 208406, 19, 8097, 42, 147);
INSERT INTO public.who_data VALUES (9750, 0, 7866, 0, 89, 42, 2);
INSERT INTO public.who_data VALUES (9751, 101, 986, 0, 2, 42, 105);
INSERT INTO public.who_data VALUES (9752, 0, 12237, 0, 114, 42, 53);
INSERT INTO public.who_data VALUES (9753, 4, 391, 0, 0, 42, 81);
INSERT INTO public.who_data VALUES (9754, 0, 26848, 0, 448, 42, 223);
INSERT INTO public.who_data VALUES (9755, 9214, 644348, 128, 16707, 42, 94);
INSERT INTO public.who_data VALUES (9756, 0, 359, 0, 2, 42, 154);
INSERT INTO public.who_data VALUES (9757, 4, 4973, 0, 63, 42, 83);
INSERT INTO public.who_data VALUES (9758, 91, 2510, 1, 107, 42, 194);
INSERT INTO public.who_data VALUES (9759, 4361, 637742, 63, 17037, 42, 136);
INSERT INTO public.who_data VALUES (9760, 131, 97518, 2, 4798, 42, 179);
INSERT INTO public.who_data VALUES (9761, 18221, 1755568, 364, 45431, 42, 57);
INSERT INTO public.who_data VALUES (9762, 286, 1150, 5, 18, 42, 35);
INSERT INTO public.who_data VALUES (9763, 0, 7160, 0, 100, 42, 228);
INSERT INTO public.who_data VALUES (9764, 0, 0, 0, 0, 42, 19);
INSERT INTO public.who_data VALUES (9765, 1207, 177614, 19, 2305, 42, 22);
INSERT INTO public.who_data VALUES (9766, 81, 23254, 0, 138, 42, 1);
INSERT INTO public.who_data VALUES (9767, 646, 219993, 26, 4368, 42, 21);
INSERT INTO public.who_data VALUES (9768, 365, 14188, 0, 148, 42, 234);
INSERT INTO public.who_data VALUES (9769, 0, 4405, 0, 18, 42, 91);
INSERT INTO public.who_data VALUES (9770, 337, 27011, 6, 147, 42, 137);
INSERT INTO public.who_data VALUES (9771, 8449, 831165, 137, 13115, 42, 201);
INSERT INTO public.who_data VALUES (9772, 0, 0, 0, 0, 42, 171);
INSERT INTO public.who_data VALUES (9773, 231, 18967, 0, 610, 42, 92);
INSERT INTO public.who_data VALUES (9774, 1743, 180240, 25, 1542, 42, 112);
INSERT INTO public.who_data VALUES (9775, 1, 5866, 0, 61, 42, 62);
INSERT INTO public.who_data VALUES (9776, 0, 106, 0, 0, 42, 69);
INSERT INTO public.who_data VALUES (9777, 2106, 180644, 0, 2424, 42, 220);
INSERT INTO public.who_data VALUES (9778, 1201, 220349, 12, 14177, 42, 100);
INSERT INTO public.who_data VALUES (9779, 989, 148799, 57, 8142, 42, 187);
INSERT INTO public.who_data VALUES (9780, 319, 48574, 10, 1408, 42, 63);
INSERT INTO public.who_data VALUES (9781, 0, 5289, 0, 86, 42, 28);
INSERT INTO public.who_data VALUES (9782, 0, 1556, 0, 6, 42, 172);
INSERT INTO public.who_data VALUES (9783, 427, 33516, 5, 283, 42, 17);
INSERT INTO public.who_data VALUES (9784, 207, 11180, 12, 291, 42, 226);
INSERT INTO public.who_data VALUES (9785, 220, 127792, 11, 1985, 42, 236);
INSERT INTO public.who_data VALUES (9786, 0, 29, 0, 0, 42, 76);
INSERT INTO public.who_data VALUES (9787, 2, 646, 0, 1, 42, 30);
INSERT INTO public.who_data VALUES (9788, 0, 53, 0, 2, 42, 128);
INSERT INTO public.who_data VALUES (9789, 324, 38392, 0, 586, 42, 86);
INSERT INTO public.who_data VALUES (9790, 20034, 2721692, 168, 67217, 42, 140);
INSERT INTO public.who_data VALUES (9791, 143, 14113, 0, 74, 42, 44);
INSERT INTO public.who_data VALUES (9792, 0, 17241, 0, 122, 42, 113);
INSERT INTO public.who_data VALUES (9793, 0, 9694, 0, 66, 42, 29);
INSERT INTO public.who_data VALUES (9794, 16, 3857, 0, 125, 42, 125);
INSERT INTO public.who_data VALUES (9795, 1143, 239229, 23, 2773, 42, 131);
INSERT INTO public.who_data VALUES (9796, 16946, 1908527, 465, 40343, 42, 46);
INSERT INTO public.who_data VALUES (9797, 311, 55772, 0, 336, 42, 10);
INSERT INTO public.who_data VALUES (9798, 93, 3021, 1, 12, 42, 205);
INSERT INTO public.who_data VALUES (9799, 799, 144293, 32, 5227, 42, 50);
INSERT INTO public.who_data VALUES (9800, 0, 29, 0, 0, 42, 20);
INSERT INTO public.who_data VALUES (9801, 4, 135, 0, 1, 42, 13);
INSERT INTO public.who_data VALUES (9802, 0, 8702, 0, 155, 42, 148);
INSERT INTO public.who_data VALUES (9803, 5, 7218, 0, 124, 42, 230);
INSERT INTO public.who_data VALUES (9804, 1063, 143127, 27, 4999, 42, 190);
INSERT INTO public.who_data VALUES (9805, 0, 302, 0, 13, 42, 188);
INSERT INTO public.who_data VALUES (9806, 0, 13904, 0, 81, 42, 123);
INSERT INTO public.who_data VALUES (9807, 0, 2447, 0, 45, 42, 9);
INSERT INTO public.who_data VALUES (9808, 0, 6469, 0, 167, 42, 102);
INSERT INTO public.who_data VALUES (9809, 0, 10241, 0, 237, 42, 34);
INSERT INTO public.who_data VALUES (9810, 0, 26, 0, 0, 42, 212);
INSERT INTO public.who_data VALUES (9811, 839, 126396, 22, 3266, 42, 122);
INSERT INTO public.who_data VALUES (9812, 1778, 342237, 94, 10648, 42, 38);
INSERT INTO public.who_data VALUES (9813, 13, 5880, 0, 29, 42, 130);
INSERT INTO public.who_data VALUES (9814, 36867, 10450284, 429, 150999, 42, 37);
INSERT INTO public.who_data VALUES (9815, 10046, 818386, 194, 23947, 42, 231);
INSERT INTO public.who_data VALUES (9816, 5924, 1280438, 82, 56100, 42, 107);
INSERT INTO public.who_data VALUES (9817, 907, 602331, 4, 12881, 42, 101);
INSERT INTO public.who_data VALUES (9818, 4843, 140727, 9, 2336, 42, 132);
INSERT INTO public.who_data VALUES (9819, 1, 392, 0, 25, 42, 176);
INSERT INTO public.who_data VALUES (9820, 8160, 481544, 46, 3651, 42, 200);
INSERT INTO public.who_data VALUES (9821, 19976, 2257866, 483, 78394, 42, 169);
INSERT INTO public.who_data VALUES (9822, 44, 13455, 4, 311, 42, 225);
INSERT INTO public.who_data VALUES (9823, 7621, 280775, 64, 3996, 42, 165);
INSERT INTO public.who_data VALUES (9824, 13, 2921, 1, 57, 42, 233);
INSERT INTO public.who_data VALUES (9825, 796, 305959, 20, 4009, 42, 215);
INSERT INTO public.who_data VALUES (9826, 773, 209369, 40, 2885, 42, 177);
INSERT INTO public.who_data VALUES (9827, 230, 98184, 1, 1704, 42, 183);
INSERT INTO public.who_data VALUES (9828, 0, 0, 0, 0, 42, 203);
INSERT INTO public.who_data VALUES (9829, 259, 53480, 7, 1365, 42, 162);
INSERT INTO public.who_data VALUES (9830, 427, 153900, 2, 942, 42, 12);
INSERT INTO public.who_data VALUES (9831, 135, 82273, 2, 1369, 42, 24);
INSERT INTO public.who_data VALUES (9832, 0, 41, 0, 0, 42, 119);
INSERT INTO public.who_data VALUES (9833, 1170, 48952, 17, 818, 42, 39);
INSERT INTO public.who_data VALUES (9834, 5414, 215553, 20, 1590, 42, 26);
INSERT INTO public.who_data VALUES (9835, 0, 2577, 0, 50, 42, 59);
INSERT INTO public.who_data VALUES (9836, 0, 1800, 0, 83, 42, 77);
INSERT INTO public.who_data VALUES (9837, 0, 104002, 0, 1568, 42, 134);
INSERT INTO public.who_data VALUES (9838, 8, 2403, 0, 48, 42, 4);
INSERT INTO public.who_data VALUES (9839, 1489, 159671, 27, 2200, 42, 109);
INSERT INTO public.who_data VALUES (9840, 136, 47876, 3, 530, 42, 90);
INSERT INTO public.who_data VALUES (9841, 0, 17767, 0, 262, 42, 61);
INSERT INTO public.who_data VALUES (9842, 381, 8306, 12, 220, 42, 85);
INSERT INTO public.who_data VALUES (9843, 2451, 133559, 5, 542, 42, 49);
INSERT INTO public.who_data VALUES (9844, 25, 14065, 0, 49, 42, 208);
INSERT INTO public.who_data VALUES (9845, 138, 7565, 9, 295, 42, 166);
INSERT INTO public.who_data VALUES (9846, 245, 14212, 2, 232, 42, 64);
INSERT INTO public.who_data VALUES (9847, 0, 4, 0, 0, 42, 199);
INSERT INTO public.who_data VALUES (9848, 0, 6117, 0, 43, 42, 114);
INSERT INTO public.who_data VALUES (9849, 0, 15214, 0, 378, 42, 60);
INSERT INTO public.who_data VALUES (9850, 0, 539, 0, 10, 42, 68);
INSERT INTO public.who_data VALUES (9851, 0, 6232, 0, 56, 42, 158);
INSERT INTO public.who_data VALUES (9852, 14362, 1507931, 1038, 132069, 42, 52);
INSERT INTO public.who_data VALUES (9853, 0, 0, 0, 0, 42, 117);
INSERT INTO public.who_data VALUES (9854, 12, 1056, 0, 5, 42, 126);
INSERT INTO public.who_data VALUES (9855, 13, 1408, 0, 1, 42, 196);
INSERT INTO public.who_data VALUES (9856, 343, 52744, 4, 725, 42, 142);
INSERT INTO public.who_data VALUES (9857, 0, 13, 0, 1, 42, 185);
INSERT INTO public.who_data VALUES (9858, 1416, 451637, 24, 7709, 42, 138);
INSERT INTO public.who_data VALUES (9859, 879, 21361, 6, 187, 42, 181);
INSERT INTO public.who_data VALUES (9860, 566, 130049, 14, 2826, 42, 178);
INSERT INTO public.who_data VALUES (9861, 468, 27723, 11, 251, 42, 168);
INSERT INTO public.who_data VALUES (9862, 0, 0, 0, 0, 42, 160);
INSERT INTO public.who_data VALUES (9863, 362, 264521, 3, 1912, 42, 151);
INSERT INTO public.who_data VALUES (9864, 7339, 865183, 138, 12284, 42, 193);
INSERT INTO public.who_data VALUES (9865, 0, 40, 0, 0, 42, 18);
INSERT INTO public.who_data VALUES (9866, 29, 1861, 0, 25, 42, 40);
INSERT INTO public.who_data VALUES (9867, 0, 4867, 0, 166, 42, 218);
INSERT INTO public.who_data VALUES (9868, 0, 3322, 0, 104, 42, 191);
INSERT INTO public.who_data VALUES (9869, 0, 97478, 0, 1342, 42, 156);
INSERT INTO public.who_data VALUES (9870, 0, 0, 0, 0, 42, 135);
INSERT INTO public.who_data VALUES (9871, 0, 125, 0, 2, 42, 88);
INSERT INTO public.who_data VALUES (9872, 556, 86150, 22, 2614, 42, 55);
INSERT INTO public.who_data VALUES (9873, 0, 53792, 0, 471, 42, 108);
INSERT INTO public.who_data VALUES (9874, 855, 165250, 28, 1735, 42, 48);
INSERT INTO public.who_data VALUES (9875, 0, 130070, 0, 1505, 42, 3);
INSERT INTO public.who_data VALUES (9876, 0, 745, 0, 13, 42, 224);
INSERT INTO public.who_data VALUES (9877, 2007, 499517, 40, 10598, 42, 110);
INSERT INTO public.who_data VALUES (9878, 0, 0, 0, 0, 42, 106);
INSERT INTO public.who_data VALUES (9879, 3946, 273037, 42, 4363, 42, 89);
INSERT INTO public.who_data VALUES (9880, 0, 811, 0, 9, 42, 121);
INSERT INTO public.who_data VALUES (9881, 1138, 113994, 20, 2372, 42, 163);
INSERT INTO public.who_data VALUES (9882, 2781, 1029471, 96, 38145, 42, 70);
INSERT INTO public.who_data VALUES (9883, 1945, 485797, 34, 9398, 42, 174);
INSERT INTO public.who_data VALUES (9884, 0, 0, 0, 0, 42, 175);
INSERT INTO public.who_data VALUES (9885, 9133, 1385522, 178, 31189, 42, 118);
INSERT INTO public.who_data VALUES (9886, 9478, 476187, 111, 7701, 42, 189);
INSERT INTO public.who_data VALUES (9887, 563, 82630, 24, 1616, 42, 124);
INSERT INTO public.who_data VALUES (9888, 206, 145672, 0, 246, 42, 192);
INSERT INTO public.who_data VALUES (9889, 657, 68648, 25, 1125, 42, 41);
INSERT INTO public.who_data VALUES (9890, 424, 149093, 8, 3130, 42, 95);
INSERT INTO public.who_data VALUES (9891, 0, 9247, 0, 42, 42, 74);
INSERT INTO public.who_data VALUES (9892, 4423, 668202, 86, 16592, 42, 11);
INSERT INTO public.who_data VALUES (9893, 22851, 3401954, 456, 61837, 42, 87);
INSERT INTO public.who_data VALUES (9894, 403, 9461, 6, 118, 42, 214);
INSERT INTO public.who_data VALUES (9895, 0, 5, 0, 0, 42, 116);
INSERT INTO public.who_data VALUES (9896, 0, 191, 0, 0, 42, 157);
INSERT INTO public.who_data VALUES (9897, 0, 0, 0, 0, 42, 182);
INSERT INTO public.who_data VALUES (9898, 0, 34, 0, 0, 42, 186);
INSERT INTO public.who_data VALUES (9899, 12, 395, 0, 5, 42, 127);
INSERT INTO public.who_data VALUES (9900, 0, 1002, 0, 12, 42, 232);
INSERT INTO public.who_data VALUES (9901, 0, 16, 0, 0, 42, 33);
INSERT INTO public.who_data VALUES (9902, 0, 204, 0, 0, 42, 97);
INSERT INTO public.who_data VALUES (9903, 0, 2, 0, 0, 42, 42);
INSERT INTO public.who_data VALUES (9904, 22, 2650, 0, 64, 42, 198);
INSERT INTO public.who_data VALUES (9905, 0, 1054, 0, 17, 42, 216);
INSERT INTO public.who_data VALUES (9906, 110, 363692, 4, 6286, 42, 164);
INSERT INTO public.who_data VALUES (9907, 328, 21000, 13, 459, 42, 235);
INSERT INTO public.who_data VALUES (9908, 1769, 357894, 35, 3548, 42, 67);
INSERT INTO public.who_data VALUES (9909, 54, 502, 0, 1, 42, 15);
INSERT INTO public.who_data VALUES (9910, 21, 2803, 0, 77, 42, 180);
INSERT INTO public.who_data VALUES (9911, 29, 58865, 0, 29, 42, 237);
INSERT INTO public.who_data VALUES (9912, 0, 19, 0, 0, 42, 25);
INSERT INTO public.who_data VALUES (9913, 0, 1531, 0, 27, 42, 209);
INSERT INTO public.who_data VALUES (9914, 4072, 205236, 48, 2836, 42, 217);
INSERT INTO public.who_data VALUES (9915, 1860, 138626, 28, 3273, 42, 79);
INSERT INTO public.who_data VALUES (9916, 0, 17, 0, 0, 42, 143);
INSERT INTO public.who_data VALUES (9917, 0, 4726, 0, 130, 42, 229);
INSERT INTO public.who_data VALUES (9918, 21606, 1214176, 399, 32824, 42, 141);
INSERT INTO public.who_data VALUES (9919, 36, 3640, 0, 63, 42, 197);
INSERT INTO public.who_data VALUES (9920, 32204, 2196919, 200, 53723, 42, 221);
INSERT INTO public.who_data VALUES (9921, 535, 47840, 7, 229, 42, 150);
INSERT INTO public.who_data VALUES (9922, 1215, 27494, 54, 1657, 42, 56);
INSERT INTO public.who_data VALUES (9923, 104, 6854, 1, 131, 42, 167);
INSERT INTO public.who_data VALUES (9924, 5698, 495078, 99, 10582, 42, 23);
INSERT INTO public.who_data VALUES (9925, 1682, 481515, 62, 7912, 42, 222);
INSERT INTO public.who_data VALUES (9926, 95, 12274, 5, 768, 42, 219);
INSERT INTO public.who_data VALUES (9927, 1, 13707, 0, 91, 42, 7);
INSERT INTO public.who_data VALUES (9928, 457, 10298, 0, 67, 42, 161);
INSERT INTO public.who_data VALUES (9929, 59937, 3017413, 1035, 80868, 42, 149);
INSERT INTO public.who_data VALUES (9930, 0, 49, 0, 0, 42, 6);
INSERT INTO public.who_data VALUES (9931, 87, 3932, 0, 72, 42, 139);
INSERT INTO public.who_data VALUES (9932, 0, 0, 0, 0, 42, 211);
INSERT INTO public.who_data VALUES (9933, 0, 0, 0, 0, 42, 14);
INSERT INTO public.who_data VALUES (9934, 9, 7219, 0, 127, 42, 111);
INSERT INTO public.who_data VALUES (9935, 2611, 157514, 45, 5153, 42, 207);
INSERT INTO public.who_data VALUES (9936, 9537, 2317118, 181, 22631, 42, 66);
INSERT INTO public.who_data VALUES (9937, 0, 0, 0, 0, 42, 173);
INSERT INTO public.who_data VALUES (9938, 9, 965, 0, 6, 42, 145);
INSERT INTO public.who_data VALUES (9939, 0, 0, 0, 0, 42, 65);
INSERT INTO public.who_data VALUES (9940, 258, 37554, 1, 301, 42, 184);
INSERT INTO public.who_data VALUES (9941, 5011, 1115026, 99, 19767, 42, 98);
INSERT INTO public.who_data VALUES (9942, 2998, 227702, 5, 702, 42, 104);
INSERT INTO public.who_data VALUES (9943, 0, 509, 0, 21, 42, 73);
INSERT INTO public.who_data VALUES (9944, 313516, 21761186, 3599, 365886, 42, 8);
INSERT INTO public.who_data VALUES (9945, 13, 2143, 0, 24, 42, 227);
INSERT INTO public.who_data VALUES (9946, 532, 24339, 9, 240, 42, 75);
INSERT INTO public.who_data VALUES (9947, 42, 77572, 1, 617, 42, 45);
INSERT INTO public.who_data VALUES (9948, 0, 1, 0, 0, 42, 133);
INSERT INTO public.who_data VALUES (9949, 345, 115667, 4, 1056, 42, 202);
INSERT INTO public.who_data VALUES (9950, 1, 1513, 0, 35, 42, 129);
INSERT INTO public.who_data VALUES (9951, 0, 4, 0, 0, 42, 36);
INSERT INTO public.who_data VALUES (9952, 0, 2108, 0, 611, 42, 51);
INSERT INTO public.who_data VALUES (9953, 1241, 26567, 23, 464, 42, 206);
INSERT INTO public.who_data VALUES (9954, 839, 20499, 15, 483, 42, 5);
INSERT INTO public.who_data VALUES (9955, 68, 53400, 7, 2264, 43, 103);
INSERT INTO public.who_data VALUES (9956, 673, 62378, 7, 1230, 43, 58);
INSERT INTO public.who_data VALUES (9957, 537, 101657, 12, 2798, 43, 195);
INSERT INTO public.who_data VALUES (9958, 0, 0, 0, 0, 43, 115);
INSERT INTO public.who_data VALUES (9959, 141, 8489, 0, 84, 43, 99);
INSERT INTO public.who_data VALUES (9960, 92, 18066, 2, 415, 43, 153);
INSERT INTO public.who_data VALUES (9961, 0, 15, 0, 0, 43, 93);
INSERT INTO public.who_data VALUES (9962, 4, 167, 0, 5, 43, 84);
INSERT INTO public.who_data VALUES (9963, 13835, 1690006, 146, 44122, 43, 78);
INSERT INTO public.who_data VALUES (9964, 379, 161794, 14, 2922, 43, 170);
INSERT INTO public.who_data VALUES (9965, 72, 5883, 0, 50, 43, 32);
INSERT INTO public.who_data VALUES (9966, 24, 28571, 0, 909, 43, 155);
INSERT INTO public.who_data VALUES (9967, 2001, 375664, 68, 6572, 43, 82);
INSERT INTO public.who_data VALUES (9968, 532, 223417, 24, 2869, 43, 16);
INSERT INTO public.who_data VALUES (9969, 10, 7969, 0, 175, 43, 72);
INSERT INTO public.who_data VALUES (9970, 397, 95030, 1, 354, 43, 43);
INSERT INTO public.who_data VALUES (9971, 785, 520690, 16, 7734, 43, 120);
INSERT INTO public.who_data VALUES (9972, 37, 780, 0, 7, 43, 213);
INSERT INTO public.who_data VALUES (9973, 1805, 208601, 9, 1498, 43, 31);
INSERT INTO public.who_data VALUES (9974, 2052, 664223, 48, 20021, 43, 204);
INSERT INTO public.who_data VALUES (9975, 44, 11152, 7, 267, 43, 152);
INSERT INTO public.who_data VALUES (9976, 0, 3304, 0, 44, 43, 144);
INSERT INTO public.who_data VALUES (9977, 5, 641, 1, 12, 43, 96);
INSERT INTO public.who_data VALUES (9978, 4, 771, 1, 1, 43, 47);
INSERT INTO public.who_data VALUES (9979, 1910, 168891, 17, 9304, 43, 80);
INSERT INTO public.who_data VALUES (9980, 5, 254, 0, 3, 43, 159);
INSERT INTO public.who_data VALUES (9981, 518, 114920, 21, 4285, 43, 27);
INSERT INTO public.who_data VALUES (9982, 611, 16051, 3, 48, 43, 146);
INSERT INTO public.who_data VALUES (9983, 87843, 7961673, 1524, 200498, 43, 71);
INSERT INTO public.who_data VALUES (9984, 7, 114, 0, 1, 43, 210);
INSERT INTO public.who_data VALUES (9985, 0, 173, 0, 3, 43, 54);
INSERT INTO public.who_data VALUES (9986, 753, 208012, 61, 8078, 43, 147);
INSERT INTO public.who_data VALUES (9987, 153, 7866, 0, 89, 43, 2);
INSERT INTO public.who_data VALUES (9988, 0, 885, 0, 2, 43, 105);
INSERT INTO public.who_data VALUES (9989, 91, 12237, 1, 114, 43, 53);
INSERT INTO public.who_data VALUES (9990, 1, 387, 0, 0, 43, 81);
INSERT INTO public.who_data VALUES (9991, 0, 26848, 0, 448, 43, 223);
INSERT INTO public.who_data VALUES (9992, 8335, 635134, 210, 16579, 43, 94);
INSERT INTO public.who_data VALUES (9993, 3, 359, 0, 2, 43, 154);
INSERT INTO public.who_data VALUES (9994, 0, 4969, 0, 63, 43, 83);
INSERT INTO public.who_data VALUES (9995, 61, 2419, 1, 106, 43, 194);
INSERT INTO public.who_data VALUES (9996, 4205, 633381, 61, 16974, 43, 136);
INSERT INTO public.who_data VALUES (9997, 81, 97387, 1, 4796, 43, 179);
INSERT INTO public.who_data VALUES (9998, 17576, 1737347, 344, 45067, 43, 57);
INSERT INTO public.who_data VALUES (9999, 0, 864, 0, 13, 43, 35);
INSERT INTO public.who_data VALUES (10000, 0, 7160, 0, 100, 43, 228);
INSERT INTO public.who_data VALUES (10001, 0, 0, 0, 0, 43, 19);
INSERT INTO public.who_data VALUES (10002, 1369, 176407, 19, 2286, 43, 22);
INSERT INTO public.who_data VALUES (10003, 318, 23173, 0, 138, 43, 1);
INSERT INTO public.who_data VALUES (10004, 1401, 219347, 38, 4342, 43, 21);
INSERT INTO public.who_data VALUES (10005, 344, 13823, 0, 148, 43, 234);
INSERT INTO public.who_data VALUES (10006, 27, 4405, 1, 18, 43, 91);
INSERT INTO public.who_data VALUES (10007, 466, 26674, 1, 141, 43, 137);
INSERT INTO public.who_data VALUES (10008, 13115, 822716, 178, 12978, 43, 201);
INSERT INTO public.who_data VALUES (10009, 0, 0, 0, 0, 43, 171);
INSERT INTO public.who_data VALUES (10010, 251, 18736, 0, 610, 43, 92);
INSERT INTO public.who_data VALUES (10011, 1660, 178497, 30, 1517, 43, 112);
INSERT INTO public.who_data VALUES (10012, 8, 5865, 0, 61, 43, 62);
INSERT INTO public.who_data VALUES (10013, 1, 106, 0, 0, 43, 69);
INSERT INTO public.who_data VALUES (10014, 1045, 178538, 1, 2424, 43, 220);
INSERT INTO public.who_data VALUES (10015, 763, 219148, 7, 14165, 43, 100);
INSERT INTO public.who_data VALUES (10016, 1001, 147810, 56, 8085, 43, 187);
INSERT INTO public.who_data VALUES (10017, 307, 48255, 8, 1398, 43, 63);
INSERT INTO public.who_data VALUES (10018, 3, 5289, 0, 86, 43, 28);
INSERT INTO public.who_data VALUES (10019, 111, 1556, 3, 6, 43, 172);
INSERT INTO public.who_data VALUES (10020, 552, 33089, 8, 278, 43, 17);
INSERT INTO public.who_data VALUES (10021, 200, 10973, 18, 279, 43, 226);
INSERT INTO public.who_data VALUES (10022, 345, 127572, 8, 1974, 43, 236);
INSERT INTO public.who_data VALUES (10023, 0, 29, 0, 0, 43, 76);
INSERT INTO public.who_data VALUES (10024, 1, 644, 0, 1, 43, 30);
INSERT INTO public.who_data VALUES (10025, 0, 53, 0, 2, 43, 128);
INSERT INTO public.who_data VALUES (10026, 296, 38068, 2, 586, 43, 86);
INSERT INTO public.who_data VALUES (10027, 19408, 2701658, 589, 67049, 43, 140);
INSERT INTO public.who_data VALUES (10028, 145, 13970, 1, 74, 43, 44);
INSERT INTO public.who_data VALUES (10029, 46, 17241, 1, 122, 43, 113);
INSERT INTO public.who_data VALUES (10030, 53, 9694, 0, 66, 43, 29);
INSERT INTO public.who_data VALUES (10031, 3, 3841, 0, 125, 43, 125);
INSERT INTO public.who_data VALUES (10032, 2058, 238086, 22, 2750, 43, 131);
INSERT INTO public.who_data VALUES (10033, 24694, 1891581, 1083, 39878, 43, 46);
INSERT INTO public.who_data VALUES (10034, 0, 55461, 0, 336, 43, 10);
INSERT INTO public.who_data VALUES (10035, 130, 2928, 0, 11, 43, 205);
INSERT INTO public.who_data VALUES (10036, 717, 143494, 49, 5195, 43, 50);
INSERT INTO public.who_data VALUES (10037, 1, 29, 0, 0, 43, 20);
INSERT INTO public.who_data VALUES (10038, 1, 131, 0, 1, 43, 13);
INSERT INTO public.who_data VALUES (10039, 0, 8702, 0, 155, 43, 148);
INSERT INTO public.who_data VALUES (10040, 13, 7213, 0, 124, 43, 230);
INSERT INTO public.who_data VALUES (10041, 990, 142064, 44, 4972, 43, 190);
INSERT INTO public.who_data VALUES (10042, 0, 302, 0, 13, 43, 188);
INSERT INTO public.who_data VALUES (10043, 42, 13904, 0, 81, 43, 123);
INSERT INTO public.who_data VALUES (10044, 0, 2447, 0, 45, 43, 9);
INSERT INTO public.who_data VALUES (10045, 62, 6469, 1, 167, 43, 102);
INSERT INTO public.who_data VALUES (10046, 38, 10241, 1, 237, 43, 34);
INSERT INTO public.who_data VALUES (10047, 0, 26, 0, 0, 43, 212);
INSERT INTO public.who_data VALUES (10048, 658, 125557, 52, 3244, 43, 122);
INSERT INTO public.who_data VALUES (10049, 2716, 340459, 114, 10554, 43, 38);
INSERT INTO public.who_data VALUES (10050, 22, 5867, 0, 29, 43, 130);
INSERT INTO public.who_data VALUES (10051, 0, 10413417, 0, 150570, 43, 37);
INSERT INTO public.who_data VALUES (10052, 10617, 808340, 233, 23753, 43, 231);
INSERT INTO public.who_data VALUES (10053, 6251, 1274514, 85, 56018, 43, 107);
INSERT INTO public.who_data VALUES (10054, 669, 601424, 8, 12877, 43, 101);
INSERT INTO public.who_data VALUES (10055, 8227, 135884, 20, 2327, 43, 132);
INSERT INTO public.who_data VALUES (10056, 2, 391, 0, 25, 43, 176);
INSERT INTO public.who_data VALUES (10057, 7644, 473384, 48, 3605, 43, 200);
INSERT INTO public.who_data VALUES (10058, 17529, 2237890, 620, 77911, 43, 169);
INSERT INTO public.who_data VALUES (10059, 43, 13411, 1, 307, 43, 225);
INSERT INTO public.who_data VALUES (10060, 7855, 273154, 75, 3932, 43, 165);
INSERT INTO public.who_data VALUES (10061, 16, 2908, 3, 56, 43, 233);
INSERT INTO public.who_data VALUES (10062, 1092, 305163, 21, 3989, 43, 215);
INSERT INTO public.who_data VALUES (10063, 885, 208596, 0, 2845, 43, 177);
INSERT INTO public.who_data VALUES (10064, 221, 97954, 1, 1703, 43, 183);
INSERT INTO public.who_data VALUES (10065, 0, 0, 0, 0, 43, 203);
INSERT INTO public.who_data VALUES (10066, 321, 53221, 5, 1358, 43, 162);
INSERT INTO public.who_data VALUES (10067, 495, 153473, 2, 940, 43, 12);
INSERT INTO public.who_data VALUES (10068, 147, 82138, 2, 1367, 43, 24);
INSERT INTO public.who_data VALUES (10069, 0, 41, 0, 0, 43, 119);
INSERT INTO public.who_data VALUES (10070, 1237, 47782, 11, 801, 43, 39);
INSERT INTO public.who_data VALUES (10071, 5440, 210139, 17, 1570, 43, 26);
INSERT INTO public.who_data VALUES (10072, 0, 2577, 0, 50, 43, 59);
INSERT INTO public.who_data VALUES (10073, 0, 1800, 0, 83, 43, 77);
INSERT INTO public.who_data VALUES (10074, 487, 104002, 10, 1568, 43, 134);
INSERT INTO public.who_data VALUES (10075, 13, 2395, 0, 48, 43, 4);
INSERT INTO public.who_data VALUES (10076, 1640, 158182, 40, 2173, 43, 109);
INSERT INTO public.who_data VALUES (10077, 149, 47740, 6, 527, 43, 90);
INSERT INTO public.who_data VALUES (10078, 0, 17767, 0, 262, 43, 61);
INSERT INTO public.who_data VALUES (10079, 314, 7925, 5, 208, 43, 85);
INSERT INTO public.who_data VALUES (10080, 2643, 131108, 16, 537, 43, 49);
INSERT INTO public.who_data VALUES (10081, 52, 14040, 0, 49, 43, 208);
INSERT INTO public.who_data VALUES (10082, 32, 7427, 1, 286, 43, 166);
INSERT INTO public.who_data VALUES (10083, 191, 13967, 2, 230, 43, 64);
INSERT INTO public.who_data VALUES (10084, 0, 4, 0, 0, 43, 199);
INSERT INTO public.who_data VALUES (10085, 0, 6117, 0, 43, 43, 114);
INSERT INTO public.who_data VALUES (10086, 0, 15214, 0, 378, 43, 60);
INSERT INTO public.who_data VALUES (10087, 0, 539, 0, 10, 43, 68);
INSERT INTO public.who_data VALUES (10088, 187, 6232, 0, 56, 43, 158);
INSERT INTO public.who_data VALUES (10089, 13734, 1493569, 1044, 131031, 43, 52);
INSERT INTO public.who_data VALUES (10090, 0, 0, 0, 0, 43, 117);
INSERT INTO public.who_data VALUES (10091, 23, 1044, 0, 5, 43, 126);
INSERT INTO public.who_data VALUES (10092, 33, 1395, 0, 1, 43, 196);
INSERT INTO public.who_data VALUES (10093, 490, 52401, 3, 721, 43, 142);
INSERT INTO public.who_data VALUES (10094, 0, 13, 0, 1, 43, 185);
INSERT INTO public.who_data VALUES (10095, 1543, 450221, 40, 7685, 43, 138);
INSERT INTO public.who_data VALUES (10096, 521, 20482, 5, 181, 43, 181);
INSERT INTO public.who_data VALUES (10097, 711, 129483, 13, 2812, 43, 178);
INSERT INTO public.who_data VALUES (10098, 573, 27255, 0, 240, 43, 168);
INSERT INTO public.who_data VALUES (10099, 0, 0, 0, 0, 43, 160);
INSERT INTO public.who_data VALUES (10100, 554, 264159, 6, 1909, 43, 151);
INSERT INTO public.who_data VALUES (10101, 8119, 857844, 88, 12146, 43, 193);
INSERT INTO public.who_data VALUES (10102, 0, 40, 0, 0, 43, 18);
INSERT INTO public.who_data VALUES (10103, 0, 1832, 0, 25, 43, 40);
INSERT INTO public.who_data VALUES (10104, 0, 4867, 0, 166, 43, 218);
INSERT INTO public.who_data VALUES (10105, 0, 3322, 0, 104, 43, 191);
INSERT INTO public.who_data VALUES (10106, 1544, 97478, 12, 1342, 43, 156);
INSERT INTO public.who_data VALUES (10107, 0, 0, 0, 0, 43, 135);
INSERT INTO public.who_data VALUES (10108, 0, 125, 0, 2, 43, 88);
INSERT INTO public.who_data VALUES (10109, 100, 85594, 11, 2592, 43, 55);
INSERT INTO public.who_data VALUES (10110, 825, 53792, 4, 471, 43, 108);
INSERT INTO public.who_data VALUES (10111, 822, 164395, 23, 1707, 43, 48);
INSERT INTO public.who_data VALUES (10112, 0, 130070, 0, 1505, 43, 3);
INSERT INTO public.who_data VALUES (10113, 0, 745, 0, 13, 43, 224);
INSERT INTO public.who_data VALUES (10114, 2435, 497510, 47, 10558, 43, 110);
INSERT INTO public.who_data VALUES (10115, 0, 0, 0, 0, 43, 106);
INSERT INTO public.who_data VALUES (10116, 4135, 269091, 38, 4321, 43, 89);
INSERT INTO public.who_data VALUES (10117, 12, 811, 0, 9, 43, 121);
INSERT INTO public.who_data VALUES (10118, 1162, 112856, 15, 2352, 43, 163);
INSERT INTO public.who_data VALUES (10119, 2258, 1026690, 58, 38049, 43, 70);
INSERT INTO public.who_data VALUES (10120, 1769, 483852, 8, 9364, 43, 174);
INSERT INTO public.who_data VALUES (10121, 0, 0, 0, 0, 43, 175);
INSERT INTO public.who_data VALUES (10122, 10744, 1376389, 437, 31011, 43, 118);
INSERT INTO public.who_data VALUES (10123, 10176, 466709, 118, 7590, 43, 189);
INSERT INTO public.who_data VALUES (10124, 2169, 82067, 4, 1592, 43, 124);
INSERT INTO public.who_data VALUES (10125, 195, 145466, 1, 246, 43, 192);
INSERT INTO public.who_data VALUES (10126, 641, 67991, 19, 1100, 43, 41);
INSERT INTO public.who_data VALUES (10127, 375, 148669, 16, 3122, 43, 95);
INSERT INTO public.who_data VALUES (10128, 74, 9247, 0, 42, 43, 74);
INSERT INTO public.who_data VALUES (10129, 4821, 663779, 96, 16506, 43, 11);
INSERT INTO public.who_data VALUES (10130, 23309, 3379103, 470, 61381, 43, 87);
INSERT INTO public.who_data VALUES (10131, 0, 9058, 0, 112, 43, 214);
INSERT INTO public.who_data VALUES (10132, 0, 5, 0, 0, 43, 116);
INSERT INTO public.who_data VALUES (10133, 0, 191, 0, 0, 43, 157);
INSERT INTO public.who_data VALUES (10134, 0, 0, 0, 0, 43, 182);
INSERT INTO public.who_data VALUES (10135, 1, 34, 0, 0, 43, 186);
INSERT INTO public.who_data VALUES (10136, 1, 383, 0, 5, 43, 127);
INSERT INTO public.who_data VALUES (10137, 0, 1002, 0, 12, 43, 232);
INSERT INTO public.who_data VALUES (10138, 0, 16, 0, 0, 43, 33);
INSERT INTO public.who_data VALUES (10139, 55, 204, 0, 0, 43, 97);
INSERT INTO public.who_data VALUES (10140, 0, 2, 0, 0, 43, 42);
INSERT INTO public.who_data VALUES (10141, 45, 2628, 0, 64, 43, 198);
INSERT INTO public.who_data VALUES (10142, 19, 1054, 0, 17, 43, 216);
INSERT INTO public.who_data VALUES (10143, 97, 363582, 4, 6282, 43, 164);
INSERT INTO public.who_data VALUES (10144, 296, 20672, 8, 446, 43, 235);
INSERT INTO public.who_data VALUES (10145, 2218, 356125, 34, 3513, 43, 67);
INSERT INTO public.who_data VALUES (10146, 30, 448, 0, 1, 43, 15);
INSERT INTO public.who_data VALUES (10147, 25, 2782, 0, 77, 43, 180);
INSERT INTO public.who_data VALUES (10148, 23, 58836, 0, 29, 43, 237);
INSERT INTO public.who_data VALUES (10149, 0, 19, 0, 0, 43, 25);
INSERT INTO public.who_data VALUES (10150, 19, 1531, 0, 27, 43, 209);
INSERT INTO public.who_data VALUES (10151, 2980, 201164, 71, 2788, 43, 217);
INSERT INTO public.who_data VALUES (10152, 2081, 136766, 29, 3245, 43, 79);
INSERT INTO public.who_data VALUES (10153, 0, 17, 0, 0, 43, 143);
INSERT INTO public.who_data VALUES (10154, 0, 4726, 0, 130, 43, 229);
INSERT INTO public.who_data VALUES (10155, 21980, 1192570, 616, 32425, 43, 141);
INSERT INTO public.who_data VALUES (10156, 0, 3604, 0, 63, 43, 197);
INSERT INTO public.who_data VALUES (10157, 26168, 2164715, 186, 53523, 43, 221);
INSERT INTO public.who_data VALUES (10158, 525, 47305, 3, 222, 43, 150);
INSERT INTO public.who_data VALUES (10159, 0, 26279, 0, 1603, 43, 56);
INSERT INTO public.who_data VALUES (10160, 84, 6750, 4, 130, 43, 167);
INSERT INTO public.who_data VALUES (10161, 7152, 489380, 103, 10483, 43, 23);
INSERT INTO public.who_data VALUES (10162, 3049, 479833, 48, 7850, 43, 222);
INSERT INTO public.who_data VALUES (10163, 95, 12179, 8, 763, 43, 219);
INSERT INTO public.who_data VALUES (10164, 1, 13706, 0, 91, 43, 7);
INSERT INTO public.who_data VALUES (10165, 0, 9841, 0, 67, 43, 161);
INSERT INTO public.who_data VALUES (10166, 68053, 2957476, 1325, 79833, 43, 149);
INSERT INTO public.who_data VALUES (10167, 0, 49, 0, 0, 43, 6);
INSERT INTO public.who_data VALUES (10168, 38, 3845, 2, 72, 43, 139);
INSERT INTO public.who_data VALUES (10169, 0, 0, 0, 0, 43, 211);
INSERT INTO public.who_data VALUES (10170, 0, 0, 0, 0, 43, 14);
INSERT INTO public.who_data VALUES (10171, 14, 7210, 0, 127, 43, 111);
INSERT INTO public.who_data VALUES (10172, 2649, 154903, 56, 5108, 43, 207);
INSERT INTO public.who_data VALUES (10173, 11479, 2307581, 186, 22450, 43, 66);
INSERT INTO public.who_data VALUES (10174, 0, 0, 0, 0, 43, 173);
INSERT INTO public.who_data VALUES (10175, 15, 956, 0, 6, 43, 145);
INSERT INTO public.who_data VALUES (10176, 0, 0, 0, 0, 43, 65);
INSERT INTO public.who_data VALUES (10177, 222, 37296, 3, 300, 43, 184);
INSERT INTO public.who_data VALUES (10178, 4846, 1110015, 80, 19668, 43, 98);
INSERT INTO public.who_data VALUES (10179, 2950, 224704, 3, 697, 43, 104);
INSERT INTO public.who_data VALUES (10180, 0, 509, 0, 21, 43, 73);
INSERT INTO public.who_data VALUES (10181, 277195, 21447670, 4176, 362287, 43, 8);
INSERT INTO public.who_data VALUES (10182, 24, 2130, 0, 24, 43, 227);
INSERT INTO public.who_data VALUES (10183, 759, 23807, 10, 231, 43, 75);
INSERT INTO public.who_data VALUES (10184, 45, 77530, 0, 616, 43, 45);
INSERT INTO public.who_data VALUES (10185, 0, 1, 0, 0, 43, 133);
INSERT INTO public.who_data VALUES (10186, 414, 115322, 5, 1052, 43, 202);
INSERT INTO public.who_data VALUES (10187, 3, 1512, 0, 35, 43, 129);
INSERT INTO public.who_data VALUES (10188, 0, 4, 0, 0, 43, 36);
INSERT INTO public.who_data VALUES (10189, 0, 2108, 0, 611, 43, 51);
INSERT INTO public.who_data VALUES (10190, 1029, 25326, 18, 441, 43, 206);
INSERT INTO public.who_data VALUES (10191, 985, 19660, 22, 468, 43, 5);
INSERT INTO public.who_data VALUES (10192, 125, 53332, 4, 2257, 44, 103);
INSERT INTO public.who_data VALUES (10193, 697, 61705, 6, 1223, 44, 58);
INSERT INTO public.who_data VALUES (10194, 0, 101120, 0, 2786, 44, 195);
INSERT INTO public.who_data VALUES (10195, 0, 0, 0, 0, 44, 115);
INSERT INTO public.who_data VALUES (10196, 0, 8348, 0, 84, 44, 99);
INSERT INTO public.who_data VALUES (10197, 110, 17974, 0, 413, 44, 153);
INSERT INTO public.who_data VALUES (10198, 0, 15, 0, 0, 44, 93);
INSERT INTO public.who_data VALUES (10199, 3, 163, 0, 5, 44, 84);
INSERT INTO public.who_data VALUES (10200, 13441, 1676171, 191, 43976, 44, 78);
INSERT INTO public.who_data VALUES (10201, 361, 161415, 7, 2908, 44, 170);
INSERT INTO public.who_data VALUES (10202, 95, 5811, 0, 50, 44, 32);
INSERT INTO public.who_data VALUES (10203, 11, 28547, 0, 909, 44, 155);
INSERT INTO public.who_data VALUES (10204, 2006, 373663, 50, 6504, 44, 82);
INSERT INTO public.who_data VALUES (10205, 685, 222885, 27, 2845, 44, 16);
INSERT INTO public.who_data VALUES (10206, 14, 7959, 0, 175, 44, 72);
INSERT INTO public.who_data VALUES (10207, 349, 94633, 0, 353, 44, 43);
INSERT INTO public.who_data VALUES (10208, 1007, 519905, 31, 7718, 44, 120);
INSERT INTO public.who_data VALUES (10209, 51, 743, 0, 7, 44, 213);
INSERT INTO public.who_data VALUES (10210, 1838, 206796, 9, 1489, 44, 31);
INSERT INTO public.who_data VALUES (10211, 1981, 662171, 53, 19973, 44, 204);
INSERT INTO public.who_data VALUES (10212, 90, 11108, 2, 260, 44, 152);
INSERT INTO public.who_data VALUES (10213, 0, 3304, 0, 44, 44, 144);
INSERT INTO public.who_data VALUES (10214, 4, 636, 0, 11, 44, 96);
INSERT INTO public.who_data VALUES (10215, 12, 767, 0, 0, 44, 47);
INSERT INTO public.who_data VALUES (10216, 1713, 166981, 46, 9287, 44, 80);
INSERT INTO public.who_data VALUES (10217, 12, 249, 0, 3, 44, 159);
INSERT INTO public.who_data VALUES (10218, 250, 114402, 16, 4264, 44, 27);
INSERT INTO public.who_data VALUES (10219, 635, 15440, 3, 45, 44, 146);
INSERT INTO public.who_data VALUES (10220, 63430, 7873830, 1242, 198974, 44, 71);
INSERT INTO public.who_data VALUES (10221, 0, 107, 0, 1, 44, 210);
INSERT INTO public.who_data VALUES (10222, 1, 173, 0, 3, 44, 54);
INSERT INTO public.who_data VALUES (10223, 867, 207259, 56, 8017, 44, 147);
INSERT INTO public.who_data VALUES (10224, 150, 7713, 0, 89, 44, 2);
INSERT INTO public.who_data VALUES (10225, 0, 885, 0, 2, 44, 105);
INSERT INTO public.who_data VALUES (10226, 94, 12146, 0, 113, 44, 53);
INSERT INTO public.who_data VALUES (10227, 1, 386, 0, 0, 44, 81);
INSERT INTO public.who_data VALUES (10228, 0, 26848, 0, 448, 44, 223);
INSERT INTO public.who_data VALUES (10229, 8153, 626799, 136, 16369, 44, 94);
INSERT INTO public.who_data VALUES (10230, 6, 356, 0, 2, 44, 154);
INSERT INTO public.who_data VALUES (10231, 0, 4969, 0, 63, 44, 83);
INSERT INTO public.who_data VALUES (10232, 30, 2358, 0, 105, 44, 194);
INSERT INTO public.who_data VALUES (10233, 3693, 629176, 97, 16913, 44, 136);
INSERT INTO public.who_data VALUES (10234, 89, 97306, 0, 4795, 44, 179);
INSERT INTO public.who_data VALUES (10235, 16805, 1719771, 295, 44723, 44, 57);
INSERT INTO public.who_data VALUES (10236, 0, 864, 0, 13, 44, 35);
INSERT INTO public.who_data VALUES (10237, 0, 7160, 0, 100, 44, 228);
INSERT INTO public.who_data VALUES (10238, 0, 0, 0, 0, 44, 19);
INSERT INTO public.who_data VALUES (10239, 1447, 175038, 19, 2267, 44, 22);
INSERT INTO public.who_data VALUES (10240, 0, 22855, 0, 138, 44, 1);
INSERT INTO public.who_data VALUES (10241, 1098, 217946, 38, 4304, 44, 21);
INSERT INTO public.who_data VALUES (10242, 314, 13479, 0, 148, 44, 234);
INSERT INTO public.who_data VALUES (10243, 36, 4378, 1, 17, 44, 91);
INSERT INTO public.who_data VALUES (10244, 427, 26208, 2, 140, 44, 137);
INSERT INTO public.who_data VALUES (10245, 14861, 809601, 179, 12800, 44, 201);
INSERT INTO public.who_data VALUES (10246, 0, 0, 0, 0, 44, 171);
INSERT INTO public.who_data VALUES (10247, 333, 18485, 9, 610, 44, 92);
INSERT INTO public.who_data VALUES (10248, 1842, 176837, 37, 1487, 44, 112);
INSERT INTO public.who_data VALUES (10249, 2, 5857, 0, 61, 44, 62);
INSERT INTO public.who_data VALUES (10250, 0, 105, 0, 0, 44, 69);
INSERT INTO public.who_data VALUES (10251, 1115, 177493, 4, 2423, 44, 220);
INSERT INTO public.who_data VALUES (10252, 1008, 218385, 12, 14158, 44, 100);
INSERT INTO public.who_data VALUES (10253, 1219, 146809, 54, 8029, 44, 187);
INSERT INTO public.who_data VALUES (10254, 593, 47948, 17, 1390, 44, 63);
INSERT INTO public.who_data VALUES (10255, 0, 5286, 0, 86, 44, 28);
INSERT INTO public.who_data VALUES (10256, 0, 1445, 0, 3, 44, 172);
INSERT INTO public.who_data VALUES (10257, 786, 32537, 5, 270, 44, 17);
INSERT INTO public.who_data VALUES (10258, 234, 10773, 0, 261, 44, 226);
INSERT INTO public.who_data VALUES (10259, 441, 127227, 1, 1966, 44, 236);
INSERT INTO public.who_data VALUES (10260, 0, 29, 0, 0, 44, 76);
INSERT INTO public.who_data VALUES (10261, 3, 643, 0, 1, 44, 30);
INSERT INTO public.who_data VALUES (10262, 0, 53, 0, 2, 44, 128);
INSERT INTO public.who_data VALUES (10263, 223, 37772, 8, 584, 44, 86);
INSERT INTO public.who_data VALUES (10264, 21510, 2682250, 276, 66460, 44, 140);
INSERT INTO public.who_data VALUES (10265, 193, 13825, 0, 73, 44, 44);
INSERT INTO public.who_data VALUES (10266, 64, 17195, 0, 121, 44, 113);
INSERT INTO public.who_data VALUES (10267, 0, 9641, 0, 66, 44, 29);
INSERT INTO public.who_data VALUES (10268, 5, 3838, 0, 125, 44, 125);
INSERT INTO public.who_data VALUES (10269, 537, 236028, 34, 2728, 44, 131);
INSERT INTO public.who_data VALUES (10270, 31849, 1866887, 1188, 38795, 44, 46);
INSERT INTO public.who_data VALUES (10271, 293, 55461, 1, 336, 44, 10);
INSERT INTO public.who_data VALUES (10272, 172, 2798, 1, 11, 44, 205);
INSERT INTO public.who_data VALUES (10273, 510, 142777, 47, 5146, 44, 50);
INSERT INTO public.who_data VALUES (10274, 0, 28, 0, 0, 44, 20);
INSERT INTO public.who_data VALUES (10275, 0, 130, 0, 1, 44, 13);
INSERT INTO public.who_data VALUES (10276, 0, 8702, 0, 155, 44, 148);
INSERT INTO public.who_data VALUES (10277, 8, 7200, 1, 124, 44, 230);
INSERT INTO public.who_data VALUES (10278, 872, 141074, 29, 4928, 44, 190);
INSERT INTO public.who_data VALUES (10279, 1, 302, 0, 13, 44, 188);
INSERT INTO public.who_data VALUES (10280, 17, 13862, 0, 81, 44, 123);
INSERT INTO public.who_data VALUES (10281, 0, 2447, 0, 45, 44, 9);
INSERT INTO public.who_data VALUES (10282, 0, 6407, 0, 166, 44, 102);
INSERT INTO public.who_data VALUES (10283, 76, 10203, 0, 236, 44, 34);
INSERT INTO public.who_data VALUES (10284, 0, 26, 0, 0, 44, 212);
INSERT INTO public.who_data VALUES (10285, 1077, 124899, 6, 3192, 44, 122);
INSERT INTO public.who_data VALUES (10286, 2907, 337743, 115, 10440, 44, 38);
INSERT INTO public.who_data VALUES (10287, 13, 5845, 0, 29, 44, 130);
INSERT INTO public.who_data VALUES (10288, 18139, 10413417, 234, 150570, 44, 37);
INSERT INTO public.who_data VALUES (10289, 9321, 797723, 224, 23520, 44, 231);
INSERT INTO public.who_data VALUES (10290, 6360, 1268263, 103, 55933, 44, 107);
INSERT INTO public.who_data VALUES (10291, 790, 600755, 4, 12869, 44, 101);
INSERT INTO public.who_data VALUES (10292, 6503, 127657, 8, 2307, 44, 132);
INSERT INTO public.who_data VALUES (10293, 3, 389, 0, 25, 44, 176);
INSERT INTO public.who_data VALUES (10294, 7878, 465740, 44, 3557, 44, 200);
INSERT INTO public.who_data VALUES (10295, 18416, 2220361, 414, 77291, 44, 169);
INSERT INTO public.who_data VALUES (10296, 38, 13368, 0, 306, 44, 225);
INSERT INTO public.who_data VALUES (10297, 6906, 265299, 66, 3857, 44, 165);
INSERT INTO public.who_data VALUES (10298, 29, 2892, 2, 53, 44, 233);
INSERT INTO public.who_data VALUES (10299, 1215, 304071, 13, 3968, 44, 215);
INSERT INTO public.who_data VALUES (10300, 871, 207711, 0, 2845, 44, 177);
INSERT INTO public.who_data VALUES (10301, 335, 97733, 8, 1702, 44, 183);
INSERT INTO public.who_data VALUES (10302, 0, 0, 0, 0, 44, 203);
INSERT INTO public.who_data VALUES (10303, 309, 52900, 6, 1353, 44, 162);
INSERT INTO public.who_data VALUES (10304, 540, 152978, 0, 938, 44, 12);
INSERT INTO public.who_data VALUES (10305, 165, 81991, 2, 1365, 44, 24);
INSERT INTO public.who_data VALUES (10306, 0, 41, 0, 0, 44, 119);
INSERT INTO public.who_data VALUES (10307, 1374, 46545, 36, 790, 44, 39);
INSERT INTO public.who_data VALUES (10308, 4774, 204699, 16, 1553, 44, 26);
INSERT INTO public.who_data VALUES (10309, 0, 2577, 0, 50, 44, 59);
INSERT INTO public.who_data VALUES (10310, 0, 1800, 0, 83, 44, 77);
INSERT INTO public.who_data VALUES (10311, 635, 103515, 12, 1558, 44, 134);
INSERT INTO public.who_data VALUES (10312, 10, 2382, 2, 48, 44, 4);
INSERT INTO public.who_data VALUES (10313, 1994, 156542, 41, 2133, 44, 109);
INSERT INTO public.who_data VALUES (10314, 161, 47591, 4, 521, 44, 90);
INSERT INTO public.who_data VALUES (10315, 0, 17767, 0, 262, 44, 61);
INSERT INTO public.who_data VALUES (10316, 274, 7611, 4, 203, 44, 85);
INSERT INTO public.who_data VALUES (10317, 3027, 128465, 8, 521, 44, 49);
INSERT INTO public.who_data VALUES (10318, 21, 13988, 1, 49, 44, 208);
INSERT INTO public.who_data VALUES (10319, 0, 7395, 0, 285, 44, 166);
INSERT INTO public.who_data VALUES (10320, 164, 13776, 1, 228, 44, 64);
INSERT INTO public.who_data VALUES (10321, 0, 4, 0, 0, 44, 199);
INSERT INTO public.who_data VALUES (10322, 0, 6117, 0, 43, 44, 114);
INSERT INTO public.who_data VALUES (10323, 103, 15214, 5, 378, 44, 60);
INSERT INTO public.who_data VALUES (10324, 8, 539, 0, 10, 44, 68);
INSERT INTO public.who_data VALUES (10325, 0, 6045, 0, 56, 44, 158);
INSERT INTO public.who_data VALUES (10326, 13345, 1479835, 1165, 129987, 44, 52);
INSERT INTO public.who_data VALUES (10327, 0, 0, 0, 0, 44, 117);
INSERT INTO public.who_data VALUES (10328, 40, 1021, 1, 5, 44, 126);
INSERT INTO public.who_data VALUES (10329, 13, 1362, 0, 1, 44, 196);
INSERT INTO public.who_data VALUES (10330, 410, 51911, 6, 718, 44, 142);
INSERT INTO public.who_data VALUES (10331, 0, 13, 0, 1, 44, 185);
INSERT INTO public.who_data VALUES (10332, 1597, 448678, 27, 7645, 44, 138);
INSERT INTO public.who_data VALUES (10333, 294, 19961, 4, 176, 44, 181);
INSERT INTO public.who_data VALUES (10334, 594, 128772, 14, 2799, 44, 178);
INSERT INTO public.who_data VALUES (10335, 372, 26682, 5, 240, 44, 168);
INSERT INTO public.who_data VALUES (10336, 0, 0, 0, 0, 44, 160);
INSERT INTO public.who_data VALUES (10337, 412, 263605, 4, 1903, 44, 151);
INSERT INTO public.who_data VALUES (10338, 9682, 849725, 81, 12058, 44, 193);
INSERT INTO public.who_data VALUES (10339, 0, 40, 0, 0, 44, 18);
INSERT INTO public.who_data VALUES (10340, 0, 1832, 0, 25, 44, 40);
INSERT INTO public.who_data VALUES (10341, 0, 4867, 0, 166, 44, 218);
INSERT INTO public.who_data VALUES (10342, 0, 3322, 0, 104, 44, 191);
INSERT INTO public.who_data VALUES (10343, 1565, 95934, 6, 1330, 44, 156);
INSERT INTO public.who_data VALUES (10344, 0, 0, 0, 0, 44, 135);
INSERT INTO public.who_data VALUES (10345, 0, 125, 0, 2, 44, 88);
INSERT INTO public.who_data VALUES (10346, 166, 85494, 10, 2581, 44, 55);
INSERT INTO public.who_data VALUES (10347, 787, 52967, 1, 467, 44, 108);
INSERT INTO public.who_data VALUES (10348, 1251, 163573, 21, 1684, 44, 48);
INSERT INTO public.who_data VALUES (10349, 182, 130070, 1, 1505, 44, 3);
INSERT INTO public.who_data VALUES (10350, 0, 745, 0, 13, 44, 224);
INSERT INTO public.who_data VALUES (10351, 2481, 495075, 50, 10511, 44, 110);
INSERT INTO public.who_data VALUES (10352, 0, 0, 0, 0, 44, 106);
INSERT INTO public.who_data VALUES (10353, 5186, 264956, 45, 4283, 44, 89);
INSERT INTO public.who_data VALUES (10354, 0, 799, 0, 9, 44, 121);
INSERT INTO public.who_data VALUES (10355, 898, 111694, 16, 2337, 44, 163);
INSERT INTO public.who_data VALUES (10356, 2414, 1024432, 66, 37991, 44, 70);
INSERT INTO public.who_data VALUES (10357, 1346, 482083, 9, 9356, 44, 174);
INSERT INTO public.who_data VALUES (10358, 0, 0, 0, 0, 44, 175);
INSERT INTO public.who_data VALUES (10359, 8763, 1365645, 333, 30574, 44, 118);
INSERT INTO public.who_data VALUES (10360, 9927, 456533, 95, 7472, 44, 189);
INSERT INTO public.who_data VALUES (10361, 286, 79898, 18, 1588, 44, 124);
INSERT INTO public.who_data VALUES (10362, 210, 145271, 0, 245, 44, 192);
INSERT INTO public.who_data VALUES (10363, 674, 67350, 35, 1081, 44, 41);
INSERT INTO public.who_data VALUES (10364, 423, 148294, 18, 3106, 44, 95);
INSERT INTO public.who_data VALUES (10365, 0, 9173, 0, 42, 44, 74);
INSERT INTO public.who_data VALUES (10366, 4951, 658958, 111, 16410, 44, 11);
INSERT INTO public.who_data VALUES (10367, 23652, 3355794, 454, 60911, 44, 87);
INSERT INTO public.who_data VALUES (10368, 0, 9058, 0, 112, 44, 214);
INSERT INTO public.who_data VALUES (10369, 0, 5, 0, 0, 44, 116);
INSERT INTO public.who_data VALUES (10370, 0, 191, 0, 0, 44, 157);
INSERT INTO public.who_data VALUES (10371, 0, 0, 0, 0, 44, 182);
INSERT INTO public.who_data VALUES (10372, 0, 33, 0, 0, 44, 186);
INSERT INTO public.who_data VALUES (10373, 2, 382, 0, 5, 44, 127);
INSERT INTO public.who_data VALUES (10374, 0, 1002, 0, 12, 44, 232);
INSERT INTO public.who_data VALUES (10375, 0, 16, 0, 0, 44, 33);
INSERT INTO public.who_data VALUES (10376, 0, 149, 0, 0, 44, 97);
INSERT INTO public.who_data VALUES (10377, 0, 2, 0, 0, 44, 42);
INSERT INTO public.who_data VALUES (10378, 34, 2583, 2, 64, 44, 198);
INSERT INTO public.who_data VALUES (10379, 11, 1035, 0, 17, 44, 216);
INSERT INTO public.who_data VALUES (10380, 108, 363485, 6, 6278, 44, 164);
INSERT INTO public.who_data VALUES (10381, 220, 20376, 5, 438, 44, 235);
INSERT INTO public.who_data VALUES (10382, 1787, 353907, 35, 3479, 44, 67);
INSERT INTO public.who_data VALUES (10383, 45, 418, 0, 1, 44, 15);
INSERT INTO public.who_data VALUES (10384, 18, 2757, 1, 77, 44, 180);
INSERT INTO public.who_data VALUES (10385, 33, 58813, 0, 29, 44, 237);
INSERT INTO public.who_data VALUES (10386, 0, 19, 0, 0, 44, 25);
INSERT INTO public.who_data VALUES (10387, 8, 1512, 0, 27, 44, 209);
INSERT INTO public.who_data VALUES (10388, 2137, 198184, 60, 2717, 44, 217);
INSERT INTO public.who_data VALUES (10389, 2697, 134685, 24, 3216, 44, 79);
INSERT INTO public.who_data VALUES (10390, 0, 17, 0, 0, 44, 143);
INSERT INTO public.who_data VALUES (10391, 0, 4726, 0, 130, 44, 229);
INSERT INTO public.who_data VALUES (10392, 20999, 1170590, 441, 31809, 44, 141);
INSERT INTO public.who_data VALUES (10393, 0, 3604, 0, 63, 44, 197);
INSERT INTO public.who_data VALUES (10394, 14211, 2138547, 154, 53337, 44, 221);
INSERT INTO public.who_data VALUES (10395, 532, 46780, 0, 219, 44, 150);
INSERT INTO public.who_data VALUES (10396, 0, 26279, 0, 1603, 44, 56);
INSERT INTO public.who_data VALUES (10397, 80, 6666, 1, 126, 44, 167);
INSERT INTO public.who_data VALUES (10398, 5029, 482228, 82, 10380, 44, 23);
INSERT INTO public.who_data VALUES (10399, 3177, 476784, 60, 7802, 44, 222);
INSERT INTO public.who_data VALUES (10400, 96, 12084, 8, 755, 44, 219);
INSERT INTO public.who_data VALUES (10401, 4, 13705, 0, 91, 44, 7);
INSERT INTO public.who_data VALUES (10402, 205, 9841, 0, 67, 44, 161);
INSERT INTO public.who_data VALUES (10403, 52618, 2889423, 1162, 78508, 44, 149);
INSERT INTO public.who_data VALUES (10404, 0, 49, 0, 0, 44, 6);
INSERT INTO public.who_data VALUES (10405, 0, 3807, 0, 70, 44, 139);
INSERT INTO public.who_data VALUES (10406, 0, 0, 0, 0, 44, 211);
INSERT INTO public.who_data VALUES (10407, 0, 0, 0, 0, 44, 14);
INSERT INTO public.who_data VALUES (10408, 10, 7196, 0, 127, 44, 111);
INSERT INTO public.who_data VALUES (10409, 2373, 152254, 48, 5052, 44, 207);
INSERT INTO public.who_data VALUES (10410, 12171, 2296102, 194, 22264, 44, 66);
INSERT INTO public.who_data VALUES (10411, 0, 0, 0, 0, 44, 173);
INSERT INTO public.who_data VALUES (10412, 23, 941, 0, 6, 44, 145);
INSERT INTO public.who_data VALUES (10413, 0, 0, 0, 0, 44, 65);
INSERT INTO public.who_data VALUES (10414, 372, 37074, 3, 297, 44, 184);
INSERT INTO public.who_data VALUES (10415, 5676, 1105169, 83, 19588, 44, 98);
INSERT INTO public.who_data VALUES (10416, 2988, 221754, 5, 694, 44, 104);
INSERT INTO public.who_data VALUES (10417, 0, 509, 0, 21, 44, 73);
INSERT INTO public.who_data VALUES (10418, 299562, 21170475, 3825, 358111, 44, 8);
INSERT INTO public.who_data VALUES (10419, 23, 2106, 0, 24, 44, 227);
INSERT INTO public.who_data VALUES (10420, 944, 23048, 4, 221, 44, 75);
INSERT INTO public.who_data VALUES (10421, 73, 77485, 1, 616, 44, 45);
INSERT INTO public.who_data VALUES (10422, 0, 1, 0, 0, 44, 133);
INSERT INTO public.who_data VALUES (10423, 246, 114908, 5, 1047, 44, 202);
INSERT INTO public.who_data VALUES (10424, 4, 1509, 0, 35, 44, 129);
INSERT INTO public.who_data VALUES (10425, 0, 4, 0, 0, 44, 36);
INSERT INTO public.who_data VALUES (10426, 2, 2108, 0, 611, 44, 51);
INSERT INTO public.who_data VALUES (10427, 802, 24297, 6, 423, 44, 206);
INSERT INTO public.who_data VALUES (10428, 871, 18675, 15, 446, 44, 5);
INSERT INTO public.who_data VALUES (10429, 102, 53207, 9, 2253, 45, 103);
INSERT INTO public.who_data VALUES (10430, 725, 61008, 7, 1217, 45, 58);
INSERT INTO public.who_data VALUES (10431, 475, 101120, 9, 2786, 45, 195);
INSERT INTO public.who_data VALUES (10432, 0, 0, 0, 0, 45, 115);
INSERT INTO public.who_data VALUES (10433, 40, 8348, 0, 84, 45, 99);
INSERT INTO public.who_data VALUES (10434, 180, 17864, 5, 413, 45, 153);
INSERT INTO public.who_data VALUES (10435, 0, 15, 0, 0, 45, 93);
INSERT INTO public.who_data VALUES (10436, 0, 160, 0, 5, 45, 84);
INSERT INTO public.who_data VALUES (10437, 13790, 1662730, 151, 43785, 45, 78);
INSERT INTO public.who_data VALUES (10438, 201, 161054, 11, 2901, 45, 170);
INSERT INTO public.who_data VALUES (10439, 110, 5716, 1, 50, 45, 32);
INSERT INTO public.who_data VALUES (10440, 17, 28536, 0, 909, 45, 155);
INSERT INTO public.who_data VALUES (10441, 2877, 371657, 51, 6454, 45, 82);
INSERT INTO public.who_data VALUES (10442, 799, 222200, 26, 2818, 45, 16);
INSERT INTO public.who_data VALUES (10443, 17, 7945, 0, 175, 45, 72);
INSERT INTO public.who_data VALUES (10444, 289, 94284, 1, 353, 45, 43);
INSERT INTO public.who_data VALUES (10445, 978, 518898, 17, 7687, 45, 120);
INSERT INTO public.who_data VALUES (10446, 49, 692, 0, 7, 45, 213);
INSERT INTO public.who_data VALUES (10447, 1854, 204958, 9, 1480, 45, 31);
INSERT INTO public.who_data VALUES (10448, 2518, 660190, 55, 19920, 45, 204);
INSERT INTO public.who_data VALUES (10449, 80, 11018, 1, 258, 45, 152);
INSERT INTO public.who_data VALUES (10450, 0, 3304, 0, 44, 45, 144);
INSERT INTO public.who_data VALUES (10451, 8, 632, 1, 11, 45, 96);
INSERT INTO public.who_data VALUES (10452, 21, 755, 0, 0, 45, 47);
INSERT INTO public.who_data VALUES (10453, 1597, 165268, 22, 9241, 45, 80);
INSERT INTO public.who_data VALUES (10454, 12, 237, 0, 3, 45, 159);
INSERT INTO public.who_data VALUES (10455, 760, 114152, 37, 4248, 45, 27);
INSERT INTO public.who_data VALUES (10456, 0, 14805, 0, 42, 45, 146);
INSERT INTO public.who_data VALUES (10457, 56648, 7810400, 1171, 197732, 45, 71);
INSERT INTO public.who_data VALUES (10458, 0, 107, 0, 1, 45, 210);
INSERT INTO public.who_data VALUES (10459, 0, 172, 0, 3, 45, 54);
INSERT INTO public.who_data VALUES (10460, 1002, 206392, 59, 7961, 45, 147);
INSERT INTO public.who_data VALUES (10461, 437, 7563, 3, 89, 45, 2);
INSERT INTO public.who_data VALUES (10462, 43, 885, 0, 2, 45, 105);
INSERT INTO public.who_data VALUES (10463, 69, 12052, 0, 113, 45, 53);
INSERT INTO public.who_data VALUES (10464, 2, 385, 0, 0, 45, 81);
INSERT INTO public.who_data VALUES (10465, 0, 26848, 0, 448, 45, 223);
INSERT INTO public.who_data VALUES (10466, 7222, 618646, 159, 16233, 45, 94);
INSERT INTO public.who_data VALUES (10467, 3, 350, 0, 2, 45, 154);
INSERT INTO public.who_data VALUES (10468, 6, 4969, 0, 63, 45, 83);
INSERT INTO public.who_data VALUES (10469, 39, 2328, 0, 105, 45, 194);
INSERT INTO public.who_data VALUES (10470, 2382, 625483, 28, 16816, 45, 136);
INSERT INTO public.who_data VALUES (10471, 90, 97217, 1, 4795, 45, 179);
INSERT INTO public.who_data VALUES (10472, 16835, 1702966, 241, 44428, 45, 57);
INSERT INTO public.who_data VALUES (10473, 0, 864, 0, 13, 45, 35);
INSERT INTO public.who_data VALUES (10474, 960, 7160, 0, 100, 45, 228);
INSERT INTO public.who_data VALUES (10475, 0, 0, 0, 0, 45, 19);
INSERT INTO public.who_data VALUES (10476, 1155, 173591, 19, 2248, 45, 22);
INSERT INTO public.who_data VALUES (10477, 55, 22855, 0, 138, 45, 1);
INSERT INTO public.who_data VALUES (10478, 562, 216848, 43, 4266, 45, 21);
INSERT INTO public.who_data VALUES (10479, 201, 13165, 1, 148, 45, 234);
INSERT INTO public.who_data VALUES (10480, 19, 4342, 0, 16, 45, 91);
INSERT INTO public.who_data VALUES (10481, 573, 25781, 4, 138, 45, 137);
INSERT INTO public.who_data VALUES (10482, 17773, 794740, 185, 12621, 45, 201);
INSERT INTO public.who_data VALUES (10483, 0, 0, 0, 0, 45, 171);
INSERT INTO public.who_data VALUES (10484, 0, 18152, 0, 601, 45, 92);
INSERT INTO public.who_data VALUES (10485, 2216, 174995, 30, 1450, 45, 112);
INSERT INTO public.who_data VALUES (10486, 1, 5855, 0, 61, 45, 62);
INSERT INTO public.who_data VALUES (10487, 9, 105, 0, 0, 45, 69);
INSERT INTO public.who_data VALUES (10488, 529, 176378, 0, 2419, 45, 220);
INSERT INTO public.who_data VALUES (10489, 1294, 217377, 43, 14146, 45, 100);
INSERT INTO public.who_data VALUES (10490, 1007, 145590, 57, 7975, 45, 187);
INSERT INTO public.who_data VALUES (10491, 0, 47355, 0, 1373, 45, 63);
INSERT INTO public.who_data VALUES (10492, 7, 5286, 0, 86, 45, 28);
INSERT INTO public.who_data VALUES (10493, 0, 1445, 0, 3, 45, 172);
INSERT INTO public.who_data VALUES (10494, 1084, 31751, 4, 265, 45, 17);
INSERT INTO public.who_data VALUES (10495, 201, 10539, 9, 261, 45, 226);
INSERT INTO public.who_data VALUES (10496, 545, 126786, 2, 1965, 45, 236);
INSERT INTO public.who_data VALUES (10497, 0, 29, 0, 0, 45, 76);
INSERT INTO public.who_data VALUES (10498, 14, 640, 1, 1, 45, 30);
INSERT INTO public.who_data VALUES (10499, 4, 53, 0, 2, 45, 128);
INSERT INTO public.who_data VALUES (10500, 331, 37549, 0, 576, 45, 86);
INSERT INTO public.who_data VALUES (10501, 25189, 2660740, 282, 66184, 45, 140);
INSERT INTO public.who_data VALUES (10502, 135, 13632, 1, 73, 45, 44);
INSERT INTO public.who_data VALUES (10503, 43, 17131, 0, 121, 45, 113);
INSERT INTO public.who_data VALUES (10504, 36, 9641, 0, 66, 45, 29);
INSERT INTO public.who_data VALUES (10505, 21, 3833, 0, 125, 45, 125);
INSERT INTO public.who_data VALUES (10506, 1612, 235491, 28, 2694, 45, 131);
INSERT INTO public.who_data VALUES (10507, 26391, 1835038, 1070, 37607, 45, 46);
INSERT INTO public.who_data VALUES (10508, 0, 55168, 0, 335, 45, 10);
INSERT INTO public.who_data VALUES (10509, 113, 2626, 2, 10, 45, 205);
INSERT INTO public.who_data VALUES (10510, 814, 142267, 48, 5099, 45, 50);
INSERT INTO public.who_data VALUES (10511, 0, 28, 0, 0, 45, 20);
INSERT INTO public.who_data VALUES (10512, 0, 130, 0, 1, 45, 13);
INSERT INTO public.who_data VALUES (10513, 0, 8702, 0, 155, 45, 148);
INSERT INTO public.who_data VALUES (10514, 19, 7192, 0, 123, 45, 230);
INSERT INTO public.who_data VALUES (10515, 783, 140202, 40, 4899, 45, 190);
INSERT INTO public.who_data VALUES (10516, 1, 301, 0, 13, 45, 188);
INSERT INTO public.who_data VALUES (10517, 27, 13845, 0, 81, 45, 123);
INSERT INTO public.who_data VALUES (10518, 0, 2447, 0, 45, 45, 9);
INSERT INTO public.who_data VALUES (10519, 28, 6407, 0, 166, 45, 102);
INSERT INTO public.who_data VALUES (10520, 0, 10127, 0, 236, 45, 34);
INSERT INTO public.who_data VALUES (10521, 0, 26, 0, 0, 45, 212);
INSERT INTO public.who_data VALUES (10522, 424, 123822, 5, 3186, 45, 122);
INSERT INTO public.who_data VALUES (10523, 3068, 334836, 127, 10325, 45, 38);
INSERT INTO public.who_data VALUES (10524, 21, 5832, 0, 29, 45, 130);
INSERT INTO public.who_data VALUES (10525, 20346, 10395278, 222, 150336, 45, 37);
INSERT INTO public.who_data VALUES (10526, 8854, 788402, 187, 23296, 45, 231);
INSERT INTO public.who_data VALUES (10527, 6283, 1261903, 82, 55830, 45, 107);
INSERT INTO public.who_data VALUES (10528, 839, 599965, 9, 12865, 45, 101);
INSERT INTO public.who_data VALUES (10529, 7832, 121154, 17, 2299, 45, 132);
INSERT INTO public.who_data VALUES (10530, 6, 386, 0, 25, 45, 176);
INSERT INTO public.who_data VALUES (10531, 8236, 457862, 24, 3513, 45, 200);
INSERT INTO public.who_data VALUES (10532, 20326, 2201945, 548, 76877, 45, 169);
INSERT INTO public.who_data VALUES (10533, 84, 13330, 1, 306, 45, 225);
INSERT INTO public.who_data VALUES (10534, 6076, 258393, 72, 3791, 45, 165);
INSERT INTO public.who_data VALUES (10535, 21, 2863, 4, 51, 45, 233);
INSERT INTO public.who_data VALUES (10536, 1553, 302856, 15, 3955, 45, 215);
INSERT INTO public.who_data VALUES (10537, 907, 206840, 0, 2845, 45, 177);
INSERT INTO public.who_data VALUES (10538, 271, 97398, 4, 1694, 45, 183);
INSERT INTO public.who_data VALUES (10539, 0, 0, 0, 0, 45, 203);
INSERT INTO public.who_data VALUES (10540, 301, 52591, 2, 1347, 45, 162);
INSERT INTO public.who_data VALUES (10541, 411, 152438, 0, 938, 45, 12);
INSERT INTO public.who_data VALUES (10542, 170, 81826, 2, 1363, 45, 24);
INSERT INTO public.who_data VALUES (10543, 0, 41, 0, 0, 45, 119);
INSERT INTO public.who_data VALUES (10544, 1229, 45171, 32, 754, 45, 39);
INSERT INTO public.who_data VALUES (10545, 4166, 199925, 21, 1537, 45, 26);
INSERT INTO public.who_data VALUES (10546, 0, 2577, 0, 50, 45, 59);
INSERT INTO public.who_data VALUES (10547, 0, 1800, 0, 83, 45, 77);
INSERT INTO public.who_data VALUES (10548, 424, 102880, 10, 1546, 45, 134);
INSERT INTO public.who_data VALUES (10549, 10, 2372, 0, 46, 45, 4);
INSERT INTO public.who_data VALUES (10550, 2334, 154548, 43, 2092, 45, 109);
INSERT INTO public.who_data VALUES (10551, 282, 47430, 3, 517, 45, 90);
INSERT INTO public.who_data VALUES (10552, 0, 17767, 0, 262, 45, 61);
INSERT INTO public.who_data VALUES (10553, 227, 7337, 0, 199, 45, 85);
INSERT INTO public.who_data VALUES (10554, 2593, 125438, 4, 513, 45, 49);
INSERT INTO public.who_data VALUES (10555, 37, 13967, 0, 48, 45, 208);
INSERT INTO public.who_data VALUES (10556, 135, 7395, 6, 285, 45, 166);
INSERT INTO public.who_data VALUES (10557, 224, 13612, 1, 227, 45, 64);
INSERT INTO public.who_data VALUES (10558, 0, 4, 0, 0, 45, 199);
INSERT INTO public.who_data VALUES (10559, 0, 6117, 0, 43, 45, 114);
INSERT INTO public.who_data VALUES (10560, 130, 15111, 6, 373, 45, 60);
INSERT INTO public.who_data VALUES (10561, 0, 531, 0, 10, 45, 68);
INSERT INTO public.who_data VALUES (10562, 0, 6045, 0, 56, 45, 158);
INSERT INTO public.who_data VALUES (10563, 11271, 1466490, 1065, 128822, 45, 52);
INSERT INTO public.who_data VALUES (10564, 0, 0, 0, 0, 45, 117);
INSERT INTO public.who_data VALUES (10565, 31, 981, 0, 4, 45, 126);
INSERT INTO public.who_data VALUES (10566, 41, 1349, 0, 1, 45, 196);
INSERT INTO public.who_data VALUES (10567, 479, 51501, 7, 712, 45, 142);
INSERT INTO public.who_data VALUES (10568, 0, 13, 0, 1, 45, 185);
INSERT INTO public.who_data VALUES (10569, 1642, 447081, 37, 7618, 45, 138);
INSERT INTO public.who_data VALUES (10570, 204, 19667, 1, 172, 45, 181);
INSERT INTO public.who_data VALUES (10571, 596, 128178, 19, 2785, 45, 178);
INSERT INTO public.who_data VALUES (10572, 423, 26310, 13, 235, 45, 168);
INSERT INTO public.who_data VALUES (10573, 0, 0, 0, 0, 45, 160);
INSERT INTO public.who_data VALUES (10574, 409, 263193, 6, 1899, 45, 151);
INSERT INTO public.who_data VALUES (10575, 7100, 840043, 175, 11977, 45, 193);
INSERT INTO public.who_data VALUES (10576, 0, 40, 0, 0, 45, 18);
INSERT INTO public.who_data VALUES (10577, 4, 1832, 0, 25, 45, 40);
INSERT INTO public.who_data VALUES (10578, 0, 4867, 0, 166, 45, 218);
INSERT INTO public.who_data VALUES (10579, 0, 3322, 0, 104, 45, 191);
INSERT INTO public.who_data VALUES (10580, 1664, 94369, 5, 1324, 45, 156);
INSERT INTO public.who_data VALUES (10581, 0, 0, 0, 0, 45, 135);
INSERT INTO public.who_data VALUES (10582, 0, 125, 0, 2, 45, 88);
INSERT INTO public.who_data VALUES (10583, 619, 85328, 12, 2571, 45, 55);
INSERT INTO public.who_data VALUES (10584, 940, 52180, 14, 466, 45, 108);
INSERT INTO public.who_data VALUES (10585, 1088, 162322, 14, 1663, 45, 48);
INSERT INTO public.who_data VALUES (10586, 114, 129888, 2, 1504, 45, 3);
INSERT INTO public.who_data VALUES (10587, 0, 745, 0, 13, 45, 224);
INSERT INTO public.who_data VALUES (10588, 2118, 492594, 52, 10461, 45, 110);
INSERT INTO public.who_data VALUES (10589, 0, 0, 0, 0, 45, 106);
INSERT INTO public.who_data VALUES (10590, 3540, 259770, 41, 4238, 45, 89);
INSERT INTO public.who_data VALUES (10591, 0, 799, 0, 9, 45, 121);
INSERT INTO public.who_data VALUES (10592, 959, 110796, 16, 2321, 45, 163);
INSERT INTO public.who_data VALUES (10593, 960, 1022018, 52, 37925, 45, 70);
INSERT INTO public.who_data VALUES (10594, 1044, 480737, 26, 9347, 45, 174);
INSERT INTO public.who_data VALUES (10595, 0, 0, 0, 0, 45, 175);
INSERT INTO public.who_data VALUES (10596, 12119, 1356882, 186, 30241, 45, 118);
INSERT INTO public.who_data VALUES (10597, 10027, 446606, 91, 7377, 45, 189);
INSERT INTO public.who_data VALUES (10598, 293, 79612, 8, 1570, 45, 124);
INSERT INTO public.who_data VALUES (10599, 209, 145061, 0, 245, 45, 192);
INSERT INTO public.who_data VALUES (10600, 869, 66676, 19, 1046, 45, 41);
INSERT INTO public.who_data VALUES (10601, 950, 147871, 18, 3088, 45, 95);
INSERT INTO public.who_data VALUES (10602, 55, 9173, 0, 42, 45, 74);
INSERT INTO public.who_data VALUES (10603, 5719, 654007, 121, 16299, 45, 11);
INSERT INTO public.who_data VALUES (10604, 23541, 3332142, 506, 60457, 45, 87);
INSERT INTO public.who_data VALUES (10605, 210, 9058, 7, 112, 45, 214);
INSERT INTO public.who_data VALUES (10606, 0, 5, 0, 0, 45, 116);
INSERT INTO public.who_data VALUES (10607, 0, 191, 0, 0, 45, 157);
INSERT INTO public.who_data VALUES (10608, 0, 0, 0, 0, 45, 182);
INSERT INTO public.who_data VALUES (10609, 0, 33, 0, 0, 45, 186);
INSERT INTO public.who_data VALUES (10610, 20, 380, 0, 5, 45, 127);
INSERT INTO public.who_data VALUES (10611, 0, 1002, 0, 12, 45, 232);
INSERT INTO public.who_data VALUES (10612, 0, 16, 0, 0, 45, 33);
INSERT INTO public.who_data VALUES (10613, 16, 149, 0, 0, 45, 97);
INSERT INTO public.who_data VALUES (10614, 0, 2, 0, 0, 45, 42);
INSERT INTO public.who_data VALUES (10615, 0, 2549, 0, 62, 45, 198);
INSERT INTO public.who_data VALUES (10616, 0, 1024, 0, 17, 45, 216);
INSERT INTO public.who_data VALUES (10617, 118, 363377, 7, 6272, 45, 164);
INSERT INTO public.who_data VALUES (10618, 192, 20156, 5, 433, 45, 235);
INSERT INTO public.who_data VALUES (10619, 2882, 352120, 39, 3444, 45, 67);
INSERT INTO public.who_data VALUES (10620, 27, 373, 0, 1, 45, 15);
INSERT INTO public.who_data VALUES (10621, 15, 2739, 0, 76, 45, 180);
INSERT INTO public.who_data VALUES (10622, 31, 58780, 0, 29, 45, 237);
INSERT INTO public.who_data VALUES (10623, 0, 19, 0, 0, 45, 25);
INSERT INTO public.who_data VALUES (10624, 39, 1504, 0, 27, 45, 209);
INSERT INTO public.who_data VALUES (10625, 4959, 196047, 54, 2657, 45, 217);
INSERT INTO public.who_data VALUES (10626, 3428, 131988, 37, 3192, 45, 79);
INSERT INTO public.who_data VALUES (10627, 0, 17, 0, 0, 45, 143);
INSERT INTO public.who_data VALUES (10628, 12, 4726, 0, 130, 45, 229);
INSERT INTO public.who_data VALUES (10629, 21832, 1149591, 844, 31368, 45, 141);
INSERT INTO public.who_data VALUES (10630, 15, 3604, 0, 63, 45, 197);
INSERT INTO public.who_data VALUES (10631, 30023, 2124336, 197, 53183, 45, 221);
INSERT INTO public.who_data VALUES (10632, 522, 46248, 2, 219, 45, 150);
INSERT INTO public.who_data VALUES (10633, 0, 26279, 0, 1603, 45, 56);
INSERT INTO public.who_data VALUES (10634, 93, 6586, 1, 125, 45, 167);
INSERT INTO public.who_data VALUES (10635, 7546, 477199, 93, 10298, 45, 23);
INSERT INTO public.who_data VALUES (10636, 3348, 473607, 59, 7742, 45, 222);
INSERT INTO public.who_data VALUES (10637, 98, 11988, 6, 747, 45, 219);
INSERT INTO public.who_data VALUES (10638, 6, 13701, 0, 91, 45, 7);
INSERT INTO public.who_data VALUES (10639, 305, 9636, 1, 67, 45, 161);
INSERT INTO public.who_data VALUES (10640, 62322, 2836805, 1041, 77346, 45, 149);
INSERT INTO public.who_data VALUES (10641, 0, 49, 0, 0, 45, 6);
INSERT INTO public.who_data VALUES (10642, 85, 3807, 1, 70, 45, 139);
INSERT INTO public.who_data VALUES (10643, 0, 0, 0, 0, 45, 211);
INSERT INTO public.who_data VALUES (10644, 0, 0, 0, 0, 45, 14);
INSERT INTO public.who_data VALUES (10645, 8, 7186, 0, 127, 45, 111);
INSERT INTO public.who_data VALUES (10646, 2820, 149881, 70, 5004, 45, 207);
INSERT INTO public.who_data VALUES (10647, 13830, 2283931, 191, 22070, 45, 66);
INSERT INTO public.who_data VALUES (10648, 0, 0, 0, 0, 45, 173);
INSERT INTO public.who_data VALUES (10649, 8, 918, 0, 6, 45, 145);
INSERT INTO public.who_data VALUES (10650, 0, 0, 0, 0, 45, 65);
INSERT INTO public.who_data VALUES (10651, 652, 36702, 20, 294, 45, 184);
INSERT INTO public.who_data VALUES (10652, 8997, 1099493, 148, 19505, 45, 98);
INSERT INTO public.who_data VALUES (10653, 2067, 218766, 4, 689, 45, 104);
INSERT INTO public.who_data VALUES (10654, 0, 509, 0, 21, 45, 73);
INSERT INTO public.who_data VALUES (10655, 227369, 20870913, 3533, 354286, 45, 8);
INSERT INTO public.who_data VALUES (10656, 28, 2083, 0, 24, 45, 227);
INSERT INTO public.who_data VALUES (10657, 678, 22104, 6, 217, 45, 75);
INSERT INTO public.who_data VALUES (10658, 62, 77412, 0, 615, 45, 45);
INSERT INTO public.who_data VALUES (10659, 0, 1, 0, 0, 45, 133);
INSERT INTO public.who_data VALUES (10660, 255, 114662, 4, 1042, 45, 202);
INSERT INTO public.who_data VALUES (10661, 1, 1505, 0, 35, 45, 129);
INSERT INTO public.who_data VALUES (10662, 0, 4, 0, 0, 45, 36);
INSERT INTO public.who_data VALUES (10663, 1, 2106, 0, 611, 45, 51);
INSERT INTO public.who_data VALUES (10664, 850, 23495, 5, 417, 45, 206);
INSERT INTO public.who_data VALUES (10665, 610, 17804, 13, 431, 45, 5);
INSERT INTO public.who_data VALUES (10666, 94, 53105, 7, 2244, 46, 103);
INSERT INTO public.who_data VALUES (10667, 660, 60283, 11, 1210, 46, 58);
INSERT INTO public.who_data VALUES (10668, 0, 100645, 0, 2777, 46, 195);
INSERT INTO public.who_data VALUES (10669, 0, 0, 0, 0, 46, 115);
INSERT INTO public.who_data VALUES (10670, 59, 8308, 0, 84, 46, 99);
INSERT INTO public.who_data VALUES (10671, 0, 17684, 0, 408, 46, 153);
INSERT INTO public.who_data VALUES (10672, 0, 15, 0, 0, 46, 93);
INSERT INTO public.who_data VALUES (10673, 0, 160, 0, 5, 46, 84);
INSERT INTO public.who_data VALUES (10674, 8222, 1648940, 152, 43634, 46, 78);
INSERT INTO public.who_data VALUES (10675, 309, 160853, 12, 2890, 46, 170);
INSERT INTO public.who_data VALUES (10676, 42, 5606, 0, 49, 46, 32);
INSERT INTO public.who_data VALUES (10677, 15, 28519, 0, 909, 46, 155);
INSERT INTO public.who_data VALUES (10678, 2255, 368780, 77, 6403, 46, 82);
INSERT INTO public.who_data VALUES (10679, 802, 221401, 31, 2792, 46, 16);
INSERT INTO public.who_data VALUES (10680, 4, 7928, 0, 175, 46, 72);
INSERT INTO public.who_data VALUES (10681, 229, 93995, 0, 352, 46, 43);
INSERT INTO public.who_data VALUES (10682, 991, 517920, 20, 7670, 46, 120);
INSERT INTO public.who_data VALUES (10683, 37, 643, 0, 7, 46, 213);
INSERT INTO public.who_data VALUES (10684, 1273, 203104, 10, 1471, 46, 31);
INSERT INTO public.who_data VALUES (10685, 2823, 657672, 63, 19865, 46, 204);
INSERT INTO public.who_data VALUES (10686, 37, 10938, 7, 257, 46, 152);
INSERT INTO public.who_data VALUES (10687, 53, 3304, 0, 44, 46, 144);
INSERT INTO public.who_data VALUES (10688, 2, 624, 0, 10, 46, 96);
INSERT INTO public.who_data VALUES (10689, 0, 734, 0, 0, 46, 47);
INSERT INTO public.who_data VALUES (10690, 1010, 163671, 18, 9219, 46, 80);
INSERT INTO public.who_data VALUES (10691, 8, 225, 0, 3, 46, 159);
INSERT INTO public.who_data VALUES (10692, 564, 113392, 32, 4211, 46, 27);
INSERT INTO public.who_data VALUES (10693, 0, 14805, 0, 42, 46, 146);
INSERT INTO public.who_data VALUES (10694, 20006, 7753752, 543, 196561, 46, 71);
INSERT INTO public.who_data VALUES (10695, 10, 107, 0, 1, 46, 210);
INSERT INTO public.who_data VALUES (10696, 0, 172, 0, 3, 46, 54);
INSERT INTO public.who_data VALUES (10697, 1310, 205390, 67, 7902, 46, 147);
INSERT INTO public.who_data VALUES (10698, 0, 7126, 0, 86, 46, 2);
INSERT INTO public.who_data VALUES (10699, 0, 842, 0, 2, 46, 105);
INSERT INTO public.who_data VALUES (10700, 34, 11983, 0, 113, 46, 53);
INSERT INTO public.who_data VALUES (10701, 1, 383, 0, 0, 46, 81);
INSERT INTO public.who_data VALUES (10702, 0, 26848, 0, 448, 46, 223);
INSERT INTO public.who_data VALUES (10703, 9761, 611424, 209, 16074, 46, 94);
INSERT INTO public.who_data VALUES (10704, 9, 347, 0, 2, 46, 154);
INSERT INTO public.who_data VALUES (10705, 0, 4963, 0, 63, 46, 83);
INSERT INTO public.who_data VALUES (10706, 60, 2289, 1, 105, 46, 194);
INSERT INTO public.who_data VALUES (10707, 2460, 623101, 21, 16788, 46, 136);
INSERT INTO public.who_data VALUES (10708, 66, 97127, 0, 4794, 46, 179);
INSERT INTO public.who_data VALUES (10709, 10311, 1686131, 222, 44187, 46, 57);
INSERT INTO public.who_data VALUES (10710, 0, 864, 0, 13, 46, 35);
INSERT INTO public.who_data VALUES (10711, 0, 6200, 0, 100, 46, 228);
INSERT INTO public.who_data VALUES (10712, 0, 0, 0, 0, 46, 19);
INSERT INTO public.who_data VALUES (10713, 717, 172436, 11, 2229, 46, 22);
INSERT INTO public.who_data VALUES (10714, 152, 22800, 0, 138, 46, 1);
INSERT INTO public.who_data VALUES (10715, 1896, 216286, 44, 4223, 46, 21);
INSERT INTO public.who_data VALUES (10716, 224, 12964, 0, 147, 46, 234);
INSERT INTO public.who_data VALUES (10717, 6, 4323, 0, 16, 46, 91);
INSERT INTO public.who_data VALUES (10718, 569, 25208, 1, 134, 46, 137);
INSERT INTO public.who_data VALUES (10719, 17332, 776967, 179, 12436, 46, 201);
INSERT INTO public.who_data VALUES (10720, 0, 0, 0, 0, 46, 171);
INSERT INTO public.who_data VALUES (10721, 155, 18152, 5, 601, 46, 92);
INSERT INTO public.who_data VALUES (10722, 1992, 172779, 31, 1420, 46, 112);
INSERT INTO public.who_data VALUES (10723, 8, 5854, 0, 61, 46, 62);
INSERT INTO public.who_data VALUES (10724, 0, 96, 0, 0, 46, 69);
INSERT INTO public.who_data VALUES (10725, 2518, 175849, 1, 2419, 46, 220);
INSERT INTO public.who_data VALUES (10726, 1003, 216083, 34, 14103, 46, 100);
INSERT INTO public.who_data VALUES (10727, 1119, 144583, 55, 7918, 46, 187);
INSERT INTO public.who_data VALUES (10728, 268, 47355, 9, 1373, 46, 63);
INSERT INTO public.who_data VALUES (10729, 0, 5279, 0, 86, 46, 28);
INSERT INTO public.who_data VALUES (10730, 82, 1445, 0, 3, 46, 172);
INSERT INTO public.who_data VALUES (10731, 717, 30667, 4, 261, 46, 17);
INSERT INTO public.who_data VALUES (10732, 200, 10338, 8, 252, 46, 226);
INSERT INTO public.who_data VALUES (10733, 322, 126241, 13, 1963, 46, 236);
INSERT INTO public.who_data VALUES (10734, 0, 29, 0, 0, 46, 76);
INSERT INTO public.who_data VALUES (10735, 4, 626, 0, 0, 46, 30);
INSERT INTO public.who_data VALUES (10736, 0, 49, 0, 2, 46, 128);
INSERT INTO public.who_data VALUES (10737, 299, 37218, 11, 576, 46, 86);
INSERT INTO public.who_data VALUES (10738, 20366, 2635551, 867, 65902, 46, 140);
INSERT INTO public.who_data VALUES (10739, 123, 13497, 0, 72, 46, 44);
INSERT INTO public.who_data VALUES (10740, 100, 17088, 0, 121, 46, 113);
INSERT INTO public.who_data VALUES (10741, 0, 9605, 0, 66, 46, 29);
INSERT INTO public.who_data VALUES (10742, 6, 3812, 0, 125, 46, 125);
INSERT INTO public.who_data VALUES (10743, 1800, 233879, 20, 2666, 46, 131);
INSERT INTO public.who_data VALUES (10744, 21237, 1808647, 1019, 36537, 46, 46);
INSERT INTO public.who_data VALUES (10745, 0, 55168, 0, 335, 46, 10);
INSERT INTO public.who_data VALUES (10746, 107, 2513, 0, 8, 46, 205);
INSERT INTO public.who_data VALUES (10747, 927, 141453, 40, 5051, 46, 50);
INSERT INTO public.who_data VALUES (10748, 1, 28, 0, 0, 46, 20);
INSERT INTO public.who_data VALUES (10749, 0, 130, 0, 1, 46, 13);
INSERT INTO public.who_data VALUES (10750, 0, 8702, 0, 155, 46, 148);
INSERT INTO public.who_data VALUES (10751, 10, 7173, 0, 123, 46, 230);
INSERT INTO public.who_data VALUES (10752, 763, 139419, 24, 4859, 46, 190);
INSERT INTO public.who_data VALUES (10753, 0, 300, 0, 13, 46, 188);
INSERT INTO public.who_data VALUES (10754, 19, 13818, 0, 81, 46, 123);
INSERT INTO public.who_data VALUES (10755, 0, 2447, 0, 45, 46, 9);
INSERT INTO public.who_data VALUES (10756, 21, 6379, 2, 166, 46, 102);
INSERT INTO public.who_data VALUES (10757, 0, 10127, 0, 236, 46, 34);
INSERT INTO public.who_data VALUES (10758, 0, 26, 0, 0, 46, 212);
INSERT INTO public.who_data VALUES (10759, 29, 123398, 1, 3181, 46, 122);
INSERT INTO public.who_data VALUES (10760, 2047, 331768, 118, 10198, 46, 38);
INSERT INTO public.who_data VALUES (10761, 16, 5811, 0, 29, 46, 130);
INSERT INTO public.who_data VALUES (10762, 18088, 10374932, 264, 150114, 46, 37);
INSERT INTO public.who_data VALUES (10763, 7445, 779548, 198, 23109, 46, 231);
INSERT INTO public.who_data VALUES (10764, 6113, 1255620, 98, 55748, 46, 107);
INSERT INTO public.who_data VALUES (10765, 757, 599126, 12, 12856, 46, 101);
INSERT INTO public.who_data VALUES (10766, 5325, 113322, 17, 2282, 46, 132);
INSERT INTO public.who_data VALUES (10767, 0, 380, 0, 25, 46, 176);
INSERT INTO public.who_data VALUES (10768, 8405, 449626, 38, 3489, 46, 200);
INSERT INTO public.who_data VALUES (10769, 15375, 2181619, 649, 76329, 46, 169);
INSERT INTO public.who_data VALUES (10770, 43, 13246, 1, 305, 46, 225);
INSERT INTO public.who_data VALUES (10771, 4357, 252317, 64, 3719, 46, 165);
INSERT INTO public.who_data VALUES (10772, 21, 2842, 3, 47, 46, 233);
INSERT INTO public.who_data VALUES (10773, 1472, 301303, 21, 3940, 46, 215);
INSERT INTO public.who_data VALUES (10774, 869, 205933, 0, 2845, 46, 177);
INSERT INTO public.who_data VALUES (10775, 219, 97127, 4, 1690, 46, 183);
INSERT INTO public.who_data VALUES (10776, 0, 0, 0, 0, 46, 203);
INSERT INTO public.who_data VALUES (10777, 199, 52290, 4, 1345, 46, 162);
INSERT INTO public.who_data VALUES (10778, 312, 152027, 0, 938, 46, 12);
INSERT INTO public.who_data VALUES (10779, 144, 81656, 1, 1361, 46, 24);
INSERT INTO public.who_data VALUES (10780, 0, 41, 0, 0, 46, 119);
INSERT INTO public.who_data VALUES (10781, 824, 43942, 30, 722, 46, 39);
INSERT INTO public.who_data VALUES (10782, 3620, 195759, 17, 1516, 46, 26);
INSERT INTO public.who_data VALUES (10783, 0, 2577, 0, 50, 46, 59);
INSERT INTO public.who_data VALUES (10784, 0, 1800, 0, 83, 46, 77);
INSERT INTO public.who_data VALUES (10785, 481, 102456, 10, 1536, 46, 134);
INSERT INTO public.who_data VALUES (10786, 30, 2362, 0, 46, 46, 4);
INSERT INTO public.who_data VALUES (10787, 2717, 152214, 34, 2049, 46, 109);
INSERT INTO public.who_data VALUES (10788, 163, 47148, 6, 514, 46, 90);
INSERT INTO public.who_data VALUES (10789, 0, 17767, 0, 262, 46, 61);
INSERT INTO public.who_data VALUES (10790, 175, 7110, 3, 199, 46, 85);
INSERT INTO public.who_data VALUES (10791, 2027, 122845, 8, 509, 46, 49);
INSERT INTO public.who_data VALUES (10792, 37, 13930, 0, 48, 46, 208);
INSERT INTO public.who_data VALUES (10793, 0, 7260, 0, 279, 46, 166);
INSERT INTO public.who_data VALUES (10794, 158, 13388, 4, 226, 46, 64);
INSERT INTO public.who_data VALUES (10795, 0, 4, 0, 0, 46, 199);
INSERT INTO public.who_data VALUES (10796, 0, 6117, 0, 43, 46, 114);
INSERT INTO public.who_data VALUES (10797, 617, 14981, 20, 367, 46, 60);
INSERT INTO public.who_data VALUES (10798, 0, 531, 0, 10, 46, 68);
INSERT INTO public.who_data VALUES (10799, 0, 6045, 0, 56, 46, 158);
INSERT INTO public.who_data VALUES (10800, 6464, 1455219, 544, 127757, 46, 52);
INSERT INTO public.who_data VALUES (10801, 0, 0, 0, 0, 46, 117);
INSERT INTO public.who_data VALUES (10802, 30, 950, 0, 4, 46, 126);
INSERT INTO public.who_data VALUES (10803, 22, 1308, 1, 1, 46, 196);
INSERT INTO public.who_data VALUES (10804, 497, 51022, 6, 705, 46, 142);
INSERT INTO public.who_data VALUES (10805, 0, 13, 0, 1, 46, 185);
INSERT INTO public.who_data VALUES (10806, 1637, 445439, 43, 7581, 46, 138);
INSERT INTO public.who_data VALUES (10807, 0, 19463, 0, 171, 46, 181);
INSERT INTO public.who_data VALUES (10808, 647, 127582, 22, 2766, 46, 178);
INSERT INTO public.who_data VALUES (10809, 501, 25887, 4, 222, 46, 168);
INSERT INTO public.who_data VALUES (10810, 0, 0, 0, 0, 46, 160);
INSERT INTO public.who_data VALUES (10811, 522, 262784, 8, 1893, 46, 151);
INSERT INTO public.who_data VALUES (10812, 6379, 832943, 152, 11802, 46, 193);
INSERT INTO public.who_data VALUES (10813, 0, 40, 0, 0, 46, 18);
INSERT INTO public.who_data VALUES (10814, 0, 1828, 0, 25, 46, 40);
INSERT INTO public.who_data VALUES (10815, 38, 4867, 1, 166, 46, 218);
INSERT INTO public.who_data VALUES (10816, 0, 3322, 0, 104, 46, 191);
INSERT INTO public.who_data VALUES (10817, 1421, 92705, 1, 1319, 46, 156);
INSERT INTO public.who_data VALUES (10818, 0, 0, 0, 0, 46, 135);
INSERT INTO public.who_data VALUES (10819, 0, 125, 0, 2, 46, 88);
INSERT INTO public.who_data VALUES (10820, 580, 84709, 9, 2559, 46, 55);
INSERT INTO public.who_data VALUES (10821, 525, 51240, 3, 452, 46, 108);
INSERT INTO public.who_data VALUES (10822, 1191, 161234, 20, 1649, 46, 48);
INSERT INTO public.who_data VALUES (10823, 190, 129774, 0, 1502, 46, 3);
INSERT INTO public.who_data VALUES (10824, 0, 745, 0, 13, 46, 224);
INSERT INTO public.who_data VALUES (10825, 1947, 490476, 59, 10409, 46, 110);
INSERT INTO public.who_data VALUES (10826, 0, 0, 0, 0, 46, 106);
INSERT INTO public.who_data VALUES (10827, 2494, 256230, 57, 4197, 46, 89);
INSERT INTO public.who_data VALUES (10828, 0, 799, 0, 9, 46, 121);
INSERT INTO public.who_data VALUES (10829, 764, 109837, 13, 2305, 46, 163);
INSERT INTO public.who_data VALUES (10830, 1583, 1021058, 43, 37873, 46, 70);
INSERT INTO public.who_data VALUES (10831, 932, 479693, 58, 9321, 46, 174);
INSERT INTO public.who_data VALUES (10832, 0, 0, 0, 0, 46, 175);
INSERT INTO public.who_data VALUES (10833, 14220, 1344763, 553, 30055, 46, 118);
INSERT INTO public.who_data VALUES (10834, 4956, 436579, 90, 7286, 46, 189);
INSERT INTO public.who_data VALUES (10835, 514, 79319, 7, 1562, 46, 124);
INSERT INTO public.who_data VALUES (10836, 208, 144852, 0, 245, 46, 192);
INSERT INTO public.who_data VALUES (10837, 838, 65807, 20, 1027, 46, 41);
INSERT INTO public.who_data VALUES (10838, 612, 146921, 16, 3070, 46, 95);
INSERT INTO public.who_data VALUES (10839, 0, 9118, 0, 42, 46, 74);
INSERT INTO public.who_data VALUES (10840, 4729, 648288, 121, 16178, 46, 11);
INSERT INTO public.who_data VALUES (10841, 24217, 3308601, 445, 59951, 46, 87);
INSERT INTO public.who_data VALUES (10842, 0, 8848, 0, 105, 46, 214);
INSERT INTO public.who_data VALUES (10843, 0, 5, 0, 0, 46, 116);
INSERT INTO public.who_data VALUES (10844, 0, 191, 0, 0, 46, 157);
INSERT INTO public.who_data VALUES (10845, 0, 0, 0, 0, 46, 182);
INSERT INTO public.who_data VALUES (10846, 0, 33, 0, 0, 46, 186);
INSERT INTO public.who_data VALUES (10847, 7, 360, 0, 5, 46, 127);
INSERT INTO public.who_data VALUES (10848, 0, 1002, 0, 12, 46, 232);
INSERT INTO public.who_data VALUES (10849, 0, 16, 0, 0, 46, 33);
INSERT INTO public.who_data VALUES (10850, 9, 133, 0, 0, 46, 97);
INSERT INTO public.who_data VALUES (10851, 0, 2, 0, 0, 46, 42);
INSERT INTO public.who_data VALUES (10852, 56, 2549, 0, 62, 46, 198);
INSERT INTO public.who_data VALUES (10853, 0, 1024, 0, 17, 46, 216);
INSERT INTO public.who_data VALUES (10854, 104, 363259, 9, 6265, 46, 164);
INSERT INTO public.who_data VALUES (10855, 161, 19964, 4, 428, 46, 235);
INSERT INTO public.who_data VALUES (10856, 2653, 349238, 41, 3405, 46, 67);
INSERT INTO public.who_data VALUES (10857, 24, 346, 0, 1, 46, 15);
INSERT INTO public.who_data VALUES (10858, 51, 2724, 0, 76, 46, 180);
INSERT INTO public.who_data VALUES (10859, 28, 58749, 0, 29, 46, 237);
INSERT INTO public.who_data VALUES (10860, 0, 19, 0, 0, 46, 25);
INSERT INTO public.who_data VALUES (10861, 3, 1465, 0, 27, 46, 209);
INSERT INTO public.who_data VALUES (10862, 2989, 191088, 82, 2603, 46, 217);
INSERT INTO public.who_data VALUES (10863, 2600, 128560, 30, 3155, 46, 79);
INSERT INTO public.who_data VALUES (10864, 0, 17, 0, 0, 46, 143);
INSERT INTO public.who_data VALUES (10865, 0, 4714, 0, 130, 46, 229);
INSERT INTO public.who_data VALUES (10866, 14410, 1127759, 513, 30524, 46, 141);
INSERT INTO public.who_data VALUES (10867, 0, 3589, 0, 63, 46, 197);
INSERT INTO public.who_data VALUES (10868, 21516, 2094313, 151, 52986, 46, 221);
INSERT INTO public.who_data VALUES (10869, 484, 45726, 2, 217, 46, 150);
INSERT INTO public.who_data VALUES (10870, 0, 26279, 0, 1603, 46, 56);
INSERT INTO public.who_data VALUES (10871, 100, 6493, 1, 124, 46, 167);
INSERT INTO public.who_data VALUES (10872, 6984, 469653, 86, 10205, 46, 23);
INSERT INTO public.who_data VALUES (10873, 4163, 470259, 64, 7683, 46, 222);
INSERT INTO public.who_data VALUES (10874, 91, 11890, 7, 741, 46, 219);
INSERT INTO public.who_data VALUES (10875, 9, 13695, 0, 91, 46, 7);
INSERT INTO public.who_data VALUES (10876, 365, 9331, 1, 66, 46, 161);
INSERT INTO public.who_data VALUES (10877, 60916, 2774483, 874, 76305, 46, 149);
INSERT INTO public.who_data VALUES (10878, 5, 49, 0, 0, 46, 6);
INSERT INTO public.who_data VALUES (10879, 0, 3722, 0, 69, 46, 139);
INSERT INTO public.who_data VALUES (10880, 0, 0, 0, 0, 46, 211);
INSERT INTO public.who_data VALUES (10881, 0, 0, 0, 0, 46, 14);
INSERT INTO public.who_data VALUES (10882, 10, 7178, 0, 127, 46, 111);
INSERT INTO public.who_data VALUES (10883, 2265, 147061, 72, 4934, 46, 207);
INSERT INTO public.who_data VALUES (10884, 14494, 2270101, 194, 21879, 46, 66);
INSERT INTO public.who_data VALUES (10885, 0, 0, 0, 0, 46, 173);
INSERT INTO public.who_data VALUES (10886, 0, 910, 0, 6, 46, 145);
INSERT INTO public.who_data VALUES (10887, 0, 0, 0, 0, 46, 65);
INSERT INTO public.who_data VALUES (10888, 0, 36050, 0, 274, 46, 184);
INSERT INTO public.who_data VALUES (10889, 6911, 1090496, 228, 19357, 46, 98);
INSERT INTO public.who_data VALUES (10890, 1967, 216699, 3, 685, 46, 104);
INSERT INTO public.who_data VALUES (10891, 0, 509, 0, 21, 46, 73);
INSERT INTO public.who_data VALUES (10892, 173375, 20643544, 1791, 350753, 46, 8);
INSERT INTO public.who_data VALUES (10893, 13, 2055, 1, 24, 46, 227);
INSERT INTO public.who_data VALUES (10894, 603, 21426, 7, 211, 46, 75);
INSERT INTO public.who_data VALUES (10895, 55, 77350, 1, 615, 46, 45);
INSERT INTO public.who_data VALUES (10896, 0, 1, 0, 0, 46, 133);
INSERT INTO public.who_data VALUES (10897, 177, 114407, 4, 1038, 46, 202);
INSERT INTO public.who_data VALUES (10898, 7, 1504, 0, 35, 46, 129);
INSERT INTO public.who_data VALUES (10899, 0, 4, 0, 0, 46, 36);
INSERT INTO public.who_data VALUES (10900, 0, 2105, 0, 611, 46, 51);
INSERT INTO public.who_data VALUES (10901, 652, 22645, 14, 412, 46, 206);
INSERT INTO public.who_data VALUES (10902, 1365, 17194, 34, 418, 46, 5);
INSERT INTO public.who_data VALUES (10903, 102, 53011, 7, 2237, 47, 103);
INSERT INTO public.who_data VALUES (10904, 185, 59623, 6, 1199, 47, 58);
INSERT INTO public.who_data VALUES (10905, 486, 100645, 8, 2777, 47, 195);
INSERT INTO public.who_data VALUES (10906, 0, 0, 0, 0, 47, 115);
INSERT INTO public.who_data VALUES (10907, 57, 8249, 0, 84, 47, 99);
INSERT INTO public.who_data VALUES (10908, 42, 17684, 0, 408, 47, 153);
INSERT INTO public.who_data VALUES (10909, 0, 15, 0, 0, 47, 93);
INSERT INTO public.who_data VALUES (10910, 1, 160, 0, 5, 47, 84);
INSERT INTO public.who_data VALUES (10911, 5884, 1640718, 107, 43482, 47, 78);
INSERT INTO public.who_data VALUES (10912, 324, 160544, 14, 2878, 47, 170);
INSERT INTO public.who_data VALUES (10913, 122, 5564, 0, 49, 47, 32);
INSERT INTO public.who_data VALUES (10914, 21, 28504, 0, 909, 47, 155);
INSERT INTO public.who_data VALUES (10915, 1951, 366525, 73, 6326, 47, 82);
INSERT INTO public.who_data VALUES (10916, 334, 220599, 28, 2761, 47, 16);
INSERT INTO public.who_data VALUES (10917, 10, 7924, 0, 175, 47, 72);
INSERT INTO public.who_data VALUES (10918, 288, 93766, 0, 352, 47, 43);
INSERT INTO public.who_data VALUES (10919, 910, 516929, 24, 7650, 47, 120);
INSERT INTO public.who_data VALUES (10920, 211, 606, 0, 7, 47, 213);
INSERT INTO public.who_data VALUES (10921, 1869, 201831, 10, 1461, 47, 31);
INSERT INTO public.who_data VALUES (10922, 3122, 654849, 58, 19802, 47, 204);
INSERT INTO public.who_data VALUES (10923, 94, 10901, 1, 250, 47, 152);
INSERT INTO public.who_data VALUES (10924, 0, 3251, 0, 44, 47, 144);
INSERT INTO public.who_data VALUES (10925, 0, 622, 0, 10, 47, 96);
INSERT INTO public.who_data VALUES (10926, 18, 734, 0, 0, 47, 47);
INSERT INTO public.who_data VALUES (10927, 606, 162661, 15, 9201, 47, 80);
INSERT INTO public.who_data VALUES (10928, 52, 217, 0, 3, 47, 159);
INSERT INTO public.who_data VALUES (10929, 183, 112828, 48, 4179, 47, 27);
INSERT INTO public.who_data VALUES (10930, 0, 14805, 0, 42, 47, 146);
INSERT INTO public.who_data VALUES (10931, 17341, 7733746, 293, 196018, 47, 71);
INSERT INTO public.who_data VALUES (10932, 4, 97, 0, 1, 47, 210);
INSERT INTO public.who_data VALUES (10933, 0, 172, 0, 3, 47, 54);
INSERT INTO public.who_data VALUES (10934, 1029, 204080, 157, 7835, 47, 147);
INSERT INTO public.who_data VALUES (10935, 75, 7126, 0, 86, 47, 2);
INSERT INTO public.who_data VALUES (10936, 0, 842, 0, 2, 47, 105);
INSERT INTO public.who_data VALUES (10937, 29, 11949, 0, 113, 47, 53);
INSERT INTO public.who_data VALUES (10938, 0, 382, 0, 0, 47, 81);
INSERT INTO public.who_data VALUES (10939, 0, 26848, 0, 448, 47, 223);
INSERT INTO public.who_data VALUES (10940, 6578, 601663, 41, 15865, 47, 94);
INSERT INTO public.who_data VALUES (10941, 0, 338, 0, 2, 47, 154);
INSERT INTO public.who_data VALUES (10942, 0, 4963, 0, 63, 47, 83);
INSERT INTO public.who_data VALUES (10943, 16, 2229, 0, 104, 47, 194);
INSERT INTO public.who_data VALUES (10944, 2450, 620641, 0, 16767, 47, 136);
INSERT INTO public.who_data VALUES (10945, 89, 97061, 3, 4794, 47, 179);
INSERT INTO public.who_data VALUES (10946, 9412, 1675820, 200, 43965, 47, 57);
INSERT INTO public.who_data VALUES (10947, 0, 864, 0, 13, 47, 35);
INSERT INTO public.who_data VALUES (10948, 0, 6200, 0, 100, 47, 228);
INSERT INTO public.who_data VALUES (10949, 0, 0, 0, 0, 47, 19);
INSERT INTO public.who_data VALUES (10950, 589, 171719, 13, 2218, 47, 22);
INSERT INTO public.who_data VALUES (10951, 398, 22648, 1, 138, 47, 1);
INSERT INTO public.who_data VALUES (10952, 1071, 214390, 53, 4179, 47, 21);
INSERT INTO public.who_data VALUES (10953, 316, 12740, 0, 147, 47, 234);
INSERT INTO public.who_data VALUES (10954, 87, 4317, 2, 16, 47, 91);
INSERT INTO public.who_data VALUES (10955, 665, 24639, 2, 133, 47, 137);
INSERT INTO public.who_data VALUES (10956, 12921, 759635, 187, 12257, 47, 201);
INSERT INTO public.who_data VALUES (10957, 0, 0, 0, 0, 47, 171);
INSERT INTO public.who_data VALUES (10958, 0, 17997, 0, 596, 47, 92);
INSERT INTO public.who_data VALUES (10959, 2076, 170787, 15, 1389, 47, 112);
INSERT INTO public.who_data VALUES (10960, 4, 5846, 0, 61, 47, 62);
INSERT INTO public.who_data VALUES (10961, 0, 96, 0, 0, 47, 69);
INSERT INTO public.who_data VALUES (10962, 0, 173331, 0, 2418, 47, 220);
INSERT INTO public.who_data VALUES (10963, 466, 215080, 10, 14069, 47, 100);
INSERT INTO public.who_data VALUES (10964, 1277, 143464, 58, 7863, 47, 187);
INSERT INTO public.who_data VALUES (10965, 284, 47087, 6, 1364, 47, 63);
INSERT INTO public.who_data VALUES (10966, 2, 5279, 0, 86, 47, 28);
INSERT INTO public.who_data VALUES (10967, 43, 1363, 0, 3, 47, 172);
INSERT INTO public.who_data VALUES (10968, 429, 29950, 6, 257, 47, 17);
INSERT INTO public.who_data VALUES (10969, 195, 10138, 13, 244, 47, 226);
INSERT INTO public.who_data VALUES (10970, 297, 125919, 2, 1950, 47, 236);
INSERT INTO public.who_data VALUES (10971, 0, 29, 0, 0, 47, 76);
INSERT INTO public.who_data VALUES (10972, 2, 622, 0, 0, 47, 30);
INSERT INTO public.who_data VALUES (10973, 0, 49, 0, 2, 47, 128);
INSERT INTO public.who_data VALUES (10974, 147, 36919, 4, 565, 47, 86);
INSERT INTO public.who_data VALUES (10975, 3569, 2615185, 376, 65035, 47, 140);
INSERT INTO public.who_data VALUES (10976, 101, 13374, 1, 72, 47, 44);
INSERT INTO public.who_data VALUES (10977, 62, 16988, 7, 121, 47, 113);
INSERT INTO public.who_data VALUES (10978, 34, 9605, 2, 66, 47, 29);
INSERT INTO public.who_data VALUES (10979, 4, 3806, 1, 125, 47, 125);
INSERT INTO public.who_data VALUES (10980, 2316, 232079, 18, 2646, 47, 131);
INSERT INTO public.who_data VALUES (10981, 11897, 1787410, 944, 35518, 47, 46);
INSERT INTO public.who_data VALUES (10982, 0, 55168, 0, 335, 47, 10);
INSERT INTO public.who_data VALUES (10983, 102, 2406, 1, 8, 47, 205);
INSERT INTO public.who_data VALUES (10984, 427, 140526, 54, 5011, 47, 50);
INSERT INTO public.who_data VALUES (10985, 0, 27, 0, 0, 47, 20);
INSERT INTO public.who_data VALUES (10986, 0, 130, 0, 1, 47, 13);
INSERT INTO public.who_data VALUES (10987, 82, 8702, 0, 155, 47, 148);
INSERT INTO public.who_data VALUES (10988, 14, 7163, 0, 123, 47, 230);
INSERT INTO public.who_data VALUES (10989, 181, 138656, 2, 4835, 47, 190);
INSERT INTO public.who_data VALUES (10990, 1, 300, 0, 13, 47, 188);
INSERT INTO public.who_data VALUES (10991, 15, 13799, 0, 81, 47, 123);
INSERT INTO public.who_data VALUES (10992, 0, 2447, 0, 45, 47, 9);
INSERT INTO public.who_data VALUES (10993, 0, 6358, 0, 164, 47, 102);
INSERT INTO public.who_data VALUES (10994, 0, 10127, 0, 236, 47, 34);
INSERT INTO public.who_data VALUES (10995, 0, 26, 0, 0, 47, 212);
INSERT INTO public.who_data VALUES (10996, 225, 123369, 7, 3180, 47, 122);
INSERT INTO public.who_data VALUES (10997, 870, 329721, 103, 10080, 47, 38);
INSERT INTO public.who_data VALUES (10998, 0, 5795, 0, 29, 47, 130);
INSERT INTO public.who_data VALUES (10999, 16375, 10356844, 201, 149850, 47, 37);
INSERT INTO public.who_data VALUES (11000, 6753, 772103, 177, 22911, 47, 231);
INSERT INTO public.who_data VALUES (11001, 6073, 1249507, 110, 55650, 47, 107);
INSERT INTO public.who_data VALUES (11002, 595, 598369, 10, 12844, 47, 101);
INSERT INTO public.who_data VALUES (11003, 6110, 107997, 6, 2265, 47, 132);
INSERT INTO public.who_data VALUES (11004, 0, 380, 0, 25, 47, 176);
INSERT INTO public.who_data VALUES (11005, 5230, 441221, 24, 3451, 47, 200);
INSERT INTO public.who_data VALUES (11006, 10798, 2166244, 348, 75680, 47, 169);
INSERT INTO public.who_data VALUES (11007, 154, 13203, 0, 304, 47, 225);
INSERT INTO public.who_data VALUES (11008, 4113, 247960, 56, 3655, 47, 165);
INSERT INTO public.who_data VALUES (11009, 61, 2821, 0, 44, 47, 233);
INSERT INTO public.who_data VALUES (11010, 1623, 299831, 16, 3919, 47, 215);
INSERT INTO public.who_data VALUES (11011, 771, 205064, 0, 2845, 47, 177);
INSERT INTO public.who_data VALUES (11012, 106, 96908, 1, 1686, 47, 183);
INSERT INTO public.who_data VALUES (11013, 0, 0, 0, 0, 47, 203);
INSERT INTO public.who_data VALUES (11014, 169, 52091, 7, 1341, 47, 162);
INSERT INTO public.who_data VALUES (11015, 372, 151715, 1, 938, 47, 12);
INSERT INTO public.who_data VALUES (11016, 124, 81512, 0, 1360, 47, 24);
INSERT INTO public.who_data VALUES (11017, 0, 41, 0, 0, 47, 119);
INSERT INTO public.who_data VALUES (11018, 621, 43118, 12, 692, 47, 39);
INSERT INTO public.who_data VALUES (11019, 2861, 192139, 13, 1499, 47, 26);
INSERT INTO public.who_data VALUES (11020, 0, 2577, 0, 50, 47, 59);
INSERT INTO public.who_data VALUES (11021, 0, 1800, 0, 83, 47, 77);
INSERT INTO public.who_data VALUES (11022, 561, 101975, 16, 1526, 47, 134);
INSERT INTO public.who_data VALUES (11023, 31, 2332, 2, 46, 47, 4);
INSERT INTO public.who_data VALUES (11024, 1510, 149497, 40, 2015, 47, 109);
INSERT INTO public.who_data VALUES (11025, 66, 46985, 2, 508, 47, 90);
INSERT INTO public.who_data VALUES (11026, 0, 17767, 0, 262, 47, 61);
INSERT INTO public.who_data VALUES (11027, 91, 6935, 1, 196, 47, 85);
INSERT INTO public.who_data VALUES (11028, 1741, 120818, 7, 501, 47, 49);
INSERT INTO public.who_data VALUES (11029, 26, 13893, 0, 48, 47, 208);
INSERT INTO public.who_data VALUES (11030, 7, 7260, 1, 279, 47, 166);
INSERT INTO public.who_data VALUES (11031, 233, 13230, 2, 222, 47, 64);
INSERT INTO public.who_data VALUES (11032, 0, 4, 0, 0, 47, 199);
INSERT INTO public.who_data VALUES (11033, 26, 6117, 0, 43, 47, 114);
INSERT INTO public.who_data VALUES (11034, 0, 14364, 0, 347, 47, 60);
INSERT INTO public.who_data VALUES (11035, 4, 531, 0, 10, 47, 68);
INSERT INTO public.who_data VALUES (11036, 155, 6045, 1, 56, 47, 158);
INSERT INTO public.who_data VALUES (11037, 5211, 1448755, 362, 127213, 47, 52);
INSERT INTO public.who_data VALUES (11038, 0, 0, 0, 0, 47, 117);
INSERT INTO public.who_data VALUES (11039, 10, 920, 0, 4, 47, 126);
INSERT INTO public.who_data VALUES (11040, 23, 1286, 0, 0, 47, 196);
INSERT INTO public.who_data VALUES (11041, 526, 50525, 7, 699, 47, 142);
INSERT INTO public.who_data VALUES (11042, 0, 13, 0, 1, 47, 185);
INSERT INTO public.who_data VALUES (11043, 656, 443802, 53, 7538, 47, 138);
INSERT INTO public.who_data VALUES (11044, 154, 19463, 2, 171, 47, 181);
INSERT INTO public.who_data VALUES (11045, 590, 126935, 16, 2744, 47, 178);
INSERT INTO public.who_data VALUES (11046, 270, 25386, 3, 218, 47, 168);
INSERT INTO public.who_data VALUES (11047, 0, 0, 0, 0, 47, 160);
INSERT INTO public.who_data VALUES (11048, 403, 262262, 7, 1885, 47, 151);
INSERT INTO public.who_data VALUES (11049, 6637, 826564, 65, 11650, 47, 193);
INSERT INTO public.who_data VALUES (11050, 0, 40, 0, 0, 47, 18);
INSERT INTO public.who_data VALUES (11051, 3, 1828, 0, 25, 47, 40);
INSERT INTO public.who_data VALUES (11052, 0, 4829, 0, 165, 47, 218);
INSERT INTO public.who_data VALUES (11053, 114, 3322, 2, 104, 47, 191);
INSERT INTO public.who_data VALUES (11054, 1204, 91284, 7, 1318, 47, 156);
INSERT INTO public.who_data VALUES (11055, 0, 0, 0, 0, 47, 135);
INSERT INTO public.who_data VALUES (11056, 1, 125, 0, 2, 47, 88);
INSERT INTO public.who_data VALUES (11057, 105, 84129, 20, 2550, 47, 55);
INSERT INTO public.who_data VALUES (11058, 2437, 50715, 13, 449, 47, 108);
INSERT INTO public.who_data VALUES (11059, 1009, 160043, 20, 1629, 47, 48);
INSERT INTO public.who_data VALUES (11060, 180, 129584, 1, 1502, 47, 3);
INSERT INTO public.who_data VALUES (11061, 0, 745, 0, 13, 47, 224);
INSERT INTO public.who_data VALUES (11062, 1895, 488529, 39, 10350, 47, 110);
INSERT INTO public.who_data VALUES (11063, 0, 0, 0, 0, 47, 106);
INSERT INTO public.who_data VALUES (11064, 1972, 253736, 37, 4140, 47, 89);
INSERT INTO public.who_data VALUES (11065, 0, 799, 0, 9, 47, 121);
INSERT INTO public.who_data VALUES (11066, 355, 109073, 13, 2292, 47, 163);
INSERT INTO public.who_data VALUES (11067, 1376, 1019475, 57, 37830, 47, 70);
INSERT INTO public.who_data VALUES (11068, 954, 478761, 6, 9263, 47, 174);
INSERT INTO public.who_data VALUES (11069, 0, 0, 0, 0, 47, 175);
INSERT INTO public.who_data VALUES (11070, 7596, 1330543, 341, 29502, 47, 118);
INSERT INTO public.who_data VALUES (11071, 4369, 431623, 78, 7196, 47, 189);
INSERT INTO public.who_data VALUES (11072, 636, 78805, 10, 1555, 47, 124);
INSERT INTO public.who_data VALUES (11073, 207, 144644, 0, 245, 47, 192);
INSERT INTO public.who_data VALUES (11074, 714, 64969, 26, 1007, 47, 41);
INSERT INTO public.who_data VALUES (11075, 436, 146309, 17, 3054, 47, 95);
INSERT INTO public.who_data VALUES (11076, 81, 9118, 0, 42, 47, 74);
INSERT INTO public.who_data VALUES (11077, 3130, 643559, 78, 16057, 47, 11);
INSERT INTO public.who_data VALUES (11078, 24246, 3284384, 518, 59506, 47, 87);
INSERT INTO public.who_data VALUES (11079, 172, 8848, 4, 105, 47, 214);
INSERT INTO public.who_data VALUES (11080, 0, 5, 0, 0, 47, 116);
INSERT INTO public.who_data VALUES (11081, 1, 191, 0, 0, 47, 157);
INSERT INTO public.who_data VALUES (11082, 0, 0, 0, 0, 47, 182);
INSERT INTO public.who_data VALUES (11083, 0, 33, 0, 0, 47, 186);
INSERT INTO public.who_data VALUES (11084, 0, 353, 0, 5, 47, 127);
INSERT INTO public.who_data VALUES (11085, 7, 1002, 0, 12, 47, 232);
INSERT INTO public.who_data VALUES (11086, 0, 16, 0, 0, 47, 33);
INSERT INTO public.who_data VALUES (11087, 0, 124, 0, 0, 47, 97);
INSERT INTO public.who_data VALUES (11088, 0, 2, 0, 0, 47, 42);
INSERT INTO public.who_data VALUES (11089, 30, 2493, 1, 62, 47, 198);
INSERT INTO public.who_data VALUES (11090, 0, 1024, 0, 17, 47, 216);
INSERT INTO public.who_data VALUES (11091, 94, 363155, 10, 6256, 47, 164);
INSERT INTO public.who_data VALUES (11092, 106, 19803, 3, 424, 47, 235);
INSERT INTO public.who_data VALUES (11093, 2715, 346585, 39, 3364, 47, 67);
INSERT INTO public.who_data VALUES (11094, 26, 322, 1, 1, 47, 15);
INSERT INTO public.who_data VALUES (11095, 0, 2673, 0, 76, 47, 180);
INSERT INTO public.who_data VALUES (11096, 24, 58721, 0, 29, 47, 237);
INSERT INTO public.who_data VALUES (11097, 0, 19, 0, 0, 47, 25);
INSERT INTO public.who_data VALUES (11098, 28, 1462, 0, 27, 47, 209);
INSERT INTO public.who_data VALUES (11099, 636, 188099, 204, 2521, 47, 217);
INSERT INTO public.who_data VALUES (11100, 766, 125960, 32, 3125, 47, 79);
INSERT INTO public.who_data VALUES (11101, 0, 17, 0, 0, 47, 143);
INSERT INTO public.who_data VALUES (11102, 0, 4714, 0, 130, 47, 229);
INSERT INTO public.who_data VALUES (11103, 12601, 1113349, 434, 30011, 47, 141);
INSERT INTO public.who_data VALUES (11104, 31, 3589, 0, 63, 47, 197);
INSERT INTO public.who_data VALUES (11105, 9558, 2072797, 143, 52835, 47, 221);
INSERT INTO public.who_data VALUES (11106, 468, 45242, 2, 215, 47, 150);
INSERT INTO public.who_data VALUES (11107, 0, 26279, 0, 1603, 47, 56);
INSERT INTO public.who_data VALUES (11108, 50, 6393, 0, 123, 47, 167);
INSERT INTO public.who_data VALUES (11109, 2755, 462669, 83, 10119, 47, 23);
INSERT INTO public.who_data VALUES (11110, 5278, 466096, 48, 7619, 47, 222);
INSERT INTO public.who_data VALUES (11111, 89, 11799, 5, 734, 47, 219);
INSERT INTO public.who_data VALUES (11112, 10, 13686, 0, 91, 47, 7);
INSERT INTO public.who_data VALUES (11113, 527, 8966, 0, 65, 47, 161);
INSERT INTO public.who_data VALUES (11114, 58784, 2713567, 407, 75431, 47, 149);
INSERT INTO public.who_data VALUES (11115, 0, 44, 0, 0, 47, 6);
INSERT INTO public.who_data VALUES (11116, 20, 3722, 1, 69, 47, 139);
INSERT INTO public.who_data VALUES (11117, 0, 0, 0, 0, 47, 211);
INSERT INTO public.who_data VALUES (11118, 0, 0, 0, 0, 47, 14);
INSERT INTO public.who_data VALUES (11119, 6, 7168, 0, 127, 47, 111);
INSERT INTO public.who_data VALUES (11120, 1252, 144796, 62, 4862, 47, 207);
INSERT INTO public.who_data VALUES (11121, 13695, 2255607, 197, 21685, 47, 66);
INSERT INTO public.who_data VALUES (11122, 0, 0, 0, 0, 47, 173);
INSERT INTO public.who_data VALUES (11123, 1, 910, 0, 6, 47, 145);
INSERT INTO public.who_data VALUES (11124, 0, 0, 0, 0, 47, 65);
INSERT INTO public.who_data VALUES (11125, 128, 36050, 0, 274, 47, 184);
INSERT INTO public.who_data VALUES (11126, 5334, 1083585, 202, 19129, 47, 98);
INSERT INTO public.who_data VALUES (11127, 1501, 214732, 3, 682, 47, 104);
INSERT INTO public.who_data VALUES (11128, 0, 509, 0, 21, 47, 73);
INSERT INTO public.who_data VALUES (11129, 211444, 20470169, 1407, 348962, 47, 8);
INSERT INTO public.who_data VALUES (11130, 1, 2042, 0, 23, 47, 227);
INSERT INTO public.who_data VALUES (11131, 548, 20823, 3, 204, 47, 75);
INSERT INTO public.who_data VALUES (11132, 37, 77295, 0, 614, 47, 45);
INSERT INTO public.who_data VALUES (11133, 0, 1, 0, 0, 47, 133);
INSERT INTO public.who_data VALUES (11134, 147, 114230, 2, 1034, 47, 202);
INSERT INTO public.who_data VALUES (11135, 3, 1497, 0, 35, 47, 129);
INSERT INTO public.who_data VALUES (11136, 0, 4, 0, 0, 47, 36);
INSERT INTO public.who_data VALUES (11137, 0, 2105, 0, 611, 47, 51);
INSERT INTO public.who_data VALUES (11138, 410, 21993, 4, 398, 47, 206);
INSERT INTO public.who_data VALUES (11139, 564, 15829, 4, 384, 47, 5);
INSERT INTO public.who_data VALUES (11140, 200, 52909, 9, 2230, 48, 103);
INSERT INTO public.who_data VALUES (11141, 447, 59438, 3, 1193, 48, 58);
INSERT INTO public.who_data VALUES (11142, 0, 100159, 0, 2769, 48, 195);
INSERT INTO public.who_data VALUES (11143, 0, 0, 0, 0, 48, 115);
INSERT INTO public.who_data VALUES (11144, 26, 8192, 0, 84, 48, 99);
INSERT INTO public.who_data VALUES (11145, 34, 17642, 1, 408, 48, 153);
INSERT INTO public.who_data VALUES (11146, 0, 15, 0, 0, 48, 93);
INSERT INTO public.who_data VALUES (11147, 0, 159, 0, 5, 48, 84);
INSERT INTO public.who_data VALUES (11148, 5240, 1634834, 56, 43375, 48, 78);
INSERT INTO public.who_data VALUES (11149, 193, 160220, 14, 2864, 48, 170);
INSERT INTO public.who_data VALUES (11150, 0, 5442, 0, 49, 48, 32);
INSERT INTO public.who_data VALUES (11151, 21, 28483, 0, 909, 48, 155);
INSERT INTO public.who_data VALUES (11152, 1611, 364574, 39, 6253, 48, 82);
INSERT INTO public.who_data VALUES (11153, 803, 220265, 30, 2733, 48, 16);
INSERT INTO public.who_data VALUES (11154, 15, 7914, 4, 175, 48, 72);
INSERT INTO public.who_data VALUES (11155, 294, 93478, 0, 352, 48, 43);
INSERT INTO public.who_data VALUES (11156, 835, 516019, 27, 7626, 48, 120);
INSERT INTO public.who_data VALUES (11157, 0, 395, 0, 7, 48, 213);
INSERT INTO public.who_data VALUES (11158, 1837, 199962, 9, 1451, 48, 31);
INSERT INTO public.who_data VALUES (11159, 821, 651727, 42, 19744, 48, 204);
INSERT INTO public.who_data VALUES (11160, 0, 10807, 0, 249, 48, 152);
INSERT INTO public.who_data VALUES (11161, 0, 3251, 0, 44, 48, 144);
INSERT INTO public.who_data VALUES (11162, 18, 622, 0, 10, 48, 96);
INSERT INTO public.who_data VALUES (11163, 6, 716, 0, 0, 48, 47);
INSERT INTO public.who_data VALUES (11164, 0, 162055, 0, 9186, 48, 80);
INSERT INTO public.who_data VALUES (11165, 0, 165, 0, 3, 48, 159);
INSERT INTO public.who_data VALUES (11166, 300, 112645, 31, 4131, 48, 27);
INSERT INTO public.who_data VALUES (11167, 0, 14805, 0, 42, 48, 146);
INSERT INTO public.who_data VALUES (11168, 15827, 7716405, 314, 195725, 48, 71);
INSERT INTO public.who_data VALUES (11169, 0, 93, 0, 1, 48, 210);
INSERT INTO public.who_data VALUES (11170, 15, 172, 0, 3, 48, 54);
INSERT INTO public.who_data VALUES (11171, 171, 203051, 34, 7678, 48, 147);
INSERT INTO public.who_data VALUES (11172, 111, 7051, 0, 86, 48, 2);
INSERT INTO public.who_data VALUES (11173, 9, 842, 0, 2, 48, 105);
INSERT INTO public.who_data VALUES (11174, 37, 11920, 0, 113, 48, 53);
INSERT INTO public.who_data VALUES (11175, 1, 382, 0, 0, 48, 81);
INSERT INTO public.who_data VALUES (11176, 0, 26848, 0, 448, 48, 223);
INSERT INTO public.who_data VALUES (11177, 6808, 595085, 83, 15824, 48, 94);
INSERT INTO public.who_data VALUES (11178, 0, 338, 0, 2, 48, 154);
INSERT INTO public.who_data VALUES (11179, 0, 4963, 0, 63, 48, 83);
INSERT INTO public.who_data VALUES (11180, 44, 2213, 0, 104, 48, 194);
INSERT INTO public.who_data VALUES (11181, 2289, 618191, 43, 16767, 48, 136);
INSERT INTO public.who_data VALUES (11182, 78, 96972, 0, 4791, 48, 179);
INSERT INTO public.who_data VALUES (11183, 11528, 1666408, 270, 43765, 48, 57);
INSERT INTO public.who_data VALUES (11184, 0, 864, 0, 13, 48, 35);
INSERT INTO public.who_data VALUES (11185, 0, 6200, 0, 100, 48, 228);
INSERT INTO public.who_data VALUES (11186, 0, 0, 0, 0, 48, 19);
INSERT INTO public.who_data VALUES (11187, 539, 171130, 12, 2205, 48, 22);
INSERT INTO public.who_data VALUES (11188, 0, 22250, 0, 137, 48, 1);
INSERT INTO public.who_data VALUES (11189, 361, 213319, 54, 4126, 48, 21);
INSERT INTO public.who_data VALUES (11190, 199, 12424, 1, 147, 48, 234);
INSERT INTO public.who_data VALUES (11191, 0, 4230, 0, 14, 48, 91);
INSERT INTO public.who_data VALUES (11192, 529, 23974, 2, 131, 48, 137);
INSERT INTO public.who_data VALUES (11193, 6233, 746714, 110, 12070, 48, 201);
INSERT INTO public.who_data VALUES (11194, 0, 0, 0, 0, 48, 171);
INSERT INTO public.who_data VALUES (11195, 149, 17997, 5, 596, 48, 92);
INSERT INTO public.who_data VALUES (11196, 1170, 168711, 29, 1374, 48, 112);
INSERT INTO public.who_data VALUES (11197, 1, 5842, 0, 61, 48, 62);
INSERT INTO public.who_data VALUES (11198, 0, 96, 0, 0, 48, 69);
INSERT INTO public.who_data VALUES (11199, 366, 173331, 2, 2418, 48, 220);
INSERT INTO public.who_data VALUES (11200, 101, 214614, 0, 14059, 48, 100);
INSERT INTO public.who_data VALUES (11201, 1309, 142187, 64, 7805, 48, 187);
INSERT INTO public.who_data VALUES (11202, 561, 46803, 7, 1358, 48, 63);
INSERT INTO public.who_data VALUES (11203, 0, 5277, 0, 86, 48, 28);
INSERT INTO public.who_data VALUES (11204, 0, 1320, 0, 3, 48, 172);
INSERT INTO public.who_data VALUES (11205, 390, 29521, 7, 251, 48, 17);
INSERT INTO public.who_data VALUES (11206, 232, 9943, 4, 231, 48, 226);
INSERT INTO public.who_data VALUES (11207, 573, 125622, 4, 1948, 48, 236);
INSERT INTO public.who_data VALUES (11208, 0, 29, 0, 0, 48, 76);
INSERT INTO public.who_data VALUES (11209, 6, 620, 0, 0, 48, 30);
INSERT INTO public.who_data VALUES (11210, 0, 49, 0, 2, 48, 128);
INSERT INTO public.who_data VALUES (11211, 168, 36772, 0, 561, 48, 86);
INSERT INTO public.who_data VALUES (11212, 12489, 2611616, 116, 64659, 48, 140);
INSERT INTO public.who_data VALUES (11213, 0, 13273, 0, 71, 48, 44);
INSERT INTO public.who_data VALUES (11214, 0, 16926, 0, 114, 48, 113);
INSERT INTO public.who_data VALUES (11215, 0, 9571, 0, 64, 48, 29);
INSERT INTO public.who_data VALUES (11216, 0, 3802, 0, 124, 48, 125);
INSERT INTO public.who_data VALUES (11217, 594, 229763, 25, 2628, 48, 131);
INSERT INTO public.who_data VALUES (11218, 9847, 1775513, 302, 34574, 48, 46);
INSERT INTO public.who_data VALUES (11219, 104, 55168, 0, 335, 48, 10);
INSERT INTO public.who_data VALUES (11220, 92, 2304, 0, 7, 48, 205);
INSERT INTO public.who_data VALUES (11221, 390, 140099, 36, 4957, 48, 50);
INSERT INTO public.who_data VALUES (11222, 0, 27, 0, 0, 48, 20);
INSERT INTO public.who_data VALUES (11223, 0, 130, 0, 1, 48, 13);
INSERT INTO public.who_data VALUES (11224, 0, 8620, 0, 155, 48, 148);
INSERT INTO public.who_data VALUES (11225, 1, 7149, 0, 123, 48, 230);
INSERT INTO public.who_data VALUES (11226, 159, 138475, 6, 4833, 48, 190);
INSERT INTO public.who_data VALUES (11227, 0, 299, 0, 13, 48, 188);
INSERT INTO public.who_data VALUES (11228, 0, 13784, 0, 81, 48, 123);
INSERT INTO public.who_data VALUES (11229, 0, 2447, 0, 45, 48, 9);
INSERT INTO public.who_data VALUES (11230, 7, 6358, 0, 164, 48, 102);
INSERT INTO public.who_data VALUES (11231, 50, 10127, 0, 236, 48, 34);
INSERT INTO public.who_data VALUES (11232, 0, 26, 0, 0, 48, 212);
INSERT INTO public.who_data VALUES (11233, 170, 123144, 13, 3173, 48, 122);
INSERT INTO public.who_data VALUES (11234, 856, 328851, 93, 9977, 48, 38);
INSERT INTO public.who_data VALUES (11235, 41, 5795, 0, 29, 48, 130);
INSERT INTO public.who_data VALUES (11236, 16504, 10340469, 214, 149649, 48, 37);
INSERT INTO public.who_data VALUES (11237, 6877, 765350, 179, 22734, 48, 231);
INSERT INTO public.who_data VALUES (11238, 5960, 1243434, 102, 55540, 48, 107);
INSERT INTO public.who_data VALUES (11239, 741, 597774, 5, 12834, 48, 101);
INSERT INTO public.who_data VALUES (11240, 4961, 101887, 7, 2259, 48, 132);
INSERT INTO public.who_data VALUES (11241, 0, 380, 0, 25, 48, 176);
INSERT INTO public.who_data VALUES (11242, 4218, 435991, 27, 3427, 48, 200);
INSERT INTO public.who_data VALUES (11243, 14245, 2155446, 347, 75332, 48, 169);
INSERT INTO public.who_data VALUES (11244, 118, 13049, 1, 304, 48, 225);
INSERT INTO public.who_data VALUES (11245, 2893, 243847, 51, 3599, 48, 165);
INSERT INTO public.who_data VALUES (11246, 0, 2760, 0, 44, 48, 233);
INSERT INTO public.who_data VALUES (11247, 1540, 298208, 26, 3903, 48, 215);
INSERT INTO public.who_data VALUES (11248, 730, 204293, 0, 2845, 48, 177);
INSERT INTO public.who_data VALUES (11249, 124, 96802, 0, 1685, 48, 183);
INSERT INTO public.who_data VALUES (11250, 0, 0, 0, 0, 48, 203);
INSERT INTO public.who_data VALUES (11251, 234, 51922, 4, 1334, 48, 162);
INSERT INTO public.who_data VALUES (11252, 269, 151343, 0, 937, 48, 12);
INSERT INTO public.who_data VALUES (11253, 83, 81388, 1, 1360, 48, 24);
INSERT INTO public.who_data VALUES (11254, 0, 41, 0, 0, 48, 119);
INSERT INTO public.who_data VALUES (11255, 568, 42497, 12, 680, 48, 39);
INSERT INTO public.who_data VALUES (11256, 2870, 189278, 10, 1486, 48, 26);
INSERT INTO public.who_data VALUES (11257, 0, 2577, 0, 50, 48, 59);
INSERT INTO public.who_data VALUES (11258, 0, 1800, 0, 83, 48, 77);
INSERT INTO public.who_data VALUES (11259, 670, 101414, 23, 1510, 48, 134);
INSERT INTO public.who_data VALUES (11260, 19, 2301, 2, 44, 48, 4);
INSERT INTO public.who_data VALUES (11261, 1362, 147987, 37, 1975, 48, 109);
INSERT INTO public.who_data VALUES (11262, 81, 46919, 3, 506, 48, 90);
INSERT INTO public.who_data VALUES (11263, 0, 17767, 0, 262, 48, 61);
INSERT INTO public.who_data VALUES (11264, 133, 6844, 3, 195, 48, 85);
INSERT INTO public.who_data VALUES (11265, 1704, 119077, 11, 494, 48, 49);
INSERT INTO public.who_data VALUES (11266, 33, 13867, 0, 48, 48, 208);
INSERT INTO public.who_data VALUES (11267, 27, 7253, 2, 278, 48, 166);
INSERT INTO public.who_data VALUES (11268, 88, 12997, 1, 220, 48, 64);
INSERT INTO public.who_data VALUES (11269, 0, 4, 0, 0, 48, 199);
INSERT INTO public.who_data VALUES (11270, 0, 6091, 0, 43, 48, 114);
INSERT INTO public.who_data VALUES (11271, 0, 14364, 0, 347, 48, 60);
INSERT INTO public.who_data VALUES (11272, 0, 527, 0, 10, 48, 68);
INSERT INTO public.who_data VALUES (11273, 0, 5890, 0, 55, 48, 158);
INSERT INTO public.who_data VALUES (11274, 6359, 1443544, 344, 126851, 48, 52);
INSERT INTO public.who_data VALUES (11275, 0, 0, 0, 0, 48, 117);
INSERT INTO public.who_data VALUES (11276, 6, 910, 0, 4, 48, 126);
INSERT INTO public.who_data VALUES (11277, 21, 1263, 0, 0, 48, 196);
INSERT INTO public.who_data VALUES (11278, 520, 49999, 3, 692, 48, 142);
INSERT INTO public.who_data VALUES (11279, 0, 13, 0, 1, 48, 185);
INSERT INTO public.who_data VALUES (11280, 1005, 443146, 33, 7485, 48, 138);
INSERT INTO public.who_data VALUES (11281, 341, 19309, 1, 169, 48, 181);
INSERT INTO public.who_data VALUES (11282, 729, 126345, 17, 2728, 48, 178);
INSERT INTO public.who_data VALUES (11283, 462, 25116, 2, 215, 48, 168);
INSERT INTO public.who_data VALUES (11284, 0, 0, 0, 0, 48, 160);
INSERT INTO public.who_data VALUES (11285, 421, 261859, 8, 1878, 48, 151);
INSERT INTO public.who_data VALUES (11286, 7400, 819927, 47, 11585, 48, 193);
INSERT INTO public.who_data VALUES (11287, 0, 40, 0, 0, 48, 18);
INSERT INTO public.who_data VALUES (11288, 0, 1825, 0, 25, 48, 40);
INSERT INTO public.who_data VALUES (11289, 0, 4829, 0, 165, 48, 218);
INSERT INTO public.who_data VALUES (11290, 0, 3208, 0, 102, 48, 191);
INSERT INTO public.who_data VALUES (11291, 917, 90080, 9, 1311, 48, 156);
INSERT INTO public.who_data VALUES (11292, 0, 0, 0, 0, 48, 135);
INSERT INTO public.who_data VALUES (11293, 2, 124, 0, 2, 48, 88);
INSERT INTO public.who_data VALUES (11294, 235, 84024, 8, 2530, 48, 55);
INSERT INTO public.who_data VALUES (11295, 0, 48278, 0, 436, 48, 108);
INSERT INTO public.who_data VALUES (11296, 1155, 159034, 31, 1609, 48, 48);
INSERT INTO public.who_data VALUES (11297, 537, 129404, 2, 1501, 48, 3);
INSERT INTO public.who_data VALUES (11298, 0, 745, 0, 13, 48, 224);
INSERT INTO public.who_data VALUES (11299, 2272, 486634, 53, 10311, 48, 110);
INSERT INTO public.who_data VALUES (11300, 0, 0, 0, 0, 48, 106);
INSERT INTO public.who_data VALUES (11301, 2031, 251764, 39, 4103, 48, 89);
INSERT INTO public.who_data VALUES (11302, 19, 799, 0, 9, 48, 121);
INSERT INTO public.who_data VALUES (11303, 369, 108718, 17, 2279, 48, 163);
INSERT INTO public.who_data VALUES (11304, 900, 1018099, 49, 37773, 48, 70);
INSERT INTO public.who_data VALUES (11305, 891, 477807, 4, 9257, 48, 174);
INSERT INTO public.who_data VALUES (11306, 0, 0, 0, 0, 48, 175);
INSERT INTO public.who_data VALUES (11307, 4385, 1322947, 42, 29161, 48, 118);
INSERT INTO public.who_data VALUES (11308, 3384, 427254, 73, 7118, 48, 189);
INSERT INTO public.who_data VALUES (11309, 237, 78169, 19, 1545, 48, 124);
INSERT INTO public.who_data VALUES (11310, 197, 144437, 0, 245, 48, 192);
INSERT INTO public.who_data VALUES (11311, 1020, 64255, 19, 981, 48, 41);
INSERT INTO public.who_data VALUES (11312, 179, 145873, 17, 3037, 48, 95);
INSERT INTO public.who_data VALUES (11313, 0, 9037, 0, 42, 48, 74);
INSERT INTO public.who_data VALUES (11314, 3034, 640429, 60, 15979, 48, 11);
INSERT INTO public.who_data VALUES (11315, 23351, 3260138, 482, 58988, 48, 87);
INSERT INTO public.who_data VALUES (11316, 109, 8676, 3, 101, 48, 214);
INSERT INTO public.who_data VALUES (11317, 0, 5, 0, 0, 48, 116);
INSERT INTO public.who_data VALUES (11318, 0, 190, 0, 0, 48, 157);
INSERT INTO public.who_data VALUES (11319, 0, 0, 0, 0, 48, 182);
INSERT INTO public.who_data VALUES (11320, 0, 33, 0, 0, 48, 186);
INSERT INTO public.who_data VALUES (11321, 0, 353, 0, 5, 48, 127);
INSERT INTO public.who_data VALUES (11322, 0, 995, 0, 12, 48, 232);
INSERT INTO public.who_data VALUES (11323, 0, 16, 0, 0, 48, 33);
INSERT INTO public.who_data VALUES (11324, 2, 124, 0, 0, 48, 97);
INSERT INTO public.who_data VALUES (11325, 0, 2, 0, 0, 48, 42);
INSERT INTO public.who_data VALUES (11326, 0, 2463, 0, 61, 48, 198);
INSERT INTO public.who_data VALUES (11327, 0, 1024, 0, 17, 48, 216);
INSERT INTO public.who_data VALUES (11328, 82, 363061, 7, 6246, 48, 164);
INSERT INTO public.who_data VALUES (11329, 186, 19697, 5, 421, 48, 235);
INSERT INTO public.who_data VALUES (11330, 1966, 343870, 37, 3325, 48, 67);
INSERT INTO public.who_data VALUES (11331, 12, 296, 0, 0, 48, 15);
INSERT INTO public.who_data VALUES (11332, 113, 2673, 0, 76, 48, 180);
INSERT INTO public.who_data VALUES (11333, 35, 58697, 0, 29, 48, 237);
INSERT INTO public.who_data VALUES (11334, 0, 19, 0, 0, 48, 25);
INSERT INTO public.who_data VALUES (11335, 0, 1434, 0, 27, 48, 209);
INSERT INTO public.who_data VALUES (11336, 1219, 187463, 67, 2317, 48, 217);
INSERT INTO public.who_data VALUES (11337, 761, 125194, 35, 3093, 48, 79);
INSERT INTO public.who_data VALUES (11338, 0, 17, 0, 0, 48, 143);
INSERT INTO public.who_data VALUES (11339, 0, 4714, 0, 130, 48, 229);
INSERT INTO public.who_data VALUES (11340, 11859, 1100748, 402, 29577, 48, 141);
INSERT INTO public.who_data VALUES (11341, 0, 3558, 0, 63, 48, 197);
INSERT INTO public.who_data VALUES (11342, 10127, 2063239, 158, 52692, 48, 221);
INSERT INTO public.who_data VALUES (11343, 403, 44774, 2, 213, 48, 150);
INSERT INTO public.who_data VALUES (11344, 240, 26279, 6, 1603, 48, 56);
INSERT INTO public.who_data VALUES (11345, 66, 6343, 0, 123, 48, 167);
INSERT INTO public.who_data VALUES (11346, 2532, 459914, 100, 10036, 48, 23);
INSERT INTO public.who_data VALUES (11347, 2219, 460818, 63, 7571, 48, 222);
INSERT INTO public.who_data VALUES (11348, 94, 11710, 6, 729, 48, 219);
INSERT INTO public.who_data VALUES (11349, 2, 13676, 0, 91, 48, 7);
INSERT INTO public.who_data VALUES (11350, 1060, 8439, 1, 65, 48, 161);
INSERT INTO public.who_data VALUES (11351, 54990, 2654783, 454, 75024, 48, 149);
INSERT INTO public.who_data VALUES (11352, 0, 44, 0, 0, 48, 6);
INSERT INTO public.who_data VALUES (11353, 19, 3702, 0, 68, 48, 139);
INSERT INTO public.who_data VALUES (11354, 0, 0, 0, 0, 48, 211);
INSERT INTO public.who_data VALUES (11355, 0, 0, 0, 0, 48, 14);
INSERT INTO public.who_data VALUES (11356, 4, 7162, 0, 127, 48, 111);
INSERT INTO public.who_data VALUES (11357, 1565, 143544, 35, 4800, 48, 207);
INSERT INTO public.who_data VALUES (11358, 9877, 2241912, 193, 21488, 48, 66);
INSERT INTO public.who_data VALUES (11359, 0, 0, 0, 0, 48, 173);
INSERT INTO public.who_data VALUES (11360, 1, 909, 0, 6, 48, 145);
INSERT INTO public.who_data VALUES (11361, 0, 0, 0, 0, 48, 65);
INSERT INTO public.who_data VALUES (11362, 210, 35922, 0, 274, 48, 184);
INSERT INTO public.who_data VALUES (11363, 4158, 1078251, 73, 18927, 48, 98);
INSERT INTO public.who_data VALUES (11364, 1590, 213231, 5, 679, 48, 104);
INSERT INTO public.who_data VALUES (11365, 0, 509, 0, 21, 48, 73);
INSERT INTO public.who_data VALUES (11366, 284312, 20258725, 2302, 347555, 48, 8);
INSERT INTO public.who_data VALUES (11367, 5, 2041, 0, 23, 48, 227);
INSERT INTO public.who_data VALUES (11368, 522, 20275, 8, 201, 48, 75);
INSERT INTO public.who_data VALUES (11369, 20, 77258, 0, 614, 48, 45);
INSERT INTO public.who_data VALUES (11370, 0, 1, 0, 0, 48, 133);
INSERT INTO public.who_data VALUES (11371, 521, 114083, 4, 1032, 48, 202);
INSERT INTO public.who_data VALUES (11372, 12, 1494, 0, 35, 48, 129);
INSERT INTO public.who_data VALUES (11373, 0, 4, 0, 0, 48, 36);
INSERT INTO public.who_data VALUES (11374, 0, 2105, 0, 611, 48, 51);
INSERT INTO public.who_data VALUES (11375, 353, 21583, 2, 394, 48, 206);
INSERT INTO public.who_data VALUES (11376, 774, 15265, 3, 380, 48, 5);
INSERT INTO public.who_data VALUES (11377, 123, 52709, 10, 2221, 49, 103);
INSERT INTO public.who_data VALUES (11378, 268, 58991, 4, 1190, 49, 58);
INSERT INTO public.who_data VALUES (11379, 549, 100159, 13, 2769, 49, 195);
INSERT INTO public.who_data VALUES (11380, 0, 0, 0, 0, 49, 115);
INSERT INTO public.who_data VALUES (11381, 49, 8166, 0, 84, 49, 99);
INSERT INTO public.who_data VALUES (11382, 55, 17608, 2, 407, 49, 153);
INSERT INTO public.who_data VALUES (11383, 1, 15, 0, 0, 49, 93);
INSERT INTO public.who_data VALUES (11384, 0, 159, 0, 5, 49, 84);
INSERT INTO public.who_data VALUES (11385, 4080, 1629594, 74, 43319, 49, 78);
INSERT INTO public.who_data VALUES (11386, 289, 160027, 22, 2850, 49, 170);
INSERT INTO public.who_data VALUES (11387, 0, 5442, 0, 49, 49, 32);
INSERT INTO public.who_data VALUES (11388, 35, 28462, 0, 909, 49, 155);
INSERT INTO public.who_data VALUES (11389, 1491, 362963, 37, 6214, 49, 82);
INSERT INTO public.who_data VALUES (11390, 421, 219462, 33, 2703, 49, 16);
INSERT INTO public.who_data VALUES (11391, 12, 7899, 0, 171, 49, 72);
INSERT INTO public.who_data VALUES (11392, 271, 93184, 0, 352, 49, 43);
INSERT INTO public.who_data VALUES (11393, 684, 515184, 23, 7599, 49, 120);
INSERT INTO public.who_data VALUES (11394, 12, 395, 0, 7, 49, 213);
INSERT INTO public.who_data VALUES (11395, 1902, 198125, 9, 1442, 49, 31);
INSERT INTO public.who_data VALUES (11396, 1121, 650906, 64, 19702, 49, 204);
INSERT INTO public.who_data VALUES (11397, 31, 10807, 1, 249, 49, 152);
INSERT INTO public.who_data VALUES (11398, 0, 3251, 0, 44, 49, 144);
INSERT INTO public.who_data VALUES (11399, 0, 604, 0, 10, 49, 96);
INSERT INTO public.who_data VALUES (11400, 21, 710, 0, 0, 49, 47);
INSERT INTO public.who_data VALUES (11401, 1931, 162055, 21, 9186, 49, 80);
INSERT INTO public.who_data VALUES (11402, 0, 165, 0, 3, 49, 159);
INSERT INTO public.who_data VALUES (11403, 202, 112345, 14, 4100, 49, 27);
INSERT INTO public.who_data VALUES (11404, 780, 14805, 2, 42, 49, 146);
INSERT INTO public.who_data VALUES (11405, 24605, 7700578, 462, 195411, 49, 71);
INSERT INTO public.who_data VALUES (11406, 0, 93, 0, 1, 49, 210);
INSERT INTO public.who_data VALUES (11407, 0, 157, 0, 3, 49, 54);
INSERT INTO public.who_data VALUES (11408, 340, 202880, 40, 7644, 49, 147);
INSERT INTO public.who_data VALUES (11409, 233, 6940, 1, 86, 49, 2);
INSERT INTO public.who_data VALUES (11410, 11, 833, 0, 2, 49, 105);
INSERT INTO public.who_data VALUES (11411, 43, 11883, 0, 113, 49, 53);
INSERT INTO public.who_data VALUES (11412, 2, 381, 0, 0, 49, 81);
INSERT INTO public.who_data VALUES (11413, 0, 26848, 0, 448, 49, 223);
INSERT INTO public.who_data VALUES (11414, 6875, 588277, 136, 15741, 49, 94);
INSERT INTO public.who_data VALUES (11415, 0, 338, 0, 2, 49, 154);
INSERT INTO public.who_data VALUES (11416, 0, 4963, 0, 63, 49, 83);
INSERT INTO public.who_data VALUES (11417, 56, 2169, 0, 104, 49, 194);
INSERT INTO public.who_data VALUES (11418, 3338, 615902, 64, 16724, 49, 136);
INSERT INTO public.who_data VALUES (11419, 65, 96894, 1, 4791, 49, 179);
INSERT INTO public.who_data VALUES (11420, 12105, 1654880, 282, 43495, 49, 57);
INSERT INTO public.who_data VALUES (11421, 99, 864, 4, 13, 49, 35);
INSERT INTO public.who_data VALUES (11422, 0, 6200, 0, 100, 49, 228);
INSERT INTO public.who_data VALUES (11423, 0, 0, 0, 0, 49, 19);
INSERT INTO public.who_data VALUES (11424, 1270, 170591, 8, 2193, 49, 22);
INSERT INTO public.who_data VALUES (11425, 0, 22250, 0, 137, 49, 1);
INSERT INTO public.who_data VALUES (11426, 696, 212958, 56, 4072, 49, 21);
INSERT INTO public.who_data VALUES (11427, 169, 12225, 0, 146, 49, 234);
INSERT INTO public.who_data VALUES (11428, 0, 4230, 0, 14, 49, 91);
INSERT INTO public.who_data VALUES (11429, 627, 23445, 2, 129, 49, 137);
INSERT INTO public.who_data VALUES (11430, 5012, 740481, 133, 11960, 49, 201);
INSERT INTO public.who_data VALUES (11431, 0, 0, 0, 0, 49, 171);
INSERT INTO public.who_data VALUES (11432, 474, 17848, 0, 591, 49, 92);
INSERT INTO public.who_data VALUES (11433, 1611, 167541, 23, 1345, 49, 112);
INSERT INTO public.who_data VALUES (11434, 1, 5841, 0, 61, 49, 62);
INSERT INTO public.who_data VALUES (11435, 0, 96, 0, 0, 49, 69);
INSERT INTO public.who_data VALUES (11436, 747, 172965, 0, 2416, 49, 220);
INSERT INTO public.who_data VALUES (11437, 1135, 214513, 8, 14059, 49, 100);
INSERT INTO public.who_data VALUES (11438, 1407, 140878, 54, 7741, 49, 187);
INSERT INTO public.who_data VALUES (11439, 282, 46242, 8, 1351, 49, 63);
INSERT INTO public.who_data VALUES (11440, 0, 5277, 0, 86, 49, 28);
INSERT INTO public.who_data VALUES (11441, 0, 1320, 0, 3, 49, 172);
INSERT INTO public.who_data VALUES (11442, 342, 29131, 3, 244, 49, 17);
INSERT INTO public.who_data VALUES (11443, 353, 9711, 21, 227, 49, 226);
INSERT INTO public.who_data VALUES (11444, 785, 125049, 21, 1944, 49, 236);
INSERT INTO public.who_data VALUES (11445, 0, 29, 0, 0, 49, 76);
INSERT INTO public.who_data VALUES (11446, 4, 614, 0, 0, 49, 30);
INSERT INTO public.who_data VALUES (11447, 0, 49, 0, 2, 49, 128);
INSERT INTO public.who_data VALUES (11448, 201, 36604, 0, 561, 49, 86);
INSERT INTO public.who_data VALUES (11449, 3466, 2599127, 156, 64543, 49, 140);
INSERT INTO public.who_data VALUES (11450, 0, 13273, 0, 71, 49, 44);
INSERT INTO public.who_data VALUES (11451, 0, 16926, 0, 114, 49, 113);
INSERT INTO public.who_data VALUES (11452, 0, 9571, 0, 64, 49, 29);
INSERT INTO public.who_data VALUES (11453, 2, 3802, 0, 124, 49, 125);
INSERT INTO public.who_data VALUES (11454, 417, 229169, 31, 2603, 49, 131);
INSERT INTO public.who_data VALUES (11455, 10315, 1765666, 312, 34272, 49, 46);
INSERT INTO public.who_data VALUES (11456, 293, 55064, 0, 335, 49, 10);
INSERT INTO public.who_data VALUES (11457, 172, 2212, 0, 7, 49, 205);
INSERT INTO public.who_data VALUES (11458, 262, 139709, 40, 4921, 49, 50);
INSERT INTO public.who_data VALUES (11459, 0, 27, 0, 0, 49, 20);
INSERT INTO public.who_data VALUES (11460, 0, 130, 0, 1, 49, 13);
INSERT INTO public.who_data VALUES (11461, 0, 8620, 0, 155, 49, 148);
INSERT INTO public.who_data VALUES (11462, 0, 7148, 1, 123, 49, 230);
INSERT INTO public.who_data VALUES (11463, 80, 138316, 7, 4827, 49, 190);
INSERT INTO public.who_data VALUES (11464, 1, 299, 0, 13, 49, 188);
INSERT INTO public.who_data VALUES (11465, 62, 13784, 0, 81, 49, 123);
INSERT INTO public.who_data VALUES (11466, 0, 2447, 0, 45, 49, 9);
INSERT INTO public.who_data VALUES (11467, 19, 6351, 0, 164, 49, 102);
INSERT INTO public.who_data VALUES (11468, 62, 10077, 0, 236, 49, 34);
INSERT INTO public.who_data VALUES (11469, 0, 26, 0, 0, 49, 212);
INSERT INTO public.who_data VALUES (11470, 211, 122974, 19, 3160, 49, 122);
INSERT INTO public.who_data VALUES (11471, 1307, 327995, 103, 9884, 49, 38);
INSERT INTO public.who_data VALUES (11472, 0, 5754, 0, 29, 49, 130);
INSERT INTO public.who_data VALUES (11473, 18177, 10323965, 217, 149435, 49, 37);
INSERT INTO public.who_data VALUES (11474, 7203, 758473, 226, 22555, 49, 231);
INSERT INTO public.who_data VALUES (11475, 6045, 1237474, 101, 55438, 49, 107);
INSERT INTO public.who_data VALUES (11476, 840, 597033, 5, 12829, 49, 101);
INSERT INTO public.who_data VALUES (11477, 3394, 96926, 4, 2252, 49, 132);
INSERT INTO public.who_data VALUES (11478, 0, 380, 0, 25, 49, 176);
INSERT INTO public.who_data VALUES (11479, 6022, 431773, 36, 3400, 49, 200);
INSERT INTO public.who_data VALUES (11480, 11825, 2141201, 364, 74985, 49, 169);
INSERT INTO public.who_data VALUES (11481, 16, 12931, 0, 303, 49, 225);
INSERT INTO public.who_data VALUES (11482, 2942, 240954, 34, 3548, 49, 165);
INSERT INTO public.who_data VALUES (11483, 0, 2760, 0, 44, 49, 233);
INSERT INTO public.who_data VALUES (11484, 903, 296668, 26, 3877, 49, 215);
INSERT INTO public.who_data VALUES (11485, 683, 203563, 96, 2845, 49, 177);
INSERT INTO public.who_data VALUES (11486, 220, 96678, 15, 1685, 49, 183);
INSERT INTO public.who_data VALUES (11487, 0, 0, 0, 0, 49, 203);
INSERT INTO public.who_data VALUES (11488, 229, 51688, 4, 1330, 49, 162);
INSERT INTO public.who_data VALUES (11489, 205, 151074, 1, 937, 49, 12);
INSERT INTO public.who_data VALUES (11490, 91, 81305, 1, 1359, 49, 24);
INSERT INTO public.who_data VALUES (11491, 0, 41, 0, 0, 49, 119);
INSERT INTO public.who_data VALUES (11492, 314, 41929, 24, 668, 49, 39);
INSERT INTO public.who_data VALUES (11493, 2520, 186408, 10, 1476, 49, 26);
INSERT INTO public.who_data VALUES (11494, 0, 2577, 0, 50, 49, 59);
INSERT INTO public.who_data VALUES (11495, 0, 1800, 0, 83, 49, 77);
INSERT INTO public.who_data VALUES (11496, 0, 100744, 0, 1487, 49, 134);
INSERT INTO public.who_data VALUES (11497, 23, 2282, 0, 42, 49, 4);
INSERT INTO public.who_data VALUES (11498, 1238, 146625, 49, 1938, 49, 109);
INSERT INTO public.who_data VALUES (11499, 25, 46838, 2, 503, 49, 90);
INSERT INTO public.who_data VALUES (11500, 53, 17767, 1, 262, 49, 61);
INSERT INTO public.who_data VALUES (11501, 128, 6711, 3, 192, 49, 85);
INSERT INTO public.who_data VALUES (11502, 2295, 117373, 9, 483, 49, 49);
INSERT INTO public.who_data VALUES (11503, 30, 13834, 0, 48, 49, 208);
INSERT INTO public.who_data VALUES (11504, 136, 7226, 7, 276, 49, 166);
INSERT INTO public.who_data VALUES (11505, 135, 12909, 0, 219, 49, 64);
INSERT INTO public.who_data VALUES (11506, 0, 4, 0, 0, 49, 199);
INSERT INTO public.who_data VALUES (11507, 0, 6091, 0, 43, 49, 114);
INSERT INTO public.who_data VALUES (11508, 722, 14364, 23, 347, 49, 60);
INSERT INTO public.who_data VALUES (11509, 0, 527, 0, 10, 49, 68);
INSERT INTO public.who_data VALUES (11510, 0, 5890, 0, 55, 49, 158);
INSERT INTO public.who_data VALUES (11511, 11091, 1437185, 700, 126507, 49, 52);
INSERT INTO public.who_data VALUES (11512, 0, 0, 0, 0, 49, 117);
INSERT INTO public.who_data VALUES (11513, 16, 904, 1, 4, 49, 126);
INSERT INTO public.who_data VALUES (11514, 22, 1242, 0, 0, 49, 196);
INSERT INTO public.who_data VALUES (11515, 300, 49479, 5, 689, 49, 142);
INSERT INTO public.who_data VALUES (11516, 0, 13, 0, 1, 49, 185);
INSERT INTO public.who_data VALUES (11517, 1171, 442141, 27, 7452, 49, 138);
INSERT INTO public.who_data VALUES (11518, 326, 18968, 2, 168, 49, 181);
INSERT INTO public.who_data VALUES (11519, 563, 125616, 14, 2711, 49, 178);
INSERT INTO public.who_data VALUES (11520, 713, 24654, 8, 213, 49, 168);
INSERT INTO public.who_data VALUES (11521, 0, 0, 0, 0, 49, 160);
INSERT INTO public.who_data VALUES (11522, 419, 261438, 6, 1870, 49, 151);
INSERT INTO public.who_data VALUES (11523, 8591, 812527, 38, 11538, 49, 193);
INSERT INTO public.who_data VALUES (11524, 2, 40, 0, 0, 49, 18);
INSERT INTO public.who_data VALUES (11525, 19, 1825, 0, 25, 49, 40);
INSERT INTO public.who_data VALUES (11526, 0, 4829, 0, 165, 49, 218);
INSERT INTO public.who_data VALUES (11527, 0, 3208, 0, 102, 49, 191);
INSERT INTO public.who_data VALUES (11528, 1653, 89163, 13, 1302, 49, 156);
INSERT INTO public.who_data VALUES (11529, 0, 0, 0, 0, 49, 135);
INSERT INTO public.who_data VALUES (11530, 0, 122, 0, 2, 49, 88);
INSERT INTO public.who_data VALUES (11531, 46, 83789, 12, 2522, 49, 55);
INSERT INTO public.who_data VALUES (11532, 0, 48278, 0, 436, 49, 108);
INSERT INTO public.who_data VALUES (11533, 1064, 157879, 28, 1578, 49, 48);
INSERT INTO public.who_data VALUES (11534, 0, 128867, 0, 1499, 49, 3);
INSERT INTO public.who_data VALUES (11535, 0, 745, 0, 13, 49, 224);
INSERT INTO public.who_data VALUES (11536, 2184, 484362, 82, 10258, 49, 110);
INSERT INTO public.who_data VALUES (11537, 0, 0, 0, 0, 49, 106);
INSERT INTO public.who_data VALUES (11538, 2943, 249733, 42, 4064, 49, 89);
INSERT INTO public.who_data VALUES (11539, 0, 780, 0, 9, 49, 121);
INSERT INTO public.who_data VALUES (11540, 417, 108349, 0, 2262, 49, 163);
INSERT INTO public.who_data VALUES (11541, 2062, 1017199, 44, 37724, 49, 70);
INSERT INTO public.who_data VALUES (11542, 1096, 476916, 5, 9253, 49, 174);
INSERT INTO public.who_data VALUES (11543, 0, 0, 0, 0, 49, 175);
INSERT INTO public.who_data VALUES (11544, 5782, 1318562, 61, 29119, 49, 118);
INSERT INTO public.who_data VALUES (11545, 3241, 423870, 73, 7045, 49, 189);
INSERT INTO public.who_data VALUES (11546, 878, 77932, 5, 1526, 49, 124);
INSERT INTO public.who_data VALUES (11547, 198, 144240, 0, 245, 49, 192);
INSERT INTO public.who_data VALUES (11548, 657, 63235, 20, 962, 49, 41);
INSERT INTO public.who_data VALUES (11549, 436, 145694, 16, 3020, 49, 95);
INSERT INTO public.who_data VALUES (11550, 0, 9037, 0, 42, 49, 74);
INSERT INTO public.who_data VALUES (11551, 1194, 637395, 78, 15919, 49, 11);
INSERT INTO public.who_data VALUES (11552, 24150, 3236787, 504, 58506, 49, 87);
INSERT INTO public.who_data VALUES (11553, 184, 8567, 6, 98, 49, 214);
INSERT INTO public.who_data VALUES (11554, 0, 5, 0, 0, 49, 116);
INSERT INTO public.who_data VALUES (11555, 0, 190, 0, 0, 49, 157);
INSERT INTO public.who_data VALUES (11556, 0, 0, 0, 0, 49, 182);
INSERT INTO public.who_data VALUES (11557, 1, 33, 0, 0, 49, 186);
INSERT INTO public.who_data VALUES (11558, 0, 353, 0, 5, 49, 127);
INSERT INTO public.who_data VALUES (11559, 0, 995, 0, 12, 49, 232);
INSERT INTO public.who_data VALUES (11560, 0, 16, 0, 0, 49, 33);
INSERT INTO public.who_data VALUES (11561, 1, 122, 0, 0, 49, 97);
INSERT INTO public.who_data VALUES (11562, 0, 2, 0, 0, 49, 42);
INSERT INTO public.who_data VALUES (11563, 35, 2463, 2, 61, 49, 198);
INSERT INTO public.who_data VALUES (11564, 10, 1024, 0, 17, 49, 216);
INSERT INTO public.who_data VALUES (11565, 101, 362979, 9, 6239, 49, 164);
INSERT INTO public.who_data VALUES (11566, 371, 19511, 6, 416, 49, 235);
INSERT INTO public.who_data VALUES (11567, 1907, 341904, 38, 3288, 49, 67);
INSERT INTO public.who_data VALUES (11568, 17, 284, 0, 0, 49, 15);
INSERT INTO public.who_data VALUES (11569, 0, 2560, 0, 76, 49, 180);
INSERT INTO public.who_data VALUES (11570, 33, 58662, 0, 29, 49, 237);
INSERT INTO public.who_data VALUES (11571, 0, 19, 0, 0, 49, 25);
INSERT INTO public.who_data VALUES (11572, 0, 1434, 0, 27, 49, 209);
INSERT INTO public.who_data VALUES (11573, 1736, 186244, 0, 2250, 49, 217);
INSERT INTO public.who_data VALUES (11574, 398, 124433, 35, 3058, 49, 79);
INSERT INTO public.who_data VALUES (11575, 0, 17, 0, 0, 49, 143);
INSERT INTO public.who_data VALUES (11576, 0, 4714, 0, 130, 49, 229);
INSERT INTO public.who_data VALUES (11577, 31328, 1088889, 706, 29175, 49, 141);
INSERT INTO public.who_data VALUES (11578, 0, 3558, 0, 63, 49, 197);
INSERT INTO public.who_data VALUES (11579, 7304, 2053112, 131, 52534, 49, 221);
INSERT INTO public.who_data VALUES (11580, 515, 44371, 7, 211, 49, 150);
INSERT INTO public.who_data VALUES (11581, 157, 26039, 9, 1597, 49, 56);
INSERT INTO public.who_data VALUES (11582, 67, 6277, 1, 123, 49, 167);
INSERT INTO public.who_data VALUES (11583, 2618, 457382, 87, 9936, 49, 23);
INSERT INTO public.who_data VALUES (11584, 2717, 458599, 64, 7508, 49, 222);
INSERT INTO public.who_data VALUES (11585, 90, 11616, 6, 723, 49, 219);
INSERT INTO public.who_data VALUES (11586, 3, 13674, 0, 91, 49, 7);
INSERT INTO public.who_data VALUES (11587, 216, 7379, 1, 64, 49, 161);
INSERT INTO public.who_data VALUES (11588, 57724, 2599793, 445, 74570, 49, 149);
INSERT INTO public.who_data VALUES (11589, 0, 44, 0, 0, 49, 6);
INSERT INTO public.who_data VALUES (11590, 50, 3683, 0, 68, 49, 139);
INSERT INTO public.who_data VALUES (11591, 0, 0, 0, 0, 49, 211);
INSERT INTO public.who_data VALUES (11592, 0, 0, 0, 0, 49, 14);
INSERT INTO public.who_data VALUES (11593, 8, 7158, 0, 127, 49, 111);
INSERT INTO public.who_data VALUES (11594, 1422, 141979, 35, 4765, 49, 207);
INSERT INTO public.who_data VALUES (11595, 11180, 2232035, 202, 21295, 49, 66);
INSERT INTO public.who_data VALUES (11596, 0, 0, 0, 0, 49, 173);
INSERT INTO public.who_data VALUES (11597, 15, 908, 0, 6, 49, 145);
INSERT INTO public.who_data VALUES (11598, 0, 0, 0, 0, 49, 65);
INSERT INTO public.who_data VALUES (11599, 496, 35712, 23, 274, 49, 184);
INSERT INTO public.who_data VALUES (11600, 4576, 1074093, 123, 18854, 49, 98);
INSERT INTO public.who_data VALUES (11601, 1963, 211641, 3, 674, 49, 104);
INSERT INTO public.who_data VALUES (11602, 0, 509, 0, 21, 49, 73);
INSERT INTO public.who_data VALUES (11603, 167759, 19974413, 2423, 345253, 49, 8);
INSERT INTO public.who_data VALUES (11604, 0, 2036, 0, 23, 49, 227);
INSERT INTO public.who_data VALUES (11605, 634, 19753, 12, 193, 49, 75);
INSERT INTO public.who_data VALUES (11606, 56, 77238, 0, 614, 49, 45);
INSERT INTO public.who_data VALUES (11607, 0, 1, 0, 0, 49, 133);
INSERT INTO public.who_data VALUES (11608, 0, 113562, 0, 1028, 49, 202);
INSERT INTO public.who_data VALUES (11609, 8, 1482, 0, 35, 49, 129);
INSERT INTO public.who_data VALUES (11610, 0, 4, 0, 0, 49, 36);
INSERT INTO public.who_data VALUES (11611, 0, 2105, 0, 611, 49, 51);
INSERT INTO public.who_data VALUES (11612, 505, 21230, 4, 392, 49, 206);
INSERT INTO public.who_data VALUES (11613, 624, 14491, 14, 377, 49, 5);
INSERT INTO public.who_data VALUES (11614, 73, 52586, 10, 2211, 50, 103);
INSERT INTO public.who_data VALUES (11615, 407, 58723, 5, 1186, 50, 58);
INSERT INTO public.who_data VALUES (11616, 0, 99610, 0, 2756, 50, 195);
INSERT INTO public.who_data VALUES (11617, 0, 0, 0, 0, 50, 115);
INSERT INTO public.who_data VALUES (11618, 68, 8117, 0, 84, 50, 99);
INSERT INTO public.who_data VALUES (11619, 0, 17553, 0, 405, 50, 153);
INSERT INTO public.who_data VALUES (11620, 1, 14, 0, 0, 50, 93);
INSERT INTO public.who_data VALUES (11621, 0, 159, 0, 5, 50, 84);
INSERT INTO public.who_data VALUES (11622, 11586, 1625514, 82, 43245, 50, 78);
INSERT INTO public.who_data VALUES (11623, 1016, 159738, 10, 2828, 50, 170);
INSERT INTO public.who_data VALUES (11624, 0, 5442, 0, 49, 50, 32);
INSERT INTO public.who_data VALUES (11625, 19, 28427, 0, 909, 50, 155);
INSERT INTO public.who_data VALUES (11626, 2110, 361472, 46, 6177, 50, 82);
INSERT INTO public.who_data VALUES (11627, 341, 219041, 29, 2670, 50, 16);
INSERT INTO public.who_data VALUES (11628, 16, 7887, 1, 171, 50, 72);
INSERT INTO public.who_data VALUES (11629, 238, 92913, 0, 352, 50, 43);
INSERT INTO public.who_data VALUES (11630, 990, 514500, 17, 7576, 50, 120);
INSERT INTO public.who_data VALUES (11631, 11, 383, 0, 7, 50, 213);
INSERT INTO public.who_data VALUES (11632, 1939, 196223, 9, 1433, 50, 31);
INSERT INTO public.who_data VALUES (11633, 471, 649785, 50, 19638, 50, 204);
INSERT INTO public.who_data VALUES (11634, 52, 10776, 6, 248, 50, 152);
INSERT INTO public.who_data VALUES (11635, 0, 3251, 0, 44, 50, 144);
INSERT INTO public.who_data VALUES (11636, 0, 604, 0, 10, 50, 96);
INSERT INTO public.who_data VALUES (11637, 19, 689, 0, 0, 50, 47);
INSERT INTO public.who_data VALUES (11638, 1752, 160124, 16, 9165, 50, 80);
INSERT INTO public.who_data VALUES (11639, 0, 165, 0, 3, 50, 159);
INSERT INTO public.who_data VALUES (11640, 500, 112143, 14, 4086, 50, 27);
INSERT INTO public.who_data VALUES (11641, 0, 14025, 0, 40, 50, 146);
INSERT INTO public.who_data VALUES (11642, 56773, 7675973, 1074, 194949, 50, 71);
INSERT INTO public.who_data VALUES (11643, 0, 93, 0, 1, 50, 210);
INSERT INTO public.who_data VALUES (11644, 0, 157, 0, 3, 50, 54);
INSERT INTO public.who_data VALUES (11645, 274, 202540, 28, 7604, 50, 147);
INSERT INTO public.who_data VALUES (11646, 0, 6707, 0, 85, 50, 2);
INSERT INTO public.who_data VALUES (11647, 0, 822, 0, 2, 50, 105);
INSERT INTO public.who_data VALUES (11648, 0, 11840, 0, 113, 50, 53);
INSERT INTO public.who_data VALUES (11649, 1, 379, 0, 0, 50, 81);
INSERT INTO public.who_data VALUES (11650, 0, 26848, 0, 448, 50, 223);
INSERT INTO public.who_data VALUES (11651, 8420, 581402, 133, 15605, 50, 94);
INSERT INTO public.who_data VALUES (11652, 8, 338, 0, 2, 50, 154);
INSERT INTO public.who_data VALUES (11653, 0, 4963, 0, 63, 50, 83);
INSERT INTO public.who_data VALUES (11654, 0, 2113, 0, 104, 50, 194);
INSERT INTO public.who_data VALUES (11655, 3591, 612564, 52, 16660, 50, 136);
INSERT INTO public.who_data VALUES (11656, 67, 96829, 1, 4790, 50, 179);
INSERT INTO public.who_data VALUES (11657, 16314, 1642775, 304, 43213, 50, 57);
INSERT INTO public.who_data VALUES (11658, 0, 765, 0, 9, 50, 35);
INSERT INTO public.who_data VALUES (11659, 0, 6200, 0, 100, 50, 228);
INSERT INTO public.who_data VALUES (11660, 0, 0, 0, 0, 50, 19);
INSERT INTO public.who_data VALUES (11661, 1207, 169321, 14, 2185, 50, 22);
INSERT INTO public.who_data VALUES (11662, 0, 22250, 0, 137, 50, 1);
INSERT INTO public.who_data VALUES (11663, 255, 212262, 55, 4016, 50, 21);
INSERT INTO public.who_data VALUES (11664, 193, 12056, 0, 146, 50, 234);
INSERT INTO public.who_data VALUES (11665, 0, 4230, 0, 14, 50, 91);
INSERT INTO public.who_data VALUES (11666, 167, 22818, 2, 127, 50, 137);
INSERT INTO public.who_data VALUES (11667, 3447, 735469, 116, 11827, 50, 201);
INSERT INTO public.who_data VALUES (11668, 0, 0, 0, 0, 50, 171);
INSERT INTO public.who_data VALUES (11669, 0, 17374, 0, 591, 50, 92);
INSERT INTO public.who_data VALUES (11670, 2451, 165930, 24, 1322, 50, 112);
INSERT INTO public.who_data VALUES (11671, 9, 5840, 0, 61, 50, 62);
INSERT INTO public.who_data VALUES (11672, 0, 96, 0, 0, 50, 69);
INSERT INTO public.who_data VALUES (11673, 1433, 172218, 2, 2416, 50, 220);
INSERT INTO public.who_data VALUES (11674, 866, 213378, 17, 14051, 50, 100);
INSERT INTO public.who_data VALUES (11675, 1409, 139471, 56, 7687, 50, 187);
INSERT INTO public.who_data VALUES (11676, 0, 45960, 7, 1343, 50, 63);
INSERT INTO public.who_data VALUES (11677, 0, 5277, 0, 86, 50, 28);
INSERT INTO public.who_data VALUES (11678, 0, 1320, 0, 3, 50, 172);
INSERT INTO public.who_data VALUES (11679, 383, 28789, 7, 241, 50, 17);
INSERT INTO public.who_data VALUES (11680, 0, 9358, 0, 206, 50, 226);
INSERT INTO public.who_data VALUES (11681, 0, 124264, 0, 1923, 50, 236);
INSERT INTO public.who_data VALUES (11682, 0, 29, 0, 0, 50, 76);
INSERT INTO public.who_data VALUES (11683, 0, 610, 0, 0, 50, 30);
INSERT INTO public.who_data VALUES (11684, 0, 49, 0, 2, 50, 128);
INSERT INTO public.who_data VALUES (11685, 296, 36403, 0, 561, 50, 86);
INSERT INTO public.who_data VALUES (11686, 19241, 2595661, 133, 64387, 50, 140);
INSERT INTO public.who_data VALUES (11687, 107, 13273, 0, 71, 50, 44);
INSERT INTO public.who_data VALUES (11688, 0, 16926, 0, 114, 50, 113);
INSERT INTO public.who_data VALUES (11689, 0, 9571, 0, 64, 50, 29);
INSERT INTO public.who_data VALUES (11690, 0, 3800, 0, 124, 50, 125);
INSERT INTO public.who_data VALUES (11691, 342, 228752, 44, 2572, 50, 131);
INSERT INTO public.who_data VALUES (11692, 12690, 1755351, 336, 33960, 50, 46);
INSERT INTO public.who_data VALUES (11693, 0, 54771, 0, 335, 50, 10);
INSERT INTO public.who_data VALUES (11694, 67, 2040, 1, 7, 50, 205);
INSERT INTO public.who_data VALUES (11695, 597, 139447, 43, 4881, 50, 50);
INSERT INTO public.who_data VALUES (11696, 0, 27, 0, 0, 50, 20);
INSERT INTO public.who_data VALUES (11697, 0, 130, 0, 1, 50, 13);
INSERT INTO public.who_data VALUES (11698, 0, 8620, 0, 155, 50, 148);
INSERT INTO public.who_data VALUES (11699, 9, 7148, 0, 122, 50, 230);
INSERT INTO public.who_data VALUES (11700, 224, 138236, 7, 4820, 50, 190);
INSERT INTO public.who_data VALUES (11701, 0, 298, 0, 13, 50, 188);
INSERT INTO public.who_data VALUES (11702, 0, 13722, 0, 81, 50, 123);
INSERT INTO public.who_data VALUES (11703, 0, 2447, 0, 45, 50, 9);
INSERT INTO public.who_data VALUES (11704, 13, 6332, 0, 164, 50, 102);
INSERT INTO public.who_data VALUES (11705, 0, 10015, 0, 236, 50, 34);
INSERT INTO public.who_data VALUES (11706, 0, 26, 0, 0, 50, 212);
INSERT INTO public.who_data VALUES (11707, 936, 122763, 11, 3141, 50, 122);
INSERT INTO public.who_data VALUES (11708, 1410, 326688, 114, 9781, 50, 38);
INSERT INTO public.who_data VALUES (11709, 0, 5754, 0, 29, 50, 130);
INSERT INTO public.who_data VALUES (11710, 19079, 10305788, 224, 149218, 50, 37);
INSERT INTO public.who_data VALUES (11711, 8072, 751270, 191, 22329, 50, 231);
INSERT INTO public.who_data VALUES (11712, 6286, 1231429, 114, 55337, 50, 107);
INSERT INTO public.who_data VALUES (11713, 902, 596193, 11, 12824, 50, 101);
INSERT INTO public.who_data VALUES (11714, 1753, 93532, 11, 2248, 50, 132);
INSERT INTO public.who_data VALUES (11715, 3, 380, 0, 25, 50, 176);
INSERT INTO public.who_data VALUES (11716, 5875, 425751, 36, 3364, 50, 200);
INSERT INTO public.who_data VALUES (11717, 22210, 2129376, 462, 74621, 50, 169);
INSERT INTO public.who_data VALUES (11718, 88, 12915, 1, 303, 50, 225);
INSERT INTO public.who_data VALUES (11719, 3617, 238012, 54, 3514, 50, 165);
INSERT INTO public.who_data VALUES (11720, 34, 2760, 2, 44, 50, 233);
INSERT INTO public.who_data VALUES (11721, 1271, 295765, 17, 3851, 50, 215);
INSERT INTO public.who_data VALUES (11722, 721, 202880, 0, 2749, 50, 177);
INSERT INTO public.who_data VALUES (11723, 0, 96458, 0, 1670, 50, 183);
INSERT INTO public.who_data VALUES (11724, 0, 0, 0, 0, 50, 203);
INSERT INTO public.who_data VALUES (11725, 174, 51459, 1, 1326, 50, 162);
INSERT INTO public.who_data VALUES (11726, 285, 150869, 2, 936, 50, 12);
INSERT INTO public.who_data VALUES (11727, 58, 81214, 2, 1358, 50, 24);
INSERT INTO public.who_data VALUES (11728, 0, 41, 0, 0, 50, 119);
INSERT INTO public.who_data VALUES (11729, 711, 41615, 9, 644, 50, 39);
INSERT INTO public.who_data VALUES (11730, 2385, 183888, 11, 1466, 50, 26);
INSERT INTO public.who_data VALUES (11731, 0, 2577, 0, 50, 50, 59);
INSERT INTO public.who_data VALUES (11732, 0, 1800, 0, 83, 50, 77);
INSERT INTO public.who_data VALUES (11733, 467, 100744, 9, 1487, 50, 134);
INSERT INTO public.who_data VALUES (11734, 14, 2259, 0, 42, 50, 4);
INSERT INTO public.who_data VALUES (11735, 1492, 145387, 51, 1889, 50, 109);
INSERT INTO public.who_data VALUES (11736, 215, 46813, 3, 501, 50, 90);
INSERT INTO public.who_data VALUES (11737, 0, 17714, 0, 261, 50, 61);
INSERT INTO public.who_data VALUES (11738, 0, 6583, 0, 189, 50, 85);
INSERT INTO public.who_data VALUES (11739, 2068, 115078, 3, 474, 50, 49);
INSERT INTO public.who_data VALUES (11740, 47, 13804, 0, 48, 50, 208);
INSERT INTO public.who_data VALUES (11741, 0, 7090, 0, 269, 50, 166);
INSERT INTO public.who_data VALUES (11742, 109, 12774, 4, 219, 50, 64);
INSERT INTO public.who_data VALUES (11743, 0, 4, 0, 0, 50, 199);
INSERT INTO public.who_data VALUES (11744, 0, 6091, 0, 43, 50, 114);
INSERT INTO public.who_data VALUES (11745, 0, 13642, 0, 324, 50, 60);
INSERT INTO public.who_data VALUES (11746, 0, 527, 0, 10, 50, 68);
INSERT INTO public.who_data VALUES (11747, 0, 5890, 0, 55, 50, 158);
INSERT INTO public.who_data VALUES (11748, 12159, 1426094, 910, 125807, 50, 52);
INSERT INTO public.who_data VALUES (11749, 0, 0, 0, 0, 50, 117);
INSERT INTO public.who_data VALUES (11750, 10, 888, 0, 3, 50, 126);
INSERT INTO public.who_data VALUES (11751, 5, 1220, 0, 0, 50, 196);
INSERT INTO public.who_data VALUES (11752, 386, 49179, 0, 684, 50, 142);
INSERT INTO public.who_data VALUES (11753, 0, 13, 0, 1, 50, 185);
INSERT INTO public.who_data VALUES (11754, 1777, 440970, 37, 7425, 50, 138);
INSERT INTO public.who_data VALUES (11755, 0, 18642, 0, 166, 50, 181);
INSERT INTO public.who_data VALUES (11756, 423, 125053, 15, 2697, 50, 178);
INSERT INTO public.who_data VALUES (11757, 0, 23941, 0, 205, 50, 168);
INSERT INTO public.who_data VALUES (11758, 0, 0, 0, 0, 50, 160);
INSERT INTO public.who_data VALUES (11759, 426, 261019, 8, 1864, 50, 151);
INSERT INTO public.who_data VALUES (11760, 8172, 803936, 98, 11500, 50, 193);
INSERT INTO public.who_data VALUES (11761, 0, 38, 0, 0, 50, 18);
INSERT INTO public.who_data VALUES (11762, 0, 1806, 0, 25, 50, 40);
INSERT INTO public.who_data VALUES (11763, 0, 4829, 0, 165, 50, 218);
INSERT INTO public.who_data VALUES (11764, 0, 3208, 0, 102, 50, 191);
INSERT INTO public.who_data VALUES (11765, 0, 87510, 0, 1289, 50, 156);
INSERT INTO public.who_data VALUES (11766, 0, 0, 0, 0, 50, 135);
INSERT INTO public.who_data VALUES (11767, 0, 122, 0, 2, 50, 88);
INSERT INTO public.who_data VALUES (11768, 414, 83743, 7, 2510, 50, 55);
INSERT INTO public.who_data VALUES (11769, 0, 48278, 0, 436, 50, 108);
INSERT INTO public.who_data VALUES (11770, 1450, 156815, 21, 1550, 50, 48);
INSERT INTO public.who_data VALUES (11771, 0, 128867, 0, 1499, 50, 3);
INSERT INTO public.who_data VALUES (11772, 0, 745, 0, 13, 50, 224);
INSERT INTO public.who_data VALUES (11773, 2463, 482178, 71, 10176, 50, 110);
INSERT INTO public.who_data VALUES (11774, 0, 0, 0, 0, 50, 106);
INSERT INTO public.who_data VALUES (11775, 4046, 246790, 47, 4022, 50, 89);
INSERT INTO public.who_data VALUES (11776, 0, 780, 0, 9, 50, 121);
INSERT INTO public.who_data VALUES (11777, 974, 107932, 20, 2262, 50, 163);
INSERT INTO public.who_data VALUES (11778, 2523, 1015137, 59, 37680, 50, 70);
INSERT INTO public.who_data VALUES (11779, 1756, 475820, 4, 9248, 50, 174);
INSERT INTO public.who_data VALUES (11780, 0, 0, 0, 0, 50, 175);
INSERT INTO public.who_data VALUES (11781, 7006, 1312780, 102, 29058, 50, 118);
INSERT INTO public.who_data VALUES (11782, 6951, 420629, 66, 6972, 50, 189);
INSERT INTO public.who_data VALUES (11783, 763, 77054, 18, 1521, 50, 124);
INSERT INTO public.who_data VALUES (11784, 208, 144042, 0, 245, 50, 192);
INSERT INTO public.who_data VALUES (11785, 824, 62578, 25, 942, 50, 41);
INSERT INTO public.who_data VALUES (11786, 440, 145258, 19, 3004, 50, 95);
INSERT INTO public.who_data VALUES (11787, 0, 9037, 0, 42, 50, 74);
INSERT INTO public.who_data VALUES (11788, 3938, 636201, 74, 15841, 50, 11);
INSERT INTO public.who_data VALUES (11789, 26301, 3212637, 447, 58002, 50, 87);
INSERT INTO public.who_data VALUES (11790, 0, 8383, 0, 92, 50, 214);
INSERT INTO public.who_data VALUES (11791, 0, 5, 0, 0, 50, 116);
INSERT INTO public.who_data VALUES (11792, 0, 190, 0, 0, 50, 157);
INSERT INTO public.who_data VALUES (11793, 0, 0, 0, 0, 50, 182);
INSERT INTO public.who_data VALUES (11794, 0, 32, 0, 0, 50, 186);
INSERT INTO public.who_data VALUES (11795, 0, 353, 0, 5, 50, 127);
INSERT INTO public.who_data VALUES (11796, 0, 995, 0, 12, 50, 232);
INSERT INTO public.who_data VALUES (11797, 0, 16, 0, 0, 50, 33);
INSERT INTO public.who_data VALUES (11798, 2, 121, 0, 0, 50, 97);
INSERT INTO public.who_data VALUES (11799, 0, 2, 0, 0, 50, 42);
INSERT INTO public.who_data VALUES (11800, 44, 2428, 0, 59, 50, 198);
INSERT INTO public.who_data VALUES (11801, 0, 1014, 0, 17, 50, 216);
INSERT INTO public.who_data VALUES (11802, 137, 362878, 7, 6230, 50, 164);
INSERT INTO public.who_data VALUES (11803, 0, 19140, 0, 410, 50, 235);
INSERT INTO public.who_data VALUES (11804, 2074, 339997, 39, 3250, 50, 67);
INSERT INTO public.who_data VALUES (11805, 0, 267, 0, 0, 50, 15);
INSERT INTO public.who_data VALUES (11806, 0, 2560, 0, 76, 50, 180);
INSERT INTO public.who_data VALUES (11807, 30, 58629, 0, 29, 50, 237);
INSERT INTO public.who_data VALUES (11808, 0, 19, 0, 0, 50, 25);
INSERT INTO public.who_data VALUES (11809, 0, 1434, 0, 27, 50, 209);
INSERT INTO public.who_data VALUES (11810, 4965, 184508, 112, 2250, 50, 217);
INSERT INTO public.who_data VALUES (11811, 1772, 124035, 42, 3023, 50, 79);
INSERT INTO public.who_data VALUES (11812, 0, 17, 0, 0, 50, 143);
INSERT INTO public.who_data VALUES (11813, 0, 4714, 0, 130, 50, 229);
INSERT INTO public.who_data VALUES (11814, 0, 1057561, 0, 28469, 50, 141);
INSERT INTO public.who_data VALUES (11815, 0, 3558, 0, 63, 50, 197);
INSERT INTO public.who_data VALUES (11816, 14367, 2045808, 150, 52403, 50, 221);
INSERT INTO public.who_data VALUES (11817, 557, 43856, 0, 204, 50, 150);
INSERT INTO public.who_data VALUES (11818, 152, 25882, 12, 1588, 50, 56);
INSERT INTO public.who_data VALUES (11819, 29, 6210, 1, 122, 50, 167);
INSERT INTO public.who_data VALUES (11820, 7001, 454764, 110, 9849, 50, 23);
INSERT INTO public.who_data VALUES (11821, 1679, 455882, 73, 7444, 50, 222);
INSERT INTO public.who_data VALUES (11822, 92, 11526, 6, 717, 50, 219);
INSERT INTO public.who_data VALUES (11823, 6, 13671, 1, 91, 50, 7);
INSERT INTO public.who_data VALUES (11824, 279, 7163, 2, 63, 50, 161);
INSERT INTO public.who_data VALUES (11825, 53285, 2542069, 613, 74125, 50, 149);
INSERT INTO public.who_data VALUES (11826, 0, 44, 0, 0, 50, 6);
INSERT INTO public.who_data VALUES (11827, 0, 3633, 0, 68, 50, 139);
INSERT INTO public.who_data VALUES (11828, 0, 0, 0, 0, 50, 211);
INSERT INTO public.who_data VALUES (11829, 0, 0, 0, 0, 50, 14);
INSERT INTO public.who_data VALUES (11830, 18, 7150, 1, 127, 50, 111);
INSERT INTO public.who_data VALUES (11831, 1417, 140557, 54, 4730, 50, 207);
INSERT INTO public.who_data VALUES (11832, 12203, 2220855, 212, 21093, 50, 66);
INSERT INTO public.who_data VALUES (11833, 0, 0, 0, 0, 50, 173);
INSERT INTO public.who_data VALUES (11834, 19, 893, 0, 6, 50, 145);
INSERT INTO public.who_data VALUES (11835, 0, 0, 0, 0, 50, 65);
INSERT INTO public.who_data VALUES (11836, 0, 35216, 0, 251, 50, 184);
INSERT INTO public.who_data VALUES (11837, 5038, 1069517, 51, 18731, 50, 98);
INSERT INTO public.who_data VALUES (11838, 1856, 209678, 2, 671, 50, 104);
INSERT INTO public.who_data VALUES (11839, 0, 509, 0, 21, 50, 73);
INSERT INTO public.who_data VALUES (11840, 228437, 19806654, 3280, 342830, 50, 8);
INSERT INTO public.who_data VALUES (11841, 5, 2036, 0, 23, 50, 227);
INSERT INTO public.who_data VALUES (11842, 639, 19119, 7, 181, 50, 75);
INSERT INTO public.who_data VALUES (11843, 56, 77182, 0, 614, 50, 45);
INSERT INTO public.who_data VALUES (11844, 0, 1, 0, 0, 50, 133);
INSERT INTO public.who_data VALUES (11845, 441, 113562, 3, 1028, 50, 202);
INSERT INTO public.who_data VALUES (11846, 9, 1474, 0, 35, 50, 129);
INSERT INTO public.who_data VALUES (11847, 0, 4, 0, 0, 50, 36);
INSERT INTO public.who_data VALUES (11848, 2, 2105, 0, 611, 50, 51);
INSERT INTO public.who_data VALUES (11849, 0, 20725, 0, 388, 50, 206);
INSERT INTO public.who_data VALUES (11850, 0, 13867, 0, 363, 50, 5);
INSERT INTO public.who_data VALUES (11851, 183, 52513, 12, 2201, 51, 103);
INSERT INTO public.who_data VALUES (11852, 589, 58316, 7, 1181, 51, 58);
INSERT INTO public.who_data VALUES (11853, 299, 99610, 5, 2756, 51, 195);
INSERT INTO public.who_data VALUES (11854, 0, 0, 0, 0, 51, 115);
INSERT INTO public.who_data VALUES (11855, 66, 8049, 0, 84, 51, 99);
INSERT INTO public.who_data VALUES (11856, 182, 17553, 6, 405, 51, 153);
INSERT INTO public.who_data VALUES (11857, 0, 13, 0, 0, 51, 93);
INSERT INTO public.who_data VALUES (11858, 1, 159, 0, 5, 51, 84);
INSERT INTO public.who_data VALUES (11859, 11765, 1613928, 145, 43163, 51, 78);
INSERT INTO public.who_data VALUES (11860, 531, 158722, 16, 2818, 51, 170);
INSERT INTO public.who_data VALUES (11861, 69, 5442, 0, 49, 51, 32);
INSERT INTO public.who_data VALUES (11862, 27, 28408, 0, 909, 51, 155);
INSERT INTO public.who_data VALUES (11863, 3011, 359362, 45, 6131, 51, 82);
INSERT INTO public.who_data VALUES (11864, 1064, 218700, 32, 2641, 51, 16);
INSERT INTO public.who_data VALUES (11865, 14, 7871, 0, 170, 51, 72);
INSERT INTO public.who_data VALUES (11866, 250, 92675, 0, 352, 51, 43);
INSERT INTO public.who_data VALUES (11867, 1014, 513510, 28, 7559, 51, 120);
INSERT INTO public.who_data VALUES (11868, 0, 372, 0, 7, 51, 213);
INSERT INTO public.who_data VALUES (11869, 1923, 194284, 10, 1424, 51, 31);
INSERT INTO public.who_data VALUES (11870, 1721, 649314, 87, 19588, 51, 204);
INSERT INTO public.who_data VALUES (11871, 56, 10724, 1, 242, 51, 152);
INSERT INTO public.who_data VALUES (11872, 0, 3251, 0, 44, 51, 144);
INSERT INTO public.who_data VALUES (11873, 9, 604, 0, 10, 51, 96);
INSERT INTO public.who_data VALUES (11874, 15, 670, 0, 0, 51, 47);
INSERT INTO public.who_data VALUES (11875, 1485, 158372, 14, 9149, 51, 80);
INSERT INTO public.who_data VALUES (11876, 3, 165, 0, 3, 51, 159);
INSERT INTO public.who_data VALUES (11877, 658, 111643, 22, 4072, 51, 27);
INSERT INTO public.who_data VALUES (11878, 0, 14025, 0, 40, 51, 146);
INSERT INTO public.who_data VALUES (11879, 55649, 7619200, 1194, 193875, 51, 71);
INSERT INTO public.who_data VALUES (11880, 0, 93, 0, 1, 51, 210);
INSERT INTO public.who_data VALUES (11881, 0, 157, 0, 3, 51, 54);
INSERT INTO public.who_data VALUES (11882, 1046, 202266, 61, 7576, 51, 147);
INSERT INTO public.who_data VALUES (11883, 170, 6707, 3, 85, 51, 2);
INSERT INTO public.who_data VALUES (11884, 4, 822, 0, 2, 51, 105);
INSERT INTO public.who_data VALUES (11885, 47, 11840, 1, 113, 51, 53);
INSERT INTO public.who_data VALUES (11886, 12, 378, 0, 0, 51, 81);
INSERT INTO public.who_data VALUES (11887, 571, 26848, 0, 448, 51, 223);
INSERT INTO public.who_data VALUES (11888, 7476, 572982, 94, 15472, 51, 94);
INSERT INTO public.who_data VALUES (11889, 4, 330, 0, 2, 51, 154);
INSERT INTO public.who_data VALUES (11890, 0, 4963, 0, 63, 51, 83);
INSERT INTO public.who_data VALUES (11891, 36, 2113, 0, 104, 51, 194);
INSERT INTO public.who_data VALUES (11892, 3023, 608973, 109, 16608, 51, 136);
INSERT INTO public.who_data VALUES (11893, 89, 96762, 1, 4789, 51, 179);
INSERT INTO public.who_data VALUES (11894, 11639, 1626461, 289, 42909, 51, 57);
INSERT INTO public.who_data VALUES (11895, 0, 765, 0, 9, 51, 35);
INSERT INTO public.who_data VALUES (11896, 0, 6200, 0, 100, 51, 228);
INSERT INTO public.who_data VALUES (11897, 0, 0, 0, 0, 51, 19);
INSERT INTO public.who_data VALUES (11898, 1315, 168114, 15, 2171, 51, 22);
INSERT INTO public.who_data VALUES (11899, 0, 22250, 0, 137, 51, 1);
INSERT INTO public.who_data VALUES (11900, 1170, 212007, 41, 3961, 51, 21);
INSERT INTO public.who_data VALUES (11901, 176, 11863, 1, 146, 51, 234);
INSERT INTO public.who_data VALUES (11902, 51, 4230, 0, 14, 51, 91);
INSERT INTO public.who_data VALUES (11903, 632, 22651, 6, 125, 51, 137);
INSERT INTO public.who_data VALUES (11904, 13361, 732022, 131, 11711, 51, 201);
INSERT INTO public.who_data VALUES (11905, 0, 0, 0, 0, 51, 171);
INSERT INTO public.who_data VALUES (11906, 194, 17374, 7, 591, 51, 92);
INSERT INTO public.who_data VALUES (11907, 2249, 163479, 42, 1298, 51, 112);
INSERT INTO public.who_data VALUES (11908, 7, 5831, 0, 61, 51, 62);
INSERT INTO public.who_data VALUES (11909, 0, 96, 0, 0, 51, 69);
INSERT INTO public.who_data VALUES (11910, 1206, 170785, 5, 2414, 51, 220);
INSERT INTO public.who_data VALUES (11911, 1000, 212512, 11, 14034, 51, 100);
INSERT INTO public.who_data VALUES (11912, 1418, 138062, 55, 7631, 51, 187);
INSERT INTO public.who_data VALUES (11913, 0, 45960, 9, 1336, 51, 63);
INSERT INTO public.who_data VALUES (11914, 13, 5277, 0, 86, 51, 28);
INSERT INTO public.who_data VALUES (11915, 68, 1320, 2, 3, 51, 172);
INSERT INTO public.who_data VALUES (11916, 416, 28406, 5, 234, 51, 17);
INSERT INTO public.who_data VALUES (11917, 212, 9358, 21, 206, 51, 226);
INSERT INTO public.who_data VALUES (11918, 408, 124264, 5, 1923, 51, 236);
INSERT INTO public.who_data VALUES (11919, 0, 29, 0, 0, 51, 76);
INSERT INTO public.who_data VALUES (11920, 5, 610, 0, 0, 51, 30);
INSERT INTO public.who_data VALUES (11921, 0, 49, 0, 2, 51, 128);
INSERT INTO public.who_data VALUES (11922, 249, 36107, 5, 561, 51, 86);
INSERT INTO public.who_data VALUES (11923, 19712, 2576420, 250, 64254, 51, 140);
INSERT INTO public.who_data VALUES (11924, 121, 13166, 0, 71, 51, 44);
INSERT INTO public.who_data VALUES (11925, 75, 16926, 0, 114, 51, 113);
INSERT INTO public.who_data VALUES (11926, 0, 9571, 0, 64, 51, 29);
INSERT INTO public.who_data VALUES (11927, 3, 3800, 0, 124, 51, 125);
INSERT INTO public.who_data VALUES (11928, 990, 228410, 23, 2528, 51, 131);
INSERT INTO public.who_data VALUES (11929, 22924, 1742661, 553, 33624, 51, 46);
INSERT INTO public.who_data VALUES (11930, 0, 54771, 0, 335, 51, 10);
INSERT INTO public.who_data VALUES (11931, 180, 1973, 0, 6, 51, 205);
INSERT INTO public.who_data VALUES (11932, 932, 138850, 50, 4838, 51, 50);
INSERT INTO public.who_data VALUES (11933, 0, 27, 0, 0, 51, 20);
INSERT INTO public.who_data VALUES (11934, 0, 130, 0, 1, 51, 13);
INSERT INTO public.who_data VALUES (11935, 0, 8620, 0, 155, 51, 148);
INSERT INTO public.who_data VALUES (11936, 10, 7139, 1, 122, 51, 230);
INSERT INTO public.who_data VALUES (11937, 846, 138012, 10, 4813, 51, 190);
INSERT INTO public.who_data VALUES (11938, 1, 298, 0, 13, 51, 188);
INSERT INTO public.who_data VALUES (11939, 15, 13722, 1, 81, 51, 123);
INSERT INTO public.who_data VALUES (11940, 0, 2447, 0, 45, 51, 9);
INSERT INTO public.who_data VALUES (11941, 18, 6319, 0, 164, 51, 102);
INSERT INTO public.who_data VALUES (11942, 16, 10015, 0, 236, 51, 34);
INSERT INTO public.who_data VALUES (11943, 0, 26, 0, 0, 51, 212);
INSERT INTO public.who_data VALUES (11944, 915, 121827, 19, 3130, 51, 122);
INSERT INTO public.who_data VALUES (11945, 2764, 325278, 130, 9667, 51, 38);
INSERT INTO public.who_data VALUES (11946, 0, 5754, 0, 29, 51, 130);
INSERT INTO public.who_data VALUES (11947, 20035, 10286709, 256, 148994, 51, 37);
INSERT INTO public.who_data VALUES (11948, 8074, 743198, 194, 22138, 51, 231);
INSERT INTO public.who_data VALUES (11949, 6390, 1225143, 128, 55223, 51, 107);
INSERT INTO public.who_data VALUES (11950, 849, 595291, 5, 12813, 51, 101);
INSERT INTO public.who_data VALUES (11951, 1622, 91779, 11, 2237, 51, 132);
INSERT INTO public.who_data VALUES (11952, 3, 377, 0, 25, 51, 176);
INSERT INTO public.who_data VALUES (11953, 5868, 419876, 15, 3328, 51, 200);
INSERT INTO public.who_data VALUES (11954, 23477, 2107166, 555, 74159, 51, 169);
INSERT INTO public.who_data VALUES (11955, 34, 12827, 0, 302, 51, 225);
INSERT INTO public.who_data VALUES (11956, 4091, 234395, 46, 3460, 51, 165);
INSERT INTO public.who_data VALUES (11957, 19, 2726, 1, 42, 51, 233);
INSERT INTO public.who_data VALUES (11958, 1427, 294494, 19, 3834, 51, 215);
INSERT INTO public.who_data VALUES (11959, 846, 202159, 0, 2749, 51, 177);
INSERT INTO public.who_data VALUES (11960, 207, 96458, 3, 1670, 51, 183);
INSERT INTO public.who_data VALUES (11961, 0, 0, 0, 0, 51, 203);
INSERT INTO public.who_data VALUES (11962, 184, 51285, 3, 1325, 51, 162);
INSERT INTO public.who_data VALUES (11963, 286, 150584, 1, 934, 51, 12);
INSERT INTO public.who_data VALUES (11964, 122, 81156, 1, 1356, 51, 24);
INSERT INTO public.who_data VALUES (11965, 0, 41, 0, 0, 51, 119);
INSERT INTO public.who_data VALUES (11966, 1861, 40904, 9, 635, 51, 39);
INSERT INTO public.who_data VALUES (11967, 3507, 181503, 12, 1455, 51, 26);
INSERT INTO public.who_data VALUES (11968, 0, 2577, 0, 50, 51, 59);
INSERT INTO public.who_data VALUES (11969, 0, 1800, 0, 83, 51, 77);
INSERT INTO public.who_data VALUES (11970, 342, 100277, 19, 1478, 51, 134);
INSERT INTO public.who_data VALUES (11971, 24, 2245, 0, 42, 51, 4);
INSERT INTO public.who_data VALUES (11972, 3322, 143895, 41, 1838, 51, 109);
INSERT INTO public.who_data VALUES (11973, 187, 46598, 3, 498, 51, 90);
INSERT INTO public.who_data VALUES (11974, 0, 17714, 0, 261, 51, 61);
INSERT INTO public.who_data VALUES (11975, 112, 6583, 0, 189, 51, 85);
INSERT INTO public.who_data VALUES (11976, 2525, 113010, 8, 471, 51, 49);
INSERT INTO public.who_data VALUES (11977, 19, 13757, 0, 48, 51, 208);
INSERT INTO public.who_data VALUES (11978, 61, 7090, 0, 269, 51, 166);
INSERT INTO public.who_data VALUES (11979, 124, 12665, 0, 215, 51, 64);
INSERT INTO public.who_data VALUES (11980, 0, 4, 0, 0, 51, 199);
INSERT INTO public.who_data VALUES (11981, 19, 6091, 1, 43, 51, 114);
INSERT INTO public.who_data VALUES (11982, 0, 13642, 0, 324, 51, 60);
INSERT INTO public.who_data VALUES (11983, 0, 527, 0, 10, 51, 68);
INSERT INTO public.who_data VALUES (11984, 0, 5890, 0, 55, 51, 158);
INSERT INTO public.who_data VALUES (11985, 12406, 1413935, 1052, 124897, 51, 52);
INSERT INTO public.who_data VALUES (11986, 0, 0, 0, 0, 51, 117);
INSERT INTO public.who_data VALUES (11987, 22, 878, 0, 3, 51, 126);
INSERT INTO public.who_data VALUES (11988, 20, 1215, 0, 0, 51, 196);
INSERT INTO public.who_data VALUES (11989, 249, 48793, 2, 684, 51, 142);
INSERT INTO public.who_data VALUES (11990, 0, 13, 0, 1, 51, 185);
INSERT INTO public.who_data VALUES (11991, 1861, 439193, 33, 7388, 51, 138);
INSERT INTO public.who_data VALUES (11992, 269, 18642, 3, 166, 51, 181);
INSERT INTO public.who_data VALUES (11993, 890, 124630, 18, 2682, 51, 178);
INSERT INTO public.who_data VALUES (11994, 608, 23941, 9, 205, 51, 168);
INSERT INTO public.who_data VALUES (11995, 0, 0, 0, 0, 51, 160);
INSERT INTO public.who_data VALUES (11996, 534, 260593, 9, 1856, 51, 151);
INSERT INTO public.who_data VALUES (11997, 9668, 795764, 109, 11402, 51, 193);
INSERT INTO public.who_data VALUES (11998, 0, 38, 0, 0, 51, 18);
INSERT INTO public.who_data VALUES (11999, 0, 1806, 0, 25, 51, 40);
INSERT INTO public.who_data VALUES (12000, 0, 4829, 0, 165, 51, 218);
INSERT INTO public.who_data VALUES (12001, 98, 3208, 6, 102, 51, 191);
INSERT INTO public.who_data VALUES (12002, 934, 87510, 11, 1289, 51, 156);
INSERT INTO public.who_data VALUES (12003, 0, 0, 0, 0, 51, 135);
INSERT INTO public.who_data VALUES (12004, 0, 122, 0, 2, 51, 88);
INSERT INTO public.who_data VALUES (12005, 535, 83329, 15, 2503, 51, 55);
INSERT INTO public.who_data VALUES (12006, 0, 48278, 0, 436, 51, 108);
INSERT INTO public.who_data VALUES (12007, 1268, 155365, 29, 1529, 51, 48);
INSERT INTO public.who_data VALUES (12008, 148, 128867, 2, 1499, 51, 3);
INSERT INTO public.who_data VALUES (12009, 0, 745, 0, 13, 51, 224);
INSERT INTO public.who_data VALUES (12010, 2475, 479715, 58, 10105, 51, 110);
INSERT INTO public.who_data VALUES (12011, 0, 0, 0, 0, 51, 106);
INSERT INTO public.who_data VALUES (12012, 4465, 242744, 42, 3975, 51, 89);
INSERT INTO public.who_data VALUES (12013, 0, 780, 0, 9, 51, 121);
INSERT INTO public.who_data VALUES (12014, 822, 106958, 22, 2242, 51, 163);
INSERT INTO public.who_data VALUES (12015, 2118, 1012614, 47, 37621, 51, 70);
INSERT INTO public.who_data VALUES (12016, 1532, 474064, 14, 9244, 51, 174);
INSERT INTO public.who_data VALUES (12017, 0, 0, 0, 0, 51, 175);
INSERT INTO public.who_data VALUES (12018, 10896, 1305774, 402, 28956, 51, 118);
INSERT INTO public.who_data VALUES (12019, 7627, 413678, 76, 6906, 51, 189);
INSERT INTO public.who_data VALUES (12020, 403, 76291, 19, 1503, 51, 124);
INSERT INTO public.who_data VALUES (12021, 213, 143834, 0, 245, 51, 192);
INSERT INTO public.who_data VALUES (12022, 1028, 61754, 17, 917, 51, 41);
INSERT INTO public.who_data VALUES (12023, 977, 144818, 26, 2985, 51, 95);
INSERT INTO public.who_data VALUES (12024, 65, 9037, 0, 42, 51, 74);
INSERT INTO public.who_data VALUES (12025, 4322, 632263, 171, 15767, 51, 11);
INSERT INTO public.who_data VALUES (12026, 27039, 3186336, 536, 57555, 51, 87);
INSERT INTO public.who_data VALUES (12027, 133, 8383, 6, 92, 51, 214);
INSERT INTO public.who_data VALUES (12028, 0, 5, 0, 0, 51, 116);
INSERT INTO public.who_data VALUES (12029, 1, 190, 0, 0, 51, 157);
INSERT INTO public.who_data VALUES (12030, 0, 0, 0, 0, 51, 182);
INSERT INTO public.who_data VALUES (12031, 0, 32, 0, 0, 51, 186);
INSERT INTO public.who_data VALUES (12032, 13, 353, 0, 5, 51, 127);
INSERT INTO public.who_data VALUES (12033, 9, 995, 0, 12, 51, 232);
INSERT INTO public.who_data VALUES (12034, 0, 16, 0, 0, 51, 33);
INSERT INTO public.who_data VALUES (12035, 4, 119, 0, 0, 51, 97);
INSERT INTO public.who_data VALUES (12036, 0, 2, 0, 0, 51, 42);
INSERT INTO public.who_data VALUES (12037, 51, 2384, 0, 59, 51, 198);
INSERT INTO public.who_data VALUES (12038, 0, 1014, 0, 17, 51, 216);
INSERT INTO public.who_data VALUES (12039, 140, 362741, 9, 6223, 51, 164);
INSERT INTO public.who_data VALUES (12040, 195, 19140, 8, 410, 51, 235);
INSERT INTO public.who_data VALUES (12041, 2932, 337923, 48, 3211, 51, 67);
INSERT INTO public.who_data VALUES (12042, 41, 267, 0, 0, 51, 15);
INSERT INTO public.who_data VALUES (12043, 0, 2560, 0, 76, 51, 180);
INSERT INTO public.who_data VALUES (12044, 30, 58599, 0, 29, 51, 237);
INSERT INTO public.who_data VALUES (12045, 0, 19, 0, 0, 51, 25);
INSERT INTO public.who_data VALUES (12046, 11, 1434, 0, 27, 51, 209);
INSERT INTO public.who_data VALUES (12047, 6315, 179543, 73, 2138, 51, 217);
INSERT INTO public.who_data VALUES (12048, 2429, 122263, 28, 2981, 51, 79);
INSERT INTO public.who_data VALUES (12049, 0, 17, 0, 0, 51, 143);
INSERT INTO public.who_data VALUES (12050, 0, 4714, 0, 130, 51, 229);
INSERT INTO public.who_data VALUES (12051, 18400, 1057561, 436, 28469, 51, 141);
INSERT INTO public.who_data VALUES (12052, 18, 3558, 0, 63, 51, 197);
INSERT INTO public.who_data VALUES (12053, 21349, 2031441, 165, 52253, 51, 221);
INSERT INTO public.who_data VALUES (12054, 597, 43299, 5, 204, 51, 150);
INSERT INTO public.who_data VALUES (12055, 230, 25730, 15, 1576, 51, 56);
INSERT INTO public.who_data VALUES (12056, 83, 6181, 1, 121, 51, 167);
INSERT INTO public.who_data VALUES (12057, 10459, 447763, 90, 9739, 51, 23);
INSERT INTO public.who_data VALUES (12058, 3054, 454203, 78, 7371, 51, 222);
INSERT INTO public.who_data VALUES (12059, 90, 11434, 7, 711, 51, 219);
INSERT INTO public.who_data VALUES (12060, 0, 13665, 0, 90, 51, 7);
INSERT INTO public.who_data VALUES (12061, 194, 6884, 0, 61, 51, 161);
INSERT INTO public.who_data VALUES (12062, 55892, 2488784, 964, 73512, 51, 149);
INSERT INTO public.who_data VALUES (12063, 0, 44, 0, 0, 51, 6);
INSERT INTO public.who_data VALUES (12064, 29, 3633, 0, 68, 51, 139);
INSERT INTO public.who_data VALUES (12065, 0, 0, 0, 0, 51, 211);
INSERT INTO public.who_data VALUES (12066, 0, 0, 0, 0, 51, 14);
INSERT INTO public.who_data VALUES (12067, 0, 7132, 0, 126, 51, 111);
INSERT INTO public.who_data VALUES (12068, 1924, 139140, 56, 4676, 51, 207);
INSERT INTO public.who_data VALUES (12069, 14380, 2208652, 239, 20881, 51, 66);
INSERT INTO public.who_data VALUES (12070, 0, 0, 0, 0, 51, 173);
INSERT INTO public.who_data VALUES (12071, 9, 874, 0, 6, 51, 145);
INSERT INTO public.who_data VALUES (12072, 0, 0, 0, 0, 51, 65);
INSERT INTO public.who_data VALUES (12073, 539, 35216, 2, 251, 51, 184);
INSERT INTO public.who_data VALUES (12074, 9432, 1064479, 147, 18680, 51, 98);
INSERT INTO public.who_data VALUES (12075, 1730, 207822, 4, 669, 51, 104);
INSERT INTO public.who_data VALUES (12076, 0, 509, 0, 21, 51, 73);
INSERT INTO public.who_data VALUES (12077, 231427, 19578217, 3761, 339550, 51, 8);
INSERT INTO public.who_data VALUES (12078, 21, 2031, 0, 23, 51, 227);
INSERT INTO public.who_data VALUES (12079, 518, 18480, 6, 174, 51, 75);
INSERT INTO public.who_data VALUES (12080, 66, 77126, 0, 614, 51, 45);
INSERT INTO public.who_data VALUES (12081, 0, 1, 0, 0, 51, 133);
INSERT INTO public.who_data VALUES (12082, 260, 113121, 4, 1025, 51, 202);
INSERT INTO public.who_data VALUES (12083, 9, 1465, 0, 35, 51, 129);
INSERT INTO public.who_data VALUES (12084, 0, 4, 0, 0, 51, 36);
INSERT INTO public.who_data VALUES (12085, 2, 2103, 0, 611, 51, 51);
INSERT INTO public.who_data VALUES (12086, 263, 20725, 2, 388, 51, 206);
INSERT INTO public.who_data VALUES (12087, 242, 13867, 3, 363, 51, 5);
INSERT INTO public.who_data VALUES (12088, 0, 52330, 0, 2189, 52, 103);
INSERT INTO public.who_data VALUES (12089, 581, 57727, 4, 1174, 52, 58);
INSERT INTO public.who_data VALUES (12090, 705, 99311, 15, 2751, 52, 195);
INSERT INTO public.who_data VALUES (12091, 0, 0, 0, 0, 52, 115);
INSERT INTO public.who_data VALUES (12092, 64, 7983, 0, 84, 52, 99);
INSERT INTO public.who_data VALUES (12093, 0, 17371, 0, 399, 52, 153);
INSERT INTO public.who_data VALUES (12094, 0, 13, 0, 0, 52, 93);
INSERT INTO public.who_data VALUES (12095, 0, 158, 0, 5, 52, 84);
INSERT INTO public.who_data VALUES (12096, 11650, 1602163, 150, 43018, 52, 78);
INSERT INTO public.who_data VALUES (12097, 582, 158191, 10, 2802, 52, 170);
INSERT INTO public.who_data VALUES (12098, 50, 5373, 0, 49, 52, 32);
INSERT INTO public.who_data VALUES (12099, 31, 28381, 0, 909, 52, 155);
INSERT INTO public.who_data VALUES (12100, 3129, 356351, 81, 6086, 52, 82);
INSERT INTO public.who_data VALUES (12101, 1052, 217636, 34, 2609, 52, 16);
INSERT INTO public.who_data VALUES (12102, 11, 7857, 0, 170, 52, 72);
INSERT INTO public.who_data VALUES (12103, 256, 92425, 1, 352, 52, 43);
INSERT INTO public.who_data VALUES (12104, 1235, 512496, 22, 7531, 52, 120);
INSERT INTO public.who_data VALUES (12105, 7, 372, 0, 7, 52, 213);
INSERT INTO public.who_data VALUES (12106, 1957, 192361, 10, 1414, 52, 31);
INSERT INTO public.who_data VALUES (12107, 2081, 647593, 74, 19501, 52, 204);
INSERT INTO public.who_data VALUES (12108, 77, 10668, 5, 241, 52, 152);
INSERT INTO public.who_data VALUES (12109, 0, 3251, 0, 44, 52, 144);
INSERT INTO public.who_data VALUES (12110, 14, 595, 0, 10, 52, 96);
INSERT INTO public.who_data VALUES (12111, 19, 655, 0, 0, 52, 47);
INSERT INTO public.who_data VALUES (12112, 1293, 156887, 29, 9135, 52, 80);
INSERT INTO public.who_data VALUES (12113, 3, 162, 0, 3, 52, 159);
INSERT INTO public.who_data VALUES (12114, 531, 110985, 26, 4050, 52, 27);
INSERT INTO public.who_data VALUES (12115, 0, 14025, 0, 40, 52, 146);
INSERT INTO public.who_data VALUES (12116, 58718, 7563551, 1111, 192681, 52, 71);
INSERT INTO public.who_data VALUES (12117, 0, 93, 0, 1, 52, 210);
INSERT INTO public.who_data VALUES (12118, 5, 157, 0, 3, 52, 54);
INSERT INTO public.who_data VALUES (12119, 1729, 201220, 110, 7515, 52, 147);
INSERT INTO public.who_data VALUES (12120, 0, 6537, 0, 82, 52, 2);
INSERT INTO public.who_data VALUES (12121, 9, 818, 0, 2, 52, 105);
INSERT INTO public.who_data VALUES (12122, 41, 11793, 0, 112, 52, 53);
INSERT INTO public.who_data VALUES (12123, 2, 366, 0, 0, 52, 81);
INSERT INTO public.who_data VALUES (12124, 0, 26277, 0, 448, 52, 223);
INSERT INTO public.who_data VALUES (12125, 6442, 565506, 156, 15378, 52, 94);
INSERT INTO public.who_data VALUES (12126, 8, 326, 0, 2, 52, 154);
INSERT INTO public.who_data VALUES (12127, 0, 4963, 0, 63, 52, 83);
INSERT INTO public.who_data VALUES (12128, 62, 2077, 0, 104, 52, 194);
INSERT INTO public.who_data VALUES (12129, 1964, 605950, 11, 16499, 52, 136);
INSERT INTO public.who_data VALUES (12130, 81, 96673, 4, 4788, 52, 179);
INSERT INTO public.who_data VALUES (12131, 11015, 1614822, 246, 42620, 52, 57);
INSERT INTO public.who_data VALUES (12132, 34, 765, 2, 9, 52, 35);
INSERT INTO public.who_data VALUES (12133, 0, 6200, 0, 100, 52, 228);
INSERT INTO public.who_data VALUES (12134, 0, 0, 0, 0, 52, 19);
INSERT INTO public.who_data VALUES (12135, 1037, 166799, 12, 2156, 52, 22);
INSERT INTO public.who_data VALUES (12136, 0, 22250, 0, 137, 52, 1);
INSERT INTO public.who_data VALUES (12137, 2391, 210837, 60, 3920, 52, 21);
INSERT INTO public.who_data VALUES (12138, 86, 11687, 2, 145, 52, 234);
INSERT INTO public.who_data VALUES (12139, 28, 4179, 0, 14, 52, 91);
INSERT INTO public.who_data VALUES (12140, 704, 22019, 2, 119, 52, 137);
INSERT INTO public.who_data VALUES (12141, 17039, 718661, 151, 11580, 52, 201);
INSERT INTO public.who_data VALUES (12142, 0, 0, 0, 0, 52, 171);
INSERT INTO public.who_data VALUES (12143, 265, 17180, 0, 584, 52, 92);
INSERT INTO public.who_data VALUES (12144, 2783, 161230, 30, 1256, 52, 112);
INSERT INTO public.who_data VALUES (12145, 11, 5824, 0, 61, 52, 62);
INSERT INTO public.who_data VALUES (12146, 0, 96, 0, 0, 52, 69);
INSERT INTO public.who_data VALUES (12147, 1314, 169579, 4, 2409, 52, 220);
INSERT INTO public.who_data VALUES (12148, 1186, 211512, 22, 14023, 52, 100);
INSERT INTO public.who_data VALUES (12149, 1411, 136644, 56, 7576, 52, 187);
INSERT INTO public.who_data VALUES (12150, 545, 45960, 14, 1327, 52, 63);
INSERT INTO public.who_data VALUES (12151, 16, 5264, 0, 86, 52, 28);
INSERT INTO public.who_data VALUES (12152, 32, 1252, 0, 1, 52, 172);
INSERT INTO public.who_data VALUES (12153, 734, 27990, 3, 229, 52, 17);
INSERT INTO public.who_data VALUES (12154, 212, 9146, 9, 185, 52, 226);
INSERT INTO public.who_data VALUES (12155, 711, 123856, 6, 1918, 52, 236);
INSERT INTO public.who_data VALUES (12156, 0, 29, 0, 0, 52, 76);
INSERT INTO public.who_data VALUES (12157, 4, 605, 0, 0, 52, 30);
INSERT INTO public.who_data VALUES (12158, 0, 49, 0, 2, 52, 128);
INSERT INTO public.who_data VALUES (12159, 0, 35858, 0, 556, 52, 86);
INSERT INTO public.who_data VALUES (12160, 26308, 2556708, 303, 64004, 52, 140);
INSERT INTO public.who_data VALUES (12161, 149, 13045, 0, 71, 52, 44);
INSERT INTO public.who_data VALUES (12162, 56, 16851, 1, 114, 52, 113);
INSERT INTO public.who_data VALUES (12163, 61, 9571, 0, 64, 52, 29);
INSERT INTO public.who_data VALUES (12164, 0, 3797, 0, 124, 52, 125);
INSERT INTO public.who_data VALUES (12165, 1527, 227420, 24, 2505, 52, 131);
INSERT INTO public.who_data VALUES (12166, 32552, 1719737, 964, 33071, 52, 46);
INSERT INTO public.who_data VALUES (12167, 90, 54771, 0, 335, 52, 10);
INSERT INTO public.who_data VALUES (12168, 87, 1793, 0, 6, 52, 205);
INSERT INTO public.who_data VALUES (12169, 942, 137918, 58, 4788, 52, 50);
INSERT INTO public.who_data VALUES (12170, 0, 27, 0, 0, 52, 20);
INSERT INTO public.who_data VALUES (12171, 0, 130, 0, 1, 52, 13);
INSERT INTO public.who_data VALUES (12172, 0, 8620, 0, 155, 52, 148);
INSERT INTO public.who_data VALUES (12173, 15, 7129, 0, 121, 52, 230);
INSERT INTO public.who_data VALUES (12174, 879, 137166, 22, 4803, 52, 190);
INSERT INTO public.who_data VALUES (12175, 0, 297, 0, 13, 52, 188);
INSERT INTO public.who_data VALUES (12176, 19, 13707, 0, 80, 52, 123);
INSERT INTO public.who_data VALUES (12177, 0, 2447, 0, 45, 52, 9);
INSERT INTO public.who_data VALUES (12178, 3, 6301, 0, 164, 52, 102);
INSERT INTO public.who_data VALUES (12179, 0, 9999, 0, 236, 52, 34);
INSERT INTO public.who_data VALUES (12180, 0, 26, 0, 0, 52, 212);
INSERT INTO public.who_data VALUES (12181, 809, 120912, 23, 3111, 52, 122);
INSERT INTO public.who_data VALUES (12182, 2971, 322514, 108, 9537, 52, 38);
INSERT INTO public.who_data VALUES (12183, 0, 5754, 0, 29, 52, 130);
INSERT INTO public.who_data VALUES (12184, 21822, 10266674, 299, 148738, 52, 37);
INSERT INTO public.who_data VALUES (12185, 8002, 735124, 241, 21944, 52, 231);
INSERT INTO public.who_data VALUES (12186, 6272, 1218753, 149, 55095, 52, 107);
INSERT INTO public.who_data VALUES (12187, 901, 594442, 8, 12808, 52, 101);
INSERT INTO public.who_data VALUES (12188, 1718, 90157, 13, 2226, 52, 132);
INSERT INTO public.who_data VALUES (12189, 0, 374, 0, 25, 52, 176);
INSERT INTO public.who_data VALUES (12190, 5638, 414008, 26, 3313, 52, 200);
INSERT INTO public.who_data VALUES (12191, 16202, 2083689, 575, 73604, 52, 169);
INSERT INTO public.who_data VALUES (12192, 41, 12793, 4, 302, 52, 225);
INSERT INTO public.who_data VALUES (12193, 3708, 230304, 65, 3414, 52, 165);
INSERT INTO public.who_data VALUES (12194, 15, 2707, 0, 41, 52, 233);
INSERT INTO public.who_data VALUES (12195, 1674, 293067, 14, 3815, 52, 215);
INSERT INTO public.who_data VALUES (12196, 870, 201313, 0, 2749, 52, 177);
INSERT INTO public.who_data VALUES (12197, 259, 96251, 3, 1667, 52, 183);
INSERT INTO public.who_data VALUES (12198, 0, 0, 0, 0, 52, 203);
INSERT INTO public.who_data VALUES (12199, 234, 51101, 7, 1322, 52, 162);
INSERT INTO public.who_data VALUES (12200, 205, 150298, 1, 933, 52, 12);
INSERT INTO public.who_data VALUES (12201, 191, 81034, 1, 1355, 52, 24);
INSERT INTO public.who_data VALUES (12202, 0, 41, 0, 0, 52, 119);
INSERT INTO public.who_data VALUES (12203, 1367, 39043, 23, 626, 52, 39);
INSERT INTO public.who_data VALUES (12204, 2878, 177996, 13, 1443, 52, 26);
INSERT INTO public.who_data VALUES (12205, 0, 2577, 0, 50, 52, 59);
INSERT INTO public.who_data VALUES (12206, 0, 1800, 0, 83, 52, 77);
INSERT INTO public.who_data VALUES (12207, 585, 99935, 15, 1459, 52, 134);
INSERT INTO public.who_data VALUES (12208, 31, 2221, 1, 42, 52, 4);
INSERT INTO public.who_data VALUES (12209, 2375, 140573, 56, 1797, 52, 109);
INSERT INTO public.who_data VALUES (12210, 326, 46411, 6, 495, 52, 90);
INSERT INTO public.who_data VALUES (12211, 0, 17714, 0, 261, 52, 61);
INSERT INTO public.who_data VALUES (12212, 82, 6471, 1, 189, 52, 85);
INSERT INTO public.who_data VALUES (12213, 1870, 110485, 6, 463, 52, 49);
INSERT INTO public.who_data VALUES (12214, 47, 13738, 0, 48, 52, 208);
INSERT INTO public.who_data VALUES (12215, 326, 7029, 13, 269, 52, 166);
INSERT INTO public.who_data VALUES (12216, 115, 12541, 0, 215, 52, 64);
INSERT INTO public.who_data VALUES (12217, 0, 4, 0, 0, 52, 199);
INSERT INTO public.who_data VALUES (12218, 0, 6072, 0, 42, 52, 114);
INSERT INTO public.who_data VALUES (12219, 0, 13642, 0, 324, 52, 60);
INSERT INTO public.who_data VALUES (12220, 3, 527, 0, 10, 52, 68);
INSERT INTO public.who_data VALUES (12221, 0, 5890, 0, 55, 52, 158);
INSERT INTO public.who_data VALUES (12222, 12099, 1401529, 990, 123845, 52, 52);
INSERT INTO public.who_data VALUES (12223, 0, 0, 0, 0, 52, 117);
INSERT INTO public.who_data VALUES (12224, 26, 856, 0, 3, 52, 126);
INSERT INTO public.who_data VALUES (12225, 20, 1195, 0, 0, 52, 196);
INSERT INTO public.who_data VALUES (12226, 439, 48544, 1, 682, 52, 142);
INSERT INTO public.who_data VALUES (12227, 0, 13, 0, 1, 52, 185);
INSERT INTO public.who_data VALUES (12228, 2143, 437332, 41, 7355, 52, 138);
INSERT INTO public.who_data VALUES (12229, 63, 18373, 1, 163, 52, 181);
INSERT INTO public.who_data VALUES (12230, 587, 123740, 27, 2664, 52, 178);
INSERT INTO public.who_data VALUES (12231, 482, 23333, 1, 196, 52, 168);
INSERT INTO public.who_data VALUES (12232, 0, 0, 0, 0, 52, 160);
INSERT INTO public.who_data VALUES (12233, 511, 260059, 7, 1847, 52, 151);
INSERT INTO public.who_data VALUES (12234, 9456, 786096, 111, 11293, 52, 193);
INSERT INTO public.who_data VALUES (12235, 0, 38, 0, 0, 52, 18);
INSERT INTO public.who_data VALUES (12236, 11, 1806, 0, 25, 52, 40);
INSERT INTO public.who_data VALUES (12237, 0, 4829, 0, 165, 52, 218);
INSERT INTO public.who_data VALUES (12238, 0, 3110, 0, 96, 52, 191);
INSERT INTO public.who_data VALUES (12239, 1016, 86576, 11, 1278, 52, 156);
INSERT INTO public.who_data VALUES (12240, 0, 0, 0, 0, 52, 135);
INSERT INTO public.who_data VALUES (12241, 0, 122, 0, 2, 52, 88);
INSERT INTO public.who_data VALUES (12242, 493, 82794, 15, 2488, 52, 55);
INSERT INTO public.who_data VALUES (12243, 695, 48278, 3, 436, 52, 108);
INSERT INTO public.who_data VALUES (12244, 1539, 154097, 21, 1500, 52, 48);
INSERT INTO public.who_data VALUES (12245, 86, 128719, 0, 1497, 52, 3);
INSERT INTO public.who_data VALUES (12246, 0, 745, 0, 13, 52, 224);
INSERT INTO public.who_data VALUES (12247, 2155, 477240, 55, 10047, 52, 110);
INSERT INTO public.who_data VALUES (12248, 0, 0, 0, 0, 52, 106);
INSERT INTO public.who_data VALUES (12249, 4574, 238279, 41, 3933, 52, 89);
INSERT INTO public.who_data VALUES (12250, 0, 780, 0, 9, 52, 121);
INSERT INTO public.who_data VALUES (12251, 762, 106136, 18, 2220, 52, 163);
INSERT INTO public.who_data VALUES (12252, 1588, 1010496, 49, 37574, 52, 70);
INSERT INTO public.who_data VALUES (12253, 1006, 472532, 68, 9230, 52, 174);
INSERT INTO public.who_data VALUES (12254, 0, 0, 0, 0, 52, 175);
INSERT INTO public.who_data VALUES (12255, 13464, 1294878, 535, 28554, 52, 118);
INSERT INTO public.who_data VALUES (12256, 6049, 406051, 79, 6830, 52, 189);
INSERT INTO public.who_data VALUES (12257, 98, 75888, 24, 1484, 52, 124);
INSERT INTO public.who_data VALUES (12258, 193, 143621, 0, 245, 52, 192);
INSERT INTO public.who_data VALUES (12259, 967, 60726, 21, 900, 52, 41);
INSERT INTO public.who_data VALUES (12260, 990, 143841, 25, 2959, 52, 95);
INSERT INTO public.who_data VALUES (12261, 0, 8972, 0, 42, 52, 74);
INSERT INTO public.who_data VALUES (12262, 4875, 627941, 127, 15596, 52, 11);
INSERT INTO public.who_data VALUES (12263, 27747, 3159297, 593, 57019, 52, 87);
INSERT INTO public.who_data VALUES (12264, 229, 8250, 11, 86, 52, 214);
INSERT INTO public.who_data VALUES (12265, 0, 5, 0, 0, 52, 116);
INSERT INTO public.who_data VALUES (12266, 0, 189, 0, 0, 52, 157);
INSERT INTO public.who_data VALUES (12267, 0, 0, 0, 0, 52, 182);
INSERT INTO public.who_data VALUES (12268, 0, 32, 0, 0, 52, 186);
INSERT INTO public.who_data VALUES (12269, 9, 340, 0, 5, 52, 127);
INSERT INTO public.who_data VALUES (12270, 0, 986, 0, 12, 52, 232);
INSERT INTO public.who_data VALUES (12271, 0, 16, 0, 0, 52, 33);
INSERT INTO public.who_data VALUES (12272, 2, 115, 0, 0, 52, 97);
INSERT INTO public.who_data VALUES (12273, 0, 2, 0, 0, 52, 42);
INSERT INTO public.who_data VALUES (12274, 0, 2333, 0, 59, 52, 198);
INSERT INTO public.who_data VALUES (12275, 0, 1014, 0, 17, 52, 216);
INSERT INTO public.who_data VALUES (12276, 113, 362601, 10, 6214, 52, 164);
INSERT INTO public.who_data VALUES (12277, 139, 18945, 7, 402, 52, 235);
INSERT INTO public.who_data VALUES (12278, 3236, 334991, 44, 3163, 52, 67);
INSERT INTO public.who_data VALUES (12279, 0, 226, 0, 0, 52, 15);
INSERT INTO public.who_data VALUES (12280, 0, 2560, 0, 76, 52, 180);
INSERT INTO public.who_data VALUES (12281, 27, 58569, 0, 29, 52, 237);
INSERT INTO public.who_data VALUES (12282, 0, 19, 0, 0, 52, 25);
INSERT INTO public.who_data VALUES (12283, 12, 1423, 1, 27, 52, 209);
INSERT INTO public.who_data VALUES (12284, 3041, 173228, 82, 2065, 52, 217);
INSERT INTO public.who_data VALUES (12285, 2430, 119834, 31, 2953, 52, 79);
INSERT INTO public.who_data VALUES (12286, 0, 17, 0, 0, 52, 143);
INSERT INTO public.who_data VALUES (12287, 24, 4714, 3, 130, 52, 229);
INSERT INTO public.who_data VALUES (12288, 17710, 1039161, 465, 28033, 52, 141);
INSERT INTO public.who_data VALUES (12289, 49, 3540, 1, 63, 52, 197);
INSERT INTO public.who_data VALUES (12290, 19916, 2010092, 130, 52088, 52, 221);
INSERT INTO public.who_data VALUES (12291, 639, 42702, 5, 199, 52, 150);
INSERT INTO public.who_data VALUES (12292, 262, 25500, 12, 1561, 52, 56);
INSERT INTO public.who_data VALUES (12293, 85, 6098, 0, 120, 52, 167);
INSERT INTO public.who_data VALUES (12294, 8872, 437304, 73, 9649, 52, 23);
INSERT INTO public.who_data VALUES (12295, 4210, 451149, 89, 7293, 52, 222);
INSERT INTO public.who_data VALUES (12296, 101, 11344, 8, 704, 52, 219);
INSERT INTO public.who_data VALUES (12297, 3, 13665, 0, 90, 52, 7);
INSERT INTO public.who_data VALUES (12298, 250, 6690, 0, 61, 52, 161);
INSERT INTO public.who_data VALUES (12299, 50023, 2432892, 981, 72548, 52, 149);
INSERT INTO public.who_data VALUES (12300, 0, 44, 0, 0, 52, 6);
INSERT INTO public.who_data VALUES (12301, 28, 3604, 0, 68, 52, 139);
INSERT INTO public.who_data VALUES (12302, 0, 0, 0, 0, 52, 211);
INSERT INTO public.who_data VALUES (12303, 0, 0, 0, 0, 52, 14);
INSERT INTO public.who_data VALUES (12304, 5, 7132, 1, 126, 52, 111);
INSERT INTO public.who_data VALUES (12305, 2414, 137216, 50, 4620, 52, 207);
INSERT INTO public.who_data VALUES (12306, 15692, 2194272, 254, 20642, 52, 66);
INSERT INTO public.who_data VALUES (12307, 0, 0, 0, 0, 52, 173);
INSERT INTO public.who_data VALUES (12308, 0, 865, 0, 6, 52, 145);
INSERT INTO public.who_data VALUES (12309, 0, 0, 0, 0, 52, 65);
INSERT INTO public.who_data VALUES (12310, 396, 34677, 1, 249, 52, 184);
INSERT INTO public.who_data VALUES (12311, 9699, 1055047, 209, 18533, 52, 98);
INSERT INTO public.who_data VALUES (12312, 1723, 206092, 3, 665, 52, 104);
INSERT INTO public.who_data VALUES (12313, 0, 509, 0, 21, 52, 73);
INSERT INTO public.who_data VALUES (12314, 199163, 19346790, 3366, 335789, 52, 8);
INSERT INTO public.who_data VALUES (12315, 6, 2010, 0, 23, 52, 227);
INSERT INTO public.who_data VALUES (12316, 656, 17962, 8, 168, 52, 75);
INSERT INTO public.who_data VALUES (12317, 75, 77060, 0, 614, 52, 45);
INSERT INTO public.who_data VALUES (12318, 0, 1, 0, 0, 52, 133);
INSERT INTO public.who_data VALUES (12319, 225, 112861, 3, 1021, 52, 202);
INSERT INTO public.who_data VALUES (12320, 2, 1456, 0, 35, 52, 129);
INSERT INTO public.who_data VALUES (12321, 0, 4, 0, 0, 52, 36);
INSERT INTO public.who_data VALUES (12322, 1, 2101, 0, 611, 52, 51);
INSERT INTO public.who_data VALUES (12323, 519, 20462, 2, 386, 52, 206);
INSERT INTO public.who_data VALUES (12324, 477, 13625, 6, 360, 52, 5);
INSERT INTO public.who_data VALUES (12325, 183, 52330, 7, 2189, 53, 103);
INSERT INTO public.who_data VALUES (12326, 574, 57146, 6, 1170, 53, 58);
INSERT INTO public.who_data VALUES (12327, 357, 98606, 8, 2736, 53, 195);
INSERT INTO public.who_data VALUES (12328, 0, 0, 0, 0, 53, 115);
INSERT INTO public.who_data VALUES (12329, 44, 7919, 1, 84, 53, 99);
INSERT INTO public.who_data VALUES (12330, 131, 17371, 0, 399, 53, 153);
INSERT INTO public.who_data VALUES (12331, 0, 13, 0, 0, 53, 93);
INSERT INTO public.who_data VALUES (12332, 3, 158, 0, 5, 53, 84);
INSERT INTO public.who_data VALUES (12333, 6586, 1590513, 218, 42868, 53, 78);
INSERT INTO public.who_data VALUES (12334, 0, 157609, 0, 2792, 53, 170);
INSERT INTO public.who_data VALUES (12335, 18, 5323, 0, 49, 53, 32);
INSERT INTO public.who_data VALUES (12336, 13, 28350, 0, 909, 53, 155);
INSERT INTO public.who_data VALUES (12337, 1836, 353222, 133, 6005, 53, 82);
INSERT INTO public.who_data VALUES (12338, 1101, 216584, 37, 2575, 53, 16);
INSERT INTO public.who_data VALUES (12339, 12, 7846, 0, 170, 53, 72);
INSERT INTO public.who_data VALUES (12340, 234, 92169, 0, 351, 53, 43);
INSERT INTO public.who_data VALUES (12341, 1181, 511261, 30, 7509, 53, 120);
INSERT INTO public.who_data VALUES (12342, 9, 365, 0, 7, 53, 213);
INSERT INTO public.who_data VALUES (12343, 1816, 190404, 10, 1404, 53, 31);
INSERT INTO public.who_data VALUES (12344, 2420, 645512, 76, 19427, 53, 204);
INSERT INTO public.who_data VALUES (12345, 30, 10591, 3, 236, 53, 152);
INSERT INTO public.who_data VALUES (12346, 46, 3251, 0, 44, 53, 144);
INSERT INTO public.who_data VALUES (12347, 0, 581, 0, 10, 53, 96);
INSERT INTO public.who_data VALUES (12348, 13, 636, 0, 0, 53, 47);
INSERT INTO public.who_data VALUES (12349, 751, 155594, 8, 9106, 53, 80);
INSERT INTO public.who_data VALUES (12350, 0, 159, 0, 3, 53, 159);
INSERT INTO public.who_data VALUES (12351, 543, 110454, 48, 4024, 53, 27);
INSERT INTO public.who_data VALUES (12352, 403, 14025, 2, 40, 53, 146);
INSERT INTO public.who_data VALUES (12353, 20548, 7504833, 431, 191570, 53, 71);
INSERT INTO public.who_data VALUES (12354, 0, 93, 0, 1, 53, 210);
INSERT INTO public.who_data VALUES (12355, 0, 152, 0, 3, 53, 54);
INSERT INTO public.who_data VALUES (12356, 1438, 199491, 154, 7405, 53, 147);
INSERT INTO public.who_data VALUES (12357, 193, 6537, 4, 82, 53, 2);
INSERT INTO public.who_data VALUES (12358, 0, 809, 0, 2, 53, 105);
INSERT INTO public.who_data VALUES (12359, 29, 11752, 0, 112, 53, 53);
INSERT INTO public.who_data VALUES (12360, 0, 364, 0, 0, 53, 81);
INSERT INTO public.who_data VALUES (12361, 0, 26277, 0, 448, 53, 223);
INSERT INTO public.who_data VALUES (12362, 5790, 559064, 114, 15222, 53, 94);
INSERT INTO public.who_data VALUES (12363, 0, 318, 0, 2, 53, 154);
INSERT INTO public.who_data VALUES (12364, 2, 4963, 0, 63, 53, 83);
INSERT INTO public.who_data VALUES (12365, 0, 2015, 0, 104, 53, 194);
INSERT INTO public.who_data VALUES (12366, 1958, 603986, 45, 16488, 53, 136);
INSERT INTO public.who_data VALUES (12367, 79, 96592, 2, 4784, 53, 179);
INSERT INTO public.who_data VALUES (12368, 9310, 1603807, 203, 42374, 53, 57);
INSERT INTO public.who_data VALUES (12369, 0, 731, 0, 7, 53, 35);
INSERT INTO public.who_data VALUES (12370, 0, 6200, 0, 100, 53, 228);
INSERT INTO public.who_data VALUES (12371, 0, 0, 0, 0, 53, 19);
INSERT INTO public.who_data VALUES (12372, 558, 165762, 10, 2144, 53, 22);
INSERT INTO public.who_data VALUES (12373, 74, 22250, 0, 137, 53, 1);
INSERT INTO public.who_data VALUES (12374, 1850, 208446, 65, 3860, 53, 21);
INSERT INTO public.who_data VALUES (12375, 167, 11601, 0, 143, 53, 234);
INSERT INTO public.who_data VALUES (12376, 7, 4151, 0, 14, 53, 91);
INSERT INTO public.who_data VALUES (12377, 907, 21315, 4, 117, 53, 137);
INSERT INTO public.who_data VALUES (12378, 16420, 701622, 127, 11429, 53, 201);
INSERT INTO public.who_data VALUES (12379, 0, 0, 0, 0, 53, 171);
INSERT INTO public.who_data VALUES (12380, 78, 16915, 5, 584, 53, 92);
INSERT INTO public.who_data VALUES (12381, 2621, 158447, 22, 1226, 53, 112);
INSERT INTO public.who_data VALUES (12382, 0, 5813, 0, 61, 53, 62);
INSERT INTO public.who_data VALUES (12383, 0, 96, 0, 0, 53, 69);
INSERT INTO public.who_data VALUES (12384, 860, 168265, 1, 2405, 53, 220);
INSERT INTO public.who_data VALUES (12385, 568, 210326, 7, 14001, 53, 100);
INSERT INTO public.who_data VALUES (12386, 1333, 135233, 54, 7520, 53, 187);
INSERT INTO public.who_data VALUES (12387, 0, 45415, 0, 1313, 53, 63);
INSERT INTO public.who_data VALUES (12388, 0, 5248, 0, 86, 53, 28);
INSERT INTO public.who_data VALUES (12389, 181, 1220, -1, 1, 53, 172);
INSERT INTO public.who_data VALUES (12390, 973, 27256, 13, 226, 53, 17);
INSERT INTO public.who_data VALUES (12391, 450, 8934, 11, 176, 53, 226);
INSERT INTO public.who_data VALUES (12392, 0, 123145, 0, 1912, 53, 236);
INSERT INTO public.who_data VALUES (12393, 0, 29, 0, 0, 53, 76);
INSERT INTO public.who_data VALUES (12394, 19, 601, 0, 0, 53, 30);
INSERT INTO public.who_data VALUES (12395, 3, 49, 0, 2, 53, 128);
INSERT INTO public.who_data VALUES (12396, 438, 35858, 6, 556, 53, 86);
INSERT INTO public.who_data VALUES (12397, 11295, 2530400, 969, 63701, 53, 140);
INSERT INTO public.who_data VALUES (12398, 64, 12896, 0, 71, 53, 44);
INSERT INTO public.who_data VALUES (12399, 99, 16795, 0, 113, 53, 113);
INSERT INTO public.who_data VALUES (12400, 0, 9510, 0, 64, 53, 29);
INSERT INTO public.who_data VALUES (12401, 0, 3797, 1, 124, 53, 125);
INSERT INTO public.who_data VALUES (12402, 1738, 225893, 38, 2481, 53, 131);
INSERT INTO public.who_data VALUES (12403, 22459, 1687185, 1129, 32107, 53, 46);
INSERT INTO public.who_data VALUES (12404, 178, 54681, 2, 335, 53, 10);
INSERT INTO public.who_data VALUES (12405, 45, 1706, 0, 6, 53, 205);
INSERT INTO public.who_data VALUES (12406, 1045, 136976, 58, 4730, 53, 50);
INSERT INTO public.who_data VALUES (12407, 1, 27, 0, 0, 53, 20);
INSERT INTO public.who_data VALUES (12408, 0, 130, 0, 1, 53, 13);
INSERT INTO public.who_data VALUES (12409, 0, 8620, 0, 155, 53, 148);
INSERT INTO public.who_data VALUES (12410, 12, 7114, 0, 121, 53, 230);
INSERT INTO public.who_data VALUES (12411, 846, 136287, 8, 4781, 53, 190);
INSERT INTO public.who_data VALUES (12412, 0, 297, 0, 13, 53, 188);
INSERT INTO public.who_data VALUES (12413, 0, 13688, 0, 80, 53, 123);
INSERT INTO public.who_data VALUES (12414, 0, 2447, 0, 45, 53, 9);
INSERT INTO public.who_data VALUES (12415, 0, 6298, 0, 164, 53, 102);
INSERT INTO public.who_data VALUES (12416, 41, 9999, 0, 236, 53, 34);
INSERT INTO public.who_data VALUES (12417, 0, 26, 0, 0, 53, 212);
INSERT INTO public.who_data VALUES (12418, 390, 120103, 22, 3088, 53, 122);
INSERT INTO public.who_data VALUES (12419, 1972, 319543, 137, 9429, 53, 38);
INSERT INTO public.who_data VALUES (12420, 18, 5754, 0, 29, 53, 130);
INSERT INTO public.who_data VALUES (12421, 20549, 10244852, 286, 148439, 53, 37);
INSERT INTO public.who_data VALUES (12422, 7903, 727122, 251, 21703, 53, 231);
INSERT INTO public.who_data VALUES (12423, 6108, 1212481, 132, 54946, 53, 107);
INSERT INTO public.who_data VALUES (12424, 1013, 593541, 9, 12800, 53, 101);
INSERT INTO public.who_data VALUES (12425, 1545, 88439, 8, 2213, 53, 132);
INSERT INTO public.who_data VALUES (12426, 0, 374, 0, 25, 53, 176);
INSERT INTO public.who_data VALUES (12427, 5519, 408370, 33, 3287, 53, 200);
INSERT INTO public.who_data VALUES (12428, 11210, 2067487, 659, 73029, 53, 169);
INSERT INTO public.who_data VALUES (12429, 20, 12752, 0, 298, 53, 225);
INSERT INTO public.who_data VALUES (12430, 3476, 226596, 43, 3349, 53, 165);
INSERT INTO public.who_data VALUES (12431, 29, 2692, 0, 41, 53, 233);
INSERT INTO public.who_data VALUES (12432, 1645, 291393, 23, 3801, 53, 215);
INSERT INTO public.who_data VALUES (12433, 888, 200443, 0, 2749, 53, 177);
INSERT INTO public.who_data VALUES (12434, 0, 95992, 0, 1664, 53, 183);
INSERT INTO public.who_data VALUES (12435, 0, 0, 0, 0, 53, 203);
INSERT INTO public.who_data VALUES (12436, 109, 50867, 8, 1315, 53, 162);
INSERT INTO public.who_data VALUES (12437, 236, 150093, 0, 932, 53, 12);
INSERT INTO public.who_data VALUES (12438, 189, 80843, 1, 1354, 53, 24);
INSERT INTO public.who_data VALUES (12439, 0, 41, 0, 0, 53, 119);
INSERT INTO public.who_data VALUES (12440, 838, 37676, 25, 603, 53, 39);
INSERT INTO public.who_data VALUES (12441, 2298, 175118, 21, 1430, 53, 26);
INSERT INTO public.who_data VALUES (12442, 0, 2577, 0, 50, 53, 59);
INSERT INTO public.who_data VALUES (12443, 0, 1800, 0, 83, 53, 77);
INSERT INTO public.who_data VALUES (12444, 437, 99350, 4, 1444, 53, 134);
INSERT INTO public.who_data VALUES (12445, 37, 2190, 2, 41, 53, 4);
INSERT INTO public.who_data VALUES (12446, 3911, 138198, 44, 1741, 53, 109);
INSERT INTO public.who_data VALUES (12447, 239, 46085, 2, 489, 53, 90);
INSERT INTO public.who_data VALUES (12448, 0, 17714, 0, 261, 53, 61);
INSERT INTO public.who_data VALUES (12449, 35, 6389, 0, 188, 53, 85);
INSERT INTO public.who_data VALUES (12450, 1925, 108615, 2, 457, 53, 49);
INSERT INTO public.who_data VALUES (12451, 31, 13691, 0, 48, 53, 208);
INSERT INTO public.who_data VALUES (12452, 0, 6703, 0, 256, 53, 166);
INSERT INTO public.who_data VALUES (12453, 101, 12426, 5, 215, 53, 64);
INSERT INTO public.who_data VALUES (12454, 0, 4, 0, 0, 53, 199);
INSERT INTO public.who_data VALUES (12455, 0, 6072, 0, 42, 53, 114);
INSERT INTO public.who_data VALUES (12456, 0, 13642, 0, 324, 53, 60);
INSERT INTO public.who_data VALUES (12457, 0, 524, 0, 10, 53, 68);
INSERT INTO public.who_data VALUES (12458, 0, 5890, 0, 55, 53, 158);
INSERT INTO public.who_data VALUES (12459, 5996, 1389430, 429, 122855, 53, 52);
INSERT INTO public.who_data VALUES (12460, 0, 0, 0, 0, 53, 117);
INSERT INTO public.who_data VALUES (12461, 24, 830, 0, 3, 53, 126);
INSERT INTO public.who_data VALUES (12462, 38, 1175, 0, 0, 53, 196);
INSERT INTO public.who_data VALUES (12463, 436, 48105, 4, 681, 53, 142);
INSERT INTO public.who_data VALUES (12464, 0, 13, 0, 1, 53, 185);
INSERT INTO public.who_data VALUES (12465, 2160, 435189, 42, 7314, 53, 138);
INSERT INTO public.who_data VALUES (12466, 45, 18310, 1, 162, 53, 181);
INSERT INTO public.who_data VALUES (12467, 619, 123153, 19, 2637, 53, 178);
INSERT INTO public.who_data VALUES (12468, 928, 22851, 4, 195, 53, 168);
INSERT INTO public.who_data VALUES (12469, 0, 0, 0, 0, 53, 160);
INSERT INTO public.who_data VALUES (12470, 708, 259548, 8, 1840, 53, 151);
INSERT INTO public.who_data VALUES (12471, 7524, 776640, 169, 11182, 53, 193);
INSERT INTO public.who_data VALUES (12472, 0, 38, 0, 0, 53, 18);
INSERT INTO public.who_data VALUES (12473, 0, 1795, 0, 25, 53, 40);
INSERT INTO public.who_data VALUES (12474, 39, 4829, 1, 165, 53, 218);
INSERT INTO public.who_data VALUES (12475, 105, 3110, 5, 96, 53, 191);
INSERT INTO public.who_data VALUES (12476, 749, 85560, 3, 1267, 53, 156);
INSERT INTO public.who_data VALUES (12477, 0, 0, 0, 0, 53, 135);
INSERT INTO public.who_data VALUES (12478, 0, 122, 0, 2, 53, 88);
INSERT INTO public.who_data VALUES (12479, 497, 82301, 17, 2473, 53, 55);
INSERT INTO public.who_data VALUES (12480, 526, 47583, 4, 433, 53, 108);
INSERT INTO public.who_data VALUES (12481, 1149, 152558, 19, 1479, 53, 48);
INSERT INTO public.who_data VALUES (12482, 70, 128633, 2, 1497, 53, 3);
INSERT INTO public.who_data VALUES (12483, 0, 745, 0, 13, 53, 224);
INSERT INTO public.who_data VALUES (12484, 1776, 475085, 63, 9992, 53, 110);
INSERT INTO public.who_data VALUES (12485, 0, 0, 0, 0, 53, 106);
INSERT INTO public.who_data VALUES (12486, 2348, 233705, 52, 3892, 53, 89);
INSERT INTO public.who_data VALUES (12487, 0, 780, 0, 9, 53, 121);
INSERT INTO public.who_data VALUES (12488, 952, 105374, 14, 2202, 53, 163);
INSERT INTO public.who_data VALUES (12489, 1251, 1008908, 51, 37525, 53, 70);
INSERT INTO public.who_data VALUES (12490, 876, 471526, 38, 9162, 53, 174);
INSERT INTO public.who_data VALUES (12491, 0, 0, 0, 0, 53, 175);
INSERT INTO public.who_data VALUES (12492, 12780, 1281414, 565, 28019, 53, 118);
INSERT INTO public.who_data VALUES (12493, 3336, 400002, 74, 6751, 53, 189);
INSERT INTO public.who_data VALUES (12494, 2132, 75790, 4, 1460, 53, 124);
INSERT INTO public.who_data VALUES (12495, 206, 143428, 1, 245, 53, 192);
INSERT INTO public.who_data VALUES (12496, 1050, 59759, 20, 879, 53, 41);
INSERT INTO public.who_data VALUES (12497, 927, 142851, 25, 2934, 53, 95);
INSERT INTO public.who_data VALUES (12498, 36, 8972, 0, 42, 53, 74);
INSERT INTO public.who_data VALUES (12499, 4637, 623066, 135, 15469, 53, 11);
INSERT INTO public.who_data VALUES (12500, 26513, 3131550, 599, 56426, 53, 87);
INSERT INTO public.who_data VALUES (12501, 0, 8021, 0, 75, 53, 214);
INSERT INTO public.who_data VALUES (12502, 0, 5, 0, 0, 53, 116);
INSERT INTO public.who_data VALUES (12503, 0, 189, 0, 0, 53, 157);
INSERT INTO public.who_data VALUES (12504, 0, 0, 0, 0, 53, 182);
INSERT INTO public.who_data VALUES (12505, 0, 32, 0, 0, 53, 186);
INSERT INTO public.who_data VALUES (12506, 0, 331, 0, 5, 53, 127);
INSERT INTO public.who_data VALUES (12507, 0, 986, 0, 12, 53, 232);
INSERT INTO public.who_data VALUES (12508, 0, 16, 0, 0, 53, 33);
INSERT INTO public.who_data VALUES (12509, 4, 113, 0, 0, 53, 97);
INSERT INTO public.who_data VALUES (12510, 0, 2, 0, 0, 53, 42);
INSERT INTO public.who_data VALUES (12511, 57, 2333, 2, 59, 53, 198);
INSERT INTO public.who_data VALUES (12512, 0, 1014, 0, 17, 53, 216);
INSERT INTO public.who_data VALUES (12513, 149, 362488, 8, 6204, 53, 164);
INSERT INTO public.who_data VALUES (12514, 78, 18806, 5, 395, 53, 235);
INSERT INTO public.who_data VALUES (12515, 3136, 331755, 46, 3119, 53, 67);
INSERT INTO public.who_data VALUES (12516, 15, 226, 0, 0, 53, 15);
INSERT INTO public.who_data VALUES (12517, 0, 2560, 0, 76, 53, 180);
INSERT INTO public.who_data VALUES (12518, 13, 58542, 0, 29, 53, 237);
INSERT INTO public.who_data VALUES (12519, 0, 19, 0, 0, 53, 25);
INSERT INTO public.who_data VALUES (12520, 0, 1411, 0, 26, 53, 209);
INSERT INTO public.who_data VALUES (12521, 2095, 170187, 104, 1983, 53, 217);
INSERT INTO public.who_data VALUES (12522, 1992, 117404, 44, 2922, 53, 79);
INSERT INTO public.who_data VALUES (12523, 0, 17, 0, 0, 53, 143);
INSERT INTO public.who_data VALUES (12524, 0, 4690, 0, 127, 53, 229);
INSERT INTO public.who_data VALUES (12525, 9580, 1021451, 497, 27568, 53, 141);
INSERT INTO public.who_data VALUES (12526, 0, 3491, 0, 62, 53, 197);
INSERT INTO public.who_data VALUES (12527, 16366, 1990176, 165, 51958, 53, 221);
INSERT INTO public.who_data VALUES (12528, 460, 42063, 0, 194, 53, 150);
INSERT INTO public.who_data VALUES (12529, 178, 25238, 9, 1549, 53, 56);
INSERT INTO public.who_data VALUES (12530, 35, 6013, 1, 120, 53, 167);
INSERT INTO public.who_data VALUES (12531, 7093, 428432, 121, 9576, 53, 23);
INSERT INTO public.who_data VALUES (12532, 4463, 446939, 71, 7204, 53, 222);
INSERT INTO public.who_data VALUES (12533, 105, 11243, 10, 696, 53, 219);
INSERT INTO public.who_data VALUES (12534, 37, 13662, 0, 90, 53, 7);
INSERT INTO public.who_data VALUES (12535, 0, 6440, 0, 61, 53, 161);
INSERT INTO public.who_data VALUES (12536, 53135, 2382869, 458, 71567, 53, 149);
INSERT INTO public.who_data VALUES (12537, 3, 44, 0, 0, 53, 6);
INSERT INTO public.who_data VALUES (12538, 0, 3576, 0, 68, 53, 139);
INSERT INTO public.who_data VALUES (12539, 0, 0, 0, 0, 53, 211);
INSERT INTO public.who_data VALUES (12540, 0, 0, 0, 0, 53, 14);
INSERT INTO public.who_data VALUES (12541, 12, 7127, 0, 125, 53, 111);
INSERT INTO public.who_data VALUES (12542, 1598, 134802, 52, 4570, 53, 207);
INSERT INTO public.who_data VALUES (12543, 15805, 2178580, 253, 20388, 53, 66);
INSERT INTO public.who_data VALUES (12544, 0, 0, 0, 0, 53, 173);
INSERT INTO public.who_data VALUES (12545, 16, 865, 0, 6, 53, 145);
INSERT INTO public.who_data VALUES (12546, 0, 0, 0, 0, 53, 65);
INSERT INTO public.who_data VALUES (12547, 470, 34281, 0, 248, 53, 184);
INSERT INTO public.who_data VALUES (12548, 7986, 1045348, 243, 18324, 53, 98);
INSERT INTO public.who_data VALUES (12549, 1506, 204369, 2, 662, 53, 104);
INSERT INTO public.who_data VALUES (12550, 0, 509, 0, 21, 53, 73);
INSERT INTO public.who_data VALUES (12551, 174814, 19147627, 1779, 332423, 53, 8);
INSERT INTO public.who_data VALUES (12552, 16, 2004, 0, 23, 53, 227);
INSERT INTO public.who_data VALUES (12553, 578, 17306, 2, 160, 53, 75);
INSERT INTO public.who_data VALUES (12554, 78, 76985, 1, 614, 53, 45);
INSERT INTO public.who_data VALUES (12555, 0, 1, 0, 0, 53, 133);
INSERT INTO public.who_data VALUES (12556, 320, 112636, 4, 1018, 53, 202);
INSERT INTO public.who_data VALUES (12557, 3, 1454, 0, 35, 53, 129);
INSERT INTO public.who_data VALUES (12558, 0, 4, 0, 0, 53, 36);
INSERT INTO public.who_data VALUES (12559, 0, 2100, 2, 611, 53, 51);
INSERT INTO public.who_data VALUES (12560, 0, 19943, 0, 384, 53, 206);
INSERT INTO public.who_data VALUES (12561, 0, 13148, 0, 354, 53, 5);
INSERT INTO public.who_data VALUES (12562, 140, 52147, 12, 2182, 54, 103);
INSERT INTO public.who_data VALUES (12563, 318, 56572, 11, 1164, 54, 58);
INSERT INTO public.who_data VALUES (12564, 0, 98249, 0, 2728, 54, 195);
INSERT INTO public.who_data VALUES (12565, 0, 0, 0, 0, 54, 115);
INSERT INTO public.who_data VALUES (12566, 54, 7875, 0, 83, 54, 99);
INSERT INTO public.who_data VALUES (12567, 0, 17240, 0, 399, 54, 153);
INSERT INTO public.who_data VALUES (12568, 1, 13, 0, 0, 54, 93);
INSERT INTO public.who_data VALUES (12569, 0, 155, 0, 5, 54, 84);
INSERT INTO public.who_data VALUES (12570, 5660, 1583927, 149, 42650, 54, 78);
INSERT INTO public.who_data VALUES (12571, 348, 157609, 22, 2792, 54, 170);
INSERT INTO public.who_data VALUES (12572, 77, 5305, 2, 49, 54, 32);
INSERT INTO public.who_data VALUES (12573, 25, 28337, 1, 909, 54, 155);
INSERT INTO public.who_data VALUES (12574, 1651, 351386, 78, 5872, 54, 82);
INSERT INTO public.who_data VALUES (12575, 772, 215483, 39, 2538, 54, 16);
INSERT INTO public.who_data VALUES (12576, 46, 7834, 1, 170, 54, 72);
INSERT INTO public.who_data VALUES (12577, 202, 91935, 0, 351, 54, 43);
INSERT INTO public.who_data VALUES (12578, 932, 510080, 27, 7479, 54, 120);
INSERT INTO public.who_data VALUES (12579, 0, 356, 0, 7, 54, 213);
INSERT INTO public.who_data VALUES (12580, 1841, 188588, 9, 1394, 54, 31);
INSERT INTO public.who_data VALUES (12581, 2749, 643092, 63, 19351, 54, 204);
INSERT INTO public.who_data VALUES (12582, 71, 10561, 5, 233, 54, 152);
INSERT INTO public.who_data VALUES (12583, 0, 3205, 0, 44, 54, 144);
INSERT INTO public.who_data VALUES (12584, 0, 581, 0, 10, 54, 96);
INSERT INTO public.who_data VALUES (12585, 0, 623, 0, 0, 54, 47);
INSERT INTO public.who_data VALUES (12586, 494, 154843, 5, 9098, 54, 80);
INSERT INTO public.who_data VALUES (12587, 1, 159, 0, 3, 54, 159);
INSERT INTO public.who_data VALUES (12588, 220, 109911, 23, 3976, 54, 27);
INSERT INTO public.who_data VALUES (12589, 0, 13622, 0, 38, 54, 146);
INSERT INTO public.who_data VALUES (12590, 18479, 7484285, 344, 191139, 54, 71);
INSERT INTO public.who_data VALUES (12591, 0, 93, 0, 1, 54, 210);
INSERT INTO public.who_data VALUES (12592, 0, 152, 0, 3, 54, 54);
INSERT INTO public.who_data VALUES (12593, 337, 198053, 87, 7251, 54, 147);
INSERT INTO public.who_data VALUES (12594, 0, 6344, 0, 78, 54, 2);
INSERT INTO public.who_data VALUES (12595, 5, 809, 0, 2, 54, 105);
INSERT INTO public.who_data VALUES (12596, 9, 11723, 0, 112, 54, 53);
INSERT INTO public.who_data VALUES (12597, 0, 364, 0, 0, 54, 81);
INSERT INTO public.who_data VALUES (12598, 0, 26277, 0, 448, 54, 223);
INSERT INTO public.who_data VALUES (12599, 6774, 553274, 209, 15108, 54, 94);
INSERT INTO public.who_data VALUES (12600, 0, 318, 0, 2, 54, 154);
INSERT INTO public.who_data VALUES (12601, 13, 4961, 0, 63, 54, 83);
INSERT INTO public.who_data VALUES (12602, 29, 2015, 1, 104, 54, 194);
INSERT INTO public.who_data VALUES (12603, 1923, 602028, 0, 16443, 54, 136);
INSERT INTO public.who_data VALUES (12604, 96, 96513, 4, 4782, 54, 179);
INSERT INTO public.who_data VALUES (12605, 9594, 1594497, 228, 42171, 54, 57);
INSERT INTO public.who_data VALUES (12606, 16, 731, 0, 7, 54, 35);
INSERT INTO public.who_data VALUES (12607, 0, 6200, 0, 100, 54, 228);
INSERT INTO public.who_data VALUES (12608, 0, 0, 0, 0, 54, 19);
INSERT INTO public.who_data VALUES (12609, 597, 165204, 17, 2134, 54, 22);
INSERT INTO public.who_data VALUES (12610, 24, 22176, 2, 137, 54, 1);
INSERT INTO public.who_data VALUES (12611, 1350, 206596, 56, 3795, 54, 21);
INSERT INTO public.who_data VALUES (12612, 229, 11434, 1, 143, 54, 234);
INSERT INTO public.who_data VALUES (12613, 93, 4144, 2, 14, 54, 91);
INSERT INTO public.who_data VALUES (12614, 751, 20408, 1, 113, 54, 137);
INSERT INTO public.who_data VALUES (12615, 10862, 685202, 150, 11302, 54, 201);
INSERT INTO public.who_data VALUES (12616, 0, 0, 0, 0, 54, 171);
INSERT INTO public.who_data VALUES (12617, 557, 16837, 13, 579, 54, 92);
INSERT INTO public.who_data VALUES (12618, 2479, 155826, 30, 1204, 54, 112);
INSERT INTO public.who_data VALUES (12619, 0, 5813, 0, 61, 54, 62);
INSERT INTO public.who_data VALUES (12620, 0, 96, 0, 0, 54, 69);
INSERT INTO public.who_data VALUES (12621, 641, 167405, 0, 2404, 54, 220);
INSERT INTO public.who_data VALUES (12622, 403, 209758, 2, 13994, 54, 100);
INSERT INTO public.who_data VALUES (12623, 1359, 133900, 61, 7466, 54, 187);
INSERT INTO public.who_data VALUES (12624, 796, 45415, 8, 1313, 54, 63);
INSERT INTO public.who_data VALUES (12625, 0, 5248, 0, 86, 54, 28);
INSERT INTO public.who_data VALUES (12626, 0, 1039, 0, 2, 54, 172);
INSERT INTO public.who_data VALUES (12627, 475, 26283, 0, 213, 54, 17);
INSERT INTO public.who_data VALUES (12628, 0, 8484, 0, 165, 54, 226);
INSERT INTO public.who_data VALUES (12629, 732, 123145, 11, 1912, 54, 236);
INSERT INTO public.who_data VALUES (12630, 0, 29, 0, 0, 54, 76);
INSERT INTO public.who_data VALUES (12631, 3, 582, 0, 0, 54, 30);
INSERT INTO public.who_data VALUES (12632, 0, 46, 0, 2, 54, 128);
INSERT INTO public.who_data VALUES (12633, 283, 35420, 4, 550, 54, 86);
INSERT INTO public.who_data VALUES (12634, 2757, 2519105, 362, 62732, 54, 140);
INSERT INTO public.who_data VALUES (12635, 53, 12832, 0, 71, 54, 44);
INSERT INTO public.who_data VALUES (12636, 146, 16696, 5, 113, 54, 113);
INSERT INTO public.who_data VALUES (12637, 13, 9510, 0, 64, 54, 29);
INSERT INTO public.who_data VALUES (12638, 5, 3797, 0, 123, 54, 125);
INSERT INTO public.who_data VALUES (12639, 2012, 224155, 25, 2443, 54, 131);
INSERT INTO public.who_data VALUES (12640, 12892, 1664726, 852, 30978, 54, 46);
INSERT INTO public.who_data VALUES (12641, 102, 54503, 0, 333, 54, 10);
INSERT INTO public.who_data VALUES (12642, 68, 1661, 0, 6, 54, 205);
INSERT INTO public.who_data VALUES (12643, 475, 135931, 66, 4672, 54, 50);
INSERT INTO public.who_data VALUES (12644, 0, 26, 0, 0, 54, 20);
INSERT INTO public.who_data VALUES (12645, 14, 130, 1, 1, 54, 13);
INSERT INTO public.who_data VALUES (12646, 0, 8620, 0, 155, 54, 148);
INSERT INTO public.who_data VALUES (12647, 7, 7102, 0, 121, 54, 230);
INSERT INTO public.who_data VALUES (12648, 132, 135441, 5, 4773, 54, 190);
INSERT INTO public.who_data VALUES (12649, 0, 297, 0, 13, 54, 188);
INSERT INTO public.who_data VALUES (12650, 14, 13688, 0, 80, 54, 123);
INSERT INTO public.who_data VALUES (12651, 0, 2447, 0, 45, 54, 9);
INSERT INTO public.who_data VALUES (12652, 5, 6298, 0, 164, 54, 102);
INSERT INTO public.who_data VALUES (12653, 0, 9958, 0, 236, 54, 34);
INSERT INTO public.who_data VALUES (12654, 0, 26, 0, 0, 54, 212);
INSERT INTO public.who_data VALUES (12655, 616, 119713, 1, 3066, 54, 122);
INSERT INTO public.who_data VALUES (12656, 902, 317571, 131, 9292, 54, 38);
INSERT INTO public.who_data VALUES (12657, 10, 5736, 1, 29, 54, 130);
INSERT INTO public.who_data VALUES (12658, 16432, 10224303, 252, 148153, 54, 37);
INSERT INTO public.who_data VALUES (12659, 5854, 719219, 215, 21452, 54, 231);
INSERT INTO public.who_data VALUES (12660, 5908, 1206373, 121, 54814, 54, 107);
INSERT INTO public.who_data VALUES (12661, 931, 592528, 11, 12791, 54, 101);
INSERT INTO public.who_data VALUES (12662, 765, 86894, 1, 2205, 54, 132);
INSERT INTO public.who_data VALUES (12663, 0, 374, 0, 25, 54, 176);
INSERT INTO public.who_data VALUES (12664, 3528, 402851, 21, 3254, 54, 200);
INSERT INTO public.who_data VALUES (12665, 8581, 2056277, 445, 72370, 54, 169);
INSERT INTO public.who_data VALUES (12666, 9, 12732, 3, 298, 54, 225);
INSERT INTO public.who_data VALUES (12667, 2884, 223120, 54, 3306, 54, 165);
INSERT INTO public.who_data VALUES (12668, 80, 2663, 0, 41, 54, 233);
INSERT INTO public.who_data VALUES (12669, 1802, 289748, 20, 3778, 54, 215);
INSERT INTO public.who_data VALUES (12670, 896, 199555, 0, 2749, 54, 177);
INSERT INTO public.who_data VALUES (12671, 149, 95992, 9, 1664, 54, 183);
INSERT INTO public.who_data VALUES (12672, 0, 0, 0, 0, 54, 203);
INSERT INTO public.who_data VALUES (12673, 181, 50758, 8, 1307, 54, 162);
INSERT INTO public.who_data VALUES (12674, 204, 149857, 1, 932, 54, 12);
INSERT INTO public.who_data VALUES (12675, 119, 80654, 4, 1353, 54, 24);
INSERT INTO public.who_data VALUES (12676, 0, 41, 0, 0, 54, 119);
INSERT INTO public.who_data VALUES (12677, 508, 36838, 19, 578, 54, 39);
INSERT INTO public.who_data VALUES (12678, 1594, 172820, 15, 1409, 54, 26);
INSERT INTO public.who_data VALUES (12679, 0, 2577, 0, 50, 54, 59);
INSERT INTO public.who_data VALUES (12680, 0, 1800, 0, 83, 54, 77);
INSERT INTO public.who_data VALUES (12681, 532, 98913, 4, 1440, 54, 134);
INSERT INTO public.who_data VALUES (12682, 38, 2153, 1, 39, 54, 4);
INSERT INTO public.who_data VALUES (12683, 1923, 134287, 43, 1697, 54, 109);
INSERT INTO public.who_data VALUES (12684, 16, 45846, 9, 487, 54, 90);
INSERT INTO public.who_data VALUES (12685, 0, 17714, 0, 261, 54, 61);
INSERT INTO public.who_data VALUES (12686, 0, 6354, 0, 188, 54, 85);
INSERT INTO public.who_data VALUES (12687, 1594, 106690, 3, 455, 54, 49);
INSERT INTO public.who_data VALUES (12688, 16, 13660, 0, 48, 54, 208);
INSERT INTO public.who_data VALUES (12689, 74, 6703, 3, 256, 54, 166);
INSERT INTO public.who_data VALUES (12690, 84, 12325, 4, 210, 54, 64);
INSERT INTO public.who_data VALUES (12691, 0, 4, 0, 0, 54, 199);
INSERT INTO public.who_data VALUES (12692, 0, 6072, 0, 42, 54, 114);
INSERT INTO public.who_data VALUES (12693, 2671, 13642, 99, 324, 54, 60);
INSERT INTO public.who_data VALUES (12694, 0, 524, 0, 10, 54, 68);
INSERT INTO public.who_data VALUES (12695, 123, 5890, 1, 55, 54, 158);
INSERT INTO public.who_data VALUES (12696, 6217, 1383434, 400, 122426, 54, 52);
INSERT INTO public.who_data VALUES (12697, 0, 0, 0, 0, 54, 117);
INSERT INTO public.who_data VALUES (12698, 4, 806, 0, 3, 54, 126);
INSERT INTO public.who_data VALUES (12699, 16, 1137, 0, 0, 54, 196);
INSERT INTO public.who_data VALUES (12700, 352, 47669, 2, 677, 54, 142);
INSERT INTO public.who_data VALUES (12701, 0, 13, 0, 1, 54, 185);
INSERT INTO public.who_data VALUES (12702, 950, 433029, 32, 7272, 54, 138);
INSERT INTO public.who_data VALUES (12703, 0, 18265, 0, 161, 54, 181);
INSERT INTO public.who_data VALUES (12704, 648, 122534, 17, 2618, 54, 178);
INSERT INTO public.who_data VALUES (12705, 0, 21923, 0, 191, 54, 168);
INSERT INTO public.who_data VALUES (12706, 0, 0, 0, 0, 54, 160);
INSERT INTO public.who_data VALUES (12707, 659, 258840, 7, 1832, 54, 151);
INSERT INTO public.who_data VALUES (12708, 7404, 769116, 44, 11013, 54, 193);
INSERT INTO public.who_data VALUES (12709, 0, 38, 0, 0, 54, 18);
INSERT INTO public.who_data VALUES (12710, 7, 1795, 0, 25, 54, 40);
INSERT INTO public.who_data VALUES (12711, 0, 4790, 0, 164, 54, 218);
INSERT INTO public.who_data VALUES (12712, 0, 3005, 0, 91, 54, 191);
INSERT INTO public.who_data VALUES (12713, 397, 84811, 10, 1264, 54, 156);
INSERT INTO public.who_data VALUES (12714, 0, 0, 0, 0, 54, 135);
INSERT INTO public.who_data VALUES (12715, 0, 122, 0, 2, 54, 88);
INSERT INTO public.who_data VALUES (12716, 83, 81804, 11, 2456, 54, 55);
INSERT INTO public.who_data VALUES (12717, 2125, 47057, 8, 429, 54, 108);
INSERT INTO public.who_data VALUES (12718, 1363, 151409, 26, 1460, 54, 48);
INSERT INTO public.who_data VALUES (12719, 91, 128563, 0, 1495, 54, 3);
INSERT INTO public.who_data VALUES (12720, 0, 745, 0, 13, 54, 224);
INSERT INTO public.who_data VALUES (12721, 1974, 473309, 55, 9929, 54, 110);
INSERT INTO public.who_data VALUES (12722, 0, 0, 0, 0, 54, 106);
INSERT INTO public.who_data VALUES (12723, 2633, 231357, 41, 3840, 54, 89);
INSERT INTO public.who_data VALUES (12724, 0, 780, 0, 9, 54, 121);
INSERT INTO public.who_data VALUES (12725, 260, 104422, 14, 2188, 54, 163);
INSERT INTO public.who_data VALUES (12726, 1339, 1007657, 60, 37474, 54, 70);
INSERT INTO public.who_data VALUES (12727, 764, 470650, 15, 9124, 54, 174);
INSERT INTO public.who_data VALUES (12728, 0, 0, 0, 0, 54, 175);
INSERT INTO public.who_data VALUES (12729, 7624, 1268634, 307, 27454, 54, 118);
INSERT INTO public.who_data VALUES (12730, 2093, 396666, 58, 6677, 54, 189);
INSERT INTO public.who_data VALUES (12731, 431, 73658, 11, 1456, 54, 124);
INSERT INTO public.who_data VALUES (12732, 160, 143222, 0, 244, 54, 192);
INSERT INTO public.who_data VALUES (12733, 1044, 58709, 40, 859, 54, 41);
INSERT INTO public.who_data VALUES (12734, 569, 141924, 18, 2909, 54, 95);
INSERT INTO public.who_data VALUES (12735, 27, 8936, 0, 42, 54, 74);
INSERT INTO public.who_data VALUES (12736, 2620, 618429, 104, 15334, 54, 11);
INSERT INTO public.who_data VALUES (12737, 27002, 3105037, 562, 55827, 54, 87);
INSERT INTO public.who_data VALUES (12738, 51, 8021, 1, 75, 54, 214);
INSERT INTO public.who_data VALUES (12739, 0, 5, 0, 0, 54, 116);
INSERT INTO public.who_data VALUES (12740, 0, 189, 0, 0, 54, 157);
INSERT INTO public.who_data VALUES (12741, 0, 0, 0, 0, 54, 182);
INSERT INTO public.who_data VALUES (12742, 2, 32, 0, 0, 54, 186);
INSERT INTO public.who_data VALUES (12743, 26, 331, 0, 5, 54, 127);
INSERT INTO public.who_data VALUES (12744, 0, 986, 0, 12, 54, 232);
INSERT INTO public.who_data VALUES (12745, 0, 16, 0, 0, 54, 33);
INSERT INTO public.who_data VALUES (12746, 0, 109, 0, 0, 54, 97);
INSERT INTO public.who_data VALUES (12747, 0, 2, 0, 0, 54, 42);
INSERT INTO public.who_data VALUES (12748, 0, 2276, 0, 57, 54, 198);
INSERT INTO public.who_data VALUES (12749, 0, 1014, 0, 17, 54, 216);
INSERT INTO public.who_data VALUES (12750, 119, 362339, 11, 6196, 54, 164);
INSERT INTO public.who_data VALUES (12751, 119, 18728, 2, 390, 54, 235);
INSERT INTO public.who_data VALUES (12752, 2559, 328619, 43, 3073, 54, 67);
INSERT INTO public.who_data VALUES (12753, 0, 211, 0, 0, 54, 15);
INSERT INTO public.who_data VALUES (12754, 11, 2560, 0, 76, 54, 180);
INSERT INTO public.who_data VALUES (12755, 5, 58529, 0, 29, 54, 237);
INSERT INTO public.who_data VALUES (12756, 0, 19, 0, 0, 54, 25);
INSERT INTO public.who_data VALUES (12757, 41, 1411, 0, 26, 54, 209);
INSERT INTO public.who_data VALUES (12758, 569, 168092, 106, 1879, 54, 217);
INSERT INTO public.who_data VALUES (12759, 533, 115412, 48, 2878, 54, 79);
INSERT INTO public.who_data VALUES (12760, 0, 17, 0, 0, 54, 143);
INSERT INTO public.who_data VALUES (12761, 0, 4690, 0, 127, 54, 229);
INSERT INTO public.who_data VALUES (12762, 7458, 1011871, 336, 27071, 54, 141);
INSERT INTO public.who_data VALUES (12763, 183, 3491, 0, 62, 54, 197);
INSERT INTO public.who_data VALUES (12764, 6198, 1973810, 152, 51793, 54, 221);
INSERT INTO public.who_data VALUES (12765, 549, 41603, 3, 194, 54, 150);
INSERT INTO public.who_data VALUES (12766, 172, 25060, 4, 1540, 54, 56);
INSERT INTO public.who_data VALUES (12767, 40, 5978, 0, 119, 54, 167);
INSERT INTO public.who_data VALUES (12768, 3208, 421339, 99, 9455, 54, 23);
INSERT INTO public.who_data VALUES (12769, 5032, 442476, 75, 7133, 54, 222);
INSERT INTO public.who_data VALUES (12770, 105, 11138, 8, 686, 54, 219);
INSERT INTO public.who_data VALUES (12771, 34, 13625, 0, 90, 54, 7);
INSERT INTO public.who_data VALUES (12772, 299, 6440, 1, 61, 54, 161);
INSERT INTO public.who_data VALUES (12773, 41385, 2329734, 357, 71109, 54, 149);
INSERT INTO public.who_data VALUES (12774, 0, 41, 0, 0, 54, 6);
INSERT INTO public.who_data VALUES (12775, 21, 3576, 0, 68, 54, 139);
INSERT INTO public.who_data VALUES (12776, 0, 0, 0, 0, 54, 211);
INSERT INTO public.who_data VALUES (12777, 0, 0, 0, 0, 54, 14);
INSERT INTO public.who_data VALUES (12778, 11, 7115, 0, 125, 54, 111);
INSERT INTO public.who_data VALUES (12779, 1612, 133204, 52, 4518, 54, 207);
INSERT INTO public.who_data VALUES (12780, 15197, 2162775, 257, 20135, 54, 66);
INSERT INTO public.who_data VALUES (12781, 0, 0, 0, 0, 54, 173);
INSERT INTO public.who_data VALUES (12782, 5, 849, 0, 6, 54, 145);
INSERT INTO public.who_data VALUES (12783, 0, 0, 0, 0, 54, 65);
INSERT INTO public.who_data VALUES (12784, 0, 33811, 0, 248, 54, 184);
INSERT INTO public.who_data VALUES (12785, 6988, 1037362, 232, 18081, 54, 98);
INSERT INTO public.who_data VALUES (12786, 1027, 202863, 3, 660, 54, 104);
INSERT INTO public.who_data VALUES (12787, 0, 509, 0, 21, 54, 73);
INSERT INTO public.who_data VALUES (12788, 145513, 18972813, 1334, 330644, 54, 8);
INSERT INTO public.who_data VALUES (12789, 0, 1988, 0, 23, 54, 227);
INSERT INTO public.who_data VALUES (12790, 510, 16728, 11, 158, 54, 75);
INSERT INTO public.who_data VALUES (12791, 75, 76907, 0, 613, 54, 45);
INSERT INTO public.who_data VALUES (12792, 0, 1, 0, 0, 54, 133);
INSERT INTO public.who_data VALUES (12793, 365, 112316, 1, 1014, 54, 202);
INSERT INTO public.who_data VALUES (12794, 10, 1451, 0, 35, 54, 129);
INSERT INTO public.who_data VALUES (12795, 0, 4, 0, 0, 54, 36);
INSERT INTO public.who_data VALUES (12796, 2, 2100, 1, 609, 54, 51);
INSERT INTO public.who_data VALUES (12797, 272, 19943, 2, 384, 54, 206);
INSERT INTO public.who_data VALUES (12798, 185, 13148, 13, 354, 54, 5);
INSERT INTO public.who_data VALUES (12799, 159, 52007, 12, 2170, 55, 103);
INSERT INTO public.who_data VALUES (12800, 499, 56254, 10, 1153, 55, 58);
INSERT INTO public.who_data VALUES (12801, 392, 98249, 6, 2728, 55, 195);
INSERT INTO public.who_data VALUES (12802, 0, 0, 0, 0, 55, 115);
INSERT INTO public.who_data VALUES (12803, 15, 7821, 0, 83, 55, 99);
INSERT INTO public.who_data VALUES (12804, 91, 17240, 0, 399, 55, 153);
INSERT INTO public.who_data VALUES (12805, 0, 12, 0, 0, 55, 93);
INSERT INTO public.who_data VALUES (12806, 0, 155, 0, 5, 55, 84);
INSERT INTO public.who_data VALUES (12807, 3713, 1578267, 79, 42501, 55, 78);
INSERT INTO public.who_data VALUES (12808, 114, 157261, 7, 2770, 55, 170);
INSERT INTO public.who_data VALUES (12809, 0, 5228, 0, 47, 55, 32);
INSERT INTO public.who_data VALUES (12810, 16, 28312, 0, 908, 55, 155);
INSERT INTO public.who_data VALUES (12811, 1376, 349735, 42, 5794, 55, 82);
INSERT INTO public.who_data VALUES (12812, 1519, 214711, 45, 2499, 55, 16);
INSERT INTO public.who_data VALUES (12813, 0, 7788, 0, 169, 55, 72);
INSERT INTO public.who_data VALUES (12814, 215, 91733, 0, 351, 55, 43);
INSERT INTO public.who_data VALUES (12815, 1049, 509148, 24, 7452, 55, 120);
INSERT INTO public.who_data VALUES (12816, 9, 356, 0, 7, 55, 213);
INSERT INTO public.who_data VALUES (12817, 1825, 186747, 9, 1385, 55, 31);
INSERT INTO public.who_data VALUES (12818, 558, 640343, 61, 19288, 55, 204);
INSERT INTO public.who_data VALUES (12819, 0, 10490, 0, 228, 55, 152);
INSERT INTO public.who_data VALUES (12820, 0, 3205, 0, 44, 55, 144);
INSERT INTO public.who_data VALUES (12821, 20, 581, 1, 10, 55, 96);
INSERT INTO public.who_data VALUES (12822, 26, 623, 0, 0, 55, 47);
INSERT INTO public.who_data VALUES (12823, 759, 154349, 10, 9093, 55, 80);
INSERT INTO public.who_data VALUES (12824, 0, 158, 0, 3, 55, 159);
INSERT INTO public.who_data VALUES (12825, 361, 109691, 30, 3953, 55, 27);
INSERT INTO public.who_data VALUES (12826, 0, 13622, 0, 38, 55, 146);
INSERT INTO public.who_data VALUES (12827, 17246, 7465806, 307, 190795, 55, 71);
INSERT INTO public.who_data VALUES (12828, 0, 93, 0, 1, 55, 210);
INSERT INTO public.who_data VALUES (12829, 0, 152, 0, 3, 55, 54);
INSERT INTO public.who_data VALUES (12830, 332, 197716, 41, 7164, 55, 147);
INSERT INTO public.who_data VALUES (12831, 89, 6344, 1, 78, 55, 2);
INSERT INTO public.who_data VALUES (12832, 0, 804, 0, 2, 55, 105);
INSERT INTO public.who_data VALUES (12833, 16, 11714, 0, 112, 55, 53);
INSERT INTO public.who_data VALUES (12834, 0, 364, 0, 0, 55, 81);
INSERT INTO public.who_data VALUES (12835, 0, 26277, 0, 448, 55, 223);
INSERT INTO public.who_data VALUES (12836, 9827, 546500, 179, 14899, 55, 94);
INSERT INTO public.who_data VALUES (12837, 0, 318, 0, 2, 55, 154);
INSERT INTO public.who_data VALUES (12838, 0, 4948, 0, 63, 55, 83);
INSERT INTO public.who_data VALUES (12839, 0, 1986, 0, 103, 55, 194);
INSERT INTO public.who_data VALUES (12840, 1711, 600105, 39, 16443, 55, 136);
INSERT INTO public.who_data VALUES (12841, 93, 96417, 1, 4778, 55, 179);
INSERT INTO public.who_data VALUES (12842, 10196, 1584903, 253, 41943, 55, 57);
INSERT INTO public.who_data VALUES (12843, 0, 715, 0, 7, 55, 35);
INSERT INTO public.who_data VALUES (12844, 0, 6200, 0, 100, 55, 228);
INSERT INTO public.who_data VALUES (12845, 0, 0, 0, 0, 55, 19);
INSERT INTO public.who_data VALUES (12846, 545, 164607, 14, 2117, 55, 22);
INSERT INTO public.who_data VALUES (12847, 71, 22152, 2, 135, 55, 1);
INSERT INTO public.who_data VALUES (12848, 316, 205246, 68, 3739, 55, 21);
INSERT INTO public.who_data VALUES (12849, 167, 11205, 1, 142, 55, 234);
INSERT INTO public.who_data VALUES (12850, 0, 4051, 0, 12, 55, 91);
INSERT INTO public.who_data VALUES (12851, 266, 19657, 1, 112, 55, 137);
INSERT INTO public.who_data VALUES (12852, 3741, 674340, 108, 11152, 55, 201);
INSERT INTO public.who_data VALUES (12853, 0, 0, 0, 0, 55, 171);
INSERT INTO public.who_data VALUES (12854, 0, 16280, 0, 566, 55, 92);
INSERT INTO public.who_data VALUES (12855, 2180, 153347, 21, 1174, 55, 112);
INSERT INTO public.who_data VALUES (12856, 8, 5813, 0, 61, 55, 62);
INSERT INTO public.who_data VALUES (12857, 0, 96, 0, 0, 55, 69);
INSERT INTO public.who_data VALUES (12858, 824, 166764, 0, 2404, 55, 220);
INSERT INTO public.who_data VALUES (12859, 81, 209355, 2, 13992, 55, 100);
INSERT INTO public.who_data VALUES (12860, 1226, 132541, 53, 7405, 55, 187);
INSERT INTO public.who_data VALUES (12861, 0, 44619, 8, 1305, 55, 63);
INSERT INTO public.who_data VALUES (12862, 12, 5248, 1, 86, 55, 28);
INSERT INTO public.who_data VALUES (12863, 47, 1039, 1, 2, 55, 172);
INSERT INTO public.who_data VALUES (12864, 416, 25808, 9, 213, 55, 17);
INSERT INTO public.who_data VALUES (12865, 117, 8484, 2, 165, 55, 226);
INSERT INTO public.who_data VALUES (12866, 0, 122413, 0, 1901, 55, 236);
INSERT INTO public.who_data VALUES (12867, 0, 29, 0, 0, 55, 76);
INSERT INTO public.who_data VALUES (12868, 8, 579, 0, 0, 55, 30);
INSERT INTO public.who_data VALUES (12869, 0, 46, 0, 2, 55, 128);
INSERT INTO public.who_data VALUES (12870, 1053, 35137, 22, 546, 55, 86);
INSERT INTO public.who_data VALUES (12871, 8816, 2516348, 173, 62370, 55, 140);
INSERT INTO public.who_data VALUES (12872, 6, 12779, 0, 71, 55, 44);
INSERT INTO public.who_data VALUES (12873, 0, 16550, 0, 108, 55, 113);
INSERT INTO public.who_data VALUES (12874, 0, 9497, 0, 64, 55, 29);
INSERT INTO public.who_data VALUES (12875, 0, 3792, 0, 123, 55, 125);
INSERT INTO public.who_data VALUES (12876, 538, 222143, 41, 2418, 55, 131);
INSERT INTO public.who_data VALUES (12877, 10976, 1651834, 348, 30126, 55, 46);
INSERT INTO public.who_data VALUES (12878, 115, 54401, 0, 333, 55, 10);
INSERT INTO public.who_data VALUES (12879, 59, 1593, 0, 6, 55, 205);
INSERT INTO public.who_data VALUES (12880, 342, 135456, 53, 4606, 55, 50);
INSERT INTO public.who_data VALUES (12881, 0, 26, 0, 0, 55, 20);
INSERT INTO public.who_data VALUES (12882, 0, 116, 0, 0, 55, 13);
INSERT INTO public.who_data VALUES (12883, 0, 8620, 0, 155, 55, 148);
INSERT INTO public.who_data VALUES (12884, 1, 7095, 0, 121, 55, 230);
INSERT INTO public.who_data VALUES (12885, 138, 135309, 5, 4768, 55, 190);
INSERT INTO public.who_data VALUES (12886, 0, 297, 0, 13, 55, 188);
INSERT INTO public.who_data VALUES (12887, 28, 13674, 0, 80, 55, 123);
INSERT INTO public.who_data VALUES (12888, 0, 2447, 0, 45, 55, 9);
INSERT INTO public.who_data VALUES (12889, 4, 6293, 2, 164, 55, 102);
INSERT INTO public.who_data VALUES (12890, 112, 9958, 1, 236, 55, 34);
INSERT INTO public.who_data VALUES (12891, 0, 26, 0, 0, 55, 212);
INSERT INTO public.who_data VALUES (12892, 438, 119097, 4, 3065, 55, 122);
INSERT INTO public.who_data VALUES (12893, 609, 316669, 114, 9161, 55, 38);
INSERT INTO public.who_data VALUES (12894, 43, 5726, 0, 28, 55, 130);
INSERT INTO public.who_data VALUES (12895, 20021, 10207871, 279, 147901, 55, 37);
INSERT INTO public.who_data VALUES (12896, 6528, 713365, 243, 21237, 55, 231);
INSERT INTO public.who_data VALUES (12897, 5502, 1200465, 119, 54693, 55, 107);
INSERT INTO public.who_data VALUES (12898, 818, 591597, 13, 12780, 55, 101);
INSERT INTO public.who_data VALUES (12899, 735, 86129, 4, 2204, 55, 132);
INSERT INTO public.who_data VALUES (12900, 0, 374, 0, 25, 55, 176);
INSERT INTO public.who_data VALUES (12901, 2659, 399323, 23, 3233, 55, 200);
INSERT INTO public.who_data VALUES (12902, 8937, 2047696, 305, 71925, 55, 169);
INSERT INTO public.who_data VALUES (12903, 39, 12723, 1, 295, 55, 225);
INSERT INTO public.who_data VALUES (12904, 2924, 220236, 39, 3252, 55, 165);
INSERT INTO public.who_data VALUES (12905, 0, 2583, 0, 41, 55, 233);
INSERT INTO public.who_data VALUES (12906, 1590, 287946, 29, 3758, 55, 215);
INSERT INTO public.who_data VALUES (12907, 757, 198659, 0, 2749, 55, 177);
INSERT INTO public.who_data VALUES (12908, 0, 95843, 0, 1655, 55, 183);
INSERT INTO public.who_data VALUES (12909, 0, 0, 0, 0, 55, 203);
INSERT INTO public.who_data VALUES (12910, 215, 50577, 4, 1299, 55, 162);
INSERT INTO public.who_data VALUES (12911, 204, 149653, 2, 931, 55, 12);
INSERT INTO public.who_data VALUES (12912, 162, 80535, 1, 1349, 55, 24);
INSERT INTO public.who_data VALUES (12913, 0, 41, 0, 0, 55, 119);
INSERT INTO public.who_data VALUES (12914, 511, 36330, 44, 559, 55, 39);
INSERT INTO public.who_data VALUES (12915, 1754, 171226, 15, 1394, 55, 26);
INSERT INTO public.who_data VALUES (12916, 0, 2577, 0, 50, 55, 59);
INSERT INTO public.who_data VALUES (12917, 0, 1800, 0, 83, 55, 77);
INSERT INTO public.who_data VALUES (12918, 728, 98381, 21, 1436, 55, 134);
INSERT INTO public.who_data VALUES (12919, 29, 2115, 1, 38, 55, 4);
INSERT INTO public.who_data VALUES (12920, 1767, 132364, 39, 1654, 55, 109);
INSERT INTO public.who_data VALUES (12921, 54, 45830, 8, 478, 55, 90);
INSERT INTO public.who_data VALUES (12922, 81, 17714, 1, 261, 55, 61);
INSERT INTO public.who_data VALUES (12923, 11, 6354, 0, 188, 55, 85);
INSERT INTO public.who_data VALUES (12924, 1196, 105096, 1, 452, 55, 49);
INSERT INTO public.who_data VALUES (12925, 26, 13644, 0, 48, 55, 208);
INSERT INTO public.who_data VALUES (12926, 55, 6629, 4, 253, 55, 166);
INSERT INTO public.who_data VALUES (12927, 129, 12241, 3, 206, 55, 64);
INSERT INTO public.who_data VALUES (12928, 0, 4, 0, 0, 55, 199);
INSERT INTO public.who_data VALUES (12929, 0, 6072, 0, 42, 55, 114);
INSERT INTO public.who_data VALUES (12930, 0, 10971, 0, 225, 55, 60);
INSERT INTO public.who_data VALUES (12931, 0, 524, 0, 10, 55, 68);
INSERT INTO public.who_data VALUES (12932, 0, 5767, 0, 54, 55, 158);
INSERT INTO public.who_data VALUES (12933, 4974, 1377217, 189, 122026, 55, 52);
INSERT INTO public.who_data VALUES (12934, 0, 0, 0, 0, 55, 117);
INSERT INTO public.who_data VALUES (12935, 2, 802, 0, 3, 55, 126);
INSERT INTO public.who_data VALUES (12936, 39, 1121, 0, 0, 55, 196);
INSERT INTO public.who_data VALUES (12937, 388, 47317, 9, 675, 55, 142);
INSERT INTO public.who_data VALUES (12938, 0, 13, 0, 1, 55, 185);
INSERT INTO public.who_data VALUES (12939, 1517, 432079, 36, 7240, 55, 138);
INSERT INTO public.who_data VALUES (12940, 103, 18265, 2, 161, 55, 181);
INSERT INTO public.who_data VALUES (12941, 606, 121886, 22, 2601, 55, 178);
INSERT INTO public.who_data VALUES (12942, 525, 21923, 4, 191, 55, 168);
INSERT INTO public.who_data VALUES (12943, 0, 0, 0, 0, 55, 160);
INSERT INTO public.who_data VALUES (12944, 481, 258181, 6, 1825, 55, 151);
INSERT INTO public.who_data VALUES (12945, 9010, 761712, 28, 10969, 55, 193);
INSERT INTO public.who_data VALUES (12946, 0, 38, 0, 0, 55, 18);
INSERT INTO public.who_data VALUES (12947, 0, 1788, 0, 25, 55, 40);
INSERT INTO public.who_data VALUES (12948, 0, 4790, 0, 164, 55, 218);
INSERT INTO public.who_data VALUES (12949, 202, 3005, 2, 91, 55, 191);
INSERT INTO public.who_data VALUES (12950, 838, 84414, 7, 1254, 55, 156);
INSERT INTO public.who_data VALUES (12951, 0, 0, 0, 0, 55, 135);
INSERT INTO public.who_data VALUES (12952, 0, 122, 0, 2, 55, 88);
INSERT INTO public.who_data VALUES (12953, 296, 81721, 18, 2445, 55, 55);
INSERT INTO public.who_data VALUES (12954, 0, 44932, 0, 421, 55, 108);
INSERT INTO public.who_data VALUES (12955, 1506, 150046, 28, 1434, 55, 48);
INSERT INTO public.who_data VALUES (12956, 182, 128472, 4, 1495, 55, 3);
INSERT INTO public.who_data VALUES (12957, 0, 745, 0, 13, 55, 224);
INSERT INTO public.who_data VALUES (12958, 1853, 471335, 58, 9874, 55, 110);
INSERT INTO public.who_data VALUES (12959, 0, 0, 0, 0, 55, 106);
INSERT INTO public.who_data VALUES (12960, 2064, 228724, 43, 3799, 55, 89);
INSERT INTO public.who_data VALUES (12961, 0, 780, 0, 9, 55, 121);
INSERT INTO public.who_data VALUES (12962, 274, 104162, 20, 2174, 55, 163);
INSERT INTO public.who_data VALUES (12963, 772, 1006318, 46, 37414, 55, 70);
INSERT INTO public.who_data VALUES (12964, 881, 469886, 42, 9109, 55, 174);
INSERT INTO public.who_data VALUES (12965, 0, 0, 0, 0, 55, 175);
INSERT INTO public.who_data VALUES (12966, 3211, 1261010, 29, 27147, 55, 118);
INSERT INTO public.who_data VALUES (12967, 1577, 394573, 63, 6619, 55, 189);
INSERT INTO public.who_data VALUES (12968, 784, 73227, 13, 1445, 55, 124);
INSERT INTO public.who_data VALUES (12969, 159, 143062, 0, 244, 55, 192);
INSERT INTO public.who_data VALUES (12970, 807, 57665, 11, 819, 55, 41);
INSERT INTO public.who_data VALUES (12971, 359, 141355, 8, 2891, 55, 95);
INSERT INTO public.who_data VALUES (12972, 0, 8909, 0, 42, 55, 74);
INSERT INTO public.who_data VALUES (12973, 2049, 615809, 122, 15230, 55, 11);
INSERT INTO public.who_data VALUES (12974, 27787, 3078035, 487, 55265, 55, 87);
INSERT INTO public.who_data VALUES (12975, 153, 7970, 2, 74, 55, 214);
INSERT INTO public.who_data VALUES (12976, 0, 5, 0, 0, 55, 116);
INSERT INTO public.who_data VALUES (12977, 0, 189, 0, 0, 55, 157);
INSERT INTO public.who_data VALUES (12978, 0, 0, 0, 0, 55, 182);
INSERT INTO public.who_data VALUES (12979, 0, 30, 0, 0, 55, 186);
INSERT INTO public.who_data VALUES (12980, 0, 305, 0, 5, 55, 127);
INSERT INTO public.who_data VALUES (12981, 0, 986, 0, 12, 55, 232);
INSERT INTO public.who_data VALUES (12982, 0, 16, 0, 0, 55, 33);
INSERT INTO public.who_data VALUES (12983, 1, 109, 0, 0, 55, 97);
INSERT INTO public.who_data VALUES (12984, 0, 2, 0, 0, 55, 42);
INSERT INTO public.who_data VALUES (12985, 12, 2276, 0, 57, 55, 198);
INSERT INTO public.who_data VALUES (12986, 0, 1014, 0, 17, 55, 216);
INSERT INTO public.who_data VALUES (12987, 154, 362220, 9, 6185, 55, 164);
INSERT INTO public.who_data VALUES (12988, 86, 18609, 1, 388, 55, 235);
INSERT INTO public.who_data VALUES (12989, 2693, 326060, 47, 3030, 55, 67);
INSERT INTO public.who_data VALUES (12990, 0, 211, 0, 0, 55, 15);
INSERT INTO public.who_data VALUES (12991, 0, 2549, 0, 76, 55, 180);
INSERT INTO public.who_data VALUES (12992, 5, 58524, 0, 29, 55, 237);
INSERT INTO public.who_data VALUES (12993, 0, 19, 0, 0, 55, 25);
INSERT INTO public.who_data VALUES (12994, 0, 1370, 0, 26, 55, 209);
INSERT INTO public.who_data VALUES (12995, 874, 167523, 41, 1773, 55, 217);
INSERT INTO public.who_data VALUES (12996, 623, 114879, 27, 2830, 55, 79);
INSERT INTO public.who_data VALUES (12997, 0, 17, 0, 0, 55, 143);
INSERT INTO public.who_data VALUES (12998, 0, 4690, 0, 127, 55, 229);
INSERT INTO public.who_data VALUES (12999, 9502, 1004413, 214, 26735, 55, 141);
INSERT INTO public.who_data VALUES (13000, 0, 3308, 0, 62, 55, 197);
INSERT INTO public.who_data VALUES (13001, 6623, 1967612, 154, 51641, 55, 221);
INSERT INTO public.who_data VALUES (13002, 674, 41054, 4, 191, 55, 150);
INSERT INTO public.who_data VALUES (13003, 194, 24888, 16, 1536, 55, 56);
INSERT INTO public.who_data VALUES (13004, 58, 5938, 0, 119, 55, 167);
INSERT INTO public.who_data VALUES (13005, 2966, 418131, 94, 9356, 55, 23);
INSERT INTO public.who_data VALUES (13006, 2114, 437444, 91, 7058, 55, 222);
INSERT INTO public.who_data VALUES (13007, 101, 11033, 9, 678, 55, 219);
INSERT INTO public.who_data VALUES (13008, 36, 13591, 0, 90, 55, 7);
INSERT INTO public.who_data VALUES (13009, 121, 6141, 0, 60, 55, 161);
INSERT INTO public.who_data VALUES (13010, 32340, 2288349, 347, 70752, 55, 149);
INSERT INTO public.who_data VALUES (13011, 0, 41, 0, 0, 55, 6);
INSERT INTO public.who_data VALUES (13012, 0, 3555, 0, 68, 55, 139);
INSERT INTO public.who_data VALUES (13013, 0, 0, 0, 0, 55, 211);
INSERT INTO public.who_data VALUES (13014, 0, 0, 0, 0, 55, 14);
INSERT INTO public.who_data VALUES (13015, 7, 7104, 0, 125, 55, 111);
INSERT INTO public.who_data VALUES (13016, 1362, 131592, 40, 4466, 55, 207);
INSERT INTO public.who_data VALUES (13017, 14205, 2147578, 254, 19878, 55, 66);
INSERT INTO public.who_data VALUES (13018, 0, 0, 0, 0, 55, 173);
INSERT INTO public.who_data VALUES (13019, 0, 844, 0, 6, 55, 145);
INSERT INTO public.who_data VALUES (13020, 0, 0, 0, 0, 55, 65);
INSERT INTO public.who_data VALUES (13021, 248, 33811, 3, 248, 55, 184);
INSERT INTO public.who_data VALUES (13022, 4385, 1030374, 75, 17849, 55, 98);
INSERT INTO public.who_data VALUES (13023, 944, 201836, 2, 657, 55, 104);
INSERT INTO public.who_data VALUES (13024, 0, 509, 0, 21, 55, 73);
INSERT INTO public.who_data VALUES (13025, 178311, 18827300, 1296, 329310, 55, 8);
INSERT INTO public.who_data VALUES (13026, 9, 1988, 0, 23, 55, 227);
INSERT INTO public.who_data VALUES (13027, 370, 16218, 4, 147, 55, 75);
INSERT INTO public.who_data VALUES (13028, 81, 76832, 0, 613, 55, 45);
INSERT INTO public.who_data VALUES (13029, 0, 1, 0, 0, 55, 133);
INSERT INTO public.who_data VALUES (13030, 348, 111951, 3, 1013, 55, 202);
INSERT INTO public.who_data VALUES (13031, 1, 1441, 0, 35, 55, 129);
INSERT INTO public.who_data VALUES (13032, 0, 4, 0, 0, 55, 36);
INSERT INTO public.who_data VALUES (13033, 2, 2098, 1, 608, 55, 51);
INSERT INTO public.who_data VALUES (13034, 0, 19671, 0, 382, 55, 206);
INSERT INTO public.who_data VALUES (13035, 0, 12963, 0, 341, 55, 5);
INSERT INTO public.who_data VALUES (13036, 84, 51848, 10, 2158, 56, 103);
INSERT INTO public.who_data VALUES (13037, 375, 55755, 9, 1143, 56, 58);
INSERT INTO public.who_data VALUES (13038, 416, 97857, 6, 2722, 56, 195);
INSERT INTO public.who_data VALUES (13039, 0, 0, 0, 0, 56, 115);
INSERT INTO public.who_data VALUES (13040, 50, 7806, 0, 83, 56, 99);
INSERT INTO public.who_data VALUES (13041, 50, 17149, 3, 399, 56, 153);
INSERT INTO public.who_data VALUES (13042, 1, 12, 0, 0, 56, 93);
INSERT INTO public.who_data VALUES (13043, 1, 155, 0, 5, 56, 84);
INSERT INTO public.who_data VALUES (13044, 2874, 1574554, 30, 42422, 56, 78);
INSERT INTO public.who_data VALUES (13045, 485, 157147, 16, 2763, 56, 170);
INSERT INTO public.who_data VALUES (13046, 0, 5228, 0, 47, 56, 32);
INSERT INTO public.who_data VALUES (13047, 34, 28296, 0, 908, 56, 155);
INSERT INTO public.who_data VALUES (13048, 1258, 348359, 42, 5752, 56, 82);
INSERT INTO public.who_data VALUES (13049, 1428, 213192, 38, 2454, 56, 16);
INSERT INTO public.who_data VALUES (13050, 0, 7788, 0, 169, 56, 72);
INSERT INTO public.who_data VALUES (13051, 214, 91518, 0, 351, 56, 43);
INSERT INTO public.who_data VALUES (13052, 834, 508099, 30, 7428, 56, 120);
INSERT INTO public.who_data VALUES (13053, 2, 347, 0, 7, 56, 213);
INSERT INTO public.who_data VALUES (13054, 1916, 184922, 9, 1376, 56, 31);
INSERT INTO public.who_data VALUES (13055, 1160, 639785, 62, 19227, 56, 204);
INSERT INTO public.who_data VALUES (13056, 0, 10490, 0, 228, 56, 152);
INSERT INTO public.who_data VALUES (13057, 0, 3205, 0, 44, 56, 144);
INSERT INTO public.who_data VALUES (13058, 0, 561, 0, 9, 56, 96);
INSERT INTO public.who_data VALUES (13059, 21, 597, 0, 0, 56, 47);
INSERT INTO public.who_data VALUES (13060, 469, 153590, 7, 9083, 56, 80);
INSERT INTO public.who_data VALUES (13061, 0, 158, 0, 3, 56, 159);
INSERT INTO public.who_data VALUES (13062, 439, 109330, 22, 3923, 56, 27);
INSERT INTO public.who_data VALUES (13063, 0, 13622, 0, 38, 56, 146);
INSERT INTO public.who_data VALUES (13064, 22967, 7448560, 482, 190488, 56, 71);
INSERT INTO public.who_data VALUES (13065, 0, 93, 0, 1, 56, 210);
INSERT INTO public.who_data VALUES (13066, 0, 152, 0, 3, 56, 54);
INSERT INTO public.who_data VALUES (13067, 469, 197384, 50, 7123, 56, 147);
INSERT INTO public.who_data VALUES (13068, 121, 6255, 0, 77, 56, 2);
INSERT INTO public.who_data VALUES (13069, 18, 804, 0, 2, 56, 105);
INSERT INTO public.who_data VALUES (13070, 2, 11698, 0, 112, 56, 53);
INSERT INTO public.who_data VALUES (13071, 1, 364, 0, 0, 56, 81);
INSERT INTO public.who_data VALUES (13072, 428, 26277, 0, 448, 56, 223);
INSERT INTO public.who_data VALUES (13073, 1430, 536673, 0, 14720, 56, 94);
INSERT INTO public.who_data VALUES (13074, 0, 318, 0, 2, 56, 154);
INSERT INTO public.who_data VALUES (13075, 0, 4948, 0, 63, 56, 83);
INSERT INTO public.who_data VALUES (13076, 15, 1986, 1, 103, 56, 194);
INSERT INTO public.who_data VALUES (13077, 2563, 598394, 46, 16404, 56, 136);
INSERT INTO public.who_data VALUES (13078, 84, 96324, 0, 4777, 56, 179);
INSERT INTO public.who_data VALUES (13079, 14941, 1574707, 236, 41690, 56, 57);
INSERT INTO public.who_data VALUES (13080, 0, 715, 0, 7, 56, 35);
INSERT INTO public.who_data VALUES (13081, 0, 6200, 0, 100, 56, 228);
INSERT INTO public.who_data VALUES (13082, 0, 0, 0, 0, 56, 19);
INSERT INTO public.who_data VALUES (13083, 1072, 164062, 17, 2103, 56, 22);
INSERT INTO public.who_data VALUES (13084, 0, 22081, 0, 133, 56, 1);
INSERT INTO public.who_data VALUES (13085, 618, 204930, 58, 3671, 56, 21);
INSERT INTO public.who_data VALUES (13086, 138, 11038, 1, 141, 56, 234);
INSERT INTO public.who_data VALUES (13087, 0, 4051, 0, 12, 56, 91);
INSERT INTO public.who_data VALUES (13088, 25, 19391, 2, 111, 56, 137);
INSERT INTO public.who_data VALUES (13089, 3030, 670599, 94, 11044, 56, 201);
INSERT INTO public.who_data VALUES (13090, 0, 0, 0, 0, 56, 171);
INSERT INTO public.who_data VALUES (13091, 0, 16280, 0, 566, 56, 92);
INSERT INTO public.who_data VALUES (13092, 1834, 151167, 19, 1153, 56, 112);
INSERT INTO public.who_data VALUES (13093, 1, 5805, 0, 61, 56, 62);
INSERT INTO public.who_data VALUES (13094, 0, 96, 0, 0, 56, 69);
INSERT INTO public.who_data VALUES (13095, 905, 165940, 0, 2404, 56, 220);
INSERT INTO public.who_data VALUES (13096, 446, 209274, 6, 13990, 56, 100);
INSERT INTO public.who_data VALUES (13097, 1189, 131315, 43, 7352, 56, 187);
INSERT INTO public.who_data VALUES (13098, 0, 44619, 8, 1297, 56, 63);
INSERT INTO public.who_data VALUES (13099, 5, 5236, 0, 85, 56, 28);
INSERT INTO public.who_data VALUES (13100, 0, 992, 0, 1, 56, 172);
INSERT INTO public.who_data VALUES (13101, 365, 25392, 2, 204, 56, 17);
INSERT INTO public.who_data VALUES (13102, 197, 8367, 9, 163, 56, 226);
INSERT INTO public.who_data VALUES (13103, 533, 122413, 4, 1901, 56, 236);
INSERT INTO public.who_data VALUES (13104, 0, 29, 0, 0, 56, 76);
INSERT INTO public.who_data VALUES (13105, 4, 571, 0, 0, 56, 30);
INSERT INTO public.who_data VALUES (13106, 0, 46, 0, 2, 56, 128);
INSERT INTO public.who_data VALUES (13107, 0, 34084, 0, 524, 56, 86);
INSERT INTO public.who_data VALUES (13108, 2459, 2507532, 146, 62197, 56, 140);
INSERT INTO public.who_data VALUES (13109, 88, 12773, 0, 71, 56, 44);
INSERT INTO public.who_data VALUES (13110, 0, 16550, 0, 108, 56, 113);
INSERT INTO public.who_data VALUES (13111, 28, 9497, 0, 64, 56, 29);
INSERT INTO public.who_data VALUES (13112, 0, 3792, 0, 123, 56, 125);
INSERT INTO public.who_data VALUES (13113, 1097, 221605, 25, 2377, 56, 131);
INSERT INTO public.who_data VALUES (13114, 13755, 1640858, 356, 29778, 56, 46);
INSERT INTO public.who_data VALUES (13115, 243, 54286, 0, 333, 56, 10);
INSERT INTO public.who_data VALUES (13116, 58, 1534, 0, 6, 56, 205);
INSERT INTO public.who_data VALUES (13117, 262, 135114, 46, 4553, 56, 50);
INSERT INTO public.who_data VALUES (13118, 0, 26, 0, 0, 56, 20);
INSERT INTO public.who_data VALUES (13119, 0, 116, 0, 0, 56, 13);
INSERT INTO public.who_data VALUES (13120, 63, 8620, 0, 155, 56, 148);
INSERT INTO public.who_data VALUES (13121, 1, 7094, 0, 121, 56, 230);
INSERT INTO public.who_data VALUES (13122, 91, 135171, 6, 4763, 56, 190);
INSERT INTO public.who_data VALUES (13123, 0, 297, 0, 13, 56, 188);
INSERT INTO public.who_data VALUES (13124, 0, 13646, 0, 80, 56, 123);
INSERT INTO public.who_data VALUES (13125, 0, 2447, 0, 45, 56, 9);
INSERT INTO public.who_data VALUES (13126, 23, 6289, 0, 162, 56, 102);
INSERT INTO public.who_data VALUES (13127, 0, 9846, 0, 235, 56, 34);
INSERT INTO public.who_data VALUES (13128, 0, 26, 0, 0, 56, 212);
INSERT INTO public.who_data VALUES (13129, 238, 118659, 1, 3061, 56, 122);
INSERT INTO public.who_data VALUES (13130, 698, 316060, 96, 9047, 56, 38);
INSERT INTO public.who_data VALUES (13131, 0, 5683, 0, 28, 56, 130);
INSERT INTO public.who_data VALUES (13132, 18732, 10187850, 279, 147622, 56, 37);
INSERT INTO public.who_data VALUES (13133, 6740, 706837, 147, 20994, 56, 231);
INSERT INTO public.who_data VALUES (13134, 5760, 1194963, 134, 54574, 56, 107);
INSERT INTO public.who_data VALUES (13135, 836, 590779, 12, 12767, 56, 101);
INSERT INTO public.who_data VALUES (13136, 1296, 85394, 6, 2200, 56, 132);
INSERT INTO public.who_data VALUES (13137, 0, 374, 0, 25, 56, 176);
INSERT INTO public.who_data VALUES (13138, 4010, 396664, 20, 3210, 56, 200);
INSERT INTO public.who_data VALUES (13139, 10405, 2038759, 261, 71620, 56, 169);
INSERT INTO public.who_data VALUES (13140, 87, 12684, 0, 294, 56, 225);
INSERT INTO public.who_data VALUES (13141, 3765, 217312, 58, 3213, 56, 165);
INSERT INTO public.who_data VALUES (13142, 0, 2583, 0, 41, 56, 233);
INSERT INTO public.who_data VALUES (13143, 1050, 286356, 18, 3729, 56, 215);
INSERT INTO public.who_data VALUES (13144, 760, 197902, 80, 2749, 56, 177);
INSERT INTO public.who_data VALUES (13145, 130, 95843, 2, 1655, 56, 183);
INSERT INTO public.who_data VALUES (13146, 0, 0, 0, 0, 56, 203);
INSERT INTO public.who_data VALUES (13147, 270, 50362, 7, 1295, 56, 162);
INSERT INTO public.who_data VALUES (13148, 172, 149449, 3, 929, 56, 12);
INSERT INTO public.who_data VALUES (13149, 191, 80373, 4, 1348, 56, 24);
INSERT INTO public.who_data VALUES (13150, 0, 41, 0, 0, 56, 119);
INSERT INTO public.who_data VALUES (13151, 399, 35819, 13, 515, 56, 39);
INSERT INTO public.who_data VALUES (13152, 1403, 169472, 12, 1379, 56, 26);
INSERT INTO public.who_data VALUES (13153, 0, 2577, 0, 50, 56, 59);
INSERT INTO public.who_data VALUES (13154, 0, 1800, 0, 83, 56, 77);
INSERT INTO public.who_data VALUES (13155, 0, 97653, 0, 1415, 56, 134);
INSERT INTO public.who_data VALUES (13156, 23, 2086, 1, 37, 56, 4);
INSERT INTO public.who_data VALUES (13157, 1665, 130597, 42, 1615, 56, 109);
INSERT INTO public.who_data VALUES (13158, 52, 45776, 5, 470, 56, 90);
INSERT INTO public.who_data VALUES (13159, 0, 17633, 0, 260, 56, 61);
INSERT INTO public.who_data VALUES (13160, 4, 6343, 1, 188, 56, 85);
INSERT INTO public.who_data VALUES (13161, 2335, 103900, 2, 451, 56, 49);
INSERT INTO public.who_data VALUES (13162, 35, 13618, 0, 48, 56, 208);
INSERT INTO public.who_data VALUES (13163, 283, 6574, 24, 249, 56, 166);
INSERT INTO public.who_data VALUES (13164, 50, 12112, 0, 203, 56, 64);
INSERT INTO public.who_data VALUES (13165, 0, 4, 0, 0, 56, 199);
INSERT INTO public.who_data VALUES (13166, 438, 6072, 0, 42, 56, 114);
INSERT INTO public.who_data VALUES (13167, 0, 10971, 0, 225, 56, 60);
INSERT INTO public.who_data VALUES (13168, 0, 524, 0, 10, 56, 68);
INSERT INTO public.who_data VALUES (13169, 0, 5767, 0, 54, 56, 158);
INSERT INTO public.who_data VALUES (13170, 9679, 1372243, 665, 121837, 56, 52);
INSERT INTO public.who_data VALUES (13171, 0, 0, 0, 0, 56, 117);
INSERT INTO public.who_data VALUES (13172, 8, 800, 0, 3, 56, 126);
INSERT INTO public.who_data VALUES (13173, 7, 1082, 0, 0, 56, 196);
INSERT INTO public.who_data VALUES (13174, 296, 46929, 8, 666, 56, 142);
INSERT INTO public.who_data VALUES (13175, 0, 13, 0, 1, 56, 185);
INSERT INTO public.who_data VALUES (13176, 2369, 430562, 34, 7204, 56, 138);
INSERT INTO public.who_data VALUES (13177, 54, 18162, 3, 159, 56, 181);
INSERT INTO public.who_data VALUES (13178, 1492, 121280, 47, 2579, 56, 178);
INSERT INTO public.who_data VALUES (13179, 136, 21398, 0, 187, 56, 168);
INSERT INTO public.who_data VALUES (13180, 0, 0, 0, 0, 56, 160);
INSERT INTO public.who_data VALUES (13181, 500, 257700, 2, 1819, 56, 151);
INSERT INTO public.who_data VALUES (13182, 9826, 752702, 49, 10941, 56, 193);
INSERT INTO public.who_data VALUES (13183, 0, 38, 0, 0, 56, 18);
INSERT INTO public.who_data VALUES (13184, 16, 1788, 0, 25, 56, 40);
INSERT INTO public.who_data VALUES (13185, 0, 4790, 0, 164, 56, 218);
INSERT INTO public.who_data VALUES (13186, 0, 2803, 0, 89, 56, 191);
INSERT INTO public.who_data VALUES (13187, 829, 83576, 1, 1247, 56, 156);
INSERT INTO public.who_data VALUES (13188, 0, 0, 0, 0, 56, 135);
INSERT INTO public.who_data VALUES (13189, 0, 122, 0, 2, 56, 88);
INSERT INTO public.who_data VALUES (13190, 529, 81425, 26, 2427, 56, 55);
INSERT INTO public.who_data VALUES (13191, 0, 44932, 0, 421, 56, 108);
INSERT INTO public.who_data VALUES (13192, 1306, 148540, 21, 1406, 56, 48);
INSERT INTO public.who_data VALUES (13193, 0, 128290, 0, 1491, 56, 3);
INSERT INTO public.who_data VALUES (13194, 0, 745, 0, 13, 56, 224);
INSERT INTO public.who_data VALUES (13195, 2260, 469482, 63, 9816, 56, 110);
INSERT INTO public.who_data VALUES (13196, 0, 0, 0, 0, 56, 106);
INSERT INTO public.who_data VALUES (13197, 2986, 226660, 41, 3756, 56, 89);
INSERT INTO public.who_data VALUES (13198, 0, 780, 0, 9, 56, 121);
INSERT INTO public.who_data VALUES (13199, 559, 103888, 0, 2154, 56, 163);
INSERT INTO public.who_data VALUES (13200, 1564, 1005546, 51, 37368, 56, 70);
INSERT INTO public.who_data VALUES (13201, 1404, 469005, 5, 9067, 56, 174);
INSERT INTO public.who_data VALUES (13202, 0, 0, 0, 0, 56, 175);
INSERT INTO public.who_data VALUES (13203, 3842, 1257799, 57, 27118, 56, 118);
INSERT INTO public.who_data VALUES (13204, 1214, 392996, 78, 6556, 56, 189);
INSERT INTO public.who_data VALUES (13205, 1019, 72443, 0, 1432, 56, 124);
INSERT INTO public.who_data VALUES (13206, 169, 142903, 0, 244, 56, 192);
INSERT INTO public.who_data VALUES (13207, 970, 56858, 15, 808, 56, 41);
INSERT INTO public.who_data VALUES (13208, 746, 140996, 12, 2883, 56, 95);
INSERT INTO public.who_data VALUES (13209, 0, 8909, 0, 42, 56, 74);
INSERT INTO public.who_data VALUES (13210, 1387, 613760, 95, 15108, 56, 11);
INSERT INTO public.who_data VALUES (13211, 28284, 3050248, 552, 54778, 56, 87);
INSERT INTO public.who_data VALUES (13212, 306, 7817, 6, 72, 56, 214);
INSERT INTO public.who_data VALUES (13213, 0, 5, 0, 0, 56, 116);
INSERT INTO public.who_data VALUES (13214, 7, 189, 0, 0, 56, 157);
INSERT INTO public.who_data VALUES (13215, 0, 0, 0, 0, 56, 182);
INSERT INTO public.who_data VALUES (13216, 0, 30, 0, 0, 56, 186);
INSERT INTO public.who_data VALUES (13217, 0, 305, 0, 5, 56, 127);
INSERT INTO public.who_data VALUES (13218, 38, 986, 0, 12, 56, 232);
INSERT INTO public.who_data VALUES (13219, 0, 16, 0, 0, 56, 33);
INSERT INTO public.who_data VALUES (13220, 0, 108, 0, 0, 56, 97);
INSERT INTO public.who_data VALUES (13221, 0, 2, 0, 0, 56, 42);
INSERT INTO public.who_data VALUES (13222, 0, 2264, 0, 57, 56, 198);
INSERT INTO public.who_data VALUES (13223, 2, 1014, 0, 17, 56, 216);
INSERT INTO public.who_data VALUES (13224, 163, 362066, 8, 6176, 56, 164);
INSERT INTO public.who_data VALUES (13225, 154, 18523, 1, 387, 56, 235);
INSERT INTO public.who_data VALUES (13226, 3200, 323367, 52, 2983, 56, 67);
INSERT INTO public.who_data VALUES (13227, 0, 211, 0, 0, 56, 15);
INSERT INTO public.who_data VALUES (13228, 0, 2549, 0, 76, 56, 180);
INSERT INTO public.who_data VALUES (13229, 10, 58519, 0, 29, 56, 237);
INSERT INTO public.who_data VALUES (13230, 0, 19, 0, 0, 56, 25);
INSERT INTO public.who_data VALUES (13231, 0, 1370, 0, 26, 56, 209);
INSERT INTO public.who_data VALUES (13232, 1041, 166649, 0, 1732, 56, 217);
INSERT INTO public.who_data VALUES (13233, 369, 114256, 33, 2803, 56, 79);
INSERT INTO public.who_data VALUES (13234, 0, 17, 0, 0, 56, 143);
INSERT INTO public.who_data VALUES (13235, 0, 4690, 0, 127, 56, 229);
INSERT INTO public.who_data VALUES (13236, 11552, 994911, 245, 26521, 56, 141);
INSERT INTO public.who_data VALUES (13237, 0, 3308, 0, 62, 56, 197);
INSERT INTO public.who_data VALUES (13238, 5117, 1960989, 122, 51487, 56, 221);
INSERT INTO public.who_data VALUES (13239, 598, 40380, 1, 187, 56, 150);
INSERT INTO public.who_data VALUES (13240, 106, 24694, 5, 1520, 56, 56);
INSERT INTO public.who_data VALUES (13241, 70, 5880, 1, 119, 56, 167);
INSERT INTO public.who_data VALUES (13242, 2793, 415165, 106, 9262, 56, 23);
INSERT INTO public.who_data VALUES (13243, 2355, 435330, 90, 6967, 56, 222);
INSERT INTO public.who_data VALUES (13244, 111, 10932, 9, 669, 56, 219);
INSERT INTO public.who_data VALUES (13245, 37, 13555, 0, 90, 56, 7);
INSERT INTO public.who_data VALUES (13246, 110, 6020, 0, 60, 56, 161);
INSERT INTO public.who_data VALUES (13247, 34693, 2256009, 210, 70405, 56, 149);
INSERT INTO public.who_data VALUES (13248, 0, 41, 0, 0, 56, 6);
INSERT INTO public.who_data VALUES (13249, 88, 3555, 2, 68, 56, 139);
INSERT INTO public.who_data VALUES (13250, 0, 0, 0, 0, 56, 211);
INSERT INTO public.who_data VALUES (13251, 0, 0, 0, 0, 56, 14);
INSERT INTO public.who_data VALUES (13252, 8, 7097, 0, 125, 56, 111);
INSERT INTO public.who_data VALUES (13253, 1652, 130230, 41, 4426, 56, 207);
INSERT INTO public.who_data VALUES (13254, 15118, 2133373, 253, 19624, 56, 66);
INSERT INTO public.who_data VALUES (13255, 0, 0, 0, 0, 56, 173);
INSERT INTO public.who_data VALUES (13256, 15, 844, 0, 6, 56, 145);
INSERT INTO public.who_data VALUES (13257, 0, 0, 0, 0, 56, 65);
INSERT INTO public.who_data VALUES (13258, 203, 33563, 0, 245, 56, 184);
INSERT INTO public.who_data VALUES (13259, 6113, 1025989, 72, 17774, 56, 98);
INSERT INTO public.who_data VALUES (13260, 1227, 200892, 2, 655, 56, 104);
INSERT INTO public.who_data VALUES (13261, 0, 509, 0, 21, 56, 73);
INSERT INTO public.who_data VALUES (13262, 145489, 18648989, 1692, 328014, 56, 8);
INSERT INTO public.who_data VALUES (13263, 0, 1979, 0, 23, 56, 227);
INSERT INTO public.who_data VALUES (13264, 391, 15848, 8, 143, 56, 75);
INSERT INTO public.who_data VALUES (13265, 85, 76751, 1, 613, 56, 45);
INSERT INTO public.who_data VALUES (13266, 0, 1, 0, 0, 56, 133);
INSERT INTO public.who_data VALUES (13267, 358, 111603, 4, 1010, 56, 202);
INSERT INTO public.who_data VALUES (13268, 1, 1440, 0, 35, 56, 129);
INSERT INTO public.who_data VALUES (13269, 0, 4, 0, 0, 56, 36);
INSERT INTO public.who_data VALUES (13270, 0, 2096, 0, 607, 56, 51);
INSERT INTO public.who_data VALUES (13271, 100, 19671, 1, 382, 56, 206);
INSERT INTO public.who_data VALUES (13272, 83, 12963, 0, 341, 56, 5);
INSERT INTO public.who_data VALUES (13273, 169, 51764, 13, 2148, 57, 103);
INSERT INTO public.who_data VALUES (13274, 553, 55380, 9, 1134, 57, 58);
INSERT INTO public.who_data VALUES (13275, 434, 97441, 11, 2716, 57, 195);
INSERT INTO public.who_data VALUES (13276, 0, 0, 0, 0, 57, 115);
INSERT INTO public.who_data VALUES (13277, 57, 7756, 0, 83, 57, 99);
INSERT INTO public.who_data VALUES (13278, 70, 17099, 1, 396, 57, 153);
INSERT INTO public.who_data VALUES (13279, 0, 11, 0, 0, 57, 93);
INSERT INTO public.who_data VALUES (13280, 0, 154, 0, 5, 57, 84);
INSERT INTO public.who_data VALUES (13281, 7815, 1571680, 78, 42392, 57, 78);
INSERT INTO public.who_data VALUES (13282, 586, 156662, 19, 2747, 57, 170);
INSERT INTO public.who_data VALUES (13283, 0, 5228, 0, 47, 57, 32);
INSERT INTO public.who_data VALUES (13284, 0, 28262, 0, 908, 57, 155);
INSERT INTO public.who_data VALUES (13285, 1750, 347101, 38, 5710, 57, 82);
INSERT INTO public.who_data VALUES (13286, 1703, 211764, 36, 2416, 57, 16);
INSERT INTO public.who_data VALUES (13287, 0, 7788, 0, 169, 57, 72);
INSERT INTO public.who_data VALUES (13288, 234, 91304, 1, 351, 57, 43);
INSERT INTO public.who_data VALUES (13289, 1163, 507265, 20, 7398, 57, 120);
INSERT INTO public.who_data VALUES (13290, 16, 345, 0, 7, 57, 213);
INSERT INTO public.who_data VALUES (13291, 1893, 183006, 9, 1367, 57, 31);
INSERT INTO public.who_data VALUES (13292, 520, 638625, 67, 19165, 57, 204);
INSERT INTO public.who_data VALUES (13293, 120, 10490, 2, 228, 57, 152);
INSERT INTO public.who_data VALUES (13294, 0, 3205, 0, 44, 57, 144);
INSERT INTO public.who_data VALUES (13295, 0, 561, 0, 9, 57, 96);
INSERT INTO public.who_data VALUES (13296, 35, 576, 0, 0, 57, 47);
INSERT INTO public.who_data VALUES (13297, 1057, 153121, 11, 9076, 57, 80);
INSERT INTO public.who_data VALUES (13298, 0, 158, 0, 3, 57, 159);
INSERT INTO public.who_data VALUES (13299, 593, 108891, 23, 3901, 57, 27);
INSERT INTO public.who_data VALUES (13300, 0, 13622, 0, 38, 57, 146);
INSERT INTO public.who_data VALUES (13301, 60076, 7425593, 786, 190006, 57, 71);
INSERT INTO public.who_data VALUES (13302, 0, 93, 0, 1, 57, 210);
INSERT INTO public.who_data VALUES (13303, 0, 152, 0, 3, 57, 54);
INSERT INTO public.who_data VALUES (13304, 257, 196915, 50, 7073, 57, 147);
INSERT INTO public.who_data VALUES (13305, 193, 6134, 0, 77, 57, 2);
INSERT INTO public.who_data VALUES (13306, 0, 786, 0, 2, 57, 105);
INSERT INTO public.who_data VALUES (13307, 28, 11696, 0, 112, 57, 53);
INSERT INTO public.who_data VALUES (13308, 0, 363, 0, 0, 57, 81);
INSERT INTO public.who_data VALUES (13309, 0, 25849, 0, 448, 57, 223);
INSERT INTO public.who_data VALUES (13310, 6889, 535243, 123, 14720, 57, 94);
INSERT INTO public.who_data VALUES (13311, 1, 318, 0, 2, 57, 154);
INSERT INTO public.who_data VALUES (13312, 0, 4948, 0, 63, 57, 83);
INSERT INTO public.who_data VALUES (13313, 13, 1971, 0, 102, 57, 194);
INSERT INTO public.who_data VALUES (13314, 2521, 595831, 55, 16358, 57, 136);
INSERT INTO public.who_data VALUES (13315, 81, 96240, 1, 4777, 57, 179);
INSERT INTO public.who_data VALUES (13316, 14940, 1559766, 281, 41454, 57, 57);
INSERT INTO public.who_data VALUES (13317, 32, 715, 0, 7, 57, 35);
INSERT INTO public.who_data VALUES (13318, 0, 6200, 0, 100, 57, 228);
INSERT INTO public.who_data VALUES (13319, 0, 0, 0, 0, 57, 19);
INSERT INTO public.who_data VALUES (13320, 1048, 162990, 21, 2086, 57, 22);
INSERT INTO public.who_data VALUES (13321, 97, 22081, 0, 133, 57, 1);
INSERT INTO public.who_data VALUES (13322, 350, 204312, 65, 3613, 57, 21);
INSERT INTO public.who_data VALUES (13323, 400, 10900, 1, 140, 57, 234);
INSERT INTO public.who_data VALUES (13324, 0, 4051, 0, 12, 57, 91);
INSERT INTO public.who_data VALUES (13325, 50, 19366, 2, 109, 57, 137);
INSERT INTO public.who_data VALUES (13326, 2706, 667569, 91, 10950, 57, 201);
INSERT INTO public.who_data VALUES (13327, 0, 0, 0, 0, 57, 171);
INSERT INTO public.who_data VALUES (13328, 243, 16280, 0, 566, 57, 92);
INSERT INTO public.who_data VALUES (13329, 2992, 149333, 20, 1134, 57, 112);
INSERT INTO public.who_data VALUES (13330, 4, 5804, 0, 61, 57, 62);
INSERT INTO public.who_data VALUES (13331, 0, 96, 0, 0, 57, 69);
INSERT INTO public.who_data VALUES (13332, 1381, 165035, 0, 2404, 57, 220);
INSERT INTO public.who_data VALUES (13333, 818, 208828, 7, 13984, 57, 100);
INSERT INTO public.who_data VALUES (13334, 1133, 130126, 49, 7309, 57, 187);
INSERT INTO public.who_data VALUES (13335, 0, 44619, 6, 1289, 57, 63);
INSERT INTO public.who_data VALUES (13336, 0, 5231, 0, 85, 57, 28);
INSERT INTO public.who_data VALUES (13337, 37, 992, 0, 1, 57, 172);
INSERT INTO public.who_data VALUES (13338, 445, 25027, 0, 202, 57, 17);
INSERT INTO public.who_data VALUES (13339, 138, 8170, 0, 154, 57, 226);
INSERT INTO public.who_data VALUES (13340, 481, 121880, 15, 1897, 57, 236);
INSERT INTO public.who_data VALUES (13341, 0, 29, 0, 0, 57, 76);
INSERT INTO public.who_data VALUES (13342, 6, 567, 0, 0, 57, 30);
INSERT INTO public.who_data VALUES (13343, 0, 46, 0, 2, 57, 128);
INSERT INTO public.who_data VALUES (13344, 0, 34084, 0, 524, 57, 86);
INSERT INTO public.who_data VALUES (13345, 20198, 2505073, 159, 62051, 57, 140);
INSERT INTO public.who_data VALUES (13346, 0, 12685, 0, 71, 57, 44);
INSERT INTO public.who_data VALUES (13347, 0, 16550, 0, 108, 57, 113);
INSERT INTO public.who_data VALUES (13348, 0, 9469, 0, 64, 57, 29);
INSERT INTO public.who_data VALUES (13349, 1, 3792, 0, 123, 57, 125);
INSERT INTO public.who_data VALUES (13350, 1784, 220508, 39, 2352, 57, 131);
INSERT INTO public.who_data VALUES (13351, 14455, 1627103, 240, 29422, 57, 46);
INSERT INTO public.who_data VALUES (13352, 0, 54043, 0, 333, 57, 10);
INSERT INTO public.who_data VALUES (13353, 78, 1476, 0, 6, 57, 205);
INSERT INTO public.who_data VALUES (13354, 617, 134852, 50, 4507, 57, 50);
INSERT INTO public.who_data VALUES (13355, 0, 26, 0, 0, 57, 20);
INSERT INTO public.who_data VALUES (13356, 4, 116, 0, 0, 57, 13);
INSERT INTO public.who_data VALUES (13357, 0, 8557, 0, 155, 57, 148);
INSERT INTO public.who_data VALUES (13358, 2, 7093, 0, 121, 57, 230);
INSERT INTO public.who_data VALUES (13359, 186, 135080, 8, 4757, 57, 190);
INSERT INTO public.who_data VALUES (13360, 0, 297, 0, 13, 57, 188);
INSERT INTO public.who_data VALUES (13361, 16, 13646, 0, 80, 57, 123);
INSERT INTO public.who_data VALUES (13362, 0, 2447, 0, 45, 57, 9);
INSERT INTO public.who_data VALUES (13363, 8, 6266, 0, 162, 57, 102);
INSERT INTO public.who_data VALUES (13364, 0, 9846, 0, 235, 57, 34);
INSERT INTO public.who_data VALUES (13365, 0, 26, 0, 0, 57, 212);
INSERT INTO public.who_data VALUES (13366, 385, 118421, 6, 3060, 57, 122);
INSERT INTO public.who_data VALUES (13367, 1198, 315362, 118, 8951, 57, 38);
INSERT INTO public.who_data VALUES (13368, 0, 5683, 0, 28, 57, 130);
INSERT INTO public.who_data VALUES (13369, 22273, 10169118, 251, 147343, 57, 37);
INSERT INTO public.who_data VALUES (13370, 7259, 700097, 258, 20847, 57, 231);
INSERT INTO public.who_data VALUES (13371, 6021, 1189203, 132, 54440, 57, 107);
INSERT INTO public.who_data VALUES (13372, 1140, 589943, 11, 12755, 57, 101);
INSERT INTO public.who_data VALUES (13373, 1025, 84098, 2, 2194, 57, 132);
INSERT INTO public.who_data VALUES (13374, 0, 374, 0, 25, 57, 176);
INSERT INTO public.who_data VALUES (13375, 4052, 392654, 15, 3190, 57, 200);
INSERT INTO public.who_data VALUES (13376, 19037, 2028354, 459, 71359, 57, 169);
INSERT INTO public.who_data VALUES (13377, 78, 12597, 2, 294, 57, 225);
INSERT INTO public.who_data VALUES (13378, 3567, 213547, 50, 3155, 57, 165);
INSERT INTO public.who_data VALUES (13379, 23, 2583, 1, 41, 57, 233);
INSERT INTO public.who_data VALUES (13380, 1616, 285306, 30, 3711, 57, 215);
INSERT INTO public.who_data VALUES (13381, 926, 197142, 0, 2669, 57, 177);
INSERT INTO public.who_data VALUES (13382, 282, 95713, 1, 1653, 57, 183);
INSERT INTO public.who_data VALUES (13383, 0, 0, 0, 0, 57, 203);
INSERT INTO public.who_data VALUES (13384, 249, 50092, 8, 1288, 57, 162);
INSERT INTO public.who_data VALUES (13385, 260, 149277, 0, 926, 57, 12);
INSERT INTO public.who_data VALUES (13386, 157, 80182, 4, 1344, 57, 24);
INSERT INTO public.who_data VALUES (13387, 0, 41, 0, 0, 57, 119);
INSERT INTO public.who_data VALUES (13388, 666, 35420, 16, 502, 57, 39);
INSERT INTO public.who_data VALUES (13389, 2136, 168069, 14, 1367, 57, 26);
INSERT INTO public.who_data VALUES (13390, 0, 2577, 0, 50, 57, 59);
INSERT INTO public.who_data VALUES (13391, 2, 1800, 0, 83, 57, 77);
INSERT INTO public.who_data VALUES (13392, 461, 97653, 16, 1415, 57, 134);
INSERT INTO public.who_data VALUES (13393, 29, 2063, 3, 36, 57, 4);
INSERT INTO public.who_data VALUES (13394, 2344, 128932, 61, 1573, 57, 109);
INSERT INTO public.who_data VALUES (13395, 253, 45724, 4, 465, 57, 90);
INSERT INTO public.who_data VALUES (13396, 0, 17633, 0, 260, 57, 61);
INSERT INTO public.who_data VALUES (13397, 62, 6339, 0, 187, 57, 85);
INSERT INTO public.who_data VALUES (13398, 1247, 101565, 3, 449, 57, 49);
INSERT INTO public.who_data VALUES (13399, 25, 13583, 0, 48, 57, 208);
INSERT INTO public.who_data VALUES (13400, 0, 6291, 0, 225, 57, 166);
INSERT INTO public.who_data VALUES (13401, 70, 12062, 2, 203, 57, 64);
INSERT INTO public.who_data VALUES (13402, 0, 4, 0, 0, 57, 199);
INSERT INTO public.who_data VALUES (13403, 0, 5634, 0, 42, 57, 114);
INSERT INTO public.who_data VALUES (13404, 0, 10971, 0, 225, 57, 60);
INSERT INTO public.who_data VALUES (13405, 0, 524, 0, 10, 57, 68);
INSERT INTO public.who_data VALUES (13406, 0, 5767, 0, 54, 57, 158);
INSERT INTO public.who_data VALUES (13407, 12485, 1362564, 861, 121172, 57, 52);
INSERT INTO public.who_data VALUES (13408, 0, 0, 0, 0, 57, 117);
INSERT INTO public.who_data VALUES (13409, 6, 792, 0, 3, 57, 126);
INSERT INTO public.who_data VALUES (13410, 6, 1075, 0, 0, 57, 196);
INSERT INTO public.who_data VALUES (13411, 356, 46633, 6, 658, 57, 142);
INSERT INTO public.who_data VALUES (13412, 0, 13, 0, 1, 57, 185);
INSERT INTO public.who_data VALUES (13413, 2329, 428193, 40, 7170, 57, 138);
INSERT INTO public.who_data VALUES (13414, 77, 18108, 0, 156, 57, 181);
INSERT INTO public.who_data VALUES (13415, 919, 119788, 25, 2532, 57, 178);
INSERT INTO public.who_data VALUES (13416, 683, 21262, 0, 187, 57, 168);
INSERT INTO public.who_data VALUES (13417, 0, 0, 0, 0, 57, 160);
INSERT INTO public.who_data VALUES (13418, 608, 257200, 9, 1817, 57, 151);
INSERT INTO public.who_data VALUES (13419, 11497, 742876, 93, 10892, 57, 193);
INSERT INTO public.who_data VALUES (13420, 0, 38, 0, 0, 57, 18);
INSERT INTO public.who_data VALUES (13421, 0, 1772, 0, 25, 57, 40);
INSERT INTO public.who_data VALUES (13422, 0, 4790, 0, 164, 57, 218);
INSERT INTO public.who_data VALUES (13423, 0, 2803, 0, 89, 57, 191);
INSERT INTO public.who_data VALUES (13424, 1825, 82747, 10, 1246, 57, 156);
INSERT INTO public.who_data VALUES (13425, 0, 0, 0, 0, 57, 135);
INSERT INTO public.who_data VALUES (13426, 0, 122, 0, 2, 57, 88);
INSERT INTO public.who_data VALUES (13427, 489, 80896, 26, 2401, 57, 55);
INSERT INTO public.who_data VALUES (13428, 0, 44932, 0, 421, 57, 108);
INSERT INTO public.who_data VALUES (13429, 1812, 147234, 21, 1385, 57, 48);
INSERT INTO public.who_data VALUES (13430, 0, 128290, 0, 1491, 57, 3);
INSERT INTO public.who_data VALUES (13431, 0, 745, 0, 13, 57, 224);
INSERT INTO public.who_data VALUES (13432, 2152, 467222, 85, 9753, 57, 110);
INSERT INTO public.who_data VALUES (13433, 0, 0, 0, 0, 57, 106);
INSERT INTO public.who_data VALUES (13434, 3413, 223674, 51, 3715, 57, 89);
INSERT INTO public.who_data VALUES (13435, 0, 780, 0, 9, 57, 121);
INSERT INTO public.who_data VALUES (13436, 958, 103329, 16, 2154, 57, 163);
INSERT INTO public.who_data VALUES (13437, 0, 1003982, 0, 37317, 57, 70);
INSERT INTO public.who_data VALUES (13438, 1877, 467601, 7, 9062, 57, 174);
INSERT INTO public.who_data VALUES (13439, 0, 0, 0, 0, 57, 175);
INSERT INTO public.who_data VALUES (13440, 4878, 1253957, 69, 27061, 57, 118);
INSERT INTO public.who_data VALUES (13441, 4146, 391782, 65, 6478, 57, 189);
INSERT INTO public.who_data VALUES (13442, 616, 71424, 9, 1432, 57, 124);
INSERT INTO public.who_data VALUES (13443, 129, 142734, 1, 244, 57, 192);
INSERT INTO public.who_data VALUES (13444, 1131, 55888, 20, 793, 57, 41);
INSERT INTO public.who_data VALUES (13445, 815, 140250, 23, 2871, 57, 95);
INSERT INTO public.who_data VALUES (13446, 63, 8909, 0, 42, 57, 74);
INSERT INTO public.who_data VALUES (13447, 3812, 612373, 101, 15013, 57, 11);
INSERT INTO public.who_data VALUES (13448, 29258, 3021964, 567, 54226, 57, 87);
INSERT INTO public.who_data VALUES (13449, 0, 7511, 0, 66, 57, 214);
INSERT INTO public.who_data VALUES (13450, 0, 5, 0, 0, 57, 116);
INSERT INTO public.who_data VALUES (13451, 0, 182, 0, 0, 57, 157);
INSERT INTO public.who_data VALUES (13452, 0, 0, 0, 0, 57, 182);
INSERT INTO public.who_data VALUES (13453, 0, 30, 0, 0, 57, 186);
INSERT INTO public.who_data VALUES (13454, 0, 305, 0, 5, 57, 127);
INSERT INTO public.who_data VALUES (13455, 0, 948, 0, 12, 57, 232);
INSERT INTO public.who_data VALUES (13456, 1, 16, 0, 0, 57, 33);
INSERT INTO public.who_data VALUES (13457, 0, 108, 0, 0, 57, 97);
INSERT INTO public.who_data VALUES (13458, 0, 2, 0, 0, 57, 42);
INSERT INTO public.who_data VALUES (13459, 33, 2264, 1, 57, 57, 198);
INSERT INTO public.who_data VALUES (13460, 0, 1012, 0, 17, 57, 216);
INSERT INTO public.who_data VALUES (13461, 178, 361903, 9, 6168, 57, 164);
INSERT INTO public.who_data VALUES (13462, 169, 18369, 5, 386, 57, 235);
INSERT INTO public.who_data VALUES (13463, 3823, 320167, 49, 2931, 57, 67);
INSERT INTO public.who_data VALUES (13464, 0, 211, 0, 0, 57, 15);
INSERT INTO public.who_data VALUES (13465, 52, 2549, 1, 76, 57, 180);
INSERT INTO public.who_data VALUES (13466, 14, 58509, 0, 29, 57, 237);
INSERT INTO public.who_data VALUES (13467, 0, 19, 0, 0, 57, 25);
INSERT INTO public.who_data VALUES (13468, 0, 1370, 0, 26, 57, 209);
INSERT INTO public.who_data VALUES (13469, 4046, 165608, 0, 1732, 57, 217);
INSERT INTO public.who_data VALUES (13470, 1812, 113887, 35, 2770, 57, 79);
INSERT INTO public.who_data VALUES (13471, 0, 17, 0, 0, 57, 143);
INSERT INTO public.who_data VALUES (13472, 0, 4690, 0, 127, 57, 229);
INSERT INTO public.who_data VALUES (13473, 14796, 983359, 293, 26276, 57, 141);
INSERT INTO public.who_data VALUES (13474, 0, 3308, 0, 62, 57, 197);
INSERT INTO public.who_data VALUES (13475, 10496, 1955872, 141, 51365, 57, 221);
INSERT INTO public.who_data VALUES (13476, 1143, 39782, 2, 186, 57, 150);
INSERT INTO public.who_data VALUES (13477, 247, 24588, 8, 1515, 57, 56);
INSERT INTO public.who_data VALUES (13478, 76, 5810, 0, 118, 57, 167);
INSERT INTO public.who_data VALUES (13479, 5036, 412372, 88, 9156, 57, 23);
INSERT INTO public.who_data VALUES (13480, 1721, 432975, 59, 6877, 57, 222);
INSERT INTO public.who_data VALUES (13481, 120, 10821, 8, 660, 57, 219);
INSERT INTO public.who_data VALUES (13482, 43, 13518, 1, 90, 57, 7);
INSERT INTO public.who_data VALUES (13483, 81, 5910, 0, 60, 57, 161);
INSERT INTO public.who_data VALUES (13484, 32725, 2221316, 570, 70195, 57, 149);
INSERT INTO public.who_data VALUES (13485, 0, 41, 0, 0, 57, 6);
INSERT INTO public.who_data VALUES (13486, 0, 3467, 0, 66, 57, 139);
INSERT INTO public.who_data VALUES (13487, 0, 0, 0, 0, 57, 211);
INSERT INTO public.who_data VALUES (13488, 0, 0, 0, 0, 57, 14);
INSERT INTO public.who_data VALUES (13489, 18, 7089, 0, 125, 57, 111);
INSERT INTO public.who_data VALUES (13490, 1826, 128578, 61, 4385, 57, 207);
INSERT INTO public.who_data VALUES (13491, 17543, 2118255, 256, 19371, 57, 66);
INSERT INTO public.who_data VALUES (13492, 0, 0, 0, 0, 57, 173);
INSERT INTO public.who_data VALUES (13493, 19, 829, 0, 6, 57, 145);
INSERT INTO public.who_data VALUES (13494, 0, 0, 0, 0, 57, 65);
INSERT INTO public.who_data VALUES (13495, 446, 33360, 0, 245, 57, 184);
INSERT INTO public.who_data VALUES (13496, 7709, 1019876, 121, 17702, 57, 98);
INSERT INTO public.who_data VALUES (13497, 1230, 199665, 6, 653, 57, 104);
INSERT INTO public.who_data VALUES (13498, 0, 509, 0, 21, 57, 73);
INSERT INTO public.who_data VALUES (13499, 192095, 18503500, 2795, 326322, 57, 8);
INSERT INTO public.who_data VALUES (13500, 12, 1979, 0, 23, 57, 227);
INSERT INTO public.who_data VALUES (13501, 747, 15457, 7, 135, 57, 75);
INSERT INTO public.who_data VALUES (13502, 98, 76666, 0, 612, 57, 45);
INSERT INTO public.who_data VALUES (13503, 0, 1, 0, 0, 57, 133);
INSERT INTO public.who_data VALUES (13504, 221, 111245, 4, 1006, 57, 202);
INSERT INTO public.who_data VALUES (13505, 6, 1439, 0, 35, 57, 129);
INSERT INTO public.who_data VALUES (13506, 0, 4, 0, 0, 57, 36);
INSERT INTO public.who_data VALUES (13507, 0, 2096, 0, 607, 57, 51);
INSERT INTO public.who_data VALUES (13508, 337, 19571, 0, 381, 57, 206);
INSERT INTO public.who_data VALUES (13509, 94, 12880, 2, 341, 57, 5);
INSERT INTO public.who_data VALUES (13510, 238, 51595, 9, 2135, 58, 103);
INSERT INTO public.who_data VALUES (13511, 510, 54827, 8, 1125, 58, 58);
INSERT INTO public.who_data VALUES (13512, 458, 97007, 9, 2705, 58, 195);
INSERT INTO public.who_data VALUES (13513, 0, 0, 0, 0, 58, 115);
INSERT INTO public.who_data VALUES (13514, 30, 7699, 1, 83, 58, 99);
INSERT INTO public.who_data VALUES (13515, 98, 17029, 1, 395, 58, 153);
INSERT INTO public.who_data VALUES (13516, 0, 11, 0, 0, 58, 93);
INSERT INTO public.who_data VALUES (13517, 1, 154, 0, 5, 58, 84);
INSERT INTO public.who_data VALUES (13518, 8586, 1563865, 60, 42314, 58, 78);
INSERT INTO public.who_data VALUES (13519, 621, 156076, 19, 2728, 58, 170);
INSERT INTO public.who_data VALUES (13520, 29, 5228, 0, 47, 58, 32);
INSERT INTO public.who_data VALUES (13521, 24, 28262, 0, 908, 58, 155);
INSERT INTO public.who_data VALUES (13522, 2818, 345351, 61, 5672, 58, 82);
INSERT INTO public.who_data VALUES (13523, 1850, 210061, 40, 2380, 58, 16);
INSERT INTO public.who_data VALUES (13524, 10, 7788, 0, 169, 58, 72);
INSERT INTO public.who_data VALUES (13525, 253, 91070, 0, 350, 58, 43);
INSERT INTO public.who_data VALUES (13526, 1234, 506102, 19, 7378, 58, 120);
INSERT INTO public.who_data VALUES (13527, 2, 329, 0, 7, 58, 213);
INSERT INTO public.who_data VALUES (13528, 1917, 181113, 9, 1358, 58, 31);
INSERT INTO public.who_data VALUES (13529, 1783, 638105, 81, 19098, 58, 204);
INSERT INTO public.who_data VALUES (13530, 113, 10370, 0, 226, 58, 152);
INSERT INTO public.who_data VALUES (13531, 0, 3205, 0, 44, 58, 144);
INSERT INTO public.who_data VALUES (13532, 8, 561, 0, 9, 58, 96);
INSERT INTO public.who_data VALUES (13533, 22, 541, 0, 0, 58, 47);
INSERT INTO public.who_data VALUES (13534, 1005, 152064, 13, 9065, 58, 80);
INSERT INTO public.who_data VALUES (13535, 2, 158, 0, 3, 58, 159);
INSERT INTO public.who_data VALUES (13536, 728, 108298, 40, 3878, 58, 27);
INSERT INTO public.who_data VALUES (13537, 269, 13622, 0, 38, 58, 146);
INSERT INTO public.who_data VALUES (13538, 46696, 7365517, 961, 189220, 58, 71);
INSERT INTO public.who_data VALUES (13539, 7, 93, 0, 1, 58, 210);
INSERT INTO public.who_data VALUES (13540, 0, 152, 0, 3, 58, 54);
INSERT INTO public.who_data VALUES (13541, 772, 196658, 45, 7023, 58, 147);
INSERT INTO public.who_data VALUES (13542, 292, 5941, 0, 77, 58, 2);
INSERT INTO public.who_data VALUES (13543, 13, 786, 0, 2, 58, 105);
INSERT INTO public.who_data VALUES (13544, 0, 11668, 0, 112, 58, 53);
INSERT INTO public.who_data VALUES (13545, 0, 363, 0, 0, 58, 81);
INSERT INTO public.who_data VALUES (13546, 0, 25849, 0, 448, 58, 223);
INSERT INTO public.who_data VALUES (13547, 6845, 528354, 172, 14597, 58, 94);
INSERT INTO public.who_data VALUES (13548, 1, 317, 0, 2, 58, 154);
INSERT INTO public.who_data VALUES (13549, 0, 4948, 0, 63, 58, 83);
INSERT INTO public.who_data VALUES (13550, 42, 1958, 0, 102, 58, 194);
INSERT INTO public.who_data VALUES (13551, 2396, 593310, 75, 16303, 58, 136);
INSERT INTO public.who_data VALUES (13552, 85, 96159, 2, 4776, 58, 179);
INSERT INTO public.who_data VALUES (13553, 14233, 1544826, 242, 41173, 58, 57);
INSERT INTO public.who_data VALUES (13554, 17, 683, 0, 7, 58, 35);
INSERT INTO public.who_data VALUES (13555, 0, 6200, 0, 100, 58, 228);
INSERT INTO public.who_data VALUES (13556, 0, 0, 0, 0, 58, 19);
INSERT INTO public.who_data VALUES (13557, 1138, 161942, 14, 2065, 58, 22);
INSERT INTO public.who_data VALUES (13558, 0, 21984, 0, 133, 58, 1);
INSERT INTO public.who_data VALUES (13559, 1643, 203962, 84, 3548, 58, 21);
INSERT INTO public.who_data VALUES (13560, 0, 10500, 0, 139, 58, 234);
INSERT INTO public.who_data VALUES (13561, 45, 4051, 1, 12, 58, 91);
INSERT INTO public.who_data VALUES (13562, 433, 19316, 3, 107, 58, 137);
INSERT INTO public.who_data VALUES (13563, 4402, 664863, 83, 10859, 58, 201);
INSERT INTO public.who_data VALUES (13564, 0, 0, 0, 0, 58, 171);
INSERT INTO public.who_data VALUES (13565, 229, 16037, 0, 566, 58, 92);
INSERT INTO public.who_data VALUES (13566, 2869, 146341, 18, 1114, 58, 112);
INSERT INTO public.who_data VALUES (13567, 11, 5800, 0, 61, 58, 62);
INSERT INTO public.who_data VALUES (13568, 4, 96, 0, 0, 58, 69);
INSERT INTO public.who_data VALUES (13569, 1158, 163654, 3, 2404, 58, 220);
INSERT INTO public.who_data VALUES (13570, 926, 208010, 15, 13977, 58, 100);
INSERT INTO public.who_data VALUES (13571, 1021, 128993, 51, 7260, 58, 187);
INSERT INTO public.who_data VALUES (13572, 847, 44619, 9, 1283, 58, 63);
INSERT INTO public.who_data VALUES (13573, 0, 5231, 0, 85, 58, 28);
INSERT INTO public.who_data VALUES (13574, 78, 955, 0, 1, 58, 172);
INSERT INTO public.who_data VALUES (13575, 573, 24582, 7, 202, 58, 17);
INSERT INTO public.who_data VALUES (13576, 164, 8032, 1, 154, 58, 226);
INSERT INTO public.who_data VALUES (13577, 761, 121399, 18, 1882, 58, 236);
INSERT INTO public.who_data VALUES (13578, 0, 29, 0, 0, 58, 76);
INSERT INTO public.who_data VALUES (13579, 5, 561, 0, 0, 58, 30);
INSERT INTO public.who_data VALUES (13580, 0, 46, 0, 2, 58, 128);
INSERT INTO public.who_data VALUES (13581, 0, 34084, 0, 524, 58, 86);
INSERT INTO public.who_data VALUES (13582, 21496, 2484875, 290, 61892, 58, 140);
INSERT INTO public.who_data VALUES (13583, 138, 12685, 0, 71, 58, 44);
INSERT INTO public.who_data VALUES (13584, 84, 16550, 1, 108, 58, 113);
INSERT INTO public.who_data VALUES (13585, 0, 9469, 0, 64, 58, 29);
INSERT INTO public.who_data VALUES (13586, 0, 3791, 0, 123, 58, 125);
INSERT INTO public.who_data VALUES (13587, 1881, 218724, 37, 2313, 58, 131);
INSERT INTO public.who_data VALUES (13588, 25533, 1612648, 412, 29182, 58, 46);
INSERT INTO public.who_data VALUES (13589, 0, 54043, 0, 333, 58, 10);
INSERT INTO public.who_data VALUES (13590, 68, 1398, 0, 6, 58, 205);
INSERT INTO public.who_data VALUES (13591, 870, 134235, 55, 4457, 58, 50);
INSERT INTO public.who_data VALUES (13592, 2, 26, 0, 0, 58, 20);
INSERT INTO public.who_data VALUES (13593, 3, 112, 0, 0, 58, 13);
INSERT INTO public.who_data VALUES (13594, 0, 8557, 0, 155, 58, 148);
INSERT INTO public.who_data VALUES (13595, 7, 7091, 0, 121, 58, 230);
INSERT INTO public.who_data VALUES (13596, 638, 134894, 10, 4749, 58, 190);
INSERT INTO public.who_data VALUES (13597, 4, 297, 0, 13, 58, 188);
INSERT INTO public.who_data VALUES (13598, 0, 13630, 0, 80, 58, 123);
INSERT INTO public.who_data VALUES (13599, 0, 2447, 0, 45, 58, 9);
INSERT INTO public.who_data VALUES (13600, 42, 6258, 2, 162, 58, 102);
INSERT INTO public.who_data VALUES (13601, 41, 9846, 0, 235, 58, 34);
INSERT INTO public.who_data VALUES (13602, 0, 26, 0, 0, 58, 212);
INSERT INTO public.who_data VALUES (13603, 448, 118036, 8, 3054, 58, 122);
INSERT INTO public.who_data VALUES (13604, 2610, 314164, 104, 8833, 58, 38);
INSERT INTO public.who_data VALUES (13605, 0, 5683, 0, 28, 58, 130);
INSERT INTO public.who_data VALUES (13606, 23067, 10146845, 336, 147092, 58, 37);
INSERT INTO public.who_data VALUES (13607, 7199, 692838, 181, 20589, 58, 231);
INSERT INTO public.who_data VALUES (13608, 6178, 1183182, 152, 54308, 58, 107);
INSERT INTO public.who_data VALUES (13609, 1127, 588803, 7, 12744, 58, 101);
INSERT INTO public.who_data VALUES (13610, 918, 83073, 8, 2192, 58, 132);
INSERT INTO public.who_data VALUES (13611, 0, 374, 0, 25, 58, 176);
INSERT INTO public.who_data VALUES (13612, 4035, 388602, 25, 3175, 58, 200);
INSERT INTO public.who_data VALUES (13613, 18039, 2009317, 505, 70900, 58, 169);
INSERT INTO public.who_data VALUES (13614, 96, 12519, 2, 292, 58, 225);
INSERT INTO public.who_data VALUES (13615, 3841, 209980, 55, 3105, 58, 165);
INSERT INTO public.who_data VALUES (13616, 77, 2560, 1, 40, 58, 233);
INSERT INTO public.who_data VALUES (13617, 1707, 283690, 29, 3681, 58, 215);
INSERT INTO public.who_data VALUES (13618, 913, 196216, 0, 2669, 58, 177);
INSERT INTO public.who_data VALUES (13619, 663, 95431, 5, 1652, 58, 183);
INSERT INTO public.who_data VALUES (13620, 0, 0, 0, 0, 58, 203);
INSERT INTO public.who_data VALUES (13621, 309, 49843, 6, 1280, 58, 162);
INSERT INTO public.who_data VALUES (13622, 244, 149017, 2, 926, 58, 12);
INSERT INTO public.who_data VALUES (13623, 180, 80025, 0, 1340, 58, 24);
INSERT INTO public.who_data VALUES (13624, 0, 41, 0, 0, 58, 119);
INSERT INTO public.who_data VALUES (13625, 1270, 34754, 7, 486, 58, 39);
INSERT INTO public.who_data VALUES (13626, 2708, 165933, 20, 1353, 58, 26);
INSERT INTO public.who_data VALUES (13627, 292, 2577, 6, 50, 58, 59);
INSERT INTO public.who_data VALUES (13628, 0, 1798, 0, 83, 58, 77);
INSERT INTO public.who_data VALUES (13629, 846, 97192, 6, 1399, 58, 134);
INSERT INTO public.who_data VALUES (13630, 34, 2034, 2, 33, 58, 4);
INSERT INTO public.who_data VALUES (13631, 2688, 126588, 44, 1512, 58, 109);
INSERT INTO public.who_data VALUES (13632, 262, 45471, 3, 461, 58, 90);
INSERT INTO public.who_data VALUES (13633, 0, 17633, 0, 260, 58, 61);
INSERT INTO public.who_data VALUES (13634, 16, 6277, 0, 187, 58, 85);
INSERT INTO public.who_data VALUES (13635, 1581, 100318, 2, 446, 58, 49);
INSERT INTO public.who_data VALUES (13636, 21, 13558, 0, 48, 58, 208);
INSERT INTO public.who_data VALUES (13637, 0, 6291, 0, 225, 58, 166);
INSERT INTO public.who_data VALUES (13638, 82, 11992, 5, 201, 58, 64);
INSERT INTO public.who_data VALUES (13639, 0, 4, 0, 0, 58, 199);
INSERT INTO public.who_data VALUES (13640, 0, 5634, 0, 42, 58, 114);
INSERT INTO public.who_data VALUES (13641, 0, 10971, 0, 225, 58, 60);
INSERT INTO public.who_data VALUES (13642, 0, 524, 0, 10, 58, 68);
INSERT INTO public.who_data VALUES (13643, 0, 5767, 0, 54, 58, 158);
INSERT INTO public.who_data VALUES (13644, 11653, 1350079, 816, 120311, 58, 52);
INSERT INTO public.who_data VALUES (13645, 0, 0, 0, 0, 58, 117);
INSERT INTO public.who_data VALUES (13646, 16, 786, 0, 3, 58, 126);
INSERT INTO public.who_data VALUES (13647, 6, 1069, 0, 0, 58, 196);
INSERT INTO public.who_data VALUES (13648, 457, 46277, 4, 652, 58, 142);
INSERT INTO public.who_data VALUES (13649, 0, 13, 0, 1, 58, 185);
INSERT INTO public.who_data VALUES (13650, 2650, 425864, 44, 7130, 58, 138);
INSERT INTO public.who_data VALUES (13651, 75, 18031, 3, 156, 58, 181);
INSERT INTO public.who_data VALUES (13652, 923, 118869, 23, 2507, 58, 178);
INSERT INTO public.who_data VALUES (13653, 595, 20579, 4, 187, 58, 168);
INSERT INTO public.who_data VALUES (13654, 0, 0, 0, 0, 58, 160);
INSERT INTO public.who_data VALUES (13655, 613, 256592, 5, 1808, 58, 151);
INSERT INTO public.who_data VALUES (13656, 11500, 731379, 88, 10799, 58, 193);
INSERT INTO public.who_data VALUES (13657, 0, 38, 0, 0, 58, 18);
INSERT INTO public.who_data VALUES (13658, 0, 1772, 0, 25, 58, 40);
INSERT INTO public.who_data VALUES (13659, 0, 4790, 0, 164, 58, 218);
INSERT INTO public.who_data VALUES (13660, 0, 2803, 0, 89, 58, 191);
INSERT INTO public.who_data VALUES (13661, 0, 80922, 0, 1236, 58, 156);
INSERT INTO public.who_data VALUES (13662, 0, 0, 0, 0, 58, 135);
INSERT INTO public.who_data VALUES (13663, 4, 122, 0, 2, 58, 88);
INSERT INTO public.who_data VALUES (13664, 592, 80407, 21, 2375, 58, 55);
INSERT INTO public.who_data VALUES (13665, 0, 44932, 0, 421, 58, 108);
INSERT INTO public.who_data VALUES (13666, 1704, 145422, 17, 1364, 58, 48);
INSERT INTO public.who_data VALUES (13667, 54, 128290, 0, 1491, 58, 3);
INSERT INTO public.who_data VALUES (13668, 0, 745, 0, 13, 58, 224);
INSERT INTO public.who_data VALUES (13669, 2256, 465070, 111, 9668, 58, 110);
INSERT INTO public.who_data VALUES (13670, 0, 0, 0, 0, 58, 106);
INSERT INTO public.who_data VALUES (13671, 3059, 220261, 32, 3664, 58, 89);
INSERT INTO public.who_data VALUES (13672, 19, 780, 0, 9, 58, 121);
INSERT INTO public.who_data VALUES (13673, 827, 102371, 18, 2138, 58, 163);
INSERT INTO public.who_data VALUES (13674, 3829, 1003982, 99, 37317, 58, 70);
INSERT INTO public.who_data VALUES (13675, 1720, 465724, 7, 9055, 58, 174);
INSERT INTO public.who_data VALUES (13676, 0, 0, 0, 0, 58, 175);
INSERT INTO public.who_data VALUES (13677, 9081, 1249079, 240, 26992, 58, 118);
INSERT INTO public.who_data VALUES (13678, 4378, 387636, 70, 6413, 58, 189);
INSERT INTO public.who_data VALUES (13679, 320, 70808, 15, 1423, 58, 124);
INSERT INTO public.who_data VALUES (13680, 157, 142605, 0, 243, 58, 192);
INSERT INTO public.who_data VALUES (13681, 1235, 54757, 17, 773, 58, 41);
INSERT INTO public.who_data VALUES (13682, 1222, 139435, 23, 2848, 58, 95);
INSERT INTO public.who_data VALUES (13683, 0, 8846, 0, 42, 58, 74);
INSERT INTO public.who_data VALUES (13684, 4310, 608561, 146, 14912, 58, 11);
INSERT INTO public.who_data VALUES (13685, 29018, 2992706, 563, 53659, 58, 87);
INSERT INTO public.who_data VALUES (13686, 0, 7511, 0, 66, 58, 214);
INSERT INTO public.who_data VALUES (13687, 0, 5, 0, 0, 58, 116);
INSERT INTO public.who_data VALUES (13688, 0, 182, 0, 0, 58, 157);
INSERT INTO public.who_data VALUES (13689, 0, 0, 0, 0, 58, 182);
INSERT INTO public.who_data VALUES (13690, 0, 30, 0, 0, 58, 186);
INSERT INTO public.who_data VALUES (13691, 0, 305, 0, 5, 58, 127);
INSERT INTO public.who_data VALUES (13692, 0, 948, 0, 12, 58, 232);
INSERT INTO public.who_data VALUES (13693, 0, 15, 0, 0, 58, 33);
INSERT INTO public.who_data VALUES (13694, 0, 108, 0, 0, 58, 97);
INSERT INTO public.who_data VALUES (13695, 0, 2, 0, 0, 58, 42);
INSERT INTO public.who_data VALUES (13696, 25, 2231, 0, 56, 58, 198);
INSERT INTO public.who_data VALUES (13697, 0, 1012, 0, 17, 58, 216);
INSERT INTO public.who_data VALUES (13698, 189, 361725, 11, 6159, 58, 164);
INSERT INTO public.who_data VALUES (13699, 157, 18200, 3, 381, 58, 235);
INSERT INTO public.who_data VALUES (13700, 4091, 316344, 49, 2882, 58, 67);
INSERT INTO public.who_data VALUES (13701, 0, 211, 0, 0, 58, 15);
INSERT INTO public.who_data VALUES (13702, 0, 2497, 0, 75, 58, 180);
INSERT INTO public.who_data VALUES (13703, 13, 58495, 0, 29, 58, 237);
INSERT INTO public.who_data VALUES (13704, 0, 19, 0, 0, 58, 25);
INSERT INTO public.who_data VALUES (13705, 8, 1370, 0, 26, 58, 209);
INSERT INTO public.who_data VALUES (13706, 2657, 161562, 46, 1732, 58, 217);
INSERT INTO public.who_data VALUES (13707, 2064, 112075, 32, 2735, 58, 79);
INSERT INTO public.who_data VALUES (13708, 0, 17, 0, 0, 58, 143);
INSERT INTO public.who_data VALUES (13709, 0, 4690, 0, 127, 58, 229);
INSERT INTO public.who_data VALUES (13710, 14305, 968563, 326, 25983, 58, 141);
INSERT INTO public.who_data VALUES (13711, 32, 3308, 0, 62, 58, 197);
INSERT INTO public.who_data VALUES (13712, 15043, 1945376, 164, 51224, 58, 221);
INSERT INTO public.who_data VALUES (13713, 0, 38639, 0, 184, 58, 150);
INSERT INTO public.who_data VALUES (13714, 283, 24341, 10, 1507, 58, 56);
INSERT INTO public.who_data VALUES (13715, 65, 5734, 0, 118, 58, 167);
INSERT INTO public.who_data VALUES (13716, 11376, 407336, 87, 9068, 58, 23);
INSERT INTO public.who_data VALUES (13717, 3047, 431254, 89, 6818, 58, 222);
INSERT INTO public.who_data VALUES (13718, 130, 10701, 11, 652, 58, 219);
INSERT INTO public.who_data VALUES (13719, 36, 13475, 0, 89, 58, 7);
INSERT INTO public.who_data VALUES (13720, 0, 5829, 0, 60, 58, 161);
INSERT INTO public.who_data VALUES (13721, 39036, 2188591, 574, 69625, 58, 149);
INSERT INTO public.who_data VALUES (13722, 5, 41, 0, 0, 58, 6);
INSERT INTO public.who_data VALUES (13723, 0, 3467, 0, 66, 58, 139);
INSERT INTO public.who_data VALUES (13724, 0, 0, 0, 0, 58, 211);
INSERT INTO public.who_data VALUES (13725, 0, 0, 0, 0, 58, 14);
INSERT INTO public.who_data VALUES (13726, 47, 7071, 0, 125, 58, 111);
INSERT INTO public.who_data VALUES (13727, 1752, 126752, 49, 4324, 58, 207);
INSERT INTO public.who_data VALUES (13728, 18102, 2100712, 254, 19115, 58, 66);
INSERT INTO public.who_data VALUES (13729, 0, 0, 0, 0, 58, 173);
INSERT INTO public.who_data VALUES (13730, 3, 810, 0, 6, 58, 145);
INSERT INTO public.who_data VALUES (13731, 0, 0, 0, 0, 58, 65);
INSERT INTO public.who_data VALUES (13732, 515, 32914, 0, 245, 58, 184);
INSERT INTO public.who_data VALUES (13733, 11035, 1012167, 186, 17581, 58, 98);
INSERT INTO public.who_data VALUES (13734, 1311, 198435, 2, 647, 58, 104);
INSERT INTO public.who_data VALUES (13735, 0, 509, 0, 21, 58, 73);
INSERT INTO public.who_data VALUES (13736, 221145, 18311405, 3347, 323527, 58, 8);
INSERT INTO public.who_data VALUES (13737, 17, 1967, 0, 23, 58, 227);
INSERT INTO public.who_data VALUES (13738, 709, 14710, 8, 128, 58, 75);
INSERT INTO public.who_data VALUES (13739, 112, 76568, 0, 612, 58, 45);
INSERT INTO public.who_data VALUES (13740, 0, 1, 0, 0, 58, 133);
INSERT INTO public.who_data VALUES (13741, 196, 111024, 5, 1002, 58, 202);
INSERT INTO public.who_data VALUES (13742, 12, 1433, 0, 35, 58, 129);
INSERT INTO public.who_data VALUES (13743, 0, 4, 0, 0, 58, 36);
INSERT INTO public.who_data VALUES (13744, 1, 2096, 0, 607, 58, 51);
INSERT INTO public.who_data VALUES (13745, 353, 19234, 2, 381, 58, 206);
INSERT INTO public.who_data VALUES (13746, 242, 12786, 13, 339, 58, 5);
INSERT INTO public.who_data VALUES (13747, 287, 51357, 21, 2126, 59, 103);
INSERT INTO public.who_data VALUES (13748, 503, 54317, 6, 1117, 59, 58);
INSERT INTO public.who_data VALUES (13749, 480, 96549, 9, 2696, 59, 195);
INSERT INTO public.who_data VALUES (13750, 0, 0, 0, 0, 59, 115);
INSERT INTO public.who_data VALUES (13751, 36, 7669, 0, 82, 59, 99);
INSERT INTO public.who_data VALUES (13752, 129, 16931, 1, 394, 59, 153);
INSERT INTO public.who_data VALUES (13753, 1, 11, 0, 0, 59, 93);
INSERT INTO public.who_data VALUES (13754, 0, 153, 0, 5, 59, 84);
INSERT INTO public.who_data VALUES (13755, 8141, 1555279, 257, 42254, 59, 78);
INSERT INTO public.who_data VALUES (13756, 702, 155455, 23, 2709, 59, 170);
INSERT INTO public.who_data VALUES (13757, 23, 5199, 0, 47, 59, 32);
INSERT INTO public.who_data VALUES (13758, 19, 28238, 0, 908, 59, 155);
INSERT INTO public.who_data VALUES (13759, 2600, 342533, 141, 5611, 59, 82);
INSERT INTO public.who_data VALUES (13760, 2334, 208211, 46, 2340, 59, 16);
INSERT INTO public.who_data VALUES (13761, 6, 7778, 0, 169, 59, 72);
INSERT INTO public.who_data VALUES (13762, 183, 90817, 0, 350, 59, 43);
INSERT INTO public.who_data VALUES (13763, 1367, 504868, 30, 7359, 59, 120);
INSERT INTO public.who_data VALUES (13764, 5, 327, 0, 7, 59, 213);
INSERT INTO public.who_data VALUES (13765, 1922, 179196, 8, 1349, 59, 31);
INSERT INTO public.who_data VALUES (13766, 2462, 636322, 92, 19017, 59, 204);
INSERT INTO public.who_data VALUES (13767, 112, 10257, 2, 226, 59, 152);
INSERT INTO public.who_data VALUES (13768, 0, 3205, 0, 44, 59, 144);
INSERT INTO public.who_data VALUES (13769, 6, 553, 0, 9, 59, 96);
INSERT INTO public.who_data VALUES (13770, 37, 519, 0, 0, 59, 47);
INSERT INTO public.who_data VALUES (13771, 674, 151059, 9, 9052, 59, 80);
INSERT INTO public.who_data VALUES (13772, 1, 156, 0, 3, 59, 159);
INSERT INTO public.who_data VALUES (13773, 584, 107570, 46, 3838, 59, 27);
INSERT INTO public.who_data VALUES (13774, 0, 13353, 0, 38, 59, 146);
INSERT INTO public.who_data VALUES (13775, 55202, 7318821, 968, 188259, 59, 71);
INSERT INTO public.who_data VALUES (13776, 0, 86, 0, 1, 59, 210);
INSERT INTO public.who_data VALUES (13777, 0, 152, 0, 3, 59, 54);
INSERT INTO public.who_data VALUES (13778, 1615, 195886, 99, 6978, 59, 147);
INSERT INTO public.who_data VALUES (13779, 188, 5649, 0, 77, 59, 2);
INSERT INTO public.who_data VALUES (13780, 0, 773, 0, 2, 59, 105);
INSERT INTO public.who_data VALUES (13781, 32, 11668, 0, 112, 59, 53);
INSERT INTO public.who_data VALUES (13782, 0, 363, 0, 0, 59, 81);
INSERT INTO public.who_data VALUES (13783, 0, 25849, 0, 448, 59, 223);
INSERT INTO public.who_data VALUES (13784, 6195, 521509, 93, 14425, 59, 94);
INSERT INTO public.who_data VALUES (13785, 0, 316, 0, 2, 59, 154);
INSERT INTO public.who_data VALUES (13786, 0, 4948, 0, 63, 59, 83);
INSERT INTO public.who_data VALUES (13787, 0, 1916, 0, 102, 59, 194);
INSERT INTO public.who_data VALUES (13788, 1725, 590914, 11, 16228, 59, 136);
INSERT INTO public.who_data VALUES (13789, 76, 96074, 1, 4774, 59, 179);
INSERT INTO public.who_data VALUES (13790, 12526, 1530593, 251, 40931, 59, 57);
INSERT INTO public.who_data VALUES (13791, 0, 666, 0, 7, 59, 35);
INSERT INTO public.who_data VALUES (13792, 0, 6200, 0, 100, 59, 228);
INSERT INTO public.who_data VALUES (13793, 0, 0, 0, 0, 59, 19);
INSERT INTO public.who_data VALUES (13794, 911, 160804, 14, 2051, 59, 22);
INSERT INTO public.who_data VALUES (13795, 52, 21984, 0, 133, 59, 1);
INSERT INTO public.who_data VALUES (13796, 2233, 202319, 70, 3464, 59, 21);
INSERT INTO public.who_data VALUES (13797, 116, 10500, 0, 139, 59, 234);
INSERT INTO public.who_data VALUES (13798, 32, 4006, 0, 11, 59, 91);
INSERT INTO public.who_data VALUES (13799, 477, 18883, 3, 104, 59, 137);
INSERT INTO public.who_data VALUES (13800, 14149, 660461, 112, 10776, 59, 201);
INSERT INTO public.who_data VALUES (13801, 0, 0, 0, 0, 59, 171);
INSERT INTO public.who_data VALUES (13802, 141, 15808, 0, 566, 59, 92);
INSERT INTO public.who_data VALUES (13803, 3297, 143472, 26, 1096, 59, 112);
INSERT INTO public.who_data VALUES (13804, 3, 5789, 0, 61, 59, 62);
INSERT INTO public.who_data VALUES (13805, 0, 92, 0, 0, 59, 69);
INSERT INTO public.who_data VALUES (13806, 566, 162496, 3, 2401, 59, 220);
INSERT INTO public.who_data VALUES (13807, 720, 207084, 13, 13962, 59, 100);
INSERT INTO public.who_data VALUES (13808, 911, 127972, 42, 7209, 59, 187);
INSERT INTO public.who_data VALUES (13809, 0, 43772, 9, 1274, 59, 63);
INSERT INTO public.who_data VALUES (13810, 0, 5231, 0, 85, 59, 28);
INSERT INTO public.who_data VALUES (13811, 45, 877, 0, 1, 59, 172);
INSERT INTO public.who_data VALUES (13812, 700, 24009, 3, 195, 59, 17);
INSERT INTO public.who_data VALUES (13813, 153, 7868, 11, 153, 59, 226);
INSERT INTO public.who_data VALUES (13814, 0, 120638, 0, 1864, 59, 236);
INSERT INTO public.who_data VALUES (13815, 6, 29, 0, 0, 59, 76);
INSERT INTO public.who_data VALUES (13816, 6, 556, 0, 0, 59, 30);
INSERT INTO public.who_data VALUES (13817, 0, 46, 0, 2, 59, 128);
INSERT INTO public.who_data VALUES (13818, 367, 34084, 13, 524, 59, 86);
INSERT INTO public.who_data VALUES (13819, 14836, 2463379, 276, 61602, 59, 140);
INSERT INTO public.who_data VALUES (13820, 48, 12547, 0, 71, 59, 44);
INSERT INTO public.who_data VALUES (13821, 56, 16466, 1, 107, 59, 113);
INSERT INTO public.who_data VALUES (13822, 49, 9469, 0, 64, 59, 29);
INSERT INTO public.who_data VALUES (13823, 0, 3791, 0, 123, 59, 125);
INSERT INTO public.who_data VALUES (13824, 1972, 216843, 43, 2276, 59, 131);
INSERT INTO public.who_data VALUES (13825, 32195, 1587115, 802, 28770, 59, 46);
INSERT INTO public.who_data VALUES (13826, 89, 54043, 0, 333, 59, 10);
INSERT INTO public.who_data VALUES (13827, 48, 1330, 0, 6, 59, 205);
INSERT INTO public.who_data VALUES (13828, 935, 133365, 62, 4402, 59, 50);
INSERT INTO public.who_data VALUES (13829, 0, 24, 0, 0, 59, 20);
INSERT INTO public.who_data VALUES (13830, 2, 109, 0, 0, 59, 13);
INSERT INTO public.who_data VALUES (13831, 0, 8557, 0, 155, 59, 148);
INSERT INTO public.who_data VALUES (13832, 18, 7084, 0, 121, 59, 230);
INSERT INTO public.who_data VALUES (13833, 655, 134256, 21, 4739, 59, 190);
INSERT INTO public.who_data VALUES (13834, 0, 293, 0, 13, 59, 188);
INSERT INTO public.who_data VALUES (13835, 52, 13630, 0, 80, 59, 123);
INSERT INTO public.who_data VALUES (13836, 0, 2447, 1, 45, 59, 9);
INSERT INTO public.who_data VALUES (13837, 45, 6216, 1, 160, 59, 102);
INSERT INTO public.who_data VALUES (13838, 34, 9805, 0, 235, 59, 34);
INSERT INTO public.who_data VALUES (13839, 0, 26, 0, 0, 59, 212);
INSERT INTO public.who_data VALUES (13840, 398, 117588, 12, 3046, 59, 122);
INSERT INTO public.who_data VALUES (13841, 3292, 311554, 113, 8729, 59, 38);
INSERT INTO public.who_data VALUES (13842, 16, 5683, 0, 28, 59, 130);
INSERT INTO public.who_data VALUES (13843, 24712, 10123778, 312, 146756, 59, 37);
INSERT INTO public.who_data VALUES (13844, 7514, 685639, 151, 20408, 59, 231);
INSERT INTO public.who_data VALUES (13845, 6261, 1177004, 153, 54156, 59, 107);
INSERT INTO public.who_data VALUES (13846, 1173, 587676, 12, 12737, 59, 101);
INSERT INTO public.who_data VALUES (13847, 927, 82155, 13, 2184, 59, 132);
INSERT INTO public.who_data VALUES (13848, 0, 374, 0, 25, 59, 176);
INSERT INTO public.who_data VALUES (13849, 4375, 384567, 13, 3150, 59, 200);
INSERT INTO public.who_data VALUES (13850, 13908, 1991278, 553, 70395, 59, 169);
INSERT INTO public.who_data VALUES (13851, 69, 12423, 2, 290, 59, 225);
INSERT INTO public.who_data VALUES (13852, 3026, 206139, 56, 3050, 59, 165);
INSERT INTO public.who_data VALUES (13853, 38, 2483, 1, 39, 59, 233);
INSERT INTO public.who_data VALUES (13854, 2091, 281983, 25, 3652, 59, 215);
INSERT INTO public.who_data VALUES (13855, 890, 195303, 0, 2669, 59, 177);
INSERT INTO public.who_data VALUES (13856, 0, 94768, 0, 1647, 59, 183);
INSERT INTO public.who_data VALUES (13857, 0, 0, 0, 0, 59, 203);
INSERT INTO public.who_data VALUES (13858, 271, 49534, 12, 1274, 59, 162);
INSERT INTO public.who_data VALUES (13859, 266, 148773, 1, 924, 59, 12);
INSERT INTO public.who_data VALUES (13860, 186, 79845, 3, 1340, 59, 24);
INSERT INTO public.who_data VALUES (13861, 0, 41, 0, 0, 59, 119);
INSERT INTO public.who_data VALUES (13862, 1145, 33484, 20, 479, 59, 39);
INSERT INTO public.who_data VALUES (13863, 2246, 163225, 22, 1333, 59, 26);
INSERT INTO public.who_data VALUES (13864, 0, 2285, 0, 44, 59, 59);
INSERT INTO public.who_data VALUES (13865, 0, 1798, 0, 83, 59, 77);
INSERT INTO public.who_data VALUES (13866, 640, 96346, 8, 1393, 59, 134);
INSERT INTO public.who_data VALUES (13867, 50, 2000, 1, 31, 59, 4);
INSERT INTO public.who_data VALUES (13868, 3806, 123900, 36, 1468, 59, 109);
INSERT INTO public.who_data VALUES (13869, 400, 45209, 5, 458, 59, 90);
INSERT INTO public.who_data VALUES (13870, 0, 17633, 0, 260, 59, 61);
INSERT INTO public.who_data VALUES (13871, 13, 6261, 0, 187, 59, 85);
INSERT INTO public.who_data VALUES (13872, 1348, 98737, 5, 444, 59, 49);
INSERT INTO public.who_data VALUES (13873, 13, 13537, 0, 48, 59, 208);
INSERT INTO public.who_data VALUES (13874, 0, 6291, 0, 225, 59, 166);
INSERT INTO public.who_data VALUES (13875, 108, 11910, 6, 196, 59, 64);
INSERT INTO public.who_data VALUES (13876, 0, 4, 0, 0, 59, 199);
INSERT INTO public.who_data VALUES (13877, 0, 5634, 0, 42, 59, 114);
INSERT INTO public.who_data VALUES (13878, 0, 10971, 0, 225, 59, 60);
INSERT INTO public.who_data VALUES (13879, 0, 524, 0, 10, 59, 68);
INSERT INTO public.who_data VALUES (13880, 0, 5767, 0, 54, 59, 158);
INSERT INTO public.who_data VALUES (13881, 12511, 1338426, 897, 119495, 59, 52);
INSERT INTO public.who_data VALUES (13882, 0, 0, 0, 0, 59, 117);
INSERT INTO public.who_data VALUES (13883, 11, 770, 0, 3, 59, 126);
INSERT INTO public.who_data VALUES (13884, 57, 1063, 0, 0, 59, 196);
INSERT INTO public.who_data VALUES (13885, 440, 45820, 9, 648, 59, 142);
INSERT INTO public.who_data VALUES (13886, 0, 13, 0, 1, 59, 185);
INSERT INTO public.who_data VALUES (13887, 2566, 423214, 56, 7086, 59, 138);
INSERT INTO public.who_data VALUES (13888, 189, 17956, 3, 153, 59, 181);
INSERT INTO public.who_data VALUES (13889, 964, 117946, 19, 2484, 59, 178);
INSERT INTO public.who_data VALUES (13890, 355, 19984, 2, 183, 59, 168);
INSERT INTO public.who_data VALUES (13891, 0, 0, 0, 0, 59, 160);
INSERT INTO public.who_data VALUES (13892, 743, 255979, 5, 1803, 59, 151);
INSERT INTO public.who_data VALUES (13893, 10396, 719879, 104, 10711, 59, 193);
INSERT INTO public.who_data VALUES (13894, 0, 38, 0, 0, 59, 18);
INSERT INTO public.who_data VALUES (13895, 0, 1772, 0, 25, 59, 40);
INSERT INTO public.who_data VALUES (13896, 0, 4790, 0, 164, 59, 218);
INSERT INTO public.who_data VALUES (13897, 442, 2803, 7, 89, 59, 191);
INSERT INTO public.who_data VALUES (13898, 1133, 80922, 5, 1236, 59, 156);
INSERT INTO public.who_data VALUES (13899, 0, 0, 0, 0, 59, 135);
INSERT INTO public.who_data VALUES (13900, 0, 118, 0, 2, 59, 88);
INSERT INTO public.who_data VALUES (13901, 625, 79815, 14, 2354, 59, 55);
INSERT INTO public.who_data VALUES (13902, 596, 44932, 16, 421, 59, 108);
INSERT INTO public.who_data VALUES (13903, 2110, 143718, 31, 1347, 59, 48);
INSERT INTO public.who_data VALUES (13904, 93, 128236, 1, 1491, 59, 3);
INSERT INTO public.who_data VALUES (13905, 1, 745, 0, 13, 59, 224);
INSERT INTO public.who_data VALUES (13906, 2142, 462814, 83, 9557, 59, 110);
INSERT INTO public.who_data VALUES (13907, 0, 0, 0, 0, 59, 106);
INSERT INTO public.who_data VALUES (13908, 3164, 217202, 35, 3632, 59, 89);
INSERT INTO public.who_data VALUES (13909, 0, 761, 0, 9, 59, 121);
INSERT INTO public.who_data VALUES (13910, 932, 101544, 17, 2120, 59, 163);
INSERT INTO public.who_data VALUES (13911, 1678, 1000153, 45, 37218, 59, 70);
INSERT INTO public.who_data VALUES (13912, 1189, 464004, 27, 9048, 59, 174);
INSERT INTO public.who_data VALUES (13913, 0, 0, 0, 0, 59, 175);
INSERT INTO public.who_data VALUES (13914, 13115, 1239998, 497, 26752, 59, 118);
INSERT INTO public.who_data VALUES (13915, 4602, 383258, 89, 6343, 59, 189);
INSERT INTO public.who_data VALUES (13916, 576, 70488, 17, 1408, 59, 124);
INSERT INTO public.who_data VALUES (13917, 140, 142448, 0, 243, 59, 192);
INSERT INTO public.who_data VALUES (13918, 985, 53522, 17, 756, 59, 41);
INSERT INTO public.who_data VALUES (13919, 1282, 138213, 22, 2825, 59, 95);
INSERT INTO public.who_data VALUES (13920, 45, 8846, 0, 42, 59, 74);
INSERT INTO public.who_data VALUES (13921, 5459, 604251, 130, 14766, 59, 11);
INSERT INTO public.who_data VALUES (13922, 29935, 2963688, 635, 53096, 59, 87);
INSERT INTO public.who_data VALUES (13923, 0, 7511, 0, 66, 59, 214);
INSERT INTO public.who_data VALUES (13924, 0, 5, 0, 0, 59, 116);
INSERT INTO public.who_data VALUES (13925, 0, 182, 0, 0, 59, 157);
INSERT INTO public.who_data VALUES (13926, 0, 0, 0, 0, 59, 182);
INSERT INTO public.who_data VALUES (13927, 0, 30, 0, 0, 59, 186);
INSERT INTO public.who_data VALUES (13928, 2, 305, 0, 5, 59, 127);
INSERT INTO public.who_data VALUES (13929, 0, 948, 0, 12, 59, 232);
INSERT INTO public.who_data VALUES (13930, 0, 15, 0, 0, 59, 33);
INSERT INTO public.who_data VALUES (13931, 1, 108, 0, 0, 59, 97);
INSERT INTO public.who_data VALUES (13932, 0, 2, 0, 0, 59, 42);
INSERT INTO public.who_data VALUES (13933, 30, 2206, 0, 56, 59, 198);
INSERT INTO public.who_data VALUES (13934, 0, 1012, 0, 17, 59, 216);
INSERT INTO public.who_data VALUES (13935, 177, 361536, 9, 6148, 59, 164);
INSERT INTO public.who_data VALUES (13936, 98, 18043, 6, 378, 59, 235);
INSERT INTO public.who_data VALUES (13937, 4426, 312253, 51, 2833, 59, 67);
INSERT INTO public.who_data VALUES (13938, 0, 211, 0, 0, 59, 15);
INSERT INTO public.who_data VALUES (13939, 0, 2497, 0, 75, 59, 180);
INSERT INTO public.who_data VALUES (13940, 21, 58482, 0, 29, 59, 237);
INSERT INTO public.who_data VALUES (13941, 0, 19, 0, 0, 59, 25);
INSERT INTO public.who_data VALUES (13942, 24, 1362, 0, 26, 59, 209);
INSERT INTO public.who_data VALUES (13943, 3687, 158905, 68, 1686, 59, 217);
INSERT INTO public.who_data VALUES (13944, 2157, 110011, 37, 2703, 59, 79);
INSERT INTO public.who_data VALUES (13945, 0, 17, 0, 0, 59, 143);
INSERT INTO public.who_data VALUES (13946, 0, 4690, 0, 127, 59, 229);
INSERT INTO public.who_data VALUES (13947, 14046, 954258, 411, 25657, 59, 141);
INSERT INTO public.who_data VALUES (13948, 0, 3276, 0, 62, 59, 197);
INSERT INTO public.who_data VALUES (13949, 14153, 1930333, 155, 51060, 59, 221);
INSERT INTO public.who_data VALUES (13950, 580, 38639, 1, 184, 59, 150);
INSERT INTO public.who_data VALUES (13951, 212, 24058, 5, 1497, 59, 56);
INSERT INTO public.who_data VALUES (13952, 86, 5669, 0, 118, 59, 167);
INSERT INTO public.who_data VALUES (13953, 6595, 395960, 92, 8981, 59, 23);
INSERT INTO public.who_data VALUES (13954, 4474, 428207, 79, 6729, 59, 222);
INSERT INTO public.who_data VALUES (13955, 129, 10571, 11, 641, 59, 219);
INSERT INTO public.who_data VALUES (13956, 51, 13439, 0, 89, 59, 7);
INSERT INTO public.who_data VALUES (13957, 67, 5829, 0, 60, 59, 161);
INSERT INTO public.who_data VALUES (13958, 39237, 2149555, 744, 69051, 59, 149);
INSERT INTO public.who_data VALUES (13959, 3, 36, 0, 0, 59, 6);
INSERT INTO public.who_data VALUES (13960, 0, 3467, 0, 66, 59, 139);
INSERT INTO public.who_data VALUES (13961, 0, 0, 0, 0, 59, 211);
INSERT INTO public.who_data VALUES (13962, 0, 0, 0, 0, 59, 14);
INSERT INTO public.who_data VALUES (13963, 12, 7024, 0, 125, 59, 111);
INSERT INTO public.who_data VALUES (13964, 1677, 125000, 38, 4275, 59, 207);
INSERT INTO public.who_data VALUES (13965, 19650, 2082610, 259, 18861, 59, 66);
INSERT INTO public.who_data VALUES (13966, 0, 0, 0, 0, 59, 173);
INSERT INTO public.who_data VALUES (13967, 9, 807, 0, 6, 59, 145);
INSERT INTO public.who_data VALUES (13968, 0, 0, 0, 0, 59, 65);
INSERT INTO public.who_data VALUES (13969, 489, 32399, 7, 245, 59, 184);
INSERT INTO public.who_data VALUES (13970, 11490, 1001132, 223, 17395, 59, 98);
INSERT INTO public.who_data VALUES (13971, 1246, 197124, 3, 645, 59, 104);
INSERT INTO public.who_data VALUES (13972, 0, 509, 0, 21, 59, 73);
INSERT INTO public.who_data VALUES (13973, 195151, 18090260, 3148, 320180, 59, 8);
INSERT INTO public.who_data VALUES (13974, 16, 1950, 0, 23, 59, 227);
INSERT INTO public.who_data VALUES (13975, 524, 14001, 1, 120, 59, 75);
INSERT INTO public.who_data VALUES (13976, 141, 76456, 0, 612, 59, 45);
INSERT INTO public.who_data VALUES (13977, 0, 1, 0, 0, 59, 133);
INSERT INTO public.who_data VALUES (13978, 315, 110828, 4, 997, 59, 202);
INSERT INTO public.who_data VALUES (13979, 1, 1421, 0, 35, 59, 129);
INSERT INTO public.who_data VALUES (13980, 0, 4, 0, 0, 59, 36);
INSERT INTO public.who_data VALUES (13981, 1, 2095, 0, 607, 59, 51);
INSERT INTO public.who_data VALUES (13982, 0, 18881, 0, 379, 59, 206);
INSERT INTO public.who_data VALUES (13983, 0, 12544, 0, 326, 59, 5);
INSERT INTO public.who_data VALUES (13984, 182, 51070, 16, 2105, 60, 103);
INSERT INTO public.who_data VALUES (13985, 389, 53814, 13, 1111, 60, 58);
INSERT INTO public.who_data VALUES (13986, 410, 96069, 12, 2687, 60, 195);
INSERT INTO public.who_data VALUES (13987, 0, 0, 0, 0, 60, 115);
INSERT INTO public.who_data VALUES (13988, 31, 7633, 1, 82, 60, 99);
INSERT INTO public.who_data VALUES (13989, 116, 16802, 3, 393, 60, 153);
INSERT INTO public.who_data VALUES (13990, 0, 10, 0, 0, 60, 93);
INSERT INTO public.who_data VALUES (13991, 0, 153, 0, 5, 60, 84);
INSERT INTO public.who_data VALUES (13992, 5853, 1547138, 184, 41997, 60, 78);
INSERT INTO public.who_data VALUES (13993, 838, 154753, 18, 2686, 60, 170);
INSERT INTO public.who_data VALUES (13994, 13, 5176, 0, 47, 60, 32);
INSERT INTO public.who_data VALUES (13995, 21, 28219, 0, 908, 60, 155);
INSERT INTO public.who_data VALUES (13996, 2493, 339933, 114, 5470, 60, 82);
INSERT INTO public.who_data VALUES (13997, 2284, 205877, 41, 2294, 60, 16);
INSERT INTO public.who_data VALUES (13998, 4, 7772, 5, 169, 60, 72);
INSERT INTO public.who_data VALUES (13999, 184, 90634, 0, 350, 60, 43);
INSERT INTO public.who_data VALUES (14000, 1318, 503501, 17, 7329, 60, 120);
INSERT INTO public.who_data VALUES (14001, 1, 322, 0, 7, 60, 213);
INSERT INTO public.who_data VALUES (14002, 1858, 177274, 8, 1341, 60, 31);
INSERT INTO public.who_data VALUES (14003, 2707, 633860, 102, 18925, 60, 204);
INSERT INTO public.who_data VALUES (14004, 50, 10145, 4, 224, 60, 152);
INSERT INTO public.who_data VALUES (14005, 38, 3205, 0, 44, 60, 144);
INSERT INTO public.who_data VALUES (14006, 20, 547, 0, 9, 60, 96);
INSERT INTO public.who_data VALUES (14007, 3, 482, 0, 0, 60, 47);
INSERT INTO public.who_data VALUES (14008, 362, 150385, 7, 9043, 60, 80);
INSERT INTO public.who_data VALUES (14009, 0, 155, 0, 3, 60, 159);
INSERT INTO public.who_data VALUES (14010, 764, 106986, 86, 3792, 60, 27);
INSERT INTO public.who_data VALUES (14011, 0, 13353, 0, 38, 60, 146);
INSERT INTO public.who_data VALUES (14012, 25019, 7263619, 527, 187291, 60, 71);
INSERT INTO public.who_data VALUES (14013, 0, 86, 0, 1, 60, 210);
INSERT INTO public.who_data VALUES (14014, 0, 152, 0, 3, 60, 54);
INSERT INTO public.who_data VALUES (14015, 1799, 194271, 114, 6879, 60, 147);
INSERT INTO public.who_data VALUES (14016, 160, 5461, 1, 77, 60, 2);
INSERT INTO public.who_data VALUES (14017, 11, 773, 0, 2, 60, 105);
INSERT INTO public.who_data VALUES (14018, 36, 11636, 1, 112, 60, 53);
INSERT INTO public.who_data VALUES (14019, 0, 363, 0, 0, 60, 81);
INSERT INTO public.who_data VALUES (14020, 0, 25849, 0, 448, 60, 223);
INSERT INTO public.who_data VALUES (14021, 7519, 515314, 104, 14332, 60, 94);
INSERT INTO public.who_data VALUES (14022, 0, 316, 0, 2, 60, 154);
INSERT INTO public.who_data VALUES (14023, 0, 4948, 0, 63, 60, 83);
INSERT INTO public.who_data VALUES (14024, 14, 1916, 0, 102, 60, 194);
INSERT INTO public.who_data VALUES (14025, 1701, 589189, 20, 16217, 60, 136);
INSERT INTO public.who_data VALUES (14026, 82, 95998, 1, 4773, 60, 179);
INSERT INTO public.who_data VALUES (14027, 10845, 1518067, 205, 40680, 60, 57);
INSERT INTO public.who_data VALUES (14028, 0, 666, 0, 7, 60, 35);
INSERT INTO public.who_data VALUES (14029, 0, 6200, 0, 100, 60, 228);
INSERT INTO public.who_data VALUES (14030, 0, 0, 0, 0, 60, 19);
INSERT INTO public.who_data VALUES (14031, 635, 159893, 14, 2037, 60, 22);
INSERT INTO public.who_data VALUES (14032, 0, 21932, 0, 133, 60, 1);
INSERT INTO public.who_data VALUES (14033, 2763, 200086, 66, 3394, 60, 21);
INSERT INTO public.who_data VALUES (14034, 142, 10384, 2, 139, 60, 234);
INSERT INTO public.who_data VALUES (14035, 27, 3974, 0, 11, 60, 91);
INSERT INTO public.who_data VALUES (14036, 402, 18406, 5, 101, 60, 137);
INSERT INTO public.who_data VALUES (14037, 10898, 646312, 102, 10664, 60, 201);
INSERT INTO public.who_data VALUES (14038, 0, 0, 0, 0, 60, 171);
INSERT INTO public.who_data VALUES (14039, 174, 15667, 196, 566, 60, 92);
INSERT INTO public.who_data VALUES (14040, 2543, 140175, 17, 1070, 60, 112);
INSERT INTO public.who_data VALUES (14041, 3, 5786, 0, 61, 60, 62);
INSERT INTO public.who_data VALUES (14042, 0, 92, 0, 0, 60, 69);
INSERT INTO public.who_data VALUES (14043, 878, 161930, 13, 2398, 60, 220);
INSERT INTO public.who_data VALUES (14044, 35, 206364, 0, 13949, 60, 100);
INSERT INTO public.who_data VALUES (14045, 788, 127061, 37, 7167, 60, 187);
INSERT INTO public.who_data VALUES (14046, 0, 43772, 8, 1265, 60, 63);
INSERT INTO public.who_data VALUES (14047, 0, 5231, 0, 85, 60, 28);
INSERT INTO public.who_data VALUES (14048, 25, 832, 1, 1, 60, 172);
INSERT INTO public.who_data VALUES (14049, 662, 23309, 5, 192, 60, 17);
INSERT INTO public.who_data VALUES (14050, 153, 7715, 1, 142, 60, 226);
INSERT INTO public.who_data VALUES (14051, 290, 120638, 3, 1864, 60, 236);
INSERT INTO public.who_data VALUES (14052, 0, 23, 0, 0, 60, 76);
INSERT INTO public.who_data VALUES (14053, 3, 550, 0, 0, 60, 30);
INSERT INTO public.who_data VALUES (14054, 0, 46, 0, 2, 60, 128);
INSERT INTO public.who_data VALUES (14055, 303, 33717, 5, 511, 60, 86);
INSERT INTO public.who_data VALUES (14056, 11670, 2448543, 801, 61326, 60, 140);
INSERT INTO public.who_data VALUES (14057, 66, 12499, 0, 71, 60, 44);
INSERT INTO public.who_data VALUES (14058, 65, 16410, 0, 106, 60, 113);
INSERT INTO public.who_data VALUES (14059, 0, 9420, 0, 64, 60, 29);
INSERT INTO public.who_data VALUES (14060, 2, 3791, 0, 123, 60, 125);
INSERT INTO public.who_data VALUES (14061, 2345, 214871, 51, 2233, 60, 131);
INSERT INTO public.who_data VALUES (14062, 24740, 1554920, 962, 27968, 60, 46);
INSERT INTO public.who_data VALUES (14063, 0, 53954, 0, 333, 60, 10);
INSERT INTO public.who_data VALUES (14064, 38, 1282, 0, 6, 60, 205);
INSERT INTO public.who_data VALUES (14065, 833, 132430, 83, 4340, 60, 50);
INSERT INTO public.who_data VALUES (14066, 0, 24, 0, 0, 60, 20);
INSERT INTO public.who_data VALUES (14067, 0, 107, 0, 0, 60, 13);
INSERT INTO public.who_data VALUES (14068, 0, 8557, 0, 155, 60, 148);
INSERT INTO public.who_data VALUES (14069, 25, 7066, 1, 121, 60, 230);
INSERT INTO public.who_data VALUES (14070, 734, 133601, 30, 4718, 60, 190);
INSERT INTO public.who_data VALUES (14071, 0, 293, 0, 13, 60, 188);
INSERT INTO public.who_data VALUES (14072, 28, 13578, 0, 80, 60, 123);
INSERT INTO public.who_data VALUES (14073, 0, 2447, 0, 44, 60, 9);
INSERT INTO public.who_data VALUES (14074, 46, 6171, 0, 159, 60, 102);
INSERT INTO public.who_data VALUES (14075, 8, 9771, 1, 235, 60, 34);
INSERT INTO public.who_data VALUES (14076, 0, 26, 0, 0, 60, 212);
INSERT INTO public.who_data VALUES (14077, 168, 117190, 7, 3034, 60, 122);
INSERT INTO public.who_data VALUES (14078, 1894, 308262, 154, 8616, 60, 38);
INSERT INTO public.who_data VALUES (14079, 11, 5667, 0, 28, 60, 130);
INSERT INTO public.who_data VALUES (14080, 23950, 10099066, 333, 146444, 60, 37);
INSERT INTO public.who_data VALUES (14081, 6347, 678125, 172, 20257, 60, 231);
INSERT INTO public.who_data VALUES (14082, 6208, 1170743, 187, 54003, 60, 107);
INSERT INTO public.who_data VALUES (14083, 1158, 586503, 15, 12725, 60, 101);
INSERT INTO public.who_data VALUES (14084, 961, 81228, 13, 2171, 60, 132);
INSERT INTO public.who_data VALUES (14085, 0, 374, 0, 25, 60, 176);
INSERT INTO public.who_data VALUES (14086, 3849, 380192, 16, 3137, 60, 200);
INSERT INTO public.who_data VALUES (14087, 13316, 1977370, 628, 69842, 60, 169);
INSERT INTO public.who_data VALUES (14088, 65, 12354, 2, 288, 60, 225);
INSERT INTO public.who_data VALUES (14089, 2455, 203113, 50, 2994, 60, 165);
INSERT INTO public.who_data VALUES (14090, 109, 2445, 2, 38, 60, 233);
INSERT INTO public.who_data VALUES (14091, 2444, 279892, 23, 3627, 60, 215);
INSERT INTO public.who_data VALUES (14092, 910, 194413, 0, 2669, 60, 177);
INSERT INTO public.who_data VALUES (14093, 154, 94768, 3, 1647, 60, 183);
INSERT INTO public.who_data VALUES (14094, 0, 0, 0, 0, 60, 203);
INSERT INTO public.who_data VALUES (14095, 137, 49263, 10, 1262, 60, 162);
INSERT INTO public.who_data VALUES (14096, 298, 148507, 1, 923, 60, 12);
INSERT INTO public.who_data VALUES (14097, 230, 79659, 2, 1337, 60, 24);
INSERT INTO public.who_data VALUES (14098, 0, 41, 0, 0, 60, 119);
INSERT INTO public.who_data VALUES (14099, 1004, 32339, 16, 459, 60, 39);
INSERT INTO public.who_data VALUES (14100, 1693, 160979, 17, 1311, 60, 26);
INSERT INTO public.who_data VALUES (14101, 0, 2285, 0, 44, 60, 59);
INSERT INTO public.who_data VALUES (14102, 10, 1798, 0, 83, 60, 77);
INSERT INTO public.who_data VALUES (14103, 506, 95706, 16, 1385, 60, 134);
INSERT INTO public.who_data VALUES (14104, 59, 1950, 1, 30, 60, 4);
INSERT INTO public.who_data VALUES (14105, 3719, 120094, 35, 1432, 60, 109);
INSERT INTO public.who_data VALUES (14106, 227, 44809, 3, 453, 60, 90);
INSERT INTO public.who_data VALUES (14107, 0, 17633, 0, 260, 60, 61);
INSERT INTO public.who_data VALUES (14108, 46, 6248, 0, 187, 60, 85);
INSERT INTO public.who_data VALUES (14109, 2062, 97389, 1, 439, 60, 49);
INSERT INTO public.who_data VALUES (14110, 23, 13524, 0, 48, 60, 208);
INSERT INTO public.who_data VALUES (14111, 59, 6291, 0, 225, 60, 166);
INSERT INTO public.who_data VALUES (14112, 88, 11802, 0, 190, 60, 64);
INSERT INTO public.who_data VALUES (14113, 0, 4, 0, 0, 60, 199);
INSERT INTO public.who_data VALUES (14114, 0, 5634, 0, 42, 60, 114);
INSERT INTO public.who_data VALUES (14115, 0, 10971, 0, 225, 60, 60);
INSERT INTO public.who_data VALUES (14116, 0, 524, 0, 10, 60, 68);
INSERT INTO public.who_data VALUES (14117, 59, 5767, 1, 54, 60, 158);
INSERT INTO public.who_data VALUES (14118, 5370, 1325915, 396, 118598, 60, 52);
INSERT INTO public.who_data VALUES (14119, 0, 0, 0, 0, 60, 117);
INSERT INTO public.who_data VALUES (14120, 14, 759, 0, 3, 60, 126);
INSERT INTO public.who_data VALUES (14121, 13, 1006, 0, 0, 60, 196);
INSERT INTO public.who_data VALUES (14122, 379, 45380, 2, 639, 60, 142);
INSERT INTO public.who_data VALUES (14123, 0, 13, 0, 1, 60, 185);
INSERT INTO public.who_data VALUES (14124, 2646, 420648, 30, 7030, 60, 138);
INSERT INTO public.who_data VALUES (14125, 72, 17767, 1, 150, 60, 181);
INSERT INTO public.who_data VALUES (14126, 848, 116982, 22, 2465, 60, 178);
INSERT INTO public.who_data VALUES (14127, 330, 19629, 1, 181, 60, 168);
INSERT INTO public.who_data VALUES (14128, 0, 0, 0, 0, 60, 160);
INSERT INTO public.who_data VALUES (14129, 722, 255236, 3, 1798, 60, 151);
INSERT INTO public.who_data VALUES (14130, 9825, 709483, 113, 10607, 60, 193);
INSERT INTO public.who_data VALUES (14131, 1, 38, 0, 0, 60, 18);
INSERT INTO public.who_data VALUES (14132, 7, 1772, 0, 25, 60, 40);
INSERT INTO public.who_data VALUES (14133, 0, 4790, 0, 164, 60, 218);
INSERT INTO public.who_data VALUES (14134, 0, 2361, 0, 82, 60, 191);
INSERT INTO public.who_data VALUES (14135, 999, 79789, 4, 1231, 60, 156);
INSERT INTO public.who_data VALUES (14136, 0, 0, 0, 0, 60, 135);
INSERT INTO public.who_data VALUES (14137, 2, 118, 0, 2, 60, 88);
INSERT INTO public.who_data VALUES (14138, 756, 79190, 26, 2340, 60, 55);
INSERT INTO public.who_data VALUES (14139, 431, 44336, 0, 405, 60, 108);
INSERT INTO public.who_data VALUES (14140, 1561, 141608, 29, 1316, 60, 48);
INSERT INTO public.who_data VALUES (14141, 212, 128143, 1, 1490, 60, 3);
INSERT INTO public.who_data VALUES (14142, 0, 744, 0, 13, 60, 224);
INSERT INTO public.who_data VALUES (14143, 1704, 460672, 82, 9474, 60, 110);
INSERT INTO public.who_data VALUES (14144, 0, 0, 0, 0, 60, 106);
INSERT INTO public.who_data VALUES (14145, 1699, 214038, 31, 3597, 60, 89);
INSERT INTO public.who_data VALUES (14146, 0, 761, 0, 9, 60, 121);
INSERT INTO public.who_data VALUES (14147, 823, 100612, 15, 2103, 60, 163);
INSERT INTO public.who_data VALUES (14148, 958, 998475, 70, 37173, 60, 70);
INSERT INTO public.who_data VALUES (14149, 1310, 462815, 64, 9021, 60, 174);
INSERT INTO public.who_data VALUES (14150, 0, 0, 0, 0, 60, 175);
INSERT INTO public.who_data VALUES (14151, 12358, 1226883, 472, 26255, 60, 118);
INSERT INTO public.who_data VALUES (14152, 2436, 378656, 63, 6254, 60, 189);
INSERT INTO public.who_data VALUES (14153, 1063, 69912, 9, 1391, 60, 124);
INSERT INTO public.who_data VALUES (14154, 149, 142308, 0, 243, 60, 192);
INSERT INTO public.who_data VALUES (14155, 1090, 52537, 17, 739, 60, 41);
INSERT INTO public.who_data VALUES (14156, 1021, 136931, 25, 2803, 60, 95);
INSERT INTO public.who_data VALUES (14157, 0, 8801, 0, 42, 60, 74);
INSERT INTO public.who_data VALUES (14158, 5009, 598792, 155, 14636, 60, 11);
INSERT INTO public.who_data VALUES (14159, 27250, 2933753, 549, 52461, 60, 87);
INSERT INTO public.who_data VALUES (14160, 279, 7511, 7, 66, 60, 214);
INSERT INTO public.who_data VALUES (14161, 0, 5, 0, 0, 60, 116);
INSERT INTO public.who_data VALUES (14162, 0, 182, 0, 0, 60, 157);
INSERT INTO public.who_data VALUES (14163, 0, 0, 0, 0, 60, 182);
INSERT INTO public.who_data VALUES (14164, 0, 30, 0, 0, 60, 186);
INSERT INTO public.who_data VALUES (14165, 16, 303, 0, 5, 60, 127);
INSERT INTO public.who_data VALUES (14166, 0, 948, 0, 12, 60, 232);
INSERT INTO public.who_data VALUES (14167, 0, 15, 0, 0, 60, 33);
INSERT INTO public.who_data VALUES (14168, 3, 107, 0, 0, 60, 97);
INSERT INTO public.who_data VALUES (14169, 0, 2, 0, 0, 60, 42);
INSERT INTO public.who_data VALUES (14170, 41, 2176, 1, 56, 60, 198);
INSERT INTO public.who_data VALUES (14171, 0, 1012, 0, 17, 60, 216);
INSERT INTO public.who_data VALUES (14172, 181, 361359, 8, 6139, 60, 164);
INSERT INTO public.who_data VALUES (14173, 66, 17945, 1, 372, 60, 235);
INSERT INTO public.who_data VALUES (14174, 4080, 307827, 49, 2782, 60, 67);
INSERT INTO public.who_data VALUES (14175, 9, 211, 0, 0, 60, 15);
INSERT INTO public.who_data VALUES (14176, 0, 2497, 0, 75, 60, 180);
INSERT INTO public.who_data VALUES (14177, 29, 58461, 0, 29, 60, 237);
INSERT INTO public.who_data VALUES (14178, 0, 19, 0, 0, 60, 25);
INSERT INTO public.who_data VALUES (14179, 10, 1338, 0, 26, 60, 209);
INSERT INTO public.who_data VALUES (14180, 2663, 155218, 0, 1618, 60, 217);
INSERT INTO public.who_data VALUES (14181, 1551, 107854, 45, 2666, 60, 79);
INSERT INTO public.who_data VALUES (14182, 0, 17, 0, 0, 60, 143);
INSERT INTO public.who_data VALUES (14183, 28, 4690, 3, 127, 60, 229);
INSERT INTO public.who_data VALUES (14184, 9501, 940212, 339, 25246, 60, 141);
INSERT INTO public.who_data VALUES (14185, 42, 3276, 0, 62, 60, 197);
INSERT INTO public.who_data VALUES (14186, 11634, 1916180, 134, 50905, 60, 221);
INSERT INTO public.who_data VALUES (14187, 798, 38059, 7, 183, 60, 150);
INSERT INTO public.who_data VALUES (14188, 274, 23846, 10, 1492, 60, 56);
INSERT INTO public.who_data VALUES (14189, 31, 5583, 0, 118, 60, 167);
INSERT INTO public.who_data VALUES (14190, 5160, 389365, 77, 8889, 60, 23);
INSERT INTO public.who_data VALUES (14191, 4601, 423733, 82, 6650, 60, 222);
INSERT INTO public.who_data VALUES (14192, 124, 10442, 9, 630, 60, 219);
INSERT INTO public.who_data VALUES (14193, 52, 13388, 0, 89, 60, 7);
INSERT INTO public.who_data VALUES (14194, 473, 5762, 0, 60, 60, 161);
INSERT INTO public.who_data VALUES (14195, 36803, 2110318, 691, 68307, 60, 149);
INSERT INTO public.who_data VALUES (14196, 2, 33, 0, 0, 60, 6);
INSERT INTO public.who_data VALUES (14197, 31, 3467, 0, 66, 60, 139);
INSERT INTO public.who_data VALUES (14198, 0, 0, 0, 0, 60, 211);
INSERT INTO public.who_data VALUES (14199, 0, 0, 0, 0, 60, 14);
INSERT INTO public.who_data VALUES (14200, 12, 7012, 2, 125, 60, 111);
INSERT INTO public.who_data VALUES (14201, 1605, 123323, 38, 4237, 60, 207);
INSERT INTO public.who_data VALUES (14202, 19256, 2062960, 251, 18602, 60, 66);
INSERT INTO public.who_data VALUES (14203, 0, 0, 0, 0, 60, 173);
INSERT INTO public.who_data VALUES (14204, 0, 798, 0, 6, 60, 145);
INSERT INTO public.who_data VALUES (14205, 0, 0, 0, 0, 60, 65);
INSERT INTO public.who_data VALUES (14206, 526, 31910, 0, 238, 60, 184);
INSERT INTO public.who_data VALUES (14207, 10136, 989642, 275, 17172, 60, 98);
INSERT INTO public.who_data VALUES (14208, 1226, 195878, 3, 642, 60, 104);
INSERT INTO public.who_data VALUES (14209, 0, 509, 0, 21, 60, 73);
INSERT INTO public.who_data VALUES (14210, 182819, 17895109, 1714, 317032, 60, 8);
INSERT INTO public.who_data VALUES (14211, 13, 1934, 0, 23, 60, 227);
INSERT INTO public.who_data VALUES (14212, 429, 13477, 0, 119, 60, 75);
INSERT INTO public.who_data VALUES (14213, 267, 76315, 0, 612, 60, 45);
INSERT INTO public.who_data VALUES (14214, 0, 1, 0, 0, 60, 133);
INSERT INTO public.who_data VALUES (14215, 438, 110513, 5, 993, 60, 202);
INSERT INTO public.who_data VALUES (14216, 6, 1420, 0, 35, 60, 129);
INSERT INTO public.who_data VALUES (14217, 0, 4, 0, 0, 60, 36);
INSERT INTO public.who_data VALUES (14218, 3, 2094, 0, 607, 60, 51);
INSERT INTO public.who_data VALUES (14219, 113, 18881, 4, 379, 60, 206);
INSERT INTO public.who_data VALUES (14220, 122, 12544, 4, 326, 60, 5);
INSERT INTO public.who_data VALUES (14221, 210, 50888, 15, 2089, 61, 103);
INSERT INTO public.who_data VALUES (14222, 422, 53425, 10, 1098, 61, 58);
INSERT INTO public.who_data VALUES (14223, 456, 95659, 9, 2675, 61, 195);
INSERT INTO public.who_data VALUES (14224, 0, 0, 0, 0, 61, 115);
INSERT INTO public.who_data VALUES (14225, 25, 7602, 0, 81, 61, 99);
INSERT INTO public.who_data VALUES (14226, 42, 16686, 3, 390, 61, 153);
INSERT INTO public.who_data VALUES (14227, 0, 10, 0, 0, 61, 93);
INSERT INTO public.who_data VALUES (14228, 1, 153, 0, 5, 61, 84);
INSERT INTO public.who_data VALUES (14229, 4116, 1541285, 50, 41813, 61, 78);
INSERT INTO public.who_data VALUES (14230, 537, 153915, 17, 2668, 61, 170);
INSERT INTO public.who_data VALUES (14231, 39, 5163, 0, 47, 61, 32);
INSERT INTO public.who_data VALUES (14232, 27, 28198, 0, 908, 61, 155);
INSERT INTO public.who_data VALUES (14233, 1218, 337440, 140, 5356, 61, 82);
INSERT INTO public.who_data VALUES (14234, 1505, 203593, 43, 2253, 61, 16);
INSERT INTO public.who_data VALUES (14235, 3, 7768, 0, 164, 61, 72);
INSERT INTO public.who_data VALUES (14236, 168, 90450, 1, 350, 61, 43);
INSERT INTO public.who_data VALUES (14237, 1470, 502183, 32, 7312, 61, 120);
INSERT INTO public.who_data VALUES (14238, 14, 321, 0, 7, 61, 213);
INSERT INTO public.who_data VALUES (14239, 1893, 175416, 9, 1333, 61, 31);
INSERT INTO public.who_data VALUES (14240, 3395, 631153, 69, 18823, 61, 204);
INSERT INTO public.who_data VALUES (14241, 72, 10095, 4, 220, 61, 152);
INSERT INTO public.who_data VALUES (14242, 0, 3167, 0, 44, 61, 144);
INSERT INTO public.who_data VALUES (14243, 0, 527, 0, 9, 61, 96);
INSERT INTO public.who_data VALUES (14244, 12, 479, 0, 0, 61, 47);
INSERT INTO public.who_data VALUES (14245, 253, 150023, 1, 9036, 61, 80);
INSERT INTO public.who_data VALUES (14246, 1, 155, 0, 3, 61, 159);
INSERT INTO public.who_data VALUES (14247, 216, 106222, 53, 3706, 61, 27);
INSERT INTO public.who_data VALUES (14248, 480, 13353, 0, 38, 61, 146);
INSERT INTO public.who_data VALUES (14249, 25445, 7238600, 408, 186764, 61, 71);
INSERT INTO public.who_data VALUES (14250, 0, 86, 0, 1, 61, 210);
INSERT INTO public.who_data VALUES (14251, 0, 152, 0, 3, 61, 54);
INSERT INTO public.who_data VALUES (14252, 1277, 192472, 156, 6765, 61, 147);
INSERT INTO public.who_data VALUES (14253, 141, 5301, 0, 76, 61, 2);
INSERT INTO public.who_data VALUES (14254, 0, 762, 0, 2, 61, 105);
INSERT INTO public.who_data VALUES (14255, 21, 11600, 0, 111, 61, 53);
INSERT INTO public.who_data VALUES (14256, 0, 363, 0, 0, 61, 81);
INSERT INTO public.who_data VALUES (14257, 0, 25849, 0, 448, 61, 223);
INSERT INTO public.who_data VALUES (14258, 6201, 507795, 74, 14228, 61, 94);
INSERT INTO public.who_data VALUES (14259, 5, 316, 0, 2, 61, 154);
INSERT INTO public.who_data VALUES (14260, 10, 4948, 0, 63, 61, 83);
INSERT INTO public.who_data VALUES (14261, 12, 1902, 0, 102, 61, 194);
INSERT INTO public.who_data VALUES (14262, 1943, 587488, 43, 16197, 61, 136);
INSERT INTO public.who_data VALUES (14263, 100, 95916, 1, 4772, 61, 179);
INSERT INTO public.who_data VALUES (14264, 11160, 1507222, 207, 40475, 61, 57);
INSERT INTO public.who_data VALUES (14265, 23, 666, 0, 7, 61, 35);
INSERT INTO public.who_data VALUES (14266, 0, 6200, 0, 100, 61, 228);
INSERT INTO public.who_data VALUES (14267, 0, 0, 0, 0, 61, 19);
INSERT INTO public.who_data VALUES (14268, 767, 159258, 12, 2023, 61, 22);
INSERT INTO public.who_data VALUES (14269, 14, 21932, 0, 133, 61, 1);
INSERT INTO public.who_data VALUES (14270, 1595, 197323, 71, 3328, 61, 21);
INSERT INTO public.who_data VALUES (14271, 115, 10242, 0, 137, 61, 234);
INSERT INTO public.who_data VALUES (14272, 124, 3947, 0, 11, 61, 91);
INSERT INTO public.who_data VALUES (14273, 286, 18004, 5, 96, 61, 137);
INSERT INTO public.who_data VALUES (14274, 7891, 635414, 151, 10562, 61, 201);
INSERT INTO public.who_data VALUES (14275, 0, 0, 0, 0, 61, 171);
INSERT INTO public.who_data VALUES (14276, 283, 15493, 1, 370, 61, 92);
INSERT INTO public.who_data VALUES (14277, 3198, 137632, 18, 1053, 61, 112);
INSERT INTO public.who_data VALUES (14278, 2, 5783, 0, 61, 61, 62);
INSERT INTO public.who_data VALUES (14279, 0, 92, 0, 0, 61, 69);
INSERT INTO public.who_data VALUES (14280, 666, 161052, 1, 2385, 61, 220);
INSERT INTO public.who_data VALUES (14281, 72, 206329, 1, 13949, 61, 100);
INSERT INTO public.who_data VALUES (14282, 718, 126273, 32, 7130, 61, 187);
INSERT INTO public.who_data VALUES (14283, 295, 43772, 7, 1257, 61, 63);
INSERT INTO public.who_data VALUES (14284, 17, 5231, 0, 85, 61, 28);
INSERT INTO public.who_data VALUES (14285, 53, 807, 0, 0, 61, 172);
INSERT INTO public.who_data VALUES (14286, 564, 22647, 6, 187, 61, 17);
INSERT INTO public.who_data VALUES (14287, 135, 7562, 1, 141, 61, 226);
INSERT INTO public.who_data VALUES (14288, 397, 120348, 8, 1861, 61, 236);
INSERT INTO public.who_data VALUES (14289, 0, 23, 0, 0, 61, 76);
INSERT INTO public.who_data VALUES (14290, 1, 547, 0, 0, 61, 30);
INSERT INTO public.who_data VALUES (14291, 0, 46, 0, 2, 61, 128);
INSERT INTO public.who_data VALUES (14292, 832, 33414, 17, 506, 61, 86);
INSERT INTO public.who_data VALUES (14293, 5636, 2436873, 351, 60525, 61, 140);
INSERT INTO public.who_data VALUES (14294, 64, 12433, 0, 71, 61, 44);
INSERT INTO public.who_data VALUES (14295, 163, 16345, 3, 106, 61, 113);
INSERT INTO public.who_data VALUES (14296, 20, 9420, 0, 64, 61, 29);
INSERT INTO public.who_data VALUES (14297, 1, 3789, 0, 123, 61, 125);
INSERT INTO public.who_data VALUES (14298, 3064, 212526, 42, 2182, 61, 131);
INSERT INTO public.who_data VALUES (14299, 19528, 1530180, 731, 27006, 61, 46);
INSERT INTO public.who_data VALUES (14300, 301, 53954, 2, 333, 61, 10);
INSERT INTO public.who_data VALUES (14301, 33, 1244, 0, 6, 61, 205);
INSERT INTO public.who_data VALUES (14302, 525, 131597, 85, 4257, 61, 50);
INSERT INTO public.who_data VALUES (14303, 5, 24, 0, 0, 61, 20);
INSERT INTO public.who_data VALUES (14304, 13, 107, 0, 0, 61, 13);
INSERT INTO public.who_data VALUES (14305, 0, 8557, 0, 155, 61, 148);
INSERT INTO public.who_data VALUES (14306, 6, 7041, 1, 120, 61, 230);
INSERT INTO public.who_data VALUES (14307, 102, 132867, 32, 4688, 61, 190);
INSERT INTO public.who_data VALUES (14308, 1, 293, 0, 13, 61, 188);
INSERT INTO public.who_data VALUES (14309, 5, 13550, 0, 80, 61, 123);
INSERT INTO public.who_data VALUES (14310, 0, 2447, 0, 44, 61, 9);
INSERT INTO public.who_data VALUES (14311, 20, 6125, 0, 159, 61, 102);
INSERT INTO public.who_data VALUES (14312, 89, 9763, 0, 234, 61, 34);
INSERT INTO public.who_data VALUES (14313, 0, 26, 0, 0, 61, 212);
INSERT INTO public.who_data VALUES (14314, 162, 117022, 2, 3027, 61, 122);
INSERT INTO public.who_data VALUES (14315, 1238, 306368, 170, 8462, 61, 38);
INSERT INTO public.who_data VALUES (14316, 14, 5656, 0, 28, 61, 130);
INSERT INTO public.who_data VALUES (14317, 19556, 10075116, 301, 146111, 61, 37);
INSERT INTO public.who_data VALUES (14318, 6848, 671778, 205, 20085, 61, 231);
INSERT INTO public.who_data VALUES (14319, 6151, 1164535, 191, 53816, 61, 107);
INSERT INTO public.who_data VALUES (14320, 1200, 585345, 13, 12710, 61, 101);
INSERT INTO public.who_data VALUES (14321, 725, 80267, 0, 2158, 61, 132);
INSERT INTO public.who_data VALUES (14322, 1, 374, 0, 25, 61, 176);
INSERT INTO public.who_data VALUES (14323, 3093, 376343, 19, 3121, 61, 200);
INSERT INTO public.who_data VALUES (14324, 10869, 1964054, 415, 69214, 61, 169);
INSERT INTO public.who_data VALUES (14325, 65, 12289, 0, 286, 61, 225);
INSERT INTO public.who_data VALUES (14326, 2135, 200658, 44, 2944, 61, 165);
INSERT INTO public.who_data VALUES (14327, 80, 2336, 0, 36, 61, 233);
INSERT INTO public.who_data VALUES (14328, 2499, 277448, 36, 3604, 61, 215);
INSERT INTO public.who_data VALUES (14329, 924, 193503, 0, 2669, 61, 177);
INSERT INTO public.who_data VALUES (14330, 114, 94614, 5, 1644, 61, 183);
INSERT INTO public.who_data VALUES (14331, 0, 0, 0, 0, 61, 203);
INSERT INTO public.who_data VALUES (14332, 264, 49126, 6, 1252, 61, 162);
INSERT INTO public.who_data VALUES (14333, 230, 148209, 1, 922, 61, 12);
INSERT INTO public.who_data VALUES (14334, 175, 79429, 5, 1335, 61, 24);
INSERT INTO public.who_data VALUES (14335, 0, 41, 0, 0, 61, 119);
INSERT INTO public.who_data VALUES (14336, 395, 31335, 4, 443, 61, 39);
INSERT INTO public.who_data VALUES (14337, 1182, 159286, 13, 1294, 61, 26);
INSERT INTO public.who_data VALUES (14338, 0, 2285, 0, 44, 61, 59);
INSERT INTO public.who_data VALUES (14339, 0, 1788, 0, 83, 61, 77);
INSERT INTO public.who_data VALUES (14340, 640, 95200, 16, 1369, 61, 134);
INSERT INTO public.who_data VALUES (14341, 42, 1891, 1, 29, 61, 4);
INSERT INTO public.who_data VALUES (14342, 1883, 116375, 56, 1397, 61, 109);
INSERT INTO public.who_data VALUES (14343, 91, 44582, 6, 450, 61, 90);
INSERT INTO public.who_data VALUES (14344, 0, 17633, 0, 260, 61, 61);
INSERT INTO public.who_data VALUES (14345, 41, 6202, 0, 187, 61, 85);
INSERT INTO public.who_data VALUES (14346, 2018, 95327, 1, 438, 61, 49);
INSERT INTO public.who_data VALUES (14347, 8, 13501, 0, 48, 61, 208);
INSERT INTO public.who_data VALUES (14348, 41, 6232, 3, 225, 61, 166);
INSERT INTO public.who_data VALUES (14349, 93, 11714, 3, 190, 61, 64);
INSERT INTO public.who_data VALUES (14350, 0, 4, 0, 0, 61, 199);
INSERT INTO public.who_data VALUES (14351, 0, 5634, 0, 42, 61, 114);
INSERT INTO public.who_data VALUES (14352, 0, 10971, 0, 225, 61, 60);
INSERT INTO public.who_data VALUES (14353, 0, 524, 0, 10, 61, 68);
INSERT INTO public.who_data VALUES (14354, 0, 5708, 0, 53, 61, 158);
INSERT INTO public.who_data VALUES (14355, 6870, 1320545, 326, 118202, 61, 52);
INSERT INTO public.who_data VALUES (14356, 0, 0, 0, 0, 61, 117);
INSERT INTO public.who_data VALUES (14357, 14, 745, 0, 3, 61, 126);
INSERT INTO public.who_data VALUES (14358, 32, 993, 0, 0, 61, 196);
INSERT INTO public.who_data VALUES (14359, 380, 45001, 7, 637, 61, 142);
INSERT INTO public.who_data VALUES (14360, 0, 13, 0, 1, 61, 185);
INSERT INTO public.who_data VALUES (14361, 877, 418002, 43, 7000, 61, 138);
INSERT INTO public.who_data VALUES (14362, 127, 17695, 1, 149, 61, 181);
INSERT INTO public.who_data VALUES (14363, 947, 116134, 19, 2443, 61, 178);
INSERT INTO public.who_data VALUES (14364, 585, 19299, 3, 180, 61, 168);
INSERT INTO public.who_data VALUES (14365, 0, 0, 0, 0, 61, 160);
INSERT INTO public.who_data VALUES (14366, 742, 254514, 7, 1795, 61, 151);
INSERT INTO public.who_data VALUES (14367, 11158, 699658, 30, 10494, 61, 193);
INSERT INTO public.who_data VALUES (14368, 0, 37, 0, 0, 61, 18);
INSERT INTO public.who_data VALUES (14369, 0, 1765, 0, 25, 61, 40);
INSERT INTO public.who_data VALUES (14370, 42, 4790, 1, 164, 61, 218);
INSERT INTO public.who_data VALUES (14371, 0, 2361, 0, 82, 61, 191);
INSERT INTO public.who_data VALUES (14372, 356, 78790, 6, 1227, 61, 156);
INSERT INTO public.who_data VALUES (14373, 0, 0, 0, 0, 61, 135);
INSERT INTO public.who_data VALUES (14374, 0, 116, 0, 2, 61, 88);
INSERT INTO public.who_data VALUES (14375, 129, 78434, 22, 2314, 61, 55);
INSERT INTO public.who_data VALUES (14376, 1130, 43905, 1, 405, 61, 108);
INSERT INTO public.who_data VALUES (14377, 1514, 140047, 31, 1287, 61, 48);
INSERT INTO public.who_data VALUES (14378, 264, 127931, 1, 1489, 61, 3);
INSERT INTO public.who_data VALUES (14379, 0, 744, 0, 13, 61, 224);
INSERT INTO public.who_data VALUES (14380, 1680, 458968, 62, 9392, 61, 110);
INSERT INTO public.who_data VALUES (14381, 0, 0, 0, 0, 61, 106);
INSERT INTO public.who_data VALUES (14382, 2755, 212339, 39, 3566, 61, 89);
INSERT INTO public.who_data VALUES (14383, 1, 761, 1, 9, 61, 121);
INSERT INTO public.who_data VALUES (14384, 632, 99789, 16, 2088, 61, 163);
INSERT INTO public.who_data VALUES (14385, 1618, 997517, 69, 37103, 61, 70);
INSERT INTO public.who_data VALUES (14386, 1716, 461505, 10, 8957, 61, 174);
INSERT INTO public.who_data VALUES (14387, 0, 0, 0, 0, 61, 175);
INSERT INTO public.who_data VALUES (14388, 7192, 1214525, 309, 25783, 61, 118);
INSERT INTO public.who_data VALUES (14389, 2099, 376220, 57, 6191, 61, 189);
INSERT INTO public.who_data VALUES (14390, 416, 68849, 14, 1382, 61, 124);
INSERT INTO public.who_data VALUES (14391, 158, 142159, 0, 243, 61, 192);
INSERT INTO public.who_data VALUES (14392, 866, 51447, 24, 722, 61, 41);
INSERT INTO public.who_data VALUES (14393, 703, 135910, 26, 2778, 61, 95);
INSERT INTO public.who_data VALUES (14394, 97, 8801, 0, 42, 61, 74);
INSERT INTO public.who_data VALUES (14395, 2489, 593783, 87, 14481, 61, 11);
INSERT INTO public.who_data VALUES (14396, 28776, 2906503, 561, 51912, 61, 87);
INSERT INTO public.who_data VALUES (14397, 0, 7232, 0, 59, 61, 214);
INSERT INTO public.who_data VALUES (14398, 0, 5, 0, 0, 61, 116);
INSERT INTO public.who_data VALUES (14399, 0, 182, 0, 0, 61, 157);
INSERT INTO public.who_data VALUES (14400, 0, 0, 0, 0, 61, 182);
INSERT INTO public.who_data VALUES (14401, 0, 30, 0, 0, 61, 186);
INSERT INTO public.who_data VALUES (14402, 5, 287, 0, 5, 61, 127);
INSERT INTO public.who_data VALUES (14403, 0, 948, 0, 12, 61, 232);
INSERT INTO public.who_data VALUES (14404, 0, 15, 0, 0, 61, 33);
INSERT INTO public.who_data VALUES (14405, 0, 104, 0, 0, 61, 97);
INSERT INTO public.who_data VALUES (14406, 0, 2, 0, 0, 61, 42);
INSERT INTO public.who_data VALUES (14407, 28, 2135, 0, 55, 61, 198);
INSERT INTO public.who_data VALUES (14408, 0, 1012, 0, 17, 61, 216);
INSERT INTO public.who_data VALUES (14409, 168, 361178, 9, 6131, 61, 164);
INSERT INTO public.who_data VALUES (14410, 121, 17879, 6, 371, 61, 235);
INSERT INTO public.who_data VALUES (14411, 3685, 303747, 47, 2733, 61, 67);
INSERT INTO public.who_data VALUES (14412, 0, 202, 0, 0, 61, 15);
INSERT INTO public.who_data VALUES (14413, 0, 2497, 0, 75, 61, 180);
INSERT INTO public.who_data VALUES (14414, 10, 58432, 0, 29, 61, 237);
INSERT INTO public.who_data VALUES (14415, 1, 19, 0, 0, 61, 25);
INSERT INTO public.who_data VALUES (14416, 34, 1328, 0, 26, 61, 209);
INSERT INTO public.who_data VALUES (14417, 1219, 152555, 63, 1618, 61, 217);
INSERT INTO public.who_data VALUES (14418, 396, 106303, 27, 2621, 61, 79);
INSERT INTO public.who_data VALUES (14419, 0, 17, 0, 0, 61, 143);
INSERT INTO public.who_data VALUES (14420, 0, 4662, 0, 124, 61, 229);
INSERT INTO public.who_data VALUES (14421, 8789, 930711, 216, 24907, 61, 141);
INSERT INTO public.who_data VALUES (14422, 6, 3234, 0, 62, 61, 197);
INSERT INTO public.who_data VALUES (14423, 4521, 1904546, 137, 50771, 61, 221);
INSERT INTO public.who_data VALUES (14424, 0, 37261, 0, 176, 61, 150);
INSERT INTO public.who_data VALUES (14425, 256, 23572, 14, 1482, 61, 56);
INSERT INTO public.who_data VALUES (14426, 41, 5552, 0, 118, 61, 167);
INSERT INTO public.who_data VALUES (14427, 3752, 384205, 93, 8812, 61, 23);
INSERT INTO public.who_data VALUES (14428, 5626, 419132, 87, 6568, 61, 222);
INSERT INTO public.who_data VALUES (14429, 123, 10318, 11, 621, 61, 219);
INSERT INTO public.who_data VALUES (14430, 56, 13336, 0, 89, 61, 7);
INSERT INTO public.who_data VALUES (14431, 382, 5289, 0, 60, 61, 161);
INSERT INTO public.who_data VALUES (14432, 33364, 2073515, 215, 67616, 61, 149);
INSERT INTO public.who_data VALUES (14433, 0, 31, 0, 0, 61, 6);
INSERT INTO public.who_data VALUES (14434, 40, 3436, 0, 66, 61, 139);
INSERT INTO public.who_data VALUES (14435, 0, 0, 0, 0, 61, 211);
INSERT INTO public.who_data VALUES (14436, 0, 0, 0, 0, 61, 14);
INSERT INTO public.who_data VALUES (14437, 26, 7000, 0, 123, 61, 111);
INSERT INTO public.who_data VALUES (14438, 1031, 121718, 41, 4199, 61, 207);
INSERT INTO public.who_data VALUES (14439, 19103, 2043704, 254, 18351, 61, 66);
INSERT INTO public.who_data VALUES (14440, 0, 0, 0, 0, 61, 173);
INSERT INTO public.who_data VALUES (14441, 0, 798, 0, 6, 61, 145);
INSERT INTO public.who_data VALUES (14442, 0, 0, 0, 0, 61, 65);
INSERT INTO public.who_data VALUES (14443, 197, 31384, 7, 238, 61, 184);
INSERT INTO public.who_data VALUES (14444, 8513, 979506, 232, 16897, 61, 98);
INSERT INTO public.who_data VALUES (14445, 1077, 194652, 2, 639, 61, 104);
INSERT INTO public.who_data VALUES (14446, 0, 509, 0, 21, 61, 73);
INSERT INTO public.who_data VALUES (14447, 197199, 17712290, 1570, 315318, 61, 8);
INSERT INTO public.who_data VALUES (14448, 0, 1921, 0, 23, 61, 227);
INSERT INTO public.who_data VALUES (14449, 491, 13048, 5, 119, 61, 75);
INSERT INTO public.who_data VALUES (14450, 0, 76048, 0, 612, 61, 45);
INSERT INTO public.who_data VALUES (14451, 0, 1, 0, 0, 61, 133);
INSERT INTO public.who_data VALUES (14452, 294, 110075, 4, 988, 61, 202);
INSERT INTO public.who_data VALUES (14453, 1, 1414, 0, 35, 61, 129);
INSERT INTO public.who_data VALUES (14454, 0, 4, 0, 0, 61, 36);
INSERT INTO public.who_data VALUES (14455, 0, 2091, 0, 607, 61, 51);
INSERT INTO public.who_data VALUES (14456, 52, 18768, 2, 375, 61, 206);
INSERT INTO public.who_data VALUES (14457, 97, 12422, 2, 322, 61, 5);
INSERT INTO public.who_data VALUES (14458, 142, 50678, 20, 2074, 62, 103);
INSERT INTO public.who_data VALUES (14459, 461, 53003, 14, 1088, 62, 58);
INSERT INTO public.who_data VALUES (14460, 422, 95203, 7, 2666, 62, 195);
INSERT INTO public.who_data VALUES (14461, 0, 0, 0, 0, 62, 115);
INSERT INTO public.who_data VALUES (14462, 17, 7577, 1, 81, 62, 99);
INSERT INTO public.who_data VALUES (14463, 18, 16644, 1, 387, 62, 153);
INSERT INTO public.who_data VALUES (14464, 0, 10, 0, 0, 62, 93);
INSERT INTO public.who_data VALUES (14465, 0, 152, 0, 5, 62, 84);
INSERT INTO public.who_data VALUES (14466, 5795, 1537169, 91, 41763, 62, 78);
INSERT INTO public.who_data VALUES (14467, 240, 153378, 26, 2651, 62, 170);
INSERT INTO public.who_data VALUES (14468, 0, 5124, 0, 47, 62, 32);
INSERT INTO public.who_data VALUES (14469, 43, 28171, 0, 908, 62, 155);
INSERT INTO public.who_data VALUES (14470, 1593, 336222, 89, 5216, 62, 82);
INSERT INTO public.who_data VALUES (14471, 2961, 202088, 35, 2210, 62, 16);
INSERT INTO public.who_data VALUES (14472, 32, 7765, 0, 164, 62, 72);
INSERT INTO public.who_data VALUES (14473, 220, 90282, 0, 349, 62, 43);
INSERT INTO public.who_data VALUES (14474, 1153, 500713, 38, 7280, 62, 120);
INSERT INTO public.who_data VALUES (14475, 0, 307, 0, 7, 62, 213);
INSERT INTO public.who_data VALUES (14476, 1944, 173523, 8, 1324, 62, 31);
INSERT INTO public.who_data VALUES (14477, 655, 627758, 89, 18754, 62, 204);
INSERT INTO public.who_data VALUES (14478, 94, 10023, 1, 216, 62, 152);
INSERT INTO public.who_data VALUES (14479, 15, 3167, 0, 44, 62, 144);
INSERT INTO public.who_data VALUES (14480, 11, 527, 0, 9, 62, 96);
INSERT INTO public.who_data VALUES (14481, 21, 467, 0, 0, 62, 47);
INSERT INTO public.who_data VALUES (14482, 621, 149770, 2, 9035, 62, 80);
INSERT INTO public.who_data VALUES (14483, 0, 154, 0, 3, 62, 159);
INSERT INTO public.who_data VALUES (14484, 482, 106006, 28, 3653, 62, 27);
INSERT INTO public.who_data VALUES (14485, 0, 12873, 0, 38, 62, 146);
INSERT INTO public.who_data VALUES (14486, 50177, 7213155, 706, 186356, 62, 71);
INSERT INTO public.who_data VALUES (14487, 0, 86, 0, 1, 62, 210);
INSERT INTO public.who_data VALUES (14488, 0, 152, 0, 3, 62, 54);
INSERT INTO public.who_data VALUES (14489, 166, 191195, 58, 6609, 62, 147);
INSERT INTO public.who_data VALUES (14490, 206, 5160, 2, 76, 62, 2);
INSERT INTO public.who_data VALUES (14491, 1, 762, 0, 2, 62, 105);
INSERT INTO public.who_data VALUES (14492, 12, 11579, 0, 111, 62, 53);
INSERT INTO public.who_data VALUES (14493, 1, 363, 0, 0, 62, 81);
INSERT INTO public.who_data VALUES (14494, 0, 25849, 0, 448, 62, 223);
INSERT INTO public.who_data VALUES (14495, 6248, 501594, 114, 14154, 62, 94);
INSERT INTO public.who_data VALUES (14496, 0, 311, 0, 2, 62, 154);
INSERT INTO public.who_data VALUES (14497, 2, 4938, 0, 63, 62, 83);
INSERT INTO public.who_data VALUES (14498, 23, 1890, 0, 102, 62, 194);
INSERT INTO public.who_data VALUES (14499, 2191, 585545, 53, 16154, 62, 136);
INSERT INTO public.who_data VALUES (14500, 100, 95816, 1, 4771, 62, 179);
INSERT INTO public.who_data VALUES (14501, 13990, 1496062, 249, 40268, 62, 57);
INSERT INTO public.who_data VALUES (14502, 0, 643, 0, 7, 62, 35);
INSERT INTO public.who_data VALUES (14503, 0, 6200, 0, 100, 62, 228);
INSERT INTO public.who_data VALUES (14504, 0, 0, 0, 0, 62, 19);
INSERT INTO public.who_data VALUES (14505, 1019, 158491, 15, 2011, 62, 22);
INSERT INTO public.who_data VALUES (14506, 146, 21918, 0, 133, 62, 1);
INSERT INTO public.who_data VALUES (14507, 766, 195728, 80, 3257, 62, 21);
INSERT INTO public.who_data VALUES (14508, 103, 10127, 0, 137, 62, 234);
INSERT INTO public.who_data VALUES (14509, 0, 3823, 0, 11, 62, 91);
INSERT INTO public.who_data VALUES (14510, 242, 17718, 2, 91, 62, 137);
INSERT INTO public.who_data VALUES (14511, 3383, 627523, 80, 10411, 62, 201);
INSERT INTO public.who_data VALUES (14512, 0, 0, 0, 0, 62, 171);
INSERT INTO public.who_data VALUES (14513, 0, 15210, 0, 369, 62, 92);
INSERT INTO public.who_data VALUES (14514, 2828, 134434, 16, 1035, 62, 112);
INSERT INTO public.who_data VALUES (14515, 0, 5781, 0, 61, 62, 62);
INSERT INTO public.who_data VALUES (14516, 4, 92, 0, 0, 62, 69);
INSERT INTO public.who_data VALUES (14517, 1322, 160386, 2, 2384, 62, 220);
INSERT INTO public.who_data VALUES (14518, 337, 206257, 0, 13948, 62, 100);
INSERT INTO public.who_data VALUES (14519, 664, 125555, 29, 7098, 62, 187);
INSERT INTO public.who_data VALUES (14520, 282, 43477, 8, 1250, 62, 63);
INSERT INTO public.who_data VALUES (14521, 0, 5214, 0, 85, 62, 28);
INSERT INTO public.who_data VALUES (14522, 0, 754, 0, 0, 62, 172);
INSERT INTO public.who_data VALUES (14523, 289, 22083, 7, 181, 62, 17);
INSERT INTO public.who_data VALUES (14524, 122, 7427, 3, 140, 62, 226);
INSERT INTO public.who_data VALUES (14525, 457, 119951, 7, 1853, 62, 236);
INSERT INTO public.who_data VALUES (14526, 0, 23, 0, 0, 62, 76);
INSERT INTO public.who_data VALUES (14527, 0, 546, 0, 0, 62, 30);
INSERT INTO public.who_data VALUES (14528, 0, 46, 0, 2, 62, 128);
INSERT INTO public.who_data VALUES (14529, 0, 32582, 0, 489, 62, 86);
INSERT INTO public.who_data VALUES (14530, 12798, 2431237, 131, 60174, 62, 140);
INSERT INTO public.who_data VALUES (14531, 0, 12369, 0, 71, 62, 44);
INSERT INTO public.who_data VALUES (14532, 0, 16182, 0, 103, 62, 113);
INSERT INTO public.who_data VALUES (14533, 0, 9400, 0, 64, 62, 29);
INSERT INTO public.who_data VALUES (14534, 0, 3788, 0, 123, 62, 125);
INSERT INTO public.who_data VALUES (14535, 824, 209462, 46, 2140, 62, 131);
INSERT INTO public.who_data VALUES (14536, 16643, 1510652, 226, 26275, 62, 46);
INSERT INTO public.who_data VALUES (14537, 0, 53653, 0, 331, 62, 10);
INSERT INTO public.who_data VALUES (14538, 27, 1211, 0, 6, 62, 205);
INSERT INTO public.who_data VALUES (14539, 587, 131072, 70, 4172, 62, 50);
INSERT INTO public.who_data VALUES (14540, 0, 19, 0, 0, 62, 20);
INSERT INTO public.who_data VALUES (14541, 0, 94, 0, 0, 62, 13);
INSERT INTO public.who_data VALUES (14542, 0, 8557, 0, 155, 62, 148);
INSERT INTO public.who_data VALUES (14543, 4, 7035, 0, 119, 62, 230);
INSERT INTO public.who_data VALUES (14544, 170, 132765, 32, 4656, 62, 190);
INSERT INTO public.who_data VALUES (14545, 1, 292, 0, 13, 62, 188);
INSERT INTO public.who_data VALUES (14546, 13, 13545, 0, 80, 62, 123);
INSERT INTO public.who_data VALUES (14547, 0, 2447, 0, 44, 62, 9);
INSERT INTO public.who_data VALUES (14548, 29, 6105, 0, 159, 62, 102);
INSERT INTO public.who_data VALUES (14549, 0, 9674, 0, 234, 62, 34);
INSERT INTO public.who_data VALUES (14550, 0, 26, 0, 0, 62, 212);
INSERT INTO public.who_data VALUES (14551, 648, 116860, 2, 3025, 62, 122);
INSERT INTO public.who_data VALUES (14552, 2141, 305130, 193, 8292, 62, 38);
INSERT INTO public.who_data VALUES (14553, 21, 5642, 0, 28, 62, 130);
INSERT INTO public.who_data VALUES (14554, 24337, 10055560, 333, 145810, 62, 37);
INSERT INTO public.who_data VALUES (14555, 6982, 664930, 221, 19880, 62, 231);
INSERT INTO public.who_data VALUES (14556, 6312, 1158384, 177, 53625, 62, 107);
INSERT INTO public.who_data VALUES (14557, 1027, 584145, 17, 12697, 62, 101);
INSERT INTO public.who_data VALUES (14558, 766, 79542, 4, 2158, 62, 132);
INSERT INTO public.who_data VALUES (14559, 0, 373, 0, 25, 62, 176);
INSERT INTO public.who_data VALUES (14560, 1887, 373250, 19, 3102, 62, 200);
INSERT INTO public.who_data VALUES (14561, 15102, 1953185, 352, 68799, 62, 169);
INSERT INTO public.who_data VALUES (14562, 89, 12224, 1, 286, 62, 225);
INSERT INTO public.who_data VALUES (14563, 2643, 198523, 27, 2900, 62, 165);
INSERT INTO public.who_data VALUES (14564, 22, 2256, 0, 36, 62, 233);
INSERT INTO public.who_data VALUES (14565, 2152, 274949, 23, 3568, 62, 215);
INSERT INTO public.who_data VALUES (14566, 929, 192579, 0, 2669, 62, 177);
INSERT INTO public.who_data VALUES (14567, 349, 94500, 6, 1639, 62, 183);
INSERT INTO public.who_data VALUES (14568, 0, 0, 0, 0, 62, 203);
INSERT INTO public.who_data VALUES (14569, 223, 48862, 8, 1246, 62, 162);
INSERT INTO public.who_data VALUES (14570, 204, 147979, 3, 921, 62, 12);
INSERT INTO public.who_data VALUES (14571, 132, 79254, 0, 1330, 62, 24);
INSERT INTO public.who_data VALUES (14572, 0, 41, 0, 0, 62, 119);
INSERT INTO public.who_data VALUES (14573, 643, 30940, 12, 439, 62, 39);
INSERT INTO public.who_data VALUES (14574, 1534, 158104, 11, 1281, 62, 26);
INSERT INTO public.who_data VALUES (14575, 0, 2285, 0, 44, 62, 59);
INSERT INTO public.who_data VALUES (14576, 9, 1788, 0, 83, 62, 77);
INSERT INTO public.who_data VALUES (14577, 788, 94560, 7, 1353, 62, 134);
INSERT INTO public.who_data VALUES (14578, 20, 1849, 3, 28, 62, 4);
INSERT INTO public.who_data VALUES (14579, 2133, 114492, 46, 1341, 62, 109);
INSERT INTO public.who_data VALUES (14580, 424, 44491, 4, 444, 62, 90);
INSERT INTO public.who_data VALUES (14581, 46, 17633, 1, 260, 62, 61);
INSERT INTO public.who_data VALUES (14582, 8, 6161, 0, 187, 62, 85);
INSERT INTO public.who_data VALUES (14583, 1340, 93309, 4, 437, 62, 49);
INSERT INTO public.who_data VALUES (14584, 19, 13493, 0, 48, 62, 208);
INSERT INTO public.who_data VALUES (14585, 27, 6191, 2, 222, 62, 166);
INSERT INTO public.who_data VALUES (14586, 52, 11621, 4, 187, 62, 64);
INSERT INTO public.who_data VALUES (14587, 0, 4, 0, 0, 62, 199);
INSERT INTO public.who_data VALUES (14588, 0, 5634, 0, 42, 62, 114);
INSERT INTO public.who_data VALUES (14589, 0, 10971, 0, 225, 62, 60);
INSERT INTO public.who_data VALUES (14590, 0, 524, 0, 10, 62, 68);
INSERT INTO public.who_data VALUES (14591, 0, 5708, 0, 53, 62, 158);
INSERT INTO public.who_data VALUES (14592, 12129, 1313675, 627, 117876, 62, 52);
INSERT INTO public.who_data VALUES (14593, 0, 0, 0, 0, 62, 117);
INSERT INTO public.who_data VALUES (14594, 5, 731, 0, 3, 62, 126);
INSERT INTO public.who_data VALUES (14595, 8, 961, 0, 0, 62, 196);
INSERT INTO public.who_data VALUES (14596, 350, 44621, 5, 630, 62, 142);
INSERT INTO public.who_data VALUES (14597, 0, 13, 0, 1, 62, 185);
INSERT INTO public.who_data VALUES (14598, 1899, 417125, 48, 6957, 62, 138);
INSERT INTO public.who_data VALUES (14599, 91, 17568, 1, 148, 62, 181);
INSERT INTO public.who_data VALUES (14600, 989, 115187, 26, 2424, 62, 178);
INSERT INTO public.who_data VALUES (14601, 277, 18714, 6, 177, 62, 168);
INSERT INTO public.who_data VALUES (14602, 0, 0, 0, 0, 62, 160);
INSERT INTO public.who_data VALUES (14603, 588, 253772, 11, 1788, 62, 151);
INSERT INTO public.who_data VALUES (14604, 12998, 688500, 31, 10464, 62, 193);
INSERT INTO public.who_data VALUES (14605, 0, 37, 0, 0, 62, 18);
INSERT INTO public.who_data VALUES (14606, 5, 1765, 0, 25, 62, 40);
INSERT INTO public.who_data VALUES (14607, 0, 4748, 0, 163, 62, 218);
INSERT INTO public.who_data VALUES (14608, 0, 2361, 0, 82, 62, 191);
INSERT INTO public.who_data VALUES (14609, 501, 78434, 3, 1221, 62, 156);
INSERT INTO public.who_data VALUES (14610, 0, 0, 0, 0, 62, 135);
INSERT INTO public.who_data VALUES (14611, 0, 116, 0, 2, 62, 88);
INSERT INTO public.who_data VALUES (14612, 356, 78305, 18, 2292, 62, 55);
INSERT INTO public.who_data VALUES (14613, 0, 42775, 0, 404, 62, 108);
INSERT INTO public.who_data VALUES (14614, 1427, 138533, 24, 1256, 62, 48);
INSERT INTO public.who_data VALUES (14615, 648, 127667, 5, 1488, 62, 3);
INSERT INTO public.who_data VALUES (14616, 0, 744, 0, 13, 62, 224);
INSERT INTO public.who_data VALUES (14617, 2615, 457288, 80, 9330, 62, 110);
INSERT INTO public.who_data VALUES (14618, 0, 0, 0, 0, 62, 106);
INSERT INTO public.who_data VALUES (14619, 3274, 209584, 23, 3527, 62, 89);
INSERT INTO public.who_data VALUES (14620, 0, 760, 0, 8, 62, 121);
INSERT INTO public.who_data VALUES (14621, 861, 99157, 22, 2072, 62, 163);
INSERT INTO public.who_data VALUES (14622, 2139, 995899, 65, 37034, 62, 70);
INSERT INTO public.who_data VALUES (14623, 1745, 459789, 36, 8947, 62, 174);
INSERT INTO public.who_data VALUES (14624, 0, 0, 0, 0, 62, 175);
INSERT INTO public.who_data VALUES (14625, 4633, 1207333, 77, 25474, 62, 118);
INSERT INTO public.who_data VALUES (14626, 3334, 374121, 71, 6134, 62, 189);
INSERT INTO public.who_data VALUES (14627, 1222, 68433, 26, 1368, 62, 124);
INSERT INTO public.who_data VALUES (14628, 143, 142001, 0, 243, 62, 192);
INSERT INTO public.who_data VALUES (14629, 924, 50581, 24, 698, 62, 41);
INSERT INTO public.who_data VALUES (14630, 629, 135207, 25, 2752, 62, 95);
INSERT INTO public.who_data VALUES (14631, 0, 8704, 0, 42, 62, 74);
INSERT INTO public.who_data VALUES (14632, 3350, 591294, 98, 14394, 62, 11);
INSERT INTO public.who_data VALUES (14633, 29350, 2877727, 493, 51351, 62, 87);
INSERT INTO public.who_data VALUES (14634, 0, 7232, 0, 59, 62, 214);
INSERT INTO public.who_data VALUES (14635, 0, 5, 0, 0, 62, 116);
INSERT INTO public.who_data VALUES (14636, 0, 182, 0, 0, 62, 157);
INSERT INTO public.who_data VALUES (14637, 0, 0, 0, 0, 62, 182);
INSERT INTO public.who_data VALUES (14638, 0, 30, 0, 0, 62, 186);
INSERT INTO public.who_data VALUES (14639, 2, 282, 0, 5, 62, 127);
INSERT INTO public.who_data VALUES (14640, 0, 948, 0, 12, 62, 232);
INSERT INTO public.who_data VALUES (14641, 1, 15, 0, 0, 62, 33);
INSERT INTO public.who_data VALUES (14642, 4, 104, 0, 0, 62, 97);
INSERT INTO public.who_data VALUES (14643, 0, 2, 0, 0, 62, 42);
INSERT INTO public.who_data VALUES (14644, 0, 2107, 0, 55, 62, 198);
INSERT INTO public.who_data VALUES (14645, 0, 1012, 0, 17, 62, 216);
INSERT INTO public.who_data VALUES (14646, 162, 361010, 10, 6122, 62, 164);
INSERT INTO public.who_data VALUES (14647, 88, 17758, 4, 365, 62, 235);
INSERT INTO public.who_data VALUES (14648, 3534, 300062, 54, 2686, 62, 67);
INSERT INTO public.who_data VALUES (14649, 0, 202, 0, 0, 62, 15);
INSERT INTO public.who_data VALUES (14650, 11, 2497, 0, 75, 62, 180);
INSERT INTO public.who_data VALUES (14651, 19, 58422, 0, 29, 62, 237);
INSERT INTO public.who_data VALUES (14652, 0, 18, 0, 0, 62, 25);
INSERT INTO public.who_data VALUES (14653, 0, 1294, 0, 26, 62, 209);
INSERT INTO public.who_data VALUES (14654, 2061, 151336, 45, 1555, 62, 217);
INSERT INTO public.who_data VALUES (14655, 882, 105907, 40, 2594, 62, 79);
INSERT INTO public.who_data VALUES (14656, 0, 17, 0, 0, 62, 143);
INSERT INTO public.who_data VALUES (14657, 0, 4662, 0, 124, 62, 229);
INSERT INTO public.who_data VALUES (14658, 9445, 921922, 152, 24691, 62, 141);
INSERT INTO public.who_data VALUES (14659, 0, 3228, 0, 62, 62, 197);
INSERT INTO public.who_data VALUES (14660, 7103, 1900025, 125, 50634, 62, 221);
INSERT INTO public.who_data VALUES (14661, 1212, 37261, 11, 176, 62, 150);
INSERT INTO public.who_data VALUES (14662, 216, 23316, 7, 1468, 62, 56);
INSERT INTO public.who_data VALUES (14663, 52, 5511, 1, 118, 62, 167);
INSERT INTO public.who_data VALUES (14664, 5510, 380453, 80, 8719, 62, 23);
INSERT INTO public.who_data VALUES (14665, 1955, 413506, 97, 6481, 62, 222);
INSERT INTO public.who_data VALUES (14666, 145, 10195, 9, 610, 62, 219);
INSERT INTO public.who_data VALUES (14667, 41, 13280, 0, 89, 62, 7);
INSERT INTO public.who_data VALUES (14668, 576, 4907, 0, 60, 62, 161);
INSERT INTO public.who_data VALUES (14669, 35928, 2040151, 326, 67401, 62, 149);
INSERT INTO public.who_data VALUES (14670, 0, 31, 0, 0, 62, 6);
INSERT INTO public.who_data VALUES (14671, 0, 3396, 0, 66, 62, 139);
INSERT INTO public.who_data VALUES (14672, 0, 0, 0, 0, 62, 211);
INSERT INTO public.who_data VALUES (14673, 0, 0, 0, 0, 62, 14);
INSERT INTO public.who_data VALUES (14674, 19, 6974, 0, 123, 62, 111);
INSERT INTO public.who_data VALUES (14675, 1536, 120687, 32, 4158, 62, 207);
INSERT INTO public.who_data VALUES (14676, 20316, 2024601, 246, 18097, 62, 66);
INSERT INTO public.who_data VALUES (14677, 0, 0, 0, 0, 62, 173);
INSERT INTO public.who_data VALUES (14678, 9, 798, 0, 6, 62, 145);
INSERT INTO public.who_data VALUES (14679, 0, 0, 0, 0, 62, 65);
INSERT INTO public.who_data VALUES (14680, 485, 31187, 1, 231, 62, 184);
INSERT INTO public.who_data VALUES (14681, 6545, 970993, 80, 16665, 62, 98);
INSERT INTO public.who_data VALUES (14682, 1171, 193575, 3, 637, 62, 104);
INSERT INTO public.who_data VALUES (14683, 0, 509, 0, 21, 62, 73);
INSERT INTO public.who_data VALUES (14684, 200257, 17515091, 2598, 313748, 62, 8);
INSERT INTO public.who_data VALUES (14685, 11, 1921, 0, 23, 62, 227);
INSERT INTO public.who_data VALUES (14686, 607, 12557, 5, 114, 62, 75);
INSERT INTO public.who_data VALUES (14687, 242, 76048, 0, 612, 62, 45);
INSERT INTO public.who_data VALUES (14688, 0, 1, 0, 0, 62, 133);
INSERT INTO public.who_data VALUES (14689, 386, 109781, 5, 984, 62, 202);
INSERT INTO public.who_data VALUES (14690, 2, 1413, 0, 35, 62, 129);
INSERT INTO public.who_data VALUES (14691, 0, 4, 0, 0, 62, 36);
INSERT INTO public.who_data VALUES (14692, 0, 2091, 0, 607, 62, 51);
INSERT INTO public.who_data VALUES (14693, 96, 18716, 0, 373, 62, 206);
INSERT INTO public.who_data VALUES (14694, 174, 12325, 2, 320, 62, 5);
INSERT INTO public.who_data VALUES (14695, 80, 50536, 17, 2054, 63, 103);
INSERT INTO public.who_data VALUES (14696, 538, 52542, 8, 1074, 63, 58);
INSERT INTO public.who_data VALUES (14697, 410, 94781, 12, 2659, 63, 195);
INSERT INTO public.who_data VALUES (14698, 0, 0, 0, 0, 63, 115);
INSERT INTO public.who_data VALUES (14699, 41, 7560, 0, 80, 63, 99);
INSERT INTO public.who_data VALUES (14700, 64, 16626, 2, 386, 63, 153);
INSERT INTO public.who_data VALUES (14701, 0, 10, 0, 0, 63, 93);
INSERT INTO public.who_data VALUES (14702, 1, 152, 0, 5, 63, 84);
INSERT INTO public.who_data VALUES (14703, 7002, 1531374, 138, 41672, 63, 78);
INSERT INTO public.who_data VALUES (14704, 652, 153138, 14, 2625, 63, 170);
INSERT INTO public.who_data VALUES (14705, 0, 5124, 0, 47, 63, 32);
INSERT INTO public.who_data VALUES (14706, 34, 28128, 0, 908, 63, 155);
INSERT INTO public.who_data VALUES (14707, 2258, 334629, 110, 5127, 63, 82);
INSERT INTO public.who_data VALUES (14708, 3705, 199127, 42, 2175, 63, 16);
INSERT INTO public.who_data VALUES (14709, 0, 7733, 0, 164, 63, 72);
INSERT INTO public.who_data VALUES (14710, 179, 90062, 0, 349, 63, 43);
INSERT INTO public.who_data VALUES (14711, 1267, 499560, 25, 7242, 63, 120);
INSERT INTO public.who_data VALUES (14712, 2, 307, 0, 7, 63, 213);
INSERT INTO public.who_data VALUES (14713, 1931, 171579, 8, 1316, 63, 31);
INSERT INTO public.who_data VALUES (14714, 1462, 627103, 93, 18665, 63, 204);
INSERT INTO public.who_data VALUES (14715, 138, 9929, 2, 215, 63, 152);
INSERT INTO public.who_data VALUES (14716, 0, 3152, 0, 44, 63, 144);
INSERT INTO public.who_data VALUES (14717, 19, 516, 0, 9, 63, 96);
INSERT INTO public.who_data VALUES (14718, 3, 446, 0, 0, 63, 47);
INSERT INTO public.who_data VALUES (14719, 484, 149149, 2, 9033, 63, 80);
INSERT INTO public.who_data VALUES (14720, 0, 154, 0, 3, 63, 159);
INSERT INTO public.who_data VALUES (14721, 643, 105524, 42, 3625, 63, 27);
INSERT INTO public.who_data VALUES (14722, 0, 12873, 0, 38, 63, 146);
INSERT INTO public.who_data VALUES (14723, 52544, 7162978, 823, 185650, 63, 71);
INSERT INTO public.who_data VALUES (14724, 0, 86, 0, 1, 63, 210);
INSERT INTO public.who_data VALUES (14725, 0, 152, 0, 3, 63, 54);
INSERT INTO public.who_data VALUES (14726, 1002, 191029, 55, 6551, 63, 147);
INSERT INTO public.who_data VALUES (14727, 122, 4954, 0, 74, 63, 2);
INSERT INTO public.who_data VALUES (14728, 0, 761, 1, 2, 63, 105);
INSERT INTO public.who_data VALUES (14729, 41, 11567, 1, 111, 63, 53);
INSERT INTO public.who_data VALUES (14730, 0, 362, 0, 0, 63, 81);
INSERT INTO public.who_data VALUES (14731, 125, 25849, 3, 448, 63, 223);
INSERT INTO public.who_data VALUES (14732, 6708, 495346, 124, 14040, 63, 94);
INSERT INTO public.who_data VALUES (14733, 0, 311, 0, 2, 63, 154);
INSERT INTO public.who_data VALUES (14734, 0, 4936, 0, 63, 63, 83);
INSERT INTO public.who_data VALUES (14735, 28, 1867, 0, 102, 63, 194);
INSERT INTO public.who_data VALUES (14736, 2219, 583354, 50, 16101, 63, 136);
INSERT INTO public.who_data VALUES (14737, 136, 95716, 0, 4770, 63, 179);
INSERT INTO public.who_data VALUES (14738, 13277, 1482072, 232, 40019, 63, 57);
INSERT INTO public.who_data VALUES (14739, 0, 643, 0, 7, 63, 35);
INSERT INTO public.who_data VALUES (14740, 0, 6200, 0, 100, 63, 228);
INSERT INTO public.who_data VALUES (14741, 0, 0, 0, 0, 63, 19);
INSERT INTO public.who_data VALUES (14742, 1084, 157472, 16, 1996, 63, 22);
INSERT INTO public.who_data VALUES (14743, 0, 21772, 0, 133, 63, 1);
INSERT INTO public.who_data VALUES (14744, 4727, 194962, 154, 3177, 63, 21);
INSERT INTO public.who_data VALUES (14745, 131, 10024, 0, 137, 63, 234);
INSERT INTO public.who_data VALUES (14746, 0, 3823, 0, 11, 63, 91);
INSERT INTO public.who_data VALUES (14747, 419, 17476, 2, 89, 63, 137);
INSERT INTO public.who_data VALUES (14748, 5304, 624140, 60, 10331, 63, 201);
INSERT INTO public.who_data VALUES (14749, 0, 0, 0, 0, 63, 171);
INSERT INTO public.who_data VALUES (14750, 123, 15210, 3, 369, 63, 92);
INSERT INTO public.who_data VALUES (14751, 3285, 131606, 12, 1019, 63, 112);
INSERT INTO public.who_data VALUES (14752, 1, 5781, 0, 61, 63, 62);
INSERT INTO public.who_data VALUES (14753, 0, 88, 0, 0, 63, 69);
INSERT INTO public.who_data VALUES (14754, 1135, 159064, 6, 2382, 63, 220);
INSERT INTO public.who_data VALUES (14755, 1671, 205920, 16, 13948, 63, 100);
INSERT INTO public.who_data VALUES (14756, 611, 124891, 28, 7069, 63, 187);
INSERT INTO public.who_data VALUES (14757, 798, 43195, 8, 1242, 63, 63);
INSERT INTO public.who_data VALUES (14758, 0, 5214, 0, 85, 63, 28);
INSERT INTO public.who_data VALUES (14759, 13, 754, 0, 0, 63, 172);
INSERT INTO public.who_data VALUES (14760, 575, 21794, 4, 174, 63, 17);
INSERT INTO public.who_data VALUES (14761, 103, 7305, 1, 137, 63, 226);
INSERT INTO public.who_data VALUES (14762, 469, 119494, 3, 1846, 63, 236);
INSERT INTO public.who_data VALUES (14763, 0, 23, 0, 0, 63, 76);
INSERT INTO public.who_data VALUES (14764, 0, 546, 0, 0, 63, 30);
INSERT INTO public.who_data VALUES (14765, 0, 46, 0, 2, 63, 128);
INSERT INTO public.who_data VALUES (14766, 0, 32582, 0, 489, 63, 86);
INSERT INTO public.who_data VALUES (14767, 17326, 2418439, 188, 60043, 63, 140);
INSERT INTO public.who_data VALUES (14768, 88, 12369, 0, 71, 63, 44);
INSERT INTO public.who_data VALUES (14769, 0, 16182, 0, 103, 63, 113);
INSERT INTO public.who_data VALUES (14770, 0, 9400, 0, 64, 63, 29);
INSERT INTO public.who_data VALUES (14771, 2, 3788, 0, 123, 63, 125);
INSERT INTO public.who_data VALUES (14772, 1731, 208638, 39, 2094, 63, 131);
INSERT INTO public.who_data VALUES (14773, 22771, 1494009, 409, 26049, 63, 46);
INSERT INTO public.who_data VALUES (14774, 0, 53653, 0, 331, 63, 10);
INSERT INTO public.who_data VALUES (14775, 31, 1184, 0, 6, 63, 205);
INSERT INTO public.who_data VALUES (14776, 901, 130485, 58, 4102, 63, 50);
INSERT INTO public.who_data VALUES (14777, 0, 19, 0, 0, 63, 20);
INSERT INTO public.who_data VALUES (14778, 0, 94, 0, 0, 63, 13);
INSERT INTO public.who_data VALUES (14779, 59, 8557, 1, 155, 63, 148);
INSERT INTO public.who_data VALUES (14780, 5, 7031, 0, 119, 63, 230);
INSERT INTO public.who_data VALUES (14781, 533, 132595, 35, 4624, 63, 190);
INSERT INTO public.who_data VALUES (14782, 0, 291, 0, 13, 63, 188);
INSERT INTO public.who_data VALUES (14783, 21, 13532, 0, 80, 63, 123);
INSERT INTO public.who_data VALUES (14784, 0, 2447, 0, 44, 63, 9);
INSERT INTO public.who_data VALUES (14785, 34, 6076, 1, 159, 63, 102);
INSERT INTO public.who_data VALUES (14786, 26, 9674, 0, 234, 63, 34);
INSERT INTO public.who_data VALUES (14787, 0, 26, 0, 0, 63, 212);
INSERT INTO public.who_data VALUES (14788, 738, 116212, 2, 3023, 63, 122);
INSERT INTO public.who_data VALUES (14789, 2967, 302989, 185, 8099, 63, 38);
INSERT INTO public.who_data VALUES (14790, 17, 5621, 0, 28, 63, 130);
INSERT INTO public.who_data VALUES (14791, 26624, 10031223, 341, 145477, 63, 37);
INSERT INTO public.who_data VALUES (14792, 7751, 657948, 145, 19659, 63, 231);
INSERT INTO public.who_data VALUES (14793, 6421, 1152072, 175, 53448, 63, 107);
INSERT INTO public.who_data VALUES (14794, 1307, 583118, 10, 12680, 63, 101);
INSERT INTO public.who_data VALUES (14795, 522, 78776, 5, 2154, 63, 132);
INSERT INTO public.who_data VALUES (14796, 0, 373, 0, 25, 63, 176);
INSERT INTO public.who_data VALUES (14797, 2792, 371363, 16, 3083, 63, 200);
INSERT INTO public.who_data VALUES (14798, 16305, 1938083, 553, 68447, 63, 169);
INSERT INTO public.who_data VALUES (14799, 96, 12135, 2, 285, 63, 225);
INSERT INTO public.who_data VALUES (14800, 2849, 195880, 45, 2873, 63, 165);
INSERT INTO public.who_data VALUES (14801, 136, 2234, 3, 36, 63, 233);
INSERT INTO public.who_data VALUES (14802, 1283, 272797, 27, 3545, 63, 215);
INSERT INTO public.who_data VALUES (14803, 681, 191650, 60, 2669, 63, 177);
INSERT INTO public.who_data VALUES (14804, 390, 94151, 4, 1633, 63, 183);
INSERT INTO public.who_data VALUES (14805, 0, 0, 0, 0, 63, 203);
INSERT INTO public.who_data VALUES (14806, 345, 48639, 8, 1238, 63, 162);
INSERT INTO public.who_data VALUES (14807, 244, 147775, 2, 918, 63, 12);
INSERT INTO public.who_data VALUES (14808, 211, 79122, 2, 1330, 63, 24);
INSERT INTO public.who_data VALUES (14809, 0, 41, 0, 0, 63, 119);
INSERT INTO public.who_data VALUES (14810, 870, 30297, 18, 427, 63, 39);
INSERT INTO public.who_data VALUES (14811, 1626, 156570, 11, 1270, 63, 26);
INSERT INTO public.who_data VALUES (14812, 0, 2285, 0, 44, 63, 59);
INSERT INTO public.who_data VALUES (14813, 0, 1779, 0, 83, 63, 77);
INSERT INTO public.who_data VALUES (14814, 0, 93772, 0, 1346, 63, 134);
INSERT INTO public.who_data VALUES (14815, 32, 1829, 0, 25, 63, 4);
INSERT INTO public.who_data VALUES (14816, 2917, 112359, 28, 1295, 63, 109);
INSERT INTO public.who_data VALUES (14817, 340, 44067, 6, 440, 63, 90);
INSERT INTO public.who_data VALUES (14818, 0, 17587, 0, 259, 63, 61);
INSERT INTO public.who_data VALUES (14819, 5, 6153, 0, 187, 63, 85);
INSERT INTO public.who_data VALUES (14820, 1153, 91969, 1, 433, 63, 49);
INSERT INTO public.who_data VALUES (14821, 30, 13474, 0, 48, 63, 208);
INSERT INTO public.who_data VALUES (14822, 115, 6164, 9, 220, 63, 166);
INSERT INTO public.who_data VALUES (14823, 94, 11569, 1, 183, 63, 64);
INSERT INTO public.who_data VALUES (14824, 0, 4, 0, 0, 63, 199);
INSERT INTO public.who_data VALUES (14825, 33, 5634, 0, 42, 63, 114);
INSERT INTO public.who_data VALUES (14826, 0, 10971, 0, 225, 63, 60);
INSERT INTO public.who_data VALUES (14827, 0, 524, 0, 10, 63, 68);
INSERT INTO public.who_data VALUES (14828, 0, 5708, 0, 53, 63, 158);
INSERT INTO public.who_data VALUES (14829, 12248, 1301546, 762, 117249, 63, 52);
INSERT INTO public.who_data VALUES (14830, 0, 0, 0, 0, 63, 117);
INSERT INTO public.who_data VALUES (14831, 8, 726, 0, 3, 63, 126);
INSERT INTO public.who_data VALUES (14832, 12, 953, 0, 0, 63, 196);
INSERT INTO public.who_data VALUES (14833, 268, 44271, 2, 625, 63, 142);
INSERT INTO public.who_data VALUES (14834, 0, 13, 0, 1, 63, 185);
INSERT INTO public.who_data VALUES (14835, 2833, 415226, 55, 6909, 63, 138);
INSERT INTO public.who_data VALUES (14836, 221, 17477, 2, 147, 63, 181);
INSERT INTO public.who_data VALUES (14837, 1116, 114198, 21, 2398, 63, 178);
INSERT INTO public.who_data VALUES (14838, 396, 18437, 2, 171, 63, 168);
INSERT INTO public.who_data VALUES (14839, 0, 0, 0, 0, 63, 160);
INSERT INTO public.who_data VALUES (14840, 710, 253184, 12, 1777, 63, 151);
INSERT INTO public.who_data VALUES (14841, 12228, 675502, 55, 10433, 63, 193);
INSERT INTO public.who_data VALUES (14842, 0, 37, 0, 0, 63, 18);
INSERT INTO public.who_data VALUES (14843, 6, 1760, 0, 25, 63, 40);
INSERT INTO public.who_data VALUES (14844, 0, 4748, 0, 163, 63, 218);
INSERT INTO public.who_data VALUES (14845, 0, 2361, 0, 82, 63, 191);
INSERT INTO public.who_data VALUES (14846, 920, 77933, 6, 1218, 63, 156);
INSERT INTO public.who_data VALUES (14847, 0, 0, 0, 0, 63, 135);
INSERT INTO public.who_data VALUES (14848, 1, 116, 0, 2, 63, 88);
INSERT INTO public.who_data VALUES (14849, 815, 77949, 20, 2274, 63, 55);
INSERT INTO public.who_data VALUES (14850, 0, 42775, 0, 404, 63, 108);
INSERT INTO public.who_data VALUES (14851, 1750, 137106, 25, 1232, 63, 48);
INSERT INTO public.who_data VALUES (14852, 0, 127019, 0, 1483, 63, 3);
INSERT INTO public.who_data VALUES (14853, 0, 744, 0, 13, 63, 224);
INSERT INTO public.who_data VALUES (14854, 3179, 454673, 86, 9250, 63, 110);
INSERT INTO public.who_data VALUES (14855, 0, 0, 0, 0, 63, 106);
INSERT INTO public.who_data VALUES (14856, 3015, 206310, 23, 3504, 63, 89);
INSERT INTO public.who_data VALUES (14857, 0, 760, 0, 8, 63, 121);
INSERT INTO public.who_data VALUES (14858, 1268, 98296, 18, 2050, 63, 163);
INSERT INTO public.who_data VALUES (14859, 2242, 993760, 68, 36969, 63, 70);
INSERT INTO public.who_data VALUES (14860, 1482, 458044, 36, 8911, 63, 174);
INSERT INTO public.who_data VALUES (14861, 0, 0, 0, 0, 63, 175);
INSERT INTO public.who_data VALUES (14862, 8590, 1202700, 143, 25397, 63, 118);
INSERT INTO public.who_data VALUES (14863, 3835, 370787, 86, 6063, 63, 189);
INSERT INTO public.who_data VALUES (14864, 1079, 67211, 9, 1342, 63, 124);
INSERT INTO public.who_data VALUES (14865, 142, 141858, 1, 243, 63, 192);
INSERT INTO public.who_data VALUES (14866, 1097, 49657, 15, 674, 63, 41);
INSERT INTO public.who_data VALUES (14867, 1218, 134578, 27, 2727, 63, 95);
INSERT INTO public.who_data VALUES (14868, 0, 8704, 0, 42, 63, 74);
INSERT INTO public.who_data VALUES (14869, 5158, 587944, 139, 14296, 63, 11);
INSERT INTO public.who_data VALUES (14870, 28948, 2848377, 511, 50858, 63, 87);
INSERT INTO public.who_data VALUES (14871, 127, 7232, 2, 59, 63, 214);
INSERT INTO public.who_data VALUES (14872, 0, 5, 0, 0, 63, 116);
INSERT INTO public.who_data VALUES (14873, 10, 182, 0, 0, 63, 157);
INSERT INTO public.who_data VALUES (14874, 0, 0, 0, 0, 63, 182);
INSERT INTO public.who_data VALUES (14875, 0, 30, 0, 0, 63, 186);
INSERT INTO public.who_data VALUES (14876, 0, 280, 0, 5, 63, 127);
INSERT INTO public.who_data VALUES (14877, 49, 948, 0, 12, 63, 232);
INSERT INTO public.who_data VALUES (14878, 0, 14, 0, 0, 63, 33);
INSERT INTO public.who_data VALUES (14879, 0, 100, 0, 0, 63, 97);
INSERT INTO public.who_data VALUES (14880, 0, 2, 0, 0, 63, 42);
INSERT INTO public.who_data VALUES (14881, 58, 2107, 0, 55, 63, 198);
INSERT INTO public.who_data VALUES (14882, 1, 1012, 0, 17, 63, 216);
INSERT INTO public.who_data VALUES (14883, 158, 360848, 11, 6112, 63, 164);
INSERT INTO public.who_data VALUES (14884, 111, 17670, 4, 361, 63, 235);
INSERT INTO public.who_data VALUES (14885, 3888, 296528, 52, 2632, 63, 67);
INSERT INTO public.who_data VALUES (14886, 0, 202, 0, 0, 63, 15);
INSERT INTO public.who_data VALUES (14887, 0, 2486, 0, 75, 63, 180);
INSERT INTO public.who_data VALUES (14888, 17, 58403, 0, 29, 63, 237);
INSERT INTO public.who_data VALUES (14889, 0, 18, 0, 0, 63, 25);
INSERT INTO public.who_data VALUES (14890, 0, 1294, 0, 26, 63, 209);
INSERT INTO public.who_data VALUES (14891, 3151, 149275, 70, 1510, 63, 217);
INSERT INTO public.who_data VALUES (14892, 1430, 105025, 42, 2554, 63, 79);
INSERT INTO public.who_data VALUES (14893, 0, 17, 0, 0, 63, 143);
INSERT INTO public.who_data VALUES (14894, 0, 4662, 0, 124, 63, 229);
INSERT INTO public.who_data VALUES (14895, 10939, 912477, 254, 24539, 63, 141);
INSERT INTO public.who_data VALUES (14896, 0, 3228, 0, 62, 63, 197);
INSERT INTO public.who_data VALUES (14897, 12720, 1892922, 162, 50509, 63, 221);
INSERT INTO public.who_data VALUES (14898, 662, 36049, 5, 165, 63, 150);
INSERT INTO public.who_data VALUES (14899, 110, 23100, 11, 1461, 63, 56);
INSERT INTO public.who_data VALUES (14900, 31, 5459, 0, 117, 63, 167);
INSERT INTO public.who_data VALUES (14901, 7917, 374943, 71, 8639, 63, 23);
INSERT INTO public.who_data VALUES (14902, 2675, 411551, 79, 6384, 63, 222);
INSERT INTO public.who_data VALUES (14903, 122, 10050, 10, 601, 63, 219);
INSERT INTO public.who_data VALUES (14904, 57, 13239, 0, 89, 63, 7);
INSERT INTO public.who_data VALUES (14905, 34, 4331, 0, 60, 63, 161);
INSERT INTO public.who_data VALUES (14906, 27052, 2004223, 534, 67075, 63, 149);
INSERT INTO public.who_data VALUES (14907, 0, 31, 0, 0, 63, 6);
INSERT INTO public.who_data VALUES (14908, 81, 3396, 0, 66, 63, 139);
INSERT INTO public.who_data VALUES (14909, 0, 0, 0, 0, 63, 211);
INSERT INTO public.who_data VALUES (14910, 0, 0, 0, 0, 63, 14);
INSERT INTO public.who_data VALUES (14911, 15, 6955, 0, 123, 63, 111);
INSERT INTO public.who_data VALUES (14912, 1569, 119151, 36, 4126, 63, 207);
INSERT INTO public.who_data VALUES (14913, 22195, 2004285, 241, 17851, 63, 66);
INSERT INTO public.who_data VALUES (14914, 0, 0, 0, 0, 63, 173);
INSERT INTO public.who_data VALUES (14915, 8, 789, 0, 6, 63, 145);
INSERT INTO public.who_data VALUES (14916, 0, 0, 0, 0, 63, 65);
INSERT INTO public.who_data VALUES (14917, 631, 30702, 0, 230, 63, 184);
INSERT INTO public.who_data VALUES (14918, 8325, 964448, 116, 16585, 63, 98);
INSERT INTO public.who_data VALUES (14919, 1254, 192404, 4, 634, 63, 104);
INSERT INTO public.who_data VALUES (14920, 0, 509, 0, 21, 63, 73);
INSERT INTO public.who_data VALUES (14921, 402270, 17314834, 2747, 311150, 63, 8);
INSERT INTO public.who_data VALUES (14922, 10, 1910, 0, 23, 63, 227);
INSERT INTO public.who_data VALUES (14923, 514, 11950, 4, 109, 63, 75);
INSERT INTO public.who_data VALUES (14924, 0, 75806, 0, 612, 63, 45);
INSERT INTO public.who_data VALUES (14925, 0, 1, 0, 0, 63, 133);
INSERT INTO public.who_data VALUES (14926, 314, 109395, 4, 979, 63, 202);
INSERT INTO public.who_data VALUES (14927, 1, 1411, 0, 35, 63, 129);
INSERT INTO public.who_data VALUES (14928, 0, 4, 0, 0, 63, 36);
INSERT INTO public.who_data VALUES (14929, 0, 2091, 0, 607, 63, 51);
INSERT INTO public.who_data VALUES (14930, 44, 18620, 0, 373, 63, 206);
INSERT INTO public.who_data VALUES (14931, 104, 12151, 2, 318, 63, 5);
INSERT INTO public.who_data VALUES (14932, 254, 50456, 5, 2037, 64, 103);
INSERT INTO public.who_data VALUES (14933, 580, 52004, 11, 1066, 64, 58);
INSERT INTO public.who_data VALUES (14934, 438, 94371, 7, 2647, 64, 195);
INSERT INTO public.who_data VALUES (14935, 0, 0, 0, 0, 64, 115);
INSERT INTO public.who_data VALUES (14936, 53, 7519, 1, 80, 64, 99);
INSERT INTO public.who_data VALUES (14937, 78, 16562, 2, 384, 64, 153);
INSERT INTO public.who_data VALUES (14938, 0, 10, 0, 0, 64, 93);
INSERT INTO public.who_data VALUES (14939, 0, 151, 0, 5, 64, 84);
INSERT INTO public.who_data VALUES (14940, 7326, 1524372, 169, 41534, 64, 78);
INSERT INTO public.who_data VALUES (14941, 920, 152486, 20, 2611, 64, 170);
INSERT INTO public.who_data VALUES (14942, 18, 5124, 0, 47, 64, 32);
INSERT INTO public.who_data VALUES (14943, 22, 28094, 0, 908, 64, 155);
INSERT INTO public.who_data VALUES (14944, 1914, 332371, 131, 5017, 64, 82);
INSERT INTO public.who_data VALUES (14945, 3962, 195422, 45, 2133, 64, 16);
INSERT INTO public.who_data VALUES (14946, 8, 7733, 0, 164, 64, 72);
INSERT INTO public.who_data VALUES (14947, 140, 89883, 0, 349, 64, 43);
INSERT INTO public.who_data VALUES (14948, 1318, 498293, 25, 7217, 64, 120);
INSERT INTO public.who_data VALUES (14949, 4, 305, 0, 7, 64, 213);
INSERT INTO public.who_data VALUES (14950, 1917, 169648, 9, 1308, 64, 31);
INSERT INTO public.who_data VALUES (14951, 2835, 625641, 83, 18572, 64, 204);
INSERT INTO public.who_data VALUES (14952, 119, 9791, 1, 213, 64, 152);
INSERT INTO public.who_data VALUES (14953, 0, 3152, 0, 44, 64, 144);
INSERT INTO public.who_data VALUES (14954, 12, 497, 0, 9, 64, 96);
INSERT INTO public.who_data VALUES (14955, 1, 443, 0, 0, 64, 47);
INSERT INTO public.who_data VALUES (14956, 451, 148665, 2, 9031, 64, 80);
INSERT INTO public.who_data VALUES (14957, 0, 154, 0, 3, 64, 159);
INSERT INTO public.who_data VALUES (14958, 784, 104881, 34, 3583, 64, 27);
INSERT INTO public.who_data VALUES (14959, 0, 12873, 0, 38, 64, 146);
INSERT INTO public.who_data VALUES (14960, 69826, 7110434, 1092, 184827, 64, 71);
INSERT INTO public.who_data VALUES (14961, 3, 86, 0, 1, 64, 210);
INSERT INTO public.who_data VALUES (14962, 0, 152, 0, 3, 64, 54);
INSERT INTO public.who_data VALUES (14963, 1739, 190027, 157, 6496, 64, 147);
INSERT INTO public.who_data VALUES (14964, 221, 4832, 1, 74, 64, 2);
INSERT INTO public.who_data VALUES (14965, 5, 761, 0, 1, 64, 105);
INSERT INTO public.who_data VALUES (14966, 24, 11526, 0, 110, 64, 53);
INSERT INTO public.who_data VALUES (14967, 0, 362, 0, 0, 64, 81);
INSERT INTO public.who_data VALUES (14968, 252, 25724, 0, 445, 64, 223);
INSERT INTO public.who_data VALUES (14969, 7008, 488638, 117, 13916, 64, 94);
INSERT INTO public.who_data VALUES (14970, 3, 311, 0, 2, 64, 154);
INSERT INTO public.who_data VALUES (14971, 0, 4936, 0, 63, 64, 83);
INSERT INTO public.who_data VALUES (14972, 21, 1839, 0, 102, 64, 194);
INSERT INTO public.who_data VALUES (14973, 2403, 581135, 44, 16051, 64, 136);
INSERT INTO public.who_data VALUES (14974, 89, 95580, 4, 4770, 64, 179);
INSERT INTO public.who_data VALUES (14975, 12196, 1468795, 227, 39787, 64, 57);
INSERT INTO public.who_data VALUES (14976, 10, 643, 0, 7, 64, 35);
INSERT INTO public.who_data VALUES (14977, 0, 6200, 0, 100, 64, 228);
INSERT INTO public.who_data VALUES (14978, 0, 0, 0, 0, 64, 19);
INSERT INTO public.who_data VALUES (14979, 1125, 156388, 13, 1980, 64, 22);
INSERT INTO public.who_data VALUES (14980, 0, 21772, 0, 133, 64, 1);
INSERT INTO public.who_data VALUES (14981, 3272, 190235, 68, 3023, 64, 21);
INSERT INTO public.who_data VALUES (14982, 122, 9893, 0, 137, 64, 234);
INSERT INTO public.who_data VALUES (14983, 56, 3823, 0, 11, 64, 91);
INSERT INTO public.who_data VALUES (14984, 410, 17057, 2, 87, 64, 137);
INSERT INTO public.who_data VALUES (14985, 8830, 618836, 108, 10271, 64, 201);
INSERT INTO public.who_data VALUES (14986, 0, 0, 0, 0, 64, 171);
INSERT INTO public.who_data VALUES (14987, 159, 15087, 0, 366, 64, 92);
INSERT INTO public.who_data VALUES (14988, 4508, 128321, 15, 1007, 64, 112);
INSERT INTO public.who_data VALUES (14989, 10, 5780, 0, 61, 64, 62);
INSERT INTO public.who_data VALUES (14990, 0, 88, 0, 0, 64, 69);
INSERT INTO public.who_data VALUES (14991, 624, 157929, 1, 2376, 64, 220);
INSERT INTO public.who_data VALUES (14992, 0, 204249, 0, 13932, 64, 100);
INSERT INTO public.who_data VALUES (14993, 579, 124280, 26, 7041, 64, 187);
INSERT INTO public.who_data VALUES (14994, 0, 42397, 7, 1234, 64, 63);
INSERT INTO public.who_data VALUES (14995, 0, 5214, 0, 85, 64, 28);
INSERT INTO public.who_data VALUES (14996, 0, 741, 0, 0, 64, 172);
INSERT INTO public.who_data VALUES (14997, 561, 21219, 2, 170, 64, 17);
INSERT INTO public.who_data VALUES (14998, 109, 7202, 1, 136, 64, 226);
INSERT INTO public.who_data VALUES (14999, 544, 119025, 12, 1843, 64, 236);
INSERT INTO public.who_data VALUES (15000, 0, 23, 0, 0, 64, 76);
INSERT INTO public.who_data VALUES (15001, 12, 546, 0, 0, 64, 30);
INSERT INTO public.who_data VALUES (15002, 0, 46, 0, 2, 64, 128);
INSERT INTO public.who_data VALUES (15003, 354, 32582, 5, 489, 64, 86);
INSERT INTO public.who_data VALUES (15004, 15440, 2401113, 610, 59855, 64, 140);
INSERT INTO public.who_data VALUES (15005, 118, 12281, 0, 71, 64, 44);
INSERT INTO public.who_data VALUES (15006, 64, 16182, 2, 103, 64, 113);
INSERT INTO public.who_data VALUES (15007, 27, 9400, 1, 64, 64, 29);
INSERT INTO public.who_data VALUES (15008, 0, 3786, 0, 123, 64, 125);
INSERT INTO public.who_data VALUES (15009, 2904, 206907, 53, 2055, 64, 131);
INSERT INTO public.who_data VALUES (15010, 31300, 1471238, 702, 25640, 64, 46);
INSERT INTO public.who_data VALUES (15011, 100, 53653, 0, 331, 64, 10);
INSERT INTO public.who_data VALUES (15012, 28, 1153, 0, 6, 64, 205);
INSERT INTO public.who_data VALUES (15013, 874, 129584, 96, 4044, 64, 50);
INSERT INTO public.who_data VALUES (15014, 0, 19, 0, 0, 64, 20);
INSERT INTO public.who_data VALUES (15015, 9, 94, 0, 0, 64, 13);
INSERT INTO public.who_data VALUES (15016, 0, 8498, 0, 154, 64, 148);
INSERT INTO public.who_data VALUES (15017, 9, 7026, 0, 119, 64, 230);
INSERT INTO public.who_data VALUES (15018, 627, 132062, 38, 4589, 64, 190);
INSERT INTO public.who_data VALUES (15019, 0, 291, 0, 13, 64, 188);
INSERT INTO public.who_data VALUES (15020, 26, 13511, 0, 80, 64, 123);
INSERT INTO public.who_data VALUES (15021, 0, 2447, 0, 44, 64, 9);
INSERT INTO public.who_data VALUES (15022, 26, 6042, 0, 158, 64, 102);
INSERT INTO public.who_data VALUES (15023, 21, 9648, 0, 234, 64, 34);
INSERT INTO public.who_data VALUES (15024, 0, 26, 0, 0, 64, 212);
INSERT INTO public.who_data VALUES (15025, 157, 115474, 8, 3021, 64, 122);
INSERT INTO public.who_data VALUES (15026, 4045, 300022, 189, 7914, 64, 38);
INSERT INTO public.who_data VALUES (15027, 16, 5604, 0, 28, 64, 130);
INSERT INTO public.who_data VALUES (15028, 25152, 10004599, 347, 145136, 64, 37);
INSERT INTO public.who_data VALUES (15029, 6689, 650197, 124, 19514, 64, 231);
INSERT INTO public.who_data VALUES (15030, 7121, 1145651, 178, 53273, 64, 107);
INSERT INTO public.who_data VALUES (15031, 1362, 581811, 20, 12670, 64, 101);
INSERT INTO public.who_data VALUES (15032, 576, 78254, 6, 2149, 64, 132);
INSERT INTO public.who_data VALUES (15033, 0, 373, 0, 25, 64, 176);
INSERT INTO public.who_data VALUES (15034, 2846, 368571, 17, 3067, 64, 200);
INSERT INTO public.who_data VALUES (15035, 15401, 1921778, 674, 67894, 64, 169);
INSERT INTO public.who_data VALUES (15036, 71, 12039, 4, 283, 64, 225);
INSERT INTO public.who_data VALUES (15037, 2893, 193031, 45, 2828, 64, 165);
INSERT INTO public.who_data VALUES (15038, 97, 2098, 1, 33, 64, 233);
INSERT INTO public.who_data VALUES (15039, 1708, 271514, 22, 3518, 64, 215);
INSERT INTO public.who_data VALUES (15040, 677, 190969, 0, 2609, 64, 177);
INSERT INTO public.who_data VALUES (15041, 356, 93761, 11, 1629, 64, 183);
INSERT INTO public.who_data VALUES (15042, 0, 0, 0, 0, 64, 203);
INSERT INTO public.who_data VALUES (15043, 385, 48294, 7, 1230, 64, 162);
INSERT INTO public.who_data VALUES (15044, 339, 147531, 3, 916, 64, 12);
INSERT INTO public.who_data VALUES (15045, 232, 78911, 4, 1328, 64, 24);
INSERT INTO public.who_data VALUES (15046, 0, 41, 0, 0, 64, 119);
INSERT INTO public.who_data VALUES (15047, 892, 29427, 15, 409, 64, 39);
INSERT INTO public.who_data VALUES (15048, 2051, 154944, 11, 1259, 64, 26);
INSERT INTO public.who_data VALUES (15049, 0, 2285, 0, 44, 64, 59);
INSERT INTO public.who_data VALUES (15050, 8, 1779, 0, 83, 64, 77);
INSERT INTO public.who_data VALUES (15051, 489, 93772, 9, 1346, 64, 134);
INSERT INTO public.who_data VALUES (15052, 48, 1797, 2, 25, 64, 4);
INSERT INTO public.who_data VALUES (15053, 3222, 109442, 46, 1267, 64, 109);
INSERT INTO public.who_data VALUES (15054, 449, 43727, 6, 434, 64, 90);
INSERT INTO public.who_data VALUES (15055, 0, 17587, 0, 259, 64, 61);
INSERT INTO public.who_data VALUES (15056, 10, 6148, 0, 187, 64, 85);
INSERT INTO public.who_data VALUES (15057, 1683, 90816, 0, 432, 64, 49);
INSERT INTO public.who_data VALUES (15058, 26, 13444, 0, 48, 64, 208);
INSERT INTO public.who_data VALUES (15059, 0, 6049, 0, 211, 64, 166);
INSERT INTO public.who_data VALUES (15060, 60, 11475, 2, 182, 64, 64);
INSERT INTO public.who_data VALUES (15061, 0, 4, 0, 0, 64, 199);
INSERT INTO public.who_data VALUES (15062, 0, 5601, 0, 42, 64, 114);
INSERT INTO public.who_data VALUES (15063, 0, 10971, 0, 225, 64, 60);
INSERT INTO public.who_data VALUES (15064, 0, 524, 0, 10, 64, 68);
INSERT INTO public.who_data VALUES (15065, 0, 5708, 0, 53, 64, 158);
INSERT INTO public.who_data VALUES (15066, 11799, 1289298, 718, 116487, 64, 52);
INSERT INTO public.who_data VALUES (15067, 0, 0, 0, 0, 64, 117);
INSERT INTO public.who_data VALUES (15068, 15, 718, 0, 3, 64, 126);
INSERT INTO public.who_data VALUES (15069, 18, 941, 0, 0, 64, 196);
INSERT INTO public.who_data VALUES (15070, 304, 44003, 4, 623, 64, 142);
INSERT INTO public.who_data VALUES (15071, 0, 13, 0, 1, 64, 185);
INSERT INTO public.who_data VALUES (15072, 2647, 412393, 50, 6854, 64, 138);
INSERT INTO public.who_data VALUES (15073, 0, 17256, 0, 145, 64, 181);
INSERT INTO public.who_data VALUES (15074, 1182, 113082, 31, 2377, 64, 178);
INSERT INTO public.who_data VALUES (15075, 434, 18041, 5, 169, 64, 168);
INSERT INTO public.who_data VALUES (15076, 0, 0, 0, 0, 64, 160);
INSERT INTO public.who_data VALUES (15077, 782, 252474, 16, 1765, 64, 151);
INSERT INTO public.who_data VALUES (15078, 11961, 663274, 83, 10378, 64, 193);
INSERT INTO public.who_data VALUES (15079, 0, 37, 0, 0, 64, 18);
INSERT INTO public.who_data VALUES (15080, 0, 1754, 0, 25, 64, 40);
INSERT INTO public.who_data VALUES (15081, 0, 4748, 0, 163, 64, 218);
INSERT INTO public.who_data VALUES (15082, 283, 2361, 5, 82, 64, 191);
INSERT INTO public.who_data VALUES (15083, 806, 77013, 11, 1212, 64, 156);
INSERT INTO public.who_data VALUES (15084, 0, 0, 0, 0, 64, 135);
INSERT INTO public.who_data VALUES (15085, 0, 115, 0, 2, 64, 88);
INSERT INTO public.who_data VALUES (15086, 883, 77134, 29, 2254, 64, 55);
INSERT INTO public.who_data VALUES (15087, 463, 42775, 0, 404, 64, 108);
INSERT INTO public.who_data VALUES (15088, 2170, 135356, 21, 1207, 64, 48);
INSERT INTO public.who_data VALUES (15089, 0, 127019, 0, 1483, 64, 3);
INSERT INTO public.who_data VALUES (15090, 0, 744, 0, 13, 64, 224);
INSERT INTO public.who_data VALUES (15091, 2972, 451494, 84, 9164, 64, 110);
INSERT INTO public.who_data VALUES (15092, 0, 0, 0, 0, 64, 106);
INSERT INTO public.who_data VALUES (15093, 3348, 203295, 42, 3481, 64, 89);
INSERT INTO public.who_data VALUES (15094, 0, 760, 0, 8, 64, 121);
INSERT INTO public.who_data VALUES (15095, 819, 97028, 18, 2032, 64, 163);
INSERT INTO public.who_data VALUES (15096, 2061, 991518, 43, 36901, 64, 70);
INSERT INTO public.who_data VALUES (15097, 2115, 456562, 25, 8875, 64, 174);
INSERT INTO public.who_data VALUES (15098, 0, 0, 0, 0, 64, 175);
INSERT INTO public.who_data VALUES (15099, 11246, 1194110, 483, 25254, 64, 118);
INSERT INTO public.who_data VALUES (15100, 4336, 366952, 75, 5977, 64, 189);
INSERT INTO public.who_data VALUES (15101, 1381, 66132, 10, 1333, 64, 124);
INSERT INTO public.who_data VALUES (15102, 159, 141716, 0, 242, 64, 192);
INSERT INTO public.who_data VALUES (15103, 1046, 48560, 14, 659, 64, 41);
INSERT INTO public.who_data VALUES (15104, 1441, 133360, 26, 2700, 64, 95);
INSERT INTO public.who_data VALUES (15105, 116, 8704, 0, 42, 64, 74);
INSERT INTO public.who_data VALUES (15106, 5340, 582786, 188, 14157, 64, 11);
INSERT INTO public.who_data VALUES (15107, 28209, 2819429, 585, 50347, 64, 87);
INSERT INTO public.who_data VALUES (15108, 73, 7105, 0, 57, 64, 214);
INSERT INTO public.who_data VALUES (15109, 0, 5, 0, 0, 64, 116);
INSERT INTO public.who_data VALUES (15110, 0, 172, 0, 0, 64, 157);
INSERT INTO public.who_data VALUES (15111, 0, 0, 0, 0, 64, 182);
INSERT INTO public.who_data VALUES (15112, 2, 30, 0, 0, 64, 186);
INSERT INTO public.who_data VALUES (15113, 1, 280, 1, 5, 64, 127);
INSERT INTO public.who_data VALUES (15114, 0, 899, 0, 12, 64, 232);
INSERT INTO public.who_data VALUES (15115, 0, 14, 0, 0, 64, 33);
INSERT INTO public.who_data VALUES (15116, 0, 100, 0, 0, 64, 97);
INSERT INTO public.who_data VALUES (15117, 0, 2, 0, 0, 64, 42);
INSERT INTO public.who_data VALUES (15118, 0, 2049, 1, 55, 64, 198);
INSERT INTO public.who_data VALUES (15119, 0, 1011, 0, 17, 64, 216);
INSERT INTO public.who_data VALUES (15120, 174, 360690, 10, 6101, 64, 164);
INSERT INTO public.who_data VALUES (15121, 108, 17559, 2, 357, 64, 235);
INSERT INTO public.who_data VALUES (15122, 4910, 292640, 51, 2580, 64, 67);
INSERT INTO public.who_data VALUES (15123, 0, 202, 0, 0, 64, 15);
INSERT INTO public.who_data VALUES (15124, 22, 2486, 0, 75, 64, 180);
INSERT INTO public.who_data VALUES (15125, 9, 58386, 0, 29, 64, 237);
INSERT INTO public.who_data VALUES (15126, 0, 18, 0, 0, 64, 25);
INSERT INTO public.who_data VALUES (15127, 18, 1294, 0, 26, 64, 209);
INSERT INTO public.who_data VALUES (15128, 3991, 146124, 62, 1440, 64, 217);
INSERT INTO public.who_data VALUES (15129, 1517, 103595, 39, 2512, 64, 79);
INSERT INTO public.who_data VALUES (15130, 0, 17, 0, 0, 64, 143);
INSERT INTO public.who_data VALUES (15131, 0, 4662, 0, 124, 64, 229);
INSERT INTO public.who_data VALUES (15132, 8725, 901538, 274, 24285, 64, 141);
INSERT INTO public.who_data VALUES (15133, 5, 3228, 0, 62, 64, 197);
INSERT INTO public.who_data VALUES (15134, 11333, 1880202, 153, 50347, 64, 221);
INSERT INTO public.who_data VALUES (15135, 0, 35387, 0, 160, 64, 150);
INSERT INTO public.who_data VALUES (15136, 167, 22990, 16, 1450, 64, 56);
INSERT INTO public.who_data VALUES (15137, 27, 5428, 0, 117, 64, 167);
INSERT INTO public.who_data VALUES (15138, 9640, 367026, 117, 8568, 64, 23);
INSERT INTO public.who_data VALUES (15139, 4342, 408876, 89, 6305, 64, 222);
INSERT INTO public.who_data VALUES (15140, 169, 9928, 20, 591, 64, 219);
INSERT INTO public.who_data VALUES (15141, 46, 13182, 0, 89, 64, 7);
INSERT INTO public.who_data VALUES (15142, 16, 4297, 0, 60, 64, 161);
INSERT INTO public.who_data VALUES (15143, 28507, 1977171, 489, 66541, 64, 149);
INSERT INTO public.who_data VALUES (15144, 0, 31, 0, 0, 64, 6);
INSERT INTO public.who_data VALUES (15145, 0, 3315, 0, 66, 64, 139);
INSERT INTO public.who_data VALUES (15146, 0, 0, 0, 0, 64, 211);
INSERT INTO public.who_data VALUES (15147, 0, 0, 0, 0, 64, 14);
INSERT INTO public.who_data VALUES (15148, 23, 6940, 0, 123, 64, 111);
INSERT INTO public.who_data VALUES (15149, 1616, 117582, 58, 4090, 64, 207);
INSERT INTO public.who_data VALUES (15150, 26410, 1982090, 246, 17610, 64, 66);
INSERT INTO public.who_data VALUES (15151, 0, 0, 0, 0, 64, 173);
INSERT INTO public.who_data VALUES (15152, 9, 781, 0, 6, 64, 145);
INSERT INTO public.who_data VALUES (15153, 0, 0, 0, 0, 64, 65);
INSERT INTO public.who_data VALUES (15154, 710, 30071, 2, 230, 64, 184);
INSERT INTO public.who_data VALUES (15155, 11742, 956123, 213, 16469, 64, 98);
INSERT INTO public.who_data VALUES (15156, 1284, 191150, 1, 630, 64, 104);
INSERT INTO public.who_data VALUES (15157, 0, 509, 0, 21, 64, 73);
INSERT INTO public.who_data VALUES (15158, 229915, 16912564, 3443, 308403, 64, 8);
INSERT INTO public.who_data VALUES (15159, 22, 1900, 0, 23, 64, 227);
INSERT INTO public.who_data VALUES (15160, 543, 11436, 3, 105, 64, 75);
INSERT INTO public.who_data VALUES (15161, 131, 75806, 0, 612, 64, 45);
INSERT INTO public.who_data VALUES (15162, 0, 1, 0, 0, 64, 133);
INSERT INTO public.who_data VALUES (15163, 364, 109081, 5, 975, 64, 202);
INSERT INTO public.who_data VALUES (15164, 3, 1410, 0, 35, 64, 129);
INSERT INTO public.who_data VALUES (15165, 0, 4, 0, 0, 64, 36);
INSERT INTO public.who_data VALUES (15166, 0, 2091, 0, 607, 64, 51);
INSERT INTO public.who_data VALUES (15167, 72, 18576, 4, 373, 64, 206);
INSERT INTO public.who_data VALUES (15168, 181, 12047, 2, 316, 64, 5);
INSERT INTO public.who_data VALUES (15169, 275, 50202, 15, 2032, 65, 103);
INSERT INTO public.who_data VALUES (15170, 787, 51424, 15, 1055, 65, 58);
INSERT INTO public.who_data VALUES (15171, 426, 93933, 9, 2640, 65, 195);
INSERT INTO public.who_data VALUES (15172, 0, 0, 0, 0, 65, 115);
INSERT INTO public.who_data VALUES (15173, 20, 7466, 0, 79, 65, 99);
INSERT INTO public.who_data VALUES (15174, 77, 16484, 3, 382, 65, 153);
INSERT INTO public.who_data VALUES (15175, 0, 10, 0, 0, 65, 93);
INSERT INTO public.who_data VALUES (15176, 0, 151, 0, 5, 65, 84);
INSERT INTO public.who_data VALUES (15177, 6843, 1517046, 161, 41365, 65, 78);
INSERT INTO public.who_data VALUES (15178, 861, 151566, 15, 2591, 65, 170);
INSERT INTO public.who_data VALUES (15179, 27, 5106, 1, 47, 65, 32);
INSERT INTO public.who_data VALUES (15180, 13, 28072, 0, 908, 65, 155);
INSERT INTO public.who_data VALUES (15181, 2180, 330457, 108, 4886, 65, 82);
INSERT INTO public.who_data VALUES (15182, 4124, 191460, 38, 2088, 65, 16);
INSERT INTO public.who_data VALUES (15183, 11, 7725, 0, 164, 65, 72);
INSERT INTO public.who_data VALUES (15184, 143, 89743, 0, 349, 65, 43);
INSERT INTO public.who_data VALUES (15185, 1134, 496975, 36, 7192, 65, 120);
INSERT INTO public.who_data VALUES (15186, 0, 301, 0, 7, 65, 213);
INSERT INTO public.who_data VALUES (15187, 1834, 167731, 8, 1299, 65, 31);
INSERT INTO public.who_data VALUES (15188, 2794, 622806, 89, 18489, 65, 204);
INSERT INTO public.who_data VALUES (15189, 161, 9672, 1, 212, 65, 152);
INSERT INTO public.who_data VALUES (15190, 0, 3152, 0, 44, 65, 144);
INSERT INTO public.who_data VALUES (15191, 18, 485, 0, 9, 65, 96);
INSERT INTO public.who_data VALUES (15192, 2, 442, 0, 0, 65, 47);
INSERT INTO public.who_data VALUES (15193, 498, 148214, 3, 9029, 65, 80);
INSERT INTO public.who_data VALUES (15194, 0, 154, 0, 3, 65, 159);
INSERT INTO public.who_data VALUES (15195, 865, 104097, 38, 3549, 65, 27);
INSERT INTO public.who_data VALUES (15196, 0, 12873, 0, 38, 65, 146);
INSERT INTO public.who_data VALUES (15197, 70574, 7040608, 936, 183735, 65, 71);
INSERT INTO public.who_data VALUES (15198, 3, 83, 0, 1, 65, 210);
INSERT INTO public.who_data VALUES (15199, 0, 152, 0, 3, 65, 54);
INSERT INTO public.who_data VALUES (15200, 2042, 188288, 143, 6339, 65, 147);
INSERT INTO public.who_data VALUES (15201, 162, 4611, 0, 73, 65, 2);
INSERT INTO public.who_data VALUES (15202, 5, 756, 0, 1, 65, 105);
INSERT INTO public.who_data VALUES (15203, 44, 11502, 0, 110, 65, 53);
INSERT INTO public.who_data VALUES (15204, 0, 362, 0, 0, 65, 81);
INSERT INTO public.who_data VALUES (15205, 0, 25472, 0, 445, 65, 223);
INSERT INTO public.who_data VALUES (15206, 6416, 481630, 140, 13799, 65, 94);
INSERT INTO public.who_data VALUES (15207, 6, 308, 0, 2, 65, 154);
INSERT INTO public.who_data VALUES (15208, 0, 4936, 0, 63, 65, 83);
INSERT INTO public.who_data VALUES (15209, 34, 1818, 0, 102, 65, 194);
INSERT INTO public.who_data VALUES (15210, 2001, 578732, 48, 16007, 65, 136);
INSERT INTO public.who_data VALUES (15211, 116, 95491, 2, 4766, 65, 179);
INSERT INTO public.who_data VALUES (15212, 11953, 1456599, 204, 39560, 65, 57);
INSERT INTO public.who_data VALUES (15213, 0, 633, 0, 7, 65, 35);
INSERT INTO public.who_data VALUES (15214, 0, 6200, 0, 100, 65, 228);
INSERT INTO public.who_data VALUES (15215, 0, 0, 0, 0, 65, 19);
INSERT INTO public.who_data VALUES (15216, 1167, 155263, 11, 1967, 65, 22);
INSERT INTO public.who_data VALUES (15217, 31, 21772, 0, 133, 65, 1);
INSERT INTO public.who_data VALUES (15218, 3918, 186963, 85, 2955, 65, 21);
INSERT INTO public.who_data VALUES (15219, 100, 9771, 0, 137, 65, 234);
INSERT INTO public.who_data VALUES (15220, 68, 3767, 0, 11, 65, 91);
INSERT INTO public.who_data VALUES (15221, 457, 16647, 0, 85, 65, 137);
INSERT INTO public.who_data VALUES (15222, 7602, 610006, 127, 10163, 65, 201);
INSERT INTO public.who_data VALUES (15223, 0, 0, 0, 0, 65, 171);
INSERT INTO public.who_data VALUES (15224, 333, 14928, 2, 366, 65, 92);
INSERT INTO public.who_data VALUES (15225, 4034, 123813, 17, 992, 65, 112);
INSERT INTO public.who_data VALUES (15226, 11, 5770, 0, 61, 65, 62);
INSERT INTO public.who_data VALUES (15227, 0, 88, 0, 0, 65, 69);
INSERT INTO public.who_data VALUES (15228, 720, 157305, 3, 2375, 65, 220);
INSERT INTO public.who_data VALUES (15229, 788, 204249, 17, 13932, 65, 100);
INSERT INTO public.who_data VALUES (15230, 548, 123701, 25, 7015, 65, 187);
INSERT INTO public.who_data VALUES (15231, 0, 42397, 8, 1227, 65, 63);
INSERT INTO public.who_data VALUES (15232, 19, 5214, 0, 85, 65, 28);
INSERT INTO public.who_data VALUES (15233, 30, 741, 0, 0, 65, 172);
INSERT INTO public.who_data VALUES (15234, 654, 20658, 4, 168, 65, 17);
INSERT INTO public.who_data VALUES (15235, 67, 7093, 0, 135, 65, 226);
INSERT INTO public.who_data VALUES (15236, 939, 118481, 18, 1831, 65, 236);
INSERT INTO public.who_data VALUES (15237, 0, 23, 0, 0, 65, 76);
INSERT INTO public.who_data VALUES (15238, 2, 534, 0, 0, 65, 30);
INSERT INTO public.who_data VALUES (15239, 0, 46, 0, 2, 65, 128);
INSERT INTO public.who_data VALUES (15240, 358, 32228, 12, 484, 65, 86);
INSERT INTO public.who_data VALUES (15241, 18025, 2385673, 256, 59245, 65, 140);
INSERT INTO public.who_data VALUES (15242, 137, 12163, 0, 71, 65, 44);
INSERT INTO public.who_data VALUES (15243, 144, 16118, 3, 101, 65, 113);
INSERT INTO public.who_data VALUES (15244, 0, 9373, 0, 63, 65, 29);
INSERT INTO public.who_data VALUES (15245, 0, 3786, 0, 123, 65, 125);
INSERT INTO public.who_data VALUES (15246, 2635, 204003, 49, 2002, 65, 131);
INSERT INTO public.who_data VALUES (15247, 33777, 1439938, 813, 24938, 65, 46);
INSERT INTO public.who_data VALUES (15248, 167, 53553, 4, 331, 65, 10);
INSERT INTO public.who_data VALUES (15249, 21, 1125, 0, 6, 65, 205);
INSERT INTO public.who_data VALUES (15250, 1153, 128710, 78, 3948, 65, 50);
INSERT INTO public.who_data VALUES (15251, 0, 19, 0, 0, 65, 20);
INSERT INTO public.who_data VALUES (15252, 0, 85, 0, 0, 65, 13);
INSERT INTO public.who_data VALUES (15253, 0, 8498, 2, 154, 65, 148);
INSERT INTO public.who_data VALUES (15254, 13, 7017, 0, 119, 65, 230);
INSERT INTO public.who_data VALUES (15255, 607, 131435, 41, 4551, 65, 190);
INSERT INTO public.who_data VALUES (15256, 0, 291, 0, 13, 65, 188);
INSERT INTO public.who_data VALUES (15257, 11, 13485, 0, 80, 65, 123);
INSERT INTO public.who_data VALUES (15258, 0, 2447, 0, 44, 65, 9);
INSERT INTO public.who_data VALUES (15259, 43, 6016, 2, 158, 65, 102);
INSERT INTO public.who_data VALUES (15260, 30, 9627, 0, 234, 65, 34);
INSERT INTO public.who_data VALUES (15261, 0, 26, 0, 0, 65, 212);
INSERT INTO public.who_data VALUES (15262, 374, 115317, 12, 3013, 65, 122);
INSERT INTO public.who_data VALUES (15263, 4428, 295977, 187, 7725, 65, 38);
INSERT INTO public.who_data VALUES (15264, 0, 5588, 0, 28, 65, 130);
INSERT INTO public.who_data VALUES (15265, 22890, 9979447, 338, 144789, 65, 37);
INSERT INTO public.who_data VALUES (15266, 7354, 643508, 142, 19390, 65, 231);
INSERT INTO public.who_data VALUES (15267, 7453, 1138530, 212, 53095, 65, 107);
INSERT INTO public.who_data VALUES (15268, 1533, 580449, 14, 12650, 65, 101);
INSERT INTO public.who_data VALUES (15269, 481, 77678, 3, 2143, 65, 132);
INSERT INTO public.who_data VALUES (15270, 0, 373, 0, 25, 65, 176);
INSERT INTO public.who_data VALUES (15271, 2852, 365725, 14, 3050, 65, 200);
INSERT INTO public.who_data VALUES (15272, 18233, 1906377, 683, 67220, 65, 169);
INSERT INTO public.who_data VALUES (15273, 61, 11968, 3, 279, 65, 225);
INSERT INTO public.who_data VALUES (15274, 3035, 190138, 44, 2783, 65, 165);
INSERT INTO public.who_data VALUES (15275, 100, 2001, 0, 32, 65, 233);
INSERT INTO public.who_data VALUES (15276, 2221, 269806, 31, 3496, 65, 215);
INSERT INTO public.who_data VALUES (15277, 741, 190292, 0, 2609, 65, 177);
INSERT INTO public.who_data VALUES (15278, 946, 93405, 14, 1618, 65, 183);
INSERT INTO public.who_data VALUES (15279, 0, 0, 0, 0, 65, 203);
INSERT INTO public.who_data VALUES (15280, 453, 47909, 8, 1223, 65, 162);
INSERT INTO public.who_data VALUES (15281, 221, 147192, 0, 913, 65, 12);
INSERT INTO public.who_data VALUES (15282, 264, 78679, 3, 1324, 65, 24);
INSERT INTO public.who_data VALUES (15283, 0, 41, 0, 0, 65, 119);
INSERT INTO public.who_data VALUES (15284, 1040, 28535, 12, 394, 65, 39);
INSERT INTO public.who_data VALUES (15285, 1960, 152893, 14, 1248, 65, 26);
INSERT INTO public.who_data VALUES (15286, 0, 2285, 0, 44, 65, 59);
INSERT INTO public.who_data VALUES (15287, 0, 1771, 0, 83, 65, 77);
INSERT INTO public.who_data VALUES (15288, 706, 93283, 13, 1337, 65, 134);
INSERT INTO public.who_data VALUES (15289, 36, 1749, 2, 23, 65, 4);
INSERT INTO public.who_data VALUES (15290, 3183, 106220, 39, 1221, 65, 109);
INSERT INTO public.who_data VALUES (15291, 434, 43278, 7, 428, 65, 90);
INSERT INTO public.who_data VALUES (15292, 0, 17587, 0, 259, 65, 61);
INSERT INTO public.who_data VALUES (15293, 47, 6138, 0, 187, 65, 85);
INSERT INTO public.who_data VALUES (15294, 1220, 89133, 3, 432, 65, 49);
INSERT INTO public.who_data VALUES (15295, 16, 13418, 0, 48, 65, 208);
INSERT INTO public.who_data VALUES (15296, 80, 6049, 2, 211, 65, 166);
INSERT INTO public.who_data VALUES (15297, 112, 11415, 3, 180, 65, 64);
INSERT INTO public.who_data VALUES (15298, 0, 4, 0, 0, 65, 199);
INSERT INTO public.who_data VALUES (15299, 0, 5601, 0, 42, 65, 114);
INSERT INTO public.who_data VALUES (15300, 0, 10971, 0, 225, 65, 60);
INSERT INTO public.who_data VALUES (15301, 10, 524, 0, 10, 65, 68);
INSERT INTO public.who_data VALUES (15302, 92, 5708, 0, 53, 65, 158);
INSERT INTO public.who_data VALUES (15303, 10297, 1277499, 670, 115769, 65, 52);
INSERT INTO public.who_data VALUES (15304, 0, 0, 0, 0, 65, 117);
INSERT INTO public.who_data VALUES (15305, 15, 703, 0, 3, 65, 126);
INSERT INTO public.who_data VALUES (15306, 5, 923, 0, 0, 65, 196);
INSERT INTO public.who_data VALUES (15307, 399, 43699, 6, 619, 65, 142);
INSERT INTO public.who_data VALUES (15308, 0, 13, 0, 1, 65, 185);
INSERT INTO public.who_data VALUES (15309, 2776, 409746, 55, 6804, 65, 138);
INSERT INTO public.who_data VALUES (15310, 113, 17256, 0, 145, 65, 181);
INSERT INTO public.who_data VALUES (15311, 1233, 111900, 27, 2346, 65, 178);
INSERT INTO public.who_data VALUES (15312, 331, 17607, 0, 164, 65, 168);
INSERT INTO public.who_data VALUES (15313, 0, 0, 0, 0, 65, 160);
INSERT INTO public.who_data VALUES (15314, 776, 251692, 6, 1749, 65, 151);
INSERT INTO public.who_data VALUES (15315, 12781, 651313, 76, 10295, 65, 193);
INSERT INTO public.who_data VALUES (15316, 0, 37, 0, 0, 65, 18);
INSERT INTO public.who_data VALUES (15317, 10, 1754, 0, 25, 65, 40);
INSERT INTO public.who_data VALUES (15318, 0, 4748, 0, 163, 65, 218);
INSERT INTO public.who_data VALUES (15319, 0, 2078, 0, 77, 65, 191);
INSERT INTO public.who_data VALUES (15320, 1145, 76207, 1, 1201, 65, 156);
INSERT INTO public.who_data VALUES (15321, 0, 0, 0, 0, 65, 135);
INSERT INTO public.who_data VALUES (15322, 2, 115, 0, 2, 65, 88);
INSERT INTO public.who_data VALUES (15323, 654, 76251, 31, 2225, 65, 55);
INSERT INTO public.who_data VALUES (15324, 460, 42312, 2, 404, 65, 108);
INSERT INTO public.who_data VALUES (15325, 2149, 133186, 30, 1186, 65, 48);
INSERT INTO public.who_data VALUES (15326, 184, 127019, 3, 1483, 65, 3);
INSERT INTO public.who_data VALUES (15327, 0, 744, 0, 13, 65, 224);
INSERT INTO public.who_data VALUES (15328, 2545, 448522, 70, 9080, 65, 110);
INSERT INTO public.who_data VALUES (15329, 0, 0, 0, 0, 65, 106);
INSERT INTO public.who_data VALUES (15330, 2960, 199947, 28, 3439, 65, 89);
INSERT INTO public.who_data VALUES (15331, 31, 760, 0, 8, 65, 121);
INSERT INTO public.who_data VALUES (15332, 856, 96209, 23, 2014, 65, 163);
INSERT INTO public.who_data VALUES (15333, 1782, 989457, 41, 36858, 65, 70);
INSERT INTO public.who_data VALUES (15334, 1459, 454447, 17, 8850, 65, 174);
INSERT INTO public.who_data VALUES (15335, 0, 0, 0, 0, 65, 175);
INSERT INTO public.who_data VALUES (15336, 11010, 1182864, 426, 24771, 65, 118);
INSERT INTO public.who_data VALUES (15337, 4320, 362616, 87, 5902, 65, 189);
INSERT INTO public.who_data VALUES (15338, 1065, 64751, 11, 1323, 65, 124);
INSERT INTO public.who_data VALUES (15339, 140, 141557, 0, 242, 65, 192);
INSERT INTO public.who_data VALUES (15340, 1064, 47514, 11, 645, 65, 41);
INSERT INTO public.who_data VALUES (15341, 1590, 131919, 24, 2674, 65, 95);
INSERT INTO public.who_data VALUES (15342, 0, 8588, 0, 42, 65, 74);
INSERT INTO public.who_data VALUES (15343, 5697, 577446, 107, 13969, 65, 11);
INSERT INTO public.who_data VALUES (15344, 28552, 2791220, 611, 49762, 65, 87);
INSERT INTO public.who_data VALUES (15345, 200, 7032, 0, 57, 65, 214);
INSERT INTO public.who_data VALUES (15346, 0, 5, 0, 0, 65, 116);
INSERT INTO public.who_data VALUES (15347, 0, 172, 0, 0, 65, 157);
INSERT INTO public.who_data VALUES (15348, 0, 0, 0, 0, 65, 182);
INSERT INTO public.who_data VALUES (15349, 0, 28, 0, 0, 65, 186);
INSERT INTO public.who_data VALUES (15350, 1, 279, 0, 4, 65, 127);
INSERT INTO public.who_data VALUES (15351, 0, 899, 0, 12, 65, 232);
INSERT INTO public.who_data VALUES (15352, 0, 14, 0, 0, 65, 33);
INSERT INTO public.who_data VALUES (15353, 2, 100, 0, 0, 65, 97);
INSERT INTO public.who_data VALUES (15354, 0, 2, 0, 0, 65, 42);
INSERT INTO public.who_data VALUES (15355, 24, 2049, 0, 54, 65, 198);
INSERT INTO public.who_data VALUES (15356, 1, 1011, 0, 17, 65, 216);
INSERT INTO public.who_data VALUES (15357, 181, 360516, 11, 6091, 65, 164);
INSERT INTO public.who_data VALUES (15358, 115, 17451, 3, 355, 65, 235);
INSERT INTO public.who_data VALUES (15359, 5129, 287730, 47, 2529, 65, 67);
INSERT INTO public.who_data VALUES (15360, 0, 202, 0, 0, 65, 15);
INSERT INTO public.who_data VALUES (15361, 13, 2464, 0, 75, 65, 180);
INSERT INTO public.who_data VALUES (15362, 24, 58377, 0, 29, 65, 237);
INSERT INTO public.who_data VALUES (15363, 0, 18, 0, 0, 65, 25);
INSERT INTO public.who_data VALUES (15364, 7, 1276, 0, 26, 65, 209);
INSERT INTO public.who_data VALUES (15365, 3045, 142133, 69, 1378, 65, 217);
INSERT INTO public.who_data VALUES (15366, 1648, 102078, 42, 2473, 65, 79);
INSERT INTO public.who_data VALUES (15367, 0, 17, 0, 0, 65, 143);
INSERT INTO public.who_data VALUES (15368, 83, 4662, 3, 124, 65, 229);
INSERT INTO public.who_data VALUES (15369, 9126, 892813, 184, 24011, 65, 141);
INSERT INTO public.who_data VALUES (15370, 17, 3223, 0, 62, 65, 197);
INSERT INTO public.who_data VALUES (15371, 12238, 1868869, 128, 50194, 65, 221);
INSERT INTO public.who_data VALUES (15372, 1266, 35387, 6, 160, 65, 150);
INSERT INTO public.who_data VALUES (15373, 202, 22823, 9, 1434, 65, 56);
INSERT INTO public.who_data VALUES (15374, 20, 5401, 0, 117, 65, 167);
INSERT INTO public.who_data VALUES (15375, 8824, 357386, 102, 8451, 65, 23);
INSERT INTO public.who_data VALUES (15376, 4387, 404534, 82, 6216, 65, 222);
INSERT INTO public.who_data VALUES (15377, 156, 9759, 17, 571, 65, 219);
INSERT INTO public.who_data VALUES (15378, 64, 13136, 0, 89, 65, 7);
INSERT INTO public.who_data VALUES (15379, 20, 4281, 0, 60, 65, 161);
INSERT INTO public.who_data VALUES (15380, 35383, 1948664, 532, 66052, 65, 149);
INSERT INTO public.who_data VALUES (15381, 0, 31, 0, 0, 65, 6);
INSERT INTO public.who_data VALUES (15382, 0, 3315, 0, 66, 65, 139);
INSERT INTO public.who_data VALUES (15383, 0, 0, 0, 0, 65, 211);
INSERT INTO public.who_data VALUES (15384, 0, 0, 0, 0, 65, 14);
INSERT INTO public.who_data VALUES (15385, 17, 6917, 0, 123, 65, 111);
INSERT INTO public.who_data VALUES (15386, 1419, 115966, 35, 4032, 65, 207);
INSERT INTO public.who_data VALUES (15387, 27515, 1955680, 243, 17364, 65, 66);
INSERT INTO public.who_data VALUES (15388, 0, 0, 0, 0, 65, 173);
INSERT INTO public.who_data VALUES (15389, 1, 772, 0, 6, 65, 145);
INSERT INTO public.who_data VALUES (15390, 0, 0, 0, 0, 65, 65);
INSERT INTO public.who_data VALUES (15391, 628, 29361, 3, 228, 65, 184);
INSERT INTO public.who_data VALUES (15392, 12630, 944381, 260, 16256, 65, 98);
INSERT INTO public.who_data VALUES (15393, 1321, 189866, 3, 629, 65, 104);
INSERT INTO public.who_data VALUES (15394, 0, 509, 0, 21, 65, 73);
INSERT INTO public.who_data VALUES (15395, 235805, 16682649, 3424, 304960, 65, 8);
INSERT INTO public.who_data VALUES (15396, 28, 1878, 0, 23, 65, 227);
INSERT INTO public.who_data VALUES (15397, 475, 10893, 4, 102, 65, 75);
INSERT INTO public.who_data VALUES (15398, 137, 75675, 0, 612, 65, 45);
INSERT INTO public.who_data VALUES (15399, 0, 1, 0, 0, 65, 133);
INSERT INTO public.who_data VALUES (15400, 237, 108717, 5, 970, 65, 202);
INSERT INTO public.who_data VALUES (15401, 2, 1407, 0, 35, 65, 129);
INSERT INTO public.who_data VALUES (15402, 0, 4, 0, 0, 65, 36);
INSERT INTO public.who_data VALUES (15403, 2, 2091, 0, 607, 65, 51);
INSERT INTO public.who_data VALUES (15404, 76, 18504, 1, 369, 65, 206);
INSERT INTO public.who_data VALUES (15405, 344, 11866, 4, 314, 65, 5);
INSERT INTO public.who_data VALUES (15406, 224, 49927, 16, 2017, 66, 103);
INSERT INTO public.who_data VALUES (15407, 637, 50637, 12, 1040, 66, 58);
INSERT INTO public.who_data VALUES (15408, 442, 93507, 8, 2631, 66, 195);
INSERT INTO public.who_data VALUES (15409, 0, 0, 0, 0, 66, 115);
INSERT INTO public.who_data VALUES (15410, 32, 7446, 0, 79, 66, 99);
INSERT INTO public.who_data VALUES (15411, 45, 16407, 7, 379, 66, 153);
INSERT INTO public.who_data VALUES (15412, 0, 10, 0, 0, 66, 93);
INSERT INTO public.who_data VALUES (15413, 3, 151, 0, 5, 66, 84);
INSERT INTO public.who_data VALUES (15414, 6981, 1510203, 163, 41204, 66, 78);
INSERT INTO public.who_data VALUES (15415, 1174, 150705, 25, 2576, 66, 170);
INSERT INTO public.who_data VALUES (15416, 23, 5079, 0, 46, 66, 32);
INSERT INTO public.who_data VALUES (15417, 12, 28059, 0, 908, 66, 155);
INSERT INTO public.who_data VALUES (15418, 2766, 328277, 127, 4778, 66, 82);
INSERT INTO public.who_data VALUES (15419, 4077, 187336, 43, 2050, 66, 16);
INSERT INTO public.who_data VALUES (15420, 16, 7714, 0, 164, 66, 72);
INSERT INTO public.who_data VALUES (15421, 156, 89600, 1, 349, 66, 43);
INSERT INTO public.who_data VALUES (15422, 1632, 495841, 27, 7156, 66, 120);
INSERT INTO public.who_data VALUES (15423, 4, 301, 0, 7, 66, 213);
INSERT INTO public.who_data VALUES (15424, 1838, 165897, 9, 1291, 66, 31);
INSERT INTO public.who_data VALUES (15425, 2856, 620012, 97, 18400, 66, 204);
INSERT INTO public.who_data VALUES (15426, 134, 9511, 14, 211, 66, 152);
INSERT INTO public.who_data VALUES (15427, 0, 3152, 0, 44, 66, 144);
INSERT INTO public.who_data VALUES (15428, 11, 467, 0, 9, 66, 96);
INSERT INTO public.who_data VALUES (15429, 1, 440, 0, 0, 66, 47);
INSERT INTO public.who_data VALUES (15430, 371, 147716, 2, 9026, 66, 80);
INSERT INTO public.who_data VALUES (15431, 0, 154, 0, 3, 66, 159);
INSERT INTO public.who_data VALUES (15432, 902, 103232, 54, 3511, 66, 27);
INSERT INTO public.who_data VALUES (15433, 0, 12873, 0, 38, 66, 146);
INSERT INTO public.who_data VALUES (15434, 42889, 6970034, 964, 182799, 66, 71);
INSERT INTO public.who_data VALUES (15435, 0, 80, 0, 1, 66, 210);
INSERT INTO public.who_data VALUES (15436, 0, 152, 0, 3, 66, 54);
INSERT INTO public.who_data VALUES (15437, 1959, 186246, 191, 6196, 66, 147);
INSERT INTO public.who_data VALUES (15438, 149, 4449, 0, 73, 66, 2);
INSERT INTO public.who_data VALUES (15439, 10, 751, 0, 1, 66, 105);
INSERT INTO public.who_data VALUES (15440, 63, 11458, 0, 110, 66, 53);
INSERT INTO public.who_data VALUES (15441, 0, 362, 0, 0, 66, 81);
INSERT INTO public.who_data VALUES (15442, 0, 25472, 0, 445, 66, 223);
INSERT INTO public.who_data VALUES (15443, 6352, 475214, 106, 13659, 66, 94);
INSERT INTO public.who_data VALUES (15444, 0, 302, 0, 2, 66, 154);
INSERT INTO public.who_data VALUES (15445, 0, 4936, 0, 63, 66, 83);
INSERT INTO public.who_data VALUES (15446, 0, 1784, 0, 102, 66, 194);
INSERT INTO public.who_data VALUES (15447, 1402, 576731, 10, 15959, 66, 136);
INSERT INTO public.who_data VALUES (15448, 96, 95375, 0, 4764, 66, 179);
INSERT INTO public.who_data VALUES (15449, 10130, 1444646, 161, 39356, 66, 57);
INSERT INTO public.who_data VALUES (15450, 5, 633, 0, 7, 66, 35);
INSERT INTO public.who_data VALUES (15451, 0, 6200, 0, 100, 66, 228);
INSERT INTO public.who_data VALUES (15452, 0, 0, 0, 0, 66, 19);
INSERT INTO public.who_data VALUES (15453, 927, 154096, 20, 1956, 66, 22);
INSERT INTO public.who_data VALUES (15454, 24, 21741, 0, 133, 66, 1);
INSERT INTO public.who_data VALUES (15455, 3327, 183045, 92, 2870, 66, 21);
INSERT INTO public.who_data VALUES (15456, 83, 9671, 0, 137, 66, 234);
INSERT INTO public.who_data VALUES (15457, 38, 3699, 0, 11, 66, 91);
INSERT INTO public.who_data VALUES (15458, 401, 16190, 1, 85, 66, 137);
INSERT INTO public.who_data VALUES (15459, 8256, 602404, 154, 10036, 66, 201);
INSERT INTO public.who_data VALUES (15460, 0, 0, 0, 0, 66, 171);
INSERT INTO public.who_data VALUES (15461, 84, 14595, 6, 364, 66, 92);
INSERT INTO public.who_data VALUES (15462, 3692, 119779, 14, 975, 66, 112);
INSERT INTO public.who_data VALUES (15463, 10, 5759, 0, 61, 66, 62);
INSERT INTO public.who_data VALUES (15464, 0, 88, 0, 0, 66, 69);
INSERT INTO public.who_data VALUES (15465, 788, 156585, 5, 2372, 66, 220);
INSERT INTO public.who_data VALUES (15466, 1105, 203461, 19, 13915, 66, 100);
INSERT INTO public.who_data VALUES (15467, 544, 123153, 24, 6990, 66, 187);
INSERT INTO public.who_data VALUES (15468, 265, 42397, 7, 1219, 66, 63);
INSERT INTO public.who_data VALUES (15469, 0, 5195, 0, 85, 66, 28);
INSERT INTO public.who_data VALUES (15470, 0, 711, 0, 0, 66, 172);
INSERT INTO public.who_data VALUES (15471, 733, 20004, 7, 164, 66, 17);
INSERT INTO public.who_data VALUES (15472, 114, 7026, 3, 135, 66, 226);
INSERT INTO public.who_data VALUES (15473, 0, 117542, 0, 1813, 66, 236);
INSERT INTO public.who_data VALUES (15474, 4, 23, 0, 0, 66, 76);
INSERT INTO public.who_data VALUES (15475, 2, 532, 0, 0, 66, 30);
INSERT INTO public.who_data VALUES (15476, 0, 46, 0, 2, 66, 128);
INSERT INTO public.who_data VALUES (15477, 411, 31870, 6, 472, 66, 86);
INSERT INTO public.who_data VALUES (15478, 17441, 2367648, 289, 58989, 66, 140);
INSERT INTO public.who_data VALUES (15479, 120, 12026, 0, 71, 66, 44);
INSERT INTO public.who_data VALUES (15480, 104, 15974, 1, 98, 66, 113);
INSERT INTO public.who_data VALUES (15481, 22, 9373, 0, 63, 66, 29);
INSERT INTO public.who_data VALUES (15482, 0, 3786, 0, 123, 66, 125);
INSERT INTO public.who_data VALUES (15483, 2981, 201368, 31, 1953, 66, 131);
INSERT INTO public.who_data VALUES (15484, 26923, 1406161, 698, 24125, 66, 46);
INSERT INTO public.who_data VALUES (15485, 0, 53386, 0, 327, 66, 10);
INSERT INTO public.who_data VALUES (15486, 22, 1104, 0, 6, 66, 205);
INSERT INTO public.who_data VALUES (15487, 1185, 127557, 85, 3870, 66, 50);
INSERT INTO public.who_data VALUES (15488, 0, 19, 0, 0, 66, 20);
INSERT INTO public.who_data VALUES (15489, 14, 85, 0, 0, 66, 13);
INSERT INTO public.who_data VALUES (15490, 0, 8498, 0, 152, 66, 148);
INSERT INTO public.who_data VALUES (15491, 16, 7004, 0, 119, 66, 230);
INSERT INTO public.who_data VALUES (15492, 746, 130828, 34, 4510, 66, 190);
INSERT INTO public.who_data VALUES (15493, 0, 291, 0, 13, 66, 188);
INSERT INTO public.who_data VALUES (15494, 17, 13474, 0, 80, 66, 123);
INSERT INTO public.who_data VALUES (15495, 0, 2447, 0, 44, 66, 9);
INSERT INTO public.who_data VALUES (15496, 30, 5973, 0, 156, 66, 102);
INSERT INTO public.who_data VALUES (15497, 0, 9597, 0, 234, 66, 34);
INSERT INTO public.who_data VALUES (15498, 0, 26, 0, 0, 66, 212);
INSERT INTO public.who_data VALUES (15499, 301, 114943, 12, 3001, 66, 122);
INSERT INTO public.who_data VALUES (15500, 2982, 291549, 157, 7538, 66, 38);
INSERT INTO public.who_data VALUES (15501, 10, 5588, 0, 28, 66, 130);
INSERT INTO public.who_data VALUES (15502, 24010, 9956557, 355, 144451, 66, 37);
INSERT INTO public.who_data VALUES (15503, 6725, 636154, 137, 19248, 66, 231);
INSERT INTO public.who_data VALUES (15504, 7603, 1131077, 213, 52883, 66, 107);
INSERT INTO public.who_data VALUES (15505, 1553, 578916, 22, 12636, 66, 101);
INSERT INTO public.who_data VALUES (15506, 421, 77197, 6, 2140, 66, 132);
INSERT INTO public.who_data VALUES (15507, 0, 373, 0, 25, 66, 176);
INSERT INTO public.who_data VALUES (15508, 2891, 362873, 12, 3036, 66, 200);
INSERT INTO public.who_data VALUES (15509, 17568, 1888144, 680, 66537, 66, 169);
INSERT INTO public.who_data VALUES (15510, 32, 11907, 0, 276, 66, 225);
INSERT INTO public.who_data VALUES (15511, 3061, 187103, 51, 2739, 66, 165);
INSERT INTO public.who_data VALUES (15512, 59, 1901, 0, 32, 66, 233);
INSERT INTO public.who_data VALUES (15513, 2561, 267585, 28, 3465, 66, 215);
INSERT INTO public.who_data VALUES (15514, 714, 189551, 0, 2609, 66, 177);
INSERT INTO public.who_data VALUES (15515, 0, 92459, 0, 1604, 66, 183);
INSERT INTO public.who_data VALUES (15516, 0, 0, 0, 0, 66, 203);
INSERT INTO public.who_data VALUES (15517, 296, 47456, 5, 1215, 66, 162);
INSERT INTO public.who_data VALUES (15518, 261, 146971, 0, 913, 66, 12);
INSERT INTO public.who_data VALUES (15519, 264, 78415, 4, 1321, 66, 24);
INSERT INTO public.who_data VALUES (15520, 0, 41, 0, 0, 66, 119);
INSERT INTO public.who_data VALUES (15521, 1023, 27495, 25, 382, 66, 39);
INSERT INTO public.who_data VALUES (15522, 2056, 150933, 11, 1234, 66, 26);
INSERT INTO public.who_data VALUES (15523, 0, 2285, 0, 44, 66, 59);
INSERT INTO public.who_data VALUES (15524, 0, 1771, 0, 83, 66, 77);
INSERT INTO public.who_data VALUES (15525, 560, 92577, 5, 1324, 66, 134);
INSERT INTO public.who_data VALUES (15526, 35, 1713, 0, 21, 66, 4);
INSERT INTO public.who_data VALUES (15527, 3163, 103037, 43, 1182, 66, 109);
INSERT INTO public.who_data VALUES (15528, 595, 42844, 3, 421, 66, 90);
INSERT INTO public.who_data VALUES (15529, 0, 17587, 0, 259, 66, 61);
INSERT INTO public.who_data VALUES (15530, 11, 6091, 0, 187, 66, 85);
INSERT INTO public.who_data VALUES (15531, 1295, 87913, 7, 429, 66, 49);
INSERT INTO public.who_data VALUES (15532, 10, 13402, 0, 48, 66, 208);
INSERT INTO public.who_data VALUES (15533, 91, 5969, 4, 209, 66, 166);
INSERT INTO public.who_data VALUES (15534, 49, 11303, 3, 177, 66, 64);
INSERT INTO public.who_data VALUES (15535, 0, 4, 0, 0, 66, 199);
INSERT INTO public.who_data VALUES (15536, 0, 5601, 0, 42, 66, 114);
INSERT INTO public.who_data VALUES (15537, 0, 10971, 0, 225, 66, 60);
INSERT INTO public.who_data VALUES (15538, 0, 514, 0, 10, 66, 68);
INSERT INTO public.who_data VALUES (15539, 0, 5616, 0, 53, 66, 158);
INSERT INTO public.who_data VALUES (15540, 11228, 1267202, 801, 115099, 66, 52);
INSERT INTO public.who_data VALUES (15541, 0, 0, 0, 0, 66, 117);
INSERT INTO public.who_data VALUES (15542, 7, 688, 0, 3, 66, 126);
INSERT INTO public.who_data VALUES (15543, 1, 918, 0, 0, 66, 196);
INSERT INTO public.who_data VALUES (15544, 380, 43300, 4, 613, 66, 142);
INSERT INTO public.who_data VALUES (15545, 0, 13, 0, 1, 66, 185);
INSERT INTO public.who_data VALUES (15546, 3351, 406970, 38, 6749, 66, 138);
INSERT INTO public.who_data VALUES (15547, 101, 17143, 1, 145, 66, 181);
INSERT INTO public.who_data VALUES (15548, 1155, 110667, 27, 2319, 66, 178);
INSERT INTO public.who_data VALUES (15549, 363, 17276, 0, 164, 66, 168);
INSERT INTO public.who_data VALUES (15550, 0, 0, 0, 0, 66, 160);
INSERT INTO public.who_data VALUES (15551, 736, 250916, 13, 1743, 66, 151);
INSERT INTO public.who_data VALUES (15552, 11166, 638532, 76, 10219, 66, 193);
INSERT INTO public.who_data VALUES (15553, 1, 37, 0, 0, 66, 18);
INSERT INTO public.who_data VALUES (15554, 0, 1744, 0, 25, 66, 40);
INSERT INTO public.who_data VALUES (15555, 0, 4748, 0, 163, 66, 218);
INSERT INTO public.who_data VALUES (15556, 0, 2078, 0, 77, 66, 191);
INSERT INTO public.who_data VALUES (15557, 930, 75062, 0, 1200, 66, 156);
INSERT INTO public.who_data VALUES (15558, 0, 0, 0, 0, 66, 135);
INSERT INTO public.who_data VALUES (15559, 0, 113, 0, 2, 66, 88);
INSERT INTO public.who_data VALUES (15560, 865, 75597, 25, 2194, 66, 55);
INSERT INTO public.who_data VALUES (15561, 518, 41852, 7, 402, 66, 108);
INSERT INTO public.who_data VALUES (15562, 2525, 131037, 26, 1156, 66, 48);
INSERT INTO public.who_data VALUES (15563, 116, 126835, 5, 1480, 66, 3);
INSERT INTO public.who_data VALUES (15564, 0, 744, 0, 13, 66, 224);
INSERT INTO public.who_data VALUES (15565, 2731, 445977, 105, 9010, 66, 110);
INSERT INTO public.who_data VALUES (15566, 0, 0, 0, 0, 66, 106);
INSERT INTO public.who_data VALUES (15567, 2368, 196987, 29, 3411, 66, 89);
INSERT INTO public.who_data VALUES (15568, 0, 729, 0, 8, 66, 121);
INSERT INTO public.who_data VALUES (15569, 1130, 95353, 20, 1991, 66, 163);
INSERT INTO public.who_data VALUES (15570, 1545, 987675, 63, 36817, 66, 70);
INSERT INTO public.who_data VALUES (15571, 1149, 452988, 21, 8833, 66, 174);
INSERT INTO public.who_data VALUES (15572, 0, 0, 0, 0, 66, 175);
INSERT INTO public.who_data VALUES (15573, 11953, 1171854, 431, 24345, 66, 118);
INSERT INTO public.who_data VALUES (15574, 4720, 358296, 82, 5815, 66, 189);
INSERT INTO public.who_data VALUES (15575, 267, 63686, 18, 1312, 66, 124);
INSERT INTO public.who_data VALUES (15576, 145, 141417, 1, 242, 66, 192);
INSERT INTO public.who_data VALUES (15577, 1014, 46450, 22, 634, 66, 41);
INSERT INTO public.who_data VALUES (15578, 1673, 130329, 25, 2650, 66, 95);
INSERT INTO public.who_data VALUES (15579, 54, 8588, 0, 42, 66, 74);
INSERT INTO public.who_data VALUES (15580, 5991, 571749, 164, 13862, 66, 11);
INSERT INTO public.who_data VALUES (15581, 28214, 2762668, 587, 49151, 66, 87);
INSERT INTO public.who_data VALUES (15582, 0, 6832, 0, 57, 66, 214);
INSERT INTO public.who_data VALUES (15583, 0, 5, 0, 0, 66, 116);
INSERT INTO public.who_data VALUES (15584, 0, 172, 0, 0, 66, 157);
INSERT INTO public.who_data VALUES (15585, 0, 0, 0, 0, 66, 182);
INSERT INTO public.who_data VALUES (15586, 0, 28, 0, 0, 66, 186);
INSERT INTO public.who_data VALUES (15587, 0, 278, 0, 4, 66, 127);
INSERT INTO public.who_data VALUES (15588, 0, 899, 0, 12, 66, 232);
INSERT INTO public.who_data VALUES (15589, 0, 14, 0, 0, 66, 33);
INSERT INTO public.who_data VALUES (15590, 0, 98, 0, 0, 66, 97);
INSERT INTO public.who_data VALUES (15591, 0, 2, 0, 0, 66, 42);
INSERT INTO public.who_data VALUES (15592, 0, 2025, 0, 54, 66, 198);
INSERT INTO public.who_data VALUES (15593, 0, 1010, 0, 17, 66, 216);
INSERT INTO public.who_data VALUES (15594, 180, 360335, 11, 6080, 66, 164);
INSERT INTO public.who_data VALUES (15595, 120, 17336, 2, 352, 66, 235);
INSERT INTO public.who_data VALUES (15596, 5353, 282601, 49, 2482, 66, 67);
INSERT INTO public.who_data VALUES (15597, 17, 202, 0, 0, 66, 15);
INSERT INTO public.who_data VALUES (15598, 0, 2451, 0, 75, 66, 180);
INSERT INTO public.who_data VALUES (15599, 12, 58353, 0, 29, 66, 237);
INSERT INTO public.who_data VALUES (15600, 0, 18, 0, 0, 66, 25);
INSERT INTO public.who_data VALUES (15601, 20, 1269, 0, 26, 66, 209);
INSERT INTO public.who_data VALUES (15602, 3565, 139088, 58, 1309, 66, 217);
INSERT INTO public.who_data VALUES (15603, 2112, 100430, 52, 2431, 66, 79);
INSERT INTO public.who_data VALUES (15604, 0, 17, 0, 0, 66, 143);
INSERT INTO public.who_data VALUES (15605, 0, 4579, 0, 121, 66, 229);
INSERT INTO public.who_data VALUES (15606, 10008, 883687, 166, 23827, 66, 141);
INSERT INTO public.who_data VALUES (15607, 0, 3206, 0, 62, 66, 197);
INSERT INTO public.who_data VALUES (15608, 12614, 1856631, 157, 50066, 66, 221);
INSERT INTO public.who_data VALUES (15609, 0, 34121, 0, 154, 66, 150);
INSERT INTO public.who_data VALUES (15610, 356, 22621, 17, 1425, 66, 56);
INSERT INTO public.who_data VALUES (15611, 22, 5381, 0, 117, 66, 167);
INSERT INTO public.who_data VALUES (15612, 7001, 348562, 88, 8349, 66, 23);
INSERT INTO public.who_data VALUES (15613, 4819, 400147, 88, 6134, 66, 222);
INSERT INTO public.who_data VALUES (15614, 151, 9603, 11, 554, 66, 219);
INSERT INTO public.who_data VALUES (15615, 55, 13072, 0, 89, 66, 7);
INSERT INTO public.who_data VALUES (15616, 15, 4261, 0, 60, 66, 161);
INSERT INTO public.who_data VALUES (15617, 25161, 1913281, 612, 65520, 66, 149);
INSERT INTO public.who_data VALUES (15618, 0, 31, 0, 0, 66, 6);
INSERT INTO public.who_data VALUES (15619, 20, 3315, 0, 66, 66, 139);
INSERT INTO public.who_data VALUES (15620, 0, 0, 0, 0, 66, 211);
INSERT INTO public.who_data VALUES (15621, 0, 0, 0, 0, 66, 14);
INSERT INTO public.who_data VALUES (15622, 15, 6900, 0, 123, 66, 111);
INSERT INTO public.who_data VALUES (15623, 1306, 114547, 41, 3997, 66, 207);
INSERT INTO public.who_data VALUES (15624, 29718, 1928165, 240, 17121, 66, 66);
INSERT INTO public.who_data VALUES (15625, 0, 0, 0, 0, 66, 173);
INSERT INTO public.who_data VALUES (15626, 2, 771, 0, 6, 66, 145);
INSERT INTO public.who_data VALUES (15627, 0, 0, 0, 0, 66, 65);
INSERT INTO public.who_data VALUES (15628, 565, 28733, 0, 225, 66, 184);
INSERT INTO public.who_data VALUES (15629, 12047, 931751, 252, 15996, 66, 98);
INSERT INTO public.who_data VALUES (15630, 1278, 188545, 4, 626, 66, 104);
INSERT INTO public.who_data VALUES (15631, 0, 509, 0, 21, 66, 73);
INSERT INTO public.who_data VALUES (15632, 201468, 16446844, 2942, 301536, 66, 8);
INSERT INTO public.who_data VALUES (15633, 22, 1850, 0, 23, 66, 227);
INSERT INTO public.who_data VALUES (15634, 389, 10418, 3, 98, 66, 75);
INSERT INTO public.who_data VALUES (15635, 142, 75538, 0, 612, 66, 45);
INSERT INTO public.who_data VALUES (15636, 0, 1, 0, 0, 66, 133);
INSERT INTO public.who_data VALUES (15637, 355, 108480, 5, 965, 66, 202);
INSERT INTO public.who_data VALUES (15638, 0, 1405, 0, 35, 66, 129);
INSERT INTO public.who_data VALUES (15639, 0, 4, 0, 0, 66, 36);
INSERT INTO public.who_data VALUES (15640, 0, 2089, 0, 607, 66, 51);
INSERT INTO public.who_data VALUES (15641, 0, 18428, 0, 368, 66, 206);
INSERT INTO public.who_data VALUES (15642, 0, 11522, 0, 310, 66, 5);
INSERT INTO public.who_data VALUES (15643, 219, 49703, 26, 2001, 67, 103);
INSERT INTO public.who_data VALUES (15644, 809, 50000, 12, 1028, 67, 58);
INSERT INTO public.who_data VALUES (15645, 468, 93065, 14, 2623, 67, 195);
INSERT INTO public.who_data VALUES (15646, 0, 0, 0, 0, 67, 115);
INSERT INTO public.who_data VALUES (15647, 32, 7414, 0, 79, 67, 99);
INSERT INTO public.who_data VALUES (15648, 85, 16362, 0, 372, 67, 153);
INSERT INTO public.who_data VALUES (15649, 0, 10, 0, 0, 67, 93);
INSERT INTO public.who_data VALUES (15650, 0, 148, 0, 5, 67, 84);
INSERT INTO public.who_data VALUES (15651, 5062, 1503222, 275, 41041, 67, 78);
INSERT INTO public.who_data VALUES (15652, 1098, 149531, 27, 2551, 67, 170);
INSERT INTO public.who_data VALUES (15653, 7, 5056, 0, 46, 67, 32);
INSERT INTO public.who_data VALUES (15654, 8, 28047, 0, 908, 67, 155);
INSERT INTO public.who_data VALUES (15655, 2954, 325511, 141, 4651, 67, 82);
INSERT INTO public.who_data VALUES (15656, 4273, 183259, 41, 2007, 67, 16);
INSERT INTO public.who_data VALUES (15657, 8, 7698, 1, 164, 67, 72);
INSERT INTO public.who_data VALUES (15658, 177, 89444, 0, 348, 67, 43);
INSERT INTO public.who_data VALUES (15659, 1877, 494209, 40, 7129, 67, 120);
INSERT INTO public.who_data VALUES (15660, 1, 297, 0, 7, 67, 213);
INSERT INTO public.who_data VALUES (15661, 1911, 164059, 9, 1282, 67, 31);
INSERT INTO public.who_data VALUES (15662, 3239, 617156, 103, 18303, 67, 204);
INSERT INTO public.who_data VALUES (15663, 82, 9377, 2, 197, 67, 152);
INSERT INTO public.who_data VALUES (15664, 62, 3152, 0, 44, 67, 144);
INSERT INTO public.who_data VALUES (15665, 25, 456, 0, 9, 67, 96);
INSERT INTO public.who_data VALUES (15666, 1, 439, 0, 0, 67, 47);
INSERT INTO public.who_data VALUES (15667, 195, 147345, 6, 9024, 67, 80);
INSERT INTO public.who_data VALUES (15668, 0, 154, 0, 3, 67, 159);
INSERT INTO public.who_data VALUES (15669, 869, 102330, 66, 3457, 67, 27);
INSERT INTO public.who_data VALUES (15670, 372, 12873, 1, 38, 67, 146);
INSERT INTO public.who_data VALUES (15671, 25193, 6927145, 433, 181835, 67, 71);
INSERT INTO public.who_data VALUES (15672, 4, 80, 0, 1, 67, 210);
INSERT INTO public.who_data VALUES (15673, 0, 152, 0, 3, 67, 54);
INSERT INTO public.who_data VALUES (15674, 2743, 184287, 167, 6005, 67, 147);
INSERT INTO public.who_data VALUES (15675, 91, 4300, 2, 73, 67, 2);
INSERT INTO public.who_data VALUES (15676, 6, 741, 0, 1, 67, 105);
INSERT INTO public.who_data VALUES (15677, 34, 11395, 0, 110, 67, 53);
INSERT INTO public.who_data VALUES (15678, 0, 362, 0, 0, 67, 81);
INSERT INTO public.who_data VALUES (15679, 113, 25472, 0, 445, 67, 223);
INSERT INTO public.who_data VALUES (15680, 8119, 468862, 122, 13553, 67, 94);
INSERT INTO public.who_data VALUES (15681, 4, 302, 0, 2, 67, 154);
INSERT INTO public.who_data VALUES (15682, 0, 4936, 0, 63, 67, 83);
INSERT INTO public.who_data VALUES (15683, 13, 1784, 0, 102, 67, 194);
INSERT INTO public.who_data VALUES (15684, 1499, 575329, 18, 15949, 67, 136);
INSERT INTO public.who_data VALUES (15685, 112, 95279, 3, 4764, 67, 179);
INSERT INTO public.who_data VALUES (15686, 8742, 1434516, 142, 39195, 67, 57);
INSERT INTO public.who_data VALUES (15687, -1, 628, 0, 7, 67, 35);
INSERT INTO public.who_data VALUES (15688, 0, 6200, 0, 100, 67, 228);
INSERT INTO public.who_data VALUES (15689, 0, 0, 0, 0, 67, 19);
INSERT INTO public.who_data VALUES (15690, 549, 153169, 15, 1936, 67, 22);
INSERT INTO public.who_data VALUES (15691, 12, 21717, 0, 133, 67, 1);
INSERT INTO public.who_data VALUES (15692, 2360, 179718, 73, 2778, 67, 21);
INSERT INTO public.who_data VALUES (15693, 96, 9588, 0, 137, 67, 234);
INSERT INTO public.who_data VALUES (15694, 37, 3661, 0, 11, 67, 91);
INSERT INTO public.who_data VALUES (15695, 339, 15789, 2, 84, 67, 137);
INSERT INTO public.who_data VALUES (15696, 7897, 594148, 139, 9882, 67, 201);
INSERT INTO public.who_data VALUES (15697, 0, 0, 0, 0, 67, 171);
INSERT INTO public.who_data VALUES (15698, 51, 14511, 2, 358, 67, 92);
INSERT INTO public.who_data VALUES (15699, 2992, 116087, 11, 961, 67, 112);
INSERT INTO public.who_data VALUES (15700, 16, 5749, 0, 61, 67, 62);
INSERT INTO public.who_data VALUES (15701, 0, 88, 0, 0, 67, 69);
INSERT INTO public.who_data VALUES (15702, 613, 155797, 3, 2367, 67, 220);
INSERT INTO public.who_data VALUES (15703, 176, 202356, 21, 13896, 67, 100);
INSERT INTO public.who_data VALUES (15704, 523, 122609, 23, 6966, 67, 187);
INSERT INTO public.who_data VALUES (15705, 252, 42132, 7, 1212, 67, 63);
INSERT INTO public.who_data VALUES (15706, 10, 5195, 0, 85, 67, 28);
INSERT INTO public.who_data VALUES (15707, 0, 711, 0, 0, 67, 172);
INSERT INTO public.who_data VALUES (15708, 885, 19271, 3, 157, 67, 17);
INSERT INTO public.who_data VALUES (15709, 87, 6912, 2, 132, 67, 226);
INSERT INTO public.who_data VALUES (15710, 300, 117542, 4, 1813, 67, 236);
INSERT INTO public.who_data VALUES (15711, 0, 19, 0, 0, 67, 76);
INSERT INTO public.who_data VALUES (15712, 2, 530, 0, 0, 67, 30);
INSERT INTO public.who_data VALUES (15713, 0, 46, 0, 2, 67, 128);
INSERT INTO public.who_data VALUES (15714, 349, 31459, 5, 466, 67, 86);
INSERT INTO public.who_data VALUES (15715, 11481, 2350207, 790, 58700, 67, 140);
INSERT INTO public.who_data VALUES (15716, 51, 11906, 0, 71, 67, 44);
INSERT INTO public.who_data VALUES (15717, 123, 15870, 1, 97, 67, 113);
INSERT INTO public.who_data VALUES (15718, 0, 9351, 0, 63, 67, 29);
INSERT INTO public.who_data VALUES (15719, 1, 3786, 0, 123, 67, 125);
INSERT INTO public.who_data VALUES (15720, 3487, 198387, 39, 1922, 67, 131);
INSERT INTO public.who_data VALUES (15721, 27728, 1379238, 952, 23427, 67, 46);
INSERT INTO public.who_data VALUES (15722, 372, 53386, 0, 327, 67, 10);
INSERT INTO public.who_data VALUES (15723, 7, 1082, 1, 6, 67, 205);
INSERT INTO public.who_data VALUES (15724, 1199, 126372, 98, 3785, 67, 50);
INSERT INTO public.who_data VALUES (15725, 0, 19, 0, 0, 67, 20);
INSERT INTO public.who_data VALUES (15726, 0, 71, 0, 0, 67, 13);
INSERT INTO public.who_data VALUES (15727, 0, 8498, 0, 152, 67, 148);
INSERT INTO public.who_data VALUES (15728, 10, 6988, 0, 119, 67, 230);
INSERT INTO public.who_data VALUES (15729, 677, 130082, 31, 4476, 67, 190);
INSERT INTO public.who_data VALUES (15730, 2, 291, 0, 13, 67, 188);
INSERT INTO public.who_data VALUES (15731, 26, 13457, 1, 80, 67, 123);
INSERT INTO public.who_data VALUES (15732, 3, 2447, 0, 44, 67, 9);
INSERT INTO public.who_data VALUES (15733, 23, 5943, 1, 156, 67, 102);
INSERT INTO public.who_data VALUES (15734, 32, 9597, 0, 234, 67, 34);
INSERT INTO public.who_data VALUES (15735, 0, 26, 0, 0, 67, 212);
INSERT INTO public.who_data VALUES (15736, 283, 114642, 14, 2989, 67, 122);
INSERT INTO public.who_data VALUES (15737, 2804, 288567, 144, 7381, 67, 38);
INSERT INTO public.who_data VALUES (15738, 7, 5578, 0, 28, 67, 130);
INSERT INTO public.who_data VALUES (15739, 26382, 9932547, 387, 144096, 67, 37);
INSERT INTO public.who_data VALUES (15740, 6120, 629429, 155, 19111, 67, 231);
INSERT INTO public.who_data VALUES (15741, 7704, 1123474, 223, 52670, 67, 107);
INSERT INTO public.who_data VALUES (15742, 1391, 577363, 11, 12614, 67, 101);
INSERT INTO public.who_data VALUES (15743, 327, 76776, 8, 2134, 67, 132);
INSERT INTO public.who_data VALUES (15744, 3, 373, 0, 25, 67, 176);
INSERT INTO public.who_data VALUES (15745, 2315, 359982, 11, 3024, 67, 200);
INSERT INTO public.who_data VALUES (15746, 14839, 1870576, 846, 65857, 67, 169);
INSERT INTO public.who_data VALUES (15747, 83, 11875, 3, 276, 67, 225);
INSERT INTO public.who_data VALUES (15748, 2172, 184042, 45, 2688, 67, 165);
INSERT INTO public.who_data VALUES (15749, 63, 1842, 0, 32, 67, 233);
INSERT INTO public.who_data VALUES (15750, 2547, 265024, 30, 3437, 67, 215);
INSERT INTO public.who_data VALUES (15751, 947, 188837, 0, 2609, 67, 177);
INSERT INTO public.who_data VALUES (15752, 404, 92459, 11, 1604, 67, 183);
INSERT INTO public.who_data VALUES (15753, 0, 0, 0, 0, 67, 203);
INSERT INTO public.who_data VALUES (15754, 294, 47160, 17, 1210, 67, 162);
INSERT INTO public.who_data VALUES (15755, 261, 146710, 1, 913, 67, 12);
INSERT INTO public.who_data VALUES (15756, 241, 78151, 1, 1317, 67, 24);
INSERT INTO public.who_data VALUES (15757, 0, 41, 0, 0, 67, 119);
INSERT INTO public.who_data VALUES (15758, 587, 26472, 5, 357, 67, 39);
INSERT INTO public.who_data VALUES (15759, 1264, 148877, 13, 1223, 67, 26);
INSERT INTO public.who_data VALUES (15760, 135, 2285, 0, 44, 67, 59);
INSERT INTO public.who_data VALUES (15761, 0, 1771, 0, 83, 67, 77);
INSERT INTO public.who_data VALUES (15762, 660, 92017, 5, 1319, 67, 134);
INSERT INTO public.who_data VALUES (15763, 40, 1678, 0, 21, 67, 4);
INSERT INTO public.who_data VALUES (15764, 3422, 99874, 25, 1139, 67, 109);
INSERT INTO public.who_data VALUES (15765, 349, 42249, 8, 418, 67, 90);
INSERT INTO public.who_data VALUES (15766, 0, 17587, 0, 259, 67, 61);
INSERT INTO public.who_data VALUES (15767, 10, 6080, 0, 187, 67, 85);
INSERT INTO public.who_data VALUES (15768, 1772, 86618, 3, 422, 67, 49);
INSERT INTO public.who_data VALUES (15769, 13, 13392, 0, 48, 67, 208);
INSERT INTO public.who_data VALUES (15770, 42, 5878, 4, 205, 67, 166);
INSERT INTO public.who_data VALUES (15771, 101, 11254, 5, 174, 67, 64);
INSERT INTO public.who_data VALUES (15772, 0, 4, 0, 0, 67, 199);
INSERT INTO public.who_data VALUES (15773, 0, 5601, 0, 42, 67, 114);
INSERT INTO public.who_data VALUES (15774, 0, 10971, 0, 225, 67, 60);
INSERT INTO public.who_data VALUES (15775, 0, 514, 0, 10, 67, 68);
INSERT INTO public.who_data VALUES (15776, 0, 5616, 0, 53, 67, 158);
INSERT INTO public.who_data VALUES (15777, 5930, 1255974, 345, 114298, 67, 52);
INSERT INTO public.who_data VALUES (15778, 0, 0, 0, 0, 67, 117);
INSERT INTO public.who_data VALUES (15779, 6, 681, 0, 3, 67, 126);
INSERT INTO public.who_data VALUES (15780, 5, 917, 0, 0, 67, 196);
INSERT INTO public.who_data VALUES (15781, 405, 42920, 13, 609, 67, 142);
INSERT INTO public.who_data VALUES (15782, 0, 13, 0, 1, 67, 185);
INSERT INTO public.who_data VALUES (15783, 2793, 403619, 52, 6711, 67, 138);
INSERT INTO public.who_data VALUES (15784, 40, 17042, 1, 144, 67, 181);
INSERT INTO public.who_data VALUES (15785, 1170, 109512, 24, 2292, 67, 178);
INSERT INTO public.who_data VALUES (15786, 187, 16913, 1, 164, 67, 168);
INSERT INTO public.who_data VALUES (15787, 0, 0, 0, 0, 67, 160);
INSERT INTO public.who_data VALUES (15788, 936, 250180, 14, 1730, 67, 151);
INSERT INTO public.who_data VALUES (15789, 6635, 627366, 86, 10143, 67, 193);
INSERT INTO public.who_data VALUES (15790, 0, 36, 0, 0, 67, 18);
INSERT INTO public.who_data VALUES (15791, 4, 1744, 0, 25, 67, 40);
INSERT INTO public.who_data VALUES (15792, 39, 4748, 1, 163, 67, 218);
INSERT INTO public.who_data VALUES (15793, 0, 2078, 0, 77, 67, 191);
INSERT INTO public.who_data VALUES (15794, 758, 74132, 3, 1200, 67, 156);
INSERT INTO public.who_data VALUES (15795, 0, 0, 0, 0, 67, 135);
INSERT INTO public.who_data VALUES (15796, 0, 113, 0, 2, 67, 88);
INSERT INTO public.who_data VALUES (15797, 881, 74732, 22, 2169, 67, 55);
INSERT INTO public.who_data VALUES (15798, 331, 41334, 2, 395, 67, 108);
INSERT INTO public.who_data VALUES (15799, 2307, 128512, 23, 1130, 67, 48);
INSERT INTO public.who_data VALUES (15800, 215, 126719, 3, 1475, 67, 3);
INSERT INTO public.who_data VALUES (15801, 0, 744, 0, 13, 67, 224);
INSERT INTO public.who_data VALUES (15802, 2459, 443246, 73, 8905, 67, 110);
INSERT INTO public.who_data VALUES (15803, 0, 0, 0, 0, 67, 106);
INSERT INTO public.who_data VALUES (15804, 1612, 194619, 26, 3382, 67, 89);
INSERT INTO public.who_data VALUES (15805, 4, 729, 0, 8, 67, 121);
INSERT INTO public.who_data VALUES (15806, 641, 94223, 18, 1971, 67, 163);
INSERT INTO public.who_data VALUES (15807, 1157, 986130, 77, 36754, 67, 70);
INSERT INTO public.who_data VALUES (15808, 1106, 451839, 55, 8812, 67, 174);
INSERT INTO public.who_data VALUES (15809, 0, 0, 0, 0, 67, 175);
INSERT INTO public.who_data VALUES (15810, 12455, 1159901, 605, 23914, 67, 118);
INSERT INTO public.who_data VALUES (15811, 2638, 353576, 84, 5733, 67, 189);
INSERT INTO public.who_data VALUES (15812, 434, 63419, 12, 1294, 67, 124);
INSERT INTO public.who_data VALUES (15813, 151, 141272, 0, 241, 67, 192);
INSERT INTO public.who_data VALUES (15814, 1078, 45436, 12, 612, 67, 41);
INSERT INTO public.who_data VALUES (15815, 1403, 128656, 27, 2625, 67, 95);
INSERT INTO public.who_data VALUES (15816, 0, 8534, 0, 42, 67, 74);
INSERT INTO public.who_data VALUES (15817, 6171, 565758, 204, 13698, 67, 11);
INSERT INTO public.who_data VALUES (15818, 26509, 2734454, 596, 48564, 67, 87);
INSERT INTO public.who_data VALUES (15819, 85, 6832, 1, 57, 67, 214);
INSERT INTO public.who_data VALUES (15820, 0, 5, 0, 0, 67, 116);
INSERT INTO public.who_data VALUES (15821, 0, 172, 0, 0, 67, 157);
INSERT INTO public.who_data VALUES (15822, 0, 0, 0, 0, 67, 182);
INSERT INTO public.who_data VALUES (15823, 0, 28, 0, 0, 67, 186);
INSERT INTO public.who_data VALUES (15824, 3, 278, 0, 4, 67, 127);
INSERT INTO public.who_data VALUES (15825, 0, 899, 0, 12, 67, 232);
INSERT INTO public.who_data VALUES (15826, 0, 14, 0, 0, 67, 33);
INSERT INTO public.who_data VALUES (15827, 0, 98, 0, 0, 67, 97);
INSERT INTO public.who_data VALUES (15828, 0, 2, 0, 0, 67, 42);
INSERT INTO public.who_data VALUES (15829, 43, 2025, 2, 54, 67, 198);
INSERT INTO public.who_data VALUES (15830, 0, 1010, 0, 17, 67, 216);
INSERT INTO public.who_data VALUES (15831, 142, 360155, 10, 6069, 67, 164);
INSERT INTO public.who_data VALUES (15832, 70, 17216, 0, 350, 67, 235);
INSERT INTO public.who_data VALUES (15833, 5884, 277248, 53, 2433, 67, 67);
INSERT INTO public.who_data VALUES (15834, 0, 185, 0, 0, 67, 15);
INSERT INTO public.who_data VALUES (15835, 6, 2451, 0, 75, 67, 180);
INSERT INTO public.who_data VALUES (15836, 16, 58341, 0, 29, 67, 237);
INSERT INTO public.who_data VALUES (15837, 0, 18, 0, 0, 67, 25);
INSERT INTO public.who_data VALUES (15838, 17, 1249, 0, 26, 67, 209);
INSERT INTO public.who_data VALUES (15839, 2034, 135523, 46, 1251, 67, 217);
INSERT INTO public.who_data VALUES (15840, 1532, 98318, 55, 2379, 67, 79);
INSERT INTO public.who_data VALUES (15841, 0, 17, 0, 0, 67, 143);
INSERT INTO public.who_data VALUES (15842, 0, 4579, 0, 121, 67, 229);
INSERT INTO public.who_data VALUES (15843, 7552, 873679, 210, 23661, 67, 141);
INSERT INTO public.who_data VALUES (15844, 0, 3206, 0, 62, 67, 197);
INSERT INTO public.who_data VALUES (15845, 10365, 1844017, 146, 49909, 67, 221);
INSERT INTO public.who_data VALUES (15846, 643, 34121, 0, 154, 67, 150);
INSERT INTO public.who_data VALUES (15847, 183, 22265, 24, 1408, 67, 56);
INSERT INTO public.who_data VALUES (15848, 6, 5359, 0, 117, 67, 167);
INSERT INTO public.who_data VALUES (15849, 3534, 341561, 94, 8261, 67, 23);
INSERT INTO public.who_data VALUES (15850, 5166, 395328, 88, 6046, 67, 222);
INSERT INTO public.who_data VALUES (15851, 150, 9452, 13, 543, 67, 219);
INSERT INTO public.who_data VALUES (15852, 57, 13017, 2, 89, 67, 7);
INSERT INTO public.who_data VALUES (15853, 9, 4246, 0, 60, 67, 161);
INSERT INTO public.who_data VALUES (15854, 18450, 1888120, 506, 64908, 67, 149);
INSERT INTO public.who_data VALUES (15855, 0, 31, 0, 0, 67, 6);
INSERT INTO public.who_data VALUES (15856, 29, 3295, 0, 66, 67, 139);
INSERT INTO public.who_data VALUES (15857, 0, 0, 0, 0, 67, 211);
INSERT INTO public.who_data VALUES (15858, 0, 0, 0, 0, 67, 14);
INSERT INTO public.who_data VALUES (15859, 6, 6885, 1, 123, 67, 111);
INSERT INTO public.who_data VALUES (15860, 1483, 113241, 41, 3956, 67, 207);
INSERT INTO public.who_data VALUES (15861, 32102, 1898447, 235, 16881, 67, 66);
INSERT INTO public.who_data VALUES (15862, 0, 0, 0, 0, 67, 173);
INSERT INTO public.who_data VALUES (15863, 0, 769, 0, 6, 67, 145);
INSERT INTO public.who_data VALUES (15864, 0, 0, 0, 0, 67, 65);
INSERT INTO public.who_data VALUES (15865, 402, 28168, 1, 225, 67, 184);
INSERT INTO public.who_data VALUES (15866, 10622, 919704, 264, 15744, 67, 98);
INSERT INTO public.who_data VALUES (15867, 1226, 187267, 4, 622, 67, 104);
INSERT INTO public.who_data VALUES (15868, 0, 509, 0, 21, 67, 73);
INSERT INTO public.who_data VALUES (15869, 204281, 16245376, 1754, 298594, 67, 8);
INSERT INTO public.who_data VALUES (15870, 21, 1828, 0, 23, 67, 227);
INSERT INTO public.who_data VALUES (15871, 321, 10029, 3, 95, 67, 75);
INSERT INTO public.who_data VALUES (15872, 155, 75396, 0, 612, 67, 45);
INSERT INTO public.who_data VALUES (15873, 0, 1, 0, 0, 67, 133);
INSERT INTO public.who_data VALUES (15874, 339, 108125, 6, 960, 67, 202);
INSERT INTO public.who_data VALUES (15875, 3, 1405, 0, 35, 67, 129);
INSERT INTO public.who_data VALUES (15876, 0, 4, 0, 0, 67, 36);
INSERT INTO public.who_data VALUES (15877, 1, 2089, 0, 607, 67, 51);
INSERT INTO public.who_data VALUES (15878, 106, 18428, 1, 368, 67, 206);
INSERT INTO public.who_data VALUES (15879, 164, 11522, 1, 310, 67, 5);
INSERT INTO public.who_data VALUES (15880, 211, 49484, 4, 1975, 68, 103);
INSERT INTO public.who_data VALUES (15881, 661, 49191, 13, 1016, 68, 58);
INSERT INTO public.who_data VALUES (15882, 495, 92597, 13, 2609, 68, 195);
INSERT INTO public.who_data VALUES (15883, 0, 0, 0, 0, 68, 115);
INSERT INTO public.who_data VALUES (15884, 44, 7382, 0, 79, 68, 99);
INSERT INTO public.who_data VALUES (15885, 89, 16277, 1, 372, 68, 153);
INSERT INTO public.who_data VALUES (15886, 0, 10, 0, 0, 68, 93);
INSERT INTO public.who_data VALUES (15887, 0, 148, 1, 5, 68, 84);
INSERT INTO public.who_data VALUES (15888, 3558, 1498160, 98, 40766, 68, 78);
INSERT INTO public.who_data VALUES (15889, 438, 148433, 26, 2524, 68, 170);
INSERT INTO public.who_data VALUES (15890, 38, 5049, 0, 46, 68, 32);
INSERT INTO public.who_data VALUES (15891, 8, 28039, 0, 908, 68, 155);
INSERT INTO public.who_data VALUES (15892, 2521, 322557, 110, 4510, 68, 82);
INSERT INTO public.who_data VALUES (15893, 3112, 178986, 44, 1966, 68, 16);
INSERT INTO public.who_data VALUES (15894, 16, 7690, 0, 163, 68, 72);
INSERT INTO public.who_data VALUES (15895, 125, 89267, 0, 348, 68, 43);
INSERT INTO public.who_data VALUES (15896, 1799, 492332, 37, 7089, 68, 120);
INSERT INTO public.who_data VALUES (15897, 4, 296, 0, 7, 68, 213);
INSERT INTO public.who_data VALUES (15898, 1853, 162148, 10, 1273, 68, 31);
INSERT INTO public.who_data VALUES (15899, 3843, 613917, 100, 18200, 68, 204);
INSERT INTO public.who_data VALUES (15900, 122, 9295, 3, 195, 68, 152);
INSERT INTO public.who_data VALUES (15901, 0, 3090, 0, 44, 68, 144);
INSERT INTO public.who_data VALUES (15902, 40, 431, 0, 9, 68, 96);
INSERT INTO public.who_data VALUES (15903, 0, 438, 0, 0, 68, 47);
INSERT INTO public.who_data VALUES (15904, 120, 147150, 4, 9018, 68, 80);
INSERT INTO public.who_data VALUES (15905, 4, 154, 0, 3, 68, 159);
INSERT INTO public.who_data VALUES (15906, 344, 101461, 55, 3391, 68, 27);
INSERT INTO public.who_data VALUES (15907, 0, 12501, 0, 37, 68, 146);
INSERT INTO public.who_data VALUES (15908, 21825, 6901952, 279, 181402, 68, 71);
INSERT INTO public.who_data VALUES (15909, 0, 76, 0, 1, 68, 210);
INSERT INTO public.who_data VALUES (15910, 0, 152, 0, 3, 68, 54);
INSERT INTO public.who_data VALUES (15911, 2095, 181544, 150, 5838, 68, 147);
INSERT INTO public.who_data VALUES (15912, 179, 4209, 0, 71, 68, 2);
INSERT INTO public.who_data VALUES (15913, 6, 735, 0, 1, 68, 105);
INSERT INTO public.who_data VALUES (15914, 4, 11361, 0, 110, 68, 53);
INSERT INTO public.who_data VALUES (15915, 3, 362, 0, 0, 68, 81);
INSERT INTO public.who_data VALUES (15916, 145, 25359, 2, 445, 68, 223);
INSERT INTO public.who_data VALUES (15917, 5891, 460743, 81, 13431, 68, 94);
INSERT INTO public.who_data VALUES (15918, 0, 298, 0, 2, 68, 154);
INSERT INTO public.who_data VALUES (15919, 0, 4936, 0, 63, 68, 83);
INSERT INTO public.who_data VALUES (15920, 1, 1771, 0, 102, 68, 194);
INSERT INTO public.who_data VALUES (15921, 1911, 573830, 45, 15931, 68, 136);
INSERT INTO public.who_data VALUES (15922, 103, 95167, 3, 4761, 68, 179);
INSERT INTO public.who_data VALUES (15923, 8702, 1425774, 187, 39053, 68, 57);
INSERT INTO public.who_data VALUES (15924, 5, 629, 0, 7, 68, 35);
INSERT INTO public.who_data VALUES (15925, 0, 6200, 0, 100, 68, 228);
INSERT INTO public.who_data VALUES (15926, 0, 0, 0, 0, 68, 19);
INSERT INTO public.who_data VALUES (15927, 524, 152620, 8, 1921, 68, 22);
INSERT INTO public.who_data VALUES (15928, 25, 21705, 0, 133, 68, 1);
INSERT INTO public.who_data VALUES (15929, 1472, 177358, 65, 2705, 68, 21);
INSERT INTO public.who_data VALUES (15930, 69, 9492, 0, 137, 68, 234);
INSERT INTO public.who_data VALUES (15931, 220, 3624, 3, 11, 68, 91);
INSERT INTO public.who_data VALUES (15932, 349, 15450, 4, 82, 68, 137);
INSERT INTO public.who_data VALUES (15933, 5172, 586251, 134, 9743, 68, 201);
INSERT INTO public.who_data VALUES (15934, 0, 0, 0, 0, 68, 171);
INSERT INTO public.who_data VALUES (15935, 0, 14460, 4, 356, 68, 92);
INSERT INTO public.who_data VALUES (15936, 3337, 113095, 9, 950, 68, 112);
INSERT INTO public.who_data VALUES (15937, 4, 5733, 0, 61, 68, 62);
INSERT INTO public.who_data VALUES (15938, 1, 88, 0, 0, 68, 69);
INSERT INTO public.who_data VALUES (15939, 492, 155184, 3, 2364, 68, 220);
INSERT INTO public.who_data VALUES (15940, 70, 202180, 0, 13875, 68, 100);
INSERT INTO public.who_data VALUES (15941, 511, 122086, 23, 6943, 68, 187);
INSERT INTO public.who_data VALUES (15942, 486, 41880, 5, 1205, 68, 63);
INSERT INTO public.who_data VALUES (15943, 0, 5185, 0, 85, 68, 28);
INSERT INTO public.who_data VALUES (15944, 0, 711, 0, 0, 68, 172);
INSERT INTO public.who_data VALUES (15945, 331, 18386, 5, 154, 68, 17);
INSERT INTO public.who_data VALUES (15946, 57, 6825, 3, 130, 68, 226);
INSERT INTO public.who_data VALUES (15947, 473, 117242, 3, 1809, 68, 236);
INSERT INTO public.who_data VALUES (15948, 0, 19, 0, 0, 68, 76);
INSERT INTO public.who_data VALUES (15949, 0, 528, 0, 0, 68, 30);
INSERT INTO public.who_data VALUES (15950, 0, 46, 0, 2, 68, 128);
INSERT INTO public.who_data VALUES (15951, 300, 31110, 8, 461, 68, 86);
INSERT INTO public.who_data VALUES (15952, 2590, 2338726, 368, 57910, 68, 140);
INSERT INTO public.who_data VALUES (15953, 55, 11855, 0, 71, 68, 44);
INSERT INTO public.who_data VALUES (15954, 129, 15747, 5, 96, 68, 113);
INSERT INTO public.who_data VALUES (15955, 21, 9351, 0, 63, 68, 29);
INSERT INTO public.who_data VALUES (15956, 3, 3785, 0, 123, 68, 125);
INSERT INTO public.who_data VALUES (15957, 3837, 194900, 44, 1883, 68, 131);
INSERT INTO public.who_data VALUES (15958, 14432, 1351510, 500, 22475, 68, 46);
INSERT INTO public.who_data VALUES (15959, 81, 53014, 0, 327, 68, 10);
INSERT INTO public.who_data VALUES (15960, 3, 1075, 0, 5, 68, 205);
INSERT INTO public.who_data VALUES (15961, 639, 125173, 62, 3687, 68, 50);
INSERT INTO public.who_data VALUES (15962, 0, 19, 0, 0, 68, 20);
INSERT INTO public.who_data VALUES (15963, 2, 71, 0, 0, 68, 13);
INSERT INTO public.who_data VALUES (15964, 47, 8498, 0, 152, 68, 148);
INSERT INTO public.who_data VALUES (15965, 9, 6978, 1, 119, 68, 230);
INSERT INTO public.who_data VALUES (15966, 123, 129405, 22, 4445, 68, 190);
INSERT INTO public.who_data VALUES (15967, 0, 289, 0, 13, 68, 188);
INSERT INTO public.who_data VALUES (15968, 11, 13431, 0, 79, 68, 123);
INSERT INTO public.who_data VALUES (15969, 0, 2444, 0, 44, 68, 9);
INSERT INTO public.who_data VALUES (15970, 41, 5920, 1, 155, 68, 102);
INSERT INTO public.who_data VALUES (15971, 56, 9565, 0, 234, 68, 34);
INSERT INTO public.who_data VALUES (15972, 0, 26, 0, 0, 68, 212);
INSERT INTO public.who_data VALUES (15973, 316, 114359, 1, 2975, 68, 122);
INSERT INTO public.who_data VALUES (15974, 1893, 285763, 107, 7237, 68, 38);
INSERT INTO public.who_data VALUES (15975, 14, 5571, 0, 28, 68, 130);
INSERT INTO public.who_data VALUES (15976, 22065, 9906165, 354, 143709, 68, 37);
INSERT INTO public.who_data VALUES (15977, 5489, 623309, 137, 18956, 68, 231);
INSERT INTO public.who_data VALUES (15978, 7501, 1115770, 251, 52447, 68, 107);
INSERT INTO public.who_data VALUES (15979, 1338, 575972, 24, 12603, 68, 101);
INSERT INTO public.who_data VALUES (15980, 264, 76449, 2, 2126, 68, 132);
INSERT INTO public.who_data VALUES (15981, 0, 370, 0, 25, 68, 176);
INSERT INTO public.who_data VALUES (15982, 1729, 357667, 9, 3013, 68, 200);
INSERT INTO public.who_data VALUES (15983, 12025, 1855737, 491, 65011, 68, 169);
INSERT INTO public.who_data VALUES (15984, 82, 11792, 0, 273, 68, 225);
INSERT INTO public.who_data VALUES (15985, 2217, 181870, 58, 2643, 68, 165);
INSERT INTO public.who_data VALUES (15986, 91, 1779, 0, 32, 68, 233);
INSERT INTO public.who_data VALUES (15987, 2863, 262477, 42, 3407, 68, 215);
INSERT INTO public.who_data VALUES (15988, 930, 187890, 0, 2609, 68, 177);
INSERT INTO public.who_data VALUES (15989, 163, 92055, 6, 1593, 68, 183);
INSERT INTO public.who_data VALUES (15990, 0, 0, 0, 0, 68, 203);
INSERT INTO public.who_data VALUES (15991, 329, 46866, 5, 1193, 68, 162);
INSERT INTO public.who_data VALUES (15992, 231, 146449, 1, 912, 68, 12);
INSERT INTO public.who_data VALUES (15993, 236, 77910, 4, 1316, 68, 24);
INSERT INTO public.who_data VALUES (15994, 0, 41, 0, 0, 68, 119);
INSERT INTO public.who_data VALUES (15995, 210, 25885, 3, 352, 68, 39);
INSERT INTO public.who_data VALUES (15996, 1093, 147613, 10, 1210, 68, 26);
INSERT INTO public.who_data VALUES (15997, 0, 2150, 0, 44, 68, 59);
INSERT INTO public.who_data VALUES (15998, 0, 1771, 0, 83, 68, 77);
INSERT INTO public.who_data VALUES (15999, 578, 91357, 15, 1314, 68, 134);
INSERT INTO public.who_data VALUES (16000, 32, 1638, 0, 21, 68, 4);
INSERT INTO public.who_data VALUES (16001, 1436, 96452, 45, 1114, 68, 109);
INSERT INTO public.who_data VALUES (16002, 182, 41900, 8, 410, 68, 90);
INSERT INTO public.who_data VALUES (16003, 0, 17587, 0, 259, 68, 61);
INSERT INTO public.who_data VALUES (16004, 4, 6070, 0, 187, 68, 85);
INSERT INTO public.who_data VALUES (16005, 1371, 84846, 4, 419, 68, 49);
INSERT INTO public.who_data VALUES (16006, 11, 13379, 0, 48, 68, 208);
INSERT INTO public.who_data VALUES (16007, 22, 5836, 7, 201, 68, 166);
INSERT INTO public.who_data VALUES (16008, 52, 11153, 3, 169, 68, 64);
INSERT INTO public.who_data VALUES (16009, 0, 4, 0, 0, 68, 199);
INSERT INTO public.who_data VALUES (16010, 48, 5601, 1, 42, 68, 114);
INSERT INTO public.who_data VALUES (16011, 0, 10971, 0, 225, 68, 60);
INSERT INTO public.who_data VALUES (16012, 0, 514, 0, 10, 68, 68);
INSERT INTO public.who_data VALUES (16013, 65, 5616, 1, 53, 68, 158);
INSERT INTO public.who_data VALUES (16014, 8608, 1250044, 249, 113953, 68, 52);
INSERT INTO public.who_data VALUES (16015, 0, 0, 0, 0, 68, 117);
INSERT INTO public.who_data VALUES (16016, 4, 675, 0, 3, 68, 126);
INSERT INTO public.who_data VALUES (16017, 5, 912, 0, 0, 68, 196);
INSERT INTO public.who_data VALUES (16018, 378, 42515, 12, 596, 68, 142);
INSERT INTO public.who_data VALUES (16019, 0, 13, 0, 1, 68, 185);
INSERT INTO public.who_data VALUES (16020, 1217, 400826, 35, 6659, 68, 138);
INSERT INTO public.who_data VALUES (16021, 48, 17002, 1, 143, 68, 181);
INSERT INTO public.who_data VALUES (16022, 1127, 108342, 23, 2268, 68, 178);
INSERT INTO public.who_data VALUES (16023, 190, 16726, 3, 163, 68, 168);
INSERT INTO public.who_data VALUES (16024, 0, 0, 0, 0, 68, 160);
INSERT INTO public.who_data VALUES (16025, 821, 249244, 18, 1716, 68, 151);
INSERT INTO public.who_data VALUES (16026, 8464, 620731, 35, 10057, 68, 193);
INSERT INTO public.who_data VALUES (16027, 0, 36, 0, 0, 68, 18);
INSERT INTO public.who_data VALUES (16028, 0, 1740, 0, 25, 68, 40);
INSERT INTO public.who_data VALUES (16029, 0, 4709, 0, 162, 68, 218);
INSERT INTO public.who_data VALUES (16030, 0, 2078, 0, 77, 68, 191);
INSERT INTO public.who_data VALUES (16031, 199, 73374, 0, 1197, 68, 156);
INSERT INTO public.who_data VALUES (16032, 0, 0, 0, 0, 68, 135);
INSERT INTO public.who_data VALUES (16033, 0, 113, 0, 2, 68, 88);
INSERT INTO public.who_data VALUES (16034, 213, 73851, 26, 2147, 68, 55);
INSERT INTO public.who_data VALUES (16035, 981, 41003, 6, 393, 68, 108);
INSERT INTO public.who_data VALUES (16036, 1564, 126205, 28, 1107, 68, 48);
INSERT INTO public.who_data VALUES (16037, 264, 126504, 1, 1472, 68, 3);
INSERT INTO public.who_data VALUES (16038, 0, 744, 0, 13, 68, 224);
INSERT INTO public.who_data VALUES (16039, 2362, 440787, 36, 8832, 68, 110);
INSERT INTO public.who_data VALUES (16040, 0, 0, 0, 0, 68, 106);
INSERT INTO public.who_data VALUES (16041, 2422, 193007, 25, 3356, 68, 89);
INSERT INTO public.who_data VALUES (16042, 0, 725, 0, 8, 68, 121);
INSERT INTO public.who_data VALUES (16043, 669, 93582, 16, 1953, 68, 163);
INSERT INTO public.who_data VALUES (16044, 1928, 984973, 68, 36677, 68, 70);
INSERT INTO public.who_data VALUES (16045, 1333, 450733, 24, 8757, 68, 174);
INSERT INTO public.who_data VALUES (16046, 0, 0, 0, 0, 68, 175);
INSERT INTO public.who_data VALUES (16047, 11770, 1147446, 445, 23309, 68, 118);
INSERT INTO public.who_data VALUES (16048, 2194, 350938, 90, 5649, 68, 189);
INSERT INTO public.who_data VALUES (16049, 554, 62985, 10, 1282, 68, 124);
INSERT INTO public.who_data VALUES (16050, 160, 141121, 1, 241, 68, 192);
INSERT INTO public.who_data VALUES (16051, 880, 44358, 13, 600, 68, 41);
INSERT INTO public.who_data VALUES (16052, 735, 127253, 26, 2598, 68, 95);
INSERT INTO public.who_data VALUES (16053, 189, 8534, 1, 42, 68, 74);
INSERT INTO public.who_data VALUES (16054, 3252, 559587, 109, 13494, 68, 11);
INSERT INTO public.who_data VALUES (16055, 26689, 2707945, 577, 47968, 68, 87);
INSERT INTO public.who_data VALUES (16056, 88, 6747, 0, 56, 68, 214);
INSERT INTO public.who_data VALUES (16057, 0, 5, 0, 0, 68, 116);
INSERT INTO public.who_data VALUES (16058, 8, 172, 0, 0, 68, 157);
INSERT INTO public.who_data VALUES (16059, 0, 0, 0, 0, 68, 182);
INSERT INTO public.who_data VALUES (16060, 1, 28, 0, 0, 68, 186);
INSERT INTO public.who_data VALUES (16061, 0, 275, 0, 4, 68, 127);
INSERT INTO public.who_data VALUES (16062, 61, 899, 0, 12, 68, 232);
INSERT INTO public.who_data VALUES (16063, 0, 14, 0, 0, 68, 33);
INSERT INTO public.who_data VALUES (16064, 0, 98, 0, 0, 68, 97);
INSERT INTO public.who_data VALUES (16065, 0, 2, 0, 0, 68, 42);
INSERT INTO public.who_data VALUES (16066, 35, 1982, 1, 52, 68, 198);
INSERT INTO public.who_data VALUES (16067, 1, 1010, 0, 17, 68, 216);
INSERT INTO public.who_data VALUES (16068, 125, 360013, 11, 6059, 68, 164);
INSERT INTO public.who_data VALUES (16069, 71, 17146, 1, 350, 68, 235);
INSERT INTO public.who_data VALUES (16070, 4932, 271364, 49, 2380, 68, 67);
INSERT INTO public.who_data VALUES (16071, 0, 185, 0, 0, 68, 15);
INSERT INTO public.who_data VALUES (16072, 3, 2445, 0, 75, 68, 180);
INSERT INTO public.who_data VALUES (16073, 5, 58325, 0, 29, 68, 237);
INSERT INTO public.who_data VALUES (16074, 0, 18, 0, 0, 68, 25);
INSERT INTO public.who_data VALUES (16075, 31, 1232, 0, 26, 68, 209);
INSERT INTO public.who_data VALUES (16076, 505, 133489, 30, 1205, 68, 217);
INSERT INTO public.who_data VALUES (16077, 433, 96786, 46, 2324, 68, 79);
INSERT INTO public.who_data VALUES (16078, 0, 17, 0, 0, 68, 143);
INSERT INTO public.who_data VALUES (16079, 0, 4579, 0, 121, 68, 229);
INSERT INTO public.who_data VALUES (16080, 5163, 866127, 175, 23451, 68, 141);
INSERT INTO public.who_data VALUES (16081, 0, 3206, 0, 62, 68, 197);
INSERT INTO public.who_data VALUES (16082, 4389, 1833652, 145, 49763, 68, 221);
INSERT INTO public.who_data VALUES (16083, 688, 33478, 2, 154, 68, 150);
INSERT INTO public.who_data VALUES (16084, 218, 22082, 12, 1384, 68, 56);
INSERT INTO public.who_data VALUES (16085, 4, 5353, 0, 117, 68, 167);
INSERT INTO public.who_data VALUES (16086, 3057, 338027, 71, 8167, 68, 23);
INSERT INTO public.who_data VALUES (16087, 5915, 390162, 97, 5958, 68, 222);
INSERT INTO public.who_data VALUES (16088, 136, 9302, 12, 530, 68, 219);
INSERT INTO public.who_data VALUES (16089, 47, 12960, 0, 87, 68, 7);
INSERT INTO public.who_data VALUES (16090, 28, 4237, 0, 60, 68, 161);
INSERT INTO public.who_data VALUES (16091, 20263, 1869670, 232, 64402, 68, 149);
INSERT INTO public.who_data VALUES (16092, 0, 31, 0, 0, 68, 6);
INSERT INTO public.who_data VALUES (16093, 64, 3266, 0, 66, 68, 139);
INSERT INTO public.who_data VALUES (16094, 0, 0, 0, 0, 68, 211);
INSERT INTO public.who_data VALUES (16095, 0, 0, 0, 0, 68, 14);
INSERT INTO public.who_data VALUES (16096, 15, 6879, 0, 122, 68, 111);
INSERT INTO public.who_data VALUES (16097, 397, 111758, 21, 3915, 68, 207);
INSERT INTO public.who_data VALUES (16098, 29617, 1866345, 229, 16646, 68, 66);
INSERT INTO public.who_data VALUES (16099, 0, 0, 0, 0, 68, 173);
INSERT INTO public.who_data VALUES (16100, 0, 769, 0, 6, 68, 145);
INSERT INTO public.who_data VALUES (16101, 0, 0, 0, 0, 68, 65);
INSERT INTO public.who_data VALUES (16102, 234, 27766, 3, 224, 68, 184);
INSERT INTO public.who_data VALUES (16103, 8416, 909082, 233, 15480, 68, 98);
INSERT INTO public.who_data VALUES (16104, 1092, 186041, 1, 618, 68, 104);
INSERT INTO public.who_data VALUES (16105, 0, 509, 0, 21, 68, 73);
INSERT INTO public.who_data VALUES (16106, 180420, 16041095, 1434, 296840, 68, 8);
INSERT INTO public.who_data VALUES (16107, 16, 1807, 0, 23, 68, 227);
INSERT INTO public.who_data VALUES (16108, 528, 9708, 1, 92, 68, 75);
INSERT INTO public.who_data VALUES (16109, 147, 75241, 0, 612, 68, 45);
INSERT INTO public.who_data VALUES (16110, 0, 1, 0, 0, 68, 133);
INSERT INTO public.who_data VALUES (16111, 609, 107786, 5, 954, 68, 202);
INSERT INTO public.who_data VALUES (16112, 5, 1402, 0, 35, 68, 129);
INSERT INTO public.who_data VALUES (16113, 1, 4, 0, 0, 68, 36);
INSERT INTO public.who_data VALUES (16114, 1, 2088, 0, 607, 68, 51);
INSERT INTO public.who_data VALUES (16115, 48, 18322, 0, 367, 68, 206);
INSERT INTO public.who_data VALUES (16116, 112, 11358, 2, 309, 68, 5);
INSERT INTO public.who_data VALUES (16117, 321, 49273, 11, 1971, 69, 103);
INSERT INTO public.who_data VALUES (16118, 788, 48530, 14, 1003, 69, 58);
INSERT INTO public.who_data VALUES (16119, 464, 92102, 12, 2596, 69, 195);
INSERT INTO public.who_data VALUES (16120, 0, 0, 0, 0, 69, 115);
INSERT INTO public.who_data VALUES (16121, 50, 7338, 1, 79, 69, 99);
INSERT INTO public.who_data VALUES (16122, 27, 16188, 5, 371, 69, 153);
INSERT INTO public.who_data VALUES (16123, 0, 10, 0, 0, 69, 93);
INSERT INTO public.who_data VALUES (16124, 1, 148, 0, 4, 69, 84);
INSERT INTO public.who_data VALUES (16125, 5274, 1494602, 62, 40668, 69, 78);
INSERT INTO public.who_data VALUES (16126, 357, 147995, 17, 2498, 69, 170);
INSERT INTO public.who_data VALUES (16127, 0, 5011, 0, 46, 69, 32);
INSERT INTO public.who_data VALUES (16128, 6, 28031, 0, 908, 69, 155);
INSERT INTO public.who_data VALUES (16129, 3005, 320036, 45, 4400, 69, 82);
INSERT INTO public.who_data VALUES (16130, 4451, 175874, 39, 1922, 69, 16);
INSERT INTO public.who_data VALUES (16131, 15, 7674, 0, 163, 69, 72);
INSERT INTO public.who_data VALUES (16132, 178, 89142, 0, 348, 69, 43);
INSERT INTO public.who_data VALUES (16133, 1355, 490533, 32, 7052, 69, 120);
INSERT INTO public.who_data VALUES (16134, 0, 292, 0, 7, 69, 213);
INSERT INTO public.who_data VALUES (16135, 1961, 160295, 9, 1263, 69, 31);
INSERT INTO public.who_data VALUES (16136, 742, 610074, 92, 18100, 69, 204);
INSERT INTO public.who_data VALUES (16137, 208, 9173, 7, 192, 69, 152);
INSERT INTO public.who_data VALUES (16138, 0, 3090, 0, 44, 69, 144);
INSERT INTO public.who_data VALUES (16139, 0, 391, 0, 9, 69, 96);
INSERT INTO public.who_data VALUES (16140, 1, 438, 0, 0, 69, 47);
INSERT INTO public.who_data VALUES (16141, 333, 147030, 1, 9014, 69, 80);
INSERT INTO public.who_data VALUES (16142, 0, 150, 0, 3, 69, 159);
INSERT INTO public.who_data VALUES (16143, 811, 101117, 38, 3336, 69, 27);
INSERT INTO public.who_data VALUES (16144, 0, 12501, 0, 37, 69, 146);
INSERT INTO public.who_data VALUES (16145, 43900, 6880127, 686, 181123, 69, 71);
INSERT INTO public.who_data VALUES (16146, 0, 76, 0, 1, 69, 210);
INSERT INTO public.who_data VALUES (16147, 0, 152, 0, 3, 69, 54);
INSERT INTO public.who_data VALUES (16148, 497, 179449, 62, 5688, 69, 147);
INSERT INTO public.who_data VALUES (16149, 136, 4030, 0, 71, 69, 2);
INSERT INTO public.who_data VALUES (16150, 0, 729, 0, 1, 69, 105);
INSERT INTO public.who_data VALUES (16151, 55, 11357, 0, 110, 69, 53);
INSERT INTO public.who_data VALUES (16152, 0, 359, 0, 0, 69, 81);
INSERT INTO public.who_data VALUES (16153, 71, 25214, 0, 443, 69, 223);
INSERT INTO public.who_data VALUES (16154, 6011, 454852, 99, 13350, 69, 94);
INSERT INTO public.who_data VALUES (16155, 0, 298, 0, 2, 69, 154);
INSERT INTO public.who_data VALUES (16156, 0, 4936, 0, 63, 69, 83);
INSERT INTO public.who_data VALUES (16157, 31, 1770, 0, 102, 69, 194);
INSERT INTO public.who_data VALUES (16158, 2138, 571919, 40, 15886, 69, 136);
INSERT INTO public.who_data VALUES (16159, 114, 95064, 2, 4758, 69, 179);
INSERT INTO public.who_data VALUES (16160, 8163, 1417072, 197, 38866, 69, 57);
INSERT INTO public.who_data VALUES (16161, 0, 624, 0, 7, 69, 35);
INSERT INTO public.who_data VALUES (16162, 151, 6200, 1, 100, 69, 228);
INSERT INTO public.who_data VALUES (16163, 0, 0, 0, 0, 69, 19);
INSERT INTO public.who_data VALUES (16164, 1149, 152096, 18, 1913, 69, 22);
INSERT INTO public.who_data VALUES (16165, 41, 21680, 0, 133, 69, 1);
INSERT INTO public.who_data VALUES (16166, 3363, 175886, 78, 2640, 69, 21);
INSERT INTO public.who_data VALUES (16167, 69, 9423, 0, 137, 69, 234);
INSERT INTO public.who_data VALUES (16168, 0, 3404, 0, 8, 69, 91);
INSERT INTO public.who_data VALUES (16169, 301, 15101, 1, 78, 69, 137);
INSERT INTO public.who_data VALUES (16170, 2000, 581079, 74, 9609, 69, 201);
INSERT INTO public.who_data VALUES (16171, 0, 0, 0, 0, 69, 171);
INSERT INTO public.who_data VALUES (16172, 119, 14460, 0, 352, 69, 92);
INSERT INTO public.who_data VALUES (16173, 2642, 109758, 6, 941, 69, 112);
INSERT INTO public.who_data VALUES (16174, 4, 5729, 0, 61, 69, 62);
INSERT INTO public.who_data VALUES (16175, 0, 87, 0, 0, 69, 69);
INSERT INTO public.who_data VALUES (16176, 1107, 154692, 1, 2361, 69, 220);
INSERT INTO public.who_data VALUES (16177, 586, 202110, 1, 13875, 69, 100);
INSERT INTO public.who_data VALUES (16178, 486, 121575, 22, 6920, 69, 187);
INSERT INTO public.who_data VALUES (16179, 0, 41394, 7, 1200, 69, 63);
INSERT INTO public.who_data VALUES (16180, 0, 5185, 0, 85, 69, 28);
INSERT INTO public.who_data VALUES (16181, 55, 711, 0, 0, 69, 172);
INSERT INTO public.who_data VALUES (16182, 342, 18055, 1, 149, 69, 17);
INSERT INTO public.who_data VALUES (16183, 54, 6768, 0, 127, 69, 226);
INSERT INTO public.who_data VALUES (16184, 1409, 116769, 27, 1806, 69, 236);
INSERT INTO public.who_data VALUES (16185, 0, 19, 0, 0, 69, 76);
INSERT INTO public.who_data VALUES (16186, 3, 528, 0, 0, 69, 30);
INSERT INTO public.who_data VALUES (16187, 2, 46, 0, 2, 69, 128);
INSERT INTO public.who_data VALUES (16188, 360, 30810, 0, 453, 69, 86);
INSERT INTO public.who_data VALUES (16189, 11533, 2336136, 150, 57542, 69, 140);
INSERT INTO public.who_data VALUES (16190, 0, 11800, 0, 71, 69, 44);
INSERT INTO public.who_data VALUES (16191, 0, 15618, 0, 91, 69, 113);
INSERT INTO public.who_data VALUES (16192, 0, 9330, 0, 63, 69, 29);
INSERT INTO public.who_data VALUES (16193, 0, 3782, 0, 123, 69, 125);
INSERT INTO public.who_data VALUES (16194, 1337, 191063, 49, 1839, 69, 131);
INSERT INTO public.who_data VALUES (16195, 16362, 1337078, 188, 21975, 69, 46);
INSERT INTO public.who_data VALUES (16196, 0, 52933, 0, 327, 69, 10);
INSERT INTO public.who_data VALUES (16197, 2, 1072, 0, 5, 69, 205);
INSERT INTO public.who_data VALUES (16198, 692, 124534, 85, 3625, 69, 50);
INSERT INTO public.who_data VALUES (16199, 0, 19, 0, 0, 69, 20);
INSERT INTO public.who_data VALUES (16200, 26, 69, 0, 0, 69, 13);
INSERT INTO public.who_data VALUES (16201, 0, 8451, 0, 152, 69, 148);
INSERT INTO public.who_data VALUES (16202, 16, 6969, 1, 118, 69, 230);
INSERT INTO public.who_data VALUES (16203, 183, 129282, 18, 4423, 69, 190);
INSERT INTO public.who_data VALUES (16204, 0, 289, 0, 13, 69, 188);
INSERT INTO public.who_data VALUES (16205, 0, 13420, 0, 79, 69, 123);
INSERT INTO public.who_data VALUES (16206, 0, 2444, 0, 44, 69, 9);
INSERT INTO public.who_data VALUES (16207, 40, 5879, 0, 154, 69, 102);
INSERT INTO public.who_data VALUES (16208, 18, 9509, 1, 234, 69, 34);
INSERT INTO public.who_data VALUES (16209, 0, 26, 0, 0, 69, 212);
INSERT INTO public.who_data VALUES (16210, 335, 114043, 3, 2974, 69, 122);
INSERT INTO public.who_data VALUES (16211, 3470, 283870, 165, 7130, 69, 38);
INSERT INTO public.who_data VALUES (16212, 5, 5557, 0, 28, 69, 130);
INSERT INTO public.who_data VALUES (16213, 27071, 9884100, 336, 143355, 69, 37);
INSERT INTO public.who_data VALUES (16214, 6189, 617820, 166, 18819, 69, 231);
INSERT INTO public.who_data VALUES (16215, 7451, 1108269, 247, 52196, 69, 107);
INSERT INTO public.who_data VALUES (16216, 1012, 574634, 14, 12579, 69, 101);
INSERT INTO public.who_data VALUES (16217, 429, 76185, 1, 2124, 69, 132);
INSERT INTO public.who_data VALUES (16218, 0, 370, 0, 25, 69, 176);
INSERT INTO public.who_data VALUES (16219, 1296, 355938, 16, 3004, 69, 200);
INSERT INTO public.who_data VALUES (16220, 17937, 1843712, 484, 64520, 69, 169);
INSERT INTO public.who_data VALUES (16221, 102, 11710, 2, 273, 69, 225);
INSERT INTO public.who_data VALUES (16222, 2366, 179653, 23, 2585, 69, 165);
INSERT INTO public.who_data VALUES (16223, 51, 1688, 0, 32, 69, 233);
INSERT INTO public.who_data VALUES (16224, 2339, 259614, 30, 3365, 69, 215);
INSERT INTO public.who_data VALUES (16225, 683, 186960, 0, 2609, 69, 177);
INSERT INTO public.who_data VALUES (16226, 1587, 91892, 19, 1587, 69, 183);
INSERT INTO public.who_data VALUES (16227, 0, 0, 0, 0, 69, 203);
INSERT INTO public.who_data VALUES (16228, 462, 46537, 12, 1188, 69, 162);
INSERT INTO public.who_data VALUES (16229, 174, 146218, 0, 911, 69, 12);
INSERT INTO public.who_data VALUES (16230, 318, 77674, 5, 1312, 69, 24);
INSERT INTO public.who_data VALUES (16231, 0, 41, 0, 0, 69, 119);
INSERT INTO public.who_data VALUES (16232, 629, 25675, 25, 349, 69, 39);
INSERT INTO public.who_data VALUES (16233, 1275, 146520, 10, 1200, 69, 26);
INSERT INTO public.who_data VALUES (16234, 0, 2150, 0, 44, 69, 59);
INSERT INTO public.who_data VALUES (16235, 95, 1771, 0, 83, 69, 77);
INSERT INTO public.who_data VALUES (16236, 899, 90779, 21, 1299, 69, 134);
INSERT INTO public.who_data VALUES (16237, 31, 1606, 1, 21, 69, 4);
INSERT INTO public.who_data VALUES (16238, 1920, 95016, 28, 1069, 69, 109);
INSERT INTO public.who_data VALUES (16239, 446, 41718, 6, 402, 69, 90);
INSERT INTO public.who_data VALUES (16240, 0, 17587, 0, 259, 69, 61);
INSERT INTO public.who_data VALUES (16241, 0, 6066, 1, 187, 69, 85);
INSERT INTO public.who_data VALUES (16242, 1229, 83475, 4, 415, 69, 49);
INSERT INTO public.who_data VALUES (16243, 20, 13368, 0, 48, 69, 208);
INSERT INTO public.who_data VALUES (16244, 93, 5814, 3, 194, 69, 166);
INSERT INTO public.who_data VALUES (16245, 121, 11101, 0, 166, 69, 64);
INSERT INTO public.who_data VALUES (16246, 0, 4, 0, 0, 69, 199);
INSERT INTO public.who_data VALUES (16247, 0, 5553, 0, 41, 69, 114);
INSERT INTO public.who_data VALUES (16248, 1292, 10971, 31, 225, 69, 60);
INSERT INTO public.who_data VALUES (16249, 0, 514, 0, 10, 69, 68);
INSERT INTO public.who_data VALUES (16250, 0, 5551, 0, 52, 69, 158);
INSERT INTO public.who_data VALUES (16251, 12057, 1241436, 685, 113704, 69, 52);
INSERT INTO public.who_data VALUES (16252, 0, 0, 0, 0, 69, 117);
INSERT INTO public.who_data VALUES (16253, 0, 671, 0, 3, 69, 126);
INSERT INTO public.who_data VALUES (16254, 1, 907, 0, 0, 69, 196);
INSERT INTO public.who_data VALUES (16255, 432, 42137, 3, 584, 69, 142);
INSERT INTO public.who_data VALUES (16256, 0, 13, 0, 1, 69, 185);
INSERT INTO public.who_data VALUES (16257, 2012, 399609, 35, 6624, 69, 138);
INSERT INTO public.who_data VALUES (16258, 142, 16954, 2, 142, 69, 181);
INSERT INTO public.who_data VALUES (16259, 1352, 107215, 25, 2245, 69, 178);
INSERT INTO public.who_data VALUES (16260, 439, 16536, 0, 160, 69, 168);
INSERT INTO public.who_data VALUES (16261, 0, 0, 0, 0, 69, 160);
INSERT INTO public.who_data VALUES (16262, 830, 248423, 9, 1698, 69, 151);
INSERT INTO public.who_data VALUES (16263, 9881, 612267, 29, 10022, 69, 193);
INSERT INTO public.who_data VALUES (16264, 0, 36, 0, 0, 69, 18);
INSERT INTO public.who_data VALUES (16265, 0, 1740, 0, 25, 69, 40);
INSERT INTO public.who_data VALUES (16266, 0, 4709, 0, 162, 69, 218);
INSERT INTO public.who_data VALUES (16267, 222, 2078, 0, 77, 69, 191);
INSERT INTO public.who_data VALUES (16268, 418, 73175, 3, 1197, 69, 156);
INSERT INTO public.who_data VALUES (16269, 0, 0, 0, 0, 69, 135);
INSERT INTO public.who_data VALUES (16270, 0, 113, 0, 2, 69, 88);
INSERT INTO public.who_data VALUES (16271, 551, 73638, 25, 2121, 69, 55);
INSERT INTO public.who_data VALUES (16272, 0, 40022, 0, 387, 69, 108);
INSERT INTO public.who_data VALUES (16273, 1639, 124641, 17, 1079, 69, 48);
INSERT INTO public.who_data VALUES (16274, 571, 126240, 8, 1471, 69, 3);
INSERT INTO public.who_data VALUES (16275, 0, 744, 0, 13, 69, 224);
INSERT INTO public.who_data VALUES (16276, 3369, 438425, 72, 8796, 69, 110);
INSERT INTO public.who_data VALUES (16277, 0, 0, 0, 0, 69, 106);
INSERT INTO public.who_data VALUES (16278, 2806, 190585, 22, 3331, 69, 89);
INSERT INTO public.who_data VALUES (16279, 5, 725, 0, 8, 69, 121);
INSERT INTO public.who_data VALUES (16280, 800, 92913, 10, 1937, 69, 163);
INSERT INTO public.who_data VALUES (16281, 2102, 983045, 65, 36609, 69, 70);
INSERT INTO public.who_data VALUES (16282, 1069, 449400, 3, 8733, 69, 174);
INSERT INTO public.who_data VALUES (16283, 0, 0, 0, 0, 69, 175);
INSERT INTO public.who_data VALUES (16284, 8976, 1135676, 188, 22864, 69, 118);
INSERT INTO public.who_data VALUES (16285, 4044, 348744, 98, 5559, 69, 189);
INSERT INTO public.who_data VALUES (16286, 708, 62431, 6, 1272, 69, 124);
INSERT INTO public.who_data VALUES (16287, 134, 140961, 0, 240, 69, 192);
INSERT INTO public.who_data VALUES (16288, 718, 43478, 7, 587, 69, 41);
INSERT INTO public.who_data VALUES (16289, 795, 126518, 25, 2572, 69, 95);
INSERT INTO public.who_data VALUES (16290, 0, 8345, 0, 41, 69, 74);
INSERT INTO public.who_data VALUES (16291, 4435, 556335, 121, 13385, 69, 11);
INSERT INTO public.who_data VALUES (16292, 27328, 2681256, 450, 47391, 69, 87);
INSERT INTO public.who_data VALUES (16293, 131, 6659, 0, 56, 69, 214);
INSERT INTO public.who_data VALUES (16294, 0, 5, 0, 0, 69, 116);
INSERT INTO public.who_data VALUES (16295, 0, 164, 0, 0, 69, 157);
INSERT INTO public.who_data VALUES (16296, 0, 0, 0, 0, 69, 182);
INSERT INTO public.who_data VALUES (16297, 0, 27, 0, 0, 69, 186);
INSERT INTO public.who_data VALUES (16298, 1, 275, 0, 4, 69, 127);
INSERT INTO public.who_data VALUES (16299, 0, 838, 0, 12, 69, 232);
INSERT INTO public.who_data VALUES (16300, 0, 14, 0, 0, 69, 33);
INSERT INTO public.who_data VALUES (16301, 4, 98, 0, 0, 69, 97);
INSERT INTO public.who_data VALUES (16302, 0, 2, 0, 0, 69, 42);
INSERT INTO public.who_data VALUES (16303, 15, 1947, 0, 51, 69, 198);
INSERT INTO public.who_data VALUES (16304, 0, 1009, 0, 17, 69, 216);
INSERT INTO public.who_data VALUES (16305, 139, 359888, 12, 6048, 69, 164);
INSERT INTO public.who_data VALUES (16306, 14, 17075, 0, 349, 69, 235);
INSERT INTO public.who_data VALUES (16307, 4995, 266432, 56, 2331, 69, 67);
INSERT INTO public.who_data VALUES (16308, 0, 185, 0, 0, 69, 15);
INSERT INTO public.who_data VALUES (16309, 7, 2442, 0, 75, 69, 180);
INSERT INTO public.who_data VALUES (16310, 7, 58320, 0, 29, 69, 237);
INSERT INTO public.who_data VALUES (16311, 0, 18, 0, 0, 69, 25);
INSERT INTO public.who_data VALUES (16312, 0, 1201, 0, 26, 69, 209);
INSERT INTO public.who_data VALUES (16313, 2190, 132984, 27, 1175, 69, 217);
INSERT INTO public.who_data VALUES (16314, 834, 96353, 39, 2278, 69, 79);
INSERT INTO public.who_data VALUES (16315, 0, 17, 0, 0, 69, 143);
INSERT INTO public.who_data VALUES (16316, 0, 4579, 0, 121, 69, 229);
INSERT INTO public.who_data VALUES (16317, 7999, 860964, 170, 23276, 69, 141);
INSERT INTO public.who_data VALUES (16318, 25, 3206, 0, 62, 69, 197);
INSERT INTO public.who_data VALUES (16319, 6757, 1829263, 153, 49618, 69, 221);
INSERT INTO public.who_data VALUES (16320, 655, 32790, 3, 152, 69, 150);
INSERT INTO public.who_data VALUES (16321, 273, 21864, 17, 1372, 69, 56);
INSERT INTO public.who_data VALUES (16322, 10, 5349, 0, 117, 69, 167);
INSERT INTO public.who_data VALUES (16323, 6538, 334970, 67, 8096, 69, 23);
INSERT INTO public.who_data VALUES (16324, 2086, 384247, 83, 5861, 69, 222);
INSERT INTO public.who_data VALUES (16325, 125, 9166, 12, 518, 69, 219);
INSERT INTO public.who_data VALUES (16326, 56, 12913, 0, 87, 69, 7);
INSERT INTO public.who_data VALUES (16327, 17, 4209, 0, 60, 69, 161);
INSERT INTO public.who_data VALUES (16328, 18447, 1849407, 144, 64170, 69, 149);
INSERT INTO public.who_data VALUES (16329, 0, 31, 0, 0, 69, 6);
INSERT INTO public.who_data VALUES (16330, 0, 3202, 0, 66, 69, 139);
INSERT INTO public.who_data VALUES (16331, 0, 0, 0, 0, 69, 211);
INSERT INTO public.who_data VALUES (16332, 0, 0, 0, 0, 69, 14);
INSERT INTO public.who_data VALUES (16333, 12, 6864, 0, 122, 69, 111);
INSERT INTO public.who_data VALUES (16334, 968, 111361, 58, 3894, 69, 207);
INSERT INTO public.who_data VALUES (16335, 26919, 1836728, 218, 16417, 69, 66);
INSERT INTO public.who_data VALUES (16336, 0, 0, 0, 0, 69, 173);
INSERT INTO public.who_data VALUES (16337, 0, 769, 0, 6, 69, 145);
INSERT INTO public.who_data VALUES (16338, 0, 0, 0, 0, 69, 65);
INSERT INTO public.who_data VALUES (16339, 461, 27532, 1, 221, 69, 184);
INSERT INTO public.who_data VALUES (16340, 6451, 900666, 93, 15247, 69, 98);
INSERT INTO public.who_data VALUES (16341, 1194, 184949, 8, 617, 69, 104);
INSERT INTO public.who_data VALUES (16342, 0, 509, 0, 21, 69, 73);
INSERT INTO public.who_data VALUES (16343, 212577, 15860675, 2277, 295406, 69, 8);
INSERT INTO public.who_data VALUES (16344, 0, 1791, 0, 23, 69, 227);
INSERT INTO public.who_data VALUES (16345, 331, 9180, 1, 91, 69, 75);
INSERT INTO public.who_data VALUES (16346, 283, 75094, 0, 612, 69, 45);
INSERT INTO public.who_data VALUES (16347, 0, 1, 0, 0, 69, 133);
INSERT INTO public.who_data VALUES (16348, 462, 107177, 5, 949, 69, 202);
INSERT INTO public.who_data VALUES (16349, 2, 1397, 0, 35, 69, 129);
INSERT INTO public.who_data VALUES (16350, 0, 3, 0, 0, 69, 36);
INSERT INTO public.who_data VALUES (16351, 0, 2087, 0, 607, 69, 51);
INSERT INTO public.who_data VALUES (16352, 183, 18274, 3, 367, 69, 206);
INSERT INTO public.who_data VALUES (16353, 165, 11246, 2, 307, 69, 5);
INSERT INTO public.who_data VALUES (16354, 126, 48952, 11, 1960, 70, 103);
INSERT INTO public.who_data VALUES (16355, 879, 47742, 12, 989, 70, 58);
INSERT INTO public.who_data VALUES (16356, 517, 91638, 9, 2584, 70, 195);
INSERT INTO public.who_data VALUES (16357, 0, 0, 0, 0, 70, 115);
INSERT INTO public.who_data VALUES (16358, 52, 7288, 0, 78, 70, 99);
INSERT INTO public.who_data VALUES (16359, 100, 16161, 1, 366, 70, 153);
INSERT INTO public.who_data VALUES (16360, 0, 10, 0, 0, 70, 93);
INSERT INTO public.who_data VALUES (16361, 0, 147, 0, 4, 70, 84);
INSERT INTO public.who_data VALUES (16362, 5952, 1489328, 164, 40606, 70, 78);
INSERT INTO public.who_data VALUES (16363, 1013, 147638, 24, 2481, 70, 170);
INSERT INTO public.who_data VALUES (16364, 0, 5011, 0, 46, 70, 32);
INSERT INTO public.who_data VALUES (16365, 13, 28025, 0, 908, 70, 155);
INSERT INTO public.who_data VALUES (16366, 2938, 317031, 96, 4355, 70, 82);
INSERT INTO public.who_data VALUES (16367, 4268, 171423, 43, 1883, 70, 16);
INSERT INTO public.who_data VALUES (16368, 36, 7659, 0, 163, 70, 72);
INSERT INTO public.who_data VALUES (16369, 145, 88964, 1, 348, 70, 43);
INSERT INTO public.who_data VALUES (16370, 1329, 489178, 34, 7020, 70, 120);
INSERT INTO public.who_data VALUES (16371, 1, 292, 0, 7, 70, 213);
INSERT INTO public.who_data VALUES (16372, 1975, 158334, 8, 1254, 70, 31);
INSERT INTO public.who_data VALUES (16373, 1595, 609332, 87, 18008, 70, 204);
INSERT INTO public.who_data VALUES (16374, 160, 8965, 2, 185, 70, 152);
INSERT INTO public.who_data VALUES (16375, 0, 3090, 0, 44, 70, 144);
INSERT INTO public.who_data VALUES (16376, 27, 391, 0, 9, 70, 96);
INSERT INTO public.who_data VALUES (16377, 1, 437, 0, 0, 70, 47);
INSERT INTO public.who_data VALUES (16378, 312, 146697, 5, 9013, 70, 80);
INSERT INTO public.who_data VALUES (16379, 0, 150, 0, 3, 70, 159);
INSERT INTO public.who_data VALUES (16380, 1703, 100306, 99, 3298, 70, 27);
INSERT INTO public.who_data VALUES (16381, 0, 12501, 0, 37, 70, 146);
INSERT INTO public.who_data VALUES (16382, 54428, 6836227, 672, 180437, 70, 71);
INSERT INTO public.who_data VALUES (16383, 0, 76, 0, 1, 70, 210);
INSERT INTO public.who_data VALUES (16384, 0, 152, 0, 3, 70, 54);
INSERT INTO public.who_data VALUES (16385, 1287, 178952, 64, 5626, 70, 147);
INSERT INTO public.who_data VALUES (16386, 315, 3894, 2, 71, 70, 2);
INSERT INTO public.who_data VALUES (16387, 1, 729, 0, 1, 70, 105);
INSERT INTO public.who_data VALUES (16388, 40, 11302, 0, 110, 70, 53);
INSERT INTO public.who_data VALUES (16389, 2, 359, 0, 0, 70, 81);
INSERT INTO public.who_data VALUES (16390, 0, 25143, 0, 443, 70, 223);
INSERT INTO public.who_data VALUES (16391, 6772, 448841, 142, 13251, 70, 94);
INSERT INTO public.who_data VALUES (16392, 0, 298, 0, 2, 70, 154);
INSERT INTO public.who_data VALUES (16393, 0, 4936, 0, 63, 70, 83);
INSERT INTO public.who_data VALUES (16394, 0, 1739, 0, 102, 70, 194);
INSERT INTO public.who_data VALUES (16395, 1807, 569781, 64, 15846, 70, 136);
INSERT INTO public.who_data VALUES (16396, 101, 94950, 1, 4756, 70, 179);
INSERT INTO public.who_data VALUES (16397, 8998, 1408909, 185, 38669, 70, 57);
INSERT INTO public.who_data VALUES (16398, 0, 624, 0, 7, 70, 35);
INSERT INTO public.who_data VALUES (16399, 0, 6049, 0, 99, 70, 228);
INSERT INTO public.who_data VALUES (16400, 0, 0, 0, 0, 70, 19);
INSERT INTO public.who_data VALUES (16401, 1132, 150947, 13, 1895, 70, 22);
INSERT INTO public.who_data VALUES (16402, 21, 21639, 0, 133, 70, 1);
INSERT INTO public.who_data VALUES (16403, 4135, 172523, 78, 2562, 70, 21);
INSERT INTO public.who_data VALUES (16404, 87, 9354, 1, 137, 70, 234);
INSERT INTO public.who_data VALUES (16405, 0, 3404, 0, 8, 70, 91);
INSERT INTO public.who_data VALUES (16406, 324, 14800, 2, 77, 70, 137);
INSERT INTO public.who_data VALUES (16407, 3657, 579079, 85, 9535, 70, 201);
INSERT INTO public.who_data VALUES (16408, 0, 0, 0, 0, 70, 171);
INSERT INTO public.who_data VALUES (16409, 172, 14341, 2, 352, 70, 92);
INSERT INTO public.who_data VALUES (16410, 3552, 107116, 8, 935, 70, 112);
INSERT INTO public.who_data VALUES (16411, 4, 5725, 0, 61, 70, 62);
INSERT INTO public.who_data VALUES (16412, 0, 87, 0, 0, 70, 69);
INSERT INTO public.who_data VALUES (16413, 1133, 153585, 1, 2360, 70, 220);
INSERT INTO public.who_data VALUES (16414, 759, 201524, 16, 13874, 70, 100);
INSERT INTO public.who_data VALUES (16415, 478, 121089, 21, 6898, 70, 187);
INSERT INTO public.who_data VALUES (16416, 653, 41394, 7, 1193, 70, 63);
INSERT INTO public.who_data VALUES (16417, 2, 5185, 0, 85, 70, 28);
INSERT INTO public.who_data VALUES (16418, 0, 656, 0, 0, 70, 172);
INSERT INTO public.who_data VALUES (16419, 757, 17713, 6, 148, 70, 17);
INSERT INTO public.who_data VALUES (16420, 29, 6714, 1, 127, 70, 226);
INSERT INTO public.who_data VALUES (16421, 0, 115360, 0, 1779, 70, 236);
INSERT INTO public.who_data VALUES (16422, 0, 19, 0, 0, 70, 76);
INSERT INTO public.who_data VALUES (16423, 5, 525, 0, 0, 70, 30);
INSERT INTO public.who_data VALUES (16424, 0, 44, 0, 2, 70, 128);
INSERT INTO public.who_data VALUES (16425, 377, 30450, 0, 453, 70, 86);
INSERT INTO public.who_data VALUES (16426, 13902, 2324603, 194, 57392, 70, 140);
INSERT INTO public.who_data VALUES (16427, 45, 11800, 0, 71, 70, 44);
INSERT INTO public.who_data VALUES (16428, 0, 15618, 0, 91, 70, 113);
INSERT INTO public.who_data VALUES (16429, 0, 9330, 0, 63, 70, 29);
INSERT INTO public.who_data VALUES (16430, 2, 3782, 0, 123, 70, 125);
INSERT INTO public.who_data VALUES (16431, 2720, 189726, 46, 1790, 70, 131);
INSERT INTO public.who_data VALUES (16432, 20200, 1320716, 321, 21787, 70, 46);
INSERT INTO public.who_data VALUES (16433, 195, 52933, 1, 327, 70, 10);
INSERT INTO public.who_data VALUES (16434, 1, 1070, 0, 5, 70, 205);
INSERT INTO public.who_data VALUES (16435, 1194, 123842, 68, 3540, 70, 50);
INSERT INTO public.who_data VALUES (16436, 0, 19, 0, 0, 70, 20);
INSERT INTO public.who_data VALUES (16437, 0, 43, 0, 0, 70, 13);
INSERT INTO public.who_data VALUES (16438, 0, 8451, 0, 152, 70, 148);
INSERT INTO public.who_data VALUES (16439, 11, 6953, 2, 117, 70, 230);
INSERT INTO public.who_data VALUES (16440, 558, 129099, 29, 4405, 70, 190);
INSERT INTO public.who_data VALUES (16441, 0, 289, 0, 13, 70, 188);
INSERT INTO public.who_data VALUES (16442, 22, 13420, 0, 79, 70, 123);
INSERT INTO public.who_data VALUES (16443, 0, 2444, 0, 44, 70, 9);
INSERT INTO public.who_data VALUES (16444, 28, 5839, 0, 154, 70, 102);
INSERT INTO public.who_data VALUES (16445, 26, 9491, 0, 233, 70, 34);
INSERT INTO public.who_data VALUES (16446, 0, 26, 0, 0, 70, 212);
INSERT INTO public.who_data VALUES (16447, 501, 113708, 3, 2971, 70, 122);
INSERT INTO public.who_data VALUES (16448, 4153, 280400, 181, 6965, 70, 38);
INSERT INTO public.who_data VALUES (16449, 13, 5552, 0, 28, 70, 130);
INSERT INTO public.who_data VALUES (16450, 30254, 9857029, 391, 143019, 70, 37);
INSERT INTO public.who_data VALUES (16451, 6388, 611631, 142, 18653, 70, 231);
INSERT INTO public.who_data VALUES (16452, 8201, 1100818, 221, 51949, 70, 107);
INSERT INTO public.who_data VALUES (16453, 1022, 573622, 16, 12565, 70, 101);
INSERT INTO public.who_data VALUES (16454, 249, 75756, 3, 2123, 70, 132);
INSERT INTO public.who_data VALUES (16455, 0, 370, 0, 25, 70, 176);
INSERT INTO public.who_data VALUES (16456, 1835, 354642, 12, 2988, 70, 200);
INSERT INTO public.who_data VALUES (16457, 19902, 1825775, 649, 64036, 70, 169);
INSERT INTO public.who_data VALUES (16458, 99, 11608, 1, 271, 70, 225);
INSERT INTO public.who_data VALUES (16459, 2988, 177287, 28, 2562, 70, 165);
INSERT INTO public.who_data VALUES (16460, 82, 1637, 0, 32, 70, 233);
INSERT INTO public.who_data VALUES (16461, 1816, 257275, 49, 3335, 70, 215);
INSERT INTO public.who_data VALUES (16462, 764, 186277, 67, 2609, 70, 177);
INSERT INTO public.who_data VALUES (16463, 0, 90305, 0, 1568, 70, 183);
INSERT INTO public.who_data VALUES (16464, 0, 0, 0, 0, 70, 203);
INSERT INTO public.who_data VALUES (16465, 524, 46075, 12, 1176, 70, 162);
INSERT INTO public.who_data VALUES (16466, 255, 146044, 1, 911, 70, 12);
INSERT INTO public.who_data VALUES (16467, 297, 77356, 0, 1307, 70, 24);
INSERT INTO public.who_data VALUES (16468, 0, 41, 0, 0, 70, 119);
INSERT INTO public.who_data VALUES (16469, 660, 25046, 5, 324, 70, 39);
INSERT INTO public.who_data VALUES (16470, 1540, 145245, 8, 1190, 70, 26);
INSERT INTO public.who_data VALUES (16471, 0, 2150, 0, 44, 70, 59);
INSERT INTO public.who_data VALUES (16472, 0, 1676, 0, 83, 70, 77);
INSERT INTO public.who_data VALUES (16473, 0, 89880, 0, 1278, 70, 134);
INSERT INTO public.who_data VALUES (16474, 27, 1575, 0, 20, 70, 4);
INSERT INTO public.who_data VALUES (16475, 2841, 93096, 54, 1041, 70, 109);
INSERT INTO public.who_data VALUES (16476, 517, 41272, 4, 396, 70, 90);
INSERT INTO public.who_data VALUES (16477, 114, 17587, 4, 259, 70, 61);
INSERT INTO public.who_data VALUES (16478, 11, 6066, 0, 186, 70, 85);
INSERT INTO public.who_data VALUES (16479, 1937, 82246, 9, 411, 70, 49);
INSERT INTO public.who_data VALUES (16480, 22, 13348, 0, 48, 70, 208);
INSERT INTO public.who_data VALUES (16481, 72, 5721, 6, 191, 70, 166);
INSERT INTO public.who_data VALUES (16482, 96, 10980, 2, 166, 70, 64);
INSERT INTO public.who_data VALUES (16483, 0, 4, 0, 0, 70, 199);
INSERT INTO public.who_data VALUES (16484, 0, 5553, 0, 41, 70, 114);
INSERT INTO public.who_data VALUES (16485, 0, 9679, 0, 194, 70, 60);
INSERT INTO public.who_data VALUES (16486, 0, 514, 0, 10, 70, 68);
INSERT INTO public.who_data VALUES (16487, 0, 5551, 0, 52, 70, 158);
INSERT INTO public.who_data VALUES (16488, 12253, 1229379, 693, 113019, 70, 52);
INSERT INTO public.who_data VALUES (16489, 0, 0, 0, 0, 70, 117);
INSERT INTO public.who_data VALUES (16490, 9, 671, 0, 3, 70, 126);
INSERT INTO public.who_data VALUES (16491, 1, 906, 0, 0, 70, 196);
INSERT INTO public.who_data VALUES (16492, 352, 41705, 4, 581, 70, 142);
INSERT INTO public.who_data VALUES (16493, 0, 13, 0, 1, 70, 185);
INSERT INTO public.who_data VALUES (16494, 3033, 397597, 47, 6589, 70, 138);
INSERT INTO public.who_data VALUES (16495, 132, 16812, 1, 140, 70, 181);
INSERT INTO public.who_data VALUES (16496, 1376, 105863, 19, 2220, 70, 178);
INSERT INTO public.who_data VALUES (16497, 0, 16097, 0, 160, 70, 168);
INSERT INTO public.who_data VALUES (16498, 0, 0, 0, 0, 70, 160);
INSERT INTO public.who_data VALUES (16499, 899, 247593, 15, 1689, 70, 151);
INSERT INTO public.who_data VALUES (16500, 9124, 602386, 53, 9993, 70, 193);
INSERT INTO public.who_data VALUES (16501, 0, 36, 0, 0, 70, 18);
INSERT INTO public.who_data VALUES (16502, 4, 1740, 0, 25, 70, 40);
INSERT INTO public.who_data VALUES (16503, 0, 4709, 0, 162, 70, 218);
INSERT INTO public.who_data VALUES (16504, 0, 1856, 0, 77, 70, 191);
INSERT INTO public.who_data VALUES (16505, 617, 72757, 4, 1194, 70, 156);
INSERT INTO public.who_data VALUES (16506, 0, 0, 0, 0, 70, 135);
INSERT INTO public.who_data VALUES (16507, 0, 113, 0, 2, 70, 88);
INSERT INTO public.who_data VALUES (16508, 1043, 73087, 19, 2096, 70, 55);
INSERT INTO public.who_data VALUES (16509, 0, 40022, 0, 387, 70, 108);
INSERT INTO public.who_data VALUES (16510, 1845, 123002, 33, 1062, 70, 48);
INSERT INTO public.who_data VALUES (16511, 0, 125669, 0, 1463, 70, 3);
INSERT INTO public.who_data VALUES (16512, 0, 744, 0, 13, 70, 224);
INSERT INTO public.who_data VALUES (16513, 2729, 435056, 71, 8724, 70, 110);
INSERT INTO public.who_data VALUES (16514, 0, 0, 0, 0, 70, 106);
INSERT INTO public.who_data VALUES (16515, 2355, 187779, 22, 3309, 70, 89);
INSERT INTO public.who_data VALUES (16516, 0, 720, 0, 8, 70, 121);
INSERT INTO public.who_data VALUES (16517, 1155, 92113, 13, 1927, 70, 163);
INSERT INTO public.who_data VALUES (16518, 1832, 980943, 45, 36544, 70, 70);
INSERT INTO public.who_data VALUES (16519, 1292, 448331, 21, 8730, 70, 174);
INSERT INTO public.who_data VALUES (16520, 0, 0, 0, 0, 70, 175);
INSERT INTO public.who_data VALUES (16521, 11499, 1126700, 502, 22676, 70, 118);
INSERT INTO public.who_data VALUES (16522, 4413, 344700, 88, 5461, 70, 189);
INSERT INTO public.who_data VALUES (16523, 721, 61723, 17, 1266, 70, 124);
INSERT INTO public.who_data VALUES (16524, 147, 140827, 0, 240, 70, 192);
INSERT INTO public.who_data VALUES (16525, 1030, 42760, 2, 580, 70, 41);
INSERT INTO public.who_data VALUES (16526, 1459, 125723, 26, 2547, 70, 95);
INSERT INTO public.who_data VALUES (16527, 0, 8345, 0, 41, 70, 74);
INSERT INTO public.who_data VALUES (16528, 6333, 551900, 148, 13264, 70, 11);
INSERT INTO public.who_data VALUES (16529, 28080, 2653928, 488, 46941, 70, 87);
INSERT INTO public.who_data VALUES (16530, 100, 6528, 2, 56, 70, 214);
INSERT INTO public.who_data VALUES (16531, 0, 5, 0, 0, 70, 116);
INSERT INTO public.who_data VALUES (16532, 0, 164, 0, 0, 70, 157);
INSERT INTO public.who_data VALUES (16533, 0, 0, 0, 0, 70, 182);
INSERT INTO public.who_data VALUES (16534, 0, 27, 0, 0, 70, 186);
INSERT INTO public.who_data VALUES (16535, 0, 274, 0, 4, 70, 127);
INSERT INTO public.who_data VALUES (16536, 0, 838, 0, 12, 70, 232);
INSERT INTO public.who_data VALUES (16537, 0, 14, 0, 0, 70, 33);
INSERT INTO public.who_data VALUES (16538, 0, 94, 0, 0, 70, 97);
INSERT INTO public.who_data VALUES (16539, 0, 2, 0, 0, 70, 42);
INSERT INTO public.who_data VALUES (16540, 24, 1932, 1, 51, 70, 198);
INSERT INTO public.who_data VALUES (16541, 0, 1009, 0, 17, 70, 216);
INSERT INTO public.who_data VALUES (16542, 166, 359749, 13, 6036, 70, 164);
INSERT INTO public.who_data VALUES (16543, 168, 17061, 4, 349, 70, 235);
INSERT INTO public.who_data VALUES (16544, 5679, 261437, 48, 2275, 70, 67);
INSERT INTO public.who_data VALUES (16545, 0, 185, 0, 0, 70, 15);
INSERT INTO public.who_data VALUES (16546, 0, 2435, 0, 75, 70, 180);
INSERT INTO public.who_data VALUES (16547, 8, 58313, 0, 29, 70, 237);
INSERT INTO public.who_data VALUES (16548, 0, 18, 0, 0, 70, 25);
INSERT INTO public.who_data VALUES (16549, 0, 1201, 0, 26, 70, 209);
INSERT INTO public.who_data VALUES (16550, 3707, 130794, 26, 1148, 70, 217);
INSERT INTO public.who_data VALUES (16551, 1750, 95519, 53, 2239, 70, 79);
INSERT INTO public.who_data VALUES (16552, 0, 17, 0, 0, 70, 143);
INSERT INTO public.who_data VALUES (16553, 0, 4579, 0, 121, 70, 229);
INSERT INTO public.who_data VALUES (16554, 7882, 852965, 154, 23106, 70, 141);
INSERT INTO public.who_data VALUES (16555, 0, 3181, 0, 62, 70, 197);
INSERT INTO public.who_data VALUES (16556, 11736, 1822506, 188, 49465, 70, 221);
INSERT INTO public.who_data VALUES (16557, 1522, 32135, 3, 149, 70, 150);
INSERT INTO public.who_data VALUES (16558, 205, 21591, 8, 1355, 70, 56);
INSERT INTO public.who_data VALUES (16559, 2, 5339, 0, 117, 70, 167);
INSERT INTO public.who_data VALUES (16560, 7717, 328432, 88, 8029, 70, 23);
INSERT INTO public.who_data VALUES (16561, 2864, 382161, 84, 5778, 70, 222);
INSERT INTO public.who_data VALUES (16562, 130, 9041, 15, 506, 70, 219);
INSERT INTO public.who_data VALUES (16563, 59, 12857, 0, 87, 70, 7);
INSERT INTO public.who_data VALUES (16564, 12, 4192, 0, 60, 70, 161);
INSERT INTO public.who_data VALUES (16565, 21501, 1830960, 520, 64026, 70, 149);
INSERT INTO public.who_data VALUES (16566, 0, 31, 0, 0, 70, 6);
INSERT INTO public.who_data VALUES (16567, 70, 3202, 1, 66, 70, 139);
INSERT INTO public.who_data VALUES (16568, 0, 0, 0, 0, 70, 211);
INSERT INTO public.who_data VALUES (16569, 0, 0, 0, 0, 70, 14);
INSERT INTO public.who_data VALUES (16570, 19, 6852, 0, 122, 70, 111);
INSERT INTO public.who_data VALUES (16571, 1289, 110393, 35, 3836, 70, 207);
INSERT INTO public.who_data VALUES (16572, 29136, 1809809, 222, 16199, 70, 66);
INSERT INTO public.who_data VALUES (16573, 0, 0, 0, 0, 70, 173);
INSERT INTO public.who_data VALUES (16574, 1, 769, 0, 6, 70, 145);
INSERT INTO public.who_data VALUES (16575, 0, 0, 0, 0, 70, 65);
INSERT INTO public.who_data VALUES (16576, 702, 27071, 0, 220, 70, 184);
INSERT INTO public.who_data VALUES (16577, 9176, 894215, 156, 15154, 70, 98);
INSERT INTO public.who_data VALUES (16578, 1154, 183755, 2, 609, 70, 104);
INSERT INTO public.who_data VALUES (16579, 0, 509, 0, 21, 70, 73);
INSERT INTO public.who_data VALUES (16580, 243209, 15648098, 2996, 293129, 70, 8);
INSERT INTO public.who_data VALUES (16581, 58, 1791, 0, 23, 70, 227);
INSERT INTO public.who_data VALUES (16582, 362, 8849, 0, 90, 70, 75);
INSERT INTO public.who_data VALUES (16583, 0, 74811, 0, 612, 70, 45);
INSERT INTO public.who_data VALUES (16584, 0, 1, 0, 0, 70, 133);
INSERT INTO public.who_data VALUES (16585, 435, 106715, 6, 944, 70, 202);
INSERT INTO public.who_data VALUES (16586, 4, 1395, 0, 35, 70, 129);
INSERT INTO public.who_data VALUES (16587, 0, 3, 0, 0, 70, 36);
INSERT INTO public.who_data VALUES (16588, 1, 2087, 0, 607, 70, 51);
INSERT INTO public.who_data VALUES (16589, 0, 18091, 0, 364, 70, 206);
INSERT INTO public.who_data VALUES (16590, 0, 11081, 0, 305, 70, 5);
INSERT INTO public.who_data VALUES (16591, 73, 48826, 10, 1949, 71, 103);
INSERT INTO public.who_data VALUES (16592, 802, 46863, 12, 977, 71, 58);
INSERT INTO public.who_data VALUES (16593, 542, 91121, 11, 2575, 71, 195);
INSERT INTO public.who_data VALUES (16594, 0, 0, 0, 0, 71, 115);
INSERT INTO public.who_data VALUES (16595, 46, 7236, 0, 78, 71, 99);
INSERT INTO public.who_data VALUES (16596, 136, 16061, 3, 365, 71, 153);
INSERT INTO public.who_data VALUES (16597, 0, 10, 0, 0, 71, 93);
INSERT INTO public.who_data VALUES (16598, 1, 147, 0, 4, 71, 84);
INSERT INTO public.who_data VALUES (16599, 8154, 1483376, 220, 40442, 71, 78);
INSERT INTO public.who_data VALUES (16600, 995, 146625, 17, 2457, 71, 170);
INSERT INTO public.who_data VALUES (16601, 15, 5011, 0, 46, 71, 32);
INSERT INTO public.who_data VALUES (16602, 12, 28012, 0, 908, 71, 155);
INSERT INTO public.who_data VALUES (16603, 3026, 314093, 101, 4259, 71, 82);
INSERT INTO public.who_data VALUES (16604, 4381, 167155, 47, 1840, 71, 16);
INSERT INTO public.who_data VALUES (16605, 0, 7623, 0, 163, 71, 72);
INSERT INTO public.who_data VALUES (16606, 188, 88819, 0, 347, 71, 43);
INSERT INTO public.who_data VALUES (16607, 1884, 487849, 19, 6986, 71, 120);
INSERT INTO public.who_data VALUES (16608, 1, 291, 0, 7, 71, 213);
INSERT INTO public.who_data VALUES (16609, 1967, 156359, 8, 1246, 71, 31);
INSERT INTO public.who_data VALUES (16610, 2918, 607737, 114, 17921, 71, 204);
INSERT INTO public.who_data VALUES (16611, 286, 8805, 0, 183, 71, 152);
INSERT INTO public.who_data VALUES (16612, 0, 3090, 0, 44, 71, 144);
INSERT INTO public.who_data VALUES (16613, 0, 364, 0, 9, 71, 96);
INSERT INTO public.who_data VALUES (16614, 2, 436, 0, 0, 71, 47);
INSERT INTO public.who_data VALUES (16615, 325, 146385, 4, 9008, 71, 80);
INSERT INTO public.who_data VALUES (16616, 1, 150, 0, 3, 71, 159);
INSERT INTO public.who_data VALUES (16617, 0, 98603, 0, 3199, 71, 27);
INSERT INTO public.who_data VALUES (16618, 443, 12501, 3, 37, 71, 146);
INSERT INTO public.who_data VALUES (16619, 53347, 6781799, 770, 179765, 71, 71);
INSERT INTO public.who_data VALUES (16620, 1, 76, 0, 1, 71, 210);
INSERT INTO public.who_data VALUES (16621, 0, 152, 0, 3, 71, 54);
INSERT INTO public.who_data VALUES (16622, 3097, 177665, 157, 5562, 71, 147);
INSERT INTO public.who_data VALUES (16623, 0, 3579, 0, 69, 71, 2);
INSERT INTO public.who_data VALUES (16624, 5, 728, 0, 1, 71, 105);
INSERT INTO public.who_data VALUES (16625, 636, 11262, 5, 110, 71, 53);
INSERT INTO public.who_data VALUES (16626, 0, 357, 0, 0, 71, 81);
INSERT INTO public.who_data VALUES (16627, 0, 25143, 0, 443, 71, 223);
INSERT INTO public.who_data VALUES (16628, 6739, 442069, 126, 13109, 71, 94);
INSERT INTO public.who_data VALUES (16629, 6, 298, 0, 2, 71, 154);
INSERT INTO public.who_data VALUES (16630, 0, 4936, 0, 63, 71, 83);
INSERT INTO public.who_data VALUES (16631, 0, 1739, 0, 102, 71, 194);
INSERT INTO public.who_data VALUES (16632, 1534, 567974, 8, 15782, 71, 136);
INSERT INTO public.who_data VALUES (16633, 100, 94849, 0, 4755, 71, 179);
INSERT INTO public.who_data VALUES (16634, 7778, 1399911, 176, 38484, 71, 57);
INSERT INTO public.who_data VALUES (16635, 8, 624, 0, 7, 71, 35);
INSERT INTO public.who_data VALUES (16636, 0, 6049, 0, 99, 71, 228);
INSERT INTO public.who_data VALUES (16637, 0, 0, 0, 0, 71, 19);
INSERT INTO public.who_data VALUES (16638, 1127, 149815, 18, 1882, 71, 22);
INSERT INTO public.who_data VALUES (16639, 28, 21618, 0, 133, 71, 1);
INSERT INTO public.who_data VALUES (16640, 4396, 168388, 64, 2484, 71, 21);
INSERT INTO public.who_data VALUES (16641, 86, 9267, 0, 136, 71, 234);
INSERT INTO public.who_data VALUES (16642, 79, 3404, 0, 8, 71, 91);
INSERT INTO public.who_data VALUES (16643, 424, 14476, 3, 75, 71, 137);
INSERT INTO public.who_data VALUES (16644, 6217, 575422, 109, 9450, 71, 201);
INSERT INTO public.who_data VALUES (16645, 0, 0, 0, 0, 71, 171);
INSERT INTO public.who_data VALUES (16646, 175, 14169, 0, 350, 71, 92);
INSERT INTO public.who_data VALUES (16647, 3075, 103564, 9, 927, 71, 112);
INSERT INTO public.who_data VALUES (16648, 4, 5721, 0, 61, 71, 62);
INSERT INTO public.who_data VALUES (16649, 0, 87, 0, 0, 71, 69);
INSERT INTO public.who_data VALUES (16650, 731, 152452, 1, 2359, 71, 220);
INSERT INTO public.who_data VALUES (16651, 386, 200765, 8, 13858, 71, 100);
INSERT INTO public.who_data VALUES (16652, 464, 120611, 23, 6877, 71, 187);
INSERT INTO public.who_data VALUES (16653, 0, 40741, 6, 1186, 71, 63);
INSERT INTO public.who_data VALUES (16654, 0, 5183, 0, 85, 71, 28);
INSERT INTO public.who_data VALUES (16655, 0, 656, 0, 0, 71, 172);
INSERT INTO public.who_data VALUES (16656, 358, 16956, 1, 142, 71, 17);
INSERT INTO public.who_data VALUES (16657, 52, 6685, 0, 126, 71, 226);
INSERT INTO public.who_data VALUES (16658, 0, 115360, 0, 1779, 71, 236);
INSERT INTO public.who_data VALUES (16659, 0, 19, 0, 0, 71, 76);
INSERT INTO public.who_data VALUES (16660, 1, 520, 0, 0, 71, 30);
INSERT INTO public.who_data VALUES (16661, 0, 44, 0, 2, 71, 128);
INSERT INTO public.who_data VALUES (16662, 501, 30073, 11, 453, 71, 86);
INSERT INTO public.who_data VALUES (16663, 13276, 2310701, 626, 57198, 71, 140);
INSERT INTO public.who_data VALUES (16664, 78, 11755, 0, 71, 71, 44);
INSERT INTO public.who_data VALUES (16665, 83, 15618, 0, 91, 71, 113);
INSERT INTO public.who_data VALUES (16666, 30, 9330, 1, 63, 71, 29);
INSERT INTO public.who_data VALUES (16667, 1, 3780, 0, 123, 71, 125);
INSERT INTO public.who_data VALUES (16668, 3907, 187006, 50, 1744, 71, 131);
INSERT INTO public.who_data VALUES (16669, 28438, 1300516, 496, 21466, 71, 46);
INSERT INTO public.who_data VALUES (16670, 0, 52738, 0, 326, 71, 10);
INSERT INTO public.who_data VALUES (16671, 4, 1069, 0, 5, 71, 205);
INSERT INTO public.who_data VALUES (16672, 1395, 122648, 102, 3472, 71, 50);
INSERT INTO public.who_data VALUES (16673, 0, 19, 0, 0, 71, 20);
INSERT INTO public.who_data VALUES (16674, 0, 43, 0, 0, 71, 13);
INSERT INTO public.who_data VALUES (16675, 0, 8451, 0, 152, 71, 148);
INSERT INTO public.who_data VALUES (16676, 27, 6942, 0, 115, 71, 230);
INSERT INTO public.who_data VALUES (16677, 755, 128541, 31, 4376, 71, 190);
INSERT INTO public.who_data VALUES (16678, 0, 289, 0, 13, 71, 188);
INSERT INTO public.who_data VALUES (16679, 30, 13398, 0, 79, 71, 123);
INSERT INTO public.who_data VALUES (16680, 0, 2444, 0, 44, 71, 9);
INSERT INTO public.who_data VALUES (16681, 79, 5811, 0, 154, 71, 102);
INSERT INTO public.who_data VALUES (16682, 31, 9465, 0, 233, 71, 34);
INSERT INTO public.who_data VALUES (16683, 0, 26, 0, 0, 71, 212);
INSERT INTO public.who_data VALUES (16684, 415, 113207, 7, 2968, 71, 122);
INSERT INTO public.who_data VALUES (16685, 5047, 276247, 162, 6784, 71, 38);
INSERT INTO public.who_data VALUES (16686, 15, 5539, 0, 28, 71, 130);
INSERT INTO public.who_data VALUES (16687, 30006, 9826775, 442, 142628, 71, 37);
INSERT INTO public.who_data VALUES (16688, 6310, 605243, 175, 18511, 71, 231);
INSERT INTO public.who_data VALUES (16689, 9594, 1092617, 232, 51728, 71, 107);
INSERT INTO public.who_data VALUES (16690, 1347, 572600, 23, 12549, 71, 101);
INSERT INTO public.who_data VALUES (16691, 304, 75507, 3, 2120, 71, 132);
INSERT INTO public.who_data VALUES (16692, 0, 370, 0, 25, 71, 176);
INSERT INTO public.who_data VALUES (16693, 2005, 352807, 13, 2976, 71, 200);
INSERT INTO public.who_data VALUES (16694, 18726, 1805873, 761, 63387, 71, 169);
INSERT INTO public.who_data VALUES (16695, 66, 11509, 0, 270, 71, 225);
INSERT INTO public.who_data VALUES (16696, 2757, 174299, 32, 2534, 71, 165);
INSERT INTO public.who_data VALUES (16697, 58, 1555, 0, 32, 71, 233);
INSERT INTO public.who_data VALUES (16698, 2338, 255459, 36, 3286, 71, 215);
INSERT INTO public.who_data VALUES (16699, 956, 185513, 0, 2542, 71, 177);
INSERT INTO public.who_data VALUES (16700, 0, 90305, 0, 1568, 71, 183);
INSERT INTO public.who_data VALUES (16701, 0, 0, 0, 0, 71, 203);
INSERT INTO public.who_data VALUES (16702, 590, 45551, 13, 1164, 71, 162);
INSERT INTO public.who_data VALUES (16703, 294, 145789, 0, 910, 71, 12);
INSERT INTO public.who_data VALUES (16704, 341, 77059, 0, 1307, 71, 24);
INSERT INTO public.who_data VALUES (16705, 0, 41, 0, 0, 71, 119);
INSERT INTO public.who_data VALUES (16706, 680, 24386, 15, 319, 71, 39);
INSERT INTO public.who_data VALUES (16707, 1518, 143705, 12, 1182, 71, 26);
INSERT INTO public.who_data VALUES (16708, 0, 2150, 0, 44, 71, 59);
INSERT INTO public.who_data VALUES (16709, 0, 1676, 0, 83, 71, 77);
INSERT INTO public.who_data VALUES (16710, 697, 89880, 5, 1278, 71, 134);
INSERT INTO public.who_data VALUES (16711, 30, 1548, 0, 20, 71, 4);
INSERT INTO public.who_data VALUES (16712, 3302, 90255, 48, 987, 71, 109);
INSERT INTO public.who_data VALUES (16713, 718, 40755, 8, 392, 71, 90);
INSERT INTO public.who_data VALUES (16714, 0, 17473, 0, 255, 71, 61);
INSERT INTO public.who_data VALUES (16715, 2, 6055, 0, 186, 71, 85);
INSERT INTO public.who_data VALUES (16716, 1810, 80309, 6, 402, 71, 49);
INSERT INTO public.who_data VALUES (16717, 18, 13326, 1, 48, 71, 208);
INSERT INTO public.who_data VALUES (16718, 73, 5649, 1, 185, 71, 166);
INSERT INTO public.who_data VALUES (16719, 106, 10884, 4, 164, 71, 64);
INSERT INTO public.who_data VALUES (16720, 0, 4, 0, 0, 71, 199);
INSERT INTO public.who_data VALUES (16721, 0, 5553, 0, 41, 71, 114);
INSERT INTO public.who_data VALUES (16722, 0, 9679, 0, 194, 71, 60);
INSERT INTO public.who_data VALUES (16723, 0, 514, 0, 10, 71, 68);
INSERT INTO public.who_data VALUES (16724, 52, 5551, 1, 52, 71, 158);
INSERT INTO public.who_data VALUES (16725, 11897, 1217126, 671, 112326, 71, 52);
INSERT INTO public.who_data VALUES (16726, 0, 0, 0, 0, 71, 117);
INSERT INTO public.who_data VALUES (16727, 2, 662, 0, 3, 71, 126);
INSERT INTO public.who_data VALUES (16728, 7, 905, 0, 0, 71, 196);
INSERT INTO public.who_data VALUES (16729, 465, 41353, 9, 577, 71, 142);
INSERT INTO public.who_data VALUES (16730, 0, 13, 0, 1, 71, 185);
INSERT INTO public.who_data VALUES (16731, 3035, 394564, 50, 6542, 71, 138);
INSERT INTO public.who_data VALUES (16732, 159, 16680, 0, 139, 71, 181);
INSERT INTO public.who_data VALUES (16733, 1321, 104487, 27, 2201, 71, 178);
INSERT INTO public.who_data VALUES (16734, 324, 16097, 2, 160, 71, 168);
INSERT INTO public.who_data VALUES (16735, 0, 0, 0, 0, 71, 160);
INSERT INTO public.who_data VALUES (16736, 1044, 246694, 11, 1674, 71, 151);
INSERT INTO public.who_data VALUES (16737, 8839, 593262, 64, 9940, 71, 193);
INSERT INTO public.who_data VALUES (16738, 0, 36, 0, 0, 71, 18);
INSERT INTO public.who_data VALUES (16739, 0, 1736, 0, 25, 71, 40);
INSERT INTO public.who_data VALUES (16740, 0, 4709, 0, 162, 71, 218);
INSERT INTO public.who_data VALUES (16741, 0, 1856, 0, 77, 71, 191);
INSERT INTO public.who_data VALUES (16742, 796, 72140, 0, 1190, 71, 156);
INSERT INTO public.who_data VALUES (16743, 0, 0, 0, 0, 71, 135);
INSERT INTO public.who_data VALUES (16744, 0, 113, 0, 2, 71, 88);
INSERT INTO public.who_data VALUES (16745, 1161, 72044, 26, 2077, 71, 55);
INSERT INTO public.who_data VALUES (16746, 498, 40022, 5, 387, 71, 108);
INSERT INTO public.who_data VALUES (16747, 1743, 121157, 21, 1029, 71, 48);
INSERT INTO public.who_data VALUES (16748, 0, 125669, 0, 1463, 71, 3);
INSERT INTO public.who_data VALUES (16749, 0, 744, 0, 13, 71, 224);
INSERT INTO public.who_data VALUES (16750, 3047, 432327, 50, 8653, 71, 110);
INSERT INTO public.who_data VALUES (16751, 0, 0, 0, 0, 71, 106);
INSERT INTO public.who_data VALUES (16752, 2447, 185424, 23, 3287, 71, 89);
INSERT INTO public.who_data VALUES (16753, 36, 720, 1, 8, 71, 121);
INSERT INTO public.who_data VALUES (16754, 812, 90958, 13, 1914, 71, 163);
INSERT INTO public.who_data VALUES (16755, 1799, 979111, 44, 36499, 71, 70);
INSERT INTO public.who_data VALUES (16756, 1499, 447039, 8, 8709, 71, 174);
INSERT INTO public.who_data VALUES (16757, 0, 0, 0, 0, 71, 175);
INSERT INTO public.who_data VALUES (16758, 13105, 1115201, 544, 22174, 71, 118);
INSERT INTO public.who_data VALUES (16759, 5080, 340287, 95, 5373, 71, 189);
INSERT INTO public.who_data VALUES (16760, 1544, 61002, 11, 1249, 71, 124);
INSERT INTO public.who_data VALUES (16761, 164, 140680, 0, 240, 71, 192);
INSERT INTO public.who_data VALUES (16762, 950, 41730, 6, 578, 71, 41);
INSERT INTO public.who_data VALUES (16763, 1579, 124264, 21, 2521, 71, 95);
INSERT INTO public.who_data VALUES (16764, 0, 8345, 0, 41, 71, 74);
INSERT INTO public.who_data VALUES (16765, 6460, 545567, 168, 13116, 71, 11);
INSERT INTO public.who_data VALUES (16766, 28137, 2625848, 560, 46453, 71, 87);
INSERT INTO public.who_data VALUES (16767, 79, 6428, 1, 54, 71, 214);
INSERT INTO public.who_data VALUES (16768, 0, 5, 0, 0, 71, 116);
INSERT INTO public.who_data VALUES (16769, 0, 164, 0, 0, 71, 157);
INSERT INTO public.who_data VALUES (16770, 0, 0, 0, 0, 71, 182);
INSERT INTO public.who_data VALUES (16771, 1, 27, 0, 0, 71, 186);
INSERT INTO public.who_data VALUES (16772, 0, 274, 0, 4, 71, 127);
INSERT INTO public.who_data VALUES (16773, 0, 838, 0, 12, 71, 232);
INSERT INTO public.who_data VALUES (16774, 0, 14, 0, 0, 71, 33);
INSERT INTO public.who_data VALUES (16775, 3, 94, 0, 0, 71, 97);
INSERT INTO public.who_data VALUES (16776, 0, 2, 0, 0, 71, 42);
INSERT INTO public.who_data VALUES (16777, 40, 1908, 1, 50, 71, 198);
INSERT INTO public.who_data VALUES (16778, 0, 1009, 0, 17, 71, 216);
INSERT INTO public.who_data VALUES (16779, 168, 359583, 11, 6023, 71, 164);
INSERT INTO public.who_data VALUES (16780, 127, 16893, 2, 345, 71, 235);
INSERT INTO public.who_data VALUES (16781, 6534, 255758, 55, 2227, 71, 67);
INSERT INTO public.who_data VALUES (16782, 3, 185, 0, 0, 71, 15);
INSERT INTO public.who_data VALUES (16783, 0, 2435, 0, 75, 71, 180);
INSERT INTO public.who_data VALUES (16784, 8, 58305, 0, 29, 71, 237);
INSERT INTO public.who_data VALUES (16785, 2, 18, 0, 0, 71, 25);
INSERT INTO public.who_data VALUES (16786, 16, 1201, 0, 26, 71, 209);
INSERT INTO public.who_data VALUES (16787, 2166, 127087, 18, 1122, 71, 217);
INSERT INTO public.who_data VALUES (16788, 1816, 93769, 57, 2186, 71, 79);
INSERT INTO public.who_data VALUES (16789, 0, 17, 0, 0, 71, 143);
INSERT INTO public.who_data VALUES (16790, 0, 4579, 0, 121, 71, 229);
INSERT INTO public.who_data VALUES (16791, 8319, 845083, 205, 22952, 71, 141);
INSERT INTO public.who_data VALUES (16792, 0, 3181, 0, 62, 71, 197);
INSERT INTO public.who_data VALUES (16793, 11178, 1810770, 161, 49277, 71, 221);
INSERT INTO public.who_data VALUES (16794, 0, 30613, 0, 146, 71, 150);
INSERT INTO public.who_data VALUES (16795, 239, 21386, 3, 1347, 71, 56);
INSERT INTO public.who_data VALUES (16796, 4, 5337, 0, 117, 71, 167);
INSERT INTO public.who_data VALUES (16797, 6693, 320715, 86, 7941, 71, 23);
INSERT INTO public.who_data VALUES (16798, 4679, 379297, 87, 5694, 71, 222);
INSERT INTO public.who_data VALUES (16799, 124, 8911, 15, 491, 71, 219);
INSERT INTO public.who_data VALUES (16800, 76, 12798, 0, 87, 71, 7);
INSERT INTO public.who_data VALUES (16801, 11, 4180, 0, 60, 71, 161);
INSERT INTO public.who_data VALUES (16802, 21672, 1809459, 424, 63506, 71, 149);
INSERT INTO public.who_data VALUES (16803, 0, 31, 0, 0, 71, 6);
INSERT INTO public.who_data VALUES (16804, 0, 3132, 0, 65, 71, 139);
INSERT INTO public.who_data VALUES (16805, 0, 0, 0, 0, 71, 211);
INSERT INTO public.who_data VALUES (16806, 0, 0, 0, 0, 71, 14);
INSERT INTO public.who_data VALUES (16807, 25, 6833, 0, 122, 71, 111);
INSERT INTO public.who_data VALUES (16808, 1290, 109104, 43, 3801, 71, 207);
INSERT INTO public.who_data VALUES (16809, 32106, 1780673, 226, 15977, 71, 66);
INSERT INTO public.who_data VALUES (16810, 0, 0, 0, 0, 71, 173);
INSERT INTO public.who_data VALUES (16811, 0, 768, 0, 6, 71, 145);
INSERT INTO public.who_data VALUES (16812, 0, 0, 0, 0, 71, 65);
INSERT INTO public.who_data VALUES (16813, 639, 26369, 0, 220, 71, 184);
INSERT INTO public.who_data VALUES (16814, 12811, 885039, 243, 14998, 71, 98);
INSERT INTO public.who_data VALUES (16815, 1196, 182601, 5, 607, 71, 104);
INSERT INTO public.who_data VALUES (16816, 0, 509, 0, 21, 71, 73);
INSERT INTO public.who_data VALUES (16817, 201681, 15404889, 2749, 290133, 71, 8);
INSERT INTO public.who_data VALUES (16818, 0, 1733, 0, 23, 71, 227);
INSERT INTO public.who_data VALUES (16819, 383, 8487, 3, 90, 71, 75);
INSERT INTO public.who_data VALUES (16820, 147, 74811, 1, 612, 71, 45);
INSERT INTO public.who_data VALUES (16821, 0, 1, 0, 0, 71, 133);
INSERT INTO public.who_data VALUES (16822, 428, 106280, 5, 938, 71, 202);
INSERT INTO public.who_data VALUES (16823, 6, 1391, 0, 35, 71, 129);
INSERT INTO public.who_data VALUES (16824, 0, 3, 0, 0, 71, 36);
INSERT INTO public.who_data VALUES (16825, 1, 2086, 0, 607, 71, 51);
INSERT INTO public.who_data VALUES (16826, 0, 18091, 0, 364, 71, 206);
INSERT INTO public.who_data VALUES (16827, 0, 11081, 0, 305, 71, 5);
INSERT INTO public.who_data VALUES (16828, 213, 48753, 18, 1939, 72, 103);
INSERT INTO public.who_data VALUES (16829, 873, 46061, 14, 965, 72, 58);
INSERT INTO public.who_data VALUES (16830, 565, 90579, 10, 2564, 72, 195);
INSERT INTO public.who_data VALUES (16831, 0, 0, 0, 0, 72, 115);
INSERT INTO public.who_data VALUES (16832, 28, 7190, 0, 78, 72, 99);
INSERT INTO public.who_data VALUES (16833, 121, 15925, 4, 362, 72, 153);
INSERT INTO public.who_data VALUES (16834, 0, 10, 0, 0, 72, 93);
INSERT INTO public.who_data VALUES (16835, 0, 146, 0, 4, 72, 84);
INSERT INTO public.who_data VALUES (16836, 5303, 1475222, 213, 40222, 72, 78);
INSERT INTO public.who_data VALUES (16837, 1077, 145630, 29, 2440, 72, 170);
INSERT INTO public.who_data VALUES (16838, 12, 4996, 1, 46, 72, 32);
INSERT INTO public.who_data VALUES (16839, 7, 28000, 0, 908, 72, 155);
INSERT INTO public.who_data VALUES (16840, 2466, 311067, 125, 4158, 72, 82);
INSERT INTO public.who_data VALUES (16841, 4219, 162774, 38, 1793, 72, 16);
INSERT INTO public.who_data VALUES (16842, 38, 7623, 0, 163, 72, 72);
INSERT INTO public.who_data VALUES (16843, 137, 88631, 0, 347, 72, 43);
INSERT INTO public.who_data VALUES (16844, 1861, 485965, 37, 6967, 72, 120);
INSERT INTO public.who_data VALUES (16845, 0, 290, 0, 7, 72, 213);
INSERT INTO public.who_data VALUES (16846, 1939, 154392, 8, 1238, 72, 31);
INSERT INTO public.who_data VALUES (16847, 2676, 604819, 94, 17807, 72, 204);
INSERT INTO public.who_data VALUES (16848, 506, 8519, 4, 183, 72, 152);
INSERT INTO public.who_data VALUES (16849, 0, 3090, 0, 44, 72, 144);
INSERT INTO public.who_data VALUES (16850, 24, 364, 0, 9, 72, 96);
INSERT INTO public.who_data VALUES (16851, 1, 434, 0, 0, 72, 47);
INSERT INTO public.who_data VALUES (16852, 214, 146060, 2, 9004, 72, 80);
INSERT INTO public.who_data VALUES (16853, 3, 149, 0, 3, 72, 159);
INSERT INTO public.who_data VALUES (16854, 1286, 98603, 48, 3199, 72, 27);
INSERT INTO public.who_data VALUES (16855, 0, 12058, 0, 34, 72, 146);
INSERT INTO public.who_data VALUES (16856, 53453, 6728452, 836, 178995, 72, 71);
INSERT INTO public.who_data VALUES (16857, 0, 75, 0, 1, 72, 210);
INSERT INTO public.who_data VALUES (16858, 0, 152, 0, 3, 72, 54);
INSERT INTO public.who_data VALUES (16859, 3075, 174568, 122, 5405, 72, 147);
INSERT INTO public.who_data VALUES (16860, 110, 3579, 0, 69, 72, 2);
INSERT INTO public.who_data VALUES (16861, 2, 723, 0, 1, 72, 105);
INSERT INTO public.who_data VALUES (16862, 0, 10626, 0, 105, 72, 53);
INSERT INTO public.who_data VALUES (16863, 1, 357, 0, 0, 72, 81);
INSERT INTO public.who_data VALUES (16864, 0, 25143, 0, 443, 72, 223);
INSERT INTO public.who_data VALUES (16865, 6295, 435330, 116, 12983, 72, 94);
INSERT INTO public.who_data VALUES (16866, 1, 292, 0, 2, 72, 154);
INSERT INTO public.who_data VALUES (16867, 4, 4936, 0, 63, 72, 83);
INSERT INTO public.who_data VALUES (16868, 7, 1739, 0, 102, 72, 194);
INSERT INTO public.who_data VALUES (16869, 1662, 566440, 84, 15774, 72, 136);
INSERT INTO public.who_data VALUES (16870, 131, 94749, 0, 4755, 72, 179);
INSERT INTO public.who_data VALUES (16871, 7523, 1392133, 150, 38308, 72, 57);
INSERT INTO public.who_data VALUES (16872, 0, 616, 0, 7, 72, 35);
INSERT INTO public.who_data VALUES (16873, 0, 6049, 0, 99, 72, 228);
INSERT INTO public.who_data VALUES (16874, 0, 0, 0, 0, 72, 19);
INSERT INTO public.who_data VALUES (16875, 1258, 148688, 18, 1864, 72, 22);
INSERT INTO public.who_data VALUES (16876, 43, 21590, 0, 133, 72, 1);
INSERT INTO public.who_data VALUES (16877, 4620, 163992, 53, 2420, 72, 21);
INSERT INTO public.who_data VALUES (16878, 75, 9181, 0, 136, 72, 234);
INSERT INTO public.who_data VALUES (16879, 79, 3325, 0, 8, 72, 91);
INSERT INTO public.who_data VALUES (16880, 403, 14052, 2, 72, 72, 137);
INSERT INTO public.who_data VALUES (16881, 5872, 569205, 115, 9341, 72, 201);
INSERT INTO public.who_data VALUES (16882, 0, 0, 0, 0, 72, 171);
INSERT INTO public.who_data VALUES (16883, 152, 13994, 0, 350, 72, 92);
INSERT INTO public.who_data VALUES (16884, 3132, 100489, 14, 918, 72, 112);
INSERT INTO public.who_data VALUES (16885, 0, 5717, 0, 61, 72, 62);
INSERT INTO public.who_data VALUES (16886, 2, 87, 0, 0, 72, 69);
INSERT INTO public.who_data VALUES (16887, 1560, 151721, 8, 2358, 72, 220);
INSERT INTO public.who_data VALUES (16888, 1151, 200379, 36, 13850, 72, 100);
INSERT INTO public.who_data VALUES (16889, 445, 120147, 22, 6854, 72, 187);
INSERT INTO public.who_data VALUES (16890, 0, 40741, 6, 1180, 72, 63);
INSERT INTO public.who_data VALUES (16891, 0, 5183, 0, 85, 72, 28);
INSERT INTO public.who_data VALUES (16892, 7, 656, 0, 0, 72, 172);
INSERT INTO public.who_data VALUES (16893, 544, 16598, 2, 141, 72, 17);
INSERT INTO public.who_data VALUES (16894, 21, 6633, 1, 126, 72, 226);
INSERT INTO public.who_data VALUES (16895, 526, 115360, 10, 1779, 72, 236);
INSERT INTO public.who_data VALUES (16896, 2, 19, 0, 0, 72, 76);
INSERT INTO public.who_data VALUES (16897, 0, 519, 0, 0, 72, 30);
INSERT INTO public.who_data VALUES (16898, 0, 44, 0, 2, 72, 128);
INSERT INTO public.who_data VALUES (16899, 840, 29572, 9, 442, 72, 86);
INSERT INTO public.who_data VALUES (16900, 13673, 2297425, 292, 56572, 72, 140);
INSERT INTO public.who_data VALUES (16901, 77, 11677, 0, 71, 72, 44);
INSERT INTO public.who_data VALUES (16902, 124, 15535, 1, 91, 72, 113);
INSERT INTO public.who_data VALUES (16903, 0, 9300, 0, 62, 72, 29);
INSERT INTO public.who_data VALUES (16904, 1, 3779, 0, 123, 72, 125);
INSERT INTO public.who_data VALUES (16905, 4146, 183099, 37, 1694, 72, 131);
INSERT INTO public.who_data VALUES (16906, 29875, 1272078, 598, 20970, 72, 46);
INSERT INTO public.who_data VALUES (16907, 116, 52738, 0, 326, 72, 10);
INSERT INTO public.who_data VALUES (16908, 7, 1065, 0, 5, 72, 205);
INSERT INTO public.who_data VALUES (16909, 1533, 121253, 81, 3370, 72, 50);
INSERT INTO public.who_data VALUES (16910, 0, 19, 0, 0, 72, 20);
INSERT INTO public.who_data VALUES (16911, 0, 43, 0, 0, 72, 13);
INSERT INTO public.who_data VALUES (16912, 0, 8451, 0, 152, 72, 148);
INSERT INTO public.who_data VALUES (16913, 13, 6915, 2, 115, 72, 230);
INSERT INTO public.who_data VALUES (16914, 659, 127786, 34, 4345, 72, 190);
INSERT INTO public.who_data VALUES (16915, 1, 289, 0, 13, 72, 188);
INSERT INTO public.who_data VALUES (16916, 43, 13368, 0, 79, 72, 123);
INSERT INTO public.who_data VALUES (16917, 0, 2444, 0, 44, 72, 9);
INSERT INTO public.who_data VALUES (16918, 32, 5732, 0, 154, 72, 102);
INSERT INTO public.who_data VALUES (16919, 0, 9434, 0, 233, 72, 34);
INSERT INTO public.who_data VALUES (16920, 0, 26, 0, 0, 72, 212);
INSERT INTO public.who_data VALUES (16921, 617, 112792, 9, 2961, 72, 122);
INSERT INTO public.who_data VALUES (16922, 6197, 271200, 171, 6622, 72, 38);
INSERT INTO public.who_data VALUES (16923, 8, 5524, 0, 28, 72, 130);
INSERT INTO public.who_data VALUES (16924, 29398, 9796769, 414, 142186, 72, 37);
INSERT INTO public.who_data VALUES (16925, 6033, 598933, 165, 18336, 72, 231);
INSERT INTO public.who_data VALUES (16926, 10403, 1083023, 284, 51496, 72, 107);
INSERT INTO public.who_data VALUES (16927, 1380, 571253, 25, 12526, 72, 101);
INSERT INTO public.who_data VALUES (16928, 303, 75203, 15, 2117, 72, 132);
INSERT INTO public.who_data VALUES (16929, 0, 370, 0, 25, 72, 176);
INSERT INTO public.who_data VALUES (16930, 1866, 350802, 14, 2963, 72, 200);
INSERT INTO public.who_data VALUES (16931, 16998, 1787147, 887, 62626, 72, 169);
INSERT INTO public.who_data VALUES (16932, 74, 11443, 4, 270, 72, 225);
INSERT INTO public.who_data VALUES (16933, 2969, 171542, 37, 2502, 72, 165);
INSERT INTO public.who_data VALUES (16934, 37, 1497, 0, 32, 72, 233);
INSERT INTO public.who_data VALUES (16935, 2902, 253121, 44, 3250, 72, 215);
INSERT INTO public.who_data VALUES (16936, 927, 184557, 0, 2542, 72, 177);
INSERT INTO public.who_data VALUES (16937, 644, 90305, 16, 1568, 72, 183);
INSERT INTO public.who_data VALUES (16938, 0, 0, 0, 0, 72, 203);
INSERT INTO public.who_data VALUES (16939, 562, 44961, 13, 1151, 72, 162);
INSERT INTO public.who_data VALUES (16940, 291, 145495, 5, 910, 72, 12);
INSERT INTO public.who_data VALUES (16941, 327, 76718, 1, 1307, 72, 24);
INSERT INTO public.who_data VALUES (16942, 0, 41, 0, 0, 72, 119);
INSERT INTO public.who_data VALUES (16943, 890, 23706, 11, 304, 72, 39);
INSERT INTO public.who_data VALUES (16944, 1778, 142187, 14, 1170, 72, 26);
INSERT INTO public.who_data VALUES (16945, 0, 2150, 0, 44, 72, 59);
INSERT INTO public.who_data VALUES (16946, 0, 1676, 0, 83, 72, 77);
INSERT INTO public.who_data VALUES (16947, 661, 89183, 12, 1273, 72, 134);
INSERT INTO public.who_data VALUES (16948, 23, 1518, 1, 20, 72, 4);
INSERT INTO public.who_data VALUES (16949, 3071, 86953, 35, 939, 72, 109);
INSERT INTO public.who_data VALUES (16950, 1173, 40037, 15, 384, 72, 90);
INSERT INTO public.who_data VALUES (16951, 0, 17473, 0, 255, 72, 61);
INSERT INTO public.who_data VALUES (16952, 2, 6053, 0, 186, 72, 85);
INSERT INTO public.who_data VALUES (16953, 2234, 78499, 3, 396, 72, 49);
INSERT INTO public.who_data VALUES (16954, 34, 13308, 0, 47, 72, 208);
INSERT INTO public.who_data VALUES (16955, 134, 5576, 4, 184, 72, 166);
INSERT INTO public.who_data VALUES (16956, 79, 10778, 3, 160, 72, 64);
INSERT INTO public.who_data VALUES (16957, 0, 4, 0, 0, 72, 199);
INSERT INTO public.who_data VALUES (16958, 0, 5553, 0, 41, 72, 114);
INSERT INTO public.who_data VALUES (16959, 0, 9679, 0, 194, 72, 60);
INSERT INTO public.who_data VALUES (16960, 0, 514, 0, 10, 72, 68);
INSERT INTO public.who_data VALUES (16961, 0, 5499, 0, 51, 72, 158);
INSERT INTO public.who_data VALUES (16962, 11974, 1205229, 781, 111655, 72, 52);
INSERT INTO public.who_data VALUES (16963, 0, 0, 0, 0, 72, 117);
INSERT INTO public.who_data VALUES (16964, 2, 660, 0, 3, 72, 126);
INSERT INTO public.who_data VALUES (16965, 5, 898, 0, 0, 72, 196);
INSERT INTO public.who_data VALUES (16966, 375, 40888, 3, 568, 72, 142);
INSERT INTO public.who_data VALUES (16967, 0, 13, 0, 1, 72, 185);
INSERT INTO public.who_data VALUES (16968, 3345, 391529, 65, 6492, 72, 138);
INSERT INTO public.who_data VALUES (16969, 81, 16521, 1, 139, 72, 181);
INSERT INTO public.who_data VALUES (16970, 1427, 103166, 23, 2174, 72, 178);
INSERT INTO public.who_data VALUES (16971, 301, 15773, 3, 158, 72, 168);
INSERT INTO public.who_data VALUES (16972, 0, 0, 0, 0, 72, 160);
INSERT INTO public.who_data VALUES (16973, 1217, 245650, 12, 1663, 72, 151);
INSERT INTO public.who_data VALUES (16974, 8712, 584423, 63, 9876, 72, 193);
INSERT INTO public.who_data VALUES (16975, 0, 36, 0, 0, 72, 18);
INSERT INTO public.who_data VALUES (16976, 6, 1736, 0, 25, 72, 40);
INSERT INTO public.who_data VALUES (16977, 0, 4709, 0, 162, 72, 218);
INSERT INTO public.who_data VALUES (16978, 0, 1856, 0, 77, 72, 191);
INSERT INTO public.who_data VALUES (16979, 675, 71344, 6, 1190, 72, 156);
INSERT INTO public.who_data VALUES (16980, 0, 0, 0, 0, 72, 135);
INSERT INTO public.who_data VALUES (16981, 0, 113, 0, 2, 72, 88);
INSERT INTO public.who_data VALUES (16982, 929, 70883, 28, 2051, 72, 55);
INSERT INTO public.who_data VALUES (16983, 362, 39524, 21, 382, 72, 108);
INSERT INTO public.who_data VALUES (16984, 2181, 119414, 24, 1008, 72, 48);
INSERT INTO public.who_data VALUES (16985, 179, 125669, 2, 1463, 72, 3);
INSERT INTO public.who_data VALUES (16986, 0, 744, 0, 13, 72, 224);
INSERT INTO public.who_data VALUES (16987, 3138, 429280, 56, 8603, 72, 110);
INSERT INTO public.who_data VALUES (16988, 0, 0, 0, 0, 72, 106);
INSERT INTO public.who_data VALUES (16989, 1811, 182977, 23, 3264, 72, 89);
INSERT INTO public.who_data VALUES (16990, 0, 684, 0, 7, 72, 121);
INSERT INTO public.who_data VALUES (16991, 725, 90146, 14, 1901, 72, 163);
INSERT INTO public.who_data VALUES (16992, 691, 977312, 54, 36455, 72, 70);
INSERT INTO public.who_data VALUES (16993, 1376, 445540, 24, 8701, 72, 174);
INSERT INTO public.who_data VALUES (16994, 0, 0, 0, 0, 72, 175);
INSERT INTO public.who_data VALUES (16995, 13750, 1102096, 470, 21630, 72, 118);
INSERT INTO public.who_data VALUES (16996, 3134, 335207, 86, 5278, 72, 189);
INSERT INTO public.who_data VALUES (16997, 496, 59458, 19, 1238, 72, 124);
INSERT INTO public.who_data VALUES (16998, 163, 140516, 0, 240, 72, 192);
INSERT INTO public.who_data VALUES (16999, 689, 40780, 8, 572, 72, 41);
INSERT INTO public.who_data VALUES (17000, 1715, 122685, 19, 2500, 72, 95);
INSERT INTO public.who_data VALUES (17001, 0, 8345, 0, 41, 72, 74);
INSERT INTO public.who_data VALUES (17002, 7067, 539107, 127, 12948, 72, 11);
INSERT INTO public.who_data VALUES (17003, 28585, 2597711, 613, 45893, 72, 87);
INSERT INTO public.who_data VALUES (17004, 71, 6349, 0, 53, 72, 214);
INSERT INTO public.who_data VALUES (17005, 0, 5, 0, 0, 72, 116);
INSERT INTO public.who_data VALUES (17006, 0, 164, 0, 0, 72, 157);
INSERT INTO public.who_data VALUES (17007, 0, 0, 0, 0, 72, 182);
INSERT INTO public.who_data VALUES (17008, 1, 26, 0, 0, 72, 186);
INSERT INTO public.who_data VALUES (17009, 3, 274, 1, 4, 72, 127);
INSERT INTO public.who_data VALUES (17010, 0, 838, 0, 12, 72, 232);
INSERT INTO public.who_data VALUES (17011, 0, 14, 0, 0, 72, 33);
INSERT INTO public.who_data VALUES (17012, 1, 91, 0, 0, 72, 97);
INSERT INTO public.who_data VALUES (17013, 0, 2, 0, 0, 72, 42);
INSERT INTO public.who_data VALUES (17014, 34, 1868, 0, 49, 72, 198);
INSERT INTO public.who_data VALUES (17015, 4, 1009, 0, 17, 72, 216);
INSERT INTO public.who_data VALUES (17016, 141, 359415, 10, 6012, 72, 164);
INSERT INTO public.who_data VALUES (17017, 101, 16766, 2, 343, 72, 235);
INSERT INTO public.who_data VALUES (17018, 7393, 249224, 56, 2172, 72, 67);
INSERT INTO public.who_data VALUES (17019, 0, 182, 0, 0, 72, 15);
INSERT INTO public.who_data VALUES (17020, 1, 2435, 1, 75, 72, 180);
INSERT INTO public.who_data VALUES (17021, 6, 58297, 0, 29, 72, 237);
INSERT INTO public.who_data VALUES (17022, 0, 16, 0, 0, 72, 25);
INSERT INTO public.who_data VALUES (17023, 30, 1185, 0, 26, 72, 209);
INSERT INTO public.who_data VALUES (17024, 3125, 124921, 38, 1104, 72, 217);
INSERT INTO public.who_data VALUES (17025, 1852, 91953, 55, 2129, 72, 79);
INSERT INTO public.who_data VALUES (17026, 0, 17, 0, 0, 72, 143);
INSERT INTO public.who_data VALUES (17027, 0, 4579, 0, 121, 72, 229);
INSERT INTO public.who_data VALUES (17028, 8166, 836764, 173, 22747, 72, 141);
INSERT INTO public.who_data VALUES (17029, 0, 3181, 0, 62, 72, 197);
INSERT INTO public.who_data VALUES (17030, 8837, 1799592, 198, 49116, 72, 221);
INSERT INTO public.who_data VALUES (17031, 1235, 30613, 4, 146, 72, 150);
INSERT INTO public.who_data VALUES (17032, 303, 21147, 4, 1344, 72, 56);
INSERT INTO public.who_data VALUES (17033, 7, 5333, 0, 117, 72, 167);
INSERT INTO public.who_data VALUES (17034, 8398, 314022, 75, 7855, 72, 23);
INSERT INTO public.who_data VALUES (17035, 4638, 374618, 83, 5607, 72, 222);
INSERT INTO public.who_data VALUES (17036, 112, 8787, 11, 476, 72, 219);
INSERT INTO public.who_data VALUES (17037, 64, 12722, 0, 87, 72, 7);
INSERT INTO public.who_data VALUES (17038, 18, 4169, 0, 60, 72, 161);
INSERT INTO public.who_data VALUES (17039, 20964, 1787787, 516, 63082, 72, 149);
INSERT INTO public.who_data VALUES (17040, 0, 31, 0, 0, 72, 6);
INSERT INTO public.who_data VALUES (17041, 0, 3132, 0, 65, 72, 139);
INSERT INTO public.who_data VALUES (17042, 0, 0, 0, 0, 72, 211);
INSERT INTO public.who_data VALUES (17043, 0, 0, 0, 0, 72, 14);
INSERT INTO public.who_data VALUES (17044, 0, 6808, 0, 122, 72, 111);
INSERT INTO public.who_data VALUES (17045, 958, 107814, 41, 3758, 72, 207);
INSERT INTO public.who_data VALUES (17046, 30424, 1748567, 220, 15751, 72, 66);
INSERT INTO public.who_data VALUES (17047, 0, 0, 0, 0, 72, 173);
INSERT INTO public.who_data VALUES (17048, 7, 768, 0, 6, 72, 145);
INSERT INTO public.who_data VALUES (17049, 0, 0, 0, 0, 72, 65);
INSERT INTO public.who_data VALUES (17050, 671, 25730, 13, 220, 72, 184);
INSERT INTO public.who_data VALUES (17051, 13514, 872228, 285, 14755, 72, 98);
INSERT INTO public.who_data VALUES (17052, 1255, 181405, 4, 602, 72, 104);
INSERT INTO public.who_data VALUES (17053, 0, 509, 0, 21, 72, 73);
INSERT INTO public.who_data VALUES (17054, 230852, 15203208, 3390, 287384, 72, 8);
INSERT INTO public.who_data VALUES (17055, 35, 1733, 0, 23, 72, 227);
INSERT INTO public.who_data VALUES (17056, 298, 8104, 1, 87, 72, 75);
INSERT INTO public.who_data VALUES (17057, 166, 74664, 0, 611, 72, 45);
INSERT INTO public.who_data VALUES (17058, 0, 1, 0, 0, 72, 133);
INSERT INTO public.who_data VALUES (17059, 468, 105852, 5, 933, 72, 202);
INSERT INTO public.who_data VALUES (17060, 4, 1385, 0, 35, 72, 129);
INSERT INTO public.who_data VALUES (17061, 0, 3, 0, 0, 72, 36);
INSERT INTO public.who_data VALUES (17062, 2, 2085, 0, 607, 72, 51);
INSERT INTO public.who_data VALUES (17063, 29, 18091, 0, 364, 72, 206);
INSERT INTO public.who_data VALUES (17064, 74, 11081, 1, 305, 72, 5);
INSERT INTO public.who_data VALUES (17065, 174, 48540, 13, 1921, 73, 103);
INSERT INTO public.who_data VALUES (17066, 752, 45188, 15, 951, 73, 58);
INSERT INTO public.who_data VALUES (17067, 598, 90014, 15, 2554, 73, 195);
INSERT INTO public.who_data VALUES (17068, 0, 0, 0, 0, 73, 115);
INSERT INTO public.who_data VALUES (17069, 35, 7162, 0, 78, 73, 99);
INSERT INTO public.who_data VALUES (17070, 75, 15804, 3, 358, 73, 153);
INSERT INTO public.who_data VALUES (17071, 0, 10, 0, 0, 73, 93);
INSERT INTO public.who_data VALUES (17072, 0, 146, 0, 4, 73, 84);
INSERT INTO public.who_data VALUES (17073, 3610, 1469919, 121, 40009, 73, 78);
INSERT INTO public.who_data VALUES (17074, 1174, 144553, 23, 2411, 73, 170);
INSERT INTO public.who_data VALUES (17075, 18, 4984, 0, 45, 73, 32);
INSERT INTO public.who_data VALUES (17076, 6, 27993, 0, 908, 73, 155);
INSERT INTO public.who_data VALUES (17077, 2913, 308601, 126, 4033, 73, 82);
INSERT INTO public.who_data VALUES (17078, 4403, 158555, 42, 1755, 73, 16);
INSERT INTO public.who_data VALUES (17079, 5, 7585, 0, 163, 73, 72);
INSERT INTO public.who_data VALUES (17080, 201, 88494, 4, 347, 73, 43);
INSERT INTO public.who_data VALUES (17081, 2159, 484104, 24, 6930, 73, 120);
INSERT INTO public.who_data VALUES (17082, 1, 290, 0, 7, 73, 213);
INSERT INTO public.who_data VALUES (17083, 1851, 152453, 8, 1230, 73, 31);
INSERT INTO public.who_data VALUES (17084, 2769, 602143, 88, 17713, 73, 204);
INSERT INTO public.who_data VALUES (17085, 60, 8013, 3, 179, 73, 152);
INSERT INTO public.who_data VALUES (17086, 0, 3090, 0, 44, 73, 144);
INSERT INTO public.who_data VALUES (17087, 34, 340, 0, 9, 73, 96);
INSERT INTO public.who_data VALUES (17088, 0, 433, 0, 0, 73, 47);
INSERT INTO public.who_data VALUES (17089, 189, 145846, 5, 9002, 73, 80);
INSERT INTO public.who_data VALUES (17090, 0, 146, 0, 3, 73, 159);
INSERT INTO public.who_data VALUES (17091, 1296, 97317, 70, 3151, 73, 27);
INSERT INTO public.who_data VALUES (17092, 0, 12058, 0, 34, 73, 146);
INSERT INTO public.who_data VALUES (17093, 51088, 6674999, 842, 178159, 73, 71);
INSERT INTO public.who_data VALUES (17094, 2, 75, 0, 1, 73, 210);
INSERT INTO public.who_data VALUES (17095, 0, 152, 0, 3, 73, 54);
INSERT INTO public.who_data VALUES (17096, 3328, 171493, 127, 5283, 73, 147);
INSERT INTO public.who_data VALUES (17097, 0, 3469, 0, 69, 73, 2);
INSERT INTO public.who_data VALUES (17098, 1, 721, 0, 1, 73, 105);
INSERT INTO public.who_data VALUES (17099, 0, 10626, 0, 105, 73, 53);
INSERT INTO public.who_data VALUES (17100, 2, 356, 0, 0, 73, 81);
INSERT INTO public.who_data VALUES (17101, 180, 25143, 0, 443, 73, 223);
INSERT INTO public.who_data VALUES (17102, 5981, 429035, 90, 12867, 73, 94);
INSERT INTO public.who_data VALUES (17103, 1, 291, 0, 2, 73, 154);
INSERT INTO public.who_data VALUES (17104, 5, 4932, 0, 63, 73, 83);
INSERT INTO public.who_data VALUES (17105, 4, 1732, 0, 102, 73, 194);
INSERT INTO public.who_data VALUES (17106, 1244, 564778, 10, 15690, 73, 136);
INSERT INTO public.who_data VALUES (17107, 118, 94618, 2, 4755, 73, 179);
INSERT INTO public.who_data VALUES (17108, 7510, 1384610, 163, 38158, 73, 57);
INSERT INTO public.who_data VALUES (17109, 0, 616, 0, 7, 73, 35);
INSERT INTO public.who_data VALUES (17110, 0, 6049, 0, 99, 73, 228);
INSERT INTO public.who_data VALUES (17111, 0, 0, 0, 0, 73, 19);
INSERT INTO public.who_data VALUES (17112, 1009, 147430, 21, 1846, 73, 22);
INSERT INTO public.who_data VALUES (17113, 34, 21547, 1, 133, 73, 1);
INSERT INTO public.who_data VALUES (17114, 4520, 159372, 69, 2367, 73, 21);
INSERT INTO public.who_data VALUES (17115, 124, 9106, 0, 136, 73, 234);
INSERT INTO public.who_data VALUES (17116, 72, 3246, 0, 8, 73, 91);
INSERT INTO public.who_data VALUES (17117, 363, 13649, 2, 70, 73, 137);
INSERT INTO public.who_data VALUES (17118, 6406, 563333, 90, 9226, 73, 201);
INSERT INTO public.who_data VALUES (17119, 0, 0, 0, 0, 73, 171);
INSERT INTO public.who_data VALUES (17120, 93, 13842, 6, 350, 73, 92);
INSERT INTO public.who_data VALUES (17121, 2558, 97357, 3, 904, 73, 112);
INSERT INTO public.who_data VALUES (17122, 3, 5717, 0, 61, 73, 62);
INSERT INTO public.who_data VALUES (17123, 0, 85, 0, 0, 73, 69);
INSERT INTO public.who_data VALUES (17124, 531, 150161, 3, 2350, 73, 220);
INSERT INTO public.who_data VALUES (17125, 476, 199228, 20, 13814, 73, 100);
INSERT INTO public.who_data VALUES (17126, 421, 119702, 19, 6832, 73, 187);
INSERT INTO public.who_data VALUES (17127, 396, 40741, 6, 1174, 73, 63);
INSERT INTO public.who_data VALUES (17128, 17, 5183, 0, 85, 73, 28);
INSERT INTO public.who_data VALUES (17129, 0, 649, 0, 0, 73, 172);
INSERT INTO public.who_data VALUES (17130, 544, 16054, 2, 139, 73, 17);
INSERT INTO public.who_data VALUES (17131, 49, 6612, 1, 125, 73, 226);
INSERT INTO public.who_data VALUES (17132, 1099, 114834, 14, 1769, 73, 236);
INSERT INTO public.who_data VALUES (17133, 0, 17, 0, 0, 73, 76);
INSERT INTO public.who_data VALUES (17134, 5, 519, 0, 0, 73, 30);
INSERT INTO public.who_data VALUES (17135, 0, 44, 0, 2, 73, 128);
INSERT INTO public.who_data VALUES (17136, 490, 28732, 8, 433, 73, 86);
INSERT INTO public.who_data VALUES (17137, 14139, 2283752, 294, 56280, 73, 140);
INSERT INTO public.who_data VALUES (17138, 87, 11600, 0, 71, 73, 44);
INSERT INTO public.who_data VALUES (17139, 79, 15411, 4, 90, 73, 113);
INSERT INTO public.who_data VALUES (17140, 22, 9300, 2, 62, 73, 29);
INSERT INTO public.who_data VALUES (17141, 2, 3778, 0, 123, 73, 125);
INSERT INTO public.who_data VALUES (17142, 4570, 178953, 43, 1657, 73, 131);
INSERT INTO public.who_data VALUES (17143, 23679, 1242203, 440, 20372, 73, 46);
INSERT INTO public.who_data VALUES (17144, 122, 52622, 0, 326, 73, 10);
INSERT INTO public.who_data VALUES (17145, 3, 1058, 0, 5, 73, 205);
INSERT INTO public.who_data VALUES (17146, 1675, 119720, 95, 3289, 73, 50);
INSERT INTO public.who_data VALUES (17147, 1, 19, 0, 0, 73, 20);
INSERT INTO public.who_data VALUES (17148, 0, 43, 0, 0, 73, 13);
INSERT INTO public.who_data VALUES (17149, 0, 8451, 0, 152, 73, 148);
INSERT INTO public.who_data VALUES (17150, 12, 6902, 0, 113, 73, 230);
INSERT INTO public.who_data VALUES (17151, 654, 127127, 25, 4311, 73, 190);
INSERT INTO public.who_data VALUES (17152, 0, 288, 0, 13, 73, 188);
INSERT INTO public.who_data VALUES (17153, 61, 13325, 0, 79, 73, 123);
INSERT INTO public.who_data VALUES (17154, 0, 2444, 0, 44, 73, 9);
INSERT INTO public.who_data VALUES (17155, 3, 5700, 0, 154, 73, 102);
INSERT INTO public.who_data VALUES (17156, 35, 9434, 0, 233, 73, 34);
INSERT INTO public.who_data VALUES (17157, 0, 26, 0, 0, 73, 212);
INSERT INTO public.who_data VALUES (17158, 468, 112175, 2, 2952, 73, 122);
INSERT INTO public.who_data VALUES (17159, 5415, 265003, 171, 6451, 73, 38);
INSERT INTO public.who_data VALUES (17160, 10, 5516, 0, 28, 73, 130);
INSERT INTO public.who_data VALUES (17161, 31521, 9767371, 412, 141772, 73, 37);
INSERT INTO public.who_data VALUES (17162, 6058, 592900, 171, 18171, 73, 231);
INSERT INTO public.who_data VALUES (17163, 10223, 1072620, 295, 51212, 73, 107);
INSERT INTO public.who_data VALUES (17164, 1735, 569873, 24, 12501, 73, 101);
INSERT INTO public.who_data VALUES (17165, 218, 74900, 5, 2102, 73, 132);
INSERT INTO public.who_data VALUES (17166, 0, 370, 0, 25, 73, 176);
INSERT INTO public.who_data VALUES (17167, 1768, 348936, 12, 2949, 73, 200);
INSERT INTO public.who_data VALUES (17168, 12755, 1770149, 499, 61739, 73, 169);
INSERT INTO public.who_data VALUES (17169, 98, 11369, 1, 266, 73, 225);
INSERT INTO public.who_data VALUES (17170, 2733, 168573, 45, 2465, 73, 165);
INSERT INTO public.who_data VALUES (17171, 122, 1460, 0, 32, 73, 233);
INSERT INTO public.who_data VALUES (17172, 3088, 250219, 44, 3206, 73, 215);
INSERT INTO public.who_data VALUES (17173, 973, 183630, 0, 2542, 73, 177);
INSERT INTO public.who_data VALUES (17174, 1082, 89661, 21, 1552, 73, 183);
INSERT INTO public.who_data VALUES (17175, 0, 0, 0, 0, 73, 203);
INSERT INTO public.who_data VALUES (17176, 561, 44399, 11, 1138, 73, 162);
INSERT INTO public.who_data VALUES (17177, 304, 145204, 5, 905, 73, 12);
INSERT INTO public.who_data VALUES (17178, 379, 76391, 3, 1306, 73, 24);
INSERT INTO public.who_data VALUES (17179, 0, 41, 0, 0, 73, 119);
INSERT INTO public.who_data VALUES (17180, 712, 22816, 5, 293, 73, 39);
INSERT INTO public.who_data VALUES (17181, 1274, 140409, 20, 1156, 73, 26);
INSERT INTO public.who_data VALUES (17182, 0, 2150, 0, 44, 73, 59);
INSERT INTO public.who_data VALUES (17183, 0, 1676, 0, 83, 73, 77);
INSERT INTO public.who_data VALUES (17184, 536, 88522, 6, 1261, 73, 134);
INSERT INTO public.who_data VALUES (17185, 21, 1495, 0, 19, 73, 4);
INSERT INTO public.who_data VALUES (17186, 3325, 83882, 17, 904, 73, 109);
INSERT INTO public.who_data VALUES (17187, 388, 38864, 9, 369, 73, 90);
INSERT INTO public.who_data VALUES (17188, 0, 17473, 0, 255, 73, 61);
INSERT INTO public.who_data VALUES (17189, 0, 6051, 0, 186, 73, 85);
INSERT INTO public.who_data VALUES (17190, 959, 76265, 5, 393, 73, 49);
INSERT INTO public.who_data VALUES (17191, 26, 13274, 0, 47, 73, 208);
INSERT INTO public.who_data VALUES (17192, 0, 5442, 0, 180, 73, 166);
INSERT INTO public.who_data VALUES (17193, 40, 10699, 2, 157, 73, 64);
INSERT INTO public.who_data VALUES (17194, 0, 4, 0, 0, 73, 199);
INSERT INTO public.who_data VALUES (17195, 0, 5553, 0, 41, 73, 114);
INSERT INTO public.who_data VALUES (17196, 163, 9679, 6, 194, 73, 60);
INSERT INTO public.who_data VALUES (17197, 9, 514, 0, 10, 73, 68);
INSERT INTO public.who_data VALUES (17198, 318, 5499, 2, 51, 73, 158);
INSERT INTO public.who_data VALUES (17199, 11006, 1193255, 800, 110874, 73, 52);
INSERT INTO public.who_data VALUES (17200, 0, 0, 0, 0, 73, 117);
INSERT INTO public.who_data VALUES (17201, 7, 658, 0, 3, 73, 126);
INSERT INTO public.who_data VALUES (17202, 5, 893, 0, 0, 73, 196);
INSERT INTO public.who_data VALUES (17203, 417, 40513, 10, 565, 73, 142);
INSERT INTO public.who_data VALUES (17204, 0, 13, 0, 1, 73, 185);
INSERT INTO public.who_data VALUES (17205, 4096, 388184, 57, 6427, 73, 138);
INSERT INTO public.who_data VALUES (17206, 67, 16440, 2, 138, 73, 181);
INSERT INTO public.who_data VALUES (17207, 1308, 101739, 19, 2151, 73, 178);
INSERT INTO public.who_data VALUES (17208, 174, 15472, 1, 155, 73, 168);
INSERT INTO public.who_data VALUES (17209, 0, 0, 0, 0, 73, 160);
INSERT INTO public.who_data VALUES (17210, 1056, 244433, 14, 1651, 73, 151);
INSERT INTO public.who_data VALUES (17211, 6548, 575711, 66, 9813, 73, 193);
INSERT INTO public.who_data VALUES (17212, 0, 36, 0, 0, 73, 18);
INSERT INTO public.who_data VALUES (17213, 0, 1730, 0, 25, 73, 40);
INSERT INTO public.who_data VALUES (17214, 0, 4709, 0, 162, 73, 218);
INSERT INTO public.who_data VALUES (17215, 0, 1856, 0, 77, 73, 191);
INSERT INTO public.who_data VALUES (17216, 474, 70669, 2, 1184, 73, 156);
INSERT INTO public.who_data VALUES (17217, 0, 0, 0, 0, 73, 135);
INSERT INTO public.who_data VALUES (17218, 0, 113, 0, 2, 73, 88);
INSERT INTO public.who_data VALUES (17219, 502, 69954, 46, 2023, 73, 55);
INSERT INTO public.who_data VALUES (17220, 459, 39162, 0, 361, 73, 108);
INSERT INTO public.who_data VALUES (17221, 1883, 117233, 23, 984, 73, 48);
INSERT INTO public.who_data VALUES (17222, 164, 125490, 7, 1461, 73, 3);
INSERT INTO public.who_data VALUES (17223, 0, 744, 0, 13, 73, 224);
INSERT INTO public.who_data VALUES (17224, 2963, 426142, 60, 8547, 73, 110);
INSERT INTO public.who_data VALUES (17225, 0, 0, 0, 0, 73, 106);
INSERT INTO public.who_data VALUES (17226, 1936, 181166, 29, 3241, 73, 89);
INSERT INTO public.who_data VALUES (17227, 0, 684, 0, 7, 73, 121);
INSERT INTO public.who_data VALUES (17228, 698, 89421, 15, 1887, 73, 163);
INSERT INTO public.who_data VALUES (17229, 1505, 976621, 77, 36401, 73, 70);
INSERT INTO public.who_data VALUES (17230, 1379, 444164, 7, 8677, 73, 174);
INSERT INTO public.who_data VALUES (17231, 0, 0, 0, 0, 73, 175);
INSERT INTO public.who_data VALUES (17232, 12166, 1088346, 568, 21160, 73, 118);
INSERT INTO public.who_data VALUES (17233, 4097, 332073, 70, 5192, 73, 189);
INSERT INTO public.who_data VALUES (17234, 646, 58962, 13, 1219, 73, 124);
INSERT INTO public.who_data VALUES (17235, 150, 140353, 1, 240, 73, 192);
INSERT INTO public.who_data VALUES (17236, 680, 40091, 8, 564, 73, 41);
INSERT INTO public.who_data VALUES (17237, 1766, 120970, 21, 2481, 73, 95);
INSERT INTO public.who_data VALUES (17238, 51, 8345, 0, 41, 73, 74);
INSERT INTO public.who_data VALUES (17239, 7365, 532040, 161, 12821, 73, 11);
INSERT INTO public.who_data VALUES (17240, 27927, 2569126, 562, 45280, 73, 87);
INSERT INTO public.who_data VALUES (17241, 41, 6278, 2, 53, 73, 214);
INSERT INTO public.who_data VALUES (17242, 0, 5, 0, 0, 73, 116);
INSERT INTO public.who_data VALUES (17243, 0, 164, 0, 0, 73, 157);
INSERT INTO public.who_data VALUES (17244, 0, 0, 0, 0, 73, 182);
INSERT INTO public.who_data VALUES (17245, 0, 25, 0, 0, 73, 186);
INSERT INTO public.who_data VALUES (17246, 1, 271, 1, 3, 73, 127);
INSERT INTO public.who_data VALUES (17247, 0, 838, 0, 12, 73, 232);
INSERT INTO public.who_data VALUES (17248, 0, 14, 0, 0, 73, 33);
INSERT INTO public.who_data VALUES (17249, 3, 90, 0, 0, 73, 97);
INSERT INTO public.who_data VALUES (17250, 0, 2, 0, 0, 73, 42);
INSERT INTO public.who_data VALUES (17251, 2, 1834, 1, 49, 73, 198);
INSERT INTO public.who_data VALUES (17252, 0, 1005, 0, 17, 73, 216);
INSERT INTO public.who_data VALUES (17253, 159, 359274, 13, 6002, 73, 164);
INSERT INTO public.who_data VALUES (17254, 69, 16665, 1, 341, 73, 235);
INSERT INTO public.who_data VALUES (17255, 7804, 241831, 54, 2116, 73, 67);
INSERT INTO public.who_data VALUES (17256, 0, 182, 0, 0, 73, 15);
INSERT INTO public.who_data VALUES (17257, 6, 2434, 0, 74, 73, 180);
INSERT INTO public.who_data VALUES (17258, 6, 58291, 0, 29, 73, 237);
INSERT INTO public.who_data VALUES (17259, 0, 16, 0, 0, 73, 25);
INSERT INTO public.who_data VALUES (17260, 0, 1155, 0, 26, 73, 209);
INSERT INTO public.who_data VALUES (17261, 1949, 121796, 28, 1066, 73, 217);
INSERT INTO public.who_data VALUES (17262, 2140, 90101, 43, 2074, 73, 79);
INSERT INTO public.who_data VALUES (17263, 0, 17, 0, 0, 73, 143);
INSERT INTO public.who_data VALUES (17264, 0, 4579, 0, 121, 73, 229);
INSERT INTO public.who_data VALUES (17265, 6709, 828598, 142, 22574, 73, 141);
INSERT INTO public.who_data VALUES (17266, 0, 3181, 0, 62, 73, 197);
INSERT INTO public.who_data VALUES (17267, 4145, 1790755, 143, 48918, 73, 221);
INSERT INTO public.who_data VALUES (17268, 0, 29378, 0, 142, 73, 150);
INSERT INTO public.who_data VALUES (17269, 376, 20844, 21, 1340, 73, 56);
INSERT INTO public.who_data VALUES (17270, 1, 5326, 0, 117, 73, 167);
INSERT INTO public.who_data VALUES (17271, 7446, 305624, 54, 7780, 73, 23);
INSERT INTO public.who_data VALUES (17272, 5241, 369980, 81, 5524, 73, 222);
INSERT INTO public.who_data VALUES (17273, 95, 8675, 7, 465, 73, 219);
INSERT INTO public.who_data VALUES (17274, 66, 12658, 0, 87, 73, 7);
INSERT INTO public.who_data VALUES (17275, 25, 4151, 0, 60, 73, 161);
INSERT INTO public.who_data VALUES (17276, 16578, 1766823, 533, 62566, 73, 149);
INSERT INTO public.who_data VALUES (17277, 0, 31, 0, 0, 73, 6);
INSERT INTO public.who_data VALUES (17278, 0, 3132, 0, 65, 73, 139);
INSERT INTO public.who_data VALUES (17279, 0, 0, 0, 0, 73, 211);
INSERT INTO public.who_data VALUES (17280, 0, 0, 0, 0, 73, 14);
INSERT INTO public.who_data VALUES (17281, 33, 6808, 0, 122, 73, 111);
INSERT INTO public.who_data VALUES (17282, 1411, 106856, 49, 3717, 73, 207);
INSERT INTO public.who_data VALUES (17283, 31712, 1718143, 217, 15531, 73, 66);
INSERT INTO public.who_data VALUES (17284, 0, 0, 0, 0, 73, 173);
INSERT INTO public.who_data VALUES (17285, 5, 761, 0, 6, 73, 145);
INSERT INTO public.who_data VALUES (17286, 0, 0, 0, 0, 73, 65);
INSERT INTO public.who_data VALUES (17287, 1859, 25059, 0, 207, 73, 184);
INSERT INTO public.who_data VALUES (17288, 13371, 858714, 266, 14470, 73, 98);
INSERT INTO public.who_data VALUES (17289, 1313, 180150, 2, 598, 73, 104);
INSERT INTO public.who_data VALUES (17290, 0, 509, 0, 21, 73, 73);
INSERT INTO public.who_data VALUES (17291, 216360, 14972356, 2552, 283994, 73, 8);
INSERT INTO public.who_data VALUES (17292, 18, 1698, 0, 23, 73, 227);
INSERT INTO public.who_data VALUES (17293, 301, 7806, 3, 86, 73, 75);
INSERT INTO public.who_data VALUES (17294, 146, 74498, 0, 611, 73, 45);
INSERT INTO public.who_data VALUES (17295, 0, 1, 0, 0, 73, 133);
INSERT INTO public.who_data VALUES (17296, 942, 105384, 9, 928, 73, 202);
INSERT INTO public.who_data VALUES (17297, 4, 1381, 0, 35, 73, 129);
INSERT INTO public.who_data VALUES (17298, 0, 3, 0, 0, 73, 36);
INSERT INTO public.who_data VALUES (17299, 0, 2083, 0, 607, 73, 51);
INSERT INTO public.who_data VALUES (17300, 131, 18062, 0, 364, 73, 206);
INSERT INTO public.who_data VALUES (17301, 168, 11007, 10, 304, 73, 5);
INSERT INTO public.who_data VALUES (17302, 230, 48366, 6, 1908, 74, 103);
INSERT INTO public.who_data VALUES (17303, 753, 44436, 14, 936, 74, 58);
INSERT INTO public.who_data VALUES (17304, 591, 89416, 12, 2539, 74, 195);
INSERT INTO public.who_data VALUES (17305, 0, 0, 0, 0, 74, 115);
INSERT INTO public.who_data VALUES (17306, 43, 7127, 0, 78, 74, 99);
INSERT INTO public.who_data VALUES (17307, 81, 15729, 1, 355, 74, 153);
INSERT INTO public.who_data VALUES (17308, 1, 10, 0, 0, 74, 93);
INSERT INTO public.who_data VALUES (17309, 0, 146, 0, 4, 74, 84);
INSERT INTO public.who_data VALUES (17310, 3199, 1466309, 118, 39888, 74, 78);
INSERT INTO public.who_data VALUES (17311, 1138, 143379, 21, 2388, 74, 170);
INSERT INTO public.who_data VALUES (17312, 1, 4966, 0, 45, 74, 32);
INSERT INTO public.who_data VALUES (17313, 15, 27987, 0, 908, 74, 155);
INSERT INTO public.who_data VALUES (17314, 2531, 305688, 80, 3907, 74, 82);
INSERT INTO public.who_data VALUES (17315, 4387, 154152, 38, 1713, 74, 16);
INSERT INTO public.who_data VALUES (17316, 1, 7580, 0, 163, 74, 72);
INSERT INTO public.who_data VALUES (17317, 183, 88293, 2, 343, 74, 43);
INSERT INTO public.who_data VALUES (17318, 2202, 481945, 32, 6906, 74, 120);
INSERT INTO public.who_data VALUES (17319, 2, 289, 0, 7, 74, 213);
INSERT INTO public.who_data VALUES (17320, 1649, 150602, 7, 1222, 74, 31);
INSERT INTO public.who_data VALUES (17321, 2723, 599374, 94, 17625, 74, 204);
INSERT INTO public.who_data VALUES (17322, 184, 7953, 3, 176, 74, 152);
INSERT INTO public.who_data VALUES (17323, 17, 3090, 0, 44, 74, 144);
INSERT INTO public.who_data VALUES (17324, 0, 306, 0, 9, 74, 96);
INSERT INTO public.who_data VALUES (17325, 1, 433, 0, 0, 74, 47);
INSERT INTO public.who_data VALUES (17326, 97, 145657, 2, 8997, 74, 80);
INSERT INTO public.who_data VALUES (17327, 0, 146, 0, 3, 74, 159);
INSERT INTO public.who_data VALUES (17328, 1077, 96021, 69, 3081, 74, 27);
INSERT INTO public.who_data VALUES (17329, 527, 12058, 0, 34, 74, 146);
INSERT INTO public.who_data VALUES (17330, 20371, 6623911, 376, 177317, 74, 71);
INSERT INTO public.who_data VALUES (17331, 0, 73, 0, 1, 74, 210);
INSERT INTO public.who_data VALUES (17332, 1, 152, 0, 3, 74, 54);
INSERT INTO public.who_data VALUES (17333, 3980, 168165, 146, 5156, 74, 147);
INSERT INTO public.who_data VALUES (17334, 154, 3469, 1, 69, 74, 2);
INSERT INTO public.who_data VALUES (17335, 4, 720, 0, 1, 74, 105);
INSERT INTO public.who_data VALUES (17336, 0, 10626, 0, 105, 74, 53);
INSERT INTO public.who_data VALUES (17337, 4, 354, 0, 0, 74, 81);
INSERT INTO public.who_data VALUES (17338, 211, 24963, 0, 443, 74, 223);
INSERT INTO public.who_data VALUES (17339, 7872, 423054, 112, 12777, 74, 94);
INSERT INTO public.who_data VALUES (17340, 0, 290, 0, 2, 74, 154);
INSERT INTO public.who_data VALUES (17341, 0, 4927, 0, 63, 74, 83);
INSERT INTO public.who_data VALUES (17342, 0, 1728, 0, 102, 74, 194);
INSERT INTO public.who_data VALUES (17343, 1392, 563534, 17, 15680, 74, 136);
INSERT INTO public.who_data VALUES (17344, 117, 94500, 0, 4753, 74, 179);
INSERT INTO public.who_data VALUES (17345, 5997, 1377100, 187, 37995, 74, 57);
INSERT INTO public.who_data VALUES (17346, 0, 616, 0, 7, 74, 35);
INSERT INTO public.who_data VALUES (17347, 275, 6049, 5, 99, 74, 228);
INSERT INTO public.who_data VALUES (17348, 0, 0, 0, 0, 74, 19);
INSERT INTO public.who_data VALUES (17349, 576, 146421, 15, 1825, 74, 22);
INSERT INTO public.who_data VALUES (17350, 6, 21513, 0, 132, 74, 1);
INSERT INTO public.who_data VALUES (17351, 2613, 154852, 65, 2298, 74, 21);
INSERT INTO public.who_data VALUES (17352, 76, 8982, 0, 136, 74, 234);
INSERT INTO public.who_data VALUES (17353, 38, 3174, 1, 8, 74, 91);
INSERT INTO public.who_data VALUES (17354, 419, 13286, 5, 68, 74, 137);
INSERT INTO public.who_data VALUES (17355, 5857, 556927, 100, 9136, 74, 201);
INSERT INTO public.who_data VALUES (17356, 0, 0, 0, 0, 74, 171);
INSERT INTO public.who_data VALUES (17357, 155, 13749, 0, 344, 74, 92);
INSERT INTO public.who_data VALUES (17358, 2150, 94799, 7, 901, 74, 112);
INSERT INTO public.who_data VALUES (17359, 6, 5714, 0, 61, 74, 62);
INSERT INTO public.who_data VALUES (17360, 0, 85, 0, 0, 74, 69);
INSERT INTO public.who_data VALUES (17361, 492, 149630, 1, 2347, 74, 220);
INSERT INTO public.who_data VALUES (17362, 508, 198752, 14, 13794, 74, 100);
INSERT INTO public.who_data VALUES (17363, 434, 119281, 23, 6813, 74, 187);
INSERT INTO public.who_data VALUES (17364, 0, 40345, 4, 1168, 74, 63);
INSERT INTO public.who_data VALUES (17365, 0, 5166, 0, 85, 74, 28);
INSERT INTO public.who_data VALUES (17366, 0, 649, 0, 0, 74, 172);
INSERT INTO public.who_data VALUES (17367, 284, 15510, 3, 137, 74, 17);
INSERT INTO public.who_data VALUES (17368, 34, 6563, 1, 124, 74, 226);
INSERT INTO public.who_data VALUES (17369, 0, 113735, 0, 1755, 74, 236);
INSERT INTO public.who_data VALUES (17370, 0, 17, 0, 0, 74, 76);
INSERT INTO public.who_data VALUES (17371, 4, 514, 0, 0, 74, 30);
INSERT INTO public.who_data VALUES (17372, 0, 44, 0, 2, 74, 128);
INSERT INTO public.who_data VALUES (17373, 361, 28242, 1, 425, 74, 86);
INSERT INTO public.who_data VALUES (17374, 13658, 2269613, 828, 55986, 74, 140);
INSERT INTO public.who_data VALUES (17375, 55, 11513, 0, 71, 74, 44);
INSERT INTO public.who_data VALUES (17376, 225, 15332, 7, 86, 74, 113);
INSERT INTO public.who_data VALUES (17377, 0, 9278, 0, 60, 74, 29);
INSERT INTO public.who_data VALUES (17378, 4, 3776, 0, 123, 74, 125);
INSERT INTO public.who_data VALUES (17379, 4734, 174383, 38, 1614, 74, 131);
INSERT INTO public.who_data VALUES (17380, 20815, 1218524, 590, 19932, 74, 46);
INSERT INTO public.who_data VALUES (17381, 226, 52500, 1, 326, 74, 10);
INSERT INTO public.who_data VALUES (17382, 2, 1055, 0, 5, 74, 205);
INSERT INTO public.who_data VALUES (17383, 1324, 118045, 102, 3194, 74, 50);
INSERT INTO public.who_data VALUES (17384, 0, 18, 0, 0, 74, 20);
INSERT INTO public.who_data VALUES (17385, 0, 43, 0, 0, 74, 13);
INSERT INTO public.who_data VALUES (17386, 0, 8451, 3, 152, 74, 148);
INSERT INTO public.who_data VALUES (17387, 7, 6890, 0, 113, 74, 230);
INSERT INTO public.who_data VALUES (17388, 799, 126473, 12, 4286, 74, 190);
INSERT INTO public.who_data VALUES (17389, 0, 288, 0, 13, 74, 188);
INSERT INTO public.who_data VALUES (17390, 18, 13264, 2, 79, 74, 123);
INSERT INTO public.who_data VALUES (17391, 3, 2444, 0, 44, 74, 9);
INSERT INTO public.who_data VALUES (17392, 32, 5697, 1, 154, 74, 102);
INSERT INTO public.who_data VALUES (17393, 0, 9399, 0, 233, 74, 34);
INSERT INTO public.who_data VALUES (17394, 0, 26, 0, 0, 74, 212);
INSERT INTO public.who_data VALUES (17395, 684, 111707, 4, 2950, 74, 122);
INSERT INTO public.who_data VALUES (17396, 3221, 259588, 160, 6280, 74, 38);
INSERT INTO public.who_data VALUES (17397, 10, 5506, 1, 28, 74, 130);
INSERT INTO public.who_data VALUES (17398, 32080, 9735850, 402, 141360, 74, 37);
INSERT INTO public.who_data VALUES (17399, 5292, 586842, 133, 18000, 74, 231);
INSERT INTO public.who_data VALUES (17400, 11023, 1062397, 323, 50917, 74, 107);
INSERT INTO public.who_data VALUES (17401, 2123, 568138, 17, 12477, 74, 101);
INSERT INTO public.who_data VALUES (17402, 214, 74682, 0, 2097, 74, 132);
INSERT INTO public.who_data VALUES (17403, 0, 370, 0, 25, 74, 176);
INSERT INTO public.who_data VALUES (17404, 1859, 347168, 7, 2937, 74, 200);
INSERT INTO public.who_data VALUES (17405, 14837, 1757394, 634, 61240, 74, 169);
INSERT INTO public.who_data VALUES (17406, 87, 11271, 0, 265, 74, 225);
INSERT INTO public.who_data VALUES (17407, 1911, 165840, 38, 2420, 74, 165);
INSERT INTO public.who_data VALUES (17408, 100, 1338, 0, 32, 74, 233);
INSERT INTO public.who_data VALUES (17409, 3062, 247131, 46, 3162, 74, 215);
INSERT INTO public.who_data VALUES (17410, 936, 182657, 0, 2542, 74, 177);
INSERT INTO public.who_data VALUES (17411, 0, 88579, 0, 1531, 74, 183);
INSERT INTO public.who_data VALUES (17412, 0, 0, 0, 0, 74, 203);
INSERT INTO public.who_data VALUES (17413, 557, 43838, 17, 1127, 74, 162);
INSERT INTO public.who_data VALUES (17414, 301, 144900, 3, 900, 74, 12);
INSERT INTO public.who_data VALUES (17415, 322, 76012, 2, 1303, 74, 24);
INSERT INTO public.who_data VALUES (17416, 0, 41, 0, 0, 74, 119);
INSERT INTO public.who_data VALUES (17417, 584, 22104, 16, 288, 74, 39);
INSERT INTO public.who_data VALUES (17418, 1039, 139135, 21, 1136, 74, 26);
INSERT INTO public.who_data VALUES (17419, 0, 2150, 0, 44, 74, 59);
INSERT INTO public.who_data VALUES (17420, 0, 1676, 0, 83, 74, 77);
INSERT INTO public.who_data VALUES (17421, 889, 87986, 12, 1255, 74, 134);
INSERT INTO public.who_data VALUES (17422, 16, 1474, 0, 19, 74, 4);
INSERT INTO public.who_data VALUES (17423, 3127, 80557, 27, 887, 74, 109);
INSERT INTO public.who_data VALUES (17424, 261, 38476, 7, 360, 74, 90);
INSERT INTO public.who_data VALUES (17425, 0, 17473, 0, 255, 74, 61);
INSERT INTO public.who_data VALUES (17426, 0, 6051, 1, 186, 74, 85);
INSERT INTO public.who_data VALUES (17427, 1012, 75306, 4, 388, 74, 49);
INSERT INTO public.who_data VALUES (17428, 50, 13248, 0, 47, 74, 208);
INSERT INTO public.who_data VALUES (17429, 152, 5442, 5, 180, 74, 166);
INSERT INTO public.who_data VALUES (17430, 139, 10659, 4, 155, 74, 64);
INSERT INTO public.who_data VALUES (17431, 0, 4, 0, 0, 74, 199);
INSERT INTO public.who_data VALUES (17432, 0, 5553, 0, 41, 74, 114);
INSERT INTO public.who_data VALUES (17433, 0, 9516, 0, 188, 74, 60);
INSERT INTO public.who_data VALUES (17434, 0, 505, 0, 10, 74, 68);
INSERT INTO public.who_data VALUES (17435, 0, 5181, 0, 49, 74, 158);
INSERT INTO public.who_data VALUES (17436, 6399, 1182249, 357, 110074, 74, 52);
INSERT INTO public.who_data VALUES (17437, 0, 0, 0, 0, 74, 117);
INSERT INTO public.who_data VALUES (17438, 7, 651, 0, 3, 74, 126);
INSERT INTO public.who_data VALUES (17439, 1, 888, 0, 0, 74, 196);
INSERT INTO public.who_data VALUES (17440, 492, 40096, 7, 555, 74, 142);
INSERT INTO public.who_data VALUES (17441, 0, 13, 0, 1, 74, 185);
INSERT INTO public.who_data VALUES (17442, 2900, 384088, 50, 6370, 74, 138);
INSERT INTO public.who_data VALUES (17443, 47, 16373, 0, 136, 74, 181);
INSERT INTO public.who_data VALUES (17444, 1276, 100431, 22, 2132, 74, 178);
INSERT INTO public.who_data VALUES (17445, 79, 15298, 1, 154, 74, 168);
INSERT INTO public.who_data VALUES (17446, 0, 0, 0, 0, 74, 160);
INSERT INTO public.who_data VALUES (17447, 1382, 243377, 23, 1637, 74, 151);
INSERT INTO public.who_data VALUES (17448, 6124, 569163, 68, 9747, 74, 193);
INSERT INTO public.who_data VALUES (17449, 1, 36, 0, 0, 74, 18);
INSERT INTO public.who_data VALUES (17450, 1, 1730, 0, 25, 74, 40);
INSERT INTO public.who_data VALUES (17451, 38, 4709, 1, 162, 74, 218);
INSERT INTO public.who_data VALUES (17452, 67, 1856, 0, 77, 74, 191);
INSERT INTO public.who_data VALUES (17453, 550, 70195, 1, 1182, 74, 156);
INSERT INTO public.who_data VALUES (17454, 0, 0, 0, 0, 74, 135);
INSERT INTO public.who_data VALUES (17455, 2, 113, 0, 2, 74, 88);
INSERT INTO public.who_data VALUES (17456, 1120, 69452, 28, 1977, 74, 55);
INSERT INTO public.who_data VALUES (17457, 381, 38703, 2, 361, 74, 108);
INSERT INTO public.who_data VALUES (17458, 1595, 115350, 19, 961, 74, 48);
INSERT INTO public.who_data VALUES (17459, 211, 125326, 2, 1454, 74, 3);
INSERT INTO public.who_data VALUES (17460, 0, 744, 0, 13, 74, 224);
INSERT INTO public.who_data VALUES (17461, 2885, 423179, 89, 8487, 74, 110);
INSERT INTO public.who_data VALUES (17462, 0, 0, 0, 0, 74, 106);
INSERT INTO public.who_data VALUES (17463, 1511, 179230, 19, 3212, 74, 89);
INSERT INTO public.who_data VALUES (17464, 0, 684, 0, 7, 74, 121);
INSERT INTO public.who_data VALUES (17465, 803, 88723, 19, 1872, 74, 163);
INSERT INTO public.who_data VALUES (17466, 1204, 975116, 50, 36324, 74, 70);
INSERT INTO public.who_data VALUES (17467, 1386, 442785, 98, 8670, 74, 174);
INSERT INTO public.who_data VALUES (17468, 0, 0, 0, 0, 74, 175);
INSERT INTO public.who_data VALUES (17469, 8310, 1076180, 411, 20592, 74, 118);
INSERT INTO public.who_data VALUES (17470, 2905, 327976, 81, 5122, 74, 189);
INSERT INTO public.who_data VALUES (17471, 694, 58316, 3, 1206, 74, 124);
INSERT INTO public.who_data VALUES (17472, 117, 140203, 0, 239, 74, 192);
INSERT INTO public.who_data VALUES (17473, 670, 39411, 4, 556, 74, 41);
INSERT INTO public.who_data VALUES (17474, 1709, 119204, 22, 2460, 74, 95);
INSERT INTO public.who_data VALUES (17475, 0, 8294, 0, 41, 74, 74);
INSERT INTO public.who_data VALUES (17476, 7439, 524675, 213, 12660, 74, 11);
INSERT INTO public.who_data VALUES (17477, 26190, 2541199, 559, 44718, 74, 87);
INSERT INTO public.who_data VALUES (17478, 46, 6237, 0, 51, 74, 214);
INSERT INTO public.who_data VALUES (17479, 0, 5, 0, 0, 74, 116);
INSERT INTO public.who_data VALUES (17480, 0, 164, 0, 0, 74, 157);
INSERT INTO public.who_data VALUES (17481, 0, 0, 0, 0, 74, 182);
INSERT INTO public.who_data VALUES (17482, 0, 25, 0, 0, 74, 186);
INSERT INTO public.who_data VALUES (17483, 5, 270, 0, 2, 74, 127);
INSERT INTO public.who_data VALUES (17484, 0, 838, 0, 12, 74, 232);
INSERT INTO public.who_data VALUES (17485, 0, 14, 0, 0, 74, 33);
INSERT INTO public.who_data VALUES (17486, 0, 87, 0, 0, 74, 97);
INSERT INTO public.who_data VALUES (17487, 0, 2, 0, 0, 74, 42);
INSERT INTO public.who_data VALUES (17488, 32, 1832, 0, 48, 74, 198);
INSERT INTO public.who_data VALUES (17489, 3, 1005, 0, 17, 74, 216);
INSERT INTO public.who_data VALUES (17490, 193, 359115, 12, 5989, 74, 164);
INSERT INTO public.who_data VALUES (17491, 43, 16596, 0, 340, 74, 235);
INSERT INTO public.who_data VALUES (17492, 7818, 234027, 57, 2062, 74, 67);
INSERT INTO public.who_data VALUES (17493, 0, 182, 0, 0, 74, 15);
INSERT INTO public.who_data VALUES (17494, 0, 2428, 0, 74, 74, 180);
INSERT INTO public.who_data VALUES (17495, 12, 58285, 0, 29, 74, 237);
INSERT INTO public.who_data VALUES (17496, 0, 16, 0, 0, 74, 25);
INSERT INTO public.who_data VALUES (17497, 14, 1155, 1, 26, 74, 209);
INSERT INTO public.who_data VALUES (17498, 552, 119847, 22, 1038, 74, 217);
INSERT INTO public.who_data VALUES (17499, 1630, 87961, 60, 2031, 74, 79);
INSERT INTO public.who_data VALUES (17500, 0, 17, 0, 0, 74, 143);
INSERT INTO public.who_data VALUES (17501, 0, 4579, 0, 121, 74, 229);
INSERT INTO public.who_data VALUES (17502, 4011, 821889, 183, 22432, 74, 141);
INSERT INTO public.who_data VALUES (17503, 0, 3181, 0, 62, 74, 197);
INSERT INTO public.who_data VALUES (17504, 5609, 1786610, 175, 48775, 74, 221);
INSERT INTO public.who_data VALUES (17505, 1501, 29378, 2, 142, 74, 150);
INSERT INTO public.who_data VALUES (17506, 172, 20468, 10, 1319, 74, 56);
INSERT INTO public.who_data VALUES (17507, 1, 5325, 0, 117, 74, 167);
INSERT INTO public.who_data VALUES (17508, 3782, 298178, 59, 7726, 74, 23);
INSERT INTO public.who_data VALUES (17509, 4670, 364739, 94, 5443, 74, 222);
INSERT INTO public.who_data VALUES (17510, 90, 8580, 6, 458, 74, 219);
INSERT INTO public.who_data VALUES (17511, 78, 12592, 0, 87, 74, 7);
INSERT INTO public.who_data VALUES (17512, 19, 4126, 0, 60, 74, 161);
INSERT INTO public.who_data VALUES (17513, 12281, 1750245, 599, 62033, 74, 149);
INSERT INTO public.who_data VALUES (17514, 0, 31, 0, 0, 74, 6);
INSERT INTO public.who_data VALUES (17515, 37, 3132, 0, 65, 74, 139);
INSERT INTO public.who_data VALUES (17516, 0, 0, 0, 0, 74, 211);
INSERT INTO public.who_data VALUES (17517, 0, 0, 0, 0, 74, 14);
INSERT INTO public.who_data VALUES (17518, 8, 6775, 0, 122, 74, 111);
INSERT INTO public.who_data VALUES (17519, 1116, 105445, 72, 3668, 74, 207);
INSERT INTO public.who_data VALUES (17520, 33198, 1686431, 211, 15314, 74, 66);
INSERT INTO public.who_data VALUES (17521, 0, 0, 0, 0, 74, 173);
INSERT INTO public.who_data VALUES (17522, 0, 756, 0, 6, 74, 145);
INSERT INTO public.who_data VALUES (17523, 0, 0, 0, 0, 74, 65);
INSERT INTO public.who_data VALUES (17524, 0, 23200, 0, 207, 74, 184);
INSERT INTO public.who_data VALUES (17525, 12585, 845343, 276, 14204, 74, 98);
INSERT INTO public.who_data VALUES (17526, 1260, 178837, 2, 596, 74, 104);
INSERT INTO public.who_data VALUES (17527, 0, 509, 0, 21, 74, 73);
INSERT INTO public.who_data VALUES (17528, 185473, 14755996, 1529, 281442, 74, 8);
INSERT INTO public.who_data VALUES (17529, 31, 1680, 0, 23, 74, 227);
INSERT INTO public.who_data VALUES (17530, 202, 7505, 1, 83, 74, 75);
INSERT INTO public.who_data VALUES (17531, 146, 74352, 0, 611, 74, 45);
INSERT INTO public.who_data VALUES (17532, 0, 1, 0, 0, 74, 133);
INSERT INTO public.who_data VALUES (17533, 0, 104442, 0, 919, 74, 202);
INSERT INTO public.who_data VALUES (17534, 10, 1377, 0, 35, 74, 129);
INSERT INTO public.who_data VALUES (17535, 0, 3, 0, 0, 74, 36);
INSERT INTO public.who_data VALUES (17536, 1, 2083, 0, 607, 74, 51);
INSERT INTO public.who_data VALUES (17537, 0, 17931, 0, 364, 74, 206);
INSERT INTO public.who_data VALUES (17538, 0, 10839, 0, 294, 74, 5);
INSERT INTO public.who_data VALUES (17539, 235, 48136, 27, 1902, 75, 103);
INSERT INTO public.who_data VALUES (17540, 695, 43683, 17, 922, 75, 58);
INSERT INTO public.who_data VALUES (17541, 573, 88825, 11, 2527, 75, 195);
INSERT INTO public.who_data VALUES (17542, 0, 0, 0, 0, 75, 115);
INSERT INTO public.who_data VALUES (17543, 34, 7084, 0, 78, 75, 99);
INSERT INTO public.who_data VALUES (17544, 112, 15648, 0, 354, 75, 153);
INSERT INTO public.who_data VALUES (17545, 2, 9, 0, 0, 75, 93);
INSERT INTO public.who_data VALUES (17546, 2, 146, 0, 4, 75, 84);
INSERT INTO public.who_data VALUES (17547, 3278, 1463110, 138, 39770, 75, 78);
INSERT INTO public.who_data VALUES (17548, 584, 142241, 28, 2367, 75, 170);
INSERT INTO public.who_data VALUES (17549, 42, 4965, 0, 45, 75, 32);
INSERT INTO public.who_data VALUES (17550, 7, 27972, 0, 908, 75, 155);
INSERT INTO public.who_data VALUES (17551, 2181, 303157, 95, 3827, 75, 82);
INSERT INTO public.who_data VALUES (17552, 3086, 149765, 43, 1675, 75, 16);
INSERT INTO public.who_data VALUES (17553, 4, 7579, 0, 163, 75, 72);
INSERT INTO public.who_data VALUES (17554, 181, 88110, 0, 341, 75, 43);
INSERT INTO public.who_data VALUES (17555, 2198, 479743, 36, 6874, 75, 120);
INSERT INTO public.who_data VALUES (17556, 2, 287, 0, 7, 75, 213);
INSERT INTO public.who_data VALUES (17557, 1796, 148953, 8, 1215, 75, 31);
INSERT INTO public.who_data VALUES (17558, 3371, 596651, 97, 17531, 75, 204);
INSERT INTO public.who_data VALUES (17559, 168, 7769, 1, 173, 75, 152);
INSERT INTO public.who_data VALUES (17560, 18, 3073, 0, 44, 75, 144);
INSERT INTO public.who_data VALUES (17561, 18, 306, 0, 9, 75, 96);
INSERT INTO public.who_data VALUES (17562, 2, 432, 0, 0, 75, 47);
INSERT INTO public.who_data VALUES (17563, 68, 145560, 3, 8995, 75, 80);
INSERT INTO public.who_data VALUES (17564, 1, 146, 0, 3, 75, 159);
INSERT INTO public.who_data VALUES (17565, 437, 94944, 60, 3012, 75, 27);
INSERT INTO public.who_data VALUES (17566, 314, 11531, 0, 34, 75, 146);
INSERT INTO public.who_data VALUES (17567, 26363, 6603540, 313, 176941, 75, 71);
INSERT INTO public.who_data VALUES (17568, 0, 73, 0, 1, 75, 210);
INSERT INTO public.who_data VALUES (17569, 0, 151, 0, 3, 75, 54);
INSERT INTO public.who_data VALUES (17570, 2764, 164185, 213, 5010, 75, 147);
INSERT INTO public.who_data VALUES (17571, 103, 3315, 0, 68, 75, 2);
INSERT INTO public.who_data VALUES (17572, 18, 716, 0, 1, 75, 105);
INSERT INTO public.who_data VALUES (17573, 0, 10626, 0, 105, 75, 53);
INSERT INTO public.who_data VALUES (17574, 2, 350, 0, 0, 75, 81);
INSERT INTO public.who_data VALUES (17575, 0, 24752, 0, 443, 75, 223);
INSERT INTO public.who_data VALUES (17576, 6261, 415182, 76, 12665, 75, 94);
INSERT INTO public.who_data VALUES (17577, 2, 290, 0, 2, 75, 154);
INSERT INTO public.who_data VALUES (17578, 5, 4927, 0, 63, 75, 83);
INSERT INTO public.who_data VALUES (17579, 3, 1728, 0, 102, 75, 194);
INSERT INTO public.who_data VALUES (17580, 1760, 562142, 35, 15663, 75, 136);
INSERT INTO public.who_data VALUES (17581, 90, 94383, 0, 4753, 75, 179);
INSERT INTO public.who_data VALUES (17582, 8854, 1371103, 175, 37808, 75, 57);
INSERT INTO public.who_data VALUES (17583, 1, 616, 0, 7, 75, 35);
INSERT INTO public.who_data VALUES (17584, 0, 5774, 0, 94, 75, 228);
INSERT INTO public.who_data VALUES (17585, 0, 0, 0, 0, 75, 19);
INSERT INTO public.who_data VALUES (17586, 2160, 145845, 37, 1810, 75, 22);
INSERT INTO public.who_data VALUES (17587, 22, 21507, 0, 132, 75, 1);
INSERT INTO public.who_data VALUES (17588, 1886, 152239, 59, 2233, 75, 21);
INSERT INTO public.who_data VALUES (17589, 124, 8906, 0, 136, 75, 234);
INSERT INTO public.who_data VALUES (17590, 396, 3136, 0, 7, 75, 91);
INSERT INTO public.who_data VALUES (17591, 416, 12867, 2, 63, 75, 137);
INSERT INTO public.who_data VALUES (17592, 4237, 551070, 134, 9036, 75, 201);
INSERT INTO public.who_data VALUES (17593, 0, 0, 0, 0, 75, 171);
INSERT INTO public.who_data VALUES (17594, 68, 13594, 0, 344, 75, 92);
INSERT INTO public.who_data VALUES (17595, 2046, 92649, 9, 894, 75, 112);
INSERT INTO public.who_data VALUES (17596, 7, 5708, 0, 61, 75, 62);
INSERT INTO public.who_data VALUES (17597, 0, 85, 0, 0, 75, 69);
INSERT INTO public.who_data VALUES (17598, 685, 149138, 1, 2346, 75, 220);
INSERT INTO public.who_data VALUES (17599, 246, 198244, 2, 13780, 75, 100);
INSERT INTO public.who_data VALUES (17600, 415, 118847, 19, 6790, 75, 187);
INSERT INTO public.who_data VALUES (17601, 214, 40345, 5, 1164, 75, 63);
INSERT INTO public.who_data VALUES (17602, 7, 5166, 0, 85, 75, 28);
INSERT INTO public.who_data VALUES (17603, 17, 649, 0, 0, 75, 172);
INSERT INTO public.who_data VALUES (17604, 248, 15226, 3, 134, 75, 17);
INSERT INTO public.who_data VALUES (17605, 28, 6529, 1, 123, 75, 226);
INSERT INTO public.who_data VALUES (17606, 440, 113735, 8, 1755, 75, 236);
INSERT INTO public.who_data VALUES (17607, 0, 17, 0, 0, 75, 76);
INSERT INTO public.who_data VALUES (17608, 0, 510, 0, 0, 75, 30);
INSERT INTO public.who_data VALUES (17609, 0, 44, 0, 2, 75, 128);
INSERT INTO public.who_data VALUES (17610, 250, 27881, 9, 424, 75, 86);
INSERT INTO public.who_data VALUES (17611, 3103, 2255955, 366, 55158, 75, 140);
INSERT INTO public.who_data VALUES (17612, 51, 11458, 0, 71, 75, 44);
INSERT INTO public.who_data VALUES (17613, 0, 15107, 0, 79, 75, 113);
INSERT INTO public.who_data VALUES (17614, 24, 9278, 0, 60, 75, 29);
INSERT INTO public.who_data VALUES (17615, 2, 3772, 0, 123, 75, 125);
INSERT INTO public.who_data VALUES (17616, 4673, 169649, 36, 1576, 75, 131);
INSERT INTO public.who_data VALUES (17617, 14055, 1197709, 423, 19342, 75, 46);
INSERT INTO public.who_data VALUES (17618, 0, 52274, 0, 325, 75, 10);
INSERT INTO public.who_data VALUES (17619, 5, 1053, 0, 5, 75, 205);
INSERT INTO public.who_data VALUES (17620, 1250, 116721, 89, 3092, 75, 50);
INSERT INTO public.who_data VALUES (17621, 0, 18, 0, 0, 75, 20);
INSERT INTO public.who_data VALUES (17622, 0, 43, 0, 0, 75, 13);
INSERT INTO public.who_data VALUES (17623, 24, 8451, 0, 149, 75, 148);
INSERT INTO public.who_data VALUES (17624, 11, 6883, 0, 113, 75, 230);
INSERT INTO public.who_data VALUES (17625, 124, 125674, 24, 4274, 75, 190);
INSERT INTO public.who_data VALUES (17626, 0, 288, 0, 13, 75, 188);
INSERT INTO public.who_data VALUES (17627, 13, 13246, 1, 77, 75, 123);
INSERT INTO public.who_data VALUES (17628, 0, 2441, 0, 44, 75, 9);
INSERT INTO public.who_data VALUES (17629, 28, 5665, 2, 153, 75, 102);
INSERT INTO public.who_data VALUES (17630, 29, 9399, 0, 233, 75, 34);
INSERT INTO public.who_data VALUES (17631, 0, 26, 0, 0, 75, 212);
INSERT INTO public.who_data VALUES (17632, 300, 111023, 1, 2946, 75, 122);
INSERT INTO public.who_data VALUES (17633, 2219, 256367, 136, 6120, 75, 38);
INSERT INTO public.who_data VALUES (17634, 14, 5496, 0, 27, 75, 130);
INSERT INTO public.who_data VALUES (17635, 26567, 9703770, 385, 140958, 75, 37);
INSERT INTO public.who_data VALUES (17636, 5754, 581550, 127, 17867, 75, 231);
INSERT INTO public.who_data VALUES (17637, 10827, 1051374, 284, 50594, 75, 107);
INSERT INTO public.who_data VALUES (17638, 1815, 566015, 28, 12460, 75, 101);
INSERT INTO public.who_data VALUES (17639, 222, 74468, 0, 2097, 75, 132);
INSERT INTO public.who_data VALUES (17640, 0, 370, 0, 25, 75, 176);
INSERT INTO public.who_data VALUES (17641, 1362, 345309, 8, 2930, 75, 200);
INSERT INTO public.who_data VALUES (17642, 13679, 1742557, 528, 60606, 75, 169);
INSERT INTO public.who_data VALUES (17643, 64, 11184, 0, 265, 75, 225);
INSERT INTO public.who_data VALUES (17644, 1862, 163929, 47, 2382, 75, 165);
INSERT INTO public.who_data VALUES (17645, 0, 1238, 0, 32, 75, 233);
INSERT INTO public.who_data VALUES (17646, 3980, 244069, 60, 3116, 75, 215);
INSERT INTO public.who_data VALUES (17647, 944, 181721, 0, 2542, 75, 177);
INSERT INTO public.who_data VALUES (17648, 199, 88579, 5, 1531, 75, 183);
INSERT INTO public.who_data VALUES (17649, 0, 0, 0, 0, 75, 203);
INSERT INTO public.who_data VALUES (17650, 519, 43281, 14, 1110, 75, 162);
INSERT INTO public.who_data VALUES (17651, 230, 144599, 6, 897, 75, 12);
INSERT INTO public.who_data VALUES (17652, 295, 75690, 4, 1301, 75, 24);
INSERT INTO public.who_data VALUES (17653, 2, 41, 0, 0, 75, 119);
INSERT INTO public.who_data VALUES (17654, 207, 21520, 10, 272, 75, 39);
INSERT INTO public.who_data VALUES (17655, 984, 138096, 16, 1115, 75, 26);
INSERT INTO public.who_data VALUES (17656, 13, 2150, 0, 44, 75, 59);
INSERT INTO public.who_data VALUES (17657, 0, 1676, 0, 83, 75, 77);
INSERT INTO public.who_data VALUES (17658, 517, 87097, 12, 1243, 75, 134);
INSERT INTO public.who_data VALUES (17659, 23, 1458, 0, 19, 75, 4);
INSERT INTO public.who_data VALUES (17660, 1393, 77430, 25, 860, 75, 109);
INSERT INTO public.who_data VALUES (17661, 531, 38215, 3, 353, 75, 90);
INSERT INTO public.who_data VALUES (17662, 0, 17473, 0, 255, 75, 61);
INSERT INTO public.who_data VALUES (17663, 0, 6051, 0, 185, 75, 85);
INSERT INTO public.who_data VALUES (17664, 1600, 74294, 2, 384, 75, 49);
INSERT INTO public.who_data VALUES (17665, 0, 13198, 0, 47, 75, 208);
INSERT INTO public.who_data VALUES (17666, 155, 5290, 7, 175, 75, 166);
INSERT INTO public.who_data VALUES (17667, 97, 10520, 2, 151, 75, 64);
INSERT INTO public.who_data VALUES (17668, 0, 4, 0, 0, 75, 199);
INSERT INTO public.who_data VALUES (17669, 33, 5553, 0, 41, 75, 114);
INSERT INTO public.who_data VALUES (17670, 1092, 9516, 16, 188, 75, 60);
INSERT INTO public.who_data VALUES (17671, 0, 505, 0, 10, 75, 68);
INSERT INTO public.who_data VALUES (17672, 0, 5181, 0, 49, 75, 158);
INSERT INTO public.who_data VALUES (17673, 7455, 1175850, 261, 109717, 75, 52);
INSERT INTO public.who_data VALUES (17674, 0, 0, 0, 0, 75, 117);
INSERT INTO public.who_data VALUES (17675, 3, 644, 0, 3, 75, 126);
INSERT INTO public.who_data VALUES (17676, 38, 887, 0, 0, 75, 196);
INSERT INTO public.who_data VALUES (17677, 528, 39604, 6, 548, 75, 142);
INSERT INTO public.who_data VALUES (17678, 0, 13, 0, 1, 75, 185);
INSERT INTO public.who_data VALUES (17679, 1531, 381188, 75, 6320, 75, 138);
INSERT INTO public.who_data VALUES (17680, 82, 16326, 3, 136, 75, 181);
INSERT INTO public.who_data VALUES (17681, 1108, 99155, 29, 2110, 75, 178);
INSERT INTO public.who_data VALUES (17682, 141, 15219, 0, 153, 75, 168);
INSERT INTO public.who_data VALUES (17683, 0, 0, 0, 0, 75, 160);
INSERT INTO public.who_data VALUES (17684, 1014, 241995, 20, 1614, 75, 151);
INSERT INTO public.who_data VALUES (17685, 7094, 563039, 19, 9679, 75, 193);
INSERT INTO public.who_data VALUES (17686, 0, 35, 0, 0, 75, 18);
INSERT INTO public.who_data VALUES (17687, 6, 1729, 0, 25, 75, 40);
INSERT INTO public.who_data VALUES (17688, 0, 4671, 0, 161, 75, 218);
INSERT INTO public.who_data VALUES (17689, 0, 1789, 0, 77, 75, 191);
INSERT INTO public.who_data VALUES (17690, 390, 69645, 1, 1181, 75, 156);
INSERT INTO public.who_data VALUES (17691, 0, 0, 0, 0, 75, 135);
INSERT INTO public.who_data VALUES (17692, 2, 111, 0, 2, 75, 88);
INSERT INTO public.who_data VALUES (17693, 364, 68332, 25, 1949, 75, 55);
INSERT INTO public.who_data VALUES (17694, 951, 38322, 5, 359, 75, 108);
INSERT INTO public.who_data VALUES (17695, 1720, 113755, 20, 942, 75, 48);
INSERT INTO public.who_data VALUES (17696, 229, 125115, 8, 1452, 75, 3);
INSERT INTO public.who_data VALUES (17697, 0, 744, 0, 13, 75, 224);
INSERT INTO public.who_data VALUES (17698, 3795, 420294, 37, 8398, 75, 110);
INSERT INTO public.who_data VALUES (17699, 0, 0, 0, 0, 75, 106);
INSERT INTO public.who_data VALUES (17700, 1812, 177719, 20, 3193, 75, 89);
INSERT INTO public.who_data VALUES (17701, 13, 684, 0, 7, 75, 121);
INSERT INTO public.who_data VALUES (17702, 707, 87920, 20, 1853, 75, 163);
INSERT INTO public.who_data VALUES (17703, 1224, 973912, 43, 36274, 75, 70);
INSERT INTO public.who_data VALUES (17704, 1565, 441399, 18, 8572, 75, 174);
INSERT INTO public.who_data VALUES (17705, 0, 0, 0, 0, 75, 175);
INSERT INTO public.who_data VALUES (17706, 4421, 1067870, 92, 20181, 75, 118);
INSERT INTO public.who_data VALUES (17707, 2597, 325071, 78, 5041, 75, 189);
INSERT INTO public.who_data VALUES (17708, 951, 57622, 11, 1203, 75, 124);
INSERT INTO public.who_data VALUES (17709, 178, 140086, 0, 239, 75, 192);
INSERT INTO public.who_data VALUES (17710, 589, 38741, 3, 552, 75, 41);
INSERT INTO public.who_data VALUES (17711, 860, 117495, 19, 2438, 75, 95);
INSERT INTO public.who_data VALUES (17712, 94, 8294, 0, 41, 75, 74);
INSERT INTO public.who_data VALUES (17713, 3660, 517236, 127, 12447, 75, 11);
INSERT INTO public.who_data VALUES (17714, 26097, 2515009, 562, 44159, 75, 87);
INSERT INTO public.who_data VALUES (17715, 62, 6191, 0, 51, 75, 214);
INSERT INTO public.who_data VALUES (17716, 0, 5, 0, 0, 75, 116);
INSERT INTO public.who_data VALUES (17717, 12, 164, 0, 0, 75, 157);
INSERT INTO public.who_data VALUES (17718, 0, 0, 0, 0, 75, 182);
INSERT INTO public.who_data VALUES (17719, 0, 25, 0, 0, 75, 186);
INSERT INTO public.who_data VALUES (17720, 0, 265, 0, 2, 75, 127);
INSERT INTO public.who_data VALUES (17721, 94, 838, 0, 12, 75, 232);
INSERT INTO public.who_data VALUES (17722, 0, 14, 0, 0, 75, 33);
INSERT INTO public.who_data VALUES (17723, 0, 87, 0, 0, 75, 97);
INSERT INTO public.who_data VALUES (17724, 0, 2, 0, 0, 75, 42);
INSERT INTO public.who_data VALUES (17725, 11, 1800, 0, 48, 75, 198);
INSERT INTO public.who_data VALUES (17726, 3, 1002, 0, 17, 75, 216);
INSERT INTO public.who_data VALUES (17727, 209, 358922, 12, 5977, 75, 164);
INSERT INTO public.who_data VALUES (17728, 76, 16553, 2, 340, 75, 235);
INSERT INTO public.who_data VALUES (17729, 6557, 226209, 56, 2005, 75, 67);
INSERT INTO public.who_data VALUES (17730, 0, 182, 0, 0, 75, 15);
INSERT INTO public.who_data VALUES (17731, 2, 2428, 0, 74, 75, 180);
INSERT INTO public.who_data VALUES (17732, 13, 58273, 0, 29, 75, 237);
INSERT INTO public.who_data VALUES (17733, 2, 16, 0, 0, 75, 25);
INSERT INTO public.who_data VALUES (17734, 36, 1141, 0, 25, 75, 209);
INSERT INTO public.who_data VALUES (17735, 1269, 119295, 15, 1016, 75, 217);
INSERT INTO public.who_data VALUES (17736, 480, 86331, 59, 1971, 75, 79);
INSERT INTO public.who_data VALUES (17737, 0, 17, 0, 0, 75, 143);
INSERT INTO public.who_data VALUES (17738, 54, 4579, 0, 121, 75, 229);
INSERT INTO public.who_data VALUES (17739, 3313, 817878, 43, 22249, 75, 141);
INSERT INTO public.who_data VALUES (17740, 0, 3181, 0, 62, 75, 197);
INSERT INTO public.who_data VALUES (17741, 3337, 1781001, 163, 48600, 75, 221);
INSERT INTO public.who_data VALUES (17742, 649, 27877, 3, 140, 75, 150);
INSERT INTO public.who_data VALUES (17743, 212, 20296, 2, 1309, 75, 56);
INSERT INTO public.who_data VALUES (17744, 0, 5324, 0, 117, 75, 167);
INSERT INTO public.who_data VALUES (17745, 1803, 294396, 81, 7667, 75, 23);
INSERT INTO public.who_data VALUES (17746, 5830, 360069, 77, 5349, 75, 222);
INSERT INTO public.who_data VALUES (17747, 87, 8490, 5, 452, 75, 219);
INSERT INTO public.who_data VALUES (17748, 58, 12514, 0, 87, 75, 7);
INSERT INTO public.who_data VALUES (17749, 21, 4107, 0, 60, 75, 161);
INSERT INTO public.who_data VALUES (17750, 14718, 1737964, 189, 61434, 75, 149);
INSERT INTO public.who_data VALUES (17751, 0, 31, 0, 0, 75, 6);
INSERT INTO public.who_data VALUES (17752, 10, 3095, 0, 65, 75, 139);
INSERT INTO public.who_data VALUES (17753, 0, 0, 0, 0, 75, 211);
INSERT INTO public.who_data VALUES (17754, 0, 0, 0, 0, 75, 14);
INSERT INTO public.who_data VALUES (17755, 16, 6767, 0, 122, 75, 111);
INSERT INTO public.who_data VALUES (17756, 327, 104329, 35, 3596, 75, 207);
INSERT INTO public.who_data VALUES (17757, 32137, 1653233, 203, 15103, 75, 66);
INSERT INTO public.who_data VALUES (17758, 0, 0, 0, 0, 75, 173);
INSERT INTO public.who_data VALUES (17759, 0, 756, 0, 6, 75, 145);
INSERT INTO public.who_data VALUES (17760, 0, 0, 0, 0, 75, 65);
INSERT INTO public.who_data VALUES (17761, 701, 23200, 1, 207, 75, 184);
INSERT INTO public.who_data VALUES (17762, 10811, 832758, 195, 13928, 75, 98);
INSERT INTO public.who_data VALUES (17763, 1148, 177577, 2, 594, 75, 104);
INSERT INTO public.who_data VALUES (17764, 0, 509, 0, 21, 75, 73);
INSERT INTO public.who_data VALUES (17765, 173388, 14570523, 1107, 279913, 75, 8);
INSERT INTO public.who_data VALUES (17766, 0, 1649, 0, 23, 75, 227);
INSERT INTO public.who_data VALUES (17767, 338, 7303, 1, 82, 75, 75);
INSERT INTO public.who_data VALUES (17768, 153, 74206, 0, 611, 75, 45);
INSERT INTO public.who_data VALUES (17769, 0, 1, 0, 0, 75, 133);
INSERT INTO public.who_data VALUES (17770, 265, 104442, 3, 919, 75, 202);
INSERT INTO public.who_data VALUES (17771, 1, 1367, 0, 35, 75, 129);
INSERT INTO public.who_data VALUES (17772, 0, 3, 0, 0, 75, 36);
INSERT INTO public.who_data VALUES (17773, 0, 2082, 0, 607, 75, 51);
INSERT INTO public.who_data VALUES (17774, 15, 17931, 0, 364, 75, 206);
INSERT INTO public.who_data VALUES (17775, 121, 10839, 3, 294, 75, 5);
INSERT INTO public.who_data VALUES (17776, 260, 47901, 10, 1875, 76, 103);
INSERT INTO public.who_data VALUES (17777, 840, 42988, 16, 905, 76, 58);
INSERT INTO public.who_data VALUES (17778, 750, 88252, 15, 2516, 76, 195);
INSERT INTO public.who_data VALUES (17779, 0, 0, 0, 0, 76, 115);
INSERT INTO public.who_data VALUES (17780, 45, 7050, 0, 78, 76, 99);
INSERT INTO public.who_data VALUES (17781, 0, 15536, 0, 354, 76, 153);
INSERT INTO public.who_data VALUES (17782, 0, 7, 0, 0, 76, 93);
INSERT INTO public.who_data VALUES (17783, 0, 144, 0, 4, 76, 84);
INSERT INTO public.who_data VALUES (17784, 5201, 1459832, 120, 39632, 76, 78);
INSERT INTO public.who_data VALUES (17785, 407, 141657, 18, 2339, 76, 170);
INSERT INTO public.who_data VALUES (17786, 0, 4923, 0, 45, 76, 32);
INSERT INTO public.who_data VALUES (17787, 9, 27965, 0, 908, 76, 155);
INSERT INTO public.who_data VALUES (17788, 2745, 300976, 58, 3732, 76, 82);
INSERT INTO public.who_data VALUES (17789, 4356, 146679, 39, 1632, 76, 16);
INSERT INTO public.who_data VALUES (17790, 5, 7575, 0, 163, 76, 72);
INSERT INTO public.who_data VALUES (17791, 198, 87929, 0, 341, 76, 43);
INSERT INTO public.who_data VALUES (17792, 1666, 477545, 31, 6838, 76, 120);
INSERT INTO public.who_data VALUES (17793, 0, 285, 0, 7, 76, 213);
INSERT INTO public.who_data VALUES (17794, 1878, 147157, 9, 1207, 76, 31);
INSERT INTO public.who_data VALUES (17795, 601, 593280, 84, 17434, 76, 204);
INSERT INTO public.who_data VALUES (17796, 218, 7601, 2, 172, 76, 152);
INSERT INTO public.who_data VALUES (17797, 0, 3055, 0, 44, 76, 144);
INSERT INTO public.who_data VALUES (17798, 0, 288, 0, 9, 76, 96);
INSERT INTO public.who_data VALUES (17799, 4, 430, 0, 0, 76, 47);
INSERT INTO public.who_data VALUES (17800, 167, 145492, 5, 8992, 76, 80);
INSERT INTO public.who_data VALUES (17801, 0, 145, 0, 3, 76, 159);
INSERT INTO public.who_data VALUES (17802, 739, 94507, 30, 2952, 76, 27);
INSERT INTO public.who_data VALUES (17803, 1225, 11217, 3, 34, 76, 146);
INSERT INTO public.who_data VALUES (17804, 43209, 6577177, 664, 176628, 76, 71);
INSERT INTO public.who_data VALUES (17805, 0, 73, 0, 1, 76, 210);
INSERT INTO public.who_data VALUES (17806, 0, 151, 0, 3, 76, 54);
INSERT INTO public.who_data VALUES (17807, 577, 161421, 68, 4797, 76, 147);
INSERT INTO public.who_data VALUES (17808, 56, 3212, 0, 68, 76, 2);
INSERT INTO public.who_data VALUES (17809, 4, 698, 0, 1, 76, 105);
INSERT INTO public.who_data VALUES (17810, 0, 10626, 0, 105, 76, 53);
INSERT INTO public.who_data VALUES (17811, 2, 348, 0, 0, 76, 81);
INSERT INTO public.who_data VALUES (17812, 0, 24752, 0, 443, 76, 223);
INSERT INTO public.who_data VALUES (17813, 6352, 408921, 93, 12589, 76, 94);
INSERT INTO public.who_data VALUES (17814, 0, 288, 0, 2, 76, 154);
INSERT INTO public.who_data VALUES (17815, 0, 4922, 0, 63, 76, 83);
INSERT INTO public.who_data VALUES (17816, 3, 1725, 0, 102, 76, 194);
INSERT INTO public.who_data VALUES (17817, 1714, 560382, 36, 15628, 76, 136);
INSERT INTO public.who_data VALUES (17818, 133, 94293, 0, 4753, 76, 179);
INSERT INTO public.who_data VALUES (17819, 9642, 1362249, 166, 37633, 76, 57);
INSERT INTO public.who_data VALUES (17820, 0, 615, 0, 7, 76, 35);
INSERT INTO public.who_data VALUES (17821, 0, 5774, 0, 94, 76, 228);
INSERT INTO public.who_data VALUES (17822, 0, 0, 0, 0, 76, 19);
INSERT INTO public.who_data VALUES (17823, 0, 143685, 0, 1773, 76, 22);
INSERT INTO public.who_data VALUES (17824, 44, 21485, 0, 132, 76, 1);
INSERT INTO public.who_data VALUES (17825, 2899, 150353, 72, 2174, 76, 21);
INSERT INTO public.who_data VALUES (17826, 68, 8782, 0, 136, 76, 234);
INSERT INTO public.who_data VALUES (17827, 0, 2740, 0, 7, 76, 91);
INSERT INTO public.who_data VALUES (17828, 270, 12451, 2, 61, 76, 137);
INSERT INTO public.who_data VALUES (17829, 2654, 546833, 87, 8902, 76, 201);
INSERT INTO public.who_data VALUES (17830, 0, 0, 0, 0, 76, 171);
INSERT INTO public.who_data VALUES (17831, 0, 13526, 0, 344, 76, 92);
INSERT INTO public.who_data VALUES (17832, 1745, 90603, 7, 885, 76, 112);
INSERT INTO public.who_data VALUES (17833, 9, 5701, 0, 61, 76, 62);
INSERT INTO public.who_data VALUES (17834, 0, 85, 0, 0, 76, 69);
INSERT INTO public.who_data VALUES (17835, 798, 148453, 0, 2345, 76, 220);
INSERT INTO public.who_data VALUES (17836, 607, 197998, 22, 13778, 76, 100);
INSERT INTO public.who_data VALUES (17837, 418, 118432, 21, 6771, 76, 187);
INSERT INTO public.who_data VALUES (17838, 413, 40131, 6, 1159, 76, 63);
INSERT INTO public.who_data VALUES (17839, 0, 5159, 0, 85, 76, 28);
INSERT INTO public.who_data VALUES (17840, 0, 632, 0, 0, 76, 172);
INSERT INTO public.who_data VALUES (17841, 478, 14978, 5, 131, 76, 17);
INSERT INTO public.who_data VALUES (17842, 6, 6501, 0, 122, 76, 226);
INSERT INTO public.who_data VALUES (17843, 555, 113295, 2, 1747, 76, 236);
INSERT INTO public.who_data VALUES (17844, 0, 17, 0, 0, 76, 76);
INSERT INTO public.who_data VALUES (17845, 4, 510, 0, 0, 76, 30);
INSERT INTO public.who_data VALUES (17846, 0, 44, 0, 2, 76, 128);
INSERT INTO public.who_data VALUES (17847, 413, 27631, 0, 415, 76, 86);
INSERT INTO public.who_data VALUES (17848, 11022, 2252852, 174, 54792, 76, 140);
INSERT INTO public.who_data VALUES (17849, 0, 11407, 0, 71, 76, 44);
INSERT INTO public.who_data VALUES (17850, 0, 15107, 0, 79, 76, 113);
INSERT INTO public.who_data VALUES (17851, 0, 9254, 0, 60, 76, 29);
INSERT INTO public.who_data VALUES (17852, 0, 3770, 0, 123, 76, 125);
INSERT INTO public.who_data VALUES (17853, 2501, 164976, 36, 1540, 76, 131);
INSERT INTO public.who_data VALUES (17854, 12332, 1183654, 147, 18919, 76, 46);
INSERT INTO public.who_data VALUES (17855, 178, 52274, 0, 325, 76, 10);
INSERT INTO public.who_data VALUES (17856, 6, 1048, 0, 5, 76, 205);
INSERT INTO public.who_data VALUES (17857, 903, 115471, 101, 3003, 76, 50);
INSERT INTO public.who_data VALUES (17858, 0, 18, 0, 0, 76, 20);
INSERT INTO public.who_data VALUES (17859, 2, 43, 0, 0, 76, 13);
INSERT INTO public.who_data VALUES (17860, 0, 8427, 0, 149, 76, 148);
INSERT INTO public.who_data VALUES (17861, 27, 6872, 0, 113, 76, 230);
INSERT INTO public.who_data VALUES (17862, 198, 125550, 11, 4250, 76, 190);
INSERT INTO public.who_data VALUES (17863, 0, 288, 0, 13, 76, 188);
INSERT INTO public.who_data VALUES (17864, 26, 13233, 0, 76, 76, 123);
INSERT INTO public.who_data VALUES (17865, 0, 2441, 0, 44, 76, 9);
INSERT INTO public.who_data VALUES (17866, 36, 5637, 0, 151, 76, 102);
INSERT INTO public.who_data VALUES (17867, 0, 9370, 0, 233, 76, 34);
INSERT INTO public.who_data VALUES (17868, 0, 26, 0, 0, 76, 212);
INSERT INTO public.who_data VALUES (17869, 763, 110723, 4, 2945, 76, 122);
INSERT INTO public.who_data VALUES (17870, 3870, 254148, 116, 5984, 76, 38);
INSERT INTO public.who_data VALUES (17871, 6, 5482, 0, 27, 76, 130);
INSERT INTO public.who_data VALUES (17872, 32981, 9677203, 391, 140573, 76, 37);
INSERT INTO public.who_data VALUES (17873, 6089, 575796, 151, 17740, 76, 231);
INSERT INTO public.who_data VALUES (17874, 11561, 1040547, 294, 50310, 76, 107);
INSERT INTO public.who_data VALUES (17875, 1680, 564200, 21, 12432, 76, 101);
INSERT INTO public.who_data VALUES (17876, 298, 74246, 0, 2097, 76, 132);
INSERT INTO public.who_data VALUES (17877, 0, 370, 0, 25, 76, 176);
INSERT INTO public.who_data VALUES (17878, 1000, 343947, 10, 2922, 76, 200);
INSERT INTO public.who_data VALUES (17879, 18887, 1728878, 564, 60078, 76, 169);
INSERT INTO public.who_data VALUES (17880, 57, 11120, 4, 265, 76, 225);
INSERT INTO public.who_data VALUES (17881, 1969, 162067, 20, 2335, 76, 165);
INSERT INTO public.who_data VALUES (17882, 0, 1238, 0, 32, 76, 233);
INSERT INTO public.who_data VALUES (17883, 2576, 240089, 46, 3056, 76, 215);
INSERT INTO public.who_data VALUES (17884, 688, 180777, 0, 2542, 76, 177);
INSERT INTO public.who_data VALUES (17885, 396, 88380, 8, 1526, 76, 183);
INSERT INTO public.who_data VALUES (17886, 0, 0, 0, 0, 76, 203);
INSERT INTO public.who_data VALUES (17887, 468, 42762, 19, 1096, 76, 162);
INSERT INTO public.who_data VALUES (17888, 205, 144369, 2, 891, 76, 12);
INSERT INTO public.who_data VALUES (17889, 293, 75395, 2, 1297, 76, 24);
INSERT INTO public.who_data VALUES (17890, 0, 39, 0, 0, 76, 119);
INSERT INTO public.who_data VALUES (17891, 526, 21313, 9, 262, 76, 39);
INSERT INTO public.who_data VALUES (17892, 1236, 137112, 9, 1099, 76, 26);
INSERT INTO public.who_data VALUES (17893, 0, 2137, 0, 44, 76, 59);
INSERT INTO public.who_data VALUES (17894, 0, 1676, 0, 83, 76, 77);
INSERT INTO public.who_data VALUES (17895, 1051, 86580, 12, 1231, 76, 134);
INSERT INTO public.who_data VALUES (17896, 4, 1435, 1, 19, 76, 4);
INSERT INTO public.who_data VALUES (17897, 1390, 76037, 44, 835, 76, 109);
INSERT INTO public.who_data VALUES (17898, 667, 37684, 5, 350, 76, 90);
INSERT INTO public.who_data VALUES (17899, 0, 17473, 0, 255, 76, 61);
INSERT INTO public.who_data VALUES (17900, 2, 6051, 0, 185, 76, 85);
INSERT INTO public.who_data VALUES (17901, 1335, 72694, 2, 382, 76, 49);
INSERT INTO public.who_data VALUES (17902, 39, 13198, 0, 47, 76, 208);
INSERT INTO public.who_data VALUES (17903, 73, 5135, 5, 168, 76, 166);
INSERT INTO public.who_data VALUES (17904, 103, 10423, 0, 149, 76, 64);
INSERT INTO public.who_data VALUES (17905, 0, 4, 0, 0, 76, 199);
INSERT INTO public.who_data VALUES (17906, 0, 5520, 0, 41, 76, 114);
INSERT INTO public.who_data VALUES (17907, 0, 8424, 0, 172, 76, 60);
INSERT INTO public.who_data VALUES (17908, 0, 505, 0, 10, 76, 68);
INSERT INTO public.who_data VALUES (17909, 0, 5181, 0, 49, 76, 158);
INSERT INTO public.who_data VALUES (17910, 11625, 1168395, 593, 109456, 76, 52);
INSERT INTO public.who_data VALUES (17911, 0, 0, 0, 0, 76, 117);
INSERT INTO public.who_data VALUES (17912, 1, 641, 0, 3, 76, 126);
INSERT INTO public.who_data VALUES (17913, 7, 849, 0, 0, 76, 196);
INSERT INTO public.who_data VALUES (17914, 529, 39076, 10, 542, 76, 142);
INSERT INTO public.who_data VALUES (17915, 0, 13, 0, 1, 76, 185);
INSERT INTO public.who_data VALUES (17916, 2919, 379657, 61, 6245, 76, 138);
INSERT INTO public.who_data VALUES (17917, 111, 16244, 0, 133, 76, 181);
INSERT INTO public.who_data VALUES (17918, 1527, 98047, 22, 2081, 76, 178);
INSERT INTO public.who_data VALUES (17919, 128, 15078, 0, 153, 76, 168);
INSERT INTO public.who_data VALUES (17920, 0, 0, 0, 0, 76, 160);
INSERT INTO public.who_data VALUES (17921, 1096, 240981, 17, 1594, 76, 151);
INSERT INTO public.who_data VALUES (17922, 6764, 555945, 24, 9660, 76, 193);
INSERT INTO public.who_data VALUES (17923, 0, 35, 0, 0, 76, 18);
INSERT INTO public.who_data VALUES (17924, 1, 1723, 0, 25, 76, 40);
INSERT INTO public.who_data VALUES (17925, 0, 4671, 0, 161, 76, 218);
INSERT INTO public.who_data VALUES (17926, 0, 1789, 0, 77, 76, 191);
INSERT INTO public.who_data VALUES (17927, 318, 69255, 0, 1180, 76, 156);
INSERT INTO public.who_data VALUES (17928, 0, 0, 0, 0, 76, 135);
INSERT INTO public.who_data VALUES (17929, 0, 109, 0, 2, 76, 88);
INSERT INTO public.who_data VALUES (17930, 657, 67968, 23, 1924, 76, 55);
INSERT INTO public.who_data VALUES (17931, 0, 37371, 0, 354, 76, 108);
INSERT INTO public.who_data VALUES (17932, 2333, 112035, 17, 922, 76, 48);
INSERT INTO public.who_data VALUES (17933, 557, 124886, 9, 1444, 76, 3);
INSERT INTO public.who_data VALUES (17934, 3, 744, 0, 13, 76, 224);
INSERT INTO public.who_data VALUES (17935, 3308, 416499, 58, 8361, 76, 110);
INSERT INTO public.who_data VALUES (17936, 0, 0, 0, 0, 76, 106);
INSERT INTO public.who_data VALUES (17937, 2300, 175907, 19, 3173, 76, 89);
INSERT INTO public.who_data VALUES (17938, 0, 671, 0, 7, 76, 121);
INSERT INTO public.who_data VALUES (17939, 714, 87213, 20, 1833, 76, 163);
INSERT INTO public.who_data VALUES (17940, 1828, 972688, 36, 36231, 76, 70);
INSERT INTO public.who_data VALUES (17941, 1765, 439834, 28, 8554, 76, 174);
INSERT INTO public.who_data VALUES (17942, 0, 0, 0, 0, 76, 175);
INSERT INTO public.who_data VALUES (17943, 9176, 1063449, 228, 20089, 76, 118);
INSERT INTO public.who_data VALUES (17944, 3834, 322474, 87, 4963, 76, 189);
INSERT INTO public.who_data VALUES (17945, 1139, 56671, 7, 1192, 76, 124);
INSERT INTO public.who_data VALUES (17946, 125, 139908, 0, 239, 76, 192);
INSERT INTO public.who_data VALUES (17947, 615, 38152, 4, 549, 76, 41);
INSERT INTO public.who_data VALUES (17948, 1078, 116635, 16, 2419, 76, 95);
INSERT INTO public.who_data VALUES (17949, 0, 8200, 0, 41, 76, 74);
INSERT INTO public.who_data VALUES (17950, 5231, 513576, 134, 12320, 76, 11);
INSERT INTO public.who_data VALUES (17951, 28142, 2488912, 456, 43597, 76, 87);
INSERT INTO public.who_data VALUES (17952, 45, 6129, 0, 51, 76, 214);
INSERT INTO public.who_data VALUES (17953, 0, 5, 0, 0, 76, 116);
INSERT INTO public.who_data VALUES (17954, 0, 152, 0, 0, 76, 157);
INSERT INTO public.who_data VALUES (17955, 0, 0, 0, 0, 76, 182);
INSERT INTO public.who_data VALUES (17956, 3, 25, 0, 0, 76, 186);
INSERT INTO public.who_data VALUES (17957, 0, 265, 0, 2, 76, 127);
INSERT INTO public.who_data VALUES (17958, 0, 744, 0, 12, 76, 232);
INSERT INTO public.who_data VALUES (17959, 0, 14, 0, 0, 76, 33);
INSERT INTO public.who_data VALUES (17960, 0, 87, 0, 0, 76, 97);
INSERT INTO public.who_data VALUES (17961, 0, 2, 0, 0, 76, 42);
INSERT INTO public.who_data VALUES (17962, 0, 1789, 0, 48, 76, 198);
INSERT INTO public.who_data VALUES (17963, 0, 999, 0, 17, 76, 216);
INSERT INTO public.who_data VALUES (17964, 187, 358713, 11, 5965, 76, 164);
INSERT INTO public.who_data VALUES (17965, 80, 16477, 1, 338, 76, 235);
INSERT INTO public.who_data VALUES (17966, 5809, 219652, 58, 1949, 76, 67);
INSERT INTO public.who_data VALUES (17967, 0, 182, 0, 0, 76, 15);
INSERT INTO public.who_data VALUES (17968, 6, 2426, 0, 74, 76, 180);
INSERT INTO public.who_data VALUES (17969, 5, 58260, 0, 29, 76, 237);
INSERT INTO public.who_data VALUES (17970, 0, 14, 0, 0, 76, 25);
INSERT INTO public.who_data VALUES (17971, 0, 1105, 0, 25, 76, 209);
INSERT INTO public.who_data VALUES (17972, 2070, 118026, 24, 1001, 76, 217);
INSERT INTO public.who_data VALUES (17973, 1033, 85851, 49, 1912, 76, 79);
INSERT INTO public.who_data VALUES (17974, 0, 17, 0, 0, 76, 143);
INSERT INTO public.who_data VALUES (17975, 0, 4525, 0, 121, 76, 229);
INSERT INTO public.who_data VALUES (17976, 4116, 814565, 139, 22206, 76, 141);
INSERT INTO public.who_data VALUES (17977, 15, 3181, 1, 62, 76, 197);
INSERT INTO public.who_data VALUES (17978, 5044, 1777664, 166, 48437, 76, 221);
INSERT INTO public.who_data VALUES (17979, 0, 27228, 0, 137, 76, 150);
INSERT INTO public.who_data VALUES (17980, 337, 20084, 6, 1307, 76, 56);
INSERT INTO public.who_data VALUES (17981, 2, 5324, 0, 117, 76, 167);
INSERT INTO public.who_data VALUES (17982, 4864, 292593, 43, 7586, 76, 23);
INSERT INTO public.who_data VALUES (17983, 1938, 354239, 64, 5272, 76, 222);
INSERT INTO public.who_data VALUES (17984, 83, 8403, 5, 447, 76, 219);
INSERT INTO public.who_data VALUES (17985, 67, 12456, 0, 87, 76, 7);
INSERT INTO public.who_data VALUES (17986, 14, 4086, 0, 60, 76, 161);
INSERT INTO public.who_data VALUES (17987, 17271, 1723246, 231, 61245, 76, 149);
INSERT INTO public.who_data VALUES (17988, 0, 31, 0, 0, 76, 6);
INSERT INTO public.who_data VALUES (17989, 34, 3085, 0, 65, 76, 139);
INSERT INTO public.who_data VALUES (17990, 0, 0, 0, 0, 76, 211);
INSERT INTO public.who_data VALUES (17991, 0, 0, 0, 0, 76, 14);
INSERT INTO public.who_data VALUES (17992, 16, 6751, 1, 122, 76, 111);
INSERT INTO public.who_data VALUES (17993, 1011, 104002, 35, 3561, 76, 207);
INSERT INTO public.who_data VALUES (17994, 30402, 1621096, 195, 14900, 76, 66);
INSERT INTO public.who_data VALUES (17995, 0, 0, 0, 0, 76, 173);
INSERT INTO public.who_data VALUES (17996, 1, 756, 0, 6, 76, 145);
INSERT INTO public.who_data VALUES (17997, 0, 0, 0, 0, 76, 65);
INSERT INTO public.who_data VALUES (17998, 311, 22499, 0, 206, 76, 184);
INSERT INTO public.who_data VALUES (17999, 8641, 821947, 145, 13733, 76, 98);
INSERT INTO public.who_data VALUES (18000, 1153, 176429, 3, 592, 76, 104);
INSERT INTO public.who_data VALUES (18001, 0, 509, 0, 21, 76, 73);
INSERT INTO public.who_data VALUES (18002, 205837, 14397135, 2303, 278806, 76, 8);
INSERT INTO public.who_data VALUES (18003, 16, 1649, 0, 23, 76, 227);
INSERT INTO public.who_data VALUES (18004, 234, 6965, 1, 81, 76, 75);
INSERT INTO public.who_data VALUES (18005, 149, 74053, 0, 611, 76, 45);
INSERT INTO public.who_data VALUES (18006, 0, 1, 0, 0, 76, 133);
INSERT INTO public.who_data VALUES (18007, 300, 104177, 3, 916, 76, 202);
INSERT INTO public.who_data VALUES (18008, 1, 1366, 0, 35, 76, 129);
INSERT INTO public.who_data VALUES (18009, 0, 3, 0, 0, 76, 36);
INSERT INTO public.who_data VALUES (18010, 1, 2082, 0, 607, 76, 51);
INSERT INTO public.who_data VALUES (18011, 18, 17916, 0, 364, 76, 206);
INSERT INTO public.who_data VALUES (18012, 101, 10718, 0, 291, 76, 5);
INSERT INTO public.who_data VALUES (18013, 253, 47641, 18, 1865, 77, 103);
INSERT INTO public.who_data VALUES (18014, 846, 42148, 19, 889, 77, 58);
INSERT INTO public.who_data VALUES (18015, 772, 87502, 9, 2501, 77, 195);
INSERT INTO public.who_data VALUES (18016, 0, 0, 0, 0, 77, 115);
INSERT INTO public.who_data VALUES (18017, 50, 7005, 1, 78, 77, 99);
INSERT INTO public.who_data VALUES (18018, 43, 15536, 1, 354, 77, 153);
INSERT INTO public.who_data VALUES (18019, 0, 7, 0, 0, 77, 93);
INSERT INTO public.who_data VALUES (18020, 0, 144, 0, 4, 77, 84);
INSERT INTO public.who_data VALUES (18021, 6899, 1454631, 207, 39512, 77, 78);
INSERT INTO public.who_data VALUES (18022, 978, 141250, 17, 2321, 77, 170);
INSERT INTO public.who_data VALUES (18023, 0, 4923, 0, 45, 77, 32);
INSERT INTO public.who_data VALUES (18024, 7, 27956, 0, 908, 77, 155);
INSERT INTO public.who_data VALUES (18025, 3160, 298231, 87, 3674, 77, 82);
INSERT INTO public.who_data VALUES (18026, 4323, 142323, 42, 1593, 77, 16);
INSERT INTO public.who_data VALUES (18027, 5, 7570, 0, 163, 77, 72);
INSERT INTO public.who_data VALUES (18028, 132, 87731, 0, 341, 77, 43);
INSERT INTO public.who_data VALUES (18029, 1888, 475879, 35, 6807, 77, 120);
INSERT INTO public.who_data VALUES (18030, 4, 285, 0, 7, 77, 213);
INSERT INTO public.who_data VALUES (18031, 1896, 145279, 8, 1198, 77, 31);
INSERT INTO public.who_data VALUES (18032, 1101, 592679, 87, 17350, 77, 204);
INSERT INTO public.who_data VALUES (18033, 147, 7383, 6, 170, 77, 152);
INSERT INTO public.who_data VALUES (18034, 0, 3055, 0, 44, 77, 144);
INSERT INTO public.who_data VALUES (18035, 10, 288, 0, 9, 77, 96);
INSERT INTO public.who_data VALUES (18036, 2, 426, 0, 0, 77, 47);
INSERT INTO public.who_data VALUES (18037, 139, 145325, 5, 8987, 77, 80);
INSERT INTO public.who_data VALUES (18038, 0, 145, 0, 3, 77, 159);
INSERT INTO public.who_data VALUES (18039, 975, 93768, 57, 2922, 77, 27);
INSERT INTO public.who_data VALUES (18040, 0, 9992, 0, 31, 77, 146);
INSERT INTO public.who_data VALUES (18041, 46884, 6533968, 694, 175964, 77, 71);
INSERT INTO public.who_data VALUES (18042, 0, 73, 0, 1, 77, 210);
INSERT INTO public.who_data VALUES (18043, 0, 151, 0, 3, 77, 54);
INSERT INTO public.who_data VALUES (18044, 2037, 160844, 79, 4729, 77, 147);
INSERT INTO public.who_data VALUES (18045, 65, 3156, 0, 68, 77, 2);
INSERT INTO public.who_data VALUES (18046, 0, 694, 0, 1, 77, 105);
INSERT INTO public.who_data VALUES (18047, 0, 10626, 0, 105, 77, 53);
INSERT INTO public.who_data VALUES (18048, 1, 346, 0, 0, 77, 81);
INSERT INTO public.who_data VALUES (18049, 0, 24752, 0, 443, 77, 223);
INSERT INTO public.who_data VALUES (18050, 6299, 402569, 89, 12496, 77, 94);
INSERT INTO public.who_data VALUES (18051, 0, 288, 0, 2, 77, 154);
INSERT INTO public.who_data VALUES (18052, 0, 4922, 0, 63, 77, 83);
INSERT INTO public.who_data VALUES (18053, 3, 1722, 0, 102, 77, 194);
INSERT INTO public.who_data VALUES (18054, 1533, 558668, 34, 15592, 77, 136);
INSERT INTO public.who_data VALUES (18055, 122, 94160, 0, 4753, 77, 179);
INSERT INTO public.who_data VALUES (18056, 9285, 1352607, 162, 37467, 77, 57);
INSERT INTO public.who_data VALUES (18057, 0, 615, 0, 7, 77, 35);
INSERT INTO public.who_data VALUES (18058, 0, 5774, 0, 94, 77, 228);
INSERT INTO public.who_data VALUES (18059, 0, 0, 0, 0, 77, 19);
INSERT INTO public.who_data VALUES (18060, 1180, 143685, 16, 1773, 77, 22);
INSERT INTO public.who_data VALUES (18061, 29, 21441, 0, 132, 77, 1);
INSERT INTO public.who_data VALUES (18062, 4084, 147454, 70, 2102, 77, 21);
INSERT INTO public.who_data VALUES (18063, 104, 8714, 0, 136, 77, 234);
INSERT INTO public.who_data VALUES (18064, 0, 2740, 0, 7, 77, 91);
INSERT INTO public.who_data VALUES (18065, 369, 12181, 2, 59, 77, 137);
INSERT INTO public.who_data VALUES (18066, 1773, 544179, 77, 8815, 77, 201);
INSERT INTO public.who_data VALUES (18067, 0, 0, 0, 0, 77, 171);
INSERT INTO public.who_data VALUES (18068, 246, 13526, 7, 344, 77, 92);
INSERT INTO public.who_data VALUES (18069, 2115, 88858, 11, 878, 77, 112);
INSERT INTO public.who_data VALUES (18070, 2, 5692, 0, 61, 77, 62);
INSERT INTO public.who_data VALUES (18071, 0, 85, 0, 0, 77, 69);
INSERT INTO public.who_data VALUES (18072, 975, 147655, 2, 2345, 77, 220);
INSERT INTO public.who_data VALUES (18073, 1507, 197391, 144, 13756, 77, 100);
INSERT INTO public.who_data VALUES (18074, 431, 118014, 18, 6750, 77, 187);
INSERT INTO public.who_data VALUES (18075, 0, 39718, 11, 1153, 77, 63);
INSERT INTO public.who_data VALUES (18076, 0, 5159, 0, 85, 77, 28);
INSERT INTO public.who_data VALUES (18077, 0, 632, 0, 0, 77, 172);
INSERT INTO public.who_data VALUES (18078, 561, 14500, 1, 126, 77, 17);
INSERT INTO public.who_data VALUES (18079, 15, 6495, 0, 122, 77, 226);
INSERT INTO public.who_data VALUES (18080, 649, 112740, 11, 1745, 77, 236);
INSERT INTO public.who_data VALUES (18081, 0, 17, 0, 0, 77, 76);
INSERT INTO public.who_data VALUES (18082, 1, 506, 0, 0, 77, 30);
INSERT INTO public.who_data VALUES (18083, 0, 44, 0, 2, 77, 128);
INSERT INTO public.who_data VALUES (18084, 460, 27218, 0, 415, 77, 86);
INSERT INTO public.who_data VALUES (18085, 12850, 2241830, 214, 54618, 77, 140);
INSERT INTO public.who_data VALUES (18086, 73, 11407, 0, 71, 77, 44);
INSERT INTO public.who_data VALUES (18087, 0, 15107, 0, 79, 77, 113);
INSERT INTO public.who_data VALUES (18088, 0, 9254, 0, 60, 77, 29);
INSERT INTO public.who_data VALUES (18089, 2, 3770, 0, 123, 77, 125);
INSERT INTO public.who_data VALUES (18090, 4321, 162475, 42, 1504, 77, 131);
INSERT INTO public.who_data VALUES (18091, 17767, 1171322, 255, 18772, 77, 46);
INSERT INTO public.who_data VALUES (18092, 0, 52096, 0, 325, 77, 10);
INSERT INTO public.who_data VALUES (18093, 4, 1042, 0, 5, 77, 205);
INSERT INTO public.who_data VALUES (18094, 1383, 114568, 98, 2902, 77, 50);
INSERT INTO public.who_data VALUES (18095, 0, 18, 0, 0, 77, 20);
INSERT INTO public.who_data VALUES (18096, 0, 41, 0, 0, 77, 13);
INSERT INTO public.who_data VALUES (18097, 0, 8427, 0, 149, 77, 148);
INSERT INTO public.who_data VALUES (18098, 18, 6845, 0, 113, 77, 230);
INSERT INTO public.who_data VALUES (18099, 547, 125352, 15, 4239, 77, 190);
INSERT INTO public.who_data VALUES (18100, 0, 288, 0, 13, 77, 188);
INSERT INTO public.who_data VALUES (18101, 21, 13207, 0, 76, 77, 123);
INSERT INTO public.who_data VALUES (18102, 16, 2441, 0, 44, 77, 9);
INSERT INTO public.who_data VALUES (18103, 73, 5601, 0, 151, 77, 102);
INSERT INTO public.who_data VALUES (18104, 23, 9370, 0, 233, 77, 34);
INSERT INTO public.who_data VALUES (18105, 0, 26, 0, 0, 77, 212);
INSERT INTO public.who_data VALUES (18106, 200, 109960, 3, 2941, 77, 122);
INSERT INTO public.who_data VALUES (18107, 6697, 250278, 162, 5868, 77, 38);
INSERT INTO public.who_data VALUES (18108, 14, 5476, 0, 27, 77, 130);
INSERT INTO public.who_data VALUES (18109, 36011, 9644222, 482, 140182, 77, 37);
INSERT INTO public.who_data VALUES (18110, 6027, 569707, 110, 17589, 77, 231);
INSERT INTO public.who_data VALUES (18111, 12151, 1028986, 321, 50016, 77, 107);
INSERT INTO public.who_data VALUES (18112, 1898, 562520, 24, 12411, 77, 101);
INSERT INTO public.who_data VALUES (18113, 457, 73948, 11, 2097, 77, 132);
INSERT INTO public.who_data VALUES (18114, 1, 370, 0, 25, 77, 176);
INSERT INTO public.who_data VALUES (18115, 1514, 342947, 10, 2912, 77, 200);
INSERT INTO public.who_data VALUES (18116, 21052, 1709991, 662, 59514, 77, 169);
INSERT INTO public.who_data VALUES (18117, 76, 11063, 1, 261, 77, 225);
INSERT INTO public.who_data VALUES (18118, 2424, 160098, 32, 2315, 77, 165);
INSERT INTO public.who_data VALUES (18119, 68, 1238, 0, 32, 77, 233);
INSERT INTO public.who_data VALUES (18120, 3160, 237513, 50, 3010, 77, 215);
INSERT INTO public.who_data VALUES (18121, 745, 180089, 65, 2542, 77, 177);
INSERT INTO public.who_data VALUES (18122, 735, 87984, 12, 1518, 77, 183);
INSERT INTO public.who_data VALUES (18123, 0, 0, 0, 0, 77, 203);
INSERT INTO public.who_data VALUES (18124, 560, 42294, 14, 1077, 77, 162);
INSERT INTO public.who_data VALUES (18125, 247, 144164, 3, 889, 77, 12);
INSERT INTO public.who_data VALUES (18126, 328, 75102, 5, 1295, 77, 24);
INSERT INTO public.who_data VALUES (18127, 0, 39, 0, 0, 77, 119);
INSERT INTO public.who_data VALUES (18128, 794, 20787, 11, 253, 77, 39);
INSERT INTO public.who_data VALUES (18129, 1622, 135876, 12, 1090, 77, 26);
INSERT INTO public.who_data VALUES (18130, 0, 2137, 0, 44, 77, 59);
INSERT INTO public.who_data VALUES (18131, 13, 1676, 0, 83, 77, 77);
INSERT INTO public.who_data VALUES (18132, 0, 85529, 0, 1219, 77, 134);
INSERT INTO public.who_data VALUES (18133, 13, 1431, 1, 18, 77, 4);
INSERT INTO public.who_data VALUES (18134, 2217, 74647, 24, 791, 77, 109);
INSERT INTO public.who_data VALUES (18135, 588, 37017, 6, 345, 77, 90);
INSERT INTO public.who_data VALUES (18136, 132, 17473, 4, 255, 77, 61);
INSERT INTO public.who_data VALUES (18137, 2, 6049, 0, 185, 77, 85);
INSERT INTO public.who_data VALUES (18138, 1123, 71359, 4, 380, 77, 49);
INSERT INTO public.who_data VALUES (18139, 16, 13159, 0, 47, 77, 208);
INSERT INTO public.who_data VALUES (18140, 124, 5062, 0, 163, 77, 166);
INSERT INTO public.who_data VALUES (18141, 123, 10320, 1, 149, 77, 64);
INSERT INTO public.who_data VALUES (18142, 0, 4, 0, 0, 77, 199);
INSERT INTO public.who_data VALUES (18143, 0, 5520, 0, 41, 77, 114);
INSERT INTO public.who_data VALUES (18144, 0, 8424, 0, 172, 77, 60);
INSERT INTO public.who_data VALUES (18145, 0, 505, 0, 10, 77, 68);
INSERT INTO public.who_data VALUES (18146, 0, 5181, 0, 49, 77, 158);
INSERT INTO public.who_data VALUES (18147, 12127, 1156770, 690, 108863, 77, 52);
INSERT INTO public.who_data VALUES (18148, 0, 0, 0, 0, 77, 117);
INSERT INTO public.who_data VALUES (18149, 7, 640, 0, 3, 77, 126);
INSERT INTO public.who_data VALUES (18150, 11, 842, 0, 0, 77, 196);
INSERT INTO public.who_data VALUES (18151, 289, 38547, 3, 532, 77, 142);
INSERT INTO public.who_data VALUES (18152, 0, 13, 0, 1, 77, 185);
INSERT INTO public.who_data VALUES (18153, 4118, 376738, 48, 6184, 77, 138);
INSERT INTO public.who_data VALUES (18154, 95, 16133, 0, 133, 77, 181);
INSERT INTO public.who_data VALUES (18155, 1502, 96520, 31, 2059, 77, 178);
INSERT INTO public.who_data VALUES (18156, 170, 14950, 0, 153, 77, 168);
INSERT INTO public.who_data VALUES (18157, 0, 0, 0, 0, 77, 160);
INSERT INTO public.who_data VALUES (18158, 1024, 239885, 10, 1577, 77, 151);
INSERT INTO public.who_data VALUES (18159, 6531, 549181, 39, 9636, 77, 193);
INSERT INTO public.who_data VALUES (18160, 0, 35, 0, 0, 77, 18);
INSERT INTO public.who_data VALUES (18161, 0, 1722, 0, 25, 77, 40);
INSERT INTO public.who_data VALUES (18162, 0, 4671, 0, 161, 77, 218);
INSERT INTO public.who_data VALUES (18163, 149, 1789, 1, 77, 77, 191);
INSERT INTO public.who_data VALUES (18164, 310, 68937, 1, 1180, 77, 156);
INSERT INTO public.who_data VALUES (18165, 0, 0, 0, 0, 77, 135);
INSERT INTO public.who_data VALUES (18166, 3, 109, 0, 2, 77, 88);
INSERT INTO public.who_data VALUES (18167, 981, 67311, 24, 1901, 77, 55);
INSERT INTO public.who_data VALUES (18168, 0, 37371, 0, 354, 77, 108);
INSERT INTO public.who_data VALUES (18169, 1422, 109702, 15, 905, 77, 48);
INSERT INTO public.who_data VALUES (18170, 0, 124329, 0, 1435, 77, 3);
INSERT INTO public.who_data VALUES (18171, 0, 741, 0, 13, 77, 224);
INSERT INTO public.who_data VALUES (18172, 3119, 413191, 43, 8303, 77, 110);
INSERT INTO public.who_data VALUES (18173, 0, 0, 0, 0, 77, 106);
INSERT INTO public.who_data VALUES (18174, 2388, 173607, 13, 3154, 77, 89);
INSERT INTO public.who_data VALUES (18175, 0, 671, 0, 7, 77, 121);
INSERT INTO public.who_data VALUES (18176, 1022, 86499, 17, 1813, 77, 163);
INSERT INTO public.who_data VALUES (18177, 2014, 970860, 91, 36195, 77, 70);
INSERT INTO public.who_data VALUES (18178, 1724, 438069, 17, 8526, 77, 174);
INSERT INTO public.who_data VALUES (18179, 0, 0, 0, 0, 77, 175);
INSERT INTO public.who_data VALUES (18180, 12427, 1054273, 502, 19861, 77, 118);
INSERT INTO public.who_data VALUES (18181, 6087, 318640, 73, 4876, 77, 189);
INSERT INTO public.who_data VALUES (18182, 935, 55532, 12, 1185, 77, 124);
INSERT INTO public.who_data VALUES (18183, 140, 139783, 0, 239, 77, 192);
INSERT INTO public.who_data VALUES (18184, 631, 37537, 5, 545, 77, 41);
INSERT INTO public.who_data VALUES (18185, 1728, 115557, 19, 2403, 77, 95);
INSERT INTO public.who_data VALUES (18186, 0, 8200, 0, 41, 77, 74);
INSERT INTO public.who_data VALUES (18187, 8072, 508345, 134, 12186, 77, 11);
INSERT INTO public.who_data VALUES (18188, 29039, 2460770, 457, 43141, 77, 87);
INSERT INTO public.who_data VALUES (18189, 41, 6084, 0, 51, 77, 214);
INSERT INTO public.who_data VALUES (18190, 0, 5, 0, 0, 77, 116);
INSERT INTO public.who_data VALUES (18191, 0, 152, 0, 0, 77, 157);
INSERT INTO public.who_data VALUES (18192, 0, 0, 0, 0, 77, 182);
INSERT INTO public.who_data VALUES (18193, 0, 22, 0, 0, 77, 186);
INSERT INTO public.who_data VALUES (18194, 3, 265, 0, 2, 77, 127);
INSERT INTO public.who_data VALUES (18195, 0, 744, 0, 12, 77, 232);
INSERT INTO public.who_data VALUES (18196, 0, 14, 0, 0, 77, 33);
INSERT INTO public.who_data VALUES (18197, 0, 87, 0, 0, 77, 97);
INSERT INTO public.who_data VALUES (18198, 0, 2, 0, 0, 77, 42);
INSERT INTO public.who_data VALUES (18199, 33, 1789, 1, 48, 77, 198);
INSERT INTO public.who_data VALUES (18200, 0, 999, 0, 17, 77, 216);
INSERT INTO public.who_data VALUES (18201, 190, 358526, 14, 5954, 77, 164);
INSERT INTO public.who_data VALUES (18202, 100, 16397, 1, 337, 77, 235);
INSERT INTO public.who_data VALUES (18203, 6903, 213843, 57, 1891, 77, 67);
INSERT INTO public.who_data VALUES (18204, 0, 182, 0, 0, 77, 15);
INSERT INTO public.who_data VALUES (18205, 0, 2420, 0, 74, 77, 180);
INSERT INTO public.who_data VALUES (18206, 13, 58255, 0, 29, 77, 237);
INSERT INTO public.who_data VALUES (18207, 0, 14, 0, 0, 77, 25);
INSERT INTO public.who_data VALUES (18208, 0, 1105, 0, 25, 77, 209);
INSERT INTO public.who_data VALUES (18209, 2184, 115956, 27, 977, 77, 217);
INSERT INTO public.who_data VALUES (18210, 1647, 84818, 51, 1863, 77, 79);
INSERT INTO public.who_data VALUES (18211, 0, 17, 0, 0, 77, 143);
INSERT INTO public.who_data VALUES (18212, 0, 4525, 0, 121, 77, 229);
INSERT INTO public.who_data VALUES (18213, 4645, 810449, 104, 22067, 77, 141);
INSERT INTO public.who_data VALUES (18214, 12, 3166, -1, 61, 77, 197);
INSERT INTO public.who_data VALUES (18215, 8668, 1772620, 203, 48271, 77, 221);
INSERT INTO public.who_data VALUES (18216, 1190, 27228, 8, 137, 77, 150);
INSERT INTO public.who_data VALUES (18217, 279, 19747, 6, 1301, 77, 56);
INSERT INTO public.who_data VALUES (18218, 0, 5322, 0, 117, 77, 167);
INSERT INTO public.who_data VALUES (18219, 7338, 287729, 70, 7543, 77, 23);
INSERT INTO public.who_data VALUES (18220, 2519, 352301, 94, 5208, 77, 222);
INSERT INTO public.who_data VALUES (18221, 87, 8320, 5, 442, 77, 219);
INSERT INTO public.who_data VALUES (18222, 40, 12389, 0, 87, 77, 7);
INSERT INTO public.who_data VALUES (18223, 19, 4072, 0, 60, 77, 161);
INSERT INTO public.who_data VALUES (18224, 15539, 1705975, 397, 61014, 77, 149);
INSERT INTO public.who_data VALUES (18225, 0, 31, 0, 0, 77, 6);
INSERT INTO public.who_data VALUES (18226, 0, 3051, 0, 65, 77, 139);
INSERT INTO public.who_data VALUES (18227, 0, 0, 0, 0, 77, 211);
INSERT INTO public.who_data VALUES (18228, 0, 0, 0, 0, 77, 14);
INSERT INTO public.who_data VALUES (18229, 10, 6735, 0, 121, 77, 111);
INSERT INTO public.who_data VALUES (18230, 1091, 102991, 45, 3526, 77, 207);
INSERT INTO public.who_data VALUES (18231, 31896, 1590694, 196, 14705, 77, 66);
INSERT INTO public.who_data VALUES (18232, 0, 0, 0, 0, 77, 173);
INSERT INTO public.who_data VALUES (18233, 4, 755, 0, 6, 77, 145);
INSERT INTO public.who_data VALUES (18234, 0, 0, 0, 0, 77, 65);
INSERT INTO public.who_data VALUES (18235, 290, 22188, 0, 206, 77, 184);
INSERT INTO public.who_data VALUES (18236, 11590, 813306, 167, 13588, 77, 98);
INSERT INTO public.who_data VALUES (18237, 1214, 175276, 3, 589, 77, 104);
INSERT INTO public.who_data VALUES (18238, 0, 509, 0, 21, 77, 73);
INSERT INTO public.who_data VALUES (18239, 213127, 14191298, 2426, 276503, 77, 8);
INSERT INTO public.who_data VALUES (18240, 20, 1633, 0, 23, 77, 227);
INSERT INTO public.who_data VALUES (18241, 276, 6731, 0, 80, 77, 75);
INSERT INTO public.who_data VALUES (18242, 153, 73904, 0, 611, 77, 45);
INSERT INTO public.who_data VALUES (18243, 0, 1, 0, 0, 77, 133);
INSERT INTO public.who_data VALUES (18244, 329, 103877, 4, 913, 77, 202);
INSERT INTO public.who_data VALUES (18245, 4, 1365, 0, 35, 77, 129);
INSERT INTO public.who_data VALUES (18246, 0, 3, 0, 0, 77, 36);
INSERT INTO public.who_data VALUES (18247, 0, 2081, 0, 607, 77, 51);
INSERT INTO public.who_data VALUES (18248, 41, 17898, 0, 364, 77, 206);
INSERT INTO public.who_data VALUES (18249, 70, 10617, 10, 291, 77, 5);
INSERT INTO public.who_data VALUES (18250, 130, 47388, 6, 1847, 78, 103);
INSERT INTO public.who_data VALUES (18251, 801, 41302, 18, 870, 78, 58);
INSERT INTO public.who_data VALUES (18252, 803, 86730, 12, 2492, 78, 195);
INSERT INTO public.who_data VALUES (18253, 0, 0, 0, 0, 78, 115);
INSERT INTO public.who_data VALUES (18254, 51, 6955, 0, 77, 78, 99);
INSERT INTO public.who_data VALUES (18255, 132, 15493, 1, 353, 78, 153);
INSERT INTO public.who_data VALUES (18256, 1, 7, 0, 0, 78, 93);
INSERT INTO public.who_data VALUES (18257, 0, 144, 0, 4, 78, 84);
INSERT INTO public.who_data VALUES (18258, 7629, 1447732, 149, 39305, 78, 78);
INSERT INTO public.who_data VALUES (18259, 1267, 140272, 32, 2304, 78, 170);
INSERT INTO public.who_data VALUES (18260, 21, 4923, 0, 45, 78, 32);
INSERT INTO public.who_data VALUES (18261, 10, 27949, 0, 908, 78, 155);
INSERT INTO public.who_data VALUES (18262, 3634, 295071, 140, 3587, 78, 82);
INSERT INTO public.who_data VALUES (18263, 4267, 138000, 41, 1551, 78, 16);
INSERT INTO public.who_data VALUES (18264, 16, 7565, 0, 163, 78, 72);
INSERT INTO public.who_data VALUES (18265, 167, 87599, 0, 341, 78, 43);
INSERT INTO public.who_data VALUES (18266, 2252, 473991, 24, 6772, 78, 120);
INSERT INTO public.who_data VALUES (18267, 2, 281, 0, 7, 78, 213);
INSERT INTO public.who_data VALUES (18268, 1774, 143383, 9, 1190, 78, 31);
INSERT INTO public.who_data VALUES (18269, 2567, 591578, 109, 17263, 78, 204);
INSERT INTO public.who_data VALUES (18270, 241, 7236, 4, 164, 78, 152);
INSERT INTO public.who_data VALUES (18271, 0, 3055, 0, 44, 78, 144);
INSERT INTO public.who_data VALUES (18272, 6, 278, 0, 9, 78, 96);
INSERT INTO public.who_data VALUES (18273, 6, 424, 0, 0, 78, 47);
INSERT INTO public.who_data VALUES (18274, 192, 145186, 10, 8982, 78, 80);
INSERT INTO public.who_data VALUES (18275, 0, 145, 0, 3, 78, 159);
INSERT INTO public.who_data VALUES (18276, 1254, 92793, 53, 2865, 78, 27);
INSERT INTO public.who_data VALUES (18277, 0, 9992, 0, 31, 78, 146);
INSERT INTO public.who_data VALUES (18278, 50434, 6487084, 755, 175270, 78, 71);
INSERT INTO public.who_data VALUES (18279, 0, 73, 0, 1, 78, 210);
INSERT INTO public.who_data VALUES (18280, 0, 151, 0, 3, 78, 54);
INSERT INTO public.who_data VALUES (18281, 3614, 158807, 147, 4650, 78, 147);
INSERT INTO public.who_data VALUES (18282, 29, 3091, 0, 68, 78, 2);
INSERT INTO public.who_data VALUES (18283, 2, 694, 0, 1, 78, 105);
INSERT INTO public.who_data VALUES (18284, 0, 10626, 0, 105, 78, 53);
INSERT INTO public.who_data VALUES (18285, 10, 345, 0, 0, 78, 81);
INSERT INTO public.who_data VALUES (18286, 0, 24752, 0, 443, 78, 223);
INSERT INTO public.who_data VALUES (18287, 6495, 396270, 82, 12407, 78, 94);
INSERT INTO public.who_data VALUES (18288, 3, 288, 0, 2, 78, 154);
INSERT INTO public.who_data VALUES (18289, 4, 4922, 0, 63, 78, 83);
INSERT INTO public.who_data VALUES (18290, 11, 1719, 0, 102, 78, 194);
INSERT INTO public.who_data VALUES (18291, 1729, 557135, 39, 15558, 78, 136);
INSERT INTO public.who_data VALUES (18292, 133, 94038, 1, 4753, 78, 179);
INSERT INTO public.who_data VALUES (18293, 9233, 1343322, 188, 37305, 78, 57);
INSERT INTO public.who_data VALUES (18294, 0, 615, 0, 7, 78, 35);
INSERT INTO public.who_data VALUES (18295, 0, 5774, 0, 94, 78, 228);
INSERT INTO public.who_data VALUES (18296, 0, 0, 0, 0, 78, 19);
INSERT INTO public.who_data VALUES (18297, 1165, 142505, 18, 1757, 78, 22);
INSERT INTO public.who_data VALUES (18298, 23, 21412, 0, 132, 78, 1);
INSERT INTO public.who_data VALUES (18299, 3955, 143370, 68, 2032, 78, 21);
INSERT INTO public.who_data VALUES (18300, 79, 8610, 0, 136, 78, 234);
INSERT INTO public.who_data VALUES (18301, 82, 2740, 0, 7, 78, 91);
INSERT INTO public.who_data VALUES (18302, 289, 11812, 3, 57, 78, 137);
INSERT INTO public.who_data VALUES (18303, 4743, 542406, 97, 8738, 78, 201);
INSERT INTO public.who_data VALUES (18304, 0, 0, 0, 0, 78, 171);
INSERT INTO public.who_data VALUES (18305, 149, 13280, 0, 337, 78, 92);
INSERT INTO public.who_data VALUES (18306, 1603, 86743, 9, 867, 78, 112);
INSERT INTO public.who_data VALUES (18307, 1, 5690, 0, 61, 78, 62);
INSERT INTO public.who_data VALUES (18308, 0, 85, 0, 0, 78, 69);
INSERT INTO public.who_data VALUES (18309, 671, 146680, 8, 2343, 78, 220);
INSERT INTO public.who_data VALUES (18310, 0, 195884, 0, 13612, 78, 100);
INSERT INTO public.who_data VALUES (18311, 427, 117583, 19, 6732, 78, 187);
INSERT INTO public.who_data VALUES (18312, 588, 39718, 8, 1142, 78, 63);
INSERT INTO public.who_data VALUES (18313, 0, 5159, 0, 85, 78, 28);
INSERT INTO public.who_data VALUES (18314, 38, 632, 0, 0, 78, 172);
INSERT INTO public.who_data VALUES (18315, 470, 13939, 2, 125, 78, 17);
INSERT INTO public.who_data VALUES (18316, 6, 6480, 0, 122, 78, 226);
INSERT INTO public.who_data VALUES (18317, 512, 112091, 10, 1734, 78, 236);
INSERT INTO public.who_data VALUES (18318, 0, 17, 0, 0, 78, 76);
INSERT INTO public.who_data VALUES (18319, 0, 505, 0, 0, 78, 30);
INSERT INTO public.who_data VALUES (18320, 0, 44, 0, 2, 78, 128);
INSERT INTO public.who_data VALUES (18321, 316, 26758, 7, 415, 78, 86);
INSERT INTO public.who_data VALUES (18322, 11107, 2228980, 625, 54404, 78, 140);
INSERT INTO public.who_data VALUES (18323, 16, 11334, 1, 71, 78, 44);
INSERT INTO public.who_data VALUES (18324, 210, 15107, 1, 79, 78, 113);
INSERT INTO public.who_data VALUES (18325, 15, 9254, 0, 60, 78, 29);
INSERT INTO public.who_data VALUES (18326, 1, 3768, 0, 123, 78, 125);
INSERT INTO public.who_data VALUES (18327, 5450, 158154, 37, 1462, 78, 131);
INSERT INTO public.who_data VALUES (18328, 23318, 1153555, 483, 18517, 78, 46);
INSERT INTO public.who_data VALUES (18329, 429, 52096, 2, 325, 78, 10);
INSERT INTO public.who_data VALUES (18330, 3, 1038, 0, 5, 78, 205);
INSERT INTO public.who_data VALUES (18331, 1648, 113185, 98, 2804, 78, 50);
INSERT INTO public.who_data VALUES (18332, 0, 18, 0, 0, 78, 20);
INSERT INTO public.who_data VALUES (18333, 0, 41, 0, 0, 78, 13);
INSERT INTO public.who_data VALUES (18334, 0, 8427, 0, 149, 78, 148);
INSERT INTO public.who_data VALUES (18335, 25, 6827, 1, 113, 78, 230);
INSERT INTO public.who_data VALUES (18336, 752, 124805, 15, 4224, 78, 190);
INSERT INTO public.who_data VALUES (18337, 1, 288, 0, 13, 78, 188);
INSERT INTO public.who_data VALUES (18338, 19, 13186, 0, 76, 78, 123);
INSERT INTO public.who_data VALUES (18339, 0, 2425, 0, 44, 78, 9);
INSERT INTO public.who_data VALUES (18340, 79, 5528, 0, 151, 78, 102);
INSERT INTO public.who_data VALUES (18341, 34, 9347, 0, 233, 78, 34);
INSERT INTO public.who_data VALUES (18342, 0, 26, 0, 0, 78, 212);
INSERT INTO public.who_data VALUES (18343, 616, 109760, 8, 2938, 78, 122);
INSERT INTO public.who_data VALUES (18344, 5525, 243581, 193, 5706, 78, 38);
INSERT INTO public.who_data VALUES (18345, 14, 5462, 0, 27, 78, 130);
INSERT INTO public.who_data VALUES (18346, 36652, 9608211, 512, 139700, 78, 37);
INSERT INTO public.who_data VALUES (18347, 5803, 563680, 124, 17479, 78, 231);
INSERT INTO public.who_data VALUES (18348, 13341, 1016835, 347, 49695, 78, 107);
INSERT INTO public.who_data VALUES (18349, 1855, 560622, 26, 12387, 78, 101);
INSERT INTO public.who_data VALUES (18350, 263, 73491, 6, 2086, 78, 132);
INSERT INTO public.who_data VALUES (18351, 0, 369, 0, 25, 78, 176);
INSERT INTO public.who_data VALUES (18352, 1451, 341433, 10, 2902, 78, 200);
INSERT INTO public.who_data VALUES (18353, 24110, 1688939, 814, 58852, 78, 169);
INSERT INTO public.who_data VALUES (18354, 76, 10987, 1, 260, 78, 225);
INSERT INTO public.who_data VALUES (18355, 2442, 157674, 43, 2283, 78, 165);
INSERT INTO public.who_data VALUES (18356, 130, 1170, 0, 32, 78, 233);
INSERT INTO public.who_data VALUES (18357, 3116, 234353, 51, 2960, 78, 215);
INSERT INTO public.who_data VALUES (18358, 966, 179344, 0, 2477, 78, 177);
INSERT INTO public.who_data VALUES (18359, 866, 87249, 6, 1506, 78, 183);
INSERT INTO public.who_data VALUES (18360, 0, 0, 0, 0, 78, 203);
INSERT INTO public.who_data VALUES (18361, 478, 41734, 11, 1063, 78, 162);
INSERT INTO public.who_data VALUES (18362, 343, 143917, 2, 886, 78, 12);
INSERT INTO public.who_data VALUES (18363, 401, 74774, 5, 1290, 78, 24);
INSERT INTO public.who_data VALUES (18364, 0, 39, 0, 0, 78, 119);
INSERT INTO public.who_data VALUES (18365, 686, 19993, 7, 242, 78, 39);
INSERT INTO public.who_data VALUES (18366, 1478, 134254, 11, 1078, 78, 26);
INSERT INTO public.who_data VALUES (18367, 0, 2137, 0, 44, 78, 59);
INSERT INTO public.who_data VALUES (18368, 65, 1663, 0, 83, 78, 77);
INSERT INTO public.who_data VALUES (18369, 680, 85529, 7, 1219, 78, 134);
INSERT INTO public.who_data VALUES (18370, 17, 1418, 0, 17, 78, 4);
INSERT INTO public.who_data VALUES (18371, 2849, 72430, 34, 767, 78, 109);
INSERT INTO public.who_data VALUES (18372, 627, 36429, 5, 339, 78, 90);
INSERT INTO public.who_data VALUES (18373, 0, 17341, 0, 251, 78, 61);
INSERT INTO public.who_data VALUES (18374, 4, 6047, 0, 185, 78, 85);
INSERT INTO public.who_data VALUES (18375, 1141, 70236, 0, 376, 78, 49);
INSERT INTO public.who_data VALUES (18376, 37, 13143, 0, 47, 78, 208);
INSERT INTO public.who_data VALUES (18377, 58, 4938, 1, 163, 78, 166);
INSERT INTO public.who_data VALUES (18378, 96, 10197, 2, 148, 78, 64);
INSERT INTO public.who_data VALUES (18379, 0, 4, 0, 0, 78, 199);
INSERT INTO public.who_data VALUES (18380, 0, 5520, 0, 41, 78, 114);
INSERT INTO public.who_data VALUES (18381, 0, 8424, 0, 172, 78, 60);
INSERT INTO public.who_data VALUES (18382, 0, 505, 0, 10, 78, 68);
INSERT INTO public.who_data VALUES (18383, 0, 5181, 0, 49, 78, 158);
INSERT INTO public.who_data VALUES (18384, 11030, 1144643, 608, 108173, 78, 52);
INSERT INTO public.who_data VALUES (18385, 0, 0, 0, 0, 78, 117);
INSERT INTO public.who_data VALUES (18386, 0, 633, 0, 3, 78, 126);
INSERT INTO public.who_data VALUES (18387, 12, 831, 0, 0, 78, 196);
INSERT INTO public.who_data VALUES (18388, 396, 38258, 8, 529, 78, 142);
INSERT INTO public.who_data VALUES (18389, 0, 13, 0, 1, 78, 185);
INSERT INTO public.who_data VALUES (18390, 3996, 372620, 73, 6136, 78, 138);
INSERT INTO public.who_data VALUES (18391, 120, 16038, 1, 133, 78, 181);
INSERT INTO public.who_data VALUES (18392, 1418, 95018, 30, 2028, 78, 178);
INSERT INTO public.who_data VALUES (18393, 181, 14780, 1, 153, 78, 168);
INSERT INTO public.who_data VALUES (18394, 0, 0, 0, 0, 78, 160);
INSERT INTO public.who_data VALUES (18395, 1272, 238861, 16, 1567, 78, 151);
INSERT INTO public.who_data VALUES (18396, 5892, 542650, 57, 9597, 78, 193);
INSERT INTO public.who_data VALUES (18397, 1, 35, 0, 0, 78, 18);
INSERT INTO public.who_data VALUES (18398, 9, 1722, 0, 25, 78, 40);
INSERT INTO public.who_data VALUES (18399, 0, 4671, 0, 161, 78, 218);
INSERT INTO public.who_data VALUES (18400, 0, 1640, 0, 76, 78, 191);
INSERT INTO public.who_data VALUES (18401, 324, 68627, 0, 1179, 78, 156);
INSERT INTO public.who_data VALUES (18402, 0, 0, 0, 0, 78, 135);
INSERT INTO public.who_data VALUES (18403, 0, 106, 0, 2, 78, 88);
INSERT INTO public.who_data VALUES (18404, 1099, 66330, 30, 1877, 78, 55);
INSERT INTO public.who_data VALUES (18405, 403, 37371, 1, 354, 78, 108);
INSERT INTO public.who_data VALUES (18406, 1968, 108280, 17, 890, 78, 48);
INSERT INTO public.who_data VALUES (18407, 0, 124329, 0, 1435, 78, 3);
INSERT INTO public.who_data VALUES (18408, 0, 741, 0, 13, 78, 224);
INSERT INTO public.who_data VALUES (18409, 3262, 410072, 55, 8260, 78, 110);
INSERT INTO public.who_data VALUES (18410, 0, 0, 0, 0, 78, 106);
INSERT INTO public.who_data VALUES (18411, 1880, 171219, 27, 3141, 78, 89);
INSERT INTO public.who_data VALUES (18412, 0, 671, 0, 7, 78, 121);
INSERT INTO public.who_data VALUES (18413, 995, 85477, 13, 1796, 78, 163);
INSERT INTO public.who_data VALUES (18414, 1771, 968846, 28, 36104, 78, 70);
INSERT INTO public.who_data VALUES (18415, 932, 436345, 63, 8509, 78, 174);
INSERT INTO public.who_data VALUES (18416, 0, 0, 0, 0, 78, 175);
INSERT INTO public.who_data VALUES (18417, 13236, 1041846, 531, 19359, 78, 118);
INSERT INTO public.who_data VALUES (18418, 4935, 312553, 79, 4803, 78, 189);
INSERT INTO public.who_data VALUES (18419, 492, 54597, 18, 1173, 78, 124);
INSERT INTO public.who_data VALUES (18420, 166, 139643, 0, 239, 78, 192);
INSERT INTO public.who_data VALUES (18421, 577, 36906, 4, 540, 78, 41);
INSERT INTO public.who_data VALUES (18422, 1522, 113829, 21, 2384, 78, 95);
INSERT INTO public.who_data VALUES (18423, 98, 8200, 1, 41, 78, 74);
INSERT INTO public.who_data VALUES (18424, 8062, 500273, 176, 12052, 78, 11);
INSERT INTO public.who_data VALUES (18425, 28782, 2431731, 508, 42684, 78, 87);
INSERT INTO public.who_data VALUES (18426, 32, 6043, 1, 51, 78, 214);
INSERT INTO public.who_data VALUES (18427, 0, 5, 0, 0, 78, 116);
INSERT INTO public.who_data VALUES (18428, 0, 152, 0, 0, 78, 157);
INSERT INTO public.who_data VALUES (18429, 0, 0, 0, 0, 78, 182);
INSERT INTO public.who_data VALUES (18430, 0, 22, 0, 0, 78, 186);
INSERT INTO public.who_data VALUES (18431, 0, 262, 0, 2, 78, 127);
INSERT INTO public.who_data VALUES (18432, 0, 744, 0, 12, 78, 232);
INSERT INTO public.who_data VALUES (18433, 0, 14, 0, 0, 78, 33);
INSERT INTO public.who_data VALUES (18434, 2, 87, 0, 0, 78, 97);
INSERT INTO public.who_data VALUES (18435, 0, 2, 0, 0, 78, 42);
INSERT INTO public.who_data VALUES (18436, 42, 1756, 1, 47, 78, 198);
INSERT INTO public.who_data VALUES (18437, 2, 999, 0, 17, 78, 216);
INSERT INTO public.who_data VALUES (18438, 234, 358336, 10, 5940, 78, 164);
INSERT INTO public.who_data VALUES (18439, 80, 16297, 1, 336, 78, 235);
INSERT INTO public.who_data VALUES (18440, 7782, 206940, 69, 1834, 78, 67);
INSERT INTO public.who_data VALUES (18441, 1, 182, 0, 0, 78, 15);
INSERT INTO public.who_data VALUES (18442, 4, 2420, 0, 74, 78, 180);
INSERT INTO public.who_data VALUES (18443, 3, 58242, 0, 29, 78, 237);
INSERT INTO public.who_data VALUES (18444, 0, 14, 0, 0, 78, 25);
INSERT INTO public.who_data VALUES (18445, 13, 1105, 0, 25, 78, 209);
INSERT INTO public.who_data VALUES (18446, 1982, 113772, 32, 950, 78, 217);
INSERT INTO public.who_data VALUES (18447, 1786, 83171, 74, 1812, 78, 79);
INSERT INTO public.who_data VALUES (18448, 0, 17, 0, 0, 78, 143);
INSERT INTO public.who_data VALUES (18449, 0, 4525, 0, 121, 78, 229);
INSERT INTO public.who_data VALUES (18450, 4932, 805804, 160, 21963, 78, 141);
INSERT INTO public.who_data VALUES (18451, 0, 3154, 0, 62, 78, 197);
INSERT INTO public.who_data VALUES (18452, 8352, 1763952, 191, 48068, 78, 221);
INSERT INTO public.who_data VALUES (18453, 628, 26038, 5, 129, 78, 150);
INSERT INTO public.who_data VALUES (18454, 272, 19468, 5, 1295, 78, 56);
INSERT INTO public.who_data VALUES (18455, 2, 5322, 0, 117, 78, 167);
INSERT INTO public.who_data VALUES (18456, 6986, 280391, 77, 7473, 78, 23);
INSERT INTO public.who_data VALUES (18457, 4562, 349782, 80, 5114, 78, 222);
INSERT INTO public.who_data VALUES (18458, 86, 8233, 5, 437, 78, 219);
INSERT INTO public.who_data VALUES (18459, 41, 12349, 0, 87, 78, 7);
INSERT INTO public.who_data VALUES (18460, 14, 4053, 0, 60, 78, 161);
INSERT INTO public.who_data VALUES (18461, 16298, 1690436, 504, 60617, 78, 149);
INSERT INTO public.who_data VALUES (18462, 0, 31, 0, 0, 78, 6);
INSERT INTO public.who_data VALUES (18463, 37, 3051, 0, 65, 78, 139);
INSERT INTO public.who_data VALUES (18464, 0, 0, 0, 0, 78, 211);
INSERT INTO public.who_data VALUES (18465, 0, 0, 0, 0, 78, 14);
INSERT INTO public.who_data VALUES (18466, 21, 6725, 0, 121, 78, 111);
INSERT INTO public.who_data VALUES (18467, 1217, 101900, 66, 3481, 78, 207);
INSERT INTO public.who_data VALUES (18468, 32736, 1558798, 193, 14509, 78, 66);
INSERT INTO public.who_data VALUES (18469, 0, 0, 0, 0, 78, 173);
INSERT INTO public.who_data VALUES (18470, 0, 751, 0, 6, 78, 145);
INSERT INTO public.who_data VALUES (18471, 0, 0, 0, 0, 78, 65);
INSERT INTO public.who_data VALUES (18472, 286, 21898, 0, 206, 78, 184);
INSERT INTO public.who_data VALUES (18473, 13825, 801716, 226, 13421, 78, 98);
INSERT INTO public.who_data VALUES (18474, 1311, 174062, 1, 586, 78, 104);
INSERT INTO public.who_data VALUES (18475, 0, 509, 0, 21, 78, 73);
INSERT INTO public.who_data VALUES (18476, 218671, 13978171, 2844, 274077, 78, 8);
INSERT INTO public.who_data VALUES (18477, 24, 1613, 0, 23, 78, 227);
INSERT INTO public.who_data VALUES (18478, 230, 6455, 0, 80, 78, 75);
INSERT INTO public.who_data VALUES (18479, 159, 73751, 0, 611, 78, 45);
INSERT INTO public.who_data VALUES (18480, 0, 1, 0, 0, 78, 133);
INSERT INTO public.who_data VALUES (18481, 481, 103548, 4, 909, 78, 202);
INSERT INTO public.who_data VALUES (18482, 0, 1361, 0, 35, 78, 129);
INSERT INTO public.who_data VALUES (18483, 0, 3, 0, 0, 78, 36);
INSERT INTO public.who_data VALUES (18484, 0, 2081, 0, 607, 78, 51);
INSERT INTO public.who_data VALUES (18485, 127, 17857, 7, 364, 78, 206);
INSERT INTO public.who_data VALUES (18486, 123, 10547, 1, 281, 78, 5);
INSERT INTO public.who_data VALUES (18487, 278, 47258, 19, 1841, 79, 103);
INSERT INTO public.who_data VALUES (18488, 782, 40501, 13, 852, 79, 58);
INSERT INTO public.who_data VALUES (18489, 843, 85927, 16, 2480, 79, 195);
INSERT INTO public.who_data VALUES (18490, 0, 0, 0, 0, 79, 115);
INSERT INTO public.who_data VALUES (18491, 62, 6904, 1, 77, 79, 99);
INSERT INTO public.who_data VALUES (18492, 42, 15361, 1, 352, 79, 153);
INSERT INTO public.who_data VALUES (18493, 0, 6, 0, 0, 79, 93);
INSERT INTO public.who_data VALUES (18494, 2, 144, 0, 4, 79, 84);
INSERT INTO public.who_data VALUES (18495, 7533, 1440103, 228, 39156, 79, 78);
INSERT INTO public.who_data VALUES (18496, 1184, 139005, 23, 2272, 79, 170);
INSERT INTO public.who_data VALUES (18497, 30, 4902, 0, 45, 79, 32);
INSERT INTO public.who_data VALUES (18498, 16, 27939, 0, 908, 79, 155);
INSERT INTO public.who_data VALUES (18499, 3783, 291437, 118, 3447, 79, 82);
INSERT INTO public.who_data VALUES (18500, 4189, 133733, 40, 1510, 79, 16);
INSERT INTO public.who_data VALUES (18501, 6, 7549, 0, 163, 79, 72);
INSERT INTO public.who_data VALUES (18502, 162, 87432, 0, 341, 79, 43);
INSERT INTO public.who_data VALUES (18503, 2316, 471739, 35, 6748, 79, 120);
INSERT INTO public.who_data VALUES (18504, 1, 279, 0, 7, 79, 213);
INSERT INTO public.who_data VALUES (18505, 1701, 141609, 7, 1181, 79, 31);
INSERT INTO public.who_data VALUES (18506, 2386, 589011, 94, 17154, 79, 204);
INSERT INTO public.who_data VALUES (18507, 1141, 6995, 12, 160, 79, 152);
INSERT INTO public.who_data VALUES (18508, 0, 3055, 0, 44, 79, 144);
INSERT INTO public.who_data VALUES (18509, 5, 272, 0, 9, 79, 96);
INSERT INTO public.who_data VALUES (18510, 3, 418, 0, 0, 79, 47);
INSERT INTO public.who_data VALUES (18511, 184, 144994, 9, 8972, 79, 80);
INSERT INTO public.who_data VALUES (18512, 1, 145, 0, 3, 79, 159);
INSERT INTO public.who_data VALUES (18513, 1161, 91539, 39, 2812, 79, 27);
INSERT INTO public.who_data VALUES (18514, 0, 9992, 0, 31, 79, 146);
INSERT INTO public.who_data VALUES (18515, 49863, 6436650, 698, 174515, 79, 71);
INSERT INTO public.who_data VALUES (18516, 0, 73, 0, 1, 79, 210);
INSERT INTO public.who_data VALUES (18517, 0, 151, 0, 3, 79, 54);
INSERT INTO public.who_data VALUES (18518, 3280, 155193, 156, 4503, 79, 147);
INSERT INTO public.who_data VALUES (18519, 52, 3062, 0, 68, 79, 2);
INSERT INTO public.who_data VALUES (18520, 0, 692, 0, 1, 79, 105);
INSERT INTO public.who_data VALUES (18521, 0, 10626, 0, 105, 79, 53);
INSERT INTO public.who_data VALUES (18522, 4, 335, 0, 0, 79, 81);
INSERT INTO public.who_data VALUES (18523, 265, 24752, 2, 443, 79, 223);
INSERT INTO public.who_data VALUES (18524, 6307, 389775, 114, 12325, 79, 94);
INSERT INTO public.who_data VALUES (18525, 0, 285, 0, 2, 79, 154);
INSERT INTO public.who_data VALUES (18526, 0, 4918, 0, 63, 79, 83);
INSERT INTO public.who_data VALUES (18527, 3, 1708, 0, 102, 79, 194);
INSERT INTO public.who_data VALUES (18528, 1508, 555406, 81, 15519, 79, 136);
INSERT INTO public.who_data VALUES (18529, 108, 93905, 1, 4752, 79, 179);
INSERT INTO public.who_data VALUES (18530, 9297, 1334089, 183, 37117, 79, 57);
INSERT INTO public.who_data VALUES (18531, 2, 615, 0, 7, 79, 35);
INSERT INTO public.who_data VALUES (18532, 0, 5774, 0, 94, 79, 228);
INSERT INTO public.who_data VALUES (18533, 0, 0, 0, 0, 79, 19);
INSERT INTO public.who_data VALUES (18534, 1168, 141340, 8, 1739, 79, 22);
INSERT INTO public.who_data VALUES (18535, 28, 21389, 0, 132, 79, 1);
INSERT INTO public.who_data VALUES (18536, 4534, 139415, 48, 1964, 79, 21);
INSERT INTO public.who_data VALUES (18537, 75, 8531, 0, 136, 79, 234);
INSERT INTO public.who_data VALUES (18538, 155, 2658, 0, 7, 79, 91);
INSERT INTO public.who_data VALUES (18539, 348, 11523, 2, 54, 79, 137);
INSERT INTO public.who_data VALUES (18540, 4621, 537663, 126, 8641, 79, 201);
INSERT INTO public.who_data VALUES (18541, 0, 0, 0, 0, 79, 171);
INSERT INTO public.who_data VALUES (18542, 145, 13131, 1, 337, 79, 92);
INSERT INTO public.who_data VALUES (18543, 1605, 85140, 6, 858, 79, 112);
INSERT INTO public.who_data VALUES (18544, 7, 5689, 0, 61, 79, 62);
INSERT INTO public.who_data VALUES (18545, 0, 85, 0, 0, 79, 69);
INSERT INTO public.who_data VALUES (18546, 812, 146009, 1, 2335, 79, 220);
INSERT INTO public.who_data VALUES (18547, 1008, 195884, 50, 13612, 79, 100);
INSERT INTO public.who_data VALUES (18548, 432, 117156, 19, 6713, 79, 187);
INSERT INTO public.who_data VALUES (18549, 0, 39130, 5, 1134, 79, 63);
INSERT INTO public.who_data VALUES (18550, 3, 5159, 0, 85, 79, 28);
INSERT INTO public.who_data VALUES (18551, 17, 594, 0, 0, 79, 172);
INSERT INTO public.who_data VALUES (18552, 450, 13469, 1, 123, 79, 17);
INSERT INTO public.who_data VALUES (18553, 19, 6474, 0, 122, 79, 226);
INSERT INTO public.who_data VALUES (18554, 595, 111579, 9, 1724, 79, 236);
INSERT INTO public.who_data VALUES (18555, 0, 17, 0, 0, 79, 76);
INSERT INTO public.who_data VALUES (18556, 2, 505, 0, 0, 79, 30);
INSERT INTO public.who_data VALUES (18557, 2, 44, 0, 2, 79, 128);
INSERT INTO public.who_data VALUES (18558, 560, 26442, 0, 408, 79, 86);
INSERT INTO public.who_data VALUES (18559, 12661, 2217873, 324, 53779, 79, 140);
INSERT INTO public.who_data VALUES (18560, 35, 11318, 0, 70, 79, 44);
INSERT INTO public.who_data VALUES (18561, 181, 14897, 1, 78, 79, 113);
INSERT INTO public.who_data VALUES (18562, 0, 9239, 0, 60, 79, 29);
INSERT INTO public.who_data VALUES (18563, 3, 3767, 0, 123, 79, 125);
INSERT INTO public.who_data VALUES (18564, 5068, 152704, 38, 1425, 79, 131);
INSERT INTO public.who_data VALUES (18565, 23448, 1130237, 432, 18034, 79, 46);
INSERT INTO public.who_data VALUES (18566, 0, 51667, 0, 323, 79, 10);
INSERT INTO public.who_data VALUES (18567, 5, 1035, 0, 5, 79, 205);
INSERT INTO public.who_data VALUES (18568, 1882, 111537, 100, 2706, 79, 50);
INSERT INTO public.who_data VALUES (18569, 0, 18, 0, 0, 79, 20);
INSERT INTO public.who_data VALUES (18570, 0, 41, 0, 0, 79, 13);
INSERT INTO public.who_data VALUES (18571, 0, 8427, 0, 149, 79, 148);
INSERT INTO public.who_data VALUES (18572, 20, 6802, 0, 112, 79, 230);
INSERT INTO public.who_data VALUES (18573, 593, 124053, 18, 4209, 79, 190);
INSERT INTO public.who_data VALUES (18574, 0, 287, 0, 13, 79, 188);
INSERT INTO public.who_data VALUES (18575, 24, 13167, 0, 76, 79, 123);
INSERT INTO public.who_data VALUES (18576, 0, 2425, 0, 44, 79, 9);
INSERT INTO public.who_data VALUES (18577, 26, 5449, 0, 151, 79, 102);
INSERT INTO public.who_data VALUES (18578, 10, 9313, 0, 233, 79, 34);
INSERT INTO public.who_data VALUES (18579, 0, 26, 0, 0, 79, 212);
INSERT INTO public.who_data VALUES (18580, 503, 109144, 3, 2930, 79, 122);
INSERT INTO public.who_data VALUES (18581, 6212, 238056, 189, 5513, 79, 38);
INSERT INTO public.who_data VALUES (18582, 15, 5448, 0, 27, 79, 130);
INSERT INTO public.who_data VALUES (18583, 36595, 9571559, 540, 139188, 79, 37);
INSERT INTO public.who_data VALUES (18584, 8369, 557877, 156, 17355, 79, 231);
INSERT INTO public.who_data VALUES (18585, 13922, 1003494, 358, 49348, 79, 107);
INSERT INTO public.who_data VALUES (18586, 2039, 558767, 21, 12361, 79, 101);
INSERT INTO public.who_data VALUES (18587, 162, 73228, 6, 2080, 79, 132);
INSERT INTO public.who_data VALUES (18588, 0, 369, 0, 25, 79, 176);
INSERT INTO public.who_data VALUES (18589, 1588, 339982, 5, 2892, 79, 200);
INSERT INTO public.who_data VALUES (18590, 23219, 1664829, 993, 58038, 79, 169);
INSERT INTO public.who_data VALUES (18591, 47, 10911, 1, 259, 79, 225);
INSERT INTO public.who_data VALUES (18592, 2405, 155232, 27, 2240, 79, 165);
INSERT INTO public.who_data VALUES (18593, 0, 1040, 0, 32, 79, 233);
INSERT INTO public.who_data VALUES (18594, 4029, 231237, 55, 2909, 79, 215);
INSERT INTO public.who_data VALUES (18595, 992, 178378, 0, 2477, 79, 177);
INSERT INTO public.who_data VALUES (18596, 1253, 86383, 16, 1500, 79, 183);
INSERT INTO public.who_data VALUES (18597, 0, 0, 0, 0, 79, 203);
INSERT INTO public.who_data VALUES (18598, 627, 41256, 22, 1052, 79, 162);
INSERT INTO public.who_data VALUES (18599, 314, 143574, 2, 884, 79, 12);
INSERT INTO public.who_data VALUES (18600, 440, 74373, 4, 1285, 79, 24);
INSERT INTO public.who_data VALUES (18601, 0, 39, 0, 0, 79, 119);
INSERT INTO public.who_data VALUES (18602, 930, 19307, 11, 235, 79, 39);
INSERT INTO public.who_data VALUES (18603, 1520, 132776, 12, 1067, 79, 26);
INSERT INTO public.who_data VALUES (18604, 28, 2137, 0, 44, 79, 59);
INSERT INTO public.who_data VALUES (18605, 0, 1598, 0, 83, 79, 77);
INSERT INTO public.who_data VALUES (18606, 762, 84849, 12, 1212, 79, 134);
INSERT INTO public.who_data VALUES (18607, 17, 1401, 0, 17, 79, 4);
INSERT INTO public.who_data VALUES (18608, 2513, 69581, 38, 733, 79, 109);
INSERT INTO public.who_data VALUES (18609, 673, 35802, 4, 334, 79, 90);
INSERT INTO public.who_data VALUES (18610, 0, 17341, 0, 251, 79, 61);
INSERT INTO public.who_data VALUES (18611, 3, 6043, 0, 185, 79, 85);
INSERT INTO public.who_data VALUES (18612, 1075, 69095, 11, 376, 79, 49);
INSERT INTO public.who_data VALUES (18613, 36, 13106, 0, 47, 79, 208);
INSERT INTO public.who_data VALUES (18614, 43, 4880, 1, 162, 79, 166);
INSERT INTO public.who_data VALUES (18615, 126, 10101, 5, 146, 79, 64);
INSERT INTO public.who_data VALUES (18616, 0, 4, 0, 0, 79, 199);
INSERT INTO public.who_data VALUES (18617, 0, 5520, 0, 41, 79, 114);
INSERT INTO public.who_data VALUES (18618, 0, 8424, 0, 172, 79, 60);
INSERT INTO public.who_data VALUES (18619, 0, 505, 0, 10, 79, 68);
INSERT INTO public.who_data VALUES (18620, 0, 5181, 0, 49, 79, 158);
INSERT INTO public.who_data VALUES (18621, 11251, 1133613, 800, 107565, 79, 52);
INSERT INTO public.who_data VALUES (18622, 0, 0, 0, 0, 79, 117);
INSERT INTO public.who_data VALUES (18623, 9, 633, 0, 3, 79, 126);
INSERT INTO public.who_data VALUES (18624, 7, 819, 0, 0, 79, 196);
INSERT INTO public.who_data VALUES (18625, 488, 37862, 6, 521, 79, 142);
INSERT INTO public.who_data VALUES (18626, 0, 13, 0, 1, 79, 185);
INSERT INTO public.who_data VALUES (18627, 4434, 368624, 78, 6063, 79, 138);
INSERT INTO public.who_data VALUES (18628, 52, 15918, 0, 132, 79, 181);
INSERT INTO public.who_data VALUES (18629, 1411, 93600, 26, 1998, 79, 178);
INSERT INTO public.who_data VALUES (18630, 122, 14599, 0, 152, 79, 168);
INSERT INTO public.who_data VALUES (18631, 0, 0, 0, 0, 79, 160);
INSERT INTO public.who_data VALUES (18632, 1343, 237589, 13, 1551, 79, 151);
INSERT INTO public.who_data VALUES (18633, 5595, 536758, 59, 9540, 79, 193);
INSERT INTO public.who_data VALUES (18634, 1, 34, 0, 0, 79, 18);
INSERT INTO public.who_data VALUES (18635, 0, 1713, 0, 25, 79, 40);
INSERT INTO public.who_data VALUES (18636, 0, 4671, 0, 161, 79, 218);
INSERT INTO public.who_data VALUES (18637, 0, 1640, 0, 76, 79, 191);
INSERT INTO public.who_data VALUES (18638, 343, 68303, 2, 1179, 79, 156);
INSERT INTO public.who_data VALUES (18639, 0, 0, 0, 0, 79, 135);
INSERT INTO public.who_data VALUES (18640, 0, 106, 0, 2, 79, 88);
INSERT INTO public.who_data VALUES (18641, 1341, 65231, 22, 1847, 79, 55);
INSERT INTO public.who_data VALUES (18642, 377, 36968, 2, 353, 79, 108);
INSERT INTO public.who_data VALUES (18643, 2738, 106312, 19, 873, 79, 48);
INSERT INTO public.who_data VALUES (18644, 184, 124329, 5, 1435, 79, 3);
INSERT INTO public.who_data VALUES (18645, 0, 741, 0, 13, 79, 224);
INSERT INTO public.who_data VALUES (18646, 3499, 406810, 39, 8205, 79, 110);
INSERT INTO public.who_data VALUES (18647, 0, 0, 0, 0, 79, 106);
INSERT INTO public.who_data VALUES (18648, 2028, 169339, 16, 3114, 79, 89);
INSERT INTO public.who_data VALUES (18649, 2, 671, 0, 7, 79, 121);
INSERT INTO public.who_data VALUES (18650, 1003, 84482, 12, 1783, 79, 163);
INSERT INTO public.who_data VALUES (18651, 1847, 967075, 45, 36076, 79, 70);
INSERT INTO public.who_data VALUES (18652, 1056, 435413, 10, 8446, 79, 174);
INSERT INTO public.who_data VALUES (18653, 0, 0, 0, 0, 79, 175);
INSERT INTO public.who_data VALUES (18654, 14863, 1028610, 620, 18828, 79, 118);
INSERT INTO public.who_data VALUES (18655, 3772, 307618, 79, 4724, 79, 189);
INSERT INTO public.who_data VALUES (18656, 397, 54105, 11, 1155, 79, 124);
INSERT INTO public.who_data VALUES (18657, 221, 139477, 0, 239, 79, 192);
INSERT INTO public.who_data VALUES (18658, 628, 36329, 7, 536, 79, 41);
INSERT INTO public.who_data VALUES (18659, 1727, 112307, 20, 2363, 79, 95);
INSERT INTO public.who_data VALUES (18660, 0, 8102, 0, 40, 79, 74);
INSERT INTO public.who_data VALUES (18661, 7661, 492211, 211, 11876, 79, 11);
INSERT INTO public.who_data VALUES (18662, 27403, 2402949, 569, 42176, 79, 87);
INSERT INTO public.who_data VALUES (18663, 17, 6011, 0, 50, 79, 214);
INSERT INTO public.who_data VALUES (18664, 0, 5, 0, 0, 79, 116);
INSERT INTO public.who_data VALUES (18665, 0, 152, 0, 0, 79, 157);
INSERT INTO public.who_data VALUES (18666, 0, 0, 0, 0, 79, 182);
INSERT INTO public.who_data VALUES (18667, 0, 22, 0, 0, 79, 186);
INSERT INTO public.who_data VALUES (18668, 1, 262, 0, 2, 79, 127);
INSERT INTO public.who_data VALUES (18669, 0, 744, 0, 12, 79, 232);
INSERT INTO public.who_data VALUES (18670, 0, 14, 0, 0, 79, 33);
INSERT INTO public.who_data VALUES (18671, 0, 85, 0, 0, 79, 97);
INSERT INTO public.who_data VALUES (18672, 0, 2, 0, 0, 79, 42);
INSERT INTO public.who_data VALUES (18673, 27, 1714, 0, 46, 79, 198);
INSERT INTO public.who_data VALUES (18674, 0, 997, 0, 17, 79, 216);
INSERT INTO public.who_data VALUES (18675, 230, 358102, 11, 5930, 79, 164);
INSERT INTO public.who_data VALUES (18676, 44, 16217, 1, 335, 79, 235);
INSERT INTO public.who_data VALUES (18677, 7802, 199158, 61, 1765, 79, 67);
INSERT INTO public.who_data VALUES (18678, 0, 181, 0, 0, 79, 15);
INSERT INTO public.who_data VALUES (18679, 0, 2416, 0, 74, 79, 180);
INSERT INTO public.who_data VALUES (18680, 9, 58239, 0, 29, 79, 237);
INSERT INTO public.who_data VALUES (18681, 0, 14, 0, 0, 79, 25);
INSERT INTO public.who_data VALUES (18682, 20, 1092, 0, 25, 79, 209);
INSERT INTO public.who_data VALUES (18683, 2043, 111790, 30, 918, 79, 217);
INSERT INTO public.who_data VALUES (18684, 1776, 81385, 49, 1738, 79, 79);
INSERT INTO public.who_data VALUES (18685, 0, 17, 0, 0, 79, 143);
INSERT INTO public.who_data VALUES (18686, 0, 4525, 0, 121, 79, 229);
INSERT INTO public.who_data VALUES (18687, 4400, 800872, 94, 21803, 79, 141);
INSERT INTO public.who_data VALUES (18688, 45, 3154, 1, 62, 79, 197);
INSERT INTO public.who_data VALUES (18689, 9141, 1755600, 201, 47877, 79, 221);
INSERT INTO public.who_data VALUES (18690, 0, 25410, 0, 124, 79, 150);
INSERT INTO public.who_data VALUES (18691, 312, 19196, 10, 1290, 79, 56);
INSERT INTO public.who_data VALUES (18692, 1, 5320, 0, 117, 79, 167);
INSERT INTO public.who_data VALUES (18693, 6547, 273405, 71, 7396, 79, 23);
INSERT INTO public.who_data VALUES (18694, 4320, 345220, 79, 5034, 79, 222);
INSERT INTO public.who_data VALUES (18695, 88, 8147, 6, 432, 79, 219);
INSERT INTO public.who_data VALUES (18696, 39, 12308, 0, 87, 79, 7);
INSERT INTO public.who_data VALUES (18697, 13, 4039, 0, 60, 79, 161);
INSERT INTO public.who_data VALUES (18698, 14878, 1674138, 414, 60113, 79, 149);
INSERT INTO public.who_data VALUES (18699, 0, 31, 0, 0, 79, 6);
INSERT INTO public.who_data VALUES (18700, 0, 3014, 0, 65, 79, 139);
INSERT INTO public.who_data VALUES (18701, 0, 0, 0, 0, 79, 211);
INSERT INTO public.who_data VALUES (18702, 0, 0, 0, 0, 79, 14);
INSERT INTO public.who_data VALUES (18703, 19, 6704, 1, 121, 79, 111);
INSERT INTO public.who_data VALUES (18704, 1403, 100683, 56, 3415, 79, 207);
INSERT INTO public.who_data VALUES (18705, 32381, 1526062, 187, 14316, 79, 66);
INSERT INTO public.who_data VALUES (18706, 0, 0, 0, 0, 79, 173);
INSERT INTO public.who_data VALUES (18707, 1, 751, 0, 6, 79, 145);
INSERT INTO public.who_data VALUES (18708, 0, 0, 0, 0, 79, 65);
INSERT INTO public.who_data VALUES (18709, 203, 21612, 0, 206, 79, 184);
INSERT INTO public.who_data VALUES (18710, 15131, 787891, 235, 13195, 79, 98);
INSERT INTO public.who_data VALUES (18711, 1317, 172751, 5, 585, 79, 104);
INSERT INTO public.who_data VALUES (18712, 0, 509, 0, 21, 79, 73);
INSERT INTO public.who_data VALUES (18713, 195769, 13759500, 2751, 271233, 79, 8);
INSERT INTO public.who_data VALUES (18714, 26, 1589, 0, 23, 79, 227);
INSERT INTO public.who_data VALUES (18715, 201, 6225, 2, 80, 79, 75);
INSERT INTO public.who_data VALUES (18716, 161, 73592, 0, 611, 79, 45);
INSERT INTO public.who_data VALUES (18717, 0, 1, 0, 0, 79, 133);
INSERT INTO public.who_data VALUES (18718, 446, 103067, 4, 905, 79, 202);
INSERT INTO public.who_data VALUES (18719, 3, 1361, 0, 35, 79, 129);
INSERT INTO public.who_data VALUES (18720, 0, 3, 0, 0, 79, 36);
INSERT INTO public.who_data VALUES (18721, 0, 2081, 1, 607, 79, 51);
INSERT INTO public.who_data VALUES (18722, 30, 17730, 0, 357, 79, 206);
INSERT INTO public.who_data VALUES (18723, 181, 10424, 3, 280, 79, 5);
INSERT INTO public.who_data VALUES (18724, 263, 46980, 27, 1822, 80, 103);
INSERT INTO public.who_data VALUES (18725, 705, 39719, 17, 839, 80, 58);
INSERT INTO public.who_data VALUES (18726, 932, 85084, 17, 2464, 80, 195);
INSERT INTO public.who_data VALUES (18727, 0, 0, 0, 0, 80, 115);
INSERT INTO public.who_data VALUES (18728, 52, 6842, 0, 76, 80, 99);
INSERT INTO public.who_data VALUES (18729, 68, 15319, 1, 351, 80, 153);
INSERT INTO public.who_data VALUES (18730, 0, 6, 0, 0, 80, 93);
INSERT INTO public.who_data VALUES (18731, 1, 142, 0, 4, 80, 84);
INSERT INTO public.who_data VALUES (18732, 8037, 1432570, 198, 38928, 80, 78);
INSERT INTO public.who_data VALUES (18733, 1277, 137821, 26, 2249, 80, 170);
INSERT INTO public.who_data VALUES (18734, 27, 4872, 0, 45, 80, 32);
INSERT INTO public.who_data VALUES (18735, 11, 27923, 0, 908, 80, 155);
INSERT INTO public.who_data VALUES (18736, 3660, 287654, 133, 3329, 80, 82);
INSERT INTO public.who_data VALUES (18737, 3942, 129544, 37, 1470, 80, 16);
INSERT INTO public.who_data VALUES (18738, 2, 7543, 0, 163, 80, 72);
INSERT INTO public.who_data VALUES (18739, 133, 87270, 0, 341, 80, 43);
INSERT INTO public.who_data VALUES (18740, 2198, 469423, 38, 6713, 80, 120);
INSERT INTO public.who_data VALUES (18741, 0, 278, 0, 7, 80, 213);
INSERT INTO public.who_data VALUES (18742, 1689, 139908, 8, 1174, 80, 31);
INSERT INTO public.who_data VALUES (18743, 2619, 586625, 117, 17060, 80, 204);
INSERT INTO public.who_data VALUES (18744, 0, 5854, 0, 148, 80, 152);
INSERT INTO public.who_data VALUES (18745, 0, 3055, 0, 44, 80, 144);
INSERT INTO public.who_data VALUES (18746, 7, 267, 0, 9, 80, 96);
INSERT INTO public.who_data VALUES (18747, 1, 415, 0, 0, 80, 47);
INSERT INTO public.who_data VALUES (18748, 102, 144810, 6, 8963, 80, 80);
INSERT INTO public.who_data VALUES (18749, 1, 144, 0, 3, 80, 159);
INSERT INTO public.who_data VALUES (18750, 1293, 90378, 46, 2773, 80, 27);
INSERT INTO public.who_data VALUES (18751, 0, 9992, 0, 31, 80, 146);
INSERT INTO public.who_data VALUES (18752, 50909, 6386787, 697, 173817, 80, 71);
INSERT INTO public.who_data VALUES (18753, 0, 73, 0, 1, 80, 210);
INSERT INTO public.who_data VALUES (18754, 0, 151, 0, 3, 80, 54);
INSERT INTO public.who_data VALUES (18755, 3138, 151913, 159, 4347, 80, 147);
INSERT INTO public.who_data VALUES (18756, 79, 3010, 0, 68, 80, 2);
INSERT INTO public.who_data VALUES (18757, 3, 692, 0, 1, 80, 105);
INSERT INTO public.who_data VALUES (18758, 0, 10626, 0, 105, 80, 53);
INSERT INTO public.who_data VALUES (18759, 2, 331, 0, 0, 80, 81);
INSERT INTO public.who_data VALUES (18760, 0, 24487, 0, 441, 80, 223);
INSERT INTO public.who_data VALUES (18761, 5329, 383468, 81, 12211, 80, 94);
INSERT INTO public.who_data VALUES (18762, 3, 285, 0, 2, 80, 154);
INSERT INTO public.who_data VALUES (18763, 0, 4918, 0, 63, 80, 83);
INSERT INTO public.who_data VALUES (18764, 5, 1705, 0, 102, 80, 194);
INSERT INTO public.who_data VALUES (18765, 1034, 553898, 8, 15438, 80, 136);
INSERT INTO public.who_data VALUES (18766, 129, 93797, 1, 4751, 80, 179);
INSERT INTO public.who_data VALUES (18767, 7986, 1324792, 168, 36934, 80, 57);
INSERT INTO public.who_data VALUES (18768, 2, 613, 0, 7, 80, 35);
INSERT INTO public.who_data VALUES (18769, 0, 5774, 0, 94, 80, 228);
INSERT INTO public.who_data VALUES (18770, 0, 0, 0, 0, 80, 19);
INSERT INTO public.who_data VALUES (18771, 534, 140172, 5, 1731, 80, 22);
INSERT INTO public.who_data VALUES (18772, 27, 21361, 0, 132, 80, 1);
INSERT INTO public.who_data VALUES (18773, 3539, 134881, 55, 1916, 80, 21);
INSERT INTO public.who_data VALUES (18774, 75, 8456, 0, 136, 80, 234);
INSERT INTO public.who_data VALUES (18775, 124, 2503, 3, 7, 80, 91);
INSERT INTO public.who_data VALUES (18776, 292, 11175, 3, 52, 80, 137);
INSERT INTO public.who_data VALUES (18777, 4568, 533042, 108, 8515, 80, 201);
INSERT INTO public.who_data VALUES (18778, 0, 0, 0, 0, 80, 171);
INSERT INTO public.who_data VALUES (18779, 128, 12986, 1, 336, 80, 92);
INSERT INTO public.who_data VALUES (18780, 1586, 83535, 6, 852, 80, 112);
INSERT INTO public.who_data VALUES (18781, 2, 5682, 0, 61, 80, 62);
INSERT INTO public.who_data VALUES (18782, 0, 85, 0, 0, 80, 69);
INSERT INTO public.who_data VALUES (18783, 895, 145197, 1, 2334, 80, 220);
INSERT INTO public.who_data VALUES (18784, 1203, 194876, 61, 13562, 80, 100);
INSERT INTO public.who_data VALUES (18785, 421, 116724, 28, 6694, 80, 187);
INSERT INTO public.who_data VALUES (18786, 0, 39130, 9, 1129, 80, 63);
INSERT INTO public.who_data VALUES (18787, 0, 5156, 0, 85, 80, 28);
INSERT INTO public.who_data VALUES (18788, 0, 577, 0, 0, 80, 172);
INSERT INTO public.who_data VALUES (18789, 522, 13019, 1, 122, 80, 17);
INSERT INTO public.who_data VALUES (18790, 13, 6455, 0, 122, 80, 226);
INSERT INTO public.who_data VALUES (18791, 430, 110984, 6, 1715, 80, 236);
INSERT INTO public.who_data VALUES (18792, 0, 17, 0, 0, 80, 76);
INSERT INTO public.who_data VALUES (18793, 0, 503, 0, 0, 80, 30);
INSERT INTO public.who_data VALUES (18794, 0, 42, 0, 2, 80, 128);
INSERT INTO public.who_data VALUES (18795, 420, 25882, 9, 408, 80, 86);
INSERT INTO public.who_data VALUES (18796, 13938, 2205212, 309, 53455, 80, 140);
INSERT INTO public.who_data VALUES (18797, 43, 11283, 0, 70, 80, 44);
INSERT INTO public.who_data VALUES (18798, 157, 14716, 1, 77, 80, 113);
INSERT INTO public.who_data VALUES (18799, 48, 9239, 1, 60, 80, 29);
INSERT INTO public.who_data VALUES (18800, 22, 3764, 0, 123, 80, 125);
INSERT INTO public.who_data VALUES (18801, 4260, 147636, 45, 1387, 80, 131);
INSERT INTO public.who_data VALUES (18802, 22046, 1106789, 479, 17602, 80, 46);
INSERT INTO public.who_data VALUES (18803, 0, 51667, 0, 323, 80, 10);
INSERT INTO public.who_data VALUES (18804, 10, 1030, 0, 5, 80, 205);
INSERT INTO public.who_data VALUES (18805, 2185, 109655, 89, 2606, 80, 50);
INSERT INTO public.who_data VALUES (18806, 0, 18, 0, 0, 80, 20);
INSERT INTO public.who_data VALUES (18807, 0, 41, 0, 0, 80, 13);
INSERT INTO public.who_data VALUES (18808, 49, 8427, 0, 149, 80, 148);
INSERT INTO public.who_data VALUES (18809, 25, 6782, 0, 112, 80, 230);
INSERT INTO public.who_data VALUES (18810, 686, 123460, 13, 4191, 80, 190);
INSERT INTO public.who_data VALUES (18811, 0, 287, 0, 13, 80, 188);
INSERT INTO public.who_data VALUES (18812, 24, 13143, 0, 76, 80, 123);
INSERT INTO public.who_data VALUES (18813, 0, 2425, 0, 44, 80, 9);
INSERT INTO public.who_data VALUES (18814, 17, 5423, 0, 151, 80, 102);
INSERT INTO public.who_data VALUES (18815, 7, 9303, 0, 233, 80, 34);
INSERT INTO public.who_data VALUES (18816, 0, 26, 0, 0, 80, 212);
INSERT INTO public.who_data VALUES (18817, 388, 108641, 9, 2927, 80, 122);
INSERT INTO public.who_data VALUES (18818, 6635, 231844, 182, 5324, 80, 38);
INSERT INTO public.who_data VALUES (18819, 20, 5433, 0, 27, 80, 130);
INSERT INTO public.who_data VALUES (18820, 35551, 9534964, 526, 138648, 80, 37);
INSERT INTO public.who_data VALUES (18821, 5533, 549508, 118, 17199, 80, 231);
INSERT INTO public.who_data VALUES (18822, 13621, 989572, 362, 48990, 80, 107);
INSERT INTO public.who_data VALUES (18823, 1961, 556728, 34, 12340, 80, 101);
INSERT INTO public.who_data VALUES (18824, 268, 73066, 5, 2074, 80, 132);
INSERT INTO public.who_data VALUES (18825, 0, 369, 0, 25, 80, 176);
INSERT INTO public.who_data VALUES (18826, 1199, 338394, 10, 2887, 80, 200);
INSERT INTO public.who_data VALUES (18827, 20709, 1641610, 684, 57045, 80, 169);
INSERT INTO public.who_data VALUES (18828, 54, 10864, 0, 258, 80, 225);
INSERT INTO public.who_data VALUES (18829, 2441, 152827, 41, 2213, 80, 165);
INSERT INTO public.who_data VALUES (18830, 32, 1040, 0, 32, 80, 233);
INSERT INTO public.who_data VALUES (18831, 3591, 227208, 52, 2854, 80, 215);
INSERT INTO public.who_data VALUES (18832, 1044, 177386, 0, 2477, 80, 177);
INSERT INTO public.who_data VALUES (18833, 961, 85130, 10, 1484, 80, 183);
INSERT INTO public.who_data VALUES (18834, 0, 0, 0, 0, 80, 203);
INSERT INTO public.who_data VALUES (18835, 555, 40629, 14, 1030, 80, 162);
INSERT INTO public.who_data VALUES (18836, 268, 143260, 1, 882, 80, 12);
INSERT INTO public.who_data VALUES (18837, 420, 73933, 4, 1281, 80, 24);
INSERT INTO public.who_data VALUES (18838, 0, 39, 0, 0, 80, 119);
INSERT INTO public.who_data VALUES (18839, 690, 18377, 14, 224, 80, 39);
INSERT INTO public.who_data VALUES (18840, 1842, 131256, 22, 1055, 80, 26);
INSERT INTO public.who_data VALUES (18841, 0, 2109, 0, 44, 80, 59);
INSERT INTO public.who_data VALUES (18842, 0, 1598, 0, 83, 80, 77);
INSERT INTO public.who_data VALUES (18843, 670, 84087, 4, 1200, 80, 134);
INSERT INTO public.who_data VALUES (18844, 15, 1384, 1, 17, 80, 4);
INSERT INTO public.who_data VALUES (18845, 2452, 67068, 19, 695, 80, 109);
INSERT INTO public.who_data VALUES (18846, 451, 35129, 9, 330, 80, 90);
INSERT INTO public.who_data VALUES (18847, 0, 17341, 0, 251, 80, 61);
INSERT INTO public.who_data VALUES (18848, 12, 6040, 0, 185, 80, 85);
INSERT INTO public.who_data VALUES (18849, 851, 68020, 2, 365, 80, 49);
INSERT INTO public.who_data VALUES (18850, 21, 13070, 0, 47, 80, 208);
INSERT INTO public.who_data VALUES (18851, 75, 4837, 1, 161, 80, 166);
INSERT INTO public.who_data VALUES (18852, 102, 9975, 4, 141, 80, 64);
INSERT INTO public.who_data VALUES (18853, 0, 4, 0, 0, 80, 199);
INSERT INTO public.who_data VALUES (18854, 34, 5520, 1, 41, 80, 114);
INSERT INTO public.who_data VALUES (18855, 0, 8424, 0, 172, 80, 60);
INSERT INTO public.who_data VALUES (18856, 0, 505, 0, 10, 80, 68);
INSERT INTO public.who_data VALUES (18857, 0, 5181, 0, 49, 80, 158);
INSERT INTO public.who_data VALUES (18858, 8819, 1122362, 825, 106765, 80, 52);
INSERT INTO public.who_data VALUES (18859, 0, 0, 0, 0, 80, 117);
INSERT INTO public.who_data VALUES (18860, 4, 624, 0, 3, 80, 126);
INSERT INTO public.who_data VALUES (18861, 11, 812, 0, 0, 80, 196);
INSERT INTO public.who_data VALUES (18862, 529, 37374, 6, 515, 80, 142);
INSERT INTO public.who_data VALUES (18863, 0, 13, 0, 1, 80, 185);
INSERT INTO public.who_data VALUES (18864, 4346, 364190, 70, 5985, 80, 138);
INSERT INTO public.who_data VALUES (18865, 96, 15866, 1, 132, 80, 181);
INSERT INTO public.who_data VALUES (18866, 1476, 92189, 31, 1972, 80, 178);
INSERT INTO public.who_data VALUES (18867, 61, 14477, 0, 152, 80, 168);
INSERT INTO public.who_data VALUES (18868, 0, 0, 0, 0, 80, 160);
INSERT INTO public.who_data VALUES (18869, 1490, 236246, 9, 1538, 80, 151);
INSERT INTO public.who_data VALUES (18870, 4908, 531163, 66, 9481, 80, 193);
INSERT INTO public.who_data VALUES (18871, 0, 33, 0, 0, 80, 18);
INSERT INTO public.who_data VALUES (18872, 9, 1713, 0, 25, 80, 40);
INSERT INTO public.who_data VALUES (18873, 0, 4671, 0, 161, 80, 218);
INSERT INTO public.who_data VALUES (18874, 92, 1640, 4, 76, 80, 191);
INSERT INTO public.who_data VALUES (18875, 122, 67960, 1, 1177, 80, 156);
INSERT INTO public.who_data VALUES (18876, 0, 0, 0, 0, 80, 135);
INSERT INTO public.who_data VALUES (18877, 0, 106, 0, 2, 80, 88);
INSERT INTO public.who_data VALUES (18878, 945, 63890, 33, 1825, 80, 55);
INSERT INTO public.who_data VALUES (18879, 441, 36591, 17, 351, 80, 108);
INSERT INTO public.who_data VALUES (18880, 2188, 103574, 16, 854, 80, 48);
INSERT INTO public.who_data VALUES (18881, 237, 124145, 0, 1430, 80, 3);
INSERT INTO public.who_data VALUES (18882, 0, 741, 0, 13, 80, 224);
INSERT INTO public.who_data VALUES (18883, 2829, 403311, 75, 8166, 80, 110);
INSERT INTO public.who_data VALUES (18884, 0, 0, 0, 0, 80, 106);
INSERT INTO public.who_data VALUES (18885, 1505, 167311, 19, 3098, 80, 89);
INSERT INTO public.who_data VALUES (18886, 13, 669, 0, 7, 80, 121);
INSERT INTO public.who_data VALUES (18887, 1055, 83479, 15, 1771, 80, 163);
INSERT INTO public.who_data VALUES (18888, 1623, 965228, 65, 36031, 80, 70);
INSERT INTO public.who_data VALUES (18889, 1432, 434357, 18, 8436, 80, 174);
INSERT INTO public.who_data VALUES (18890, 0, 0, 0, 0, 80, 175);
INSERT INTO public.who_data VALUES (18891, 13823, 1013747, 609, 18208, 80, 118);
INSERT INTO public.who_data VALUES (18892, 3384, 303846, 68, 4645, 80, 189);
INSERT INTO public.who_data VALUES (18893, 388, 53708, 22, 1144, 80, 124);
INSERT INTO public.who_data VALUES (18894, 255, 139256, 1, 239, 80, 192);
INSERT INTO public.who_data VALUES (18895, 540, 35701, 3, 529, 80, 41);
INSERT INTO public.who_data VALUES (18896, 1717, 110580, 20, 2343, 80, 95);
INSERT INTO public.who_data VALUES (18897, 0, 8102, 0, 40, 80, 74);
INSERT INTO public.who_data VALUES (18898, 4916, 484550, 135, 11665, 80, 11);
INSERT INTO public.who_data VALUES (18899, 28145, 2375546, 554, 41607, 80, 87);
INSERT INTO public.who_data VALUES (18900, 46, 5994, 1, 50, 80, 214);
INSERT INTO public.who_data VALUES (18901, 0, 5, 0, 0, 80, 116);
INSERT INTO public.who_data VALUES (18902, 0, 152, 0, 0, 80, 157);
INSERT INTO public.who_data VALUES (18903, 0, 0, 0, 0, 80, 182);
INSERT INTO public.who_data VALUES (18904, 0, 22, 0, 0, 80, 186);
INSERT INTO public.who_data VALUES (18905, 2, 261, 0, 2, 80, 127);
INSERT INTO public.who_data VALUES (18906, 0, 744, 0, 12, 80, 232);
INSERT INTO public.who_data VALUES (18907, 0, 14, 0, 0, 80, 33);
INSERT INTO public.who_data VALUES (18908, 0, 85, 0, 0, 80, 97);
INSERT INTO public.who_data VALUES (18909, 0, 2, 0, 0, 80, 42);
INSERT INTO public.who_data VALUES (18910, 37, 1687, 0, 46, 80, 198);
INSERT INTO public.who_data VALUES (18911, 1, 997, 0, 17, 80, 216);
INSERT INTO public.who_data VALUES (18912, 249, 357872, 12, 5919, 80, 164);
INSERT INTO public.who_data VALUES (18913, 66, 16173, 1, 334, 80, 235);
INSERT INTO public.who_data VALUES (18914, 7919, 191356, 52, 1704, 80, 67);
INSERT INTO public.who_data VALUES (18915, 9, 181, 0, 0, 80, 15);
INSERT INTO public.who_data VALUES (18916, 3, 2416, 0, 74, 80, 180);
INSERT INTO public.who_data VALUES (18917, 2, 58230, 0, 29, 80, 237);
INSERT INTO public.who_data VALUES (18918, 0, 14, 0, 0, 80, 25);
INSERT INTO public.who_data VALUES (18919, 3, 1072, 0, 25, 80, 209);
INSERT INTO public.who_data VALUES (18920, 1254, 109747, 29, 888, 80, 217);
INSERT INTO public.who_data VALUES (18921, 2438, 79609, 64, 1689, 80, 79);
INSERT INTO public.who_data VALUES (18922, 0, 17, 0, 0, 80, 143);
INSERT INTO public.who_data VALUES (18923, 74, 4525, 8, 121, 80, 229);
INSERT INTO public.who_data VALUES (18924, 4173, 796472, 65, 21709, 80, 141);
INSERT INTO public.who_data VALUES (18925, 0, 3109, 0, 61, 80, 197);
INSERT INTO public.who_data VALUES (18926, 9864, 1746459, 203, 47676, 80, 221);
INSERT INTO public.who_data VALUES (18927, 878, 25410, 2, 124, 80, 150);
INSERT INTO public.who_data VALUES (18928, 349, 18884, 9, 1280, 80, 56);
INSERT INTO public.who_data VALUES (18929, 7, 5319, 0, 117, 80, 167);
INSERT INTO public.who_data VALUES (18930, 5820, 266858, 67, 7325, 80, 23);
INSERT INTO public.who_data VALUES (18931, 4423, 340900, 87, 4955, 80, 222);
INSERT INTO public.who_data VALUES (18932, 86, 8059, 4, 426, 80, 219);
INSERT INTO public.who_data VALUES (18933, 38, 12269, 1, 87, 80, 7);
INSERT INTO public.who_data VALUES (18934, 18, 4026, 0, 60, 80, 161);
INSERT INTO public.who_data VALUES (18935, 16170, 1659260, 648, 59699, 80, 149);
INSERT INTO public.who_data VALUES (18936, 1, 31, 0, 0, 80, 6);
INSERT INTO public.who_data VALUES (18937, 68, 3014, 1, 65, 80, 139);
INSERT INTO public.who_data VALUES (18938, 0, 0, 0, 0, 80, 211);
INSERT INTO public.who_data VALUES (18939, 0, 0, 0, 0, 80, 14);
INSERT INTO public.who_data VALUES (18940, 16, 6685, 0, 120, 80, 111);
INSERT INTO public.who_data VALUES (18941, 1208, 99280, 48, 3359, 80, 207);
INSERT INTO public.who_data VALUES (18942, 31923, 1493681, 193, 14129, 80, 66);
INSERT INTO public.who_data VALUES (18943, 0, 0, 0, 0, 80, 173);
INSERT INTO public.who_data VALUES (18944, 2, 750, 0, 6, 80, 145);
INSERT INTO public.who_data VALUES (18945, 0, 0, 0, 0, 80, 65);
INSERT INTO public.who_data VALUES (18946, 374, 21409, 1, 206, 80, 184);
INSERT INTO public.who_data VALUES (18947, 14496, 772760, 243, 12960, 80, 98);
INSERT INTO public.who_data VALUES (18948, 1285, 171434, 4, 580, 80, 104);
INSERT INTO public.who_data VALUES (18949, 0, 509, 0, 21, 80, 73);
INSERT INTO public.who_data VALUES (18950, 177976, 13563731, 2439, 268482, 80, 8);
INSERT INTO public.who_data VALUES (18951, 13, 1563, 0, 23, 80, 227);
INSERT INTO public.who_data VALUES (18952, 167, 6024, 1, 78, 80, 75);
INSERT INTO public.who_data VALUES (18953, 155, 73431, 0, 611, 80, 45);
INSERT INTO public.who_data VALUES (18954, 0, 1, 0, 0, 80, 133);
INSERT INTO public.who_data VALUES (18955, 227, 102621, 4, 901, 80, 202);
INSERT INTO public.who_data VALUES (18956, 7, 1358, 0, 35, 80, 129);
INSERT INTO public.who_data VALUES (18957, 0, 3, 0, 0, 80, 36);
INSERT INTO public.who_data VALUES (18958, 0, 2081, 0, 606, 80, 51);
INSERT INTO public.who_data VALUES (18959, 35, 17700, 0, 357, 80, 206);
INSERT INTO public.who_data VALUES (18960, 114, 10243, 0, 277, 80, 5);
INSERT INTO public.who_data VALUES (18961, 219, 46717, 21, 1795, 81, 103);
INSERT INTO public.who_data VALUES (18962, 832, 39014, 12, 822, 81, 58);
INSERT INTO public.who_data VALUES (18963, 953, 84152, 16, 2447, 81, 195);
INSERT INTO public.who_data VALUES (18964, 0, 0, 0, 0, 81, 115);
INSERT INTO public.who_data VALUES (18965, 45, 6790, 0, 76, 81, 99);
INSERT INTO public.who_data VALUES (18966, 112, 15251, 2, 350, 81, 153);
INSERT INTO public.who_data VALUES (18967, 0, 6, 0, 0, 81, 93);
INSERT INTO public.who_data VALUES (18968, 0, 141, 0, 4, 81, 84);
INSERT INTO public.who_data VALUES (18969, 5726, 1424533, 257, 38730, 81, 78);
INSERT INTO public.who_data VALUES (18970, 1264, 136544, 35, 2223, 81, 170);
INSERT INTO public.who_data VALUES (18971, 7, 4845, 0, 45, 81, 32);
INSERT INTO public.who_data VALUES (18972, 8, 27912, 0, 908, 81, 155);
INSERT INTO public.who_data VALUES (18973, 3464, 283994, 213, 3196, 81, 82);
INSERT INTO public.who_data VALUES (18974, 4426, 125602, 41, 1433, 81, 16);
INSERT INTO public.who_data VALUES (18975, 24, 7541, 0, 163, 81, 72);
INSERT INTO public.who_data VALUES (18976, 181, 87137, 0, 341, 81, 43);
INSERT INTO public.who_data VALUES (18977, 2293, 467225, 31, 6675, 81, 120);
INSERT INTO public.who_data VALUES (18978, 2, 278, 0, 7, 81, 213);
INSERT INTO public.who_data VALUES (18979, 1572, 138219, 8, 1166, 81, 31);
INSERT INTO public.who_data VALUES (18980, 2698, 584006, 109, 16943, 81, 204);
INSERT INTO public.who_data VALUES (18981, 111, 5854, 1, 148, 81, 152);
INSERT INTO public.who_data VALUES (18982, 40, 3055, 1, 44, 81, 144);
INSERT INTO public.who_data VALUES (18983, 0, 260, 0, 9, 81, 96);
INSERT INTO public.who_data VALUES (18984, 4, 414, 0, 0, 81, 47);
INSERT INTO public.who_data VALUES (18985, 86, 144708, 5, 8957, 81, 80);
INSERT INTO public.who_data VALUES (18986, 0, 143, 0, 3, 81, 159);
INSERT INTO public.who_data VALUES (18987, 1184, 89085, 46, 2727, 81, 27);
INSERT INTO public.who_data VALUES (18988, 0, 9992, 0, 31, 81, 146);
INSERT INTO public.who_data VALUES (18989, 21138, 6335878, 287, 173120, 81, 71);
INSERT INTO public.who_data VALUES (18990, 0, 73, 0, 1, 81, 210);
INSERT INTO public.who_data VALUES (18991, 1, 151, 0, 3, 81, 54);
INSERT INTO public.who_data VALUES (18992, 3475, 148775, 153, 4188, 81, 147);
INSERT INTO public.who_data VALUES (18993, 45, 2931, 0, 68, 81, 2);
INSERT INTO public.who_data VALUES (18994, 0, 689, 0, 1, 81, 105);
INSERT INTO public.who_data VALUES (18995, 100, 10626, 1, 105, 81, 53);
INSERT INTO public.who_data VALUES (18996, 3, 329, 0, 0, 81, 81);
INSERT INTO public.who_data VALUES (18997, 0, 24487, 0, 441, 81, 223);
INSERT INTO public.who_data VALUES (18998, 7861, 378139, 98, 12130, 81, 94);
INSERT INTO public.who_data VALUES (18999, 8, 282, 0, 2, 81, 154);
INSERT INTO public.who_data VALUES (19000, 0, 4918, 0, 63, 81, 83);
INSERT INTO public.who_data VALUES (19001, 12, 1700, 1, 102, 81, 194);
INSERT INTO public.who_data VALUES (19002, 1121, 552864, 20, 15430, 81, 136);
INSERT INTO public.who_data VALUES (19003, 91, 93668, 0, 4750, 81, 179);
INSERT INTO public.who_data VALUES (19004, 8430, 1316806, 182, 36766, 81, 57);
INSERT INTO public.who_data VALUES (19005, 0, 611, 0, 7, 81, 35);
INSERT INTO public.who_data VALUES (19006, 0, 5774, 0, 94, 81, 228);
INSERT INTO public.who_data VALUES (19007, 0, 0, 0, 0, 81, 19);
INSERT INTO public.who_data VALUES (19008, 539, 139638, 11, 1726, 81, 22);
INSERT INTO public.who_data VALUES (19009, 3, 21334, 0, 132, 81, 1);
INSERT INTO public.who_data VALUES (19010, 2900, 131342, 75, 1861, 81, 21);
INSERT INTO public.who_data VALUES (19011, 97, 8381, 1, 136, 81, 234);
INSERT INTO public.who_data VALUES (19012, 15, 2379, 0, 4, 81, 91);
INSERT INTO public.who_data VALUES (19013, 318, 10883, 0, 49, 81, 137);
INSERT INTO public.who_data VALUES (19014, 5176, 528474, 112, 8407, 81, 201);
INSERT INTO public.who_data VALUES (19015, 0, 0, 0, 0, 81, 171);
INSERT INTO public.who_data VALUES (19016, 87, 12858, 2, 335, 81, 92);
INSERT INTO public.who_data VALUES (19017, 1468, 81949, 9, 846, 81, 112);
INSERT INTO public.who_data VALUES (19018, 1, 5680, 0, 61, 81, 62);
INSERT INTO public.who_data VALUES (19019, 0, 85, 0, 0, 81, 69);
INSERT INTO public.who_data VALUES (19020, 314, 144302, 2, 2333, 81, 220);
INSERT INTO public.who_data VALUES (19021, 988, 193673, 40, 13501, 81, 100);
INSERT INTO public.who_data VALUES (19022, 392, 116303, 16, 6666, 81, 187);
INSERT INTO public.who_data VALUES (19023, 725, 39130, 6, 1120, 81, 63);
INSERT INTO public.who_data VALUES (19024, 3, 5156, 0, 85, 81, 28);
INSERT INTO public.who_data VALUES (19025, 0, 577, 0, 0, 81, 172);
INSERT INTO public.who_data VALUES (19026, 189, 12497, 3, 121, 81, 17);
INSERT INTO public.who_data VALUES (19027, 23, 6442, 0, 122, 81, 226);
INSERT INTO public.who_data VALUES (19028, 480, 110554, 3, 1709, 81, 236);
INSERT INTO public.who_data VALUES (19029, 0, 17, 0, 0, 81, 76);
INSERT INTO public.who_data VALUES (19030, 0, 503, 0, 0, 81, 30);
INSERT INTO public.who_data VALUES (19031, 0, 42, 0, 2, 81, 128);
INSERT INTO public.who_data VALUES (19032, 550, 25462, 0, 399, 81, 86);
INSERT INTO public.who_data VALUES (19033, 7999, 2191274, 775, 53146, 81, 140);
INSERT INTO public.who_data VALUES (19034, 36, 11240, 0, 70, 81, 44);
INSERT INTO public.who_data VALUES (19035, 187, 14559, 1, 76, 81, 113);
INSERT INTO public.who_data VALUES (19036, 0, 9191, 0, 59, 81, 29);
INSERT INTO public.who_data VALUES (19037, 0, 3742, 0, 123, 81, 125);
INSERT INTO public.who_data VALUES (19038, 4033, 143376, 39, 1342, 81, 131);
INSERT INTO public.who_data VALUES (19039, 17270, 1084743, 487, 17123, 81, 46);
INSERT INTO public.who_data VALUES (19040, 0, 51667, 0, 323, 81, 10);
INSERT INTO public.who_data VALUES (19041, 6, 1020, 0, 5, 81, 205);
INSERT INTO public.who_data VALUES (19042, 2199, 107470, 111, 2517, 81, 50);
INSERT INTO public.who_data VALUES (19043, 0, 18, 0, 0, 81, 20);
INSERT INTO public.who_data VALUES (19044, 0, 41, 0, 0, 81, 13);
INSERT INTO public.who_data VALUES (19045, 0, 8378, 0, 149, 81, 148);
INSERT INTO public.who_data VALUES (19046, 35, 6757, 0, 112, 81, 230);
INSERT INTO public.who_data VALUES (19047, 712, 122774, 7, 4178, 81, 190);
INSERT INTO public.who_data VALUES (19048, 1, 287, 0, 13, 81, 188);
INSERT INTO public.who_data VALUES (19049, 22, 13119, 0, 76, 81, 123);
INSERT INTO public.who_data VALUES (19050, 3, 2425, 1, 44, 81, 9);
INSERT INTO public.who_data VALUES (19051, 30, 5406, 1, 151, 81, 102);
INSERT INTO public.who_data VALUES (19052, 2, 9296, 0, 233, 81, 34);
INSERT INTO public.who_data VALUES (19053, 0, 26, 0, 0, 81, 212);
INSERT INTO public.who_data VALUES (19054, 365, 108253, 9, 2918, 81, 122);
INSERT INTO public.who_data VALUES (19055, 4136, 225209, 165, 5142, 81, 38);
INSERT INTO public.who_data VALUES (19056, 21, 5413, 1, 27, 81, 130);
INSERT INTO public.who_data VALUES (19057, 36604, 9499413, 501, 138122, 81, 37);
INSERT INTO public.who_data VALUES (19058, 5092, 543975, 136, 17081, 81, 231);
INSERT INTO public.who_data VALUES (19059, 13881, 975951, 382, 48628, 81, 107);
INSERT INTO public.who_data VALUES (19060, 2218, 554767, 48, 12306, 81, 101);
INSERT INTO public.who_data VALUES (19061, 254, 72798, 16, 2069, 81, 132);
INSERT INTO public.who_data VALUES (19062, 0, 369, 0, 25, 81, 176);
INSERT INTO public.who_data VALUES (19063, 1253, 337195, 7, 2877, 81, 200);
INSERT INTO public.who_data VALUES (19064, 19347, 1620901, 785, 56361, 81, 169);
INSERT INTO public.who_data VALUES (19065, 47, 10810, 1, 258, 81, 225);
INSERT INTO public.who_data VALUES (19066, 1692, 150386, 33, 2172, 81, 165);
INSERT INTO public.who_data VALUES (19067, 85, 1008, 0, 32, 81, 233);
INSERT INTO public.who_data VALUES (19068, 4187, 223617, 51, 2802, 81, 215);
INSERT INTO public.who_data VALUES (19069, 777, 176342, 0, 2477, 81, 177);
INSERT INTO public.who_data VALUES (19070, 551, 84169, 5, 1474, 81, 183);
INSERT INTO public.who_data VALUES (19071, 0, 0, 0, 0, 81, 203);
INSERT INTO public.who_data VALUES (19072, 521, 40074, 10, 1016, 81, 162);
INSERT INTO public.who_data VALUES (19073, 357, 142992, 1, 881, 81, 12);
INSERT INTO public.who_data VALUES (19074, 335, 73513, 2, 1277, 81, 24);
INSERT INTO public.who_data VALUES (19075, 0, 39, 0, 0, 81, 119);
INSERT INTO public.who_data VALUES (19076, 612, 17687, 4, 210, 81, 39);
INSERT INTO public.who_data VALUES (19077, 1511, 129414, 15, 1033, 81, 26);
INSERT INTO public.who_data VALUES (19078, 0, 2109, 0, 44, 81, 59);
INSERT INTO public.who_data VALUES (19079, 0, 1598, 0, 83, 81, 77);
INSERT INTO public.who_data VALUES (19080, 608, 83417, 13, 1196, 81, 134);
INSERT INTO public.who_data VALUES (19081, 24, 1369, 0, 16, 81, 4);
INSERT INTO public.who_data VALUES (19082, 2107, 64616, 34, 676, 81, 109);
INSERT INTO public.who_data VALUES (19083, 140, 34678, 9, 321, 81, 90);
INSERT INTO public.who_data VALUES (19084, 0, 17341, 0, 251, 81, 61);
INSERT INTO public.who_data VALUES (19085, 0, 6028, 0, 185, 81, 85);
INSERT INTO public.who_data VALUES (19086, 1472, 67169, 3, 363, 81, 49);
INSERT INTO public.who_data VALUES (19087, 38, 13049, 1, 47, 81, 208);
INSERT INTO public.who_data VALUES (19088, 74, 4762, 8, 160, 81, 166);
INSERT INTO public.who_data VALUES (19089, 121, 9873, 4, 137, 81, 64);
INSERT INTO public.who_data VALUES (19090, 0, 4, 0, 0, 81, 199);
INSERT INTO public.who_data VALUES (19091, 0, 5486, 0, 40, 81, 114);
INSERT INTO public.who_data VALUES (19092, 0, 8424, 0, 172, 81, 60);
INSERT INTO public.who_data VALUES (19093, 1, 505, 0, 10, 81, 68);
INSERT INTO public.who_data VALUES (19094, 0, 5181, 0, 49, 81, 158);
INSERT INTO public.who_data VALUES (19095, 6472, 1113543, 285, 105940, 81, 52);
INSERT INTO public.who_data VALUES (19096, 0, 0, 0, 0, 81, 117);
INSERT INTO public.who_data VALUES (19097, 8, 620, 0, 3, 81, 126);
INSERT INTO public.who_data VALUES (19098, 10, 801, 0, 0, 81, 196);
INSERT INTO public.who_data VALUES (19099, 568, 36845, 6, 509, 81, 142);
INSERT INTO public.who_data VALUES (19100, 0, 13, 0, 1, 81, 185);
INSERT INTO public.who_data VALUES (19101, 3509, 359844, 69, 5915, 81, 138);
INSERT INTO public.who_data VALUES (19102, 69, 15770, 0, 131, 81, 181);
INSERT INTO public.who_data VALUES (19103, 1227, 90713, 23, 1941, 81, 178);
INSERT INTO public.who_data VALUES (19104, 36, 14416, 0, 152, 81, 168);
INSERT INTO public.who_data VALUES (19105, 0, 0, 0, 0, 81, 160);
INSERT INTO public.who_data VALUES (19106, 1304, 234756, 21, 1529, 81, 151);
INSERT INTO public.who_data VALUES (19107, 4038, 526255, 61, 9415, 81, 193);
INSERT INTO public.who_data VALUES (19108, 0, 33, 0, 0, 81, 18);
INSERT INTO public.who_data VALUES (19109, 1, 1704, 0, 25, 81, 40);
INSERT INTO public.who_data VALUES (19110, 42, 4671, 1, 161, 81, 218);
INSERT INTO public.who_data VALUES (19111, 0, 1548, 0, 72, 81, 191);
INSERT INTO public.who_data VALUES (19112, 281, 67838, 3, 1176, 81, 156);
INSERT INTO public.who_data VALUES (19113, 0, 0, 0, 0, 81, 135);
INSERT INTO public.who_data VALUES (19114, 0, 106, 0, 2, 81, 88);
INSERT INTO public.who_data VALUES (19115, 1067, 62945, 29, 1792, 81, 55);
INSERT INTO public.who_data VALUES (19116, 324, 36150, 2, 334, 81, 108);
INSERT INTO public.who_data VALUES (19117, 2536, 101386, 16, 838, 81, 48);
INSERT INTO public.who_data VALUES (19118, 209, 123908, 7, 1430, 81, 3);
INSERT INTO public.who_data VALUES (19119, 0, 741, 0, 13, 81, 224);
INSERT INTO public.who_data VALUES (19120, 2458, 400482, 66, 8091, 81, 110);
INSERT INTO public.who_data VALUES (19121, 0, 0, 0, 0, 81, 106);
INSERT INTO public.who_data VALUES (19122, 1077, 165806, 19, 3079, 81, 89);
INSERT INTO public.who_data VALUES (19123, 0, 656, 0, 7, 81, 121);
INSERT INTO public.who_data VALUES (19124, 518, 82424, 13, 1756, 81, 163);
INSERT INTO public.who_data VALUES (19125, 1075, 963605, 43, 35966, 81, 70);
INSERT INTO public.who_data VALUES (19126, 1295, 432925, 26, 8418, 81, 174);
INSERT INTO public.who_data VALUES (19127, 0, 0, 0, 0, 81, 175);
INSERT INTO public.who_data VALUES (19128, 9113, 999924, 449, 17599, 81, 118);
INSERT INTO public.who_data VALUES (19129, 2401, 300462, 72, 4577, 81, 189);
INSERT INTO public.who_data VALUES (19130, 775, 53320, 16, 1122, 81, 124);
INSERT INTO public.who_data VALUES (19131, 168, 139001, 1, 238, 81, 192);
INSERT INTO public.who_data VALUES (19132, 511, 35161, 0, 526, 81, 41);
INSERT INTO public.who_data VALUES (19133, 1499, 108863, 19, 2323, 81, 95);
INSERT INTO public.who_data VALUES (19134, 48, 8102, 0, 40, 81, 74);
INSERT INTO public.who_data VALUES (19135, 4272, 479634, 199, 11530, 81, 11);
INSERT INTO public.who_data VALUES (19136, 25345, 2347401, 589, 41053, 81, 87);
INSERT INTO public.who_data VALUES (19137, 14, 5948, 0, 49, 81, 214);
INSERT INTO public.who_data VALUES (19138, 0, 5, 0, 0, 81, 116);
INSERT INTO public.who_data VALUES (19139, 0, 152, 0, 0, 81, 157);
INSERT INTO public.who_data VALUES (19140, 0, 0, 0, 0, 81, 182);
INSERT INTO public.who_data VALUES (19141, 0, 22, 0, 0, 81, 186);
INSERT INTO public.who_data VALUES (19142, 2, 259, 0, 2, 81, 127);
INSERT INTO public.who_data VALUES (19143, 0, 744, 0, 12, 81, 232);
INSERT INTO public.who_data VALUES (19144, 0, 14, 0, 0, 81, 33);
INSERT INTO public.who_data VALUES (19145, 0, 85, 0, 0, 81, 97);
INSERT INTO public.who_data VALUES (19146, 2, 2, 0, 0, 81, 42);
INSERT INTO public.who_data VALUES (19147, 38, 1650, 0, 46, 81, 198);
INSERT INTO public.who_data VALUES (19148, 5, 996, 0, 17, 81, 216);
INSERT INTO public.who_data VALUES (19149, 263, 357623, 11, 5907, 81, 164);
INSERT INTO public.who_data VALUES (19150, 18, 16107, 0, 333, 81, 235);
INSERT INTO public.who_data VALUES (19151, 7999, 183437, 48, 1652, 81, 67);
INSERT INTO public.who_data VALUES (19152, 0, 172, 0, 0, 81, 15);
INSERT INTO public.who_data VALUES (19153, 1, 2413, 0, 74, 81, 180);
INSERT INTO public.who_data VALUES (19154, 10, 58228, 0, 29, 81, 237);
INSERT INTO public.who_data VALUES (19155, 0, 14, 0, 0, 81, 25);
INSERT INTO public.who_data VALUES (19156, 3, 1069, 0, 25, 81, 209);
INSERT INTO public.who_data VALUES (19157, 2760, 108493, 43, 859, 81, 217);
INSERT INTO public.who_data VALUES (19158, 1299, 77171, 58, 1625, 81, 79);
INSERT INTO public.who_data VALUES (19159, 0, 17, 0, 0, 81, 143);
INSERT INTO public.who_data VALUES (19160, 0, 4451, 0, 113, 81, 229);
INSERT INTO public.who_data VALUES (19161, 2295, 792299, 109, 21644, 81, 141);
INSERT INTO public.who_data VALUES (19162, 0, 3109, 0, 61, 81, 197);
INSERT INTO public.who_data VALUES (19163, 7724, 1736595, 211, 47473, 81, 221);
INSERT INTO public.who_data VALUES (19164, 1048, 24532, 6, 122, 81, 150);
INSERT INTO public.who_data VALUES (19165, 281, 18535, 6, 1271, 81, 56);
INSERT INTO public.who_data VALUES (19166, 0, 5312, 0, 117, 81, 167);
INSERT INTO public.who_data VALUES (19167, 3481, 261038, 67, 7258, 81, 23);
INSERT INTO public.who_data VALUES (19168, 4252, 336477, 88, 4868, 81, 222);
INSERT INTO public.who_data VALUES (19169, 86, 7973, 5, 422, 81, 219);
INSERT INTO public.who_data VALUES (19170, 37, 12231, 0, 86, 81, 7);
INSERT INTO public.who_data VALUES (19171, 10, 4008, 0, 60, 81, 161);
INSERT INTO public.who_data VALUES (19172, 13429, 1643090, 603, 59051, 81, 149);
INSERT INTO public.who_data VALUES (19173, 0, 30, 0, 0, 81, 6);
INSERT INTO public.who_data VALUES (19174, 0, 2946, 0, 64, 81, 139);
INSERT INTO public.who_data VALUES (19175, 0, 0, 0, 0, 81, 211);
INSERT INTO public.who_data VALUES (19176, 0, 0, 0, 0, 81, 14);
INSERT INTO public.who_data VALUES (19177, 9, 6669, 0, 120, 81, 111);
INSERT INTO public.who_data VALUES (19178, 1303, 98072, 51, 3311, 81, 207);
INSERT INTO public.who_data VALUES (19179, 30110, 1461758, 190, 13936, 81, 66);
INSERT INTO public.who_data VALUES (19180, 0, 0, 0, 0, 81, 173);
INSERT INTO public.who_data VALUES (19181, 0, 748, 0, 6, 81, 145);
INSERT INTO public.who_data VALUES (19182, 0, 0, 0, 0, 81, 65);
INSERT INTO public.who_data VALUES (19183, 576, 21035, 0, 205, 81, 184);
INSERT INTO public.who_data VALUES (19184, 13141, 758264, 169, 12717, 81, 98);
INSERT INTO public.who_data VALUES (19185, 1289, 170149, 4, 576, 81, 104);
INSERT INTO public.who_data VALUES (19186, 0, 509, 0, 21, 81, 73);
INSERT INTO public.who_data VALUES (19187, 151204, 13385755, 1235, 266043, 81, 8);
INSERT INTO public.who_data VALUES (19188, 6, 1550, 0, 23, 81, 227);
INSERT INTO public.who_data VALUES (19189, 141, 5857, 1, 77, 81, 75);
INSERT INTO public.who_data VALUES (19190, 182, 73276, 1, 611, 81, 45);
INSERT INTO public.who_data VALUES (19191, 0, 1, 0, 0, 81, 133);
INSERT INTO public.who_data VALUES (19192, 354, 102394, 3, 897, 81, 202);
INSERT INTO public.who_data VALUES (19193, 4, 1351, 0, 35, 81, 129);
INSERT INTO public.who_data VALUES (19194, 0, 3, 0, 0, 81, 36);
INSERT INTO public.who_data VALUES (19195, 0, 2081, 0, 606, 81, 51);
INSERT INTO public.who_data VALUES (19196, 18, 17665, 0, 357, 81, 206);
INSERT INTO public.who_data VALUES (19197, 95, 10129, 0, 277, 81, 5);
INSERT INTO public.who_data VALUES (19198, 283, 46498, 11, 1774, 82, 103);
INSERT INTO public.who_data VALUES (19199, 557, 38182, 12, 810, 82, 58);
INSERT INTO public.who_data VALUES (19200, 1987, 83199, 38, 2431, 82, 195);
INSERT INTO public.who_data VALUES (19201, 0, 0, 0, 0, 82, 115);
INSERT INTO public.who_data VALUES (19202, 33, 6745, 0, 76, 82, 99);
INSERT INTO public.who_data VALUES (19203, 36, 15139, 2, 348, 82, 153);
INSERT INTO public.who_data VALUES (19204, 0, 6, 0, 0, 82, 93);
INSERT INTO public.who_data VALUES (19205, 0, 141, 0, 4, 82, 84);
INSERT INTO public.who_data VALUES (19206, 5432, 1418807, 151, 38473, 82, 78);
INSERT INTO public.who_data VALUES (19207, 843, 135280, 29, 2188, 82, 170);
INSERT INTO public.who_data VALUES (19208, 47, 4838, 0, 45, 82, 32);
INSERT INTO public.who_data VALUES (19209, 11, 27904, 1, 908, 82, 155);
INSERT INTO public.who_data VALUES (19210, 2348, 280530, 79, 2983, 82, 82);
INSERT INTO public.who_data VALUES (19211, 2981, 121176, 31, 1392, 82, 16);
INSERT INTO public.who_data VALUES (19212, 14, 7517, 0, 163, 82, 72);
INSERT INTO public.who_data VALUES (19213, 169, 86956, 0, 341, 82, 43);
INSERT INTO public.who_data VALUES (19214, 2525, 464932, 35, 6644, 82, 120);
INSERT INTO public.who_data VALUES (19215, 1, 276, 0, 7, 82, 213);
INSERT INTO public.who_data VALUES (19216, 1639, 136647, 7, 1158, 82, 31);
INSERT INTO public.who_data VALUES (19217, 3304, 581308, 99, 16834, 82, 204);
INSERT INTO public.who_data VALUES (19218, 96, 5743, 3, 147, 82, 152);
INSERT INTO public.who_data VALUES (19219, 41, 3015, 0, 43, 82, 144);
INSERT INTO public.who_data VALUES (19220, 9, 260, 0, 9, 82, 96);
INSERT INTO public.who_data VALUES (19221, 14, 410, 0, 0, 82, 47);
INSERT INTO public.who_data VALUES (19222, 30, 144622, 3, 8952, 82, 80);
INSERT INTO public.who_data VALUES (19223, 1, 143, 0, 3, 82, 159);
INSERT INTO public.who_data VALUES (19224, 527, 87901, 61, 2681, 82, 27);
INSERT INTO public.who_data VALUES (19225, 0, 9992, 0, 31, 82, 146);
INSERT INTO public.who_data VALUES (19226, 24468, 6314740, 272, 172833, 82, 71);
INSERT INTO public.who_data VALUES (19227, 0, 73, 0, 1, 82, 210);
INSERT INTO public.who_data VALUES (19228, 0, 150, 0, 3, 82, 54);
INSERT INTO public.who_data VALUES (19229, 2814, 145300, 221, 4035, 82, 147);
INSERT INTO public.who_data VALUES (19230, 30, 2886, 0, 68, 82, 2);
INSERT INTO public.who_data VALUES (19231, 1, 689, 0, 1, 82, 105);
INSERT INTO public.who_data VALUES (19232, 0, 10526, 0, 104, 82, 53);
INSERT INTO public.who_data VALUES (19233, 3, 326, 0, 0, 82, 81);
INSERT INTO public.who_data VALUES (19234, 42, 24487, 4, 441, 82, 223);
INSERT INTO public.who_data VALUES (19235, 5468, 370278, 56, 12032, 82, 94);
INSERT INTO public.who_data VALUES (19236, 0, 274, 0, 2, 82, 154);
INSERT INTO public.who_data VALUES (19237, 5, 4918, 0, 63, 82, 83);
INSERT INTO public.who_data VALUES (19238, 6, 1688, 0, 101, 82, 194);
INSERT INTO public.who_data VALUES (19239, 1313, 551743, 54, 15410, 82, 136);
INSERT INTO public.who_data VALUES (19240, 112, 93577, 0, 4750, 82, 179);
INSERT INTO public.who_data VALUES (19241, 8763, 1308376, 183, 36584, 82, 57);
INSERT INTO public.who_data VALUES (19242, 1, 611, 0, 7, 82, 35);
INSERT INTO public.who_data VALUES (19243, 0, 5774, 0, 94, 82, 228);
INSERT INTO public.who_data VALUES (19244, 0, 0, 0, 0, 82, 19);
INSERT INTO public.who_data VALUES (19245, 2006, 139099, 25, 1715, 82, 22);
INSERT INTO public.who_data VALUES (19246, 21, 21331, 1, 132, 82, 1);
INSERT INTO public.who_data VALUES (19247, 1830, 128442, 74, 1786, 82, 21);
INSERT INTO public.who_data VALUES (19248, 51, 8284, 1, 135, 82, 234);
INSERT INTO public.who_data VALUES (19249, 318, 2364, 1, 4, 82, 91);
INSERT INTO public.who_data VALUES (19250, 182, 10565, 1, 49, 82, 137);
INSERT INTO public.who_data VALUES (19251, 3575, 523298, 157, 8295, 82, 201);
INSERT INTO public.who_data VALUES (19252, 0, 0, 0, 0, 82, 171);
INSERT INTO public.who_data VALUES (19253, 70, 12771, 0, 333, 82, 92);
INSERT INTO public.who_data VALUES (19254, 1129, 80481, 8, 837, 82, 112);
INSERT INTO public.who_data VALUES (19255, 2, 5679, 0, 61, 82, 62);
INSERT INTO public.who_data VALUES (19256, 0, 85, 0, 0, 82, 69);
INSERT INTO public.who_data VALUES (19257, 515, 143988, 1, 2331, 82, 220);
INSERT INTO public.who_data VALUES (19258, 568, 192685, 38, 13461, 82, 100);
INSERT INTO public.who_data VALUES (19259, 370, 115911, 14, 6650, 82, 187);
INSERT INTO public.who_data VALUES (19260, 0, 38405, 3, 1114, 82, 63);
INSERT INTO public.who_data VALUES (19261, 0, 5153, 0, 85, 82, 28);
INSERT INTO public.who_data VALUES (19262, 0, 577, 0, 0, 82, 172);
INSERT INTO public.who_data VALUES (19263, 256, 12308, 6, 118, 82, 17);
INSERT INTO public.who_data VALUES (19264, 9, 6419, 1, 122, 82, 226);
INSERT INTO public.who_data VALUES (19265, 540, 110074, 6, 1706, 82, 236);
INSERT INTO public.who_data VALUES (19266, 0, 17, 0, 0, 82, 76);
INSERT INTO public.who_data VALUES (19267, 1, 503, 0, 0, 82, 30);
INSERT INTO public.who_data VALUES (19268, 4, 42, 0, 2, 82, 128);
INSERT INTO public.who_data VALUES (19269, 283, 24912, 6, 399, 82, 86);
INSERT INTO public.who_data VALUES (19270, 3794, 2183275, 406, 52371, 82, 140);
INSERT INTO public.who_data VALUES (19271, 25, 11204, 0, 70, 82, 44);
INSERT INTO public.who_data VALUES (19272, 276, 14372, 2, 75, 82, 113);
INSERT INTO public.who_data VALUES (19273, 0, 9191, 0, 59, 82, 29);
INSERT INTO public.who_data VALUES (19274, 8, 3742, 0, 123, 82, 125);
INSERT INTO public.who_data VALUES (19275, 3759, 139343, 36, 1303, 82, 131);
INSERT INTO public.who_data VALUES (19276, 13604, 1067473, 388, 16636, 82, 46);
INSERT INTO public.who_data VALUES (19277, 98, 51667, 0, 323, 82, 10);
INSERT INTO public.who_data VALUES (19278, 5, 1014, 0, 5, 82, 205);
INSERT INTO public.who_data VALUES (19279, 1044, 105271, 85, 2406, 82, 50);
INSERT INTO public.who_data VALUES (19280, 0, 18, 0, 0, 82, 20);
INSERT INTO public.who_data VALUES (19281, 0, 41, 0, 0, 82, 13);
INSERT INTO public.who_data VALUES (19282, 34, 8378, 0, 149, 82, 148);
INSERT INTO public.who_data VALUES (19283, 31, 6722, 0, 112, 82, 230);
INSERT INTO public.who_data VALUES (19284, 91, 122062, 5, 4171, 82, 190);
INSERT INTO public.who_data VALUES (19285, 0, 286, 0, 13, 82, 188);
INSERT INTO public.who_data VALUES (19286, 58, 13097, 0, 76, 82, 123);
INSERT INTO public.who_data VALUES (19287, 0, 2422, 0, 43, 82, 9);
INSERT INTO public.who_data VALUES (19288, 38, 5376, 1, 150, 82, 102);
INSERT INTO public.who_data VALUES (19289, 22, 9294, 1, 233, 82, 34);
INSERT INTO public.who_data VALUES (19290, 0, 26, 0, 0, 82, 212);
INSERT INTO public.who_data VALUES (19291, 375, 107888, 4, 2909, 82, 122);
INSERT INTO public.who_data VALUES (19292, 3951, 221073, 154, 4977, 82, 38);
INSERT INTO public.who_data VALUES (19293, 11, 5392, 0, 26, 82, 130);
INSERT INTO public.who_data VALUES (19294, 31118, 9462809, 482, 137621, 82, 37);
INSERT INTO public.who_data VALUES (19295, 4617, 538883, 130, 16945, 82, 231);
INSERT INTO public.who_data VALUES (19296, 13321, 962070, 371, 48246, 82, 107);
INSERT INTO public.who_data VALUES (19297, 2114, 552549, 34, 12258, 82, 101);
INSERT INTO public.who_data VALUES (19298, 303, 72544, 1, 2053, 82, 132);
INSERT INTO public.who_data VALUES (19299, 0, 369, 0, 25, 82, 176);
INSERT INTO public.who_data VALUES (19300, 1024, 335942, 10, 2870, 82, 200);
INSERT INTO public.who_data VALUES (19301, 16376, 1601554, 672, 55576, 82, 169);
INSERT INTO public.who_data VALUES (19302, 54, 10763, 1, 257, 82, 225);
INSERT INTO public.who_data VALUES (19303, 1934, 148694, 20, 2139, 82, 165);
INSERT INTO public.who_data VALUES (19304, 0, 923, 0, 32, 82, 233);
INSERT INTO public.who_data VALUES (19305, 5123, 219430, 57, 2751, 82, 215);
INSERT INTO public.who_data VALUES (19306, 1002, 175565, 0, 2477, 82, 177);
INSERT INTO public.who_data VALUES (19307, 302, 83618, 17, 1469, 82, 183);
INSERT INTO public.who_data VALUES (19308, 0, 0, 0, 0, 82, 203);
INSERT INTO public.who_data VALUES (19309, 539, 39553, 11, 1006, 82, 162);
INSERT INTO public.who_data VALUES (19310, 209, 142635, 2, 880, 82, 12);
INSERT INTO public.who_data VALUES (19311, 371, 73178, 4, 1275, 82, 24);
INSERT INTO public.who_data VALUES (19312, 0, 39, 0, 0, 82, 119);
INSERT INTO public.who_data VALUES (19313, 100, 17075, 9, 206, 82, 39);
INSERT INTO public.who_data VALUES (19314, 1000, 127903, 14, 1018, 82, 26);
INSERT INTO public.who_data VALUES (19315, 0, 2109, 0, 44, 82, 59);
INSERT INTO public.who_data VALUES (19316, 0, 1598, 0, 83, 82, 77);
INSERT INTO public.who_data VALUES (19317, 379, 82809, 17, 1183, 82, 134);
INSERT INTO public.who_data VALUES (19318, 33, 1345, 0, 16, 82, 4);
INSERT INTO public.who_data VALUES (19319, 1188, 62509, 20, 642, 82, 109);
INSERT INTO public.who_data VALUES (19320, 565, 34538, 6, 312, 82, 90);
INSERT INTO public.who_data VALUES (19321, 0, 17341, 0, 251, 82, 61);
INSERT INTO public.who_data VALUES (19322, 3, 6028, 0, 185, 82, 85);
INSERT INTO public.who_data VALUES (19323, 1212, 65697, 3, 360, 82, 49);
INSERT INTO public.who_data VALUES (19324, 17, 13011, 0, 46, 82, 208);
INSERT INTO public.who_data VALUES (19325, 0, 4688, 0, 152, 82, 166);
INSERT INTO public.who_data VALUES (19326, 143, 9752, 1, 133, 82, 64);
INSERT INTO public.who_data VALUES (19327, 0, 4, 0, 0, 82, 199);
INSERT INTO public.who_data VALUES (19328, 73, 5486, 0, 40, 82, 114);
INSERT INTO public.who_data VALUES (19329, 0, 8424, 0, 172, 82, 60);
INSERT INTO public.who_data VALUES (19330, 3, 504, 0, 10, 82, 68);
INSERT INTO public.who_data VALUES (19331, 0, 5181, 0, 49, 82, 158);
INSERT INTO public.who_data VALUES (19332, 6388, 1107071, 196, 105655, 82, 52);
INSERT INTO public.who_data VALUES (19333, 0, 0, 0, 0, 82, 117);
INSERT INTO public.who_data VALUES (19334, 1, 612, 0, 3, 82, 126);
INSERT INTO public.who_data VALUES (19335, 7, 791, 0, 0, 82, 196);
INSERT INTO public.who_data VALUES (19336, 492, 36277, 5, 503, 82, 142);
INSERT INTO public.who_data VALUES (19337, 0, 13, 0, 1, 82, 185);
INSERT INTO public.who_data VALUES (19338, 2532, 356335, 57, 5846, 82, 138);
INSERT INTO public.who_data VALUES (19339, 88, 15701, 1, 131, 82, 181);
INSERT INTO public.who_data VALUES (19340, 1509, 89486, 31, 1918, 82, 178);
INSERT INTO public.who_data VALUES (19341, 35, 14380, 1, 152, 82, 168);
INSERT INTO public.who_data VALUES (19342, 0, 0, 0, 0, 82, 160);
INSERT INTO public.who_data VALUES (19343, 1474, 233452, 29, 1508, 82, 151);
INSERT INTO public.who_data VALUES (19344, 4573, 522217, 28, 9354, 82, 193);
INSERT INTO public.who_data VALUES (19345, 1, 33, 0, 0, 82, 18);
INSERT INTO public.who_data VALUES (19346, 3, 1703, 0, 25, 82, 40);
INSERT INTO public.who_data VALUES (19347, 0, 4629, 0, 160, 82, 218);
INSERT INTO public.who_data VALUES (19348, 32, 1548, 2, 72, 82, 191);
INSERT INTO public.who_data VALUES (19349, 145, 67557, 0, 1173, 82, 156);
INSERT INTO public.who_data VALUES (19350, 0, 0, 0, 0, 82, 135);
INSERT INTO public.who_data VALUES (19351, 1, 106, 0, 2, 82, 88);
INSERT INTO public.who_data VALUES (19352, 335, 61878, 32, 1763, 82, 55);
INSERT INTO public.who_data VALUES (19353, 1079, 35826, 4, 332, 82, 108);
INSERT INTO public.who_data VALUES (19354, 2062, 98850, 15, 822, 82, 48);
INSERT INTO public.who_data VALUES (19355, 215, 123699, 5, 1423, 82, 3);
INSERT INTO public.who_data VALUES (19356, 0, 741, 0, 13, 82, 224);
INSERT INTO public.who_data VALUES (19357, 2839, 398024, 40, 8025, 82, 110);
INSERT INTO public.who_data VALUES (19358, 0, 0, 0, 0, 82, 106);
INSERT INTO public.who_data VALUES (19359, 1276, 164729, 21, 3060, 82, 89);
INSERT INTO public.who_data VALUES (19360, 1, 656, 0, 7, 82, 121);
INSERT INTO public.who_data VALUES (19361, 775, 81906, 12, 1743, 82, 163);
INSERT INTO public.who_data VALUES (19362, 2162, 962530, 44, 35923, 82, 70);
INSERT INTO public.who_data VALUES (19363, 1766, 431630, 19, 8392, 82, 174);
INSERT INTO public.who_data VALUES (19364, 0, 0, 0, 0, 82, 175);
INSERT INTO public.who_data VALUES (19365, 5736, 990811, 121, 17150, 82, 118);
INSERT INTO public.who_data VALUES (19366, 3262, 298061, 78, 4505, 82, 189);
INSERT INTO public.who_data VALUES (19367, 843, 52545, 12, 1106, 82, 124);
INSERT INTO public.who_data VALUES (19368, 185, 138833, 0, 237, 82, 192);
INSERT INTO public.who_data VALUES (19369, 451, 34650, 0, 526, 82, 41);
INSERT INTO public.who_data VALUES (19370, 347, 107364, 14, 2304, 82, 95);
INSERT INTO public.who_data VALUES (19371, 0, 8054, 0, 40, 82, 74);
INSERT INTO public.who_data VALUES (19372, 3826, 475362, 138, 11331, 82, 11);
INSERT INTO public.who_data VALUES (19373, 26402, 2322056, 569, 40464, 82, 87);
INSERT INTO public.who_data VALUES (19374, 15, 5934, 1, 49, 82, 214);
INSERT INTO public.who_data VALUES (19375, 0, 5, 0, 0, 82, 116);
INSERT INTO public.who_data VALUES (19376, 25, 152, 0, 0, 82, 157);
INSERT INTO public.who_data VALUES (19377, 0, 0, 0, 0, 82, 182);
INSERT INTO public.who_data VALUES (19378, 0, 22, 0, 0, 82, 186);
INSERT INTO public.who_data VALUES (19379, 5, 257, 0, 2, 82, 127);
INSERT INTO public.who_data VALUES (19380, 54, 744, 0, 12, 82, 232);
INSERT INTO public.who_data VALUES (19381, 0, 14, 0, 0, 82, 33);
INSERT INTO public.who_data VALUES (19382, 0, 85, 0, 0, 82, 97);
INSERT INTO public.who_data VALUES (19383, 0, 0, 0, 0, 82, 42);
INSERT INTO public.who_data VALUES (19384, 3, 1612, 1, 46, 82, 198);
INSERT INTO public.who_data VALUES (19385, 2, 991, 0, 17, 82, 216);
INSERT INTO public.who_data VALUES (19386, 232, 357360, 12, 5896, 82, 164);
INSERT INTO public.who_data VALUES (19387, 14, 16089, 0, 333, 82, 235);
INSERT INTO public.who_data VALUES (19388, 6224, 175438, 55, 1604, 82, 67);
INSERT INTO public.who_data VALUES (19389, 0, 172, 0, 0, 82, 15);
INSERT INTO public.who_data VALUES (19390, 1, 2412, 0, 74, 82, 180);
INSERT INTO public.who_data VALUES (19391, 5, 58218, 0, 29, 82, 237);
INSERT INTO public.who_data VALUES (19392, 0, 14, 0, 0, 82, 25);
INSERT INTO public.who_data VALUES (19393, 25, 1066, 0, 25, 82, 209);
INSERT INTO public.who_data VALUES (19394, 1101, 105733, 18, 816, 82, 217);
INSERT INTO public.who_data VALUES (19395, 427, 75872, 51, 1567, 82, 79);
INSERT INTO public.who_data VALUES (19396, 0, 17, 0, 0, 82, 143);
INSERT INTO public.who_data VALUES (19397, 0, 4451, 0, 113, 82, 229);
INSERT INTO public.who_data VALUES (19398, 2302, 790004, 58, 21535, 82, 141);
INSERT INTO public.who_data VALUES (19399, 5, 3109, 0, 61, 82, 197);
INSERT INTO public.who_data VALUES (19400, 3480, 1728871, 185, 47262, 82, 221);
INSERT INTO public.who_data VALUES (19401, 496, 23484, 7, 116, 82, 150);
INSERT INTO public.who_data VALUES (19402, 209, 18254, 10, 1265, 82, 56);
INSERT INTO public.who_data VALUES (19403, 0, 5312, 0, 117, 82, 167);
INSERT INTO public.who_data VALUES (19404, 2753, 257557, 50, 7191, 82, 23);
INSERT INTO public.who_data VALUES (19405, 5271, 332225, 92, 4780, 82, 222);
INSERT INTO public.who_data VALUES (19406, 90, 7887, 4, 417, 82, 219);
INSERT INTO public.who_data VALUES (19407, 39, 12194, 0, 86, 82, 7);
INSERT INTO public.who_data VALUES (19408, 21, 3998, 0, 60, 82, 161);
INSERT INTO public.who_data VALUES (19409, 12330, 1629661, 203, 58448, 82, 149);
INSERT INTO public.who_data VALUES (19410, 0, 30, 0, 0, 82, 6);
INSERT INTO public.who_data VALUES (19411, 0, 2946, 0, 64, 82, 139);
INSERT INTO public.who_data VALUES (19412, 0, 0, 0, 0, 82, 211);
INSERT INTO public.who_data VALUES (19413, 0, 0, 0, 0, 82, 14);
INSERT INTO public.who_data VALUES (19414, 30, 6660, 2, 120, 82, 111);
INSERT INTO public.who_data VALUES (19415, 518, 96769, 41, 3260, 82, 207);
INSERT INTO public.who_data VALUES (19416, 31219, 1431648, 188, 13746, 82, 66);
INSERT INTO public.who_data VALUES (19417, 0, 0, 0, 0, 82, 173);
INSERT INTO public.who_data VALUES (19418, 0, 748, 0, 6, 82, 145);
INSERT INTO public.who_data VALUES (19419, 0, 0, 0, 0, 82, 65);
INSERT INTO public.who_data VALUES (19420, 314, 20459, 4, 205, 82, 184);
INSERT INTO public.who_data VALUES (19421, 12498, 745123, 221, 12548, 82, 98);
INSERT INTO public.who_data VALUES (19422, 1107, 168860, 2, 572, 82, 104);
INSERT INTO public.who_data VALUES (19423, 0, 509, 0, 21, 82, 73);
INSERT INTO public.who_data VALUES (19424, 151674, 13234551, 862, 264808, 82, 8);
INSERT INTO public.who_data VALUES (19425, 0, 1544, 0, 23, 82, 227);
INSERT INTO public.who_data VALUES (19426, 205, 5716, 1, 76, 82, 75);
INSERT INTO public.who_data VALUES (19427, 174, 73094, 2, 610, 82, 45);
INSERT INTO public.who_data VALUES (19428, 0, 1, 0, 0, 82, 133);
INSERT INTO public.who_data VALUES (19429, 280, 102040, 2, 894, 82, 202);
INSERT INTO public.who_data VALUES (19430, 4, 1347, 0, 35, 82, 129);
INSERT INTO public.who_data VALUES (19431, 0, 3, 0, 0, 82, 36);
INSERT INTO public.who_data VALUES (19432, 0, 2081, 0, 606, 82, 51);
INSERT INTO public.who_data VALUES (19433, 39, 17647, 0, 357, 82, 206);
INSERT INTO public.who_data VALUES (19434, 84, 10034, 1, 277, 82, 5);
INSERT INTO public.who_data VALUES (19435, 249, 46215, 11, 1763, 83, 103);
INSERT INTO public.who_data VALUES (19436, 835, 37625, 11, 798, 83, 58);
INSERT INTO public.who_data VALUES (19437, 0, 81212, 0, 2393, 83, 195);
INSERT INTO public.who_data VALUES (19438, 0, 0, 0, 0, 83, 115);
INSERT INTO public.who_data VALUES (19439, 102, 6712, 0, 76, 83, 99);
INSERT INTO public.who_data VALUES (19440, 16, 15103, 1, 346, 83, 153);
INSERT INTO public.who_data VALUES (19441, 2, 6, 0, 0, 83, 93);
INSERT INTO public.who_data VALUES (19442, 0, 141, 0, 4, 83, 84);
INSERT INTO public.who_data VALUES (19443, 6098, 1413375, 106, 38322, 83, 78);
INSERT INTO public.who_data VALUES (19444, 356, 134437, 22, 2159, 83, 170);
INSERT INTO public.who_data VALUES (19445, 0, 4791, 0, 45, 83, 32);
INSERT INTO public.who_data VALUES (19446, 8, 27893, 0, 907, 83, 155);
INSERT INTO public.who_data VALUES (19447, 3907, 278182, 82, 2904, 83, 82);
INSERT INTO public.who_data VALUES (19448, 4170, 118195, 38, 1361, 83, 16);
INSERT INTO public.who_data VALUES (19449, 7, 7503, 0, 163, 83, 72);
INSERT INTO public.who_data VALUES (19450, 142, 86787, 0, 341, 83, 43);
INSERT INTO public.who_data VALUES (19451, 1788, 462407, 29, 6609, 83, 120);
INSERT INTO public.who_data VALUES (19452, 5, 275, 0, 7, 83, 213);
INSERT INTO public.who_data VALUES (19453, 1684, 135008, 8, 1151, 83, 31);
INSERT INTO public.who_data VALUES (19454, 560, 578004, 118, 16735, 83, 204);
INSERT INTO public.who_data VALUES (19455, 60, 5647, 3, 144, 83, 152);
INSERT INTO public.who_data VALUES (19456, 0, 2974, 0, 43, 83, 144);
INSERT INTO public.who_data VALUES (19457, 4, 251, 0, 9, 83, 96);
INSERT INTO public.who_data VALUES (19458, 0, 396, 0, 0, 83, 47);
INSERT INTO public.who_data VALUES (19459, 98, 144592, 6, 8949, 83, 80);
INSERT INTO public.who_data VALUES (19460, 0, 142, 0, 3, 83, 159);
INSERT INTO public.who_data VALUES (19461, 664, 87374, 44, 2620, 83, 27);
INSERT INTO public.who_data VALUES (19462, 0, 9992, 0, 31, 83, 146);
INSERT INTO public.who_data VALUES (19463, 51922, 6290272, 587, 172561, 83, 71);
INSERT INTO public.who_data VALUES (19464, 1, 73, 0, 1, 83, 210);
INSERT INTO public.who_data VALUES (19465, 0, 150, 0, 3, 83, 54);
INSERT INTO public.who_data VALUES (19466, 739, 142486, 65, 3814, 83, 147);
INSERT INTO public.who_data VALUES (19467, 40, 2856, 0, 68, 83, 2);
INSERT INTO public.who_data VALUES (19468, 7, 688, 0, 1, 83, 105);
INSERT INTO public.who_data VALUES (19469, 0, 10526, 0, 104, 83, 53);
INSERT INTO public.who_data VALUES (19470, 8, 323, 0, 0, 83, 81);
INSERT INTO public.who_data VALUES (19471, 328, 24445, 0, 437, 83, 223);
INSERT INTO public.who_data VALUES (19472, 5746, 364810, 82, 11976, 83, 94);
INSERT INTO public.who_data VALUES (19473, 0, 274, 0, 2, 83, 154);
INSERT INTO public.who_data VALUES (19474, 0, 4913, 0, 63, 83, 83);
INSERT INTO public.who_data VALUES (19475, 19, 1682, 0, 101, 83, 194);
INSERT INTO public.who_data VALUES (19476, 1489, 550430, 34, 15356, 83, 136);
INSERT INTO public.who_data VALUES (19477, 136, 93465, 0, 4750, 83, 179);
INSERT INTO public.who_data VALUES (19478, 9103, 1299613, 187, 36401, 83, 57);
INSERT INTO public.who_data VALUES (19479, 0, 610, 0, 7, 83, 35);
INSERT INTO public.who_data VALUES (19480, 0, 5774, 0, 94, 83, 228);
INSERT INTO public.who_data VALUES (19481, 0, 0, 0, 0, 83, 19);
INSERT INTO public.who_data VALUES (19482, 0, 137093, 0, 1690, 83, 22);
INSERT INTO public.who_data VALUES (19483, 49, 21310, 0, 131, 83, 1);
INSERT INTO public.who_data VALUES (19484, 2919, 126612, 57, 1712, 83, 21);
INSERT INTO public.who_data VALUES (19485, 60, 8233, 1, 134, 83, 234);
INSERT INTO public.who_data VALUES (19486, 0, 2046, 0, 3, 83, 91);
INSERT INTO public.who_data VALUES (19487, 152, 10383, 0, 48, 83, 137);
INSERT INTO public.who_data VALUES (19488, 1074, 519723, 84, 8138, 83, 201);
INSERT INTO public.who_data VALUES (19489, 0, 0, 0, 0, 83, 171);
INSERT INTO public.who_data VALUES (19490, 94, 12701, 0, 333, 83, 92);
INSERT INTO public.who_data VALUES (19491, 998, 79352, 6, 829, 83, 112);
INSERT INTO public.who_data VALUES (19492, 1, 5677, 0, 61, 83, 62);
INSERT INTO public.who_data VALUES (19493, 0, 85, 0, 0, 83, 69);
INSERT INTO public.who_data VALUES (19494, 820, 143473, 2, 2330, 83, 220);
INSERT INTO public.who_data VALUES (19495, 1208, 192117, 52, 13423, 83, 100);
INSERT INTO public.who_data VALUES (19496, 358, 115541, 15, 6636, 83, 187);
INSERT INTO public.who_data VALUES (19497, 0, 38405, 4, 1111, 83, 63);
INSERT INTO public.who_data VALUES (19498, 0, 5153, 0, 85, 83, 28);
INSERT INTO public.who_data VALUES (19499, 0, 577, 0, 0, 83, 172);
INSERT INTO public.who_data VALUES (19500, 354, 12052, 3, 112, 83, 17);
INSERT INTO public.who_data VALUES (19501, 4, 6410, 0, 121, 83, 226);
INSERT INTO public.who_data VALUES (19502, 604, 109534, 5, 1700, 83, 236);
INSERT INTO public.who_data VALUES (19503, 0, 17, 0, 0, 83, 76);
INSERT INTO public.who_data VALUES (19504, 0, 502, 0, 0, 83, 30);
INSERT INTO public.who_data VALUES (19505, 0, 38, 0, 2, 83, 128);
INSERT INTO public.who_data VALUES (19506, 322, 24629, 0, 393, 83, 86);
INSERT INTO public.who_data VALUES (19507, 9670, 2179481, 198, 51965, 83, 140);
INSERT INTO public.who_data VALUES (19508, 0, 11179, 0, 70, 83, 44);
INSERT INTO public.who_data VALUES (19509, 0, 14096, 0, 73, 83, 113);
INSERT INTO public.who_data VALUES (19510, 0, 9191, 0, 59, 83, 29);
INSERT INTO public.who_data VALUES (19511, 0, 3734, 0, 123, 83, 125);
INSERT INTO public.who_data VALUES (19512, 3216, 135584, 37, 1267, 83, 131);
INSERT INTO public.who_data VALUES (19513, 11169, 1053869, 125, 16248, 83, 46);
INSERT INTO public.who_data VALUES (19514, 190, 51569, 0, 323, 83, 10);
INSERT INTO public.who_data VALUES (19515, 10, 1009, 0, 5, 83, 205);
INSERT INTO public.who_data VALUES (19516, 1193, 104227, 98, 2321, 83, 50);
INSERT INTO public.who_data VALUES (19517, 0, 18, 0, 0, 83, 20);
INSERT INTO public.who_data VALUES (19518, 0, 41, 0, 0, 83, 13);
INSERT INTO public.who_data VALUES (19519, 0, 8344, 0, 149, 83, 148);
INSERT INTO public.who_data VALUES (19520, 36, 6691, 0, 112, 83, 230);
INSERT INTO public.who_data VALUES (19521, 173, 121971, 5, 4166, 83, 190);
INSERT INTO public.who_data VALUES (19522, 0, 286, 0, 13, 83, 188);
INSERT INTO public.who_data VALUES (19523, 0, 13039, 0, 76, 83, 123);
INSERT INTO public.who_data VALUES (19524, 0, 2422, 0, 43, 83, 9);
INSERT INTO public.who_data VALUES (19525, 28, 5338, 0, 149, 83, 102);
INSERT INTO public.who_data VALUES (19526, 8, 9272, 0, 232, 83, 34);
INSERT INTO public.who_data VALUES (19527, 0, 26, 0, 0, 83, 212);
INSERT INTO public.who_data VALUES (19528, 379, 107513, 6, 2905, 83, 122);
INSERT INTO public.who_data VALUES (19529, 5595, 217122, 151, 4823, 83, 38);
INSERT INTO public.who_data VALUES (19530, 10, 5381, 0, 26, 83, 130);
INSERT INTO public.who_data VALUES (19531, 38772, 9431691, 443, 137139, 83, 37);
INSERT INTO public.who_data VALUES (19532, 6267, 534266, 169, 16815, 83, 231);
INSERT INTO public.who_data VALUES (19533, 12950, 948749, 389, 47875, 83, 107);
INSERT INTO public.who_data VALUES (19534, 1614, 550435, 24, 12224, 83, 101);
INSERT INTO public.who_data VALUES (19535, 299, 72241, 2, 2052, 83, 132);
INSERT INTO public.who_data VALUES (19536, 0, 369, 0, 25, 83, 176);
INSERT INTO public.who_data VALUES (19537, 582, 334918, 10, 2860, 83, 200);
INSERT INTO public.who_data VALUES (19538, 20646, 1585178, 541, 54904, 83, 169);
INSERT INTO public.who_data VALUES (19539, 40, 10709, 5, 256, 83, 225);
INSERT INTO public.who_data VALUES (19540, 2107, 146760, 13, 2119, 83, 165);
INSERT INTO public.who_data VALUES (19541, 0, 923, 0, 32, 83, 233);
INSERT INTO public.who_data VALUES (19542, 3598, 214307, 68, 2694, 83, 215);
INSERT INTO public.who_data VALUES (19543, 757, 174563, 0, 2477, 83, 177);
INSERT INTO public.who_data VALUES (19544, 711, 83316, 7, 1452, 83, 183);
INSERT INTO public.who_data VALUES (19545, 0, 0, 0, 0, 83, 203);
INSERT INTO public.who_data VALUES (19546, 626, 39014, 16, 995, 83, 162);
INSERT INTO public.who_data VALUES (19547, 231, 142426, 3, 878, 83, 12);
INSERT INTO public.who_data VALUES (19548, 380, 72807, 5, 1271, 83, 24);
INSERT INTO public.who_data VALUES (19549, 0, 39, 0, 0, 83, 119);
INSERT INTO public.who_data VALUES (19550, 414, 16975, 4, 197, 83, 39);
INSERT INTO public.who_data VALUES (19551, 1266, 126903, 13, 1004, 83, 26);
INSERT INTO public.who_data VALUES (19552, 0, 2109, 0, 44, 83, 59);
INSERT INTO public.who_data VALUES (19553, 3, 1598, 0, 83, 83, 77);
INSERT INTO public.who_data VALUES (19554, 1157, 82430, 13, 1166, 83, 134);
INSERT INTO public.who_data VALUES (19555, 11, 1312, 0, 16, 83, 4);
INSERT INTO public.who_data VALUES (19556, 1136, 61321, 27, 622, 83, 109);
INSERT INTO public.who_data VALUES (19557, 564, 33973, 6, 306, 83, 90);
INSERT INTO public.who_data VALUES (19558, 0, 17341, 0, 251, 83, 61);
INSERT INTO public.who_data VALUES (19559, 0, 6025, 0, 185, 83, 85);
INSERT INTO public.who_data VALUES (19560, 1309, 64485, 3, 357, 83, 49);
INSERT INTO public.who_data VALUES (19561, 47, 12994, 0, 46, 83, 208);
INSERT INTO public.who_data VALUES (19562, 121, 4688, 3, 152, 83, 166);
INSERT INTO public.who_data VALUES (19563, 108, 9609, 4, 132, 83, 64);
INSERT INTO public.who_data VALUES (19564, 0, 4, 0, 0, 83, 199);
INSERT INTO public.who_data VALUES (19565, 0, 5413, 0, 40, 83, 114);
INSERT INTO public.who_data VALUES (19566, 0, 8424, 0, 172, 83, 60);
INSERT INTO public.who_data VALUES (19567, 0, 501, 0, 10, 83, 68);
INSERT INTO public.who_data VALUES (19568, 0, 5181, 0, 49, 83, 158);
INSERT INTO public.who_data VALUES (19569, 10008, 1100683, 586, 105459, 83, 52);
INSERT INTO public.who_data VALUES (19570, 0, 0, 0, 0, 83, 117);
INSERT INTO public.who_data VALUES (19571, 1, 611, 0, 3, 83, 126);
INSERT INTO public.who_data VALUES (19572, 24, 784, 0, 0, 83, 196);
INSERT INTO public.who_data VALUES (19573, 558, 35785, 12, 498, 83, 142);
INSERT INTO public.who_data VALUES (19574, 0, 13, 0, 1, 83, 185);
INSERT INTO public.who_data VALUES (19575, 4115, 353803, 50, 5789, 83, 138);
INSERT INTO public.who_data VALUES (19576, 27, 15613, 1, 130, 83, 181);
INSERT INTO public.who_data VALUES (19577, 1344, 87977, 22, 1887, 83, 178);
INSERT INTO public.who_data VALUES (19578, 60, 14345, 1, 151, 83, 168);
INSERT INTO public.who_data VALUES (19579, 0, 0, 0, 0, 83, 160);
INSERT INTO public.who_data VALUES (19580, 1255, 231978, 25, 1479, 83, 151);
INSERT INTO public.who_data VALUES (19581, 5565, 517644, 25, 9326, 83, 193);
INSERT INTO public.who_data VALUES (19582, 0, 32, 0, 0, 83, 18);
INSERT INTO public.who_data VALUES (19583, 4, 1700, 0, 25, 83, 40);
INSERT INTO public.who_data VALUES (19584, 0, 4629, 0, 160, 83, 218);
INSERT INTO public.who_data VALUES (19585, 44, 1516, 0, 70, 83, 191);
INSERT INTO public.who_data VALUES (19586, 82, 67412, 2, 1173, 83, 156);
INSERT INTO public.who_data VALUES (19587, 0, 0, 0, 0, 83, 135);
INSERT INTO public.who_data VALUES (19588, 0, 105, 0, 2, 83, 88);
INSERT INTO public.who_data VALUES (19589, 820, 61543, 32, 1731, 83, 55);
INSERT INTO public.who_data VALUES (19590, 0, 34747, 0, 328, 83, 108);
INSERT INTO public.who_data VALUES (19591, 1927, 96788, 16, 807, 83, 48);
INSERT INTO public.who_data VALUES (19592, 905, 123484, 27, 1418, 83, 3);
INSERT INTO public.who_data VALUES (19593, 0, 741, 0, 13, 83, 224);
INSERT INTO public.who_data VALUES (19594, 2829, 395185, 43, 7985, 83, 110);
INSERT INTO public.who_data VALUES (19595, 0, 0, 0, 0, 83, 106);
INSERT INTO public.who_data VALUES (19596, 1709, 163453, 9, 3039, 83, 89);
INSERT INTO public.who_data VALUES (19597, 10, 655, 0, 7, 83, 121);
INSERT INTO public.who_data VALUES (19598, 695, 81131, 11, 1731, 83, 163);
INSERT INTO public.who_data VALUES (19599, 2044, 960368, 40, 35879, 83, 70);
INSERT INTO public.who_data VALUES (19600, 2067, 429864, 40, 8373, 83, 174);
INSERT INTO public.who_data VALUES (19601, 0, 0, 0, 0, 83, 175);
INSERT INTO public.who_data VALUES (19602, 11482, 985075, 283, 17029, 83, 118);
INSERT INTO public.who_data VALUES (19603, 4093, 294799, 64, 4427, 83, 189);
INSERT INTO public.who_data VALUES (19604, 121, 51702, 11, 1094, 83, 124);
INSERT INTO public.who_data VALUES (19605, 171, 138648, 0, 237, 83, 192);
INSERT INTO public.who_data VALUES (19606, 438, 34199, 3, 526, 83, 41);
INSERT INTO public.who_data VALUES (19607, 1165, 107017, 21, 2290, 83, 95);
INSERT INTO public.who_data VALUES (19608, 114, 8054, 0, 40, 83, 74);
INSERT INTO public.who_data VALUES (19609, 5554, 471536, 148, 11193, 83, 11);
INSERT INTO public.who_data VALUES (19610, 26338, 2295654, 368, 39895, 83, 87);
INSERT INTO public.who_data VALUES (19611, 47, 5919, 1, 48, 83, 214);
INSERT INTO public.who_data VALUES (19612, 0, 5, 0, 0, 83, 116);
INSERT INTO public.who_data VALUES (19613, 0, 127, 0, 0, 83, 157);
INSERT INTO public.who_data VALUES (19614, 0, 0, 0, 0, 83, 182);
INSERT INTO public.who_data VALUES (19615, 0, 22, 0, 0, 83, 186);
INSERT INTO public.who_data VALUES (19616, 6, 252, 0, 2, 83, 127);
INSERT INTO public.who_data VALUES (19617, 0, 690, 0, 12, 83, 232);
INSERT INTO public.who_data VALUES (19618, 0, 14, 0, 0, 83, 33);
INSERT INTO public.who_data VALUES (19619, 0, 85, 0, 0, 83, 97);
INSERT INTO public.who_data VALUES (19620, 0, 0, 0, 0, 83, 42);
INSERT INTO public.who_data VALUES (19621, 23, 1609, 0, 45, 83, 198);
INSERT INTO public.who_data VALUES (19622, 4, 989, 0, 17, 83, 216);
INSERT INTO public.who_data VALUES (19623, 217, 357128, 14, 5884, 83, 164);
INSERT INTO public.who_data VALUES (19624, 48, 16075, 1, 333, 83, 235);
INSERT INTO public.who_data VALUES (19625, 6179, 169214, 65, 1549, 83, 67);
INSERT INTO public.who_data VALUES (19626, 0, 172, 0, 0, 83, 15);
INSERT INTO public.who_data VALUES (19627, 1, 2411, 0, 74, 83, 180);
INSERT INTO public.who_data VALUES (19628, 8, 58213, 0, 29, 83, 237);
INSERT INTO public.who_data VALUES (19629, 0, 14, 0, 0, 83, 25);
INSERT INTO public.who_data VALUES (19630, 0, 1041, 0, 25, 83, 209);
INSERT INTO public.who_data VALUES (19631, 1526, 104632, 27, 798, 83, 217);
INSERT INTO public.who_data VALUES (19632, 1109, 75445, 46, 1516, 83, 79);
INSERT INTO public.who_data VALUES (19633, 0, 17, 0, 0, 83, 143);
INSERT INTO public.who_data VALUES (19634, 0, 4451, 0, 113, 83, 229);
INSERT INTO public.who_data VALUES (19635, 2563, 787702, 38, 21477, 83, 141);
INSERT INTO public.who_data VALUES (19636, 0, 3104, 0, 61, 83, 197);
INSERT INTO public.who_data VALUES (19637, 5677, 1725391, 199, 47077, 83, 221);
INSERT INTO public.who_data VALUES (19638, 487, 22988, 2, 109, 83, 150);
INSERT INTO public.who_data VALUES (19639, 235, 18045, 6, 1255, 83, 56);
INSERT INTO public.who_data VALUES (19640, 1, 5312, 0, 117, 83, 167);
INSERT INTO public.who_data VALUES (19641, 3825, 254804, 50, 7141, 83, 23);
INSERT INTO public.who_data VALUES (19642, 1692, 326954, 81, 4688, 83, 222);
INSERT INTO public.who_data VALUES (19643, 82, 7797, 4, 413, 83, 219);
INSERT INTO public.who_data VALUES (19644, 37, 12155, 0, 86, 83, 7);
INSERT INTO public.who_data VALUES (19645, 11, 3977, 0, 60, 83, 161);
INSERT INTO public.who_data VALUES (19646, 12155, 1617331, 215, 58245, 83, 149);
INSERT INTO public.who_data VALUES (19647, 0, 30, 0, 0, 83, 6);
INSERT INTO public.who_data VALUES (19648, 20, 2946, 0, 64, 83, 139);
INSERT INTO public.who_data VALUES (19649, 0, 0, 0, 0, 83, 211);
INSERT INTO public.who_data VALUES (19650, 0, 0, 0, 0, 83, 14);
INSERT INTO public.who_data VALUES (19651, 44, 6630, 0, 118, 83, 111);
INSERT INTO public.who_data VALUES (19652, 1271, 96251, 66, 3219, 83, 207);
INSERT INTO public.who_data VALUES (19653, 29281, 1400429, 185, 13558, 83, 66);
INSERT INTO public.who_data VALUES (19654, 0, 0, 0, 0, 83, 173);
INSERT INTO public.who_data VALUES (19655, 0, 748, 0, 6, 83, 145);
INSERT INTO public.who_data VALUES (19656, 0, 0, 0, 0, 83, 65);
INSERT INTO public.who_data VALUES (19657, 201, 20145, 0, 201, 83, 184);
INSERT INTO public.who_data VALUES (19658, 9946, 732625, 114, 12327, 83, 98);
INSERT INTO public.who_data VALUES (19659, 1251, 167753, 1, 570, 83, 104);
INSERT INTO public.who_data VALUES (19660, 0, 509, 0, 21, 83, 73);
INSERT INTO public.who_data VALUES (19661, 143211, 13082877, 1210, 263946, 83, 8);
INSERT INTO public.who_data VALUES (19662, 6, 1544, 0, 23, 83, 227);
INSERT INTO public.who_data VALUES (19663, 208, 5511, 1, 75, 83, 75);
INSERT INTO public.who_data VALUES (19664, 111, 72920, 0, 608, 83, 45);
INSERT INTO public.who_data VALUES (19665, 0, 1, 0, 0, 83, 133);
INSERT INTO public.who_data VALUES (19666, 236, 101760, 4, 892, 83, 202);
INSERT INTO public.who_data VALUES (19667, 2, 1343, 0, 35, 83, 129);
INSERT INTO public.who_data VALUES (19668, 0, 3, 0, 0, 83, 36);
INSERT INTO public.who_data VALUES (19669, 3, 2081, 1, 606, 83, 51);
INSERT INTO public.who_data VALUES (19670, 19, 17608, 0, 357, 83, 206);
INSERT INTO public.who_data VALUES (19671, 128, 9950, 1, 276, 83, 5);
INSERT INTO public.who_data VALUES (19672, 127, 45966, 12, 1752, 84, 103);
INSERT INTO public.who_data VALUES (19673, 545, 36790, 16, 787, 84, 58);
INSERT INTO public.who_data VALUES (19674, 1044, 81212, 21, 2393, 84, 195);
INSERT INTO public.who_data VALUES (19675, 0, 0, 0, 0, 84, 115);
INSERT INTO public.who_data VALUES (19676, 0, 6610, 0, 76, 84, 99);
INSERT INTO public.who_data VALUES (19677, 79, 15087, 3, 345, 84, 153);
INSERT INTO public.who_data VALUES (19678, 0, 4, 0, 0, 84, 93);
INSERT INTO public.who_data VALUES (19679, 0, 141, 0, 4, 84, 84);
INSERT INTO public.who_data VALUES (19680, 7846, 1407277, 275, 38216, 84, 78);
INSERT INTO public.who_data VALUES (19681, 1174, 134081, 21, 2137, 84, 170);
INSERT INTO public.who_data VALUES (19682, 0, 4791, 0, 45, 84, 32);
INSERT INTO public.who_data VALUES (19683, 11, 27885, 0, 907, 84, 155);
INSERT INTO public.who_data VALUES (19684, 4765, 274275, 58, 2822, 84, 82);
INSERT INTO public.who_data VALUES (19685, 4212, 114025, 32, 1323, 84, 16);
INSERT INTO public.who_data VALUES (19686, 0, 7496, 0, 163, 84, 72);
INSERT INTO public.who_data VALUES (19687, 130, 86645, 0, 341, 84, 43);
INSERT INTO public.who_data VALUES (19688, 1908, 460619, 36, 6580, 84, 120);
INSERT INTO public.who_data VALUES (19689, 0, 270, 0, 7, 84, 213);
INSERT INTO public.who_data VALUES (19690, 1691, 133324, 7, 1143, 84, 31);
INSERT INTO public.who_data VALUES (19691, 1006, 577444, 115, 16617, 84, 204);
INSERT INTO public.who_data VALUES (19692, 72, 5587, 10, 141, 84, 152);
INSERT INTO public.who_data VALUES (19693, 0, 2974, 0, 43, 84, 144);
INSERT INTO public.who_data VALUES (19694, 5, 247, 0, 9, 84, 96);
INSERT INTO public.who_data VALUES (19695, 1, 396, 0, 0, 84, 47);
INSERT INTO public.who_data VALUES (19696, 104, 144494, 4, 8943, 84, 80);
INSERT INTO public.who_data VALUES (19697, 0, 142, 0, 3, 84, 159);
INSERT INTO public.who_data VALUES (19698, 1279, 86710, 34, 2576, 84, 27);
INSERT INTO public.who_data VALUES (19699, 0, 9992, 0, 31, 84, 146);
INSERT INTO public.who_data VALUES (19700, 34130, 6238350, 514, 171974, 84, 71);
INSERT INTO public.who_data VALUES (19701, 0, 72, 0, 1, 84, 210);
INSERT INTO public.who_data VALUES (19702, 0, 150, 0, 3, 84, 54);
INSERT INTO public.who_data VALUES (19703, 1792, 141747, 69, 3749, 84, 147);
INSERT INTO public.who_data VALUES (19704, 0, 2816, 0, 68, 84, 2);
INSERT INTO public.who_data VALUES (19705, 0, 681, 0, 1, 84, 105);
INSERT INTO public.who_data VALUES (19706, 0, 10526, 0, 104, 84, 53);
INSERT INTO public.who_data VALUES (19707, 7, 315, 0, 0, 84, 81);
INSERT INTO public.who_data VALUES (19708, 0, 24117, 0, 437, 84, 223);
INSERT INTO public.who_data VALUES (19709, 5967, 359064, 95, 11894, 84, 94);
INSERT INTO public.who_data VALUES (19710, 5, 274, 0, 2, 84, 154);
INSERT INTO public.who_data VALUES (19711, 0, 4913, 0, 63, 84, 83);
INSERT INTO public.who_data VALUES (19712, 0, 1663, 0, 101, 84, 194);
INSERT INTO public.who_data VALUES (19713, 1718, 548941, 44, 15322, 84, 136);
INSERT INTO public.who_data VALUES (19714, 104, 93329, 1, 4750, 84, 179);
INSERT INTO public.who_data VALUES (19715, 10023, 1290510, 195, 36214, 84, 57);
INSERT INTO public.who_data VALUES (19716, 0, 610, 0, 7, 84, 35);
INSERT INTO public.who_data VALUES (19717, 0, 5774, 0, 94, 84, 228);
INSERT INTO public.who_data VALUES (19718, 0, 0, 0, 0, 84, 19);
INSERT INTO public.who_data VALUES (19719, 1351, 137093, 11, 1690, 84, 22);
INSERT INTO public.who_data VALUES (19720, 29, 21261, 0, 131, 84, 1);
INSERT INTO public.who_data VALUES (19721, 3987, 123693, 55, 1655, 84, 21);
INSERT INTO public.who_data VALUES (19722, 63, 8173, 0, 133, 84, 234);
INSERT INTO public.who_data VALUES (19723, 0, 2046, 0, 3, 84, 91);
INSERT INTO public.who_data VALUES (19724, 248, 10231, 0, 48, 84, 137);
INSERT INTO public.who_data VALUES (19725, 2665, 518649, 87, 8054, 84, 201);
INSERT INTO public.who_data VALUES (19726, 0, 0, 0, 0, 84, 171);
INSERT INTO public.who_data VALUES (19727, 67, 12607, 0, 333, 84, 92);
INSERT INTO public.who_data VALUES (19728, 1636, 78354, 7, 823, 84, 112);
INSERT INTO public.who_data VALUES (19729, 0, 5676, 0, 61, 84, 62);
INSERT INTO public.who_data VALUES (19730, 0, 85, 0, 0, 84, 69);
INSERT INTO public.who_data VALUES (19731, 876, 142653, 4, 2328, 84, 220);
INSERT INTO public.who_data VALUES (19732, 1375, 190909, 13, 13371, 84, 100);
INSERT INTO public.who_data VALUES (19733, 351, 115183, 13, 6621, 84, 187);
INSERT INTO public.who_data VALUES (19734, 0, 38405, 5, 1107, 84, 63);
INSERT INTO public.who_data VALUES (19735, 0, 5153, 0, 85, 84, 28);
INSERT INTO public.who_data VALUES (19736, 11, 577, 0, 0, 84, 172);
INSERT INTO public.who_data VALUES (19737, 375, 11698, 5, 109, 84, 17);
INSERT INTO public.who_data VALUES (19738, 44, 6406, 1, 121, 84, 226);
INSERT INTO public.who_data VALUES (19739, 492, 108930, 9, 1695, 84, 236);
INSERT INTO public.who_data VALUES (19740, 1, 17, 0, 0, 84, 76);
INSERT INTO public.who_data VALUES (19741, 2, 502, 0, 0, 84, 30);
INSERT INTO public.who_data VALUES (19742, 0, 38, 0, 2, 84, 128);
INSERT INTO public.who_data VALUES (19743, 541, 24307, 0, 393, 84, 86);
INSERT INTO public.who_data VALUES (19744, 12479, 2169811, 213, 51767, 84, 140);
INSERT INTO public.who_data VALUES (19745, 21, 11179, 0, 70, 84, 44);
INSERT INTO public.who_data VALUES (19746, 0, 14096, 0, 73, 84, 113);
INSERT INTO public.who_data VALUES (19747, 0, 9191, 0, 59, 84, 29);
INSERT INTO public.who_data VALUES (19748, 3, 3734, 0, 123, 84, 125);
INSERT INTO public.who_data VALUES (19749, 4426, 132368, 35, 1230, 84, 131);
INSERT INTO public.who_data VALUES (19750, 14611, 1042700, 158, 16123, 84, 46);
INSERT INTO public.who_data VALUES (19751, 154, 51379, 0, 323, 84, 10);
INSERT INTO public.who_data VALUES (19752, 8, 999, 0, 5, 84, 205);
INSERT INTO public.who_data VALUES (19753, 1747, 103034, 121, 2223, 84, 50);
INSERT INTO public.who_data VALUES (19754, 0, 18, 0, 0, 84, 20);
INSERT INTO public.who_data VALUES (19755, 0, 41, 0, 0, 84, 13);
INSERT INTO public.who_data VALUES (19756, 0, 8344, 0, 149, 84, 148);
INSERT INTO public.who_data VALUES (19757, 14, 6655, 0, 112, 84, 230);
INSERT INTO public.who_data VALUES (19758, 666, 121798, 20, 4161, 84, 190);
INSERT INTO public.who_data VALUES (19759, 0, 286, 0, 13, 84, 188);
INSERT INTO public.who_data VALUES (19760, 0, 13039, 0, 76, 84, 123);
INSERT INTO public.who_data VALUES (19761, 0, 2422, 0, 43, 84, 9);
INSERT INTO public.who_data VALUES (19762, 34, 5310, 0, 149, 84, 102);
INSERT INTO public.who_data VALUES (19763, 0, 9264, 0, 232, 84, 34);
INSERT INTO public.who_data VALUES (19764, 0, 26, 0, 0, 84, 212);
INSERT INTO public.who_data VALUES (19765, 453, 107134, 7, 2899, 84, 122);
INSERT INTO public.who_data VALUES (19766, 6819, 211527, 156, 4672, 84, 38);
INSERT INTO public.who_data VALUES (19767, 25, 5371, 0, 26, 84, 130);
INSERT INTO public.who_data VALUES (19768, 41810, 9392919, 496, 136696, 84, 37);
INSERT INTO public.who_data VALUES (19769, 5418, 527999, 125, 16646, 84, 231);
INSERT INTO public.who_data VALUES (19770, 13402, 935799, 391, 47486, 84, 107);
INSERT INTO public.who_data VALUES (19771, 1606, 548821, 33, 12200, 84, 101);
INSERT INTO public.who_data VALUES (19772, 243, 71942, 7, 2050, 84, 132);
INSERT INTO public.who_data VALUES (19773, 0, 369, 0, 25, 84, 176);
INSERT INTO public.who_data VALUES (19774, 1031, 334336, 6, 2850, 84, 200);
INSERT INTO public.who_data VALUES (19775, 26315, 1564532, 686, 54363, 84, 169);
INSERT INTO public.who_data VALUES (19776, 69, 10669, 1, 251, 84, 225);
INSERT INTO public.who_data VALUES (19777, 2585, 144653, 32, 2106, 84, 165);
INSERT INTO public.who_data VALUES (19778, 31, 923, 0, 32, 84, 233);
INSERT INTO public.who_data VALUES (19779, 3108, 210709, 56, 2626, 84, 215);
INSERT INTO public.who_data VALUES (19780, 837, 173806, 60, 2477, 84, 177);
INSERT INTO public.who_data VALUES (19781, 949, 82605, 4, 1445, 84, 183);
INSERT INTO public.who_data VALUES (19782, 0, 0, 0, 0, 84, 203);
INSERT INTO public.who_data VALUES (19783, 639, 38388, 14, 979, 84, 162);
INSERT INTO public.who_data VALUES (19784, 319, 142195, 1, 875, 84, 12);
INSERT INTO public.who_data VALUES (19785, 456, 72427, 4, 1266, 84, 24);
INSERT INTO public.who_data VALUES (19786, 0, 39, 0, 0, 84, 119);
INSERT INTO public.who_data VALUES (19787, 753, 16561, 3, 193, 84, 39);
INSERT INTO public.who_data VALUES (19788, 1696, 125637, 11, 991, 84, 26);
INSERT INTO public.who_data VALUES (19789, 0, 2109, 0, 44, 84, 59);
INSERT INTO public.who_data VALUES (19790, 0, 1595, 0, 83, 84, 77);
INSERT INTO public.who_data VALUES (19791, 0, 81273, 0, 1153, 84, 134);
INSERT INTO public.who_data VALUES (19792, 16, 1301, 0, 16, 84, 4);
INSERT INTO public.who_data VALUES (19793, 1967, 60185, 22, 595, 84, 109);
INSERT INTO public.who_data VALUES (19794, 0, 33409, 0, 300, 84, 90);
INSERT INTO public.who_data VALUES (19795, 0, 17341, 0, 251, 84, 61);
INSERT INTO public.who_data VALUES (19796, 1, 6025, 0, 185, 84, 85);
INSERT INTO public.who_data VALUES (19797, 1315, 63176, 4, 354, 84, 49);
INSERT INTO public.who_data VALUES (19798, 14, 12947, 0, 46, 84, 208);
INSERT INTO public.who_data VALUES (19799, 0, 4567, 0, 149, 84, 166);
INSERT INTO public.who_data VALUES (19800, 70, 9501, 6, 128, 84, 64);
INSERT INTO public.who_data VALUES (19801, 0, 4, 0, 0, 84, 199);
INSERT INTO public.who_data VALUES (19802, 0, 5413, 0, 40, 84, 114);
INSERT INTO public.who_data VALUES (19803, 0, 8424, 0, 172, 84, 60);
INSERT INTO public.who_data VALUES (19804, 0, 501, 0, 10, 84, 68);
INSERT INTO public.who_data VALUES (19805, 0, 5181, 0, 49, 84, 158);
INSERT INTO public.who_data VALUES (19806, 12081, 1090675, 631, 104873, 84, 52);
INSERT INTO public.who_data VALUES (19807, 0, 0, 0, 0, 84, 117);
INSERT INTO public.who_data VALUES (19808, 4, 610, 0, 3, 84, 126);
INSERT INTO public.who_data VALUES (19809, 22, 760, 0, 0, 84, 196);
INSERT INTO public.who_data VALUES (19810, 453, 35227, 6, 486, 84, 142);
INSERT INTO public.who_data VALUES (19811, 0, 13, 0, 1, 84, 185);
INSERT INTO public.who_data VALUES (19812, 4412, 349688, 50, 5739, 84, 138);
INSERT INTO public.who_data VALUES (19813, 80, 15586, 1, 129, 84, 181);
INSERT INTO public.who_data VALUES (19814, 0, 86633, 0, 1865, 84, 178);
INSERT INTO public.who_data VALUES (19815, 78, 14285, 1, 150, 84, 168);
INSERT INTO public.who_data VALUES (19816, 0, 0, 0, 0, 84, 160);
INSERT INTO public.who_data VALUES (19817, 1380, 230723, 19, 1454, 84, 151);
INSERT INTO public.who_data VALUES (19818, 4465, 512079, 56, 9301, 84, 193);
INSERT INTO public.who_data VALUES (19819, 0, 32, 0, 0, 84, 18);
INSERT INTO public.who_data VALUES (19820, 2, 1696, 0, 25, 84, 40);
INSERT INTO public.who_data VALUES (19821, 0, 4629, 0, 160, 84, 218);
INSERT INTO public.who_data VALUES (19822, 0, 1472, 0, 70, 84, 191);
INSERT INTO public.who_data VALUES (19823, 110, 67330, 0, 1171, 84, 156);
INSERT INTO public.who_data VALUES (19824, 0, 0, 0, 0, 84, 135);
INSERT INTO public.who_data VALUES (19825, 1, 105, 0, 2, 84, 88);
INSERT INTO public.who_data VALUES (19826, 1022, 60723, 41, 1699, 84, 55);
INSERT INTO public.who_data VALUES (19827, 0, 34747, 0, 328, 84, 108);
INSERT INTO public.who_data VALUES (19828, 1461, 94861, 15, 791, 84, 48);
INSERT INTO public.who_data VALUES (19829, 0, 122579, 0, 1391, 84, 3);
INSERT INTO public.who_data VALUES (19830, 0, 741, 0, 13, 84, 224);
INSERT INTO public.who_data VALUES (19831, 3045, 392356, 45, 7942, 84, 110);
INSERT INTO public.who_data VALUES (19832, 0, 0, 0, 0, 84, 106);
INSERT INTO public.who_data VALUES (19833, 1457, 161744, 12, 3030, 84, 89);
INSERT INTO public.who_data VALUES (19834, 0, 645, 0, 7, 84, 121);
INSERT INTO public.who_data VALUES (19835, 919, 80436, 16, 1720, 84, 163);
INSERT INTO public.who_data VALUES (19836, 1977, 958324, 54, 35839, 84, 70);
INSERT INTO public.who_data VALUES (19837, 1879, 427797, 78, 8333, 84, 174);
INSERT INTO public.who_data VALUES (19838, 0, 0, 0, 0, 84, 175);
INSERT INTO public.who_data VALUES (19839, 15177, 973593, 599, 16746, 84, 118);
INSERT INTO public.who_data VALUES (19840, 4868, 290706, 87, 4363, 84, 189);
INSERT INTO public.who_data VALUES (19841, 903, 51581, 7, 1083, 84, 124);
INSERT INTO public.who_data VALUES (19842, 227, 138477, 0, 237, 84, 192);
INSERT INTO public.who_data VALUES (19843, 450, 33761, 1, 523, 84, 41);
INSERT INTO public.who_data VALUES (19844, 1712, 105852, 19, 2269, 84, 95);
INSERT INTO public.who_data VALUES (19845, 0, 7940, 0, 40, 84, 74);
INSERT INTO public.who_data VALUES (19846, 8134, 465982, 161, 11045, 84, 11);
INSERT INTO public.who_data VALUES (19847, 26683, 2269316, 459, 39527, 84, 87);
INSERT INTO public.who_data VALUES (19848, 0, 5872, 0, 47, 84, 214);
INSERT INTO public.who_data VALUES (19849, 0, 5, 0, 0, 84, 116);
INSERT INTO public.who_data VALUES (19850, 0, 127, 0, 0, 84, 157);
INSERT INTO public.who_data VALUES (19851, 0, 0, 0, 0, 84, 182);
INSERT INTO public.who_data VALUES (19852, 0, 22, 0, 0, 84, 186);
INSERT INTO public.who_data VALUES (19853, 0, 246, 0, 2, 84, 127);
INSERT INTO public.who_data VALUES (19854, 0, 690, 0, 12, 84, 232);
INSERT INTO public.who_data VALUES (19855, 0, 14, 0, 0, 84, 33);
INSERT INTO public.who_data VALUES (19856, 0, 85, 0, 0, 84, 97);
INSERT INTO public.who_data VALUES (19857, 0, 0, 0, 0, 84, 42);
INSERT INTO public.who_data VALUES (19858, 32, 1586, 1, 45, 84, 198);
INSERT INTO public.who_data VALUES (19859, 0, 985, 0, 17, 84, 216);
INSERT INTO public.who_data VALUES (19860, 220, 356911, 13, 5870, 84, 164);
INSERT INTO public.who_data VALUES (19861, 46, 16027, 0, 332, 84, 235);
INSERT INTO public.who_data VALUES (19862, 7041, 163035, 61, 1484, 84, 67);
INSERT INTO public.who_data VALUES (19863, 5, 172, 0, 0, 84, 15);
INSERT INTO public.who_data VALUES (19864, 0, 2410, 0, 74, 84, 180);
INSERT INTO public.who_data VALUES (19865, 6, 58205, 1, 29, 84, 237);
INSERT INTO public.who_data VALUES (19866, 0, 14, 0, 0, 84, 25);
INSERT INTO public.who_data VALUES (19867, 0, 1041, 0, 25, 84, 209);
INSERT INTO public.who_data VALUES (19868, 1849, 103106, 22, 771, 84, 217);
INSERT INTO public.who_data VALUES (19869, 1601, 74336, 63, 1470, 84, 79);
INSERT INTO public.who_data VALUES (19870, 0, 17, 0, 0, 84, 143);
INSERT INTO public.who_data VALUES (19871, 0, 4451, 0, 113, 84, 229);
INSERT INTO public.who_data VALUES (19872, 3198, 785139, 61, 21439, 84, 141);
INSERT INTO public.who_data VALUES (19873, 0, 3104, 0, 61, 84, 197);
INSERT INTO public.who_data VALUES (19874, 10271, 1719714, 243, 46878, 84, 221);
INSERT INTO public.who_data VALUES (19875, 0, 22501, 0, 107, 84, 150);
INSERT INTO public.who_data VALUES (19876, 183, 17810, 8, 1249, 84, 56);
INSERT INTO public.who_data VALUES (19877, 4, 5311, 0, 117, 84, 167);
INSERT INTO public.who_data VALUES (19878, 6462, 250979, 65, 7091, 84, 23);
INSERT INTO public.who_data VALUES (19879, 2311, 325262, 87, 4607, 84, 222);
INSERT INTO public.who_data VALUES (19880, 80, 7715, 5, 409, 84, 219);
INSERT INTO public.who_data VALUES (19881, 36, 12118, 0, 86, 84, 7);
INSERT INTO public.who_data VALUES (19882, 0, 3966, 0, 60, 84, 161);
INSERT INTO public.who_data VALUES (19883, 15871, 1605176, 479, 58030, 84, 149);
INSERT INTO public.who_data VALUES (19884, 0, 30, 0, 0, 84, 6);
INSERT INTO public.who_data VALUES (19885, 0, 2926, 0, 64, 84, 139);
INSERT INTO public.who_data VALUES (19886, 0, 0, 0, 0, 84, 211);
INSERT INTO public.who_data VALUES (19887, 0, 0, 0, 0, 84, 14);
INSERT INTO public.who_data VALUES (19888, 16, 6586, 2, 118, 84, 111);
INSERT INTO public.who_data VALUES (19889, 1210, 94980, 47, 3153, 84, 207);
INSERT INTO public.who_data VALUES (19890, 30103, 1371148, 182, 13373, 84, 66);
INSERT INTO public.who_data VALUES (19891, 0, 0, 0, 0, 84, 173);
INSERT INTO public.who_data VALUES (19892, 2, 748, 0, 6, 84, 145);
INSERT INTO public.who_data VALUES (19893, 0, 0, 0, 0, 84, 65);
INSERT INTO public.who_data VALUES (19894, 356, 19944, 4, 201, 84, 184);
INSERT INTO public.who_data VALUES (19895, 12978, 722679, 120, 12213, 84, 98);
INSERT INTO public.who_data VALUES (19896, 1252, 166502, 2, 569, 84, 104);
INSERT INTO public.who_data VALUES (19897, 0, 509, 0, 21, 84, 73);
INSERT INTO public.who_data VALUES (19898, 175669, 12939666, 1276, 262736, 84, 8);
INSERT INTO public.who_data VALUES (19899, 0, 1538, 0, 23, 84, 227);
INSERT INTO public.who_data VALUES (19900, 186, 5303, 0, 74, 84, 75);
INSERT INTO public.who_data VALUES (19901, 227, 72809, 0, 608, 84, 45);
INSERT INTO public.who_data VALUES (19902, 0, 1, 0, 0, 84, 133);
INSERT INTO public.who_data VALUES (19903, 309, 101524, 4, 888, 84, 202);
INSERT INTO public.who_data VALUES (19904, 2, 1341, 0, 35, 84, 129);
INSERT INTO public.who_data VALUES (19905, 0, 3, 0, 0, 84, 36);
INSERT INTO public.who_data VALUES (19906, 0, 2078, 0, 605, 84, 51);
INSERT INTO public.who_data VALUES (19907, 20, 17589, 0, 357, 84, 206);
INSERT INTO public.who_data VALUES (19908, 108, 9822, 0, 275, 84, 5);
INSERT INTO public.who_data VALUES (19909, 123, 45839, 3, 1740, 85, 103);
INSERT INTO public.who_data VALUES (19910, 645, 36245, 18, 771, 85, 58);
INSERT INTO public.who_data VALUES (19911, 1058, 80168, 20, 2372, 85, 195);
INSERT INTO public.who_data VALUES (19912, 0, 0, 0, 0, 85, 115);
INSERT INTO public.who_data VALUES (19913, 76, 6610, 0, 76, 85, 99);
INSERT INTO public.who_data VALUES (19914, 88, 15008, 1, 342, 85, 153);
INSERT INTO public.who_data VALUES (19915, 0, 4, 0, 0, 85, 93);
INSERT INTO public.who_data VALUES (19916, 1, 141, 0, 4, 85, 84);
INSERT INTO public.who_data VALUES (19917, 9043, 1399431, 227, 37941, 85, 78);
INSERT INTO public.who_data VALUES (19918, 1248, 132907, 31, 2116, 85, 170);
INSERT INTO public.who_data VALUES (19919, 13, 4791, 0, 45, 85, 32);
INSERT INTO public.who_data VALUES (19920, 7, 27874, 0, 907, 85, 155);
INSERT INTO public.who_data VALUES (19921, 4818, 269510, 148, 2764, 85, 82);
INSERT INTO public.who_data VALUES (19922, 3712, 109813, 35, 1291, 85, 16);
INSERT INTO public.who_data VALUES (19923, 14, 7496, 0, 163, 85, 72);
INSERT INTO public.who_data VALUES (19924, 168, 86515, 0, 341, 85, 43);
INSERT INTO public.who_data VALUES (19925, 2273, 458711, 20, 6544, 85, 120);
INSERT INTO public.who_data VALUES (19926, 4, 270, 0, 7, 85, 213);
INSERT INTO public.who_data VALUES (19927, 1621, 131633, 8, 1136, 85, 31);
INSERT INTO public.who_data VALUES (19928, 2741, 576438, 125, 16502, 85, 204);
INSERT INTO public.who_data VALUES (19929, 92, 5515, 2, 131, 85, 152);
INSERT INTO public.who_data VALUES (19930, 0, 2974, 0, 43, 85, 144);
INSERT INTO public.who_data VALUES (19931, 1, 242, 0, 9, 85, 96);
INSERT INTO public.who_data VALUES (19932, 6, 395, 0, 0, 85, 47);
INSERT INTO public.who_data VALUES (19933, 114, 144390, 6, 8939, 85, 80);
INSERT INTO public.who_data VALUES (19934, 0, 142, 0, 3, 85, 159);
INSERT INTO public.who_data VALUES (19935, 1179, 85431, 62, 2542, 85, 27);
INSERT INTO public.who_data VALUES (19936, 0, 9992, 0, 31, 85, 146);
INSERT INTO public.who_data VALUES (19937, 37614, 6204220, 691, 171460, 85, 71);
INSERT INTO public.who_data VALUES (19938, 0, 72, 0, 1, 85, 210);
INSERT INTO public.who_data VALUES (19939, 0, 150, 0, 3, 85, 54);
INSERT INTO public.who_data VALUES (19940, 3327, 139955, 151, 3680, 85, 147);
INSERT INTO public.who_data VALUES (19941, 39, 2816, 0, 68, 85, 2);
INSERT INTO public.who_data VALUES (19942, 0, 681, 0, 1, 85, 105);
INSERT INTO public.who_data VALUES (19943, 0, 10526, 0, 104, 85, 53);
INSERT INTO public.who_data VALUES (19944, 1, 308, 0, 0, 85, 81);
INSERT INTO public.who_data VALUES (19945, 0, 24117, 0, 437, 85, 223);
INSERT INTO public.who_data VALUES (19946, 5631, 353097, 89, 11799, 85, 94);
INSERT INTO public.who_data VALUES (19947, 0, 269, 0, 2, 85, 154);
INSERT INTO public.who_data VALUES (19948, 0, 4913, 0, 63, 85, 83);
INSERT INTO public.who_data VALUES (19949, 2, 1663, 0, 101, 85, 194);
INSERT INTO public.who_data VALUES (19950, 1561, 547223, 43, 15278, 85, 136);
INSERT INTO public.who_data VALUES (19951, 112, 93225, 0, 4749, 85, 179);
INSERT INTO public.who_data VALUES (19952, 9496, 1280487, 159, 36019, 85, 57);
INSERT INTO public.who_data VALUES (19953, 3, 610, 0, 7, 85, 35);
INSERT INTO public.who_data VALUES (19954, 0, 5774, 0, 94, 85, 228);
INSERT INTO public.who_data VALUES (19955, 0, 0, 0, 0, 85, 19);
INSERT INTO public.who_data VALUES (19956, 1222, 135742, 5, 1679, 85, 22);
INSERT INTO public.who_data VALUES (19957, 33, 21232, 0, 131, 85, 1);
INSERT INTO public.who_data VALUES (19958, 4080, 119706, 48, 1600, 85, 21);
INSERT INTO public.who_data VALUES (19959, 35, 8110, 0, 133, 85, 234);
INSERT INTO public.who_data VALUES (19960, 117, 2046, 0, 3, 85, 91);
INSERT INTO public.who_data VALUES (19961, 310, 9983, 0, 48, 85, 137);
INSERT INTO public.who_data VALUES (19962, 4464, 515984, 188, 7967, 85, 201);
INSERT INTO public.who_data VALUES (19963, 0, 0, 0, 0, 85, 171);
INSERT INTO public.who_data VALUES (19964, 71, 12540, 0, 333, 85, 92);
INSERT INTO public.who_data VALUES (19965, 1323, 76718, 5, 816, 85, 112);
INSERT INTO public.who_data VALUES (19966, 0, 5676, 0, 61, 85, 62);
INSERT INTO public.who_data VALUES (19967, 5, 85, 0, 0, 85, 69);
INSERT INTO public.who_data VALUES (19968, 855, 141777, 7, 2324, 85, 220);
INSERT INTO public.who_data VALUES (19969, 1396, 189534, 42, 13358, 85, 100);
INSERT INTO public.who_data VALUES (19970, 357, 114832, 12, 6608, 85, 187);
INSERT INTO public.who_data VALUES (19971, 521, 38405, 4, 1102, 85, 63);
INSERT INTO public.who_data VALUES (19972, 7, 5153, 0, 85, 85, 28);
INSERT INTO public.who_data VALUES (19973, 0, 566, 0, 0, 85, 172);
INSERT INTO public.who_data VALUES (19974, 368, 11323, 5, 104, 85, 17);
INSERT INTO public.who_data VALUES (19975, 33, 6362, 0, 120, 85, 226);
INSERT INTO public.who_data VALUES (19976, 769, 108438, 14, 1686, 85, 236);
INSERT INTO public.who_data VALUES (19977, 0, 16, 0, 0, 85, 76);
INSERT INTO public.who_data VALUES (19978, 0, 500, 0, 0, 85, 30);
INSERT INTO public.who_data VALUES (19979, 0, 38, 0, 2, 85, 128);
INSERT INTO public.who_data VALUES (19980, 618, 23766, 5, 393, 85, 86);
INSERT INTO public.who_data VALUES (19981, 12415, 2157332, 956, 51554, 85, 140);
INSERT INTO public.who_data VALUES (19982, 20, 11158, 0, 70, 85, 44);
INSERT INTO public.who_data VALUES (19983, 213, 14096, 1, 73, 85, 113);
INSERT INTO public.who_data VALUES (19984, 18, 9191, 0, 59, 85, 29);
INSERT INTO public.who_data VALUES (19985, 3, 3731, 0, 123, 85, 125);
INSERT INTO public.who_data VALUES (19986, 4472, 127942, 34, 1195, 85, 131);
INSERT INTO public.who_data VALUES (19987, 21695, 1028089, 379, 15965, 85, 46);
INSERT INTO public.who_data VALUES (19988, 0, 51225, 0, 323, 85, 10);
INSERT INTO public.who_data VALUES (19989, 0, 991, 0, 5, 85, 205);
INSERT INTO public.who_data VALUES (19990, 1981, 101287, 101, 2102, 85, 50);
INSERT INTO public.who_data VALUES (19991, 0, 18, 0, 0, 85, 20);
INSERT INTO public.who_data VALUES (19992, 0, 41, 0, 0, 85, 13);
INSERT INTO public.who_data VALUES (19993, 0, 8344, 0, 149, 85, 148);
INSERT INTO public.who_data VALUES (19994, 18, 6641, 1, 112, 85, 230);
INSERT INTO public.who_data VALUES (19995, 447, 121132, 8, 4141, 85, 190);
INSERT INTO public.who_data VALUES (19996, 1, 286, 0, 13, 85, 188);
INSERT INTO public.who_data VALUES (19997, 90, 13039, 0, 76, 85, 123);
INSERT INTO public.who_data VALUES (19998, 0, 2422, 0, 43, 85, 9);
INSERT INTO public.who_data VALUES (19999, 40, 5276, 2, 149, 85, 102);
INSERT INTO public.who_data VALUES (20000, 8, 9264, 0, 232, 85, 34);
INSERT INTO public.who_data VALUES (20001, 0, 26, 0, 0, 85, 212);
INSERT INTO public.who_data VALUES (20002, 565, 106681, 4, 2892, 85, 122);
INSERT INTO public.who_data VALUES (20003, 6268, 204708, 152, 4516, 85, 38);
INSERT INTO public.who_data VALUES (20004, 23, 5346, 0, 26, 85, 130);
INSERT INTO public.who_data VALUES (20005, 41322, 9351109, 485, 136200, 85, 37);
INSERT INTO public.who_data VALUES (20006, 5828, 522581, 169, 16521, 85, 231);
INSERT INTO public.who_data VALUES (20007, 14051, 922397, 406, 47095, 85, 107);
INSERT INTO public.who_data VALUES (20008, 2545, 547215, 42, 12167, 85, 101);
INSERT INTO public.who_data VALUES (20009, 205, 71699, 7, 2043, 85, 132);
INSERT INTO public.who_data VALUES (20010, 0, 369, 0, 25, 85, 176);
INSERT INTO public.who_data VALUES (20011, 1087, 333305, 9, 2844, 85, 200);
INSERT INTO public.who_data VALUES (20012, 28342, 1538217, 827, 53677, 85, 169);
INSERT INTO public.who_data VALUES (20013, 59, 10600, 2, 250, 85, 225);
INSERT INTO public.who_data VALUES (20014, 2577, 142068, 23, 2074, 85, 165);
INSERT INTO public.who_data VALUES (20015, 37, 892, 0, 32, 85, 233);
INSERT INTO public.who_data VALUES (20016, 4580, 207601, 61, 2570, 85, 215);
INSERT INTO public.who_data VALUES (20017, 990, 172969, 0, 2417, 85, 177);
INSERT INTO public.who_data VALUES (20018, 1554, 81656, 14, 1441, 85, 183);
INSERT INTO public.who_data VALUES (20019, 0, 0, 0, 0, 85, 203);
INSERT INTO public.who_data VALUES (20020, 764, 37749, 12, 965, 85, 162);
INSERT INTO public.who_data VALUES (20021, 329, 141876, 2, 874, 85, 12);
INSERT INTO public.who_data VALUES (20022, 423, 71971, 6, 1262, 85, 24);
INSERT INTO public.who_data VALUES (20023, 0, 39, 0, 0, 85, 119);
INSERT INTO public.who_data VALUES (20024, 637, 15808, 2, 190, 85, 39);
INSERT INTO public.who_data VALUES (20025, 1782, 123941, 6, 980, 85, 26);
INSERT INTO public.who_data VALUES (20026, 0, 2109, 0, 44, 85, 59);
INSERT INTO public.who_data VALUES (20027, 4, 1595, 0, 83, 85, 77);
INSERT INTO public.who_data VALUES (20028, 866, 81273, 13, 1153, 85, 134);
INSERT INTO public.who_data VALUES (20029, 6, 1285, 1, 16, 85, 4);
INSERT INTO public.who_data VALUES (20030, 2124, 58218, 22, 573, 85, 109);
INSERT INTO public.who_data VALUES (20031, 1309, 33409, 12, 300, 85, 90);
INSERT INTO public.who_data VALUES (20032, 0, 17341, 0, 251, 85, 61);
INSERT INTO public.who_data VALUES (20033, 4, 6024, 0, 185, 85, 85);
INSERT INTO public.who_data VALUES (20034, 1109, 61861, 2, 350, 85, 49);
INSERT INTO public.who_data VALUES (20035, 44, 12933, 0, 46, 85, 208);
INSERT INTO public.who_data VALUES (20036, 62, 4567, 1, 149, 85, 166);
INSERT INTO public.who_data VALUES (20037, 70, 9431, 0, 122, 85, 64);
INSERT INTO public.who_data VALUES (20038, 0, 4, 0, 0, 85, 199);
INSERT INTO public.who_data VALUES (20039, 0, 5413, 0, 40, 85, 114);
INSERT INTO public.who_data VALUES (20040, 349, 8424, 3, 172, 85, 60);
INSERT INTO public.who_data VALUES (20041, 4, 501, 0, 10, 85, 68);
INSERT INTO public.who_data VALUES (20042, 0, 5181, 0, 49, 85, 158);
INSERT INTO public.who_data VALUES (20043, 8107, 1078594, 645, 104242, 85, 52);
INSERT INTO public.who_data VALUES (20044, 0, 0, 0, 0, 85, 117);
INSERT INTO public.who_data VALUES (20045, 3, 606, 0, 3, 85, 126);
INSERT INTO public.who_data VALUES (20046, 26, 738, 0, 0, 85, 196);
INSERT INTO public.who_data VALUES (20047, 393, 34774, 7, 480, 85, 142);
INSERT INTO public.who_data VALUES (20048, 0, 13, 0, 1, 85, 185);
INSERT INTO public.who_data VALUES (20049, 4592, 345276, 70, 5689, 85, 138);
INSERT INTO public.who_data VALUES (20050, 39, 15506, 0, 128, 85, 181);
INSERT INTO public.who_data VALUES (20051, 1428, 86633, 19, 1865, 85, 178);
INSERT INTO public.who_data VALUES (20052, 52, 14207, 2, 149, 85, 168);
INSERT INTO public.who_data VALUES (20053, 0, 0, 0, 0, 85, 160);
INSERT INTO public.who_data VALUES (20054, 1703, 229343, 23, 1435, 85, 151);
INSERT INTO public.who_data VALUES (20055, 5753, 507614, 83, 9245, 85, 193);
INSERT INTO public.who_data VALUES (20056, 0, 32, 0, 0, 85, 18);
INSERT INTO public.who_data VALUES (20057, 3, 1694, 0, 25, 85, 40);
INSERT INTO public.who_data VALUES (20058, 0, 4629, 0, 160, 85, 218);
INSERT INTO public.who_data VALUES (20059, 29, 1472, 0, 70, 85, 191);
INSERT INTO public.who_data VALUES (20060, 246, 67220, 2, 1171, 85, 156);
INSERT INTO public.who_data VALUES (20061, 0, 0, 0, 0, 85, 135);
INSERT INTO public.who_data VALUES (20062, 0, 104, 0, 2, 85, 88);
INSERT INTO public.who_data VALUES (20063, 1093, 59701, 28, 1658, 85, 55);
INSERT INTO public.who_data VALUES (20064, 480, 34747, 12, 328, 85, 108);
INSERT INTO public.who_data VALUES (20065, 1936, 93400, 9, 776, 85, 48);
INSERT INTO public.who_data VALUES (20066, 0, 122579, 0, 1391, 85, 3);
INSERT INTO public.who_data VALUES (20067, 0, 741, 0, 13, 85, 224);
INSERT INTO public.who_data VALUES (20068, 3113, 389311, 54, 7897, 85, 110);
INSERT INTO public.who_data VALUES (20069, 0, 0, 0, 0, 85, 106);
INSERT INTO public.who_data VALUES (20070, 1755, 160287, 16, 3018, 85, 89);
INSERT INTO public.who_data VALUES (20071, 0, 645, 0, 7, 85, 121);
INSERT INTO public.who_data VALUES (20072, 639, 79517, 13, 1704, 85, 163);
INSERT INTO public.who_data VALUES (20073, 1888, 956347, 58, 35785, 85, 70);
INSERT INTO public.who_data VALUES (20074, 1621, 425918, 13, 8255, 85, 174);
INSERT INTO public.who_data VALUES (20075, 0, 0, 0, 0, 85, 175);
INSERT INTO public.who_data VALUES (20076, 17304, 958416, 579, 16147, 85, 118);
INSERT INTO public.who_data VALUES (20077, 5444, 285838, 67, 4276, 85, 189);
INSERT INTO public.who_data VALUES (20078, 1452, 50678, 7, 1076, 85, 124);
INSERT INTO public.who_data VALUES (20079, 184, 138250, 0, 237, 85, 192);
INSERT INTO public.who_data VALUES (20080, 503, 33311, 6, 522, 85, 41);
INSERT INTO public.who_data VALUES (20081, 1246, 104140, 21, 2250, 85, 95);
INSERT INTO public.who_data VALUES (20082, 104, 7940, 1, 40, 85, 74);
INSERT INTO public.who_data VALUES (20083, 8499, 457848, 172, 10884, 85, 11);
INSERT INTO public.who_data VALUES (20084, 27100, 2242633, 510, 39068, 85, 87);
INSERT INTO public.who_data VALUES (20085, 21, 5872, 0, 47, 85, 214);
INSERT INTO public.who_data VALUES (20086, 0, 5, 0, 0, 85, 116);
INSERT INTO public.who_data VALUES (20087, 0, 127, 0, 0, 85, 157);
INSERT INTO public.who_data VALUES (20088, 0, 0, 0, 0, 85, 182);
INSERT INTO public.who_data VALUES (20089, 0, 22, 0, 0, 85, 186);
INSERT INTO public.who_data VALUES (20090, 8, 246, 0, 2, 85, 127);
INSERT INTO public.who_data VALUES (20091, 0, 690, 0, 12, 85, 232);
INSERT INTO public.who_data VALUES (20092, 0, 14, 0, 0, 85, 33);
INSERT INTO public.who_data VALUES (20093, 1, 85, 0, 0, 85, 97);
INSERT INTO public.who_data VALUES (20094, 0, 0, 0, 0, 85, 42);
INSERT INTO public.who_data VALUES (20095, 40, 1554, 0, 44, 85, 198);
INSERT INTO public.who_data VALUES (20096, 0, 985, 0, 17, 85, 216);
INSERT INTO public.who_data VALUES (20097, 302, 356691, 17, 5857, 85, 164);
INSERT INTO public.who_data VALUES (20098, 21, 15981, 1, 332, 85, 235);
INSERT INTO public.who_data VALUES (20099, 7780, 155994, 57, 1423, 85, 67);
INSERT INTO public.who_data VALUES (20100, 0, 167, 0, 0, 85, 15);
INSERT INTO public.who_data VALUES (20101, 1, 2410, 0, 74, 85, 180);
INSERT INTO public.who_data VALUES (20102, 4, 58199, 0, 28, 85, 237);
INSERT INTO public.who_data VALUES (20103, 0, 14, 0, 0, 85, 25);
INSERT INTO public.who_data VALUES (20104, 5, 1041, 0, 25, 85, 209);
INSERT INTO public.who_data VALUES (20105, 1953, 101257, 17, 749, 85, 217);
INSERT INTO public.who_data VALUES (20106, 1612, 72735, 47, 1407, 85, 79);
INSERT INTO public.who_data VALUES (20107, 0, 17, 0, 0, 85, 143);
INSERT INTO public.who_data VALUES (20108, 0, 4451, 0, 113, 85, 229);
INSERT INTO public.who_data VALUES (20109, 3370, 781941, 89, 21378, 85, 141);
INSERT INTO public.who_data VALUES (20110, 57, 3104, 1, 61, 85, 197);
INSERT INTO public.who_data VALUES (20111, 9885, 1709443, 257, 46635, 85, 221);
INSERT INTO public.who_data VALUES (20112, 473, 22501, 8, 107, 85, 150);
INSERT INTO public.who_data VALUES (20113, 223, 17627, 6, 1241, 85, 56);
INSERT INTO public.who_data VALUES (20114, 2, 5307, 0, 117, 85, 167);
INSERT INTO public.who_data VALUES (20115, 6903, 244517, 60, 7026, 85, 23);
INSERT INTO public.who_data VALUES (20116, 4070, 322951, 87, 4520, 85, 222);
INSERT INTO public.who_data VALUES (20117, 93, 7635, 5, 404, 85, 219);
INSERT INTO public.who_data VALUES (20118, 38, 12082, 0, 86, 85, 7);
INSERT INTO public.who_data VALUES (20119, 5, 3966, 0, 60, 85, 161);
INSERT INTO public.who_data VALUES (20120, 14739, 1589305, 520, 57551, 85, 149);
INSERT INTO public.who_data VALUES (20121, 0, 30, 0, 0, 85, 6);
INSERT INTO public.who_data VALUES (20122, 54, 2926, 0, 64, 85, 139);
INSERT INTO public.who_data VALUES (20123, 0, 0, 0, 0, 85, 211);
INSERT INTO public.who_data VALUES (20124, 0, 0, 0, 0, 85, 14);
INSERT INTO public.who_data VALUES (20125, 67, 6570, 0, 116, 85, 111);
INSERT INTO public.who_data VALUES (20126, 1295, 93770, 72, 3106, 85, 207);
INSERT INTO public.who_data VALUES (20127, 29845, 1341045, 177, 13191, 85, 66);
INSERT INTO public.who_data VALUES (20128, 0, 0, 0, 0, 85, 173);
INSERT INTO public.who_data VALUES (20129, 0, 746, 0, 6, 85, 145);
INSERT INTO public.who_data VALUES (20130, 0, 0, 0, 0, 85, 65);
INSERT INTO public.who_data VALUES (20131, 473, 19588, 6, 197, 85, 184);
INSERT INTO public.who_data VALUES (20132, 16294, 709701, 184, 12093, 85, 98);
INSERT INTO public.who_data VALUES (20133, 1283, 165250, 3, 567, 85, 104);
INSERT INTO public.who_data VALUES (20134, 0, 509, 0, 21, 85, 73);
INSERT INTO public.who_data VALUES (20135, 141222, 12763997, 1387, 261460, 85, 8);
INSERT INTO public.who_data VALUES (20136, 2, 1538, 0, 23, 85, 227);
INSERT INTO public.who_data VALUES (20137, 129, 5117, 1, 74, 85, 75);
INSERT INTO public.who_data VALUES (20138, 173, 72582, 1, 608, 85, 45);
INSERT INTO public.who_data VALUES (20139, 0, 1, 0, 0, 85, 133);
INSERT INTO public.who_data VALUES (20140, 398, 101215, 4, 884, 85, 202);
INSERT INTO public.who_data VALUES (20141, 8, 1339, 0, 35, 85, 129);
INSERT INTO public.who_data VALUES (20142, 0, 3, 0, 0, 85, 36);
INSERT INTO public.who_data VALUES (20143, 0, 2078, 0, 605, 85, 51);
INSERT INTO public.who_data VALUES (20144, 16, 17569, 0, 357, 85, 206);
INSERT INTO public.who_data VALUES (20145, 91, 9714, 1, 275, 85, 5);
INSERT INTO public.who_data VALUES (20146, 226, 45716, 12, 1737, 86, 103);
INSERT INTO public.who_data VALUES (20147, 656, 35600, 10, 753, 86, 58);
INSERT INTO public.who_data VALUES (20148, 1085, 79110, 23, 2352, 86, 195);
INSERT INTO public.who_data VALUES (20149, 0, 0, 0, 0, 86, 115);
INSERT INTO public.who_data VALUES (20150, 106, 6534, 0, 76, 86, 99);
INSERT INTO public.who_data VALUES (20151, 99, 14920, 1, 341, 86, 153);
INSERT INTO public.who_data VALUES (20152, 0, 4, 0, 0, 86, 93);
INSERT INTO public.who_data VALUES (20153, 0, 140, 0, 4, 86, 84);
INSERT INTO public.who_data VALUES (20154, 8593, 1390388, 282, 37714, 86, 78);
INSERT INTO public.who_data VALUES (20155, 1476, 131659, 22, 2085, 86, 170);
INSERT INTO public.who_data VALUES (20156, 27, 4778, 0, 45, 86, 32);
INSERT INTO public.who_data VALUES (20157, 13, 27867, 0, 907, 86, 155);
INSERT INTO public.who_data VALUES (20158, 5447, 264692, 114, 2616, 86, 82);
INSERT INTO public.who_data VALUES (20159, 3705, 106101, 32, 1256, 86, 16);
INSERT INTO public.who_data VALUES (20160, 13, 7482, 0, 163, 86, 72);
INSERT INTO public.who_data VALUES (20161, 162, 86347, 1, 341, 86, 43);
INSERT INTO public.who_data VALUES (20162, 2292, 456438, 37, 6524, 86, 120);
INSERT INTO public.who_data VALUES (20163, 4, 266, 0, 7, 86, 213);
INSERT INTO public.who_data VALUES (20164, 1563, 130012, 9, 1128, 86, 31);
INSERT INTO public.who_data VALUES (20165, 2428, 573697, 118, 16377, 86, 204);
INSERT INTO public.who_data VALUES (20166, 88, 5423, 4, 129, 86, 152);
INSERT INTO public.who_data VALUES (20167, 0, 2974, 0, 43, 86, 144);
INSERT INTO public.who_data VALUES (20168, 2, 241, 0, 9, 86, 96);
INSERT INTO public.who_data VALUES (20169, 3, 389, 0, 0, 86, 47);
INSERT INTO public.who_data VALUES (20170, 129, 144276, 5, 8933, 86, 80);
INSERT INTO public.who_data VALUES (20171, 0, 142, 0, 3, 86, 159);
INSERT INTO public.who_data VALUES (20172, 924, 84252, 51, 2480, 86, 27);
INSERT INTO public.who_data VALUES (20173, 0, 9992, 0, 31, 86, 146);
INSERT INTO public.who_data VALUES (20174, 47898, 6166606, 654, 170769, 86, 71);
INSERT INTO public.who_data VALUES (20175, 0, 72, 0, 1, 86, 210);
INSERT INTO public.who_data VALUES (20176, 0, 150, 0, 3, 86, 54);
INSERT INTO public.who_data VALUES (20177, 3568, 136628, 162, 3529, 86, 147);
INSERT INTO public.who_data VALUES (20178, 0, 2777, 0, 68, 86, 2);
INSERT INTO public.who_data VALUES (20179, 4, 681, 0, 1, 86, 105);
INSERT INTO public.who_data VALUES (20180, 0, 10526, 0, 104, 86, 53);
INSERT INTO public.who_data VALUES (20181, 0, 307, 0, 0, 86, 81);
INSERT INTO public.who_data VALUES (20182, 95, 24117, 0, 437, 86, 223);
INSERT INTO public.who_data VALUES (20183, 5022, 347466, 92, 11710, 86, 94);
INSERT INTO public.who_data VALUES (20184, 3, 269, 0, 2, 86, 154);
INSERT INTO public.who_data VALUES (20185, 0, 4913, 0, 63, 86, 83);
INSERT INTO public.who_data VALUES (20186, 6, 1661, 0, 101, 86, 194);
INSERT INTO public.who_data VALUES (20187, 1570, 545662, 97, 15235, 86, 136);
INSERT INTO public.who_data VALUES (20188, 88, 93113, 0, 4749, 86, 179);
INSERT INTO public.who_data VALUES (20189, 8497, 1270991, 183, 35860, 86, 57);
INSERT INTO public.who_data VALUES (20190, 0, 607, 0, 7, 86, 35);
INSERT INTO public.who_data VALUES (20191, 142, 5774, 1, 94, 86, 228);
INSERT INTO public.who_data VALUES (20192, 0, 0, 0, 0, 86, 19);
INSERT INTO public.who_data VALUES (20193, 1330, 134520, 12, 1674, 86, 22);
INSERT INTO public.who_data VALUES (20194, 31, 21199, 0, 131, 86, 1);
INSERT INTO public.who_data VALUES (20195, 4009, 115626, 51, 1552, 86, 21);
INSERT INTO public.who_data VALUES (20196, 49, 8075, 0, 133, 86, 234);
INSERT INTO public.who_data VALUES (20197, 102, 1929, 0, 3, 86, 91);
INSERT INTO public.who_data VALUES (20198, 220, 9673, 1, 48, 86, 137);
INSERT INTO public.who_data VALUES (20199, 6305, 511520, 168, 7779, 86, 201);
INSERT INTO public.who_data VALUES (20200, 0, 0, 0, 0, 86, 171);
INSERT INTO public.who_data VALUES (20201, 105, 12469, 2, 333, 86, 92);
INSERT INTO public.who_data VALUES (20202, 1191, 75395, 9, 811, 86, 112);
INSERT INTO public.who_data VALUES (20203, 6, 5676, 0, 61, 86, 62);
INSERT INTO public.who_data VALUES (20204, 3, 80, 0, 0, 86, 69);
INSERT INTO public.who_data VALUES (20205, 1258, 140922, 2, 2317, 86, 220);
INSERT INTO public.who_data VALUES (20206, 908, 188138, 28, 13316, 86, 100);
INSERT INTO public.who_data VALUES (20207, 368, 114475, 11, 6596, 86, 187);
INSERT INTO public.who_data VALUES (20208, 0, 37884, 12, 1098, 86, 63);
INSERT INTO public.who_data VALUES (20209, 0, 5146, 0, 85, 86, 28);
INSERT INTO public.who_data VALUES (20210, 8, 566, 0, 0, 86, 172);
INSERT INTO public.who_data VALUES (20211, 414, 10955, 2, 99, 86, 17);
INSERT INTO public.who_data VALUES (20212, 57, 6329, 0, 120, 86, 226);
INSERT INTO public.who_data VALUES (20213, 560, 107669, 8, 1672, 86, 236);
INSERT INTO public.who_data VALUES (20214, 0, 16, 0, 0, 86, 76);
INSERT INTO public.who_data VALUES (20215, 0, 500, 0, 0, 86, 30);
INSERT INTO public.who_data VALUES (20216, 0, 38, 0, 2, 86, 128);
INSERT INTO public.who_data VALUES (20217, 496, 23148, 0, 388, 86, 86);
INSERT INTO public.who_data VALUES (20218, 13541, 2144917, 339, 50598, 86, 140);
INSERT INTO public.who_data VALUES (20219, 22, 11138, 0, 70, 86, 44);
INSERT INTO public.who_data VALUES (20220, 100, 13883, 2, 72, 86, 113);
INSERT INTO public.who_data VALUES (20221, 0, 9173, 0, 59, 86, 29);
INSERT INTO public.who_data VALUES (20222, 1, 3728, 0, 123, 86, 125);
INSERT INTO public.who_data VALUES (20223, 4780, 123470, 37, 1161, 86, 131);
INSERT INTO public.who_data VALUES (20224, 22806, 1006394, 426, 15586, 86, 46);
INSERT INTO public.who_data VALUES (20225, 0, 51225, 0, 323, 86, 10);
INSERT INTO public.who_data VALUES (20226, 10, 991, 0, 5, 86, 205);
INSERT INTO public.who_data VALUES (20227, 2018, 99306, 99, 2001, 86, 50);
INSERT INTO public.who_data VALUES (20228, 0, 18, 0, 0, 86, 20);
INSERT INTO public.who_data VALUES (20229, 0, 41, 0, 0, 86, 13);
INSERT INTO public.who_data VALUES (20230, 0, 8344, 0, 149, 86, 148);
INSERT INTO public.who_data VALUES (20231, 43, 6623, 2, 111, 86, 230);
INSERT INTO public.who_data VALUES (20232, 696, 120685, 26, 4133, 86, 190);
INSERT INTO public.who_data VALUES (20233, 2, 285, 0, 13, 86, 188);
INSERT INTO public.who_data VALUES (20234, 86, 12949, 1, 76, 86, 123);
INSERT INTO public.who_data VALUES (20235, 0, 2422, 0, 43, 86, 9);
INSERT INTO public.who_data VALUES (20236, 47, 5236, 0, 147, 86, 102);
INSERT INTO public.who_data VALUES (20237, 8, 9256, 0, 232, 86, 34);
INSERT INTO public.who_data VALUES (20238, 0, 26, 0, 0, 86, 212);
INSERT INTO public.who_data VALUES (20239, 544, 106116, 11, 2888, 86, 122);
INSERT INTO public.who_data VALUES (20240, 6393, 198440, 135, 4364, 86, 38);
INSERT INTO public.who_data VALUES (20241, 11, 5323, 0, 26, 86, 130);
INSERT INTO public.who_data VALUES (20242, 43082, 9309787, 492, 135715, 86, 37);
INSERT INTO public.who_data VALUES (20243, 4917, 516753, 127, 16352, 86, 231);
INSERT INTO public.who_data VALUES (20244, 13961, 908346, 482, 46689, 86, 107);
INSERT INTO public.who_data VALUES (20245, 2483, 544670, 39, 12125, 86, 101);
INSERT INTO public.who_data VALUES (20246, 307, 71494, 3, 2036, 86, 132);
INSERT INTO public.who_data VALUES (20247, 0, 369, 0, 25, 86, 176);
INSERT INTO public.who_data VALUES (20248, 1079, 332218, 5, 2835, 86, 200);
INSERT INTO public.who_data VALUES (20249, 29001, 1509875, 822, 52850, 86, 169);
INSERT INTO public.who_data VALUES (20250, 53, 10541, 1, 248, 86, 225);
INSERT INTO public.who_data VALUES (20251, 2230, 139491, 29, 2051, 86, 165);
INSERT INTO public.who_data VALUES (20252, 19, 855, 0, 32, 86, 233);
INSERT INTO public.who_data VALUES (20253, 5000, 203021, 67, 2509, 86, 215);
INSERT INTO public.who_data VALUES (20254, 1010, 171979, 0, 2417, 86, 177);
INSERT INTO public.who_data VALUES (20255, 780, 80102, 10, 1427, 86, 183);
INSERT INTO public.who_data VALUES (20256, 0, 0, 0, 0, 86, 203);
INSERT INTO public.who_data VALUES (20257, 775, 36985, 15, 953, 86, 162);
INSERT INTO public.who_data VALUES (20258, 330, 141547, 1, 872, 86, 12);
INSERT INTO public.who_data VALUES (20259, 377, 71548, 5, 1256, 86, 24);
INSERT INTO public.who_data VALUES (20260, 0, 39, 0, 0, 86, 119);
INSERT INTO public.who_data VALUES (20261, 898, 15171, 4, 188, 86, 39);
INSERT INTO public.who_data VALUES (20262, 1859, 122159, 24, 974, 86, 26);
INSERT INTO public.who_data VALUES (20263, 17, 2109, 0, 44, 86, 59);
INSERT INTO public.who_data VALUES (20264, 13, 1591, 0, 83, 86, 77);
INSERT INTO public.who_data VALUES (20265, 610, 80407, 15, 1140, 86, 134);
INSERT INTO public.who_data VALUES (20266, 17, 1279, 1, 15, 86, 4);
INSERT INTO public.who_data VALUES (20267, 2333, 56094, 23, 551, 86, 109);
INSERT INTO public.who_data VALUES (20268, 616, 32100, 5, 288, 86, 90);
INSERT INTO public.who_data VALUES (20269, 0, 17341, 0, 251, 86, 61);
INSERT INTO public.who_data VALUES (20270, 2, 6020, 0, 185, 86, 85);
INSERT INTO public.who_data VALUES (20271, 935, 60752, 3, 348, 86, 49);
INSERT INTO public.who_data VALUES (20272, 35, 12889, 0, 46, 86, 208);
INSERT INTO public.who_data VALUES (20273, 44, 4505, 0, 148, 86, 166);
INSERT INTO public.who_data VALUES (20274, 69, 9361, 5, 122, 86, 64);
INSERT INTO public.who_data VALUES (20275, 0, 4, 0, 0, 86, 199);
INSERT INTO public.who_data VALUES (20276, 0, 5413, 0, 40, 86, 114);
INSERT INTO public.who_data VALUES (20277, 0, 8075, 0, 169, 86, 60);
INSERT INTO public.who_data VALUES (20278, 0, 497, 0, 10, 86, 68);
INSERT INTO public.who_data VALUES (20279, 0, 5181, 0, 49, 86, 158);
INSERT INTO public.who_data VALUES (20280, 10335, 1070487, 858, 103597, 86, 52);
INSERT INTO public.who_data VALUES (20281, 0, 0, 0, 0, 86, 117);
INSERT INTO public.who_data VALUES (20282, 6, 603, 0, 3, 86, 126);
INSERT INTO public.who_data VALUES (20283, 13, 712, 0, 0, 86, 196);
INSERT INTO public.who_data VALUES (20284, 569, 34381, 5, 473, 86, 142);
INSERT INTO public.who_data VALUES (20285, 0, 13, 0, 1, 86, 185);
INSERT INTO public.who_data VALUES (20286, 4178, 340684, 80, 5619, 86, 138);
INSERT INTO public.who_data VALUES (20287, 165, 15467, 0, 128, 86, 181);
INSERT INTO public.who_data VALUES (20288, 1639, 85205, 36, 1846, 86, 178);
INSERT INTO public.who_data VALUES (20289, 149, 14155, 2, 147, 86, 168);
INSERT INTO public.who_data VALUES (20290, 0, 0, 0, 0, 86, 160);
INSERT INTO public.who_data VALUES (20291, 1614, 227640, 23, 1412, 86, 151);
INSERT INTO public.who_data VALUES (20292, 4470, 501861, 74, 9162, 86, 193);
INSERT INTO public.who_data VALUES (20293, 0, 32, 0, 0, 86, 18);
INSERT INTO public.who_data VALUES (20294, 7, 1691, 0, 25, 86, 40);
INSERT INTO public.who_data VALUES (20295, 0, 4629, 0, 160, 86, 218);
INSERT INTO public.who_data VALUES (20296, 24, 1443, 0, 70, 86, 191);
INSERT INTO public.who_data VALUES (20297, 169, 66974, 0, 1169, 86, 156);
INSERT INTO public.who_data VALUES (20298, 0, 0, 0, 0, 86, 135);
INSERT INTO public.who_data VALUES (20299, 0, 104, 0, 2, 86, 88);
INSERT INTO public.who_data VALUES (20300, 1157, 58608, 30, 1630, 86, 55);
INSERT INTO public.who_data VALUES (20301, 553, 34267, 0, 316, 86, 108);
INSERT INTO public.who_data VALUES (20302, 1906, 91464, 18, 767, 86, 48);
INSERT INTO public.who_data VALUES (20303, 0, 122579, 0, 1391, 86, 3);
INSERT INTO public.who_data VALUES (20304, 0, 741, 0, 13, 86, 224);
INSERT INTO public.who_data VALUES (20305, 3306, 386198, 40, 7843, 86, 110);
INSERT INTO public.who_data VALUES (20306, 0, 0, 0, 0, 86, 106);
INSERT INTO public.who_data VALUES (20307, 1602, 158532, 16, 3002, 86, 89);
INSERT INTO public.who_data VALUES (20308, 0, 645, 0, 7, 86, 121);
INSERT INTO public.who_data VALUES (20309, 987, 78878, 14, 1691, 86, 163);
INSERT INTO public.who_data VALUES (20310, 2020, 954459, 42, 35727, 86, 70);
INSERT INTO public.who_data VALUES (20311, 1382, 424297, 27, 8242, 86, 174);
INSERT INTO public.who_data VALUES (20312, 0, 0, 0, 0, 86, 175);
INSERT INTO public.who_data VALUES (20313, 16690, 941112, 580, 15568, 86, 118);
INSERT INTO public.who_data VALUES (20314, 6383, 280394, 82, 4209, 86, 189);
INSERT INTO public.who_data VALUES (20315, 501, 49226, 17, 1069, 86, 124);
INSERT INTO public.who_data VALUES (20316, 215, 138066, 0, 237, 86, 192);
INSERT INTO public.who_data VALUES (20317, 555, 32808, 1, 516, 86, 41);
INSERT INTO public.who_data VALUES (20318, 1691, 102894, 20, 2229, 86, 95);
INSERT INTO public.who_data VALUES (20319, 0, 7836, 0, 39, 86, 74);
INSERT INTO public.who_data VALUES (20320, 9005, 449349, 171, 10712, 86, 11);
INSERT INTO public.who_data VALUES (20321, 27543, 2215533, 496, 38558, 86, 87);
INSERT INTO public.who_data VALUES (20322, 72, 5851, 0, 47, 86, 214);
INSERT INTO public.who_data VALUES (20323, 0, 5, 0, 0, 86, 116);
INSERT INTO public.who_data VALUES (20324, 0, 127, 0, 0, 86, 157);
INSERT INTO public.who_data VALUES (20325, 0, 0, 0, 0, 86, 182);
INSERT INTO public.who_data VALUES (20326, 0, 22, 0, 0, 86, 186);
INSERT INTO public.who_data VALUES (20327, 3, 238, 0, 2, 86, 127);
INSERT INTO public.who_data VALUES (20328, 0, 690, 0, 12, 86, 232);
INSERT INTO public.who_data VALUES (20329, 0, 14, 0, 0, 86, 33);
INSERT INTO public.who_data VALUES (20330, 0, 84, 0, 0, 86, 97);
INSERT INTO public.who_data VALUES (20331, 0, 0, 0, 0, 86, 42);
INSERT INTO public.who_data VALUES (20332, 22, 1514, 0, 44, 86, 198);
INSERT INTO public.who_data VALUES (20333, 3, 985, 0, 17, 86, 216);
INSERT INTO public.who_data VALUES (20334, 322, 356389, 15, 5840, 86, 164);
INSERT INTO public.who_data VALUES (20335, 33, 15960, 0, 331, 86, 235);
INSERT INTO public.who_data VALUES (20336, 7606, 148214, 51, 1366, 86, 67);
INSERT INTO public.who_data VALUES (20337, 0, 167, 0, 0, 86, 15);
INSERT INTO public.who_data VALUES (20338, 1, 2409, 0, 74, 86, 180);
INSERT INTO public.who_data VALUES (20339, 5, 58195, 0, 28, 86, 237);
INSERT INTO public.who_data VALUES (20340, 0, 14, 0, 0, 86, 25);
INSERT INTO public.who_data VALUES (20341, 16, 1036, 0, 25, 86, 209);
INSERT INTO public.who_data VALUES (20342, 1811, 99304, 23, 732, 86, 217);
INSERT INTO public.who_data VALUES (20343, 1782, 71123, 54, 1360, 86, 79);
INSERT INTO public.who_data VALUES (20344, 0, 17, 0, 0, 86, 143);
INSERT INTO public.who_data VALUES (20345, 6, 4451, 0, 113, 86, 229);
INSERT INTO public.who_data VALUES (20346, 3069, 778571, 88, 21289, 86, 141);
INSERT INTO public.who_data VALUES (20347, 0, 3047, 0, 60, 86, 197);
INSERT INTO public.who_data VALUES (20348, 10266, 1699558, 265, 46378, 86, 221);
INSERT INTO public.who_data VALUES (20349, 559, 22028, 3, 99, 86, 150);
INSERT INTO public.who_data VALUES (20350, 336, 17404, 15, 1235, 86, 56);
INSERT INTO public.who_data VALUES (20351, 5, 5305, 0, 117, 86, 167);
INSERT INTO public.who_data VALUES (20352, 6066, 237614, 69, 6966, 86, 23);
INSERT INTO public.who_data VALUES (20353, 3954, 318881, 72, 4433, 86, 222);
INSERT INTO public.who_data VALUES (20354, 83, 7542, 8, 399, 86, 219);
INSERT INTO public.who_data VALUES (20355, 36, 12044, 0, 86, 86, 7);
INSERT INTO public.who_data VALUES (20356, 19, 3961, 0, 60, 86, 161);
INSERT INTO public.who_data VALUES (20357, 17555, 1574566, 498, 57031, 86, 149);
INSERT INTO public.who_data VALUES (20358, 0, 30, 0, 0, 86, 6);
INSERT INTO public.who_data VALUES (20359, 0, 2872, 0, 64, 86, 139);
INSERT INTO public.who_data VALUES (20360, 0, 0, 0, 0, 86, 211);
INSERT INTO public.who_data VALUES (20361, 0, 0, 0, 0, 86, 14);
INSERT INTO public.who_data VALUES (20362, 15, 6503, 1, 116, 86, 111);
INSERT INTO public.who_data VALUES (20363, 1168, 92475, 51, 3034, 86, 207);
INSERT INTO public.who_data VALUES (20364, 29132, 1311200, 174, 13014, 86, 66);
INSERT INTO public.who_data VALUES (20365, 0, 0, 0, 0, 86, 173);
INSERT INTO public.who_data VALUES (20366, 0, 746, 0, 6, 86, 145);
INSERT INTO public.who_data VALUES (20367, 0, 0, 0, 0, 86, 65);
INSERT INTO public.who_data VALUES (20368, 225, 19115, 0, 191, 86, 184);
INSERT INTO public.who_data VALUES (20369, 16218, 693407, 192, 11909, 86, 98);
INSERT INTO public.who_data VALUES (20370, 1305, 163967, 1, 564, 86, 104);
INSERT INTO public.who_data VALUES (20371, 0, 509, 0, 21, 86, 73);
INSERT INTO public.who_data VALUES (20372, 180850, 12622775, 2248, 260073, 86, 8);
INSERT INTO public.who_data VALUES (20373, 15, 1536, 0, 23, 86, 227);
INSERT INTO public.who_data VALUES (20374, 118, 4988, 1, 73, 86, 75);
INSERT INTO public.who_data VALUES (20375, 182, 72409, 1, 607, 86, 45);
INSERT INTO public.who_data VALUES (20376, 0, 1, 0, 0, 86, 133);
INSERT INTO public.who_data VALUES (20377, 319, 100817, 4, 880, 86, 202);
INSERT INTO public.who_data VALUES (20378, 10, 1331, 0, 35, 86, 129);
INSERT INTO public.who_data VALUES (20379, 0, 3, 0, 0, 86, 36);
INSERT INTO public.who_data VALUES (20380, 1, 2078, 0, 605, 86, 51);
INSERT INTO public.who_data VALUES (20381, 18, 17553, 0, 357, 86, 206);
INSERT INTO public.who_data VALUES (20382, 115, 9623, 0, 274, 86, 5);
INSERT INTO public.who_data VALUES (20383, 212, 45490, 13, 1725, 87, 103);
INSERT INTO public.who_data VALUES (20384, 644, 34944, 8, 743, 87, 58);
INSERT INTO public.who_data VALUES (20385, 1025, 78025, 20, 2329, 87, 195);
INSERT INTO public.who_data VALUES (20386, 0, 0, 0, 0, 87, 115);
INSERT INTO public.who_data VALUES (20387, 77, 6428, 0, 76, 87, 99);
INSERT INTO public.who_data VALUES (20388, 79, 14821, 2, 340, 87, 153);
INSERT INTO public.who_data VALUES (20389, 0, 4, 0, 0, 87, 93);
INSERT INTO public.who_data VALUES (20390, 1, 140, 0, 4, 87, 84);
INSERT INTO public.who_data VALUES (20391, 7164, 1381795, 310, 37432, 87, 78);
INSERT INTO public.who_data VALUES (20392, 1785, 130183, 28, 2063, 87, 170);
INSERT INTO public.who_data VALUES (20393, 14, 4751, 0, 45, 87, 32);
INSERT INTO public.who_data VALUES (20394, 6, 27854, 0, 907, 87, 155);
INSERT INTO public.who_data VALUES (20395, 5896, 259245, 94, 2502, 87, 82);
INSERT INTO public.who_data VALUES (20396, 3469, 102396, 30, 1224, 87, 16);
INSERT INTO public.who_data VALUES (20397, 9, 7469, 0, 163, 87, 72);
INSERT INTO public.who_data VALUES (20398, 169, 86185, 0, 340, 87, 43);
INSERT INTO public.who_data VALUES (20399, 2156, 454146, 39, 6487, 87, 120);
INSERT INTO public.who_data VALUES (20400, 2, 262, 0, 7, 87, 213);
INSERT INTO public.who_data VALUES (20401, 1496, 128449, 7, 1119, 87, 31);
INSERT INTO public.who_data VALUES (20402, 2684, 571269, 138, 16259, 87, 204);
INSERT INTO public.who_data VALUES (20403, 86, 5335, 5, 125, 87, 152);
INSERT INTO public.who_data VALUES (20404, 0, 2974, 0, 43, 87, 144);
INSERT INTO public.who_data VALUES (20405, 4, 239, 0, 9, 87, 96);
INSERT INTO public.who_data VALUES (20406, 0, 386, 0, 0, 87, 47);
INSERT INTO public.who_data VALUES (20407, 113, 144147, 12, 8928, 87, 80);
INSERT INTO public.who_data VALUES (20408, 0, 142, 0, 3, 87, 159);
INSERT INTO public.who_data VALUES (20409, 1589, 83328, 35, 2429, 87, 27);
INSERT INTO public.who_data VALUES (20410, 0, 9992, 0, 31, 87, 146);
INSERT INTO public.who_data VALUES (20411, 31100, 6118708, 630, 170115, 87, 71);
INSERT INTO public.who_data VALUES (20412, 0, 72, 0, 1, 87, 210);
INSERT INTO public.who_data VALUES (20413, 0, 150, 0, 3, 87, 54);
INSERT INTO public.who_data VALUES (20414, 3712, 133060, 141, 3367, 87, 147);
INSERT INTO public.who_data VALUES (20415, 20, 2777, 0, 68, 87, 2);
INSERT INTO public.who_data VALUES (20416, 4, 677, 0, 1, 87, 105);
INSERT INTO public.who_data VALUES (20417, 126, 10526, 0, 104, 87, 53);
INSERT INTO public.who_data VALUES (20418, 0, 307, 0, 0, 87, 81);
INSERT INTO public.who_data VALUES (20419, 107, 24022, 0, 437, 87, 223);
INSERT INTO public.who_data VALUES (20420, 4889, 342444, 97, 11618, 87, 94);
INSERT INTO public.who_data VALUES (20421, 1, 266, 0, 2, 87, 154);
INSERT INTO public.who_data VALUES (20422, 2, 4913, 0, 63, 87, 83);
INSERT INTO public.who_data VALUES (20423, 6, 1655, 0, 101, 87, 194);
INSERT INTO public.who_data VALUES (20424, 1005, 544092, 7, 15138, 87, 136);
INSERT INTO public.who_data VALUES (20425, 111, 93025, 0, 4749, 87, 179);
INSERT INTO public.who_data VALUES (20426, 7515, 1262494, 198, 35677, 87, 57);
INSERT INTO public.who_data VALUES (20427, 11, 607, 0, 7, 87, 35);
INSERT INTO public.who_data VALUES (20428, 0, 5632, 0, 93, 87, 228);
INSERT INTO public.who_data VALUES (20429, 0, 0, 0, 0, 87, 19);
INSERT INTO public.who_data VALUES (20430, 895, 133190, 21, 1662, 87, 22);
INSERT INTO public.who_data VALUES (20431, 12, 21168, 0, 131, 87, 1);
INSERT INTO public.who_data VALUES (20432, 3603, 111617, 56, 1501, 87, 21);
INSERT INTO public.who_data VALUES (20433, 76, 8026, 0, 133, 87, 234);
INSERT INTO public.who_data VALUES (20434, 54, 1827, 0, 3, 87, 91);
INSERT INTO public.who_data VALUES (20435, 254, 9453, 1, 47, 87, 137);
INSERT INTO public.who_data VALUES (20436, 2681, 505215, 112, 7611, 87, 201);
INSERT INTO public.who_data VALUES (20437, 0, 0, 0, 0, 87, 171);
INSERT INTO public.who_data VALUES (20438, 55, 12364, 0, 331, 87, 92);
INSERT INTO public.who_data VALUES (20439, 1183, 74204, 5, 802, 87, 112);
INSERT INTO public.who_data VALUES (20440, 1, 5670, 0, 61, 87, 62);
INSERT INTO public.who_data VALUES (20441, 0, 77, 0, 0, 87, 69);
INSERT INTO public.who_data VALUES (20442, 553, 139664, 2, 2315, 87, 220);
INSERT INTO public.who_data VALUES (20443, 794, 187230, 24, 13288, 87, 100);
INSERT INTO public.who_data VALUES (20444, 365, 114107, 12, 6585, 87, 187);
INSERT INTO public.who_data VALUES (20445, 0, 37884, 0, 1086, 87, 63);
INSERT INTO public.who_data VALUES (20446, 9, 5146, 0, 85, 87, 28);
INSERT INTO public.who_data VALUES (20447, 0, 558, 0, 0, 87, 172);
INSERT INTO public.who_data VALUES (20448, 382, 10541, 3, 97, 87, 17);
INSERT INTO public.who_data VALUES (20449, 25, 6272, 0, 120, 87, 226);
INSERT INTO public.who_data VALUES (20450, 518, 107109, 3, 1664, 87, 236);
INSERT INTO public.who_data VALUES (20451, 0, 16, 0, 0, 87, 76);
INSERT INTO public.who_data VALUES (20452, 0, 500, 0, 0, 87, 30);
INSERT INTO public.who_data VALUES (20453, 3, 38, 0, 2, 87, 128);
INSERT INTO public.who_data VALUES (20454, 363, 22652, 4, 388, 87, 86);
INSERT INTO public.who_data VALUES (20455, 15598, 2131376, 371, 50259, 87, 140);
INSERT INTO public.who_data VALUES (20456, 37, 11116, 0, 70, 87, 44);
INSERT INTO public.who_data VALUES (20457, 266, 13783, 0, 70, 87, 113);
INSERT INTO public.who_data VALUES (20458, 23, 9173, 0, 59, 87, 29);
INSERT INTO public.who_data VALUES (20459, 1, 3727, 0, 123, 87, 125);
INSERT INTO public.who_data VALUES (20460, 3801, 118690, 39, 1124, 87, 131);
INSERT INTO public.who_data VALUES (20461, 22268, 983588, 389, 15160, 87, 46);
INSERT INTO public.who_data VALUES (20462, 41, 51225, 0, 323, 87, 10);
INSERT INTO public.who_data VALUES (20463, 14, 981, 0, 5, 87, 205);
INSERT INTO public.who_data VALUES (20464, 2151, 97288, 87, 1902, 87, 50);
INSERT INTO public.who_data VALUES (20465, 0, 18, 0, 0, 87, 20);
INSERT INTO public.who_data VALUES (20466, 0, 41, 0, 0, 87, 13);
INSERT INTO public.who_data VALUES (20467, 119, 8344, 5, 149, 87, 148);
INSERT INTO public.who_data VALUES (20468, 47, 6580, 2, 109, 87, 230);
INSERT INTO public.who_data VALUES (20469, 640, 119989, 8, 4107, 87, 190);
INSERT INTO public.who_data VALUES (20470, 0, 283, 0, 13, 87, 188);
INSERT INTO public.who_data VALUES (20471, 0, 12863, 0, 75, 87, 123);
INSERT INTO public.who_data VALUES (20472, 0, 2422, 0, 43, 87, 9);
INSERT INTO public.who_data VALUES (20473, 35, 5189, 1, 147, 87, 102);
INSERT INTO public.who_data VALUES (20474, 19, 9248, 0, 232, 87, 34);
INSERT INTO public.who_data VALUES (20475, 0, 26, 0, 0, 87, 212);
INSERT INTO public.who_data VALUES (20476, 361, 105572, 8, 2877, 87, 122);
INSERT INTO public.who_data VALUES (20477, 6360, 192047, 115, 4229, 87, 38);
INSERT INTO public.who_data VALUES (20478, 14, 5312, 0, 26, 87, 130);
INSERT INTO public.who_data VALUES (20479, 44489, 9266705, 524, 135223, 87, 37);
INSERT INTO public.who_data VALUES (20480, 5534, 511836, 114, 16225, 87, 231);
INSERT INTO public.who_data VALUES (20481, 13843, 894385, 469, 46207, 87, 107);
INSERT INTO public.who_data VALUES (20482, 2438, 542187, 55, 12086, 87, 101);
INSERT INTO public.who_data VALUES (20483, 257, 71187, 5, 2033, 87, 132);
INSERT INTO public.who_data VALUES (20484, 0, 369, 0, 25, 87, 176);
INSERT INTO public.who_data VALUES (20485, 857, 331139, 6, 2830, 87, 200);
INSERT INTO public.who_data VALUES (20486, 25852, 1480874, 722, 52028, 87, 169);
INSERT INTO public.who_data VALUES (20487, 66, 10488, 4, 247, 87, 225);
INSERT INTO public.who_data VALUES (20488, 1861, 137261, 21, 2022, 87, 165);
INSERT INTO public.who_data VALUES (20489, 6, 836, 0, 32, 87, 233);
INSERT INTO public.who_data VALUES (20490, 5025, 198021, 62, 2442, 87, 215);
INSERT INTO public.who_data VALUES (20491, 974, 170969, 0, 2417, 87, 177);
INSERT INTO public.who_data VALUES (20492, 810, 79322, 8, 1417, 87, 183);
INSERT INTO public.who_data VALUES (20493, 0, 0, 0, 0, 87, 203);
INSERT INTO public.who_data VALUES (20494, 704, 36210, 9, 938, 87, 162);
INSERT INTO public.who_data VALUES (20495, 422, 141217, 1, 871, 87, 12);
INSERT INTO public.who_data VALUES (20496, 427, 71171, 6, 1251, 87, 24);
INSERT INTO public.who_data VALUES (20497, 0, 39, 0, 0, 87, 119);
INSERT INTO public.who_data VALUES (20498, 580, 14273, 9, 184, 87, 39);
INSERT INTO public.who_data VALUES (20499, 1636, 120300, 16, 950, 87, 26);
INSERT INTO public.who_data VALUES (20500, 7, 2092, 0, 44, 87, 59);
INSERT INTO public.who_data VALUES (20501, 24, 1578, 1, 83, 87, 77);
INSERT INTO public.who_data VALUES (20502, 617, 79797, 15, 1125, 87, 134);
INSERT INTO public.who_data VALUES (20503, 30, 1262, 0, 14, 87, 4);
INSERT INTO public.who_data VALUES (20504, 2101, 53761, 27, 528, 87, 109);
INSERT INTO public.who_data VALUES (20505, 373, 31484, 10, 283, 87, 90);
INSERT INTO public.who_data VALUES (20506, 0, 17341, 0, 251, 87, 61);
INSERT INTO public.who_data VALUES (20507, 1, 6018, 0, 185, 87, 85);
INSERT INTO public.who_data VALUES (20508, 970, 59817, 4, 345, 87, 49);
INSERT INTO public.who_data VALUES (20509, 44, 12854, 0, 46, 87, 208);
INSERT INTO public.who_data VALUES (20510, 135, 4461, 2, 148, 87, 166);
INSERT INTO public.who_data VALUES (20511, 166, 9292, 3, 117, 87, 64);
INSERT INTO public.who_data VALUES (20512, 0, 4, 0, 0, 87, 199);
INSERT INTO public.who_data VALUES (20513, 322, 5413, 1, 40, 87, 114);
INSERT INTO public.who_data VALUES (20514, 0, 8075, 0, 169, 87, 60);
INSERT INTO public.who_data VALUES (20515, 0, 497, 0, 10, 87, 68);
INSERT INTO public.who_data VALUES (20516, 59, 5181, 0, 49, 87, 158);
INSERT INTO public.who_data VALUES (20517, 10794, 1060152, 813, 102739, 87, 52);
INSERT INTO public.who_data VALUES (20518, 0, 0, 0, 0, 87, 117);
INSERT INTO public.who_data VALUES (20519, 7, 597, 0, 3, 87, 126);
INSERT INTO public.who_data VALUES (20520, 27, 699, 0, 0, 87, 196);
INSERT INTO public.who_data VALUES (20521, 592, 33812, 10, 468, 87, 142);
INSERT INTO public.who_data VALUES (20522, 0, 13, 0, 1, 87, 185);
INSERT INTO public.who_data VALUES (20523, 4979, 336506, 43, 5539, 87, 138);
INSERT INTO public.who_data VALUES (20524, 71, 15302, 1, 128, 87, 181);
INSERT INTO public.who_data VALUES (20525, 1330, 83566, 26, 1810, 87, 178);
INSERT INTO public.who_data VALUES (20526, 68, 14006, 0, 145, 87, 168);
INSERT INTO public.who_data VALUES (20527, 0, 0, 0, 0, 87, 160);
INSERT INTO public.who_data VALUES (20528, 1948, 226026, 28, 1389, 87, 151);
INSERT INTO public.who_data VALUES (20529, 4911, 497391, 74, 9088, 87, 193);
INSERT INTO public.who_data VALUES (20530, 0, 32, 0, 0, 87, 18);
INSERT INTO public.who_data VALUES (20531, 1, 1684, 0, 25, 87, 40);
INSERT INTO public.who_data VALUES (20532, 0, 4629, 0, 160, 87, 218);
INSERT INTO public.who_data VALUES (20533, 38, 1419, 0, 70, 87, 191);
INSERT INTO public.who_data VALUES (20534, 198, 66805, 0, 1169, 87, 156);
INSERT INTO public.who_data VALUES (20535, 0, 0, 0, 0, 87, 135);
INSERT INTO public.who_data VALUES (20536, 0, 104, 0, 2, 87, 88);
INSERT INTO public.who_data VALUES (20537, 1287, 57451, 39, 1600, 87, 55);
INSERT INTO public.who_data VALUES (20538, 531, 33714, 2, 316, 87, 108);
INSERT INTO public.who_data VALUES (20539, 1720, 89558, 9, 749, 87, 48);
INSERT INTO public.who_data VALUES (20540, 0, 122579, 0, 1391, 87, 3);
INSERT INTO public.who_data VALUES (20541, 0, 741, 0, 13, 87, 224);
INSERT INTO public.who_data VALUES (20542, 3009, 382892, 59, 7803, 87, 110);
INSERT INTO public.who_data VALUES (20543, 0, 0, 0, 0, 87, 106);
INSERT INTO public.who_data VALUES (20544, 1272, 156930, 13, 2986, 87, 89);
INSERT INTO public.who_data VALUES (20545, 15, 645, 0, 7, 87, 121);
INSERT INTO public.who_data VALUES (20546, 819, 77891, 12, 1677, 87, 163);
INSERT INTO public.who_data VALUES (20547, 1882, 952439, 44, 35685, 87, 70);
INSERT INTO public.who_data VALUES (20548, 1193, 422915, 30, 8215, 87, 174);
INSERT INTO public.who_data VALUES (20549, 0, 0, 0, 0, 87, 175);
INSERT INTO public.who_data VALUES (20550, 15356, 924422, 674, 14988, 87, 118);
INSERT INTO public.who_data VALUES (20551, 5290, 274011, 71, 4127, 87, 189);
INSERT INTO public.who_data VALUES (20552, 177, 48725, 14, 1052, 87, 124);
INSERT INTO public.who_data VALUES (20553, 209, 137851, 1, 237, 87, 192);
INSERT INTO public.who_data VALUES (20554, 581, 32253, 2, 515, 87, 41);
INSERT INTO public.who_data VALUES (20555, 1570, 101203, 21, 2209, 87, 95);
INSERT INTO public.who_data VALUES (20556, 147, 7836, 4, 39, 87, 74);
INSERT INTO public.who_data VALUES (20557, 9739, 440344, 168, 10541, 87, 11);
INSERT INTO public.who_data VALUES (20558, 25487, 2187990, 524, 38062, 87, 87);
INSERT INTO public.who_data VALUES (20559, 29, 5779, 0, 47, 87, 214);
INSERT INTO public.who_data VALUES (20560, 0, 5, 0, 0, 87, 116);
INSERT INTO public.who_data VALUES (20561, 0, 127, 0, 0, 87, 157);
INSERT INTO public.who_data VALUES (20562, 0, 0, 0, 0, 87, 182);
INSERT INTO public.who_data VALUES (20563, 0, 22, 0, 0, 87, 186);
INSERT INTO public.who_data VALUES (20564, 9, 235, 0, 2, 87, 127);
INSERT INTO public.who_data VALUES (20565, 0, 690, 0, 12, 87, 232);
INSERT INTO public.who_data VALUES (20566, 0, 14, 0, 0, 87, 33);
INSERT INTO public.who_data VALUES (20567, 0, 84, 0, 0, 87, 97);
INSERT INTO public.who_data VALUES (20568, 0, 0, 0, 0, 87, 42);
INSERT INTO public.who_data VALUES (20569, 38, 1492, 0, 44, 87, 198);
INSERT INTO public.who_data VALUES (20570, 1, 982, 0, 17, 87, 216);
INSERT INTO public.who_data VALUES (20571, 326, 356067, 14, 5825, 87, 164);
INSERT INTO public.who_data VALUES (20572, 19, 15927, 0, 331, 87, 235);
INSERT INTO public.who_data VALUES (20573, 7579, 140608, 41, 1315, 87, 67);
INSERT INTO public.who_data VALUES (20574, 0, 167, 0, 0, 87, 15);
INSERT INTO public.who_data VALUES (20575, 2, 2408, 0, 74, 87, 180);
INSERT INTO public.who_data VALUES (20576, 7, 58190, 0, 28, 87, 237);
INSERT INTO public.who_data VALUES (20577, 0, 14, 0, 0, 87, 25);
INSERT INTO public.who_data VALUES (20578, 3, 1020, 0, 25, 87, 209);
INSERT INTO public.who_data VALUES (20579, 1021, 97493, 16, 709, 87, 217);
INSERT INTO public.who_data VALUES (20580, 2235, 69341, 44, 1306, 87, 79);
INSERT INTO public.who_data VALUES (20581, 0, 17, 0, 0, 87, 143);
INSERT INTO public.who_data VALUES (20582, 0, 4445, 0, 113, 87, 229);
INSERT INTO public.who_data VALUES (20583, 3250, 775502, 118, 21201, 87, 141);
INSERT INTO public.who_data VALUES (20584, 0, 3047, 0, 60, 87, 197);
INSERT INTO public.who_data VALUES (20585, 11175, 1689292, 230, 46113, 87, 221);
INSERT INTO public.who_data VALUES (20586, 502, 21469, 2, 96, 87, 150);
INSERT INTO public.who_data VALUES (20587, 204, 17068, 5, 1220, 87, 56);
INSERT INTO public.who_data VALUES (20588, 3, 5300, 1, 117, 87, 167);
INSERT INTO public.who_data VALUES (20589, 5674, 231548, 68, 6897, 87, 23);
INSERT INTO public.who_data VALUES (20590, 4302, 314927, 85, 4361, 87, 222);
INSERT INTO public.who_data VALUES (20591, 90, 7459, 6, 391, 87, 219);
INSERT INTO public.who_data VALUES (20592, 37, 12008, 0, 86, 87, 7);
INSERT INTO public.who_data VALUES (20593, 16, 3942, 0, 60, 87, 161);
INSERT INTO public.who_data VALUES (20594, 18213, 1557011, 695, 56533, 87, 149);
INSERT INTO public.who_data VALUES (20595, 0, 30, 0, 0, 87, 6);
INSERT INTO public.who_data VALUES (20596, 15, 2872, 0, 64, 87, 139);
INSERT INTO public.who_data VALUES (20597, 0, 0, 0, 0, 87, 211);
INSERT INTO public.who_data VALUES (20598, 0, 0, 0, 0, 87, 14);
INSERT INTO public.who_data VALUES (20599, 13, 6488, 0, 115, 87, 111);
INSERT INTO public.who_data VALUES (20600, 1094, 91307, 48, 2983, 87, 207);
INSERT INTO public.who_data VALUES (20601, 13545, 1282068, 168, 12840, 87, 66);
INSERT INTO public.who_data VALUES (20602, 0, 0, 0, 0, 87, 173);
INSERT INTO public.who_data VALUES (20603, 0, 746, 0, 6, 87, 145);
INSERT INTO public.who_data VALUES (20604, 0, 0, 0, 0, 87, 65);
INSERT INTO public.who_data VALUES (20605, 484, 18890, 5, 191, 87, 184);
INSERT INTO public.who_data VALUES (20606, 15331, 677189, 225, 11717, 87, 98);
INSERT INTO public.who_data VALUES (20607, 1297, 162662, 4, 563, 87, 104);
INSERT INTO public.who_data VALUES (20608, 0, 509, 0, 21, 87, 73);
INSERT INTO public.who_data VALUES (20609, 165091, 12441925, 1975, 257825, 87, 8);
INSERT INTO public.who_data VALUES (20610, 14, 1521, 0, 23, 87, 227);
INSERT INTO public.who_data VALUES (20611, 107, 4870, 1, 72, 87, 75);
INSERT INTO public.who_data VALUES (20612, 188, 72227, 1, 606, 87, 45);
INSERT INTO public.who_data VALUES (20613, 0, 1, 0, 0, 87, 133);
INSERT INTO public.who_data VALUES (20614, 355, 100498, 3, 876, 87, 202);
INSERT INTO public.who_data VALUES (20615, 5, 1321, 0, 35, 87, 129);
INSERT INTO public.who_data VALUES (20616, 0, 3, 0, 0, 87, 36);
INSERT INTO public.who_data VALUES (20617, 0, 2077, 0, 605, 87, 51);
INSERT INTO public.who_data VALUES (20618, 69, 17535, 0, 357, 87, 206);
INSERT INTO public.who_data VALUES (20619, 110, 9508, 0, 274, 87, 5);
INSERT INTO public.who_data VALUES (20620, 290, 45278, 17, 1712, 88, 103);
INSERT INTO public.who_data VALUES (20621, 744, 34300, 19, 735, 88, 58);
INSERT INTO public.who_data VALUES (20622, 1133, 77000, 15, 2309, 88, 195);
INSERT INTO public.who_data VALUES (20623, 0, 0, 0, 0, 88, 115);
INSERT INTO public.who_data VALUES (20624, 47, 6351, 0, 76, 88, 99);
INSERT INTO public.who_data VALUES (20625, 108, 14742, 1, 338, 88, 153);
INSERT INTO public.who_data VALUES (20626, 0, 4, 0, 0, 88, 93);
INSERT INTO public.who_data VALUES (20627, 0, 139, 0, 4, 88, 84);
INSERT INTO public.who_data VALUES (20628, 4265, 1374631, 120, 37122, 88, 78);
INSERT INTO public.who_data VALUES (20629, 1563, 128398, 38, 2035, 88, 170);
INSERT INTO public.who_data VALUES (20630, 6, 4737, 0, 45, 88, 32);
INSERT INTO public.who_data VALUES (20631, 13, 27848, 0, 907, 88, 155);
INSERT INTO public.who_data VALUES (20632, 4135, 253349, 115, 2408, 88, 82);
INSERT INTO public.who_data VALUES (20633, 3646, 98927, 34, 1194, 88, 16);
INSERT INTO public.who_data VALUES (20634, 29, 7460, 0, 163, 88, 72);
INSERT INTO public.who_data VALUES (20635, 130, 86016, 1, 340, 88, 43);
INSERT INTO public.who_data VALUES (20636, 2230, 451990, 32, 6448, 88, 120);
INSERT INTO public.who_data VALUES (20637, 1, 260, 0, 7, 88, 213);
INSERT INTO public.who_data VALUES (20638, 1471, 126953, 8, 1112, 88, 31);
INSERT INTO public.who_data VALUES (20639, 2877, 568585, 121, 16121, 88, 204);
INSERT INTO public.who_data VALUES (20640, 66, 5249, 4, 120, 88, 152);
INSERT INTO public.who_data VALUES (20641, 58, 2974, 0, 43, 88, 144);
INSERT INTO public.who_data VALUES (20642, 8, 235, 0, 9, 88, 96);
INSERT INTO public.who_data VALUES (20643, 0, 386, 0, 0, 88, 47);
INSERT INTO public.who_data VALUES (20644, 56, 144034, 9, 8916, 88, 80);
INSERT INTO public.who_data VALUES (20645, 0, 142, 0, 3, 88, 159);
INSERT INTO public.who_data VALUES (20646, 1186, 81739, 52, 2394, 88, 27);
INSERT INTO public.who_data VALUES (20647, 398, 9992, 0, 31, 88, 146);
INSERT INTO public.who_data VALUES (20648, 16207, 6087608, 302, 169485, 88, 71);
INSERT INTO public.who_data VALUES (20649, 0, 72, 0, 1, 88, 210);
INSERT INTO public.who_data VALUES (20650, 1, 150, 0, 3, 88, 54);
INSERT INTO public.who_data VALUES (20651, 4382, 129348, 157, 3226, 88, 147);
INSERT INTO public.who_data VALUES (20652, 3, 2757, 0, 68, 88, 2);
INSERT INTO public.who_data VALUES (20653, 0, 673, 0, 1, 88, 105);
INSERT INTO public.who_data VALUES (20654, 98, 10400, 0, 104, 88, 53);
INSERT INTO public.who_data VALUES (20655, 1, 307, 0, 0, 88, 81);
INSERT INTO public.who_data VALUES (20656, 46, 23915, 1, 437, 88, 223);
INSERT INTO public.who_data VALUES (20657, 7052, 337555, 66, 11521, 88, 94);
INSERT INTO public.who_data VALUES (20658, 4, 265, 0, 2, 88, 154);
INSERT INTO public.who_data VALUES (20659, 0, 4911, 0, 63, 88, 83);
INSERT INTO public.who_data VALUES (20660, 1, 1649, 0, 101, 88, 194);
INSERT INTO public.who_data VALUES (20661, 1007, 543087, 25, 15131, 88, 136);
INSERT INTO public.who_data VALUES (20662, 85, 92914, 0, 4749, 88, 179);
INSERT INTO public.who_data VALUES (20663, 6562, 1254979, 192, 35479, 88, 57);
INSERT INTO public.who_data VALUES (20664, 0, 596, 0, 7, 88, 35);
INSERT INTO public.who_data VALUES (20665, 0, 5632, 0, 93, 88, 228);
INSERT INTO public.who_data VALUES (20666, 0, 0, 0, 0, 88, 19);
INSERT INTO public.who_data VALUES (20667, 2877, 132295, 33, 1641, 88, 22);
INSERT INTO public.who_data VALUES (20668, 8, 21156, 0, 131, 88, 1);
INSERT INTO public.who_data VALUES (20669, 2323, 108014, 47, 1445, 88, 21);
INSERT INTO public.who_data VALUES (20670, 71, 7950, 1, 133, 88, 234);
INSERT INTO public.who_data VALUES (20671, 24, 1773, 0, 3, 88, 91);
INSERT INTO public.who_data VALUES (20672, 252, 9199, 2, 46, 88, 137);
INSERT INTO public.who_data VALUES (20673, 5896, 502534, 139, 7499, 88, 201);
INSERT INTO public.who_data VALUES (20674, 0, 0, 0, 0, 88, 171);
INSERT INTO public.who_data VALUES (20675, 32, 12309, 2, 331, 88, 92);
INSERT INTO public.who_data VALUES (20676, 1367, 73021, 8, 797, 88, 112);
INSERT INTO public.who_data VALUES (20677, 1, 5669, 0, 61, 88, 62);
INSERT INTO public.who_data VALUES (20678, 0, 77, 0, 0, 88, 69);
INSERT INTO public.who_data VALUES (20679, 282, 139111, 2, 2313, 88, 220);
INSERT INTO public.who_data VALUES (20680, 492, 186436, 39, 13264, 88, 100);
INSERT INTO public.who_data VALUES (20681, 361, 113742, 13, 6573, 88, 187);
INSERT INTO public.who_data VALUES (20682, 322, 37884, 5, 1086, 88, 63);
INSERT INTO public.who_data VALUES (20683, 0, 5137, 0, 85, 88, 28);
INSERT INTO public.who_data VALUES (20684, 0, 558, 0, 0, 88, 172);
INSERT INTO public.who_data VALUES (20685, 203, 10159, 2, 94, 88, 17);
INSERT INTO public.who_data VALUES (20686, 14, 6247, 0, 120, 88, 226);
INSERT INTO public.who_data VALUES (20687, 388, 106591, 10, 1661, 88, 236);
INSERT INTO public.who_data VALUES (20688, 0, 16, 0, 0, 88, 76);
INSERT INTO public.who_data VALUES (20689, 0, 500, 0, 0, 88, 30);
INSERT INTO public.who_data VALUES (20690, 0, 35, 0, 2, 88, 128);
INSERT INTO public.who_data VALUES (20691, 353, 22289, 0, 384, 88, 86);
INSERT INTO public.who_data VALUES (20692, 9118, 2115778, 1005, 49888, 88, 140);
INSERT INTO public.who_data VALUES (20693, 37, 11079, 0, 70, 88, 44);
INSERT INTO public.who_data VALUES (20694, 231, 13517, 2, 70, 88, 113);
INSERT INTO public.who_data VALUES (20695, 0, 9150, 0, 59, 88, 29);
INSERT INTO public.who_data VALUES (20696, 0, 3726, 0, 123, 88, 125);
INSERT INTO public.who_data VALUES (20697, 3071, 114889, 34, 1085, 88, 131);
INSERT INTO public.who_data VALUES (20698, 18633, 961320, 410, 14771, 88, 46);
INSERT INTO public.who_data VALUES (20699, 243, 51184, 0, 323, 88, 10);
INSERT INTO public.who_data VALUES (20700, 9, 967, 1, 5, 88, 205);
INSERT INTO public.who_data VALUES (20701, 2131, 95137, 101, 1815, 88, 50);
INSERT INTO public.who_data VALUES (20702, 0, 18, 0, 0, 88, 20);
INSERT INTO public.who_data VALUES (20703, 0, 41, 0, 0, 88, 13);
INSERT INTO public.who_data VALUES (20704, 0, 8225, 0, 144, 88, 148);
INSERT INTO public.who_data VALUES (20705, 52, 6533, 1, 107, 88, 230);
INSERT INTO public.who_data VALUES (20706, 627, 119349, 7, 4099, 88, 190);
INSERT INTO public.who_data VALUES (20707, 0, 283, 0, 13, 88, 188);
INSERT INTO public.who_data VALUES (20708, 0, 12863, 0, 75, 88, 123);
INSERT INTO public.who_data VALUES (20709, 0, 2422, 0, 43, 88, 9);
INSERT INTO public.who_data VALUES (20710, 21, 5154, 3, 146, 88, 102);
INSERT INTO public.who_data VALUES (20711, 5, 9229, 0, 232, 88, 34);
INSERT INTO public.who_data VALUES (20712, 0, 26, 0, 0, 88, 212);
INSERT INTO public.who_data VALUES (20713, 296, 105211, 10, 2869, 88, 122);
INSERT INTO public.who_data VALUES (20714, 3806, 185687, 106, 4114, 88, 38);
INSERT INTO public.who_data VALUES (20715, 9, 5298, 0, 26, 88, 130);
INSERT INTO public.who_data VALUES (20716, 44376, 9222216, 481, 134699, 88, 37);
INSERT INTO public.who_data VALUES (20717, 4192, 506302, 109, 16111, 88, 231);
INSERT INTO public.who_data VALUES (20718, 13721, 880542, 483, 45738, 88, 107);
INSERT INTO public.who_data VALUES (20719, 2292, 539749, 35, 12031, 88, 101);
INSERT INTO public.who_data VALUES (20720, 219, 70930, 6, 2028, 88, 132);
INSERT INTO public.who_data VALUES (20721, 0, 369, 0, 25, 88, 176);
INSERT INTO public.who_data VALUES (20722, 959, 330282, 7, 2824, 88, 200);
INSERT INTO public.who_data VALUES (20723, 23227, 1455022, 853, 51306, 88, 169);
INSERT INTO public.who_data VALUES (20724, 79, 10422, 4, 243, 88, 225);
INSERT INTO public.who_data VALUES (20725, 1471, 135400, 12, 2001, 88, 165);
INSERT INTO public.who_data VALUES (20726, 24, 830, 0, 32, 88, 233);
INSERT INTO public.who_data VALUES (20727, 4586, 192996, 78, 2380, 88, 215);
INSERT INTO public.who_data VALUES (20728, 988, 169995, 0, 2417, 88, 177);
INSERT INTO public.who_data VALUES (20729, 727, 78512, 17, 1409, 88, 183);
INSERT INTO public.who_data VALUES (20730, 0, 0, 0, 0, 88, 203);
INSERT INTO public.who_data VALUES (20731, 609, 35506, 13, 929, 88, 162);
INSERT INTO public.who_data VALUES (20732, 402, 140795, 2, 870, 88, 12);
INSERT INTO public.who_data VALUES (20733, 378, 70744, 4, 1245, 88, 24);
INSERT INTO public.who_data VALUES (20734, 0, 39, 0, 0, 88, 119);
INSERT INTO public.who_data VALUES (20735, 457, 13693, 13, 175, 88, 39);
INSERT INTO public.who_data VALUES (20736, 1188, 118664, 23, 934, 88, 26);
INSERT INTO public.who_data VALUES (20737, 0, 2085, 0, 44, 88, 59);
INSERT INTO public.who_data VALUES (20738, 0, 1554, 0, 82, 88, 77);
INSERT INTO public.who_data VALUES (20739, 707, 79180, 8, 1110, 88, 134);
INSERT INTO public.who_data VALUES (20740, 22, 1232, 1, 14, 88, 4);
INSERT INTO public.who_data VALUES (20741, 2288, 51660, 22, 501, 88, 109);
INSERT INTO public.who_data VALUES (20742, 176, 31111, 7, 273, 88, 90);
INSERT INTO public.who_data VALUES (20743, 0, 17341, 0, 251, 88, 61);
INSERT INTO public.who_data VALUES (20744, 8, 6017, 0, 185, 88, 85);
INSERT INTO public.who_data VALUES (20745, 2188, 58847, 4, 341, 88, 49);
INSERT INTO public.who_data VALUES (20746, 52, 12810, 0, 46, 88, 208);
INSERT INTO public.who_data VALUES (20747, 0, 4326, 0, 146, 88, 166);
INSERT INTO public.who_data VALUES (20748, 133, 9126, 4, 114, 88, 64);
INSERT INTO public.who_data VALUES (20749, 0, 4, 0, 0, 88, 199);
INSERT INTO public.who_data VALUES (20750, 0, 5091, 0, 39, 88, 114);
INSERT INTO public.who_data VALUES (20751, 0, 8075, 0, 169, 88, 60);
INSERT INTO public.who_data VALUES (20752, 6, 497, 0, 10, 88, 68);
INSERT INTO public.who_data VALUES (20753, 0, 5122, 0, 49, 88, 158);
INSERT INTO public.who_data VALUES (20754, 7483, 1049358, 250, 101926, 88, 52);
INSERT INTO public.who_data VALUES (20755, 0, 0, 0, 0, 88, 117);
INSERT INTO public.who_data VALUES (20756, 4, 590, 0, 3, 88, 126);
INSERT INTO public.who_data VALUES (20757, 32, 672, 0, 0, 88, 196);
INSERT INTO public.who_data VALUES (20758, 558, 33220, 9, 458, 88, 142);
INSERT INTO public.who_data VALUES (20759, 0, 13, 0, 1, 88, 185);
INSERT INTO public.who_data VALUES (20760, 3999, 331527, 100, 5496, 88, 138);
INSERT INTO public.who_data VALUES (20761, 122, 15231, 1, 127, 88, 181);
INSERT INTO public.who_data VALUES (20762, 1731, 82236, 19, 1784, 88, 178);
INSERT INTO public.who_data VALUES (20763, 41, 13938, 0, 145, 88, 168);
INSERT INTO public.who_data VALUES (20764, 0, 0, 0, 0, 88, 160);
INSERT INTO public.who_data VALUES (20765, 1790, 224078, 24, 1361, 88, 151);
INSERT INTO public.who_data VALUES (20766, 3947, 492480, 90, 9014, 88, 193);
INSERT INTO public.who_data VALUES (20767, 0, 32, 0, 0, 88, 18);
INSERT INTO public.who_data VALUES (20768, 8, 1683, 0, 25, 88, 40);
INSERT INTO public.who_data VALUES (20769, 46, 4629, 1, 160, 88, 218);
INSERT INTO public.who_data VALUES (20770, 0, 1381, 0, 70, 88, 191);
INSERT INTO public.who_data VALUES (20771, 168, 66607, 1, 1169, 88, 156);
INSERT INTO public.who_data VALUES (20772, 0, 0, 0, 0, 88, 135);
INSERT INTO public.who_data VALUES (20773, 0, 104, 0, 2, 88, 88);
INSERT INTO public.who_data VALUES (20774, 1037, 56164, 15, 1561, 88, 55);
INSERT INTO public.who_data VALUES (20775, 416, 33183, 3, 314, 88, 108);
INSERT INTO public.who_data VALUES (20776, 1946, 87838, 17, 740, 88, 48);
INSERT INTO public.who_data VALUES (20777, 223, 122579, 5, 1391, 88, 3);
INSERT INTO public.who_data VALUES (20778, 0, 741, 0, 13, 88, 224);
INSERT INTO public.who_data VALUES (20779, 2954, 379883, 48, 7744, 88, 110);
INSERT INTO public.who_data VALUES (20780, 0, 0, 0, 0, 88, 106);
INSERT INTO public.who_data VALUES (20781, 875, 155658, 16, 2973, 88, 89);
INSERT INTO public.who_data VALUES (20782, 18, 630, 0, 7, 88, 121);
INSERT INTO public.who_data VALUES (20783, 596, 77072, 8, 1665, 88, 163);
INSERT INTO public.who_data VALUES (20784, 887, 950557, 46, 35641, 88, 70);
INSERT INTO public.who_data VALUES (20785, 1108, 421722, 12, 8185, 88, 174);
INSERT INTO public.who_data VALUES (20786, 0, 0, 0, 0, 88, 175);
INSERT INTO public.who_data VALUES (20787, 32733, 909066, 540, 14314, 88, 118);
INSERT INTO public.who_data VALUES (20788, 3919, 268721, 85, 4056, 88, 189);
INSERT INTO public.who_data VALUES (20789, 348, 48548, 6, 1038, 88, 124);
INSERT INTO public.who_data VALUES (20790, 227, 137642, 0, 236, 88, 192);
INSERT INTO public.who_data VALUES (20791, 382, 31672, 3, 513, 88, 41);
INSERT INTO public.who_data VALUES (20792, 1215, 99633, 19, 2188, 88, 95);
INSERT INTO public.who_data VALUES (20793, 0, 7689, 0, 35, 88, 74);
INSERT INTO public.who_data VALUES (20794, 7753, 430605, 196, 10373, 88, 11);
INSERT INTO public.who_data VALUES (20795, 23675, 2162503, 507, 37538, 88, 87);
INSERT INTO public.who_data VALUES (20796, 24, 5750, 0, 47, 88, 214);
INSERT INTO public.who_data VALUES (20797, 0, 5, 0, 0, 88, 116);
INSERT INTO public.who_data VALUES (20798, 0, 127, 0, 0, 88, 157);
INSERT INTO public.who_data VALUES (20799, 0, 0, 0, 0, 88, 182);
INSERT INTO public.who_data VALUES (20800, 2, 22, 0, 0, 88, 186);
INSERT INTO public.who_data VALUES (20801, 3, 226, 0, 2, 88, 127);
INSERT INTO public.who_data VALUES (20802, 0, 690, 0, 12, 88, 232);
INSERT INTO public.who_data VALUES (20803, 0, 14, 0, 0, 88, 33);
INSERT INTO public.who_data VALUES (20804, 0, 84, 0, 0, 88, 97);
INSERT INTO public.who_data VALUES (20805, 0, 0, 0, 0, 88, 42);
INSERT INTO public.who_data VALUES (20806, 26, 1454, 0, 44, 88, 198);
INSERT INTO public.who_data VALUES (20807, 0, 981, 0, 17, 88, 216);
INSERT INTO public.who_data VALUES (20808, 252, 355741, 15, 5811, 88, 164);
INSERT INTO public.who_data VALUES (20809, 11, 15908, 1, 331, 88, 235);
INSERT INTO public.who_data VALUES (20810, 6842, 133029, 37, 1274, 88, 67);
INSERT INTO public.who_data VALUES (20811, 6, 167, 0, 0, 88, 15);
INSERT INTO public.who_data VALUES (20812, 0, 2406, 0, 74, 88, 180);
INSERT INTO public.who_data VALUES (20813, 18, 58183, 0, 28, 88, 237);
INSERT INTO public.who_data VALUES (20814, 0, 14, 0, 0, 88, 25);
INSERT INTO public.who_data VALUES (20815, 10, 1017, 0, 25, 88, 209);
INSERT INTO public.who_data VALUES (20816, 231, 96472, 22, 693, 88, 217);
INSERT INTO public.who_data VALUES (20817, 1308, 67106, 56, 1262, 88, 79);
INSERT INTO public.who_data VALUES (20818, 0, 17, 0, 0, 88, 143);
INSERT INTO public.who_data VALUES (20819, 0, 4445, 0, 113, 88, 229);
INSERT INTO public.who_data VALUES (20820, 2493, 772252, 115, 21083, 88, 141);
INSERT INTO public.who_data VALUES (20821, 0, 3047, 0, 60, 88, 197);
INSERT INTO public.who_data VALUES (20822, 9400, 1678117, 266, 45883, 88, 221);
INSERT INTO public.who_data VALUES (20823, 459, 20967, 4, 94, 88, 150);
INSERT INTO public.who_data VALUES (20824, 215, 16864, 5, 1215, 88, 56);
INSERT INTO public.who_data VALUES (20825, 1, 5297, 0, 116, 88, 167);
INSERT INTO public.who_data VALUES (20826, 3877, 225874, 55, 6829, 88, 23);
INSERT INTO public.who_data VALUES (20827, 4433, 310625, 89, 4276, 88, 222);
INSERT INTO public.who_data VALUES (20828, 74, 7369, 5, 385, 88, 219);
INSERT INTO public.who_data VALUES (20829, 39, 11971, 0, 86, 88, 7);
INSERT INTO public.who_data VALUES (20830, 4, 3926, 0, 60, 88, 161);
INSERT INTO public.who_data VALUES (20831, 11299, 1538798, 608, 55838, 88, 149);
INSERT INTO public.who_data VALUES (20832, 0, 30, 0, 0, 88, 6);
INSERT INTO public.who_data VALUES (20833, 28, 2857, 0, 64, 88, 139);
INSERT INTO public.who_data VALUES (20834, 0, 0, 0, 0, 88, 211);
INSERT INTO public.who_data VALUES (20835, 0, 0, 0, 0, 88, 14);
INSERT INTO public.who_data VALUES (20836, 25, 6475, 0, 115, 88, 111);
INSERT INTO public.who_data VALUES (20837, 1017, 90213, 73, 2935, 88, 207);
INSERT INTO public.who_data VALUES (20838, 14112, 1268523, 161, 12672, 88, 66);
INSERT INTO public.who_data VALUES (20839, 0, 0, 0, 0, 88, 173);
INSERT INTO public.who_data VALUES (20840, 0, 746, 0, 6, 88, 145);
INSERT INTO public.who_data VALUES (20841, 0, 0, 0, 0, 88, 65);
INSERT INTO public.who_data VALUES (20842, 241, 18406, 5, 186, 88, 184);
INSERT INTO public.who_data VALUES (20843, 13882, 661858, 229, 11492, 88, 98);
INSERT INTO public.who_data VALUES (20844, 1310, 161365, 5, 559, 88, 104);
INSERT INTO public.who_data VALUES (20845, 0, 509, 0, 21, 88, 73);
INSERT INTO public.who_data VALUES (20846, 157180, 12276834, 1052, 255850, 88, 8);
INSERT INTO public.who_data VALUES (20847, 3, 1507, 0, 23, 88, 227);
INSERT INTO public.who_data VALUES (20848, 64, 4763, 0, 71, 88, 75);
INSERT INTO public.who_data VALUES (20849, 192, 72039, 1, 605, 88, 45);
INSERT INTO public.who_data VALUES (20850, 0, 1, 0, 0, 88, 133);
INSERT INTO public.who_data VALUES (20851, 308, 100143, 2, 873, 88, 202);
INSERT INTO public.who_data VALUES (20852, 4, 1316, 0, 35, 88, 129);
INSERT INTO public.who_data VALUES (20853, 1, 3, 0, 0, 88, 36);
INSERT INTO public.who_data VALUES (20854, 1, 2077, 0, 605, 88, 51);
INSERT INTO public.who_data VALUES (20855, 12, 17466, 0, 357, 88, 206);
INSERT INTO public.who_data VALUES (20856, 90, 9398, 1, 274, 88, 5);
INSERT INTO public.who_data VALUES (20857, 282, 44988, 8, 1695, 89, 103);
INSERT INTO public.who_data VALUES (20858, 795, 33556, 17, 716, 89, 58);
INSERT INTO public.who_data VALUES (20859, 1005, 75867, 19, 2294, 89, 195);
INSERT INTO public.who_data VALUES (20860, 0, 0, 0, 0, 89, 115);
INSERT INTO public.who_data VALUES (20861, 48, 6304, 0, 76, 89, 99);
INSERT INTO public.who_data VALUES (20862, 141, 14634, 0, 337, 89, 153);
INSERT INTO public.who_data VALUES (20863, 0, 4, 0, 0, 89, 93);
INSERT INTO public.who_data VALUES (20864, 0, 139, 0, 4, 89, 84);
INSERT INTO public.who_data VALUES (20865, 4184, 1370366, 0, 37002, 89, 78);
INSERT INTO public.who_data VALUES (20866, 813, 126835, 26, 1997, 89, 170);
INSERT INTO public.who_data VALUES (20867, 38, 4731, 0, 45, 89, 32);
INSERT INTO public.who_data VALUES (20868, 14, 27835, 0, 907, 89, 155);
INSERT INTO public.who_data VALUES (20869, 3090, 249214, 94, 2293, 89, 82);
INSERT INTO public.who_data VALUES (20870, 2187, 95281, 29, 1160, 89, 16);
INSERT INTO public.who_data VALUES (20871, 18, 7431, 0, 163, 89, 72);
INSERT INTO public.who_data VALUES (20872, 181, 85886, 1, 339, 89, 43);
INSERT INTO public.who_data VALUES (20873, 2419, 449760, 28, 6416, 89, 120);
INSERT INTO public.who_data VALUES (20874, 0, 259, 0, 7, 89, 213);
INSERT INTO public.who_data VALUES (20875, 1483, 125482, 8, 1104, 89, 31);
INSERT INTO public.who_data VALUES (20876, 3958, 565708, 139, 16000, 89, 204);
INSERT INTO public.who_data VALUES (20877, 73, 5183, 4, 116, 89, 152);
INSERT INTO public.who_data VALUES (20878, 0, 2916, 0, 43, 89, 144);
INSERT INTO public.who_data VALUES (20879, 0, 227, 0, 9, 89, 96);
INSERT INTO public.who_data VALUES (20880, 4, 386, 0, 0, 89, 47);
INSERT INTO public.who_data VALUES (20881, 56, 143978, 3, 8907, 89, 80);
INSERT INTO public.who_data VALUES (20882, 3, 142, 0, 3, 89, 159);
INSERT INTO public.who_data VALUES (20883, 546, 80553, 66, 2342, 89, 27);
INSERT INTO public.who_data VALUES (20884, 0, 9594, 0, 31, 89, 146);
INSERT INTO public.who_data VALUES (20885, 18615, 6071401, 194, 169183, 89, 71);
INSERT INTO public.who_data VALUES (20886, 0, 72, 0, 1, 89, 210);
INSERT INTO public.who_data VALUES (20887, 1, 149, 0, 3, 89, 54);
INSERT INTO public.who_data VALUES (20888, 3146, 124966, 189, 3069, 89, 147);
INSERT INTO public.who_data VALUES (20889, 19, 2754, 0, 68, 89, 2);
INSERT INTO public.who_data VALUES (20890, 9, 673, 0, 1, 89, 105);
INSERT INTO public.who_data VALUES (20891, 26, 10302, 0, 104, 89, 53);
INSERT INTO public.who_data VALUES (20892, 0, 306, 0, 0, 89, 81);
INSERT INTO public.who_data VALUES (20893, 27, 23869, 1, 436, 89, 223);
INSERT INTO public.who_data VALUES (20894, 4792, 330503, 49, 11455, 89, 94);
INSERT INTO public.who_data VALUES (20895, 0, 261, 0, 2, 89, 154);
INSERT INTO public.who_data VALUES (20896, 0, 4911, 0, 63, 89, 83);
INSERT INTO public.who_data VALUES (20897, 6, 1648, 0, 101, 89, 194);
INSERT INTO public.who_data VALUES (20898, 1440, 542080, 37, 15106, 89, 136);
INSERT INTO public.who_data VALUES (20899, 96, 92829, 0, 4749, 89, 179);
INSERT INTO public.who_data VALUES (20900, 7924, 1248417, 183, 35287, 89, 57);
INSERT INTO public.who_data VALUES (20901, 4, 596, 0, 7, 89, 35);
INSERT INTO public.who_data VALUES (20902, 0, 5632, 0, 93, 89, 228);
INSERT INTO public.who_data VALUES (20903, 0, 0, 0, 0, 89, 19);
INSERT INTO public.who_data VALUES (20904, 0, 129418, 0, 1608, 89, 22);
INSERT INTO public.who_data VALUES (20905, 10, 21148, 0, 131, 89, 1);
INSERT INTO public.who_data VALUES (20906, 1973, 105691, 45, 1398, 89, 21);
INSERT INTO public.who_data VALUES (20907, 33, 7879, 0, 132, 89, 234);
INSERT INTO public.who_data VALUES (20908, 188, 1749, 0, 3, 89, 91);
INSERT INTO public.who_data VALUES (20909, 304, 8947, 0, 44, 89, 137);
INSERT INTO public.who_data VALUES (20910, 4375, 496638, 164, 7360, 89, 201);
INSERT INTO public.who_data VALUES (20911, 0, 0, 0, 0, 89, 171);
INSERT INTO public.who_data VALUES (20912, 39, 12277, 1, 329, 89, 92);
INSERT INTO public.who_data VALUES (20913, 1169, 71654, 5, 789, 89, 112);
INSERT INTO public.who_data VALUES (20914, 0, 5668, 0, 61, 89, 62);
INSERT INTO public.who_data VALUES (20915, 0, 77, 0, 0, 89, 69);
INSERT INTO public.who_data VALUES (20916, 419, 138829, 1, 2311, 89, 220);
INSERT INTO public.who_data VALUES (20917, 301, 185944, 24, 13225, 89, 100);
INSERT INTO public.who_data VALUES (20918, 354, 113381, 12, 6560, 89, 187);
INSERT INTO public.who_data VALUES (20919, 0, 37562, 6, 1081, 89, 63);
INSERT INTO public.who_data VALUES (20920, 7, 5137, 0, 85, 89, 28);
INSERT INTO public.who_data VALUES (20921, 7, 558, 0, 0, 89, 172);
INSERT INTO public.who_data VALUES (20922, 232, 9956, 4, 92, 89, 17);
INSERT INTO public.who_data VALUES (20923, 14, 6233, 0, 120, 89, 226);
INSERT INTO public.who_data VALUES (20924, 418, 106203, 4, 1651, 89, 236);
INSERT INTO public.who_data VALUES (20925, 0, 16, 0, 0, 89, 76);
INSERT INTO public.who_data VALUES (20926, 0, 500, 0, 0, 89, 30);
INSERT INTO public.who_data VALUES (20927, 0, 35, 0, 2, 89, 128);
INSERT INTO public.who_data VALUES (20928, 297, 21936, 9, 384, 89, 86);
INSERT INTO public.who_data VALUES (20929, 4150, 2106660, 499, 48883, 89, 140);
INSERT INTO public.who_data VALUES (20930, 28, 11042, 0, 70, 89, 44);
INSERT INTO public.who_data VALUES (20931, 308, 13286, 5, 68, 89, 113);
INSERT INTO public.who_data VALUES (20932, 19, 9150, 0, 59, 89, 29);
INSERT INTO public.who_data VALUES (20933, 0, 3726, 0, 123, 89, 125);
INSERT INTO public.who_data VALUES (20934, 3128, 111818, 39, 1051, 89, 131);
INSERT INTO public.who_data VALUES (20935, 13554, 942687, 249, 14361, 89, 46);
INSERT INTO public.who_data VALUES (20936, 67, 50941, 0, 323, 89, 10);
INSERT INTO public.who_data VALUES (20937, 5, 958, 1, 4, 89, 205);
INSERT INTO public.who_data VALUES (20938, 1387, 93006, 84, 1714, 89, 50);
INSERT INTO public.who_data VALUES (20939, 0, 18, 0, 0, 89, 20);
INSERT INTO public.who_data VALUES (20940, 0, 41, 0, 0, 89, 13);
INSERT INTO public.who_data VALUES (20941, 0, 8225, 0, 144, 89, 148);
INSERT INTO public.who_data VALUES (20942, 53, 6481, 0, 106, 89, 230);
INSERT INTO public.who_data VALUES (20943, 93, 118722, 16, 4092, 89, 190);
INSERT INTO public.who_data VALUES (20944, 0, 283, 0, 13, 89, 188);
INSERT INTO public.who_data VALUES (20945, 37, 12863, 0, 75, 89, 123);
INSERT INTO public.who_data VALUES (20946, 1, 2422, 0, 43, 89, 9);
INSERT INTO public.who_data VALUES (20947, 40, 5133, 0, 143, 89, 102);
INSERT INTO public.who_data VALUES (20948, 10, 9224, 0, 232, 89, 34);
INSERT INTO public.who_data VALUES (20949, 0, 26, 0, 0, 89, 212);
INSERT INTO public.who_data VALUES (20950, 480, 104915, 2, 2859, 89, 122);
INSERT INTO public.who_data VALUES (20951, 3929, 181881, 117, 4008, 89, 38);
INSERT INTO public.who_data VALUES (20952, 12, 5289, 0, 26, 89, 130);
INSERT INTO public.who_data VALUES (20953, 37975, 9177840, 480, 134218, 89, 37);
INSERT INTO public.who_data VALUES (20954, 4442, 502110, 118, 16002, 89, 231);
INSERT INTO public.who_data VALUES (20955, 12460, 866821, 453, 45255, 89, 107);
INSERT INTO public.who_data VALUES (20956, 2136, 537457, 38, 11996, 89, 101);
INSERT INTO public.who_data VALUES (20957, 250, 70711, 0, 2022, 89, 132);
INSERT INTO public.who_data VALUES (20958, 1, 369, 0, 25, 89, 176);
INSERT INTO public.who_data VALUES (20959, 762, 329323, 16, 2817, 89, 200);
INSERT INTO public.who_data VALUES (20960, 22927, 1431795, 630, 50453, 89, 169);
INSERT INTO public.who_data VALUES (20961, 59, 10343, 1, 239, 89, 225);
INSERT INTO public.who_data VALUES (20962, 1571, 133929, 8, 1989, 89, 165);
INSERT INTO public.who_data VALUES (20963, 0, 806, 0, 32, 89, 233);
INSERT INTO public.who_data VALUES (20964, 4981, 188410, 66, 2302, 89, 215);
INSERT INTO public.who_data VALUES (20965, 924, 169007, 0, 2417, 89, 177);
INSERT INTO public.who_data VALUES (20966, 413, 77785, 12, 1392, 89, 183);
INSERT INTO public.who_data VALUES (20967, 0, 0, 0, 0, 89, 203);
INSERT INTO public.who_data VALUES (20968, 645, 34897, 12, 916, 89, 162);
INSERT INTO public.who_data VALUES (20969, 337, 140393, 2, 868, 89, 12);
INSERT INTO public.who_data VALUES (20970, 481, 70366, 4, 1241, 89, 24);
INSERT INTO public.who_data VALUES (20971, 14, 39, 0, 0, 89, 119);
INSERT INTO public.who_data VALUES (20972, 116, 13236, 9, 162, 89, 39);
INSERT INTO public.who_data VALUES (20973, 1041, 117476, 11, 911, 89, 26);
INSERT INTO public.who_data VALUES (20974, 0, 2085, 0, 44, 89, 59);
INSERT INTO public.who_data VALUES (20975, 0, 1554, 0, 82, 89, 77);
INSERT INTO public.who_data VALUES (20976, 650, 78473, 13, 1102, 89, 134);
INSERT INTO public.who_data VALUES (20977, 28, 1210, 1, 13, 89, 4);
INSERT INTO public.who_data VALUES (20978, 1171, 49372, 18, 479, 89, 109);
INSERT INTO public.who_data VALUES (20979, 602, 30935, 4, 266, 89, 90);
INSERT INTO public.who_data VALUES (20980, 0, 17341, 0, 251, 89, 61);
INSERT INTO public.who_data VALUES (20981, 6, 6009, 0, 185, 89, 85);
INSERT INTO public.who_data VALUES (20982, 1884, 56659, 2, 337, 89, 49);
INSERT INTO public.who_data VALUES (20983, 150, 12758, 0, 46, 89, 208);
INSERT INTO public.who_data VALUES (20984, 71, 4326, 1, 146, 89, 166);
INSERT INTO public.who_data VALUES (20985, 80, 8993, 3, 110, 89, 64);
INSERT INTO public.who_data VALUES (20986, 0, 4, 0, 0, 89, 199);
INSERT INTO public.who_data VALUES (20987, 0, 5091, 0, 39, 89, 114);
INSERT INTO public.who_data VALUES (20988, 0, 8075, 0, 169, 89, 60);
INSERT INTO public.who_data VALUES (20989, 0, 491, 0, 10, 89, 68);
INSERT INTO public.who_data VALUES (20990, 86, 5122, 1, 49, 89, 158);
INSERT INTO public.who_data VALUES (20991, 9187, 1041875, 303, 101676, 89, 52);
INSERT INTO public.who_data VALUES (20992, 0, 0, 0, 0, 89, 117);
INSERT INTO public.who_data VALUES (20993, 1, 586, 0, 3, 89, 126);
INSERT INTO public.who_data VALUES (20994, 11, 640, 0, 0, 89, 196);
INSERT INTO public.who_data VALUES (20995, 538, 32662, 6, 449, 89, 142);
INSERT INTO public.who_data VALUES (20996, 0, 13, 0, 1, 89, 185);
INSERT INTO public.who_data VALUES (20997, 2587, 327528, 80, 5396, 89, 138);
INSERT INTO public.who_data VALUES (20998, 72, 15109, 2, 126, 89, 181);
INSERT INTO public.who_data VALUES (20999, 1259, 80505, 26, 1765, 89, 178);
INSERT INTO public.who_data VALUES (21000, 32, 13897, 1, 145, 89, 168);
INSERT INTO public.who_data VALUES (21001, 0, 0, 0, 0, 89, 160);
INSERT INTO public.who_data VALUES (21002, 1980, 222288, 16, 1337, 89, 151);
INSERT INTO public.who_data VALUES (21003, 5182, 488533, 54, 8924, 89, 193);
INSERT INTO public.who_data VALUES (21004, 0, 32, 0, 0, 89, 18);
INSERT INTO public.who_data VALUES (21005, 2, 1675, 0, 25, 89, 40);
INSERT INTO public.who_data VALUES (21006, 0, 4583, 0, 159, 89, 218);
INSERT INTO public.who_data VALUES (21007, 13, 1381, 0, 70, 89, 191);
INSERT INTO public.who_data VALUES (21008, 56, 66439, 1, 1168, 89, 156);
INSERT INTO public.who_data VALUES (21009, 0, 0, 0, 0, 89, 135);
INSERT INTO public.who_data VALUES (21010, 0, 104, 0, 2, 89, 88);
INSERT INTO public.who_data VALUES (21011, 384, 55127, 35, 1546, 89, 55);
INSERT INTO public.who_data VALUES (21012, 1329, 32767, 5, 311, 89, 108);
INSERT INTO public.who_data VALUES (21013, 1552, 85892, 9, 723, 89, 48);
INSERT INTO public.who_data VALUES (21014, 275, 122356, 6, 1386, 89, 3);
INSERT INTO public.who_data VALUES (21015, 0, 741, 0, 13, 89, 224);
INSERT INTO public.who_data VALUES (21016, 2756, 376929, 34, 7696, 89, 110);
INSERT INTO public.who_data VALUES (21017, 0, 0, 0, 0, 89, 106);
INSERT INTO public.who_data VALUES (21018, 1206, 154783, 11, 2957, 89, 89);
INSERT INTO public.who_data VALUES (21019, 8, 612, 0, 7, 89, 121);
INSERT INTO public.who_data VALUES (21020, 619, 76476, 5, 1657, 89, 163);
INSERT INTO public.who_data VALUES (21021, 1589, 949670, 46, 35595, 89, 70);
INSERT INTO public.who_data VALUES (21022, 1796, 420614, 50, 8173, 89, 174);
INSERT INTO public.who_data VALUES (21023, 0, 0, 0, 0, 89, 175);
INSERT INTO public.who_data VALUES (21024, 15002, 876333, 156, 13774, 89, 118);
INSERT INTO public.who_data VALUES (21025, 4044, 264802, 74, 3971, 89, 189);
INSERT INTO public.who_data VALUES (21026, 741, 48200, 15, 1032, 89, 124);
INSERT INTO public.who_data VALUES (21027, 186, 137415, 0, 236, 89, 192);
INSERT INTO public.who_data VALUES (21028, 349, 31290, 1, 510, 89, 41);
INSERT INTO public.who_data VALUES (21029, 477, 98418, 20, 2169, 89, 95);
INSERT INTO public.who_data VALUES (21030, 188, 7689, 0, 35, 89, 74);
INSERT INTO public.who_data VALUES (21031, 4207, 422852, 130, 10177, 89, 11);
INSERT INTO public.who_data VALUES (21032, 24326, 2138828, 491, 37031, 89, 87);
INSERT INTO public.who_data VALUES (21033, 61, 5726, 0, 47, 89, 214);
INSERT INTO public.who_data VALUES (21034, 0, 5, 0, 0, 89, 116);
INSERT INTO public.who_data VALUES (21035, 0, 127, 0, 0, 89, 157);
INSERT INTO public.who_data VALUES (21036, 0, 0, 0, 0, 89, 182);
INSERT INTO public.who_data VALUES (21037, 0, 20, 0, 0, 89, 186);
INSERT INTO public.who_data VALUES (21038, 19, 223, 0, 2, 89, 127);
INSERT INTO public.who_data VALUES (21039, 0, 690, 0, 12, 89, 232);
INSERT INTO public.who_data VALUES (21040, 0, 14, 0, 0, 89, 33);
INSERT INTO public.who_data VALUES (21041, 0, 84, 0, 0, 89, 97);
INSERT INTO public.who_data VALUES (21042, 0, 0, 0, 0, 89, 42);
INSERT INTO public.who_data VALUES (21043, 0, 1428, 0, 44, 89, 198);
INSERT INTO public.who_data VALUES (21044, 2, 981, 0, 17, 89, 216);
INSERT INTO public.who_data VALUES (21045, 231, 355489, 16, 5796, 89, 164);
INSERT INTO public.who_data VALUES (21046, 15, 15897, 0, 330, 89, 235);
INSERT INTO public.who_data VALUES (21047, 5067, 126187, 38, 1237, 89, 67);
INSERT INTO public.who_data VALUES (21048, 0, 161, 0, 0, 89, 15);
INSERT INTO public.who_data VALUES (21049, 1, 2406, 0, 74, 89, 180);
INSERT INTO public.who_data VALUES (21050, 5, 58165, 0, 28, 89, 237);
INSERT INTO public.who_data VALUES (21051, 0, 14, 0, 0, 89, 25);
INSERT INTO public.who_data VALUES (21052, 34, 1007, 1, 25, 89, 209);
INSERT INTO public.who_data VALUES (21053, 984, 96241, 27, 671, 89, 217);
INSERT INTO public.who_data VALUES (21054, 471, 65798, 53, 1206, 89, 79);
INSERT INTO public.who_data VALUES (21055, 1, 17, 0, 0, 89, 143);
INSERT INTO public.who_data VALUES (21056, 0, 4445, 0, 113, 89, 229);
INSERT INTO public.who_data VALUES (21057, 2080, 769759, 65, 20968, 89, 141);
INSERT INTO public.who_data VALUES (21058, 0, 3047, 0, 60, 89, 197);
INSERT INTO public.who_data VALUES (21059, 4696, 1668717, 237, 45617, 89, 221);
INSERT INTO public.who_data VALUES (21060, 337, 20508, 3, 90, 89, 150);
INSERT INTO public.who_data VALUES (21061, 218, 16649, 8, 1210, 89, 56);
INSERT INTO public.who_data VALUES (21062, 1, 5296, 0, 116, 89, 167);
INSERT INTO public.who_data VALUES (21063, 2422, 221997, 59, 6774, 89, 23);
INSERT INTO public.who_data VALUES (21064, 5434, 306192, 95, 4187, 89, 222);
INSERT INTO public.who_data VALUES (21065, 70, 7295, 4, 380, 89, 219);
INSERT INTO public.who_data VALUES (21066, 38, 11932, 0, 86, 89, 7);
INSERT INTO public.who_data VALUES (21067, 2, 3922, 0, 60, 89, 161);
INSERT INTO public.who_data VALUES (21068, 15450, 1527499, 479, 55230, 89, 149);
INSERT INTO public.who_data VALUES (21069, 0, 30, 0, 0, 89, 6);
INSERT INTO public.who_data VALUES (21070, 0, 2829, 0, 64, 89, 139);
INSERT INTO public.who_data VALUES (21071, 0, 0, 0, 0, 89, 211);
INSERT INTO public.who_data VALUES (21072, 0, 0, 0, 0, 89, 14);
INSERT INTO public.who_data VALUES (21073, 126, 6450, 0, 115, 89, 111);
INSERT INTO public.who_data VALUES (21074, 485, 89196, 41, 2862, 89, 207);
INSERT INTO public.who_data VALUES (21075, 13444, 1254411, 153, 12511, 89, 66);
INSERT INTO public.who_data VALUES (21076, 0, 0, 0, 0, 89, 173);
INSERT INTO public.who_data VALUES (21077, 0, 746, 0, 6, 89, 145);
INSERT INTO public.who_data VALUES (21078, 0, 0, 0, 0, 89, 65);
INSERT INTO public.who_data VALUES (21079, 197, 18165, 9, 181, 89, 184);
INSERT INTO public.who_data VALUES (21080, 12287, 647976, 188, 11263, 89, 98);
INSERT INTO public.who_data VALUES (21081, 1065, 160055, 2, 554, 89, 104);
INSERT INTO public.who_data VALUES (21082, 0, 509, 0, 21, 89, 73);
INSERT INTO public.who_data VALUES (21083, 147098, 12119654, 867, 254798, 89, 8);
INSERT INTO public.who_data VALUES (21084, 0, 1504, 0, 23, 89, 227);
INSERT INTO public.who_data VALUES (21085, 135, 4699, 2, 71, 89, 75);
INSERT INTO public.who_data VALUES (21086, 134, 71847, 1, 604, 89, 45);
INSERT INTO public.who_data VALUES (21087, 0, 1, 0, 0, 89, 133);
INSERT INTO public.who_data VALUES (21088, 400, 99835, 2, 871, 89, 202);
INSERT INTO public.who_data VALUES (21089, 5, 1312, 0, 35, 89, 129);
INSERT INTO public.who_data VALUES (21090, 0, 2, 0, 0, 89, 36);
INSERT INTO public.who_data VALUES (21091, 3, 2076, 0, 605, 89, 51);
INSERT INTO public.who_data VALUES (21092, 30, 17454, 0, 357, 89, 206);
INSERT INTO public.who_data VALUES (21093, 88, 9308, 5, 273, 89, 5);
INSERT INTO public.who_data VALUES (21094, 203, 44706, 12, 1687, 90, 103);
INSERT INTO public.who_data VALUES (21095, 565, 32761, 14, 699, 90, 58);
INSERT INTO public.who_data VALUES (21096, 1088, 74862, 17, 2275, 90, 195);
INSERT INTO public.who_data VALUES (21097, 0, 0, 0, 0, 90, 115);
INSERT INTO public.who_data VALUES (21098, 49, 6256, 0, 76, 90, 99);
INSERT INTO public.who_data VALUES (21099, 80, 14493, 1, 337, 90, 153);
INSERT INTO public.who_data VALUES (21100, 1, 4, 0, 0, 90, 93);
INSERT INTO public.who_data VALUES (21101, 0, 139, 0, 4, 90, 84);
INSERT INTO public.who_data VALUES (21102, 7140, 1366182, 212, 37002, 90, 78);
INSERT INTO public.who_data VALUES (21103, 485, 126022, 24, 1971, 90, 170);
INSERT INTO public.who_data VALUES (21104, 0, 4693, 0, 45, 90, 32);
INSERT INTO public.who_data VALUES (21105, 14, 27821, 0, 907, 90, 155);
INSERT INTO public.who_data VALUES (21106, 5215, 246124, 44, 2199, 90, 82);
INSERT INTO public.who_data VALUES (21107, 3196, 93094, 24, 1131, 90, 16);
INSERT INTO public.who_data VALUES (21108, 46, 7413, 0, 163, 90, 72);
INSERT INTO public.who_data VALUES (21109, 114, 85705, 0, 338, 90, 43);
INSERT INTO public.who_data VALUES (21110, 2060, 447341, 38, 6388, 90, 120);
INSERT INTO public.who_data VALUES (21111, 4, 259, 0, 7, 90, 213);
INSERT INTO public.who_data VALUES (21112, 1564, 123999, 7, 1096, 90, 31);
INSERT INTO public.who_data VALUES (21113, 589, 561750, 135, 15861, 90, 204);
INSERT INTO public.who_data VALUES (21114, 54, 5110, 5, 112, 90, 152);
INSERT INTO public.who_data VALUES (21115, 0, 2916, 0, 43, 90, 144);
INSERT INTO public.who_data VALUES (21116, 0, 227, 0, 9, 90, 96);
INSERT INTO public.who_data VALUES (21117, 3, 382, 0, 0, 90, 47);
INSERT INTO public.who_data VALUES (21118, 68, 143922, 4, 8904, 90, 80);
INSERT INTO public.who_data VALUES (21119, 0, 139, 0, 3, 90, 159);
INSERT INTO public.who_data VALUES (21120, 698, 80007, 30, 2276, 90, 27);
INSERT INTO public.who_data VALUES (21121, 0, 9594, 0, 31, 90, 146);
INSERT INTO public.who_data VALUES (21122, 32622, 6052786, 376, 168989, 90, 71);
INSERT INTO public.who_data VALUES (21123, 0, 72, 0, 1, 90, 210);
INSERT INTO public.who_data VALUES (21124, 0, 148, 0, 3, 90, 54);
INSERT INTO public.who_data VALUES (21125, 1123, 121820, 60, 2880, 90, 147);
INSERT INTO public.who_data VALUES (21126, 32, 2735, 0, 68, 90, 2);
INSERT INTO public.who_data VALUES (21127, 2, 664, 0, 1, 90, 105);
INSERT INTO public.who_data VALUES (21128, 42, 10276, 0, 104, 90, 53);
INSERT INTO public.who_data VALUES (21129, 0, 306, 0, 0, 90, 81);
INSERT INTO public.who_data VALUES (21130, 314, 23842, 0, 435, 90, 223);
INSERT INTO public.who_data VALUES (21131, 4992, 325711, 72, 11406, 90, 94);
INSERT INTO public.who_data VALUES (21132, 0, 261, 0, 2, 90, 154);
INSERT INTO public.who_data VALUES (21133, 0, 4911, 0, 63, 90, 83);
INSERT INTO public.who_data VALUES (21134, 9, 1642, 0, 101, 90, 194);
INSERT INTO public.who_data VALUES (21135, 1497, 540640, 39, 15069, 90, 136);
INSERT INTO public.who_data VALUES (21136, 85, 92733, 0, 4749, 90, 179);
INSERT INTO public.who_data VALUES (21137, 7049, 1240493, 175, 35104, 90, 57);
INSERT INTO public.who_data VALUES (21138, 0, 592, 0, 7, 90, 35);
INSERT INTO public.who_data VALUES (21139, 0, 5632, 0, 93, 90, 228);
INSERT INTO public.who_data VALUES (21140, 0, 0, 0, 0, 90, 19);
INSERT INTO public.who_data VALUES (21141, 0, 129418, 0, 1608, 90, 22);
INSERT INTO public.who_data VALUES (21142, 12, 21138, 2, 131, 90, 1);
INSERT INTO public.who_data VALUES (21143, 3308, 103718, 49, 1353, 90, 21);
INSERT INTO public.who_data VALUES (21144, 48, 7846, 0, 132, 90, 234);
INSERT INTO public.who_data VALUES (21145, 0, 1561, 0, 3, 90, 91);
INSERT INTO public.who_data VALUES (21146, 187, 8643, 1, 44, 90, 137);
INSERT INTO public.who_data VALUES (21147, 1513, 492263, 101, 7196, 90, 201);
INSERT INTO public.who_data VALUES (21148, 0, 0, 0, 0, 90, 171);
INSERT INTO public.who_data VALUES (21149, 59, 12238, 1, 328, 90, 92);
INSERT INTO public.who_data VALUES (21150, 850, 70485, 3, 784, 90, 112);
INSERT INTO public.who_data VALUES (21151, 7, 5668, 0, 61, 90, 62);
INSERT INTO public.who_data VALUES (21152, 5, 77, 0, 0, 90, 69);
INSERT INTO public.who_data VALUES (21153, 640, 138410, 2, 2310, 90, 220);
INSERT INTO public.who_data VALUES (21154, 767, 185643, 62, 13201, 90, 100);
INSERT INTO public.who_data VALUES (21155, 351, 113027, 13, 6548, 90, 187);
INSERT INTO public.who_data VALUES (21156, 312, 37562, 5, 1075, 90, 63);
INSERT INTO public.who_data VALUES (21157, 0, 5130, 0, 85, 90, 28);
INSERT INTO public.who_data VALUES (21158, 0, 551, 0, 0, 90, 172);
INSERT INTO public.who_data VALUES (21159, 349, 9724, 1, 88, 90, 17);
INSERT INTO public.who_data VALUES (21160, 14, 6219, 1, 120, 90, 226);
INSERT INTO public.who_data VALUES (21161, 433, 105785, 11, 1647, 90, 236);
INSERT INTO public.who_data VALUES (21162, 0, 16, 0, 0, 90, 76);
INSERT INTO public.who_data VALUES (21163, 1, 500, 0, 0, 90, 30);
INSERT INTO public.who_data VALUES (21164, 0, 35, 0, 2, 90, 128);
INSERT INTO public.who_data VALUES (21165, 423, 21639, 0, 375, 90, 86);
INSERT INTO public.who_data VALUES (21166, 13157, 2102510, 214, 48384, 90, 140);
INSERT INTO public.who_data VALUES (21167, 0, 11014, 0, 70, 90, 44);
INSERT INTO public.who_data VALUES (21168, 0, 12978, 0, 63, 90, 113);
INSERT INTO public.who_data VALUES (21169, 0, 9131, 0, 59, 90, 29);
INSERT INTO public.who_data VALUES (21170, 0, 3726, 0, 123, 90, 125);
INSERT INTO public.who_data VALUES (21171, 3958, 108690, 36, 1012, 90, 131);
INSERT INTO public.who_data VALUES (21172, 10864, 929133, 90, 14112, 90, 46);
INSERT INTO public.who_data VALUES (21173, 0, 50874, 0, 323, 90, 10);
INSERT INTO public.who_data VALUES (21174, 10, 953, 0, 3, 90, 205);
INSERT INTO public.who_data VALUES (21175, 1498, 91619, 103, 1630, 90, 50);
INSERT INTO public.who_data VALUES (21176, 0, 18, 0, 0, 90, 20);
INSERT INTO public.who_data VALUES (21177, 0, 41, 0, 0, 90, 13);
INSERT INTO public.who_data VALUES (21178, 0, 8225, 0, 144, 90, 148);
INSERT INTO public.who_data VALUES (21179, 73, 6428, 2, 106, 90, 230);
INSERT INTO public.who_data VALUES (21180, 212, 118629, 2, 4076, 90, 190);
INSERT INTO public.who_data VALUES (21181, 0, 283, 0, 13, 90, 188);
INSERT INTO public.who_data VALUES (21182, 28, 12826, 0, 75, 90, 123);
INSERT INTO public.who_data VALUES (21183, 0, 2421, 0, 43, 90, 9);
INSERT INTO public.who_data VALUES (21184, 88, 5093, 0, 143, 90, 102);
INSERT INTO public.who_data VALUES (21185, 0, 9214, 0, 232, 90, 34);
INSERT INTO public.who_data VALUES (21186, 0, 26, 0, 0, 90, 212);
INSERT INTO public.who_data VALUES (21187, 256, 104435, 2, 2857, 90, 122);
INSERT INTO public.who_data VALUES (21188, 3334, 177952, 91, 3891, 90, 38);
INSERT INTO public.who_data VALUES (21189, 8, 5277, 0, 26, 90, 130);
INSERT INTO public.who_data VALUES (21190, 44059, 9139865, 511, 133738, 90, 37);
INSERT INTO public.who_data VALUES (21191, 4360, 497668, 110, 15884, 90, 231);
INSERT INTO public.who_data VALUES (21192, 13053, 854361, 475, 44802, 90, 107);
INSERT INTO public.who_data VALUES (21193, 1766, 535321, 33, 11958, 90, 101);
INSERT INTO public.who_data VALUES (21194, 318, 70461, 0, 2022, 90, 132);
INSERT INTO public.who_data VALUES (21195, 0, 368, 0, 25, 90, 176);
INSERT INTO public.who_data VALUES (21196, 422, 328561, 12, 2801, 90, 200);
INSERT INTO public.who_data VALUES (21197, 28337, 1408868, 562, 49823, 90, 169);
INSERT INTO public.who_data VALUES (21198, 44, 10284, 1, 238, 90, 225);
INSERT INTO public.who_data VALUES (21199, 2179, 132358, 7, 1981, 90, 165);
INSERT INTO public.who_data VALUES (21200, 0, 806, 0, 32, 90, 233);
INSERT INTO public.who_data VALUES (21201, 5268, 183429, 64, 2236, 90, 215);
INSERT INTO public.who_data VALUES (21202, 698, 168083, 0, 2417, 90, 177);
INSERT INTO public.who_data VALUES (21203, 968, 77372, 14, 1380, 90, 183);
INSERT INTO public.who_data VALUES (21204, 0, 0, 0, 0, 90, 203);
INSERT INTO public.who_data VALUES (21205, 707, 34252, 10, 904, 90, 162);
INSERT INTO public.who_data VALUES (21206, 322, 140056, 3, 866, 90, 12);
INSERT INTO public.who_data VALUES (21207, 304, 69885, 6, 1237, 90, 24);
INSERT INTO public.who_data VALUES (21208, 0, 25, 0, 0, 90, 119);
INSERT INTO public.who_data VALUES (21209, 376, 13120, 0, 153, 90, 39);
INSERT INTO public.who_data VALUES (21210, 1193, 116435, 6, 900, 90, 26);
INSERT INTO public.who_data VALUES (21211, 27, 2085, 0, 44, 90, 59);
INSERT INTO public.who_data VALUES (21212, 0, 1554, 0, 82, 90, 77);
INSERT INTO public.who_data VALUES (21213, 1015, 77823, 21, 1089, 90, 134);
INSERT INTO public.who_data VALUES (21214, 31, 1182, 3, 12, 90, 4);
INSERT INTO public.who_data VALUES (21215, 1190, 48201, 20, 461, 90, 109);
INSERT INTO public.who_data VALUES (21216, 571, 30333, 2, 262, 90, 90);
INSERT INTO public.who_data VALUES (21217, 31, 17341, 1, 251, 90, 61);
INSERT INTO public.who_data VALUES (21218, 0, 6003, 0, 185, 90, 85);
INSERT INTO public.who_data VALUES (21219, 1096, 54775, 3, 335, 90, 49);
INSERT INTO public.who_data VALUES (21220, 30, 12608, 1, 46, 90, 208);
INSERT INTO public.who_data VALUES (21221, 49, 4255, 2, 145, 90, 166);
INSERT INTO public.who_data VALUES (21222, 102, 8913, 2, 107, 90, 64);
INSERT INTO public.who_data VALUES (21223, 0, 4, 0, 0, 90, 199);
INSERT INTO public.who_data VALUES (21224, 0, 5091, 0, 39, 90, 114);
INSERT INTO public.who_data VALUES (21225, 0, 8075, 0, 169, 90, 60);
INSERT INTO public.who_data VALUES (21226, 0, 491, 0, 10, 90, 68);
INSERT INTO public.who_data VALUES (21227, 0, 5036, 0, 48, 90, 158);
INSERT INTO public.who_data VALUES (21228, 6719, 1032688, 550, 101373, 90, 52);
INSERT INTO public.who_data VALUES (21229, 0, 0, 0, 0, 90, 117);
INSERT INTO public.who_data VALUES (21230, 1, 585, 0, 3, 90, 126);
INSERT INTO public.who_data VALUES (21231, 47, 629, 0, 0, 90, 196);
INSERT INTO public.who_data VALUES (21232, 639, 32124, 5, 443, 90, 142);
INSERT INTO public.who_data VALUES (21233, 0, 13, 0, 1, 90, 185);
INSERT INTO public.who_data VALUES (21234, 3979, 324941, 60, 5316, 90, 138);
INSERT INTO public.who_data VALUES (21235, 56, 15037, 1, 124, 90, 181);
INSERT INTO public.who_data VALUES (21236, 1398, 79246, 17, 1739, 90, 178);
INSERT INTO public.who_data VALUES (21237, 54, 13865, 1, 144, 90, 168);
INSERT INTO public.who_data VALUES (21238, 0, 0, 0, 0, 90, 160);
INSERT INTO public.who_data VALUES (21239, 1669, 220308, 16, 1321, 90, 151);
INSERT INTO public.who_data VALUES (21240, 5361, 483351, 21, 8870, 90, 193);
INSERT INTO public.who_data VALUES (21241, 0, 32, 0, 0, 90, 18);
INSERT INTO public.who_data VALUES (21242, 1, 1673, 0, 25, 90, 40);
INSERT INTO public.who_data VALUES (21243, 0, 4583, 0, 159, 90, 218);
INSERT INTO public.who_data VALUES (21244, 17, 1368, 0, 70, 90, 191);
INSERT INTO public.who_data VALUES (21245, 155, 66383, 1, 1167, 90, 156);
INSERT INTO public.who_data VALUES (21246, 0, 0, 0, 0, 90, 135);
INSERT INTO public.who_data VALUES (21247, 0, 104, 0, 2, 90, 88);
INSERT INTO public.who_data VALUES (21248, 1112, 54743, 24, 1511, 90, 55);
INSERT INTO public.who_data VALUES (21249, 0, 31438, 0, 306, 90, 108);
INSERT INTO public.who_data VALUES (21250, 1560, 84340, 16, 714, 90, 48);
INSERT INTO public.who_data VALUES (21251, 721, 122081, 15, 1380, 90, 3);
INSERT INTO public.who_data VALUES (21252, 0, 741, 0, 13, 90, 224);
INSERT INTO public.who_data VALUES (21253, 2665, 374173, 59, 7662, 90, 110);
INSERT INTO public.who_data VALUES (21254, 0, 0, 0, 0, 90, 106);
INSERT INTO public.who_data VALUES (21255, 1288, 153577, 14, 2946, 90, 89);
INSERT INTO public.who_data VALUES (21256, 0, 604, 0, 7, 90, 121);
INSERT INTO public.who_data VALUES (21257, 799, 75857, 5, 1652, 90, 163);
INSERT INTO public.who_data VALUES (21258, 1994, 948081, 65, 35549, 90, 70);
INSERT INTO public.who_data VALUES (21259, 1966, 418818, 43, 8123, 90, 174);
INSERT INTO public.who_data VALUES (21260, 0, 0, 0, 0, 90, 175);
INSERT INTO public.who_data VALUES (21261, 17856, 861331, 330, 13618, 90, 118);
INSERT INTO public.who_data VALUES (21262, 4788, 260758, 73, 3897, 90, 189);
INSERT INTO public.who_data VALUES (21263, 1025, 47459, 5, 1017, 90, 124);
INSERT INTO public.who_data VALUES (21264, 167, 137229, 1, 236, 90, 192);
INSERT INTO public.who_data VALUES (21265, 271, 30941, 4, 509, 90, 41);
INSERT INTO public.who_data VALUES (21266, 1252, 97941, 19, 2149, 90, 95);
INSERT INTO public.who_data VALUES (21267, 0, 7501, 0, 35, 90, 74);
INSERT INTO public.who_data VALUES (21268, 5837, 418645, 131, 10047, 90, 11);
INSERT INTO public.who_data VALUES (21269, 25173, 2114502, 361, 36540, 90, 87);
INSERT INTO public.who_data VALUES (21270, 45, 5665, 1, 47, 90, 214);
INSERT INTO public.who_data VALUES (21271, 0, 5, 0, 0, 90, 116);
INSERT INTO public.who_data VALUES (21272, 0, 127, 0, 0, 90, 157);
INSERT INTO public.who_data VALUES (21273, 0, 0, 0, 0, 90, 182);
INSERT INTO public.who_data VALUES (21274, 1, 20, 0, 0, 90, 186);
INSERT INTO public.who_data VALUES (21275, 1, 204, 0, 2, 90, 127);
INSERT INTO public.who_data VALUES (21276, 0, 690, 0, 12, 90, 232);
INSERT INTO public.who_data VALUES (21277, 0, 14, 0, 0, 90, 33);
INSERT INTO public.who_data VALUES (21278, 0, 84, 0, 0, 90, 97);
INSERT INTO public.who_data VALUES (21279, 0, 0, 0, 0, 90, 42);
INSERT INTO public.who_data VALUES (21280, 1, 1428, 1, 44, 90, 198);
INSERT INTO public.who_data VALUES (21281, 0, 979, 0, 17, 90, 216);
INSERT INTO public.who_data VALUES (21282, 224, 355258, 19, 5780, 90, 164);
INSERT INTO public.who_data VALUES (21283, 17, 15882, 0, 330, 90, 235);
INSERT INTO public.who_data VALUES (21284, 4995, 121120, 31, 1199, 90, 67);
INSERT INTO public.who_data VALUES (21285, 0, 161, 0, 0, 90, 15);
INSERT INTO public.who_data VALUES (21286, 0, 2405, 0, 74, 90, 180);
INSERT INTO public.who_data VALUES (21287, 12, 58160, 0, 28, 90, 237);
INSERT INTO public.who_data VALUES (21288, 0, 14, 0, 0, 90, 25);
INSERT INTO public.who_data VALUES (21289, 0, 973, 0, 24, 90, 209);
INSERT INTO public.who_data VALUES (21290, 1861, 95257, 30, 644, 90, 217);
INSERT INTO public.who_data VALUES (21291, 1025, 65327, 26, 1153, 90, 79);
INSERT INTO public.who_data VALUES (21292, 0, 16, 0, 0, 90, 143);
INSERT INTO public.who_data VALUES (21293, 63, 4445, 5, 113, 90, 229);
INSERT INTO public.who_data VALUES (21294, 2270, 767679, 58, 20903, 90, 141);
INSERT INTO public.who_data VALUES (21295, 0, 3047, 0, 60, 90, 197);
INSERT INTO public.who_data VALUES (21296, 7347, 1664021, 258, 45380, 90, 221);
INSERT INTO public.who_data VALUES (21297, 400, 20171, 4, 87, 90, 150);
INSERT INTO public.who_data VALUES (21298, 244, 16431, 3, 1202, 90, 56);
INSERT INTO public.who_data VALUES (21299, 6, 5295, 0, 116, 90, 167);
INSERT INTO public.who_data VALUES (21300, 4492, 219575, 51, 6715, 90, 23);
INSERT INTO public.who_data VALUES (21301, 1871, 300758, 76, 4092, 90, 222);
INSERT INTO public.who_data VALUES (21302, 71, 7225, 4, 376, 90, 219);
INSERT INTO public.who_data VALUES (21303, 40, 11894, 0, 86, 90, 7);
INSERT INTO public.who_data VALUES (21304, 7, 3920, 0, 60, 90, 161);
INSERT INTO public.who_data VALUES (21305, 18662, 1512049, 125, 54751, 90, 149);
INSERT INTO public.who_data VALUES (21306, 0, 30, 0, 0, 90, 6);
INSERT INTO public.who_data VALUES (21307, 58, 2829, 1, 64, 90, 139);
INSERT INTO public.who_data VALUES (21308, 0, 0, 0, 0, 90, 211);
INSERT INTO public.who_data VALUES (21309, 0, 0, 0, 0, 90, 14);
INSERT INTO public.who_data VALUES (21310, 63, 6324, 2, 115, 90, 111);
INSERT INTO public.who_data VALUES (21311, 1240, 88711, 69, 2821, 90, 207);
INSERT INTO public.who_data VALUES (21312, 12748, 1240967, 139, 12358, 90, 66);
INSERT INTO public.who_data VALUES (21313, 0, 0, 0, 0, 90, 173);
INSERT INTO public.who_data VALUES (21314, 20, 746, 0, 6, 90, 145);
INSERT INTO public.who_data VALUES (21315, 0, 0, 0, 0, 90, 65);
INSERT INTO public.who_data VALUES (21316, 301, 17968, 4, 172, 90, 184);
INSERT INTO public.who_data VALUES (21317, 10945, 635689, 124, 11075, 90, 98);
INSERT INTO public.who_data VALUES (21318, 1205, 158990, 4, 552, 90, 104);
INSERT INTO public.who_data VALUES (21319, 0, 509, 0, 21, 90, 73);
INSERT INTO public.who_data VALUES (21320, 183544, 11972556, 1471, 253931, 90, 8);
INSERT INTO public.who_data VALUES (21321, 13, 1504, 0, 23, 90, 227);
INSERT INTO public.who_data VALUES (21322, 87, 4564, 0, 69, 90, 75);
INSERT INTO public.who_data VALUES (21323, 161, 71713, 0, 603, 90, 45);
INSERT INTO public.who_data VALUES (21324, 0, 1, 0, 0, 90, 133);
INSERT INTO public.who_data VALUES (21325, 418, 99435, 3, 869, 90, 202);
INSERT INTO public.who_data VALUES (21326, 1, 1307, 0, 35, 90, 129);
INSERT INTO public.who_data VALUES (21327, 0, 2, 0, 0, 90, 36);
INSERT INTO public.who_data VALUES (21328, 0, 2073, 0, 605, 90, 51);
INSERT INTO public.who_data VALUES (21329, 30, 17424, 1, 357, 90, 206);
INSERT INTO public.who_data VALUES (21330, 100, 9220, 3, 268, 90, 5);
INSERT INTO public.who_data VALUES (21331, 60, 44503, 14, 1675, 91, 103);
INSERT INTO public.who_data VALUES (21332, 737, 32196, 13, 685, 91, 58);
INSERT INTO public.who_data VALUES (21333, 1019, 73774, 19, 2258, 91, 195);
INSERT INTO public.who_data VALUES (21334, 0, 0, 0, 0, 91, 115);
INSERT INTO public.who_data VALUES (21335, 65, 6207, 0, 76, 91, 99);
INSERT INTO public.who_data VALUES (21336, 146, 14413, 2, 336, 91, 153);
INSERT INTO public.who_data VALUES (21337, 0, 3, 0, 0, 91, 93);
INSERT INTO public.who_data VALUES (21338, 0, 139, 0, 4, 91, 84);
INSERT INTO public.who_data VALUES (21339, 9608, 1359042, 258, 36790, 91, 78);
INSERT INTO public.who_data VALUES (21340, 1385, 125537, 21, 1947, 91, 170);
INSERT INTO public.who_data VALUES (21341, 0, 4693, 0, 45, 91, 32);
INSERT INTO public.who_data VALUES (21342, 18, 27807, 0, 907, 91, 155);
INSERT INTO public.who_data VALUES (21343, 6239, 240909, 58, 2155, 91, 82);
INSERT INTO public.who_data VALUES (21344, 2735, 89898, 28, 1107, 91, 16);
INSERT INTO public.who_data VALUES (21345, 0, 7367, 0, 163, 91, 72);
INSERT INTO public.who_data VALUES (21346, 124, 85591, 0, 338, 91, 43);
INSERT INTO public.who_data VALUES (21347, 1847, 445281, 28, 6350, 91, 120);
INSERT INTO public.who_data VALUES (21348, 2, 255, 0, 7, 91, 213);
INSERT INTO public.who_data VALUES (21349, 1588, 122435, 8, 1089, 91, 31);
INSERT INTO public.who_data VALUES (21350, 1263, 561161, 139, 15726, 91, 204);
INSERT INTO public.who_data VALUES (21351, 38, 5056, 5, 107, 91, 152);
INSERT INTO public.who_data VALUES (21352, 0, 2916, 0, 43, 91, 144);
INSERT INTO public.who_data VALUES (21353, 0, 227, 0, 9, 91, 96);
INSERT INTO public.who_data VALUES (21354, 1, 379, 0, 0, 91, 47);
INSERT INTO public.who_data VALUES (21355, 98, 143854, 11, 8900, 91, 80);
INSERT INTO public.who_data VALUES (21356, 0, 139, 0, 3, 91, 159);
INSERT INTO public.who_data VALUES (21357, 1315, 79309, 37, 2246, 91, 27);
INSERT INTO public.who_data VALUES (21358, 0, 9594, 0, 31, 91, 146);
INSERT INTO public.who_data VALUES (21359, 38397, 6020164, 552, 168613, 91, 71);
INSERT INTO public.who_data VALUES (21360, 0, 72, 0, 1, 91, 210);
INSERT INTO public.who_data VALUES (21361, 0, 148, 0, 3, 91, 54);
INSERT INTO public.who_data VALUES (21362, 2279, 120697, 42, 2820, 91, 147);
INSERT INTO public.who_data VALUES (21363, 17, 2703, 0, 68, 91, 2);
INSERT INTO public.who_data VALUES (21364, 6, 662, 0, 1, 91, 105);
INSERT INTO public.who_data VALUES (21365, 82, 10234, 0, 104, 91, 53);
INSERT INTO public.who_data VALUES (21366, 1, 306, 0, 0, 91, 81);
INSERT INTO public.who_data VALUES (21367, 0, 23528, 0, 435, 91, 223);
INSERT INTO public.who_data VALUES (21368, 4968, 320719, 69, 11334, 91, 94);
INSERT INTO public.who_data VALUES (21369, 2, 261, 0, 2, 91, 154);
INSERT INTO public.who_data VALUES (21370, 0, 4911, 0, 63, 91, 83);
INSERT INTO public.who_data VALUES (21371, 7, 1633, 0, 101, 91, 194);
INSERT INTO public.who_data VALUES (21372, 1558, 539143, 27, 15030, 91, 136);
INSERT INTO public.who_data VALUES (21373, 60, 92648, 0, 4749, 91, 179);
INSERT INTO public.who_data VALUES (21374, 7954, 1233444, 168, 34929, 91, 57);
INSERT INTO public.who_data VALUES (21375, 0, 592, 0, 7, 91, 35);
INSERT INTO public.who_data VALUES (21376, 0, 5632, 0, 93, 91, 228);
INSERT INTO public.who_data VALUES (21377, 0, 0, 0, 0, 91, 19);
INSERT INTO public.who_data VALUES (21378, 1187, 129418, 9, 1608, 91, 22);
INSERT INTO public.who_data VALUES (21379, 27, 21126, 0, 129, 91, 1);
INSERT INTO public.who_data VALUES (21380, 3573, 100410, 47, 1304, 91, 21);
INSERT INTO public.who_data VALUES (21381, 35, 7798, 1, 132, 91, 234);
INSERT INTO public.who_data VALUES (21382, 0, 1561, 0, 3, 91, 91);
INSERT INTO public.who_data VALUES (21383, 245, 8456, 0, 43, 91, 137);
INSERT INTO public.who_data VALUES (21384, 3187, 490750, 74, 7095, 91, 201);
INSERT INTO public.who_data VALUES (21385, 0, 0, 0, 0, 91, 171);
INSERT INTO public.who_data VALUES (21386, 51, 12179, 3, 327, 91, 92);
INSERT INTO public.who_data VALUES (21387, 1273, 69635, 3, 781, 91, 112);
INSERT INTO public.who_data VALUES (21388, 1, 5661, 0, 61, 91, 62);
INSERT INTO public.who_data VALUES (21389, 0, 72, 0, 0, 91, 69);
INSERT INTO public.who_data VALUES (21390, 986, 137770, 2, 2308, 91, 220);
INSERT INTO public.who_data VALUES (21391, 1036, 184876, 44, 13139, 91, 100);
INSERT INTO public.who_data VALUES (21392, 358, 112676, 14, 6535, 91, 187);
INSERT INTO public.who_data VALUES (21393, 0, 37250, 6, 1070, 91, 63);
INSERT INTO public.who_data VALUES (21394, 9, 5130, 0, 85, 91, 28);
INSERT INTO public.who_data VALUES (21395, 24, 551, 0, 0, 91, 172);
INSERT INTO public.who_data VALUES (21396, 299, 9375, 0, 87, 91, 17);
INSERT INTO public.who_data VALUES (21397, 20, 6205, 0, 119, 91, 226);
INSERT INTO public.who_data VALUES (21398, 473, 105352, 16, 1636, 91, 236);
INSERT INTO public.who_data VALUES (21399, 0, 16, 0, 0, 91, 76);
INSERT INTO public.who_data VALUES (21400, 1, 499, 0, 0, 91, 30);
INSERT INTO public.who_data VALUES (21401, 0, 35, 0, 2, 91, 128);
INSERT INTO public.who_data VALUES (21402, 469, 21216, 0, 375, 91, 86);
INSERT INTO public.who_data VALUES (21403, 17854, 2089353, 253, 48170, 91, 140);
INSERT INTO public.who_data VALUES (21404, 27, 11014, 0, 70, 91, 44);
INSERT INTO public.who_data VALUES (21405, 0, 12978, 0, 63, 91, 113);
INSERT INTO public.who_data VALUES (21406, 0, 9131, 0, 59, 91, 29);
INSERT INTO public.who_data VALUES (21407, 10, 3726, 1, 123, 91, 125);
INSERT INTO public.who_data VALUES (21408, 4048, 104732, 49, 976, 91, 131);
INSERT INTO public.who_data VALUES (21409, 15741, 918269, 138, 14022, 91, 46);
INSERT INTO public.who_data VALUES (21410, 243, 50874, 0, 323, 91, 10);
INSERT INTO public.who_data VALUES (21411, 12, 943, 0, 3, 91, 205);
INSERT INTO public.who_data VALUES (21412, 2309, 90121, 108, 1527, 91, 50);
INSERT INTO public.who_data VALUES (21413, 0, 18, 0, 0, 91, 20);
INSERT INTO public.who_data VALUES (21414, 0, 41, 0, 0, 91, 13);
INSERT INTO public.who_data VALUES (21415, 0, 8225, 0, 144, 91, 148);
INSERT INTO public.who_data VALUES (21416, 24, 6355, 1, 104, 91, 230);
INSERT INTO public.who_data VALUES (21417, 660, 118417, 7, 4074, 91, 190);
INSERT INTO public.who_data VALUES (21418, 1, 283, 0, 13, 91, 188);
INSERT INTO public.who_data VALUES (21419, 0, 12798, 0, 75, 91, 123);
INSERT INTO public.who_data VALUES (21420, 0, 2421, 0, 43, 91, 9);
INSERT INTO public.who_data VALUES (21421, 29, 5005, 0, 143, 91, 102);
INSERT INTO public.who_data VALUES (21422, 3, 9214, 0, 232, 91, 34);
INSERT INTO public.who_data VALUES (21423, 0, 26, 0, 0, 91, 212);
INSERT INTO public.who_data VALUES (21424, 628, 104179, 2, 2855, 91, 122);
INSERT INTO public.who_data VALUES (21425, 4320, 174618, 111, 3800, 91, 38);
INSERT INTO public.who_data VALUES (21426, 18, 5269, 0, 26, 91, 130);
INSERT INTO public.who_data VALUES (21427, 45209, 9095806, 501, 133227, 91, 37);
INSERT INTO public.who_data VALUES (21428, 4998, 493308, 96, 15774, 91, 231);
INSERT INTO public.who_data VALUES (21429, 12931, 841308, 431, 44327, 91, 107);
INSERT INTO public.who_data VALUES (21430, 1786, 533555, 42, 11925, 91, 101);
INSERT INTO public.who_data VALUES (21431, 341, 70143, 4, 2022, 91, 132);
INSERT INTO public.who_data VALUES (21432, 2, 368, 0, 25, 91, 176);
INSERT INTO public.who_data VALUES (21433, 773, 328139, 6, 2789, 91, 200);
INSERT INTO public.who_data VALUES (21434, 34764, 1380531, 692, 49261, 91, 169);
INSERT INTO public.who_data VALUES (21435, 89, 10240, 2, 237, 91, 225);
INSERT INTO public.who_data VALUES (21436, 2514, 130179, 11, 1974, 91, 165);
INSERT INTO public.who_data VALUES (21437, 14, 806, 0, 32, 91, 233);
INSERT INTO public.who_data VALUES (21438, 3826, 178161, 56, 2172, 91, 215);
INSERT INTO public.who_data VALUES (21439, 760, 167385, 52, 2417, 91, 177);
INSERT INTO public.who_data VALUES (21440, 1211, 76404, 17, 1366, 91, 183);
INSERT INTO public.who_data VALUES (21441, 0, 0, 0, 0, 91, 203);
INSERT INTO public.who_data VALUES (21442, 711, 33545, 19, 894, 91, 162);
INSERT INTO public.who_data VALUES (21443, 426, 139734, 2, 863, 91, 12);
INSERT INTO public.who_data VALUES (21444, 432, 69581, 4, 1231, 91, 24);
INSERT INTO public.who_data VALUES (21445, 0, 25, 0, 0, 91, 119);
INSERT INTO public.who_data VALUES (21446, 642, 12744, 7, 153, 91, 39);
INSERT INTO public.who_data VALUES (21447, 1628, 115242, 10, 894, 91, 26);
INSERT INTO public.who_data VALUES (21448, 0, 2058, 0, 44, 91, 59);
INSERT INTO public.who_data VALUES (21449, 15, 1554, 0, 82, 91, 77);
INSERT INTO public.who_data VALUES (21450, 0, 76808, 0, 1068, 91, 134);
INSERT INTO public.who_data VALUES (21451, 14, 1151, 1, 9, 91, 4);
INSERT INTO public.who_data VALUES (21452, 2309, 47011, 27, 441, 91, 109);
INSERT INTO public.who_data VALUES (21453, 519, 29762, 6, 260, 91, 90);
INSERT INTO public.who_data VALUES (21454, 0, 17310, 0, 250, 91, 61);
INSERT INTO public.who_data VALUES (21455, 0, 6003, 0, 185, 91, 85);
INSERT INTO public.who_data VALUES (21456, 1041, 53679, 3, 332, 91, 49);
INSERT INTO public.who_data VALUES (21457, 32, 12578, 0, 45, 91, 208);
INSERT INTO public.who_data VALUES (21458, 37, 4206, 0, 143, 91, 166);
INSERT INTO public.who_data VALUES (21459, 141, 8811, 2, 105, 91, 64);
INSERT INTO public.who_data VALUES (21460, 0, 4, 0, 0, 91, 199);
INSERT INTO public.who_data VALUES (21461, 0, 5091, 0, 39, 91, 114);
INSERT INTO public.who_data VALUES (21462, 0, 8075, 0, 169, 91, 60);
INSERT INTO public.who_data VALUES (21463, 0, 491, 0, 10, 91, 68);
INSERT INTO public.who_data VALUES (21464, 0, 5036, 0, 48, 91, 158);
INSERT INTO public.who_data VALUES (21465, 6426, 1025969, 719, 100823, 91, 52);
INSERT INTO public.who_data VALUES (21466, 0, 0, 0, 0, 91, 117);
INSERT INTO public.who_data VALUES (21467, 4, 584, 0, 3, 91, 126);
INSERT INTO public.who_data VALUES (21468, 25, 582, 0, 0, 91, 196);
INSERT INTO public.who_data VALUES (21469, 409, 31485, 5, 438, 91, 142);
INSERT INTO public.who_data VALUES (21470, 0, 13, 0, 1, 91, 185);
INSERT INTO public.who_data VALUES (21471, 4702, 320962, 74, 5256, 91, 138);
INSERT INTO public.who_data VALUES (21472, 104, 14981, 2, 123, 91, 181);
INSERT INTO public.who_data VALUES (21473, 1434, 77848, 27, 1722, 91, 178);
INSERT INTO public.who_data VALUES (21474, 99, 13811, 0, 143, 91, 168);
INSERT INTO public.who_data VALUES (21475, 0, 0, 0, 0, 91, 160);
INSERT INTO public.who_data VALUES (21476, 1674, 218639, 7, 1305, 91, 151);
INSERT INTO public.who_data VALUES (21477, 6006, 477990, 47, 8849, 91, 193);
INSERT INTO public.who_data VALUES (21478, 0, 32, 0, 0, 91, 18);
INSERT INTO public.who_data VALUES (21479, 9, 1672, 0, 25, 91, 40);
INSERT INTO public.who_data VALUES (21480, 0, 4583, 0, 159, 91, 218);
INSERT INTO public.who_data VALUES (21481, 16, 1351, 0, 70, 91, 191);
INSERT INTO public.who_data VALUES (21482, 246, 66228, 1, 1166, 91, 156);
INSERT INTO public.who_data VALUES (21483, 0, 0, 0, 0, 91, 135);
INSERT INTO public.who_data VALUES (21484, 1, 104, 0, 2, 91, 88);
INSERT INTO public.who_data VALUES (21485, 1182, 53631, 25, 1487, 91, 55);
INSERT INTO public.who_data VALUES (21486, 0, 31438, 0, 306, 91, 108);
INSERT INTO public.who_data VALUES (21487, 1486, 82780, 14, 698, 91, 48);
INSERT INTO public.who_data VALUES (21488, 0, 121360, 0, 1365, 91, 3);
INSERT INTO public.who_data VALUES (21489, 0, 741, 0, 13, 91, 224);
INSERT INTO public.who_data VALUES (21490, 2843, 371508, 42, 7603, 91, 110);
INSERT INTO public.who_data VALUES (21491, 0, 0, 0, 0, 91, 106);
INSERT INTO public.who_data VALUES (21492, 1200, 152289, 10, 2932, 91, 89);
INSERT INTO public.who_data VALUES (21493, 0, 604, 0, 7, 91, 121);
INSERT INTO public.who_data VALUES (21494, 563, 75058, 11, 1647, 91, 163);
INSERT INTO public.who_data VALUES (21495, 2170, 946087, 38, 35484, 91, 70);
INSERT INTO public.who_data VALUES (21496, 1785, 416852, 55, 8080, 91, 174);
INSERT INTO public.who_data VALUES (21497, 0, 0, 0, 0, 91, 175);
INSERT INTO public.who_data VALUES (21498, 24213, 843475, 574, 13288, 91, 118);
INSERT INTO public.who_data VALUES (21499, 6472, 255970, 62, 3824, 91, 189);
INSERT INTO public.who_data VALUES (21500, 1099, 46434, 21, 1012, 91, 124);
INSERT INTO public.who_data VALUES (21501, 174, 137062, 0, 235, 91, 192);
INSERT INTO public.who_data VALUES (21502, 330, 30670, 2, 505, 91, 41);
INSERT INTO public.who_data VALUES (21503, 1306, 96689, 19, 2130, 91, 95);
INSERT INTO public.who_data VALUES (21504, 0, 7501, 0, 35, 91, 74);
INSERT INTO public.who_data VALUES (21505, 9685, 412808, 160, 9916, 91, 11);
INSERT INTO public.who_data VALUES (21506, 24581, 2089329, 401, 36179, 91, 87);
INSERT INTO public.who_data VALUES (21507, 34, 5620, 0, 46, 91, 214);
INSERT INTO public.who_data VALUES (21508, 0, 5, 0, 0, 91, 116);
INSERT INTO public.who_data VALUES (21509, 0, 127, 0, 0, 91, 157);
INSERT INTO public.who_data VALUES (21510, 0, 0, 0, 0, 91, 182);
INSERT INTO public.who_data VALUES (21511, 0, 19, 0, 0, 91, 186);
INSERT INTO public.who_data VALUES (21512, 0, 203, 0, 2, 91, 127);
INSERT INTO public.who_data VALUES (21513, 0, 690, 0, 12, 91, 232);
INSERT INTO public.who_data VALUES (21514, 0, 14, 0, 0, 91, 33);
INSERT INTO public.who_data VALUES (21515, 0, 84, 0, 0, 91, 97);
INSERT INTO public.who_data VALUES (21516, 0, 0, 0, 0, 91, 42);
INSERT INTO public.who_data VALUES (21517, 32, 1427, 0, 43, 91, 198);
INSERT INTO public.who_data VALUES (21518, 5, 979, 0, 17, 91, 216);
INSERT INTO public.who_data VALUES (21519, 221, 355034, 16, 5761, 91, 164);
INSERT INTO public.who_data VALUES (21520, 17, 15865, 0, 330, 91, 235);
INSERT INTO public.who_data VALUES (21521, 5774, 116125, 28, 1168, 91, 67);
INSERT INTO public.who_data VALUES (21522, 0, 161, 0, 0, 91, 15);
INSERT INTO public.who_data VALUES (21523, 6, 2405, 0, 74, 91, 180);
INSERT INTO public.who_data VALUES (21524, 5, 58148, 0, 28, 91, 237);
INSERT INTO public.who_data VALUES (21525, 0, 14, 0, 0, 91, 25);
INSERT INTO public.who_data VALUES (21526, 0, 973, 0, 24, 91, 209);
INSERT INTO public.who_data VALUES (21527, 1818, 93396, 35, 614, 91, 217);
INSERT INTO public.who_data VALUES (21528, 1691, 64302, 43, 1127, 91, 79);
INSERT INTO public.who_data VALUES (21529, 0, 16, 0, 0, 91, 143);
INSERT INTO public.who_data VALUES (21530, 0, 4382, 0, 108, 91, 229);
INSERT INTO public.who_data VALUES (21531, 2646, 765409, 86, 20845, 91, 141);
INSERT INTO public.who_data VALUES (21532, 0, 3047, 0, 60, 91, 197);
INSERT INTO public.who_data VALUES (21533, 12847, 1656674, 298, 45122, 91, 221);
INSERT INTO public.who_data VALUES (21534, 491, 19771, 9, 83, 91, 150);
INSERT INTO public.who_data VALUES (21535, 135, 16187, 2, 1199, 91, 56);
INSERT INTO public.who_data VALUES (21536, 5, 5289, 0, 116, 91, 167);
INSERT INTO public.who_data VALUES (21537, 5458, 215083, 45, 6664, 91, 23);
INSERT INTO public.who_data VALUES (21538, 2571, 298887, 77, 4016, 91, 222);
INSERT INTO public.who_data VALUES (21539, 75, 7154, 4, 372, 91, 219);
INSERT INTO public.who_data VALUES (21540, 39, 11854, 0, 86, 91, 7);
INSERT INTO public.who_data VALUES (21541, 11, 3913, 0, 60, 91, 161);
INSERT INTO public.who_data VALUES (21542, 19875, 1493387, 340, 54626, 91, 149);
INSERT INTO public.who_data VALUES (21543, 0, 30, 0, 0, 91, 6);
INSERT INTO public.who_data VALUES (21544, 0, 2771, 0, 63, 91, 139);
INSERT INTO public.who_data VALUES (21545, 0, 0, 0, 0, 91, 211);
INSERT INTO public.who_data VALUES (21546, 0, 0, 0, 0, 91, 14);
INSERT INTO public.who_data VALUES (21547, 28, 6261, 0, 113, 91, 111);
INSERT INTO public.who_data VALUES (21548, 1206, 87471, 68, 2752, 91, 207);
INSERT INTO public.who_data VALUES (21549, 12263, 1228219, 135, 12219, 91, 66);
INSERT INTO public.who_data VALUES (21550, 0, 0, 0, 0, 91, 173);
INSERT INTO public.who_data VALUES (21551, 0, 726, 0, 6, 91, 145);
INSERT INTO public.who_data VALUES (21552, 0, 0, 0, 0, 91, 65);
INSERT INTO public.who_data VALUES (21553, 236, 17667, 0, 168, 91, 184);
INSERT INTO public.who_data VALUES (21554, 12079, 624744, 138, 10951, 91, 98);
INSERT INTO public.who_data VALUES (21555, 1262, 157785, 1, 548, 91, 104);
INSERT INTO public.who_data VALUES (21556, 0, 509, 0, 21, 91, 73);
INSERT INTO public.who_data VALUES (21557, 191033, 11789012, 1853, 252460, 91, 8);
INSERT INTO public.who_data VALUES (21558, 9, 1491, 0, 23, 91, 227);
INSERT INTO public.who_data VALUES (21559, 100, 4477, 0, 69, 91, 75);
INSERT INTO public.who_data VALUES (21560, 272, 71552, 0, 603, 91, 45);
INSERT INTO public.who_data VALUES (21561, 0, 1, 0, 0, 91, 133);
INSERT INTO public.who_data VALUES (21562, 352, 99017, 3, 866, 91, 202);
INSERT INTO public.who_data VALUES (21563, 1, 1306, 0, 35, 91, 129);
INSERT INTO public.who_data VALUES (21564, 0, 2, 0, 0, 91, 36);
INSERT INTO public.who_data VALUES (21565, 0, 2073, 0, 605, 91, 51);
INSERT INTO public.who_data VALUES (21566, 21, 17394, 0, 356, 91, 206);
INSERT INTO public.who_data VALUES (21567, 0, 9120, 0, 265, 91, 5);
INSERT INTO public.who_data VALUES (21568, 215, 44443, 11, 1661, 92, 103);
INSERT INTO public.who_data VALUES (21569, 836, 31459, 15, 672, 92, 58);
INSERT INTO public.who_data VALUES (21570, 1103, 72755, 15, 2239, 92, 195);
INSERT INTO public.who_data VALUES (21571, 0, 0, 0, 0, 92, 115);
INSERT INTO public.who_data VALUES (21572, 76, 6142, 0, 76, 92, 99);
INSERT INTO public.who_data VALUES (21573, 133, 14267, 1, 334, 92, 153);
INSERT INTO public.who_data VALUES (21574, 0, 3, 0, 0, 92, 93);
INSERT INTO public.who_data VALUES (21575, 0, 139, 0, 4, 92, 84);
INSERT INTO public.who_data VALUES (21576, 10097, 1349434, 185, 36532, 92, 78);
INSERT INTO public.who_data VALUES (21577, 1193, 124152, 31, 1926, 92, 170);
INSERT INTO public.who_data VALUES (21578, 8, 4693, 0, 45, 92, 32);
INSERT INTO public.who_data VALUES (21579, 5, 27789, 0, 907, 92, 155);
INSERT INTO public.who_data VALUES (21580, 6612, 234670, 79, 2097, 92, 82);
INSERT INTO public.who_data VALUES (21581, 3169, 87163, 26, 1079, 92, 16);
INSERT INTO public.who_data VALUES (21582, 19, 7367, 0, 163, 92, 72);
INSERT INTO public.who_data VALUES (21583, 150, 85467, 1, 338, 92, 43);
INSERT INTO public.who_data VALUES (21584, 2275, 443434, 17, 6322, 92, 120);
INSERT INTO public.who_data VALUES (21585, 0, 253, 0, 7, 92, 213);
INSERT INTO public.who_data VALUES (21586, 1457, 120847, 7, 1081, 92, 31);
INSERT INTO public.who_data VALUES (21587, 3082, 559898, 169, 15587, 92, 204);
INSERT INTO public.who_data VALUES (21588, 60, 5018, 2, 102, 92, 152);
INSERT INTO public.who_data VALUES (21589, 0, 2916, 0, 43, 92, 144);
INSERT INTO public.who_data VALUES (21590, 3, 227, 0, 9, 92, 96);
INSERT INTO public.who_data VALUES (21591, 0, 378, 0, 0, 92, 47);
INSERT INTO public.who_data VALUES (21592, 187, 143756, 14, 8889, 92, 80);
INSERT INTO public.who_data VALUES (21593, 0, 139, 0, 3, 92, 159);
INSERT INTO public.who_data VALUES (21594, 1237, 77994, 56, 2209, 92, 27);
INSERT INTO public.who_data VALUES (21595, 0, 9594, 0, 31, 92, 146);
INSERT INTO public.who_data VALUES (21596, 35918, 5981767, 606, 168061, 92, 71);
INSERT INTO public.who_data VALUES (21597, 0, 72, 0, 1, 92, 210);
INSERT INTO public.who_data VALUES (21598, 0, 148, 0, 3, 92, 54);
INSERT INTO public.who_data VALUES (21599, 3983, 118418, 129, 2778, 92, 147);
INSERT INTO public.who_data VALUES (21600, 0, 2686, 0, 68, 92, 2);
INSERT INTO public.who_data VALUES (21601, 7, 656, 0, 1, 92, 105);
INSERT INTO public.who_data VALUES (21602, 70, 10152, 0, 104, 92, 53);
INSERT INTO public.who_data VALUES (21603, 1, 305, 0, 0, 92, 81);
INSERT INTO public.who_data VALUES (21604, 0, 23528, 0, 435, 92, 223);
INSERT INTO public.who_data VALUES (21605, 4642, 315751, 79, 11265, 92, 94);
INSERT INTO public.who_data VALUES (21606, 1, 259, 0, 2, 92, 154);
INSERT INTO public.who_data VALUES (21607, 0, 4911, 0, 63, 92, 83);
INSERT INTO public.who_data VALUES (21608, 6, 1626, 0, 101, 92, 194);
INSERT INTO public.who_data VALUES (21609, 1573, 537585, 48, 15003, 92, 136);
INSERT INTO public.who_data VALUES (21610, 44, 92588, 0, 4749, 92, 179);
INSERT INTO public.who_data VALUES (21611, 7487, 1225490, 198, 34761, 92, 57);
INSERT INTO public.who_data VALUES (21612, 0, 592, 0, 7, 92, 35);
INSERT INTO public.who_data VALUES (21613, 0, 5632, 0, 93, 92, 228);
INSERT INTO public.who_data VALUES (21614, 0, 0, 0, 0, 92, 19);
INSERT INTO public.who_data VALUES (21615, 1219, 128231, 11, 1599, 92, 22);
INSERT INTO public.who_data VALUES (21616, 16, 21099, 0, 129, 92, 1);
INSERT INTO public.who_data VALUES (21617, 2958, 96837, 57, 1257, 92, 21);
INSERT INTO public.who_data VALUES (21618, 38, 7763, 0, 131, 92, 234);
INSERT INTO public.who_data VALUES (21619, 79, 1561, 1, 3, 92, 91);
INSERT INTO public.who_data VALUES (21620, 232, 8211, 2, 43, 92, 137);
INSERT INTO public.who_data VALUES (21621, 5808, 487563, 147, 7021, 92, 201);
INSERT INTO public.who_data VALUES (21622, 0, 0, 0, 0, 92, 171);
INSERT INTO public.who_data VALUES (21623, 121, 12128, 1, 324, 92, 92);
INSERT INTO public.who_data VALUES (21624, 1257, 68362, 5, 778, 92, 112);
INSERT INTO public.who_data VALUES (21625, 2, 5660, 0, 61, 92, 62);
INSERT INTO public.who_data VALUES (21626, 0, 72, 0, 0, 92, 69);
INSERT INTO public.who_data VALUES (21627, 601, 136784, 5, 2306, 92, 220);
INSERT INTO public.who_data VALUES (21628, 594, 183840, 22, 13095, 92, 100);
INSERT INTO public.who_data VALUES (21629, 363, 112318, 13, 6521, 92, 187);
INSERT INTO public.who_data VALUES (21630, 285, 37250, 3, 1064, 92, 63);
INSERT INTO public.who_data VALUES (21631, 0, 5121, 0, 85, 92, 28);
INSERT INTO public.who_data VALUES (21632, 0, 527, 0, 0, 92, 172);
INSERT INTO public.who_data VALUES (21633, 361, 9076, 1, 87, 92, 17);
INSERT INTO public.who_data VALUES (21634, 29, 6185, 0, 119, 92, 226);
INSERT INTO public.who_data VALUES (21635, 452, 104879, 13, 1620, 92, 236);
INSERT INTO public.who_data VALUES (21636, 0, 16, 0, 0, 92, 76);
INSERT INTO public.who_data VALUES (21637, 0, 498, 0, 0, 92, 30);
INSERT INTO public.who_data VALUES (21638, 0, 35, 0, 2, 92, 128);
INSERT INTO public.who_data VALUES (21639, 461, 20747, 1, 375, 92, 86);
INSERT INTO public.who_data VALUES (21640, 22642, 2071499, 1137, 47917, 92, 140);
INSERT INTO public.who_data VALUES (21641, 37, 10987, 0, 70, 92, 44);
INSERT INTO public.who_data VALUES (21642, 162, 12978, 1, 63, 92, 113);
INSERT INTO public.who_data VALUES (21643, 15, 9131, 0, 59, 92, 29);
INSERT INTO public.who_data VALUES (21644, 10, 3716, 0, 122, 92, 125);
INSERT INTO public.who_data VALUES (21645, 3824, 100684, 33, 927, 92, 131);
INSERT INTO public.who_data VALUES (21646, 22964, 902528, 254, 13884, 92, 46);
INSERT INTO public.who_data VALUES (21647, 0, 50631, 0, 323, 92, 10);
INSERT INTO public.who_data VALUES (21648, 5, 931, 1, 3, 92, 205);
INSERT INTO public.who_data VALUES (21649, 2551, 87812, 72, 1419, 92, 50);
INSERT INTO public.who_data VALUES (21650, 0, 18, 0, 0, 92, 20);
INSERT INTO public.who_data VALUES (21651, 5, 41, 0, 0, 92, 13);
INSERT INTO public.who_data VALUES (21652, 0, 8225, 0, 144, 92, 148);
INSERT INTO public.who_data VALUES (21653, 36, 6331, 2, 103, 92, 230);
INSERT INTO public.who_data VALUES (21654, 691, 117757, 17, 4067, 92, 190);
INSERT INTO public.who_data VALUES (21655, 0, 282, 0, 13, 92, 188);
INSERT INTO public.who_data VALUES (21656, 85, 12798, 0, 75, 92, 123);
INSERT INTO public.who_data VALUES (21657, 0, 2421, 0, 43, 92, 9);
INSERT INTO public.who_data VALUES (21658, 62, 4976, 1, 143, 92, 102);
INSERT INTO public.who_data VALUES (21659, 3, 9211, 0, 232, 92, 34);
INSERT INTO public.who_data VALUES (21660, 0, 26, 0, 0, 92, 212);
INSERT INTO public.who_data VALUES (21661, 63, 103551, 14, 2853, 92, 122);
INSERT INTO public.who_data VALUES (21662, 4397, 170298, 121, 3689, 92, 38);
INSERT INTO public.who_data VALUES (21663, 20, 5251, 1, 26, 92, 130);
INSERT INTO public.who_data VALUES (21664, 46232, 9050597, 564, 132726, 92, 37);
INSERT INTO public.who_data VALUES (21665, 4792, 488310, 78, 15678, 92, 231);
INSERT INTO public.who_data VALUES (21666, 13260, 828377, 479, 43896, 92, 107);
INSERT INTO public.who_data VALUES (21667, 2543, 531769, 49, 11883, 92, 101);
INSERT INTO public.who_data VALUES (21668, 329, 69802, 8, 2018, 92, 132);
INSERT INTO public.who_data VALUES (21669, 2, 366, 0, 25, 92, 176);
INSERT INTO public.who_data VALUES (21670, 771, 327366, 8, 2783, 92, 200);
INSERT INTO public.who_data VALUES (21671, 37239, 1345767, 699, 48569, 92, 169);
INSERT INTO public.who_data VALUES (21672, 63, 10151, 0, 235, 92, 225);
INSERT INTO public.who_data VALUES (21673, 2398, 127665, 20, 1963, 92, 165);
INSERT INTO public.who_data VALUES (21674, 10, 792, 0, 32, 92, 233);
INSERT INTO public.who_data VALUES (21675, 4939, 174335, 63, 2116, 92, 215);
INSERT INTO public.who_data VALUES (21676, 913, 166625, 0, 2365, 92, 177);
INSERT INTO public.who_data VALUES (21677, 1048, 75193, 19, 1349, 92, 183);
INSERT INTO public.who_data VALUES (21678, 0, 0, 0, 0, 92, 203);
INSERT INTO public.who_data VALUES (21679, 855, 32834, 11, 875, 92, 162);
INSERT INTO public.who_data VALUES (21680, 486, 139308, 2, 861, 92, 12);
INSERT INTO public.who_data VALUES (21681, 447, 69149, 4, 1227, 92, 24);
INSERT INTO public.who_data VALUES (21682, 0, 25, 0, 0, 92, 119);
INSERT INTO public.who_data VALUES (21683, 380, 12102, 5, 146, 92, 39);
INSERT INTO public.who_data VALUES (21684, 1668, 113614, 16, 884, 92, 26);
INSERT INTO public.who_data VALUES (21685, 0, 2058, 0, 44, 92, 59);
INSERT INTO public.who_data VALUES (21686, 0, 1539, 0, 82, 92, 77);
INSERT INTO public.who_data VALUES (21687, 802, 76808, 6, 1068, 92, 134);
INSERT INTO public.who_data VALUES (21688, 16, 1137, 0, 8, 92, 4);
INSERT INTO public.who_data VALUES (21689, 1978, 44702, 20, 414, 92, 109);
INSERT INTO public.who_data VALUES (21690, 670, 29243, 6, 254, 92, 90);
INSERT INTO public.who_data VALUES (21691, 0, 17310, 0, 250, 92, 61);
INSERT INTO public.who_data VALUES (21692, 1, 6003, 0, 185, 92, 85);
INSERT INTO public.who_data VALUES (21693, 958, 52638, 3, 329, 92, 49);
INSERT INTO public.who_data VALUES (21694, 94, 12546, 0, 45, 92, 208);
INSERT INTO public.who_data VALUES (21695, 76, 4169, 1, 143, 92, 166);
INSERT INTO public.who_data VALUES (21696, 121, 8670, 2, 103, 92, 64);
INSERT INTO public.who_data VALUES (21697, 0, 4, 0, 0, 92, 199);
INSERT INTO public.who_data VALUES (21698, 0, 5091, 0, 39, 92, 114);
INSERT INTO public.who_data VALUES (21699, 123, 8075, 4, 169, 92, 60);
INSERT INTO public.who_data VALUES (21700, 0, 491, 0, 10, 92, 68);
INSERT INTO public.who_data VALUES (21701, 0, 5036, 0, 48, 92, 158);
INSERT INTO public.who_data VALUES (21702, 4472, 1019543, 576, 100104, 92, 52);
INSERT INTO public.who_data VALUES (21703, 0, 0, 0, 0, 92, 117);
INSERT INTO public.who_data VALUES (21704, 4, 580, 0, 3, 92, 126);
INSERT INTO public.who_data VALUES (21705, 39, 557, 0, 0, 92, 196);
INSERT INTO public.who_data VALUES (21706, 467, 31076, 5, 433, 92, 142);
INSERT INTO public.who_data VALUES (21707, 0, 13, 0, 1, 92, 185);
INSERT INTO public.who_data VALUES (21708, 4706, 316260, 92, 5182, 92, 138);
INSERT INTO public.who_data VALUES (21709, 154, 14877, 1, 121, 92, 181);
INSERT INTO public.who_data VALUES (21710, 1532, 76414, 19, 1695, 92, 178);
INSERT INTO public.who_data VALUES (21711, 50, 13712, 2, 143, 92, 168);
INSERT INTO public.who_data VALUES (21712, 0, 0, 0, 0, 92, 160);
INSERT INTO public.who_data VALUES (21713, 1945, 216965, 22, 1298, 92, 151);
INSERT INTO public.who_data VALUES (21714, 5934, 471984, 49, 8802, 92, 193);
INSERT INTO public.who_data VALUES (21715, 2, 32, 0, 0, 92, 18);
INSERT INTO public.who_data VALUES (21716, 6, 1663, 0, 25, 92, 40);
INSERT INTO public.who_data VALUES (21717, 0, 4583, 0, 159, 92, 218);
INSERT INTO public.who_data VALUES (21718, 0, 1335, 0, 70, 92, 191);
INSERT INTO public.who_data VALUES (21719, 143, 65982, 0, 1165, 92, 156);
INSERT INTO public.who_data VALUES (21720, 0, 0, 0, 0, 92, 135);
INSERT INTO public.who_data VALUES (21721, 0, 103, 0, 2, 92, 88);
INSERT INTO public.who_data VALUES (21722, 1236, 52449, 39, 1462, 92, 55);
INSERT INTO public.who_data VALUES (21723, 670, 31438, 1, 306, 92, 108);
INSERT INTO public.who_data VALUES (21724, 1472, 81294, 8, 684, 92, 48);
INSERT INTO public.who_data VALUES (21725, 0, 121360, 0, 1365, 92, 3);
INSERT INTO public.who_data VALUES (21726, 0, 741, 0, 13, 92, 224);
INSERT INTO public.who_data VALUES (21727, 2738, 368665, 313, 7561, 92, 110);
INSERT INTO public.who_data VALUES (21728, 0, 0, 0, 0, 92, 106);
INSERT INTO public.who_data VALUES (21729, 1256, 151089, 15, 2922, 92, 89);
INSERT INTO public.who_data VALUES (21730, 0, 604, 0, 7, 92, 121);
INSERT INTO public.who_data VALUES (21731, 856, 74495, 12, 1636, 92, 163);
INSERT INTO public.who_data VALUES (21732, 1966, 943917, 44, 35446, 92, 70);
INSERT INTO public.who_data VALUES (21733, 1637, 415067, 27, 8025, 92, 174);
INSERT INTO public.who_data VALUES (21734, 0, 0, 0, 0, 92, 175);
INSERT INTO public.who_data VALUES (21735, 22464, 819262, 626, 12714, 92, 118);
INSERT INTO public.who_data VALUES (21736, 6489, 249498, 61, 3762, 92, 189);
INSERT INTO public.who_data VALUES (21737, 904, 45335, 9, 991, 92, 124);
INSERT INTO public.who_data VALUES (21738, 239, 136888, 0, 235, 92, 192);
INSERT INTO public.who_data VALUES (21739, 386, 30340, 2, 503, 92, 41);
INSERT INTO public.who_data VALUES (21740, 1422, 95383, 20, 2111, 92, 95);
INSERT INTO public.who_data VALUES (21741, 203, 7501, 1, 35, 92, 74);
INSERT INTO public.who_data VALUES (21742, 9272, 403123, 160, 9756, 92, 11);
INSERT INTO public.who_data VALUES (21743, 24822, 2064748, 467, 35778, 92, 87);
INSERT INTO public.who_data VALUES (21744, 43, 5586, 0, 46, 92, 214);
INSERT INTO public.who_data VALUES (21745, 0, 5, 0, 0, 92, 116);
INSERT INTO public.who_data VALUES (21746, 0, 127, 0, 0, 92, 157);
INSERT INTO public.who_data VALUES (21747, 0, 0, 0, 0, 92, 182);
INSERT INTO public.who_data VALUES (21748, 0, 19, 0, 0, 92, 186);
INSERT INTO public.who_data VALUES (21749, 0, 203, 0, 2, 92, 127);
INSERT INTO public.who_data VALUES (21750, 0, 690, 0, 12, 92, 232);
INSERT INTO public.who_data VALUES (21751, 0, 14, 0, 0, 92, 33);
INSERT INTO public.who_data VALUES (21752, 1, 84, 0, 0, 92, 97);
INSERT INTO public.who_data VALUES (21753, 0, 0, 0, 0, 92, 42);
INSERT INTO public.who_data VALUES (21754, 22, 1395, 0, 43, 92, 198);
INSERT INTO public.who_data VALUES (21755, 0, 974, 1, 17, 92, 216);
INSERT INTO public.who_data VALUES (21756, 286, 354813, 16, 5745, 92, 164);
INSERT INTO public.who_data VALUES (21757, 13, 15848, 1, 330, 92, 235);
INSERT INTO public.who_data VALUES (21758, 6254, 110351, 30, 1140, 92, 67);
INSERT INTO public.who_data VALUES (21759, 0, 161, 0, 0, 92, 15);
INSERT INTO public.who_data VALUES (21760, 2, 2399, 0, 74, 92, 180);
INSERT INTO public.who_data VALUES (21761, 4, 58143, 0, 28, 92, 237);
INSERT INTO public.who_data VALUES (21762, 0, 14, 0, 0, 92, 25);
INSERT INTO public.who_data VALUES (21763, 9, 973, 0, 24, 92, 209);
INSERT INTO public.who_data VALUES (21764, 1665, 91578, 0, 579, 92, 217);
INSERT INTO public.who_data VALUES (21765, 1549, 62611, 37, 1084, 92, 79);
INSERT INTO public.who_data VALUES (21766, 0, 16, 0, 0, 92, 143);
INSERT INTO public.who_data VALUES (21767, 0, 4382, 0, 108, 92, 229);
INSERT INTO public.who_data VALUES (21768, 3105, 762763, 88, 20759, 92, 141);
INSERT INTO public.who_data VALUES (21769, 31, 3047, 1, 60, 92, 197);
INSERT INTO public.who_data VALUES (21770, 13445, 1643827, 290, 44824, 92, 221);
INSERT INTO public.who_data VALUES (21771, 439, 19280, 1, 74, 92, 150);
INSERT INTO public.who_data VALUES (21772, 213, 16052, 4, 1197, 92, 56);
INSERT INTO public.who_data VALUES (21773, 2, 5284, 0, 116, 92, 167);
INSERT INTO public.who_data VALUES (21774, 7609, 209625, 46, 6619, 92, 23);
INSERT INTO public.who_data VALUES (21775, 4323, 296316, 81, 3939, 92, 222);
INSERT INTO public.who_data VALUES (21776, 88, 7079, 5, 368, 92, 219);
INSERT INTO public.who_data VALUES (21777, 43, 11815, 0, 86, 92, 7);
INSERT INTO public.who_data VALUES (21778, 10, 3902, 0, 60, 92, 161);
INSERT INTO public.who_data VALUES (21779, 20252, 1473512, 511, 54286, 92, 149);
INSERT INTO public.who_data VALUES (21780, 0, 30, 0, 0, 92, 6);
INSERT INTO public.who_data VALUES (21781, 0, 2771, 0, 63, 92, 139);
INSERT INTO public.who_data VALUES (21782, 0, 0, 0, 0, 92, 211);
INSERT INTO public.who_data VALUES (21783, 0, 0, 0, 0, 92, 14);
INSERT INTO public.who_data VALUES (21784, 53, 6233, 0, 113, 92, 111);
INSERT INTO public.who_data VALUES (21785, 1223, 86265, 70, 2684, 92, 207);
INSERT INTO public.who_data VALUES (21786, 11834, 1215956, 141, 12084, 92, 66);
INSERT INTO public.who_data VALUES (21787, 0, 0, 0, 0, 92, 173);
INSERT INTO public.who_data VALUES (21788, 5, 726, 0, 6, 92, 145);
INSERT INTO public.who_data VALUES (21789, 0, 0, 0, 0, 92, 65);
INSERT INTO public.who_data VALUES (21790, 283, 17431, 10, 168, 92, 184);
INSERT INTO public.who_data VALUES (21791, 14580, 612665, 215, 10813, 92, 98);
INSERT INTO public.who_data VALUES (21792, 1269, 156523, 3, 547, 92, 104);
INSERT INTO public.who_data VALUES (21793, 0, 509, 0, 21, 92, 73);
INSERT INTO public.who_data VALUES (21794, 184191, 11597979, 2036, 250607, 92, 8);
INSERT INTO public.who_data VALUES (21795, 13, 1482, 0, 23, 92, 227);
INSERT INTO public.who_data VALUES (21796, 81, 4377, 1, 69, 92, 75);
INSERT INTO public.who_data VALUES (21797, 209, 71280, 1, 603, 92, 45);
INSERT INTO public.who_data VALUES (21798, 0, 1, 0, 0, 92, 133);
INSERT INTO public.who_data VALUES (21799, 315, 98665, 3, 863, 92, 202);
INSERT INTO public.who_data VALUES (21800, 1, 1305, 0, 35, 92, 129);
INSERT INTO public.who_data VALUES (21801, 0, 2, 0, 0, 92, 36);
INSERT INTO public.who_data VALUES (21802, 1, 2073, 0, 605, 92, 51);
INSERT INTO public.who_data VALUES (21803, 23, 17373, 0, 356, 92, 206);
INSERT INTO public.who_data VALUES (21804, 74, 9120, 0, 265, 92, 5);
INSERT INTO public.who_data VALUES (21805, 377, 44228, 5, 1650, 93, 103);
INSERT INTO public.who_data VALUES (21806, 786, 30623, 11, 657, 93, 58);
INSERT INTO public.who_data VALUES (21807, 1023, 71652, 18, 2224, 93, 195);
INSERT INTO public.who_data VALUES (21808, 0, 0, 0, 0, 93, 115);
INSERT INTO public.who_data VALUES (21809, 48, 6066, 0, 76, 93, 99);
INSERT INTO public.who_data VALUES (21810, 212, 14134, 1, 333, 93, 153);
INSERT INTO public.who_data VALUES (21811, 0, 3, 0, 0, 93, 93);
INSERT INTO public.who_data VALUES (21812, 1, 139, 0, 4, 93, 84);
INSERT INTO public.who_data VALUES (21813, 10332, 1339337, 241, 36347, 93, 78);
INSERT INTO public.who_data VALUES (21814, 1667, 122959, 30, 1895, 93, 170);
INSERT INTO public.who_data VALUES (21815, 9, 4685, 1, 45, 93, 32);
INSERT INTO public.who_data VALUES (21816, 7, 27784, 0, 907, 93, 155);
INSERT INTO public.who_data VALUES (21817, 6830, 228058, 90, 2018, 93, 82);
INSERT INTO public.who_data VALUES (21818, 2597, 83994, 23, 1053, 93, 16);
INSERT INTO public.who_data VALUES (21819, 25, 7348, 0, 163, 93, 72);
INSERT INTO public.who_data VALUES (21820, 135, 85317, 0, 337, 93, 43);
INSERT INTO public.who_data VALUES (21821, 2364, 441159, 30, 6305, 93, 120);
INSERT INTO public.who_data VALUES (21822, 3, 253, 0, 7, 93, 213);
INSERT INTO public.who_data VALUES (21823, 1382, 119390, 7, 1074, 93, 31);
INSERT INTO public.who_data VALUES (21824, 3019, 556816, 172, 15418, 93, 204);
INSERT INTO public.who_data VALUES (21825, 38, 4958, 4, 100, 93, 152);
INSERT INTO public.who_data VALUES (21826, 0, 2916, 0, 43, 93, 144);
INSERT INTO public.who_data VALUES (21827, 1, 224, 0, 9, 93, 96);
INSERT INTO public.who_data VALUES (21828, 0, 378, 0, 0, 93, 47);
INSERT INTO public.who_data VALUES (21829, 96, 143569, 9, 8875, 93, 80);
INSERT INTO public.who_data VALUES (21830, 0, 139, 0, 3, 93, 159);
INSERT INTO public.who_data VALUES (21831, 1180, 76757, 64, 2153, 93, 27);
INSERT INTO public.who_data VALUES (21832, 491, 9594, 2, 31, 93, 146);
INSERT INTO public.who_data VALUES (21833, 34091, 5945849, 756, 167455, 93, 71);
INSERT INTO public.who_data VALUES (21834, 0, 72, 0, 1, 93, 210);
INSERT INTO public.who_data VALUES (21835, 0, 148, 0, 3, 93, 54);
INSERT INTO public.who_data VALUES (21836, 3899, 114435, 119, 2649, 93, 147);
INSERT INTO public.who_data VALUES (21837, 16, 2686, 0, 68, 93, 2);
INSERT INTO public.who_data VALUES (21838, 7, 649, 0, 1, 93, 105);
INSERT INTO public.who_data VALUES (21839, 82, 10082, 0, 104, 93, 53);
INSERT INTO public.who_data VALUES (21840, 0, 304, 0, 0, 93, 81);
INSERT INTO public.who_data VALUES (21841, 632, 23528, 2, 435, 93, 223);
INSERT INTO public.who_data VALUES (21842, 4641, 311109, 100, 11186, 93, 94);
INSERT INTO public.who_data VALUES (21843, 1, 258, 0, 2, 93, 154);
INSERT INTO public.who_data VALUES (21844, 4, 4911, 0, 63, 93, 83);
INSERT INTO public.who_data VALUES (21845, 4, 1620, 0, 101, 93, 194);
INSERT INTO public.who_data VALUES (21846, 1454, 536012, 58, 14955, 93, 136);
INSERT INTO public.who_data VALUES (21847, 31, 92544, 0, 4749, 93, 179);
INSERT INTO public.who_data VALUES (21848, 6875, 1218003, 182, 34563, 93, 57);
INSERT INTO public.who_data VALUES (21849, 1, 592, 0, 7, 93, 35);
INSERT INTO public.who_data VALUES (21850, 0, 5632, 0, 93, 93, 228);
INSERT INTO public.who_data VALUES (21851, 0, 0, 0, 0, 93, 19);
INSERT INTO public.who_data VALUES (21852, 1422, 127012, 10, 1588, 93, 22);
INSERT INTO public.who_data VALUES (21853, 38, 21083, 0, 129, 93, 1);
INSERT INTO public.who_data VALUES (21854, 3164, 93879, 49, 1200, 93, 21);
INSERT INTO public.who_data VALUES (21855, 21, 7725, 0, 131, 93, 234);
INSERT INTO public.who_data VALUES (21856, 67, 1482, 0, 2, 93, 91);
INSERT INTO public.who_data VALUES (21857, 268, 7979, 0, 41, 93, 137);
INSERT INTO public.who_data VALUES (21858, 6471, 481755, 134, 6874, 93, 201);
INSERT INTO public.who_data VALUES (21859, 0, 0, 0, 0, 93, 171);
INSERT INTO public.who_data VALUES (21860, 90, 12007, 0, 323, 93, 92);
INSERT INTO public.who_data VALUES (21861, 1297, 67105, 3, 773, 93, 112);
INSERT INTO public.who_data VALUES (21862, 0, 5658, 0, 61, 93, 62);
INSERT INTO public.who_data VALUES (21863, 4, 72, 0, 0, 93, 69);
INSERT INTO public.who_data VALUES (21864, 1026, 136183, 8, 2301, 93, 220);
INSERT INTO public.who_data VALUES (21865, 996, 183246, 21, 13073, 93, 100);
INSERT INTO public.who_data VALUES (21866, 342, 111955, 13, 6508, 93, 187);
INSERT INTO public.who_data VALUES (21867, 0, 36965, 5, 1061, 93, 63);
INSERT INTO public.who_data VALUES (21868, 0, 5121, 0, 85, 93, 28);
INSERT INTO public.who_data VALUES (21869, 9, 527, 0, 0, 93, 172);
INSERT INTO public.who_data VALUES (21870, 411, 8715, 1, 86, 93, 17);
INSERT INTO public.who_data VALUES (21871, 12, 6156, 0, 119, 93, 226);
INSERT INTO public.who_data VALUES (21872, 499, 104427, 6, 1607, 93, 236);
INSERT INTO public.who_data VALUES (21873, 0, 16, 0, 0, 93, 76);
INSERT INTO public.who_data VALUES (21874, 0, 498, 0, 0, 93, 30);
INSERT INTO public.who_data VALUES (21875, 0, 35, 0, 2, 93, 128);
INSERT INTO public.who_data VALUES (21876, 351, 20286, 0, 374, 93, 86);
INSERT INTO public.who_data VALUES (21877, 21130, 2048857, 429, 46780, 93, 140);
INSERT INTO public.who_data VALUES (21878, 20, 10950, 0, 70, 93, 44);
INSERT INTO public.who_data VALUES (21879, 229, 12816, 0, 62, 93, 113);
INSERT INTO public.who_data VALUES (21880, 54, 9116, 1, 59, 93, 29);
INSERT INTO public.who_data VALUES (21881, 1, 3706, 0, 122, 93, 125);
INSERT INTO public.who_data VALUES (21882, 3768, 96860, 41, 894, 93, 131);
INSERT INTO public.who_data VALUES (21883, 23648, 879564, 260, 13630, 93, 46);
INSERT INTO public.who_data VALUES (21884, 174, 50631, 0, 323, 93, 10);
INSERT INTO public.who_data VALUES (21885, 11, 926, 0, 2, 93, 205);
INSERT INTO public.who_data VALUES (21886, 3227, 85261, 59, 1347, 93, 50);
INSERT INTO public.who_data VALUES (21887, 0, 18, 0, 0, 93, 20);
INSERT INTO public.who_data VALUES (21888, 0, 36, 0, 0, 93, 13);
INSERT INTO public.who_data VALUES (21889, 0, 8225, 0, 144, 93, 148);
INSERT INTO public.who_data VALUES (21890, 70, 6295, 1, 101, 93, 230);
INSERT INTO public.who_data VALUES (21891, 685, 117066, 42, 4050, 93, 190);
INSERT INTO public.who_data VALUES (21892, 0, 282, 0, 13, 93, 188);
INSERT INTO public.who_data VALUES (21893, 30, 12713, 0, 75, 93, 123);
INSERT INTO public.who_data VALUES (21894, 0, 2421, 0, 43, 93, 9);
INSERT INTO public.who_data VALUES (21895, 24, 4914, 2, 142, 93, 102);
INSERT INTO public.who_data VALUES (21896, 17, 9208, 0, 232, 93, 34);
INSERT INTO public.who_data VALUES (21897, 0, 26, 0, 0, 93, 212);
INSERT INTO public.who_data VALUES (21898, 0, 103488, 0, 2839, 93, 122);
INSERT INTO public.who_data VALUES (21899, 4440, 165901, 96, 3568, 93, 38);
INSERT INTO public.who_data VALUES (21900, 5, 5231, 0, 25, 93, 130);
INSERT INTO public.who_data VALUES (21901, 45882, 9004365, 584, 132162, 93, 37);
INSERT INTO public.who_data VALUES (21902, 4798, 483518, 97, 15600, 93, 231);
INSERT INTO public.who_data VALUES (21903, 13223, 815117, 476, 43417, 93, 107);
INSERT INTO public.who_data VALUES (21904, 2374, 529226, 39, 11834, 93, 101);
INSERT INTO public.who_data VALUES (21905, 415, 69473, 4, 2010, 93, 132);
INSERT INTO public.who_data VALUES (21906, 0, 364, 0, 25, 93, 176);
INSERT INTO public.who_data VALUES (21907, 795, 326595, 7, 2775, 93, 200);
INSERT INTO public.who_data VALUES (21908, 36176, 1308528, 653, 47870, 93, 169);
INSERT INTO public.who_data VALUES (21909, 69, 10088, 2, 235, 93, 225);
INSERT INTO public.who_data VALUES (21910, 2301, 125267, 21, 1943, 93, 165);
INSERT INTO public.who_data VALUES (21911, 11, 782, 0, 32, 93, 233);
INSERT INTO public.who_data VALUES (21912, 5470, 169396, 84, 2053, 93, 215);
INSERT INTO public.who_data VALUES (21913, 976, 165712, 0, 2365, 93, 177);
INSERT INTO public.who_data VALUES (21914, 1459, 74145, 17, 1330, 93, 183);
INSERT INTO public.who_data VALUES (21915, 0, 0, 0, 0, 93, 203);
INSERT INTO public.who_data VALUES (21916, 807, 31979, 14, 864, 93, 162);
INSERT INTO public.who_data VALUES (21917, 485, 138822, 2, 859, 93, 12);
INSERT INTO public.who_data VALUES (21918, 386, 68702, 6, 1223, 93, 24);
INSERT INTO public.who_data VALUES (21919, 0, 25, 0, 0, 93, 119);
INSERT INTO public.who_data VALUES (21920, 366, 11722, 4, 141, 93, 39);
INSERT INTO public.who_data VALUES (21921, 1909, 111946, 16, 868, 93, 26);
INSERT INTO public.who_data VALUES (21922, 17, 2058, 0, 44, 93, 59);
INSERT INTO public.who_data VALUES (21923, 22, 1539, 0, 82, 93, 77);
INSERT INTO public.who_data VALUES (21924, 541, 76006, 9, 1062, 93, 134);
INSERT INTO public.who_data VALUES (21925, 19, 1121, 0, 8, 93, 4);
INSERT INTO public.who_data VALUES (21926, 2269, 42724, 19, 394, 93, 109);
INSERT INTO public.who_data VALUES (21927, 892, 28573, 8, 248, 93, 90);
INSERT INTO public.who_data VALUES (21928, 0, 17310, 0, 250, 93, 61);
INSERT INTO public.who_data VALUES (21929, 4, 6002, 0, 185, 93, 85);
INSERT INTO public.who_data VALUES (21930, 1290, 51680, 4, 326, 93, 49);
INSERT INTO public.who_data VALUES (21931, 68, 12452, 0, 45, 93, 208);
INSERT INTO public.who_data VALUES (21932, 113, 4093, 1, 142, 93, 166);
INSERT INTO public.who_data VALUES (21933, 140, 8549, 2, 101, 93, 64);
INSERT INTO public.who_data VALUES (21934, 0, 4, 0, 0, 93, 199);
INSERT INTO public.who_data VALUES (21935, 0, 5091, 0, 39, 93, 114);
INSERT INTO public.who_data VALUES (21936, 0, 7952, 0, 165, 93, 60);
INSERT INTO public.who_data VALUES (21937, 0, 491, 0, 10, 93, 68);
INSERT INTO public.who_data VALUES (21938, 0, 5036, 0, 48, 93, 158);
INSERT INTO public.who_data VALUES (21939, 3918, 1015071, 502, 99528, 93, 52);
INSERT INTO public.who_data VALUES (21940, 0, 0, 0, 0, 93, 117);
INSERT INTO public.who_data VALUES (21941, 8, 576, 0, 3, 93, 126);
INSERT INTO public.who_data VALUES (21942, 45, 518, 0, 0, 93, 196);
INSERT INTO public.who_data VALUES (21943, 621, 30609, 9, 428, 93, 142);
INSERT INTO public.who_data VALUES (21944, 0, 13, 0, 1, 93, 185);
INSERT INTO public.who_data VALUES (21945, 4559, 311554, 77, 5090, 93, 138);
INSERT INTO public.who_data VALUES (21946, 94, 14723, 1, 120, 93, 181);
INSERT INTO public.who_data VALUES (21947, 1560, 74882, 26, 1676, 93, 178);
INSERT INTO public.who_data VALUES (21948, 52, 13662, 1, 141, 93, 168);
INSERT INTO public.who_data VALUES (21949, 0, 0, 0, 0, 93, 160);
INSERT INTO public.who_data VALUES (21950, 2103, 215020, 17, 1276, 93, 151);
INSERT INTO public.who_data VALUES (21951, 5687, 466050, 75, 8753, 93, 193);
INSERT INTO public.who_data VALUES (21952, 0, 30, 0, 0, 93, 18);
INSERT INTO public.who_data VALUES (21953, 3, 1657, 0, 25, 93, 40);
INSERT INTO public.who_data VALUES (21954, 0, 4583, 0, 159, 93, 218);
INSERT INTO public.who_data VALUES (21955, 4, 1335, 0, 70, 93, 191);
INSERT INTO public.who_data VALUES (21956, 146, 65839, 2, 1165, 93, 156);
INSERT INTO public.who_data VALUES (21957, 0, 0, 0, 0, 93, 135);
INSERT INTO public.who_data VALUES (21958, 0, 103, 0, 2, 93, 88);
INSERT INTO public.who_data VALUES (21959, 1198, 51213, 26, 1423, 93, 55);
INSERT INTO public.who_data VALUES (21960, 655, 30768, 6, 305, 93, 108);
INSERT INTO public.who_data VALUES (21961, 1251, 79822, 9, 676, 93, 48);
INSERT INTO public.who_data VALUES (21962, 231, 121360, 5, 1365, 93, 3);
INSERT INTO public.who_data VALUES (21963, 0, 741, 0, 13, 93, 224);
INSERT INTO public.who_data VALUES (21964, 2547, 365927, 18, 7248, 93, 110);
INSERT INTO public.who_data VALUES (21965, 0, 0, 0, 0, 93, 106);
INSERT INTO public.who_data VALUES (21966, 1112, 149833, 14, 2907, 93, 89);
INSERT INTO public.who_data VALUES (21967, 0, 604, 0, 7, 93, 121);
INSERT INTO public.who_data VALUES (21968, 782, 73639, 11, 1624, 93, 163);
INSERT INTO public.who_data VALUES (21969, 2020, 941951, 85, 35402, 93, 70);
INSERT INTO public.who_data VALUES (21970, 1333, 413430, 41, 7998, 93, 174);
INSERT INTO public.who_data VALUES (21971, 0, 0, 0, 0, 93, 175);
INSERT INTO public.who_data VALUES (21972, 23975, 796798, 637, 12088, 93, 118);
INSERT INTO public.who_data VALUES (21973, 6994, 243009, 69, 3701, 93, 189);
INSERT INTO public.who_data VALUES (21974, 521, 44431, 11, 982, 93, 124);
INSERT INTO public.who_data VALUES (21975, 208, 136649, 0, 235, 93, 192);
INSERT INTO public.who_data VALUES (21976, 348, 29954, 3, 501, 93, 41);
INSERT INTO public.who_data VALUES (21977, 1442, 93961, 19, 2091, 93, 95);
INSERT INTO public.who_data VALUES (21978, 0, 7298, 0, 34, 93, 74);
INSERT INTO public.who_data VALUES (21979, 10108, 393851, 167, 9596, 93, 11);
INSERT INTO public.who_data VALUES (21980, 24318, 2039926, 461, 35311, 93, 87);
INSERT INTO public.who_data VALUES (21981, 0, 5543, 0, 46, 93, 214);
INSERT INTO public.who_data VALUES (21982, 0, 5, 0, 0, 93, 116);
INSERT INTO public.who_data VALUES (21983, 0, 127, 0, 0, 93, 157);
INSERT INTO public.who_data VALUES (21984, 0, 0, 0, 0, 93, 182);
INSERT INTO public.who_data VALUES (21985, 0, 19, 0, 0, 93, 186);
INSERT INTO public.who_data VALUES (21986, 20, 203, 0, 2, 93, 127);
INSERT INTO public.who_data VALUES (21987, 0, 690, 0, 12, 93, 232);
INSERT INTO public.who_data VALUES (21988, 0, 14, 0, 0, 93, 33);
INSERT INTO public.who_data VALUES (21989, 0, 83, 0, 0, 93, 97);
INSERT INTO public.who_data VALUES (21990, 0, 0, 0, 0, 93, 42);
INSERT INTO public.who_data VALUES (21991, 15, 1373, 0, 43, 93, 198);
INSERT INTO public.who_data VALUES (21992, 7, 974, 0, 16, 93, 216);
INSERT INTO public.who_data VALUES (21993, 319, 354527, 19, 5729, 93, 164);
INSERT INTO public.who_data VALUES (21994, 12, 15835, 0, 329, 93, 235);
INSERT INTO public.who_data VALUES (21995, 6109, 104097, 29, 1110, 93, 67);
INSERT INTO public.who_data VALUES (21996, 0, 161, 0, 0, 93, 15);
INSERT INTO public.who_data VALUES (21997, 0, 2397, 0, 74, 93, 180);
INSERT INTO public.who_data VALUES (21998, 4, 58139, 0, 28, 93, 237);
INSERT INTO public.who_data VALUES (21999, 0, 14, 0, 0, 93, 25);
INSERT INTO public.who_data VALUES (22000, 10, 964, 0, 24, 93, 209);
INSERT INTO public.who_data VALUES (22001, 1311, 89913, 22, 579, 93, 217);
INSERT INTO public.who_data VALUES (22002, 2068, 61062, 43, 1047, 93, 79);
INSERT INTO public.who_data VALUES (22003, 0, 16, 0, 0, 93, 143);
INSERT INTO public.who_data VALUES (22004, 0, 4382, 0, 108, 93, 229);
INSERT INTO public.who_data VALUES (22005, 2514, 759658, 115, 20671, 93, 141);
INSERT INTO public.who_data VALUES (22006, 0, 3016, 0, 59, 93, 197);
INSERT INTO public.who_data VALUES (22007, 15032, 1630382, 266, 44534, 93, 221);
INSERT INTO public.who_data VALUES (22008, 439, 18841, 4, 73, 93, 150);
INSERT INTO public.who_data VALUES (22009, 309, 15839, 8, 1193, 93, 56);
INSERT INTO public.who_data VALUES (22010, 4, 5282, 0, 116, 93, 167);
INSERT INTO public.who_data VALUES (22011, 4961, 202016, 50, 6573, 93, 23);
INSERT INTO public.who_data VALUES (22012, 4493, 291993, 79, 3858, 93, 222);
INSERT INTO public.who_data VALUES (22013, 72, 6991, 5, 363, 93, 219);
INSERT INTO public.who_data VALUES (22014, 41, 11772, 0, 86, 93, 7);
INSERT INTO public.who_data VALUES (22015, 4, 3892, 0, 60, 93, 161);
INSERT INTO public.who_data VALUES (22016, 22915, 1453260, 501, 53775, 93, 149);
INSERT INTO public.who_data VALUES (22017, 0, 30, 0, 0, 93, 6);
INSERT INTO public.who_data VALUES (22018, 19, 2771, 0, 63, 93, 139);
INSERT INTO public.who_data VALUES (22019, 0, 0, 0, 0, 93, 211);
INSERT INTO public.who_data VALUES (22020, 0, 0, 0, 0, 93, 14);
INSERT INTO public.who_data VALUES (22021, 45, 6180, 0, 113, 93, 111);
INSERT INTO public.who_data VALUES (22022, 1270, 85042, 73, 2614, 93, 207);
INSERT INTO public.who_data VALUES (22023, 11273, 1204122, 123, 11943, 93, 66);
INSERT INTO public.who_data VALUES (22024, 0, 0, 0, 0, 93, 173);
INSERT INTO public.who_data VALUES (22025, 0, 721, 0, 6, 93, 145);
INSERT INTO public.who_data VALUES (22026, 0, 0, 0, 0, 93, 65);
INSERT INTO public.who_data VALUES (22027, 243, 17148, 1, 158, 93, 184);
INSERT INTO public.who_data VALUES (22028, 14575, 598085, 229, 10598, 93, 98);
INSERT INTO public.who_data VALUES (22029, 1153, 155254, 2, 544, 93, 104);
INSERT INTO public.who_data VALUES (22030, 0, 509, 0, 21, 93, 73);
INSERT INTO public.who_data VALUES (22031, 164560, 11413788, 1825, 248571, 93, 8);
INSERT INTO public.who_data VALUES (22032, 6, 1469, 0, 23, 93, 227);
INSERT INTO public.who_data VALUES (22033, 88, 4296, 0, 68, 93, 75);
INSERT INTO public.who_data VALUES (22034, 213, 71071, 1, 602, 93, 45);
INSERT INTO public.who_data VALUES (22035, 0, 1, 0, 0, 93, 133);
INSERT INTO public.who_data VALUES (22036, 300, 98350, 2, 860, 93, 202);
INSERT INTO public.who_data VALUES (22037, 4, 1304, 0, 35, 93, 129);
INSERT INTO public.who_data VALUES (22038, 0, 2, 0, 0, 93, 36);
INSERT INTO public.who_data VALUES (22039, 0, 2072, 1, 605, 93, 51);
INSERT INTO public.who_data VALUES (22040, 70, 17350, 0, 356, 93, 206);
INSERT INTO public.who_data VALUES (22041, 65, 9046, 4, 265, 93, 5);
INSERT INTO public.who_data VALUES (22042, 223, 43851, 7, 1645, 94, 103);
INSERT INTO public.who_data VALUES (22043, 711, 29837, 9, 646, 94, 58);
INSERT INTO public.who_data VALUES (22044, 1038, 70629, 20, 2206, 94, 195);
INSERT INTO public.who_data VALUES (22045, 0, 0, 0, 0, 94, 115);
INSERT INTO public.who_data VALUES (22046, 67, 6018, 0, 76, 94, 99);
INSERT INTO public.who_data VALUES (22047, 104, 13922, 4, 332, 94, 153);
INSERT INTO public.who_data VALUES (22048, 0, 3, 0, 0, 94, 93);
INSERT INTO public.who_data VALUES (22049, 4, 138, 0, 4, 94, 84);
INSERT INTO public.who_data VALUES (22050, 10621, 1329005, 379, 36106, 94, 78);
INSERT INTO public.who_data VALUES (22051, 1520, 121292, 31, 1865, 94, 170);
INSERT INTO public.who_data VALUES (22052, 8, 4676, 0, 44, 94, 32);
INSERT INTO public.who_data VALUES (22053, 21, 27777, 0, 907, 94, 155);
INSERT INTO public.who_data VALUES (22054, 7766, 221228, 113, 1928, 94, 82);
INSERT INTO public.who_data VALUES (22055, 2239, 81397, 25, 1030, 94, 16);
INSERT INTO public.who_data VALUES (22056, 11, 7323, 0, 163, 94, 72);
INSERT INTO public.who_data VALUES (22057, 174, 85182, 0, 337, 94, 43);
INSERT INTO public.who_data VALUES (22058, 2111, 438795, 21, 6275, 94, 120);
INSERT INTO public.who_data VALUES (22059, 0, 250, 0, 7, 94, 213);
INSERT INTO public.who_data VALUES (22060, 1309, 118008, 7, 1067, 94, 31);
INSERT INTO public.who_data VALUES (22061, 3703, 553797, 158, 15246, 94, 204);
INSERT INTO public.who_data VALUES (22062, 37, 4920, 2, 96, 94, 152);
INSERT INTO public.who_data VALUES (22063, 0, 2916, 0, 43, 94, 144);
INSERT INTO public.who_data VALUES (22064, 0, 223, 0, 9, 94, 96);
INSERT INTO public.who_data VALUES (22065, 0, 378, 0, 0, 94, 47);
INSERT INTO public.who_data VALUES (22066, 102, 143473, 7, 8866, 94, 80);
INSERT INTO public.who_data VALUES (22067, 1, 139, 0, 3, 94, 159);
INSERT INTO public.who_data VALUES (22068, 1633, 75577, 47, 2089, 94, 27);
INSERT INTO public.who_data VALUES (22069, 0, 9103, 0, 29, 94, 146);
INSERT INTO public.who_data VALUES (22070, 35294, 5911758, 685, 166699, 94, 71);
INSERT INTO public.who_data VALUES (22071, 0, 72, 0, 1, 94, 210);
INSERT INTO public.who_data VALUES (22072, 0, 148, 0, 3, 94, 54);
INSERT INTO public.who_data VALUES (22073, 3938, 110536, 117, 2530, 94, 147);
INSERT INTO public.who_data VALUES (22074, 18, 2670, 0, 68, 94, 2);
INSERT INTO public.who_data VALUES (22075, 0, 642, 0, 1, 94, 105);
INSERT INTO public.who_data VALUES (22076, 40, 10000, 1, 104, 94, 53);
INSERT INTO public.who_data VALUES (22077, 0, 304, 0, 0, 94, 81);
INSERT INTO public.who_data VALUES (22078, 0, 22896, 0, 433, 94, 223);
INSERT INTO public.who_data VALUES (22079, 4276, 306468, 59, 11086, 94, 94);
INSERT INTO public.who_data VALUES (22080, 0, 257, 0, 2, 94, 154);
INSERT INTO public.who_data VALUES (22081, 7, 4907, 0, 63, 94, 83);
INSERT INTO public.who_data VALUES (22082, 8, 1616, 0, 101, 94, 194);
INSERT INTO public.who_data VALUES (22083, 948, 534558, 14, 14897, 94, 136);
INSERT INTO public.who_data VALUES (22084, 23, 92513, 0, 4749, 94, 179);
INSERT INTO public.who_data VALUES (22085, 5911, 1211128, 158, 34381, 94, 57);
INSERT INTO public.who_data VALUES (22086, 12, 591, 0, 7, 94, 35);
INSERT INTO public.who_data VALUES (22087, 117, 5632, 1, 93, 94, 228);
INSERT INTO public.who_data VALUES (22088, 0, 0, 0, 0, 94, 19);
INSERT INTO public.who_data VALUES (22089, 998, 125590, 12, 1578, 94, 22);
INSERT INTO public.who_data VALUES (22090, 41, 21045, 0, 129, 94, 1);
INSERT INTO public.who_data VALUES (22091, 3251, 90715, 38, 1151, 94, 21);
INSERT INTO public.who_data VALUES (22092, 37, 7704, 0, 131, 94, 234);
INSERT INTO public.who_data VALUES (22093, 41, 1415, 0, 2, 94, 91);
INSERT INTO public.who_data VALUES (22094, 198, 7711, 1, 41, 94, 137);
INSERT INTO public.who_data VALUES (22095, 5515, 475284, 182, 6740, 94, 201);
INSERT INTO public.who_data VALUES (22096, 0, 0, 0, 0, 94, 171);
INSERT INTO public.who_data VALUES (22097, 52, 11917, 1, 323, 94, 92);
INSERT INTO public.who_data VALUES (22098, 1257, 65808, 2, 770, 94, 112);
INSERT INTO public.who_data VALUES (22099, 2, 5658, 0, 61, 94, 62);
INSERT INTO public.who_data VALUES (22100, 0, 68, 0, 0, 94, 69);
INSERT INTO public.who_data VALUES (22101, 460, 135157, 3, 2293, 94, 220);
INSERT INTO public.who_data VALUES (22102, 1146, 182250, 27, 13052, 94, 100);
INSERT INTO public.who_data VALUES (22103, 329, 111613, 14, 6495, 94, 187);
INSERT INTO public.who_data VALUES (22104, 296, 36965, 4, 1056, 94, 63);
INSERT INTO public.who_data VALUES (22105, 0, 5121, 0, 85, 94, 28);
INSERT INTO public.who_data VALUES (22106, 0, 518, 0, 0, 94, 172);
INSERT INTO public.who_data VALUES (22107, 271, 8304, 1, 85, 94, 17);
INSERT INTO public.who_data VALUES (22108, 20, 6144, 0, 119, 94, 226);
INSERT INTO public.who_data VALUES (22109, 533, 103928, 13, 1601, 94, 236);
INSERT INTO public.who_data VALUES (22110, 1, 16, 0, 0, 94, 76);
INSERT INTO public.who_data VALUES (22111, 0, 498, 0, 0, 94, 30);
INSERT INTO public.who_data VALUES (22112, 0, 35, 0, 2, 94, 128);
INSERT INTO public.who_data VALUES (22113, 288, 19935, 3, 374, 94, 86);
INSERT INTO public.who_data VALUES (22114, 27667, 2027727, 413, 46351, 94, 140);
INSERT INTO public.who_data VALUES (22115, 30, 10930, 0, 70, 94, 44);
INSERT INTO public.who_data VALUES (22116, 225, 12587, 1, 62, 94, 113);
INSERT INTO public.who_data VALUES (22117, 0, 9062, 0, 58, 94, 29);
INSERT INTO public.who_data VALUES (22118, 0, 3705, 0, 122, 94, 125);
INSERT INTO public.who_data VALUES (22119, 3697, 93092, 38, 853, 94, 131);
INSERT INTO public.who_data VALUES (22120, 22609, 855916, 251, 13370, 94, 46);
INSERT INTO public.who_data VALUES (22121, 0, 50457, 0, 323, 94, 10);
INSERT INTO public.who_data VALUES (22122, 8, 915, 1, 2, 94, 205);
INSERT INTO public.who_data VALUES (22123, 3209, 82034, 60, 1288, 94, 50);
INSERT INTO public.who_data VALUES (22124, 0, 18, 0, 0, 94, 20);
INSERT INTO public.who_data VALUES (22125, 3, 36, 0, 0, 94, 13);
INSERT INTO public.who_data VALUES (22126, 44, 8225, 5, 144, 94, 148);
INSERT INTO public.who_data VALUES (22127, 104, 6225, 0, 100, 94, 230);
INSERT INTO public.who_data VALUES (22128, 651, 116381, 61, 4008, 94, 190);
INSERT INTO public.who_data VALUES (22129, 0, 282, 0, 13, 94, 188);
INSERT INTO public.who_data VALUES (22130, 29, 12683, 0, 75, 94, 123);
INSERT INTO public.who_data VALUES (22131, 0, 2421, 0, 43, 94, 9);
INSERT INTO public.who_data VALUES (22132, 16, 4890, 1, 140, 94, 102);
INSERT INTO public.who_data VALUES (22133, 0, 9191, 0, 232, 94, 34);
INSERT INTO public.who_data VALUES (22134, 0, 26, 0, 0, 94, 212);
INSERT INTO public.who_data VALUES (22135, 249, 103488, 0, 2839, 94, 122);
INSERT INTO public.who_data VALUES (22136, 4512, 161461, 92, 3472, 94, 38);
INSERT INTO public.who_data VALUES (22137, 11, 5226, 0, 25, 94, 130);
INSERT INTO public.who_data VALUES (22138, 45576, 8958483, 585, 131578, 94, 37);
INSERT INTO public.who_data VALUES (22139, 4265, 478720, 110, 15503, 94, 231);
INSERT INTO public.who_data VALUES (22140, 13421, 801894, 480, 42941, 94, 107);
INSERT INTO public.who_data VALUES (22141, 2349, 526852, 43, 11795, 94, 101);
INSERT INTO public.who_data VALUES (22142, 372, 69058, 11, 2006, 94, 132);
INSERT INTO public.who_data VALUES (22143, 0, 364, 0, 25, 94, 176);
INSERT INTO public.who_data VALUES (22144, 829, 325800, 12, 2768, 94, 200);
INSERT INTO public.who_data VALUES (22145, 34280, 1272352, 753, 47217, 94, 169);
INSERT INTO public.who_data VALUES (22146, 60, 10019, 2, 233, 94, 225);
INSERT INTO public.who_data VALUES (22147, 2151, 122966, 9, 1922, 94, 165);
INSERT INTO public.who_data VALUES (22148, 10, 771, 0, 32, 94, 233);
INSERT INTO public.who_data VALUES (22149, 7933, 163926, 60, 1969, 94, 215);
INSERT INTO public.who_data VALUES (22150, 949, 164736, 0, 2365, 94, 177);
INSERT INTO public.who_data VALUES (22151, 957, 72686, 11, 1313, 94, 183);
INSERT INTO public.who_data VALUES (22152, 0, 0, 0, 0, 94, 203);
INSERT INTO public.who_data VALUES (22153, 720, 31172, 11, 850, 94, 162);
INSERT INTO public.who_data VALUES (22154, 452, 138337, 9, 857, 94, 12);
INSERT INTO public.who_data VALUES (22155, 422, 68316, 5, 1217, 94, 24);
INSERT INTO public.who_data VALUES (22156, 0, 25, 0, 0, 94, 119);
INSERT INTO public.who_data VALUES (22157, 442, 11356, 5, 137, 94, 39);
INSERT INTO public.who_data VALUES (22158, 2084, 110037, 13, 852, 94, 26);
INSERT INTO public.who_data VALUES (22159, 74, 2041, 0, 44, 94, 59);
INSERT INTO public.who_data VALUES (22160, 5, 1517, 0, 82, 94, 77);
INSERT INTO public.who_data VALUES (22161, 529, 75465, 12, 1053, 94, 134);
INSERT INTO public.who_data VALUES (22162, 19, 1102, 0, 8, 94, 4);
INSERT INTO public.who_data VALUES (22163, 1668, 40455, 23, 375, 94, 109);
INSERT INTO public.who_data VALUES (22164, 425, 27681, 4, 240, 94, 90);
INSERT INTO public.who_data VALUES (22165, 0, 17310, 0, 250, 94, 61);
INSERT INTO public.who_data VALUES (22166, 27, 5998, 0, 185, 94, 85);
INSERT INTO public.who_data VALUES (22167, 660, 50390, 4, 322, 94, 49);
INSERT INTO public.who_data VALUES (22168, 29, 12384, 0, 45, 94, 208);
INSERT INTO public.who_data VALUES (22169, 0, 3980, 0, 141, 94, 166);
INSERT INTO public.who_data VALUES (22170, 173, 8409, 1, 99, 94, 64);
INSERT INTO public.who_data VALUES (22171, 0, 4, 0, 0, 94, 199);
INSERT INTO public.who_data VALUES (22172, 359, 5091, 2, 39, 94, 114);
INSERT INTO public.who_data VALUES (22173, 0, 7952, 0, 165, 94, 60);
INSERT INTO public.who_data VALUES (22174, 0, 491, 0, 10, 94, 68);
INSERT INTO public.who_data VALUES (22175, 93, 5036, 2, 48, 94, 158);
INSERT INTO public.who_data VALUES (22176, 1757, 1011153, 165, 99026, 94, 52);
INSERT INTO public.who_data VALUES (22177, 0, 0, 0, 0, 94, 117);
INSERT INTO public.who_data VALUES (22178, 8, 568, 0, 3, 94, 126);
INSERT INTO public.who_data VALUES (22179, 33, 473, 0, 0, 94, 196);
INSERT INTO public.who_data VALUES (22180, 536, 29988, 6, 419, 94, 142);
INSERT INTO public.who_data VALUES (22181, 0, 13, 0, 1, 94, 185);
INSERT INTO public.who_data VALUES (22182, 5391, 306995, 81, 5013, 94, 138);
INSERT INTO public.who_data VALUES (22183, 63, 14629, 1, 119, 94, 181);
INSERT INTO public.who_data VALUES (22184, 1592, 73322, 25, 1650, 94, 178);
INSERT INTO public.who_data VALUES (22185, 44, 13610, 0, 140, 94, 168);
INSERT INTO public.who_data VALUES (22186, 0, 0, 0, 0, 94, 160);
INSERT INTO public.who_data VALUES (22187, 1442, 212917, 12, 1259, 94, 151);
INSERT INTO public.who_data VALUES (22188, 4586, 460363, 82, 8678, 94, 193);
INSERT INTO public.who_data VALUES (22189, 0, 30, 0, 0, 94, 18);
INSERT INTO public.who_data VALUES (22190, 2, 1654, 0, 25, 94, 40);
INSERT INTO public.who_data VALUES (22191, 0, 4583, 0, 159, 94, 218);
INSERT INTO public.who_data VALUES (22192, 4, 1331, 0, 70, 94, 191);
INSERT INTO public.who_data VALUES (22193, 236, 65693, 0, 1163, 94, 156);
INSERT INTO public.who_data VALUES (22194, 0, 0, 0, 0, 94, 135);
INSERT INTO public.who_data VALUES (22195, 0, 103, 0, 2, 94, 88);
INSERT INTO public.who_data VALUES (22196, 1402, 50015, 21, 1397, 94, 55);
INSERT INTO public.who_data VALUES (22197, 603, 30113, 1, 299, 94, 108);
INSERT INTO public.who_data VALUES (22198, 1251, 78571, 9, 667, 94, 48);
INSERT INTO public.who_data VALUES (22199, 411, 121129, 10, 1360, 94, 3);
INSERT INTO public.who_data VALUES (22200, 0, 741, 0, 13, 94, 224);
INSERT INTO public.who_data VALUES (22201, 2298, 363380, 37, 7230, 94, 110);
INSERT INTO public.who_data VALUES (22202, 0, 0, 0, 0, 94, 106);
INSERT INTO public.who_data VALUES (22203, 1054, 148721, 12, 2893, 94, 89);
INSERT INTO public.who_data VALUES (22204, 0, 604, 0, 7, 94, 121);
INSERT INTO public.who_data VALUES (22205, 758, 72857, 11, 1613, 94, 163);
INSERT INTO public.who_data VALUES (22206, 1663, 939931, 46, 35317, 94, 70);
INSERT INTO public.who_data VALUES (22207, 1379, 412097, 95, 7957, 94, 174);
INSERT INTO public.who_data VALUES (22208, 0, 0, 0, 0, 94, 175);
INSERT INTO public.who_data VALUES (22209, 19883, 772823, 603, 11451, 94, 118);
INSERT INTO public.who_data VALUES (22210, 5891, 236015, 79, 3632, 94, 189);
INSERT INTO public.who_data VALUES (22211, 325, 43910, 20, 971, 94, 124);
INSERT INTO public.who_data VALUES (22212, 219, 136441, 0, 235, 94, 192);
INSERT INTO public.who_data VALUES (22213, 325, 29606, 2, 498, 94, 41);
INSERT INTO public.who_data VALUES (22214, 1607, 92519, 18, 2072, 94, 95);
INSERT INTO public.who_data VALUES (22215, 137, 7298, 3, 34, 94, 74);
INSERT INTO public.who_data VALUES (22216, 10269, 383743, 168, 9429, 94, 11);
INSERT INTO public.who_data VALUES (22217, 23610, 2015608, 463, 34850, 94, 87);
INSERT INTO public.who_data VALUES (22218, 36, 5543, 0, 46, 94, 214);
INSERT INTO public.who_data VALUES (22219, 0, 5, 0, 0, 94, 116);
INSERT INTO public.who_data VALUES (22220, 18, 127, 0, 0, 94, 157);
INSERT INTO public.who_data VALUES (22221, 0, 0, 0, 0, 94, 182);
INSERT INTO public.who_data VALUES (22222, 0, 19, 0, 0, 94, 186);
INSERT INTO public.who_data VALUES (22223, 5, 183, 0, 2, 94, 127);
INSERT INTO public.who_data VALUES (22224, 35, 690, 0, 12, 94, 232);
INSERT INTO public.who_data VALUES (22225, 0, 14, 0, 0, 94, 33);
INSERT INTO public.who_data VALUES (22226, 5, 83, 0, 0, 94, 97);
INSERT INTO public.who_data VALUES (22227, 0, 0, 0, 0, 94, 42);
INSERT INTO public.who_data VALUES (22228, 37, 1358, 0, 43, 94, 198);
INSERT INTO public.who_data VALUES (22229, 0, 967, 0, 16, 94, 216);
INSERT INTO public.who_data VALUES (22230, 290, 354208, 18, 5710, 94, 164);
INSERT INTO public.who_data VALUES (22231, 17, 15823, 0, 329, 94, 235);
INSERT INTO public.who_data VALUES (22232, 5613, 97988, 27, 1081, 94, 67);
INSERT INTO public.who_data VALUES (22233, 0, 161, 0, 0, 94, 15);
INSERT INTO public.who_data VALUES (22234, 6, 2397, 0, 74, 94, 180);
INSERT INTO public.who_data VALUES (22235, 5, 58135, 0, 28, 94, 237);
INSERT INTO public.who_data VALUES (22236, 0, 14, 0, 0, 94, 25);
INSERT INTO public.who_data VALUES (22237, 15, 954, 0, 24, 94, 209);
INSERT INTO public.who_data VALUES (22238, 1326, 88602, 31, 557, 94, 217);
INSERT INTO public.who_data VALUES (22239, 2018, 58994, 45, 1004, 94, 79);
INSERT INTO public.who_data VALUES (22240, 0, 16, 0, 0, 94, 143);
INSERT INTO public.who_data VALUES (22241, 0, 4382, 0, 108, 94, 229);
INSERT INTO public.who_data VALUES (22242, 2888, 757144, 123, 20556, 94, 141);
INSERT INTO public.who_data VALUES (22243, 0, 3016, 0, 59, 94, 197);
INSERT INTO public.who_data VALUES (22244, 16219, 1615350, 348, 44268, 94, 221);
INSERT INTO public.who_data VALUES (22245, 327, 18402, 3, 69, 94, 150);
INSERT INTO public.who_data VALUES (22246, 231, 15530, 6, 1185, 94, 56);
INSERT INTO public.who_data VALUES (22247, 3, 5278, 1, 116, 94, 167);
INSERT INTO public.who_data VALUES (22248, 4458, 197055, 44, 6523, 94, 23);
INSERT INTO public.who_data VALUES (22249, 4858, 287500, 103, 3779, 94, 222);
INSERT INTO public.who_data VALUES (22250, 83, 6919, 4, 358, 94, 219);
INSERT INTO public.who_data VALUES (22251, 42, 11731, 1, 86, 94, 7);
INSERT INTO public.who_data VALUES (22252, 8, 3888, 0, 60, 94, 161);
INSERT INTO public.who_data VALUES (22253, 19609, 1430345, 529, 53274, 94, 149);
INSERT INTO public.who_data VALUES (22254, 0, 30, 0, 0, 94, 6);
INSERT INTO public.who_data VALUES (22255, 30, 2752, 1, 63, 94, 139);
INSERT INTO public.who_data VALUES (22256, 0, 0, 0, 0, 94, 211);
INSERT INTO public.who_data VALUES (22257, 0, 0, 0, 0, 94, 14);
INSERT INTO public.who_data VALUES (22258, 39, 6135, 1, 113, 94, 111);
INSERT INTO public.who_data VALUES (22259, 2049, 83772, 96, 2541, 94, 207);
INSERT INTO public.who_data VALUES (22260, 10946, 1192849, 116, 11820, 94, 66);
INSERT INTO public.who_data VALUES (22261, 0, 0, 0, 0, 94, 173);
INSERT INTO public.who_data VALUES (22262, 1, 721, 0, 6, 94, 145);
INSERT INTO public.who_data VALUES (22263, 0, 0, 0, 0, 94, 65);
INSERT INTO public.who_data VALUES (22264, 342, 16905, 7, 157, 94, 184);
INSERT INTO public.who_data VALUES (22265, 13357, 583510, 257, 10369, 94, 98);
INSERT INTO public.who_data VALUES (22266, 1292, 154101, 4, 542, 94, 104);
INSERT INTO public.who_data VALUES (22267, 0, 509, 0, 21, 94, 73);
INSERT INTO public.who_data VALUES (22268, 164044, 11249228, 1582, 246746, 94, 8);
INSERT INTO public.who_data VALUES (22269, 13, 1463, 0, 23, 94, 227);
INSERT INTO public.who_data VALUES (22270, 104, 4208, 1, 68, 94, 75);
INSERT INTO public.who_data VALUES (22271, 210, 70858, 2, 601, 94, 45);
INSERT INTO public.who_data VALUES (22272, 0, 1, 0, 0, 94, 133);
INSERT INTO public.who_data VALUES (22273, 311, 98050, 3, 858, 94, 202);
INSERT INTO public.who_data VALUES (22274, 12, 1300, 0, 35, 94, 129);
INSERT INTO public.who_data VALUES (22275, 0, 2, 0, 0, 94, 36);
INSERT INTO public.who_data VALUES (22276, 0, 2072, 0, 604, 94, 51);
INSERT INTO public.who_data VALUES (22277, 37, 17280, 3, 356, 94, 206);
INSERT INTO public.who_data VALUES (22278, 36, 8981, 2, 261, 94, 5);
INSERT INTO public.who_data VALUES (22279, 225, 43628, 12, 1638, 95, 103);
INSERT INTO public.who_data VALUES (22280, 694, 29126, 6, 637, 95, 58);
INSERT INTO public.who_data VALUES (22281, 1002, 69591, 18, 2186, 95, 195);
INSERT INTO public.who_data VALUES (22282, 0, 0, 0, 0, 95, 115);
INSERT INTO public.who_data VALUES (22283, 37, 5951, 0, 76, 95, 99);
INSERT INTO public.who_data VALUES (22284, 203, 13818, 4, 328, 95, 153);
INSERT INTO public.who_data VALUES (22285, 0, 3, 0, 0, 95, 93);
INSERT INTO public.who_data VALUES (22286, 0, 134, 0, 4, 95, 84);
INSERT INTO public.who_data VALUES (22287, 7893, 1318384, 291, 35727, 95, 78);
INSERT INTO public.who_data VALUES (22288, 1589, 119772, 28, 1834, 95, 170);
INSERT INTO public.who_data VALUES (22289, 6, 4668, 0, 44, 95, 32);
INSERT INTO public.who_data VALUES (22290, 6, 27756, 0, 907, 95, 155);
INSERT INTO public.who_data VALUES (22291, 5664, 213462, 74, 1815, 95, 82);
INSERT INTO public.who_data VALUES (22292, 2075, 79158, 20, 1005, 95, 16);
INSERT INTO public.who_data VALUES (22293, 56, 7312, 0, 163, 95, 72);
INSERT INTO public.who_data VALUES (22294, 126, 85008, 0, 337, 95, 43);
INSERT INTO public.who_data VALUES (22295, 2212, 436684, 39, 6254, 95, 120);
INSERT INTO public.who_data VALUES (22296, 0, 250, 0, 7, 95, 213);
INSERT INTO public.who_data VALUES (22297, 1251, 116699, 7, 1060, 95, 31);
INSERT INTO public.who_data VALUES (22298, 4829, 550094, 156, 15088, 95, 204);
INSERT INTO public.who_data VALUES (22299, 22, 4883, 4, 94, 95, 152);
INSERT INTO public.who_data VALUES (22300, 32, 2916, 0, 43, 95, 144);
INSERT INTO public.who_data VALUES (22301, 1, 223, 0, 9, 95, 96);
INSERT INTO public.who_data VALUES (22302, 1, 378, 0, 0, 95, 47);
INSERT INTO public.who_data VALUES (22303, 125, 143371, 10, 8859, 95, 80);
INSERT INTO public.who_data VALUES (22304, 0, 138, 0, 3, 95, 159);
INSERT INTO public.who_data VALUES (22305, 1255, 73944, 69, 2042, 95, 27);
INSERT INTO public.who_data VALUES (22306, 878, 9103, 2, 29, 95, 146);
INSERT INTO public.who_data VALUES (22307, 13371, 5876464, 216, 166014, 95, 71);
INSERT INTO public.who_data VALUES (22308, 0, 72, 0, 1, 95, 210);
INSERT INTO public.who_data VALUES (22309, 0, 148, 0, 3, 95, 54);
INSERT INTO public.who_data VALUES (22310, 4828, 106598, 131, 2413, 95, 147);
INSERT INTO public.who_data VALUES (22311, 0, 2652, 0, 68, 95, 2);
INSERT INTO public.who_data VALUES (22312, 11, 642, 0, 1, 95, 105);
INSERT INTO public.who_data VALUES (22313, 120, 9960, 0, 103, 95, 53);
INSERT INTO public.who_data VALUES (22314, 1, 304, 0, 0, 95, 81);
INSERT INTO public.who_data VALUES (22315, 0, 22896, 0, 433, 95, 223);
INSERT INTO public.who_data VALUES (22316, 6115, 302192, 74, 11027, 95, 94);
INSERT INTO public.who_data VALUES (22317, 3, 257, 1, 2, 95, 154);
INSERT INTO public.who_data VALUES (22318, 0, 4900, 0, 63, 95, 83);
INSERT INTO public.who_data VALUES (22319, 5, 1608, 0, 101, 95, 194);
INSERT INTO public.who_data VALUES (22320, 1006, 533610, 20, 14883, 95, 136);
INSERT INTO public.who_data VALUES (22321, 14, 92490, 0, 4749, 95, 179);
INSERT INTO public.who_data VALUES (22322, 6471, 1205217, 192, 34223, 95, 57);
INSERT INTO public.who_data VALUES (22323, 0, 579, 0, 7, 95, 35);
INSERT INTO public.who_data VALUES (22324, 0, 5515, 0, 92, 95, 228);
INSERT INTO public.who_data VALUES (22325, 0, 0, 0, 0, 95, 19);
INSERT INTO public.who_data VALUES (22326, 643, 124592, 11, 1566, 95, 22);
INSERT INTO public.who_data VALUES (22327, 28, 21004, 1, 129, 95, 1);
INSERT INTO public.who_data VALUES (22328, 1945, 87464, 31, 1113, 95, 21);
INSERT INTO public.who_data VALUES (22329, 28, 7667, 0, 131, 95, 234);
INSERT INTO public.who_data VALUES (22330, 34, 1374, 0, 2, 95, 91);
INSERT INTO public.who_data VALUES (22331, 228, 7513, 0, 40, 95, 137);
INSERT INTO public.who_data VALUES (22332, 4246, 469769, 142, 6558, 95, 201);
INSERT INTO public.who_data VALUES (22333, 0, 0, 0, 0, 95, 171);
INSERT INTO public.who_data VALUES (22334, 77, 11865, 3, 322, 95, 92);
INSERT INTO public.who_data VALUES (22335, 1220, 64551, 4, 768, 95, 112);
INSERT INTO public.who_data VALUES (22336, 1, 5656, 0, 61, 95, 62);
INSERT INTO public.who_data VALUES (22337, 0, 68, 0, 0, 95, 69);
INSERT INTO public.who_data VALUES (22338, 494, 134697, 4, 2290, 95, 220);
INSERT INTO public.who_data VALUES (22339, 428, 181104, 9, 13025, 95, 100);
INSERT INTO public.who_data VALUES (22340, 275, 111284, 16, 6481, 95, 187);
INSERT INTO public.who_data VALUES (22341, 0, 36669, 5, 1052, 95, 63);
INSERT INTO public.who_data VALUES (22342, 0, 5121, 0, 85, 95, 28);
INSERT INTO public.who_data VALUES (22343, 0, 518, 0, 0, 95, 172);
INSERT INTO public.who_data VALUES (22344, 185, 8033, 3, 84, 95, 17);
INSERT INTO public.who_data VALUES (22345, 19, 6124, 0, 119, 95, 226);
INSERT INTO public.who_data VALUES (22346, 339, 103395, 7, 1588, 95, 236);
INSERT INTO public.who_data VALUES (22347, 0, 15, 0, 0, 95, 76);
INSERT INTO public.who_data VALUES (22348, 0, 498, 0, 0, 95, 30);
INSERT INTO public.who_data VALUES (22349, 0, 35, 0, 2, 95, 128);
INSERT INTO public.who_data VALUES (22350, 228, 19647, 0, 371, 95, 86);
INSERT INTO public.who_data VALUES (22351, 45498, 2000060, 1219, 45938, 95, 140);
INSERT INTO public.who_data VALUES (22352, 24, 10900, 0, 70, 95, 44);
INSERT INTO public.who_data VALUES (22353, 241, 12362, 5, 61, 95, 113);
INSERT INTO public.who_data VALUES (22354, 0, 9062, 0, 58, 95, 29);
INSERT INTO public.who_data VALUES (22355, 3, 3705, 0, 122, 95, 125);
INSERT INTO public.who_data VALUES (22356, 3443, 89395, 37, 815, 95, 131);
INSERT INTO public.who_data VALUES (22357, 17561, 833307, 305, 13119, 95, 46);
INSERT INTO public.who_data VALUES (22358, 334, 50457, 1, 323, 95, 10);
INSERT INTO public.who_data VALUES (22359, 5, 907, 0, 1, 95, 205);
INSERT INTO public.who_data VALUES (22360, 2422, 78825, 63, 1228, 95, 50);
INSERT INTO public.who_data VALUES (22361, 0, 18, 0, 0, 95, 20);
INSERT INTO public.who_data VALUES (22362, 0, 33, 0, 0, 95, 13);
INSERT INTO public.who_data VALUES (22363, 0, 8181, 0, 139, 95, 148);
INSERT INTO public.who_data VALUES (22364, 59, 6121, 2, 100, 95, 230);
INSERT INTO public.who_data VALUES (22365, 698, 115730, 9, 3947, 95, 190);
INSERT INTO public.who_data VALUES (22366, 0, 282, 0, 13, 95, 188);
INSERT INTO public.who_data VALUES (22367, 30, 12654, 0, 75, 95, 123);
INSERT INTO public.who_data VALUES (22368, 0, 2421, 0, 43, 95, 9);
INSERT INTO public.who_data VALUES (22369, 51, 4874, 0, 139, 95, 102);
INSERT INTO public.who_data VALUES (22370, 3, 9191, 0, 232, 95, 34);
INSERT INTO public.who_data VALUES (22371, 0, 26, 0, 0, 95, 212);
INSERT INTO public.who_data VALUES (22372, 137, 103239, 16, 2839, 95, 122);
INSERT INTO public.who_data VALUES (22373, 4290, 156949, 99, 3380, 95, 38);
INSERT INTO public.who_data VALUES (22374, 10, 5215, 0, 25, 95, 130);
INSERT INTO public.who_data VALUES (22375, 38617, 8912907, 474, 130993, 95, 37);
INSERT INTO public.who_data VALUES (22376, 3807, 474455, 97, 15393, 95, 231);
INSERT INTO public.who_data VALUES (22377, 13352, 788473, 482, 42461, 95, 107);
INSERT INTO public.who_data VALUES (22378, 2961, 524503, 40, 11752, 95, 101);
INSERT INTO public.who_data VALUES (22379, 330, 68686, 11, 1995, 95, 132);
INSERT INTO public.who_data VALUES (22380, 1, 364, 0, 25, 95, 176);
INSERT INTO public.who_data VALUES (22381, 873, 324971, 8, 2756, 95, 200);
INSERT INTO public.who_data VALUES (22382, 32191, 1238072, 731, 46464, 95, 169);
INSERT INTO public.who_data VALUES (22383, 30, 9959, 0, 231, 95, 225);
INSERT INTO public.who_data VALUES (22384, 1489, 120815, 10, 1913, 95, 165);
INSERT INTO public.who_data VALUES (22385, 33, 761, 0, 32, 95, 233);
INSERT INTO public.who_data VALUES (22386, 6454, 155993, 66, 1909, 95, 215);
INSERT INTO public.who_data VALUES (22387, 964, 163787, 0, 2365, 95, 177);
INSERT INTO public.who_data VALUES (22388, 925, 71729, 15, 1302, 95, 183);
INSERT INTO public.who_data VALUES (22389, 0, 0, 0, 0, 95, 203);
INSERT INTO public.who_data VALUES (22390, 690, 30452, 16, 839, 95, 162);
INSERT INTO public.who_data VALUES (22391, 556, 137885, 6, 848, 95, 12);
INSERT INTO public.who_data VALUES (22392, 425, 67894, 5, 1212, 95, 24);
INSERT INTO public.who_data VALUES (22393, 1, 25, 0, 0, 95, 119);
INSERT INTO public.who_data VALUES (22394, 278, 10914, 6, 132, 95, 39);
INSERT INTO public.who_data VALUES (22395, 1507, 107953, 12, 839, 95, 26);
INSERT INTO public.who_data VALUES (22396, 0, 1967, 0, 44, 95, 59);
INSERT INTO public.who_data VALUES (22397, 0, 1512, 0, 82, 95, 77);
INSERT INTO public.who_data VALUES (22398, 612, 74936, 16, 1041, 95, 134);
INSERT INTO public.who_data VALUES (22399, 35, 1083, 0, 8, 95, 4);
INSERT INTO public.who_data VALUES (22400, 1943, 38787, 21, 352, 95, 109);
INSERT INTO public.who_data VALUES (22401, 164, 27256, 10, 236, 95, 90);
INSERT INTO public.who_data VALUES (22402, 0, 17310, 0, 250, 95, 61);
INSERT INTO public.who_data VALUES (22403, 0, 5971, 0, 185, 95, 85);
INSERT INTO public.who_data VALUES (22404, 1210, 49730, 5, 318, 95, 49);
INSERT INTO public.who_data VALUES (22405, 41, 12355, 1, 45, 95, 208);
INSERT INTO public.who_data VALUES (22406, 32, 3980, 0, 141, 95, 166);
INSERT INTO public.who_data VALUES (22407, 110, 8236, 3, 98, 95, 64);
INSERT INTO public.who_data VALUES (22408, 3, 4, 0, 0, 95, 199);
INSERT INTO public.who_data VALUES (22409, 0, 4732, 0, 37, 95, 114);
INSERT INTO public.who_data VALUES (22410, 0, 7952, 0, 165, 95, 60);
INSERT INTO public.who_data VALUES (22411, 0, 491, 0, 10, 95, 68);
INSERT INTO public.who_data VALUES (22412, 0, 4943, 0, 46, 95, 158);
INSERT INTO public.who_data VALUES (22413, 2874, 1009396, 319, 98861, 95, 52);
INSERT INTO public.who_data VALUES (22414, 0, 0, 0, 0, 95, 117);
INSERT INTO public.who_data VALUES (22415, 5, 560, 1, 3, 95, 126);
INSERT INTO public.who_data VALUES (22416, 9, 440, 0, 0, 95, 196);
INSERT INTO public.who_data VALUES (22417, 565, 29452, 9, 413, 95, 142);
INSERT INTO public.who_data VALUES (22418, 0, 13, 0, 1, 95, 185);
INSERT INTO public.who_data VALUES (22419, 5415, 301604, 82, 4932, 95, 138);
INSERT INTO public.who_data VALUES (22420, 52, 14566, 2, 118, 95, 181);
INSERT INTO public.who_data VALUES (22421, 1569, 71730, 26, 1625, 95, 178);
INSERT INTO public.who_data VALUES (22422, 11, 13566, 2, 140, 95, 168);
INSERT INTO public.who_data VALUES (22423, 0, 0, 0, 0, 95, 160);
INSERT INTO public.who_data VALUES (22424, 502, 211475, 17, 1247, 95, 151);
INSERT INTO public.who_data VALUES (22425, 4282, 455777, 85, 8596, 95, 193);
INSERT INTO public.who_data VALUES (22426, 0, 30, 0, 0, 95, 18);
INSERT INTO public.who_data VALUES (22427, 3, 1652, 0, 25, 95, 40);
INSERT INTO public.who_data VALUES (22428, 50, 4583, 1, 159, 95, 218);
INSERT INTO public.who_data VALUES (22429, 11, 1327, 0, 70, 95, 191);
INSERT INTO public.who_data VALUES (22430, 152, 65457, 0, 1163, 95, 156);
INSERT INTO public.who_data VALUES (22431, 0, 0, 0, 0, 95, 135);
INSERT INTO public.who_data VALUES (22432, 0, 103, 0, 2, 95, 88);
INSERT INTO public.who_data VALUES (22433, 977, 48613, 31, 1376, 95, 55);
INSERT INTO public.who_data VALUES (22434, 547, 29510, 4, 298, 95, 108);
INSERT INTO public.who_data VALUES (22435, 1158, 77320, 11, 658, 95, 48);
INSERT INTO public.who_data VALUES (22436, 0, 120718, 0, 1350, 95, 3);
INSERT INTO public.who_data VALUES (22437, 0, 741, 0, 13, 95, 224);
INSERT INTO public.who_data VALUES (22438, 2050, 361082, 33, 7193, 95, 110);
INSERT INTO public.who_data VALUES (22439, 0, 0, 0, 0, 95, 106);
INSERT INTO public.who_data VALUES (22440, 1014, 147667, 8, 2881, 95, 89);
INSERT INTO public.who_data VALUES (22441, 2, 604, 0, 7, 95, 121);
INSERT INTO public.who_data VALUES (22442, 525, 72099, 15, 1602, 95, 163);
INSERT INTO public.who_data VALUES (22443, 1257, 938268, 40, 35271, 95, 70);
INSERT INTO public.who_data VALUES (22444, 1144, 410718, 23, 7862, 95, 174);
INSERT INTO public.who_data VALUES (22445, 0, 0, 0, 0, 95, 175);
INSERT INTO public.who_data VALUES (22446, 19152, 752940, 357, 10848, 95, 118);
INSERT INTO public.who_data VALUES (22447, 4452, 230124, 81, 3553, 95, 189);
INSERT INTO public.who_data VALUES (22448, 569, 43585, 9, 951, 95, 124);
INSERT INTO public.who_data VALUES (22449, 194, 136222, 0, 235, 95, 192);
INSERT INTO public.who_data VALUES (22450, 285, 29281, 2, 496, 95, 41);
INSERT INTO public.who_data VALUES (22451, 1069, 90912, 19, 2054, 95, 95);
INSERT INTO public.who_data VALUES (22452, 0, 7161, 0, 31, 95, 74);
INSERT INTO public.who_data VALUES (22453, 8262, 373474, 186, 9261, 95, 11);
INSERT INTO public.who_data VALUES (22454, 20985, 1991998, 456, 34387, 95, 87);
INSERT INTO public.who_data VALUES (22455, 16, 5507, 1, 46, 95, 214);
INSERT INTO public.who_data VALUES (22456, 0, 5, 0, 0, 95, 116);
INSERT INTO public.who_data VALUES (22457, 0, 109, 0, 0, 95, 157);
INSERT INTO public.who_data VALUES (22458, 0, 0, 0, 0, 95, 182);
INSERT INTO public.who_data VALUES (22459, 0, 19, 0, 0, 95, 186);
INSERT INTO public.who_data VALUES (22460, 5, 178, 0, 2, 95, 127);
INSERT INTO public.who_data VALUES (22461, 0, 655, 0, 12, 95, 232);
INSERT INTO public.who_data VALUES (22462, 0, 14, 0, 0, 95, 33);
INSERT INTO public.who_data VALUES (22463, 0, 78, 0, 0, 95, 97);
INSERT INTO public.who_data VALUES (22464, 0, 0, 0, 0, 95, 42);
INSERT INTO public.who_data VALUES (22465, 31, 1321, 1, 43, 95, 198);
INSERT INTO public.who_data VALUES (22466, 2, 967, 0, 16, 95, 216);
INSERT INTO public.who_data VALUES (22467, 362, 353918, 16, 5692, 95, 164);
INSERT INTO public.who_data VALUES (22468, 13, 15806, 1, 329, 95, 235);
INSERT INTO public.who_data VALUES (22469, 4994, 92375, 24, 1054, 95, 67);
INSERT INTO public.who_data VALUES (22470, 3, 161, 0, 0, 95, 15);
INSERT INTO public.who_data VALUES (22471, 0, 2391, 0, 74, 95, 180);
INSERT INTO public.who_data VALUES (22472, 6, 58130, 0, 28, 95, 237);
INSERT INTO public.who_data VALUES (22473, 0, 14, 0, 0, 95, 25);
INSERT INTO public.who_data VALUES (22474, 6, 939, 0, 24, 95, 209);
INSERT INTO public.who_data VALUES (22475, 509, 87276, 16, 526, 95, 217);
INSERT INTO public.who_data VALUES (22476, 1393, 56976, 44, 959, 95, 79);
INSERT INTO public.who_data VALUES (22477, 0, 16, 0, 0, 95, 143);
INSERT INTO public.who_data VALUES (22478, 81, 4382, 1, 108, 95, 229);
INSERT INTO public.who_data VALUES (22479, 1987, 754256, 119, 20433, 95, 141);
INSERT INTO public.who_data VALUES (22480, 0, 3016, 0, 59, 95, 197);
INSERT INTO public.who_data VALUES (22481, 13130, 1599131, 270, 43920, 95, 221);
INSERT INTO public.who_data VALUES (22482, 401, 18075, 5, 66, 95, 150);
INSERT INTO public.who_data VALUES (22483, 146, 15299, 1, 1179, 95, 56);
INSERT INTO public.who_data VALUES (22484, 1, 5275, 1, 115, 95, 167);
INSERT INTO public.who_data VALUES (22485, 2544, 192597, 37, 6479, 95, 23);
INSERT INTO public.who_data VALUES (22486, 5417, 282642, 86, 3676, 95, 222);
INSERT INTO public.who_data VALUES (22487, 77, 6836, 4, 354, 95, 219);
INSERT INTO public.who_data VALUES (22488, 40, 11689, 0, 85, 95, 7);
INSERT INTO public.who_data VALUES (22489, 2, 3880, 0, 60, 95, 161);
INSERT INTO public.who_data VALUES (22490, 20051, 1410736, 598, 52745, 95, 149);
INSERT INTO public.who_data VALUES (22491, 0, 30, 0, 0, 95, 6);
INSERT INTO public.who_data VALUES (22492, 117, 2722, 2, 62, 95, 139);
INSERT INTO public.who_data VALUES (22493, 0, 0, 0, 0, 95, 211);
INSERT INTO public.who_data VALUES (22494, 0, 0, 0, 0, 95, 14);
INSERT INTO public.who_data VALUES (22495, 16, 6096, 0, 112, 95, 111);
INSERT INTO public.who_data VALUES (22496, 720, 81723, 56, 2445, 95, 207);
INSERT INTO public.who_data VALUES (22497, 10549, 1181903, 103, 11704, 95, 66);
INSERT INTO public.who_data VALUES (22498, 0, 0, 0, 0, 95, 173);
INSERT INTO public.who_data VALUES (22499, 0, 720, 0, 6, 95, 145);
INSERT INTO public.who_data VALUES (22500, 0, 0, 0, 0, 95, 65);
INSERT INTO public.who_data VALUES (22501, 306, 16563, 0, 150, 95, 184);
INSERT INTO public.who_data VALUES (22502, 12496, 570153, 256, 10112, 95, 98);
INSERT INTO public.who_data VALUES (22503, 1255, 152809, 4, 538, 95, 104);
INSERT INTO public.who_data VALUES (22504, 0, 509, 0, 21, 95, 73);
INSERT INTO public.who_data VALUES (22505, 151266, 11085184, 753, 245164, 95, 8);
INSERT INTO public.who_data VALUES (22506, 16, 1450, 0, 23, 95, 227);
INSERT INTO public.who_data VALUES (22507, 74, 4104, 2, 67, 95, 75);
INSERT INTO public.who_data VALUES (22508, 204, 70648, 1, 599, 95, 45);
INSERT INTO public.who_data VALUES (22509, 0, 1, 0, 0, 95, 133);
INSERT INTO public.who_data VALUES (22510, 387, 97739, 4, 855, 95, 202);
INSERT INTO public.who_data VALUES (22511, 5, 1288, 0, 35, 95, 129);
INSERT INTO public.who_data VALUES (22512, 0, 2, 0, 0, 95, 36);
INSERT INTO public.who_data VALUES (22513, 0, 2072, 0, 604, 95, 51);
INSERT INTO public.who_data VALUES (22514, 56, 17243, 0, 353, 95, 206);
INSERT INTO public.who_data VALUES (22515, 48, 8945, 2, 259, 95, 5);
INSERT INTO public.who_data VALUES (22516, 163, 43403, 9, 1626, 96, 103);
INSERT INTO public.who_data VALUES (22517, 602, 28432, 8, 631, 96, 58);
INSERT INTO public.who_data VALUES (22518, 910, 68589, 14, 2168, 96, 195);
INSERT INTO public.who_data VALUES (22519, 0, 0, 0, 0, 96, 115);
INSERT INTO public.who_data VALUES (22520, 42, 5914, 0, 76, 96, 99);
INSERT INTO public.who_data VALUES (22521, 164, 13615, 2, 324, 96, 153);
INSERT INTO public.who_data VALUES (22522, 0, 3, 0, 0, 96, 93);
INSERT INTO public.who_data VALUES (22523, 0, 134, 0, 4, 96, 84);
INSERT INTO public.who_data VALUES (22524, 5645, 1310491, 129, 35436, 96, 78);
INSERT INTO public.who_data VALUES (22525, 984, 118183, 23, 1806, 96, 170);
INSERT INTO public.who_data VALUES (22526, 23, 4662, 1, 44, 96, 32);
INSERT INTO public.who_data VALUES (22527, 25, 27750, 0, 907, 96, 155);
INSERT INTO public.who_data VALUES (22528, 4304, 207798, 62, 1741, 96, 82);
INSERT INTO public.who_data VALUES (22529, 1395, 77083, 18, 985, 96, 16);
INSERT INTO public.who_data VALUES (22530, 93, 7256, 8, 163, 96, 72);
INSERT INTO public.who_data VALUES (22531, 179, 84882, 3, 337, 96, 43);
INSERT INTO public.who_data VALUES (22532, 2139, 434472, 21, 6215, 96, 120);
INSERT INTO public.who_data VALUES (22533, 1, 250, 0, 7, 96, 213);
INSERT INTO public.who_data VALUES (22534, 1263, 115448, 7, 1053, 96, 31);
INSERT INTO public.who_data VALUES (22535, 5821, 545265, 194, 14932, 96, 204);
INSERT INTO public.who_data VALUES (22536, 78, 4861, 2, 90, 96, 152);
INSERT INTO public.who_data VALUES (22537, 40, 2884, 0, 43, 96, 144);
INSERT INTO public.who_data VALUES (22538, 0, 222, 0, 9, 96, 96);
INSERT INTO public.who_data VALUES (22539, 2, 377, 0, 0, 96, 47);
INSERT INTO public.who_data VALUES (22540, 65, 143246, 8, 8849, 96, 80);
INSERT INTO public.who_data VALUES (22541, 2, 138, 0, 3, 96, 159);
INSERT INTO public.who_data VALUES (22542, 730, 72689, 75, 1973, 96, 27);
INSERT INTO public.who_data VALUES (22543, 0, 8225, 0, 27, 96, 146);
INSERT INTO public.who_data VALUES (22544, 14134, 5863093, 140, 165798, 96, 71);
INSERT INTO public.who_data VALUES (22545, 0, 72, 0, 1, 96, 210);
INSERT INTO public.who_data VALUES (22546, 0, 148, 0, 3, 96, 54);
INSERT INTO public.who_data VALUES (22547, 3519, 101770, 152, 2282, 96, 147);
INSERT INTO public.who_data VALUES (22548, 11, 2652, 0, 68, 96, 2);
INSERT INTO public.who_data VALUES (22549, 1, 631, 0, 1, 96, 105);
INSERT INTO public.who_data VALUES (22550, 18, 9840, 0, 103, 96, 53);
INSERT INTO public.who_data VALUES (22551, 1, 303, 0, 0, 96, 81);
INSERT INTO public.who_data VALUES (22552, 204, 22896, 0, 433, 96, 223);
INSERT INTO public.who_data VALUES (22553, 4146, 296077, 62, 10953, 96, 94);
INSERT INTO public.who_data VALUES (22554, 0, 254, 0, 1, 96, 154);
INSERT INTO public.who_data VALUES (22555, 0, 4900, 0, 63, 96, 83);
INSERT INTO public.who_data VALUES (22556, 6, 1603, 0, 101, 96, 194);
INSERT INTO public.who_data VALUES (22557, 1331, 532604, 44, 14863, 96, 136);
INSERT INTO public.who_data VALUES (22558, 24, 92476, 0, 4749, 96, 179);
INSERT INTO public.who_data VALUES (22559, 7742, 1198746, 202, 34031, 96, 57);
INSERT INTO public.who_data VALUES (22560, 5, 579, 0, 7, 96, 35);
INSERT INTO public.who_data VALUES (22561, 0, 5515, 0, 92, 96, 228);
INSERT INTO public.who_data VALUES (22562, 0, 0, 0, 0, 96, 19);
INSERT INTO public.who_data VALUES (22563, 726, 123949, 9, 1555, 96, 22);
INSERT INTO public.who_data VALUES (22564, 0, 20976, 0, 128, 96, 1);
INSERT INTO public.who_data VALUES (22565, 1313, 85519, 33, 1082, 96, 21);
INSERT INTO public.who_data VALUES (22566, 49, 7639, 0, 131, 96, 234);
INSERT INTO public.who_data VALUES (22567, 125, 1340, 0, 2, 96, 91);
INSERT INTO public.who_data VALUES (22568, 107, 7285, 0, 40, 96, 137);
INSERT INTO public.who_data VALUES (22569, 5407, 465523, 208, 6416, 96, 201);
INSERT INTO public.who_data VALUES (22570, 0, 0, 0, 0, 96, 171);
INSERT INTO public.who_data VALUES (22571, 0, 11788, 0, 319, 96, 92);
INSERT INTO public.who_data VALUES (22572, 1195, 63331, 4, 764, 96, 112);
INSERT INTO public.who_data VALUES (22573, 6, 5655, 0, 61, 96, 62);
INSERT INTO public.who_data VALUES (22574, 0, 68, 0, 0, 96, 69);
INSERT INTO public.who_data VALUES (22575, 479, 134203, 1, 2286, 96, 220);
INSERT INTO public.who_data VALUES (22576, 381, 180676, 8, 13016, 96, 100);
INSERT INTO public.who_data VALUES (22577, 242, 111009, 12, 6465, 96, 187);
INSERT INTO public.who_data VALUES (22578, 311, 36669, 3, 1047, 96, 63);
INSERT INTO public.who_data VALUES (22579, 17, 5121, 0, 85, 96, 28);
INSERT INTO public.who_data VALUES (22580, 25, 518, 0, 0, 96, 172);
INSERT INTO public.who_data VALUES (22581, 211, 7848, 0, 81, 96, 17);
INSERT INTO public.who_data VALUES (22582, 10, 6105, 0, 119, 96, 226);
INSERT INTO public.who_data VALUES (22583, 336, 103056, 12, 1581, 96, 236);
INSERT INTO public.who_data VALUES (22584, 0, 15, 0, 0, 96, 76);
INSERT INTO public.who_data VALUES (22585, 0, 498, 0, 0, 96, 30);
INSERT INTO public.who_data VALUES (22586, 0, 35, 0, 2, 96, 128);
INSERT INTO public.who_data VALUES (22587, 104, 19419, 2, 371, 96, 86);
INSERT INTO public.who_data VALUES (22588, 9094, 1954562, 504, 44719, 96, 140);
INSERT INTO public.who_data VALUES (22589, 32, 10876, 0, 70, 96, 44);
INSERT INTO public.who_data VALUES (22590, 415, 12121, 3, 56, 96, 113);
INSERT INTO public.who_data VALUES (22591, 0, 9062, 0, 58, 96, 29);
INSERT INTO public.who_data VALUES (22592, 0, 3702, 0, 122, 96, 125);
INSERT INTO public.who_data VALUES (22593, 3117, 85952, 45, 778, 96, 131);
INSERT INTO public.who_data VALUES (22594, 14419, 815746, 267, 12814, 96, 46);
INSERT INTO public.who_data VALUES (22595, 0, 50123, 0, 322, 96, 10);
INSERT INTO public.who_data VALUES (22596, 15, 902, 0, 1, 96, 205);
INSERT INTO public.who_data VALUES (22597, 2198, 76403, 59, 1165, 96, 50);
INSERT INTO public.who_data VALUES (22598, 1, 18, 0, 0, 96, 20);
INSERT INTO public.who_data VALUES (22599, 0, 33, 0, 0, 96, 13);
INSERT INTO public.who_data VALUES (22600, 0, 8181, 0, 139, 96, 148);
INSERT INTO public.who_data VALUES (22601, 52, 6062, 4, 98, 96, 230);
INSERT INTO public.who_data VALUES (22602, 147, 115032, 6, 3938, 96, 190);
INSERT INTO public.who_data VALUES (22603, 0, 282, 0, 13, 96, 188);
INSERT INTO public.who_data VALUES (22604, 13, 12624, 0, 75, 96, 123);
INSERT INTO public.who_data VALUES (22605, 2, 2421, 0, 43, 96, 9);
INSERT INTO public.who_data VALUES (22606, 29, 4823, 1, 139, 96, 102);
INSERT INTO public.who_data VALUES (22607, 9, 9188, 0, 232, 96, 34);
INSERT INTO public.who_data VALUES (22608, 0, 26, 0, 0, 96, 212);
INSERT INTO public.who_data VALUES (22609, 547, 103102, 1, 2823, 96, 122);
INSERT INTO public.who_data VALUES (22610, 5203, 152659, 91, 3281, 96, 38);
INSERT INTO public.who_data VALUES (22611, 16, 5205, 0, 25, 96, 130);
INSERT INTO public.who_data VALUES (22612, 29163, 8874290, 449, 130519, 96, 37);
INSERT INTO public.who_data VALUES (22613, 3535, 470648, 85, 15296, 96, 231);
INSERT INTO public.who_data VALUES (22614, 13053, 775121, 486, 41979, 96, 107);
INSERT INTO public.who_data VALUES (22615, 2390, 521542, 42, 11712, 96, 101);
INSERT INTO public.who_data VALUES (22616, 453, 68356, 5, 1984, 96, 132);
INSERT INTO public.who_data VALUES (22617, 0, 363, 0, 25, 96, 176);
INSERT INTO public.who_data VALUES (22618, 625, 324098, 9, 2748, 96, 200);
INSERT INTO public.who_data VALUES (22619, 27352, 1205881, 504, 45733, 96, 169);
INSERT INTO public.who_data VALUES (22620, 45, 9929, 0, 231, 96, 225);
INSERT INTO public.who_data VALUES (22621, 1190, 119326, 18, 1903, 96, 165);
INSERT INTO public.who_data VALUES (22622, 0, 728, 0, 32, 96, 233);
INSERT INTO public.who_data VALUES (22623, 5861, 149539, 71, 1843, 96, 215);
INSERT INTO public.who_data VALUES (22624, 950, 162823, 0, 2365, 96, 177);
INSERT INTO public.who_data VALUES (22625, 559, 70804, 18, 1287, 96, 183);
INSERT INTO public.who_data VALUES (22626, 0, 0, 0, 0, 96, 203);
INSERT INTO public.who_data VALUES (22627, 688, 29762, 11, 823, 96, 162);
INSERT INTO public.who_data VALUES (22628, 489, 137329, 4, 842, 96, 12);
INSERT INTO public.who_data VALUES (22629, 486, 67469, 4, 1207, 96, 24);
INSERT INTO public.who_data VALUES (22630, 0, 24, 0, 0, 96, 119);
INSERT INTO public.who_data VALUES (22631, 89, 10636, 3, 126, 96, 39);
INSERT INTO public.who_data VALUES (22632, 1016, 106446, 10, 827, 96, 26);
INSERT INTO public.who_data VALUES (22633, 0, 1967, 0, 44, 96, 59);
INSERT INTO public.who_data VALUES (22634, 5, 1512, 0, 82, 96, 77);
INSERT INTO public.who_data VALUES (22635, 722, 74324, 8, 1025, 96, 134);
INSERT INTO public.who_data VALUES (22636, 26, 1048, 1, 8, 96, 4);
INSERT INTO public.who_data VALUES (22637, 966, 36844, 20, 331, 96, 109);
INSERT INTO public.who_data VALUES (22638, 548, 27092, 4, 226, 96, 90);
INSERT INTO public.who_data VALUES (22639, 77, 17310, 1, 250, 96, 61);
INSERT INTO public.who_data VALUES (22640, 6, 5971, 0, 185, 96, 85);
INSERT INTO public.who_data VALUES (22641, 1103, 48520, 4, 313, 96, 49);
INSERT INTO public.who_data VALUES (22642, 110, 12314, 1, 44, 96, 208);
INSERT INTO public.who_data VALUES (22643, 48, 3948, 0, 141, 96, 166);
INSERT INTO public.who_data VALUES (22644, 103, 8126, 1, 95, 96, 64);
INSERT INTO public.who_data VALUES (22645, 0, 1, 0, 0, 96, 199);
INSERT INTO public.who_data VALUES (22646, 0, 4732, 0, 37, 96, 114);
INSERT INTO public.who_data VALUES (22647, 67, 7952, 0, 165, 96, 60);
INSERT INTO public.who_data VALUES (22648, 21, 491, 0, 10, 96, 68);
INSERT INTO public.who_data VALUES (22649, 0, 4943, 0, 46, 96, 158);
INSERT INTO public.who_data VALUES (22650, 3269, 1006522, 283, 98542, 96, 52);
INSERT INTO public.who_data VALUES (22651, 0, 0, 0, 0, 96, 117);
INSERT INTO public.who_data VALUES (22652, 4, 555, 0, 2, 96, 126);
INSERT INTO public.who_data VALUES (22653, 3, 431, 0, 0, 96, 196);
INSERT INTO public.who_data VALUES (22654, 585, 28887, 9, 404, 96, 142);
INSERT INTO public.who_data VALUES (22655, 0, 13, 0, 1, 96, 185);
INSERT INTO public.who_data VALUES (22656, 3012, 296189, 71, 4850, 96, 138);
INSERT INTO public.who_data VALUES (22657, 66, 14514, 3, 116, 96, 181);
INSERT INTO public.who_data VALUES (22658, 1167, 70161, 22, 1599, 96, 178);
INSERT INTO public.who_data VALUES (22659, 47, 13555, 0, 138, 96, 168);
INSERT INTO public.who_data VALUES (22660, 0, 0, 0, 0, 96, 160);
INSERT INTO public.who_data VALUES (22661, 1197, 210973, 9, 1230, 96, 151);
INSERT INTO public.who_data VALUES (22662, 4843, 451495, 45, 8511, 96, 193);
INSERT INTO public.who_data VALUES (22663, 0, 30, 0, 0, 96, 18);
INSERT INTO public.who_data VALUES (22664, 4, 1649, 0, 25, 96, 40);
INSERT INTO public.who_data VALUES (22665, 0, 4533, 0, 158, 96, 218);
INSERT INTO public.who_data VALUES (22666, 9, 1316, 0, 70, 96, 191);
INSERT INTO public.who_data VALUES (22667, 157, 65305, 0, 1163, 96, 156);
INSERT INTO public.who_data VALUES (22668, 0, 0, 0, 0, 96, 135);
INSERT INTO public.who_data VALUES (22669, 1, 103, 0, 2, 96, 88);
INSERT INTO public.who_data VALUES (22670, 586, 47636, 40, 1345, 96, 55);
INSERT INTO public.who_data VALUES (22671, 1737, 28963, 0, 294, 96, 108);
INSERT INTO public.who_data VALUES (22672, 836, 76162, 7, 647, 96, 48);
INSERT INTO public.who_data VALUES (22673, 329, 120718, 12, 1350, 96, 3);
INSERT INTO public.who_data VALUES (22674, 0, 741, 0, 13, 96, 224);
INSERT INTO public.who_data VALUES (22675, 2128, 359032, 19, 7160, 96, 110);
INSERT INTO public.who_data VALUES (22676, 0, 0, 0, 0, 96, 106);
INSERT INTO public.who_data VALUES (22677, 1344, 146653, 6, 2873, 96, 89);
INSERT INTO public.who_data VALUES (22678, 0, 602, 0, 7, 96, 121);
INSERT INTO public.who_data VALUES (22679, 509, 71574, 18, 1587, 96, 163);
INSERT INTO public.who_data VALUES (22680, 2112, 937011, 54, 35231, 96, 70);
INSERT INTO public.who_data VALUES (22681, 1736, 409574, 7, 7839, 96, 174);
INSERT INTO public.who_data VALUES (22682, 0, 0, 0, 0, 96, 175);
INSERT INTO public.who_data VALUES (22683, 20816, 733788, 143, 10491, 96, 118);
INSERT INTO public.who_data VALUES (22684, 8371, 225672, 91, 3472, 96, 189);
INSERT INTO public.who_data VALUES (22685, 537, 43016, 7, 942, 96, 124);
INSERT INTO public.who_data VALUES (22686, 243, 136028, 1, 235, 96, 192);
INSERT INTO public.who_data VALUES (22687, 230, 28996, 0, 494, 96, 41);
INSERT INTO public.who_data VALUES (22688, 564, 89843, 16, 2035, 96, 95);
INSERT INTO public.who_data VALUES (22689, 280, 7161, 2, 31, 96, 74);
INSERT INTO public.who_data VALUES (22690, 4931, 365212, 149, 9075, 96, 11);
INSERT INTO public.who_data VALUES (22691, 22410, 1971013, 442, 33931, 96, 87);
INSERT INTO public.who_data VALUES (22692, 36, 5491, 3, 45, 96, 214);
INSERT INTO public.who_data VALUES (22693, 0, 5, 0, 0, 96, 116);
INSERT INTO public.who_data VALUES (22694, 0, 109, 0, 0, 96, 157);
INSERT INTO public.who_data VALUES (22695, 0, 0, 0, 0, 96, 182);
INSERT INTO public.who_data VALUES (22696, 0, 19, 0, 0, 96, 186);
INSERT INTO public.who_data VALUES (22697, 11, 173, 0, 2, 96, 127);
INSERT INTO public.who_data VALUES (22698, 0, 655, 0, 12, 96, 232);
INSERT INTO public.who_data VALUES (22699, 0, 14, 0, 0, 96, 33);
INSERT INTO public.who_data VALUES (22700, 0, 78, 0, 0, 96, 97);
INSERT INTO public.who_data VALUES (22701, 0, 0, 0, 0, 96, 42);
INSERT INTO public.who_data VALUES (22702, 0, 1290, 0, 42, 96, 198);
INSERT INTO public.who_data VALUES (22703, 0, 965, 0, 16, 96, 216);
INSERT INTO public.who_data VALUES (22704, 301, 353556, 19, 5676, 96, 164);
INSERT INTO public.who_data VALUES (22705, 0, 15793, 0, 328, 96, 235);
INSERT INTO public.who_data VALUES (22706, 2813, 87381, 21, 1030, 96, 67);
INSERT INTO public.who_data VALUES (22707, 0, 158, 0, 0, 96, 15);
INSERT INTO public.who_data VALUES (22708, 0, 2391, 0, 74, 96, 180);
INSERT INTO public.who_data VALUES (22709, 5, 58124, 0, 28, 96, 237);
INSERT INTO public.who_data VALUES (22710, 0, 14, 0, 0, 96, 25);
INSERT INTO public.who_data VALUES (22711, 19, 933, 1, 24, 96, 209);
INSERT INTO public.who_data VALUES (22712, 1200, 86767, 0, 510, 96, 217);
INSERT INTO public.who_data VALUES (22713, 500, 55583, 34, 915, 96, 79);
INSERT INTO public.who_data VALUES (22714, 0, 16, 0, 0, 96, 143);
INSERT INTO public.who_data VALUES (22715, 0, 4301, 0, 107, 96, 229);
INSERT INTO public.who_data VALUES (22716, 1245, 752269, 73, 20314, 96, 141);
INSERT INTO public.who_data VALUES (22717, 4, 3016, 0, 59, 96, 197);
INSERT INTO public.who_data VALUES (22718, 6747, 1586001, 256, 43650, 96, 221);
INSERT INTO public.who_data VALUES (22719, 387, 17674, 3, 61, 96, 150);
INSERT INTO public.who_data VALUES (22720, 106, 15153, 3, 1178, 96, 56);
INSERT INTO public.who_data VALUES (22721, 0, 5274, 0, 114, 96, 167);
INSERT INTO public.who_data VALUES (22722, 1581, 190053, 39, 6442, 96, 23);
INSERT INTO public.who_data VALUES (22723, 6584, 277225, 89, 3590, 96, 222);
INSERT INTO public.who_data VALUES (22724, 75, 6759, 5, 350, 96, 219);
INSERT INTO public.who_data VALUES (22725, 39, 11649, 0, 85, 96, 7);
INSERT INTO public.who_data VALUES (22726, 3, 3878, 0, 60, 96, 161);
INSERT INTO public.who_data VALUES (22727, 21363, 1390685, 213, 52147, 96, 149);
INSERT INTO public.who_data VALUES (22728, 0, 30, 0, 0, 96, 6);
INSERT INTO public.who_data VALUES (22729, 0, 2605, 0, 60, 96, 139);
INSERT INTO public.who_data VALUES (22730, 0, 0, 0, 0, 96, 211);
INSERT INTO public.who_data VALUES (22731, 0, 0, 0, 0, 96, 14);
INSERT INTO public.who_data VALUES (22732, 3, 6080, 0, 112, 96, 111);
INSERT INTO public.who_data VALUES (22733, 599, 81003, 44, 2389, 96, 207);
INSERT INTO public.who_data VALUES (22734, 10046, 1171354, 94, 11601, 96, 66);
INSERT INTO public.who_data VALUES (22735, 0, 0, 0, 0, 96, 173);
INSERT INTO public.who_data VALUES (22736, 0, 720, 0, 6, 96, 145);
INSERT INTO public.who_data VALUES (22737, 0, 0, 0, 0, 96, 65);
INSERT INTO public.who_data VALUES (22738, 237, 16257, 5, 150, 96, 184);
INSERT INTO public.who_data VALUES (22739, 11968, 557657, 159, 9856, 96, 98);
INSERT INTO public.who_data VALUES (22740, 1209, 151554, 4, 534, 96, 104);
INSERT INTO public.who_data VALUES (22741, 0, 509, 0, 21, 96, 73);
INSERT INTO public.who_data VALUES (22742, 137486, 10933918, 653, 244411, 96, 8);
INSERT INTO public.who_data VALUES (22743, 0, 1434, 0, 23, 96, 227);
INSERT INTO public.who_data VALUES (22744, 73, 4030, 1, 65, 96, 75);
INSERT INTO public.who_data VALUES (22745, 201, 70444, 0, 598, 96, 45);
INSERT INTO public.who_data VALUES (22746, 0, 1, 0, 0, 96, 133);
INSERT INTO public.who_data VALUES (22747, 419, 97352, 3, 851, 96, 202);
INSERT INTO public.who_data VALUES (22748, 2, 1283, 0, 35, 96, 129);
INSERT INTO public.who_data VALUES (22749, 1, 2, 0, 0, 96, 36);
INSERT INTO public.who_data VALUES (22750, 0, 2072, 0, 604, 96, 51);
INSERT INTO public.who_data VALUES (22751, 64, 17187, 0, 353, 96, 206);
INSERT INTO public.who_data VALUES (22752, 68, 8897, 0, 257, 96, 5);
INSERT INTO public.who_data VALUES (22753, 205, 43240, 12, 1617, 97, 103);
INSERT INTO public.who_data VALUES (22754, 597, 27830, 11, 623, 97, 58);
INSERT INTO public.who_data VALUES (22755, 1704, 67679, 29, 2154, 97, 195);
INSERT INTO public.who_data VALUES (22756, 0, 0, 0, 0, 97, 115);
INSERT INTO public.who_data VALUES (22757, 147, 5872, 1, 76, 97, 99);
INSERT INTO public.who_data VALUES (22758, 77, 13451, 0, 322, 97, 153);
INSERT INTO public.who_data VALUES (22759, 0, 3, 0, 0, 97, 93);
INSERT INTO public.who_data VALUES (22760, 1, 134, 0, 4, 97, 84);
INSERT INTO public.who_data VALUES (22761, 8468, 1304846, 262, 35307, 97, 78);
INSERT INTO public.who_data VALUES (22762, 549, 117199, 25, 1783, 97, 170);
INSERT INTO public.who_data VALUES (22763, 0, 4639, 0, 43, 97, 32);
INSERT INTO public.who_data VALUES (22764, 14, 27725, 0, 907, 97, 155);
INSERT INTO public.who_data VALUES (22765, 5278, 203494, 50, 1679, 97, 82);
INSERT INTO public.who_data VALUES (22766, 2259, 75688, 21, 967, 97, 16);
INSERT INTO public.who_data VALUES (22767, 0, 7163, 0, 155, 97, 72);
INSERT INTO public.who_data VALUES (22768, 180, 84703, 1, 334, 97, 43);
INSERT INTO public.who_data VALUES (22769, 1837, 432333, 21, 6194, 97, 120);
INSERT INTO public.who_data VALUES (22770, 0, 249, 0, 7, 97, 213);
INSERT INTO public.who_data VALUES (22771, 1315, 114185, 7, 1046, 97, 31);
INSERT INTO public.who_data VALUES (22772, 1057, 539444, 192, 14738, 97, 204);
INSERT INTO public.who_data VALUES (22773, 68, 4783, 3, 88, 97, 152);
INSERT INTO public.who_data VALUES (22774, 0, 2844, 0, 43, 97, 144);
INSERT INTO public.who_data VALUES (22775, 0, 222, 0, 9, 97, 96);
INSERT INTO public.who_data VALUES (22776, 0, 375, 0, 0, 97, 47);
INSERT INTO public.who_data VALUES (22777, 112, 143181, 6, 8841, 97, 80);
INSERT INTO public.who_data VALUES (22778, 0, 136, 0, 3, 97, 159);
INSERT INTO public.who_data VALUES (22779, 1059, 71959, 41, 1898, 97, 27);
INSERT INTO public.who_data VALUES (22780, 0, 8225, 0, 27, 97, 146);
INSERT INTO public.who_data VALUES (22781, 38307, 5848959, 921, 165658, 97, 71);
INSERT INTO public.who_data VALUES (22782, 0, 72, 0, 1, 97, 210);
INSERT INTO public.who_data VALUES (22783, 0, 148, 0, 3, 97, 54);
INSERT INTO public.who_data VALUES (22784, 816, 98251, 39, 2130, 97, 147);
INSERT INTO public.who_data VALUES (22785, 6, 2641, 0, 68, 97, 2);
INSERT INTO public.who_data VALUES (22786, 2, 630, 0, 1, 97, 105);
INSERT INTO public.who_data VALUES (22787, 42, 9822, 1, 103, 97, 53);
INSERT INTO public.who_data VALUES (22788, 0, 302, 0, 0, 97, 81);
INSERT INTO public.who_data VALUES (22789, 0, 22692, 0, 433, 97, 223);
INSERT INTO public.who_data VALUES (22790, 4613, 291931, 63, 10891, 97, 94);
INSERT INTO public.who_data VALUES (22791, 0, 254, 0, 1, 97, 154);
INSERT INTO public.who_data VALUES (22792, 0, 4900, 0, 63, 97, 83);
INSERT INTO public.who_data VALUES (22793, 6, 1597, 1, 101, 97, 194);
INSERT INTO public.who_data VALUES (22794, 1597, 531273, 42, 14819, 97, 136);
INSERT INTO public.who_data VALUES (22795, 24, 92452, 0, 4749, 97, 179);
INSERT INTO public.who_data VALUES (22796, 8307, 1191004, 160, 33829, 97, 57);
INSERT INTO public.who_data VALUES (22797, 0, 574, 0, 7, 97, 35);
INSERT INTO public.who_data VALUES (22798, 0, 5515, 0, 92, 97, 228);
INSERT INTO public.who_data VALUES (22799, 0, 0, 0, 0, 97, 19);
INSERT INTO public.who_data VALUES (22800, 1100, 123223, 9, 1546, 97, 22);
INSERT INTO public.who_data VALUES (22801, 31, 20976, 0, 128, 97, 1);
INSERT INTO public.who_data VALUES (22802, 2362, 84206, 43, 1049, 97, 21);
INSERT INTO public.who_data VALUES (22803, 22, 7590, 0, 131, 97, 234);
INSERT INTO public.who_data VALUES (22804, 0, 1215, 0, 2, 97, 91);
INSERT INTO public.who_data VALUES (22805, 127, 7178, 1, 40, 97, 137);
INSERT INTO public.who_data VALUES (22806, 1887, 460116, 150, 6208, 97, 201);
INSERT INTO public.who_data VALUES (22807, 0, 0, 0, 0, 97, 171);
INSERT INTO public.who_data VALUES (22808, 29, 11788, 1, 319, 97, 92);
INSERT INTO public.who_data VALUES (22809, 1058, 62136, 3, 760, 97, 112);
INSERT INTO public.who_data VALUES (22810, 4, 5649, 0, 61, 97, 62);
INSERT INTO public.who_data VALUES (22811, 0, 68, 0, 0, 97, 69);
INSERT INTO public.who_data VALUES (22812, 499, 133724, 3, 2285, 97, 220);
INSERT INTO public.who_data VALUES (22813, 668, 180295, 11, 13008, 97, 100);
INSERT INTO public.who_data VALUES (22814, 220, 110767, 11, 6453, 97, 187);
INSERT INTO public.who_data VALUES (22815, 0, 36358, 5, 1044, 97, 63);
INSERT INTO public.who_data VALUES (22816, 0, 5104, 0, 85, 97, 28);
INSERT INTO public.who_data VALUES (22817, 0, 493, 0, 0, 97, 172);
INSERT INTO public.who_data VALUES (22818, 489, 7637, 1, 81, 97, 17);
INSERT INTO public.who_data VALUES (22819, 2, 6095, 0, 119, 97, 226);
INSERT INTO public.who_data VALUES (22820, 399, 102720, 4, 1569, 97, 236);
INSERT INTO public.who_data VALUES (22821, 0, 15, 0, 0, 97, 76);
INSERT INTO public.who_data VALUES (22822, 1, 498, 0, 0, 97, 30);
INSERT INTO public.who_data VALUES (22823, 0, 35, 0, 2, 97, 128);
INSERT INTO public.who_data VALUES (22824, 213, 19315, 0, 369, 97, 86);
INSERT INTO public.who_data VALUES (22825, 27123, 1945468, 302, 44215, 97, 140);
INSERT INTO public.who_data VALUES (22826, 0, 10844, 0, 70, 97, 44);
INSERT INTO public.who_data VALUES (22827, 0, 11706, 0, 53, 97, 113);
INSERT INTO public.who_data VALUES (22828, 0, 9062, 0, 58, 97, 29);
INSERT INTO public.who_data VALUES (22829, 0, 3702, 0, 122, 97, 125);
INSERT INTO public.who_data VALUES (22830, 3157, 82835, 30, 733, 97, 131);
INSERT INTO public.who_data VALUES (22831, 10824, 801327, 62, 12547, 97, 46);
INSERT INTO public.who_data VALUES (22832, 105, 50123, 2, 322, 97, 10);
INSERT INTO public.who_data VALUES (22833, 11, 887, 0, 1, 97, 205);
INSERT INTO public.who_data VALUES (22834, 1695, 74205, 71, 1106, 97, 50);
INSERT INTO public.who_data VALUES (22835, 0, 17, 0, 0, 97, 20);
INSERT INTO public.who_data VALUES (22836, 1, 33, 0, 0, 97, 13);
INSERT INTO public.who_data VALUES (22837, 83, 8181, 0, 139, 97, 148);
INSERT INTO public.who_data VALUES (22838, 156, 6010, 1, 94, 97, 230);
INSERT INTO public.who_data VALUES (22839, 166, 114885, 12, 3932, 97, 190);
INSERT INTO public.who_data VALUES (22840, 0, 282, 0, 13, 97, 188);
INSERT INTO public.who_data VALUES (22841, 26, 12611, 1, 75, 97, 123);
INSERT INTO public.who_data VALUES (22842, 0, 2419, 0, 43, 97, 9);
INSERT INTO public.who_data VALUES (22843, 70, 4794, 0, 138, 97, 102);
INSERT INTO public.who_data VALUES (22844, 11, 9179, 0, 232, 97, 34);
INSERT INTO public.who_data VALUES (22845, 0, 26, 0, 0, 97, 212);
INSERT INTO public.who_data VALUES (22846, 476, 102555, 2, 2822, 97, 122);
INSERT INTO public.who_data VALUES (22847, 6495, 147456, 93, 3190, 97, 38);
INSERT INTO public.who_data VALUES (22848, 3, 5189, 0, 25, 97, 130);
INSERT INTO public.who_data VALUES (22849, 30548, 8845127, 435, 130070, 97, 37);
INSERT INTO public.who_data VALUES (22850, 4106, 467113, 63, 15211, 97, 231);
INSERT INTO public.who_data VALUES (22851, 12543, 762068, 459, 41493, 97, 107);
INSERT INTO public.who_data VALUES (22852, 2237, 519152, 47, 11670, 97, 101);
INSERT INTO public.who_data VALUES (22853, 377, 67903, 1, 1979, 97, 132);
INSERT INTO public.who_data VALUES (22854, 0, 363, 0, 25, 97, 176);
INSERT INTO public.who_data VALUES (22855, 291, 323473, 12, 2739, 97, 200);
INSERT INTO public.who_data VALUES (22856, 33977, 1178529, 546, 45229, 97, 169);
INSERT INTO public.who_data VALUES (22857, 104, 9884, 2, 231, 97, 225);
INSERT INTO public.who_data VALUES (22858, 1459, 118136, 2, 1885, 97, 165);
INSERT INTO public.who_data VALUES (22859, 0, 728, 0, 32, 97, 233);
INSERT INTO public.who_data VALUES (22860, 2373, 143678, 68, 1772, 97, 215);
INSERT INTO public.who_data VALUES (22861, 625, 161873, 0, 2365, 97, 177);
INSERT INTO public.who_data VALUES (22862, 972, 70245, 20, 1269, 97, 183);
INSERT INTO public.who_data VALUES (22863, 0, 0, 0, 0, 97, 203);
INSERT INTO public.who_data VALUES (22864, 501, 29074, 13, 812, 97, 162);
INSERT INTO public.who_data VALUES (22865, 499, 136840, 3, 838, 97, 12);
INSERT INTO public.who_data VALUES (22866, 479, 66983, 4, 1203, 97, 24);
INSERT INTO public.who_data VALUES (22867, 0, 24, 0, 0, 97, 119);
INSERT INTO public.who_data VALUES (22868, 316, 10547, 2, 123, 97, 39);
INSERT INTO public.who_data VALUES (22869, 1163, 105430, 11, 817, 97, 26);
INSERT INTO public.who_data VALUES (22870, 0, 1967, 0, 44, 97, 59);
INSERT INTO public.who_data VALUES (22871, 9, 1507, 0, 82, 97, 77);
INSERT INTO public.who_data VALUES (22872, 974, 73602, 22, 1017, 97, 134);
INSERT INTO public.who_data VALUES (22873, 11, 1022, 2, 7, 97, 4);
INSERT INTO public.who_data VALUES (22874, 1148, 35878, 15, 311, 97, 109);
INSERT INTO public.who_data VALUES (22875, 613, 26544, 3, 222, 97, 90);
INSERT INTO public.who_data VALUES (22876, 0, 17233, 0, 249, 97, 61);
INSERT INTO public.who_data VALUES (22877, 1, 5965, 0, 185, 97, 85);
INSERT INTO public.who_data VALUES (22878, 1208, 47417, 3, 309, 97, 49);
INSERT INTO public.who_data VALUES (22879, 50, 12204, 1, 43, 97, 208);
INSERT INTO public.who_data VALUES (22880, 32, 3900, 2, 141, 97, 166);
INSERT INTO public.who_data VALUES (22881, 117, 8023, 3, 94, 97, 64);
INSERT INTO public.who_data VALUES (22882, 0, 1, 0, 0, 97, 199);
INSERT INTO public.who_data VALUES (22883, 0, 4732, 0, 37, 97, 114);
INSERT INTO public.who_data VALUES (22884, 0, 7885, 0, 165, 97, 60);
INSERT INTO public.who_data VALUES (22885, 0, 470, 0, 10, 97, 68);
INSERT INTO public.who_data VALUES (22886, 22, 4943, 0, 46, 97, 158);
INSERT INTO public.who_data VALUES (22887, 5860, 1003253, 635, 98259, 97, 52);
INSERT INTO public.who_data VALUES (22888, 0, 0, 0, 0, 97, 117);
INSERT INTO public.who_data VALUES (22889, 3, 551, 0, 2, 97, 126);
INSERT INTO public.who_data VALUES (22890, 12, 428, 0, 0, 97, 196);
INSERT INTO public.who_data VALUES (22891, 625, 28302, 5, 395, 97, 142);
INSERT INTO public.who_data VALUES (22892, 0, 13, 0, 1, 97, 185);
INSERT INTO public.who_data VALUES (22893, 4966, 293177, 82, 4779, 97, 138);
INSERT INTO public.who_data VALUES (22894, 108, 14448, 3, 113, 97, 181);
INSERT INTO public.who_data VALUES (22895, 2260, 68994, 43, 1577, 97, 178);
INSERT INTO public.who_data VALUES (22896, 59, 13508, 0, 138, 97, 168);
INSERT INTO public.who_data VALUES (22897, 0, 0, 0, 0, 97, 160);
INSERT INTO public.who_data VALUES (22898, 1477, 209776, 6, 1221, 97, 151);
INSERT INTO public.who_data VALUES (22899, 5419, 446652, 44, 8466, 97, 193);
INSERT INTO public.who_data VALUES (22900, 0, 30, 0, 0, 97, 18);
INSERT INTO public.who_data VALUES (22901, 0, 1645, 0, 25, 97, 40);
INSERT INTO public.who_data VALUES (22902, 0, 4533, 0, 158, 97, 218);
INSERT INTO public.who_data VALUES (22903, 6, 1307, 0, 70, 97, 191);
INSERT INTO public.who_data VALUES (22904, 152, 65148, 0, 1163, 97, 156);
INSERT INTO public.who_data VALUES (22905, 0, 0, 0, 0, 97, 135);
INSERT INTO public.who_data VALUES (22906, 0, 102, 0, 2, 97, 88);
INSERT INTO public.who_data VALUES (22907, 988, 47050, 24, 1305, 97, 55);
INSERT INTO public.who_data VALUES (22908, 0, 27226, 0, 294, 97, 108);
INSERT INTO public.who_data VALUES (22909, 976, 75326, 7, 640, 97, 48);
INSERT INTO public.who_data VALUES (22910, 947, 120389, 12, 1338, 97, 3);
INSERT INTO public.who_data VALUES (22911, 0, 741, 0, 13, 97, 224);
INSERT INTO public.who_data VALUES (22912, 2443, 356904, 32, 7141, 97, 110);
INSERT INTO public.who_data VALUES (22913, 0, 0, 0, 0, 97, 106);
INSERT INTO public.who_data VALUES (22914, 832, 145309, 11, 2867, 97, 89);
INSERT INTO public.who_data VALUES (22915, 2, 602, 0, 7, 97, 121);
INSERT INTO public.who_data VALUES (22916, 673, 71065, 13, 1569, 97, 163);
INSERT INTO public.who_data VALUES (22917, 2249, 934899, 71, 35177, 97, 70);
INSERT INTO public.who_data VALUES (22918, 1501, 407838, 41, 7832, 97, 174);
INSERT INTO public.who_data VALUES (22919, 0, 0, 0, 0, 97, 175);
INSERT INTO public.who_data VALUES (22920, 21854, 712972, 303, 10348, 97, 118);
INSERT INTO public.who_data VALUES (22921, 6035, 217301, 76, 3381, 97, 189);
INSERT INTO public.who_data VALUES (22922, 707, 42479, 14, 935, 97, 124);
INSERT INTO public.who_data VALUES (22923, 215, 135785, 0, 234, 97, 192);
INSERT INTO public.who_data VALUES (22924, 222, 28766, 1, 494, 97, 41);
INSERT INTO public.who_data VALUES (22925, 507, 89279, 13, 2019, 97, 95);
INSERT INTO public.who_data VALUES (22926, 0, 6881, 0, 29, 97, 74);
INSERT INTO public.who_data VALUES (22927, 7096, 360281, 113, 8926, 97, 11);
INSERT INTO public.who_data VALUES (22928, 22778, 1948603, 303, 33489, 97, 87);
INSERT INTO public.who_data VALUES (22929, 61, 5455, 0, 42, 97, 214);
INSERT INTO public.who_data VALUES (22930, 0, 5, 0, 0, 97, 116);
INSERT INTO public.who_data VALUES (22931, 0, 109, 0, 0, 97, 157);
INSERT INTO public.who_data VALUES (22932, 0, 0, 0, 0, 97, 182);
INSERT INTO public.who_data VALUES (22933, 0, 19, 0, 0, 97, 186);
INSERT INTO public.who_data VALUES (22934, 2, 162, 0, 2, 97, 127);
INSERT INTO public.who_data VALUES (22935, 0, 655, 0, 12, 97, 232);
INSERT INTO public.who_data VALUES (22936, 0, 14, 0, 0, 97, 33);
INSERT INTO public.who_data VALUES (22937, 0, 78, 0, 0, 97, 97);
INSERT INTO public.who_data VALUES (22938, 0, 0, 0, 0, 97, 42);
INSERT INTO public.who_data VALUES (22939, 37, 1290, 0, 42, 97, 198);
INSERT INTO public.who_data VALUES (22940, 1, 965, 0, 16, 97, 216);
INSERT INTO public.who_data VALUES (22941, 305, 353255, 16, 5657, 97, 164);
INSERT INTO public.who_data VALUES (22942, 14, 15793, 1, 328, 97, 235);
INSERT INTO public.who_data VALUES (22943, 3482, 84568, 20, 1009, 97, 67);
INSERT INTO public.who_data VALUES (22944, 0, 158, 0, 0, 97, 15);
INSERT INTO public.who_data VALUES (22945, 2, 2391, 0, 74, 97, 180);
INSERT INTO public.who_data VALUES (22946, 3, 58119, 0, 28, 97, 237);
INSERT INTO public.who_data VALUES (22947, 0, 14, 0, 0, 97, 25);
INSERT INTO public.who_data VALUES (22948, 0, 914, 0, 23, 97, 209);
INSERT INTO public.who_data VALUES (22949, 1771, 85567, 19, 510, 97, 217);
INSERT INTO public.who_data VALUES (22950, 922, 55083, 32, 881, 97, 79);
INSERT INTO public.who_data VALUES (22951, 0, 16, 0, 0, 97, 143);
INSERT INTO public.who_data VALUES (22952, 0, 4301, 0, 107, 97, 229);
INSERT INTO public.who_data VALUES (22953, 1842, 751024, 35, 20241, 97, 141);
INSERT INTO public.who_data VALUES (22954, 9, 3012, 0, 59, 97, 197);
INSERT INTO public.who_data VALUES (22955, 10738, 1579254, 266, 43394, 97, 221);
INSERT INTO public.who_data VALUES (22956, 1096, 17287, 5, 58, 97, 150);
INSERT INTO public.who_data VALUES (22957, 319, 15047, 56, 1175, 97, 56);
INSERT INTO public.who_data VALUES (22958, 6, 5274, 0, 114, 97, 167);
INSERT INTO public.who_data VALUES (22959, 3513, 188472, 38, 6403, 97, 23);
INSERT INTO public.who_data VALUES (22960, 2314, 270641, 83, 3501, 97, 222);
INSERT INTO public.who_data VALUES (22961, 71, 6684, 4, 345, 97, 219);
INSERT INTO public.who_data VALUES (22962, 37, 11610, 0, 85, 97, 7);
INSERT INTO public.who_data VALUES (22963, 9, 3875, 0, 60, 97, 161);
INSERT INTO public.who_data VALUES (22964, 24962, 1369322, 168, 51934, 97, 149);
INSERT INTO public.who_data VALUES (22965, 0, 30, 0, 0, 97, 6);
INSERT INTO public.who_data VALUES (22966, 0, 2605, 0, 60, 97, 139);
INSERT INTO public.who_data VALUES (22967, 0, 0, 0, 0, 97, 211);
INSERT INTO public.who_data VALUES (22968, 0, 0, 0, 0, 97, 14);
INSERT INTO public.who_data VALUES (22969, 97, 6077, 1, 112, 97, 111);
INSERT INTO public.who_data VALUES (22970, 1065, 80404, 66, 2345, 97, 207);
INSERT INTO public.who_data VALUES (22971, 9953, 1161308, 89, 11507, 97, 66);
INSERT INTO public.who_data VALUES (22972, 0, 0, 0, 0, 97, 173);
INSERT INTO public.who_data VALUES (22973, 4, 720, 0, 6, 97, 145);
INSERT INTO public.who_data VALUES (22974, 0, 0, 0, 0, 97, 65);
INSERT INTO public.who_data VALUES (22975, 231, 16020, 1, 145, 97, 184);
INSERT INTO public.who_data VALUES (22976, 9832, 545689, 94, 9697, 97, 98);
INSERT INTO public.who_data VALUES (22977, 1210, 150345, 2, 530, 97, 104);
INSERT INTO public.who_data VALUES (22978, 0, 509, 0, 21, 97, 73);
INSERT INTO public.who_data VALUES (22979, 155001, 10796432, 1216, 243758, 97, 8);
INSERT INTO public.who_data VALUES (22980, 0, 1434, 0, 23, 97, 227);
INSERT INTO public.who_data VALUES (22981, 74, 3957, 0, 64, 97, 75);
INSERT INTO public.who_data VALUES (22982, 141, 70243, 0, 598, 97, 45);
INSERT INTO public.who_data VALUES (22983, 0, 1, 0, 0, 97, 133);
INSERT INTO public.who_data VALUES (22984, 492, 96933, 4, 848, 97, 202);
INSERT INTO public.who_data VALUES (22985, 16, 1281, 0, 35, 97, 129);
INSERT INTO public.who_data VALUES (22986, 0, 1, 0, 0, 97, 36);
INSERT INTO public.who_data VALUES (22987, 0, 2072, 1, 604, 97, 51);
INSERT INTO public.who_data VALUES (22988, 26, 17123, 3, 353, 97, 206);
INSERT INTO public.who_data VALUES (22989, 43, 8829, 0, 257, 97, 5);
INSERT INTO public.who_data VALUES (22990, 66, 43035, 10, 1605, 98, 103);
INSERT INTO public.who_data VALUES (22991, 532, 27233, 7, 612, 98, 58);
INSERT INTO public.who_data VALUES (22992, 0, 65975, 0, 2125, 98, 195);
INSERT INTO public.who_data VALUES (22993, 0, 0, 0, 0, 98, 115);
INSERT INTO public.who_data VALUES (22994, 0, 5725, 0, 75, 98, 99);
INSERT INTO public.who_data VALUES (22995, 146, 13374, 5, 322, 98, 153);
INSERT INTO public.who_data VALUES (22996, 0, 3, 0, 0, 98, 93);
INSERT INTO public.who_data VALUES (22997, 0, 133, 1, 4, 98, 84);
INSERT INTO public.who_data VALUES (22998, 11859, 1296378, 263, 35045, 98, 78);
INSERT INTO public.who_data VALUES (22999, 1482, 116650, 25, 1758, 98, 170);
INSERT INTO public.who_data VALUES (23000, 0, 4639, 0, 43, 98, 32);
INSERT INTO public.who_data VALUES (23001, 8, 27711, 0, 907, 98, 155);
INSERT INTO public.who_data VALUES (23002, 7192, 198216, 55, 1629, 98, 82);
INSERT INTO public.who_data VALUES (23003, 1849, 73429, 19, 946, 98, 16);
INSERT INTO public.who_data VALUES (23004, 0, 7163, 0, 155, 98, 72);
INSERT INTO public.who_data VALUES (23005, 174, 84523, 1, 333, 98, 43);
INSERT INTO public.who_data VALUES (23006, 1531, 430496, 14, 6173, 98, 120);
INSERT INTO public.who_data VALUES (23007, 0, 249, 0, 7, 98, 213);
INSERT INTO public.who_data VALUES (23008, 1248, 112870, 6, 1039, 98, 31);
INSERT INTO public.who_data VALUES (23009, 2371, 538387, 176, 14546, 98, 204);
INSERT INTO public.who_data VALUES (23010, 119, 4715, 10, 85, 98, 152);
INSERT INTO public.who_data VALUES (23011, 0, 2844, 0, 43, 98, 144);
INSERT INTO public.who_data VALUES (23012, 0, 222, 0, 9, 98, 96);
INSERT INTO public.who_data VALUES (23013, 6, 375, 0, 0, 98, 47);
INSERT INTO public.who_data VALUES (23014, 180, 143069, 10, 8835, 98, 80);
INSERT INTO public.who_data VALUES (23015, 0, 136, 0, 3, 98, 159);
INSERT INTO public.who_data VALUES (23016, 1275, 70900, 49, 1857, 98, 27);
INSERT INTO public.who_data VALUES (23017, 0, 8225, 0, 27, 98, 146);
INSERT INTO public.who_data VALUES (23018, 29070, 5810652, 456, 164737, 98, 71);
INSERT INTO public.who_data VALUES (23019, 0, 72, 0, 1, 98, 210);
INSERT INTO public.who_data VALUES (23020, 0, 148, 0, 3, 98, 54);
INSERT INTO public.who_data VALUES (23021, 2498, 97435, 36, 2091, 98, 147);
INSERT INTO public.who_data VALUES (23022, 26, 2635, 0, 68, 98, 2);
INSERT INTO public.who_data VALUES (23023, 1, 628, 0, 1, 98, 105);
INSERT INTO public.who_data VALUES (23024, 39, 9780, 0, 102, 98, 53);
INSERT INTO public.who_data VALUES (23025, 0, 302, 0, 0, 98, 81);
INSERT INTO public.who_data VALUES (23026, 0, 22692, 0, 433, 98, 223);
INSERT INTO public.who_data VALUES (23027, 4741, 287318, 60, 10828, 98, 94);
INSERT INTO public.who_data VALUES (23028, 0, 254, 0, 1, 98, 154);
INSERT INTO public.who_data VALUES (23029, 4, 4900, 0, 63, 98, 83);
INSERT INTO public.who_data VALUES (23030, 2, 1591, 0, 100, 98, 194);
INSERT INTO public.who_data VALUES (23031, 1646, 529676, 39, 14777, 98, 136);
INSERT INTO public.who_data VALUES (23032, 24, 92428, 0, 4749, 98, 179);
INSERT INTO public.who_data VALUES (23033, 8685, 1182697, 178, 33669, 98, 57);
INSERT INTO public.who_data VALUES (23034, 0, 574, 0, 7, 98, 35);
INSERT INTO public.who_data VALUES (23035, 0, 5515, 0, 92, 98, 228);
INSERT INTO public.who_data VALUES (23036, 0, 0, 0, 0, 98, 19);
INSERT INTO public.who_data VALUES (23037, 1184, 122123, 10, 1537, 98, 22);
INSERT INTO public.who_data VALUES (23038, 46, 20945, 1, 128, 98, 1);
INSERT INTO public.who_data VALUES (23039, 2866, 81844, 38, 1006, 98, 21);
INSERT INTO public.who_data VALUES (23040, 27, 7568, 0, 131, 98, 234);
INSERT INTO public.who_data VALUES (23041, 0, 1215, 0, 2, 98, 91);
INSERT INTO public.who_data VALUES (23042, 198, 7051, 1, 39, 98, 137);
INSERT INTO public.who_data VALUES (23043, 4199, 458229, 132, 6058, 98, 201);
INSERT INTO public.who_data VALUES (23044, 0, 0, 0, 0, 98, 171);
INSERT INTO public.who_data VALUES (23045, 68, 11759, 0, 318, 98, 92);
INSERT INTO public.who_data VALUES (23046, 1078, 61078, 1, 757, 98, 112);
INSERT INTO public.who_data VALUES (23047, 1, 5645, 0, 61, 98, 62);
INSERT INTO public.who_data VALUES (23048, 0, 68, 0, 0, 98, 69);
INSERT INTO public.who_data VALUES (23049, 671, 133225, 2, 2282, 98, 220);
INSERT INTO public.who_data VALUES (23050, 953, 179627, 20, 12997, 98, 100);
INSERT INTO public.who_data VALUES (23051, 228, 110547, 13, 6442, 98, 187);
INSERT INTO public.who_data VALUES (23052, 163, 36358, 6, 1039, 98, 63);
INSERT INTO public.who_data VALUES (23053, 0, 5104, 0, 85, 98, 28);
INSERT INTO public.who_data VALUES (23054, 0, 493, 0, 0, 98, 172);
INSERT INTO public.who_data VALUES (23055, 0, 7148, 0, 80, 98, 17);
INSERT INTO public.who_data VALUES (23056, 17, 6093, 1, 119, 98, 226);
INSERT INTO public.who_data VALUES (23057, 564, 102321, 7, 1565, 98, 236);
INSERT INTO public.who_data VALUES (23058, 0, 15, 0, 0, 98, 76);
INSERT INTO public.who_data VALUES (23059, 0, 497, 0, 0, 98, 30);
INSERT INTO public.who_data VALUES (23060, 0, 35, 0, 2, 98, 128);
INSERT INTO public.who_data VALUES (23061, 244, 19102, 0, 369, 98, 86);
INSERT INTO public.who_data VALUES (23062, 32059, 1918345, 354, 43913, 98, 140);
INSERT INTO public.who_data VALUES (23063, 36, 10844, 0, 70, 98, 44);
INSERT INTO public.who_data VALUES (23064, 0, 11706, 0, 53, 98, 113);
INSERT INTO public.who_data VALUES (23065, 0, 9062, 0, 58, 98, 29);
INSERT INTO public.who_data VALUES (23066, 4, 3702, 0, 122, 98, 125);
INSERT INTO public.who_data VALUES (23067, 3020, 79678, 34, 703, 98, 131);
INSERT INTO public.who_data VALUES (23068, 16947, 790503, 107, 12485, 98, 46);
INSERT INTO public.who_data VALUES (23069, 0, 50018, 0, 320, 98, 10);
INSERT INTO public.who_data VALUES (23070, 12, 876, 0, 1, 98, 205);
INSERT INTO public.who_data VALUES (23071, 2835, 72510, 38, 1035, 98, 50);
INSERT INTO public.who_data VALUES (23072, 0, 17, 0, 0, 98, 20);
INSERT INTO public.who_data VALUES (23073, 0, 32, 0, 0, 98, 13);
INSERT INTO public.who_data VALUES (23074, 0, 8098, 0, 139, 98, 148);
INSERT INTO public.who_data VALUES (23075, 41, 5854, 0, 93, 98, 230);
INSERT INTO public.who_data VALUES (23076, 596, 114719, 40, 3920, 98, 190);
INSERT INTO public.who_data VALUES (23077, 0, 282, 0, 13, 98, 188);
INSERT INTO public.who_data VALUES (23078, 48, 12585, 0, 74, 98, 123);
INSERT INTO public.who_data VALUES (23079, 0, 2419, 0, 43, 98, 9);
INSERT INTO public.who_data VALUES (23080, 62, 4724, 0, 138, 98, 102);
INSERT INTO public.who_data VALUES (23081, 0, 9168, 0, 232, 98, 34);
INSERT INTO public.who_data VALUES (23082, 0, 26, 0, 0, 98, 212);
INSERT INTO public.who_data VALUES (23083, 611, 102079, 16, 2820, 98, 122);
INSERT INTO public.who_data VALUES (23084, 4238, 140961, 107, 3097, 98, 38);
INSERT INTO public.who_data VALUES (23085, 16, 5186, 0, 25, 98, 130);
INSERT INTO public.who_data VALUES (23086, 41100, 8814579, 447, 129635, 98, 37);
INSERT INTO public.who_data VALUES (23087, 5272, 463007, 111, 15148, 98, 231);
INSERT INTO public.who_data VALUES (23088, 11203, 749525, 452, 41034, 98, 107);
INSERT INTO public.who_data VALUES (23089, 2419, 516915, 43, 11623, 98, 101);
INSERT INTO public.who_data VALUES (23090, 427, 67526, 6, 1978, 98, 132);
INSERT INTO public.who_data VALUES (23091, 0, 363, 0, 25, 98, 176);
INSERT INTO public.who_data VALUES (23092, 761, 323182, 5, 2727, 98, 200);
INSERT INTO public.who_data VALUES (23093, 37249, 1144552, 544, 44683, 98, 169);
INSERT INTO public.who_data VALUES (23094, 57, 9780, 2, 229, 98, 225);
INSERT INTO public.who_data VALUES (23095, 1694, 116677, 3, 1883, 98, 165);
INSERT INTO public.who_data VALUES (23096, 7, 728, 0, 32, 98, 233);
INSERT INTO public.who_data VALUES (23097, 4750, 141305, 86, 1704, 98, 215);
INSERT INTO public.who_data VALUES (23098, 636, 161248, 59, 2365, 98, 177);
INSERT INTO public.who_data VALUES (23099, 1080, 69273, 21, 1249, 98, 183);
INSERT INTO public.who_data VALUES (23100, 0, 0, 0, 0, 98, 203);
INSERT INTO public.who_data VALUES (23101, 765, 28573, 11, 799, 98, 162);
INSERT INTO public.who_data VALUES (23102, 691, 136341, 2, 835, 98, 12);
INSERT INTO public.who_data VALUES (23103, 551, 66504, 3, 1199, 98, 24);
INSERT INTO public.who_data VALUES (23104, 0, 24, 0, 0, 98, 119);
INSERT INTO public.who_data VALUES (23105, 395, 10231, 5, 121, 98, 39);
INSERT INTO public.who_data VALUES (23106, 1660, 104267, 10, 806, 98, 26);
INSERT INTO public.who_data VALUES (23107, 0, 1967, 0, 44, 98, 59);
INSERT INTO public.who_data VALUES (23108, 7, 1498, 0, 82, 98, 77);
INSERT INTO public.who_data VALUES (23109, 0, 72628, 0, 995, 98, 134);
INSERT INTO public.who_data VALUES (23110, 18, 1011, 0, 5, 98, 4);
INSERT INTO public.who_data VALUES (23111, 1374, 34730, 14, 296, 98, 109);
INSERT INTO public.who_data VALUES (23112, 713, 25931, 8, 219, 98, 90);
INSERT INTO public.who_data VALUES (23113, 0, 17233, 0, 249, 98, 61);
INSERT INTO public.who_data VALUES (23114, 2, 5964, 0, 185, 98, 85);
INSERT INTO public.who_data VALUES (23115, 1114, 46209, 2, 306, 98, 49);
INSERT INTO public.who_data VALUES (23116, 42, 12154, 1, 42, 98, 208);
INSERT INTO public.who_data VALUES (23117, 62, 3868, 0, 139, 98, 166);
INSERT INTO public.who_data VALUES (23118, 121, 7906, 4, 91, 98, 64);
INSERT INTO public.who_data VALUES (23119, 0, 1, 0, 0, 98, 199);
INSERT INTO public.who_data VALUES (23120, 0, 4732, 0, 37, 98, 114);
INSERT INTO public.who_data VALUES (23121, 0, 7885, 0, 165, 98, 60);
INSERT INTO public.who_data VALUES (23122, 0, 470, 0, 10, 98, 68);
INSERT INTO public.who_data VALUES (23123, 0, 4921, 0, 46, 98, 158);
INSERT INTO public.who_data VALUES (23124, 5558, 997393, 568, 97624, 98, 52);
INSERT INTO public.who_data VALUES (23125, 0, 0, 0, 0, 98, 117);
INSERT INTO public.who_data VALUES (23126, 5, 548, 0, 2, 98, 126);
INSERT INTO public.who_data VALUES (23127, 4, 416, 0, 0, 98, 196);
INSERT INTO public.who_data VALUES (23128, 463, 27677, 6, 390, 98, 142);
INSERT INTO public.who_data VALUES (23129, 0, 13, 0, 1, 98, 185);
INSERT INTO public.who_data VALUES (23130, 5875, 288211, 66, 4697, 98, 138);
INSERT INTO public.who_data VALUES (23131, 113, 14340, 0, 110, 98, 181);
INSERT INTO public.who_data VALUES (23132, 1136, 66734, 26, 1534, 98, 178);
INSERT INTO public.who_data VALUES (23133, 77, 13449, 0, 138, 98, 168);
INSERT INTO public.who_data VALUES (23134, 0, 0, 0, 0, 98, 160);
INSERT INTO public.who_data VALUES (23135, 1946, 208299, 13, 1215, 98, 151);
INSERT INTO public.who_data VALUES (23136, 5901, 441233, 84, 8422, 98, 193);
INSERT INTO public.who_data VALUES (23137, 0, 30, 0, 0, 98, 18);
INSERT INTO public.who_data VALUES (23138, 3, 1645, 0, 25, 98, 40);
INSERT INTO public.who_data VALUES (23139, 0, 4533, 0, 158, 98, 218);
INSERT INTO public.who_data VALUES (23140, 19, 1301, 1, 70, 98, 191);
INSERT INTO public.who_data VALUES (23141, 112, 64996, 0, 1163, 98, 156);
INSERT INTO public.who_data VALUES (23142, 0, 0, 0, 0, 98, 135);
INSERT INTO public.who_data VALUES (23143, 2, 102, 0, 2, 98, 88);
INSERT INTO public.who_data VALUES (23144, 1164, 46062, 18, 1281, 98, 55);
INSERT INTO public.who_data VALUES (23145, 0, 27226, 0, 294, 98, 108);
INSERT INTO public.who_data VALUES (23146, 653, 74350, 10, 633, 98, 48);
INSERT INTO public.who_data VALUES (23147, 0, 119442, 0, 1326, 98, 3);
INSERT INTO public.who_data VALUES (23148, 0, 741, 0, 13, 98, 224);
INSERT INTO public.who_data VALUES (23149, 2165, 354461, 17, 7109, 98, 110);
INSERT INTO public.who_data VALUES (23150, 0, 0, 0, 0, 98, 106);
INSERT INTO public.who_data VALUES (23151, 1125, 144477, 26, 2856, 98, 89);
INSERT INTO public.who_data VALUES (23152, 0, 600, 0, 7, 98, 121);
INSERT INTO public.who_data VALUES (23153, 739, 70392, 13, 1556, 98, 163);
INSERT INTO public.who_data VALUES (23154, 2413, 932650, 39, 35106, 98, 70);
INSERT INTO public.who_data VALUES (23155, 1624, 406337, 39, 7791, 98, 174);
INSERT INTO public.who_data VALUES (23156, 0, 0, 0, 0, 98, 175);
INSERT INTO public.who_data VALUES (23157, 25571, 691118, 546, 10045, 98, 118);
INSERT INTO public.who_data VALUES (23158, 6602, 211266, 55, 3305, 98, 189);
INSERT INTO public.who_data VALUES (23159, 653, 41772, 7, 921, 98, 124);
INSERT INTO public.who_data VALUES (23160, 203, 135570, 0, 234, 98, 192);
INSERT INTO public.who_data VALUES (23161, 208, 28544, 1, 493, 98, 41);
INSERT INTO public.who_data VALUES (23162, 1411, 88772, 19, 2006, 98, 95);
INSERT INTO public.who_data VALUES (23163, 0, 6881, 0, 29, 98, 74);
INSERT INTO public.who_data VALUES (23164, 9460, 353185, 129, 8813, 98, 11);
INSERT INTO public.who_data VALUES (23165, 22572, 1925825, 352, 33186, 98, 87);
INSERT INTO public.who_data VALUES (23166, 32, 5394, 0, 42, 98, 214);
INSERT INTO public.who_data VALUES (23167, 0, 5, 0, 0, 98, 116);
INSERT INTO public.who_data VALUES (23168, 0, 109, 0, 0, 98, 157);
INSERT INTO public.who_data VALUES (23169, 0, 0, 0, 0, 98, 182);
INSERT INTO public.who_data VALUES (23170, 0, 19, 0, 0, 98, 186);
INSERT INTO public.who_data VALUES (23171, 4, 160, 0, 2, 98, 127);
INSERT INTO public.who_data VALUES (23172, 0, 655, 0, 12, 98, 232);
INSERT INTO public.who_data VALUES (23173, 0, 14, 0, 0, 98, 33);
INSERT INTO public.who_data VALUES (23174, 0, 78, 0, 0, 98, 97);
INSERT INTO public.who_data VALUES (23175, 0, 0, 0, 0, 98, 42);
INSERT INTO public.who_data VALUES (23176, 0, 1253, 0, 42, 98, 198);
INSERT INTO public.who_data VALUES (23177, 1, 964, 0, 16, 98, 216);
INSERT INTO public.who_data VALUES (23178, 349, 352950, 16, 5641, 98, 164);
INSERT INTO public.who_data VALUES (23179, 24, 15779, 1, 327, 98, 235);
INSERT INTO public.who_data VALUES (23180, 3822, 81086, 17, 989, 98, 67);
INSERT INTO public.who_data VALUES (23181, 0, 158, 0, 0, 98, 15);
INSERT INTO public.who_data VALUES (23182, 0, 2389, 0, 74, 98, 180);
INSERT INTO public.who_data VALUES (23183, 2, 58116, 0, 28, 98, 237);
INSERT INTO public.who_data VALUES (23184, 0, 14, 0, 0, 98, 25);
INSERT INTO public.who_data VALUES (23185, 0, 914, 0, 23, 98, 209);
INSERT INTO public.who_data VALUES (23186, 2024, 83796, 27, 491, 98, 217);
INSERT INTO public.who_data VALUES (23187, 1740, 54161, 41, 849, 98, 79);
INSERT INTO public.who_data VALUES (23188, 0, 16, 0, 0, 98, 143);
INSERT INTO public.who_data VALUES (23189, 0, 4301, 0, 107, 98, 229);
INSERT INTO public.who_data VALUES (23190, 2237, 749182, 53, 20206, 98, 141);
INSERT INTO public.who_data VALUES (23191, 0, 3003, 0, 59, 98, 197);
INSERT INTO public.who_data VALUES (23192, 18688, 1568516, 304, 43128, 98, 221);
INSERT INTO public.who_data VALUES (23193, 468, 16191, 5, 53, 98, 150);
INSERT INTO public.who_data VALUES (23194, 102, 14728, 3, 1119, 98, 56);
INSERT INTO public.who_data VALUES (23195, 7, 5268, 0, 114, 98, 167);
INSERT INTO public.who_data VALUES (23196, 6730, 184959, 33, 6365, 98, 23);
INSERT INTO public.who_data VALUES (23197, 3203, 268327, 77, 3418, 98, 222);
INSERT INTO public.who_data VALUES (23198, 61, 6613, 4, 341, 98, 219);
INSERT INTO public.who_data VALUES (23199, 39, 11573, 0, 85, 98, 7);
INSERT INTO public.who_data VALUES (23200, 5, 3866, 0, 60, 98, 161);
INSERT INTO public.who_data VALUES (23201, 26860, 1344360, 462, 51766, 98, 149);
INSERT INTO public.who_data VALUES (23202, 0, 30, 0, 0, 98, 6);
INSERT INTO public.who_data VALUES (23203, 0, 2605, 0, 60, 98, 139);
INSERT INTO public.who_data VALUES (23204, 0, 0, 0, 0, 98, 211);
INSERT INTO public.who_data VALUES (23205, 0, 0, 0, 0, 98, 14);
INSERT INTO public.who_data VALUES (23206, 50, 5980, 0, 111, 98, 111);
INSERT INTO public.who_data VALUES (23207, 1671, 79339, 70, 2279, 98, 207);
INSERT INTO public.who_data VALUES (23208, 9846, 1151355, 92, 11418, 98, 66);
INSERT INTO public.who_data VALUES (23209, 0, 0, 0, 0, 98, 173);
INSERT INTO public.who_data VALUES (23210, 0, 716, 0, 6, 98, 145);
INSERT INTO public.who_data VALUES (23211, 0, 0, 0, 0, 98, 65);
INSERT INTO public.who_data VALUES (23212, 387, 15789, 0, 144, 98, 184);
INSERT INTO public.who_data VALUES (23213, 10681, 535857, 95, 9603, 98, 98);
INSERT INTO public.who_data VALUES (23214, 1174, 149135, 0, 528, 98, 104);
INSERT INTO public.who_data VALUES (23215, 0, 509, 0, 21, 98, 73);
INSERT INTO public.who_data VALUES (23216, 181066, 10641431, 1356, 242542, 98, 8);
INSERT INTO public.who_data VALUES (23217, 8, 1434, 0, 23, 98, 227);
INSERT INTO public.who_data VALUES (23218, 88, 3883, 1, 64, 98, 75);
INSERT INTO public.who_data VALUES (23219, 188, 70102, 2, 598, 98, 45);
INSERT INTO public.who_data VALUES (23220, 0, 1, 0, 0, 98, 133);
INSERT INTO public.who_data VALUES (23221, 301, 96441, 3, 844, 98, 202);
INSERT INTO public.who_data VALUES (23222, 9, 1265, 0, 35, 98, 129);
INSERT INTO public.who_data VALUES (23223, 0, 1, 0, 0, 98, 36);
INSERT INTO public.who_data VALUES (23224, 0, 2072, 0, 603, 98, 51);
INSERT INTO public.who_data VALUES (23225, 4, 17097, 0, 350, 98, 206);
INSERT INTO public.who_data VALUES (23226, 21, 8786, 0, 257, 98, 5);
INSERT INTO public.who_data VALUES (23227, 174, 42969, 4, 1595, 99, 103);
INSERT INTO public.who_data VALUES (23228, 490, 26701, 7, 605, 99, 58);
INSERT INTO public.who_data VALUES (23229, 867, 65975, 14, 2125, 99, 195);
INSERT INTO public.who_data VALUES (23230, 0, 0, 0, 0, 99, 115);
INSERT INTO public.who_data VALUES (23231, 109, 5725, 0, 75, 99, 99);
INSERT INTO public.who_data VALUES (23232, 171, 13228, 2, 317, 99, 153);
INSERT INTO public.who_data VALUES (23233, 0, 3, 0, 0, 99, 93);
INSERT INTO public.who_data VALUES (23234, 2, 133, 0, 3, 99, 84);
INSERT INTO public.who_data VALUES (23235, 11163, 1284519, 251, 34782, 99, 78);
INSERT INTO public.who_data VALUES (23236, 1472, 115168, 41, 1733, 99, 170);
INSERT INTO public.who_data VALUES (23237, 8, 4639, 0, 43, 99, 32);
INSERT INTO public.who_data VALUES (23238, 5, 27703, 0, 907, 99, 155);
INSERT INTO public.who_data VALUES (23239, 8962, 191024, 64, 1574, 99, 82);
INSERT INTO public.who_data VALUES (23240, 1364, 71580, 22, 927, 99, 16);
INSERT INTO public.who_data VALUES (23241, 39, 7163, 0, 155, 99, 72);
INSERT INTO public.who_data VALUES (23242, 157, 84349, 0, 332, 99, 43);
INSERT INTO public.who_data VALUES (23243, 1767, 428965, 19, 6159, 99, 120);
INSERT INTO public.who_data VALUES (23244, 0, 249, 0, 7, 99, 213);
INSERT INTO public.who_data VALUES (23245, 1167, 111622, 6, 1033, 99, 31);
INSERT INTO public.who_data VALUES (23246, 5711, 536016, 183, 14370, 99, 204);
INSERT INTO public.who_data VALUES (23247, 76, 4596, 0, 75, 99, 152);
INSERT INTO public.who_data VALUES (23248, 0, 2844, 0, 43, 99, 144);
INSERT INTO public.who_data VALUES (23249, 2, 222, 0, 9, 99, 96);
INSERT INTO public.who_data VALUES (23250, 0, 369, 0, 0, 99, 47);
INSERT INTO public.who_data VALUES (23251, 113, 142889, 7, 8825, 99, 80);
INSERT INTO public.who_data VALUES (23252, 0, 136, 0, 3, 99, 159);
INSERT INTO public.who_data VALUES (23253, 1332, 69625, 58, 1808, 99, 27);
INSERT INTO public.who_data VALUES (23254, 390, 8225, 0, 27, 99, 146);
INSERT INTO public.who_data VALUES (23255, 33207, 5781582, 908, 164281, 99, 71);
INSERT INTO public.who_data VALUES (23256, 0, 72, 0, 1, 99, 210);
INSERT INTO public.who_data VALUES (23257, 0, 148, 0, 3, 99, 54);
INSERT INTO public.who_data VALUES (23258, 4212, 94937, 85, 2055, 99, 147);
INSERT INTO public.who_data VALUES (23259, 23, 2609, 1, 68, 99, 2);
INSERT INTO public.who_data VALUES (23260, 3, 627, 0, 1, 99, 105);
INSERT INTO public.who_data VALUES (23261, 47, 9741, 0, 102, 99, 53);
INSERT INTO public.who_data VALUES (23262, 1, 302, 0, 0, 99, 81);
INSERT INTO public.who_data VALUES (23263, 109, 22692, 0, 433, 99, 223);
INSERT INTO public.who_data VALUES (23264, 5516, 282577, 83, 10768, 99, 94);
INSERT INTO public.who_data VALUES (23265, 1, 254, 0, 1, 99, 154);
INSERT INTO public.who_data VALUES (23266, 8, 4896, 1, 63, 99, 83);
INSERT INTO public.who_data VALUES (23267, 11, 1589, 0, 100, 99, 194);
INSERT INTO public.who_data VALUES (23268, 1592, 528030, 39, 14738, 99, 136);
INSERT INTO public.who_data VALUES (23269, 32, 92404, 0, 4749, 99, 179);
INSERT INTO public.who_data VALUES (23270, 8686, 1174012, 179, 33491, 99, 57);
INSERT INTO public.who_data VALUES (23271, 0, 574, 0, 7, 99, 35);
INSERT INTO public.who_data VALUES (23272, 0, 5515, 0, 92, 99, 228);
INSERT INTO public.who_data VALUES (23273, 0, 0, 0, 0, 99, 19);
INSERT INTO public.who_data VALUES (23274, 1171, 120939, 14, 1527, 99, 22);
INSERT INTO public.who_data VALUES (23275, 17, 20899, 0, 127, 99, 1);
INSERT INTO public.who_data VALUES (23276, 3056, 78978, 43, 968, 99, 21);
INSERT INTO public.who_data VALUES (23277, 54, 7541, 0, 131, 99, 234);
INSERT INTO public.who_data VALUES (23278, 33, 1215, 0, 2, 99, 91);
INSERT INTO public.who_data VALUES (23279, 207, 6853, 4, 38, 99, 137);
INSERT INTO public.who_data VALUES (23280, 7355, 454030, 171, 5926, 99, 201);
INSERT INTO public.who_data VALUES (23281, 0, 0, 0, 0, 99, 171);
INSERT INTO public.who_data VALUES (23282, 0, 11691, 0, 318, 99, 92);
INSERT INTO public.who_data VALUES (23283, 1037, 60000, 1, 756, 99, 112);
INSERT INTO public.who_data VALUES (23284, 3, 5644, 0, 61, 99, 62);
INSERT INTO public.who_data VALUES (23285, 0, 68, 0, 0, 99, 69);
INSERT INTO public.who_data VALUES (23286, 918, 132554, 6, 2280, 99, 220);
INSERT INTO public.who_data VALUES (23287, 1161, 178674, 31, 12977, 99, 100);
INSERT INTO public.who_data VALUES (23288, 224, 110319, 12, 6429, 99, 187);
INSERT INTO public.who_data VALUES (23289, 165, 36195, 5, 1033, 99, 63);
INSERT INTO public.who_data VALUES (23290, 0, 5104, 0, 85, 99, 28);
INSERT INTO public.who_data VALUES (23291, 0, 493, 0, 0, 99, 172);
INSERT INTO public.who_data VALUES (23292, 267, 7148, 4, 80, 99, 17);
INSERT INTO public.who_data VALUES (23293, 16, 6076, 1, 118, 99, 226);
INSERT INTO public.who_data VALUES (23294, 509, 101757, 4, 1558, 99, 236);
INSERT INTO public.who_data VALUES (23295, 0, 15, 0, 0, 99, 76);
INSERT INTO public.who_data VALUES (23296, 0, 497, 0, 0, 99, 30);
INSERT INTO public.who_data VALUES (23297, 0, 35, 0, 2, 99, 128);
INSERT INTO public.who_data VALUES (23298, 316, 18858, 4, 369, 99, 86);
INSERT INTO public.who_data VALUES (23299, 23620, 1886286, 931, 43559, 99, 140);
INSERT INTO public.who_data VALUES (23300, 28, 10808, 0, 70, 99, 44);
INSERT INTO public.who_data VALUES (23301, 221, 11706, 1, 53, 99, 113);
INSERT INTO public.who_data VALUES (23302, 14, 9062, 1, 58, 99, 29);
INSERT INTO public.who_data VALUES (23303, 0, 3698, 0, 122, 99, 125);
INSERT INTO public.who_data VALUES (23304, 3504, 76658, 33, 669, 99, 131);
INSERT INTO public.who_data VALUES (23305, 22461, 773556, 178, 12378, 99, 46);
INSERT INTO public.who_data VALUES (23306, 0, 50018, 0, 320, 99, 10);
INSERT INTO public.who_data VALUES (23307, 22, 864, 0, 1, 99, 205);
INSERT INTO public.who_data VALUES (23308, 3038, 69675, 38, 997, 99, 50);
INSERT INTO public.who_data VALUES (23309, 0, 17, 0, 0, 99, 20);
INSERT INTO public.who_data VALUES (23310, 0, 32, 0, 0, 99, 13);
INSERT INTO public.who_data VALUES (23311, 0, 8098, 0, 139, 99, 148);
INSERT INTO public.who_data VALUES (23312, 73, 5813, 2, 93, 99, 230);
INSERT INTO public.who_data VALUES (23313, 580, 114123, 22, 3880, 99, 190);
INSERT INTO public.who_data VALUES (23314, 0, 282, 0, 13, 99, 188);
INSERT INTO public.who_data VALUES (23315, 21, 12537, 0, 74, 99, 123);
INSERT INTO public.who_data VALUES (23316, 0, 2419, 0, 43, 99, 9);
INSERT INTO public.who_data VALUES (23317, 44, 4662, 1, 138, 99, 102);
INSERT INTO public.who_data VALUES (23318, 16, 9168, 0, 232, 99, 34);
INSERT INTO public.who_data VALUES (23319, 0, 26, 0, 0, 99, 212);
INSERT INTO public.who_data VALUES (23320, 299, 101468, 7, 2804, 99, 122);
INSERT INTO public.who_data VALUES (23321, 4836, 136723, 107, 2990, 99, 38);
INSERT INTO public.who_data VALUES (23322, 10, 5170, 0, 25, 99, 130);
INSERT INTO public.who_data VALUES (23323, 44684, 8773479, 520, 129188, 99, 37);
INSERT INTO public.who_data VALUES (23324, 5444, 457735, 104, 15037, 99, 231);
INSERT INTO public.who_data VALUES (23325, 11737, 738322, 461, 40582, 99, 107);
INSERT INTO public.who_data VALUES (23326, 2690, 514496, 48, 11580, 99, 101);
INSERT INTO public.who_data VALUES (23327, 467, 67099, 7, 1972, 99, 132);
INSERT INTO public.who_data VALUES (23328, 2, 363, 0, 25, 99, 176);
INSERT INTO public.who_data VALUES (23329, 836, 322421, 12, 2722, 99, 200);
INSERT INTO public.who_data VALUES (23330, 40902, 1107303, 550, 44139, 99, 169);
INSERT INTO public.who_data VALUES (23331, 89, 9723, 2, 227, 99, 225);
INSERT INTO public.who_data VALUES (23332, 1685, 114983, 13, 1880, 99, 165);
INSERT INTO public.who_data VALUES (23333, 17, 721, 0, 32, 99, 233);
INSERT INTO public.who_data VALUES (23334, 4469, 136555, 71, 1618, 99, 215);
INSERT INTO public.who_data VALUES (23335, 856, 160612, 0, 2306, 99, 177);
INSERT INTO public.who_data VALUES (23336, 1470, 68193, 25, 1228, 99, 183);
INSERT INTO public.who_data VALUES (23337, 0, 0, 0, 0, 99, 203);
INSERT INTO public.who_data VALUES (23338, 963, 27808, 13, 788, 99, 162);
INSERT INTO public.who_data VALUES (23339, 718, 135650, 3, 833, 99, 12);
INSERT INTO public.who_data VALUES (23340, 499, 65953, 1, 1196, 99, 24);
INSERT INTO public.who_data VALUES (23341, 0, 24, 0, 0, 99, 119);
INSERT INTO public.who_data VALUES (23342, 455, 9836, 9, 116, 99, 39);
INSERT INTO public.who_data VALUES (23343, 1904, 102607, 21, 796, 99, 26);
INSERT INTO public.who_data VALUES (23344, 0, 1967, 0, 44, 99, 59);
INSERT INTO public.who_data VALUES (23345, 23, 1491, 0, 82, 99, 77);
INSERT INTO public.who_data VALUES (23346, 824, 72628, 10, 995, 99, 134);
INSERT INTO public.who_data VALUES (23347, 25, 993, 0, 5, 99, 4);
INSERT INTO public.who_data VALUES (23348, 1528, 33356, 17, 282, 99, 109);
INSERT INTO public.who_data VALUES (23349, 713, 25218, 5, 211, 99, 90);
INSERT INTO public.who_data VALUES (23350, 0, 17233, 0, 249, 99, 61);
INSERT INTO public.who_data VALUES (23351, 4, 5962, 0, 185, 99, 85);
INSERT INTO public.who_data VALUES (23352, 1304, 45095, 1, 304, 99, 49);
INSERT INTO public.who_data VALUES (23353, 27, 12112, 0, 41, 99, 208);
INSERT INTO public.who_data VALUES (23354, 14, 3806, 1, 139, 99, 166);
INSERT INTO public.who_data VALUES (23355, 150, 7785, 1, 87, 99, 64);
INSERT INTO public.who_data VALUES (23356, 0, 1, 0, 0, 99, 199);
INSERT INTO public.who_data VALUES (23357, 0, 4732, 0, 37, 99, 114);
INSERT INTO public.who_data VALUES (23358, 0, 7885, 0, 165, 99, 60);
INSERT INTO public.who_data VALUES (23359, 0, 470, 0, 10, 99, 68);
INSERT INTO public.who_data VALUES (23360, 0, 4921, 0, 46, 99, 158);
INSERT INTO public.who_data VALUES (23361, 5658, 991835, 626, 97056, 99, 52);
INSERT INTO public.who_data VALUES (23362, 0, 0, 0, 0, 99, 117);
INSERT INTO public.who_data VALUES (23363, 8, 543, 0, 2, 99, 126);
INSERT INTO public.who_data VALUES (23364, 6, 412, 0, 0, 99, 196);
INSERT INTO public.who_data VALUES (23365, 541, 27214, 8, 384, 99, 142);
INSERT INTO public.who_data VALUES (23366, 0, 13, 0, 1, 99, 185);
INSERT INTO public.who_data VALUES (23367, 5515, 282336, 61, 4631, 99, 138);
INSERT INTO public.who_data VALUES (23368, 133, 14227, 6, 110, 99, 181);
INSERT INTO public.who_data VALUES (23369, 1145, 65598, 28, 1508, 99, 178);
INSERT INTO public.who_data VALUES (23370, 27, 13372, 3, 138, 99, 168);
INSERT INTO public.who_data VALUES (23371, 0, 0, 0, 0, 99, 160);
INSERT INTO public.who_data VALUES (23372, 2111, 206353, 13, 1202, 99, 151);
INSERT INTO public.who_data VALUES (23373, 6069, 435332, 54, 8338, 99, 193);
INSERT INTO public.who_data VALUES (23374, 0, 30, 0, 0, 99, 18);
INSERT INTO public.who_data VALUES (23375, 3, 1642, 0, 25, 99, 40);
INSERT INTO public.who_data VALUES (23376, 0, 4533, 0, 158, 99, 218);
INSERT INTO public.who_data VALUES (23377, 19, 1282, 0, 69, 99, 191);
INSERT INTO public.who_data VALUES (23378, 156, 64884, 1, 1163, 99, 156);
INSERT INTO public.who_data VALUES (23379, 0, 0, 0, 0, 99, 135);
INSERT INTO public.who_data VALUES (23380, 0, 100, 0, 2, 99, 88);
INSERT INTO public.who_data VALUES (23381, 1063, 44898, 25, 1263, 99, 55);
INSERT INTO public.who_data VALUES (23382, 723, 27226, 3, 294, 99, 108);
INSERT INTO public.who_data VALUES (23383, 730, 73697, 6, 623, 99, 48);
INSERT INTO public.who_data VALUES (23384, 0, 119442, 0, 1326, 99, 3);
INSERT INTO public.who_data VALUES (23385, 0, 741, 0, 13, 99, 224);
INSERT INTO public.who_data VALUES (23386, 2304, 352296, 37, 7092, 99, 110);
INSERT INTO public.who_data VALUES (23387, 0, 0, 0, 0, 99, 106);
INSERT INTO public.who_data VALUES (23388, 887, 143352, 7, 2830, 99, 89);
INSERT INTO public.who_data VALUES (23389, 0, 600, 0, 7, 99, 121);
INSERT INTO public.who_data VALUES (23390, 547, 69653, 11, 1543, 99, 163);
INSERT INTO public.who_data VALUES (23391, 2231, 930237, 36, 35067, 99, 70);
INSERT INTO public.who_data VALUES (23392, 1893, 404713, 31, 7752, 99, 174);
INSERT INTO public.who_data VALUES (23393, 0, 0, 0, 0, 99, 175);
INSERT INTO public.who_data VALUES (23394, 24051, 665547, 419, 9499, 99, 118);
INSERT INTO public.who_data VALUES (23395, 6653, 204664, 69, 3250, 99, 189);
INSERT INTO public.who_data VALUES (23396, 667, 41119, 5, 914, 99, 124);
INSERT INTO public.who_data VALUES (23397, 235, 135367, 0, 234, 99, 192);
INSERT INTO public.who_data VALUES (23398, 205, 28336, 4, 492, 99, 41);
INSERT INTO public.who_data VALUES (23399, 1323, 87361, 18, 1987, 99, 95);
INSERT INTO public.who_data VALUES (23400, 146, 6881, 1, 29, 99, 74);
INSERT INTO public.who_data VALUES (23401, 9489, 343725, 174, 8684, 99, 11);
INSERT INTO public.who_data VALUES (23402, 22702, 1903253, 391, 32834, 99, 87);
INSERT INTO public.who_data VALUES (23403, 43, 5362, 1, 42, 99, 214);
INSERT INTO public.who_data VALUES (23404, 0, 5, 0, 0, 99, 116);
INSERT INTO public.who_data VALUES (23405, 0, 109, 0, 0, 99, 157);
INSERT INTO public.who_data VALUES (23406, 0, 0, 0, 0, 99, 182);
INSERT INTO public.who_data VALUES (23407, 0, 19, 0, 0, 99, 186);
INSERT INTO public.who_data VALUES (23408, 0, 156, 0, 2, 99, 127);
INSERT INTO public.who_data VALUES (23409, 0, 655, 0, 12, 99, 232);
INSERT INTO public.who_data VALUES (23410, 0, 14, 0, 0, 99, 33);
INSERT INTO public.who_data VALUES (23411, 1, 78, 0, 0, 99, 97);
INSERT INTO public.who_data VALUES (23412, 0, 0, 0, 0, 99, 42);
INSERT INTO public.who_data VALUES (23413, 19, 1253, 0, 42, 99, 198);
INSERT INTO public.who_data VALUES (23414, 0, 963, 0, 16, 99, 216);
INSERT INTO public.who_data VALUES (23415, 441, 352601, 20, 5625, 99, 164);
INSERT INTO public.who_data VALUES (23416, 11, 15755, 0, 326, 99, 235);
INSERT INTO public.who_data VALUES (23417, 3499, 77264, 17, 972, 99, 67);
INSERT INTO public.who_data VALUES (23418, 0, 158, 0, 0, 99, 15);
INSERT INTO public.who_data VALUES (23419, 3, 2389, 0, 74, 99, 180);
INSERT INTO public.who_data VALUES (23420, 12, 58114, 0, 28, 99, 237);
INSERT INTO public.who_data VALUES (23421, 0, 14, 0, 0, 99, 25);
INSERT INTO public.who_data VALUES (23422, 6, 914, 0, 23, 99, 209);
INSERT INTO public.who_data VALUES (23423, 2591, 81772, 50, 464, 99, 217);
INSERT INTO public.who_data VALUES (23424, 1516, 52421, 43, 808, 99, 79);
INSERT INTO public.who_data VALUES (23425, 0, 16, 0, 0, 99, 143);
INSERT INTO public.who_data VALUES (23426, 0, 4301, 0, 107, 99, 229);
INSERT INTO public.who_data VALUES (23427, 2213, 746945, 77, 20153, 99, 141);
INSERT INTO public.who_data VALUES (23428, 23, 3003, 0, 59, 99, 197);
INSERT INTO public.who_data VALUES (23429, 19545, 1549828, 315, 42824, 99, 221);
INSERT INTO public.who_data VALUES (23430, 373, 15723, 2, 48, 99, 150);
INSERT INTO public.who_data VALUES (23431, 128, 14626, 0, 1116, 99, 56);
INSERT INTO public.who_data VALUES (23432, 7, 5261, 1, 114, 99, 167);
INSERT INTO public.who_data VALUES (23433, 5564, 178229, 28, 6332, 99, 23);
INSERT INTO public.who_data VALUES (23434, 5679, 265124, 85, 3341, 99, 222);
INSERT INTO public.who_data VALUES (23435, 66, 6552, 4, 337, 99, 219);
INSERT INTO public.who_data VALUES (23436, 38, 11534, 1, 85, 99, 7);
INSERT INTO public.who_data VALUES (23437, 0, 3861, 0, 60, 99, 161);
INSERT INTO public.who_data VALUES (23438, 27301, 1317500, 376, 51304, 99, 149);
INSERT INTO public.who_data VALUES (23439, 0, 30, 0, 0, 99, 6);
INSERT INTO public.who_data VALUES (23440, 0, 2605, 0, 60, 99, 139);
INSERT INTO public.who_data VALUES (23441, 0, 0, 0, 0, 99, 211);
INSERT INTO public.who_data VALUES (23442, 0, 0, 0, 0, 99, 14);
INSERT INTO public.who_data VALUES (23443, 26, 5930, 0, 111, 99, 111);
INSERT INTO public.who_data VALUES (23444, 1562, 77668, 58, 2209, 99, 207);
INSERT INTO public.who_data VALUES (23445, 9775, 1141509, 93, 11326, 99, 66);
INSERT INTO public.who_data VALUES (23446, 0, 0, 0, 0, 99, 173);
INSERT INTO public.who_data VALUES (23447, 0, 716, 0, 6, 99, 145);
INSERT INTO public.who_data VALUES (23448, 0, 0, 0, 0, 99, 65);
INSERT INTO public.who_data VALUES (23449, 185, 15402, 1, 144, 99, 184);
INSERT INTO public.who_data VALUES (23450, 12524, 525176, 191, 9508, 99, 98);
INSERT INTO public.who_data VALUES (23451, 1226, 147961, 5, 528, 99, 104);
INSERT INTO public.who_data VALUES (23452, 0, 509, 0, 21, 99, 73);
INSERT INTO public.who_data VALUES (23453, 193734, 10460365, 1142, 241186, 99, 8);
INSERT INTO public.who_data VALUES (23454, 13, 1426, 0, 23, 99, 227);
INSERT INTO public.who_data VALUES (23455, 95, 3795, 0, 63, 99, 75);
INSERT INTO public.who_data VALUES (23456, 234, 69914, 2, 596, 99, 45);
INSERT INTO public.who_data VALUES (23457, 0, 1, 0, 0, 99, 133);
INSERT INTO public.who_data VALUES (23458, 390, 96140, 3, 841, 99, 202);
INSERT INTO public.who_data VALUES (23459, 3, 1256, 0, 35, 99, 129);
INSERT INTO public.who_data VALUES (23460, 0, 1, 0, 0, 99, 36);
INSERT INTO public.who_data VALUES (23461, 0, 2072, 0, 603, 99, 51);
INSERT INTO public.who_data VALUES (23462, 37, 17093, 0, 350, 99, 206);
INSERT INTO public.who_data VALUES (23463, 69, 8765, 2, 257, 99, 5);
INSERT INTO public.who_data VALUES (23464, 186, 42795, 10, 1591, 100, 103);
INSERT INTO public.who_data VALUES (23465, 410, 26211, 8, 598, 100, 58);
INSERT INTO public.who_data VALUES (23466, 851, 65108, 18, 2111, 100, 195);
INSERT INTO public.who_data VALUES (23467, 0, 0, 0, 0, 100, 115);
INSERT INTO public.who_data VALUES (23468, 49, 5616, 0, 75, 100, 99);
INSERT INTO public.who_data VALUES (23469, 104, 13057, 3, 315, 100, 153);
INSERT INTO public.who_data VALUES (23470, 0, 3, 0, 0, 100, 93);
INSERT INTO public.who_data VALUES (23471, 0, 131, 0, 3, 100, 84);
INSERT INTO public.who_data VALUES (23472, 10880, 1273356, 348, 34531, 100, 78);
INSERT INTO public.who_data VALUES (23473, 1703, 113696, 29, 1692, 100, 170);
INSERT INTO public.who_data VALUES (23474, 9, 4631, 1, 43, 100, 32);
INSERT INTO public.who_data VALUES (23475, 12, 27698, 0, 907, 100, 155);
INSERT INTO public.who_data VALUES (23476, 10368, 182062, 37, 1510, 100, 82);
INSERT INTO public.who_data VALUES (23477, 1622, 70216, 20, 905, 100, 16);
INSERT INTO public.who_data VALUES (23478, 64, 7124, 1, 155, 100, 72);
INSERT INTO public.who_data VALUES (23479, 150, 84192, 0, 332, 100, 43);
INSERT INTO public.who_data VALUES (23480, 1845, 427198, 13, 6140, 100, 120);
INSERT INTO public.who_data VALUES (23481, 6, 249, 0, 7, 100, 213);
INSERT INTO public.who_data VALUES (23482, 1098, 110455, 5, 1027, 100, 31);
INSERT INTO public.who_data VALUES (23483, 6482, 530305, 172, 14187, 100, 204);
INSERT INTO public.who_data VALUES (23484, 106, 4520, 2, 75, 100, 152);
INSERT INTO public.who_data VALUES (23485, 0, 2844, 0, 43, 100, 144);
INSERT INTO public.who_data VALUES (23486, 5, 220, 0, 9, 100, 96);
INSERT INTO public.who_data VALUES (23487, 5, 369, 0, 0, 100, 47);
INSERT INTO public.who_data VALUES (23488, 112, 142776, 10, 8818, 100, 80);
INSERT INTO public.who_data VALUES (23489, 0, 136, 0, 3, 100, 159);
INSERT INTO public.who_data VALUES (23490, 1728, 68293, 49, 1750, 100, 27);
INSERT INTO public.who_data VALUES (23491, 0, 7835, 0, 27, 100, 146);
INSERT INTO public.who_data VALUES (23492, 48331, 5748375, 544, 163373, 100, 71);
INSERT INTO public.who_data VALUES (23493, 0, 72, 0, 1, 100, 210);
INSERT INTO public.who_data VALUES (23494, 0, 148, 0, 3, 100, 54);
INSERT INTO public.who_data VALUES (23495, 3414, 90725, 72, 1970, 100, 147);
INSERT INTO public.who_data VALUES (23496, 0, 2586, 0, 67, 100, 2);
INSERT INTO public.who_data VALUES (23497, 1, 624, 0, 1, 100, 105);
INSERT INTO public.who_data VALUES (23498, 134, 9694, 0, 102, 100, 53);
INSERT INTO public.who_data VALUES (23499, 0, 301, 0, 0, 100, 81);
INSERT INTO public.who_data VALUES (23500, 93, 22583, 0, 433, 100, 223);
INSERT INTO public.who_data VALUES (23501, 4024, 277061, 53, 10685, 100, 94);
INSERT INTO public.who_data VALUES (23502, 0, 253, 0, 1, 100, 154);
INSERT INTO public.who_data VALUES (23503, 0, 4888, 0, 62, 100, 83);
INSERT INTO public.who_data VALUES (23504, 13, 1578, 1, 100, 100, 194);
INSERT INTO public.who_data VALUES (23505, 1634, 526438, 66, 14699, 100, 136);
INSERT INTO public.who_data VALUES (23506, 36, 92372, 0, 4749, 100, 179);
INSERT INTO public.who_data VALUES (23507, 8651, 1165326, 164, 33312, 100, 57);
INSERT INTO public.who_data VALUES (23508, 5, 574, 0, 7, 100, 35);
INSERT INTO public.who_data VALUES (23509, 136, 5515, 0, 92, 100, 228);
INSERT INTO public.who_data VALUES (23510, 0, 0, 0, 0, 100, 19);
INSERT INTO public.who_data VALUES (23511, 1202, 119768, 11, 1513, 100, 22);
INSERT INTO public.who_data VALUES (23512, 27, 20882, 0, 127, 100, 1);
INSERT INTO public.who_data VALUES (23513, 3082, 75922, 32, 925, 100, 21);
INSERT INTO public.who_data VALUES (23514, 58, 7487, 1, 131, 100, 234);
INSERT INTO public.who_data VALUES (23515, 51, 1182, 0, 2, 100, 91);
INSERT INTO public.who_data VALUES (23516, 185, 6646, 2, 34, 100, 137);
INSERT INTO public.who_data VALUES (23517, 7870, 446675, 185, 5755, 100, 201);
INSERT INTO public.who_data VALUES (23518, 0, 0, 0, 0, 100, 171);
INSERT INTO public.who_data VALUES (23519, 36, 11691, 2, 318, 100, 92);
INSERT INTO public.who_data VALUES (23520, 1011, 58963, 2, 755, 100, 112);
INSERT INTO public.who_data VALUES (23521, 6, 5641, 0, 61, 100, 62);
INSERT INTO public.who_data VALUES (23522, 5, 68, 0, 0, 100, 69);
INSERT INTO public.who_data VALUES (23523, 371, 131636, 2, 2274, 100, 220);
INSERT INTO public.who_data VALUES (23524, 883, 177513, 26, 12946, 100, 100);
INSERT INTO public.who_data VALUES (23525, 214, 110095, 12, 6417, 100, 187);
INSERT INTO public.who_data VALUES (23526, 885, 36030, 4, 1028, 100, 63);
INSERT INTO public.who_data VALUES (23527, 0, 5104, 0, 85, 100, 28);
INSERT INTO public.who_data VALUES (23528, 2, 493, 0, 0, 100, 172);
INSERT INTO public.who_data VALUES (23529, 373, 6881, 0, 76, 100, 17);
INSERT INTO public.who_data VALUES (23530, 16, 6060, 0, 117, 100, 226);
INSERT INTO public.who_data VALUES (23531, 521, 101248, 9, 1554, 100, 236);
INSERT INTO public.who_data VALUES (23532, 1, 15, 0, 0, 100, 76);
INSERT INTO public.who_data VALUES (23533, 0, 497, 0, 0, 100, 30);
INSERT INTO public.who_data VALUES (23534, 0, 35, 0, 2, 100, 128);
INSERT INTO public.who_data VALUES (23535, 197, 18542, 0, 365, 100, 86);
INSERT INTO public.who_data VALUES (23536, 32978, 1862666, 425, 42628, 100, 140);
INSERT INTO public.who_data VALUES (23537, 18, 10780, 0, 70, 100, 44);
INSERT INTO public.who_data VALUES (23538, 169, 11485, 0, 52, 100, 113);
INSERT INTO public.who_data VALUES (23539, 0, 9048, 0, 57, 100, 29);
INSERT INTO public.who_data VALUES (23540, 1, 3698, 0, 122, 100, 125);
INSERT INTO public.who_data VALUES (23541, 3473, 73154, 37, 636, 100, 131);
INSERT INTO public.who_data VALUES (23542, 23542, 751095, 218, 12200, 100, 46);
INSERT INTO public.who_data VALUES (23543, 716, 50018, 0, 320, 100, 10);
INSERT INTO public.who_data VALUES (23544, 28, 842, 1, 1, 100, 205);
INSERT INTO public.who_data VALUES (23545, 3316, 66637, 50, 959, 100, 50);
INSERT INTO public.who_data VALUES (23546, 0, 17, 0, 0, 100, 20);
INSERT INTO public.who_data VALUES (23547, 0, 32, 0, 0, 100, 13);
INSERT INTO public.who_data VALUES (23548, 0, 8098, 0, 139, 100, 148);
INSERT INTO public.who_data VALUES (23549, 87, 5740, 0, 91, 100, 230);
INSERT INTO public.who_data VALUES (23550, 732, 113543, 13, 3858, 100, 190);
INSERT INTO public.who_data VALUES (23551, 0, 282, 0, 13, 100, 188);
INSERT INTO public.who_data VALUES (23552, 32, 12516, 0, 74, 100, 123);
INSERT INTO public.who_data VALUES (23553, 0, 2419, 0, 43, 100, 9);
INSERT INTO public.who_data VALUES (23554, 88, 4618, 0, 137, 100, 102);
INSERT INTO public.who_data VALUES (23555, 0, 9152, 0, 232, 100, 34);
INSERT INTO public.who_data VALUES (23556, 0, 26, 0, 0, 100, 212);
INSERT INTO public.who_data VALUES (23557, 365, 101169, 17, 2797, 100, 122);
INSERT INTO public.who_data VALUES (23558, 5097, 131887, 99, 2883, 100, 38);
INSERT INTO public.who_data VALUES (23559, 18, 5160, 1, 25, 100, 130);
INSERT INTO public.who_data VALUES (23560, 44879, 8728795, 547, 128668, 100, 37);
INSERT INTO public.who_data VALUES (23561, 4173, 452291, 97, 14933, 100, 231);
INSERT INTO public.who_data VALUES (23562, 11517, 726585, 457, 40121, 100, 107);
INSERT INTO public.who_data VALUES (23563, 3298, 511806, 50, 11532, 100, 101);
INSERT INTO public.who_data VALUES (23564, 385, 66632, 0, 1965, 100, 132);
INSERT INTO public.who_data VALUES (23565, 2, 361, 0, 25, 100, 176);
INSERT INTO public.who_data VALUES (23566, 764, 321585, 7, 2710, 100, 200);
INSERT INTO public.who_data VALUES (23567, 37977, 1066401, 636, 43589, 100, 169);
INSERT INTO public.who_data VALUES (23568, 53, 9634, 0, 225, 100, 225);
INSERT INTO public.who_data VALUES (23569, 1587, 113298, 16, 1867, 100, 165);
INSERT INTO public.who_data VALUES (23570, 14, 704, 0, 32, 100, 233);
INSERT INTO public.who_data VALUES (23571, 5685, 132086, 80, 1547, 100, 215);
INSERT INTO public.who_data VALUES (23572, 903, 159756, 0, 2306, 100, 177);
INSERT INTO public.who_data VALUES (23573, 919, 66723, 23, 1203, 100, 183);
INSERT INTO public.who_data VALUES (23574, 0, 0, 0, 0, 100, 203);
INSERT INTO public.who_data VALUES (23575, 767, 26845, 8, 775, 100, 162);
INSERT INTO public.who_data VALUES (23576, 773, 134932, 4, 830, 100, 12);
INSERT INTO public.who_data VALUES (23577, 567, 65454, 2, 1195, 100, 24);
INSERT INTO public.who_data VALUES (23578, 0, 24, 0, 0, 100, 119);
INSERT INTO public.who_data VALUES (23579, 533, 9381, 4, 107, 100, 39);
INSERT INTO public.who_data VALUES (23580, 1874, 100703, 12, 775, 100, 26);
INSERT INTO public.who_data VALUES (23581, 0, 1967, 0, 44, 100, 59);
INSERT INTO public.who_data VALUES (23582, 7, 1468, 0, 82, 100, 77);
INSERT INTO public.who_data VALUES (23583, 919, 71804, 15, 985, 100, 134);
INSERT INTO public.who_data VALUES (23584, 21, 968, 1, 5, 100, 4);
INSERT INTO public.who_data VALUES (23585, 2057, 31828, 14, 265, 100, 109);
INSERT INTO public.who_data VALUES (23586, 795, 24505, 8, 206, 100, 90);
INSERT INTO public.who_data VALUES (23587, 0, 17233, 0, 249, 100, 61);
INSERT INTO public.who_data VALUES (23588, 3, 5958, 0, 185, 100, 85);
INSERT INTO public.who_data VALUES (23589, 919, 43791, 1, 303, 100, 49);
INSERT INTO public.who_data VALUES (23590, 26, 12085, 0, 41, 100, 208);
INSERT INTO public.who_data VALUES (23591, 39, 3792, 0, 138, 100, 166);
INSERT INTO public.who_data VALUES (23592, 109, 7635, 4, 86, 100, 64);
INSERT INTO public.who_data VALUES (23593, 0, 1, 0, 0, 100, 199);
INSERT INTO public.who_data VALUES (23594, 0, 4732, 0, 37, 100, 114);
INSERT INTO public.who_data VALUES (23595, 0, 7885, 0, 165, 100, 60);
INSERT INTO public.who_data VALUES (23596, 3, 470, 0, 10, 100, 68);
INSERT INTO public.who_data VALUES (23597, 106, 4921, 0, 46, 100, 158);
INSERT INTO public.who_data VALUES (23598, 7646, 986177, 588, 96430, 100, 52);
INSERT INTO public.who_data VALUES (23599, 0, 0, 0, 0, 100, 117);
INSERT INTO public.who_data VALUES (23600, 8, 535, 0, 2, 100, 126);
INSERT INTO public.who_data VALUES (23601, 24, 406, 0, 0, 100, 196);
INSERT INTO public.who_data VALUES (23602, 620, 26673, 13, 376, 100, 142);
INSERT INTO public.who_data VALUES (23603, 0, 13, 0, 1, 100, 185);
INSERT INTO public.who_data VALUES (23604, 6195, 276821, 64, 4570, 100, 138);
INSERT INTO public.who_data VALUES (23605, 103, 14094, 0, 104, 100, 181);
INSERT INTO public.who_data VALUES (23606, 0, 64453, 0, 1480, 100, 178);
INSERT INTO public.who_data VALUES (23607, 53, 13345, 1, 135, 100, 168);
INSERT INTO public.who_data VALUES (23608, 0, 0, 0, 0, 100, 160);
INSERT INTO public.who_data VALUES (23609, 1913, 204242, 15, 1189, 100, 151);
INSERT INTO public.who_data VALUES (23610, 5619, 429263, 85, 8284, 100, 193);
INSERT INTO public.who_data VALUES (23611, 1, 30, 0, 0, 100, 18);
INSERT INTO public.who_data VALUES (23612, 4, 1639, 0, 25, 100, 40);
INSERT INTO public.who_data VALUES (23613, 0, 4533, 0, 158, 100, 218);
INSERT INTO public.who_data VALUES (23614, 7, 1263, 0, 69, 100, 191);
INSERT INTO public.who_data VALUES (23615, 212, 64728, 0, 1162, 100, 156);
INSERT INTO public.who_data VALUES (23616, 0, 0, 0, 0, 100, 135);
INSERT INTO public.who_data VALUES (23617, 0, 100, 0, 2, 100, 88);
INSERT INTO public.who_data VALUES (23618, 1295, 43835, 26, 1238, 100, 55);
INSERT INTO public.who_data VALUES (23619, 618, 26503, 6, 291, 100, 108);
INSERT INTO public.who_data VALUES (23620, 823, 72967, 5, 617, 100, 48);
INSERT INTO public.who_data VALUES (23621, 256, 119442, 5, 1326, 100, 3);
INSERT INTO public.who_data VALUES (23622, 0, 741, 0, 13, 100, 224);
INSERT INTO public.who_data VALUES (23623, 1808, 349992, 34, 7055, 100, 110);
INSERT INTO public.who_data VALUES (23624, 0, 0, 0, 0, 100, 106);
INSERT INTO public.who_data VALUES (23625, 1163, 142465, 6, 2823, 100, 89);
INSERT INTO public.who_data VALUES (23626, 1, 600, 0, 7, 100, 121);
INSERT INTO public.who_data VALUES (23627, 609, 69106, 16, 1532, 100, 163);
INSERT INTO public.who_data VALUES (23628, 2575, 928006, 39, 35031, 100, 70);
INSERT INTO public.who_data VALUES (23629, 1404, 402820, 11, 7721, 100, 174);
INSERT INTO public.who_data VALUES (23630, 0, 0, 0, 0, 100, 175);
INSERT INTO public.who_data VALUES (23631, 22683, 641496, 275, 9080, 100, 118);
INSERT INTO public.who_data VALUES (23632, 5839, 198011, 78, 3181, 100, 189);
INSERT INTO public.who_data VALUES (23633, 1332, 40452, 8, 909, 100, 124);
INSERT INTO public.who_data VALUES (23634, 245, 135132, 1, 234, 100, 192);
INSERT INTO public.who_data VALUES (23635, 191, 28131, 1, 488, 100, 41);
INSERT INTO public.who_data VALUES (23636, 1331, 86038, 19, 1969, 100, 95);
INSERT INTO public.who_data VALUES (23637, 0, 6735, 0, 28, 100, 74);
INSERT INTO public.who_data VALUES (23638, 10142, 334236, 121, 8510, 100, 11);
INSERT INTO public.who_data VALUES (23639, 21983, 1880551, 411, 32443, 100, 87);
INSERT INTO public.who_data VALUES (23640, 7, 5319, 0, 41, 100, 214);
INSERT INTO public.who_data VALUES (23641, 0, 5, 0, 0, 100, 116);
INSERT INTO public.who_data VALUES (23642, 19, 109, 0, 0, 100, 157);
INSERT INTO public.who_data VALUES (23643, 0, 0, 0, 0, 100, 182);
INSERT INTO public.who_data VALUES (23644, 0, 19, 0, 0, 100, 186);
INSERT INTO public.who_data VALUES (23645, 8, 156, 0, 2, 100, 127);
INSERT INTO public.who_data VALUES (23646, 51, 655, 0, 12, 100, 232);
INSERT INTO public.who_data VALUES (23647, 0, 14, 0, 0, 100, 33);
INSERT INTO public.who_data VALUES (23648, 1, 77, 0, 0, 100, 97);
INSERT INTO public.who_data VALUES (23649, 0, 0, 0, 0, 100, 42);
INSERT INTO public.who_data VALUES (23650, 44, 1234, 0, 42, 100, 198);
INSERT INTO public.who_data VALUES (23651, 1, 963, 0, 16, 100, 216);
INSERT INTO public.who_data VALUES (23652, 311, 352160, 15, 5605, 100, 164);
INSERT INTO public.who_data VALUES (23653, 9, 15744, 0, 326, 100, 235);
INSERT INTO public.who_data VALUES (23654, 3341, 73765, 19, 955, 100, 67);
INSERT INTO public.who_data VALUES (23655, 0, 158, 0, 0, 100, 15);
INSERT INTO public.who_data VALUES (23656, 0, 2386, 0, 74, 100, 180);
INSERT INTO public.who_data VALUES (23657, 11, 58102, 0, 28, 100, 237);
INSERT INTO public.who_data VALUES (23658, 0, 14, 0, 0, 100, 25);
INSERT INTO public.who_data VALUES (23659, 0, 908, 0, 23, 100, 209);
INSERT INTO public.who_data VALUES (23660, 2058, 79181, 24, 414, 100, 217);
INSERT INTO public.who_data VALUES (23661, 1932, 50905, 49, 765, 100, 79);
INSERT INTO public.who_data VALUES (23662, 0, 16, 0, 0, 100, 143);
INSERT INTO public.who_data VALUES (23663, 0, 4301, 0, 107, 100, 229);
INSERT INTO public.who_data VALUES (23664, 2338, 744732, 65, 20076, 100, 141);
INSERT INTO public.who_data VALUES (23665, 20, 2980, 0, 59, 100, 197);
INSERT INTO public.who_data VALUES (23666, 20207, 1530283, 332, 42509, 100, 221);
INSERT INTO public.who_data VALUES (23667, 635, 15350, 5, 46, 100, 150);
INSERT INTO public.who_data VALUES (23668, 97, 14498, 0, 1116, 100, 56);
INSERT INTO public.who_data VALUES (23669, 9, 5254, 0, 113, 100, 167);
INSERT INTO public.who_data VALUES (23670, 5709, 172665, 27, 6304, 100, 23);
INSERT INTO public.who_data VALUES (23671, 5962, 259445, 102, 3256, 100, 222);
INSERT INTO public.who_data VALUES (23672, 65, 6486, 4, 333, 100, 219);
INSERT INTO public.who_data VALUES (23673, 40, 11496, 0, 84, 100, 7);
INSERT INTO public.who_data VALUES (23674, 9, 3861, 0, 60, 100, 161);
INSERT INTO public.who_data VALUES (23675, 33470, 1290199, 563, 50928, 100, 149);
INSERT INTO public.who_data VALUES (23676, 0, 30, 0, 0, 100, 6);
INSERT INTO public.who_data VALUES (23677, 47, 2605, 3, 60, 100, 139);
INSERT INTO public.who_data VALUES (23678, 0, 0, 0, 0, 100, 211);
INSERT INTO public.who_data VALUES (23679, 0, 0, 0, 0, 100, 14);
INSERT INTO public.who_data VALUES (23680, 24, 5904, 0, 111, 100, 111);
INSERT INTO public.who_data VALUES (23681, 1584, 76106, 51, 2151, 100, 207);
INSERT INTO public.who_data VALUES (23682, 9571, 1131734, 88, 11233, 100, 66);
INSERT INTO public.who_data VALUES (23683, 0, 0, 0, 0, 100, 173);
INSERT INTO public.who_data VALUES (23684, 5, 716, 0, 6, 100, 145);
INSERT INTO public.who_data VALUES (23685, 0, 0, 0, 0, 100, 65);
INSERT INTO public.who_data VALUES (23686, 224, 15217, 4, 143, 100, 184);
INSERT INTO public.who_data VALUES (23687, 11787, 512652, 172, 9317, 100, 98);
INSERT INTO public.who_data VALUES (23688, 1136, 146735, 3, 523, 100, 104);
INSERT INTO public.who_data VALUES (23689, 0, 509, 0, 21, 100, 73);
INSERT INTO public.who_data VALUES (23690, 142076, 10266631, 1471, 240044, 100, 8);
INSERT INTO public.who_data VALUES (23691, 0, 1413, 0, 23, 100, 227);
INSERT INTO public.who_data VALUES (23692, 80, 3700, 1, 63, 100, 75);
INSERT INTO public.who_data VALUES (23693, 283, 69680, 3, 594, 100, 45);
INSERT INTO public.who_data VALUES (23694, 0, 1, 0, 0, 100, 133);
INSERT INTO public.who_data VALUES (23695, 305, 95750, 4, 838, 100, 202);
INSERT INTO public.who_data VALUES (23696, 1, 1253, 0, 35, 100, 129);
INSERT INTO public.who_data VALUES (23697, 0, 1, 0, 0, 100, 36);
INSERT INTO public.who_data VALUES (23698, 2, 2072, 1, 603, 100, 51);
INSERT INTO public.who_data VALUES (23699, 20, 17056, 0, 350, 100, 206);
INSERT INTO public.who_data VALUES (23700, 29, 8696, 0, 255, 100, 5);
INSERT INTO public.who_data VALUES (23701, 146, 42609, 4, 1581, 101, 103);
INSERT INTO public.who_data VALUES (23702, 507, 25801, 11, 590, 101, 58);
INSERT INTO public.who_data VALUES (23703, 811, 64257, 16, 2093, 101, 195);
INSERT INTO public.who_data VALUES (23704, 0, 0, 0, 0, 101, 115);
INSERT INTO public.who_data VALUES (23705, 90, 5567, 0, 75, 101, 99);
INSERT INTO public.who_data VALUES (23706, 137, 12953, 4, 312, 101, 153);
INSERT INTO public.who_data VALUES (23707, 0, 3, 0, 0, 101, 93);
INSERT INTO public.who_data VALUES (23708, 0, 131, 0, 3, 101, 84);
INSERT INTO public.who_data VALUES (23709, 11977, 1262476, 276, 34183, 101, 78);
INSERT INTO public.who_data VALUES (23710, 2132, 111993, 32, 1663, 101, 170);
INSERT INTO public.who_data VALUES (23711, 16, 4622, 1, 42, 101, 32);
INSERT INTO public.who_data VALUES (23712, 8, 27686, 0, 907, 101, 155);
INSERT INTO public.who_data VALUES (23713, 9643, 171694, 55, 1473, 101, 82);
INSERT INTO public.who_data VALUES (23714, 1202, 68594, 18, 885, 101, 16);
INSERT INTO public.who_data VALUES (23715, 48, 7060, 0, 154, 101, 72);
INSERT INTO public.who_data VALUES (23716, 231, 84042, 1, 332, 101, 43);
INSERT INTO public.who_data VALUES (23717, 1733, 425353, 19, 6127, 101, 120);
INSERT INTO public.who_data VALUES (23718, 0, 243, 0, 7, 101, 213);
INSERT INTO public.who_data VALUES (23719, 1057, 109357, 6, 1022, 101, 31);
INSERT INTO public.who_data VALUES (23720, 2004, 523823, 194, 14015, 101, 204);
INSERT INTO public.who_data VALUES (23721, 184, 4414, 2, 73, 101, 152);
INSERT INTO public.who_data VALUES (23722, 0, 2844, 0, 43, 101, 144);
INSERT INTO public.who_data VALUES (23723, 1, 215, 0, 9, 101, 96);
INSERT INTO public.who_data VALUES (23724, 0, 364, 0, 0, 101, 47);
INSERT INTO public.who_data VALUES (23725, 103, 142664, 6, 8808, 101, 80);
INSERT INTO public.who_data VALUES (23726, 1, 136, 0, 3, 101, 159);
INSERT INTO public.who_data VALUES (23727, 1540, 66565, 72, 1701, 101, 27);
INSERT INTO public.who_data VALUES (23728, 0, 7835, 0, 27, 101, 146);
INSERT INTO public.who_data VALUES (23729, 25012, 5700044, 201, 162829, 101, 71);
INSERT INTO public.who_data VALUES (23730, 0, 72, 0, 1, 101, 210);
INSERT INTO public.who_data VALUES (23731, 0, 148, 0, 3, 101, 54);
INSERT INTO public.who_data VALUES (23732, 3945, 87311, 47, 1898, 101, 147);
INSERT INTO public.who_data VALUES (23733, 4, 2586, 0, 67, 101, 2);
INSERT INTO public.who_data VALUES (23734, 3, 623, 0, 1, 101, 105);
INSERT INTO public.who_data VALUES (23735, 61, 9560, 1, 102, 101, 53);
INSERT INTO public.who_data VALUES (23736, 0, 301, 0, 0, 101, 81);
INSERT INTO public.who_data VALUES (23737, 0, 22490, 0, 433, 101, 223);
INSERT INTO public.who_data VALUES (23738, 4302, 273037, 68, 10632, 101, 94);
INSERT INTO public.who_data VALUES (23739, 0, 253, 0, 1, 101, 154);
INSERT INTO public.who_data VALUES (23740, 4, 4888, 0, 62, 101, 83);
INSERT INTO public.who_data VALUES (23741, 4, 1565, 0, 99, 101, 194);
INSERT INTO public.who_data VALUES (23742, 897, 524804, 22, 14633, 101, 136);
INSERT INTO public.who_data VALUES (23743, 37, 92336, 0, 4749, 101, 179);
INSERT INTO public.who_data VALUES (23744, 7612, 1156675, 174, 33148, 101, 57);
INSERT INTO public.who_data VALUES (23745, 6, 569, 0, 7, 101, 35);
INSERT INTO public.who_data VALUES (23746, 0, 5379, 0, 92, 101, 228);
INSERT INTO public.who_data VALUES (23747, 0, 0, 0, 0, 101, 19);
INSERT INTO public.who_data VALUES (23748, 979, 118566, 11, 1502, 101, 22);
INSERT INTO public.who_data VALUES (23749, 8, 20855, 1, 127, 101, 1);
INSERT INTO public.who_data VALUES (23750, 2597, 72840, 28, 893, 101, 21);
INSERT INTO public.who_data VALUES (23751, 37, 7429, 0, 130, 101, 234);
INSERT INTO public.who_data VALUES (23752, 29, 1131, 0, 2, 101, 91);
INSERT INTO public.who_data VALUES (23753, 165, 6461, 3, 32, 101, 137);
INSERT INTO public.who_data VALUES (23754, 8925, 438805, 247, 5570, 101, 201);
INSERT INTO public.who_data VALUES (23755, 0, 0, 0, 0, 101, 171);
INSERT INTO public.who_data VALUES (23756, 14, 11655, 0, 316, 101, 92);
INSERT INTO public.who_data VALUES (23757, 994, 57952, 3, 753, 101, 112);
INSERT INTO public.who_data VALUES (23758, 2, 5635, 0, 61, 101, 62);
INSERT INTO public.who_data VALUES (23759, 0, 63, 0, 0, 101, 69);
INSERT INTO public.who_data VALUES (23760, 134, 131265, 3, 2272, 101, 220);
INSERT INTO public.who_data VALUES (23761, 919, 176630, 71, 12920, 101, 100);
INSERT INTO public.who_data VALUES (23762, 227, 109881, 11, 6405, 101, 187);
INSERT INTO public.who_data VALUES (23763, 0, 35145, 4, 1024, 101, 63);
INSERT INTO public.who_data VALUES (23764, 2, 5104, 0, 85, 101, 28);
INSERT INTO public.who_data VALUES (23765, 0, 491, 0, 0, 101, 172);
INSERT INTO public.who_data VALUES (23766, 132, 6508, 0, 76, 101, 17);
INSERT INTO public.who_data VALUES (23767, 20, 6044, 0, 117, 101, 226);
INSERT INTO public.who_data VALUES (23768, 400, 100727, 8, 1545, 101, 236);
INSERT INTO public.who_data VALUES (23769, 0, 14, 0, 0, 101, 76);
INSERT INTO public.who_data VALUES (23770, 0, 497, 0, 0, 101, 30);
INSERT INTO public.who_data VALUES (23771, 1, 35, 0, 2, 101, 128);
INSERT INTO public.who_data VALUES (23772, 238, 18345, 2, 365, 101, 86);
INSERT INTO public.who_data VALUES (23773, 34971, 1829688, 318, 42203, 101, 140);
INSERT INTO public.who_data VALUES (23774, 33, 10762, 0, 70, 101, 44);
INSERT INTO public.who_data VALUES (23775, 345, 11316, 0, 52, 101, 113);
INSERT INTO public.who_data VALUES (23776, 19, 9048, 0, 57, 101, 29);
INSERT INTO public.who_data VALUES (23777, 12, 3697, 0, 122, 101, 125);
INSERT INTO public.who_data VALUES (23778, 3120, 69681, 33, 599, 101, 131);
INSERT INTO public.who_data VALUES (23779, 21866, 727553, 215, 11982, 101, 46);
INSERT INTO public.who_data VALUES (23780, 0, 49302, 0, 320, 101, 10);
INSERT INTO public.who_data VALUES (23781, 9, 814, 0, 0, 101, 205);
INSERT INTO public.who_data VALUES (23782, 2751, 63321, 43, 909, 101, 50);
INSERT INTO public.who_data VALUES (23783, 0, 17, 0, 0, 101, 20);
INSERT INTO public.who_data VALUES (23784, 0, 32, 0, 0, 101, 13);
INSERT INTO public.who_data VALUES (23785, 195, 8098, 6, 139, 101, 148);
INSERT INTO public.who_data VALUES (23786, 101, 5653, 0, 91, 101, 230);
INSERT INTO public.who_data VALUES (23787, 682, 112811, 13, 3845, 101, 190);
INSERT INTO public.who_data VALUES (23788, 3, 282, 0, 13, 101, 188);
INSERT INTO public.who_data VALUES (23789, 25, 12484, 0, 74, 101, 123);
INSERT INTO public.who_data VALUES (23790, 5, 2419, 1, 43, 101, 9);
INSERT INTO public.who_data VALUES (23791, 6, 4530, 2, 137, 101, 102);
INSERT INTO public.who_data VALUES (23792, 15, 9152, 0, 232, 101, 34);
INSERT INTO public.who_data VALUES (23793, 0, 26, 0, 0, 101, 212);
INSERT INTO public.who_data VALUES (23794, 231, 100804, 15, 2780, 101, 122);
INSERT INTO public.who_data VALUES (23795, 3927, 126790, 87, 2784, 101, 38);
INSERT INTO public.who_data VALUES (23796, 28, 5142, 0, 24, 101, 130);
INSERT INTO public.who_data VALUES (23797, 47905, 8683916, 550, 128121, 101, 37);
INSERT INTO public.who_data VALUES (23798, 3770, 448118, 75, 14836, 101, 231);
INSERT INTO public.who_data VALUES (23799, 11780, 715068, 462, 39664, 101, 107);
INSERT INTO public.who_data VALUES (23800, 3198, 508508, 50, 11482, 101, 101);
INSERT INTO public.who_data VALUES (23801, 358, 66247, 2, 1965, 101, 132);
INSERT INTO public.who_data VALUES (23802, 2, 359, 0, 25, 101, 176);
INSERT INTO public.who_data VALUES (23803, 675, 320821, 10, 2703, 101, 200);
INSERT INTO public.who_data VALUES (23804, 32961, 1028424, 623, 42953, 101, 169);
INSERT INTO public.who_data VALUES (23805, 8, 9581, 1, 225, 101, 225);
INSERT INTO public.who_data VALUES (23806, 1555, 111711, 10, 1851, 101, 165);
INSERT INTO public.who_data VALUES (23807, 18, 690, 0, 32, 101, 233);
INSERT INTO public.who_data VALUES (23808, 5419, 126401, 81, 1467, 101, 215);
INSERT INTO public.who_data VALUES (23809, 817, 158853, 0, 2306, 101, 177);
INSERT INTO public.who_data VALUES (23810, 1216, 65804, 26, 1180, 101, 183);
INSERT INTO public.who_data VALUES (23811, 0, 0, 0, 0, 101, 203);
INSERT INTO public.who_data VALUES (23812, 733, 26078, 4, 767, 101, 162);
INSERT INTO public.who_data VALUES (23813, 778, 134159, 5, 826, 101, 12);
INSERT INTO public.who_data VALUES (23814, 527, 64887, 5, 1193, 101, 24);
INSERT INTO public.who_data VALUES (23815, 0, 24, 0, 0, 101, 119);
INSERT INTO public.who_data VALUES (23816, 453, 8848, 0, 103, 101, 39);
INSERT INTO public.who_data VALUES (23817, 1922, 98829, 14, 763, 101, 26);
INSERT INTO public.who_data VALUES (23818, 0, 1967, 0, 44, 101, 59);
INSERT INTO public.who_data VALUES (23819, 0, 1461, 0, 82, 101, 77);
INSERT INTO public.who_data VALUES (23820, 875, 70885, 13, 970, 101, 134);
INSERT INTO public.who_data VALUES (23821, 23, 947, 0, 4, 101, 4);
INSERT INTO public.who_data VALUES (23822, 1555, 29771, 11, 251, 101, 109);
INSERT INTO public.who_data VALUES (23823, 483, 23710, 5, 198, 101, 90);
INSERT INTO public.who_data VALUES (23824, 0, 17233, 0, 249, 101, 61);
INSERT INTO public.who_data VALUES (23825, 2, 5955, 0, 185, 101, 85);
INSERT INTO public.who_data VALUES (23826, 822, 42872, 2, 302, 101, 49);
INSERT INTO public.who_data VALUES (23827, 29, 12059, 0, 41, 101, 208);
INSERT INTO public.who_data VALUES (23828, 8, 3753, 1, 138, 101, 166);
INSERT INTO public.who_data VALUES (23829, 141, 7526, 3, 82, 101, 64);
INSERT INTO public.who_data VALUES (23830, 0, 1, 0, 0, 101, 199);
INSERT INTO public.who_data VALUES (23831, 517, 4732, 4, 37, 101, 114);
INSERT INTO public.who_data VALUES (23832, 37, 7885, 0, 165, 101, 60);
INSERT INTO public.who_data VALUES (23833, 0, 467, 0, 10, 101, 68);
INSERT INTO public.who_data VALUES (23834, 0, 4815, 0, 46, 101, 158);
INSERT INTO public.who_data VALUES (23835, 5746, 978531, 617, 95842, 101, 52);
INSERT INTO public.who_data VALUES (23836, 0, 0, 0, 0, 101, 117);
INSERT INTO public.who_data VALUES (23837, 12, 527, 0, 2, 101, 126);
INSERT INTO public.who_data VALUES (23838, 8, 382, 0, 0, 101, 196);
INSERT INTO public.who_data VALUES (23839, 666, 26053, 8, 363, 101, 142);
INSERT INTO public.who_data VALUES (23840, 0, 13, 0, 1, 101, 185);
INSERT INTO public.who_data VALUES (23841, 5461, 270626, 81, 4506, 101, 138);
INSERT INTO public.who_data VALUES (23842, 99, 13991, 5, 104, 101, 181);
INSERT INTO public.who_data VALUES (23843, 1212, 64453, 19, 1480, 101, 178);
INSERT INTO public.who_data VALUES (23844, 39, 13292, 0, 134, 101, 168);
INSERT INTO public.who_data VALUES (23845, 0, 0, 0, 0, 101, 160);
INSERT INTO public.who_data VALUES (23846, 2569, 202329, 26, 1174, 101, 151);
INSERT INTO public.who_data VALUES (23847, 5384, 423644, 76, 8199, 101, 193);
INSERT INTO public.who_data VALUES (23848, 0, 29, 0, 0, 101, 18);
INSERT INTO public.who_data VALUES (23849, 3, 1635, 0, 25, 101, 40);
INSERT INTO public.who_data VALUES (23850, 0, 4533, 0, 158, 101, 218);
INSERT INTO public.who_data VALUES (23851, 0, 1256, 0, 69, 101, 191);
INSERT INTO public.who_data VALUES (23852, 180, 64516, 2, 1162, 101, 156);
INSERT INTO public.who_data VALUES (23853, 0, 0, 0, 0, 101, 135);
INSERT INTO public.who_data VALUES (23854, 0, 100, 0, 2, 101, 88);
INSERT INTO public.who_data VALUES (23855, 1318, 42540, 26, 1212, 101, 55);
INSERT INTO public.who_data VALUES (23856, 564, 25885, 0, 285, 101, 108);
INSERT INTO public.who_data VALUES (23857, 643, 72144, 5, 612, 101, 48);
INSERT INTO public.who_data VALUES (23858, 302, 119186, 5, 1321, 101, 3);
INSERT INTO public.who_data VALUES (23859, 0, 741, 0, 13, 101, 224);
INSERT INTO public.who_data VALUES (23860, 1708, 348184, 21, 7021, 101, 110);
INSERT INTO public.who_data VALUES (23861, 0, 0, 0, 0, 101, 106);
INSERT INTO public.who_data VALUES (23862, 971, 141302, 9, 2817, 101, 89);
INSERT INTO public.who_data VALUES (23863, 0, 599, 0, 7, 101, 121);
INSERT INTO public.who_data VALUES (23864, 549, 68497, 14, 1516, 101, 163);
INSERT INTO public.who_data VALUES (23865, 1904, 925431, 49, 34992, 101, 70);
INSERT INTO public.who_data VALUES (23866, 1667, 401416, 49, 7710, 101, 174);
INSERT INTO public.who_data VALUES (23867, 0, 0, 0, 0, 101, 175);
INSERT INTO public.who_data VALUES (23868, 25221, 618813, 430, 8805, 101, 118);
INSERT INTO public.who_data VALUES (23869, 4935, 192172, 82, 3103, 101, 189);
INSERT INTO public.who_data VALUES (23870, 264, 39120, 12, 901, 101, 124);
INSERT INTO public.who_data VALUES (23871, 224, 134887, 0, 233, 101, 192);
INSERT INTO public.who_data VALUES (23872, 143, 27940, 0, 487, 101, 41);
INSERT INTO public.who_data VALUES (23873, 1115, 84707, 20, 1950, 101, 95);
INSERT INTO public.who_data VALUES (23874, 163, 6735, 0, 28, 101, 74);
INSERT INTO public.who_data VALUES (23875, 9799, 324094, 203, 8389, 101, 11);
INSERT INTO public.who_data VALUES (23876, 21608, 1858568, 439, 32032, 101, 87);
INSERT INTO public.who_data VALUES (23877, 50, 5312, 1, 41, 101, 214);
INSERT INTO public.who_data VALUES (23878, 0, 5, 0, 0, 101, 116);
INSERT INTO public.who_data VALUES (23879, 0, 90, 0, 0, 101, 157);
INSERT INTO public.who_data VALUES (23880, 0, 0, 0, 0, 101, 182);
INSERT INTO public.who_data VALUES (23881, 0, 19, 0, 0, 101, 186);
INSERT INTO public.who_data VALUES (23882, 6, 148, 1, 2, 101, 127);
INSERT INTO public.who_data VALUES (23883, 0, 604, 0, 12, 101, 232);
INSERT INTO public.who_data VALUES (23884, 0, 14, 0, 0, 101, 33);
INSERT INTO public.who_data VALUES (23885, 0, 76, 0, 0, 101, 97);
INSERT INTO public.who_data VALUES (23886, 0, 0, 0, 0, 101, 42);
INSERT INTO public.who_data VALUES (23887, 35, 1190, 0, 42, 101, 198);
INSERT INTO public.who_data VALUES (23888, 0, 962, 0, 16, 101, 216);
INSERT INTO public.who_data VALUES (23889, 394, 351849, 14, 5590, 101, 164);
INSERT INTO public.who_data VALUES (23890, 15, 15735, 0, 326, 101, 235);
INSERT INTO public.who_data VALUES (23891, 3536, 70424, 21, 936, 101, 67);
INSERT INTO public.who_data VALUES (23892, 0, 158, 0, 0, 101, 15);
INSERT INTO public.who_data VALUES (23893, 3, 2386, 0, 74, 101, 180);
INSERT INTO public.who_data VALUES (23894, 18, 58091, 0, 28, 101, 237);
INSERT INTO public.who_data VALUES (23895, 0, 14, 0, 0, 101, 25);
INSERT INTO public.who_data VALUES (23896, 12, 908, 0, 23, 101, 209);
INSERT INTO public.who_data VALUES (23897, 1051, 77123, 24, 390, 101, 217);
INSERT INTO public.who_data VALUES (23898, 2228, 48973, 43, 716, 101, 79);
INSERT INTO public.who_data VALUES (23899, 0, 16, 0, 0, 101, 143);
INSERT INTO public.who_data VALUES (23900, 0, 4301, 0, 107, 101, 229);
INSERT INTO public.who_data VALUES (23901, 2140, 742394, 60, 20011, 101, 141);
INSERT INTO public.who_data VALUES (23902, 0, 2960, 0, 59, 101, 197);
INSERT INTO public.who_data VALUES (23903, 21096, 1510076, 312, 42177, 101, 221);
INSERT INTO public.who_data VALUES (23904, 0, 14715, 0, 41, 101, 150);
INSERT INTO public.who_data VALUES (23905, 55, 14401, 0, 1116, 101, 56);
INSERT INTO public.who_data VALUES (23906, 4, 5245, 0, 113, 101, 167);
INSERT INTO public.who_data VALUES (23907, 4497, 166956, 35, 6277, 101, 23);
INSERT INTO public.who_data VALUES (23908, 6354, 253483, 89, 3154, 101, 222);
INSERT INTO public.who_data VALUES (23909, 69, 6421, 4, 329, 101, 219);
INSERT INTO public.who_data VALUES (23910, 39, 11456, 0, 84, 101, 7);
INSERT INTO public.who_data VALUES (23911, 5, 3852, 0, 60, 101, 161);
INSERT INTO public.who_data VALUES (23912, 22950, 1256729, 595, 50365, 101, 149);
INSERT INTO public.who_data VALUES (23913, 0, 30, 0, 0, 101, 6);
INSERT INTO public.who_data VALUES (23914, 0, 2558, 0, 57, 101, 139);
INSERT INTO public.who_data VALUES (23915, 0, 0, 0, 0, 101, 211);
INSERT INTO public.who_data VALUES (23916, 0, 0, 0, 0, 101, 14);
INSERT INTO public.who_data VALUES (23917, 31, 5880, 0, 111, 101, 111);
INSERT INTO public.who_data VALUES (23918, 1529, 74522, 94, 2100, 101, 207);
INSERT INTO public.who_data VALUES (23919, 9423, 1122163, 86, 11145, 101, 66);
INSERT INTO public.who_data VALUES (23920, 0, 0, 0, 0, 101, 173);
INSERT INTO public.who_data VALUES (23921, 4, 711, 0, 6, 101, 145);
INSERT INTO public.who_data VALUES (23922, 0, 0, 0, 0, 101, 65);
INSERT INTO public.who_data VALUES (23923, 289, 14993, 6, 139, 101, 184);
INSERT INTO public.who_data VALUES (23924, 11057, 500865, 198, 9145, 101, 98);
INSERT INTO public.who_data VALUES (23925, 1214, 145599, 2, 520, 101, 104);
INSERT INTO public.who_data VALUES (23926, 0, 509, 0, 21, 101, 73);
INSERT INTO public.who_data VALUES (23927, 133935, 10124555, 1846, 238573, 101, 8);
INSERT INTO public.who_data VALUES (23928, 3, 1413, 0, 23, 101, 227);
INSERT INTO public.who_data VALUES (23929, 60, 3620, 0, 62, 101, 75);
INSERT INTO public.who_data VALUES (23930, 224, 69397, 2, 591, 101, 45);
INSERT INTO public.who_data VALUES (23931, 0, 1, 0, 0, 101, 133);
INSERT INTO public.who_data VALUES (23932, 296, 95445, 4, 834, 101, 202);
INSERT INTO public.who_data VALUES (23933, 26, 1252, 0, 35, 101, 129);
INSERT INTO public.who_data VALUES (23934, 0, 1, 0, 0, 101, 36);
INSERT INTO public.who_data VALUES (23935, 0, 2070, 0, 602, 101, 51);
INSERT INTO public.who_data VALUES (23936, 39, 17036, 0, 350, 101, 206);
INSERT INTO public.who_data VALUES (23937, 57, 8667, 0, 255, 101, 5);
INSERT INTO public.who_data VALUES (23938, 166, 42463, 3, 1577, 102, 103);
INSERT INTO public.who_data VALUES (23939, 563, 25294, 8, 579, 102, 58);
INSERT INTO public.who_data VALUES (23940, 753, 63446, 15, 2077, 102, 195);
INSERT INTO public.who_data VALUES (23941, 0, 0, 0, 0, 102, 115);
INSERT INTO public.who_data VALUES (23942, 40, 5477, 0, 75, 102, 99);
INSERT INTO public.who_data VALUES (23943, 136, 12816, 0, 308, 102, 153);
INSERT INTO public.who_data VALUES (23944, 0, 3, 0, 0, 102, 93);
INSERT INTO public.who_data VALUES (23945, 0, 131, 0, 3, 102, 84);
INSERT INTO public.who_data VALUES (23946, 8317, 1250499, 347, 33907, 102, 78);
INSERT INTO public.who_data VALUES (23947, 1861, 109861, 27, 1631, 102, 170);
INSERT INTO public.who_data VALUES (23948, 6, 4606, 1, 41, 102, 32);
INSERT INTO public.who_data VALUES (23949, 10, 27678, 0, 907, 102, 155);
INSERT INTO public.who_data VALUES (23950, 3839, 162051, 35, 1418, 102, 82);
INSERT INTO public.who_data VALUES (23951, 1346, 67392, 15, 867, 102, 16);
INSERT INTO public.who_data VALUES (23952, 28, 7012, 0, 154, 102, 72);
INSERT INTO public.who_data VALUES (23953, 179, 83811, 2, 331, 102, 43);
INSERT INTO public.who_data VALUES (23954, 1699, 423620, 16, 6108, 102, 120);
INSERT INTO public.who_data VALUES (23955, 0, 243, 0, 7, 102, 213);
INSERT INTO public.who_data VALUES (23956, 1038, 108300, 5, 1016, 102, 31);
INSERT INTO public.who_data VALUES (23957, 7701, 521819, 217, 13821, 102, 204);
INSERT INTO public.who_data VALUES (23958, 54, 4230, 1, 71, 102, 152);
INSERT INTO public.who_data VALUES (23959, 63, 2844, 0, 43, 102, 144);
INSERT INTO public.who_data VALUES (23960, 0, 214, 0, 9, 102, 96);
INSERT INTO public.who_data VALUES (23961, 0, 364, 0, 0, 102, 47);
INSERT INTO public.who_data VALUES (23962, 86, 142561, 7, 8802, 102, 80);
INSERT INTO public.who_data VALUES (23963, 0, 135, 0, 3, 102, 159);
INSERT INTO public.who_data VALUES (23964, 1605, 65025, 46, 1629, 102, 27);
INSERT INTO public.who_data VALUES (23965, 0, 7835, 0, 27, 102, 146);
INSERT INTO public.who_data VALUES (23966, 10917, 5675032, 231, 162628, 102, 71);
INSERT INTO public.who_data VALUES (23967, 0, 72, 0, 1, 102, 210);
INSERT INTO public.who_data VALUES (23968, 0, 148, 0, 3, 102, 54);
INSERT INTO public.who_data VALUES (23969, 4390, 83366, 80, 1851, 102, 147);
INSERT INTO public.who_data VALUES (23970, 1, 2582, 0, 67, 102, 2);
INSERT INTO public.who_data VALUES (23971, 5, 620, 0, 1, 102, 105);
INSERT INTO public.who_data VALUES (23972, 80, 9499, 1, 101, 102, 53);
INSERT INTO public.who_data VALUES (23973, 1, 301, 0, 0, 102, 81);
INSERT INTO public.who_data VALUES (23974, 110, 22490, 2, 433, 102, 223);
INSERT INTO public.who_data VALUES (23975, 4622, 268735, 42, 10564, 102, 94);
INSERT INTO public.who_data VALUES (23976, 3, 253, 0, 1, 102, 154);
INSERT INTO public.who_data VALUES (23977, 0, 4884, 0, 62, 102, 83);
INSERT INTO public.who_data VALUES (23978, 10, 1561, 0, 99, 102, 194);
INSERT INTO public.who_data VALUES (23979, 1028, 523907, 23, 14611, 102, 136);
INSERT INTO public.who_data VALUES (23980, 28, 92299, 1, 4749, 102, 179);
INSERT INTO public.who_data VALUES (23981, 5176, 1149063, 183, 32974, 102, 57);
INSERT INTO public.who_data VALUES (23982, 0, 563, 0, 7, 102, 35);
INSERT INTO public.who_data VALUES (23983, 0, 5379, 0, 92, 102, 228);
INSERT INTO public.who_data VALUES (23984, 0, 0, 0, 0, 102, 19);
INSERT INTO public.who_data VALUES (23985, 488, 117587, 15, 1491, 102, 22);
INSERT INTO public.who_data VALUES (23986, 15, 20847, 0, 126, 102, 1);
INSERT INTO public.who_data VALUES (23987, 1467, 70243, 33, 865, 102, 21);
INSERT INTO public.who_data VALUES (23988, 43, 7392, 0, 130, 102, 234);
INSERT INTO public.who_data VALUES (23989, 5, 1102, 0, 2, 102, 91);
INSERT INTO public.who_data VALUES (23990, 198, 6296, 2, 29, 102, 137);
INSERT INTO public.who_data VALUES (23991, 9005, 429880, 249, 5323, 102, 201);
INSERT INTO public.who_data VALUES (23992, 0, 0, 0, 0, 102, 171);
INSERT INTO public.who_data VALUES (23993, 34, 11641, 0, 316, 102, 92);
INSERT INTO public.who_data VALUES (23994, 1066, 56958, 3, 750, 102, 112);
INSERT INTO public.who_data VALUES (23995, 6, 5633, 0, 61, 102, 62);
INSERT INTO public.who_data VALUES (23996, 0, 63, 0, 0, 102, 69);
INSERT INTO public.who_data VALUES (23997, 528, 131131, 2, 2269, 102, 220);
INSERT INTO public.who_data VALUES (23998, 442, 175711, 10, 12849, 102, 100);
INSERT INTO public.who_data VALUES (23999, 232, 109654, 14, 6394, 102, 187);
INSERT INTO public.who_data VALUES (24000, 0, 35145, 6, 1020, 102, 63);
INSERT INTO public.who_data VALUES (24001, 10, 5102, 0, 85, 102, 28);
INSERT INTO public.who_data VALUES (24002, 0, 491, 0, 0, 102, 172);
INSERT INTO public.who_data VALUES (24003, 126, 6376, 0, 76, 102, 17);
INSERT INTO public.who_data VALUES (24004, 11, 6024, 0, 117, 102, 226);
INSERT INTO public.who_data VALUES (24005, 345, 100327, 7, 1537, 102, 236);
INSERT INTO public.who_data VALUES (24006, 1, 14, 0, 0, 102, 76);
INSERT INTO public.who_data VALUES (24007, 0, 497, 0, 0, 102, 30);
INSERT INTO public.who_data VALUES (24008, 0, 34, 0, 2, 102, 128);
INSERT INTO public.who_data VALUES (24009, 220, 18107, 0, 363, 102, 86);
INSERT INTO public.who_data VALUES (24010, 22166, 1794717, 1220, 41885, 102, 140);
INSERT INTO public.who_data VALUES (24011, 14, 10729, 0, 70, 102, 44);
INSERT INTO public.who_data VALUES (24012, 291, 10971, 3, 52, 102, 113);
INSERT INTO public.who_data VALUES (24013, 0, 9029, 0, 57, 102, 29);
INSERT INTO public.who_data VALUES (24014, 1, 3685, 1, 122, 102, 125);
INSERT INTO public.who_data VALUES (24015, 2911, 66561, 45, 566, 102, 131);
INSERT INTO public.who_data VALUES (24016, 18487, 705687, 261, 11767, 102, 46);
INSERT INTO public.who_data VALUES (24017, 100, 49302, 0, 320, 102, 10);
INSERT INTO public.who_data VALUES (24018, 12, 805, 0, 0, 102, 205);
INSERT INTO public.who_data VALUES (24019, 2383, 60570, 41, 866, 102, 50);
INSERT INTO public.who_data VALUES (24020, 0, 17, 0, 0, 102, 20);
INSERT INTO public.who_data VALUES (24021, 0, 32, 0, 0, 102, 13);
INSERT INTO public.who_data VALUES (24022, 0, 7903, 0, 133, 102, 148);
INSERT INTO public.who_data VALUES (24023, 177, 5552, 1, 91, 102, 230);
INSERT INTO public.who_data VALUES (24024, 769, 112129, 9, 3832, 102, 190);
INSERT INTO public.who_data VALUES (24025, 0, 279, 0, 13, 102, 188);
INSERT INTO public.who_data VALUES (24026, 33, 12459, 0, 74, 102, 123);
INSERT INTO public.who_data VALUES (24027, 0, 2414, 0, 42, 102, 9);
INSERT INTO public.who_data VALUES (24028, 10, 4524, 1, 135, 102, 102);
INSERT INTO public.who_data VALUES (24029, 10, 9137, 0, 232, 102, 34);
INSERT INTO public.who_data VALUES (24030, 0, 26, 0, 0, 102, 212);
INSERT INTO public.who_data VALUES (24031, 65, 100573, 14, 2765, 102, 122);
INSERT INTO public.who_data VALUES (24032, 3945, 122863, 101, 2697, 102, 38);
INSERT INTO public.who_data VALUES (24033, 13, 5114, 1, 24, 102, 130);
INSERT INTO public.who_data VALUES (24034, 44281, 8636011, 512, 127571, 102, 37);
INSERT INTO public.who_data VALUES (24035, 3779, 444348, 72, 14761, 102, 231);
INSERT INTO public.who_data VALUES (24036, 10339, 703288, 453, 39202, 102, 107);
INSERT INTO public.who_data VALUES (24037, 3577, 505310, 52, 11432, 102, 101);
INSERT INTO public.who_data VALUES (24038, 230, 65889, 15, 1963, 102, 132);
INSERT INTO public.who_data VALUES (24039, 0, 357, 0, 25, 102, 176);
INSERT INTO public.who_data VALUES (24040, 719, 320146, 6, 2693, 102, 200);
INSERT INTO public.who_data VALUES (24041, 35090, 995463, 580, 42330, 102, 169);
INSERT INTO public.who_data VALUES (24042, 31, 9573, 3, 224, 102, 225);
INSERT INTO public.who_data VALUES (24043, 1173, 110156, 12, 1841, 102, 165);
INSERT INTO public.who_data VALUES (24044, 29, 672, 0, 32, 102, 233);
INSERT INTO public.who_data VALUES (24045, 5996, 120982, 91, 1386, 102, 215);
INSERT INTO public.who_data VALUES (24046, 775, 158036, 0, 2306, 102, 177);
INSERT INTO public.who_data VALUES (24047, 1344, 64588, 24, 1154, 102, 183);
INSERT INTO public.who_data VALUES (24048, 0, 0, 0, 0, 102, 203);
INSERT INTO public.who_data VALUES (24049, 596, 25345, 5, 763, 102, 162);
INSERT INTO public.who_data VALUES (24050, 903, 133381, 5, 821, 102, 12);
INSERT INTO public.who_data VALUES (24051, 400, 64360, 3, 1188, 102, 24);
INSERT INTO public.who_data VALUES (24052, 0, 24, 0, 0, 102, 119);
INSERT INTO public.who_data VALUES (24053, 208, 8395, 2, 103, 102, 39);
INSERT INTO public.who_data VALUES (24054, 1552, 96907, 17, 749, 102, 26);
INSERT INTO public.who_data VALUES (24055, 0, 1967, 0, 44, 102, 59);
INSERT INTO public.who_data VALUES (24056, 13, 1461, 0, 82, 102, 77);
INSERT INTO public.who_data VALUES (24057, 970, 70010, 13, 957, 102, 134);
INSERT INTO public.who_data VALUES (24058, 35, 924, 0, 4, 102, 4);
INSERT INTO public.who_data VALUES (24059, 1435, 28216, 10, 240, 102, 109);
INSERT INTO public.who_data VALUES (24060, 176, 23227, 5, 193, 102, 90);
INSERT INTO public.who_data VALUES (24061, 0, 17233, 0, 249, 102, 61);
INSERT INTO public.who_data VALUES (24062, 0, 5953, 0, 185, 102, 85);
INSERT INTO public.who_data VALUES (24063, 869, 42050, 6, 300, 102, 49);
INSERT INTO public.who_data VALUES (24064, 21, 12030, 1, 41, 102, 208);
INSERT INTO public.who_data VALUES (24065, 39, 3745, 0, 137, 102, 166);
INSERT INTO public.who_data VALUES (24066, 153, 7385, 4, 79, 102, 64);
INSERT INTO public.who_data VALUES (24067, 0, 1, 0, 0, 102, 199);
INSERT INTO public.who_data VALUES (24068, 0, 4215, 0, 33, 102, 114);
INSERT INTO public.who_data VALUES (24069, 28, 7848, 0, 165, 102, 60);
INSERT INTO public.who_data VALUES (24070, 12, 467, 0, 10, 102, 68);
INSERT INTO public.who_data VALUES (24071, 0, 4815, 0, 46, 102, 158);
INSERT INTO public.who_data VALUES (24072, 4960, 972785, 198, 95225, 102, 52);
INSERT INTO public.who_data VALUES (24073, 0, 0, 0, 0, 102, 117);
INSERT INTO public.who_data VALUES (24074, 22, 515, 0, 2, 102, 126);
INSERT INTO public.who_data VALUES (24075, 6, 374, 0, 0, 102, 196);
INSERT INTO public.who_data VALUES (24076, 719, 25387, 7, 355, 102, 142);
INSERT INTO public.who_data VALUES (24077, 0, 13, 0, 1, 102, 185);
INSERT INTO public.who_data VALUES (24078, 5214, 265165, 69, 4425, 102, 138);
INSERT INTO public.who_data VALUES (24079, 69, 13892, 0, 99, 102, 181);
INSERT INTO public.who_data VALUES (24080, 1266, 63241, 24, 1461, 102, 178);
INSERT INTO public.who_data VALUES (24081, 13, 13253, 0, 134, 102, 168);
INSERT INTO public.who_data VALUES (24082, 0, 0, 0, 0, 102, 160);
INSERT INTO public.who_data VALUES (24083, 2736, 199760, 22, 1148, 102, 151);
INSERT INTO public.who_data VALUES (24084, 4646, 418260, 95, 8123, 102, 193);
INSERT INTO public.who_data VALUES (24085, 0, 29, 0, 0, 102, 18);
INSERT INTO public.who_data VALUES (24086, 1, 1632, 0, 25, 102, 40);
INSERT INTO public.who_data VALUES (24087, 53, 4533, 1, 158, 102, 218);
INSERT INTO public.who_data VALUES (24088, 13, 1256, 0, 69, 102, 191);
INSERT INTO public.who_data VALUES (24089, 152, 64336, 2, 1160, 102, 156);
INSERT INTO public.who_data VALUES (24090, 0, 0, 0, 0, 102, 135);
INSERT INTO public.who_data VALUES (24091, 0, 100, 0, 2, 102, 88);
INSERT INTO public.who_data VALUES (24092, 947, 41222, 30, 1186, 102, 55);
INSERT INTO public.who_data VALUES (24093, 594, 25321, 0, 285, 102, 108);
INSERT INTO public.who_data VALUES (24094, 660, 71501, 14, 607, 102, 48);
INSERT INTO public.who_data VALUES (24095, 381, 118884, 6, 1316, 102, 3);
INSERT INTO public.who_data VALUES (24096, 0, 741, 0, 13, 102, 224);
INSERT INTO public.who_data VALUES (24097, 1637, 346476, 23, 7000, 102, 110);
INSERT INTO public.who_data VALUES (24098, 0, 0, 0, 0, 102, 106);
INSERT INTO public.who_data VALUES (24099, 804, 140331, 10, 2808, 102, 89);
INSERT INTO public.who_data VALUES (24100, 0, 599, 0, 7, 102, 121);
INSERT INTO public.who_data VALUES (24101, 359, 67948, 12, 1502, 102, 163);
INSERT INTO public.who_data VALUES (24102, 1194, 923527, 64, 34943, 102, 70);
INSERT INTO public.who_data VALUES (24103, 1300, 399749, 14, 7661, 102, 174);
INSERT INTO public.who_data VALUES (24104, 0, 0, 0, 0, 102, 175);
INSERT INTO public.who_data VALUES (24105, 25454, 593592, 330, 8375, 102, 118);
INSERT INTO public.who_data VALUES (24106, 3817, 187237, 62, 3021, 102, 189);
INSERT INTO public.who_data VALUES (24107, 275, 38856, 7, 889, 102, 124);
INSERT INTO public.who_data VALUES (24108, 230, 134663, 1, 233, 102, 192);
INSERT INTO public.who_data VALUES (24109, 145, 27797, 2, 487, 102, 41);
INSERT INTO public.who_data VALUES (24110, 915, 83592, 18, 1930, 102, 95);
INSERT INTO public.who_data VALUES (24111, 0, 6572, 0, 28, 102, 74);
INSERT INTO public.who_data VALUES (24112, 7304, 314295, 177, 8186, 102, 11);
INSERT INTO public.who_data VALUES (24113, 19851, 1836960, 432, 31593, 102, 87);
INSERT INTO public.who_data VALUES (24114, 20, 5262, 2, 40, 102, 214);
INSERT INTO public.who_data VALUES (24115, 0, 5, 0, 0, 102, 116);
INSERT INTO public.who_data VALUES (24116, 0, 90, 0, 0, 102, 157);
INSERT INTO public.who_data VALUES (24117, 0, 0, 0, 0, 102, 182);
INSERT INTO public.who_data VALUES (24118, 0, 19, 0, 0, 102, 186);
INSERT INTO public.who_data VALUES (24119, 11, 142, 1, 1, 102, 127);
INSERT INTO public.who_data VALUES (24120, 0, 604, 0, 12, 102, 232);
INSERT INTO public.who_data VALUES (24121, 0, 14, 0, 0, 102, 33);
INSERT INTO public.who_data VALUES (24122, 0, 76, 0, 0, 102, 97);
INSERT INTO public.who_data VALUES (24123, 0, 0, 0, 0, 102, 42);
INSERT INTO public.who_data VALUES (24124, 41, 1155, 0, 42, 102, 198);
INSERT INTO public.who_data VALUES (24125, 0, 962, 0, 16, 102, 216);
INSERT INTO public.who_data VALUES (24126, 471, 351455, 17, 5576, 102, 164);
INSERT INTO public.who_data VALUES (24127, 9, 15720, 0, 326, 102, 235);
INSERT INTO public.who_data VALUES (24128, 2823, 66888, 14, 915, 102, 67);
INSERT INTO public.who_data VALUES (24129, 4, 158, 0, 0, 102, 15);
INSERT INTO public.who_data VALUES (24130, 0, 2383, 0, 74, 102, 180);
INSERT INTO public.who_data VALUES (24131, 9, 58073, 0, 28, 102, 237);
INSERT INTO public.who_data VALUES (24132, 0, 14, 0, 0, 102, 25);
INSERT INTO public.who_data VALUES (24133, 0, 896, 0, 23, 102, 209);
INSERT INTO public.who_data VALUES (24134, 577, 76072, 15, 366, 102, 217);
INSERT INTO public.who_data VALUES (24135, 1089, 46745, 28, 673, 102, 79);
INSERT INTO public.who_data VALUES (24136, 0, 16, 0, 0, 102, 143);
INSERT INTO public.who_data VALUES (24137, 0, 4301, 0, 107, 102, 229);
INSERT INTO public.who_data VALUES (24138, 1729, 740254, 106, 19951, 102, 141);
INSERT INTO public.who_data VALUES (24139, 0, 2960, 0, 59, 102, 197);
INSERT INTO public.who_data VALUES (24140, 17024, 1488980, 284, 41865, 102, 221);
INSERT INTO public.who_data VALUES (24141, 430, 14715, 6, 41, 102, 150);
INSERT INTO public.who_data VALUES (24142, 45, 14346, 0, 1116, 102, 56);
INSERT INTO public.who_data VALUES (24143, 2, 5241, 0, 113, 102, 167);
INSERT INTO public.who_data VALUES (24144, 3725, 162459, 35, 6242, 102, 23);
INSERT INTO public.who_data VALUES (24145, 7387, 247129, 83, 3065, 102, 222);
INSERT INTO public.who_data VALUES (24146, 68, 6352, 4, 325, 102, 219);
INSERT INTO public.who_data VALUES (24147, 41, 11417, 1, 84, 102, 7);
INSERT INTO public.who_data VALUES (24148, 3, 3847, 0, 60, 102, 161);
INSERT INTO public.who_data VALUES (24149, 20412, 1233779, 532, 49770, 102, 149);
INSERT INTO public.who_data VALUES (24150, 0, 30, 0, 0, 102, 6);
INSERT INTO public.who_data VALUES (24151, 42, 2558, 0, 57, 102, 139);
INSERT INTO public.who_data VALUES (24152, 0, 0, 0, 0, 102, 211);
INSERT INTO public.who_data VALUES (24153, 0, 0, 0, 0, 102, 14);
INSERT INTO public.who_data VALUES (24154, 0, 5849, 0, 111, 102, 111);
INSERT INTO public.who_data VALUES (24155, 1424, 72993, 86, 2006, 102, 207);
INSERT INTO public.who_data VALUES (24156, 9259, 1112740, 87, 11059, 102, 66);
INSERT INTO public.who_data VALUES (24157, 0, 0, 0, 0, 102, 173);
INSERT INTO public.who_data VALUES (24158, 0, 707, 0, 6, 102, 145);
INSERT INTO public.who_data VALUES (24159, 0, 0, 0, 0, 102, 65);
INSERT INTO public.who_data VALUES (24160, 130, 14704, 0, 133, 102, 184);
INSERT INTO public.who_data VALUES (24161, 10611, 489808, 191, 8947, 102, 98);
INSERT INTO public.who_data VALUES (24162, 1096, 144385, 3, 518, 102, 104);
INSERT INTO public.who_data VALUES (24163, 0, 509, 0, 21, 102, 73);
INSERT INTO public.who_data VALUES (24164, 122231, 9990620, 685, 236727, 102, 8);
INSERT INTO public.who_data VALUES (24165, 5, 1410, 0, 23, 102, 227);
INSERT INTO public.who_data VALUES (24166, 46, 3560, 0, 62, 102, 75);
INSERT INTO public.who_data VALUES (24167, 146, 69173, 1, 589, 102, 45);
INSERT INTO public.who_data VALUES (24168, 1, 1, 0, 0, 102, 133);
INSERT INTO public.who_data VALUES (24169, 266, 95149, 4, 830, 102, 202);
INSERT INTO public.who_data VALUES (24170, 10, 1226, 0, 35, 102, 129);
INSERT INTO public.who_data VALUES (24171, 0, 1, 0, 0, 102, 36);
INSERT INTO public.who_data VALUES (24172, 0, 2070, 0, 602, 102, 51);
INSERT INTO public.who_data VALUES (24173, 26, 16997, 1, 350, 102, 206);
INSERT INTO public.who_data VALUES (24174, 49, 8610, 1, 255, 102, 5);
INSERT INTO public.who_data VALUES (24175, 138, 42297, 12, 1574, 103, 103);
INSERT INTO public.who_data VALUES (24176, 525, 24731, 12, 571, 103, 58);
INSERT INTO public.who_data VALUES (24177, 2524, 62693, 51, 2062, 103, 195);
INSERT INTO public.who_data VALUES (24178, 0, 0, 0, 0, 103, 115);
INSERT INTO public.who_data VALUES (24179, 54, 5437, 0, 75, 103, 99);
INSERT INTO public.who_data VALUES (24180, 247, 12680, 1, 308, 103, 153);
INSERT INTO public.who_data VALUES (24181, 0, 3, 0, 0, 103, 93);
INSERT INTO public.who_data VALUES (24182, 0, 131, 0, 3, 103, 84);
INSERT INTO public.who_data VALUES (24183, 5331, 1242182, 212, 33560, 103, 78);
INSERT INTO public.who_data VALUES (24184, 1221, 108000, 29, 1604, 103, 170);
INSERT INTO public.who_data VALUES (24185, 36, 4600, 1, 40, 103, 32);
INSERT INTO public.who_data VALUES (24186, 10, 27668, 0, 907, 103, 155);
INSERT INTO public.who_data VALUES (24187, 5704, 158212, 48, 1383, 103, 82);
INSERT INTO public.who_data VALUES (24188, 635, 66046, 12, 852, 103, 16);
INSERT INTO public.who_data VALUES (24189, 37, 6984, 2, 154, 103, 72);
INSERT INTO public.who_data VALUES (24190, 176, 83632, 0, 329, 103, 43);
INSERT INTO public.who_data VALUES (24191, 1683, 421921, 25, 6092, 103, 120);
INSERT INTO public.who_data VALUES (24192, 0, 243, 0, 7, 103, 213);
INSERT INTO public.who_data VALUES (24193, 983, 107262, 4, 1011, 103, 31);
INSERT INTO public.who_data VALUES (24194, 8636, 514118, 194, 13604, 103, 204);
INSERT INTO public.who_data VALUES (24195, 100, 4176, 2, 70, 103, 152);
INSERT INTO public.who_data VALUES (24196, 36, 2781, 0, 43, 103, 144);
INSERT INTO public.who_data VALUES (24197, 5, 214, 0, 9, 103, 96);
INSERT INTO public.who_data VALUES (24198, 5, 364, 0, 0, 103, 47);
INSERT INTO public.who_data VALUES (24199, 48, 142475, 5, 8795, 103, 80);
INSERT INTO public.who_data VALUES (24200, 0, 135, 0, 3, 103, 159);
INSERT INTO public.who_data VALUES (24201, 997, 63420, 73, 1583, 103, 27);
INSERT INTO public.who_data VALUES (24202, 0, 7835, 0, 27, 103, 146);
INSERT INTO public.who_data VALUES (24203, 10554, 5664115, 128, 162397, 103, 71);
INSERT INTO public.who_data VALUES (24204, 0, 72, 0, 1, 103, 210);
INSERT INTO public.who_data VALUES (24205, 0, 148, 0, 3, 103, 54);
INSERT INTO public.who_data VALUES (24206, 3816, 78976, 106, 1771, 103, 147);
INSERT INTO public.who_data VALUES (24207, 12, 2581, 0, 67, 103, 2);
INSERT INTO public.who_data VALUES (24208, 1, 615, 0, 1, 103, 105);
INSERT INTO public.who_data VALUES (24209, 50, 9419, 0, 100, 103, 53);
INSERT INTO public.who_data VALUES (24210, 3, 300, 0, 0, 103, 81);
INSERT INTO public.who_data VALUES (24211, 38, 22380, 2, 431, 103, 223);
INSERT INTO public.who_data VALUES (24212, 4058, 264113, 32, 10522, 103, 94);
INSERT INTO public.who_data VALUES (24213, 0, 250, 0, 1, 103, 154);
INSERT INTO public.who_data VALUES (24214, 4, 4884, 0, 62, 103, 83);
INSERT INTO public.who_data VALUES (24215, 4, 1551, 0, 99, 103, 194);
INSERT INTO public.who_data VALUES (24216, 1321, 522879, 45, 14588, 103, 136);
INSERT INTO public.who_data VALUES (24217, 29, 92271, 0, 4748, 103, 179);
INSERT INTO public.who_data VALUES (24218, 7440, 1143887, 196, 32791, 103, 57);
INSERT INTO public.who_data VALUES (24219, 0, 563, 0, 7, 103, 35);
INSERT INTO public.who_data VALUES (24220, 0, 5379, 0, 92, 103, 228);
INSERT INTO public.who_data VALUES (24221, 0, 0, 0, 0, 103, 19);
INSERT INTO public.who_data VALUES (24222, 736, 117099, 12, 1476, 103, 22);
INSERT INTO public.who_data VALUES (24223, 31, 20832, 0, 126, 103, 1);
INSERT INTO public.who_data VALUES (24224, 1529, 68776, 38, 832, 103, 21);
INSERT INTO public.who_data VALUES (24225, 52, 7349, 0, 130, 103, 234);
INSERT INTO public.who_data VALUES (24226, 67, 1097, 0, 2, 103, 91);
INSERT INTO public.who_data VALUES (24227, 111, 6098, 0, 27, 103, 137);
INSERT INTO public.who_data VALUES (24228, 6047, 420875, 216, 5074, 103, 201);
INSERT INTO public.who_data VALUES (24229, 0, 0, 0, 0, 103, 171);
INSERT INTO public.who_data VALUES (24230, 17, 11607, 0, 316, 103, 92);
INSERT INTO public.who_data VALUES (24231, 771, 55892, 4, 747, 103, 112);
INSERT INTO public.who_data VALUES (24232, 19, 5627, 0, 61, 103, 62);
INSERT INTO public.who_data VALUES (24233, 0, 63, 0, 0, 103, 69);
INSERT INTO public.who_data VALUES (24234, 421, 130603, 2, 2267, 103, 220);
INSERT INTO public.who_data VALUES (24235, 362, 175269, 9, 12839, 103, 100);
INSERT INTO public.who_data VALUES (24236, 221, 109422, 12, 6380, 103, 187);
INSERT INTO public.who_data VALUES (24237, 0, 35145, 4, 1014, 103, 63);
INSERT INTO public.who_data VALUES (24238, 0, 5092, 0, 85, 103, 28);
INSERT INTO public.who_data VALUES (24239, 0, 491, 0, 0, 103, 172);
INSERT INTO public.who_data VALUES (24240, 125, 6250, 1, 76, 103, 17);
INSERT INTO public.who_data VALUES (24241, 10, 6013, 0, 117, 103, 226);
INSERT INTO public.who_data VALUES (24242, 307, 99982, 7, 1530, 103, 236);
INSERT INTO public.who_data VALUES (24243, 0, 13, 0, 0, 103, 76);
INSERT INTO public.who_data VALUES (24244, 0, 497, 0, 0, 103, 30);
INSERT INTO public.who_data VALUES (24245, 0, 34, 0, 2, 103, 128);
INSERT INTO public.who_data VALUES (24246, 90, 17887, 1, 363, 103, 86);
INSERT INTO public.who_data VALUES (24247, 19571, 1772551, 546, 40665, 103, 140);
INSERT INTO public.who_data VALUES (24248, 11, 10715, 0, 70, 103, 44);
INSERT INTO public.who_data VALUES (24249, 685, 10680, 10, 49, 103, 113);
INSERT INTO public.who_data VALUES (24250, 7, 9029, 2, 57, 103, 29);
INSERT INTO public.who_data VALUES (24251, 0, 3684, 1, 121, 103, 125);
INSERT INTO public.who_data VALUES (24252, 2970, 63650, 22, 521, 103, 131);
INSERT INTO public.who_data VALUES (24253, 15332, 687200, 154, 11506, 103, 46);
INSERT INTO public.who_data VALUES (24254, 0, 49202, 0, 320, 103, 10);
INSERT INTO public.who_data VALUES (24255, 8, 793, 0, 0, 103, 205);
INSERT INTO public.who_data VALUES (24256, 1489, 58187, 41, 825, 103, 50);
INSERT INTO public.who_data VALUES (24257, 0, 17, 0, 0, 103, 20);
INSERT INTO public.who_data VALUES (24258, 2, 32, 0, 0, 103, 13);
INSERT INTO public.who_data VALUES (24259, 0, 7903, 0, 133, 103, 148);
INSERT INTO public.who_data VALUES (24260, 221, 5375, 0, 90, 103, 230);
INSERT INTO public.who_data VALUES (24261, 98, 111360, 2, 3823, 103, 190);
INSERT INTO public.who_data VALUES (24262, 0, 279, 0, 13, 103, 188);
INSERT INTO public.who_data VALUES (24263, 12, 12426, 0, 74, 103, 123);
INSERT INTO public.who_data VALUES (24264, 1, 2414, 1, 42, 103, 9);
INSERT INTO public.who_data VALUES (24265, 30, 4514, 0, 134, 103, 102);
INSERT INTO public.who_data VALUES (24266, 0, 9127, 0, 232, 103, 34);
INSERT INTO public.who_data VALUES (24267, 0, 26, 0, 0, 103, 212);
INSERT INTO public.who_data VALUES (24268, 467, 100508, 6, 2751, 103, 122);
INSERT INTO public.who_data VALUES (24269, 4140, 118918, 103, 2596, 103, 38);
INSERT INTO public.who_data VALUES (24270, 23, 5101, 3, 23, 103, 130);
INSERT INTO public.who_data VALUES (24271, 38073, 8591730, 448, 127059, 103, 37);
INSERT INTO public.who_data VALUES (24272, 2853, 440569, 75, 14689, 103, 231);
INSERT INTO public.who_data VALUES (24273, 10463, 692949, 458, 38749, 103, 107);
INSERT INTO public.who_data VALUES (24274, 3184, 501733, 53, 11380, 103, 101);
INSERT INTO public.who_data VALUES (24275, 265, 65659, 1, 1948, 103, 132);
INSERT INTO public.who_data VALUES (24276, 0, 357, 0, 25, 103, 176);
INSERT INTO public.who_data VALUES (24277, 534, 319427, 7, 2687, 103, 200);
INSERT INTO public.who_data VALUES (24278, 25269, 960373, 356, 41750, 103, 169);
INSERT INTO public.who_data VALUES (24279, 36, 9542, 0, 221, 103, 225);
INSERT INTO public.who_data VALUES (24280, 899, 108983, 11, 1829, 103, 165);
INSERT INTO public.who_data VALUES (24281, 0, 643, 0, 32, 103, 233);
INSERT INTO public.who_data VALUES (24282, 5665, 114986, 62, 1295, 103, 215);
INSERT INTO public.who_data VALUES (24283, 810, 157261, 0, 2306, 103, 177);
INSERT INTO public.who_data VALUES (24284, 756, 63244, 19, 1130, 103, 183);
INSERT INTO public.who_data VALUES (24285, 0, 0, 0, 0, 103, 203);
INSERT INTO public.who_data VALUES (24286, 637, 24749, 13, 758, 103, 162);
INSERT INTO public.who_data VALUES (24287, 735, 132478, 5, 816, 103, 12);
INSERT INTO public.who_data VALUES (24288, 570, 63960, 3, 1185, 103, 24);
INSERT INTO public.who_data VALUES (24289, 0, 24, 0, 0, 103, 119);
INSERT INTO public.who_data VALUES (24290, 92, 8187, 2, 101, 103, 39);
INSERT INTO public.who_data VALUES (24291, 1119, 95355, 9, 732, 103, 26);
INSERT INTO public.who_data VALUES (24292, 4, 1967, 0, 44, 103, 59);
INSERT INTO public.who_data VALUES (24293, 0, 1448, 0, 82, 103, 77);
INSERT INTO public.who_data VALUES (24294, 923, 69040, 15, 944, 103, 134);
INSERT INTO public.who_data VALUES (24295, 49, 889, 0, 4, 103, 4);
INSERT INTO public.who_data VALUES (24296, 1109, 26781, 17, 230, 103, 109);
INSERT INTO public.who_data VALUES (24297, 570, 23051, 3, 188, 103, 90);
INSERT INTO public.who_data VALUES (24298, 0, 17233, 0, 249, 103, 61);
INSERT INTO public.who_data VALUES (24299, 2, 5953, 1, 185, 103, 85);
INSERT INTO public.who_data VALUES (24300, 972, 41181, 8, 294, 103, 49);
INSERT INTO public.who_data VALUES (24301, 23, 12009, 0, 40, 103, 208);
INSERT INTO public.who_data VALUES (24302, 0, 3706, 0, 137, 103, 166);
INSERT INTO public.who_data VALUES (24303, 102, 7232, 3, 75, 103, 64);
INSERT INTO public.who_data VALUES (24304, 0, 1, 0, 0, 103, 199);
INSERT INTO public.who_data VALUES (24305, 0, 4215, 0, 33, 103, 114);
INSERT INTO public.who_data VALUES (24306, 0, 7820, 0, 165, 103, 60);
INSERT INTO public.who_data VALUES (24307, 3, 455, 0, 10, 103, 68);
INSERT INTO public.who_data VALUES (24308, 265, 4815, 1, 46, 103, 158);
INSERT INTO public.who_data VALUES (24309, 5887, 967825, 219, 95027, 103, 52);
INSERT INTO public.who_data VALUES (24310, 0, 0, 0, 0, 103, 117);
INSERT INTO public.who_data VALUES (24311, 4, 493, 0, 2, 103, 126);
INSERT INTO public.who_data VALUES (24312, 6, 368, 0, 0, 103, 196);
INSERT INTO public.who_data VALUES (24313, 617, 24668, 7, 348, 103, 142);
INSERT INTO public.who_data VALUES (24314, 0, 13, 0, 1, 103, 185);
INSERT INTO public.who_data VALUES (24315, 3170, 259951, 84, 4356, 103, 138);
INSERT INTO public.who_data VALUES (24316, 55, 13823, 0, 99, 103, 181);
INSERT INTO public.who_data VALUES (24317, 598, 61975, 17, 1437, 103, 178);
INSERT INTO public.who_data VALUES (24318, 29, 13240, 0, 134, 103, 168);
INSERT INTO public.who_data VALUES (24319, 0, 0, 0, 0, 103, 160);
INSERT INTO public.who_data VALUES (24320, 2571, 197024, 18, 1126, 103, 151);
INSERT INTO public.who_data VALUES (24321, 4671, 413614, 38, 8028, 103, 193);
INSERT INTO public.who_data VALUES (24322, 0, 29, 0, 0, 103, 18);
INSERT INTO public.who_data VALUES (24323, 1, 1631, 0, 25, 103, 40);
INSERT INTO public.who_data VALUES (24324, 0, 4480, 0, 157, 103, 218);
INSERT INTO public.who_data VALUES (24325, 0, 1243, 0, 69, 103, 191);
INSERT INTO public.who_data VALUES (24326, 94, 64184, 2, 1158, 103, 156);
INSERT INTO public.who_data VALUES (24327, 0, 0, 0, 0, 103, 135);
INSERT INTO public.who_data VALUES (24328, 2, 100, 0, 2, 103, 88);
INSERT INTO public.who_data VALUES (24329, 515, 40275, 20, 1156, 103, 55);
INSERT INTO public.who_data VALUES (24330, 1502, 24727, 0, 285, 103, 108);
INSERT INTO public.who_data VALUES (24331, 680, 70841, 6, 593, 103, 48);
INSERT INTO public.who_data VALUES (24332, 363, 118503, 9, 1310, 103, 3);
INSERT INTO public.who_data VALUES (24333, 0, 741, 0, 13, 103, 224);
INSERT INTO public.who_data VALUES (24334, 1650, 344839, 9, 6977, 103, 110);
INSERT INTO public.who_data VALUES (24335, 0, 0, 0, 0, 103, 106);
INSERT INTO public.who_data VALUES (24336, 1021, 139527, 17, 2798, 103, 89);
INSERT INTO public.who_data VALUES (24337, 0, 599, 0, 7, 103, 121);
INSERT INTO public.who_data VALUES (24338, 648, 67589, 11, 1490, 103, 163);
INSERT INTO public.who_data VALUES (24339, 2323, 922333, 39, 34879, 103, 70);
INSERT INTO public.who_data VALUES (24340, 2054, 398449, 108, 7647, 103, 174);
INSERT INTO public.who_data VALUES (24341, 0, 0, 0, 0, 103, 175);
INSERT INTO public.who_data VALUES (24342, 21713, 568138, 173, 8045, 103, 118);
INSERT INTO public.who_data VALUES (24343, 4096, 183420, 63, 2959, 103, 189);
INSERT INTO public.who_data VALUES (24344, 481, 38581, 10, 882, 103, 124);
INSERT INTO public.who_data VALUES (24345, 230, 134433, 0, 232, 103, 192);
INSERT INTO public.who_data VALUES (24346, 100, 27652, 5, 485, 103, 41);
INSERT INTO public.who_data VALUES (24347, 331, 82677, 19, 1912, 103, 95);
INSERT INTO public.who_data VALUES (24348, 308, 6572, 1, 28, 103, 74);
INSERT INTO public.who_data VALUES (24349, 3240, 306991, 130, 8009, 103, 11);
INSERT INTO public.who_data VALUES (24350, 20977, 1817109, 368, 31161, 103, 87);
INSERT INTO public.who_data VALUES (24351, 20, 5242, 2, 38, 103, 214);
INSERT INTO public.who_data VALUES (24352, 0, 5, 0, 0, 103, 116);
INSERT INTO public.who_data VALUES (24353, 0, 90, 0, 0, 103, 157);
INSERT INTO public.who_data VALUES (24354, 0, 0, 0, 0, 103, 182);
INSERT INTO public.who_data VALUES (24355, 0, 19, 0, 0, 103, 186);
INSERT INTO public.who_data VALUES (24356, 8, 131, 0, 0, 103, 127);
INSERT INTO public.who_data VALUES (24357, 0, 604, 0, 12, 103, 232);
INSERT INTO public.who_data VALUES (24358, 0, 14, 0, 0, 103, 33);
INSERT INTO public.who_data VALUES (24359, 0, 76, 0, 0, 103, 97);
INSERT INTO public.who_data VALUES (24360, 0, 0, 0, 0, 103, 42);
INSERT INTO public.who_data VALUES (24361, 13, 1114, 0, 42, 103, 198);
INSERT INTO public.who_data VALUES (24362, 0, 962, 0, 16, 103, 216);
INSERT INTO public.who_data VALUES (24363, 392, 350984, 19, 5559, 103, 164);
INSERT INTO public.who_data VALUES (24364, 3, 15711, 0, 326, 103, 235);
INSERT INTO public.who_data VALUES (24365, 1318, 64065, 11, 901, 103, 67);
INSERT INTO public.who_data VALUES (24366, 0, 154, 0, 0, 103, 15);
INSERT INTO public.who_data VALUES (24367, 0, 2383, 0, 74, 103, 180);
INSERT INTO public.who_data VALUES (24368, 8, 58064, 0, 28, 103, 237);
INSERT INTO public.who_data VALUES (24369, 0, 14, 0, 0, 103, 25);
INSERT INTO public.who_data VALUES (24370, 26, 896, 1, 23, 103, 209);
INSERT INTO public.who_data VALUES (24371, 1828, 75495, 0, 351, 103, 217);
INSERT INTO public.who_data VALUES (24372, 466, 45656, 26, 645, 103, 79);
INSERT INTO public.who_data VALUES (24373, 3, 16, 0, 0, 103, 143);
INSERT INTO public.who_data VALUES (24374, 72, 4301, 0, 107, 103, 229);
INSERT INTO public.who_data VALUES (24375, 1247, 738525, 36, 19845, 103, 141);
INSERT INTO public.who_data VALUES (24376, 0, 2960, 0, 59, 103, 197);
INSERT INTO public.who_data VALUES (24377, 9994, 1471956, 286, 41581, 103, 221);
INSERT INTO public.who_data VALUES (24378, 356, 14285, 0, 35, 103, 150);
INSERT INTO public.who_data VALUES (24379, 96, 14301, 0, 1116, 103, 56);
INSERT INTO public.who_data VALUES (24380, 5, 5239, 0, 113, 103, 167);
INSERT INTO public.who_data VALUES (24381, 2097, 158734, 22, 6207, 103, 23);
INSERT INTO public.who_data VALUES (24382, 8683, 239742, 85, 2982, 103, 222);
INSERT INTO public.who_data VALUES (24383, 69, 6284, 4, 321, 103, 219);
INSERT INTO public.who_data VALUES (24384, 40, 11376, 0, 83, 103, 7);
INSERT INTO public.who_data VALUES (24385, 4, 3844, 0, 60, 103, 161);
INSERT INTO public.who_data VALUES (24386, 21350, 1213367, 194, 49238, 103, 149);
INSERT INTO public.who_data VALUES (24387, 0, 30, 0, 0, 103, 6);
INSERT INTO public.who_data VALUES (24388, 33, 2516, 0, 57, 103, 139);
INSERT INTO public.who_data VALUES (24389, 0, 0, 0, 0, 103, 211);
INSERT INTO public.who_data VALUES (24390, 0, 0, 0, 0, 103, 14);
INSERT INTO public.who_data VALUES (24391, 11, 5849, 0, 111, 103, 111);
INSERT INTO public.who_data VALUES (24392, 438, 71569, 47, 1920, 103, 207);
INSERT INTO public.who_data VALUES (24393, 9306, 1103481, 85, 10972, 103, 66);
INSERT INTO public.who_data VALUES (24394, 0, 0, 0, 0, 103, 173);
INSERT INTO public.who_data VALUES (24395, 0, 707, 0, 6, 103, 145);
INSERT INTO public.who_data VALUES (24396, 0, 0, 0, 0, 103, 65);
INSERT INTO public.who_data VALUES (24397, 171, 14574, 1, 133, 103, 184);
INSERT INTO public.who_data VALUES (24398, 10179, 479197, 191, 8756, 103, 98);
INSERT INTO public.who_data VALUES (24399, 1146, 143289, 1, 515, 103, 104);
INSERT INTO public.who_data VALUES (24400, 0, 509, 0, 21, 103, 73);
INSERT INTO public.who_data VALUES (24401, 104659, 9868389, 480, 236042, 103, 8);
INSERT INTO public.who_data VALUES (24402, 0, 1405, 0, 23, 103, 227);
INSERT INTO public.who_data VALUES (24403, 73, 3514, 1, 62, 103, 75);
INSERT INTO public.who_data VALUES (24404, 239, 69027, 3, 588, 103, 45);
INSERT INTO public.who_data VALUES (24405, 0, 0, 0, 0, 103, 133);
INSERT INTO public.who_data VALUES (24406, 185, 94883, 2, 826, 103, 202);
INSERT INTO public.who_data VALUES (24407, 3, 1216, 0, 35, 103, 129);
INSERT INTO public.who_data VALUES (24408, 0, 1, 0, 0, 103, 36);
INSERT INTO public.who_data VALUES (24409, 0, 2070, 0, 602, 103, 51);
INSERT INTO public.who_data VALUES (24410, 17, 16971, 0, 349, 103, 206);
INSERT INTO public.who_data VALUES (24411, 30, 8561, 1, 254, 103, 5);
INSERT INTO public.who_data VALUES (24412, 126, 42159, 6, 1562, 104, 103);
INSERT INTO public.who_data VALUES (24413, 501, 24206, 2, 559, 104, 58);
INSERT INTO public.who_data VALUES (24414, 0, 60169, 0, 2011, 104, 195);
INSERT INTO public.who_data VALUES (24415, 0, 0, 0, 0, 104, 115);
INSERT INTO public.who_data VALUES (24416, 64, 5383, 0, 75, 104, 99);
INSERT INTO public.who_data VALUES (24417, 98, 12433, 4, 307, 104, 153);
INSERT INTO public.who_data VALUES (24418, 0, 3, 0, 0, 104, 93);
INSERT INTO public.who_data VALUES (24419, 1, 131, 0, 3, 104, 84);
INSERT INTO public.who_data VALUES (24420, 8037, 1236851, 212, 33348, 104, 78);
INSERT INTO public.who_data VALUES (24421, 1042, 106779, 21, 1575, 104, 170);
INSERT INTO public.who_data VALUES (24422, 0, 4564, 0, 39, 104, 32);
INSERT INTO public.who_data VALUES (24423, 6, 27658, 0, 907, 104, 155);
INSERT INTO public.who_data VALUES (24424, 6006, 152508, 17, 1335, 104, 82);
INSERT INTO public.who_data VALUES (24425, 1663, 65411, 16, 840, 104, 16);
INSERT INTO public.who_data VALUES (24426, 31, 6947, 1, 152, 104, 72);
INSERT INTO public.who_data VALUES (24427, 192, 83456, 0, 329, 104, 43);
INSERT INTO public.who_data VALUES (24428, 1474, 420238, 18, 6067, 104, 120);
INSERT INTO public.who_data VALUES (24429, 1, 243, 0, 7, 104, 213);
INSERT INTO public.who_data VALUES (24430, 996, 106279, 3, 1007, 104, 31);
INSERT INTO public.who_data VALUES (24431, 1449, 505482, 209, 13410, 104, 204);
INSERT INTO public.who_data VALUES (24432, 60, 4076, 1, 68, 104, 152);
INSERT INTO public.who_data VALUES (24433, 0, 2745, 0, 43, 104, 144);
INSERT INTO public.who_data VALUES (24434, 0, 209, 0, 9, 104, 96);
INSERT INTO public.who_data VALUES (24435, 0, 359, 0, 0, 104, 47);
INSERT INTO public.who_data VALUES (24436, 84, 142427, 9, 8790, 104, 80);
INSERT INTO public.who_data VALUES (24437, 0, 135, 0, 3, 104, 159);
INSERT INTO public.who_data VALUES (24438, 1211, 62423, 20, 1510, 104, 27);
INSERT INTO public.who_data VALUES (24439, 0, 7835, 0, 27, 104, 146);
INSERT INTO public.who_data VALUES (24440, 22380, 5653561, 254, 162269, 104, 71);
INSERT INTO public.who_data VALUES (24441, 0, 72, 0, 1, 104, 210);
INSERT INTO public.who_data VALUES (24442, 0, 148, 0, 3, 104, 54);
INSERT INTO public.who_data VALUES (24443, 675, 75160, 33, 1665, 104, 147);
INSERT INTO public.who_data VALUES (24444, 4, 2569, 0, 67, 104, 2);
INSERT INTO public.who_data VALUES (24445, 0, 614, 0, 1, 104, 105);
INSERT INTO public.who_data VALUES (24446, 78, 9369, 0, 100, 104, 53);
INSERT INTO public.who_data VALUES (24447, 2, 297, 0, 0, 104, 81);
INSERT INTO public.who_data VALUES (24448, 0, 22342, 0, 429, 104, 223);
INSERT INTO public.who_data VALUES (24449, 4246, 260055, 54, 10490, 104, 94);
INSERT INTO public.who_data VALUES (24450, 0, 250, 0, 1, 104, 154);
INSERT INTO public.who_data VALUES (24451, 1, 4880, 0, 62, 104, 83);
INSERT INTO public.who_data VALUES (24452, 4, 1547, 0, 99, 104, 194);
INSERT INTO public.who_data VALUES (24453, 1581, 521558, 44, 14543, 104, 136);
INSERT INTO public.who_data VALUES (24454, 47, 92242, 0, 4748, 104, 179);
INSERT INTO public.who_data VALUES (24455, 8714, 1136447, 190, 32595, 104, 57);
INSERT INTO public.who_data VALUES (24456, 6, 563, 0, 7, 104, 35);
INSERT INTO public.who_data VALUES (24457, 0, 5379, 0, 92, 104, 228);
INSERT INTO public.who_data VALUES (24458, 0, 0, 0, 0, 104, 19);
INSERT INTO public.who_data VALUES (24459, 946, 116363, 11, 1464, 104, 22);
INSERT INTO public.who_data VALUES (24460, 0, 20801, 0, 126, 104, 1);
INSERT INTO public.who_data VALUES (24461, 2543, 67247, 42, 794, 104, 21);
INSERT INTO public.who_data VALUES (24462, 30, 7297, 0, 130, 104, 234);
INSERT INTO public.who_data VALUES (24463, 0, 1030, 0, 2, 104, 91);
INSERT INTO public.who_data VALUES (24464, 116, 5987, 0, 27, 104, 137);
INSERT INTO public.who_data VALUES (24465, 3608, 414828, 177, 4858, 104, 201);
INSERT INTO public.who_data VALUES (24466, 0, 0, 0, 0, 104, 171);
INSERT INTO public.who_data VALUES (24467, 74, 11590, 1, 316, 104, 92);
INSERT INTO public.who_data VALUES (24468, 891, 55121, 3, 743, 104, 112);
INSERT INTO public.who_data VALUES (24469, 3, 5608, 0, 61, 104, 62);
INSERT INTO public.who_data VALUES (24470, 0, 63, 0, 0, 104, 69);
INSERT INTO public.who_data VALUES (24471, 537, 130182, 2, 2265, 104, 220);
INSERT INTO public.who_data VALUES (24472, 1421, 174907, 15, 12830, 104, 100);
INSERT INTO public.who_data VALUES (24473, 239, 109201, 13, 6368, 104, 187);
INSERT INTO public.who_data VALUES (24474, 0, 35145, 4, 1010, 104, 63);
INSERT INTO public.who_data VALUES (24475, 0, 5092, 0, 85, 104, 28);
INSERT INTO public.who_data VALUES (24476, 0, 491, 0, 0, 104, 172);
INSERT INTO public.who_data VALUES (24477, 192, 6125, 2, 75, 104, 17);
INSERT INTO public.who_data VALUES (24478, 14, 6003, 0, 117, 104, 226);
INSERT INTO public.who_data VALUES (24479, 471, 99675, 5, 1523, 104, 236);
INSERT INTO public.who_data VALUES (24480, 0, 13, 0, 0, 104, 76);
INSERT INTO public.who_data VALUES (24481, 2, 497, 0, 0, 104, 30);
INSERT INTO public.who_data VALUES (24482, 0, 34, 0, 2, 104, 128);
INSERT INTO public.who_data VALUES (24483, 412, 17797, 0, 362, 104, 86);
INSERT INTO public.who_data VALUES (24484, 38619, 1752980, 270, 40119, 104, 140);
INSERT INTO public.who_data VALUES (24485, 0, 10704, 0, 70, 104, 44);
INSERT INTO public.who_data VALUES (24486, 0, 9995, 0, 39, 104, 113);
INSERT INTO public.who_data VALUES (24487, 0, 9022, 0, 55, 104, 29);
INSERT INTO public.who_data VALUES (24488, 3, 3684, 0, 120, 104, 125);
INSERT INTO public.who_data VALUES (24489, 2927, 60680, 24, 499, 104, 131);
INSERT INTO public.who_data VALUES (24490, 13363, 671868, 63, 11352, 104, 46);
INSERT INTO public.who_data VALUES (24491, 414, 49202, 0, 320, 104, 10);
INSERT INTO public.who_data VALUES (24492, 15, 785, 0, 0, 104, 205);
INSERT INTO public.who_data VALUES (24493, 1889, 56698, 35, 784, 104, 50);
INSERT INTO public.who_data VALUES (24494, 0, 17, 0, 0, 104, 20);
INSERT INTO public.who_data VALUES (24495, 0, 30, 0, 0, 104, 13);
INSERT INTO public.who_data VALUES (24496, 0, 7903, 0, 133, 104, 148);
INSERT INTO public.who_data VALUES (24497, 120, 5154, 1, 90, 104, 230);
INSERT INTO public.who_data VALUES (24498, 212, 111262, 10, 3821, 104, 190);
INSERT INTO public.who_data VALUES (24499, 1, 279, 0, 13, 104, 188);
INSERT INTO public.who_data VALUES (24500, 14, 12414, 1, 74, 104, 123);
INSERT INTO public.who_data VALUES (24501, 0, 2413, 0, 41, 104, 9);
INSERT INTO public.who_data VALUES (24502, 27, 4484, 1, 134, 104, 102);
INSERT INTO public.who_data VALUES (24503, 0, 9127, 0, 232, 104, 34);
INSERT INTO public.who_data VALUES (24504, 0, 26, 0, 0, 104, 212);
INSERT INTO public.who_data VALUES (24505, 465, 100041, 4, 2745, 104, 122);
INSERT INTO public.who_data VALUES (24506, 5162, 114778, 55, 2493, 104, 38);
INSERT INTO public.who_data VALUES (24507, 15, 5078, 2, 20, 104, 130);
INSERT INTO public.who_data VALUES (24508, 45903, 8553657, 490, 126611, 104, 37);
INSERT INTO public.who_data VALUES (24509, 3880, 437716, 74, 14614, 104, 231);
INSERT INTO public.who_data VALUES (24510, 9236, 682486, 459, 38291, 104, 107);
INSERT INTO public.who_data VALUES (24511, 2530, 498549, 44, 11327, 104, 101);
INSERT INTO public.who_data VALUES (24512, 539, 65394, 2, 1947, 104, 132);
INSERT INTO public.who_data VALUES (24513, 0, 357, 1, 25, 104, 176);
INSERT INTO public.who_data VALUES (24514, 212, 318893, 8, 2680, 104, 200);
INSERT INTO public.who_data VALUES (24515, 32614, 935104, 331, 41394, 104, 169);
INSERT INTO public.who_data VALUES (24516, 34, 9506, 3, 221, 104, 225);
INSERT INTO public.who_data VALUES (24517, 998, 108084, 6, 1818, 104, 165);
INSERT INTO public.who_data VALUES (24518, 0, 643, 0, 32, 104, 233);
INSERT INTO public.who_data VALUES (24519, 4519, 109321, 52, 1233, 104, 215);
INSERT INTO public.who_data VALUES (24520, 575, 156451, 0, 2306, 104, 177);
INSERT INTO public.who_data VALUES (24521, 719, 62488, 8, 1111, 104, 183);
INSERT INTO public.who_data VALUES (24522, 0, 0, 0, 0, 104, 203);
INSERT INTO public.who_data VALUES (24523, 730, 24112, 11, 745, 104, 162);
INSERT INTO public.who_data VALUES (24524, 538, 131743, 3, 811, 104, 12);
INSERT INTO public.who_data VALUES (24525, 571, 63390, 5, 1182, 104, 24);
INSERT INTO public.who_data VALUES (24526, 0, 24, 0, 0, 104, 119);
INSERT INTO public.who_data VALUES (24527, 215, 8095, 3, 99, 104, 39);
INSERT INTO public.who_data VALUES (24528, 1139, 94236, 10, 723, 104, 26);
INSERT INTO public.who_data VALUES (24529, 0, 1963, 0, 44, 104, 59);
INSERT INTO public.who_data VALUES (24530, 6, 1448, 0, 82, 104, 77);
INSERT INTO public.who_data VALUES (24531, 1078, 68117, 9, 929, 104, 134);
INSERT INTO public.who_data VALUES (24532, 22, 840, 1, 4, 104, 4);
INSERT INTO public.who_data VALUES (24533, 1038, 25672, 8, 213, 104, 109);
INSERT INTO public.who_data VALUES (24534, 0, 22481, 0, 185, 104, 90);
INSERT INTO public.who_data VALUES (24535, 122, 17233, 5, 249, 104, 61);
INSERT INTO public.who_data VALUES (24536, 3, 5951, 0, 184, 104, 85);
INSERT INTO public.who_data VALUES (24537, 852, 40209, 4, 286, 104, 49);
INSERT INTO public.who_data VALUES (24538, 24, 11986, 1, 40, 104, 208);
INSERT INTO public.who_data VALUES (24539, 30, 3706, 0, 137, 104, 166);
INSERT INTO public.who_data VALUES (24540, 102, 7130, 2, 72, 104, 64);
INSERT INTO public.who_data VALUES (24541, 0, 1, 0, 0, 104, 199);
INSERT INTO public.who_data VALUES (24542, 0, 4215, 0, 33, 104, 114);
INSERT INTO public.who_data VALUES (24543, 95, 7820, 2, 165, 104, 60);
INSERT INTO public.who_data VALUES (24544, 0, 452, 0, 10, 104, 68);
INSERT INTO public.who_data VALUES (24545, 0, 4550, 0, 45, 104, 158);
INSERT INTO public.who_data VALUES (24546, 6810, 961938, 485, 94808, 104, 52);
INSERT INTO public.who_data VALUES (24547, 0, 0, 0, 0, 104, 117);
INSERT INTO public.who_data VALUES (24548, 3, 489, 0, 2, 104, 126);
INSERT INTO public.who_data VALUES (24549, 5, 362, 0, 0, 104, 196);
INSERT INTO public.who_data VALUES (24550, 956, 24051, 5, 341, 104, 142);
INSERT INTO public.who_data VALUES (24551, 0, 13, 0, 1, 104, 185);
INSERT INTO public.who_data VALUES (24552, 4596, 256781, 75, 4272, 104, 138);
INSERT INTO public.who_data VALUES (24553, 191, 13768, 0, 99, 104, 181);
INSERT INTO public.who_data VALUES (24554, 1029, 61377, 24, 1420, 104, 178);
INSERT INTO public.who_data VALUES (24555, 41, 13211, 0, 134, 104, 168);
INSERT INTO public.who_data VALUES (24556, 0, 0, 0, 0, 104, 160);
INSERT INTO public.who_data VALUES (24557, 2817, 194453, 21, 1108, 104, 151);
INSERT INTO public.who_data VALUES (24558, 5656, 408943, 43, 7990, 104, 193);
INSERT INTO public.who_data VALUES (24559, 0, 29, 0, 0, 104, 18);
INSERT INTO public.who_data VALUES (24560, 4, 1630, 0, 25, 104, 40);
INSERT INTO public.who_data VALUES (24561, 0, 4480, 0, 157, 104, 218);
INSERT INTO public.who_data VALUES (24562, 1, 1243, 0, 69, 104, 191);
INSERT INTO public.who_data VALUES (24563, 300, 64090, 0, 1156, 104, 156);
INSERT INTO public.who_data VALUES (24564, 0, 0, 0, 0, 104, 135);
INSERT INTO public.who_data VALUES (24565, 0, 98, 0, 2, 104, 88);
INSERT INTO public.who_data VALUES (24566, 978, 39760, 26, 1136, 104, 55);
INSERT INTO public.who_data VALUES (24567, 0, 23225, 0, 285, 104, 108);
INSERT INTO public.who_data VALUES (24568, 549, 70161, 3, 587, 104, 48);
INSERT INTO public.who_data VALUES (24569, 973, 118140, 15, 1301, 104, 3);
INSERT INTO public.who_data VALUES (24570, 0, 741, 0, 13, 104, 224);
INSERT INTO public.who_data VALUES (24571, 1436, 343189, 25, 6968, 104, 110);
INSERT INTO public.who_data VALUES (24572, 0, 0, 0, 0, 104, 106);
INSERT INTO public.who_data VALUES (24573, 746, 138506, 11, 2781, 104, 89);
INSERT INTO public.who_data VALUES (24574, 2, 599, 0, 7, 104, 121);
INSERT INTO public.who_data VALUES (24575, 460, 66941, 7, 1479, 104, 163);
INSERT INTO public.who_data VALUES (24576, 2507, 920010, 57, 34840, 104, 70);
INSERT INTO public.who_data VALUES (24577, 2434, 396395, 54, 7539, 104, 174);
INSERT INTO public.who_data VALUES (24578, 0, 0, 0, 0, 104, 175);
INSERT INTO public.who_data VALUES (24579, 24785, 546425, 236, 7872, 104, 118);
INSERT INTO public.who_data VALUES (24580, 5784, 179324, 48, 2896, 104, 189);
INSERT INTO public.who_data VALUES (24581, 533, 38100, 10, 872, 104, 124);
INSERT INTO public.who_data VALUES (24582, 190, 134203, 0, 232, 104, 192);
INSERT INTO public.who_data VALUES (24583, 126, 27552, 2, 480, 104, 41);
INSERT INTO public.who_data VALUES (24584, 671, 82346, 2, 1893, 104, 95);
INSERT INTO public.who_data VALUES (24585, 0, 6264, 0, 27, 104, 74);
INSERT INTO public.who_data VALUES (24586, 6752, 303751, 86, 7879, 104, 11);
INSERT INTO public.who_data VALUES (24587, 21798, 1796132, 256, 30793, 104, 87);
INSERT INTO public.who_data VALUES (24588, 9, 5222, 0, 36, 104, 214);
INSERT INTO public.who_data VALUES (24589, 0, 5, 0, 0, 104, 116);
INSERT INTO public.who_data VALUES (24590, 0, 90, 0, 0, 104, 157);
INSERT INTO public.who_data VALUES (24591, 0, 0, 0, 0, 104, 182);
INSERT INTO public.who_data VALUES (24592, 0, 19, 0, 0, 104, 186);
INSERT INTO public.who_data VALUES (24593, 13, 123, 0, 0, 104, 127);
INSERT INTO public.who_data VALUES (24594, 0, 604, 0, 12, 104, 232);
INSERT INTO public.who_data VALUES (24595, 0, 14, 0, 0, 104, 33);
INSERT INTO public.who_data VALUES (24596, 0, 76, 0, 0, 104, 97);
INSERT INTO public.who_data VALUES (24597, 0, 0, 0, 0, 104, 42);
INSERT INTO public.who_data VALUES (24598, 0, 1101, 0, 42, 104, 198);
INSERT INTO public.who_data VALUES (24599, 0, 962, 0, 16, 104, 216);
INSERT INTO public.who_data VALUES (24600, 363, 350592, 15, 5540, 104, 164);
INSERT INTO public.who_data VALUES (24601, 40, 15708, 0, 326, 104, 235);
INSERT INTO public.who_data VALUES (24602, 2112, 62747, 10, 890, 104, 67);
INSERT INTO public.who_data VALUES (24603, 0, 154, 0, 0, 104, 15);
INSERT INTO public.who_data VALUES (24604, 10, 2383, 0, 74, 104, 180);
INSERT INTO public.who_data VALUES (24605, 2, 58056, 0, 28, 104, 237);
INSERT INTO public.who_data VALUES (24606, 0, 14, 0, 0, 104, 25);
INSERT INTO public.who_data VALUES (24607, 0, 870, 0, 22, 104, 209);
INSERT INTO public.who_data VALUES (24608, 2579, 73667, 34, 351, 104, 217);
INSERT INTO public.who_data VALUES (24609, 891, 45190, 21, 619, 104, 79);
INSERT INTO public.who_data VALUES (24610, 0, 13, 0, 0, 104, 143);
INSERT INTO public.who_data VALUES (24611, 0, 4229, 0, 107, 104, 229);
INSERT INTO public.who_data VALUES (24612, 1372, 737278, 20, 19809, 104, 141);
INSERT INTO public.who_data VALUES (24613, 17, 2960, 0, 59, 104, 197);
INSERT INTO public.who_data VALUES (24614, 14983, 1461962, 256, 41295, 104, 221);
INSERT INTO public.who_data VALUES (24615, 510, 13929, 1, 35, 104, 150);
INSERT INTO public.who_data VALUES (24616, 50, 14205, 0, 1116, 104, 56);
INSERT INTO public.who_data VALUES (24617, 7, 5234, 1, 113, 104, 167);
INSERT INTO public.who_data VALUES (24618, 4451, 156637, 27, 6185, 104, 23);
INSERT INTO public.who_data VALUES (24619, 2979, 231059, 88, 2897, 104, 222);
INSERT INTO public.who_data VALUES (24620, 68, 6215, 4, 317, 104, 219);
INSERT INTO public.who_data VALUES (24621, 42, 11336, 0, 83, 104, 7);
INSERT INTO public.who_data VALUES (24622, 3, 3840, 0, 60, 104, 161);
INSERT INTO public.who_data VALUES (24623, 20572, 1192017, 156, 49044, 104, 149);
INSERT INTO public.who_data VALUES (24624, 0, 30, 0, 0, 104, 6);
INSERT INTO public.who_data VALUES (24625, 41, 2483, 0, 57, 104, 139);
INSERT INTO public.who_data VALUES (24626, 0, 0, 0, 0, 104, 211);
INSERT INTO public.who_data VALUES (24627, 0, 0, 0, 0, 104, 14);
INSERT INTO public.who_data VALUES (24628, 40, 5838, 0, 111, 104, 111);
INSERT INTO public.who_data VALUES (24629, 1588, 71131, 25, 1873, 104, 207);
INSERT INTO public.who_data VALUES (24630, 9246, 1094175, 84, 10887, 104, 66);
INSERT INTO public.who_data VALUES (24631, 0, 0, 0, 0, 104, 173);
INSERT INTO public.who_data VALUES (24632, 0, 707, 0, 6, 104, 145);
INSERT INTO public.who_data VALUES (24633, 0, 0, 0, 0, 104, 65);
INSERT INTO public.who_data VALUES (24634, 337, 14403, 1, 132, 104, 184);
INSERT INTO public.who_data VALUES (24635, 8687, 469018, 115, 8565, 104, 98);
INSERT INTO public.who_data VALUES (24636, 1111, 142143, 0, 514, 104, 104);
INSERT INTO public.who_data VALUES (24637, 0, 509, 0, 21, 104, 73);
INSERT INTO public.who_data VALUES (24638, 127151, 9763730, 1062, 235562, 104, 8);
INSERT INTO public.who_data VALUES (24639, 15, 1405, 0, 23, 104, 227);
INSERT INTO public.who_data VALUES (24640, 71, 3441, 0, 61, 104, 75);
INSERT INTO public.who_data VALUES (24641, 195, 68788, 4, 585, 104, 45);
INSERT INTO public.who_data VALUES (24642, 0, 0, 0, 0, 104, 133);
INSERT INTO public.who_data VALUES (24643, 393, 94698, 3, 824, 104, 202);
INSERT INTO public.who_data VALUES (24644, 0, 1213, 0, 35, 104, 129);
INSERT INTO public.who_data VALUES (24645, 0, 1, 0, 0, 104, 36);
INSERT INTO public.who_data VALUES (24646, 0, 2070, 0, 602, 104, 51);
INSERT INTO public.who_data VALUES (24647, 46, 16954, 0, 349, 104, 206);
INSERT INTO public.who_data VALUES (24648, 60, 8531, 3, 253, 104, 5);
INSERT INTO public.who_data VALUES (24649, 58, 42033, 2, 1556, 105, 103);
INSERT INTO public.who_data VALUES (24650, 495, 23705, 8, 557, 105, 58);
INSERT INTO public.who_data VALUES (24651, 0, 60169, 0, 2011, 105, 195);
INSERT INTO public.who_data VALUES (24652, 0, 0, 0, 0, 105, 115);
INSERT INTO public.who_data VALUES (24653, 184, 5319, 0, 75, 105, 99);
INSERT INTO public.who_data VALUES (24654, 112, 12335, 3, 303, 105, 153);
INSERT INTO public.who_data VALUES (24655, 0, 3, 0, 0, 105, 93);
INSERT INTO public.who_data VALUES (24656, 0, 130, 0, 3, 105, 84);
INSERT INTO public.who_data VALUES (24657, 11786, 1228814, 370, 33136, 105, 78);
INSERT INTO public.who_data VALUES (24658, 2175, 105737, 26, 1554, 105, 170);
INSERT INTO public.who_data VALUES (24659, 0, 4564, 0, 39, 105, 32);
INSERT INTO public.who_data VALUES (24660, 7, 27652, 0, 907, 105, 155);
INSERT INTO public.who_data VALUES (24661, 7898, 146502, 23, 1318, 105, 82);
INSERT INTO public.who_data VALUES (24662, 1410, 63748, 13, 824, 105, 16);
INSERT INTO public.who_data VALUES (24663, 0, 6916, 0, 151, 105, 72);
INSERT INTO public.who_data VALUES (24664, 241, 83264, 1, 329, 105, 43);
INSERT INTO public.who_data VALUES (24665, 1289, 418764, 13, 6049, 105, 120);
INSERT INTO public.who_data VALUES (24666, 3, 242, 0, 7, 105, 213);
INSERT INTO public.who_data VALUES (24667, 0, 105283, 0, 1004, 105, 31);
INSERT INTO public.who_data VALUES (24668, 3046, 504033, 208, 13201, 105, 204);
INSERT INTO public.who_data VALUES (24669, 39, 4016, 1, 67, 105, 152);
INSERT INTO public.who_data VALUES (24670, 0, 2745, 0, 43, 105, 144);
INSERT INTO public.who_data VALUES (24671, 2, 209, 0, 9, 105, 96);
INSERT INTO public.who_data VALUES (24672, 1, 359, 0, 0, 105, 47);
INSERT INTO public.who_data VALUES (24673, 142, 142343, 13, 8781, 105, 80);
INSERT INTO public.who_data VALUES (24674, 0, 135, 0, 3, 105, 159);
INSERT INTO public.who_data VALUES (24675, 1784, 61212, 33, 1490, 105, 27);
INSERT INTO public.who_data VALUES (24676, 0, 7835, 0, 27, 105, 146);
INSERT INTO public.who_data VALUES (24677, 18862, 5631181, 279, 162015, 105, 71);
INSERT INTO public.who_data VALUES (24678, 0, 72, 0, 1, 105, 210);
INSERT INTO public.who_data VALUES (24679, 0, 148, 0, 3, 105, 54);
INSERT INTO public.who_data VALUES (24680, 2301, 74485, 56, 1632, 105, 147);
INSERT INTO public.who_data VALUES (24681, 3, 2565, 0, 67, 105, 2);
INSERT INTO public.who_data VALUES (24682, 2, 614, 0, 1, 105, 105);
INSERT INTO public.who_data VALUES (24683, 67, 9291, 0, 100, 105, 53);
INSERT INTO public.who_data VALUES (24684, 1, 295, 0, 0, 105, 81);
INSERT INTO public.who_data VALUES (24685, 0, 22342, 0, 429, 105, 223);
INSERT INTO public.who_data VALUES (24686, 4471, 255809, 55, 10436, 105, 94);
INSERT INTO public.who_data VALUES (24687, 5, 250, 0, 1, 105, 154);
INSERT INTO public.who_data VALUES (24688, 0, 4879, 0, 62, 105, 83);
INSERT INTO public.who_data VALUES (24689, 5, 1543, 0, 99, 105, 194);
INSERT INTO public.who_data VALUES (24690, 1587, 519977, 49, 14499, 105, 136);
INSERT INTO public.who_data VALUES (24691, 31, 92195, 0, 4748, 105, 179);
INSERT INTO public.who_data VALUES (24692, 9756, 1127733, 196, 32405, 105, 57);
INSERT INTO public.who_data VALUES (24693, 0, 557, 0, 7, 105, 35);
INSERT INTO public.who_data VALUES (24694, 0, 5379, 0, 92, 105, 228);
INSERT INTO public.who_data VALUES (24695, 0, 0, 0, 0, 105, 19);
INSERT INTO public.who_data VALUES (24696, 1050, 115417, 9, 1453, 105, 22);
INSERT INTO public.who_data VALUES (24697, 0, 20801, 0, 126, 105, 1);
INSERT INTO public.who_data VALUES (24698, 2399, 64704, 35, 752, 105, 21);
INSERT INTO public.who_data VALUES (24699, 39, 7267, 0, 130, 105, 234);
INSERT INTO public.who_data VALUES (24700, 0, 1030, 0, 2, 105, 91);
INSERT INTO public.who_data VALUES (24701, 314, 5871, 1, 27, 105, 137);
INSERT INTO public.who_data VALUES (24702, 7723, 411220, 155, 4681, 105, 201);
INSERT INTO public.who_data VALUES (24703, 0, 0, 0, 0, 105, 171);
INSERT INTO public.who_data VALUES (24704, 0, 11516, 0, 315, 105, 92);
INSERT INTO public.who_data VALUES (24705, 1050, 54230, 2, 740, 105, 112);
INSERT INTO public.who_data VALUES (24706, 1, 5605, 0, 61, 105, 62);
INSERT INTO public.who_data VALUES (24707, 13, 63, 0, 0, 105, 69);
INSERT INTO public.who_data VALUES (24708, 345, 129645, 2, 2263, 105, 220);
INSERT INTO public.who_data VALUES (24709, 978, 173486, 54, 12815, 105, 100);
INSERT INTO public.who_data VALUES (24710, 208, 108962, 12, 6355, 105, 187);
INSERT INTO public.who_data VALUES (24711, 179, 35145, 4, 1006, 105, 63);
INSERT INTO public.who_data VALUES (24712, 0, 5092, 0, 85, 105, 28);
INSERT INTO public.who_data VALUES (24713, 7, 491, 0, 0, 105, 172);
INSERT INTO public.who_data VALUES (24714, 228, 5933, 0, 73, 105, 17);
INSERT INTO public.who_data VALUES (24715, 13, 5989, 0, 117, 105, 226);
INSERT INTO public.who_data VALUES (24716, 458, 99204, 6, 1518, 105, 236);
INSERT INTO public.who_data VALUES (24717, 0, 13, 0, 0, 105, 76);
INSERT INTO public.who_data VALUES (24718, 0, 495, 0, 0, 105, 30);
INSERT INTO public.who_data VALUES (24719, 0, 34, 0, 2, 105, 128);
INSERT INTO public.who_data VALUES (24720, 0, 17385, 0, 362, 105, 86);
INSERT INTO public.who_data VALUES (24721, 86794, 1714361, 304, 39849, 105, 140);
INSERT INTO public.who_data VALUES (24722, 57, 10704, 0, 70, 105, 44);
INSERT INTO public.who_data VALUES (24723, 0, 9995, 0, 39, 105, 113);
INSERT INTO public.who_data VALUES (24724, 0, 9022, 0, 55, 105, 29);
INSERT INTO public.who_data VALUES (24725, 0, 3681, 0, 120, 105, 125);
INSERT INTO public.who_data VALUES (24726, 2901, 57753, 34, 475, 105, 131);
INSERT INTO public.who_data VALUES (24727, 16017, 658505, 63, 11289, 105, 46);
INSERT INTO public.who_data VALUES (24728, 0, 48788, 0, 320, 105, 10);
INSERT INTO public.who_data VALUES (24729, 16, 770, 0, 0, 105, 205);
INSERT INTO public.who_data VALUES (24730, 2555, 54809, 34, 749, 105, 50);
INSERT INTO public.who_data VALUES (24731, 0, 17, 0, 0, 105, 20);
INSERT INTO public.who_data VALUES (24732, 0, 30, 0, 0, 105, 13);
INSERT INTO public.who_data VALUES (24733, 0, 7903, 0, 133, 105, 148);
INSERT INTO public.who_data VALUES (24734, 36, 5034, 1, 89, 105, 230);
INSERT INTO public.who_data VALUES (24735, 548, 111050, 17, 3811, 105, 190);
INSERT INTO public.who_data VALUES (24736, 4, 278, 0, 13, 105, 188);
INSERT INTO public.who_data VALUES (24737, 37, 12400, 0, 73, 105, 123);
INSERT INTO public.who_data VALUES (24738, 0, 2413, 0, 41, 105, 9);
INSERT INTO public.who_data VALUES (24739, 64, 4457, 3, 133, 105, 102);
INSERT INTO public.who_data VALUES (24740, 18, 9127, 0, 232, 105, 34);
INSERT INTO public.who_data VALUES (24741, 0, 26, 0, 0, 105, 212);
INSERT INTO public.who_data VALUES (24742, 229, 99576, 5, 2741, 105, 122);
INSERT INTO public.who_data VALUES (24743, 4673, 109616, 81, 2438, 105, 38);
INSERT INTO public.who_data VALUES (24744, 24, 5063, 0, 18, 105, 130);
INSERT INTO public.who_data VALUES (24745, 45674, 8507754, 559, 126121, 105, 37);
INSERT INTO public.who_data VALUES (24746, 4262, 433836, 98, 14540, 105, 231);
INSERT INTO public.who_data VALUES (24747, 9450, 673250, 423, 37832, 105, 107);
INSERT INTO public.who_data VALUES (24748, 2880, 496019, 39, 11283, 105, 101);
INSERT INTO public.who_data VALUES (24749, 317, 64855, 5, 1945, 105, 132);
INSERT INTO public.who_data VALUES (24750, 0, 357, 0, 24, 105, 176);
INSERT INTO public.who_data VALUES (24751, 691, 318681, 16, 2672, 105, 200);
INSERT INTO public.who_data VALUES (24752, 39809, 902490, 425, 41063, 105, 169);
INSERT INTO public.who_data VALUES (24753, 46, 9472, 0, 218, 105, 225);
INSERT INTO public.who_data VALUES (24754, 1172, 107086, 3, 1812, 105, 165);
INSERT INTO public.who_data VALUES (24755, 11, 643, 0, 32, 105, 233);
INSERT INTO public.who_data VALUES (24756, 3554, 104802, 45, 1181, 105, 215);
INSERT INTO public.who_data VALUES (24757, 656, 155876, 47, 2306, 105, 177);
INSERT INTO public.who_data VALUES (24758, 1065, 61769, 10, 1103, 105, 183);
INSERT INTO public.who_data VALUES (24759, 0, 0, 0, 0, 105, 203);
INSERT INTO public.who_data VALUES (24760, 491, 23382, 12, 734, 105, 162);
INSERT INTO public.who_data VALUES (24761, 742, 131205, 4, 808, 105, 12);
INSERT INTO public.who_data VALUES (24762, 515, 62819, 5, 1177, 105, 24);
INSERT INTO public.who_data VALUES (24763, 0, 24, 0, 0, 105, 119);
INSERT INTO public.who_data VALUES (24764, 404, 7880, 1, 96, 105, 39);
INSERT INTO public.who_data VALUES (24765, 1769, 93097, 13, 713, 105, 26);
INSERT INTO public.who_data VALUES (24766, 0, 1963, 0, 44, 105, 59);
INSERT INTO public.who_data VALUES (24767, 6, 1442, 0, 82, 105, 77);
INSERT INTO public.who_data VALUES (24768, 595, 67039, 5, 920, 105, 134);
INSERT INTO public.who_data VALUES (24769, 15, 818, 0, 3, 105, 4);
INSERT INTO public.who_data VALUES (24770, 1975, 24634, 9, 205, 105, 109);
INSERT INTO public.who_data VALUES (24771, 675, 22481, 5, 185, 105, 90);
INSERT INTO public.who_data VALUES (24772, 0, 17111, 0, 244, 105, 61);
INSERT INTO public.who_data VALUES (24773, 6, 5948, 0, 184, 105, 85);
INSERT INTO public.who_data VALUES (24774, 1168, 39357, 3, 282, 105, 49);
INSERT INTO public.who_data VALUES (24775, 30, 11962, 0, 39, 105, 208);
INSERT INTO public.who_data VALUES (24776, 43, 3676, 0, 137, 105, 166);
INSERT INTO public.who_data VALUES (24777, 146, 7028, 0, 70, 105, 64);
INSERT INTO public.who_data VALUES (24778, 0, 1, 0, 0, 105, 199);
INSERT INTO public.who_data VALUES (24779, 0, 4215, 0, 33, 105, 114);
INSERT INTO public.who_data VALUES (24780, 0, 7725, 0, 163, 105, 60);
INSERT INTO public.who_data VALUES (24781, 0, 452, 0, 10, 105, 68);
INSERT INTO public.who_data VALUES (24782, 0, 4550, 0, 45, 105, 158);
INSERT INTO public.who_data VALUES (24783, 5931, 955128, 551, 94323, 105, 52);
INSERT INTO public.who_data VALUES (24784, 0, 0, 0, 0, 105, 117);
INSERT INTO public.who_data VALUES (24785, 29, 486, 0, 2, 105, 126);
INSERT INTO public.who_data VALUES (24786, 1, 357, 0, 0, 105, 196);
INSERT INTO public.who_data VALUES (24787, 382, 23095, 4, 336, 105, 142);
INSERT INTO public.who_data VALUES (24788, 0, 13, 0, 1, 105, 185);
INSERT INTO public.who_data VALUES (24789, 5836, 252185, 70, 4197, 105, 138);
INSERT INTO public.who_data VALUES (24790, 92, 13577, 0, 99, 105, 181);
INSERT INTO public.who_data VALUES (24791, 1071, 60348, 20, 1396, 105, 178);
INSERT INTO public.who_data VALUES (24792, 27, 13170, 1, 134, 105, 168);
INSERT INTO public.who_data VALUES (24793, 0, 0, 0, 0, 105, 160);
INSERT INTO public.who_data VALUES (24794, 2753, 191636, 17, 1087, 105, 151);
INSERT INTO public.who_data VALUES (24795, 6616, 403287, 72, 7947, 105, 193);
INSERT INTO public.who_data VALUES (24796, 0, 29, 0, 0, 105, 18);
INSERT INTO public.who_data VALUES (24797, 6, 1626, 0, 25, 105, 40);
INSERT INTO public.who_data VALUES (24798, 0, 4480, 0, 157, 105, 218);
INSERT INTO public.who_data VALUES (24799, 20, 1242, 0, 69, 105, 191);
INSERT INTO public.who_data VALUES (24800, 59, 63790, 0, 1156, 105, 156);
INSERT INTO public.who_data VALUES (24801, 0, 0, 0, 0, 105, 135);
INSERT INTO public.who_data VALUES (24802, 0, 98, 0, 2, 105, 88);
INSERT INTO public.who_data VALUES (24803, 1283, 38782, 14, 1110, 105, 55);
INSERT INTO public.who_data VALUES (24804, 0, 23225, 0, 285, 105, 108);
INSERT INTO public.who_data VALUES (24805, 431, 69612, 1, 584, 105, 48);
INSERT INTO public.who_data VALUES (24806, 0, 117167, 0, 1286, 105, 3);
INSERT INTO public.who_data VALUES (24807, 0, 741, 0, 13, 105, 224);
INSERT INTO public.who_data VALUES (24808, 1502, 341753, 20, 6943, 105, 110);
INSERT INTO public.who_data VALUES (24809, 0, 0, 0, 0, 105, 106);
INSERT INTO public.who_data VALUES (24810, 1193, 137760, 14, 2770, 105, 89);
INSERT INTO public.who_data VALUES (24811, 0, 597, 0, 7, 105, 121);
INSERT INTO public.who_data VALUES (24812, 703, 66481, 10, 1472, 105, 163);
INSERT INTO public.who_data VALUES (24813, 2781, 917503, 53, 34783, 105, 70);
INSERT INTO public.who_data VALUES (24814, 2152, 393961, 24, 7485, 105, 174);
INSERT INTO public.who_data VALUES (24815, 0, 0, 0, 0, 105, 175);
INSERT INTO public.who_data VALUES (24816, 27875, 521640, 349, 7636, 105, 118);
INSERT INTO public.who_data VALUES (24817, 6640, 173540, 56, 2848, 105, 189);
INSERT INTO public.who_data VALUES (24818, -32952, 37567, 0, 862, 105, 124);
INSERT INTO public.who_data VALUES (24819, 202, 134013, 0, 232, 105, 192);
INSERT INTO public.who_data VALUES (24820, 143, 27426, 1, 478, 105, 41);
INSERT INTO public.who_data VALUES (24821, 1174, 81675, 9, 1891, 105, 95);
INSERT INTO public.who_data VALUES (24822, 0, 6264, 0, 27, 105, 74);
INSERT INTO public.who_data VALUES (24823, 9937, 296999, 130, 7793, 105, 11);
INSERT INTO public.who_data VALUES (24824, 20498, 1774334, 286, 30537, 105, 87);
INSERT INTO public.who_data VALUES (24825, 5, 5213, 0, 36, 105, 214);
INSERT INTO public.who_data VALUES (24826, 0, 5, 0, 0, 105, 116);
INSERT INTO public.who_data VALUES (24827, 0, 90, 0, 0, 105, 157);
INSERT INTO public.who_data VALUES (24828, 0, 0, 0, 0, 105, 182);
INSERT INTO public.who_data VALUES (24829, 0, 19, 0, 0, 105, 186);
INSERT INTO public.who_data VALUES (24830, 0, 110, 0, 0, 105, 127);
INSERT INTO public.who_data VALUES (24831, 0, 604, 0, 12, 105, 232);
INSERT INTO public.who_data VALUES (24832, 1, 14, 0, 0, 105, 33);
INSERT INTO public.who_data VALUES (24833, 0, 76, 0, 0, 105, 97);
INSERT INTO public.who_data VALUES (24834, 0, 0, 0, 0, 105, 42);
INSERT INTO public.who_data VALUES (24835, 0, 1101, 0, 42, 105, 198);
INSERT INTO public.who_data VALUES (24836, 2, 962, 0, 16, 105, 216);
INSERT INTO public.who_data VALUES (24837, 407, 350229, 19, 5525, 105, 164);
INSERT INTO public.who_data VALUES (24838, 0, 15668, 0, 326, 105, 235);
INSERT INTO public.who_data VALUES (24839, 2677, 60635, 9, 880, 105, 67);
INSERT INTO public.who_data VALUES (24840, 0, 154, 0, 0, 105, 15);
INSERT INTO public.who_data VALUES (24841, 0, 2373, 0, 74, 105, 180);
INSERT INTO public.who_data VALUES (24842, 7, 58054, 0, 28, 105, 237);
INSERT INTO public.who_data VALUES (24843, 0, 14, 0, 0, 105, 25);
INSERT INTO public.who_data VALUES (24844, 0, 870, 0, 22, 105, 209);
INSERT INTO public.who_data VALUES (24845, 2354, 71088, 31, 317, 105, 217);
INSERT INTO public.who_data VALUES (24846, 1613, 44299, 35, 598, 105, 79);
INSERT INTO public.who_data VALUES (24847, 0, 13, 0, 0, 105, 143);
INSERT INTO public.who_data VALUES (24848, 0, 4229, 0, 107, 105, 229);
INSERT INTO public.who_data VALUES (24849, 1731, 735906, 40, 19789, 105, 141);
INSERT INTO public.who_data VALUES (24850, 0, 2943, 0, 59, 105, 197);
INSERT INTO public.who_data VALUES (24851, 24112, 1446979, 346, 41039, 105, 221);
INSERT INTO public.who_data VALUES (24852, 449, 13419, 4, 34, 105, 150);
INSERT INTO public.who_data VALUES (24853, 65, 14155, 1, 1116, 105, 56);
INSERT INTO public.who_data VALUES (24854, 2, 5227, 0, 112, 105, 167);
INSERT INTO public.who_data VALUES (24855, 4454, 152186, 25, 6158, 105, 23);
INSERT INTO public.who_data VALUES (24856, 4189, 228080, 69, 2809, 105, 222);
INSERT INTO public.who_data VALUES (24857, 45, 6147, 4, 313, 105, 219);
INSERT INTO public.who_data VALUES (24858, 38, 11294, 0, 83, 105, 7);
INSERT INTO public.who_data VALUES (24859, 7, 3837, 0, 60, 105, 161);
INSERT INTO public.who_data VALUES (24860, 24957, 1171445, 413, 48888, 105, 149);
INSERT INTO public.who_data VALUES (24861, 0, 30, 0, 0, 105, 6);
INSERT INTO public.who_data VALUES (24862, 0, 2442, 0, 57, 105, 139);
INSERT INTO public.who_data VALUES (24863, 0, 0, 0, 0, 105, 211);
INSERT INTO public.who_data VALUES (24864, 0, 0, 0, 0, 105, 14);
INSERT INTO public.who_data VALUES (24865, 24, 5798, 0, 111, 105, 111);
INSERT INTO public.who_data VALUES (24866, 1584, 69543, 61, 1848, 105, 207);
INSERT INTO public.who_data VALUES (24867, 9213, 1084929, 81, 10803, 105, 66);
INSERT INTO public.who_data VALUES (24868, 0, 0, 0, 0, 105, 173);
INSERT INTO public.who_data VALUES (24869, 2, 707, 0, 6, 105, 145);
INSERT INTO public.who_data VALUES (24870, 0, 0, 0, 0, 105, 65);
INSERT INTO public.who_data VALUES (24871, 214, 14066, 0, 131, 105, 184);
INSERT INTO public.who_data VALUES (24872, 9397, 460331, 138, 8450, 105, 98);
INSERT INTO public.who_data VALUES (24873, 1141, 141032, 4, 514, 105, 104);
INSERT INTO public.who_data VALUES (24874, 0, 509, 0, 21, 105, 73);
INSERT INTO public.who_data VALUES (24875, 131821, 9636579, 1208, 234500, 105, 8);
INSERT INTO public.who_data VALUES (24876, 0, 1390, 0, 23, 105, 227);
INSERT INTO public.who_data VALUES (24877, 61, 3370, 0, 61, 105, 75);
INSERT INTO public.who_data VALUES (24878, 370, 68593, 2, 581, 105, 45);
INSERT INTO public.who_data VALUES (24879, 0, 0, 0, 0, 105, 133);
INSERT INTO public.who_data VALUES (24880, 384, 94305, 2, 821, 105, 202);
INSERT INTO public.who_data VALUES (24881, 0, 1213, 0, 35, 105, 129);
INSERT INTO public.who_data VALUES (24882, 0, 1, 0, 0, 105, 36);
INSERT INTO public.who_data VALUES (24883, 0, 2070, 0, 602, 105, 51);
INSERT INTO public.who_data VALUES (24884, 89, 16908, 0, 349, 105, 206);
INSERT INTO public.who_data VALUES (24885, 0, 8471, 0, 250, 105, 5);
INSERT INTO public.who_data VALUES (24886, 40, 41975, 0, 1554, 106, 103);
INSERT INTO public.who_data VALUES (24887, 489, 23210, 6, 549, 106, 58);
INSERT INTO public.who_data VALUES (24888, 1897, 60169, 38, 2011, 106, 195);
INSERT INTO public.who_data VALUES (24889, 0, 0, 0, 0, 106, 115);
INSERT INTO public.who_data VALUES (24890, 0, 5135, 0, 75, 106, 99);
INSERT INTO public.who_data VALUES (24891, 121, 12223, 1, 300, 106, 153);
INSERT INTO public.who_data VALUES (24892, 0, 3, 0, 0, 106, 93);
INSERT INTO public.who_data VALUES (24893, 0, 130, 0, 3, 106, 84);
INSERT INTO public.who_data VALUES (24894, 11100, 1217028, 246, 32766, 106, 78);
INSERT INTO public.who_data VALUES (24895, 2476, 103562, 27, 1528, 106, 170);
INSERT INTO public.who_data VALUES (24896, 11, 4564, 0, 39, 106, 32);
INSERT INTO public.who_data VALUES (24897, 12, 27645, 0, 907, 106, 155);
INSERT INTO public.who_data VALUES (24898, 6324, 138604, 44, 1295, 106, 82);
INSERT INTO public.who_data VALUES (24899, 1465, 62338, 17, 811, 106, 16);
INSERT INTO public.who_data VALUES (24900, 34, 6916, 1, 151, 106, 72);
INSERT INTO public.who_data VALUES (24901, 237, 83023, 0, 328, 106, 43);
INSERT INTO public.who_data VALUES (24902, 1469, 417475, 15, 6036, 106, 120);
INSERT INTO public.who_data VALUES (24903, 0, 239, 0, 7, 106, 213);
INSERT INTO public.who_data VALUES (24904, 1988, 105283, 6, 1004, 106, 31);
INSERT INTO public.who_data VALUES (24905, 6648, 500987, 211, 12993, 106, 204);
INSERT INTO public.who_data VALUES (24906, 72, 3977, 2, 66, 106, 152);
INSERT INTO public.who_data VALUES (24907, 0, 2745, 0, 43, 106, 144);
INSERT INTO public.who_data VALUES (24908, 1, 207, 0, 9, 106, 96);
INSERT INTO public.who_data VALUES (24909, 0, 358, 0, 0, 106, 47);
INSERT INTO public.who_data VALUES (24910, 139, 142201, 10, 8768, 106, 80);
INSERT INTO public.who_data VALUES (24911, 0, 135, 0, 3, 106, 159);
INSERT INTO public.who_data VALUES (24912, 1907, 59428, 55, 1457, 106, 27);
INSERT INTO public.who_data VALUES (24913, 0, 7835, 0, 27, 106, 146);
INSERT INTO public.who_data VALUES (24914, 22294, 5612319, 630, 161736, 106, 71);
INSERT INTO public.who_data VALUES (24915, 0, 72, 0, 1, 106, 210);
INSERT INTO public.who_data VALUES (24916, 0, 148, 0, 3, 106, 54);
INSERT INTO public.who_data VALUES (24917, 3839, 72184, 58, 1576, 106, 147);
INSERT INTO public.who_data VALUES (24918, 12, 2562, 0, 67, 106, 2);
INSERT INTO public.who_data VALUES (24919, 7, 612, 0, 1, 106, 105);
INSERT INTO public.who_data VALUES (24920, 75, 9224, 3, 100, 106, 53);
INSERT INTO public.who_data VALUES (24921, 2, 294, 0, 0, 106, 81);
INSERT INTO public.who_data VALUES (24922, 239, 22342, 0, 429, 106, 223);
INSERT INTO public.who_data VALUES (24923, 3635, 251338, 50, 10381, 106, 94);
INSERT INTO public.who_data VALUES (24924, 1, 245, 0, 1, 106, 154);
INSERT INTO public.who_data VALUES (24925, 13, 4879, 0, 62, 106, 83);
INSERT INTO public.who_data VALUES (24926, 9, 1538, 0, 99, 106, 194);
INSERT INTO public.who_data VALUES (24927, 1808, 518390, 46, 14450, 106, 136);
INSERT INTO public.who_data VALUES (24928, 43, 92164, 0, 4748, 106, 179);
INSERT INTO public.who_data VALUES (24929, 9893, 1117977, 196, 32209, 106, 57);
INSERT INTO public.who_data VALUES (24930, 0, 557, 0, 7, 106, 35);
INSERT INTO public.who_data VALUES (24931, 0, 5379, 0, 92, 106, 228);
INSERT INTO public.who_data VALUES (24932, 0, 0, 0, 0, 106, 19);
INSERT INTO public.who_data VALUES (24933, 1106, 114367, 13, 1444, 106, 22);
INSERT INTO public.who_data VALUES (24934, 12, 20801, 0, 126, 106, 1);
INSERT INTO public.who_data VALUES (24935, 2890, 62305, 34, 717, 106, 21);
INSERT INTO public.who_data VALUES (24936, 44, 7228, 1, 130, 106, 234);
INSERT INTO public.who_data VALUES (24937, 9, 1030, 0, 2, 106, 91);
INSERT INTO public.who_data VALUES (24938, 224, 5557, 0, 26, 106, 137);
INSERT INTO public.who_data VALUES (24939, 11552, 403497, 196, 4526, 106, 201);
INSERT INTO public.who_data VALUES (24940, 0, 0, 0, 0, 106, 171);
INSERT INTO public.who_data VALUES (24941, 31, 11516, 0, 315, 106, 92);
INSERT INTO public.who_data VALUES (24942, 1427, 53180, 5, 738, 106, 112);
INSERT INTO public.who_data VALUES (24943, 5, 5604, 0, 61, 106, 62);
INSERT INTO public.who_data VALUES (24944, 0, 50, 0, 0, 106, 69);
INSERT INTO public.who_data VALUES (24945, 476, 129300, 1, 2261, 106, 220);
INSERT INTO public.who_data VALUES (24946, 725, 172508, 31, 12761, 106, 100);
INSERT INTO public.who_data VALUES (24947, 224, 108754, 14, 6343, 106, 187);
INSERT INTO public.who_data VALUES (24948, 184, 34966, 5, 1002, 106, 63);
INSERT INTO public.who_data VALUES (24949, 0, 5092, 0, 85, 106, 28);
INSERT INTO public.who_data VALUES (24950, 0, 484, 0, 0, 106, 172);
INSERT INTO public.who_data VALUES (24951, 241, 5705, 0, 73, 106, 17);
INSERT INTO public.who_data VALUES (24952, 9, 5976, 0, 117, 106, 226);
INSERT INTO public.who_data VALUES (24953, 355, 98746, 4, 1512, 106, 236);
INSERT INTO public.who_data VALUES (24954, 0, 13, 0, 0, 106, 76);
INSERT INTO public.who_data VALUES (24955, 0, 495, 0, 0, 106, 30);
INSERT INTO public.who_data VALUES (24956, 0, 34, 0, 2, 106, 128);
INSERT INTO public.who_data VALUES (24957, 266, 17385, 1, 362, 106, 86);
INSERT INTO public.who_data VALUES (24958, 60232, 1627567, 827, 39545, 106, 140);
INSERT INTO public.who_data VALUES (24959, 27, 10647, 0, 70, 106, 44);
INSERT INTO public.who_data VALUES (24960, 241, 9995, 0, 39, 106, 113);
INSERT INTO public.who_data VALUES (24961, 17, 9022, 0, 55, 106, 29);
INSERT INTO public.who_data VALUES (24962, 1, 3681, 0, 120, 106, 125);
INSERT INTO public.who_data VALUES (24963, 2859, 54852, 18, 441, 106, 131);
INSERT INTO public.who_data VALUES (24964, 23399, 642488, 130, 11226, 106, 46);
INSERT INTO public.who_data VALUES (24965, 0, 48788, 0, 320, 106, 10);
INSERT INTO public.who_data VALUES (24966, 11, 754, 0, 0, 106, 205);
INSERT INTO public.who_data VALUES (24967, 2447, 52254, 13, 715, 106, 50);
INSERT INTO public.who_data VALUES (24968, 0, 17, 0, 0, 106, 20);
INSERT INTO public.who_data VALUES (24969, 0, 30, 0, 0, 106, 13);
INSERT INTO public.who_data VALUES (24970, 0, 7903, 0, 133, 106, 148);
INSERT INTO public.who_data VALUES (24971, 67, 4998, 1, 88, 106, 230);
INSERT INTO public.who_data VALUES (24972, 653, 110502, 28, 3794, 106, 190);
INSERT INTO public.who_data VALUES (24973, 1, 274, 0, 13, 106, 188);
INSERT INTO public.who_data VALUES (24974, 0, 12363, 0, 73, 106, 123);
INSERT INTO public.who_data VALUES (24975, 0, 2413, 0, 41, 106, 9);
INSERT INTO public.who_data VALUES (24976, 69, 4393, 0, 130, 106, 102);
INSERT INTO public.who_data VALUES (24977, 0, 9109, 0, 232, 106, 34);
INSERT INTO public.who_data VALUES (24978, 0, 26, 0, 0, 106, 212);
INSERT INTO public.who_data VALUES (24979, 223, 99347, 6, 2736, 106, 122);
INSERT INTO public.who_data VALUES (24980, 5318, 104943, 107, 2357, 106, 38);
INSERT INTO public.who_data VALUES (24981, 22, 5039, 0, 18, 106, 130);
INSERT INTO public.who_data VALUES (24982, 50356, 8462080, 577, 125562, 106, 37);
INSERT INTO public.who_data VALUES (24983, 0, 429574, 0, 14442, 106, 231);
INSERT INTO public.who_data VALUES (24984, 8864, 663800, 424, 37409, 106, 107);
INSERT INTO public.who_data VALUES (24985, 3568, 493139, 69, 11244, 106, 101);
INSERT INTO public.who_data VALUES (24986, 492, 64538, 7, 1940, 106, 132);
INSERT INTO public.who_data VALUES (24987, 0, 357, 0, 24, 106, 176);
INSERT INTO public.who_data VALUES (24988, 570, 317990, 14, 2656, 106, 200);
INSERT INTO public.who_data VALUES (24989, 37802, 862681, 446, 40638, 106, 169);
INSERT INTO public.who_data VALUES (24990, 53, 9426, 1, 218, 106, 225);
INSERT INTO public.who_data VALUES (24991, 1132, 105914, 3, 1809, 106, 165);
INSERT INTO public.who_data VALUES (24992, 12, 632, 0, 32, 106, 233);
INSERT INTO public.who_data VALUES (24993, 5384, 101248, 67, 1136, 106, 215);
INSERT INTO public.who_data VALUES (24994, 899, 155220, 0, 2259, 106, 177);
INSERT INTO public.who_data VALUES (24995, 1109, 60704, 21, 1093, 106, 183);
INSERT INTO public.who_data VALUES (24996, 0, 0, 0, 0, 106, 203);
INSERT INTO public.who_data VALUES (24997, 728, 22891, 12, 722, 106, 162);
INSERT INTO public.who_data VALUES (24998, 825, 130463, 5, 804, 106, 12);
INSERT INTO public.who_data VALUES (24999, 556, 62304, 2, 1172, 106, 24);
INSERT INTO public.who_data VALUES (25000, 0, 24, 0, 0, 106, 119);
INSERT INTO public.who_data VALUES (25001, 357, 7476, 7, 95, 106, 39);
INSERT INTO public.who_data VALUES (25002, 2142, 91328, 17, 700, 106, 26);
INSERT INTO public.who_data VALUES (25003, 0, 1963, 0, 44, 106, 59);
INSERT INTO public.who_data VALUES (25004, 0, 1436, 0, 82, 106, 77);
INSERT INTO public.who_data VALUES (25005, 1004, 66444, 8, 915, 106, 134);
INSERT INTO public.who_data VALUES (25006, 22, 803, 0, 3, 106, 4);
INSERT INTO public.who_data VALUES (25007, 1939, 22659, 10, 196, 106, 109);
INSERT INTO public.who_data VALUES (25008, 659, 21806, 3, 180, 106, 90);
INSERT INTO public.who_data VALUES (25009, 0, 17111, 0, 244, 106, 61);
INSERT INTO public.who_data VALUES (25010, 2, 5942, 0, 184, 106, 85);
INSERT INTO public.who_data VALUES (25011, 1755, 38189, 2, 279, 106, 49);
INSERT INTO public.who_data VALUES (25012, 39, 11932, 1, 39, 106, 208);
INSERT INTO public.who_data VALUES (25013, 0, 3633, 0, 137, 106, 166);
INSERT INTO public.who_data VALUES (25014, 129, 6882, 4, 70, 106, 64);
INSERT INTO public.who_data VALUES (25015, 0, 1, 0, 0, 106, 199);
INSERT INTO public.who_data VALUES (25016, 0, 4215, 0, 33, 106, 114);
INSERT INTO public.who_data VALUES (25017, 0, 7725, 0, 163, 106, 60);
INSERT INTO public.who_data VALUES (25018, 0, 452, 0, 10, 106, 68);
INSERT INTO public.who_data VALUES (25019, 0, 4550, 0, 45, 106, 158);
INSERT INTO public.who_data VALUES (25020, 5567, 949197, 544, 93772, 106, 52);
INSERT INTO public.who_data VALUES (25021, 0, 0, 0, 0, 106, 117);
INSERT INTO public.who_data VALUES (25022, 24, 457, 0, 2, 106, 126);
INSERT INTO public.who_data VALUES (25023, 3, 356, 0, 0, 106, 196);
INSERT INTO public.who_data VALUES (25024, 429, 22713, 3, 332, 106, 142);
INSERT INTO public.who_data VALUES (25025, 0, 13, 0, 1, 106, 185);
INSERT INTO public.who_data VALUES (25026, 5398, 246349, 68, 4127, 106, 138);
INSERT INTO public.who_data VALUES (25027, 94, 13485, 2, 99, 106, 181);
INSERT INTO public.who_data VALUES (25028, 1342, 59277, 24, 1376, 106, 178);
INSERT INTO public.who_data VALUES (25029, 52, 13143, 0, 133, 106, 168);
INSERT INTO public.who_data VALUES (25030, 0, 0, 0, 0, 106, 160);
INSERT INTO public.who_data VALUES (25031, 2909, 188883, 18, 1070, 106, 151);
INSERT INTO public.who_data VALUES (25032, 7227, 396671, 116, 7875, 106, 193);
INSERT INTO public.who_data VALUES (25033, 0, 29, 0, 0, 106, 18);
INSERT INTO public.who_data VALUES (25034, 2, 1620, 0, 25, 106, 40);
INSERT INTO public.who_data VALUES (25035, 0, 4480, 0, 157, 106, 218);
INSERT INTO public.who_data VALUES (25036, 0, 1222, 0, 69, 106, 191);
INSERT INTO public.who_data VALUES (25037, 223, 63731, 1, 1156, 106, 156);
INSERT INTO public.who_data VALUES (25038, 0, 0, 0, 0, 106, 135);
INSERT INTO public.who_data VALUES (25039, 0, 98, 0, 2, 106, 88);
INSERT INTO public.who_data VALUES (25040, 1127, 37499, 12, 1096, 106, 55);
INSERT INTO public.who_data VALUES (25041, 650, 23225, 1, 285, 106, 108);
INSERT INTO public.who_data VALUES (25042, 681, 69181, 3, 583, 106, 48);
INSERT INTO public.who_data VALUES (25043, 0, 117167, 0, 1286, 106, 3);
INSERT INTO public.who_data VALUES (25044, 0, 741, 0, 13, 106, 224);
INSERT INTO public.who_data VALUES (25045, 1376, 340251, 30, 6923, 106, 110);
INSERT INTO public.who_data VALUES (25046, 0, 0, 0, 0, 106, 106);
INSERT INTO public.who_data VALUES (25047, 543, 136567, 12, 2756, 106, 89);
INSERT INTO public.who_data VALUES (25048, 0, 597, 0, 7, 106, 121);
INSERT INTO public.who_data VALUES (25049, 520, 65778, 8, 1462, 106, 163);
INSERT INTO public.who_data VALUES (25050, 2935, 914722, 59, 34730, 106, 70);
INSERT INTO public.who_data VALUES (25051, 2084, 391809, 52, 7461, 106, 174);
INSERT INTO public.who_data VALUES (25052, 0, 0, 0, 0, 106, 175);
INSERT INTO public.who_data VALUES (25053, 27086, 493765, 445, 7287, 106, 118);
INSERT INTO public.who_data VALUES (25054, 5550, 166900, 52, 2792, 106, 189);
INSERT INTO public.who_data VALUES (25055, 1103, 70519, 7, 862, 106, 124);
INSERT INTO public.who_data VALUES (25056, 192, 133811, 0, 232, 106, 192);
INSERT INTO public.who_data VALUES (25057, 89, 27283, 1, 477, 106, 41);
INSERT INTO public.who_data VALUES (25058, 935, 80501, 16, 1882, 106, 95);
INSERT INTO public.who_data VALUES (25059, 227, 6264, 1, 27, 106, 74);
INSERT INTO public.who_data VALUES (25060, 10260, 287062, 123, 7663, 106, 11);
INSERT INTO public.who_data VALUES (25061, 20396, 1753836, 364, 30251, 106, 87);
INSERT INTO public.who_data VALUES (25062, 16, 5208, 0, 36, 106, 214);
INSERT INTO public.who_data VALUES (25063, 0, 5, 0, 0, 106, 116);
INSERT INTO public.who_data VALUES (25064, 0, 90, 0, 0, 106, 157);
INSERT INTO public.who_data VALUES (25065, 0, 0, 0, 0, 106, 182);
INSERT INTO public.who_data VALUES (25066, 0, 19, 0, 0, 106, 186);
INSERT INTO public.who_data VALUES (25067, 4, 110, 0, 0, 106, 127);
INSERT INTO public.who_data VALUES (25068, 0, 604, 0, 12, 106, 232);
INSERT INTO public.who_data VALUES (25069, 0, 13, 0, 0, 106, 33);
INSERT INTO public.who_data VALUES (25070, 1, 76, 0, 0, 106, 97);
INSERT INTO public.who_data VALUES (25071, 0, 0, 0, 0, 106, 42);
INSERT INTO public.who_data VALUES (25072, 58, 1101, 0, 42, 106, 198);
INSERT INTO public.who_data VALUES (25073, 2, 960, 0, 16, 106, 216);
INSERT INTO public.who_data VALUES (25074, 436, 349822, 17, 5506, 106, 164);
INSERT INTO public.who_data VALUES (25075, 0, 15668, 0, 326, 106, 235);
INSERT INTO public.who_data VALUES (25076, 2282, 57958, 10, 871, 106, 67);
INSERT INTO public.who_data VALUES (25077, 0, 154, 0, 0, 106, 15);
INSERT INTO public.who_data VALUES (25078, 0, 2373, 0, 74, 106, 180);
INSERT INTO public.who_data VALUES (25079, 4, 58047, 0, 28, 106, 237);
INSERT INTO public.who_data VALUES (25080, 0, 14, 0, 0, 106, 25);
INSERT INTO public.who_data VALUES (25081, 0, 870, 0, 22, 106, 209);
INSERT INTO public.who_data VALUES (25082, 1962, 68734, 25, 286, 106, 217);
INSERT INTO public.who_data VALUES (25083, 1567, 42686, 28, 563, 106, 79);
INSERT INTO public.who_data VALUES (25084, 0, 13, 0, 0, 106, 143);
INSERT INTO public.who_data VALUES (25085, 0, 4229, 0, 107, 106, 229);
INSERT INTO public.who_data VALUES (25086, 1761, 734175, 72, 19749, 106, 141);
INSERT INTO public.who_data VALUES (25087, 0, 2943, 0, 59, 106, 197);
INSERT INTO public.who_data VALUES (25088, 24354, 1422867, 310, 40693, 106, 221);
INSERT INTO public.who_data VALUES (25089, 400, 12970, 1, 30, 106, 150);
INSERT INTO public.who_data VALUES (25090, 57, 14090, 0, 1115, 106, 56);
INSERT INTO public.who_data VALUES (25091, 5, 5225, 0, 112, 106, 167);
INSERT INTO public.who_data VALUES (25092, 4744, 147732, 22, 6133, 106, 23);
INSERT INTO public.who_data VALUES (25093, 7377, 223891, 92, 2740, 106, 222);
INSERT INTO public.who_data VALUES (25094, 62, 6102, 4, 309, 106, 219);
INSERT INTO public.who_data VALUES (25095, 37, 11256, 0, 83, 106, 7);
INSERT INTO public.who_data VALUES (25096, 12, 3830, 0, 60, 106, 161);
INSERT INTO public.who_data VALUES (25097, 23287, 1146488, 355, 48475, 106, 149);
INSERT INTO public.who_data VALUES (25098, 0, 30, 0, 0, 106, 6);
INSERT INTO public.who_data VALUES (25099, 0, 2442, 0, 57, 106, 139);
INSERT INTO public.who_data VALUES (25100, 0, 0, 0, 0, 106, 211);
INSERT INTO public.who_data VALUES (25101, 0, 0, 0, 0, 106, 14);
INSERT INTO public.who_data VALUES (25102, 10, 5774, 1, 111, 106, 111);
INSERT INTO public.who_data VALUES (25103, 1625, 67959, 66, 1787, 106, 207);
INSERT INTO public.who_data VALUES (25104, 9166, 1075716, 83, 10722, 106, 66);
INSERT INTO public.who_data VALUES (25105, 0, 0, 0, 0, 106, 173);
INSERT INTO public.who_data VALUES (25106, 0, 705, 0, 6, 106, 145);
INSERT INTO public.who_data VALUES (25107, 0, 0, 0, 0, 106, 65);
INSERT INTO public.who_data VALUES (25108, 284, 13852, 14, 131, 106, 184);
INSERT INTO public.who_data VALUES (25109, 10746, 450934, 186, 8312, 106, 98);
INSERT INTO public.who_data VALUES (25110, 1292, 139891, 2, 510, 106, 104);
INSERT INTO public.who_data VALUES (25111, 0, 509, 0, 21, 106, 73);
INSERT INTO public.who_data VALUES (25112, 116780, 9504758, 1126, 233292, 106, 8);
INSERT INTO public.who_data VALUES (25113, 2, 1390, 0, 23, 106, 227);
INSERT INTO public.who_data VALUES (25114, 64, 3309, 0, 61, 106, 75);
INSERT INTO public.who_data VALUES (25115, 84, 68223, 0, 579, 106, 45);
INSERT INTO public.who_data VALUES (25116, 0, 0, 0, 0, 106, 133);
INSERT INTO public.who_data VALUES (25117, 441, 93921, 5, 819, 106, 202);
INSERT INTO public.who_data VALUES (25118, 3, 1213, 0, 35, 106, 129);
INSERT INTO public.who_data VALUES (25119, 0, 1, 0, 0, 106, 36);
INSERT INTO public.who_data VALUES (25120, 0, 2070, 0, 602, 106, 51);
INSERT INTO public.who_data VALUES (25121, 49, 16819, 0, 349, 106, 206);
INSERT INTO public.who_data VALUES (25122, 28, 8471, 2, 250, 106, 5);
INSERT INTO public.who_data VALUES (25123, 121, 41935, 6, 1554, 107, 103);
INSERT INTO public.who_data VALUES (25124, 421, 22721, 7, 543, 107, 58);
INSERT INTO public.who_data VALUES (25125, 330, 58272, 9, 1973, 107, 195);
INSERT INTO public.who_data VALUES (25126, 0, 0, 0, 0, 107, 115);
INSERT INTO public.who_data VALUES (25127, 90, 5135, 0, 75, 107, 99);
INSERT INTO public.who_data VALUES (25128, 289, 12102, 3, 299, 107, 153);
INSERT INTO public.who_data VALUES (25129, 0, 3, 0, 0, 107, 93);
INSERT INTO public.who_data VALUES (25130, 0, 130, 0, 3, 107, 84);
INSERT INTO public.who_data VALUES (25131, 9516, 1205928, 468, 32520, 107, 78);
INSERT INTO public.who_data VALUES (25132, 2210, 101086, 30, 1501, 107, 170);
INSERT INTO public.who_data VALUES (25133, 15, 4553, 1, 39, 107, 32);
INSERT INTO public.who_data VALUES (25134, 11, 27633, 0, 907, 107, 155);
INSERT INTO public.who_data VALUES (25135, 7051, 132280, 47, 1251, 107, 82);
INSERT INTO public.who_data VALUES (25136, 1364, 60873, 14, 794, 107, 16);
INSERT INTO public.who_data VALUES (25137, 39, 6882, 0, 150, 107, 72);
INSERT INTO public.who_data VALUES (25138, 162, 82786, 1, 328, 107, 43);
INSERT INTO public.who_data VALUES (25139, 1842, 416006, 17, 6021, 107, 120);
INSERT INTO public.who_data VALUES (25140, 1, 239, 0, 7, 107, 213);
INSERT INTO public.who_data VALUES (25141, 982, 103295, 3, 998, 107, 31);
INSERT INTO public.who_data VALUES (25142, 7660, 494339, 207, 12782, 107, 204);
INSERT INTO public.who_data VALUES (25143, 115, 3905, 3, 64, 107, 152);
INSERT INTO public.who_data VALUES (25144, 0, 2745, 0, 43, 107, 144);
INSERT INTO public.who_data VALUES (25145, 0, 206, 0, 9, 107, 96);
INSERT INTO public.who_data VALUES (25146, 0, 358, 0, 0, 107, 47);
INSERT INTO public.who_data VALUES (25147, 126, 142062, 7, 8758, 107, 80);
INSERT INTO public.who_data VALUES (25148, 1, 135, 0, 3, 107, 159);
INSERT INTO public.who_data VALUES (25149, 1919, 57521, 43, 1402, 107, 27);
INSERT INTO public.who_data VALUES (25150, 1193, 7835, 3, 27, 107, 146);
INSERT INTO public.who_data VALUES (25151, 23976, 5590025, 610, 161106, 107, 71);
INSERT INTO public.who_data VALUES (25152, 0, 72, 0, 1, 107, 210);
INSERT INTO public.who_data VALUES (25153, 0, 148, 0, 3, 107, 54);
INSERT INTO public.who_data VALUES (25154, 3754, 68345, 52, 1518, 107, 147);
INSERT INTO public.who_data VALUES (25155, 11, 2550, 0, 67, 107, 2);
INSERT INTO public.who_data VALUES (25156, 5, 605, 0, 1, 107, 105);
INSERT INTO public.who_data VALUES (25157, 96, 9149, 2, 97, 107, 53);
INSERT INTO public.who_data VALUES (25158, 0, 292, 0, 0, 107, 81);
INSERT INTO public.who_data VALUES (25159, 0, 22103, 0, 429, 107, 223);
INSERT INTO public.who_data VALUES (25160, 2768, 247703, 52, 10331, 107, 94);
INSERT INTO public.who_data VALUES (25161, 2, 244, 0, 1, 107, 154);
INSERT INTO public.who_data VALUES (25162, 0, 4866, 0, 62, 107, 83);
INSERT INTO public.who_data VALUES (25163, 12, 1529, 0, 99, 107, 194);
INSERT INTO public.who_data VALUES (25164, 1540, 516582, 64, 14404, 107, 136);
INSERT INTO public.who_data VALUES (25165, 44, 92121, 1, 4748, 107, 179);
INSERT INTO public.who_data VALUES (25166, 8692, 1108084, 166, 32013, 107, 57);
INSERT INTO public.who_data VALUES (25167, 3, 557, 0, 7, 107, 35);
INSERT INTO public.who_data VALUES (25168, 31, 5379, 0, 92, 107, 228);
INSERT INTO public.who_data VALUES (25169, 0, 0, 0, 0, 107, 19);
INSERT INTO public.who_data VALUES (25170, 1141, 113261, 12, 1431, 107, 22);
INSERT INTO public.who_data VALUES (25171, 11, 20789, 0, 126, 107, 1);
INSERT INTO public.who_data VALUES (25172, 2848, 59415, 29, 683, 107, 21);
INSERT INTO public.who_data VALUES (25173, 40, 7184, 0, 129, 107, 234);
INSERT INTO public.who_data VALUES (25174, 21, 1021, 1, 2, 107, 91);
INSERT INTO public.who_data VALUES (25175, 233, 5333, 0, 26, 107, 137);
INSERT INTO public.who_data VALUES (25176, 13229, 391945, 197, 4330, 107, 201);
INSERT INTO public.who_data VALUES (25177, 0, 0, 0, 0, 107, 171);
INSERT INTO public.who_data VALUES (25178, 36, 11485, 0, 315, 107, 92);
INSERT INTO public.who_data VALUES (25179, 1223, 51753, 4, 733, 107, 112);
INSERT INTO public.who_data VALUES (25180, 19, 5599, 0, 61, 107, 62);
INSERT INTO public.who_data VALUES (25181, 0, 50, 0, 0, 107, 69);
INSERT INTO public.who_data VALUES (25182, 546, 128824, 3, 2260, 107, 220);
INSERT INTO public.who_data VALUES (25183, 350, 171783, 26, 12730, 107, 100);
INSERT INTO public.who_data VALUES (25184, 201, 108530, 11, 6329, 107, 187);
INSERT INTO public.who_data VALUES (25185, 767, 34782, 5, 997, 107, 63);
INSERT INTO public.who_data VALUES (25186, 3, 5092, 2, 85, 107, 28);
INSERT INTO public.who_data VALUES (25187, 4, 484, 0, 0, 107, 172);
INSERT INTO public.who_data VALUES (25188, 131, 5464, 0, 73, 107, 17);
INSERT INTO public.who_data VALUES (25189, 12, 5967, 0, 117, 107, 226);
INSERT INTO public.who_data VALUES (25190, 510, 98391, 5, 1508, 107, 236);
INSERT INTO public.who_data VALUES (25191, 0, 13, 0, 0, 107, 76);
INSERT INTO public.who_data VALUES (25192, 0, 495, 0, 0, 107, 30);
INSERT INTO public.who_data VALUES (25193, 0, 34, 0, 2, 107, 128);
INSERT INTO public.who_data VALUES (25194, 189, 17119, 0, 361, 107, 86);
INSERT INTO public.who_data VALUES (25195, 58016, 1567335, 363, 38718, 107, 140);
INSERT INTO public.who_data VALUES (25196, 29, 10620, 0, 70, 107, 44);
INSERT INTO public.who_data VALUES (25197, 467, 9754, 0, 39, 107, 113);
INSERT INTO public.who_data VALUES (25198, 0, 9005, 0, 55, 107, 29);
INSERT INTO public.who_data VALUES (25199, 1, 3680, 1, 120, 107, 125);
INSERT INTO public.who_data VALUES (25200, 2775, 51993, 22, 423, 107, 131);
INSERT INTO public.who_data VALUES (25201, 21506, 619089, 166, 11096, 107, 46);
INSERT INTO public.who_data VALUES (25202, 145, 48788, 0, 320, 107, 10);
INSERT INTO public.who_data VALUES (25203, 13, 743, 0, 0, 107, 205);
INSERT INTO public.who_data VALUES (25204, 2915, 49807, 29, 702, 107, 50);
INSERT INTO public.who_data VALUES (25205, 0, 17, 0, 0, 107, 20);
INSERT INTO public.who_data VALUES (25206, 1, 30, 0, 0, 107, 13);
INSERT INTO public.who_data VALUES (25207, 0, 7903, 0, 133, 107, 148);
INSERT INTO public.who_data VALUES (25208, 101, 4931, 4, 87, 107, 230);
INSERT INTO public.who_data VALUES (25209, 702, 109849, 14, 3766, 107, 190);
INSERT INTO public.who_data VALUES (25210, 1, 273, 0, 13, 107, 188);
INSERT INTO public.who_data VALUES (25211, 32, 12363, 0, 73, 107, 123);
INSERT INTO public.who_data VALUES (25212, 0, 2413, 0, 41, 107, 9);
INSERT INTO public.who_data VALUES (25213, 79, 4324, 2, 130, 107, 102);
INSERT INTO public.who_data VALUES (25214, 9, 9109, 0, 232, 107, 34);
INSERT INTO public.who_data VALUES (25215, 0, 26, 0, 0, 107, 212);
INSERT INTO public.who_data VALUES (25216, 436, 99124, 24, 2730, 107, 122);
INSERT INTO public.who_data VALUES (25217, 4709, 99625, 103, 2250, 107, 38);
INSERT INTO public.who_data VALUES (25218, 28, 5017, 1, 18, 107, 130);
INSERT INTO public.who_data VALUES (25219, 47638, 8411724, 670, 124985, 107, 37);
INSERT INTO public.who_data VALUES (25220, 7843, 429574, 183, 14442, 107, 231);
INSERT INTO public.who_data VALUES (25221, 8772, 654936, 406, 36985, 107, 107);
INSERT INTO public.who_data VALUES (25222, 3701, 489571, 47, 11175, 107, 101);
INSERT INTO public.who_data VALUES (25223, 563, 64046, 3, 1933, 107, 132);
INSERT INTO public.who_data VALUES (25224, 1, 357, 0, 24, 107, 176);
INSERT INTO public.who_data VALUES (25225, 769, 317420, 16, 2642, 107, 200);
INSERT INTO public.who_data VALUES (25226, 34502, 824879, 428, 40192, 107, 169);
INSERT INTO public.who_data VALUES (25227, 47, 9373, 2, 217, 107, 225);
INSERT INTO public.who_data VALUES (25228, 944, 104782, 12, 1806, 107, 165);
INSERT INTO public.who_data VALUES (25229, 12, 620, 0, 32, 107, 233);
INSERT INTO public.who_data VALUES (25230, 4630, 95864, 40, 1069, 107, 215);
INSERT INTO public.who_data VALUES (25231, 774, 154321, 0, 2259, 107, 177);
INSERT INTO public.who_data VALUES (25232, 1008, 59595, 21, 1072, 107, 183);
INSERT INTO public.who_data VALUES (25233, 0, 0, 0, 0, 107, 203);
INSERT INTO public.who_data VALUES (25234, 661, 22163, 6, 710, 107, 162);
INSERT INTO public.who_data VALUES (25235, 795, 129638, 5, 799, 107, 12);
INSERT INTO public.who_data VALUES (25236, 439, 61748, 3, 1170, 107, 24);
INSERT INTO public.who_data VALUES (25237, 0, 24, 0, 0, 107, 119);
INSERT INTO public.who_data VALUES (25238, 367, 7119, 3, 88, 107, 39);
INSERT INTO public.who_data VALUES (25239, 2089, 89186, 7, 683, 107, 26);
INSERT INTO public.who_data VALUES (25240, 2, 1963, 0, 44, 107, 59);
INSERT INTO public.who_data VALUES (25241, 0, 1436, 0, 82, 107, 77);
INSERT INTO public.who_data VALUES (25242, 853, 65440, 7, 907, 107, 134);
INSERT INTO public.who_data VALUES (25243, 39, 781, 0, 3, 107, 4);
INSERT INTO public.who_data VALUES (25244, 1649, 20720, 7, 186, 107, 109);
INSERT INTO public.who_data VALUES (25245, 803, 21147, 6, 177, 107, 90);
INSERT INTO public.who_data VALUES (25246, 0, 17111, 0, 244, 107, 61);
INSERT INTO public.who_data VALUES (25247, 6, 5940, 0, 184, 107, 85);
INSERT INTO public.who_data VALUES (25248, 1009, 36434, 6, 277, 107, 49);
INSERT INTO public.who_data VALUES (25249, 71, 11893, 0, 38, 107, 208);
INSERT INTO public.who_data VALUES (25250, 49, 3633, 1, 137, 107, 166);
INSERT INTO public.who_data VALUES (25251, 173, 6753, 4, 66, 107, 64);
INSERT INTO public.who_data VALUES (25252, 0, 1, 0, 0, 107, 199);
INSERT INTO public.who_data VALUES (25253, 0, 4215, 0, 33, 107, 114);
INSERT INTO public.who_data VALUES (25254, 0, 7725, 0, 163, 107, 60);
INSERT INTO public.who_data VALUES (25255, 0, 452, 0, 10, 107, 68);
INSERT INTO public.who_data VALUES (25256, 0, 4550, 0, 45, 107, 158);
INSERT INTO public.who_data VALUES (25257, 5225, 943630, 635, 93228, 107, 52);
INSERT INTO public.who_data VALUES (25258, 0, 0, 0, 0, 107, 117);
INSERT INTO public.who_data VALUES (25259, 18, 433, 0, 2, 107, 126);
INSERT INTO public.who_data VALUES (25260, 1, 353, 0, 0, 107, 196);
INSERT INTO public.who_data VALUES (25261, 465, 22284, 1, 329, 107, 142);
INSERT INTO public.who_data VALUES (25262, 0, 13, 0, 1, 107, 185);
INSERT INTO public.who_data VALUES (25263, 5641, 240951, 77, 4059, 107, 138);
INSERT INTO public.who_data VALUES (25264, 108, 13391, 2, 97, 107, 181);
INSERT INTO public.who_data VALUES (25265, 995, 57935, 22, 1352, 107, 178);
INSERT INTO public.who_data VALUES (25266, 45, 13091, 0, 133, 107, 168);
INSERT INTO public.who_data VALUES (25267, 0, 0, 0, 0, 107, 160);
INSERT INTO public.who_data VALUES (25268, 3051, 185974, 18, 1052, 107, 151);
INSERT INTO public.who_data VALUES (25269, 6948, 389444, 87, 7759, 107, 193);
INSERT INTO public.who_data VALUES (25270, 1, 29, 0, 0, 107, 18);
INSERT INTO public.who_data VALUES (25271, 1, 1618, 0, 25, 107, 40);
INSERT INTO public.who_data VALUES (25272, 0, 4480, 0, 157, 107, 218);
INSERT INTO public.who_data VALUES (25273, 0, 1222, 0, 69, 107, 191);
INSERT INTO public.who_data VALUES (25274, 180, 63508, 0, 1155, 107, 156);
INSERT INTO public.who_data VALUES (25275, 0, 0, 0, 0, 107, 135);
INSERT INTO public.who_data VALUES (25276, 2, 98, 0, 2, 107, 88);
INSERT INTO public.who_data VALUES (25277, 1275, 36372, 13, 1084, 107, 55);
INSERT INTO public.who_data VALUES (25278, 621, 22575, 2, 284, 107, 108);
INSERT INTO public.who_data VALUES (25279, 582, 68500, 4, 580, 107, 48);
INSERT INTO public.who_data VALUES (25280, 320, 117167, 11, 1286, 107, 3);
INSERT INTO public.who_data VALUES (25281, 0, 741, 0, 13, 107, 224);
INSERT INTO public.who_data VALUES (25282, 1302, 338875, 26, 6893, 107, 110);
INSERT INTO public.who_data VALUES (25283, 0, 0, 0, 0, 107, 106);
INSERT INTO public.who_data VALUES (25284, 432, 136024, 13, 2744, 107, 89);
INSERT INTO public.who_data VALUES (25285, 0, 597, 0, 7, 107, 121);
INSERT INTO public.who_data VALUES (25286, 630, 65258, 13, 1454, 107, 163);
INSERT INTO public.who_data VALUES (25287, 2885, 911787, 48, 34671, 107, 70);
INSERT INTO public.who_data VALUES (25288, 1588, 389725, 42, 7409, 107, 174);
INSERT INTO public.who_data VALUES (25289, 0, 0, 0, 0, 107, 175);
INSERT INTO public.who_data VALUES (25290, 27143, 466679, 367, 6842, 107, 118);
INSERT INTO public.who_data VALUES (25291, 4410, 161350, 46, 2740, 107, 189);
INSERT INTO public.who_data VALUES (25292, 396, 69416, 5, 855, 107, 124);
INSERT INTO public.who_data VALUES (25293, 249, 133619, 0, 232, 107, 192);
INSERT INTO public.who_data VALUES (25294, 145, 27194, 1, 476, 107, 41);
INSERT INTO public.who_data VALUES (25295, 1059, 79566, 15, 1866, 107, 95);
INSERT INTO public.who_data VALUES (25296, 0, 6037, 0, 26, 107, 74);
INSERT INTO public.who_data VALUES (25297, 9714, 276802, 121, 7540, 107, 11);
INSERT INTO public.who_data VALUES (25298, 20582, 1733440, 378, 29887, 107, 87);
INSERT INTO public.who_data VALUES (25299, 18, 5192, 1, 36, 107, 214);
INSERT INTO public.who_data VALUES (25300, 0, 5, 0, 0, 107, 116);
INSERT INTO public.who_data VALUES (25301, 0, 90, 0, 0, 107, 157);
INSERT INTO public.who_data VALUES (25302, 0, 0, 0, 0, 107, 182);
INSERT INTO public.who_data VALUES (25303, 0, 19, 0, 0, 107, 186);
INSERT INTO public.who_data VALUES (25304, 1, 106, 0, 0, 107, 127);
INSERT INTO public.who_data VALUES (25305, 0, 604, 0, 12, 107, 232);
INSERT INTO public.who_data VALUES (25306, 1, 13, 0, 0, 107, 33);
INSERT INTO public.who_data VALUES (25307, 0, 75, 0, 0, 107, 97);
INSERT INTO public.who_data VALUES (25308, 0, 0, 0, 0, 107, 42);
INSERT INTO public.who_data VALUES (25309, 41, 1043, 0, 42, 107, 198);
INSERT INTO public.who_data VALUES (25310, 0, 958, 0, 16, 107, 216);
INSERT INTO public.who_data VALUES (25311, 450, 349386, 18, 5489, 107, 164);
INSERT INTO public.who_data VALUES (25312, 18, 15668, 0, 326, 107, 235);
INSERT INTO public.who_data VALUES (25313, 2181, 55676, 11, 861, 107, 67);
INSERT INTO public.who_data VALUES (25314, 0, 154, 0, 0, 107, 15);
INSERT INTO public.who_data VALUES (25315, 4, 2373, 0, 74, 107, 180);
INSERT INTO public.who_data VALUES (25316, 7, 58043, 0, 28, 107, 237);
INSERT INTO public.who_data VALUES (25317, 0, 14, 0, 0, 107, 25);
INSERT INTO public.who_data VALUES (25318, 11, 870, 0, 22, 107, 209);
INSERT INTO public.who_data VALUES (25319, 3216, 66772, 26, 261, 107, 217);
INSERT INTO public.who_data VALUES (25320, 1691, 41119, 31, 535, 107, 79);
INSERT INTO public.who_data VALUES (25321, 0, 13, 0, 0, 107, 143);
INSERT INTO public.who_data VALUES (25322, 0, 4229, 0, 107, 107, 229);
INSERT INTO public.who_data VALUES (25323, 1866, 732414, 92, 19677, 107, 141);
INSERT INTO public.who_data VALUES (25324, 0, 2943, 0, 59, 107, 197);
INSERT INTO public.who_data VALUES (25325, 24968, 1398513, 334, 40383, 107, 221);
INSERT INTO public.who_data VALUES (25326, 383, 12570, 5, 29, 107, 150);
INSERT INTO public.who_data VALUES (25327, 37, 14033, 0, 1115, 107, 56);
INSERT INTO public.who_data VALUES (25328, 2, 5220, 1, 112, 107, 167);
INSERT INTO public.who_data VALUES (25329, 4482, 142988, 21, 6111, 107, 23);
INSERT INTO public.who_data VALUES (25330, 7828, 216514, 78, 2648, 107, 222);
INSERT INTO public.who_data VALUES (25331, 76, 6040, 4, 305, 107, 219);
INSERT INTO public.who_data VALUES (25332, 39, 11219, 0, 83, 107, 7);
INSERT INTO public.who_data VALUES (25333, 8, 3818, 1, 60, 107, 161);
INSERT INTO public.who_data VALUES (25334, 24138, 1123201, 378, 48120, 107, 149);
INSERT INTO public.who_data VALUES (25335, 0, 30, 0, 0, 107, 6);
INSERT INTO public.who_data VALUES (25336, 61, 2442, 0, 57, 107, 139);
INSERT INTO public.who_data VALUES (25337, 0, 0, 0, 0, 107, 211);
INSERT INTO public.who_data VALUES (25338, 0, 0, 0, 0, 107, 14);
INSERT INTO public.who_data VALUES (25339, 10, 5764, 0, 110, 107, 111);
INSERT INTO public.who_data VALUES (25340, 0, 66334, 144, 1721, 107, 207);
INSERT INTO public.who_data VALUES (25341, 9041, 1066550, 81, 10639, 107, 66);
INSERT INTO public.who_data VALUES (25342, 0, 0, 0, 0, 107, 173);
INSERT INTO public.who_data VALUES (25343, 1, 705, 0, 6, 107, 145);
INSERT INTO public.who_data VALUES (25344, 0, 0, 0, 0, 107, 65);
INSERT INTO public.who_data VALUES (25345, 217, 13568, 0, 117, 107, 184);
INSERT INTO public.who_data VALUES (25346, 9721, 440188, 202, 8126, 107, 98);
INSERT INTO public.who_data VALUES (25347, 1289, 138599, 3, 508, 107, 104);
INSERT INTO public.who_data VALUES (25348, 0, 509, 0, 21, 107, 73);
INSERT INTO public.who_data VALUES (25349, 106050, 9387978, 1132, 232166, 107, 8);
INSERT INTO public.who_data VALUES (25350, 0, 1388, 0, 23, 107, 227);
INSERT INTO public.who_data VALUES (25351, 49, 3245, 0, 61, 107, 75);
INSERT INTO public.who_data VALUES (25352, 207, 68139, 0, 579, 107, 45);
INSERT INTO public.who_data VALUES (25353, 0, 0, 0, 0, 107, 133);
INSERT INTO public.who_data VALUES (25354, 380, 93480, 4, 814, 107, 202);
INSERT INTO public.who_data VALUES (25355, 3, 1210, 0, 35, 107, 129);
INSERT INTO public.who_data VALUES (25356, 0, 1, 0, 0, 107, 36);
INSERT INTO public.who_data VALUES (25357, 1, 2070, 0, 602, 107, 51);
INSERT INTO public.who_data VALUES (25358, 72, 16770, 0, 349, 107, 206);
INSERT INTO public.who_data VALUES (25359, 16, 8443, 0, 248, 107, 5);
INSERT INTO public.who_data VALUES (25360, 86, 41814, 4, 1548, 108, 103);
INSERT INTO public.who_data VALUES (25361, 396, 22300, 4, 536, 108, 58);
INSERT INTO public.who_data VALUES (25362, 0, 57942, 0, 1964, 108, 195);
INSERT INTO public.who_data VALUES (25363, 0, 0, 0, 0, 108, 115);
INSERT INTO public.who_data VALUES (25364, 135, 5045, 0, 75, 108, 99);
INSERT INTO public.who_data VALUES (25365, 236, 11813, 5, 296, 108, 153);
INSERT INTO public.who_data VALUES (25366, 0, 3, 0, 0, 108, 93);
INSERT INTO public.who_data VALUES (25367, 2, 130, 0, 3, 108, 84);
INSERT INTO public.who_data VALUES (25368, 13281, 1196412, 429, 32052, 108, 78);
INSERT INTO public.who_data VALUES (25369, 2413, 98876, 28, 1471, 108, 170);
INSERT INTO public.who_data VALUES (25370, 14, 4538, 0, 38, 108, 32);
INSERT INTO public.who_data VALUES (25371, 12, 27622, 0, 907, 108, 155);
INSERT INTO public.who_data VALUES (25372, 6514, 125229, 35, 1204, 108, 82);
INSERT INTO public.who_data VALUES (25373, 1227, 59509, 12, 780, 108, 16);
INSERT INTO public.who_data VALUES (25374, 53, 6843, 1, 150, 108, 72);
INSERT INTO public.who_data VALUES (25375, 261, 82624, 3, 327, 108, 43);
INSERT INTO public.who_data VALUES (25376, 1517, 414164, 21, 6004, 108, 120);
INSERT INTO public.who_data VALUES (25377, 0, 238, 0, 7, 108, 213);
INSERT INTO public.who_data VALUES (25378, 984, 102313, 3, 995, 108, 31);
INSERT INTO public.who_data VALUES (25379, 9230, 486679, 196, 12575, 108, 204);
INSERT INTO public.who_data VALUES (25380, 166, 3790, 2, 61, 108, 152);
INSERT INTO public.who_data VALUES (25381, 0, 2745, 0, 43, 108, 144);
INSERT INTO public.who_data VALUES (25382, 0, 206, 0, 9, 108, 96);
INSERT INTO public.who_data VALUES (25383, 0, 358, 0, 0, 108, 47);
INSERT INTO public.who_data VALUES (25384, 69, 141936, 10, 8751, 108, 80);
INSERT INTO public.who_data VALUES (25385, 0, 134, 0, 3, 108, 159);
INSERT INTO public.who_data VALUES (25386, 1753, 55602, 41, 1359, 108, 27);
INSERT INTO public.who_data VALUES (25387, 0, 6642, 0, 24, 108, 146);
INSERT INTO public.who_data VALUES (25388, 11843, 5566049, 243, 160496, 108, 71);
INSERT INTO public.who_data VALUES (25389, 0, 72, 0, 1, 108, 210);
INSERT INTO public.who_data VALUES (25390, 0, 148, 0, 3, 108, 54);
INSERT INTO public.who_data VALUES (25391, 4054, 64591, 54, 1466, 108, 147);
INSERT INTO public.who_data VALUES (25392, 9, 2539, 0, 67, 108, 2);
INSERT INTO public.who_data VALUES (25393, -6, 600, 0, 1, 108, 105);
INSERT INTO public.who_data VALUES (25394, 109, 9053, 0, 95, 108, 53);
INSERT INTO public.who_data VALUES (25395, 0, 292, 0, 0, 108, 81);
INSERT INTO public.who_data VALUES (25396, 0, 22103, 0, 429, 108, 223);
INSERT INTO public.who_data VALUES (25397, 4672, 244935, 71, 10279, 108, 94);
INSERT INTO public.who_data VALUES (25398, 0, 242, 0, 1, 108, 154);
INSERT INTO public.who_data VALUES (25399, 0, 4866, 0, 62, 108, 83);
INSERT INTO public.who_data VALUES (25400, 4, 1517, 1, 99, 108, 194);
INSERT INTO public.who_data VALUES (25401, 840, 515042, 21, 14340, 108, 136);
INSERT INTO public.who_data VALUES (25402, 32, 92077, 1, 4747, 108, 179);
INSERT INTO public.who_data VALUES (25403, 6136, 1099392, 177, 31847, 108, 57);
INSERT INTO public.who_data VALUES (25404, 9, 554, 0, 7, 108, 35);
INSERT INTO public.who_data VALUES (25405, 0, 5348, 0, 92, 108, 228);
INSERT INTO public.who_data VALUES (25406, 0, 0, 0, 0, 108, 19);
INSERT INTO public.who_data VALUES (25407, 863, 112120, 15, 1419, 108, 22);
INSERT INTO public.who_data VALUES (25408, 13, 20778, 0, 126, 108, 1);
INSERT INTO public.who_data VALUES (25409, 2480, 56567, 26, 654, 108, 21);
INSERT INTO public.who_data VALUES (25410, 109, 7144, 0, 129, 108, 234);
INSERT INTO public.who_data VALUES (25411, 5, 1000, 0, 1, 108, 91);
INSERT INTO public.who_data VALUES (25412, 166, 5100, 0, 26, 108, 137);
INSERT INTO public.who_data VALUES (25413, 15731, 378716, 220, 4133, 108, 201);
INSERT INTO public.who_data VALUES (25414, 0, 0, 0, 0, 108, 171);
INSERT INTO public.who_data VALUES (25415, 23, 11449, 0, 315, 108, 92);
INSERT INTO public.who_data VALUES (25416, 936, 50530, 1, 729, 108, 112);
INSERT INTO public.who_data VALUES (25417, 5, 5580, 0, 61, 108, 62);
INSERT INTO public.who_data VALUES (25418, 0, 50, 0, 0, 108, 69);
INSERT INTO public.who_data VALUES (25419, 430, 128278, 5, 2257, 108, 220);
INSERT INTO public.who_data VALUES (25420, 1323, 171433, 6, 12704, 108, 100);
INSERT INTO public.who_data VALUES (25421, 207, 108329, 13, 6318, 108, 187);
INSERT INTO public.who_data VALUES (25422, 0, 34015, 5, 992, 108, 63);
INSERT INTO public.who_data VALUES (25423, 0, 5089, 0, 83, 108, 28);
INSERT INTO public.who_data VALUES (25424, 0, 480, 0, 0, 108, 172);
INSERT INTO public.who_data VALUES (25425, 208, 5333, 0, 73, 108, 17);
INSERT INTO public.who_data VALUES (25426, 13, 5955, 0, 117, 108, 226);
INSERT INTO public.who_data VALUES (25427, 379, 97881, 9, 1503, 108, 236);
INSERT INTO public.who_data VALUES (25428, 0, 13, 0, 0, 108, 76);
INSERT INTO public.who_data VALUES (25429, 0, 495, 0, 0, 108, 30);
INSERT INTO public.who_data VALUES (25430, 0, 34, 0, 2, 108, 128);
INSERT INTO public.who_data VALUES (25431, 293, 16930, 2, 361, 108, 86);
INSERT INTO public.who_data VALUES (25432, 39807, 1509319, 373, 38355, 108, 140);
INSERT INTO public.who_data VALUES (25433, 14, 10591, 0, 70, 108, 44);
INSERT INTO public.who_data VALUES (25434, 338, 9287, 1, 39, 108, 113);
INSERT INTO public.who_data VALUES (25435, 21, 9005, 0, 55, 108, 29);
INSERT INTO public.who_data VALUES (25436, 0, 3679, 0, 119, 108, 125);
INSERT INTO public.who_data VALUES (25437, 2401, 49218, 20, 401, 108, 131);
INSERT INTO public.who_data VALUES (25438, 19990, 597583, 118, 10930, 108, 46);
INSERT INTO public.who_data VALUES (25439, 443, 48643, 0, 320, 108, 10);
INSERT INTO public.who_data VALUES (25440, 23, 730, 0, 0, 108, 205);
INSERT INTO public.who_data VALUES (25441, 2646, 46892, 18, 673, 108, 50);
INSERT INTO public.who_data VALUES (25442, 0, 17, 0, 0, 108, 20);
INSERT INTO public.who_data VALUES (25443, 0, 29, 0, 0, 108, 13);
INSERT INTO public.who_data VALUES (25444, 161, 7903, 7, 133, 108, 148);
INSERT INTO public.who_data VALUES (25445, 82, 4830, 3, 83, 108, 230);
INSERT INTO public.who_data VALUES (25446, 664, 109147, 4, 3752, 108, 190);
INSERT INTO public.who_data VALUES (25447, 1, 272, 0, 13, 108, 188);
INSERT INTO public.who_data VALUES (25448, 118, 12331, 0, 73, 108, 123);
INSERT INTO public.who_data VALUES (25449, 0, 2413, 0, 41, 108, 9);
INSERT INTO public.who_data VALUES (25450, 7, 4245, 0, 128, 108, 102);
INSERT INTO public.who_data VALUES (25451, 46, 9100, 0, 232, 108, 34);
INSERT INTO public.who_data VALUES (25452, 0, 26, 0, 0, 108, 212);
INSERT INTO public.who_data VALUES (25453, 283, 98688, 18, 2706, 108, 122);
INSERT INTO public.who_data VALUES (25454, 3928, 94916, 84, 2147, 108, 38);
INSERT INTO public.who_data VALUES (25455, 32, 4989, 0, 17, 108, 130);
INSERT INTO public.who_data VALUES (25456, 50210, 8364086, 704, 124315, 108, 37);
INSERT INTO public.who_data VALUES (25457, 3356, 421731, 113, 14259, 108, 231);
INSERT INTO public.who_data VALUES (25458, 8452, 646164, 419, 36579, 108, 107);
INSERT INTO public.who_data VALUES (25459, 3574, 485870, 60, 11128, 108, 101);
INSERT INTO public.who_data VALUES (25460, 435, 63483, 8, 1930, 108, 132);
INSERT INTO public.who_data VALUES (25461, 1, 356, 0, 24, 108, 176);
INSERT INTO public.who_data VALUES (25462, 845, 316651, 26, 2626, 108, 200);
INSERT INTO public.who_data VALUES (25463, 30548, 790377, 352, 39764, 108, 169);
INSERT INTO public.who_data VALUES (25464, 30, 9326, 1, 215, 108, 225);
INSERT INTO public.who_data VALUES (25465, 938, 103838, 8, 1794, 108, 165);
INSERT INTO public.who_data VALUES (25466, 17, 608, 0, 32, 108, 233);
INSERT INTO public.who_data VALUES (25467, 4658, 91234, 62, 1029, 108, 215);
INSERT INTO public.who_data VALUES (25468, 822, 153547, 0, 2259, 108, 177);
INSERT INTO public.who_data VALUES (25469, 1494, 58587, 12, 1051, 108, 183);
INSERT INTO public.who_data VALUES (25470, 0, 0, 0, 0, 108, 203);
INSERT INTO public.who_data VALUES (25471, 546, 21502, 9, 704, 108, 162);
INSERT INTO public.who_data VALUES (25472, 763, 128843, 5, 794, 108, 12);
INSERT INTO public.who_data VALUES (25473, 535, 61309, 4, 1167, 108, 24);
INSERT INTO public.who_data VALUES (25474, 0, 24, 0, 0, 108, 119);
INSERT INTO public.who_data VALUES (25475, 313, 6752, 6, 85, 108, 39);
INSERT INTO public.who_data VALUES (25476, 1888, 87097, 9, 676, 108, 26);
INSERT INTO public.who_data VALUES (25477, 0, 1961, 0, 44, 108, 59);
INSERT INTO public.who_data VALUES (25478, 0, 1436, 0, 82, 108, 77);
INSERT INTO public.who_data VALUES (25479, 899, 64587, 7, 900, 108, 134);
INSERT INTO public.who_data VALUES (25480, 39, 742, 0, 3, 108, 4);
INSERT INTO public.who_data VALUES (25481, 993, 19071, 2, 179, 108, 109);
INSERT INTO public.who_data VALUES (25482, 710, 20344, 4, 171, 108, 90);
INSERT INTO public.who_data VALUES (25483, 0, 17111, 0, 244, 108, 61);
INSERT INTO public.who_data VALUES (25484, 0, 5934, 0, 184, 108, 85);
INSERT INTO public.who_data VALUES (25485, 1032, 35425, 8, 271, 108, 49);
INSERT INTO public.who_data VALUES (25486, 26, 11822, 0, 38, 108, 208);
INSERT INTO public.who_data VALUES (25487, 0, 3584, 0, 136, 108, 166);
INSERT INTO public.who_data VALUES (25488, 84, 6580, 0, 62, 108, 64);
INSERT INTO public.who_data VALUES (25489, 0, 1, 0, 0, 108, 199);
INSERT INTO public.who_data VALUES (25490, 397, 4215, 2, 33, 108, 114);
INSERT INTO public.who_data VALUES (25491, 0, 7725, 0, 163, 108, 60);
INSERT INTO public.who_data VALUES (25492, 0, 452, 0, 10, 108, 68);
INSERT INTO public.who_data VALUES (25493, 26, 4550, 0, 45, 108, 158);
INSERT INTO public.who_data VALUES (25494, 5250, 938405, 493, 92593, 108, 52);
INSERT INTO public.who_data VALUES (25495, 0, 0, 0, 0, 108, 117);
INSERT INTO public.who_data VALUES (25496, 15, 415, 0, 2, 108, 126);
INSERT INTO public.who_data VALUES (25497, 2, 352, 0, 0, 108, 196);
INSERT INTO public.who_data VALUES (25498, 504, 21819, 3, 328, 108, 142);
INSERT INTO public.who_data VALUES (25499, 0, 13, 0, 1, 108, 185);
INSERT INTO public.who_data VALUES (25500, 5745, 235310, 82, 3982, 108, 138);
INSERT INTO public.who_data VALUES (25501, 81, 13283, 0, 95, 108, 181);
INSERT INTO public.who_data VALUES (25502, 1136, 56940, 23, 1330, 108, 178);
INSERT INTO public.who_data VALUES (25503, 16, 13046, 0, 133, 108, 168);
INSERT INTO public.who_data VALUES (25504, 0, 0, 0, 0, 108, 160);
INSERT INTO public.who_data VALUES (25505, 3309, 182923, 30, 1034, 108, 151);
INSERT INTO public.who_data VALUES (25506, 7600, 382496, 102, 7672, 108, 193);
INSERT INTO public.who_data VALUES (25507, 0, 28, 0, 0, 108, 18);
INSERT INTO public.who_data VALUES (25508, 2, 1617, 0, 25, 108, 40);
INSERT INTO public.who_data VALUES (25509, 0, 4480, 0, 157, 108, 218);
INSERT INTO public.who_data VALUES (25510, 0, 1222, 0, 69, 108, 191);
INSERT INTO public.who_data VALUES (25511, 155, 63328, 4, 1155, 108, 156);
INSERT INTO public.who_data VALUES (25512, 0, 0, 0, 0, 108, 135);
INSERT INTO public.who_data VALUES (25513, 0, 96, 0, 2, 108, 88);
INSERT INTO public.who_data VALUES (25514, 1189, 35097, 22, 1071, 108, 55);
INSERT INTO public.who_data VALUES (25515, 620, 21954, 0, 282, 108, 108);
INSERT INTO public.who_data VALUES (25516, 734, 67918, 3, 576, 108, 48);
INSERT INTO public.who_data VALUES (25517, 319, 116847, 11, 1275, 108, 3);
INSERT INTO public.who_data VALUES (25518, 0, 741, 0, 13, 108, 224);
INSERT INTO public.who_data VALUES (25519, 1313, 337573, 18, 6867, 108, 110);
INSERT INTO public.who_data VALUES (25520, 0, 0, 0, 0, 108, 106);
INSERT INTO public.who_data VALUES (25521, 677, 135592, 11, 2731, 108, 89);
INSERT INTO public.who_data VALUES (25522, 0, 597, 0, 7, 108, 121);
INSERT INTO public.who_data VALUES (25523, 472, 64628, 12, 1441, 108, 163);
INSERT INTO public.who_data VALUES (25524, 2357, 908902, 38, 34623, 108, 70);
INSERT INTO public.who_data VALUES (25525, 976, 388137, 49, 7367, 108, 174);
INSERT INTO public.who_data VALUES (25526, 0, 0, 0, 0, 108, 175);
INSERT INTO public.who_data VALUES (25527, 24692, 439536, 373, 6475, 108, 118);
INSERT INTO public.who_data VALUES (25528, 7497, 156940, 59, 2694, 108, 189);
INSERT INTO public.who_data VALUES (25529, 77, 69020, 8, 850, 108, 124);
INSERT INTO public.who_data VALUES (25530, 227, 133370, 0, 232, 108, 192);
INSERT INTO public.who_data VALUES (25531, 125, 27049, 1, 475, 108, 41);
INSERT INTO public.who_data VALUES (25532, 1020, 78507, 13, 1851, 108, 95);
INSERT INTO public.who_data VALUES (25533, 139, 6037, 0, 26, 108, 74);
INSERT INTO public.who_data VALUES (25534, 8651, 267088, 146, 7419, 108, 11);
INSERT INTO public.who_data VALUES (25535, 19404, 1712858, 292, 29509, 108, 87);
INSERT INTO public.who_data VALUES (25536, 12, 5174, 0, 35, 108, 214);
INSERT INTO public.who_data VALUES (25537, 0, 5, 0, 0, 108, 116);
INSERT INTO public.who_data VALUES (25538, 1, 90, 0, 0, 108, 157);
INSERT INTO public.who_data VALUES (25539, 0, 0, 0, 0, 108, 182);
INSERT INTO public.who_data VALUES (25540, 0, 19, 0, 0, 108, 186);
INSERT INTO public.who_data VALUES (25541, 8, 105, 0, 0, 108, 127);
INSERT INTO public.who_data VALUES (25542, 13, 604, 3, 12, 108, 232);
INSERT INTO public.who_data VALUES (25543, 0, 12, 0, 0, 108, 33);
INSERT INTO public.who_data VALUES (25544, 0, 75, 0, 0, 108, 97);
INSERT INTO public.who_data VALUES (25545, 0, 0, 0, 0, 108, 42);
INSERT INTO public.who_data VALUES (25546, 8, 1002, 0, 42, 108, 198);
INSERT INTO public.who_data VALUES (25547, 4, 958, 0, 16, 108, 216);
INSERT INTO public.who_data VALUES (25548, 426, 348936, 15, 5471, 108, 164);
INSERT INTO public.who_data VALUES (25549, 10, 15650, 0, 326, 108, 235);
INSERT INTO public.who_data VALUES (25550, 2412, 53495, 6, 850, 108, 67);
INSERT INTO public.who_data VALUES (25551, 0, 154, 0, 0, 108, 15);
INSERT INTO public.who_data VALUES (25552, 1, 2369, 0, 74, 108, 180);
INSERT INTO public.who_data VALUES (25553, 7, 58036, 0, 28, 108, 237);
INSERT INTO public.who_data VALUES (25554, 0, 14, 0, 0, 108, 25);
INSERT INTO public.who_data VALUES (25555, 15, 859, 0, 22, 108, 209);
INSERT INTO public.who_data VALUES (25556, 1727, 63556, 16, 235, 108, 217);
INSERT INTO public.who_data VALUES (25557, 2032, 39428, 31, 504, 108, 79);
INSERT INTO public.who_data VALUES (25558, 0, 13, 0, 0, 108, 143);
INSERT INTO public.who_data VALUES (25559, 0, 4229, 0, 107, 108, 229);
INSERT INTO public.who_data VALUES (25560, 1712, 730548, 46, 19585, 108, 141);
INSERT INTO public.who_data VALUES (25561, 0, 2943, 0, 59, 108, 197);
INSERT INTO public.who_data VALUES (25562, 22812, 1373545, 306, 40049, 108, 221);
INSERT INTO public.who_data VALUES (25563, 443, 12187, 1, 24, 108, 150);
INSERT INTO public.who_data VALUES (25564, 91, 13996, 278, 1115, 108, 56);
INSERT INTO public.who_data VALUES (25565, 6, 5218, 0, 111, 108, 167);
INSERT INTO public.who_data VALUES (25566, 3608, 138506, 20, 6090, 108, 23);
INSERT INTO public.who_data VALUES (25567, 8707, 208686, 82, 2570, 108, 222);
INSERT INTO public.who_data VALUES (25568, 76, 5964, 3, 301, 108, 219);
INSERT INTO public.who_data VALUES (25569, 41, 11180, 0, 83, 108, 7);
INSERT INTO public.who_data VALUES (25570, 6, 3810, 0, 59, 108, 161);
INSERT INTO public.who_data VALUES (25571, 25177, 1099063, 492, 47742, 108, 149);
INSERT INTO public.who_data VALUES (25572, 0, 30, 0, 0, 108, 6);
INSERT INTO public.who_data VALUES (25573, 0, 2381, 0, 57, 108, 139);
INSERT INTO public.who_data VALUES (25574, 0, 0, 0, 0, 108, 211);
INSERT INTO public.who_data VALUES (25575, 0, 0, 0, 0, 108, 14);
INSERT INTO public.who_data VALUES (25576, 50, 5754, 1, 110, 108, 111);
INSERT INTO public.who_data VALUES (25577, 1971, 66334, 65, 1577, 108, 207);
INSERT INTO public.who_data VALUES (25578, 9121, 1057509, 77, 10558, 108, 66);
INSERT INTO public.who_data VALUES (25579, 0, 0, 0, 0, 108, 173);
INSERT INTO public.who_data VALUES (25580, 0, 704, 0, 6, 108, 145);
INSERT INTO public.who_data VALUES (25581, 0, 0, 0, 0, 108, 65);
INSERT INTO public.who_data VALUES (25582, 252, 13351, 2, 117, 108, 184);
INSERT INTO public.who_data VALUES (25583, 9850, 430467, 193, 7924, 108, 98);
INSERT INTO public.who_data VALUES (25584, 1161, 137310, 2, 505, 108, 104);
INSERT INTO public.who_data VALUES (25585, 0, 509, 0, 21, 108, 73);
INSERT INTO public.who_data VALUES (25586, 88163, 9281928, 1086, 231034, 108, 8);
INSERT INTO public.who_data VALUES (25587, 3, 1388, 1, 23, 108, 227);
INSERT INTO public.who_data VALUES (25588, 31, 3196, 1, 61, 108, 75);
INSERT INTO public.who_data VALUES (25589, 234, 67932, 4, 579, 108, 45);
INSERT INTO public.who_data VALUES (25590, 0, 0, 0, 0, 108, 133);
INSERT INTO public.who_data VALUES (25591, 395, 93100, 5, 810, 108, 202);
INSERT INTO public.who_data VALUES (25592, 4, 1207, 0, 35, 108, 129);
INSERT INTO public.who_data VALUES (25593, 0, 1, 0, 0, 108, 36);
INSERT INTO public.who_data VALUES (25594, 0, 2069, 0, 602, 108, 51);
INSERT INTO public.who_data VALUES (25595, 37, 16698, 0, 349, 108, 206);
INSERT INTO public.who_data VALUES (25596, 17, 8427, 2, 248, 108, 5);
INSERT INTO public.who_data VALUES (25597, 95, 41728, 3, 1544, 109, 103);
INSERT INTO public.who_data VALUES (25598, 381, 21904, 5, 532, 109, 58);
INSERT INTO public.who_data VALUES (25599, 0, 57942, 0, 1964, 109, 195);
INSERT INTO public.who_data VALUES (25600, 0, 0, 0, 0, 109, 115);
INSERT INTO public.who_data VALUES (25601, 22, 4910, 0, 75, 109, 99);
INSERT INTO public.who_data VALUES (25602, 349, 11577, 2, 291, 109, 153);
INSERT INTO public.who_data VALUES (25603, 0, 3, 0, 0, 109, 93);
INSERT INTO public.who_data VALUES (25604, 0, 128, 0, 3, 109, 84);
INSERT INTO public.who_data VALUES (25605, 9598, 1183131, 483, 31623, 109, 78);
INSERT INTO public.who_data VALUES (25606, 2374, 96463, 35, 1443, 109, 170);
INSERT INTO public.who_data VALUES (25607, 5, 4524, 0, 38, 109, 32);
INSERT INTO public.who_data VALUES (25608, 8, 27610, 0, 907, 109, 155);
INSERT INTO public.who_data VALUES (25609, 4445, 118715, 34, 1169, 109, 82);
INSERT INTO public.who_data VALUES (25610, 1242, 58282, 15, 768, 109, 16);
INSERT INTO public.who_data VALUES (25611, 31, 6790, 1, 149, 109, 72);
INSERT INTO public.who_data VALUES (25612, 230, 82363, 2, 324, 109, 43);
INSERT INTO public.who_data VALUES (25613, 1659, 412647, 17, 5983, 109, 120);
INSERT INTO public.who_data VALUES (25614, 1, 238, 0, 7, 109, 213);
INSERT INTO public.who_data VALUES (25615, 929, 101329, 3, 992, 109, 31);
INSERT INTO public.who_data VALUES (25616, 12103, 477449, 173, 12379, 109, 204);
INSERT INTO public.who_data VALUES (25617, 47, 3624, 0, 59, 109, 152);
INSERT INTO public.who_data VALUES (25618, 62, 2745, 2, 43, 109, 144);
INSERT INTO public.who_data VALUES (25619, 0, 206, 0, 9, 109, 96);
INSERT INTO public.who_data VALUES (25620, 2, 358, 0, 0, 109, 47);
INSERT INTO public.who_data VALUES (25621, 34, 141867, 10, 8741, 109, 80);
INSERT INTO public.who_data VALUES (25622, 0, 134, 0, 3, 109, 159);
INSERT INTO public.who_data VALUES (25623, 1580, 53849, 38, 1318, 109, 27);
INSERT INTO public.who_data VALUES (25624, 0, 6642, 0, 24, 109, 146);
INSERT INTO public.who_data VALUES (25625, 8501, 5554206, 179, 160253, 109, 71);
INSERT INTO public.who_data VALUES (25626, 0, 72, 0, 1, 109, 210);
INSERT INTO public.who_data VALUES (25627, 0, 148, 0, 3, 109, 54);
INSERT INTO public.who_data VALUES (25628, 4041, 60537, 63, 1412, 109, 147);
INSERT INTO public.who_data VALUES (25629, 13, 2530, 0, 67, 109, 2);
INSERT INTO public.who_data VALUES (25630, 9, 606, 0, 1, 109, 105);
INSERT INTO public.who_data VALUES (25631, 62, 8944, 0, 95, 109, 53);
INSERT INTO public.who_data VALUES (25632, 0, 292, 0, 0, 109, 81);
INSERT INTO public.who_data VALUES (25633, 0, 22103, 0, 429, 109, 223);
INSERT INTO public.who_data VALUES (25634, 3422, 240263, 29, 10208, 109, 94);
INSERT INTO public.who_data VALUES (25635, 2, 242, 0, 1, 109, 154);
INSERT INTO public.who_data VALUES (25636, 0, 4866, 0, 62, 109, 83);
INSERT INTO public.who_data VALUES (25637, 14, 1513, 0, 98, 109, 194);
INSERT INTO public.who_data VALUES (25638, 1014, 514202, 17, 14319, 109, 136);
INSERT INTO public.who_data VALUES (25639, 30, 92045, 0, 4746, 109, 179);
INSERT INTO public.who_data VALUES (25640, 9935, 1093256, 155, 31670, 109, 57);
INSERT INTO public.who_data VALUES (25641, 0, 545, 0, 7, 109, 35);
INSERT INTO public.who_data VALUES (25642, 0, 5348, 0, 92, 109, 228);
INSERT INTO public.who_data VALUES (25643, 0, 0, 0, 0, 109, 19);
INSERT INTO public.who_data VALUES (25644, 540, 111257, 8, 1404, 109, 22);
INSERT INTO public.who_data VALUES (25645, 12, 20765, 0, 126, 109, 1);
INSERT INTO public.who_data VALUES (25646, 1427, 54087, 34, 628, 109, 21);
INSERT INTO public.who_data VALUES (25647, 65, 7035, 0, 129, 109, 234);
INSERT INTO public.who_data VALUES (25648, 8, 995, 0, 1, 109, 91);
INSERT INTO public.who_data VALUES (25649, 174, 4934, 0, 26, 109, 137);
INSERT INTO public.who_data VALUES (25650, 12089, 362985, 259, 3913, 109, 201);
INSERT INTO public.who_data VALUES (25651, 0, 0, 0, 0, 109, 171);
INSERT INTO public.who_data VALUES (25652, 32, 11426, 7, 315, 109, 92);
INSERT INTO public.who_data VALUES (25653, 1353, 49594, 4, 728, 109, 112);
INSERT INTO public.who_data VALUES (25654, 2, 5575, 0, 61, 109, 62);
INSERT INTO public.who_data VALUES (25655, 0, 50, 0, 0, 109, 69);
INSERT INTO public.who_data VALUES (25656, 257, 127848, 2, 2252, 109, 220);
INSERT INTO public.who_data VALUES (25657, 548, 170110, 6, 12698, 109, 100);
INSERT INTO public.who_data VALUES (25658, 197, 108122, 14, 6305, 109, 187);
INSERT INTO public.who_data VALUES (25659, 0, 34015, 4, 987, 109, 63);
INSERT INTO public.who_data VALUES (25660, 0, 5089, 0, 83, 109, 28);
INSERT INTO public.who_data VALUES (25661, 0, 480, 0, 0, 109, 172);
INSERT INTO public.who_data VALUES (25662, 79, 5125, 0, 73, 109, 17);
INSERT INTO public.who_data VALUES (25663, 13, 5942, 0, 117, 109, 226);
INSERT INTO public.who_data VALUES (25664, 560, 97502, 5, 1494, 109, 236);
INSERT INTO public.who_data VALUES (25665, 0, 13, 0, 0, 109, 76);
INSERT INTO public.who_data VALUES (25666, 0, 495, 0, 0, 109, 30);
INSERT INTO public.who_data VALUES (25667, 0, 34, 0, 2, 109, 128);
INSERT INTO public.who_data VALUES (25668, 237, 16637, 0, 359, 109, 86);
INSERT INTO public.who_data VALUES (25669, 36254, 1469512, 854, 37982, 109, 140);
INSERT INTO public.who_data VALUES (25670, 41, 10577, 0, 70, 109, 44);
INSERT INTO public.who_data VALUES (25671, 303, 8949, 0, 38, 109, 113);
INSERT INTO public.who_data VALUES (25672, 0, 8984, 0, 55, 109, 29);
INSERT INTO public.who_data VALUES (25673, 7, 3679, 0, 119, 109, 125);
INSERT INTO public.who_data VALUES (25674, 2295, 46817, 19, 381, 109, 131);
INSERT INTO public.who_data VALUES (25675, 17214, 577593, 151, 10812, 109, 46);
INSERT INTO public.who_data VALUES (25676, 76, 48200, 0, 320, 109, 10);
INSERT INTO public.who_data VALUES (25677, 4, 707, 0, 0, 109, 205);
INSERT INTO public.who_data VALUES (25678, 2166, 44246, 13, 655, 109, 50);
INSERT INTO public.who_data VALUES (25679, 0, 17, 0, 0, 109, 20);
INSERT INTO public.who_data VALUES (25680, 1, 29, 0, 0, 109, 13);
INSERT INTO public.who_data VALUES (25681, 0, 7742, 0, 126, 109, 148);
INSERT INTO public.who_data VALUES (25682, 104, 4748, 1, 80, 109, 230);
INSERT INTO public.who_data VALUES (25683, 379, 108483, 10, 3748, 109, 190);
INSERT INTO public.who_data VALUES (25684, 1, 271, 0, 13, 109, 188);
INSERT INTO public.who_data VALUES (25685, 0, 12213, 0, 73, 109, 123);
INSERT INTO public.who_data VALUES (25686, 0, 2413, 0, 41, 109, 9);
INSERT INTO public.who_data VALUES (25687, 30, 4238, 2, 128, 109, 102);
INSERT INTO public.who_data VALUES (25688, 0, 9054, 0, 232, 109, 34);
INSERT INTO public.who_data VALUES (25689, 0, 26, 0, 0, 109, 212);
INSERT INTO public.who_data VALUES (25690, 193, 98405, 13, 2688, 109, 122);
INSERT INTO public.who_data VALUES (25691, 4219, 90988, 90, 2063, 109, 38);
INSERT INTO public.who_data VALUES (25692, 26, 4957, 5, 17, 109, 130);
INSERT INTO public.who_data VALUES (25693, 46253, 8313876, 514, 123611, 109, 37);
INSERT INTO public.who_data VALUES (25694, 2973, 418375, 102, 14146, 109, 231);
INSERT INTO public.who_data VALUES (25695, 8932, 637712, 422, 36160, 109, 107);
INSERT INTO public.who_data VALUES (25696, 3595, 482296, 51, 11068, 109, 101);
INSERT INTO public.who_data VALUES (25697, 298, 63048, 5, 1922, 109, 132);
INSERT INTO public.who_data VALUES (25698, 2, 355, 0, 24, 109, 176);
INSERT INTO public.who_data VALUES (25699, 788, 315806, 15, 2600, 109, 200);
INSERT INTO public.who_data VALUES (25700, 28241, 759829, 353, 39412, 109, 169);
INSERT INTO public.who_data VALUES (25701, 39, 9296, 4, 214, 109, 225);
INSERT INTO public.who_data VALUES (25702, 619, 102900, 6, 1786, 109, 165);
INSERT INTO public.who_data VALUES (25703, 17, 591, 0, 32, 109, 233);
INSERT INTO public.who_data VALUES (25704, 4833, 86576, 54, 967, 109, 215);
INSERT INTO public.who_data VALUES (25705, 703, 152725, 0, 2259, 109, 177);
INSERT INTO public.who_data VALUES (25706, 492, 57093, 12, 1039, 109, 183);
INSERT INTO public.who_data VALUES (25707, 0, 0, 0, 0, 109, 203);
INSERT INTO public.who_data VALUES (25708, 334, 20956, 8, 695, 109, 162);
INSERT INTO public.who_data VALUES (25709, 787, 128080, 3, 789, 109, 12);
INSERT INTO public.who_data VALUES (25710, 495, 60774, 4, 1163, 109, 24);
INSERT INTO public.who_data VALUES (25711, 0, 24, 0, 0, 109, 119);
INSERT INTO public.who_data VALUES (25712, 171, 6439, 2, 79, 109, 39);
INSERT INTO public.who_data VALUES (25713, 1512, 85209, 15, 667, 109, 26);
INSERT INTO public.who_data VALUES (25714, 0, 1961, 0, 44, 109, 59);
INSERT INTO public.who_data VALUES (25715, 10, 1436, 0, 82, 109, 77);
INSERT INTO public.who_data VALUES (25716, 781, 63688, 13, 893, 109, 134);
INSERT INTO public.who_data VALUES (25717, 35, 703, 0, 3, 109, 4);
INSERT INTO public.who_data VALUES (25718, 653, 18078, 6, 177, 109, 109);
INSERT INTO public.who_data VALUES (25719, 533, 19634, 7, 167, 109, 90);
INSERT INTO public.who_data VALUES (25720, 0, 17111, 0, 244, 109, 61);
INSERT INTO public.who_data VALUES (25721, 1, 5934, 0, 184, 109, 85);
INSERT INTO public.who_data VALUES (25722, 1054, 34393, 12, 263, 109, 49);
INSERT INTO public.who_data VALUES (25723, 59, 11796, 0, 38, 109, 208);
INSERT INTO public.who_data VALUES (25724, 11, 3584, 0, 136, 109, 166);
INSERT INTO public.who_data VALUES (25725, 106, 6496, 1, 62, 109, 64);
INSERT INTO public.who_data VALUES (25726, 0, 1, 0, 0, 109, 199);
INSERT INTO public.who_data VALUES (25727, 0, 3818, 0, 31, 109, 114);
INSERT INTO public.who_data VALUES (25728, 0, 7725, 0, 163, 109, 60);
INSERT INTO public.who_data VALUES (25729, 0, 452, 0, 10, 109, 68);
INSERT INTO public.who_data VALUES (25730, 35, 4524, 0, 45, 109, 158);
INSERT INTO public.who_data VALUES (25731, 3763, 933155, 205, 92100, 109, 52);
INSERT INTO public.who_data VALUES (25732, 0, 0, 0, 0, 109, 117);
INSERT INTO public.who_data VALUES (25733, 22, 400, 0, 2, 109, 126);
INSERT INTO public.who_data VALUES (25734, 1, 350, 0, 0, 109, 196);
INSERT INTO public.who_data VALUES (25735, 526, 21315, 4, 325, 109, 142);
INSERT INTO public.who_data VALUES (25736, 0, 13, 0, 1, 109, 185);
INSERT INTO public.who_data VALUES (25737, 4495, 229565, 74, 3900, 109, 138);
INSERT INTO public.who_data VALUES (25738, 72, 13202, 1, 95, 109, 181);
INSERT INTO public.who_data VALUES (25739, 1197, 55804, 25, 1307, 109, 178);
INSERT INTO public.who_data VALUES (25740, 18, 13030, 0, 133, 109, 168);
INSERT INTO public.who_data VALUES (25741, 0, 0, 0, 0, 109, 160);
INSERT INTO public.who_data VALUES (25742, 3114, 179614, 20, 1004, 109, 151);
INSERT INTO public.who_data VALUES (25743, 7739, 374896, 112, 7570, 109, 193);
INSERT INTO public.who_data VALUES (25744, 0, 28, 0, 0, 109, 18);
INSERT INTO public.who_data VALUES (25745, 3, 1615, 0, 25, 109, 40);
INSERT INTO public.who_data VALUES (25746, 56, 4480, 1, 157, 109, 218);
INSERT INTO public.who_data VALUES (25747, 1, 1222, 0, 69, 109, 191);
INSERT INTO public.who_data VALUES (25748, 137, 63173, 4, 1151, 109, 156);
INSERT INTO public.who_data VALUES (25749, 0, 0, 0, 0, 109, 135);
INSERT INTO public.who_data VALUES (25750, 0, 96, 0, 2, 109, 88);
INSERT INTO public.who_data VALUES (25751, 911, 33908, 24, 1049, 109, 55);
INSERT INTO public.who_data VALUES (25752, 700, 21334, 0, 282, 109, 108);
INSERT INTO public.who_data VALUES (25753, 633, 67184, 8, 573, 109, 48);
INSERT INTO public.who_data VALUES (25754, 376, 116528, 8, 1264, 109, 3);
INSERT INTO public.who_data VALUES (25755, 0, 741, 0, 13, 109, 224);
INSERT INTO public.who_data VALUES (25756, 1167, 336260, 14, 6849, 109, 110);
INSERT INTO public.who_data VALUES (25757, 0, 0, 0, 0, 109, 106);
INSERT INTO public.who_data VALUES (25758, 579, 134915, 14, 2720, 109, 89);
INSERT INTO public.who_data VALUES (25759, 5, 597, 0, 7, 109, 121);
INSERT INTO public.who_data VALUES (25760, 425, 64156, 11, 1429, 109, 163);
INSERT INTO public.who_data VALUES (25761, 1634, 906545, 56, 34585, 109, 70);
INSERT INTO public.who_data VALUES (25762, 1761, 387161, 49, 7318, 109, 174);
INSERT INTO public.who_data VALUES (25763, 0, 0, 0, 0, 109, 175);
INSERT INTO public.who_data VALUES (25764, 19364, 414844, 227, 6102, 109, 118);
INSERT INTO public.who_data VALUES (25765, 2596, 149443, 45, 2635, 109, 189);
INSERT INTO public.who_data VALUES (25766, 771, 68943, 3, 842, 109, 124);
INSERT INTO public.who_data VALUES (25767, 226, 133143, 0, 232, 109, 192);
INSERT INTO public.who_data VALUES (25768, 117, 26924, 2, 474, 109, 41);
INSERT INTO public.who_data VALUES (25769, 710, 77487, 20, 1838, 109, 95);
INSERT INTO public.who_data VALUES (25770, 0, 5898, 0, 26, 109, 74);
INSERT INTO public.who_data VALUES (25771, 7733, 258437, 120, 7273, 109, 11);
INSERT INTO public.who_data VALUES (25772, 19768, 1693454, 389, 29217, 109, 87);
INSERT INTO public.who_data VALUES (25773, 7, 5162, 0, 35, 109, 214);
INSERT INTO public.who_data VALUES (25774, 0, 5, 0, 0, 109, 116);
INSERT INTO public.who_data VALUES (25775, 0, 89, 0, 0, 109, 157);
INSERT INTO public.who_data VALUES (25776, 0, 0, 0, 0, 109, 182);
INSERT INTO public.who_data VALUES (25777, 0, 19, 0, 0, 109, 186);
INSERT INTO public.who_data VALUES (25778, 13, 97, 0, 0, 109, 127);
INSERT INTO public.who_data VALUES (25779, 0, 591, 0, 9, 109, 232);
INSERT INTO public.who_data VALUES (25780, 0, 12, 0, 0, 109, 33);
INSERT INTO public.who_data VALUES (25781, 0, 75, 0, 0, 109, 97);
INSERT INTO public.who_data VALUES (25782, 0, 0, 0, 0, 109, 42);
INSERT INTO public.who_data VALUES (25783, 36, 994, 0, 42, 109, 198);
INSERT INTO public.who_data VALUES (25784, 5, 954, 0, 16, 109, 216);
INSERT INTO public.who_data VALUES (25785, 473, 348510, 19, 5456, 109, 164);
INSERT INTO public.who_data VALUES (25786, 10, 15640, 1, 326, 109, 235);
INSERT INTO public.who_data VALUES (25787, 1878, 51083, 11, 844, 109, 67);
INSERT INTO public.who_data VALUES (25788, 0, 154, 0, 0, 109, 15);
INSERT INTO public.who_data VALUES (25789, 2, 2368, 0, 74, 109, 180);
INSERT INTO public.who_data VALUES (25790, 9, 58029, 0, 28, 109, 237);
INSERT INTO public.who_data VALUES (25791, 0, 14, 0, 0, 109, 25);
INSERT INTO public.who_data VALUES (25792, 13, 844, 0, 22, 109, 209);
INSERT INTO public.who_data VALUES (25793, 1883, 61829, 0, 219, 109, 217);
INSERT INTO public.who_data VALUES (25794, 1177, 37396, 32, 473, 109, 79);
INSERT INTO public.who_data VALUES (25795, 0, 13, 0, 0, 109, 143);
INSERT INTO public.who_data VALUES (25796, 288, 4229, 3, 107, 109, 229);
INSERT INTO public.who_data VALUES (25797, 1241, 728836, 74, 19539, 109, 141);
INSERT INTO public.who_data VALUES (25798, 3, 2943, 0, 59, 109, 197);
INSERT INTO public.who_data VALUES (25799, 16438, 1350733, 282, 39743, 109, 221);
INSERT INTO public.who_data VALUES (25800, 409, 11744, 2, 23, 109, 150);
INSERT INTO public.who_data VALUES (25801, 39, 13905, 0, 837, 109, 56);
INSERT INTO public.who_data VALUES (25802, 2, 5212, 0, 111, 109, 167);
INSERT INTO public.who_data VALUES (25803, 1569, 134898, 20, 6070, 109, 23);
INSERT INTO public.who_data VALUES (25804, 9596, 199979, 79, 2488, 109, 222);
INSERT INTO public.who_data VALUES (25805, 45, 5888, 3, 298, 109, 219);
INSERT INTO public.who_data VALUES (25806, 43, 11139, 1, 83, 109, 7);
INSERT INTO public.who_data VALUES (25807, 7, 3804, 0, 59, 109, 161);
INSERT INTO public.who_data VALUES (25808, 20018, 1073886, 397, 47250, 109, 149);
INSERT INTO public.who_data VALUES (25809, 0, 30, 0, 0, 109, 6);
INSERT INTO public.who_data VALUES (25810, 24, 2381, 0, 57, 109, 139);
INSERT INTO public.who_data VALUES (25811, 0, 0, 0, 0, 109, 211);
INSERT INTO public.who_data VALUES (25812, 0, 0, 0, 0, 109, 14);
INSERT INTO public.who_data VALUES (25813, 0, 5704, 0, 109, 109, 111);
INSERT INTO public.who_data VALUES (25814, 1237, 64363, 29, 1512, 109, 207);
INSERT INTO public.who_data VALUES (25815, 9073, 1048388, 79, 10481, 109, 66);
INSERT INTO public.who_data VALUES (25816, 0, 0, 0, 0, 109, 173);
INSERT INTO public.who_data VALUES (25817, 0, 704, 0, 6, 109, 145);
INSERT INTO public.who_data VALUES (25818, 0, 0, 0, 0, 109, 65);
INSERT INTO public.who_data VALUES (25819, 128, 13099, 1, 115, 109, 184);
INSERT INTO public.who_data VALUES (25820, 9524, 420617, 199, 7731, 109, 98);
INSERT INTO public.who_data VALUES (25821, 1008, 136149, 6, 503, 109, 104);
INSERT INTO public.who_data VALUES (25822, 0, 509, 0, 21, 109, 73);
INSERT INTO public.who_data VALUES (25823, 85412, 9193765, 506, 229948, 109, 8);
INSERT INTO public.who_data VALUES (25824, 7, 1385, 1, 22, 109, 227);
INSERT INTO public.who_data VALUES (25825, 16, 3165, 1, 60, 109, 75);
INSERT INTO public.who_data VALUES (25826, 197, 67698, 2, 575, 109, 45);
INSERT INTO public.who_data VALUES (25827, 0, 0, 0, 0, 109, 133);
INSERT INTO public.who_data VALUES (25828, 380, 92705, 4, 805, 109, 202);
INSERT INTO public.who_data VALUES (25829, 11, 1203, 0, 35, 109, 129);
INSERT INTO public.who_data VALUES (25830, 0, 1, 0, 0, 109, 36);
INSERT INTO public.who_data VALUES (25831, 2, 2069, 0, 602, 109, 51);
INSERT INTO public.who_data VALUES (25832, 118, 16661, 0, 349, 109, 206);
INSERT INTO public.who_data VALUES (25833, 21, 8410, 1, 246, 109, 5);
INSERT INTO public.who_data VALUES (25834, 132, 41633, 5, 1541, 110, 103);
INSERT INTO public.who_data VALUES (25835, 321, 21523, 9, 527, 110, 58);
INSERT INTO public.who_data VALUES (25836, 0, 57942, 0, 1964, 110, 195);
INSERT INTO public.who_data VALUES (25837, 0, 0, 0, 0, 110, 115);
INSERT INTO public.who_data VALUES (25838, 63, 4888, 0, 75, 110, 99);
INSERT INTO public.who_data VALUES (25839, 193, 11228, 3, 289, 110, 153);
INSERT INTO public.who_data VALUES (25840, 0, 3, 0, 0, 110, 93);
INSERT INTO public.who_data VALUES (25841, 0, 128, 0, 3, 110, 84);
INSERT INTO public.who_data VALUES (25842, 6609, 1173533, 138, 31140, 110, 78);
INSERT INTO public.who_data VALUES (25843, 1328, 94089, 22, 1408, 110, 170);
INSERT INTO public.who_data VALUES (25844, 47, 4519, 1, 38, 110, 32);
INSERT INTO public.who_data VALUES (25845, 7, 27602, 0, 907, 110, 155);
INSERT INTO public.who_data VALUES (25846, 3160, 114270, 21, 1135, 110, 82);
INSERT INTO public.who_data VALUES (25847, 596, 57040, 13, 753, 110, 16);
INSERT INTO public.who_data VALUES (25848, 24, 6759, 2, 148, 110, 72);
INSERT INTO public.who_data VALUES (25849, 210, 82133, 1, 322, 110, 43);
INSERT INTO public.who_data VALUES (25850, 1736, 410988, 25, 5966, 110, 120);
INSERT INTO public.who_data VALUES (25851, 0, 237, 0, 7, 110, 213);
INSERT INTO public.who_data VALUES (25852, 941, 100400, 4, 989, 110, 31);
INSERT INTO public.who_data VALUES (25853, 13858, 465346, 207, 12206, 110, 204);
INSERT INTO public.who_data VALUES (25854, 90, 3577, 0, 59, 110, 152);
INSERT INTO public.who_data VALUES (25855, 0, 2683, 0, 41, 110, 144);
INSERT INTO public.who_data VALUES (25856, 7, 206, 0, 9, 110, 96);
INSERT INTO public.who_data VALUES (25857, 2, 356, 0, 0, 110, 47);
INSERT INTO public.who_data VALUES (25858, 76, 141833, 6, 8731, 110, 80);
INSERT INTO public.who_data VALUES (25859, 0, 134, 0, 3, 110, 159);
INSERT INTO public.who_data VALUES (25860, 764, 52269, 32, 1280, 110, 27);
INSERT INTO public.who_data VALUES (25861, 0, 6642, 0, 24, 110, 146);
INSERT INTO public.who_data VALUES (25862, 10100, 5545705, 190, 160074, 110, 71);
INSERT INTO public.who_data VALUES (25863, 0, 72, 0, 1, 110, 210);
INSERT INTO public.who_data VALUES (25864, 0, 148, 0, 3, 110, 54);
INSERT INTO public.who_data VALUES (25865, 2427, 56496, 51, 1349, 110, 147);
INSERT INTO public.who_data VALUES (25866, 17, 2517, 0, 67, 110, 2);
INSERT INTO public.who_data VALUES (25867, 8, 597, 0, 1, 110, 105);
INSERT INTO public.who_data VALUES (25868, 34, 8882, 0, 95, 110, 53);
INSERT INTO public.who_data VALUES (25869, 0, 292, 0, 0, 110, 81);
INSERT INTO public.who_data VALUES (25870, 310, 22103, 3, 429, 110, 223);
INSERT INTO public.who_data VALUES (25871, 2330, 236841, 43, 10179, 110, 94);
INSERT INTO public.who_data VALUES (25872, 0, 240, 0, 1, 110, 154);
INSERT INTO public.who_data VALUES (25873, 0, 4866, 0, 62, 110, 83);
INSERT INTO public.who_data VALUES (25874, 1, 1499, 0, 98, 110, 194);
INSERT INTO public.who_data VALUES (25875, 1324, 513188, 55, 14302, 110, 136);
INSERT INTO public.who_data VALUES (25876, 60, 92015, 0, 4746, 110, 179);
INSERT INTO public.who_data VALUES (25877, 9137, 1083321, 201, 31515, 110, 57);
INSERT INTO public.who_data VALUES (25878, 0, 545, 0, 7, 110, 35);
INSERT INTO public.who_data VALUES (25879, 58, 5348, 0, 92, 110, 228);
INSERT INTO public.who_data VALUES (25880, 0, 0, 0, 0, 110, 19);
INSERT INTO public.who_data VALUES (25881, 746, 110717, 11, 1396, 110, 22);
INSERT INTO public.who_data VALUES (25882, 37, 20753, 0, 126, 110, 1);
INSERT INTO public.who_data VALUES (25883, 1165, 52660, 32, 594, 110, 21);
INSERT INTO public.who_data VALUES (25884, 35, 6970, 1, 129, 110, 234);
INSERT INTO public.who_data VALUES (25885, 43, 987, 0, 1, 110, 91);
INSERT INTO public.who_data VALUES (25886, 197, 4760, 0, 26, 110, 137);
INSERT INTO public.who_data VALUES (25887, 9252, 350896, 225, 3654, 110, 201);
INSERT INTO public.who_data VALUES (25888, 0, 0, 0, 0, 110, 171);
INSERT INTO public.who_data VALUES (25889, 22, 11394, 0, 308, 110, 92);
INSERT INTO public.who_data VALUES (25890, 942, 48241, 1, 724, 110, 112);
INSERT INTO public.who_data VALUES (25891, 10, 5573, 0, 61, 110, 62);
INSERT INTO public.who_data VALUES (25892, 0, 50, 0, 0, 110, 69);
INSERT INTO public.who_data VALUES (25893, 259, 127591, 1, 2250, 110, 220);
INSERT INTO public.who_data VALUES (25894, 368, 169562, 8, 12692, 110, 100);
INSERT INTO public.who_data VALUES (25895, 189, 107925, 13, 6291, 110, 187);
INSERT INTO public.who_data VALUES (25896, 0, 34015, 4, 983, 110, 63);
INSERT INTO public.who_data VALUES (25897, 1, 5089, 0, 83, 110, 28);
INSERT INTO public.who_data VALUES (25898, 17, 480, 0, 0, 110, 172);
INSERT INTO public.who_data VALUES (25899, 61, 5046, 0, 73, 110, 17);
INSERT INTO public.who_data VALUES (25900, 4, 5929, 0, 117, 110, 226);
INSERT INTO public.who_data VALUES (25901, 359, 96942, 11, 1489, 110, 236);
INSERT INTO public.who_data VALUES (25902, 0, 13, 0, 0, 110, 76);
INSERT INTO public.who_data VALUES (25903, 0, 495, 0, 0, 110, 30);
INSERT INTO public.who_data VALUES (25904, 0, 34, 0, 2, 110, 128);
INSERT INTO public.who_data VALUES (25905, 109, 16400, 1, 359, 110, 86);
INSERT INTO public.who_data VALUES (25906, 52156, 1433258, 411, 37128, 110, 140);
INSERT INTO public.who_data VALUES (25907, 0, 10536, 0, 70, 110, 44);
INSERT INTO public.who_data VALUES (25908, 1384, 8646, 9, 38, 110, 113);
INSERT INTO public.who_data VALUES (25909, 16, 8984, 0, 55, 110, 29);
INSERT INTO public.who_data VALUES (25910, 0, 3672, 0, 119, 110, 125);
INSERT INTO public.who_data VALUES (25911, 1943, 44522, 20, 362, 110, 131);
INSERT INTO public.who_data VALUES (25912, 15352, 560379, 131, 10661, 110, 46);
INSERT INTO public.who_data VALUES (25913, 69, 48124, 0, 320, 110, 10);
INSERT INTO public.who_data VALUES (25914, 6, 703, 0, 0, 110, 205);
INSERT INTO public.who_data VALUES (25915, 1151, 42080, 7, 642, 110, 50);
INSERT INTO public.who_data VALUES (25916, 0, 17, 0, 0, 110, 20);
INSERT INTO public.who_data VALUES (25917, 0, 28, 0, 0, 110, 13);
INSERT INTO public.who_data VALUES (25918, 0, 7742, 0, 126, 110, 148);
INSERT INTO public.who_data VALUES (25919, 3, 4644, 0, 79, 110, 230);
INSERT INTO public.who_data VALUES (25920, 0, 108104, 0, 3738, 110, 190);
INSERT INTO public.who_data VALUES (25921, 2, 270, 0, 13, 110, 188);
INSERT INTO public.who_data VALUES (25922, 18, 12213, 0, 73, 110, 123);
INSERT INTO public.who_data VALUES (25923, 0, 2413, 0, 41, 110, 9);
INSERT INTO public.who_data VALUES (25924, 46, 4208, 2, 126, 110, 102);
INSERT INTO public.who_data VALUES (25925, 0, 9054, 0, 232, 110, 34);
INSERT INTO public.who_data VALUES (25926, 0, 26, 0, 0, 110, 212);
INSERT INTO public.who_data VALUES (25927, 808, 98212, 3, 2675, 110, 122);
INSERT INTO public.who_data VALUES (25928, 3989, 86769, 84, 1973, 110, 38);
INSERT INTO public.who_data VALUES (25929, 41, 4931, 0, 12, 110, 130);
INSERT INTO public.who_data VALUES (25930, 38310, 8267623, 490, 123097, 110, 37);
INSERT INTO public.who_data VALUES (25931, 2618, 415402, 101, 14044, 110, 231);
INSERT INTO public.who_data VALUES (25932, 8289, 628780, 440, 35738, 110, 107);
INSERT INTO public.who_data VALUES (25933, 3413, 478701, 51, 11017, 110, 101);
INSERT INTO public.who_data VALUES (25934, 748, 62750, 2, 1917, 110, 132);
INSERT INTO public.who_data VALUES (25935, 0, 353, 0, 24, 110, 176);
INSERT INTO public.who_data VALUES (25936, 658, 315018, 19, 2585, 110, 200);
INSERT INTO public.who_data VALUES (25937, 22253, 731588, 233, 39059, 110, 169);
INSERT INTO public.who_data VALUES (25938, 126, 9257, 1, 210, 110, 225);
INSERT INTO public.who_data VALUES (25939, 468, 102281, 6, 1780, 110, 165);
INSERT INTO public.who_data VALUES (25940, 0, 574, 0, 32, 110, 233);
INSERT INTO public.who_data VALUES (25941, 5877, 81743, 47, 913, 110, 215);
INSERT INTO public.who_data VALUES (25942, 701, 152022, 0, 2259, 110, 177);
INSERT INTO public.who_data VALUES (25943, 724, 56601, 14, 1027, 110, 183);
INSERT INTO public.who_data VALUES (25944, 0, 0, 0, 0, 110, 203);
INSERT INTO public.who_data VALUES (25945, 486, 20622, 9, 687, 110, 162);
INSERT INTO public.who_data VALUES (25946, 759, 127293, 4, 786, 110, 12);
INSERT INTO public.who_data VALUES (25947, 400, 60279, 4, 1159, 110, 24);
INSERT INTO public.who_data VALUES (25948, 0, 24, 0, 0, 110, 119);
INSERT INTO public.who_data VALUES (25949, 132, 6268, 3, 77, 110, 39);
INSERT INTO public.who_data VALUES (25950, 1080, 83697, 9, 652, 110, 26);
INSERT INTO public.who_data VALUES (25951, 8, 1961, 0, 44, 110, 59);
INSERT INTO public.who_data VALUES (25952, 0, 1426, 0, 82, 110, 77);
INSERT INTO public.who_data VALUES (25953, 862, 62907, 9, 880, 110, 134);
INSERT INTO public.who_data VALUES (25954, 45, 668, 0, 3, 110, 4);
INSERT INTO public.who_data VALUES (25955, 893, 17425, 11, 171, 110, 109);
INSERT INTO public.who_data VALUES (25956, 319, 19101, 0, 160, 110, 90);
INSERT INTO public.who_data VALUES (25957, 0, 17111, 0, 244, 110, 61);
INSERT INTO public.who_data VALUES (25958, 1, 5933, 0, 184, 110, 85);
INSERT INTO public.who_data VALUES (25959, 834, 33339, 2, 251, 110, 49);
INSERT INTO public.who_data VALUES (25960, 36, 11737, 0, 38, 110, 208);
INSERT INTO public.who_data VALUES (25961, 8, 3573, 0, 136, 110, 166);
INSERT INTO public.who_data VALUES (25962, 218, 6390, 0, 61, 110, 64);
INSERT INTO public.who_data VALUES (25963, 0, 1, 0, 0, 110, 199);
INSERT INTO public.who_data VALUES (25964, 0, 3818, 0, 31, 110, 114);
INSERT INTO public.who_data VALUES (25965, 62, 7725, 0, 163, 110, 60);
INSERT INTO public.who_data VALUES (25966, 11, 452, 0, 10, 110, 68);
INSERT INTO public.who_data VALUES (25967, 123, 4489, 1, 45, 110, 158);
INSERT INTO public.who_data VALUES (25968, 4430, 929392, 142, 91895, 110, 52);
INSERT INTO public.who_data VALUES (25969, 0, 0, 0, 0, 110, 117);
INSERT INTO public.who_data VALUES (25970, 9, 378, 0, 2, 110, 126);
INSERT INTO public.who_data VALUES (25971, 3, 349, 0, 0, 110, 196);
INSERT INTO public.who_data VALUES (25972, 533, 20789, 2, 321, 110, 142);
INSERT INTO public.who_data VALUES (25973, 0, 13, 0, 1, 110, 185);
INSERT INTO public.who_data VALUES (25974, 2526, 225070, 64, 3826, 110, 138);
INSERT INTO public.who_data VALUES (25975, 142, 13130, 1, 94, 110, 181);
INSERT INTO public.who_data VALUES (25976, 1202, 54607, 24, 1282, 110, 178);
INSERT INTO public.who_data VALUES (25977, 24, 13012, 0, 133, 110, 168);
INSERT INTO public.who_data VALUES (25978, 0, 0, 0, 0, 110, 160);
INSERT INTO public.who_data VALUES (25979, 2933, 176500, 24, 984, 110, 151);
INSERT INTO public.who_data VALUES (25980, 8266, 367157, 29, 7458, 110, 193);
INSERT INTO public.who_data VALUES (25981, 0, 28, 0, 0, 110, 18);
INSERT INTO public.who_data VALUES (25982, 5, 1612, 0, 25, 110, 40);
INSERT INTO public.who_data VALUES (25983, 0, 4424, 0, 156, 110, 218);
INSERT INTO public.who_data VALUES (25984, 0, 1221, 0, 69, 110, 191);
INSERT INTO public.who_data VALUES (25985, 72, 63036, 1, 1147, 110, 156);
INSERT INTO public.who_data VALUES (25986, 0, 0, 0, 0, 110, 135);
INSERT INTO public.who_data VALUES (25987, 0, 96, 0, 2, 110, 88);
INSERT INTO public.who_data VALUES (25988, 561, 32997, 21, 1025, 110, 55);
INSERT INTO public.who_data VALUES (25989, 1071, 20634, 0, 282, 110, 108);
INSERT INTO public.who_data VALUES (25990, 749, 66551, 4, 565, 110, 48);
INSERT INTO public.who_data VALUES (25991, 418, 116152, 10, 1256, 110, 3);
INSERT INTO public.who_data VALUES (25992, 0, 741, 0, 13, 110, 224);
INSERT INTO public.who_data VALUES (25993, 1123, 335093, 12, 6835, 110, 110);
INSERT INTO public.who_data VALUES (25994, 0, 0, 0, 0, 110, 106);
INSERT INTO public.who_data VALUES (25995, 738, 134336, 6, 2706, 110, 89);
INSERT INTO public.who_data VALUES (25996, 2, 592, 0, 7, 110, 121);
INSERT INTO public.who_data VALUES (25997, 546, 63731, 14, 1418, 110, 163);
INSERT INTO public.who_data VALUES (25998, 2408, 904911, 53, 34529, 110, 70);
INSERT INTO public.who_data VALUES (25999, 2287, 385400, 31, 7269, 110, 174);
INSERT INTO public.who_data VALUES (26000, 0, 0, 0, 0, 110, 175);
INSERT INTO public.who_data VALUES (26001, 15578, 395480, 92, 5875, 110, 118);
INSERT INTO public.who_data VALUES (26002, 2506, 146847, 46, 2590, 110, 189);
INSERT INTO public.who_data VALUES (26003, 1511, 68172, 7, 839, 110, 124);
INSERT INTO public.who_data VALUES (26004, 197, 132917, 0, 232, 110, 192);
INSERT INTO public.who_data VALUES (26005, 75, 26807, 4, 472, 110, 41);
INSERT INTO public.who_data VALUES (26006, 195, 76777, 18, 1818, 110, 95);
INSERT INTO public.who_data VALUES (26007, 239, 5898, 4, 26, 110, 74);
INSERT INTO public.who_data VALUES (26008, 4041, 250704, 86, 7153, 110, 11);
INSERT INTO public.who_data VALUES (26009, 18652, 1673686, 355, 28828, 110, 87);
INSERT INTO public.who_data VALUES (26010, 9, 5155, 0, 35, 110, 214);
INSERT INTO public.who_data VALUES (26011, 0, 5, 0, 0, 110, 116);
INSERT INTO public.who_data VALUES (26012, 0, 89, 0, 0, 110, 157);
INSERT INTO public.who_data VALUES (26013, 0, 0, 0, 0, 110, 182);
INSERT INTO public.who_data VALUES (26014, 0, 19, 0, 0, 110, 186);
INSERT INTO public.who_data VALUES (26015, 0, 84, 0, 0, 110, 127);
INSERT INTO public.who_data VALUES (26016, 0, 591, 0, 9, 110, 232);
INSERT INTO public.who_data VALUES (26017, 0, 12, 0, 0, 110, 33);
INSERT INTO public.who_data VALUES (26018, 0, 75, 0, 0, 110, 97);
INSERT INTO public.who_data VALUES (26019, 0, 0, 0, 0, 110, 42);
INSERT INTO public.who_data VALUES (26020, 0, 958, 0, 42, 110, 198);
INSERT INTO public.who_data VALUES (26021, 0, 949, 0, 16, 110, 216);
INSERT INTO public.who_data VALUES (26022, 381, 348037, 17, 5437, 110, 164);
INSERT INTO public.who_data VALUES (26023, 14, 15630, 1, 325, 110, 235);
INSERT INTO public.who_data VALUES (26024, 802, 49205, 7, 833, 110, 67);
INSERT INTO public.who_data VALUES (26025, 0, 154, 0, 0, 110, 15);
INSERT INTO public.who_data VALUES (26026, 0, 2366, 0, 74, 110, 180);
INSERT INTO public.who_data VALUES (26027, 1, 58020, 0, 28, 110, 237);
INSERT INTO public.who_data VALUES (26028, 0, 14, 0, 0, 110, 25);
INSERT INTO public.who_data VALUES (26029, 26, 831, 0, 22, 110, 209);
INSERT INTO public.who_data VALUES (26030, 2282, 59946, 0, 219, 110, 217);
INSERT INTO public.who_data VALUES (26031, 557, 36219, 23, 441, 110, 79);
INSERT INTO public.who_data VALUES (26032, 5, 13, 0, 0, 110, 143);
INSERT INTO public.who_data VALUES (26033, 0, 3941, 0, 104, 110, 229);
INSERT INTO public.who_data VALUES (26034, 772, 727595, 54, 19465, 110, 141);
INSERT INTO public.who_data VALUES (26035, 14, 2940, 0, 59, 110, 197);
INSERT INTO public.who_data VALUES (26036, 11271, 1334295, 251, 39461, 110, 221);
INSERT INTO public.who_data VALUES (26037, 275, 11335, 0, 21, 110, 150);
INSERT INTO public.who_data VALUES (26038, 47, 13866, 0, 837, 110, 56);
INSERT INTO public.who_data VALUES (26039, 7, 5210, 0, 111, 110, 167);
INSERT INTO public.who_data VALUES (26040, 1297, 133329, 22, 6050, 110, 23);
INSERT INTO public.who_data VALUES (26041, 10514, 190383, 58, 2409, 110, 222);
INSERT INTO public.who_data VALUES (26042, 54, 5843, 3, 295, 110, 219);
INSERT INTO public.who_data VALUES (26043, 42, 11096, 0, 82, 110, 7);
INSERT INTO public.who_data VALUES (26044, 10, 3797, 0, 59, 110, 161);
INSERT INTO public.who_data VALUES (26045, 18950, 1053868, 136, 46853, 110, 149);
INSERT INTO public.who_data VALUES (26046, 0, 30, 0, 0, 110, 6);
INSERT INTO public.who_data VALUES (26047, 0, 2357, 0, 57, 110, 139);
INSERT INTO public.who_data VALUES (26048, 0, 0, 0, 0, 110, 211);
INSERT INTO public.who_data VALUES (26049, 0, 0, 0, 0, 110, 14);
INSERT INTO public.who_data VALUES (26050, 0, 5704, 1, 109, 110, 111);
INSERT INTO public.who_data VALUES (26051, 1220, 63126, 102, 1483, 110, 207);
INSERT INTO public.who_data VALUES (26052, 9032, 1039315, 76, 10402, 110, 66);
INSERT INTO public.who_data VALUES (26053, 0, 0, 0, 0, 110, 173);
INSERT INTO public.who_data VALUES (26054, 1, 704, 0, 6, 110, 145);
INSERT INTO public.who_data VALUES (26055, 0, 0, 0, 0, 110, 65);
INSERT INTO public.who_data VALUES (26056, 228, 12971, 2, 114, 110, 184);
INSERT INTO public.who_data VALUES (26057, 8899, 411093, 157, 7532, 110, 98);
INSERT INTO public.who_data VALUES (26058, 1234, 135141, 1, 497, 110, 104);
INSERT INTO public.who_data VALUES (26059, 0, 509, 0, 21, 110, 73);
INSERT INTO public.who_data VALUES (26060, 75888, 9108353, 444, 229442, 110, 8);
INSERT INTO public.who_data VALUES (26061, 2, 1378, 0, 21, 110, 227);
INSERT INTO public.who_data VALUES (26062, 25, 3149, 1, 59, 110, 75);
INSERT INTO public.who_data VALUES (26063, 247, 67501, 2, 573, 110, 45);
INSERT INTO public.who_data VALUES (26064, 0, 0, 0, 0, 110, 133);
INSERT INTO public.who_data VALUES (26065, 312, 92325, 3, 801, 110, 202);
INSERT INTO public.who_data VALUES (26066, 12, 1192, 0, 35, 110, 129);
INSERT INTO public.who_data VALUES (26067, 0, 1, 0, 0, 110, 36);
INSERT INTO public.who_data VALUES (26068, 0, 2067, 1, 602, 110, 51);
INSERT INTO public.who_data VALUES (26069, 63, 16543, 0, 349, 110, 206);
INSERT INTO public.who_data VALUES (26070, 15, 8389, 2, 245, 110, 5);
INSERT INTO public.who_data VALUES (26071, 76, 41501, 0, 1536, 111, 103);
INSERT INTO public.who_data VALUES (26072, 327, 21202, 9, 518, 111, 58);
INSERT INTO public.who_data VALUES (26073, 291, 57942, 8, 1964, 111, 195);
INSERT INTO public.who_data VALUES (26074, 0, 0, 0, 0, 111, 115);
INSERT INTO public.who_data VALUES (26075, 69, 4825, 0, 75, 111, 99);
INSERT INTO public.who_data VALUES (26076, 230, 11035, 2, 286, 111, 153);
INSERT INTO public.who_data VALUES (26077, 0, 3, 0, 0, 111, 93);
INSERT INTO public.who_data VALUES (26078, 1, 128, 0, 3, 111, 84);
INSERT INTO public.who_data VALUES (26079, 9745, 1166924, 210, 31002, 111, 78);
INSERT INTO public.who_data VALUES (26080, 1194, 92761, 28, 1386, 111, 170);
INSERT INTO public.who_data VALUES (26081, 0, 4472, 0, 37, 111, 32);
INSERT INTO public.who_data VALUES (26082, 5, 27595, 0, 907, 111, 155);
INSERT INTO public.who_data VALUES (26083, 4526, 111110, 17, 1114, 111, 82);
INSERT INTO public.who_data VALUES (26084, 1175, 56444, 10, 740, 111, 16);
INSERT INTO public.who_data VALUES (26085, 91, 6735, 4, 146, 111, 72);
INSERT INTO public.who_data VALUES (26086, 278, 81923, 0, 321, 111, 43);
INSERT INTO public.who_data VALUES (26087, 1568, 409252, 18, 5941, 111, 120);
INSERT INTO public.who_data VALUES (26088, 1, 237, 0, 7, 111, 213);
INSERT INTO public.who_data VALUES (26089, 0, 99459, 0, 985, 111, 31);
INSERT INTO public.who_data VALUES (26090, 2667, 451488, 163, 11999, 111, 204);
INSERT INTO public.who_data VALUES (26091, 25, 3487, 1, 59, 111, 152);
INSERT INTO public.who_data VALUES (26092, 40, 2683, 0, 41, 111, 144);
INSERT INTO public.who_data VALUES (26093, 0, 199, 0, 9, 111, 96);
INSERT INTO public.who_data VALUES (26094, 5, 354, 0, 0, 111, 47);
INSERT INTO public.who_data VALUES (26095, 126, 141757, 10, 8725, 111, 80);
INSERT INTO public.who_data VALUES (26096, 0, 134, 0, 3, 111, 159);
INSERT INTO public.who_data VALUES (26097, 1415, 51505, 14, 1248, 111, 27);
INSERT INTO public.who_data VALUES (26098, 0, 6642, 0, 24, 111, 146);
INSERT INTO public.who_data VALUES (26099, 18947, 5535605, 407, 159884, 111, 71);
INSERT INTO public.who_data VALUES (26100, 0, 72, 0, 1, 111, 210);
INSERT INTO public.who_data VALUES (26101, 0, 148, 0, 3, 111, 54);
INSERT INTO public.who_data VALUES (26102, 1225, 54069, 19, 1298, 111, 147);
INSERT INTO public.who_data VALUES (26103, 0, 2500, 0, 67, 111, 2);
INSERT INTO public.who_data VALUES (26104, 0, 589, 0, 1, 111, 105);
INSERT INTO public.who_data VALUES (26105, 55, 8848, 0, 95, 111, 53);
INSERT INTO public.who_data VALUES (26106, 1, 292, 0, 0, 111, 81);
INSERT INTO public.who_data VALUES (26107, 0, 21793, 0, 426, 111, 223);
INSERT INTO public.who_data VALUES (26108, 2512, 234511, 26, 10136, 111, 94);
INSERT INTO public.who_data VALUES (26109, 0, 240, 0, 1, 111, 154);
INSERT INTO public.who_data VALUES (26110, 0, 4866, 0, 62, 111, 83);
INSERT INTO public.who_data VALUES (26111, 15, 1498, 0, 98, 111, 194);
INSERT INTO public.who_data VALUES (26112, 1608, 511864, 40, 14247, 111, 136);
INSERT INTO public.who_data VALUES (26113, 34, 91955, 0, 4746, 111, 179);
INSERT INTO public.who_data VALUES (26114, 11033, 1074184, 179, 31314, 111, 57);
INSERT INTO public.who_data VALUES (26115, 15, 545, 0, 7, 111, 35);
INSERT INTO public.who_data VALUES (26116, 0, 5290, 0, 92, 111, 228);
INSERT INTO public.who_data VALUES (26117, 0, 0, 0, 0, 111, 19);
INSERT INTO public.who_data VALUES (26118, 1105, 109971, 14, 1385, 111, 22);
INSERT INTO public.who_data VALUES (26119, 24, 20716, 2, 126, 111, 1);
INSERT INTO public.who_data VALUES (26120, 2179, 51495, 16, 562, 111, 21);
INSERT INTO public.who_data VALUES (26121, 48, 6935, 0, 128, 111, 234);
INSERT INTO public.who_data VALUES (26122, 0, 944, 0, 1, 111, 91);
INSERT INTO public.who_data VALUES (26123, 197, 4563, 0, 26, 111, 137);
INSERT INTO public.who_data VALUES (26124, 6542, 341644, 178, 3429, 111, 201);
INSERT INTO public.who_data VALUES (26125, 0, 0, 0, 0, 111, 171);
INSERT INTO public.who_data VALUES (26126, 67, 11372, 1, 308, 111, 92);
INSERT INTO public.who_data VALUES (26127, 948, 47299, 2, 723, 111, 112);
INSERT INTO public.who_data VALUES (26128, 2, 5563, 0, 61, 111, 62);
INSERT INTO public.who_data VALUES (26129, 0, 50, 0, 0, 111, 69);
INSERT INTO public.who_data VALUES (26130, 314, 127332, 4, 2249, 111, 220);
INSERT INTO public.who_data VALUES (26131, 1002, 169194, 14, 12684, 111, 100);
INSERT INTO public.who_data VALUES (26132, 181, 107736, 12, 6278, 111, 187);
INSERT INTO public.who_data VALUES (26133, 570, 34015, 4, 979, 111, 63);
INSERT INTO public.who_data VALUES (26134, 0, 5088, 0, 83, 111, 28);
INSERT INTO public.who_data VALUES (26135, 0, 463, 0, 0, 111, 172);
INSERT INTO public.who_data VALUES (26136, 80, 4985, 0, 73, 111, 17);
INSERT INTO public.who_data VALUES (26137, 8, 5925, 0, 117, 111, 226);
INSERT INTO public.who_data VALUES (26138, 414, 96583, 9, 1478, 111, 236);
INSERT INTO public.who_data VALUES (26139, 0, 13, 0, 0, 111, 76);
INSERT INTO public.who_data VALUES (26140, 0, 495, 0, 0, 111, 30);
INSERT INTO public.who_data VALUES (26141, 0, 34, 0, 2, 111, 128);
INSERT INTO public.who_data VALUES (26142, 178, 16291, 0, 358, 111, 86);
INSERT INTO public.who_data VALUES (26143, 49290, 1381102, 231, 36717, 111, 140);
INSERT INTO public.who_data VALUES (26144, 0, 10536, 0, 70, 111, 44);
INSERT INTO public.who_data VALUES (26145, 0, 7262, 0, 29, 111, 113);
INSERT INTO public.who_data VALUES (26146, 0, 8968, 0, 55, 111, 29);
INSERT INTO public.who_data VALUES (26147, 2, 3672, 0, 119, 111, 125);
INSERT INTO public.who_data VALUES (26148, 1852, 42579, 7, 342, 111, 131);
INSERT INTO public.who_data VALUES (26149, 12097, 545027, 49, 10530, 111, 46);
INSERT INTO public.who_data VALUES (26150, 0, 48055, 0, 320, 111, 10);
INSERT INTO public.who_data VALUES (26151, 4, 697, 0, 0, 111, 205);
INSERT INTO public.who_data VALUES (26152, 1678, 40929, 9, 635, 111, 50);
INSERT INTO public.who_data VALUES (26153, 0, 17, 0, 0, 111, 20);
INSERT INTO public.who_data VALUES (26154, 0, 28, 0, 0, 111, 13);
INSERT INTO public.who_data VALUES (26155, 0, 7742, 0, 126, 111, 148);
INSERT INTO public.who_data VALUES (26156, 9, 4641, 0, 79, 111, 230);
INSERT INTO public.who_data VALUES (26157, 165, 108104, 9, 3738, 111, 190);
INSERT INTO public.who_data VALUES (26158, 1, 268, 0, 13, 111, 188);
INSERT INTO public.who_data VALUES (26159, 123, 12195, 1, 73, 111, 123);
INSERT INTO public.who_data VALUES (26160, 0, 2413, 0, 41, 111, 9);
INSERT INTO public.who_data VALUES (26161, 19, 4162, 0, 124, 111, 102);
INSERT INTO public.who_data VALUES (26162, 0, 9054, 0, 232, 111, 34);
INSERT INTO public.who_data VALUES (26163, 0, 26, 0, 0, 111, 212);
INSERT INTO public.who_data VALUES (26164, 516, 97404, 3, 2672, 111, 122);
INSERT INTO public.who_data VALUES (26165, 3581, 82780, 70, 1889, 111, 38);
INSERT INTO public.who_data VALUES (26166, 25, 4890, 0, 12, 111, 130);
INSERT INTO public.who_data VALUES (26167, 45231, 8229313, 496, 122607, 111, 37);
INSERT INTO public.who_data VALUES (26168, 2696, 412784, 74, 13943, 111, 231);
INSERT INTO public.who_data VALUES (26169, 7719, 620491, 434, 35298, 111, 107);
INSERT INTO public.who_data VALUES (26170, 2658, 475288, 56, 10966, 111, 101);
INSERT INTO public.who_data VALUES (26171, 546, 62002, 2, 1915, 111, 132);
INSERT INTO public.who_data VALUES (26172, 0, 353, 0, 24, 111, 176);
INSERT INTO public.who_data VALUES (26173, 228, 314360, 25, 2566, 111, 200);
INSERT INTO public.who_data VALUES (26174, 29905, 709335, 208, 38826, 111, 169);
INSERT INTO public.who_data VALUES (26175, 37, 9131, 3, 209, 111, 225);
INSERT INTO public.who_data VALUES (26176, 667, 101813, 8, 1774, 111, 165);
INSERT INTO public.who_data VALUES (26177, 0, 574, 0, 32, 111, 233);
INSERT INTO public.who_data VALUES (26178, 3259, 75866, 37, 866, 111, 215);
INSERT INTO public.who_data VALUES (26179, 458, 151321, 0, 2259, 111, 177);
INSERT INTO public.who_data VALUES (26180, 685, 55877, 17, 1013, 111, 183);
INSERT INTO public.who_data VALUES (26181, 0, 0, 0, 0, 111, 203);
INSERT INTO public.who_data VALUES (26182, 337, 20136, 7, 678, 111, 162);
INSERT INTO public.who_data VALUES (26183, 608, 126534, 3, 782, 111, 12);
INSERT INTO public.who_data VALUES (26184, 436, 59879, 5, 1155, 111, 24);
INSERT INTO public.who_data VALUES (26185, 0, 24, 0, 0, 111, 119);
INSERT INTO public.who_data VALUES (26186, 242, 6136, 3, 74, 111, 39);
INSERT INTO public.who_data VALUES (26187, 1389, 82617, 6, 643, 111, 26);
INSERT INTO public.who_data VALUES (26188, 6, 1953, 1, 44, 111, 59);
INSERT INTO public.who_data VALUES (26189, 0, 1426, 0, 82, 111, 77);
INSERT INTO public.who_data VALUES (26190, 950, 62045, 14, 871, 111, 134);
INSERT INTO public.who_data VALUES (26191, 22, 623, 0, 3, 111, 4);
INSERT INTO public.who_data VALUES (26192, 834, 16532, 4, 160, 111, 109);
INSERT INTO public.who_data VALUES (26193, 849, 18782, 3, 160, 111, 90);
INSERT INTO public.who_data VALUES (26194, 0, 17111, 0, 244, 111, 61);
INSERT INTO public.who_data VALUES (26195, 2, 5932, 0, 184, 111, 85);
INSERT INTO public.who_data VALUES (26196, 957, 32505, 0, 249, 111, 49);
INSERT INTO public.who_data VALUES (26197, 42, 11701, 0, 38, 111, 208);
INSERT INTO public.who_data VALUES (26198, 11, 3565, 0, 136, 111, 166);
INSERT INTO public.who_data VALUES (26199, 140, 6172, 2, 61, 111, 64);
INSERT INTO public.who_data VALUES (26200, 0, 1, 0, 0, 111, 199);
INSERT INTO public.who_data VALUES (26201, 0, 3818, 0, 31, 111, 114);
INSERT INTO public.who_data VALUES (26202, 0, 7663, 0, 163, 111, 60);
INSERT INTO public.who_data VALUES (26203, 0, 441, 0, 10, 111, 68);
INSERT INTO public.who_data VALUES (26204, 0, 4366, 0, 44, 111, 158);
INSERT INTO public.who_data VALUES (26205, 6151, 924962, 464, 91753, 111, 52);
INSERT INTO public.who_data VALUES (26206, 0, 0, 0, 0, 111, 117);
INSERT INTO public.who_data VALUES (26207, 7, 369, 0, 2, 111, 126);
INSERT INTO public.who_data VALUES (26208, 0, 346, 0, 0, 111, 196);
INSERT INTO public.who_data VALUES (26209, 550, 20256, 7, 319, 111, 142);
INSERT INTO public.who_data VALUES (26210, 0, 13, 0, 1, 111, 185);
INSERT INTO public.who_data VALUES (26211, 3460, 222544, 67, 3762, 111, 138);
INSERT INTO public.who_data VALUES (26212, 119, 12988, 1, 93, 111, 181);
INSERT INTO public.who_data VALUES (26213, 699, 53405, 21, 1258, 111, 178);
INSERT INTO public.who_data VALUES (26214, 53, 12988, 0, 133, 111, 168);
INSERT INTO public.who_data VALUES (26215, 0, 0, 0, 0, 111, 160);
INSERT INTO public.who_data VALUES (26216, 2824, 173567, 23, 960, 111, 151);
INSERT INTO public.who_data VALUES (26217, 8680, 358891, 39, 7429, 111, 193);
INSERT INTO public.who_data VALUES (26218, 0, 28, 0, 0, 111, 18);
INSERT INTO public.who_data VALUES (26219, 4, 1607, 0, 25, 111, 40);
INSERT INTO public.who_data VALUES (26220, 0, 4424, 0, 156, 111, 218);
INSERT INTO public.who_data VALUES (26221, 1, 1221, 0, 69, 111, 191);
INSERT INTO public.who_data VALUES (26222, 111, 62964, 2, 1146, 111, 156);
INSERT INTO public.who_data VALUES (26223, 0, 0, 0, 0, 111, 135);
INSERT INTO public.who_data VALUES (26224, 0, 96, 0, 2, 111, 88);
INSERT INTO public.who_data VALUES (26225, 859, 32436, 10, 1004, 111, 55);
INSERT INTO public.who_data VALUES (26226, 0, 19563, 0, 282, 111, 108);
INSERT INTO public.who_data VALUES (26227, 540, 65802, 6, 561, 111, 48);
INSERT INTO public.who_data VALUES (26228, 1300, 115734, 38, 1246, 111, 3);
INSERT INTO public.who_data VALUES (26229, 0, 741, 0, 13, 111, 224);
INSERT INTO public.who_data VALUES (26230, 977, 333970, 17, 6823, 111, 110);
INSERT INTO public.who_data VALUES (26231, 0, 0, 0, 0, 111, 106);
INSERT INTO public.who_data VALUES (26232, 731, 133598, 12, 2700, 111, 89);
INSERT INTO public.who_data VALUES (26233, 1, 590, 0, 7, 111, 121);
INSERT INTO public.who_data VALUES (26234, 589, 63185, 17, 1404, 111, 163);
INSERT INTO public.who_data VALUES (26235, 2323, 902503, 65, 34476, 111, 70);
INSERT INTO public.who_data VALUES (26236, 2384, 383113, 17, 7238, 111, 174);
INSERT INTO public.who_data VALUES (26237, 0, 0, 0, 0, 111, 175);
INSERT INTO public.who_data VALUES (26238, 17171, 379902, 152, 5783, 111, 118);
INSERT INTO public.who_data VALUES (26239, 3062, 144341, 37, 2544, 111, 189);
INSERT INTO public.who_data VALUES (26240, 533, 66661, 10, 832, 111, 124);
INSERT INTO public.who_data VALUES (26241, 164, 132720, 0, 232, 111, 192);
INSERT INTO public.who_data VALUES (26242, 97, 26732, 2, 468, 111, 41);
INSERT INTO public.who_data VALUES (26243, 542, 76582, 15, 1800, 111, 95);
INSERT INTO public.who_data VALUES (26244, 0, 5659, 0, 22, 111, 74);
INSERT INTO public.who_data VALUES (26245, 5324, 246663, 99, 7067, 111, 11);
INSERT INTO public.who_data VALUES (26246, 18253, 1655034, 238, 28473, 111, 87);
INSERT INTO public.who_data VALUES (26247, 9, 5146, 0, 35, 111, 214);
INSERT INTO public.who_data VALUES (26248, 0, 5, 0, 0, 111, 116);
INSERT INTO public.who_data VALUES (26249, 0, 89, 0, 0, 111, 157);
INSERT INTO public.who_data VALUES (26250, 0, 0, 0, 0, 111, 182);
INSERT INTO public.who_data VALUES (26251, 0, 19, 0, 0, 111, 186);
INSERT INTO public.who_data VALUES (26252, 6, 84, 0, 0, 111, 127);
INSERT INTO public.who_data VALUES (26253, 0, 591, 0, 9, 111, 232);
INSERT INTO public.who_data VALUES (26254, 0, 12, 0, 0, 111, 33);
INSERT INTO public.who_data VALUES (26255, 1, 75, 0, 0, 111, 97);
INSERT INTO public.who_data VALUES (26256, 0, 0, 0, 0, 111, 42);
INSERT INTO public.who_data VALUES (26257, 0, 958, 0, 42, 111, 198);
INSERT INTO public.who_data VALUES (26258, 4, 949, 0, 16, 111, 216);
INSERT INTO public.who_data VALUES (26259, 374, 347656, 18, 5420, 111, 164);
INSERT INTO public.who_data VALUES (26260, 0, 15616, 0, 324, 111, 235);
INSERT INTO public.who_data VALUES (26261, 1449, 48403, 6, 826, 111, 67);
INSERT INTO public.who_data VALUES (26262, 0, 154, 0, 0, 111, 15);
INSERT INTO public.who_data VALUES (26263, 0, 2366, 0, 74, 111, 180);
INSERT INTO public.who_data VALUES (26264, 4, 58019, 0, 28, 111, 237);
INSERT INTO public.who_data VALUES (26265, 0, 14, 0, 0, 111, 25);
INSERT INTO public.who_data VALUES (26266, 0, 805, 0, 22, 111, 209);
INSERT INTO public.who_data VALUES (26267, 2573, 57664, 7, 219, 111, 217);
INSERT INTO public.who_data VALUES (26268, 1347, 35662, 27, 418, 111, 79);
INSERT INTO public.who_data VALUES (26269, 0, 8, 0, 0, 111, 143);
INSERT INTO public.who_data VALUES (26270, 0, 3941, 0, 104, 111, 229);
INSERT INTO public.who_data VALUES (26271, 1371, 726823, 135, 19411, 111, 141);
INSERT INTO public.who_data VALUES (26272, 0, 2926, 0, 59, 111, 197);
INSERT INTO public.who_data VALUES (26273, 16675, 1323024, 247, 39210, 111, 221);
INSERT INTO public.who_data VALUES (26274, 397, 11060, 1, 21, 111, 150);
INSERT INTO public.who_data VALUES (26275, 15, 13819, 0, 837, 111, 56);
INSERT INTO public.who_data VALUES (26276, 2, 5203, 0, 111, 111, 167);
INSERT INTO public.who_data VALUES (26277, 2987, 132032, 13, 6028, 111, 23);
INSERT INTO public.who_data VALUES (26278, 3626, 179869, 59, 2351, 111, 222);
INSERT INTO public.who_data VALUES (26279, 61, 5789, 4, 292, 111, 219);
INSERT INTO public.who_data VALUES (26280, 37, 11054, 0, 82, 111, 7);
INSERT INTO public.who_data VALUES (26281, 3, 3787, 0, 59, 111, 161);
INSERT INTO public.who_data VALUES (26282, 23254, 1034918, 162, 46717, 111, 149);
INSERT INTO public.who_data VALUES (26283, 0, 30, 0, 0, 111, 6);
INSERT INTO public.who_data VALUES (26284, 61, 2357, 2, 57, 111, 139);
INSERT INTO public.who_data VALUES (26285, 0, 0, 0, 0, 111, 211);
INSERT INTO public.who_data VALUES (26286, 0, 0, 0, 0, 111, 14);
INSERT INTO public.who_data VALUES (26287, 36, 5704, 1, 108, 111, 111);
INSERT INTO public.who_data VALUES (26288, 791, 61906, 33, 1381, 111, 207);
INSERT INTO public.who_data VALUES (26289, 8836, 1030283, 74, 10326, 111, 66);
INSERT INTO public.who_data VALUES (26290, 0, 0, 0, 0, 111, 173);
INSERT INTO public.who_data VALUES (26291, 0, 703, 0, 6, 111, 145);
INSERT INTO public.who_data VALUES (26292, 0, 0, 0, 0, 111, 65);
INSERT INTO public.who_data VALUES (26293, 248, 12743, 1, 112, 111, 184);
INSERT INTO public.who_data VALUES (26294, 6754, 402194, 69, 7375, 111, 98);
INSERT INTO public.who_data VALUES (26295, 1278, 133907, 1, 496, 111, 104);
INSERT INTO public.who_data VALUES (26296, 0, 509, 0, 21, 111, 73);
INSERT INTO public.who_data VALUES (26297, 80379, 9032465, 813, 228998, 111, 8);
INSERT INTO public.who_data VALUES (26298, 0, 1376, 0, 21, 111, 227);
INSERT INTO public.who_data VALUES (26299, 42, 3124, 0, 58, 111, 75);
INSERT INTO public.who_data VALUES (26300, 199, 67254, 3, 571, 111, 45);
INSERT INTO public.who_data VALUES (26301, 0, 0, 0, 0, 111, 133);
INSERT INTO public.who_data VALUES (26302, 424, 92013, 5, 798, 111, 202);
INSERT INTO public.who_data VALUES (26303, 0, 1180, 0, 35, 111, 129);
INSERT INTO public.who_data VALUES (26304, 0, 1, 0, 0, 111, 36);
INSERT INTO public.who_data VALUES (26305, 0, 2067, 1, 601, 111, 51);
INSERT INTO public.who_data VALUES (26306, 48, 16480, 0, 349, 111, 206);
INSERT INTO public.who_data VALUES (26307, 7, 8374, 0, 243, 111, 5);
INSERT INTO public.who_data VALUES (26308, 91, 41425, 3, 1536, 112, 103);
INSERT INTO public.who_data VALUES (26309, 241, 20875, 7, 509, 112, 58);
INSERT INTO public.who_data VALUES (26310, 319, 57651, 7, 1956, 112, 195);
INSERT INTO public.who_data VALUES (26311, 0, 0, 0, 0, 112, 115);
INSERT INTO public.who_data VALUES (26312, 91, 4756, 0, 75, 112, 99);
INSERT INTO public.who_data VALUES (26313, 247, 10805, 5, 284, 112, 153);
INSERT INTO public.who_data VALUES (26314, 0, 3, 0, 0, 112, 93);
INSERT INTO public.who_data VALUES (26315, 0, 127, 0, 3, 112, 84);
INSERT INTO public.who_data VALUES (26316, 13379, 1157179, 350, 30792, 112, 78);
INSERT INTO public.who_data VALUES (26317, 2441, 91567, 22, 1358, 112, 170);
INSERT INTO public.who_data VALUES (26318, 0, 4472, 0, 37, 112, 32);
INSERT INTO public.who_data VALUES (26319, 8, 27590, 0, 907, 112, 155);
INSERT INTO public.who_data VALUES (26320, 5141, 106584, 18, 1097, 112, 82);
INSERT INTO public.who_data VALUES (26321, 1095, 55269, 12, 730, 112, 16);
INSERT INTO public.who_data VALUES (26322, 0, 6644, 0, 142, 112, 72);
INSERT INTO public.who_data VALUES (26323, 179, 81645, 2, 321, 112, 43);
INSERT INTO public.who_data VALUES (26324, 1320, 407684, 18, 5923, 112, 120);
INSERT INTO public.who_data VALUES (26325, 0, 236, 0, 7, 112, 213);
INSERT INTO public.who_data VALUES (26326, 1960, 99459, 8, 985, 112, 31);
INSERT INTO public.who_data VALUES (26327, 6308, 448821, 176, 11836, 112, 204);
INSERT INTO public.who_data VALUES (26328, 80, 3462, 2, 58, 112, 152);
INSERT INTO public.who_data VALUES (26329, 0, 2643, 0, 41, 112, 144);
INSERT INTO public.who_data VALUES (26330, 0, 199, 0, 9, 112, 96);
INSERT INTO public.who_data VALUES (26331, 1, 349, 0, 0, 112, 47);
INSERT INTO public.who_data VALUES (26332, 147, 141631, 10, 8715, 112, 80);
INSERT INTO public.who_data VALUES (26333, 0, 134, 0, 3, 112, 159);
INSERT INTO public.who_data VALUES (26334, 1937, 50090, 22, 1234, 112, 27);
INSERT INTO public.who_data VALUES (26335, 0, 6642, 0, 24, 112, 146);
INSERT INTO public.who_data VALUES (26336, 22282, 5516658, 508, 159477, 112, 71);
INSERT INTO public.who_data VALUES (26337, 0, 72, 0, 1, 112, 210);
INSERT INTO public.who_data VALUES (26338, 0, 148, 0, 3, 112, 54);
INSERT INTO public.who_data VALUES (26339, 1803, 52844, 25, 1279, 112, 147);
INSERT INTO public.who_data VALUES (26340, 23, 2500, 0, 67, 112, 2);
INSERT INTO public.who_data VALUES (26341, 4, 589, 0, 1, 112, 105);
INSERT INTO public.who_data VALUES (26342, 99, 8793, 0, 95, 112, 53);
INSERT INTO public.who_data VALUES (26343, 0, 291, 0, 0, 112, 81);
INSERT INTO public.who_data VALUES (26344, 0, 21793, 0, 426, 112, 223);
INSERT INTO public.who_data VALUES (26345, 3457, 231999, 36, 10110, 112, 94);
INSERT INTO public.who_data VALUES (26346, 0, 240, 0, 1, 112, 154);
INSERT INTO public.who_data VALUES (26347, 0, 4866, 0, 62, 112, 83);
INSERT INTO public.who_data VALUES (26348, 0, 1483, 0, 98, 112, 194);
INSERT INTO public.who_data VALUES (26349, 1685, 510256, 49, 14207, 112, 136);
INSERT INTO public.who_data VALUES (26350, 28, 91921, 0, 4746, 112, 179);
INSERT INTO public.who_data VALUES (26351, 10029, 1063151, 209, 31135, 112, 57);
INSERT INTO public.who_data VALUES (26352, 0, 530, 0, 7, 112, 35);
INSERT INTO public.who_data VALUES (26353, 0, 5290, 0, 92, 112, 228);
INSERT INTO public.who_data VALUES (26354, 0, 0, 0, 0, 112, 19);
INSERT INTO public.who_data VALUES (26355, 1296, 108866, 14, 1371, 112, 22);
INSERT INTO public.who_data VALUES (26356, 64, 20692, 0, 124, 112, 1);
INSERT INTO public.who_data VALUES (26357, 2769, 49316, 15, 546, 112, 21);
INSERT INTO public.who_data VALUES (26358, 86, 6887, 0, 128, 112, 234);
INSERT INTO public.who_data VALUES (26359, 0, 944, 0, 1, 112, 91);
INSERT INTO public.who_data VALUES (26360, 149, 4366, 1, 26, 112, 137);
INSERT INTO public.who_data VALUES (26361, 11429, 335102, 173, 3251, 112, 201);
INSERT INTO public.who_data VALUES (26362, 0, 0, 0, 0, 112, 171);
INSERT INTO public.who_data VALUES (26363, 0, 11305, 0, 307, 112, 92);
INSERT INTO public.who_data VALUES (26364, 1126, 46351, 2, 721, 112, 112);
INSERT INTO public.who_data VALUES (26365, 2, 5561, 0, 61, 112, 62);
INSERT INTO public.who_data VALUES (26366, 8, 50, 0, 0, 112, 69);
INSERT INTO public.who_data VALUES (26367, 686, 127018, 9, 2245, 112, 220);
INSERT INTO public.who_data VALUES (26368, 1045, 168192, 38, 12670, 112, 100);
INSERT INTO public.who_data VALUES (26369, 170, 107555, 8, 6266, 112, 187);
INSERT INTO public.who_data VALUES (26370, 0, 33445, 4, 975, 112, 63);
INSERT INTO public.who_data VALUES (26371, 5, 5088, 0, 83, 112, 28);
INSERT INTO public.who_data VALUES (26372, 0, 463, 0, 0, 112, 172);
INSERT INTO public.who_data VALUES (26373, 134, 4905, 0, 73, 112, 17);
INSERT INTO public.who_data VALUES (26374, 8, 5917, 0, 117, 112, 226);
INSERT INTO public.who_data VALUES (26375, 380, 96169, 5, 1469, 112, 236);
INSERT INTO public.who_data VALUES (26376, 0, 13, 0, 0, 112, 76);
INSERT INTO public.who_data VALUES (26377, 1, 495, 0, 0, 112, 30);
INSERT INTO public.who_data VALUES (26378, 0, 34, 0, 2, 112, 128);
INSERT INTO public.who_data VALUES (26379, 203, 16113, 0, 358, 112, 86);
INSERT INTO public.who_data VALUES (26380, 32530, 1331812, 223, 36486, 112, 140);
INSERT INTO public.who_data VALUES (26381, 111, 10536, 0, 70, 112, 44);
INSERT INTO public.who_data VALUES (26382, 0, 7262, 0, 29, 112, 113);
INSERT INTO public.who_data VALUES (26383, 11, 8968, 0, 55, 112, 29);
INSERT INTO public.who_data VALUES (26384, 4, 3670, 0, 119, 112, 125);
INSERT INTO public.who_data VALUES (26385, 1791, 40727, 28, 335, 112, 131);
INSERT INTO public.who_data VALUES (26386, 14177, 532930, 29, 10481, 112, 46);
INSERT INTO public.who_data VALUES (26387, 0, 48055, 0, 320, 112, 10);
INSERT INTO public.who_data VALUES (26388, 5, 693, 0, 0, 112, 205);
INSERT INTO public.who_data VALUES (26389, 2055, 39251, 6, 626, 112, 50);
INSERT INTO public.who_data VALUES (26390, 0, 17, 0, 0, 112, 20);
INSERT INTO public.who_data VALUES (26391, 0, 28, 0, 0, 112, 13);
INSERT INTO public.who_data VALUES (26392, 0, 7742, 0, 126, 112, 148);
INSERT INTO public.who_data VALUES (26393, 53, 4632, 0, 79, 112, 230);
INSERT INTO public.who_data VALUES (26394, 600, 107939, 15, 3729, 112, 190);
INSERT INTO public.who_data VALUES (26395, 0, 267, 0, 13, 112, 188);
INSERT INTO public.who_data VALUES (26396, 52, 12072, 1, 72, 112, 123);
INSERT INTO public.who_data VALUES (26397, 0, 2413, 0, 41, 112, 9);
INSERT INTO public.who_data VALUES (26398, 45, 4143, 1, 124, 112, 102);
INSERT INTO public.who_data VALUES (26399, 0, 9054, 0, 232, 112, 34);
INSERT INTO public.who_data VALUES (26400, 0, 26, 0, 0, 112, 212);
INSERT INTO public.who_data VALUES (26401, 738, 96888, 8, 2669, 112, 122);
INSERT INTO public.who_data VALUES (26402, 3878, 79199, 69, 1819, 112, 38);
INSERT INTO public.who_data VALUES (26403, 68, 4865, 0, 12, 112, 130);
INSERT INTO public.who_data VALUES (26404, 46963, 8184082, 470, 122111, 112, 37);
INSERT INTO public.who_data VALUES (26405, 3143, 410088, 87, 13869, 112, 231);
INSERT INTO public.who_data VALUES (26406, 7820, 612772, 386, 34864, 112, 107);
INSERT INTO public.who_data VALUES (26407, 1997, 472630, 48, 10910, 112, 101);
INSERT INTO public.who_data VALUES (26408, 397, 61456, 5, 1913, 112, 132);
INSERT INTO public.who_data VALUES (26409, 1, 353, 0, 24, 112, 176);
INSERT INTO public.who_data VALUES (26410, 680, 314132, 12, 2541, 112, 200);
INSERT INTO public.who_data VALUES (26411, 31756, 679430, 297, 38618, 112, 169);
INSERT INTO public.who_data VALUES (26412, 89, 9094, 1, 206, 112, 225);
INSERT INTO public.who_data VALUES (26413, 754, 101146, 11, 1766, 112, 165);
INSERT INTO public.who_data VALUES (26414, 5, 574, 0, 32, 112, 233);
INSERT INTO public.who_data VALUES (26415, 3301, 72607, 57, 829, 112, 215);
INSERT INTO public.who_data VALUES (26416, 483, 150863, 40, 2259, 112, 177);
INSERT INTO public.who_data VALUES (26417, 1395, 55192, 15, 996, 112, 183);
INSERT INTO public.who_data VALUES (26418, 0, 0, 0, 0, 112, 203);
INSERT INTO public.who_data VALUES (26419, 514, 19799, 3, 671, 112, 162);
INSERT INTO public.who_data VALUES (26420, 589, 125926, 6, 779, 112, 12);
INSERT INTO public.who_data VALUES (26421, 565, 59443, 5, 1150, 112, 24);
INSERT INTO public.who_data VALUES (26422, 0, 24, 0, 0, 112, 119);
INSERT INTO public.who_data VALUES (26423, 215, 5894, 2, 71, 112, 39);
INSERT INTO public.who_data VALUES (26424, 1699, 81228, 12, 637, 112, 26);
INSERT INTO public.who_data VALUES (26425, 0, 1947, 0, 43, 112, 59);
INSERT INTO public.who_data VALUES (26426, 0, 1426, 0, 82, 112, 77);
INSERT INTO public.who_data VALUES (26427, 467, 61095, 10, 857, 112, 134);
INSERT INTO public.who_data VALUES (26428, 25, 601, 0, 3, 112, 4);
INSERT INTO public.who_data VALUES (26429, 883, 15698, 3, 156, 112, 109);
INSERT INTO public.who_data VALUES (26430, 799, 17933, 5, 157, 112, 90);
INSERT INTO public.who_data VALUES (26431, 143, 17111, 0, 244, 112, 61);
INSERT INTO public.who_data VALUES (26432, 7, 5930, 0, 184, 112, 85);
INSERT INTO public.who_data VALUES (26433, 659, 31548, 0, 249, 112, 49);
INSERT INTO public.who_data VALUES (26434, 16, 11659, 1, 38, 112, 208);
INSERT INTO public.who_data VALUES (26435, 9, 3554, 0, 136, 112, 166);
INSERT INTO public.who_data VALUES (26436, 100, 6032, 2, 59, 112, 64);
INSERT INTO public.who_data VALUES (26437, 0, 1, 0, 0, 112, 199);
INSERT INTO public.who_data VALUES (26438, 0, 3818, 0, 31, 112, 114);
INSERT INTO public.who_data VALUES (26439, 0, 7663, 0, 163, 112, 60);
INSERT INTO public.who_data VALUES (26440, 0, 441, 0, 10, 112, 68);
INSERT INTO public.who_data VALUES (26441, 0, 4366, 0, 44, 112, 158);
INSERT INTO public.who_data VALUES (26442, 6000, 918811, 516, 91289, 112, 52);
INSERT INTO public.who_data VALUES (26443, 0, 0, 0, 0, 112, 117);
INSERT INTO public.who_data VALUES (26444, 4, 362, 0, 2, 112, 126);
INSERT INTO public.who_data VALUES (26445, 6, 346, 0, 0, 112, 196);
INSERT INTO public.who_data VALUES (26446, 357, 19706, 11, 312, 112, 142);
INSERT INTO public.who_data VALUES (26447, 0, 13, 0, 1, 112, 185);
INSERT INTO public.who_data VALUES (26448, 3790, 219084, 70, 3695, 112, 138);
INSERT INTO public.who_data VALUES (26449, 92, 12869, 1, 92, 112, 181);
INSERT INTO public.who_data VALUES (26450, 1210, 52706, 18, 1237, 112, 178);
INSERT INTO public.who_data VALUES (26451, 28, 12935, 0, 133, 112, 168);
INSERT INTO public.who_data VALUES (26452, 0, 0, 0, 0, 112, 160);
INSERT INTO public.who_data VALUES (26453, 2508, 170743, 17, 937, 112, 151);
INSERT INTO public.who_data VALUES (26454, 9773, 350211, 51, 7390, 112, 193);
INSERT INTO public.who_data VALUES (26455, 0, 28, 0, 0, 112, 18);
INSERT INTO public.who_data VALUES (26456, 2, 1603, 0, 25, 112, 40);
INSERT INTO public.who_data VALUES (26457, 0, 4424, 0, 156, 112, 218);
INSERT INTO public.who_data VALUES (26458, 0, 1220, 0, 69, 112, 191);
INSERT INTO public.who_data VALUES (26459, 162, 62853, 0, 1144, 112, 156);
INSERT INTO public.who_data VALUES (26460, 0, 0, 0, 0, 112, 135);
INSERT INTO public.who_data VALUES (26461, 4, 96, 0, 2, 112, 88);
INSERT INTO public.who_data VALUES (26462, 1089, 31577, 12, 994, 112, 55);
INSERT INTO public.who_data VALUES (26463, 0, 19563, 0, 282, 112, 108);
INSERT INTO public.who_data VALUES (26464, 521, 65262, 2, 555, 112, 48);
INSERT INTO public.who_data VALUES (26465, 0, 114434, 0, 1208, 112, 3);
INSERT INTO public.who_data VALUES (26466, 0, 741, 0, 13, 112, 224);
INSERT INTO public.who_data VALUES (26467, 807, 332993, 11, 6806, 112, 110);
INSERT INTO public.who_data VALUES (26468, 0, 0, 0, 0, 112, 106);
INSERT INTO public.who_data VALUES (26469, 822, 132867, 10, 2688, 112, 89);
INSERT INTO public.who_data VALUES (26470, 0, 589, 0, 7, 112, 121);
INSERT INTO public.who_data VALUES (26471, 546, 62596, 14, 1387, 112, 163);
INSERT INTO public.who_data VALUES (26472, 2586, 900180, 49, 34411, 112, 70);
INSERT INTO public.who_data VALUES (26473, 1796, 380729, 36, 7221, 112, 174);
INSERT INTO public.who_data VALUES (26474, 0, 0, 0, 0, 112, 175);
INSERT INTO public.who_data VALUES (26475, 21897, 362731, 280, 5631, 112, 118);
INSERT INTO public.who_data VALUES (26476, 4007, 141279, 39, 2507, 112, 189);
INSERT INTO public.who_data VALUES (26477, 385, 66128, 2, 822, 112, 124);
INSERT INTO public.who_data VALUES (26478, 213, 132556, 0, 232, 112, 192);
INSERT INTO public.who_data VALUES (26479, 124, 26635, 2, 466, 112, 41);
INSERT INTO public.who_data VALUES (26480, 839, 76040, 19, 1785, 112, 95);
INSERT INTO public.who_data VALUES (26481, 0, 5659, 0, 22, 112, 74);
INSERT INTO public.who_data VALUES (26482, 5753, 241339, 101, 6968, 112, 11);
INSERT INTO public.who_data VALUES (26483, 18665, 1636781, 245, 28235, 112, 87);
INSERT INTO public.who_data VALUES (26484, 3, 5137, 0, 35, 112, 214);
INSERT INTO public.who_data VALUES (26485, 0, 5, 0, 0, 112, 116);
INSERT INTO public.who_data VALUES (26486, 0, 89, 0, 0, 112, 157);
INSERT INTO public.who_data VALUES (26487, 0, 0, 0, 0, 112, 182);
INSERT INTO public.who_data VALUES (26488, 0, 19, 0, 0, 112, 186);
INSERT INTO public.who_data VALUES (26489, 2, 78, 0, 0, 112, 127);
INSERT INTO public.who_data VALUES (26490, 0, 591, 0, 9, 112, 232);
INSERT INTO public.who_data VALUES (26491, 0, 12, 0, 0, 112, 33);
INSERT INTO public.who_data VALUES (26492, 0, 74, 0, 0, 112, 97);
INSERT INTO public.who_data VALUES (26493, 0, 0, 0, 0, 112, 42);
INSERT INTO public.who_data VALUES (26494, 0, 958, 0, 42, 112, 198);
INSERT INTO public.who_data VALUES (26495, 0, 945, 0, 16, 112, 216);
INSERT INTO public.who_data VALUES (26496, 402, 347282, 19, 5402, 112, 164);
INSERT INTO public.who_data VALUES (26497, 23, 15616, 1, 324, 112, 235);
INSERT INTO public.who_data VALUES (26498, 1817, 46954, 6, 820, 112, 67);
INSERT INTO public.who_data VALUES (26499, 2, 154, 0, 0, 112, 15);
INSERT INTO public.who_data VALUES (26500, 1, 2366, 0, 74, 112, 180);
INSERT INTO public.who_data VALUES (26501, 12, 58015, 0, 28, 112, 237);
INSERT INTO public.who_data VALUES (26502, 0, 14, 0, 0, 112, 25);
INSERT INTO public.who_data VALUES (26503, 0, 805, 0, 22, 112, 209);
INSERT INTO public.who_data VALUES (26504, 3363, 55091, 12, 212, 112, 217);
INSERT INTO public.who_data VALUES (26505, 1797, 34315, 27, 391, 112, 79);
INSERT INTO public.who_data VALUES (26506, 0, 8, 0, 0, 112, 143);
INSERT INTO public.who_data VALUES (26507, 0, 3941, 0, 104, 112, 229);
INSERT INTO public.who_data VALUES (26508, 1770, 725452, 46, 19276, 112, 141);
INSERT INTO public.who_data VALUES (26509, 21, 2926, 1, 59, 112, 197);
INSERT INTO public.who_data VALUES (26510, 25972, 1306349, 243, 38963, 112, 221);
INSERT INTO public.who_data VALUES (26511, 239, 10663, 1, 20, 112, 150);
INSERT INTO public.who_data VALUES (26512, 0, 13804, 0, 837, 112, 56);
INSERT INTO public.who_data VALUES (26513, 4, 5201, 0, 111, 112, 167);
INSERT INTO public.who_data VALUES (26514, 4056, 129045, 9, 6015, 112, 23);
INSERT INTO public.who_data VALUES (26515, 5128, 176243, 58, 2292, 112, 222);
INSERT INTO public.who_data VALUES (26516, 45, 5728, 3, 288, 112, 219);
INSERT INTO public.who_data VALUES (26517, 40, 11017, 0, 82, 112, 7);
INSERT INTO public.who_data VALUES (26518, 4, 3784, 0, 59, 112, 161);
INSERT INTO public.who_data VALUES (26519, 21915, 1011664, 326, 46555, 112, 149);
INSERT INTO public.who_data VALUES (26520, 0, 30, 0, 0, 112, 6);
INSERT INTO public.who_data VALUES (26521, 0, 2296, 0, 55, 112, 139);
INSERT INTO public.who_data VALUES (26522, 0, 0, 0, 0, 112, 211);
INSERT INTO public.who_data VALUES (26523, 0, 0, 0, 0, 112, 14);
INSERT INTO public.who_data VALUES (26524, 32, 5668, 0, 107, 112, 111);
INSERT INTO public.who_data VALUES (26525, 1302, 61115, 31, 1348, 112, 207);
INSERT INTO public.who_data VALUES (26526, 8943, 1021447, 75, 10252, 112, 66);
INSERT INTO public.who_data VALUES (26527, 0, 0, 0, 0, 112, 173);
INSERT INTO public.who_data VALUES (26528, 0, 703, 0, 6, 112, 145);
INSERT INTO public.who_data VALUES (26529, 0, 0, 0, 0, 112, 65);
INSERT INTO public.who_data VALUES (26530, 85, 12495, 1, 111, 112, 184);
INSERT INTO public.who_data VALUES (26531, 7959, 395440, 110, 7306, 112, 98);
INSERT INTO public.who_data VALUES (26532, 1121, 132629, 5, 495, 112, 104);
INSERT INTO public.who_data VALUES (26533, 0, 509, 0, 21, 112, 73);
INSERT INTO public.who_data VALUES (26534, 99356, 8952086, 1007, 228185, 112, 8);
INSERT INTO public.who_data VALUES (26535, 14, 1376, 0, 21, 112, 227);
INSERT INTO public.who_data VALUES (26536, 38, 3082, 1, 58, 112, 75);
INSERT INTO public.who_data VALUES (26537, 254, 67055, 4, 568, 112, 45);
INSERT INTO public.who_data VALUES (26538, 0, 0, 0, 0, 112, 133);
INSERT INTO public.who_data VALUES (26539, 309, 91589, 4, 793, 112, 202);
INSERT INTO public.who_data VALUES (26540, 3, 1180, 0, 35, 112, 129);
INSERT INTO public.who_data VALUES (26541, 0, 1, 0, 0, 112, 36);
INSERT INTO public.who_data VALUES (26542, 1, 2067, 0, 600, 112, 51);
INSERT INTO public.who_data VALUES (26543, 17, 16432, 0, 349, 112, 206);
INSERT INTO public.who_data VALUES (26544, 5, 8367, 1, 243, 112, 5);
INSERT INTO public.who_data VALUES (26545, 66, 41334, 1, 1533, 113, 103);
INSERT INTO public.who_data VALUES (26546, 319, 20634, 3, 502, 113, 58);
INSERT INTO public.who_data VALUES (26547, 306, 57332, 8, 1949, 113, 195);
INSERT INTO public.who_data VALUES (26548, 0, 0, 0, 0, 113, 115);
INSERT INTO public.who_data VALUES (26549, 98, 4665, 2, 75, 113, 99);
INSERT INTO public.who_data VALUES (26550, 289, 10558, 4, 279, 113, 153);
INSERT INTO public.who_data VALUES (26551, 0, 3, 0, 0, 113, 93);
INSERT INTO public.who_data VALUES (26552, 3, 127, 0, 3, 113, 84);
INSERT INTO public.who_data VALUES (26553, 13267, 1143800, 371, 30442, 113, 78);
INSERT INTO public.who_data VALUES (26554, 2381, 89126, 41, 1336, 113, 170);
INSERT INTO public.who_data VALUES (26555, 17, 4472, 0, 37, 113, 32);
INSERT INTO public.who_data VALUES (26556, 13, 27582, 0, 907, 113, 155);
INSERT INTO public.who_data VALUES (26557, 5243, 101443, 15, 1079, 113, 82);
INSERT INTO public.who_data VALUES (26558, 1022, 54174, 10, 718, 113, 16);
INSERT INTO public.who_data VALUES (26559, 37, 6644, 4, 142, 113, 72);
INSERT INTO public.who_data VALUES (26560, 204, 81466, 2, 319, 113, 43);
INSERT INTO public.who_data VALUES (26561, 1604, 406364, 19, 5905, 113, 120);
INSERT INTO public.who_data VALUES (26562, 1, 236, 0, 7, 113, 213);
INSERT INTO public.who_data VALUES (26563, 970, 97499, 4, 977, 113, 31);
INSERT INTO public.who_data VALUES (26564, 15403, 442513, 184, 11660, 113, 204);
INSERT INTO public.who_data VALUES (26565, 121, 3382, 4, 56, 113, 152);
INSERT INTO public.who_data VALUES (26566, 0, 2643, 0, 41, 113, 144);
INSERT INTO public.who_data VALUES (26567, 1, 199, 0, 9, 113, 96);
INSERT INTO public.who_data VALUES (26568, 2, 348, 0, 0, 113, 47);
INSERT INTO public.who_data VALUES (26569, 163, 141484, 11, 8705, 113, 80);
INSERT INTO public.who_data VALUES (26570, 0, 134, 0, 3, 113, 159);
INSERT INTO public.who_data VALUES (26571, 1485, 48153, 30, 1212, 113, 27);
INSERT INTO public.who_data VALUES (26572, 0, 6642, 0, 24, 113, 146);
INSERT INTO public.who_data VALUES (26573, 26106, 5494376, 513, 158969, 113, 71);
INSERT INTO public.who_data VALUES (26574, 0, 72, 0, 1, 113, 210);
INSERT INTO public.who_data VALUES (26575, 0, 148, 0, 3, 113, 54);
INSERT INTO public.who_data VALUES (26576, 2891, 51041, 29, 1254, 113, 147);
INSERT INTO public.who_data VALUES (26577, 0, 2477, 0, 67, 113, 2);
INSERT INTO public.who_data VALUES (26578, 3, 585, 0, 1, 113, 105);
INSERT INTO public.who_data VALUES (26579, 91, 8694, 0, 95, 113, 53);
INSERT INTO public.who_data VALUES (26580, 0, 291, 0, 0, 113, 81);
INSERT INTO public.who_data VALUES (26581, 0, 21793, 0, 426, 113, 223);
INSERT INTO public.who_data VALUES (26582, 2956, 228542, 42, 10074, 113, 94);
INSERT INTO public.who_data VALUES (26583, 1, 240, 0, 1, 113, 154);
INSERT INTO public.who_data VALUES (26584, 0, 4866, 0, 62, 113, 83);
INSERT INTO public.who_data VALUES (26585, 10, 1483, 1, 98, 113, 194);
INSERT INTO public.who_data VALUES (26586, 1521, 508571, 40, 14158, 113, 136);
INSERT INTO public.who_data VALUES (26587, 41, 91893, 0, 4746, 113, 179);
INSERT INTO public.who_data VALUES (26588, 11187, 1053122, 173, 30926, 113, 57);
INSERT INTO public.who_data VALUES (26589, 0, 530, 0, 7, 113, 35);
INSERT INTO public.who_data VALUES (26590, 0, 5290, 0, 92, 113, 228);
INSERT INTO public.who_data VALUES (26591, 0, 0, 0, 0, 113, 19);
INSERT INTO public.who_data VALUES (26592, 1017, 107570, 17, 1357, 113, 22);
INSERT INTO public.who_data VALUES (26593, 0, 20628, 0, 124, 113, 1);
INSERT INTO public.who_data VALUES (26594, 2772, 46547, 20, 531, 113, 21);
INSERT INTO public.who_data VALUES (26595, 35, 6801, 0, 128, 113, 234);
INSERT INTO public.who_data VALUES (26596, 37, 944, 0, 1, 113, 91);
INSERT INTO public.who_data VALUES (26597, 166, 4217, 0, 25, 113, 137);
INSERT INTO public.who_data VALUES (26598, 13605, 323673, 216, 3078, 113, 201);
INSERT INTO public.who_data VALUES (26599, 0, 0, 0, 0, 113, 171);
INSERT INTO public.who_data VALUES (26600, 53, 11305, 2, 307, 113, 92);
INSERT INTO public.who_data VALUES (26601, 1191, 45225, 3, 719, 113, 112);
INSERT INTO public.who_data VALUES (26602, 1, 5559, 0, 61, 113, 62);
INSERT INTO public.who_data VALUES (26603, 0, 42, 0, 0, 113, 69);
INSERT INTO public.who_data VALUES (26604, 419, 126332, 2, 2236, 113, 220);
INSERT INTO public.who_data VALUES (26605, 845, 167147, 10, 12632, 113, 100);
INSERT INTO public.who_data VALUES (26606, 176, 107385, 11, 6258, 113, 187);
INSERT INTO public.who_data VALUES (26607, 0, 33445, 4, 971, 113, 63);
INSERT INTO public.who_data VALUES (26608, 0, 5083, 0, 83, 113, 28);
INSERT INTO public.who_data VALUES (26609, 2, 463, 0, 0, 113, 172);
INSERT INTO public.who_data VALUES (26610, 100, 4771, 0, 73, 113, 17);
INSERT INTO public.who_data VALUES (26611, 10, 5909, 0, 117, 113, 226);
INSERT INTO public.who_data VALUES (26612, 488, 95789, 7, 1464, 113, 236);
INSERT INTO public.who_data VALUES (26613, 0, 13, 0, 0, 113, 76);
INSERT INTO public.who_data VALUES (26614, 0, 494, 0, 0, 113, 30);
INSERT INTO public.who_data VALUES (26615, 1, 34, 0, 2, 113, 128);
INSERT INTO public.who_data VALUES (26616, 344, 15910, 4, 358, 113, 86);
INSERT INTO public.who_data VALUES (26617, 48594, 1299282, 544, 36263, 113, 140);
INSERT INTO public.who_data VALUES (26618, 0, 10425, 0, 70, 113, 44);
INSERT INTO public.who_data VALUES (26619, 0, 7262, 0, 29, 113, 113);
INSERT INTO public.who_data VALUES (26620, 0, 8957, 0, 55, 113, 29);
INSERT INTO public.who_data VALUES (26621, 0, 3666, 0, 119, 113, 125);
INSERT INTO public.who_data VALUES (26622, 1673, 38936, 22, 307, 113, 131);
INSERT INTO public.who_data VALUES (26623, 19059, 518753, 103, 10452, 113, 46);
INSERT INTO public.who_data VALUES (26624, 0, 48055, 0, 320, 113, 10);
INSERT INTO public.who_data VALUES (26625, 6, 688, 0, 0, 113, 205);
INSERT INTO public.who_data VALUES (26626, 1686, 37196, 5, 620, 113, 50);
INSERT INTO public.who_data VALUES (26627, 0, 17, 0, 0, 113, 20);
INSERT INTO public.who_data VALUES (26628, 0, 28, 0, 0, 113, 13);
INSERT INTO public.who_data VALUES (26629, 137, 7742, 0, 126, 113, 148);
INSERT INTO public.who_data VALUES (26630, 75, 4579, 1, 79, 113, 230);
INSERT INTO public.who_data VALUES (26631, 549, 107339, 10, 3714, 113, 190);
INSERT INTO public.who_data VALUES (26632, 0, 267, 0, 13, 113, 188);
INSERT INTO public.who_data VALUES (26633, 0, 12020, 0, 71, 113, 123);
INSERT INTO public.who_data VALUES (26634, 10, 2413, 0, 41, 113, 9);
INSERT INTO public.who_data VALUES (26635, 24, 4098, 0, 123, 113, 102);
INSERT INTO public.who_data VALUES (26636, 0, 9054, 0, 232, 113, 34);
INSERT INTO public.who_data VALUES (26637, 0, 26, 0, 0, 113, 212);
INSERT INTO public.who_data VALUES (26638, 951, 96150, 9, 2661, 113, 122);
INSERT INTO public.who_data VALUES (26639, 3908, 75321, 51, 1750, 113, 38);
INSERT INTO public.who_data VALUES (26640, 78, 4797, 0, 12, 113, 130);
INSERT INTO public.who_data VALUES (26641, 48268, 8137119, 551, 121641, 113, 37);
INSERT INTO public.who_data VALUES (26642, 2897, 406945, 81, 13782, 113, 231);
INSERT INTO public.who_data VALUES (26643, 8011, 604952, 365, 34478, 113, 107);
INSERT INTO public.who_data VALUES (26644, 2878, 470633, 47, 10862, 113, 101);
INSERT INTO public.who_data VALUES (26645, 762, 61059, 6, 1908, 113, 132);
INSERT INTO public.who_data VALUES (26646, 0, 352, 0, 24, 113, 176);
INSERT INTO public.who_data VALUES (26647, 644, 313452, 19, 2529, 113, 200);
INSERT INTO public.who_data VALUES (26648, 31079, 647674, 199, 38321, 113, 169);
INSERT INTO public.who_data VALUES (26649, 78, 9005, 3, 205, 113, 225);
INSERT INTO public.who_data VALUES (26650, 770, 100392, 11, 1755, 113, 165);
INSERT INTO public.who_data VALUES (26651, 4, 569, 0, 32, 113, 233);
INSERT INTO public.who_data VALUES (26652, 3921, 69306, 32, 772, 113, 215);
INSERT INTO public.who_data VALUES (26653, 681, 150380, 0, 2219, 113, 177);
INSERT INTO public.who_data VALUES (26654, 1185, 53797, 17, 981, 113, 183);
INSERT INTO public.who_data VALUES (26655, 0, 0, 0, 0, 113, 203);
INSERT INTO public.who_data VALUES (26656, 418, 19285, 4, 668, 113, 162);
INSERT INTO public.who_data VALUES (26657, 671, 125337, 6, 773, 113, 12);
INSERT INTO public.who_data VALUES (26658, 484, 58878, 3, 1145, 113, 24);
INSERT INTO public.who_data VALUES (26659, 0, 24, 0, 0, 113, 119);
INSERT INTO public.who_data VALUES (26660, 284, 5679, 5, 69, 113, 39);
INSERT INTO public.who_data VALUES (26661, 1751, 79529, 15, 625, 113, 26);
INSERT INTO public.who_data VALUES (26662, 0, 1947, 0, 43, 113, 59);
INSERT INTO public.who_data VALUES (26663, 0, 1426, 0, 82, 113, 77);
INSERT INTO public.who_data VALUES (26664, 972, 60628, 16, 847, 113, 134);
INSERT INTO public.who_data VALUES (26665, 29, 576, 1, 3, 113, 4);
INSERT INTO public.who_data VALUES (26666, 1000, 14815, 8, 153, 113, 109);
INSERT INTO public.who_data VALUES (26667, 778, 17134, 2, 152, 113, 90);
INSERT INTO public.who_data VALUES (26668, 0, 16968, 0, 244, 113, 61);
INSERT INTO public.who_data VALUES (26669, 7, 5923, 0, 184, 113, 85);
INSERT INTO public.who_data VALUES (26670, 799, 30889, 3, 249, 113, 49);
INSERT INTO public.who_data VALUES (26671, 27, 11643, 0, 37, 113, 208);
INSERT INTO public.who_data VALUES (26672, 8, 3545, 0, 136, 113, 166);
INSERT INTO public.who_data VALUES (26673, 76, 5932, 1, 57, 113, 64);
INSERT INTO public.who_data VALUES (26674, 0, 1, 0, 0, 113, 199);
INSERT INTO public.who_data VALUES (26675, 266, 3818, 1, 31, 113, 114);
INSERT INTO public.who_data VALUES (26676, 0, 7663, 0, 163, 113, 60);
INSERT INTO public.who_data VALUES (26677, 0, 441, 0, 10, 113, 68);
INSERT INTO public.who_data VALUES (26678, 0, 4366, 0, 44, 113, 158);
INSERT INTO public.who_data VALUES (26679, 5948, 912811, 464, 90773, 113, 52);
INSERT INTO public.who_data VALUES (26680, 0, 0, 0, 0, 113, 117);
INSERT INTO public.who_data VALUES (26681, 8, 358, 0, 2, 113, 126);
INSERT INTO public.who_data VALUES (26682, 0, 340, 0, 0, 113, 196);
INSERT INTO public.who_data VALUES (26683, 342, 19349, 7, 301, 113, 142);
INSERT INTO public.who_data VALUES (26684, 0, 13, 0, 1, 113, 185);
INSERT INTO public.who_data VALUES (26685, 3256, 215294, 53, 3625, 113, 138);
INSERT INTO public.who_data VALUES (26686, 252, 12777, 0, 91, 113, 181);
INSERT INTO public.who_data VALUES (26687, 1093, 51496, 20, 1219, 113, 178);
INSERT INTO public.who_data VALUES (26688, 49, 12907, 0, 133, 113, 168);
INSERT INTO public.who_data VALUES (26689, 0, 0, 0, 0, 113, 160);
INSERT INTO public.who_data VALUES (26690, 3517, 168235, 16, 920, 113, 151);
INSERT INTO public.who_data VALUES (26691, 11070, 340438, 86, 7339, 113, 193);
INSERT INTO public.who_data VALUES (26692, 1, 28, 0, 0, 113, 18);
INSERT INTO public.who_data VALUES (26693, 7, 1601, 0, 25, 113, 40);
INSERT INTO public.who_data VALUES (26694, 0, 4424, 0, 156, 113, 218);
INSERT INTO public.who_data VALUES (26695, 1, 1220, 0, 69, 113, 191);
INSERT INTO public.who_data VALUES (26696, 170, 62691, 3, 1144, 113, 156);
INSERT INTO public.who_data VALUES (26697, 0, 0, 0, 0, 113, 135);
INSERT INTO public.who_data VALUES (26698, 0, 92, 0, 2, 113, 88);
INSERT INTO public.who_data VALUES (26699, 930, 30488, 5, 982, 113, 55);
INSERT INTO public.who_data VALUES (26700, 497, 19563, 1, 282, 113, 108);
INSERT INTO public.who_data VALUES (26701, 504, 64741, 8, 553, 113, 48);
INSERT INTO public.who_data VALUES (26702, 0, 114434, 0, 1208, 113, 3);
INSERT INTO public.who_data VALUES (26703, 0, 741, 0, 13, 113, 224);
INSERT INTO public.who_data VALUES (26704, 1078, 332186, 20, 6795, 113, 110);
INSERT INTO public.who_data VALUES (26705, 0, 0, 0, 0, 113, 106);
INSERT INTO public.who_data VALUES (26706, 798, 132045, 15, 2678, 113, 89);
INSERT INTO public.who_data VALUES (26707, 0, 589, 0, 7, 113, 121);
INSERT INTO public.who_data VALUES (26708, 760, 62050, 14, 1373, 113, 163);
INSERT INTO public.who_data VALUES (26709, 2666, 897594, 47, 34362, 113, 70);
INSERT INTO public.who_data VALUES (26710, 1998, 378933, 38, 7185, 113, 174);
INSERT INTO public.who_data VALUES (26711, 0, 0, 0, 0, 113, 175);
INSERT INTO public.who_data VALUES (26712, 21629, 340834, 202, 5351, 113, 118);
INSERT INTO public.who_data VALUES (26713, 4656, 137272, 40, 2468, 113, 189);
INSERT INTO public.who_data VALUES (26714, 945, 65743, 6, 820, 113, 124);
INSERT INTO public.who_data VALUES (26715, 193, 132343, 1, 232, 113, 192);
INSERT INTO public.who_data VALUES (26716, 127, 26511, 1, 464, 113, 41);
INSERT INTO public.who_data VALUES (26717, 968, 75201, 19, 1766, 113, 95);
INSERT INTO public.who_data VALUES (26718, 187, 5659, 0, 22, 113, 74);
INSERT INTO public.who_data VALUES (26719, 6546, 235586, 103, 6867, 113, 11);
INSERT INTO public.who_data VALUES (26720, 18140, 1618116, 334, 27990, 113, 87);
INSERT INTO public.who_data VALUES (26721, 3, 5134, 0, 35, 113, 214);
INSERT INTO public.who_data VALUES (26722, 0, 5, 0, 0, 113, 116);
INSERT INTO public.who_data VALUES (26723, 6, 89, 0, 0, 113, 157);
INSERT INTO public.who_data VALUES (26724, 0, 0, 0, 0, 113, 182);
INSERT INTO public.who_data VALUES (26725, 0, 19, 0, 0, 113, 186);
INSERT INTO public.who_data VALUES (26726, 0, 76, 0, 0, 113, 127);
INSERT INTO public.who_data VALUES (26727, 25, 591, 0, 9, 113, 232);
INSERT INTO public.who_data VALUES (26728, 0, 12, 0, 0, 113, 33);
INSERT INTO public.who_data VALUES (26729, 0, 74, 0, 0, 113, 97);
INSERT INTO public.who_data VALUES (26730, 0, 0, 0, 0, 113, 42);
INSERT INTO public.who_data VALUES (26731, 29, 958, 0, 42, 113, 198);
INSERT INTO public.who_data VALUES (26732, 1, 945, 0, 16, 113, 216);
INSERT INTO public.who_data VALUES (26733, 398, 346880, 20, 5383, 113, 164);
INSERT INTO public.who_data VALUES (26734, 0, 15593, 0, 323, 113, 235);
INSERT INTO public.who_data VALUES (26735, 1545, 45137, 5, 814, 113, 67);
INSERT INTO public.who_data VALUES (26736, 0, 152, 0, 0, 113, 15);
INSERT INTO public.who_data VALUES (26737, 3, 2365, 0, 74, 113, 180);
INSERT INTO public.who_data VALUES (26738, 9, 58003, 0, 28, 113, 237);
INSERT INTO public.who_data VALUES (26739, 0, 14, 0, 0, 113, 25);
INSERT INTO public.who_data VALUES (26740, 0, 805, 0, 22, 113, 209);
INSERT INTO public.who_data VALUES (26741, 2785, 51728, 16, 200, 113, 217);
INSERT INTO public.who_data VALUES (26742, 1800, 32518, 25, 364, 113, 79);
INSERT INTO public.who_data VALUES (26743, 0, 8, 0, 0, 113, 143);
INSERT INTO public.who_data VALUES (26744, 0, 3941, 0, 104, 113, 229);
INSERT INTO public.who_data VALUES (26745, 1912, 723682, 66, 19230, 113, 141);
INSERT INTO public.who_data VALUES (26746, 2, 2905, 0, 58, 113, 197);
INSERT INTO public.who_data VALUES (26747, 25051, 1280377, 239, 38720, 113, 221);
INSERT INTO public.who_data VALUES (26748, 633, 10424, 0, 19, 113, 150);
INSERT INTO public.who_data VALUES (26749, 0, 13804, 0, 837, 113, 56);
INSERT INTO public.who_data VALUES (26750, 5, 5197, 0, 111, 113, 167);
INSERT INTO public.who_data VALUES (26751, 3262, 124989, 9, 6006, 113, 23);
INSERT INTO public.who_data VALUES (26752, 8942, 171115, 41, 2234, 113, 222);
INSERT INTO public.who_data VALUES (26753, 50, 5683, 4, 285, 113, 219);
INSERT INTO public.who_data VALUES (26754, 38, 10977, 0, 82, 113, 7);
INSERT INTO public.who_data VALUES (26755, 5, 3780, 0, 59, 113, 161);
INSERT INTO public.who_data VALUES (26756, 24405, 989749, 274, 46229, 113, 149);
INSERT INTO public.who_data VALUES (26757, 0, 30, 0, 0, 113, 6);
INSERT INTO public.who_data VALUES (26758, 0, 2296, 0, 55, 113, 139);
INSERT INTO public.who_data VALUES (26759, 0, 0, 0, 0, 113, 211);
INSERT INTO public.who_data VALUES (26760, 0, 0, 0, 0, 113, 14);
INSERT INTO public.who_data VALUES (26761, 42, 5636, 0, 107, 113, 111);
INSERT INTO public.who_data VALUES (26762, 1784, 59813, 64, 1317, 113, 207);
INSERT INTO public.who_data VALUES (26763, 9052, 1012504, 78, 10177, 113, 66);
INSERT INTO public.who_data VALUES (26764, 0, 0, 0, 0, 113, 173);
INSERT INTO public.who_data VALUES (26765, 0, 703, 0, 6, 113, 145);
INSERT INTO public.who_data VALUES (26766, 0, 0, 0, 0, 113, 65);
INSERT INTO public.who_data VALUES (26767, 209, 12410, 2, 110, 113, 184);
INSERT INTO public.who_data VALUES (26768, 8752, 387481, 155, 7196, 113, 98);
INSERT INTO public.who_data VALUES (26769, 1172, 131508, 2, 490, 113, 104);
INSERT INTO public.who_data VALUES (26770, 0, 509, 0, 21, 113, 73);
INSERT INTO public.who_data VALUES (26771, 89048, 8852730, 1046, 227178, 113, 8);
INSERT INTO public.who_data VALUES (26772, 9, 1362, 0, 21, 113, 227);
INSERT INTO public.who_data VALUES (26773, 63, 3044, 2, 57, 113, 75);
INSERT INTO public.who_data VALUES (26774, 259, 66801, 2, 564, 113, 45);
INSERT INTO public.who_data VALUES (26775, 0, 0, 0, 0, 113, 133);
INSERT INTO public.who_data VALUES (26776, 404, 91280, 5, 789, 113, 202);
INSERT INTO public.who_data VALUES (26777, 0, 1177, 0, 35, 113, 129);
INSERT INTO public.who_data VALUES (26778, 0, 1, 0, 0, 113, 36);
INSERT INTO public.who_data VALUES (26779, 0, 2066, 0, 600, 113, 51);
INSERT INTO public.who_data VALUES (26780, 90, 16415, 1, 349, 113, 206);
INSERT INTO public.who_data VALUES (26781, 41, 8362, 0, 242, 113, 5);
INSERT INTO public.who_data VALUES (26782, 123, 41268, 3, 1532, 114, 103);
INSERT INTO public.who_data VALUES (26783, 275, 20315, 6, 499, 114, 58);
INSERT INTO public.who_data VALUES (26784, 320, 57026, 10, 1941, 114, 195);
INSERT INTO public.who_data VALUES (26785, 0, 0, 0, 0, 114, 115);
INSERT INTO public.who_data VALUES (26786, 50, 4567, 1, 73, 114, 99);
INSERT INTO public.who_data VALUES (26787, 195, 10269, 0, 275, 114, 153);
INSERT INTO public.who_data VALUES (26788, 0, 3, 0, 0, 114, 93);
INSERT INTO public.who_data VALUES (26789, 0, 124, 0, 3, 114, 84);
INSERT INTO public.who_data VALUES (26790, 13924, 1130533, 341, 30071, 114, 78);
INSERT INTO public.who_data VALUES (26791, 2398, 86745, 28, 1295, 114, 170);
INSERT INTO public.who_data VALUES (26792, 18, 4455, 1, 37, 114, 32);
INSERT INTO public.who_data VALUES (26793, 15, 27569, 0, 907, 114, 155);
INSERT INTO public.who_data VALUES (26794, 4305, 96200, 24, 1064, 114, 82);
INSERT INTO public.who_data VALUES (26795, 1015, 53152, 9, 708, 114, 16);
INSERT INTO public.who_data VALUES (26796, 58, 6607, 2, 138, 114, 72);
INSERT INTO public.who_data VALUES (26797, 240, 81262, 0, 317, 114, 43);
INSERT INTO public.who_data VALUES (26798, 1681, 404760, 25, 5886, 114, 120);
INSERT INTO public.who_data VALUES (26799, 2, 235, 0, 7, 114, 213);
INSERT INTO public.who_data VALUES (26800, 984, 96529, 4, 973, 114, 31);
INSERT INTO public.who_data VALUES (26801, 15090, 427110, 140, 11476, 114, 204);
INSERT INTO public.who_data VALUES (26802, 29, 3261, 1, 52, 114, 152);
INSERT INTO public.who_data VALUES (26803, 0, 2643, 0, 41, 114, 144);
INSERT INTO public.who_data VALUES (26804, 4, 198, 0, 9, 114, 96);
INSERT INTO public.who_data VALUES (26805, 0, 346, 0, 0, 114, 47);
INSERT INTO public.who_data VALUES (26806, 197, 141321, 22, 8694, 114, 80);
INSERT INTO public.who_data VALUES (26807, 0, 134, 0, 3, 114, 159);
INSERT INTO public.who_data VALUES (26808, 1910, 46668, 21, 1182, 114, 27);
INSERT INTO public.who_data VALUES (26809, 359, 6642, 3, 24, 114, 146);
INSERT INTO public.who_data VALUES (26810, 28629, 5468270, 510, 158456, 114, 71);
INSERT INTO public.who_data VALUES (26811, 0, 72, 0, 1, 114, 210);
INSERT INTO public.who_data VALUES (26812, 0, 148, 0, 3, 114, 54);
INSERT INTO public.who_data VALUES (26813, 2689, 48150, 28, 1225, 114, 147);
INSERT INTO public.who_data VALUES (26814, 11, 2477, 0, 67, 114, 2);
INSERT INTO public.who_data VALUES (26815, 22, 582, 0, 1, 114, 105);
INSERT INTO public.who_data VALUES (26816, 55, 8603, 1, 95, 114, 53);
INSERT INTO public.who_data VALUES (26817, 1, 291, 0, 0, 114, 81);
INSERT INTO public.who_data VALUES (26818, 0, 21793, 0, 426, 114, 223);
INSERT INTO public.who_data VALUES (26819, 2699, 225586, 31, 10032, 114, 94);
INSERT INTO public.who_data VALUES (26820, 0, 239, 0, 1, 114, 154);
INSERT INTO public.who_data VALUES (26821, 3, 4866, 0, 62, 114, 83);
INSERT INTO public.who_data VALUES (26822, 5, 1473, 0, 97, 114, 194);
INSERT INTO public.who_data VALUES (26823, 1520, 507050, 86, 14118, 114, 136);
INSERT INTO public.who_data VALUES (26824, 31, 91852, 0, 4746, 114, 179);
INSERT INTO public.who_data VALUES (26825, 8717, 1041935, 188, 30753, 114, 57);
INSERT INTO public.who_data VALUES (26826, 0, 530, 0, 7, 114, 35);
INSERT INTO public.who_data VALUES (26827, 0, 5290, 0, 92, 114, 228);
INSERT INTO public.who_data VALUES (26828, 0, 0, 0, 0, 114, 19);
INSERT INTO public.who_data VALUES (26829, 1231, 106553, 11, 1340, 114, 22);
INSERT INTO public.who_data VALUES (26830, 73, 20628, 0, 124, 114, 1);
INSERT INTO public.who_data VALUES (26831, 2776, 43775, 18, 511, 114, 21);
INSERT INTO public.who_data VALUES (26832, 39, 6766, 0, 128, 114, 234);
INSERT INTO public.who_data VALUES (26833, 23, 907, 0, 1, 114, 91);
INSERT INTO public.who_data VALUES (26834, 234, 4051, 0, 25, 114, 137);
INSERT INTO public.who_data VALUES (26835, 13055, 310068, 187, 2862, 114, 201);
INSERT INTO public.who_data VALUES (26836, 0, 0, 0, 0, 114, 171);
INSERT INTO public.who_data VALUES (26837, 42, 11252, 0, 305, 114, 92);
INSERT INTO public.who_data VALUES (26838, 860, 44034, 1, 716, 114, 112);
INSERT INTO public.who_data VALUES (26839, 3, 5558, 0, 61, 114, 62);
INSERT INTO public.who_data VALUES (26840, 4, 42, 0, 0, 114, 69);
INSERT INTO public.who_data VALUES (26841, 343, 125913, 2, 2234, 114, 220);
INSERT INTO public.who_data VALUES (26842, 1394, 166302, 14, 12622, 114, 100);
INSERT INTO public.who_data VALUES (26843, 179, 107209, 13, 6247, 114, 187);
INSERT INTO public.who_data VALUES (26844, 520, 33445, 5, 967, 114, 63);
INSERT INTO public.who_data VALUES (26845, 0, 5083, 0, 83, 114, 28);
INSERT INTO public.who_data VALUES (26846, 0, 461, 0, 0, 114, 172);
INSERT INTO public.who_data VALUES (26847, 81, 4671, 0, 73, 114, 17);
INSERT INTO public.who_data VALUES (26848, 13, 5899, 1, 117, 114, 226);
INSERT INTO public.who_data VALUES (26849, 481, 95301, 6, 1457, 114, 236);
INSERT INTO public.who_data VALUES (26850, 0, 13, 0, 0, 114, 76);
INSERT INTO public.who_data VALUES (26851, 0, 494, 0, 0, 114, 30);
INSERT INTO public.who_data VALUES (26852, 0, 33, 0, 2, 114, 128);
INSERT INTO public.who_data VALUES (26853, 188, 15566, 0, 354, 114, 86);
INSERT INTO public.who_data VALUES (26854, 47616, 1250688, 235, 35719, 114, 140);
INSERT INTO public.who_data VALUES (26855, 21, 10425, 0, 70, 114, 44);
INSERT INTO public.who_data VALUES (26856, 0, 7262, 0, 29, 114, 113);
INSERT INTO public.who_data VALUES (26857, 0, 8957, 0, 55, 114, 29);
INSERT INTO public.who_data VALUES (26858, 0, 3666, 0, 119, 114, 125);
INSERT INTO public.who_data VALUES (26859, 1696, 37263, 12, 285, 114, 131);
INSERT INTO public.who_data VALUES (26860, 18681, 499694, 77, 10349, 114, 46);
INSERT INTO public.who_data VALUES (26861, 280, 48055, 4, 320, 114, 10);
INSERT INTO public.who_data VALUES (26862, 3, 682, 0, 0, 114, 205);
INSERT INTO public.who_data VALUES (26863, 1211, 35510, 12, 615, 114, 50);
INSERT INTO public.who_data VALUES (26864, 0, 17, 0, 0, 114, 20);
INSERT INTO public.who_data VALUES (26865, 0, 28, 0, 0, 114, 13);
INSERT INTO public.who_data VALUES (26866, 0, 7605, 0, 126, 114, 148);
INSERT INTO public.who_data VALUES (26867, 72, 4504, 1, 78, 114, 230);
INSERT INTO public.who_data VALUES (26868, 470, 106790, 22, 3704, 114, 190);
INSERT INTO public.who_data VALUES (26869, 1, 267, 0, 13, 114, 188);
INSERT INTO public.who_data VALUES (26870, 201, 12020, 0, 71, 114, 123);
INSERT INTO public.who_data VALUES (26871, 0, 2403, 0, 41, 114, 9);
INSERT INTO public.who_data VALUES (26872, 13, 4074, 4, 123, 114, 102);
INSERT INTO public.who_data VALUES (26873, 8, 9054, 0, 232, 114, 34);
INSERT INTO public.who_data VALUES (26874, 0, 26, 0, 0, 114, 212);
INSERT INTO public.who_data VALUES (26875, 576, 95199, 13, 2652, 114, 122);
INSERT INTO public.who_data VALUES (26876, 3286, 71413, 65, 1699, 114, 38);
INSERT INTO public.who_data VALUES (26877, 48, 4719, 0, 12, 114, 130);
INSERT INTO public.who_data VALUES (26878, 48648, 8088851, 563, 121090, 114, 37);
INSERT INTO public.who_data VALUES (26879, 3565, 404048, 89, 13701, 114, 231);
INSERT INTO public.who_data VALUES (26880, 8293, 596941, 399, 34113, 114, 107);
INSERT INTO public.who_data VALUES (26881, 3804, 467755, 45, 10815, 114, 101);
INSERT INTO public.who_data VALUES (26882, 863, 60297, 6, 1902, 114, 132);
INSERT INTO public.who_data VALUES (26883, 0, 352, 0, 24, 114, 176);
INSERT INTO public.who_data VALUES (26884, 723, 312808, 10, 2510, 114, 200);
INSERT INTO public.who_data VALUES (26885, 26829, 616595, 217, 38122, 114, 169);
INSERT INTO public.who_data VALUES (26886, 76, 8927, 4, 202, 114, 225);
INSERT INTO public.who_data VALUES (26887, 770, 99622, 11, 1744, 114, 165);
INSERT INTO public.who_data VALUES (26888, 5, 565, 0, 32, 114, 233);
INSERT INTO public.who_data VALUES (26889, 3443, 65385, 40, 740, 114, 215);
INSERT INTO public.who_data VALUES (26890, 633, 149699, 0, 2219, 114, 177);
INSERT INTO public.who_data VALUES (26891, 761, 52612, 14, 964, 114, 183);
INSERT INTO public.who_data VALUES (26892, 0, 0, 0, 0, 114, 203);
INSERT INTO public.who_data VALUES (26893, 284, 18867, 1, 664, 114, 162);
INSERT INTO public.who_data VALUES (26894, 760, 124666, 4, 767, 114, 12);
INSERT INTO public.who_data VALUES (26895, 596, 58394, 3, 1142, 114, 24);
INSERT INTO public.who_data VALUES (26896, 0, 24, 0, 0, 114, 119);
INSERT INTO public.who_data VALUES (26897, 251, 5395, 1, 64, 114, 39);
INSERT INTO public.who_data VALUES (26898, 1933, 77778, 8, 610, 114, 26);
INSERT INTO public.who_data VALUES (26899, 0, 1947, 0, 43, 114, 59);
INSERT INTO public.who_data VALUES (26900, 7, 1426, 0, 82, 114, 77);
INSERT INTO public.who_data VALUES (26901, 782, 59656, 8, 831, 114, 134);
INSERT INTO public.who_data VALUES (26902, 27, 547, 1, 2, 114, 4);
INSERT INTO public.who_data VALUES (26903, 725, 13815, 6, 145, 114, 109);
INSERT INTO public.who_data VALUES (26904, 698, 16356, 3, 150, 114, 90);
INSERT INTO public.who_data VALUES (26905, 0, 16968, 0, 244, 114, 61);
INSERT INTO public.who_data VALUES (26906, 12, 5916, 0, 184, 114, 85);
INSERT INTO public.who_data VALUES (26907, 649, 30090, 0, 246, 114, 49);
INSERT INTO public.who_data VALUES (26908, 25, 11616, 0, 37, 114, 208);
INSERT INTO public.who_data VALUES (26909, 7, 3537, 0, 136, 114, 166);
INSERT INTO public.who_data VALUES (26910, 106, 5856, 0, 56, 114, 64);
INSERT INTO public.who_data VALUES (26911, 0, 1, 0, 0, 114, 199);
INSERT INTO public.who_data VALUES (26912, 0, 3552, 0, 30, 114, 114);
INSERT INTO public.who_data VALUES (26913, 0, 7663, 0, 163, 114, 60);
INSERT INTO public.who_data VALUES (26914, 0, 441, 0, 10, 114, 68);
INSERT INTO public.who_data VALUES (26915, 0, 4366, 0, 44, 114, 158);
INSERT INTO public.who_data VALUES (26916, 5595, 906863, 495, 90309, 114, 52);
INSERT INTO public.who_data VALUES (26917, 0, 0, 0, 0, 114, 117);
INSERT INTO public.who_data VALUES (26918, 10, 350, 0, 2, 114, 126);
INSERT INTO public.who_data VALUES (26919, 0, 340, 0, 0, 114, 196);
INSERT INTO public.who_data VALUES (26920, 550, 19007, 4, 294, 114, 142);
INSERT INTO public.who_data VALUES (26921, 0, 13, 0, 1, 114, 185);
INSERT INTO public.who_data VALUES (26922, 4320, 212038, 66, 3572, 114, 138);
INSERT INTO public.who_data VALUES (26923, 110, 12525, 0, 91, 114, 181);
INSERT INTO public.who_data VALUES (26924, 1331, 50403, 27, 1199, 114, 178);
INSERT INTO public.who_data VALUES (26925, 52, 12858, 0, 133, 114, 168);
INSERT INTO public.who_data VALUES (26926, 0, 0, 0, 0, 114, 160);
INSERT INTO public.who_data VALUES (26927, 2364, 164718, 17, 904, 114, 151);
INSERT INTO public.who_data VALUES (26928, 10248, 329368, 62, 7253, 114, 193);
INSERT INTO public.who_data VALUES (26929, 0, 27, 0, 0, 114, 18);
INSERT INTO public.who_data VALUES (26930, 1, 1594, 0, 25, 114, 40);
INSERT INTO public.who_data VALUES (26931, 0, 4424, 0, 156, 114, 218);
INSERT INTO public.who_data VALUES (26932, 1, 1219, 0, 69, 114, 191);
INSERT INTO public.who_data VALUES (26933, 150, 62521, 2, 1141, 114, 156);
INSERT INTO public.who_data VALUES (26934, 0, 0, 0, 0, 114, 135);
INSERT INTO public.who_data VALUES (26935, 0, 92, 0, 2, 114, 88);
INSERT INTO public.who_data VALUES (26936, 861, 29558, 14, 977, 114, 55);
INSERT INTO public.who_data VALUES (26937, 403, 19066, 1, 281, 114, 108);
INSERT INTO public.who_data VALUES (26938, 623, 64237, 8, 545, 114, 48);
INSERT INTO public.who_data VALUES (26939, 0, 114434, 0, 1208, 114, 3);
INSERT INTO public.who_data VALUES (26940, 0, 741, 0, 13, 114, 224);
INSERT INTO public.who_data VALUES (26941, 908, 331108, 16, 6775, 114, 110);
INSERT INTO public.who_data VALUES (26942, 0, 0, 0, 0, 114, 106);
INSERT INTO public.who_data VALUES (26943, 825, 131247, 13, 2663, 114, 89);
INSERT INTO public.who_data VALUES (26944, 0, 589, 0, 7, 114, 121);
INSERT INTO public.who_data VALUES (26945, 733, 61290, 12, 1359, 114, 163);
INSERT INTO public.who_data VALUES (26946, 2431, 894928, 58, 34315, 114, 70);
INSERT INTO public.who_data VALUES (26947, 1755, 376935, 33, 7147, 114, 174);
INSERT INTO public.who_data VALUES (26948, 0, 0, 0, 0, 114, 175);
INSERT INTO public.who_data VALUES (26949, 20156, 319205, 298, 5149, 114, 118);
INSERT INTO public.who_data VALUES (26950, 4224, 132616, 33, 2428, 114, 189);
INSERT INTO public.who_data VALUES (26951, 1211, 64798, 1, 814, 114, 124);
INSERT INTO public.who_data VALUES (26952, 211, 132150, 1, 231, 114, 192);
INSERT INTO public.who_data VALUES (26953, 113, 26384, 1, 463, 114, 41);
INSERT INTO public.who_data VALUES (26954, 912, 74233, 18, 1747, 114, 95);
INSERT INTO public.who_data VALUES (26955, 0, 5472, 0, 22, 114, 74);
INSERT INTO public.who_data VALUES (26956, 6481, 229040, 83, 6764, 114, 11);
INSERT INTO public.who_data VALUES (26957, 18283, 1599976, 355, 27656, 114, 87);
INSERT INTO public.who_data VALUES (26958, 2, 5131, 0, 35, 114, 214);
INSERT INTO public.who_data VALUES (26959, 0, 5, 0, 0, 114, 116);
INSERT INTO public.who_data VALUES (26960, 0, 83, 0, 0, 114, 157);
INSERT INTO public.who_data VALUES (26961, 0, 0, 0, 0, 114, 182);
INSERT INTO public.who_data VALUES (26962, 0, 19, 0, 0, 114, 186);
INSERT INTO public.who_data VALUES (26963, 11, 76, 0, 0, 114, 127);
INSERT INTO public.who_data VALUES (26964, 0, 566, 0, 9, 114, 232);
INSERT INTO public.who_data VALUES (26965, 0, 12, 0, 0, 114, 33);
INSERT INTO public.who_data VALUES (26966, 0, 74, 0, 0, 114, 97);
INSERT INTO public.who_data VALUES (26967, 0, 0, 0, 0, 114, 42);
INSERT INTO public.who_data VALUES (26968, 26, 929, 0, 42, 114, 198);
INSERT INTO public.who_data VALUES (26969, 1, 944, 1, 16, 114, 216);
INSERT INTO public.who_data VALUES (26970, 435, 346482, 15, 5363, 114, 164);
INSERT INTO public.who_data VALUES (26971, 11, 15593, 1, 323, 114, 235);
INSERT INTO public.who_data VALUES (26972, 1384, 43592, 6, 809, 114, 67);
INSERT INTO public.who_data VALUES (26973, 0, 152, 0, 0, 114, 15);
INSERT INTO public.who_data VALUES (26974, 8, 2362, 0, 74, 114, 180);
INSERT INTO public.who_data VALUES (26975, 7, 57994, 0, 28, 114, 237);
INSERT INTO public.who_data VALUES (26976, 0, 14, 0, 0, 114, 25);
INSERT INTO public.who_data VALUES (26977, 13, 805, 0, 22, 114, 209);
INSERT INTO public.who_data VALUES (26978, 2887, 48943, 8, 184, 114, 217);
INSERT INTO public.who_data VALUES (26979, 2492, 30718, 20, 339, 114, 79);
INSERT INTO public.who_data VALUES (26980, 0, 8, 0, 0, 114, 143);
INSERT INTO public.who_data VALUES (26981, 0, 3941, 0, 104, 114, 229);
INSERT INTO public.who_data VALUES (26982, 2056, 721770, 53, 19164, 114, 141);
INSERT INTO public.who_data VALUES (26983, 0, 2903, 0, 58, 114, 197);
INSERT INTO public.who_data VALUES (26984, 25540, 1255326, 232, 38481, 114, 221);
INSERT INTO public.who_data VALUES (26985, 586, 9791, 0, 19, 114, 150);
INSERT INTO public.who_data VALUES (26986, 27, 13804, 0, 837, 114, 56);
INSERT INTO public.who_data VALUES (26987, 5, 5192, 0, 111, 114, 167);
INSERT INTO public.who_data VALUES (26988, 3389, 121727, 9, 5997, 114, 23);
INSERT INTO public.who_data VALUES (26989, 8979, 162173, 57, 2193, 114, 222);
INSERT INTO public.who_data VALUES (26990, 53, 5633, 3, 281, 114, 219);
INSERT INTO public.who_data VALUES (26991, 39, 10939, 0, 82, 114, 7);
INSERT INTO public.who_data VALUES (26992, 12, 3775, 0, 59, 114, 161);
INSERT INTO public.who_data VALUES (26993, 23065, 965344, 280, 45955, 114, 149);
INSERT INTO public.who_data VALUES (26994, 0, 30, 0, 0, 114, 6);
INSERT INTO public.who_data VALUES (26995, 58, 2296, 1, 55, 114, 139);
INSERT INTO public.who_data VALUES (26996, 0, 0, 0, 0, 114, 211);
INSERT INTO public.who_data VALUES (26997, 0, 0, 0, 0, 114, 14);
INSERT INTO public.who_data VALUES (26998, 26, 5594, 1, 107, 114, 111);
INSERT INTO public.who_data VALUES (26999, 3751, 58029, 100, 1253, 114, 207);
INSERT INTO public.who_data VALUES (27000, 9049, 1003452, 72, 10099, 114, 66);
INSERT INTO public.who_data VALUES (27001, 0, 0, 0, 0, 114, 173);
INSERT INTO public.who_data VALUES (27002, 0, 703, 0, 6, 114, 145);
INSERT INTO public.who_data VALUES (27003, 0, 0, 0, 0, 114, 65);
INSERT INTO public.who_data VALUES (27004, 434, 12201, 2, 108, 114, 184);
INSERT INTO public.who_data VALUES (27005, 8312, 378729, 173, 7041, 114, 98);
INSERT INTO public.who_data VALUES (27006, 1312, 130336, 3, 488, 114, 104);
INSERT INTO public.who_data VALUES (27007, 0, 509, 0, 21, 114, 73);
INSERT INTO public.who_data VALUES (27008, 80384, 8763682, 1059, 226132, 114, 8);
INSERT INTO public.who_data VALUES (27009, 0, 1353, 0, 21, 114, 227);
INSERT INTO public.who_data VALUES (27010, 65, 2981, 1, 55, 114, 75);
INSERT INTO public.who_data VALUES (27011, 229, 66542, 2, 562, 114, 45);
INSERT INTO public.who_data VALUES (27012, 0, 0, 0, 0, 114, 133);
INSERT INTO public.who_data VALUES (27013, 476, 90876, 4, 784, 114, 202);
INSERT INTO public.who_data VALUES (27014, 4, 1177, 0, 35, 114, 129);
INSERT INTO public.who_data VALUES (27015, 0, 1, 0, 0, 114, 36);
INSERT INTO public.who_data VALUES (27016, 1, 2066, 0, 600, 114, 51);
INSERT INTO public.who_data VALUES (27017, 125, 16325, 0, 348, 114, 206);
INSERT INTO public.who_data VALUES (27018, 1, 8321, 0, 242, 114, 5);
INSERT INTO public.who_data VALUES (27019, 113, 41145, 6, 1529, 115, 103);
INSERT INTO public.who_data VALUES (27020, 311, 20040, 6, 493, 115, 58);
INSERT INTO public.who_data VALUES (27021, 287, 56706, 9, 1931, 115, 195);
INSERT INTO public.who_data VALUES (27022, 0, 0, 0, 0, 115, 115);
INSERT INTO public.who_data VALUES (27023, 107, 4517, 0, 72, 115, 99);
INSERT INTO public.who_data VALUES (27024, 203, 10074, 4, 275, 115, 153);
INSERT INTO public.who_data VALUES (27025, 0, 3, 0, 0, 115, 93);
INSERT INTO public.who_data VALUES (27026, 0, 124, 0, 3, 115, 84);
INSERT INTO public.who_data VALUES (27027, 14308, 1116609, 429, 29730, 115, 78);
INSERT INTO public.who_data VALUES (27028, 2383, 84347, 29, 1267, 115, 170);
INSERT INTO public.who_data VALUES (27029, 15, 4437, 0, 36, 115, 32);
INSERT INTO public.who_data VALUES (27030, 13, 27554, 2, 907, 115, 155);
INSERT INTO public.who_data VALUES (27031, 4149, 91895, 34, 1040, 115, 82);
INSERT INTO public.who_data VALUES (27032, 988, 52137, 11, 699, 115, 16);
INSERT INTO public.who_data VALUES (27033, 47, 6549, 0, 136, 115, 72);
INSERT INTO public.who_data VALUES (27034, 257, 81022, 1, 317, 115, 43);
INSERT INTO public.who_data VALUES (27035, 1493, 403079, 23, 5861, 115, 120);
INSERT INTO public.who_data VALUES (27036, 0, 233, 0, 7, 115, 213);
INSERT INTO public.who_data VALUES (27037, 936, 95545, 4, 969, 115, 31);
INSERT INTO public.who_data VALUES (27038, 17999, 412020, 142, 11336, 115, 204);
INSERT INTO public.who_data VALUES (27039, 32, 3232, 0, 51, 115, 152);
INSERT INTO public.who_data VALUES (27040, 0, 2643, 0, 41, 115, 144);
INSERT INTO public.who_data VALUES (27041, 1, 194, 0, 9, 115, 96);
INSERT INTO public.who_data VALUES (27042, 1, 346, 0, 0, 115, 47);
INSERT INTO public.who_data VALUES (27043, 172, 141124, 14, 8672, 115, 80);
INSERT INTO public.who_data VALUES (27044, 3, 134, 0, 3, 115, 159);
INSERT INTO public.who_data VALUES (27045, 1584, 44758, 36, 1161, 115, 27);
INSERT INTO public.who_data VALUES (27046, 0, 6283, 0, 21, 115, 146);
INSERT INTO public.who_data VALUES (27047, 29787, 5439641, 549, 157946, 115, 71);
INSERT INTO public.who_data VALUES (27048, 0, 72, 0, 1, 115, 210);
INSERT INTO public.who_data VALUES (27049, 0, 148, 0, 3, 115, 54);
INSERT INTO public.who_data VALUES (27050, 2760, 45461, 36, 1197, 115, 147);
INSERT INTO public.who_data VALUES (27051, 0, 2466, 0, 67, 115, 2);
INSERT INTO public.who_data VALUES (27052, 1, 560, 0, 1, 115, 105);
INSERT INTO public.who_data VALUES (27053, 76, 8548, 0, 94, 115, 53);
INSERT INTO public.who_data VALUES (27054, 0, 290, 0, 0, 115, 81);
INSERT INTO public.who_data VALUES (27055, 0, 21793, 0, 426, 115, 223);
INSERT INTO public.who_data VALUES (27056, 2674, 222887, 28, 10001, 115, 94);
INSERT INTO public.who_data VALUES (27057, 0, 239, 0, 1, 115, 154);
INSERT INTO public.who_data VALUES (27058, 0, 4863, 0, 62, 115, 83);
INSERT INTO public.who_data VALUES (27059, 8, 1468, 1, 97, 115, 194);
INSERT INTO public.who_data VALUES (27060, 1005, 505530, 6, 14032, 115, 136);
INSERT INTO public.who_data VALUES (27061, 49, 91821, 0, 4746, 115, 179);
INSERT INTO public.who_data VALUES (27062, 8166, 1033218, 217, 30565, 115, 57);
INSERT INTO public.who_data VALUES (27063, 5, 530, 0, 7, 115, 35);
INSERT INTO public.who_data VALUES (27064, 37, 5290, 0, 92, 115, 228);
INSERT INTO public.who_data VALUES (27065, 0, 0, 0, 0, 115, 19);
INSERT INTO public.who_data VALUES (27066, 862, 105322, 17, 1329, 115, 22);
INSERT INTO public.who_data VALUES (27067, 67, 20555, 2, 124, 115, 1);
INSERT INTO public.who_data VALUES (27068, 2378, 40999, 23, 493, 115, 21);
INSERT INTO public.who_data VALUES (27069, 49, 6727, 0, 128, 115, 234);
INSERT INTO public.who_data VALUES (27070, 11, 884, 0, 1, 115, 91);
INSERT INTO public.who_data VALUES (27071, 0, 3817, 0, 25, 115, 137);
INSERT INTO public.who_data VALUES (27072, 12980, 297013, 128, 2675, 115, 201);
INSERT INTO public.who_data VALUES (27073, 0, 0, 0, 0, 115, 171);
INSERT INTO public.who_data VALUES (27074, 20, 11210, 0, 305, 115, 92);
INSERT INTO public.who_data VALUES (27075, 1017, 43174, 6, 715, 115, 112);
INSERT INTO public.who_data VALUES (27076, 14, 5555, 0, 61, 115, 62);
INSERT INTO public.who_data VALUES (27077, 0, 38, 0, 0, 115, 69);
INSERT INTO public.who_data VALUES (27078, 562, 125570, 6, 2232, 115, 220);
INSERT INTO public.who_data VALUES (27079, 1716, 164908, 20, 12608, 115, 100);
INSERT INTO public.who_data VALUES (27080, 153, 107030, 12, 6234, 115, 187);
INSERT INTO public.who_data VALUES (27081, 0, 32925, 5, 962, 115, 63);
INSERT INTO public.who_data VALUES (27082, 0, 5083, 0, 83, 115, 28);
INSERT INTO public.who_data VALUES (27083, 0, 461, 0, 0, 115, 172);
INSERT INTO public.who_data VALUES (27084, 125, 4590, 0, 73, 115, 17);
INSERT INTO public.who_data VALUES (27085, 11, 5886, 0, 116, 115, 226);
INSERT INTO public.who_data VALUES (27086, 602, 94820, 6, 1451, 115, 236);
INSERT INTO public.who_data VALUES (27087, 0, 13, 0, 0, 115, 76);
INSERT INTO public.who_data VALUES (27088, 0, 494, 0, 0, 115, 30);
INSERT INTO public.who_data VALUES (27089, 0, 33, 0, 2, 115, 128);
INSERT INTO public.who_data VALUES (27090, 215, 15378, 0, 354, 115, 86);
INSERT INTO public.who_data VALUES (27091, 35367, 1203072, 240, 35484, 115, 140);
INSERT INTO public.who_data VALUES (27092, 7, 10404, 0, 70, 115, 44);
INSERT INTO public.who_data VALUES (27093, 769, 7262, 3, 29, 115, 113);
INSERT INTO public.who_data VALUES (27094, 20, 8957, 1, 55, 115, 29);
INSERT INTO public.who_data VALUES (27095, 0, 3666, 0, 119, 115, 125);
INSERT INTO public.who_data VALUES (27096, 1709, 35567, 20, 273, 115, 131);
INSERT INTO public.who_data VALUES (27097, 16774, 481013, 89, 10272, 115, 46);
INSERT INTO public.who_data VALUES (27098, 0, 47775, 0, 316, 115, 10);
INSERT INTO public.who_data VALUES (27099, 9, 679, 0, 0, 115, 205);
INSERT INTO public.who_data VALUES (27100, 1547, 34299, 10, 603, 115, 50);
INSERT INTO public.who_data VALUES (27101, 0, 17, 0, 0, 115, 20);
INSERT INTO public.who_data VALUES (27102, 0, 28, 0, 0, 115, 13);
INSERT INTO public.who_data VALUES (27103, 131, 7605, 0, 126, 115, 148);
INSERT INTO public.who_data VALUES (27104, 48, 4432, 2, 77, 115, 230);
INSERT INTO public.who_data VALUES (27105, 749, 106320, 17, 3682, 115, 190);
INSERT INTO public.who_data VALUES (27106, 0, 266, 0, 13, 115, 188);
INSERT INTO public.who_data VALUES (27107, 0, 11819, 0, 71, 115, 123);
INSERT INTO public.who_data VALUES (27108, 0, 2403, 0, 41, 115, 9);
INSERT INTO public.who_data VALUES (27109, 35, 4061, 0, 119, 115, 102);
INSERT INTO public.who_data VALUES (27110, 20, 9046, 0, 232, 115, 34);
INSERT INTO public.who_data VALUES (27111, 0, 26, 0, 0, 115, 212);
INSERT INTO public.who_data VALUES (27112, 657, 94623, 6, 2639, 115, 122);
INSERT INTO public.who_data VALUES (27113, 2194, 68127, 56, 1634, 115, 38);
INSERT INTO public.who_data VALUES (27114, 97, 4671, 1, 12, 115, 130);
INSERT INTO public.who_data VALUES (27115, 49881, 8040203, 517, 120527, 115, 37);
INSERT INTO public.who_data VALUES (27116, 4029, 400483, 100, 13612, 115, 231);
INSERT INTO public.who_data VALUES (27117, 6824, 588648, 415, 33714, 115, 107);
INSERT INTO public.who_data VALUES (27118, 4043, 463951, 46, 10770, 115, 101);
INSERT INTO public.who_data VALUES (27119, 667, 59434, 6, 1896, 115, 132);
INSERT INTO public.who_data VALUES (27120, 1, 352, 0, 24, 115, 176);
INSERT INTO public.who_data VALUES (27121, 887, 312085, 28, 2500, 115, 200);
INSERT INTO public.who_data VALUES (27122, 24988, 589766, 205, 37905, 115, 169);
INSERT INTO public.who_data VALUES (27123, 64, 8851, 2, 198, 115, 225);
INSERT INTO public.who_data VALUES (27124, 736, 98852, 3, 1733, 115, 165);
INSERT INTO public.who_data VALUES (27125, 4, 560, 0, 32, 115, 233);
INSERT INTO public.who_data VALUES (27126, 3087, 61942, 32, 700, 115, 215);
INSERT INTO public.who_data VALUES (27127, 587, 149066, 0, 2219, 115, 177);
INSERT INTO public.who_data VALUES (27128, 1018, 51851, 16, 950, 115, 183);
INSERT INTO public.who_data VALUES (27129, 0, 0, 0, 0, 115, 203);
INSERT INTO public.who_data VALUES (27130, 281, 18583, 4, 663, 115, 162);
INSERT INTO public.who_data VALUES (27131, 814, 123906, 7, 763, 115, 12);
INSERT INTO public.who_data VALUES (27132, 522, 57798, 1, 1139, 115, 24);
INSERT INTO public.who_data VALUES (27133, 0, 24, 0, 0, 115, 119);
INSERT INTO public.who_data VALUES (27134, 251, 5144, 0, 63, 115, 39);
INSERT INTO public.who_data VALUES (27135, 1850, 75845, 12, 602, 115, 26);
INSERT INTO public.who_data VALUES (27136, 0, 1947, 0, 43, 115, 59);
INSERT INTO public.who_data VALUES (27137, 0, 1419, 0, 82, 115, 77);
INSERT INTO public.who_data VALUES (27138, 899, 58874, 11, 823, 115, 134);
INSERT INTO public.who_data VALUES (27139, 36, 520, 0, 1, 115, 4);
INSERT INTO public.who_data VALUES (27140, 948, 13090, 4, 139, 115, 109);
INSERT INTO public.who_data VALUES (27141, 774, 15658, 0, 147, 115, 90);
INSERT INTO public.who_data VALUES (27142, 0, 16968, 0, 244, 115, 61);
INSERT INTO public.who_data VALUES (27143, 7, 5904, 1, 184, 115, 85);
INSERT INTO public.who_data VALUES (27144, 801, 29441, 8, 246, 115, 49);
INSERT INTO public.who_data VALUES (27145, 24, 11591, 0, 37, 115, 208);
INSERT INTO public.who_data VALUES (27146, 15, 3530, 0, 136, 115, 166);
INSERT INTO public.who_data VALUES (27147, 76, 5750, 2, 56, 115, 64);
INSERT INTO public.who_data VALUES (27148, 0, 1, 0, 0, 115, 199);
INSERT INTO public.who_data VALUES (27149, 752, 3552, 3, 30, 115, 114);
INSERT INTO public.who_data VALUES (27150, 0, 7663, 0, 163, 115, 60);
INSERT INTO public.who_data VALUES (27151, 2, 441, 0, 10, 115, 68);
INSERT INTO public.who_data VALUES (27152, 45, 4366, 0, 44, 115, 158);
INSERT INTO public.who_data VALUES (27153, 5942, 901268, 643, 89814, 115, 52);
INSERT INTO public.who_data VALUES (27154, 0, 0, 0, 0, 115, 117);
INSERT INTO public.who_data VALUES (27155, 17, 340, 0, 2, 115, 126);
INSERT INTO public.who_data VALUES (27156, 0, 340, 0, 0, 115, 196);
INSERT INTO public.who_data VALUES (27157, 347, 18457, 8, 290, 115, 142);
INSERT INTO public.who_data VALUES (27158, 0, 13, 0, 1, 115, 185);
INSERT INTO public.who_data VALUES (27159, 3985, 207718, 61, 3506, 115, 138);
INSERT INTO public.who_data VALUES (27160, 142, 12415, 2, 91, 115, 181);
INSERT INTO public.who_data VALUES (27161, 1406, 49072, 25, 1172, 115, 178);
INSERT INTO public.who_data VALUES (27162, 77, 12806, 0, 133, 115, 168);
INSERT INTO public.who_data VALUES (27163, 0, 0, 0, 0, 115, 160);
INSERT INTO public.who_data VALUES (27164, 1954, 162354, 11, 887, 115, 151);
INSERT INTO public.who_data VALUES (27165, 8077, 319120, 54, 7191, 115, 193);
INSERT INTO public.who_data VALUES (27166, 0, 27, 0, 0, 115, 18);
INSERT INTO public.who_data VALUES (27167, 6, 1593, 0, 25, 115, 40);
INSERT INTO public.who_data VALUES (27168, 0, 4424, 0, 156, 115, 218);
INSERT INTO public.who_data VALUES (27169, 0, 1218, 0, 69, 115, 191);
INSERT INTO public.who_data VALUES (27170, 147, 62371, 4, 1139, 115, 156);
INSERT INTO public.who_data VALUES (27171, 0, 0, 0, 0, 115, 135);
INSERT INTO public.who_data VALUES (27172, 0, 92, 0, 2, 115, 88);
INSERT INTO public.who_data VALUES (27173, 870, 28697, 14, 963, 115, 55);
INSERT INTO public.who_data VALUES (27174, 322, 18663, 0, 280, 115, 108);
INSERT INTO public.who_data VALUES (27175, 450, 63614, 8, 537, 115, 48);
INSERT INTO public.who_data VALUES (27176, 614, 114434, 5, 1208, 115, 3);
INSERT INTO public.who_data VALUES (27177, 0, 741, 0, 13, 115, 224);
INSERT INTO public.who_data VALUES (27178, 825, 330200, 14, 6759, 115, 110);
INSERT INTO public.who_data VALUES (27179, 0, 0, 0, 0, 115, 106);
INSERT INTO public.who_data VALUES (27180, 671, 130422, 12, 2650, 115, 89);
INSERT INTO public.who_data VALUES (27181, 1, 589, 0, 7, 115, 121);
INSERT INTO public.who_data VALUES (27182, 448, 60557, 14, 1347, 115, 163);
INSERT INTO public.who_data VALUES (27183, 1923, 892497, 60, 34257, 115, 70);
INSERT INTO public.who_data VALUES (27184, 2036, 375180, 61, 7114, 115, 174);
INSERT INTO public.who_data VALUES (27185, 0, 0, 0, 0, 115, 175);
INSERT INTO public.who_data VALUES (27186, 18820, 299049, 236, 4851, 115, 118);
INSERT INTO public.who_data VALUES (27187, 3960, 128392, 24, 2395, 115, 189);
INSERT INTO public.who_data VALUES (27188, 90, 63587, 5, 813, 115, 124);
INSERT INTO public.who_data VALUES (27189, 250, 131939, 0, 230, 115, 192);
INSERT INTO public.who_data VALUES (27190, 125, 26271, 1, 462, 115, 41);
INSERT INTO public.who_data VALUES (27191, 861, 73321, 19, 1729, 115, 95);
INSERT INTO public.who_data VALUES (27192, 111, 5472, 0, 22, 115, 74);
INSERT INTO public.who_data VALUES (27193, 5343, 222559, 107, 6681, 115, 11);
INSERT INTO public.who_data VALUES (27194, 17717, 1581693, 366, 27301, 115, 87);
INSERT INTO public.who_data VALUES (27195, 45, 5129, 0, 35, 115, 214);
INSERT INTO public.who_data VALUES (27196, 0, 5, 0, 0, 115, 116);
INSERT INTO public.who_data VALUES (27197, 0, 83, 0, 0, 115, 157);
INSERT INTO public.who_data VALUES (27198, 0, 0, 0, 0, 115, 182);
INSERT INTO public.who_data VALUES (27199, 0, 19, 0, 0, 115, 186);
INSERT INTO public.who_data VALUES (27200, 2, 65, 0, 0, 115, 127);
INSERT INTO public.who_data VALUES (27201, 24, 566, 1, 9, 115, 232);
INSERT INTO public.who_data VALUES (27202, 0, 12, 0, 0, 115, 33);
INSERT INTO public.who_data VALUES (27203, 0, 74, 0, 0, 115, 97);
INSERT INTO public.who_data VALUES (27204, 0, 0, 0, 0, 115, 42);
INSERT INTO public.who_data VALUES (27205, 20, 903, 0, 42, 115, 198);
INSERT INTO public.who_data VALUES (27206, 2, 943, 0, 15, 115, 216);
INSERT INTO public.who_data VALUES (27207, 416, 346047, 19, 5348, 115, 164);
INSERT INTO public.who_data VALUES (27208, 11, 15582, 0, 322, 115, 235);
INSERT INTO public.who_data VALUES (27209, 1328, 42208, 5, 803, 115, 67);
INSERT INTO public.who_data VALUES (27210, 0, 152, 0, 0, 115, 15);
INSERT INTO public.who_data VALUES (27211, 4, 2354, 0, 74, 115, 180);
INSERT INTO public.who_data VALUES (27212, 7, 57987, 0, 28, 115, 237);
INSERT INTO public.who_data VALUES (27213, 0, 14, 0, 0, 115, 25);
INSERT INTO public.who_data VALUES (27214, 3, 792, 0, 22, 115, 209);
INSERT INTO public.who_data VALUES (27215, 901, 46056, 11, 176, 115, 217);
INSERT INTO public.who_data VALUES (27216, 2611, 28226, 16, 319, 115, 79);
INSERT INTO public.who_data VALUES (27217, 0, 8, 0, 0, 115, 143);
INSERT INTO public.who_data VALUES (27218, 0, 3941, 0, 104, 115, 229);
INSERT INTO public.who_data VALUES (27219, 1863, 719714, 58, 19111, 115, 141);
INSERT INTO public.who_data VALUES (27220, 13, 2903, 2, 58, 115, 197);
INSERT INTO public.who_data VALUES (27221, 25485, 1229786, 235, 38249, 115, 221);
INSERT INTO public.who_data VALUES (27222, 335, 9205, 0, 19, 115, 150);
INSERT INTO public.who_data VALUES (27223, 12, 13777, 0, 837, 115, 56);
INSERT INTO public.who_data VALUES (27224, 7, 5187, 1, 111, 115, 167);
INSERT INTO public.who_data VALUES (27225, 2414, 118338, 9, 5988, 115, 23);
INSERT INTO public.who_data VALUES (27226, 9303, 153194, 42, 2136, 115, 222);
INSERT INTO public.who_data VALUES (27227, 52, 5580, 3, 278, 115, 219);
INSERT INTO public.who_data VALUES (27228, 40, 10900, 1, 82, 115, 7);
INSERT INTO public.who_data VALUES (27229, 4, 3763, 0, 59, 115, 161);
INSERT INTO public.who_data VALUES (27230, 24700, 942279, 310, 45675, 115, 149);
INSERT INTO public.who_data VALUES (27231, 0, 30, 0, 0, 115, 6);
INSERT INTO public.who_data VALUES (27232, 51, 2238, 2, 54, 115, 139);
INSERT INTO public.who_data VALUES (27233, 0, 0, 0, 0, 115, 211);
INSERT INTO public.who_data VALUES (27234, 0, 0, 0, 0, 115, 14);
INSERT INTO public.who_data VALUES (27235, 33, 5568, 0, 106, 115, 111);
INSERT INTO public.who_data VALUES (27236, 0, 54278, 0, 1153, 115, 207);
INSERT INTO public.who_data VALUES (27237, 9035, 994403, 77, 10027, 115, 66);
INSERT INTO public.who_data VALUES (27238, 0, 0, 0, 0, 115, 173);
INSERT INTO public.who_data VALUES (27239, 2, 703, 0, 6, 115, 145);
INSERT INTO public.who_data VALUES (27240, 0, 0, 0, 0, 115, 65);
INSERT INTO public.who_data VALUES (27241, 146, 11767, 3, 106, 115, 184);
INSERT INTO public.who_data VALUES (27242, 7342, 370417, 113, 6868, 115, 98);
INSERT INTO public.who_data VALUES (27243, 1400, 129024, 3, 485, 115, 104);
INSERT INTO public.who_data VALUES (27244, 0, 509, 0, 21, 115, 73);
INSERT INTO public.who_data VALUES (27245, 72042, 8683298, 895, 225073, 115, 8);
INSERT INTO public.who_data VALUES (27246, 2, 1353, 0, 21, 115, 227);
INSERT INTO public.who_data VALUES (27247, 44, 2916, 0, 54, 115, 75);
INSERT INTO public.who_data VALUES (27248, 276, 66313, 3, 560, 115, 45);
INSERT INTO public.who_data VALUES (27249, 0, 0, 0, 0, 115, 133);
INSERT INTO public.who_data VALUES (27250, 353, 90400, 3, 780, 115, 202);
INSERT INTO public.who_data VALUES (27251, 1, 1173, 0, 35, 115, 129);
INSERT INTO public.who_data VALUES (27252, 0, 1, 0, 0, 115, 36);
INSERT INTO public.who_data VALUES (27253, 1, 2065, 0, 600, 115, 51);
INSERT INTO public.who_data VALUES (27254, 0, 16200, 0, 348, 115, 206);
INSERT INTO public.who_data VALUES (27255, 5, 8320, 0, 242, 115, 5);
INSERT INTO public.who_data VALUES (27256, 95, 41032, 5, 1523, 116, 103);
INSERT INTO public.who_data VALUES (27257, 284, 19729, 7, 487, 116, 58);
INSERT INTO public.who_data VALUES (27258, 789, 56419, 25, 1922, 116, 195);
INSERT INTO public.who_data VALUES (27259, 0, 0, 0, 0, 116, 115);
INSERT INTO public.who_data VALUES (27260, 85, 4410, 0, 72, 116, 99);
INSERT INTO public.who_data VALUES (27261, 227, 9871, 1, 271, 116, 153);
INSERT INTO public.who_data VALUES (27262, 0, 3, 0, 0, 116, 93);
INSERT INTO public.who_data VALUES (27263, 0, 124, 0, 3, 116, 84);
INSERT INTO public.who_data VALUES (27264, 11712, 1102301, 405, 29301, 116, 78);
INSERT INTO public.who_data VALUES (27265, 2241, 81964, 21, 1238, 116, 170);
INSERT INTO public.who_data VALUES (27266, 2, 4422, 0, 36, 116, 32);
INSERT INTO public.who_data VALUES (27267, 14, 27541, 0, 905, 116, 155);
INSERT INTO public.who_data VALUES (27268, 2698, 87746, 18, 1006, 116, 82);
INSERT INTO public.who_data VALUES (27269, 663, 51149, 9, 688, 116, 16);
INSERT INTO public.who_data VALUES (27270, 36, 6502, 4, 136, 116, 72);
INSERT INTO public.who_data VALUES (27271, 232, 80765, 0, 316, 116, 43);
INSERT INTO public.who_data VALUES (27272, 1335, 401586, 20, 5838, 116, 120);
INSERT INTO public.who_data VALUES (27273, 0, 233, 0, 7, 116, 213);
INSERT INTO public.who_data VALUES (27274, 902, 94609, 4, 965, 116, 31);
INSERT INTO public.who_data VALUES (27275, 22213, 394021, 130, 11194, 116, 204);
INSERT INTO public.who_data VALUES (27276, 55, 3200, 1, 51, 116, 152);
INSERT INTO public.who_data VALUES (27277, 86, 2643, 0, 41, 116, 144);
INSERT INTO public.who_data VALUES (27278, 3, 193, 0, 9, 116, 96);
INSERT INTO public.who_data VALUES (27279, 3, 345, 0, 0, 116, 47);
INSERT INTO public.who_data VALUES (27280, 99, 140952, 13, 8658, 116, 80);
INSERT INTO public.who_data VALUES (27281, 0, 131, 0, 3, 116, 159);
INSERT INTO public.who_data VALUES (27282, 1558, 43174, 21, 1125, 116, 27);
INSERT INTO public.who_data VALUES (27283, 360, 6283, 0, 21, 116, 146);
INSERT INTO public.who_data VALUES (27284, 15726, 5409854, 263, 157397, 116, 71);
INSERT INTO public.who_data VALUES (27285, 0, 72, 0, 1, 116, 210);
INSERT INTO public.who_data VALUES (27286, 0, 148, 0, 3, 116, 54);
INSERT INTO public.who_data VALUES (27287, 2569, 42701, 25, 1161, 116, 147);
INSERT INTO public.who_data VALUES (27288, 7, 2466, 0, 67, 116, 2);
INSERT INTO public.who_data VALUES (27289, 1, 559, 0, 1, 116, 105);
INSERT INTO public.who_data VALUES (27290, 49, 8472, 0, 94, 116, 53);
INSERT INTO public.who_data VALUES (27291, 2, 290, 0, 0, 116, 81);
INSERT INTO public.who_data VALUES (27292, 0, 21793, 0, 426, 116, 223);
INSERT INTO public.who_data VALUES (27293, 4109, 220213, 27, 9973, 116, 94);
INSERT INTO public.who_data VALUES (27294, 0, 239, 0, 1, 116, 154);
INSERT INTO public.who_data VALUES (27295, 0, 4863, 0, 62, 116, 83);
INSERT INTO public.who_data VALUES (27296, 19, 1460, 0, 96, 116, 194);
INSERT INTO public.who_data VALUES (27297, 927, 504525, 23, 14026, 116, 136);
INSERT INTO public.who_data VALUES (27298, 47, 91772, 0, 4746, 116, 179);
INSERT INTO public.who_data VALUES (27299, 9167, 1025052, 194, 30348, 116, 57);
INSERT INTO public.who_data VALUES (27300, 8, 525, 0, 7, 116, 35);
INSERT INTO public.who_data VALUES (27301, 0, 5253, 0, 92, 116, 228);
INSERT INTO public.who_data VALUES (27302, 0, 0, 0, 0, 116, 19);
INSERT INTO public.who_data VALUES (27303, 511, 104460, 14, 1312, 116, 22);
INSERT INTO public.who_data VALUES (27304, 18, 20488, 0, 122, 116, 1);
INSERT INTO public.who_data VALUES (27305, 1413, 38621, 18, 470, 116, 21);
INSERT INTO public.who_data VALUES (27306, 83, 6678, 0, 128, 116, 234);
INSERT INTO public.who_data VALUES (27307, 15, 873, 0, 1, 116, 91);
INSERT INTO public.who_data VALUES (27308, 181, 3817, 0, 25, 116, 137);
INSERT INTO public.who_data VALUES (27309, 15663, 284033, 182, 2547, 116, 201);
INSERT INTO public.who_data VALUES (27310, 0, 0, 0, 0, 116, 171);
INSERT INTO public.who_data VALUES (27311, 17, 11190, 0, 305, 116, 92);
INSERT INTO public.who_data VALUES (27312, 745, 42157, 1, 709, 116, 112);
INSERT INTO public.who_data VALUES (27313, 0, 5541, 0, 61, 116, 62);
INSERT INTO public.who_data VALUES (27314, 0, 38, 0, 0, 116, 69);
INSERT INTO public.who_data VALUES (27315, 165, 125008, 1, 2226, 116, 220);
INSERT INTO public.who_data VALUES (27316, 1014, 163192, 15, 12588, 116, 100);
INSERT INTO public.who_data VALUES (27317, 170, 106877, 11, 6222, 116, 187);
INSERT INTO public.who_data VALUES (27318, 0, 32925, 4, 957, 116, 63);
INSERT INTO public.who_data VALUES (27319, 4, 5083, 0, 83, 116, 28);
INSERT INTO public.who_data VALUES (27320, 0, 461, 0, 0, 116, 172);
INSERT INTO public.who_data VALUES (27321, 37, 4465, 0, 73, 116, 17);
INSERT INTO public.who_data VALUES (27322, 12, 5875, 0, 116, 116, 226);
INSERT INTO public.who_data VALUES (27323, 511, 94218, 8, 1445, 116, 236);
INSERT INTO public.who_data VALUES (27324, 0, 13, 0, 0, 116, 76);
INSERT INTO public.who_data VALUES (27325, 4, 494, 0, 0, 116, 30);
INSERT INTO public.who_data VALUES (27326, 0, 33, 0, 2, 116, 128);
INSERT INTO public.who_data VALUES (27327, 193, 15163, 0, 354, 116, 86);
INSERT INTO public.who_data VALUES (27328, 33405, 1167705, 522, 35244, 116, 140);
INSERT INTO public.who_data VALUES (27329, 12, 10397, 1, 70, 116, 44);
INSERT INTO public.who_data VALUES (27330, 0, 6493, 0, 26, 116, 113);
INSERT INTO public.who_data VALUES (27331, 0, 8937, 0, 54, 116, 29);
INSERT INTO public.who_data VALUES (27332, 6, 3666, 0, 119, 116, 125);
INSERT INTO public.who_data VALUES (27333, 1731, 33858, 15, 253, 116, 131);
INSERT INTO public.who_data VALUES (27334, 14964, 464239, 85, 10183, 116, 46);
INSERT INTO public.who_data VALUES (27335, 85, 47775, 0, 316, 116, 10);
INSERT INTO public.who_data VALUES (27336, 3, 670, 0, 0, 116, 205);
INSERT INTO public.who_data VALUES (27337, 1256, 32752, 12, 593, 116, 50);
INSERT INTO public.who_data VALUES (27338, 0, 17, 0, 0, 116, 20);
INSERT INTO public.who_data VALUES (27339, 0, 28, 0, 0, 116, 13);
INSERT INTO public.who_data VALUES (27340, 0, 7474, 0, 126, 116, 148);
INSERT INTO public.who_data VALUES (27341, 76, 4384, 0, 75, 116, 230);
INSERT INTO public.who_data VALUES (27342, 677, 105571, 14, 3665, 116, 190);
INSERT INTO public.who_data VALUES (27343, 0, 266, 0, 13, 116, 188);
INSERT INTO public.who_data VALUES (27344, 150, 11819, 0, 71, 116, 123);
INSERT INTO public.who_data VALUES (27345, 0, 2403, 0, 41, 116, 9);
INSERT INTO public.who_data VALUES (27346, 3, 4026, 0, 119, 116, 102);
INSERT INTO public.who_data VALUES (27347, 0, 9026, 0, 232, 116, 34);
INSERT INTO public.who_data VALUES (27348, 0, 26, 0, 0, 116, 212);
INSERT INTO public.who_data VALUES (27349, 752, 93966, 10, 2633, 116, 122);
INSERT INTO public.who_data VALUES (27350, 2291, 65933, 43, 1578, 116, 38);
INSERT INTO public.who_data VALUES (27351, 70, 4574, 0, 11, 116, 130);
INSERT INTO public.who_data VALUES (27352, 43893, 7990322, 508, 120010, 116, 37);
INSERT INTO public.who_data VALUES (27353, 3520, 396454, 101, 13512, 116, 231);
INSERT INTO public.who_data VALUES (27354, 6968, 581824, 346, 33299, 116, 107);
INSERT INTO public.who_data VALUES (27355, 4510, 459908, 53, 10724, 116, 101);
INSERT INTO public.who_data VALUES (27356, 700, 58767, 5, 1890, 116, 132);
INSERT INTO public.who_data VALUES (27357, 3, 351, 0, 24, 116, 176);
INSERT INTO public.who_data VALUES (27358, 884, 311198, 28, 2472, 116, 200);
INSERT INTO public.who_data VALUES (27359, 21989, 564778, 221, 37700, 116, 169);
INSERT INTO public.who_data VALUES (27360, 38, 8787, 4, 196, 116, 225);
INSERT INTO public.who_data VALUES (27361, 618, 98116, 5, 1730, 116, 165);
INSERT INTO public.who_data VALUES (27362, 26, 556, 0, 32, 116, 233);
INSERT INTO public.who_data VALUES (27363, 3800, 58855, 44, 668, 116, 215);
INSERT INTO public.who_data VALUES (27364, 442, 148479, 0, 2219, 116, 177);
INSERT INTO public.who_data VALUES (27365, 836, 50833, 14, 934, 116, 183);
INSERT INTO public.who_data VALUES (27366, 0, 0, 0, 0, 116, 203);
INSERT INTO public.who_data VALUES (27367, 197, 18302, 3, 659, 116, 162);
INSERT INTO public.who_data VALUES (27368, 775, 123092, 7, 756, 116, 12);
INSERT INTO public.who_data VALUES (27369, 538, 57276, 2, 1138, 116, 24);
INSERT INTO public.who_data VALUES (27370, 0, 24, 0, 0, 116, 119);
INSERT INTO public.who_data VALUES (27371, 136, 4893, 3, 63, 116, 39);
INSERT INTO public.who_data VALUES (27372, 1809, 73995, 11, 590, 116, 26);
INSERT INTO public.who_data VALUES (27373, 7, 1947, 0, 43, 116, 59);
INSERT INTO public.who_data VALUES (27374, 3, 1419, 0, 82, 116, 77);
INSERT INTO public.who_data VALUES (27375, 752, 57975, 11, 812, 116, 134);
INSERT INTO public.who_data VALUES (27376, 23, 484, 0, 1, 116, 4);
INSERT INTO public.who_data VALUES (27377, 771, 12142, 5, 135, 116, 109);
INSERT INTO public.who_data VALUES (27378, 485, 14884, 0, 147, 116, 90);
INSERT INTO public.who_data VALUES (27379, 0, 16968, 0, 244, 116, 61);
INSERT INTO public.who_data VALUES (27380, 3, 5897, 0, 183, 116, 85);
INSERT INTO public.who_data VALUES (27381, 835, 28640, 2, 238, 116, 49);
INSERT INTO public.who_data VALUES (27382, 35, 11567, 0, 37, 116, 208);
INSERT INTO public.who_data VALUES (27383, 16, 3515, 3, 136, 116, 166);
INSERT INTO public.who_data VALUES (27384, 107, 5674, 1, 54, 116, 64);
INSERT INTO public.who_data VALUES (27385, 1, 1, 0, 0, 116, 199);
INSERT INTO public.who_data VALUES (27386, 0, 2800, 0, 27, 116, 114);
INSERT INTO public.who_data VALUES (27387, 0, 7663, 0, 163, 116, 60);
INSERT INTO public.who_data VALUES (27388, 0, 439, 0, 10, 116, 68);
INSERT INTO public.who_data VALUES (27389, 0, 4321, 0, 44, 116, 158);
INSERT INTO public.who_data VALUES (27390, 4166, 895326, 247, 89171, 116, 52);
INSERT INTO public.who_data VALUES (27391, 0, 0, 0, 0, 116, 117);
INSERT INTO public.who_data VALUES (27392, 10, 323, 0, 2, 116, 126);
INSERT INTO public.who_data VALUES (27393, 1, 340, 0, 0, 116, 196);
INSERT INTO public.who_data VALUES (27394, 519, 18110, 7, 282, 116, 142);
INSERT INTO public.who_data VALUES (27395, 0, 13, 0, 1, 116, 185);
INSERT INTO public.who_data VALUES (27396, 3988, 203733, 72, 3445, 116, 138);
INSERT INTO public.who_data VALUES (27397, 112, 12273, 1, 89, 116, 181);
INSERT INTO public.who_data VALUES (27398, 1466, 47666, 25, 1147, 116, 178);
INSERT INTO public.who_data VALUES (27399, 54, 12729, 0, 133, 116, 168);
INSERT INTO public.who_data VALUES (27400, 0, 0, 0, 0, 116, 160);
INSERT INTO public.who_data VALUES (27401, 570, 160400, 14, 876, 116, 151);
INSERT INTO public.who_data VALUES (27402, 10267, 311043, 69, 7137, 116, 193);
INSERT INTO public.who_data VALUES (27403, 0, 27, 0, 0, 116, 18);
INSERT INTO public.who_data VALUES (27404, 2, 1587, 0, 25, 116, 40);
INSERT INTO public.who_data VALUES (27405, 62, 4424, 1, 156, 116, 218);
INSERT INTO public.who_data VALUES (27406, 3, 1218, 0, 69, 116, 191);
INSERT INTO public.who_data VALUES (27407, 113, 62224, 3, 1135, 116, 156);
INSERT INTO public.who_data VALUES (27408, 0, 0, 0, 0, 116, 135);
INSERT INTO public.who_data VALUES (27409, 0, 92, 0, 2, 116, 88);
INSERT INTO public.who_data VALUES (27410, 628, 27827, 15, 949, 116, 55);
INSERT INTO public.who_data VALUES (27411, 433, 18341, 1, 280, 116, 108);
INSERT INTO public.who_data VALUES (27412, 576, 63164, 4, 529, 116, 48);
INSERT INTO public.who_data VALUES (27413, 466, 113820, 13, 1203, 116, 3);
INSERT INTO public.who_data VALUES (27414, 0, 741, 0, 13, 116, 224);
INSERT INTO public.who_data VALUES (27415, 773, 329375, 6, 6745, 116, 110);
INSERT INTO public.who_data VALUES (27416, 0, 0, 0, 0, 116, 106);
INSERT INTO public.who_data VALUES (27417, 551, 129751, 5, 2638, 116, 89);
INSERT INTO public.who_data VALUES (27418, 0, 588, 0, 7, 116, 121);
INSERT INTO public.who_data VALUES (27419, 515, 60109, 24, 1333, 116, 163);
INSERT INTO public.who_data VALUES (27420, 1859, 890574, 48, 34197, 116, 70);
INSERT INTO public.who_data VALUES (27421, 1514, 373144, 14, 7053, 116, 174);
INSERT INTO public.who_data VALUES (27422, 0, 0, 0, 0, 116, 175);
INSERT INTO public.who_data VALUES (27423, 16300, 280229, 132, 4615, 116, 118);
INSERT INTO public.who_data VALUES (27424, 3299, 124432, 28, 2371, 116, 189);
INSERT INTO public.who_data VALUES (27425, 362, 63497, 4, 808, 116, 124);
INSERT INTO public.who_data VALUES (27426, 257, 131689, 0, 230, 116, 192);
INSERT INTO public.who_data VALUES (27427, 103, 26146, 1, 461, 116, 41);
INSERT INTO public.who_data VALUES (27428, 649, 72460, 10, 1710, 116, 95);
INSERT INTO public.who_data VALUES (27429, 0, 5361, 0, 22, 116, 74);
INSERT INTO public.who_data VALUES (27430, 4724, 217216, 104, 6574, 116, 11);
INSERT INTO public.who_data VALUES (27431, 16202, 1563976, 346, 26935, 116, 87);
INSERT INTO public.who_data VALUES (27432, 11, 5084, 1, 35, 116, 214);
INSERT INTO public.who_data VALUES (27433, 0, 5, 0, 0, 116, 116);
INSERT INTO public.who_data VALUES (27434, 0, 83, 0, 0, 116, 157);
INSERT INTO public.who_data VALUES (27435, 0, 0, 0, 0, 116, 182);
INSERT INTO public.who_data VALUES (27436, 0, 19, 0, 0, 116, 186);
INSERT INTO public.who_data VALUES (27437, 9, 63, 0, 0, 116, 127);
INSERT INTO public.who_data VALUES (27438, 0, 542, 0, 8, 116, 232);
INSERT INTO public.who_data VALUES (27439, 0, 12, 0, 0, 116, 33);
INSERT INTO public.who_data VALUES (27440, 1, 74, 0, 0, 116, 97);
INSERT INTO public.who_data VALUES (27441, 0, 0, 0, 0, 116, 42);
INSERT INTO public.who_data VALUES (27442, 31, 883, 0, 42, 116, 198);
INSERT INTO public.who_data VALUES (27443, 0, 941, 0, 15, 116, 216);
INSERT INTO public.who_data VALUES (27444, 399, 345631, 16, 5329, 116, 164);
INSERT INTO public.who_data VALUES (27445, 6, 15571, 0, 322, 116, 235);
INSERT INTO public.who_data VALUES (27446, 1053, 40880, 5, 798, 116, 67);
INSERT INTO public.who_data VALUES (27447, 0, 152, 0, 0, 116, 15);
INSERT INTO public.who_data VALUES (27448, 4, 2350, 0, 74, 116, 180);
INSERT INTO public.who_data VALUES (27449, 7, 57980, 0, 28, 116, 237);
INSERT INTO public.who_data VALUES (27450, 0, 14, 0, 0, 116, 25);
INSERT INTO public.who_data VALUES (27451, 5, 789, 0, 22, 116, 209);
INSERT INTO public.who_data VALUES (27452, 1312, 45155, 6, 165, 116, 217);
INSERT INTO public.who_data VALUES (27453, 1502, 25615, 15, 303, 116, 79);
INSERT INTO public.who_data VALUES (27454, 4, 8, 0, 0, 116, 143);
INSERT INTO public.who_data VALUES (27455, 0, 3941, 0, 104, 116, 229);
INSERT INTO public.who_data VALUES (27456, 1092, 717851, 45, 19053, 116, 141);
INSERT INTO public.who_data VALUES (27457, 0, 2890, 0, 56, 116, 197);
INSERT INTO public.who_data VALUES (27458, 20973, 1204301, 205, 38014, 116, 221);
INSERT INTO public.who_data VALUES (27459, 457, 8870, 3, 19, 116, 150);
INSERT INTO public.who_data VALUES (27460, 18, 13765, 0, 837, 116, 56);
INSERT INTO public.who_data VALUES (27461, 10, 5180, 1, 110, 116, 167);
INSERT INTO public.who_data VALUES (27462, 1069, 115924, 11, 5979, 116, 23);
INSERT INTO public.who_data VALUES (27463, 9752, 143891, 39, 2094, 116, 222);
INSERT INTO public.who_data VALUES (27464, 67, 5528, 3, 275, 116, 219);
INSERT INTO public.who_data VALUES (27465, 41, 10860, 0, 81, 116, 7);
INSERT INTO public.who_data VALUES (27466, 13, 3759, 0, 59, 116, 161);
INSERT INTO public.who_data VALUES (27467, 22885, 917579, 367, 45365, 116, 149);
INSERT INTO public.who_data VALUES (27468, 0, 30, 0, 0, 116, 6);
INSERT INTO public.who_data VALUES (27469, 0, 2187, 0, 52, 116, 139);
INSERT INTO public.who_data VALUES (27470, 0, 0, 0, 0, 116, 211);
INSERT INTO public.who_data VALUES (27471, 0, 0, 0, 0, 116, 14);
INSERT INTO public.who_data VALUES (27472, 24, 5535, 1, 106, 116, 111);
INSERT INTO public.who_data VALUES (27473, 0, 54278, 0, 1153, 116, 207);
INSERT INTO public.who_data VALUES (27474, 8939, 985368, 76, 9950, 116, 66);
INSERT INTO public.who_data VALUES (27475, 0, 0, 0, 0, 116, 173);
INSERT INTO public.who_data VALUES (27476, 0, 701, 0, 6, 116, 145);
INSERT INTO public.who_data VALUES (27477, 0, 0, 0, 0, 116, 65);
INSERT INTO public.who_data VALUES (27478, 64, 11621, 2, 103, 116, 184);
INSERT INTO public.who_data VALUES (27479, 7474, 363075, 165, 6755, 116, 98);
INSERT INTO public.who_data VALUES (27480, 1390, 127624, 2, 482, 116, 104);
INSERT INTO public.who_data VALUES (27481, 0, 509, 0, 21, 116, 73);
INSERT INTO public.who_data VALUES (27482, 63145, 8611256, 479, 224178, 116, 8);
INSERT INTO public.who_data VALUES (27483, 3, 1351, 0, 21, 116, 227);
INSERT INTO public.who_data VALUES (27484, 21, 2872, 1, 54, 116, 75);
INSERT INTO public.who_data VALUES (27485, 272, 66037, 3, 557, 116, 45);
INSERT INTO public.who_data VALUES (27486, 0, 0, 0, 0, 116, 133);
INSERT INTO public.who_data VALUES (27487, 482, 90047, 4, 777, 116, 202);
INSERT INTO public.who_data VALUES (27488, 3, 1172, 0, 35, 116, 129);
INSERT INTO public.who_data VALUES (27489, 0, 1, 0, 0, 116, 36);
INSERT INTO public.who_data VALUES (27490, 0, 2064, 0, 600, 116, 51);
INSERT INTO public.who_data VALUES (27491, 0, 16200, 0, 348, 116, 206);
INSERT INTO public.who_data VALUES (27492, 12, 8315, 0, 242, 116, 5);
INSERT INTO public.who_data VALUES (27493, 104, 40937, 4, 1518, 117, 103);
INSERT INTO public.who_data VALUES (27494, 288, 19445, 3, 480, 117, 58);
INSERT INTO public.who_data VALUES (27495, 0, 55630, 0, 1897, 117, 195);
INSERT INTO public.who_data VALUES (27496, 0, 0, 0, 0, 117, 115);
INSERT INTO public.who_data VALUES (27497, 287, 4325, 3, 72, 117, 99);
INSERT INTO public.who_data VALUES (27498, 263, 9644, 2, 270, 117, 153);
INSERT INTO public.who_data VALUES (27499, 0, 3, 0, 0, 117, 93);
INSERT INTO public.who_data VALUES (27500, 0, 124, 0, 3, 117, 84);
INSERT INTO public.who_data VALUES (27501, 9253, 1090589, 283, 28896, 117, 78);
INSERT INTO public.who_data VALUES (27502, 1600, 79723, 26, 1217, 117, 170);
INSERT INTO public.who_data VALUES (27503, 31, 4420, 0, 36, 117, 32);
INSERT INTO public.who_data VALUES (27504, 7, 27527, 0, 905, 117, 155);
INSERT INTO public.who_data VALUES (27505, 2512, 85048, 4, 988, 117, 82);
INSERT INTO public.who_data VALUES (27506, 527, 50486, 8, 679, 117, 16);
INSERT INTO public.who_data VALUES (27507, 56, 6466, 0, 132, 117, 72);
INSERT INTO public.who_data VALUES (27508, 278, 80533, 4, 316, 117, 43);
INSERT INTO public.who_data VALUES (27509, 1436, 400251, 15, 5818, 117, 120);
INSERT INTO public.who_data VALUES (27510, 3, 233, 0, 7, 117, 213);
INSERT INTO public.who_data VALUES (27511, 884, 93707, 4, 961, 117, 31);
INSERT INTO public.who_data VALUES (27512, 19868, 371808, 121, 11064, 117, 204);
INSERT INTO public.who_data VALUES (27513, 39, 3145, 2, 50, 117, 152);
INSERT INTO public.who_data VALUES (27514, 0, 2557, 0, 41, 117, 144);
INSERT INTO public.who_data VALUES (27515, 0, 190, 0, 9, 117, 96);
INSERT INTO public.who_data VALUES (27516, 0, 342, 0, 0, 117, 47);
INSERT INTO public.who_data VALUES (27517, 74, 140853, 18, 8645, 117, 80);
INSERT INTO public.who_data VALUES (27518, 0, 131, 0, 3, 117, 159);
INSERT INTO public.who_data VALUES (27519, 722, 41616, 18, 1104, 117, 27);
INSERT INTO public.who_data VALUES (27520, 0, 5923, 0, 21, 117, 146);
INSERT INTO public.who_data VALUES (27521, 13493, 5394128, 231, 157134, 117, 71);
INSERT INTO public.who_data VALUES (27522, 0, 72, 0, 1, 117, 210);
INSERT INTO public.who_data VALUES (27523, 0, 148, 0, 3, 117, 54);
INSERT INTO public.who_data VALUES (27524, 2243, 40132, 42, 1136, 117, 147);
INSERT INTO public.who_data VALUES (27525, 8, 2459, 2, 67, 117, 2);
INSERT INTO public.who_data VALUES (27526, 1, 558, 0, 1, 117, 105);
INSERT INTO public.who_data VALUES (27527, 27, 8423, 0, 94, 117, 53);
INSERT INTO public.who_data VALUES (27528, 1, 288, 0, 0, 117, 81);
INSERT INTO public.who_data VALUES (27529, 0, 21793, 0, 426, 117, 223);
INSERT INTO public.who_data VALUES (27530, 2145, 216104, 24, 9946, 117, 94);
INSERT INTO public.who_data VALUES (27531, 0, 239, 0, 1, 117, 154);
INSERT INTO public.who_data VALUES (27532, 0, 4863, 0, 62, 117, 83);
INSERT INTO public.who_data VALUES (27533, 4, 1441, 0, 96, 117, 194);
INSERT INTO public.who_data VALUES (27534, 1535, 503598, 59, 14003, 117, 136);
INSERT INTO public.who_data VALUES (27535, 24, 91725, 0, 4746, 117, 179);
INSERT INTO public.who_data VALUES (27536, 8174, 1015885, 154, 30154, 117, 57);
INSERT INTO public.who_data VALUES (27537, 0, 517, 0, 7, 117, 35);
INSERT INTO public.who_data VALUES (27538, 0, 5253, 0, 92, 117, 228);
INSERT INTO public.who_data VALUES (27539, 0, 0, 0, 0, 117, 19);
INSERT INTO public.who_data VALUES (27540, 861, 103949, 16, 1298, 117, 22);
INSERT INTO public.who_data VALUES (27541, 0, 20470, 0, 122, 117, 1);
INSERT INTO public.who_data VALUES (27542, 828, 37208, 15, 452, 117, 21);
INSERT INTO public.who_data VALUES (27543, 29, 6595, 0, 128, 117, 234);
INSERT INTO public.who_data VALUES (27544, 55, 858, 0, 1, 117, 91);
INSERT INTO public.who_data VALUES (27545, 91, 3636, 0, 25, 117, 137);
INSERT INTO public.who_data VALUES (27546, 10273, 268370, 164, 2365, 117, 201);
INSERT INTO public.who_data VALUES (27547, 0, 0, 0, 0, 117, 171);
INSERT INTO public.who_data VALUES (27548, 13, 11173, 0, 305, 117, 92);
INSERT INTO public.who_data VALUES (27549, 1056, 41412, 6, 708, 117, 112);
INSERT INTO public.who_data VALUES (27550, 5, 5541, 0, 61, 117, 62);
INSERT INTO public.who_data VALUES (27551, 0, 38, 0, 0, 117, 69);
INSERT INTO public.who_data VALUES (27552, 316, 124843, 2, 2225, 117, 220);
INSERT INTO public.who_data VALUES (27553, 543, 162178, 20, 12573, 117, 100);
INSERT INTO public.who_data VALUES (27554, 167, 106707, 12, 6211, 117, 187);
INSERT INTO public.who_data VALUES (27555, 340, 32925, 4, 953, 117, 63);
INSERT INTO public.who_data VALUES (27556, 0, 5079, 0, 83, 117, 28);
INSERT INTO public.who_data VALUES (27557, 0, 461, 0, 0, 117, 172);
INSERT INTO public.who_data VALUES (27558, 17, 4428, 0, 73, 117, 17);
INSERT INTO public.who_data VALUES (27559, 9, 5863, 0, 116, 117, 226);
INSERT INTO public.who_data VALUES (27560, 364, 93707, 11, 1437, 117, 236);
INSERT INTO public.who_data VALUES (27561, 0, 13, 0, 0, 117, 76);
INSERT INTO public.who_data VALUES (27562, 0, 490, 0, 0, 117, 30);
INSERT INTO public.who_data VALUES (27563, 0, 33, 0, 2, 117, 128);
INSERT INTO public.who_data VALUES (27564, 122, 14970, 1, 354, 117, 86);
INSERT INTO public.who_data VALUES (27565, 26505, 1134300, 255, 34722, 117, 140);
INSERT INTO public.who_data VALUES (27566, 9, 10385, 0, 69, 117, 44);
INSERT INTO public.who_data VALUES (27567, 634, 6493, 6, 26, 117, 113);
INSERT INTO public.who_data VALUES (27568, 18, 8937, 0, 54, 117, 29);
INSERT INTO public.who_data VALUES (27569, 0, 3660, 0, 119, 117, 125);
INSERT INTO public.who_data VALUES (27570, 1824, 32127, 23, 238, 117, 131);
INSERT INTO public.who_data VALUES (27571, 11409, 449275, 42, 10098, 117, 46);
INSERT INTO public.who_data VALUES (27572, 0, 47690, 0, 316, 117, 10);
INSERT INTO public.who_data VALUES (27573, 7, 667, 0, 0, 117, 205);
INSERT INTO public.who_data VALUES (27574, 714, 31496, 7, 581, 117, 50);
INSERT INTO public.who_data VALUES (27575, 0, 17, 0, 0, 117, 20);
INSERT INTO public.who_data VALUES (27576, 0, 28, 0, 0, 117, 13);
INSERT INTO public.who_data VALUES (27577, 0, 7474, 0, 126, 117, 148);
INSERT INTO public.who_data VALUES (27578, 112, 4308, 4, 75, 117, 230);
INSERT INTO public.who_data VALUES (27579, 107, 104894, 7, 3651, 117, 190);
INSERT INTO public.who_data VALUES (27580, 1, 266, 0, 13, 117, 188);
INSERT INTO public.who_data VALUES (27581, 0, 11669, 0, 71, 117, 123);
INSERT INTO public.who_data VALUES (27582, 0, 2403, 0, 41, 117, 9);
INSERT INTO public.who_data VALUES (27583, 29, 4023, 2, 119, 117, 102);
INSERT INTO public.who_data VALUES (27584, 0, 9026, 0, 232, 117, 34);
INSERT INTO public.who_data VALUES (27585, 0, 26, 0, 0, 117, 212);
INSERT INTO public.who_data VALUES (27586, 490, 93214, 6, 2623, 117, 122);
INSERT INTO public.who_data VALUES (27587, 2079, 63642, 63, 1535, 117, 38);
INSERT INTO public.who_data VALUES (27588, 56, 4504, 0, 11, 117, 130);
INSERT INTO public.who_data VALUES (27589, 36470, 7946429, 488, 119502, 117, 37);
INSERT INTO public.who_data VALUES (27590, 3222, 392934, 112, 13411, 117, 231);
INSERT INTO public.who_data VALUES (27591, 5960, 574856, 337, 32953, 117, 107);
INSERT INTO public.who_data VALUES (27592, 3691, 455398, 48, 10671, 117, 101);
INSERT INTO public.who_data VALUES (27593, 939, 58067, 3, 1885, 117, 132);
INSERT INTO public.who_data VALUES (27594, 0, 348, 0, 24, 117, 176);
INSERT INTO public.who_data VALUES (27595, 607, 310314, 35, 2444, 117, 200);
INSERT INTO public.who_data VALUES (27596, 17007, 542789, 141, 37479, 117, 169);
INSERT INTO public.who_data VALUES (27597, 35, 8749, 4, 192, 117, 225);
INSERT INTO public.who_data VALUES (27598, 424, 97498, 7, 1725, 117, 165);
INSERT INTO public.who_data VALUES (27599, 0, 530, 0, 32, 117, 233);
INSERT INTO public.who_data VALUES (27600, 1968, 55055, 45, 624, 117, 215);
INSERT INTO public.who_data VALUES (27601, 422, 148037, 0, 2219, 117, 177);
INSERT INTO public.who_data VALUES (27602, 276, 49997, 18, 920, 117, 183);
INSERT INTO public.who_data VALUES (27603, 0, 0, 0, 0, 117, 203);
INSERT INTO public.who_data VALUES (27604, 205, 18105, 3, 656, 117, 162);
INSERT INTO public.who_data VALUES (27605, 682, 122317, 3, 749, 117, 12);
INSERT INTO public.who_data VALUES (27606, 568, 56738, 2, 1136, 117, 24);
INSERT INTO public.who_data VALUES (27607, 0, 24, 0, 0, 117, 119);
INSERT INTO public.who_data VALUES (27608, 79, 4757, 4, 60, 117, 39);
INSERT INTO public.who_data VALUES (27609, 796, 72186, 14, 579, 117, 26);
INSERT INTO public.who_data VALUES (27610, 0, 1940, 0, 43, 117, 59);
INSERT INTO public.who_data VALUES (27611, 21, 1416, 0, 82, 117, 77);
INSERT INTO public.who_data VALUES (27612, 1210, 57223, 6, 801, 117, 134);
INSERT INTO public.who_data VALUES (27613, 26, 461, 0, 1, 117, 4);
INSERT INTO public.who_data VALUES (27614, 422, 11371, 5, 130, 117, 109);
INSERT INTO public.who_data VALUES (27615, 195, 14399, 2, 147, 117, 90);
INSERT INTO public.who_data VALUES (27616, 0, 16968, 0, 244, 117, 61);
INSERT INTO public.who_data VALUES (27617, 4, 5894, 0, 183, 117, 85);
INSERT INTO public.who_data VALUES (27618, 1240, 27805, 7, 236, 117, 49);
INSERT INTO public.who_data VALUES (27619, 27, 11532, 0, 37, 117, 208);
INSERT INTO public.who_data VALUES (27620, 27, 3499, 1, 133, 117, 166);
INSERT INTO public.who_data VALUES (27621, 80, 5567, 2, 53, 117, 64);
INSERT INTO public.who_data VALUES (27622, 0, 0, 0, 0, 117, 199);
INSERT INTO public.who_data VALUES (27623, 0, 2800, 0, 27, 117, 114);
INSERT INTO public.who_data VALUES (27624, 0, 7663, 0, 163, 117, 60);
INSERT INTO public.who_data VALUES (27625, 4, 439, 0, 10, 117, 68);
INSERT INTO public.who_data VALUES (27626, 45, 4321, 0, 44, 117, 158);
INSERT INTO public.who_data VALUES (27627, 4360, 891160, 181, 88924, 117, 52);
INSERT INTO public.who_data VALUES (27628, 0, 0, 0, 0, 117, 117);
INSERT INTO public.who_data VALUES (27629, 4, 313, 0, 2, 117, 126);
INSERT INTO public.who_data VALUES (27630, 1, 339, 0, 0, 117, 196);
INSERT INTO public.who_data VALUES (27631, 237, 17591, 5, 275, 117, 142);
INSERT INTO public.who_data VALUES (27632, 0, 13, 0, 1, 117, 185);
INSERT INTO public.who_data VALUES (27633, 2264, 199745, 72, 3373, 117, 138);
INSERT INTO public.who_data VALUES (27634, 175, 12161, 2, 88, 117, 181);
INSERT INTO public.who_data VALUES (27635, 1426, 46200, 27, 1122, 117, 178);
INSERT INTO public.who_data VALUES (27636, 15, 12675, 0, 133, 117, 168);
INSERT INTO public.who_data VALUES (27637, 0, 0, 0, 0, 117, 160);
INSERT INTO public.who_data VALUES (27638, 1741, 159830, 15, 862, 117, 151);
INSERT INTO public.who_data VALUES (27639, 10303, 300776, 26, 7068, 117, 193);
INSERT INTO public.who_data VALUES (27640, 0, 27, 0, 0, 117, 18);
INSERT INTO public.who_data VALUES (27641, 1, 1585, 0, 25, 117, 40);
INSERT INTO public.who_data VALUES (27642, 0, 4362, 0, 155, 117, 218);
INSERT INTO public.who_data VALUES (27643, 0, 1215, 0, 69, 117, 191);
INSERT INTO public.who_data VALUES (27644, 119, 62111, 2, 1132, 117, 156);
INSERT INTO public.who_data VALUES (27645, 0, 0, 0, 0, 117, 135);
INSERT INTO public.who_data VALUES (27646, 4, 92, 0, 2, 117, 88);
INSERT INTO public.who_data VALUES (27647, 245, 27199, 15, 934, 117, 55);
INSERT INTO public.who_data VALUES (27648, 676, 17908, 0, 279, 117, 108);
INSERT INTO public.who_data VALUES (27649, 542, 62588, 6, 525, 117, 48);
INSERT INTO public.who_data VALUES (27650, 422, 113354, 16, 1190, 117, 3);
INSERT INTO public.who_data VALUES (27651, 0, 741, 0, 13, 117, 224);
INSERT INTO public.who_data VALUES (27652, 707, 328602, 3, 6739, 117, 110);
INSERT INTO public.who_data VALUES (27653, 0, 0, 0, 0, 117, 106);
INSERT INTO public.who_data VALUES (27654, 685, 129200, 5, 2633, 117, 89);
INSERT INTO public.who_data VALUES (27655, 0, 588, 0, 7, 117, 121);
INSERT INTO public.who_data VALUES (27656, 551, 59594, 16, 1309, 117, 163);
INSERT INTO public.who_data VALUES (27657, 2501, 888715, 54, 34149, 117, 70);
INSERT INTO public.who_data VALUES (27658, 1602, 371630, 62, 7039, 117, 174);
INSERT INTO public.who_data VALUES (27659, 0, 0, 0, 0, 117, 175);
INSERT INTO public.who_data VALUES (27660, 10241, 263929, 45, 4483, 117, 118);
INSERT INTO public.who_data VALUES (27661, 2447, 121133, 27, 2343, 117, 189);
INSERT INTO public.who_data VALUES (27662, 632, 63135, 3, 804, 117, 124);
INSERT INTO public.who_data VALUES (27663, 262, 131432, 0, 230, 117, 192);
INSERT INTO public.who_data VALUES (27664, 88, 26043, 3, 460, 117, 41);
INSERT INTO public.who_data VALUES (27665, 308, 71811, 15, 1700, 117, 95);
INSERT INTO public.who_data VALUES (27666, 212, 5361, 2, 22, 117, 74);
INSERT INTO public.who_data VALUES (27667, 2844, 212492, 79, 6470, 117, 11);
INSERT INTO public.who_data VALUES (27668, 16550, 1547774, 320, 26589, 117, 87);
INSERT INTO public.who_data VALUES (27669, 7, 5073, 0, 34, 117, 214);
INSERT INTO public.who_data VALUES (27670, 0, 5, 0, 0, 117, 116);
INSERT INTO public.who_data VALUES (27671, 0, 83, 0, 0, 117, 157);
INSERT INTO public.who_data VALUES (27672, 0, 0, 0, 0, 117, 182);
INSERT INTO public.who_data VALUES (27673, 0, 19, 0, 0, 117, 186);
INSERT INTO public.who_data VALUES (27674, 0, 54, 0, 0, 117, 127);
INSERT INTO public.who_data VALUES (27675, 0, 542, 0, 8, 117, 232);
INSERT INTO public.who_data VALUES (27676, 0, 12, 0, 0, 117, 33);
INSERT INTO public.who_data VALUES (27677, 0, 73, 0, 0, 117, 97);
INSERT INTO public.who_data VALUES (27678, 0, 0, 0, 0, 117, 42);
INSERT INTO public.who_data VALUES (27679, 8, 852, 0, 42, 117, 198);
INSERT INTO public.who_data VALUES (27680, 1, 941, 0, 15, 117, 216);
INSERT INTO public.who_data VALUES (27681, 357, 345232, 17, 5313, 117, 164);
INSERT INTO public.who_data VALUES (27682, 14, 15565, 1, 322, 117, 235);
INSERT INTO public.who_data VALUES (27683, 341, 39827, 1, 793, 117, 67);
INSERT INTO public.who_data VALUES (27684, 0, 152, 0, 0, 117, 15);
INSERT INTO public.who_data VALUES (27685, 0, 2346, 0, 74, 117, 180);
INSERT INTO public.who_data VALUES (27686, 3, 57973, 0, 28, 117, 237);
INSERT INTO public.who_data VALUES (27687, 0, 14, 0, 0, 117, 25);
INSERT INTO public.who_data VALUES (27688, 8, 784, 0, 22, 117, 209);
INSERT INTO public.who_data VALUES (27689, 3042, 43843, 0, 159, 117, 217);
INSERT INTO public.who_data VALUES (27690, 1118, 24113, 17, 288, 117, 79);
INSERT INTO public.who_data VALUES (27691, 0, 4, 0, 0, 117, 143);
INSERT INTO public.who_data VALUES (27692, 0, 3941, 0, 104, 117, 229);
INSERT INTO public.who_data VALUES (27693, 891, 716759, 40, 19008, 117, 141);
INSERT INTO public.who_data VALUES (27694, 7, 2890, 0, 56, 117, 197);
INSERT INTO public.who_data VALUES (27695, 11663, 1183328, 181, 37809, 117, 221);
INSERT INTO public.who_data VALUES (27696, 541, 8413, 1, 16, 117, 150);
INSERT INTO public.who_data VALUES (27697, 5, 13747, 0, 837, 117, 56);
INSERT INTO public.who_data VALUES (27698, 4, 5170, 0, 109, 117, 167);
INSERT INTO public.who_data VALUES (27699, 514, 114855, 8, 5968, 117, 23);
INSERT INTO public.who_data VALUES (27700, 10113, 134139, 20, 2055, 117, 222);
INSERT INTO public.who_data VALUES (27701, 53, 5461, 3, 272, 117, 219);
INSERT INTO public.who_data VALUES (27702, 43, 10819, 0, 81, 117, 7);
INSERT INTO public.who_data VALUES (27703, 3, 3746, 0, 59, 117, 161);
INSERT INTO public.who_data VALUES (27704, 20890, 894694, 102, 44998, 117, 149);
INSERT INTO public.who_data VALUES (27705, 1, 30, 0, 0, 117, 6);
INSERT INTO public.who_data VALUES (27706, 25, 2187, 0, 52, 117, 139);
INSERT INTO public.who_data VALUES (27707, 0, 0, 0, 0, 117, 211);
INSERT INTO public.who_data VALUES (27708, 0, 0, 0, 0, 117, 14);
INSERT INTO public.who_data VALUES (27709, 8, 5511, 0, 105, 117, 111);
INSERT INTO public.who_data VALUES (27710, 1879, 54278, 170, 1153, 117, 207);
INSERT INTO public.who_data VALUES (27711, 8928, 976429, 75, 9874, 117, 66);
INSERT INTO public.who_data VALUES (27712, 0, 0, 0, 0, 117, 173);
INSERT INTO public.who_data VALUES (27713, 0, 701, 0, 6, 117, 145);
INSERT INTO public.who_data VALUES (27714, 0, 0, 0, 0, 117, 65);
INSERT INTO public.who_data VALUES (27715, 114, 11557, 0, 101, 117, 184);
INSERT INTO public.who_data VALUES (27716, 6677, 355601, 126, 6590, 117, 98);
INSERT INTO public.who_data VALUES (27717, 1111, 126234, 3, 480, 117, 104);
INSERT INTO public.who_data VALUES (27718, 0, 509, 0, 21, 117, 73);
INSERT INTO public.who_data VALUES (27719, 62364, 8548111, 371, 223699, 117, 8);
INSERT INTO public.who_data VALUES (27720, 2, 1348, 0, 21, 117, 227);
INSERT INTO public.who_data VALUES (27721, 44, 2851, 0, 53, 117, 75);
INSERT INTO public.who_data VALUES (27722, 285, 65765, 4, 554, 117, 45);
INSERT INTO public.who_data VALUES (27723, 0, 0, 0, 0, 117, 133);
INSERT INTO public.who_data VALUES (27724, 423, 89565, 3, 773, 117, 202);
INSERT INTO public.who_data VALUES (27725, 1, 1169, 0, 35, 117, 129);
INSERT INTO public.who_data VALUES (27726, 0, 1, 0, 0, 117, 36);
INSERT INTO public.who_data VALUES (27727, 0, 2064, 0, 600, 117, 51);
INSERT INTO public.who_data VALUES (27728, 83, 16200, 0, 348, 117, 206);
INSERT INTO public.who_data VALUES (27729, 27, 8303, 5, 242, 117, 5);
INSERT INTO public.who_data VALUES (27730, 65, 40833, 3, 1514, 118, 103);
INSERT INTO public.who_data VALUES (27731, 299, 19157, 4, 477, 118, 58);
INSERT INTO public.who_data VALUES (27732, 0, 55630, 0, 1897, 118, 195);
INSERT INTO public.who_data VALUES (27733, 0, 0, 0, 0, 118, 115);
INSERT INTO public.who_data VALUES (27734, 0, 4038, 0, 69, 118, 99);
INSERT INTO public.who_data VALUES (27735, 355, 9381, 1, 268, 118, 153);
INSERT INTO public.who_data VALUES (27736, 0, 3, 0, 0, 118, 93);
INSERT INTO public.who_data VALUES (27737, 2, 124, 0, 3, 118, 84);
INSERT INTO public.who_data VALUES (27738, 11968, 1081336, 275, 28613, 118, 78);
INSERT INTO public.who_data VALUES (27739, 973, 78123, 16, 1191, 118, 170);
INSERT INTO public.who_data VALUES (27740, 0, 4389, 0, 36, 118, 32);
INSERT INTO public.who_data VALUES (27741, 21, 27520, 0, 905, 118, 155);
INSERT INTO public.who_data VALUES (27742, 2766, 82536, 6, 984, 118, 82);
INSERT INTO public.who_data VALUES (27743, 946, 49959, 7, 671, 118, 16);
INSERT INTO public.who_data VALUES (27744, 142, 6410, 2, 132, 118, 72);
INSERT INTO public.who_data VALUES (27745, 280, 80255, 0, 312, 118, 43);
INSERT INTO public.who_data VALUES (27746, 1308, 398815, 23, 5803, 118, 120);
INSERT INTO public.who_data VALUES (27747, 3, 230, 0, 7, 118, 213);
INSERT INTO public.who_data VALUES (27748, 1656, 92823, 12, 957, 118, 31);
INSERT INTO public.who_data VALUES (27749, 4895, 351940, 95, 10943, 118, 204);
INSERT INTO public.who_data VALUES (27750, 56, 3106, 1, 48, 118, 152);
INSERT INTO public.who_data VALUES (27751, 0, 2557, 0, 41, 118, 144);
INSERT INTO public.who_data VALUES (27752, 0, 190, 0, 9, 118, 96);
INSERT INTO public.who_data VALUES (27753, 2, 342, 0, 0, 118, 47);
INSERT INTO public.who_data VALUES (27754, 167, 140779, 19, 8627, 118, 80);
INSERT INTO public.who_data VALUES (27755, 0, 131, 0, 3, 118, 159);
INSERT INTO public.who_data VALUES (27756, 1136, 40894, 11, 1086, 118, 27);
INSERT INTO public.who_data VALUES (27757, 0, 5923, 0, 21, 118, 146);
INSERT INTO public.who_data VALUES (27758, 26979, 5380635, 432, 156903, 118, 71);
INSERT INTO public.who_data VALUES (27759, 0, 72, 0, 1, 118, 210);
INSERT INTO public.who_data VALUES (27760, 0, 148, 0, 3, 118, 54);
INSERT INTO public.who_data VALUES (27761, 327, 37889, 10, 1094, 118, 147);
INSERT INTO public.who_data VALUES (27762, 7, 2451, 0, 65, 118, 2);
INSERT INTO public.who_data VALUES (27763, 1, 557, 0, 1, 118, 105);
INSERT INTO public.who_data VALUES (27764, 74, 8396, 0, 94, 118, 53);
INSERT INTO public.who_data VALUES (27765, 0, 287, 0, 0, 118, 81);
INSERT INTO public.who_data VALUES (27766, 223, 21793, 1, 426, 118, 223);
INSERT INTO public.who_data VALUES (27767, 2227, 213959, 34, 9922, 118, 94);
INSERT INTO public.who_data VALUES (27768, 0, 239, 0, 1, 118, 154);
INSERT INTO public.who_data VALUES (27769, 1, 4863, 0, 62, 118, 83);
INSERT INTO public.who_data VALUES (27770, 3, 1437, 0, 96, 118, 194);
INSERT INTO public.who_data VALUES (27771, 1521, 502063, 52, 13944, 118, 136);
INSERT INTO public.who_data VALUES (27772, 26, 91701, 0, 4746, 118, 179);
INSERT INTO public.who_data VALUES (27773, 8769, 1007711, 198, 30000, 118, 57);
INSERT INTO public.who_data VALUES (27774, 0, 517, 0, 7, 118, 35);
INSERT INTO public.who_data VALUES (27775, 0, 5253, 0, 92, 118, 228);
INSERT INTO public.who_data VALUES (27776, 0, 0, 0, 0, 118, 19);
INSERT INTO public.who_data VALUES (27777, 1262, 103088, 17, 1282, 118, 22);
INSERT INTO public.who_data VALUES (27778, 65, 20470, 1, 122, 118, 1);
INSERT INTO public.who_data VALUES (27779, 2421, 36380, 8, 437, 118, 21);
INSERT INTO public.who_data VALUES (27780, 32, 6566, 0, 128, 118, 234);
INSERT INTO public.who_data VALUES (27781, 0, 803, 0, 1, 118, 91);
INSERT INTO public.who_data VALUES (27782, 101, 3545, 0, 25, 118, 137);
INSERT INTO public.who_data VALUES (27783, 7300, 258097, 124, 2201, 118, 201);
INSERT INTO public.who_data VALUES (27784, 0, 0, 0, 0, 118, 171);
INSERT INTO public.who_data VALUES (27785, 39, 11160, 1, 305, 118, 92);
INSERT INTO public.who_data VALUES (27786, 945, 40356, 2, 702, 118, 112);
INSERT INTO public.who_data VALUES (27787, 6, 5536, 0, 61, 118, 62);
INSERT INTO public.who_data VALUES (27788, 0, 38, 0, 0, 118, 69);
INSERT INTO public.who_data VALUES (27789, 509, 124527, 3, 2223, 118, 220);
INSERT INTO public.who_data VALUES (27790, 2021, 161635, 11, 12553, 118, 100);
INSERT INTO public.who_data VALUES (27791, 143, 106540, 12, 6199, 118, 187);
INSERT INTO public.who_data VALUES (27792, 0, 32585, 5, 949, 118, 63);
INSERT INTO public.who_data VALUES (27793, 0, 5079, 0, 83, 118, 28);
INSERT INTO public.who_data VALUES (27794, 0, 461, 0, 0, 118, 172);
INSERT INTO public.who_data VALUES (27795, 60, 4411, 0, 73, 118, 17);
INSERT INTO public.who_data VALUES (27796, 7, 5854, 0, 116, 118, 226);
INSERT INTO public.who_data VALUES (27797, 485, 93343, 7, 1426, 118, 236);
INSERT INTO public.who_data VALUES (27798, 0, 13, 0, 0, 118, 76);
INSERT INTO public.who_data VALUES (27799, 0, 490, 0, 0, 118, 30);
INSERT INTO public.who_data VALUES (27800, 0, 33, 0, 2, 118, 128);
INSERT INTO public.who_data VALUES (27801, 196, 14848, 0, 353, 118, 86);
INSERT INTO public.who_data VALUES (27802, 51849, 1107795, 105, 34467, 118, 140);
INSERT INTO public.who_data VALUES (27803, 0, 10376, 0, 69, 118, 44);
INSERT INTO public.who_data VALUES (27804, 0, 5859, 0, 20, 118, 113);
INSERT INTO public.who_data VALUES (27805, 0, 8919, 0, 54, 118, 29);
INSERT INTO public.who_data VALUES (27806, 1, 3660, 0, 119, 118, 125);
INSERT INTO public.who_data VALUES (27807, 1872, 30303, 14, 215, 118, 131);
INSERT INTO public.who_data VALUES (27808, 8685, 437866, 24, 10056, 118, 46);
INSERT INTO public.who_data VALUES (27809, 0, 47690, 0, 316, 118, 10);
INSERT INTO public.who_data VALUES (27810, 19, 660, 0, 0, 118, 205);
INSERT INTO public.who_data VALUES (27811, 790, 30782, 10, 574, 118, 50);
INSERT INTO public.who_data VALUES (27812, 0, 17, 0, 0, 118, 20);
INSERT INTO public.who_data VALUES (27813, 1, 28, 0, 0, 118, 13);
INSERT INTO public.who_data VALUES (27814, 145, 7474, 11, 126, 118, 148);
INSERT INTO public.who_data VALUES (27815, 41, 4196, 0, 71, 118, 230);
INSERT INTO public.who_data VALUES (27816, 155, 104787, 35, 3644, 118, 190);
INSERT INTO public.who_data VALUES (27817, 0, 265, 0, 13, 118, 188);
INSERT INTO public.who_data VALUES (27818, 0, 11669, 0, 71, 118, 123);
INSERT INTO public.who_data VALUES (27819, 0, 2403, 0, 41, 118, 9);
INSERT INTO public.who_data VALUES (27820, 34, 3994, 0, 117, 118, 102);
INSERT INTO public.who_data VALUES (27821, 11, 9026, 1, 232, 118, 34);
INSERT INTO public.who_data VALUES (27822, 0, 26, 0, 0, 118, 212);
INSERT INTO public.who_data VALUES (27823, 842, 92724, 5, 2617, 118, 122);
INSERT INTO public.who_data VALUES (27824, 2316, 61563, 47, 1472, 118, 38);
INSERT INTO public.who_data VALUES (27825, 54, 4448, 0, 11, 118, 130);
INSERT INTO public.who_data VALUES (27826, 45148, 7909959, 480, 119014, 118, 37);
INSERT INTO public.who_data VALUES (27827, 3732, 389712, 94, 13299, 118, 231);
INSERT INTO public.who_data VALUES (27828, 6191, 568896, 296, 32616, 118, 107);
INSERT INTO public.who_data VALUES (27829, 2554, 451707, 55, 10623, 118, 101);
INSERT INTO public.who_data VALUES (27830, 1020, 57128, 0, 1882, 118, 132);
INSERT INTO public.who_data VALUES (27831, 0, 348, 0, 24, 118, 176);
INSERT INTO public.who_data VALUES (27832, 246, 309707, 27, 2409, 118, 200);
INSERT INTO public.who_data VALUES (27833, 21273, 525782, 128, 37338, 118, 169);
INSERT INTO public.who_data VALUES (27834, 44, 8714, 2, 188, 118, 225);
INSERT INTO public.who_data VALUES (27835, 540, 97074, 7, 1718, 118, 165);
INSERT INTO public.who_data VALUES (27836, 0, 530, 0, 32, 118, 233);
INSERT INTO public.who_data VALUES (27837, 2337, 53087, 39, 579, 118, 215);
INSERT INTO public.who_data VALUES (27838, 152, 147615, 0, 2219, 118, 177);
INSERT INTO public.who_data VALUES (27839, 931, 49721, 6, 902, 118, 183);
INSERT INTO public.who_data VALUES (27840, 0, 0, 0, 0, 118, 203);
INSERT INTO public.who_data VALUES (27841, 186, 17900, 2, 653, 118, 162);
INSERT INTO public.who_data VALUES (27842, 708, 121635, 2, 746, 118, 12);
INSERT INTO public.who_data VALUES (27843, 420, 56170, 0, 1134, 118, 24);
INSERT INTO public.who_data VALUES (27844, 0, 24, 0, 0, 118, 119);
INSERT INTO public.who_data VALUES (27845, 211, 4678, 2, 56, 118, 39);
INSERT INTO public.who_data VALUES (27846, 1484, 71390, 3, 565, 118, 26);
INSERT INTO public.who_data VALUES (27847, 6, 1940, 0, 43, 118, 59);
INSERT INTO public.who_data VALUES (27848, 0, 1395, 0, 82, 118, 77);
INSERT INTO public.who_data VALUES (27849, 1639, 56013, 5, 795, 118, 134);
INSERT INTO public.who_data VALUES (27850, 23, 435, 0, 1, 118, 4);
INSERT INTO public.who_data VALUES (27851, 765, 10949, 2, 125, 118, 109);
INSERT INTO public.who_data VALUES (27852, 491, 14204, 1, 145, 118, 90);
INSERT INTO public.who_data VALUES (27853, 0, 16968, 0, 244, 118, 61);
INSERT INTO public.who_data VALUES (27854, 3, 5890, 0, 183, 118, 85);
INSERT INTO public.who_data VALUES (27855, 823, 26565, 8, 229, 118, 49);
INSERT INTO public.who_data VALUES (27856, 84, 11505, 0, 37, 118, 208);
INSERT INTO public.who_data VALUES (27857, 0, 3472, 0, 132, 118, 166);
INSERT INTO public.who_data VALUES (27858, 122, 5487, 1, 51, 118, 64);
INSERT INTO public.who_data VALUES (27859, 0, 0, 0, 0, 118, 199);
INSERT INTO public.who_data VALUES (27860, 6, 2800, 0, 27, 118, 114);
INSERT INTO public.who_data VALUES (27861, 1, 7663, 0, 163, 118, 60);
INSERT INTO public.who_data VALUES (27862, 0, 435, 0, 10, 118, 68);
INSERT INTO public.who_data VALUES (27863, 0, 4276, 0, 44, 118, 158);
INSERT INTO public.who_data VALUES (27864, 6025, 886800, 431, 88743, 118, 52);
INSERT INTO public.who_data VALUES (27865, 0, 0, 0, 0, 118, 117);
INSERT INTO public.who_data VALUES (27866, 10, 309, 0, 2, 118, 126);
INSERT INTO public.who_data VALUES (27867, 1, 338, 0, 0, 118, 196);
INSERT INTO public.who_data VALUES (27868, 332, 17354, 4, 270, 118, 142);
INSERT INTO public.who_data VALUES (27869, 0, 13, 0, 1, 118, 185);
INSERT INTO public.who_data VALUES (27870, 3020, 197481, 46, 3301, 118, 138);
INSERT INTO public.who_data VALUES (27871, 91, 11986, 1, 86, 118, 181);
INSERT INTO public.who_data VALUES (27872, 986, 44774, 29, 1095, 118, 178);
INSERT INTO public.who_data VALUES (27873, 81, 12660, 0, 133, 118, 168);
INSERT INTO public.who_data VALUES (27874, 0, 0, 0, 0, 118, 160);
INSERT INTO public.who_data VALUES (27875, 2856, 158089, 5, 847, 118, 151);
INSERT INTO public.who_data VALUES (27876, 10170, 290473, 27, 7042, 118, 193);
INSERT INTO public.who_data VALUES (27877, 0, 27, 0, 0, 118, 18);
INSERT INTO public.who_data VALUES (27878, 5, 1584, 0, 25, 118, 40);
INSERT INTO public.who_data VALUES (27879, 0, 4362, 0, 155, 118, 218);
INSERT INTO public.who_data VALUES (27880, 0, 1215, 0, 69, 118, 191);
INSERT INTO public.who_data VALUES (27881, 62, 61992, 1, 1130, 118, 156);
INSERT INTO public.who_data VALUES (27882, 0, 0, 0, 0, 118, 135);
INSERT INTO public.who_data VALUES (27883, 0, 88, 0, 2, 118, 88);
INSERT INTO public.who_data VALUES (27884, 560, 26954, 22, 919, 118, 55);
INSERT INTO public.who_data VALUES (27885, 0, 17232, 0, 279, 118, 108);
INSERT INTO public.who_data VALUES (27886, 453, 62046, 5, 519, 118, 48);
INSERT INTO public.who_data VALUES (27887, 1095, 112932, 27, 1174, 118, 3);
INSERT INTO public.who_data VALUES (27888, 0, 741, 0, 13, 118, 224);
INSERT INTO public.who_data VALUES (27889, 839, 327895, 9, 6736, 118, 110);
INSERT INTO public.who_data VALUES (27890, 0, 0, 0, 0, 118, 106);
INSERT INTO public.who_data VALUES (27891, 649, 128515, 6, 2628, 118, 89);
INSERT INTO public.who_data VALUES (27892, 5, 588, 0, 7, 118, 121);
INSERT INTO public.who_data VALUES (27893, 784, 59043, 15, 1293, 118, 163);
INSERT INTO public.who_data VALUES (27894, 3098, 886214, 62, 34095, 118, 70);
INSERT INTO public.who_data VALUES (27895, 2209, 370028, 43, 6977, 118, 174);
INSERT INTO public.who_data VALUES (27896, 0, 0, 0, 0, 118, 175);
INSERT INTO public.who_data VALUES (27897, 11742, 253688, 87, 4438, 118, 118);
INSERT INTO public.who_data VALUES (27898, 2577, 118686, 19, 2316, 118, 189);
INSERT INTO public.who_data VALUES (27899, 1223, 62503, 7, 801, 118, 124);
INSERT INTO public.who_data VALUES (27900, 205, 131170, 1, 230, 118, 192);
INSERT INTO public.who_data VALUES (27901, 119, 25955, 0, 457, 118, 41);
INSERT INTO public.who_data VALUES (27902, 414, 71503, 16, 1685, 118, 95);
INSERT INTO public.who_data VALUES (27903, 0, 5149, 0, 20, 118, 74);
INSERT INTO public.who_data VALUES (27904, 3855, 209648, 73, 6391, 118, 11);
INSERT INTO public.who_data VALUES (27905, 17347, 1531224, 219, 26269, 118, 87);
INSERT INTO public.who_data VALUES (27906, 6, 5066, 0, 34, 118, 214);
INSERT INTO public.who_data VALUES (27907, 0, 5, 0, 0, 118, 116);
INSERT INTO public.who_data VALUES (27908, 6, 83, 0, 0, 118, 157);
INSERT INTO public.who_data VALUES (27909, 0, 0, 0, 0, 118, 182);
INSERT INTO public.who_data VALUES (27910, 0, 19, 0, 0, 118, 186);
INSERT INTO public.who_data VALUES (27911, 2, 54, 0, 0, 118, 127);
INSERT INTO public.who_data VALUES (27912, 4, 542, 0, 8, 118, 232);
INSERT INTO public.who_data VALUES (27913, 0, 12, 0, 0, 118, 33);
INSERT INTO public.who_data VALUES (27914, 0, 73, 0, 0, 118, 97);
INSERT INTO public.who_data VALUES (27915, 0, 0, 0, 0, 118, 42);
INSERT INTO public.who_data VALUES (27916, 0, 844, 0, 42, 118, 198);
INSERT INTO public.who_data VALUES (27917, 0, 940, 0, 15, 118, 216);
INSERT INTO public.who_data VALUES (27918, 323, 344875, 15, 5296, 118, 164);
INSERT INTO public.who_data VALUES (27919, 8, 15551, 0, 321, 118, 235);
INSERT INTO public.who_data VALUES (27920, 614, 39486, 3, 792, 118, 67);
INSERT INTO public.who_data VALUES (27921, 0, 152, 0, 0, 118, 15);
INSERT INTO public.who_data VALUES (27922, 1, 2346, 0, 74, 118, 180);
INSERT INTO public.who_data VALUES (27923, 5, 57970, 0, 28, 118, 237);
INSERT INTO public.who_data VALUES (27924, 0, 14, 0, 0, 118, 25);
INSERT INTO public.who_data VALUES (27925, 0, 776, 0, 22, 118, 209);
INSERT INTO public.who_data VALUES (27926, 2890, 40801, 25, 159, 118, 217);
INSERT INTO public.who_data VALUES (27927, 1702, 22995, 5, 271, 118, 79);
INSERT INTO public.who_data VALUES (27928, 0, 4, 0, 0, 118, 143);
INSERT INTO public.who_data VALUES (27929, 44, 3941, 2, 104, 118, 229);
INSERT INTO public.who_data VALUES (27930, 1622, 715868, 24, 18968, 118, 141);
INSERT INTO public.who_data VALUES (27931, 0, 2883, 0, 56, 118, 197);
INSERT INTO public.who_data VALUES (27932, 16038, 1171665, 189, 37628, 118, 221);
INSERT INTO public.who_data VALUES (27933, 351, 7872, 1, 15, 118, 150);
INSERT INTO public.who_data VALUES (27934, 0, 13742, 0, 837, 118, 56);
INSERT INTO public.who_data VALUES (27935, 11, 5166, 0, 109, 118, 167);
INSERT INTO public.who_data VALUES (27936, 1477, 114341, 8, 5960, 118, 23);
INSERT INTO public.who_data VALUES (27937, 3204, 124026, 21, 2035, 118, 222);
INSERT INTO public.who_data VALUES (27938, 49, 5408, 2, 269, 118, 219);
INSERT INTO public.who_data VALUES (27939, 40, 10776, 0, 81, 118, 7);
INSERT INTO public.who_data VALUES (27940, 7, 3743, 0, 59, 118, 161);
INSERT INTO public.who_data VALUES (27941, 19790, 873804, 151, 44896, 118, 149);
INSERT INTO public.who_data VALUES (27942, 0, 29, 0, 0, 118, 6);
INSERT INTO public.who_data VALUES (27943, 0, 2162, 0, 52, 118, 139);
INSERT INTO public.who_data VALUES (27944, 0, 0, 0, 0, 118, 211);
INSERT INTO public.who_data VALUES (27945, 0, 0, 0, 0, 118, 14);
INSERT INTO public.who_data VALUES (27946, 16, 5503, 1, 105, 118, 111);
INSERT INTO public.who_data VALUES (27947, 0, 52399, 0, 983, 118, 207);
INSERT INTO public.who_data VALUES (27948, 8747, 967501, 72, 9799, 118, 66);
INSERT INTO public.who_data VALUES (27949, 0, 0, 0, 0, 118, 173);
INSERT INTO public.who_data VALUES (27950, 2, 701, 0, 6, 118, 145);
INSERT INTO public.who_data VALUES (27951, 0, 0, 0, 0, 118, 65);
INSERT INTO public.who_data VALUES (27952, 146, 11443, 2, 101, 118, 184);
INSERT INTO public.who_data VALUES (27953, 5426, 348924, 73, 6464, 118, 98);
INSERT INTO public.who_data VALUES (27954, 1359, 125123, 2, 477, 118, 104);
INSERT INTO public.who_data VALUES (27955, 0, 509, 0, 21, 118, 73);
INSERT INTO public.who_data VALUES (27956, 82626, 8485747, 821, 223328, 118, 8);
INSERT INTO public.who_data VALUES (27957, 0, 1346, 0, 21, 118, 227);
INSERT INTO public.who_data VALUES (27958, 48, 2807, 0, 53, 118, 75);
INSERT INTO public.who_data VALUES (27959, 280, 65480, 3, 550, 118, 45);
INSERT INTO public.who_data VALUES (27960, 0, 0, 0, 0, 118, 133);
INSERT INTO public.who_data VALUES (27961, 726, 89142, 11, 770, 118, 202);
INSERT INTO public.who_data VALUES (27962, 8, 1168, 0, 35, 118, 129);
INSERT INTO public.who_data VALUES (27963, 0, 1, 0, 0, 118, 36);
INSERT INTO public.who_data VALUES (27964, 0, 2064, 0, 600, 118, 51);
INSERT INTO public.who_data VALUES (27965, 0, 16117, 0, 348, 118, 206);
INSERT INTO public.who_data VALUES (27966, 7, 8276, 1, 237, 118, 5);
INSERT INTO public.who_data VALUES (27967, 81, 40768, 4, 1511, 119, 103);
INSERT INTO public.who_data VALUES (27968, 302, 18858, 4, 473, 119, 58);
INSERT INTO public.who_data VALUES (27969, 0, 55630, 0, 1897, 119, 195);
INSERT INTO public.who_data VALUES (27970, 0, 0, 0, 0, 119, 115);
INSERT INTO public.who_data VALUES (27971, 0, 4038, 0, 69, 119, 99);
INSERT INTO public.who_data VALUES (27972, 197, 9026, 2, 267, 119, 153);
INSERT INTO public.who_data VALUES (27973, 0, 3, 0, 0, 119, 93);
INSERT INTO public.who_data VALUES (27974, 0, 122, 0, 3, 119, 84);
INSERT INTO public.who_data VALUES (27975, 15718, 1069368, 381, 28338, 119, 78);
INSERT INTO public.who_data VALUES (27976, 2314, 77150, 23, 1175, 119, 170);
INSERT INTO public.who_data VALUES (27977, 0, 4389, 0, 36, 119, 32);
INSERT INTO public.who_data VALUES (27978, 15, 27499, 0, 905, 119, 155);
INSERT INTO public.who_data VALUES (27979, 2989, 79770, 6, 978, 119, 82);
INSERT INTO public.who_data VALUES (27980, 792, 49013, 8, 664, 119, 16);
INSERT INTO public.who_data VALUES (27981, 0, 6268, 0, 130, 119, 72);
INSERT INTO public.who_data VALUES (27982, 401, 79975, 1, 312, 119, 43);
INSERT INTO public.who_data VALUES (27983, 1094, 397507, 19, 5780, 119, 120);
INSERT INTO public.who_data VALUES (27984, 3, 227, 0, 7, 119, 213);
INSERT INTO public.who_data VALUES (27985, 0, 91167, 0, 945, 119, 31);
INSERT INTO public.who_data VALUES (27986, 11559, 347045, 94, 10848, 119, 204);
INSERT INTO public.who_data VALUES (27987, 55, 3050, 1, 47, 119, 152);
INSERT INTO public.who_data VALUES (27988, 0, 2557, 0, 41, 119, 144);
INSERT INTO public.who_data VALUES (27989, 0, 190, 0, 9, 119, 96);
INSERT INTO public.who_data VALUES (27990, 4, 340, 0, 0, 119, 47);
INSERT INTO public.who_data VALUES (27991, 167, 140612, 24, 8608, 119, 80);
INSERT INTO public.who_data VALUES (27992, 0, 131, 0, 3, 119, 159);
INSERT INTO public.who_data VALUES (27993, 1258, 39758, 10, 1075, 119, 27);
INSERT INTO public.who_data VALUES (27994, 0, 5923, 0, 21, 119, 146);
INSERT INTO public.who_data VALUES (27995, 30026, 5353656, 571, 156471, 119, 71);
INSERT INTO public.who_data VALUES (27996, 0, 72, 0, 1, 119, 210);
INSERT INTO public.who_data VALUES (27997, 0, 148, 0, 3, 119, 54);
INSERT INTO public.who_data VALUES (27998, 1043, 37562, 7, 1084, 119, 147);
INSERT INTO public.who_data VALUES (27999, 11, 2444, 0, 65, 119, 2);
INSERT INTO public.who_data VALUES (28000, 1, 556, 0, 1, 119, 105);
INSERT INTO public.who_data VALUES (28001, 124, 8322, 0, 94, 119, 53);
INSERT INTO public.who_data VALUES (28002, 0, 287, 0, 0, 119, 81);
INSERT INTO public.who_data VALUES (28003, 0, 21570, 0, 425, 119, 223);
INSERT INTO public.who_data VALUES (28004, 2584, 211732, 26, 9888, 119, 94);
INSERT INTO public.who_data VALUES (28005, 3, 239, 0, 1, 119, 154);
INSERT INTO public.who_data VALUES (28006, 0, 4862, 0, 62, 119, 83);
INSERT INTO public.who_data VALUES (28007, 11, 1434, 0, 96, 119, 194);
INSERT INTO public.who_data VALUES (28008, 1636, 500542, 48, 13892, 119, 136);
INSERT INTO public.who_data VALUES (28009, 22, 91675, 0, 4746, 119, 179);
INSERT INTO public.who_data VALUES (28010, 8672, 998942, 166, 29802, 119, 57);
INSERT INTO public.who_data VALUES (28011, 13, 517, 0, 7, 119, 35);
INSERT INTO public.who_data VALUES (28012, 0, 5253, 0, 92, 119, 228);
INSERT INTO public.who_data VALUES (28013, 0, 0, 0, 0, 119, 19);
INSERT INTO public.who_data VALUES (28014, 1210, 101826, 14, 1265, 119, 22);
INSERT INTO public.who_data VALUES (28015, 0, 20405, 0, 121, 119, 1);
INSERT INTO public.who_data VALUES (28016, 2242, 33959, 16, 429, 119, 21);
INSERT INTO public.who_data VALUES (28017, 55, 6534, 0, 128, 119, 234);
INSERT INTO public.who_data VALUES (28018, 0, 803, 0, 1, 119, 91);
INSERT INTO public.who_data VALUES (28019, 130, 3444, 0, 25, 119, 137);
INSERT INTO public.who_data VALUES (28020, 12474, 250797, 106, 2077, 119, 201);
INSERT INTO public.who_data VALUES (28021, 0, 0, 0, 0, 119, 171);
INSERT INTO public.who_data VALUES (28022, 0, 11121, 0, 304, 119, 92);
INSERT INTO public.who_data VALUES (28023, 789, 39411, 3, 700, 119, 112);
INSERT INTO public.who_data VALUES (28024, 2, 5530, 0, 61, 119, 62);
INSERT INTO public.who_data VALUES (28025, 1, 38, 0, 0, 119, 69);
INSERT INTO public.who_data VALUES (28026, 1145, 124018, 8, 2220, 119, 220);
INSERT INTO public.who_data VALUES (28027, 3163, 159614, 42, 12542, 119, 100);
INSERT INTO public.who_data VALUES (28028, 167, 106397, 11, 6187, 119, 187);
INSERT INTO public.who_data VALUES (28029, 164, 32585, 4, 944, 119, 63);
INSERT INTO public.who_data VALUES (28030, 0, 5079, 0, 83, 119, 28);
INSERT INTO public.who_data VALUES (28031, 0, 461, 0, 0, 119, 172);
INSERT INTO public.who_data VALUES (28032, 51, 4351, 0, 73, 119, 17);
INSERT INTO public.who_data VALUES (28033, 16, 5847, 0, 116, 119, 226);
INSERT INTO public.who_data VALUES (28034, 629, 92858, 19, 1419, 119, 236);
INSERT INTO public.who_data VALUES (28035, 0, 13, 0, 0, 119, 76);
INSERT INTO public.who_data VALUES (28036, 0, 490, 0, 0, 119, 30);
INSERT INTO public.who_data VALUES (28037, 0, 33, 0, 2, 119, 128);
INSERT INTO public.who_data VALUES (28038, 178, 14652, 0, 353, 119, 86);
INSERT INTO public.who_data VALUES (28039, 45388, 1055946, 137, 34362, 119, 140);
INSERT INTO public.who_data VALUES (28040, 34, 10376, 0, 69, 119, 44);
INSERT INTO public.who_data VALUES (28041, 0, 5859, 0, 20, 119, 113);
INSERT INTO public.who_data VALUES (28042, 0, 8919, 0, 54, 119, 29);
INSERT INTO public.who_data VALUES (28043, 0, 3659, 0, 119, 119, 125);
INSERT INTO public.who_data VALUES (28044, 1928, 28431, 8, 201, 119, 131);
INSERT INTO public.who_data VALUES (28045, 11176, 429181, 29, 10032, 119, 46);
INSERT INTO public.who_data VALUES (28046, 89, 47690, 2, 316, 119, 10);
INSERT INTO public.who_data VALUES (28047, 11, 641, 0, 0, 119, 205);
INSERT INTO public.who_data VALUES (28048, 935, 29992, 5, 564, 119, 50);
INSERT INTO public.who_data VALUES (28049, 0, 17, 0, 0, 119, 20);
INSERT INTO public.who_data VALUES (28050, 0, 27, 0, 0, 119, 13);
INSERT INTO public.who_data VALUES (28051, 0, 7329, 0, 115, 119, 148);
INSERT INTO public.who_data VALUES (28052, 34, 4155, 2, 71, 119, 230);
INSERT INTO public.who_data VALUES (28053, 730, 104632, 15, 3609, 119, 190);
INSERT INTO public.who_data VALUES (28054, 0, 265, 0, 13, 119, 188);
INSERT INTO public.who_data VALUES (28055, 0, 11669, 0, 71, 119, 123);
INSERT INTO public.who_data VALUES (28056, 0, 2403, 0, 41, 119, 9);
INSERT INTO public.who_data VALUES (28057, 83, 3960, 0, 117, 119, 102);
INSERT INTO public.who_data VALUES (28058, 16, 9015, 0, 231, 119, 34);
INSERT INTO public.who_data VALUES (28059, 0, 26, 0, 0, 119, 212);
INSERT INTO public.who_data VALUES (28060, 373, 91882, 8, 2612, 119, 122);
INSERT INTO public.who_data VALUES (28061, 3149, 59247, 35, 1425, 119, 38);
INSERT INTO public.who_data VALUES (28062, 86, 4394, 0, 11, 119, 130);
INSERT INTO public.who_data VALUES (28063, 50129, 7864811, 578, 118534, 119, 37);
INSERT INTO public.who_data VALUES (28064, 4070, 385980, 128, 13205, 119, 231);
INSERT INTO public.who_data VALUES (28065, 5814, 562705, 335, 32320, 119, 107);
INSERT INTO public.who_data VALUES (28066, 3204, 449153, 55, 10568, 119, 101);
INSERT INTO public.who_data VALUES (28067, 847, 56108, 4, 1882, 119, 132);
INSERT INTO public.who_data VALUES (28068, 0, 348, 0, 24, 119, 176);
INSERT INTO public.who_data VALUES (28069, 849, 309461, 26, 2382, 119, 200);
INSERT INTO public.who_data VALUES (28070, 19640, 504509, 151, 37210, 119, 169);
INSERT INTO public.who_data VALUES (28071, 32, 8670, 4, 186, 119, 225);
INSERT INTO public.who_data VALUES (28072, 699, 96534, 5, 1711, 119, 165);
INSERT INTO public.who_data VALUES (28073, 4, 530, 0, 32, 119, 233);
INSERT INTO public.who_data VALUES (28074, 1820, 50750, 32, 540, 119, 215);
INSERT INTO public.who_data VALUES (28075, 166, 147463, 41, 2219, 119, 177);
INSERT INTO public.who_data VALUES (28076, 947, 48790, 12, 896, 119, 183);
INSERT INTO public.who_data VALUES (28077, 0, 0, 0, 0, 119, 203);
INSERT INTO public.who_data VALUES (28078, 166, 17714, 2, 651, 119, 162);
INSERT INTO public.who_data VALUES (28079, 695, 120927, 4, 744, 119, 12);
INSERT INTO public.who_data VALUES (28080, 606, 55750, 4, 1134, 119, 24);
INSERT INTO public.who_data VALUES (28081, 0, 24, 0, 0, 119, 119);
INSERT INTO public.who_data VALUES (28082, 259, 4467, 4, 54, 119, 39);
INSERT INTO public.who_data VALUES (28083, 1427, 69906, 3, 562, 119, 26);
INSERT INTO public.who_data VALUES (28084, 0, 1934, 0, 43, 119, 59);
INSERT INTO public.who_data VALUES (28085, 2, 1395, 0, 82, 119, 77);
INSERT INTO public.who_data VALUES (28086, 990, 54374, 16, 790, 119, 134);
INSERT INTO public.who_data VALUES (28087, 37, 412, 0, 1, 119, 4);
INSERT INTO public.who_data VALUES (28088, 596, 10184, 6, 123, 119, 109);
INSERT INTO public.who_data VALUES (28089, 862, 13713, 3, 144, 119, 90);
INSERT INTO public.who_data VALUES (28090, 158, 16968, 6, 244, 119, 61);
INSERT INTO public.who_data VALUES (28091, 2, 5887, 0, 183, 119, 85);
INSERT INTO public.who_data VALUES (28092, 1228, 25742, 7, 221, 119, 49);
INSERT INTO public.who_data VALUES (28093, 30, 11421, 0, 37, 119, 208);
INSERT INTO public.who_data VALUES (28094, 32, 3472, 0, 132, 119, 166);
INSERT INTO public.who_data VALUES (28095, 115, 5365, 1, 50, 119, 64);
INSERT INTO public.who_data VALUES (28096, 0, 0, 0, 0, 119, 199);
INSERT INTO public.who_data VALUES (28097, 0, 2794, 0, 27, 119, 114);
INSERT INTO public.who_data VALUES (28098, 0, 7662, 0, 163, 119, 60);
INSERT INTO public.who_data VALUES (28099, 0, 435, 0, 10, 119, 68);
INSERT INTO public.who_data VALUES (28100, 0, 4276, 0, 44, 119, 158);
INSERT INTO public.who_data VALUES (28101, 6604, 880775, 418, 88312, 119, 52);
INSERT INTO public.who_data VALUES (28102, 0, 0, 0, 0, 119, 117);
INSERT INTO public.who_data VALUES (28103, 1, 299, 0, 2, 119, 126);
INSERT INTO public.who_data VALUES (28104, 9, 337, 0, 0, 119, 196);
INSERT INTO public.who_data VALUES (28105, 292, 17022, 3, 266, 119, 142);
INSERT INTO public.who_data VALUES (28106, 0, 13, 0, 1, 119, 185);
INSERT INTO public.who_data VALUES (28107, 4045, 194461, 50, 3255, 119, 138);
INSERT INTO public.who_data VALUES (28108, 147, 11895, 3, 85, 119, 181);
INSERT INTO public.who_data VALUES (28109, 1423, 43788, 28, 1066, 119, 178);
INSERT INTO public.who_data VALUES (28110, 78, 12579, 0, 133, 119, 168);
INSERT INTO public.who_data VALUES (28111, 0, 0, 0, 0, 119, 160);
INSERT INTO public.who_data VALUES (28112, 2225, 155233, 13, 842, 119, 151);
INSERT INTO public.who_data VALUES (28113, 8642, 280303, 55, 7015, 119, 193);
INSERT INTO public.who_data VALUES (28114, 0, 27, 0, 0, 119, 18);
INSERT INTO public.who_data VALUES (28115, 1, 1579, 0, 25, 119, 40);
INSERT INTO public.who_data VALUES (28116, 0, 4362, 0, 155, 119, 218);
INSERT INTO public.who_data VALUES (28117, 0, 1215, 0, 69, 119, 191);
INSERT INTO public.who_data VALUES (28118, 48, 61930, 0, 1129, 119, 156);
INSERT INTO public.who_data VALUES (28119, 0, 0, 0, 0, 119, 135);
INSERT INTO public.who_data VALUES (28120, 0, 88, 0, 2, 119, 88);
INSERT INTO public.who_data VALUES (28121, 403, 26394, 14, 897, 119, 55);
INSERT INTO public.who_data VALUES (28122, 0, 17232, 0, 279, 119, 108);
INSERT INTO public.who_data VALUES (28123, 410, 61593, 4, 514, 119, 48);
INSERT INTO public.who_data VALUES (28124, 0, 111837, 0, 1147, 119, 3);
INSERT INTO public.who_data VALUES (28125, 0, 741, 0, 13, 119, 224);
INSERT INTO public.who_data VALUES (28126, 847, 327056, 12, 6727, 119, 110);
INSERT INTO public.who_data VALUES (28127, 0, 0, 0, 0, 119, 106);
INSERT INTO public.who_data VALUES (28128, 639, 127866, 10, 2622, 119, 89);
INSERT INTO public.who_data VALUES (28129, 0, 583, 0, 7, 119, 121);
INSERT INTO public.who_data VALUES (28130, 733, 58259, 11, 1278, 119, 163);
INSERT INTO public.who_data VALUES (28131, 3240, 883116, 49, 34033, 119, 70);
INSERT INTO public.who_data VALUES (28132, 2020, 367819, 19, 6934, 119, 174);
INSERT INTO public.who_data VALUES (28133, 0, 0, 0, 0, 119, 175);
INSERT INTO public.who_data VALUES (28134, 13628, 241946, 179, 4351, 119, 118);
INSERT INTO public.who_data VALUES (28135, 3669, 116109, 21, 2297, 119, 189);
INSERT INTO public.who_data VALUES (28136, 296, 61280, 3, 794, 119, 124);
INSERT INTO public.who_data VALUES (28137, 254, 130965, 0, 229, 119, 192);
INSERT INTO public.who_data VALUES (28138, 61, 25836, 0, 457, 119, 41);
INSERT INTO public.who_data VALUES (28139, 833, 71089, 14, 1669, 119, 95);
INSERT INTO public.who_data VALUES (28140, 0, 5149, 0, 20, 119, 74);
INSERT INTO public.who_data VALUES (28141, 4761, 205793, 73, 6318, 119, 11);
INSERT INTO public.who_data VALUES (28142, 16710, 1513877, 229, 26050, 119, 87);
INSERT INTO public.who_data VALUES (28143, 8, 5060, 0, 34, 119, 214);
INSERT INTO public.who_data VALUES (28144, 0, 5, 0, 0, 119, 116);
INSERT INTO public.who_data VALUES (28145, 0, 77, 0, 0, 119, 157);
INSERT INTO public.who_data VALUES (28146, 0, 0, 0, 0, 119, 182);
INSERT INTO public.who_data VALUES (28147, 0, 19, 0, 0, 119, 186);
INSERT INTO public.who_data VALUES (28148, 4, 52, 0, 0, 119, 127);
INSERT INTO public.who_data VALUES (28149, 0, 538, 0, 8, 119, 232);
INSERT INTO public.who_data VALUES (28150, 0, 12, 0, 0, 119, 33);
INSERT INTO public.who_data VALUES (28151, 0, 73, 0, 0, 119, 97);
INSERT INTO public.who_data VALUES (28152, 0, 0, 0, 0, 119, 42);
INSERT INTO public.who_data VALUES (28153, 25, 844, 0, 42, 119, 198);
INSERT INTO public.who_data VALUES (28154, 2, 940, 0, 15, 119, 216);
INSERT INTO public.who_data VALUES (28155, 395, 344552, 17, 5281, 119, 164);
INSERT INTO public.who_data VALUES (28156, 18, 15543, 0, 321, 119, 235);
INSERT INTO public.who_data VALUES (28157, 757, 38872, 3, 789, 119, 67);
INSERT INTO public.who_data VALUES (28158, 0, 152, 0, 0, 119, 15);
INSERT INTO public.who_data VALUES (28159, 2, 2345, 0, 74, 119, 180);
INSERT INTO public.who_data VALUES (28160, 14, 57965, 0, 28, 119, 237);
INSERT INTO public.who_data VALUES (28161, 0, 14, 0, 0, 119, 25);
INSERT INTO public.who_data VALUES (28162, 0, 776, 0, 22, 119, 209);
INSERT INTO public.who_data VALUES (28163, 2581, 37911, 19, 134, 119, 217);
INSERT INTO public.who_data VALUES (28164, 1969, 21293, 20, 266, 119, 79);
INSERT INTO public.who_data VALUES (28165, 0, 4, 0, 0, 119, 143);
INSERT INTO public.who_data VALUES (28166, 0, 3897, 0, 102, 119, 229);
INSERT INTO public.who_data VALUES (28167, 1834, 714246, 53, 18944, 119, 141);
INSERT INTO public.who_data VALUES (28168, 5, 2883, 0, 56, 119, 197);
INSERT INTO public.who_data VALUES (28169, 26178, 1155627, 219, 37439, 119, 221);
INSERT INTO public.who_data VALUES (28170, 368, 7521, 0, 14, 119, 150);
INSERT INTO public.who_data VALUES (28171, 9, 13742, 1, 837, 119, 56);
INSERT INTO public.who_data VALUES (28172, 1, 5155, 0, 109, 119, 167);
INSERT INTO public.who_data VALUES (28173, 1867, 112864, 7, 5952, 119, 23);
INSERT INTO public.who_data VALUES (28174, 4656, 120822, 25, 2014, 119, 222);
INSERT INTO public.who_data VALUES (28175, 40, 5359, 3, 267, 119, 219);
INSERT INTO public.who_data VALUES (28176, 41, 10736, 0, 81, 119, 7);
INSERT INTO public.who_data VALUES (28177, 5, 3736, 0, 59, 119, 161);
INSERT INTO public.who_data VALUES (28178, 23012, 854014, 174, 44745, 119, 149);
INSERT INTO public.who_data VALUES (28179, 0, 29, 0, 0, 119, 6);
INSERT INTO public.who_data VALUES (28180, 0, 2162, 0, 52, 119, 139);
INSERT INTO public.who_data VALUES (28181, 0, 0, 0, 0, 119, 211);
INSERT INTO public.who_data VALUES (28182, 0, 0, 0, 0, 119, 14);
INSERT INTO public.who_data VALUES (28183, 41, 5487, 1, 104, 119, 111);
INSERT INTO public.who_data VALUES (28184, 1994, 52399, 106, 983, 119, 207);
INSERT INTO public.who_data VALUES (28185, 8821, 958754, 69, 9727, 119, 66);
INSERT INTO public.who_data VALUES (28186, 0, 0, 0, 0, 119, 173);
INSERT INTO public.who_data VALUES (28187, 0, 699, 0, 6, 119, 145);
INSERT INTO public.who_data VALUES (28188, 0, 0, 0, 0, 119, 65);
INSERT INTO public.who_data VALUES (28189, 134, 11297, 0, 99, 119, 184);
INSERT INTO public.who_data VALUES (28190, 6088, 343498, 102, 6391, 119, 98);
INSERT INTO public.who_data VALUES (28191, 1491, 123764, 0, 475, 119, 104);
INSERT INTO public.who_data VALUES (28192, 0, 509, 0, 21, 119, 73);
INSERT INTO public.who_data VALUES (28193, 82630, 8403121, 943, 222507, 119, 8);
INSERT INTO public.who_data VALUES (28194, 0, 1346, 0, 21, 119, 227);
INSERT INTO public.who_data VALUES (28195, 58, 2759, 0, 53, 119, 75);
INSERT INTO public.who_data VALUES (28196, 277, 65200, 3, 547, 119, 45);
INSERT INTO public.who_data VALUES (28197, 0, 0, 0, 0, 119, 133);
INSERT INTO public.who_data VALUES (28198, 0, 88416, 0, 759, 119, 202);
INSERT INTO public.who_data VALUES (28199, 12, 1160, 0, 35, 119, 129);
INSERT INTO public.who_data VALUES (28200, 0, 1, 0, 0, 119, 36);
INSERT INTO public.who_data VALUES (28201, 0, 2064, 0, 600, 119, 51);
INSERT INTO public.who_data VALUES (28202, 22, 16117, 2, 348, 119, 206);
INSERT INTO public.who_data VALUES (28203, 12, 8269, 0, 236, 119, 5);
INSERT INTO public.who_data VALUES (28204, 61, 40687, 2, 1507, 120, 103);
INSERT INTO public.who_data VALUES (28205, 306, 18556, 4, 469, 120, 58);
INSERT INTO public.who_data VALUES (28206, 273, 55630, 9, 1897, 120, 195);
INSERT INTO public.who_data VALUES (28207, 0, 0, 0, 0, 120, 115);
INSERT INTO public.who_data VALUES (28208, 227, 4038, 6, 69, 120, 99);
INSERT INTO public.who_data VALUES (28209, 247, 8829, 5, 265, 120, 153);
INSERT INTO public.who_data VALUES (28210, 0, 3, 0, 0, 120, 93);
INSERT INTO public.who_data VALUES (28211, 0, 122, 0, 3, 120, 84);
INSERT INTO public.who_data VALUES (28212, 16325, 1053650, 438, 27957, 120, 78);
INSERT INTO public.who_data VALUES (28213, 2213, 74836, 12, 1152, 120, 170);
INSERT INTO public.who_data VALUES (28214, 20, 4389, 1, 36, 120, 32);
INSERT INTO public.who_data VALUES (28215, 18, 27484, 0, 905, 120, 155);
INSERT INTO public.who_data VALUES (28216, 3442, 76781, 15, 972, 120, 82);
INSERT INTO public.who_data VALUES (28217, 803, 48221, 8, 656, 120, 16);
INSERT INTO public.who_data VALUES (28218, 133, 6268, 0, 130, 120, 72);
INSERT INTO public.who_data VALUES (28219, 363, 79574, 3, 311, 120, 43);
INSERT INTO public.who_data VALUES (28220, 1586, 396413, 14, 5761, 120, 120);
INSERT INTO public.who_data VALUES (28221, 0, 224, 0, 7, 120, 213);
INSERT INTO public.who_data VALUES (28222, 787, 91167, 0, 945, 120, 31);
INSERT INTO public.who_data VALUES (28223, 18877, 335486, 93, 10754, 120, 204);
INSERT INTO public.who_data VALUES (28224, 58, 2995, 0, 46, 120, 152);
INSERT INTO public.who_data VALUES (28225, 0, 2557, 0, 41, 120, 144);
INSERT INTO public.who_data VALUES (28226, 2, 190, 0, 9, 120, 96);
INSERT INTO public.who_data VALUES (28227, 0, 336, 0, 0, 120, 47);
INSERT INTO public.who_data VALUES (28228, 217, 140445, 26, 8584, 120, 80);
INSERT INTO public.who_data VALUES (28229, 0, 131, 0, 3, 120, 159);
INSERT INTO public.who_data VALUES (28230, 1178, 38500, 14, 1065, 120, 27);
INSERT INTO public.who_data VALUES (28231, 314, 5923, 0, 21, 120, 146);
INSERT INTO public.who_data VALUES (28232, 24858, 5323630, 497, 155900, 120, 71);
INSERT INTO public.who_data VALUES (28233, 0, 72, 0, 1, 120, 210);
INSERT INTO public.who_data VALUES (28234, 0, 148, 0, 3, 120, 54);
INSERT INTO public.who_data VALUES (28235, 1589, 36519, 13, 1077, 120, 147);
INSERT INTO public.who_data VALUES (28236, 12, 2433, 0, 65, 120, 2);
INSERT INTO public.who_data VALUES (28237, 2, 555, 0, 1, 120, 105);
INSERT INTO public.who_data VALUES (28238, 76, 8198, 3, 94, 120, 53);
INSERT INTO public.who_data VALUES (28239, 1, 287, 0, 0, 120, 81);
INSERT INTO public.who_data VALUES (28240, 0, 21570, 0, 425, 120, 223);
INSERT INTO public.who_data VALUES (28241, 2788, 209148, 33, 9862, 120, 94);
INSERT INTO public.who_data VALUES (28242, 0, 236, 0, 1, 120, 154);
INSERT INTO public.who_data VALUES (28243, 0, 4862, 0, 62, 120, 83);
INSERT INTO public.who_data VALUES (28244, 13, 1423, 0, 96, 120, 194);
INSERT INTO public.who_data VALUES (28245, 1775, 498906, 52, 13844, 120, 136);
INSERT INTO public.who_data VALUES (28246, 32, 91653, 0, 4746, 120, 179);
INSERT INTO public.who_data VALUES (28247, 8570, 990270, 172, 29636, 120, 57);
INSERT INTO public.who_data VALUES (28248, 0, 504, 0, 7, 120, 35);
INSERT INTO public.who_data VALUES (28249, 97, 5253, 0, 92, 120, 228);
INSERT INTO public.who_data VALUES (28250, 0, 0, 0, 0, 120, 19);
INSERT INTO public.who_data VALUES (28251, 1191, 100616, 15, 1251, 120, 22);
INSERT INTO public.who_data VALUES (28252, 15, 20405, 0, 121, 120, 1);
INSERT INTO public.who_data VALUES (28253, 1867, 31717, 7, 413, 120, 21);
INSERT INTO public.who_data VALUES (28254, 58, 6479, 0, 128, 120, 234);
INSERT INTO public.who_data VALUES (28255, 19, 803, 0, 1, 120, 91);
INSERT INTO public.who_data VALUES (28256, 160, 3314, 0, 25, 120, 137);
INSERT INTO public.who_data VALUES (28257, 15258, 238323, 126, 1971, 120, 201);
INSERT INTO public.who_data VALUES (28258, 0, 0, 0, 0, 120, 171);
INSERT INTO public.who_data VALUES (28259, 25, 11121, 0, 304, 120, 92);
INSERT INTO public.who_data VALUES (28260, 859, 38622, 3, 697, 120, 112);
INSERT INTO public.who_data VALUES (28261, 6, 5528, 0, 61, 120, 62);
INSERT INTO public.who_data VALUES (28262, 4, 37, 0, 0, 120, 69);
INSERT INTO public.who_data VALUES (28263, 0, 122873, 0, 2212, 120, 220);
INSERT INTO public.who_data VALUES (28264, 0, 156451, 0, 12500, 120, 100);
INSERT INTO public.who_data VALUES (28265, 170, 106230, 10, 6176, 120, 187);
INSERT INTO public.who_data VALUES (28266, 159, 32421, 4, 940, 120, 63);
INSERT INTO public.who_data VALUES (28267, 3, 5079, 0, 83, 120, 28);
INSERT INTO public.who_data VALUES (28268, 9, 461, 0, 0, 120, 172);
INSERT INTO public.who_data VALUES (28269, 53, 4300, 2, 73, 120, 17);
INSERT INTO public.who_data VALUES (28270, 17, 5831, 0, 116, 120, 226);
INSERT INTO public.who_data VALUES (28271, 536, 92229, 4, 1400, 120, 236);
INSERT INTO public.who_data VALUES (28272, 0, 13, 0, 0, 120, 76);
INSERT INTO public.who_data VALUES (28273, 0, 490, 0, 0, 120, 30);
INSERT INTO public.who_data VALUES (28274, 0, 33, 0, 2, 120, 128);
INSERT INTO public.who_data VALUES (28275, 219, 14474, 0, 353, 120, 86);
INSERT INTO public.who_data VALUES (28276, 41825, 1010558, 297, 34225, 120, 140);
INSERT INTO public.who_data VALUES (28277, 0, 10342, 0, 69, 120, 44);
INSERT INTO public.who_data VALUES (28278, 698, 5859, 1, 20, 120, 113);
INSERT INTO public.who_data VALUES (28279, 18, 8919, 0, 54, 120, 29);
INSERT INTO public.who_data VALUES (28280, 0, 3659, 0, 119, 120, 125);
INSERT INTO public.who_data VALUES (28281, 1941, 26503, 10, 193, 120, 131);
INSERT INTO public.who_data VALUES (28282, 14714, 418005, 49, 10003, 120, 46);
INSERT INTO public.who_data VALUES (28283, 63, 47601, 2, 314, 120, 10);
INSERT INTO public.who_data VALUES (28284, 9, 630, 0, 0, 120, 205);
INSERT INTO public.who_data VALUES (28285, 841, 29057, 10, 559, 120, 50);
INSERT INTO public.who_data VALUES (28286, 0, 17, 0, 0, 120, 20);
INSERT INTO public.who_data VALUES (28287, 0, 27, 0, 0, 120, 13);
INSERT INTO public.who_data VALUES (28288, 0, 7329, 0, 115, 120, 148);
INSERT INTO public.who_data VALUES (28289, 84, 4121, 0, 69, 120, 230);
INSERT INTO public.who_data VALUES (28290, 730, 103902, 14, 3594, 120, 190);
INSERT INTO public.who_data VALUES (28291, 5, 265, 0, 13, 120, 188);
INSERT INTO public.who_data VALUES (28292, 34, 11669, 0, 71, 120, 123);
INSERT INTO public.who_data VALUES (28293, 0, 2403, 0, 41, 120, 9);
INSERT INTO public.who_data VALUES (28294, 27, 3877, 1, 117, 120, 102);
INSERT INTO public.who_data VALUES (28295, 20, 8999, 0, 231, 120, 34);
INSERT INTO public.who_data VALUES (28296, 0, 26, 0, 0, 120, 212);
INSERT INTO public.who_data VALUES (28297, 431, 91509, 8, 2604, 120, 122);
INSERT INTO public.who_data VALUES (28298, 1820, 56098, 38, 1390, 120, 38);
INSERT INTO public.who_data VALUES (28299, 40, 4308, 0, 11, 120, 130);
INSERT INTO public.who_data VALUES (28300, 53370, 7814682, 650, 117956, 120, 37);
INSERT INTO public.who_data VALUES (28301, 4369, 381910, 118, 13077, 120, 231);
INSERT INTO public.who_data VALUES (28302, 6134, 556891, 335, 31985, 120, 107);
INSERT INTO public.who_data VALUES (28303, 3785, 445949, 48, 10513, 120, 101);
INSERT INTO public.who_data VALUES (28304, 785, 55261, 7, 1878, 120, 132);
INSERT INTO public.who_data VALUES (28305, 0, 348, 0, 24, 120, 176);
INSERT INTO public.who_data VALUES (28306, 1032, 308612, 29, 2356, 120, 200);
INSERT INTO public.who_data VALUES (28307, 19143, 484869, 91, 37059, 120, 169);
INSERT INTO public.who_data VALUES (28308, 38, 8638, 3, 182, 120, 225);
INSERT INTO public.who_data VALUES (28309, 697, 95835, 12, 1706, 120, 165);
INSERT INTO public.who_data VALUES (28310, 3, 526, 0, 32, 120, 233);
INSERT INTO public.who_data VALUES (28311, 2489, 48930, 27, 508, 120, 215);
INSERT INTO public.who_data VALUES (28312, 315, 147297, 0, 2178, 120, 177);
INSERT INTO public.who_data VALUES (28313, 631, 47843, 14, 884, 120, 183);
INSERT INTO public.who_data VALUES (28314, 0, 0, 0, 0, 120, 203);
INSERT INTO public.who_data VALUES (28315, 169, 17548, 2, 649, 120, 162);
INSERT INTO public.who_data VALUES (28316, 812, 120232, 10, 740, 120, 12);
INSERT INTO public.who_data VALUES (28317, 556, 55144, 4, 1130, 120, 24);
INSERT INTO public.who_data VALUES (28318, 0, 24, 0, 0, 120, 119);
INSERT INTO public.who_data VALUES (28319, 250, 4208, 1, 50, 120, 39);
INSERT INTO public.who_data VALUES (28320, 1534, 68479, 7, 559, 120, 26);
INSERT INTO public.who_data VALUES (28321, 11, 1934, 0, 43, 120, 59);
INSERT INTO public.who_data VALUES (28322, 8, 1393, 0, 82, 120, 77);
INSERT INTO public.who_data VALUES (28323, 764, 53384, 6, 774, 120, 134);
INSERT INTO public.who_data VALUES (28324, 23, 375, 0, 1, 120, 4);
INSERT INTO public.who_data VALUES (28325, 480, 9588, 1, 117, 120, 109);
INSERT INTO public.who_data VALUES (28326, 518, 12851, 1, 141, 120, 90);
INSERT INTO public.who_data VALUES (28327, 0, 16810, 0, 238, 120, 61);
INSERT INTO public.who_data VALUES (28328, 11, 5885, 0, 183, 120, 85);
INSERT INTO public.who_data VALUES (28329, 710, 24514, 10, 214, 120, 49);
INSERT INTO public.who_data VALUES (28330, 33, 11391, 0, 37, 120, 208);
INSERT INTO public.who_data VALUES (28331, 0, 3440, 0, 132, 120, 166);
INSERT INTO public.who_data VALUES (28332, 121, 5250, 0, 49, 120, 64);
INSERT INTO public.who_data VALUES (28333, 0, 0, 0, 0, 120, 199);
INSERT INTO public.who_data VALUES (28334, 0, 2794, 0, 27, 120, 114);
INSERT INTO public.who_data VALUES (28335, 24, 7662, 0, 163, 120, 60);
INSERT INTO public.who_data VALUES (28336, 14, 435, 0, 10, 120, 68);
INSERT INTO public.who_data VALUES (28337, 73, 4276, 0, 44, 120, 158);
INSERT INTO public.who_data VALUES (28338, 6612, 874171, 479, 87894, 120, 52);
INSERT INTO public.who_data VALUES (28339, 0, 0, 0, 0, 120, 117);
INSERT INTO public.who_data VALUES (28340, 14, 298, 0, 2, 120, 126);
INSERT INTO public.who_data VALUES (28341, 0, 328, 0, 0, 120, 196);
INSERT INTO public.who_data VALUES (28342, 194, 16730, 8, 263, 120, 142);
INSERT INTO public.who_data VALUES (28343, 0, 13, 0, 1, 120, 185);
INSERT INTO public.who_data VALUES (28344, 3685, 190416, 73, 3205, 120, 138);
INSERT INTO public.who_data VALUES (28345, 189, 11748, 1, 82, 120, 181);
INSERT INTO public.who_data VALUES (28346, 1357, 42365, 33, 1038, 120, 178);
INSERT INTO public.who_data VALUES (28347, 41, 12501, 0, 133, 120, 168);
INSERT INTO public.who_data VALUES (28348, 0, 0, 0, 0, 120, 160);
INSERT INTO public.who_data VALUES (28349, 4499, 153008, 17, 829, 120, 151);
INSERT INTO public.who_data VALUES (28350, 9974, 271661, 47, 6960, 120, 193);
INSERT INTO public.who_data VALUES (28351, 0, 27, 0, 0, 120, 18);
INSERT INTO public.who_data VALUES (28352, 11, 1578, 0, 25, 120, 40);
INSERT INTO public.who_data VALUES (28353, 0, 4362, 0, 155, 120, 218);
INSERT INTO public.who_data VALUES (28354, 0, 1215, 0, 69, 120, 191);
INSERT INTO public.who_data VALUES (28355, 77, 61882, 2, 1129, 120, 156);
INSERT INTO public.who_data VALUES (28356, 0, 0, 0, 0, 120, 135);
INSERT INTO public.who_data VALUES (28357, 0, 88, 0, 2, 120, 88);
INSERT INTO public.who_data VALUES (28358, 518, 25991, 9, 883, 120, 55);
INSERT INTO public.who_data VALUES (28359, 268, 17232, 0, 279, 120, 108);
INSERT INTO public.who_data VALUES (28360, 513, 61183, 4, 510, 120, 48);
INSERT INTO public.who_data VALUES (28361, 0, 111837, 0, 1147, 120, 3);
INSERT INTO public.who_data VALUES (28362, 0, 741, 0, 13, 120, 224);
INSERT INTO public.who_data VALUES (28363, 736, 326209, 13, 6715, 120, 110);
INSERT INTO public.who_data VALUES (28364, 0, 0, 0, 0, 120, 106);
INSERT INTO public.who_data VALUES (28365, 792, 127227, 15, 2612, 120, 89);
INSERT INTO public.who_data VALUES (28366, 0, 583, 0, 7, 120, 121);
INSERT INTO public.who_data VALUES (28367, 707, 57526, 17, 1267, 120, 163);
INSERT INTO public.who_data VALUES (28368, 2991, 879876, 47, 33984, 120, 70);
INSERT INTO public.who_data VALUES (28369, 1911, 365799, 132, 6915, 120, 174);
INSERT INTO public.who_data VALUES (28370, 0, 0, 0, 0, 120, 175);
INSERT INTO public.who_data VALUES (28371, 13632, 228318, 153, 4172, 120, 118);
INSERT INTO public.who_data VALUES (28372, 2899, 112440, 31, 2276, 120, 189);
INSERT INTO public.who_data VALUES (28373, 1947, 60984, 8, 791, 120, 124);
INSERT INTO public.who_data VALUES (28374, 249, 130711, 1, 229, 120, 192);
INSERT INTO public.who_data VALUES (28375, 77, 25775, 2, 457, 120, 41);
INSERT INTO public.who_data VALUES (28376, 688, 70256, 14, 1655, 120, 95);
INSERT INTO public.who_data VALUES (28377, 134, 5149, 1, 20, 120, 74);
INSERT INTO public.who_data VALUES (28378, 5028, 201032, 82, 6245, 120, 11);
INSERT INTO public.who_data VALUES (28379, 16521, 1497167, 296, 25821, 120, 87);
INSERT INTO public.who_data VALUES (28380, 35, 5052, 0, 34, 120, 214);
INSERT INTO public.who_data VALUES (28381, 0, 5, 0, 0, 120, 116);
INSERT INTO public.who_data VALUES (28382, 0, 77, 0, 0, 120, 157);
INSERT INTO public.who_data VALUES (28383, 0, 0, 0, 0, 120, 182);
INSERT INTO public.who_data VALUES (28384, 0, 19, 0, 0, 120, 186);
INSERT INTO public.who_data VALUES (28385, 6, 48, 0, 0, 120, 127);
INSERT INTO public.who_data VALUES (28386, 0, 538, 0, 8, 120, 232);
INSERT INTO public.who_data VALUES (28387, 0, 12, 0, 0, 120, 33);
INSERT INTO public.who_data VALUES (28388, 5, 73, 0, 0, 120, 97);
INSERT INTO public.who_data VALUES (28389, 0, 0, 0, 0, 120, 42);
INSERT INTO public.who_data VALUES (28390, 17, 819, 0, 42, 120, 198);
INSERT INTO public.who_data VALUES (28391, 3, 938, 0, 15, 120, 216);
INSERT INTO public.who_data VALUES (28392, 383, 344157, 14, 5264, 120, 164);
INSERT INTO public.who_data VALUES (28393, 17, 15525, 0, 321, 120, 235);
INSERT INTO public.who_data VALUES (28394, 579, 38115, 3, 786, 120, 67);
INSERT INTO public.who_data VALUES (28395, 0, 152, 0, 0, 120, 15);
INSERT INTO public.who_data VALUES (28396, 3, 2343, 1, 74, 120, 180);
INSERT INTO public.who_data VALUES (28397, 10, 57951, 0, 28, 120, 237);
INSERT INTO public.who_data VALUES (28398, 0, 14, 0, 0, 120, 25);
INSERT INTO public.who_data VALUES (28399, 7, 776, 0, 22, 120, 209);
INSERT INTO public.who_data VALUES (28400, 1728, 35330, 17, 115, 120, 217);
INSERT INTO public.who_data VALUES (28401, 1661, 19324, 9, 246, 120, 79);
INSERT INTO public.who_data VALUES (28402, 0, 4, 0, 0, 120, 143);
INSERT INTO public.who_data VALUES (28403, 0, 3897, 0, 102, 120, 229);
INSERT INTO public.who_data VALUES (28404, 1897, 712412, 48, 18891, 120, 141);
INSERT INTO public.who_data VALUES (28405, 2, 2878, 0, 56, 120, 197);
INSERT INTO public.who_data VALUES (28406, 25258, 1129449, 203, 37220, 120, 221);
INSERT INTO public.who_data VALUES (28407, 866, 7153, 0, 14, 120, 150);
INSERT INTO public.who_data VALUES (28408, 0, 13733, 0, 836, 120, 56);
INSERT INTO public.who_data VALUES (28409, 4, 5154, 0, 109, 120, 167);
INSERT INTO public.who_data VALUES (28410, 1666, 110997, 9, 5945, 120, 23);
INSERT INTO public.who_data VALUES (28411, 7505, 116166, 25, 1989, 120, 222);
INSERT INTO public.who_data VALUES (28412, 52, 5319, 4, 264, 120, 219);
INSERT INTO public.who_data VALUES (28413, 42, 10695, 0, 81, 120, 7);
INSERT INTO public.who_data VALUES (28414, 4, 3731, 0, 59, 120, 161);
INSERT INTO public.who_data VALUES (28415, 20531, 831002, 224, 44571, 120, 149);
INSERT INTO public.who_data VALUES (28416, 0, 29, 0, 0, 120, 6);
INSERT INTO public.who_data VALUES (28417, 23, 2162, 0, 52, 120, 139);
INSERT INTO public.who_data VALUES (28418, 0, 0, 0, 0, 120, 211);
INSERT INTO public.who_data VALUES (28419, 0, 0, 0, 0, 120, 14);
INSERT INTO public.who_data VALUES (28420, 54, 5446, 2, 103, 120, 111);
INSERT INTO public.who_data VALUES (28421, 1606, 50405, 58, 877, 120, 207);
INSERT INTO public.who_data VALUES (28422, 8895, 949933, 74, 9658, 120, 66);
INSERT INTO public.who_data VALUES (28423, 0, 0, 0, 0, 120, 173);
INSERT INTO public.who_data VALUES (28424, 1, 699, 0, 6, 120, 145);
INSERT INTO public.who_data VALUES (28425, 0, 0, 0, 0, 120, 65);
INSERT INTO public.who_data VALUES (28426, 122, 11163, 1, 99, 120, 184);
INSERT INTO public.who_data VALUES (28427, 7014, 337410, 125, 6289, 120, 98);
INSERT INTO public.who_data VALUES (28428, 1563, 122273, 1, 475, 120, 104);
INSERT INTO public.who_data VALUES (28429, 0, 509, 0, 21, 120, 73);
INSERT INTO public.who_data VALUES (28430, 72342, 8320491, 1001, 221564, 120, 8);
INSERT INTO public.who_data VALUES (28431, 3, 1346, 0, 21, 120, 227);
INSERT INTO public.who_data VALUES (28432, 38, 2701, 0, 53, 120, 75);
INSERT INTO public.who_data VALUES (28433, 290, 64923, 3, 544, 120, 45);
INSERT INTO public.who_data VALUES (28434, 0, 0, 0, 0, 120, 133);
INSERT INTO public.who_data VALUES (28435, 381, 88416, 6, 759, 120, 202);
INSERT INTO public.who_data VALUES (28436, 0, 1148, 0, 35, 120, 129);
INSERT INTO public.who_data VALUES (28437, 0, 1, 0, 0, 120, 36);
INSERT INTO public.who_data VALUES (28438, 3, 2064, 2, 600, 120, 51);
INSERT INTO public.who_data VALUES (28439, 60, 16095, 0, 346, 120, 206);
INSERT INTO public.who_data VALUES (28440, 15, 8257, 0, 236, 120, 5);
INSERT INTO public.who_data VALUES (28441, 116, 40626, 2, 1505, 121, 103);
INSERT INTO public.who_data VALUES (28442, 302, 18250, 3, 465, 121, 58);
INSERT INTO public.who_data VALUES (28443, 266, 55357, 8, 1888, 121, 195);
INSERT INTO public.who_data VALUES (28444, 0, 0, 0, 0, 121, 115);
INSERT INTO public.who_data VALUES (28445, 0, 3811, 0, 63, 121, 99);
INSERT INTO public.who_data VALUES (28446, 244, 8582, 5, 260, 121, 153);
INSERT INTO public.who_data VALUES (28447, 0, 3, 0, 0, 121, 93);
INSERT INTO public.who_data VALUES (28448, 0, 122, 0, 3, 121, 84);
INSERT INTO public.who_data VALUES (28449, 15928, 1037325, 344, 27519, 121, 78);
INSERT INTO public.who_data VALUES (28450, 2474, 72623, 14, 1140, 121, 170);
INSERT INTO public.who_data VALUES (28451, 14, 4369, 1, 35, 121, 32);
INSERT INTO public.who_data VALUES (28452, 22, 27466, 0, 905, 121, 155);
INSERT INTO public.who_data VALUES (28453, 2570, 73339, 17, 957, 121, 82);
INSERT INTO public.who_data VALUES (28454, 825, 47418, 6, 648, 121, 16);
INSERT INTO public.who_data VALUES (28455, 84, 6135, 3, 130, 121, 72);
INSERT INTO public.who_data VALUES (28456, 304, 79211, 0, 308, 121, 43);
INSERT INTO public.who_data VALUES (28457, 1696, 394827, 24, 5747, 121, 120);
INSERT INTO public.who_data VALUES (28458, 2, 224, 0, 7, 121, 213);
INSERT INTO public.who_data VALUES (28459, 738, 90380, 4, 945, 121, 31);
INSERT INTO public.who_data VALUES (28460, 17688, 316609, 55, 10661, 121, 204);
INSERT INTO public.who_data VALUES (28461, 51, 2937, 1, 46, 121, 152);
INSERT INTO public.who_data VALUES (28462, 0, 2557, 0, 41, 121, 144);
INSERT INTO public.who_data VALUES (28463, 0, 188, 0, 9, 121, 96);
INSERT INTO public.who_data VALUES (28464, 4, 336, 0, 0, 121, 47);
INSERT INTO public.who_data VALUES (28465, 191, 140228, 32, 8558, 121, 80);
INSERT INTO public.who_data VALUES (28466, 0, 131, 0, 3, 121, 159);
INSERT INTO public.who_data VALUES (28467, 1003, 37322, 20, 1051, 121, 27);
INSERT INTO public.who_data VALUES (28468, 0, 5609, 0, 21, 121, 146);
INSERT INTO public.who_data VALUES (28469, 24818, 5298772, 566, 155403, 121, 71);
INSERT INTO public.who_data VALUES (28470, 0, 72, 0, 1, 121, 210);
INSERT INTO public.who_data VALUES (28471, 1, 148, 0, 3, 121, 54);
INSERT INTO public.who_data VALUES (28472, 1595, 34930, 16, 1064, 121, 147);
INSERT INTO public.who_data VALUES (28473, 15, 2421, 0, 65, 121, 2);
INSERT INTO public.who_data VALUES (28474, 2, 553, 0, 1, 121, 105);
INSERT INTO public.who_data VALUES (28475, 89, 8122, 1, 91, 121, 53);
INSERT INTO public.who_data VALUES (28476, 0, 286, 0, 0, 121, 81);
INSERT INTO public.who_data VALUES (28477, 0, 21570, 0, 425, 121, 223);
INSERT INTO public.who_data VALUES (28478, 2672, 206360, 35, 9829, 121, 94);
INSERT INTO public.who_data VALUES (28479, 1, 236, 0, 1, 121, 154);
INSERT INTO public.who_data VALUES (28480, 0, 4862, 0, 62, 121, 83);
INSERT INTO public.who_data VALUES (28481, 6, 1410, 0, 96, 121, 194);
INSERT INTO public.who_data VALUES (28482, 1494, 497131, 73, 13792, 121, 136);
INSERT INTO public.who_data VALUES (28483, 33, 91621, 0, 4746, 121, 179);
INSERT INTO public.who_data VALUES (28484, 7561, 981700, 192, 29464, 121, 57);
INSERT INTO public.who_data VALUES (28485, 0, 504, 0, 7, 121, 35);
INSERT INTO public.who_data VALUES (28486, 0, 5156, 0, 92, 121, 228);
INSERT INTO public.who_data VALUES (28487, 0, 0, 0, 0, 121, 19);
INSERT INTO public.who_data VALUES (28488, 1503, 99425, 14, 1236, 121, 22);
INSERT INTO public.who_data VALUES (28489, 27, 20390, 0, 121, 121, 1);
INSERT INTO public.who_data VALUES (28490, 1563, 29850, 13, 406, 121, 21);
INSERT INTO public.who_data VALUES (28491, 53, 6421, 1, 128, 121, 234);
INSERT INTO public.who_data VALUES (28492, 25, 784, 0, 1, 121, 91);
INSERT INTO public.who_data VALUES (28493, 188, 3154, 0, 25, 121, 137);
INSERT INTO public.who_data VALUES (28494, 14150, 223065, 106, 1845, 121, 201);
INSERT INTO public.who_data VALUES (28495, 0, 0, 0, 0, 121, 171);
INSERT INTO public.who_data VALUES (28496, 19, 11096, 1, 304, 121, 92);
INSERT INTO public.who_data VALUES (28497, 760, 37763, 4, 694, 121, 112);
INSERT INTO public.who_data VALUES (28498, 10, 5522, 0, 61, 121, 62);
INSERT INTO public.who_data VALUES (28499, 0, 33, 0, 0, 121, 69);
INSERT INTO public.who_data VALUES (28500, 475, 122873, 6, 2212, 121, 220);
INSERT INTO public.who_data VALUES (28501, 826, 156451, 47, 12500, 121, 100);
INSERT INTO public.who_data VALUES (28502, 177, 106060, 11, 6166, 121, 187);
INSERT INTO public.who_data VALUES (28503, 142, 32262, 3, 936, 121, 63);
INSERT INTO public.who_data VALUES (28504, 2, 5076, 0, 83, 121, 28);
INSERT INTO public.who_data VALUES (28505, 0, 452, 0, 0, 121, 172);
INSERT INTO public.who_data VALUES (28506, 76, 4247, 0, 71, 121, 17);
INSERT INTO public.who_data VALUES (28507, 9, 5814, 0, 116, 121, 226);
INSERT INTO public.who_data VALUES (28508, 575, 91693, 12, 1396, 121, 236);
INSERT INTO public.who_data VALUES (28509, 0, 13, 0, 0, 121, 76);
INSERT INTO public.who_data VALUES (28510, 2, 490, 0, 0, 121, 30);
INSERT INTO public.who_data VALUES (28511, 0, 33, 0, 2, 121, 128);
INSERT INTO public.who_data VALUES (28512, 184, 14255, 0, 353, 121, 86);
INSERT INTO public.who_data VALUES (28513, 41563, 968733, 162, 33928, 121, 140);
INSERT INTO public.who_data VALUES (28514, 47, 10342, 0, 69, 121, 44);
INSERT INTO public.who_data VALUES (28515, 0, 5161, 0, 19, 121, 113);
INSERT INTO public.who_data VALUES (28516, 0, 8901, 0, 54, 121, 29);
INSERT INTO public.who_data VALUES (28517, 2, 3659, 1, 119, 121, 125);
INSERT INTO public.who_data VALUES (28518, 1759, 24562, 4, 183, 121, 131);
INSERT INTO public.who_data VALUES (28519, 11242, 403291, 49, 9954, 121, 46);
INSERT INTO public.who_data VALUES (28520, 77, 47538, 0, 312, 121, 10);
INSERT INTO public.who_data VALUES (28521, 13, 621, 0, 0, 121, 205);
INSERT INTO public.who_data VALUES (28522, 882, 28216, 15, 549, 121, 50);
INSERT INTO public.who_data VALUES (28523, 1, 17, 0, 0, 121, 20);
INSERT INTO public.who_data VALUES (28524, 0, 27, 0, 0, 121, 13);
INSERT INTO public.who_data VALUES (28525, 0, 7329, 0, 115, 121, 148);
INSERT INTO public.who_data VALUES (28526, 87, 4037, 0, 69, 121, 230);
INSERT INTO public.who_data VALUES (28527, 757, 103172, 13, 3580, 121, 190);
INSERT INTO public.who_data VALUES (28528, 0, 260, 0, 13, 121, 188);
INSERT INTO public.who_data VALUES (28529, 0, 11635, 0, 71, 121, 123);
INSERT INTO public.who_data VALUES (28530, 0, 2403, 0, 41, 121, 9);
INSERT INTO public.who_data VALUES (28531, 54, 3850, 2, 116, 121, 102);
INSERT INTO public.who_data VALUES (28532, 0, 8979, 0, 231, 121, 34);
INSERT INTO public.who_data VALUES (28533, 0, 26, 0, 0, 121, 212);
INSERT INTO public.who_data VALUES (28534, 846, 91078, 14, 2596, 121, 122);
INSERT INTO public.who_data VALUES (28535, 2066, 54278, 47, 1352, 121, 38);
INSERT INTO public.who_data VALUES (28536, 38, 4268, 0, 11, 121, 130);
INSERT INTO public.who_data VALUES (28537, 54366, 7761312, 690, 117306, 121, 37);
INSERT INTO public.who_data VALUES (28538, 4432, 377541, 102, 12959, 121, 231);
INSERT INTO public.who_data VALUES (28539, 5471, 550757, 304, 31650, 121, 107);
INSERT INTO public.who_data VALUES (28540, 3899, 442164, 47, 10465, 121, 101);
INSERT INTO public.who_data VALUES (28541, 1054, 54476, 3, 1871, 121, 132);
INSERT INTO public.who_data VALUES (28542, 0, 348, 0, 24, 121, 176);
INSERT INTO public.who_data VALUES (28543, 1172, 307580, 25, 2327, 121, 200);
INSERT INTO public.who_data VALUES (28544, 16078, 465726, 136, 36968, 121, 169);
INSERT INTO public.who_data VALUES (28545, 155, 8600, 5, 179, 121, 225);
INSERT INTO public.who_data VALUES (28546, 614, 95138, 9, 1694, 121, 165);
INSERT INTO public.who_data VALUES (28547, 5, 523, 0, 32, 121, 233);
INSERT INTO public.who_data VALUES (28548, 2821, 46441, 38, 481, 121, 215);
INSERT INTO public.who_data VALUES (28549, 329, 146982, 0, 2178, 121, 177);
INSERT INTO public.who_data VALUES (28550, 1068, 47212, 12, 870, 121, 183);
INSERT INTO public.who_data VALUES (28551, 0, 0, 0, 0, 121, 203);
INSERT INTO public.who_data VALUES (28552, 159, 17379, 0, 647, 121, 162);
INSERT INTO public.who_data VALUES (28553, 889, 119420, 9, 730, 121, 12);
INSERT INTO public.who_data VALUES (28554, 582, 54588, 4, 1126, 121, 24);
INSERT INTO public.who_data VALUES (28555, 0, 24, 0, 0, 121, 119);
INSERT INTO public.who_data VALUES (28556, 161, 3958, 1, 49, 121, 39);
INSERT INTO public.who_data VALUES (28557, 1368, 66945, 16, 552, 121, 26);
INSERT INTO public.who_data VALUES (28558, 90, 1923, 1, 43, 121, 59);
INSERT INTO public.who_data VALUES (28559, 0, 1385, 0, 82, 121, 77);
INSERT INTO public.who_data VALUES (28560, 995, 52620, 3, 768, 121, 134);
INSERT INTO public.who_data VALUES (28561, 26, 352, 0, 1, 121, 4);
INSERT INTO public.who_data VALUES (28562, 445, 9108, 3, 116, 121, 109);
INSERT INTO public.who_data VALUES (28563, 662, 12333, 2, 140, 121, 90);
INSERT INTO public.who_data VALUES (28564, 0, 16810, 0, 238, 121, 61);
INSERT INTO public.who_data VALUES (28565, 10, 5874, 0, 183, 121, 85);
INSERT INTO public.who_data VALUES (28566, 847, 23804, 5, 204, 121, 49);
INSERT INTO public.who_data VALUES (28567, 42, 11358, 0, 37, 121, 208);
INSERT INTO public.who_data VALUES (28568, 12, 3440, 0, 132, 121, 166);
INSERT INTO public.who_data VALUES (28569, 111, 5129, 3, 49, 121, 64);
INSERT INTO public.who_data VALUES (28570, 0, 0, 0, 0, 121, 199);
INSERT INTO public.who_data VALUES (28571, 0, 2794, 0, 27, 121, 114);
INSERT INTO public.who_data VALUES (28572, 0, 7638, 0, 163, 121, 60);
INSERT INTO public.who_data VALUES (28573, 0, 421, 0, 10, 121, 68);
INSERT INTO public.who_data VALUES (28574, 0, 4203, 0, 44, 121, 158);
INSERT INTO public.who_data VALUES (28575, 6845, 867559, 522, 87415, 121, 52);
INSERT INTO public.who_data VALUES (28576, 0, 0, 0, 0, 121, 117);
INSERT INTO public.who_data VALUES (28577, 8, 284, 0, 2, 121, 126);
INSERT INTO public.who_data VALUES (28578, 1, 328, 0, 0, 121, 196);
INSERT INTO public.who_data VALUES (28579, 189, 16536, 2, 255, 121, 142);
INSERT INTO public.who_data VALUES (28580, 0, 13, 0, 1, 121, 185);
INSERT INTO public.who_data VALUES (28581, 4151, 186731, 35, 3132, 121, 138);
INSERT INTO public.who_data VALUES (28582, 228, 11559, 2, 81, 121, 181);
INSERT INTO public.who_data VALUES (28583, 1312, 41008, 33, 1005, 121, 178);
INSERT INTO public.who_data VALUES (28584, 54, 12460, 0, 133, 121, 168);
INSERT INTO public.who_data VALUES (28585, 0, 0, 0, 0, 121, 160);
INSERT INTO public.who_data VALUES (28586, 3637, 148509, 21, 812, 121, 151);
INSERT INTO public.who_data VALUES (28587, 9251, 261687, 46, 6913, 121, 193);
INSERT INTO public.who_data VALUES (28588, 0, 27, 0, 0, 121, 18);
INSERT INTO public.who_data VALUES (28589, 9, 1567, 0, 25, 121, 40);
INSERT INTO public.who_data VALUES (28590, 0, 4362, 0, 155, 121, 218);
INSERT INTO public.who_data VALUES (28591, 1, 1215, 0, 69, 121, 191);
INSERT INTO public.who_data VALUES (28592, 138, 61805, 2, 1127, 121, 156);
INSERT INTO public.who_data VALUES (28593, 0, 0, 0, 0, 121, 135);
INSERT INTO public.who_data VALUES (28594, 0, 88, 0, 2, 121, 88);
INSERT INTO public.who_data VALUES (28595, 637, 25473, 12, 874, 121, 55);
INSERT INTO public.who_data VALUES (28596, 193, 16964, 0, 279, 121, 108);
INSERT INTO public.who_data VALUES (28597, 506, 60670, 8, 506, 121, 48);
INSERT INTO public.who_data VALUES (28598, 353, 111837, 10, 1147, 121, 3);
INSERT INTO public.who_data VALUES (28599, 0, 741, 0, 13, 121, 224);
INSERT INTO public.who_data VALUES (28600, 736, 325473, 10, 6702, 121, 110);
INSERT INTO public.who_data VALUES (28601, 0, 0, 0, 0, 121, 106);
INSERT INTO public.who_data VALUES (28602, 696, 126435, 12, 2597, 121, 89);
INSERT INTO public.who_data VALUES (28603, 2, 583, 0, 7, 121, 121);
INSERT INTO public.who_data VALUES (28604, 746, 56819, 19, 1250, 121, 163);
INSERT INTO public.who_data VALUES (28605, 2767, 876885, 62, 33937, 121, 70);
INSERT INTO public.who_data VALUES (28606, 1645, 363888, 36, 6783, 121, 174);
INSERT INTO public.who_data VALUES (28607, 0, 0, 0, 0, 121, 175);
INSERT INTO public.who_data VALUES (28608, 12107, 214686, 168, 4019, 121, 118);
INSERT INTO public.who_data VALUES (28609, 3270, 109541, 16, 2245, 121, 189);
INSERT INTO public.who_data VALUES (28610, 207, 59037, 9, 783, 121, 124);
INSERT INTO public.who_data VALUES (28611, 252, 130462, 3, 228, 121, 192);
INSERT INTO public.who_data VALUES (28612, 155, 25698, 2, 455, 121, 41);
INSERT INTO public.who_data VALUES (28613, 777, 69568, 11, 1641, 121, 95);
INSERT INTO public.who_data VALUES (28614, 0, 5015, 0, 19, 121, 74);
INSERT INTO public.who_data VALUES (28615, 4902, 196004, 98, 6163, 121, 11);
INSERT INTO public.who_data VALUES (28616, 17340, 1480646, 283, 25525, 121, 87);
INSERT INTO public.who_data VALUES (28617, 5, 5017, 0, 34, 121, 214);
INSERT INTO public.who_data VALUES (28618, 0, 5, 0, 0, 121, 116);
INSERT INTO public.who_data VALUES (28619, 5, 77, 0, 0, 121, 157);
INSERT INTO public.who_data VALUES (28620, 0, 0, 0, 0, 121, 182);
INSERT INTO public.who_data VALUES (28621, 0, 19, 0, 0, 121, 186);
INSERT INTO public.who_data VALUES (28622, 4, 42, 0, 0, 121, 127);
INSERT INTO public.who_data VALUES (28623, 7, 538, 0, 8, 121, 232);
INSERT INTO public.who_data VALUES (28624, 0, 12, 0, 0, 121, 33);
INSERT INTO public.who_data VALUES (28625, 0, 68, 0, 0, 121, 97);
INSERT INTO public.who_data VALUES (28626, 0, 0, 0, 0, 121, 42);
INSERT INTO public.who_data VALUES (28627, 6, 802, 0, 42, 121, 198);
INSERT INTO public.who_data VALUES (28628, 0, 935, 0, 15, 121, 216);
INSERT INTO public.who_data VALUES (28629, 401, 343774, 15, 5250, 121, 164);
INSERT INTO public.who_data VALUES (28630, 24, 15508, 0, 321, 121, 235);
INSERT INTO public.who_data VALUES (28631, 416, 37536, 2, 783, 121, 67);
INSERT INTO public.who_data VALUES (28632, 3, 152, 0, 0, 121, 15);
INSERT INTO public.who_data VALUES (28633, 3, 2340, 0, 73, 121, 180);
INSERT INTO public.who_data VALUES (28634, 8, 57941, 0, 28, 121, 237);
INSERT INTO public.who_data VALUES (28635, 0, 14, 0, 0, 121, 25);
INSERT INTO public.who_data VALUES (28636, 7, 769, 0, 22, 121, 209);
INSERT INTO public.who_data VALUES (28637, 2202, 33602, 0, 98, 121, 217);
INSERT INTO public.who_data VALUES (28638, 1670, 17663, 8, 237, 121, 79);
INSERT INTO public.who_data VALUES (28639, 1, 4, 0, 0, 121, 143);
INSERT INTO public.who_data VALUES (28640, 7, 3897, 1, 102, 121, 229);
INSERT INTO public.who_data VALUES (28641, 2156, 710515, 102, 18843, 121, 141);
INSERT INTO public.who_data VALUES (28642, 4, 2876, 1, 56, 121, 197);
INSERT INTO public.who_data VALUES (28643, 24432, 1104191, 169, 37017, 121, 221);
INSERT INTO public.who_data VALUES (28644, 309, 6287, 1, 14, 121, 150);
INSERT INTO public.who_data VALUES (28645, 5, 13733, 0, 836, 121, 56);
INSERT INTO public.who_data VALUES (28646, 6, 5150, 0, 109, 121, 167);
INSERT INTO public.who_data VALUES (28647, 1571, 109331, 3, 5936, 121, 23);
INSERT INTO public.who_data VALUES (28648, 6768, 108661, 25, 1964, 121, 222);
INSERT INTO public.who_data VALUES (28649, 43, 5267, 3, 260, 121, 219);
INSERT INTO public.who_data VALUES (28650, 40, 10653, 1, 81, 121, 7);
INSERT INTO public.who_data VALUES (28651, 8, 3727, 0, 59, 121, 161);
INSERT INTO public.who_data VALUES (28652, 21238, 810471, 189, 44347, 121, 149);
INSERT INTO public.who_data VALUES (28653, 0, 29, 0, 0, 121, 6);
INSERT INTO public.who_data VALUES (28654, 19, 2139, 1, 52, 121, 139);
INSERT INTO public.who_data VALUES (28655, 0, 0, 0, 0, 121, 211);
INSERT INTO public.who_data VALUES (28656, 0, 0, 0, 0, 121, 14);
INSERT INTO public.who_data VALUES (28657, 59, 5392, 3, 101, 121, 111);
INSERT INTO public.who_data VALUES (28658, 1585, 48799, 35, 819, 121, 207);
INSERT INTO public.who_data VALUES (28659, 8832, 941038, 71, 9584, 121, 66);
INSERT INTO public.who_data VALUES (28660, 0, 0, 0, 0, 121, 173);
INSERT INTO public.who_data VALUES (28661, 0, 698, 0, 6, 121, 145);
INSERT INTO public.who_data VALUES (28662, 0, 0, 0, 0, 121, 65);
INSERT INTO public.who_data VALUES (28663, 108, 11041, 0, 98, 121, 184);
INSERT INTO public.who_data VALUES (28664, 7517, 330396, 121, 6164, 121, 98);
INSERT INTO public.who_data VALUES (28665, 1578, 120710, 2, 474, 121, 104);
INSERT INTO public.who_data VALUES (28666, 0, 509, 0, 21, 121, 73);
INSERT INTO public.who_data VALUES (28667, 63361, 8248149, 1066, 220563, 121, 8);
INSERT INTO public.who_data VALUES (28668, 6, 1343, 0, 21, 121, 227);
INSERT INTO public.who_data VALUES (28669, 40, 2663, 1, 53, 121, 75);
INSERT INTO public.who_data VALUES (28670, 298, 64633, 3, 541, 121, 45);
INSERT INTO public.who_data VALUES (28671, 0, 0, 0, 0, 121, 133);
INSERT INTO public.who_data VALUES (28672, 391, 88035, 6, 753, 121, 202);
INSERT INTO public.who_data VALUES (28673, 3, 1148, 0, 35, 121, 129);
INSERT INTO public.who_data VALUES (28674, 0, 1, 0, 0, 121, 36);
INSERT INTO public.who_data VALUES (28675, 0, 2061, 0, 598, 121, 51);
INSERT INTO public.who_data VALUES (28676, 35, 16035, 0, 346, 121, 206);
INSERT INTO public.who_data VALUES (28677, 27, 8242, 0, 236, 121, 5);
INSERT INTO public.who_data VALUES (28678, 49, 40510, 0, 1503, 122, 103);
INSERT INTO public.who_data VALUES (28679, 297, 17948, 4, 462, 122, 58);
INSERT INTO public.who_data VALUES (28680, 252, 55091, 7, 1880, 122, 195);
INSERT INTO public.who_data VALUES (28681, 0, 0, 0, 0, 122, 115);
INSERT INTO public.who_data VALUES (28682, 188, 3811, 1, 63, 122, 99);
INSERT INTO public.who_data VALUES (28683, 289, 8338, 4, 255, 122, 153);
INSERT INTO public.who_data VALUES (28684, 0, 3, 0, 0, 122, 93);
INSERT INTO public.who_data VALUES (28685, 3, 122, 0, 3, 122, 84);
INSERT INTO public.who_data VALUES (28686, 18735, 1021397, 459, 27175, 122, 78);
INSERT INTO public.who_data VALUES (28687, 2306, 70149, 10, 1126, 122, 170);
INSERT INTO public.who_data VALUES (28688, 21, 4355, 0, 34, 122, 32);
INSERT INTO public.who_data VALUES (28689, 14, 27444, 0, 905, 122, 155);
INSERT INTO public.who_data VALUES (28690, 2355, 70769, 13, 940, 122, 82);
INSERT INTO public.who_data VALUES (28691, 714, 46593, 7, 642, 122, 16);
INSERT INTO public.who_data VALUES (28692, 128, 6051, 3, 127, 122, 72);
INSERT INTO public.who_data VALUES (28693, 374, 78907, 3, 308, 122, 43);
INSERT INTO public.who_data VALUES (28694, 1545, 393131, 24, 5723, 122, 120);
INSERT INTO public.who_data VALUES (28695, 0, 222, 0, 7, 122, 213);
INSERT INTO public.who_data VALUES (28696, 733, 89642, 4, 941, 122, 31);
INSERT INTO public.who_data VALUES (28697, 17487, 298921, 61, 10606, 122, 204);
INSERT INTO public.who_data VALUES (28698, 53, 2886, 0, 45, 122, 152);
INSERT INTO public.who_data VALUES (28699, 0, 2557, 0, 41, 122, 144);
INSERT INTO public.who_data VALUES (28700, 0, 188, 0, 9, 122, 96);
INSERT INTO public.who_data VALUES (28701, 1, 332, 0, 0, 122, 47);
INSERT INTO public.who_data VALUES (28702, 147, 140037, 24, 8526, 122, 80);
INSERT INTO public.who_data VALUES (28703, 0, 131, 0, 3, 122, 159);
INSERT INTO public.who_data VALUES (28704, 928, 36319, 14, 1031, 122, 27);
INSERT INTO public.who_data VALUES (28705, 0, 5609, 0, 21, 122, 146);
INSERT INTO public.who_data VALUES (28706, 23227, 5273954, 661, 154837, 122, 71);
INSERT INTO public.who_data VALUES (28707, 0, 72, 0, 1, 122, 210);
INSERT INTO public.who_data VALUES (28708, 0, 147, 0, 3, 122, 54);
INSERT INTO public.who_data VALUES (28709, 1472, 33335, 29, 1048, 122, 147);
INSERT INTO public.who_data VALUES (28710, 0, 2406, 0, 65, 122, 2);
INSERT INTO public.who_data VALUES (28711, 1, 551, 0, 1, 122, 105);
INSERT INTO public.who_data VALUES (28712, 132, 8033, 3, 90, 122, 53);
INSERT INTO public.who_data VALUES (28713, 0, 286, 0, 0, 122, 81);
INSERT INTO public.who_data VALUES (28714, 0, 21570, 0, 425, 122, 223);
INSERT INTO public.who_data VALUES (28715, 2251, 203688, 16, 9794, 122, 94);
INSERT INTO public.who_data VALUES (28716, 0, 235, 0, 1, 122, 154);
INSERT INTO public.who_data VALUES (28717, 4, 4862, 0, 62, 122, 83);
INSERT INTO public.who_data VALUES (28718, 5, 1404, 3, 96, 122, 194);
INSERT INTO public.who_data VALUES (28719, 1159, 495637, 17, 13719, 122, 136);
INSERT INTO public.who_data VALUES (28720, 23, 91588, 0, 4746, 122, 179);
INSERT INTO public.who_data VALUES (28721, 8256, 974139, 170, 29272, 122, 57);
INSERT INTO public.who_data VALUES (28722, 0, 504, 0, 7, 122, 35);
INSERT INTO public.who_data VALUES (28723, 0, 5156, 0, 92, 122, 228);
INSERT INTO public.who_data VALUES (28724, 0, 0, 0, 0, 122, 19);
INSERT INTO public.who_data VALUES (28725, 847, 97922, 18, 1222, 122, 22);
INSERT INTO public.who_data VALUES (28726, 21, 20363, 0, 121, 122, 1);
INSERT INTO public.who_data VALUES (28727, 1424, 28287, 11, 393, 122, 21);
INSERT INTO public.who_data VALUES (28728, 63, 6368, 0, 127, 122, 234);
INSERT INTO public.who_data VALUES (28729, 8, 759, 0, 1, 122, 91);
INSERT INTO public.who_data VALUES (28730, 127, 2966, 0, 25, 122, 137);
INSERT INTO public.who_data VALUES (28731, 14969, 208915, 120, 1739, 122, 201);
INSERT INTO public.who_data VALUES (28732, 0, 0, 0, 0, 122, 171);
INSERT INTO public.who_data VALUES (28733, 26, 11077, 0, 303, 122, 92);
INSERT INTO public.who_data VALUES (28734, 630, 37003, 2, 690, 122, 112);
INSERT INTO public.who_data VALUES (28735, 13, 5512, 0, 61, 122, 62);
INSERT INTO public.who_data VALUES (28736, 0, 33, 0, 0, 122, 69);
INSERT INTO public.who_data VALUES (28737, 425, 122398, 2, 2206, 122, 220);
INSERT INTO public.who_data VALUES (28738, 1510, 155625, 49, 12453, 122, 100);
INSERT INTO public.who_data VALUES (28739, 178, 105883, 13, 6155, 122, 187);
INSERT INTO public.who_data VALUES (28740, 145, 32120, 4, 933, 122, 63);
INSERT INTO public.who_data VALUES (28741, 0, 5074, 0, 83, 122, 28);
INSERT INTO public.who_data VALUES (28742, 0, 452, 0, 0, 122, 172);
INSERT INTO public.who_data VALUES (28743, 44, 4171, 0, 71, 122, 17);
INSERT INTO public.who_data VALUES (28744, 5, 5805, 0, 116, 122, 226);
INSERT INTO public.who_data VALUES (28745, 628, 91118, 13, 1384, 122, 236);
INSERT INTO public.who_data VALUES (28746, 0, 13, 0, 0, 122, 76);
INSERT INTO public.who_data VALUES (28747, 0, 488, 0, 0, 122, 30);
INSERT INTO public.who_data VALUES (28748, 0, 33, 0, 2, 122, 128);
INSERT INTO public.who_data VALUES (28749, 222, 14071, 2, 353, 122, 86);
INSERT INTO public.who_data VALUES (28750, 25820, 927170, 155, 33766, 122, 140);
INSERT INTO public.who_data VALUES (28751, 27, 10295, 0, 69, 122, 44);
INSERT INTO public.who_data VALUES (28752, 551, 5161, 3, 19, 122, 113);
INSERT INTO public.who_data VALUES (28753, 17, 8901, 0, 54, 122, 29);
INSERT INTO public.who_data VALUES (28754, 2, 3657, 0, 118, 122, 125);
INSERT INTO public.who_data VALUES (28755, 1595, 22803, 7, 179, 122, 131);
INSERT INTO public.who_data VALUES (28756, 11287, 392049, 30, 9905, 122, 46);
INSERT INTO public.who_data VALUES (28757, 89, 47461, 2, 312, 122, 10);
INSERT INTO public.who_data VALUES (28758, 31, 608, 0, 0, 122, 205);
INSERT INTO public.who_data VALUES (28759, 865, 27334, 6, 534, 122, 50);
INSERT INTO public.who_data VALUES (28760, 0, 16, 0, 0, 122, 20);
INSERT INTO public.who_data VALUES (28761, 0, 27, 0, 0, 122, 13);
INSERT INTO public.who_data VALUES (28762, 207, 7329, 4, 115, 122, 148);
INSERT INTO public.who_data VALUES (28763, 81, 3950, 2, 69, 122, 230);
INSERT INTO public.who_data VALUES (28764, 196, 102415, 21, 3567, 122, 190);
INSERT INTO public.who_data VALUES (28765, 2, 260, 0, 13, 122, 188);
INSERT INTO public.who_data VALUES (28766, 97, 11635, 1, 71, 122, 123);
INSERT INTO public.who_data VALUES (28767, 0, 2403, 0, 41, 122, 9);
INSERT INTO public.who_data VALUES (28768, 31, 3796, 3, 114, 122, 102);
INSERT INTO public.who_data VALUES (28769, 3, 8979, 0, 231, 122, 34);
INSERT INTO public.who_data VALUES (28770, 0, 26, 0, 0, 122, 212);
INSERT INTO public.who_data VALUES (28771, 851, 90232, 6, 2582, 122, 122);
INSERT INTO public.who_data VALUES (28772, 2032, 52212, 46, 1305, 122, 38);
INSERT INTO public.who_data VALUES (28773, 37, 4230, 0, 11, 122, 130);
INSERT INTO public.who_data VALUES (28774, 55839, 7706946, 702, 116616, 122, 37);
INSERT INTO public.who_data VALUES (28775, 4267, 373109, 123, 12857, 122, 231);
INSERT INTO public.who_data VALUES (28776, 5616, 545286, 312, 31346, 122, 107);
INSERT INTO public.who_data VALUES (28777, 3667, 438265, 52, 10418, 122, 101);
INSERT INTO public.who_data VALUES (28778, 1166, 53422, 3, 1868, 122, 132);
INSERT INTO public.who_data VALUES (28779, 0, 348, 0, 24, 122, 176);
INSERT INTO public.who_data VALUES (28780, 1193, 306408, 20, 2302, 122, 200);
INSERT INTO public.who_data VALUES (28781, 15199, 449648, 127, 36832, 122, 169);
INSERT INTO public.who_data VALUES (28782, 71, 8445, 0, 174, 122, 225);
INSERT INTO public.who_data VALUES (28783, 591, 94524, 6, 1685, 122, 165);
INSERT INTO public.who_data VALUES (28784, 9, 518, 0, 32, 122, 233);
INSERT INTO public.who_data VALUES (28785, 2580, 43620, 29, 443, 122, 215);
INSERT INTO public.who_data VALUES (28786, 365, 146653, 0, 2178, 122, 177);
INSERT INTO public.who_data VALUES (28787, 497, 46144, 16, 858, 122, 183);
INSERT INTO public.who_data VALUES (28788, 0, 0, 0, 0, 122, 203);
INSERT INTO public.who_data VALUES (28789, 124, 17220, 0, 647, 122, 162);
INSERT INTO public.who_data VALUES (28790, 813, 118531, 7, 721, 122, 12);
INSERT INTO public.who_data VALUES (28791, 547, 54006, 4, 1122, 122, 24);
INSERT INTO public.who_data VALUES (28792, 1, 24, 0, 0, 122, 119);
INSERT INTO public.who_data VALUES (28793, 188, 3797, 2, 48, 122, 39);
INSERT INTO public.who_data VALUES (28794, 1241, 65577, 5, 536, 122, 26);
INSERT INTO public.who_data VALUES (28795, 0, 1833, 0, 42, 122, 59);
INSERT INTO public.who_data VALUES (28796, 1, 1385, 0, 82, 122, 77);
INSERT INTO public.who_data VALUES (28797, 719, 51625, 19, 765, 122, 134);
INSERT INTO public.who_data VALUES (28798, 37, 326, 0, 1, 122, 4);
INSERT INTO public.who_data VALUES (28799, 427, 8663, 4, 113, 122, 109);
INSERT INTO public.who_data VALUES (28800, 430, 11671, 2, 138, 122, 90);
INSERT INTO public.who_data VALUES (28801, 0, 16810, 0, 238, 122, 61);
INSERT INTO public.who_data VALUES (28802, 3, 5864, 1, 183, 122, 85);
INSERT INTO public.who_data VALUES (28803, 732, 22957, 6, 199, 122, 49);
INSERT INTO public.who_data VALUES (28804, 45, 11316, 0, 37, 122, 208);
INSERT INTO public.who_data VALUES (28805, 17, 3428, 0, 132, 122, 166);
INSERT INTO public.who_data VALUES (28806, 155, 5018, 1, 46, 122, 64);
INSERT INTO public.who_data VALUES (28807, 0, 0, 0, 0, 122, 199);
INSERT INTO public.who_data VALUES (28808, 528, 2794, 2, 27, 122, 114);
INSERT INTO public.who_data VALUES (28809, 4, 7638, 0, 163, 122, 60);
INSERT INTO public.who_data VALUES (28810, 0, 421, 0, 10, 122, 68);
INSERT INTO public.who_data VALUES (28811, 0, 4203, 0, 44, 122, 158);
INSERT INTO public.who_data VALUES (28812, 5788, 860714, 555, 86893, 122, 52);
INSERT INTO public.who_data VALUES (28813, 0, 0, 0, 0, 122, 117);
INSERT INTO public.who_data VALUES (28814, 2, 276, 0, 2, 122, 126);
INSERT INTO public.who_data VALUES (28815, 1, 327, 0, 0, 122, 196);
INSERT INTO public.who_data VALUES (28816, 155, 16347, 3, 253, 122, 142);
INSERT INTO public.who_data VALUES (28817, 0, 13, 0, 1, 122, 185);
INSERT INTO public.who_data VALUES (28818, 3577, 182580, 70, 3097, 122, 138);
INSERT INTO public.who_data VALUES (28819, 141, 11331, 1, 79, 122, 181);
INSERT INTO public.who_data VALUES (28820, 1194, 39696, 27, 972, 122, 178);
INSERT INTO public.who_data VALUES (28821, 39, 12406, 1, 133, 122, 168);
INSERT INTO public.who_data VALUES (28822, 0, 0, 0, 0, 122, 160);
INSERT INTO public.who_data VALUES (28823, 5743, 144872, 26, 791, 122, 151);
INSERT INTO public.who_data VALUES (28824, 8718, 252436, 57, 6867, 122, 193);
INSERT INTO public.who_data VALUES (28825, 0, 27, 0, 0, 122, 18);
INSERT INTO public.who_data VALUES (28826, 2, 1558, 0, 25, 122, 40);
INSERT INTO public.who_data VALUES (28827, 0, 4362, 0, 155, 122, 218);
INSERT INTO public.who_data VALUES (28828, 2, 1214, 0, 69, 122, 191);
INSERT INTO public.who_data VALUES (28829, 37, 61667, 0, 1125, 122, 156);
INSERT INTO public.who_data VALUES (28830, 0, 0, 0, 0, 122, 135);
INSERT INTO public.who_data VALUES (28831, 0, 88, 0, 2, 122, 88);
INSERT INTO public.who_data VALUES (28832, 640, 24836, 12, 862, 122, 55);
INSERT INTO public.who_data VALUES (28833, 168, 16771, 1, 279, 122, 108);
INSERT INTO public.who_data VALUES (28834, 569, 60164, 6, 498, 122, 48);
INSERT INTO public.who_data VALUES (28835, 451, 111484, 15, 1137, 122, 3);
INSERT INTO public.who_data VALUES (28836, 0, 741, 0, 13, 122, 224);
INSERT INTO public.who_data VALUES (28837, 660, 324737, 19, 6692, 122, 110);
INSERT INTO public.who_data VALUES (28838, 0, 0, 0, 0, 122, 106);
INSERT INTO public.who_data VALUES (28839, 558, 125739, 11, 2585, 122, 89);
INSERT INTO public.who_data VALUES (28840, 0, 581, 0, 7, 122, 121);
INSERT INTO public.who_data VALUES (28841, 621, 56073, 24, 1231, 122, 163);
INSERT INTO public.who_data VALUES (28842, 3242, 874118, 55, 33875, 122, 70);
INSERT INTO public.who_data VALUES (28843, 1468, 362243, 57, 6747, 122, 174);
INSERT INTO public.who_data VALUES (28844, 0, 0, 0, 0, 122, 175);
INSERT INTO public.who_data VALUES (28845, 10040, 202579, 130, 3851, 122, 118);
INSERT INTO public.who_data VALUES (28846, 2535, 106271, 16, 2229, 122, 189);
INSERT INTO public.who_data VALUES (28847, 187, 58830, 5, 774, 122, 124);
INSERT INTO public.who_data VALUES (28848, 266, 130210, 1, 225, 122, 192);
INSERT INTO public.who_data VALUES (28849, 121, 25543, 3, 453, 122, 41);
INSERT INTO public.who_data VALUES (28850, 833, 68791, 13, 1630, 122, 95);
INSERT INTO public.who_data VALUES (28851, 94, 5015, 2, 19, 122, 74);
INSERT INTO public.who_data VALUES (28852, 4848, 191102, 69, 6065, 122, 11);
INSERT INTO public.who_data VALUES (28853, 15971, 1463306, 290, 25242, 122, 87);
INSERT INTO public.who_data VALUES (28854, 16, 5012, 0, 34, 122, 214);
INSERT INTO public.who_data VALUES (28855, 0, 5, 0, 0, 122, 116);
INSERT INTO public.who_data VALUES (28856, 0, 72, 0, 0, 122, 157);
INSERT INTO public.who_data VALUES (28857, 0, 0, 0, 0, 122, 182);
INSERT INTO public.who_data VALUES (28858, 0, 19, 0, 0, 122, 186);
INSERT INTO public.who_data VALUES (28859, 2, 38, 0, 0, 122, 127);
INSERT INTO public.who_data VALUES (28860, 0, 531, 0, 8, 122, 232);
INSERT INTO public.who_data VALUES (28861, 0, 12, 0, 0, 122, 33);
INSERT INTO public.who_data VALUES (28862, 0, 68, 0, 0, 122, 97);
INSERT INTO public.who_data VALUES (28863, 0, 0, 0, 0, 122, 42);
INSERT INTO public.who_data VALUES (28864, 2, 796, 0, 42, 122, 198);
INSERT INTO public.who_data VALUES (28865, 2, 935, 0, 15, 122, 216);
INSERT INTO public.who_data VALUES (28866, 405, 343373, 18, 5235, 122, 164);
INSERT INTO public.who_data VALUES (28867, 25, 15484, 1, 321, 122, 235);
INSERT INTO public.who_data VALUES (28868, 512, 37120, 1, 781, 122, 67);
INSERT INTO public.who_data VALUES (28869, 1, 149, 0, 0, 122, 15);
INSERT INTO public.who_data VALUES (28870, 1, 2337, 0, 73, 122, 180);
INSERT INTO public.who_data VALUES (28871, 12, 57933, 0, 28, 122, 237);
INSERT INTO public.who_data VALUES (28872, 0, 14, 0, 0, 122, 25);
INSERT INTO public.who_data VALUES (28873, 6, 762, 0, 22, 122, 209);
INSERT INTO public.who_data VALUES (28874, 705, 31400, 6, 98, 122, 217);
INSERT INTO public.who_data VALUES (28875, 1505, 15993, 11, 229, 122, 79);
INSERT INTO public.who_data VALUES (28876, 0, 3, 0, 0, 122, 143);
INSERT INTO public.who_data VALUES (28877, 0, 3890, 0, 101, 122, 229);
INSERT INTO public.who_data VALUES (28878, 2055, 708359, 85, 18741, 122, 141);
INSERT INTO public.who_data VALUES (28879, 2, 2872, 0, 55, 122, 197);
INSERT INTO public.who_data VALUES (28880, 22160, 1079759, 184, 36848, 122, 221);
INSERT INTO public.who_data VALUES (28881, 167, 5978, 0, 13, 122, 150);
INSERT INTO public.who_data VALUES (28882, 0, 13728, 0, 836, 122, 56);
INSERT INTO public.who_data VALUES (28883, 11, 5144, 0, 109, 122, 167);
INSERT INTO public.who_data VALUES (28884, 1289, 107760, 4, 5933, 122, 23);
INSERT INTO public.who_data VALUES (28885, 6449, 101893, 18, 1939, 122, 222);
INSERT INTO public.who_data VALUES (28886, 44, 5224, 3, 257, 122, 219);
INSERT INTO public.who_data VALUES (28887, 39, 10613, 0, 80, 122, 7);
INSERT INTO public.who_data VALUES (28888, 10, 3719, 0, 59, 122, 161);
INSERT INTO public.who_data VALUES (28889, 26687, 789233, 191, 44158, 122, 149);
INSERT INTO public.who_data VALUES (28890, 0, 29, 0, 0, 122, 6);
INSERT INTO public.who_data VALUES (28891, 16, 2120, 0, 51, 122, 139);
INSERT INTO public.who_data VALUES (28892, 0, 0, 0, 0, 122, 211);
INSERT INTO public.who_data VALUES (28893, 0, 0, 0, 0, 122, 14);
INSERT INTO public.who_data VALUES (28894, 35, 5333, 1, 98, 122, 111);
INSERT INTO public.who_data VALUES (28895, 1322, 47214, 44, 784, 122, 207);
INSERT INTO public.who_data VALUES (28896, 8743, 932206, 68, 9513, 122, 66);
INSERT INTO public.who_data VALUES (28897, 0, 0, 0, 0, 122, 173);
INSERT INTO public.who_data VALUES (28898, 0, 698, 0, 6, 122, 145);
INSERT INTO public.who_data VALUES (28899, 0, 0, 0, 0, 122, 65);
INSERT INTO public.who_data VALUES (28900, 145, 10933, 1, 98, 122, 184);
INSERT INTO public.who_data VALUES (28901, 7053, 322879, 116, 6043, 122, 98);
INSERT INTO public.who_data VALUES (28902, 1538, 119132, 2, 472, 122, 104);
INSERT INTO public.who_data VALUES (28903, 0, 509, 0, 21, 122, 73);
INSERT INTO public.who_data VALUES (28904, 60155, 8184788, 856, 219497, 122, 8);
INSERT INTO public.who_data VALUES (28905, 2, 1337, 0, 21, 122, 227);
INSERT INTO public.who_data VALUES (28906, 63, 2623, 1, 52, 122, 75);
INSERT INTO public.who_data VALUES (28907, 325, 64335, 4, 538, 122, 45);
INSERT INTO public.who_data VALUES (28908, 0, 0, 0, 0, 122, 133);
INSERT INTO public.who_data VALUES (28909, 483, 87644, 6, 747, 122, 202);
INSERT INTO public.who_data VALUES (28910, 4, 1145, 0, 35, 122, 129);
INSERT INTO public.who_data VALUES (28911, 0, 1, 0, 0, 122, 36);
INSERT INTO public.who_data VALUES (28912, 0, 2061, 0, 598, 122, 51);
INSERT INTO public.who_data VALUES (28913, 18, 16000, 0, 346, 122, 206);
INSERT INTO public.who_data VALUES (28914, 28, 8215, 3, 236, 122, 5);
INSERT INTO public.who_data VALUES (28915, 0, 40461, 0, 1503, 123, 103);
INSERT INTO public.who_data VALUES (28916, 301, 17651, 4, 458, 123, 58);
INSERT INTO public.who_data VALUES (28917, 223, 54839, 8, 1873, 123, 195);
INSERT INTO public.who_data VALUES (28918, 0, 0, 0, 0, 123, 115);
INSERT INTO public.who_data VALUES (28919, 0, 3623, 0, 62, 123, 99);
INSERT INTO public.who_data VALUES (28920, 220, 8049, 3, 251, 123, 153);
INSERT INTO public.who_data VALUES (28921, 0, 3, 0, 0, 123, 93);
INSERT INTO public.who_data VALUES (28922, 0, 119, 0, 3, 123, 84);
INSERT INTO public.who_data VALUES (28923, 12982, 1002662, 449, 26716, 123, 78);
INSERT INTO public.who_data VALUES (28924, 1836, 67843, 20, 1116, 123, 170);
INSERT INTO public.who_data VALUES (28925, 12, 4334, 0, 34, 123, 32);
INSERT INTO public.who_data VALUES (28926, 31, 27430, 0, 905, 123, 155);
INSERT INTO public.who_data VALUES (28927, 1803, 68414, 8, 927, 123, 82);
INSERT INTO public.who_data VALUES (28928, 584, 45879, 5, 635, 123, 16);
INSERT INTO public.who_data VALUES (28929, 150, 5923, 1, 124, 123, 72);
INSERT INTO public.who_data VALUES (28930, 309, 78533, 3, 305, 123, 43);
INSERT INTO public.who_data VALUES (28931, 1380, 391586, 18, 5699, 123, 120);
INSERT INTO public.who_data VALUES (28932, 0, 222, 0, 7, 123, 213);
INSERT INTO public.who_data VALUES (28933, 619, 88909, 4, 937, 123, 31);
INSERT INTO public.who_data VALUES (28934, 19265, 281434, 52, 10545, 123, 204);
INSERT INTO public.who_data VALUES (28935, 20, 2833, 1, 45, 123, 152);
INSERT INTO public.who_data VALUES (28936, 61, 2557, 0, 41, 123, 144);
INSERT INTO public.who_data VALUES (28937, 3, 188, 0, 9, 123, 96);
INSERT INTO public.who_data VALUES (28938, 1, 331, 0, 0, 123, 47);
INSERT INTO public.who_data VALUES (28939, 119, 139890, 21, 8502, 123, 80);
INSERT INTO public.who_data VALUES (28940, 0, 131, 0, 3, 123, 159);
INSERT INTO public.who_data VALUES (28941, 726, 35391, 20, 1017, 123, 27);
INSERT INTO public.who_data VALUES (28942, 367, 5609, 1, 21, 123, 146);
INSERT INTO public.who_data VALUES (28943, 15383, 5250727, 271, 154176, 123, 71);
INSERT INTO public.who_data VALUES (28944, 0, 72, 0, 1, 123, 210);
INSERT INTO public.who_data VALUES (28945, 0, 147, 0, 3, 123, 54);
INSERT INTO public.who_data VALUES (28946, 1336, 31863, 11, 1019, 123, 147);
INSERT INTO public.who_data VALUES (28947, 19, 2406, 0, 65, 123, 2);
INSERT INTO public.who_data VALUES (28948, 0, 550, 0, 1, 123, 105);
INSERT INTO public.who_data VALUES (28949, 101, 7901, 0, 87, 123, 53);
INSERT INTO public.who_data VALUES (28950, 1, 286, 0, 0, 123, 81);
INSERT INTO public.who_data VALUES (28951, 0, 21570, 0, 425, 123, 223);
INSERT INTO public.who_data VALUES (28952, 3289, 201437, 18, 9778, 123, 94);
INSERT INTO public.who_data VALUES (28953, 2, 235, 0, 1, 123, 154);
INSERT INTO public.who_data VALUES (28954, 0, 4858, 0, 62, 123, 83);
INSERT INTO public.who_data VALUES (28955, 9, 1399, 0, 93, 123, 194);
INSERT INTO public.who_data VALUES (28956, 1173, 494478, 26, 13702, 123, 136);
INSERT INTO public.who_data VALUES (28957, 19, 91565, 0, 4746, 123, 179);
INSERT INTO public.who_data VALUES (28958, 6311, 965883, 132, 29102, 123, 57);
INSERT INTO public.who_data VALUES (28959, 2, 504, 0, 7, 123, 35);
INSERT INTO public.who_data VALUES (28960, 0, 5156, 0, 92, 123, 228);
INSERT INTO public.who_data VALUES (28961, 0, 0, 0, 0, 123, 19);
INSERT INTO public.who_data VALUES (28962, 632, 97075, 10, 1204, 123, 22);
INSERT INTO public.who_data VALUES (28963, 18, 20342, 0, 121, 123, 1);
INSERT INTO public.who_data VALUES (28964, 890, 26863, 8, 382, 123, 21);
INSERT INTO public.who_data VALUES (28965, 47, 6305, 0, 127, 123, 234);
INSERT INTO public.who_data VALUES (28966, 7, 751, 0, 1, 123, 91);
INSERT INTO public.who_data VALUES (28967, 152, 2839, 0, 25, 123, 137);
INSERT INTO public.who_data VALUES (28968, 11984, 193946, 106, 1619, 123, 201);
INSERT INTO public.who_data VALUES (28969, 0, 0, 0, 0, 123, 171);
INSERT INTO public.who_data VALUES (28970, 0, 11051, 0, 303, 123, 92);
INSERT INTO public.who_data VALUES (28971, 529, 36373, 2, 688, 123, 112);
INSERT INTO public.who_data VALUES (28972, 30, 5499, 0, 61, 123, 62);
INSERT INTO public.who_data VALUES (28973, 0, 33, 0, 0, 123, 69);
INSERT INTO public.who_data VALUES (28974, 306, 121973, 1, 2204, 123, 220);
INSERT INTO public.who_data VALUES (28975, 692, 154115, 9, 12404, 123, 100);
INSERT INTO public.who_data VALUES (28976, 158, 105705, 12, 6142, 123, 187);
INSERT INTO public.who_data VALUES (28977, 309, 31975, 3, 929, 123, 63);
INSERT INTO public.who_data VALUES (28978, 0, 5074, 0, 83, 123, 28);
INSERT INTO public.who_data VALUES (28979, 27, 452, 0, 0, 123, 172);
INSERT INTO public.who_data VALUES (28980, 42, 4127, 3, 71, 123, 17);
INSERT INTO public.who_data VALUES (28981, 12, 5800, 0, 116, 123, 226);
INSERT INTO public.who_data VALUES (28982, 630, 90490, 6, 1371, 123, 236);
INSERT INTO public.who_data VALUES (28983, 0, 13, 0, 0, 123, 76);
INSERT INTO public.who_data VALUES (28984, 3, 488, 0, 0, 123, 30);
INSERT INTO public.who_data VALUES (28985, 1, 33, 0, 2, 123, 128);
INSERT INTO public.who_data VALUES (28986, 294, 13849, 0, 351, 123, 86);
INSERT INTO public.who_data VALUES (28987, 20424, 901350, 261, 33611, 123, 140);
INSERT INTO public.who_data VALUES (28988, 0, 10268, 0, 69, 123, 44);
INSERT INTO public.who_data VALUES (28989, 0, 4610, 0, 16, 123, 113);
INSERT INTO public.who_data VALUES (28990, 0, 8884, 0, 54, 123, 29);
INSERT INTO public.who_data VALUES (28991, 0, 3655, 0, 118, 123, 125);
INSERT INTO public.who_data VALUES (28992, 1351, 21208, 14, 172, 123, 131);
INSERT INTO public.who_data VALUES (28993, 7595, 380762, 39, 9875, 123, 46);
INSERT INTO public.who_data VALUES (28994, 0, 47372, 0, 310, 123, 10);
INSERT INTO public.who_data VALUES (28995, 6, 577, 0, 0, 123, 205);
INSERT INTO public.who_data VALUES (28996, 667, 26469, 8, 528, 123, 50);
INSERT INTO public.who_data VALUES (28997, 0, 16, 0, 0, 123, 20);
INSERT INTO public.who_data VALUES (28998, 0, 27, 0, 0, 123, 13);
INSERT INTO public.who_data VALUES (28999, 0, 7122, 0, 111, 123, 148);
INSERT INTO public.who_data VALUES (29000, 127, 3869, 1, 67, 123, 230);
INSERT INTO public.who_data VALUES (29001, 620, 102219, 5, 3546, 123, 190);
INSERT INTO public.who_data VALUES (29002, 0, 258, 0, 13, 123, 188);
INSERT INTO public.who_data VALUES (29003, 20, 11538, 0, 70, 123, 123);
INSERT INTO public.who_data VALUES (29004, 0, 2403, 0, 41, 123, 9);
INSERT INTO public.who_data VALUES (29005, 31, 3765, 2, 111, 123, 102);
INSERT INTO public.who_data VALUES (29006, 51, 8976, 0, 231, 123, 34);
INSERT INTO public.who_data VALUES (29007, 0, 26, 0, 0, 123, 212);
INSERT INTO public.who_data VALUES (29008, 946, 89381, 8, 2576, 123, 122);
INSERT INTO public.who_data VALUES (29009, 1423, 50180, 48, 1259, 123, 38);
INSERT INTO public.who_data VALUES (29010, 92, 4193, 0, 11, 123, 130);
INSERT INTO public.who_data VALUES (29011, 54044, 7651107, 717, 115914, 123, 37);
INSERT INTO public.who_data VALUES (29012, 3602, 368842, 117, 12734, 123, 231);
INSERT INTO public.who_data VALUES (29013, 5039, 539670, 322, 31034, 123, 107);
INSERT INTO public.who_data VALUES (29014, 3920, 434598, 49, 10366, 123, 101);
INSERT INTO public.who_data VALUES (29015, 1263, 52256, 13, 1865, 123, 132);
INSERT INTO public.who_data VALUES (29016, 0, 348, 0, 24, 123, 176);
INSERT INTO public.who_data VALUES (29017, 1517, 305215, 31, 2282, 123, 200);
INSERT INTO public.who_data VALUES (29018, 10871, 434449, 89, 36705, 123, 169);
INSERT INTO public.who_data VALUES (29019, 53, 8374, 1, 174, 123, 225);
INSERT INTO public.who_data VALUES (29020, 453, 93933, 3, 1679, 123, 165);
INSERT INTO public.who_data VALUES (29021, 18, 509, 0, 32, 123, 233);
INSERT INTO public.who_data VALUES (29022, 2035, 41040, 34, 414, 123, 215);
INSERT INTO public.who_data VALUES (29023, 322, 146288, 0, 2178, 123, 177);
INSERT INTO public.who_data VALUES (29024, 571, 45647, 3, 842, 123, 183);
INSERT INTO public.who_data VALUES (29025, 0, 0, 0, 0, 123, 203);
INSERT INTO public.who_data VALUES (29026, 130, 17096, 1, 647, 123, 162);
INSERT INTO public.who_data VALUES (29027, 886, 117718, 4, 714, 123, 12);
INSERT INTO public.who_data VALUES (29028, 549, 53459, 5, 1118, 123, 24);
INSERT INTO public.who_data VALUES (29029, 0, 23, 0, 0, 123, 119);
INSERT INTO public.who_data VALUES (29030, 115, 3609, 4, 46, 123, 39);
INSERT INTO public.who_data VALUES (29031, 1392, 64336, 5, 531, 123, 26);
INSERT INTO public.who_data VALUES (29032, 0, 1833, 0, 42, 123, 59);
INSERT INTO public.who_data VALUES (29033, 3, 1384, 0, 82, 123, 77);
INSERT INTO public.who_data VALUES (29034, 0, 50906, 0, 746, 123, 134);
INSERT INTO public.who_data VALUES (29035, 31, 289, 0, 1, 123, 4);
INSERT INTO public.who_data VALUES (29036, 313, 8236, 4, 109, 123, 109);
INSERT INTO public.who_data VALUES (29037, 353, 11241, 3, 136, 123, 90);
INSERT INTO public.who_data VALUES (29038, 0, 16810, 0, 238, 123, 61);
INSERT INTO public.who_data VALUES (29039, 1, 5861, 1, 182, 123, 85);
INSERT INTO public.who_data VALUES (29040, 862, 22225, 3, 193, 123, 49);
INSERT INTO public.who_data VALUES (29041, 39, 11271, 0, 37, 123, 208);
INSERT INTO public.who_data VALUES (29042, 4, 3411, 0, 132, 123, 166);
INSERT INTO public.who_data VALUES (29043, 134, 4863, 0, 45, 123, 64);
INSERT INTO public.who_data VALUES (29044, 0, 0, 0, 0, 123, 199);
INSERT INTO public.who_data VALUES (29045, 0, 2266, 0, 25, 123, 114);
INSERT INTO public.who_data VALUES (29046, 13, 7634, 0, 163, 123, 60);
INSERT INTO public.who_data VALUES (29047, 14, 421, 0, 10, 123, 68);
INSERT INTO public.who_data VALUES (29048, 44, 4203, 1, 44, 123, 158);
INSERT INTO public.who_data VALUES (29049, 3699, 854926, 171, 86338, 123, 52);
INSERT INTO public.who_data VALUES (29050, 0, 0, 0, 0, 123, 117);
INSERT INTO public.who_data VALUES (29051, 3, 274, 0, 2, 123, 126);
INSERT INTO public.who_data VALUES (29052, 2, 326, 0, 0, 123, 196);
INSERT INTO public.who_data VALUES (29053, 164, 16192, 3, 250, 123, 142);
INSERT INTO public.who_data VALUES (29054, 0, 13, 0, 1, 123, 185);
INSERT INTO public.who_data VALUES (29055, 3254, 179003, 51, 3027, 123, 138);
INSERT INTO public.who_data VALUES (29056, 110, 11190, 3, 78, 123, 181);
INSERT INTO public.who_data VALUES (29057, 1297, 38502, 31, 945, 123, 178);
INSERT INTO public.who_data VALUES (29058, 41, 12367, 1, 132, 123, 168);
INSERT INTO public.who_data VALUES (29059, 0, 0, 0, 0, 123, 160);
INSERT INTO public.who_data VALUES (29060, 3093, 139129, 8, 765, 123, 151);
INSERT INTO public.who_data VALUES (29061, 8144, 243718, 46, 6810, 123, 193);
INSERT INTO public.who_data VALUES (29062, 0, 27, 0, 0, 123, 18);
INSERT INTO public.who_data VALUES (29063, 25, 1556, 0, 25, 123, 40);
INSERT INTO public.who_data VALUES (29064, 65, 4362, 1, 155, 123, 218);
INSERT INTO public.who_data VALUES (29065, 1, 1212, 0, 69, 123, 191);
INSERT INTO public.who_data VALUES (29066, 72, 61630, 0, 1125, 123, 156);
INSERT INTO public.who_data VALUES (29067, 0, 0, 0, 0, 123, 135);
INSERT INTO public.who_data VALUES (29068, 2, 88, 0, 2, 123, 88);
INSERT INTO public.who_data VALUES (29069, 408, 24196, 4, 850, 123, 55);
INSERT INTO public.who_data VALUES (29070, 147, 16603, 0, 278, 123, 108);
INSERT INTO public.who_data VALUES (29071, 513, 59595, 8, 492, 123, 48);
INSERT INTO public.who_data VALUES (29072, 439, 111033, 8, 1122, 123, 3);
INSERT INTO public.who_data VALUES (29073, 0, 741, 0, 13, 123, 224);
INSERT INTO public.who_data VALUES (29074, 0, 324077, 0, 6673, 123, 110);
INSERT INTO public.who_data VALUES (29075, 0, 0, 0, 0, 123, 106);
INSERT INTO public.who_data VALUES (29076, 436, 125181, 10, 2574, 123, 89);
INSERT INTO public.who_data VALUES (29077, 0, 581, 0, 7, 123, 121);
INSERT INTO public.who_data VALUES (29078, 728, 55452, 19, 1207, 123, 163);
INSERT INTO public.who_data VALUES (29079, 2201, 870876, 61, 33820, 123, 70);
INSERT INTO public.who_data VALUES (29080, 1606, 360775, 15, 6690, 123, 174);
INSERT INTO public.who_data VALUES (29081, 0, 0, 0, 0, 123, 175);
INSERT INTO public.who_data VALUES (29082, 9291, 192539, 107, 3721, 123, 118);
INSERT INTO public.who_data VALUES (29083, 1876, 103736, 15, 2213, 123, 189);
INSERT INTO public.who_data VALUES (29084, 693, 58643, 1, 769, 123, 124);
INSERT INTO public.who_data VALUES (29085, 273, 129944, 0, 224, 123, 192);
INSERT INTO public.who_data VALUES (29086, 89, 25422, 3, 450, 123, 41);
INSERT INTO public.who_data VALUES (29087, 656, 67958, 16, 1617, 123, 95);
INSERT INTO public.who_data VALUES (29088, 0, 4921, 0, 17, 123, 74);
INSERT INTO public.who_data VALUES (29089, 3400, 186254, 65, 5996, 123, 11);
INSERT INTO public.who_data VALUES (29090, 15700, 1447335, 317, 24952, 123, 87);
INSERT INTO public.who_data VALUES (29091, 4, 4996, 0, 34, 123, 214);
INSERT INTO public.who_data VALUES (29092, 0, 5, 0, 0, 123, 116);
INSERT INTO public.who_data VALUES (29093, 0, 72, 0, 0, 123, 157);
INSERT INTO public.who_data VALUES (29094, 0, 0, 0, 0, 123, 182);
INSERT INTO public.who_data VALUES (29095, 0, 19, 0, 0, 123, 186);
INSERT INTO public.who_data VALUES (29096, 0, 36, 0, 0, 123, 127);
INSERT INTO public.who_data VALUES (29097, 0, 531, 0, 8, 123, 232);
INSERT INTO public.who_data VALUES (29098, 0, 12, 0, 0, 123, 33);
INSERT INTO public.who_data VALUES (29099, 1, 68, 0, 0, 123, 97);
INSERT INTO public.who_data VALUES (29100, 0, 0, 0, 0, 123, 42);
INSERT INTO public.who_data VALUES (29101, 5, 794, 0, 42, 123, 198);
INSERT INTO public.who_data VALUES (29102, 0, 933, 0, 15, 123, 216);
INSERT INTO public.who_data VALUES (29103, 385, 342968, 16, 5217, 123, 164);
INSERT INTO public.who_data VALUES (29104, 27, 15459, 1, 320, 123, 235);
INSERT INTO public.who_data VALUES (29105, 326, 36608, 2, 780, 123, 67);
INSERT INTO public.who_data VALUES (29106, 0, 148, 0, 0, 123, 15);
INSERT INTO public.who_data VALUES (29107, 5, 2336, 0, 73, 123, 180);
INSERT INTO public.who_data VALUES (29108, 6, 57921, 0, 28, 123, 237);
INSERT INTO public.who_data VALUES (29109, 0, 14, 0, 0, 123, 25);
INSERT INTO public.who_data VALUES (29110, 3, 756, 0, 22, 123, 209);
INSERT INTO public.who_data VALUES (29111, 860, 30695, 4, 92, 123, 217);
INSERT INTO public.who_data VALUES (29112, 802, 14488, 6, 218, 123, 79);
INSERT INTO public.who_data VALUES (29113, 0, 3, 0, 0, 123, 143);
INSERT INTO public.who_data VALUES (29114, 26, 3890, 2, 101, 123, 229);
INSERT INTO public.who_data VALUES (29115, 1050, 706304, 164, 18656, 123, 141);
INSERT INTO public.who_data VALUES (29116, 23, 2870, 0, 55, 123, 197);
INSERT INTO public.who_data VALUES (29117, 16437, 1057599, 164, 36664, 123, 221);
INSERT INTO public.who_data VALUES (29118, 186, 5811, 0, 13, 123, 150);
INSERT INTO public.who_data VALUES (29119, 4, 13728, 0, 836, 123, 56);
INSERT INTO public.who_data VALUES (29120, 3, 5133, 0, 109, 123, 167);
INSERT INTO public.who_data VALUES (29121, 771, 106471, 4, 5929, 123, 23);
INSERT INTO public.who_data VALUES (29122, 5670, 95444, 12, 1921, 123, 222);
INSERT INTO public.who_data VALUES (29123, 46, 5180, 3, 254, 123, 219);
INSERT INTO public.who_data VALUES (29124, 41, 10574, 0, 80, 123, 7);
INSERT INTO public.who_data VALUES (29125, 9, 3709, 0, 59, 123, 161);
INSERT INTO public.who_data VALUES (29126, 21330, 762546, 241, 43967, 123, 149);
INSERT INTO public.who_data VALUES (29127, 0, 29, 0, 0, 123, 6);
INSERT INTO public.who_data VALUES (29128, 33, 2104, 0, 51, 123, 139);
INSERT INTO public.who_data VALUES (29129, 0, 0, 0, 0, 123, 211);
INSERT INTO public.who_data VALUES (29130, 0, 0, 0, 0, 123, 14);
INSERT INTO public.who_data VALUES (29131, 1, 5298, 1, 97, 123, 111);
INSERT INTO public.who_data VALUES (29132, 1442, 45892, 29, 740, 123, 207);
INSERT INTO public.who_data VALUES (29133, 8624, 923463, 74, 9445, 123, 66);
INSERT INTO public.who_data VALUES (29134, 0, 0, 0, 0, 123, 173);
INSERT INTO public.who_data VALUES (29135, 0, 698, 0, 6, 123, 145);
INSERT INTO public.who_data VALUES (29136, 0, 0, 0, 0, 123, 65);
INSERT INTO public.who_data VALUES (29137, 97, 10788, 0, 97, 123, 184);
INSERT INTO public.who_data VALUES (29138, 6719, 315826, 141, 5927, 123, 98);
INSERT INTO public.who_data VALUES (29139, 1077, 117594, 4, 470, 123, 104);
INSERT INTO public.who_data VALUES (29140, 0, 509, 0, 21, 123, 73);
INSERT INTO public.who_data VALUES (29141, 59018, 8124633, 510, 218641, 123, 8);
INSERT INTO public.who_data VALUES (29142, 0, 1335, 0, 21, 123, 227);
INSERT INTO public.who_data VALUES (29143, 29, 2560, 0, 51, 123, 75);
INSERT INTO public.who_data VALUES (29144, 273, 64010, 1, 534, 123, 45);
INSERT INTO public.who_data VALUES (29145, 0, 0, 0, 0, 123, 133);
INSERT INTO public.who_data VALUES (29146, 525, 87161, 5, 741, 123, 202);
INSERT INTO public.who_data VALUES (29147, 1, 1141, 0, 35, 123, 129);
INSERT INTO public.who_data VALUES (29148, 0, 1, 0, 0, 123, 36);
INSERT INTO public.who_data VALUES (29149, 1, 2061, 0, 598, 123, 51);
INSERT INTO public.who_data VALUES (29150, 85, 15982, 0, 346, 123, 206);
INSERT INTO public.who_data VALUES (29151, 28, 8187, 1, 233, 123, 5);
INSERT INTO public.who_data VALUES (29152, 88, 40461, 2, 1503, 124, 103);
INSERT INTO public.who_data VALUES (29153, 295, 17350, 3, 454, 124, 58);
INSERT INTO public.who_data VALUES (29154, 214, 54616, 9, 1865, 124, 195);
INSERT INTO public.who_data VALUES (29155, 0, 0, 0, 0, 124, 115);
INSERT INTO public.who_data VALUES (29156, 246, 3623, 3, 62, 124, 99);
INSERT INTO public.who_data VALUES (29157, 207, 7829, 1, 248, 124, 153);
INSERT INTO public.who_data VALUES (29158, 0, 3, 0, 0, 124, 93);
INSERT INTO public.who_data VALUES (29159, 0, 119, 0, 3, 124, 84);
INSERT INTO public.who_data VALUES (29160, 10561, 989680, 160, 26267, 124, 78);
INSERT INTO public.who_data VALUES (29161, 1234, 66007, 10, 1096, 124, 170);
INSERT INTO public.who_data VALUES (29162, 37, 4322, 2, 34, 124, 32);
INSERT INTO public.who_data VALUES (29163, 9, 27399, 1, 905, 124, 155);
INSERT INTO public.who_data VALUES (29164, 1054, 66611, 9, 919, 124, 82);
INSERT INTO public.who_data VALUES (29165, 331, 45295, 4, 630, 124, 16);
INSERT INTO public.who_data VALUES (29166, 70, 5773, 1, 123, 124, 72);
INSERT INTO public.who_data VALUES (29167, 322, 78224, 2, 302, 124, 43);
INSERT INTO public.who_data VALUES (29168, 1637, 390206, 21, 5681, 124, 120);
INSERT INTO public.who_data VALUES (29169, 3, 222, 0, 7, 124, 213);
INSERT INTO public.who_data VALUES (29170, 592, 88290, 4, 933, 124, 31);
INSERT INTO public.who_data VALUES (29171, 15562, 262169, 52, 10493, 124, 204);
INSERT INTO public.who_data VALUES (29172, 38, 2813, 1, 44, 124, 152);
INSERT INTO public.who_data VALUES (29173, 0, 2496, 0, 41, 124, 144);
INSERT INTO public.who_data VALUES (29174, 0, 185, 0, 9, 124, 96);
INSERT INTO public.who_data VALUES (29175, 3, 330, 0, 0, 124, 47);
INSERT INTO public.who_data VALUES (29176, 61, 139771, 18, 8481, 124, 80);
INSERT INTO public.who_data VALUES (29177, 0, 131, 0, 3, 124, 159);
INSERT INTO public.who_data VALUES (29178, 545, 34665, 13, 997, 124, 27);
INSERT INTO public.who_data VALUES (29179, 0, 5242, 0, 20, 124, 146);
INSERT INTO public.who_data VALUES (29180, 10982, 5235344, 230, 153905, 124, 71);
INSERT INTO public.who_data VALUES (29181, 0, 72, 0, 1, 124, 210);
INSERT INTO public.who_data VALUES (29182, 0, 147, 0, 3, 124, 54);
INSERT INTO public.who_data VALUES (29183, 1024, 30527, 22, 1008, 124, 147);
INSERT INTO public.who_data VALUES (29184, 6, 2387, 0, 65, 124, 2);
INSERT INTO public.who_data VALUES (29185, 1, 550, 0, 1, 124, 105);
INSERT INTO public.who_data VALUES (29186, 48, 7800, 1, 87, 124, 53);
INSERT INTO public.who_data VALUES (29187, 2, 285, 0, 0, 124, 81);
INSERT INTO public.who_data VALUES (29188, 64, 21570, 1, 425, 124, 223);
INSERT INTO public.who_data VALUES (29189, 1827, 198148, 14, 9760, 124, 94);
INSERT INTO public.who_data VALUES (29190, 0, 233, 0, 1, 124, 154);
INSERT INTO public.who_data VALUES (29191, 2, 4858, 0, 62, 124, 83);
INSERT INTO public.who_data VALUES (29192, 11, 1390, 0, 93, 124, 194);
INSERT INTO public.who_data VALUES (29193, 1545, 493305, 41, 13676, 124, 136);
INSERT INTO public.who_data VALUES (29194, 39, 91546, 0, 4746, 124, 179);
INSERT INTO public.who_data VALUES (29195, 7201, 959572, 167, 28970, 124, 57);
INSERT INTO public.who_data VALUES (29196, 6, 502, 0, 7, 124, 35);
INSERT INTO public.who_data VALUES (29197, 0, 5156, 0, 92, 124, 228);
INSERT INTO public.who_data VALUES (29198, 0, 0, 0, 0, 124, 19);
INSERT INTO public.who_data VALUES (29199, 929, 96443, 11, 1194, 124, 22);
INSERT INTO public.who_data VALUES (29200, 1, 20324, 0, 121, 124, 1);
INSERT INTO public.who_data VALUES (29201, 393, 25973, 11, 374, 124, 21);
INSERT INTO public.who_data VALUES (29202, 38, 6258, 2, 127, 124, 234);
INSERT INTO public.who_data VALUES (29203, 71, 744, 0, 1, 124, 91);
INSERT INTO public.who_data VALUES (29204, 43, 2687, 0, 25, 124, 137);
INSERT INTO public.who_data VALUES (29205, 8077, 181962, 91, 1513, 124, 201);
INSERT INTO public.who_data VALUES (29206, 0, 0, 0, 0, 124, 171);
INSERT INTO public.who_data VALUES (29207, 46, 11051, 1, 303, 124, 92);
INSERT INTO public.who_data VALUES (29208, 452, 35844, 6, 686, 124, 112);
INSERT INTO public.who_data VALUES (29209, 10, 5469, 0, 61, 124, 62);
INSERT INTO public.who_data VALUES (29210, 0, 33, 0, 0, 124, 69);
INSERT INTO public.who_data VALUES (29211, 320, 121667, 4, 2203, 124, 220);
INSERT INTO public.who_data VALUES (29212, 134, 153423, 8, 12395, 124, 100);
INSERT INTO public.who_data VALUES (29213, 123, 105547, 10, 6130, 124, 187);
INSERT INTO public.who_data VALUES (29214, 0, 31666, 4, 926, 124, 63);
INSERT INTO public.who_data VALUES (29215, 4, 5074, 0, 83, 124, 28);
INSERT INTO public.who_data VALUES (29216, 0, 425, 0, 0, 124, 172);
INSERT INTO public.who_data VALUES (29217, 7, 4085, 0, 68, 124, 17);
INSERT INTO public.who_data VALUES (29218, 8, 5788, 0, 116, 124, 226);
INSERT INTO public.who_data VALUES (29219, 723, 89860, 13, 1365, 124, 236);
INSERT INTO public.who_data VALUES (29220, 0, 13, 0, 0, 124, 76);
INSERT INTO public.who_data VALUES (29221, 0, 485, 0, 0, 124, 30);
INSERT INTO public.who_data VALUES (29222, 0, 32, 0, 2, 124, 128);
INSERT INTO public.who_data VALUES (29223, 131, 13555, 0, 351, 124, 86);
INSERT INTO public.who_data VALUES (29224, 12944, 880926, 146, 33350, 124, 140);
INSERT INTO public.who_data VALUES (29225, 25, 10268, 0, 69, 124, 44);
INSERT INTO public.who_data VALUES (29226, 813, 4610, 2, 16, 124, 113);
INSERT INTO public.who_data VALUES (29227, 3, 8884, 0, 54, 124, 29);
INSERT INTO public.who_data VALUES (29228, 6, 3655, 0, 118, 124, 125);
INSERT INTO public.who_data VALUES (29229, 1194, 19857, 15, 158, 124, 131);
INSERT INTO public.who_data VALUES (29230, 6868, 373167, 47, 9836, 124, 46);
INSERT INTO public.who_data VALUES (29231, 140, 47372, 0, 310, 124, 10);
INSERT INTO public.who_data VALUES (29232, 13, 571, 0, 0, 124, 205);
INSERT INTO public.who_data VALUES (29233, 432, 25802, 11, 520, 124, 50);
INSERT INTO public.who_data VALUES (29234, 0, 16, 0, 0, 124, 20);
INSERT INTO public.who_data VALUES (29235, 0, 27, 0, 0, 124, 13);
INSERT INTO public.who_data VALUES (29236, 0, 7122, 0, 111, 124, 148);
INSERT INTO public.who_data VALUES (29237, 78, 3742, 0, 66, 124, 230);
INSERT INTO public.who_data VALUES (29238, 239, 101599, 11, 3541, 124, 190);
INSERT INTO public.who_data VALUES (29239, 0, 258, 0, 13, 124, 188);
INSERT INTO public.who_data VALUES (29240, 0, 11518, 0, 70, 124, 123);
INSERT INTO public.who_data VALUES (29241, 14, 2403, 0, 41, 124, 9);
INSERT INTO public.who_data VALUES (29242, 24, 3734, 0, 109, 124, 102);
INSERT INTO public.who_data VALUES (29243, 0, 8925, 0, 231, 124, 34);
INSERT INTO public.who_data VALUES (29244, 0, 26, 0, 0, 124, 212);
INSERT INTO public.who_data VALUES (29245, 841, 88435, 5, 2568, 124, 122);
INSERT INTO public.who_data VALUES (29246, 989, 48757, 38, 1211, 124, 38);
INSERT INTO public.who_data VALUES (29247, 46, 4101, 0, 11, 124, 130);
INSERT INTO public.who_data VALUES (29248, 46790, 7597063, 587, 115197, 124, 37);
INSERT INTO public.who_data VALUES (29249, 3373, 365240, 106, 12617, 124, 231);
INSERT INTO public.who_data VALUES (29250, 4251, 534631, 337, 30712, 124, 107);
INSERT INTO public.who_data VALUES (29251, 4044, 430678, 63, 10317, 124, 101);
INSERT INTO public.who_data VALUES (29252, 1031, 50993, 0, 1852, 124, 132);
INSERT INTO public.who_data VALUES (29253, 0, 348, 0, 24, 124, 176);
INSERT INTO public.who_data VALUES (29254, 923, 303698, 33, 2251, 124, 200);
INSERT INTO public.who_data VALUES (29255, 9337, 423578, 73, 36616, 124, 169);
INSERT INTO public.who_data VALUES (29256, 47, 8321, 2, 173, 124, 225);
INSERT INTO public.who_data VALUES (29257, 353, 93480, 2, 1676, 124, 165);
INSERT INTO public.who_data VALUES (29258, 0, 491, 0, 32, 124, 233);
INSERT INTO public.who_data VALUES (29259, 1364, 39005, 35, 380, 124, 215);
INSERT INTO public.who_data VALUES (29260, 363, 145966, 0, 2178, 124, 177);
INSERT INTO public.who_data VALUES (29261, 195, 45076, 7, 839, 124, 183);
INSERT INTO public.who_data VALUES (29262, 0, 0, 0, 0, 124, 203);
INSERT INTO public.who_data VALUES (29263, 118, 16966, 3, 646, 124, 162);
INSERT INTO public.who_data VALUES (29264, 686, 116832, 9, 710, 124, 12);
INSERT INTO public.who_data VALUES (29265, 384, 52910, 2, 1113, 124, 24);
INSERT INTO public.who_data VALUES (29266, 0, 23, 0, 0, 124, 119);
INSERT INTO public.who_data VALUES (29267, 44, 3494, 0, 42, 124, 39);
INSERT INTO public.who_data VALUES (29268, 995, 62944, 6, 526, 124, 26);
INSERT INTO public.who_data VALUES (29269, 0, 1833, 0, 42, 124, 59);
INSERT INTO public.who_data VALUES (29270, 1, 1381, 0, 82, 124, 77);
INSERT INTO public.who_data VALUES (29271, 957, 50906, 14, 746, 124, 134);
INSERT INTO public.who_data VALUES (29272, 30, 258, 0, 1, 124, 4);
INSERT INTO public.who_data VALUES (29273, 203, 7923, 3, 105, 124, 109);
INSERT INTO public.who_data VALUES (29274, 242, 10888, 0, 133, 124, 90);
INSERT INTO public.who_data VALUES (29275, 0, 16810, 0, 238, 124, 61);
INSERT INTO public.who_data VALUES (29276, 3, 5860, 0, 181, 124, 85);
INSERT INTO public.who_data VALUES (29277, 865, 21363, 3, 190, 124, 49);
INSERT INTO public.who_data VALUES (29278, 22, 11232, 0, 37, 124, 208);
INSERT INTO public.who_data VALUES (29279, 19, 3407, 0, 132, 124, 166);
INSERT INTO public.who_data VALUES (29280, 109, 4729, 0, 45, 124, 64);
INSERT INTO public.who_data VALUES (29281, 0, 0, 0, 0, 124, 199);
INSERT INTO public.who_data VALUES (29282, 0, 2266, 0, 25, 124, 114);
INSERT INTO public.who_data VALUES (29283, 13, 7621, 0, 163, 124, 60);
INSERT INTO public.who_data VALUES (29284, 0, 407, 0, 10, 124, 68);
INSERT INTO public.who_data VALUES (29285, 129, 4159, 0, 43, 124, 158);
INSERT INTO public.who_data VALUES (29286, 4119, 851227, 108, 86167, 124, 52);
INSERT INTO public.who_data VALUES (29287, 0, 0, 0, 0, 124, 117);
INSERT INTO public.who_data VALUES (29288, 3, 271, 0, 2, 124, 126);
INSERT INTO public.who_data VALUES (29289, 0, 324, 0, 0, 124, 196);
INSERT INTO public.who_data VALUES (29290, 180, 16028, 7, 247, 124, 142);
INSERT INTO public.who_data VALUES (29291, 0, 13, 0, 1, 124, 185);
INSERT INTO public.who_data VALUES (29292, 2117, 175749, 48, 2976, 124, 138);
INSERT INTO public.who_data VALUES (29293, 214, 11080, 0, 75, 124, 181);
INSERT INTO public.who_data VALUES (29294, 1180, 37205, 34, 914, 124, 178);
INSERT INTO public.who_data VALUES (29295, 33, 12326, 0, 131, 124, 168);
INSERT INTO public.who_data VALUES (29296, 0, 0, 0, 0, 124, 160);
INSERT INTO public.who_data VALUES (29297, 3790, 136036, 18, 757, 124, 151);
INSERT INTO public.who_data VALUES (29298, 7989, 235574, 17, 6764, 124, 193);
INSERT INTO public.who_data VALUES (29299, 0, 27, 0, 0, 124, 18);
INSERT INTO public.who_data VALUES (29300, 1, 1531, 0, 25, 124, 40);
INSERT INTO public.who_data VALUES (29301, 0, 4297, 0, 154, 124, 218);
INSERT INTO public.who_data VALUES (29302, 1, 1211, 0, 69, 124, 191);
INSERT INTO public.who_data VALUES (29303, 118, 61558, 0, 1125, 124, 156);
INSERT INTO public.who_data VALUES (29304, 0, 0, 0, 0, 124, 135);
INSERT INTO public.who_data VALUES (29305, 0, 86, 0, 2, 124, 88);
INSERT INTO public.who_data VALUES (29306, 160, 23788, 12, 846, 124, 55);
INSERT INTO public.who_data VALUES (29307, 320, 16456, 0, 278, 124, 108);
INSERT INTO public.who_data VALUES (29308, 543, 59082, 6, 484, 124, 48);
INSERT INTO public.who_data VALUES (29309, 641, 110594, 13, 1114, 124, 3);
INSERT INTO public.who_data VALUES (29310, 0, 741, 0, 13, 124, 224);
INSERT INTO public.who_data VALUES (29311, 618, 324077, 14, 6673, 124, 110);
INSERT INTO public.who_data VALUES (29312, 0, 0, 0, 0, 124, 106);
INSERT INTO public.who_data VALUES (29313, 638, 124745, 7, 2564, 124, 89);
INSERT INTO public.who_data VALUES (29314, 0, 581, 0, 7, 124, 121);
INSERT INTO public.who_data VALUES (29315, 709, 54724, 9, 1188, 124, 163);
INSERT INTO public.who_data VALUES (29316, 3126, 868675, 57, 33759, 124, 70);
INSERT INTO public.who_data VALUES (29317, 2551, 359169, 23, 6675, 124, 174);
INSERT INTO public.who_data VALUES (29318, 0, 0, 0, 0, 124, 175);
INSERT INTO public.who_data VALUES (29319, 7482, 183248, 41, 3614, 124, 118);
INSERT INTO public.who_data VALUES (29320, 1949, 101860, 17, 2198, 124, 189);
INSERT INTO public.who_data VALUES (29321, 657, 57950, 2, 768, 124, 124);
INSERT INTO public.who_data VALUES (29322, 240, 129671, 0, 224, 124, 192);
INSERT INTO public.who_data VALUES (29323, 58, 25333, 3, 447, 124, 41);
INSERT INTO public.who_data VALUES (29324, 252, 67302, 17, 1601, 124, 95);
INSERT INTO public.who_data VALUES (29325, 145, 4921, 0, 17, 124, 74);
INSERT INTO public.who_data VALUES (29326, 2466, 182854, 59, 5931, 124, 11);
INSERT INTO public.who_data VALUES (29327, 16319, 1431635, 269, 24635, 124, 87);
INSERT INTO public.who_data VALUES (29328, 18, 4992, 0, 34, 124, 214);
INSERT INTO public.who_data VALUES (29329, 0, 5, 0, 0, 124, 116);
INSERT INTO public.who_data VALUES (29330, 0, 72, 0, 0, 124, 157);
INSERT INTO public.who_data VALUES (29331, 0, 0, 0, 0, 124, 182);
INSERT INTO public.who_data VALUES (29332, 0, 19, 0, 0, 124, 186);
INSERT INTO public.who_data VALUES (29333, 3, 36, 0, 0, 124, 127);
INSERT INTO public.who_data VALUES (29334, 0, 531, 0, 8, 124, 232);
INSERT INTO public.who_data VALUES (29335, 0, 12, 0, 0, 124, 33);
INSERT INTO public.who_data VALUES (29336, 0, 67, 0, 0, 124, 97);
INSERT INTO public.who_data VALUES (29337, 0, 0, 0, 0, 124, 42);
INSERT INTO public.who_data VALUES (29338, 5, 789, 0, 42, 124, 198);
INSERT INTO public.who_data VALUES (29339, 0, 933, 0, 15, 124, 216);
INSERT INTO public.who_data VALUES (29340, 381, 342583, 16, 5201, 124, 164);
INSERT INTO public.who_data VALUES (29341, 14, 15432, 2, 319, 124, 235);
INSERT INTO public.who_data VALUES (29342, 122, 36282, 2, 778, 124, 67);
INSERT INTO public.who_data VALUES (29343, 0, 148, 0, 0, 124, 15);
INSERT INTO public.who_data VALUES (29344, 1, 2331, 0, 73, 124, 180);
INSERT INTO public.who_data VALUES (29345, 4, 57915, 0, 28, 124, 237);
INSERT INTO public.who_data VALUES (29346, 0, 14, 0, 0, 124, 25);
INSERT INTO public.who_data VALUES (29347, 16, 753, 0, 22, 124, 209);
INSERT INTO public.who_data VALUES (29348, 1567, 29835, 6, 88, 124, 217);
INSERT INTO public.who_data VALUES (29349, 537, 13686, 4, 212, 124, 79);
INSERT INTO public.who_data VALUES (29350, 0, 3, 0, 0, 124, 143);
INSERT INTO public.who_data VALUES (29351, 0, 3864, 0, 99, 124, 229);
INSERT INTO public.who_data VALUES (29352, 1461, 705254, 21, 18492, 124, 141);
INSERT INTO public.who_data VALUES (29353, 0, 2847, 0, 55, 124, 197);
INSERT INTO public.who_data VALUES (29354, 8570, 1041162, 145, 36500, 124, 221);
INSERT INTO public.who_data VALUES (29355, 87, 5625, 0, 13, 124, 150);
INSERT INTO public.who_data VALUES (29356, 0, 13724, 0, 836, 124, 56);
INSERT INTO public.who_data VALUES (29357, 7, 5130, 0, 109, 124, 167);
INSERT INTO public.who_data VALUES (29358, 321, 105700, 1, 5925, 124, 23);
INSERT INTO public.who_data VALUES (29359, 5397, 89774, 16, 1909, 124, 222);
INSERT INTO public.who_data VALUES (29360, 57, 5134, 3, 251, 124, 219);
INSERT INTO public.who_data VALUES (29361, 40, 10533, 0, 80, 124, 7);
INSERT INTO public.who_data VALUES (29362, 9, 3700, 0, 59, 124, 161);
INSERT INTO public.who_data VALUES (29363, 18803, 741216, 80, 43726, 124, 149);
INSERT INTO public.who_data VALUES (29364, 0, 29, 0, 0, 124, 6);
INSERT INTO public.who_data VALUES (29365, 14, 2071, 0, 51, 124, 139);
INSERT INTO public.who_data VALUES (29366, 0, 0, 0, 0, 124, 211);
INSERT INTO public.who_data VALUES (29367, 0, 0, 0, 0, 124, 14);
INSERT INTO public.who_data VALUES (29368, 16, 5297, 1, 96, 124, 111);
INSERT INTO public.who_data VALUES (29369, 1723, 44450, 24, 711, 124, 207);
INSERT INTO public.who_data VALUES (29370, 8756, 914839, 75, 9371, 124, 66);
INSERT INTO public.who_data VALUES (29371, 0, 0, 0, 0, 124, 173);
INSERT INTO public.who_data VALUES (29372, 0, 698, 0, 6, 124, 145);
INSERT INTO public.who_data VALUES (29373, 0, 0, 0, 0, 124, 65);
INSERT INTO public.who_data VALUES (29374, 101, 10691, 0, 97, 124, 184);
INSERT INTO public.who_data VALUES (29375, 5469, 309107, 113, 5786, 124, 98);
INSERT INTO public.who_data VALUES (29376, 915, 116517, 3, 466, 124, 104);
INSERT INTO public.who_data VALUES (29377, 0, 509, 0, 21, 124, 73);
INSERT INTO public.who_data VALUES (29378, 46378, 8065615, 472, 218131, 124, 8);
INSERT INTO public.who_data VALUES (29379, 0, 1335, 0, 21, 124, 227);
INSERT INTO public.who_data VALUES (29380, 30, 2531, 0, 51, 124, 75);
INSERT INTO public.who_data VALUES (29381, 307, 63737, 4, 533, 124, 45);
INSERT INTO public.who_data VALUES (29382, 0, 0, 0, 0, 124, 133);
INSERT INTO public.who_data VALUES (29383, 347, 86636, 5, 736, 124, 202);
INSERT INTO public.who_data VALUES (29384, 6, 1140, 0, 35, 124, 129);
INSERT INTO public.who_data VALUES (29385, 0, 1, 0, 0, 124, 36);
INSERT INTO public.who_data VALUES (29386, 0, 2060, 0, 598, 124, 51);
INSERT INTO public.who_data VALUES (29387, 44, 15897, 0, 346, 124, 206);
INSERT INTO public.who_data VALUES (29388, 12, 8159, 1, 232, 124, 5);
INSERT INTO public.who_data VALUES (29389, 87, 40373, 5, 1501, 125, 103);
INSERT INTO public.who_data VALUES (29390, 281, 17055, 3, 451, 125, 58);
INSERT INTO public.who_data VALUES (29391, 199, 54402, 10, 1856, 125, 195);
INSERT INTO public.who_data VALUES (29392, 0, 0, 0, 0, 125, 115);
INSERT INTO public.who_data VALUES (29393, 0, 3377, 0, 59, 125, 99);
INSERT INTO public.who_data VALUES (29394, 160, 7622, 6, 247, 125, 153);
INSERT INTO public.who_data VALUES (29395, 0, 3, 0, 0, 125, 93);
INSERT INTO public.who_data VALUES (29396, 6, 119, 0, 3, 125, 84);
INSERT INTO public.who_data VALUES (29397, 13510, 979119, 384, 26107, 125, 78);
INSERT INTO public.who_data VALUES (29398, 766, 64773, 10, 1086, 125, 170);
INSERT INTO public.who_data VALUES (29399, 0, 4285, 0, 32, 125, 32);
INSERT INTO public.who_data VALUES (29400, 7, 27390, 0, 904, 125, 155);
INSERT INTO public.who_data VALUES (29401, 1062, 65557, 3, 910, 125, 82);
INSERT INTO public.who_data VALUES (29402, 647, 44964, 3, 626, 125, 16);
INSERT INTO public.who_data VALUES (29403, 75, 5703, 6, 122, 125, 72);
INSERT INTO public.who_data VALUES (29404, 331, 77902, 7, 300, 125, 43);
INSERT INTO public.who_data VALUES (29405, 1274, 388569, 14, 5660, 125, 120);
INSERT INTO public.who_data VALUES (29406, 0, 219, 0, 7, 125, 213);
INSERT INTO public.who_data VALUES (29407, 635, 87698, 4, 929, 125, 31);
INSERT INTO public.who_data VALUES (29408, 4289, 246607, 31, 10441, 125, 204);
INSERT INTO public.who_data VALUES (29409, 47, 2775, 0, 43, 125, 152);
INSERT INTO public.who_data VALUES (29410, 0, 2496, 0, 41, 125, 144);
INSERT INTO public.who_data VALUES (29411, 0, 185, 0, 9, 125, 96);
INSERT INTO public.who_data VALUES (29412, 2, 327, 0, 0, 125, 47);
INSERT INTO public.who_data VALUES (29413, 148, 139710, 24, 8463, 125, 80);
INSERT INTO public.who_data VALUES (29414, 0, 131, 1, 3, 125, 159);
INSERT INTO public.who_data VALUES (29415, 559, 34120, 4, 984, 125, 27);
INSERT INTO public.who_data VALUES (29416, 0, 5242, 0, 20, 125, 146);
INSERT INTO public.who_data VALUES (29417, 24062, 5224362, 461, 153675, 125, 71);
INSERT INTO public.who_data VALUES (29418, 0, 72, 0, 1, 125, 210);
INSERT INTO public.who_data VALUES (29419, 0, 147, 0, 3, 125, 54);
INSERT INTO public.who_data VALUES (29420, 395, 29503, 18, 986, 125, 147);
INSERT INTO public.who_data VALUES (29421, 7, 2381, 0, 65, 125, 2);
INSERT INTO public.who_data VALUES (29422, 7, 549, 0, 1, 125, 105);
INSERT INTO public.who_data VALUES (29423, 114, 7752, 1, 86, 125, 53);
INSERT INTO public.who_data VALUES (29424, 0, 283, 0, 0, 125, 81);
INSERT INTO public.who_data VALUES (29425, 65, 21506, 1, 424, 125, 223);
INSERT INTO public.who_data VALUES (29426, 2215, 196321, 24, 9746, 125, 94);
INSERT INTO public.who_data VALUES (29427, 0, 233, 0, 1, 125, 154);
INSERT INTO public.who_data VALUES (29428, 1, 4856, 0, 62, 125, 83);
INSERT INTO public.who_data VALUES (29429, 14, 1379, 0, 93, 125, 194);
INSERT INTO public.who_data VALUES (29430, 1757, 491760, 47, 13635, 125, 136);
INSERT INTO public.who_data VALUES (29431, 17, 91507, 0, 4746, 125, 179);
INSERT INTO public.who_data VALUES (29432, 7017, 952371, 187, 28803, 125, 57);
INSERT INTO public.who_data VALUES (29433, 0, 496, 0, 7, 125, 35);
INSERT INTO public.who_data VALUES (29434, 0, 5156, 0, 92, 125, 228);
INSERT INTO public.who_data VALUES (29435, 0, 0, 0, 0, 125, 19);
INSERT INTO public.who_data VALUES (29436, 1166, 95514, 15, 1183, 125, 22);
INSERT INTO public.who_data VALUES (29437, 48, 20323, 0, 121, 125, 1);
INSERT INTO public.who_data VALUES (29438, 819, 25580, 8, 363, 125, 21);
INSERT INTO public.who_data VALUES (29439, 50, 6220, 0, 125, 125, 234);
INSERT INTO public.who_data VALUES (29440, 0, 673, 0, 1, 125, 91);
INSERT INTO public.who_data VALUES (29441, 265, 2644, 0, 25, 125, 137);
INSERT INTO public.who_data VALUES (29442, 5058, 173885, 70, 1422, 125, 201);
INSERT INTO public.who_data VALUES (29443, 0, 0, 0, 0, 125, 171);
INSERT INTO public.who_data VALUES (29444, 6, 11005, 0, 302, 125, 92);
INSERT INTO public.who_data VALUES (29445, 451, 35392, 1, 680, 125, 112);
INSERT INTO public.who_data VALUES (29446, 7, 5459, 0, 61, 125, 62);
INSERT INTO public.who_data VALUES (29447, 0, 33, 0, 0, 125, 69);
INSERT INTO public.who_data VALUES (29448, 422, 121347, 4, 2199, 125, 220);
INSERT INTO public.who_data VALUES (29449, 867, 153289, 12, 12387, 125, 100);
INSERT INTO public.who_data VALUES (29450, 127, 105424, 11, 6120, 125, 187);
INSERT INTO public.who_data VALUES (29451, 210, 31666, 5, 922, 125, 63);
INSERT INTO public.who_data VALUES (29452, 0, 5070, 0, 83, 125, 28);
INSERT INTO public.who_data VALUES (29453, 0, 425, 0, 0, 125, 172);
INSERT INTO public.who_data VALUES (29454, 26, 4078, 0, 68, 125, 17);
INSERT INTO public.who_data VALUES (29455, 15, 5780, 1, 116, 125, 226);
INSERT INTO public.who_data VALUES (29456, 703, 89137, 6, 1352, 125, 236);
INSERT INTO public.who_data VALUES (29457, 0, 13, 0, 0, 125, 76);
INSERT INTO public.who_data VALUES (29458, 2, 485, 0, 0, 125, 30);
INSERT INTO public.who_data VALUES (29459, 0, 32, 0, 2, 125, 128);
INSERT INTO public.who_data VALUES (29460, 131, 13424, 0, 351, 125, 86);
INSERT INTO public.who_data VALUES (29461, 29833, 867982, 85, 33204, 125, 140);
INSERT INTO public.who_data VALUES (29462, 4, 10243, 0, 69, 125, 44);
INSERT INTO public.who_data VALUES (29463, 0, 3797, 0, 14, 125, 113);
INSERT INTO public.who_data VALUES (29464, 0, 8881, 0, 54, 125, 29);
INSERT INTO public.who_data VALUES (29465, 0, 3649, 0, 118, 125, 125);
INSERT INTO public.who_data VALUES (29466, 1186, 18663, 7, 143, 125, 131);
INSERT INTO public.who_data VALUES (29467, 4325, 366299, 12, 9789, 125, 46);
INSERT INTO public.who_data VALUES (29468, 59, 47232, 0, 310, 125, 10);
INSERT INTO public.who_data VALUES (29469, 14, 558, 0, 0, 125, 205);
INSERT INTO public.who_data VALUES (29470, 438, 25370, 9, 509, 125, 50);
INSERT INTO public.who_data VALUES (29471, 0, 16, 0, 0, 125, 20);
INSERT INTO public.who_data VALUES (29472, 0, 27, 0, 0, 125, 13);
INSERT INTO public.who_data VALUES (29473, 0, 7122, 0, 111, 125, 148);
INSERT INTO public.who_data VALUES (29474, 58, 3664, 0, 66, 125, 230);
INSERT INTO public.who_data VALUES (29475, 332, 101360, 15, 3530, 125, 190);
INSERT INTO public.who_data VALUES (29476, 0, 258, 0, 13, 125, 188);
INSERT INTO public.who_data VALUES (29477, 40, 11518, 0, 70, 125, 123);
INSERT INTO public.who_data VALUES (29478, 0, 2389, 0, 41, 125, 9);
INSERT INTO public.who_data VALUES (29479, 38, 3710, 2, 109, 125, 102);
INSERT INTO public.who_data VALUES (29480, 0, 8925, 0, 231, 125, 34);
INSERT INTO public.who_data VALUES (29481, 0, 26, 0, 0, 125, 212);
INSERT INTO public.who_data VALUES (29482, 903, 87594, 7, 2563, 125, 122);
INSERT INTO public.who_data VALUES (29483, 1478, 47768, 31, 1173, 125, 38);
INSERT INTO public.who_data VALUES (29484, 57, 4055, 0, 11, 125, 130);
INSERT INTO public.who_data VALUES (29485, 55722, 7550273, 579, 114610, 125, 37);
INSERT INTO public.who_data VALUES (29486, 4105, 361867, 80, 12511, 125, 231);
INSERT INTO public.who_data VALUES (29487, 3890, 530380, 252, 30375, 125, 107);
INSERT INTO public.who_data VALUES (29488, 3110, 426634, 56, 10254, 125, 101);
INSERT INTO public.who_data VALUES (29489, 1284, 49962, 3, 1852, 125, 132);
INSERT INTO public.who_data VALUES (29490, 0, 348, 0, 24, 125, 176);
INSERT INTO public.who_data VALUES (29491, 412, 302775, 32, 2218, 125, 200);
INSERT INTO public.who_data VALUES (29492, 11705, 414241, 69, 36543, 125, 169);
INSERT INTO public.who_data VALUES (29493, 79, 8274, 3, 171, 125, 225);
INSERT INTO public.who_data VALUES (29494, 471, 93127, 4, 1674, 125, 165);
INSERT INTO public.who_data VALUES (29495, 0, 491, 0, 32, 125, 233);
INSERT INTO public.who_data VALUES (29496, 1520, 37641, 15, 345, 125, 215);
INSERT INTO public.who_data VALUES (29497, 130, 145603, 0, 2178, 125, 177);
INSERT INTO public.who_data VALUES (29498, 685, 44881, 7, 832, 125, 183);
INSERT INTO public.who_data VALUES (29499, 0, 0, 0, 0, 125, 203);
INSERT INTO public.who_data VALUES (29500, 137, 16848, 1, 643, 125, 162);
INSERT INTO public.who_data VALUES (29501, 663, 116146, 7, 701, 125, 12);
INSERT INTO public.who_data VALUES (29502, 482, 52526, 0, 1111, 125, 24);
INSERT INTO public.who_data VALUES (29503, 0, 23, 0, 0, 125, 119);
INSERT INTO public.who_data VALUES (29504, 58, 3450, 0, 42, 125, 39);
INSERT INTO public.who_data VALUES (29505, 1002, 61949, 3, 520, 125, 26);
INSERT INTO public.who_data VALUES (29506, 0, 1833, 0, 42, 125, 59);
INSERT INTO public.who_data VALUES (29507, 3, 1380, 0, 82, 125, 77);
INSERT INTO public.who_data VALUES (29508, 1159, 49949, 7, 732, 125, 134);
INSERT INTO public.who_data VALUES (29509, 2, 228, 0, 1, 125, 4);
INSERT INTO public.who_data VALUES (29510, 206, 7720, 2, 102, 125, 109);
INSERT INTO public.who_data VALUES (29511, 175, 10646, 0, 133, 125, 90);
INSERT INTO public.who_data VALUES (29512, -4, 16810, 0, 238, 125, 61);
INSERT INTO public.who_data VALUES (29513, 5, 5857, 0, 181, 125, 85);
INSERT INTO public.who_data VALUES (29514, 871, 20498, 7, 187, 125, 49);
INSERT INTO public.who_data VALUES (29515, 32, 11210, 1, 37, 125, 208);
INSERT INTO public.who_data VALUES (29516, 9, 3388, 0, 132, 125, 166);
INSERT INTO public.who_data VALUES (29517, 142, 4620, 0, 45, 125, 64);
INSERT INTO public.who_data VALUES (29518, 0, 0, 0, 0, 125, 199);
INSERT INTO public.who_data VALUES (29519, 0, 2266, 0, 25, 125, 114);
INSERT INTO public.who_data VALUES (29520, 5, 7608, 0, 163, 125, 60);
INSERT INTO public.who_data VALUES (29521, 0, 407, 0, 10, 125, 68);
INSERT INTO public.who_data VALUES (29522, 0, 4030, 0, 43, 125, 158);
INSERT INTO public.who_data VALUES (29523, 5447, 847108, 355, 86059, 125, 52);
INSERT INTO public.who_data VALUES (29524, 0, 0, 0, 0, 125, 117);
INSERT INTO public.who_data VALUES (29525, 5, 268, 0, 2, 125, 126);
INSERT INTO public.who_data VALUES (29526, 4, 324, 0, 0, 125, 196);
INSERT INTO public.who_data VALUES (29527, 118, 15848, 4, 240, 125, 142);
INSERT INTO public.who_data VALUES (29528, 0, 13, 0, 1, 125, 185);
INSERT INTO public.who_data VALUES (29529, 2721, 173632, 50, 2928, 125, 138);
INSERT INTO public.who_data VALUES (29530, 159, 10866, 1, 75, 125, 181);
INSERT INTO public.who_data VALUES (29531, 1150, 36025, 42, 880, 125, 178);
INSERT INTO public.who_data VALUES (29532, 30, 12293, 0, 131, 125, 168);
INSERT INTO public.who_data VALUES (29533, 0, 0, 0, 0, 125, 160);
INSERT INTO public.who_data VALUES (29534, 2942, 132246, 12, 739, 125, 151);
INSERT INTO public.who_data VALUES (29535, 8149, 227585, 14, 6747, 125, 193);
INSERT INTO public.who_data VALUES (29536, 0, 27, 0, 0, 125, 18);
INSERT INTO public.who_data VALUES (29537, 0, 1530, 0, 25, 125, 40);
INSERT INTO public.who_data VALUES (29538, 0, 4297, 0, 154, 125, 218);
INSERT INTO public.who_data VALUES (29539, 1, 1210, 0, 69, 125, 191);
INSERT INTO public.who_data VALUES (29540, 133, 61440, 2, 1125, 125, 156);
INSERT INTO public.who_data VALUES (29541, 0, 0, 0, 0, 125, 135);
INSERT INTO public.who_data VALUES (29542, 0, 86, 0, 2, 125, 88);
INSERT INTO public.who_data VALUES (29543, 427, 23628, 10, 834, 125, 55);
INSERT INTO public.who_data VALUES (29544, 0, 16136, 0, 278, 125, 108);
INSERT INTO public.who_data VALUES (29545, 389, 58539, 6, 478, 125, 48);
INSERT INTO public.who_data VALUES (29546, 1657, 109953, 30, 1101, 125, 3);
INSERT INTO public.who_data VALUES (29547, 0, 741, 0, 13, 125, 224);
INSERT INTO public.who_data VALUES (29548, 440, 323459, 5, 6659, 125, 110);
INSERT INTO public.who_data VALUES (29549, 0, 0, 0, 0, 125, 106);
INSERT INTO public.who_data VALUES (29550, 609, 124107, 11, 2557, 125, 89);
INSERT INTO public.who_data VALUES (29551, 0, 581, 0, 7, 125, 121);
INSERT INTO public.who_data VALUES (29552, 533, 54015, 13, 1179, 125, 163);
INSERT INTO public.who_data VALUES (29553, 3132, 865549, 54, 33702, 125, 70);
INSERT INTO public.who_data VALUES (29554, 2280, 356618, 49, 6652, 125, 174);
INSERT INTO public.who_data VALUES (29555, 0, 0, 0, 0, 125, 175);
INSERT INTO public.who_data VALUES (29556, 8536, 175766, 49, 3573, 125, 118);
INSERT INTO public.who_data VALUES (29557, 1856, 99911, 19, 2181, 125, 189);
INSERT INTO public.who_data VALUES (29558, 643, 57293, 5, 766, 125, 124);
INSERT INTO public.who_data VALUES (29559, 204, 129431, 1, 224, 125, 192);
INSERT INTO public.who_data VALUES (29560, 76, 25275, 0, 444, 125, 41);
INSERT INTO public.who_data VALUES (29561, 398, 67050, 15, 1584, 125, 95);
INSERT INTO public.who_data VALUES (29562, 0, 4776, 0, 17, 125, 74);
INSERT INTO public.who_data VALUES (29563, 3920, 180388, 60, 5872, 125, 11);
INSERT INTO public.who_data VALUES (29564, 15982, 1415316, 179, 24366, 125, 87);
INSERT INTO public.who_data VALUES (29565, 3, 4974, 0, 34, 125, 214);
INSERT INTO public.who_data VALUES (29566, 0, 5, 0, 0, 125, 116);
INSERT INTO public.who_data VALUES (29567, 0, 72, 0, 0, 125, 157);
INSERT INTO public.who_data VALUES (29568, 0, 0, 0, 0, 125, 182);
INSERT INTO public.who_data VALUES (29569, 0, 19, 0, 0, 125, 186);
INSERT INTO public.who_data VALUES (29570, 0, 33, 0, 0, 125, 127);
INSERT INTO public.who_data VALUES (29571, 0, 531, 0, 8, 125, 232);
INSERT INTO public.who_data VALUES (29572, 0, 12, 0, 0, 125, 33);
INSERT INTO public.who_data VALUES (29573, 0, 67, 0, 0, 125, 97);
INSERT INTO public.who_data VALUES (29574, 0, 0, 0, 0, 125, 42);
INSERT INTO public.who_data VALUES (29575, 0, 784, 0, 42, 125, 198);
INSERT INTO public.who_data VALUES (29576, 1, 933, 0, 15, 125, 216);
INSERT INTO public.who_data VALUES (29577, 348, 342202, 20, 5185, 125, 164);
INSERT INTO public.who_data VALUES (29578, 50, 15418, 0, 317, 125, 235);
INSERT INTO public.who_data VALUES (29579, 214, 36160, 2, 776, 125, 67);
INSERT INTO public.who_data VALUES (29580, 0, 148, 0, 0, 125, 15);
INSERT INTO public.who_data VALUES (29581, 3, 2330, 0, 73, 125, 180);
INSERT INTO public.who_data VALUES (29582, 7, 57911, 0, 28, 125, 237);
INSERT INTO public.who_data VALUES (29583, 0, 14, 0, 0, 125, 25);
INSERT INTO public.who_data VALUES (29584, 0, 737, 0, 22, 125, 209);
INSERT INTO public.who_data VALUES (29585, 1968, 28268, 11, 82, 125, 217);
INSERT INTO public.who_data VALUES (29586, 727, 13149, 6, 208, 125, 79);
INSERT INTO public.who_data VALUES (29587, 0, 3, 0, 0, 125, 143);
INSERT INTO public.who_data VALUES (29588, 0, 3864, 0, 99, 125, 229);
INSERT INTO public.who_data VALUES (29589, 1662, 703793, 63, 18471, 125, 141);
INSERT INTO public.who_data VALUES (29590, 5, 2847, 0, 55, 125, 197);
INSERT INTO public.who_data VALUES (29591, 12349, 1032592, 123, 36355, 125, 221);
INSERT INTO public.who_data VALUES (29592, 63, 5538, 0, 13, 125, 150);
INSERT INTO public.who_data VALUES (29593, 13, 13724, 0, 836, 125, 56);
INSERT INTO public.who_data VALUES (29594, 10, 5123, 0, 109, 125, 167);
INSERT INTO public.who_data VALUES (29595, 697, 105379, 4, 5924, 125, 23);
INSERT INTO public.who_data VALUES (29596, 1786, 84377, 7, 1893, 125, 222);
INSERT INTO public.who_data VALUES (29597, 44, 5077, 3, 248, 125, 219);
INSERT INTO public.who_data VALUES (29598, 38, 10493, 0, 80, 125, 7);
INSERT INTO public.who_data VALUES (29599, 5, 3691, 0, 59, 125, 161);
INSERT INTO public.who_data VALUES (29600, 16981, 722413, 67, 43646, 125, 149);
INSERT INTO public.who_data VALUES (29601, 0, 29, 0, 0, 125, 6);
INSERT INTO public.who_data VALUES (29602, 8, 2057, 0, 51, 125, 139);
INSERT INTO public.who_data VALUES (29603, 0, 0, 0, 0, 125, 211);
INSERT INTO public.who_data VALUES (29604, 0, 0, 0, 0, 125, 14);
INSERT INTO public.who_data VALUES (29605, 40, 5281, 0, 95, 125, 111);
INSERT INTO public.who_data VALUES (29606, 2185, 42727, 61, 687, 125, 207);
INSERT INTO public.who_data VALUES (29607, 8545, 906083, 72, 9296, 125, 66);
INSERT INTO public.who_data VALUES (29608, 0, 0, 0, 0, 125, 173);
INSERT INTO public.who_data VALUES (29609, 1, 698, 0, 6, 125, 145);
INSERT INTO public.who_data VALUES (29610, 0, 0, 0, 0, 125, 65);
INSERT INTO public.who_data VALUES (29611, 135, 10590, 1, 97, 125, 184);
INSERT INTO public.who_data VALUES (29612, 4766, 303638, 66, 5673, 125, 98);
INSERT INTO public.who_data VALUES (29613, 1215, 115602, 4, 463, 125, 104);
INSERT INTO public.who_data VALUES (29614, 0, 509, 0, 21, 125, 73);
INSERT INTO public.who_data VALUES (29615, 52508, 8019237, 588, 217659, 125, 8);
INSERT INTO public.who_data VALUES (29616, 6, 1335, 0, 21, 125, 227);
INSERT INTO public.who_data VALUES (29617, 51, 2501, 0, 51, 125, 75);
INSERT INTO public.who_data VALUES (29618, 306, 63430, 4, 529, 125, 45);
INSERT INTO public.who_data VALUES (29619, 0, 0, 0, 0, 125, 133);
INSERT INTO public.who_data VALUES (29620, 531, 86289, 6, 731, 125, 202);
INSERT INTO public.who_data VALUES (29621, 8, 1134, 0, 35, 125, 129);
INSERT INTO public.who_data VALUES (29622, 1, 1, 0, 0, 125, 36);
INSERT INTO public.who_data VALUES (29623, 1, 2060, 1, 598, 125, 51);
INSERT INTO public.who_data VALUES (29624, 64, 15853, 0, 346, 125, 206);
INSERT INTO public.who_data VALUES (29625, 37, 8147, 0, 231, 125, 5);
INSERT INTO public.who_data VALUES (29626, 59, 40286, 4, 1496, 126, 103);
INSERT INTO public.who_data VALUES (29627, 273, 16774, 5, 448, 126, 58);
INSERT INTO public.who_data VALUES (29628, 205, 54203, 5, 1846, 126, 195);
INSERT INTO public.who_data VALUES (29629, 0, 0, 0, 0, 126, 115);
INSERT INTO public.who_data VALUES (29630, 0, 3377, 0, 59, 126, 99);
INSERT INTO public.who_data VALUES (29631, 240, 7462, 7, 241, 126, 153);
INSERT INTO public.who_data VALUES (29632, 0, 3, 0, 0, 126, 93);
INSERT INTO public.who_data VALUES (29633, 1, 113, 0, 3, 126, 84);
INSERT INTO public.who_data VALUES (29634, 16546, 965609, 381, 25723, 126, 78);
INSERT INTO public.who_data VALUES (29635, 1694, 64007, 14, 1076, 126, 170);
INSERT INTO public.who_data VALUES (29636, 0, 4285, 0, 32, 126, 32);
INSERT INTO public.who_data VALUES (29637, 12, 27383, 0, 904, 126, 155);
INSERT INTO public.who_data VALUES (29638, 2040, 64495, 6, 907, 126, 82);
INSERT INTO public.who_data VALUES (29639, 528, 44317, 2, 623, 126, 16);
INSERT INTO public.who_data VALUES (29640, 111, 5628, 2, 116, 126, 72);
INSERT INTO public.who_data VALUES (29641, 246, 77571, 1, 293, 126, 43);
INSERT INTO public.who_data VALUES (29642, 1209, 387295, 23, 5646, 126, 120);
INSERT INTO public.who_data VALUES (29643, 1, 219, 0, 7, 126, 213);
INSERT INTO public.who_data VALUES (29644, 671, 87063, 4, 925, 126, 31);
INSERT INTO public.who_data VALUES (29645, 7996, 242318, 23, 10410, 126, 204);
INSERT INTO public.who_data VALUES (29646, 46, 2728, 2, 43, 126, 152);
INSERT INTO public.who_data VALUES (29647, 0, 2496, 0, 41, 126, 144);
INSERT INTO public.who_data VALUES (29648, 0, 185, 0, 9, 126, 96);
INSERT INTO public.who_data VALUES (29649, 9, 325, 0, 0, 126, 47);
INSERT INTO public.who_data VALUES (29650, 243, 139562, 32, 8439, 126, 80);
INSERT INTO public.who_data VALUES (29651, 0, 131, 0, 2, 126, 159);
INSERT INTO public.who_data VALUES (29652, 713, 33561, 2, 980, 126, 27);
INSERT INTO public.who_data VALUES (29653, 0, 5242, 0, 20, 126, 146);
INSERT INTO public.who_data VALUES (29654, 30914, 5200300, 754, 153214, 126, 71);
INSERT INTO public.who_data VALUES (29655, 0, 72, 0, 1, 126, 210);
INSERT INTO public.who_data VALUES (29656, 0, 147, 0, 3, 126, 54);
INSERT INTO public.who_data VALUES (29657, 603, 29108, 10, 968, 126, 147);
INSERT INTO public.who_data VALUES (29658, 31, 2374, 0, 65, 126, 2);
INSERT INTO public.who_data VALUES (29659, 6, 542, 0, 1, 126, 105);
INSERT INTO public.who_data VALUES (29660, 112, 7638, 3, 85, 126, 53);
INSERT INTO public.who_data VALUES (29661, 0, 283, 0, 0, 126, 81);
INSERT INTO public.who_data VALUES (29662, 0, 21441, 0, 423, 126, 223);
INSERT INTO public.who_data VALUES (29663, 2374, 194106, 23, 9722, 126, 94);
INSERT INTO public.who_data VALUES (29664, 8, 233, 0, 1, 126, 154);
INSERT INTO public.who_data VALUES (29665, 0, 4855, 0, 62, 126, 83);
INSERT INTO public.who_data VALUES (29666, 4, 1365, 0, 93, 126, 194);
INSERT INTO public.who_data VALUES (29667, 1813, 490003, 59, 13588, 126, 136);
INSERT INTO public.who_data VALUES (29668, 30, 91490, 0, 4746, 126, 179);
INSERT INTO public.who_data VALUES (29669, 8372, 945354, 159, 28616, 126, 57);
INSERT INTO public.who_data VALUES (29670, 0, 496, 0, 7, 126, 35);
INSERT INTO public.who_data VALUES (29671, 0, 5156, 0, 92, 126, 228);
INSERT INTO public.who_data VALUES (29672, 0, 0, 0, 0, 126, 19);
INSERT INTO public.who_data VALUES (29673, 1196, 94348, 9, 1168, 126, 22);
INSERT INTO public.who_data VALUES (29674, 18, 20275, 0, 121, 126, 1);
INSERT INTO public.who_data VALUES (29675, 1096, 24761, 10, 355, 126, 21);
INSERT INTO public.who_data VALUES (29676, 52, 6170, 1, 125, 126, 234);
INSERT INTO public.who_data VALUES (29677, 0, 673, 0, 1, 126, 91);
INSERT INTO public.who_data VALUES (29678, 0, 2379, 0, 25, 126, 137);
INSERT INTO public.who_data VALUES (29679, 8715, 168827, 69, 1352, 126, 201);
INSERT INTO public.who_data VALUES (29680, 0, 0, 0, 0, 126, 171);
INSERT INTO public.who_data VALUES (29681, 65, 10999, 21, 302, 126, 92);
INSERT INTO public.who_data VALUES (29682, 500, 34941, 2, 679, 126, 112);
INSERT INTO public.who_data VALUES (29683, 3, 5452, 0, 61, 126, 62);
INSERT INTO public.who_data VALUES (29684, 0, 33, 0, 0, 126, 69);
INSERT INTO public.who_data VALUES (29685, 475, 120925, 3, 2195, 126, 220);
INSERT INTO public.who_data VALUES (29686, 763, 152422, 18, 12375, 126, 100);
INSERT INTO public.who_data VALUES (29687, 138, 105297, 10, 6109, 126, 187);
INSERT INTO public.who_data VALUES (29688, 191, 31456, 5, 917, 126, 63);
INSERT INTO public.who_data VALUES (29689, 2, 5070, 0, 83, 126, 28);
INSERT INTO public.who_data VALUES (29690, 3, 425, 0, 0, 126, 172);
INSERT INTO public.who_data VALUES (29691, 35, 4052, 0, 68, 126, 17);
INSERT INTO public.who_data VALUES (29692, 19, 5765, 0, 115, 126, 226);
INSERT INTO public.who_data VALUES (29693, 600, 88434, 9, 1346, 126, 236);
INSERT INTO public.who_data VALUES (29694, 0, 13, 0, 0, 126, 76);
INSERT INTO public.who_data VALUES (29695, 1, 483, 0, 0, 126, 30);
INSERT INTO public.who_data VALUES (29696, 0, 32, 0, 2, 126, 128);
INSERT INTO public.who_data VALUES (29697, 160, 13293, 0, 351, 126, 86);
INSERT INTO public.who_data VALUES (29698, 32427, 838149, 89, 33119, 126, 140);
INSERT INTO public.who_data VALUES (29699, 0, 10239, 0, 69, 126, 44);
INSERT INTO public.who_data VALUES (29700, 0, 3797, 0, 14, 126, 113);
INSERT INTO public.who_data VALUES (29701, 0, 8881, 0, 54, 126, 29);
INSERT INTO public.who_data VALUES (29702, 5, 3649, 0, 118, 126, 125);
INSERT INTO public.who_data VALUES (29703, 1192, 17477, 8, 136, 126, 131);
INSERT INTO public.who_data VALUES (29704, 5587, 361974, 10, 9777, 126, 46);
INSERT INTO public.who_data VALUES (29705, 0, 47173, 0, 310, 126, 10);
INSERT INTO public.who_data VALUES (29706, 13, 544, 0, 0, 126, 205);
INSERT INTO public.who_data VALUES (29707, 482, 24932, 10, 500, 126, 50);
INSERT INTO public.who_data VALUES (29708, 0, 16, 0, 0, 126, 20);
INSERT INTO public.who_data VALUES (29709, 2, 27, 0, 0, 126, 13);
INSERT INTO public.who_data VALUES (29710, 0, 7122, 0, 111, 126, 148);
INSERT INTO public.who_data VALUES (29711, 79, 3606, 3, 66, 126, 230);
INSERT INTO public.who_data VALUES (29712, 597, 101028, 37, 3515, 126, 190);
INSERT INTO public.who_data VALUES (29713, 0, 258, 0, 13, 126, 188);
INSERT INTO public.who_data VALUES (29714, 116, 11478, 0, 70, 126, 123);
INSERT INTO public.who_data VALUES (29715, 0, 2389, 0, 41, 126, 9);
INSERT INTO public.who_data VALUES (29716, 52, 3672, 0, 107, 126, 102);
INSERT INTO public.who_data VALUES (29717, 0, 8925, 0, 231, 126, 34);
INSERT INTO public.who_data VALUES (29718, 0, 26, 0, 0, 126, 212);
INSERT INTO public.who_data VALUES (29719, 602, 86691, 4, 2556, 126, 122);
INSERT INTO public.who_data VALUES (29720, 1474, 46290, 33, 1142, 126, 38);
INSERT INTO public.who_data VALUES (29721, 69, 3998, 0, 11, 126, 130);
INSERT INTO public.who_data VALUES (29722, 61871, 7494551, 1033, 114031, 126, 37);
INSERT INTO public.who_data VALUES (29723, 4301, 357762, 84, 12431, 126, 231);
INSERT INTO public.who_data VALUES (29724, 4103, 526490, 253, 30123, 126, 107);
INSERT INTO public.who_data VALUES (29725, 3221, 423524, 56, 10198, 126, 101);
INSERT INTO public.who_data VALUES (29726, 1251, 48678, 8, 1849, 126, 132);
INSERT INTO public.who_data VALUES (29727, 0, 348, 0, 24, 126, 176);
INSERT INTO public.who_data VALUES (29728, 1500, 302363, 36, 2186, 126, 200);
INSERT INTO public.who_data VALUES (29729, 10925, 402536, 47, 36474, 126, 169);
INSERT INTO public.who_data VALUES (29730, 63, 8195, 6, 168, 126, 225);
INSERT INTO public.who_data VALUES (29731, 593, 92656, 9, 1670, 126, 165);
INSERT INTO public.who_data VALUES (29732, 1, 491, 0, 32, 126, 233);
INSERT INTO public.who_data VALUES (29733, 1505, 36121, 20, 330, 126, 215);
INSERT INTO public.who_data VALUES (29734, 153, 145473, 42, 2178, 126, 177);
INSERT INTO public.who_data VALUES (29735, 616, 44196, 12, 825, 126, 183);
INSERT INTO public.who_data VALUES (29736, 0, 0, 0, 0, 126, 203);
INSERT INTO public.who_data VALUES (29737, 148, 16711, 0, 642, 126, 162);
INSERT INTO public.who_data VALUES (29738, 739, 115483, 4, 694, 126, 12);
INSERT INTO public.who_data VALUES (29739, 554, 52044, 3, 1111, 126, 24);
INSERT INTO public.who_data VALUES (29740, 0, 23, 0, 0, 126, 119);
INSERT INTO public.who_data VALUES (29741, 188, 3392, 0, 42, 126, 39);
INSERT INTO public.who_data VALUES (29742, 1068, 60947, 8, 517, 126, 26);
INSERT INTO public.who_data VALUES (29743, 0, 1833, 0, 42, 126, 59);
INSERT INTO public.who_data VALUES (29744, 0, 1377, 0, 82, 126, 77);
INSERT INTO public.who_data VALUES (29745, 945, 48790, 26, 725, 126, 134);
INSERT INTO public.who_data VALUES (29746, 6, 226, 0, 1, 126, 4);
INSERT INTO public.who_data VALUES (29747, 253, 7514, 2, 100, 126, 109);
INSERT INTO public.who_data VALUES (29748, 0, 10471, 0, 133, 126, 90);
INSERT INTO public.who_data VALUES (29749, 0, 16814, 0, 238, 126, 61);
INSERT INTO public.who_data VALUES (29750, 10, 5852, 0, 181, 126, 85);
INSERT INTO public.who_data VALUES (29751, 869, 19627, 4, 180, 126, 49);
INSERT INTO public.who_data VALUES (29752, 24, 11178, 1, 36, 126, 208);
INSERT INTO public.who_data VALUES (29753, 11, 3379, 0, 132, 126, 166);
INSERT INTO public.who_data VALUES (29754, 204, 4478, 0, 45, 126, 64);
INSERT INTO public.who_data VALUES (29755, 0, 0, 0, 0, 126, 199);
INSERT INTO public.who_data VALUES (29756, 0, 2266, 0, 25, 126, 114);
INSERT INTO public.who_data VALUES (29757, 0, 7603, 0, 163, 126, 60);
INSERT INTO public.who_data VALUES (29758, 0, 407, 0, 10, 126, 68);
INSERT INTO public.who_data VALUES (29759, 0, 4030, 0, 43, 126, 158);
INSERT INTO public.who_data VALUES (29760, 6751, 841661, 419, 85704, 126, 52);
INSERT INTO public.who_data VALUES (29761, 0, 0, 0, 0, 126, 117);
INSERT INTO public.who_data VALUES (29762, 5, 263, 0, 2, 126, 126);
INSERT INTO public.who_data VALUES (29763, 0, 320, 0, 0, 126, 196);
INSERT INTO public.who_data VALUES (29764, 139, 15730, 5, 236, 126, 142);
INSERT INTO public.who_data VALUES (29765, 0, 13, 0, 1, 126, 185);
INSERT INTO public.who_data VALUES (29766, 3763, 170911, 60, 2878, 126, 138);
INSERT INTO public.who_data VALUES (29767, 95, 10707, 1, 74, 126, 181);
INSERT INTO public.who_data VALUES (29768, 1387, 34875, 39, 838, 126, 178);
INSERT INTO public.who_data VALUES (29769, 48, 12263, 0, 131, 126, 168);
INSERT INTO public.who_data VALUES (29770, 0, 0, 0, 0, 126, 160);
INSERT INTO public.who_data VALUES (29771, 3167, 129304, 12, 727, 126, 151);
INSERT INTO public.who_data VALUES (29772, 8107, 219436, 28, 6733, 126, 193);
INSERT INTO public.who_data VALUES (29773, 0, 27, 0, 0, 126, 18);
INSERT INTO public.who_data VALUES (29774, 3, 1530, 0, 25, 126, 40);
INSERT INTO public.who_data VALUES (29775, 0, 4297, 0, 154, 126, 218);
INSERT INTO public.who_data VALUES (29776, 0, 1209, 0, 69, 126, 191);
INSERT INTO public.who_data VALUES (29777, 113, 61307, 4, 1123, 126, 156);
INSERT INTO public.who_data VALUES (29778, 0, 0, 0, 0, 126, 135);
INSERT INTO public.who_data VALUES (29779, 6, 86, 0, 2, 126, 88);
INSERT INTO public.who_data VALUES (29780, 594, 23201, 3, 824, 126, 55);
INSERT INTO public.who_data VALUES (29781, 0, 16136, 0, 278, 126, 108);
INSERT INTO public.who_data VALUES (29782, 312, 58150, 0, 472, 126, 48);
INSERT INTO public.who_data VALUES (29783, 0, 108296, 0, 1071, 126, 3);
INSERT INTO public.who_data VALUES (29784, 0, 741, 0, 13, 126, 224);
INSERT INTO public.who_data VALUES (29785, 567, 323019, 16, 6654, 126, 110);
INSERT INTO public.who_data VALUES (29786, 0, 0, 0, 0, 126, 106);
INSERT INTO public.who_data VALUES (29787, 615, 123498, 17, 2546, 126, 89);
INSERT INTO public.who_data VALUES (29788, 3, 581, 0, 7, 126, 121);
INSERT INTO public.who_data VALUES (29789, 886, 53482, 16, 1166, 126, 163);
INSERT INTO public.who_data VALUES (29790, 2677, 862417, 71, 33648, 126, 70);
INSERT INTO public.who_data VALUES (29791, 2588, 354338, 72, 6603, 126, 174);
INSERT INTO public.who_data VALUES (29792, 0, 0, 0, 0, 126, 175);
INSERT INTO public.who_data VALUES (29793, 9622, 167230, 84, 3524, 126, 118);
INSERT INTO public.who_data VALUES (29794, 2153, 98055, 13, 2162, 126, 189);
INSERT INTO public.who_data VALUES (29795, 238, 56650, 3, 761, 126, 124);
INSERT INTO public.who_data VALUES (29796, 235, 129227, 1, 223, 126, 192);
INSERT INTO public.who_data VALUES (29797, 91, 25199, 1, 444, 126, 41);
INSERT INTO public.who_data VALUES (29798, 792, 66652, 20, 1569, 126, 95);
INSERT INTO public.who_data VALUES (29799, 0, 4776, 0, 17, 126, 74);
INSERT INTO public.who_data VALUES (29800, 3952, 176468, 63, 5812, 126, 11);
INSERT INTO public.who_data VALUES (29801, 15099, 1399334, 185, 24187, 126, 87);
INSERT INTO public.who_data VALUES (29802, 6, 4971, 0, 34, 126, 214);
INSERT INTO public.who_data VALUES (29803, 0, 5, 0, 0, 126, 116);
INSERT INTO public.who_data VALUES (29804, 0, 72, 0, 0, 126, 157);
INSERT INTO public.who_data VALUES (29805, 0, 0, 0, 0, 126, 182);
INSERT INTO public.who_data VALUES (29806, 0, 19, 0, 0, 126, 186);
INSERT INTO public.who_data VALUES (29807, 1, 33, 0, 0, 126, 127);
INSERT INTO public.who_data VALUES (29808, 0, 531, 0, 8, 126, 232);
INSERT INTO public.who_data VALUES (29809, 0, 12, 0, 0, 126, 33);
INSERT INTO public.who_data VALUES (29810, 2, 67, 0, 0, 126, 97);
INSERT INTO public.who_data VALUES (29811, 0, 0, 0, 0, 126, 42);
INSERT INTO public.who_data VALUES (29812, 0, 784, 0, 42, 126, 198);
INSERT INTO public.who_data VALUES (29813, 0, 932, 0, 15, 126, 216);
INSERT INTO public.who_data VALUES (29814, 359, 341854, 21, 5165, 126, 164);
INSERT INTO public.who_data VALUES (29815, 0, 15368, 0, 317, 126, 235);
INSERT INTO public.who_data VALUES (29816, 227, 35946, 2, 774, 126, 67);
INSERT INTO public.who_data VALUES (29817, 0, 148, 0, 0, 126, 15);
INSERT INTO public.who_data VALUES (29818, 2, 2327, 0, 73, 126, 180);
INSERT INTO public.who_data VALUES (29819, 3, 57904, 0, 28, 126, 237);
INSERT INTO public.who_data VALUES (29820, 0, 14, 0, 0, 126, 25);
INSERT INTO public.who_data VALUES (29821, 0, 737, 0, 22, 126, 209);
INSERT INTO public.who_data VALUES (29822, 2075, 26300, 0, 71, 126, 217);
INSERT INTO public.who_data VALUES (29823, 898, 12422, 5, 202, 126, 79);
INSERT INTO public.who_data VALUES (29824, 0, 3, 0, 0, 126, 143);
INSERT INTO public.who_data VALUES (29825, 0, 3864, 0, 99, 126, 229);
INSERT INTO public.who_data VALUES (29826, 1928, 702131, 38, 18408, 126, 141);
INSERT INTO public.who_data VALUES (29827, 25, 2842, 0, 55, 126, 197);
INSERT INTO public.who_data VALUES (29828, 19074, 1020243, 149, 36232, 126, 221);
INSERT INTO public.who_data VALUES (29829, 121, 5475, 0, 13, 126, 150);
INSERT INTO public.who_data VALUES (29830, 11, 13711, 0, 836, 126, 56);
INSERT INTO public.who_data VALUES (29831, 19, 5113, 0, 109, 126, 167);
INSERT INTO public.who_data VALUES (29832, 1179, 104682, 2, 5920, 126, 23);
INSERT INTO public.who_data VALUES (29833, 2379, 82591, 7, 1886, 126, 222);
INSERT INTO public.who_data VALUES (29834, 46, 5033, 4, 245, 126, 219);
INSERT INTO public.who_data VALUES (29835, 41, 10455, 0, 80, 126, 7);
INSERT INTO public.who_data VALUES (29836, 7, 3686, 0, 59, 126, 161);
INSERT INTO public.who_data VALUES (29837, 16171, 705432, 150, 43579, 126, 149);
INSERT INTO public.who_data VALUES (29838, 0, 29, 0, 0, 126, 6);
INSERT INTO public.who_data VALUES (29839, 22, 2049, 0, 51, 126, 139);
INSERT INTO public.who_data VALUES (29840, 0, 0, 0, 0, 126, 211);
INSERT INTO public.who_data VALUES (29841, 0, 0, 0, 0, 126, 14);
INSERT INTO public.who_data VALUES (29842, 47, 5241, 2, 95, 126, 111);
INSERT INTO public.who_data VALUES (29843, 0, 40542, 0, 626, 126, 207);
INSERT INTO public.who_data VALUES (29844, 8453, 897538, 71, 9224, 126, 66);
INSERT INTO public.who_data VALUES (29845, 0, 0, 0, 0, 126, 173);
INSERT INTO public.who_data VALUES (29846, 1, 697, 0, 6, 126, 145);
INSERT INTO public.who_data VALUES (29847, 0, 0, 0, 0, 126, 65);
INSERT INTO public.who_data VALUES (29848, 121, 10455, 0, 96, 126, 184);
INSERT INTO public.who_data VALUES (29849, 5231, 298872, 90, 5607, 126, 98);
INSERT INTO public.who_data VALUES (29850, 1538, 114387, 4, 459, 126, 104);
INSERT INTO public.who_data VALUES (29851, 0, 509, 0, 21, 126, 73);
INSERT INTO public.who_data VALUES (29852, 69834, 7966729, 998, 217071, 126, 8);
INSERT INTO public.who_data VALUES (29853, 0, 1329, 0, 21, 126, 227);
INSERT INTO public.who_data VALUES (29854, 33, 2450, 0, 51, 126, 75);
INSERT INTO public.who_data VALUES (29855, 315, 63124, 3, 525, 126, 45);
INSERT INTO public.who_data VALUES (29856, 0, 0, 0, 0, 126, 133);
INSERT INTO public.who_data VALUES (29857, 289, 85758, 5, 725, 126, 202);
INSERT INTO public.who_data VALUES (29858, 2, 1126, 0, 35, 126, 129);
INSERT INTO public.who_data VALUES (29859, 0, 0, 0, 0, 126, 36);
INSERT INTO public.who_data VALUES (29860, 0, 2059, 0, 597, 126, 51);
INSERT INTO public.who_data VALUES (29861, 130, 15789, 0, 346, 126, 206);
INSERT INTO public.who_data VALUES (29862, 11, 8110, 0, 231, 126, 5);
INSERT INTO public.who_data VALUES (29863, 68, 40227, 3, 1492, 127, 103);
INSERT INTO public.who_data VALUES (29864, 289, 16501, 4, 443, 127, 58);
INSERT INTO public.who_data VALUES (29865, 221, 53998, 5, 1841, 127, 195);
INSERT INTO public.who_data VALUES (29866, 0, 0, 0, 0, 127, 115);
INSERT INTO public.who_data VALUES (29867, 187, 3377, 0, 59, 127, 99);
INSERT INTO public.who_data VALUES (29868, 126, 7222, 6, 234, 127, 153);
INSERT INTO public.who_data VALUES (29869, 0, 3, 0, 0, 127, 93);
INSERT INTO public.who_data VALUES (29870, 0, 112, 0, 3, 127, 84);
INSERT INTO public.who_data VALUES (29871, 17096, 949063, 421, 25342, 127, 78);
INSERT INTO public.who_data VALUES (29872, 1540, 62313, 11, 1062, 127, 170);
INSERT INTO public.who_data VALUES (29873, 30, 4285, 0, 32, 127, 32);
INSERT INTO public.who_data VALUES (29874, 9, 27371, 0, 904, 127, 155);
INSERT INTO public.who_data VALUES (29875, 1691, 62455, 7, 901, 127, 82);
INSERT INTO public.who_data VALUES (29876, 509, 43789, 2, 621, 127, 16);
INSERT INTO public.who_data VALUES (29877, 132, 5517, 2, 114, 127, 72);
INSERT INTO public.who_data VALUES (29878, 371, 77325, 3, 292, 127, 43);
INSERT INTO public.who_data VALUES (29879, 1527, 386086, 15, 5623, 127, 120);
INSERT INTO public.who_data VALUES (29880, 3, 218, 0, 7, 127, 213);
INSERT INTO public.who_data VALUES (29881, 658, 86392, 5, 921, 127, 31);
INSERT INTO public.who_data VALUES (29882, 13477, 234322, 36, 10387, 127, 204);
INSERT INTO public.who_data VALUES (29883, 63, 2682, 1, 41, 127, 152);
INSERT INTO public.who_data VALUES (29884, 0, 2496, 0, 41, 127, 144);
INSERT INTO public.who_data VALUES (29885, 0, 185, 0, 9, 127, 96);
INSERT INTO public.who_data VALUES (29886, 0, 316, 0, 0, 127, 47);
INSERT INTO public.who_data VALUES (29887, 178, 139319, 30, 8407, 127, 80);
INSERT INTO public.who_data VALUES (29888, 0, 131, 0, 2, 127, 159);
INSERT INTO public.who_data VALUES (29889, 618, 32848, 8, 978, 127, 27);
INSERT INTO public.who_data VALUES (29890, 0, 5242, 0, 20, 127, 146);
INSERT INTO public.who_data VALUES (29891, 28523, 5169386, 713, 152460, 127, 71);
INSERT INTO public.who_data VALUES (29892, 0, 72, 0, 1, 127, 210);
INSERT INTO public.who_data VALUES (29893, 0, 147, 0, 3, 127, 54);
INSERT INTO public.who_data VALUES (29894, 998, 28505, 14, 958, 127, 147);
INSERT INTO public.who_data VALUES (29895, 8, 2343, 0, 65, 127, 2);
INSERT INTO public.who_data VALUES (29896, 5, 536, 0, 1, 127, 105);
INSERT INTO public.who_data VALUES (29897, 82, 7526, 3, 82, 127, 53);
INSERT INTO public.who_data VALUES (29898, 0, 283, 0, 0, 127, 81);
INSERT INTO public.who_data VALUES (29899, 0, 21441, 0, 423, 127, 223);
INSERT INTO public.who_data VALUES (29900, 2345, 191732, 35, 9699, 127, 94);
INSERT INTO public.who_data VALUES (29901, 0, 225, 0, 1, 127, 154);
INSERT INTO public.who_data VALUES (29902, 0, 4855, 0, 62, 127, 83);
INSERT INTO public.who_data VALUES (29903, 11, 1361, 1, 93, 127, 194);
INSERT INTO public.who_data VALUES (29904, 1694, 488190, 95, 13529, 127, 136);
INSERT INTO public.who_data VALUES (29905, 24, 91460, 0, 4746, 127, 179);
INSERT INTO public.who_data VALUES (29906, 6823, 936982, 151, 28457, 127, 57);
INSERT INTO public.who_data VALUES (29907, 0, 496, 0, 7, 127, 35);
INSERT INTO public.who_data VALUES (29908, 0, 5156, 0, 92, 127, 228);
INSERT INTO public.who_data VALUES (29909, 0, 0, 0, 0, 127, 19);
INSERT INTO public.who_data VALUES (29910, 1372, 93152, 25, 1159, 127, 22);
INSERT INTO public.who_data VALUES (29911, 0, 20257, 0, 121, 127, 1);
INSERT INTO public.who_data VALUES (29912, 1131, 23665, 1, 345, 127, 21);
INSERT INTO public.who_data VALUES (29913, 56, 6118, 1, 124, 127, 234);
INSERT INTO public.who_data VALUES (29914, 28, 673, 0, 1, 127, 91);
INSERT INTO public.who_data VALUES (29915, 198, 2379, 0, 25, 127, 137);
INSERT INTO public.who_data VALUES (29916, 11102, 160112, 53, 1283, 127, 201);
INSERT INTO public.who_data VALUES (29917, 0, 0, 0, 0, 127, 171);
INSERT INTO public.who_data VALUES (29918, 0, 10934, 0, 281, 127, 92);
INSERT INTO public.who_data VALUES (29919, 418, 34441, 0, 677, 127, 112);
INSERT INTO public.who_data VALUES (29920, 6, 5449, 0, 61, 127, 62);
INSERT INTO public.who_data VALUES (29921, 0, 33, 0, 0, 127, 69);
INSERT INTO public.who_data VALUES (29922, 384, 120450, 3, 2192, 127, 220);
INSERT INTO public.who_data VALUES (29923, 1299, 151659, 51, 12357, 127, 100);
INSERT INTO public.who_data VALUES (29924, 126, 105159, 11, 6099, 127, 187);
INSERT INTO public.who_data VALUES (29925, 204, 31265, 4, 912, 127, 63);
INSERT INTO public.who_data VALUES (29926, 0, 5068, 0, 83, 127, 28);
INSERT INTO public.who_data VALUES (29927, 0, 422, 0, 0, 127, 172);
INSERT INTO public.who_data VALUES (29928, 37, 4017, 0, 68, 127, 17);
INSERT INTO public.who_data VALUES (29929, 13, 5746, 0, 115, 127, 226);
INSERT INTO public.who_data VALUES (29930, 665, 87834, 12, 1337, 127, 236);
INSERT INTO public.who_data VALUES (29931, 0, 13, 0, 0, 127, 76);
INSERT INTO public.who_data VALUES (29932, 2, 482, 0, 0, 127, 30);
INSERT INTO public.who_data VALUES (29933, 0, 32, 0, 2, 127, 128);
INSERT INTO public.who_data VALUES (29934, 139, 13133, 1, 351, 127, 86);
INSERT INTO public.who_data VALUES (29935, 24724, 805722, 162, 33030, 127, 140);
INSERT INTO public.who_data VALUES (29936, 6, 10239, 0, 69, 127, 44);
INSERT INTO public.who_data VALUES (29937, 224, 3797, 1, 14, 127, 113);
INSERT INTO public.who_data VALUES (29938, 12, 8881, 0, 54, 127, 29);
INSERT INTO public.who_data VALUES (29939, 0, 3644, 0, 118, 127, 125);
INSERT INTO public.who_data VALUES (29940, 958, 16285, 4, 128, 127, 131);
INSERT INTO public.who_data VALUES (29941, 7830, 356387, 33, 9767, 127, 46);
INSERT INTO public.who_data VALUES (29942, 22, 47173, 0, 310, 127, 10);
INSERT INTO public.who_data VALUES (29943, 15, 531, 0, 0, 127, 205);
INSERT INTO public.who_data VALUES (29944, 503, 24450, 8, 490, 127, 50);
INSERT INTO public.who_data VALUES (29945, 0, 16, 0, 0, 127, 20);
INSERT INTO public.who_data VALUES (29946, 0, 25, 0, 0, 127, 13);
INSERT INTO public.who_data VALUES (29947, 214, 7122, 15, 111, 127, 148);
INSERT INTO public.who_data VALUES (29948, 100, 3527, 0, 63, 127, 230);
INSERT INTO public.who_data VALUES (29949, 666, 100431, 25, 3478, 127, 190);
INSERT INTO public.who_data VALUES (29950, 0, 258, 0, 13, 127, 188);
INSERT INTO public.who_data VALUES (29951, 107, 11362, 0, 70, 127, 123);
INSERT INTO public.who_data VALUES (29952, 0, 2389, 0, 41, 127, 9);
INSERT INTO public.who_data VALUES (29953, 31, 3620, 1, 107, 127, 102);
INSERT INTO public.who_data VALUES (29954, 17, 8925, 0, 231, 127, 34);
INSERT INTO public.who_data VALUES (29955, 0, 26, 0, 0, 127, 212);
INSERT INTO public.who_data VALUES (29956, 631, 86089, 19, 2552, 127, 122);
INSERT INTO public.who_data VALUES (29957, 1791, 44816, 24, 1109, 127, 38);
INSERT INTO public.who_data VALUES (29958, 92, 3929, 1, 11, 127, 130);
INSERT INTO public.who_data VALUES (29959, 62212, 7432680, 837, 112998, 127, 37);
INSERT INTO public.who_data VALUES (29960, 4301, 353461, 79, 12347, 127, 231);
INSERT INTO public.who_data VALUES (29961, 4552, 522387, 265, 29870, 127, 107);
INSERT INTO public.who_data VALUES (29962, 3501, 420303, 56, 10142, 127, 101);
INSERT INTO public.who_data VALUES (29963, 998, 47427, 3, 1841, 127, 132);
INSERT INTO public.who_data VALUES (29964, 0, 348, 0, 24, 127, 176);
INSERT INTO public.who_data VALUES (29965, 1612, 300863, 31, 2150, 127, 200);
INSERT INTO public.who_data VALUES (29966, 10009, 391611, 55, 36427, 127, 169);
INSERT INTO public.who_data VALUES (29967, 65, 8132, 2, 162, 127, 225);
INSERT INTO public.who_data VALUES (29968, 632, 92063, 11, 1661, 127, 165);
INSERT INTO public.who_data VALUES (29969, 3, 490, 0, 32, 127, 233);
INSERT INTO public.who_data VALUES (29970, 1539, 34616, 28, 310, 127, 215);
INSERT INTO public.who_data VALUES (29971, 301, 145320, 0, 2136, 127, 177);
INSERT INTO public.who_data VALUES (29972, 437, 43580, 8, 813, 127, 183);
INSERT INTO public.who_data VALUES (29973, 0, 0, 0, 0, 127, 203);
INSERT INTO public.who_data VALUES (29974, 104, 16563, 2, 642, 127, 162);
INSERT INTO public.who_data VALUES (29975, 729, 114744, 6, 690, 127, 12);
INSERT INTO public.who_data VALUES (29976, 470, 51490, 5, 1108, 127, 24);
INSERT INTO public.who_data VALUES (29977, 0, 23, 0, 0, 127, 119);
INSERT INTO public.who_data VALUES (29978, 148, 3204, 1, 42, 127, 39);
INSERT INTO public.who_data VALUES (29979, 1366, 59879, 8, 509, 127, 26);
INSERT INTO public.who_data VALUES (29980, 0, 1833, 0, 42, 127, 59);
INSERT INTO public.who_data VALUES (29981, 5, 1377, 0, 82, 127, 77);
INSERT INTO public.who_data VALUES (29982, 0, 47845, 0, 699, 127, 134);
INSERT INTO public.who_data VALUES (29983, 18, 220, 0, 1, 127, 4);
INSERT INTO public.who_data VALUES (29984, 228, 7261, 1, 98, 127, 109);
INSERT INTO public.who_data VALUES (29985, 227, 10471, 0, 133, 127, 90);
INSERT INTO public.who_data VALUES (29986, 60, 16814, 1, 238, 127, 61);
INSERT INTO public.who_data VALUES (29987, 6, 5842, 0, 181, 127, 85);
INSERT INTO public.who_data VALUES (29988, 629, 18758, 6, 176, 127, 49);
INSERT INTO public.who_data VALUES (29989, 41, 11154, 0, 35, 127, 208);
INSERT INTO public.who_data VALUES (29990, 0, 3368, 0, 132, 127, 166);
INSERT INTO public.who_data VALUES (29991, 122, 4274, 0, 45, 127, 64);
INSERT INTO public.who_data VALUES (29992, 0, 0, 0, 0, 127, 199);
INSERT INTO public.who_data VALUES (29993, 9, 2266, 1, 25, 127, 114);
INSERT INTO public.who_data VALUES (29994, 18, 7603, 0, 163, 127, 60);
INSERT INTO public.who_data VALUES (29995, 3, 407, 0, 10, 127, 68);
INSERT INTO public.who_data VALUES (29996, 0, 4030, 0, 43, 127, 158);
INSERT INTO public.who_data VALUES (29997, 5514, 834910, 387, 85285, 127, 52);
INSERT INTO public.who_data VALUES (29998, 0, 0, 0, 0, 127, 117);
INSERT INTO public.who_data VALUES (29999, 2, 258, 0, 2, 127, 126);
INSERT INTO public.who_data VALUES (30000, 0, 320, 0, 0, 127, 196);
INSERT INTO public.who_data VALUES (30001, 84, 15591, 3, 231, 127, 142);
INSERT INTO public.who_data VALUES (30002, 0, 13, 0, 1, 127, 185);
INSERT INTO public.who_data VALUES (30003, 3498, 167148, 46, 2818, 127, 138);
INSERT INTO public.who_data VALUES (30004, 75, 10612, 0, 73, 127, 181);
INSERT INTO public.who_data VALUES (30005, 1137, 33488, 34, 799, 127, 178);
INSERT INTO public.who_data VALUES (30006, 112, 12215, 1, 131, 127, 168);
INSERT INTO public.who_data VALUES (30007, 0, 0, 0, 0, 127, 160);
INSERT INTO public.who_data VALUES (30008, 4392, 126137, 21, 715, 127, 151);
INSERT INTO public.who_data VALUES (30009, 7955, 211329, 18, 6705, 127, 193);
INSERT INTO public.who_data VALUES (30010, 0, 27, 0, 0, 127, 18);
INSERT INTO public.who_data VALUES (30011, 3, 1527, 0, 25, 127, 40);
INSERT INTO public.who_data VALUES (30012, 0, 4297, 0, 154, 127, 218);
INSERT INTO public.who_data VALUES (30013, 4, 1209, 0, 69, 127, 191);
INSERT INTO public.who_data VALUES (30014, 212, 61194, 3, 1119, 127, 156);
INSERT INTO public.who_data VALUES (30015, 0, 0, 0, 0, 127, 135);
INSERT INTO public.who_data VALUES (30016, 0, 80, 0, 2, 127, 88);
INSERT INTO public.who_data VALUES (30017, 437, 22607, 6, 821, 127, 55);
INSERT INTO public.who_data VALUES (30018, 183, 16136, 0, 278, 127, 108);
INSERT INTO public.who_data VALUES (30019, 397, 57838, 1, 472, 127, 48);
INSERT INTO public.who_data VALUES (30020, 0, 108296, 0, 1071, 127, 3);
INSERT INTO public.who_data VALUES (30021, 0, 741, 0, 13, 127, 224);
INSERT INTO public.who_data VALUES (30022, 641, 322452, 17, 6638, 127, 110);
INSERT INTO public.who_data VALUES (30023, 0, 0, 0, 0, 127, 106);
INSERT INTO public.who_data VALUES (30024, 755, 122883, 10, 2529, 127, 89);
INSERT INTO public.who_data VALUES (30025, 0, 578, 0, 7, 127, 121);
INSERT INTO public.who_data VALUES (30026, 751, 52596, 19, 1150, 127, 163);
INSERT INTO public.who_data VALUES (30027, 2789, 859740, 65, 33577, 127, 70);
INSERT INTO public.who_data VALUES (30028, 3052, 351750, 34, 6531, 127, 174);
INSERT INTO public.who_data VALUES (30029, 0, 0, 0, 0, 127, 175);
INSERT INTO public.who_data VALUES (30030, 7705, 157608, 132, 3440, 127, 118);
INSERT INTO public.who_data VALUES (30031, 2608, 95902, 21, 2149, 127, 189);
INSERT INTO public.who_data VALUES (30032, 327, 56412, 15, 758, 127, 124);
INSERT INTO public.who_data VALUES (30033, 189, 128992, 0, 222, 127, 192);
INSERT INTO public.who_data VALUES (30034, 73, 25108, 2, 443, 127, 41);
INSERT INTO public.who_data VALUES (30035, 784, 65860, 19, 1549, 127, 95);
INSERT INTO public.who_data VALUES (30036, 98, 4776, 0, 17, 127, 74);
INSERT INTO public.who_data VALUES (30037, 4026, 172516, 75, 5749, 127, 11);
INSERT INTO public.who_data VALUES (30038, 14922, 1384235, 279, 24002, 127, 87);
INSERT INTO public.who_data VALUES (30039, 12, 4965, 1, 34, 127, 214);
INSERT INTO public.who_data VALUES (30040, 0, 5, 0, 0, 127, 116);
INSERT INTO public.who_data VALUES (30041, 5, 72, 0, 0, 127, 157);
INSERT INTO public.who_data VALUES (30042, 0, 0, 0, 0, 127, 182);
INSERT INTO public.who_data VALUES (30043, 0, 19, 0, 0, 127, 186);
INSERT INTO public.who_data VALUES (30044, 1, 32, 0, 0, 127, 127);
INSERT INTO public.who_data VALUES (30045, 30, 531, 0, 8, 127, 232);
INSERT INTO public.who_data VALUES (30046, 0, 12, 0, 0, 127, 33);
INSERT INTO public.who_data VALUES (30047, 1, 65, 0, 0, 127, 97);
INSERT INTO public.who_data VALUES (30048, 0, 0, 0, 0, 127, 42);
INSERT INTO public.who_data VALUES (30049, 3, 784, 0, 42, 127, 198);
INSERT INTO public.who_data VALUES (30050, 3, 932, 0, 15, 127, 216);
INSERT INTO public.who_data VALUES (30051, 433, 341495, 17, 5144, 127, 164);
INSERT INTO public.who_data VALUES (30052, 20, 15368, 1, 317, 127, 235);
INSERT INTO public.who_data VALUES (30053, 265, 35719, 2, 772, 127, 67);
INSERT INTO public.who_data VALUES (30054, 0, 148, 0, 0, 127, 15);
INSERT INTO public.who_data VALUES (30055, 2, 2325, 0, 73, 127, 180);
INSERT INTO public.who_data VALUES (30056, 9, 57901, 0, 28, 127, 237);
INSERT INTO public.who_data VALUES (30057, 0, 14, 0, 0, 127, 25);
INSERT INTO public.who_data VALUES (30058, 8, 737, 0, 22, 127, 209);
INSERT INTO public.who_data VALUES (30059, 1929, 24225, 5, 71, 127, 217);
INSERT INTO public.who_data VALUES (30060, 836, 11524, 8, 197, 127, 79);
INSERT INTO public.who_data VALUES (30061, 0, 3, 0, 0, 127, 143);
INSERT INTO public.who_data VALUES (30062, 0, 3864, 0, 99, 127, 229);
INSERT INTO public.who_data VALUES (30063, 2019, 700203, 61, 18370, 127, 141);
INSERT INTO public.who_data VALUES (30064, 0, 2817, 0, 55, 127, 197);
INSERT INTO public.who_data VALUES (30065, 18228, 1001169, 145, 36083, 127, 221);
INSERT INTO public.who_data VALUES (30066, 110, 5354, 0, 13, 127, 150);
INSERT INTO public.who_data VALUES (30067, 0, 13700, 0, 836, 127, 56);
INSERT INTO public.who_data VALUES (30068, 11, 5094, 1, 109, 127, 167);
INSERT INTO public.who_data VALUES (30069, 902, 103503, 3, 5918, 127, 23);
INSERT INTO public.who_data VALUES (30070, 3680, 80212, 10, 1879, 127, 222);
INSERT INTO public.who_data VALUES (30071, 56, 4987, 3, 241, 127, 219);
INSERT INTO public.who_data VALUES (30072, 40, 10414, 0, 80, 127, 7);
INSERT INTO public.who_data VALUES (30073, 10, 3679, 0, 59, 127, 161);
INSERT INTO public.who_data VALUES (30074, 15635, 689261, 136, 43429, 127, 149);
INSERT INTO public.who_data VALUES (30075, 0, 29, 0, 0, 127, 6);
INSERT INTO public.who_data VALUES (30076, 31, 2027, 0, 51, 127, 139);
INSERT INTO public.who_data VALUES (30077, 0, 0, 0, 0, 127, 211);
INSERT INTO public.who_data VALUES (30078, 0, 0, 0, 0, 127, 14);
INSERT INTO public.who_data VALUES (30079, 40, 5194, 0, 93, 127, 111);
INSERT INTO public.who_data VALUES (30080, 5752, 40542, 114, 626, 127, 207);
INSERT INTO public.who_data VALUES (30081, 8542, 889085, 73, 9153, 127, 66);
INSERT INTO public.who_data VALUES (30082, 0, 0, 0, 0, 127, 173);
INSERT INTO public.who_data VALUES (30083, 0, 696, 0, 6, 127, 145);
INSERT INTO public.who_data VALUES (30084, 0, 0, 0, 0, 127, 65);
INSERT INTO public.who_data VALUES (30085, 217, 10334, 0, 96, 127, 184);
INSERT INTO public.who_data VALUES (30086, 6410, 293641, 109, 5517, 127, 98);
INSERT INTO public.who_data VALUES (30087, 1412, 112849, 3, 455, 127, 104);
INSERT INTO public.who_data VALUES (30088, 0, 509, 0, 21, 127, 73);
INSERT INTO public.who_data VALUES (30089, 63044, 7896895, 874, 216073, 127, 8);
INSERT INTO public.who_data VALUES (30090, 2, 1329, 1, 21, 127, 227);
INSERT INTO public.who_data VALUES (30091, 29, 2417, 0, 51, 127, 75);
INSERT INTO public.who_data VALUES (30092, 325, 62809, 3, 522, 127, 45);
INSERT INTO public.who_data VALUES (30093, 0, 0, 0, 0, 127, 133);
INSERT INTO public.who_data VALUES (30094, 464, 85469, 6, 720, 127, 202);
INSERT INTO public.who_data VALUES (30095, 0, 1124, 0, 35, 127, 129);
INSERT INTO public.who_data VALUES (30096, 0, 0, 0, 0, 127, 36);
INSERT INTO public.who_data VALUES (30097, 2, 2059, 0, 597, 127, 51);
INSERT INTO public.who_data VALUES (30098, 0, 15659, 0, 346, 127, 206);
INSERT INTO public.who_data VALUES (30099, 24, 8099, 0, 231, 127, 5);
INSERT INTO public.who_data VALUES (30100, 47, 40159, 4, 1489, 128, 103);
INSERT INTO public.who_data VALUES (30101, 257, 16212, 5, 439, 128, 58);
INSERT INTO public.who_data VALUES (30102, 378, 53777, 18, 1836, 128, 195);
INSERT INTO public.who_data VALUES (30103, 0, 0, 0, 0, 128, 115);
INSERT INTO public.who_data VALUES (30104, 0, 3190, 0, 59, 128, 99);
INSERT INTO public.who_data VALUES (30105, 250, 7096, 1, 228, 128, 153);
INSERT INTO public.who_data VALUES (30106, 0, 3, 0, 0, 128, 93);
INSERT INTO public.who_data VALUES (30107, 0, 112, 0, 3, 128, 84);
INSERT INTO public.who_data VALUES (30108, 14932, 931967, 349, 24921, 128, 78);
INSERT INTO public.who_data VALUES (30109, 1465, 60773, 10, 1051, 128, 170);
INSERT INTO public.who_data VALUES (30110, 26, 4255, 0, 32, 128, 32);
INSERT INTO public.who_data VALUES (30111, 21, 27362, 0, 904, 128, 155);
INSERT INTO public.who_data VALUES (30112, 1396, 60764, 6, 894, 128, 82);
INSERT INTO public.who_data VALUES (30113, 530, 43280, 3, 619, 128, 16);
INSERT INTO public.who_data VALUES (30114, 194, 5385, 3, 112, 128, 72);
INSERT INTO public.who_data VALUES (30115, 333, 76954, 2, 289, 128, 43);
INSERT INTO public.who_data VALUES (30116, 1600, 384559, 15, 5608, 128, 120);
INSERT INTO public.who_data VALUES (30117, 5, 215, 0, 7, 128, 213);
INSERT INTO public.who_data VALUES (30118, 613, 85734, 5, 916, 128, 31);
INSERT INTO public.who_data VALUES (30119, 11818, 220845, 35, 10351, 128, 204);
INSERT INTO public.who_data VALUES (30120, 34, 2619, 1, 40, 128, 152);
INSERT INTO public.who_data VALUES (30121, 0, 2496, 0, 41, 128, 144);
INSERT INTO public.who_data VALUES (30122, 0, 185, 0, 9, 128, 96);
INSERT INTO public.who_data VALUES (30123, 0, 316, 0, 0, 128, 47);
INSERT INTO public.who_data VALUES (30124, 219, 139141, 26, 8377, 128, 80);
INSERT INTO public.who_data VALUES (30125, 0, 131, 0, 2, 128, 159);
INSERT INTO public.who_data VALUES (30126, 578, 32230, 15, 970, 128, 27);
INSERT INTO public.who_data VALUES (30127, 203, 5242, 0, 20, 128, 146);
INSERT INTO public.who_data VALUES (30128, 27235, 5140863, 749, 151747, 128, 71);
INSERT INTO public.who_data VALUES (30129, 0, 72, 0, 1, 128, 210);
INSERT INTO public.who_data VALUES (30130, 0, 147, 0, 3, 128, 54);
INSERT INTO public.who_data VALUES (30131, 914, 27507, 15, 944, 128, 147);
INSERT INTO public.who_data VALUES (30132, 41, 2335, 2, 65, 128, 2);
INSERT INTO public.who_data VALUES (30133, 2, 531, 0, 1, 128, 105);
INSERT INTO public.who_data VALUES (30134, 73, 7444, 0, 79, 128, 53);
INSERT INTO public.who_data VALUES (30135, 0, 283, 0, 0, 128, 81);
INSERT INTO public.who_data VALUES (30136, 0, 21441, 0, 423, 128, 223);
INSERT INTO public.who_data VALUES (30137, 2506, 189387, 10, 9664, 128, 94);
INSERT INTO public.who_data VALUES (30138, 4, 225, 0, 1, 128, 154);
INSERT INTO public.who_data VALUES (30139, 0, 4855, 0, 62, 128, 83);
INSERT INTO public.who_data VALUES (30140, 21, 1350, 0, 92, 128, 194);
INSERT INTO public.who_data VALUES (30141, 1124, 486496, 19, 13434, 128, 136);
INSERT INTO public.who_data VALUES (30142, 37, 91436, 0, 4746, 128, 179);
INSERT INTO public.who_data VALUES (30143, 6061, 930159, 165, 28306, 128, 57);
INSERT INTO public.who_data VALUES (30144, 0, 496, 0, 7, 128, 35);
INSERT INTO public.who_data VALUES (30145, 0, 5156, 0, 92, 128, 228);
INSERT INTO public.who_data VALUES (30146, 0, 0, 0, 0, 128, 19);
INSERT INTO public.who_data VALUES (30147, 1542, 91780, 10, 1134, 128, 22);
INSERT INTO public.who_data VALUES (30148, 40, 20257, 0, 121, 128, 1);
INSERT INTO public.who_data VALUES (30149, 793, 22534, 10, 344, 128, 21);
INSERT INTO public.who_data VALUES (30150, 27, 6062, 0, 123, 128, 234);
INSERT INTO public.who_data VALUES (30151, 26, 645, 0, 1, 128, 91);
INSERT INTO public.who_data VALUES (30152, 51, 2181, 0, 25, 128, 137);
INSERT INTO public.who_data VALUES (30153, 9720, 149010, 58, 1230, 128, 201);
INSERT INTO public.who_data VALUES (30154, 0, 0, 0, 0, 128, 171);
INSERT INTO public.who_data VALUES (30155, 0, 10934, 0, 281, 128, 92);
INSERT INTO public.who_data VALUES (30156, 430, 34023, 2, 677, 128, 112);
INSERT INTO public.who_data VALUES (30157, 3, 5443, 0, 61, 128, 62);
INSERT INTO public.who_data VALUES (30158, 1, 33, 0, 0, 128, 69);
INSERT INTO public.who_data VALUES (30159, 404, 120066, 3, 2189, 128, 220);
INSERT INTO public.who_data VALUES (30160, 1277, 150360, 42, 12306, 128, 100);
INSERT INTO public.who_data VALUES (30161, 118, 105033, 11, 6088, 128, 187);
INSERT INTO public.who_data VALUES (30162, 295, 31061, 4, 908, 128, 63);
INSERT INTO public.who_data VALUES (30163, 0, 5068, 0, 83, 128, 28);
INSERT INTO public.who_data VALUES (30164, 8, 422, 0, 0, 128, 172);
INSERT INTO public.who_data VALUES (30165, 33, 3980, 0, 68, 128, 17);
INSERT INTO public.who_data VALUES (30166, 18, 5733, 1, 115, 128, 226);
INSERT INTO public.who_data VALUES (30167, 739, 87169, 13, 1325, 128, 236);
INSERT INTO public.who_data VALUES (30168, 0, 13, 0, 0, 128, 76);
INSERT INTO public.who_data VALUES (30169, 2, 480, 0, 0, 128, 30);
INSERT INTO public.who_data VALUES (30170, 0, 32, 0, 2, 128, 128);
INSERT INTO public.who_data VALUES (30171, 291, 12994, 0, 350, 128, 86);
INSERT INTO public.who_data VALUES (30172, 30553, 780998, 88, 32868, 128, 140);
INSERT INTO public.who_data VALUES (30173, 31, 10233, 0, 69, 128, 44);
INSERT INTO public.who_data VALUES (30174, 0, 3573, 0, 13, 128, 113);
INSERT INTO public.who_data VALUES (30175, 0, 8869, 0, 54, 128, 29);
INSERT INTO public.who_data VALUES (30176, 0, 3644, 0, 118, 128, 125);
INSERT INTO public.who_data VALUES (30177, 887, 15327, 11, 124, 128, 131);
INSERT INTO public.who_data VALUES (30178, 7334, 348557, 24, 9734, 128, 46);
INSERT INTO public.who_data VALUES (30179, 25, 47151, 0, 310, 128, 10);
INSERT INTO public.who_data VALUES (30180, 17, 516, 0, 0, 128, 205);
INSERT INTO public.who_data VALUES (30181, 452, 23947, 13, 482, 128, 50);
INSERT INTO public.who_data VALUES (30182, 0, 16, 0, 0, 128, 20);
INSERT INTO public.who_data VALUES (30183, 0, 25, 0, 0, 128, 13);
INSERT INTO public.who_data VALUES (30184, 0, 6908, 0, 96, 128, 148);
INSERT INTO public.who_data VALUES (30185, 86, 3427, 2, 63, 128, 230);
INSERT INTO public.who_data VALUES (30186, 671, 99765, 23, 3453, 128, 190);
INSERT INTO public.who_data VALUES (30187, 0, 258, 0, 13, 128, 188);
INSERT INTO public.who_data VALUES (30188, 67, 11255, 0, 70, 128, 123);
INSERT INTO public.who_data VALUES (30189, 4, 2389, 1, 41, 128, 9);
INSERT INTO public.who_data VALUES (30190, 24, 3589, 0, 106, 128, 102);
INSERT INTO public.who_data VALUES (30191, 0, 8908, 0, 231, 128, 34);
INSERT INTO public.who_data VALUES (30192, 7, 26, 0, 0, 128, 212);
INSERT INTO public.who_data VALUES (30193, 606, 85458, 5, 2533, 128, 122);
INSERT INTO public.who_data VALUES (30194, 1293, 43025, 33, 1085, 128, 38);
INSERT INTO public.who_data VALUES (30195, 80, 3837, 0, 10, 128, 130);
INSERT INTO public.who_data VALUES (30196, 63371, 7370468, 895, 112161, 128, 37);
INSERT INTO public.who_data VALUES (30197, 4411, 349160, 112, 12268, 128, 231);
INSERT INTO public.who_data VALUES (30198, 4616, 517835, 256, 29605, 128, 107);
INSERT INTO public.who_data VALUES (30199, 3587, 416802, 65, 10086, 128, 101);
INSERT INTO public.who_data VALUES (30200, 1186, 46429, 3, 1838, 128, 132);
INSERT INTO public.who_data VALUES (30201, 2, 348, 0, 24, 128, 176);
INSERT INTO public.who_data VALUES (30202, 2118, 299251, 35, 2119, 128, 200);
INSERT INTO public.who_data VALUES (30203, 8803, 381602, 83, 36372, 128, 169);
INSERT INTO public.who_data VALUES (30204, 78, 8067, 9, 160, 128, 225);
INSERT INTO public.who_data VALUES (30205, 721, 91431, 4, 1650, 128, 165);
INSERT INTO public.who_data VALUES (30206, 3, 487, 0, 32, 128, 233);
INSERT INTO public.who_data VALUES (30207, 2459, 33077, 25, 282, 128, 215);
INSERT INTO public.who_data VALUES (30208, 258, 145019, 0, 2136, 128, 177);
INSERT INTO public.who_data VALUES (30209, 602, 43143, 8, 805, 128, 183);
INSERT INTO public.who_data VALUES (30210, 0, 0, 0, 0, 128, 203);
INSERT INTO public.who_data VALUES (30211, 77, 16459, 0, 640, 128, 162);
INSERT INTO public.who_data VALUES (30212, 746, 114015, 8, 684, 128, 12);
INSERT INTO public.who_data VALUES (30213, 431, 51020, 4, 1103, 128, 24);
INSERT INTO public.who_data VALUES (30214, 0, 23, 0, 0, 128, 119);
INSERT INTO public.who_data VALUES (30215, 114, 3056, 0, 41, 128, 39);
INSERT INTO public.who_data VALUES (30216, 1418, 58513, 2, 501, 128, 26);
INSERT INTO public.who_data VALUES (30217, 0, 1833, 0, 42, 128, 59);
INSERT INTO public.who_data VALUES (30218, 0, 1372, 0, 82, 128, 77);
INSERT INTO public.who_data VALUES (30219, 1169, 47845, 18, 699, 128, 134);
INSERT INTO public.who_data VALUES (30220, 17, 202, 0, 1, 128, 4);
INSERT INTO public.who_data VALUES (30221, 281, 7033, 3, 97, 128, 109);
INSERT INTO public.who_data VALUES (30222, 214, 10244, 0, 133, 128, 90);
INSERT INTO public.who_data VALUES (30223, 0, 16754, 0, 237, 128, 61);
INSERT INTO public.who_data VALUES (30224, 7, 5836, 0, 181, 128, 85);
INSERT INTO public.who_data VALUES (30225, 589, 18129, 3, 170, 128, 49);
INSERT INTO public.who_data VALUES (30226, 51, 11113, 0, 35, 128, 208);
INSERT INTO public.who_data VALUES (30227, 16, 3368, 0, 132, 128, 166);
INSERT INTO public.who_data VALUES (30228, 112, 4152, 1, 45, 128, 64);
INSERT INTO public.who_data VALUES (30229, 0, 0, 0, 0, 128, 199);
INSERT INTO public.who_data VALUES (30230, 0, 2257, 0, 24, 128, 114);
INSERT INTO public.who_data VALUES (30231, 20, 7585, 0, 163, 128, 60);
INSERT INTO public.who_data VALUES (30232, 0, 404, 0, 10, 128, 68);
INSERT INTO public.who_data VALUES (30233, 0, 4030, 0, 43, 128, 158);
INSERT INTO public.who_data VALUES (30234, 4056, 829396, 478, 84898, 128, 52);
INSERT INTO public.who_data VALUES (30235, 0, 0, 0, 0, 128, 117);
INSERT INTO public.who_data VALUES (30236, 5, 256, 0, 2, 128, 126);
INSERT INTO public.who_data VALUES (30237, 0, 320, 0, 0, 128, 196);
INSERT INTO public.who_data VALUES (30238, 233, 15507, 7, 228, 128, 142);
INSERT INTO public.who_data VALUES (30239, 0, 13, 0, 1, 128, 185);
INSERT INTO public.who_data VALUES (30240, 3317, 163650, 46, 2772, 128, 138);
INSERT INTO public.who_data VALUES (30241, 145, 10537, 0, 73, 128, 181);
INSERT INTO public.who_data VALUES (30242, 1026, 32351, 33, 765, 128, 178);
INSERT INTO public.who_data VALUES (30243, 34, 12103, 0, 130, 128, 168);
INSERT INTO public.who_data VALUES (30244, 0, 0, 0, 0, 128, 160);
INSERT INTO public.who_data VALUES (30245, 3749, 121745, 19, 694, 128, 151);
INSERT INTO public.who_data VALUES (30246, 7779, 203374, 29, 6687, 128, 193);
INSERT INTO public.who_data VALUES (30247, 0, 27, 0, 0, 128, 18);
INSERT INTO public.who_data VALUES (30248, 4, 1524, 0, 25, 128, 40);
INSERT INTO public.who_data VALUES (30249, 0, 4297, 0, 154, 128, 218);
INSERT INTO public.who_data VALUES (30250, 0, 1205, 0, 69, 128, 191);
INSERT INTO public.who_data VALUES (30251, 148, 60982, 0, 1116, 128, 156);
INSERT INTO public.who_data VALUES (30252, 0, 0, 0, 0, 128, 135);
INSERT INTO public.who_data VALUES (30253, 3, 80, 0, 2, 128, 88);
INSERT INTO public.who_data VALUES (30254, 534, 22170, 6, 815, 128, 55);
INSERT INTO public.who_data VALUES (30255, 162, 15953, 1, 278, 128, 108);
INSERT INTO public.who_data VALUES (30256, 442, 57441, 8, 471, 128, 48);
INSERT INTO public.who_data VALUES (30257, 520, 108296, 10, 1071, 128, 3);
INSERT INTO public.who_data VALUES (30258, 0, 741, 0, 13, 128, 224);
INSERT INTO public.who_data VALUES (30259, 593, 321811, 7, 6621, 128, 110);
INSERT INTO public.who_data VALUES (30260, 0, 0, 0, 0, 128, 106);
INSERT INTO public.who_data VALUES (30261, 832, 122128, 8, 2519, 128, 89);
INSERT INTO public.who_data VALUES (30262, 0, 578, 0, 7, 128, 121);
INSERT INTO public.who_data VALUES (30263, 648, 51845, 23, 1131, 128, 163);
INSERT INTO public.who_data VALUES (30264, 2977, 856951, 93, 33512, 128, 70);
INSERT INTO public.who_data VALUES (30265, 2162, 348698, 48, 6497, 128, 174);
INSERT INTO public.who_data VALUES (30266, 0, 0, 0, 0, 128, 175);
INSERT INTO public.who_data VALUES (30267, 8099, 149903, 91, 3308, 128, 118);
INSERT INTO public.who_data VALUES (30268, 2101, 93294, 11, 2128, 128, 189);
INSERT INTO public.who_data VALUES (30269, 569, 56085, 1, 743, 128, 124);
INSERT INTO public.who_data VALUES (30270, 200, 128803, 2, 222, 128, 192);
INSERT INTO public.who_data VALUES (30271, 47, 25035, 2, 441, 128, 41);
INSERT INTO public.who_data VALUES (30272, 652, 65076, 16, 1530, 128, 95);
INSERT INTO public.who_data VALUES (30273, 0, 4678, 0, 17, 128, 74);
INSERT INTO public.who_data VALUES (30274, 4013, 168490, 73, 5674, 128, 11);
INSERT INTO public.who_data VALUES (30275, 15150, 1369313, 232, 23723, 128, 87);
INSERT INTO public.who_data VALUES (30276, 13, 4953, 0, 33, 128, 214);
INSERT INTO public.who_data VALUES (30277, 0, 5, 0, 0, 128, 116);
INSERT INTO public.who_data VALUES (30278, 2, 67, 0, 0, 128, 157);
INSERT INTO public.who_data VALUES (30279, 0, 0, 0, 0, 128, 182);
INSERT INTO public.who_data VALUES (30280, 0, 19, 0, 0, 128, 186);
INSERT INTO public.who_data VALUES (30281, 2, 31, 0, 0, 128, 127);
INSERT INTO public.who_data VALUES (30282, 35, 501, 0, 8, 128, 232);
INSERT INTO public.who_data VALUES (30283, 0, 12, 0, 0, 128, 33);
INSERT INTO public.who_data VALUES (30284, 0, 64, 0, 0, 128, 97);
INSERT INTO public.who_data VALUES (30285, 0, 0, 0, 0, 128, 42);
INSERT INTO public.who_data VALUES (30286, 9, 781, 0, 42, 128, 198);
INSERT INTO public.who_data VALUES (30287, 0, 929, 0, 15, 128, 216);
INSERT INTO public.who_data VALUES (30288, 472, 341062, 19, 5127, 128, 164);
INSERT INTO public.who_data VALUES (30289, 17, 15348, 0, 316, 128, 235);
INSERT INTO public.who_data VALUES (30290, 203, 35454, 2, 770, 128, 67);
INSERT INTO public.who_data VALUES (30291, 0, 148, 0, 0, 128, 15);
INSERT INTO public.who_data VALUES (30292, 8, 2323, 0, 73, 128, 180);
INSERT INTO public.who_data VALUES (30293, 3, 57892, 0, 28, 128, 237);
INSERT INTO public.who_data VALUES (30294, 0, 14, 0, 0, 128, 25);
INSERT INTO public.who_data VALUES (30295, 10, 729, 0, 22, 128, 209);
INSERT INTO public.who_data VALUES (30296, 1410, 22296, 5, 66, 128, 217);
INSERT INTO public.who_data VALUES (30297, 748, 10688, 3, 189, 128, 79);
INSERT INTO public.who_data VALUES (30298, 1, 3, 0, 0, 128, 143);
INSERT INTO public.who_data VALUES (30299, 0, 3864, 0, 99, 128, 229);
INSERT INTO public.who_data VALUES (30300, 1770, 698184, 158, 18309, 128, 141);
INSERT INTO public.who_data VALUES (30301, 10, 2817, 0, 55, 128, 197);
INSERT INTO public.who_data VALUES (30302, 17057, 982941, 136, 35938, 128, 221);
INSERT INTO public.who_data VALUES (30303, 76, 5244, 0, 13, 128, 150);
INSERT INTO public.who_data VALUES (30304, 3, 13700, 0, 836, 128, 56);
INSERT INTO public.who_data VALUES (30305, 11, 5083, 1, 108, 128, 167);
INSERT INTO public.who_data VALUES (30306, 968, 102601, 2, 5915, 128, 23);
INSERT INTO public.who_data VALUES (30307, 3393, 76532, 5, 1869, 128, 222);
INSERT INTO public.who_data VALUES (30308, 48, 4931, 4, 238, 128, 219);
INSERT INTO public.who_data VALUES (30309, 38, 10374, 1, 80, 128, 7);
INSERT INTO public.who_data VALUES (30310, 4, 3669, 0, 59, 128, 161);
INSERT INTO public.who_data VALUES (30311, 18978, 673626, 138, 43293, 128, 149);
INSERT INTO public.who_data VALUES (30312, 0, 29, 0, 0, 128, 6);
INSERT INTO public.who_data VALUES (30313, 24, 1996, 1, 51, 128, 139);
INSERT INTO public.who_data VALUES (30314, 0, 0, 0, 0, 128, 211);
INSERT INTO public.who_data VALUES (30315, 0, 0, 0, 0, 128, 14);
INSERT INTO public.who_data VALUES (30316, 27, 5154, 0, 93, 128, 111);
INSERT INTO public.who_data VALUES (30317, 0, 34790, 0, 512, 128, 207);
INSERT INTO public.who_data VALUES (30318, 8423, 880543, 66, 9080, 128, 66);
INSERT INTO public.who_data VALUES (30319, 0, 0, 0, 0, 128, 173);
INSERT INTO public.who_data VALUES (30320, 0, 696, 0, 6, 128, 145);
INSERT INTO public.who_data VALUES (30321, 0, 0, 0, 0, 128, 65);
INSERT INTO public.who_data VALUES (30322, 48, 10117, 1, 96, 128, 184);
INSERT INTO public.who_data VALUES (30323, 5992, 287231, 106, 5408, 128, 98);
INSERT INTO public.who_data VALUES (30324, 1398, 111437, 2, 452, 128, 104);
INSERT INTO public.who_data VALUES (30325, 0, 509, 0, 21, 128, 73);
INSERT INTO public.who_data VALUES (30326, 59106, 7833851, 830, 215199, 128, 8);
INSERT INTO public.who_data VALUES (30327, -1, 1327, 0, 20, 128, 227);
INSERT INTO public.who_data VALUES (30328, 51, 2388, 0, 51, 128, 75);
INSERT INTO public.who_data VALUES (30329, 309, 62484, 3, 519, 128, 45);
INSERT INTO public.who_data VALUES (30330, 0, 0, 0, 0, 128, 133);
INSERT INTO public.who_data VALUES (30331, 614, 85005, 4, 714, 128, 202);
INSERT INTO public.who_data VALUES (30332, 2, 1124, 0, 35, 128, 129);
INSERT INTO public.who_data VALUES (30333, 0, 0, 0, 0, 128, 36);
INSERT INTO public.who_data VALUES (30334, 0, 2057, 0, 597, 128, 51);
INSERT INTO public.who_data VALUES (30335, 43, 15659, 2, 346, 128, 206);
INSERT INTO public.who_data VALUES (30336, 20, 8075, 0, 231, 128, 5);
INSERT INTO public.who_data VALUES (30337, 32, 40112, 0, 1485, 129, 103);
INSERT INTO public.who_data VALUES (30338, 203, 15955, 5, 434, 129, 58);
INSERT INTO public.who_data VALUES (30339, 0, 53399, 0, 1818, 129, 195);
INSERT INTO public.who_data VALUES (30340, 0, 0, 0, 0, 129, 115);
INSERT INTO public.who_data VALUES (30341, 195, 3190, 2, 59, 129, 99);
INSERT INTO public.who_data VALUES (30342, 166, 6846, 5, 227, 129, 153);
INSERT INTO public.who_data VALUES (30343, 0, 3, 0, 0, 129, 93);
INSERT INTO public.who_data VALUES (30344, 1, 112, 0, 3, 129, 84);
INSERT INTO public.who_data VALUES (30345, 13305, 917035, 386, 24572, 129, 78);
INSERT INTO public.who_data VALUES (30346, 1371, 59308, 7, 1041, 129, 170);
INSERT INTO public.who_data VALUES (30347, 32, 4229, 0, 32, 129, 32);
INSERT INTO public.who_data VALUES (30348, 24, 27341, 5, 904, 129, 155);
INSERT INTO public.who_data VALUES (30349, 1606, 59368, 9, 888, 129, 82);
INSERT INTO public.who_data VALUES (30350, 369, 42750, 4, 616, 129, 16);
INSERT INTO public.who_data VALUES (30351, 28, 5191, 1, 109, 129, 72);
INSERT INTO public.who_data VALUES (30352, 349, 76621, 2, 287, 129, 43);
INSERT INTO public.who_data VALUES (30353, 1684, 382959, 16, 5593, 129, 120);
INSERT INTO public.who_data VALUES (30354, 2, 210, 0, 7, 129, 213);
INSERT INTO public.who_data VALUES (30355, 597, 85121, 5, 911, 129, 31);
INSERT INTO public.who_data VALUES (30356, 12304, 209027, 41, 10316, 129, 204);
INSERT INTO public.who_data VALUES (30357, 16, 2585, 2, 39, 129, 152);
INSERT INTO public.who_data VALUES (30358, 0, 2496, 0, 41, 129, 144);
INSERT INTO public.who_data VALUES (30359, 1, 185, 0, 9, 129, 96);
INSERT INTO public.who_data VALUES (30360, 3, 316, 0, 0, 129, 47);
INSERT INTO public.who_data VALUES (30361, 227, 138922, 25, 8351, 129, 80);
INSERT INTO public.who_data VALUES (30362, 0, 131, 0, 2, 129, 159);
INSERT INTO public.who_data VALUES (30363, 479, 31652, 12, 955, 129, 27);
INSERT INTO public.who_data VALUES (30364, 0, 5039, 0, 20, 129, 146);
INSERT INTO public.who_data VALUES (30365, 10220, 5113628, 309, 150998, 129, 71);
INSERT INTO public.who_data VALUES (30366, 1, 72, 0, 1, 129, 210);
INSERT INTO public.who_data VALUES (30367, 1, 147, 0, 3, 129, 54);
INSERT INTO public.who_data VALUES (30368, 819, 26593, 6, 929, 129, 147);
INSERT INTO public.who_data VALUES (30369, 14, 2294, 0, 63, 129, 2);
INSERT INTO public.who_data VALUES (30370, 0, 529, 0, 1, 129, 105);
INSERT INTO public.who_data VALUES (30371, 117, 7371, 2, 79, 129, 53);
INSERT INTO public.who_data VALUES (30372, 0, 283, 0, 0, 129, 81);
INSERT INTO public.who_data VALUES (30373, 0, 21441, 0, 423, 129, 223);
INSERT INTO public.who_data VALUES (30374, 4042, 186881, 27, 9654, 129, 94);
INSERT INTO public.who_data VALUES (30375, 0, 221, 0, 1, 129, 154);
INSERT INTO public.who_data VALUES (30376, 0, 4855, 0, 62, 129, 83);
INSERT INTO public.who_data VALUES (30377, 8, 1329, 0, 92, 129, 194);
INSERT INTO public.who_data VALUES (30378, 1092, 485372, 19, 13415, 129, 136);
INSERT INTO public.who_data VALUES (30379, 12, 91399, 0, 4746, 129, 179);
INSERT INTO public.who_data VALUES (30380, 5015, 924098, 156, 28141, 129, 57);
INSERT INTO public.who_data VALUES (30381, 0, 496, 0, 7, 129, 35);
INSERT INTO public.who_data VALUES (30382, 0, 5156, 0, 92, 129, 228);
INSERT INTO public.who_data VALUES (30383, 0, 0, 0, 0, 129, 19);
INSERT INTO public.who_data VALUES (30384, 1015, 90238, 16, 1124, 129, 22);
INSERT INTO public.who_data VALUES (30385, 34, 20217, 1, 121, 129, 1);
INSERT INTO public.who_data VALUES (30386, 748, 21741, 4, 334, 129, 21);
INSERT INTO public.who_data VALUES (30387, 18, 6035, 0, 123, 129, 234);
INSERT INTO public.who_data VALUES (30388, 34, 619, 0, 1, 129, 91);
INSERT INTO public.who_data VALUES (30389, 83, 2130, 0, 25, 129, 137);
INSERT INTO public.who_data VALUES (30390, 9543, 139290, 66, 1172, 129, 201);
INSERT INTO public.who_data VALUES (30391, 0, 0, 0, 0, 129, 171);
INSERT INTO public.who_data VALUES (30392, 63, 10934, 5, 281, 129, 92);
INSERT INTO public.who_data VALUES (30393, 492, 33593, 1, 675, 129, 112);
INSERT INTO public.who_data VALUES (30394, 12, 5440, 0, 61, 129, 62);
INSERT INTO public.who_data VALUES (30395, 0, 32, 0, 0, 129, 69);
INSERT INTO public.who_data VALUES (30396, 654, 119662, 3, 2186, 129, 220);
INSERT INTO public.who_data VALUES (30397, 912, 149083, 29, 12264, 129, 100);
INSERT INTO public.who_data VALUES (30398, 128, 104915, 6, 6077, 129, 187);
INSERT INTO public.who_data VALUES (30399, 286, 30766, 5, 904, 129, 63);
INSERT INTO public.who_data VALUES (30400, 2, 5068, 0, 83, 129, 28);
INSERT INTO public.who_data VALUES (30401, 0, 414, 0, 0, 129, 172);
INSERT INTO public.who_data VALUES (30402, 39, 3947, 0, 68, 129, 17);
INSERT INTO public.who_data VALUES (30403, 19, 5715, 0, 114, 129, 226);
INSERT INTO public.who_data VALUES (30404, 712, 86430, 7, 1312, 129, 236);
INSERT INTO public.who_data VALUES (30405, 0, 13, 0, 0, 129, 76);
INSERT INTO public.who_data VALUES (30406, 1, 478, 0, 0, 129, 30);
INSERT INTO public.who_data VALUES (30407, 0, 32, 0, 2, 129, 128);
INSERT INTO public.who_data VALUES (30408, 204, 12703, 4, 350, 129, 86);
INSERT INTO public.who_data VALUES (30409, 21696, 750445, 101, 32780, 129, 140);
INSERT INTO public.who_data VALUES (30410, 10, 10202, 0, 69, 129, 44);
INSERT INTO public.who_data VALUES (30411, 322, 3573, 2, 13, 129, 113);
INSERT INTO public.who_data VALUES (30412, 9, 8869, 0, 54, 129, 29);
INSERT INTO public.who_data VALUES (30413, 8, 3644, 0, 118, 129, 125);
INSERT INTO public.who_data VALUES (30414, 919, 14440, 4, 113, 129, 131);
INSERT INTO public.who_data VALUES (30415, 6638, 341223, 33, 9710, 129, 46);
INSERT INTO public.who_data VALUES (30416, 29, 47126, 2, 310, 129, 10);
INSERT INTO public.who_data VALUES (30417, 13, 499, 0, 0, 129, 205);
INSERT INTO public.who_data VALUES (30418, 435, 23495, 7, 469, 129, 50);
INSERT INTO public.who_data VALUES (30419, 0, 16, 0, 0, 129, 20);
INSERT INTO public.who_data VALUES (30420, 0, 25, 0, 0, 129, 13);
INSERT INTO public.who_data VALUES (30421, 425, 6908, 1, 96, 129, 148);
INSERT INTO public.who_data VALUES (30422, 75, 3341, 0, 61, 129, 230);
INSERT INTO public.who_data VALUES (30423, 714, 99094, 20, 3430, 129, 190);
INSERT INTO public.who_data VALUES (30424, 0, 258, 0, 13, 129, 188);
INSERT INTO public.who_data VALUES (30425, 54, 11188, 0, 70, 129, 123);
INSERT INTO public.who_data VALUES (30426, 0, 2385, 0, 40, 129, 9);
INSERT INTO public.who_data VALUES (30427, 44, 3565, 2, 106, 129, 102);
INSERT INTO public.who_data VALUES (30428, 21, 8908, 1, 231, 129, 34);
INSERT INTO public.who_data VALUES (30429, 0, 19, 0, 0, 129, 212);
INSERT INTO public.who_data VALUES (30430, 439, 84852, 7, 2528, 129, 122);
INSERT INTO public.who_data VALUES (30431, 950, 41732, 29, 1052, 129, 38);
INSERT INTO public.who_data VALUES (30432, 89, 3757, 0, 10, 129, 130);
INSERT INTO public.who_data VALUES (30433, 67708, 7307097, 680, 111266, 129, 37);
INSERT INTO public.who_data VALUES (30434, 4127, 344749, 129, 12156, 129, 231);
INSERT INTO public.who_data VALUES (30435, 4830, 513219, 279, 29349, 129, 107);
INSERT INTO public.who_data VALUES (30436, 3857, 413215, 51, 10021, 129, 101);
INSERT INTO public.who_data VALUES (30437, 1084, 45243, 5, 1835, 129, 132);
INSERT INTO public.who_data VALUES (30438, 0, 346, 0, 24, 129, 176);
INSERT INTO public.who_data VALUES (30439, 2336, 297133, 38, 2084, 129, 200);
INSERT INTO public.who_data VALUES (30440, 7332, 372799, 43, 36289, 129, 169);
INSERT INTO public.who_data VALUES (30441, 79, 7989, 5, 151, 129, 225);
INSERT INTO public.who_data VALUES (30442, 570, 90710, 8, 1646, 129, 165);
INSERT INTO public.who_data VALUES (30443, 5, 484, 0, 32, 129, 233);
INSERT INTO public.who_data VALUES (30444, 2423, 30618, 32, 257, 129, 215);
INSERT INTO public.who_data VALUES (30445, 274, 144761, 0, 2136, 129, 177);
INSERT INTO public.who_data VALUES (30446, 602, 42541, 10, 797, 129, 183);
INSERT INTO public.who_data VALUES (30447, 0, 0, 0, 0, 129, 203);
INSERT INTO public.who_data VALUES (30448, 80, 16382, 1, 640, 129, 162);
INSERT INTO public.who_data VALUES (30449, 532, 113269, 4, 676, 129, 12);
INSERT INTO public.who_data VALUES (30450, 388, 50589, 5, 1099, 129, 24);
INSERT INTO public.who_data VALUES (30451, 0, 23, 0, 0, 129, 119);
INSERT INTO public.who_data VALUES (30452, 102, 2942, 0, 41, 129, 39);
INSERT INTO public.who_data VALUES (30453, 1226, 57095, 20, 499, 129, 26);
INSERT INTO public.who_data VALUES (30454, 28, 1833, 0, 42, 129, 59);
INSERT INTO public.who_data VALUES (30455, 0, 1372, 0, 82, 129, 77);
INSERT INTO public.who_data VALUES (30456, 855, 46676, 12, 681, 129, 134);
INSERT INTO public.who_data VALUES (30457, 8, 185, 0, 1, 129, 4);
INSERT INTO public.who_data VALUES (30458, 255, 6752, 0, 94, 129, 109);
INSERT INTO public.who_data VALUES (30459, 190, 10030, 0, 133, 129, 90);
INSERT INTO public.who_data VALUES (30460, 0, 16754, 0, 237, 129, 61);
INSERT INTO public.who_data VALUES (30461, 2, 5829, 0, 181, 129, 85);
INSERT INTO public.who_data VALUES (30462, 660, 17540, 4, 167, 129, 49);
INSERT INTO public.who_data VALUES (30463, 69, 11062, 0, 35, 129, 208);
INSERT INTO public.who_data VALUES (30464, 55, 3352, 0, 132, 129, 166);
INSERT INTO public.who_data VALUES (30465, 111, 4040, 0, 44, 129, 64);
INSERT INTO public.who_data VALUES (30466, 0, 0, 0, 0, 129, 199);
INSERT INTO public.who_data VALUES (30467, 406, 2257, 2, 24, 129, 114);
INSERT INTO public.who_data VALUES (30468, 0, 7565, 0, 163, 129, 60);
INSERT INTO public.who_data VALUES (30469, 0, 404, 0, 10, 129, 68);
INSERT INTO public.who_data VALUES (30470, 0, 4030, 0, 43, 129, 158);
INSERT INTO public.who_data VALUES (30471, 4295, 825340, 475, 84420, 129, 52);
INSERT INTO public.who_data VALUES (30472, 0, 0, 0, 0, 129, 117);
INSERT INTO public.who_data VALUES (30473, 7, 251, 0, 2, 129, 126);
INSERT INTO public.who_data VALUES (30474, 0, 320, 0, 0, 129, 196);
INSERT INTO public.who_data VALUES (30475, 221, 15274, 2, 221, 129, 142);
INSERT INTO public.who_data VALUES (30476, 0, 13, 0, 1, 129, 185);
INSERT INTO public.who_data VALUES (30477, 3387, 160333, 41, 2726, 129, 138);
INSERT INTO public.who_data VALUES (30478, 134, 10392, 0, 73, 129, 181);
INSERT INTO public.who_data VALUES (30479, 888, 31325, 39, 732, 129, 178);
INSERT INTO public.who_data VALUES (30480, 69, 12069, 1, 130, 129, 168);
INSERT INTO public.who_data VALUES (30481, 0, 0, 0, 0, 129, 160);
INSERT INTO public.who_data VALUES (30482, 2638, 117996, 12, 675, 129, 151);
INSERT INTO public.who_data VALUES (30483, 7252, 195595, 32, 6658, 129, 193);
INSERT INTO public.who_data VALUES (30484, 0, 27, 0, 0, 129, 18);
INSERT INTO public.who_data VALUES (30485, 2, 1520, 0, 25, 129, 40);
INSERT INTO public.who_data VALUES (30486, 0, 4297, 0, 154, 129, 218);
INSERT INTO public.who_data VALUES (30487, 4, 1205, 0, 69, 129, 191);
INSERT INTO public.who_data VALUES (30488, 179, 60834, 0, 1116, 129, 156);
INSERT INTO public.who_data VALUES (30489, 0, 0, 0, 0, 129, 135);
INSERT INTO public.who_data VALUES (30490, 0, 77, 0, 2, 129, 88);
INSERT INTO public.who_data VALUES (30491, 443, 21636, 9, 809, 129, 55);
INSERT INTO public.who_data VALUES (30492, 152, 15791, 0, 277, 129, 108);
INSERT INTO public.who_data VALUES (30493, 532, 56999, 4, 463, 129, 48);
INSERT INTO public.who_data VALUES (30494, 563, 107776, 8, 1061, 129, 3);
INSERT INTO public.who_data VALUES (30495, 0, 741, 0, 13, 129, 224);
INSERT INTO public.who_data VALUES (30496, 755, 321218, 13, 6614, 129, 110);
INSERT INTO public.who_data VALUES (30497, 0, 0, 0, 0, 129, 106);
INSERT INTO public.who_data VALUES (30498, 494, 121296, 9, 2511, 129, 89);
INSERT INTO public.who_data VALUES (30499, 13, 578, 0, 7, 129, 121);
INSERT INTO public.who_data VALUES (30500, 853, 51197, 12, 1108, 129, 163);
INSERT INTO public.who_data VALUES (30501, 2803, 853974, 62, 33419, 129, 70);
INSERT INTO public.who_data VALUES (30502, 1823, 346536, 77, 6449, 129, 174);
INSERT INTO public.who_data VALUES (30503, 0, 0, 0, 0, 129, 175);
INSERT INTO public.who_data VALUES (30504, 6526, 141804, 116, 3217, 129, 118);
INSERT INTO public.who_data VALUES (30505, 2072, 91193, 7, 2117, 129, 189);
INSERT INTO public.who_data VALUES (30506, 976, 55516, 4, 742, 129, 124);
INSERT INTO public.who_data VALUES (30507, 198, 128603, 0, 220, 129, 192);
INSERT INTO public.who_data VALUES (30508, 110, 24988, 1, 439, 129, 41);
INSERT INTO public.who_data VALUES (30509, 1149, 64424, 19, 1514, 129, 95);
INSERT INTO public.who_data VALUES (30510, 54, 4678, 0, 17, 129, 74);
INSERT INTO public.who_data VALUES (30511, 4016, 164477, 66, 5601, 129, 11);
INSERT INTO public.who_data VALUES (30512, 13754, 1354163, 286, 23491, 129, 87);
INSERT INTO public.who_data VALUES (30513, 32, 4940, 1, 33, 129, 214);
INSERT INTO public.who_data VALUES (30514, 0, 5, 0, 0, 129, 116);
INSERT INTO public.who_data VALUES (30515, 0, 65, 0, 0, 129, 157);
INSERT INTO public.who_data VALUES (30516, 0, 0, 0, 0, 129, 182);
INSERT INTO public.who_data VALUES (30517, 0, 19, 0, 0, 129, 186);
INSERT INTO public.who_data VALUES (30518, 0, 29, 0, 0, 129, 127);
INSERT INTO public.who_data VALUES (30519, 0, 466, 0, 8, 129, 232);
INSERT INTO public.who_data VALUES (30520, 0, 12, 0, 0, 129, 33);
INSERT INTO public.who_data VALUES (30521, 0, 64, 0, 0, 129, 97);
INSERT INTO public.who_data VALUES (30522, 0, 0, 0, 0, 129, 42);
INSERT INTO public.who_data VALUES (30523, 0, 772, 0, 42, 129, 198);
INSERT INTO public.who_data VALUES (30524, 0, 929, 0, 15, 129, 216);
INSERT INTO public.who_data VALUES (30525, 501, 340590, 21, 5108, 129, 164);
INSERT INTO public.who_data VALUES (30526, 24, 15331, 1, 316, 129, 235);
INSERT INTO public.who_data VALUES (30527, 245, 35251, 1, 768, 129, 67);
INSERT INTO public.who_data VALUES (30528, 1, 148, 0, 0, 129, 15);
INSERT INTO public.who_data VALUES (30529, 6, 2315, 1, 73, 129, 180);
INSERT INTO public.who_data VALUES (30530, 5, 57889, 0, 28, 129, 237);
INSERT INTO public.who_data VALUES (30531, 0, 14, 0, 0, 129, 25);
INSERT INTO public.who_data VALUES (30532, 9, 719, 0, 22, 129, 209);
INSERT INTO public.who_data VALUES (30533, 531, 20886, 0, 61, 129, 217);
INSERT INTO public.who_data VALUES (30534, 707, 9940, 5, 186, 129, 79);
INSERT INTO public.who_data VALUES (30535, 0, 2, 0, 0, 129, 143);
INSERT INTO public.who_data VALUES (30536, 0, 3864, 0, 99, 129, 229);
INSERT INTO public.who_data VALUES (30537, 1877, 696414, 123, 18151, 129, 141);
INSERT INTO public.who_data VALUES (30538, 9, 2807, 0, 55, 129, 197);
INSERT INTO public.who_data VALUES (30539, 12907, 965884, 145, 35802, 129, 221);
INSERT INTO public.who_data VALUES (30540, 130, 5168, 0, 13, 129, 150);
INSERT INTO public.who_data VALUES (30541, 0, 13697, 0, 836, 129, 56);
INSERT INTO public.who_data VALUES (30542, 14, 5072, 0, 107, 129, 167);
INSERT INTO public.who_data VALUES (30543, 916, 101633, 1, 5913, 129, 23);
INSERT INTO public.who_data VALUES (30544, 2999, 73139, 5, 1864, 129, 222);
INSERT INTO public.who_data VALUES (30545, 57, 4883, 3, 234, 129, 219);
INSERT INTO public.who_data VALUES (30546, 39, 10336, 0, 79, 129, 7);
INSERT INTO public.who_data VALUES (30547, 13, 3665, 0, 59, 129, 161);
INSERT INTO public.who_data VALUES (30548, 19724, 654648, 137, 43155, 129, 149);
INSERT INTO public.who_data VALUES (30549, 0, 29, 0, 0, 129, 6);
INSERT INTO public.who_data VALUES (30550, 0, 1972, 0, 50, 129, 139);
INSERT INTO public.who_data VALUES (30551, 0, 0, 0, 0, 129, 211);
INSERT INTO public.who_data VALUES (30552, 0, 0, 0, 0, 129, 14);
INSERT INTO public.who_data VALUES (30553, 11, 5127, 1, 93, 129, 111);
INSERT INTO public.who_data VALUES (30554, 0, 34790, 0, 512, 129, 207);
INSERT INTO public.who_data VALUES (30555, 8401, 872120, 57, 9014, 129, 66);
INSERT INTO public.who_data VALUES (30556, 0, 0, 0, 0, 129, 173);
INSERT INTO public.who_data VALUES (30557, 0, 696, 0, 6, 129, 145);
INSERT INTO public.who_data VALUES (30558, 0, 0, 0, 0, 129, 65);
INSERT INTO public.who_data VALUES (30559, 124, 10069, 0, 95, 129, 184);
INSERT INTO public.who_data VALUES (30560, 5062, 281239, 73, 5302, 129, 98);
INSERT INTO public.who_data VALUES (30561, 1431, 110039, 2, 450, 129, 104);
INSERT INTO public.who_data VALUES (30562, 0, 509, 0, 21, 129, 73);
INSERT INTO public.who_data VALUES (30563, 46309, 7774745, 743, 214369, 129, 8);
INSERT INTO public.who_data VALUES (30564, 3, 1328, 0, 20, 129, 227);
INSERT INTO public.who_data VALUES (30565, 24, 2337, 0, 51, 129, 75);
INSERT INTO public.who_data VALUES (30566, 316, 62175, 4, 516, 129, 45);
INSERT INTO public.who_data VALUES (30567, 0, 0, 0, 0, 129, 133);
INSERT INTO public.who_data VALUES (30568, 635, 84391, 6, 710, 129, 202);
INSERT INTO public.who_data VALUES (30569, 9, 1122, 0, 35, 129, 129);
INSERT INTO public.who_data VALUES (30570, 0, 0, 0, 0, 129, 36);
INSERT INTO public.who_data VALUES (30571, 0, 2057, 0, 597, 129, 51);
INSERT INTO public.who_data VALUES (30572, 67, 15616, 0, 344, 129, 206);
INSERT INTO public.who_data VALUES (30573, 19, 8055, 1, 231, 129, 5);
INSERT INTO public.who_data VALUES (30574, 66, 40080, 1, 1485, 130, 103);
INSERT INTO public.who_data VALUES (30575, 182, 15752, 5, 429, 130, 58);
INSERT INTO public.who_data VALUES (30576, 174, 53399, 9, 1818, 130, 195);
INSERT INTO public.who_data VALUES (30577, 0, 0, 0, 0, 130, 115);
INSERT INTO public.who_data VALUES (30578, 0, 2995, 0, 57, 130, 99);
INSERT INTO public.who_data VALUES (30579, 192, 6680, 3, 222, 130, 153);
INSERT INTO public.who_data VALUES (30580, 0, 3, 0, 0, 130, 93);
INSERT INTO public.who_data VALUES (30581, 0, 111, 0, 3, 130, 84);
INSERT INTO public.who_data VALUES (30582, 9524, 903730, 318, 24186, 130, 78);
INSERT INTO public.who_data VALUES (30583, 1058, 57937, 7, 1034, 130, 170);
INSERT INTO public.who_data VALUES (30584, 3, 4197, 0, 32, 130, 32);
INSERT INTO public.who_data VALUES (30585, 31, 27317, 1, 899, 130, 155);
INSERT INTO public.who_data VALUES (30586, 1171, 57762, 10, 879, 130, 82);
INSERT INTO public.who_data VALUES (30587, 277, 42381, 3, 612, 130, 16);
INSERT INTO public.who_data VALUES (30588, 85, 5163, 1, 108, 130, 72);
INSERT INTO public.who_data VALUES (30589, 324, 76272, 5, 285, 130, 43);
INSERT INTO public.who_data VALUES (30590, 1537, 381275, 22, 5577, 130, 120);
INSERT INTO public.who_data VALUES (30591, 0, 208, 0, 7, 130, 213);
INSERT INTO public.who_data VALUES (30592, 526, 84524, 5, 906, 130, 31);
INSERT INTO public.who_data VALUES (30593, 12579, 196723, 34, 10275, 130, 204);
INSERT INTO public.who_data VALUES (30594, 38, 2569, 0, 37, 130, 152);
INSERT INTO public.who_data VALUES (30595, 85, 2496, 0, 41, 130, 144);
INSERT INTO public.who_data VALUES (30596, 0, 184, 0, 9, 130, 96);
INSERT INTO public.who_data VALUES (30597, 4, 313, 0, 0, 130, 47);
INSERT INTO public.who_data VALUES (30598, 121, 138695, 18, 8326, 130, 80);
INSERT INTO public.who_data VALUES (30599, 0, 131, 0, 2, 130, 159);
INSERT INTO public.who_data VALUES (30600, 339, 31173, 13, 943, 130, 27);
INSERT INTO public.who_data VALUES (30601, 0, 5039, 0, 20, 130, 146);
INSERT INTO public.who_data VALUES (30602, 8429, 5103408, 201, 150689, 130, 71);
INSERT INTO public.who_data VALUES (30603, 0, 71, 0, 1, 130, 210);
INSERT INTO public.who_data VALUES (30604, 0, 146, 0, 3, 130, 54);
INSERT INTO public.who_data VALUES (30605, 785, 25774, 8, 923, 130, 147);
INSERT INTO public.who_data VALUES (30606, 0, 2280, 0, 63, 130, 2);
INSERT INTO public.who_data VALUES (30607, 0, 529, 0, 1, 130, 105);
INSERT INTO public.who_data VALUES (30608, 99, 7254, 2, 77, 130, 53);
INSERT INTO public.who_data VALUES (30609, 0, 283, 0, 0, 130, 81);
INSERT INTO public.who_data VALUES (30610, 108, 21441, 0, 423, 130, 223);
INSERT INTO public.who_data VALUES (30611, 975, 182839, 14, 9627, 130, 94);
INSERT INTO public.who_data VALUES (30612, 0, 221, 0, 1, 130, 154);
INSERT INTO public.who_data VALUES (30613, 0, 4855, 0, 62, 130, 83);
INSERT INTO public.who_data VALUES (30614, 13, 1321, 0, 92, 130, 194);
INSERT INTO public.who_data VALUES (30615, 1392, 484280, 17, 13396, 130, 136);
INSERT INTO public.who_data VALUES (30616, 28, 91387, 0, 4746, 130, 179);
INSERT INTO public.who_data VALUES (30617, 7767, 919083, 151, 27985, 130, 57);
INSERT INTO public.who_data VALUES (30618, 1, 496, 0, 7, 130, 35);
INSERT INTO public.who_data VALUES (30619, 38, 5156, 2, 92, 130, 228);
INSERT INTO public.who_data VALUES (30620, 0, 0, 0, 0, 130, 19);
INSERT INTO public.who_data VALUES (30621, 733, 89223, 18, 1108, 130, 22);
INSERT INTO public.who_data VALUES (30622, 29, 20183, 0, 120, 130, 1);
INSERT INTO public.who_data VALUES (30623, 372, 20993, 3, 330, 130, 21);
INSERT INTO public.who_data VALUES (30624, 17, 6017, 0, 123, 130, 234);
INSERT INTO public.who_data VALUES (30625, 2, 585, 0, 1, 130, 91);
INSERT INTO public.who_data VALUES (30626, 0, 2047, 0, 25, 130, 137);
INSERT INTO public.who_data VALUES (30627, 8326, 129747, 55, 1106, 130, 201);
INSERT INTO public.who_data VALUES (30628, 0, 0, 0, 0, 130, 171);
INSERT INTO public.who_data VALUES (30629, 4, 10871, 0, 276, 130, 92);
INSERT INTO public.who_data VALUES (30630, 290, 33101, 3, 674, 130, 112);
INSERT INTO public.who_data VALUES (30631, 2, 5428, 0, 61, 130, 62);
INSERT INTO public.who_data VALUES (30632, 0, 32, 0, 0, 130, 69);
INSERT INTO public.who_data VALUES (30633, 165, 119008, 4, 2183, 130, 220);
INSERT INTO public.who_data VALUES (30634, 856, 148171, 17, 12235, 130, 100);
INSERT INTO public.who_data VALUES (30635, 139, 104787, 9, 6071, 130, 187);
INSERT INTO public.who_data VALUES (30636, 284, 30480, 5, 899, 130, 63);
INSERT INTO public.who_data VALUES (30637, 0, 5066, 0, 83, 130, 28);
INSERT INTO public.who_data VALUES (30638, 0, 414, 0, 0, 130, 172);
INSERT INTO public.who_data VALUES (30639, 25, 3908, 0, 68, 130, 17);
INSERT INTO public.who_data VALUES (30640, 13, 5696, 1, 114, 130, 226);
INSERT INTO public.who_data VALUES (30641, 582, 85718, 4, 1305, 130, 236);
INSERT INTO public.who_data VALUES (30642, 0, 13, 0, 0, 130, 76);
INSERT INTO public.who_data VALUES (30643, 0, 477, 0, 0, 130, 30);
INSERT INTO public.who_data VALUES (30644, 0, 32, 0, 2, 130, 128);
INSERT INTO public.who_data VALUES (30645, 287, 12499, 0, 346, 130, 86);
INSERT INTO public.who_data VALUES (30646, 12981, 728749, 108, 32679, 130, 140);
INSERT INTO public.who_data VALUES (30647, 12, 10192, 0, 69, 130, 44);
INSERT INTO public.who_data VALUES (30648, 0, 3251, 0, 11, 130, 113);
INSERT INTO public.who_data VALUES (30649, 0, 8860, 0, 54, 130, 29);
INSERT INTO public.who_data VALUES (30650, 4, 3636, 1, 118, 130, 125);
INSERT INTO public.who_data VALUES (30651, 680, 13521, 7, 109, 130, 131);
INSERT INTO public.who_data VALUES (30652, 5132, 334585, 43, 9677, 130, 46);
INSERT INTO public.who_data VALUES (30653, 92, 47097, 2, 308, 130, 10);
INSERT INTO public.who_data VALUES (30654, 1, 486, 0, 0, 130, 205);
INSERT INTO public.who_data VALUES (30655, 408, 23060, 6, 462, 130, 50);
INSERT INTO public.who_data VALUES (30656, 0, 16, 0, 0, 130, 20);
INSERT INTO public.who_data VALUES (30657, 1, 25, 0, 0, 130, 13);
INSERT INTO public.who_data VALUES (30658, 0, 6483, 0, 95, 130, 148);
INSERT INTO public.who_data VALUES (30659, 96, 3266, 1, 61, 130, 230);
INSERT INTO public.who_data VALUES (30660, 554, 98380, 23, 3410, 130, 190);
INSERT INTO public.who_data VALUES (30661, 0, 258, 0, 13, 130, 188);
INSERT INTO public.who_data VALUES (30662, 72, 11134, 0, 70, 130, 123);
INSERT INTO public.who_data VALUES (30663, 0, 2385, 0, 40, 130, 9);
INSERT INTO public.who_data VALUES (30664, 52, 3521, 1, 104, 130, 102);
INSERT INTO public.who_data VALUES (30665, 5, 8887, 0, 230, 130, 34);
INSERT INTO public.who_data VALUES (30666, 0, 19, 0, 0, 130, 212);
INSERT INTO public.who_data VALUES (30667, 332, 84413, 9, 2521, 130, 122);
INSERT INTO public.who_data VALUES (30668, 920, 40782, 27, 1023, 130, 38);
INSERT INTO public.who_data VALUES (30669, 86, 3668, 0, 10, 130, 130);
INSERT INTO public.who_data VALUES (30670, 63509, 7239389, 730, 110586, 130, 37);
INSERT INTO public.who_data VALUES (30671, 3906, 340622, 92, 12027, 130, 231);
INSERT INTO public.who_data VALUES (30672, 4108, 508389, 254, 29070, 130, 107);
INSERT INTO public.who_data VALUES (30673, 3921, 409358, 58, 9970, 130, 101);
INSERT INTO public.who_data VALUES (30674, 808, 44159, 3, 1830, 130, 132);
INSERT INTO public.who_data VALUES (30675, 0, 346, 0, 24, 130, 176);
INSERT INTO public.who_data VALUES (30676, 3169, 294797, 30, 2046, 130, 200);
INSERT INTO public.who_data VALUES (30677, 5898, 365467, 41, 36246, 130, 169);
INSERT INTO public.who_data VALUES (30678, 97, 7910, 0, 146, 130, 225);
INSERT INTO public.who_data VALUES (30679, 467, 90140, 4, 1638, 130, 165);
INSERT INTO public.who_data VALUES (30680, 30, 479, 0, 32, 130, 233);
INSERT INTO public.who_data VALUES (30681, 2054, 28195, 18, 225, 130, 215);
INSERT INTO public.who_data VALUES (30682, 269, 144487, 0, 2136, 130, 177);
INSERT INTO public.who_data VALUES (30683, 320, 41939, 10, 787, 130, 183);
INSERT INTO public.who_data VALUES (30684, 0, 0, 0, 0, 130, 203);
INSERT INTO public.who_data VALUES (30685, 98, 16302, 1, 639, 130, 162);
INSERT INTO public.who_data VALUES (30686, 844, 112737, 8, 672, 130, 12);
INSERT INTO public.who_data VALUES (30687, 330, 50201, 2, 1094, 130, 24);
INSERT INTO public.who_data VALUES (30688, 0, 23, 0, 0, 130, 119);
INSERT INTO public.who_data VALUES (30689, 75, 2840, 1, 41, 130, 39);
INSERT INTO public.who_data VALUES (30690, 1245, 55869, 13, 479, 130, 26);
INSERT INTO public.who_data VALUES (30691, 0, 1805, 0, 42, 130, 59);
INSERT INTO public.who_data VALUES (30692, 2, 1372, 0, 82, 130, 77);
INSERT INTO public.who_data VALUES (30693, 836, 45821, 13, 669, 130, 134);
INSERT INTO public.who_data VALUES (30694, 13, 177, 0, 1, 130, 4);
INSERT INTO public.who_data VALUES (30695, 137, 6497, 4, 94, 130, 109);
INSERT INTO public.who_data VALUES (30696, 109, 9840, 0, 133, 130, 90);
INSERT INTO public.who_data VALUES (30697, 28, 16754, 0, 237, 130, 61);
INSERT INTO public.who_data VALUES (30698, 3, 5827, 1, 181, 130, 85);
INSERT INTO public.who_data VALUES (30699, 660, 16880, 4, 163, 130, 49);
INSERT INTO public.who_data VALUES (30700, 50, 10993, 0, 35, 130, 208);
INSERT INTO public.who_data VALUES (30701, 1, 3297, 0, 132, 130, 166);
INSERT INTO public.who_data VALUES (30702, 94, 3929, 1, 44, 130, 64);
INSERT INTO public.who_data VALUES (30703, 0, 0, 0, 0, 130, 199);
INSERT INTO public.who_data VALUES (30704, 0, 1851, 0, 22, 130, 114);
INSERT INTO public.who_data VALUES (30705, 11, 7565, 0, 163, 130, 60);
INSERT INTO public.who_data VALUES (30706, 0, 404, 0, 10, 130, 68);
INSERT INTO public.who_data VALUES (30707, 0, 4030, 0, 43, 130, 158);
INSERT INTO public.who_data VALUES (30708, 3542, 821045, 164, 83945, 130, 52);
INSERT INTO public.who_data VALUES (30709, 0, 0, 0, 0, 130, 117);
INSERT INTO public.who_data VALUES (30710, 5, 244, 0, 2, 130, 126);
INSERT INTO public.who_data VALUES (30711, 2, 320, 0, 0, 130, 196);
INSERT INTO public.who_data VALUES (30712, 319, 15053, 4, 219, 130, 142);
INSERT INTO public.who_data VALUES (30713, 0, 13, 0, 1, 130, 185);
INSERT INTO public.who_data VALUES (30714, 3185, 156946, 49, 2685, 130, 138);
INSERT INTO public.who_data VALUES (30715, 170, 10258, 1, 73, 130, 181);
INSERT INTO public.who_data VALUES (30716, 1123, 30437, 29, 693, 130, 178);
INSERT INTO public.who_data VALUES (30717, 11, 12000, 0, 129, 130, 168);
INSERT INTO public.who_data VALUES (30718, 0, 0, 0, 0, 130, 160);
INSERT INTO public.who_data VALUES (30719, 3556, 115358, 18, 663, 130, 151);
INSERT INTO public.who_data VALUES (30720, 7336, 188343, 33, 6626, 130, 193);
INSERT INTO public.who_data VALUES (30721, 0, 27, 0, 0, 130, 18);
INSERT INTO public.who_data VALUES (30722, 2, 1518, 0, 25, 130, 40);
INSERT INTO public.who_data VALUES (30723, 72, 4297, 1, 154, 130, 218);
INSERT INTO public.who_data VALUES (30724, 0, 1201, 0, 69, 130, 191);
INSERT INTO public.who_data VALUES (30725, 225, 60655, 1, 1116, 130, 156);
INSERT INTO public.who_data VALUES (30726, 0, 0, 0, 0, 130, 135);
INSERT INTO public.who_data VALUES (30727, 0, 77, 0, 2, 130, 88);
INSERT INTO public.who_data VALUES (30728, 80, 21193, 3, 800, 130, 55);
INSERT INTO public.who_data VALUES (30729, 115, 15639, 1, 277, 130, 108);
INSERT INTO public.who_data VALUES (30730, 516, 56467, 4, 459, 130, 48);
INSERT INTO public.who_data VALUES (30731, 638, 107213, 7, 1053, 130, 3);
INSERT INTO public.who_data VALUES (30732, 0, 741, 0, 13, 130, 224);
INSERT INTO public.who_data VALUES (30733, 615, 320463, 13, 6601, 130, 110);
INSERT INTO public.who_data VALUES (30734, 0, 0, 0, 0, 130, 106);
INSERT INTO public.who_data VALUES (30735, 489, 120802, 11, 2502, 130, 89);
INSERT INTO public.who_data VALUES (30736, 0, 565, 0, 7, 130, 121);
INSERT INTO public.who_data VALUES (30737, 669, 50344, 19, 1096, 130, 163);
INSERT INTO public.who_data VALUES (30738, 1800, 851171, 52, 33357, 130, 70);
INSERT INTO public.who_data VALUES (30739, 1897, 344713, 40, 6372, 130, 174);
INSERT INTO public.who_data VALUES (30740, 0, 0, 0, 0, 130, 175);
INSERT INTO public.who_data VALUES (30741, 5068, 135278, 62, 3101, 130, 118);
INSERT INTO public.who_data VALUES (30742, 1208, 89121, 16, 2110, 130, 189);
INSERT INTO public.who_data VALUES (30743, 306, 54540, 3, 738, 130, 124);
INSERT INTO public.who_data VALUES (30744, 214, 128405, 0, 220, 130, 192);
INSERT INTO public.who_data VALUES (30745, 73, 24878, 4, 438, 130, 41);
INSERT INTO public.who_data VALUES (30746, 657, 63275, 17, 1495, 130, 95);
INSERT INTO public.who_data VALUES (30747, 0, 4624, 0, 17, 130, 74);
INSERT INTO public.who_data VALUES (30748, 3109, 160461, 68, 5535, 130, 11);
INSERT INTO public.who_data VALUES (30749, 14231, 1340409, 239, 23205, 130, 87);
INSERT INTO public.who_data VALUES (30750, 3, 4908, 0, 32, 130, 214);
INSERT INTO public.who_data VALUES (30751, 0, 5, 0, 0, 130, 116);
INSERT INTO public.who_data VALUES (30752, 0, 65, 0, 0, 130, 157);
INSERT INTO public.who_data VALUES (30753, 0, 0, 0, 0, 130, 182);
INSERT INTO public.who_data VALUES (30754, 0, 19, 0, 0, 130, 186);
INSERT INTO public.who_data VALUES (30755, 0, 29, 0, 0, 130, 127);
INSERT INTO public.who_data VALUES (30756, 0, 466, 0, 8, 130, 232);
INSERT INTO public.who_data VALUES (30757, 0, 12, 0, 0, 130, 33);
INSERT INTO public.who_data VALUES (30758, 0, 64, 0, 0, 130, 97);
INSERT INTO public.who_data VALUES (30759, 0, 0, 0, 0, 130, 42);
INSERT INTO public.who_data VALUES (30760, 6, 772, 0, 42, 130, 198);
INSERT INTO public.who_data VALUES (30761, 0, 929, 0, 15, 130, 216);
INSERT INTO public.who_data VALUES (30762, 474, 340089, 19, 5087, 130, 164);
INSERT INTO public.who_data VALUES (30763, 15, 15307, 0, 315, 130, 235);
INSERT INTO public.who_data VALUES (30764, 152, 35006, 2, 767, 130, 67);
INSERT INTO public.who_data VALUES (30765, 0, 147, 0, 0, 130, 15);
INSERT INTO public.who_data VALUES (30766, 3, 2309, 0, 72, 130, 180);
INSERT INTO public.who_data VALUES (30767, 4, 57884, 0, 28, 130, 237);
INSERT INTO public.who_data VALUES (30768, 0, 14, 0, 0, 130, 25);
INSERT INTO public.who_data VALUES (30769, 0, 710, 0, 22, 130, 209);
INSERT INTO public.who_data VALUES (30770, 504, 20355, 0, 61, 130, 217);
INSERT INTO public.who_data VALUES (30771, 399, 9233, 3, 181, 130, 79);
INSERT INTO public.who_data VALUES (30772, 0, 2, 0, 0, 130, 143);
INSERT INTO public.who_data VALUES (30773, 0, 3864, 0, 99, 130, 229);
INSERT INTO public.who_data VALUES (30774, 1178, 694537, 165, 18028, 130, 141);
INSERT INTO public.who_data VALUES (30775, 0, 2798, 0, 55, 130, 197);
INSERT INTO public.who_data VALUES (30776, 6504, 952977, 127, 35657, 130, 221);
INSERT INTO public.who_data VALUES (30777, 194, 5038, 0, 13, 130, 150);
INSERT INTO public.who_data VALUES (30778, 6, 13697, 0, 836, 130, 56);
INSERT INTO public.who_data VALUES (30779, 7, 5058, 0, 107, 130, 167);
INSERT INTO public.who_data VALUES (30780, 637, 100717, 3, 5912, 130, 23);
INSERT INTO public.who_data VALUES (30781, 2687, 70140, 6, 1859, 130, 222);
INSERT INTO public.who_data VALUES (30782, 52, 4826, 3, 231, 130, 219);
INSERT INTO public.who_data VALUES (30783, 37, 10297, 0, 79, 130, 7);
INSERT INTO public.who_data VALUES (30784, 9, 3652, 0, 59, 130, 161);
INSERT INTO public.who_data VALUES (30785, 17232, 634924, 143, 43018, 130, 149);
INSERT INTO public.who_data VALUES (30786, 0, 29, 0, 0, 130, 6);
INSERT INTO public.who_data VALUES (30787, 23, 1972, 1, 50, 130, 139);
INSERT INTO public.who_data VALUES (30788, 0, 0, 0, 0, 130, 211);
INSERT INTO public.who_data VALUES (30789, 0, 0, 0, 0, 130, 14);
INSERT INTO public.who_data VALUES (30790, 15, 5116, 2, 92, 130, 111);
INSERT INTO public.who_data VALUES (30791, 0, 34790, 0, 512, 130, 207);
INSERT INTO public.who_data VALUES (30792, 8362, 863719, 62, 8957, 130, 66);
INSERT INTO public.who_data VALUES (30793, 0, 0, 0, 0, 130, 173);
INSERT INTO public.who_data VALUES (30794, 0, 696, 0, 6, 130, 145);
INSERT INTO public.who_data VALUES (30795, 0, 0, 0, 0, 130, 65);
INSERT INTO public.who_data VALUES (30796, 81, 9945, 1, 95, 130, 184);
INSERT INTO public.who_data VALUES (30797, 5590, 276177, 107, 5229, 130, 98);
INSERT INTO public.who_data VALUES (30798, 1315, 108608, 2, 448, 130, 104);
INSERT INTO public.who_data VALUES (30799, 0, 509, 0, 21, 130, 73);
INSERT INTO public.who_data VALUES (30800, 46308, 7728436, 335, 213626, 130, 8);
INSERT INTO public.who_data VALUES (30801, 0, 1325, 0, 20, 130, 227);
INSERT INTO public.who_data VALUES (30802, 19, 2313, 1, 51, 130, 75);
INSERT INTO public.who_data VALUES (30803, 325, 61859, 2, 512, 130, 45);
INSERT INTO public.who_data VALUES (30804, 0, 0, 0, 0, 130, 133);
INSERT INTO public.who_data VALUES (30805, 619, 83756, 7, 704, 130, 202);
INSERT INTO public.who_data VALUES (30806, 3, 1113, 0, 35, 130, 129);
INSERT INTO public.who_data VALUES (30807, 0, 0, 0, 0, 130, 36);
INSERT INTO public.who_data VALUES (30808, 1, 2057, 0, 597, 130, 51);
INSERT INTO public.who_data VALUES (30809, 0, 15549, 0, 344, 130, 206);
INSERT INTO public.who_data VALUES (30810, 15, 8036, 0, 230, 130, 5);
INSERT INTO public.who_data VALUES (30811, 58, 40014, 1, 1484, 131, 103);
INSERT INTO public.who_data VALUES (30812, 171, 15570, 4, 424, 131, 58);
INSERT INTO public.who_data VALUES (30813, 153, 53225, 8, 1809, 131, 195);
INSERT INTO public.who_data VALUES (30814, 0, 0, 0, 0, 131, 115);
INSERT INTO public.who_data VALUES (30815, 299, 2995, 2, 57, 131, 99);
INSERT INTO public.who_data VALUES (30816, 122, 6488, 1, 219, 131, 153);
INSERT INTO public.who_data VALUES (30817, 0, 3, 0, 0, 131, 93);
INSERT INTO public.who_data VALUES (30818, 0, 111, 0, 3, 131, 84);
INSERT INTO public.who_data VALUES (30819, 10324, 894206, 287, 23868, 131, 78);
INSERT INTO public.who_data VALUES (30820, 745, 56879, 6, 1027, 131, 170);
INSERT INTO public.who_data VALUES (30821, 44, 4194, 1, 32, 131, 32);
INSERT INTO public.who_data VALUES (30822, 22, 27286, 0, 898, 131, 155);
INSERT INTO public.who_data VALUES (30823, 608, 56591, 5, 869, 131, 82);
INSERT INTO public.who_data VALUES (30824, 122, 42104, 0, 609, 131, 16);
INSERT INTO public.who_data VALUES (30825, 55, 5078, 1, 107, 131, 72);
INSERT INTO public.who_data VALUES (30826, 334, 75948, 5, 280, 131, 43);
INSERT INTO public.who_data VALUES (30827, 1472, 379738, 31, 5555, 131, 120);
INSERT INTO public.who_data VALUES (30828, 2, 208, 0, 7, 131, 213);
INSERT INTO public.who_data VALUES (30829, 464, 83998, 5, 901, 131, 31);
INSERT INTO public.who_data VALUES (30830, 9737, 184144, 36, 10241, 131, 204);
INSERT INTO public.who_data VALUES (30831, 35, 2531, 1, 37, 131, 152);
INSERT INTO public.who_data VALUES (30832, 0, 2411, 0, 41, 131, 144);
INSERT INTO public.who_data VALUES (30833, 0, 184, 0, 9, 131, 96);
INSERT INTO public.who_data VALUES (30834, 0, 309, 0, 0, 131, 47);
INSERT INTO public.who_data VALUES (30835, 111, 138574, 16, 8308, 131, 80);
INSERT INTO public.who_data VALUES (30836, 0, 131, 0, 2, 131, 159);
INSERT INTO public.who_data VALUES (30837, 189, 30834, 9, 930, 131, 27);
INSERT INTO public.who_data VALUES (30838, 1820, 5039, 2, 20, 131, 146);
INSERT INTO public.who_data VALUES (30839, 12342, 5094979, 290, 150488, 131, 71);
INSERT INTO public.who_data VALUES (30840, 0, 71, 0, 1, 131, 210);
INSERT INTO public.who_data VALUES (30841, 0, 146, 0, 3, 131, 54);
INSERT INTO public.who_data VALUES (30842, 587, 24989, 23, 915, 131, 147);
INSERT INTO public.who_data VALUES (30843, 39, 2280, 3, 63, 131, 2);
INSERT INTO public.who_data VALUES (30844, 4, 529, 0, 1, 131, 105);
INSERT INTO public.who_data VALUES (30845, 83, 7155, 0, 75, 131, 53);
INSERT INTO public.who_data VALUES (30846, 0, 283, 0, 0, 131, 81);
INSERT INTO public.who_data VALUES (30847, 173, 21333, 3, 423, 131, 223);
INSERT INTO public.who_data VALUES (30848, 1685, 181864, 5, 9613, 131, 94);
INSERT INTO public.who_data VALUES (30849, 0, 221, 0, 1, 131, 154);
INSERT INTO public.who_data VALUES (30850, 1, 4855, 0, 62, 131, 83);
INSERT INTO public.who_data VALUES (30851, 4, 1308, 0, 92, 131, 194);
INSERT INTO public.who_data VALUES (30852, 1517, 482888, 61, 13379, 131, 136);
INSERT INTO public.who_data VALUES (30853, 26, 91359, 0, 4746, 131, 179);
INSERT INTO public.who_data VALUES (30854, 8569, 911316, 174, 27834, 131, 57);
INSERT INTO public.who_data VALUES (30855, 0, 495, 0, 7, 131, 35);
INSERT INTO public.who_data VALUES (30856, 0, 5118, 0, 90, 131, 228);
INSERT INTO public.who_data VALUES (30857, 0, 0, 0, 0, 131, 19);
INSERT INTO public.who_data VALUES (30858, 1051, 88490, 14, 1090, 131, 22);
INSERT INTO public.who_data VALUES (30859, 118, 20154, 0, 120, 131, 1);
INSERT INTO public.who_data VALUES (30860, 181, 20621, 3, 327, 131, 21);
INSERT INTO public.who_data VALUES (30861, 22, 6000, 0, 123, 131, 234);
INSERT INTO public.who_data VALUES (30862, 51, 583, 0, 1, 131, 91);
INSERT INTO public.who_data VALUES (30863, 61, 2047, 0, 25, 131, 137);
INSERT INTO public.who_data VALUES (30864, 4311, 121421, 17, 1051, 131, 201);
INSERT INTO public.who_data VALUES (30865, 0, 0, 0, 0, 131, 171);
INSERT INTO public.who_data VALUES (30866, 27, 10867, 0, 276, 131, 92);
INSERT INTO public.who_data VALUES (30867, 389, 32811, 2, 671, 131, 112);
INSERT INTO public.who_data VALUES (30868, 2, 5426, 0, 61, 131, 62);
INSERT INTO public.who_data VALUES (30869, 0, 32, 0, 0, 131, 69);
INSERT INTO public.who_data VALUES (30870, 366, 118843, 6, 2179, 131, 220);
INSERT INTO public.who_data VALUES (30871, 487, 147315, 30, 12218, 131, 100);
INSERT INTO public.who_data VALUES (30872, 132, 104648, 10, 6062, 131, 187);
INSERT INTO public.who_data VALUES (30873, 0, 30196, 4, 894, 131, 63);
INSERT INTO public.who_data VALUES (30874, 3, 5066, 0, 83, 131, 28);
INSERT INTO public.who_data VALUES (30875, 0, 414, 0, 0, 131, 172);
INSERT INTO public.who_data VALUES (30876, 18, 3883, 0, 68, 131, 17);
INSERT INTO public.who_data VALUES (30877, 14, 5683, 0, 113, 131, 226);
INSERT INTO public.who_data VALUES (30878, 841, 85136, 14, 1301, 131, 236);
INSERT INTO public.who_data VALUES (30879, 0, 13, 0, 0, 131, 76);
INSERT INTO public.who_data VALUES (30880, 0, 477, 0, 0, 131, 30);
INSERT INTO public.who_data VALUES (30881, 0, 32, 0, 2, 131, 128);
INSERT INTO public.who_data VALUES (30882, 214, 12212, 0, 346, 131, 86);
INSERT INTO public.who_data VALUES (30883, 8295, 715768, 94, 32571, 131, 140);
INSERT INTO public.who_data VALUES (30884, 36, 10180, 0, 69, 131, 44);
INSERT INTO public.who_data VALUES (30885, 497, 3251, 1, 11, 131, 113);
INSERT INTO public.who_data VALUES (30886, 45, 8860, 0, 54, 131, 29);
INSERT INTO public.who_data VALUES (30887, 4, 3632, 0, 117, 131, 125);
INSERT INTO public.who_data VALUES (30888, 569, 12841, 11, 102, 131, 131);
INSERT INTO public.who_data VALUES (30889, 4122, 329453, 13, 9634, 131, 46);
INSERT INTO public.who_data VALUES (30890, 0, 47005, 0, 306, 131, 10);
INSERT INTO public.who_data VALUES (30891, 9, 485, 0, 0, 131, 205);
INSERT INTO public.who_data VALUES (30892, 294, 22652, 7, 456, 131, 50);
INSERT INTO public.who_data VALUES (30893, 0, 16, 0, 0, 131, 20);
INSERT INTO public.who_data VALUES (30894, 0, 24, 0, 0, 131, 13);
INSERT INTO public.who_data VALUES (30895, 0, 6483, 0, 95, 131, 148);
INSERT INTO public.who_data VALUES (30896, 92, 3170, 0, 60, 131, 230);
INSERT INTO public.who_data VALUES (30897, 111, 97826, 3, 3387, 131, 190);
INSERT INTO public.who_data VALUES (30898, 0, 258, 0, 13, 131, 188);
INSERT INTO public.who_data VALUES (30899, 40, 11062, 1, 70, 131, 123);
INSERT INTO public.who_data VALUES (30900, 0, 2385, 0, 40, 131, 9);
INSERT INTO public.who_data VALUES (30901, 64, 3469, 1, 103, 131, 102);
INSERT INTO public.who_data VALUES (30902, 0, 8882, 0, 230, 131, 34);
INSERT INTO public.who_data VALUES (30903, 7, 19, 0, 0, 131, 212);
INSERT INTO public.who_data VALUES (30904, 935, 84081, 8, 2512, 131, 122);
INSERT INTO public.who_data VALUES (30905, 1285, 39862, 28, 996, 131, 38);
INSERT INTO public.who_data VALUES (30906, 56, 3582, 0, 10, 131, 130);
INSERT INTO public.who_data VALUES (30907, 55342, 7175880, 706, 109856, 131, 37);
INSERT INTO public.who_data VALUES (30908, 3267, 336716, 91, 11935, 131, 231);
INSERT INTO public.who_data VALUES (30909, 4206, 504281, 272, 28816, 131, 107);
INSERT INTO public.who_data VALUES (30910, 3107, 405437, 60, 9912, 131, 101);
INSERT INTO public.who_data VALUES (30911, 823, 43351, 1, 1827, 131, 132);
INSERT INTO public.who_data VALUES (30912, 1, 346, 0, 24, 131, 176);
INSERT INTO public.who_data VALUES (30913, 1646, 291628, 46, 2016, 131, 200);
INSERT INTO public.who_data VALUES (30914, 4619, 359569, 39, 36205, 131, 169);
INSERT INTO public.who_data VALUES (30915, 95, 7813, 7, 146, 131, 225);
INSERT INTO public.who_data VALUES (30916, 326, 89673, 5, 1634, 131, 165);
INSERT INTO public.who_data VALUES (30917, 0, 449, 0, 32, 131, 233);
INSERT INTO public.who_data VALUES (30918, 1147, 26141, 16, 207, 131, 215);
INSERT INTO public.who_data VALUES (30919, 404, 144218, 0, 2136, 131, 177);
INSERT INTO public.who_data VALUES (30920, 73, 41619, 11, 777, 131, 183);
INSERT INTO public.who_data VALUES (30921, 0, 0, 0, 0, 131, 203);
INSERT INTO public.who_data VALUES (30922, 68, 16204, 1, 638, 131, 162);
INSERT INTO public.who_data VALUES (30923, 777, 111893, 6, 664, 131, 12);
INSERT INTO public.who_data VALUES (30924, 343, 49871, 2, 1092, 131, 24);
INSERT INTO public.who_data VALUES (30925, 0, 23, 0, 0, 131, 119);
INSERT INTO public.who_data VALUES (30926, 95, 2765, 0, 40, 131, 39);
INSERT INTO public.who_data VALUES (30927, 1056, 54624, 7, 466, 131, 26);
INSERT INTO public.who_data VALUES (30928, 38, 1805, 2, 42, 131, 59);
INSERT INTO public.who_data VALUES (30929, 0, 1370, 0, 82, 131, 77);
INSERT INTO public.who_data VALUES (30930, 1164, 44985, 12, 656, 131, 134);
INSERT INTO public.who_data VALUES (30931, 14, 164, 0, 1, 131, 4);
INSERT INTO public.who_data VALUES (30932, 118, 6360, 1, 90, 131, 109);
INSERT INTO public.who_data VALUES (30933, 371, 9731, 3, 133, 131, 90);
INSERT INTO public.who_data VALUES (30934, 8, 16726, 0, 237, 131, 61);
INSERT INTO public.who_data VALUES (30935, 3, 5824, 0, 180, 131, 85);
INSERT INTO public.who_data VALUES (30936, 563, 16220, 2, 159, 131, 49);
INSERT INTO public.who_data VALUES (30937, 49, 10943, 0, 35, 131, 208);
INSERT INTO public.who_data VALUES (30938, 10, 3296, 0, 132, 131, 166);
INSERT INTO public.who_data VALUES (30939, 68, 3835, 2, 43, 131, 64);
INSERT INTO public.who_data VALUES (30940, 0, 0, 0, 0, 131, 199);
INSERT INTO public.who_data VALUES (30941, 0, 1851, 0, 22, 131, 114);
INSERT INTO public.who_data VALUES (30942, 4, 7554, 0, 163, 131, 60);
INSERT INTO public.who_data VALUES (30943, 9, 404, 0, 10, 131, 68);
INSERT INTO public.who_data VALUES (30944, 41, 4030, 0, 43, 131, 158);
INSERT INTO public.who_data VALUES (30945, 3175, 817503, 139, 83781, 131, 52);
INSERT INTO public.who_data VALUES (30946, 0, 0, 0, 0, 131, 117);
INSERT INTO public.who_data VALUES (30947, 2, 239, 0, 2, 131, 126);
INSERT INTO public.who_data VALUES (30948, 2, 318, 0, 0, 131, 196);
INSERT INTO public.who_data VALUES (30949, 462, 14734, 2, 215, 131, 142);
INSERT INTO public.who_data VALUES (30950, 0, 13, 0, 1, 131, 185);
INSERT INTO public.who_data VALUES (30951, 1357, 153761, 31, 2636, 131, 138);
INSERT INTO public.who_data VALUES (30952, 87, 10088, 1, 72, 131, 181);
INSERT INTO public.who_data VALUES (30953, 1340, 29314, 18, 664, 131, 178);
INSERT INTO public.who_data VALUES (30954, 53, 11989, 1, 129, 131, 168);
INSERT INTO public.who_data VALUES (30955, 0, 0, 0, 0, 131, 160);
INSERT INTO public.who_data VALUES (30956, 4047, 111802, 9, 645, 131, 151);
INSERT INTO public.who_data VALUES (30957, 6803, 181007, 13, 6593, 131, 193);
INSERT INTO public.who_data VALUES (30958, 0, 27, 0, 0, 131, 18);
INSERT INTO public.who_data VALUES (30959, 1, 1516, 0, 25, 131, 40);
INSERT INTO public.who_data VALUES (30960, 0, 4225, 0, 153, 131, 218);
INSERT INTO public.who_data VALUES (30961, 0, 1201, 0, 69, 131, 191);
INSERT INTO public.who_data VALUES (30962, 164, 60430, 0, 1115, 131, 156);
INSERT INTO public.who_data VALUES (30963, 0, 0, 0, 0, 131, 135);
INSERT INTO public.who_data VALUES (30964, 0, 77, 0, 2, 131, 88);
INSERT INTO public.who_data VALUES (30965, 176, 21113, 5, 797, 131, 55);
INSERT INTO public.who_data VALUES (30966, 303, 15524, 1, 276, 131, 108);
INSERT INTO public.who_data VALUES (30967, 395, 55951, 10, 455, 131, 48);
INSERT INTO public.who_data VALUES (30968, 685, 106575, 8, 1046, 131, 3);
INSERT INTO public.who_data VALUES (30969, 0, 741, 0, 13, 131, 224);
INSERT INTO public.who_data VALUES (30970, 531, 319848, 8, 6588, 131, 110);
INSERT INTO public.who_data VALUES (30971, 0, 0, 0, 0, 131, 106);
INSERT INTO public.who_data VALUES (30972, 647, 120313, 9, 2491, 131, 89);
INSERT INTO public.who_data VALUES (30973, 11, 565, 0, 7, 131, 121);
INSERT INTO public.who_data VALUES (30974, 697, 49675, 12, 1077, 131, 163);
INSERT INTO public.who_data VALUES (30975, 3283, 849371, 82, 33305, 131, 70);
INSERT INTO public.who_data VALUES (30976, 3475, 342816, 11, 6332, 131, 174);
INSERT INTO public.who_data VALUES (30977, 0, 0, 0, 0, 131, 175);
INSERT INTO public.who_data VALUES (30978, 4394, 130210, 35, 3039, 131, 118);
INSERT INTO public.who_data VALUES (30979, 1249, 87913, 14, 2094, 131, 189);
INSERT INTO public.who_data VALUES (30980, 563, 54234, 5, 735, 131, 124);
INSERT INTO public.who_data VALUES (30981, 206, 128191, 0, 220, 131, 192);
INSERT INTO public.who_data VALUES (30982, 102, 24805, 1, 434, 131, 41);
INSERT INTO public.who_data VALUES (30983, 467, 62618, 17, 1478, 131, 95);
INSERT INTO public.who_data VALUES (30984, 133, 4624, 1, 17, 131, 74);
INSERT INTO public.who_data VALUES (30985, 2069, 157352, 56, 5467, 131, 11);
INSERT INTO public.who_data VALUES (30986, 13868, 1326178, 244, 22966, 131, 87);
INSERT INTO public.who_data VALUES (30987, 9, 4905, 1, 32, 131, 214);
INSERT INTO public.who_data VALUES (30988, 0, 5, 0, 0, 131, 116);
INSERT INTO public.who_data VALUES (30989, 0, 65, 0, 0, 131, 157);
INSERT INTO public.who_data VALUES (30990, 0, 0, 0, 0, 131, 182);
INSERT INTO public.who_data VALUES (30991, 0, 19, 0, 0, 131, 186);
INSERT INTO public.who_data VALUES (30992, 0, 29, 0, 0, 131, 127);
INSERT INTO public.who_data VALUES (30993, 0, 466, 0, 8, 131, 232);
INSERT INTO public.who_data VALUES (30994, 0, 12, 0, 0, 131, 33);
INSERT INTO public.who_data VALUES (30995, 0, 64, 0, 0, 131, 97);
INSERT INTO public.who_data VALUES (30996, 0, 0, 0, 0, 131, 42);
INSERT INTO public.who_data VALUES (30997, 0, 766, 0, 42, 131, 198);
INSERT INTO public.who_data VALUES (30998, 0, 929, 0, 15, 131, 216);
INSERT INTO public.who_data VALUES (30999, 348, 339615, 25, 5068, 131, 164);
INSERT INTO public.who_data VALUES (31000, 79, 15292, 2, 315, 131, 235);
INSERT INTO public.who_data VALUES (31001, 67, 34854, 2, 765, 131, 67);
INSERT INTO public.who_data VALUES (31002, 0, 147, 0, 0, 131, 15);
INSERT INTO public.who_data VALUES (31003, 6, 2306, 0, 72, 131, 180);
INSERT INTO public.who_data VALUES (31004, 4, 57880, 1, 28, 131, 237);
INSERT INTO public.who_data VALUES (31005, 0, 14, 0, 0, 131, 25);
INSERT INTO public.who_data VALUES (31006, 11, 710, 0, 22, 131, 209);
INSERT INTO public.who_data VALUES (31007, 1054, 19851, 0, 61, 131, 217);
INSERT INTO public.who_data VALUES (31008, 169, 8834, 2, 178, 131, 79);
INSERT INTO public.who_data VALUES (31009, 0, 2, 0, 0, 131, 143);
INSERT INTO public.who_data VALUES (31010, 0, 3864, 0, 99, 131, 229);
INSERT INTO public.who_data VALUES (31011, 888, 693359, 83, 17863, 131, 141);
INSERT INTO public.who_data VALUES (31012, 11, 2798, 0, 55, 131, 197);
INSERT INTO public.who_data VALUES (31013, 7002, 946473, 114, 35530, 131, 221);
INSERT INTO public.who_data VALUES (31014, 92, 4844, 0, 13, 131, 150);
INSERT INTO public.who_data VALUES (31015, 0, 13691, 0, 836, 131, 56);
INSERT INTO public.who_data VALUES (31016, 16, 5051, 0, 107, 131, 167);
INSERT INTO public.who_data VALUES (31017, 161, 100080, 2, 5909, 131, 23);
INSERT INTO public.who_data VALUES (31018, 2557, 67453, 5, 1853, 131, 222);
INSERT INTO public.who_data VALUES (31019, 56, 4774, 4, 228, 131, 219);
INSERT INTO public.who_data VALUES (31020, 38, 10260, 0, 79, 131, 7);
INSERT INTO public.who_data VALUES (31021, 2, 3643, 0, 59, 131, 161);
INSERT INTO public.who_data VALUES (31022, 13972, 617692, 50, 42875, 131, 149);
INSERT INTO public.who_data VALUES (31023, 1, 29, 0, 0, 131, 6);
INSERT INTO public.who_data VALUES (31024, 9, 1949, 0, 49, 131, 139);
INSERT INTO public.who_data VALUES (31025, 0, 0, 0, 0, 131, 211);
INSERT INTO public.who_data VALUES (31026, 0, 0, 0, 0, 131, 14);
INSERT INTO public.who_data VALUES (31027, 58, 5101, 0, 90, 131, 111);
INSERT INTO public.who_data VALUES (31028, 2234, 34790, 34, 512, 131, 207);
INSERT INTO public.who_data VALUES (31029, 8344, 855357, 58, 8895, 131, 66);
INSERT INTO public.who_data VALUES (31030, 0, 0, 0, 0, 131, 173);
INSERT INTO public.who_data VALUES (31031, 0, 696, 0, 6, 131, 145);
INSERT INTO public.who_data VALUES (31032, 0, 0, 0, 0, 131, 65);
INSERT INTO public.who_data VALUES (31033, 63, 9864, 1, 94, 131, 184);
INSERT INTO public.who_data VALUES (31034, 5133, 270587, 107, 5122, 131, 98);
INSERT INTO public.who_data VALUES (31035, 1064, 107293, 1, 446, 131, 104);
INSERT INTO public.who_data VALUES (31036, 0, 509, 0, 21, 131, 73);
INSERT INTO public.who_data VALUES (31037, 45325, 7682128, 487, 213291, 131, 8);
INSERT INTO public.who_data VALUES (31038, 0, 1325, 0, 20, 131, 227);
INSERT INTO public.who_data VALUES (31039, 26, 2294, 0, 50, 131, 75);
INSERT INTO public.who_data VALUES (31040, 329, 61534, 3, 510, 131, 45);
INSERT INTO public.who_data VALUES (31041, 0, 0, 0, 0, 131, 133);
INSERT INTO public.who_data VALUES (31042, 684, 83137, 6, 697, 131, 202);
INSERT INTO public.who_data VALUES (31043, 1, 1110, 0, 35, 131, 129);
INSERT INTO public.who_data VALUES (31044, 0, 0, 0, 0, 131, 36);
INSERT INTO public.who_data VALUES (31045, 0, 2056, 1, 597, 131, 51);
INSERT INTO public.who_data VALUES (31046, 91, 15549, 8, 344, 131, 206);
INSERT INTO public.who_data VALUES (31047, 10, 8021, 0, 230, 131, 5);
INSERT INTO public.who_data VALUES (31048, 71, 39956, 2, 1483, 132, 103);
INSERT INTO public.who_data VALUES (31049, 168, 15399, 4, 420, 132, 58);
INSERT INTO public.who_data VALUES (31050, 132, 53072, 6, 1801, 132, 195);
INSERT INTO public.who_data VALUES (31051, 0, 0, 0, 0, 132, 115);
INSERT INTO public.who_data VALUES (31052, 0, 2696, 0, 55, 132, 99);
INSERT INTO public.who_data VALUES (31053, 120, 6366, 0, 218, 132, 153);
INSERT INTO public.who_data VALUES (31054, 0, 3, 0, 0, 132, 93);
INSERT INTO public.who_data VALUES (31055, 0, 111, 0, 3, 132, 84);
INSERT INTO public.who_data VALUES (31056, 12414, 883882, 356, 23581, 132, 78);
INSERT INTO public.who_data VALUES (31057, 370, 56134, 6, 1021, 132, 170);
INSERT INTO public.who_data VALUES (31058, 0, 4150, 0, 31, 132, 32);
INSERT INTO public.who_data VALUES (31059, 20, 27264, 1, 898, 132, 155);
INSERT INTO public.who_data VALUES (31060, 1298, 55983, 6, 864, 132, 82);
INSERT INTO public.who_data VALUES (31061, 230, 41982, 1, 609, 132, 16);
INSERT INTO public.who_data VALUES (31062, 68, 5023, 0, 106, 132, 72);
INSERT INTO public.who_data VALUES (31063, 327, 75614, 2, 275, 132, 43);
INSERT INTO public.who_data VALUES (31064, 1193, 378266, 24, 5524, 132, 120);
INSERT INTO public.who_data VALUES (31065, 1, 206, 0, 7, 132, 213);
INSERT INTO public.who_data VALUES (31066, 511, 83534, 5, 896, 132, 31);
INSERT INTO public.who_data VALUES (31067, 2403, 174407, 26, 10205, 132, 204);
INSERT INTO public.who_data VALUES (31068, 69, 2496, 1, 36, 132, 152);
INSERT INTO public.who_data VALUES (31069, 0, 2411, 0, 41, 132, 144);
INSERT INTO public.who_data VALUES (31070, 0, 184, 0, 9, 132, 96);
INSERT INTO public.who_data VALUES (31071, 3, 309, 0, 0, 132, 47);
INSERT INTO public.who_data VALUES (31072, 237, 138463, 30, 8292, 132, 80);
INSERT INTO public.who_data VALUES (31073, 1, 131, 0, 2, 132, 159);
INSERT INTO public.who_data VALUES (31074, 302, 30645, 1, 921, 132, 27);
INSERT INTO public.who_data VALUES (31075, 0, 3219, 0, 18, 132, 146);
INSERT INTO public.who_data VALUES (31076, 26749, 5082637, 559, 150198, 132, 71);
INSERT INTO public.who_data VALUES (31077, 0, 71, 0, 1, 132, 210);
INSERT INTO public.who_data VALUES (31078, 0, 146, 0, 3, 132, 54);
INSERT INTO public.who_data VALUES (31079, 531, 24402, 5, 892, 132, 147);
INSERT INTO public.who_data VALUES (31080, 0, 2241, 0, 60, 132, 2);
INSERT INTO public.who_data VALUES (31081, 1, 525, 0, 1, 132, 105);
INSERT INTO public.who_data VALUES (31082, 159, 7072, 1, 75, 132, 53);
INSERT INTO public.who_data VALUES (31083, 0, 283, 0, 0, 132, 81);
INSERT INTO public.who_data VALUES (31084, 0, 21160, 0, 420, 132, 223);
INSERT INTO public.who_data VALUES (31085, 2062, 180179, 23, 9608, 132, 94);
INSERT INTO public.who_data VALUES (31086, 1, 221, 0, 1, 132, 154);
INSERT INTO public.who_data VALUES (31087, 0, 4854, 0, 62, 132, 83);
INSERT INTO public.who_data VALUES (31088, 13, 1304, 0, 92, 132, 194);
INSERT INTO public.who_data VALUES (31089, 1776, 481371, 46, 13318, 132, 136);
INSERT INTO public.who_data VALUES (31090, 28, 91333, 0, 4746, 132, 179);
INSERT INTO public.who_data VALUES (31091, 8447, 902747, 165, 27660, 132, 57);
INSERT INTO public.who_data VALUES (31092, 4, 495, 0, 7, 132, 35);
INSERT INTO public.who_data VALUES (31093, 0, 5118, 0, 90, 132, 228);
INSERT INTO public.who_data VALUES (31094, 0, 0, 0, 0, 132, 19);
INSERT INTO public.who_data VALUES (31095, 1386, 87439, 21, 1076, 132, 22);
INSERT INTO public.who_data VALUES (31096, 0, 20036, 0, 120, 132, 1);
INSERT INTO public.who_data VALUES (31097, 508, 20440, 7, 324, 132, 21);
INSERT INTO public.who_data VALUES (31098, 30, 5978, 0, 123, 132, 234);
INSERT INTO public.who_data VALUES (31099, 0, 532, 0, 1, 132, 91);
INSERT INTO public.who_data VALUES (31100, 0, 1986, 0, 25, 132, 137);
INSERT INTO public.who_data VALUES (31101, 3103, 117110, 39, 1034, 132, 201);
INSERT INTO public.who_data VALUES (31102, 0, 0, 0, 0, 132, 171);
INSERT INTO public.who_data VALUES (31103, 0, 10840, 0, 276, 132, 92);
INSERT INTO public.who_data VALUES (31104, 340, 32422, 2, 669, 132, 112);
INSERT INTO public.who_data VALUES (31105, 1, 5424, 0, 61, 132, 62);
INSERT INTO public.who_data VALUES (31106, 0, 32, 0, 0, 132, 69);
INSERT INTO public.who_data VALUES (31107, 463, 118477, 6, 2173, 132, 220);
INSERT INTO public.who_data VALUES (31108, 0, 146828, 0, 12188, 132, 100);
INSERT INTO public.who_data VALUES (31109, 129, 104516, 12, 6052, 132, 187);
INSERT INTO public.who_data VALUES (31110, 245, 30196, 3, 890, 132, 63);
INSERT INTO public.who_data VALUES (31111, 0, 5063, 0, 83, 132, 28);
INSERT INTO public.who_data VALUES (31112, 0, 414, 0, 0, 132, 172);
INSERT INTO public.who_data VALUES (31113, 19, 3865, 0, 68, 132, 17);
INSERT INTO public.who_data VALUES (31114, 9, 5669, 0, 113, 132, 226);
INSERT INTO public.who_data VALUES (31115, 866, 84295, 10, 1287, 132, 236);
INSERT INTO public.who_data VALUES (31116, 0, 13, 0, 0, 132, 76);
INSERT INTO public.who_data VALUES (31117, 0, 477, 0, 0, 132, 30);
INSERT INTO public.who_data VALUES (31118, 0, 32, 0, 2, 132, 128);
INSERT INTO public.who_data VALUES (31119, 149, 11998, 0, 346, 132, 86);
INSERT INTO public.who_data VALUES (31120, 16101, 707473, 46, 32477, 132, 140);
INSERT INTO public.who_data VALUES (31121, 0, 10144, 0, 69, 132, 44);
INSERT INTO public.who_data VALUES (31122, 0, 2754, 0, 10, 132, 113);
INSERT INTO public.who_data VALUES (31123, 0, 8815, 0, 54, 132, 29);
INSERT INTO public.who_data VALUES (31124, 0, 3628, 0, 117, 132, 125);
INSERT INTO public.who_data VALUES (31125, 478, 12272, 6, 91, 132, 131);
INSERT INTO public.who_data VALUES (31126, 2467, 325331, 6, 9621, 132, 46);
INSERT INTO public.who_data VALUES (31127, 18, 47005, 0, 306, 132, 10);
INSERT INTO public.who_data VALUES (31128, 8, 476, 0, 0, 132, 205);
INSERT INTO public.who_data VALUES (31129, 280, 22358, 13, 449, 132, 50);
INSERT INTO public.who_data VALUES (31130, 0, 16, 0, 0, 132, 20);
INSERT INTO public.who_data VALUES (31131, 0, 24, 0, 0, 132, 13);
INSERT INTO public.who_data VALUES (31132, 0, 6483, 0, 95, 132, 148);
INSERT INTO public.who_data VALUES (31133, 22, 3078, 1, 60, 132, 230);
INSERT INTO public.who_data VALUES (31134, 171, 97715, 19, 3384, 132, 190);
INSERT INTO public.who_data VALUES (31135, 0, 258, 0, 13, 132, 188);
INSERT INTO public.who_data VALUES (31136, 26, 11022, 0, 69, 132, 123);
INSERT INTO public.who_data VALUES (31137, 0, 2385, 0, 40, 132, 9);
INSERT INTO public.who_data VALUES (31138, 47, 3405, 2, 102, 132, 102);
INSERT INTO public.who_data VALUES (31139, 22, 8882, 0, 230, 132, 34);
INSERT INTO public.who_data VALUES (31140, 0, 12, 0, 0, 132, 212);
INSERT INTO public.who_data VALUES (31141, 594, 83146, 12, 2504, 132, 122);
INSERT INTO public.who_data VALUES (31142, 913, 38577, 14, 968, 132, 38);
INSERT INTO public.who_data VALUES (31143, 66, 3526, 0, 10, 132, 130);
INSERT INTO public.who_data VALUES (31144, 66732, 7120538, 816, 109150, 132, 37);
INSERT INTO public.who_data VALUES (31145, 4497, 333449, 79, 11844, 132, 231);
INSERT INTO public.who_data VALUES (31146, 3822, 500075, 251, 28544, 132, 107);
INSERT INTO public.who_data VALUES (31147, 2206, 402330, 62, 9852, 132, 101);
INSERT INTO public.who_data VALUES (31148, 814, 42528, 5, 1826, 132, 132);
INSERT INTO public.who_data VALUES (31149, 0, 345, 0, 24, 132, 176);
INSERT INTO public.who_data VALUES (31150, 916, 289982, 35, 1970, 132, 200);
INSERT INTO public.who_data VALUES (31151, 5456, 354950, 26, 36166, 132, 169);
INSERT INTO public.who_data VALUES (31152, 159, 7718, 1, 139, 132, 225);
INSERT INTO public.who_data VALUES (31153, 435, 89347, 2, 1629, 132, 165);
INSERT INTO public.who_data VALUES (31154, 0, 449, 0, 32, 132, 233);
INSERT INTO public.who_data VALUES (31155, 928, 24994, 10, 191, 132, 215);
INSERT INTO public.who_data VALUES (31156, 74, 143814, 0, 2136, 132, 177);
INSERT INTO public.who_data VALUES (31157, 388, 41546, 6, 766, 132, 183);
INSERT INTO public.who_data VALUES (31158, 0, 0, 0, 0, 132, 203);
INSERT INTO public.who_data VALUES (31159, 49, 16136, 2, 637, 132, 162);
INSERT INTO public.who_data VALUES (31160, 548, 111116, 3, 658, 132, 12);
INSERT INTO public.who_data VALUES (31161, 298, 49528, 5, 1090, 132, 24);
INSERT INTO public.who_data VALUES (31162, 0, 23, 0, 0, 132, 119);
INSERT INTO public.who_data VALUES (31163, 74, 2670, 0, 40, 132, 39);
INSERT INTO public.who_data VALUES (31164, 1010, 53568, 4, 459, 132, 26);
INSERT INTO public.who_data VALUES (31165, 0, 1767, 0, 40, 132, 59);
INSERT INTO public.who_data VALUES (31166, 7, 1370, 0, 82, 132, 77);
INSERT INTO public.who_data VALUES (31167, 1109, 43821, 13, 644, 132, 134);
INSERT INTO public.who_data VALUES (31168, 0, 150, 0, 1, 132, 4);
INSERT INTO public.who_data VALUES (31169, 126, 6242, 0, 89, 132, 109);
INSERT INTO public.who_data VALUES (31170, 0, 9360, 0, 130, 132, 90);
INSERT INTO public.who_data VALUES (31171, 16, 16718, 0, 237, 132, 61);
INSERT INTO public.who_data VALUES (31172, 0, 5821, 0, 180, 132, 85);
INSERT INTO public.who_data VALUES (31173, 561, 15657, 2, 157, 132, 49);
INSERT INTO public.who_data VALUES (31174, 35, 10894, 1, 35, 132, 208);
INSERT INTO public.who_data VALUES (31175, 13, 3286, 0, 132, 132, 166);
INSERT INTO public.who_data VALUES (31176, 95, 3767, 0, 41, 132, 64);
INSERT INTO public.who_data VALUES (31177, 0, 0, 0, 0, 132, 199);
INSERT INTO public.who_data VALUES (31178, 0, 1851, 0, 22, 132, 114);
INSERT INTO public.who_data VALUES (31179, 27, 7550, 2, 163, 132, 60);
INSERT INTO public.who_data VALUES (31180, 0, 395, 0, 10, 132, 68);
INSERT INTO public.who_data VALUES (31181, 0, 3989, 0, 43, 132, 158);
INSERT INTO public.who_data VALUES (31182, 4577, 814328, 135, 83642, 132, 52);
INSERT INTO public.who_data VALUES (31183, 0, 0, 0, 0, 132, 117);
INSERT INTO public.who_data VALUES (31184, 1, 237, 0, 2, 132, 126);
INSERT INTO public.who_data VALUES (31185, 1, 316, 0, 0, 132, 196);
INSERT INTO public.who_data VALUES (31186, 288, 14272, 9, 213, 132, 142);
INSERT INTO public.who_data VALUES (31187, 0, 13, 0, 1, 132, 185);
INSERT INTO public.who_data VALUES (31188, 2563, 152404, 33, 2605, 132, 138);
INSERT INTO public.who_data VALUES (31189, 157, 10001, 1, 71, 132, 181);
INSERT INTO public.who_data VALUES (31190, 1910, 27974, 48, 646, 132, 178);
INSERT INTO public.who_data VALUES (31191, 45, 11936, 0, 128, 132, 168);
INSERT INTO public.who_data VALUES (31192, 0, 0, 0, 0, 132, 160);
INSERT INTO public.who_data VALUES (31193, 2071, 107755, 22, 636, 132, 151);
INSERT INTO public.who_data VALUES (31194, 6345, 174204, 16, 6580, 132, 193);
INSERT INTO public.who_data VALUES (31195, 0, 27, 0, 0, 132, 18);
INSERT INTO public.who_data VALUES (31196, 0, 1515, 0, 25, 132, 40);
INSERT INTO public.who_data VALUES (31197, 0, 4225, 0, 153, 132, 218);
INSERT INTO public.who_data VALUES (31198, 1, 1201, 0, 69, 132, 191);
INSERT INTO public.who_data VALUES (31199, 163, 60266, 0, 1115, 132, 156);
INSERT INTO public.who_data VALUES (31200, 0, 0, 0, 0, 132, 135);
INSERT INTO public.who_data VALUES (31201, 0, 77, 0, 2, 132, 88);
INSERT INTO public.who_data VALUES (31202, 382, 20937, 7, 792, 132, 55);
INSERT INTO public.who_data VALUES (31203, 0, 15221, 0, 275, 132, 108);
INSERT INTO public.who_data VALUES (31204, 422, 55556, 3, 445, 132, 48);
INSERT INTO public.who_data VALUES (31205, 1761, 105890, 29, 1038, 132, 3);
INSERT INTO public.who_data VALUES (31206, 0, 741, 0, 13, 132, 224);
INSERT INTO public.who_data VALUES (31207, 385, 319317, 10, 6580, 132, 110);
INSERT INTO public.who_data VALUES (31208, 0, 0, 0, 0, 132, 106);
INSERT INTO public.who_data VALUES (31209, 825, 119666, 8, 2482, 132, 89);
INSERT INTO public.who_data VALUES (31210, 4, 554, 0, 7, 132, 121);
INSERT INTO public.who_data VALUES (31211, 703, 48978, 20, 1065, 132, 163);
INSERT INTO public.who_data VALUES (31212, 2733, 846088, 65, 33223, 132, 70);
INSERT INTO public.who_data VALUES (31213, 2415, 339341, 83, 6321, 132, 174);
INSERT INTO public.who_data VALUES (31214, 0, 0, 0, 0, 132, 175);
INSERT INTO public.who_data VALUES (31215, 4178, 125816, 32, 3004, 132, 118);
INSERT INTO public.who_data VALUES (31216, 1090, 86664, 13, 2080, 132, 189);
INSERT INTO public.who_data VALUES (31217, 307, 53671, 2, 730, 132, 124);
INSERT INTO public.who_data VALUES (31218, 207, 127985, 1, 220, 132, 192);
INSERT INTO public.who_data VALUES (31219, 97, 24703, 1, 433, 132, 41);
INSERT INTO public.who_data VALUES (31220, 389, 62151, 3, 1461, 132, 95);
INSERT INTO public.who_data VALUES (31221, 0, 4491, 0, 16, 132, 74);
INSERT INTO public.who_data VALUES (31222, 2880, 155283, 53, 5411, 132, 11);
INSERT INTO public.who_data VALUES (31223, 13592, 1312310, 125, 22722, 132, 87);
INSERT INTO public.who_data VALUES (31224, 4, 4896, 1, 31, 132, 214);
INSERT INTO public.who_data VALUES (31225, 0, 5, 0, 0, 132, 116);
INSERT INTO public.who_data VALUES (31226, 0, 65, 0, 0, 132, 157);
INSERT INTO public.who_data VALUES (31227, 0, 0, 0, 0, 132, 182);
INSERT INTO public.who_data VALUES (31228, 0, 19, 0, 0, 132, 186);
INSERT INTO public.who_data VALUES (31229, 0, 29, 0, 0, 132, 127);
INSERT INTO public.who_data VALUES (31230, 0, 466, 0, 8, 132, 232);
INSERT INTO public.who_data VALUES (31231, 0, 12, 0, 0, 132, 33);
INSERT INTO public.who_data VALUES (31232, 0, 64, 0, 0, 132, 97);
INSERT INTO public.who_data VALUES (31233, 0, 0, 0, 0, 132, 42);
INSERT INTO public.who_data VALUES (31234, 0, 766, 0, 42, 132, 198);
INSERT INTO public.who_data VALUES (31235, 7, 929, 0, 15, 132, 216);
INSERT INTO public.who_data VALUES (31236, 323, 339267, 25, 5043, 132, 164);
INSERT INTO public.who_data VALUES (31237, 0, 15213, 0, 313, 132, 235);
INSERT INTO public.who_data VALUES (31238, 102, 34787, 1, 763, 132, 67);
INSERT INTO public.who_data VALUES (31239, 0, 147, 0, 0, 132, 15);
INSERT INTO public.who_data VALUES (31240, 0, 2300, 0, 72, 132, 180);
INSERT INTO public.who_data VALUES (31241, 10, 57876, 0, 27, 132, 237);
INSERT INTO public.who_data VALUES (31242, 1, 14, 0, 0, 132, 25);
INSERT INTO public.who_data VALUES (31243, 0, 699, 0, 22, 132, 209);
INSERT INTO public.who_data VALUES (31244, 1887, 18797, 4, 61, 132, 217);
INSERT INTO public.who_data VALUES (31245, 411, 8665, 0, 176, 132, 79);
INSERT INTO public.who_data VALUES (31246, 1, 2, 0, 0, 132, 143);
INSERT INTO public.who_data VALUES (31247, 17, 3864, 0, 99, 132, 229);
INSERT INTO public.who_data VALUES (31248, 1575, 692471, 107, 17780, 132, 141);
INSERT INTO public.who_data VALUES (31249, 10, 2787, 0, 55, 132, 197);
INSERT INTO public.who_data VALUES (31250, 8957, 939471, 132, 35416, 132, 221);
INSERT INTO public.who_data VALUES (31251, 124, 4752, 0, 13, 132, 150);
INSERT INTO public.who_data VALUES (31252, 6, 13691, 0, 836, 132, 56);
INSERT INTO public.who_data VALUES (31253, 17, 5035, 1, 107, 132, 167);
INSERT INTO public.who_data VALUES (31254, 509, 99919, 5, 5907, 132, 23);
INSERT INTO public.who_data VALUES (31255, 812, 64896, 3, 1848, 132, 222);
INSERT INTO public.who_data VALUES (31256, 45, 4718, 3, 224, 132, 219);
INSERT INTO public.who_data VALUES (31257, 42, 10222, 0, 79, 132, 7);
INSERT INTO public.who_data VALUES (31258, 5, 3641, 0, 59, 132, 161);
INSERT INTO public.who_data VALUES (31259, 12872, 603720, 65, 42825, 132, 149);
INSERT INTO public.who_data VALUES (31260, 0, 28, 0, 0, 132, 6);
INSERT INTO public.who_data VALUES (31261, 5, 1940, 0, 49, 132, 139);
INSERT INTO public.who_data VALUES (31262, 0, 0, 0, 0, 132, 211);
INSERT INTO public.who_data VALUES (31263, 0, 0, 0, 0, 132, 14);
INSERT INTO public.who_data VALUES (31264, 0, 5043, 0, 90, 132, 111);
INSERT INTO public.who_data VALUES (31265, 0, 32556, 0, 478, 132, 207);
INSERT INTO public.who_data VALUES (31266, 8232, 847013, 59, 8837, 132, 66);
INSERT INTO public.who_data VALUES (31267, 0, 0, 0, 0, 132, 173);
INSERT INTO public.who_data VALUES (31268, 1, 696, 0, 6, 132, 145);
INSERT INTO public.who_data VALUES (31269, 0, 0, 0, 0, 132, 65);
INSERT INTO public.who_data VALUES (31270, 263, 9801, 7, 93, 132, 184);
INSERT INTO public.who_data VALUES (31271, 4420, 265454, 43, 5015, 132, 98);
INSERT INTO public.who_data VALUES (31272, 1096, 106229, 2, 445, 132, 104);
INSERT INTO public.who_data VALUES (31273, 0, 509, 0, 21, 132, 73);
INSERT INTO public.who_data VALUES (31274, 53055, 7636803, 575, 212804, 132, 8);
INSERT INTO public.who_data VALUES (31275, 1, 1325, 0, 20, 132, 227);
INSERT INTO public.who_data VALUES (31276, 17, 2268, 1, 50, 132, 75);
INSERT INTO public.who_data VALUES (31277, 311, 61205, 4, 507, 132, 45);
INSERT INTO public.who_data VALUES (31278, 0, 0, 0, 0, 132, 133);
INSERT INTO public.who_data VALUES (31279, 757, 82453, 7, 691, 132, 202);
INSERT INTO public.who_data VALUES (31280, 2, 1109, 0, 35, 132, 129);
INSERT INTO public.who_data VALUES (31281, 0, 0, 0, 0, 132, 36);
INSERT INTO public.who_data VALUES (31282, 1, 2056, 0, 596, 132, 51);
INSERT INTO public.who_data VALUES (31283, 43, 15458, 0, 336, 132, 206);
INSERT INTO public.who_data VALUES (31284, 17, 8011, 1, 230, 132, 5);
INSERT INTO public.who_data VALUES (31285, 96, 39885, 4, 1481, 133, 103);
INSERT INTO public.who_data VALUES (31286, 165, 15231, 3, 416, 133, 58);
INSERT INTO public.who_data VALUES (31287, 136, 52940, 6, 1795, 133, 195);
INSERT INTO public.who_data VALUES (31288, 0, 0, 0, 0, 133, 115);
INSERT INTO public.who_data VALUES (31289, 0, 2696, 0, 55, 133, 99);
INSERT INTO public.who_data VALUES (31290, 215, 6246, 6, 218, 133, 153);
INSERT INTO public.who_data VALUES (31291, 0, 3, 0, 0, 133, 93);
INSERT INTO public.who_data VALUES (31292, 0, 111, 0, 3, 133, 84);
INSERT INTO public.who_data VALUES (31293, 15099, 871468, 515, 23225, 133, 78);
INSERT INTO public.who_data VALUES (31294, 715, 55764, 4, 1015, 133, 170);
INSERT INTO public.who_data VALUES (31295, 0, 4150, 0, 31, 133, 32);
INSERT INTO public.who_data VALUES (31296, 15, 27244, 0, 897, 133, 155);
INSERT INTO public.who_data VALUES (31297, 901, 54685, 1, 858, 133, 82);
INSERT INTO public.who_data VALUES (31298, 233, 41752, 3, 608, 133, 16);
INSERT INTO public.who_data VALUES (31299, 91, 4955, 4, 106, 133, 72);
INSERT INTO public.who_data VALUES (31300, 427, 75287, 2, 273, 133, 43);
INSERT INTO public.who_data VALUES (31301, 1203, 377073, 23, 5500, 133, 120);
INSERT INTO public.who_data VALUES (31302, 2, 205, 0, 7, 133, 213);
INSERT INTO public.who_data VALUES (31303, 552, 83023, 6, 891, 133, 31);
INSERT INTO public.who_data VALUES (31304, 4310, 172004, 22, 10179, 133, 204);
INSERT INTO public.who_data VALUES (31305, 54, 2427, 1, 35, 133, 152);
INSERT INTO public.who_data VALUES (31306, 0, 2411, 0, 41, 133, 144);
INSERT INTO public.who_data VALUES (31307, 0, 184, 0, 9, 133, 96);
INSERT INTO public.who_data VALUES (31308, 0, 306, 0, 0, 133, 47);
INSERT INTO public.who_data VALUES (31309, 257, 138226, 34, 8262, 133, 80);
INSERT INTO public.who_data VALUES (31310, 0, 130, 0, 2, 133, 159);
INSERT INTO public.who_data VALUES (31311, 428, 30343, 1, 920, 133, 27);
INSERT INTO public.who_data VALUES (31312, 0, 3219, 0, 18, 133, 146);
INSERT INTO public.who_data VALUES (31313, 27444, 5055888, 682, 149639, 133, 71);
INSERT INTO public.who_data VALUES (31314, 0, 71, 0, 1, 133, 210);
INSERT INTO public.who_data VALUES (31315, 0, 146, 0, 3, 133, 54);
INSERT INTO public.who_data VALUES (31316, 0, 23871, 0, 887, 133, 147);
INSERT INTO public.who_data VALUES (31317, 0, 2241, 0, 60, 133, 2);
INSERT INTO public.who_data VALUES (31318, 7, 524, 0, 1, 133, 105);
INSERT INTO public.who_data VALUES (31319, 104, 6913, 1, 74, 133, 53);
INSERT INTO public.who_data VALUES (31320, 0, 283, 0, 0, 133, 81);
INSERT INTO public.who_data VALUES (31321, 0, 21160, 0, 420, 133, 223);
INSERT INTO public.who_data VALUES (31322, 2558, 178117, 28, 9585, 133, 94);
INSERT INTO public.who_data VALUES (31323, 6, 220, 0, 1, 133, 154);
INSERT INTO public.who_data VALUES (31324, 0, 4854, 0, 62, 133, 83);
INSERT INTO public.who_data VALUES (31325, 17, 1291, 2, 92, 133, 194);
INSERT INTO public.who_data VALUES (31326, 1826, 479595, 52, 13272, 133, 136);
INSERT INTO public.who_data VALUES (31327, 27, 91305, 0, 4746, 133, 179);
INSERT INTO public.who_data VALUES (31328, 8121, 894300, 164, 27495, 133, 57);
INSERT INTO public.who_data VALUES (31329, 0, 491, 0, 7, 133, 35);
INSERT INTO public.who_data VALUES (31330, 0, 5118, 0, 90, 133, 228);
INSERT INTO public.who_data VALUES (31331, 0, 0, 0, 0, 133, 19);
INSERT INTO public.who_data VALUES (31332, 1225, 86053, 15, 1055, 133, 22);
INSERT INTO public.who_data VALUES (31333, 54, 20036, 0, 120, 133, 1);
INSERT INTO public.who_data VALUES (31334, 486, 19932, 4, 317, 133, 21);
INSERT INTO public.who_data VALUES (31335, 5, 5948, 0, 123, 133, 234);
INSERT INTO public.who_data VALUES (31336, 0, 532, 0, 1, 133, 91);
INSERT INTO public.who_data VALUES (31337, 35, 1986, 0, 25, 133, 137);
INSERT INTO public.who_data VALUES (31338, 4633, 114007, 90, 995, 133, 201);
INSERT INTO public.who_data VALUES (31339, 0, 0, 0, 0, 133, 171);
INSERT INTO public.who_data VALUES (31340, 6, 10840, 0, 276, 133, 92);
INSERT INTO public.who_data VALUES (31341, 444, 32082, 2, 667, 133, 112);
INSERT INTO public.who_data VALUES (31342, 0, 5423, 0, 61, 133, 62);
INSERT INTO public.who_data VALUES (31343, 0, 32, 0, 0, 133, 69);
INSERT INTO public.who_data VALUES (31344, 557, 118014, 2, 2167, 133, 220);
INSERT INTO public.who_data VALUES (31345, 1783, 146828, 47, 12188, 133, 100);
INSERT INTO public.who_data VALUES (31346, 125, 104387, 11, 6040, 133, 187);
INSERT INTO public.who_data VALUES (31347, 0, 29951, 6, 887, 133, 63);
INSERT INTO public.who_data VALUES (31348, 1, 5063, 0, 83, 133, 28);
INSERT INTO public.who_data VALUES (31349, 9, 414, 0, 0, 133, 172);
INSERT INTO public.who_data VALUES (31350, 37, 3846, 0, 68, 133, 17);
INSERT INTO public.who_data VALUES (31351, 16, 5660, 0, 113, 133, 226);
INSERT INTO public.who_data VALUES (31352, 767, 83429, 6, 1277, 133, 236);
INSERT INTO public.who_data VALUES (31353, 0, 13, 0, 0, 133, 76);
INSERT INTO public.who_data VALUES (31354, 0, 477, 0, 0, 133, 30);
INSERT INTO public.who_data VALUES (31355, 0, 32, 0, 2, 133, 128);
INSERT INTO public.who_data VALUES (31356, 269, 11849, 0, 346, 133, 86);
INSERT INTO public.who_data VALUES (31357, 26675, 691372, 54, 32431, 133, 140);
INSERT INTO public.who_data VALUES (31358, 0, 10144, 0, 69, 133, 44);
INSERT INTO public.who_data VALUES (31359, 0, 2754, 0, 10, 133, 113);
INSERT INTO public.who_data VALUES (31360, 0, 8815, 0, 54, 133, 29);
INSERT INTO public.who_data VALUES (31361, 0, 3628, 0, 117, 133, 125);
INSERT INTO public.who_data VALUES (31362, 523, 11794, 7, 85, 133, 131);
INSERT INTO public.who_data VALUES (31363, 3483, 322864, 11, 9615, 133, 46);
INSERT INTO public.who_data VALUES (31364, 0, 46987, 0, 306, 133, 10);
INSERT INTO public.who_data VALUES (31365, 16, 468, 0, 0, 133, 205);
INSERT INTO public.who_data VALUES (31366, 306, 22078, 5, 436, 133, 50);
INSERT INTO public.who_data VALUES (31367, 0, 16, 0, 0, 133, 20);
INSERT INTO public.who_data VALUES (31368, 0, 24, 0, 0, 133, 13);
INSERT INTO public.who_data VALUES (31369, 164, 6483, 0, 95, 133, 148);
INSERT INTO public.who_data VALUES (31370, 67, 3056, 1, 59, 133, 230);
INSERT INTO public.who_data VALUES (31371, 609, 97544, 9, 3365, 133, 190);
INSERT INTO public.who_data VALUES (31372, 0, 258, 0, 13, 133, 188);
INSERT INTO public.who_data VALUES (31373, 42, 10996, 1, 69, 133, 123);
INSERT INTO public.who_data VALUES (31374, 23, 2385, 1, 40, 133, 9);
INSERT INTO public.who_data VALUES (31375, 29, 3358, 2, 100, 133, 102);
INSERT INTO public.who_data VALUES (31376, 6, 8860, 0, 230, 133, 34);
INSERT INTO public.who_data VALUES (31377, 0, 12, 0, 0, 133, 212);
INSERT INTO public.who_data VALUES (31378, 880, 82552, 15, 2492, 133, 122);
INSERT INTO public.who_data VALUES (31379, 1068, 37664, 21, 954, 133, 38);
INSERT INTO public.who_data VALUES (31380, 87, 3460, 0, 10, 133, 130);
INSERT INTO public.who_data VALUES (31381, 74383, 7053806, 918, 108334, 133, 37);
INSERT INTO public.who_data VALUES (31382, 4294, 328952, 88, 11765, 133, 231);
INSERT INTO public.who_data VALUES (31383, 3875, 496253, 195, 28293, 133, 107);
INSERT INTO public.who_data VALUES (31384, 2344, 400124, 55, 9790, 133, 101);
INSERT INTO public.who_data VALUES (31385, 1011, 41714, 0, 1821, 133, 132);
INSERT INTO public.who_data VALUES (31386, 0, 345, 0, 24, 133, 176);
INSERT INTO public.who_data VALUES (31387, 2963, 289066, 40, 1935, 133, 200);
INSERT INTO public.who_data VALUES (31388, 5724, 349494, 29, 36140, 133, 169);
INSERT INTO public.who_data VALUES (31389, 196, 7559, 6, 138, 133, 225);
INSERT INTO public.who_data VALUES (31390, 679, 88912, 3, 1627, 133, 165);
INSERT INTO public.who_data VALUES (31391, 6, 449, 0, 32, 133, 233);
INSERT INTO public.who_data VALUES (31392, 1235, 24066, 15, 181, 133, 215);
INSERT INTO public.who_data VALUES (31393, 108, 143740, 30, 2136, 133, 177);
INSERT INTO public.who_data VALUES (31394, 538, 41158, 5, 760, 133, 183);
INSERT INTO public.who_data VALUES (31395, 0, 0, 0, 0, 133, 203);
INSERT INTO public.who_data VALUES (31396, 80, 16087, 4, 635, 133, 162);
INSERT INTO public.who_data VALUES (31397, 492, 110568, 6, 655, 133, 12);
INSERT INTO public.who_data VALUES (31398, 306, 49230, 3, 1085, 133, 24);
INSERT INTO public.who_data VALUES (31399, 0, 23, 0, 0, 133, 119);
INSERT INTO public.who_data VALUES (31400, 89, 2596, 0, 40, 133, 39);
INSERT INTO public.who_data VALUES (31401, 1388, 52558, 5, 455, 133, 26);
INSERT INTO public.who_data VALUES (31402, 0, 1767, 0, 40, 133, 59);
INSERT INTO public.who_data VALUES (31403, 3, 1363, 0, 82, 133, 77);
INSERT INTO public.who_data VALUES (31404, 1026, 42712, 8, 631, 133, 134);
INSERT INTO public.who_data VALUES (31405, 5, 150, 0, 1, 133, 4);
INSERT INTO public.who_data VALUES (31406, 160, 6116, 2, 89, 133, 109);
INSERT INTO public.who_data VALUES (31407, 0, 9360, 0, 130, 133, 90);
INSERT INTO public.who_data VALUES (31408, 26, 16702, 0, 237, 133, 61);
INSERT INTO public.who_data VALUES (31409, 8, 5821, 0, 180, 133, 85);
INSERT INTO public.who_data VALUES (31410, 374, 15096, 3, 155, 133, 49);
INSERT INTO public.who_data VALUES (31411, 51, 10859, 0, 34, 133, 208);
INSERT INTO public.who_data VALUES (31412, 25, 3273, 1, 132, 133, 166);
INSERT INTO public.who_data VALUES (31413, 100, 3672, 0, 41, 133, 64);
INSERT INTO public.who_data VALUES (31414, 0, 0, 0, 0, 133, 199);
INSERT INTO public.who_data VALUES (31415, 0, 1851, 0, 22, 133, 114);
INSERT INTO public.who_data VALUES (31416, 0, 7523, 0, 161, 133, 60);
INSERT INTO public.who_data VALUES (31417, 0, 395, 0, 10, 133, 68);
INSERT INTO public.who_data VALUES (31418, 0, 3989, 0, 43, 133, 158);
INSERT INTO public.who_data VALUES (31419, 5263, 809751, 411, 83507, 133, 52);
INSERT INTO public.who_data VALUES (31420, 0, 0, 0, 0, 133, 117);
INSERT INTO public.who_data VALUES (31421, 0, 236, 0, 2, 133, 126);
INSERT INTO public.who_data VALUES (31422, 0, 315, 0, 0, 133, 196);
INSERT INTO public.who_data VALUES (31423, 223, 13984, 5, 204, 133, 142);
INSERT INTO public.who_data VALUES (31424, 0, 13, 0, 1, 133, 185);
INSERT INTO public.who_data VALUES (31425, 3443, 149841, 42, 2572, 133, 138);
INSERT INTO public.who_data VALUES (31426, 102, 9844, 1, 70, 133, 181);
INSERT INTO public.who_data VALUES (31427, 2158, 26064, 32, 598, 133, 178);
INSERT INTO public.who_data VALUES (31428, 62, 11891, 1, 128, 133, 168);
INSERT INTO public.who_data VALUES (31429, 0, 0, 0, 0, 133, 160);
INSERT INTO public.who_data VALUES (31430, 5008, 105684, 14, 614, 133, 151);
INSERT INTO public.who_data VALUES (31431, 6480, 167859, 23, 6564, 133, 193);
INSERT INTO public.who_data VALUES (31432, 0, 27, 0, 0, 133, 18);
INSERT INTO public.who_data VALUES (31433, 1, 1515, 0, 25, 133, 40);
INSERT INTO public.who_data VALUES (31434, 0, 4225, 0, 153, 133, 218);
INSERT INTO public.who_data VALUES (31435, 0, 1200, 0, 69, 133, 191);
INSERT INTO public.who_data VALUES (31436, 111, 60103, 2, 1115, 133, 156);
INSERT INTO public.who_data VALUES (31437, 0, 0, 0, 0, 133, 135);
INSERT INTO public.who_data VALUES (31438, 2, 77, 0, 2, 133, 88);
INSERT INTO public.who_data VALUES (31439, 392, 20555, 4, 785, 133, 55);
INSERT INTO public.who_data VALUES (31440, 0, 15221, 0, 275, 133, 108);
INSERT INTO public.who_data VALUES (31441, 281, 55134, 11, 442, 133, 48);
INSERT INTO public.who_data VALUES (31442, 0, 104129, 0, 1009, 133, 3);
INSERT INTO public.who_data VALUES (31443, 0, 741, 0, 13, 133, 224);
INSERT INTO public.who_data VALUES (31444, 666, 318932, 12, 6570, 133, 110);
INSERT INTO public.who_data VALUES (31445, 0, 0, 0, 0, 133, 106);
INSERT INTO public.who_data VALUES (31446, 787, 118841, 11, 2474, 133, 89);
INSERT INTO public.who_data VALUES (31447, 0, 550, 0, 7, 133, 121);
INSERT INTO public.who_data VALUES (31448, 959, 48275, 33, 1045, 133, 163);
INSERT INTO public.who_data VALUES (31449, 4741, 843355, 60, 33158, 133, 70);
INSERT INTO public.who_data VALUES (31450, 2156, 336926, 86, 6238, 133, 174);
INSERT INTO public.who_data VALUES (31451, 0, 0, 0, 0, 133, 175);
INSERT INTO public.who_data VALUES (31452, 5300, 121638, 53, 2972, 133, 118);
INSERT INTO public.who_data VALUES (31453, 1646, 85574, 5, 2067, 133, 189);
INSERT INTO public.who_data VALUES (31454, 472, 53364, 8, 728, 133, 124);
INSERT INTO public.who_data VALUES (31455, 178, 127778, 0, 219, 133, 192);
INSERT INTO public.who_data VALUES (31456, 58, 24606, 2, 432, 133, 41);
INSERT INTO public.who_data VALUES (31457, 929, 61762, 16, 1458, 133, 95);
INSERT INTO public.who_data VALUES (31458, 0, 4491, 0, 16, 133, 74);
INSERT INTO public.who_data VALUES (31459, 3517, 152403, 59, 5358, 133, 11);
INSERT INTO public.who_data VALUES (31460, 13634, 1298718, 143, 22597, 133, 87);
INSERT INTO public.who_data VALUES (31461, 2, 4892, 1, 30, 133, 214);
INSERT INTO public.who_data VALUES (31462, 0, 5, 0, 0, 133, 116);
INSERT INTO public.who_data VALUES (31463, 3, 65, 0, 0, 133, 157);
INSERT INTO public.who_data VALUES (31464, 0, 0, 0, 0, 133, 182);
INSERT INTO public.who_data VALUES (31465, 0, 19, 0, 0, 133, 186);
INSERT INTO public.who_data VALUES (31466, 1, 29, 0, 0, 133, 127);
INSERT INTO public.who_data VALUES (31467, 54, 466, 0, 8, 133, 232);
INSERT INTO public.who_data VALUES (31468, 0, 12, 0, 0, 133, 33);
INSERT INTO public.who_data VALUES (31469, 0, 64, 0, 0, 133, 97);
INSERT INTO public.who_data VALUES (31470, 0, 0, 0, 0, 133, 42);
INSERT INTO public.who_data VALUES (31471, 0, 766, 0, 42, 133, 198);
INSERT INTO public.who_data VALUES (31472, 0, 922, 0, 15, 133, 216);
INSERT INTO public.who_data VALUES (31473, 405, 338944, 22, 5018, 133, 164);
INSERT INTO public.who_data VALUES (31474, 0, 15213, 0, 313, 133, 235);
INSERT INTO public.who_data VALUES (31475, 168, 34685, 1, 762, 133, 67);
INSERT INTO public.who_data VALUES (31476, 0, 147, 0, 0, 133, 15);
INSERT INTO public.who_data VALUES (31477, 5, 2300, 0, 72, 133, 180);
INSERT INTO public.who_data VALUES (31478, 7, 57866, 0, 27, 133, 237);
INSERT INTO public.who_data VALUES (31479, 0, 13, 0, 0, 133, 25);
INSERT INTO public.who_data VALUES (31480, 0, 699, 0, 22, 133, 209);
INSERT INTO public.who_data VALUES (31481, 1184, 16910, 0, 57, 133, 217);
INSERT INTO public.who_data VALUES (31482, 380, 8254, 7, 176, 133, 79);
INSERT INTO public.who_data VALUES (31483, 0, 1, 0, 0, 133, 143);
INSERT INTO public.who_data VALUES (31484, 102, 3847, 0, 99, 133, 229);
INSERT INTO public.who_data VALUES (31485, 2364, 690896, 126, 17673, 133, 141);
INSERT INTO public.who_data VALUES (31486, 16, 2777, 1, 55, 133, 197);
INSERT INTO public.who_data VALUES (31487, 15282, 930514, 154, 35284, 133, 221);
INSERT INTO public.who_data VALUES (31488, 105, 4628, 0, 13, 133, 150);
INSERT INTO public.who_data VALUES (31489, 3, 13685, 0, 836, 133, 56);
INSERT INTO public.who_data VALUES (31490, 14, 5018, 0, 106, 133, 167);
INSERT INTO public.who_data VALUES (31491, 783, 99410, 5, 5902, 133, 23);
INSERT INTO public.who_data VALUES (31492, 1251, 64084, 3, 1845, 133, 222);
INSERT INTO public.who_data VALUES (31493, 57, 4673, 3, 221, 133, 219);
INSERT INTO public.who_data VALUES (31494, 43, 10180, 0, 79, 133, 7);
INSERT INTO public.who_data VALUES (31495, 2, 3636, 0, 59, 133, 161);
INSERT INTO public.who_data VALUES (31496, 15165, 590848, 81, 42760, 133, 149);
INSERT INTO public.who_data VALUES (31497, 0, 28, 0, 0, 133, 6);
INSERT INTO public.who_data VALUES (31498, 28, 1935, 0, 49, 133, 139);
INSERT INTO public.who_data VALUES (31499, 0, 0, 0, 0, 133, 211);
INSERT INTO public.who_data VALUES (31500, 0, 0, 0, 0, 133, 14);
INSERT INTO public.who_data VALUES (31501, 80, 5043, 4, 90, 133, 111);
INSERT INTO public.who_data VALUES (31502, 1297, 32556, 22, 478, 133, 207);
INSERT INTO public.who_data VALUES (31503, 8379, 838781, 56, 8778, 133, 66);
INSERT INTO public.who_data VALUES (31504, 0, 0, 0, 0, 133, 173);
INSERT INTO public.who_data VALUES (31505, 0, 695, 0, 6, 133, 145);
INSERT INTO public.who_data VALUES (31506, 0, 0, 0, 0, 133, 65);
INSERT INTO public.who_data VALUES (31507, 0, 9538, 0, 86, 133, 184);
INSERT INTO public.who_data VALUES (31508, 4768, 261034, 85, 4972, 133, 98);
INSERT INTO public.who_data VALUES (31509, 1129, 105133, 1, 443, 133, 104);
INSERT INTO public.who_data VALUES (31510, 0, 509, 0, 21, 133, 73);
INSERT INTO public.who_data VALUES (31511, 57828, 7583748, 918, 212229, 133, 8);
INSERT INTO public.who_data VALUES (31512, 0, 1324, 0, 20, 133, 227);
INSERT INTO public.who_data VALUES (31513, 25, 2251, 0, 49, 133, 75);
INSERT INTO public.who_data VALUES (31514, 332, 60894, 3, 503, 133, 45);
INSERT INTO public.who_data VALUES (31515, 0, 0, 0, 0, 133, 133);
INSERT INTO public.who_data VALUES (31516, 677, 81696, 6, 684, 133, 202);
INSERT INTO public.who_data VALUES (31517, 2, 1107, 0, 35, 133, 129);
INSERT INTO public.who_data VALUES (31518, 0, 0, 0, 0, 133, 36);
INSERT INTO public.who_data VALUES (31519, 0, 2055, 2, 596, 133, 51);
INSERT INTO public.who_data VALUES (31520, 76, 15415, 0, 336, 133, 206);
INSERT INTO public.who_data VALUES (31521, 0, 7994, 0, 229, 133, 5);
INSERT INTO public.who_data VALUES (31522, 10, 39789, 1, 1477, 134, 103);
INSERT INTO public.who_data VALUES (31523, 167, 15066, 2, 413, 134, 58);
INSERT INTO public.who_data VALUES (31524, 146, 52804, 6, 1789, 134, 195);
INSERT INTO public.who_data VALUES (31525, 0, 0, 0, 0, 134, 115);
INSERT INTO public.who_data VALUES (31526, 128, 2696, 1, 55, 134, 99);
INSERT INTO public.who_data VALUES (31527, 73, 6031, 4, 212, 134, 153);
INSERT INTO public.who_data VALUES (31528, 0, 3, 0, 0, 134, 93);
INSERT INTO public.who_data VALUES (31529, 3, 111, 0, 3, 134, 84);
INSERT INTO public.who_data VALUES (31530, 15454, 856369, 484, 22710, 134, 78);
INSERT INTO public.who_data VALUES (31531, 649, 55049, 6, 1011, 134, 170);
INSERT INTO public.who_data VALUES (31532, 17, 4150, 0, 31, 134, 32);
INSERT INTO public.who_data VALUES (31533, 23, 27229, 0, 897, 134, 155);
INSERT INTO public.who_data VALUES (31534, 1181, 53784, 4, 857, 134, 82);
INSERT INTO public.who_data VALUES (31535, 215, 41519, 2, 605, 134, 16);
INSERT INTO public.who_data VALUES (31536, 151, 4864, 0, 102, 134, 72);
INSERT INTO public.who_data VALUES (31537, 438, 74860, 7, 271, 134, 43);
INSERT INTO public.who_data VALUES (31538, 1278, 375870, 17, 5477, 134, 120);
INSERT INTO public.who_data VALUES (31539, 0, 203, 0, 7, 134, 213);
INSERT INTO public.who_data VALUES (31540, 489, 82471, 5, 885, 134, 31);
INSERT INTO public.who_data VALUES (31541, 7791, 167694, 19, 10157, 134, 204);
INSERT INTO public.who_data VALUES (31542, 63, 2373, 0, 34, 134, 152);
INSERT INTO public.who_data VALUES (31543, 0, 2411, 0, 41, 134, 144);
INSERT INTO public.who_data VALUES (31544, 2, 184, 0, 9, 134, 96);
INSERT INTO public.who_data VALUES (31545, 2, 306, 0, 0, 134, 47);
INSERT INTO public.who_data VALUES (31546, 263, 137969, 36, 8228, 134, 80);
INSERT INTO public.who_data VALUES (31547, 0, 130, 0, 2, 134, 159);
INSERT INTO public.who_data VALUES (31548, 390, 29915, 13, 919, 134, 27);
INSERT INTO public.who_data VALUES (31549, 0, 3219, 0, 18, 134, 146);
INSERT INTO public.who_data VALUES (31550, 27750, 5028444, 729, 148957, 134, 71);
INSERT INTO public.who_data VALUES (31551, 0, 71, 0, 1, 134, 210);
INSERT INTO public.who_data VALUES (31552, 0, 146, 0, 3, 134, 54);
INSERT INTO public.who_data VALUES (31553, 612, 23871, 7, 887, 134, 147);
INSERT INTO public.who_data VALUES (31554, 19, 2241, 1, 60, 134, 2);
INSERT INTO public.who_data VALUES (31555, 2, 517, 0, 1, 134, 105);
INSERT INTO public.who_data VALUES (31556, 92, 6809, 2, 73, 134, 53);
INSERT INTO public.who_data VALUES (31557, 1, 283, 0, 0, 134, 81);
INSERT INTO public.who_data VALUES (31558, 0, 21160, 0, 420, 134, 223);
INSERT INTO public.who_data VALUES (31559, 2436, 175559, 16, 9557, 134, 94);
INSERT INTO public.who_data VALUES (31560, 1, 214, 0, 1, 134, 154);
INSERT INTO public.who_data VALUES (31561, 1, 4854, 0, 62, 134, 83);
INSERT INTO public.who_data VALUES (31562, 12, 1274, 1, 90, 134, 194);
INSERT INTO public.who_data VALUES (31563, 1753, 477769, 53, 13220, 134, 136);
INSERT INTO public.who_data VALUES (31564, 26, 91278, 0, 4746, 134, 179);
INSERT INTO public.who_data VALUES (31565, 8496, 886179, 151, 27331, 134, 57);
INSERT INTO public.who_data VALUES (31566, 4, 491, 0, 7, 134, 35);
INSERT INTO public.who_data VALUES (31567, 0, 5118, 0, 90, 134, 228);
INSERT INTO public.who_data VALUES (31568, 0, 0, 0, 0, 134, 19);
INSERT INTO public.who_data VALUES (31569, 1331, 84828, 16, 1040, 134, 22);
INSERT INTO public.who_data VALUES (31570, 0, 19982, 0, 120, 134, 1);
INSERT INTO public.who_data VALUES (31571, 457, 19446, 3, 313, 134, 21);
INSERT INTO public.who_data VALUES (31572, 26, 5943, 0, 123, 134, 234);
INSERT INTO public.who_data VALUES (31573, 27, 532, 0, 1, 134, 91);
INSERT INTO public.who_data VALUES (31574, 33, 1951, 1, 25, 134, 137);
INSERT INTO public.who_data VALUES (31575, 8617, 109374, 36, 905, 134, 201);
INSERT INTO public.who_data VALUES (31576, 0, 0, 0, 0, 134, 171);
INSERT INTO public.who_data VALUES (31577, 13, 10834, 0, 276, 134, 92);
INSERT INTO public.who_data VALUES (31578, 482, 31638, 0, 665, 134, 112);
INSERT INTO public.who_data VALUES (31579, 0, 5423, 0, 61, 134, 62);
INSERT INTO public.who_data VALUES (31580, 0, 32, 0, 0, 134, 69);
INSERT INTO public.who_data VALUES (31581, 585, 117457, 2, 2165, 134, 220);
INSERT INTO public.who_data VALUES (31582, 0, 145045, 0, 12141, 134, 100);
INSERT INTO public.who_data VALUES (31583, 106, 104262, 12, 6029, 134, 187);
INSERT INTO public.who_data VALUES (31584, 109, 29951, 4, 881, 134, 63);
INSERT INTO public.who_data VALUES (31585, 0, 5062, 0, 83, 134, 28);
INSERT INTO public.who_data VALUES (31586, 0, 405, 0, 0, 134, 172);
INSERT INTO public.who_data VALUES (31587, 49, 3809, 1, 68, 134, 17);
INSERT INTO public.who_data VALUES (31588, 12, 5644, 0, 113, 134, 226);
INSERT INTO public.who_data VALUES (31589, 865, 82662, 9, 1271, 134, 236);
INSERT INTO public.who_data VALUES (31590, 0, 13, 0, 0, 134, 76);
INSERT INTO public.who_data VALUES (31591, 0, 477, 0, 0, 134, 30);
INSERT INTO public.who_data VALUES (31592, 0, 32, 0, 2, 134, 128);
INSERT INTO public.who_data VALUES (31593, 235, 11580, 0, 346, 134, 86);
INSERT INTO public.who_data VALUES (31594, 20120, 664697, 90, 32377, 134, 140);
INSERT INTO public.who_data VALUES (31595, 16, 10144, 0, 69, 134, 44);
INSERT INTO public.who_data VALUES (31596, 334, 2754, 0, 10, 134, 113);
INSERT INTO public.who_data VALUES (31597, 0, 8815, 0, 54, 134, 29);
INSERT INTO public.who_data VALUES (31598, 7, 3628, 0, 117, 134, 125);
INSERT INTO public.who_data VALUES (31599, 519, 11271, 6, 78, 134, 131);
INSERT INTO public.who_data VALUES (31600, 4721, 319381, 15, 9604, 134, 46);
INSERT INTO public.who_data VALUES (31601, 40, 46987, 0, 306, 134, 10);
INSERT INTO public.who_data VALUES (31602, 7, 452, 0, 0, 134, 205);
INSERT INTO public.who_data VALUES (31603, 391, 21772, 1, 431, 134, 50);
INSERT INTO public.who_data VALUES (31604, 1, 16, 0, 0, 134, 20);
INSERT INTO public.who_data VALUES (31605, 0, 24, 0, 0, 134, 13);
INSERT INTO public.who_data VALUES (31606, 0, 6319, 18, 95, 134, 148);
INSERT INTO public.who_data VALUES (31607, 55, 2989, 0, 58, 134, 230);
INSERT INTO public.who_data VALUES (31608, 455, 96935, 9, 3356, 134, 190);
INSERT INTO public.who_data VALUES (31609, 0, 258, 0, 13, 134, 188);
INSERT INTO public.who_data VALUES (31610, 53, 10954, 0, 68, 134, 123);
INSERT INTO public.who_data VALUES (31611, 0, 2362, 0, 39, 134, 9);
INSERT INTO public.who_data VALUES (31612, 37, 3329, 3, 98, 134, 102);
INSERT INTO public.who_data VALUES (31613, 0, 8854, 0, 230, 134, 34);
INSERT INTO public.who_data VALUES (31614, 0, 12, 0, 0, 134, 212);
INSERT INTO public.who_data VALUES (31615, 512, 81672, 11, 2477, 134, 122);
INSERT INTO public.who_data VALUES (31616, 1374, 36596, 20, 933, 134, 38);
INSERT INTO public.who_data VALUES (31617, 106, 3373, 0, 10, 134, 130);
INSERT INTO public.who_data VALUES (31618, 73272, 6979423, 926, 107416, 134, 37);
INSERT INTO public.who_data VALUES (31619, 4094, 324658, 97, 11677, 134, 231);
INSERT INTO public.who_data VALUES (31620, 4142, 492378, 210, 28098, 134, 107);
INSERT INTO public.who_data VALUES (31621, 3214, 397780, 52, 9735, 134, 101);
INSERT INTO public.who_data VALUES (31622, 617, 40703, 4, 1821, 134, 132);
INSERT INTO public.who_data VALUES (31623, 0, 345, 0, 24, 134, 176);
INSERT INTO public.who_data VALUES (31624, 3755, 286103, 47, 1895, 134, 200);
INSERT INTO public.who_data VALUES (31625, 5372, 343770, 28, 36111, 134, 169);
INSERT INTO public.who_data VALUES (31626, 90, 7363, 4, 132, 134, 225);
INSERT INTO public.who_data VALUES (31627, 594, 88233, 8, 1624, 134, 165);
INSERT INTO public.who_data VALUES (31628, 2, 443, 0, 32, 134, 233);
INSERT INTO public.who_data VALUES (31629, 1246, 22831, 22, 166, 134, 215);
INSERT INTO public.who_data VALUES (31630, 352, 143632, 0, 2106, 134, 177);
INSERT INTO public.who_data VALUES (31631, 442, 40620, 4, 755, 134, 183);
INSERT INTO public.who_data VALUES (31632, 0, 0, 0, 0, 134, 203);
INSERT INTO public.who_data VALUES (31633, 79, 16007, 3, 631, 134, 162);
INSERT INTO public.who_data VALUES (31634, 635, 110076, 7, 649, 134, 12);
INSERT INTO public.who_data VALUES (31635, 307, 48924, 5, 1082, 134, 24);
INSERT INTO public.who_data VALUES (31636, 0, 23, 0, 0, 134, 119);
INSERT INTO public.who_data VALUES (31637, 137, 2507, 0, 40, 134, 39);
INSERT INTO public.who_data VALUES (31638, 1426, 51170, 11, 450, 134, 26);
INSERT INTO public.who_data VALUES (31639, 0, 1767, 0, 40, 134, 59);
INSERT INTO public.who_data VALUES (31640, 0, 1360, 0, 82, 134, 77);
INSERT INTO public.who_data VALUES (31641, 318, 41686, 2, 623, 134, 134);
INSERT INTO public.who_data VALUES (31642, 6, 145, 0, 1, 134, 4);
INSERT INTO public.who_data VALUES (31643, 204, 5956, 0, 87, 134, 109);
INSERT INTO public.who_data VALUES (31644, 141, 9360, 1, 130, 134, 90);
INSERT INTO public.who_data VALUES (31645, 22, 16676, 2, 237, 134, 61);
INSERT INTO public.who_data VALUES (31646, 4, 5813, 0, 180, 134, 85);
INSERT INTO public.who_data VALUES (31647, 354, 14722, 6, 152, 134, 49);
INSERT INTO public.who_data VALUES (31648, 66, 10808, 0, 34, 134, 208);
INSERT INTO public.who_data VALUES (31649, 13, 3248, 0, 131, 134, 166);
INSERT INTO public.who_data VALUES (31650, 75, 3572, 0, 41, 134, 64);
INSERT INTO public.who_data VALUES (31651, 0, 0, 0, 0, 134, 199);
INSERT INTO public.who_data VALUES (31652, 0, 1851, 0, 22, 134, 114);
INSERT INTO public.who_data VALUES (31653, 0, 7523, 0, 161, 134, 60);
INSERT INTO public.who_data VALUES (31654, 0, 395, 0, 10, 134, 68);
INSERT INTO public.who_data VALUES (31655, 97, 3989, 1, 43, 134, 158);
INSERT INTO public.who_data VALUES (31656, 30468, 804488, 3013, 83096, 134, 52);
INSERT INTO public.who_data VALUES (31657, 0, 0, 0, 0, 134, 117);
INSERT INTO public.who_data VALUES (31658, 4, 236, 0, 2, 134, 126);
INSERT INTO public.who_data VALUES (31659, 0, 315, 0, 0, 134, 196);
INSERT INTO public.who_data VALUES (31660, 203, 13761, 4, 199, 134, 142);
INSERT INTO public.who_data VALUES (31661, 0, 13, 0, 1, 134, 185);
INSERT INTO public.who_data VALUES (31662, 3445, 146398, 44, 2530, 134, 138);
INSERT INTO public.who_data VALUES (31663, 103, 9742, 1, 69, 134, 181);
INSERT INTO public.who_data VALUES (31664, 1461, 23906, 31, 566, 134, 178);
INSERT INTO public.who_data VALUES (31665, 48, 11829, 0, 127, 134, 168);
INSERT INTO public.who_data VALUES (31666, 0, 0, 0, 0, 134, 160);
INSERT INTO public.who_data VALUES (31667, 2059, 100676, 10, 600, 134, 151);
INSERT INTO public.who_data VALUES (31668, 5961, 161379, 14, 6541, 134, 193);
INSERT INTO public.who_data VALUES (31669, 0, 27, 0, 0, 134, 18);
INSERT INTO public.who_data VALUES (31670, 4, 1514, 0, 25, 134, 40);
INSERT INTO public.who_data VALUES (31671, 0, 4225, 0, 153, 134, 218);
INSERT INTO public.who_data VALUES (31672, 0, 1200, 0, 69, 134, 191);
INSERT INTO public.who_data VALUES (31673, 151, 59992, 0, 1113, 134, 156);
INSERT INTO public.who_data VALUES (31674, 0, 0, 0, 0, 134, 135);
INSERT INTO public.who_data VALUES (31675, 0, 75, 0, 2, 134, 88);
INSERT INTO public.who_data VALUES (31676, 386, 20163, 6, 781, 134, 55);
INSERT INTO public.who_data VALUES (31677, 209, 15221, 0, 275, 134, 108);
INSERT INTO public.who_data VALUES (31678, 498, 54853, 9, 431, 134, 48);
INSERT INTO public.who_data VALUES (31679, 0, 104129, 0, 1009, 134, 3);
INSERT INTO public.who_data VALUES (31680, 0, 741, 0, 13, 134, 224);
INSERT INTO public.who_data VALUES (31681, 671, 318266, 6, 6558, 134, 110);
INSERT INTO public.who_data VALUES (31682, 0, 0, 0, 0, 134, 106);
INSERT INTO public.who_data VALUES (31683, 754, 118054, 15, 2463, 134, 89);
INSERT INTO public.who_data VALUES (31684, 1, 550, 0, 7, 134, 121);
INSERT INTO public.who_data VALUES (31685, 881, 47316, 23, 1012, 134, 163);
INSERT INTO public.who_data VALUES (31686, 2952, 838614, 89, 33098, 134, 70);
INSERT INTO public.who_data VALUES (31687, 2901, 334770, 83, 6152, 134, 174);
INSERT INTO public.who_data VALUES (31688, 0, 0, 0, 0, 134, 175);
INSERT INTO public.who_data VALUES (31689, 4739, 116338, 52, 2919, 134, 118);
INSERT INTO public.who_data VALUES (31690, 1394, 83928, 12, 2062, 134, 189);
INSERT INTO public.who_data VALUES (31691, 598, 52892, 5, 720, 134, 124);
INSERT INTO public.who_data VALUES (31692, 206, 127600, 1, 219, 134, 192);
INSERT INTO public.who_data VALUES (31693, 72, 24548, 2, 430, 134, 41);
INSERT INTO public.who_data VALUES (31694, 918, 60833, 18, 1442, 134, 95);
INSERT INTO public.who_data VALUES (31695, 106, 4491, 0, 16, 134, 74);
INSERT INTO public.who_data VALUES (31696, 3186, 148886, 52, 5299, 134, 11);
INSERT INTO public.who_data VALUES (31697, 12846, 1285084, 197, 22454, 134, 87);
INSERT INTO public.who_data VALUES (31698, 5, 4890, 0, 29, 134, 214);
INSERT INTO public.who_data VALUES (31699, 0, 5, 0, 0, 134, 116);
INSERT INTO public.who_data VALUES (31700, 0, 62, 0, 0, 134, 157);
INSERT INTO public.who_data VALUES (31701, 0, 0, 0, 0, 134, 182);
INSERT INTO public.who_data VALUES (31702, 0, 19, 0, 0, 134, 186);
INSERT INTO public.who_data VALUES (31703, 0, 28, 0, 0, 134, 127);
INSERT INTO public.who_data VALUES (31704, 0, 412, 0, 8, 134, 232);
INSERT INTO public.who_data VALUES (31705, 0, 12, 0, 0, 134, 33);
INSERT INTO public.who_data VALUES (31706, 0, 64, 0, 0, 134, 97);
INSERT INTO public.who_data VALUES (31707, 0, 0, 0, 0, 134, 42);
INSERT INTO public.who_data VALUES (31708, 14, 766, 0, 42, 134, 198);
INSERT INTO public.who_data VALUES (31709, 1, 922, 0, 15, 134, 216);
INSERT INTO public.who_data VALUES (31710, 407, 338539, 24, 4996, 134, 164);
INSERT INTO public.who_data VALUES (31711, 23, 15213, 0, 313, 134, 235);
INSERT INTO public.who_data VALUES (31712, 173, 34517, 1, 761, 134, 67);
INSERT INTO public.who_data VALUES (31713, 0, 147, 0, 0, 134, 15);
INSERT INTO public.who_data VALUES (31714, 2, 2295, 0, 72, 134, 180);
INSERT INTO public.who_data VALUES (31715, 10, 57859, 0, 27, 134, 237);
INSERT INTO public.who_data VALUES (31716, 0, 13, 0, 0, 134, 25);
INSERT INTO public.who_data VALUES (31717, 1, 699, 0, 22, 134, 209);
INSERT INTO public.who_data VALUES (31718, 1037, 15726, 2, 57, 134, 217);
INSERT INTO public.who_data VALUES (31719, 363, 7874, 2, 169, 134, 79);
INSERT INTO public.who_data VALUES (31720, 0, 1, 0, 0, 134, 143);
INSERT INTO public.who_data VALUES (31721, 0, 3745, 0, 99, 134, 229);
INSERT INTO public.who_data VALUES (31722, 1641, 688532, 139, 17547, 134, 141);
INSERT INTO public.who_data VALUES (31723, 0, 2761, 0, 54, 134, 197);
INSERT INTO public.who_data VALUES (31724, 14391, 915232, 130, 35130, 134, 221);
INSERT INTO public.who_data VALUES (31725, 35, 4523, 0, 13, 134, 150);
INSERT INTO public.who_data VALUES (31726, 9, 13682, 0, 836, 134, 56);
INSERT INTO public.who_data VALUES (31727, 25, 5004, 0, 106, 134, 167);
INSERT INTO public.who_data VALUES (31728, 834, 98627, 1, 5897, 134, 23);
INSERT INTO public.who_data VALUES (31729, 1722, 62833, 3, 1842, 134, 222);
INSERT INTO public.who_data VALUES (31730, 50, 4616, 3, 218, 134, 219);
INSERT INTO public.who_data VALUES (31731, 40, 10137, 1, 79, 134, 7);
INSERT INTO public.who_data VALUES (31732, 6, 3634, 0, 59, 134, 161);
INSERT INTO public.who_data VALUES (31733, 13864, 575683, 87, 42679, 134, 149);
INSERT INTO public.who_data VALUES (31734, 0, 28, 0, 0, 134, 6);
INSERT INTO public.who_data VALUES (31735, 0, 1907, 0, 49, 134, 139);
INSERT INTO public.who_data VALUES (31736, 0, 0, 0, 0, 134, 211);
INSERT INTO public.who_data VALUES (31737, 0, 0, 0, 0, 134, 14);
INSERT INTO public.who_data VALUES (31738, 76, 4963, 2, 86, 134, 111);
INSERT INTO public.who_data VALUES (31739, 3137, 31259, 47, 456, 134, 207);
INSERT INTO public.who_data VALUES (31740, 8359, 830402, 55, 8722, 134, 66);
INSERT INTO public.who_data VALUES (31741, 0, 0, 0, 0, 134, 173);
INSERT INTO public.who_data VALUES (31742, 0, 695, 0, 6, 134, 145);
INSERT INTO public.who_data VALUES (31743, 0, 0, 0, 0, 134, 65);
INSERT INTO public.who_data VALUES (31744, 96, 9538, 1, 86, 134, 184);
INSERT INTO public.who_data VALUES (31745, 5728, 256266, 108, 4887, 134, 98);
INSERT INTO public.who_data VALUES (31746, 1075, 104004, 4, 442, 134, 104);
INSERT INTO public.who_data VALUES (31747, 0, 509, 0, 21, 134, 73);
INSERT INTO public.who_data VALUES (31748, 54232, 7525920, 973, 211311, 134, 8);
INSERT INTO public.who_data VALUES (31749, 2, 1324, 0, 20, 134, 227);
INSERT INTO public.who_data VALUES (31750, 20, 2226, 0, 49, 134, 75);
INSERT INTO public.who_data VALUES (31751, 329, 60562, 3, 500, 134, 45);
INSERT INTO public.who_data VALUES (31752, 0, 0, 0, 0, 134, 133);
INSERT INTO public.who_data VALUES (31753, 615, 81019, 7, 678, 134, 202);
INSERT INTO public.who_data VALUES (31754, 5, 1105, 0, 35, 134, 129);
INSERT INTO public.who_data VALUES (31755, 0, 0, 0, 0, 134, 36);
INSERT INTO public.who_data VALUES (31756, 1, 2055, 0, 594, 134, 51);
INSERT INTO public.who_data VALUES (31757, 38, 15339, 1, 336, 134, 206);
INSERT INTO public.who_data VALUES (31758, 43, 7994, 0, 229, 134, 5);
INSERT INTO public.who_data VALUES (31759, 77, 39779, 2, 1476, 135, 103);
INSERT INTO public.who_data VALUES (31760, 169, 14899, 4, 411, 135, 58);
INSERT INTO public.who_data VALUES (31761, 138, 52658, 4, 1783, 135, 195);
INSERT INTO public.who_data VALUES (31762, 0, 0, 0, 0, 135, 115);
INSERT INTO public.who_data VALUES (31763, 0, 2568, 1, 54, 135, 99);
INSERT INTO public.who_data VALUES (31764, 95, 5958, 2, 208, 135, 153);
INSERT INTO public.who_data VALUES (31765, 0, 3, 0, 0, 135, 93);
INSERT INTO public.who_data VALUES (31766, 0, 108, 0, 3, 135, 84);
INSERT INTO public.who_data VALUES (31767, 16447, 840915, 399, 22226, 135, 78);
INSERT INTO public.who_data VALUES (31768, 614, 54400, 6, 1005, 135, 170);
INSERT INTO public.who_data VALUES (31769, 25, 4133, 0, 31, 135, 32);
INSERT INTO public.who_data VALUES (31770, 24, 27206, 0, 897, 135, 155);
INSERT INTO public.who_data VALUES (31771, 1221, 52603, 9, 853, 135, 82);
INSERT INTO public.who_data VALUES (31772, 191, 41304, 1, 603, 135, 16);
INSERT INTO public.who_data VALUES (31773, 81, 4713, 0, 102, 135, 72);
INSERT INTO public.who_data VALUES (31774, 490, 74422, 2, 264, 135, 43);
INSERT INTO public.who_data VALUES (31775, 1441, 374592, 20, 5460, 135, 120);
INSERT INTO public.who_data VALUES (31776, 0, 203, 0, 7, 135, 213);
INSERT INTO public.who_data VALUES (31777, 477, 81982, 6, 880, 135, 31);
INSERT INTO public.who_data VALUES (31778, 6588, 159903, 20, 10138, 135, 204);
INSERT INTO public.who_data VALUES (31779, 67, 2310, 0, 34, 135, 152);
INSERT INTO public.who_data VALUES (31780, 0, 2411, 0, 41, 135, 144);
INSERT INTO public.who_data VALUES (31781, 1, 182, 0, 9, 135, 96);
INSERT INTO public.who_data VALUES (31782, 0, 304, 0, 0, 135, 47);
INSERT INTO public.who_data VALUES (31783, 238, 137706, 36, 8192, 135, 80);
INSERT INTO public.who_data VALUES (31784, 1, 130, 0, 2, 135, 159);
INSERT INTO public.who_data VALUES (31785, 454, 29525, 5, 906, 135, 27);
INSERT INTO public.who_data VALUES (31786, 47, 3219, 2, 18, 135, 146);
INSERT INTO public.who_data VALUES (31787, 31553, 5000694, 734, 148228, 135, 71);
INSERT INTO public.who_data VALUES (31788, 0, 71, 0, 1, 135, 210);
INSERT INTO public.who_data VALUES (31789, 0, 146, 0, 3, 135, 54);
INSERT INTO public.who_data VALUES (31790, 516, 23259, 7, 880, 135, 147);
INSERT INTO public.who_data VALUES (31791, 25, 2222, 0, 59, 135, 2);
INSERT INTO public.who_data VALUES (31792, 0, 515, 0, 1, 135, 105);
INSERT INTO public.who_data VALUES (31793, 93, 6717, 0, 71, 135, 53);
INSERT INTO public.who_data VALUES (31794, 1, 282, 0, 0, 135, 81);
INSERT INTO public.who_data VALUES (31795, 0, 21160, 0, 420, 135, 223);
INSERT INTO public.who_data VALUES (31796, 1800, 173123, 11, 9541, 135, 94);
INSERT INTO public.who_data VALUES (31797, 0, 213, 0, 1, 135, 154);
INSERT INTO public.who_data VALUES (31798, 0, 4853, 0, 62, 135, 83);
INSERT INTO public.who_data VALUES (31799, 11, 1262, 0, 89, 135, 194);
INSERT INTO public.who_data VALUES (31800, 1576, 476016, 77, 13167, 135, 136);
INSERT INTO public.who_data VALUES (31801, 40, 91252, 0, 4746, 135, 179);
INSERT INTO public.who_data VALUES (31802, 7875, 877683, 163, 27180, 135, 57);
INSERT INTO public.who_data VALUES (31803, 0, 487, 0, 7, 135, 35);
INSERT INTO public.who_data VALUES (31804, 29, 5118, 1, 90, 135, 228);
INSERT INTO public.who_data VALUES (31805, 0, 0, 0, 0, 135, 19);
INSERT INTO public.who_data VALUES (31806, 1355, 83497, 20, 1024, 135, 22);
INSERT INTO public.who_data VALUES (31807, 79, 19982, 0, 120, 135, 1);
INSERT INTO public.who_data VALUES (31808, 542, 18989, 1, 310, 135, 21);
INSERT INTO public.who_data VALUES (31809, 19, 5917, 0, 123, 135, 234);
INSERT INTO public.who_data VALUES (31810, 29, 505, 0, 1, 135, 91);
INSERT INTO public.who_data VALUES (31811, 21, 1918, 0, 24, 135, 137);
INSERT INTO public.who_data VALUES (31812, 5397, 100757, 40, 869, 135, 201);
INSERT INTO public.who_data VALUES (31813, 0, 0, 0, 0, 135, 171);
INSERT INTO public.who_data VALUES (31814, 18, 10821, 0, 276, 135, 92);
INSERT INTO public.who_data VALUES (31815, 446, 31156, 2, 665, 135, 112);
INSERT INTO public.who_data VALUES (31816, 0, 5423, 0, 61, 135, 62);
INSERT INTO public.who_data VALUES (31817, 1, 32, 0, 0, 135, 69);
INSERT INTO public.who_data VALUES (31818, 724, 116872, 4, 2163, 135, 220);
INSERT INTO public.who_data VALUES (31819, 1514, 145045, 398, 12141, 135, 100);
INSERT INTO public.who_data VALUES (31820, 121, 104156, 7, 6017, 135, 187);
INSERT INTO public.who_data VALUES (31821, 105, 29842, 4, 877, 135, 63);
INSERT INTO public.who_data VALUES (31822, 10, 5062, 0, 83, 135, 28);
INSERT INTO public.who_data VALUES (31823, 7, 405, 0, 0, 135, 172);
INSERT INTO public.who_data VALUES (31824, 45, 3760, 0, 67, 135, 17);
INSERT INTO public.who_data VALUES (31825, 15, 5632, 0, 113, 135, 226);
INSERT INTO public.who_data VALUES (31826, 902, 81797, 7, 1262, 135, 236);
INSERT INTO public.who_data VALUES (31827, 0, 13, 0, 0, 135, 76);
INSERT INTO public.who_data VALUES (31828, 1, 477, 0, 0, 135, 30);
INSERT INTO public.who_data VALUES (31829, 0, 32, 0, 2, 135, 128);
INSERT INTO public.who_data VALUES (31830, 296, 11345, 0, 346, 135, 86);
INSERT INTO public.who_data VALUES (31831, 18104, 644577, 76, 32287, 135, 140);
INSERT INTO public.who_data VALUES (31832, 25, 10128, 0, 69, 135, 44);
INSERT INTO public.who_data VALUES (31833, 0, 2420, 0, 10, 135, 113);
INSERT INTO public.who_data VALUES (31834, 0, 8815, 0, 54, 135, 29);
INSERT INTO public.who_data VALUES (31835, 8, 3621, 0, 117, 135, 125);
INSERT INTO public.who_data VALUES (31836, 527, 10752, 6, 72, 135, 131);
INSERT INTO public.who_data VALUES (31837, 4516, 314660, 11, 9589, 135, 46);
INSERT INTO public.who_data VALUES (31838, 118, 46947, 3, 306, 135, 10);
INSERT INTO public.who_data VALUES (31839, 8, 445, 0, 0, 135, 205);
INSERT INTO public.who_data VALUES (31840, 434, 21381, 6, 430, 135, 50);
INSERT INTO public.who_data VALUES (31841, 1, 15, 0, 0, 135, 20);
INSERT INTO public.who_data VALUES (31842, 0, 24, 0, 0, 135, 13);
INSERT INTO public.who_data VALUES (31843, 0, 6319, 0, 77, 135, 148);
INSERT INTO public.who_data VALUES (31844, 66, 2934, 1, 58, 135, 230);
INSERT INTO public.who_data VALUES (31845, 776, 96480, 12, 3347, 135, 190);
INSERT INTO public.who_data VALUES (31846, 1, 258, 0, 13, 135, 188);
INSERT INTO public.who_data VALUES (31847, 38, 10901, 0, 68, 135, 123);
INSERT INTO public.who_data VALUES (31848, 0, 2362, 0, 39, 135, 9);
INSERT INTO public.who_data VALUES (31849, 104, 3292, 3, 95, 135, 102);
INSERT INTO public.who_data VALUES (31850, 16, 8854, 1, 230, 135, 34);
INSERT INTO public.who_data VALUES (31851, 0, 12, 0, 0, 135, 212);
INSERT INTO public.who_data VALUES (31852, 498, 81160, 19, 2466, 135, 122);
INSERT INTO public.who_data VALUES (31853, 1176, 35222, 15, 913, 135, 38);
INSERT INTO public.who_data VALUES (31854, 95, 3267, 0, 10, 135, 130);
INSERT INTO public.who_data VALUES (31855, 70496, 6906151, 964, 106490, 135, 37);
INSERT INTO public.who_data VALUES (31856, 4850, 320564, 108, 11580, 135, 231);
INSERT INTO public.who_data VALUES (31857, 4392, 488236, 230, 27888, 135, 107);
INSERT INTO public.who_data VALUES (31858, 3522, 394566, 79, 9683, 135, 101);
INSERT INTO public.who_data VALUES (31859, 502, 40086, 1, 1817, 135, 132);
INSERT INTO public.who_data VALUES (31860, 0, 345, 0, 24, 135, 176);
INSERT INTO public.who_data VALUES (31861, 4164, 282348, 26, 1848, 135, 200);
INSERT INTO public.who_data VALUES (31862, 4458, 338398, 22, 36083, 135, 169);
INSERT INTO public.who_data VALUES (31863, 82, 7273, 2, 128, 135, 225);
INSERT INTO public.who_data VALUES (31864, 619, 87639, 3, 1616, 135, 165);
INSERT INTO public.who_data VALUES (31865, 3, 441, 0, 32, 135, 233);
INSERT INTO public.who_data VALUES (31866, 1317, 21585, 13, 144, 135, 215);
INSERT INTO public.who_data VALUES (31867, 335, 143280, 0, 2106, 135, 177);
INSERT INTO public.who_data VALUES (31868, 271, 40178, 3, 751, 135, 183);
INSERT INTO public.who_data VALUES (31869, 0, 0, 0, 0, 135, 203);
INSERT INTO public.who_data VALUES (31870, 33, 15928, 0, 628, 135, 162);
INSERT INTO public.who_data VALUES (31871, 698, 109441, 3, 642, 135, 12);
INSERT INTO public.who_data VALUES (31872, 275, 48617, 4, 1077, 135, 24);
INSERT INTO public.who_data VALUES (31873, 0, 23, 0, 0, 135, 119);
INSERT INTO public.who_data VALUES (31874, 109, 2370, 0, 40, 135, 39);
INSERT INTO public.who_data VALUES (31875, 1367, 49744, 6, 439, 135, 26);
INSERT INTO public.who_data VALUES (31876, 84, 1767, 1, 40, 135, 59);
INSERT INTO public.who_data VALUES (31877, 6, 1360, 0, 82, 135, 77);
INSERT INTO public.who_data VALUES (31878, 1076, 41368, 5, 621, 135, 134);
INSERT INTO public.who_data VALUES (31879, 3, 139, 0, 1, 135, 4);
INSERT INTO public.who_data VALUES (31880, 133, 5752, 1, 87, 135, 109);
INSERT INTO public.who_data VALUES (31881, 100, 9219, 1, 129, 135, 90);
INSERT INTO public.who_data VALUES (31882, 21, 16654, 0, 235, 135, 61);
INSERT INTO public.who_data VALUES (31883, 6, 5809, 0, 180, 135, 85);
INSERT INTO public.who_data VALUES (31884, 375, 14368, 5, 146, 135, 49);
INSERT INTO public.who_data VALUES (31885, 86, 10742, 0, 34, 135, 208);
INSERT INTO public.who_data VALUES (31886, 25, 3235, 0, 131, 135, 166);
INSERT INTO public.who_data VALUES (31887, 64, 3497, 0, 41, 135, 64);
INSERT INTO public.who_data VALUES (31888, 0, 0, 0, 0, 135, 199);
INSERT INTO public.who_data VALUES (31889, 0, 1851, 0, 22, 135, 114);
INSERT INTO public.who_data VALUES (31890, 0, 7523, 0, 161, 135, 60);
INSERT INTO public.who_data VALUES (31891, 0, 395, 0, 10, 135, 68);
INSERT INTO public.who_data VALUES (31892, 0, 3892, 0, 42, 135, 158);
INSERT INTO public.who_data VALUES (31893, 4462, 774020, 369, 80083, 135, 52);
INSERT INTO public.who_data VALUES (31894, 0, 0, 0, 0, 135, 117);
INSERT INTO public.who_data VALUES (31895, 2, 232, 0, 2, 135, 126);
INSERT INTO public.who_data VALUES (31896, 0, 315, 0, 0, 135, 196);
INSERT INTO public.who_data VALUES (31897, 362, 13558, 3, 195, 135, 142);
INSERT INTO public.who_data VALUES (31898, 0, 13, 0, 1, 135, 185);
INSERT INTO public.who_data VALUES (31899, 2929, 142953, 47, 2486, 135, 138);
INSERT INTO public.who_data VALUES (31900, 145, 9639, 0, 68, 135, 181);
INSERT INTO public.who_data VALUES (31901, 1012, 22445, 25, 535, 135, 178);
INSERT INTO public.who_data VALUES (31902, 67, 11781, 1, 127, 135, 168);
INSERT INTO public.who_data VALUES (31903, 0, 0, 0, 0, 135, 160);
INSERT INTO public.who_data VALUES (31904, 4364, 98617, 12, 590, 135, 151);
INSERT INTO public.who_data VALUES (31905, 5785, 155418, 12, 6527, 135, 193);
INSERT INTO public.who_data VALUES (31906, 0, 27, 0, 0, 135, 18);
INSERT INTO public.who_data VALUES (31907, 2, 1510, 0, 25, 135, 40);
INSERT INTO public.who_data VALUES (31908, 0, 4225, 0, 153, 135, 218);
INSERT INTO public.who_data VALUES (31909, 0, 1200, 0, 69, 135, 191);
INSERT INTO public.who_data VALUES (31910, 103, 59841, 0, 1113, 135, 156);
INSERT INTO public.who_data VALUES (31911, 0, 0, 0, 0, 135, 135);
INSERT INTO public.who_data VALUES (31912, 0, 75, 0, 2, 135, 88);
INSERT INTO public.who_data VALUES (31913, 364, 19777, 3, 775, 135, 55);
INSERT INTO public.who_data VALUES (31914, 228, 15012, 0, 275, 135, 108);
INSERT INTO public.who_data VALUES (31915, 416, 54355, 4, 422, 135, 48);
INSERT INTO public.who_data VALUES (31916, 664, 104129, 9, 1009, 135, 3);
INSERT INTO public.who_data VALUES (31917, 0, 741, 0, 13, 135, 224);
INSERT INTO public.who_data VALUES (31918, 661, 317595, 8, 6552, 135, 110);
INSERT INTO public.who_data VALUES (31919, 0, 0, 0, 0, 135, 106);
INSERT INTO public.who_data VALUES (31920, 698, 117300, 8, 2448, 135, 89);
INSERT INTO public.who_data VALUES (31921, 8, 549, 0, 7, 135, 121);
INSERT INTO public.who_data VALUES (31922, 788, 46435, 23, 989, 135, 163);
INSERT INTO public.who_data VALUES (31923, 2733, 835662, 95, 33009, 135, 70);
INSERT INTO public.who_data VALUES (31924, 2232, 331869, 144, 6069, 135, 174);
INSERT INTO public.who_data VALUES (31925, 0, 0, 0, 0, 135, 175);
INSERT INTO public.who_data VALUES (31926, 4280, 111599, 75, 2867, 135, 118);
INSERT INTO public.who_data VALUES (31927, 1278, 82534, 10, 2050, 135, 189);
INSERT INTO public.who_data VALUES (31928, 526, 52294, 10, 715, 135, 124);
INSERT INTO public.who_data VALUES (31929, 213, 127394, 0, 218, 135, 192);
INSERT INTO public.who_data VALUES (31930, 54, 24476, 1, 428, 135, 41);
INSERT INTO public.who_data VALUES (31931, 1121, 59915, 18, 1424, 135, 95);
INSERT INTO public.who_data VALUES (31932, 0, 4385, 0, 16, 135, 74);
INSERT INTO public.who_data VALUES (31933, 3130, 145700, 44, 5247, 135, 11);
INSERT INTO public.who_data VALUES (31934, 12126, 1272238, 201, 22257, 135, 87);
INSERT INTO public.who_data VALUES (31935, 2, 4885, 0, 29, 135, 214);
INSERT INTO public.who_data VALUES (31936, 0, 5, 0, 0, 135, 116);
INSERT INTO public.who_data VALUES (31937, 0, 62, 0, 0, 135, 157);
INSERT INTO public.who_data VALUES (31938, 0, 0, 0, 0, 135, 182);
INSERT INTO public.who_data VALUES (31939, 0, 19, 0, 0, 135, 186);
INSERT INTO public.who_data VALUES (31940, 0, 28, 0, 0, 135, 127);
INSERT INTO public.who_data VALUES (31941, 0, 412, 0, 8, 135, 232);
INSERT INTO public.who_data VALUES (31942, 0, 12, 0, 0, 135, 33);
INSERT INTO public.who_data VALUES (31943, 0, 64, 0, 0, 135, 97);
INSERT INTO public.who_data VALUES (31944, 0, 0, 0, 0, 135, 42);
INSERT INTO public.who_data VALUES (31945, 0, 752, 0, 42, 135, 198);
INSERT INTO public.who_data VALUES (31946, 7, 921, 0, 15, 135, 216);
INSERT INTO public.who_data VALUES (31947, 421, 338132, 25, 4972, 135, 164);
INSERT INTO public.who_data VALUES (31948, 49, 15190, 1, 313, 135, 235);
INSERT INTO public.who_data VALUES (31949, 151, 34344, 2, 760, 135, 67);
INSERT INTO public.who_data VALUES (31950, 0, 147, 0, 0, 135, 15);
INSERT INTO public.who_data VALUES (31951, 6, 2293, 0, 72, 135, 180);
INSERT INTO public.who_data VALUES (31952, 9, 57849, 0, 27, 135, 237);
INSERT INTO public.who_data VALUES (31953, 0, 13, 0, 0, 135, 25);
INSERT INTO public.who_data VALUES (31954, 9, 698, 0, 22, 135, 209);
INSERT INTO public.who_data VALUES (31955, 877, 14689, 0, 55, 135, 217);
INSERT INTO public.who_data VALUES (31956, 388, 7511, 1, 167, 135, 79);
INSERT INTO public.who_data VALUES (31957, 0, 1, 0, 0, 135, 143);
INSERT INTO public.who_data VALUES (31958, 0, 3745, 0, 99, 135, 229);
INSERT INTO public.who_data VALUES (31959, 3649, 686891, 305, 17408, 135, 141);
INSERT INTO public.who_data VALUES (31960, 12, 2761, 1, 54, 135, 197);
INSERT INTO public.who_data VALUES (31961, 12805, 900841, 135, 35000, 135, 221);
INSERT INTO public.who_data VALUES (31962, 29, 4488, 0, 13, 135, 150);
INSERT INTO public.who_data VALUES (31963, 3, 13673, 0, 836, 135, 56);
INSERT INTO public.who_data VALUES (31964, 14, 4979, 0, 106, 135, 167);
INSERT INTO public.who_data VALUES (31965, 831, 97793, 3, 5896, 135, 23);
INSERT INTO public.who_data VALUES (31966, 1471, 61111, 3, 1839, 135, 222);
INSERT INTO public.who_data VALUES (31967, 62, 4566, 3, 215, 135, 219);
INSERT INTO public.who_data VALUES (31968, 42, 10097, 0, 78, 135, 7);
INSERT INTO public.who_data VALUES (31969, 6, 3628, 0, 59, 135, 161);
INSERT INTO public.who_data VALUES (31970, 17540, 561819, 77, 42592, 135, 149);
INSERT INTO public.who_data VALUES (31971, 0, 28, 0, 0, 135, 6);
INSERT INTO public.who_data VALUES (31972, 9, 1907, 0, 49, 135, 139);
INSERT INTO public.who_data VALUES (31973, 0, 0, 0, 0, 135, 211);
INSERT INTO public.who_data VALUES (31974, 0, 0, 0, 0, 135, 14);
INSERT INTO public.who_data VALUES (31975, 11, 4887, 0, 84, 135, 111);
INSERT INTO public.who_data VALUES (31976, 0, 28122, 0, 409, 135, 207);
INSERT INTO public.who_data VALUES (31977, 8345, 822043, 58, 8667, 135, 66);
INSERT INTO public.who_data VALUES (31978, 0, 0, 0, 0, 135, 173);
INSERT INTO public.who_data VALUES (31979, 0, 695, 0, 6, 135, 145);
INSERT INTO public.who_data VALUES (31980, 0, 0, 0, 0, 135, 65);
INSERT INTO public.who_data VALUES (31981, 182, 9442, 0, 85, 135, 184);
INSERT INTO public.who_data VALUES (31982, 5804, 250538, 89, 4779, 135, 98);
INSERT INTO public.who_data VALUES (31983, 1089, 102929, 2, 438, 135, 104);
INSERT INTO public.who_data VALUES (31984, 0, 509, 0, 21, 135, 73);
INSERT INTO public.who_data VALUES (31985, 52458, 7471688, 888, 210338, 135, 8);
INSERT INTO public.who_data VALUES (31986, 1, 1322, 0, 20, 135, 227);
INSERT INTO public.who_data VALUES (31987, 29, 2206, 0, 49, 135, 75);
INSERT INTO public.who_data VALUES (31988, 328, 60233, 3, 497, 135, 45);
INSERT INTO public.who_data VALUES (31989, 0, 0, 0, 0, 135, 133);
INSERT INTO public.who_data VALUES (31990, 608, 80404, 6, 671, 135, 202);
INSERT INTO public.who_data VALUES (31991, 1, 1100, 0, 35, 135, 129);
INSERT INTO public.who_data VALUES (31992, 0, 0, 0, 0, 135, 36);
INSERT INTO public.who_data VALUES (31993, 1, 2054, 0, 594, 135, 51);
INSERT INTO public.who_data VALUES (31994, 77, 15301, 0, 335, 135, 206);
INSERT INTO public.who_data VALUES (31995, 32, 7951, 0, 229, 135, 5);
INSERT INTO public.who_data VALUES (31996, 68, 39702, 1, 1474, 136, 103);
INSERT INTO public.who_data VALUES (31997, 162, 14730, 4, 407, 136, 58);
INSERT INTO public.who_data VALUES (31998, 121, 52520, 6, 1779, 136, 195);
INSERT INTO public.who_data VALUES (31999, 0, 0, 0, 0, 136, 115);
INSERT INTO public.who_data VALUES (32000, 198, 2568, 0, 53, 136, 99);
INSERT INTO public.who_data VALUES (32001, 333, 5863, 14, 206, 136, 153);
INSERT INTO public.who_data VALUES (32002, 0, 3, 0, 0, 136, 93);
INSERT INTO public.who_data VALUES (32003, 1, 108, 0, 3, 136, 84);
INSERT INTO public.who_data VALUES (32004, 14740, 824468, 359, 21827, 136, 78);
INSERT INTO public.who_data VALUES (32005, 718, 53786, 9, 999, 136, 170);
INSERT INTO public.who_data VALUES (32006, 14, 4108, 0, 31, 136, 32);
INSERT INTO public.who_data VALUES (32007, 8, 27182, 2, 897, 136, 155);
INSERT INTO public.who_data VALUES (32008, 947, 51382, 4, 844, 136, 82);
INSERT INTO public.who_data VALUES (32009, 182, 41113, 2, 602, 136, 16);
INSERT INTO public.who_data VALUES (32010, 73, 4632, 2, 102, 136, 72);
INSERT INTO public.who_data VALUES (32011, 456, 73932, 0, 262, 136, 43);
INSERT INTO public.who_data VALUES (32012, 1520, 373151, 35, 5440, 136, 120);
INSERT INTO public.who_data VALUES (32013, 3, 203, 0, 7, 136, 213);
INSERT INTO public.who_data VALUES (32014, 415, 81505, 6, 874, 136, 31);
INSERT INTO public.who_data VALUES (32015, 6803, 153315, 20, 10118, 136, 204);
INSERT INTO public.who_data VALUES (32016, 39, 2243, 4, 34, 136, 152);
INSERT INTO public.who_data VALUES (32017, 0, 2411, 0, 41, 136, 144);
INSERT INTO public.who_data VALUES (32018, 0, 181, 0, 9, 136, 96);
INSERT INTO public.who_data VALUES (32019, 4, 304, 0, 0, 136, 47);
INSERT INTO public.who_data VALUES (32020, 361, 137468, 27, 8156, 136, 80);
INSERT INTO public.who_data VALUES (32021, 2, 129, 0, 2, 136, 159);
INSERT INTO public.who_data VALUES (32022, 364, 29071, 5, 901, 136, 27);
INSERT INTO public.who_data VALUES (32023, 0, 3172, 0, 16, 136, 146);
INSERT INTO public.who_data VALUES (32024, 41906, 4969141, 819, 147494, 136, 71);
INSERT INTO public.who_data VALUES (32025, 0, 71, 0, 1, 136, 210);
INSERT INTO public.who_data VALUES (32026, 0, 146, 0, 3, 136, 54);
INSERT INTO public.who_data VALUES (32027, 437, 22743, 11, 873, 136, 147);
INSERT INTO public.who_data VALUES (32028, 30, 2197, 0, 59, 136, 2);
INSERT INTO public.who_data VALUES (32029, 0, 515, 0, 1, 136, 105);
INSERT INTO public.who_data VALUES (32030, 106, 6624, 2, 71, 136, 53);
INSERT INTO public.who_data VALUES (32031, 1, 281, 0, 0, 136, 81);
INSERT INTO public.who_data VALUES (32032, 236, 21160, 0, 420, 136, 223);
INSERT INTO public.who_data VALUES (32033, 2363, 171323, 26, 9530, 136, 94);
INSERT INTO public.who_data VALUES (32034, 0, 213, 0, 1, 136, 154);
INSERT INTO public.who_data VALUES (32035, 0, 4853, 0, 62, 136, 83);
INSERT INTO public.who_data VALUES (32036, 13, 1251, 1, 89, 136, 194);
INSERT INTO public.who_data VALUES (32037, 1134, 474440, 20, 13090, 136, 136);
INSERT INTO public.who_data VALUES (32038, 24, 91212, 0, 4746, 136, 179);
INSERT INTO public.who_data VALUES (32039, 7650, 869808, 173, 27017, 136, 57);
INSERT INTO public.who_data VALUES (32040, 0, 487, 0, 7, 136, 35);
INSERT INTO public.who_data VALUES (32041, 0, 5089, 0, 89, 136, 228);
INSERT INTO public.who_data VALUES (32042, 0, 0, 0, 0, 136, 19);
INSERT INTO public.who_data VALUES (32043, 1013, 82142, 17, 1004, 136, 22);
INSERT INTO public.who_data VALUES (32044, 18, 19903, 0, 120, 136, 1);
INSERT INTO public.who_data VALUES (32045, 363, 18447, 5, 309, 136, 21);
INSERT INTO public.who_data VALUES (32046, 15, 5898, 0, 123, 136, 234);
INSERT INTO public.who_data VALUES (32047, 14, 476, 0, 1, 136, 91);
INSERT INTO public.who_data VALUES (32048, 21, 1897, 1, 24, 136, 137);
INSERT INTO public.who_data VALUES (32049, 5338, 95360, 35, 829, 136, 201);
INSERT INTO public.who_data VALUES (32050, 0, 0, 0, 0, 136, 171);
INSERT INTO public.who_data VALUES (32051, 15, 10803, 2, 276, 136, 92);
INSERT INTO public.who_data VALUES (32052, 331, 30710, 0, 663, 136, 112);
INSERT INTO public.who_data VALUES (32053, 0, 5423, 0, 61, 136, 62);
INSERT INTO public.who_data VALUES (32054, 0, 31, 0, 0, 136, 69);
INSERT INTO public.who_data VALUES (32055, 777, 116148, 10, 2159, 136, 220);
INSERT INTO public.who_data VALUES (32056, 1475, 143531, 41, 11743, 136, 100);
INSERT INTO public.who_data VALUES (32057, 133, 104035, 9, 6010, 136, 187);
INSERT INTO public.who_data VALUES (32058, 103, 29737, 4, 873, 136, 63);
INSERT INTO public.who_data VALUES (32059, 0, 5052, 0, 83, 136, 28);
INSERT INTO public.who_data VALUES (32060, 0, 398, 0, 0, 136, 172);
INSERT INTO public.who_data VALUES (32061, 56, 3715, 0, 67, 136, 17);
INSERT INTO public.who_data VALUES (32062, 19, 5617, 1, 113, 136, 226);
INSERT INTO public.who_data VALUES (32063, 892, 80895, 17, 1255, 136, 236);
INSERT INTO public.who_data VALUES (32064, 0, 13, 0, 0, 136, 76);
INSERT INTO public.who_data VALUES (32065, 1, 476, 0, 0, 136, 30);
INSERT INTO public.who_data VALUES (32066, 0, 32, 0, 2, 136, 128);
INSERT INTO public.who_data VALUES (32067, 120, 11049, 0, 346, 136, 86);
INSERT INTO public.who_data VALUES (32068, 17932, 626473, 77, 32211, 136, 140);
INSERT INTO public.who_data VALUES (32069, 33, 10103, 0, 69, 136, 44);
INSERT INTO public.who_data VALUES (32070, 130, 2420, 1, 10, 136, 113);
INSERT INTO public.who_data VALUES (32071, 7, 8815, 0, 54, 136, 29);
INSERT INTO public.who_data VALUES (32072, 0, 3613, 0, 117, 136, 125);
INSERT INTO public.who_data VALUES (32073, 472, 10225, 4, 66, 136, 131);
INSERT INTO public.who_data VALUES (32074, 4058, 310144, 16, 9578, 136, 46);
INSERT INTO public.who_data VALUES (32075, 0, 46829, 0, 303, 136, 10);
INSERT INTO public.who_data VALUES (32076, 5, 437, 0, 0, 136, 205);
INSERT INTO public.who_data VALUES (32077, 406, 20947, 4, 424, 136, 50);
INSERT INTO public.who_data VALUES (32078, 0, 14, 0, 0, 136, 20);
INSERT INTO public.who_data VALUES (32079, 0, 24, 0, 0, 136, 13);
INSERT INTO public.who_data VALUES (32080, 416, 6319, 2, 77, 136, 148);
INSERT INTO public.who_data VALUES (32081, 50, 2868, 2, 57, 136, 230);
INSERT INTO public.who_data VALUES (32082, 834, 95704, 25, 3335, 136, 190);
INSERT INTO public.who_data VALUES (32083, 0, 257, 0, 13, 136, 188);
INSERT INTO public.who_data VALUES (32084, 0, 10863, 0, 68, 136, 123);
INSERT INTO public.who_data VALUES (32085, 0, 2362, 0, 39, 136, 9);
INSERT INTO public.who_data VALUES (32086, 0, 3188, 2, 92, 136, 102);
INSERT INTO public.who_data VALUES (32087, 19, 8838, 0, 229, 136, 34);
INSERT INTO public.who_data VALUES (32088, 0, 12, 0, 0, 136, 212);
INSERT INTO public.who_data VALUES (32089, 642, 80662, 14, 2447, 136, 122);
INSERT INTO public.who_data VALUES (32090, 932, 34046, 21, 898, 136, 38);
INSERT INTO public.who_data VALUES (32091, 91, 3172, 0, 10, 136, 130);
INSERT INTO public.who_data VALUES (32092, 78524, 6835655, 971, 105526, 136, 37);
INSERT INTO public.who_data VALUES (32093, 4538, 315714, 98, 11472, 136, 231);
INSERT INTO public.who_data VALUES (32094, 4019, 483844, 239, 27658, 136, 107);
INSERT INTO public.who_data VALUES (32095, 3923, 391044, 73, 9604, 136, 101);
INSERT INTO public.who_data VALUES (32096, 609, 39584, 5, 1816, 136, 132);
INSERT INTO public.who_data VALUES (32097, 1, 345, 0, 24, 136, 176);
INSERT INTO public.who_data VALUES (32098, 4724, 278184, 45, 1822, 136, 200);
INSERT INTO public.who_data VALUES (32099, 3677, 333940, 31, 36061, 136, 169);
INSERT INTO public.who_data VALUES (32100, 82, 7191, 3, 126, 136, 225);
INSERT INTO public.who_data VALUES (32101, 477, 87020, 8, 1613, 136, 165);
INSERT INTO public.who_data VALUES (32102, 7, 438, 0, 32, 136, 233);
INSERT INTO public.who_data VALUES (32103, 1199, 20268, 9, 131, 136, 215);
INSERT INTO public.who_data VALUES (32104, 348, 142945, 0, 2106, 136, 177);
INSERT INTO public.who_data VALUES (32105, 321, 39907, 5, 748, 136, 183);
INSERT INTO public.who_data VALUES (32106, 0, 0, 0, 0, 136, 203);
INSERT INTO public.who_data VALUES (32107, 49, 15895, 3, 628, 136, 162);
INSERT INTO public.who_data VALUES (32108, 475, 108743, 7, 639, 136, 12);
INSERT INTO public.who_data VALUES (32109, 245, 48342, 4, 1073, 136, 24);
INSERT INTO public.who_data VALUES (32110, 0, 23, 0, 0, 136, 119);
INSERT INTO public.who_data VALUES (32111, 67, 2261, 1, 40, 136, 39);
INSERT INTO public.who_data VALUES (32112, 1459, 48377, 9, 433, 136, 26);
INSERT INTO public.who_data VALUES (32113, 44, 1683, 1, 39, 136, 59);
INSERT INTO public.who_data VALUES (32114, 0, 1354, 0, 82, 136, 77);
INSERT INTO public.who_data VALUES (32115, 779, 40292, 8, 616, 136, 134);
INSERT INTO public.who_data VALUES (32116, 3, 136, 0, 1, 136, 4);
INSERT INTO public.who_data VALUES (32117, 142, 5619, 1, 86, 136, 109);
INSERT INTO public.who_data VALUES (32118, 140, 9119, 0, 128, 136, 90);
INSERT INTO public.who_data VALUES (32119, 63, 16633, 2, 235, 136, 61);
INSERT INTO public.who_data VALUES (32120, 7, 5803, 0, 180, 136, 85);
INSERT INTO public.who_data VALUES (32121, 489, 13993, 0, 141, 136, 49);
INSERT INTO public.who_data VALUES (32122, 35, 10656, 0, 34, 136, 208);
INSERT INTO public.who_data VALUES (32123, 15, 3210, 0, 131, 136, 166);
INSERT INTO public.who_data VALUES (32124, 68, 3433, 1, 41, 136, 64);
INSERT INTO public.who_data VALUES (32125, 0, 0, 0, 0, 136, 199);
INSERT INTO public.who_data VALUES (32126, 308, 1851, 1, 22, 136, 114);
INSERT INTO public.who_data VALUES (32127, 0, 7523, 0, 161, 136, 60);
INSERT INTO public.who_data VALUES (32128, 0, 395, 0, 10, 136, 68);
INSERT INTO public.who_data VALUES (32129, 0, 3892, 0, 42, 136, 158);
INSERT INTO public.who_data VALUES (32130, 4476, 769558, 446, 79714, 136, 52);
INSERT INTO public.who_data VALUES (32131, 0, 0, 0, 0, 136, 117);
INSERT INTO public.who_data VALUES (32132, 3, 230, 0, 2, 136, 126);
INSERT INTO public.who_data VALUES (32133, 0, 315, 0, 0, 136, 196);
INSERT INTO public.who_data VALUES (32134, 279, 13196, 1, 192, 136, 142);
INSERT INTO public.who_data VALUES (32135, 0, 13, 0, 1, 136, 185);
INSERT INTO public.who_data VALUES (32136, 2776, 140024, 29, 2439, 136, 138);
INSERT INTO public.who_data VALUES (32137, 298, 9494, 2, 68, 136, 181);
INSERT INTO public.who_data VALUES (32138, 1400, 21433, 39, 510, 136, 178);
INSERT INTO public.who_data VALUES (32139, 41, 11714, 1, 126, 136, 168);
INSERT INTO public.who_data VALUES (32140, 0, 0, 0, 0, 136, 160);
INSERT INTO public.who_data VALUES (32141, 3439, 94253, 15, 578, 136, 151);
INSERT INTO public.who_data VALUES (32142, 4975, 149633, 36, 6515, 136, 193);
INSERT INTO public.who_data VALUES (32143, 0, 27, 0, 0, 136, 18);
INSERT INTO public.who_data VALUES (32144, 3, 1508, 0, 25, 136, 40);
INSERT INTO public.who_data VALUES (32145, 0, 4225, 0, 153, 136, 218);
INSERT INTO public.who_data VALUES (32146, 0, 1200, 0, 69, 136, 191);
INSERT INTO public.who_data VALUES (32147, 155, 59738, 0, 1113, 136, 156);
INSERT INTO public.who_data VALUES (32148, 0, 0, 0, 0, 136, 135);
INSERT INTO public.who_data VALUES (32149, 0, 75, 0, 2, 136, 88);
INSERT INTO public.who_data VALUES (32150, 317, 19413, 4, 772, 136, 55);
INSERT INTO public.who_data VALUES (32151, 180, 14784, 0, 275, 136, 108);
INSERT INTO public.who_data VALUES (32152, 510, 53939, 6, 418, 136, 48);
INSERT INTO public.who_data VALUES (32153, 817, 103465, 10, 1000, 136, 3);
INSERT INTO public.who_data VALUES (32154, 0, 741, 0, 13, 136, 224);
INSERT INTO public.who_data VALUES (32155, 583, 316934, 9, 6544, 136, 110);
INSERT INTO public.who_data VALUES (32156, 0, 0, 0, 0, 136, 106);
INSERT INTO public.who_data VALUES (32157, 683, 116602, 10, 2440, 136, 89);
INSERT INTO public.who_data VALUES (32158, 0, 541, 0, 7, 136, 121);
INSERT INTO public.who_data VALUES (32159, 932, 45647, 19, 966, 136, 163);
INSERT INTO public.who_data VALUES (32160, 2930, 832929, 80, 32914, 136, 70);
INSERT INTO public.who_data VALUES (32161, 2804, 329637, 60, 5925, 136, 174);
INSERT INTO public.who_data VALUES (32162, 0, 0, 0, 0, 136, 175);
INSERT INTO public.who_data VALUES (32163, 3003, 107319, 75, 2792, 136, 118);
INSERT INTO public.who_data VALUES (32164, 944, 81256, 8, 2040, 136, 189);
INSERT INTO public.who_data VALUES (32165, 31, 51768, 9, 705, 136, 124);
INSERT INTO public.who_data VALUES (32166, 238, 127181, 2, 218, 136, 192);
INSERT INTO public.who_data VALUES (32167, 69, 24422, 2, 427, 136, 41);
INSERT INTO public.who_data VALUES (32168, 1062, 58794, 17, 1406, 136, 95);
INSERT INTO public.who_data VALUES (32169, 57, 4385, 0, 16, 136, 74);
INSERT INTO public.who_data VALUES (32170, 2958, 142570, 82, 5203, 136, 11);
INSERT INTO public.who_data VALUES (32171, 11493, 1260112, 191, 22056, 136, 87);
INSERT INTO public.who_data VALUES (32172, 10, 4883, 0, 29, 136, 214);
INSERT INTO public.who_data VALUES (32173, 0, 5, 0, 0, 136, 116);
INSERT INTO public.who_data VALUES (32174, 0, 62, 0, 0, 136, 157);
INSERT INTO public.who_data VALUES (32175, 0, 0, 0, 0, 136, 182);
INSERT INTO public.who_data VALUES (32176, 0, 19, 0, 0, 136, 186);
INSERT INTO public.who_data VALUES (32177, 1, 28, 0, 0, 136, 127);
INSERT INTO public.who_data VALUES (32178, 0, 412, 0, 8, 136, 232);
INSERT INTO public.who_data VALUES (32179, 0, 12, 0, 0, 136, 33);
INSERT INTO public.who_data VALUES (32180, 0, 64, 0, 0, 136, 97);
INSERT INTO public.who_data VALUES (32181, 0, 0, 0, 0, 136, 42);
INSERT INTO public.who_data VALUES (32182, 1, 752, 0, 42, 136, 198);
INSERT INTO public.who_data VALUES (32183, 0, 914, 0, 15, 136, 216);
INSERT INTO public.who_data VALUES (32184, 468, 337711, 24, 4947, 136, 164);
INSERT INTO public.who_data VALUES (32185, 0, 15141, 0, 312, 136, 235);
INSERT INTO public.who_data VALUES (32186, 121, 34193, 1, 758, 136, 67);
INSERT INTO public.who_data VALUES (32187, 1, 147, 0, 0, 136, 15);
INSERT INTO public.who_data VALUES (32188, 10, 2287, 0, 72, 136, 180);
INSERT INTO public.who_data VALUES (32189, 10, 57840, 0, 27, 136, 237);
INSERT INTO public.who_data VALUES (32190, 0, 13, 0, 0, 136, 25);
INSERT INTO public.who_data VALUES (32191, 3, 689, 0, 22, 136, 209);
INSERT INTO public.who_data VALUES (32192, 320, 13812, 0, 55, 136, 217);
INSERT INTO public.who_data VALUES (32193, 357, 7123, 0, 166, 136, 79);
INSERT INTO public.who_data VALUES (32194, 0, 1, 0, 0, 136, 143);
INSERT INTO public.who_data VALUES (32195, 0, 3745, 0, 99, 136, 229);
INSERT INTO public.who_data VALUES (32196, 0, 683242, 0, 17103, 136, 141);
INSERT INTO public.who_data VALUES (32197, 1, 2749, 3, 53, 136, 197);
INSERT INTO public.who_data VALUES (32198, 12640, 888036, 133, 34865, 136, 221);
INSERT INTO public.who_data VALUES (32199, 207, 4459, 0, 13, 136, 150);
INSERT INTO public.who_data VALUES (32200, 2, 13670, 0, 836, 136, 56);
INSERT INTO public.who_data VALUES (32201, 11, 4965, 0, 106, 136, 167);
INSERT INTO public.who_data VALUES (32202, 786, 96962, 4, 5893, 136, 23);
INSERT INTO public.who_data VALUES (32203, 1377, 59640, 2, 1836, 136, 222);
INSERT INTO public.who_data VALUES (32204, 47, 4504, 3, 212, 136, 219);
INSERT INTO public.who_data VALUES (32205, 41, 10055, 0, 78, 136, 7);
INSERT INTO public.who_data VALUES (32206, 7, 3622, 0, 59, 136, 161);
INSERT INTO public.who_data VALUES (32207, 14162, 544279, 70, 42515, 136, 149);
INSERT INTO public.who_data VALUES (32208, 0, 28, 0, 0, 136, 6);
INSERT INTO public.who_data VALUES (32209, 17, 1898, 0, 49, 136, 139);
INSERT INTO public.who_data VALUES (32210, 0, 0, 0, 0, 136, 211);
INSERT INTO public.who_data VALUES (32211, 0, 0, 0, 0, 136, 14);
INSERT INTO public.who_data VALUES (32212, 58, 4876, 1, 84, 136, 111);
INSERT INTO public.who_data VALUES (32213, 2357, 28122, 45, 409, 136, 207);
INSERT INTO public.who_data VALUES (32214, 8311, 813698, 56, 8609, 136, 66);
INSERT INTO public.who_data VALUES (32215, 0, 0, 0, 0, 136, 173);
INSERT INTO public.who_data VALUES (32216, 0, 695, 0, 6, 136, 145);
INSERT INTO public.who_data VALUES (32217, 0, 0, 0, 0, 136, 65);
INSERT INTO public.who_data VALUES (32218, 178, 9260, 1, 85, 136, 184);
INSERT INTO public.who_data VALUES (32219, 5397, 244734, 93, 4690, 136, 98);
INSERT INTO public.who_data VALUES (32220, 1046, 101840, 1, 436, 136, 104);
INSERT INTO public.who_data VALUES (32221, 0, 509, 0, 21, 136, 73);
INSERT INTO public.who_data VALUES (32222, 38904, 7419230, 663, 209450, 136, 8);
INSERT INTO public.who_data VALUES (32223, -1, 1321, 0, 20, 136, 227);
INSERT INTO public.who_data VALUES (32224, 22, 2177, 1, 49, 136, 75);
INSERT INTO public.who_data VALUES (32225, 326, 59905, 3, 494, 136, 45);
INSERT INTO public.who_data VALUES (32226, 0, 0, 0, 0, 136, 133);
INSERT INTO public.who_data VALUES (32227, 679, 79796, 7, 665, 136, 202);
INSERT INTO public.who_data VALUES (32228, 1, 1099, 0, 35, 136, 129);
INSERT INTO public.who_data VALUES (32229, 0, 0, 0, 0, 136, 36);
INSERT INTO public.who_data VALUES (32230, 2, 2053, 0, 594, 136, 51);
INSERT INTO public.who_data VALUES (32231, 54, 15224, 0, 335, 136, 206);
INSERT INTO public.who_data VALUES (32232, 4, 7919, 0, 229, 136, 5);
INSERT INTO public.who_data VALUES (32233, 62, 39634, 2, 1473, 137, 103);
INSERT INTO public.who_data VALUES (32234, 158, 14568, 3, 403, 137, 58);
INSERT INTO public.who_data VALUES (32235, 129, 52399, 5, 1773, 137, 195);
INSERT INTO public.who_data VALUES (32236, 0, 0, 0, 0, 137, 115);
INSERT INTO public.who_data VALUES (32237, 0, 2370, 0, 53, 137, 99);
INSERT INTO public.who_data VALUES (32238, 0, 5530, 0, 192, 137, 153);
INSERT INTO public.who_data VALUES (32239, 0, 3, 0, 0, 137, 93);
INSERT INTO public.who_data VALUES (32240, 0, 107, 0, 3, 137, 84);
INSERT INTO public.who_data VALUES (32241, 11242, 809728, 450, 21468, 137, 78);
INSERT INTO public.who_data VALUES (32242, 672, 53068, 5, 990, 137, 170);
INSERT INTO public.who_data VALUES (32243, 15, 4094, 1, 31, 137, 32);
INSERT INTO public.who_data VALUES (32244, 25, 27174, 1, 895, 137, 155);
INSERT INTO public.who_data VALUES (32245, 549, 50435, 22, 840, 137, 82);
INSERT INTO public.who_data VALUES (32246, 143, 40931, 2, 600, 137, 16);
INSERT INTO public.who_data VALUES (32247, 107, 4559, 4, 100, 137, 72);
INSERT INTO public.who_data VALUES (32248, 360, 73476, 1, 262, 137, 43);
INSERT INTO public.who_data VALUES (32249, 1499, 371631, 30, 5405, 137, 120);
INSERT INTO public.who_data VALUES (32250, 1, 200, 0, 7, 137, 213);
INSERT INTO public.who_data VALUES (32251, 394, 81090, 6, 868, 137, 31);
INSERT INTO public.who_data VALUES (32252, 5687, 146512, 18, 10098, 137, 204);
INSERT INTO public.who_data VALUES (32253, 8, 2204, 0, 30, 137, 152);
INSERT INTO public.who_data VALUES (32254, 54, 2411, 0, 41, 137, 144);
INSERT INTO public.who_data VALUES (32255, 0, 181, 0, 9, 137, 96);
INSERT INTO public.who_data VALUES (32256, 1, 300, 0, 0, 137, 47);
INSERT INTO public.who_data VALUES (32257, 239, 137107, 28, 8129, 137, 80);
INSERT INTO public.who_data VALUES (32258, 4, 127, 0, 2, 137, 159);
INSERT INTO public.who_data VALUES (32259, 261, 28707, 15, 896, 137, 27);
INSERT INTO public.who_data VALUES (32260, 0, 3172, 0, 16, 137, 146);
INSERT INTO public.who_data VALUES (32261, 11946, 4927235, 323, 146675, 137, 71);
INSERT INTO public.who_data VALUES (32262, 0, 71, 0, 1, 137, 210);
INSERT INTO public.who_data VALUES (32263, 0, 146, 0, 3, 137, 54);
INSERT INTO public.who_data VALUES (32264, 436, 22306, 8, 862, 137, 147);
INSERT INTO public.who_data VALUES (32265, 0, 2167, 0, 59, 137, 2);
INSERT INTO public.who_data VALUES (32266, 1, 515, 0, 1, 137, 105);
INSERT INTO public.who_data VALUES (32267, 85, 6518, 1, 69, 137, 53);
INSERT INTO public.who_data VALUES (32268, 0, 280, 0, 0, 137, 81);
INSERT INTO public.who_data VALUES (32269, 0, 20924, 0, 420, 137, 223);
INSERT INTO public.who_data VALUES (32270, 2804, 168960, 23, 9504, 137, 94);
INSERT INTO public.who_data VALUES (32271, 0, 213, 0, 1, 137, 154);
INSERT INTO public.who_data VALUES (32272, 3, 4853, 0, 62, 137, 83);
INSERT INTO public.who_data VALUES (32273, 15, 1238, 2, 88, 137, 194);
INSERT INTO public.who_data VALUES (32274, 1560, 473306, 33, 13070, 137, 136);
INSERT INTO public.who_data VALUES (32275, 18, 91188, 0, 4746, 137, 179);
INSERT INTO public.who_data VALUES (32276, 7106, 862158, 132, 26844, 137, 57);
INSERT INTO public.who_data VALUES (32277, 0, 487, 0, 7, 137, 35);
INSERT INTO public.who_data VALUES (32278, 0, 5089, 0, 89, 137, 228);
INSERT INTO public.who_data VALUES (32279, 0, 0, 0, 0, 137, 19);
INSERT INTO public.who_data VALUES (32280, 722, 81129, 16, 987, 137, 22);
INSERT INTO public.who_data VALUES (32281, 0, 19885, 0, 120, 137, 1);
INSERT INTO public.who_data VALUES (32282, 287, 18084, 4, 304, 137, 21);
INSERT INTO public.who_data VALUES (32283, 38, 5883, 0, 123, 137, 234);
INSERT INTO public.who_data VALUES (32284, 10, 462, 0, 1, 137, 91);
INSERT INTO public.who_data VALUES (32285, 29, 1876, 1, 23, 137, 137);
INSERT INTO public.who_data VALUES (32286, 4456, 90022, 36, 794, 137, 201);
INSERT INTO public.who_data VALUES (32287, 0, 0, 0, 0, 137, 171);
INSERT INTO public.who_data VALUES (32288, 11, 10788, 0, 274, 137, 92);
INSERT INTO public.who_data VALUES (32289, 322, 30379, 4, 663, 137, 112);
INSERT INTO public.who_data VALUES (32290, 2, 5423, 0, 61, 137, 62);
INSERT INTO public.who_data VALUES (32291, 0, 31, 0, 0, 137, 69);
INSERT INTO public.who_data VALUES (32292, 317, 115371, 5, 2149, 137, 220);
INSERT INTO public.who_data VALUES (32293, 717, 142056, 21, 11702, 137, 100);
INSERT INTO public.who_data VALUES (32294, 121, 103902, 11, 6001, 137, 187);
INSERT INTO public.who_data VALUES (32295, 95, 29634, 4, 869, 137, 63);
INSERT INTO public.who_data VALUES (32296, 0, 5052, 0, 83, 137, 28);
INSERT INTO public.who_data VALUES (32297, 0, 398, 0, 0, 137, 172);
INSERT INTO public.who_data VALUES (32298, 42, 3659, 0, 67, 137, 17);
INSERT INTO public.who_data VALUES (32299, 19, 5598, 0, 112, 137, 226);
INSERT INTO public.who_data VALUES (32300, 566, 80003, 8, 1238, 137, 236);
INSERT INTO public.who_data VALUES (32301, 0, 13, 0, 0, 137, 76);
INSERT INTO public.who_data VALUES (32302, 0, 475, 0, 0, 137, 30);
INSERT INTO public.who_data VALUES (32303, 0, 32, 0, 2, 137, 128);
INSERT INTO public.who_data VALUES (32304, 227, 10929, 0, 346, 137, 86);
INSERT INTO public.who_data VALUES (32305, 10476, 608541, 65, 32134, 137, 140);
INSERT INTO public.who_data VALUES (32306, 13, 10070, 1, 69, 137, 44);
INSERT INTO public.who_data VALUES (32307, 0, 2290, 0, 9, 137, 113);
INSERT INTO public.who_data VALUES (32308, 0, 8808, 0, 54, 137, 29);
INSERT INTO public.who_data VALUES (32309, 19, 3613, 2, 117, 137, 125);
INSERT INTO public.who_data VALUES (32310, 508, 9753, 4, 62, 137, 131);
INSERT INTO public.who_data VALUES (32311, 2828, 306086, 16, 9562, 137, 46);
INSERT INTO public.who_data VALUES (32312, 0, 46829, 0, 303, 137, 10);
INSERT INTO public.who_data VALUES (32313, 0, 432, 0, 0, 137, 205);
INSERT INTO public.who_data VALUES (32314, 399, 20541, 3, 420, 137, 50);
INSERT INTO public.who_data VALUES (32315, 0, 14, 0, 0, 137, 20);
INSERT INTO public.who_data VALUES (32316, 0, 24, 0, 0, 137, 13);
INSERT INTO public.who_data VALUES (32317, 0, 5903, 0, 75, 137, 148);
INSERT INTO public.who_data VALUES (32318, 65, 2818, 0, 55, 137, 230);
INSERT INTO public.who_data VALUES (32319, 688, 94870, 8, 3310, 137, 190);
INSERT INTO public.who_data VALUES (32320, 0, 257, 0, 13, 137, 188);
INSERT INTO public.who_data VALUES (32321, 63, 10863, 1, 68, 137, 123);
INSERT INTO public.who_data VALUES (32322, 0, 2362, 0, 39, 137, 9);
INSERT INTO public.who_data VALUES (32323, 95, 3188, 3, 90, 137, 102);
INSERT INTO public.who_data VALUES (32324, 0, 8819, 0, 229, 137, 34);
INSERT INTO public.who_data VALUES (32325, 0, 12, 0, 0, 137, 212);
INSERT INTO public.who_data VALUES (32326, 391, 80020, 11, 2433, 137, 122);
INSERT INTO public.who_data VALUES (32327, 816, 33114, 24, 877, 137, 38);
INSERT INTO public.who_data VALUES (32328, 101, 3081, 0, 10, 137, 130);
INSERT INTO public.who_data VALUES (32329, 72049, 6757131, 986, 104555, 137, 37);
INSERT INTO public.who_data VALUES (32330, 4056, 311176, 121, 11374, 137, 231);
INSERT INTO public.who_data VALUES (32331, 4151, 479825, 227, 27419, 137, 107);
INSERT INTO public.who_data VALUES (32332, 4172, 387121, 67, 9531, 137, 101);
INSERT INTO public.who_data VALUES (32333, 424, 38975, 1, 1811, 137, 132);
INSERT INTO public.who_data VALUES (32334, 2, 344, 0, 24, 137, 176);
INSERT INTO public.who_data VALUES (32335, 5721, 273460, 27, 1777, 137, 200);
INSERT INTO public.who_data VALUES (32336, 2677, 330263, 28, 36030, 137, 169);
INSERT INTO public.who_data VALUES (32337, 97, 7109, 3, 123, 137, 225);
INSERT INTO public.who_data VALUES (32338, 496, 86543, 3, 1605, 137, 165);
INSERT INTO public.who_data VALUES (32339, 10, 431, 0, 32, 137, 233);
INSERT INTO public.who_data VALUES (32340, 1537, 19069, 12, 122, 137, 215);
INSERT INTO public.who_data VALUES (32341, 358, 142597, 0, 2106, 137, 177);
INSERT INTO public.who_data VALUES (32342, 137, 39586, 8, 743, 137, 183);
INSERT INTO public.who_data VALUES (32343, 0, 0, 0, 0, 137, 203);
INSERT INTO public.who_data VALUES (32344, 34, 15846, 3, 625, 137, 162);
INSERT INTO public.who_data VALUES (32345, 676, 108268, 4, 632, 137, 12);
INSERT INTO public.who_data VALUES (32346, 298, 48097, 3, 1069, 137, 24);
INSERT INTO public.who_data VALUES (32347, 0, 23, 0, 0, 137, 119);
INSERT INTO public.who_data VALUES (32348, 68, 2194, 0, 39, 137, 39);
INSERT INTO public.who_data VALUES (32349, 1261, 46918, 10, 424, 137, 26);
INSERT INTO public.who_data VALUES (32350, 0, 1639, 0, 38, 137, 59);
INSERT INTO public.who_data VALUES (32351, 0, 1354, 0, 82, 137, 77);
INSERT INTO public.who_data VALUES (32352, 1045, 39513, 6, 608, 137, 134);
INSERT INTO public.who_data VALUES (32353, 1, 133, 0, 1, 137, 4);
INSERT INTO public.who_data VALUES (32354, 116, 5477, 1, 85, 137, 109);
INSERT INTO public.who_data VALUES (32355, 54, 8979, 1, 128, 137, 90);
INSERT INTO public.who_data VALUES (32356, 0, 16570, 0, 233, 137, 61);
INSERT INTO public.who_data VALUES (32357, 2, 5796, 0, 180, 137, 85);
INSERT INTO public.who_data VALUES (32358, 691, 13504, 4, 141, 137, 49);
INSERT INTO public.who_data VALUES (32359, 54, 10621, 0, 34, 137, 208);
INSERT INTO public.who_data VALUES (32360, 6, 3195, 0, 131, 137, 166);
INSERT INTO public.who_data VALUES (32361, 47, 3365, 1, 40, 137, 64);
INSERT INTO public.who_data VALUES (32362, 0, 0, 0, 0, 137, 199);
INSERT INTO public.who_data VALUES (32363, 0, 1543, 0, 21, 137, 114);
INSERT INTO public.who_data VALUES (32364, 0, 7523, 0, 161, 137, 60);
INSERT INTO public.who_data VALUES (32365, 8, 395, 0, 10, 137, 68);
INSERT INTO public.who_data VALUES (32366, 0, 3892, 0, 42, 137, 158);
INSERT INTO public.who_data VALUES (32367, 3417, 765082, 180, 79268, 137, 52);
INSERT INTO public.who_data VALUES (32368, 0, 0, 0, 0, 137, 117);
INSERT INTO public.who_data VALUES (32369, 1, 227, 0, 2, 137, 126);
INSERT INTO public.who_data VALUES (32370, 1, 315, 0, 0, 137, 196);
INSERT INTO public.who_data VALUES (32371, 218, 12917, 2, 191, 137, 142);
INSERT INTO public.who_data VALUES (32372, 0, 13, 0, 1, 137, 185);
INSERT INTO public.who_data VALUES (32373, 2553, 137248, 41, 2410, 137, 138);
INSERT INTO public.who_data VALUES (32374, 0, 9196, 0, 66, 137, 181);
INSERT INTO public.who_data VALUES (32375, 1252, 20033, 27, 471, 137, 178);
INSERT INTO public.who_data VALUES (32376, 19, 11673, 0, 125, 137, 168);
INSERT INTO public.who_data VALUES (32377, 0, 0, 0, 0, 137, 160);
INSERT INTO public.who_data VALUES (32378, 1551, 90814, 9, 563, 137, 151);
INSERT INTO public.who_data VALUES (32379, 4522, 144658, 21, 6479, 137, 193);
INSERT INTO public.who_data VALUES (32380, 0, 27, 0, 0, 137, 18);
INSERT INTO public.who_data VALUES (32381, 3, 1505, 0, 25, 137, 40);
INSERT INTO public.who_data VALUES (32382, 79, 4225, 2, 153, 137, 218);
INSERT INTO public.who_data VALUES (32383, 0, 1200, 0, 69, 137, 191);
INSERT INTO public.who_data VALUES (32384, 118, 59583, 0, 1113, 137, 156);
INSERT INTO public.who_data VALUES (32385, 0, 0, 0, 0, 137, 135);
INSERT INTO public.who_data VALUES (32386, 0, 75, 0, 2, 137, 88);
INSERT INTO public.who_data VALUES (32387, 223, 19096, 8, 768, 137, 55);
INSERT INTO public.who_data VALUES (32388, 147, 14604, 0, 275, 137, 108);
INSERT INTO public.who_data VALUES (32389, 475, 53429, 10, 412, 137, 48);
INSERT INTO public.who_data VALUES (32390, 834, 102648, 5, 990, 137, 3);
INSERT INTO public.who_data VALUES (32391, 0, 741, 0, 13, 137, 224);
INSERT INTO public.who_data VALUES (32392, 624, 316351, 12, 6535, 137, 110);
INSERT INTO public.who_data VALUES (32393, 0, 0, 0, 0, 137, 106);
INSERT INTO public.who_data VALUES (32394, 633, 115919, 7, 2430, 137, 89);
INSERT INTO public.who_data VALUES (32395, 0, 541, 0, 7, 137, 121);
INSERT INTO public.who_data VALUES (32396, 533, 44715, 18, 947, 137, 163);
INSERT INTO public.who_data VALUES (32397, 1830, 829999, 92, 32834, 137, 70);
INSERT INTO public.who_data VALUES (32398, 2071, 326833, 25, 5865, 137, 174);
INSERT INTO public.who_data VALUES (32399, 0, 0, 0, 0, 137, 175);
INSERT INTO public.who_data VALUES (32400, 2236, 104316, 58, 2717, 137, 118);
INSERT INTO public.who_data VALUES (32401, 427, 80312, 14, 2032, 137, 189);
INSERT INTO public.who_data VALUES (32402, 432, 51737, 1, 696, 137, 124);
INSERT INTO public.who_data VALUES (32403, 251, 126943, 0, 216, 137, 192);
INSERT INTO public.who_data VALUES (32404, 114, 24353, 3, 425, 137, 41);
INSERT INTO public.who_data VALUES (32405, 831, 57732, 14, 1389, 137, 95);
INSERT INTO public.who_data VALUES (32406, 0, 4328, 0, 16, 137, 74);
INSERT INTO public.who_data VALUES (32407, 2121, 139612, 73, 5121, 137, 11);
INSERT INTO public.who_data VALUES (32408, 11115, 1248619, 202, 21865, 137, 87);
INSERT INTO public.who_data VALUES (32409, 6, 4873, 0, 29, 137, 214);
INSERT INTO public.who_data VALUES (32410, 0, 5, 0, 0, 137, 116);
INSERT INTO public.who_data VALUES (32411, 0, 62, 0, 0, 137, 157);
INSERT INTO public.who_data VALUES (32412, 0, 0, 0, 0, 137, 182);
INSERT INTO public.who_data VALUES (32413, 0, 19, 0, 0, 137, 186);
INSERT INTO public.who_data VALUES (32414, 0, 27, 0, 0, 137, 127);
INSERT INTO public.who_data VALUES (32415, 0, 412, 0, 8, 137, 232);
INSERT INTO public.who_data VALUES (32416, 0, 12, 0, 0, 137, 33);
INSERT INTO public.who_data VALUES (32417, 0, 64, 0, 0, 137, 97);
INSERT INTO public.who_data VALUES (32418, 0, 0, 0, 0, 137, 42);
INSERT INTO public.who_data VALUES (32419, 0, 751, 0, 42, 137, 198);
INSERT INTO public.who_data VALUES (32420, 1, 914, 0, 15, 137, 216);
INSERT INTO public.who_data VALUES (32421, 477, 337243, 25, 4923, 137, 164);
INSERT INTO public.who_data VALUES (32422, 19, 15141, 0, 312, 137, 235);
INSERT INTO public.who_data VALUES (32423, 120, 34072, 1, 757, 137, 67);
INSERT INTO public.who_data VALUES (32424, 4, 146, 0, 0, 137, 15);
INSERT INTO public.who_data VALUES (32425, 8, 2277, 0, 72, 137, 180);
INSERT INTO public.who_data VALUES (32426, 11, 57830, 0, 27, 137, 237);
INSERT INTO public.who_data VALUES (32427, 0, 13, 0, 0, 137, 25);
INSERT INTO public.who_data VALUES (32428, 7, 686, 0, 22, 137, 209);
INSERT INTO public.who_data VALUES (32429, 353, 13492, 0, 55, 137, 217);
INSERT INTO public.who_data VALUES (32430, 190, 6766, 5, 166, 137, 79);
INSERT INTO public.who_data VALUES (32431, 0, 1, 0, 0, 137, 143);
INSERT INTO public.who_data VALUES (32432, 0, 3745, 0, 99, 137, 229);
INSERT INTO public.who_data VALUES (32433, 1027, 683242, 87, 17103, 137, 141);
INSERT INTO public.who_data VALUES (32434, 14, 2748, 0, 50, 137, 197);
INSERT INTO public.who_data VALUES (32435, 9169, 875396, 131, 34732, 137, 221);
INSERT INTO public.who_data VALUES (32436, 519, 4252, 0, 13, 137, 150);
INSERT INTO public.who_data VALUES (32437, 0, 13668, 0, 836, 137, 56);
INSERT INTO public.who_data VALUES (32438, 13, 4954, 0, 106, 137, 167);
INSERT INTO public.who_data VALUES (32439, 374, 96176, 2, 5889, 137, 23);
INSERT INTO public.who_data VALUES (32440, 1097, 58263, 1, 1834, 137, 222);
INSERT INTO public.who_data VALUES (32441, 46, 4457, 2, 209, 137, 219);
INSERT INTO public.who_data VALUES (32442, 40, 10014, 0, 78, 137, 7);
INSERT INTO public.who_data VALUES (32443, 15, 3615, 0, 59, 137, 161);
INSERT INTO public.who_data VALUES (32444, 14542, 530117, 76, 42445, 137, 149);
INSERT INTO public.who_data VALUES (32445, 0, 28, 0, 0, 137, 6);
INSERT INTO public.who_data VALUES (32446, 17, 1881, 1, 49, 137, 139);
INSERT INTO public.who_data VALUES (32447, 0, 0, 0, 0, 137, 211);
INSERT INTO public.who_data VALUES (32448, 0, 0, 0, 0, 137, 14);
INSERT INTO public.who_data VALUES (32449, 52, 4818, 2, 83, 137, 111);
INSERT INTO public.who_data VALUES (32450, 0, 25765, 0, 364, 137, 207);
INSERT INTO public.who_data VALUES (32451, 8241, 805387, 55, 8553, 137, 66);
INSERT INTO public.who_data VALUES (32452, 0, 0, 0, 0, 137, 173);
INSERT INTO public.who_data VALUES (32453, 0, 695, 0, 6, 137, 145);
INSERT INTO public.who_data VALUES (32454, 0, 0, 0, 0, 137, 65);
INSERT INTO public.who_data VALUES (32455, 117, 9082, 2, 84, 137, 184);
INSERT INTO public.who_data VALUES (32456, 4753, 239337, 77, 4597, 137, 98);
INSERT INTO public.who_data VALUES (32457, 1061, 100794, 6, 435, 137, 104);
INSERT INTO public.who_data VALUES (32458, 0, 509, 0, 21, 137, 73);
INSERT INTO public.who_data VALUES (32459, 38920, 7380326, 354, 208787, 137, 8);
INSERT INTO public.who_data VALUES (32460, -5, 1322, 0, 20, 137, 227);
INSERT INTO public.who_data VALUES (32461, 10, 2155, 0, 48, 137, 75);
INSERT INTO public.who_data VALUES (32462, 382, 59579, 4, 491, 137, 45);
INSERT INTO public.who_data VALUES (32463, 0, 0, 0, 0, 137, 133);
INSERT INTO public.who_data VALUES (32464, 683, 79117, 5, 658, 137, 202);
INSERT INTO public.who_data VALUES (32465, 1, 1098, 0, 35, 137, 129);
INSERT INTO public.who_data VALUES (32466, 0, 0, 0, 0, 137, 36);
INSERT INTO public.who_data VALUES (32467, 6, 2051, 1, 594, 137, 51);
INSERT INTO public.who_data VALUES (32468, 81, 15170, 1, 335, 137, 206);
INSERT INTO public.who_data VALUES (32469, 17, 7915, 1, 229, 137, 5);
INSERT INTO public.who_data VALUES (32470, 64, 39572, 1, 1471, 138, 103);
INSERT INTO public.who_data VALUES (32471, 144, 14410, 4, 400, 138, 58);
INSERT INTO public.who_data VALUES (32472, 134, 52270, 8, 1768, 138, 195);
INSERT INTO public.who_data VALUES (32473, 0, 0, 0, 0, 138, 115);
INSERT INTO public.who_data VALUES (32474, 260, 2370, 0, 53, 138, 99);
INSERT INTO public.who_data VALUES (32475, 160, 5530, 7, 192, 138, 153);
INSERT INTO public.who_data VALUES (32476, 0, 3, 0, 0, 138, 93);
INSERT INTO public.who_data VALUES (32477, 0, 107, 0, 3, 138, 84);
INSERT INTO public.who_data VALUES (32478, 7668, 798486, 223, 21018, 138, 78);
INSERT INTO public.who_data VALUES (32479, 406, 52396, 6, 985, 138, 170);
INSERT INTO public.who_data VALUES (32480, 81, 4079, 3, 30, 138, 32);
INSERT INTO public.who_data VALUES (32481, 13, 27149, 0, 894, 138, 155);
INSERT INTO public.who_data VALUES (32482, 1268, 49886, 5, 818, 138, 82);
INSERT INTO public.who_data VALUES (32483, 97, 40788, 2, 598, 138, 16);
INSERT INTO public.who_data VALUES (32484, 43, 4452, 0, 96, 138, 72);
INSERT INTO public.who_data VALUES (32485, 454, 73116, 1, 261, 138, 43);
INSERT INTO public.who_data VALUES (32486, 1442, 370132, 27, 5375, 138, 120);
INSERT INTO public.who_data VALUES (32487, 3, 199, 0, 7, 138, 213);
INSERT INTO public.who_data VALUES (32488, 401, 80696, 5, 862, 138, 31);
INSERT INTO public.who_data VALUES (32489, 5249, 140825, 14, 10080, 138, 204);
INSERT INTO public.who_data VALUES (32490, 65, 2196, 1, 30, 138, 152);
INSERT INTO public.who_data VALUES (32491, 0, 2357, 0, 41, 138, 144);
INSERT INTO public.who_data VALUES (32492, 0, 181, 0, 9, 138, 96);
INSERT INTO public.who_data VALUES (32493, 1, 299, 0, 0, 138, 47);
INSERT INTO public.who_data VALUES (32494, 299, 136868, 28, 8101, 138, 80);
INSERT INTO public.who_data VALUES (32495, 10, 123, 0, 2, 138, 159);
INSERT INTO public.who_data VALUES (32496, 144, 28446, 9, 881, 138, 27);
INSERT INTO public.who_data VALUES (32497, 0, 3172, 0, 16, 138, 146);
INSERT INTO public.who_data VALUES (32498, 8456, 4915289, 365, 146352, 138, 71);
INSERT INTO public.who_data VALUES (32499, 0, 71, 0, 1, 138, 210);
INSERT INTO public.who_data VALUES (32500, 0, 146, 0, 3, 138, 54);
INSERT INTO public.who_data VALUES (32501, 283, 21870, 10, 854, 138, 147);
INSERT INTO public.who_data VALUES (32502, 13, 2167, 0, 59, 138, 2);
INSERT INTO public.who_data VALUES (32503, 0, 514, 0, 1, 138, 105);
INSERT INTO public.who_data VALUES (32504, 73, 6433, 3, 68, 138, 53);
INSERT INTO public.who_data VALUES (32505, 0, 280, 0, 0, 138, 81);
INSERT INTO public.who_data VALUES (32506, 49, 20924, 2, 420, 138, 223);
INSERT INTO public.who_data VALUES (32507, 1685, 166156, 19, 9481, 138, 94);
INSERT INTO public.who_data VALUES (32508, 0, 213, 0, 1, 138, 154);
INSERT INTO public.who_data VALUES (32509, 5, 4850, 0, 62, 138, 83);
INSERT INTO public.who_data VALUES (32510, 6, 1223, 0, 86, 138, 194);
INSERT INTO public.who_data VALUES (32511, 1567, 471746, 58, 13037, 138, 136);
INSERT INTO public.who_data VALUES (32512, 24, 91170, 0, 4746, 138, 179);
INSERT INTO public.who_data VALUES (32513, 6905, 855052, 156, 26712, 138, 57);
INSERT INTO public.who_data VALUES (32514, 0, 487, 0, 7, 138, 35);
INSERT INTO public.who_data VALUES (32515, 0, 5089, 0, 89, 138, 228);
INSERT INTO public.who_data VALUES (32516, 0, 0, 0, 0, 138, 19);
INSERT INTO public.who_data VALUES (32517, 1225, 80407, 21, 971, 138, 22);
INSERT INTO public.who_data VALUES (32518, 36, 19885, 0, 120, 138, 1);
INSERT INTO public.who_data VALUES (32519, 138, 17797, 2, 300, 138, 21);
INSERT INTO public.who_data VALUES (32520, 36, 5845, 1, 123, 138, 234);
INSERT INTO public.who_data VALUES (32521, 53, 452, 0, 1, 138, 91);
INSERT INTO public.who_data VALUES (32522, 23, 1847, 0, 22, 138, 137);
INSERT INTO public.who_data VALUES (32523, 3120, 85566, 31, 758, 138, 201);
INSERT INTO public.who_data VALUES (32524, 0, 0, 0, 0, 138, 171);
INSERT INTO public.who_data VALUES (32525, 18, 10777, 0, 274, 138, 92);
INSERT INTO public.who_data VALUES (32526, 377, 30057, 1, 659, 138, 112);
INSERT INTO public.who_data VALUES (32527, 2, 5421, 0, 61, 138, 62);
INSERT INTO public.who_data VALUES (32528, 0, 31, 0, 0, 138, 69);
INSERT INTO public.who_data VALUES (32529, 574, 115054, 10, 2144, 138, 220);
INSERT INTO public.who_data VALUES (32530, 305, 141339, 34, 11681, 138, 100);
INSERT INTO public.who_data VALUES (32531, 98, 103781, 9, 5990, 138, 187);
INSERT INTO public.who_data VALUES (32532, 89, 29539, 2, 865, 138, 63);
INSERT INTO public.who_data VALUES (32533, 7, 5052, 0, 83, 138, 28);
INSERT INTO public.who_data VALUES (32534, 0, 398, 0, 0, 138, 172);
INSERT INTO public.who_data VALUES (32535, 10, 3617, 0, 67, 138, 17);
INSERT INTO public.who_data VALUES (32536, 10, 5579, 1, 112, 138, 226);
INSERT INTO public.who_data VALUES (32537, 618, 79437, 8, 1230, 138, 236);
INSERT INTO public.who_data VALUES (32538, 0, 13, 0, 0, 138, 76);
INSERT INTO public.who_data VALUES (32539, 1, 475, 0, 0, 138, 30);
INSERT INTO public.who_data VALUES (32540, 0, 32, 0, 2, 138, 128);
INSERT INTO public.who_data VALUES (32541, 164, 10702, 1, 346, 138, 86);
INSERT INTO public.who_data VALUES (32542, 4813, 598065, 68, 32069, 138, 140);
INSERT INTO public.who_data VALUES (32543, 28, 10057, 1, 68, 138, 44);
INSERT INTO public.who_data VALUES (32544, 264, 2290, 1, 9, 138, 113);
INSERT INTO public.who_data VALUES (32545, 11, 8808, 0, 54, 138, 29);
INSERT INTO public.who_data VALUES (32546, 0, 3594, 0, 115, 138, 125);
INSERT INTO public.who_data VALUES (32547, 549, 9245, 6, 58, 138, 131);
INSERT INTO public.who_data VALUES (32548, 2639, 303258, 12, 9546, 138, 46);
INSERT INTO public.who_data VALUES (32549, 0, 46829, 0, 303, 138, 10);
INSERT INTO public.who_data VALUES (32550, 4, 432, 0, 0, 138, 205);
INSERT INTO public.who_data VALUES (32551, 300, 20142, 8, 417, 138, 50);
INSERT INTO public.who_data VALUES (32552, 0, 14, 0, 0, 138, 20);
INSERT INTO public.who_data VALUES (32553, 0, 24, 0, 0, 138, 13);
INSERT INTO public.who_data VALUES (32554, 0, 5903, 0, 75, 138, 148);
INSERT INTO public.who_data VALUES (32555, 53, 2753, 3, 55, 138, 230);
INSERT INTO public.who_data VALUES (32556, 219, 94182, 9, 3302, 138, 190);
INSERT INTO public.who_data VALUES (32557, 0, 257, 0, 13, 138, 188);
INSERT INTO public.who_data VALUES (32558, 46, 10800, 1, 67, 138, 123);
INSERT INTO public.who_data VALUES (32559, 0, 2362, 0, 39, 138, 9);
INSERT INTO public.who_data VALUES (32560, 88, 3093, 2, 87, 138, 102);
INSERT INTO public.who_data VALUES (32561, 0, 8819, 0, 229, 138, 34);
INSERT INTO public.who_data VALUES (32562, 0, 12, 0, 0, 138, 212);
INSERT INTO public.who_data VALUES (32563, 841, 79629, 23, 2422, 138, 122);
INSERT INTO public.who_data VALUES (32564, 818, 32298, 20, 853, 138, 38);
INSERT INTO public.who_data VALUES (32565, 59, 2980, 0, 10, 138, 130);
INSERT INTO public.who_data VALUES (32566, 61267, 6685082, 884, 103569, 138, 37);
INSERT INTO public.who_data VALUES (32567, 3622, 307120, 102, 11253, 138, 231);
INSERT INTO public.who_data VALUES (32568, 3902, 475674, 235, 27192, 138, 107);
INSERT INTO public.who_data VALUES (32569, 3808, 382949, 65, 9464, 138, 101);
INSERT INTO public.who_data VALUES (32570, 519, 38551, 0, 1810, 138, 132);
INSERT INTO public.who_data VALUES (32571, 0, 342, 0, 24, 138, 176);
INSERT INTO public.who_data VALUES (32572, 2938, 267739, 37, 1750, 138, 200);
INSERT INTO public.who_data VALUES (32573, 2257, 327586, 16, 36002, 138, 169);
INSERT INTO public.who_data VALUES (32574, 117, 7012, 0, 120, 138, 225);
INSERT INTO public.who_data VALUES (32575, 308, 86047, 3, 1602, 138, 165);
INSERT INTO public.who_data VALUES (32576, 0, 421, 0, 32, 138, 233);
INSERT INTO public.who_data VALUES (32577, 1824, 17532, 9, 110, 138, 215);
INSERT INTO public.who_data VALUES (32578, 328, 142239, 0, 2106, 138, 177);
INSERT INTO public.who_data VALUES (32579, 22, 39449, 4, 735, 138, 183);
INSERT INTO public.who_data VALUES (32580, 0, 0, 0, 0, 138, 203);
INSERT INTO public.who_data VALUES (32581, 41, 15812, 2, 622, 138, 162);
INSERT INTO public.who_data VALUES (32582, 567, 107592, 4, 628, 138, 12);
INSERT INTO public.who_data VALUES (32583, 164, 47799, 0, 1066, 138, 24);
INSERT INTO public.who_data VALUES (32584, 0, 23, 0, 0, 138, 119);
INSERT INTO public.who_data VALUES (32585, 40, 2126, 1, 39, 138, 39);
INSERT INTO public.who_data VALUES (32586, 1175, 45657, 8, 414, 138, 26);
INSERT INTO public.who_data VALUES (32587, 0, 1639, 0, 38, 138, 59);
INSERT INTO public.who_data VALUES (32588, 6, 1354, 0, 82, 138, 77);
INSERT INTO public.who_data VALUES (32589, 1031, 38468, 6, 602, 138, 134);
INSERT INTO public.who_data VALUES (32590, 3, 132, 0, 1, 138, 4);
INSERT INTO public.who_data VALUES (32591, 80, 5361, 2, 84, 138, 109);
INSERT INTO public.who_data VALUES (32592, 216, 8925, 2, 127, 138, 90);
INSERT INTO public.who_data VALUES (32593, 12, 16570, 1, 233, 138, 61);
INSERT INTO public.who_data VALUES (32594, 8, 5794, 1, 180, 138, 85);
INSERT INTO public.who_data VALUES (32595, 432, 12813, 0, 137, 138, 49);
INSERT INTO public.who_data VALUES (32596, 37, 10567, 0, 34, 138, 208);
INSERT INTO public.who_data VALUES (32597, 5, 3189, 0, 131, 138, 166);
INSERT INTO public.who_data VALUES (32598, 57, 3318, 0, 39, 138, 64);
INSERT INTO public.who_data VALUES (32599, 0, 0, 0, 0, 138, 199);
INSERT INTO public.who_data VALUES (32600, 0, 1543, 0, 21, 138, 114);
INSERT INTO public.who_data VALUES (32601, 3, 7523, 0, 161, 138, 60);
INSERT INTO public.who_data VALUES (32602, 2, 387, 0, 10, 138, 68);
INSERT INTO public.who_data VALUES (32603, 113, 3892, 0, 42, 138, 158);
INSERT INTO public.who_data VALUES (32604, 3712, 761665, 208, 79088, 138, 52);
INSERT INTO public.who_data VALUES (32605, 0, 0, 0, 0, 138, 117);
INSERT INTO public.who_data VALUES (32606, 1, 226, 0, 2, 138, 126);
INSERT INTO public.who_data VALUES (32607, 1, 314, 0, 0, 138, 196);
INSERT INTO public.who_data VALUES (32608, 192, 12699, 5, 189, 138, 142);
INSERT INTO public.who_data VALUES (32609, 0, 13, 0, 1, 138, 185);
INSERT INTO public.who_data VALUES (32610, 1423, 134695, 39, 2369, 138, 138);
INSERT INTO public.who_data VALUES (32611, 0, 9196, 0, 66, 138, 181);
INSERT INTO public.who_data VALUES (32612, 987, 18781, 32, 444, 138, 178);
INSERT INTO public.who_data VALUES (32613, 28, 11654, 2, 125, 138, 168);
INSERT INTO public.who_data VALUES (32614, 0, 0, 0, 0, 138, 160);
INSERT INTO public.who_data VALUES (32615, 2440, 89263, 19, 554, 138, 151);
INSERT INTO public.who_data VALUES (32616, 4555, 140136, 7, 6458, 138, 193);
INSERT INTO public.who_data VALUES (32617, 0, 27, 0, 0, 138, 18);
INSERT INTO public.who_data VALUES (32618, 3, 1502, 0, 25, 138, 40);
INSERT INTO public.who_data VALUES (32619, 0, 4146, 0, 151, 138, 218);
INSERT INTO public.who_data VALUES (32620, 0, 1200, 0, 69, 138, 191);
INSERT INTO public.who_data VALUES (32621, 120, 59465, 0, 1113, 138, 156);
INSERT INTO public.who_data VALUES (32622, 0, 0, 0, 0, 138, 135);
INSERT INTO public.who_data VALUES (32623, 2, 75, 0, 2, 138, 88);
INSERT INTO public.who_data VALUES (32624, 83, 18873, 4, 760, 138, 55);
INSERT INTO public.who_data VALUES (32625, 308, 14457, 0, 275, 138, 108);
INSERT INTO public.who_data VALUES (32626, 521, 52954, 11, 402, 138, 48);
INSERT INTO public.who_data VALUES (32627, 544, 101814, 8, 985, 138, 3);
INSERT INTO public.who_data VALUES (32628, 0, 741, 0, 13, 138, 224);
INSERT INTO public.who_data VALUES (32629, 467, 315727, 6, 6523, 138, 110);
INSERT INTO public.who_data VALUES (32630, 0, 0, 0, 0, 138, 106);
INSERT INTO public.who_data VALUES (32631, 633, 115286, 9, 2423, 138, 89);
INSERT INTO public.who_data VALUES (32632, 1, 541, 0, 7, 138, 121);
INSERT INTO public.who_data VALUES (32633, 730, 44182, 16, 929, 138, 163);
INSERT INTO public.who_data VALUES (32634, 3184, 828169, 77, 32742, 138, 70);
INSERT INTO public.who_data VALUES (32635, 2265, 324762, 64, 5840, 138, 174);
INSERT INTO public.who_data VALUES (32636, 0, 0, 0, 0, 138, 175);
INSERT INTO public.who_data VALUES (32637, 3940, 102080, 55, 2659, 138, 118);
INSERT INTO public.who_data VALUES (32638, 1638, 79885, 23, 2018, 138, 189);
INSERT INTO public.who_data VALUES (32639, 630, 51305, 9, 695, 138, 124);
INSERT INTO public.who_data VALUES (32640, 194, 126692, 0, 216, 138, 192);
INSERT INTO public.who_data VALUES (32641, 75, 24239, 0, 422, 138, 41);
INSERT INTO public.who_data VALUES (32642, 322, 56901, 9, 1375, 138, 95);
INSERT INTO public.who_data VALUES (32643, 150, 4328, 0, 16, 138, 74);
INSERT INTO public.who_data VALUES (32644, 3426, 137491, 101, 5048, 138, 11);
INSERT INTO public.who_data VALUES (32645, 11615, 1237504, 188, 21663, 138, 87);
INSERT INTO public.who_data VALUES (32646, 1, 4867, 0, 29, 138, 214);
INSERT INTO public.who_data VALUES (32647, 0, 5, 0, 0, 138, 116);
INSERT INTO public.who_data VALUES (32648, 0, 62, 0, 0, 138, 157);
INSERT INTO public.who_data VALUES (32649, 0, 0, 0, 0, 138, 182);
INSERT INTO public.who_data VALUES (32650, 0, 19, 0, 0, 138, 186);
INSERT INTO public.who_data VALUES (32651, 0, 27, 0, 0, 138, 127);
INSERT INTO public.who_data VALUES (32652, 0, 412, 0, 8, 138, 232);
INSERT INTO public.who_data VALUES (32653, 0, 12, 0, 0, 138, 33);
INSERT INTO public.who_data VALUES (32654, 0, 64, 0, 0, 138, 97);
INSERT INTO public.who_data VALUES (32655, 0, 0, 0, 0, 138, 42);
INSERT INTO public.who_data VALUES (32656, 1, 751, 0, 42, 138, 198);
INSERT INTO public.who_data VALUES (32657, 0, 913, 0, 15, 138, 216);
INSERT INTO public.who_data VALUES (32658, 379, 336766, 23, 4898, 138, 164);
INSERT INTO public.who_data VALUES (32659, 28, 15122, 0, 312, 138, 235);
INSERT INTO public.who_data VALUES (32660, 51, 33952, 2, 756, 138, 67);
INSERT INTO public.who_data VALUES (32661, 0, 142, 0, 0, 138, 15);
INSERT INTO public.who_data VALUES (32662, 0, 2269, 0, 72, 138, 180);
INSERT INTO public.who_data VALUES (32663, 7, 57819, 0, 27, 138, 237);
INSERT INTO public.who_data VALUES (32664, 0, 13, 0, 0, 138, 25);
INSERT INTO public.who_data VALUES (32665, 11, 679, 0, 22, 138, 209);
INSERT INTO public.who_data VALUES (32666, 818, 13139, 1, 55, 138, 217);
INSERT INTO public.who_data VALUES (32667, 75, 6576, 2, 161, 138, 79);
INSERT INTO public.who_data VALUES (32668, 0, 1, 0, 0, 138, 143);
INSERT INTO public.who_data VALUES (32669, 0, 3745, 0, 99, 138, 229);
INSERT INTO public.who_data VALUES (32670, 926, 682215, 40, 17016, 138, 141);
INSERT INTO public.who_data VALUES (32671, 8, 2734, 0, 50, 138, 197);
INSERT INTO public.who_data VALUES (32672, 5235, 866227, 90, 34601, 138, 221);
INSERT INTO public.who_data VALUES (32673, 262, 3733, 0, 13, 138, 150);
INSERT INTO public.who_data VALUES (32674, 8, 13668, 0, 836, 138, 56);
INSERT INTO public.who_data VALUES (32675, 17, 4941, 0, 106, 138, 167);
INSERT INTO public.who_data VALUES (32676, 156, 95802, 3, 5887, 138, 23);
INSERT INTO public.who_data VALUES (32677, 1018, 57166, 2, 1833, 138, 222);
INSERT INTO public.who_data VALUES (32678, 45, 4411, 2, 207, 138, 219);
INSERT INTO public.who_data VALUES (32679, 39, 9974, 0, 78, 138, 7);
INSERT INTO public.who_data VALUES (32680, 10, 3600, 0, 59, 138, 161);
INSERT INTO public.who_data VALUES (32681, 12593, 515575, 19, 42369, 138, 149);
INSERT INTO public.who_data VALUES (32682, 0, 28, 0, 0, 138, 6);
INSERT INTO public.who_data VALUES (32683, 10, 1864, 0, 48, 138, 139);
INSERT INTO public.who_data VALUES (32684, 0, 0, 0, 0, 138, 211);
INSERT INTO public.who_data VALUES (32685, 0, 0, 0, 0, 138, 14);
INSERT INTO public.who_data VALUES (32686, 25, 4766, 0, 81, 138, 111);
INSERT INTO public.who_data VALUES (32687, 2312, 25765, 43, 364, 138, 207);
INSERT INTO public.who_data VALUES (32688, 8333, 797146, 57, 8498, 138, 66);
INSERT INTO public.who_data VALUES (32689, 0, 0, 0, 0, 138, 173);
INSERT INTO public.who_data VALUES (32690, 0, 695, 0, 6, 138, 145);
INSERT INTO public.who_data VALUES (32691, 0, 0, 0, 0, 138, 65);
INSERT INTO public.who_data VALUES (32692, 157, 8965, 1, 82, 138, 184);
INSERT INTO public.who_data VALUES (32693, 4348, 234584, 90, 4520, 138, 98);
INSERT INTO public.who_data VALUES (32694, 932, 99733, 3, 429, 138, 104);
INSERT INTO public.who_data VALUES (32695, 0, 509, 0, 21, 138, 73);
INSERT INTO public.who_data VALUES (32696, 36136, 7341406, 369, 208433, 138, 8);
INSERT INTO public.who_data VALUES (32697, 1, 1327, 0, 20, 138, 227);
INSERT INTO public.who_data VALUES (32698, 23, 2145, 0, 48, 138, 75);
INSERT INTO public.who_data VALUES (32699, 338, 59197, 4, 487, 138, 45);
INSERT INTO public.who_data VALUES (32700, 0, 0, 0, 0, 138, 133);
INSERT INTO public.who_data VALUES (32701, 788, 78434, 4, 653, 138, 202);
INSERT INTO public.who_data VALUES (32702, 1, 1097, 0, 35, 138, 129);
INSERT INTO public.who_data VALUES (32703, 0, 0, 0, 0, 138, 36);
INSERT INTO public.who_data VALUES (32704, 0, 2045, 1, 593, 138, 51);
INSERT INTO public.who_data VALUES (32705, 37, 15089, 1, 334, 138, 206);
INSERT INTO public.who_data VALUES (32706, 10, 7898, 0, 228, 138, 5);
INSERT INTO public.who_data VALUES (32707, 81, 39508, 4, 1470, 139, 103);
INSERT INTO public.who_data VALUES (32708, 149, 14266, 4, 396, 139, 58);
INSERT INTO public.who_data VALUES (32709, 141, 52136, 4, 1760, 139, 195);
INSERT INTO public.who_data VALUES (32710, 0, 0, 0, 0, 139, 115);
INSERT INTO public.who_data VALUES (32711, 0, 2110, 0, 53, 139, 99);
INSERT INTO public.who_data VALUES (32712, 0, 5370, -4, 185, 139, 153);
INSERT INTO public.who_data VALUES (32713, 0, 3, 0, 0, 139, 93);
INSERT INTO public.who_data VALUES (32714, 1, 107, 0, 3, 139, 84);
INSERT INTO public.who_data VALUES (32715, 11129, 790818, 196, 20795, 139, 78);
INSERT INTO public.who_data VALUES (32716, 181, 51990, 7, 979, 139, 170);
INSERT INTO public.who_data VALUES (32717, 0, 3998, 0, 27, 139, 32);
INSERT INTO public.who_data VALUES (32718, 15, 27136, 1, 894, 139, 155);
INSERT INTO public.who_data VALUES (32719, 599, 48618, 4, 813, 139, 82);
INSERT INTO public.who_data VALUES (32720, 130, 40691, 1, 596, 139, 16);
INSERT INTO public.who_data VALUES (32721, 77, 4409, 0, 96, 139, 72);
INSERT INTO public.who_data VALUES (32722, 352, 72662, 2, 260, 139, 43);
INSERT INTO public.who_data VALUES (32723, 1125, 368690, 23, 5348, 139, 120);
INSERT INTO public.who_data VALUES (32724, 0, 196, 0, 7, 139, 213);
INSERT INTO public.who_data VALUES (32725, 443, 80295, 6, 857, 139, 31);
INSERT INTO public.who_data VALUES (32726, 1035, 135576, 14, 10066, 139, 204);
INSERT INTO public.who_data VALUES (32727, 51, 2131, 1, 29, 139, 152);
INSERT INTO public.who_data VALUES (32728, 0, 2357, 0, 41, 139, 144);
INSERT INTO public.who_data VALUES (32729, 0, 181, 0, 9, 139, 96);
INSERT INTO public.who_data VALUES (32730, 15, 298, 0, 0, 139, 47);
INSERT INTO public.who_data VALUES (32731, 350, 136569, 28, 8073, 139, 80);
INSERT INTO public.who_data VALUES (32732, 10, 113, 1, 2, 139, 159);
INSERT INTO public.who_data VALUES (32733, 68, 28302, 2, 872, 139, 27);
INSERT INTO public.who_data VALUES (32734, 0, 3172, 0, 16, 139, 146);
INSERT INTO public.who_data VALUES (32735, 26310, 4906833, 599, 145987, 139, 71);
INSERT INTO public.who_data VALUES (32736, 0, 71, 0, 1, 139, 210);
INSERT INTO public.who_data VALUES (32737, 0, 146, 0, 3, 139, 54);
INSERT INTO public.who_data VALUES (32738, 69, 21587, 3, 844, 139, 147);
INSERT INTO public.who_data VALUES (32739, 66, 2154, 1, 59, 139, 2);
INSERT INTO public.who_data VALUES (32740, 1, 514, 0, 1, 139, 105);
INSERT INTO public.who_data VALUES (32741, 64, 6360, 3, 65, 139, 53);
INSERT INTO public.who_data VALUES (32742, 2, 280, 0, 0, 139, 81);
INSERT INTO public.who_data VALUES (32743, 37, 20875, 0, 418, 139, 223);
INSERT INTO public.who_data VALUES (32744, 1812, 164471, 53, 9462, 139, 94);
INSERT INTO public.who_data VALUES (32745, 0, 213, 0, 1, 139, 154);
INSERT INTO public.who_data VALUES (32746, 0, 4845, 0, 62, 139, 83);
INSERT INTO public.who_data VALUES (32747, 6, 1217, 1, 86, 139, 194);
INSERT INTO public.who_data VALUES (32748, 1708, 470179, 60, 12979, 139, 136);
INSERT INTO public.who_data VALUES (32749, 25, 91146, 0, 4746, 139, 179);
INSERT INTO public.who_data VALUES (32750, 6616, 848147, 159, 26556, 139, 57);
INSERT INTO public.who_data VALUES (32751, 3, 487, 0, 7, 139, 35);
INSERT INTO public.who_data VALUES (32752, 0, 5089, 0, 89, 139, 228);
INSERT INTO public.who_data VALUES (32753, 0, 0, 0, 0, 139, 19);
INSERT INTO public.who_data VALUES (32754, 1353, 79182, 20, 950, 139, 22);
INSERT INTO public.who_data VALUES (32755, 56, 19849, 0, 120, 139, 1);
INSERT INTO public.who_data VALUES (32756, 258, 17659, 5, 298, 139, 21);
INSERT INTO public.who_data VALUES (32757, 29, 5809, 0, 122, 139, 234);
INSERT INTO public.who_data VALUES (32758, 0, 399, 0, 1, 139, 91);
INSERT INTO public.who_data VALUES (32759, 13, 1824, 0, 22, 139, 137);
INSERT INTO public.who_data VALUES (32760, 1841, 82446, 16, 727, 139, 201);
INSERT INTO public.who_data VALUES (32761, 0, 0, 0, 0, 139, 171);
INSERT INTO public.who_data VALUES (32762, 8, 10759, 0, 274, 139, 92);
INSERT INTO public.who_data VALUES (32763, 378, 29680, 4, 658, 139, 112);
INSERT INTO public.who_data VALUES (32764, 1, 5419, 0, 61, 139, 62);
INSERT INTO public.who_data VALUES (32765, 0, 31, 0, 0, 139, 69);
INSERT INTO public.who_data VALUES (32766, 554, 114480, 6, 2134, 139, 220);
INSERT INTO public.who_data VALUES (32767, 683, 141034, 50, 11647, 139, 100);
INSERT INTO public.who_data VALUES (32768, 108, 103683, 11, 5981, 139, 187);
INSERT INTO public.who_data VALUES (32769, 92, 29450, 6, 863, 139, 63);
INSERT INTO public.who_data VALUES (32770, 0, 5045, 0, 83, 139, 28);
INSERT INTO public.who_data VALUES (32771, 0, 398, 0, 0, 139, 172);
INSERT INTO public.who_data VALUES (32772, 30, 3607, 0, 67, 139, 17);
INSERT INTO public.who_data VALUES (32773, 39, 5569, 0, 111, 139, 226);
INSERT INTO public.who_data VALUES (32774, 959, 78819, 8, 1222, 139, 236);
INSERT INTO public.who_data VALUES (32775, 0, 13, 0, 0, 139, 76);
INSERT INTO public.who_data VALUES (32776, 1, 474, 0, 0, 139, 30);
INSERT INTO public.who_data VALUES (32777, 0, 32, 0, 2, 139, 128);
INSERT INTO public.who_data VALUES (32778, 294, 10538, 0, 345, 139, 86);
INSERT INTO public.who_data VALUES (32779, 12545, 593252, 32, 32001, 139, 140);
INSERT INTO public.who_data VALUES (32780, 0, 10029, 0, 67, 139, 44);
INSERT INTO public.who_data VALUES (32781, 0, 2026, 0, 8, 139, 113);
INSERT INTO public.who_data VALUES (32782, 0, 8797, 0, 54, 139, 29);
INSERT INTO public.who_data VALUES (32783, 4, 3594, 0, 115, 139, 125);
INSERT INTO public.who_data VALUES (32784, 578, 8696, 2, 52, 139, 131);
INSERT INTO public.who_data VALUES (32785, 1382, 300619, 5, 9534, 139, 46);
INSERT INTO public.who_data VALUES (32786, 61, 46829, 2, 303, 139, 10);
INSERT INTO public.who_data VALUES (32787, 12, 428, 0, 0, 139, 205);
INSERT INTO public.who_data VALUES (32788, 229, 19842, 4, 409, 139, 50);
INSERT INTO public.who_data VALUES (32789, 0, 14, 0, 0, 139, 20);
INSERT INTO public.who_data VALUES (32790, 0, 24, 0, 0, 139, 13);
INSERT INTO public.who_data VALUES (32791, 0, 5903, 0, 75, 139, 148);
INSERT INTO public.who_data VALUES (32792, 1, 2700, 1, 52, 139, 230);
INSERT INTO public.who_data VALUES (32793, 215, 93963, 8, 3293, 139, 190);
INSERT INTO public.who_data VALUES (32794, 1, 257, 0, 13, 139, 188);
INSERT INTO public.who_data VALUES (32795, 19, 10754, 0, 66, 139, 123);
INSERT INTO public.who_data VALUES (32796, 0, 2362, 0, 39, 139, 9);
INSERT INTO public.who_data VALUES (32797, 37, 3005, 0, 85, 139, 102);
INSERT INTO public.who_data VALUES (32798, 27, 8819, 0, 229, 139, 34);
INSERT INTO public.who_data VALUES (32799, 0, 12, 0, 0, 139, 212);
INSERT INTO public.who_data VALUES (32800, 519, 78788, 13, 2399, 139, 122);
INSERT INTO public.who_data VALUES (32801, 905, 31480, 11, 833, 139, 38);
INSERT INTO public.who_data VALUES (32802, 49, 2921, 0, 10, 139, 130);
INSERT INTO public.who_data VALUES (32803, 74442, 6623815, 903, 102685, 139, 37);
INSERT INTO public.who_data VALUES (32804, 3992, 303498, 96, 11151, 139, 231);
INSERT INTO public.who_data VALUES (32805, 3653, 471772, 211, 26957, 139, 107);
INSERT INTO public.who_data VALUES (32806, 3210, 379141, 52, 9399, 139, 101);
INSERT INTO public.who_data VALUES (32807, 364, 38032, 0, 1810, 139, 132);
INSERT INTO public.who_data VALUES (32808, 1, 342, 0, 24, 139, 176);
INSERT INTO public.who_data VALUES (32809, 2595, 264801, 37, 1713, 139, 200);
INSERT INTO public.who_data VALUES (32810, 2578, 325329, 18, 35986, 139, 169);
INSERT INTO public.who_data VALUES (32811, 100, 6895, 1, 120, 139, 225);
INSERT INTO public.who_data VALUES (32812, 400, 85739, 2, 1599, 139, 165);
INSERT INTO public.who_data VALUES (32813, 0, 421, 0, 32, 139, 233);
INSERT INTO public.who_data VALUES (32814, 891, 15708, 13, 101, 139, 215);
INSERT INTO public.who_data VALUES (32815, 67, 141911, 0, 2106, 139, 177);
INSERT INTO public.who_data VALUES (32816, 504, 39427, 6, 731, 139, 183);
INSERT INTO public.who_data VALUES (32817, 0, 0, 0, 0, 139, 203);
INSERT INTO public.who_data VALUES (32818, 56, 15771, 0, 620, 139, 162);
INSERT INTO public.who_data VALUES (32819, 567, 107025, 4, 624, 139, 12);
INSERT INTO public.who_data VALUES (32820, 207, 47635, 0, 1066, 139, 24);
INSERT INTO public.who_data VALUES (32821, 0, 23, 0, 0, 139, 119);
INSERT INTO public.who_data VALUES (32822, 67, 2086, 0, 38, 139, 39);
INSERT INTO public.who_data VALUES (32823, 1002, 44482, 8, 406, 139, 26);
INSERT INTO public.who_data VALUES (32824, 0, 1639, 0, 38, 139, 59);
INSERT INTO public.who_data VALUES (32825, 1, 1348, 0, 82, 139, 77);
INSERT INTO public.who_data VALUES (32826, 628, 37437, 4, 596, 139, 134);
INSERT INTO public.who_data VALUES (32827, 1, 129, 0, 1, 139, 4);
INSERT INTO public.who_data VALUES (32828, 100, 5281, 1, 82, 139, 109);
INSERT INTO public.who_data VALUES (32829, 0, 8709, 0, 125, 139, 90);
INSERT INTO public.who_data VALUES (32830, 29, 16558, 0, 232, 139, 61);
INSERT INTO public.who_data VALUES (32831, 3, 5786, 0, 179, 139, 85);
INSERT INTO public.who_data VALUES (32832, 293, 12381, 0, 137, 139, 49);
INSERT INTO public.who_data VALUES (32833, 65, 10530, 0, 34, 139, 208);
INSERT INTO public.who_data VALUES (32834, 14, 3184, 0, 131, 139, 166);
INSERT INTO public.who_data VALUES (32835, 66, 3261, 1, 39, 139, 64);
INSERT INTO public.who_data VALUES (32836, 0, 0, 0, 0, 139, 199);
INSERT INTO public.who_data VALUES (32837, 0, 1543, 0, 21, 139, 114);
INSERT INTO public.who_data VALUES (32838, 9, 7520, 0, 161, 139, 60);
INSERT INTO public.who_data VALUES (32839, 4, 385, 0, 10, 139, 68);
INSERT INTO public.who_data VALUES (32840, 0, 3779, 0, 42, 139, 158);
INSERT INTO public.who_data VALUES (32841, 4863, 757953, 388, 78880, 139, 52);
INSERT INTO public.who_data VALUES (32842, 0, 0, 0, 0, 139, 117);
INSERT INTO public.who_data VALUES (32843, 0, 225, 0, 2, 139, 126);
INSERT INTO public.who_data VALUES (32844, 0, 313, 0, 0, 139, 196);
INSERT INTO public.who_data VALUES (32845, 259, 12507, 4, 184, 139, 142);
INSERT INTO public.who_data VALUES (32846, 0, 13, 0, 1, 139, 185);
INSERT INTO public.who_data VALUES (32847, 2044, 133272, 37, 2330, 139, 138);
INSERT INTO public.who_data VALUES (32848, 147, 9196, 2, 66, 139, 181);
INSERT INTO public.who_data VALUES (32849, 1291, 17794, 41, 412, 139, 178);
INSERT INTO public.who_data VALUES (32850, 54, 11626, 0, 123, 139, 168);
INSERT INTO public.who_data VALUES (32851, 0, 0, 0, 0, 139, 160);
INSERT INTO public.who_data VALUES (32852, 2253, 86823, 7, 535, 139, 151);
INSERT INTO public.who_data VALUES (32853, 3985, 135581, 4, 6451, 139, 193);
INSERT INTO public.who_data VALUES (32854, 0, 27, 0, 0, 139, 18);
INSERT INTO public.who_data VALUES (32855, 1, 1499, 0, 25, 139, 40);
INSERT INTO public.who_data VALUES (32856, 0, 4146, 0, 151, 139, 218);
INSERT INTO public.who_data VALUES (32857, 0, 1200, 0, 69, 139, 191);
INSERT INTO public.who_data VALUES (32858, 58, 59345, 0, 1113, 139, 156);
INSERT INTO public.who_data VALUES (32859, 0, 0, 0, 0, 139, 135);
INSERT INTO public.who_data VALUES (32860, 0, 73, 0, 2, 139, 88);
INSERT INTO public.who_data VALUES (32861, 188, 18790, 3, 756, 139, 55);
INSERT INTO public.who_data VALUES (32862, 0, 14149, 0, 275, 139, 108);
INSERT INTO public.who_data VALUES (32863, 420, 52433, 1, 391, 139, 48);
INSERT INTO public.who_data VALUES (32864, 2685, 101270, 42, 977, 139, 3);
INSERT INTO public.who_data VALUES (32865, 0, 741, 0, 13, 139, 224);
INSERT INTO public.who_data VALUES (32866, 644, 315260, 4, 6517, 139, 110);
INSERT INTO public.who_data VALUES (32867, 0, 0, 0, 0, 139, 106);
INSERT INTO public.who_data VALUES (32868, 691, 114653, 8, 2414, 139, 89);
INSERT INTO public.who_data VALUES (32869, 0, 540, 0, 7, 139, 121);
INSERT INTO public.who_data VALUES (32870, 768, 43452, 23, 913, 139, 163);
INSERT INTO public.who_data VALUES (32871, 3421, 824985, 56, 32665, 139, 70);
INSERT INTO public.who_data VALUES (32872, 3167, 322497, 98, 5776, 139, 174);
INSERT INTO public.who_data VALUES (32873, 0, 0, 0, 0, 139, 175);
INSERT INTO public.who_data VALUES (32874, 0, 98140, 0, 2604, 139, 118);
INSERT INTO public.who_data VALUES (32875, 0, 78247, 0, 1995, 139, 189);
INSERT INTO public.who_data VALUES (32876, 300, 50675, 5, 686, 139, 124);
INSERT INTO public.who_data VALUES (32877, 159, 126498, 0, 216, 139, 192);
INSERT INTO public.who_data VALUES (32878, 73, 24164, 1, 422, 139, 41);
INSERT INTO public.who_data VALUES (32879, 691, 56579, 13, 1366, 139, 95);
INSERT INTO public.who_data VALUES (32880, 0, 4178, 0, 16, 139, 74);
INSERT INTO public.who_data VALUES (32881, 0, 134065, 0, 4947, 139, 11);
INSERT INTO public.who_data VALUES (32882, 10888, 1225889, 117, 21475, 139, 87);
INSERT INTO public.who_data VALUES (32883, 14, 4866, 0, 29, 139, 214);
INSERT INTO public.who_data VALUES (32884, 0, 5, 0, 0, 139, 116);
INSERT INTO public.who_data VALUES (32885, 0, 62, 0, 0, 139, 157);
INSERT INTO public.who_data VALUES (32886, 0, 0, 0, 0, 139, 182);
INSERT INTO public.who_data VALUES (32887, 0, 19, 0, 0, 139, 186);
INSERT INTO public.who_data VALUES (32888, 0, 27, 0, 0, 139, 127);
INSERT INTO public.who_data VALUES (32889, 0, 412, 0, 8, 139, 232);
INSERT INTO public.who_data VALUES (32890, 0, 12, 0, 0, 139, 33);
INSERT INTO public.who_data VALUES (32891, 0, 64, 0, 0, 139, 97);
INSERT INTO public.who_data VALUES (32892, 0, 0, 0, 0, 139, 42);
INSERT INTO public.who_data VALUES (32893, 0, 750, 0, 42, 139, 198);
INSERT INTO public.who_data VALUES (32894, 0, 913, 0, 15, 139, 216);
INSERT INTO public.who_data VALUES (32895, 390, 336387, 25, 4875, 139, 164);
INSERT INTO public.who_data VALUES (32896, 43, 15094, 0, 312, 139, 235);
INSERT INTO public.who_data VALUES (32897, 59, 33901, 1, 754, 139, 67);
INSERT INTO public.who_data VALUES (32898, 0, 142, 0, 0, 139, 15);
INSERT INTO public.who_data VALUES (32899, 10, 2269, 0, 72, 139, 180);
INSERT INTO public.who_data VALUES (32900, 12, 57812, 0, 27, 139, 237);
INSERT INTO public.who_data VALUES (32901, 0, 13, 0, 0, 139, 25);
INSERT INTO public.who_data VALUES (32902, 0, 668, 0, 22, 139, 209);
INSERT INTO public.who_data VALUES (32903, 704, 12321, 0, 54, 139, 217);
INSERT INTO public.who_data VALUES (32904, 168, 6501, 0, 159, 139, 79);
INSERT INTO public.who_data VALUES (32905, 0, 1, 0, 0, 139, 143);
INSERT INTO public.who_data VALUES (32906, 152, 3745, 0, 99, 139, 229);
INSERT INTO public.who_data VALUES (32907, 1573, 681289, 38, 16976, 139, 141);
INSERT INTO public.who_data VALUES (32908, 0, 2726, 0, 50, 139, 197);
INSERT INTO public.who_data VALUES (32909, 7087, 860992, 103, 34511, 139, 221);
INSERT INTO public.who_data VALUES (32910, 76, 3471, 0, 13, 139, 150);
INSERT INTO public.who_data VALUES (32911, 0, 13660, 0, 836, 139, 56);
INSERT INTO public.who_data VALUES (32912, 25, 4924, 1, 106, 139, 167);
INSERT INTO public.who_data VALUES (32913, 461, 95646, 3, 5884, 139, 23);
INSERT INTO public.who_data VALUES (32914, 316, 56148, 1, 1831, 139, 222);
INSERT INTO public.who_data VALUES (32915, 37, 4366, 1, 205, 139, 219);
INSERT INTO public.who_data VALUES (32916, 40, 9935, 1, 78, 139, 7);
INSERT INTO public.who_data VALUES (32917, 5, 3590, 0, 59, 139, 161);
INSERT INTO public.who_data VALUES (32918, 22961, 502982, 33, 42350, 139, 149);
INSERT INTO public.who_data VALUES (32919, 0, 28, 0, 0, 139, 6);
INSERT INTO public.who_data VALUES (32920, 14, 1854, 0, 48, 139, 139);
INSERT INTO public.who_data VALUES (32921, 0, 0, 0, 0, 139, 211);
INSERT INTO public.who_data VALUES (32922, 0, 0, 0, 0, 139, 14);
INSERT INTO public.who_data VALUES (32923, 32, 4741, 3, 81, 139, 111);
INSERT INTO public.who_data VALUES (32924, 0, 23453, 0, 321, 139, 207);
INSERT INTO public.who_data VALUES (32925, 8159, 788813, 57, 8441, 139, 66);
INSERT INTO public.who_data VALUES (32926, 0, 0, 0, 0, 139, 173);
INSERT INTO public.who_data VALUES (32927, 0, 695, 0, 6, 139, 145);
INSERT INTO public.who_data VALUES (32928, 0, 0, 0, 0, 139, 65);
INSERT INTO public.who_data VALUES (32929, 317, 8808, 2, 81, 139, 184);
INSERT INTO public.who_data VALUES (32930, 3774, 230236, 33, 4430, 139, 98);
INSERT INTO public.who_data VALUES (32931, 1041, 98801, 0, 426, 139, 104);
INSERT INTO public.who_data VALUES (32932, 0, 509, 0, 21, 139, 73);
INSERT INTO public.who_data VALUES (32933, 49036, 7305270, 698, 208064, 139, 8);
INSERT INTO public.who_data VALUES (32934, 0, 1326, 0, 20, 139, 227);
INSERT INTO public.who_data VALUES (32935, 25, 2122, 0, 48, 139, 75);
INSERT INTO public.who_data VALUES (32936, 438, 58859, 4, 483, 139, 45);
INSERT INTO public.who_data VALUES (32937, 0, 0, 0, 0, 139, 133);
INSERT INTO public.who_data VALUES (32938, 826, 77646, 6, 649, 139, 202);
INSERT INTO public.who_data VALUES (32939, 0, 1096, 0, 35, 139, 129);
INSERT INTO public.who_data VALUES (32940, 0, 0, 0, 0, 139, 36);
INSERT INTO public.who_data VALUES (32941, 0, 2045, 2, 592, 139, 51);
INSERT INTO public.who_data VALUES (32942, 222, 15052, 0, 333, 139, 206);
INSERT INTO public.who_data VALUES (32943, 30, 7888, 0, 228, 139, 5);
INSERT INTO public.who_data VALUES (32944, 44, 39427, 0, 1466, 140, 103);
INSERT INTO public.who_data VALUES (32945, 152, 14117, 3, 392, 140, 58);
INSERT INTO public.who_data VALUES (32946, 148, 51995, 7, 1756, 140, 195);
INSERT INTO public.who_data VALUES (32947, 0, 0, 0, 0, 140, 115);
INSERT INTO public.who_data VALUES (32948, 0, 2110, 0, 53, 140, 99);
INSERT INTO public.who_data VALUES (32949, 159, 5370, 0, 189, 140, 153);
INSERT INTO public.who_data VALUES (32950, 0, 3, 0, 0, 140, 93);
INSERT INTO public.who_data VALUES (32951, 0, 106, 0, 3, 140, 84);
INSERT INTO public.who_data VALUES (32952, 14687, 779689, 311, 20599, 140, 78);
INSERT INTO public.who_data VALUES (32953, 571, 51809, 5, 972, 140, 170);
INSERT INTO public.who_data VALUES (32954, 0, 3998, 0, 27, 140, 32);
INSERT INTO public.who_data VALUES (32955, 8, 27121, 3, 893, 140, 155);
INSERT INTO public.who_data VALUES (32956, 830, 48019, 6, 809, 140, 82);
INSERT INTO public.who_data VALUES (32957, 108, 40561, 1, 595, 140, 16);
INSERT INTO public.who_data VALUES (32958, 112, 4332, 0, 96, 140, 72);
INSERT INTO public.who_data VALUES (32959, 507, 72310, 3, 258, 140, 43);
INSERT INTO public.who_data VALUES (32960, 1182, 367565, 20, 5325, 140, 120);
INSERT INTO public.who_data VALUES (32961, 3, 196, 0, 7, 140, 213);
INSERT INTO public.who_data VALUES (32962, 431, 79852, 7, 851, 140, 31);
INSERT INTO public.who_data VALUES (32963, 1709, 134541, 15, 10052, 140, 204);
INSERT INTO public.who_data VALUES (32964, 54, 2080, 1, 28, 140, 152);
INSERT INTO public.who_data VALUES (32965, 0, 2357, 0, 41, 140, 144);
INSERT INTO public.who_data VALUES (32966, 0, 181, 0, 9, 140, 96);
INSERT INTO public.who_data VALUES (32967, 0, 283, 0, 0, 140, 47);
INSERT INTO public.who_data VALUES (32968, 503, 136219, 44, 8045, 140, 80);
INSERT INTO public.who_data VALUES (32969, 0, 103, 0, 1, 140, 159);
INSERT INTO public.who_data VALUES (32970, 263, 28234, 6, 870, 140, 27);
INSERT INTO public.who_data VALUES (32971, 0, 3172, 0, 16, 140, 146);
INSERT INTO public.who_data VALUES (32972, 33431, 4880523, 708, 145388, 140, 71);
INSERT INTO public.who_data VALUES (32973, 0, 71, 0, 1, 140, 210);
INSERT INTO public.who_data VALUES (32974, 0, 146, 0, 3, 140, 54);
INSERT INTO public.who_data VALUES (32975, 182, 21518, 3, 841, 140, 147);
INSERT INTO public.who_data VALUES (32976, 0, 2088, 0, 58, 140, 2);
INSERT INTO public.who_data VALUES (32977, 0, 513, 0, 1, 140, 105);
INSERT INTO public.who_data VALUES (32978, 91, 6296, 0, 62, 140, 53);
INSERT INTO public.who_data VALUES (32979, 0, 278, 0, 0, 140, 81);
INSERT INTO public.who_data VALUES (32980, 0, 20838, 0, 418, 140, 223);
INSERT INTO public.who_data VALUES (32981, 2124, 162659, 90, 9409, 140, 94);
INSERT INTO public.who_data VALUES (32982, 2, 213, 0, 1, 140, 154);
INSERT INTO public.who_data VALUES (32983, 0, 4845, 0, 62, 140, 83);
INSERT INTO public.who_data VALUES (32984, 0, 1211, 0, 85, 140, 194);
INSERT INTO public.who_data VALUES (32985, 1881, 468471, 52, 12919, 140, 136);
INSERT INTO public.who_data VALUES (32986, 20, 91121, 0, 4746, 140, 179);
INSERT INTO public.who_data VALUES (32987, 6192, 841531, 201, 26397, 140, 57);
INSERT INTO public.who_data VALUES (32988, 5, 484, 0, 7, 140, 35);
INSERT INTO public.who_data VALUES (32989, 0, 5089, 0, 89, 140, 228);
INSERT INTO public.who_data VALUES (32990, 0, 0, 0, 0, 140, 19);
INSERT INTO public.who_data VALUES (32991, 1001, 77829, 13, 930, 140, 22);
INSERT INTO public.who_data VALUES (32992, 0, 19793, 0, 120, 140, 1);
INSERT INTO public.who_data VALUES (32993, 241, 17401, 2, 293, 140, 21);
INSERT INTO public.who_data VALUES (32994, 62, 5780, 0, 122, 140, 234);
INSERT INTO public.who_data VALUES (32995, 0, 399, 0, 1, 140, 91);
INSERT INTO public.who_data VALUES (32996, 22, 1811, 0, 22, 140, 137);
INSERT INTO public.who_data VALUES (32997, 2554, 80605, 12, 711, 140, 201);
INSERT INTO public.who_data VALUES (32998, 0, 0, 0, 0, 140, 171);
INSERT INTO public.who_data VALUES (32999, 23, 10751, 2, 274, 140, 92);
INSERT INTO public.who_data VALUES (33000, 370, 29302, 2, 654, 140, 112);
INSERT INTO public.who_data VALUES (33001, 1, 5418, 0, 61, 140, 62);
INSERT INTO public.who_data VALUES (33002, 0, 31, 0, 0, 140, 69);
INSERT INTO public.who_data VALUES (33003, 576, 113926, 11, 2128, 140, 220);
INSERT INTO public.who_data VALUES (33004, 817, 140351, 102, 11597, 140, 100);
INSERT INTO public.who_data VALUES (33005, 109, 103575, 14, 5970, 140, 187);
INSERT INTO public.who_data VALUES (33006, 183, 29358, 4, 857, 140, 63);
INSERT INTO public.who_data VALUES (33007, 0, 5045, 0, 83, 140, 28);
INSERT INTO public.who_data VALUES (33008, 17, 398, 0, 0, 140, 172);
INSERT INTO public.who_data VALUES (33009, 70, 3577, 1, 67, 140, 17);
INSERT INTO public.who_data VALUES (33010, 9, 5530, 0, 111, 140, 226);
INSERT INTO public.who_data VALUES (33011, 872, 77860, 7, 1214, 140, 236);
INSERT INTO public.who_data VALUES (33012, 0, 13, 0, 0, 140, 76);
INSERT INTO public.who_data VALUES (33013, 1, 473, 0, 0, 140, 30);
INSERT INTO public.who_data VALUES (33014, 0, 32, 0, 2, 140, 128);
INSERT INTO public.who_data VALUES (33015, 40, 10244, 0, 345, 140, 86);
INSERT INTO public.who_data VALUES (33016, 16911, 580707, 43, 31969, 140, 140);
INSERT INTO public.who_data VALUES (33017, 61, 10029, 0, 67, 140, 44);
INSERT INTO public.who_data VALUES (33018, 0, 2026, 0, 8, 140, 113);
INSERT INTO public.who_data VALUES (33019, 0, 8797, 0, 54, 140, 29);
INSERT INTO public.who_data VALUES (33020, 0, 3590, 0, 115, 140, 125);
INSERT INTO public.who_data VALUES (33021, 554, 8118, 2, 50, 140, 131);
INSERT INTO public.who_data VALUES (33022, 2279, 299237, 2, 9529, 140, 46);
INSERT INTO public.who_data VALUES (33023, 112, 46768, 0, 301, 140, 10);
INSERT INTO public.who_data VALUES (33024, 6, 416, 0, 0, 140, 205);
INSERT INTO public.who_data VALUES (33025, 267, 19613, 7, 405, 140, 50);
INSERT INTO public.who_data VALUES (33026, 0, 14, 0, 0, 140, 20);
INSERT INTO public.who_data VALUES (33027, 0, 24, 0, 0, 140, 13);
INSERT INTO public.who_data VALUES (33028, 0, 5903, 0, 75, 140, 148);
INSERT INTO public.who_data VALUES (33029, 82, 2699, 1, 51, 140, 230);
INSERT INTO public.who_data VALUES (33030, 658, 93748, 18, 3285, 140, 190);
INSERT INTO public.who_data VALUES (33031, 0, 256, 0, 13, 140, 188);
INSERT INTO public.who_data VALUES (33032, 0, 10735, 0, 66, 140, 123);
INSERT INTO public.who_data VALUES (33033, 0, 2362, 0, 39, 140, 9);
INSERT INTO public.who_data VALUES (33034, 39, 2968, 3, 85, 140, 102);
INSERT INTO public.who_data VALUES (33035, 0, 8792, 0, 229, 140, 34);
INSERT INTO public.who_data VALUES (33036, 0, 12, 0, 0, 140, 212);
INSERT INTO public.who_data VALUES (33037, 671, 78269, 6, 2386, 140, 122);
INSERT INTO public.who_data VALUES (33038, 858, 30575, 10, 822, 140, 38);
INSERT INTO public.who_data VALUES (33039, 63, 2872, 0, 10, 140, 130);
INSERT INTO public.who_data VALUES (33040, 75829, 6549373, 940, 101782, 140, 37);
INSERT INTO public.who_data VALUES (33041, 4007, 299506, 83, 11055, 140, 231);
INSERT INTO public.who_data VALUES (33042, 3523, 468119, 179, 26746, 140, 107);
INSERT INTO public.who_data VALUES (33043, 3672, 375931, 49, 9347, 140, 101);
INSERT INTO public.who_data VALUES (33044, 605, 37668, 9, 1810, 140, 132);
INSERT INTO public.who_data VALUES (33045, 1, 341, 0, 24, 140, 176);
INSERT INTO public.who_data VALUES (33046, 7059, 262206, 25, 1676, 140, 200);
INSERT INTO public.who_data VALUES (33047, 2843, 322751, 27, 35968, 140, 169);
INSERT INTO public.who_data VALUES (33048, 91, 6795, 3, 119, 140, 225);
INSERT INTO public.who_data VALUES (33049, 571, 85339, 7, 1597, 140, 165);
INSERT INTO public.who_data VALUES (33050, 2, 421, 0, 32, 140, 233);
INSERT INTO public.who_data VALUES (33051, 1099, 14817, 9, 88, 140, 215);
INSERT INTO public.who_data VALUES (33052, 96, 141844, 31, 2106, 140, 177);
INSERT INTO public.who_data VALUES (33053, 0, 38923, 0, 725, 140, 183);
INSERT INTO public.who_data VALUES (33054, 0, 0, 0, 0, 140, 203);
INSERT INTO public.who_data VALUES (33055, 53, 15715, 3, 620, 140, 162);
INSERT INTO public.who_data VALUES (33056, 371, 106458, 5, 620, 140, 12);
INSERT INTO public.who_data VALUES (33057, 244, 47428, 0, 1066, 140, 24);
INSERT INTO public.who_data VALUES (33058, 0, 23, 0, 0, 140, 119);
INSERT INTO public.who_data VALUES (33059, 74, 2019, 0, 38, 140, 39);
INSERT INTO public.who_data VALUES (33060, 1321, 43480, 12, 398, 140, 26);
INSERT INTO public.who_data VALUES (33061, 0, 1639, 0, 38, 140, 59);
INSERT INTO public.who_data VALUES (33062, 4, 1347, 0, 82, 140, 77);
INSERT INTO public.who_data VALUES (33063, 722, 36809, 14, 592, 140, 134);
INSERT INTO public.who_data VALUES (33064, 3, 128, 0, 1, 140, 4);
INSERT INTO public.who_data VALUES (33065, 105, 5181, 1, 81, 140, 109);
INSERT INTO public.who_data VALUES (33066, 0, 8709, 0, 125, 140, 90);
INSERT INTO public.who_data VALUES (33067, 36, 16529, 0, 232, 140, 61);
INSERT INTO public.who_data VALUES (33068, 0, 5783, 0, 179, 140, 85);
INSERT INTO public.who_data VALUES (33069, 317, 12088, 1, 137, 140, 49);
INSERT INTO public.who_data VALUES (33070, 67, 10465, 0, 34, 140, 208);
INSERT INTO public.who_data VALUES (33071, 14, 3170, 0, 131, 140, 166);
INSERT INTO public.who_data VALUES (33072, 65, 3195, 1, 38, 140, 64);
INSERT INTO public.who_data VALUES (33073, 0, 0, 0, 0, 140, 199);
INSERT INTO public.who_data VALUES (33074, 0, 1543, 0, 21, 140, 114);
INSERT INTO public.who_data VALUES (33075, 0, 7511, 0, 161, 140, 60);
INSERT INTO public.who_data VALUES (33076, 0, 381, 0, 10, 140, 68);
INSERT INTO public.who_data VALUES (33077, 0, 3779, 0, 42, 140, 158);
INSERT INTO public.who_data VALUES (33078, 4775, 753090, 414, 78492, 140, 52);
INSERT INTO public.who_data VALUES (33079, 0, 0, 0, 0, 140, 117);
INSERT INTO public.who_data VALUES (33080, 1, 225, 0, 2, 140, 126);
INSERT INTO public.who_data VALUES (33081, 0, 313, 0, 0, 140, 196);
INSERT INTO public.who_data VALUES (33082, 165, 12248, 5, 180, 140, 142);
INSERT INTO public.who_data VALUES (33083, 0, 13, 0, 1, 140, 185);
INSERT INTO public.who_data VALUES (33084, 2663, 131228, 30, 2293, 140, 138);
INSERT INTO public.who_data VALUES (33085, 70, 9049, 0, 64, 140, 181);
INSERT INTO public.who_data VALUES (33086, 978, 16503, 18, 371, 140, 178);
INSERT INTO public.who_data VALUES (33087, 92, 11572, 0, 123, 140, 168);
INSERT INTO public.who_data VALUES (33088, 0, 0, 0, 0, 140, 160);
INSERT INTO public.who_data VALUES (33089, 2120, 84570, 8, 528, 140, 151);
INSERT INTO public.who_data VALUES (33090, 3937, 131596, 20, 6447, 140, 193);
INSERT INTO public.who_data VALUES (33091, 0, 27, 0, 0, 140, 18);
INSERT INTO public.who_data VALUES (33092, 5, 1498, 0, 25, 140, 40);
INSERT INTO public.who_data VALUES (33093, 0, 4146, 0, 151, 140, 218);
INSERT INTO public.who_data VALUES (33094, 3, 1200, 0, 69, 140, 191);
INSERT INTO public.who_data VALUES (33095, 160, 59287, 1, 1113, 140, 156);
INSERT INTO public.who_data VALUES (33096, 0, 0, 0, 0, 140, 135);
INSERT INTO public.who_data VALUES (33097, 0, 73, 0, 2, 140, 88);
INSERT INTO public.who_data VALUES (33098, 239, 18602, 4, 753, 140, 55);
INSERT INTO public.who_data VALUES (33099, 0, 14149, 0, 275, 140, 108);
INSERT INTO public.who_data VALUES (33100, 406, 52013, 11, 390, 140, 48);
INSERT INTO public.who_data VALUES (33101, 0, 98585, 0, 935, 140, 3);
INSERT INTO public.who_data VALUES (33102, 0, 741, 0, 13, 140, 224);
INSERT INTO public.who_data VALUES (33103, 632, 314616, 6, 6513, 140, 110);
INSERT INTO public.who_data VALUES (33104, 0, 0, 0, 0, 140, 106);
INSERT INTO public.who_data VALUES (33105, 620, 113962, 19, 2406, 140, 89);
INSERT INTO public.who_data VALUES (33106, 1, 540, 0, 7, 140, 121);
INSERT INTO public.who_data VALUES (33107, 885, 42684, 21, 890, 140, 163);
INSERT INTO public.who_data VALUES (33108, 3267, 821564, 74, 32609, 140, 70);
INSERT INTO public.who_data VALUES (33109, 2652, 319330, 62, 5678, 140, 174);
INSERT INTO public.who_data VALUES (33110, 0, 0, 0, 0, 140, 175);
INSERT INTO public.who_data VALUES (33111, 2367, 98140, 34, 2604, 140, 118);
INSERT INTO public.who_data VALUES (33112, 963, 78247, 12, 1995, 140, 189);
INSERT INTO public.who_data VALUES (33113, 628, 50375, 8, 681, 140, 124);
INSERT INTO public.who_data VALUES (33114, 175, 126339, 1, 216, 140, 192);
INSERT INTO public.who_data VALUES (33115, 64, 24091, 1, 421, 140, 41);
INSERT INTO public.who_data VALUES (33116, 872, 55888, 9, 1353, 140, 95);
INSERT INTO public.who_data VALUES (33117, 0, 4178, 0, 16, 140, 74);
INSERT INTO public.who_data VALUES (33118, 2064, 134065, 32, 4947, 140, 11);
INSERT INTO public.who_data VALUES (33119, 10499, 1215001, 107, 21358, 140, 87);
INSERT INTO public.who_data VALUES (33120, 5, 4852, 0, 29, 140, 214);
INSERT INTO public.who_data VALUES (33121, 0, 5, 0, 0, 140, 116);
INSERT INTO public.who_data VALUES (33122, 0, 62, 0, 0, 140, 157);
INSERT INTO public.who_data VALUES (33123, 0, 0, 0, 0, 140, 182);
INSERT INTO public.who_data VALUES (33124, 0, 19, 0, 0, 140, 186);
INSERT INTO public.who_data VALUES (33125, 0, 27, 0, 0, 140, 127);
INSERT INTO public.who_data VALUES (33126, 0, 412, 0, 8, 140, 232);
INSERT INTO public.who_data VALUES (33127, 0, 12, 0, 0, 140, 33);
INSERT INTO public.who_data VALUES (33128, 0, 64, 0, 0, 140, 97);
INSERT INTO public.who_data VALUES (33129, 0, 0, 0, 0, 140, 42);
INSERT INTO public.who_data VALUES (33130, 0, 750, 0, 42, 140, 198);
INSERT INTO public.who_data VALUES (33131, 2, 913, 0, 15, 140, 216);
INSERT INTO public.who_data VALUES (33132, 419, 335997, 27, 4850, 140, 164);
INSERT INTO public.who_data VALUES (33133, 32, 15051, 1, 312, 140, 235);
INSERT INTO public.who_data VALUES (33134, 107, 33842, 2, 753, 140, 67);
INSERT INTO public.who_data VALUES (33135, 0, 142, 0, 0, 140, 15);
INSERT INTO public.who_data VALUES (33136, 7, 2259, 0, 72, 140, 180);
INSERT INTO public.who_data VALUES (33137, 6, 57800, 0, 27, 140, 237);
INSERT INTO public.who_data VALUES (33138, 0, 13, 0, 0, 140, 25);
INSERT INTO public.who_data VALUES (33139, 0, 668, 0, 22, 140, 209);
INSERT INTO public.who_data VALUES (33140, 679, 11617, 6, 54, 140, 217);
INSERT INTO public.who_data VALUES (33141, 228, 6333, 0, 159, 140, 79);
INSERT INTO public.who_data VALUES (33142, 1, 1, 0, 0, 140, 143);
INSERT INTO public.who_data VALUES (33143, 0, 3593, 0, 99, 140, 229);
INSERT INTO public.who_data VALUES (33144, 1883, 679716, 29, 16938, 140, 141);
INSERT INTO public.who_data VALUES (33145, 11, 2726, 0, 50, 140, 197);
INSERT INTO public.who_data VALUES (33146, 12749, 853905, 142, 34408, 140, 221);
INSERT INTO public.who_data VALUES (33147, 7, 3395, 0, 13, 140, 150);
INSERT INTO public.who_data VALUES (33148, 2, 13660, 0, 836, 140, 56);
INSERT INTO public.who_data VALUES (33149, 8, 4899, 0, 105, 140, 167);
INSERT INTO public.who_data VALUES (33150, 712, 95185, 3, 5881, 140, 23);
INSERT INTO public.who_data VALUES (33151, 512, 55832, 0, 1830, 140, 222);
INSERT INTO public.who_data VALUES (33152, 40, 4329, 1, 204, 140, 219);
INSERT INTO public.who_data VALUES (33153, 43, 9895, 0, 77, 140, 7);
INSERT INTO public.who_data VALUES (33154, 2, 3585, 0, 59, 140, 161);
INSERT INTO public.who_data VALUES (33155, 12871, 480021, 49, 42317, 140, 149);
INSERT INTO public.who_data VALUES (33156, 0, 28, 0, 0, 140, 6);
INSERT INTO public.who_data VALUES (33157, 22, 1840, 0, 48, 140, 139);
INSERT INTO public.who_data VALUES (33158, 0, 0, 0, 0, 140, 211);
INSERT INTO public.who_data VALUES (33159, 0, 0, 0, 0, 140, 14);
INSERT INTO public.who_data VALUES (33160, 96, 4709, 2, 78, 140, 111);
INSERT INTO public.who_data VALUES (33161, 2509, 23453, 45, 321, 140, 207);
INSERT INTO public.who_data VALUES (33162, 8232, 780654, 59, 8384, 140, 66);
INSERT INTO public.who_data VALUES (33163, 0, 0, 0, 0, 140, 173);
INSERT INTO public.who_data VALUES (33164, 5, 695, 0, 6, 140, 145);
INSERT INTO public.who_data VALUES (33165, 0, 0, 0, 0, 140, 65);
INSERT INTO public.who_data VALUES (33166, 0, 8491, 0, 79, 140, 184);
INSERT INTO public.who_data VALUES (33167, 4140, 226462, 44, 4397, 140, 98);
INSERT INTO public.who_data VALUES (33168, 1231, 97760, 2, 426, 140, 104);
INSERT INTO public.who_data VALUES (33169, 0, 509, 0, 21, 140, 73);
INSERT INTO public.who_data VALUES (33170, 49465, 7256234, 808, 207366, 140, 8);
INSERT INTO public.who_data VALUES (33171, 0, 1326, 0, 20, 140, 227);
INSERT INTO public.who_data VALUES (33172, 36, 2097, 0, 48, 140, 75);
INSERT INTO public.who_data VALUES (33173, 645, 58421, 4, 479, 140, 45);
INSERT INTO public.who_data VALUES (33174, 0, 0, 0, 0, 140, 133);
INSERT INTO public.who_data VALUES (33175, 791, 76820, 8, 643, 140, 202);
INSERT INTO public.who_data VALUES (33176, 0, 1096, 0, 35, 140, 129);
INSERT INTO public.who_data VALUES (33177, 0, 0, 0, 0, 140, 36);
INSERT INTO public.who_data VALUES (33178, 1, 2045, 0, 590, 140, 51);
INSERT INTO public.who_data VALUES (33179, 0, 14830, 0, 333, 140, 206);
INSERT INTO public.who_data VALUES (33180, 0, 7858, 0, 228, 140, 5);
INSERT INTO public.who_data VALUES (33181, 7, 39383, 4, 1466, 141, 103);
INSERT INTO public.who_data VALUES (33182, 159, 13965, 1, 389, 141, 58);
INSERT INTO public.who_data VALUES (33183, 157, 51847, 8, 1749, 141, 195);
INSERT INTO public.who_data VALUES (33184, 0, 0, 0, 0, 141, 115);
INSERT INTO public.who_data VALUES (33185, 60, 2110, 0, 53, 141, 99);
INSERT INTO public.who_data VALUES (33186, 97, 5211, 4, 189, 141, 153);
INSERT INTO public.who_data VALUES (33187, 0, 3, 0, 0, 141, 93);
INSERT INTO public.who_data VALUES (33188, 5, 106, 0, 3, 141, 84);
INSERT INTO public.who_data VALUES (33189, 14001, 765002, 3351, 20288, 141, 78);
INSERT INTO public.who_data VALUES (33190, 543, 51238, 6, 967, 141, 170);
INSERT INTO public.who_data VALUES (33191, 35, 3998, 0, 27, 141, 32);
INSERT INTO public.who_data VALUES (33192, 17, 27113, 2, 890, 141, 155);
INSERT INTO public.who_data VALUES (33193, 872, 47189, 1, 803, 141, 82);
INSERT INTO public.who_data VALUES (33194, 144, 40453, 1, 594, 141, 16);
INSERT INTO public.who_data VALUES (33195, 97, 4220, 0, 96, 141, 72);
INSERT INTO public.who_data VALUES (33196, 429, 71803, 1, 255, 141, 43);
INSERT INTO public.who_data VALUES (33197, 1396, 366383, 33, 5305, 141, 120);
INSERT INTO public.who_data VALUES (33198, 3, 193, 0, 7, 141, 213);
INSERT INTO public.who_data VALUES (33199, 402, 79421, 5, 844, 141, 31);
INSERT INTO public.who_data VALUES (33200, 3721, 132832, 11, 10037, 141, 204);
INSERT INTO public.who_data VALUES (33201, 34, 2026, 0, 27, 141, 152);
INSERT INTO public.who_data VALUES (33202, 0, 2357, 0, 41, 141, 144);
INSERT INTO public.who_data VALUES (33203, 0, 181, 0, 9, 141, 96);
INSERT INTO public.who_data VALUES (33204, 1, 283, 0, 0, 141, 47);
INSERT INTO public.who_data VALUES (33205, 405, 135716, 36, 8001, 141, 80);
INSERT INTO public.who_data VALUES (33206, 0, 103, 0, 1, 141, 159);
INSERT INTO public.who_data VALUES (33207, 226, 27971, 10, 864, 141, 27);
INSERT INTO public.who_data VALUES (33208, 0, 3172, 0, 16, 141, 146);
INSERT INTO public.who_data VALUES (33209, 36157, 4847092, 728, 144680, 141, 71);
INSERT INTO public.who_data VALUES (33210, 0, 71, 0, 1, 141, 210);
INSERT INTO public.who_data VALUES (33211, 0, 146, 0, 3, 141, 54);
INSERT INTO public.who_data VALUES (33212, 240, 21336, 6, 838, 141, 147);
INSERT INTO public.who_data VALUES (33213, 32, 2088, 0, 58, 141, 2);
INSERT INTO public.who_data VALUES (33214, 0, 513, 0, 1, 141, 105);
INSERT INTO public.who_data VALUES (33215, 79, 6205, 1, 62, 141, 53);
INSERT INTO public.who_data VALUES (33216, 0, 278, 0, 0, 141, 81);
INSERT INTO public.who_data VALUES (33217, 0, 20838, 0, 418, 141, 223);
INSERT INTO public.who_data VALUES (33218, 1777, 160535, 22, 9319, 141, 94);
INSERT INTO public.who_data VALUES (33219, 0, 211, 0, 1, 141, 154);
INSERT INTO public.who_data VALUES (33220, 16, 4845, 0, 62, 141, 83);
INSERT INTO public.who_data VALUES (33221, 8, 1211, 0, 85, 141, 194);
INSERT INTO public.who_data VALUES (33222, 1840, 466590, 45, 12867, 141, 136);
INSERT INTO public.who_data VALUES (33223, 19, 91101, 0, 4746, 141, 179);
INSERT INTO public.who_data VALUES (33224, 5660, 835339, 198, 26196, 141, 57);
INSERT INTO public.who_data VALUES (33225, 0, 479, 0, 7, 141, 35);
INSERT INTO public.who_data VALUES (33226, 0, 5089, 0, 89, 141, 228);
INSERT INTO public.who_data VALUES (33227, 0, 0, 0, 0, 141, 19);
INSERT INTO public.who_data VALUES (33228, 1068, 76828, 13, 917, 141, 22);
INSERT INTO public.who_data VALUES (33229, 38, 19793, 0, 120, 141, 1);
INSERT INTO public.who_data VALUES (33230, 333, 17160, 7, 291, 141, 21);
INSERT INTO public.who_data VALUES (33231, 48, 5718, 0, 122, 141, 234);
INSERT INTO public.who_data VALUES (33232, 7, 399, 0, 1, 141, 91);
INSERT INTO public.who_data VALUES (33233, 17, 1789, 0, 22, 141, 137);
INSERT INTO public.who_data VALUES (33234, 3796, 78051, 21, 699, 141, 201);
INSERT INTO public.who_data VALUES (33235, 0, 0, 0, 0, 141, 171);
INSERT INTO public.who_data VALUES (33236, 44, 10728, 0, 272, 141, 92);
INSERT INTO public.who_data VALUES (33237, 536, 28932, 1, 652, 141, 112);
INSERT INTO public.who_data VALUES (33238, 0, 5417, 0, 61, 141, 62);
INSERT INTO public.who_data VALUES (33239, 0, 31, 0, 0, 141, 69);
INSERT INTO public.who_data VALUES (33240, 622, 113350, 9, 2117, 141, 220);
INSERT INTO public.who_data VALUES (33241, 950, 139534, 62, 11495, 141, 100);
INSERT INTO public.who_data VALUES (33242, 149, 103466, 10, 5956, 141, 187);
INSERT INTO public.who_data VALUES (33243, 0, 29175, 5, 853, 141, 63);
INSERT INTO public.who_data VALUES (33244, 15, 5045, 0, 83, 141, 28);
INSERT INTO public.who_data VALUES (33245, 6, 381, 0, 0, 141, 172);
INSERT INTO public.who_data VALUES (33246, 57, 3507, 1, 66, 141, 17);
INSERT INTO public.who_data VALUES (33247, 21, 5521, 0, 111, 141, 226);
INSERT INTO public.who_data VALUES (33248, 890, 76988, 3, 1207, 141, 236);
INSERT INTO public.who_data VALUES (33249, 0, 13, 0, 0, 141, 76);
INSERT INTO public.who_data VALUES (33250, 0, 472, 0, 0, 141, 30);
INSERT INTO public.who_data VALUES (33251, 0, 32, 0, 2, 141, 128);
INSERT INTO public.who_data VALUES (33252, 101, 10204, 1, 345, 141, 86);
INSERT INTO public.who_data VALUES (33253, 11543, 563796, 118, 31926, 141, 140);
INSERT INTO public.who_data VALUES (33254, 2, 9968, 0, 67, 141, 44);
INSERT INTO public.who_data VALUES (33255, 174, 2026, 1, 8, 141, 113);
INSERT INTO public.who_data VALUES (33256, 31, 8797, 0, 54, 141, 29);
INSERT INTO public.who_data VALUES (33257, 6, 3590, 2, 115, 141, 125);
INSERT INTO public.who_data VALUES (33258, 471, 7564, 5, 48, 141, 131);
INSERT INTO public.who_data VALUES (33259, 2563, 296958, 19, 9527, 141, 46);
INSERT INTO public.who_data VALUES (33260, 0, 46656, 0, 301, 141, 10);
INSERT INTO public.who_data VALUES (33261, 14, 410, 0, 0, 141, 205);
INSERT INTO public.who_data VALUES (33262, 460, 19346, 5, 398, 141, 50);
INSERT INTO public.who_data VALUES (33263, 0, 14, 0, 0, 141, 20);
INSERT INTO public.who_data VALUES (33264, 0, 24, 0, 0, 141, 13);
INSERT INTO public.who_data VALUES (33265, 375, 5903, 18, 75, 141, 148);
INSERT INTO public.who_data VALUES (33266, 67, 2617, 1, 50, 141, 230);
INSERT INTO public.who_data VALUES (33267, 681, 93090, 6, 3267, 141, 190);
INSERT INTO public.who_data VALUES (33268, 0, 256, 0, 13, 141, 188);
INSERT INTO public.who_data VALUES (33269, 35, 10735, 0, 66, 141, 123);
INSERT INTO public.who_data VALUES (33270, 0, 2362, 0, 39, 141, 9);
INSERT INTO public.who_data VALUES (33271, 35, 2929, 2, 82, 141, 102);
INSERT INTO public.who_data VALUES (33272, 26, 8792, 0, 229, 141, 34);
INSERT INTO public.who_data VALUES (33273, 0, 12, 0, 0, 141, 212);
INSERT INTO public.who_data VALUES (33274, 698, 77598, 27, 2380, 141, 122);
INSERT INTO public.who_data VALUES (33275, 1086, 29717, 14, 812, 141, 38);
INSERT INTO public.who_data VALUES (33276, 40, 2809, 0, 10, 141, 130);
INSERT INTO public.who_data VALUES (33277, 79476, 6473544, 1069, 100842, 141, 37);
INSERT INTO public.who_data VALUES (33278, 4317, 295499, 116, 10972, 141, 231);
INSERT INTO public.who_data VALUES (33279, 3552, 464596, 187, 26567, 141, 107);
INSERT INTO public.who_data VALUES (33280, 4785, 372259, 67, 9298, 141, 101);
INSERT INTO public.who_data VALUES (33281, 466, 37063, -5, 1801, 141, 132);
INSERT INTO public.who_data VALUES (33282, 0, 340, 0, 24, 141, 176);
INSERT INTO public.who_data VALUES (33283, 7731, 255147, 46, 1651, 141, 200);
INSERT INTO public.who_data VALUES (33284, 2499, 319908, 23, 35941, 141, 169);
INSERT INTO public.who_data VALUES (33285, 149, 6704, 5, 116, 141, 225);
INSERT INTO public.who_data VALUES (33286, 553, 84768, 12, 1590, 141, 165);
INSERT INTO public.who_data VALUES (33287, 5, 419, 0, 32, 141, 233);
INSERT INTO public.who_data VALUES (33288, 549, 13718, 10, 79, 141, 215);
INSERT INTO public.who_data VALUES (33289, 264, 141748, 0, 2075, 141, 177);
INSERT INTO public.who_data VALUES (33290, 210, 38923, 7, 725, 141, 183);
INSERT INTO public.who_data VALUES (33291, 0, 0, 0, 0, 141, 203);
INSERT INTO public.who_data VALUES (33292, 42, 15662, 0, 617, 141, 162);
INSERT INTO public.who_data VALUES (33293, 411, 106087, 3, 615, 141, 12);
INSERT INTO public.who_data VALUES (33294, 128, 47184, 1, 1066, 141, 24);
INSERT INTO public.who_data VALUES (33295, 0, 23, 0, 0, 141, 119);
INSERT INTO public.who_data VALUES (33296, 77, 1945, 1, 38, 141, 39);
INSERT INTO public.who_data VALUES (33297, 1291, 42159, 12, 386, 141, 26);
INSERT INTO public.who_data VALUES (33298, 44, 1639, 2, 38, 141, 59);
INSERT INTO public.who_data VALUES (33299, 0, 1343, 0, 82, 141, 77);
INSERT INTO public.who_data VALUES (33300, 370, 36087, 8, 578, 141, 134);
INSERT INTO public.who_data VALUES (33301, 3, 125, 0, 1, 141, 4);
INSERT INTO public.who_data VALUES (33302, 125, 5076, 2, 80, 141, 109);
INSERT INTO public.who_data VALUES (33303, 114, 8709, 0, 125, 141, 90);
INSERT INTO public.who_data VALUES (33304, 39, 16493, 0, 232, 141, 61);
INSERT INTO public.who_data VALUES (33305, 4, 5783, 0, 179, 141, 85);
INSERT INTO public.who_data VALUES (33306, 287, 11771, 0, 136, 141, 49);
INSERT INTO public.who_data VALUES (33307, 44, 10398, 0, 34, 141, 208);
INSERT INTO public.who_data VALUES (33308, 25, 3156, 0, 131, 141, 166);
INSERT INTO public.who_data VALUES (33309, 44, 3130, 2, 37, 141, 64);
INSERT INTO public.who_data VALUES (33310, 0, 0, 0, 0, 141, 199);
INSERT INTO public.who_data VALUES (33311, 0, 1543, 0, 21, 141, 114);
INSERT INTO public.who_data VALUES (33312, 6, 7511, 0, 161, 141, 60);
INSERT INTO public.who_data VALUES (33313, 0, 381, 0, 10, 141, 68);
INSERT INTO public.who_data VALUES (33314, 0, 3779, 0, 42, 141, 158);
INSERT INTO public.who_data VALUES (33315, 5099, 748315, 432, 78078, 141, 52);
INSERT INTO public.who_data VALUES (33316, 0, 0, 0, 0, 141, 117);
INSERT INTO public.who_data VALUES (33317, 2, 224, 0, 2, 141, 126);
INSERT INTO public.who_data VALUES (33318, 0, 313, 0, 0, 141, 196);
INSERT INTO public.who_data VALUES (33319, 241, 12083, 2, 175, 141, 142);
INSERT INTO public.who_data VALUES (33320, 0, 13, 0, 1, 141, 185);
INSERT INTO public.who_data VALUES (33321, 2521, 128565, 34, 2263, 141, 138);
INSERT INTO public.who_data VALUES (33322, 91, 8979, 2, 64, 141, 181);
INSERT INTO public.who_data VALUES (33323, 1142, 15525, 32, 353, 141, 178);
INSERT INTO public.who_data VALUES (33324, 101, 11480, 0, 123, 141, 168);
INSERT INTO public.who_data VALUES (33325, 0, 0, 0, 0, 141, 160);
INSERT INTO public.who_data VALUES (33326, 2722, 82450, 11, 520, 141, 151);
INSERT INTO public.who_data VALUES (33327, 3804, 127659, 9, 6427, 141, 193);
INSERT INTO public.who_data VALUES (33328, 0, 27, 0, 0, 141, 18);
INSERT INTO public.who_data VALUES (33329, 1, 1493, 0, 25, 141, 40);
INSERT INTO public.who_data VALUES (33330, 0, 4146, 0, 151, 141, 218);
INSERT INTO public.who_data VALUES (33331, 0, 1197, 0, 69, 141, 191);
INSERT INTO public.who_data VALUES (33332, 126, 59127, 0, 1112, 141, 156);
INSERT INTO public.who_data VALUES (33333, 0, 0, 0, 0, 141, 135);
INSERT INTO public.who_data VALUES (33334, 0, 73, 0, 2, 141, 88);
INSERT INTO public.who_data VALUES (33335, 225, 18363, 6, 749, 141, 55);
INSERT INTO public.who_data VALUES (33336, 122, 14149, 1, 275, 141, 108);
INSERT INTO public.who_data VALUES (33337, 545, 51607, 3, 379, 141, 48);
INSERT INTO public.who_data VALUES (33338, 0, 98585, 0, 935, 141, 3);
INSERT INTO public.who_data VALUES (33339, 0, 741, 0, 13, 141, 224);
INSERT INTO public.who_data VALUES (33340, 553, 313984, 8, 6507, 141, 110);
INSERT INTO public.who_data VALUES (33341, 0, 0, 0, 0, 141, 106);
INSERT INTO public.who_data VALUES (33342, 747, 113342, 15, 2387, 141, 89);
INSERT INTO public.who_data VALUES (33343, 0, 539, 0, 7, 141, 121);
INSERT INTO public.who_data VALUES (33344, 1041, 41799, 12, 869, 141, 163);
INSERT INTO public.who_data VALUES (33345, 3468, 818297, 72, 32535, 141, 70);
INSERT INTO public.who_data VALUES (33346, 2599, 316678, 54, 5616, 141, 174);
INSERT INTO public.who_data VALUES (33347, 0, 0, 0, 0, 141, 175);
INSERT INTO public.who_data VALUES (33348, 2292, 95773, 27, 2570, 141, 118);
INSERT INTO public.who_data VALUES (33349, 888, 77284, 6, 1983, 141, 189);
INSERT INTO public.who_data VALUES (33350, 680, 49747, 8, 673, 141, 124);
INSERT INTO public.who_data VALUES (33351, 205, 126164, 1, 215, 141, 192);
INSERT INTO public.who_data VALUES (33352, 75, 24027, 4, 420, 141, 41);
INSERT INTO public.who_data VALUES (33353, 952, 55016, 8, 1344, 141, 95);
INSERT INTO public.who_data VALUES (33354, 185, 4178, 0, 16, 141, 74);
INSERT INTO public.who_data VALUES (33355, 2343, 132001, 53, 4915, 141, 11);
INSERT INTO public.who_data VALUES (33356, 9859, 1204502, 174, 21251, 141, 87);
INSERT INTO public.who_data VALUES (33357, 4, 4847, 0, 29, 141, 214);
INSERT INTO public.who_data VALUES (33358, 0, 5, 0, 0, 141, 116);
INSERT INTO public.who_data VALUES (33359, 14, 62, 0, 0, 141, 157);
INSERT INTO public.who_data VALUES (33360, 0, 0, 0, 0, 141, 182);
INSERT INTO public.who_data VALUES (33361, 0, 19, 0, 0, 141, 186);
INSERT INTO public.who_data VALUES (33362, 0, 27, 0, 0, 141, 127);
INSERT INTO public.who_data VALUES (33363, 29, 412, 0, 8, 141, 232);
INSERT INTO public.who_data VALUES (33364, 0, 12, 0, 0, 141, 33);
INSERT INTO public.who_data VALUES (33365, 0, 64, 0, 0, 141, 97);
INSERT INTO public.who_data VALUES (33366, 0, 0, 0, 0, 141, 42);
INSERT INTO public.who_data VALUES (33367, 0, 750, 0, 42, 141, 198);
INSERT INTO public.who_data VALUES (33368, 0, 911, 0, 15, 141, 216);
INSERT INTO public.who_data VALUES (33369, 481, 335578, 29, 4823, 141, 164);
INSERT INTO public.who_data VALUES (33370, 0, 15019, 0, 311, 141, 235);
INSERT INTO public.who_data VALUES (33371, 73, 33735, 1, 751, 141, 67);
INSERT INTO public.who_data VALUES (33372, 0, 142, 0, 0, 141, 15);
INSERT INTO public.who_data VALUES (33373, 14, 2252, 0, 72, 141, 180);
INSERT INTO public.who_data VALUES (33374, 10, 57794, 0, 27, 141, 237);
INSERT INTO public.who_data VALUES (33375, 0, 13, 0, 0, 141, 25);
INSERT INTO public.who_data VALUES (33376, 9, 668, 0, 22, 141, 209);
INSERT INTO public.who_data VALUES (33377, 797, 10938, 0, 48, 141, 217);
INSERT INTO public.who_data VALUES (33378, 239, 6105, 2, 159, 141, 79);
INSERT INTO public.who_data VALUES (33379, 0, 0, 0, 0, 141, 143);
INSERT INTO public.who_data VALUES (33380, 0, 3593, 0, 99, 141, 229);
INSERT INTO public.who_data VALUES (33381, 1749, 677833, 43, 16909, 141, 141);
INSERT INTO public.who_data VALUES (33382, 0, 2715, 0, 50, 141, 197);
INSERT INTO public.who_data VALUES (33383, 11324, 841156, 131, 34266, 141, 221);
INSERT INTO public.who_data VALUES (33384, 6, 3388, 0, 13, 141, 150);
INSERT INTO public.who_data VALUES (33385, 1, 13658, 0, 836, 141, 56);
INSERT INTO public.who_data VALUES (33386, 14, 4891, 1, 105, 141, 167);
INSERT INTO public.who_data VALUES (33387, 633, 94473, 1, 5878, 141, 23);
INSERT INTO public.who_data VALUES (33388, 677, 55320, 1, 1830, 141, 222);
INSERT INTO public.who_data VALUES (33389, 42, 4289, 1, 203, 141, 219);
INSERT INTO public.who_data VALUES (33390, 41, 9852, 0, 77, 141, 7);
INSERT INTO public.who_data VALUES (33391, 8, 3583, 0, 59, 141, 161);
INSERT INTO public.who_data VALUES (33392, 6968, 467150, 66, 42268, 141, 149);
INSERT INTO public.who_data VALUES (33393, 0, 28, 0, 0, 141, 6);
INSERT INTO public.who_data VALUES (33394, 9, 1818, 0, 48, 141, 139);
INSERT INTO public.who_data VALUES (33395, 0, 0, 0, 0, 141, 211);
INSERT INTO public.who_data VALUES (33396, 0, 0, 0, 0, 141, 14);
INSERT INTO public.who_data VALUES (33397, 71, 4613, 0, 76, 141, 111);
INSERT INTO public.who_data VALUES (33398, 0, 20944, 0, 276, 141, 207);
INSERT INTO public.who_data VALUES (33399, 8172, 772422, 63, 8325, 141, 66);
INSERT INTO public.who_data VALUES (33400, 0, 0, 0, 0, 141, 173);
INSERT INTO public.who_data VALUES (33401, 1, 690, 0, 6, 141, 145);
INSERT INTO public.who_data VALUES (33402, 0, 0, 0, 0, 141, 65);
INSERT INTO public.who_data VALUES (33403, 204, 8491, 4, 79, 141, 184);
INSERT INTO public.who_data VALUES (33404, 4661, 222322, 92, 4353, 141, 98);
INSERT INTO public.who_data VALUES (33405, 1181, 96529, 3, 424, 141, 104);
INSERT INTO public.who_data VALUES (33406, 0, 509, 0, 21, 141, 73);
INSERT INTO public.who_data VALUES (33407, 46293, 7206769, 892, 206558, 141, 8);
INSERT INTO public.who_data VALUES (33408, 3, 1326, 0, 20, 141, 227);
INSERT INTO public.who_data VALUES (33409, 15, 2061, 0, 48, 141, 75);
INSERT INTO public.who_data VALUES (33410, 0, 57776, 0, 475, 141, 45);
INSERT INTO public.who_data VALUES (33411, 0, 0, 0, 0, 141, 133);
INSERT INTO public.who_data VALUES (33412, 907, 76029, 7, 635, 141, 202);
INSERT INTO public.who_data VALUES (33413, 1, 1096, 0, 35, 141, 129);
INSERT INTO public.who_data VALUES (33414, 0, 0, 0, 0, 141, 36);
INSERT INTO public.who_data VALUES (33415, 1, 2044, 2, 590, 141, 51);
INSERT INTO public.who_data VALUES (33416, 28, 14830, 0, 333, 141, 206);
INSERT INTO public.who_data VALUES (33417, 8, 7858, 0, 228, 141, 5);
INSERT INTO public.who_data VALUES (33418, 5, 39376, 0, 1462, 142, 103);
INSERT INTO public.who_data VALUES (33419, 157, 13806, 1, 388, 142, 58);
INSERT INTO public.who_data VALUES (33420, 160, 51690, 5, 1741, 142, 195);
INSERT INTO public.who_data VALUES (33421, 0, 0, 0, 0, 142, 115);
INSERT INTO public.who_data VALUES (33422, 0, 2050, 0, 53, 142, 99);
INSERT INTO public.who_data VALUES (33423, 142, 5114, 2, 185, 142, 153);
INSERT INTO public.who_data VALUES (33424, 0, 3, 0, 0, 142, 93);
INSERT INTO public.who_data VALUES (33425, 0, 101, 0, 3, 142, 84);
INSERT INTO public.who_data VALUES (33426, 14392, 751001, 418, 16937, 142, 78);
INSERT INTO public.who_data VALUES (33427, 532, 50695, 3, 961, 142, 170);
INSERT INTO public.who_data VALUES (33428, 29, 3963, 1, 27, 142, 32);
INSERT INTO public.who_data VALUES (33429, 18, 27096, 2, 888, 142, 155);
INSERT INTO public.who_data VALUES (33430, 564, 46317, 3, 802, 142, 82);
INSERT INTO public.who_data VALUES (33431, 80, 40309, 2, 593, 142, 16);
INSERT INTO public.who_data VALUES (33432, 101, 4123, 1, 96, 142, 72);
INSERT INTO public.who_data VALUES (33433, 510, 71374, 3, 254, 142, 43);
INSERT INTO public.who_data VALUES (33434, 1508, 364987, 21, 5272, 142, 120);
INSERT INTO public.who_data VALUES (33435, 0, 190, 0, 7, 142, 213);
INSERT INTO public.who_data VALUES (33436, 388, 79019, 6, 839, 142, 31);
INSERT INTO public.who_data VALUES (33437, 3410, 129111, 15, 10026, 142, 204);
INSERT INTO public.who_data VALUES (33438, 49, 1992, 1, 27, 142, 152);
INSERT INTO public.who_data VALUES (33439, 0, 2357, 0, 41, 142, 144);
INSERT INTO public.who_data VALUES (33440, 0, 181, 0, 9, 142, 96);
INSERT INTO public.who_data VALUES (33441, 0, 282, 0, 0, 142, 47);
INSERT INTO public.who_data VALUES (33442, 670, 135311, 34, 7965, 142, 80);
INSERT INTO public.who_data VALUES (33443, 0, 103, 0, 1, 142, 159);
INSERT INTO public.who_data VALUES (33444, 280, 27745, 5, 854, 142, 27);
INSERT INTO public.who_data VALUES (33445, 0, 3172, 0, 16, 142, 146);
INSERT INTO public.who_data VALUES (33446, 33413, 4810935, 1031, 143952, 142, 71);
INSERT INTO public.who_data VALUES (33447, 0, 71, 0, 1, 142, 210);
INSERT INTO public.who_data VALUES (33448, 0, 146, 0, 3, 142, 54);
INSERT INTO public.who_data VALUES (33449, 263, 21096, 7, 832, 142, 147);
INSERT INTO public.who_data VALUES (33450, 28, 2056, 1, 58, 142, 2);
INSERT INTO public.who_data VALUES (33451, 3, 513, 0, 1, 142, 105);
INSERT INTO public.who_data VALUES (33452, 102, 6126, 1, 61, 142, 53);
INSERT INTO public.who_data VALUES (33453, 1, 278, 0, 0, 142, 81);
INSERT INTO public.who_data VALUES (33454, 0, 20838, 0, 418, 142, 223);
INSERT INTO public.who_data VALUES (33455, 1797, 158758, 6, 9297, 142, 94);
INSERT INTO public.who_data VALUES (33456, 0, 211, 0, 1, 142, 154);
INSERT INTO public.who_data VALUES (33457, 0, 4829, 0, 62, 142, 83);
INSERT INTO public.who_data VALUES (33458, 3, 1203, 0, 85, 142, 194);
INSERT INTO public.who_data VALUES (33459, 1759, 464750, 81, 12822, 142, 136);
INSERT INTO public.who_data VALUES (33460, 21, 91082, 0, 4746, 142, 179);
INSERT INTO public.who_data VALUES (33461, 5637, 829679, 170, 25998, 142, 57);
INSERT INTO public.who_data VALUES (33462, 0, 479, 0, 7, 142, 35);
INSERT INTO public.who_data VALUES (33463, 0, 5089, 0, 89, 142, 228);
INSERT INTO public.who_data VALUES (33464, 0, 0, 0, 0, 142, 19);
INSERT INTO public.who_data VALUES (33465, 1156, 75760, 24, 904, 142, 22);
INSERT INTO public.who_data VALUES (33466, 31, 19755, 0, 120, 142, 1);
INSERT INTO public.who_data VALUES (33467, 234, 16827, 4, 284, 142, 21);
INSERT INTO public.who_data VALUES (33468, 73, 5670, 0, 122, 142, 234);
INSERT INTO public.who_data VALUES (33469, 22, 392, 0, 1, 142, 91);
INSERT INTO public.who_data VALUES (33470, 17, 1772, 0, 22, 142, 137);
INSERT INTO public.who_data VALUES (33471, 5336, 74255, 23, 678, 142, 201);
INSERT INTO public.who_data VALUES (33472, 0, 0, 0, 0, 142, 171);
INSERT INTO public.who_data VALUES (33473, 26, 10684, 0, 272, 142, 92);
INSERT INTO public.who_data VALUES (33474, 398, 28396, 1, 651, 142, 112);
INSERT INTO public.who_data VALUES (33475, 1, 5417, 0, 61, 142, 62);
INSERT INTO public.who_data VALUES (33476, 1, 31, 0, 0, 142, 69);
INSERT INTO public.who_data VALUES (33477, 519, 112728, 3, 2108, 142, 220);
INSERT INTO public.who_data VALUES (33478, 1537, 138584, 78, 11433, 142, 100);
INSERT INTO public.who_data VALUES (33479, 119, 103317, 16, 5946, 142, 187);
INSERT INTO public.who_data VALUES (33480, 98, 29175, 5, 848, 142, 63);
INSERT INTO public.who_data VALUES (33481, 0, 5030, 0, 83, 142, 28);
INSERT INTO public.who_data VALUES (33482, 0, 375, 0, 0, 142, 172);
INSERT INTO public.who_data VALUES (33483, 79, 3450, 1, 65, 142, 17);
INSERT INTO public.who_data VALUES (33484, 18, 5500, 2, 111, 142, 226);
INSERT INTO public.who_data VALUES (33485, 730, 76098, 6, 1204, 142, 236);
INSERT INTO public.who_data VALUES (33486, 0, 13, 0, 0, 142, 76);
INSERT INTO public.who_data VALUES (33487, 5, 472, 0, 0, 142, 30);
INSERT INTO public.who_data VALUES (33488, 0, 32, 0, 2, 142, 128);
INSERT INTO public.who_data VALUES (33489, 111, 10103, 0, 344, 142, 86);
INSERT INTO public.who_data VALUES (33490, 13959, 552253, 62, 31808, 142, 140);
INSERT INTO public.who_data VALUES (33491, 11, 9966, 1, 67, 142, 44);
INSERT INTO public.who_data VALUES (33492, 0, 1852, 0, 7, 142, 113);
INSERT INTO public.who_data VALUES (33493, 0, 8766, 0, 54, 142, 29);
INSERT INTO public.who_data VALUES (33494, 5, 3584, 1, 113, 142, 125);
INSERT INTO public.who_data VALUES (33495, 453, 7093, 3, 43, 142, 131);
INSERT INTO public.who_data VALUES (33496, 2673, 294395, 8, 9508, 142, 46);
INSERT INTO public.who_data VALUES (33497, 0, 46656, 0, 301, 142, 10);
INSERT INTO public.who_data VALUES (33498, 5, 396, 0, 0, 142, 205);
INSERT INTO public.who_data VALUES (33499, 411, 18886, 2, 393, 142, 50);
INSERT INTO public.who_data VALUES (33500, 0, 14, 0, 0, 142, 20);
INSERT INTO public.who_data VALUES (33501, 0, 24, 0, 0, 142, 13);
INSERT INTO public.who_data VALUES (33502, 0, 5528, 0, 57, 142, 148);
INSERT INTO public.who_data VALUES (33503, 62, 2550, 0, 49, 142, 230);
INSERT INTO public.who_data VALUES (33504, 663, 92409, 15, 3261, 142, 190);
INSERT INTO public.who_data VALUES (33505, 0, 256, 0, 13, 142, 188);
INSERT INTO public.who_data VALUES (33506, 48, 10700, 0, 66, 142, 123);
INSERT INTO public.who_data VALUES (33507, 38, 2362, 0, 39, 142, 9);
INSERT INTO public.who_data VALUES (33508, 48, 2894, 2, 80, 142, 102);
INSERT INTO public.who_data VALUES (33509, 0, 8766, 0, 229, 142, 34);
INSERT INTO public.who_data VALUES (33510, 0, 12, 0, 0, 142, 212);
INSERT INTO public.who_data VALUES (33511, 802, 76900, 30, 2353, 142, 122);
INSERT INTO public.who_data VALUES (33512, 1322, 28631, 17, 798, 142, 38);
INSERT INTO public.who_data VALUES (33513, 41, 2769, 0, 10, 142, 130);
INSERT INTO public.who_data VALUES (33514, 81484, 6394068, 1095, 99773, 142, 37);
INSERT INTO public.who_data VALUES (33515, 4174, 291182, 116, 10856, 142, 231);
INSERT INTO public.who_data VALUES (33516, 3825, 461044, 211, 26380, 142, 107);
INSERT INTO public.who_data VALUES (33517, 4493, 367474, 50, 9231, 142, 101);
INSERT INTO public.who_data VALUES (33518, 442, 36597, 2, 1806, 142, 132);
INSERT INTO public.who_data VALUES (33519, 0, 340, 0, 24, 142, 176);
INSERT INTO public.who_data VALUES (33520, 9078, 247416, 37, 1605, 142, 200);
INSERT INTO public.who_data VALUES (33521, 2548, 317409, 24, 35918, 142, 169);
INSERT INTO public.who_data VALUES (33522, 73, 6555, 4, 111, 142, 225);
INSERT INTO public.who_data VALUES (33523, 652, 84215, 7, 1578, 142, 165);
INSERT INTO public.who_data VALUES (33524, 5, 414, 0, 32, 142, 233);
INSERT INTO public.who_data VALUES (33525, 1276, 13169, 8, 69, 142, 215);
INSERT INTO public.who_data VALUES (33526, 228, 141484, 0, 2075, 142, 177);
INSERT INTO public.who_data VALUES (33527, 184, 38713, 7, 718, 142, 183);
INSERT INTO public.who_data VALUES (33528, 0, 0, 0, 0, 142, 203);
INSERT INTO public.who_data VALUES (33529, 43, 15620, 2, 617, 142, 162);
INSERT INTO public.who_data VALUES (33530, 494, 105676, 2, 612, 142, 12);
INSERT INTO public.who_data VALUES (33531, 215, 47056, 0, 1065, 142, 24);
INSERT INTO public.who_data VALUES (33532, 0, 23, 0, 0, 142, 119);
INSERT INTO public.who_data VALUES (33533, 44, 1868, 0, 37, 142, 39);
INSERT INTO public.who_data VALUES (33534, 1248, 40868, 7, 374, 142, 26);
INSERT INTO public.who_data VALUES (33535, 0, 1595, 0, 36, 142, 59);
INSERT INTO public.who_data VALUES (33536, 0, 1343, 0, 82, 142, 77);
INSERT INTO public.who_data VALUES (33537, 509, 35717, 11, 570, 142, 134);
INSERT INTO public.who_data VALUES (33538, 1, 122, 0, 1, 142, 4);
INSERT INTO public.who_data VALUES (33539, 172, 4951, -14, 78, 142, 109);
INSERT INTO public.who_data VALUES (33540, 86, 8595, 1, 125, 142, 90);
INSERT INTO public.who_data VALUES (33541, 46, 16454, 2, 232, 142, 61);
INSERT INTO public.who_data VALUES (33542, 6, 5779, 0, 179, 142, 85);
INSERT INTO public.who_data VALUES (33543, 260, 11484, 0, 136, 142, 49);
INSERT INTO public.who_data VALUES (33544, 63, 10354, 0, 34, 142, 208);
INSERT INTO public.who_data VALUES (33545, 13, 3131, 0, 131, 142, 166);
INSERT INTO public.who_data VALUES (33546, 37, 3086, 1, 35, 142, 64);
INSERT INTO public.who_data VALUES (33547, 0, 0, 0, 0, 142, 199);
INSERT INTO public.who_data VALUES (33548, 0, 1543, 0, 21, 142, 114);
INSERT INTO public.who_data VALUES (33549, 3, 7505, 0, 161, 142, 60);
INSERT INTO public.who_data VALUES (33550, 0, 381, 0, 10, 142, 68);
INSERT INTO public.who_data VALUES (33551, 0, 3779, 0, 42, 142, 158);
INSERT INTO public.who_data VALUES (33552, 5053, 743216, 483, 77646, 142, 52);
INSERT INTO public.who_data VALUES (33553, 0, 0, 0, 0, 142, 117);
INSERT INTO public.who_data VALUES (33554, 1, 222, 0, 2, 142, 126);
INSERT INTO public.who_data VALUES (33555, 0, 313, 0, 0, 142, 196);
INSERT INTO public.who_data VALUES (33556, 186, 11842, 3, 173, 142, 142);
INSERT INTO public.who_data VALUES (33557, 0, 13, 0, 1, 142, 185);
INSERT INTO public.who_data VALUES (33558, 2391, 126044, 35, 2229, 142, 138);
INSERT INTO public.who_data VALUES (33559, 160, 8888, 1, 62, 142, 181);
INSERT INTO public.who_data VALUES (33560, 1010, 14383, 11, 321, 142, 178);
INSERT INTO public.who_data VALUES (33561, 114, 11379, 2, 123, 142, 168);
INSERT INTO public.who_data VALUES (33562, 0, 0, 0, 0, 142, 160);
INSERT INTO public.who_data VALUES (33563, 1911, 79728, 11, 509, 142, 151);
INSERT INTO public.who_data VALUES (33564, 3253, 123855, 13, 6418, 142, 193);
INSERT INTO public.who_data VALUES (33565, 0, 27, 0, 0, 142, 18);
INSERT INTO public.who_data VALUES (33566, 0, 1492, 0, 25, 142, 40);
INSERT INTO public.who_data VALUES (33567, 0, 4146, 0, 151, 142, 218);
INSERT INTO public.who_data VALUES (33568, 0, 1197, 0, 69, 142, 191);
INSERT INTO public.who_data VALUES (33569, 153, 59001, 0, 1112, 142, 156);
INSERT INTO public.who_data VALUES (33570, 0, 0, 0, 0, 142, 135);
INSERT INTO public.who_data VALUES (33571, 3, 73, 0, 2, 142, 88);
INSERT INTO public.who_data VALUES (33572, 161, 18138, 4, 743, 142, 55);
INSERT INTO public.who_data VALUES (33573, 113, 14027, 0, 274, 142, 108);
INSERT INTO public.who_data VALUES (33574, 521, 51062, 8, 376, 142, 48);
INSERT INTO public.who_data VALUES (33575, 0, 98585, 0, 935, 142, 3);
INSERT INTO public.who_data VALUES (33576, 0, 741, 0, 13, 142, 224);
INSERT INTO public.who_data VALUES (33577, 625, 313431, 15, 6499, 142, 110);
INSERT INTO public.who_data VALUES (33578, 0, 0, 0, 0, 142, 106);
INSERT INTO public.who_data VALUES (33579, 742, 112595, 8, 2372, 142, 89);
INSERT INTO public.who_data VALUES (33580, 5, 539, 0, 7, 142, 121);
INSERT INTO public.who_data VALUES (33581, 657, 40758, 16, 857, 142, 163);
INSERT INTO public.who_data VALUES (33582, 3061, 814829, 67, 32463, 142, 70);
INSERT INTO public.who_data VALUES (33583, 2385, 314079, 58, 5562, 142, 174);
INSERT INTO public.who_data VALUES (33584, 0, 0, 0, 0, 142, 175);
INSERT INTO public.who_data VALUES (33585, 1967, 93481, 30, 2543, 142, 118);
INSERT INTO public.who_data VALUES (33586, 854, 76396, 6, 1977, 142, 189);
INSERT INTO public.who_data VALUES (33587, 312, 49067, 4, 665, 142, 124);
INSERT INTO public.who_data VALUES (33588, 199, 125959, 0, 214, 142, 192);
INSERT INTO public.who_data VALUES (33589, 63, 23952, 1, 416, 142, 41);
INSERT INTO public.who_data VALUES (33590, 1022, 54064, 16, 1336, 142, 95);
INSERT INTO public.who_data VALUES (33591, 0, 3993, 0, 16, 142, 74);
INSERT INTO public.who_data VALUES (33592, 2086, 129658, 37, 4862, 142, 11);
INSERT INTO public.who_data VALUES (33593, 9412, 1194643, 186, 21077, 142, 87);
INSERT INTO public.who_data VALUES (33594, 3, 4843, 0, 29, 142, 214);
INSERT INTO public.who_data VALUES (33595, 0, 5, 0, 0, 142, 116);
INSERT INTO public.who_data VALUES (33596, 0, 48, 0, 0, 142, 157);
INSERT INTO public.who_data VALUES (33597, 0, 0, 0, 0, 142, 182);
INSERT INTO public.who_data VALUES (33598, 0, 19, 0, 0, 142, 186);
INSERT INTO public.who_data VALUES (33599, 0, 27, 0, 0, 142, 127);
INSERT INTO public.who_data VALUES (33600, 0, 383, 0, 8, 142, 232);
INSERT INTO public.who_data VALUES (33601, 0, 12, 0, 0, 142, 33);
INSERT INTO public.who_data VALUES (33602, 0, 64, 0, 0, 142, 97);
INSERT INTO public.who_data VALUES (33603, 0, 0, 0, 0, 142, 42);
INSERT INTO public.who_data VALUES (33604, 0, 750, 0, 42, 142, 198);
INSERT INTO public.who_data VALUES (33605, 0, 911, 0, 15, 142, 216);
INSERT INTO public.who_data VALUES (33606, 492, 335097, 26, 4794, 142, 164);
INSERT INTO public.who_data VALUES (33607, 37, 15019, 0, 311, 142, 235);
INSERT INTO public.who_data VALUES (33608, 111, 33662, 1, 750, 142, 67);
INSERT INTO public.who_data VALUES (33609, 0, 142, 0, 0, 142, 15);
INSERT INTO public.who_data VALUES (33610, 7, 2238, 0, 72, 142, 180);
INSERT INTO public.who_data VALUES (33611, 19, 57784, 0, 27, 142, 237);
INSERT INTO public.who_data VALUES (33612, 0, 13, 0, 0, 142, 25);
INSERT INTO public.who_data VALUES (33613, 14, 659, 0, 22, 142, 209);
INSERT INTO public.who_data VALUES (33614, 567, 10141, 3, 48, 142, 217);
INSERT INTO public.who_data VALUES (33615, 175, 5866, 2, 157, 142, 79);
INSERT INTO public.who_data VALUES (33616, 0, 0, 0, 0, 142, 143);
INSERT INTO public.who_data VALUES (33617, 5, 3593, 0, 99, 142, 229);
INSERT INTO public.who_data VALUES (33618, 1745, 676084, 132, 16866, 142, 141);
INSERT INTO public.who_data VALUES (33619, 11, 2715, 1, 50, 142, 197);
INSERT INTO public.who_data VALUES (33620, 11593, 829832, 155, 34135, 142, 221);
INSERT INTO public.who_data VALUES (33621, 2, 3382, 0, 13, 142, 150);
INSERT INTO public.who_data VALUES (33622, 4, 13657, 0, 836, 142, 56);
INSERT INTO public.who_data VALUES (33623, 14, 4877, 0, 104, 142, 167);
INSERT INTO public.who_data VALUES (33624, 689, 93840, 4, 5877, 142, 23);
INSERT INTO public.who_data VALUES (33625, 601, 54643, 5, 1829, 142, 222);
INSERT INTO public.who_data VALUES (33626, 47, 4247, 2, 202, 142, 219);
INSERT INTO public.who_data VALUES (33627, 42, 9811, 1, 77, 142, 7);
INSERT INTO public.who_data VALUES (33628, 6, 3575, 0, 59, 142, 161);
INSERT INTO public.who_data VALUES (33629, 6914, 460182, 59, 42202, 142, 149);
INSERT INTO public.who_data VALUES (33630, 0, 28, 0, 0, 142, 6);
INSERT INTO public.who_data VALUES (33631, 25, 1809, 0, 48, 142, 139);
INSERT INTO public.who_data VALUES (33632, 0, 0, 0, 0, 142, 211);
INSERT INTO public.who_data VALUES (33633, 0, 0, 0, 0, 142, 14);
INSERT INTO public.who_data VALUES (33634, 25, 4542, 1, 76, 142, 111);
INSERT INTO public.who_data VALUES (33635, 1223, 20944, 5, 276, 142, 207);
INSERT INTO public.who_data VALUES (33636, 8137, 764250, 67, 8262, 142, 66);
INSERT INTO public.who_data VALUES (33637, 0, 0, 0, 0, 142, 173);
INSERT INTO public.who_data VALUES (33638, 3, 689, 0, 6, 142, 145);
INSERT INTO public.who_data VALUES (33639, 0, 0, 0, 0, 142, 65);
INSERT INTO public.who_data VALUES (33640, 158, 8287, 0, 75, 142, 184);
INSERT INTO public.who_data VALUES (33641, 4633, 217661, 68, 4261, 142, 98);
INSERT INTO public.who_data VALUES (33642, 1158, 95348, 2, 421, 142, 104);
INSERT INTO public.who_data VALUES (33643, 0, 509, 0, 21, 142, 73);
INSERT INTO public.who_data VALUES (33644, 44985, 7160476, 1024, 205666, 142, 8);
INSERT INTO public.who_data VALUES (33645, 5, 1323, 0, 20, 142, 227);
INSERT INTO public.who_data VALUES (33646, 13, 2046, 0, 48, 142, 75);
INSERT INTO public.who_data VALUES (33647, 457, 57776, 1, 475, 142, 45);
INSERT INTO public.who_data VALUES (33648, 0, 0, 0, 0, 142, 133);
INSERT INTO public.who_data VALUES (33649, 759, 75122, 7, 628, 142, 202);
INSERT INTO public.who_data VALUES (33650, 0, 1095, 0, 35, 142, 129);
INSERT INTO public.who_data VALUES (33651, 0, 0, 0, 0, 142, 36);
INSERT INTO public.who_data VALUES (33652, 5, 2043, 0, 588, 142, 51);
INSERT INTO public.who_data VALUES (33653, 43, 14802, 1, 333, 142, 206);
INSERT INTO public.who_data VALUES (33654, 12, 7850, 0, 228, 142, 5);
INSERT INTO public.who_data VALUES (33655, 17, 39371, 0, 1462, 143, 103);
INSERT INTO public.who_data VALUES (33656, 131, 13649, 3, 387, 143, 58);
INSERT INTO public.who_data VALUES (33657, 162, 51530, 10, 1736, 143, 195);
INSERT INTO public.who_data VALUES (33658, 0, 0, 0, 0, 143, 115);
INSERT INTO public.who_data VALUES (33659, 84, 2050, 0, 53, 143, 99);
INSERT INTO public.who_data VALUES (33660, 67, 4972, 4, 183, 143, 153);
INSERT INTO public.who_data VALUES (33661, 0, 3, 0, 0, 143, 93);
INSERT INTO public.who_data VALUES (33662, 0, 101, 0, 3, 143, 84);
INSERT INTO public.who_data VALUES (33663, 13477, 736609, 406, 16519, 143, 78);
INSERT INTO public.who_data VALUES (33664, 491, 50163, 4, 958, 143, 170);
INSERT INTO public.who_data VALUES (33665, 62, 3934, 1, 26, 143, 32);
INSERT INTO public.who_data VALUES (33666, 15, 27078, 4, 886, 143, 155);
INSERT INTO public.who_data VALUES (33667, 1146, 45753, 3, 799, 143, 82);
INSERT INTO public.who_data VALUES (33668, 110, 40229, 1, 591, 143, 16);
INSERT INTO public.who_data VALUES (33669, 119, 4022, 4, 95, 143, 72);
INSERT INTO public.who_data VALUES (33670, 442, 70864, 5, 251, 143, 43);
INSERT INTO public.who_data VALUES (33671, 1436, 363479, 32, 5251, 143, 120);
INSERT INTO public.who_data VALUES (33672, 0, 190, 0, 7, 143, 213);
INSERT INTO public.who_data VALUES (33673, 371, 78631, 5, 833, 143, 31);
INSERT INTO public.who_data VALUES (33674, 3243, 125701, 6, 10011, 143, 204);
INSERT INTO public.who_data VALUES (33675, 52, 1943, 2, 26, 143, 152);
INSERT INTO public.who_data VALUES (33676, 0, 2357, 0, 41, 143, 144);
INSERT INTO public.who_data VALUES (33677, 0, 181, 0, 9, 143, 96);
INSERT INTO public.who_data VALUES (33678, 1, 282, 0, 0, 143, 47);
INSERT INTO public.who_data VALUES (33679, 418, 134641, 31, 7931, 143, 80);
INSERT INTO public.who_data VALUES (33680, 5, 103, 0, 1, 143, 159);
INSERT INTO public.who_data VALUES (33681, 243, 27465, 13, 849, 143, 27);
INSERT INTO public.who_data VALUES (33682, 0, 3172, 0, 16, 143, 146);
INSERT INTO public.who_data VALUES (33683, 32058, 4777522, 863, 142921, 143, 71);
INSERT INTO public.who_data VALUES (33684, 0, 71, 0, 1, 143, 210);
INSERT INTO public.who_data VALUES (33685, 0, 146, 0, 3, 143, 54);
INSERT INTO public.who_data VALUES (33686, 286, 20833, 11, 825, 143, 147);
INSERT INTO public.who_data VALUES (33687, 0, 2028, 0, 57, 143, 2);
INSERT INTO public.who_data VALUES (33688, 2, 510, 0, 1, 143, 105);
INSERT INTO public.who_data VALUES (33689, 124, 6024, 1, 60, 143, 53);
INSERT INTO public.who_data VALUES (33690, 0, 277, 0, 0, 143, 81);
INSERT INTO public.who_data VALUES (33691, 0, 20838, 0, 418, 143, 223);
INSERT INTO public.who_data VALUES (33692, 1660, 156961, 13, 9291, 143, 94);
INSERT INTO public.who_data VALUES (33693, 0, 211, 0, 1, 143, 154);
INSERT INTO public.who_data VALUES (33694, 0, 4829, 0, 62, 143, 83);
INSERT INTO public.who_data VALUES (33695, 7, 1200, 0, 85, 143, 194);
INSERT INTO public.who_data VALUES (33696, 1691, 462991, 16, 12741, 143, 136);
INSERT INTO public.who_data VALUES (33697, 20, 91061, 0, 4746, 143, 179);
INSERT INTO public.who_data VALUES (33698, 5839, 824042, 187, 25828, 143, 57);
INSERT INTO public.who_data VALUES (33699, 1, 479, 0, 7, 143, 35);
INSERT INTO public.who_data VALUES (33700, 0, 5089, 0, 89, 143, 228);
INSERT INTO public.who_data VALUES (33701, 0, 0, 0, 0, 143, 19);
INSERT INTO public.who_data VALUES (33702, 890, 74604, 19, 880, 143, 22);
INSERT INTO public.who_data VALUES (33703, 55, 19724, 0, 120, 143, 1);
INSERT INTO public.who_data VALUES (33704, 213, 16593, 5, 280, 143, 21);
INSERT INTO public.who_data VALUES (33705, 66, 5597, 0, 122, 143, 234);
INSERT INTO public.who_data VALUES (33706, 6, 370, 0, 1, 143, 91);
INSERT INTO public.who_data VALUES (33707, 12, 1755, 0, 22, 143, 137);
INSERT INTO public.who_data VALUES (33708, 1076, 68919, 19, 655, 143, 201);
INSERT INTO public.who_data VALUES (33709, 0, 0, 0, 0, 143, 171);
INSERT INTO public.who_data VALUES (33710, 28, 10658, 0, 272, 143, 92);
INSERT INTO public.who_data VALUES (33711, 534, 27998, 0, 650, 143, 112);
INSERT INTO public.who_data VALUES (33712, 0, 5416, 0, 61, 143, 62);
INSERT INTO public.who_data VALUES (33713, 0, 30, 0, 0, 143, 69);
INSERT INTO public.who_data VALUES (33714, 309, 112209, 4, 2105, 143, 220);
INSERT INTO public.who_data VALUES (33715, 1298, 137047, 43, 11355, 143, 100);
INSERT INTO public.who_data VALUES (33716, 119, 103198, 16, 5930, 143, 187);
INSERT INTO public.who_data VALUES (33717, 96, 29077, 4, 843, 143, 63);
INSERT INTO public.who_data VALUES (33718, 2, 5030, 0, 83, 143, 28);
INSERT INTO public.who_data VALUES (33719, 0, 375, 0, 0, 143, 172);
INSERT INTO public.who_data VALUES (33720, 56, 3371, 0, 64, 143, 17);
INSERT INTO public.who_data VALUES (33721, 20, 5482, 1, 109, 143, 226);
INSERT INTO public.who_data VALUES (33722, 784, 75368, 7, 1198, 143, 236);
INSERT INTO public.who_data VALUES (33723, 0, 13, 0, 0, 143, 76);
INSERT INTO public.who_data VALUES (33724, 4, 467, 0, 0, 143, 30);
INSERT INTO public.who_data VALUES (33725, 0, 32, 0, 2, 143, 128);
INSERT INTO public.who_data VALUES (33726, 100, 9992, 1, 344, 143, 86);
INSERT INTO public.who_data VALUES (33727, 11889, 538294, 56, 31746, 143, 140);
INSERT INTO public.who_data VALUES (33728, 26, 9955, 0, 66, 143, 44);
INSERT INTO public.who_data VALUES (33729, 124, 1852, 0, 7, 143, 113);
INSERT INTO public.who_data VALUES (33730, 14, 8766, 0, 54, 143, 29);
INSERT INTO public.who_data VALUES (33731, 0, 3579, 0, 112, 143, 125);
INSERT INTO public.who_data VALUES (33732, 448, 6640, 4, 40, 143, 131);
INSERT INTO public.who_data VALUES (33733, 2503, 291722, 12, 9500, 143, 46);
INSERT INTO public.who_data VALUES (33734, 174, 46656, 0, 301, 143, 10);
INSERT INTO public.who_data VALUES (33735, 9, 391, 0, 0, 143, 205);
INSERT INTO public.who_data VALUES (33736, 352, 18475, 3, 391, 143, 50);
INSERT INTO public.who_data VALUES (33737, 0, 14, 0, 0, 143, 20);
INSERT INTO public.who_data VALUES (33738, 0, 24, 0, 0, 143, 13);
INSERT INTO public.who_data VALUES (33739, 574, 5528, 4, 57, 143, 148);
INSERT INTO public.who_data VALUES (33740, 45, 2488, 2, 49, 143, 230);
INSERT INTO public.who_data VALUES (33741, 778, 91746, 8, 3246, 143, 190);
INSERT INTO public.who_data VALUES (33742, 0, 256, 0, 13, 143, 188);
INSERT INTO public.who_data VALUES (33743, 18, 10652, 0, 66, 143, 123);
INSERT INTO public.who_data VALUES (33744, 0, 2324, 0, 39, 143, 9);
INSERT INTO public.who_data VALUES (33745, 59, 2846, 0, 78, 143, 102);
INSERT INTO public.who_data VALUES (33746, 26, 8766, 2, 229, 143, 34);
INSERT INTO public.who_data VALUES (33747, 0, 12, 0, 0, 143, 212);
INSERT INTO public.who_data VALUES (33748, 561, 76098, 22, 2323, 143, 122);
INSERT INTO public.who_data VALUES (33749, 848, 27309, 16, 781, 143, 38);
INSERT INTO public.who_data VALUES (33750, 33, 2728, 0, 10, 143, 130);
INSERT INTO public.who_data VALUES (33751, 86821, 6312584, 1181, 98678, 143, 37);
INSERT INTO public.who_data VALUES (33752, 4284, 287008, 139, 10740, 143, 231);
INSERT INTO public.who_data VALUES (33753, 3582, 457219, 183, 26169, 143, 107);
INSERT INTO public.who_data VALUES (33754, 4691, 362981, 59, 9181, 143, 101);
INSERT INTO public.who_data VALUES (33755, 415, 36155, 1, 1804, 143, 132);
INSERT INTO public.who_data VALUES (33756, 0, 340, 0, 24, 143, 176);
INSERT INTO public.who_data VALUES (33757, 4992, 238338, 35, 1568, 143, 200);
INSERT INTO public.who_data VALUES (33758, 1850, 314861, 19, 35894, 143, 169);
INSERT INTO public.who_data VALUES (33759, 74, 6482, 6, 107, 143, 225);
INSERT INTO public.who_data VALUES (33760, 553, 83563, 7, 1571, 143, 165);
INSERT INTO public.who_data VALUES (33761, 1, 409, 0, 32, 143, 233);
INSERT INTO public.who_data VALUES (33762, 1776, 11893, 4, 61, 143, 215);
INSERT INTO public.who_data VALUES (33763, 299, 141256, 0, 2075, 143, 177);
INSERT INTO public.who_data VALUES (33764, 151, 38529, 4, 711, 143, 183);
INSERT INTO public.who_data VALUES (33765, 0, 0, 0, 0, 143, 203);
INSERT INTO public.who_data VALUES (33766, 46, 15577, 0, 615, 143, 162);
INSERT INTO public.who_data VALUES (33767, 614, 105182, 3, 610, 143, 12);
INSERT INTO public.who_data VALUES (33768, 172, 46841, 1, 1065, 143, 24);
INSERT INTO public.who_data VALUES (33769, 0, 23, 0, 0, 143, 119);
INSERT INTO public.who_data VALUES (33770, 95, 1824, 0, 37, 143, 39);
INSERT INTO public.who_data VALUES (33771, 1257, 39620, 6, 367, 143, 26);
INSERT INTO public.who_data VALUES (33772, 30, 1595, 1, 36, 143, 59);
INSERT INTO public.who_data VALUES (33773, 4, 1343, 0, 82, 143, 77);
INSERT INTO public.who_data VALUES (33774, 683, 35208, 8, 559, 143, 134);
INSERT INTO public.who_data VALUES (33775, 1, 121, 0, 1, 143, 4);
INSERT INTO public.who_data VALUES (33776, 91, 4779, 0, 92, 143, 109);
INSERT INTO public.who_data VALUES (33777, 78, 8509, 0, 124, 143, 90);
INSERT INTO public.who_data VALUES (33778, 31, 16408, 1, 230, 143, 61);
INSERT INTO public.who_data VALUES (33779, 1, 5773, 0, 179, 143, 85);
INSERT INTO public.who_data VALUES (33780, 89, 11224, 2, 136, 143, 49);
INSERT INTO public.who_data VALUES (33781, 97, 10291, 0, 34, 143, 208);
INSERT INTO public.who_data VALUES (33782, 17, 3118, 0, 131, 143, 166);
INSERT INTO public.who_data VALUES (33783, 23, 3049, 0, 34, 143, 64);
INSERT INTO public.who_data VALUES (33784, 0, 0, 0, 0, 143, 199);
INSERT INTO public.who_data VALUES (33785, 245, 1543, 1, 21, 143, 114);
INSERT INTO public.who_data VALUES (33786, 14, 7502, 0, 161, 143, 60);
INSERT INTO public.who_data VALUES (33787, 0, 381, 0, 10, 143, 68);
INSERT INTO public.who_data VALUES (33788, 0, 3779, 0, 42, 143, 158);
INSERT INTO public.who_data VALUES (33789, 4446, 738163, 560, 77163, 143, 52);
INSERT INTO public.who_data VALUES (33790, 0, 0, 0, 0, 143, 117);
INSERT INTO public.who_data VALUES (33791, 4, 221, 0, 2, 143, 126);
INSERT INTO public.who_data VALUES (33792, 0, 313, 0, 0, 143, 196);
INSERT INTO public.who_data VALUES (33793, 203, 11656, 1, 170, 143, 142);
INSERT INTO public.who_data VALUES (33794, 0, 13, 0, 1, 143, 185);
INSERT INTO public.who_data VALUES (33795, 2470, 123653, 42, 2194, 143, 138);
INSERT INTO public.who_data VALUES (33796, 172, 8728, 2, 61, 143, 181);
INSERT INTO public.who_data VALUES (33797, 948, 13373, 26, 310, 143, 178);
INSERT INTO public.who_data VALUES (33798, 125, 11265, 0, 121, 143, 168);
INSERT INTO public.who_data VALUES (33799, 0, 0, 0, 0, 143, 160);
INSERT INTO public.who_data VALUES (33800, 1559, 77817, 7, 498, 143, 151);
INSERT INTO public.who_data VALUES (33801, 3286, 120602, 13, 6405, 143, 193);
INSERT INTO public.who_data VALUES (33802, 0, 27, 0, 0, 143, 18);
INSERT INTO public.who_data VALUES (33803, 12, 1492, 0, 25, 143, 40);
INSERT INTO public.who_data VALUES (33804, 0, 4146, 0, 151, 143, 218);
INSERT INTO public.who_data VALUES (33805, 1, 1197, 0, 69, 143, 191);
INSERT INTO public.who_data VALUES (33806, 201, 58848, 1, 1112, 143, 156);
INSERT INTO public.who_data VALUES (33807, 0, 0, 0, 0, 143, 135);
INSERT INTO public.who_data VALUES (33808, 0, 70, 0, 2, 143, 88);
INSERT INTO public.who_data VALUES (33809, 191, 17977, 2, 739, 143, 55);
INSERT INTO public.who_data VALUES (33810, 126, 13914, 0, 274, 143, 108);
INSERT INTO public.who_data VALUES (33811, 426, 50541, 8, 368, 143, 48);
INSERT INTO public.who_data VALUES (33812, 0, 98585, 0, 935, 143, 3);
INSERT INTO public.who_data VALUES (33813, 0, 741, 0, 13, 143, 224);
INSERT INTO public.who_data VALUES (33814, 543, 312806, 5, 6484, 143, 110);
INSERT INTO public.who_data VALUES (33815, 0, 0, 0, 0, 143, 106);
INSERT INTO public.who_data VALUES (33816, 576, 111853, 16, 2364, 143, 89);
INSERT INTO public.who_data VALUES (33817, 0, 534, 0, 7, 143, 121);
INSERT INTO public.who_data VALUES (33818, 669, 40101, 23, 841, 143, 163);
INSERT INTO public.who_data VALUES (33819, 3054, 811768, 72, 32396, 143, 70);
INSERT INTO public.who_data VALUES (33820, 2391, 311694, 56, 5504, 143, 174);
INSERT INTO public.who_data VALUES (33821, 0, 0, 0, 0, 143, 175);
INSERT INTO public.who_data VALUES (33822, 1552, 91514, 30, 2513, 143, 118);
INSERT INTO public.who_data VALUES (33823, 825, 75542, 8, 1971, 143, 189);
INSERT INTO public.who_data VALUES (33824, 288, 48755, 7, 661, 143, 124);
INSERT INTO public.who_data VALUES (33825, 227, 125760, 0, 214, 143, 192);
INSERT INTO public.who_data VALUES (33826, 77, 23889, 2, 415, 143, 41);
INSERT INTO public.who_data VALUES (33827, 1013, 53042, 10, 1320, 143, 95);
INSERT INTO public.who_data VALUES (33828, 111, 3993, 2, 16, 143, 74);
INSERT INTO public.who_data VALUES (33829, 2158, 127572, 33, 4825, 143, 11);
INSERT INTO public.who_data VALUES (33830, 8945, 1185231, 169, 20891, 143, 87);
INSERT INTO public.who_data VALUES (33831, 4, 4840, 0, 29, 143, 214);
INSERT INTO public.who_data VALUES (33832, 0, 5, 0, 0, 143, 116);
INSERT INTO public.who_data VALUES (33833, 0, 48, 0, 0, 143, 157);
INSERT INTO public.who_data VALUES (33834, 0, 0, 0, 0, 143, 182);
INSERT INTO public.who_data VALUES (33835, 0, 19, 0, 0, 143, 186);
INSERT INTO public.who_data VALUES (33836, 0, 27, 0, 0, 143, 127);
INSERT INTO public.who_data VALUES (33837, 0, 383, 0, 8, 143, 232);
INSERT INTO public.who_data VALUES (33838, 0, 12, 0, 0, 143, 33);
INSERT INTO public.who_data VALUES (33839, 0, 64, 0, 0, 143, 97);
INSERT INTO public.who_data VALUES (33840, 0, 0, 0, 0, 143, 42);
INSERT INTO public.who_data VALUES (33841, 1, 750, 0, 42, 143, 198);
INSERT INTO public.who_data VALUES (33842, 0, 911, 0, 15, 143, 216);
INSERT INTO public.who_data VALUES (33843, 418, 334605, 29, 4768, 143, 164);
INSERT INTO public.who_data VALUES (33844, 63, 14982, 2, 311, 143, 235);
INSERT INTO public.who_data VALUES (33845, 72, 33551, 0, 749, 143, 67);
INSERT INTO public.who_data VALUES (33846, 1, 142, 0, 0, 143, 15);
INSERT INTO public.who_data VALUES (33847, 9, 2231, 0, 72, 143, 180);
INSERT INTO public.who_data VALUES (33848, 23, 57765, 0, 27, 143, 237);
INSERT INTO public.who_data VALUES (33849, 0, 13, 0, 0, 143, 25);
INSERT INTO public.who_data VALUES (33850, 0, 645, 0, 22, 143, 209);
INSERT INTO public.who_data VALUES (33851, 231, 9574, 1, 45, 143, 217);
INSERT INTO public.who_data VALUES (33852, 202, 5691, 1, 155, 143, 79);
INSERT INTO public.who_data VALUES (33853, 0, 0, 0, 0, 143, 143);
INSERT INTO public.who_data VALUES (33854, 0, 3588, 0, 99, 143, 229);
INSERT INTO public.who_data VALUES (33855, 1767, 674339, 67, 16734, 143, 141);
INSERT INTO public.who_data VALUES (33856, 0, 2704, 0, 49, 143, 197);
INSERT INTO public.who_data VALUES (33857, 11654, 818239, 146, 33980, 143, 221);
INSERT INTO public.who_data VALUES (33858, 6, 3380, 0, 13, 143, 150);
INSERT INTO public.who_data VALUES (33859, 7, 13653, 0, 836, 143, 56);
INSERT INTO public.who_data VALUES (33860, 27, 4863, 2, 104, 143, 167);
INSERT INTO public.who_data VALUES (33861, 613, 93151, 2, 5873, 143, 23);
INSERT INTO public.who_data VALUES (33862, 540, 54042, 0, 1824, 143, 222);
INSERT INTO public.who_data VALUES (33863, 52, 4200, 3, 200, 143, 219);
INSERT INTO public.who_data VALUES (33864, 43, 9769, 1, 76, 143, 7);
INSERT INTO public.who_data VALUES (33865, 5, 3569, 0, 59, 143, 161);
INSERT INTO public.who_data VALUES (33866, 7108, 453268, 71, 42143, 143, 149);
INSERT INTO public.who_data VALUES (33867, 0, 28, 0, 0, 143, 6);
INSERT INTO public.who_data VALUES (33868, 25, 1784, 0, 48, 143, 139);
INSERT INTO public.who_data VALUES (33869, 0, 0, 0, 0, 143, 211);
INSERT INTO public.who_data VALUES (33870, 0, 0, 0, 0, 143, 14);
INSERT INTO public.who_data VALUES (33871, 76, 4517, 1, 75, 143, 111);
INSERT INTO public.who_data VALUES (33872, 1308, 19721, 6, 271, 143, 207);
INSERT INTO public.who_data VALUES (33873, 8121, 756113, 65, 8195, 143, 66);
INSERT INTO public.who_data VALUES (33874, 0, 0, 0, 0, 143, 173);
INSERT INTO public.who_data VALUES (33875, 4, 686, 1, 6, 143, 145);
INSERT INTO public.who_data VALUES (33876, 0, 0, 0, 0, 143, 65);
INSERT INTO public.who_data VALUES (33877, 112, 8129, 0, 75, 143, 184);
INSERT INTO public.who_data VALUES (33878, 4069, 213028, 64, 4193, 143, 98);
INSERT INTO public.who_data VALUES (33879, 1100, 94190, 3, 419, 143, 104);
INSERT INTO public.who_data VALUES (33880, 0, 509, 0, 21, 143, 73);
INSERT INTO public.who_data VALUES (33881, 38476, 7115491, 767, 204642, 143, 8);
INSERT INTO public.who_data VALUES (33882, 0, 1318, 0, 20, 143, 227);
INSERT INTO public.who_data VALUES (33883, 23, 2033, 1, 48, 143, 75);
INSERT INTO public.who_data VALUES (33884, 800, 57319, 6, 474, 143, 45);
INSERT INTO public.who_data VALUES (33885, 0, 0, 0, 0, 143, 133);
INSERT INTO public.who_data VALUES (33886, 835, 74363, 7, 621, 143, 202);
INSERT INTO public.who_data VALUES (33887, 1, 1095, 0, 35, 143, 129);
INSERT INTO public.who_data VALUES (33888, 0, 0, 0, 0, 143, 36);
INSERT INTO public.who_data VALUES (33889, 3, 2038, 0, 588, 143, 51);
INSERT INTO public.who_data VALUES (33890, 44, 14759, 0, 332, 143, 206);
INSERT INTO public.who_data VALUES (33891, 1, 7838, 0, 228, 143, 5);
INSERT INTO public.who_data VALUES (33892, 14, 39354, 0, 1462, 144, 103);
INSERT INTO public.who_data VALUES (33893, 127, 13518, 4, 384, 144, 58);
INSERT INTO public.who_data VALUES (33894, 155, 51368, 7, 1726, 144, 195);
INSERT INTO public.who_data VALUES (33895, 0, 0, 0, 0, 144, 115);
INSERT INTO public.who_data VALUES (33896, 0, 1966, 0, 53, 144, 99);
INSERT INTO public.who_data VALUES (33897, 108, 4905, 3, 179, 144, 153);
INSERT INTO public.who_data VALUES (33898, 0, 3, 0, 0, 144, 93);
INSERT INTO public.who_data VALUES (33899, 0, 101, 0, 3, 144, 84);
INSERT INTO public.who_data VALUES (33900, 11807, 723132, 364, 16113, 144, 78);
INSERT INTO public.who_data VALUES (33901, 458, 49672, 1, 954, 144, 170);
INSERT INTO public.who_data VALUES (33902, 28, 3872, 0, 25, 144, 32);
INSERT INTO public.who_data VALUES (33903, 19, 27063, 7, 882, 144, 155);
INSERT INTO public.who_data VALUES (33904, 722, 44607, 6, 796, 144, 82);
INSERT INTO public.who_data VALUES (33905, 58, 40119, 2, 590, 144, 16);
INSERT INTO public.who_data VALUES (33906, 65, 3903, 2, 91, 144, 72);
INSERT INTO public.who_data VALUES (33907, 574, 70422, 1, 246, 144, 43);
INSERT INTO public.who_data VALUES (33908, 1488, 362043, 26, 5219, 144, 120);
INSERT INTO public.who_data VALUES (33909, 0, 190, 0, 7, 144, 213);
INSERT INTO public.who_data VALUES (33910, 314, 78260, 6, 828, 144, 31);
INSERT INTO public.who_data VALUES (33911, 2984, 122458, 10, 10005, 144, 204);
INSERT INTO public.who_data VALUES (33912, 37, 1891, 0, 24, 144, 152);
INSERT INTO public.who_data VALUES (33913, 17, 2357, 1, 41, 144, 144);
INSERT INTO public.who_data VALUES (33914, 0, 181, 0, 9, 144, 96);
INSERT INTO public.who_data VALUES (33915, 1, 281, 0, 0, 144, 47);
INSERT INTO public.who_data VALUES (33916, 322, 134223, 42, 7900, 144, 80);
INSERT INTO public.who_data VALUES (33917, 1, 98, 0, 1, 144, 159);
INSERT INTO public.who_data VALUES (33918, 225, 27222, 14, 836, 144, 27);
INSERT INTO public.who_data VALUES (33919, 0, 3172, 0, 16, 144, 146);
INSERT INTO public.who_data VALUES (33920, 13155, 4745464, 317, 142058, 144, 71);
INSERT INTO public.who_data VALUES (33921, 0, 71, 0, 1, 144, 210);
INSERT INTO public.who_data VALUES (33922, 0, 146, 0, 3, 144, 54);
INSERT INTO public.who_data VALUES (33923, 276, 20547, 7, 814, 144, 147);
INSERT INTO public.who_data VALUES (33924, 99, 2028, 1, 57, 144, 2);
INSERT INTO public.who_data VALUES (33925, 2, 508, 0, 1, 144, 105);
INSERT INTO public.who_data VALUES (33926, 83, 5900, 0, 59, 144, 53);
INSERT INTO public.who_data VALUES (33927, 0, 277, 0, 0, 144, 81);
INSERT INTO public.who_data VALUES (33928, 0, 20838, 0, 418, 144, 223);
INSERT INTO public.who_data VALUES (33929, 2176, 155301, 10, 9278, 144, 94);
INSERT INTO public.who_data VALUES (33930, 1, 211, 0, 1, 144, 154);
INSERT INTO public.who_data VALUES (33931, 4, 4829, 0, 62, 144, 83);
INSERT INTO public.who_data VALUES (33932, 8, 1193, 0, 85, 144, 194);
INSERT INTO public.who_data VALUES (33933, 1629, 461300, 27, 12725, 144, 136);
INSERT INTO public.who_data VALUES (33934, 23, 91041, 0, 4746, 144, 179);
INSERT INTO public.who_data VALUES (33935, 5147, 818203, 153, 25641, 144, 57);
INSERT INTO public.who_data VALUES (33936, 4, 478, 0, 7, 144, 35);
INSERT INTO public.who_data VALUES (33937, 81, 5089, 0, 89, 144, 228);
INSERT INTO public.who_data VALUES (33938, 0, 0, 0, 0, 144, 19);
INSERT INTO public.who_data VALUES (33939, 730, 73714, 14, 861, 144, 22);
INSERT INTO public.who_data VALUES (33940, 28, 19669, 0, 120, 144, 1);
INSERT INTO public.who_data VALUES (33941, 135, 16380, 3, 275, 144, 21);
INSERT INTO public.who_data VALUES (33942, 48, 5531, 0, 122, 144, 234);
INSERT INTO public.who_data VALUES (33943, 4, 364, 0, 1, 144, 91);
INSERT INTO public.who_data VALUES (33944, 30, 1743, 0, 22, 144, 137);
INSERT INTO public.who_data VALUES (33945, 1960, 67843, 18, 636, 144, 201);
INSERT INTO public.who_data VALUES (33946, 0, 0, 0, 0, 144, 171);
INSERT INTO public.who_data VALUES (33947, 7, 10630, 1, 272, 144, 92);
INSERT INTO public.who_data VALUES (33948, 392, 27464, 1, 650, 144, 112);
INSERT INTO public.who_data VALUES (33949, 6, 5416, 0, 61, 144, 62);
INSERT INTO public.who_data VALUES (33950, 0, 30, 0, 0, 144, 69);
INSERT INTO public.who_data VALUES (33951, 234, 111900, 3, 2101, 144, 220);
INSERT INTO public.who_data VALUES (33952, 784, 135749, 32, 11312, 144, 100);
INSERT INTO public.who_data VALUES (33953, 124, 103079, 13, 5914, 144, 187);
INSERT INTO public.who_data VALUES (33954, 172, 28981, 8, 839, 144, 63);
INSERT INTO public.who_data VALUES (33955, 0, 5028, 0, 83, 144, 28);
INSERT INTO public.who_data VALUES (33956, 0, 375, 0, 0, 144, 172);
INSERT INTO public.who_data VALUES (33957, 48, 3315, 0, 64, 144, 17);
INSERT INTO public.who_data VALUES (33958, 10, 5462, 0, 108, 144, 226);
INSERT INTO public.who_data VALUES (33959, 640, 74584, 14, 1191, 144, 236);
INSERT INTO public.who_data VALUES (33960, 0, 13, 0, 0, 144, 76);
INSERT INTO public.who_data VALUES (33961, 3, 463, 0, 0, 144, 30);
INSERT INTO public.who_data VALUES (33962, 0, 32, 0, 2, 144, 128);
INSERT INTO public.who_data VALUES (33963, 158, 9892, 0, 343, 144, 86);
INSERT INTO public.who_data VALUES (33964, 7779, 526405, 82, 31690, 144, 140);
INSERT INTO public.who_data VALUES (33965, 34, 9929, 1, 66, 144, 44);
INSERT INTO public.who_data VALUES (33966, 149, 1728, 0, 7, 144, 113);
INSERT INTO public.who_data VALUES (33967, 0, 8752, 0, 54, 144, 29);
INSERT INTO public.who_data VALUES (33968, 0, 3579, 0, 112, 144, 125);
INSERT INTO public.who_data VALUES (33969, 326, 6192, 3, 36, 144, 131);
INSERT INTO public.who_data VALUES (33970, 1798, 289219, 17, 9488, 144, 46);
INSERT INTO public.who_data VALUES (33971, 260, 46482, 2, 301, 144, 10);
INSERT INTO public.who_data VALUES (33972, 3, 382, 0, 0, 144, 205);
INSERT INTO public.who_data VALUES (33973, 416, 18123, 5, 388, 144, 50);
INSERT INTO public.who_data VALUES (33974, 0, 14, 0, 0, 144, 20);
INSERT INTO public.who_data VALUES (33975, 0, 24, 0, 0, 144, 13);
INSERT INTO public.who_data VALUES (33976, 0, 4954, 0, 53, 144, 148);
INSERT INTO public.who_data VALUES (33977, 53, 2443, 1, 47, 144, 230);
INSERT INTO public.who_data VALUES (33978, 705, 90968, 4, 3238, 144, 190);
INSERT INTO public.who_data VALUES (33979, 0, 256, 0, 13, 144, 188);
INSERT INTO public.who_data VALUES (33980, 36, 10634, 0, 66, 144, 123);
INSERT INTO public.who_data VALUES (33981, 0, 2324, 0, 39, 144, 9);
INSERT INTO public.who_data VALUES (33982, 15, 2787, 2, 78, 144, 102);
INSERT INTO public.who_data VALUES (33983, 0, 8740, 0, 227, 144, 34);
INSERT INTO public.who_data VALUES (33984, 0, 12, 0, 0, 144, 212);
INSERT INTO public.who_data VALUES (33985, 428, 75537, 12, 2301, 144, 122);
INSERT INTO public.who_data VALUES (33986, 894, 26461, 8, 765, 144, 38);
INSERT INTO public.who_data VALUES (33987, 32, 2695, 0, 10, 144, 130);
INSERT INTO public.who_data VALUES (33988, 80472, 6225763, 1179, 97497, 144, 37);
INSERT INTO public.who_data VALUES (33989, 4002, 282724, 128, 10601, 144, 231);
INSERT INTO public.who_data VALUES (33990, 3677, 453637, 207, 25986, 144, 107);
INSERT INTO public.who_data VALUES (33991, 4724, 358290, 70, 9122, 144, 101);
INSERT INTO public.who_data VALUES (33992, 362, 35740, 1, 1803, 144, 132);
INSERT INTO public.who_data VALUES (33993, 0, 340, 0, 24, 144, 176);
INSERT INTO public.who_data VALUES (33994, 1159, 233346, 28, 1533, 144, 200);
INSERT INTO public.who_data VALUES (33995, 1647, 313011, 24, 35875, 144, 169);
INSERT INTO public.who_data VALUES (33996, 238, 6408, 8, 101, 144, 225);
INSERT INTO public.who_data VALUES (33997, 516, 83010, 7, 1564, 144, 165);
INSERT INTO public.who_data VALUES (33998, 6, 408, 0, 32, 144, 233);
INSERT INTO public.who_data VALUES (33999, 823, 10117, 6, 57, 144, 215);
INSERT INTO public.who_data VALUES (34000, 250, 140957, 0, 2075, 144, 177);
INSERT INTO public.who_data VALUES (34001, 210, 38378, 7, 707, 144, 183);
INSERT INTO public.who_data VALUES (34002, 0, 0, 0, 0, 144, 203);
INSERT INTO public.who_data VALUES (34003, 54, 15531, 0, 615, 144, 162);
INSERT INTO public.who_data VALUES (34004, 587, 104568, 2, 607, 144, 12);
INSERT INTO public.who_data VALUES (34005, 147, 46669, 0, 1064, 144, 24);
INSERT INTO public.who_data VALUES (34006, 0, 23, 0, 0, 144, 119);
INSERT INTO public.who_data VALUES (34007, 32, 1729, 1, 37, 144, 39);
INSERT INTO public.who_data VALUES (34008, 1105, 38363, 10, 361, 144, 26);
INSERT INTO public.who_data VALUES (34009, 0, 1565, 0, 35, 144, 59);
INSERT INTO public.who_data VALUES (34010, 0, 1339, 0, 82, 144, 77);
INSERT INTO public.who_data VALUES (34011, 511, 34525, 11, 551, 144, 134);
INSERT INTO public.who_data VALUES (34012, 0, 120, 0, 1, 144, 4);
INSERT INTO public.who_data VALUES (34013, 115, 4688, 0, 92, 144, 109);
INSERT INTO public.who_data VALUES (34014, 55, 8431, 0, 124, 144, 90);
INSERT INTO public.who_data VALUES (34015, 29, 16377, 0, 229, 144, 61);
INSERT INTO public.who_data VALUES (34016, 2, 5772, 0, 179, 144, 85);
INSERT INTO public.who_data VALUES (34017, 101, 11135, 0, 134, 144, 49);
INSERT INTO public.who_data VALUES (34018, 37, 10194, 0, 34, 144, 208);
INSERT INTO public.who_data VALUES (34019, 11, 3101, 1, 131, 144, 166);
INSERT INTO public.who_data VALUES (34020, 19, 3026, 2, 34, 144, 64);
INSERT INTO public.who_data VALUES (34021, 0, 0, 0, 0, 144, 199);
INSERT INTO public.who_data VALUES (34022, 0, 1298, 0, 20, 144, 114);
INSERT INTO public.who_data VALUES (34023, 14, 7488, 0, 161, 144, 60);
INSERT INTO public.who_data VALUES (34024, 11, 381, 0, 10, 144, 68);
INSERT INTO public.who_data VALUES (34025, 238, 3779, 2, 42, 144, 158);
INSERT INTO public.who_data VALUES (34026, 3400, 733717, 173, 76603, 144, 52);
INSERT INTO public.who_data VALUES (34027, 0, 0, 0, 0, 144, 117);
INSERT INTO public.who_data VALUES (34028, 2, 217, 0, 2, 144, 126);
INSERT INTO public.who_data VALUES (34029, 0, 313, 0, 0, 144, 196);
INSERT INTO public.who_data VALUES (34030, 247, 11453, 5, 169, 144, 142);
INSERT INTO public.who_data VALUES (34031, 0, 13, 0, 1, 144, 185);
INSERT INTO public.who_data VALUES (34032, 2076, 121183, 39, 2152, 144, 138);
INSERT INTO public.who_data VALUES (34033, 268, 8556, 0, 59, 144, 181);
INSERT INTO public.who_data VALUES (34034, 794, 12425, 28, 284, 144, 178);
INSERT INTO public.who_data VALUES (34035, 19, 11140, 0, 121, 144, 168);
INSERT INTO public.who_data VALUES (34036, 0, 0, 0, 0, 144, 160);
INSERT INTO public.who_data VALUES (34037, 1513, 76258, 10, 491, 144, 151);
INSERT INTO public.who_data VALUES (34038, 3004, 117316, 13, 6392, 144, 193);
INSERT INTO public.who_data VALUES (34039, 0, 27, 0, 0, 144, 18);
INSERT INTO public.who_data VALUES (34040, 1, 1480, 0, 25, 144, 40);
INSERT INTO public.who_data VALUES (34041, 81, 4146, 2, 151, 144, 218);
INSERT INTO public.who_data VALUES (34042, 0, 1196, 0, 69, 144, 191);
INSERT INTO public.who_data VALUES (34043, 187, 58647, 0, 1111, 144, 156);
INSERT INTO public.who_data VALUES (34044, 0, 0, 0, 0, 144, 135);
INSERT INTO public.who_data VALUES (34045, 0, 70, 0, 2, 144, 88);
INSERT INTO public.who_data VALUES (34046, 112, 17786, 8, 737, 144, 55);
INSERT INTO public.who_data VALUES (34047, 90, 13788, 0, 274, 144, 108);
INSERT INTO public.who_data VALUES (34048, 420, 50115, 7, 360, 144, 48);
INSERT INTO public.who_data VALUES (34049, 528, 98585, 11, 935, 144, 3);
INSERT INTO public.who_data VALUES (34050, 0, 741, 0, 13, 144, 224);
INSERT INTO public.who_data VALUES (34051, 747, 312263, 5, 6479, 144, 110);
INSERT INTO public.who_data VALUES (34052, 0, 0, 0, 0, 144, 106);
INSERT INTO public.who_data VALUES (34053, 722, 111277, 8, 2348, 144, 89);
INSERT INTO public.who_data VALUES (34054, 0, 534, 0, 7, 144, 121);
INSERT INTO public.who_data VALUES (34055, 748, 39432, 15, 818, 144, 163);
INSERT INTO public.who_data VALUES (34056, 3412, 808714, 62, 32324, 144, 70);
INSERT INTO public.who_data VALUES (34057, 2015, 309303, 67, 5448, 144, 174);
INSERT INTO public.who_data VALUES (34058, 0, 0, 0, 0, 144, 175);
INSERT INTO public.who_data VALUES (34059, 1326, 89962, 36, 2483, 144, 118);
INSERT INTO public.who_data VALUES (34060, 688, 74717, 6, 1963, 144, 189);
INSERT INTO public.who_data VALUES (34061, 1045, 48467, 6, 654, 144, 124);
INSERT INTO public.who_data VALUES (34062, 222, 125533, 0, 214, 144, 192);
INSERT INTO public.who_data VALUES (34063, 113, 23812, 6, 413, 144, 41);
INSERT INTO public.who_data VALUES (34064, 835, 52029, 9, 1310, 144, 95);
INSERT INTO public.who_data VALUES (34065, 0, 3882, 0, 14, 144, 74);
INSERT INTO public.who_data VALUES (34066, 1470, 125414, 44, 4792, 144, 11);
INSERT INTO public.who_data VALUES (34067, 8481, 1176286, 177, 20722, 144, 87);
INSERT INTO public.who_data VALUES (34068, 4, 4836, 0, 29, 144, 214);
INSERT INTO public.who_data VALUES (34069, 0, 5, 0, 0, 144, 116);
INSERT INTO public.who_data VALUES (34070, 0, 48, 0, 0, 144, 157);
INSERT INTO public.who_data VALUES (34071, 0, 0, 0, 0, 144, 182);
INSERT INTO public.who_data VALUES (34072, 0, 19, 0, 0, 144, 186);
INSERT INTO public.who_data VALUES (34073, 0, 27, 0, 0, 144, 127);
INSERT INTO public.who_data VALUES (34074, 0, 383, 0, 8, 144, 232);
INSERT INTO public.who_data VALUES (34075, 0, 12, 0, 0, 144, 33);
INSERT INTO public.who_data VALUES (34076, 0, 64, 0, 0, 144, 97);
INSERT INTO public.who_data VALUES (34077, 0, 0, 0, 0, 144, 42);
INSERT INTO public.who_data VALUES (34078, 0, 749, 0, 42, 144, 198);
INSERT INTO public.who_data VALUES (34079, 0, 911, 0, 15, 144, 216);
INSERT INTO public.who_data VALUES (34080, 539, 334187, 27, 4739, 144, 164);
INSERT INTO public.who_data VALUES (34081, 0, 14919, 0, 309, 144, 235);
INSERT INTO public.who_data VALUES (34082, 65, 33479, 1, 749, 144, 67);
INSERT INTO public.who_data VALUES (34083, 0, 141, 0, 0, 144, 15);
INSERT INTO public.who_data VALUES (34084, 7, 2222, 0, 72, 144, 180);
INSERT INTO public.who_data VALUES (34085, 27, 57742, 0, 27, 144, 237);
INSERT INTO public.who_data VALUES (34086, 0, 13, 0, 0, 144, 25);
INSERT INTO public.who_data VALUES (34087, 1, 645, 0, 22, 144, 209);
INSERT INTO public.who_data VALUES (34088, 265, 9343, 0, 44, 144, 217);
INSERT INTO public.who_data VALUES (34089, 99, 5489, 0, 154, 144, 79);
INSERT INTO public.who_data VALUES (34090, 0, 0, 0, 0, 144, 143);
INSERT INTO public.who_data VALUES (34091, 0, 3588, 0, 99, 144, 229);
INSERT INTO public.who_data VALUES (34092, 903, 672572, 81, 16667, 144, 141);
INSERT INTO public.who_data VALUES (34093, 4, 2704, 0, 49, 144, 197);
INSERT INTO public.who_data VALUES (34094, 7321, 806585, 143, 33834, 144, 221);
INSERT INTO public.who_data VALUES (34095, 11, 3374, 0, 13, 144, 150);
INSERT INTO public.who_data VALUES (34096, 6, 13646, 0, 836, 144, 56);
INSERT INTO public.who_data VALUES (34097, 1, 4836, 0, 102, 144, 167);
INSERT INTO public.who_data VALUES (34098, 378, 92538, 1, 5871, 144, 23);
INSERT INTO public.who_data VALUES (34099, 449, 53502, 1, 1824, 144, 222);
INSERT INTO public.who_data VALUES (34100, 46, 4148, 3, 197, 144, 219);
INSERT INTO public.who_data VALUES (34101, 41, 9726, 0, 75, 144, 7);
INSERT INTO public.who_data VALUES (34102, 5, 3564, 0, 59, 144, 161);
INSERT INTO public.who_data VALUES (34103, 7143, 446160, 71, 42072, 144, 149);
INSERT INTO public.who_data VALUES (34104, 0, 28, 0, 0, 144, 6);
INSERT INTO public.who_data VALUES (34105, 10, 1759, 1, 48, 144, 139);
INSERT INTO public.who_data VALUES (34106, 0, 0, 0, 0, 144, 211);
INSERT INTO public.who_data VALUES (34107, 0, 0, 0, 0, 144, 14);
INSERT INTO public.who_data VALUES (34108, 59, 4441, 2, 74, 144, 111);
INSERT INTO public.who_data VALUES (34109, 1008, 18413, 19, 265, 144, 207);
INSERT INTO public.who_data VALUES (34110, 8157, 747992, 68, 8130, 144, 66);
INSERT INTO public.who_data VALUES (34111, 0, 0, 0, 0, 144, 173);
INSERT INTO public.who_data VALUES (34112, 0, 682, 0, 5, 144, 145);
INSERT INTO public.who_data VALUES (34113, 0, 0, 0, 0, 144, 65);
INSERT INTO public.who_data VALUES (34114, 240, 8017, 0, 75, 144, 184);
INSERT INTO public.who_data VALUES (34115, 4027, 208959, 64, 4129, 144, 98);
INSERT INTO public.who_data VALUES (34116, 995, 93090, 3, 416, 144, 104);
INSERT INTO public.who_data VALUES (34117, 0, 509, 0, 21, 144, 73);
INSERT INTO public.who_data VALUES (34118, 32688, 7077015, 255, 203875, 144, 8);
INSERT INTO public.who_data VALUES (34119, 1, 1318, 1, 20, 144, 227);
INSERT INTO public.who_data VALUES (34120, 2, 2010, 0, 47, 144, 75);
INSERT INTO public.who_data VALUES (34121, 451, 56519, 5, 468, 144, 45);
INSERT INTO public.who_data VALUES (34122, 0, 0, 0, 0, 144, 133);
INSERT INTO public.who_data VALUES (34123, 837, 73528, 8, 614, 144, 202);
INSERT INTO public.who_data VALUES (34124, 17, 1094, 0, 35, 144, 129);
INSERT INTO public.who_data VALUES (34125, 0, 0, 0, 0, 144, 36);
INSERT INTO public.who_data VALUES (34126, 0, 2035, 0, 588, 144, 51);
INSERT INTO public.who_data VALUES (34127, 55, 14715, 0, 332, 144, 206);
INSERT INTO public.who_data VALUES (34128, 21, 7837, 0, 228, 144, 5);
INSERT INTO public.who_data VALUES (34129, 15, 39340, 2, 1462, 145, 103);
INSERT INTO public.who_data VALUES (34130, 132, 13391, 3, 380, 145, 58);
INSERT INTO public.who_data VALUES (34131, 146, 51213, 5, 1719, 145, 195);
INSERT INTO public.who_data VALUES (34132, 0, 0, 0, 0, 145, 115);
INSERT INTO public.who_data VALUES (34133, 130, 1966, 0, 53, 145, 99);
INSERT INTO public.who_data VALUES (34134, 79, 4797, 2, 176, 145, 153);
INSERT INTO public.who_data VALUES (34135, 0, 3, 0, 0, 145, 93);
INSERT INTO public.who_data VALUES (34136, 0, 101, 0, 3, 145, 84);
INSERT INTO public.who_data VALUES (34137, 8841, 711325, 206, 15749, 145, 78);
INSERT INTO public.who_data VALUES (34138, 327, 49214, 1, 953, 145, 170);
INSERT INTO public.who_data VALUES (34139, 88, 3844, 0, 25, 145, 32);
INSERT INTO public.who_data VALUES (34140, 4, 27044, 3, 875, 145, 155);
INSERT INTO public.who_data VALUES (34141, 419, 43885, 3, 790, 145, 82);
INSERT INTO public.who_data VALUES (34142, 38, 40061, 2, 588, 145, 16);
INSERT INTO public.who_data VALUES (34143, 0, 3838, 0, 89, 145, 72);
INSERT INTO public.who_data VALUES (34144, 487, 69848, 3, 245, 145, 43);
INSERT INTO public.who_data VALUES (34145, 1407, 360555, 32, 5193, 145, 120);
INSERT INTO public.who_data VALUES (34146, 0, 190, 0, 7, 145, 213);
INSERT INTO public.who_data VALUES (34147, 337, 77946, 4, 822, 145, 31);
INSERT INTO public.who_data VALUES (34148, 2782, 119474, 13, 9995, 145, 204);
INSERT INTO public.who_data VALUES (34149, 29, 1854, 0, 24, 145, 152);
INSERT INTO public.who_data VALUES (34150, 0, 2340, 0, 40, 145, 144);
INSERT INTO public.who_data VALUES (34151, 0, 181, 0, 9, 145, 96);
INSERT INTO public.who_data VALUES (34152, 7, 280, 0, 0, 145, 47);
INSERT INTO public.who_data VALUES (34153, 309, 133901, 30, 7858, 145, 80);
INSERT INTO public.who_data VALUES (34154, 9, 97, 0, 1, 145, 159);
INSERT INTO public.who_data VALUES (34155, 80, 26997, 12, 822, 145, 27);
INSERT INTO public.who_data VALUES (34156, 251, 3172, 3, 16, 145, 146);
INSERT INTO public.who_data VALUES (34157, 14318, 4732309, 335, 141741, 145, 71);
INSERT INTO public.who_data VALUES (34158, 0, 71, 0, 1, 145, 210);
INSERT INTO public.who_data VALUES (34159, 0, 146, 0, 3, 145, 54);
INSERT INTO public.who_data VALUES (34160, 216, 20271, 11, 807, 145, 147);
INSERT INTO public.who_data VALUES (34161, 0, 1929, 0, 56, 145, 2);
INSERT INTO public.who_data VALUES (34162, 4, 506, 0, 1, 145, 105);
INSERT INTO public.who_data VALUES (34163, 46, 5817, 2, 59, 145, 53);
INSERT INTO public.who_data VALUES (34164, 1, 277, 0, 0, 145, 81);
INSERT INTO public.who_data VALUES (34165, 0, 20838, 0, 418, 145, 223);
INSERT INTO public.who_data VALUES (34166, 1454, 153125, 6, 9268, 145, 94);
INSERT INTO public.who_data VALUES (34167, 0, 210, 0, 1, 145, 154);
INSERT INTO public.who_data VALUES (34168, 19, 4825, 0, 62, 145, 83);
INSERT INTO public.who_data VALUES (34169, 7, 1185, 1, 85, 145, 194);
INSERT INTO public.who_data VALUES (34170, 1770, 459671, 57, 12698, 145, 136);
INSERT INTO public.who_data VALUES (34171, 25, 91018, 0, 4746, 145, 179);
INSERT INTO public.who_data VALUES (34172, 7018, 813056, 192, 25488, 145, 57);
INSERT INTO public.who_data VALUES (34173, 0, 474, 0, 7, 145, 35);
INSERT INTO public.who_data VALUES (34174, 0, 5008, 0, 89, 145, 228);
INSERT INTO public.who_data VALUES (34175, 0, 0, 0, 0, 145, 19);
INSERT INTO public.who_data VALUES (34176, 935, 72984, 19, 847, 145, 22);
INSERT INTO public.who_data VALUES (34177, 12, 19641, 0, 120, 145, 1);
INSERT INTO public.who_data VALUES (34178, 48, 16245, 0, 272, 145, 21);
INSERT INTO public.who_data VALUES (34179, 26, 5483, 0, 122, 145, 234);
INSERT INTO public.who_data VALUES (34180, 45, 360, 0, 1, 145, 91);
INSERT INTO public.who_data VALUES (34181, 17, 1713, 0, 22, 145, 137);
INSERT INTO public.who_data VALUES (34182, 1286, 65883, 12, 618, 145, 201);
INSERT INTO public.who_data VALUES (34183, 0, 0, 0, 0, 145, 171);
INSERT INTO public.who_data VALUES (34184, 12, 10623, 0, 271, 145, 92);
INSERT INTO public.who_data VALUES (34185, 435, 27072, 0, 649, 145, 112);
INSERT INTO public.who_data VALUES (34186, 1, 5410, 0, 61, 145, 62);
INSERT INTO public.who_data VALUES (34187, 0, 30, 0, 0, 145, 69);
INSERT INTO public.who_data VALUES (34188, 280, 111666, 3, 2098, 145, 220);
INSERT INTO public.who_data VALUES (34189, 218, 134965, 1, 11280, 145, 100);
INSERT INTO public.who_data VALUES (34190, 115, 102955, 18, 5901, 145, 187);
INSERT INTO public.who_data VALUES (34191, 179, 28809, 5, 831, 145, 63);
INSERT INTO public.who_data VALUES (34192, 0, 5028, 0, 83, 145, 28);
INSERT INTO public.who_data VALUES (34193, 0, 375, 0, 0, 145, 172);
INSERT INTO public.who_data VALUES (34194, 67, 3267, 0, 64, 145, 17);
INSERT INTO public.who_data VALUES (34195, 21, 5452, 0, 108, 145, 226);
INSERT INTO public.who_data VALUES (34196, 612, 73944, 7, 1177, 145, 236);
INSERT INTO public.who_data VALUES (34197, 0, 13, 0, 0, 145, 76);
INSERT INTO public.who_data VALUES (34198, 0, 460, 0, 0, 145, 30);
INSERT INTO public.who_data VALUES (34199, 0, 32, 0, 2, 145, 128);
INSERT INTO public.who_data VALUES (34200, 52, 9734, 0, 343, 145, 86);
INSERT INTO public.who_data VALUES (34201, 3841, 518626, 67, 31608, 145, 140);
INSERT INTO public.who_data VALUES (34202, 32, 9895, 0, 65, 145, 44);
INSERT INTO public.who_data VALUES (34203, 0, 1579, 1, 7, 145, 113);
INSERT INTO public.who_data VALUES (34204, 24, 8752, 0, 54, 145, 29);
INSERT INTO public.who_data VALUES (34205, 10, 3579, 1, 112, 145, 125);
INSERT INTO public.who_data VALUES (34206, 314, 5866, 5, 33, 145, 131);
INSERT INTO public.who_data VALUES (34207, 2089, 287421, 11, 9471, 145, 46);
INSERT INTO public.who_data VALUES (34208, 0, 46222, 0, 299, 145, 10);
INSERT INTO public.who_data VALUES (34209, 7, 379, 0, 0, 145, 205);
INSERT INTO public.who_data VALUES (34210, 263, 17707, 4, 383, 145, 50);
INSERT INTO public.who_data VALUES (34211, 0, 14, 0, 0, 145, 20);
INSERT INTO public.who_data VALUES (34212, 0, 24, 0, 0, 145, 13);
INSERT INTO public.who_data VALUES (34213, 0, 4954, 11, 53, 145, 148);
INSERT INTO public.who_data VALUES (34214, 35, 2390, 3, 46, 145, 230);
INSERT INTO public.who_data VALUES (34215, 171, 90263, 5, 3234, 145, 190);
INSERT INTO public.who_data VALUES (34216, 0, 256, 0, 13, 145, 188);
INSERT INTO public.who_data VALUES (34217, 18, 10598, 0, 66, 145, 123);
INSERT INTO public.who_data VALUES (34218, 0, 2324, 0, 39, 145, 9);
INSERT INTO public.who_data VALUES (34219, 47, 2772, 2, 76, 145, 102);
INSERT INTO public.who_data VALUES (34220, 17, 8740, 0, 227, 145, 34);
INSERT INTO public.who_data VALUES (34221, 0, 12, 0, 0, 145, 212);
INSERT INTO public.who_data VALUES (34222, 561, 75109, 1, 2289, 145, 122);
INSERT INTO public.who_data VALUES (34223, 851, 25567, 8, 757, 145, 38);
INSERT INTO public.who_data VALUES (34224, 40, 2663, 0, 10, 145, 130);
INSERT INTO public.who_data VALUES (34225, 70589, 6145291, 776, 96318, 145, 37);
INSERT INTO public.who_data VALUES (34226, 3509, 278722, 87, 10473, 145, 231);
INSERT INTO public.who_data VALUES (34227, 3512, 449960, 190, 25779, 145, 107);
INSERT INTO public.who_data VALUES (34228, 4116, 353566, 62, 9052, 145, 101);
INSERT INTO public.who_data VALUES (34229, 388, 35378, 0, 1802, 145, 132);
INSERT INTO public.who_data VALUES (34230, 0, 340, 0, 24, 145, 176);
INSERT INTO public.who_data VALUES (34231, 3413, 232187, 32, 1505, 145, 200);
INSERT INTO public.who_data VALUES (34232, 1494, 311364, 16, 35851, 145, 169);
INSERT INTO public.who_data VALUES (34233, 153, 6170, 4, 93, 145, 225);
INSERT INTO public.who_data VALUES (34234, 363, 82494, 9, 1557, 145, 165);
INSERT INTO public.who_data VALUES (34235, 0, 402, 0, 32, 145, 233);
INSERT INTO public.who_data VALUES (34236, 734, 9294, 6, 51, 145, 215);
INSERT INTO public.who_data VALUES (34237, 374, 140707, 0, 2075, 145, 177);
INSERT INTO public.who_data VALUES (34238, 53, 38168, 9, 700, 145, 183);
INSERT INTO public.who_data VALUES (34239, 0, 0, 0, 0, 145, 203);
INSERT INTO public.who_data VALUES (34240, 48, 15477, 3, 615, 145, 162);
INSERT INTO public.who_data VALUES (34241, 437, 103981, 4, 605, 145, 12);
INSERT INTO public.who_data VALUES (34242, 167, 46522, 0, 1064, 145, 24);
INSERT INTO public.who_data VALUES (34243, 0, 23, 0, 0, 145, 119);
INSERT INTO public.who_data VALUES (34244, 21, 1697, 0, 36, 145, 39);
INSERT INTO public.who_data VALUES (34245, 1018, 37258, 4, 351, 145, 26);
INSERT INTO public.who_data VALUES (34246, 7, 1565, 0, 35, 145, 59);
INSERT INTO public.who_data VALUES (34247, 0, 1339, 0, 82, 145, 77);
INSERT INTO public.who_data VALUES (34248, 801, 34014, 13, 540, 145, 134);
INSERT INTO public.who_data VALUES (34249, 1, 120, 0, 1, 145, 4);
INSERT INTO public.who_data VALUES (34250, 88, 4573, 0, 92, 145, 109);
INSERT INTO public.who_data VALUES (34251, 19, 8376, 0, 124, 145, 90);
INSERT INTO public.who_data VALUES (34252, 63, 16348, 0, 229, 145, 61);
INSERT INTO public.who_data VALUES (34253, 2, 5770, 0, 179, 145, 85);
INSERT INTO public.who_data VALUES (34254, 115, 11034, 0, 134, 145, 49);
INSERT INTO public.who_data VALUES (34255, 59, 10157, 0, 34, 145, 208);
INSERT INTO public.who_data VALUES (34256, 4, 3090, 0, 130, 145, 166);
INSERT INTO public.who_data VALUES (34257, 27, 3007, 1, 32, 145, 64);
INSERT INTO public.who_data VALUES (34258, 0, 0, 0, 0, 145, 199);
INSERT INTO public.who_data VALUES (34259, 0, 1298, 0, 20, 145, 114);
INSERT INTO public.who_data VALUES (34260, 12, 7474, 0, 161, 145, 60);
INSERT INTO public.who_data VALUES (34261, 3, 370, 0, 10, 145, 68);
INSERT INTO public.who_data VALUES (34262, 0, 3541, 0, 40, 145, 158);
INSERT INTO public.who_data VALUES (34263, 3886, 730317, 187, 76430, 145, 52);
INSERT INTO public.who_data VALUES (34264, 0, 0, 0, 0, 145, 117);
INSERT INTO public.who_data VALUES (34265, 2, 215, 0, 2, 145, 126);
INSERT INTO public.who_data VALUES (34266, 0, 313, 0, 0, 145, 196);
INSERT INTO public.who_data VALUES (34267, 266, 11206, 1, 164, 145, 142);
INSERT INTO public.who_data VALUES (34268, 0, 13, 0, 1, 145, 185);
INSERT INTO public.who_data VALUES (34269, 1422, 119107, 44, 2113, 145, 138);
INSERT INTO public.who_data VALUES (34270, 305, 8288, 1, 59, 145, 181);
INSERT INTO public.who_data VALUES (34271, 897, 11631, 30, 256, 145, 178);
INSERT INTO public.who_data VALUES (34272, 88, 11121, 1, 121, 145, 168);
INSERT INTO public.who_data VALUES (34273, 0, 0, 0, 0, 145, 160);
INSERT INTO public.who_data VALUES (34274, 1351, 74745, 4, 481, 145, 151);
INSERT INTO public.who_data VALUES (34275, 2902, 114312, 6, 6379, 145, 193);
INSERT INTO public.who_data VALUES (34276, 0, 27, 0, 0, 145, 18);
INSERT INTO public.who_data VALUES (34277, 2, 1479, 0, 25, 145, 40);
INSERT INTO public.who_data VALUES (34278, 0, 4065, 0, 149, 145, 218);
INSERT INTO public.who_data VALUES (34279, 0, 1196, 0, 69, 145, 191);
INSERT INTO public.who_data VALUES (34280, 136, 58460, 3, 1111, 145, 156);
INSERT INTO public.who_data VALUES (34281, 0, 0, 0, 0, 145, 135);
INSERT INTO public.who_data VALUES (34282, 0, 70, 0, 2, 145, 88);
INSERT INTO public.who_data VALUES (34283, 45, 17674, 4, 729, 145, 55);
INSERT INTO public.who_data VALUES (34284, 292, 13698, 4, 274, 145, 108);
INSERT INTO public.who_data VALUES (34285, 503, 49695, 10, 353, 145, 48);
INSERT INTO public.who_data VALUES (34286, 607, 98057, 15, 924, 145, 3);
INSERT INTO public.who_data VALUES (34287, 0, 741, 0, 13, 145, 224);
INSERT INTO public.who_data VALUES (34288, 675, 311516, 8, 6474, 145, 110);
INSERT INTO public.who_data VALUES (34289, 0, 0, 0, 0, 145, 106);
INSERT INTO public.who_data VALUES (34290, 447, 110555, 17, 2340, 145, 89);
INSERT INTO public.who_data VALUES (34291, 0, 534, 0, 7, 145, 121);
INSERT INTO public.who_data VALUES (34292, 762, 38684, 21, 803, 145, 163);
INSERT INTO public.who_data VALUES (34293, 5160, 805302, 120, 32262, 145, 70);
INSERT INTO public.who_data VALUES (34294, 3062, 307288, 37, 5381, 145, 174);
INSERT INTO public.who_data VALUES (34295, 0, 0, 0, 0, 145, 175);
INSERT INTO public.who_data VALUES (34296, 1306, 88636, 15, 2447, 145, 118);
INSERT INTO public.who_data VALUES (34297, 425, 74029, 4, 1957, 145, 189);
INSERT INTO public.who_data VALUES (34298, 1118, 47422, 4, 648, 145, 124);
INSERT INTO public.who_data VALUES (34299, 227, 125311, 0, 214, 145, 192);
INSERT INTO public.who_data VALUES (34300, 38, 23699, 1, 407, 145, 41);
INSERT INTO public.who_data VALUES (34301, 319, 51194, 14, 1301, 145, 95);
INSERT INTO public.who_data VALUES (34302, 197, 3882, 3, 14, 145, 74);
INSERT INTO public.who_data VALUES (34303, 1271, 123944, 30, 4748, 145, 11);
INSERT INTO public.who_data VALUES (34304, 8232, 1167805, 160, 20545, 145, 87);
INSERT INTO public.who_data VALUES (34305, 12, 4832, 0, 29, 145, 214);
INSERT INTO public.who_data VALUES (34306, 0, 5, 0, 0, 145, 116);
INSERT INTO public.who_data VALUES (34307, 0, 48, 0, 0, 145, 157);
INSERT INTO public.who_data VALUES (34308, 0, 0, 0, 0, 145, 182);
INSERT INTO public.who_data VALUES (34309, 0, 19, 0, 0, 145, 186);
INSERT INTO public.who_data VALUES (34310, 0, 27, 0, 0, 145, 127);
INSERT INTO public.who_data VALUES (34311, 0, 383, 0, 8, 145, 232);
INSERT INTO public.who_data VALUES (34312, 0, 12, 0, 0, 145, 33);
INSERT INTO public.who_data VALUES (34313, 0, 64, 0, 0, 145, 97);
INSERT INTO public.who_data VALUES (34314, 0, 0, 0, 0, 145, 42);
INSERT INTO public.who_data VALUES (34315, 3, 749, 0, 42, 145, 198);
INSERT INTO public.who_data VALUES (34316, 0, 911, 0, 15, 145, 216);
INSERT INTO public.who_data VALUES (34317, 455, 333648, 29, 4712, 145, 164);
INSERT INTO public.who_data VALUES (34318, 10, 14919, 1, 309, 145, 235);
INSERT INTO public.who_data VALUES (34319, 30, 33414, 1, 748, 145, 67);
INSERT INTO public.who_data VALUES (34320, 0, 141, 0, 0, 145, 15);
INSERT INTO public.who_data VALUES (34321, 0, 2215, 0, 72, 145, 180);
INSERT INTO public.who_data VALUES (34322, 15, 57715, 0, 27, 145, 237);
INSERT INTO public.who_data VALUES (34323, 0, 13, 0, 0, 145, 25);
INSERT INTO public.who_data VALUES (34324, 26, 644, 0, 22, 145, 209);
INSERT INTO public.who_data VALUES (34325, 478, 9078, 0, 44, 145, 217);
INSERT INTO public.who_data VALUES (34326, 39, 5390, 2, 154, 145, 79);
INSERT INTO public.who_data VALUES (34327, 0, 0, 0, 0, 145, 143);
INSERT INTO public.who_data VALUES (34328, 0, 3588, 0, 99, 145, 229);
INSERT INTO public.who_data VALUES (34329, 903, 671669, 188, 16586, 145, 141);
INSERT INTO public.who_data VALUES (34330, 8, 2700, 0, 49, 145, 197);
INSERT INTO public.who_data VALUES (34331, 5136, 799264, 122, 33691, 145, 221);
INSERT INTO public.who_data VALUES (34332, 3, 3363, 0, 13, 145, 150);
INSERT INTO public.who_data VALUES (34333, 27, 13640, 0, 836, 145, 56);
INSERT INTO public.who_data VALUES (34334, 4, 4835, 0, 102, 145, 167);
INSERT INTO public.who_data VALUES (34335, 167, 92160, 1, 5870, 145, 23);
INSERT INTO public.who_data VALUES (34336, 368, 53053, 3, 1823, 145, 222);
INSERT INTO public.who_data VALUES (34337, 30, 4102, 2, 194, 145, 219);
INSERT INTO public.who_data VALUES (34338, 39, 9685, 0, 75, 145, 7);
INSERT INTO public.who_data VALUES (34339, 14, 3559, 0, 59, 145, 161);
INSERT INTO public.who_data VALUES (34340, 4044, 439017, 13, 42001, 145, 149);
INSERT INTO public.who_data VALUES (34341, 1, 28, 0, 0, 145, 6);
INSERT INTO public.who_data VALUES (34342, 6, 1749, 1, 47, 145, 139);
INSERT INTO public.who_data VALUES (34343, 0, 0, 0, 0, 145, 211);
INSERT INTO public.who_data VALUES (34344, 0, 0, 0, 0, 145, 14);
INSERT INTO public.who_data VALUES (34345, 61, 4382, 2, 72, 145, 111);
INSERT INTO public.who_data VALUES (34346, 1291, 17405, 32, 246, 145, 207);
INSERT INTO public.who_data VALUES (34347, 8142, 739835, 65, 8062, 145, 66);
INSERT INTO public.who_data VALUES (34348, 0, 0, 0, 0, 145, 173);
INSERT INTO public.who_data VALUES (34349, 1, 682, 0, 5, 145, 145);
INSERT INTO public.who_data VALUES (34350, 0, 0, 0, 0, 145, 65);
INSERT INTO public.who_data VALUES (34351, 247, 7777, 2, 75, 145, 184);
INSERT INTO public.who_data VALUES (34352, 3627, 204932, 69, 4065, 145, 98);
INSERT INTO public.who_data VALUES (34353, 626, 92095, 1, 413, 145, 104);
INSERT INTO public.who_data VALUES (34354, 0, 509, 0, 21, 145, 73);
INSERT INTO public.who_data VALUES (34355, 35217, 7044327, 291, 203620, 145, 8);
INSERT INTO public.who_data VALUES (34356, 0, 1317, 0, 19, 145, 227);
INSERT INTO public.who_data VALUES (34357, 10, 2008, 0, 47, 145, 75);
INSERT INTO public.who_data VALUES (34358, 475, 56068, 3, 463, 145, 45);
INSERT INTO public.who_data VALUES (34359, 0, 0, 0, 0, 145, 133);
INSERT INTO public.who_data VALUES (34360, 751, 72691, 6, 606, 145, 202);
INSERT INTO public.who_data VALUES (34361, 3, 1077, 0, 35, 145, 129);
INSERT INTO public.who_data VALUES (34362, 0, 0, 0, 0, 145, 36);
INSERT INTO public.who_data VALUES (34363, 1, 2035, 0, 588, 145, 51);
INSERT INTO public.who_data VALUES (34364, 19, 14660, 0, 332, 145, 206);
INSERT INTO public.who_data VALUES (34365, 4, 7816, 1, 228, 145, 5);
INSERT INTO public.who_data VALUES (34366, 12, 39325, 3, 1460, 146, 103);
INSERT INTO public.who_data VALUES (34367, 106, 13259, 2, 377, 146, 58);
INSERT INTO public.who_data VALUES (34368, 153, 51067, 3, 1714, 146, 195);
INSERT INTO public.who_data VALUES (34369, 0, 0, 0, 0, 146, 115);
INSERT INTO public.who_data VALUES (34370, 0, 1836, 0, 53, 146, 99);
INSERT INTO public.who_data VALUES (34371, 46, 4718, 3, 174, 146, 153);
INSERT INTO public.who_data VALUES (34372, 0, 3, 0, 0, 146, 93);
INSERT INTO public.who_data VALUES (34373, 3, 101, 0, 3, 146, 84);
INSERT INTO public.who_data VALUES (34374, 11249, 702484, 335, 15543, 146, 78);
INSERT INTO public.who_data VALUES (34375, 174, 48887, 6, 952, 146, 170);
INSERT INTO public.who_data VALUES (34376, 0, 3756, 0, 25, 146, 32);
INSERT INTO public.who_data VALUES (34377, 24, 27040, 2, 872, 146, 155);
INSERT INTO public.who_data VALUES (34378, 526, 43466, 0, 787, 146, 82);
INSERT INTO public.who_data VALUES (34379, 128, 40023, 1, 586, 146, 16);
INSERT INTO public.who_data VALUES (34380, 48, 3838, 0, 89, 146, 72);
INSERT INTO public.who_data VALUES (34381, 586, 69361, 3, 242, 146, 43);
INSERT INTO public.who_data VALUES (34382, 1275, 359148, 32, 5161, 146, 120);
INSERT INTO public.who_data VALUES (34383, 0, 190, 0, 7, 146, 213);
INSERT INTO public.who_data VALUES (34384, 320, 77609, 5, 818, 146, 31);
INSERT INTO public.who_data VALUES (34385, 540, 116692, 12, 9982, 146, 204);
INSERT INTO public.who_data VALUES (34386, 17, 1825, 1, 24, 146, 152);
INSERT INTO public.who_data VALUES (34387, 15, 2340, 0, 40, 146, 144);
INSERT INTO public.who_data VALUES (34388, 0, 181, 0, 9, 146, 96);
INSERT INTO public.who_data VALUES (34389, 2, 273, 0, 0, 146, 47);
INSERT INTO public.who_data VALUES (34390, 370, 133592, 28, 7828, 146, 80);
INSERT INTO public.who_data VALUES (34391, 21, 88, 0, 1, 146, 159);
INSERT INTO public.who_data VALUES (34392, 122, 26917, 2, 810, 146, 27);
INSERT INTO public.who_data VALUES (34393, 0, 2921, 0, 13, 146, 146);
INSERT INTO public.who_data VALUES (34394, 28378, 4717991, 869, 141406, 146, 71);
INSERT INTO public.who_data VALUES (34395, 0, 71, 0, 1, 146, 210);
INSERT INTO public.who_data VALUES (34396, 0, 146, 0, 3, 146, 54);
INSERT INTO public.who_data VALUES (34397, 58, 20055, 7, 796, 146, 147);
INSERT INTO public.who_data VALUES (34398, 0, 1929, 0, 56, 146, 2);
INSERT INTO public.who_data VALUES (34399, 18, 502, 0, 1, 146, 105);
INSERT INTO public.who_data VALUES (34400, 70, 5771, 1, 57, 146, 53);
INSERT INTO public.who_data VALUES (34401, 0, 276, 0, 0, 146, 81);
INSERT INTO public.who_data VALUES (34402, 103, 20838, 0, 418, 146, 223);
INSERT INTO public.who_data VALUES (34403, 1215, 151671, 7, 9262, 146, 94);
INSERT INTO public.who_data VALUES (34404, 0, 210, 0, 1, 146, 154);
INSERT INTO public.who_data VALUES (34405, 0, 4806, 0, 62, 146, 83);
INSERT INTO public.who_data VALUES (34406, 1, 1178, 1, 84, 146, 194);
INSERT INTO public.who_data VALUES (34407, 1922, 457901, 50, 12641, 146, 136);
INSERT INTO public.who_data VALUES (34408, 27, 90993, 0, 4746, 146, 179);
INSERT INTO public.who_data VALUES (34409, 7721, 806038, 193, 25296, 146, 57);
INSERT INTO public.who_data VALUES (34410, 0, 474, 0, 7, 146, 35);
INSERT INTO public.who_data VALUES (34411, 0, 5008, 0, 89, 146, 228);
INSERT INTO public.who_data VALUES (34412, 0, 0, 0, 0, 146, 19);
INSERT INTO public.who_data VALUES (34413, 1233, 72049, 16, 828, 146, 22);
INSERT INTO public.who_data VALUES (34414, 73, 19629, 0, 120, 146, 1);
INSERT INTO public.who_data VALUES (34415, 190, 16197, 3, 272, 146, 21);
INSERT INTO public.who_data VALUES (34416, 45, 5457, 2, 122, 146, 234);
INSERT INTO public.who_data VALUES (34417, 0, 315, 0, 1, 146, 91);
INSERT INTO public.who_data VALUES (34418, 12, 1696, 0, 22, 146, 137);
INSERT INTO public.who_data VALUES (34419, 1303, 64597, 15, 606, 146, 201);
INSERT INTO public.who_data VALUES (34420, 0, 0, 0, 0, 146, 171);
INSERT INTO public.who_data VALUES (34421, 19, 10611, 0, 271, 146, 92);
INSERT INTO public.who_data VALUES (34422, 424, 26637, 1, 649, 146, 112);
INSERT INTO public.who_data VALUES (34423, 0, 5409, 0, 61, 146, 62);
INSERT INTO public.who_data VALUES (34424, 6, 30, 0, 0, 146, 69);
INSERT INTO public.who_data VALUES (34425, 429, 111386, 2, 2095, 146, 220);
INSERT INTO public.who_data VALUES (34426, 766, 134747, 6, 11279, 146, 100);
INSERT INTO public.who_data VALUES (34427, 104, 102840, 14, 5883, 146, 187);
INSERT INTO public.who_data VALUES (34428, 215, 28630, 0, 826, 146, 63);
INSERT INTO public.who_data VALUES (34429, 0, 5028, 0, 83, 146, 28);
INSERT INTO public.who_data VALUES (34430, 0, 375, 0, 0, 146, 172);
INSERT INTO public.who_data VALUES (34431, 35, 3200, 0, 64, 146, 17);
INSERT INTO public.who_data VALUES (34432, 12, 5431, 0, 108, 146, 226);
INSERT INTO public.who_data VALUES (34433, 632, 73332, 5, 1170, 146, 236);
INSERT INTO public.who_data VALUES (34434, 0, 13, 0, 0, 146, 76);
INSERT INTO public.who_data VALUES (34435, 0, 460, 0, 0, 146, 30);
INSERT INTO public.who_data VALUES (34436, 0, 32, 0, 2, 146, 128);
INSERT INTO public.who_data VALUES (34437, 105, 9682, 0, 343, 146, 86);
INSERT INTO public.who_data VALUES (34438, 11123, 514785, 27, 31541, 146, 140);
INSERT INTO public.who_data VALUES (34439, 0, 9863, 0, 65, 146, 44);
INSERT INTO public.who_data VALUES (34440, 0, 1579, 0, 6, 146, 113);
INSERT INTO public.who_data VALUES (34441, 0, 8728, 0, 54, 146, 29);
INSERT INTO public.who_data VALUES (34442, 5, 3569, 1, 111, 146, 125);
INSERT INTO public.who_data VALUES (34443, 298, 5552, 0, 28, 146, 131);
INSERT INTO public.who_data VALUES (34444, 1192, 285332, 3, 9460, 146, 46);
INSERT INTO public.who_data VALUES (34445, 0, 46222, 0, 299, 146, 10);
INSERT INTO public.who_data VALUES (34446, 8, 372, 0, 0, 146, 205);
INSERT INTO public.who_data VALUES (34447, 216, 17444, 3, 379, 146, 50);
INSERT INTO public.who_data VALUES (34448, 0, 14, 0, 0, 146, 20);
INSERT INTO public.who_data VALUES (34449, 0, 24, 0, 0, 146, 13);
INSERT INTO public.who_data VALUES (34450, 0, 4954, 0, 42, 146, 148);
INSERT INTO public.who_data VALUES (34451, 1, 2355, 0, 43, 146, 230);
INSERT INTO public.who_data VALUES (34452, 390, 90092, 16, 3229, 146, 190);
INSERT INTO public.who_data VALUES (34453, 0, 256, 0, 13, 146, 188);
INSERT INTO public.who_data VALUES (34454, 32, 10580, 0, 66, 146, 123);
INSERT INTO public.who_data VALUES (34455, 0, 2324, 0, 39, 146, 9);
INSERT INTO public.who_data VALUES (34456, 16, 2725, 1, 74, 146, 102);
INSERT INTO public.who_data VALUES (34457, 39, 8723, 0, 227, 146, 34);
INSERT INTO public.who_data VALUES (34458, 0, 12, 0, 0, 146, 212);
INSERT INTO public.who_data VALUES (34459, 708, 74548, 17, 2288, 146, 122);
INSERT INTO public.who_data VALUES (34460, 702, 24716, 13, 749, 146, 38);
INSERT INTO public.who_data VALUES (34461, 22, 2623, 0, 10, 146, 130);
INSERT INTO public.who_data VALUES (34462, 82170, 6074702, 1039, 95542, 146, 37);
INSERT INTO public.who_data VALUES (34463, 3874, 275213, 78, 10386, 146, 231);
INSERT INTO public.who_data VALUES (34464, 3362, 446448, 195, 25589, 146, 107);
INSERT INTO public.who_data VALUES (34465, 3481, 349450, 55, 8990, 146, 101);
INSERT INTO public.who_data VALUES (34466, 430, 34990, 0, 1802, 146, 132);
INSERT INTO public.who_data VALUES (34467, 0, 340, 0, 24, 146, 176);
INSERT INTO public.who_data VALUES (34468, 5882, 228774, 26, 1473, 146, 200);
INSERT INTO public.who_data VALUES (34469, 1766, 309870, 17, 35835, 146, 169);
INSERT INTO public.who_data VALUES (34470, 163, 6017, 1, 89, 146, 225);
INSERT INTO public.who_data VALUES (34471, 441, 82131, 3, 1548, 146, 165);
INSERT INTO public.who_data VALUES (34472, 0, 402, 0, 32, 146, 233);
INSERT INTO public.who_data VALUES (34473, 431, 8560, 2, 45, 146, 215);
INSERT INTO public.who_data VALUES (34474, 68, 140333, 0, 2075, 146, 177);
INSERT INTO public.who_data VALUES (34475, 244, 38115, 2, 691, 146, 183);
INSERT INTO public.who_data VALUES (34476, 0, 0, 0, 0, 146, 203);
INSERT INTO public.who_data VALUES (34477, 47, 15429, 3, 612, 146, 162);
INSERT INTO public.who_data VALUES (34478, 345, 103544, 4, 601, 146, 12);
INSERT INTO public.who_data VALUES (34479, 104, 46355, 1, 1064, 146, 24);
INSERT INTO public.who_data VALUES (34480, 0, 23, 0, 0, 146, 119);
INSERT INTO public.who_data VALUES (34481, 22, 1676, 0, 36, 146, 39);
INSERT INTO public.who_data VALUES (34482, 1012, 36240, 7, 347, 146, 26);
INSERT INTO public.who_data VALUES (34483, 0, 1558, 0, 35, 146, 59);
INSERT INTO public.who_data VALUES (34484, 1, 1339, 0, 82, 146, 77);
INSERT INTO public.who_data VALUES (34485, 849, 33213, 7, 527, 146, 134);
INSERT INTO public.who_data VALUES (34486, 0, 119, 0, 1, 146, 4);
INSERT INTO public.who_data VALUES (34487, 104, 4485, 0, 92, 146, 109);
INSERT INTO public.who_data VALUES (34488, 46, 8357, 0, 124, 146, 90);
INSERT INTO public.who_data VALUES (34489, 28, 16285, 0, 229, 146, 61);
INSERT INTO public.who_data VALUES (34490, 2, 5768, 0, 179, 146, 85);
INSERT INTO public.who_data VALUES (34491, 150, 10919, 1, 134, 146, 49);
INSERT INTO public.who_data VALUES (34492, 53, 10098, 0, 34, 146, 208);
INSERT INTO public.who_data VALUES (34493, 6, 3086, 0, 130, 146, 166);
INSERT INTO public.who_data VALUES (34494, 21, 2980, 1, 31, 146, 64);
INSERT INTO public.who_data VALUES (34495, 0, 0, 0, 0, 146, 199);
INSERT INTO public.who_data VALUES (34496, 0, 1298, 0, 20, 146, 114);
INSERT INTO public.who_data VALUES (34497, 0, 7462, 0, 161, 146, 60);
INSERT INTO public.who_data VALUES (34498, 0, 367, 0, 10, 146, 68);
INSERT INTO public.who_data VALUES (34499, 0, 3541, 0, 40, 146, 158);
INSERT INTO public.who_data VALUES (34500, 5573, 726431, 399, 76243, 146, 52);
INSERT INTO public.who_data VALUES (34501, 0, 0, 0, 0, 146, 117);
INSERT INTO public.who_data VALUES (34502, 0, 213, 0, 2, 146, 126);
INSERT INTO public.who_data VALUES (34503, 0, 313, 0, 0, 146, 196);
INSERT INTO public.who_data VALUES (34504, 371, 10940, 5, 163, 146, 142);
INSERT INTO public.who_data VALUES (34505, 0, 13, 0, 1, 146, 185);
INSERT INTO public.who_data VALUES (34506, 2444, 117685, 28, 2069, 146, 138);
INSERT INTO public.who_data VALUES (34507, 226, 7983, 4, 58, 146, 181);
INSERT INTO public.who_data VALUES (34508, 743, 10734, 28, 226, 146, 178);
INSERT INTO public.who_data VALUES (34509, 115, 11033, 0, 120, 146, 168);
INSERT INTO public.who_data VALUES (34510, 0, 0, 0, 0, 146, 160);
INSERT INTO public.who_data VALUES (34511, 1573, 73394, 10, 477, 146, 151);
INSERT INTO public.who_data VALUES (34512, 2976, 111410, 8, 6373, 146, 193);
INSERT INTO public.who_data VALUES (34513, 0, 27, 0, 0, 146, 18);
INSERT INTO public.who_data VALUES (34514, 0, 1477, 0, 25, 146, 40);
INSERT INTO public.who_data VALUES (34515, 0, 4065, 0, 149, 146, 218);
INSERT INTO public.who_data VALUES (34516, 2, 1196, 0, 69, 146, 191);
INSERT INTO public.who_data VALUES (34517, 126, 58324, 2, 1108, 146, 156);
INSERT INTO public.who_data VALUES (34518, 0, 0, 0, 0, 146, 135);
INSERT INTO public.who_data VALUES (34519, 0, 70, 0, 2, 146, 88);
INSERT INTO public.who_data VALUES (34520, 286, 17629, 4, 725, 146, 55);
INSERT INTO public.who_data VALUES (34521, 0, 13406, 0, 270, 146, 108);
INSERT INTO public.who_data VALUES (34522, 620, 49192, 9, 343, 146, 48);
INSERT INTO public.who_data VALUES (34523, 1543, 97450, 24, 909, 146, 3);
INSERT INTO public.who_data VALUES (34524, 0, 741, 0, 13, 146, 224);
INSERT INTO public.who_data VALUES (34525, 566, 310841, 9, 6466, 146, 110);
INSERT INTO public.who_data VALUES (34526, 0, 0, 0, 0, 146, 106);
INSERT INTO public.who_data VALUES (34527, 677, 110108, 12, 2323, 146, 89);
INSERT INTO public.who_data VALUES (34528, 2, 534, 0, 7, 146, 121);
INSERT INTO public.who_data VALUES (34529, 696, 37922, 21, 782, 146, 163);
INSERT INTO public.who_data VALUES (34530, 5558, 800142, 105, 32142, 146, 70);
INSERT INTO public.who_data VALUES (34531, 2970, 304226, 60, 5344, 146, 174);
INSERT INTO public.who_data VALUES (34532, 0, 0, 0, 0, 146, 175);
INSERT INTO public.who_data VALUES (34533, 1350, 87330, 8, 2432, 146, 118);
INSERT INTO public.who_data VALUES (34534, 665, 73604, 9, 1953, 146, 189);
INSERT INTO public.who_data VALUES (34535, 891, 46304, 2, 644, 146, 124);
INSERT INTO public.who_data VALUES (34536, 234, 125084, 0, 214, 146, 192);
INSERT INTO public.who_data VALUES (34537, 50, 23661, 5, 406, 146, 41);
INSERT INTO public.who_data VALUES (34538, 341, 50875, 8, 1287, 146, 95);
INSERT INTO public.who_data VALUES (34539, 0, 3685, 0, 11, 146, 74);
INSERT INTO public.who_data VALUES (34540, 1438, 122673, 31, 4718, 146, 11);
INSERT INTO public.who_data VALUES (34541, 8135, 1159573, 61, 20385, 146, 87);
INSERT INTO public.who_data VALUES (34542, 9, 4820, 0, 29, 146, 214);
INSERT INTO public.who_data VALUES (34543, 0, 5, 0, 0, 146, 116);
INSERT INTO public.who_data VALUES (34544, 0, 48, 0, 0, 146, 157);
INSERT INTO public.who_data VALUES (34545, 0, 0, 0, 0, 146, 182);
INSERT INTO public.who_data VALUES (34546, 0, 19, 0, 0, 146, 186);
INSERT INTO public.who_data VALUES (34547, 0, 27, 0, 0, 146, 127);
INSERT INTO public.who_data VALUES (34548, 0, 383, 0, 8, 146, 232);
INSERT INTO public.who_data VALUES (34549, 0, 12, 0, 0, 146, 33);
INSERT INTO public.who_data VALUES (34550, 0, 64, 0, 0, 146, 97);
INSERT INTO public.who_data VALUES (34551, 0, 0, 0, 0, 146, 42);
INSERT INTO public.who_data VALUES (34552, 0, 746, 0, 42, 146, 198);
INSERT INTO public.who_data VALUES (34553, 0, 911, 0, 15, 146, 216);
INSERT INTO public.who_data VALUES (34554, 403, 333193, 28, 4683, 146, 164);
INSERT INTO public.who_data VALUES (34555, 40, 14909, 2, 308, 146, 235);
INSERT INTO public.who_data VALUES (34556, 72, 33384, 1, 747, 146, 67);
INSERT INTO public.who_data VALUES (34557, 0, 141, 0, 0, 146, 15);
INSERT INTO public.who_data VALUES (34558, 7, 2215, 0, 72, 146, 180);
INSERT INTO public.who_data VALUES (34559, 15, 57700, 0, 27, 146, 237);
INSERT INTO public.who_data VALUES (34560, 0, 13, 0, 0, 146, 25);
INSERT INTO public.who_data VALUES (34561, 0, 618, 0, 22, 146, 209);
INSERT INTO public.who_data VALUES (34562, 552, 8600, 3, 44, 146, 217);
INSERT INTO public.who_data VALUES (34563, 158, 5351, 1, 152, 146, 79);
INSERT INTO public.who_data VALUES (34564, 0, 0, 0, 0, 146, 143);
INSERT INTO public.who_data VALUES (34565, 0, 3588, 0, 99, 146, 229);
INSERT INTO public.who_data VALUES (34566, 1268, 670766, 22, 16398, 146, 141);
INSERT INTO public.who_data VALUES (34567, 6, 2692, 0, 49, 146, 197);
INSERT INTO public.who_data VALUES (34568, 7837, 794128, 115, 33569, 146, 221);
INSERT INTO public.who_data VALUES (34569, 11, 3360, 0, 13, 146, 150);
INSERT INTO public.who_data VALUES (34570, 3, 13613, 0, 836, 146, 56);
INSERT INTO public.who_data VALUES (34571, 14, 4831, 0, 102, 146, 167);
INSERT INTO public.who_data VALUES (34572, 325, 91993, 2, 5869, 146, 23);
INSERT INTO public.who_data VALUES (34573, 120, 52685, 1, 1820, 146, 222);
INSERT INTO public.who_data VALUES (34574, 34, 4072, 4, 192, 146, 219);
INSERT INTO public.who_data VALUES (34575, 41, 9646, 0, 75, 146, 7);
INSERT INTO public.who_data VALUES (34576, 22, 3545, 0, 59, 146, 161);
INSERT INTO public.who_data VALUES (34577, 5692, 434973, 17, 41988, 146, 149);
INSERT INTO public.who_data VALUES (34578, 0, 27, 0, 0, 146, 6);
INSERT INTO public.who_data VALUES (34579, 7, 1743, 0, 46, 146, 139);
INSERT INTO public.who_data VALUES (34580, 0, 0, 0, 0, 146, 211);
INSERT INTO public.who_data VALUES (34581, 0, 0, 0, 0, 146, 14);
INSERT INTO public.who_data VALUES (34582, 36, 4321, 0, 70, 146, 111);
INSERT INTO public.who_data VALUES (34583, 0, 16114, 0, 214, 146, 207);
INSERT INTO public.who_data VALUES (34584, 8197, 731693, 68, 7997, 146, 66);
INSERT INTO public.who_data VALUES (34585, 0, 0, 0, 0, 146, 173);
INSERT INTO public.who_data VALUES (34586, 1, 681, 0, 5, 146, 145);
INSERT INTO public.who_data VALUES (34587, 0, 0, 0, 0, 146, 65);
INSERT INTO public.who_data VALUES (34588, 166, 7530, 2, 73, 146, 184);
INSERT INTO public.who_data VALUES (34589, 2671, 201305, 37, 3996, 146, 98);
INSERT INTO public.who_data VALUES (34590, 851, 91469, 1, 412, 146, 104);
INSERT INTO public.who_data VALUES (34591, 0, 509, 0, 21, 146, 73);
INSERT INTO public.who_data VALUES (34592, 48958, 7009110, 851, 203329, 146, 8);
INSERT INTO public.who_data VALUES (34593, 21, 1317, 0, 19, 146, 227);
INSERT INTO public.who_data VALUES (34594, 31, 1998, 0, 47, 146, 75);
INSERT INTO public.who_data VALUES (34595, 640, 55593, 6, 460, 146, 45);
INSERT INTO public.who_data VALUES (34596, 0, 0, 0, 0, 146, 133);
INSERT INTO public.who_data VALUES (34597, 667, 71940, 9, 600, 146, 202);
INSERT INTO public.who_data VALUES (34598, 5, 1074, 0, 35, 146, 129);
INSERT INTO public.who_data VALUES (34599, 0, 0, 0, 0, 146, 36);
INSERT INTO public.who_data VALUES (34600, 0, 2034, 0, 588, 146, 51);
INSERT INTO public.who_data VALUES (34601, 29, 14641, 0, 332, 146, 206);
INSERT INTO public.who_data VALUES (34602, 9, 7812, 0, 227, 146, 5);
INSERT INTO public.who_data VALUES (34603, 35, 39313, 0, 1457, 147, 103);
INSERT INTO public.who_data VALUES (34604, 108, 13153, 2, 375, 147, 58);
INSERT INTO public.who_data VALUES (34605, 160, 50914, 4, 1711, 147, 195);
INSERT INTO public.who_data VALUES (34606, 0, 0, 0, 0, 147, 115);
INSERT INTO public.who_data VALUES (34607, 0, 1836, 0, 53, 147, 99);
INSERT INTO public.who_data VALUES (34608, 82, 4672, 4, 171, 147, 153);
INSERT INTO public.who_data VALUES (34609, 0, 3, 0, 0, 147, 93);
INSERT INTO public.who_data VALUES (34610, 0, 98, 0, 3, 147, 84);
INSERT INTO public.who_data VALUES (34611, 12969, 691235, 442, 15208, 147, 78);
INSERT INTO public.who_data VALUES (34612, 328, 48713, 3, 946, 147, 170);
INSERT INTO public.who_data VALUES (34613, 0, 3756, 0, 25, 147, 32);
INSERT INTO public.who_data VALUES (34614, 16, 27016, 1, 870, 147, 155);
INSERT INTO public.who_data VALUES (34615, 623, 42940, 1, 787, 147, 82);
INSERT INTO public.who_data VALUES (34616, 108, 39895, 2, 585, 147, 16);
INSERT INTO public.who_data VALUES (34617, 91, 3790, 3, 89, 147, 72);
INSERT INTO public.who_data VALUES (34618, 585, 68775, 3, 239, 147, 43);
INSERT INTO public.who_data VALUES (34619, 1106, 357873, 36, 5129, 147, 120);
INSERT INTO public.who_data VALUES (34620, 1, 190, 0, 7, 147, 213);
INSERT INTO public.who_data VALUES (34621, 332, 77289, 6, 813, 147, 31);
INSERT INTO public.who_data VALUES (34622, 944, 116152, 6, 9970, 147, 204);
INSERT INTO public.who_data VALUES (34623, 50, 1808, 1, 23, 147, 152);
INSERT INTO public.who_data VALUES (34624, 0, 2325, 0, 40, 147, 144);
INSERT INTO public.who_data VALUES (34625, 0, 181, 0, 9, 147, 96);
INSERT INTO public.who_data VALUES (34626, 8, 271, 0, 0, 147, 47);
INSERT INTO public.who_data VALUES (34627, 604, 133222, 35, 7800, 147, 80);
INSERT INTO public.who_data VALUES (34628, 0, 67, 0, 1, 147, 159);
INSERT INTO public.who_data VALUES (34629, 235, 26795, 7, 808, 147, 27);
INSERT INTO public.who_data VALUES (34630, 0, 2921, 0, 13, 147, 146);
INSERT INTO public.who_data VALUES (34631, 31911, 4689613, 729, 140537, 147, 71);
INSERT INTO public.who_data VALUES (34632, 0, 71, 0, 1, 147, 210);
INSERT INTO public.who_data VALUES (34633, 0, 146, 0, 3, 147, 54);
INSERT INTO public.who_data VALUES (34634, 169, 19997, 0, 789, 147, 147);
INSERT INTO public.who_data VALUES (34635, 0, 1929, 0, 56, 147, 2);
INSERT INTO public.who_data VALUES (34636, 0, 484, 0, 1, 147, 105);
INSERT INTO public.who_data VALUES (34637, 73, 5701, 1, 56, 147, 53);
INSERT INTO public.who_data VALUES (34638, 1, 276, 0, 0, 147, 81);
INSERT INTO public.who_data VALUES (34639, 0, 20735, 0, 418, 147, 223);
INSERT INTO public.who_data VALUES (34640, 1362, 150456, 6, 9255, 147, 94);
INSERT INTO public.who_data VALUES (34641, 0, 210, 0, 1, 147, 154);
INSERT INTO public.who_data VALUES (34642, 0, 4806, 0, 62, 147, 83);
INSERT INTO public.who_data VALUES (34643, 2, 1177, 0, 83, 147, 194);
INSERT INTO public.who_data VALUES (34644, 2111, 455979, 64, 12591, 147, 136);
INSERT INTO public.who_data VALUES (34645, 15, 90966, 0, 4746, 147, 179);
INSERT INTO public.who_data VALUES (34646, 7494, 798317, 179, 25103, 147, 57);
INSERT INTO public.who_data VALUES (34647, 0, 474, 0, 7, 147, 35);
INSERT INTO public.who_data VALUES (34648, 3, 5008, 0, 89, 147, 228);
INSERT INTO public.who_data VALUES (34649, 0, 0, 0, 0, 147, 19);
INSERT INTO public.who_data VALUES (34650, 1357, 70816, 17, 812, 147, 22);
INSERT INTO public.who_data VALUES (34651, 0, 19556, 0, 120, 147, 1);
INSERT INTO public.who_data VALUES (34652, 212, 16007, 3, 269, 147, 21);
INSERT INTO public.who_data VALUES (34653, 62, 5412, 2, 120, 147, 234);
INSERT INTO public.who_data VALUES (34654, 0, 315, 0, 1, 147, 91);
INSERT INTO public.who_data VALUES (34655, 13, 1684, 0, 22, 147, 137);
INSERT INTO public.who_data VALUES (34656, 1976, 63294, 10, 591, 147, 201);
INSERT INTO public.who_data VALUES (34657, 0, 0, 0, 0, 147, 171);
INSERT INTO public.who_data VALUES (34658, 15, 10592, 0, 271, 147, 92);
INSERT INTO public.who_data VALUES (34659, 619, 26213, 1, 648, 147, 112);
INSERT INTO public.who_data VALUES (34660, 0, 5409, 0, 61, 147, 62);
INSERT INTO public.who_data VALUES (34661, 0, 24, 0, 0, 147, 69);
INSERT INTO public.who_data VALUES (34662, 360, 110957, 6, 2093, 147, 220);
INSERT INTO public.who_data VALUES (34663, 1506, 133981, 37, 11273, 147, 100);
INSERT INTO public.who_data VALUES (34664, 111, 102736, 16, 5869, 147, 187);
INSERT INTO public.who_data VALUES (34665, 0, 28415, 3, 826, 147, 63);
INSERT INTO public.who_data VALUES (34666, 10, 5028, 0, 83, 147, 28);
INSERT INTO public.who_data VALUES (34667, 6, 375, 0, 0, 147, 172);
INSERT INTO public.who_data VALUES (34668, 47, 3165, 0, 64, 147, 17);
INSERT INTO public.who_data VALUES (34669, 20, 5419, 0, 108, 147, 226);
INSERT INTO public.who_data VALUES (34670, 527, 72700, 10, 1165, 147, 236);
INSERT INTO public.who_data VALUES (34671, 0, 13, 0, 0, 147, 76);
INSERT INTO public.who_data VALUES (34672, 2, 460, 0, 0, 147, 30);
INSERT INTO public.who_data VALUES (34673, 0, 32, 0, 2, 147, 128);
INSERT INTO public.who_data VALUES (34674, 93, 9577, 0, 343, 147, 86);
INSERT INTO public.who_data VALUES (34675, 13886, 503662, 39, 31514, 147, 140);
INSERT INTO public.who_data VALUES (34676, 32, 9863, 0, 65, 147, 44);
INSERT INTO public.who_data VALUES (34677, 0, 1579, 0, 6, 147, 113);
INSERT INTO public.who_data VALUES (34678, 0, 8728, 0, 54, 147, 29);
INSERT INTO public.who_data VALUES (34679, 9, 3564, 0, 110, 147, 125);
INSERT INTO public.who_data VALUES (34680, 294, 5254, 1, 28, 147, 131);
INSERT INTO public.who_data VALUES (34681, 1410, 284140, 5, 9457, 147, 46);
INSERT INTO public.who_data VALUES (34682, 0, 46222, 0, 299, 147, 10);
INSERT INTO public.who_data VALUES (34683, 3, 364, 0, 0, 147, 205);
INSERT INTO public.who_data VALUES (34684, 315, 17228, 7, 376, 147, 50);
INSERT INTO public.who_data VALUES (34685, 0, 14, 0, 0, 147, 20);
INSERT INTO public.who_data VALUES (34686, 0, 24, 0, 0, 147, 13);
INSERT INTO public.who_data VALUES (34687, 467, 4954, 0, 42, 147, 148);
INSERT INTO public.who_data VALUES (34688, 68, 2354, 2, 43, 147, 230);
INSERT INTO public.who_data VALUES (34689, 824, 89702, 27, 3213, 147, 190);
INSERT INTO public.who_data VALUES (34690, 0, 256, 0, 13, 147, 188);
INSERT INTO public.who_data VALUES (34691, 70, 10548, 1, 66, 147, 123);
INSERT INTO public.who_data VALUES (34692, 0, 2324, 0, 39, 147, 9);
INSERT INTO public.who_data VALUES (34693, 130, 2709, 2, 73, 147, 102);
INSERT INTO public.who_data VALUES (34694, 0, 8684, 0, 227, 147, 34);
INSERT INTO public.who_data VALUES (34695, 0, 12, 0, 0, 147, 212);
INSERT INTO public.who_data VALUES (34696, 647, 73840, 22, 2271, 147, 122);
INSERT INTO public.who_data VALUES (34697, 937, 24014, 6, 736, 147, 38);
INSERT INTO public.who_data VALUES (34698, 40, 2601, 0, 10, 147, 130);
INSERT INTO public.who_data VALUES (34699, 88600, 5992532, 1124, 94503, 147, 37);
INSERT INTO public.who_data VALUES (34700, 4494, 271339, 90, 10308, 147, 231);
INSERT INTO public.who_data VALUES (34701, 3204, 443086, 172, 25394, 147, 107);
INSERT INTO public.who_data VALUES (34702, 4270, 345969, 68, 8935, 147, 101);
INSERT INTO public.who_data VALUES (34703, 245, 34560, 5, 1802, 147, 132);
INSERT INTO public.who_data VALUES (34704, 0, 340, 0, 24, 147, 176);
INSERT INTO public.who_data VALUES (34705, 8389, 222892, 30, 1447, 147, 200);
INSERT INTO public.who_data VALUES (34706, 1869, 308104, 17, 35818, 147, 169);
INSERT INTO public.who_data VALUES (34707, 131, 5854, 8, 88, 147, 225);
INSERT INTO public.who_data VALUES (34708, 635, 81690, 5, 1545, 147, 165);
INSERT INTO public.who_data VALUES (34709, 3, 402, 0, 32, 147, 233);
INSERT INTO public.who_data VALUES (34710, 850, 8129, 4, 43, 147, 215);
INSERT INTO public.who_data VALUES (34711, 90, 140265, 32, 2075, 147, 177);
INSERT INTO public.who_data VALUES (34712, 164, 37871, 7, 689, 147, 183);
INSERT INTO public.who_data VALUES (34713, 0, 0, 0, 0, 147, 203);
INSERT INTO public.who_data VALUES (34714, 46, 15382, 2, 609, 147, 162);
INSERT INTO public.who_data VALUES (34715, 758, 103199, 2, 597, 147, 12);
INSERT INTO public.who_data VALUES (34716, 161, 46251, 0, 1063, 147, 24);
INSERT INTO public.who_data VALUES (34717, 0, 23, 0, 0, 147, 119);
INSERT INTO public.who_data VALUES (34718, 29, 1654, 0, 36, 147, 39);
INSERT INTO public.who_data VALUES (34719, 1280, 35228, 7, 340, 147, 26);
INSERT INTO public.who_data VALUES (34720, 4, 1558, 0, 35, 147, 59);
INSERT INTO public.who_data VALUES (34721, 0, 1338, 0, 82, 147, 77);
INSERT INTO public.who_data VALUES (34722, 536, 32364, 21, 520, 147, 134);
INSERT INTO public.who_data VALUES (34723, 0, 119, 0, 1, 147, 4);
INSERT INTO public.who_data VALUES (34724, 91, 4381, 2, 92, 147, 109);
INSERT INTO public.who_data VALUES (34725, 78, 8311, 0, 124, 147, 90);
INSERT INTO public.who_data VALUES (34726, 36, 16257, 1, 229, 147, 61);
INSERT INTO public.who_data VALUES (34727, 2, 5766, 0, 179, 147, 85);
INSERT INTO public.who_data VALUES (34728, 82, 10769, 0, 133, 147, 49);
INSERT INTO public.who_data VALUES (34729, 31, 10045, 0, 34, 147, 208);
INSERT INTO public.who_data VALUES (34730, 16, 3080, 0, 130, 147, 166);
INSERT INTO public.who_data VALUES (34731, 29, 2959, 2, 30, 147, 64);
INSERT INTO public.who_data VALUES (34732, 0, 0, 0, 0, 147, 199);
INSERT INTO public.who_data VALUES (34733, 8, 1298, 0, 20, 147, 114);
INSERT INTO public.who_data VALUES (34734, 5, 7462, 0, 161, 147, 60);
INSERT INTO public.who_data VALUES (34735, 0, 367, 0, 10, 147, 68);
INSERT INTO public.who_data VALUES (34736, 0, 3541, 0, 40, 147, 158);
INSERT INTO public.who_data VALUES (34737, 5401, 720858, 405, 75844, 147, 52);
INSERT INTO public.who_data VALUES (34738, 0, 0, 0, 0, 147, 117);
INSERT INTO public.who_data VALUES (34739, 0, 213, 0, 2, 147, 126);
INSERT INTO public.who_data VALUES (34740, 0, 313, 0, 0, 147, 196);
INSERT INTO public.who_data VALUES (34741, 212, 10569, 0, 158, 147, 142);
INSERT INTO public.who_data VALUES (34742, 0, 13, 0, 1, 147, 185);
INSERT INTO public.who_data VALUES (34743, 2719, 115241, 43, 2041, 147, 138);
INSERT INTO public.who_data VALUES (34744, 168, 7757, 1, 54, 147, 181);
INSERT INTO public.who_data VALUES (34745, 879, 9991, 24, 198, 147, 178);
INSERT INTO public.who_data VALUES (34746, 83, 10918, 1, 120, 147, 168);
INSERT INTO public.who_data VALUES (34747, 0, 0, 0, 0, 147, 160);
INSERT INTO public.who_data VALUES (34748, 1207, 71821, 8, 467, 147, 151);
INSERT INTO public.who_data VALUES (34749, 2701, 108434, 38, 6365, 147, 193);
INSERT INTO public.who_data VALUES (34750, 0, 27, 0, 0, 147, 18);
INSERT INTO public.who_data VALUES (34751, 2, 1477, 0, 25, 147, 40);
INSERT INTO public.who_data VALUES (34752, 0, 4065, 0, 149, 147, 218);
INSERT INTO public.who_data VALUES (34753, 0, 1194, 0, 69, 147, 191);
INSERT INTO public.who_data VALUES (34754, 136, 58198, 3, 1106, 147, 156);
INSERT INTO public.who_data VALUES (34755, 0, 0, 0, 0, 147, 135);
INSERT INTO public.who_data VALUES (34756, 1, 70, 0, 2, 147, 88);
INSERT INTO public.who_data VALUES (34757, 0, 17343, 0, 721, 147, 55);
INSERT INTO public.who_data VALUES (34758, 0, 13406, 0, 270, 147, 108);
INSERT INTO public.who_data VALUES (34759, 290, 48572, 7, 334, 147, 48);
INSERT INTO public.who_data VALUES (34760, 0, 95907, 0, 885, 147, 3);
INSERT INTO public.who_data VALUES (34761, 0, 741, 0, 13, 147, 224);
INSERT INTO public.who_data VALUES (34762, 694, 310275, 6, 6457, 147, 110);
INSERT INTO public.who_data VALUES (34763, 0, 0, 0, 0, 147, 106);
INSERT INTO public.who_data VALUES (34764, 705, 109431, 14, 2311, 147, 89);
INSERT INTO public.who_data VALUES (34765, 1, 532, 0, 7, 147, 121);
INSERT INTO public.who_data VALUES (34766, 822, 37226, 18, 761, 147, 163);
INSERT INTO public.who_data VALUES (34767, 5654, 794584, 99, 32037, 147, 70);
INSERT INTO public.who_data VALUES (34768, 1895, 301256, 88, 5284, 147, 174);
INSERT INTO public.who_data VALUES (34769, 0, 0, 0, 0, 147, 175);
INSERT INTO public.who_data VALUES (34770, 1584, 85980, 32, 2424, 147, 118);
INSERT INTO public.who_data VALUES (34771, 884, 72939, 8, 1944, 147, 189);
INSERT INTO public.who_data VALUES (34772, 508, 45413, 7, 642, 147, 124);
INSERT INTO public.who_data VALUES (34773, 200, 124850, 2, 214, 147, 192);
INSERT INTO public.who_data VALUES (34774, 95, 23611, 2, 401, 147, 41);
INSERT INTO public.who_data VALUES (34775, 868, 50534, 15, 1279, 147, 95);
INSERT INTO public.who_data VALUES (34776, 0, 3685, 0, 11, 147, 74);
INSERT INTO public.who_data VALUES (34777, 1552, 121235, 54, 4687, 147, 11);
INSERT INTO public.who_data VALUES (34778, 7867, 1151438, 99, 20324, 147, 87);
INSERT INTO public.who_data VALUES (34779, 13, 4811, 0, 29, 147, 214);
INSERT INTO public.who_data VALUES (34780, 0, 5, 0, 0, 147, 116);
INSERT INTO public.who_data VALUES (34781, 3, 48, 0, 0, 147, 157);
INSERT INTO public.who_data VALUES (34782, 0, 0, 0, 0, 147, 182);
INSERT INTO public.who_data VALUES (34783, 0, 19, 0, 0, 147, 186);
INSERT INTO public.who_data VALUES (34784, 0, 27, 0, 0, 147, 127);
INSERT INTO public.who_data VALUES (34785, 16, 383, 0, 8, 147, 232);
INSERT INTO public.who_data VALUES (34786, 0, 12, 0, 0, 147, 33);
INSERT INTO public.who_data VALUES (34787, 0, 64, 0, 0, 147, 97);
INSERT INTO public.who_data VALUES (34788, 0, 0, 0, 0, 147, 42);
INSERT INTO public.who_data VALUES (34789, 0, 746, 0, 42, 147, 198);
INSERT INTO public.who_data VALUES (34790, 0, 911, 0, 15, 147, 216);
INSERT INTO public.who_data VALUES (34791, 461, 332790, 30, 4655, 147, 164);
INSERT INTO public.who_data VALUES (34792, 53, 14869, 2, 306, 147, 235);
INSERT INTO public.who_data VALUES (34793, 74, 33312, 0, 746, 147, 67);
INSERT INTO public.who_data VALUES (34794, 0, 141, 0, 0, 147, 15);
INSERT INTO public.who_data VALUES (34795, 9, 2208, 0, 72, 147, 180);
INSERT INTO public.who_data VALUES (34796, 20, 57685, 0, 27, 147, 237);
INSERT INTO public.who_data VALUES (34797, 0, 13, 0, 0, 147, 25);
INSERT INTO public.who_data VALUES (34798, 0, 618, 0, 22, 147, 209);
INSERT INTO public.who_data VALUES (34799, 419, 8048, 0, 41, 147, 217);
INSERT INTO public.who_data VALUES (34800, 184, 5193, 1, 151, 147, 79);
INSERT INTO public.who_data VALUES (34801, 0, 0, 0, 0, 147, 143);
INSERT INTO public.who_data VALUES (34802, 123, 3588, 1, 99, 147, 229);
INSERT INTO public.who_data VALUES (34803, 969, 669498, 64, 16376, 147, 141);
INSERT INTO public.who_data VALUES (34804, 10, 2686, 0, 49, 147, 197);
INSERT INTO public.who_data VALUES (34805, 13789, 786291, 129, 33454, 147, 221);
INSERT INTO public.who_data VALUES (34806, 4, 3349, 0, 13, 147, 150);
INSERT INTO public.who_data VALUES (34807, 4, 13610, 0, 836, 147, 56);
INSERT INTO public.who_data VALUES (34808, 28, 4817, 0, 102, 147, 167);
INSERT INTO public.who_data VALUES (34809, 630, 91668, 4, 5867, 147, 23);
INSERT INTO public.who_data VALUES (34810, 222, 52565, 2, 1819, 147, 222);
INSERT INTO public.who_data VALUES (34811, 37, 4038, 3, 188, 147, 219);
INSERT INTO public.who_data VALUES (34812, 43, 9605, 1, 75, 147, 7);
INSERT INTO public.who_data VALUES (34813, 1, 3523, 0, 59, 147, 161);
INSERT INTO public.who_data VALUES (34814, 6041, 429281, 35, 41971, 147, 149);
INSERT INTO public.who_data VALUES (34815, 0, 27, 0, 0, 147, 6);
INSERT INTO public.who_data VALUES (34816, 14, 1736, 2, 46, 147, 139);
INSERT INTO public.who_data VALUES (34817, 0, 0, 0, 0, 147, 211);
INSERT INTO public.who_data VALUES (34818, 0, 0, 0, 0, 147, 14);
INSERT INTO public.who_data VALUES (34819, 25, 4285, 1, 70, 147, 111);
INSERT INTO public.who_data VALUES (34820, 936, 16114, 7, 214, 147, 207);
INSERT INTO public.who_data VALUES (34821, 8241, 723496, 71, 7929, 147, 66);
INSERT INTO public.who_data VALUES (34822, 0, 0, 0, 0, 147, 173);
INSERT INTO public.who_data VALUES (34823, 1, 680, 0, 5, 147, 145);
INSERT INTO public.who_data VALUES (34824, 0, 0, 0, 0, 147, 65);
INSERT INTO public.who_data VALUES (34825, 146, 7364, 0, 71, 147, 184);
INSERT INTO public.who_data VALUES (34826, 3130, 198634, 56, 3959, 147, 98);
INSERT INTO public.who_data VALUES (34827, 1078, 90618, 2, 411, 147, 104);
INSERT INTO public.who_data VALUES (34828, 0, 509, 0, 21, 147, 73);
INSERT INTO public.who_data VALUES (34829, 50070, 6960152, 844, 202478, 147, 8);
INSERT INTO public.who_data VALUES (34830, 0, 1296, 0, 19, 147, 227);
INSERT INTO public.who_data VALUES (34831, 8, 1967, 0, 47, 147, 75);
INSERT INTO public.who_data VALUES (34832, 491, 54953, 4, 454, 147, 45);
INSERT INTO public.who_data VALUES (34833, 0, 0, 0, 0, 147, 133);
INSERT INTO public.who_data VALUES (34834, 867, 71273, 10, 591, 147, 202);
INSERT INTO public.who_data VALUES (34835, 0, 1069, 0, 35, 147, 129);
INSERT INTO public.who_data VALUES (34836, 0, 0, 0, 0, 147, 36);
INSERT INTO public.who_data VALUES (34837, 1, 2034, 0, 588, 147, 51);
INSERT INTO public.who_data VALUES (34838, 97, 14612, 0, 332, 147, 206);
INSERT INTO public.who_data VALUES (34839, 16, 7803, 0, 227, 147, 5);
INSERT INTO public.who_data VALUES (34840, 6, 39278, 2, 1457, 148, 103);
INSERT INTO public.who_data VALUES (34841, 124, 13045, 3, 373, 148, 58);
INSERT INTO public.who_data VALUES (34842, 354, 50754, 9, 1707, 148, 195);
INSERT INTO public.who_data VALUES (34843, 0, 0, 0, 0, 148, 115);
INSERT INTO public.who_data VALUES (34844, 83, 1836, 0, 53, 148, 99);
INSERT INTO public.who_data VALUES (34845, 115, 4590, 5, 167, 148, 153);
INSERT INTO public.who_data VALUES (34846, 0, 3, 0, 0, 148, 93);
INSERT INTO public.who_data VALUES (34847, 1, 98, 0, 3, 148, 84);
INSERT INTO public.who_data VALUES (34848, 13467, 678266, 390, 14766, 148, 78);
INSERT INTO public.who_data VALUES (34849, 429, 48385, 1, 943, 148, 170);
INSERT INTO public.who_data VALUES (34850, 35, 3756, 0, 25, 148, 32);
INSERT INTO public.who_data VALUES (34851, 17, 27000, 8, 869, 148, 155);
INSERT INTO public.who_data VALUES (34852, 1071, 42317, 3, 786, 148, 82);
INSERT INTO public.who_data VALUES (34853, 101, 39787, 2, 583, 148, 16);
INSERT INTO public.who_data VALUES (34854, 81, 3699, 6, 86, 148, 72);
INSERT INTO public.who_data VALUES (34855, 489, 68190, 5, 236, 148, 43);
INSERT INTO public.who_data VALUES (34856, 1383, 356767, 21, 5093, 148, 120);
INSERT INTO public.who_data VALUES (34857, 0, 189, 0, 7, 148, 213);
INSERT INTO public.who_data VALUES (34858, 306, 76957, 5, 807, 148, 31);
INSERT INTO public.who_data VALUES (34859, 1623, 115208, 5, 9964, 148, 204);
INSERT INTO public.who_data VALUES (34860, 52, 1758, 0, 22, 148, 152);
INSERT INTO public.who_data VALUES (34861, 0, 2325, 0, 40, 148, 144);
INSERT INTO public.who_data VALUES (34862, 0, 181, 0, 9, 148, 96);
INSERT INTO public.who_data VALUES (34863, 0, 263, 0, 0, 148, 47);
INSERT INTO public.who_data VALUES (34864, 628, 132618, 34, 7765, 148, 80);
INSERT INTO public.who_data VALUES (34865, 0, 67, 0, 1, 148, 159);
INSERT INTO public.who_data VALUES (34866, 247, 26560, 6, 801, 148, 27);
INSERT INTO public.who_data VALUES (34867, 0, 2921, 0, 13, 148, 146);
INSERT INTO public.who_data VALUES (34868, 32817, 4657702, 831, 139808, 148, 71);
INSERT INTO public.who_data VALUES (34869, 0, 71, 0, 1, 148, 210);
INSERT INTO public.who_data VALUES (34870, 0, 146, 0, 3, 148, 54);
INSERT INTO public.who_data VALUES (34871, 255, 19828, 4, 789, 148, 147);
INSERT INTO public.who_data VALUES (34872, 0, 1929, 0, 56, 148, 2);
INSERT INTO public.who_data VALUES (34873, 1, 484, 0, 1, 148, 105);
INSERT INTO public.who_data VALUES (34874, 149, 5628, 0, 55, 148, 53);
INSERT INTO public.who_data VALUES (34875, 0, 275, 0, 0, 148, 81);
INSERT INTO public.who_data VALUES (34876, 45, 20735, 2, 418, 148, 223);
INSERT INTO public.who_data VALUES (34877, 1341, 149094, 6, 9249, 148, 94);
INSERT INTO public.who_data VALUES (34878, 0, 210, 0, 1, 148, 154);
INSERT INTO public.who_data VALUES (34879, 2, 4806, 0, 62, 148, 83);
INSERT INTO public.who_data VALUES (34880, 4, 1175, 1, 83, 148, 194);
INSERT INTO public.who_data VALUES (34881, 2234, 453868, 58, 12527, 148, 136);
INSERT INTO public.who_data VALUES (34882, 18, 90951, 1, 4746, 148, 179);
INSERT INTO public.who_data VALUES (34883, 6555, 790823, 178, 24924, 148, 57);
INSERT INTO public.who_data VALUES (34884, 4, 474, 0, 7, 148, 35);
INSERT INTO public.who_data VALUES (34885, 0, 5005, 0, 89, 148, 228);
INSERT INTO public.who_data VALUES (34886, 0, 0, 0, 0, 148, 19);
INSERT INTO public.who_data VALUES (34887, 1400, 69459, 14, 795, 148, 22);
INSERT INTO public.who_data VALUES (34888, 55, 19556, 0, 120, 148, 1);
INSERT INTO public.who_data VALUES (34889, 223, 15795, 5, 266, 148, 21);
INSERT INTO public.who_data VALUES (34890, 40, 5350, 0, 118, 148, 234);
INSERT INTO public.who_data VALUES (34891, 14, 315, 0, 1, 148, 91);
INSERT INTO public.who_data VALUES (34892, 8, 1671, 0, 22, 148, 137);
INSERT INTO public.who_data VALUES (34893, 2944, 61318, 14, 581, 148, 201);
INSERT INTO public.who_data VALUES (34894, 0, 0, 0, 0, 148, 171);
INSERT INTO public.who_data VALUES (34895, 23, 10577, 0, 271, 148, 92);
INSERT INTO public.who_data VALUES (34896, 678, 25594, 2, 647, 148, 112);
INSERT INTO public.who_data VALUES (34897, 2, 5409, 0, 61, 148, 62);
INSERT INTO public.who_data VALUES (34898, 0, 24, 0, 0, 148, 69);
INSERT INTO public.who_data VALUES (34899, 475, 110597, 11, 2087, 148, 220);
INSERT INTO public.who_data VALUES (34900, 1329, 132475, 23, 11236, 148, 100);
INSERT INTO public.who_data VALUES (34901, 112, 102625, 18, 5853, 148, 187);
INSERT INTO public.who_data VALUES (34902, 214, 28415, 0, 823, 148, 63);
INSERT INTO public.who_data VALUES (34903, 0, 5018, 0, 83, 148, 28);
INSERT INTO public.who_data VALUES (34904, 0, 369, 0, 0, 148, 172);
INSERT INTO public.who_data VALUES (34905, 42, 3118, 0, 64, 148, 17);
INSERT INTO public.who_data VALUES (34906, 24, 5399, 0, 108, 148, 226);
INSERT INTO public.who_data VALUES (34907, 486, 72173, 7, 1155, 148, 236);
INSERT INTO public.who_data VALUES (34908, 0, 13, 0, 0, 148, 76);
INSERT INTO public.who_data VALUES (34909, 3, 458, 0, 0, 148, 30);
INSERT INTO public.who_data VALUES (34910, 0, 32, 0, 2, 148, 128);
INSERT INTO public.who_data VALUES (34911, 105, 9484, 0, 343, 148, 86);
INSERT INTO public.who_data VALUES (34912, 15572, 489776, 150, 31475, 148, 140);
INSERT INTO public.who_data VALUES (34913, 41, 9831, 0, 65, 148, 44);
INSERT INTO public.who_data VALUES (34914, 110, 1579, 1, 6, 148, 113);
INSERT INTO public.who_data VALUES (34915, 12, 8728, 0, 54, 148, 29);
INSERT INTO public.who_data VALUES (34916, 3, 3555, 0, 110, 148, 125);
INSERT INTO public.who_data VALUES (34917, 296, 4960, 1, 27, 148, 131);
INSERT INTO public.who_data VALUES (34918, 2507, 282730, 9, 9452, 148, 46);
INSERT INTO public.who_data VALUES (34919, 69, 46222, 0, 299, 148, 10);
INSERT INTO public.who_data VALUES (34920, 4, 361, 0, 0, 148, 205);
INSERT INTO public.who_data VALUES (34921, 286, 16913, 3, 369, 148, 50);
INSERT INTO public.who_data VALUES (34922, 0, 14, 0, 0, 148, 20);
INSERT INTO public.who_data VALUES (34923, 0, 24, 0, 0, 148, 13);
INSERT INTO public.who_data VALUES (34924, 0, 4487, 0, 42, 148, 148);
INSERT INTO public.who_data VALUES (34925, 23, 2286, 2, 41, 148, 230);
INSERT INTO public.who_data VALUES (34926, 945, 88878, 16, 3186, 148, 190);
INSERT INTO public.who_data VALUES (34927, 0, 256, 0, 13, 148, 188);
INSERT INTO public.who_data VALUES (34928, 0, 10478, 0, 65, 148, 123);
INSERT INTO public.who_data VALUES (34929, 0, 2324, 0, 39, 148, 9);
INSERT INTO public.who_data VALUES (34930, 44, 2579, 2, 71, 148, 102);
INSERT INTO public.who_data VALUES (34931, 38, 8684, 2, 227, 148, 34);
INSERT INTO public.who_data VALUES (34932, 0, 12, 0, 0, 148, 212);
INSERT INTO public.who_data VALUES (34933, 518, 73193, 27, 2249, 148, 122);
INSERT INTO public.who_data VALUES (34934, 950, 23077, 12, 730, 148, 38);
INSERT INTO public.who_data VALUES (34935, 49, 2561, 0, 10, 148, 130);
INSERT INTO public.who_data VALUES (34936, 85362, 5903932, 1089, 93379, 148, 37);
INSERT INTO public.who_data VALUES (34937, 4823, 266845, 113, 10218, 148, 231);
INSERT INTO public.who_data VALUES (34938, 3563, 439882, 207, 25222, 148, 107);
INSERT INTO public.who_data VALUES (34939, 4593, 341699, 68, 8867, 148, 101);
INSERT INTO public.who_data VALUES (34940, 321, 34315, 0, 1797, 148, 132);
INSERT INTO public.who_data VALUES (34941, 0, 340, 0, 24, 148, 176);
INSERT INTO public.who_data VALUES (34942, 8234, 214503, 31, 1417, 148, 200);
INSERT INTO public.who_data VALUES (34943, 1912, 306235, 20, 35801, 148, 169);
INSERT INTO public.who_data VALUES (34944, 135, 5723, 3, 80, 148, 225);
INSERT INTO public.who_data VALUES (34945, 558, 81055, 8, 1540, 148, 165);
INSERT INTO public.who_data VALUES (34946, 0, 399, 0, 32, 148, 233);
INSERT INTO public.who_data VALUES (34947, 620, 7279, 3, 39, 148, 215);
INSERT INTO public.who_data VALUES (34948, 293, 140175, 0, 2043, 148, 177);
INSERT INTO public.who_data VALUES (34949, 218, 37707, 13, 682, 148, 183);
INSERT INTO public.who_data VALUES (34950, 0, 0, 0, 0, 148, 203);
INSERT INTO public.who_data VALUES (34951, 46, 15336, 1, 607, 148, 162);
INSERT INTO public.who_data VALUES (34952, 590, 102441, 3, 595, 148, 12);
INSERT INTO public.who_data VALUES (34953, 158, 46090, 0, 1063, 148, 24);
INSERT INTO public.who_data VALUES (34954, 0, 23, 0, 0, 148, 119);
INSERT INTO public.who_data VALUES (34955, 31, 1625, 0, 36, 148, 39);
INSERT INTO public.who_data VALUES (34956, 1143, 33948, 4, 333, 148, 26);
INSERT INTO public.who_data VALUES (34957, 0, 1554, 0, 35, 148, 59);
INSERT INTO public.who_data VALUES (34958, 0, 1338, 0, 82, 148, 77);
INSERT INTO public.who_data VALUES (34959, 538, 31828, 8, 499, 148, 134);
INSERT INTO public.who_data VALUES (34960, 1, 119, 0, 1, 148, 4);
INSERT INTO public.who_data VALUES (34961, 111, 4290, 0, 90, 148, 109);
INSERT INTO public.who_data VALUES (34962, 75, 8233, 0, 124, 148, 90);
INSERT INTO public.who_data VALUES (34963, 30, 16221, 1, 228, 148, 61);
INSERT INTO public.who_data VALUES (34964, 17, 5764, 0, 179, 148, 85);
INSERT INTO public.who_data VALUES (34965, 111, 10687, 0, 133, 148, 49);
INSERT INTO public.who_data VALUES (34966, 75, 10014, 0, 34, 148, 208);
INSERT INTO public.who_data VALUES (34967, 23, 3064, 0, 130, 148, 166);
INSERT INTO public.who_data VALUES (34968, 31, 2930, 2, 28, 148, 64);
INSERT INTO public.who_data VALUES (34969, 0, 0, 0, 0, 148, 199);
INSERT INTO public.who_data VALUES (34970, 0, 1290, 0, 20, 148, 114);
INSERT INTO public.who_data VALUES (34971, 24, 7457, 0, 161, 148, 60);
INSERT INTO public.who_data VALUES (34972, 0, 367, 0, 10, 148, 68);
INSERT INTO public.who_data VALUES (34973, 0, 3541, 0, 40, 148, 158);
INSERT INTO public.who_data VALUES (34974, 5408, 715457, 490, 75439, 148, 52);
INSERT INTO public.who_data VALUES (34975, 0, 0, 0, 0, 148, 117);
INSERT INTO public.who_data VALUES (34976, 5, 213, 1, 2, 148, 126);
INSERT INTO public.who_data VALUES (34977, 0, 313, 0, 0, 148, 196);
INSERT INTO public.who_data VALUES (34978, 255, 10357, 2, 158, 148, 142);
INSERT INTO public.who_data VALUES (34979, 0, 13, 0, 1, 148, 185);
INSERT INTO public.who_data VALUES (34980, 2423, 112522, 42, 1998, 148, 138);
INSERT INTO public.who_data VALUES (34981, 190, 7589, 2, 53, 148, 181);
INSERT INTO public.who_data VALUES (34982, 597, 9112, 19, 174, 148, 178);
INSERT INTO public.who_data VALUES (34983, 95, 10835, 0, 119, 148, 168);
INSERT INTO public.who_data VALUES (34984, 0, 0, 0, 0, 148, 160);
INSERT INTO public.who_data VALUES (34985, 1313, 70614, 6, 459, 148, 151);
INSERT INTO public.who_data VALUES (34986, 2764, 105733, 16, 6327, 148, 193);
INSERT INTO public.who_data VALUES (34987, 1, 27, 0, 0, 148, 18);
INSERT INTO public.who_data VALUES (34988, 2, 1475, 0, 25, 148, 40);
INSERT INTO public.who_data VALUES (34989, 0, 4065, 0, 149, 148, 218);
INSERT INTO public.who_data VALUES (34990, 1, 1194, 0, 69, 148, 191);
INSERT INTO public.who_data VALUES (34991, 213, 58062, 1, 1103, 148, 156);
INSERT INTO public.who_data VALUES (34992, 0, 0, 0, 0, 148, 135);
INSERT INTO public.who_data VALUES (34993, 0, 69, 0, 2, 148, 88);
INSERT INTO public.who_data VALUES (34994, 143, 17343, 9, 721, 148, 55);
INSERT INTO public.who_data VALUES (34995, 131, 13406, 0, 270, 148, 108);
INSERT INTO public.who_data VALUES (34996, 452, 48282, 5, 327, 148, 48);
INSERT INTO public.who_data VALUES (34997, 0, 95907, 0, 885, 148, 3);
INSERT INTO public.who_data VALUES (34998, 0, 741, 0, 13, 148, 224);
INSERT INTO public.who_data VALUES (34999, 566, 309581, 7, 6451, 148, 110);
INSERT INTO public.who_data VALUES (35000, 0, 0, 0, 0, 148, 106);
INSERT INTO public.who_data VALUES (35001, 736, 108726, 6, 2297, 148, 89);
INSERT INTO public.who_data VALUES (35002, 0, 531, 0, 7, 148, 121);
INSERT INTO public.who_data VALUES (35003, 833, 36404, 16, 743, 148, 163);
INSERT INTO public.who_data VALUES (35004, 6235, 788930, 68, 31938, 148, 70);
INSERT INTO public.who_data VALUES (35005, 2606, 299361, 69, 5196, 148, 174);
INSERT INTO public.who_data VALUES (35006, 0, 0, 0, 0, 148, 175);
INSERT INTO public.who_data VALUES (35007, 1587, 84396, 23, 2392, 148, 118);
INSERT INTO public.who_data VALUES (35008, 899, 72055, 5, 1936, 148, 189);
INSERT INTO public.who_data VALUES (35009, 1063, 44905, 8, 635, 148, 124);
INSERT INTO public.who_data VALUES (35010, 225, 124650, 0, 212, 148, 192);
INSERT INTO public.who_data VALUES (35011, 61, 23516, 4, 399, 148, 41);
INSERT INTO public.who_data VALUES (35012, 713, 49666, 12, 1264, 148, 95);
INSERT INTO public.who_data VALUES (35013, 184, 3685, 0, 11, 148, 74);
INSERT INTO public.who_data VALUES (35014, 1629, 119683, 42, 4633, 148, 11);
INSERT INTO public.who_data VALUES (35015, 7523, 1143571, 169, 20225, 148, 87);
INSERT INTO public.who_data VALUES (35016, 9, 4798, 2, 29, 148, 214);
INSERT INTO public.who_data VALUES (35017, 0, 5, 0, 0, 148, 116);
INSERT INTO public.who_data VALUES (35018, 0, 45, 0, 0, 148, 157);
INSERT INTO public.who_data VALUES (35019, 0, 0, 0, 0, 148, 182);
INSERT INTO public.who_data VALUES (35020, 0, 19, 0, 0, 148, 186);
INSERT INTO public.who_data VALUES (35021, 0, 27, 0, 0, 148, 127);
INSERT INTO public.who_data VALUES (35022, 0, 367, 0, 8, 148, 232);
INSERT INTO public.who_data VALUES (35023, 0, 12, 0, 0, 148, 33);
INSERT INTO public.who_data VALUES (35024, 0, 64, 0, 0, 148, 97);
INSERT INTO public.who_data VALUES (35025, 0, 0, 0, 0, 148, 42);
INSERT INTO public.who_data VALUES (35026, 0, 746, 0, 42, 148, 198);
INSERT INTO public.who_data VALUES (35027, 1, 911, 0, 15, 148, 216);
INSERT INTO public.who_data VALUES (35028, 472, 332329, 26, 4625, 148, 164);
INSERT INTO public.who_data VALUES (35029, 0, 14816, 0, 304, 148, 235);
INSERT INTO public.who_data VALUES (35030, 75, 33238, 1, 746, 148, 67);
INSERT INTO public.who_data VALUES (35031, 2, 141, 0, 0, 148, 15);
INSERT INTO public.who_data VALUES (35032, 11, 2199, 0, 72, 148, 180);
INSERT INTO public.who_data VALUES (35033, 11, 57665, 0, 27, 148, 237);
INSERT INTO public.who_data VALUES (35034, 0, 13, 0, 0, 148, 25);
INSERT INTO public.who_data VALUES (35035, 2, 618, 1, 22, 148, 209);
INSERT INTO public.who_data VALUES (35036, 360, 7629, 0, 41, 148, 217);
INSERT INTO public.who_data VALUES (35037, 193, 5009, 1, 150, 148, 79);
INSERT INTO public.who_data VALUES (35038, 0, 0, 0, 0, 148, 143);
INSERT INTO public.who_data VALUES (35039, 0, 3465, 0, 98, 148, 229);
INSERT INTO public.who_data VALUES (35040, 1480, 668529, 29, 16312, 148, 141);
INSERT INTO public.who_data VALUES (35041, 0, 2676, 0, 49, 148, 197);
INSERT INTO public.who_data VALUES (35042, 12848, 772502, 131, 33325, 148, 221);
INSERT INTO public.who_data VALUES (35043, 12, 3345, 0, 13, 148, 150);
INSERT INTO public.who_data VALUES (35044, 2, 13606, 0, 836, 148, 56);
INSERT INTO public.who_data VALUES (35045, 10, 4789, 1, 102, 148, 167);
INSERT INTO public.who_data VALUES (35046, 540, 91038, 1, 5863, 148, 23);
INSERT INTO public.who_data VALUES (35047, 359, 52343, 1, 1817, 148, 222);
INSERT INTO public.who_data VALUES (35048, 35, 4001, 2, 185, 148, 219);
INSERT INTO public.who_data VALUES (35049, 42, 9562, 0, 74, 148, 7);
INSERT INTO public.who_data VALUES (35050, 3, 3522, 0, 59, 148, 161);
INSERT INTO public.who_data VALUES (35051, 6873, 423240, 34, 41936, 148, 149);
INSERT INTO public.who_data VALUES (35052, 0, 27, 0, 0, 148, 6);
INSERT INTO public.who_data VALUES (35053, 15, 1722, 0, 44, 148, 139);
INSERT INTO public.who_data VALUES (35054, 0, 0, 0, 0, 148, 211);
INSERT INTO public.who_data VALUES (35055, 0, 0, 0, 0, 148, 14);
INSERT INTO public.who_data VALUES (35056, 38, 4260, 2, 69, 148, 111);
INSERT INTO public.who_data VALUES (35057, 786, 15178, 16, 207, 148, 207);
INSERT INTO public.who_data VALUES (35058, 8395, 715255, 73, 7858, 148, 66);
INSERT INTO public.who_data VALUES (35059, 0, 0, 0, 0, 148, 173);
INSERT INTO public.who_data VALUES (35060, 3, 679, 0, 5, 148, 145);
INSERT INTO public.who_data VALUES (35061, 0, 0, 0, 0, 148, 65);
INSERT INTO public.who_data VALUES (35062, 154, 7218, 1, 71, 148, 184);
INSERT INTO public.who_data VALUES (35063, 3833, 195504, 76, 3903, 148, 98);
INSERT INTO public.who_data VALUES (35064, 1008, 89540, 2, 409, 148, 104);
INSERT INTO public.who_data VALUES (35065, 0, 509, 0, 21, 148, 73);
INSERT INTO public.who_data VALUES (35066, 41254, 6910082, 909, 201634, 148, 8);
INSERT INTO public.who_data VALUES (35067, 6, 1296, 0, 19, 148, 227);
INSERT INTO public.who_data VALUES (35068, 13, 1959, 0, 47, 148, 75);
INSERT INTO public.who_data VALUES (35069, 281, 54462, 2, 450, 148, 45);
INSERT INTO public.who_data VALUES (35070, 0, 0, 0, 0, 148, 133);
INSERT INTO public.who_data VALUES (35071, 967, 70406, 7, 581, 148, 202);
INSERT INTO public.who_data VALUES (35072, 0, 1069, 0, 35, 148, 129);
INSERT INTO public.who_data VALUES (35073, 0, 0, 0, 0, 148, 36);
INSERT INTO public.who_data VALUES (35074, 0, 2033, 1, 588, 148, 51);
INSERT INTO public.who_data VALUES (35075, 24, 14515, 0, 332, 148, 206);
INSERT INTO public.who_data VALUES (35076, 62, 7787, 0, 227, 148, 5);
INSERT INTO public.who_data VALUES (35077, 16, 39272, 0, 1455, 149, 103);
INSERT INTO public.who_data VALUES (35078, 134, 12921, 0, 370, 149, 58);
INSERT INTO public.who_data VALUES (35079, 0, 50400, 0, 1698, 149, 195);
INSERT INTO public.who_data VALUES (35080, 0, 0, 0, 0, 149, 115);
INSERT INTO public.who_data VALUES (35081, 0, 1753, 0, 53, 149, 99);
INSERT INTO public.who_data VALUES (35082, 112, 4475, 3, 162, 149, 153);
INSERT INTO public.who_data VALUES (35083, 0, 3, 0, 0, 149, 93);
INSERT INTO public.who_data VALUES (35084, 0, 97, 0, 3, 149, 84);
INSERT INTO public.who_data VALUES (35085, 12625, 664799, 424, 14376, 149, 78);
INSERT INTO public.who_data VALUES (35086, 392, 47956, 2, 942, 149, 170);
INSERT INTO public.who_data VALUES (35087, 56, 3721, 0, 25, 149, 32);
INSERT INTO public.who_data VALUES (35088, 10, 26983, 2, 861, 149, 155);
INSERT INTO public.who_data VALUES (35089, 688, 41246, 6, 783, 149, 82);
INSERT INTO public.who_data VALUES (35090, 162, 39686, 1, 581, 149, 16);
INSERT INTO public.who_data VALUES (35091, 151, 3618, 3, 80, 149, 72);
INSERT INTO public.who_data VALUES (35092, 687, 67701, 0, 231, 149, 43);
INSERT INTO public.who_data VALUES (35093, 1540, 355384, 28, 5072, 149, 120);
INSERT INTO public.who_data VALUES (35094, 0, 189, 0, 7, 149, 213);
INSERT INTO public.who_data VALUES (35095, 294, 76651, 6, 802, 149, 31);
INSERT INTO public.who_data VALUES (35096, 1795, 113585, 4, 9959, 149, 204);
INSERT INTO public.who_data VALUES (35097, 37, 1706, 1, 22, 149, 152);
INSERT INTO public.who_data VALUES (35098, 0, 2325, 0, 40, 149, 144);
INSERT INTO public.who_data VALUES (35099, 1, 181, 0, 9, 149, 96);
INSERT INTO public.who_data VALUES (35100, 2, 263, 0, 0, 149, 47);
INSERT INTO public.who_data VALUES (35101, 537, 131990, 38, 7731, 149, 80);
INSERT INTO public.who_data VALUES (35102, 7, 67, 0, 1, 149, 159);
INSERT INTO public.who_data VALUES (35103, 237, 26313, 12, 795, 149, 27);
INSERT INTO public.who_data VALUES (35104, 354, 2921, 0, 13, 149, 146);
INSERT INTO public.who_data VALUES (35105, 33281, 4624885, 869, 138977, 149, 71);
INSERT INTO public.who_data VALUES (35106, 0, 71, 0, 1, 149, 210);
INSERT INTO public.who_data VALUES (35107, 1, 146, 0, 3, 149, 54);
INSERT INTO public.who_data VALUES (35108, 290, 19573, 6, 785, 149, 147);
INSERT INTO public.who_data VALUES (35109, 22, 1929, 0, 56, 149, 2);
INSERT INTO public.who_data VALUES (35110, 6, 483, 0, 1, 149, 105);
INSERT INTO public.who_data VALUES (35111, 67, 5479, 1, 55, 149, 53);
INSERT INTO public.who_data VALUES (35112, 0, 275, 0, 0, 149, 81);
INSERT INTO public.who_data VALUES (35113, 0, 20690, 0, 416, 149, 223);
INSERT INTO public.who_data VALUES (35114, 1090, 147753, 9, 9243, 149, 94);
INSERT INTO public.who_data VALUES (35115, 0, 210, 0, 1, 149, 154);
INSERT INTO public.who_data VALUES (35116, 0, 4804, 0, 62, 149, 83);
INSERT INTO public.who_data VALUES (35117, 7, 1171, 0, 82, 149, 194);
INSERT INTO public.who_data VALUES (35118, 1731, 451634, 124, 12469, 149, 136);
INSERT INTO public.who_data VALUES (35119, 15, 90933, 0, 4745, 149, 179);
INSERT INTO public.who_data VALUES (35120, 6731, 784268, 176, 24746, 149, 57);
INSERT INTO public.who_data VALUES (35121, 0, 470, 0, 7, 149, 35);
INSERT INTO public.who_data VALUES (35122, 0, 5005, 0, 89, 149, 228);
INSERT INTO public.who_data VALUES (35123, 0, 0, 0, 0, 149, 19);
INSERT INTO public.who_data VALUES (35124, 1370, 68059, 21, 781, 149, 22);
INSERT INTO public.who_data VALUES (35125, 71, 19501, 0, 120, 149, 1);
INSERT INTO public.who_data VALUES (35126, 232, 15572, 4, 261, 149, 21);
INSERT INTO public.who_data VALUES (35127, 40, 5310, 0, 118, 149, 234);
INSERT INTO public.who_data VALUES (35128, 10, 301, 0, 1, 149, 91);
INSERT INTO public.who_data VALUES (35129, 9, 1663, 0, 22, 149, 137);
INSERT INTO public.who_data VALUES (35130, 2910, 58374, 12, 567, 149, 201);
INSERT INTO public.who_data VALUES (35131, 0, 0, 0, 0, 149, 171);
INSERT INTO public.who_data VALUES (35132, 18, 10554, 0, 271, 149, 92);
INSERT INTO public.who_data VALUES (35133, 559, 24916, 2, 645, 149, 112);
INSERT INTO public.who_data VALUES (35134, 0, 5407, 0, 61, 149, 62);
INSERT INTO public.who_data VALUES (35135, 0, 24, 0, 0, 149, 69);
INSERT INTO public.who_data VALUES (35136, 385, 110122, 2, 2076, 149, 220);
INSERT INTO public.who_data VALUES (35137, 1164, 131146, 42, 11213, 149, 100);
INSERT INTO public.who_data VALUES (35138, 138, 102513, 13, 5835, 149, 187);
INSERT INTO public.who_data VALUES (35139, 247, 28201, 4, 823, 149, 63);
INSERT INTO public.who_data VALUES (35140, 0, 5018, 0, 83, 149, 28);
INSERT INTO public.who_data VALUES (35141, 5, 369, 0, 0, 149, 172);
INSERT INTO public.who_data VALUES (35142, 43, 3076, 0, 64, 149, 17);
INSERT INTO public.who_data VALUES (35143, 32, 5375, 0, 108, 149, 226);
INSERT INTO public.who_data VALUES (35144, 604, 71687, 7, 1148, 149, 236);
INSERT INTO public.who_data VALUES (35145, 0, 13, 0, 0, 149, 76);
INSERT INTO public.who_data VALUES (35146, 4, 455, 0, 0, 149, 30);
INSERT INTO public.who_data VALUES (35147, 0, 32, 0, 2, 149, 128);
INSERT INTO public.who_data VALUES (35148, 91, 9379, 0, 343, 149, 86);
INSERT INTO public.who_data VALUES (35149, 16068, 474204, 52, 31325, 149, 140);
INSERT INTO public.who_data VALUES (35150, 28, 9790, 0, 65, 149, 44);
INSERT INTO public.who_data VALUES (35151, 0, 1469, 0, 5, 149, 113);
INSERT INTO public.who_data VALUES (35152, 0, 8716, 0, 54, 149, 29);
INSERT INTO public.who_data VALUES (35153, 0, 3552, 0, 110, 149, 125);
INSERT INTO public.who_data VALUES (35154, 265, 4664, 1, 26, 149, 131);
INSERT INTO public.who_data VALUES (35155, 2153, 280223, 15, 9443, 149, 46);
INSERT INTO public.who_data VALUES (35156, 37, 46153, 2, 299, 149, 10);
INSERT INTO public.who_data VALUES (35157, 2, 357, 0, 0, 149, 205);
INSERT INTO public.who_data VALUES (35158, 341, 16627, 9, 366, 149, 50);
INSERT INTO public.who_data VALUES (35159, 0, 14, 0, 0, 149, 20);
INSERT INTO public.who_data VALUES (35160, 0, 24, 0, 0, 149, 13);
INSERT INTO public.who_data VALUES (35161, 0, 4487, 0, 42, 149, 148);
INSERT INTO public.who_data VALUES (35162, 28, 2263, 1, 39, 149, 230);
INSERT INTO public.who_data VALUES (35163, 491, 87933, 16, 3170, 149, 190);
INSERT INTO public.who_data VALUES (35164, 0, 256, 0, 13, 149, 188);
INSERT INTO public.who_data VALUES (35165, 44, 10478, 0, 65, 149, 123);
INSERT INTO public.who_data VALUES (35166, 21, 2324, 0, 39, 149, 9);
INSERT INTO public.who_data VALUES (35167, 98, 2535, 1, 69, 149, 102);
INSERT INTO public.who_data VALUES (35168, 0, 8646, 0, 225, 149, 34);
INSERT INTO public.who_data VALUES (35169, 0, 12, 0, 0, 149, 212);
INSERT INTO public.who_data VALUES (35170, 369, 72675, 16, 2222, 149, 122);
INSERT INTO public.who_data VALUES (35171, 927, 22127, 9, 718, 149, 38);
INSERT INTO public.who_data VALUES (35172, 36, 2512, 0, 10, 149, 130);
INSERT INTO public.who_data VALUES (35173, 86052, 5818570, 1141, 92290, 149, 37);
INSERT INTO public.who_data VALUES (35174, 4634, 262022, 128, 10105, 149, 231);
INSERT INTO public.who_data VALUES (35175, 3521, 436319, 175, 25015, 149, 107);
INSERT INTO public.who_data VALUES (35176, 4471, 337106, 45, 8799, 149, 101);
INSERT INTO public.who_data VALUES (35177, 319, 33994, 3, 1797, 149, 132);
INSERT INTO public.who_data VALUES (35178, 0, 340, 0, 24, 149, 176);
INSERT INTO public.who_data VALUES (35179, 7125, 206269, 25, 1386, 149, 200);
INSERT INTO public.who_data VALUES (35180, 1786, 304323, 23, 35781, 149, 169);
INSERT INTO public.who_data VALUES (35181, 193, 5588, 1, 77, 149, 225);
INSERT INTO public.who_data VALUES (35182, 456, 80497, 12, 1532, 149, 165);
INSERT INTO public.who_data VALUES (35183, 1, 399, 0, 32, 149, 233);
INSERT INTO public.who_data VALUES (35184, 549, 6659, 1, 36, 149, 215);
INSERT INTO public.who_data VALUES (35185, 301, 139882, 0, 2043, 149, 177);
INSERT INTO public.who_data VALUES (35186, 141, 37489, 5, 669, 149, 183);
INSERT INTO public.who_data VALUES (35187, 0, 0, 0, 0, 149, 203);
INSERT INTO public.who_data VALUES (35188, 63, 15290, 0, 606, 149, 162);
INSERT INTO public.who_data VALUES (35189, 552, 101851, 2, 592, 149, 12);
INSERT INTO public.who_data VALUES (35190, 175, 45932, 0, 1063, 149, 24);
INSERT INTO public.who_data VALUES (35191, 0, 23, 0, 0, 149, 119);
INSERT INTO public.who_data VALUES (35192, 22, 1594, 0, 36, 149, 39);
INSERT INTO public.who_data VALUES (35193, 1027, 32805, 1, 329, 149, 26);
INSERT INTO public.who_data VALUES (35194, 47, 1554, 0, 35, 149, 59);
INSERT INTO public.who_data VALUES (35195, 1, 1338, 0, 82, 149, 77);
INSERT INTO public.who_data VALUES (35196, 658, 31290, 17, 491, 149, 134);
INSERT INTO public.who_data VALUES (35197, 1, 118, 0, 1, 149, 4);
INSERT INTO public.who_data VALUES (35198, 114, 4179, 0, 90, 149, 109);
INSERT INTO public.who_data VALUES (35199, 68, 8158, 0, 124, 149, 90);
INSERT INTO public.who_data VALUES (35200, 24, 16191, 1, 227, 149, 61);
INSERT INTO public.who_data VALUES (35201, 1, 5747, 0, 179, 149, 85);
INSERT INTO public.who_data VALUES (35202, 71, 10576, 0, 133, 149, 49);
INSERT INTO public.who_data VALUES (35203, 54, 9939, 0, 34, 149, 208);
INSERT INTO public.who_data VALUES (35204, 7, 3041, 0, 130, 149, 166);
INSERT INTO public.who_data VALUES (35205, 42, 2899, 1, 26, 149, 64);
INSERT INTO public.who_data VALUES (35206, 0, 0, 0, 0, 149, 199);
INSERT INTO public.who_data VALUES (35207, 0, 1290, 0, 20, 149, 114);
INSERT INTO public.who_data VALUES (35208, 8, 7433, 0, 161, 149, 60);
INSERT INTO public.who_data VALUES (35209, 0, 367, 0, 10, 149, 68);
INSERT INTO public.who_data VALUES (35210, 0, 3541, 0, 40, 149, 158);
INSERT INTO public.who_data VALUES (35211, 4786, 710049, 601, 74949, 149, 52);
INSERT INTO public.who_data VALUES (35212, 0, 0, 0, 0, 149, 117);
INSERT INTO public.who_data VALUES (35213, 6, 208, 0, 1, 149, 126);
INSERT INTO public.who_data VALUES (35214, 0, 313, 0, 0, 149, 196);
INSERT INTO public.who_data VALUES (35215, 196, 10102, 2, 156, 149, 142);
INSERT INTO public.who_data VALUES (35216, 0, 13, 0, 1, 149, 185);
INSERT INTO public.who_data VALUES (35217, 2356, 110099, 38, 1956, 149, 138);
INSERT INTO public.who_data VALUES (35218, 137, 7399, 2, 51, 149, 181);
INSERT INTO public.who_data VALUES (35219, 688, 8515, 25, 155, 149, 178);
INSERT INTO public.who_data VALUES (35220, 77, 10740, 2, 119, 149, 168);
INSERT INTO public.who_data VALUES (35221, 0, 0, 0, 0, 149, 160);
INSERT INTO public.who_data VALUES (35222, 1497, 69301, 17, 453, 149, 151);
INSERT INTO public.who_data VALUES (35223, 2536, 102969, 16, 6311, 149, 193);
INSERT INTO public.who_data VALUES (35224, 0, 26, 0, 0, 149, 18);
INSERT INTO public.who_data VALUES (35225, 2, 1473, 0, 25, 149, 40);
INSERT INTO public.who_data VALUES (35226, 0, 4065, 0, 149, 149, 218);
INSERT INTO public.who_data VALUES (35227, 0, 1193, 0, 69, 149, 191);
INSERT INTO public.who_data VALUES (35228, 125, 57849, 0, 1102, 149, 156);
INSERT INTO public.who_data VALUES (35229, 0, 0, 0, 0, 149, 135);
INSERT INTO public.who_data VALUES (35230, 0, 69, 0, 2, 149, 88);
INSERT INTO public.who_data VALUES (35231, 151, 17200, 2, 712, 149, 55);
INSERT INTO public.who_data VALUES (35232, 123, 13275, 3, 270, 149, 108);
INSERT INTO public.who_data VALUES (35233, 713, 47830, 5, 322, 149, 48);
INSERT INTO public.who_data VALUES (35234, 568, 95907, 10, 885, 149, 3);
INSERT INTO public.who_data VALUES (35235, 0, 741, 0, 13, 149, 224);
INSERT INTO public.who_data VALUES (35236, 798, 309015, 7, 6444, 149, 110);
INSERT INTO public.who_data VALUES (35237, 0, 0, 0, 0, 149, 106);
INSERT INTO public.who_data VALUES (35238, 706, 107990, 6, 2291, 149, 89);
INSERT INTO public.who_data VALUES (35239, 0, 531, 0, 7, 149, 121);
INSERT INTO public.who_data VALUES (35240, 743, 35571, 22, 727, 149, 163);
INSERT INTO public.who_data VALUES (35241, 6149, 782695, 302, 31870, 149, 70);
INSERT INTO public.who_data VALUES (35242, 2164, 296755, 36, 5127, 149, 174);
INSERT INTO public.who_data VALUES (35243, 0, 0, 0, 0, 149, 175);
INSERT INTO public.who_data VALUES (35244, 1136, 82809, 25, 2369, 149, 118);
INSERT INTO public.who_data VALUES (35245, 691, 71156, 3, 1931, 149, 189);
INSERT INTO public.who_data VALUES (35246, 1182, 43842, 10, 627, 149, 124);
INSERT INTO public.who_data VALUES (35247, 250, 124425, 0, 212, 149, 192);
INSERT INTO public.who_data VALUES (35248, 114, 23455, 2, 395, 149, 41);
INSERT INTO public.who_data VALUES (35249, 721, 48953, 8, 1252, 149, 95);
INSERT INTO public.who_data VALUES (35250, 0, 3501, 0, 11, 149, 74);
INSERT INTO public.who_data VALUES (35251, 1639, 118054, 41, 4591, 149, 11);
INSERT INTO public.who_data VALUES (35252, 7212, 1136048, 108, 20056, 149, 87);
INSERT INTO public.who_data VALUES (35253, 10, 4789, 0, 27, 149, 214);
INSERT INTO public.who_data VALUES (35254, 0, 5, 0, 0, 149, 116);
INSERT INTO public.who_data VALUES (35255, 0, 45, 0, 0, 149, 157);
INSERT INTO public.who_data VALUES (35256, 0, 0, 0, 0, 149, 182);
INSERT INTO public.who_data VALUES (35257, 0, 19, 0, 0, 149, 186);
INSERT INTO public.who_data VALUES (35258, 0, 27, 0, 0, 149, 127);
INSERT INTO public.who_data VALUES (35259, 0, 367, 0, 8, 149, 232);
INSERT INTO public.who_data VALUES (35260, 0, 12, 0, 0, 149, 33);
INSERT INTO public.who_data VALUES (35261, 0, 64, 0, 0, 149, 97);
INSERT INTO public.who_data VALUES (35262, 0, 0, 0, 0, 149, 42);
INSERT INTO public.who_data VALUES (35263, 0, 746, 0, 42, 149, 198);
INSERT INTO public.who_data VALUES (35264, 2, 910, 0, 15, 149, 216);
INSERT INTO public.who_data VALUES (35265, 498, 331857, 30, 4599, 149, 164);
INSERT INTO public.who_data VALUES (35266, 21, 14816, 1, 304, 149, 235);
INSERT INTO public.who_data VALUES (35267, 83, 33163, 1, 745, 149, 67);
INSERT INTO public.who_data VALUES (35268, 0, 139, 0, 0, 149, 15);
INSERT INTO public.who_data VALUES (35269, 5, 2188, 0, 72, 149, 180);
INSERT INTO public.who_data VALUES (35270, 15, 57654, 0, 27, 149, 237);
INSERT INTO public.who_data VALUES (35271, 0, 13, 0, 0, 149, 25);
INSERT INTO public.who_data VALUES (35272, 22, 616, 1, 21, 149, 209);
INSERT INTO public.who_data VALUES (35273, 338, 7269, 1, 41, 149, 217);
INSERT INTO public.who_data VALUES (35274, 121, 4816, 2, 149, 149, 79);
INSERT INTO public.who_data VALUES (35275, 0, 0, 0, 0, 149, 143);
INSERT INTO public.who_data VALUES (35276, 0, 3465, 0, 98, 149, 229);
INSERT INTO public.who_data VALUES (35277, 1861, 667049, 77, 16283, 149, 141);
INSERT INTO public.who_data VALUES (35278, 7, 2676, 0, 49, 149, 197);
INSERT INTO public.who_data VALUES (35279, 13002, 759654, 109, 33194, 149, 221);
INSERT INTO public.who_data VALUES (35280, 9, 3333, 0, 13, 149, 150);
INSERT INTO public.who_data VALUES (35281, 12, 13604, 0, 836, 149, 56);
INSERT INTO public.who_data VALUES (35282, 20, 4779, 1, 101, 149, 167);
INSERT INTO public.who_data VALUES (35283, 553, 90498, 0, 5862, 149, 23);
INSERT INTO public.who_data VALUES (35284, 308, 51984, 4, 1816, 149, 222);
INSERT INTO public.who_data VALUES (35285, 42, 3966, 2, 183, 149, 219);
INSERT INTO public.who_data VALUES (35286, 45, 9520, 0, 74, 149, 7);
INSERT INTO public.who_data VALUES (35287, 3, 3519, 0, 59, 149, 161);
INSERT INTO public.who_data VALUES (35288, 6634, 416367, 40, 41902, 149, 149);
INSERT INTO public.who_data VALUES (35289, 0, 27, 0, 0, 149, 6);
INSERT INTO public.who_data VALUES (35290, 6, 1707, 3, 44, 149, 139);
INSERT INTO public.who_data VALUES (35291, 0, 0, 0, 0, 149, 211);
INSERT INTO public.who_data VALUES (35292, 0, 0, 0, 0, 149, 14);
INSERT INTO public.who_data VALUES (35293, 176, 4222, 0, 67, 149, 111);
INSERT INTO public.who_data VALUES (35294, 1087, 14392, 11, 191, 149, 207);
INSERT INTO public.who_data VALUES (35295, 8451, 706860, 74, 7785, 149, 66);
INSERT INTO public.who_data VALUES (35296, 0, 0, 0, 0, 149, 173);
INSERT INTO public.who_data VALUES (35297, 4, 676, 0, 5, 149, 145);
INSERT INTO public.who_data VALUES (35298, 0, 0, 0, 0, 149, 65);
INSERT INTO public.who_data VALUES (35299, 185, 7064, 1, 70, 149, 184);
INSERT INTO public.who_data VALUES (35300, 3565, 191671, 70, 3827, 149, 98);
INSERT INTO public.who_data VALUES (35301, 1002, 88532, 1, 407, 149, 104);
INSERT INTO public.who_data VALUES (35302, 0, 509, 0, 21, 149, 73);
INSERT INTO public.who_data VALUES (35303, 40043, 6868828, 1125, 200725, 149, 8);
INSERT INTO public.who_data VALUES (35304, 12, 1290, 0, 19, 149, 227);
INSERT INTO public.who_data VALUES (35305, 12, 1946, 1, 47, 149, 75);
INSERT INTO public.who_data VALUES (35306, 514, 54181, 3, 448, 149, 45);
INSERT INTO public.who_data VALUES (35307, 0, 0, 0, 0, 149, 133);
INSERT INTO public.who_data VALUES (35308, 986, 69439, 10, 574, 149, 202);
INSERT INTO public.who_data VALUES (35309, 0, 1069, 0, 35, 149, 129);
INSERT INTO public.who_data VALUES (35310, 0, 0, 0, 0, 149, 36);
INSERT INTO public.who_data VALUES (35311, 0, 2033, 0, 587, 149, 51);
INSERT INTO public.who_data VALUES (35312, 48, 14491, 0, 332, 149, 206);
INSERT INTO public.who_data VALUES (35313, 0, 7725, 0, 227, 149, 5);
INSERT INTO public.who_data VALUES (35314, 25, 39256, 5, 1455, 150, 103);
INSERT INTO public.who_data VALUES (35315, 121, 12787, 3, 370, 150, 58);
INSERT INTO public.who_data VALUES (35316, 186, 50400, 9, 1698, 150, 195);
INSERT INTO public.who_data VALUES (35317, 0, 0, 0, 0, 150, 115);
INSERT INTO public.who_data VALUES (35318, 72, 1753, 0, 53, 150, 99);
INSERT INTO public.who_data VALUES (35319, 127, 4363, 4, 159, 150, 153);
INSERT INTO public.who_data VALUES (35320, 0, 3, 0, 0, 150, 93);
INSERT INTO public.who_data VALUES (35321, 1, 97, 0, 3, 150, 84);
INSERT INTO public.who_data VALUES (35322, 12027, 652174, 470, 13952, 150, 78);
INSERT INTO public.who_data VALUES (35323, 374, 47564, 3, 940, 150, 170);
INSERT INTO public.who_data VALUES (35324, 78, 3665, 1, 25, 150, 32);
INSERT INTO public.who_data VALUES (35325, 31, 26973, 5, 859, 150, 155);
INSERT INTO public.who_data VALUES (35326, 661, 40558, 6, 777, 150, 82);
INSERT INTO public.who_data VALUES (35327, 146, 39524, 2, 580, 150, 16);
INSERT INTO public.who_data VALUES (35328, 49, 3467, 2, 77, 150, 72);
INSERT INTO public.who_data VALUES (35329, 612, 67014, 4, 231, 150, 43);
INSERT INTO public.who_data VALUES (35330, 1666, 353844, 37, 5044, 150, 120);
INSERT INTO public.who_data VALUES (35331, 0, 189, 0, 7, 150, 213);
INSERT INTO public.who_data VALUES (35332, 253, 76357, 5, 796, 150, 31);
INSERT INTO public.who_data VALUES (35333, 2096, 111790, 8, 9955, 150, 204);
INSERT INTO public.who_data VALUES (35334, 34, 1669, 0, 21, 150, 152);
INSERT INTO public.who_data VALUES (35335, 0, 2325, 0, 40, 150, 144);
INSERT INTO public.who_data VALUES (35336, 0, 180, 0, 9, 150, 96);
INSERT INTO public.who_data VALUES (35337, 0, 261, 0, 0, 150, 47);
INSERT INTO public.who_data VALUES (35338, 467, 131453, 39, 7693, 150, 80);
INSERT INTO public.who_data VALUES (35339, 8, 60, 0, 1, 150, 159);
INSERT INTO public.who_data VALUES (35340, 344, 26076, 12, 783, 150, 27);
INSERT INTO public.who_data VALUES (35341, 0, 2567, 0, 13, 150, 146);
INSERT INTO public.who_data VALUES (35342, 33536, 4591604, 836, 138108, 150, 71);
INSERT INTO public.who_data VALUES (35343, 0, 71, 0, 1, 150, 210);
INSERT INTO public.who_data VALUES (35344, 0, 145, 0, 3, 150, 54);
INSERT INTO public.who_data VALUES (35345, 160, 19283, 12, 779, 150, 147);
INSERT INTO public.who_data VALUES (35346, 11, 1907, 0, 56, 150, 2);
INSERT INTO public.who_data VALUES (35347, 1, 477, 0, 1, 150, 105);
INSERT INTO public.who_data VALUES (35348, 75, 5412, 2, 54, 150, 53);
INSERT INTO public.who_data VALUES (35349, 0, 275, 0, 0, 150, 81);
INSERT INTO public.who_data VALUES (35350, 0, 20690, 0, 416, 150, 223);
INSERT INTO public.who_data VALUES (35351, 1248, 146663, 6, 9234, 150, 94);
INSERT INTO public.who_data VALUES (35352, 0, 210, 0, 1, 150, 154);
INSERT INTO public.who_data VALUES (35353, 2, 4804, 0, 62, 150, 83);
INSERT INTO public.who_data VALUES (35354, 9, 1164, 1, 82, 150, 194);
INSERT INTO public.who_data VALUES (35355, 1380, 449903, 24, 12345, 150, 136);
INSERT INTO public.who_data VALUES (35356, 10, 90918, 1, 4745, 150, 179);
INSERT INTO public.who_data VALUES (35357, 7102, 777537, 173, 24570, 150, 57);
INSERT INTO public.who_data VALUES (35358, 0, 470, 0, 7, 150, 35);
INSERT INTO public.who_data VALUES (35359, 0, 5005, 0, 89, 150, 228);
INSERT INTO public.who_data VALUES (35360, 0, 0, 0, 0, 150, 19);
INSERT INTO public.who_data VALUES (35361, 1087, 66689, 15, 760, 150, 22);
INSERT INTO public.who_data VALUES (35362, 103, 19430, 0, 120, 150, 1);
INSERT INTO public.who_data VALUES (35363, 204, 15340, 2, 257, 150, 21);
INSERT INTO public.who_data VALUES (35364, 48, 5270, 1, 118, 150, 234);
INSERT INTO public.who_data VALUES (35365, 9, 291, 0, 1, 150, 91);
INSERT INTO public.who_data VALUES (35366, 36, 1654, 0, 22, 150, 137);
INSERT INTO public.who_data VALUES (35367, 2306, 55464, 24, 555, 150, 201);
INSERT INTO public.who_data VALUES (35368, 0, 0, 0, 0, 150, 171);
INSERT INTO public.who_data VALUES (35369, 14, 10536, 0, 271, 150, 92);
INSERT INTO public.who_data VALUES (35370, 558, 24357, 2, 643, 150, 112);
INSERT INTO public.who_data VALUES (35371, 0, 5407, 0, 61, 150, 62);
INSERT INTO public.who_data VALUES (35372, 0, 24, 0, 0, 150, 69);
INSERT INTO public.who_data VALUES (35373, 468, 109737, 10, 2074, 150, 220);
INSERT INTO public.who_data VALUES (35374, 2339, 129982, 45, 11171, 150, 100);
INSERT INTO public.who_data VALUES (35375, 121, 102375, 16, 5822, 150, 187);
INSERT INTO public.who_data VALUES (35376, 156, 27954, 5, 819, 150, 63);
INSERT INTO public.who_data VALUES (35377, 0, 5018, 0, 83, 150, 28);
INSERT INTO public.who_data VALUES (35378, 0, 364, 0, 0, 150, 172);
INSERT INTO public.who_data VALUES (35379, 57, 3033, 0, 64, 150, 17);
INSERT INTO public.who_data VALUES (35380, 36, 5343, 2, 108, 150, 226);
INSERT INTO public.who_data VALUES (35381, 661, 71083, 14, 1141, 150, 236);
INSERT INTO public.who_data VALUES (35382, 0, 13, 0, 0, 150, 76);
INSERT INTO public.who_data VALUES (35383, 3, 451, 0, 0, 150, 30);
INSERT INTO public.who_data VALUES (35384, 0, 32, 0, 2, 150, 128);
INSERT INTO public.who_data VALUES (35385, 93, 9288, 2, 343, 150, 86);
INSERT INTO public.who_data VALUES (35386, 12734, 458136, 39, 31273, 150, 140);
INSERT INTO public.who_data VALUES (35387, 24, 9762, 0, 65, 150, 44);
INSERT INTO public.who_data VALUES (35388, 75, 1469, 0, 5, 150, 113);
INSERT INTO public.who_data VALUES (35389, 12, 8716, 0, 54, 150, 29);
INSERT INTO public.who_data VALUES (35390, 12, 3552, 0, 110, 150, 125);
INSERT INTO public.who_data VALUES (35391, 259, 4399, 1, 25, 150, 131);
INSERT INTO public.who_data VALUES (35392, 2143, 278070, 19, 9428, 150, 46);
INSERT INTO public.who_data VALUES (35393, 54, 46116, 0, 297, 150, 10);
INSERT INTO public.who_data VALUES (35394, 5, 355, 0, 0, 150, 205);
INSERT INTO public.who_data VALUES (35395, 358, 16286, 5, 357, 150, 50);
INSERT INTO public.who_data VALUES (35396, 0, 14, 0, 0, 150, 20);
INSERT INTO public.who_data VALUES (35397, 0, 24, 0, 0, 150, 13);
INSERT INTO public.who_data VALUES (35398, 0, 4487, 0, 42, 150, 148);
INSERT INTO public.who_data VALUES (35399, 45, 2235, 1, 38, 150, 230);
INSERT INTO public.who_data VALUES (35400, 819, 87442, 17, 3154, 150, 190);
INSERT INTO public.who_data VALUES (35401, 0, 256, 0, 13, 150, 188);
INSERT INTO public.who_data VALUES (35402, 47, 10434, 0, 65, 150, 123);
INSERT INTO public.who_data VALUES (35403, 0, 2303, 0, 39, 150, 9);
INSERT INTO public.who_data VALUES (35404, 35, 2437, 1, 68, 150, 102);
INSERT INTO public.who_data VALUES (35405, 22, 8646, 4, 225, 150, 34);
INSERT INTO public.who_data VALUES (35406, 0, 12, 0, 0, 150, 212);
INSERT INTO public.who_data VALUES (35407, 231, 72306, 2, 2206, 150, 122);
INSERT INTO public.who_data VALUES (35408, 750, 21200, 7, 709, 150, 38);
INSERT INTO public.who_data VALUES (35409, 57, 2476, 0, 10, 150, 130);
INSERT INTO public.who_data VALUES (35410, 86508, 5732518, 1129, 91149, 150, 37);
INSERT INTO public.who_data VALUES (35411, 4465, 257388, 140, 9977, 150, 231);
INSERT INTO public.who_data VALUES (35412, 3605, 432798, 184, 24840, 150, 107);
INSERT INTO public.who_data VALUES (35413, 5055, 332635, 72, 8754, 150, 101);
INSERT INTO public.who_data VALUES (35414, 231, 33675, 2, 1794, 150, 132);
INSERT INTO public.who_data VALUES (35415, 0, 340, 0, 24, 150, 176);
INSERT INTO public.who_data VALUES (35416, 7021, 199144, 26, 1361, 150, 200);
INSERT INTO public.who_data VALUES (35417, 1640, 302537, 20, 35758, 150, 169);
INSERT INTO public.who_data VALUES (35418, 125, 5395, 1, 76, 150, 225);
INSERT INTO public.who_data VALUES (35419, 273, 80041, 8, 1520, 150, 165);
INSERT INTO public.who_data VALUES (35420, 2, 398, 0, 32, 150, 233);
INSERT INTO public.who_data VALUES (35421, 363, 6110, 2, 35, 150, 215);
INSERT INTO public.who_data VALUES (35422, 292, 139581, 0, 2043, 150, 177);
INSERT INTO public.who_data VALUES (35423, 130, 37348, 5, 664, 150, 183);
INSERT INTO public.who_data VALUES (35424, 0, 0, 0, 0, 150, 203);
INSERT INTO public.who_data VALUES (35425, 62, 15227, 1, 606, 150, 162);
INSERT INTO public.who_data VALUES (35426, 616, 101299, 2, 590, 150, 12);
INSERT INTO public.who_data VALUES (35427, 127, 45757, 0, 1063, 150, 24);
INSERT INTO public.who_data VALUES (35428, 0, 23, 0, 0, 150, 119);
INSERT INTO public.who_data VALUES (35429, 12, 1572, 0, 36, 150, 39);
INSERT INTO public.who_data VALUES (35430, 940, 31778, 13, 328, 150, 26);
INSERT INTO public.who_data VALUES (35431, 117, 1507, 2, 35, 150, 59);
INSERT INTO public.who_data VALUES (35432, 1, 1337, 0, 82, 150, 77);
INSERT INTO public.who_data VALUES (35433, 535, 30632, 5, 474, 150, 134);
INSERT INTO public.who_data VALUES (35434, 0, 117, 0, 1, 150, 4);
INSERT INTO public.who_data VALUES (35435, 138, 4065, 2, 90, 150, 109);
INSERT INTO public.who_data VALUES (35436, 74, 8090, 0, 124, 150, 90);
INSERT INTO public.who_data VALUES (35437, 31, 16167, 0, 226, 150, 61);
INSERT INTO public.who_data VALUES (35438, 7, 5746, 0, 179, 150, 85);
INSERT INTO public.who_data VALUES (35439, 147, 10505, 3, 133, 150, 49);
INSERT INTO public.who_data VALUES (35440, 67, 9885, 0, 34, 150, 208);
INSERT INTO public.who_data VALUES (35441, 4, 3034, 1, 130, 150, 166);
INSERT INTO public.who_data VALUES (35442, 42, 2857, 2, 25, 150, 64);
INSERT INTO public.who_data VALUES (35443, 0, 0, 0, 0, 150, 199);
INSERT INTO public.who_data VALUES (35444, 168, 1290, 2, 20, 150, 114);
INSERT INTO public.who_data VALUES (35445, 22, 7425, 0, 161, 150, 60);
INSERT INTO public.who_data VALUES (35446, 0, 367, 0, 10, 150, 68);
INSERT INTO public.who_data VALUES (35447, 0, 3541, 0, 40, 150, 158);
INSERT INTO public.who_data VALUES (35448, 4683, 705263, 651, 74348, 150, 52);
INSERT INTO public.who_data VALUES (35449, 0, 0, 0, 0, 150, 117);
INSERT INTO public.who_data VALUES (35450, 2, 202, 0, 1, 150, 126);
INSERT INTO public.who_data VALUES (35451, 0, 313, 0, 0, 150, 196);
INSERT INTO public.who_data VALUES (35452, 279, 9906, 3, 154, 150, 142);
INSERT INTO public.who_data VALUES (35453, 0, 13, 0, 1, 150, 185);
INSERT INTO public.who_data VALUES (35454, 2397, 107743, 29, 1918, 150, 138);
INSERT INTO public.who_data VALUES (35455, 148, 7262, 4, 49, 150, 181);
INSERT INTO public.who_data VALUES (35456, 868, 7827, 14, 130, 150, 178);
INSERT INTO public.who_data VALUES (35457, 56, 10663, 1, 117, 150, 168);
INSERT INTO public.who_data VALUES (35458, 0, 0, 0, 0, 150, 160);
INSERT INTO public.who_data VALUES (35459, 1172, 67804, 7, 436, 150, 151);
INSERT INTO public.who_data VALUES (35460, 2334, 100433, 5, 6295, 150, 193);
INSERT INTO public.who_data VALUES (35461, 0, 26, 0, 0, 150, 18);
INSERT INTO public.who_data VALUES (35462, 3, 1471, 0, 25, 150, 40);
INSERT INTO public.who_data VALUES (35463, 0, 4065, 0, 149, 150, 218);
INSERT INTO public.who_data VALUES (35464, 4, 1193, 0, 69, 150, 191);
INSERT INTO public.who_data VALUES (35465, 111, 57724, 2, 1102, 150, 156);
INSERT INTO public.who_data VALUES (35466, 0, 0, 0, 0, 150, 135);
INSERT INTO public.who_data VALUES (35467, 0, 69, 0, 2, 150, 88);
INSERT INTO public.who_data VALUES (35468, 182, 17049, 5, 710, 150, 55);
INSERT INTO public.who_data VALUES (35469, 152, 13152, 0, 267, 150, 108);
INSERT INTO public.who_data VALUES (35470, 503, 47117, 3, 317, 150, 48);
INSERT INTO public.who_data VALUES (35471, 628, 95339, 10, 875, 150, 3);
INSERT INTO public.who_data VALUES (35472, 0, 741, 0, 13, 150, 224);
INSERT INTO public.who_data VALUES (35473, 799, 308217, 5, 6437, 150, 110);
INSERT INTO public.who_data VALUES (35474, 0, 0, 0, 0, 150, 106);
INSERT INTO public.who_data VALUES (35475, 474, 107284, 13, 2285, 150, 89);
INSERT INTO public.who_data VALUES (35476, 4, 531, 0, 7, 150, 121);
INSERT INTO public.who_data VALUES (35477, 568, 34828, 29, 705, 150, 163);
INSERT INTO public.who_data VALUES (35478, 3650, 776546, 94, 31568, 150, 70);
INSERT INTO public.who_data VALUES (35479, 2802, 294591, 42, 5091, 150, 174);
INSERT INTO public.who_data VALUES (35480, 0, 0, 0, 0, 150, 175);
INSERT INTO public.who_data VALUES (35481, 974, 81673, 28, 2344, 150, 118);
INSERT INTO public.who_data VALUES (35482, 802, 70465, 3, 1928, 150, 189);
INSERT INTO public.who_data VALUES (35483, 64, 42660, 4, 617, 150, 124);
INSERT INTO public.who_data VALUES (35484, 258, 124175, 1, 212, 150, 192);
INSERT INTO public.who_data VALUES (35485, 125, 23341, 5, 393, 150, 41);
INSERT INTO public.who_data VALUES (35486, 786, 48232, 14, 1244, 150, 95);
INSERT INTO public.who_data VALUES (35487, 86, 3501, 0, 11, 150, 74);
INSERT INTO public.who_data VALUES (35488, 1767, 116415, 47, 4550, 150, 11);
INSERT INTO public.who_data VALUES (35489, 6595, 1128836, 149, 19948, 150, 87);
INSERT INTO public.who_data VALUES (35490, 41, 4779, 0, 27, 150, 214);
INSERT INTO public.who_data VALUES (35491, 0, 5, 0, 0, 150, 116);
INSERT INTO public.who_data VALUES (35492, 22, 45, 0, 0, 150, 157);
INSERT INTO public.who_data VALUES (35493, 0, 0, 0, 0, 150, 182);
INSERT INTO public.who_data VALUES (35494, 0, 19, 0, 0, 150, 186);
INSERT INTO public.who_data VALUES (35495, 0, 27, 0, 0, 150, 127);
INSERT INTO public.who_data VALUES (35496, 37, 367, 2, 8, 150, 232);
INSERT INTO public.who_data VALUES (35497, 1, 12, 0, 0, 150, 33);
INSERT INTO public.who_data VALUES (35498, 0, 64, 0, 0, 150, 97);
INSERT INTO public.who_data VALUES (35499, 0, 0, 0, 0, 150, 42);
INSERT INTO public.who_data VALUES (35500, 4, 746, 0, 42, 150, 198);
INSERT INTO public.who_data VALUES (35501, 0, 908, 0, 15, 150, 216);
INSERT INTO public.who_data VALUES (35502, 561, 331359, 27, 4569, 150, 164);
INSERT INTO public.who_data VALUES (35503, 36, 14795, 1, 303, 150, 235);
INSERT INTO public.who_data VALUES (35504, 81, 33080, 1, 744, 150, 67);
INSERT INTO public.who_data VALUES (35505, 0, 139, 0, 0, 150, 15);
INSERT INTO public.who_data VALUES (35506, 9, 2183, 0, 72, 150, 180);
INSERT INTO public.who_data VALUES (35507, 12, 57639, 0, 27, 150, 237);
INSERT INTO public.who_data VALUES (35508, 1, 13, 0, 0, 150, 25);
INSERT INTO public.who_data VALUES (35509, 3, 594, 0, 20, 150, 209);
INSERT INTO public.who_data VALUES (35510, 175, 6931, 1, 40, 150, 217);
INSERT INTO public.who_data VALUES (35511, 136, 4695, 1, 147, 150, 79);
INSERT INTO public.who_data VALUES (35512, 0, 0, 0, 0, 150, 143);
INSERT INTO public.who_data VALUES (35513, 0, 3465, 0, 98, 150, 229);
INSERT INTO public.who_data VALUES (35514, 1906, 665188, 88, 16206, 150, 141);
INSERT INTO public.who_data VALUES (35515, 5, 2669, 0, 49, 150, 197);
INSERT INTO public.who_data VALUES (35516, 13068, 746652, 123, 33085, 150, 221);
INSERT INTO public.who_data VALUES (35517, 11, 3324, 0, 13, 150, 150);
INSERT INTO public.who_data VALUES (35518, 14, 13592, 0, 836, 150, 56);
INSERT INTO public.who_data VALUES (35519, 19, 4759, 3, 100, 150, 167);
INSERT INTO public.who_data VALUES (35520, 438, 89945, 1, 5862, 150, 23);
INSERT INTO public.who_data VALUES (35521, 389, 51676, 1, 1812, 150, 222);
INSERT INTO public.who_data VALUES (35522, 47, 3924, 3, 181, 150, 219);
INSERT INTO public.who_data VALUES (35523, 43, 9475, 1, 74, 150, 7);
INSERT INTO public.who_data VALUES (35524, 2, 3516, 0, 59, 150, 161);
INSERT INTO public.who_data VALUES (35525, 6178, 409733, 37, 41862, 150, 149);
INSERT INTO public.who_data VALUES (35526, 0, 27, 0, 0, 150, 6);
INSERT INTO public.who_data VALUES (35527, 18, 1701, 0, 41, 150, 139);
INSERT INTO public.who_data VALUES (35528, 0, 0, 0, 0, 150, 211);
INSERT INTO public.who_data VALUES (35529, 0, 0, 0, 0, 150, 14);
INSERT INTO public.who_data VALUES (35530, 72, 4046, 2, 67, 150, 111);
INSERT INTO public.who_data VALUES (35531, 826, 13305, 6, 180, 150, 207);
INSERT INTO public.who_data VALUES (35532, 8497, 698409, 72, 7711, 150, 66);
INSERT INTO public.who_data VALUES (35533, 0, 0, 0, 0, 150, 173);
INSERT INTO public.who_data VALUES (35534, 4, 672, 0, 5, 150, 145);
INSERT INTO public.who_data VALUES (35535, 0, 0, 0, 0, 150, 65);
INSERT INTO public.who_data VALUES (35536, 167, 6879, 5, 69, 150, 184);
INSERT INTO public.who_data VALUES (35537, 3372, 188106, 52, 3757, 150, 98);
INSERT INTO public.who_data VALUES (35538, 1083, 87530, 1, 406, 150, 104);
INSERT INTO public.who_data VALUES (35539, 0, 509, 0, 21, 150, 73);
INSERT INTO public.who_data VALUES (35540, 49176, 6828785, 807, 199600, 150, 8);
INSERT INTO public.who_data VALUES (35541, 2, 1278, 0, 19, 150, 227);
INSERT INTO public.who_data VALUES (35542, 7, 1934, 0, 46, 150, 75);
INSERT INTO public.who_data VALUES (35543, 616, 53667, 2, 445, 150, 45);
INSERT INTO public.who_data VALUES (35544, 0, 0, 0, 0, 150, 133);
INSERT INTO public.who_data VALUES (35545, 1010, 68453, 9, 564, 150, 202);
INSERT INTO public.who_data VALUES (35546, 1, 1069, 0, 35, 150, 129);
INSERT INTO public.who_data VALUES (35547, 0, 0, 0, 0, 150, 36);
INSERT INTO public.who_data VALUES (35548, 1, 2033, 0, 587, 150, 51);
INSERT INTO public.who_data VALUES (35549, 54, 14443, 1, 332, 150, 206);
INSERT INTO public.who_data VALUES (35550, 14, 7725, 1, 227, 150, 5);
INSERT INTO public.who_data VALUES (35551, 49, 39231, 1, 1450, 151, 103);
INSERT INTO public.who_data VALUES (35552, 131, 12666, 3, 367, 151, 58);
INSERT INTO public.who_data VALUES (35553, 191, 50214, 10, 1689, 151, 195);
INSERT INTO public.who_data VALUES (35554, 0, 0, 0, 0, 151, 115);
INSERT INTO public.who_data VALUES (35555, 0, 1681, 0, 53, 151, 99);
INSERT INTO public.who_data VALUES (35556, 245, 4236, 3, 155, 151, 153);
INSERT INTO public.who_data VALUES (35557, 0, 3, 0, 0, 151, 93);
INSERT INTO public.who_data VALUES (35558, 0, 96, 0, 3, 151, 84);
INSERT INTO public.who_data VALUES (35559, 8782, 640147, 429, 13482, 151, 78);
INSERT INTO public.who_data VALUES (35560, 210, 47190, 4, 937, 151, 170);
INSERT INTO public.who_data VALUES (35561, 36, 3587, 1, 24, 151, 32);
INSERT INTO public.who_data VALUES (35562, 30, 26942, 3, 854, 151, 155);
INSERT INTO public.who_data VALUES (35563, 747, 39897, 4, 771, 151, 82);
INSERT INTO public.who_data VALUES (35564, 98, 39378, 2, 578, 151, 16);
INSERT INTO public.who_data VALUES (35565, 48, 3418, 1, 75, 151, 72);
INSERT INTO public.who_data VALUES (35566, 650, 66402, 3, 227, 151, 43);
INSERT INTO public.who_data VALUES (35567, 1557, 352178, 28, 5007, 151, 120);
INSERT INTO public.who_data VALUES (35568, 0, 189, 0, 7, 151, 213);
INSERT INTO public.who_data VALUES (35569, 206, 76104, 6, 791, 151, 31);
INSERT INTO public.who_data VALUES (35570, 2074, 109694, 1, 9947, 151, 204);
INSERT INTO public.who_data VALUES (35571, 8, 1635, 0, 21, 151, 152);
INSERT INTO public.who_data VALUES (35572, 31, 2325, 0, 40, 151, 144);
INSERT INTO public.who_data VALUES (35573, 0, 180, 0, 9, 151, 96);
INSERT INTO public.who_data VALUES (35574, 0, 261, 0, 0, 151, 47);
INSERT INTO public.who_data VALUES (35575, 310, 130986, 37, 7654, 151, 80);
INSERT INTO public.who_data VALUES (35576, 5, 52, 0, 1, 151, 159);
INSERT INTO public.who_data VALUES (35577, 216, 25732, 8, 771, 151, 27);
INSERT INTO public.who_data VALUES (35578, 0, 2567, 0, 13, 151, 146);
INSERT INTO public.who_data VALUES (35579, 13439, 4558068, 377, 137272, 151, 71);
INSERT INTO public.who_data VALUES (35580, 0, 71, 0, 1, 151, 210);
INSERT INTO public.who_data VALUES (35581, 0, 145, 0, 3, 151, 54);
INSERT INTO public.who_data VALUES (35582, 109, 19123, 2, 767, 151, 147);
INSERT INTO public.who_data VALUES (35583, 0, 1896, 0, 56, 151, 2);
INSERT INTO public.who_data VALUES (35584, 2, 476, 0, 1, 151, 105);
INSERT INTO public.who_data VALUES (35585, 56, 5337, 0, 52, 151, 53);
INSERT INTO public.who_data VALUES (35586, 0, 275, 0, 0, 151, 81);
INSERT INTO public.who_data VALUES (35587, 92, 20690, 0, 416, 151, 223);
INSERT INTO public.who_data VALUES (35588, 1766, 145415, 11, 9228, 151, 94);
INSERT INTO public.who_data VALUES (35589, 1, 210, 0, 1, 151, 154);
INSERT INTO public.who_data VALUES (35590, 0, 4802, 0, 62, 151, 83);
INSERT INTO public.who_data VALUES (35591, 2, 1155, 0, 81, 151, 194);
INSERT INTO public.who_data VALUES (35592, 1055, 448523, 23, 12321, 151, 136);
INSERT INTO public.who_data VALUES (35593, 18, 90908, 0, 4744, 151, 179);
INSERT INTO public.who_data VALUES (35594, 5359, 770435, 189, 24397, 151, 57);
INSERT INTO public.who_data VALUES (35595, 0, 470, 0, 7, 151, 35);
INSERT INTO public.who_data VALUES (35596, 3, 5005, 0, 89, 151, 228);
INSERT INTO public.who_data VALUES (35597, 0, 0, 0, 0, 151, 19);
INSERT INTO public.who_data VALUES (35598, 703, 65602, 18, 745, 151, 22);
INSERT INTO public.who_data VALUES (35599, 7, 19327, 0, 120, 151, 1);
INSERT INTO public.who_data VALUES (35600, 144, 15136, 2, 255, 151, 21);
INSERT INTO public.who_data VALUES (35601, 81, 5222, 1, 117, 151, 234);
INSERT INTO public.who_data VALUES (35602, 0, 282, 0, 1, 151, 91);
INSERT INTO public.who_data VALUES (35603, 15, 1618, 0, 22, 151, 137);
INSERT INTO public.who_data VALUES (35604, 2394, 53158, 9, 531, 151, 201);
INSERT INTO public.who_data VALUES (35605, 0, 0, 0, 0, 151, 171);
INSERT INTO public.who_data VALUES (35606, 4, 10522, 0, 271, 151, 92);
INSERT INTO public.who_data VALUES (35607, 476, 23799, 1, 641, 151, 112);
INSERT INTO public.who_data VALUES (35608, 3, 5407, 0, 61, 151, 62);
INSERT INTO public.who_data VALUES (35609, 0, 24, 0, 0, 151, 69);
INSERT INTO public.who_data VALUES (35610, 486, 109269, 10, 2064, 151, 220);
INSERT INTO public.who_data VALUES (35611, 932, 127643, 31, 11126, 151, 100);
INSERT INTO public.who_data VALUES (35612, 113, 102254, 19, 5806, 151, 187);
INSERT INTO public.who_data VALUES (35613, 0, 27798, 2, 814, 151, 63);
INSERT INTO public.who_data VALUES (35614, 16, 5018, 0, 83, 151, 28);
INSERT INTO public.who_data VALUES (35615, 0, 364, 0, 0, 151, 172);
INSERT INTO public.who_data VALUES (35616, 35, 2976, 0, 64, 151, 17);
INSERT INTO public.who_data VALUES (35617, 25, 5307, 2, 106, 151, 226);
INSERT INTO public.who_data VALUES (35618, 713, 70422, 19, 1127, 151, 236);
INSERT INTO public.who_data VALUES (35619, 0, 13, 0, 0, 151, 76);
INSERT INTO public.who_data VALUES (35620, 11, 448, 0, 0, 151, 30);
INSERT INTO public.who_data VALUES (35621, 0, 32, 0, 2, 151, 128);
INSERT INTO public.who_data VALUES (35622, 149, 9195, 0, 341, 151, 86);
INSERT INTO public.who_data VALUES (35623, 8921, 445402, 62, 31234, 151, 140);
INSERT INTO public.who_data VALUES (35624, 26, 9738, 0, 65, 151, 44);
INSERT INTO public.who_data VALUES (35625, 0, 1394, 3, 5, 151, 113);
INSERT INTO public.who_data VALUES (35626, 0, 8704, 0, 54, 151, 29);
INSERT INTO public.who_data VALUES (35627, 0, 3540, 0, 110, 151, 125);
INSERT INTO public.who_data VALUES (35628, 227, 4140, 2, 24, 151, 131);
INSERT INTO public.who_data VALUES (35629, 1769, 275927, 13, 9409, 151, 46);
INSERT INTO public.who_data VALUES (35630, 58, 46062, 0, 297, 151, 10);
INSERT INTO public.who_data VALUES (35631, 0, 350, 0, 0, 151, 205);
INSERT INTO public.who_data VALUES (35632, 333, 15928, 8, 352, 151, 50);
INSERT INTO public.who_data VALUES (35633, 0, 14, 0, 0, 151, 20);
INSERT INTO public.who_data VALUES (35634, 0, 24, 0, 0, 151, 13);
INSERT INTO public.who_data VALUES (35635, 1061, 4487, 16, 42, 151, 148);
INSERT INTO public.who_data VALUES (35636, 43, 2190, 2, 37, 151, 230);
INSERT INTO public.who_data VALUES (35637, 942, 86623, 13, 3137, 151, 190);
INSERT INTO public.who_data VALUES (35638, 0, 256, 0, 13, 151, 188);
INSERT INTO public.who_data VALUES (35639, 43, 10387, 0, 65, 151, 123);
INSERT INTO public.who_data VALUES (35640, 0, 2303, 0, 39, 151, 9);
INSERT INTO public.who_data VALUES (35641, 133, 2402, 3, 67, 151, 102);
INSERT INTO public.who_data VALUES (35642, 0, 8624, 0, 221, 151, 34);
INSERT INTO public.who_data VALUES (35643, 0, 12, 0, 0, 151, 212);
INSERT INTO public.who_data VALUES (35644, 459, 72075, 20, 2204, 151, 122);
INSERT INTO public.who_data VALUES (35645, 951, 20450, 8, 702, 151, 38);
INSERT INTO public.who_data VALUES (35646, 42, 2419, 0, 10, 151, 130);
INSERT INTO public.who_data VALUES (35647, 83347, 5646010, 1085, 90020, 151, 37);
INSERT INTO public.who_data VALUES (35648, 4071, 252923, 160, 9837, 151, 231);
INSERT INTO public.who_data VALUES (35649, 3712, 429193, 178, 24656, 151, 107);
INSERT INTO public.who_data VALUES (35650, 4724, 327580, 57, 8682, 151, 101);
INSERT INTO public.who_data VALUES (35651, 323, 33444, 0, 1792, 151, 132);
INSERT INTO public.who_data VALUES (35652, 1, 340, 0, 24, 151, 176);
INSERT INTO public.who_data VALUES (35653, 3865, 192123, 32, 1335, 151, 200);
INSERT INTO public.who_data VALUES (35654, 1391, 300897, 14, 35738, 151, 169);
INSERT INTO public.who_data VALUES (35655, 127, 5270, 5, 75, 151, 225);
INSERT INTO public.who_data VALUES (35656, 330, 79768, 4, 1512, 151, 165);
INSERT INTO public.who_data VALUES (35657, 3, 396, 0, 32, 151, 233);
INSERT INTO public.who_data VALUES (35658, 634, 5747, 1, 33, 151, 215);
INSERT INTO public.who_data VALUES (35659, 307, 139289, 0, 2043, 151, 177);
INSERT INTO public.who_data VALUES (35660, 139, 37218, 9, 659, 151, 183);
INSERT INTO public.who_data VALUES (35661, 0, 0, 0, 0, 151, 203);
INSERT INTO public.who_data VALUES (35662, 66, 15165, 0, 605, 151, 162);
INSERT INTO public.who_data VALUES (35663, 719, 100683, 3, 588, 151, 12);
INSERT INTO public.who_data VALUES (35664, 88, 45630, 0, 1063, 151, 24);
INSERT INTO public.who_data VALUES (35665, 0, 23, 0, 0, 151, 119);
INSERT INTO public.who_data VALUES (35666, 34, 1560, 0, 36, 151, 39);
INSERT INTO public.who_data VALUES (35667, 851, 30838, 8, 315, 151, 26);
INSERT INTO public.who_data VALUES (35668, 0, 1390, 0, 33, 151, 59);
INSERT INTO public.who_data VALUES (35669, 0, 1336, 0, 82, 151, 77);
INSERT INTO public.who_data VALUES (35670, 651, 30097, 9, 469, 151, 134);
INSERT INTO public.who_data VALUES (35671, 1, 117, 0, 1, 151, 4);
INSERT INTO public.who_data VALUES (35672, 73, 3927, 0, 88, 151, 109);
INSERT INTO public.who_data VALUES (35673, 100, 8016, 0, 124, 151, 90);
INSERT INTO public.who_data VALUES (35674, 63, 16136, 1, 226, 151, 61);
INSERT INTO public.who_data VALUES (35675, 6, 5739, 0, 179, 151, 85);
INSERT INTO public.who_data VALUES (35676, 82, 10358, 0, 130, 151, 49);
INSERT INTO public.who_data VALUES (35677, 48, 9818, 0, 34, 151, 208);
INSERT INTO public.who_data VALUES (35678, 6, 3030, 1, 129, 151, 166);
INSERT INTO public.who_data VALUES (35679, 38, 2815, 2, 23, 151, 64);
INSERT INTO public.who_data VALUES (35680, 0, 0, 0, 0, 151, 199);
INSERT INTO public.who_data VALUES (35681, 0, 1122, 0, 18, 151, 114);
INSERT INTO public.who_data VALUES (35682, 19, 7403, 0, 161, 151, 60);
INSERT INTO public.who_data VALUES (35683, 0, 367, 0, 10, 151, 68);
INSERT INTO public.who_data VALUES (35684, 0, 3541, 0, 40, 151, 158);
INSERT INTO public.who_data VALUES (35685, 2917, 700580, 204, 73697, 151, 52);
INSERT INTO public.who_data VALUES (35686, 0, 0, 0, 0, 151, 117);
INSERT INTO public.who_data VALUES (35687, 2, 200, 0, 1, 151, 126);
INSERT INTO public.who_data VALUES (35688, 1, 313, 0, 0, 151, 196);
INSERT INTO public.who_data VALUES (35689, 269, 9627, 5, 151, 151, 142);
INSERT INTO public.who_data VALUES (35690, 0, 13, 0, 1, 151, 185);
INSERT INTO public.who_data VALUES (35691, 2227, 105346, 34, 1889, 151, 138);
INSERT INTO public.who_data VALUES (35692, 202, 7114, 1, 45, 151, 181);
INSERT INTO public.who_data VALUES (35693, 488, 6959, 16, 116, 151, 178);
INSERT INTO public.who_data VALUES (35694, 81, 10607, 3, 116, 151, 168);
INSERT INTO public.who_data VALUES (35695, 0, 0, 0, 0, 151, 160);
INSERT INTO public.who_data VALUES (35696, 1356, 66632, 2, 429, 151, 151);
INSERT INTO public.who_data VALUES (35697, 2237, 98099, 10, 6290, 151, 193);
INSERT INTO public.who_data VALUES (35698, 0, 26, 0, 0, 151, 18);
INSERT INTO public.who_data VALUES (35699, 4, 1468, 0, 25, 151, 40);
INSERT INTO public.who_data VALUES (35700, 86, 4065, 2, 149, 151, 218);
INSERT INTO public.who_data VALUES (35701, 0, 1189, 0, 69, 151, 191);
INSERT INTO public.who_data VALUES (35702, 176, 57613, 0, 1100, 151, 156);
INSERT INTO public.who_data VALUES (35703, 0, 0, 0, 0, 151, 135);
INSERT INTO public.who_data VALUES (35704, 0, 69, 0, 2, 151, 88);
INSERT INTO public.who_data VALUES (35705, 87, 16867, 5, 705, 151, 55);
INSERT INTO public.who_data VALUES (35706, 104, 13000, 0, 267, 151, 108);
INSERT INTO public.who_data VALUES (35707, 557, 46614, 5, 314, 151, 48);
INSERT INTO public.who_data VALUES (35708, 660, 94711, 12, 865, 151, 3);
INSERT INTO public.who_data VALUES (35709, 0, 741, 0, 13, 151, 224);
INSERT INTO public.who_data VALUES (35710, 532, 307418, 8, 6432, 151, 110);
INSERT INTO public.who_data VALUES (35711, 0, 0, 0, 0, 151, 106);
INSERT INTO public.who_data VALUES (35712, 607, 106810, 15, 2272, 151, 89);
INSERT INTO public.who_data VALUES (35713, 1, 527, 0, 7, 151, 121);
INSERT INTO public.who_data VALUES (35714, 740, 34260, 17, 676, 151, 163);
INSERT INTO public.who_data VALUES (35715, 4001, 772896, 105, 31474, 151, 70);
INSERT INTO public.who_data VALUES (35716, 1599, 291789, 50, 5049, 151, 174);
INSERT INTO public.who_data VALUES (35717, 0, 0, 0, 0, 151, 175);
INSERT INTO public.who_data VALUES (35718, 711, 80699, 18, 2316, 151, 118);
INSERT INTO public.who_data VALUES (35719, 463, 69663, 5, 1925, 151, 189);
INSERT INTO public.who_data VALUES (35720, 120, 42596, 4, 613, 151, 124);
INSERT INTO public.who_data VALUES (35721, 313, 123917, 0, 211, 151, 192);
INSERT INTO public.who_data VALUES (35722, 110, 23216, 0, 388, 151, 41);
INSERT INTO public.who_data VALUES (35723, 650, 47446, 19, 1230, 151, 95);
INSERT INTO public.who_data VALUES (35724, 0, 3415, 0, 11, 151, 74);
INSERT INTO public.who_data VALUES (35725, 1059, 114648, 45, 4503, 151, 11);
INSERT INTO public.who_data VALUES (35726, 6431, 1122241, 150, 19799, 151, 87);
INSERT INTO public.who_data VALUES (35727, 16, 4738, 0, 27, 151, 214);
INSERT INTO public.who_data VALUES (35728, 0, 5, 0, 0, 151, 116);
INSERT INTO public.who_data VALUES (35729, 0, 23, 0, 0, 151, 157);
INSERT INTO public.who_data VALUES (35730, 0, 0, 0, 0, 151, 182);
INSERT INTO public.who_data VALUES (35731, 0, 19, 0, 0, 151, 186);
INSERT INTO public.who_data VALUES (35732, 0, 27, 0, 0, 151, 127);
INSERT INTO public.who_data VALUES (35733, 0, 330, 0, 6, 151, 232);
INSERT INTO public.who_data VALUES (35734, 0, 11, 0, 0, 151, 33);
INSERT INTO public.who_data VALUES (35735, 0, 64, 0, 0, 151, 97);
INSERT INTO public.who_data VALUES (35736, 0, 0, 0, 0, 151, 42);
INSERT INTO public.who_data VALUES (35737, 0, 742, 0, 42, 151, 198);
INSERT INTO public.who_data VALUES (35738, 0, 908, 0, 15, 151, 216);
INSERT INTO public.who_data VALUES (35739, 552, 330798, 30, 4542, 151, 164);
INSERT INTO public.who_data VALUES (35740, 21, 14759, 0, 302, 151, 235);
INSERT INTO public.who_data VALUES (35741, 61, 32999, 0, 743, 151, 67);
INSERT INTO public.who_data VALUES (35742, 0, 139, 0, 0, 151, 15);
INSERT INTO public.who_data VALUES (35743, 6, 2174, 0, 72, 151, 180);
INSERT INTO public.who_data VALUES (35744, 21, 57627, 0, 27, 151, 237);
INSERT INTO public.who_data VALUES (35745, 0, 12, 0, 0, 151, 25);
INSERT INTO public.who_data VALUES (35746, 7, 591, 0, 20, 151, 209);
INSERT INTO public.who_data VALUES (35747, 79, 6756, 0, 39, 151, 217);
INSERT INTO public.who_data VALUES (35748, 88, 4559, 1, 146, 151, 79);
INSERT INTO public.who_data VALUES (35749, 0, 0, 0, 0, 151, 143);
INSERT INTO public.who_data VALUES (35750, 0, 3465, 0, 98, 151, 229);
INSERT INTO public.who_data VALUES (35751, 1346, 663282, 126, 16118, 151, 141);
INSERT INTO public.who_data VALUES (35752, 4, 2664, 0, 49, 151, 197);
INSERT INTO public.who_data VALUES (35753, 8318, 733584, 129, 32962, 151, 221);
INSERT INTO public.who_data VALUES (35754, 14, 3313, 0, 13, 151, 150);
INSERT INTO public.who_data VALUES (35755, 0, 13578, 0, 836, 151, 56);
INSERT INTO public.who_data VALUES (35756, 17, 4740, 0, 97, 151, 167);
INSERT INTO public.who_data VALUES (35757, 266, 89507, 2, 5861, 151, 23);
INSERT INTO public.who_data VALUES (35758, 425, 51287, 1, 1811, 151, 222);
INSERT INTO public.who_data VALUES (35759, 44, 3877, 3, 178, 151, 219);
INSERT INTO public.who_data VALUES (35760, 44, 9432, 0, 73, 151, 7);
INSERT INTO public.who_data VALUES (35761, 3, 3514, 0, 59, 151, 161);
INSERT INTO public.who_data VALUES (35762, 4926, 403555, 37, 41825, 151, 149);
INSERT INTO public.who_data VALUES (35763, 0, 27, 0, 0, 151, 6);
INSERT INTO public.who_data VALUES (35764, 14, 1683, 0, 41, 151, 139);
INSERT INTO public.who_data VALUES (35765, 0, 0, 0, 0, 151, 211);
INSERT INTO public.who_data VALUES (35766, 0, 0, 0, 0, 151, 14);
INSERT INTO public.who_data VALUES (35767, 44, 3974, 0, 65, 151, 111);
INSERT INTO public.who_data VALUES (35768, 1219, 12479, 10, 174, 151, 207);
INSERT INTO public.who_data VALUES (35769, 8422, 689912, 65, 7639, 151, 66);
INSERT INTO public.who_data VALUES (35770, 0, 0, 0, 0, 151, 173);
INSERT INTO public.who_data VALUES (35771, 0, 668, 0, 5, 151, 145);
INSERT INTO public.who_data VALUES (35772, 0, 0, 0, 0, 151, 65);
INSERT INTO public.who_data VALUES (35773, 244, 6712, 1, 64, 151, 184);
INSERT INTO public.who_data VALUES (35774, 3497, 184734, 63, 3705, 151, 98);
INSERT INTO public.who_data VALUES (35775, 852, 86447, 0, 405, 151, 104);
INSERT INTO public.who_data VALUES (35776, 0, 509, 0, 21, 151, 73);
INSERT INTO public.who_data VALUES (35777, 39145, 6779609, 430, 198793, 151, 8);
INSERT INTO public.who_data VALUES (35778, 7, 1276, 0, 19, 151, 227);
INSERT INTO public.who_data VALUES (35779, 10, 1927, 0, 46, 151, 75);
INSERT INTO public.who_data VALUES (35780, 560, 53051, 3, 443, 151, 45);
INSERT INTO public.who_data VALUES (35781, 0, 0, 0, 0, 151, 133);
INSERT INTO public.who_data VALUES (35782, 787, 67443, 8, 555, 151, 202);
INSERT INTO public.who_data VALUES (35783, 0, 1068, 0, 35, 151, 129);
INSERT INTO public.who_data VALUES (35784, 0, 0, 0, 0, 151, 36);
INSERT INTO public.who_data VALUES (35785, 0, 2032, 0, 587, 151, 51);
INSERT INTO public.who_data VALUES (35786, 214, 14389, 0, 331, 151, 206);
INSERT INTO public.who_data VALUES (35787, 28, 7711, 1, 226, 151, 5);
INSERT INTO public.who_data VALUES (35788, 22, 39182, 1, 1449, 152, 103);
INSERT INTO public.who_data VALUES (35789, 150, 12535, 2, 364, 152, 58);
INSERT INTO public.who_data VALUES (35790, 197, 50023, 7, 1679, 152, 195);
INSERT INTO public.who_data VALUES (35791, 0, 0, 0, 0, 152, 115);
INSERT INTO public.who_data VALUES (35792, 117, 1681, 0, 53, 152, 99);
INSERT INTO public.who_data VALUES (35793, 0, 3991, 0, 152, 152, 153);
INSERT INTO public.who_data VALUES (35794, 0, 3, 0, 0, 152, 93);
INSERT INTO public.who_data VALUES (35795, 0, 96, 0, 3, 152, 84);
INSERT INTO public.who_data VALUES (35796, 8431, 631365, 144, 13053, 152, 78);
INSERT INTO public.who_data VALUES (35797, 115, 46980, 2, 933, 152, 170);
INSERT INTO public.who_data VALUES (35798, 169, 3551, 0, 23, 152, 32);
INSERT INTO public.who_data VALUES (35799, 14, 26912, 2, 851, 152, 155);
INSERT INTO public.who_data VALUES (35800, 593, 39150, 1, 767, 152, 82);
INSERT INTO public.who_data VALUES (35801, 92, 39280, 1, 576, 152, 16);
INSERT INTO public.who_data VALUES (35802, 55, 3370, 0, 74, 152, 72);
INSERT INTO public.who_data VALUES (35803, 713, 65752, 3, 224, 152, 43);
INSERT INTO public.who_data VALUES (35804, 1705, 350621, 40, 4979, 152, 120);
INSERT INTO public.who_data VALUES (35805, 4, 189, 0, 7, 152, 213);
INSERT INTO public.who_data VALUES (35806, 224, 75898, 5, 785, 152, 31);
INSERT INTO public.who_data VALUES (35807, 2202, 107620, 3, 9946, 152, 204);
INSERT INTO public.who_data VALUES (35808, 21, 1627, 1, 21, 152, 152);
INSERT INTO public.who_data VALUES (35809, 14, 2294, 0, 40, 152, 144);
INSERT INTO public.who_data VALUES (35810, 0, 180, 0, 9, 152, 96);
INSERT INTO public.who_data VALUES (35811, 0, 261, 0, 0, 152, 47);
INSERT INTO public.who_data VALUES (35812, 206, 130676, 31, 7617, 152, 80);
INSERT INTO public.who_data VALUES (35813, 7, 47, 0, 1, 152, 159);
INSERT INTO public.who_data VALUES (35814, 92, 25516, 6, 763, 152, 27);
INSERT INTO public.who_data VALUES (35815, 0, 2567, 0, 13, 152, 146);
INSERT INTO public.who_data VALUES (35816, 16389, 4544629, 363, 136895, 152, 71);
INSERT INTO public.who_data VALUES (35817, 0, 71, 0, 1, 152, 210);
INSERT INTO public.who_data VALUES (35818, 0, 145, 0, 3, 152, 54);
INSERT INTO public.who_data VALUES (35819, 151, 19014, 4, 765, 152, 147);
INSERT INTO public.who_data VALUES (35820, 80, 1896, 0, 56, 152, 2);
INSERT INTO public.who_data VALUES (35821, 0, 474, 0, 1, 152, 105);
INSERT INTO public.who_data VALUES (35822, 24, 5281, 1, 52, 152, 53);
INSERT INTO public.who_data VALUES (35823, 0, 275, 0, 0, 152, 81);
INSERT INTO public.who_data VALUES (35824, 0, 20598, 0, 416, 152, 223);
INSERT INTO public.who_data VALUES (35825, 875, 143649, 6, 9217, 152, 94);
INSERT INTO public.who_data VALUES (35826, 1, 209, 0, 1, 152, 154);
INSERT INTO public.who_data VALUES (35827, 9, 4802, 0, 62, 152, 83);
INSERT INTO public.who_data VALUES (35828, 2, 1153, 0, 81, 152, 194);
INSERT INTO public.who_data VALUES (35829, 1194, 447468, 12, 12298, 152, 136);
INSERT INTO public.who_data VALUES (35830, 14, 90890, 0, 4744, 152, 179);
INSERT INTO public.who_data VALUES (35831, 6678, 765076, 169, 24208, 152, 57);
INSERT INTO public.who_data VALUES (35832, 0, 470, 0, 7, 152, 35);
INSERT INTO public.who_data VALUES (35833, 0, 5002, 0, 89, 152, 228);
INSERT INTO public.who_data VALUES (35834, 0, 0, 0, 0, 152, 19);
INSERT INTO public.who_data VALUES (35835, 1187, 64899, 21, 727, 152, 22);
INSERT INTO public.who_data VALUES (35836, 51, 19320, 0, 120, 152, 1);
INSERT INTO public.who_data VALUES (35837, 70, 14992, 5, 253, 152, 21);
INSERT INTO public.who_data VALUES (35838, 50, 5141, 1, 116, 152, 234);
INSERT INTO public.who_data VALUES (35839, 72, 282, 0, 1, 152, 91);
INSERT INTO public.who_data VALUES (35840, 3, 1603, 0, 22, 152, 137);
INSERT INTO public.who_data VALUES (35841, 1524, 50764, 19, 522, 152, 201);
INSERT INTO public.who_data VALUES (35842, 0, 0, 0, 0, 152, 171);
INSERT INTO public.who_data VALUES (35843, 4, 10518, 0, 271, 152, 92);
INSERT INTO public.who_data VALUES (35844, 1476, 23323, 5, 640, 152, 112);
INSERT INTO public.who_data VALUES (35845, 1, 5404, 0, 61, 152, 62);
INSERT INTO public.who_data VALUES (35846, 0, 24, 0, 0, 152, 69);
INSERT INTO public.who_data VALUES (35847, 494, 108783, 7, 2054, 152, 220);
INSERT INTO public.who_data VALUES (35848, 292, 126711, 5, 11095, 152, 100);
INSERT INTO public.who_data VALUES (35849, 126, 102141, 17, 5787, 152, 187);
INSERT INTO public.who_data VALUES (35850, 245, 27798, 1, 812, 152, 63);
INSERT INTO public.who_data VALUES (35851, 0, 5002, 0, 83, 152, 28);
INSERT INTO public.who_data VALUES (35852, 0, 364, 0, 0, 152, 172);
INSERT INTO public.who_data VALUES (35853, 17, 2941, 0, 64, 152, 17);
INSERT INTO public.who_data VALUES (35854, 13, 5282, 0, 104, 152, 226);
INSERT INTO public.who_data VALUES (35855, 889, 69709, 12, 1108, 152, 236);
INSERT INTO public.who_data VALUES (35856, 0, 13, 0, 0, 152, 76);
INSERT INTO public.who_data VALUES (35857, 3, 437, 0, 0, 152, 30);
INSERT INTO public.who_data VALUES (35858, 0, 32, 0, 2, 152, 128);
INSERT INTO public.who_data VALUES (35859, 66, 9046, 2, 341, 152, 86);
INSERT INTO public.who_data VALUES (35860, 4057, 436481, 52, 31172, 152, 140);
INSERT INTO public.who_data VALUES (35861, 20, 9712, 0, 65, 152, 44);
INSERT INTO public.who_data VALUES (35862, 41, 1394, 0, 2, 152, 113);
INSERT INTO public.who_data VALUES (35863, 8, 8704, 1, 54, 152, 29);
INSERT INTO public.who_data VALUES (35864, 14, 3540, 2, 110, 152, 125);
INSERT INTO public.who_data VALUES (35865, 218, 3913, 2, 22, 152, 131);
INSERT INTO public.who_data VALUES (35866, 1821, 274158, 10, 9396, 152, 46);
INSERT INTO public.who_data VALUES (35867, 0, 46004, 0, 297, 152, 10);
INSERT INTO public.who_data VALUES (35868, 0, 350, 0, 0, 152, 205);
INSERT INTO public.who_data VALUES (35869, 453, 15595, 6, 344, 152, 50);
INSERT INTO public.who_data VALUES (35870, 0, 14, 0, 0, 152, 20);
INSERT INTO public.who_data VALUES (35871, 0, 24, 0, 0, 152, 13);
INSERT INTO public.who_data VALUES (35872, 0, 3426, 0, 26, 152, 148);
INSERT INTO public.who_data VALUES (35873, 30, 2147, 1, 35, 152, 230);
INSERT INTO public.who_data VALUES (35874, 237, 85681, 5, 3124, 152, 190);
INSERT INTO public.who_data VALUES (35875, 2, 256, 0, 13, 152, 188);
INSERT INTO public.who_data VALUES (35876, 19, 10344, 1, 65, 152, 123);
INSERT INTO public.who_data VALUES (35877, 0, 2303, 0, 39, 152, 9);
INSERT INTO public.who_data VALUES (35878, 101, 2269, 0, 64, 152, 102);
INSERT INTO public.who_data VALUES (35879, 24, 8624, 0, 221, 152, 34);
INSERT INTO public.who_data VALUES (35880, 0, 12, 0, 0, 152, 212);
INSERT INTO public.who_data VALUES (35881, 473, 71616, 18, 2184, 152, 122);
INSERT INTO public.who_data VALUES (35882, 633, 19499, 8, 694, 152, 38);
INSERT INTO public.who_data VALUES (35883, 31, 2377, 0, 10, 152, 130);
INSERT INTO public.who_data VALUES (35884, 75083, 5562663, 1053, 88935, 152, 37);
INSERT INTO public.who_data VALUES (35885, 4176, 248852, 124, 9677, 152, 231);
INSERT INTO public.who_data VALUES (35886, 3341, 425481, 177, 24478, 152, 107);
INSERT INTO public.who_data VALUES (35887, 3821, 322856, 70, 8625, 152, 101);
INSERT INTO public.who_data VALUES (35888, 188, 33121, 0, 1792, 152, 132);
INSERT INTO public.who_data VALUES (35889, 0, 339, 0, 24, 152, 176);
INSERT INTO public.who_data VALUES (35890, 2579, 188258, 21, 1303, 152, 200);
INSERT INTO public.who_data VALUES (35891, 1350, 299506, 17, 35724, 152, 169);
INSERT INTO public.who_data VALUES (35892, 155, 5143, 3, 70, 152, 225);
INSERT INTO public.who_data VALUES (35893, 298, 79438, 8, 1508, 152, 165);
INSERT INTO public.who_data VALUES (35894, 0, 393, 0, 32, 152, 233);
INSERT INTO public.who_data VALUES (35895, 266, 5113, 2, 32, 152, 215);
INSERT INTO public.who_data VALUES (35896, 440, 138982, 0, 2043, 152, 177);
INSERT INTO public.who_data VALUES (35897, 98, 37079, 2, 650, 152, 183);
INSERT INTO public.who_data VALUES (35898, 0, 0, 0, 0, 152, 203);
INSERT INTO public.who_data VALUES (35899, 79, 15099, 2, 605, 152, 162);
INSERT INTO public.who_data VALUES (35900, 530, 99964, 1, 585, 152, 12);
INSERT INTO public.who_data VALUES (35901, 71, 45542, 0, 1063, 152, 24);
INSERT INTO public.who_data VALUES (35902, 0, 23, 0, 0, 152, 119);
INSERT INTO public.who_data VALUES (35903, 1, 1526, 0, 36, 152, 39);
INSERT INTO public.who_data VALUES (35904, 684, 29987, 10, 307, 152, 26);
INSERT INTO public.who_data VALUES (35905, 0, 1390, 0, 33, 152, 59);
INSERT INTO public.who_data VALUES (35906, 0, 1336, 0, 82, 152, 77);
INSERT INTO public.who_data VALUES (35907, 650, 29446, 10, 460, 152, 134);
INSERT INTO public.who_data VALUES (35908, 1, 116, 0, 1, 152, 4);
INSERT INTO public.who_data VALUES (35909, 45, 3854, 0, 88, 152, 109);
INSERT INTO public.who_data VALUES (35910, 112, 7916, 0, 124, 152, 90);
INSERT INTO public.who_data VALUES (35911, 20, 16073, 2, 225, 152, 61);
INSERT INTO public.who_data VALUES (35912, 2, 5733, 0, 179, 152, 85);
INSERT INTO public.who_data VALUES (35913, 57, 10276, 0, 130, 152, 49);
INSERT INTO public.who_data VALUES (35914, 46, 9770, 1, 34, 152, 208);
INSERT INTO public.who_data VALUES (35915, 11, 3024, 0, 128, 152, 166);
INSERT INTO public.who_data VALUES (35916, 46, 2777, 1, 21, 152, 64);
INSERT INTO public.who_data VALUES (35917, 0, 0, 0, 0, 152, 199);
INSERT INTO public.who_data VALUES (35918, 0, 1122, 0, 18, 152, 114);
INSERT INTO public.who_data VALUES (35919, 16, 7384, 0, 161, 152, 60);
INSERT INTO public.who_data VALUES (35920, 0, 367, 0, 10, 152, 68);
INSERT INTO public.who_data VALUES (35921, 0, 3541, 0, 40, 152, 158);
INSERT INTO public.who_data VALUES (35922, 3542, 697663, 235, 73493, 152, 52);
INSERT INTO public.who_data VALUES (35923, 0, 0, 0, 0, 152, 117);
INSERT INTO public.who_data VALUES (35924, 2, 198, 0, 1, 152, 126);
INSERT INTO public.who_data VALUES (35925, 0, 312, 0, 0, 152, 196);
INSERT INTO public.who_data VALUES (35926, 320, 9358, 8, 146, 152, 142);
INSERT INTO public.who_data VALUES (35927, 0, 13, 0, 1, 152, 185);
INSERT INTO public.who_data VALUES (35928, 1376, 103119, 25, 1855, 152, 138);
INSERT INTO public.who_data VALUES (35929, 141, 6912, 1, 44, 152, 181);
INSERT INTO public.who_data VALUES (35930, 666, 6471, 6, 100, 152, 178);
INSERT INTO public.who_data VALUES (35931, 149, 10526, 1, 113, 152, 168);
INSERT INTO public.who_data VALUES (35932, 0, 0, 0, 0, 152, 160);
INSERT INTO public.who_data VALUES (35933, 1154, 65276, 16, 427, 152, 151);
INSERT INTO public.who_data VALUES (35934, 2212, 95862, 2, 6280, 152, 193);
INSERT INTO public.who_data VALUES (35935, 0, 26, 0, 0, 152, 18);
INSERT INTO public.who_data VALUES (35936, 0, 1464, 0, 25, 152, 40);
INSERT INTO public.who_data VALUES (35937, 0, 3979, 0, 147, 152, 218);
INSERT INTO public.who_data VALUES (35938, 6, 1189, 0, 69, 152, 191);
INSERT INTO public.who_data VALUES (35939, 195, 57437, 2, 1100, 152, 156);
INSERT INTO public.who_data VALUES (35940, 0, 0, 0, 0, 152, 135);
INSERT INTO public.who_data VALUES (35941, 1, 69, 0, 2, 152, 88);
INSERT INTO public.who_data VALUES (35942, 45, 16780, 7, 700, 152, 55);
INSERT INTO public.who_data VALUES (35943, 251, 12896, 0, 267, 152, 108);
INSERT INTO public.who_data VALUES (35944, 611, 46057, 9, 309, 152, 48);
INSERT INTO public.who_data VALUES (35945, 576, 94051, 7, 853, 152, 3);
INSERT INTO public.who_data VALUES (35946, 0, 741, 0, 13, 152, 224);
INSERT INTO public.who_data VALUES (35947, 582, 306886, 4, 6424, 152, 110);
INSERT INTO public.who_data VALUES (35948, 0, 0, 0, 0, 152, 106);
INSERT INTO public.who_data VALUES (35949, 602, 106203, 10, 2257, 152, 89);
INSERT INTO public.who_data VALUES (35950, 9, 526, 0, 7, 152, 121);
INSERT INTO public.who_data VALUES (35951, 505, 33520, 23, 659, 152, 163);
INSERT INTO public.who_data VALUES (35952, 6030, 768895, 0, 31369, 152, 70);
INSERT INTO public.who_data VALUES (35953, 3447, 290190, 15, 4999, 152, 174);
INSERT INTO public.who_data VALUES (35954, 0, 0, 0, 0, 152, 175);
INSERT INTO public.who_data VALUES (35955, 748, 79988, 5, 2298, 152, 118);
INSERT INTO public.who_data VALUES (35956, 623, 69200, 8, 1920, 152, 189);
INSERT INTO public.who_data VALUES (35957, 638, 42476, 1, 609, 152, 124);
INSERT INTO public.who_data VALUES (35958, 228, 123604, 1, 211, 152, 192);
INSERT INTO public.who_data VALUES (35959, 61, 23106, 3, 388, 152, 41);
INSERT INTO public.who_data VALUES (35960, 200, 46796, 8, 1211, 152, 95);
INSERT INTO public.who_data VALUES (35961, 221, 3415, 1, 11, 152, 74);
INSERT INTO public.who_data VALUES (35962, 808, 113589, 23, 4458, 152, 11);
INSERT INTO public.who_data VALUES (35963, 6215, 1115810, 160, 19649, 152, 87);
INSERT INTO public.who_data VALUES (35964, 11, 4722, 1, 27, 152, 214);
INSERT INTO public.who_data VALUES (35965, 0, 5, 0, 0, 152, 116);
INSERT INTO public.who_data VALUES (35966, 0, 23, 0, 0, 152, 157);
INSERT INTO public.who_data VALUES (35967, 0, 0, 0, 0, 152, 182);
INSERT INTO public.who_data VALUES (35968, 2, 19, 0, 0, 152, 186);
INSERT INTO public.who_data VALUES (35969, 0, 27, 0, 0, 152, 127);
INSERT INTO public.who_data VALUES (35970, 0, 330, 0, 6, 152, 232);
INSERT INTO public.who_data VALUES (35971, 0, 11, 0, 0, 152, 33);
INSERT INTO public.who_data VALUES (35972, 0, 64, 0, 0, 152, 97);
INSERT INTO public.who_data VALUES (35973, 0, 0, 0, 0, 152, 42);
INSERT INTO public.who_data VALUES (35974, 0, 742, 0, 42, 152, 198);
INSERT INTO public.who_data VALUES (35975, 0, 908, 0, 15, 152, 216);
INSERT INTO public.who_data VALUES (35976, 492, 330246, 27, 4512, 152, 164);
INSERT INTO public.who_data VALUES (35977, 24, 14738, 0, 302, 152, 235);
INSERT INTO public.who_data VALUES (35978, 30, 32938, 2, 743, 152, 67);
INSERT INTO public.who_data VALUES (35979, 0, 139, 0, 0, 152, 15);
INSERT INTO public.who_data VALUES (35980, 0, 2168, 0, 72, 152, 180);
INSERT INTO public.who_data VALUES (35981, 30, 57606, 0, 27, 152, 237);
INSERT INTO public.who_data VALUES (35982, 1, 12, 0, 0, 152, 25);
INSERT INTO public.who_data VALUES (35983, 19, 584, 1, 20, 152, 209);
INSERT INTO public.who_data VALUES (35984, 131, 6677, 0, 39, 152, 217);
INSERT INTO public.who_data VALUES (35985, 50, 4471, 0, 145, 152, 79);
INSERT INTO public.who_data VALUES (35986, 0, 0, 0, 0, 152, 143);
INSERT INTO public.who_data VALUES (35987, 23, 3465, 0, 98, 152, 229);
INSERT INTO public.who_data VALUES (35988, 725, 661936, 39, 15992, 152, 141);
INSERT INTO public.who_data VALUES (35989, 11, 2660, 0, 49, 152, 197);
INSERT INTO public.who_data VALUES (35990, 5934, 725266, 101, 32833, 152, 221);
INSERT INTO public.who_data VALUES (35991, 12, 3299, 0, 13, 152, 150);
INSERT INTO public.who_data VALUES (35992, 2, 13578, 0, 836, 152, 56);
INSERT INTO public.who_data VALUES (35993, 14, 4723, 0, 97, 152, 167);
INSERT INTO public.who_data VALUES (35994, 133, 89241, 4, 5859, 152, 23);
INSERT INTO public.who_data VALUES (35995, 395, 50862, 3, 1810, 152, 222);
INSERT INTO public.who_data VALUES (35996, 33, 3833, 3, 175, 152, 219);
INSERT INTO public.who_data VALUES (35997, 42, 9388, 0, 73, 152, 7);
INSERT INTO public.who_data VALUES (35998, 5, 3511, 0, 59, 152, 161);
INSERT INTO public.who_data VALUES (35999, 4368, 398629, 11, 41788, 152, 149);
INSERT INTO public.who_data VALUES (36000, 0, 27, 0, 0, 152, 6);
INSERT INTO public.who_data VALUES (36001, 3, 1669, 0, 41, 152, 139);
INSERT INTO public.who_data VALUES (36002, 0, 0, 0, 0, 152, 211);
INSERT INTO public.who_data VALUES (36003, 0, 0, 0, 0, 152, 14);
INSERT INTO public.who_data VALUES (36004, 64, 3930, 1, 65, 152, 111);
INSERT INTO public.who_data VALUES (36005, 0, 11260, 0, 164, 152, 207);
INSERT INTO public.who_data VALUES (36006, 8473, 681490, 68, 7574, 152, 66);
INSERT INTO public.who_data VALUES (36007, 0, 0, 0, 0, 152, 173);
INSERT INTO public.who_data VALUES (36008, 0, 668, 0, 5, 152, 145);
INSERT INTO public.who_data VALUES (36009, 0, 0, 0, 0, 152, 65);
INSERT INTO public.who_data VALUES (36010, 181, 6468, 0, 63, 152, 184);
INSERT INTO public.who_data VALUES (36011, 2884, 181237, 59, 3642, 152, 98);
INSERT INTO public.who_data VALUES (36012, 679, 85595, 1, 405, 152, 104);
INSERT INTO public.who_data VALUES (36013, 0, 509, 0, 21, 152, 73);
INSERT INTO public.who_data VALUES (36014, 36766, 6740464, 269, 198363, 152, 8);
INSERT INTO public.who_data VALUES (36015, 0, 1269, 0, 19, 152, 227);
INSERT INTO public.who_data VALUES (36016, 13, 1917, 0, 46, 152, 75);
INSERT INTO public.who_data VALUES (36017, 702, 52491, 5, 440, 152, 45);
INSERT INTO public.who_data VALUES (36018, 0, 0, 0, 0, 152, 133);
INSERT INTO public.who_data VALUES (36019, 707, 66656, 8, 547, 152, 202);
INSERT INTO public.who_data VALUES (36020, 0, 1068, 0, 35, 152, 129);
INSERT INTO public.who_data VALUES (36021, 0, 0, 0, 0, 152, 36);
INSERT INTO public.who_data VALUES (36022, 2, 2032, 0, 587, 152, 51);
INSERT INTO public.who_data VALUES (36023, 44, 14175, 1, 331, 152, 206);
INSERT INTO public.who_data VALUES (36024, 0, 7683, 0, 225, 152, 5);
INSERT INTO public.who_data VALUES (36025, 30, 39160, 3, 1448, 153, 103);
INSERT INTO public.who_data VALUES (36026, 159, 12385, 4, 362, 153, 58);
INSERT INTO public.who_data VALUES (36027, 203, 49826, 7, 1672, 153, 195);
INSERT INTO public.who_data VALUES (36028, 0, 0, 0, 0, 153, 115);
INSERT INTO public.who_data VALUES (36029, 0, 1564, 0, 53, 153, 99);
INSERT INTO public.who_data VALUES (36030, 90, 3991, 5, 152, 153, 153);
INSERT INTO public.who_data VALUES (36031, 0, 3, 0, 0, 153, 93);
INSERT INTO public.who_data VALUES (36032, 1, 96, 0, 3, 153, 84);
INSERT INTO public.who_data VALUES (36033, 9276, 622934, 204, 12909, 153, 78);
INSERT INTO public.who_data VALUES (36034, 121, 46865, 6, 931, 153, 170);
INSERT INTO public.who_data VALUES (36035, 0, 3382, 0, 23, 153, 32);
INSERT INTO public.who_data VALUES (36036, 13, 26898, 5, 849, 153, 155);
INSERT INTO public.who_data VALUES (36037, 609, 38557, 1, 766, 153, 82);
INSERT INTO public.who_data VALUES (36038, 146, 39188, 1, 575, 153, 16);
INSERT INTO public.who_data VALUES (36039, 138, 3315, 5, 74, 153, 72);
INSERT INTO public.who_data VALUES (36040, 540, 65039, 0, 221, 153, 43);
INSERT INTO public.who_data VALUES (36041, 1544, 348916, 26, 4939, 153, 120);
INSERT INTO public.who_data VALUES (36042, 0, 185, 0, 7, 153, 213);
INSERT INTO public.who_data VALUES (36043, 213, 75674, 4, 780, 153, 31);
INSERT INTO public.who_data VALUES (36044, 461, 105418, 3, 9943, 153, 204);
INSERT INTO public.who_data VALUES (36045, 16, 1606, 0, 20, 153, 152);
INSERT INTO public.who_data VALUES (36046, 0, 2280, 0, 40, 153, 144);
INSERT INTO public.who_data VALUES (36047, 2, 180, 0, 9, 153, 96);
INSERT INTO public.who_data VALUES (36048, 2, 261, 0, 0, 153, 47);
INSERT INTO public.who_data VALUES (36049, 419, 130470, 36, 7586, 153, 80);
INSERT INTO public.who_data VALUES (36050, 20, 40, 0, 1, 153, 159);
INSERT INTO public.who_data VALUES (36051, 212, 25424, 5, 757, 153, 27);
INSERT INTO public.who_data VALUES (36052, 0, 2567, 0, 13, 153, 146);
INSERT INTO public.who_data VALUES (36053, 33057, 4528240, 739, 136532, 153, 71);
INSERT INTO public.who_data VALUES (36054, 0, 71, 0, 1, 153, 210);
INSERT INTO public.who_data VALUES (36055, 0, 145, 0, 3, 153, 54);
INSERT INTO public.who_data VALUES (36056, 44, 18863, 6, 761, 153, 147);
INSERT INTO public.who_data VALUES (36057, 19, 1816, 0, 56, 153, 2);
INSERT INTO public.who_data VALUES (36058, 1, 474, 0, 1, 153, 105);
INSERT INTO public.who_data VALUES (36059, 71, 5257, 1, 51, 153, 53);
INSERT INTO public.who_data VALUES (36060, 0, 275, 0, 0, 153, 81);
INSERT INTO public.who_data VALUES (36061, 167, 20598, 0, 416, 153, 223);
INSERT INTO public.who_data VALUES (36062, 863, 142774, 6, 9211, 153, 94);
INSERT INTO public.who_data VALUES (36063, 0, 208, 0, 1, 153, 154);
INSERT INTO public.who_data VALUES (36064, 0, 4793, 0, 62, 153, 83);
INSERT INTO public.who_data VALUES (36065, 2, 1151, 0, 81, 153, 194);
INSERT INTO public.who_data VALUES (36066, 1600, 446274, 32, 12286, 153, 136);
INSERT INTO public.who_data VALUES (36067, 36, 90876, 0, 4744, 153, 179);
INSERT INTO public.who_data VALUES (36068, 7927, 758398, 189, 24039, 153, 57);
INSERT INTO public.who_data VALUES (36069, 0, 470, 0, 7, 153, 35);
INSERT INTO public.who_data VALUES (36070, 16, 5002, 0, 89, 153, 228);
INSERT INTO public.who_data VALUES (36071, 0, 0, 0, 0, 153, 19);
INSERT INTO public.who_data VALUES (36072, 1338, 63712, 20, 706, 153, 22);
INSERT INTO public.who_data VALUES (36073, 69, 19269, 0, 120, 153, 1);
INSERT INTO public.who_data VALUES (36074, 197, 14922, 4, 248, 153, 21);
INSERT INTO public.who_data VALUES (36075, 36, 5091, 2, 115, 153, 234);
INSERT INTO public.who_data VALUES (36076, 0, 210, 0, 1, 153, 91);
INSERT INTO public.who_data VALUES (36077, 20, 1600, 0, 22, 153, 137);
INSERT INTO public.who_data VALUES (36078, 934, 49240, 4, 503, 153, 201);
INSERT INTO public.who_data VALUES (36079, 0, 0, 0, 0, 153, 171);
INSERT INTO public.who_data VALUES (36080, 27, 10514, 3, 271, 153, 92);
INSERT INTO public.who_data VALUES (36081, 0, 21847, 0, 635, 153, 112);
INSERT INTO public.who_data VALUES (36082, 0, 5403, 0, 61, 153, 62);
INSERT INTO public.who_data VALUES (36083, 0, 24, 0, 0, 153, 69);
INSERT INTO public.who_data VALUES (36084, 589, 108289, 3, 2047, 153, 220);
INSERT INTO public.who_data VALUES (36085, 799, 126419, 1, 11090, 153, 100);
INSERT INTO public.who_data VALUES (36086, 115, 102015, 20, 5770, 153, 187);
INSERT INTO public.who_data VALUES (36087, 125, 27553, 3, 811, 153, 63);
INSERT INTO public.who_data VALUES (36088, 0, 5002, 0, 83, 153, 28);
INSERT INTO public.who_data VALUES (36089, 0, 364, 0, 0, 153, 172);
INSERT INTO public.who_data VALUES (36090, 49, 2924, 0, 64, 153, 17);
INSERT INTO public.who_data VALUES (36091, 24, 5269, 0, 104, 153, 226);
INSERT INTO public.who_data VALUES (36092, 689, 68820, 7, 1096, 153, 236);
INSERT INTO public.who_data VALUES (36093, 0, 13, 0, 0, 153, 76);
INSERT INTO public.who_data VALUES (36094, 3, 434, 0, 0, 153, 30);
INSERT INTO public.who_data VALUES (36095, 0, 32, 0, 2, 153, 128);
INSERT INTO public.who_data VALUES (36096, 58, 8980, 0, 339, 153, 86);
INSERT INTO public.who_data VALUES (36097, 11569, 432424, 11, 31120, 153, 140);
INSERT INTO public.who_data VALUES (36098, 0, 9692, 0, 65, 153, 44);
INSERT INTO public.who_data VALUES (36099, 35, 1353, 0, 2, 153, 113);
INSERT INTO public.who_data VALUES (36100, 0, 8696, 0, 53, 153, 29);
INSERT INTO public.who_data VALUES (36101, 22, 3526, 0, 108, 153, 125);
INSERT INTO public.who_data VALUES (36102, 193, 3695, 1, 20, 153, 131);
INSERT INTO public.who_data VALUES (36103, 922, 272337, 0, 9386, 153, 46);
INSERT INTO public.who_data VALUES (36104, 127, 46004, 0, 297, 153, 10);
INSERT INTO public.who_data VALUES (36105, 4, 350, 0, 0, 153, 205);
INSERT INTO public.who_data VALUES (36106, 164, 15142, 7, 338, 153, 50);
INSERT INTO public.who_data VALUES (36107, 0, 14, 0, 0, 153, 20);
INSERT INTO public.who_data VALUES (36108, 0, 24, 0, 0, 153, 13);
INSERT INTO public.who_data VALUES (36109, 0, 3426, 0, 26, 153, 148);
INSERT INTO public.who_data VALUES (36110, 0, 2117, 0, 34, 153, 230);
INSERT INTO public.who_data VALUES (36111, 292, 85444, 14, 3119, 153, 190);
INSERT INTO public.who_data VALUES (36112, 0, 254, 0, 13, 153, 188);
INSERT INTO public.who_data VALUES (36113, 39, 10325, 1, 64, 153, 123);
INSERT INTO public.who_data VALUES (36114, 0, 2303, 0, 39, 153, 9);
INSERT INTO public.who_data VALUES (36115, 66, 2168, 2, 64, 153, 102);
INSERT INTO public.who_data VALUES (36116, 0, 8600, 0, 221, 153, 34);
INSERT INTO public.who_data VALUES (36117, 0, 12, 0, 0, 153, 212);
INSERT INTO public.who_data VALUES (36118, 532, 71143, 20, 2166, 153, 122);
INSERT INTO public.who_data VALUES (36119, 876, 18866, 3, 686, 153, 38);
INSERT INTO public.who_data VALUES (36120, 39, 2346, 0, 10, 153, 130);
INSERT INTO public.who_data VALUES (36121, 86961, 5487580, 1130, 87882, 153, 37);
INSERT INTO public.who_data VALUES (36122, 3989, 244676, 105, 9553, 153, 231);
INSERT INTO public.who_data VALUES (36123, 3097, 422140, 183, 24301, 153, 107);
INSERT INTO public.who_data VALUES (36124, 3438, 319035, 64, 8555, 153, 101);
INSERT INTO public.who_data VALUES (36125, 395, 32933, 0, 1792, 153, 132);
INSERT INTO public.who_data VALUES (36126, 0, 339, 0, 24, 153, 176);
INSERT INTO public.who_data VALUES (36127, 3809, 185679, 27, 1282, 153, 200);
INSERT INTO public.who_data VALUES (36128, 1587, 298156, 15, 35707, 153, 169);
INSERT INTO public.who_data VALUES (36129, 230, 4988, 7, 67, 153, 225);
INSERT INTO public.who_data VALUES (36130, 483, 79140, 0, 1500, 153, 165);
INSERT INTO public.who_data VALUES (36131, 0, 393, 0, 32, 153, 233);
INSERT INTO public.who_data VALUES (36132, 239, 4847, 0, 30, 153, 215);
INSERT INTO public.who_data VALUES (36133, 87, 138542, 0, 2043, 153, 177);
INSERT INTO public.who_data VALUES (36134, 152, 36981, 2, 648, 153, 183);
INSERT INTO public.who_data VALUES (36135, 0, 0, 0, 0, 153, 203);
INSERT INTO public.who_data VALUES (36136, 61, 15020, 2, 603, 153, 162);
INSERT INTO public.who_data VALUES (36137, 385, 99434, 3, 584, 153, 12);
INSERT INTO public.who_data VALUES (36138, 55, 45471, 0, 1063, 153, 24);
INSERT INTO public.who_data VALUES (36139, 0, 23, 0, 0, 153, 119);
INSERT INTO public.who_data VALUES (36140, 10, 1525, 0, 36, 153, 39);
INSERT INTO public.who_data VALUES (36141, 1006, 29303, 11, 297, 153, 26);
INSERT INTO public.who_data VALUES (36142, 0, 1390, 0, 33, 153, 59);
INSERT INTO public.who_data VALUES (36143, 1, 1336, 0, 82, 153, 77);
INSERT INTO public.who_data VALUES (36144, 847, 28796, 16, 450, 153, 134);
INSERT INTO public.who_data VALUES (36145, 1, 115, 0, 1, 153, 4);
INSERT INTO public.who_data VALUES (36146, 70, 3809, 0, 88, 153, 109);
INSERT INTO public.who_data VALUES (36147, 86, 7804, 0, 124, 153, 90);
INSERT INTO public.who_data VALUES (36148, 33, 16053, 4, 223, 153, 61);
INSERT INTO public.who_data VALUES (36149, 13, 5731, 0, 179, 153, 85);
INSERT INTO public.who_data VALUES (36150, 52, 10219, 0, 130, 153, 49);
INSERT INTO public.who_data VALUES (36151, 75, 9724, 0, 33, 153, 208);
INSERT INTO public.who_data VALUES (36152, 7, 3013, 0, 128, 153, 166);
INSERT INTO public.who_data VALUES (36153, 32, 2731, 1, 20, 153, 64);
INSERT INTO public.who_data VALUES (36154, 0, 0, 0, 0, 153, 199);
INSERT INTO public.who_data VALUES (36155, 0, 1122, 0, 18, 153, 114);
INSERT INTO public.who_data VALUES (36156, 3, 7368, 0, 161, 153, 60);
INSERT INTO public.who_data VALUES (36157, 0, 367, 0, 10, 153, 68);
INSERT INTO public.who_data VALUES (36158, 0, 3541, 0, 40, 153, 158);
INSERT INTO public.who_data VALUES (36159, 5167, 694121, 455, 73258, 153, 52);
INSERT INTO public.who_data VALUES (36160, 0, 0, 0, 0, 153, 117);
INSERT INTO public.who_data VALUES (36161, 1, 196, 0, 1, 153, 126);
INSERT INTO public.who_data VALUES (36162, 1, 312, 0, 0, 153, 196);
INSERT INTO public.who_data VALUES (36163, 199, 9038, 2, 138, 153, 142);
INSERT INTO public.who_data VALUES (36164, 0, 13, 0, 1, 153, 185);
INSERT INTO public.who_data VALUES (36165, 1927, 101743, 35, 1830, 153, 138);
INSERT INTO public.who_data VALUES (36166, 234, 6771, 2, 43, 153, 181);
INSERT INTO public.who_data VALUES (36167, 542, 5805, 13, 94, 153, 178);
INSERT INTO public.who_data VALUES (36168, 85, 10377, 1, 112, 153, 168);
INSERT INTO public.who_data VALUES (36169, 0, 0, 0, 0, 153, 160);
INSERT INTO public.who_data VALUES (36170, 1325, 64122, 10, 411, 153, 151);
INSERT INTO public.who_data VALUES (36171, 1844, 93650, 4, 6278, 153, 193);
INSERT INTO public.who_data VALUES (36172, 0, 26, 0, 0, 153, 18);
INSERT INTO public.who_data VALUES (36173, 0, 1464, 0, 25, 153, 40);
INSERT INTO public.who_data VALUES (36174, 0, 3979, 0, 147, 153, 218);
INSERT INTO public.who_data VALUES (36175, 1, 1183, 0, 69, 153, 191);
INSERT INTO public.who_data VALUES (36176, 97, 57242, 3, 1098, 153, 156);
INSERT INTO public.who_data VALUES (36177, 0, 0, 0, 0, 153, 135);
INSERT INTO public.who_data VALUES (36178, 0, 68, 0, 2, 153, 88);
INSERT INTO public.who_data VALUES (36179, 178, 16735, 4, 693, 153, 55);
INSERT INTO public.who_data VALUES (36180, 0, 12645, 0, 267, 153, 108);
INSERT INTO public.who_data VALUES (36181, 683, 45446, 9, 300, 153, 48);
INSERT INTO public.who_data VALUES (36182, 1722, 93475, 28, 846, 153, 3);
INSERT INTO public.who_data VALUES (36183, 0, 741, 0, 13, 153, 224);
INSERT INTO public.who_data VALUES (36184, 633, 306304, 4, 6420, 153, 110);
INSERT INTO public.who_data VALUES (36185, 0, 0, 0, 0, 153, 106);
INSERT INTO public.who_data VALUES (36186, 722, 105601, 18, 2247, 153, 89);
INSERT INTO public.who_data VALUES (36187, 1, 517, 1, 7, 153, 121);
INSERT INTO public.who_data VALUES (36188, 888, 33015, 25, 636, 153, 163);
INSERT INTO public.who_data VALUES (36189, 6453, 762865, 86, 31369, 153, 70);
INSERT INTO public.who_data VALUES (36190, 3283, 286743, 54, 4984, 153, 174);
INSERT INTO public.who_data VALUES (36191, 0, 0, 0, 0, 153, 175);
INSERT INTO public.who_data VALUES (36192, 910, 79240, 11, 2293, 153, 118);
INSERT INTO public.who_data VALUES (36193, 552, 68577, 13, 1912, 153, 189);
INSERT INTO public.who_data VALUES (36194, 845, 41838, 3, 608, 153, 124);
INSERT INTO public.who_data VALUES (36195, 230, 123376, 1, 210, 153, 192);
INSERT INTO public.who_data VALUES (36196, 70, 23045, 2, 385, 153, 41);
INSERT INTO public.who_data VALUES (36197, 260, 46596, 2, 1203, 153, 95);
INSERT INTO public.who_data VALUES (36198, 0, 3194, 0, 10, 153, 74);
INSERT INTO public.who_data VALUES (36199, 1231, 112781, 33, 4435, 153, 11);
INSERT INTO public.who_data VALUES (36200, 6196, 1109595, 71, 19489, 153, 87);
INSERT INTO public.who_data VALUES (36201, 40, 4711, 1, 26, 153, 214);
INSERT INTO public.who_data VALUES (36202, 0, 5, 0, 0, 153, 116);
INSERT INTO public.who_data VALUES (36203, 0, 23, 0, 0, 153, 157);
INSERT INTO public.who_data VALUES (36204, 0, 0, 0, 0, 153, 182);
INSERT INTO public.who_data VALUES (36205, 0, 17, 0, 0, 153, 186);
INSERT INTO public.who_data VALUES (36206, 0, 27, 0, 0, 153, 127);
INSERT INTO public.who_data VALUES (36207, 0, 330, 0, 6, 153, 232);
INSERT INTO public.who_data VALUES (36208, 0, 11, 0, 0, 153, 33);
INSERT INTO public.who_data VALUES (36209, 0, 64, 0, 0, 153, 97);
INSERT INTO public.who_data VALUES (36210, 0, 0, 0, 0, 153, 42);
INSERT INTO public.who_data VALUES (36211, 0, 742, 0, 42, 153, 198);
INSERT INTO public.who_data VALUES (36212, 0, 908, 0, 15, 153, 216);
INSERT INTO public.who_data VALUES (36213, 483, 329754, 27, 4485, 153, 164);
INSERT INTO public.who_data VALUES (36214, 26, 14714, 0, 302, 153, 235);
INSERT INTO public.who_data VALUES (36215, 68, 32908, 1, 741, 153, 67);
INSERT INTO public.who_data VALUES (36216, 0, 139, 0, 0, 153, 15);
INSERT INTO public.who_data VALUES (36217, 9, 2168, 0, 72, 153, 180);
INSERT INTO public.who_data VALUES (36218, 18, 57576, 0, 27, 153, 237);
INSERT INTO public.who_data VALUES (36219, 0, 11, 0, 0, 153, 25);
INSERT INTO public.who_data VALUES (36220, 0, 565, 0, 19, 153, 209);
INSERT INTO public.who_data VALUES (36221, 290, 6546, 0, 39, 153, 217);
INSERT INTO public.who_data VALUES (36222, 111, 4421, 1, 145, 153, 79);
INSERT INTO public.who_data VALUES (36223, 0, 0, 0, 0, 153, 143);
INSERT INTO public.who_data VALUES (36224, 41, 3442, 0, 98, 153, 229);
INSERT INTO public.who_data VALUES (36225, 1555, 661211, 13, 15953, 153, 141);
INSERT INTO public.who_data VALUES (36226, 7, 2649, 0, 49, 153, 197);
INSERT INTO public.who_data VALUES (36227, 8464, 719332, 118, 32732, 153, 221);
INSERT INTO public.who_data VALUES (36228, 4, 3287, 0, 13, 153, 150);
INSERT INTO public.who_data VALUES (36229, 21, 13576, 0, 836, 153, 56);
INSERT INTO public.who_data VALUES (36230, 18, 4709, 1, 97, 153, 167);
INSERT INTO public.who_data VALUES (36231, 279, 89108, 1, 5855, 153, 23);
INSERT INTO public.who_data VALUES (36232, 200, 50467, 0, 1807, 153, 222);
INSERT INTO public.who_data VALUES (36233, 35, 3800, 2, 172, 153, 219);
INSERT INTO public.who_data VALUES (36234, 43, 9346, 0, 73, 153, 7);
INSERT INTO public.who_data VALUES (36235, 0, 3506, 0, 59, 153, 161);
INSERT INTO public.who_data VALUES (36236, 3899, 394261, 18, 41777, 153, 149);
INSERT INTO public.who_data VALUES (36237, 0, 27, 0, 0, 153, 6);
INSERT INTO public.who_data VALUES (36238, 26, 1666, 0, 41, 153, 139);
INSERT INTO public.who_data VALUES (36239, 0, 0, 0, 0, 153, 211);
INSERT INTO public.who_data VALUES (36240, 0, 0, 0, 0, 153, 14);
INSERT INTO public.who_data VALUES (36241, 127, 3866, 4, 64, 153, 111);
INSERT INTO public.who_data VALUES (36242, 528, 11260, 5, 164, 153, 207);
INSERT INTO public.who_data VALUES (36243, 8249, 673017, 61, 7506, 153, 66);
INSERT INTO public.who_data VALUES (36244, 0, 0, 0, 0, 153, 173);
INSERT INTO public.who_data VALUES (36245, 1, 668, 0, 5, 153, 145);
INSERT INTO public.who_data VALUES (36246, 0, 0, 0, 0, 153, 65);
INSERT INTO public.who_data VALUES (36247, 270, 6287, 0, 63, 153, 184);
INSERT INTO public.who_data VALUES (36248, 2675, 178353, 26, 3583, 153, 98);
INSERT INTO public.who_data VALUES (36249, 674, 84916, 0, 404, 153, 104);
INSERT INTO public.who_data VALUES (36250, 0, 509, 0, 21, 153, 73);
INSERT INTO public.who_data VALUES (36251, 41695, 6703698, 652, 198094, 153, 8);
INSERT INTO public.who_data VALUES (36252, 27, 1269, 0, 19, 153, 227);
INSERT INTO public.who_data VALUES (36253, 14, 1904, 0, 46, 153, 75);
INSERT INTO public.who_data VALUES (36254, 554, 51789, 6, 435, 153, 45);
INSERT INTO public.who_data VALUES (36255, 0, 0, 0, 0, 153, 133);
INSERT INTO public.who_data VALUES (36256, 775, 65949, 9, 539, 153, 202);
INSERT INTO public.who_data VALUES (36257, 0, 1068, 0, 35, 153, 129);
INSERT INTO public.who_data VALUES (36258, 0, 0, 0, 0, 153, 36);
INSERT INTO public.who_data VALUES (36259, 0, 2030, 1, 587, 153, 51);
INSERT INTO public.who_data VALUES (36260, 107, 14131, 1, 330, 153, 206);
INSERT INTO public.who_data VALUES (36261, 11, 7683, 0, 225, 153, 5);
INSERT INTO public.who_data VALUES (36262, 125, 39130, 4, 1445, 154, 103);
INSERT INTO public.who_data VALUES (36263, 153, 12226, 5, 358, 154, 58);
INSERT INTO public.who_data VALUES (36264, 210, 49623, 6, 1665, 154, 195);
INSERT INTO public.who_data VALUES (36265, 0, 0, 0, 0, 154, 115);
INSERT INTO public.who_data VALUES (36266, 0, 1564, 0, 53, 154, 99);
INSERT INTO public.who_data VALUES (36267, 53, 3901, 0, 147, 154, 153);
INSERT INTO public.who_data VALUES (36268, 0, 3, 0, 0, 154, 93);
INSERT INTO public.who_data VALUES (36269, 0, 95, 0, 3, 154, 84);
INSERT INTO public.who_data VALUES (36270, 11945, 613658, 214, 12705, 154, 78);
INSERT INTO public.who_data VALUES (36271, 277, 46744, 2, 925, 154, 170);
INSERT INTO public.who_data VALUES (36272, 0, 3382, 0, 23, 154, 32);
INSERT INTO public.who_data VALUES (36273, 24, 26885, 7, 844, 154, 155);
INSERT INTO public.who_data VALUES (36274, 757, 37948, 2, 765, 154, 82);
INSERT INTO public.who_data VALUES (36275, 148, 39042, 2, 574, 154, 16);
INSERT INTO public.who_data VALUES (36276, 0, 3177, 0, 69, 154, 72);
INSERT INTO public.who_data VALUES (36277, 620, 64499, 1, 221, 154, 43);
INSERT INTO public.who_data VALUES (36278, 1567, 347372, 32, 4913, 154, 120);
INSERT INTO public.who_data VALUES (36279, 0, 185, 0, 7, 154, 213);
INSERT INTO public.who_data VALUES (36280, 231, 75461, 3, 776, 154, 31);
INSERT INTO public.who_data VALUES (36281, 894, 104957, 8, 9940, 154, 204);
INSERT INTO public.who_data VALUES (36282, 23, 1590, 1, 20, 154, 152);
INSERT INTO public.who_data VALUES (36283, 0, 2280, 0, 40, 154, 144);
INSERT INTO public.who_data VALUES (36284, 0, 178, 0, 9, 154, 96);
INSERT INTO public.who_data VALUES (36285, 1, 259, 0, 0, 154, 47);
INSERT INTO public.who_data VALUES (36286, 632, 130051, 39, 7550, 154, 80);
INSERT INTO public.who_data VALUES (36287, 0, 20, 0, 1, 154, 159);
INSERT INTO public.who_data VALUES (36288, 320, 25212, 6, 752, 154, 27);
INSERT INTO public.who_data VALUES (36289, 0, 2567, 0, 13, 154, 146);
INSERT INTO public.who_data VALUES (36290, 39797, 4495183, 858, 135793, 154, 71);
INSERT INTO public.who_data VALUES (36291, 2, 71, 0, 1, 154, 210);
INSERT INTO public.who_data VALUES (36292, 0, 145, 0, 3, 154, 54);
INSERT INTO public.who_data VALUES (36293, 86, 18819, 2, 755, 154, 147);
INSERT INTO public.who_data VALUES (36294, 30, 1797, 0, 56, 154, 2);
INSERT INTO public.who_data VALUES (36295, 0, 473, 0, 1, 154, 105);
INSERT INTO public.who_data VALUES (36296, 45, 5186, 0, 50, 154, 53);
INSERT INTO public.who_data VALUES (36297, 0, 275, 0, 0, 154, 81);
INSERT INTO public.who_data VALUES (36298, 0, 20431, 0, 416, 154, 223);
INSERT INTO public.who_data VALUES (36299, 1044, 141911, 5, 9205, 154, 94);
INSERT INTO public.who_data VALUES (36300, 0, 208, 0, 1, 154, 154);
INSERT INTO public.who_data VALUES (36301, 7, 4793, 0, 62, 154, 83);
INSERT INTO public.who_data VALUES (36302, 2, 1149, 0, 81, 154, 194);
INSERT INTO public.who_data VALUES (36303, 1847, 444674, 55, 12254, 154, 136);
INSERT INTO public.who_data VALUES (36304, 26, 90840, 0, 4744, 154, 179);
INSERT INTO public.who_data VALUES (36305, 6526, 750471, 185, 23850, 154, 57);
INSERT INTO public.who_data VALUES (36306, 0, 470, 0, 7, 154, 35);
INSERT INTO public.who_data VALUES (36307, 0, 4986, 0, 89, 154, 228);
INSERT INTO public.who_data VALUES (36308, 0, 0, 0, 0, 154, 19);
INSERT INTO public.who_data VALUES (36309, 1556, 62374, 20, 686, 154, 22);
INSERT INTO public.who_data VALUES (36310, 0, 19200, 0, 120, 154, 1);
INSERT INTO public.who_data VALUES (36311, 212, 14725, 0, 244, 154, 21);
INSERT INTO public.who_data VALUES (36312, 51, 5055, 2, 113, 154, 234);
INSERT INTO public.who_data VALUES (36313, 0, 210, 0, 1, 154, 91);
INSERT INTO public.who_data VALUES (36314, 15, 1580, 0, 22, 154, 137);
INSERT INTO public.who_data VALUES (36315, 2044, 48306, 4, 499, 154, 201);
INSERT INTO public.who_data VALUES (36316, 0, 0, 0, 0, 154, 171);
INSERT INTO public.who_data VALUES (36317, 32, 10487, 0, 268, 154, 92);
INSERT INTO public.who_data VALUES (36318, 0, 21847, 0, 635, 154, 112);
INSERT INTO public.who_data VALUES (36319, 0, 5403, 0, 61, 154, 62);
INSERT INTO public.who_data VALUES (36320, 0, 24, 0, 0, 154, 69);
INSERT INTO public.who_data VALUES (36321, 968, 107700, 10, 2044, 154, 220);
INSERT INTO public.who_data VALUES (36322, 3363, 125620, 60, 11089, 154, 100);
INSERT INTO public.who_data VALUES (36323, 128, 101900, 17, 5750, 154, 187);
INSERT INTO public.who_data VALUES (36324, 82, 27428, 4, 808, 154, 63);
INSERT INTO public.who_data VALUES (36325, 0, 5002, 0, 83, 154, 28);
INSERT INTO public.who_data VALUES (36326, 0, 364, 0, 0, 154, 172);
INSERT INTO public.who_data VALUES (36327, 61, 2875, 0, 64, 154, 17);
INSERT INTO public.who_data VALUES (36328, 30, 5245, 1, 104, 154, 226);
INSERT INTO public.who_data VALUES (36329, 616, 68131, 17, 1089, 154, 236);
INSERT INTO public.who_data VALUES (36330, 0, 13, 0, 0, 154, 76);
INSERT INTO public.who_data VALUES (36331, 1, 431, 0, 0, 154, 30);
INSERT INTO public.who_data VALUES (36332, 0, 32, 0, 2, 154, 128);
INSERT INTO public.who_data VALUES (36333, 64, 8922, 0, 339, 154, 86);
INSERT INTO public.who_data VALUES (36334, 13465, 420855, 25, 31109, 154, 140);
INSERT INTO public.who_data VALUES (36335, 33, 9692, 0, 65, 154, 44);
INSERT INTO public.who_data VALUES (36336, 47, 1318, 0, 2, 154, 113);
INSERT INTO public.who_data VALUES (36337, 0, 8696, 0, 53, 154, 29);
INSERT INTO public.who_data VALUES (36338, 0, 3504, 0, 108, 154, 125);
INSERT INTO public.who_data VALUES (36339, 196, 3502, 0, 19, 154, 131);
INSERT INTO public.who_data VALUES (36340, 1345, 271415, 2, 9386, 154, 46);
INSERT INTO public.who_data VALUES (36341, 20, 45877, 2, 297, 154, 10);
INSERT INTO public.who_data VALUES (36342, 3, 346, 0, 0, 154, 205);
INSERT INTO public.who_data VALUES (36343, 240, 14978, 4, 331, 154, 50);
INSERT INTO public.who_data VALUES (36344, 0, 14, 0, 0, 154, 20);
INSERT INTO public.who_data VALUES (36345, 0, 24, 0, 0, 154, 13);
INSERT INTO public.who_data VALUES (36346, 0, 3426, 0, 26, 154, 148);
INSERT INTO public.who_data VALUES (36347, 43, 2117, 1, 34, 154, 230);
INSERT INTO public.who_data VALUES (36348, 808, 85152, 29, 3105, 154, 190);
INSERT INTO public.who_data VALUES (36349, 1, 254, 0, 13, 154, 188);
INSERT INTO public.who_data VALUES (36350, 55, 10286, 0, 63, 154, 123);
INSERT INTO public.who_data VALUES (36351, 0, 2303, 0, 39, 154, 9);
INSERT INTO public.who_data VALUES (36352, 75, 2102, 0, 62, 154, 102);
INSERT INTO public.who_data VALUES (36353, 44, 8600, 1, 221, 154, 34);
INSERT INTO public.who_data VALUES (36354, 0, 12, 0, 0, 154, 212);
INSERT INTO public.who_data VALUES (36355, 491, 70611, 24, 2146, 154, 122);
INSERT INTO public.who_data VALUES (36356, 1070, 17990, 8, 683, 154, 38);
INSERT INTO public.who_data VALUES (36357, 77, 2307, 0, 10, 154, 130);
INSERT INTO public.who_data VALUES (36358, 92605, 5400619, 1133, 86752, 154, 37);
INSERT INTO public.who_data VALUES (36359, 4168, 240687, 112, 9448, 154, 231);
INSERT INTO public.who_data VALUES (36360, 2845, 419043, 166, 24118, 154, 107);
INSERT INTO public.who_data VALUES (36361, 3907, 315597, 83, 8491, 154, 101);
INSERT INTO public.who_data VALUES (36362, 267, 32538, 0, 1792, 154, 132);
INSERT INTO public.who_data VALUES (36363, 0, 339, 0, 24, 154, 176);
INSERT INTO public.who_data VALUES (36364, 5340, 181870, 20, 1255, 154, 200);
INSERT INTO public.who_data VALUES (36365, 1637, 296569, 24, 35692, 154, 169);
INSERT INTO public.who_data VALUES (36366, 187, 4758, 5, 60, 154, 225);
INSERT INTO public.who_data VALUES (36367, 584, 78657, 5, 1500, 154, 165);
INSERT INTO public.who_data VALUES (36368, 2, 393, 0, 32, 154, 233);
INSERT INTO public.who_data VALUES (36369, 196, 4608, 1, 30, 154, 215);
INSERT INTO public.who_data VALUES (36370, 107, 138455, 44, 2043, 154, 177);
INSERT INTO public.who_data VALUES (36371, 105, 36829, 0, 646, 154, 183);
INSERT INTO public.who_data VALUES (36372, 0, 0, 0, 0, 154, 203);
INSERT INTO public.who_data VALUES (36373, 63, 14959, 0, 601, 154, 162);
INSERT INTO public.who_data VALUES (36374, 521, 99049, 1, 581, 154, 12);
INSERT INTO public.who_data VALUES (36375, 81, 45416, 0, 1063, 154, 24);
INSERT INTO public.who_data VALUES (36376, 0, 23, 0, 0, 154, 119);
INSERT INTO public.who_data VALUES (36377, 17, 1515, 0, 36, 154, 39);
INSERT INTO public.who_data VALUES (36378, 779, 28297, 5, 286, 154, 26);
INSERT INTO public.who_data VALUES (36379, 0, 1390, 0, 33, 154, 59);
INSERT INTO public.who_data VALUES (36380, 1, 1335, 0, 82, 154, 77);
INSERT INTO public.who_data VALUES (36381, 715, 27949, 8, 434, 154, 134);
INSERT INTO public.who_data VALUES (36382, 1, 114, 0, 1, 154, 4);
INSERT INTO public.who_data VALUES (36383, 80, 3739, 0, 88, 154, 109);
INSERT INTO public.who_data VALUES (36384, 0, 7718, 0, 124, 154, 90);
INSERT INTO public.who_data VALUES (36385, 49, 16020, 2, 219, 154, 61);
INSERT INTO public.who_data VALUES (36386, 2, 5718, 0, 179, 154, 85);
INSERT INTO public.who_data VALUES (36387, 20, 10167, 1, 130, 154, 49);
INSERT INTO public.who_data VALUES (36388, 81, 9649, 0, 33, 154, 208);
INSERT INTO public.who_data VALUES (36389, 15, 3006, 0, 128, 154, 166);
INSERT INTO public.who_data VALUES (36390, 65, 2699, 2, 19, 154, 64);
INSERT INTO public.who_data VALUES (36391, 0, 0, 0, 0, 154, 199);
INSERT INTO public.who_data VALUES (36392, 0, 1122, 0, 18, 154, 114);
INSERT INTO public.who_data VALUES (36393, 4, 7365, 0, 161, 154, 60);
INSERT INTO public.who_data VALUES (36394, 0, 367, 0, 10, 154, 68);
INSERT INTO public.who_data VALUES (36395, 0, 3541, 0, 40, 154, 158);
INSERT INTO public.who_data VALUES (36396, 4841, 688954, 624, 72803, 154, 52);
INSERT INTO public.who_data VALUES (36397, 0, 0, 0, 0, 154, 117);
INSERT INTO public.who_data VALUES (36398, 1, 195, 0, 1, 154, 126);
INSERT INTO public.who_data VALUES (36399, 0, 311, 0, 0, 154, 196);
INSERT INTO public.who_data VALUES (36400, 238, 8839, 2, 136, 154, 142);
INSERT INTO public.who_data VALUES (36401, 0, 13, 0, 1, 154, 185);
INSERT INTO public.who_data VALUES (36402, 2552, 99816, 40, 1795, 154, 138);
INSERT INTO public.who_data VALUES (36403, 273, 6537, 1, 41, 154, 181);
INSERT INTO public.who_data VALUES (36404, 642, 5263, 6, 81, 154, 178);
INSERT INTO public.who_data VALUES (36405, 85, 10292, 3, 111, 154, 168);
INSERT INTO public.who_data VALUES (36406, 0, 0, 0, 0, 154, 160);
INSERT INTO public.who_data VALUES (36407, 1204, 62797, 11, 401, 154, 151);
INSERT INTO public.who_data VALUES (36408, 1892, 91806, 3, 6274, 154, 193);
INSERT INTO public.who_data VALUES (36409, 0, 26, 0, 0, 154, 18);
INSERT INTO public.who_data VALUES (36410, 4, 1464, 0, 25, 154, 40);
INSERT INTO public.who_data VALUES (36411, 0, 3979, 0, 147, 154, 218);
INSERT INTO public.who_data VALUES (36412, 0, 1182, 0, 69, 154, 191);
INSERT INTO public.who_data VALUES (36413, 189, 57145, 1, 1095, 154, 156);
INSERT INTO public.who_data VALUES (36414, 0, 0, 0, 0, 154, 135);
INSERT INTO public.who_data VALUES (36415, 6, 68, 0, 2, 154, 88);
INSERT INTO public.who_data VALUES (36416, 140, 16557, 6, 689, 154, 55);
INSERT INTO public.who_data VALUES (36417, 0, 12645, 0, 267, 154, 108);
INSERT INTO public.who_data VALUES (36418, 726, 44763, 5, 291, 154, 48);
INSERT INTO public.who_data VALUES (36419, 0, 91753, 0, 818, 154, 3);
INSERT INTO public.who_data VALUES (36420, 0, 741, 0, 13, 154, 224);
INSERT INTO public.who_data VALUES (36421, 640, 305671, 1, 6416, 154, 110);
INSERT INTO public.who_data VALUES (36422, 0, 0, 0, 0, 154, 106);
INSERT INTO public.who_data VALUES (36423, 741, 104879, 16, 2229, 154, 89);
INSERT INTO public.who_data VALUES (36424, 0, 516, 0, 6, 154, 121);
INSERT INTO public.who_data VALUES (36425, 1014, 32127, 27, 611, 154, 163);
INSERT INTO public.who_data VALUES (36426, 6314, 756412, 137, 31283, 154, 70);
INSERT INTO public.who_data VALUES (36427, 3934, 283460, 100, 4930, 154, 174);
INSERT INTO public.who_data VALUES (36428, 0, 0, 0, 0, 154, 175);
INSERT INTO public.who_data VALUES (36429, 1002, 78330, 12, 2282, 154, 118);
INSERT INTO public.who_data VALUES (36430, 849, 68025, 5, 1899, 154, 189);
INSERT INTO public.who_data VALUES (36431, 1309, 40993, 6, 605, 154, 124);
INSERT INTO public.who_data VALUES (36432, 229, 123146, 0, 209, 154, 192);
INSERT INTO public.who_data VALUES (36433, 82, 22975, 5, 383, 154, 41);
INSERT INTO public.who_data VALUES (36434, 688, 46336, 15, 1201, 154, 95);
INSERT INTO public.who_data VALUES (36435, 0, 3194, 0, 10, 154, 74);
INSERT INTO public.who_data VALUES (36436, 1333, 111550, 42, 4402, 154, 11);
INSERT INTO public.who_data VALUES (36437, 6148, 1103399, 79, 19418, 154, 87);
INSERT INTO public.who_data VALUES (36438, 0, 4671, 0, 25, 154, 214);
INSERT INTO public.who_data VALUES (36439, 0, 5, 0, 0, 154, 116);
INSERT INTO public.who_data VALUES (36440, 0, 23, 0, 0, 154, 157);
INSERT INTO public.who_data VALUES (36441, 0, 0, 0, 0, 154, 182);
INSERT INTO public.who_data VALUES (36442, 0, 17, 0, 0, 154, 186);
INSERT INTO public.who_data VALUES (36443, 0, 27, 0, 0, 154, 127);
INSERT INTO public.who_data VALUES (36444, 0, 330, 0, 6, 154, 232);
INSERT INTO public.who_data VALUES (36445, 0, 11, 0, 0, 154, 33);
INSERT INTO public.who_data VALUES (36446, 0, 64, 0, 0, 154, 97);
INSERT INTO public.who_data VALUES (36447, 0, 0, 0, 0, 154, 42);
INSERT INTO public.who_data VALUES (36448, 0, 742, 0, 42, 154, 198);
INSERT INTO public.who_data VALUES (36449, 0, 908, 0, 15, 154, 216);
INSERT INTO public.who_data VALUES (36450, 551, 329271, 28, 4458, 154, 164);
INSERT INTO public.who_data VALUES (36451, 43, 14688, 1, 302, 154, 235);
INSERT INTO public.who_data VALUES (36452, 83, 32840, 1, 740, 154, 67);
INSERT INTO public.who_data VALUES (36453, 0, 139, 0, 0, 154, 15);
INSERT INTO public.who_data VALUES (36454, 6, 2159, 0, 72, 154, 180);
INSERT INTO public.who_data VALUES (36455, 15, 57558, 0, 27, 154, 237);
INSERT INTO public.who_data VALUES (36456, 0, 11, 0, 0, 154, 25);
INSERT INTO public.who_data VALUES (36457, 0, 565, 0, 19, 154, 209);
INSERT INTO public.who_data VALUES (36458, 235, 6256, 0, 39, 154, 217);
INSERT INTO public.who_data VALUES (36459, 113, 4310, 2, 144, 154, 79);
INSERT INTO public.who_data VALUES (36460, 0, 0, 0, 0, 154, 143);
INSERT INTO public.who_data VALUES (36461, 11, 3401, 0, 98, 154, 229);
INSERT INTO public.who_data VALUES (36462, 2029, 659656, 83, 15940, 154, 141);
INSERT INTO public.who_data VALUES (36463, 0, 2642, 0, 49, 154, 197);
INSERT INTO public.who_data VALUES (36464, 17040, 710868, 115, 32614, 154, 221);
INSERT INTO public.who_data VALUES (36465, 2, 3283, 0, 13, 154, 150);
INSERT INTO public.who_data VALUES (36466, 0, 13555, 0, 836, 154, 56);
INSERT INTO public.who_data VALUES (36467, 20, 4691, 1, 96, 154, 167);
INSERT INTO public.who_data VALUES (36468, 437, 88829, 1, 5854, 154, 23);
INSERT INTO public.who_data VALUES (36469, 284, 50267, 1, 1807, 154, 222);
INSERT INTO public.who_data VALUES (36470, 34, 3765, 2, 170, 154, 219);
INSERT INTO public.who_data VALUES (36471, 44, 9303, 0, 73, 154, 7);
INSERT INTO public.who_data VALUES (36472, 6, 3506, 0, 59, 154, 161);
INSERT INTO public.who_data VALUES (36473, 4422, 390362, 27, 41759, 154, 149);
INSERT INTO public.who_data VALUES (36474, 0, 27, 0, 0, 154, 6);
INSERT INTO public.who_data VALUES (36475, 0, 1640, 0, 41, 154, 139);
INSERT INTO public.who_data VALUES (36476, 0, 0, 0, 0, 154, 211);
INSERT INTO public.who_data VALUES (36477, 0, 0, 0, 0, 154, 14);
INSERT INTO public.who_data VALUES (36478, 227, 3739, 0, 60, 154, 111);
INSERT INTO public.who_data VALUES (36479, 996, 10732, 4, 159, 154, 207);
INSERT INTO public.who_data VALUES (36480, 8268, 664768, 68, 7445, 154, 66);
INSERT INTO public.who_data VALUES (36481, 0, 0, 0, 0, 154, 173);
INSERT INTO public.who_data VALUES (36482, 4, 667, 0, 5, 154, 145);
INSERT INTO public.who_data VALUES (36483, 0, 0, 0, 0, 154, 65);
INSERT INTO public.who_data VALUES (36484, 427, 6017, 2, 63, 154, 184);
INSERT INTO public.who_data VALUES (36485, 2966, 175678, 41, 3557, 154, 98);
INSERT INTO public.who_data VALUES (36486, 809, 84242, 1, 404, 154, 104);
INSERT INTO public.who_data VALUES (36487, 0, 509, 0, 21, 154, 73);
INSERT INTO public.who_data VALUES (36488, 48266, 6662003, 977, 197442, 154, 8);
INSERT INTO public.who_data VALUES (36489, 0, 1242, 0, 19, 154, 227);
INSERT INTO public.who_data VALUES (36490, 14, 1890, 0, 46, 154, 75);
INSERT INTO public.who_data VALUES (36491, 601, 51235, 6, 429, 154, 45);
INSERT INTO public.who_data VALUES (36492, 0, 0, 0, 0, 154, 133);
INSERT INTO public.who_data VALUES (36493, 890, 65174, 10, 530, 154, 202);
INSERT INTO public.who_data VALUES (36494, 0, 1068, 0, 35, 154, 129);
INSERT INTO public.who_data VALUES (36495, 0, 0, 0, 0, 154, 36);
INSERT INTO public.who_data VALUES (36496, 2, 2030, 0, 586, 154, 51);
INSERT INTO public.who_data VALUES (36497, 0, 14024, 0, 329, 154, 206);
INSERT INTO public.who_data VALUES (36498, 25, 7672, 1, 225, 154, 5);
INSERT INTO public.who_data VALUES (36499, 36, 39005, 0, 1441, 155, 103);
INSERT INTO public.who_data VALUES (36500, 125, 12073, 6, 353, 155, 58);
INSERT INTO public.who_data VALUES (36501, 219, 49413, 5, 1659, 155, 195);
INSERT INTO public.who_data VALUES (36502, 0, 0, 0, 0, 155, 115);
INSERT INTO public.who_data VALUES (36503, 81, 1564, 0, 53, 155, 99);
INSERT INTO public.who_data VALUES (36504, 59, 3848, 3, 147, 155, 153);
INSERT INTO public.who_data VALUES (36505, 0, 3, 0, 0, 155, 93);
INSERT INTO public.who_data VALUES (36506, 0, 95, 0, 3, 155, 84);
INSERT INTO public.who_data VALUES (36507, 12701, 601713, 262, 12491, 155, 78);
INSERT INTO public.who_data VALUES (36508, 244, 46467, 2, 923, 155, 170);
INSERT INTO public.who_data VALUES (36509, 54, 3382, 1, 23, 155, 32);
INSERT INTO public.who_data VALUES (36510, 48, 26861, 5, 837, 155, 155);
INSERT INTO public.who_data VALUES (36511, 821, 37191, 5, 763, 155, 82);
INSERT INTO public.who_data VALUES (36512, 117, 38894, 1, 572, 155, 16);
INSERT INTO public.who_data VALUES (36513, 90, 3177, 0, 69, 155, 72);
INSERT INTO public.who_data VALUES (36514, 690, 63879, 3, 220, 155, 43);
INSERT INTO public.who_data VALUES (36515, 1541, 345805, 22, 4881, 155, 120);
INSERT INTO public.who_data VALUES (36516, 0, 185, 0, 7, 155, 213);
INSERT INTO public.who_data VALUES (36517, 243, 75230, 2, 773, 155, 31);
INSERT INTO public.who_data VALUES (36518, 1709, 104063, 6, 9932, 155, 204);
INSERT INTO public.who_data VALUES (36519, 31, 1567, 0, 19, 155, 152);
INSERT INTO public.who_data VALUES (36520, 0, 2280, 0, 40, 155, 144);
INSERT INTO public.who_data VALUES (36521, 0, 178, 0, 9, 155, 96);
INSERT INTO public.who_data VALUES (36522, 6, 258, 0, 0, 155, 47);
INSERT INTO public.who_data VALUES (36523, 547, 129419, 33, 7511, 155, 80);
INSERT INTO public.who_data VALUES (36524, 0, 20, 0, 1, 155, 159);
INSERT INTO public.who_data VALUES (36525, 292, 24892, 5, 746, 155, 27);
INSERT INTO public.who_data VALUES (36526, 0, 2567, 0, 13, 155, 146);
INSERT INTO public.who_data VALUES (36527, 36303, 4455386, 829, 134935, 155, 71);
INSERT INTO public.who_data VALUES (36528, 0, 69, 0, 1, 155, 210);
INSERT INTO public.who_data VALUES (36529, 0, 145, 0, 3, 155, 54);
INSERT INTO public.who_data VALUES (36530, 189, 18733, 9, 753, 155, 147);
INSERT INTO public.who_data VALUES (36531, 19, 1767, 0, 56, 155, 2);
INSERT INTO public.who_data VALUES (36532, 0, 473, 0, 1, 155, 105);
INSERT INTO public.who_data VALUES (36533, 78, 5141, 1, 50, 155, 53);
INSERT INTO public.who_data VALUES (36534, 0, 275, 0, 0, 155, 81);
INSERT INTO public.who_data VALUES (36535, 128, 20431, 1, 416, 155, 223);
INSERT INTO public.who_data VALUES (36536, 1120, 140867, 7, 9200, 155, 94);
INSERT INTO public.who_data VALUES (36537, 0, 208, 0, 1, 155, 154);
INSERT INTO public.who_data VALUES (36538, 0, 4786, 0, 62, 155, 83);
INSERT INTO public.who_data VALUES (36539, 32, 1147, 0, 81, 155, 194);
INSERT INTO public.who_data VALUES (36540, 1677, 442827, 57, 12199, 155, 136);
INSERT INTO public.who_data VALUES (36541, 17, 90814, 1, 4744, 155, 179);
INSERT INTO public.who_data VALUES (36542, 7568, 743945, 187, 23665, 155, 57);
INSERT INTO public.who_data VALUES (36543, 0, 470, 0, 7, 155, 35);
INSERT INTO public.who_data VALUES (36544, 6, 4986, 0, 89, 155, 228);
INSERT INTO public.who_data VALUES (36545, 0, 0, 0, 0, 155, 19);
INSERT INTO public.who_data VALUES (36546, 1302, 60818, 17, 666, 155, 22);
INSERT INTO public.who_data VALUES (36547, 42, 19200, 0, 120, 155, 1);
INSERT INTO public.who_data VALUES (36548, 234, 14513, 6, 244, 155, 21);
INSERT INTO public.who_data VALUES (36549, 71, 5004, 2, 111, 155, 234);
INSERT INTO public.who_data VALUES (36550, 0, 210, 0, 1, 155, 91);
INSERT INTO public.who_data VALUES (36551, 7, 1565, 0, 22, 155, 137);
INSERT INTO public.who_data VALUES (36552, 2107, 46262, 6, 495, 155, 201);
INSERT INTO public.who_data VALUES (36553, 0, 0, 0, 0, 155, 171);
INSERT INTO public.who_data VALUES (36554, 14, 10455, 1, 268, 155, 92);
INSERT INTO public.who_data VALUES (36555, 454, 21847, 0, 635, 155, 112);
INSERT INTO public.who_data VALUES (36556, 2, 5403, 0, 61, 155, 62);
INSERT INTO public.who_data VALUES (36557, 0, 24, 0, 0, 155, 69);
INSERT INTO public.who_data VALUES (36558, 596, 106732, 12, 2034, 155, 220);
INSERT INTO public.who_data VALUES (36559, 0, 122257, 0, 11029, 155, 100);
INSERT INTO public.who_data VALUES (36560, 131, 101772, 18, 5733, 155, 187);
INSERT INTO public.who_data VALUES (36561, 97, 27346, 3, 804, 155, 63);
INSERT INTO public.who_data VALUES (36562, 0, 5002, 0, 83, 155, 28);
INSERT INTO public.who_data VALUES (36563, 0, 364, 0, 0, 155, 172);
INSERT INTO public.who_data VALUES (36564, 36, 2814, 0, 64, 155, 17);
INSERT INTO public.who_data VALUES (36565, 24, 5215, 0, 103, 155, 226);
INSERT INTO public.who_data VALUES (36566, 602, 67515, 12, 1072, 155, 236);
INSERT INTO public.who_data VALUES (36567, 0, 13, 0, 0, 155, 76);
INSERT INTO public.who_data VALUES (36568, 1, 430, 0, 0, 155, 30);
INSERT INTO public.who_data VALUES (36569, 0, 32, 0, 2, 155, 128);
INSERT INTO public.who_data VALUES (36570, 59, 8858, 0, 339, 155, 86);
INSERT INTO public.who_data VALUES (36571, 13084, 407390, 154, 31084, 155, 140);
INSERT INTO public.who_data VALUES (36572, 36, 9659, 0, 65, 155, 44);
INSERT INTO public.who_data VALUES (36573, 47, 1271, 0, 2, 155, 113);
INSERT INTO public.who_data VALUES (36574, 18, 8696, 0, 53, 155, 29);
INSERT INTO public.who_data VALUES (36575, 19, 3504, 0, 108, 155, 125);
INSERT INTO public.who_data VALUES (36576, 187, 3306, 0, 19, 155, 131);
INSERT INTO public.who_data VALUES (36577, 2297, 270070, 6, 9384, 155, 46);
INSERT INTO public.who_data VALUES (36578, 143, 45857, 1, 295, 155, 10);
INSERT INTO public.who_data VALUES (36579, 3, 343, 0, 0, 155, 205);
INSERT INTO public.who_data VALUES (36580, 338, 14738, 2, 327, 155, 50);
INSERT INTO public.who_data VALUES (36581, 0, 14, 0, 0, 155, 20);
INSERT INTO public.who_data VALUES (36582, 0, 24, 0, 0, 155, 13);
INSERT INTO public.who_data VALUES (36583, 0, 3426, 0, 26, 155, 148);
INSERT INTO public.who_data VALUES (36584, 29, 2074, 2, 33, 155, 230);
INSERT INTO public.who_data VALUES (36585, 680, 84344, 40, 3076, 155, 190);
INSERT INTO public.who_data VALUES (36586, 0, 253, 0, 13, 155, 188);
INSERT INTO public.who_data VALUES (36587, 77, 10231, 0, 63, 155, 123);
INSERT INTO public.who_data VALUES (36588, 0, 2303, 0, 39, 155, 9);
INSERT INTO public.who_data VALUES (36589, 43, 2027, 2, 62, 155, 102);
INSERT INTO public.who_data VALUES (36590, 0, 8556, 0, 220, 155, 34);
INSERT INTO public.who_data VALUES (36591, 0, 12, 0, 0, 155, 212);
INSERT INTO public.who_data VALUES (36592, 460, 70120, 20, 2122, 155, 122);
INSERT INTO public.who_data VALUES (36593, 809, 16920, 6, 675, 155, 38);
INSERT INTO public.who_data VALUES (36594, 24, 2230, 0, 10, 155, 130);
INSERT INTO public.who_data VALUES (36595, 93337, 5308014, 1247, 85619, 155, 37);
INSERT INTO public.who_data VALUES (36596, 3891, 236519, 114, 9336, 155, 231);
INSERT INTO public.who_data VALUES (36597, 3049, 416198, 144, 23952, 155, 107);
INSERT INTO public.who_data VALUES (36598, 4305, 311690, 76, 8408, 155, 101);
INSERT INTO public.who_data VALUES (36599, 248, 32271, 3, 1792, 155, 132);
INSERT INTO public.who_data VALUES (36600, 0, 339, 0, 24, 155, 176);
INSERT INTO public.who_data VALUES (36601, 5385, 176530, 17, 1235, 155, 200);
INSERT INTO public.who_data VALUES (36602, 1907, 294932, 10, 35668, 155, 169);
INSERT INTO public.who_data VALUES (36603, 197, 4571, 4, 55, 155, 225);
INSERT INTO public.who_data VALUES (36604, 579, 78073, 13, 1495, 155, 165);
INSERT INTO public.who_data VALUES (36605, 2, 391, 0, 32, 155, 233);
INSERT INTO public.who_data VALUES (36606, 213, 4412, 3, 29, 155, 215);
INSERT INTO public.who_data VALUES (36607, 335, 138348, 0, 1999, 155, 177);
INSERT INTO public.who_data VALUES (36608, 148, 36724, 4, 646, 155, 183);
INSERT INTO public.who_data VALUES (36609, 0, 0, 0, 0, 155, 203);
INSERT INTO public.who_data VALUES (36610, 57, 14896, 4, 601, 155, 162);
INSERT INTO public.who_data VALUES (36611, 704, 98528, 5, 580, 155, 12);
INSERT INTO public.who_data VALUES (36612, 91, 45335, 0, 1063, 155, 24);
INSERT INTO public.who_data VALUES (36613, 0, 23, 0, 0, 155, 119);
INSERT INTO public.who_data VALUES (36614, 4, 1498, 0, 36, 155, 39);
INSERT INTO public.who_data VALUES (36615, 750, 27518, 18, 281, 155, 26);
INSERT INTO public.who_data VALUES (36616, 63, 1390, 0, 33, 155, 59);
INSERT INTO public.who_data VALUES (36617, 1, 1334, 0, 82, 155, 77);
INSERT INTO public.who_data VALUES (36618, 796, 27234, 8, 426, 155, 134);
INSERT INTO public.who_data VALUES (36619, 1, 113, 0, 1, 155, 4);
INSERT INTO public.who_data VALUES (36620, 99, 3659, 0, 88, 155, 109);
INSERT INTO public.who_data VALUES (36621, 177, 7718, 0, 124, 155, 90);
INSERT INTO public.who_data VALUES (36622, 46, 15971, 1, 217, 155, 61);
INSERT INTO public.who_data VALUES (36623, 5, 5716, 0, 179, 155, 85);
INSERT INTO public.who_data VALUES (36624, 95, 10147, 1, 129, 155, 49);
INSERT INTO public.who_data VALUES (36625, 74, 9568, 0, 33, 155, 208);
INSERT INTO public.who_data VALUES (36626, 8, 2991, 0, 128, 155, 166);
INSERT INTO public.who_data VALUES (36627, 38, 2634, 1, 17, 155, 64);
INSERT INTO public.who_data VALUES (36628, 0, 0, 0, 0, 155, 199);
INSERT INTO public.who_data VALUES (36629, 0, 1122, 0, 18, 155, 114);
INSERT INTO public.who_data VALUES (36630, 15, 7361, 0, 161, 155, 60);
INSERT INTO public.who_data VALUES (36631, 1, 367, 0, 10, 155, 68);
INSERT INTO public.who_data VALUES (36632, 0, 3541, 0, 40, 155, 158);
INSERT INTO public.who_data VALUES (36633, 3182, 684113, 201, 72179, 155, 52);
INSERT INTO public.who_data VALUES (36634, 0, 0, 0, 0, 155, 117);
INSERT INTO public.who_data VALUES (36635, 5, 194, 0, 1, 155, 126);
INSERT INTO public.who_data VALUES (36636, 0, 311, 0, 0, 155, 196);
INSERT INTO public.who_data VALUES (36637, 284, 8601, 1, 134, 155, 142);
INSERT INTO public.who_data VALUES (36638, 0, 13, 0, 1, 155, 185);
INSERT INTO public.who_data VALUES (36639, 2760, 97264, 41, 1755, 155, 138);
INSERT INTO public.who_data VALUES (36640, 103, 6264, 1, 40, 155, 181);
INSERT INTO public.who_data VALUES (36641, 322, 4621, 14, 75, 155, 178);
INSERT INTO public.who_data VALUES (36642, 129, 10207, 0, 108, 155, 168);
INSERT INTO public.who_data VALUES (36643, 0, 0, 0, 0, 155, 160);
INSERT INTO public.who_data VALUES (36644, 2020, 61593, 7, 390, 155, 151);
INSERT INTO public.who_data VALUES (36645, 1958, 89914, 6, 6271, 155, 193);
INSERT INTO public.who_data VALUES (36646, 0, 26, 0, 0, 155, 18);
INSERT INTO public.who_data VALUES (36647, 2, 1460, 0, 25, 155, 40);
INSERT INTO public.who_data VALUES (36648, 0, 3979, 0, 147, 155, 218);
INSERT INTO public.who_data VALUES (36649, 2, 1182, 0, 69, 155, 191);
INSERT INTO public.who_data VALUES (36650, 221, 56956, 1, 1094, 155, 156);
INSERT INTO public.who_data VALUES (36651, 0, 0, 0, 0, 155, 135);
INSERT INTO public.who_data VALUES (36652, 0, 62, 0, 2, 155, 88);
INSERT INTO public.who_data VALUES (36653, 143, 16417, 8, 683, 155, 55);
INSERT INTO public.who_data VALUES (36654, 146, 12645, 1, 267, 155, 108);
INSERT INTO public.who_data VALUES (36655, 692, 44037, 8, 286, 155, 48);
INSERT INTO public.who_data VALUES (36656, 0, 91753, 0, 818, 155, 3);
INSERT INTO public.who_data VALUES (36657, 0, 741, 0, 13, 155, 224);
INSERT INTO public.who_data VALUES (36658, 645, 305031, 7, 6415, 155, 110);
INSERT INTO public.who_data VALUES (36659, 0, 0, 0, 0, 155, 106);
INSERT INTO public.who_data VALUES (36660, 672, 104138, 15, 2213, 155, 89);
INSERT INTO public.who_data VALUES (36661, 0, 516, 0, 6, 155, 121);
INSERT INTO public.who_data VALUES (36662, 694, 31113, 18, 584, 155, 163);
INSERT INTO public.who_data VALUES (36663, 5698, 750098, 95, 31146, 155, 70);
INSERT INTO public.who_data VALUES (36664, 3237, 279526, 45, 4830, 155, 174);
INSERT INTO public.who_data VALUES (36665, 0, 0, 0, 0, 155, 175);
INSERT INTO public.who_data VALUES (36666, 757, 77328, 17, 2270, 155, 118);
INSERT INTO public.who_data VALUES (36667, 780, 67176, 6, 1894, 155, 189);
INSERT INTO public.who_data VALUES (36668, 817, 39684, 11, 599, 155, 124);
INSERT INTO public.who_data VALUES (36669, 224, 122917, 1, 209, 155, 192);
INSERT INTO public.who_data VALUES (36670, 110, 22893, 1, 378, 155, 41);
INSERT INTO public.who_data VALUES (36671, 665, 45648, 16, 1186, 155, 95);
INSERT INTO public.who_data VALUES (36672, 95, 3194, 0, 10, 155, 74);
INSERT INTO public.who_data VALUES (36673, 1527, 110217, 48, 4360, 155, 11);
INSERT INTO public.who_data VALUES (36674, 6065, 1097251, 144, 19339, 155, 87);
INSERT INTO public.who_data VALUES (36675, 18, 4671, 2, 25, 155, 214);
INSERT INTO public.who_data VALUES (36676, 0, 5, 0, 0, 155, 116);
INSERT INTO public.who_data VALUES (36677, 0, 23, 0, 0, 155, 157);
INSERT INTO public.who_data VALUES (36678, 0, 0, 0, 0, 155, 182);
INSERT INTO public.who_data VALUES (36679, 0, 17, 0, 0, 155, 186);
INSERT INTO public.who_data VALUES (36680, 0, 27, 0, 0, 155, 127);
INSERT INTO public.who_data VALUES (36681, 0, 330, 0, 6, 155, 232);
INSERT INTO public.who_data VALUES (36682, 0, 11, 0, 0, 155, 33);
INSERT INTO public.who_data VALUES (36683, 0, 64, 0, 0, 155, 97);
INSERT INTO public.who_data VALUES (36684, 0, 0, 0, 0, 155, 42);
INSERT INTO public.who_data VALUES (36685, 0, 742, 0, 42, 155, 198);
INSERT INTO public.who_data VALUES (36686, 1, 908, 0, 15, 155, 216);
INSERT INTO public.who_data VALUES (36687, 576, 328720, 31, 4430, 155, 164);
INSERT INTO public.who_data VALUES (36688, 27, 14645, 1, 301, 155, 235);
INSERT INTO public.who_data VALUES (36689, 62, 32757, 1, 739, 155, 67);
INSERT INTO public.who_data VALUES (36690, 0, 139, 0, 0, 155, 15);
INSERT INTO public.who_data VALUES (36691, 16, 2153, 0, 72, 155, 180);
INSERT INTO public.who_data VALUES (36692, 11, 57543, 0, 27, 155, 237);
INSERT INTO public.who_data VALUES (36693, 0, 11, 0, 0, 155, 25);
INSERT INTO public.who_data VALUES (36694, 8, 565, 0, 19, 155, 209);
INSERT INTO public.who_data VALUES (36695, 161, 6021, 1, 39, 155, 217);
INSERT INTO public.who_data VALUES (36696, 137, 4197, 4, 142, 155, 79);
INSERT INTO public.who_data VALUES (36697, 0, 0, 0, 0, 155, 143);
INSERT INTO public.who_data VALUES (36698, 0, 3390, 0, 98, 155, 229);
INSERT INTO public.who_data VALUES (36699, 2055, 657627, 85, 15857, 155, 141);
INSERT INTO public.who_data VALUES (36700, 33, 2642, 0, 49, 155, 197);
INSERT INTO public.who_data VALUES (36701, 14008, 693828, 121, 32499, 155, 221);
INSERT INTO public.who_data VALUES (36702, 5, 3281, 0, 13, 155, 150);
INSERT INTO public.who_data VALUES (36703, 0, 13555, 0, 836, 155, 56);
INSERT INTO public.who_data VALUES (36704, 26, 4671, 0, 95, 155, 167);
INSERT INTO public.who_data VALUES (36705, 389, 88392, 1, 5853, 155, 23);
INSERT INTO public.who_data VALUES (36706, 444, 49983, 2, 1806, 155, 222);
INSERT INTO public.who_data VALUES (36707, 40, 3731, 3, 168, 155, 219);
INSERT INTO public.who_data VALUES (36708, 45, 9259, 0, 73, 155, 7);
INSERT INTO public.who_data VALUES (36709, 3, 3500, 1, 59, 155, 161);
INSERT INTO public.who_data VALUES (36710, 4322, 385940, 27, 41732, 155, 149);
INSERT INTO public.who_data VALUES (36711, 0, 27, 0, 0, 155, 6);
INSERT INTO public.who_data VALUES (36712, 22, 1640, 0, 41, 155, 139);
INSERT INTO public.who_data VALUES (36713, 0, 0, 0, 0, 155, 211);
INSERT INTO public.who_data VALUES (36714, 0, 0, 0, 0, 155, 14);
INSERT INTO public.who_data VALUES (36715, 176, 3512, 2, 60, 155, 111);
INSERT INTO public.who_data VALUES (36716, 0, 9736, 0, 155, 155, 207);
INSERT INTO public.who_data VALUES (36717, 8501, 656500, 62, 7377, 155, 66);
INSERT INTO public.who_data VALUES (36718, 0, 0, 0, 0, 155, 173);
INSERT INTO public.who_data VALUES (36719, 4, 663, 0, 5, 155, 145);
INSERT INTO public.who_data VALUES (36720, 0, 0, 0, 0, 155, 65);
INSERT INTO public.who_data VALUES (36721, 210, 5590, 1, 61, 155, 184);
INSERT INTO public.who_data VALUES (36722, 3240, 172712, 48, 3516, 155, 98);
INSERT INTO public.who_data VALUES (36723, 865, 83433, 1, 403, 155, 104);
INSERT INTO public.who_data VALUES (36724, 0, 509, 0, 21, 155, 73);
INSERT INTO public.who_data VALUES (36725, 42618, 6613737, 827, 196465, 155, 8);
INSERT INTO public.who_data VALUES (36726, 4, 1242, 0, 19, 155, 227);
INSERT INTO public.who_data VALUES (36727, 20, 1876, 1, 46, 155, 75);
INSERT INTO public.who_data VALUES (36728, 640, 50634, 6, 423, 155, 45);
INSERT INTO public.who_data VALUES (36729, 0, 0, 0, 0, 155, 133);
INSERT INTO public.who_data VALUES (36730, 868, 64284, 9, 520, 155, 202);
INSERT INTO public.who_data VALUES (36731, 2, 1068, 0, 35, 155, 129);
INSERT INTO public.who_data VALUES (36732, 0, 0, 0, 0, 155, 36);
INSERT INTO public.who_data VALUES (36733, 2, 2028, 0, 586, 155, 51);
INSERT INTO public.who_data VALUES (36734, 96, 14024, 3, 329, 155, 206);
INSERT INTO public.who_data VALUES (36735, 14, 7647, 0, 224, 155, 5);
INSERT INTO public.who_data VALUES (36736, 11, 38969, 1, 1441, 156, 103);
INSERT INTO public.who_data VALUES (36737, 132, 11948, 4, 347, 156, 58);
INSERT INTO public.who_data VALUES (36738, 228, 49194, 9, 1654, 156, 195);
INSERT INTO public.who_data VALUES (36739, 0, 0, 0, 0, 156, 115);
INSERT INTO public.who_data VALUES (36740, 0, 1483, 0, 53, 156, 99);
INSERT INTO public.who_data VALUES (36741, 114, 3789, 1, 144, 156, 153);
INSERT INTO public.who_data VALUES (36742, 0, 3, 0, 0, 156, 93);
INSERT INTO public.who_data VALUES (36743, 0, 95, 0, 3, 156, 84);
INSERT INTO public.who_data VALUES (36744, 11674, 589012, 319, 12229, 156, 78);
INSERT INTO public.who_data VALUES (36745, 239, 46223, 1, 921, 156, 170);
INSERT INTO public.who_data VALUES (36746, 176, 3328, 0, 22, 156, 32);
INSERT INTO public.who_data VALUES (36747, 34, 26813, 8, 832, 156, 155);
INSERT INTO public.who_data VALUES (36748, 922, 36370, 0, 758, 156, 82);
INSERT INTO public.who_data VALUES (36749, 119, 38777, 2, 571, 156, 16);
INSERT INTO public.who_data VALUES (36750, 55, 3087, 0, 69, 156, 72);
INSERT INTO public.who_data VALUES (36751, 705, 63189, 1, 217, 156, 43);
INSERT INTO public.who_data VALUES (36752, 1593, 344264, 36, 4859, 156, 120);
INSERT INTO public.who_data VALUES (36753, 1, 185, 0, 7, 156, 213);
INSERT INTO public.who_data VALUES (36754, 224, 74987, 4, 771, 156, 31);
INSERT INTO public.who_data VALUES (36755, 1750, 102354, 1, 9926, 156, 204);
INSERT INTO public.who_data VALUES (36756, 8, 1536, 0, 19, 156, 152);
INSERT INTO public.who_data VALUES (36757, 0, 2280, 0, 40, 156, 144);
INSERT INTO public.who_data VALUES (36758, 1, 178, 0, 9, 156, 96);
INSERT INTO public.who_data VALUES (36759, 6, 252, 0, 0, 156, 47);
INSERT INTO public.who_data VALUES (36760, 586, 128872, 31, 7478, 156, 80);
INSERT INTO public.who_data VALUES (36761, 0, 20, 0, 1, 156, 159);
INSERT INTO public.who_data VALUES (36762, 394, 24600, 12, 741, 156, 27);
INSERT INTO public.who_data VALUES (36763, 104, 2567, 2, 13, 156, 146);
INSERT INTO public.who_data VALUES (36764, 36820, 4419083, 987, 134106, 156, 71);
INSERT INTO public.who_data VALUES (36765, 0, 69, 0, 1, 156, 210);
INSERT INTO public.who_data VALUES (36766, 0, 145, 0, 3, 156, 54);
INSERT INTO public.who_data VALUES (36767, 154, 18544, 0, 744, 156, 147);
INSERT INTO public.who_data VALUES (36768, 15, 1748, 0, 56, 156, 2);
INSERT INTO public.who_data VALUES (36769, 0, 473, 0, 1, 156, 105);
INSERT INTO public.who_data VALUES (36770, 85, 5063, 2, 49, 156, 53);
INSERT INTO public.who_data VALUES (36771, 0, 275, 0, 0, 156, 81);
INSERT INTO public.who_data VALUES (36772, 0, 20303, 0, 415, 156, 223);
INSERT INTO public.who_data VALUES (36773, 944, 139747, 5, 9193, 156, 94);
INSERT INTO public.who_data VALUES (36774, 0, 208, 0, 1, 156, 154);
INSERT INTO public.who_data VALUES (36775, 4, 4786, 0, 62, 156, 83);
INSERT INTO public.who_data VALUES (36776, 25, 1115, 0, 81, 156, 194);
INSERT INTO public.who_data VALUES (36777, 1863, 441150, 84, 12142, 156, 136);
INSERT INTO public.who_data VALUES (36778, 44, 90797, 0, 4743, 156, 179);
INSERT INTO public.who_data VALUES (36779, 7787, 736377, 190, 23478, 156, 57);
INSERT INTO public.who_data VALUES (36780, 3, 470, 0, 7, 156, 35);
INSERT INTO public.who_data VALUES (36781, 0, 4980, 0, 89, 156, 228);
INSERT INTO public.who_data VALUES (36782, 0, 0, 0, 0, 156, 19);
INSERT INTO public.who_data VALUES (36783, 1378, 59516, 16, 649, 156, 22);
INSERT INTO public.who_data VALUES (36784, 26, 19158, 0, 120, 156, 1);
INSERT INTO public.who_data VALUES (36785, 250, 14279, 2, 238, 156, 21);
INSERT INTO public.who_data VALUES (36786, 57, 4933, 0, 109, 156, 234);
INSERT INTO public.who_data VALUES (36787, 18, 210, 0, 1, 156, 91);
INSERT INTO public.who_data VALUES (36788, 10, 1558, 0, 22, 156, 137);
INSERT INTO public.who_data VALUES (36789, 3123, 44155, 7, 489, 156, 201);
INSERT INTO public.who_data VALUES (36790, 0, 0, 0, 0, 156, 171);
INSERT INTO public.who_data VALUES (36791, 28, 10441, 0, 267, 156, 92);
INSERT INTO public.who_data VALUES (36792, 822, 21393, 2, 635, 156, 112);
INSERT INTO public.who_data VALUES (36793, 2, 5401, 0, 61, 156, 62);
INSERT INTO public.who_data VALUES (36794, 0, 24, 0, 0, 156, 69);
INSERT INTO public.who_data VALUES (36795, 615, 106136, 13, 2022, 156, 220);
INSERT INTO public.who_data VALUES (36796, 732, 122257, 33, 11029, 156, 100);
INSERT INTO public.who_data VALUES (36797, 141, 101641, 19, 5715, 156, 187);
INSERT INTO public.who_data VALUES (36798, 86, 27249, 5, 801, 156, 63);
INSERT INTO public.who_data VALUES (36799, 2, 5002, 0, 83, 156, 28);
INSERT INTO public.who_data VALUES (36800, 0, 364, 0, 0, 156, 172);
INSERT INTO public.who_data VALUES (36801, 22, 2778, 0, 64, 156, 17);
INSERT INTO public.who_data VALUES (36802, 36, 5191, 2, 103, 156, 226);
INSERT INTO public.who_data VALUES (36803, 689, 66913, 15, 1060, 156, 236);
INSERT INTO public.who_data VALUES (36804, 0, 13, 0, 0, 156, 76);
INSERT INTO public.who_data VALUES (36805, 1, 429, 0, 0, 156, 30);
INSERT INTO public.who_data VALUES (36806, 0, 32, 0, 2, 156, 128);
INSERT INTO public.who_data VALUES (36807, 49, 8799, 0, 339, 156, 86);
INSERT INTO public.who_data VALUES (36808, 10468, 394306, 50, 30930, 156, 140);
INSERT INTO public.who_data VALUES (36809, 28, 9623, 0, 65, 156, 44);
INSERT INTO public.who_data VALUES (36810, 34, 1224, 0, 2, 156, 113);
INSERT INTO public.who_data VALUES (36811, 0, 8678, 0, 53, 156, 29);
INSERT INTO public.who_data VALUES (36812, 12, 3485, 1, 108, 156, 125);
INSERT INTO public.who_data VALUES (36813, 182, 3119, 0, 19, 156, 131);
INSERT INTO public.who_data VALUES (36814, 1916, 267773, 7, 9378, 156, 46);
INSERT INTO public.who_data VALUES (36815, 59, 45714, 0, 294, 156, 10);
INSERT INTO public.who_data VALUES (36816, 6, 340, 0, 0, 156, 205);
INSERT INTO public.who_data VALUES (36817, 359, 14400, 9, 325, 156, 50);
INSERT INTO public.who_data VALUES (36818, 0, 14, 0, 0, 156, 20);
INSERT INTO public.who_data VALUES (36819, 0, 24, 0, 0, 156, 13);
INSERT INTO public.who_data VALUES (36820, 0, 3426, 0, 26, 156, 148);
INSERT INTO public.who_data VALUES (36821, 32, 2045, 1, 31, 156, 230);
INSERT INTO public.who_data VALUES (36822, 740, 83664, 27, 3036, 156, 190);
INSERT INTO public.who_data VALUES (36823, 0, 253, 0, 13, 156, 188);
INSERT INTO public.who_data VALUES (36824, 0, 10154, 0, 63, 156, 123);
INSERT INTO public.who_data VALUES (36825, 28, 2303, 0, 39, 156, 9);
INSERT INTO public.who_data VALUES (36826, 26, 1984, 2, 60, 156, 102);
INSERT INTO public.who_data VALUES (36827, 26, 8556, 0, 220, 156, 34);
INSERT INTO public.who_data VALUES (36828, 0, 12, 0, 0, 156, 212);
INSERT INTO public.who_data VALUES (36829, 1040, 69660, 15, 2102, 156, 122);
INSERT INTO public.who_data VALUES (36830, 941, 16111, 6, 669, 156, 38);
INSERT INTO public.who_data VALUES (36831, 17, 2206, 0, 10, 156, 130);
INSERT INTO public.who_data VALUES (36832, 96424, 5214677, 1174, 84372, 156, 37);
INSERT INTO public.who_data VALUES (36833, 3635, 232628, 122, 9222, 156, 231);
INSERT INTO public.who_data VALUES (36834, 2815, 413149, 176, 23808, 156, 107);
INSERT INTO public.who_data VALUES (36835, 4326, 307385, 84, 8332, 156, 101);
INSERT INTO public.who_data VALUES (36836, 224, 32023, 1, 1789, 156, 132);
INSERT INTO public.who_data VALUES (36837, 0, 339, 0, 24, 156, 176);
INSERT INTO public.who_data VALUES (36838, 4574, 171145, 26, 1218, 156, 200);
INSERT INTO public.who_data VALUES (36839, 1583, 293025, 13, 35658, 156, 169);
INSERT INTO public.who_data VALUES (36840, 210, 4374, 5, 51, 156, 225);
INSERT INTO public.who_data VALUES (36841, 485, 77494, 9, 1482, 156, 165);
INSERT INTO public.who_data VALUES (36842, 3, 389, 0, 32, 156, 233);
INSERT INTO public.who_data VALUES (36843, 279, 4199, 0, 26, 156, 215);
INSERT INTO public.who_data VALUES (36844, 300, 138013, 0, 1999, 156, 177);
INSERT INTO public.who_data VALUES (36845, 275, 36576, 8, 642, 156, 183);
INSERT INTO public.who_data VALUES (36846, 0, 0, 0, 0, 156, 203);
INSERT INTO public.who_data VALUES (36847, 43, 14839, 3, 597, 156, 162);
INSERT INTO public.who_data VALUES (36848, 825, 97824, 4, 575, 156, 12);
INSERT INTO public.who_data VALUES (36849, 91, 45244, 0, 1063, 156, 24);
INSERT INTO public.who_data VALUES (36850, 0, 23, 0, 0, 156, 119);
INSERT INTO public.who_data VALUES (36851, 8, 1494, 1, 36, 156, 39);
INSERT INTO public.who_data VALUES (36852, 685, 26768, 4, 263, 156, 26);
INSERT INTO public.who_data VALUES (36853, 0, 1327, 0, 33, 156, 59);
INSERT INTO public.who_data VALUES (36854, 6, 1333, 0, 82, 156, 77);
INSERT INTO public.who_data VALUES (36855, 616, 26438, 13, 418, 156, 134);
INSERT INTO public.who_data VALUES (36856, 0, 112, 0, 1, 156, 4);
INSERT INTO public.who_data VALUES (36857, 61, 3560, 0, 88, 156, 109);
INSERT INTO public.who_data VALUES (36858, 147, 7541, 0, 124, 156, 90);
INSERT INTO public.who_data VALUES (36859, 54, 15925, 1, 216, 156, 61);
INSERT INTO public.who_data VALUES (36860, 7, 5711, 1, 179, 156, 85);
INSERT INTO public.who_data VALUES (36861, 21, 10052, 0, 128, 156, 49);
INSERT INTO public.who_data VALUES (36862, 67, 9494, 0, 33, 156, 208);
INSERT INTO public.who_data VALUES (36863, 17, 2983, 0, 128, 156, 166);
INSERT INTO public.who_data VALUES (36864, 35, 2596, 0, 16, 156, 64);
INSERT INTO public.who_data VALUES (36865, 0, 0, 0, 0, 156, 199);
INSERT INTO public.who_data VALUES (36866, 0, 1122, 0, 18, 156, 114);
INSERT INTO public.who_data VALUES (36867, 14, 7346, 0, 161, 156, 60);
INSERT INTO public.who_data VALUES (36868, 1, 366, 0, 10, 156, 68);
INSERT INTO public.who_data VALUES (36869, 0, 3541, 0, 40, 156, 158);
INSERT INTO public.who_data VALUES (36870, 4444, 680931, 300, 71978, 156, 52);
INSERT INTO public.who_data VALUES (36871, 0, 0, 0, 0, 156, 117);
INSERT INTO public.who_data VALUES (36872, 5, 189, 0, 1, 156, 126);
INSERT INTO public.who_data VALUES (36873, 0, 311, 0, 0, 156, 196);
INSERT INTO public.who_data VALUES (36874, 233, 8317, 4, 133, 156, 142);
INSERT INTO public.who_data VALUES (36875, 0, 13, 0, 1, 156, 185);
INSERT INTO public.who_data VALUES (36876, 2488, 94504, 28, 1714, 156, 138);
INSERT INTO public.who_data VALUES (36877, 167, 6161, 0, 39, 156, 181);
INSERT INTO public.who_data VALUES (36878, 405, 4299, 15, 61, 156, 178);
INSERT INTO public.who_data VALUES (36879, 114, 10078, 0, 108, 156, 168);
INSERT INTO public.who_data VALUES (36880, 0, 0, 0, 0, 156, 160);
INSERT INTO public.who_data VALUES (36881, 1246, 59573, 4, 383, 156, 151);
INSERT INTO public.who_data VALUES (36882, 1739, 87956, 6, 6265, 156, 193);
INSERT INTO public.who_data VALUES (36883, 0, 26, 0, 0, 156, 18);
INSERT INTO public.who_data VALUES (36884, 0, 1458, 0, 25, 156, 40);
INSERT INTO public.who_data VALUES (36885, 0, 3979, 0, 147, 156, 218);
INSERT INTO public.who_data VALUES (36886, 0, 1180, 0, 69, 156, 191);
INSERT INTO public.who_data VALUES (36887, 131, 56735, 2, 1093, 156, 156);
INSERT INTO public.who_data VALUES (36888, 0, 0, 0, 0, 156, 135);
INSERT INTO public.who_data VALUES (36889, 1, 62, 0, 2, 156, 88);
INSERT INTO public.who_data VALUES (36890, 186, 16274, 7, 675, 156, 55);
INSERT INTO public.who_data VALUES (36891, 106, 12499, 1, 266, 156, 108);
INSERT INTO public.who_data VALUES (36892, 966, 43345, 2, 278, 156, 48);
INSERT INTO public.who_data VALUES (36893, 557, 91753, 13, 818, 156, 3);
INSERT INTO public.who_data VALUES (36894, 0, 741, 0, 13, 156, 224);
INSERT INTO public.who_data VALUES (36895, 752, 304386, 9, 6408, 156, 110);
INSERT INTO public.who_data VALUES (36896, 0, 0, 0, 0, 156, 106);
INSERT INTO public.who_data VALUES (36897, 634, 103466, 11, 2198, 156, 89);
INSERT INTO public.who_data VALUES (36898, 0, 516, 0, 6, 156, 121);
INSERT INTO public.who_data VALUES (36899, 1121, 30419, 14, 566, 156, 163);
INSERT INTO public.who_data VALUES (36900, 6380, 744400, 124, 31051, 156, 70);
INSERT INTO public.who_data VALUES (36901, 3355, 276289, 53, 4785, 156, 174);
INSERT INTO public.who_data VALUES (36902, 0, 0, 0, 0, 156, 175);
INSERT INTO public.who_data VALUES (36903, 837, 76571, 16, 2253, 156, 118);
INSERT INTO public.who_data VALUES (36904, 770, 66396, 10, 1888, 156, 189);
INSERT INTO public.who_data VALUES (36905, 583, 38867, 18, 588, 156, 124);
INSERT INTO public.who_data VALUES (36906, 244, 122693, 0, 208, 156, 192);
INSERT INTO public.who_data VALUES (36907, 126, 22783, 5, 377, 156, 41);
INSERT INTO public.who_data VALUES (36908, 622, 44983, 11, 1170, 156, 95);
INSERT INTO public.who_data VALUES (36909, 97, 3099, 0, 10, 156, 74);
INSERT INTO public.who_data VALUES (36910, 1679, 108690, 27, 4312, 156, 11);
INSERT INTO public.who_data VALUES (36911, 5905, 1091186, 134, 19195, 156, 87);
INSERT INTO public.who_data VALUES (36912, 19, 4653, 1, 23, 156, 214);
INSERT INTO public.who_data VALUES (36913, 0, 5, 0, 0, 156, 116);
INSERT INTO public.who_data VALUES (36914, 0, 23, 0, 0, 156, 157);
INSERT INTO public.who_data VALUES (36915, 0, 0, 0, 0, 156, 182);
INSERT INTO public.who_data VALUES (36916, 0, 17, 0, 0, 156, 186);
INSERT INTO public.who_data VALUES (36917, 0, 27, 0, 0, 156, 127);
INSERT INTO public.who_data VALUES (36918, 0, 330, 0, 6, 156, 232);
INSERT INTO public.who_data VALUES (36919, 0, 11, 0, 0, 156, 33);
INSERT INTO public.who_data VALUES (36920, 0, 64, 0, 0, 156, 97);
INSERT INTO public.who_data VALUES (36921, 0, 0, 0, 0, 156, 42);
INSERT INTO public.who_data VALUES (36922, 0, 742, 0, 42, 156, 198);
INSERT INTO public.who_data VALUES (36923, 0, 907, 0, 15, 156, 216);
INSERT INTO public.who_data VALUES (36924, 593, 328144, 30, 4399, 156, 164);
INSERT INTO public.who_data VALUES (36925, 50, 14618, 1, 300, 156, 235);
INSERT INTO public.who_data VALUES (36926, 82, 32695, 2, 738, 156, 67);
INSERT INTO public.who_data VALUES (36927, 1, 139, 0, 0, 156, 15);
INSERT INTO public.who_data VALUES (36928, 4, 2137, 0, 72, 156, 180);
INSERT INTO public.who_data VALUES (36929, 18, 57532, 0, 27, 156, 237);
INSERT INTO public.who_data VALUES (36930, 0, 11, 0, 0, 156, 25);
INSERT INTO public.who_data VALUES (36931, 8, 557, 0, 19, 156, 209);
INSERT INTO public.who_data VALUES (36932, 92, 5860, 0, 38, 156, 217);
INSERT INTO public.who_data VALUES (36933, 104, 4060, 1, 138, 156, 79);
INSERT INTO public.who_data VALUES (36934, 0, 0, 0, 0, 156, 143);
INSERT INTO public.who_data VALUES (36935, 0, 3390, 0, 98, 156, 229);
INSERT INTO public.who_data VALUES (36936, 2128, 655572, 67, 15772, 156, 141);
INSERT INTO public.who_data VALUES (36937, 10, 2609, 0, 49, 156, 197);
INSERT INTO public.who_data VALUES (36938, 14364, 679820, 110, 32378, 156, 221);
INSERT INTO public.who_data VALUES (36939, 5, 3276, 0, 13, 156, 150);
INSERT INTO public.who_data VALUES (36940, 20, 13555, 0, 836, 156, 56);
INSERT INTO public.who_data VALUES (36941, 20, 4645, 0, 95, 156, 167);
INSERT INTO public.who_data VALUES (36942, 330, 88003, 2, 5852, 156, 23);
INSERT INTO public.who_data VALUES (36943, 499, 49539, 4, 1804, 156, 222);
INSERT INTO public.who_data VALUES (36944, 37, 3691, 2, 165, 156, 219);
INSERT INTO public.who_data VALUES (36945, 43, 9214, 0, 73, 156, 7);
INSERT INTO public.who_data VALUES (36946, 7, 3497, 0, 58, 156, 161);
INSERT INTO public.who_data VALUES (36947, 3395, 381618, 21, 41705, 156, 149);
INSERT INTO public.who_data VALUES (36948, 0, 27, 0, 0, 156, 6);
INSERT INTO public.who_data VALUES (36949, 10, 1618, 1, 41, 156, 139);
INSERT INTO public.who_data VALUES (36950, 0, 0, 0, 0, 156, 211);
INSERT INTO public.who_data VALUES (36951, 0, 0, 0, 0, 156, 14);
INSERT INTO public.who_data VALUES (36952, 43, 3336, 1, 58, 156, 111);
INSERT INTO public.who_data VALUES (36953, 626, 9736, 17, 155, 156, 207);
INSERT INTO public.who_data VALUES (36954, 8378, 647999, 66, 7315, 156, 66);
INSERT INTO public.who_data VALUES (36955, 0, 0, 0, 0, 156, 173);
INSERT INTO public.who_data VALUES (36956, 9, 659, 0, 5, 156, 145);
INSERT INTO public.who_data VALUES (36957, 0, 0, 0, 0, 156, 65);
INSERT INTO public.who_data VALUES (36958, 114, 5380, 0, 60, 156, 184);
INSERT INTO public.who_data VALUES (36959, 3228, 169472, 68, 3468, 156, 98);
INSERT INTO public.who_data VALUES (36960, 786, 82568, 0, 402, 156, 104);
INSERT INTO public.who_data VALUES (36961, 0, 509, 0, 21, 156, 73);
INSERT INTO public.who_data VALUES (36962, 40795, 6571119, 1204, 195638, 156, 8);
INSERT INTO public.who_data VALUES (36963, 6, 1238, 0, 19, 156, 227);
INSERT INTO public.who_data VALUES (36964, 29, 1856, 0, 45, 156, 75);
INSERT INTO public.who_data VALUES (36965, 609, 49994, 6, 417, 156, 45);
INSERT INTO public.who_data VALUES (36966, 0, 0, 0, 0, 156, 133);
INSERT INTO public.who_data VALUES (36967, 761, 63416, 9, 511, 156, 202);
INSERT INTO public.who_data VALUES (36968, 3, 1066, 0, 35, 156, 129);
INSERT INTO public.who_data VALUES (36969, 0, 0, 0, 0, 156, 36);
INSERT INTO public.who_data VALUES (36970, 3, 2026, 2, 586, 156, 51);
INSERT INTO public.who_data VALUES (36971, 41, 13928, 0, 326, 156, 206);
INSERT INTO public.who_data VALUES (36972, 35, 7633, 0, 224, 156, 5);
INSERT INTO public.who_data VALUES (36973, 17, 38958, 0, 1440, 157, 103);
INSERT INTO public.who_data VALUES (36974, 144, 11816, 3, 343, 157, 58);
INSERT INTO public.who_data VALUES (36975, 232, 48966, 13, 1645, 157, 195);
INSERT INTO public.who_data VALUES (36976, 0, 0, 0, 0, 157, 115);
INSERT INTO public.who_data VALUES (36977, 45, 1483, 0, 53, 157, 99);
INSERT INTO public.who_data VALUES (36978, 106, 3675, 4, 143, 157, 153);
INSERT INTO public.who_data VALUES (36979, 0, 3, 0, 0, 157, 93);
INSERT INTO public.who_data VALUES (36980, 0, 95, 0, 3, 157, 84);
INSERT INTO public.who_data VALUES (36981, 11892, 577338, 200, 11910, 157, 78);
INSERT INTO public.who_data VALUES (36982, 295, 45984, 2, 920, 157, 170);
INSERT INTO public.who_data VALUES (36983, 92, 3152, 2, 22, 157, 32);
INSERT INTO public.who_data VALUES (36984, 41, 26779, 8, 824, 157, 155);
INSERT INTO public.who_data VALUES (36985, 704, 35448, 1, 758, 157, 82);
INSERT INTO public.who_data VALUES (36986, 141, 38658, 3, 569, 157, 16);
INSERT INTO public.who_data VALUES (36987, 24, 3032, 1, 69, 157, 72);
INSERT INTO public.who_data VALUES (36988, 841, 62484, 3, 216, 157, 43);
INSERT INTO public.who_data VALUES (36989, 1615, 342671, 21, 4823, 157, 120);
INSERT INTO public.who_data VALUES (36990, 1, 184, 0, 7, 157, 213);
INSERT INTO public.who_data VALUES (36991, 211, 74763, 6, 767, 157, 31);
INSERT INTO public.who_data VALUES (36992, 1942, 100604, 2, 9925, 157, 204);
INSERT INTO public.who_data VALUES (36993, 27, 1528, 0, 19, 157, 152);
INSERT INTO public.who_data VALUES (36994, 0, 2280, 0, 40, 157, 144);
INSERT INTO public.who_data VALUES (36995, 0, 177, 0, 9, 157, 96);
INSERT INTO public.who_data VALUES (36996, 0, 246, 0, 0, 157, 47);
INSERT INTO public.who_data VALUES (36997, 667, 128286, 53, 7447, 157, 80);
INSERT INTO public.who_data VALUES (36998, 4, 20, 0, 1, 157, 159);
INSERT INTO public.who_data VALUES (36999, 282, 24206, 11, 729, 157, 27);
INSERT INTO public.who_data VALUES (37000, 0, 2463, 0, 11, 157, 146);
INSERT INTO public.who_data VALUES (37001, 36653, 4382263, 1113, 133119, 157, 71);
INSERT INTO public.who_data VALUES (37002, 3, 69, 0, 1, 157, 210);
INSERT INTO public.who_data VALUES (37003, 0, 145, 0, 3, 157, 54);
INSERT INTO public.who_data VALUES (37004, 174, 18390, 8, 744, 157, 147);
INSERT INTO public.who_data VALUES (37005, 16, 1733, 0, 56, 157, 2);
INSERT INTO public.who_data VALUES (37006, 1, 473, 0, 1, 157, 105);
INSERT INTO public.who_data VALUES (37007, 74, 4978, 1, 47, 157, 53);
INSERT INTO public.who_data VALUES (37008, 0, 275, 0, 0, 157, 81);
INSERT INTO public.who_data VALUES (37009, 0, 20303, 0, 415, 157, 223);
INSERT INTO public.who_data VALUES (37010, 793, 138803, 9, 9188, 157, 94);
INSERT INTO public.who_data VALUES (37011, 0, 208, 0, 1, 157, 154);
INSERT INTO public.who_data VALUES (37012, 10, 4782, 0, 62, 157, 83);
INSERT INTO public.who_data VALUES (37013, 3, 1090, 0, 81, 157, 194);
INSERT INTO public.who_data VALUES (37014, 1304, 439287, 18, 12058, 157, 136);
INSERT INTO public.who_data VALUES (37015, 19, 90753, 0, 4743, 157, 179);
INSERT INTO public.who_data VALUES (37016, 6698, 728590, 165, 23288, 157, 57);
INSERT INTO public.who_data VALUES (37017, 10, 467, 0, 7, 157, 35);
INSERT INTO public.who_data VALUES (37018, 46, 4980, 1, 89, 157, 228);
INSERT INTO public.who_data VALUES (37019, 0, 0, 0, 0, 157, 19);
INSERT INTO public.who_data VALUES (37020, 777, 58138, 12, 633, 157, 22);
INSERT INTO public.who_data VALUES (37021, 32, 19132, 0, 120, 157, 1);
INSERT INTO public.who_data VALUES (37022, 280, 14029, 6, 236, 157, 21);
INSERT INTO public.who_data VALUES (37023, 73, 4876, 1, 109, 157, 234);
INSERT INTO public.who_data VALUES (37024, 23, 192, 0, 1, 157, 91);
INSERT INTO public.who_data VALUES (37025, 8, 1548, 0, 22, 157, 137);
INSERT INTO public.who_data VALUES (37026, 2136, 41032, 6, 482, 157, 201);
INSERT INTO public.who_data VALUES (37027, 0, 0, 0, 0, 157, 171);
INSERT INTO public.who_data VALUES (37028, 13, 10413, 0, 267, 157, 92);
INSERT INTO public.who_data VALUES (37029, 442, 20571, 0, 633, 157, 112);
INSERT INTO public.who_data VALUES (37030, 3, 5399, 0, 61, 157, 62);
INSERT INTO public.who_data VALUES (37031, 0, 24, 0, 0, 157, 69);
INSERT INTO public.who_data VALUES (37032, 718, 105521, 11, 2009, 157, 220);
INSERT INTO public.who_data VALUES (37033, 1972, 121525, 33, 10996, 157, 100);
INSERT INTO public.who_data VALUES (37034, 160, 101500, 17, 5696, 157, 187);
INSERT INTO public.who_data VALUES (37035, 75, 27163, 4, 796, 157, 63);
INSERT INTO public.who_data VALUES (37036, 0, 5000, 0, 83, 157, 28);
INSERT INTO public.who_data VALUES (37037, 0, 364, 0, 0, 157, 172);
INSERT INTO public.who_data VALUES (37038, 34, 2756, 0, 64, 157, 17);
INSERT INTO public.who_data VALUES (37039, 27, 5155, 0, 101, 157, 226);
INSERT INTO public.who_data VALUES (37040, 738, 66224, 10, 1045, 157, 236);
INSERT INTO public.who_data VALUES (37041, 0, 13, 0, 0, 157, 76);
INSERT INTO public.who_data VALUES (37042, 0, 428, 0, 0, 157, 30);
INSERT INTO public.who_data VALUES (37043, 0, 32, 0, 2, 157, 128);
INSERT INTO public.who_data VALUES (37044, 25, 8750, 0, 339, 157, 86);
INSERT INTO public.who_data VALUES (37045, 9138, 383838, 43, 30880, 157, 140);
INSERT INTO public.who_data VALUES (37046, 17, 9595, 1, 65, 157, 44);
INSERT INTO public.who_data VALUES (37047, 55, 1190, 0, 2, 157, 113);
INSERT INTO public.who_data VALUES (37048, 24, 8678, 0, 53, 157, 29);
INSERT INTO public.who_data VALUES (37049, 33, 3473, 0, 107, 157, 125);
INSERT INTO public.who_data VALUES (37050, 179, 2937, 0, 19, 157, 131);
INSERT INTO public.who_data VALUES (37051, 2194, 265857, 3, 9371, 157, 46);
INSERT INTO public.who_data VALUES (37052, 0, 45655, 0, 294, 157, 10);
INSERT INTO public.who_data VALUES (37053, 4, 334, 0, 0, 157, 205);
INSERT INTO public.who_data VALUES (37054, 311, 14041, 3, 316, 157, 50);
INSERT INTO public.who_data VALUES (37055, 0, 14, 0, 0, 157, 20);
INSERT INTO public.who_data VALUES (37056, 0, 24, 0, 0, 157, 13);
INSERT INTO public.who_data VALUES (37057, 346, 3426, 2, 26, 157, 148);
INSERT INTO public.who_data VALUES (37058, 47, 2013, 1, 30, 157, 230);
INSERT INTO public.who_data VALUES (37059, 240, 82924, 25, 3009, 157, 190);
INSERT INTO public.who_data VALUES (37060, 0, 253, 0, 13, 157, 188);
INSERT INTO public.who_data VALUES (37061, 43, 10154, 0, 63, 157, 123);
INSERT INTO public.who_data VALUES (37062, 0, 2275, 0, 39, 157, 9);
INSERT INTO public.who_data VALUES (37063, 74, 1958, 2, 58, 157, 102);
INSERT INTO public.who_data VALUES (37064, 31, 8530, 1, 220, 157, 34);
INSERT INTO public.who_data VALUES (37065, 0, 12, 0, 0, 157, 212);
INSERT INTO public.who_data VALUES (37066, 0, 68620, 0, 2087, 157, 122);
INSERT INTO public.who_data VALUES (37067, 710, 15170, 9, 663, 157, 38);
INSERT INTO public.who_data VALUES (37068, 15, 2189, 0, 10, 157, 130);
INSERT INTO public.who_data VALUES (37069, 97894, 5118253, 1132, 83198, 157, 37);
INSERT INTO public.who_data VALUES (37070, 3963, 228993, 135, 9100, 157, 231);
INSERT INTO public.who_data VALUES (37071, 2981, 410334, 179, 23632, 157, 107);
INSERT INTO public.who_data VALUES (37072, 4357, 303059, 82, 8248, 157, 101);
INSERT INTO public.who_data VALUES (37073, 250, 31799, 1, 1788, 157, 132);
INSERT INTO public.who_data VALUES (37074, 0, 339, 0, 24, 157, 176);
INSERT INTO public.who_data VALUES (37075, 5539, 166571, 16, 1192, 157, 200);
INSERT INTO public.who_data VALUES (37076, 1452, 291442, 12, 35645, 157, 169);
INSERT INTO public.who_data VALUES (37077, 122, 4164, 0, 46, 157, 225);
INSERT INTO public.who_data VALUES (37078, 561, 77009, 12, 1473, 157, 165);
INSERT INTO public.who_data VALUES (37079, 0, 386, 0, 32, 157, 233);
INSERT INTO public.who_data VALUES (37080, 175, 3920, 0, 26, 157, 215);
INSERT INTO public.who_data VALUES (37081, 320, 137713, 0, 1999, 157, 177);
INSERT INTO public.who_data VALUES (37082, 0, 36301, 0, 634, 157, 183);
INSERT INTO public.who_data VALUES (37083, 0, 0, 0, 0, 157, 203);
INSERT INTO public.who_data VALUES (37084, 76, 14796, 3, 594, 157, 162);
INSERT INTO public.who_data VALUES (37085, 698, 96999, 3, 571, 157, 12);
INSERT INTO public.who_data VALUES (37086, 81, 45153, 0, 1063, 157, 24);
INSERT INTO public.who_data VALUES (37087, 0, 23, 0, 0, 157, 119);
INSERT INTO public.who_data VALUES (37088, 4, 1486, 0, 35, 157, 39);
INSERT INTO public.who_data VALUES (37089, 634, 26083, 7, 259, 157, 26);
INSERT INTO public.who_data VALUES (37090, 0, 1327, 0, 33, 157, 59);
INSERT INTO public.who_data VALUES (37091, 0, 1327, 0, 82, 157, 77);
INSERT INTO public.who_data VALUES (37092, 886, 25822, 11, 405, 157, 134);
INSERT INTO public.who_data VALUES (37093, 1, 112, 0, 1, 157, 4);
INSERT INTO public.who_data VALUES (37094, 62, 3499, 0, 88, 157, 109);
INSERT INTO public.who_data VALUES (37095, 110, 7394, 0, 124, 157, 90);
INSERT INTO public.who_data VALUES (37096, 68, 15871, 1, 215, 157, 61);
INSERT INTO public.who_data VALUES (37097, 3, 5704, 0, 178, 157, 85);
INSERT INTO public.who_data VALUES (37098, 62, 10031, 0, 128, 157, 49);
INSERT INTO public.who_data VALUES (37099, 99, 9427, 0, 33, 157, 208);
INSERT INTO public.who_data VALUES (37100, 26, 2966, 0, 128, 157, 166);
INSERT INTO public.who_data VALUES (37101, 106, 2561, 0, 16, 157, 64);
INSERT INTO public.who_data VALUES (37102, 0, 0, 0, 0, 157, 199);
INSERT INTO public.who_data VALUES (37103, 183, 1122, 0, 18, 157, 114);
INSERT INTO public.who_data VALUES (37104, 13, 7332, 0, 161, 157, 60);
INSERT INTO public.who_data VALUES (37105, 0, 365, 0, 10, 157, 68);
INSERT INTO public.who_data VALUES (37106, 0, 3541, 0, 40, 157, 158);
INSERT INTO public.who_data VALUES (37107, 4771, 676487, 629, 71678, 157, 52);
INSERT INTO public.who_data VALUES (37108, 0, 0, 0, 0, 157, 117);
INSERT INTO public.who_data VALUES (37109, 3, 184, 0, 1, 157, 126);
INSERT INTO public.who_data VALUES (37110, 0, 311, 0, 0, 157, 196);
INSERT INTO public.who_data VALUES (37111, 201, 8084, 2, 129, 157, 142);
INSERT INTO public.who_data VALUES (37112, 0, 13, 0, 1, 157, 185);
INSERT INTO public.who_data VALUES (37113, 1692, 92016, 38, 1686, 157, 138);
INSERT INTO public.who_data VALUES (37114, 281, 5994, 2, 39, 157, 181);
INSERT INTO public.who_data VALUES (37115, 258, 3894, 7, 46, 157, 178);
INSERT INTO public.who_data VALUES (37116, 63, 9964, 2, 108, 157, 168);
INSERT INTO public.who_data VALUES (37117, 0, 0, 0, 0, 157, 160);
INSERT INTO public.who_data VALUES (37118, 1539, 58327, 8, 379, 157, 151);
INSERT INTO public.who_data VALUES (37119, 1537, 86217, 2, 6259, 157, 193);
INSERT INTO public.who_data VALUES (37120, 0, 26, 0, 0, 157, 18);
INSERT INTO public.who_data VALUES (37121, 7, 1458, 0, 25, 157, 40);
INSERT INTO public.who_data VALUES (37122, 0, 3979, 0, 147, 157, 218);
INSERT INTO public.who_data VALUES (37123, 0, 1180, 0, 69, 157, 191);
INSERT INTO public.who_data VALUES (37124, 126, 56604, 3, 1091, 157, 156);
INSERT INTO public.who_data VALUES (37125, 0, 0, 0, 0, 157, 135);
INSERT INTO public.who_data VALUES (37126, 0, 61, 0, 2, 157, 88);
INSERT INTO public.who_data VALUES (37127, 163, 16088, 7, 668, 157, 55);
INSERT INTO public.who_data VALUES (37128, 116, 12393, 0, 265, 157, 108);
INSERT INTO public.who_data VALUES (37129, 963, 42379, 15, 276, 157, 48);
INSERT INTO public.who_data VALUES (37130, 536, 91196, 8, 805, 157, 3);
INSERT INTO public.who_data VALUES (37131, 0, 741, 0, 13, 157, 224);
INSERT INTO public.who_data VALUES (37132, 545, 303634, 6, 6399, 157, 110);
INSERT INTO public.who_data VALUES (37133, 0, 0, 0, 0, 157, 106);
INSERT INTO public.who_data VALUES (37134, 628, 102832, 14, 2187, 157, 89);
INSERT INTO public.who_data VALUES (37135, 5, 516, 0, 6, 157, 121);
INSERT INTO public.who_data VALUES (37136, 811, 29298, 13, 552, 157, 163);
INSERT INTO public.who_data VALUES (37137, 4160, 738020, 115, 30927, 157, 70);
INSERT INTO public.who_data VALUES (37138, 3527, 272934, 69, 4732, 157, 174);
INSERT INTO public.who_data VALUES (37139, 0, 0, 0, 0, 157, 175);
INSERT INTO public.who_data VALUES (37140, 600, 75734, 10, 2237, 157, 118);
INSERT INTO public.who_data VALUES (37141, 605, 65626, 3, 1878, 157, 189);
INSERT INTO public.who_data VALUES (37142, 112, 38284, 19, 570, 157, 124);
INSERT INTO public.who_data VALUES (37143, 235, 122449, 0, 208, 157, 192);
INSERT INTO public.who_data VALUES (37144, 153, 22657, 5, 372, 157, 41);
INSERT INTO public.who_data VALUES (37145, 627, 44361, 15, 1159, 157, 95);
INSERT INTO public.who_data VALUES (37146, 100, 3002, 0, 10, 157, 74);
INSERT INTO public.who_data VALUES (37147, 1713, 107011, 49, 4285, 157, 11);
INSERT INTO public.who_data VALUES (37148, 5762, 1085281, 144, 19061, 157, 87);
INSERT INTO public.who_data VALUES (37149, 10, 4634, 0, 22, 157, 214);
INSERT INTO public.who_data VALUES (37150, 0, 5, 0, 0, 157, 116);
INSERT INTO public.who_data VALUES (37151, 0, 23, 0, 0, 157, 157);
INSERT INTO public.who_data VALUES (37152, 0, 0, 0, 0, 157, 182);
INSERT INTO public.who_data VALUES (37153, 0, 17, 0, 0, 157, 186);
INSERT INTO public.who_data VALUES (37154, 0, 27, 0, 0, 157, 127);
INSERT INTO public.who_data VALUES (37155, 0, 330, 0, 6, 157, 232);
INSERT INTO public.who_data VALUES (37156, 0, 11, 0, 0, 157, 33);
INSERT INTO public.who_data VALUES (37157, 0, 64, 0, 0, 157, 97);
INSERT INTO public.who_data VALUES (37158, 0, 0, 0, 0, 157, 42);
INSERT INTO public.who_data VALUES (37159, 1, 742, 0, 42, 157, 198);
INSERT INTO public.who_data VALUES (37160, 0, 907, 0, 15, 157, 216);
INSERT INTO public.who_data VALUES (37161, 621, 327551, 31, 4369, 157, 164);
INSERT INTO public.who_data VALUES (37162, 39, 14568, 1, 299, 157, 235);
INSERT INTO public.who_data VALUES (37163, 102, 32613, 1, 736, 157, 67);
INSERT INTO public.who_data VALUES (37164, 0, 138, 0, 0, 157, 15);
INSERT INTO public.who_data VALUES (37165, 7, 2133, 0, 72, 157, 180);
INSERT INTO public.who_data VALUES (37166, 26, 57514, 0, 27, 157, 237);
INSERT INTO public.who_data VALUES (37167, 0, 11, 0, 0, 157, 25);
INSERT INTO public.who_data VALUES (37168, 0, 549, 0, 19, 157, 209);
INSERT INTO public.who_data VALUES (37169, 188, 5768, 0, 38, 157, 217);
INSERT INTO public.who_data VALUES (37170, 123, 3956, 0, 137, 157, 79);
INSERT INTO public.who_data VALUES (37171, 0, 0, 0, 0, 157, 143);
INSERT INTO public.who_data VALUES (37172, 0, 3390, 0, 98, 157, 229);
INSERT INTO public.who_data VALUES (37173, 1923, 653444, 64, 15705, 157, 141);
INSERT INTO public.who_data VALUES (37174, 5, 2599, 0, 49, 157, 197);
INSERT INTO public.who_data VALUES (37175, 14110, 665456, 125, 32268, 157, 221);
INSERT INTO public.who_data VALUES (37176, 0, 3271, 0, 13, 157, 150);
INSERT INTO public.who_data VALUES (37177, 0, 13535, 0, 836, 157, 56);
INSERT INTO public.who_data VALUES (37178, 14, 4625, 0, 95, 157, 167);
INSERT INTO public.who_data VALUES (37179, 292, 87673, 1, 5850, 157, 23);
INSERT INTO public.who_data VALUES (37180, 516, 49040, 5, 1800, 157, 222);
INSERT INTO public.who_data VALUES (37181, 40, 3654, 3, 163, 157, 219);
INSERT INTO public.who_data VALUES (37182, 42, 9171, 0, 73, 157, 7);
INSERT INTO public.who_data VALUES (37183, 0, 3490, 0, 58, 157, 161);
INSERT INTO public.who_data VALUES (37184, 3991, 378223, 20, 41684, 157, 149);
INSERT INTO public.who_data VALUES (37185, 0, 27, 0, 0, 157, 6);
INSERT INTO public.who_data VALUES (37186, 13, 1608, 0, 40, 157, 139);
INSERT INTO public.who_data VALUES (37187, 0, 0, 0, 0, 157, 211);
INSERT INTO public.who_data VALUES (37188, 0, 0, 0, 0, 157, 14);
INSERT INTO public.who_data VALUES (37189, 110, 3293, 1, 57, 157, 111);
INSERT INTO public.who_data VALUES (37190, 540, 9110, 5, 138, 157, 207);
INSERT INTO public.who_data VALUES (37191, 8501, 639621, 63, 7249, 157, 66);
INSERT INTO public.who_data VALUES (37192, 0, 0, 0, 0, 157, 173);
INSERT INTO public.who_data VALUES (37193, 2, 650, 0, 5, 157, 145);
INSERT INTO public.who_data VALUES (37194, 0, 0, 0, 0, 157, 65);
INSERT INTO public.who_data VALUES (37195, 143, 5266, 2, 60, 157, 184);
INSERT INTO public.who_data VALUES (37196, 3584, 166244, 60, 3400, 157, 98);
INSERT INTO public.who_data VALUES (37197, 842, 81782, 1, 402, 157, 104);
INSERT INTO public.who_data VALUES (37198, 0, 509, 0, 21, 157, 73);
INSERT INTO public.who_data VALUES (37199, 34078, 6530324, 940, 194434, 157, 8);
INSERT INTO public.who_data VALUES (37200, 7, 1232, 0, 19, 157, 227);
INSERT INTO public.who_data VALUES (37201, 15, 1827, 0, 45, 157, 75);
INSERT INTO public.who_data VALUES (37202, 609, 49385, 6, 411, 157, 45);
INSERT INTO public.who_data VALUES (37203, 0, 0, 0, 0, 157, 133);
INSERT INTO public.who_data VALUES (37204, 1086, 62655, 8, 502, 157, 202);
INSERT INTO public.who_data VALUES (37205, 0, 1063, 0, 35, 157, 129);
INSERT INTO public.who_data VALUES (37206, 0, 0, 0, 0, 157, 36);
INSERT INTO public.who_data VALUES (37207, 3, 2023, 0, 584, 157, 51);
INSERT INTO public.who_data VALUES (37208, 68, 13887, 2, 326, 157, 206);
INSERT INTO public.who_data VALUES (37209, 22, 7598, 0, 224, 157, 5);
INSERT INTO public.who_data VALUES (37210, 40, 38941, 10, 1440, 158, 103);
INSERT INTO public.who_data VALUES (37211, 152, 11672, 2, 340, 158, 58);
INSERT INTO public.who_data VALUES (37212, 238, 48734, 12, 1632, 158, 195);
INSERT INTO public.who_data VALUES (37213, 0, 0, 0, 0, 158, 115);
INSERT INTO public.who_data VALUES (37214, 0, 1438, 0, 53, 158, 99);
INSERT INTO public.who_data VALUES (37215, 130, 3569, 5, 139, 158, 153);
INSERT INTO public.who_data VALUES (37216, 0, 3, 0, 0, 158, 93);
INSERT INTO public.who_data VALUES (37217, 0, 95, 0, 3, 158, 84);
INSERT INTO public.who_data VALUES (37218, 9909, 565446, 298, 11710, 158, 78);
INSERT INTO public.who_data VALUES (37219, 257, 45689, 3, 918, 158, 170);
INSERT INTO public.who_data VALUES (37220, 14, 3060, 2, 20, 158, 32);
INSERT INTO public.who_data VALUES (37221, 46, 26738, 0, 816, 158, 155);
INSERT INTO public.who_data VALUES (37222, 860, 34744, 0, 757, 158, 82);
INSERT INTO public.who_data VALUES (37223, 114, 38517, 2, 566, 158, 16);
INSERT INTO public.who_data VALUES (37224, 34, 3008, 1, 68, 158, 72);
INSERT INTO public.who_data VALUES (37225, 678, 61643, 0, 213, 158, 43);
INSERT INTO public.who_data VALUES (37226, 1724, 341056, 43, 4802, 158, 120);
INSERT INTO public.who_data VALUES (37227, 0, 183, 0, 7, 158, 213);
INSERT INTO public.who_data VALUES (37228, 192, 74552, 5, 761, 158, 31);
INSERT INTO public.who_data VALUES (37229, 1628, 98662, 3, 9923, 158, 204);
INSERT INTO public.who_data VALUES (37230, 21, 1501, 0, 19, 158, 152);
INSERT INTO public.who_data VALUES (37231, 13, 2280, 0, 40, 158, 144);
INSERT INTO public.who_data VALUES (37232, 0, 177, 0, 9, 158, 96);
INSERT INTO public.who_data VALUES (37233, 0, 246, 0, 0, 158, 47);
INSERT INTO public.who_data VALUES (37234, 828, 127619, 50, 7394, 158, 80);
INSERT INTO public.who_data VALUES (37235, 4, 16, 0, 1, 158, 159);
INSERT INTO public.who_data VALUES (37236, 294, 23924, 20, 718, 158, 27);
INSERT INTO public.who_data VALUES (37237, 211, 2463, 1, 11, 158, 146);
INSERT INTO public.who_data VALUES (37238, 15155, 4345610, 381, 132006, 158, 71);
INSERT INTO public.who_data VALUES (37239, 0, 66, 0, 1, 158, 210);
INSERT INTO public.who_data VALUES (37240, 0, 145, 0, 3, 158, 54);
INSERT INTO public.who_data VALUES (37241, 155, 18216, 6, 736, 158, 147);
INSERT INTO public.who_data VALUES (37242, 25, 1717, 0, 56, 158, 2);
INSERT INTO public.who_data VALUES (37243, 0, 472, 0, 1, 158, 105);
INSERT INTO public.who_data VALUES (37244, 65, 4904, 1, 46, 158, 53);
INSERT INTO public.who_data VALUES (37245, 0, 275, 0, 0, 158, 81);
INSERT INTO public.who_data VALUES (37246, 32, 20303, 0, 415, 158, 223);
INSERT INTO public.who_data VALUES (37247, 1351, 138010, 8, 9179, 158, 94);
INSERT INTO public.who_data VALUES (37248, 0, 208, 0, 1, 158, 154);
INSERT INTO public.who_data VALUES (37249, 0, 4772, 0, 62, 158, 83);
INSERT INTO public.who_data VALUES (37250, 2, 1087, 0, 81, 158, 194);
INSERT INTO public.who_data VALUES (37251, 1550, 437983, 27, 12040, 158, 136);
INSERT INTO public.who_data VALUES (37252, 16, 90734, 1, 4743, 158, 179);
INSERT INTO public.who_data VALUES (37253, 5573, 721892, 199, 23123, 158, 57);
INSERT INTO public.who_data VALUES (37254, 0, 457, 0, 7, 158, 35);
INSERT INTO public.who_data VALUES (37255, 0, 4934, 0, 88, 158, 228);
INSERT INTO public.who_data VALUES (37256, 0, 0, 0, 0, 158, 19);
INSERT INTO public.who_data VALUES (37257, 937, 57361, 16, 621, 158, 22);
INSERT INTO public.who_data VALUES (37258, 87, 19100, 0, 120, 158, 1);
INSERT INTO public.who_data VALUES (37259, 151, 13749, 3, 230, 158, 21);
INSERT INTO public.who_data VALUES (37260, 77, 4803, 0, 108, 158, 234);
INSERT INTO public.who_data VALUES (37261, 12, 169, 0, 1, 158, 91);
INSERT INTO public.who_data VALUES (37262, 6, 1540, 0, 22, 158, 137);
INSERT INTO public.who_data VALUES (37263, 1674, 38896, 11, 476, 158, 201);
INSERT INTO public.who_data VALUES (37264, 0, 0, 0, 0, 158, 171);
INSERT INTO public.who_data VALUES (37265, 11, 10400, 3, 267, 158, 92);
INSERT INTO public.who_data VALUES (37266, 329, 20129, 0, 633, 158, 112);
INSERT INTO public.who_data VALUES (37267, 0, 5396, 0, 61, 158, 62);
INSERT INTO public.who_data VALUES (37268, 0, 24, 0, 0, 158, 69);
INSERT INTO public.who_data VALUES (37269, 693, 104803, 14, 1998, 158, 220);
INSERT INTO public.who_data VALUES (37270, 642, 119553, 41, 10963, 158, 100);
INSERT INTO public.who_data VALUES (37271, 163, 101340, 18, 5679, 158, 187);
INSERT INTO public.who_data VALUES (37272, 79, 27088, 4, 792, 158, 63);
INSERT INTO public.who_data VALUES (37273, 0, 5000, 0, 83, 158, 28);
INSERT INTO public.who_data VALUES (37274, 3, 364, 0, 0, 158, 172);
INSERT INTO public.who_data VALUES (37275, 24, 2722, 0, 64, 158, 17);
INSERT INTO public.who_data VALUES (37276, 24, 5128, 0, 101, 158, 226);
INSERT INTO public.who_data VALUES (37277, 700, 65486, 13, 1035, 158, 236);
INSERT INTO public.who_data VALUES (37278, 0, 13, 0, 0, 158, 76);
INSERT INTO public.who_data VALUES (37279, 5, 428, 0, 0, 158, 30);
INSERT INTO public.who_data VALUES (37280, 0, 32, 0, 2, 158, 128);
INSERT INTO public.who_data VALUES (37281, 98, 8725, 0, 339, 158, 86);
INSERT INTO public.who_data VALUES (37282, 7720, 374700, 48, 30837, 158, 140);
INSERT INTO public.who_data VALUES (37283, 26, 9578, 1, 64, 158, 44);
INSERT INTO public.who_data VALUES (37284, 36, 1135, 0, 2, 158, 113);
INSERT INTO public.who_data VALUES (37285, 0, 8654, 0, 53, 158, 29);
INSERT INTO public.who_data VALUES (37286, 35, 3440, 4, 107, 158, 125);
INSERT INTO public.who_data VALUES (37287, 196, 2758, 0, 19, 158, 131);
INSERT INTO public.who_data VALUES (37288, 1901, 263663, 6, 9368, 158, 46);
INSERT INTO public.who_data VALUES (37289, 221, 45655, 8, 294, 158, 10);
INSERT INTO public.who_data VALUES (37290, 0, 330, 0, 0, 158, 205);
INSERT INTO public.who_data VALUES (37291, 310, 13730, 3, 313, 158, 50);
INSERT INTO public.who_data VALUES (37292, 0, 14, 0, 0, 158, 20);
INSERT INTO public.who_data VALUES (37293, 0, 24, 0, 0, 158, 13);
INSERT INTO public.who_data VALUES (37294, 0, 3080, 0, 24, 158, 148);
INSERT INTO public.who_data VALUES (37295, 39, 1966, 3, 29, 158, 230);
INSERT INTO public.who_data VALUES (37296, 512, 82684, 12, 2984, 158, 190);
INSERT INTO public.who_data VALUES (37297, 0, 253, 0, 13, 158, 188);
INSERT INTO public.who_data VALUES (37298, 50, 10111, 0, 63, 158, 123);
INSERT INTO public.who_data VALUES (37299, 0, 2275, 0, 39, 158, 9);
INSERT INTO public.who_data VALUES (37300, 31, 1884, 0, 56, 158, 102);
INSERT INTO public.who_data VALUES (37301, 6, 8499, 0, 219, 158, 34);
INSERT INTO public.who_data VALUES (37302, 0, 12, 0, 0, 158, 212);
INSERT INTO public.who_data VALUES (37303, 831, 68620, 8, 2087, 158, 122);
INSERT INTO public.who_data VALUES (37304, 1307, 14460, 12, 654, 158, 38);
INSERT INTO public.who_data VALUES (37305, 6, 2174, 0, 10, 158, 130);
INSERT INTO public.who_data VALUES (37306, 90123, 5020359, 1290, 82066, 158, 37);
INSERT INTO public.who_data VALUES (37307, 3507, 225030, 124, 8965, 158, 231);
INSERT INTO public.who_data VALUES (37308, 2705, 407353, 140, 23453, 158, 107);
INSERT INTO public.who_data VALUES (37309, 4224, 298702, 80, 8166, 158, 101);
INSERT INTO public.who_data VALUES (37310, 357, 31549, 3, 1787, 158, 132);
INSERT INTO public.who_data VALUES (37311, 1, 339, 0, 24, 158, 176);
INSERT INTO public.who_data VALUES (37312, 4805, 161032, 20, 1176, 158, 200);
INSERT INTO public.who_data VALUES (37313, 1229, 289990, 9, 35633, 158, 169);
INSERT INTO public.who_data VALUES (37314, 109, 4042, 2, 46, 158, 225);
INSERT INTO public.who_data VALUES (37315, 490, 76448, 10, 1461, 158, 165);
INSERT INTO public.who_data VALUES (37316, 6, 386, 0, 32, 158, 233);
INSERT INTO public.who_data VALUES (37317, 149, 3745, 0, 26, 158, 215);
INSERT INTO public.who_data VALUES (37318, 335, 137393, 0, 1999, 158, 177);
INSERT INTO public.who_data VALUES (37319, 96, 36301, 10, 634, 158, 183);
INSERT INTO public.who_data VALUES (37320, 0, 0, 0, 0, 158, 203);
INSERT INTO public.who_data VALUES (37321, 71, 14720, 1, 591, 158, 162);
INSERT INTO public.who_data VALUES (37322, 829, 96301, 5, 568, 158, 12);
INSERT INTO public.who_data VALUES (37323, 73, 45072, 0, 1063, 158, 24);
INSERT INTO public.who_data VALUES (37324, 0, 23, 0, 0, 158, 119);
INSERT INTO public.who_data VALUES (37325, 5, 1482, 0, 35, 158, 39);
INSERT INTO public.who_data VALUES (37326, 592, 25449, 6, 252, 158, 26);
INSERT INTO public.who_data VALUES (37327, 82, 1327, 0, 33, 158, 59);
INSERT INTO public.who_data VALUES (37328, 16, 1327, 0, 82, 158, 77);
INSERT INTO public.who_data VALUES (37329, 792, 24936, 11, 394, 158, 134);
INSERT INTO public.who_data VALUES (37330, 0, 111, 0, 1, 158, 4);
INSERT INTO public.who_data VALUES (37331, 45, 3437, 1, 88, 158, 109);
INSERT INTO public.who_data VALUES (37332, 40, 7284, 0, 124, 158, 90);
INSERT INTO public.who_data VALUES (37333, 34, 15803, 1, 214, 158, 61);
INSERT INTO public.who_data VALUES (37334, 4, 5701, 0, 178, 158, 85);
INSERT INTO public.who_data VALUES (37335, 23, 9969, 0, 128, 158, 49);
INSERT INTO public.who_data VALUES (37336, 85, 9328, 0, 33, 158, 208);
INSERT INTO public.who_data VALUES (37337, 5, 2940, 0, 128, 158, 166);
INSERT INTO public.who_data VALUES (37338, 49, 2455, 1, 16, 158, 64);
INSERT INTO public.who_data VALUES (37339, 0, 0, 0, 0, 158, 199);
INSERT INTO public.who_data VALUES (37340, 0, 939, 0, 18, 158, 114);
INSERT INTO public.who_data VALUES (37341, 24, 7319, 0, 161, 158, 60);
INSERT INTO public.who_data VALUES (37342, 3, 365, 0, 10, 158, 68);
INSERT INTO public.who_data VALUES (37343, 0, 3541, 0, 40, 158, 158);
INSERT INTO public.who_data VALUES (37344, 3335, 671716, 228, 71049, 158, 52);
INSERT INTO public.who_data VALUES (37345, 0, 0, 0, 0, 158, 117);
INSERT INTO public.who_data VALUES (37346, 1, 181, 0, 1, 158, 126);
INSERT INTO public.who_data VALUES (37347, 0, 311, 0, 0, 158, 196);
INSERT INTO public.who_data VALUES (37348, 202, 7883, 4, 127, 158, 142);
INSERT INTO public.who_data VALUES (37349, 0, 13, 0, 1, 158, 185);
INSERT INTO public.who_data VALUES (37350, 2121, 90324, 34, 1648, 158, 138);
INSERT INTO public.who_data VALUES (37351, 231, 5713, 2, 37, 158, 181);
INSERT INTO public.who_data VALUES (37352, 337, 3636, 7, 39, 158, 178);
INSERT INTO public.who_data VALUES (37353, 83, 9901, 3, 106, 158, 168);
INSERT INTO public.who_data VALUES (37354, 0, 0, 0, 0, 158, 160);
INSERT INTO public.who_data VALUES (37355, 1459, 56788, 11, 371, 158, 151);
INSERT INTO public.who_data VALUES (37356, 1376, 84680, 2, 6257, 158, 193);
INSERT INTO public.who_data VALUES (37357, 0, 26, 0, 0, 158, 18);
INSERT INTO public.who_data VALUES (37358, 1, 1451, 1, 25, 158, 40);
INSERT INTO public.who_data VALUES (37359, 102, 3979, 3, 147, 158, 218);
INSERT INTO public.who_data VALUES (37360, 2, 1180, 0, 69, 158, 191);
INSERT INTO public.who_data VALUES (37361, 90, 56478, 5, 1088, 158, 156);
INSERT INTO public.who_data VALUES (37362, 0, 0, 0, 0, 158, 135);
INSERT INTO public.who_data VALUES (37363, 0, 61, 0, 2, 158, 88);
INSERT INTO public.who_data VALUES (37364, 98, 15925, 9, 661, 158, 55);
INSERT INTO public.who_data VALUES (37365, 122, 12277, 0, 265, 158, 108);
INSERT INTO public.who_data VALUES (37366, 1118, 41416, 6, 261, 158, 48);
INSERT INTO public.who_data VALUES (37367, 438, 90660, 7, 797, 158, 3);
INSERT INTO public.who_data VALUES (37368, 0, 741, 0, 13, 158, 224);
INSERT INTO public.who_data VALUES (37369, 665, 303089, 4, 6393, 158, 110);
INSERT INTO public.who_data VALUES (37370, 0, 0, 0, 0, 158, 106);
INSERT INTO public.who_data VALUES (37371, 459, 102204, 7, 2173, 158, 89);
INSERT INTO public.who_data VALUES (37372, 0, 511, 0, 6, 158, 121);
INSERT INTO public.who_data VALUES (37373, 670, 28487, 14, 539, 158, 163);
INSERT INTO public.who_data VALUES (37374, 4241, 733860, 102, 30812, 158, 70);
INSERT INTO public.who_data VALUES (37375, 3519, 269407, 33, 4663, 158, 174);
INSERT INTO public.who_data VALUES (37376, 0, 0, 0, 0, 158, 175);
INSERT INTO public.who_data VALUES (37377, 605, 75134, 24, 2227, 158, 118);
INSERT INTO public.who_data VALUES (37378, 425, 65021, 4, 1875, 158, 189);
INSERT INTO public.who_data VALUES (37379, 422, 38172, 9, 551, 158, 124);
INSERT INTO public.who_data VALUES (37380, 239, 122214, 1, 208, 158, 192);
INSERT INTO public.who_data VALUES (37381, 113, 22504, 0, 367, 158, 41);
INSERT INTO public.who_data VALUES (37382, 527, 43734, 14, 1144, 158, 95);
INSERT INTO public.who_data VALUES (37383, 30, 2902, 0, 10, 158, 74);
INSERT INTO public.who_data VALUES (37384, 1111, 105298, 51, 4236, 158, 11);
INSERT INTO public.who_data VALUES (37385, 5670, 1079519, 132, 18917, 158, 87);
INSERT INTO public.who_data VALUES (37386, 22, 4624, 0, 22, 158, 214);
INSERT INTO public.who_data VALUES (37387, 0, 5, 0, 0, 158, 116);
INSERT INTO public.who_data VALUES (37388, 2, 23, 0, 0, 158, 157);
INSERT INTO public.who_data VALUES (37389, 0, 0, 0, 0, 158, 182);
INSERT INTO public.who_data VALUES (37390, 0, 17, 0, 0, 158, 186);
INSERT INTO public.who_data VALUES (37391, 0, 27, 0, 0, 158, 127);
INSERT INTO public.who_data VALUES (37392, 74, 330, 0, 6, 158, 232);
INSERT INTO public.who_data VALUES (37393, 0, 11, 0, 0, 158, 33);
INSERT INTO public.who_data VALUES (37394, 0, 64, 0, 0, 158, 97);
INSERT INTO public.who_data VALUES (37395, 0, 0, 0, 0, 158, 42);
INSERT INTO public.who_data VALUES (37396, 0, 741, 0, 42, 158, 198);
INSERT INTO public.who_data VALUES (37397, 1, 907, 0, 15, 158, 216);
INSERT INTO public.who_data VALUES (37398, 672, 326930, 33, 4338, 158, 164);
INSERT INTO public.who_data VALUES (37399, 223, 14529, 1, 298, 158, 235);
INSERT INTO public.who_data VALUES (37400, 74, 32511, 2, 735, 158, 67);
INSERT INTO public.who_data VALUES (37401, 3, 138, 0, 0, 158, 15);
INSERT INTO public.who_data VALUES (37402, 15, 2126, 0, 72, 158, 180);
INSERT INTO public.who_data VALUES (37403, 34, 57488, 0, 27, 158, 237);
INSERT INTO public.who_data VALUES (37404, 0, 11, 0, 0, 158, 25);
INSERT INTO public.who_data VALUES (37405, 0, 549, 0, 19, 158, 209);
INSERT INTO public.who_data VALUES (37406, 48, 5580, 0, 38, 158, 217);
INSERT INTO public.who_data VALUES (37407, 83, 3833, 0, 137, 158, 79);
INSERT INTO public.who_data VALUES (37408, 0, 0, 0, 0, 158, 143);
INSERT INTO public.who_data VALUES (37409, 1, 3390, 0, 98, 158, 229);
INSERT INTO public.who_data VALUES (37410, 772, 651521, 142, 15641, 158, 141);
INSERT INTO public.who_data VALUES (37411, 2, 2594, 0, 49, 158, 197);
INSERT INTO public.who_data VALUES (37412, 8454, 651346, 98, 32143, 158, 221);
INSERT INTO public.who_data VALUES (37413, 9, 3271, 1, 13, 158, 150);
INSERT INTO public.who_data VALUES (37414, 0, 13535, 0, 836, 158, 56);
INSERT INTO public.who_data VALUES (37415, 29, 4611, 2, 95, 158, 167);
INSERT INTO public.who_data VALUES (37416, 220, 87381, 2, 5849, 158, 23);
INSERT INTO public.who_data VALUES (37417, 458, 48524, 3, 1795, 158, 222);
INSERT INTO public.who_data VALUES (37418, 38, 3614, 3, 160, 158, 219);
INSERT INTO public.who_data VALUES (37419, 41, 9129, 1, 73, 158, 7);
INSERT INTO public.who_data VALUES (37420, 10, 3490, 0, 58, 158, 161);
INSERT INTO public.who_data VALUES (37421, 3103, 374232, 27, 41664, 158, 149);
INSERT INTO public.who_data VALUES (37422, 0, 27, 0, 0, 158, 6);
INSERT INTO public.who_data VALUES (37423, 17, 1595, 0, 40, 158, 139);
INSERT INTO public.who_data VALUES (37424, 0, 0, 0, 0, 158, 211);
INSERT INTO public.who_data VALUES (37425, 0, 0, 0, 0, 158, 14);
INSERT INTO public.who_data VALUES (37426, 92, 3183, 2, 56, 158, 111);
INSERT INTO public.who_data VALUES (37427, 470, 8570, 4, 133, 158, 207);
INSERT INTO public.who_data VALUES (37428, 8472, 631120, 67, 7186, 158, 66);
INSERT INTO public.who_data VALUES (37429, 0, 0, 0, 0, 158, 173);
INSERT INTO public.who_data VALUES (37430, 2, 648, 0, 5, 158, 145);
INSERT INTO public.who_data VALUES (37431, 0, 0, 0, 0, 158, 65);
INSERT INTO public.who_data VALUES (37432, 145, 5123, 2, 58, 158, 184);
INSERT INTO public.who_data VALUES (37433, 2958, 162660, 76, 3340, 158, 98);
INSERT INTO public.who_data VALUES (37434, 674, 80940, 2, 401, 158, 104);
INSERT INTO public.who_data VALUES (37435, 0, 509, 0, 21, 158, 73);
INSERT INTO public.who_data VALUES (37436, 34111, 6496246, 375, 193494, 158, 8);
INSERT INTO public.who_data VALUES (37437, 4, 1225, 0, 19, 158, 227);
INSERT INTO public.who_data VALUES (37438, 4, 1812, 0, 45, 158, 75);
INSERT INTO public.who_data VALUES (37439, 584, 48776, 5, 405, 158, 45);
INSERT INTO public.who_data VALUES (37440, 0, 0, 0, 0, 158, 133);
INSERT INTO public.who_data VALUES (37441, 0, 61569, 0, 494, 158, 202);
INSERT INTO public.who_data VALUES (37442, 0, 1063, 0, 35, 158, 129);
INSERT INTO public.who_data VALUES (37443, 0, 0, 0, 0, 158, 36);
INSERT INTO public.who_data VALUES (37444, 3, 2020, 0, 584, 158, 51);
INSERT INTO public.who_data VALUES (37445, 99, 13819, 4, 324, 158, 206);
INSERT INTO public.who_data VALUES (37446, 45, 7576, 0, 224, 158, 5);
INSERT INTO public.who_data VALUES (37447, 43, 38901, 1, 1430, 159, 103);
INSERT INTO public.who_data VALUES (37448, 167, 11520, 4, 338, 159, 58);
INSERT INTO public.who_data VALUES (37449, 489, 48496, 15, 1620, 159, 195);
INSERT INTO public.who_data VALUES (37450, 0, 0, 0, 0, 159, 115);
INSERT INTO public.who_data VALUES (37451, 94, 1438, 0, 53, 159, 99);
INSERT INTO public.who_data VALUES (37452, 51, 3439, 0, 134, 159, 153);
INSERT INTO public.who_data VALUES (37453, 0, 3, 0, 0, 159, 93);
INSERT INTO public.who_data VALUES (37454, 0, 95, 0, 3, 159, 84);
INSERT INTO public.who_data VALUES (37455, 9056, 555537, 105, 11412, 159, 78);
INSERT INTO public.who_data VALUES (37456, 150, 45432, 1, 915, 159, 170);
INSERT INTO public.who_data VALUES (37457, 227, 3046, 2, 18, 159, 32);
INSERT INTO public.who_data VALUES (37458, 41, 26692, 6, 816, 159, 155);
INSERT INTO public.who_data VALUES (37459, 549, 33884, 1, 757, 159, 82);
INSERT INTO public.who_data VALUES (37460, 76, 38403, 2, 564, 159, 16);
INSERT INTO public.who_data VALUES (37461, 46, 2974, 0, 67, 159, 72);
INSERT INTO public.who_data VALUES (37462, 658, 60965, 0, 213, 159, 43);
INSERT INTO public.who_data VALUES (37463, 1812, 339332, 26, 4759, 159, 120);
INSERT INTO public.who_data VALUES (37464, 2, 183, 0, 7, 159, 213);
INSERT INTO public.who_data VALUES (37465, 187, 74360, 6, 756, 159, 31);
INSERT INTO public.who_data VALUES (37466, 1724, 97034, 4, 9920, 159, 204);
INSERT INTO public.who_data VALUES (37467, 22, 1480, 0, 19, 159, 152);
INSERT INTO public.who_data VALUES (37468, 0, 2267, 0, 40, 159, 144);
INSERT INTO public.who_data VALUES (37469, 0, 177, 0, 9, 159, 96);
INSERT INTO public.who_data VALUES (37470, 1, 246, 0, 0, 159, 47);
INSERT INTO public.who_data VALUES (37471, 809, 126791, 47, 7344, 159, 80);
INSERT INTO public.who_data VALUES (37472, 1, 12, 0, 1, 159, 159);
INSERT INTO public.who_data VALUES (37473, 168, 23630, 9, 698, 159, 27);
INSERT INTO public.who_data VALUES (37474, 0, 2252, 0, 10, 159, 146);
INSERT INTO public.who_data VALUES (37475, 14768, 4330455, 415, 131625, 159, 71);
INSERT INTO public.who_data VALUES (37476, 0, 66, 0, 1, 159, 210);
INSERT INTO public.who_data VALUES (37477, 0, 145, 0, 3, 159, 54);
INSERT INTO public.who_data VALUES (37478, 143, 18061, 10, 730, 159, 147);
INSERT INTO public.who_data VALUES (37479, 193, 1692, 0, 56, 159, 2);
INSERT INTO public.who_data VALUES (37480, 0, 472, 0, 1, 159, 105);
INSERT INTO public.who_data VALUES (37481, 26, 4839, 1, 45, 159, 53);
INSERT INTO public.who_data VALUES (37482, 0, 275, 0, 0, 159, 81);
INSERT INTO public.who_data VALUES (37483, 43, 20271, 0, 415, 159, 223);
INSERT INTO public.who_data VALUES (37484, 518, 136659, 1, 9171, 159, 94);
INSERT INTO public.who_data VALUES (37485, 0, 208, 0, 1, 159, 154);
INSERT INTO public.who_data VALUES (37486, 23, 4772, 0, 62, 159, 83);
INSERT INTO public.who_data VALUES (37487, 1, 1085, 1, 81, 159, 194);
INSERT INTO public.who_data VALUES (37488, 1685, 436433, 64, 12013, 159, 136);
INSERT INTO public.who_data VALUES (37489, 23, 90718, 1, 4742, 159, 179);
INSERT INTO public.who_data VALUES (37490, 7355, 716319, 190, 22924, 159, 57);
INSERT INTO public.who_data VALUES (37491, 1, 457, 0, 7, 159, 35);
INSERT INTO public.who_data VALUES (37492, 0, 4934, 0, 88, 159, 228);
INSERT INTO public.who_data VALUES (37493, 0, 0, 0, 0, 159, 19);
INSERT INTO public.who_data VALUES (37494, 970, 56424, 15, 605, 159, 22);
INSERT INTO public.who_data VALUES (37495, 26, 19013, 0, 120, 159, 1);
INSERT INTO public.who_data VALUES (37496, 65, 13598, 3, 227, 159, 21);
INSERT INTO public.who_data VALUES (37497, 42, 4726, 0, 108, 159, 234);
INSERT INTO public.who_data VALUES (37498, 22, 157, 0, 1, 159, 91);
INSERT INTO public.who_data VALUES (37499, 8, 1534, 1, 22, 159, 137);
INSERT INTO public.who_data VALUES (37500, 1034, 37222, 9, 465, 159, 201);
INSERT INTO public.who_data VALUES (37501, 0, 0, 0, 0, 159, 171);
INSERT INTO public.who_data VALUES (37502, 0, 10389, 0, 264, 159, 92);
INSERT INTO public.who_data VALUES (37503, 584, 19800, 4, 633, 159, 112);
INSERT INTO public.who_data VALUES (37504, 1, 5396, 0, 61, 159, 62);
INSERT INTO public.who_data VALUES (37505, 0, 24, 0, 0, 159, 69);
INSERT INTO public.who_data VALUES (37506, 450, 104110, 16, 1984, 159, 220);
INSERT INTO public.who_data VALUES (37507, 317, 118911, 19, 10922, 159, 100);
INSERT INTO public.who_data VALUES (37508, 168, 101177, 13, 5661, 159, 187);
INSERT INTO public.who_data VALUES (37509, 81, 27009, 3, 788, 159, 63);
INSERT INTO public.who_data VALUES (37510, 4, 5000, 0, 83, 159, 28);
INSERT INTO public.who_data VALUES (37511, 0, 361, 0, 0, 159, 172);
INSERT INTO public.who_data VALUES (37512, 22, 2698, 0, 64, 159, 17);
INSERT INTO public.who_data VALUES (37513, 29, 5104, 3, 101, 159, 226);
INSERT INTO public.who_data VALUES (37514, 485, 64786, 9, 1022, 159, 236);
INSERT INTO public.who_data VALUES (37515, 0, 13, 0, 0, 159, 76);
INSERT INTO public.who_data VALUES (37516, 0, 423, 0, 0, 159, 30);
INSERT INTO public.who_data VALUES (37517, 0, 32, 0, 2, 159, 128);
INSERT INTO public.who_data VALUES (37518, 47, 8627, 2, 339, 159, 86);
INSERT INTO public.who_data VALUES (37519, 5893, 366980, 34, 30789, 159, 140);
INSERT INTO public.who_data VALUES (37520, 31, 9552, 0, 63, 159, 44);
INSERT INTO public.who_data VALUES (37521, 44, 1099, 0, 2, 159, 113);
INSERT INTO public.who_data VALUES (37522, 11, 8654, 0, 53, 159, 29);
INSERT INTO public.who_data VALUES (37523, 0, 3405, 0, 103, 159, 125);
INSERT INTO public.who_data VALUES (37524, 170, 2562, 0, 19, 159, 131);
INSERT INTO public.who_data VALUES (37525, 1407, 261762, 12, 9362, 159, 46);
INSERT INTO public.who_data VALUES (37526, 0, 45434, 0, 286, 159, 10);
INSERT INTO public.who_data VALUES (37527, 3, 330, 0, 0, 159, 205);
INSERT INTO public.who_data VALUES (37528, 180, 13420, 5, 310, 159, 50);
INSERT INTO public.who_data VALUES (37529, 0, 14, 0, 0, 159, 20);
INSERT INTO public.who_data VALUES (37530, 0, 24, 0, 0, 159, 13);
INSERT INTO public.who_data VALUES (37531, 0, 3080, 0, 24, 159, 148);
INSERT INTO public.who_data VALUES (37532, 36, 1927, 0, 26, 159, 230);
INSERT INTO public.who_data VALUES (37533, 263, 82172, 15, 2972, 159, 190);
INSERT INTO public.who_data VALUES (37534, 0, 253, 0, 13, 159, 188);
INSERT INTO public.who_data VALUES (37535, 16, 10061, 0, 63, 159, 123);
INSERT INTO public.who_data VALUES (37536, 0, 2275, 0, 39, 159, 9);
INSERT INTO public.who_data VALUES (37537, 41, 1853, 2, 56, 159, 102);
INSERT INTO public.who_data VALUES (37538, 15, 8493, 0, 219, 159, 34);
INSERT INTO public.who_data VALUES (37539, 0, 12, 0, 0, 159, 212);
INSERT INTO public.who_data VALUES (37540, 653, 67789, 14, 2079, 159, 122);
INSERT INTO public.who_data VALUES (37541, 844, 13153, 5, 642, 159, 38);
INSERT INTO public.who_data VALUES (37542, 3, 2168, 0, 10, 159, 130);
INSERT INTO public.who_data VALUES (37543, 83809, 4930236, 1054, 80776, 159, 37);
INSERT INTO public.who_data VALUES (37544, 3141, 221523, 118, 8841, 159, 231);
INSERT INTO public.who_data VALUES (37545, 2619, 404648, 156, 23313, 159, 107);
INSERT INTO public.who_data VALUES (37546, 4169, 294478, 72, 8086, 159, 101);
INSERT INTO public.who_data VALUES (37547, 207, 31192, 0, 1784, 159, 132);
INSERT INTO public.who_data VALUES (37548, 1, 338, 0, 24, 159, 176);
INSERT INTO public.who_data VALUES (37549, 3175, 156227, 17, 1156, 159, 200);
INSERT INTO public.who_data VALUES (37550, 1008, 288761, 14, 35624, 159, 169);
INSERT INTO public.who_data VALUES (37551, 162, 3933, 2, 44, 159, 225);
INSERT INTO public.who_data VALUES (37552, 301, 75958, 9, 1451, 159, 165);
INSERT INTO public.who_data VALUES (37553, 0, 380, 0, 32, 159, 233);
INSERT INTO public.who_data VALUES (37554, 214, 3596, 2, 26, 159, 215);
INSERT INTO public.who_data VALUES (37555, 472, 137058, 0, 1999, 159, 177);
INSERT INTO public.who_data VALUES (37556, 48, 36205, 2, 624, 159, 183);
INSERT INTO public.who_data VALUES (37557, 0, 0, 0, 0, 159, 203);
INSERT INTO public.who_data VALUES (37558, 55, 14649, 4, 590, 159, 162);
INSERT INTO public.who_data VALUES (37559, 708, 95472, 3, 563, 159, 12);
INSERT INTO public.who_data VALUES (37560, 71, 44999, 0, 1063, 159, 24);
INSERT INTO public.who_data VALUES (37561, 0, 23, 0, 0, 159, 119);
INSERT INTO public.who_data VALUES (37562, 3, 1477, 0, 35, 159, 39);
INSERT INTO public.who_data VALUES (37563, 547, 24857, 5, 246, 159, 26);
INSERT INTO public.who_data VALUES (37564, 0, 1245, 0, 33, 159, 59);
INSERT INTO public.who_data VALUES (37565, 0, 1311, 0, 82, 159, 77);
INSERT INTO public.who_data VALUES (37566, 629, 24144, 15, 383, 159, 134);
INSERT INTO public.who_data VALUES (37567, 0, 111, 0, 1, 159, 4);
INSERT INTO public.who_data VALUES (37568, 11, 3392, 0, 87, 159, 109);
INSERT INTO public.who_data VALUES (37569, 50, 7244, 0, 124, 159, 90);
INSERT INTO public.who_data VALUES (37570, 12, 15769, 2, 213, 159, 61);
INSERT INTO public.who_data VALUES (37571, 7, 5697, 1, 178, 159, 85);
INSERT INTO public.who_data VALUES (37572, 31, 9946, 0, 128, 159, 49);
INSERT INTO public.who_data VALUES (37573, 70, 9243, 1, 33, 159, 208);
INSERT INTO public.who_data VALUES (37574, 11, 2935, 0, 128, 159, 166);
INSERT INTO public.who_data VALUES (37575, 53, 2406, 0, 15, 159, 64);
INSERT INTO public.who_data VALUES (37576, 0, 0, 0, 0, 159, 199);
INSERT INTO public.who_data VALUES (37577, 0, 939, 0, 18, 159, 114);
INSERT INTO public.who_data VALUES (37578, 19, 7295, 0, 161, 159, 60);
INSERT INTO public.who_data VALUES (37579, 1, 362, 0, 10, 159, 68);
INSERT INTO public.who_data VALUES (37580, 167, 3541, 0, 40, 159, 158);
INSERT INTO public.who_data VALUES (37581, 4408, 668381, 217, 70821, 159, 52);
INSERT INTO public.who_data VALUES (37582, 0, 0, 0, 0, 159, 117);
INSERT INTO public.who_data VALUES (37583, 6, 180, 0, 1, 159, 126);
INSERT INTO public.who_data VALUES (37584, 0, 311, 0, 0, 159, 196);
INSERT INTO public.who_data VALUES (37585, 174, 7681, 2, 123, 159, 142);
INSERT INTO public.who_data VALUES (37586, 0, 13, 0, 1, 159, 185);
INSERT INTO public.who_data VALUES (37587, 1517, 88203, 36, 1614, 159, 138);
INSERT INTO public.who_data VALUES (37588, 213, 5482, 0, 35, 159, 181);
INSERT INTO public.who_data VALUES (37589, 284, 3299, 8, 32, 159, 178);
INSERT INTO public.who_data VALUES (37590, 99, 9818, 2, 103, 159, 168);
INSERT INTO public.who_data VALUES (37591, 0, 0, 0, 0, 159, 160);
INSERT INTO public.who_data VALUES (37592, 1170, 55329, 15, 360, 159, 151);
INSERT INTO public.who_data VALUES (37593, 1297, 83304, 2, 6255, 159, 193);
INSERT INTO public.who_data VALUES (37594, 0, 26, 0, 0, 159, 18);
INSERT INTO public.who_data VALUES (37595, 3, 1450, 0, 24, 159, 40);
INSERT INTO public.who_data VALUES (37596, 0, 3877, 0, 144, 159, 218);
INSERT INTO public.who_data VALUES (37597, 0, 1178, 0, 69, 159, 191);
INSERT INTO public.who_data VALUES (37598, 132, 56388, 1, 1083, 159, 156);
INSERT INTO public.who_data VALUES (37599, 0, 0, 0, 0, 159, 135);
INSERT INTO public.who_data VALUES (37600, 1, 61, 0, 2, 159, 88);
INSERT INTO public.who_data VALUES (37601, 36, 15827, 4, 652, 159, 55);
INSERT INTO public.who_data VALUES (37602, 289, 12155, 0, 265, 159, 108);
INSERT INTO public.who_data VALUES (37603, 788, 40298, 5, 255, 159, 48);
INSERT INTO public.who_data VALUES (37604, 476, 90222, 10, 790, 159, 3);
INSERT INTO public.who_data VALUES (37605, 0, 741, 0, 13, 159, 224);
INSERT INTO public.who_data VALUES (37606, 404, 302424, 6, 6389, 159, 110);
INSERT INTO public.who_data VALUES (37607, 0, 0, 0, 0, 159, 106);
INSERT INTO public.who_data VALUES (37608, 704, 101745, 11, 2166, 159, 89);
INSERT INTO public.who_data VALUES (37609, 0, 511, 0, 6, 159, 121);
INSERT INTO public.who_data VALUES (37610, 493, 27817, 11, 525, 159, 163);
INSERT INTO public.who_data VALUES (37611, 6787, 729619, 117, 30710, 159, 70);
INSERT INTO public.who_data VALUES (37612, 4672, 265888, 259, 4630, 159, 174);
INSERT INTO public.who_data VALUES (37613, 0, 0, 0, 0, 159, 175);
INSERT INTO public.who_data VALUES (37614, 377, 74529, 15, 2203, 159, 118);
INSERT INTO public.who_data VALUES (37615, 613, 64596, 4, 1871, 159, 189);
INSERT INTO public.who_data VALUES (37616, 370, 37750, 3, 542, 159, 124);
INSERT INTO public.who_data VALUES (37617, 235, 121975, 2, 207, 159, 192);
INSERT INTO public.who_data VALUES (37618, 106, 22391, 4, 367, 159, 41);
INSERT INTO public.who_data VALUES (37619, 229, 43207, 7, 1130, 159, 95);
INSERT INTO public.who_data VALUES (37620, 67, 2872, 0, 10, 159, 74);
INSERT INTO public.who_data VALUES (37621, 692, 104187, 22, 4185, 159, 11);
INSERT INTO public.who_data VALUES (37622, 5529, 1073849, 150, 18785, 159, 87);
INSERT INTO public.who_data VALUES (37623, 11, 4602, 0, 22, 159, 214);
INSERT INTO public.who_data VALUES (37624, 0, 5, 0, 0, 159, 116);
INSERT INTO public.who_data VALUES (37625, 0, 21, 0, 0, 159, 157);
INSERT INTO public.who_data VALUES (37626, 0, 0, 0, 0, 159, 182);
INSERT INTO public.who_data VALUES (37627, 0, 17, 0, 0, 159, 186);
INSERT INTO public.who_data VALUES (37628, 0, 27, 0, 0, 159, 127);
INSERT INTO public.who_data VALUES (37629, 0, 256, 0, 6, 159, 232);
INSERT INTO public.who_data VALUES (37630, 0, 11, 0, 0, 159, 33);
INSERT INTO public.who_data VALUES (37631, 0, 64, 0, 0, 159, 97);
INSERT INTO public.who_data VALUES (37632, 0, 0, 0, 0, 159, 42);
INSERT INTO public.who_data VALUES (37633, 0, 741, 0, 42, 159, 198);
INSERT INTO public.who_data VALUES (37634, 0, 906, 0, 15, 159, 216);
INSERT INTO public.who_data VALUES (37635, 607, 326258, 37, 4305, 159, 164);
INSERT INTO public.who_data VALUES (37636, 113, 14306, 4, 297, 159, 235);
INSERT INTO public.who_data VALUES (37637, 29, 32437, 0, 733, 159, 67);
INSERT INTO public.who_data VALUES (37638, 0, 135, 0, 0, 159, 15);
INSERT INTO public.who_data VALUES (37639, 2, 2111, 0, 72, 159, 180);
INSERT INTO public.who_data VALUES (37640, 48, 57454, 0, 27, 159, 237);
INSERT INTO public.who_data VALUES (37641, 0, 11, 0, 0, 159, 25);
INSERT INTO public.who_data VALUES (37642, 19, 549, 0, 19, 159, 209);
INSERT INTO public.who_data VALUES (37643, 79, 5532, 0, 38, 159, 217);
INSERT INTO public.who_data VALUES (37644, 47, 3750, 0, 137, 159, 79);
INSERT INTO public.who_data VALUES (37645, 0, 0, 0, 0, 159, 143);
INSERT INTO public.who_data VALUES (37646, 0, 3389, 0, 98, 159, 229);
INSERT INTO public.who_data VALUES (37647, 956, 650749, 52, 15499, 159, 141);
INSERT INTO public.who_data VALUES (37648, 5, 2592, 0, 49, 159, 197);
INSERT INTO public.who_data VALUES (37649, 6544, 642892, 103, 32045, 159, 221);
INSERT INTO public.who_data VALUES (37650, 28, 3262, 0, 12, 159, 150);
INSERT INTO public.who_data VALUES (37651, 3, 13535, 0, 836, 159, 56);
INSERT INTO public.who_data VALUES (37652, 3, 4582, 0, 93, 159, 167);
INSERT INTO public.who_data VALUES (37653, 106, 87161, 2, 5847, 159, 23);
INSERT INTO public.who_data VALUES (37654, 504, 48066, 0, 1792, 159, 222);
INSERT INTO public.who_data VALUES (37655, 36, 3576, 2, 157, 159, 219);
INSERT INTO public.who_data VALUES (37656, 39, 9088, 0, 72, 159, 7);
INSERT INTO public.who_data VALUES (37657, 5, 3480, 0, 58, 159, 161);
INSERT INTO public.who_data VALUES (37658, 2621, 371129, 9, 41637, 159, 149);
INSERT INTO public.who_data VALUES (37659, 0, 27, 0, 0, 159, 6);
INSERT INTO public.who_data VALUES (37660, 6, 1578, 3, 40, 159, 139);
INSERT INTO public.who_data VALUES (37661, 0, 0, 0, 0, 159, 211);
INSERT INTO public.who_data VALUES (37662, 0, 0, 0, 0, 159, 14);
INSERT INTO public.who_data VALUES (37663, 72, 3091, 1, 54, 159, 111);
INSERT INTO public.who_data VALUES (37664, 477, 8100, 6, 129, 159, 207);
INSERT INTO public.who_data VALUES (37665, 8446, 622648, 63, 7119, 159, 66);
INSERT INTO public.who_data VALUES (37666, 0, 0, 0, 0, 159, 173);
INSERT INTO public.who_data VALUES (37667, 2, 646, 0, 5, 159, 145);
INSERT INTO public.who_data VALUES (37668, 0, 0, 0, 0, 159, 65);
INSERT INTO public.who_data VALUES (37669, 179, 4978, 1, 56, 159, 184);
INSERT INTO public.who_data VALUES (37670, 2905, 159702, 53, 3264, 159, 98);
INSERT INTO public.who_data VALUES (37671, 777, 80266, 0, 399, 159, 104);
INSERT INTO public.who_data VALUES (37672, 0, 509, 0, 21, 159, 73);
INSERT INTO public.who_data VALUES (37673, 35177, 6462135, 507, 193119, 159, 8);
INSERT INTO public.who_data VALUES (37674, 1, 1221, 0, 19, 159, 227);
INSERT INTO public.who_data VALUES (37675, 28, 1808, 0, 45, 159, 75);
INSERT INTO public.who_data VALUES (37676, 572, 48192, 6, 400, 159, 45);
INSERT INTO public.who_data VALUES (37677, 0, 0, 0, 0, 159, 133);
INSERT INTO public.who_data VALUES (37678, 1939, 61569, 17, 494, 159, 202);
INSERT INTO public.who_data VALUES (37679, 0, 1063, 0, 35, 159, 129);
INSERT INTO public.who_data VALUES (37680, 0, 0, 0, 0, 159, 36);
INSERT INTO public.who_data VALUES (37681, 2, 2017, 0, 584, 159, 51);
INSERT INTO public.who_data VALUES (37682, 181, 13720, 8, 320, 159, 206);
INSERT INTO public.who_data VALUES (37683, 5, 7531, 0, 224, 159, 5);
INSERT INTO public.who_data VALUES (37684, 56, 38858, 5, 1429, 160, 103);
INSERT INTO public.who_data VALUES (37685, 168, 11353, 4, 334, 160, 58);
INSERT INTO public.who_data VALUES (37686, 0, 48007, 0, 1605, 160, 195);
INSERT INTO public.who_data VALUES (37687, 0, 0, 0, 0, 160, 115);
INSERT INTO public.who_data VALUES (37688, 0, 1344, 0, 53, 160, 99);
INSERT INTO public.who_data VALUES (37689, 53, 3388, 2, 134, 160, 153);
INSERT INTO public.who_data VALUES (37690, 0, 3, 0, 0, 160, 93);
INSERT INTO public.who_data VALUES (37691, 0, 95, 0, 3, 160, 84);
INSERT INTO public.who_data VALUES (37692, 10776, 546481, 101, 11307, 160, 78);
INSERT INTO public.who_data VALUES (37693, 107, 45282, 3, 914, 160, 170);
INSERT INTO public.who_data VALUES (37694, 0, 2819, 0, 16, 160, 32);
INSERT INTO public.who_data VALUES (37695, 44, 26651, 7, 810, 160, 155);
INSERT INTO public.who_data VALUES (37696, 384, 33335, 2, 756, 160, 82);
INSERT INTO public.who_data VALUES (37697, 155, 38327, 3, 562, 160, 16);
INSERT INTO public.who_data VALUES (37698, 54, 2928, 0, 67, 160, 72);
INSERT INTO public.who_data VALUES (37699, 721, 60307, 1, 213, 160, 43);
INSERT INTO public.who_data VALUES (37700, 1476, 337520, 31, 4733, 160, 120);
INSERT INTO public.who_data VALUES (37701, 1, 181, 0, 7, 160, 213);
INSERT INTO public.who_data VALUES (37702, 198, 74173, 6, 750, 160, 31);
INSERT INTO public.who_data VALUES (37703, 301, 95310, 1, 9916, 160, 204);
INSERT INTO public.who_data VALUES (37704, 23, 1458, 0, 19, 160, 152);
INSERT INTO public.who_data VALUES (37705, 25, 2267, 0, 40, 160, 144);
INSERT INTO public.who_data VALUES (37706, 0, 177, 0, 9, 160, 96);
INSERT INTO public.who_data VALUES (37707, 1, 245, 0, 0, 160, 47);
INSERT INTO public.who_data VALUES (37708, 810, 125982, 47, 7297, 160, 80);
INSERT INTO public.who_data VALUES (37709, 1, 11, 1, 1, 160, 159);
INSERT INTO public.who_data VALUES (37710, 328, 23462, 6, 689, 160, 27);
INSERT INTO public.who_data VALUES (37711, 0, 2252, 0, 10, 160, 146);
INSERT INTO public.who_data VALUES (37712, 33523, 4315687, 814, 131210, 160, 71);
INSERT INTO public.who_data VALUES (37713, 0, 66, 0, 1, 160, 210);
INSERT INTO public.who_data VALUES (37714, 0, 145, 0, 3, 160, 54);
INSERT INTO public.who_data VALUES (37715, 27, 17918, 3, 720, 160, 147);
INSERT INTO public.who_data VALUES (37716, 0, 1499, 0, 56, 160, 2);
INSERT INTO public.who_data VALUES (37717, 0, 472, 0, 1, 160, 105);
INSERT INTO public.who_data VALUES (37718, 102, 4813, 0, 44, 160, 53);
INSERT INTO public.who_data VALUES (37719, 0, 275, 0, 0, 160, 81);
INSERT INTO public.who_data VALUES (37720, 61, 20228, 0, 415, 160, 223);
INSERT INTO public.who_data VALUES (37721, 515, 136141, 7, 9170, 160, 94);
INSERT INTO public.who_data VALUES (37722, 0, 208, 0, 1, 160, 154);
INSERT INTO public.who_data VALUES (37723, 0, 4749, 0, 62, 160, 83);
INSERT INTO public.who_data VALUES (37724, 1, 1084, 0, 80, 160, 194);
INSERT INTO public.who_data VALUES (37725, 2082, 434748, 54, 11949, 160, 136);
INSERT INTO public.who_data VALUES (37726, 29, 90695, 0, 4741, 160, 179);
INSERT INTO public.who_data VALUES (37727, 6876, 708964, 216, 22734, 160, 57);
INSERT INTO public.who_data VALUES (37728, 0, 456, 0, 7, 160, 35);
INSERT INTO public.who_data VALUES (37729, 0, 4934, 0, 88, 160, 228);
INSERT INTO public.who_data VALUES (37730, 0, 0, 0, 0, 160, 19);
INSERT INTO public.who_data VALUES (37731, 1485, 55454, 7, 590, 160, 22);
INSERT INTO public.who_data VALUES (37732, 0, 18987, 0, 120, 160, 1);
INSERT INTO public.who_data VALUES (37733, 165, 13533, 6, 224, 160, 21);
INSERT INTO public.who_data VALUES (37734, 31, 4684, 0, 108, 160, 234);
INSERT INTO public.who_data VALUES (37735, 0, 135, 0, 1, 160, 91);
INSERT INTO public.who_data VALUES (37736, 3, 1526, 0, 21, 160, 137);
INSERT INTO public.who_data VALUES (37737, 787, 36188, 3, 456, 160, 201);
INSERT INTO public.who_data VALUES (37738, 0, 0, 0, 0, 160, 171);
INSERT INTO public.who_data VALUES (37739, 5, 10389, 2, 264, 160, 92);
INSERT INTO public.who_data VALUES (37740, 0, 19216, 0, 629, 160, 112);
INSERT INTO public.who_data VALUES (37741, 1, 5395, 0, 61, 160, 62);
INSERT INTO public.who_data VALUES (37742, 0, 24, 0, 0, 160, 69);
INSERT INTO public.who_data VALUES (37743, 1428, 103660, 27, 1968, 160, 220);
INSERT INTO public.who_data VALUES (37744, 3862, 118594, 67, 10903, 160, 100);
INSERT INTO public.who_data VALUES (37745, 153, 101009, 21, 5648, 160, 187);
INSERT INTO public.who_data VALUES (37746, 77, 26928, 3, 785, 160, 63);
INSERT INTO public.who_data VALUES (37747, 0, 4996, 0, 83, 160, 28);
INSERT INTO public.who_data VALUES (37748, 0, 361, 0, 0, 160, 172);
INSERT INTO public.who_data VALUES (37749, 21, 2676, 0, 64, 160, 17);
INSERT INTO public.who_data VALUES (37750, 25, 5075, 0, 98, 160, 226);
INSERT INTO public.who_data VALUES (37751, 413, 64301, 17, 1013, 160, 236);
INSERT INTO public.who_data VALUES (37752, 0, 13, 0, 0, 160, 76);
INSERT INTO public.who_data VALUES (37753, 5, 423, 0, 0, 160, 30);
INSERT INTO public.who_data VALUES (37754, 0, 32, 0, 2, 160, 128);
INSERT INTO public.who_data VALUES (37755, 23, 8580, 0, 337, 160, 86);
INSERT INTO public.who_data VALUES (37756, 7101, 361087, 6, 30755, 160, 140);
INSERT INTO public.who_data VALUES (37757, 0, 9521, 0, 63, 160, 44);
INSERT INTO public.who_data VALUES (37758, 35, 1055, 0, 2, 160, 113);
INSERT INTO public.who_data VALUES (37759, 0, 8643, 0, 53, 160, 29);
INSERT INTO public.who_data VALUES (37760, 29, 3405, 1, 103, 160, 125);
INSERT INTO public.who_data VALUES (37761, 165, 2392, 0, 19, 160, 131);
INSERT INTO public.who_data VALUES (37762, 927, 260355, 1, 9350, 160, 46);
INSERT INTO public.who_data VALUES (37763, 0, 45434, 0, 286, 160, 10);
INSERT INTO public.who_data VALUES (37764, 4, 327, 0, 0, 160, 205);
INSERT INTO public.who_data VALUES (37765, 204, 13240, 3, 305, 160, 50);
INSERT INTO public.who_data VALUES (37766, 0, 14, 0, 0, 160, 20);
INSERT INTO public.who_data VALUES (37767, 0, 24, 0, 0, 160, 13);
INSERT INTO public.who_data VALUES (37768, 0, 3080, 0, 24, 160, 148);
INSERT INTO public.who_data VALUES (37769, 0, 1891, 1, 26, 160, 230);
INSERT INTO public.who_data VALUES (37770, 251, 81909, 8, 2957, 160, 190);
INSERT INTO public.who_data VALUES (37771, 0, 253, 0, 13, 160, 188);
INSERT INTO public.who_data VALUES (37772, 25, 10045, 0, 63, 160, 123);
INSERT INTO public.who_data VALUES (37773, 0, 2275, 0, 39, 160, 9);
INSERT INTO public.who_data VALUES (37774, 49, 1812, 2, 54, 160, 102);
INSERT INTO public.who_data VALUES (37775, 21, 8478, 3, 219, 160, 34);
INSERT INTO public.who_data VALUES (37776, 0, 12, 0, 0, 160, 212);
INSERT INTO public.who_data VALUES (37777, 1087, 67136, 7, 2065, 160, 122);
INSERT INTO public.who_data VALUES (37778, 484, 12309, 4, 637, 160, 38);
INSERT INTO public.who_data VALUES (37779, 3, 2165, 0, 10, 160, 130);
INSERT INTO public.who_data VALUES (37780, 92071, 4846427, 1136, 79722, 160, 37);
INSERT INTO public.who_data VALUES (37781, 3636, 218382, 73, 8723, 160, 231);
INSERT INTO public.who_data VALUES (37782, 2089, 402029, 128, 23157, 160, 107);
INSERT INTO public.who_data VALUES (37783, 3531, 290309, 73, 8014, 160, 101);
INSERT INTO public.who_data VALUES (37784, 255, 30985, 1, 1784, 160, 132);
INSERT INTO public.who_data VALUES (37785, 0, 337, 0, 24, 160, 176);
INSERT INTO public.who_data VALUES (37786, 2718, 153052, 15, 1139, 160, 200);
INSERT INTO public.who_data VALUES (37787, 1456, 287753, 7, 35610, 160, 169);
INSERT INTO public.who_data VALUES (37788, 260, 3771, 2, 42, 160, 225);
INSERT INTO public.who_data VALUES (37789, 439, 75657, 3, 1442, 160, 165);
INSERT INTO public.who_data VALUES (37790, 0, 380, 0, 32, 160, 233);
INSERT INTO public.who_data VALUES (37791, 252, 3382, 2, 24, 160, 215);
INSERT INTO public.who_data VALUES (37792, 73, 136586, 0, 1999, 160, 177);
INSERT INTO public.who_data VALUES (37793, 194, 36157, 3, 622, 160, 183);
INSERT INTO public.who_data VALUES (37794, 0, 0, 0, 0, 160, 203);
INSERT INTO public.who_data VALUES (37795, 71, 14594, 7, 586, 160, 162);
INSERT INTO public.who_data VALUES (37796, 553, 94764, 2, 560, 160, 12);
INSERT INTO public.who_data VALUES (37797, 47, 44928, 0, 1063, 160, 24);
INSERT INTO public.who_data VALUES (37798, 0, 23, 0, 0, 160, 119);
INSERT INTO public.who_data VALUES (37799, 10, 1474, 0, 35, 160, 39);
INSERT INTO public.who_data VALUES (37800, 641, 24310, 2, 241, 160, 26);
INSERT INTO public.who_data VALUES (37801, 0, 1245, 0, 33, 160, 59);
INSERT INTO public.who_data VALUES (37802, 0, 1311, 0, 82, 160, 77);
INSERT INTO public.who_data VALUES (37803, 734, 23515, 6, 368, 160, 134);
INSERT INTO public.who_data VALUES (37804, 0, 111, 0, 1, 160, 4);
INSERT INTO public.who_data VALUES (37805, 51, 3381, 0, 87, 160, 109);
INSERT INTO public.who_data VALUES (37806, 35, 7194, 0, 124, 160, 90);
INSERT INTO public.who_data VALUES (37807, 20, 15757, 1, 211, 160, 61);
INSERT INTO public.who_data VALUES (37808, 21, 5690, 0, 177, 160, 85);
INSERT INTO public.who_data VALUES (37809, 47, 9915, 0, 128, 160, 49);
INSERT INTO public.who_data VALUES (37810, 121, 9173, 1, 32, 160, 208);
INSERT INTO public.who_data VALUES (37811, 8, 2924, 0, 128, 160, 166);
INSERT INTO public.who_data VALUES (37812, 78, 2353, 0, 15, 160, 64);
INSERT INTO public.who_data VALUES (37813, 0, 0, 0, 0, 160, 199);
INSERT INTO public.who_data VALUES (37814, 0, 939, 0, 18, 160, 114);
INSERT INTO public.who_data VALUES (37815, 2, 7276, 0, 161, 160, 60);
INSERT INTO public.who_data VALUES (37816, 0, 361, 0, 10, 160, 68);
INSERT INTO public.who_data VALUES (37817, 0, 3374, 0, 40, 160, 158);
INSERT INTO public.who_data VALUES (37818, 5674, 663973, 421, 70604, 160, 52);
INSERT INTO public.who_data VALUES (37819, 0, 0, 0, 0, 160, 117);
INSERT INTO public.who_data VALUES (37820, 2, 174, 0, 1, 160, 126);
INSERT INTO public.who_data VALUES (37821, 0, 311, 0, 0, 160, 196);
INSERT INTO public.who_data VALUES (37822, 334, 7507, 1, 121, 160, 142);
INSERT INTO public.who_data VALUES (37823, 0, 13, 0, 1, 160, 185);
INSERT INTO public.who_data VALUES (37824, 2251, 86686, 25, 1578, 160, 138);
INSERT INTO public.who_data VALUES (37825, 229, 5269, 0, 35, 160, 181);
INSERT INTO public.who_data VALUES (37826, 219, 3015, 8, 24, 160, 178);
INSERT INTO public.who_data VALUES (37827, 115, 9719, 3, 101, 160, 168);
INSERT INTO public.who_data VALUES (37828, 0, 0, 0, 0, 160, 160);
INSERT INTO public.who_data VALUES (37829, 1039, 54159, 9, 345, 160, 151);
INSERT INTO public.who_data VALUES (37830, 1088, 82007, 1, 6253, 160, 193);
INSERT INTO public.who_data VALUES (37831, 0, 26, 0, 0, 160, 18);
INSERT INTO public.who_data VALUES (37832, 1, 1447, 0, 24, 160, 40);
INSERT INTO public.who_data VALUES (37833, 0, 3877, 0, 144, 160, 218);
INSERT INTO public.who_data VALUES (37834, 0, 1178, 0, 69, 160, 191);
INSERT INTO public.who_data VALUES (37835, 79, 56256, 4, 1082, 160, 156);
INSERT INTO public.who_data VALUES (37836, 0, 0, 0, 0, 160, 135);
INSERT INTO public.who_data VALUES (37837, 0, 60, 0, 2, 160, 88);
INSERT INTO public.who_data VALUES (37838, 97, 15791, 2, 648, 160, 55);
INSERT INTO public.who_data VALUES (37839, 0, 11866, 0, 265, 160, 108);
INSERT INTO public.who_data VALUES (37840, 994, 39510, 12, 250, 160, 48);
INSERT INTO public.who_data VALUES (37841, 1409, 89746, 18, 780, 160, 3);
INSERT INTO public.who_data VALUES (37842, 0, 741, 0, 13, 160, 224);
INSERT INTO public.who_data VALUES (37843, 539, 302020, 4, 6383, 160, 110);
INSERT INTO public.who_data VALUES (37844, 0, 0, 0, 0, 160, 106);
INSERT INTO public.who_data VALUES (37845, 711, 101041, 15, 2155, 160, 89);
INSERT INTO public.who_data VALUES (37846, 3, 511, 1, 6, 160, 121);
INSERT INTO public.who_data VALUES (37847, 812, 27324, 18, 514, 160, 163);
INSERT INTO public.who_data VALUES (37848, 6162, 722832, 123, 30593, 160, 70);
INSERT INTO public.who_data VALUES (37849, 3353, 261216, 79, 4371, 160, 174);
INSERT INTO public.who_data VALUES (37850, 0, 0, 0, 0, 160, 175);
INSERT INTO public.who_data VALUES (37851, 502, 74152, 6, 2188, 160, 118);
INSERT INTO public.who_data VALUES (37852, 673, 63983, 7, 1867, 160, 189);
INSERT INTO public.who_data VALUES (37853, 288, 37380, 4, 539, 160, 124);
INSERT INTO public.who_data VALUES (37854, 217, 121740, 0, 205, 160, 192);
INSERT INTO public.who_data VALUES (37855, 109, 22285, 5, 363, 160, 41);
INSERT INTO public.who_data VALUES (37856, 264, 42978, 5, 1123, 160, 95);
INSERT INTO public.who_data VALUES (37857, 82, 2805, 0, 10, 160, 74);
INSERT INTO public.who_data VALUES (37858, 1109, 103495, 36, 4163, 160, 11);
INSERT INTO public.who_data VALUES (37859, 5509, 1068320, 57, 18635, 160, 87);
INSERT INTO public.who_data VALUES (37860, 26, 4591, 0, 22, 160, 214);
INSERT INTO public.who_data VALUES (37861, 0, 5, 0, 0, 160, 116);
INSERT INTO public.who_data VALUES (37862, 0, 21, 0, 0, 160, 157);
INSERT INTO public.who_data VALUES (37863, 0, 0, 0, 0, 160, 182);
INSERT INTO public.who_data VALUES (37864, 0, 17, 0, 0, 160, 186);
INSERT INTO public.who_data VALUES (37865, 0, 27, 0, 0, 160, 127);
INSERT INTO public.who_data VALUES (37866, 0, 256, 0, 6, 160, 232);
INSERT INTO public.who_data VALUES (37867, 0, 11, 0, 0, 160, 33);
INSERT INTO public.who_data VALUES (37868, 0, 64, 0, 0, 160, 97);
INSERT INTO public.who_data VALUES (37869, 0, 0, 0, 0, 160, 42);
INSERT INTO public.who_data VALUES (37870, 0, 741, 0, 42, 160, 198);
INSERT INTO public.who_data VALUES (37871, 0, 906, 0, 15, 160, 216);
INSERT INTO public.who_data VALUES (37872, 601, 325651, 28, 4268, 160, 164);
INSERT INTO public.who_data VALUES (37873, 0, 14193, 0, 293, 160, 235);
INSERT INTO public.who_data VALUES (37874, 108, 32408, 2, 733, 160, 67);
INSERT INTO public.who_data VALUES (37875, 0, 135, 0, 0, 160, 15);
INSERT INTO public.who_data VALUES (37876, 13, 2109, 0, 72, 160, 180);
INSERT INTO public.who_data VALUES (37877, 49, 57406, 0, 27, 160, 237);
INSERT INTO public.who_data VALUES (37878, 1, 11, 0, 0, 160, 25);
INSERT INTO public.who_data VALUES (37879, 0, 530, 0, 19, 160, 209);
INSERT INTO public.who_data VALUES (37880, 201, 5453, 1, 38, 160, 217);
INSERT INTO public.who_data VALUES (37881, 99, 3703, 1, 137, 160, 79);
INSERT INTO public.who_data VALUES (37882, 0, 0, 0, 0, 160, 143);
INSERT INTO public.who_data VALUES (37883, 13, 3389, 0, 98, 160, 229);
INSERT INTO public.who_data VALUES (37884, 1579, 649793, 20, 15447, 160, 141);
INSERT INTO public.who_data VALUES (37885, 9, 2587, 0, 49, 160, 197);
INSERT INTO public.who_data VALUES (37886, 8436, 636348, 98, 31942, 160, 221);
INSERT INTO public.who_data VALUES (37887, 30, 3234, 0, 12, 160, 150);
INSERT INTO public.who_data VALUES (37888, 0, 13532, 0, 836, 160, 56);
INSERT INTO public.who_data VALUES (37889, 50, 4579, 0, 93, 160, 167);
INSERT INTO public.who_data VALUES (37890, 206, 87055, 1, 5845, 160, 23);
INSERT INTO public.who_data VALUES (37891, 238, 47562, 1, 1792, 160, 222);
INSERT INTO public.who_data VALUES (37892, 34, 3540, 3, 155, 160, 219);
INSERT INTO public.who_data VALUES (37893, 35, 9049, 0, 72, 160, 7);
INSERT INTO public.who_data VALUES (37894, 2, 3475, 0, 58, 160, 161);
INSERT INTO public.who_data VALUES (37895, 3330, 368508, 5, 41628, 160, 149);
INSERT INTO public.who_data VALUES (37896, 0, 27, 0, 0, 160, 6);
INSERT INTO public.who_data VALUES (37897, 17, 1572, 0, 37, 160, 139);
INSERT INTO public.who_data VALUES (37898, 0, 0, 0, 0, 160, 211);
INSERT INTO public.who_data VALUES (37899, 0, 0, 0, 0, 160, 14);
INSERT INTO public.who_data VALUES (37900, 127, 3019, 3, 53, 160, 111);
INSERT INTO public.who_data VALUES (37901, 241, 7623, 6, 123, 160, 207);
INSERT INTO public.who_data VALUES (37902, 8257, 614202, 57, 7056, 160, 66);
INSERT INTO public.who_data VALUES (37903, 0, 0, 0, 0, 160, 173);
INSERT INTO public.who_data VALUES (37904, 3, 644, 0, 5, 160, 145);
INSERT INTO public.who_data VALUES (37905, 0, 0, 0, 0, 160, 65);
INSERT INTO public.who_data VALUES (37906, 96, 4799, 3, 55, 160, 184);
INSERT INTO public.who_data VALUES (37907, 2462, 156797, 33, 3211, 160, 98);
INSERT INTO public.who_data VALUES (37908, 640, 79489, 0, 399, 160, 104);
INSERT INTO public.who_data VALUES (37909, 0, 509, 0, 21, 160, 73);
INSERT INTO public.who_data VALUES (37910, 40126, 6426958, 803, 192612, 160, 8);
INSERT INTO public.who_data VALUES (37911, 9, 1220, 0, 19, 160, 227);
INSERT INTO public.who_data VALUES (37912, 7, 1780, 0, 45, 160, 75);
INSERT INTO public.who_data VALUES (37913, 578, 47620, 6, 394, 160, 45);
INSERT INTO public.who_data VALUES (37914, 0, 0, 0, 0, 160, 133);
INSERT INTO public.who_data VALUES (37915, 967, 59630, 9, 477, 160, 202);
INSERT INTO public.who_data VALUES (37916, 3, 1063, 0, 35, 160, 129);
INSERT INTO public.who_data VALUES (37917, 0, 0, 0, 0, 160, 36);
INSERT INTO public.who_data VALUES (37918, 2, 2015, 1, 584, 160, 51);
INSERT INTO public.who_data VALUES (37919, 73, 13539, 0, 312, 160, 206);
INSERT INTO public.who_data VALUES (37920, 18, 7526, 0, 224, 160, 5);
INSERT INTO public.who_data VALUES (37921, 75, 38802, 0, 1424, 161, 103);
INSERT INTO public.who_data VALUES (37922, 164, 11185, 3, 330, 161, 58);
INSERT INTO public.who_data VALUES (37923, 255, 48007, 6, 1605, 161, 195);
INSERT INTO public.who_data VALUES (37924, 0, 0, 0, 0, 161, 115);
INSERT INTO public.who_data VALUES (37925, 0, 1344, 0, 53, 161, 99);
INSERT INTO public.who_data VALUES (37926, 56, 3335, 1, 132, 161, 153);
INSERT INTO public.who_data VALUES (37927, 0, 3, 0, 0, 161, 93);
INSERT INTO public.who_data VALUES (37928, 0, 95, 0, 3, 161, 84);
INSERT INTO public.who_data VALUES (37929, 11507, 535705, 212, 11206, 161, 78);
INSERT INTO public.who_data VALUES (37930, 187, 45175, 5, 911, 161, 170);
INSERT INTO public.who_data VALUES (37931, 0, 2819, 0, 16, 161, 32);
INSERT INTO public.who_data VALUES (37932, 42, 26607, 6, 803, 161, 155);
INSERT INTO public.who_data VALUES (37933, 495, 32951, 4, 754, 161, 82);
INSERT INTO public.who_data VALUES (37934, 135, 38172, 2, 559, 161, 16);
INSERT INTO public.who_data VALUES (37935, 60, 2874, 2, 67, 161, 72);
INSERT INTO public.who_data VALUES (37936, 747, 59586, 4, 212, 161, 43);
INSERT INTO public.who_data VALUES (37937, 1282, 336044, 34, 4702, 161, 120);
INSERT INTO public.who_data VALUES (37938, 0, 180, 0, 7, 161, 213);
INSERT INTO public.who_data VALUES (37939, 191, 73975, 6, 744, 161, 31);
INSERT INTO public.who_data VALUES (37940, 617, 95009, 1, 9915, 161, 204);
INSERT INTO public.who_data VALUES (37941, 36, 1435, 0, 19, 161, 152);
INSERT INTO public.who_data VALUES (37942, 0, 2242, 0, 40, 161, 144);
INSERT INTO public.who_data VALUES (37943, 0, 177, 0, 9, 161, 96);
INSERT INTO public.who_data VALUES (37944, 3, 244, 0, 0, 161, 47);
INSERT INTO public.who_data VALUES (37945, 967, 125172, 57, 7250, 161, 80);
INSERT INTO public.who_data VALUES (37946, 0, 10, 0, 0, 161, 159);
INSERT INTO public.who_data VALUES (37947, 305, 23134, 4, 683, 161, 27);
INSERT INTO public.who_data VALUES (37948, 126, 2252, 1, 10, 161, 146);
INSERT INTO public.who_data VALUES (37949, 43718, 4282164, 874, 130396, 161, 71);
INSERT INTO public.who_data VALUES (37950, 2, 66, 0, 1, 161, 210);
INSERT INTO public.who_data VALUES (37951, 0, 145, 0, 3, 161, 54);
INSERT INTO public.who_data VALUES (37952, 92, 17891, 4, 717, 161, 147);
INSERT INTO public.who_data VALUES (37953, 13, 1499, 0, 56, 161, 2);
INSERT INTO public.who_data VALUES (37954, 1, 472, 0, 1, 161, 105);
INSERT INTO public.who_data VALUES (37955, 60, 4711, 0, 44, 161, 53);
INSERT INTO public.who_data VALUES (37956, 1, 275, 0, 0, 161, 81);
INSERT INTO public.who_data VALUES (37957, 158, 20167, 0, 415, 161, 223);
INSERT INTO public.who_data VALUES (37958, 702, 135626, 0, 9163, 161, 94);
INSERT INTO public.who_data VALUES (37959, 0, 208, 0, 1, 161, 154);
INSERT INTO public.who_data VALUES (37960, 0, 4749, 0, 62, 161, 83);
INSERT INTO public.who_data VALUES (37961, 2, 1083, 1, 80, 161, 194);
INSERT INTO public.who_data VALUES (37962, 2131, 432666, 45, 11895, 161, 136);
INSERT INTO public.who_data VALUES (37963, 23, 90666, 1, 4741, 161, 179);
INSERT INTO public.who_data VALUES (37964, 7424, 702088, 243, 22518, 161, 57);
INSERT INTO public.who_data VALUES (37965, 0, 456, 0, 7, 161, 35);
INSERT INTO public.who_data VALUES (37966, 21, 4934, 0, 88, 161, 228);
INSERT INTO public.who_data VALUES (37967, 0, 0, 0, 0, 161, 19);
INSERT INTO public.who_data VALUES (37968, 1420, 53969, 16, 583, 161, 22);
INSERT INTO public.who_data VALUES (37969, 118, 18987, 1, 120, 161, 1);
INSERT INTO public.who_data VALUES (37970, 261, 13368, 7, 218, 161, 21);
INSERT INTO public.who_data VALUES (37971, 60, 4653, 2, 108, 161, 234);
INSERT INTO public.who_data VALUES (37972, 0, 135, 0, 1, 161, 91);
INSERT INTO public.who_data VALUES (37973, 3, 1523, 0, 21, 161, 137);
INSERT INTO public.who_data VALUES (37974, 1541, 35401, 3, 453, 161, 201);
INSERT INTO public.who_data VALUES (37975, 0, 0, 0, 0, 161, 171);
INSERT INTO public.who_data VALUES (37976, 24, 10384, 0, 262, 161, 92);
INSERT INTO public.who_data VALUES (37977, 0, 19216, 0, 629, 161, 112);
INSERT INTO public.who_data VALUES (37978, 0, 5394, 0, 61, 161, 62);
INSERT INTO public.who_data VALUES (37979, 0, 24, 0, 0, 161, 69);
INSERT INTO public.who_data VALUES (37980, 0, 102232, 0, 1941, 161, 220);
INSERT INTO public.who_data VALUES (37981, 1526, 114732, 87, 10836, 161, 100);
INSERT INTO public.who_data VALUES (37982, 148, 100856, 20, 5627, 161, 187);
INSERT INTO public.who_data VALUES (37983, 78, 26851, 5, 782, 161, 63);
INSERT INTO public.who_data VALUES (37984, 0, 4996, 0, 83, 161, 28);
INSERT INTO public.who_data VALUES (37985, 0, 361, 0, 0, 161, 172);
INSERT INTO public.who_data VALUES (37986, 23, 2655, 0, 64, 161, 17);
INSERT INTO public.who_data VALUES (37987, 25, 5050, 0, 98, 161, 226);
INSERT INTO public.who_data VALUES (37988, 521, 63888, 10, 996, 161, 236);
INSERT INTO public.who_data VALUES (37989, 0, 13, 0, 0, 161, 76);
INSERT INTO public.who_data VALUES (37990, 2, 418, 0, 0, 161, 30);
INSERT INTO public.who_data VALUES (37991, 0, 32, 0, 2, 161, 128);
INSERT INTO public.who_data VALUES (37992, 45, 8557, 0, 337, 161, 86);
INSERT INTO public.who_data VALUES (37993, 9641, 353986, 15, 30749, 161, 140);
INSERT INTO public.who_data VALUES (37994, 27, 9521, 0, 63, 161, 44);
INSERT INTO public.who_data VALUES (37995, 67, 1020, 0, 2, 161, 113);
INSERT INTO public.who_data VALUES (37996, 0, 8643, 0, 53, 161, 29);
INSERT INTO public.who_data VALUES (37997, 14, 3376, 2, 102, 161, 125);
INSERT INTO public.who_data VALUES (37998, 152, 2227, 0, 19, 161, 131);
INSERT INTO public.who_data VALUES (37999, 948, 259428, 2, 9349, 161, 46);
INSERT INTO public.who_data VALUES (38000, 46, 45434, 1, 286, 161, 10);
INSERT INTO public.who_data VALUES (38001, 0, 323, 0, 0, 161, 205);
INSERT INTO public.who_data VALUES (38002, 302, 13036, 2, 302, 161, 50);
INSERT INTO public.who_data VALUES (38003, 0, 14, 0, 0, 161, 20);
INSERT INTO public.who_data VALUES (38004, 0, 24, 0, 0, 161, 13);
INSERT INTO public.who_data VALUES (38005, 793, 3080, 1, 24, 161, 148);
INSERT INTO public.who_data VALUES (38006, 28, 1891, 2, 25, 161, 230);
INSERT INTO public.who_data VALUES (38007, 649, 81658, 20, 2949, 161, 190);
INSERT INTO public.who_data VALUES (38008, 0, 253, 0, 13, 161, 188);
INSERT INTO public.who_data VALUES (38009, 41, 10020, 0, 63, 161, 123);
INSERT INTO public.who_data VALUES (38010, 0, 2275, 0, 39, 161, 9);
INSERT INTO public.who_data VALUES (38011, 13, 1763, 3, 52, 161, 102);
INSERT INTO public.who_data VALUES (38012, 0, 8457, 0, 216, 161, 34);
INSERT INTO public.who_data VALUES (38013, 0, 12, 0, 0, 161, 212);
INSERT INTO public.who_data VALUES (38014, 247, 66049, 9, 2058, 161, 122);
INSERT INTO public.who_data VALUES (38015, 916, 11825, 2, 633, 161, 38);
INSERT INTO public.who_data VALUES (38016, 1, 2162, 0, 10, 161, 130);
INSERT INTO public.who_data VALUES (38017, 94372, 4754356, 1114, 78586, 161, 37);
INSERT INTO public.who_data VALUES (38018, 3806, 214746, 106, 8650, 161, 231);
INSERT INTO public.who_data VALUES (38019, 2139, 399940, 116, 23029, 161, 107);
INSERT INTO public.who_data VALUES (38020, 4106, 286778, 60, 7941, 161, 101);
INSERT INTO public.who_data VALUES (38021, 159, 30730, 2, 1783, 161, 132);
INSERT INTO public.who_data VALUES (38022, 0, 337, 0, 24, 161, 176);
INSERT INTO public.who_data VALUES (38023, 3975, 150334, 20, 1124, 161, 200);
INSERT INTO public.who_data VALUES (38024, 1501, 286297, 6, 35603, 161, 169);
INSERT INTO public.who_data VALUES (38025, 0, 3511, 0, 40, 161, 225);
INSERT INTO public.who_data VALUES (38026, 674, 75218, 16, 1439, 161, 165);
INSERT INTO public.who_data VALUES (38027, 1, 380, 0, 32, 161, 233);
INSERT INTO public.who_data VALUES (38028, 117, 3130, 1, 22, 161, 215);
INSERT INTO public.who_data VALUES (38029, 129, 136513, 51, 1999, 161, 177);
INSERT INTO public.who_data VALUES (38030, 170, 35963, 3, 619, 161, 183);
INSERT INTO public.who_data VALUES (38031, 0, 0, 0, 0, 161, 203);
INSERT INTO public.who_data VALUES (38032, 70, 14523, 3, 579, 161, 162);
INSERT INTO public.who_data VALUES (38033, 736, 94211, 1, 558, 161, 12);
INSERT INTO public.who_data VALUES (38034, 53, 44881, 0, 1063, 161, 24);
INSERT INTO public.who_data VALUES (38035, 0, 23, 0, 0, 161, 119);
INSERT INTO public.who_data VALUES (38036, 5, 1464, 0, 35, 161, 39);
INSERT INTO public.who_data VALUES (38037, 686, 23669, 10, 239, 161, 26);
INSERT INTO public.who_data VALUES (38038, 0, 1245, 0, 33, 161, 59);
INSERT INTO public.who_data VALUES (38039, 0, 1311, 0, 82, 161, 77);
INSERT INTO public.who_data VALUES (38040, 433, 22781, 8, 362, 161, 134);
INSERT INTO public.who_data VALUES (38041, 0, 111, 0, 1, 161, 4);
INSERT INTO public.who_data VALUES (38042, 39, 3330, 1, 87, 161, 109);
INSERT INTO public.who_data VALUES (38043, 0, 7159, 0, 124, 161, 90);
INSERT INTO public.who_data VALUES (38044, 68, 15737, 1, 210, 161, 61);
INSERT INTO public.who_data VALUES (38045, 0, 5669, 0, 177, 161, 85);
INSERT INTO public.who_data VALUES (38046, 58, 9868, 0, 128, 161, 49);
INSERT INTO public.who_data VALUES (38047, 62, 9052, 0, 31, 161, 208);
INSERT INTO public.who_data VALUES (38048, 4, 2916, 0, 128, 161, 166);
INSERT INTO public.who_data VALUES (38049, 27, 2275, 0, 15, 161, 64);
INSERT INTO public.who_data VALUES (38050, 0, 0, 0, 0, 161, 199);
INSERT INTO public.who_data VALUES (38051, 0, 939, 0, 18, 161, 114);
INSERT INTO public.who_data VALUES (38052, 8, 7274, 0, 161, 161, 60);
INSERT INTO public.who_data VALUES (38053, 0, 361, 0, 10, 161, 68);
INSERT INTO public.who_data VALUES (38054, 0, 3374, 0, 40, 161, 158);
INSERT INTO public.who_data VALUES (38055, 5935, 658299, 534, 70183, 161, 52);
INSERT INTO public.who_data VALUES (38056, 0, 0, 0, 0, 161, 117);
INSERT INTO public.who_data VALUES (38057, 1, 172, 0, 1, 161, 126);
INSERT INTO public.who_data VALUES (38058, 0, 311, 0, 0, 161, 196);
INSERT INTO public.who_data VALUES (38059, 348, 7173, 2, 120, 161, 142);
INSERT INTO public.who_data VALUES (38060, 0, 13, 0, 1, 161, 185);
INSERT INTO public.who_data VALUES (38061, 2238, 84435, 29, 1553, 161, 138);
INSERT INTO public.who_data VALUES (38062, 122, 5040, 4, 35, 161, 181);
INSERT INTO public.who_data VALUES (38063, 351, 2796, 2, 16, 161, 178);
INSERT INTO public.who_data VALUES (38064, 167, 9604, 0, 98, 161, 168);
INSERT INTO public.who_data VALUES (38065, 0, 0, 0, 0, 161, 160);
INSERT INTO public.who_data VALUES (38066, 1201, 53120, 14, 336, 161, 151);
INSERT INTO public.who_data VALUES (38067, 1222, 80919, 1, 6252, 161, 193);
INSERT INTO public.who_data VALUES (38068, 0, 26, 0, 0, 161, 18);
INSERT INTO public.who_data VALUES (38069, 2, 1446, 0, 24, 161, 40);
INSERT INTO public.who_data VALUES (38070, 0, 3877, 0, 144, 161, 218);
INSERT INTO public.who_data VALUES (38071, 0, 1178, 0, 69, 161, 191);
INSERT INTO public.who_data VALUES (38072, 160, 56177, 2, 1078, 161, 156);
INSERT INTO public.who_data VALUES (38073, 0, 0, 0, 0, 161, 135);
INSERT INTO public.who_data VALUES (38074, 1, 60, 0, 2, 161, 88);
INSERT INTO public.who_data VALUES (38075, 139, 15694, 4, 646, 161, 55);
INSERT INTO public.who_data VALUES (38076, 0, 11866, 0, 265, 161, 108);
INSERT INTO public.who_data VALUES (38077, 650, 38516, 6, 238, 161, 48);
INSERT INTO public.who_data VALUES (38078, 0, 88337, 0, 762, 161, 3);
INSERT INTO public.who_data VALUES (38079, 0, 741, 0, 13, 161, 224);
INSERT INTO public.who_data VALUES (38080, 526, 301481, 6, 6379, 161, 110);
INSERT INTO public.who_data VALUES (38081, 0, 0, 0, 0, 161, 106);
INSERT INTO public.who_data VALUES (38082, 615, 100330, 13, 2140, 161, 89);
INSERT INTO public.who_data VALUES (38083, 0, 508, 0, 5, 161, 121);
INSERT INTO public.who_data VALUES (38084, 881, 26512, 11, 496, 161, 163);
INSERT INTO public.who_data VALUES (38085, 6603, 716670, 126, 30470, 161, 70);
INSERT INTO public.who_data VALUES (38086, 4899, 257863, 184, 4292, 161, 174);
INSERT INTO public.who_data VALUES (38087, 0, 0, 0, 0, 161, 175);
INSERT INTO public.who_data VALUES (38088, 603, 73650, 13, 2182, 161, 118);
INSERT INTO public.who_data VALUES (38089, 497, 63310, 5, 1860, 161, 189);
INSERT INTO public.who_data VALUES (38090, 511, 37092, 12, 535, 161, 124);
INSERT INTO public.who_data VALUES (38091, 236, 121523, 0, 205, 161, 192);
INSERT INTO public.who_data VALUES (38092, 121, 22176, 3, 358, 161, 41);
INSERT INTO public.who_data VALUES (38093, 531, 42714, 4, 1118, 161, 95);
INSERT INTO public.who_data VALUES (38094, 100, 2723, 1, 10, 161, 74);
INSERT INTO public.who_data VALUES (38095, 1311, 102386, 27, 4127, 161, 11);
INSERT INTO public.who_data VALUES (38096, 5449, 1062811, 94, 18578, 161, 87);
INSERT INTO public.who_data VALUES (38097, 31, 4565, 0, 22, 161, 214);
INSERT INTO public.who_data VALUES (38098, 0, 5, 0, 0, 161, 116);
INSERT INTO public.who_data VALUES (38099, 0, 21, 0, 0, 161, 157);
INSERT INTO public.who_data VALUES (38100, 0, 0, 0, 0, 161, 182);
INSERT INTO public.who_data VALUES (38101, 0, 17, 0, 0, 161, 186);
INSERT INTO public.who_data VALUES (38102, 0, 27, 0, 0, 161, 127);
INSERT INTO public.who_data VALUES (38103, 0, 256, 0, 6, 161, 232);
INSERT INTO public.who_data VALUES (38104, 0, 11, 0, 0, 161, 33);
INSERT INTO public.who_data VALUES (38105, 2, 64, 0, 0, 161, 97);
INSERT INTO public.who_data VALUES (38106, 0, 0, 0, 0, 161, 42);
INSERT INTO public.who_data VALUES (38107, 0, 741, 0, 42, 161, 198);
INSERT INTO public.who_data VALUES (38108, 0, 906, 0, 15, 161, 216);
INSERT INTO public.who_data VALUES (38109, 643, 325050, 27, 4240, 161, 164);
INSERT INTO public.who_data VALUES (38110, 0, 14193, 0, 293, 161, 235);
INSERT INTO public.who_data VALUES (38111, 72, 32300, 1, 731, 161, 67);
INSERT INTO public.who_data VALUES (38112, 0, 135, 0, 0, 161, 15);
INSERT INTO public.who_data VALUES (38113, 9, 2096, 0, 72, 161, 180);
INSERT INTO public.who_data VALUES (38114, 42, 57357, 0, 27, 161, 237);
INSERT INTO public.who_data VALUES (38115, 0, 10, 0, 0, 161, 25);
INSERT INTO public.who_data VALUES (38116, 0, 530, 0, 19, 161, 209);
INSERT INTO public.who_data VALUES (38117, 231, 5252, 0, 37, 161, 217);
INSERT INTO public.who_data VALUES (38118, 105, 3604, 1, 136, 161, 79);
INSERT INTO public.who_data VALUES (38119, 0, 0, 0, 0, 161, 143);
INSERT INTO public.who_data VALUES (38120, 0, 3376, 0, 98, 161, 229);
INSERT INTO public.who_data VALUES (38121, 1816, 648214, 49, 15427, 161, 141);
INSERT INTO public.who_data VALUES (38122, 0, 2578, 0, 49, 161, 197);
INSERT INTO public.who_data VALUES (38123, 14521, 627912, 99, 31844, 161, 221);
INSERT INTO public.who_data VALUES (38124, 35, 3204, 0, 12, 161, 150);
INSERT INTO public.who_data VALUES (38125, 0, 13532, 0, 836, 161, 56);
INSERT INTO public.who_data VALUES (38126, 52, 4529, 0, 93, 161, 167);
INSERT INTO public.who_data VALUES (38127, 291, 86849, 4, 5844, 161, 23);
INSERT INTO public.who_data VALUES (38128, 266, 47324, 3, 1791, 161, 222);
INSERT INTO public.who_data VALUES (38129, 30, 3506, 2, 152, 161, 219);
INSERT INTO public.who_data VALUES (38130, 37, 9014, 0, 72, 161, 7);
INSERT INTO public.who_data VALUES (38131, 7, 3473, 0, 58, 161, 161);
INSERT INTO public.who_data VALUES (38132, 3497, 365178, 9, 41623, 161, 149);
INSERT INTO public.who_data VALUES (38133, 0, 27, 0, 0, 161, 6);
INSERT INTO public.who_data VALUES (38134, 7, 1555, 0, 37, 161, 139);
INSERT INTO public.who_data VALUES (38135, 0, 0, 0, 0, 161, 211);
INSERT INTO public.who_data VALUES (38136, 0, 0, 0, 0, 161, 14);
INSERT INTO public.who_data VALUES (38137, 115, 2892, 5, 50, 161, 111);
INSERT INTO public.who_data VALUES (38138, 747, 7382, 10, 117, 161, 207);
INSERT INTO public.who_data VALUES (38139, 8239, 605945, 48, 6999, 161, 66);
INSERT INTO public.who_data VALUES (38140, 0, 0, 0, 0, 161, 173);
INSERT INTO public.who_data VALUES (38141, 3, 641, 0, 5, 161, 145);
INSERT INTO public.who_data VALUES (38142, 0, 0, 0, 0, 161, 65);
INSERT INTO public.who_data VALUES (38143, 326, 4703, 3, 52, 161, 184);
INSERT INTO public.who_data VALUES (38144, 2476, 154335, 30, 3178, 161, 98);
INSERT INTO public.who_data VALUES (38145, 1007, 78849, 1, 399, 161, 104);
INSERT INTO public.who_data VALUES (38146, 0, 509, 0, 21, 161, 73);
INSERT INTO public.who_data VALUES (38147, 45523, 6386832, 1022, 191809, 161, 8);
INSERT INTO public.who_data VALUES (38148, 10, 1211, 1, 19, 161, 227);
INSERT INTO public.who_data VALUES (38149, 14, 1773, 0, 45, 161, 75);
INSERT INTO public.who_data VALUES (38150, 544, 47042, 6, 388, 161, 45);
INSERT INTO public.who_data VALUES (38151, 0, 0, 0, 0, 161, 133);
INSERT INTO public.who_data VALUES (38152, 840, 58663, 8, 468, 161, 202);
INSERT INTO public.who_data VALUES (38153, 0, 1060, 0, 35, 161, 129);
INSERT INTO public.who_data VALUES (38154, 0, 0, 0, 0, 161, 36);
INSERT INTO public.who_data VALUES (38155, 2, 2013, 0, 583, 161, 51);
INSERT INTO public.who_data VALUES (38156, 143, 13466, 6, 312, 161, 206);
INSERT INTO public.who_data VALUES (38157, 29, 7508, 0, 224, 161, 5);
INSERT INTO public.who_data VALUES (38158, 35, 38727, 0, 1424, 162, 103);
INSERT INTO public.who_data VALUES (38159, 161, 11021, 3, 327, 162, 58);
INSERT INTO public.who_data VALUES (38160, 264, 47752, 8, 1599, 162, 195);
INSERT INTO public.who_data VALUES (38161, 0, 0, 0, 0, 162, 115);
INSERT INTO public.who_data VALUES (38162, 43, 1344, 0, 53, 162, 99);
INSERT INTO public.who_data VALUES (38163, 62, 3279, 1, 131, 162, 153);
INSERT INTO public.who_data VALUES (38164, 0, 3, 0, 0, 162, 93);
INSERT INTO public.who_data VALUES (38165, 0, 95, 0, 3, 162, 84);
INSERT INTO public.who_data VALUES (38166, 11905, 524198, 281, 10994, 162, 78);
INSERT INTO public.who_data VALUES (38167, 172, 44988, 2, 906, 162, 170);
INSERT INTO public.who_data VALUES (38168, 89, 2819, 1, 16, 162, 32);
INSERT INTO public.who_data VALUES (38169, 52, 26565, 9, 797, 162, 155);
INSERT INTO public.who_data VALUES (38170, 1005, 32456, 2, 750, 162, 82);
INSERT INTO public.who_data VALUES (38171, 163, 38037, 1, 557, 162, 16);
INSERT INTO public.who_data VALUES (38172, 93, 2814, 2, 65, 162, 72);
INSERT INTO public.who_data VALUES (38173, 632, 58839, 1, 208, 162, 43);
INSERT INTO public.who_data VALUES (38174, 1792, 334762, 34, 4668, 162, 120);
INSERT INTO public.who_data VALUES (38175, 0, 180, 0, 7, 162, 213);
INSERT INTO public.who_data VALUES (38176, 193, 73784, 6, 738, 162, 31);
INSERT INTO public.who_data VALUES (38177, 1284, 94392, 5, 9914, 162, 204);
INSERT INTO public.who_data VALUES (38178, 34, 1399, 1, 19, 162, 152);
INSERT INTO public.who_data VALUES (38179, 0, 2242, 0, 40, 162, 144);
INSERT INTO public.who_data VALUES (38180, 0, 177, 0, 9, 162, 96);
INSERT INTO public.who_data VALUES (38181, 3, 241, 0, 0, 162, 47);
INSERT INTO public.who_data VALUES (38182, 860, 124205, 47, 7193, 162, 80);
INSERT INTO public.who_data VALUES (38183, 0, 10, 0, 0, 162, 159);
INSERT INTO public.who_data VALUES (38184, 290, 22829, 6, 679, 162, 27);
INSERT INTO public.who_data VALUES (38185, 0, 2126, 0, 9, 162, 146);
INSERT INTO public.who_data VALUES (38186, 40557, 4238446, 983, 129522, 162, 71);
INSERT INTO public.who_data VALUES (38187, 1, 64, 0, 1, 162, 210);
INSERT INTO public.who_data VALUES (38188, 0, 145, 0, 3, 162, 54);
INSERT INTO public.who_data VALUES (38189, 201, 17799, 7, 713, 162, 147);
INSERT INTO public.who_data VALUES (38190, 10, 1486, 0, 56, 162, 2);
INSERT INTO public.who_data VALUES (38191, 2, 471, 0, 1, 162, 105);
INSERT INTO public.who_data VALUES (38192, 94, 4651, 1, 44, 162, 53);
INSERT INTO public.who_data VALUES (38193, 0, 274, 0, 0, 162, 81);
INSERT INTO public.who_data VALUES (38194, 0, 20009, 0, 415, 162, 223);
INSERT INTO public.who_data VALUES (38195, 630, 134924, 8, 9163, 162, 94);
INSERT INTO public.who_data VALUES (38196, 1, 208, 0, 1, 162, 154);
INSERT INTO public.who_data VALUES (38197, 2, 4749, 0, 62, 162, 83);
INSERT INTO public.who_data VALUES (38198, 30, 1081, 0, 79, 162, 194);
INSERT INTO public.who_data VALUES (38199, 1866, 430535, 69, 11850, 162, 136);
INSERT INTO public.who_data VALUES (38200, 20, 90643, 0, 4740, 162, 179);
INSERT INTO public.who_data VALUES (38201, 7813, 694664, 222, 22275, 162, 57);
INSERT INTO public.who_data VALUES (38202, 0, 456, 0, 7, 162, 35);
INSERT INTO public.who_data VALUES (38203, 0, 4913, 0, 88, 162, 228);
INSERT INTO public.who_data VALUES (38204, 0, 0, 0, 0, 162, 19);
INSERT INTO public.who_data VALUES (38205, 1325, 52549, 24, 567, 162, 22);
INSERT INTO public.who_data VALUES (38206, 0, 18869, 0, 119, 162, 1);
INSERT INTO public.who_data VALUES (38207, 190, 13107, 3, 211, 162, 21);
INSERT INTO public.who_data VALUES (38208, 42, 4593, 0, 106, 162, 234);
INSERT INTO public.who_data VALUES (38209, 19, 135, 0, 1, 162, 91);
INSERT INTO public.who_data VALUES (38210, 3, 1520, 0, 21, 162, 137);
INSERT INTO public.who_data VALUES (38211, 1447, 33860, 2, 450, 162, 201);
INSERT INTO public.who_data VALUES (38212, 0, 0, 0, 0, 162, 171);
INSERT INTO public.who_data VALUES (38213, 18, 10360, 0, 262, 162, 92);
INSERT INTO public.who_data VALUES (38214, 292, 19216, 0, 629, 162, 112);
INSERT INTO public.who_data VALUES (38215, 0, 5394, 0, 61, 162, 62);
INSERT INTO public.who_data VALUES (38216, 0, 24, 0, 0, 162, 69);
INSERT INTO public.who_data VALUES (38217, 516, 102232, 15, 1941, 162, 220);
INSERT INTO public.who_data VALUES (38218, 0, 113206, 0, 10749, 162, 100);
INSERT INTO public.who_data VALUES (38219, 151, 100708, 17, 5607, 162, 187);
INSERT INTO public.who_data VALUES (38220, 85, 26773, 3, 777, 162, 63);
INSERT INTO public.who_data VALUES (38221, 6, 4996, 0, 83, 162, 28);
INSERT INTO public.who_data VALUES (38222, 0, 361, 0, 0, 162, 172);
INSERT INTO public.who_data VALUES (38223, 32, 2632, 0, 64, 162, 17);
INSERT INTO public.who_data VALUES (38224, 31, 5025, 0, 98, 162, 226);
INSERT INTO public.who_data VALUES (38225, 789, 63367, 12, 986, 162, 236);
INSERT INTO public.who_data VALUES (38226, 0, 13, 0, 0, 162, 76);
INSERT INTO public.who_data VALUES (38227, 1, 416, 0, 0, 162, 30);
INSERT INTO public.who_data VALUES (38228, 0, 32, 0, 2, 162, 128);
INSERT INTO public.who_data VALUES (38229, 43, 8512, 0, 337, 162, 86);
INSERT INTO public.who_data VALUES (38230, 9260, 344345, 80, 30734, 162, 140);
INSERT INTO public.who_data VALUES (38231, 32, 9494, 0, 63, 162, 44);
INSERT INTO public.who_data VALUES (38232, 22, 953, 1, 2, 162, 113);
INSERT INTO public.who_data VALUES (38233, 22, 8643, 0, 53, 162, 29);
INSERT INTO public.who_data VALUES (38234, 32, 3362, 0, 100, 162, 125);
INSERT INTO public.who_data VALUES (38235, 158, 2075, 0, 19, 162, 131);
INSERT INTO public.who_data VALUES (38236, 1630, 258480, 5, 9347, 162, 46);
INSERT INTO public.who_data VALUES (38237, 75, 45388, 2, 285, 162, 10);
INSERT INTO public.who_data VALUES (38238, 1, 323, 0, 0, 162, 205);
INSERT INTO public.who_data VALUES (38239, 282, 12734, 3, 300, 162, 50);
INSERT INTO public.who_data VALUES (38240, 0, 14, 0, 0, 162, 20);
INSERT INTO public.who_data VALUES (38241, 0, 24, 0, 0, 162, 13);
INSERT INTO public.who_data VALUES (38242, 0, 2287, 0, 23, 162, 148);
INSERT INTO public.who_data VALUES (38243, 17, 1863, 0, 23, 162, 230);
INSERT INTO public.who_data VALUES (38244, 703, 81009, 11, 2929, 162, 190);
INSERT INTO public.who_data VALUES (38245, 0, 253, 0, 13, 162, 188);
INSERT INTO public.who_data VALUES (38246, 33, 9979, 0, 63, 162, 123);
INSERT INTO public.who_data VALUES (38247, 0, 2275, 0, 39, 162, 9);
INSERT INTO public.who_data VALUES (38248, 47, 1750, 1, 49, 162, 102);
INSERT INTO public.who_data VALUES (38249, 28, 8457, 1, 216, 162, 34);
INSERT INTO public.who_data VALUES (38250, 0, 12, 0, 0, 162, 212);
INSERT INTO public.who_data VALUES (38251, 205, 65802, 5, 2049, 162, 122);
INSERT INTO public.who_data VALUES (38252, 718, 10909, 1, 631, 162, 38);
INSERT INTO public.who_data VALUES (38253, 4, 2161, 0, 10, 162, 130);
INSERT INTO public.who_data VALUES (38254, 97570, 4659984, 1201, 77472, 162, 37);
INSERT INTO public.who_data VALUES (38255, 3737, 210940, 88, 8544, 162, 231);
INSERT INTO public.who_data VALUES (38256, 2313, 397801, 115, 22913, 162, 107);
INSERT INTO public.who_data VALUES (38257, 4254, 282672, 67, 7881, 162, 101);
INSERT INTO public.who_data VALUES (38258, 211, 30571, 0, 1781, 162, 132);
INSERT INTO public.who_data VALUES (38259, 0, 337, 0, 24, 162, 176);
INSERT INTO public.who_data VALUES (38260, 4161, 146359, 14, 1104, 162, 200);
INSERT INTO public.who_data VALUES (38261, 1616, 284796, 10, 35597, 162, 169);
INSERT INTO public.who_data VALUES (38262, 74, 3511, 2, 40, 162, 225);
INSERT INTO public.who_data VALUES (38263, 643, 74544, 11, 1423, 162, 165);
INSERT INTO public.who_data VALUES (38264, 1, 379, 0, 32, 162, 233);
INSERT INTO public.who_data VALUES (38265, 206, 3013, 1, 21, 162, 215);
INSERT INTO public.who_data VALUES (38266, 420, 136384, 0, 1948, 162, 177);
INSERT INTO public.who_data VALUES (38267, 190, 35793, 4, 616, 162, 183);
INSERT INTO public.who_data VALUES (38268, 0, 0, 0, 0, 162, 203);
INSERT INTO public.who_data VALUES (38269, 50, 14453, 5, 576, 162, 162);
INSERT INTO public.who_data VALUES (38270, 653, 93475, 1, 557, 162, 12);
INSERT INTO public.who_data VALUES (38271, 67, 44828, 0, 1063, 162, 24);
INSERT INTO public.who_data VALUES (38272, 1, 23, 0, 0, 162, 119);
INSERT INTO public.who_data VALUES (38273, 11, 1459, 0, 35, 162, 39);
INSERT INTO public.who_data VALUES (38274, 546, 22983, 10, 229, 162, 26);
INSERT INTO public.who_data VALUES (38275, 0, 1245, 0, 33, 162, 59);
INSERT INTO public.who_data VALUES (38276, 0, 1311, 0, 82, 162, 77);
INSERT INTO public.who_data VALUES (38277, 440, 22348, 2, 354, 162, 134);
INSERT INTO public.who_data VALUES (38278, 2, 111, 0, 1, 162, 4);
INSERT INTO public.who_data VALUES (38279, 53, 3291, 0, 86, 162, 109);
INSERT INTO public.who_data VALUES (38280, 71, 7159, 0, 124, 162, 90);
INSERT INTO public.who_data VALUES (38281, 149, 15669, 3, 209, 162, 61);
INSERT INTO public.who_data VALUES (38282, 14, 5669, 1, 177, 162, 85);
INSERT INTO public.who_data VALUES (38283, 182, 9810, 0, 128, 162, 49);
INSERT INTO public.who_data VALUES (38284, 90, 8990, 0, 31, 162, 208);
INSERT INTO public.who_data VALUES (38285, 3, 2912, 0, 128, 162, 166);
INSERT INTO public.who_data VALUES (38286, 43, 2248, 1, 15, 162, 64);
INSERT INTO public.who_data VALUES (38287, 0, 0, 0, 0, 162, 199);
INSERT INTO public.who_data VALUES (38288, 0, 939, 0, 18, 162, 114);
INSERT INTO public.who_data VALUES (38289, 44, 7266, 0, 161, 162, 60);
INSERT INTO public.who_data VALUES (38290, 0, 361, 0, 10, 162, 68);
INSERT INTO public.who_data VALUES (38291, 0, 3374, 0, 40, 162, 158);
INSERT INTO public.who_data VALUES (38292, 4857, 652364, 554, 69649, 162, 52);
INSERT INTO public.who_data VALUES (38293, 0, 0, 0, 0, 162, 117);
INSERT INTO public.who_data VALUES (38294, 3, 171, 0, 1, 162, 126);
INSERT INTO public.who_data VALUES (38295, 1, 311, 0, 0, 162, 196);
INSERT INTO public.who_data VALUES (38296, 351, 6825, 1, 118, 162, 142);
INSERT INTO public.who_data VALUES (38297, 0, 13, 0, 1, 162, 185);
INSERT INTO public.who_data VALUES (38298, 2430, 82197, 33, 1524, 162, 138);
INSERT INTO public.who_data VALUES (38299, 86, 4918, 0, 31, 162, 181);
INSERT INTO public.who_data VALUES (38300, 180, 2445, 0, 14, 162, 178);
INSERT INTO public.who_data VALUES (38301, 181, 9437, 2, 98, 162, 168);
INSERT INTO public.who_data VALUES (38302, 0, 0, 0, 0, 162, 160);
INSERT INTO public.who_data VALUES (38303, 1454, 51919, 5, 322, 162, 151);
INSERT INTO public.who_data VALUES (38304, 1272, 79697, 3, 6251, 162, 193);
INSERT INTO public.who_data VALUES (38305, 0, 26, 0, 0, 162, 18);
INSERT INTO public.who_data VALUES (38306, 2, 1444, 0, 24, 162, 40);
INSERT INTO public.who_data VALUES (38307, 0, 3877, 0, 144, 162, 218);
INSERT INTO public.who_data VALUES (38308, 0, 1178, 0, 69, 162, 191);
INSERT INTO public.who_data VALUES (38309, 188, 56017, 1, 1076, 162, 156);
INSERT INTO public.who_data VALUES (38310, 0, 0, 0, 0, 162, 135);
INSERT INTO public.who_data VALUES (38311, 0, 59, 0, 2, 162, 88);
INSERT INTO public.who_data VALUES (38312, 141, 15555, 5, 642, 162, 55);
INSERT INTO public.who_data VALUES (38313, 120, 11866, 0, 265, 162, 108);
INSERT INTO public.who_data VALUES (38314, 652, 37866, 8, 232, 162, 48);
INSERT INTO public.who_data VALUES (38315, 0, 88337, 0, 762, 162, 3);
INSERT INTO public.who_data VALUES (38316, 0, 741, 0, 13, 162, 224);
INSERT INTO public.who_data VALUES (38317, 584, 300955, 3, 6373, 162, 110);
INSERT INTO public.who_data VALUES (38318, 0, 0, 0, 0, 162, 106);
INSERT INTO public.who_data VALUES (38319, 673, 99715, 11, 2127, 162, 89);
INSERT INTO public.who_data VALUES (38320, 1, 508, 0, 5, 162, 121);
INSERT INTO public.who_data VALUES (38321, 605, 25631, 11, 485, 162, 163);
INSERT INTO public.who_data VALUES (38322, 7291, 710067, 108, 30344, 162, 70);
INSERT INTO public.who_data VALUES (38323, 4017, 252964, 42, 4108, 162, 174);
INSERT INTO public.who_data VALUES (38324, 0, 0, 0, 0, 162, 175);
INSERT INTO public.who_data VALUES (38325, 594, 73047, 10, 2169, 162, 118);
INSERT INTO public.who_data VALUES (38326, 687, 62813, 3, 1855, 162, 189);
INSERT INTO public.who_data VALUES (38327, 302, 36581, 11, 523, 162, 124);
INSERT INTO public.who_data VALUES (38328, 235, 121287, 0, 205, 162, 192);
INSERT INTO public.who_data VALUES (38329, 136, 22055, 5, 355, 162, 41);
INSERT INTO public.who_data VALUES (38330, 479, 42183, 8, 1114, 162, 95);
INSERT INTO public.who_data VALUES (38331, 113, 2623, 0, 9, 162, 74);
INSERT INTO public.who_data VALUES (38332, 1391, 101075, 35, 4100, 162, 11);
INSERT INTO public.who_data VALUES (38333, 5488, 1057362, 119, 18484, 162, 87);
INSERT INTO public.who_data VALUES (38334, 55, 4534, 0, 22, 162, 214);
INSERT INTO public.who_data VALUES (38335, 0, 5, 0, 0, 162, 116);
INSERT INTO public.who_data VALUES (38336, 0, 21, 0, 0, 162, 157);
INSERT INTO public.who_data VALUES (38337, 0, 0, 0, 0, 162, 182);
INSERT INTO public.who_data VALUES (38338, 0, 17, 0, 0, 162, 186);
INSERT INTO public.who_data VALUES (38339, 0, 27, 0, 0, 162, 127);
INSERT INTO public.who_data VALUES (38340, 0, 256, 0, 6, 162, 232);
INSERT INTO public.who_data VALUES (38341, 1, 11, 0, 0, 162, 33);
INSERT INTO public.who_data VALUES (38342, 0, 62, 0, 0, 162, 97);
INSERT INTO public.who_data VALUES (38343, 0, 0, 0, 0, 162, 42);
INSERT INTO public.who_data VALUES (38344, 0, 741, 0, 42, 162, 198);
INSERT INTO public.who_data VALUES (38345, 5, 906, 0, 15, 162, 216);
INSERT INTO public.who_data VALUES (38346, 687, 324407, 24, 4213, 162, 164);
INSERT INTO public.who_data VALUES (38347, 43, 14193, 0, 293, 162, 235);
INSERT INTO public.who_data VALUES (38348, 92, 32228, 1, 730, 162, 67);
INSERT INTO public.who_data VALUES (38349, 0, 135, 0, 0, 162, 15);
INSERT INTO public.who_data VALUES (38350, 18, 2087, 0, 72, 162, 180);
INSERT INTO public.who_data VALUES (38351, 86, 57315, 0, 27, 162, 237);
INSERT INTO public.who_data VALUES (38352, 0, 10, 0, 0, 162, 25);
INSERT INTO public.who_data VALUES (38353, 0, 530, 0, 19, 162, 209);
INSERT INTO public.who_data VALUES (38354, 133, 5021, 0, 37, 162, 217);
INSERT INTO public.who_data VALUES (38355, 108, 3499, 0, 135, 162, 79);
INSERT INTO public.who_data VALUES (38356, 0, 0, 0, 0, 162, 143);
INSERT INTO public.who_data VALUES (38357, 0, 3376, 0, 98, 162, 229);
INSERT INTO public.who_data VALUES (38358, 1960, 646398, 113, 15378, 162, 141);
INSERT INTO public.who_data VALUES (38359, 10, 2578, 1, 49, 162, 197);
INSERT INTO public.who_data VALUES (38360, 13240, 613391, 90, 31745, 162, 221);
INSERT INTO public.who_data VALUES (38361, 14, 3169, 0, 12, 162, 150);
INSERT INTO public.who_data VALUES (38362, 16, 13532, 1, 836, 162, 56);
INSERT INTO public.who_data VALUES (38363, 30, 4477, 1, 93, 162, 167);
INSERT INTO public.who_data VALUES (38364, 254, 86558, 2, 5840, 162, 23);
INSERT INTO public.who_data VALUES (38365, 533, 47058, 4, 1788, 162, 222);
INSERT INTO public.who_data VALUES (38366, 60, 3476, 3, 150, 162, 219);
INSERT INTO public.who_data VALUES (38367, 38, 8977, 0, 72, 162, 7);
INSERT INTO public.who_data VALUES (38368, 5, 3466, 0, 58, 162, 161);
INSERT INTO public.who_data VALUES (38369, 3539, 361681, 6, 41614, 162, 149);
INSERT INTO public.who_data VALUES (38370, 0, 27, 0, 0, 162, 6);
INSERT INTO public.who_data VALUES (38371, 11, 1548, 0, 37, 162, 139);
INSERT INTO public.who_data VALUES (38372, 0, 0, 0, 0, 162, 211);
INSERT INTO public.who_data VALUES (38373, 0, 0, 0, 0, 162, 14);
INSERT INTO public.who_data VALUES (38374, 114, 2777, 5, 45, 162, 111);
INSERT INTO public.who_data VALUES (38375, 0, 6635, 0, 107, 162, 207);
INSERT INTO public.who_data VALUES (38376, 8401, 597706, 56, 6951, 162, 66);
INSERT INTO public.who_data VALUES (38377, 0, 0, 0, 0, 162, 173);
INSERT INTO public.who_data VALUES (38378, 10, 638, 0, 5, 162, 145);
INSERT INTO public.who_data VALUES (38379, 0, 0, 0, 0, 162, 65);
INSERT INTO public.who_data VALUES (38380, 86, 4377, 1, 49, 162, 184);
INSERT INTO public.who_data VALUES (38381, 3103, 151859, 72, 3148, 162, 98);
INSERT INTO public.who_data VALUES (38382, 931, 77842, 0, 398, 162, 104);
INSERT INTO public.who_data VALUES (38383, 0, 509, 0, 21, 162, 73);
INSERT INTO public.who_data VALUES (38384, 37128, 6341309, 1078, 190787, 162, 8);
INSERT INTO public.who_data VALUES (38385, 4, 1201, 0, 18, 162, 227);
INSERT INTO public.who_data VALUES (38386, 18, 1759, 0, 45, 162, 75);
INSERT INTO public.who_data VALUES (38387, 571, 46498, 7, 382, 162, 45);
INSERT INTO public.who_data VALUES (38388, 0, 0, 0, 0, 162, 133);
INSERT INTO public.who_data VALUES (38389, 1072, 57823, 8, 460, 162, 202);
INSERT INTO public.who_data VALUES (38390, 1, 1060, 0, 35, 162, 129);
INSERT INTO public.who_data VALUES (38391, 0, 0, 0, 0, 162, 36);
INSERT INTO public.who_data VALUES (38392, 4, 2011, 2, 583, 162, 51);
INSERT INTO public.who_data VALUES (38393, 109, 13323, 6, 306, 162, 206);
INSERT INTO public.who_data VALUES (38394, 26, 7479, 2, 224, 162, 5);
INSERT INTO public.who_data VALUES (38395, 34, 38692, 0, 1424, 163, 103);
INSERT INTO public.who_data VALUES (38396, 156, 10860, 2, 324, 163, 58);
INSERT INTO public.who_data VALUES (38397, 272, 47488, 10, 1591, 163, 195);
INSERT INTO public.who_data VALUES (38398, 0, 0, 0, 0, 163, 115);
INSERT INTO public.who_data VALUES (38399, 0, 1301, 0, 53, 163, 99);
INSERT INTO public.who_data VALUES (38400, 125, 3217, 4, 130, 163, 153);
INSERT INTO public.who_data VALUES (38401, 0, 3, 0, 0, 163, 93);
INSERT INTO public.who_data VALUES (38402, 0, 95, 0, 3, 163, 84);
INSERT INTO public.who_data VALUES (38403, 12259, 512293, 256, 10713, 163, 78);
INSERT INTO public.who_data VALUES (38404, 177, 44816, 3, 904, 163, 170);
INSERT INTO public.who_data VALUES (38405, 141, 2730, 0, 15, 163, 32);
INSERT INTO public.who_data VALUES (38406, 48, 26513, 7, 788, 163, 155);
INSERT INTO public.who_data VALUES (38407, 497, 31451, 1, 748, 163, 82);
INSERT INTO public.who_data VALUES (38408, 142, 37874, 1, 556, 163, 16);
INSERT INTO public.who_data VALUES (38409, 64, 2721, 0, 63, 163, 72);
INSERT INTO public.who_data VALUES (38410, 757, 58207, 4, 207, 163, 43);
INSERT INTO public.who_data VALUES (38411, 1892, 332970, 41, 4634, 163, 120);
INSERT INTO public.who_data VALUES (38412, 0, 180, 0, 7, 163, 213);
INSERT INTO public.who_data VALUES (38413, 189, 73591, 6, 732, 163, 31);
INSERT INTO public.who_data VALUES (38414, 1143, 93108, 3, 9909, 163, 204);
INSERT INTO public.who_data VALUES (38415, 4, 1365, 2, 18, 163, 152);
INSERT INTO public.who_data VALUES (38416, 0, 2242, 0, 40, 163, 144);
INSERT INTO public.who_data VALUES (38417, 0, 177, 0, 9, 163, 96);
INSERT INTO public.who_data VALUES (38418, 4, 238, 0, 0, 163, 47);
INSERT INTO public.who_data VALUES (38419, 1037, 123345, 49, 7146, 163, 80);
INSERT INTO public.who_data VALUES (38420, 0, 10, 0, 0, 163, 159);
INSERT INTO public.who_data VALUES (38421, 285, 22539, 5, 673, 163, 27);
INSERT INTO public.who_data VALUES (38422, 0, 2126, 0, 9, 163, 146);
INSERT INTO public.who_data VALUES (38423, 35816, 4197889, 1075, 128539, 163, 71);
INSERT INTO public.who_data VALUES (38424, 0, 63, 0, 1, 163, 210);
INSERT INTO public.who_data VALUES (38425, 0, 145, 0, 3, 163, 54);
INSERT INTO public.who_data VALUES (38426, 163, 17598, 4, 706, 163, 147);
INSERT INTO public.who_data VALUES (38427, 10, 1476, 0, 56, 163, 2);
INSERT INTO public.who_data VALUES (38428, 0, 469, 0, 1, 163, 105);
INSERT INTO public.who_data VALUES (38429, 84, 4557, 0, 43, 163, 53);
INSERT INTO public.who_data VALUES (38430, 0, 274, 0, 0, 163, 81);
INSERT INTO public.who_data VALUES (38431, 161, 20009, 0, 415, 163, 223);
INSERT INTO public.who_data VALUES (38432, 546, 134294, 2, 9155, 163, 94);
INSERT INTO public.who_data VALUES (38433, 2, 207, 0, 1, 163, 154);
INSERT INTO public.who_data VALUES (38434, 11, 4747, 0, 62, 163, 83);
INSERT INTO public.who_data VALUES (38435, 3, 1051, 0, 79, 163, 194);
INSERT INTO public.who_data VALUES (38436, 1642, 428669, 79, 11781, 163, 136);
INSERT INTO public.who_data VALUES (38437, 28, 90623, 0, 4740, 163, 179);
INSERT INTO public.who_data VALUES (38438, 7338, 686851, 236, 22053, 163, 57);
INSERT INTO public.who_data VALUES (38439, 0, 456, 0, 7, 163, 35);
INSERT INTO public.who_data VALUES (38440, 22, 4913, 6, 88, 163, 228);
INSERT INTO public.who_data VALUES (38441, 0, 0, 0, 0, 163, 19);
INSERT INTO public.who_data VALUES (38442, 1327, 51224, 12, 543, 163, 22);
INSERT INTO public.who_data VALUES (38443, 54, 18869, 0, 119, 163, 1);
INSERT INTO public.who_data VALUES (38444, 291, 12917, 2, 208, 163, 21);
INSERT INTO public.who_data VALUES (38445, 92, 4551, 2, 106, 163, 234);
INSERT INTO public.who_data VALUES (38446, 0, 116, 0, 1, 163, 91);
INSERT INTO public.who_data VALUES (38447, 3, 1517, 0, 21, 163, 137);
INSERT INTO public.who_data VALUES (38448, 1377, 32413, 4, 448, 163, 201);
INSERT INTO public.who_data VALUES (38449, 0, 0, 0, 0, 163, 171);
INSERT INTO public.who_data VALUES (38450, 19, 10342, 2, 262, 163, 92);
INSERT INTO public.who_data VALUES (38451, 317, 18924, 1, 629, 163, 112);
INSERT INTO public.who_data VALUES (38452, 3, 5394, 0, 61, 163, 62);
INSERT INTO public.who_data VALUES (38453, 0, 24, 0, 0, 163, 69);
INSERT INTO public.who_data VALUES (38454, 779, 101716, 12, 1926, 163, 220);
INSERT INTO public.who_data VALUES (38455, 1040, 113206, 48, 10749, 163, 100);
INSERT INTO public.who_data VALUES (38456, 154, 100557, 13, 5590, 163, 187);
INSERT INTO public.who_data VALUES (38457, 86, 26688, 4, 774, 163, 63);
INSERT INTO public.who_data VALUES (38458, 0, 4990, 0, 83, 163, 28);
INSERT INTO public.who_data VALUES (38459, 20, 361, 0, 0, 163, 172);
INSERT INTO public.who_data VALUES (38460, 15, 2600, 0, 64, 163, 17);
INSERT INTO public.who_data VALUES (38461, 58, 4994, 1, 98, 163, 226);
INSERT INTO public.who_data VALUES (38462, 878, 62578, 8, 974, 163, 236);
INSERT INTO public.who_data VALUES (38463, 0, 13, 0, 0, 163, 76);
INSERT INTO public.who_data VALUES (38464, 0, 415, 0, 0, 163, 30);
INSERT INTO public.who_data VALUES (38465, 0, 32, 0, 2, 163, 128);
INSERT INTO public.who_data VALUES (38466, 39, 8469, 0, 337, 163, 86);
INSERT INTO public.who_data VALUES (38467, 9685, 335085, 18, 30654, 163, 140);
INSERT INTO public.who_data VALUES (38468, 44, 9462, 1, 63, 163, 44);
INSERT INTO public.who_data VALUES (38469, 74, 931, 1, 1, 163, 113);
INSERT INTO public.who_data VALUES (38470, 0, 8621, 0, 53, 163, 29);
INSERT INTO public.who_data VALUES (38471, 37, 3330, 1, 100, 163, 125);
INSERT INTO public.who_data VALUES (38472, 87, 1917, 0, 19, 163, 131);
INSERT INTO public.who_data VALUES (38473, 1484, 256850, 1, 9342, 163, 46);
INSERT INTO public.who_data VALUES (38474, 301, 45313, 0, 283, 163, 10);
INSERT INTO public.who_data VALUES (38475, 2, 322, 0, 0, 163, 205);
INSERT INTO public.who_data VALUES (38476, 372, 12452, 4, 297, 163, 50);
INSERT INTO public.who_data VALUES (38477, 0, 14, 0, 0, 163, 20);
INSERT INTO public.who_data VALUES (38478, 0, 24, 0, 0, 163, 13);
INSERT INTO public.who_data VALUES (38479, 0, 2287, 0, 23, 163, 148);
INSERT INTO public.who_data VALUES (38480, 88, 1846, 2, 23, 163, 230);
INSERT INTO public.who_data VALUES (38481, 684, 80306, 21, 2918, 163, 190);
INSERT INTO public.who_data VALUES (38482, 0, 253, 0, 13, 163, 188);
INSERT INTO public.who_data VALUES (38483, 61, 9946, 0, 63, 163, 123);
INSERT INTO public.who_data VALUES (38484, 0, 2275, 0, 39, 163, 9);
INSERT INTO public.who_data VALUES (38485, 90, 1703, 0, 48, 163, 102);
INSERT INTO public.who_data VALUES (38486, 53, 8429, 1, 215, 163, 34);
INSERT INTO public.who_data VALUES (38487, 0, 12, 0, 0, 163, 212);
INSERT INTO public.who_data VALUES (38488, 379, 65597, 10, 2044, 163, 122);
INSERT INTO public.who_data VALUES (38489, 476, 10191, 2, 630, 163, 38);
INSERT INTO public.who_data VALUES (38490, 4, 2157, 0, 10, 163, 130);
INSERT INTO public.who_data VALUES (38491, 96551, 4562414, 1209, 76271, 163, 37);
INSERT INTO public.who_data VALUES (38492, 3861, 207203, 120, 8456, 163, 231);
INSERT INTO public.who_data VALUES (38493, 2063, 395488, 129, 22798, 163, 107);
INSERT INTO public.who_data VALUES (38494, 4597, 278418, 82, 7814, 163, 101);
INSERT INTO public.who_data VALUES (38495, 196, 30360, 0, 1781, 163, 132);
INSERT INTO public.who_data VALUES (38496, 0, 337, 0, 24, 163, 176);
INSERT INTO public.who_data VALUES (38497, 3994, 142198, 16, 1090, 163, 200);
INSERT INTO public.who_data VALUES (38498, 1597, 283180, 10, 35587, 163, 169);
INSERT INTO public.who_data VALUES (38499, 114, 3437, 2, 38, 163, 225);
INSERT INTO public.who_data VALUES (38500, 680, 73901, 6, 1412, 163, 165);
INSERT INTO public.who_data VALUES (38501, -7, 378, 0, 32, 163, 233);
INSERT INTO public.who_data VALUES (38502, 80, 2807, 1, 20, 163, 215);
INSERT INTO public.who_data VALUES (38503, 375, 135964, 0, 1948, 163, 177);
INSERT INTO public.who_data VALUES (38504, 143, 35603, 5, 612, 163, 183);
INSERT INTO public.who_data VALUES (38505, 0, 0, 0, 0, 163, 203);
INSERT INTO public.who_data VALUES (38506, 69, 14403, 7, 571, 163, 162);
INSERT INTO public.who_data VALUES (38507, 740, 92822, 4, 556, 163, 12);
INSERT INTO public.who_data VALUES (38508, 77, 44761, 0, 1063, 163, 24);
INSERT INTO public.who_data VALUES (38509, 0, 22, 0, 0, 163, 119);
INSERT INTO public.who_data VALUES (38510, 5, 1448, 0, 35, 163, 39);
INSERT INTO public.who_data VALUES (38511, 560, 22437, 7, 219, 163, 26);
INSERT INTO public.who_data VALUES (38512, 81, 1245, 2, 33, 163, 59);
INSERT INTO public.who_data VALUES (38513, 0, 1311, 0, 82, 163, 77);
INSERT INTO public.who_data VALUES (38514, 969, 21908, 13, 352, 163, 134);
INSERT INTO public.who_data VALUES (38515, 0, 109, 0, 1, 163, 4);
INSERT INTO public.who_data VALUES (38516, 44, 3238, 0, 86, 163, 109);
INSERT INTO public.who_data VALUES (38517, 65, 7088, 0, 124, 163, 90);
INSERT INTO public.who_data VALUES (38518, 0, 15520, 0, 206, 163, 61);
INSERT INTO public.who_data VALUES (38519, 2, 5655, 0, 176, 163, 85);
INSERT INTO public.who_data VALUES (38520, 45, 9628, 0, 128, 163, 49);
INSERT INTO public.who_data VALUES (38521, 66, 8900, 0, 31, 163, 208);
INSERT INTO public.who_data VALUES (38522, 11, 2909, 0, 128, 163, 166);
INSERT INTO public.who_data VALUES (38523, 42, 2205, 0, 14, 163, 64);
INSERT INTO public.who_data VALUES (38524, 0, 0, 0, 0, 163, 199);
INSERT INTO public.who_data VALUES (38525, 0, 939, 0, 18, 163, 114);
INSERT INTO public.who_data VALUES (38526, 20, 7222, 0, 161, 163, 60);
INSERT INTO public.who_data VALUES (38527, 4, 361, 0, 10, 163, 68);
INSERT INTO public.who_data VALUES (38528, 0, 3374, 0, 40, 163, 158);
INSERT INTO public.who_data VALUES (38529, 4647, 647507, 611, 69095, 163, 52);
INSERT INTO public.who_data VALUES (38530, 0, 0, 0, 0, 163, 117);
INSERT INTO public.who_data VALUES (38531, 4, 168, 0, 1, 163, 126);
INSERT INTO public.who_data VALUES (38532, 0, 310, 0, 0, 163, 196);
INSERT INTO public.who_data VALUES (38533, 140, 6474, 3, 117, 163, 142);
INSERT INTO public.who_data VALUES (38534, 0, 13, 0, 1, 163, 185);
INSERT INTO public.who_data VALUES (38535, 1889, 79767, 38, 1491, 163, 138);
INSERT INTO public.who_data VALUES (38536, 68, 4832, 3, 31, 163, 181);
INSERT INTO public.who_data VALUES (38537, 256, 2265, 0, 14, 163, 178);
INSERT INTO public.who_data VALUES (38538, 148, 9256, 3, 96, 163, 168);
INSERT INTO public.who_data VALUES (38539, 0, 0, 0, 0, 163, 160);
INSERT INTO public.who_data VALUES (38540, 1246, 50465, 5, 317, 163, 151);
INSERT INTO public.who_data VALUES (38541, 837, 78425, 3, 6248, 163, 193);
INSERT INTO public.who_data VALUES (38542, 0, 26, 0, 0, 163, 18);
INSERT INTO public.who_data VALUES (38543, 1, 1442, 0, 24, 163, 40);
INSERT INTO public.who_data VALUES (38544, 0, 3877, 0, 144, 163, 218);
INSERT INTO public.who_data VALUES (38545, 0, 1178, 0, 69, 163, 191);
INSERT INTO public.who_data VALUES (38546, 197, 55829, 5, 1075, 163, 156);
INSERT INTO public.who_data VALUES (38547, 0, 0, 0, 0, 163, 135);
INSERT INTO public.who_data VALUES (38548, 0, 59, 0, 2, 163, 88);
INSERT INTO public.who_data VALUES (38549, 121, 15414, 3, 637, 163, 55);
INSERT INTO public.who_data VALUES (38550, 122, 11746, 1, 265, 163, 108);
INSERT INTO public.who_data VALUES (38551, 1000, 37214, 7, 224, 163, 48);
INSERT INTO public.who_data VALUES (38552, 398, 88337, 11, 762, 163, 3);
INSERT INTO public.who_data VALUES (38553, 0, 741, 0, 13, 163, 224);
INSERT INTO public.who_data VALUES (38554, 516, 300371, 5, 6370, 163, 110);
INSERT INTO public.who_data VALUES (38555, 0, 0, 0, 0, 163, 106);
INSERT INTO public.who_data VALUES (38556, 635, 99042, 9, 2116, 163, 89);
INSERT INTO public.who_data VALUES (38557, 3, 507, 0, 5, 163, 121);
INSERT INTO public.who_data VALUES (38558, 812, 25026, 11, 474, 163, 163);
INSERT INTO public.who_data VALUES (38559, 6586, 702776, 113, 30236, 163, 70);
INSERT INTO public.who_data VALUES (38560, 3804, 248947, 80, 4066, 163, 174);
INSERT INTO public.who_data VALUES (38561, 0, 0, 0, 0, 163, 175);
INSERT INTO public.who_data VALUES (38562, 506, 72453, 12, 2159, 163, 118);
INSERT INTO public.who_data VALUES (38563, 585, 62126, 3, 1852, 163, 189);
INSERT INTO public.who_data VALUES (38564, 772, 36279, 12, 512, 163, 124);
INSERT INTO public.who_data VALUES (38565, 206, 121052, 0, 205, 163, 192);
INSERT INTO public.who_data VALUES (38566, 176, 21919, 4, 350, 163, 41);
INSERT INTO public.who_data VALUES (38567, 560, 41704, 10, 1106, 163, 95);
INSERT INTO public.who_data VALUES (38568, 94, 2510, 0, 9, 163, 74);
INSERT INTO public.who_data VALUES (38569, 1380, 99684, 47, 4065, 163, 11);
INSERT INTO public.who_data VALUES (38570, 5504, 1051874, 102, 18365, 163, 87);
INSERT INTO public.who_data VALUES (38571, 19, 4479, 1, 22, 163, 214);
INSERT INTO public.who_data VALUES (38572, 0, 5, 0, 0, 163, 116);
INSERT INTO public.who_data VALUES (38573, 3, 21, 0, 0, 163, 157);
INSERT INTO public.who_data VALUES (38574, 0, 0, 0, 0, 163, 182);
INSERT INTO public.who_data VALUES (38575, 0, 17, 0, 0, 163, 186);
INSERT INTO public.who_data VALUES (38576, 0, 27, 0, 0, 163, 127);
INSERT INTO public.who_data VALUES (38577, 17, 256, 0, 6, 163, 232);
INSERT INTO public.who_data VALUES (38578, 0, 10, 0, 0, 163, 33);
INSERT INTO public.who_data VALUES (38579, 0, 62, 0, 0, 163, 97);
INSERT INTO public.who_data VALUES (38580, 0, 0, 0, 0, 163, 42);
INSERT INTO public.who_data VALUES (38581, 6, 741, 0, 42, 163, 198);
INSERT INTO public.who_data VALUES (38582, 3, 901, 0, 15, 163, 216);
INSERT INTO public.who_data VALUES (38583, 708, 323720, 24, 4189, 163, 164);
INSERT INTO public.who_data VALUES (38584, 48, 14150, 0, 293, 163, 235);
INSERT INTO public.who_data VALUES (38585, 58, 32136, 1, 729, 163, 67);
INSERT INTO public.who_data VALUES (38586, 0, 135, 0, 0, 163, 15);
INSERT INTO public.who_data VALUES (38587, 2, 2069, 0, 72, 163, 180);
INSERT INTO public.who_data VALUES (38588, 63, 57229, 0, 27, 163, 237);
INSERT INTO public.who_data VALUES (38589, 0, 10, 0, 0, 163, 25);
INSERT INTO public.who_data VALUES (38590, 3, 530, 0, 19, 163, 209);
INSERT INTO public.who_data VALUES (38591, 161, 4888, 0, 37, 163, 217);
INSERT INTO public.who_data VALUES (38592, 78, 3391, 0, 135, 163, 79);
INSERT INTO public.who_data VALUES (38593, 0, 0, 0, 0, 163, 143);
INSERT INTO public.who_data VALUES (38594, 5, 3376, 1, 98, 163, 229);
INSERT INTO public.who_data VALUES (38595, 2007, 644438, 97, 15265, 163, 141);
INSERT INTO public.who_data VALUES (38596, 13, 2568, 0, 48, 163, 197);
INSERT INTO public.who_data VALUES (38597, 13017, 600151, 90, 31655, 163, 221);
INSERT INTO public.who_data VALUES (38598, 8, 3155, 0, 12, 163, 150);
INSERT INTO public.who_data VALUES (38599, 46, 13516, 1, 835, 163, 56);
INSERT INTO public.who_data VALUES (38600, 28, 4447, 1, 92, 163, 167);
INSERT INTO public.who_data VALUES (38601, 314, 86304, 2, 5838, 163, 23);
INSERT INTO public.who_data VALUES (38602, 507, 46525, 0, 1784, 163, 222);
INSERT INTO public.who_data VALUES (38603, 65, 3416, 4, 147, 163, 219);
INSERT INTO public.who_data VALUES (38604, 40, 8939, 1, 72, 163, 7);
INSERT INTO public.who_data VALUES (38605, 7, 3461, 0, 58, 163, 161);
INSERT INTO public.who_data VALUES (38606, 2919, 358142, 14, 41608, 163, 149);
INSERT INTO public.who_data VALUES (38607, 0, 27, 0, 0, 163, 6);
INSERT INTO public.who_data VALUES (38608, 9, 1537, 1, 37, 163, 139);
INSERT INTO public.who_data VALUES (38609, 0, 0, 0, 0, 163, 211);
INSERT INTO public.who_data VALUES (38610, 0, 0, 0, 0, 163, 14);
INSERT INTO public.who_data VALUES (38611, 170, 2663, 1, 40, 163, 111);
INSERT INTO public.who_data VALUES (38612, 376, 6635, 4, 107, 163, 207);
INSERT INTO public.who_data VALUES (38613, 8242, 589305, 58, 6895, 163, 66);
INSERT INTO public.who_data VALUES (38614, 0, 0, 0, 0, 163, 173);
INSERT INTO public.who_data VALUES (38615, 14, 628, 0, 5, 163, 145);
INSERT INTO public.who_data VALUES (38616, 0, 0, 0, 0, 163, 65);
INSERT INTO public.who_data VALUES (38617, 190, 4291, 2, 48, 163, 184);
INSERT INTO public.who_data VALUES (38618, 3144, 148756, 53, 3076, 163, 98);
INSERT INTO public.who_data VALUES (38619, 930, 76911, 5, 398, 163, 104);
INSERT INTO public.who_data VALUES (38620, 0, 509, 0, 21, 163, 73);
INSERT INTO public.who_data VALUES (38621, 31988, 6304181, 1101, 189709, 163, 8);
INSERT INTO public.who_data VALUES (38622, 6, 1197, 0, 18, 163, 227);
INSERT INTO public.who_data VALUES (38623, 29, 1741, 0, 45, 163, 75);
INSERT INTO public.who_data VALUES (38624, 767, 45927, 7, 375, 163, 45);
INSERT INTO public.who_data VALUES (38625, 0, 0, 0, 0, 163, 133);
INSERT INTO public.who_data VALUES (38626, 1188, 56751, 8, 452, 163, 202);
INSERT INTO public.who_data VALUES (38627, 0, 1059, 0, 35, 163, 129);
INSERT INTO public.who_data VALUES (38628, 0, 0, 0, 0, 163, 36);
INSERT INTO public.who_data VALUES (38629, 4, 2007, 4, 581, 163, 51);
INSERT INTO public.who_data VALUES (38630, 102, 13214, 0, 300, 163, 206);
INSERT INTO public.who_data VALUES (38631, 24, 7453, 0, 222, 163, 5);
INSERT INTO public.who_data VALUES (38632, 28, 38658, 0, 1424, 164, 103);
INSERT INTO public.who_data VALUES (38633, 151, 10704, 1, 322, 164, 58);
INSERT INTO public.who_data VALUES (38634, 278, 47216, 10, 1581, 164, 195);
INSERT INTO public.who_data VALUES (38635, 0, 0, 0, 0, 164, 115);
INSERT INTO public.who_data VALUES (38636, 40, 1301, 0, 53, 164, 99);
INSERT INTO public.who_data VALUES (38637, 59, 3092, 2, 126, 164, 153);
INSERT INTO public.who_data VALUES (38638, 0, 3, 0, 0, 164, 93);
INSERT INTO public.who_data VALUES (38639, 0, 95, 0, 3, 164, 84);
INSERT INTO public.who_data VALUES (38640, 12027, 500034, 278, 10457, 164, 78);
INSERT INTO public.who_data VALUES (38641, 174, 44639, 1, 901, 164, 170);
INSERT INTO public.who_data VALUES (38642, 107, 2589, 0, 15, 164, 32);
INSERT INTO public.who_data VALUES (38643, 91, 26465, 11, 781, 164, 155);
INSERT INTO public.who_data VALUES (38644, 754, 30954, 0, 747, 164, 82);
INSERT INTO public.who_data VALUES (38645, 175, 37732, 3, 555, 164, 16);
INSERT INTO public.who_data VALUES (38646, 72, 2657, 4, 63, 164, 72);
INSERT INTO public.who_data VALUES (38647, 672, 57450, 1, 203, 164, 43);
INSERT INTO public.who_data VALUES (38648, 1827, 331078, 41, 4593, 164, 120);
INSERT INTO public.who_data VALUES (38649, 0, 180, 0, 7, 164, 213);
INSERT INTO public.who_data VALUES (38650, 194, 73402, 5, 726, 164, 31);
INSERT INTO public.who_data VALUES (38651, 1024, 91965, 2, 9906, 164, 204);
INSERT INTO public.who_data VALUES (38652, 54, 1361, 0, 16, 164, 152);
INSERT INTO public.who_data VALUES (38653, 0, 2242, 0, 40, 164, 144);
INSERT INTO public.who_data VALUES (38654, 2, 177, 0, 9, 164, 96);
INSERT INTO public.who_data VALUES (38655, 0, 234, 0, 0, 164, 47);
INSERT INTO public.who_data VALUES (38656, 704, 122308, 43, 7097, 164, 80);
INSERT INTO public.who_data VALUES (38657, 0, 10, 0, 0, 164, 159);
INSERT INTO public.who_data VALUES (38658, 295, 22254, 6, 668, 164, 27);
INSERT INTO public.who_data VALUES (38659, 0, 2126, 0, 9, 164, 146);
INSERT INTO public.who_data VALUES (38660, 14279, 4162073, 504, 127464, 164, 71);
INSERT INTO public.who_data VALUES (38661, 0, 63, 0, 1, 164, 210);
INSERT INTO public.who_data VALUES (38662, 0, 145, 0, 3, 164, 54);
INSERT INTO public.who_data VALUES (38663, 122, 17435, 10, 702, 164, 147);
INSERT INTO public.who_data VALUES (38664, 3, 1466, 0, 56, 164, 2);
INSERT INTO public.who_data VALUES (38665, 3, 469, 0, 1, 164, 105);
INSERT INTO public.who_data VALUES (38666, 73, 4473, 1, 43, 164, 53);
INSERT INTO public.who_data VALUES (38667, 0, 274, 0, 0, 164, 81);
INSERT INTO public.who_data VALUES (38668, 0, 19848, 0, 415, 164, 223);
INSERT INTO public.who_data VALUES (38669, 1606, 133748, 7, 9153, 164, 94);
INSERT INTO public.who_data VALUES (38670, 0, 205, 0, 1, 164, 154);
INSERT INTO public.who_data VALUES (38671, 0, 4736, 0, 62, 164, 83);
INSERT INTO public.who_data VALUES (38672, 3, 1048, 0, 79, 164, 194);
INSERT INTO public.who_data VALUES (38673, 1486, 427027, 20, 11702, 164, 136);
INSERT INTO public.who_data VALUES (38674, 13, 90595, 0, 4740, 164, 179);
INSERT INTO public.who_data VALUES (38675, 7665, 679513, 202, 21817, 164, 57);
INSERT INTO public.who_data VALUES (38676, 0, 456, 0, 7, 164, 35);
INSERT INTO public.who_data VALUES (38677, 0, 4891, 0, 82, 164, 228);
INSERT INTO public.who_data VALUES (38678, 0, 0, 0, 0, 164, 19);
INSERT INTO public.who_data VALUES (38679, 1117, 49897, 21, 531, 164, 22);
INSERT INTO public.who_data VALUES (38680, 37, 18815, 0, 119, 164, 1);
INSERT INTO public.who_data VALUES (38681, 341, 12626, 3, 206, 164, 21);
INSERT INTO public.who_data VALUES (38682, 82, 4459, 0, 104, 164, 234);
INSERT INTO public.who_data VALUES (38683, 9, 116, 0, 1, 164, 91);
INSERT INTO public.who_data VALUES (38684, 3, 1514, 0, 21, 164, 137);
INSERT INTO public.who_data VALUES (38685, 1159, 31036, 3, 444, 164, 201);
INSERT INTO public.who_data VALUES (38686, 0, 0, 0, 0, 164, 171);
INSERT INTO public.who_data VALUES (38687, 32, 10323, 0, 260, 164, 92);
INSERT INTO public.who_data VALUES (38688, 251, 18607, 0, 628, 164, 112);
INSERT INTO public.who_data VALUES (38689, 3, 5391, 0, 61, 164, 62);
INSERT INTO public.who_data VALUES (38690, 2, 24, 0, 0, 164, 69);
INSERT INTO public.who_data VALUES (38691, 806, 100937, 25, 1914, 164, 220);
INSERT INTO public.who_data VALUES (38692, 1409, 112166, 74, 10701, 164, 100);
INSERT INTO public.who_data VALUES (38693, 175, 100403, 17, 5577, 164, 187);
INSERT INTO public.who_data VALUES (38694, 91, 26602, 5, 770, 164, 63);
INSERT INTO public.who_data VALUES (38695, 5, 4990, 0, 83, 164, 28);
INSERT INTO public.who_data VALUES (38696, 0, 341, 0, 0, 164, 172);
INSERT INTO public.who_data VALUES (38697, 22, 2585, 0, 64, 164, 17);
INSERT INTO public.who_data VALUES (38698, 32, 4936, 1, 97, 164, 226);
INSERT INTO public.who_data VALUES (38699, 916, 61700, 17, 966, 164, 236);
INSERT INTO public.who_data VALUES (38700, 0, 13, 0, 0, 164, 76);
INSERT INTO public.who_data VALUES (38701, 1, 415, 0, 0, 164, 30);
INSERT INTO public.who_data VALUES (38702, 0, 32, 0, 2, 164, 128);
INSERT INTO public.who_data VALUES (38703, 93, 8430, 1, 337, 164, 86);
INSERT INTO public.who_data VALUES (38704, 8294, 325400, 29, 30636, 164, 140);
INSERT INTO public.who_data VALUES (38705, 31, 9418, 0, 62, 164, 44);
INSERT INTO public.who_data VALUES (38706, 37, 857, 0, 0, 164, 113);
INSERT INTO public.who_data VALUES (38707, 13, 8621, 0, 53, 164, 29);
INSERT INTO public.who_data VALUES (38708, 18, 3293, 0, 99, 164, 125);
INSERT INTO public.who_data VALUES (38709, 57, 1830, 0, 19, 164, 131);
INSERT INTO public.who_data VALUES (38710, 1892, 255366, 3, 9341, 164, 46);
INSERT INTO public.who_data VALUES (38711, 0, 45012, 0, 283, 164, 10);
INSERT INTO public.who_data VALUES (38712, 5, 320, 0, 0, 164, 205);
INSERT INTO public.who_data VALUES (38713, 248, 12080, 3, 293, 164, 50);
INSERT INTO public.who_data VALUES (38714, 0, 14, 0, 0, 164, 20);
INSERT INTO public.who_data VALUES (38715, 0, 24, 0, 0, 164, 13);
INSERT INTO public.who_data VALUES (38716, 0, 2287, 0, 23, 164, 148);
INSERT INTO public.who_data VALUES (38717, 45, 1758, 2, 21, 164, 230);
INSERT INTO public.who_data VALUES (38718, 901, 79622, 7, 2897, 164, 190);
INSERT INTO public.who_data VALUES (38719, 0, 253, 0, 13, 164, 188);
INSERT INTO public.who_data VALUES (38720, 37, 9885, 0, 63, 164, 123);
INSERT INTO public.who_data VALUES (38721, 30, 2275, 1, 39, 164, 9);
INSERT INTO public.who_data VALUES (38722, 53, 1613, 1, 48, 164, 102);
INSERT INTO public.who_data VALUES (38723, 14, 8376, 0, 214, 164, 34);
INSERT INTO public.who_data VALUES (38724, 0, 12, 0, 0, 164, 212);
INSERT INTO public.who_data VALUES (38725, 404, 65218, 11, 2034, 164, 122);
INSERT INTO public.who_data VALUES (38726, 411, 9715, 2, 628, 164, 38);
INSERT INTO public.who_data VALUES (38727, 3, 2153, 0, 10, 164, 130);
INSERT INTO public.who_data VALUES (38728, 95735, 4465863, 1172, 75062, 164, 37);
INSERT INTO public.who_data VALUES (38729, 3307, 203342, 106, 8336, 164, 231);
INSERT INTO public.who_data VALUES (38730, 2313, 393425, 127, 22669, 164, 107);
INSERT INTO public.who_data VALUES (38731, 4243, 273821, 75, 7732, 164, 101);
INSERT INTO public.who_data VALUES (38732, 84, 30164, 3, 1781, 164, 132);
INSERT INTO public.who_data VALUES (38733, 0, 337, 0, 24, 164, 176);
INSERT INTO public.who_data VALUES (38734, 3489, 138204, 20, 1074, 164, 200);
INSERT INTO public.who_data VALUES (38735, 1430, 281583, 14, 35577, 164, 169);
INSERT INTO public.who_data VALUES (38736, 140, 3323, 2, 36, 164, 225);
INSERT INTO public.who_data VALUES (38737, 495, 73221, 13, 1406, 164, 165);
INSERT INTO public.who_data VALUES (38738, 0, 385, 0, 32, 164, 233);
INSERT INTO public.who_data VALUES (38739, 78, 2727, 0, 19, 164, 215);
INSERT INTO public.who_data VALUES (38740, 430, 135589, 0, 1948, 164, 177);
INSERT INTO public.who_data VALUES (38741, 104, 35460, 8, 607, 164, 183);
INSERT INTO public.who_data VALUES (38742, 0, 0, 0, 0, 164, 203);
INSERT INTO public.who_data VALUES (38743, 76, 14334, 6, 564, 164, 162);
INSERT INTO public.who_data VALUES (38744, 838, 92082, 4, 552, 164, 12);
INSERT INTO public.who_data VALUES (38745, 71, 44684, 0, 1063, 164, 24);
INSERT INTO public.who_data VALUES (38746, 0, 22, 0, 0, 164, 119);
INSERT INTO public.who_data VALUES (38747, 11, 1443, 0, 35, 164, 39);
INSERT INTO public.who_data VALUES (38748, 553, 21877, 5, 212, 164, 26);
INSERT INTO public.who_data VALUES (38749, 0, 1164, 0, 31, 164, 59);
INSERT INTO public.who_data VALUES (38750, 0, 1311, 0, 82, 164, 77);
INSERT INTO public.who_data VALUES (38751, 477, 20939, 15, 339, 164, 134);
INSERT INTO public.who_data VALUES (38752, 0, 109, 0, 1, 164, 4);
INSERT INTO public.who_data VALUES (38753, 36, 3194, 0, 86, 164, 109);
INSERT INTO public.who_data VALUES (38754, 49, 7023, 0, 124, 164, 90);
INSERT INTO public.who_data VALUES (38755, 85, 15520, 0, 206, 164, 61);
INSERT INTO public.who_data VALUES (38756, 23, 5653, 0, 176, 164, 85);
INSERT INTO public.who_data VALUES (38757, 24, 9583, 0, 128, 164, 49);
INSERT INTO public.who_data VALUES (38758, 93, 8834, 2, 31, 164, 208);
INSERT INTO public.who_data VALUES (38759, 16, 2898, 1, 128, 164, 166);
INSERT INTO public.who_data VALUES (38760, 63, 2163, 0, 14, 164, 64);
INSERT INTO public.who_data VALUES (38761, 0, 0, 0, 0, 164, 199);
INSERT INTO public.who_data VALUES (38762, 181, 939, 0, 18, 164, 114);
INSERT INTO public.who_data VALUES (38763, 38, 7202, 1, 161, 164, 60);
INSERT INTO public.who_data VALUES (38764, 0, 357, 0, 10, 164, 68);
INSERT INTO public.who_data VALUES (38765, 0, 3374, 0, 40, 164, 158);
INSERT INTO public.who_data VALUES (38766, 5351, 642860, 703, 68484, 164, 52);
INSERT INTO public.who_data VALUES (38767, 0, 0, 0, 0, 164, 117);
INSERT INTO public.who_data VALUES (38768, 5, 164, 0, 1, 164, 126);
INSERT INTO public.who_data VALUES (38769, 0, 310, 0, 0, 164, 196);
INSERT INTO public.who_data VALUES (38770, 169, 6334, 0, 114, 164, 142);
INSERT INTO public.who_data VALUES (38771, 0, 13, 0, 1, 164, 185);
INSERT INTO public.who_data VALUES (38772, 2157, 77878, 26, 1453, 164, 138);
INSERT INTO public.who_data VALUES (38773, 117, 4764, 0, 28, 164, 181);
INSERT INTO public.who_data VALUES (38774, 202, 2009, 2, 14, 164, 178);
INSERT INTO public.who_data VALUES (38775, 180, 9108, 4, 93, 164, 168);
INSERT INTO public.who_data VALUES (38776, 0, 0, 0, 0, 164, 160);
INSERT INTO public.who_data VALUES (38777, 1081, 49219, 6, 312, 164, 151);
INSERT INTO public.who_data VALUES (38778, 1140, 77588, 2, 6245, 164, 193);
INSERT INTO public.who_data VALUES (38779, 0, 26, 0, 0, 164, 18);
INSERT INTO public.who_data VALUES (38780, 4, 1441, 0, 24, 164, 40);
INSERT INTO public.who_data VALUES (38781, 0, 3877, 0, 144, 164, 218);
INSERT INTO public.who_data VALUES (38782, 0, 1178, 0, 69, 164, 191);
INSERT INTO public.who_data VALUES (38783, 176, 55632, 3, 1070, 164, 156);
INSERT INTO public.who_data VALUES (38784, 0, 0, 0, 0, 164, 135);
INSERT INTO public.who_data VALUES (38785, 0, 59, 0, 2, 164, 88);
INSERT INTO public.who_data VALUES (38786, 67, 15293, 3, 634, 164, 55);
INSERT INTO public.who_data VALUES (38787, 105, 11624, 0, 264, 164, 108);
INSERT INTO public.who_data VALUES (38788, 696, 36214, 2, 217, 164, 48);
INSERT INTO public.who_data VALUES (38789, 349, 87939, 9, 751, 164, 3);
INSERT INTO public.who_data VALUES (38790, 0, 741, 0, 13, 164, 224);
INSERT INTO public.who_data VALUES (38791, 196, 299855, 6, 6365, 164, 110);
INSERT INTO public.who_data VALUES (38792, 0, 0, 0, 0, 164, 106);
INSERT INTO public.who_data VALUES (38793, 829, 98407, 8, 2107, 164, 89);
INSERT INTO public.who_data VALUES (38794, 1, 504, 0, 5, 164, 121);
INSERT INTO public.who_data VALUES (38795, 861, 24214, 14, 463, 164, 163);
INSERT INTO public.who_data VALUES (38796, 4615, 696190, 147, 30123, 164, 70);
INSERT INTO public.who_data VALUES (38797, 3156, 245143, 70, 3986, 164, 174);
INSERT INTO public.who_data VALUES (38798, 0, 0, 0, 0, 164, 175);
INSERT INTO public.who_data VALUES (38799, 421, 71947, 11, 2147, 164, 118);
INSERT INTO public.who_data VALUES (38800, 646, 61541, 3, 1849, 164, 189);
INSERT INTO public.who_data VALUES (38801, 3, 35507, 18, 500, 164, 124);
INSERT INTO public.who_data VALUES (38802, 267, 120846, 0, 205, 164, 192);
INSERT INTO public.who_data VALUES (38803, 155, 21743, 2, 346, 164, 41);
INSERT INTO public.who_data VALUES (38804, 588, 41144, 9, 1096, 164, 95);
INSERT INTO public.who_data VALUES (38805, 70, 2416, 1, 9, 164, 74);
INSERT INTO public.who_data VALUES (38806, 1271, 98304, 51, 4018, 164, 11);
INSERT INTO public.who_data VALUES (38807, 5363, 1046370, 128, 18263, 164, 87);
INSERT INTO public.who_data VALUES (38808, 21, 4460, 1, 21, 164, 214);
INSERT INTO public.who_data VALUES (38809, 0, 5, 0, 0, 164, 116);
INSERT INTO public.who_data VALUES (38810, 0, 18, 0, 0, 164, 157);
INSERT INTO public.who_data VALUES (38811, 0, 0, 0, 0, 164, 182);
INSERT INTO public.who_data VALUES (38812, 0, 17, 0, 0, 164, 186);
INSERT INTO public.who_data VALUES (38813, 1, 27, 0, 0, 164, 127);
INSERT INTO public.who_data VALUES (38814, 0, 239, 0, 6, 164, 232);
INSERT INTO public.who_data VALUES (38815, 1, 10, 0, 0, 164, 33);
INSERT INTO public.who_data VALUES (38816, 0, 62, 0, 0, 164, 97);
INSERT INTO public.who_data VALUES (38817, 0, 0, 0, 0, 164, 42);
INSERT INTO public.who_data VALUES (38818, 0, 735, 0, 42, 164, 198);
INSERT INTO public.who_data VALUES (38819, 0, 898, 0, 15, 164, 216);
INSERT INTO public.who_data VALUES (38820, 775, 323012, 28, 4165, 164, 164);
INSERT INTO public.who_data VALUES (38821, 88, 14102, 2, 293, 164, 235);
INSERT INTO public.who_data VALUES (38822, 84, 32078, 1, 728, 164, 67);
INSERT INTO public.who_data VALUES (38823, 0, 135, 0, 0, 164, 15);
INSERT INTO public.who_data VALUES (38824, 3, 2067, 0, 72, 164, 180);
INSERT INTO public.who_data VALUES (38825, 75, 57166, 0, 27, 164, 237);
INSERT INTO public.who_data VALUES (38826, 0, 10, 0, 0, 164, 25);
INSERT INTO public.who_data VALUES (38827, 11, 527, 0, 19, 164, 209);
INSERT INTO public.who_data VALUES (38828, 91, 4727, 0, 37, 164, 217);
INSERT INTO public.who_data VALUES (38829, 79, 3313, 1, 135, 164, 79);
INSERT INTO public.who_data VALUES (38830, 0, 0, 0, 0, 164, 143);
INSERT INTO public.who_data VALUES (38831, 9, 3371, 0, 97, 164, 229);
INSERT INTO public.who_data VALUES (38832, 1990, 642431, 82, 15168, 164, 141);
INSERT INTO public.who_data VALUES (38833, 0, 2555, -1, 48, 164, 197);
INSERT INTO public.who_data VALUES (38834, 12179, 587134, 83, 31565, 164, 221);
INSERT INTO public.who_data VALUES (38835, 7, 3147, 0, 12, 164, 150);
INSERT INTO public.who_data VALUES (38836, 0, 13470, 0, 834, 164, 56);
INSERT INTO public.who_data VALUES (38837, 59, 4419, 0, 91, 164, 167);
INSERT INTO public.who_data VALUES (38838, 236, 85990, 1, 5836, 164, 23);
INSERT INTO public.who_data VALUES (38839, 462, 46018, 7, 1784, 164, 222);
INSERT INTO public.who_data VALUES (38840, 62, 3351, 3, 143, 164, 219);
INSERT INTO public.who_data VALUES (38841, 39, 8899, 1, 71, 164, 7);
INSERT INTO public.who_data VALUES (38842, 7, 3454, 0, 58, 164, 161);
INSERT INTO public.who_data VALUES (38843, 2659, 355223, 8, 41594, 164, 149);
INSERT INTO public.who_data VALUES (38844, 0, 27, 0, 0, 164, 6);
INSERT INTO public.who_data VALUES (38845, 35, 1528, 3, 36, 164, 139);
INSERT INTO public.who_data VALUES (38846, 0, 0, 0, 0, 164, 211);
INSERT INTO public.who_data VALUES (38847, 0, 0, 0, 0, 164, 14);
INSERT INTO public.who_data VALUES (38848, 146, 2493, 1, 39, 164, 111);
INSERT INTO public.who_data VALUES (38849, 377, 6259, 4, 103, 164, 207);
INSERT INTO public.who_data VALUES (38850, 8403, 581063, 55, 6837, 164, 66);
INSERT INTO public.who_data VALUES (38851, 0, 0, 0, 0, 164, 173);
INSERT INTO public.who_data VALUES (38852, 15, 614, 0, 5, 164, 145);
INSERT INTO public.who_data VALUES (38853, 0, 0, 0, 0, 164, 65);
INSERT INTO public.who_data VALUES (38854, 201, 4101, 0, 46, 164, 184);
INSERT INTO public.who_data VALUES (38855, 2582, 145612, 44, 3023, 164, 98);
INSERT INTO public.who_data VALUES (38856, 883, 75981, 2, 393, 164, 104);
INSERT INTO public.who_data VALUES (38857, 0, 509, 0, 21, 164, 73);
INSERT INTO public.who_data VALUES (38858, 23204, 6272193, 436, 188608, 164, 8);
INSERT INTO public.who_data VALUES (38859, 0, 1191, 0, 18, 164, 227);
INSERT INTO public.who_data VALUES (38860, 19, 1712, 0, 45, 164, 75);
INSERT INTO public.who_data VALUES (38861, 603, 45160, 6, 368, 164, 45);
INSERT INTO public.who_data VALUES (38862, 0, 0, 0, 0, 164, 133);
INSERT INTO public.who_data VALUES (38863, 1213, 55563, 8, 444, 164, 202);
INSERT INTO public.who_data VALUES (38864, 5, 1059, 0, 35, 164, 129);
INSERT INTO public.who_data VALUES (38865, 0, 0, 0, 0, 164, 36);
INSERT INTO public.who_data VALUES (38866, 5, 2003, 0, 577, 164, 51);
INSERT INTO public.who_data VALUES (38867, 160, 13112, 3, 300, 164, 206);
INSERT INTO public.who_data VALUES (38868, 41, 7429, 4, 222, 164, 5);
INSERT INTO public.who_data VALUES (38869, 24, 38630, 2, 1424, 165, 103);
INSERT INTO public.who_data VALUES (38870, 147, 10553, 2, 321, 165, 58);
INSERT INTO public.who_data VALUES (38871, 285, 46938, 9, 1571, 165, 195);
INSERT INTO public.who_data VALUES (38872, 0, 0, 0, 0, 165, 115);
INSERT INTO public.who_data VALUES (38873, 0, 1261, 0, 53, 165, 99);
INSERT INTO public.who_data VALUES (38874, 52, 3033, 4, 124, 165, 153);
INSERT INTO public.who_data VALUES (38875, 0, 3, 0, 0, 165, 93);
INSERT INTO public.who_data VALUES (38876, 0, 95, 0, 3, 165, 84);
INSERT INTO public.who_data VALUES (38877, 9215, 488007, 267, 10179, 165, 78);
INSERT INTO public.who_data VALUES (38878, 199, 44465, 2, 900, 165, 170);
INSERT INTO public.who_data VALUES (38879, 33, 2482, 1, 15, 165, 32);
INSERT INTO public.who_data VALUES (38880, 52, 26374, 8, 770, 165, 155);
INSERT INTO public.who_data VALUES (38881, 495, 30200, 1, 747, 165, 82);
INSERT INTO public.who_data VALUES (38882, 139, 37557, 1, 552, 165, 16);
INSERT INTO public.who_data VALUES (38883, 39, 2585, 1, 59, 165, 72);
INSERT INTO public.who_data VALUES (38884, 702, 56778, 2, 202, 165, 43);
INSERT INTO public.who_data VALUES (38885, 1892, 329251, 36, 4552, 165, 120);
INSERT INTO public.who_data VALUES (38886, 1, 180, 0, 7, 165, 213);
INSERT INTO public.who_data VALUES (38887, 177, 73208, 5, 721, 165, 31);
INSERT INTO public.who_data VALUES (38888, 871, 90941, 3, 9904, 165, 204);
INSERT INTO public.who_data VALUES (38889, 46, 1307, 1, 16, 165, 152);
INSERT INTO public.who_data VALUES (38890, 29, 2242, 0, 40, 165, 144);
INSERT INTO public.who_data VALUES (38891, 0, 175, 0, 9, 165, 96);
INSERT INTO public.who_data VALUES (38892, 1, 234, 0, 0, 165, 47);
INSERT INTO public.who_data VALUES (38893, 835, 121604, 46, 7054, 165, 80);
INSERT INTO public.who_data VALUES (38894, 0, 10, 0, 0, 165, 159);
INSERT INTO public.who_data VALUES (38895, 303, 21959, 5, 662, 165, 27);
INSERT INTO public.who_data VALUES (38896, 0, 2126, 0, 9, 165, 146);
INSERT INTO public.who_data VALUES (38897, 10273, 4147794, 310, 126960, 165, 71);
INSERT INTO public.who_data VALUES (38898, 0, 63, 0, 1, 165, 210);
INSERT INTO public.who_data VALUES (38899, 0, 145, 0, 3, 165, 54);
INSERT INTO public.who_data VALUES (38900, 167, 17313, 15, 692, 165, 147);
INSERT INTO public.who_data VALUES (38901, 11, 1463, 1, 56, 165, 2);
INSERT INTO public.who_data VALUES (38902, 0, 466, 0, 1, 165, 105);
INSERT INTO public.who_data VALUES (38903, 42, 4400, 0, 42, 165, 53);
INSERT INTO public.who_data VALUES (38904, 0, 274, 0, 0, 165, 81);
INSERT INTO public.who_data VALUES (38905, 0, 19848, 0, 415, 165, 223);
INSERT INTO public.who_data VALUES (38906, 247, 132142, 1, 9146, 165, 94);
INSERT INTO public.who_data VALUES (38907, 0, 205, 0, 1, 165, 154);
INSERT INTO public.who_data VALUES (38908, 7, 4736, 0, 62, 165, 83);
INSERT INTO public.who_data VALUES (38909, 5, 1045, 0, 79, 165, 194);
INSERT INTO public.who_data VALUES (38910, 1267, 425541, 30, 11682, 165, 136);
INSERT INTO public.who_data VALUES (38911, 9, 90582, 1, 4740, 165, 179);
INSERT INTO public.who_data VALUES (38912, 5327, 671848, 203, 21615, 165, 57);
INSERT INTO public.who_data VALUES (38913, 8, 456, 0, 7, 165, 35);
INSERT INTO public.who_data VALUES (38914, 0, 4891, 0, 82, 165, 228);
INSERT INTO public.who_data VALUES (38915, 0, 0, 0, 0, 165, 19);
INSERT INTO public.who_data VALUES (38916, 833, 48780, 19, 510, 165, 22);
INSERT INTO public.who_data VALUES (38917, 77, 18778, 0, 119, 165, 1);
INSERT INTO public.who_data VALUES (38918, 204, 12285, 2, 203, 165, 21);
INSERT INTO public.who_data VALUES (38919, 25, 4377, 2, 104, 165, 234);
INSERT INTO public.who_data VALUES (38920, 15, 107, 0, 1, 165, 91);
INSERT INTO public.who_data VALUES (38921, 1, 1511, 0, 21, 165, 137);
INSERT INTO public.who_data VALUES (38922, 1161, 29877, 4, 441, 165, 201);
INSERT INTO public.who_data VALUES (38923, 0, 0, 0, 0, 165, 171);
INSERT INTO public.who_data VALUES (38924, 59, 10291, 0, 260, 165, 92);
INSERT INTO public.who_data VALUES (38925, 243, 18356, 0, 628, 165, 112);
INSERT INTO public.who_data VALUES (38926, 0, 5388, 0, 61, 165, 62);
INSERT INTO public.who_data VALUES (38927, 0, 22, 0, 0, 165, 69);
INSERT INTO public.who_data VALUES (38928, 233, 100131, 25, 1889, 165, 220);
INSERT INTO public.who_data VALUES (38929, 665, 110757, 51, 10627, 165, 100);
INSERT INTO public.who_data VALUES (38930, 187, 100228, 19, 5560, 165, 187);
INSERT INTO public.who_data VALUES (38931, 98, 26511, 1, 765, 165, 63);
INSERT INTO public.who_data VALUES (38932, 0, 4985, 0, 83, 165, 28);
INSERT INTO public.who_data VALUES (38933, 11, 341, 0, 0, 165, 172);
INSERT INTO public.who_data VALUES (38934, 32, 2563, 0, 64, 165, 17);
INSERT INTO public.who_data VALUES (38935, 20, 4904, 2, 96, 165, 226);
INSERT INTO public.who_data VALUES (38936, 1136, 60784, 16, 949, 165, 236);
INSERT INTO public.who_data VALUES (38937, 0, 13, 0, 0, 165, 76);
INSERT INTO public.who_data VALUES (38938, 1, 414, 0, 0, 165, 30);
INSERT INTO public.who_data VALUES (38939, 1, 32, 0, 2, 165, 128);
INSERT INTO public.who_data VALUES (38940, 10, 8337, 0, 336, 165, 86);
INSERT INTO public.who_data VALUES (38941, 5519, 317106, 35, 30607, 165, 140);
INSERT INTO public.who_data VALUES (38942, 32, 9387, 0, 62, 165, 44);
INSERT INTO public.who_data VALUES (38943, 47, 820, 0, 0, 165, 113);
INSERT INTO public.who_data VALUES (38944, 0, 8608, 0, 53, 165, 29);
INSERT INTO public.who_data VALUES (38945, 79, 3275, 0, 99, 165, 125);
INSERT INTO public.who_data VALUES (38946, 44, 1773, 0, 19, 165, 131);
INSERT INTO public.who_data VALUES (38947, 1176, 253474, 9, 9338, 165, 46);
INSERT INTO public.who_data VALUES (38948, 235, 45012, 0, 283, 165, 10);
INSERT INTO public.who_data VALUES (38949, 0, 315, 0, 0, 165, 205);
INSERT INTO public.who_data VALUES (38950, 169, 11832, 1, 290, 165, 50);
INSERT INTO public.who_data VALUES (38951, 0, 14, 0, 0, 165, 20);
INSERT INTO public.who_data VALUES (38952, 0, 24, 0, 0, 165, 13);
INSERT INTO public.who_data VALUES (38953, 924, 2287, 3, 23, 165, 148);
INSERT INTO public.who_data VALUES (38954, 41, 1713, 1, 19, 165, 230);
INSERT INTO public.who_data VALUES (38955, 893, 78721, 28, 2890, 165, 190);
INSERT INTO public.who_data VALUES (38956, 1, 253, 0, 13, 165, 188);
INSERT INTO public.who_data VALUES (38957, 32, 9848, 1, 63, 165, 123);
INSERT INTO public.who_data VALUES (38958, 0, 2245, 0, 38, 165, 9);
INSERT INTO public.who_data VALUES (38959, 92, 1560, 1, 47, 165, 102);
INSERT INTO public.who_data VALUES (38960, 2, 8362, 0, 214, 165, 34);
INSERT INTO public.who_data VALUES (38961, 0, 12, 0, 0, 165, 212);
INSERT INTO public.who_data VALUES (38962, 50, 64814, 16, 2023, 165, 122);
INSERT INTO public.who_data VALUES (38963, 341, 9304, 1, 626, 165, 38);
INSERT INTO public.who_data VALUES (38964, 7, 2150, 0, 10, 165, 130);
INSERT INTO public.who_data VALUES (38965, 89706, 4370128, 1115, 73890, 165, 37);
INSERT INTO public.who_data VALUES (38966, 3046, 200035, 100, 8230, 165, 231);
INSERT INTO public.who_data VALUES (38967, 2302, 391112, 132, 22542, 165, 107);
INSERT INTO public.who_data VALUES (38968, 4894, 269578, 68, 7657, 165, 101);
INSERT INTO public.who_data VALUES (38969, 306, 30080, 1, 1778, 165, 132);
INSERT INTO public.who_data VALUES (38970, 0, 337, 0, 24, 165, 176);
INSERT INTO public.who_data VALUES (38971, 3388, 134715, 17, 1054, 165, 200);
INSERT INTO public.who_data VALUES (38972, 1369, 280153, 10, 35563, 165, 169);
INSERT INTO public.who_data VALUES (38973, 80, 3183, 1, 34, 165, 225);
INSERT INTO public.who_data VALUES (38974, 492, 72726, 16, 1393, 165, 165);
INSERT INTO public.who_data VALUES (38975, 1, 385, 0, 32, 165, 233);
INSERT INTO public.who_data VALUES (38976, 103, 2649, 2, 19, 165, 215);
INSERT INTO public.who_data VALUES (38977, 523, 135159, 0, 1948, 165, 177);
INSERT INTO public.who_data VALUES (38978, 151, 35356, 0, 599, 165, 183);
INSERT INTO public.who_data VALUES (38979, 0, 0, 0, 0, 165, 203);
INSERT INTO public.who_data VALUES (38980, 97, 14258, 0, 558, 165, 162);
INSERT INTO public.who_data VALUES (38981, 857, 91244, 2, 548, 165, 12);
INSERT INTO public.who_data VALUES (38982, 87, 44613, 1, 1063, 165, 24);
INSERT INTO public.who_data VALUES (38983, 0, 22, 0, 0, 165, 119);
INSERT INTO public.who_data VALUES (38984, 3, 1432, 0, 35, 165, 39);
INSERT INTO public.who_data VALUES (38985, 498, 21324, 7, 207, 165, 26);
INSERT INTO public.who_data VALUES (38986, 0, 1164, 0, 31, 165, 59);
INSERT INTO public.who_data VALUES (38987, 0, 1311, 0, 82, 165, 77);
INSERT INTO public.who_data VALUES (38988, 879, 20462, 10, 324, 165, 134);
INSERT INTO public.who_data VALUES (38989, 1, 109, 0, 1, 165, 4);
INSERT INTO public.who_data VALUES (38990, 32, 3158, 0, 86, 165, 109);
INSERT INTO public.who_data VALUES (38991, 24, 6974, 0, 124, 165, 90);
INSERT INTO public.who_data VALUES (38992, 83, 15435, 4, 206, 165, 61);
INSERT INTO public.who_data VALUES (38993, 9, 5630, 0, 176, 165, 85);
INSERT INTO public.who_data VALUES (38994, 100, 9559, 0, 128, 165, 49);
INSERT INTO public.who_data VALUES (38995, 74, 8741, 0, 29, 165, 208);
INSERT INTO public.who_data VALUES (38996, 12, 2882, 0, 127, 165, 166);
INSERT INTO public.who_data VALUES (38997, 23, 2100, 0, 14, 165, 64);
INSERT INTO public.who_data VALUES (38998, 0, 0, 0, 0, 165, 199);
INSERT INTO public.who_data VALUES (38999, 0, 758, 0, 18, 165, 114);
INSERT INTO public.who_data VALUES (39000, 0, 7164, 0, 160, 165, 60);
INSERT INTO public.who_data VALUES (39001, 1, 357, 0, 10, 165, 68);
INSERT INTO public.who_data VALUES (39002, 0, 3374, 0, 40, 165, 158);
INSERT INTO public.who_data VALUES (39003, 3486, 637509, 223, 67781, 165, 52);
INSERT INTO public.who_data VALUES (39004, 0, 0, 0, 0, 165, 117);
INSERT INTO public.who_data VALUES (39005, 3, 159, 0, 1, 165, 126);
INSERT INTO public.who_data VALUES (39006, 0, 310, 0, 0, 165, 196);
INSERT INTO public.who_data VALUES (39007, 140, 6165, 0, 114, 165, 142);
INSERT INTO public.who_data VALUES (39008, 0, 13, 0, 1, 165, 185);
INSERT INTO public.who_data VALUES (39009, 1941, 75721, 33, 1427, 165, 138);
INSERT INTO public.who_data VALUES (39010, 90, 4647, 1, 28, 165, 181);
INSERT INTO public.who_data VALUES (39011, 197, 1807, 4, 12, 165, 178);
INSERT INTO public.who_data VALUES (39012, 118, 8928, -2, 89, 165, 168);
INSERT INTO public.who_data VALUES (39013, 0, 0, 0, 0, 165, 160);
INSERT INTO public.who_data VALUES (39014, 902, 48138, 6, 306, 165, 151);
INSERT INTO public.who_data VALUES (39015, 969, 76448, 1, 6243, 165, 193);
INSERT INTO public.who_data VALUES (39016, 0, 26, 0, 0, 165, 18);
INSERT INTO public.who_data VALUES (39017, 6, 1437, 0, 24, 165, 40);
INSERT INTO public.who_data VALUES (39018, 104, 3877, 3, 144, 165, 218);
INSERT INTO public.who_data VALUES (39019, 0, 1178, 0, 69, 165, 191);
INSERT INTO public.who_data VALUES (39020, 296, 55456, 6, 1067, 165, 156);
INSERT INTO public.who_data VALUES (39021, 0, 0, 0, 0, 165, 135);
INSERT INTO public.who_data VALUES (39022, 0, 59, 0, 2, 165, 88);
INSERT INTO public.who_data VALUES (39023, 99, 15226, 8, 631, 165, 55);
INSERT INTO public.who_data VALUES (39024, 132, 11519, 0, 264, 165, 108);
INSERT INTO public.who_data VALUES (39025, 717, 35518, 9, 215, 165, 48);
INSERT INTO public.who_data VALUES (39026, 262, 87590, 8, 742, 165, 3);
INSERT INTO public.who_data VALUES (39027, 0, 741, 0, 13, 165, 224);
INSERT INTO public.who_data VALUES (39028, 426, 299659, 9, 6359, 165, 110);
INSERT INTO public.who_data VALUES (39029, 0, 0, 0, 0, 165, 106);
INSERT INTO public.who_data VALUES (39030, 535, 97578, 13, 2099, 165, 89);
INSERT INTO public.who_data VALUES (39031, 6, 503, 0, 5, 165, 121);
INSERT INTO public.who_data VALUES (39032, 867, 23353, 14, 449, 165, 163);
INSERT INTO public.who_data VALUES (39033, 1598, 691575, 138, 29976, 165, 70);
INSERT INTO public.who_data VALUES (39034, 3260, 241987, 26, 3916, 165, 174);
INSERT INTO public.who_data VALUES (39035, 0, 0, 0, 0, 165, 175);
INSERT INTO public.who_data VALUES (39036, 400, 71526, 12, 2136, 165, 118);
INSERT INTO public.who_data VALUES (39037, 388, 60895, 3, 1846, 165, 189);
INSERT INTO public.who_data VALUES (39038, 129, 35504, 5, 482, 165, 124);
INSERT INTO public.who_data VALUES (39039, 231, 120579, 0, 205, 165, 192);
INSERT INTO public.who_data VALUES (39040, 156, 21588, 3, 344, 165, 41);
INSERT INTO public.who_data VALUES (39041, 501, 40556, 13, 1087, 165, 95);
INSERT INTO public.who_data VALUES (39042, 69, 2346, 0, 8, 165, 74);
INSERT INTO public.who_data VALUES (39043, 1136, 97033, 41, 3967, 165, 11);
INSERT INTO public.who_data VALUES (39044, 5218, 1041007, 142, 18135, 165, 87);
INSERT INTO public.who_data VALUES (39045, 30, 4439, 1, 20, 165, 214);
INSERT INTO public.who_data VALUES (39046, 0, 5, 0, 0, 165, 116);
INSERT INTO public.who_data VALUES (39047, 0, 18, 0, 0, 165, 157);
INSERT INTO public.who_data VALUES (39048, 0, 0, 0, 0, 165, 182);
INSERT INTO public.who_data VALUES (39049, 0, 17, 0, 0, 165, 186);
INSERT INTO public.who_data VALUES (39050, 0, 26, 0, 0, 165, 127);
INSERT INTO public.who_data VALUES (39051, 0, 239, 0, 6, 165, 232);
INSERT INTO public.who_data VALUES (39052, 0, 9, 0, 0, 165, 33);
INSERT INTO public.who_data VALUES (39053, 1, 62, 0, 0, 165, 97);
INSERT INTO public.who_data VALUES (39054, 0, 0, 0, 0, 165, 42);
INSERT INTO public.who_data VALUES (39055, 0, 735, 0, 42, 165, 198);
INSERT INTO public.who_data VALUES (39056, 0, 898, 0, 15, 165, 216);
INSERT INTO public.who_data VALUES (39057, 781, 322237, 30, 4137, 165, 164);
INSERT INTO public.who_data VALUES (39058, 27, 14014, 1, 291, 165, 235);
INSERT INTO public.who_data VALUES (39059, 53, 31994, 2, 727, 165, 67);
INSERT INTO public.who_data VALUES (39060, 0, 135, 0, 0, 165, 15);
INSERT INTO public.who_data VALUES (39061, 9, 2064, 1, 72, 165, 180);
INSERT INTO public.who_data VALUES (39062, 47, 57091, 0, 27, 165, 237);
INSERT INTO public.who_data VALUES (39063, 4, 10, 0, 0, 165, 25);
INSERT INTO public.who_data VALUES (39064, 5, 516, 0, 19, 165, 209);
INSERT INTO public.who_data VALUES (39065, 22, 4636, 0, 37, 165, 217);
INSERT INTO public.who_data VALUES (39066, 43, 3234, 0, 134, 165, 79);
INSERT INTO public.who_data VALUES (39067, 0, 0, 0, 0, 165, 143);
INSERT INTO public.who_data VALUES (39068, 0, 3362, 0, 97, 165, 229);
INSERT INTO public.who_data VALUES (39069, 1079, 640441, 82, 15086, 165, 141);
INSERT INTO public.who_data VALUES (39070, 3, 2555, 0, 49, 165, 197);
INSERT INTO public.who_data VALUES (39071, 7236, 574955, 81, 31482, 165, 221);
INSERT INTO public.who_data VALUES (39072, 17, 3140, 0, 12, 165, 150);
INSERT INTO public.who_data VALUES (39073, 0, 13470, 0, 834, 165, 56);
INSERT INTO public.who_data VALUES (39074, 14, 4360, 6, 91, 165, 167);
INSERT INTO public.who_data VALUES (39075, 185, 85754, 1, 5835, 165, 23);
INSERT INTO public.who_data VALUES (39076, 387, 45556, 1, 1777, 165, 222);
INSERT INTO public.who_data VALUES (39077, 60, 3289, 3, 140, 165, 219);
INSERT INTO public.who_data VALUES (39078, 36, 8860, 0, 70, 165, 7);
INSERT INTO public.who_data VALUES (39079, 1, 3447, 0, 58, 165, 161);
INSERT INTO public.who_data VALUES (39080, 2460, 352564, 32, 41586, 165, 149);
INSERT INTO public.who_data VALUES (39081, 0, 27, 0, 0, 165, 6);
INSERT INTO public.who_data VALUES (39082, 5, 1493, 1, 33, 165, 139);
INSERT INTO public.who_data VALUES (39083, 0, 0, 0, 0, 165, 211);
INSERT INTO public.who_data VALUES (39084, 0, 0, 0, 0, 165, 14);
INSERT INTO public.who_data VALUES (39085, 93, 2347, 3, 38, 165, 111);
INSERT INTO public.who_data VALUES (39086, 465, 5882, 3, 99, 165, 207);
INSERT INTO public.who_data VALUES (39087, 8491, 572660, 52, 6782, 165, 66);
INSERT INTO public.who_data VALUES (39088, 0, 0, 0, 0, 165, 173);
INSERT INTO public.who_data VALUES (39089, 0, 599, 0, 5, 165, 145);
INSERT INTO public.who_data VALUES (39090, 0, 0, 0, 0, 165, 65);
INSERT INTO public.who_data VALUES (39091, 124, 3900, 2, 46, 165, 184);
INSERT INTO public.who_data VALUES (39092, 2551, 143030, 45, 2979, 165, 98);
INSERT INTO public.who_data VALUES (39093, 644, 75098, 1, 391, 165, 104);
INSERT INTO public.who_data VALUES (39094, 0, 509, 0, 21, 165, 73);
INSERT INTO public.who_data VALUES (39095, 26015, 6248989, 169, 188172, 165, 8);
INSERT INTO public.who_data VALUES (39096, 1, 1191, 1, 18, 165, 227);
INSERT INTO public.who_data VALUES (39097, 14, 1693, 0, 45, 165, 75);
INSERT INTO public.who_data VALUES (39098, 450, 44557, 6, 362, 165, 45);
INSERT INTO public.who_data VALUES (39099, 0, 0, 0, 0, 165, 133);
INSERT INTO public.who_data VALUES (39100, 1061, 54350, 8, 436, 165, 202);
INSERT INTO public.who_data VALUES (39101, 5, 1054, 0, 35, 165, 129);
INSERT INTO public.who_data VALUES (39102, 0, 0, 0, 0, 165, 36);
INSERT INTO public.who_data VALUES (39103, 5, 1998, 3, 577, 165, 51);
INSERT INTO public.who_data VALUES (39104, 116, 12952, 2, 297, 165, 206);
INSERT INTO public.who_data VALUES (39105, 272, 7388, 10, 218, 165, 5);
INSERT INTO public.who_data VALUES (39106, 26, 38606, 3, 1422, 166, 103);
INSERT INTO public.who_data VALUES (39107, 151, 10406, 3, 319, 166, 58);
INSERT INTO public.who_data VALUES (39108, 289, 46653, 6, 1562, 166, 195);
INSERT INTO public.who_data VALUES (39109, 0, 0, 0, 0, 166, 115);
INSERT INTO public.who_data VALUES (39110, 46, 1261, 0, 53, 166, 99);
INSERT INTO public.who_data VALUES (39111, 16, 2981, 3, 120, 166, 153);
INSERT INTO public.who_data VALUES (39112, 0, 3, 0, 0, 166, 93);
INSERT INTO public.who_data VALUES (39113, 0, 95, 0, 3, 166, 84);
INSERT INTO public.who_data VALUES (39114, 6986, 478792, 105, 9912, 166, 78);
INSERT INTO public.who_data VALUES (39115, 108, 44266, 3, 898, 166, 170);
INSERT INTO public.who_data VALUES (39116, 157, 2449, 1, 14, 166, 32);
INSERT INTO public.who_data VALUES (39117, 43, 26322, 9, 762, 166, 155);
INSERT INTO public.who_data VALUES (39118, 511, 29705, 10, 746, 166, 82);
INSERT INTO public.who_data VALUES (39119, 89, 37418, 3, 551, 166, 16);
INSERT INTO public.who_data VALUES (39120, 70, 2546, 3, 58, 166, 72);
INSERT INTO public.who_data VALUES (39121, 661, 56076, 1, 200, 166, 43);
INSERT INTO public.who_data VALUES (39122, 2202, 327359, 37, 4516, 166, 120);
INSERT INTO public.who_data VALUES (39123, 0, 179, 0, 7, 166, 213);
INSERT INTO public.who_data VALUES (39124, 172, 73031, 5, 716, 166, 31);
INSERT INTO public.who_data VALUES (39125, 918, 90070, 4, 9901, 166, 204);
INSERT INTO public.who_data VALUES (39126, 67, 1261, 0, 15, 166, 152);
INSERT INTO public.who_data VALUES (39127, 0, 2213, 0, 40, 166, 144);
INSERT INTO public.who_data VALUES (39128, 0, 175, 0, 9, 166, 96);
INSERT INTO public.who_data VALUES (39129, 3, 233, 0, 0, 166, 47);
INSERT INTO public.who_data VALUES (39130, 528, 120769, 1610, 7008, 166, 80);
INSERT INTO public.who_data VALUES (39131, 0, 10, 0, 0, 166, 159);
INSERT INTO public.who_data VALUES (39132, 100, 21656, 9, 657, 166, 27);
INSERT INTO public.who_data VALUES (39133, 124, 2126, 1, 9, 166, 146);
INSERT INTO public.who_data VALUES (39134, 14521, 4137521, 447, 126650, 166, 71);
INSERT INTO public.who_data VALUES (39135, 0, 63, 0, 1, 166, 210);
INSERT INTO public.who_data VALUES (39136, 0, 145, 0, 3, 166, 54);
INSERT INTO public.who_data VALUES (39137, 96, 17146, 6, 677, 166, 147);
INSERT INTO public.who_data VALUES (39138, 5, 1452, 0, 55, 166, 2);
INSERT INTO public.who_data VALUES (39139, 4, 466, 0, 1, 166, 105);
INSERT INTO public.who_data VALUES (39140, 28, 4358, 0, 42, 166, 53);
INSERT INTO public.who_data VALUES (39141, 0, 274, 0, 0, 166, 81);
INSERT INTO public.who_data VALUES (39142, 244, 19848, 0, 415, 166, 223);
INSERT INTO public.who_data VALUES (39143, 400, 131895, 2, 9145, 166, 94);
INSERT INTO public.who_data VALUES (39144, 0, 205, 0, 1, 166, 154);
INSERT INTO public.who_data VALUES (39145, 0, 4729, 0, 62, 166, 83);
INSERT INTO public.who_data VALUES (39146, 1, 1040, 0, 79, 166, 194);
INSERT INTO public.who_data VALUES (39147, 1764, 424274, 60, 11652, 166, 136);
INSERT INTO public.who_data VALUES (39148, 22, 90573, 2, 4739, 166, 179);
INSERT INTO public.who_data VALUES (39149, 8065, 666521, 256, 21412, 166, 57);
INSERT INTO public.who_data VALUES (39150, 0, 448, 0, 7, 166, 35);
INSERT INTO public.who_data VALUES (39151, 24, 4891, 0, 82, 166, 228);
INSERT INTO public.who_data VALUES (39152, 0, 0, 0, 0, 166, 19);
INSERT INTO public.who_data VALUES (39153, 1027, 47947, 13, 491, 166, 22);
INSERT INTO public.who_data VALUES (39154, 113, 18701, 0, 119, 166, 1);
INSERT INTO public.who_data VALUES (39155, 117, 12081, 3, 201, 166, 21);
INSERT INTO public.who_data VALUES (39156, 43, 4352, 1, 102, 166, 234);
INSERT INTO public.who_data VALUES (39157, 14, 92, 0, 1, 166, 91);
INSERT INTO public.who_data VALUES (39158, 1, 1510, 0, 21, 166, 137);
INSERT INTO public.who_data VALUES (39159, 560, 28716, 1, 437, 166, 201);
INSERT INTO public.who_data VALUES (39160, 0, 0, 0, 0, 166, 171);
INSERT INTO public.who_data VALUES (39161, 23, 10232, 0, 260, 166, 92);
INSERT INTO public.who_data VALUES (39162, 566, 18113, 1, 628, 166, 112);
INSERT INTO public.who_data VALUES (39163, 0, 5388, 0, 61, 166, 62);
INSERT INTO public.who_data VALUES (39164, 0, 22, 0, 0, 166, 69);
INSERT INTO public.who_data VALUES (39165, 565, 99898, 19, 1864, 166, 220);
INSERT INTO public.who_data VALUES (39166, 1003, 110092, 52, 10576, 166, 100);
INSERT INTO public.who_data VALUES (39167, 178, 100041, 11, 5541, 166, 187);
INSERT INTO public.who_data VALUES (39168, 105, 26413, 5, 764, 166, 63);
INSERT INTO public.who_data VALUES (39169, 13, 4985, 0, 83, 166, 28);
INSERT INTO public.who_data VALUES (39170, 0, 330, 0, 0, 166, 172);
INSERT INTO public.who_data VALUES (39171, 16, 2531, 0, 64, 166, 17);
INSERT INTO public.who_data VALUES (39172, 31, 4884, 0, 94, 166, 226);
INSERT INTO public.who_data VALUES (39173, 976, 59648, 15, 933, 166, 236);
INSERT INTO public.who_data VALUES (39174, 0, 13, 0, 0, 166, 76);
INSERT INTO public.who_data VALUES (39175, 0, 413, 0, 0, 166, 30);
INSERT INTO public.who_data VALUES (39176, 0, 31, 0, 2, 166, 128);
INSERT INTO public.who_data VALUES (39177, 36, 8327, 0, 336, 166, 86);
INSERT INTO public.who_data VALUES (39178, 4115, 311587, 25, 30572, 166, 140);
INSERT INTO public.who_data VALUES (39179, 33, 9355, 0, 62, 166, 44);
INSERT INTO public.who_data VALUES (39180, 35, 773, 0, 0, 166, 113);
INSERT INTO public.who_data VALUES (39181, 7, 8608, 0, 53, 166, 29);
INSERT INTO public.who_data VALUES (39182, 0, 3196, 0, 99, 166, 125);
INSERT INTO public.who_data VALUES (39183, 45, 1729, 0, 19, 166, 131);
INSERT INTO public.who_data VALUES (39184, 1499, 252298, 4, 9329, 166, 46);
INSERT INTO public.who_data VALUES (39185, 0, 44777, 0, 283, 166, 10);
INSERT INTO public.who_data VALUES (39186, 3, 315, 0, 0, 166, 205);
INSERT INTO public.who_data VALUES (39187, 139, 11663, 5, 289, 166, 50);
INSERT INTO public.who_data VALUES (39188, 0, 14, 0, 0, 166, 20);
INSERT INTO public.who_data VALUES (39189, 0, 24, 0, 0, 166, 13);
INSERT INTO public.who_data VALUES (39190, 0, 1363, 0, 20, 166, 148);
INSERT INTO public.who_data VALUES (39191, 1, 1672, 2, 18, 166, 230);
INSERT INTO public.who_data VALUES (39192, 145, 77828, 10, 2862, 166, 190);
INSERT INTO public.who_data VALUES (39193, 0, 252, 0, 13, 166, 188);
INSERT INTO public.who_data VALUES (39194, 18, 9816, 1, 62, 166, 123);
INSERT INTO public.who_data VALUES (39195, 0, 2245, 0, 38, 166, 9);
INSERT INTO public.who_data VALUES (39196, 9, 1468, 0, 46, 166, 102);
INSERT INTO public.who_data VALUES (39197, 0, 8360, 0, 214, 166, 34);
INSERT INTO public.who_data VALUES (39198, 0, 12, 0, 0, 166, 212);
INSERT INTO public.who_data VALUES (39199, 412, 64764, 1, 2007, 166, 122);
INSERT INTO public.who_data VALUES (39200, 576, 8963, 1, 625, 166, 38);
INSERT INTO public.who_data VALUES (39201, 2, 2143, 0, 10, 166, 130);
INSERT INTO public.who_data VALUES (39202, 75809, 4280422, 1133, 72775, 166, 37);
INSERT INTO public.who_data VALUES (39203, 2880, 196989, 105, 8130, 166, 231);
INSERT INTO public.who_data VALUES (39204, 2152, 388810, 117, 22410, 166, 107);
INSERT INTO public.who_data VALUES (39205, 4314, 264684, 77, 7589, 166, 101);
INSERT INTO public.who_data VALUES (39206, 102, 29774, 0, 1777, 166, 132);
INSERT INTO public.who_data VALUES (39207, 1, 337, 0, 24, 166, 176);
INSERT INTO public.who_data VALUES (39208, 2177, 131327, 12, 1037, 166, 200);
INSERT INTO public.who_data VALUES (39209, 1150, 278784, 12, 35553, 166, 169);
INSERT INTO public.who_data VALUES (39210, 79, 3103, 1, 33, 166, 225);
INSERT INTO public.who_data VALUES (39211, 378, 72234, 14, 1377, 166, 165);
INSERT INTO public.who_data VALUES (39212, 0, 384, 0, 32, 166, 233);
INSERT INTO public.who_data VALUES (39213, 67, 2546, 1, 17, 166, 215);
INSERT INTO public.who_data VALUES (39214, 433, 134636, 0, 1948, 166, 177);
INSERT INTO public.who_data VALUES (39215, 102, 35205, 2, 599, 166, 183);
INSERT INTO public.who_data VALUES (39216, 0, 0, 0, 0, 166, 203);
INSERT INTO public.who_data VALUES (39217, 85, 14161, 5, 558, 166, 162);
INSERT INTO public.who_data VALUES (39218, 805, 90387, 2, 546, 166, 12);
INSERT INTO public.who_data VALUES (39219, 68, 44526, 1, 1062, 166, 24);
INSERT INTO public.who_data VALUES (39220, 0, 22, 0, 0, 166, 119);
INSERT INTO public.who_data VALUES (39221, 1, 1429, 0, 35, 166, 39);
INSERT INTO public.who_data VALUES (39222, 400, 20826, 9, 200, 166, 26);
INSERT INTO public.who_data VALUES (39223, 16, 1164, 0, 31, 166, 59);
INSERT INTO public.who_data VALUES (39224, 5, 1311, 0, 82, 166, 77);
INSERT INTO public.who_data VALUES (39225, 749, 19583, 18, 314, 166, 134);
INSERT INTO public.who_data VALUES (39226, 0, 108, 0, 1, 166, 4);
INSERT INTO public.who_data VALUES (39227, 32, 3126, 0, 86, 166, 109);
INSERT INTO public.who_data VALUES (39228, 54, 6950, 0, 124, 166, 90);
INSERT INTO public.who_data VALUES (39229, 33, 15352, 2, 202, 166, 61);
INSERT INTO public.who_data VALUES (39230, 7, 5621, 1, 176, 166, 85);
INSERT INTO public.who_data VALUES (39231, 62, 9459, 0, 128, 166, 49);
INSERT INTO public.who_data VALUES (39232, 83, 8667, 0, 29, 166, 208);
INSERT INTO public.who_data VALUES (39233, 28, 2870, 0, 127, 166, 166);
INSERT INTO public.who_data VALUES (39234, 37, 2077, 0, 14, 166, 64);
INSERT INTO public.who_data VALUES (39235, 0, 0, 0, 0, 166, 199);
INSERT INTO public.who_data VALUES (39236, 0, 758, 0, 18, 166, 114);
INSERT INTO public.who_data VALUES (39237, 22, 7164, 0, 160, 166, 60);
INSERT INTO public.who_data VALUES (39238, 0, 356, 0, 10, 166, 68);
INSERT INTO public.who_data VALUES (39239, 0, 3374, 0, 40, 166, 158);
INSERT INTO public.who_data VALUES (39240, 4614, 634023, 232, 67558, 166, 52);
INSERT INTO public.who_data VALUES (39241, 0, 0, 0, 0, 166, 117);
INSERT INTO public.who_data VALUES (39242, 5, 156, 0, 1, 166, 126);
INSERT INTO public.who_data VALUES (39243, 0, 310, 0, 0, 166, 196);
INSERT INTO public.who_data VALUES (39244, 172, 6025, 5, 114, 166, 142);
INSERT INTO public.who_data VALUES (39245, 0, 13, 0, 1, 166, 185);
INSERT INTO public.who_data VALUES (39246, 1386, 73780, 33, 1394, 166, 138);
INSERT INTO public.who_data VALUES (39247, 113, 4557, 0, 27, 166, 181);
INSERT INTO public.who_data VALUES (39248, 146, 1610, 0, 8, 166, 178);
INSERT INTO public.who_data VALUES (39249, 125, 8810, 2, 91, 166, 168);
INSERT INTO public.who_data VALUES (39250, 0, 0, 0, 0, 166, 160);
INSERT INTO public.who_data VALUES (39251, 979, 47236, 11, 300, 166, 151);
INSERT INTO public.who_data VALUES (39252, 795, 75479, 0, 6242, 166, 193);
INSERT INTO public.who_data VALUES (39253, 0, 26, 0, 0, 166, 18);
INSERT INTO public.who_data VALUES (39254, 6, 1431, 0, 24, 166, 40);
INSERT INTO public.who_data VALUES (39255, 0, 3773, 0, 141, 166, 218);
INSERT INTO public.who_data VALUES (39256, 1, 1178, 0, 69, 166, 191);
INSERT INTO public.who_data VALUES (39257, 155, 55160, 4, 1061, 166, 156);
INSERT INTO public.who_data VALUES (39258, 0, 0, 0, 0, 166, 135);
INSERT INTO public.who_data VALUES (39259, 1, 59, 0, 2, 166, 88);
INSERT INTO public.who_data VALUES (39260, 37, 15127, 6, 623, 166, 55);
INSERT INTO public.who_data VALUES (39261, 267, 11387, 0, 264, 166, 108);
INSERT INTO public.who_data VALUES (39262, 789, 34801, 3, 206, 166, 48);
INSERT INTO public.who_data VALUES (39263, 256, 87328, 6, 734, 166, 3);
INSERT INTO public.who_data VALUES (39264, 0, 741, 0, 13, 166, 224);
INSERT INTO public.who_data VALUES (39265, 330, 299233, 5, 6350, 166, 110);
INSERT INTO public.who_data VALUES (39266, 0, 0, 0, 0, 166, 106);
INSERT INTO public.who_data VALUES (39267, 738, 97043, 11, 2086, 166, 89);
INSERT INTO public.who_data VALUES (39268, 0, 497, 0, 5, 166, 121);
INSERT INTO public.who_data VALUES (39269, 615, 22486, 23, 435, 166, 163);
INSERT INTO public.who_data VALUES (39270, 6275, 689977, 151, 29838, 166, 70);
INSERT INTO public.who_data VALUES (39271, 1362, 238727, 15, 3890, 166, 174);
INSERT INTO public.who_data VALUES (39272, 0, 0, 0, 0, 166, 175);
INSERT INTO public.who_data VALUES (39273, 302, 71126, 4, 2124, 166, 118);
INSERT INTO public.who_data VALUES (39274, 249, 60507, 3, 1843, 166, 189);
INSERT INTO public.who_data VALUES (39275, 842, 35375, 0, 477, 166, 124);
INSERT INTO public.who_data VALUES (39276, 253, 120348, 2, 205, 166, 192);
INSERT INTO public.who_data VALUES (39277, 136, 21432, 5, 341, 166, 41);
INSERT INTO public.who_data VALUES (39278, 258, 40055, 11, 1074, 166, 95);
INSERT INTO public.who_data VALUES (39279, 55, 2277, 0, 8, 166, 74);
INSERT INTO public.who_data VALUES (39280, 883, 95897, 33, 3926, 166, 11);
INSERT INTO public.who_data VALUES (39281, 5099, 1035789, 122, 17993, 166, 87);
INSERT INTO public.who_data VALUES (39282, 35, 4409, 0, 19, 166, 214);
INSERT INTO public.who_data VALUES (39283, 0, 5, 0, 0, 166, 116);
INSERT INTO public.who_data VALUES (39284, 0, 18, 0, 0, 166, 157);
INSERT INTO public.who_data VALUES (39285, 0, 0, 0, 0, 166, 182);
INSERT INTO public.who_data VALUES (39286, 0, 17, 0, 0, 166, 186);
INSERT INTO public.who_data VALUES (39287, 0, 26, 0, 0, 166, 127);
INSERT INTO public.who_data VALUES (39288, 0, 239, 0, 6, 166, 232);
INSERT INTO public.who_data VALUES (39289, 0, 9, 0, 0, 166, 33);
INSERT INTO public.who_data VALUES (39290, 0, 61, 0, 0, 166, 97);
INSERT INTO public.who_data VALUES (39291, 0, 0, 0, 0, 166, 42);
INSERT INTO public.who_data VALUES (39292, 0, 735, 0, 42, 166, 198);
INSERT INTO public.who_data VALUES (39293, 0, 898, 0, 15, 166, 216);
INSERT INTO public.who_data VALUES (39294, 629, 321456, 26, 4107, 166, 164);
INSERT INTO public.who_data VALUES (39295, 0, 13987, 0, 290, 166, 235);
INSERT INTO public.who_data VALUES (39296, 36, 31941, 1, 725, 166, 67);
INSERT INTO public.who_data VALUES (39297, 0, 135, 0, 0, 166, 15);
INSERT INTO public.who_data VALUES (39298, 1, 2055, 0, 71, 166, 180);
INSERT INTO public.who_data VALUES (39299, 22, 57044, 0, 27, 166, 237);
INSERT INTO public.who_data VALUES (39300, 0, 6, 0, 0, 166, 25);
INSERT INTO public.who_data VALUES (39301, 7, 511, 0, 19, 166, 209);
INSERT INTO public.who_data VALUES (39302, 88, 4614, 0, 37, 166, 217);
INSERT INTO public.who_data VALUES (39303, 25, 3191, 0, 134, 166, 79);
INSERT INTO public.who_data VALUES (39304, 0, 0, 0, 0, 166, 143);
INSERT INTO public.who_data VALUES (39305, 0, 3362, 0, 97, 166, 229);
INSERT INTO public.who_data VALUES (39306, 845, 639362, 115, 15004, 166, 141);
INSERT INTO public.who_data VALUES (39307, 7, 2552, 1, 49, 166, 197);
INSERT INTO public.who_data VALUES (39308, 5567, 567719, 63, 31401, 166, 221);
INSERT INTO public.who_data VALUES (39309, 0, 3123, 0, 12, 166, 150);
INSERT INTO public.who_data VALUES (39310, 33, 13470, 1, 834, 166, 56);
INSERT INTO public.who_data VALUES (39311, 26, 4346, 8, 85, 166, 167);
INSERT INTO public.who_data VALUES (39312, 67, 85569, 3, 5834, 166, 23);
INSERT INTO public.who_data VALUES (39313, 468, 45169, 1, 1776, 166, 222);
INSERT INTO public.who_data VALUES (39314, 58, 3229, 3, 137, 166, 219);
INSERT INTO public.who_data VALUES (39315, 32, 8824, 0, 70, 166, 7);
INSERT INTO public.who_data VALUES (39316, 1, 3446, 0, 58, 166, 161);
INSERT INTO public.who_data VALUES (39317, 2948, 350104, 3, 41554, 166, 149);
INSERT INTO public.who_data VALUES (39318, 0, 27, 0, 0, 166, 6);
INSERT INTO public.who_data VALUES (39319, 31, 1488, 1, 32, 166, 139);
INSERT INTO public.who_data VALUES (39320, 0, 0, 0, 0, 166, 211);
INSERT INTO public.who_data VALUES (39321, 0, 0, 0, 0, 166, 14);
INSERT INTO public.who_data VALUES (39322, 20, 2254, 2, 35, 166, 111);
INSERT INTO public.who_data VALUES (39323, 293, 5417, 2, 96, 166, 207);
INSERT INTO public.who_data VALUES (39324, 8433, 564169, 57, 6730, 166, 66);
INSERT INTO public.who_data VALUES (39325, 0, 0, 0, 0, 166, 173);
INSERT INTO public.who_data VALUES (39326, 1, 599, 0, 5, 166, 145);
INSERT INTO public.who_data VALUES (39327, 0, 0, 0, 0, 166, 65);
INSERT INTO public.who_data VALUES (39328, 109, 3776, 3, 44, 166, 184);
INSERT INTO public.who_data VALUES (39329, 2411, 140479, 57, 2934, 166, 98);
INSERT INTO public.who_data VALUES (39330, 470, 74454, 2, 390, 166, 104);
INSERT INTO public.who_data VALUES (39331, 0, 509, 0, 21, 166, 73);
INSERT INTO public.who_data VALUES (39332, 33486, 6222974, 462, 188003, 166, 8);
INSERT INTO public.who_data VALUES (39333, 9, 1190, 0, 17, 166, 227);
INSERT INTO public.who_data VALUES (39334, 10, 1679, 0, 45, 166, 75);
INSERT INTO public.who_data VALUES (39335, 332, 44107, 6, 356, 166, 45);
INSERT INTO public.who_data VALUES (39336, 0, 0, 0, 0, 166, 133);
INSERT INTO public.who_data VALUES (39337, 1124, 53289, 8, 428, 166, 202);
INSERT INTO public.who_data VALUES (39338, 0, 1049, 0, 35, 166, 129);
INSERT INTO public.who_data VALUES (39339, 0, 0, 0, 0, 166, 36);
INSERT INTO public.who_data VALUES (39340, 2, 1993, 1, 574, 166, 51);
INSERT INTO public.who_data VALUES (39341, 60, 12836, 0, 295, 166, 206);
INSERT INTO public.who_data VALUES (39342, 279, 7116, 2, 208, 166, 5);
INSERT INTO public.who_data VALUES (39343, 96, 38580, 3, 1419, 167, 103);
INSERT INTO public.who_data VALUES (39344, 153, 10255, 4, 316, 167, 58);
INSERT INTO public.who_data VALUES (39345, 293, 46364, 7, 1556, 167, 195);
INSERT INTO public.who_data VALUES (39346, 0, 0, 0, 0, 167, 115);
INSERT INTO public.who_data VALUES (39347, 0, 1215, 0, 53, 167, 99);
INSERT INTO public.who_data VALUES (39348, 30, 2965, 0, 117, 167, 153);
INSERT INTO public.who_data VALUES (39349, 0, 3, 0, 0, 167, 93);
INSERT INTO public.who_data VALUES (39350, 0, 95, 0, 3, 167, 84);
INSERT INTO public.who_data VALUES (39351, 9924, 471806, 122, 9807, 167, 78);
INSERT INTO public.who_data VALUES (39352, 62, 44158, 3, 895, 167, 170);
INSERT INTO public.who_data VALUES (39353, 0, 2292, 0, 13, 167, 32);
INSERT INTO public.who_data VALUES (39354, 72, 26279, 5, 753, 167, 155);
INSERT INTO public.who_data VALUES (39355, 220, 29194, 1, 736, 167, 82);
INSERT INTO public.who_data VALUES (39356, 137, 37329, 3, 548, 167, 16);
INSERT INTO public.who_data VALUES (39357, 0, 2476, 0, 55, 167, 72);
INSERT INTO public.who_data VALUES (39358, 644, 55415, 3, 199, 167, 43);
INSERT INTO public.who_data VALUES (39359, 1592, 325157, 32, 4479, 167, 120);
INSERT INTO public.who_data VALUES (39360, 1, 179, 0, 7, 167, 213);
INSERT INTO public.who_data VALUES (39361, 196, 72859, 6, 711, 167, 31);
INSERT INTO public.who_data VALUES (39362, 155, 89152, 2, 9897, 167, 204);
INSERT INTO public.who_data VALUES (39363, 42, 1194, 0, 15, 167, 152);
INSERT INTO public.who_data VALUES (39364, 0, 2213, 0, 40, 167, 144);
INSERT INTO public.who_data VALUES (39365, 0, 175, 0, 9, 167, 96);
INSERT INTO public.who_data VALUES (39366, 2, 230, 0, 0, 167, 47);
INSERT INTO public.who_data VALUES (39367, 661, 120241, 55, 5398, 167, 80);
INSERT INTO public.who_data VALUES (39368, 1, 10, 0, 0, 167, 159);
INSERT INTO public.who_data VALUES (39369, 122, 21556, 4, 648, 167, 27);
INSERT INTO public.who_data VALUES (39370, 0, 2002, 0, 8, 167, 146);
INSERT INTO public.who_data VALUES (39371, 30168, 4123000, 682, 126203, 167, 71);
INSERT INTO public.who_data VALUES (39372, 0, 63, 0, 1, 167, 210);
INSERT INTO public.who_data VALUES (39373, 0, 145, 0, 3, 167, 54);
INSERT INTO public.who_data VALUES (39374, 96, 17050, 6, 671, 167, 147);
INSERT INTO public.who_data VALUES (39375, 39, 1447, 0, 55, 167, 2);
INSERT INTO public.who_data VALUES (39376, 0, 462, 0, 1, 167, 105);
INSERT INTO public.who_data VALUES (39377, 55, 4330, 0, 42, 167, 53);
INSERT INTO public.who_data VALUES (39378, 0, 274, 0, 0, 167, 81);
INSERT INTO public.who_data VALUES (39379, 0, 19604, 0, 415, 167, 223);
INSERT INTO public.who_data VALUES (39380, 371, 131495, 2, 9143, 167, 94);
INSERT INTO public.who_data VALUES (39381, 0, 205, 0, 1, 167, 154);
INSERT INTO public.who_data VALUES (39382, 0, 4729, 0, 62, 167, 83);
INSERT INTO public.who_data VALUES (39383, 5, 1039, 2, 79, 167, 194);
INSERT INTO public.who_data VALUES (39384, 2076, 422510, 41, 11592, 167, 136);
INSERT INTO public.who_data VALUES (39385, 34, 90551, 2, 4737, 167, 179);
INSERT INTO public.who_data VALUES (39386, 8394, 658456, 268, 21156, 167, 57);
INSERT INTO public.who_data VALUES (39387, 0, 448, 0, 7, 167, 35);
INSERT INTO public.who_data VALUES (39388, 239, 4867, 0, 82, 167, 228);
INSERT INTO public.who_data VALUES (39389, 0, 0, 0, 0, 167, 19);
INSERT INTO public.who_data VALUES (39390, 1240, 46920, 9, 478, 167, 22);
INSERT INTO public.who_data VALUES (39391, 319, 18588, 0, 119, 167, 1);
INSERT INTO public.who_data VALUES (39392, 225, 11964, 1, 198, 167, 21);
INSERT INTO public.who_data VALUES (39393, 11, 4309, 1, 101, 167, 234);
INSERT INTO public.who_data VALUES (39394, 0, 78, 0, 1, 167, 91);
INSERT INTO public.who_data VALUES (39395, 2, 1509, 0, 21, 167, 137);
INSERT INTO public.who_data VALUES (39396, 404, 28156, 5, 436, 167, 201);
INSERT INTO public.who_data VALUES (39397, 0, 0, 0, 0, 167, 171);
INSERT INTO public.who_data VALUES (39398, 61, 10209, 1, 260, 167, 92);
INSERT INTO public.who_data VALUES (39399, 0, 17547, 0, 627, 167, 112);
INSERT INTO public.who_data VALUES (39400, 1, 5388, 1, 61, 167, 62);
INSERT INTO public.who_data VALUES (39401, 0, 22, 0, 0, 167, 69);
INSERT INTO public.who_data VALUES (39402, 557, 99333, 5, 1845, 167, 220);
INSERT INTO public.who_data VALUES (39403, -8956, 109089, 3800, 10524, 167, 100);
INSERT INTO public.who_data VALUES (39404, 151, 99863, 19, 5530, 167, 187);
INSERT INTO public.who_data VALUES (39405, 102, 26308, 7, 759, 167, 63);
INSERT INTO public.who_data VALUES (39406, 0, 4972, 0, 83, 167, 28);
INSERT INTO public.who_data VALUES (39407, 0, 330, 0, 0, 167, 172);
INSERT INTO public.who_data VALUES (39408, 25, 2515, 0, 64, 167, 17);
INSERT INTO public.who_data VALUES (39409, 34, 4853, 0, 94, 167, 226);
INSERT INTO public.who_data VALUES (39410, 1206, 58672, 21, 918, 167, 236);
INSERT INTO public.who_data VALUES (39411, 0, 13, 0, 0, 167, 76);
INSERT INTO public.who_data VALUES (39412, 0, 413, 0, 0, 167, 30);
INSERT INTO public.who_data VALUES (39413, 0, 31, 0, 2, 167, 128);
INSERT INTO public.who_data VALUES (39414, 30, 8291, 0, 336, 167, 86);
INSERT INTO public.who_data VALUES (39415, 6961, 307472, 1, 30547, 167, 140);
INSERT INTO public.who_data VALUES (39416, 0, 9322, 0, 62, 167, 44);
INSERT INTO public.who_data VALUES (39417, 18, 738, 0, 0, 167, 113);
INSERT INTO public.who_data VALUES (39418, 0, 8601, 0, 53, 167, 29);
INSERT INTO public.who_data VALUES (39419, 76, 3196, 0, 99, 167, 125);
INSERT INTO public.who_data VALUES (39420, 34, 1684, 0, 19, 167, 131);
INSERT INTO public.who_data VALUES (39421, 814, 250799, 0, 9325, 167, 46);
INSERT INTO public.who_data VALUES (39422, 0, 44777, 0, 283, 167, 10);
INSERT INTO public.who_data VALUES (39423, 7, 312, 0, 0, 167, 205);
INSERT INTO public.who_data VALUES (39424, 138, 11524, 4, 284, 167, 50);
INSERT INTO public.who_data VALUES (39425, 0, 14, 0, 0, 167, 20);
INSERT INTO public.who_data VALUES (39426, 0, 24, 0, 0, 167, 13);
INSERT INTO public.who_data VALUES (39427, 0, 1363, 0, 20, 167, 148);
INSERT INTO public.who_data VALUES (39428, 0, 1671, 0, 16, 167, 230);
INSERT INTO public.who_data VALUES (39429, 202, 77683, 7, 2852, 167, 190);
INSERT INTO public.who_data VALUES (39430, 0, 252, 0, 13, 167, 188);
INSERT INTO public.who_data VALUES (39431, 76, 9798, 0, 61, 167, 123);
INSERT INTO public.who_data VALUES (39432, 0, 2245, 0, 38, 167, 9);
INSERT INTO public.who_data VALUES (39433, 43, 1459, 2, 46, 167, 102);
INSERT INTO public.who_data VALUES (39434, 34, 8360, 2, 214, 167, 34);
INSERT INTO public.who_data VALUES (39435, 0, 12, 0, 0, 167, 212);
INSERT INTO public.who_data VALUES (39436, 554, 64352, 22, 2006, 167, 122);
INSERT INTO public.who_data VALUES (39437, 495, 8387, 0, 624, 167, 38);
INSERT INTO public.who_data VALUES (39438, 5, 2141, 0, 10, 167, 130);
INSERT INTO public.who_data VALUES (39439, 90802, 4204613, 1016, 71642, 167, 37);
INSERT INTO public.who_data VALUES (39440, 3444, 194109, 85, 8025, 167, 231);
INSERT INTO public.who_data VALUES (39441, 1992, 386658, 139, 22293, 167, 107);
INSERT INTO public.who_data VALUES (39442, 3651, 260370, 90, 7512, 167, 101);
INSERT INTO public.who_data VALUES (39443, 138, 29672, 0, 1777, 167, 132);
INSERT INTO public.who_data VALUES (39444, 0, 336, 0, 24, 167, 176);
INSERT INTO public.who_data VALUES (39445, 1505, 129150, 15, 1025, 167, 200);
INSERT INTO public.who_data VALUES (39446, 1296, 277634, 7, 35541, 167, 169);
INSERT INTO public.who_data VALUES (39447, 60, 3024, 2, 32, 167, 225);
INSERT INTO public.who_data VALUES (39448, 437, 71856, 6, 1363, 167, 165);
INSERT INTO public.who_data VALUES (39449, 0, 384, 0, 32, 167, 233);
INSERT INTO public.who_data VALUES (39450, 58, 2479, 0, 16, 167, 215);
INSERT INTO public.who_data VALUES (39451, 80, 134203, 0, 1948, 167, 177);
INSERT INTO public.who_data VALUES (39452, 83, 35103, 3, 597, 167, 183);
INSERT INTO public.who_data VALUES (39453, 0, 0, 0, 0, 167, 203);
INSERT INTO public.who_data VALUES (39454, 92, 14076, 7, 553, 167, 162);
INSERT INTO public.who_data VALUES (39455, 619, 89582, 4, 544, 167, 12);
INSERT INTO public.who_data VALUES (39456, 55, 44458, 0, 1061, 167, 24);
INSERT INTO public.who_data VALUES (39457, 0, 22, 0, 0, 167, 119);
INSERT INTO public.who_data VALUES (39458, 3, 1428, 0, 35, 167, 39);
INSERT INTO public.who_data VALUES (39459, 415, 20426, 4, 191, 167, 26);
INSERT INTO public.who_data VALUES (39460, 0, 1148, 0, 31, 167, 59);
INSERT INTO public.who_data VALUES (39461, 0, 1306, 0, 82, 167, 77);
INSERT INTO public.who_data VALUES (39462, 1085, 18834, 11, 296, 167, 134);
INSERT INTO public.who_data VALUES (39463, 0, 108, 0, 1, 167, 4);
INSERT INTO public.who_data VALUES (39464, 17, 3094, 0, 86, 167, 109);
INSERT INTO public.who_data VALUES (39465, 42, 6896, 0, 124, 167, 90);
INSERT INTO public.who_data VALUES (39466, 50, 15319, 1, 200, 167, 61);
INSERT INTO public.who_data VALUES (39467, 3, 5614, 0, 175, 167, 85);
INSERT INTO public.who_data VALUES (39468, 6, 9397, 0, 128, 167, 49);
INSERT INTO public.who_data VALUES (39469, 98, 8584, 0, 29, 167, 208);
INSERT INTO public.who_data VALUES (39470, 9, 2842, 1, 127, 167, 166);
INSERT INTO public.who_data VALUES (39471, 25, 2040, 1, 14, 167, 64);
INSERT INTO public.who_data VALUES (39472, 0, 0, 0, 0, 167, 199);
INSERT INTO public.who_data VALUES (39473, 0, 758, 0, 18, 167, 114);
INSERT INTO public.who_data VALUES (39474, 8, 7142, 0, 160, 167, 60);
INSERT INTO public.who_data VALUES (39475, 0, 356, 0, 10, 167, 68);
INSERT INTO public.who_data VALUES (39476, 0, 3374, 0, 40, 167, 158);
INSERT INTO public.who_data VALUES (39477, 6319, 629409, 475, 67326, 167, 52);
INSERT INTO public.who_data VALUES (39478, 0, 0, 0, 0, 167, 117);
INSERT INTO public.who_data VALUES (39479, 1, 151, 0, 1, 167, 126);
INSERT INTO public.who_data VALUES (39480, 0, 310, 0, 0, 167, 196);
INSERT INTO public.who_data VALUES (39481, 248, 5853, 1, 109, 167, 142);
INSERT INTO public.who_data VALUES (39482, 0, 13, 0, 1, 167, 185);
INSERT INTO public.who_data VALUES (39483, 2234, 72394, 32, 1361, 167, 138);
INSERT INTO public.who_data VALUES (39484, 103, 4444, 1, 27, 167, 181);
INSERT INTO public.who_data VALUES (39485, 145, 1464, 0, 8, 167, 178);
INSERT INTO public.who_data VALUES (39486, 171, 8685, 2, 89, 167, 168);
INSERT INTO public.who_data VALUES (39487, 0, 0, 0, 0, 167, 160);
INSERT INTO public.who_data VALUES (39488, 980, 46257, 9, 289, 167, 151);
INSERT INTO public.who_data VALUES (39489, 920, 74684, 2, 6242, 167, 193);
INSERT INTO public.who_data VALUES (39490, 0, 26, 0, 0, 167, 18);
INSERT INTO public.who_data VALUES (39491, 4, 1425, 0, 24, 167, 40);
INSERT INTO public.who_data VALUES (39492, 0, 3773, 0, 141, 167, 218);
INSERT INTO public.who_data VALUES (39493, 0, 1177, 0, 69, 167, 191);
INSERT INTO public.who_data VALUES (39494, 100, 55005, 3, 1057, 167, 156);
INSERT INTO public.who_data VALUES (39495, 0, 0, 0, 0, 167, 135);
INSERT INTO public.who_data VALUES (39496, 0, 58, 0, 2, 167, 88);
INSERT INTO public.who_data VALUES (39497, 92, 15090, 3, 617, 167, 55);
INSERT INTO public.who_data VALUES (39498, 0, 11120, 0, 264, 167, 108);
INSERT INTO public.who_data VALUES (39499, 762, 34012, 4, 203, 167, 48);
INSERT INTO public.who_data VALUES (39500, 692, 87072, 23, 728, 167, 3);
INSERT INTO public.who_data VALUES (39501, 0, 741, 0, 13, 167, 224);
INSERT INTO public.who_data VALUES (39502, 394, 298903, 3, 6345, 167, 110);
INSERT INTO public.who_data VALUES (39503, 0, 0, 0, 0, 167, 106);
INSERT INTO public.who_data VALUES (39504, 709, 96305, 12, 2075, 167, 89);
INSERT INTO public.who_data VALUES (39505, 9, 497, 0, 5, 167, 121);
INSERT INTO public.who_data VALUES (39506, 1217, 21871, 14, 412, 167, 163);
INSERT INTO public.who_data VALUES (39507, 6854, 683702, 133, 29687, 167, 70);
INSERT INTO public.who_data VALUES (39508, 2795, 237365, 85, 3875, 167, 174);
INSERT INTO public.who_data VALUES (39509, 0, 0, 0, 0, 167, 175);
INSERT INTO public.who_data VALUES (39510, 437, 70824, 7, 2120, 167, 118);
INSERT INTO public.who_data VALUES (39511, 315, 60258, 2, 1840, 167, 189);
INSERT INTO public.who_data VALUES (39512, 41, 34533, 13, 477, 167, 124);
INSERT INTO public.who_data VALUES (39513, 231, 120095, 1, 203, 167, 192);
INSERT INTO public.who_data VALUES (39514, 119, 21296, 2, 336, 167, 41);
INSERT INTO public.who_data VALUES (39515, 324, 39797, 0, 1063, 167, 95);
INSERT INTO public.who_data VALUES (39516, 107, 2222, 2, 8, 167, 74);
INSERT INTO public.who_data VALUES (39517, 1150, 95014, 43, 3893, 167, 11);
INSERT INTO public.who_data VALUES (39518, 5185, 1030690, 51, 17871, 167, 87);
INSERT INTO public.who_data VALUES (39519, 25, 4374, 1, 19, 167, 214);
INSERT INTO public.who_data VALUES (39520, 0, 5, 0, 0, 167, 116);
INSERT INTO public.who_data VALUES (39521, 0, 18, 0, 0, 167, 157);
INSERT INTO public.who_data VALUES (39522, 0, 0, 0, 0, 167, 182);
INSERT INTO public.who_data VALUES (39523, 0, 17, 0, 0, 167, 186);
INSERT INTO public.who_data VALUES (39524, 0, 26, 0, 0, 167, 127);
INSERT INTO public.who_data VALUES (39525, 0, 239, 0, 6, 167, 232);
INSERT INTO public.who_data VALUES (39526, 3, 9, 0, 0, 167, 33);
INSERT INTO public.who_data VALUES (39527, 0, 61, 0, 0, 167, 97);
INSERT INTO public.who_data VALUES (39528, 0, 0, 0, 0, 167, 42);
INSERT INTO public.who_data VALUES (39529, 0, 735, 0, 42, 167, 198);
INSERT INTO public.who_data VALUES (39530, 0, 898, 0, 15, 167, 216);
INSERT INTO public.who_data VALUES (39531, 895, 320827, 32, 4081, 167, 164);
INSERT INTO public.who_data VALUES (39532, 106, 13987, 1, 290, 167, 235);
INSERT INTO public.who_data VALUES (39533, 56, 31905, 1, 724, 167, 67);
INSERT INTO public.who_data VALUES (39534, 0, 135, 0, 0, 167, 15);
INSERT INTO public.who_data VALUES (39535, 11, 2054, 0, 71, 167, 180);
INSERT INTO public.who_data VALUES (39536, 40, 57022, 0, 27, 167, 237);
INSERT INTO public.who_data VALUES (39537, 2, 6, 0, 0, 167, 25);
INSERT INTO public.who_data VALUES (39538, 0, 504, 0, 19, 167, 209);
INSERT INTO public.who_data VALUES (39539, 226, 4526, 0, 37, 167, 217);
INSERT INTO public.who_data VALUES (39540, 43, 3166, 0, 134, 167, 79);
INSERT INTO public.who_data VALUES (39541, 0, 0, 0, 0, 167, 143);
INSERT INTO public.who_data VALUES (39542, 0, 3362, 0, 97, 167, 229);
INSERT INTO public.who_data VALUES (39543, 1633, 638517, 110, 14889, 167, 141);
INSERT INTO public.who_data VALUES (39544, 1, 2545, 0, 48, 167, 197);
INSERT INTO public.who_data VALUES (39545, 8021, 562152, 66, 31338, 167, 221);
INSERT INTO public.who_data VALUES (39546, 2, 3123, 0, 12, 167, 150);
INSERT INTO public.who_data VALUES (39547, 0, 13437, 0, 833, 167, 56);
INSERT INTO public.who_data VALUES (39548, 68, 4320, 2, 77, 167, 167);
INSERT INTO public.who_data VALUES (39549, 171, 85502, 0, 5831, 167, 23);
INSERT INTO public.who_data VALUES (39550, 170, 44701, 3, 1775, 167, 222);
INSERT INTO public.who_data VALUES (39551, 67, 3171, 4, 134, 167, 219);
INSERT INTO public.who_data VALUES (39552, 35, 8792, 0, 70, 167, 7);
INSERT INTO public.who_data VALUES (39553, 1, 3445, 0, 58, 167, 161);
INSERT INTO public.who_data VALUES (39554, 2988, 347156, 2, 41551, 167, 149);
INSERT INTO public.who_data VALUES (39555, 0, 27, 0, 0, 167, 6);
INSERT INTO public.who_data VALUES (39556, 14, 1457, 0, 31, 167, 139);
INSERT INTO public.who_data VALUES (39557, 0, 0, 0, 0, 167, 211);
INSERT INTO public.who_data VALUES (39558, 0, 0, 0, 0, 167, 14);
INSERT INTO public.who_data VALUES (39559, 92, 2234, 1, 33, 167, 111);
INSERT INTO public.who_data VALUES (39560, 83, 5124, 1, 94, 167, 207);
INSERT INTO public.who_data VALUES (39561, 8308, 555736, 53, 6673, 167, 66);
INSERT INTO public.who_data VALUES (39562, 0, 0, 0, 0, 167, 173);
INSERT INTO public.who_data VALUES (39563, 7, 598, 0, 5, 167, 145);
INSERT INTO public.who_data VALUES (39564, 0, 0, 0, 0, 167, 65);
INSERT INTO public.who_data VALUES (39565, 128, 3667, 2, 41, 167, 184);
INSERT INTO public.who_data VALUES (39566, 2174, 138068, 31, 2877, 167, 98);
INSERT INTO public.who_data VALUES (39567, 513, 73984, 0, 388, 167, 104);
INSERT INTO public.who_data VALUES (39568, 0, 509, 0, 21, 167, 73);
INSERT INTO public.who_data VALUES (39569, 45350, 6189488, 878, 187541, 167, 8);
INSERT INTO public.who_data VALUES (39570, 14, 1181, 1, 17, 167, 227);
INSERT INTO public.who_data VALUES (39571, 16, 1669, 0, 45, 167, 75);
INSERT INTO public.who_data VALUES (39572, 299, 43775, 7, 350, 167, 45);
INSERT INTO public.who_data VALUES (39573, 0, 0, 0, 0, 167, 133);
INSERT INTO public.who_data VALUES (39574, 1192, 52165, 8, 420, 167, 202);
INSERT INTO public.who_data VALUES (39575, 0, 1049, 0, 35, 167, 129);
INSERT INTO public.who_data VALUES (39576, 0, 0, 0, 0, 167, 36);
INSERT INTO public.who_data VALUES (39577, 4, 1991, 0, 573, 167, 51);
INSERT INTO public.who_data VALUES (39578, 67, 12776, 3, 295, 167, 206);
INSERT INTO public.who_data VALUES (39579, 0, 6837, 0, 206, 167, 5);
INSERT INTO public.who_data VALUES (39580, 94, 38484, 3, 1416, 168, 103);
INSERT INTO public.who_data VALUES (39581, 135, 10102, 6, 312, 168, 58);
INSERT INTO public.who_data VALUES (39582, 298, 46071, 10, 1549, 168, 195);
INSERT INTO public.who_data VALUES (39583, 0, 0, 0, 0, 168, 115);
INSERT INTO public.who_data VALUES (39584, 0, 1215, 0, 53, 168, 99);
INSERT INTO public.who_data VALUES (39585, 59, 2935, 2, 117, 168, 153);
INSERT INTO public.who_data VALUES (39586, 0, 3, 0, 0, 168, 93);
INSERT INTO public.who_data VALUES (39587, 0, 95, 0, 3, 168, 84);
INSERT INTO public.who_data VALUES (39588, 10684, 461882, 217, 9685, 168, 78);
INSERT INTO public.who_data VALUES (39589, 134, 44096, 2, 892, 168, 170);
INSERT INTO public.who_data VALUES (39590, 0, 2292, 0, 13, 168, 32);
INSERT INTO public.who_data VALUES (39591, 71, 26207, 11, 748, 168, 155);
INSERT INTO public.who_data VALUES (39592, 208, 28974, 0, 735, 168, 82);
INSERT INTO public.who_data VALUES (39593, 161, 37192, 2, 545, 168, 16);
INSERT INTO public.who_data VALUES (39594, 90, 2476, 5, 55, 168, 72);
INSERT INTO public.who_data VALUES (39595, 676, 54771, 1, 196, 168, 43);
INSERT INTO public.who_data VALUES (39596, 1950, 323565, 35, 4447, 168, 120);
INSERT INTO public.who_data VALUES (39597, 1, 178, 0, 7, 168, 213);
INSERT INTO public.who_data VALUES (39598, 178, 72663, 4, 705, 168, 31);
INSERT INTO public.who_data VALUES (39599, 322, 88997, 1, 9895, 168, 204);
INSERT INTO public.who_data VALUES (39600, 34, 1152, 2, 15, 168, 152);
INSERT INTO public.who_data VALUES (39601, 0, 2213, 0, 40, 168, 144);
INSERT INTO public.who_data VALUES (39602, 1, 175, 0, 9, 168, 96);
INSERT INTO public.who_data VALUES (39603, 0, 228, 0, 0, 168, 47);
INSERT INTO public.who_data VALUES (39604, 799, 119580, 55, 5343, 168, 80);
INSERT INTO public.who_data VALUES (39605, 0, 9, 0, 0, 168, 159);
INSERT INTO public.who_data VALUES (39606, 236, 21434, 12, 644, 168, 27);
INSERT INTO public.who_data VALUES (39607, 0, 2002, 0, 8, 168, 146);
INSERT INTO public.who_data VALUES (39608, 51194, 4092832, 907, 125521, 168, 71);
INSERT INTO public.who_data VALUES (39609, 0, 63, 0, 1, 168, 210);
INSERT INTO public.who_data VALUES (39610, 0, 145, 0, 3, 168, 54);
INSERT INTO public.who_data VALUES (39611, 179, 16954, 7, 665, 168, 147);
INSERT INTO public.who_data VALUES (39612, 22, 1408, 0, 55, 168, 2);
INSERT INTO public.who_data VALUES (39613, 2, 462, 0, 1, 168, 105);
INSERT INTO public.who_data VALUES (39614, 75, 4275, 1, 42, 168, 53);
INSERT INTO public.who_data VALUES (39615, 0, 274, 0, 0, 168, 81);
INSERT INTO public.who_data VALUES (39616, 0, 19604, 0, 415, 168, 223);
INSERT INTO public.who_data VALUES (39617, 631, 131124, 0, 9141, 168, 94);
INSERT INTO public.who_data VALUES (39618, 0, 205, 0, 1, 168, 154);
INSERT INTO public.who_data VALUES (39619, 0, 4729, 0, 62, 168, 83);
INSERT INTO public.who_data VALUES (39620, 11, 1034, 0, 77, 168, 194);
INSERT INTO public.who_data VALUES (39621, 1965, 420434, 57, 11551, 168, 136);
INSERT INTO public.who_data VALUES (39622, 19, 90517, 0, 4735, 168, 179);
INSERT INTO public.who_data VALUES (39623, 8488, 650062, 270, 20888, 168, 57);
INSERT INTO public.who_data VALUES (39624, 0, 448, 0, 7, 168, 35);
INSERT INTO public.who_data VALUES (39625, 0, 4628, 0, 82, 168, 228);
INSERT INTO public.who_data VALUES (39626, 0, 0, 0, 0, 168, 19);
INSERT INTO public.who_data VALUES (39627, 1222, 45680, 9, 469, 168, 22);
INSERT INTO public.who_data VALUES (39628, 61, 18269, 0, 119, 168, 1);
INSERT INTO public.who_data VALUES (39629, 311, 11739, 2, 197, 168, 21);
INSERT INTO public.who_data VALUES (39630, 32, 4298, 0, 100, 168, 234);
INSERT INTO public.who_data VALUES (39631, 0, 78, 0, 1, 168, 91);
INSERT INTO public.who_data VALUES (39632, 9, 1507, 0, 21, 168, 137);
INSERT INTO public.who_data VALUES (39633, 503, 27752, 2, 431, 168, 201);
INSERT INTO public.who_data VALUES (39634, 0, 0, 0, 0, 168, 171);
INSERT INTO public.who_data VALUES (39635, 0, 10148, 0, 259, 168, 92);
INSERT INTO public.who_data VALUES (39636, 0, 17547, 0, 627, 168, 112);
INSERT INTO public.who_data VALUES (39637, 0, 5387, 0, 60, 168, 62);
INSERT INTO public.who_data VALUES (39638, 0, 22, 0, 0, 168, 69);
INSERT INTO public.who_data VALUES (39639, 2147, 98776, 39, 1840, 168, 220);
INSERT INTO public.who_data VALUES (39640, 870, 118045, 50, 6724, 168, 100);
INSERT INTO public.who_data VALUES (39641, 130, 99712, 16, 5511, 168, 187);
INSERT INTO public.who_data VALUES (39642, 107, 26206, 8, 752, 168, 63);
INSERT INTO public.who_data VALUES (39643, 0, 4972, 0, 83, 168, 28);
INSERT INTO public.who_data VALUES (39644, 0, 330, 0, 0, 168, 172);
INSERT INTO public.who_data VALUES (39645, 34, 2490, 0, 64, 168, 17);
INSERT INTO public.who_data VALUES (39646, 39, 4819, 0, 94, 168, 226);
INSERT INTO public.who_data VALUES (39647, 950, 57466, 17, 897, 168, 236);
INSERT INTO public.who_data VALUES (39648, 0, 13, 0, 0, 168, 76);
INSERT INTO public.who_data VALUES (39649, 0, 413, 0, 0, 168, 30);
INSERT INTO public.who_data VALUES (39650, 0, 31, 0, 2, 168, 128);
INSERT INTO public.who_data VALUES (39651, 36, 8261, 1, 336, 168, 86);
INSERT INTO public.who_data VALUES (39652, 8386, 300511, 11, 30546, 168, 140);
INSERT INTO public.who_data VALUES (39653, 46, 9322, 0, 62, 168, 44);
INSERT INTO public.who_data VALUES (39654, 26, 720, 0, 0, 168, 113);
INSERT INTO public.who_data VALUES (39655, 0, 8601, 0, 53, 168, 29);
INSERT INTO public.who_data VALUES (39656, 0, 3120, 0, 99, 168, 125);
INSERT INTO public.who_data VALUES (39657, 29, 1650, 0, 19, 168, 131);
INSERT INTO public.who_data VALUES (39658, 988, 249985, 1, 9325, 168, 46);
INSERT INTO public.who_data VALUES (39659, 0, 44777, 0, 283, 168, 10);
INSERT INTO public.who_data VALUES (39660, 7, 305, 0, 0, 168, 205);
INSERT INTO public.who_data VALUES (39661, 186, 11386, 1, 280, 168, 50);
INSERT INTO public.who_data VALUES (39662, 0, 14, 0, 0, 168, 20);
INSERT INTO public.who_data VALUES (39663, 0, 24, 0, 0, 168, 13);
INSERT INTO public.who_data VALUES (39664, 0, 1363, 0, 20, 168, 148);
INSERT INTO public.who_data VALUES (39665, 52, 1671, 2, 16, 168, 230);
INSERT INTO public.who_data VALUES (39666, 441, 77481, 20, 2845, 168, 190);
INSERT INTO public.who_data VALUES (39667, 0, 252, 0, 13, 168, 188);
INSERT INTO public.who_data VALUES (39668, 73, 9722, 0, 61, 168, 123);
INSERT INTO public.who_data VALUES (39669, 0, 2245, 0, 38, 168, 9);
INSERT INTO public.who_data VALUES (39670, 15, 1416, 0, 44, 168, 102);
INSERT INTO public.who_data VALUES (39671, 0, 8326, 0, 212, 168, 34);
INSERT INTO public.who_data VALUES (39672, 0, 12, 0, 0, 168, 212);
INSERT INTO public.who_data VALUES (39673, 640, 63798, 30, 1984, 168, 122);
INSERT INTO public.who_data VALUES (39674, 510, 7892, 3, 624, 168, 38);
INSERT INTO public.who_data VALUES (39675, 1, 2136, 0, 10, 168, 130);
INSERT INTO public.who_data VALUES (39676, 90632, 4113811, 1065, 70626, 168, 37);
INSERT INTO public.who_data VALUES (39677, 3128, 190665, 108, 7940, 168, 231);
INSERT INTO public.who_data VALUES (39678, 1894, 384666, 110, 22154, 168, 107);
INSERT INTO public.who_data VALUES (39679, 4644, 256719, 63, 7422, 168, 101);
INSERT INTO public.who_data VALUES (39680, 231, 29534, 0, 1777, 168, 132);
INSERT INTO public.who_data VALUES (39681, 0, 336, 0, 24, 168, 176);
INSERT INTO public.who_data VALUES (39682, 2623, 127645, 12, 1010, 168, 200);
INSERT INTO public.who_data VALUES (39683, 1694, 276338, 16, 35534, 168, 169);
INSERT INTO public.who_data VALUES (39684, 68, 2964, 1, 30, 168, 225);
INSERT INTO public.who_data VALUES (39685, 543, 71419, 8, 1357, 168, 165);
INSERT INTO public.who_data VALUES (39686, 1, 384, 0, 32, 168, 233);
INSERT INTO public.who_data VALUES (39687, 52, 2421, 0, 16, 168, 215);
INSERT INTO public.who_data VALUES (39688, 199, 134123, 70, 1948, 168, 177);
INSERT INTO public.who_data VALUES (39689, 136, 35020, 5, 594, 168, 183);
INSERT INTO public.who_data VALUES (39690, 0, 0, 0, 0, 168, 203);
INSERT INTO public.who_data VALUES (39691, 117, 13984, 5, 546, 168, 162);
INSERT INTO public.who_data VALUES (39692, 720, 88963, 3, 540, 168, 12);
INSERT INTO public.who_data VALUES (39693, 87, 44403, 0, 1061, 168, 24);
INSERT INTO public.who_data VALUES (39694, 0, 22, 0, 0, 168, 119);
INSERT INTO public.who_data VALUES (39695, 9, 1425, 0, 35, 168, 39);
INSERT INTO public.who_data VALUES (39696, 531, 20011, 4, 187, 168, 26);
INSERT INTO public.who_data VALUES (39697, 0, 1148, 0, 31, 168, 59);
INSERT INTO public.who_data VALUES (39698, 0, 1306, 0, 82, 168, 77);
INSERT INTO public.who_data VALUES (39699, 655, 17749, 13, 285, 168, 134);
INSERT INTO public.who_data VALUES (39700, 0, 108, 0, 1, 168, 4);
INSERT INTO public.who_data VALUES (39701, 43, 3077, 0, 86, 168, 109);
INSERT INTO public.who_data VALUES (39702, 0, 6854, 0, 124, 168, 90);
INSERT INTO public.who_data VALUES (39703, 82, 15269, 1, 199, 168, 61);
INSERT INTO public.who_data VALUES (39704, 3, 5611, 0, 175, 168, 85);
INSERT INTO public.who_data VALUES (39705, 6, 9391, 0, 128, 168, 49);
INSERT INTO public.who_data VALUES (39706, 125, 8486, 0, 29, 168, 208);
INSERT INTO public.who_data VALUES (39707, 19, 2833, 0, 126, 168, 166);
INSERT INTO public.who_data VALUES (39708, 30, 2015, 0, 13, 168, 64);
INSERT INTO public.who_data VALUES (39709, 0, 0, 0, 0, 168, 199);
INSERT INTO public.who_data VALUES (39710, 4, 758, 0, 18, 168, 114);
INSERT INTO public.who_data VALUES (39711, 8, 7134, 0, 160, 168, 60);
INSERT INTO public.who_data VALUES (39712, 0, 356, 0, 10, 168, 68);
INSERT INTO public.who_data VALUES (39713, 0, 3374, 0, 40, 168, 158);
INSERT INTO public.who_data VALUES (39714, 6196, 623090, 522, 66851, 168, 52);
INSERT INTO public.who_data VALUES (39715, 0, 0, 0, 0, 168, 117);
INSERT INTO public.who_data VALUES (39716, 0, 150, 0, 1, 168, 126);
INSERT INTO public.who_data VALUES (39717, 0, 310, 0, 0, 168, 196);
INSERT INTO public.who_data VALUES (39718, 87, 5605, 1, 108, 168, 142);
INSERT INTO public.who_data VALUES (39719, 0, 13, 0, 1, 168, 185);
INSERT INTO public.who_data VALUES (39720, 1555, 70160, 37, 1329, 168, 138);
INSERT INTO public.who_data VALUES (39721, 76, 4341, 0, 26, 168, 181);
INSERT INTO public.who_data VALUES (39722, 103, 1319, 1, 8, 168, 178);
INSERT INTO public.who_data VALUES (39723, 191, 8514, 0, 87, 168, 168);
INSERT INTO public.who_data VALUES (39724, 0, 0, 0, 0, 168, 160);
INSERT INTO public.who_data VALUES (39725, 1041, 45277, 9, 280, 168, 151);
INSERT INTO public.who_data VALUES (39726, 649, 73764, 5, 6240, 168, 193);
INSERT INTO public.who_data VALUES (39727, 0, 26, 0, 0, 168, 18);
INSERT INTO public.who_data VALUES (39728, 5, 1421, 0, 24, 168, 40);
INSERT INTO public.who_data VALUES (39729, 0, 3773, 0, 141, 168, 218);
INSERT INTO public.who_data VALUES (39730, 0, 1177, 0, 69, 168, 191);
INSERT INTO public.who_data VALUES (39731, 162, 54905, 3, 1054, 168, 156);
INSERT INTO public.who_data VALUES (39732, 0, 0, 0, 0, 168, 135);
INSERT INTO public.who_data VALUES (39733, 1, 58, 0, 2, 168, 88);
INSERT INTO public.who_data VALUES (39734, 127, 14998, 5, 614, 168, 55);
INSERT INTO public.who_data VALUES (39735, 0, 11120, 0, 264, 168, 108);
INSERT INTO public.who_data VALUES (39736, 433, 33250, 7, 199, 168, 48);
INSERT INTO public.who_data VALUES (39737, 0, 86380, 0, 705, 168, 3);
INSERT INTO public.who_data VALUES (39738, 0, 741, 0, 13, 168, 224);
INSERT INTO public.who_data VALUES (39739, 484, 298509, 2, 6342, 168, 110);
INSERT INTO public.who_data VALUES (39740, 0, 0, 0, 0, 168, 106);
INSERT INTO public.who_data VALUES (39741, 682, 95596, 17, 2063, 168, 89);
INSERT INTO public.who_data VALUES (39742, 9, 488, 0, 5, 168, 121);
INSERT INTO public.who_data VALUES (39743, 695, 20654, 25, 398, 168, 163);
INSERT INTO public.who_data VALUES (39744, 6703, 676848, 149, 29554, 168, 70);
INSERT INTO public.who_data VALUES (39745, 2498, 234570, 53, 3790, 168, 174);
INSERT INTO public.who_data VALUES (39746, 0, 0, 0, 0, 168, 175);
INSERT INTO public.who_data VALUES (39747, 567, 70387, 13, 2113, 168, 118);
INSERT INTO public.who_data VALUES (39748, 486, 59943, 5, 1838, 168, 189);
INSERT INTO public.who_data VALUES (39749, 251, 34492, 9, 464, 168, 124);
INSERT INTO public.who_data VALUES (39750, 227, 119864, 1, 202, 168, 192);
INSERT INTO public.who_data VALUES (39751, 167, 21177, 1, 334, 168, 41);
INSERT INTO public.who_data VALUES (39752, 567, 39473, 16, 1063, 168, 95);
INSERT INTO public.who_data VALUES (39753, 113, 2115, 1, 6, 168, 74);
INSERT INTO public.who_data VALUES (39754, 1269, 93864, 38, 3850, 168, 11);
INSERT INTO public.who_data VALUES (39755, 5195, 1025505, 61, 17820, 168, 87);
INSERT INTO public.who_data VALUES (39756, 45, 4349, 0, 18, 168, 214);
INSERT INTO public.who_data VALUES (39757, 0, 5, 0, 0, 168, 116);
INSERT INTO public.who_data VALUES (39758, 0, 18, 0, 0, 168, 157);
INSERT INTO public.who_data VALUES (39759, 0, 0, 0, 0, 168, 182);
INSERT INTO public.who_data VALUES (39760, 0, 17, 0, 0, 168, 186);
INSERT INTO public.who_data VALUES (39761, 0, 26, 0, 0, 168, 127);
INSERT INTO public.who_data VALUES (39762, 0, 239, 0, 6, 168, 232);
INSERT INTO public.who_data VALUES (39763, 1, 6, 0, 0, 168, 33);
INSERT INTO public.who_data VALUES (39764, 0, 61, 0, 0, 168, 97);
INSERT INTO public.who_data VALUES (39765, 0, 0, 0, 0, 168, 42);
INSERT INTO public.who_data VALUES (39766, 0, 735, 0, 42, 168, 198);
INSERT INTO public.who_data VALUES (39767, 1, 898, 0, 15, 168, 216);
INSERT INTO public.who_data VALUES (39768, 791, 319932, 34, 4049, 168, 164);
INSERT INTO public.who_data VALUES (39769, 0, 13881, 0, 289, 168, 235);
INSERT INTO public.who_data VALUES (39770, 77, 31849, 2, 723, 168, 67);
INSERT INTO public.who_data VALUES (39771, 0, 135, 0, 0, 168, 15);
INSERT INTO public.who_data VALUES (39772, 2, 2043, 0, 71, 168, 180);
INSERT INTO public.who_data VALUES (39773, 34, 56982, 0, 27, 168, 237);
INSERT INTO public.who_data VALUES (39774, 0, 4, 0, 0, 168, 25);
INSERT INTO public.who_data VALUES (39775, 0, 504, 0, 19, 168, 209);
INSERT INTO public.who_data VALUES (39776, 137, 4300, 0, 37, 168, 217);
INSERT INTO public.who_data VALUES (39777, 43, 3123, 1, 134, 168, 79);
INSERT INTO public.who_data VALUES (39778, 0, 0, 0, 0, 168, 143);
INSERT INTO public.who_data VALUES (39779, 30, 3362, 0, 97, 168, 229);
INSERT INTO public.who_data VALUES (39780, 1806, 636884, 101, 14779, 168, 141);
INSERT INTO public.who_data VALUES (39781, 0, 2544, 0, 48, 168, 197);
INSERT INTO public.who_data VALUES (39782, 13458, 554131, 72, 31272, 168, 221);
INSERT INTO public.who_data VALUES (39783, 6, 3121, 0, 12, 168, 150);
INSERT INTO public.who_data VALUES (39784, 30, 13437, 1, 833, 168, 56);
INSERT INTO public.who_data VALUES (39785, 37, 4252, 2, 75, 168, 167);
INSERT INTO public.who_data VALUES (39786, 262, 85331, 0, 5831, 168, 23);
INSERT INTO public.who_data VALUES (39787, 294, 44531, 2, 1772, 168, 222);
INSERT INTO public.who_data VALUES (39788, 63, 3104, 3, 130, 168, 219);
INSERT INTO public.who_data VALUES (39789, 33, 8757, 1, 70, 168, 7);
INSERT INTO public.who_data VALUES (39790, 6, 3444, 0, 58, 168, 161);
INSERT INTO public.who_data VALUES (39791, 1813, 344168, 12, 41549, 168, 149);
INSERT INTO public.who_data VALUES (39792, 0, 27, 0, 0, 168, 6);
INSERT INTO public.who_data VALUES (39793, 0, 1443, 0, 31, 168, 139);
INSERT INTO public.who_data VALUES (39794, 0, 0, 0, 0, 168, 211);
INSERT INTO public.who_data VALUES (39795, 0, 0, 0, 0, 168, 14);
INSERT INTO public.who_data VALUES (39796, 112, 2142, 2, 32, 168, 111);
INSERT INTO public.who_data VALUES (39797, 265, 5041, 0, 93, 168, 207);
INSERT INTO public.who_data VALUES (39798, 8403, 547428, 56, 6620, 168, 66);
INSERT INTO public.who_data VALUES (39799, 0, 0, 0, 0, 168, 173);
INSERT INTO public.who_data VALUES (39800, 14, 591, 0, 5, 168, 145);
INSERT INTO public.who_data VALUES (39801, 0, 0, 0, 0, 168, 65);
INSERT INTO public.who_data VALUES (39802, 186, 3539, 4, 39, 168, 184);
INSERT INTO public.who_data VALUES (39803, 2107, 135894, 35, 2846, 168, 98);
INSERT INTO public.who_data VALUES (39804, 705, 73471, 1, 388, 168, 104);
INSERT INTO public.who_data VALUES (39805, 0, 509, 0, 21, 168, 73);
INSERT INTO public.who_data VALUES (39806, 49131, 6144138, 976, 186663, 168, 8);
INSERT INTO public.who_data VALUES (39807, 17, 1167, 0, 16, 168, 227);
INSERT INTO public.who_data VALUES (39808, 17, 1653, 1, 45, 168, 75);
INSERT INTO public.who_data VALUES (39809, 307, 43476, 5, 343, 168, 45);
INSERT INTO public.who_data VALUES (39810, 0, 0, 0, 0, 168, 133);
INSERT INTO public.who_data VALUES (39811, 1096, 50973, 10, 412, 168, 202);
INSERT INTO public.who_data VALUES (39812, 0, 1049, 0, 35, 168, 129);
INSERT INTO public.who_data VALUES (39813, 0, 0, 0, 0, 168, 36);
INSERT INTO public.who_data VALUES (39814, 0, 1987, 0, 573, 168, 51);
INSERT INTO public.who_data VALUES (39815, 70, 12709, 0, 292, 168, 206);
INSERT INTO public.who_data VALUES (39816, 0, 6837, 0, 206, 168, 5);
INSERT INTO public.who_data VALUES (39817, 16, 38390, 0, 1413, 169, 103);
INSERT INTO public.who_data VALUES (39818, 123, 9967, 5, 306, 169, 58);
INSERT INTO public.who_data VALUES (39819, 304, 45773, 8, 1539, 169, 195);
INSERT INTO public.who_data VALUES (39820, 0, 0, 0, 0, 169, 115);
INSERT INTO public.who_data VALUES (39821, 7, 1215, 0, 53, 169, 99);
INSERT INTO public.who_data VALUES (39822, 71, 2876, 2, 115, 169, 153);
INSERT INTO public.who_data VALUES (39823, 0, 3, 0, 0, 169, 93);
INSERT INTO public.who_data VALUES (39824, 0, 95, 0, 3, 169, 84);
INSERT INTO public.who_data VALUES (39825, 12026, 451198, 313, 9468, 169, 78);
INSERT INTO public.who_data VALUES (39826, 188, 43962, 4, 890, 169, 170);
INSERT INTO public.who_data VALUES (39827, 81, 2292, 1, 13, 169, 32);
INSERT INTO public.who_data VALUES (39828, 87, 26136, 59, 737, 169, 155);
INSERT INTO public.who_data VALUES (39829, 271, 28766, 0, 735, 169, 82);
INSERT INTO public.who_data VALUES (39830, 132, 37031, 2, 543, 169, 16);
INSERT INTO public.who_data VALUES (39831, 49, 2386, 3, 50, 169, 72);
INSERT INTO public.who_data VALUES (39832, 662, 54095, 5, 195, 169, 43);
INSERT INTO public.who_data VALUES (39833, 1929, 321615, 29, 4412, 169, 120);
INSERT INTO public.who_data VALUES (39834, 0, 177, 0, 7, 169, 213);
INSERT INTO public.who_data VALUES (39835, 183, 72485, 5, 701, 169, 31);
INSERT INTO public.who_data VALUES (39836, 728, 88675, 2, 9894, 169, 204);
INSERT INTO public.who_data VALUES (39837, 17, 1118, 0, 13, 169, 152);
INSERT INTO public.who_data VALUES (39838, 19, 2213, 0, 40, 169, 144);
INSERT INTO public.who_data VALUES (39839, 2, 174, 0, 9, 169, 96);
INSERT INTO public.who_data VALUES (39840, 1, 228, 0, 0, 169, 47);
INSERT INTO public.who_data VALUES (39841, 853, 118781, 85, 5288, 169, 80);
INSERT INTO public.who_data VALUES (39842, 0, 9, 0, 0, 169, 159);
INSERT INTO public.who_data VALUES (39843, 337, 21198, 2, 632, 169, 27);
INSERT INTO public.who_data VALUES (39844, 278, 2002, 2, 8, 169, 146);
INSERT INTO public.who_data VALUES (39845, 43773, 4041638, 834, 124614, 169, 71);
INSERT INTO public.who_data VALUES (39846, 16, 63, 0, 1, 169, 210);
INSERT INTO public.who_data VALUES (39847, 0, 145, 0, 3, 169, 54);
INSERT INTO public.who_data VALUES (39848, 158, 16775, 10, 658, 169, 147);
INSERT INTO public.who_data VALUES (39849, 8, 1386, 0, 55, 169, 2);
INSERT INTO public.who_data VALUES (39850, 9, 460, 0, 1, 169, 105);
INSERT INTO public.who_data VALUES (39851, 75, 4200, 0, 41, 169, 53);
INSERT INTO public.who_data VALUES (39852, 0, 274, 0, 0, 169, 81);
INSERT INTO public.who_data VALUES (39853, 0, 19604, 0, 415, 169, 223);
INSERT INTO public.who_data VALUES (39854, 570, 130493, 6, 9141, 169, 94);
INSERT INTO public.who_data VALUES (39855, 0, 205, 0, 1, 169, 154);
INSERT INTO public.who_data VALUES (39856, 0, 4729, 0, 62, 169, 83);
INSERT INTO public.who_data VALUES (39857, 5, 1023, 0, 77, 169, 194);
INSERT INTO public.who_data VALUES (39858, 1968, 418469, 72, 11494, 169, 136);
INSERT INTO public.who_data VALUES (39859, 23, 90498, 0, 4735, 169, 179);
INSERT INTO public.who_data VALUES (39860, 8235, 641574, 270, 20618, 169, 57);
INSERT INTO public.who_data VALUES (39861, 0, 448, 0, 7, 169, 35);
INSERT INTO public.who_data VALUES (39862, 0, 4628, 0, 82, 169, 228);
INSERT INTO public.who_data VALUES (39863, 0, 0, 0, 0, 169, 19);
INSERT INTO public.who_data VALUES (39864, 1153, 44458, 7, 460, 169, 22);
INSERT INTO public.who_data VALUES (39865, 47, 18208, 2, 119, 169, 1);
INSERT INTO public.who_data VALUES (39866, 334, 11428, 1, 195, 169, 21);
INSERT INTO public.who_data VALUES (39867, 52, 4266, 0, 100, 169, 234);
INSERT INTO public.who_data VALUES (39868, 3, 78, 0, 1, 169, 91);
INSERT INTO public.who_data VALUES (39869, 0, 1498, 0, 21, 169, 137);
INSERT INTO public.who_data VALUES (39870, 797, 27249, 3, 429, 169, 201);
INSERT INTO public.who_data VALUES (39871, 0, 0, 0, 0, 169, 171);
INSERT INTO public.who_data VALUES (39872, 35, 10148, 0, 259, 169, 92);
INSERT INTO public.who_data VALUES (39873, 173, 17547, 1, 627, 169, 112);
INSERT INTO public.who_data VALUES (39874, 0, 5387, 0, 60, 169, 62);
INSERT INTO public.who_data VALUES (39875, 2, 22, 0, 0, 169, 69);
INSERT INTO public.who_data VALUES (39876, 0, 96629, 0, 1801, 169, 220);
INSERT INTO public.who_data VALUES (39877, 815, 117175, 26, 6674, 169, 100);
INSERT INTO public.who_data VALUES (39878, 157, 99582, 16, 5495, 169, 187);
INSERT INTO public.who_data VALUES (39879, 99, 26099, 5, 744, 169, 63);
INSERT INTO public.who_data VALUES (39880, 7, 4972, 0, 83, 169, 28);
INSERT INTO public.who_data VALUES (39881, 0, 330, 0, 0, 169, 172);
INSERT INTO public.who_data VALUES (39882, 15, 2456, 0, 64, 169, 17);
INSERT INTO public.who_data VALUES (39883, 60, 4780, 0, 94, 169, 226);
INSERT INTO public.who_data VALUES (39884, 1303, 56516, 24, 880, 169, 236);
INSERT INTO public.who_data VALUES (39885, 0, 13, 0, 0, 169, 76);
INSERT INTO public.who_data VALUES (39886, 1, 413, 0, 0, 169, 30);
INSERT INTO public.who_data VALUES (39887, 0, 31, 0, 2, 169, 128);
INSERT INTO public.who_data VALUES (39888, 25, 8225, 0, 335, 169, 86);
INSERT INTO public.who_data VALUES (39889, 8860, 292125, -1, 30535, 169, 140);
INSERT INTO public.who_data VALUES (39890, 25, 9276, 1, 62, 169, 44);
INSERT INTO public.who_data VALUES (39891, 36, 694, 0, 0, 169, 113);
INSERT INTO public.who_data VALUES (39892, 63, 8601, 0, 53, 169, 29);
INSERT INTO public.who_data VALUES (39893, 19, 3120, 0, 99, 169, 125);
INSERT INTO public.who_data VALUES (39894, 25, 1621, 0, 19, 169, 131);
INSERT INTO public.who_data VALUES (39895, 1378, 248997, 2, 9324, 169, 46);
INSERT INTO public.who_data VALUES (39896, 64, 44777, 3, 283, 169, 10);
INSERT INTO public.who_data VALUES (39897, 3, 298, 0, 0, 169, 205);
INSERT INTO public.who_data VALUES (39898, 202, 11200, 1, 279, 169, 50);
INSERT INTO public.who_data VALUES (39899, 0, 14, 0, 0, 169, 20);
INSERT INTO public.who_data VALUES (39900, 0, 24, 0, 0, 169, 13);
INSERT INTO public.who_data VALUES (39901, 0, 1363, 0, 20, 169, 148);
INSERT INTO public.who_data VALUES (39902, 59, 1619, 1, 14, 169, 230);
INSERT INTO public.who_data VALUES (39903, 682, 77040, 21, 2825, 169, 190);
INSERT INTO public.who_data VALUES (39904, 0, 252, 0, 13, 169, 188);
INSERT INTO public.who_data VALUES (39905, 70, 9649, 0, 61, 169, 123);
INSERT INTO public.who_data VALUES (39906, 0, 2245, 0, 38, 169, 9);
INSERT INTO public.who_data VALUES (39907, 19, 1401, 3, 44, 169, 102);
INSERT INTO public.who_data VALUES (39908, 68, 8326, 6, 212, 169, 34);
INSERT INTO public.who_data VALUES (39909, 0, 12, 0, 0, 169, 212);
INSERT INTO public.who_data VALUES (39910, 632, 63158, 30, 1954, 169, 122);
INSERT INTO public.who_data VALUES (39911, 459, 7382, 1, 621, 169, 38);
INSERT INTO public.who_data VALUES (39912, 7, 2135, 0, 10, 169, 130);
INSERT INTO public.who_data VALUES (39913, 86432, 4023179, 1089, 69561, 169, 37);
INSERT INTO public.who_data VALUES (39914, 3269, 187537, 82, 7832, 169, 231);
INSERT INTO public.who_data VALUES (39915, 2026, 382772, 118, 22044, 169, 107);
INSERT INTO public.who_data VALUES (39916, 5036, 252075, 84, 7359, 169, 101);
INSERT INTO public.who_data VALUES (39917, 97, 29303, 0, 1777, 169, 132);
INSERT INTO public.who_data VALUES (39918, 0, 336, 0, 24, 169, 176);
INSERT INTO public.who_data VALUES (39919, 2661, 125022, 16, 998, 169, 200);
INSERT INTO public.who_data VALUES (39920, 1732, 274644, 11, 35518, 169, 169);
INSERT INTO public.who_data VALUES (39921, 73, 2896, 2, 29, 169, 225);
INSERT INTO public.who_data VALUES (39922, 608, 70876, 19, 1349, 169, 165);
INSERT INTO public.who_data VALUES (39923, 1, 383, 0, 32, 169, 233);
INSERT INTO public.who_data VALUES (39924, 68, 2369, 0, 16, 169, 215);
INSERT INTO public.who_data VALUES (39925, 499, 133924, 0, 1878, 169, 177);
INSERT INTO public.who_data VALUES (39926, 179, 34884, 4, 589, 169, 183);
INSERT INTO public.who_data VALUES (39927, 0, 0, 0, 0, 169, 203);
INSERT INTO public.who_data VALUES (39928, 119, 13867, 3, 541, 169, 162);
INSERT INTO public.who_data VALUES (39929, 865, 88243, 1, 537, 169, 12);
INSERT INTO public.who_data VALUES (39930, 89, 44316, 0, 1061, 169, 24);
INSERT INTO public.who_data VALUES (39931, 0, 22, 0, 0, 169, 119);
INSERT INTO public.who_data VALUES (39932, 6, 1416, 1, 35, 169, 39);
INSERT INTO public.who_data VALUES (39933, 527, 19480, 4, 183, 169, 26);
INSERT INTO public.who_data VALUES (39934, 0, 1148, 0, 31, 169, 59);
INSERT INTO public.who_data VALUES (39935, 0, 1306, 0, 82, 169, 77);
INSERT INTO public.who_data VALUES (39936, 649, 17094, 10, 272, 169, 134);
INSERT INTO public.who_data VALUES (39937, 0, 108, 0, 1, 169, 4);
INSERT INTO public.who_data VALUES (39938, 36, 3034, 0, 86, 169, 109);
INSERT INTO public.who_data VALUES (39939, 109, 6854, 0, 124, 169, 90);
INSERT INTO public.who_data VALUES (39940, 81, 15187, 1, 198, 169, 61);
INSERT INTO public.who_data VALUES (39941, 15, 5608, 0, 175, 169, 85);
INSERT INTO public.who_data VALUES (39942, 11, 9385, 0, 128, 169, 49);
INSERT INTO public.who_data VALUES (39943, 80, 8361, 0, 29, 169, 208);
INSERT INTO public.who_data VALUES (39944, 7, 2814, 0, 126, 169, 166);
INSERT INTO public.who_data VALUES (39945, 19, 1985, 0, 13, 169, 64);
INSERT INTO public.who_data VALUES (39946, 0, 0, 0, 0, 169, 199);
INSERT INTO public.who_data VALUES (39947, 0, 754, 0, 18, 169, 114);
INSERT INTO public.who_data VALUES (39948, 20, 7126, 0, 160, 169, 60);
INSERT INTO public.who_data VALUES (39949, 0, 356, 0, 10, 169, 68);
INSERT INTO public.who_data VALUES (39950, 0, 3374, 0, 40, 169, 158);
INSERT INTO public.who_data VALUES (39951, 5937, 616894, 513, 66329, 169, 52);
INSERT INTO public.who_data VALUES (39952, 0, 0, 0, 0, 169, 117);
INSERT INTO public.who_data VALUES (39953, 4, 150, 0, 1, 169, 126);
INSERT INTO public.who_data VALUES (39954, 4, 310, 0, 0, 169, 196);
INSERT INTO public.who_data VALUES (39955, 139, 5518, 1, 107, 169, 142);
INSERT INTO public.who_data VALUES (39956, 0, 13, 0, 1, 169, 185);
INSERT INTO public.who_data VALUES (39957, 1750, 68605, 39, 1292, 169, 138);
INSERT INTO public.who_data VALUES (39958, 58, 4265, 0, 26, 169, 181);
INSERT INTO public.who_data VALUES (39959, 83, 1216, 0, 7, 169, 178);
INSERT INTO public.who_data VALUES (39960, 241, 8323, 1, 87, 169, 168);
INSERT INTO public.who_data VALUES (39961, 0, 0, 0, 0, 169, 160);
INSERT INTO public.who_data VALUES (39962, 1359, 44236, 14, 271, 169, 151);
INSERT INTO public.who_data VALUES (39963, 743, 73115, 2, 6235, 169, 193);
INSERT INTO public.who_data VALUES (39964, 0, 26, 0, 0, 169, 18);
INSERT INTO public.who_data VALUES (39965, 3, 1416, 2, 24, 169, 40);
INSERT INTO public.who_data VALUES (39966, 0, 3773, 0, 141, 169, 218);
INSERT INTO public.who_data VALUES (39967, 0, 1177, 0, 69, 169, 191);
INSERT INTO public.who_data VALUES (39968, 155, 54743, 3, 1051, 169, 156);
INSERT INTO public.who_data VALUES (39969, 0, 0, 0, 0, 169, 135);
INSERT INTO public.who_data VALUES (39970, 0, 57, 0, 2, 169, 88);
INSERT INTO public.who_data VALUES (39971, 109, 14871, 3, 609, 169, 55);
INSERT INTO public.who_data VALUES (39972, 85, 11120, 0, 264, 169, 108);
INSERT INTO public.who_data VALUES (39973, 888, 32817, 3, 192, 169, 48);
INSERT INTO public.who_data VALUES (39974, 0, 86380, 0, 705, 169, 3);
INSERT INTO public.who_data VALUES (39975, 0, 741, 0, 13, 169, 224);
INSERT INTO public.who_data VALUES (39976, 513, 298025, 5, 6340, 169, 110);
INSERT INTO public.who_data VALUES (39977, 0, 0, 0, 0, 169, 106);
INSERT INTO public.who_data VALUES (39978, 830, 94914, 16, 2046, 169, 89);
INSERT INTO public.who_data VALUES (39979, 8, 479, 0, 5, 169, 121);
INSERT INTO public.who_data VALUES (39980, 821, 19959, 15, 373, 169, 163);
INSERT INTO public.who_data VALUES (39981, 6708, 670145, 146, 29405, 169, 70);
INSERT INTO public.who_data VALUES (39982, 3669, 232072, 49, 3737, 169, 174);
INSERT INTO public.who_data VALUES (39983, 0, 0, 0, 0, 169, 175);
INSERT INTO public.who_data VALUES (39984, 691, 69820, 8, 2100, 169, 118);
INSERT INTO public.who_data VALUES (39985, 406, 59457, 4, 1833, 169, 189);
INSERT INTO public.who_data VALUES (39986, 43, 34241, 7, 455, 169, 124);
INSERT INTO public.who_data VALUES (39987, 217, 119637, 0, 201, 169, 192);
INSERT INTO public.who_data VALUES (39988, 168, 21010, 2, 333, 169, 41);
INSERT INTO public.who_data VALUES (39989, 534, 38906, 11, 1047, 169, 95);
INSERT INTO public.who_data VALUES (39990, 90, 2002, 0, 5, 169, 74);
INSERT INTO public.who_data VALUES (39991, 1339, 92595, 47, 3812, 169, 11);
INSERT INTO public.who_data VALUES (39992, 5205, 1020310, 110, 17759, 169, 87);
INSERT INTO public.who_data VALUES (39993, 49, 4304, 0, 18, 169, 214);
INSERT INTO public.who_data VALUES (39994, 0, 5, 0, 0, 169, 116);
INSERT INTO public.who_data VALUES (39995, 0, 18, 0, 0, 169, 157);
INSERT INTO public.who_data VALUES (39996, 0, 0, 0, 0, 169, 182);
INSERT INTO public.who_data VALUES (39997, 0, 17, 0, 0, 169, 186);
INSERT INTO public.who_data VALUES (39998, 0, 26, 0, 0, 169, 127);
INSERT INTO public.who_data VALUES (39999, 0, 239, 0, 6, 169, 232);
INSERT INTO public.who_data VALUES (40000, 0, 5, 0, 0, 169, 33);
INSERT INTO public.who_data VALUES (40001, 0, 61, 0, 0, 169, 97);
INSERT INTO public.who_data VALUES (40002, 0, 0, 0, 0, 169, 42);
INSERT INTO public.who_data VALUES (40003, 0, 735, 0, 42, 169, 198);
INSERT INTO public.who_data VALUES (40004, 0, 897, 0, 15, 169, 216);
INSERT INTO public.who_data VALUES (40005, 822, 319141, 33, 4015, 169, 164);
INSERT INTO public.who_data VALUES (40006, 55, 13881, 2, 289, 169, 235);
INSERT INTO public.who_data VALUES (40007, 96, 31772, 3, 721, 169, 67);
INSERT INTO public.who_data VALUES (40008, 0, 135, 0, 0, 169, 15);
INSERT INTO public.who_data VALUES (40009, 6, 2041, 0, 71, 169, 180);
INSERT INTO public.who_data VALUES (40010, 40, 56948, 0, 27, 169, 237);
INSERT INTO public.who_data VALUES (40011, 0, 4, 0, 0, 169, 25);
INSERT INTO public.who_data VALUES (40012, 9, 504, 0, 19, 169, 209);
INSERT INTO public.who_data VALUES (40013, 121, 4163, 4, 37, 169, 217);
INSERT INTO public.who_data VALUES (40014, 47, 3080, 0, 133, 169, 79);
INSERT INTO public.who_data VALUES (40015, 0, 0, 0, 0, 169, 143);
INSERT INTO public.who_data VALUES (40016, 22, 3332, 0, 97, 169, 229);
INSERT INTO public.who_data VALUES (40017, 2063, 635078, 289, 14678, 169, 141);
INSERT INTO public.who_data VALUES (40018, 8, 2544, 1, 48, 169, 197);
INSERT INTO public.who_data VALUES (40019, 11199, 540673, 75, 31200, 169, 221);
INSERT INTO public.who_data VALUES (40020, 4, 3115, 0, 12, 169, 150);
INSERT INTO public.who_data VALUES (40021, 218, 13407, 9, 832, 169, 56);
INSERT INTO public.who_data VALUES (40022, 66, 4215, 1, 73, 169, 167);
INSERT INTO public.who_data VALUES (40023, 286, 85069, 2, 5831, 169, 23);
INSERT INTO public.who_data VALUES (40024, 426, 44237, 2, 1770, 169, 222);
INSERT INTO public.who_data VALUES (40025, 68, 3041, 3, 127, 169, 219);
INSERT INTO public.who_data VALUES (40026, 34, 8724, 0, 69, 169, 7);
INSERT INTO public.who_data VALUES (40027, 7, 3438, 0, 58, 169, 161);
INSERT INTO public.who_data VALUES (40028, 1940, 342355, 10, 41537, 169, 149);
INSERT INTO public.who_data VALUES (40029, 0, 27, 0, 0, 169, 6);
INSERT INTO public.who_data VALUES (40030, 0, 1443, 0, 31, 169, 139);
INSERT INTO public.who_data VALUES (40031, 0, 0, 0, 0, 169, 211);
INSERT INTO public.who_data VALUES (40032, 0, 0, 0, 0, 169, 14);
INSERT INTO public.who_data VALUES (40033, 89, 2030, 2, 30, 169, 111);
INSERT INTO public.who_data VALUES (40034, 234, 4776, 6, 93, 169, 207);
INSERT INTO public.who_data VALUES (40035, 8342, 539025, 53, 6564, 169, 66);
INSERT INTO public.who_data VALUES (40036, 0, 0, 0, 0, 169, 173);
INSERT INTO public.who_data VALUES (40037, 22, 577, 1, 5, 169, 145);
INSERT INTO public.who_data VALUES (40038, 0, 0, 0, 0, 169, 65);
INSERT INTO public.who_data VALUES (40039, 65, 3353, 2, 35, 169, 184);
INSERT INTO public.who_data VALUES (40040, 2836, 133787, 50, 2811, 169, 98);
INSERT INTO public.who_data VALUES (40041, 612, 72766, 0, 387, 169, 104);
INSERT INTO public.who_data VALUES (40042, 0, 509, 0, 21, 169, 73);
INSERT INTO public.who_data VALUES (40043, 44563, 6095007, 1073, 185687, 169, 8);
INSERT INTO public.who_data VALUES (40044, 6, 1150, 1, 16, 169, 227);
INSERT INTO public.who_data VALUES (40045, 10, 1636, 0, 44, 169, 75);
INSERT INTO public.who_data VALUES (40046, 266, 43169, 2, 338, 169, 45);
INSERT INTO public.who_data VALUES (40047, 0, 0, 0, 0, 169, 133);
INSERT INTO public.who_data VALUES (40048, 994, 49877, 4, 402, 169, 202);
INSERT INTO public.who_data VALUES (40049, 3, 1049, 0, 35, 169, 129);
INSERT INTO public.who_data VALUES (40050, 0, 0, 0, 0, 169, 36);
INSERT INTO public.who_data VALUES (40051, 4, 1987, 1, 573, 169, 51);
INSERT INTO public.who_data VALUES (40052, 116, 12639, 0, 292, 169, 206);
INSERT INTO public.who_data VALUES (40053, 159, 6837, 0, 206, 169, 5);
INSERT INTO public.who_data VALUES (40054, 0, 38374, 0, 1413, 170, 103);
INSERT INTO public.who_data VALUES (40055, 116, 9844, 5, 301, 170, 58);
INSERT INTO public.who_data VALUES (40056, 311, 45469, 6, 1531, 170, 195);
INSERT INTO public.who_data VALUES (40057, 0, 0, 0, 0, 170, 115);
INSERT INTO public.who_data VALUES (40058, 9, 1208, 0, 53, 170, 99);
INSERT INTO public.who_data VALUES (40059, 28, 2805, 1, 113, 170, 153);
INSERT INTO public.who_data VALUES (40060, 0, 3, 0, 0, 170, 93);
INSERT INTO public.who_data VALUES (40061, 1, 95, 0, 3, 170, 84);
INSERT INTO public.who_data VALUES (40062, 10933, 439172, 184, 9155, 170, 78);
INSERT INTO public.who_data VALUES (40063, 190, 43774, 4, 886, 170, 170);
INSERT INTO public.who_data VALUES (40064, 107, 2211, 2, 12, 170, 32);
INSERT INTO public.who_data VALUES (40065, 126, 26049, 15, 678, 170, 155);
INSERT INTO public.who_data VALUES (40066, 312, 28495, 1, 735, 170, 82);
INSERT INTO public.who_data VALUES (40067, 167, 36899, 3, 541, 170, 16);
INSERT INTO public.who_data VALUES (40068, 61, 2337, 1, 47, 170, 72);
INSERT INTO public.who_data VALUES (40069, 626, 53433, 0, 190, 170, 43);
INSERT INTO public.who_data VALUES (40070, 2158, 319686, 32, 4383, 170, 120);
INSERT INTO public.who_data VALUES (40071, 1, 177, 0, 7, 170, 213);
INSERT INTO public.who_data VALUES (40072, 161, 72302, 5, 696, 170, 31);
INSERT INTO public.who_data VALUES (40073, 677, 87947, 4, 9892, 170, 204);
INSERT INTO public.who_data VALUES (40074, 51, 1101, 0, 13, 170, 152);
INSERT INTO public.who_data VALUES (40075, 0, 2194, 0, 40, 170, 144);
INSERT INTO public.who_data VALUES (40076, 0, 172, 0, 9, 170, 96);
INSERT INTO public.who_data VALUES (40077, 0, 227, 0, 0, 170, 47);
INSERT INTO public.who_data VALUES (40078, 661, 117928, 102, 5203, 170, 80);
INSERT INTO public.who_data VALUES (40079, 0, 9, 0, 0, 170, 159);
INSERT INTO public.who_data VALUES (40080, 287, 20861, 9, 630, 170, 27);
INSERT INTO public.who_data VALUES (40081, 0, 1724, 0, 6, 170, 146);
INSERT INTO public.who_data VALUES (40082, 46934, 3997865, 1184, 123780, 170, 71);
INSERT INTO public.who_data VALUES (40083, 0, 47, 0, 1, 170, 210);
INSERT INTO public.who_data VALUES (40084, 1, 145, 0, 3, 170, 54);
INSERT INTO public.who_data VALUES (40085, 163, 16617, 6, 648, 170, 147);
INSERT INTO public.who_data VALUES (40086, 3, 1378, 0, 55, 170, 2);
INSERT INTO public.who_data VALUES (40087, 3, 451, 0, 1, 170, 105);
INSERT INTO public.who_data VALUES (40088, 77, 4125, 0, 41, 170, 53);
INSERT INTO public.who_data VALUES (40089, 0, 274, 0, 0, 170, 81);
INSERT INTO public.who_data VALUES (40090, 144, 19604, 0, 415, 170, 223);
INSERT INTO public.who_data VALUES (40091, 498, 129923, 3, 9135, 170, 94);
INSERT INTO public.who_data VALUES (40092, 0, 205, 0, 1, 170, 154);
INSERT INTO public.who_data VALUES (40093, 17, 4729, 0, 62, 170, 83);
INSERT INTO public.who_data VALUES (40094, 1, 1018, 0, 77, 170, 194);
INSERT INTO public.who_data VALUES (40095, 1762, 416501, 78, 11422, 170, 136);
INSERT INTO public.who_data VALUES (40096, 33, 90475, 1, 4735, 170, 179);
INSERT INTO public.who_data VALUES (40097, 9270, 633339, 296, 20348, 170, 57);
INSERT INTO public.who_data VALUES (40098, 21, 448, 0, 7, 170, 35);
INSERT INTO public.who_data VALUES (40099, 0, 4628, 0, 82, 170, 228);
INSERT INTO public.who_data VALUES (40100, 0, 0, 0, 0, 170, 19);
INSERT INTO public.who_data VALUES (40101, 1121, 43305, 10, 453, 170, 22);
INSERT INTO public.who_data VALUES (40102, 58, 18161, 0, 117, 170, 1);
INSERT INTO public.who_data VALUES (40103, 369, 11094, 3, 194, 170, 21);
INSERT INTO public.who_data VALUES (40104, 88, 4214, 2, 100, 170, 234);
INSERT INTO public.who_data VALUES (40105, 4, 75, 0, 1, 170, 91);
INSERT INTO public.who_data VALUES (40106, 3, 1498, 0, 21, 170, 137);
INSERT INTO public.who_data VALUES (40107, 679, 26452, 1, 426, 170, 201);
INSERT INTO public.who_data VALUES (40108, 0, 0, 0, 0, 170, 171);
INSERT INTO public.who_data VALUES (40109, 0, 10113, 0, 259, 170, 92);
INSERT INTO public.who_data VALUES (40110, 179, 17374, 0, 626, 170, 112);
INSERT INTO public.who_data VALUES (40111, 0, 5387, 0, 60, 170, 62);
INSERT INTO public.who_data VALUES (40112, 0, 20, 0, 0, 170, 69);
INSERT INTO public.who_data VALUES (40113, 1002, 96629, 36, 1801, 170, 220);
INSERT INTO public.who_data VALUES (40114, 903, 116360, 29, 6648, 170, 100);
INSERT INTO public.who_data VALUES (40115, 145, 99425, 18, 5479, 170, 187);
INSERT INTO public.who_data VALUES (40116, 96, 26000, 8, 739, 170, 63);
INSERT INTO public.who_data VALUES (40117, 0, 4965, 0, 83, 170, 28);
INSERT INTO public.who_data VALUES (40118, 11, 330, 0, 0, 170, 172);
INSERT INTO public.who_data VALUES (40119, 26, 2441, 0, 64, 170, 17);
INSERT INTO public.who_data VALUES (40120, 52, 4720, 0, 94, 170, 226);
INSERT INTO public.who_data VALUES (40121, 804, 55213, 10, 856, 170, 236);
INSERT INTO public.who_data VALUES (40122, 0, 13, 0, 0, 170, 76);
INSERT INTO public.who_data VALUES (40123, 1, 412, 0, 0, 170, 30);
INSERT INTO public.who_data VALUES (40124, 2, 31, 0, 2, 170, 128);
INSERT INTO public.who_data VALUES (40125, 39, 8200, 0, 335, 170, 86);
INSERT INTO public.who_data VALUES (40126, 6799, 283265, -3, 30536, 170, 140);
INSERT INTO public.who_data VALUES (40127, 42, 9251, 0, 61, 170, 44);
INSERT INTO public.who_data VALUES (40128, 36, 658, 0, 0, 170, 113);
INSERT INTO public.who_data VALUES (40129, 0, 8538, 0, 53, 170, 29);
INSERT INTO public.who_data VALUES (40130, 34, 3101, 2, 99, 170, 125);
INSERT INTO public.who_data VALUES (40131, 28, 1596, 0, 19, 170, 131);
INSERT INTO public.who_data VALUES (40132, 1453, 247619, 1, 9322, 170, 46);
INSERT INTO public.who_data VALUES (40133, 253, 44713, 4, 280, 170, 10);
INSERT INTO public.who_data VALUES (40134, 5, 295, 0, 0, 170, 205);
INSERT INTO public.who_data VALUES (40135, 241, 10998, 5, 278, 170, 50);
INSERT INTO public.who_data VALUES (40136, 0, 14, 0, 0, 170, 20);
INSERT INTO public.who_data VALUES (40137, 0, 24, 0, 0, 170, 13);
INSERT INTO public.who_data VALUES (40138, 94, 1363, 2, 20, 170, 148);
INSERT INTO public.who_data VALUES (40139, 74, 1560, 0, 13, 170, 230);
INSERT INTO public.who_data VALUES (40140, 714, 76358, 14, 2804, 170, 190);
INSERT INTO public.who_data VALUES (40141, 0, 252, 0, 13, 170, 188);
INSERT INTO public.who_data VALUES (40142, 100, 9579, 2, 61, 170, 123);
INSERT INTO public.who_data VALUES (40143, 96, 2245, 5, 38, 170, 9);
INSERT INTO public.who_data VALUES (40144, 9, 1382, 0, 41, 170, 102);
INSERT INTO public.who_data VALUES (40145, 0, 8258, 0, 206, 170, 34);
INSERT INTO public.who_data VALUES (40146, 0, 12, 0, 0, 170, 212);
INSERT INTO public.who_data VALUES (40147, 757, 62526, 36, 1924, 170, 122);
INSERT INTO public.who_data VALUES (40148, 301, 6923, 1, 620, 170, 38);
INSERT INTO public.who_data VALUES (40149, 7, 2128, 0, 10, 170, 130);
INSERT INTO public.who_data VALUES (40150, 83341, 3936747, 1096, 68472, 170, 37);
INSERT INTO public.who_data VALUES (40151, 3622, 184268, 134, 7750, 170, 231);
INSERT INTO public.who_data VALUES (40152, 1994, 380746, 129, 21926, 170, 107);
INSERT INTO public.who_data VALUES (40153, 4755, 247039, 74, 7275, 170, 101);
INSERT INTO public.who_data VALUES (40154, 92, 29206, 0, 1777, 170, 132);
INSERT INTO public.who_data VALUES (40155, 0, 336, 0, 24, 170, 176);
INSERT INTO public.who_data VALUES (40156, 3193, 122361, 14, 982, 170, 200);
INSERT INTO public.who_data VALUES (40157, 1397, 272912, 10, 35507, 170, 169);
INSERT INTO public.who_data VALUES (40158, 140, 2823, 3, 27, 170, 225);
INSERT INTO public.who_data VALUES (40159, 669, 70268, 11, 1330, 170, 165);
INSERT INTO public.who_data VALUES (40160, 3, 382, 0, 32, 170, 233);
INSERT INTO public.who_data VALUES (40161, 72, 2301, 1, 16, 170, 215);
INSERT INTO public.who_data VALUES (40162, 501, 133425, 0, 1878, 170, 177);
INSERT INTO public.who_data VALUES (40163, 212, 34705, 4, 585, 170, 183);
INSERT INTO public.who_data VALUES (40164, 0, 0, 0, 0, 170, 203);
INSERT INTO public.who_data VALUES (40165, 78, 13748, 9, 538, 170, 162);
INSERT INTO public.who_data VALUES (40166, 900, 87378, 1, 536, 170, 12);
INSERT INTO public.who_data VALUES (40167, 92, 44227, 1, 1061, 170, 24);
INSERT INTO public.who_data VALUES (40168, 0, 22, 0, 0, 170, 119);
INSERT INTO public.who_data VALUES (40169, 4, 1410, 0, 34, 170, 39);
INSERT INTO public.who_data VALUES (40170, 588, 18953, 2, 179, 170, 26);
INSERT INTO public.who_data VALUES (40171, 63, 1148, 0, 31, 170, 59);
INSERT INTO public.who_data VALUES (40172, 1, 1306, 0, 82, 170, 77);
INSERT INTO public.who_data VALUES (40173, 672, 16445, 8, 262, 170, 134);
INSERT INTO public.who_data VALUES (40174, 0, 108, 0, 1, 170, 4);
INSERT INTO public.who_data VALUES (40175, 26, 2998, 0, 86, 170, 109);
INSERT INTO public.who_data VALUES (40176, 0, 6745, 0, 124, 170, 90);
INSERT INTO public.who_data VALUES (40177, 83, 15106, 1, 197, 170, 61);
INSERT INTO public.who_data VALUES (40178, 14, 5593, 0, 175, 170, 85);
INSERT INTO public.who_data VALUES (40179, 14, 9374, 0, 128, 170, 49);
INSERT INTO public.who_data VALUES (40180, 141, 8281, 0, 29, 170, 208);
INSERT INTO public.who_data VALUES (40181, 5, 2807, 0, 126, 170, 166);
INSERT INTO public.who_data VALUES (40182, 34, 1966, 0, 13, 170, 64);
INSERT INTO public.who_data VALUES (40183, 0, 0, 0, 0, 170, 199);
INSERT INTO public.who_data VALUES (40184, 7, 754, 0, 18, 170, 114);
INSERT INTO public.who_data VALUES (40185, 17, 7106, 1, 160, 170, 60);
INSERT INTO public.who_data VALUES (40186, 0, 356, 0, 10, 170, 68);
INSERT INTO public.who_data VALUES (40187, 73, 3374, 0, 40, 170, 158);
INSERT INTO public.who_data VALUES (40188, 4921, 610957, 575, 65816, 170, 52);
INSERT INTO public.who_data VALUES (40189, 0, 0, 0, 0, 170, 117);
INSERT INTO public.who_data VALUES (40190, 1, 146, 0, 1, 170, 126);
INSERT INTO public.who_data VALUES (40191, 0, 306, 0, 0, 170, 196);
INSERT INTO public.who_data VALUES (40192, 154, 5379, 2, 106, 170, 142);
INSERT INTO public.who_data VALUES (40193, 0, 13, 0, 1, 170, 185);
INSERT INTO public.who_data VALUES (40194, 1402, 66855, 37, 1253, 170, 138);
INSERT INTO public.who_data VALUES (40195, 90, 4207, 1, 26, 170, 181);
INSERT INTO public.who_data VALUES (40196, 75, 1133, 1, 7, 170, 178);
INSERT INTO public.who_data VALUES (40197, 238, 8082, 4, 86, 170, 168);
INSERT INTO public.who_data VALUES (40198, 0, 0, 0, 0, 170, 160);
INSERT INTO public.who_data VALUES (40199, 1228, 42877, 6, 257, 170, 151);
INSERT INTO public.who_data VALUES (40200, 599, 72372, 2, 6233, 170, 193);
INSERT INTO public.who_data VALUES (40201, 3, 26, 0, 0, 170, 18);
INSERT INTO public.who_data VALUES (40202, 5, 1413, 0, 22, 170, 40);
INSERT INTO public.who_data VALUES (40203, 0, 3773, 0, 141, 170, 218);
INSERT INTO public.who_data VALUES (40204, 1, 1177, 0, 69, 170, 191);
INSERT INTO public.who_data VALUES (40205, 125, 54588, 21, 1048, 170, 156);
INSERT INTO public.who_data VALUES (40206, 0, 0, 0, 0, 170, 135);
INSERT INTO public.who_data VALUES (40207, 0, 57, 0, 2, 170, 88);
INSERT INTO public.who_data VALUES (40208, 162, 14762, 0, 606, 170, 55);
INSERT INTO public.who_data VALUES (40209, 164, 11035, 0, 264, 170, 108);
INSERT INTO public.who_data VALUES (40210, 596, 31929, 5, 189, 170, 48);
INSERT INTO public.who_data VALUES (40211, 452, 86380, 16, 705, 170, 3);
INSERT INTO public.who_data VALUES (40212, 0, 741, 0, 13, 170, 224);
INSERT INTO public.who_data VALUES (40213, 498, 297512, 7, 6335, 170, 110);
INSERT INTO public.who_data VALUES (40214, 0, 0, 0, 0, 170, 106);
INSERT INTO public.who_data VALUES (40215, 532, 94084, 12, 2030, 170, 89);
INSERT INTO public.who_data VALUES (40216, 0, 471, 0, 5, 170, 121);
INSERT INTO public.who_data VALUES (40217, 800, 19138, 10, 358, 170, 163);
INSERT INTO public.who_data VALUES (40218, 6308, 663437, 191, 29259, 170, 70);
INSERT INTO public.who_data VALUES (40219, 1963, 228403, 65, 3688, 170, 174);
INSERT INTO public.who_data VALUES (40220, 0, 0, 0, 0, 170, 175);
INSERT INTO public.who_data VALUES (40221, 612, 69129, 14, 2092, 170, 118);
INSERT INTO public.who_data VALUES (40222, 418, 59051, 2, 1829, 170, 189);
INSERT INTO public.who_data VALUES (40223, 195, 34198, 5, 448, 170, 124);
INSERT INTO public.who_data VALUES (40224, 214, 119420, 2, 201, 170, 192);
INSERT INTO public.who_data VALUES (40225, 198, 20842, 2, 331, 170, 41);
INSERT INTO public.who_data VALUES (40226, 632, 38372, 12, 1036, 170, 95);
INSERT INTO public.who_data VALUES (40227, 116, 1912, 0, 5, 170, 74);
INSERT INTO public.who_data VALUES (40228, 1365, 91256, 44, 3765, 170, 11);
INSERT INTO public.who_data VALUES (40229, 5110, 1015105, 121, 17649, 170, 87);
INSERT INTO public.who_data VALUES (40230, 37, 4255, 1, 18, 170, 214);
INSERT INTO public.who_data VALUES (40231, 0, 5, 0, 0, 170, 116);
INSERT INTO public.who_data VALUES (40232, 0, 18, 0, 0, 170, 157);
INSERT INTO public.who_data VALUES (40233, 0, 0, 0, 0, 170, 182);
INSERT INTO public.who_data VALUES (40234, 0, 17, 0, 0, 170, 186);
INSERT INTO public.who_data VALUES (40235, 0, 26, 0, 0, 170, 127);
INSERT INTO public.who_data VALUES (40236, 26, 239, 1, 6, 170, 232);
INSERT INTO public.who_data VALUES (40237, 0, 5, 0, 0, 170, 33);
INSERT INTO public.who_data VALUES (40238, 0, 61, 0, 0, 170, 97);
INSERT INTO public.who_data VALUES (40239, 0, 0, 0, 0, 170, 42);
INSERT INTO public.who_data VALUES (40240, 0, 735, 0, 42, 170, 198);
INSERT INTO public.who_data VALUES (40241, 1, 897, 0, 15, 170, 216);
INSERT INTO public.who_data VALUES (40242, 833, 318319, 26, 3982, 170, 164);
INSERT INTO public.who_data VALUES (40243, 83, 13826, 0, 287, 170, 235);
INSERT INTO public.who_data VALUES (40244, 95, 31676, 2, 718, 170, 67);
INSERT INTO public.who_data VALUES (40245, 0, 135, 0, 0, 170, 15);
INSERT INTO public.who_data VALUES (40246, 6, 2035, 0, 71, 170, 180);
INSERT INTO public.who_data VALUES (40247, 48, 56908, 0, 27, 170, 237);
INSERT INTO public.who_data VALUES (40248, 0, 4, 0, 0, 170, 25);
INSERT INTO public.who_data VALUES (40249, 13, 495, 0, 19, 170, 209);
INSERT INTO public.who_data VALUES (40250, 53, 4042, 0, 33, 170, 217);
INSERT INTO public.who_data VALUES (40251, 53, 3033, 0, 133, 170, 79);
INSERT INTO public.who_data VALUES (40252, 0, 0, 0, 0, 170, 143);
INSERT INTO public.who_data VALUES (40253, 0, 3310, 0, 97, 170, 229);
INSERT INTO public.who_data VALUES (40254, 2420, 633015, 0, 14389, 170, 141);
INSERT INTO public.who_data VALUES (40255, 3, 2536, 0, 47, 170, 197);
INSERT INTO public.who_data VALUES (40256, 10933, 529474, 81, 31125, 170, 221);
INSERT INTO public.who_data VALUES (40257, 9, 3111, 0, 12, 170, 150);
INSERT INTO public.who_data VALUES (40258, 0, 13189, 0, 823, 170, 56);
INSERT INTO public.who_data VALUES (40259, 60, 4149, 0, 72, 170, 167);
INSERT INTO public.who_data VALUES (40260, 213, 84783, 2, 5829, 170, 23);
INSERT INTO public.who_data VALUES (40261, 438, 43811, 1, 1768, 170, 222);
INSERT INTO public.who_data VALUES (40262, 75, 2973, 4, 124, 170, 219);
INSERT INTO public.who_data VALUES (40263, 36, 8690, 0, 69, 170, 7);
INSERT INTO public.who_data VALUES (40264, 4, 3431, 0, 58, 170, 161);
INSERT INTO public.who_data VALUES (40265, 1735, 340415, 13, 41527, 170, 149);
INSERT INTO public.who_data VALUES (40266, 0, 27, 0, 0, 170, 6);
INSERT INTO public.who_data VALUES (40267, 27, 1443, 3, 31, 170, 139);
INSERT INTO public.who_data VALUES (40268, 0, 0, 0, 0, 170, 211);
INSERT INTO public.who_data VALUES (40269, 0, 0, 0, 0, 170, 14);
INSERT INTO public.who_data VALUES (40270, 102, 1941, 0, 28, 170, 111);
INSERT INTO public.who_data VALUES (40271, 148, 4542, 3, 87, 170, 207);
INSERT INTO public.who_data VALUES (40272, 8372, 530683, 49, 6511, 170, 66);
INSERT INTO public.who_data VALUES (40273, 0, 0, 0, 0, 170, 173);
INSERT INTO public.who_data VALUES (40274, 17, 555, 0, 4, 170, 145);
INSERT INTO public.who_data VALUES (40275, 0, 0, 0, 0, 170, 65);
INSERT INTO public.who_data VALUES (40276, 176, 3288, 1, 33, 170, 184);
INSERT INTO public.who_data VALUES (40277, 2723, 130951, 51, 2761, 170, 98);
INSERT INTO public.who_data VALUES (40278, 614, 72154, 0, 387, 170, 104);
INSERT INTO public.who_data VALUES (40279, 0, 509, 0, 21, 170, 73);
INSERT INTO public.who_data VALUES (40280, 39402, 6050444, 1004, 184614, 170, 8);
INSERT INTO public.who_data VALUES (40281, 1, 1144, 0, 15, 170, 227);
INSERT INTO public.who_data VALUES (40282, 15, 1626, 0, 44, 170, 75);
INSERT INTO public.who_data VALUES (40283, 363, 42903, 7, 336, 170, 45);
INSERT INTO public.who_data VALUES (40284, 0, 0, 0, 0, 170, 133);
INSERT INTO public.who_data VALUES (40285, 1127, 48883, 7, 398, 170, 202);
INSERT INTO public.who_data VALUES (40286, 0, 1046, 1, 35, 170, 129);
INSERT INTO public.who_data VALUES (40287, 0, 0, 0, 0, 170, 36);
INSERT INTO public.who_data VALUES (40288, 3, 1983, 0, 572, 170, 51);
INSERT INTO public.who_data VALUES (40289, 108, 12523, 0, 292, 170, 206);
INSERT INTO public.who_data VALUES (40290, 40, 6678, 0, 206, 170, 5);
INSERT INTO public.who_data VALUES (40291, 45, 38374, 0, 1413, 171, 103);
INSERT INTO public.who_data VALUES (40292, 122, 9728, 6, 296, 171, 58);
INSERT INTO public.who_data VALUES (40293, 325, 45158, 7, 1525, 171, 195);
INSERT INTO public.who_data VALUES (40294, 0, 0, 0, 0, 171, 115);
INSERT INTO public.who_data VALUES (40295, 15, 1199, 0, 53, 171, 99);
INSERT INTO public.who_data VALUES (40296, 48, 2777, 3, 112, 171, 153);
INSERT INTO public.who_data VALUES (40297, 0, 3, 0, 0, 171, 93);
INSERT INTO public.who_data VALUES (40298, 0, 94, 0, 3, 171, 84);
INSERT INTO public.who_data VALUES (40299, 10504, 428239, 241, 8971, 171, 78);
INSERT INTO public.who_data VALUES (40300, 196, 43584, 3, 882, 171, 170);
INSERT INTO public.who_data VALUES (40301, 98, 2104, 0, 10, 171, 32);
INSERT INTO public.who_data VALUES (40302, 104, 25923, 6, 663, 171, 155);
INSERT INTO public.who_data VALUES (40303, 442, 28183, 0, 734, 171, 82);
INSERT INTO public.who_data VALUES (40304, 154, 36732, 2, 538, 171, 16);
INSERT INTO public.who_data VALUES (40305, 59, 2276, 2, 46, 171, 72);
INSERT INTO public.who_data VALUES (40306, 367, 52807, 0, 190, 171, 43);
INSERT INTO public.who_data VALUES (40307, 2582, 317528, 35, 4351, 171, 120);
INSERT INTO public.who_data VALUES (40308, 2, 176, 0, 7, 171, 213);
INSERT INTO public.who_data VALUES (40309, 179, 72141, 5, 691, 171, 31);
INSERT INTO public.who_data VALUES (40310, 574, 87270, 2, 9888, 171, 204);
INSERT INTO public.who_data VALUES (40311, 43, 1050, 0, 13, 171, 152);
INSERT INTO public.who_data VALUES (40312, 0, 2194, 0, 40, 171, 144);
INSERT INTO public.who_data VALUES (40313, 0, 172, 0, 9, 171, 96);
INSERT INTO public.who_data VALUES (40314, 0, 227, 0, 0, 171, 47);
INSERT INTO public.who_data VALUES (40315, 669, 117267, 74, 5101, 171, 80);
INSERT INTO public.who_data VALUES (40316, 0, 9, 0, 0, 171, 159);
INSERT INTO public.who_data VALUES (40317, 283, 20574, 7, 621, 171, 27);
INSERT INTO public.who_data VALUES (40318, 0, 1724, 0, 6, 171, 146);
INSERT INTO public.who_data VALUES (40319, 42659, 3950931, 1215, 122596, 171, 71);
INSERT INTO public.who_data VALUES (40320, 0, 47, 0, 1, 171, 210);
INSERT INTO public.who_data VALUES (40321, 0, 144, 0, 3, 171, 54);
INSERT INTO public.who_data VALUES (40322, 188, 16454, 13, 642, 171, 147);
INSERT INTO public.who_data VALUES (40323, 5, 1375, 0, 55, 171, 2);
INSERT INTO public.who_data VALUES (40324, 0, 448, 0, 1, 171, 105);
INSERT INTO public.who_data VALUES (40325, 78, 4048, 1, 41, 171, 53);
INSERT INTO public.who_data VALUES (40326, 0, 274, 0, 0, 171, 81);
INSERT INTO public.who_data VALUES (40327, 0, 19460, 0, 415, 171, 223);
INSERT INTO public.who_data VALUES (40328, 477, 129425, 6, 9132, 171, 94);
INSERT INTO public.who_data VALUES (40329, 0, 205, 0, 1, 171, 154);
INSERT INTO public.who_data VALUES (40330, 1, 4712, 0, 62, 171, 83);
INSERT INTO public.who_data VALUES (40331, 0, 1017, 0, 77, 171, 194);
INSERT INTO public.who_data VALUES (40332, 1594, 414739, 23, 11344, 171, 136);
INSERT INTO public.who_data VALUES (40333, 20, 90442, 3, 4734, 171, 179);
INSERT INTO public.who_data VALUES (40334, 8901, 624069, 389, 20052, 171, 57);
INSERT INTO public.who_data VALUES (40335, 4, 427, 0, 7, 171, 35);
INSERT INTO public.who_data VALUES (40336, 0, 4628, 0, 82, 171, 228);
INSERT INTO public.who_data VALUES (40337, 0, 0, 0, 0, 171, 19);
INSERT INTO public.who_data VALUES (40338, 897, 42184, 7, 443, 171, 22);
INSERT INTO public.who_data VALUES (40339, 0, 18103, 0, 117, 171, 1);
INSERT INTO public.who_data VALUES (40340, 311, 10725, 4, 191, 171, 21);
INSERT INTO public.who_data VALUES (40341, 61, 4126, 3, 98, 171, 234);
INSERT INTO public.who_data VALUES (40342, 2, 71, 0, 1, 171, 91);
INSERT INTO public.who_data VALUES (40343, 5, 1495, 0, 21, 171, 137);
INSERT INTO public.who_data VALUES (40344, 656, 25773, 0, 425, 171, 201);
INSERT INTO public.who_data VALUES (40345, 0, 0, 0, 0, 171, 171);
INSERT INTO public.who_data VALUES (40346, 10, 10113, 0, 259, 171, 92);
INSERT INTO public.who_data VALUES (40347, 111, 17195, 1, 626, 171, 112);
INSERT INTO public.who_data VALUES (40348, 0, 5387, 0, 60, 171, 62);
INSERT INTO public.who_data VALUES (40349, 0, 20, 0, 0, 171, 69);
INSERT INTO public.who_data VALUES (40350, 648, 95627, 27, 1765, 171, 220);
INSERT INTO public.who_data VALUES (40351, 1148, 115457, 48, 6619, 171, 100);
INSERT INTO public.who_data VALUES (40352, 165, 99280, 21, 5461, 171, 187);
INSERT INTO public.who_data VALUES (40353, 84, 25904, 7, 731, 171, 63);
INSERT INTO public.who_data VALUES (40354, 0, 4965, 0, 83, 171, 28);
INSERT INTO public.who_data VALUES (40355, 0, 319, 0, 0, 171, 172);
INSERT INTO public.who_data VALUES (40356, 20, 2415, 0, 64, 171, 17);
INSERT INTO public.who_data VALUES (40357, 50, 4668, 0, 94, 171, 226);
INSERT INTO public.who_data VALUES (40358, 1105, 54409, 18, 846, 171, 236);
INSERT INTO public.who_data VALUES (40359, 0, 13, 0, 0, 171, 76);
INSERT INTO public.who_data VALUES (40360, 0, 411, 0, 0, 171, 30);
INSERT INTO public.who_data VALUES (40361, 0, 29, 0, 2, 171, 128);
INSERT INTO public.who_data VALUES (40362, 19, 8161, 0, 335, 171, 86);
INSERT INTO public.who_data VALUES (40363, 6748, 276466, 22, 30539, 171, 140);
INSERT INTO public.who_data VALUES (40364, 55, 9209, 1, 61, 171, 44);
INSERT INTO public.who_data VALUES (40365, 26, 622, 0, 0, 171, 113);
INSERT INTO public.who_data VALUES (40366, 5, 8538, 0, 53, 171, 29);
INSERT INTO public.who_data VALUES (40367, 38, 3067, 1, 97, 171, 125);
INSERT INTO public.who_data VALUES (40368, 20, 1568, 0, 19, 171, 131);
INSERT INTO public.who_data VALUES (40369, 1311, 246166, 8, 9321, 171, 46);
INSERT INTO public.who_data VALUES (40370, 255, 44460, 0, 276, 171, 10);
INSERT INTO public.who_data VALUES (40371, 2, 290, 0, 0, 171, 205);
INSERT INTO public.who_data VALUES (40372, 233, 10757, 2, 273, 171, 50);
INSERT INTO public.who_data VALUES (40373, 0, 14, 0, 0, 171, 20);
INSERT INTO public.who_data VALUES (40374, 0, 24, 0, 0, 171, 13);
INSERT INTO public.who_data VALUES (40375, 0, 1269, 0, 18, 171, 148);
INSERT INTO public.who_data VALUES (40376, 47, 1486, 0, 13, 171, 230);
INSERT INTO public.who_data VALUES (40377, 751, 75644, 12, 2790, 171, 190);
INSERT INTO public.who_data VALUES (40378, 0, 252, 0, 13, 171, 188);
INSERT INTO public.who_data VALUES (40379, 0, 9479, 0, 59, 171, 123);
INSERT INTO public.who_data VALUES (40380, 0, 2149, 0, 33, 171, 9);
INSERT INTO public.who_data VALUES (40381, 67, 1373, 2, 41, 171, 102);
INSERT INTO public.who_data VALUES (40382, 34, 8258, 5, 206, 171, 34);
INSERT INTO public.who_data VALUES (40383, 0, 12, 0, 0, 171, 212);
INSERT INTO public.who_data VALUES (40384, 755, 61769, 15, 1888, 171, 122);
INSERT INTO public.who_data VALUES (40385, 365, 6622, 3, 619, 171, 38);
INSERT INTO public.who_data VALUES (40386, 5, 2121, 0, 10, 171, 130);
INSERT INTO public.who_data VALUES (40387, 83883, 3853406, 1043, 67376, 171, 37);
INSERT INTO public.who_data VALUES (40388, 3075, 180646, 111, 7616, 171, 231);
INSERT INTO public.who_data VALUES (40389, 1858, 378752, 125, 21797, 171, 107);
INSERT INTO public.who_data VALUES (40390, 3946, 242284, 78, 7201, 171, 101);
INSERT INTO public.who_data VALUES (40391, 89, 29114, 0, 1777, 171, 132);
INSERT INTO public.who_data VALUES (40392, 0, 336, 0, 24, 171, 176);
INSERT INTO public.who_data VALUES (40393, 2252, 119168, 15, 968, 171, 200);
INSERT INTO public.who_data VALUES (40394, 1326, 271515, 6, 35497, 171, 169);
INSERT INTO public.who_data VALUES (40395, 224, 2683, 3, 24, 171, 225);
INSERT INTO public.who_data VALUES (40396, 598, 69599, 12, 1319, 171, 165);
INSERT INTO public.who_data VALUES (40397, 0, 379, 0, 32, 171, 233);
INSERT INTO public.who_data VALUES (40398, 64, 2229, 0, 15, 171, 215);
INSERT INTO public.who_data VALUES (40399, 570, 132924, 0, 1878, 171, 177);
INSERT INTO public.who_data VALUES (40400, 178, 34493, 4, 581, 171, 183);
INSERT INTO public.who_data VALUES (40401, 0, 0, 0, 0, 171, 203);
INSERT INTO public.who_data VALUES (40402, 112, 13670, 6, 529, 171, 162);
INSERT INTO public.who_data VALUES (40403, 667, 86478, 1, 535, 171, 12);
INSERT INTO public.who_data VALUES (40404, 99, 44135, 0, 1060, 171, 24);
INSERT INTO public.who_data VALUES (40405, 0, 22, 0, 0, 171, 119);
INSERT INTO public.who_data VALUES (40406, 2, 1406, 0, 34, 171, 39);
INSERT INTO public.who_data VALUES (40407, 598, 18365, 6, 177, 171, 26);
INSERT INTO public.who_data VALUES (40408, 0, 1085, 0, 31, 171, 59);
INSERT INTO public.who_data VALUES (40409, 0, 1305, 0, 82, 171, 77);
INSERT INTO public.who_data VALUES (40410, 617, 15773, 4, 254, 171, 134);
INSERT INTO public.who_data VALUES (40411, 0, 108, 0, 1, 171, 4);
INSERT INTO public.who_data VALUES (40412, 20, 2972, 0, 86, 171, 109);
INSERT INTO public.who_data VALUES (40413, 68, 6745, 0, 124, 171, 90);
INSERT INTO public.who_data VALUES (40414, 66, 15023, 1, 196, 171, 61);
INSERT INTO public.who_data VALUES (40415, 3, 5579, 0, 175, 171, 85);
INSERT INTO public.who_data VALUES (40416, 6, 9360, 0, 128, 171, 49);
INSERT INTO public.who_data VALUES (40417, 137, 8140, 0, 29, 171, 208);
INSERT INTO public.who_data VALUES (40418, 25, 2802, 0, 126, 171, 166);
INSERT INTO public.who_data VALUES (40419, 21, 1932, 1, 13, 171, 64);
INSERT INTO public.who_data VALUES (40420, 0, 0, 0, 0, 171, 199);
INSERT INTO public.who_data VALUES (40421, 132, 747, 2, 18, 171, 114);
INSERT INTO public.who_data VALUES (40422, 14, 7089, 0, 159, 171, 60);
INSERT INTO public.who_data VALUES (40423, 0, 356, 0, 10, 171, 68);
INSERT INTO public.who_data VALUES (40424, 0, 3301, 0, 40, 171, 158);
INSERT INTO public.who_data VALUES (40425, 6476, 606036, 827, 65241, 171, 52);
INSERT INTO public.who_data VALUES (40426, 0, 0, 0, 0, 171, 117);
INSERT INTO public.who_data VALUES (40427, 2, 145, 0, 1, 171, 126);
INSERT INTO public.who_data VALUES (40428, 2, 306, 0, 0, 171, 196);
INSERT INTO public.who_data VALUES (40429, 123, 5225, 0, 104, 171, 142);
INSERT INTO public.who_data VALUES (40430, 0, 13, 0, 1, 171, 185);
INSERT INTO public.who_data VALUES (40431, 1672, 65453, 32, 1216, 171, 138);
INSERT INTO public.who_data VALUES (40432, 78, 4117, 2, 25, 171, 181);
INSERT INTO public.who_data VALUES (40433, 120, 1058, 0, 6, 171, 178);
INSERT INTO public.who_data VALUES (40434, 152, 7844, 1, 82, 171, 168);
INSERT INTO public.who_data VALUES (40435, 0, 0, 0, 0, 171, 160);
INSERT INTO public.who_data VALUES (40436, 1120, 41649, 12, 251, 171, 151);
INSERT INTO public.who_data VALUES (40437, 720, 71773, 5, 6231, 171, 193);
INSERT INTO public.who_data VALUES (40438, 0, 23, 0, 0, 171, 18);
INSERT INTO public.who_data VALUES (40439, 2, 1408, 0, 22, 171, 40);
INSERT INTO public.who_data VALUES (40440, 0, 3773, 0, 141, 171, 218);
INSERT INTO public.who_data VALUES (40441, 0, 1176, 0, 69, 171, 191);
INSERT INTO public.who_data VALUES (40442, 216, 54463, 4, 1027, 171, 156);
INSERT INTO public.who_data VALUES (40443, 0, 0, 0, 0, 171, 135);
INSERT INTO public.who_data VALUES (40444, 0, 57, 0, 2, 171, 88);
INSERT INTO public.who_data VALUES (40445, 145, 14600, 2, 606, 171, 55);
INSERT INTO public.who_data VALUES (40446, 88, 10871, 0, 264, 171, 108);
INSERT INTO public.who_data VALUES (40447, 843, 31333, 4, 184, 171, 48);
INSERT INTO public.who_data VALUES (40448, 0, 85928, 0, 689, 171, 3);
INSERT INTO public.who_data VALUES (40449, 0, 741, 0, 13, 171, 224);
INSERT INTO public.who_data VALUES (40450, 424, 297014, 10, 6328, 171, 110);
INSERT INTO public.who_data VALUES (40451, 0, 0, 0, 0, 171, 106);
INSERT INTO public.who_data VALUES (40452, 570, 93552, 16, 2018, 171, 89);
INSERT INTO public.who_data VALUES (40453, 11, 471, 0, 5, 171, 121);
INSERT INTO public.who_data VALUES (40454, 676, 18338, 22, 348, 171, 163);
INSERT INTO public.who_data VALUES (40455, 5092, 657129, 124, 29068, 171, 70);
INSERT INTO public.who_data VALUES (40456, 2176, 226440, 26, 3623, 171, 174);
INSERT INTO public.who_data VALUES (40457, 0, 0, 0, 0, 171, 175);
INSERT INTO public.who_data VALUES (40458, 595, 68517, 20, 2078, 171, 118);
INSERT INTO public.who_data VALUES (40459, 390, 58633, 3, 1827, 171, 189);
INSERT INTO public.who_data VALUES (40460, 582, 34003, 8, 443, 171, 124);
INSERT INTO public.who_data VALUES (40461, 212, 119206, 1, 199, 171, 192);
INSERT INTO public.who_data VALUES (40462, 195, 20644, 3, 329, 171, 41);
INSERT INTO public.who_data VALUES (40463, 532, 37740, 16, 1024, 171, 95);
INSERT INTO public.who_data VALUES (40464, 82, 1796, 0, 5, 171, 74);
INSERT INTO public.who_data VALUES (40465, 1298, 89891, 40, 3721, 171, 11);
INSERT INTO public.who_data VALUES (40466, 4995, 1009995, 114, 17528, 171, 87);
INSERT INTO public.who_data VALUES (40467, 76, 4218, 1, 17, 171, 214);
INSERT INTO public.who_data VALUES (40468, 0, 5, 0, 0, 171, 116);
INSERT INTO public.who_data VALUES (40469, 0, 18, 0, 0, 171, 157);
INSERT INTO public.who_data VALUES (40470, 0, 0, 0, 0, 171, 182);
INSERT INTO public.who_data VALUES (40471, 0, 17, 0, 0, 171, 186);
INSERT INTO public.who_data VALUES (40472, 0, 26, 0, 0, 171, 127);
INSERT INTO public.who_data VALUES (40473, 0, 213, 0, 5, 171, 232);
INSERT INTO public.who_data VALUES (40474, 0, 5, 0, 0, 171, 33);
INSERT INTO public.who_data VALUES (40475, 1, 61, 0, 0, 171, 97);
INSERT INTO public.who_data VALUES (40476, 0, 0, 0, 0, 171, 42);
INSERT INTO public.who_data VALUES (40477, 0, 735, 0, 42, 171, 198);
INSERT INTO public.who_data VALUES (40478, 0, 896, 0, 15, 171, 216);
INSERT INTO public.who_data VALUES (40479, 816, 317486, 27, 3956, 171, 164);
INSERT INTO public.who_data VALUES (40480, 88, 13743, 3, 287, 171, 235);
INSERT INTO public.who_data VALUES (40481, 99, 31581, 1, 716, 171, 67);
INSERT INTO public.who_data VALUES (40482, 0, 135, 0, 0, 171, 15);
INSERT INTO public.who_data VALUES (40483, 1, 2029, 0, 71, 171, 180);
INSERT INTO public.who_data VALUES (40484, 8, 56860, 0, 27, 171, 237);
INSERT INTO public.who_data VALUES (40485, 0, 4, 0, 0, 171, 25);
INSERT INTO public.who_data VALUES (40486, 6, 482, 2, 19, 171, 209);
INSERT INTO public.who_data VALUES (40487, 72, 3989, 0, 33, 171, 217);
INSERT INTO public.who_data VALUES (40488, 55, 2980, 0, 133, 171, 79);
INSERT INTO public.who_data VALUES (40489, 0, 0, 0, 0, 171, 143);
INSERT INTO public.who_data VALUES (40490, 0, 3310, 0, 97, 171, 229);
INSERT INTO public.who_data VALUES (40491, 2336, 630595, 126, 14389, 171, 141);
INSERT INTO public.who_data VALUES (40492, 1, 2533, 0, 47, 171, 197);
INSERT INTO public.who_data VALUES (40493, 10706, 518541, 67, 31044, 171, 221);
INSERT INTO public.who_data VALUES (40494, 10, 3102, 0, 12, 171, 150);
INSERT INTO public.who_data VALUES (40495, 0, 13189, 0, 823, 171, 56);
INSERT INTO public.who_data VALUES (40496, 55, 4089, 1, 72, 171, 167);
INSERT INTO public.who_data VALUES (40497, 171, 84570, 3, 5827, 171, 23);
INSERT INTO public.who_data VALUES (40498, 417, 43373, 3, 1767, 171, 222);
INSERT INTO public.who_data VALUES (40499, 68, 2898, 4, 120, 171, 219);
INSERT INTO public.who_data VALUES (40500, 35, 8654, 0, 69, 171, 7);
INSERT INTO public.who_data VALUES (40501, 2, 3427, 0, 58, 171, 161);
INSERT INTO public.who_data VALUES (40502, 1508, 338680, 10, 41514, 171, 149);
INSERT INTO public.who_data VALUES (40503, 0, 27, 0, 0, 171, 6);
INSERT INTO public.who_data VALUES (40504, 16, 1416, 1, 28, 171, 139);
INSERT INTO public.who_data VALUES (40505, 0, 0, 0, 0, 171, 211);
INSERT INTO public.who_data VALUES (40506, 0, 0, 0, 0, 171, 14);
INSERT INTO public.who_data VALUES (40507, 66, 1839, 3, 28, 171, 111);
INSERT INTO public.who_data VALUES (40508, 198, 4394, 3, 84, 171, 207);
INSERT INTO public.who_data VALUES (40509, 8326, 522311, 45, 6462, 171, 66);
INSERT INTO public.who_data VALUES (40510, 0, 0, 0, 0, 171, 173);
INSERT INTO public.who_data VALUES (40511, 30, 538, 0, 4, 171, 145);
INSERT INTO public.who_data VALUES (40512, 0, 0, 0, 0, 171, 65);
INSERT INTO public.who_data VALUES (40513, 75, 3112, 0, 32, 171, 184);
INSERT INTO public.who_data VALUES (40514, 2430, 128228, 54, 2710, 171, 98);
INSERT INTO public.who_data VALUES (40515, 735, 71540, 3, 387, 171, 104);
INSERT INTO public.who_data VALUES (40516, 0, 509, 0, 21, 171, 73);
INSERT INTO public.who_data VALUES (40517, 42662, 6011042, 1025, 183610, 171, 8);
INSERT INTO public.who_data VALUES (40518, 4, 1143, 0, 15, 171, 227);
INSERT INTO public.who_data VALUES (40519, 16, 1611, 0, 44, 171, 75);
INSERT INTO public.who_data VALUES (40520, 170, 42540, 3, 329, 171, 45);
INSERT INTO public.who_data VALUES (40521, 0, 0, 0, 0, 171, 133);
INSERT INTO public.who_data VALUES (40522, 1028, 47756, 5, 391, 171, 202);
INSERT INTO public.who_data VALUES (40523, 2, 1046, 0, 34, 171, 129);
INSERT INTO public.who_data VALUES (40524, 0, 0, 0, 0, 171, 36);
INSERT INTO public.who_data VALUES (40525, 14, 1980, 1, 572, 171, 51);
INSERT INTO public.who_data VALUES (40526, 34, 12415, 2, 292, 171, 206);
INSERT INTO public.who_data VALUES (40527, 79, 6638, 3, 206, 171, 5);
INSERT INTO public.who_data VALUES (40528, 47, 38329, 3, 1413, 172, 103);
INSERT INTO public.who_data VALUES (40529, 93, 9606, 6, 290, 172, 58);
INSERT INTO public.who_data VALUES (40530, 339, 44833, 8, 1518, 172, 195);
INSERT INTO public.who_data VALUES (40531, 0, 0, 0, 0, 172, 115);
INSERT INTO public.who_data VALUES (40532, 8, 1184, 0, 53, 172, 99);
INSERT INTO public.who_data VALUES (40533, 75, 2729, 1, 109, 172, 153);
INSERT INTO public.who_data VALUES (40534, 0, 3, 0, 0, 172, 93);
INSERT INTO public.who_data VALUES (40535, 0, 94, 0, 3, 172, 84);
INSERT INTO public.who_data VALUES (40536, 9309, 417735, 232, 8730, 172, 78);
INSERT INTO public.who_data VALUES (40537, 197, 43388, 3, 879, 172, 170);
INSERT INTO public.who_data VALUES (40538, 9, 2006, 0, 10, 172, 32);
INSERT INTO public.who_data VALUES (40539, 73, 25819, 5, 657, 172, 155);
INSERT INTO public.who_data VALUES (40540, 337, 27741, 1, 734, 172, 82);
INSERT INTO public.who_data VALUES (40541, 143, 36578, 2, 536, 172, 16);
INSERT INTO public.who_data VALUES (40542, 50, 2217, 1, 44, 172, 72);
INSERT INTO public.who_data VALUES (40543, 468, 52440, 0, 190, 172, 43);
INSERT INTO public.who_data VALUES (40544, 1950, 314946, 35, 4316, 172, 120);
INSERT INTO public.who_data VALUES (40545, 1, 174, 0, 7, 172, 213);
INSERT INTO public.who_data VALUES (40546, 119, 71962, 5, 686, 172, 31);
INSERT INTO public.who_data VALUES (40547, 565, 86696, 3, 9886, 172, 204);
INSERT INTO public.who_data VALUES (40548, 14, 1007, 0, 13, 172, 152);
INSERT INTO public.who_data VALUES (40549, 49, 2194, 0, 40, 172, 144);
INSERT INTO public.who_data VALUES (40550, 3, 172, 0, 9, 172, 96);
INSERT INTO public.who_data VALUES (40551, 2, 227, 0, 0, 172, 47);
INSERT INTO public.who_data VALUES (40552, 630, 116598, 61, 5027, 172, 80);
INSERT INTO public.who_data VALUES (40553, 2, 9, 0, 0, 172, 159);
INSERT INTO public.who_data VALUES (40554, 271, 20291, 11, 614, 172, 27);
INSERT INTO public.who_data VALUES (40555, 0, 1724, 0, 6, 172, 146);
INSERT INTO public.who_data VALUES (40556, 45961, 3908272, 553, 121381, 172, 71);
INSERT INTO public.who_data VALUES (40557, 0, 47, 0, 1, 172, 210);
INSERT INTO public.who_data VALUES (40558, 0, 144, 0, 3, 172, 54);
INSERT INTO public.who_data VALUES (40559, 0, 16266, 0, 629, 172, 147);
INSERT INTO public.who_data VALUES (40560, 2, 1370, 0, 55, 172, 2);
INSERT INTO public.who_data VALUES (40561, 3, 448, 0, 1, 172, 105);
INSERT INTO public.who_data VALUES (40562, 86, 3970, 0, 40, 172, 53);
INSERT INTO public.who_data VALUES (40563, 0, 274, 0, 0, 172, 81);
INSERT INTO public.who_data VALUES (40564, 51, 19460, 1, 415, 172, 223);
INSERT INTO public.who_data VALUES (40565, 1008, 128948, 9, 9126, 172, 94);
INSERT INTO public.who_data VALUES (40566, 0, 205, 0, 1, 172, 154);
INSERT INTO public.who_data VALUES (40567, 0, 4711, 0, 62, 172, 83);
INSERT INTO public.who_data VALUES (40568, 4, 1017, 0, 77, 172, 194);
INSERT INTO public.who_data VALUES (40569, 1419, 413145, 32, 11321, 172, 136);
INSERT INTO public.who_data VALUES (40570, 20, 90422, 1, 4731, 172, 179);
INSERT INTO public.who_data VALUES (40571, 7230, 615168, 299, 19663, 172, 57);
INSERT INTO public.who_data VALUES (40572, 0, 423, 0, 7, 172, 35);
INSERT INTO public.who_data VALUES (40573, 649, 4628, 4, 82, 172, 228);
INSERT INTO public.who_data VALUES (40574, 0, 0, 0, 0, 172, 19);
INSERT INTO public.who_data VALUES (40575, 1588, 41287, 18, 436, 172, 22);
INSERT INTO public.who_data VALUES (40576, 155, 18103, 2, 117, 172, 1);
INSERT INTO public.who_data VALUES (40577, 145, 10414, 1, 187, 172, 21);
INSERT INTO public.who_data VALUES (40578, 33, 4065, 1, 95, 172, 234);
INSERT INTO public.who_data VALUES (40579, 1, 69, 0, 1, 172, 91);
INSERT INTO public.who_data VALUES (40580, 2, 1490, 0, 21, 172, 137);
INSERT INTO public.who_data VALUES (40581, 499, 25117, 1, 425, 172, 201);
INSERT INTO public.who_data VALUES (40582, 0, 0, 0, 0, 172, 171);
INSERT INTO public.who_data VALUES (40583, 7, 10103, 1, 259, 172, 92);
INSERT INTO public.who_data VALUES (40584, 99, 17084, 1, 625, 172, 112);
INSERT INTO public.who_data VALUES (40585, 0, 5387, 0, 60, 172, 62);
INSERT INTO public.who_data VALUES (40586, 0, 20, 0, 0, 172, 69);
INSERT INTO public.who_data VALUES (40587, 264, 94979, 28, 1738, 172, 220);
INSERT INTO public.who_data VALUES (40588, 542, 114309, 15, 6571, 172, 100);
INSERT INTO public.who_data VALUES (40589, 176, 99115, 19, 5440, 172, 187);
INSERT INTO public.who_data VALUES (40590, 91, 25820, 7, 724, 172, 63);
INSERT INTO public.who_data VALUES (40591, 24, 4965, 0, 83, 172, 28);
INSERT INTO public.who_data VALUES (40592, 0, 319, 0, 0, 172, 172);
INSERT INTO public.who_data VALUES (40593, 20, 2395, 0, 64, 172, 17);
INSERT INTO public.who_data VALUES (40594, 41, 4618, 3, 94, 172, 226);
INSERT INTO public.who_data VALUES (40595, 1173, 53304, 19, 828, 172, 236);
INSERT INTO public.who_data VALUES (40596, 0, 13, 0, 0, 172, 76);
INSERT INTO public.who_data VALUES (40597, 0, 411, 0, 0, 172, 30);
INSERT INTO public.who_data VALUES (40598, 1, 29, 0, 2, 172, 128);
INSERT INTO public.who_data VALUES (40599, 56, 8142, 0, 335, 172, 86);
INSERT INTO public.who_data VALUES (40600, 4765, 269718, 23, 30517, 172, 140);
INSERT INTO public.who_data VALUES (40601, 39, 9154, 1, 60, 172, 44);
INSERT INTO public.who_data VALUES (40602, 23, 596, 0, 0, 172, 113);
INSERT INTO public.who_data VALUES (40603, 0, 8533, 0, 53, 172, 29);
INSERT INTO public.who_data VALUES (40604, 66, 3029, 0, 96, 172, 125);
INSERT INTO public.who_data VALUES (40605, 38, 1548, 0, 19, 172, 131);
INSERT INTO public.who_data VALUES (40606, 1256, 244855, 11, 9313, 172, 46);
INSERT INTO public.who_data VALUES (40607, 0, 44205, 0, 276, 172, 10);
INSERT INTO public.who_data VALUES (40608, 3, 288, 0, 0, 172, 205);
INSERT INTO public.who_data VALUES (40609, 207, 10524, 5, 271, 172, 50);
INSERT INTO public.who_data VALUES (40610, 0, 14, 0, 0, 172, 20);
INSERT INTO public.who_data VALUES (40611, 0, 24, 0, 0, 172, 13);
INSERT INTO public.who_data VALUES (40612, 124, 1269, 2, 18, 172, 148);
INSERT INTO public.who_data VALUES (40613, 52, 1439, 3, 13, 172, 230);
INSERT INTO public.who_data VALUES (40614, 819, 74893, 18, 2778, 172, 190);
INSERT INTO public.who_data VALUES (40615, 0, 252, 0, 13, 172, 188);
INSERT INTO public.who_data VALUES (40616, 70, 9479, 0, 59, 172, 123);
INSERT INTO public.who_data VALUES (40617, 0, 2149, 0, 33, 172, 9);
INSERT INTO public.who_data VALUES (40618, 72, 1306, 2, 39, 172, 102);
INSERT INTO public.who_data VALUES (40619, 0, 8224, 0, 201, 172, 34);
INSERT INTO public.who_data VALUES (40620, 0, 12, 0, 0, 172, 212);
INSERT INTO public.who_data VALUES (40621, 840, 61014, 15, 1873, 172, 122);
INSERT INTO public.who_data VALUES (40622, 118, 6257, 1, 616, 172, 38);
INSERT INTO public.who_data VALUES (40623, 9, 2116, 0, 10, 172, 130);
INSERT INTO public.who_data VALUES (40624, 78357, 3769523, 1045, 66333, 172, 37);
INSERT INTO public.who_data VALUES (40625, 2775, 177571, 88, 7505, 172, 231);
INSERT INTO public.who_data VALUES (40626, 1682, 376894, 101, 21672, 172, 107);
INSERT INTO public.who_data VALUES (40627, 3404, 238338, 81, 7123, 172, 101);
INSERT INTO public.who_data VALUES (40628, 214, 29025, 0, 1777, 172, 132);
INSERT INTO public.who_data VALUES (40629, 0, 336, 0, 24, 172, 176);
INSERT INTO public.who_data VALUES (40630, 2178, 116916, 23, 953, 172, 200);
INSERT INTO public.who_data VALUES (40631, 975, 270189, 8, 35491, 172, 169);
INSERT INTO public.who_data VALUES (40632, 102, 2459, 0, 21, 172, 225);
INSERT INTO public.who_data VALUES (40633, 609, 69001, 11, 1307, 172, 165);
INSERT INTO public.who_data VALUES (40634, 5, 379, 0, 32, 172, 233);
INSERT INTO public.who_data VALUES (40635, 63, 2165, 0, 15, 172, 215);
INSERT INTO public.who_data VALUES (40636, 659, 132354, 0, 1878, 172, 177);
INSERT INTO public.who_data VALUES (40637, 114, 34315, 0, 577, 172, 183);
INSERT INTO public.who_data VALUES (40638, 0, 0, 0, 0, 172, 203);
INSERT INTO public.who_data VALUES (40639, 147, 13558, 8, 523, 172, 162);
INSERT INTO public.who_data VALUES (40640, 702, 85811, 3, 534, 172, 12);
INSERT INTO public.who_data VALUES (40641, 78, 44036, 0, 1060, 172, 24);
INSERT INTO public.who_data VALUES (40642, 0, 22, 0, 0, 172, 119);
INSERT INTO public.who_data VALUES (40643, 8, 1404, 0, 34, 172, 39);
INSERT INTO public.who_data VALUES (40644, 459, 17767, 4, 171, 172, 26);
INSERT INTO public.who_data VALUES (40645, 0, 1085, 0, 31, 172, 59);
INSERT INTO public.who_data VALUES (40646, 0, 1305, 0, 82, 172, 77);
INSERT INTO public.who_data VALUES (40647, 532, 15156, 8, 250, 172, 134);
INSERT INTO public.who_data VALUES (40648, 0, 108, 0, 1, 172, 4);
INSERT INTO public.who_data VALUES (40649, 29, 2952, 0, 86, 172, 109);
INSERT INTO public.who_data VALUES (40650, 0, 6677, 0, 124, 172, 90);
INSERT INTO public.who_data VALUES (40651, 94, 14957, 3, 195, 172, 61);
INSERT INTO public.who_data VALUES (40652, 10, 5576, 0, 175, 172, 85);
INSERT INTO public.who_data VALUES (40653, 14, 9354, 1, 128, 172, 49);
INSERT INTO public.who_data VALUES (40654, 199, 8003, 1, 29, 172, 208);
INSERT INTO public.who_data VALUES (40655, 1, 2777, 0, 126, 172, 166);
INSERT INTO public.who_data VALUES (40656, 26, 1911, 0, 12, 172, 64);
INSERT INTO public.who_data VALUES (40657, 0, 0, 0, 0, 172, 199);
INSERT INTO public.who_data VALUES (40658, 19, 615, 0, 16, 172, 114);
INSERT INTO public.who_data VALUES (40659, 27, 7075, 0, 159, 172, 60);
INSERT INTO public.who_data VALUES (40660, 0, 356, 0, 10, 172, 68);
INSERT INTO public.who_data VALUES (40661, 0, 3301, 0, 40, 172, 158);
INSERT INTO public.who_data VALUES (40662, 3719, 599560, 256, 64414, 172, 52);
INSERT INTO public.who_data VALUES (40663, 0, 0, 0, 0, 172, 117);
INSERT INTO public.who_data VALUES (40664, 2, 143, 0, 1, 172, 126);
INSERT INTO public.who_data VALUES (40665, 3, 304, 0, 0, 172, 196);
INSERT INTO public.who_data VALUES (40666, 125, 5102, 2, 104, 172, 142);
INSERT INTO public.who_data VALUES (40667, 0, 13, 0, 1, 172, 185);
INSERT INTO public.who_data VALUES (40668, 1191, 63781, 43, 1184, 172, 138);
INSERT INTO public.who_data VALUES (40669, 123, 4039, 0, 23, 172, 181);
INSERT INTO public.who_data VALUES (40670, 51, 938, 0, 6, 172, 178);
INSERT INTO public.who_data VALUES (40671, 142, 7692, 6, 81, 172, 168);
INSERT INTO public.who_data VALUES (40672, 0, 0, 0, 0, 172, 160);
INSERT INTO public.who_data VALUES (40673, 1069, 40529, 11, 239, 172, 151);
INSERT INTO public.who_data VALUES (40674, 467, 71053, 6, 6226, 172, 193);
INSERT INTO public.who_data VALUES (40675, 0, 23, 0, 0, 172, 18);
INSERT INTO public.who_data VALUES (40676, 5, 1406, 0, 22, 172, 40);
INSERT INTO public.who_data VALUES (40677, 114, 3773, 4, 141, 172, 218);
INSERT INTO public.who_data VALUES (40678, 0, 1176, 0, 69, 172, 191);
INSERT INTO public.who_data VALUES (40679, 239, 54247, 10, 1023, 172, 156);
INSERT INTO public.who_data VALUES (40680, 0, 0, 0, 0, 172, 135);
INSERT INTO public.who_data VALUES (40681, 1, 57, 0, 2, 172, 88);
INSERT INTO public.who_data VALUES (40682, 114, 14455, 1, 604, 172, 55);
INSERT INTO public.who_data VALUES (40683, 139, 10783, 0, 264, 172, 108);
INSERT INTO public.who_data VALUES (40684, 552, 30490, 7, 180, 172, 48);
INSERT INTO public.who_data VALUES (40685, 206, 85928, 4, 689, 172, 3);
INSERT INTO public.who_data VALUES (40686, 0, 741, 0, 13, 172, 224);
INSERT INTO public.who_data VALUES (40687, 441, 296590, 20, 6318, 172, 110);
INSERT INTO public.who_data VALUES (40688, 0, 0, 0, 0, 172, 106);
INSERT INTO public.who_data VALUES (40689, 917, 92982, 7, 2002, 172, 89);
INSERT INTO public.who_data VALUES (40690, 1, 460, 0, 5, 172, 121);
INSERT INTO public.who_data VALUES (40691, 557, 17662, 18, 326, 172, 163);
INSERT INTO public.who_data VALUES (40692, 4871, 652037, 156, 28944, 172, 70);
INSERT INTO public.who_data VALUES (40693, 3445, 224264, 39, 3597, 172, 174);
INSERT INTO public.who_data VALUES (40694, 0, 0, 0, 0, 172, 175);
INSERT INTO public.who_data VALUES (40695, 550, 67922, 19, 2058, 172, 118);
INSERT INTO public.who_data VALUES (40696, 231, 58243, 2, 1824, 172, 189);
INSERT INTO public.who_data VALUES (40697, 222, 33421, 1, 435, 172, 124);
INSERT INTO public.who_data VALUES (40698, 216, 118994, 1, 198, 172, 192);
INSERT INTO public.who_data VALUES (40699, 267, 20449, 2, 326, 172, 41);
INSERT INTO public.who_data VALUES (40700, 288, 37208, 13, 1008, 172, 95);
INSERT INTO public.who_data VALUES (40701, 35, 1714, 0, 5, 172, 74);
INSERT INTO public.who_data VALUES (40702, 1053, 88593, 60, 3681, 172, 11);
INSERT INTO public.who_data VALUES (40703, 4952, 1005000, 115, 17414, 172, 87);
INSERT INTO public.who_data VALUES (40704, 79, 4142, 0, 16, 172, 214);
INSERT INTO public.who_data VALUES (40705, 0, 5, 0, 0, 172, 116);
INSERT INTO public.who_data VALUES (40706, 0, 18, 0, 0, 172, 157);
INSERT INTO public.who_data VALUES (40707, 0, 0, 0, 0, 172, 182);
INSERT INTO public.who_data VALUES (40708, 0, 17, 0, 0, 172, 186);
INSERT INTO public.who_data VALUES (40709, 0, 26, 0, 0, 172, 127);
INSERT INTO public.who_data VALUES (40710, 0, 213, 0, 5, 172, 232);
INSERT INTO public.who_data VALUES (40711, 0, 5, 0, 0, 172, 33);
INSERT INTO public.who_data VALUES (40712, 0, 60, 0, 0, 172, 97);
INSERT INTO public.who_data VALUES (40713, 0, 0, 0, 0, 172, 42);
INSERT INTO public.who_data VALUES (40714, 0, 735, 0, 42, 172, 198);
INSERT INTO public.who_data VALUES (40715, 0, 896, 0, 15, 172, 216);
INSERT INTO public.who_data VALUES (40716, 898, 316670, 32, 3929, 172, 164);
INSERT INTO public.who_data VALUES (40717, 44, 13655, 0, 284, 172, 235);
INSERT INTO public.who_data VALUES (40718, 76, 31482, 2, 715, 172, 67);
INSERT INTO public.who_data VALUES (40719, 0, 135, 0, 0, 172, 15);
INSERT INTO public.who_data VALUES (40720, 2, 2028, 1, 71, 172, 180);
INSERT INTO public.who_data VALUES (40721, 40, 56852, 0, 27, 172, 237);
INSERT INTO public.who_data VALUES (40722, 0, 4, 0, 0, 172, 25);
INSERT INTO public.who_data VALUES (40723, 13, 476, 0, 17, 172, 209);
INSERT INTO public.who_data VALUES (40724, 41, 3917, 0, 33, 172, 217);
INSERT INTO public.who_data VALUES (40725, 41, 2925, 0, 133, 172, 79);
INSERT INTO public.who_data VALUES (40726, 0, 0, 0, 0, 172, 143);
INSERT INTO public.who_data VALUES (40727, 0, 3310, 0, 97, 172, 229);
INSERT INTO public.who_data VALUES (40728, 1218, 628259, 114, 14263, 172, 141);
INSERT INTO public.who_data VALUES (40729, 5, 2532, 0, 47, 172, 197);
INSERT INTO public.who_data VALUES (40730, 6853, 507835, 62, 30977, 172, 221);
INSERT INTO public.who_data VALUES (40731, 43, 3092, 0, 12, 172, 150);
INSERT INTO public.who_data VALUES (40732, 0, 13189, 0, 823, 172, 56);
INSERT INTO public.who_data VALUES (40733, 25, 4034, 4, 71, 172, 167);
INSERT INTO public.who_data VALUES (40734, 162, 84399, 2, 5824, 172, 23);
INSERT INTO public.who_data VALUES (40735, 364, 42956, 1, 1764, 172, 222);
INSERT INTO public.who_data VALUES (40736, 65, 2830, 4, 116, 172, 219);
INSERT INTO public.who_data VALUES (40737, 36, 8619, 1, 69, 172, 7);
INSERT INTO public.who_data VALUES (40738, 8, 3425, 0, 58, 172, 161);
INSERT INTO public.who_data VALUES (40739, 1295, 337172, 3, 41504, 172, 149);
INSERT INTO public.who_data VALUES (40740, 0, 27, 0, 0, 172, 6);
INSERT INTO public.who_data VALUES (40741, 4, 1400, 0, 27, 172, 139);
INSERT INTO public.who_data VALUES (40742, 0, 0, 0, 0, 172, 211);
INSERT INTO public.who_data VALUES (40743, 0, 0, 0, 0, 172, 14);
INSERT INTO public.who_data VALUES (40744, 46, 1773, 3, 25, 172, 111);
INSERT INTO public.who_data VALUES (40745, 233, 4196, 1, 81, 172, 207);
INSERT INTO public.who_data VALUES (40746, 8302, 513985, 47, 6417, 172, 66);
INSERT INTO public.who_data VALUES (40747, 0, 0, 0, 0, 172, 173);
INSERT INTO public.who_data VALUES (40748, 1, 508, 1, 4, 172, 145);
INSERT INTO public.who_data VALUES (40749, 0, 0, 0, 0, 172, 65);
INSERT INTO public.who_data VALUES (40750, 65, 3037, 0, 32, 172, 184);
INSERT INTO public.who_data VALUES (40751, 2495, 125798, 51, 2656, 172, 98);
INSERT INTO public.who_data VALUES (40752, 574, 70805, 0, 384, 172, 104);
INSERT INTO public.who_data VALUES (40753, 0, 509, 0, 21, 172, 73);
INSERT INTO public.who_data VALUES (40754, 31808, 5968380, 423, 182585, 172, 8);
INSERT INTO public.who_data VALUES (40755, 5, 1139, 1, 15, 172, 227);
INSERT INTO public.who_data VALUES (40756, 10, 1595, 0, 44, 172, 75);
INSERT INTO public.who_data VALUES (40757, 376, 42370, 4, 326, 172, 45);
INSERT INTO public.who_data VALUES (40758, 0, 0, 0, 0, 172, 133);
INSERT INTO public.who_data VALUES (40759, 860, 46728, 5, 386, 172, 202);
INSERT INTO public.who_data VALUES (40760, 0, 1044, 0, 34, 172, 129);
INSERT INTO public.who_data VALUES (40761, 0, 0, 0, 0, 172, 36);
INSERT INTO public.who_data VALUES (40762, 4, 1966, 4, 571, 172, 51);
INSERT INTO public.who_data VALUES (40763, 284, 12381, 2, 290, 172, 206);
INSERT INTO public.who_data VALUES (40764, 62, 6559, 1, 203, 172, 5);
INSERT INTO public.who_data VALUES (40765, 34, 38282, 4, 1410, 173, 103);
INSERT INTO public.who_data VALUES (40766, 133, 9513, 4, 284, 173, 58);
INSERT INTO public.who_data VALUES (40767, 348, 44494, 9, 1510, 173, 195);
INSERT INTO public.who_data VALUES (40768, 0, 0, 0, 0, 173, 115);
INSERT INTO public.who_data VALUES (40769, 52, 1176, 0, 53, 173, 99);
INSERT INTO public.who_data VALUES (40770, 30, 2654, 1, 108, 173, 153);
INSERT INTO public.who_data VALUES (40771, 0, 3, 0, 0, 173, 93);
INSERT INTO public.who_data VALUES (40772, 0, 94, 0, 3, 173, 84);
INSERT INTO public.who_data VALUES (40773, 7187, 408426, 97, 8498, 173, 78);
INSERT INTO public.who_data VALUES (40774, 97, 43191, 2, 876, 173, 170);
INSERT INTO public.who_data VALUES (40775, 149, 1997, 2, 10, 173, 32);
INSERT INTO public.who_data VALUES (40776, 76, 25746, 41, 652, 173, 155);
INSERT INTO public.who_data VALUES (40777, 186, 27404, 0, 733, 173, 82);
INSERT INTO public.who_data VALUES (40778, 126, 36435, 3, 534, 173, 16);
INSERT INTO public.who_data VALUES (40779, 32, 2167, 0, 43, 173, 72);
INSERT INTO public.who_data VALUES (40780, 398, 51972, 1, 190, 173, 43);
INSERT INTO public.who_data VALUES (40781, 2174, 312996, 33, 4281, 173, 120);
INSERT INTO public.who_data VALUES (40782, 0, 173, 0, 7, 173, 213);
INSERT INTO public.who_data VALUES (40783, 156, 71843, 5, 681, 173, 31);
INSERT INTO public.who_data VALUES (40784, 634, 86131, 3, 9883, 173, 204);
INSERT INTO public.who_data VALUES (40785, 29, 993, 0, 13, 173, 152);
INSERT INTO public.who_data VALUES (40786, 0, 2145, 0, 40, 173, 144);
INSERT INTO public.who_data VALUES (40787, 0, 169, 0, 9, 173, 96);
INSERT INTO public.who_data VALUES (40788, 1, 225, 0, 0, 173, 47);
INSERT INTO public.who_data VALUES (40789, 614, 115968, 28, 4966, 173, 80);
INSERT INTO public.who_data VALUES (40790, 0, 7, 0, 0, 173, 159);
INSERT INTO public.who_data VALUES (40791, 231, 20020, 11, 603, 173, 27);
INSERT INTO public.who_data VALUES (40792, 91, 1724, 0, 6, 173, 146);
INSERT INTO public.who_data VALUES (40793, 16158, 3862311, 366, 120828, 173, 71);
INSERT INTO public.who_data VALUES (40794, 10, 47, 0, 1, 173, 210);
INSERT INTO public.who_data VALUES (40795, 0, 144, 0, 3, 173, 54);
INSERT INTO public.who_data VALUES (40796, 76, 16266, 16, 629, 173, 147);
INSERT INTO public.who_data VALUES (40797, 0, 1368, 0, 55, 173, 2);
INSERT INTO public.who_data VALUES (40798, 0, 445, 0, 1, 173, 105);
INSERT INTO public.who_data VALUES (40799, 32, 3884, 0, 40, 173, 53);
INSERT INTO public.who_data VALUES (40800, 0, 274, 0, 0, 173, 81);
INSERT INTO public.who_data VALUES (40801, 267, 19409, 3, 414, 173, 223);
INSERT INTO public.who_data VALUES (40802, 267, 127940, 4, 9117, 173, 94);
INSERT INTO public.who_data VALUES (40803, 0, 205, 0, 1, 173, 154);
INSERT INTO public.who_data VALUES (40804, 11, 4711, 1, 62, 173, 83);
INSERT INTO public.who_data VALUES (40805, 1, 1013, 0, 77, 173, 194);
INSERT INTO public.who_data VALUES (40806, 1752, 411726, 45, 11289, 173, 136);
INSERT INTO public.who_data VALUES (40807, 19, 90402, 1, 4730, 173, 179);
INSERT INTO public.who_data VALUES (40808, 8024, 607938, 300, 19364, 173, 57);
INSERT INTO public.who_data VALUES (40809, 0, 423, 0, 7, 173, 35);
INSERT INTO public.who_data VALUES (40810, 0, 3979, 0, 78, 173, 228);
INSERT INTO public.who_data VALUES (40811, 0, 0, 0, 0, 173, 19);
INSERT INTO public.who_data VALUES (40812, 0, 39699, 0, 418, 173, 22);
INSERT INTO public.who_data VALUES (40813, 0, 17948, 0, 115, 173, 1);
INSERT INTO public.who_data VALUES (40814, 146, 10269, 2, 186, 173, 21);
INSERT INTO public.who_data VALUES (40815, 59, 4032, 0, 94, 173, 234);
INSERT INTO public.who_data VALUES (40816, 13, 68, 0, 1, 173, 91);
INSERT INTO public.who_data VALUES (40817, 1, 1488, 0, 21, 173, 137);
INSERT INTO public.who_data VALUES (40818, 251, 24618, 1, 424, 173, 201);
INSERT INTO public.who_data VALUES (40819, 0, 0, 0, 0, 173, 171);
INSERT INTO public.who_data VALUES (40820, 103, 10096, 3, 258, 173, 92);
INSERT INTO public.who_data VALUES (40821, 285, 16985, 0, 624, 173, 112);
INSERT INTO public.who_data VALUES (40822, 2, 5387, 0, 60, 173, 62);
INSERT INTO public.who_data VALUES (40823, 0, 20, 0, 0, 173, 69);
INSERT INTO public.who_data VALUES (40824, 480, 94715, 29, 1710, 173, 220);
INSERT INTO public.who_data VALUES (40825, 119, 113767, 1, 6556, 173, 100);
INSERT INTO public.who_data VALUES (40826, 212, 98939, 22, 5421, 173, 187);
INSERT INTO public.who_data VALUES (40827, 94, 25729, 4, 717, 173, 63);
INSERT INTO public.who_data VALUES (40828, 0, 4941, 0, 83, 173, 28);
INSERT INTO public.who_data VALUES (40829, 1, 319, 0, 0, 173, 172);
INSERT INTO public.who_data VALUES (40830, 2, 2375, 0, 64, 173, 17);
INSERT INTO public.who_data VALUES (40831, 16, 4577, 0, 91, 173, 226);
INSERT INTO public.who_data VALUES (40832, 1009, 52131, 16, 809, 173, 236);
INSERT INTO public.who_data VALUES (40833, 0, 13, 0, 0, 173, 76);
INSERT INTO public.who_data VALUES (40834, 0, 411, 0, 0, 173, 30);
INSERT INTO public.who_data VALUES (40835, 0, 28, 0, 2, 173, 128);
INSERT INTO public.who_data VALUES (40836, 9, 8086, 0, 335, 173, 86);
INSERT INTO public.who_data VALUES (40837, 2998, 264953, 27, 30494, 173, 140);
INSERT INTO public.who_data VALUES (40838, 39, 9115, 1, 59, 173, 44);
INSERT INTO public.who_data VALUES (40839, 46, 573, 0, 0, 173, 113);
INSERT INTO public.who_data VALUES (40840, 28, 8533, 0, 53, 173, 29);
INSERT INTO public.who_data VALUES (40841, 166, 2963, 0, 96, 173, 125);
INSERT INTO public.who_data VALUES (40842, 23, 1510, 0, 19, 173, 131);
INSERT INTO public.who_data VALUES (40843, 1218, 243599, 4, 9302, 173, 46);
INSERT INTO public.who_data VALUES (40844, 0, 44205, 0, 276, 173, 10);
INSERT INTO public.who_data VALUES (40845, 10, 285, 0, 0, 173, 205);
INSERT INTO public.who_data VALUES (40846, 183, 10317, 4, 266, 173, 50);
INSERT INTO public.who_data VALUES (40847, 0, 14, 0, 0, 173, 20);
INSERT INTO public.who_data VALUES (40848, 0, 24, 0, 0, 173, 13);
INSERT INTO public.who_data VALUES (40849, 0, 1145, 0, 16, 173, 148);
INSERT INTO public.who_data VALUES (40850, 48, 1387, 0, 10, 173, 230);
INSERT INTO public.who_data VALUES (40851, 162, 74074, 20, 2760, 173, 190);
INSERT INTO public.who_data VALUES (40852, 0, 252, 0, 13, 173, 188);
INSERT INTO public.who_data VALUES (40853, 38, 9409, 0, 59, 173, 123);
INSERT INTO public.who_data VALUES (40854, 0, 2149, 0, 33, 173, 9);
INSERT INTO public.who_data VALUES (40855, 50, 1234, 2, 37, 173, 102);
INSERT INTO public.who_data VALUES (40856, 15, 8224, 0, 201, 173, 34);
INSERT INTO public.who_data VALUES (40857, 0, 12, 0, 0, 173, 212);
INSERT INTO public.who_data VALUES (40858, 529, 60174, 16, 1858, 173, 122);
INSERT INTO public.who_data VALUES (40859, 178, 6139, 1, 615, 173, 38);
INSERT INTO public.who_data VALUES (40860, 2, 2107, 0, 10, 173, 130);
INSERT INTO public.who_data VALUES (40861, 69921, 3691166, 819, 65288, 173, 37);
INSERT INTO public.who_data VALUES (40862, 2743, 174796, 74, 7417, 173, 231);
INSERT INTO public.who_data VALUES (40863, 1642, 375212, 109, 21571, 173, 107);
INSERT INTO public.who_data VALUES (40864, 3757, 234934, 83, 7042, 173, 101);
INSERT INTO public.who_data VALUES (40865, 51, 28811, 0, 1777, 173, 132);
INSERT INTO public.who_data VALUES (40866, 0, 336, 0, 24, 173, 176);
INSERT INTO public.who_data VALUES (40867, 1101, 114738, 14, 930, 173, 200);
INSERT INTO public.who_data VALUES (40868, 996, 269214, 6, 35483, 173, 169);
INSERT INTO public.who_data VALUES (40869, 244, 2357, 2, 21, 173, 225);
INSERT INTO public.who_data VALUES (40870, 527, 68392, 17, 1296, 173, 165);
INSERT INTO public.who_data VALUES (40871, 0, 374, 0, 32, 173, 233);
INSERT INTO public.who_data VALUES (40872, 68, 2102, 0, 15, 173, 215);
INSERT INTO public.who_data VALUES (40873, 99, 131695, 0, 1878, 173, 177);
INSERT INTO public.who_data VALUES (40874, 144, 34201, 3, 577, 173, 183);
INSERT INTO public.who_data VALUES (40875, 0, 0, 0, 0, 173, 203);
INSERT INTO public.who_data VALUES (40876, 120, 13411, 9, 515, 173, 162);
INSERT INTO public.who_data VALUES (40877, 473, 85109, 1, 531, 173, 12);
INSERT INTO public.who_data VALUES (40878, 60, 43958, 1, 1060, 173, 24);
INSERT INTO public.who_data VALUES (40879, 0, 22, 0, 0, 173, 119);
INSERT INTO public.who_data VALUES (40880, 3, 1396, 0, 34, 173, 39);
INSERT INTO public.who_data VALUES (40881, 438, 17308, 7, 167, 173, 26);
INSERT INTO public.who_data VALUES (40882, 19, 1085, 0, 31, 173, 59);
INSERT INTO public.who_data VALUES (40883, 2, 1305, 0, 82, 173, 77);
INSERT INTO public.who_data VALUES (40884, 658, 14624, 5, 242, 173, 134);
INSERT INTO public.who_data VALUES (40885, 0, 108, 0, 1, 173, 4);
INSERT INTO public.who_data VALUES (40886, 23, 2923, 0, 86, 173, 109);
INSERT INTO public.who_data VALUES (40887, 52, 6677, 0, 124, 173, 90);
INSERT INTO public.who_data VALUES (40888, 20, 14863, 1, 192, 173, 61);
INSERT INTO public.who_data VALUES (40889, 30, 5566, 1, 175, 173, 85);
INSERT INTO public.who_data VALUES (40890, 6, 9340, 1, 127, 173, 49);
INSERT INTO public.who_data VALUES (40891, 137, 7804, 0, 28, 173, 208);
INSERT INTO public.who_data VALUES (40892, 3, 2776, 0, 126, 173, 166);
INSERT INTO public.who_data VALUES (40893, 21, 1885, 1, 12, 173, 64);
INSERT INTO public.who_data VALUES (40894, 0, 0, 0, 0, 173, 199);
INSERT INTO public.who_data VALUES (40895, 0, 596, 0, 16, 173, 114);
INSERT INTO public.who_data VALUES (40896, 26, 7048, 0, 159, 173, 60);
INSERT INTO public.who_data VALUES (40897, 10, 356, 0, 10, 173, 68);
INSERT INTO public.who_data VALUES (40898, 0, 3301, 0, 40, 173, 158);
INSERT INTO public.who_data VALUES (40899, 4129, 595841, 339, 64158, 173, 52);
INSERT INTO public.who_data VALUES (40900, 0, 0, 0, 0, 173, 117);
INSERT INTO public.who_data VALUES (40901, 7, 141, 0, 1, 173, 126);
INSERT INTO public.who_data VALUES (40902, 0, 301, 0, 0, 173, 196);
INSERT INTO public.who_data VALUES (40903, 72, 4977, 2, 102, 173, 142);
INSERT INTO public.who_data VALUES (40904, 0, 13, 0, 1, 173, 185);
INSERT INTO public.who_data VALUES (40905, 1191, 62590, 30, 1141, 173, 138);
INSERT INTO public.who_data VALUES (40906, 95, 3916, 0, 23, 173, 181);
INSERT INTO public.who_data VALUES (40907, 112, 887, 0, 6, 173, 178);
INSERT INTO public.who_data VALUES (40908, 185, 7550, 3, 75, 173, 168);
INSERT INTO public.who_data VALUES (40909, 0, 0, 0, 0, 173, 160);
INSERT INTO public.who_data VALUES (40910, 899, 39460, 7, 228, 173, 151);
INSERT INTO public.who_data VALUES (40911, 526, 70586, 0, 6220, 173, 193);
INSERT INTO public.who_data VALUES (40912, 0, 23, 0, 0, 173, 18);
INSERT INTO public.who_data VALUES (40913, 14, 1401, 0, 22, 173, 40);
INSERT INTO public.who_data VALUES (40914, 0, 3659, 0, 137, 173, 218);
INSERT INTO public.who_data VALUES (40915, 1, 1176, 0, 69, 173, 191);
INSERT INTO public.who_data VALUES (40916, 143, 54008, 0, 1013, 173, 156);
INSERT INTO public.who_data VALUES (40917, 0, 0, 0, 0, 173, 135);
INSERT INTO public.who_data VALUES (40918, 0, 56, 0, 2, 173, 88);
INSERT INTO public.who_data VALUES (40919, 11, 14341, 3, 603, 173, 55);
INSERT INTO public.who_data VALUES (40920, 101, 10644, 0, 264, 173, 108);
INSERT INTO public.who_data VALUES (40921, 875, 29938, 4, 173, 173, 48);
INSERT INTO public.who_data VALUES (40922, 178, 85722, 8, 685, 173, 3);
INSERT INTO public.who_data VALUES (40923, 0, 741, 0, 13, 173, 224);
INSERT INTO public.who_data VALUES (40924, 300, 296149, 4, 6298, 173, 110);
INSERT INTO public.who_data VALUES (40925, 0, 0, 0, 0, 173, 106);
INSERT INTO public.who_data VALUES (40926, 728, 92065, 12, 1995, 173, 89);
INSERT INTO public.who_data VALUES (40927, 0, 459, 0, 5, 173, 121);
INSERT INTO public.who_data VALUES (40928, 631, 17105, 14, 308, 173, 163);
INSERT INTO public.who_data VALUES (40929, 7731, 647166, 181, 28788, 173, 70);
INSERT INTO public.who_data VALUES (40930, 3423, 220819, 38, 3558, 173, 174);
INSERT INTO public.who_data VALUES (40931, 0, 0, 0, 0, 173, 175);
INSERT INTO public.who_data VALUES (40932, 502, 67372, 6, 2039, 173, 118);
INSERT INTO public.who_data VALUES (40933, 244, 58012, 3, 1822, 173, 189);
INSERT INTO public.who_data VALUES (40934, 351, 33199, 0, 434, 173, 124);
INSERT INTO public.who_data VALUES (40935, 203, 118778, 0, 197, 173, 192);
INSERT INTO public.who_data VALUES (40936, 235, 20182, 0, 324, 173, 41);
INSERT INTO public.who_data VALUES (40937, 220, 36920, 3, 995, 173, 95);
INSERT INTO public.who_data VALUES (40938, 45, 1679, 1, 5, 173, 74);
INSERT INTO public.who_data VALUES (40939, 755, 87540, 43, 3621, 173, 11);
INSERT INTO public.who_data VALUES (40940, 4729, 1000048, 123, 17299, 173, 87);
INSERT INTO public.who_data VALUES (40941, 43, 4063, 0, 16, 173, 214);
INSERT INTO public.who_data VALUES (40942, 0, 5, 0, 0, 173, 116);
INSERT INTO public.who_data VALUES (40943, 0, 18, 0, 0, 173, 157);
INSERT INTO public.who_data VALUES (40944, 0, 0, 0, 0, 173, 182);
INSERT INTO public.who_data VALUES (40945, 0, 17, 0, 0, 173, 186);
INSERT INTO public.who_data VALUES (40946, 0, 26, 0, 0, 173, 127);
INSERT INTO public.who_data VALUES (40947, 0, 213, 0, 5, 173, 232);
INSERT INTO public.who_data VALUES (40948, 0, 5, 0, 0, 173, 33);
INSERT INTO public.who_data VALUES (40949, 0, 60, 0, 0, 173, 97);
INSERT INTO public.who_data VALUES (40950, 0, 0, 0, 0, 173, 42);
INSERT INTO public.who_data VALUES (40951, 0, 735, 0, 42, 173, 198);
INSERT INTO public.who_data VALUES (40952, 0, 896, 0, 15, 173, 216);
INSERT INTO public.who_data VALUES (40953, 951, 315772, 27, 3897, 173, 164);
INSERT INTO public.who_data VALUES (40954, 55, 13611, 0, 284, 173, 235);
INSERT INTO public.who_data VALUES (40955, 41, 31406, 2, 713, 173, 67);
INSERT INTO public.who_data VALUES (40956, 4, 135, 0, 0, 173, 15);
INSERT INTO public.who_data VALUES (40957, 4, 2026, 0, 70, 173, 180);
INSERT INTO public.who_data VALUES (40958, 41, 56812, 0, 27, 173, 237);
INSERT INTO public.who_data VALUES (40959, 0, 4, 0, 0, 173, 25);
INSERT INTO public.who_data VALUES (40960, 19, 463, 0, 17, 173, 209);
INSERT INTO public.who_data VALUES (40961, 34, 3876, 0, 33, 173, 217);
INSERT INTO public.who_data VALUES (40962, 18, 2884, 0, 133, 173, 79);
INSERT INTO public.who_data VALUES (40963, 0, 0, 0, 0, 173, 143);
INSERT INTO public.who_data VALUES (40964, 0, 3310, 0, 97, 173, 229);
INSERT INTO public.who_data VALUES (40965, 1985, 627041, 121, 14149, 173, 141);
INSERT INTO public.who_data VALUES (40966, 0, 2527, 0, 47, 173, 197);
INSERT INTO public.who_data VALUES (40967, 5259, 500982, 54, 30915, 173, 221);
INSERT INTO public.who_data VALUES (40968, 37, 3049, 0, 12, 173, 150);
INSERT INTO public.who_data VALUES (40969, 0, 13189, 0, 823, 173, 56);
INSERT INTO public.who_data VALUES (40970, 55, 4009, 0, 67, 173, 167);
INSERT INTO public.who_data VALUES (40971, 48, 84237, 3, 5822, 173, 23);
INSERT INTO public.who_data VALUES (40972, 347, 42592, 1, 1763, 173, 222);
INSERT INTO public.who_data VALUES (40973, 62, 2765, 3, 112, 173, 219);
INSERT INTO public.who_data VALUES (40974, 33, 8583, 0, 68, 173, 7);
INSERT INTO public.who_data VALUES (40975, 5, 3417, 0, 58, 173, 161);
INSERT INTO public.who_data VALUES (40976, 1406, 335877, 2, 41501, 173, 149);
INSERT INTO public.who_data VALUES (40977, 0, 27, 0, 0, 173, 6);
INSERT INTO public.who_data VALUES (40978, 0, 1396, 0, 27, 173, 139);
INSERT INTO public.who_data VALUES (40979, 0, 0, 0, 0, 173, 211);
INSERT INTO public.who_data VALUES (40980, 0, 0, 0, 0, 173, 14);
INSERT INTO public.who_data VALUES (40981, 44, 1727, 1, 22, 173, 111);
INSERT INTO public.who_data VALUES (40982, 160, 3963, 3, 80, 173, 207);
INSERT INTO public.who_data VALUES (40983, 8317, 505683, 44, 6370, 173, 66);
INSERT INTO public.who_data VALUES (40984, 0, 0, 0, 0, 173, 173);
INSERT INTO public.who_data VALUES (40985, 2, 507, 0, 3, 173, 145);
INSERT INTO public.who_data VALUES (40986, 0, 0, 0, 0, 173, 65);
INSERT INTO public.who_data VALUES (40987, 84, 2972, 2, 32, 173, 184);
INSERT INTO public.who_data VALUES (40988, 2088, 123303, 48, 2605, 173, 98);
INSERT INTO public.who_data VALUES (40989, 541, 70231, 2, 384, 173, 104);
INSERT INTO public.who_data VALUES (40990, 0, 509, 0, 21, 173, 73);
INSERT INTO public.who_data VALUES (40991, 37068, 5936572, 473, 182162, 173, 8);
INSERT INTO public.who_data VALUES (40992, 5, 1134, 0, 14, 173, 227);
INSERT INTO public.who_data VALUES (40993, 15, 1585, 0, 44, 173, 75);
INSERT INTO public.who_data VALUES (40994, 343, 41994, 5, 322, 173, 45);
INSERT INTO public.who_data VALUES (40995, 0, 0, 0, 0, 173, 133);
INSERT INTO public.who_data VALUES (40996, 922, 45868, 6, 381, 173, 202);
INSERT INTO public.who_data VALUES (40997, 4, 1044, 2, 34, 173, 129);
INSERT INTO public.who_data VALUES (40998, 0, 0, 0, 0, 173, 36);
INSERT INTO public.who_data VALUES (40999, 5, 1962, 2, 567, 173, 51);
INSERT INTO public.who_data VALUES (41000, 72, 12097, 1, 288, 173, 206);
INSERT INTO public.who_data VALUES (41001, 85, 6497, 6, 202, 173, 5);
INSERT INTO public.who_data VALUES (41002, 19, 38248, 0, 1406, 174, 103);
INSERT INTO public.who_data VALUES (41003, 101, 9380, 5, 280, 174, 58);
INSERT INTO public.who_data VALUES (41004, 364, 44146, 10, 1501, 174, 195);
INSERT INTO public.who_data VALUES (41005, 0, 0, 0, 0, 174, 115);
INSERT INTO public.who_data VALUES (41006, 0, 1124, 0, 53, 174, 99);
INSERT INTO public.who_data VALUES (41007, 73, 2624, 0, 107, 174, 153);
INSERT INTO public.who_data VALUES (41008, 0, 3, 0, 0, 174, 93);
INSERT INTO public.who_data VALUES (41009, 0, 94, 0, 3, 174, 84);
INSERT INTO public.who_data VALUES (41010, 9230, 401239, 96, 8401, 174, 78);
INSERT INTO public.who_data VALUES (41011, 31, 43094, 2, 874, 174, 170);
INSERT INTO public.who_data VALUES (41012, 0, 1848, 0, 8, 174, 32);
INSERT INTO public.who_data VALUES (41013, 123, 25670, 11, 611, 174, 155);
INSERT INTO public.who_data VALUES (41014, 281, 27218, 0, 733, 174, 82);
INSERT INTO public.who_data VALUES (41015, 135, 36309, 2, 531, 174, 16);
INSERT INTO public.who_data VALUES (41016, 78, 2135, 3, 43, 174, 72);
INSERT INTO public.who_data VALUES (41017, 183, 51574, 0, 189, 174, 43);
INSERT INTO public.who_data VALUES (41018, 1897, 310822, 42, 4248, 174, 120);
INSERT INTO public.who_data VALUES (41019, 7, 173, 0, 7, 174, 213);
INSERT INTO public.who_data VALUES (41020, 164, 71687, 5, 676, 174, 31);
INSERT INTO public.who_data VALUES (41021, 117, 85497, 1, 9880, 174, 204);
INSERT INTO public.who_data VALUES (41022, 94, 964, 1, 13, 174, 152);
INSERT INTO public.who_data VALUES (41023, 0, 2145, 0, 40, 174, 144);
INSERT INTO public.who_data VALUES (41024, 1, 169, 0, 9, 174, 96);
INSERT INTO public.who_data VALUES (41025, 29, 224, 0, 0, 174, 47);
INSERT INTO public.who_data VALUES (41026, 945, 115354, 92, 4938, 174, 80);
INSERT INTO public.who_data VALUES (41027, 1, 7, 0, 0, 174, 159);
INSERT INTO public.who_data VALUES (41028, 243, 19789, 4, 592, 174, 27);
INSERT INTO public.who_data VALUES (41029, 0, 1633, 0, 6, 174, 146);
INSERT INTO public.who_data VALUES (41030, 41350, 3846153, 958, 120462, 174, 71);
INSERT INTO public.who_data VALUES (41031, 2, 37, 0, 1, 174, 210);
INSERT INTO public.who_data VALUES (41032, 0, 144, 0, 3, 174, 54);
INSERT INTO public.who_data VALUES (41033, 26, 16190, 8, 613, 174, 147);
INSERT INTO public.who_data VALUES (41034, 11, 1368, 0, 55, 174, 2);
INSERT INTO public.who_data VALUES (41035, 0, 445, 0, 1, 174, 105);
INSERT INTO public.who_data VALUES (41036, 74, 3852, 1, 40, 174, 53);
INSERT INTO public.who_data VALUES (41037, 1, 274, 0, 0, 174, 81);
INSERT INTO public.who_data VALUES (41038, 0, 19142, 0, 411, 174, 223);
INSERT INTO public.who_data VALUES (41039, 315, 127673, 5, 9113, 174, 94);
INSERT INTO public.who_data VALUES (41040, 0, 205, 0, 1, 174, 154);
INSERT INTO public.who_data VALUES (41041, 0, 4700, 0, 61, 174, 83);
INSERT INTO public.who_data VALUES (41042, 4, 1012, 0, 77, 174, 194);
INSERT INTO public.who_data VALUES (41043, 1965, 409974, 63, 11244, 174, 136);
INSERT INTO public.who_data VALUES (41044, 32, 90383, 1, 4729, 174, 179);
INSERT INTO public.who_data VALUES (41045, 9394, 599914, 297, 19064, 174, 57);
INSERT INTO public.who_data VALUES (41046, 0, 423, 0, 7, 174, 35);
INSERT INTO public.who_data VALUES (41047, 0, 3979, 0, 78, 174, 228);
INSERT INTO public.who_data VALUES (41048, 0, 0, 0, 0, 174, 19);
INSERT INTO public.who_data VALUES (41049, 1214, 39699, 11, 418, 174, 22);
INSERT INTO public.who_data VALUES (41050, 55, 17948, 0, 115, 174, 1);
INSERT INTO public.who_data VALUES (41051, 262, 10123, 1, 184, 174, 21);
INSERT INTO public.who_data VALUES (41052, 48, 3973, 0, 94, 174, 234);
INSERT INTO public.who_data VALUES (41053, 0, 55, 0, 1, 174, 91);
INSERT INTO public.who_data VALUES (41054, 4, 1487, 0, 21, 174, 137);
INSERT INTO public.who_data VALUES (41055, 273, 24367, 2, 423, 174, 201);
INSERT INTO public.who_data VALUES (41056, 0, 0, 0, 0, 174, 171);
INSERT INTO public.who_data VALUES (41057, 0, 9993, 0, 255, 174, 92);
INSERT INTO public.who_data VALUES (41058, 0, 16700, 0, 624, 174, 112);
INSERT INTO public.who_data VALUES (41059, 0, 5385, 0, 60, 174, 62);
INSERT INTO public.who_data VALUES (41060, 0, 20, 0, 0, 174, 69);
INSERT INTO public.who_data VALUES (41061, 509, 94235, 8, 1681, 174, 220);
INSERT INTO public.who_data VALUES (41062, 742, 113648, 18, 6555, 174, 100);
INSERT INTO public.who_data VALUES (41063, 230, 98727, 23, 5399, 174, 187);
INSERT INTO public.who_data VALUES (41064, 98, 25635, 5, 713, 174, 63);
INSERT INTO public.who_data VALUES (41065, 0, 4941, 0, 83, 174, 28);
INSERT INTO public.who_data VALUES (41066, 0, 318, 0, 0, 174, 172);
INSERT INTO public.who_data VALUES (41067, 10, 2373, 0, 64, 174, 17);
INSERT INTO public.who_data VALUES (41068, 51, 4561, 0, 91, 174, 226);
INSERT INTO public.who_data VALUES (41069, 1468, 51122, 23, 793, 174, 236);
INSERT INTO public.who_data VALUES (41070, 0, 13, 0, 0, 174, 76);
INSERT INTO public.who_data VALUES (41071, 0, 411, 0, 0, 174, 30);
INSERT INTO public.who_data VALUES (41072, 0, 28, 0, 2, 174, 128);
INSERT INTO public.who_data VALUES (41073, 28, 8077, 0, 335, 174, 86);
INSERT INTO public.who_data VALUES (41074, 5126, 261955, 2, 30467, 174, 140);
INSERT INTO public.who_data VALUES (41075, 0, 9076, 0, 58, 174, 44);
INSERT INTO public.who_data VALUES (41076, 45, 527, 0, 0, 174, 113);
INSERT INTO public.who_data VALUES (41077, 0, 8505, 0, 53, 174, 29);
INSERT INTO public.who_data VALUES (41078, 0, 2797, 0, 96, 174, 125);
INSERT INTO public.who_data VALUES (41079, 18, 1487, 0, 19, 174, 131);
INSERT INTO public.who_data VALUES (41080, 610, 242381, 3, 9298, 174, 46);
INSERT INTO public.who_data VALUES (41081, 256, 44205, 6, 276, 174, 10);
INSERT INTO public.who_data VALUES (41082, 1, 275, 0, 0, 174, 205);
INSERT INTO public.who_data VALUES (41083, 157, 10134, 2, 262, 174, 50);
INSERT INTO public.who_data VALUES (41084, 0, 14, 0, 0, 174, 20);
INSERT INTO public.who_data VALUES (41085, 0, 24, 0, 0, 174, 13);
INSERT INTO public.who_data VALUES (41086, 210, 1145, 1, 16, 174, 148);
INSERT INTO public.who_data VALUES (41087, 0, 1339, 0, 10, 174, 230);
INSERT INTO public.who_data VALUES (41088, 233, 73912, 12, 2740, 174, 190);
INSERT INTO public.who_data VALUES (41089, 0, 252, 0, 13, 174, 188);
INSERT INTO public.who_data VALUES (41090, 120, 9371, 0, 59, 174, 123);
INSERT INTO public.who_data VALUES (41091, 0, 2149, 0, 33, 174, 9);
INSERT INTO public.who_data VALUES (41092, 4, 1184, 0, 35, 174, 102);
INSERT INTO public.who_data VALUES (41093, 35, 8209, 0, 201, 174, 34);
INSERT INTO public.who_data VALUES (41094, 0, 12, 0, 0, 174, 212);
INSERT INTO public.who_data VALUES (41095, 835, 59645, 15, 1842, 174, 122);
INSERT INTO public.who_data VALUES (41096, 292, 5961, 0, 614, 174, 38);
INSERT INTO public.who_data VALUES (41097, 5, 2105, 0, 10, 174, 130);
INSERT INTO public.who_data VALUES (41098, 78512, 3621245, 971, 64469, 174, 37);
INSERT INTO public.who_data VALUES (41099, 2858, 172053, 82, 7343, 174, 231);
INSERT INTO public.who_data VALUES (41100, 1754, 373570, 103, 21462, 174, 107);
INSERT INTO public.who_data VALUES (41101, 3731, 231177, 68, 6959, 174, 101);
INSERT INTO public.who_data VALUES (41102, 40, 28760, 0, 1777, 174, 132);
INSERT INTO public.who_data VALUES (41103, 0, 336, 0, 24, 174, 176);
INSERT INTO public.who_data VALUES (41104, 910, 113637, 5, 916, 174, 200);
INSERT INTO public.who_data VALUES (41105, 1365, 268218, 4, 35477, 174, 169);
INSERT INTO public.who_data VALUES (41106, 102, 2113, 0, 19, 174, 225);
INSERT INTO public.who_data VALUES (41107, 601, 67865, 15, 1279, 174, 165);
INSERT INTO public.who_data VALUES (41108, 0, 374, 0, 32, 174, 233);
INSERT INTO public.who_data VALUES (41109, 73, 2034, 0, 15, 174, 215);
INSERT INTO public.who_data VALUES (41110, 87, 131596, 0, 1878, 174, 177);
INSERT INTO public.who_data VALUES (41111, 263, 34057, 2, 574, 174, 183);
INSERT INTO public.who_data VALUES (41112, 0, 0, 0, 0, 174, 203);
INSERT INTO public.who_data VALUES (41113, 119, 13291, 8, 506, 174, 162);
INSERT INTO public.who_data VALUES (41114, 412, 84636, 2, 530, 174, 12);
INSERT INTO public.who_data VALUES (41115, 78, 43898, 0, 1059, 174, 24);
INSERT INTO public.who_data VALUES (41116, 0, 22, 0, 0, 174, 119);
INSERT INTO public.who_data VALUES (41117, 18, 1393, 0, 34, 174, 39);
INSERT INTO public.who_data VALUES (41118, 595, 16870, 5, 160, 174, 26);
INSERT INTO public.who_data VALUES (41119, 0, 1066, 0, 31, 174, 59);
INSERT INTO public.who_data VALUES (41120, 0, 1303, 0, 82, 174, 77);
INSERT INTO public.who_data VALUES (41121, 543, 13966, 5, 237, 174, 134);
INSERT INTO public.who_data VALUES (41122, 0, 108, 0, 1, 174, 4);
INSERT INTO public.who_data VALUES (41123, 32, 2900, 0, 86, 174, 109);
INSERT INTO public.who_data VALUES (41124, 45, 6625, 0, 124, 174, 90);
INSERT INTO public.who_data VALUES (41125, 52, 14843, 1, 191, 174, 61);
INSERT INTO public.who_data VALUES (41126, 8, 5536, 0, 174, 174, 85);
INSERT INTO public.who_data VALUES (41127, 17, 9334, 1, 126, 174, 49);
INSERT INTO public.who_data VALUES (41128, 89, 7667, 0, 28, 174, 208);
INSERT INTO public.who_data VALUES (41129, 16, 2773, 0, 126, 174, 166);
INSERT INTO public.who_data VALUES (41130, 15, 1864, 1, 11, 174, 64);
INSERT INTO public.who_data VALUES (41131, 0, 0, 0, 0, 174, 199);
INSERT INTO public.who_data VALUES (41132, 0, 596, 0, 16, 174, 114);
INSERT INTO public.who_data VALUES (41133, 10, 7022, 1, 159, 174, 60);
INSERT INTO public.who_data VALUES (41134, 0, 346, 0, 10, 174, 68);
INSERT INTO public.who_data VALUES (41135, 0, 3301, 0, 40, 174, 158);
INSERT INTO public.who_data VALUES (41136, 5974, 591712, 673, 63819, 174, 52);
INSERT INTO public.who_data VALUES (41137, 0, 0, 0, 0, 174, 117);
INSERT INTO public.who_data VALUES (41138, 1, 134, 0, 1, 174, 126);
INSERT INTO public.who_data VALUES (41139, 0, 301, 0, 0, 174, 196);
INSERT INTO public.who_data VALUES (41140, 88, 4905, 1, 100, 174, 142);
INSERT INTO public.who_data VALUES (41141, 0, 13, 0, 1, 174, 185);
INSERT INTO public.who_data VALUES (41142, 1343, 61399, 33, 1111, 174, 138);
INSERT INTO public.who_data VALUES (41143, 61, 3821, 1, 23, 174, 181);
INSERT INTO public.who_data VALUES (41144, 26, 775, 0, 6, 174, 178);
INSERT INTO public.who_data VALUES (41145, 249, 7365, 3, 72, 174, 168);
INSERT INTO public.who_data VALUES (41146, 0, 0, 0, 0, 174, 160);
INSERT INTO public.who_data VALUES (41147, 1221, 38561, 14, 221, 174, 151);
INSERT INTO public.who_data VALUES (41148, 506, 70060, 0, 6220, 174, 193);
INSERT INTO public.who_data VALUES (41149, 0, 23, 0, 0, 174, 18);
INSERT INTO public.who_data VALUES (41150, 9, 1387, 0, 22, 174, 40);
INSERT INTO public.who_data VALUES (41151, 0, 3659, 0, 137, 174, 218);
INSERT INTO public.who_data VALUES (41152, 0, 1175, 0, 69, 174, 191);
INSERT INTO public.who_data VALUES (41153, 138, 53865, 2, 1013, 174, 156);
INSERT INTO public.who_data VALUES (41154, 0, 0, 0, 0, 174, 135);
INSERT INTO public.who_data VALUES (41155, 0, 56, 0, 2, 174, 88);
INSERT INTO public.who_data VALUES (41156, 37, 14330, 4, 600, 174, 55);
INSERT INTO public.who_data VALUES (41157, 0, 10543, 0, 264, 174, 108);
INSERT INTO public.who_data VALUES (41158, 536, 29063, 5, 169, 174, 48);
INSERT INTO public.who_data VALUES (41159, 539, 85544, 27, 677, 174, 3);
INSERT INTO public.who_data VALUES (41160, 0, 741, 0, 13, 174, 224);
INSERT INTO public.who_data VALUES (41161, 213, 295849, 6, 6294, 174, 110);
INSERT INTO public.who_data VALUES (41162, 0, 0, 0, 0, 174, 106);
INSERT INTO public.who_data VALUES (41163, 713, 91337, 17, 1983, 174, 89);
INSERT INTO public.who_data VALUES (41164, 0, 459, 0, 5, 174, 121);
INSERT INTO public.who_data VALUES (41165, 600, 16474, 14, 294, 174, 163);
INSERT INTO public.who_data VALUES (41166, 9474, 639435, 136, 28607, 174, 70);
INSERT INTO public.who_data VALUES (41167, 4265, 217396, 101, 3520, 174, 174);
INSERT INTO public.who_data VALUES (41168, 0, 0, 0, 0, 174, 175);
INSERT INTO public.who_data VALUES (41169, 631, 66870, 1, 2033, 174, 118);
INSERT INTO public.who_data VALUES (41170, 320, 57768, 1, 1819, 174, 189);
INSERT INTO public.who_data VALUES (41171, 298, 32848, 6, 434, 174, 124);
INSERT INTO public.who_data VALUES (41172, 168, 118575, 1, 197, 174, 192);
INSERT INTO public.who_data VALUES (41173, 248, 19947, 1, 324, 174, 41);
INSERT INTO public.who_data VALUES (41174, 296, 36700, 2, 992, 174, 95);
INSERT INTO public.who_data VALUES (41175, 77, 1634, 1, 4, 174, 74);
INSERT INTO public.who_data VALUES (41176, 952, 86785, 39, 3578, 174, 11);
INSERT INTO public.who_data VALUES (41177, 4993, 995319, 83, 17176, 174, 87);
INSERT INTO public.who_data VALUES (41178, 177, 4020, 0, 16, 174, 214);
INSERT INTO public.who_data VALUES (41179, 0, 5, 0, 0, 174, 116);
INSERT INTO public.who_data VALUES (41180, 0, 18, 0, 0, 174, 157);
INSERT INTO public.who_data VALUES (41181, 0, 0, 0, 0, 174, 182);
INSERT INTO public.who_data VALUES (41182, 0, 17, 0, 0, 174, 186);
INSERT INTO public.who_data VALUES (41183, 0, 26, 0, 0, 174, 127);
INSERT INTO public.who_data VALUES (41184, 0, 213, 0, 5, 174, 232);
INSERT INTO public.who_data VALUES (41185, 0, 5, 0, 0, 174, 33);
INSERT INTO public.who_data VALUES (41186, 0, 60, 0, 0, 174, 97);
INSERT INTO public.who_data VALUES (41187, 0, 0, 0, 0, 174, 42);
INSERT INTO public.who_data VALUES (41188, 2, 735, 0, 42, 174, 198);
INSERT INTO public.who_data VALUES (41189, 1, 896, 0, 15, 174, 216);
INSERT INTO public.who_data VALUES (41190, 910, 314821, 30, 3870, 174, 164);
INSERT INTO public.who_data VALUES (41191, 100, 13556, 2, 284, 174, 235);
INSERT INTO public.who_data VALUES (41192, 83, 31365, 1, 711, 174, 67);
INSERT INTO public.who_data VALUES (41193, 0, 131, 0, 0, 174, 15);
INSERT INTO public.who_data VALUES (41194, 3, 2022, 0, 70, 174, 180);
INSERT INTO public.who_data VALUES (41195, 54, 56771, 0, 27, 174, 237);
INSERT INTO public.who_data VALUES (41196, 0, 4, 0, 0, 174, 25);
INSERT INTO public.who_data VALUES (41197, 0, 444, 0, 17, 174, 209);
INSERT INTO public.who_data VALUES (41198, 114, 3842, 0, 33, 174, 217);
INSERT INTO public.who_data VALUES (41199, 31, 2866, 0, 133, 174, 79);
INSERT INTO public.who_data VALUES (41200, 0, 0, 0, 0, 174, 143);
INSERT INTO public.who_data VALUES (41201, 0, 3310, 0, 97, 174, 229);
INSERT INTO public.who_data VALUES (41202, 2505, 625056, 47, 14028, 174, 141);
INSERT INTO public.who_data VALUES (41203, 8, 2527, 0, 47, 174, 197);
INSERT INTO public.who_data VALUES (41204, 6940, 495723, 49, 30861, 174, 221);
INSERT INTO public.who_data VALUES (41205, 17, 3012, 0, 12, 174, 150);
INSERT INTO public.who_data VALUES (41206, 0, 13189, 0, 823, 174, 56);
INSERT INTO public.who_data VALUES (41207, 106, 3954, 1, 67, 174, 167);
INSERT INTO public.who_data VALUES (41208, 131, 84189, 1, 5819, 174, 23);
INSERT INTO public.who_data VALUES (41209, 144, 42245, 1, 1762, 174, 222);
INSERT INTO public.who_data VALUES (41210, 75, 2703, 3, 109, 174, 219);
INSERT INTO public.who_data VALUES (41211, 34, 8550, 0, 68, 174, 7);
INSERT INTO public.who_data VALUES (41212, 1, 3412, 0, 58, 174, 161);
INSERT INTO public.who_data VALUES (41213, 1715, 334471, 1, 41499, 174, 149);
INSERT INTO public.who_data VALUES (41214, 0, 27, 0, 0, 174, 6);
INSERT INTO public.who_data VALUES (41215, 6, 1396, 0, 27, 174, 139);
INSERT INTO public.who_data VALUES (41216, 0, 0, 0, 0, 174, 211);
INSERT INTO public.who_data VALUES (41217, 0, 0, 0, 0, 174, 14);
INSERT INTO public.who_data VALUES (41218, 106, 1683, 2, 21, 174, 111);
INSERT INTO public.who_data VALUES (41219, 118, 3803, 1, 77, 174, 207);
INSERT INTO public.who_data VALUES (41220, 8212, 497366, 42, 6326, 174, 66);
INSERT INTO public.who_data VALUES (41221, 0, 0, 0, 0, 174, 173);
INSERT INTO public.who_data VALUES (41222, 15, 505, 0, 3, 174, 145);
INSERT INTO public.who_data VALUES (41223, 0, 0, 0, 0, 174, 65);
INSERT INTO public.who_data VALUES (41224, 132, 2888, 2, 30, 174, 184);
INSERT INTO public.who_data VALUES (41225, 2141, 121215, 30, 2557, 174, 98);
INSERT INTO public.who_data VALUES (41226, 362, 69690, 3, 382, 174, 104);
INSERT INTO public.who_data VALUES (41227, 0, 509, 0, 21, 174, 73);
INSERT INTO public.who_data VALUES (41228, 43983, 5899504, 1000, 181689, 174, 8);
INSERT INTO public.who_data VALUES (41229, 11, 1129, 0, 14, 174, 227);
INSERT INTO public.who_data VALUES (41230, 14, 1570, 1, 44, 174, 75);
INSERT INTO public.who_data VALUES (41231, 348, 41651, 6, 317, 174, 45);
INSERT INTO public.who_data VALUES (41232, 0, 0, 0, 0, 174, 133);
INSERT INTO public.who_data VALUES (41233, 1067, 44946, 17, 375, 174, 202);
INSERT INTO public.who_data VALUES (41234, 0, 1040, 0, 32, 174, 129);
INSERT INTO public.who_data VALUES (41235, 0, 0, 0, 0, 174, 36);
INSERT INTO public.who_data VALUES (41236, 7, 1957, 1, 565, 174, 51);
INSERT INTO public.who_data VALUES (41237, 123, 12025, 3, 287, 174, 206);
INSERT INTO public.who_data VALUES (41238, 6, 6412, 0, 196, 174, 5);
INSERT INTO public.who_data VALUES (41239, 0, 38229, 0, 1406, 175, 103);
INSERT INTO public.who_data VALUES (41240, 84, 9279, 4, 275, 175, 58);
INSERT INTO public.who_data VALUES (41241, 379, 43782, 8, 1491, 175, 195);
INSERT INTO public.who_data VALUES (41242, 0, 0, 0, 0, 175, 115);
INSERT INTO public.who_data VALUES (41243, 0, 1124, 0, 53, 175, 99);
INSERT INTO public.who_data VALUES (41244, 80, 2551, 1, 107, 175, 153);
INSERT INTO public.who_data VALUES (41245, 0, 3, 0, 0, 175, 93);
INSERT INTO public.who_data VALUES (41246, 0, 94, 0, 3, 175, 84);
INSERT INTO public.who_data VALUES (41247, 11717, 392009, 176, 8305, 175, 78);
INSERT INTO public.who_data VALUES (41248, 124, 43063, 5, 872, 175, 170);
INSERT INTO public.who_data VALUES (41249, 0, 1848, 0, 8, 175, 32);
INSERT INTO public.who_data VALUES (41250, 99, 25547, 17, 600, 175, 155);
INSERT INTO public.who_data VALUES (41251, 174, 26937, 0, 733, 175, 82);
INSERT INTO public.who_data VALUES (41252, 188, 36174, 2, 529, 175, 16);
INSERT INTO public.who_data VALUES (41253, 37, 2057, -10, 40, 175, 72);
INSERT INTO public.who_data VALUES (41254, 278, 51391, 0, 189, 175, 43);
INSERT INTO public.who_data VALUES (41255, 2131, 308925, 32, 4206, 175, 120);
INSERT INTO public.who_data VALUES (41256, 1, 166, 0, 7, 175, 213);
INSERT INTO public.who_data VALUES (41257, 177, 71523, 4, 671, 175, 31);
INSERT INTO public.who_data VALUES (41258, 195, 85380, 6, 9879, 175, 204);
INSERT INTO public.who_data VALUES (41259, 52, 870, 0, 12, 175, 152);
INSERT INTO public.who_data VALUES (41260, 0, 2145, 0, 40, 175, 144);
INSERT INTO public.who_data VALUES (41261, 0, 168, 0, 9, 175, 96);
INSERT INTO public.who_data VALUES (41262, 0, 195, 0, 0, 175, 47);
INSERT INTO public.who_data VALUES (41263, 1280, 114409, 55, 4846, 175, 80);
INSERT INTO public.who_data VALUES (41264, 0, 6, 0, 0, 175, 159);
INSERT INTO public.who_data VALUES (41265, 334, 19546, 3, 588, 175, 27);
INSERT INTO public.who_data VALUES (41266, 0, 1633, 0, 6, 175, 146);
INSERT INTO public.who_data VALUES (41267, 43412, 3804803, 855, 119504, 175, 71);
INSERT INTO public.who_data VALUES (41268, 0, 35, 0, 1, 175, 210);
INSERT INTO public.who_data VALUES (41269, 0, 144, 0, 3, 175, 54);
INSERT INTO public.who_data VALUES (41270, 99, 16164, 2, 605, 175, 147);
INSERT INTO public.who_data VALUES (41271, 0, 1357, 0, 55, 175, 2);
INSERT INTO public.who_data VALUES (41272, 6, 445, 0, 1, 175, 105);
INSERT INTO public.who_data VALUES (41273, 33, 3778, 1, 39, 175, 53);
INSERT INTO public.who_data VALUES (41274, 0, 273, 0, 0, 175, 81);
INSERT INTO public.who_data VALUES (41275, 0, 19142, 0, 411, 175, 223);
INSERT INTO public.who_data VALUES (41276, 510, 127358, 6, 9108, 175, 94);
INSERT INTO public.who_data VALUES (41277, 0, 205, 0, 1, 175, 154);
INSERT INTO public.who_data VALUES (41278, 0, 4700, 0, 61, 175, 83);
INSERT INTO public.who_data VALUES (41279, 0, 1008, 0, 77, 175, 194);
INSERT INTO public.who_data VALUES (41280, 2037, 408009, 49, 11181, 175, 136);
INSERT INTO public.who_data VALUES (41281, 28, 90351, 3, 4728, 175, 179);
INSERT INTO public.who_data VALUES (41282, 8498, 590520, 299, 18767, 175, 57);
INSERT INTO public.who_data VALUES (41283, 1, 423, 0, 7, 175, 35);
INSERT INTO public.who_data VALUES (41284, 0, 3979, 0, 78, 175, 228);
INSERT INTO public.who_data VALUES (41285, 0, 0, 0, 0, 175, 19);
INSERT INTO public.who_data VALUES (41286, 1193, 38485, 10, 407, 175, 22);
INSERT INTO public.who_data VALUES (41287, 191, 17893, 0, 115, 175, 1);
INSERT INTO public.who_data VALUES (41288, 312, 9861, 3, 183, 175, 21);
INSERT INTO public.who_data VALUES (41289, 59, 3925, 2, 94, 175, 234);
INSERT INTO public.who_data VALUES (41290, 0, 55, 0, 1, 175, 91);
INSERT INTO public.who_data VALUES (41291, 2, 1483, 0, 21, 175, 137);
INSERT INTO public.who_data VALUES (41292, 317, 24094, 2, 421, 175, 201);
INSERT INTO public.who_data VALUES (41293, 0, 0, 0, 0, 175, 171);
INSERT INTO public.who_data VALUES (41294, 0, 9993, 0, 255, 175, 92);
INSERT INTO public.who_data VALUES (41295, 0, 16700, 0, 624, 175, 112);
INSERT INTO public.who_data VALUES (41296, 2, 5385, 0, 60, 175, 62);
INSERT INTO public.who_data VALUES (41297, 0, 20, 0, 0, 175, 69);
INSERT INTO public.who_data VALUES (41298, 336, 93726, 25, 1673, 175, 220);
INSERT INTO public.who_data VALUES (41299, 765, 112906, 33, 6537, 175, 100);
INSERT INTO public.who_data VALUES (41300, 212, 98497, 14, 5376, 175, 187);
INSERT INTO public.who_data VALUES (41301, 122, 25537, 6, 708, 175, 63);
INSERT INTO public.who_data VALUES (41302, 0, 4941, 0, 83, 175, 28);
INSERT INTO public.who_data VALUES (41303, 3, 318, 0, 0, 175, 172);
INSERT INTO public.who_data VALUES (41304, 20, 2363, 0, 64, 175, 17);
INSERT INTO public.who_data VALUES (41305, 49, 4510, -2, 91, 175, 226);
INSERT INTO public.who_data VALUES (41306, 1514, 49654, 12, 770, 175, 236);
INSERT INTO public.who_data VALUES (41307, 0, 13, 0, 0, 175, 76);
INSERT INTO public.who_data VALUES (41308, 0, 411, 0, 0, 175, 30);
INSERT INTO public.who_data VALUES (41309, 0, 28, 0, 2, 175, 128);
INSERT INTO public.who_data VALUES (41310, 7, 8049, 0, 335, 175, 86);
INSERT INTO public.who_data VALUES (41311, 5313, 256829, 5, 30465, 175, 140);
INSERT INTO public.who_data VALUES (41312, 54, 9076, 0, 58, 175, 44);
INSERT INTO public.who_data VALUES (41313, 0, 482, 0, 0, 175, 113);
INSERT INTO public.who_data VALUES (41314, 37, 8505, 0, 53, 175, 29);
INSERT INTO public.who_data VALUES (41315, 0, 2797, 0, 96, 175, 125);
INSERT INTO public.who_data VALUES (41316, 7, 1469, 0, 19, 175, 131);
INSERT INTO public.who_data VALUES (41317, 785, 241771, 6, 9295, 175, 46);
INSERT INTO public.who_data VALUES (41318, 108, 43949, 0, 270, 175, 10);
INSERT INTO public.who_data VALUES (41319, 2, 274, 0, 0, 175, 205);
INSERT INTO public.who_data VALUES (41320, 177, 9977, 1, 260, 175, 50);
INSERT INTO public.who_data VALUES (41321, 0, 14, 0, 0, 175, 20);
INSERT INTO public.who_data VALUES (41322, 0, 24, 0, 0, 175, 13);
INSERT INTO public.who_data VALUES (41323, 0, 935, 0, 15, 175, 148);
INSERT INTO public.who_data VALUES (41324, 60, 1339, 0, 10, 175, 230);
INSERT INTO public.who_data VALUES (41325, 758, 73679, 19, 2728, 175, 190);
INSERT INTO public.who_data VALUES (41326, 0, 252, 0, 13, 175, 188);
INSERT INTO public.who_data VALUES (41327, 0, 9251, 0, 59, 175, 123);
INSERT INTO public.who_data VALUES (41328, 0, 2149, 0, 33, 175, 9);
INSERT INTO public.who_data VALUES (41329, 40, 1180, 3, 35, 175, 102);
INSERT INTO public.who_data VALUES (41330, 13, 8174, 0, 201, 175, 34);
INSERT INTO public.who_data VALUES (41331, 0, 12, 0, 0, 175, 212);
INSERT INTO public.who_data VALUES (41332, 1141, 58810, 24, 1827, 175, 122);
INSERT INTO public.who_data VALUES (41333, 158, 5669, 0, 614, 175, 38);
INSERT INTO public.who_data VALUES (41334, 8, 2100, 0, 10, 175, 130);
INSERT INTO public.who_data VALUES (41335, 78761, 3542733, 948, 63498, 175, 37);
INSERT INTO public.who_data VALUES (41336, 3308, 169195, 92, 7261, 175, 231);
INSERT INTO public.who_data VALUES (41337, 1905, 371816, 110, 21359, 175, 107);
INSERT INTO public.who_data VALUES (41338, 3834, 227446, 77, 6891, 175, 101);
INSERT INTO public.who_data VALUES (41339, 141, 28720, 0, 1777, 175, 132);
INSERT INTO public.who_data VALUES (41340, 0, 336, 0, 24, 175, 176);
INSERT INTO public.who_data VALUES (41341, 1832, 112727, 12, 911, 175, 200);
INSERT INTO public.who_data VALUES (41342, 1444, 266853, 1, 35473, 175, 169);
INSERT INTO public.who_data VALUES (41343, 141, 2011, 0, 19, 175, 225);
INSERT INTO public.who_data VALUES (41344, 841, 67264, 9, 1264, 175, 165);
INSERT INTO public.who_data VALUES (41345, 1, 374, 0, 32, 175, 233);
INSERT INTO public.who_data VALUES (41346, 24, 1961, 0, 15, 175, 215);
INSERT INTO public.who_data VALUES (41347, 167, 131509, 97, 1878, 175, 177);
INSERT INTO public.who_data VALUES (41348, 164, 33794, 5, 572, 175, 183);
INSERT INTO public.who_data VALUES (41349, 0, 0, 0, 0, 175, 203);
INSERT INTO public.who_data VALUES (41350, 115, 13172, 9, 498, 175, 162);
INSERT INTO public.who_data VALUES (41351, 646, 84224, 3, 528, 175, 12);
INSERT INTO public.who_data VALUES (41352, 108, 43820, 1, 1059, 175, 24);
INSERT INTO public.who_data VALUES (41353, 0, 22, 0, 0, 175, 119);
INSERT INTO public.who_data VALUES (41354, 0, 1375, 0, 34, 175, 39);
INSERT INTO public.who_data VALUES (41355, 662, 16275, 7, 155, 175, 26);
INSERT INTO public.who_data VALUES (41356, 15, 1066, 1, 31, 175, 59);
INSERT INTO public.who_data VALUES (41357, 13, 1303, 0, 82, 175, 77);
INSERT INTO public.who_data VALUES (41358, 465, 13423, 1, 232, 175, 134);
INSERT INTO public.who_data VALUES (41359, 1, 108, 0, 1, 175, 4);
INSERT INTO public.who_data VALUES (41360, 35, 2868, 0, 86, 175, 109);
INSERT INTO public.who_data VALUES (41361, 0, 6580, 0, 124, 175, 90);
INSERT INTO public.who_data VALUES (41362, 95, 14791, 3, 190, 175, 61);
INSERT INTO public.who_data VALUES (41363, 5, 5528, 0, 174, 175, 85);
INSERT INTO public.who_data VALUES (41364, 11, 9317, 0, 125, 175, 49);
INSERT INTO public.who_data VALUES (41365, 109, 7578, 0, 28, 175, 208);
INSERT INTO public.who_data VALUES (41366, 21, 2757, 0, 126, 175, 166);
INSERT INTO public.who_data VALUES (41367, 28, 1849, 0, 10, 175, 64);
INSERT INTO public.who_data VALUES (41368, 0, 0, 0, 0, 175, 199);
INSERT INTO public.who_data VALUES (41369, 0, 596, 0, 16, 175, 114);
INSERT INTO public.who_data VALUES (41370, 0, 7012, 0, 158, 175, 60);
INSERT INTO public.who_data VALUES (41371, 0, 346, 0, 10, 175, 68);
INSERT INTO public.who_data VALUES (41372, 0, 3301, 0, 40, 175, 158);
INSERT INTO public.who_data VALUES (41373, 5824, 585738, 552, 63146, 175, 52);
INSERT INTO public.who_data VALUES (41374, 0, 0, 0, 0, 175, 117);
INSERT INTO public.who_data VALUES (41375, 5, 133, 0, 1, 175, 126);
INSERT INTO public.who_data VALUES (41376, 0, 301, 0, 0, 175, 196);
INSERT INTO public.who_data VALUES (41377, 40, 4817, 3, 99, 175, 142);
INSERT INTO public.who_data VALUES (41378, 0, 13, 0, 1, 175, 185);
INSERT INTO public.who_data VALUES (41379, 1567, 60056, 26, 1078, 175, 138);
INSERT INTO public.who_data VALUES (41380, 63, 3760, 1, 22, 175, 181);
INSERT INTO public.who_data VALUES (41381, 93, 749, 0, 6, 175, 178);
INSERT INTO public.who_data VALUES (41382, 210, 7116, 4, 69, 175, 168);
INSERT INTO public.who_data VALUES (41383, 0, 0, 0, 0, 175, 160);
INSERT INTO public.who_data VALUES (41384, 884, 37340, 12, 207, 175, 151);
INSERT INTO public.who_data VALUES (41385, 503, 69554, 4, 6220, 175, 193);
INSERT INTO public.who_data VALUES (41386, 0, 23, 0, 0, 175, 18);
INSERT INTO public.who_data VALUES (41387, 2, 1378, 0, 22, 175, 40);
INSERT INTO public.who_data VALUES (41388, 0, 3659, 0, 137, 175, 218);
INSERT INTO public.who_data VALUES (41389, 2, 1175, 0, 69, 175, 191);
INSERT INTO public.who_data VALUES (41390, 250, 53727, 0, 1011, 175, 156);
INSERT INTO public.who_data VALUES (41391, 0, 0, 0, 0, 175, 135);
INSERT INTO public.who_data VALUES (41392, 2, 56, 0, 2, 175, 88);
INSERT INTO public.who_data VALUES (41393, 130, 14293, 6, 596, 175, 55);
INSERT INTO public.who_data VALUES (41394, 0, 10543, 0, 264, 175, 108);
INSERT INTO public.who_data VALUES (41395, 417, 28527, 2, 164, 175, 48);
INSERT INTO public.who_data VALUES (41396, 0, 85005, 0, 650, 175, 3);
INSERT INTO public.who_data VALUES (41397, 0, 741, 0, 13, 175, 224);
INSERT INTO public.who_data VALUES (41398, 264, 295636, 4, 6288, 175, 110);
INSERT INTO public.who_data VALUES (41399, 0, 0, 0, 0, 175, 106);
INSERT INTO public.who_data VALUES (41400, 642, 90624, 18, 1966, 175, 89);
INSERT INTO public.who_data VALUES (41401, 6, 459, 0, 5, 175, 121);
INSERT INTO public.who_data VALUES (41402, 584, 15874, 15, 280, 175, 163);
INSERT INTO public.who_data VALUES (41403, 7964, 629961, 194, 28471, 175, 70);
INSERT INTO public.who_data VALUES (41404, 3587, 213131, 94, 3419, 175, 174);
INSERT INTO public.who_data VALUES (41405, 0, 0, 0, 0, 175, 175);
INSERT INTO public.who_data VALUES (41406, 759, 66239, 14, 2032, 175, 118);
INSERT INTO public.who_data VALUES (41407, 374, 57448, 3, 1818, 175, 189);
INSERT INTO public.who_data VALUES (41408, 562, 32550, 4, 428, 175, 124);
INSERT INTO public.who_data VALUES (41409, 211, 118407, 0, 196, 175, 192);
INSERT INTO public.who_data VALUES (41410, 299, 19699, 2, 323, 175, 41);
INSERT INTO public.who_data VALUES (41411, 500, 36404, 9, 990, 175, 95);
INSERT INTO public.who_data VALUES (41412, 70, 1557, 1, 3, 175, 74);
INSERT INTO public.who_data VALUES (41413, 1365, 85833, 32, 3539, 175, 11);
INSERT INTO public.who_data VALUES (41414, 4980, 990326, 68, 17093, 175, 87);
INSERT INTO public.who_data VALUES (41415, 101, 3843, 0, 16, 175, 214);
INSERT INTO public.who_data VALUES (41416, 0, 5, 0, 0, 175, 116);
INSERT INTO public.who_data VALUES (41417, 1, 18, 0, 0, 175, 157);
INSERT INTO public.who_data VALUES (41418, 0, 0, 0, 0, 175, 182);
INSERT INTO public.who_data VALUES (41419, 0, 17, 0, 0, 175, 186);
INSERT INTO public.who_data VALUES (41420, 0, 26, 0, 0, 175, 127);
INSERT INTO public.who_data VALUES (41421, 15, 213, 0, 5, 175, 232);
INSERT INTO public.who_data VALUES (41422, 0, 5, 0, 0, 175, 33);
INSERT INTO public.who_data VALUES (41423, 0, 60, 0, 0, 175, 97);
INSERT INTO public.who_data VALUES (41424, 0, 0, 0, 0, 175, 42);
INSERT INTO public.who_data VALUES (41425, 0, 733, 0, 42, 175, 198);
INSERT INTO public.who_data VALUES (41426, 0, 895, 0, 15, 175, 216);
INSERT INTO public.who_data VALUES (41427, 987, 313911, 27, 3840, 175, 164);
INSERT INTO public.who_data VALUES (41428, 72, 13456, 3, 282, 175, 235);
INSERT INTO public.who_data VALUES (41429, 75, 31282, 1, 710, 175, 67);
INSERT INTO public.who_data VALUES (41430, 0, 131, 0, 0, 175, 15);
INSERT INTO public.who_data VALUES (41431, 4, 2019, 0, 70, 175, 180);
INSERT INTO public.who_data VALUES (41432, 51, 56717, 0, 27, 175, 237);
INSERT INTO public.who_data VALUES (41433, 0, 4, 0, 0, 175, 25);
INSERT INTO public.who_data VALUES (41434, 0, 444, 0, 17, 175, 209);
INSERT INTO public.who_data VALUES (41435, 102, 3728, 0, 33, 175, 217);
INSERT INTO public.who_data VALUES (41436, 37, 2835, 0, 133, 175, 79);
INSERT INTO public.who_data VALUES (41437, 0, 0, 0, 0, 175, 143);
INSERT INTO public.who_data VALUES (41438, 35, 3310, 2, 97, 175, 229);
INSERT INTO public.who_data VALUES (41439, 2419, 622551, 238, 13981, 175, 141);
INSERT INTO public.who_data VALUES (41440, 0, 2519, 0, 47, 175, 197);
INSERT INTO public.who_data VALUES (41441, 12198, 488783, 68, 30812, 175, 221);
INSERT INTO public.who_data VALUES (41442, 7, 2995, 0, 12, 175, 150);
INSERT INTO public.who_data VALUES (41443, 0, 13189, 0, 823, 175, 56);
INSERT INTO public.who_data VALUES (41444, 55, 3848, 0, 66, 175, 167);
INSERT INTO public.who_data VALUES (41445, 179, 84058, 1, 5818, 175, 23);
INSERT INTO public.who_data VALUES (41446, 215, 42101, 0, 1761, 175, 222);
INSERT INTO public.who_data VALUES (41447, 65, 2628, 3, 106, 175, 219);
INSERT INTO public.who_data VALUES (41448, 35, 8516, 0, 68, 175, 7);
INSERT INTO public.who_data VALUES (41449, 0, 3411, 0, 58, 175, 161);
INSERT INTO public.who_data VALUES (41450, 1108, 332756, 12, 41498, 175, 149);
INSERT INTO public.who_data VALUES (41451, 0, 27, 0, 0, 175, 6);
INSERT INTO public.who_data VALUES (41452, 49, 1390, 0, 27, 175, 139);
INSERT INTO public.who_data VALUES (41453, 0, 0, 0, 0, 175, 211);
INSERT INTO public.who_data VALUES (41454, 0, 0, 0, 0, 175, 14);
INSERT INTO public.who_data VALUES (41455, 65, 1577, 2, 19, 175, 111);
INSERT INTO public.who_data VALUES (41456, 113, 3685, 0, 76, 175, 207);
INSERT INTO public.who_data VALUES (41457, 8279, 489154, 39, 6284, 175, 66);
INSERT INTO public.who_data VALUES (41458, 0, 0, 0, 0, 175, 173);
INSERT INTO public.who_data VALUES (41459, 8, 490, 0, 3, 175, 145);
INSERT INTO public.who_data VALUES (41460, 0, 0, 0, 0, 175, 65);
INSERT INTO public.who_data VALUES (41461, 0, 2756, 0, 28, 175, 184);
INSERT INTO public.who_data VALUES (41462, 2096, 119074, 35, 2527, 175, 98);
INSERT INTO public.who_data VALUES (41463, 427, 69328, 0, 379, 175, 104);
INSERT INTO public.who_data VALUES (41464, 0, 509, 0, 21, 175, 73);
INSERT INTO public.who_data VALUES (41465, 44002, 5855521, 973, 180689, 175, 8);
INSERT INTO public.who_data VALUES (41466, 43, 1118, 0, 14, 175, 227);
INSERT INTO public.who_data VALUES (41467, 5, 1556, 0, 43, 175, 75);
INSERT INTO public.who_data VALUES (41468, 350, 41303, 6, 311, 175, 45);
INSERT INTO public.who_data VALUES (41469, 0, 0, 0, 0, 175, 133);
INSERT INTO public.who_data VALUES (41470, 981, 43879, 0, 358, 175, 202);
INSERT INTO public.who_data VALUES (41471, 2, 1040, 2, 32, 175, 129);
INSERT INTO public.who_data VALUES (41472, 0, 0, 0, 0, 175, 36);
INSERT INTO public.who_data VALUES (41473, 3, 1950, 0, 564, 175, 51);
INSERT INTO public.who_data VALUES (41474, 123, 11902, 1, 284, 175, 206);
INSERT INTO public.who_data VALUES (41475, 18, 6406, 1, 196, 175, 5);
INSERT INTO public.who_data VALUES (41476, 3, 38229, 0, 1406, 176, 103);
INSERT INTO public.who_data VALUES (41477, 112, 9195, 5, 271, 176, 58);
INSERT INTO public.who_data VALUES (41478, 387, 43403, 8, 1483, 176, 195);
INSERT INTO public.who_data VALUES (41479, 0, 0, 0, 0, 176, 115);
INSERT INTO public.who_data VALUES (41480, 13, 1124, 0, 53, 176, 99);
INSERT INTO public.who_data VALUES (41481, 56, 2471, 1, 106, 176, 153);
INSERT INTO public.who_data VALUES (41482, 0, 3, 0, 0, 176, 93);
INSERT INTO public.who_data VALUES (41483, 0, 94, 0, 3, 176, 84);
INSERT INTO public.who_data VALUES (41484, 10104, 380292, 185, 8129, 176, 78);
INSERT INTO public.who_data VALUES (41485, 175, 42939, 3, 867, 176, 170);
INSERT INTO public.who_data VALUES (41486, 88, 1848, 0, 8, 176, 32);
INSERT INTO public.who_data VALUES (41487, 126, 25448, 11, 583, 176, 155);
INSERT INTO public.who_data VALUES (41488, 382, 26763, 0, 733, 176, 82);
INSERT INTO public.who_data VALUES (41489, 142, 35986, 3, 527, 176, 16);
INSERT INTO public.who_data VALUES (41490, 97, 2020, 2, 50, 176, 72);
INSERT INTO public.who_data VALUES (41491, 357, 51113, 1, 189, 176, 43);
INSERT INTO public.who_data VALUES (41492, 2211, 306794, 47, 4174, 176, 120);
INSERT INTO public.who_data VALUES (41493, 0, 165, 0, 7, 176, 213);
INSERT INTO public.who_data VALUES (41494, 181, 71346, 5, 667, 176, 31);
INSERT INTO public.who_data VALUES (41495, 614, 85185, 4, 9873, 176, 204);
INSERT INTO public.who_data VALUES (41496, 58, 818, 1, 12, 176, 152);
INSERT INTO public.who_data VALUES (41497, 0, 2145, 0, 40, 176, 144);
INSERT INTO public.who_data VALUES (41498, 0, 168, 0, 9, 176, 96);
INSERT INTO public.who_data VALUES (41499, 11, 195, 0, 0, 176, 47);
INSERT INTO public.who_data VALUES (41500, 1035, 113129, 65, 4791, 176, 80);
INSERT INTO public.who_data VALUES (41501, 0, 6, 0, 0, 176, 159);
INSERT INTO public.who_data VALUES (41502, 294, 19212, 9, 585, 176, 27);
INSERT INTO public.who_data VALUES (41503, 0, 1633, 0, 6, 176, 146);
INSERT INTO public.who_data VALUES (41504, 44235, 3761391, 984, 118649, 176, 71);
INSERT INTO public.who_data VALUES (41505, 9, 35, 0, 1, 176, 210);
INSERT INTO public.who_data VALUES (41506, 0, 144, 0, 3, 176, 54);
INSERT INTO public.who_data VALUES (41507, 157, 16065, 9, 603, 176, 147);
INSERT INTO public.who_data VALUES (41508, 5, 1357, 0, 55, 176, 2);
INSERT INTO public.who_data VALUES (41509, 6, 439, 0, 1, 176, 105);
INSERT INTO public.who_data VALUES (41510, 46, 3745, 0, 38, 176, 53);
INSERT INTO public.who_data VALUES (41511, 0, 273, 0, 0, 176, 81);
INSERT INTO public.who_data VALUES (41512, 169, 19142, 1, 411, 176, 223);
INSERT INTO public.who_data VALUES (41513, 431, 126848, 8, 9102, 176, 94);
INSERT INTO public.who_data VALUES (41514, 0, 205, 0, 1, 176, 154);
INSERT INTO public.who_data VALUES (41515, 2, 4700, 0, 61, 176, 83);
INSERT INTO public.who_data VALUES (41516, 4, 1008, 0, 77, 176, 194);
INSERT INTO public.who_data VALUES (41517, 1870, 405972, 60, 11132, 176, 136);
INSERT INTO public.who_data VALUES (41518, 22, 90323, 3, 4725, 176, 179);
INSERT INTO public.who_data VALUES (41519, 9752, 582022, 284, 18468, 176, 57);
INSERT INTO public.who_data VALUES (41520, 5, 422, 0, 7, 176, 35);
INSERT INTO public.who_data VALUES (41521, 0, 3979, 0, 78, 176, 228);
INSERT INTO public.who_data VALUES (41522, 0, 0, 0, 0, 176, 19);
INSERT INTO public.who_data VALUES (41523, 985, 37292, 11, 397, 176, 22);
INSERT INTO public.who_data VALUES (41524, 0, 17702, 0, 115, 176, 1);
INSERT INTO public.who_data VALUES (41525, 357, 9549, 3, 180, 176, 21);
INSERT INTO public.who_data VALUES (41526, 60, 3866, 0, 92, 176, 234);
INSERT INTO public.who_data VALUES (41527, 2, 55, 0, 1, 176, 91);
INSERT INTO public.who_data VALUES (41528, 0, 1481, 0, 21, 176, 137);
INSERT INTO public.who_data VALUES (41529, 477, 23777, 1, 419, 176, 201);
INSERT INTO public.who_data VALUES (41530, 0, 0, 0, 0, 176, 171);
INSERT INTO public.who_data VALUES (41531, 79, 9993, 0, 255, 176, 92);
INSERT INTO public.who_data VALUES (41532, 73, 16700, 0, 624, 176, 112);
INSERT INTO public.who_data VALUES (41533, 0, 5383, 0, 60, 176, 62);
INSERT INTO public.who_data VALUES (41534, 0, 20, 0, 0, 176, 69);
INSERT INTO public.who_data VALUES (41535, 426, 93390, 18, 1648, 176, 220);
INSERT INTO public.who_data VALUES (41536, 922, 112141, 33, 6504, 176, 100);
INSERT INTO public.who_data VALUES (41537, 223, 98285, 20, 5362, 176, 187);
INSERT INTO public.who_data VALUES (41538, 131, 25415, 8, 702, 176, 63);
INSERT INTO public.who_data VALUES (41539, 13, 4941, 0, 83, 176, 28);
INSERT INTO public.who_data VALUES (41540, 0, 315, 0, 0, 176, 172);
INSERT INTO public.who_data VALUES (41541, 18, 2343, 0, 64, 176, 17);
INSERT INTO public.who_data VALUES (41542, 28, 4461, 4, 93, 176, 226);
INSERT INTO public.who_data VALUES (41543, 1733, 48140, 13, 758, 176, 236);
INSERT INTO public.who_data VALUES (41544, 0, 13, 0, 0, 176, 76);
INSERT INTO public.who_data VALUES (41545, 0, 411, 0, 0, 176, 30);
INSERT INTO public.who_data VALUES (41546, 0, 28, 0, 2, 176, 128);
INSERT INTO public.who_data VALUES (41547, 23, 8042, 0, 335, 176, 86);
INSERT INTO public.who_data VALUES (41548, 7262, 251516, 20, 30460, 176, 140);
INSERT INTO public.who_data VALUES (41549, 40, 9022, 0, 58, 176, 44);
INSERT INTO public.who_data VALUES (41550, 35, 482, 0, 0, 176, 113);
INSERT INTO public.who_data VALUES (41551, 0, 8468, 0, 53, 176, 29);
INSERT INTO public.who_data VALUES (41552, 54, 2797, 3, 96, 176, 125);
INSERT INTO public.who_data VALUES (41553, 7, 1462, 0, 19, 176, 131);
INSERT INTO public.who_data VALUES (41554, 1479, 240986, 1, 9289, 176, 46);
INSERT INTO public.who_data VALUES (41555, 0, 43841, 0, 270, 176, 10);
INSERT INTO public.who_data VALUES (41556, 2, 272, 0, 0, 176, 205);
INSERT INTO public.who_data VALUES (41557, 269, 9800, 5, 259, 176, 50);
INSERT INTO public.who_data VALUES (41558, 0, 14, 0, 0, 176, 20);
INSERT INTO public.who_data VALUES (41559, 0, 24, 0, 0, 176, 13);
INSERT INTO public.who_data VALUES (41560, 0, 935, 0, 15, 176, 148);
INSERT INTO public.who_data VALUES (41561, 55, 1279, 0, 10, 176, 230);
INSERT INTO public.who_data VALUES (41562, 1065, 72921, 24, 2709, 176, 190);
INSERT INTO public.who_data VALUES (41563, 0, 252, 0, 13, 176, 188);
INSERT INTO public.who_data VALUES (41564, 38, 9251, 1, 59, 176, 123);
INSERT INTO public.who_data VALUES (41565, 0, 2149, 0, 33, 176, 9);
INSERT INTO public.who_data VALUES (41566, 47, 1140, 1, 32, 176, 102);
INSERT INTO public.who_data VALUES (41567, 10, 8161, 1, 201, 176, 34);
INSERT INTO public.who_data VALUES (41568, 0, 12, 0, 0, 176, 212);
INSERT INTO public.who_data VALUES (41569, 1020, 57669, 56, 1803, 176, 122);
INSERT INTO public.who_data VALUES (41570, 132, 5511, 0, 614, 176, 38);
INSERT INTO public.who_data VALUES (41571, 5, 2092, 0, 10, 176, 130);
INSERT INTO public.who_data VALUES (41572, 76472, 3463972, 1021, 62550, 176, 37);
INSERT INTO public.who_data VALUES (41573, 3003, 165887, 105, 7169, 176, 231);
INSERT INTO public.who_data VALUES (41574, 2115, 369911, 112, 21249, 176, 107);
INSERT INTO public.who_data VALUES (41575, 4177, 223612, 74, 6814, 176, 101);
INSERT INTO public.who_data VALUES (41576, 126, 28579, 0, 1777, 176, 132);
INSERT INTO public.who_data VALUES (41577, 0, 336, 0, 24, 176, 176);
INSERT INTO public.who_data VALUES (41578, 2071, 110895, 11, 899, 176, 200);
INSERT INTO public.who_data VALUES (41579, 1460, 265409, 9, 35472, 176, 169);
INSERT INTO public.who_data VALUES (41580, 66, 1870, 0, 19, 176, 225);
INSERT INTO public.who_data VALUES (41581, 850, 66423, 17, 1255, 176, 165);
INSERT INTO public.who_data VALUES (41582, 1, 373, 0, 32, 176, 233);
INSERT INTO public.who_data VALUES (41583, 68, 1937, 0, 15, 176, 215);
INSERT INTO public.who_data VALUES (41584, 669, 131342, 0, 1781, 176, 177);
INSERT INTO public.who_data VALUES (41585, 241, 33630, 0, 567, 176, 183);
INSERT INTO public.who_data VALUES (41586, 0, 0, 0, 0, 176, 203);
INSERT INTO public.who_data VALUES (41587, 119, 13057, 1, 489, 176, 162);
INSERT INTO public.who_data VALUES (41588, 633, 83578, 3, 525, 176, 12);
INSERT INTO public.who_data VALUES (41589, 125, 43712, 0, 1058, 176, 24);
INSERT INTO public.who_data VALUES (41590, 0, 22, 0, 0, 176, 119);
INSERT INTO public.who_data VALUES (41591, 9, 1375, 0, 34, 176, 39);
INSERT INTO public.who_data VALUES (41592, 676, 15613, 2, 148, 176, 26);
INSERT INTO public.who_data VALUES (41593, 0, 1051, 0, 30, 176, 59);
INSERT INTO public.who_data VALUES (41594, 0, 1290, 0, 82, 176, 77);
INSERT INTO public.who_data VALUES (41595, 329, 12958, 5, 231, 176, 134);
INSERT INTO public.who_data VALUES (41596, 0, 107, 0, 1, 176, 4);
INSERT INTO public.who_data VALUES (41597, 29, 2833, 0, 86, 176, 109);
INSERT INTO public.who_data VALUES (41598, 37, 6580, 0, 124, 176, 90);
INSERT INTO public.who_data VALUES (41599, 104, 14696, 3, 187, 176, 61);
INSERT INTO public.who_data VALUES (41600, 27, 5523, 1, 174, 176, 85);
INSERT INTO public.who_data VALUES (41601, 10, 9306, 0, 125, 176, 49);
INSERT INTO public.who_data VALUES (41602, 140, 7469, 0, 28, 176, 208);
INSERT INTO public.who_data VALUES (41603, 6, 2736, 0, 126, 176, 166);
INSERT INTO public.who_data VALUES (41604, 32, 1821, 0, 10, 176, 64);
INSERT INTO public.who_data VALUES (41605, 0, 0, 0, 0, 176, 199);
INSERT INTO public.who_data VALUES (41606, 0, 596, 0, 16, 176, 114);
INSERT INTO public.who_data VALUES (41607, 35, 7012, 0, 158, 176, 60);
INSERT INTO public.who_data VALUES (41608, 0, 346, 0, 10, 176, 68);
INSERT INTO public.who_data VALUES (41609, 0, 3301, 0, 40, 176, 158);
INSERT INTO public.who_data VALUES (41610, 6026, 579914, 518, 62594, 176, 52);
INSERT INTO public.who_data VALUES (41611, 0, 0, 0, 0, 176, 117);
INSERT INTO public.who_data VALUES (41612, 0, 128, 0, 1, 176, 126);
INSERT INTO public.who_data VALUES (41613, 0, 301, 0, 0, 176, 196);
INSERT INTO public.who_data VALUES (41614, 89, 4777, 4, 96, 176, 142);
INSERT INTO public.who_data VALUES (41615, 0, 13, 0, 1, 176, 185);
INSERT INTO public.who_data VALUES (41616, 1404, 58489, 41, 1052, 176, 138);
INSERT INTO public.who_data VALUES (41617, 46, 3697, 0, 21, 176, 181);
INSERT INTO public.who_data VALUES (41618, 28, 656, 0, 6, 176, 178);
INSERT INTO public.who_data VALUES (41619, 194, 6906, 5, 65, 176, 168);
INSERT INTO public.who_data VALUES (41620, 0, 0, 0, 0, 176, 160);
INSERT INTO public.who_data VALUES (41621, 927, 36456, 12, 195, 176, 151);
INSERT INTO public.who_data VALUES (41622, 501, 69051, 3, 6216, 176, 193);
INSERT INTO public.who_data VALUES (41623, 0, 23, 0, 0, 176, 18);
INSERT INTO public.who_data VALUES (41624, 13, 1376, 0, 22, 176, 40);
INSERT INTO public.who_data VALUES (41625, 0, 3659, 0, 137, 176, 218);
INSERT INTO public.who_data VALUES (41626, 0, 1173, 0, 69, 176, 191);
INSERT INTO public.who_data VALUES (41627, 160, 53477, 0, 1011, 176, 156);
INSERT INTO public.who_data VALUES (41628, 0, 0, 0, 0, 176, 135);
INSERT INTO public.who_data VALUES (41629, 0, 54, 0, 2, 176, 88);
INSERT INTO public.who_data VALUES (41630, 159, 14163, 5, 590, 176, 55);
INSERT INTO public.who_data VALUES (41631, 38, 10543, 0, 264, 176, 108);
INSERT INTO public.who_data VALUES (41632, 724, 28110, 4, 162, 176, 48);
INSERT INTO public.who_data VALUES (41633, 0, 85005, 0, 650, 176, 3);
INSERT INTO public.who_data VALUES (41634, 0, 741, 0, 13, 176, 224);
INSERT INTO public.who_data VALUES (41635, 319, 295372, 1, 6284, 176, 110);
INSERT INTO public.who_data VALUES (41636, 0, 0, 0, 0, 176, 106);
INSERT INTO public.who_data VALUES (41637, 900, 89982, 16, 1948, 176, 89);
INSERT INTO public.who_data VALUES (41638, 29, 453, 1, 5, 176, 121);
INSERT INTO public.who_data VALUES (41639, 418, 15290, 18, 265, 176, 163);
INSERT INTO public.who_data VALUES (41640, 8619, 621997, 153, 28277, 176, 70);
INSERT INTO public.who_data VALUES (41641, 3963, 209544, 91, 3325, 176, 174);
INSERT INTO public.who_data VALUES (41642, 0, 0, 0, 0, 176, 175);
INSERT INTO public.who_data VALUES (41643, 791, 65480, 8, 2018, 176, 118);
INSERT INTO public.who_data VALUES (41644, 401, 57074, 6, 1815, 176, 189);
INSERT INTO public.who_data VALUES (41645, 605, 31988, 12, 424, 176, 124);
INSERT INTO public.who_data VALUES (41646, 208, 118196, 1, 196, 176, 192);
INSERT INTO public.who_data VALUES (41647, 323, 19400, 5, 321, 176, 41);
INSERT INTO public.who_data VALUES (41648, 358, 35904, 4, 981, 176, 95);
INSERT INTO public.who_data VALUES (41649, 77, 1487, 0, 2, 176, 74);
INSERT INTO public.who_data VALUES (41650, 1318, 84468, 48, 3507, 176, 11);
INSERT INTO public.who_data VALUES (41651, 4941, 985346, 111, 17025, 176, 87);
INSERT INTO public.who_data VALUES (41652, 70, 3742, 1, 16, 176, 214);
INSERT INTO public.who_data VALUES (41653, 0, 5, 0, 0, 176, 116);
INSERT INTO public.who_data VALUES (41654, 0, 17, 0, 0, 176, 157);
INSERT INTO public.who_data VALUES (41655, 0, 0, 0, 0, 176, 182);
INSERT INTO public.who_data VALUES (41656, 0, 17, 0, 0, 176, 186);
INSERT INTO public.who_data VALUES (41657, 0, 26, 0, 0, 176, 127);
INSERT INTO public.who_data VALUES (41658, 0, 198, 0, 5, 176, 232);
INSERT INTO public.who_data VALUES (41659, 0, 5, 0, 0, 176, 33);
INSERT INTO public.who_data VALUES (41660, 0, 60, 0, 0, 176, 97);
INSERT INTO public.who_data VALUES (41661, 0, 0, 0, 0, 176, 42);
INSERT INTO public.who_data VALUES (41662, 1, 733, 0, 42, 176, 198);
INSERT INTO public.who_data VALUES (41663, 1, 895, 0, 15, 176, 216);
INSERT INTO public.who_data VALUES (41664, 1069, 312924, 28, 3813, 176, 164);
INSERT INTO public.who_data VALUES (41665, 90, 13384, 2, 279, 176, 235);
INSERT INTO public.who_data VALUES (41666, 108, 31207, 2, 709, 176, 67);
INSERT INTO public.who_data VALUES (41667, 0, 131, 0, 0, 176, 15);
INSERT INTO public.who_data VALUES (41668, 2, 2015, 0, 70, 176, 180);
INSERT INTO public.who_data VALUES (41669, 94, 56666, 0, 27, 176, 237);
INSERT INTO public.who_data VALUES (41670, 0, 4, 0, 0, 176, 25);
INSERT INTO public.who_data VALUES (41671, 2, 444, 0, 17, 176, 209);
INSERT INTO public.who_data VALUES (41672, 90, 3626, 0, 33, 176, 217);
INSERT INTO public.who_data VALUES (41673, 42, 2798, 0, 133, 176, 79);
INSERT INTO public.who_data VALUES (41674, 0, 0, 0, 0, 176, 143);
INSERT INTO public.who_data VALUES (41675, 6, 3275, 2, 95, 176, 229);
INSERT INTO public.who_data VALUES (41676, 4431, 620132, 241, 13743, 176, 141);
INSERT INTO public.who_data VALUES (41677, 1, 2519, 0, 47, 176, 197);
INSERT INTO public.who_data VALUES (41678, 10605, 476585, 45, 30744, 176, 221);
INSERT INTO public.who_data VALUES (41679, 2, 2988, 0, 12, 176, 150);
INSERT INTO public.who_data VALUES (41680, 0, 13189, 0, 823, 176, 56);
INSERT INTO public.who_data VALUES (41681, 69, 3793, 4, 66, 176, 167);
INSERT INTO public.who_data VALUES (41682, 202, 83879, 1, 5817, 176, 23);
INSERT INTO public.who_data VALUES (41683, 377, 41886, 0, 1761, 176, 222);
INSERT INTO public.who_data VALUES (41684, 59, 2563, 3, 103, 176, 219);
INSERT INTO public.who_data VALUES (41685, 32, 8481, 0, 68, 176, 7);
INSERT INTO public.who_data VALUES (41686, 1, 3411, 0, 58, 176, 161);
INSERT INTO public.who_data VALUES (41687, 1276, 331648, 9, 41486, 176, 149);
INSERT INTO public.who_data VALUES (41688, 0, 27, 0, 0, 176, 6);
INSERT INTO public.who_data VALUES (41689, 15, 1341, 0, 27, 176, 139);
INSERT INTO public.who_data VALUES (41690, 0, 0, 0, 0, 176, 211);
INSERT INTO public.who_data VALUES (41691, 0, 0, 0, 0, 176, 14);
INSERT INTO public.who_data VALUES (41692, 83, 1512, 2, 17, 176, 111);
INSERT INTO public.who_data VALUES (41693, 111, 3572, 2, 76, 176, 207);
INSERT INTO public.who_data VALUES (41694, 8247, 480875, 36, 6245, 176, 66);
INSERT INTO public.who_data VALUES (41695, 0, 0, 0, 0, 176, 173);
INSERT INTO public.who_data VALUES (41696, 18, 482, 0, 3, 176, 145);
INSERT INTO public.who_data VALUES (41697, 0, 0, 0, 0, 176, 65);
INSERT INTO public.who_data VALUES (41698, 232, 2756, 2, 28, 176, 184);
INSERT INTO public.who_data VALUES (41699, 2481, 116978, 41, 2492, 176, 98);
INSERT INTO public.who_data VALUES (41700, 390, 68901, 1, 379, 176, 104);
INSERT INTO public.who_data VALUES (41701, 0, 509, 0, 21, 176, 73);
INSERT INTO public.who_data VALUES (41702, 46194, 5811519, 1155, 179716, 176, 8);
INSERT INTO public.who_data VALUES (41703, 23, 1075, 0, 14, 176, 227);
INSERT INTO public.who_data VALUES (41704, 8, 1551, 0, 43, 176, 75);
INSERT INTO public.who_data VALUES (41705, 340, 40953, 5, 305, 176, 45);
INSERT INTO public.who_data VALUES (41706, 0, 0, 0, 0, 176, 133);
INSERT INTO public.who_data VALUES (41707, 933, 42898, 7, 358, 176, 202);
INSERT INTO public.who_data VALUES (41708, 2, 1038, 0, 30, 176, 129);
INSERT INTO public.who_data VALUES (41709, 0, 0, 0, 0, 176, 36);
INSERT INTO public.who_data VALUES (41710, 10, 1947, 1, 564, 176, 51);
INSERT INTO public.who_data VALUES (41711, 178, 11779, 1, 283, 176, 206);
INSERT INTO public.who_data VALUES (41712, 96, 6388, 6, 195, 176, 5);
INSERT INTO public.who_data VALUES (41713, 11, 38226, 1, 1406, 177, 103);
INSERT INTO public.who_data VALUES (41714, 156, 9083, 3, 266, 177, 58);
INSERT INTO public.who_data VALUES (41715, 397, 43016, 10, 1475, 177, 195);
INSERT INTO public.who_data VALUES (41716, 0, 0, 0, 0, 177, 115);
INSERT INTO public.who_data VALUES (41717, 13, 1111, 0, 53, 177, 99);
INSERT INTO public.who_data VALUES (41718, 83, 2415, 2, 105, 177, 153);
INSERT INTO public.who_data VALUES (41719, 0, 3, 0, 0, 177, 93);
INSERT INTO public.who_data VALUES (41720, 0, 94, 0, 3, 177, 84);
INSERT INTO public.who_data VALUES (41721, 10550, 370188, 283, 7944, 177, 78);
INSERT INTO public.who_data VALUES (41722, 181, 42764, 5, 864, 177, 170);
INSERT INTO public.who_data VALUES (41723, 90, 1760, 0, 8, 177, 32);
INSERT INTO public.who_data VALUES (41724, 117, 25322, 23, 572, 177, 155);
INSERT INTO public.who_data VALUES (41725, 227, 26381, 0, 733, 177, 82);
INSERT INTO public.who_data VALUES (41726, 137, 35844, 2, 524, 177, 16);
INSERT INTO public.who_data VALUES (41727, 110, 1923, 0, 48, 177, 72);
INSERT INTO public.who_data VALUES (41728, 363, 50756, 2, 188, 177, 43);
INSERT INTO public.who_data VALUES (41729, 2436, 304583, 45, 4127, 177, 120);
INSERT INTO public.who_data VALUES (41730, 1, 165, 0, 7, 177, 213);
INSERT INTO public.who_data VALUES (41731, 191, 71165, 5, 662, 177, 31);
INSERT INTO public.who_data VALUES (41732, 535, 84571, 3, 9869, 177, 204);
INSERT INTO public.who_data VALUES (41733, 30, 760, 1, 11, 177, 152);
INSERT INTO public.who_data VALUES (41734, 0, 2145, 0, 40, 177, 144);
INSERT INTO public.who_data VALUES (41735, 0, 168, 0, 9, 177, 96);
INSERT INTO public.who_data VALUES (41736, 1, 184, 0, 0, 177, 47);
INSERT INTO public.who_data VALUES (41737, 1095, 112094, 62, 4726, 177, 80);
INSERT INTO public.who_data VALUES (41738, 1, 6, 0, 0, 177, 159);
INSERT INTO public.who_data VALUES (41739, 310, 18918, 11, 576, 177, 27);
INSERT INTO public.who_data VALUES (41740, 0, 1633, 0, 6, 177, 146);
INSERT INTO public.who_data VALUES (41741, 47161, 3717156, 1085, 117665, 177, 71);
INSERT INTO public.who_data VALUES (41742, 0, 26, 0, 1, 177, 210);
INSERT INTO public.who_data VALUES (41743, 0, 144, 0, 3, 177, 54);
INSERT INTO public.who_data VALUES (41744, 157, 15908, 8, 594, 177, 147);
INSERT INTO public.who_data VALUES (41745, 0, 1352, 0, 55, 177, 2);
INSERT INTO public.who_data VALUES (41746, 2, 433, 0, 1, 177, 105);
INSERT INTO public.who_data VALUES (41747, 69, 3699, 0, 38, 177, 53);
INSERT INTO public.who_data VALUES (41748, 0, 273, 0, 0, 177, 81);
INSERT INTO public.who_data VALUES (41749, 0, 18973, 0, 410, 177, 223);
INSERT INTO public.who_data VALUES (41750, 448, 126417, 4, 9094, 177, 94);
INSERT INTO public.who_data VALUES (41751, 0, 205, 0, 1, 177, 154);
INSERT INTO public.who_data VALUES (41752, 0, 4698, 0, 61, 177, 83);
INSERT INTO public.who_data VALUES (41753, 6, 1004, 0, 77, 177, 194);
INSERT INTO public.who_data VALUES (41754, 1737, 404102, 82, 11072, 177, 136);
INSERT INTO public.who_data VALUES (41755, 30, 90301, 2, 4722, 177, 179);
INSERT INTO public.who_data VALUES (41756, 10142, 572270, 295, 18184, 177, 57);
INSERT INTO public.who_data VALUES (41757, 0, 417, 0, 7, 177, 35);
INSERT INTO public.who_data VALUES (41758, 0, 3979, 0, 78, 177, 228);
INSERT INTO public.who_data VALUES (41759, 0, 0, 0, 0, 177, 19);
INSERT INTO public.who_data VALUES (41760, 1002, 36307, 10, 386, 177, 22);
INSERT INTO public.who_data VALUES (41761, 99, 17702, 1, 115, 177, 1);
INSERT INTO public.who_data VALUES (41762, 304, 9192, 2, 177, 177, 21);
INSERT INTO public.who_data VALUES (41763, 47, 3806, 0, 92, 177, 234);
INSERT INTO public.who_data VALUES (41764, 4, 53, 0, 1, 177, 91);
INSERT INTO public.who_data VALUES (41765, 0, 1481, 0, 21, 177, 137);
INSERT INTO public.who_data VALUES (41766, 349, 23300, 0, 418, 177, 201);
INSERT INTO public.who_data VALUES (41767, 0, 0, 0, 0, 177, 171);
INSERT INTO public.who_data VALUES (41768, 3, 9914, 1, 255, 177, 92);
INSERT INTO public.who_data VALUES (41769, 90, 16627, 1, 624, 177, 112);
INSERT INTO public.who_data VALUES (41770, 0, 5383, 0, 60, 177, 62);
INSERT INTO public.who_data VALUES (41771, 0, 20, 0, 0, 177, 69);
INSERT INTO public.who_data VALUES (41772, 407, 92964, 17, 1630, 177, 220);
INSERT INTO public.who_data VALUES (41773, 670, 111219, 61, 6471, 177, 100);
INSERT INTO public.who_data VALUES (41774, 237, 98062, 25, 5342, 177, 187);
INSERT INTO public.who_data VALUES (41775, 144, 25284, 7, 694, 177, 63);
INSERT INTO public.who_data VALUES (41776, 2, 4928, 0, 83, 177, 28);
INSERT INTO public.who_data VALUES (41777, 0, 315, 0, 0, 177, 172);
INSERT INTO public.who_data VALUES (41778, 14, 2325, 0, 64, 177, 17);
INSERT INTO public.who_data VALUES (41779, 46, 4433, 1, 89, 177, 226);
INSERT INTO public.who_data VALUES (41780, 1186, 46407, 20, 745, 177, 236);
INSERT INTO public.who_data VALUES (41781, 0, 13, 0, 0, 177, 76);
INSERT INTO public.who_data VALUES (41782, 0, 411, 0, 0, 177, 30);
INSERT INTO public.who_data VALUES (41783, 0, 28, 0, 2, 177, 128);
INSERT INTO public.who_data VALUES (41784, 17, 8019, 0, 335, 177, 86);
INSERT INTO public.who_data VALUES (41785, 5963, 244254, 29, 30440, 177, 140);
INSERT INTO public.who_data VALUES (41786, 46, 8982, 2, 58, 177, 44);
INSERT INTO public.who_data VALUES (41787, 32, 447, 0, 0, 177, 113);
INSERT INTO public.who_data VALUES (41788, 0, 8468, 0, 53, 177, 29);
INSERT INTO public.who_data VALUES (41789, 35, 2743, 0, 93, 177, 125);
INSERT INTO public.who_data VALUES (41790, 8, 1455, 0, 19, 177, 131);
INSERT INTO public.who_data VALUES (41791, 1571, 239507, 3, 9288, 177, 46);
INSERT INTO public.who_data VALUES (41792, 72, 43841, 0, 270, 177, 10);
INSERT INTO public.who_data VALUES (41793, 14, 270, 0, 0, 177, 205);
INSERT INTO public.who_data VALUES (41794, 251, 9531, 6, 254, 177, 50);
INSERT INTO public.who_data VALUES (41795, 0, 14, 0, 0, 177, 20);
INSERT INTO public.who_data VALUES (41796, 0, 24, 0, 0, 177, 13);
INSERT INTO public.who_data VALUES (41797, 0, 935, 0, 15, 177, 148);
INSERT INTO public.who_data VALUES (41798, 112, 1224, 1, 10, 177, 230);
INSERT INTO public.who_data VALUES (41799, 1142, 71856, 23, 2685, 177, 190);
INSERT INTO public.who_data VALUES (41800, 0, 252, 0, 13, 177, 188);
INSERT INTO public.who_data VALUES (41801, 46, 9213, 1, 58, 177, 123);
INSERT INTO public.who_data VALUES (41802, 0, 2149, 0, 33, 177, 9);
INSERT INTO public.who_data VALUES (41803, 33, 1093, 0, 31, 177, 102);
INSERT INTO public.who_data VALUES (41804, 29, 8151, 3, 200, 177, 34);
INSERT INTO public.who_data VALUES (41805, 0, 12, 0, 0, 177, 212);
INSERT INTO public.who_data VALUES (41806, 772, 56649, 44, 1747, 177, 122);
INSERT INTO public.who_data VALUES (41807, 91, 5379, 0, 614, 177, 38);
INSERT INTO public.who_data VALUES (41808, 5, 2087, 0, 10, 177, 130);
INSERT INTO public.who_data VALUES (41809, 77266, 3387500, 1057, 61529, 177, 37);
INSERT INTO public.who_data VALUES (41810, 2719, 162884, 120, 7064, 177, 231);
INSERT INTO public.who_data VALUES (41811, 2190, 367796, 117, 21137, 177, 107);
INSERT INTO public.who_data VALUES (41812, 3651, 219435, 72, 6740, 177, 101);
INSERT INTO public.who_data VALUES (41813, 90, 28453, 0, 1777, 177, 132);
INSERT INTO public.who_data VALUES (41814, 0, 336, 0, 24, 177, 176);
INSERT INTO public.who_data VALUES (41815, 1953, 108824, 11, 888, 177, 200);
INSERT INTO public.who_data VALUES (41816, 1409, 263949, 5, 35463, 177, 169);
INSERT INTO public.who_data VALUES (41817, 72, 1804, 0, 19, 177, 225);
INSERT INTO public.who_data VALUES (41818, 905, 65573, 12, 1238, 177, 165);
INSERT INTO public.who_data VALUES (41819, 3, 372, 0, 32, 177, 233);
INSERT INTO public.who_data VALUES (41820, 45, 1869, 0, 15, 177, 215);
INSERT INTO public.who_data VALUES (41821, 633, 130673, 0, 1781, 177, 177);
INSERT INTO public.who_data VALUES (41822, 373, 33389, 3, 567, 177, 183);
INSERT INTO public.who_data VALUES (41823, 0, 0, 0, 0, 177, 203);
INSERT INTO public.who_data VALUES (41824, 141, 12938, 6, 488, 177, 162);
INSERT INTO public.who_data VALUES (41825, 674, 82945, 1, 522, 177, 12);
INSERT INTO public.who_data VALUES (41826, 128, 43587, 0, 1058, 177, 24);
INSERT INTO public.who_data VALUES (41827, 0, 22, 0, 0, 177, 119);
INSERT INTO public.who_data VALUES (41828, 6, 1366, 1, 34, 177, 39);
INSERT INTO public.who_data VALUES (41829, 689, 14937, 7, 146, 177, 26);
INSERT INTO public.who_data VALUES (41830, 0, 1051, 0, 30, 177, 59);
INSERT INTO public.who_data VALUES (41831, 0, 1290, 0, 82, 177, 77);
INSERT INTO public.who_data VALUES (41832, 355, 12629, 7, 226, 177, 134);
INSERT INTO public.who_data VALUES (41833, 1, 107, 0, 1, 177, 4);
INSERT INTO public.who_data VALUES (41834, 48, 2804, 1, 86, 177, 109);
INSERT INTO public.who_data VALUES (41835, -1385, 6543, 0, 124, 177, 90);
INSERT INTO public.who_data VALUES (41836, 38, 14592, 3, 184, 177, 61);
INSERT INTO public.who_data VALUES (41837, 22, 5496, 0, 173, 177, 85);
INSERT INTO public.who_data VALUES (41838, 5, 9296, 0, 125, 177, 49);
INSERT INTO public.who_data VALUES (41839, 104, 7329, 0, 28, 177, 208);
INSERT INTO public.who_data VALUES (41840, 13, 2730, 0, 126, 177, 166);
INSERT INTO public.who_data VALUES (41841, 37, 1789, 0, 10, 177, 64);
INSERT INTO public.who_data VALUES (41842, 0, 0, 0, 0, 177, 199);
INSERT INTO public.who_data VALUES (41843, 0, 596, 0, 16, 177, 114);
INSERT INTO public.who_data VALUES (41844, 0, 6977, 0, 158, 177, 60);
INSERT INTO public.who_data VALUES (41845, 0, 346, 0, 10, 177, 68);
INSERT INTO public.who_data VALUES (41846, 64, 3301, 1, 40, 177, 158);
INSERT INTO public.who_data VALUES (41847, 5267, 573888, 626, 62076, 177, 52);
INSERT INTO public.who_data VALUES (41848, 0, 0, 0, 0, 177, 117);
INSERT INTO public.who_data VALUES (41849, 3, 128, 0, 1, 177, 126);
INSERT INTO public.who_data VALUES (41850, 1, 301, 0, 0, 177, 196);
INSERT INTO public.who_data VALUES (41851, 71, 4688, 2, 92, 177, 142);
INSERT INTO public.who_data VALUES (41852, 0, 13, 0, 1, 177, 185);
INSERT INTO public.who_data VALUES (41853, 1221, 57085, 27, 1011, 177, 138);
INSERT INTO public.who_data VALUES (41854, 61, 3651, 0, 21, 177, 181);
INSERT INTO public.who_data VALUES (41855, 48, 628, 0, 6, 177, 178);
INSERT INTO public.who_data VALUES (41856, 281, 6712, 1, 60, 177, 168);
INSERT INTO public.who_data VALUES (41857, 0, 0, 0, 0, 177, 160);
INSERT INTO public.who_data VALUES (41858, 1111, 35529, 8, 183, 177, 151);
INSERT INTO public.who_data VALUES (41859, 508, 68550, 3, 6213, 177, 193);
INSERT INTO public.who_data VALUES (41860, 0, 23, 0, 0, 177, 18);
INSERT INTO public.who_data VALUES (41861, 12, 1363, 0, 22, 177, 40);
INSERT INTO public.who_data VALUES (41862, 0, 3659, 0, 137, 177, 218);
INSERT INTO public.who_data VALUES (41863, 0, 1173, 0, 69, 177, 191);
INSERT INTO public.who_data VALUES (41864, 296, 53317, 1, 1011, 177, 156);
INSERT INTO public.who_data VALUES (41865, 0, 0, 0, 0, 177, 135);
INSERT INTO public.who_data VALUES (41866, 0, 54, 0, 2, 177, 88);
INSERT INTO public.who_data VALUES (41867, 90, 14004, 7, 585, 177, 55);
INSERT INTO public.who_data VALUES (41868, 51, 10505, 0, 264, 177, 108);
INSERT INTO public.who_data VALUES (41869, 622, 27386, 6, 158, 177, 48);
INSERT INTO public.who_data VALUES (41870, 187, 85005, 4, 650, 177, 3);
INSERT INTO public.who_data VALUES (41871, 0, 741, 0, 13, 177, 224);
INSERT INTO public.who_data VALUES (41872, 415, 295053, 9, 6283, 177, 110);
INSERT INTO public.who_data VALUES (41873, 0, 0, 0, 0, 177, 106);
INSERT INTO public.who_data VALUES (41874, 701, 89082, 13, 1932, 177, 89);
INSERT INTO public.who_data VALUES (41875, 5, 424, 0, 4, 177, 121);
INSERT INTO public.who_data VALUES (41876, 644, 14872, 16, 247, 177, 163);
INSERT INTO public.who_data VALUES (41877, 5996, 613378, 123, 28124, 177, 70);
INSERT INTO public.who_data VALUES (41878, 3220, 205581, 97, 3234, 177, 174);
INSERT INTO public.who_data VALUES (41879, 0, 0, 0, 0, 177, 175);
INSERT INTO public.who_data VALUES (41880, 887, 64689, 16, 2010, 177, 118);
INSERT INTO public.who_data VALUES (41881, 399, 56673, 2, 1809, 177, 189);
INSERT INTO public.who_data VALUES (41882, 639, 31383, 8, 412, 177, 124);
INSERT INTO public.who_data VALUES (41883, 246, 117988, 1, 195, 177, 192);
INSERT INTO public.who_data VALUES (41884, 371, 19077, 3, 316, 177, 41);
INSERT INTO public.who_data VALUES (41885, 564, 35546, 10, 977, 177, 95);
INSERT INTO public.who_data VALUES (41886, 38, 1410, 0, 2, 177, 74);
INSERT INTO public.who_data VALUES (41887, 1504, 83150, 38, 3459, 177, 11);
INSERT INTO public.who_data VALUES (41888, 4829, 980405, 110, 16914, 177, 87);
INSERT INTO public.who_data VALUES (41889, 47, 3672, 0, 15, 177, 214);
INSERT INTO public.who_data VALUES (41890, 0, 5, 0, 0, 177, 116);
INSERT INTO public.who_data VALUES (41891, 0, 17, 0, 0, 177, 157);
INSERT INTO public.who_data VALUES (41892, 0, 0, 0, 0, 177, 182);
INSERT INTO public.who_data VALUES (41893, 0, 17, 0, 0, 177, 186);
INSERT INTO public.who_data VALUES (41894, 0, 26, 0, 0, 177, 127);
INSERT INTO public.who_data VALUES (41895, 0, 198, 0, 5, 177, 232);
INSERT INTO public.who_data VALUES (41896, 0, 5, 0, 0, 177, 33);
INSERT INTO public.who_data VALUES (41897, 2, 60, 0, 0, 177, 97);
INSERT INTO public.who_data VALUES (41898, 0, 0, 0, 0, 177, 42);
INSERT INTO public.who_data VALUES (41899, 2, 732, 0, 42, 177, 198);
INSERT INTO public.who_data VALUES (41900, 2, 894, 0, 15, 177, 216);
INSERT INTO public.who_data VALUES (41901, 1019, 311855, 30, 3785, 177, 164);
INSERT INTO public.who_data VALUES (41902, 108, 13294, 2, 277, 177, 235);
INSERT INTO public.who_data VALUES (41903, 125, 31099, 0, 707, 177, 67);
INSERT INTO public.who_data VALUES (41904, 0, 131, 0, 0, 177, 15);
INSERT INTO public.who_data VALUES (41905, 10, 2013, 1, 70, 177, 180);
INSERT INTO public.who_data VALUES (41906, 77, 56572, 0, 27, 177, 237);
INSERT INTO public.who_data VALUES (41907, 0, 4, 0, 0, 177, 25);
INSERT INTO public.who_data VALUES (41908, 24, 442, 0, 17, 177, 209);
INSERT INTO public.who_data VALUES (41909, 84, 3536, 0, 33, 177, 217);
INSERT INTO public.who_data VALUES (41910, 33, 2756, 0, 133, 177, 79);
INSERT INTO public.who_data VALUES (41911, 0, 0, 0, 0, 177, 143);
INSERT INTO public.who_data VALUES (41912, 0, 3269, 0, 93, 177, 229);
INSERT INTO public.who_data VALUES (41913, 0, 615701, 0, 13502, 177, 141);
INSERT INTO public.who_data VALUES (41914, 4, 2518, 0, 47, 177, 197);
INSERT INTO public.who_data VALUES (41915, 10626, 465980, 48, 30699, 177, 221);
INSERT INTO public.who_data VALUES (41916, 2, 2986, 0, 12, 177, 150);
INSERT INTO public.who_data VALUES (41917, 107, 13189, 0, 823, 177, 56);
INSERT INTO public.who_data VALUES (41918, 26, 3724, 1, 62, 177, 167);
INSERT INTO public.who_data VALUES (41919, 244, 83677, 2, 5816, 177, 23);
INSERT INTO public.who_data VALUES (41920, 352, 41509, 2, 1761, 177, 222);
INSERT INTO public.who_data VALUES (41921, 64, 2504, 2, 100, 177, 219);
INSERT INTO public.who_data VALUES (41922, 36, 8449, 1, 68, 177, 7);
INSERT INTO public.who_data VALUES (41923, 6, 3410, 0, 58, 177, 161);
INSERT INTO public.who_data VALUES (41924, 1522, 330372, 12, 41477, 177, 149);
INSERT INTO public.who_data VALUES (41925, 0, 27, 0, 0, 177, 6);
INSERT INTO public.who_data VALUES (41926, 17, 1326, 0, 27, 177, 139);
INSERT INTO public.who_data VALUES (41927, 0, 0, 0, 0, 177, 211);
INSERT INTO public.who_data VALUES (41928, 0, 0, 0, 0, 177, 14);
INSERT INTO public.who_data VALUES (41929, 45, 1429, 0, 15, 177, 111);
INSERT INTO public.who_data VALUES (41930, 138, 3461, 1, 74, 177, 207);
INSERT INTO public.who_data VALUES (41931, 8221, 472628, 26, 6209, 177, 66);
INSERT INTO public.who_data VALUES (41932, 0, 0, 0, 0, 177, 173);
INSERT INTO public.who_data VALUES (41933, 33, 464, 1, 3, 177, 145);
INSERT INTO public.who_data VALUES (41934, 0, 0, 0, 0, 177, 65);
INSERT INTO public.who_data VALUES (41935, 0, 2524, 0, 26, 177, 184);
INSERT INTO public.who_data VALUES (41936, 2438, 114497, 48, 2451, 177, 98);
INSERT INTO public.who_data VALUES (41937, 491, 68511, 0, 378, 177, 104);
INSERT INTO public.who_data VALUES (41938, 0, 509, 0, 21, 177, 73);
INSERT INTO public.who_data VALUES (41939, 45484, 5765325, 1229, 178561, 177, 8);
INSERT INTO public.who_data VALUES (41940, 22, 1052, 0, 14, 177, 227);
INSERT INTO public.who_data VALUES (41941, 7, 1543, 0, 43, 177, 75);
INSERT INTO public.who_data VALUES (41942, 418, 40613, 5, 300, 177, 45);
INSERT INTO public.who_data VALUES (41943, 0, 0, 0, 0, 177, 133);
INSERT INTO public.who_data VALUES (41944, 807, 41965, 8, 351, 177, 202);
INSERT INTO public.who_data VALUES (41945, 2, 1036, 1, 30, 177, 129);
INSERT INTO public.who_data VALUES (41946, 0, 0, 0, 0, 177, 36);
INSERT INTO public.who_data VALUES (41947, 3, 1937, 2, 563, 177, 51);
INSERT INTO public.who_data VALUES (41948, 225, 11601, 0, 282, 177, 206);
INSERT INTO public.who_data VALUES (41949, 41, 6292, 10, 189, 177, 5);
INSERT INTO public.who_data VALUES (41950, 16, 38215, 0, 1405, 178, 103);
INSERT INTO public.who_data VALUES (41951, 168, 8927, 4, 263, 178, 58);
INSERT INTO public.who_data VALUES (41952, 391, 42619, 9, 1465, 178, 195);
INSERT INTO public.who_data VALUES (41953, 0, 0, 0, 0, 178, 115);
INSERT INTO public.who_data VALUES (41954, 38, 1098, 0, 53, 178, 99);
INSERT INTO public.who_data VALUES (41955, 49, 2332, 1, 103, 178, 153);
INSERT INTO public.who_data VALUES (41956, 0, 3, 0, 0, 178, 93);
INSERT INTO public.who_data VALUES (41957, 0, 94, 0, 3, 178, 84);
INSERT INTO public.who_data VALUES (41958, 8771, 359638, 259, 7661, 178, 78);
INSERT INTO public.who_data VALUES (41959, 203, 42583, 3, 859, 178, 170);
INSERT INTO public.who_data VALUES (41960, 42, 1670, 1, 8, 178, 32);
INSERT INTO public.who_data VALUES (41961, 152, 25205, 24, 549, 178, 155);
INSERT INTO public.who_data VALUES (41962, 316, 26154, 0, 733, 178, 82);
INSERT INTO public.who_data VALUES (41963, 148, 35707, 1, 522, 178, 16);
INSERT INTO public.who_data VALUES (41964, 15, 1813, 2, 48, 178, 72);
INSERT INTO public.who_data VALUES (41965, 317, 50393, 0, 186, 178, 43);
INSERT INTO public.who_data VALUES (41966, 2519, 302147, 54, 4082, 178, 120);
INSERT INTO public.who_data VALUES (41967, 3, 164, 0, 7, 178, 213);
INSERT INTO public.who_data VALUES (41968, 247, 70974, 5, 657, 178, 31);
INSERT INTO public.who_data VALUES (41969, 526, 84036, 4, 9866, 178, 204);
INSERT INTO public.who_data VALUES (41970, 17, 730, 0, 10, 178, 152);
INSERT INTO public.who_data VALUES (41971, 0, 2145, 0, 40, 178, 144);
INSERT INTO public.who_data VALUES (41972, 0, 168, 0, 9, 178, 96);
INSERT INTO public.who_data VALUES (41973, 10, 183, 0, 0, 178, 47);
INSERT INTO public.who_data VALUES (41974, 851, 110999, 86, 4664, 178, 80);
INSERT INTO public.who_data VALUES (41975, 0, 5, 0, 0, 178, 159);
INSERT INTO public.who_data VALUES (41976, 284, 18608, 11, 565, 178, 27);
INSERT INTO public.who_data VALUES (41977, 71, 1633, 3, 6, 178, 146);
INSERT INTO public.who_data VALUES (41978, 47134, 3669995, 1271, 116580, 178, 71);
INSERT INTO public.who_data VALUES (41979, 0, 26, 0, 1, 178, 210);
INSERT INTO public.who_data VALUES (41980, 0, 144, 0, 3, 178, 54);
INSERT INTO public.who_data VALUES (41981, 162, 15751, 14, 586, 178, 147);
INSERT INTO public.who_data VALUES (41982, 14, 1352, 0, 55, 178, 2);
INSERT INTO public.who_data VALUES (41983, 1, 431, 0, 1, 178, 105);
INSERT INTO public.who_data VALUES (41984, 62, 3630, 1, 38, 178, 53);
INSERT INTO public.who_data VALUES (41985, 0, 273, 0, 0, 178, 81);
INSERT INTO public.who_data VALUES (41986, 0, 18973, 0, 410, 178, 223);
INSERT INTO public.who_data VALUES (41987, 322, 125969, 7, 9090, 178, 94);
INSERT INTO public.who_data VALUES (41988, 0, 205, 0, 1, 178, 154);
INSERT INTO public.who_data VALUES (41989, 7, 4698, 0, 61, 178, 83);
INSERT INTO public.who_data VALUES (41990, 3, 998, 0, 77, 178, 194);
INSERT INTO public.who_data VALUES (41991, 1380, 402365, 32, 10990, 178, 136);
INSERT INTO public.who_data VALUES (41992, 32, 90271, 1, 4720, 178, 179);
INSERT INTO public.who_data VALUES (41993, 10432, 562128, 277, 17889, 178, 57);
INSERT INTO public.who_data VALUES (41994, 0, 417, 0, 7, 178, 35);
INSERT INTO public.who_data VALUES (41995, 0, 3979, 0, 78, 178, 228);
INSERT INTO public.who_data VALUES (41996, 0, 0, 0, 0, 178, 19);
INSERT INTO public.who_data VALUES (41997, 842, 35305, 14, 376, 178, 22);
INSERT INTO public.who_data VALUES (41998, 41, 17603, 0, 114, 178, 1);
INSERT INTO public.who_data VALUES (41999, 358, 8888, 0, 175, 178, 21);
INSERT INTO public.who_data VALUES (42000, 15, 3759, 1, 92, 178, 234);
INSERT INTO public.who_data VALUES (42001, 2, 49, 0, 1, 178, 91);
INSERT INTO public.who_data VALUES (42002, 7, 1481, 0, 21, 178, 137);
INSERT INTO public.who_data VALUES (42003, 403, 22951, 2, 418, 178, 201);
INSERT INTO public.who_data VALUES (42004, 0, 0, 0, 0, 178, 171);
INSERT INTO public.who_data VALUES (42005, 21, 9911, 3, 254, 178, 92);
INSERT INTO public.who_data VALUES (42006, 57, 16537, 0, 623, 178, 112);
INSERT INTO public.who_data VALUES (42007, 0, 5383, 0, 60, 178, 62);
INSERT INTO public.who_data VALUES (42008, 0, 20, 0, 0, 178, 69);
INSERT INTO public.who_data VALUES (42009, 340, 92557, 28, 1613, 178, 220);
INSERT INTO public.who_data VALUES (42010, 1519, 110549, 42, 6410, 178, 100);
INSERT INTO public.who_data VALUES (42011, 206, 97825, 19, 5317, 178, 187);
INSERT INTO public.who_data VALUES (42012, 154, 25140, 9, 687, 178, 63);
INSERT INTO public.who_data VALUES (42013, 0, 4926, 0, 83, 178, 28);
INSERT INTO public.who_data VALUES (42014, 0, 315, 0, 0, 178, 172);
INSERT INTO public.who_data VALUES (42015, 17, 2311, 0, 64, 178, 17);
INSERT INTO public.who_data VALUES (42016, 60, 4387, 2, 88, 178, 226);
INSERT INTO public.who_data VALUES (42017, 1533, 45221, 16, 725, 178, 236);
INSERT INTO public.who_data VALUES (42018, 0, 13, 0, 0, 178, 76);
INSERT INTO public.who_data VALUES (42019, 0, 411, 0, 0, 178, 30);
INSERT INTO public.who_data VALUES (42020, 0, 28, 0, 2, 178, 128);
INSERT INTO public.who_data VALUES (42021, 21, 8002, 0, 335, 178, 86);
INSERT INTO public.who_data VALUES (42022, 4998, 238291, 0, 30411, 178, 140);
INSERT INTO public.who_data VALUES (42023, 32, 8936, 0, 56, 178, 44);
INSERT INTO public.who_data VALUES (42024, 18, 415, 0, 0, 178, 113);
INSERT INTO public.who_data VALUES (42025, 59, 8468, 0, 53, 178, 29);
INSERT INTO public.who_data VALUES (42026, 22, 2708, 3, 93, 178, 125);
INSERT INTO public.who_data VALUES (42027, 11, 1447, 0, 19, 178, 131);
INSERT INTO public.who_data VALUES (42028, 1507, 237936, 5, 9285, 178, 46);
INSERT INTO public.who_data VALUES (42029, 52, 43769, 0, 270, 178, 10);
INSERT INTO public.who_data VALUES (42030, 8, 256, 0, 0, 178, 205);
INSERT INTO public.who_data VALUES (42031, 293, 9280, 5, 248, 178, 50);
INSERT INTO public.who_data VALUES (42032, 0, 14, 0, 0, 178, 20);
INSERT INTO public.who_data VALUES (42033, 0, 24, 0, 0, 178, 13);
INSERT INTO public.who_data VALUES (42034, 164, 935, 0, 15, 178, 148);
INSERT INTO public.who_data VALUES (42035, 136, 1112, 2, 9, 178, 230);
INSERT INTO public.who_data VALUES (42036, 1063, 70714, 32, 2662, 178, 190);
INSERT INTO public.who_data VALUES (42037, 0, 252, 0, 13, 178, 188);
INSERT INTO public.who_data VALUES (42038, 39, 9167, 0, 57, 178, 123);
INSERT INTO public.who_data VALUES (42039, 0, 2149, 0, 33, 178, 9);
INSERT INTO public.who_data VALUES (42040, 31, 1060, 0, 31, 178, 102);
INSERT INTO public.who_data VALUES (42041, 10, 8122, 1, 197, 178, 34);
INSERT INTO public.who_data VALUES (42042, 0, 12, 0, 0, 178, 212);
INSERT INTO public.who_data VALUES (42043, 398, 55877, 20, 1703, 178, 122);
INSERT INTO public.who_data VALUES (42044, 73, 5288, 0, 614, 178, 38);
INSERT INTO public.who_data VALUES (42045, 5, 2082, 0, 10, 178, 130);
INSERT INTO public.who_data VALUES (42046, 75760, 3310234, 1023, 60472, 178, 37);
INSERT INTO public.who_data VALUES (42047, 2306, 160165, 86, 6944, 178, 231);
INSERT INTO public.who_data VALUES (42048, 2243, 365606, 119, 21020, 178, 107);
INSERT INTO public.who_data VALUES (42049, 3837, 215784, 72, 6668, 178, 101);
INSERT INTO public.who_data VALUES (42050, 162, 28363, 0, 1777, 178, 132);
INSERT INTO public.who_data VALUES (42051, 0, 336, 0, 24, 178, 176);
INSERT INTO public.who_data VALUES (42052, 1956, 106871, 19, 877, 178, 200);
INSERT INTO public.who_data VALUES (42053, 1366, 262540, 13, 35458, 178, 169);
INSERT INTO public.who_data VALUES (42054, 120, 1732, 3, 19, 178, 225);
INSERT INTO public.who_data VALUES (42055, 846, 64668, 17, 1226, 178, 165);
INSERT INTO public.who_data VALUES (42056, 2, 369, 0, 32, 178, 233);
INSERT INTO public.who_data VALUES (42057, 40, 1824, 1, 15, 178, 215);
INSERT INTO public.who_data VALUES (42058, 696, 130040, 0, 1781, 178, 177);
INSERT INTO public.who_data VALUES (42059, 213, 33016, 4, 564, 178, 183);
INSERT INTO public.who_data VALUES (42060, 0, 0, 0, 0, 178, 203);
INSERT INTO public.who_data VALUES (42061, 157, 12797, 4, 482, 178, 162);
INSERT INTO public.who_data VALUES (42062, 698, 82271, 2, 521, 178, 12);
INSERT INTO public.who_data VALUES (42063, 101, 43459, 0, 1058, 178, 24);
INSERT INTO public.who_data VALUES (42064, 0, 22, 0, 0, 178, 119);
INSERT INTO public.who_data VALUES (42065, 18, 1360, 0, 33, 178, 39);
INSERT INTO public.who_data VALUES (42066, 561, 14248, 1, 139, 178, 26);
INSERT INTO public.who_data VALUES (42067, 2, 1051, 0, 30, 178, 59);
INSERT INTO public.who_data VALUES (42068, 0, 1290, 0, 82, 178, 77);
INSERT INTO public.who_data VALUES (42069, 440, 12274, 9, 219, 178, 134);
INSERT INTO public.who_data VALUES (42070, 1, 106, 0, 1, 178, 4);
INSERT INTO public.who_data VALUES (42071, 36, 2756, 0, 85, 178, 109);
INSERT INTO public.who_data VALUES (42072, 90, 7928, 0, 124, 178, 90);
INSERT INTO public.who_data VALUES (42073, 79, 14554, 3, 181, 178, 61);
INSERT INTO public.who_data VALUES (42074, 51, 5474, 3, 173, 178, 85);
INSERT INTO public.who_data VALUES (42075, 6, 9291, 0, 125, 178, 49);
INSERT INTO public.who_data VALUES (42076, 178, 7225, 0, 28, 178, 208);
INSERT INTO public.who_data VALUES (42077, 9, 2717, 1, 126, 178, 166);
INSERT INTO public.who_data VALUES (42078, 46, 1752, 0, 10, 178, 64);
INSERT INTO public.who_data VALUES (42079, 0, 0, 0, 0, 178, 199);
INSERT INTO public.who_data VALUES (42080, 132, 596, 0, 16, 178, 114);
INSERT INTO public.who_data VALUES (42081, 17, 6977, 0, 158, 178, 60);
INSERT INTO public.who_data VALUES (42082, 0, 346, 0, 10, 178, 68);
INSERT INTO public.who_data VALUES (42083, 0, 3237, 0, 39, 178, 158);
INSERT INTO public.who_data VALUES (42084, 4916, 568621, 650, 61450, 178, 52);
INSERT INTO public.who_data VALUES (42085, 0, 0, 0, 0, 178, 117);
INSERT INTO public.who_data VALUES (42086, 1, 125, 0, 1, 178, 126);
INSERT INTO public.who_data VALUES (42087, 2, 300, 0, 0, 178, 196);
INSERT INTO public.who_data VALUES (42088, 94, 4617, 2, 90, 178, 142);
INSERT INTO public.who_data VALUES (42089, 0, 13, 0, 1, 178, 185);
INSERT INTO public.who_data VALUES (42090, 1336, 55864, 29, 984, 178, 138);
INSERT INTO public.who_data VALUES (42091, 82, 3590, 0, 21, 178, 181);
INSERT INTO public.who_data VALUES (42092, 76, 580, 0, 6, 178, 178);
INSERT INTO public.who_data VALUES (42093, 271, 6431, 2, 59, 178, 168);
INSERT INTO public.who_data VALUES (42094, 0, 0, 0, 0, 178, 160);
INSERT INTO public.who_data VALUES (42095, 885, 34418, 11, 175, 178, 151);
INSERT INTO public.who_data VALUES (42096, 572, 68042, 8, 6210, 178, 193);
INSERT INTO public.who_data VALUES (42097, 0, 23, 0, 0, 178, 18);
INSERT INTO public.who_data VALUES (42098, 7, 1351, 0, 22, 178, 40);
INSERT INTO public.who_data VALUES (42099, 0, 3659, 0, 137, 178, 218);
INSERT INTO public.who_data VALUES (42100, 0, 1173, 0, 69, 178, 191);
INSERT INTO public.who_data VALUES (42101, 221, 53021, 3, 1010, 178, 156);
INSERT INTO public.who_data VALUES (42102, 0, 0, 0, 0, 178, 135);
INSERT INTO public.who_data VALUES (42103, 0, 54, 0, 2, 178, 88);
INSERT INTO public.who_data VALUES (42104, 115, 13914, 5, 578, 178, 55);
INSERT INTO public.who_data VALUES (42105, 59, 10454, 0, 264, 178, 108);
INSERT INTO public.who_data VALUES (42106, 602, 26764, 2, 152, 178, 48);
INSERT INTO public.who_data VALUES (42107, 166, 84818, 4, 646, 178, 3);
INSERT INTO public.who_data VALUES (42108, 0, 741, 0, 13, 178, 224);
INSERT INTO public.who_data VALUES (42109, 445, 294638, 7, 6274, 178, 110);
INSERT INTO public.who_data VALUES (42110, 0, 0, 0, 0, 178, 106);
INSERT INTO public.who_data VALUES (42111, 896, 88381, 13, 1919, 178, 89);
INSERT INTO public.who_data VALUES (42112, 0, 419, 0, 4, 178, 121);
INSERT INTO public.who_data VALUES (42113, 626, 14228, 12, 231, 178, 163);
INSERT INTO public.who_data VALUES (42114, 6944, 607382, 188, 28001, 178, 70);
INSERT INTO public.who_data VALUES (42115, 5197, 202361, 99, 3137, 178, 174);
INSERT INTO public.who_data VALUES (42116, 0, 0, 0, 0, 178, 175);
INSERT INTO public.who_data VALUES (42117, 729, 63802, 17, 1994, 178, 118);
INSERT INTO public.who_data VALUES (42118, 362, 56274, 2, 1807, 178, 189);
INSERT INTO public.who_data VALUES (42119, 24, 30744, 9, 404, 178, 124);
INSERT INTO public.who_data VALUES (42120, 244, 117742, 0, 194, 178, 192);
INSERT INTO public.who_data VALUES (42121, 441, 18706, 1, 313, 178, 41);
INSERT INTO public.who_data VALUES (42122, 624, 34982, 7, 967, 178, 95);
INSERT INTO public.who_data VALUES (42123, 80, 1372, 0, 2, 178, 74);
INSERT INTO public.who_data VALUES (42124, 1256, 81646, 54, 3421, 178, 11);
INSERT INTO public.who_data VALUES (42125, 4711, 975576, 121, 16804, 178, 87);
INSERT INTO public.who_data VALUES (42126, 88, 3625, 0, 15, 178, 214);
INSERT INTO public.who_data VALUES (42127, 0, 5, 0, 0, 178, 116);
INSERT INTO public.who_data VALUES (42128, 1, 17, 0, 0, 178, 157);
INSERT INTO public.who_data VALUES (42129, 0, 0, 0, 0, 178, 182);
INSERT INTO public.who_data VALUES (42130, 0, 17, 0, 0, 178, 186);
INSERT INTO public.who_data VALUES (42131, 0, 26, 0, 0, 178, 127);
INSERT INTO public.who_data VALUES (42132, 22, 198, 0, 5, 178, 232);
INSERT INTO public.who_data VALUES (42133, 0, 5, 0, 0, 178, 33);
INSERT INTO public.who_data VALUES (42134, 0, 58, 0, 0, 178, 97);
INSERT INTO public.who_data VALUES (42135, 0, 0, 0, 0, 178, 42);
INSERT INTO public.who_data VALUES (42136, 0, 730, 0, 42, 178, 198);
INSERT INTO public.who_data VALUES (42137, 0, 892, 0, 15, 178, 216);
INSERT INTO public.who_data VALUES (42138, 1068, 310836, 33, 3755, 178, 164);
INSERT INTO public.who_data VALUES (42139, 130, 13186, 1, 275, 178, 235);
INSERT INTO public.who_data VALUES (42140, 154, 30974, 2, 707, 178, 67);
INSERT INTO public.who_data VALUES (42141, 0, 131, 0, 0, 178, 15);
INSERT INTO public.who_data VALUES (42142, 2, 2003, 0, 69, 178, 180);
INSERT INTO public.who_data VALUES (42143, 60, 56495, 0, 27, 178, 237);
INSERT INTO public.who_data VALUES (42144, 1, 4, 0, 0, 178, 25);
INSERT INTO public.who_data VALUES (42145, 10, 418, 0, 17, 178, 209);
INSERT INTO public.who_data VALUES (42146, 28, 3452, 0, 33, 178, 217);
INSERT INTO public.who_data VALUES (42147, 36, 2723, 0, 133, 178, 79);
INSERT INTO public.who_data VALUES (42148, 0, 0, 0, 0, 178, 143);
INSERT INTO public.who_data VALUES (42149, 0, 3269, 0, 93, 178, 229);
INSERT INTO public.who_data VALUES (42150, 2684, 615701, 194, 13502, 178, 141);
INSERT INTO public.who_data VALUES (42151, 4, 2514, 0, 47, 178, 197);
INSERT INTO public.who_data VALUES (42152, 10588, 455354, 41, 30651, 178, 221);
INSERT INTO public.who_data VALUES (42153, 25, 2984, 0, 12, 178, 150);
INSERT INTO public.who_data VALUES (42154, 37, 13082, 0, 823, 178, 56);
INSERT INTO public.who_data VALUES (42155, 66, 3698, 1, 61, 178, 167);
INSERT INTO public.who_data VALUES (42156, 222, 83433, 1, 5814, 178, 23);
INSERT INTO public.who_data VALUES (42157, 362, 41157, 0, 1759, 178, 222);
INSERT INTO public.who_data VALUES (42158, 75, 2440, 3, 98, 178, 219);
INSERT INTO public.who_data VALUES (42159, 34, 8413, 0, 67, 178, 7);
INSERT INTO public.who_data VALUES (42160, 2, 3404, 0, 58, 178, 161);
INSERT INTO public.who_data VALUES (42161, 1048, 328850, 16, 41465, 178, 149);
INSERT INTO public.who_data VALUES (42162, 1, 27, 0, 0, 178, 6);
INSERT INTO public.who_data VALUES (42163, 0, 1309, 0, 27, 178, 139);
INSERT INTO public.who_data VALUES (42164, 0, 0, 0, 0, 178, 211);
INSERT INTO public.who_data VALUES (42165, 0, 0, 0, 0, 178, 14);
INSERT INTO public.who_data VALUES (42166, 200, 1384, 0, 15, 178, 111);
INSERT INTO public.who_data VALUES (42167, 117, 3323, 2, 73, 178, 207);
INSERT INTO public.who_data VALUES (42168, 8043, 464407, 20, 6183, 178, 66);
INSERT INTO public.who_data VALUES (42169, 0, 0, 0, 0, 178, 173);
INSERT INTO public.who_data VALUES (42170, 48, 431, 0, 2, 178, 145);
INSERT INTO public.who_data VALUES (42171, 0, 0, 0, 0, 178, 65);
INSERT INTO public.who_data VALUES (42172, 98, 2524, 1, 26, 178, 184);
INSERT INTO public.who_data VALUES (42173, 1974, 112059, 49, 2403, 178, 98);
INSERT INTO public.who_data VALUES (42174, 399, 68020, 1, 378, 178, 104);
INSERT INTO public.who_data VALUES (42175, 0, 509, 0, 21, 178, 73);
INSERT INTO public.who_data VALUES (42176, 37030, 5719841, 1131, 177332, 178, 8);
INSERT INTO public.who_data VALUES (42177, 32, 1030, 2, 14, 178, 227);
INSERT INTO public.who_data VALUES (42178, 3, 1536, 1, 43, 178, 75);
INSERT INTO public.who_data VALUES (42179, 405, 40195, 6, 295, 178, 45);
INSERT INTO public.who_data VALUES (42180, 0, 0, 0, 0, 178, 133);
INSERT INTO public.who_data VALUES (42181, 820, 41158, 6, 343, 178, 202);
INSERT INTO public.who_data VALUES (42182, 5, 1034, 2, 29, 178, 129);
INSERT INTO public.who_data VALUES (42183, 0, 0, 0, 0, 178, 36);
INSERT INTO public.who_data VALUES (42184, 6, 1934, 3, 561, 178, 51);
INSERT INTO public.who_data VALUES (42185, 228, 11376, 2, 282, 178, 206);
INSERT INTO public.who_data VALUES (42186, 55, 6251, 13, 179, 178, 5);
INSERT INTO public.who_data VALUES (42187, 43, 38199, 4, 1405, 179, 103);
INSERT INTO public.who_data VALUES (42188, 154, 8759, 5, 259, 179, 58);
INSERT INTO public.who_data VALUES (42189, 370, 42228, 10, 1456, 179, 195);
INSERT INTO public.who_data VALUES (42190, 0, 0, 0, 0, 179, 115);
INSERT INTO public.who_data VALUES (42191, 0, 1060, 0, 53, 179, 99);
INSERT INTO public.who_data VALUES (42192, 61, 2283, 2, 102, 179, 153);
INSERT INTO public.who_data VALUES (42193, 0, 3, 0, 0, 179, 93);
INSERT INTO public.who_data VALUES (42194, 0, 94, 0, 3, 179, 84);
INSERT INTO public.who_data VALUES (42195, 8713, 350867, 323, 7402, 179, 78);
INSERT INTO public.who_data VALUES (42196, 131, 42380, 3, 856, 179, 170);
INSERT INTO public.who_data VALUES (42197, 60, 1628, 0, 7, 179, 32);
INSERT INTO public.who_data VALUES (42198, 137, 25053, 8, 525, 179, 155);
INSERT INTO public.who_data VALUES (42199, 291, 25838, 0, 733, 179, 82);
INSERT INTO public.who_data VALUES (42200, 133, 35559, 2, 521, 179, 16);
INSERT INTO public.who_data VALUES (42201, 33, 1798, 17, 46, 179, 72);
INSERT INTO public.who_data VALUES (42202, 357, 50076, 1, 186, 179, 43);
INSERT INTO public.who_data VALUES (42203, 2545, 299628, 45, 4028, 179, 120);
INSERT INTO public.who_data VALUES (42204, 0, 161, 0, 7, 179, 213);
INSERT INTO public.who_data VALUES (42205, 82, 70727, 6, 652, 179, 31);
INSERT INTO public.who_data VALUES (42206, 527, 83510, 5, 9862, 179, 204);
INSERT INTO public.who_data VALUES (42207, 27, 713, 4, 10, 179, 152);
INSERT INTO public.who_data VALUES (42208, 30, 2145, 1, 40, 179, 144);
INSERT INTO public.who_data VALUES (42209, 1, 168, 0, 9, 179, 96);
INSERT INTO public.who_data VALUES (42210, 17, 173, 0, 0, 179, 47);
INSERT INTO public.who_data VALUES (42211, 999, 110148, 69, 4578, 179, 80);
INSERT INTO public.who_data VALUES (42212, 0, 5, 0, 0, 179, 159);
INSERT INTO public.who_data VALUES (42213, 297, 18324, 14, 554, 179, 27);
INSERT INTO public.who_data VALUES (42214, 0, 1562, 0, 3, 179, 146);
INSERT INTO public.who_data VALUES (42215, 17078, 3622861, 565, 115309, 179, 71);
INSERT INTO public.who_data VALUES (42216, 5, 26, 0, 1, 179, 210);
INSERT INTO public.who_data VALUES (42217, 1, 144, 0, 3, 179, 54);
INSERT INTO public.who_data VALUES (42218, 203, 15589, 9, 572, 179, 147);
INSERT INTO public.who_data VALUES (42219, 10, 1338, 0, 55, 179, 2);
INSERT INTO public.who_data VALUES (42220, 0, 430, 0, 1, 179, 105);
INSERT INTO public.who_data VALUES (42221, 36, 3568, 0, 37, 179, 53);
INSERT INTO public.who_data VALUES (42222, 0, 273, 0, 0, 179, 81);
INSERT INTO public.who_data VALUES (42223, 0, 18973, 0, 410, 179, 223);
INSERT INTO public.who_data VALUES (42224, 751, 125647, 10, 9083, 179, 94);
INSERT INTO public.who_data VALUES (42225, 0, 205, 0, 1, 179, 154);
INSERT INTO public.who_data VALUES (42226, 12, 4691, 0, 61, 179, 83);
INSERT INTO public.who_data VALUES (42227, 8, 995, 1, 77, 179, 194);
INSERT INTO public.who_data VALUES (42228, 1417, 400985, 42, 10958, 179, 136);
INSERT INTO public.who_data VALUES (42229, 34, 90239, 1, 4719, 179, 179);
INSERT INTO public.who_data VALUES (42230, 10549, 551696, 296, 17612, 179, 57);
INSERT INTO public.who_data VALUES (42231, 0, 417, 0, 7, 179, 35);
INSERT INTO public.who_data VALUES (42232, 0, 3979, 0, 78, 179, 228);
INSERT INTO public.who_data VALUES (42233, 0, 0, 0, 0, 179, 19);
INSERT INTO public.who_data VALUES (42234, 643, 34463, 7, 362, 179, 22);
INSERT INTO public.who_data VALUES (42235, 56, 17562, 0, 114, 179, 1);
INSERT INTO public.who_data VALUES (42236, 219, 8530, 2, 175, 179, 21);
INSERT INTO public.who_data VALUES (42237, 27, 3744, 0, 91, 179, 234);
INSERT INTO public.who_data VALUES (42238, 8, 47, 0, 1, 179, 91);
INSERT INTO public.who_data VALUES (42239, 23, 1474, 0, 21, 179, 137);
INSERT INTO public.who_data VALUES (42240, 367, 22548, 1, 416, 179, 201);
INSERT INTO public.who_data VALUES (42241, 0, 0, 0, 0, 179, 171);
INSERT INTO public.who_data VALUES (42242, 49, 9890, 0, 251, 179, 92);
INSERT INTO public.who_data VALUES (42243, 83, 16480, 0, 623, 179, 112);
INSERT INTO public.who_data VALUES (42244, 0, 5383, 0, 60, 179, 62);
INSERT INTO public.who_data VALUES (42245, 0, 20, 0, 0, 179, 69);
INSERT INTO public.who_data VALUES (42246, 609, 92217, 12, 1585, 179, 220);
INSERT INTO public.who_data VALUES (42247, 741, 109030, 46, 6368, 179, 100);
INSERT INTO public.who_data VALUES (42248, 141, 97619, 18, 5298, 179, 187);
INSERT INTO public.who_data VALUES (42249, 175, 24986, 9, 678, 179, 63);
INSERT INTO public.who_data VALUES (42250, 0, 4926, 0, 83, 179, 28);
INSERT INTO public.who_data VALUES (42251, 9, 315, 0, 0, 179, 172);
INSERT INTO public.who_data VALUES (42252, 19, 2294, 0, 64, 179, 17);
INSERT INTO public.who_data VALUES (42253, 23, 4327, 1, 86, 179, 226);
INSERT INTO public.who_data VALUES (42254, 1545, 43688, 17, 709, 179, 236);
INSERT INTO public.who_data VALUES (42255, 0, 13, 0, 0, 179, 76);
INSERT INTO public.who_data VALUES (42256, 1, 411, 0, 0, 179, 30);
INSERT INTO public.who_data VALUES (42257, 0, 28, 1, 2, 179, 128);
INSERT INTO public.who_data VALUES (42258, 43, 7981, 0, 335, 179, 86);
INSERT INTO public.who_data VALUES (42259, 3227, 233293, 16, 30411, 179, 140);
INSERT INTO public.who_data VALUES (42260, 29, 8904, 0, 56, 179, 44);
INSERT INTO public.who_data VALUES (42261, 25, 397, 0, 0, 179, 113);
INSERT INTO public.who_data VALUES (42262, 0, 8409, 0, 53, 179, 29);
INSERT INTO public.who_data VALUES (42263, 101, 2686, 3, 90, 179, 125);
INSERT INTO public.who_data VALUES (42264, 7, 1436, 0, 19, 179, 131);
INSERT INTO public.who_data VALUES (42265, 1576, 236429, 3, 9280, 179, 46);
INSERT INTO public.who_data VALUES (42266, 95, 43717, 7, 270, 179, 10);
INSERT INTO public.who_data VALUES (42267, 2, 248, 0, 0, 179, 205);
INSERT INTO public.who_data VALUES (42268, 168, 8987, 1, 243, 179, 50);
INSERT INTO public.who_data VALUES (42269, 0, 14, 0, 0, 179, 20);
INSERT INTO public.who_data VALUES (42270, 0, 24, 0, 0, 179, 13);
INSERT INTO public.who_data VALUES (42271, 0, 771, 0, 15, 179, 148);
INSERT INTO public.who_data VALUES (42272, 77, 976, 0, 7, 179, 230);
INSERT INTO public.who_data VALUES (42273, 1118, 69651, 19, 2630, 179, 190);
INSERT INTO public.who_data VALUES (42274, 0, 252, 0, 13, 179, 188);
INSERT INTO public.who_data VALUES (42275, 52, 9128, 2, 57, 179, 123);
INSERT INTO public.who_data VALUES (42276, 0, 2149, 0, 33, 179, 9);
INSERT INTO public.who_data VALUES (42277, 74, 1029, 0, 31, 179, 102);
INSERT INTO public.who_data VALUES (42278, 2, 8112, 0, 196, 179, 34);
INSERT INTO public.who_data VALUES (42279, 0, 12, 0, 0, 179, 212);
INSERT INTO public.who_data VALUES (42280, 968, 55479, 29, 1683, 179, 122);
INSERT INTO public.who_data VALUES (42281, 24, 5215, 1, 614, 179, 38);
INSERT INTO public.who_data VALUES (42282, 4, 2077, 0, 10, 179, 130);
INSERT INTO public.who_data VALUES (42283, 67151, 3234474, 1059, 59449, 179, 37);
INSERT INTO public.who_data VALUES (42284, 2447, 157859, 99, 6858, 179, 231);
INSERT INTO public.who_data VALUES (42285, 2213, 363363, 125, 20901, 179, 107);
INSERT INTO public.who_data VALUES (42286, 3962, 211947, 77, 6596, 179, 101);
INSERT INTO public.who_data VALUES (42287, 85, 28201, 0, 1777, 179, 132);
INSERT INTO public.who_data VALUES (42288, 0, 336, 0, 24, 179, 176);
INSERT INTO public.who_data VALUES (42289, 1900, 104915, 16, 858, 179, 200);
INSERT INTO public.who_data VALUES (42290, 876, 261174, 4, 35445, 179, 169);
INSERT INTO public.who_data VALUES (42291, 83, 1612, 0, 16, 179, 225);
INSERT INTO public.who_data VALUES (42292, 701, 63822, 13, 1209, 179, 165);
INSERT INTO public.who_data VALUES (42293, 3, 367, 0, 32, 179, 233);
INSERT INTO public.who_data VALUES (42294, 77, 1784, 0, 14, 179, 215);
INSERT INTO public.who_data VALUES (42295, 726, 129344, 0, 1781, 179, 177);
INSERT INTO public.who_data VALUES (42296, 246, 32803, 6, 560, 179, 183);
INSERT INTO public.who_data VALUES (42297, 0, 0, 0, 0, 179, 203);
INSERT INTO public.who_data VALUES (42298, 136, 12640, 8, 478, 179, 162);
INSERT INTO public.who_data VALUES (42299, 613, 81573, 1, 519, 179, 12);
INSERT INTO public.who_data VALUES (42300, 113, 43358, 1, 1058, 179, 24);
INSERT INTO public.who_data VALUES (42301, 0, 22, 0, 0, 179, 119);
INSERT INTO public.who_data VALUES (42302, 5, 1342, 0, 33, 179, 39);
INSERT INTO public.who_data VALUES (42303, 532, 13687, 12, 138, 179, 26);
INSERT INTO public.who_data VALUES (42304, 0, 1049, 0, 30, 179, 59);
INSERT INTO public.who_data VALUES (42305, 4, 1290, 0, 82, 179, 77);
INSERT INTO public.who_data VALUES (42306, 553, 11834, 7, 210, 179, 134);
INSERT INTO public.who_data VALUES (42307, 2, 105, 0, 1, 179, 4);
INSERT INTO public.who_data VALUES (42308, 32, 2720, 0, 85, 179, 109);
INSERT INTO public.who_data VALUES (42309, 44, 7838, 0, 124, 179, 90);
INSERT INTO public.who_data VALUES (42310, 73, 14475, 0, 178, 179, 61);
INSERT INTO public.who_data VALUES (42311, 4, 5423, 1, 170, 179, 85);
INSERT INTO public.who_data VALUES (42312, 11, 9285, 0, 125, 179, 49);
INSERT INTO public.who_data VALUES (42313, 135, 7047, 1, 28, 179, 208);
INSERT INTO public.who_data VALUES (42314, 0, 2708, 0, 125, 179, 166);
INSERT INTO public.who_data VALUES (42315, 38, 1706, 0, 10, 179, 64);
INSERT INTO public.who_data VALUES (42316, 0, 0, 0, 0, 179, 199);
INSERT INTO public.who_data VALUES (42317, 0, 464, 0, 16, 179, 114);
INSERT INTO public.who_data VALUES (42318, 32, 6960, 0, 158, 179, 60);
INSERT INTO public.who_data VALUES (42319, 0, 346, 0, 10, 179, 68);
INSERT INTO public.who_data VALUES (42320, 0, 3237, 0, 39, 179, 158);
INSERT INTO public.who_data VALUES (42321, 3541, 563705, 320, 60800, 179, 52);
INSERT INTO public.who_data VALUES (42322, 0, 0, 0, 0, 179, 117);
INSERT INTO public.who_data VALUES (42323, 6, 124, 0, 1, 179, 126);
INSERT INTO public.who_data VALUES (42324, 0, 298, 0, 0, 179, 196);
INSERT INTO public.who_data VALUES (42325, 59, 4523, 0, 88, 179, 142);
INSERT INTO public.who_data VALUES (42326, 0, 13, 0, 1, 179, 185);
INSERT INTO public.who_data VALUES (42327, 1276, 54528, 35, 955, 179, 138);
INSERT INTO public.who_data VALUES (42328, 68, 3508, 0, 21, 179, 181);
INSERT INTO public.who_data VALUES (42329, 30, 504, 0, 6, 179, 178);
INSERT INTO public.who_data VALUES (42330, 130, 6160, 1, 57, 179, 168);
INSERT INTO public.who_data VALUES (42331, 0, 0, 0, 0, 179, 160);
INSERT INTO public.who_data VALUES (42332, 855, 33533, 7, 164, 179, 151);
INSERT INTO public.who_data VALUES (42333, 416, 67470, 5, 6202, 179, 193);
INSERT INTO public.who_data VALUES (42334, 0, 23, 0, 0, 179, 18);
INSERT INTO public.who_data VALUES (42335, 5, 1344, 0, 22, 179, 40);
INSERT INTO public.who_data VALUES (42336, 119, 3659, 4, 137, 179, 218);
INSERT INTO public.who_data VALUES (42337, 1, 1173, 0, 69, 179, 191);
INSERT INTO public.who_data VALUES (42338, 252, 52800, 3, 1007, 179, 156);
INSERT INTO public.who_data VALUES (42339, 0, 0, 0, 0, 179, 135);
INSERT INTO public.who_data VALUES (42340, 0, 54, 0, 2, 179, 88);
INSERT INTO public.who_data VALUES (42341, 126, 13799, 5, 573, 179, 55);
INSERT INTO public.who_data VALUES (42342, 72, 10395, 0, 264, 179, 108);
INSERT INTO public.who_data VALUES (42343, 585, 26162, 0, 150, 179, 48);
INSERT INTO public.who_data VALUES (42344, 143, 84652, 5, 642, 179, 3);
INSERT INTO public.who_data VALUES (42345, 0, 741, 0, 13, 179, 224);
INSERT INTO public.who_data VALUES (42346, 482, 294193, 12, 6267, 179, 110);
INSERT INTO public.who_data VALUES (42347, 0, 0, 0, 0, 179, 106);
INSERT INTO public.who_data VALUES (42348, 585, 87485, 14, 1906, 179, 89);
INSERT INTO public.who_data VALUES (42349, 18, 419, 0, 4, 179, 121);
INSERT INTO public.who_data VALUES (42350, 369, 13602, 14, 219, 179, 163);
INSERT INTO public.who_data VALUES (42351, 6112, 600438, 150, 27813, 179, 70);
INSERT INTO public.who_data VALUES (42352, 2912, 197164, 28, 3038, 179, 174);
INSERT INTO public.who_data VALUES (42353, 0, 0, 0, 0, 179, 175);
INSERT INTO public.who_data VALUES (42354, 763, 63073, 17, 1977, 179, 118);
INSERT INTO public.who_data VALUES (42355, 192, 55912, 4, 1805, 179, 189);
INSERT INTO public.who_data VALUES (42356, 102, 30720, 5, 395, 179, 124);
INSERT INTO public.who_data VALUES (42357, 232, 117498, 0, 194, 179, 192);
INSERT INTO public.who_data VALUES (42358, 320, 18265, 2, 312, 179, 41);
INSERT INTO public.who_data VALUES (42359, 530, 34358, 15, 960, 179, 95);
INSERT INTO public.who_data VALUES (42360, 48, 1292, 0, 2, 179, 74);
INSERT INTO public.who_data VALUES (42361, 1060, 80390, 58, 3367, 179, 11);
INSERT INTO public.who_data VALUES (42362, 4676, 970865, 115, 16683, 179, 87);
INSERT INTO public.who_data VALUES (42363, 231, 3537, 1, 15, 179, 214);
INSERT INTO public.who_data VALUES (42364, 0, 5, 0, 0, 179, 116);
INSERT INTO public.who_data VALUES (42365, 0, 16, 0, 0, 179, 157);
INSERT INTO public.who_data VALUES (42366, 0, 0, 0, 0, 179, 182);
INSERT INTO public.who_data VALUES (42367, 0, 17, 0, 0, 179, 186);
INSERT INTO public.who_data VALUES (42368, 0, 26, 0, 0, 179, 127);
INSERT INTO public.who_data VALUES (42369, 0, 176, 0, 5, 179, 232);
INSERT INTO public.who_data VALUES (42370, 0, 5, 0, 0, 179, 33);
INSERT INTO public.who_data VALUES (42371, 0, 58, 0, 0, 179, 97);
INSERT INTO public.who_data VALUES (42372, 0, 0, 0, 0, 179, 42);
INSERT INTO public.who_data VALUES (42373, 4, 730, 0, 42, 179, 198);
INSERT INTO public.who_data VALUES (42374, 0, 892, 0, 15, 179, 216);
INSERT INTO public.who_data VALUES (42375, 1114, 309768, 31, 3722, 179, 164);
INSERT INTO public.who_data VALUES (42376, 43, 13056, 2, 274, 179, 235);
INSERT INTO public.who_data VALUES (42377, 106, 30820, 4, 705, 179, 67);
INSERT INTO public.who_data VALUES (42378, 0, 131, 0, 0, 179, 15);
INSERT INTO public.who_data VALUES (42379, 4, 2001, 0, 69, 179, 180);
INSERT INTO public.who_data VALUES (42380, 31, 56435, 0, 27, 179, 237);
INSERT INTO public.who_data VALUES (42381, 0, 3, 0, 0, 179, 25);
INSERT INTO public.who_data VALUES (42382, 12, 408, 0, 17, 179, 209);
INSERT INTO public.who_data VALUES (42383, 68, 3424, 0, 33, 179, 217);
INSERT INTO public.who_data VALUES (42384, 21, 2687, 0, 133, 179, 79);
INSERT INTO public.who_data VALUES (42385, 0, 0, 0, 0, 179, 143);
INSERT INTO public.who_data VALUES (42386, 0, 3269, 0, 93, 179, 229);
INSERT INTO public.who_data VALUES (42387, 1567, 613017, 149, 13308, 179, 141);
INSERT INTO public.who_data VALUES (42388, 3, 2510, 0, 47, 179, 197);
INSERT INTO public.who_data VALUES (42389, 6232, 444766, 53, 30610, 179, 221);
INSERT INTO public.who_data VALUES (42390, 0, 2959, 0, 12, 179, 150);
INSERT INTO public.who_data VALUES (42391, 71, 13045, 4, 823, 179, 56);
INSERT INTO public.who_data VALUES (42392, 25, 3632, 2, 60, 179, 167);
INSERT INTO public.who_data VALUES (42393, 174, 83211, 1, 5813, 179, 23);
INSERT INTO public.who_data VALUES (42394, 338, 40795, 0, 1759, 179, 222);
INSERT INTO public.who_data VALUES (42395, 72, 2365, 3, 95, 179, 219);
INSERT INTO public.who_data VALUES (42396, 33, 8379, 0, 67, 179, 7);
INSERT INTO public.who_data VALUES (42397, 0, 3402, 0, 58, 179, 161);
INSERT INTO public.who_data VALUES (42398, 1184, 327802, 16, 41449, 179, 149);
INSERT INTO public.who_data VALUES (42399, 0, 26, 0, 0, 179, 6);
INSERT INTO public.who_data VALUES (42400, 14, 1309, 0, 27, 179, 139);
INSERT INTO public.who_data VALUES (42401, 0, 0, 0, 0, 179, 211);
INSERT INTO public.who_data VALUES (42402, 0, 0, 0, 0, 179, 14);
INSERT INTO public.who_data VALUES (42403, 153, 1184, 0, 15, 179, 111);
INSERT INTO public.who_data VALUES (42404, 137, 3206, 0, 71, 179, 207);
INSERT INTO public.who_data VALUES (42405, 8232, 456364, 24, 6163, 179, 66);
INSERT INTO public.who_data VALUES (42406, 0, 0, 0, 0, 179, 173);
INSERT INTO public.who_data VALUES (42407, 0, 383, 0, 2, 179, 145);
INSERT INTO public.who_data VALUES (42408, 0, 0, 0, 0, 179, 65);
INSERT INTO public.who_data VALUES (42409, 64, 2426, 3, 25, 179, 184);
INSERT INTO public.who_data VALUES (42410, 1670, 110085, 36, 2354, 179, 98);
INSERT INTO public.who_data VALUES (42411, 339, 67621, 1, 377, 179, 104);
INSERT INTO public.who_data VALUES (42412, 0, 509, 0, 21, 179, 73);
INSERT INTO public.who_data VALUES (42413, 32883, 5682811, 388, 176201, 179, 8);
INSERT INTO public.who_data VALUES (42414, 14, 998, 1, 12, 179, 227);
INSERT INTO public.who_data VALUES (42415, 6, 1533, 0, 42, 179, 75);
INSERT INTO public.who_data VALUES (42416, 284, 39790, 7, 289, 179, 45);
INSERT INTO public.who_data VALUES (42417, 0, 0, 0, 0, 179, 133);
INSERT INTO public.who_data VALUES (42418, 774, 40338, 8, 337, 179, 202);
INSERT INTO public.who_data VALUES (42419, 7, 1029, 0, 27, 179, 129);
INSERT INTO public.who_data VALUES (42420, 0, 0, 0, 0, 179, 36);
INSERT INTO public.who_data VALUES (42421, 8, 1928, 2, 558, 179, 51);
INSERT INTO public.who_data VALUES (42422, 0, 11148, 0, 280, 179, 206);
INSERT INTO public.who_data VALUES (42423, 126, 6196, 11, 166, 179, 5);
INSERT INTO public.who_data VALUES (42424, 71, 38156, 10, 1401, 180, 103);
INSERT INTO public.who_data VALUES (42425, 178, 8605, 4, 254, 180, 58);
INSERT INTO public.who_data VALUES (42426, 398, 41858, 21, 1446, 180, 195);
INSERT INTO public.who_data VALUES (42427, 0, 0, 0, 0, 180, 115);
INSERT INTO public.who_data VALUES (42428, 13, 1060, 0, 53, 180, 99);
INSERT INTO public.who_data VALUES (42429, 51, 2222, 4, 100, 180, 153);
INSERT INTO public.who_data VALUES (42430, 0, 3, 0, 0, 180, 93);
INSERT INTO public.who_data VALUES (42431, 0, 94, 0, 3, 180, 84);
INSERT INTO public.who_data VALUES (42432, 5352, 342154, 132, 7079, 180, 78);
INSERT INTO public.who_data VALUES (42433, 111, 42249, 4, 853, 180, 170);
INSERT INTO public.who_data VALUES (42434, 181, 1568, 1, 7, 180, 32);
INSERT INTO public.who_data VALUES (42435, 104, 24916, 15, 517, 180, 155);
INSERT INTO public.who_data VALUES (42436, 308, 25547, 1, 733, 180, 82);
INSERT INTO public.who_data VALUES (42437, 152, 35426, 1, 519, 180, 16);
INSERT INTO public.who_data VALUES (42438, 0, 1765, 0, 29, 180, 72);
INSERT INTO public.who_data VALUES (42439, 389, 49719, 1, 185, 180, 43);
INSERT INTO public.who_data VALUES (42440, 2485, 297083, 42, 3983, 180, 120);
INSERT INTO public.who_data VALUES (42441, 0, 161, 0, 7, 180, 213);
INSERT INTO public.who_data VALUES (42442, 177, 70645, 4, 646, 180, 31);
INSERT INTO public.who_data VALUES (42443, 607, 82983, 5, 9857, 180, 204);
INSERT INTO public.who_data VALUES (42444, 18, 686, 0, 6, 180, 152);
INSERT INTO public.who_data VALUES (42445, 0, 2115, 0, 39, 180, 144);
INSERT INTO public.who_data VALUES (42446, 0, 167, 0, 9, 180, 96);
INSERT INTO public.who_data VALUES (42447, 1, 156, 0, 0, 180, 47);
INSERT INTO public.who_data VALUES (42448, 722, 109149, 67, 4509, 180, 80);
INSERT INTO public.who_data VALUES (42449, 0, 5, 0, 0, 180, 159);
INSERT INTO public.who_data VALUES (42450, 127, 18027, 11, 540, 180, 27);
INSERT INTO public.who_data VALUES (42451, 254, 1562, 0, 3, 180, 146);
INSERT INTO public.who_data VALUES (42452, 23421, 3605783, 494, 114744, 180, 71);
INSERT INTO public.who_data VALUES (42453, 0, 21, 0, 1, 180, 210);
INSERT INTO public.who_data VALUES (42454, 0, 143, 0, 3, 180, 54);
INSERT INTO public.who_data VALUES (42455, 99, 15386, 18, 563, 180, 147);
INSERT INTO public.who_data VALUES (42456, 0, 1328, 0, 55, 180, 2);
INSERT INTO public.who_data VALUES (42457, 0, 430, 0, 1, 180, 105);
INSERT INTO public.who_data VALUES (42458, 23, 3532, 0, 37, 180, 53);
INSERT INTO public.who_data VALUES (42459, 0, 273, 0, 0, 180, 81);
INSERT INTO public.who_data VALUES (42460, 211, 18973, 2, 410, 180, 223);
INSERT INTO public.who_data VALUES (42461, 267, 124896, 2, 9073, 180, 94);
INSERT INTO public.who_data VALUES (42462, 0, 205, 0, 1, 180, 154);
INSERT INTO public.who_data VALUES (42463, 0, 4679, 0, 61, 180, 83);
INSERT INTO public.who_data VALUES (42464, 1, 987, 0, 76, 180, 194);
INSERT INTO public.who_data VALUES (42465, 1903, 399568, 64, 10916, 180, 136);
INSERT INTO public.who_data VALUES (42466, 23, 90205, 0, 4718, 180, 179);
INSERT INTO public.who_data VALUES (42467, 8044, 541147, 348, 17316, 180, 57);
INSERT INTO public.who_data VALUES (42468, 0, 417, 0, 7, 180, 35);
INSERT INTO public.who_data VALUES (42469, 129, 3979, 1, 78, 180, 228);
INSERT INTO public.who_data VALUES (42470, 0, 0, 0, 0, 180, 19);
INSERT INTO public.who_data VALUES (42471, 736, 33820, 7, 355, 180, 22);
INSERT INTO public.who_data VALUES (42472, 35, 17506, 1, 114, 180, 1);
INSERT INTO public.who_data VALUES (42473, 136, 8311, 2, 173, 180, 21);
INSERT INTO public.who_data VALUES (42474, 35, 3717, 0, 91, 180, 234);
INSERT INTO public.who_data VALUES (42475, 2, 39, 0, 1, 180, 91);
INSERT INTO public.who_data VALUES (42476, 30, 1451, 0, 21, 180, 137);
INSERT INTO public.who_data VALUES (42477, 258, 22181, 3, 415, 180, 201);
INSERT INTO public.who_data VALUES (42478, 0, 0, 0, 0, 180, 171);
INSERT INTO public.who_data VALUES (42479, 12, 9841, 0, 251, 180, 92);
INSERT INTO public.who_data VALUES (42480, 270, 16397, 2, 623, 180, 112);
INSERT INTO public.who_data VALUES (42481, 1, 5383, 0, 60, 180, 62);
INSERT INTO public.who_data VALUES (42482, 1, 20, 0, 0, 180, 69);
INSERT INTO public.who_data VALUES (42483, 447, 91608, 6, 1573, 180, 220);
INSERT INTO public.who_data VALUES (42484, 520, 108289, 12, 6322, 180, 100);
INSERT INTO public.who_data VALUES (42485, 138, 97478, 18, 5280, 180, 187);
INSERT INTO public.who_data VALUES (42486, 189, 24811, 8, 669, 180, 63);
INSERT INTO public.who_data VALUES (42487, 0, 4926, 0, 83, 180, 28);
INSERT INTO public.who_data VALUES (42488, 0, 306, 0, 0, 180, 172);
INSERT INTO public.who_data VALUES (42489, 3, 2275, 1, 64, 180, 17);
INSERT INTO public.who_data VALUES (42490, 79, 4304, 0, 85, 180, 226);
INSERT INTO public.who_data VALUES (42491, 1472, 42143, 14, 692, 180, 236);
INSERT INTO public.who_data VALUES (42492, 0, 13, 0, 0, 180, 76);
INSERT INTO public.who_data VALUES (42493, 26, 410, 0, 0, 180, 30);
INSERT INTO public.who_data VALUES (42494, 0, 28, 0, 1, 180, 128);
INSERT INTO public.who_data VALUES (42495, 18, 7938, 1, 335, 180, 86);
INSERT INTO public.who_data VALUES (42496, 1842, 230066, 18, 30395, 180, 140);
INSERT INTO public.who_data VALUES (42497, 78, 8875, 1, 56, 180, 44);
INSERT INTO public.who_data VALUES (42498, 23, 372, 0, 0, 180, 113);
INSERT INTO public.who_data VALUES (42499, 21, 8409, 0, 53, 180, 29);
INSERT INTO public.who_data VALUES (42500, 0, 2585, 0, 87, 180, 125);
INSERT INTO public.who_data VALUES (42501, 8, 1429, 2, 19, 180, 131);
INSERT INTO public.who_data VALUES (42502, 1278, 234853, 5, 9277, 180, 46);
INSERT INTO public.who_data VALUES (42503, 117, 43622, 2, 263, 180, 10);
INSERT INTO public.who_data VALUES (42504, 7, 246, 0, 0, 180, 205);
INSERT INTO public.who_data VALUES (42505, 155, 8819, 0, 242, 180, 50);
INSERT INTO public.who_data VALUES (42506, 0, 14, 0, 0, 180, 20);
INSERT INTO public.who_data VALUES (42507, 0, 24, 0, 0, 180, 13);
INSERT INTO public.who_data VALUES (42508, 0, 771, 0, 15, 180, 148);
INSERT INTO public.who_data VALUES (42509, 87, 899, 0, 7, 180, 230);
INSERT INTO public.who_data VALUES (42510, 345, 68533, 17, 2611, 180, 190);
INSERT INTO public.who_data VALUES (42511, 0, 252, 0, 13, 180, 188);
INSERT INTO public.who_data VALUES (42512, 109, 9076, 2, 55, 180, 123);
INSERT INTO public.who_data VALUES (42513, 0, 2149, 0, 33, 180, 9);
INSERT INTO public.who_data VALUES (42514, 30, 955, 0, 31, 180, 102);
INSERT INTO public.who_data VALUES (42515, 28, 8110, 0, 196, 180, 34);
INSERT INTO public.who_data VALUES (42516, 0, 12, 0, 0, 180, 212);
INSERT INTO public.who_data VALUES (42517, 528, 54511, 11, 1654, 180, 122);
INSERT INTO public.who_data VALUES (42518, 36, 5191, 0, 613, 180, 38);
INSERT INTO public.who_data VALUES (42519, 9, 2073, 0, 10, 180, 130);
INSERT INTO public.who_data VALUES (42520, 60975, 3167323, 848, 58390, 180, 37);
INSERT INTO public.who_data VALUES (42521, 0, 155412, 0, 6759, 180, 231);
INSERT INTO public.who_data VALUES (42522, 2245, 361150, 133, 20776, 180, 107);
INSERT INTO public.who_data VALUES (42523, 3644, 207985, 91, 6519, 180, 101);
INSERT INTO public.who_data VALUES (42524, 147, 28116, 0, 1777, 180, 132);
INSERT INTO public.who_data VALUES (42525, 0, 336, 0, 24, 180, 176);
INSERT INTO public.who_data VALUES (42526, 965, 103015, 13, 842, 180, 200);
INSERT INTO public.who_data VALUES (42527, 953, 260298, 4, 35441, 180, 169);
INSERT INTO public.who_data VALUES (42528, 116, 1529, 0, 16, 180, 225);
INSERT INTO public.who_data VALUES (42529, 614, 63121, 15, 1196, 180, 165);
INSERT INTO public.who_data VALUES (42530, 0, 364, 0, 32, 180, 233);
INSERT INTO public.who_data VALUES (42531, 30, 1707, 2, 14, 180, 215);
INSERT INTO public.who_data VALUES (42532, 954, 128618, 0, 1781, 180, 177);
INSERT INTO public.who_data VALUES (42533, 193, 32557, 6, 554, 180, 183);
INSERT INTO public.who_data VALUES (42534, 0, 0, 0, 0, 180, 203);
INSERT INTO public.who_data VALUES (42535, 99, 12504, 13, 470, 180, 162);
INSERT INTO public.who_data VALUES (42536, 432, 80960, 3, 518, 180, 12);
INSERT INTO public.who_data VALUES (42537, 119, 43245, 0, 1057, 180, 24);
INSERT INTO public.who_data VALUES (42538, 0, 22, 0, 0, 180, 119);
INSERT INTO public.who_data VALUES (42539, 0, 1337, 0, 33, 180, 39);
INSERT INTO public.who_data VALUES (42540, 457, 13155, 3, 126, 180, 26);
INSERT INTO public.who_data VALUES (42541, 34, 1049, 0, 30, 180, 59);
INSERT INTO public.who_data VALUES (42542, 0, 1286, 0, 82, 180, 77);
INSERT INTO public.who_data VALUES (42543, 272, 11281, 4, 203, 180, 134);
INSERT INTO public.who_data VALUES (42544, 2, 103, 0, 1, 180, 4);
INSERT INTO public.who_data VALUES (42545, 21, 2688, 0, 85, 180, 109);
INSERT INTO public.who_data VALUES (42546, 90, 7794, 0, 124, 180, 90);
INSERT INTO public.who_data VALUES (42547, 75, 14402, 0, 178, 180, 61);
INSERT INTO public.who_data VALUES (42548, 5, 5419, 1, 169, 180, 85);
INSERT INTO public.who_data VALUES (42549, 7, 9274, 0, 125, 180, 49);
INSERT INTO public.who_data VALUES (42550, 133, 6912, 1, 27, 180, 208);
INSERT INTO public.who_data VALUES (42551, 3, 2708, 0, 125, 180, 166);
INSERT INTO public.who_data VALUES (42552, 57, 1668, 0, 10, 180, 64);
INSERT INTO public.who_data VALUES (42553, 0, 0, 0, 0, 180, 199);
INSERT INTO public.who_data VALUES (42554, 0, 464, 0, 16, 180, 114);
INSERT INTO public.who_data VALUES (42555, 23, 6928, 0, 158, 180, 60);
INSERT INTO public.who_data VALUES (42556, 0, 346, 0, 10, 180, 68);
INSERT INTO public.who_data VALUES (42557, 0, 3237, 0, 39, 180, 158);
INSERT INTO public.who_data VALUES (42558, 3948, 560164, 226, 60480, 180, 52);
INSERT INTO public.who_data VALUES (42559, 0, 0, 0, 0, 180, 117);
INSERT INTO public.who_data VALUES (42560, 4, 118, 0, 1, 180, 126);
INSERT INTO public.who_data VALUES (42561, 0, 298, 0, 0, 180, 196);
INSERT INTO public.who_data VALUES (42562, 75, 4464, 3, 88, 180, 142);
INSERT INTO public.who_data VALUES (42563, 0, 13, 0, 1, 180, 185);
INSERT INTO public.who_data VALUES (42564, 903, 53252, 32, 920, 180, 138);
INSERT INTO public.who_data VALUES (42565, 45, 3440, 1, 21, 180, 181);
INSERT INTO public.who_data VALUES (42566, 11, 474, 0, 6, 180, 178);
INSERT INTO public.who_data VALUES (42567, 176, 6030, 4, 56, 180, 168);
INSERT INTO public.who_data VALUES (42568, 0, 0, 0, 0, 180, 160);
INSERT INTO public.who_data VALUES (42569, 743, 32678, 8, 157, 180, 151);
INSERT INTO public.who_data VALUES (42570, 573, 67054, 2, 6197, 180, 193);
INSERT INTO public.who_data VALUES (42571, 0, 23, 0, 0, 180, 18);
INSERT INTO public.who_data VALUES (42572, 7, 1339, 0, 22, 180, 40);
INSERT INTO public.who_data VALUES (42573, 0, 3540, 0, 133, 180, 218);
INSERT INTO public.who_data VALUES (42574, 0, 1172, 0, 69, 180, 191);
INSERT INTO public.who_data VALUES (42575, 321, 52548, 2, 1004, 180, 156);
INSERT INTO public.who_data VALUES (42576, 0, 0, 0, 0, 180, 135);
INSERT INTO public.who_data VALUES (42577, 0, 54, 0, 2, 180, 88);
INSERT INTO public.who_data VALUES (42578, 78, 13673, 4, 568, 180, 55);
INSERT INTO public.who_data VALUES (42579, 126, 10323, 0, 264, 180, 108);
INSERT INTO public.who_data VALUES (42580, 553, 25577, 7, 150, 180, 48);
INSERT INTO public.who_data VALUES (42581, 740, 84509, 28, 637, 180, 3);
INSERT INTO public.who_data VALUES (42582, 0, 741, 0, 13, 180, 224);
INSERT INTO public.who_data VALUES (42583, 450, 293711, 11, 6255, 180, 110);
INSERT INTO public.who_data VALUES (42584, 0, 0, 0, 0, 180, 106);
INSERT INTO public.who_data VALUES (42585, 1420, 86900, 14, 1892, 180, 89);
INSERT INTO public.who_data VALUES (42586, 0, 401, 0, 4, 180, 121);
INSERT INTO public.who_data VALUES (42587, 259, 13233, 13, 205, 180, 163);
INSERT INTO public.who_data VALUES (42588, 9090, 594326, 210, 27663, 180, 70);
INSERT INTO public.who_data VALUES (42589, 4651, 194252, 12, 3010, 180, 174);
INSERT INTO public.who_data VALUES (42590, 0, 0, 0, 0, 180, 175);
INSERT INTO public.who_data VALUES (42591, 548, 62310, 5, 1960, 180, 118);
INSERT INTO public.who_data VALUES (42592, 123, 55720, 5, 1801, 180, 189);
INSERT INTO public.who_data VALUES (42593, 722, 30618, 0, 390, 180, 124);
INSERT INTO public.who_data VALUES (42594, 258, 117266, 1, 194, 180, 192);
INSERT INTO public.who_data VALUES (42595, 280, 17945, 1, 310, 180, 41);
INSERT INTO public.who_data VALUES (42596, 350, 33828, 5, 945, 180, 95);
INSERT INTO public.who_data VALUES (42597, 35, 1244, -4, 2, 180, 74);
INSERT INTO public.who_data VALUES (42598, 805, 79330, 37, 3309, 180, 11);
INSERT INTO public.who_data VALUES (42599, 4696, 966189, 120, 16568, 180, 87);
INSERT INTO public.who_data VALUES (42600, 217, 3306, 2, 14, 180, 214);
INSERT INTO public.who_data VALUES (42601, 0, 5, 0, 0, 180, 116);
INSERT INTO public.who_data VALUES (42602, 0, 16, 0, 0, 180, 157);
INSERT INTO public.who_data VALUES (42603, 0, 0, 0, 0, 180, 182);
INSERT INTO public.who_data VALUES (42604, 0, 17, 0, 0, 180, 186);
INSERT INTO public.who_data VALUES (42605, 0, 26, 0, 0, 180, 127);
INSERT INTO public.who_data VALUES (42606, 0, 176, 0, 5, 180, 232);
INSERT INTO public.who_data VALUES (42607, 0, 5, 0, 0, 180, 33);
INSERT INTO public.who_data VALUES (42608, 0, 58, 0, 0, 180, 97);
INSERT INTO public.who_data VALUES (42609, 0, 0, 0, 0, 180, 42);
INSERT INTO public.who_data VALUES (42610, 0, 726, 0, 42, 180, 198);
INSERT INTO public.who_data VALUES (42611, 0, 892, 0, 15, 180, 216);
INSERT INTO public.who_data VALUES (42612, 1175, 308654, 42, 3691, 180, 164);
INSERT INTO public.who_data VALUES (42613, 64, 13013, 3, 272, 180, 235);
INSERT INTO public.who_data VALUES (42614, 57, 30714, 3, 701, 180, 67);
INSERT INTO public.who_data VALUES (42615, 4, 131, 0, 0, 180, 15);
INSERT INTO public.who_data VALUES (42616, 5, 1997, 0, 69, 180, 180);
INSERT INTO public.who_data VALUES (42617, 51, 56404, 0, 27, 180, 237);
INSERT INTO public.who_data VALUES (42618, 0, 3, 0, 0, 180, 25);
INSERT INTO public.who_data VALUES (42619, 43, 396, 0, 17, 180, 209);
INSERT INTO public.who_data VALUES (42620, 40, 3356, 0, 33, 180, 217);
INSERT INTO public.who_data VALUES (42621, 14, 2666, 1, 133, 180, 79);
INSERT INTO public.who_data VALUES (42622, 0, 0, 0, 0, 180, 143);
INSERT INTO public.who_data VALUES (42623, 0, 3269, 0, 93, 180, 229);
INSERT INTO public.who_data VALUES (42624, 1677, 611450, 100, 13159, 180, 141);
INSERT INTO public.who_data VALUES (42625, 3, 2507, 0, 47, 180, 197);
INSERT INTO public.who_data VALUES (42626, 4370, 438534, 52, 30557, 180, 221);
INSERT INTO public.who_data VALUES (42627, 6, 2959, 0, 12, 180, 150);
INSERT INTO public.who_data VALUES (42628, 0, 12974, 0, 819, 180, 56);
INSERT INTO public.who_data VALUES (42629, 38, 3607, 1, 58, 180, 167);
INSERT INTO public.who_data VALUES (42630, 57, 83037, 3, 5812, 180, 23);
INSERT INTO public.who_data VALUES (42631, 304, 40457, 1, 1759, 180, 222);
INSERT INTO public.who_data VALUES (42632, 76, 2293, 3, 92, 180, 219);
INSERT INTO public.who_data VALUES (42633, 35, 8346, 1, 67, 180, 7);
INSERT INTO public.who_data VALUES (42634, 5, 3402, 0, 58, 180, 161);
INSERT INTO public.who_data VALUES (42635, 972, 326618, 4, 41433, 180, 149);
INSERT INTO public.who_data VALUES (42636, 0, 26, 0, 0, 180, 6);
INSERT INTO public.who_data VALUES (42637, 18, 1295, 0, 27, 180, 139);
INSERT INTO public.who_data VALUES (42638, 0, 0, 0, 0, 180, 211);
INSERT INTO public.who_data VALUES (42639, 0, 0, 0, 0, 180, 14);
INSERT INTO public.who_data VALUES (42640, 68, 1031, 1, 15, 180, 111);
INSERT INTO public.who_data VALUES (42641, 176, 3069, 0, 71, 180, 207);
INSERT INTO public.who_data VALUES (42642, 8173, 448132, 18, 6139, 180, 66);
INSERT INTO public.who_data VALUES (42643, 0, 0, 0, 0, 180, 173);
INSERT INTO public.who_data VALUES (42644, 0, 383, 0, 2, 180, 145);
INSERT INTO public.who_data VALUES (42645, 0, 0, 0, 0, 180, 65);
INSERT INTO public.who_data VALUES (42646, 99, 2362, 2, 22, 180, 184);
INSERT INTO public.who_data VALUES (42647, 1658, 108415, 25, 2318, 180, 98);
INSERT INTO public.who_data VALUES (42648, 275, 67282, 1, 376, 180, 104);
INSERT INTO public.who_data VALUES (42649, 0, 509, 0, 21, 180, 73);
INSERT INTO public.who_data VALUES (42650, 37765, 5649928, 570, 175813, 180, 8);
INSERT INTO public.who_data VALUES (42651, 24, 984, 1, 11, 180, 227);
INSERT INTO public.who_data VALUES (42652, 6, 1527, 0, 42, 180, 75);
INSERT INTO public.who_data VALUES (42653, 441, 39506, 7, 282, 180, 45);
INSERT INTO public.who_data VALUES (42654, 0, 0, 0, 0, 180, 133);
INSERT INTO public.who_data VALUES (42655, 607, 39564, 6, 329, 180, 202);
INSERT INTO public.who_data VALUES (42656, 6, 1022, 0, 27, 180, 129);
INSERT INTO public.who_data VALUES (42657, 0, 0, 0, 0, 180, 36);
INSERT INTO public.who_data VALUES (42658, 5, 1920, 2, 556, 180, 51);
INSERT INTO public.who_data VALUES (42659, 66, 11148, 0, 280, 180, 206);
INSERT INTO public.who_data VALUES (42660, 140, 6070, 0, 155, 180, 5);
INSERT INTO public.who_data VALUES (42661, 46, 38085, 2, 1391, 181, 103);
INSERT INTO public.who_data VALUES (42662, 152, 8427, 5, 250, 181, 58);
INSERT INTO public.who_data VALUES (42663, 392, 41460, 1, 1425, 181, 195);
INSERT INTO public.who_data VALUES (42664, 0, 0, 0, 0, 181, 115);
INSERT INTO public.who_data VALUES (42665, 0, 1047, 0, 53, 181, 99);
INSERT INTO public.who_data VALUES (42666, 37, 2171, 2, 96, 181, 153);
INSERT INTO public.who_data VALUES (42667, 0, 3, 0, 0, 181, 93);
INSERT INTO public.who_data VALUES (42668, 0, 94, 0, 3, 181, 84);
INSERT INTO public.who_data VALUES (42669, 7759, 336802, 152, 6947, 181, 78);
INSERT INTO public.who_data VALUES (42670, 33, 42138, 2, 849, 181, 170);
INSERT INTO public.who_data VALUES (42671, 0, 1387, 0, 6, 181, 32);
INSERT INTO public.who_data VALUES (42672, 210, 24812, 17, 502, 181, 155);
INSERT INTO public.who_data VALUES (42673, 140, 25239, 0, 732, 181, 82);
INSERT INTO public.who_data VALUES (42674, 169, 35274, 3, 518, 181, 16);
INSERT INTO public.who_data VALUES (42675, 62, 1765, 2, 29, 181, 72);
INSERT INTO public.who_data VALUES (42676, 292, 49330, 1, 184, 181, 43);
INSERT INTO public.who_data VALUES (42677, 1973, 294598, 34, 3941, 181, 120);
INSERT INTO public.who_data VALUES (42678, 4, 161, 0, 7, 181, 213);
INSERT INTO public.who_data VALUES (42679, 183, 70468, 5, 642, 181, 31);
INSERT INTO public.who_data VALUES (42680, 115, 82376, 3, 9852, 181, 204);
INSERT INTO public.who_data VALUES (42681, 20, 668, 1, 6, 181, 152);
INSERT INTO public.who_data VALUES (42682, 0, 2115, 0, 39, 181, 144);
INSERT INTO public.who_data VALUES (42683, 0, 167, 0, 9, 181, 96);
INSERT INTO public.who_data VALUES (42684, 0, 155, 0, 0, 181, 47);
INSERT INTO public.who_data VALUES (42685, 992, 108427, 76, 4442, 181, 80);
INSERT INTO public.who_data VALUES (42686, 0, 5, 0, 0, 181, 159);
INSERT INTO public.who_data VALUES (42687, 188, 17900, 3, 529, 181, 27);
INSERT INTO public.who_data VALUES (42688, 0, 1308, 0, 3, 181, 146);
INSERT INTO public.who_data VALUES (42689, 50032, 3582362, 892, 114250, 181, 71);
INSERT INTO public.who_data VALUES (42690, 0, 21, 0, 1, 181, 210);
INSERT INTO public.who_data VALUES (42691, 0, 143, 0, 3, 181, 54);
INSERT INTO public.who_data VALUES (42692, 60, 15287, 0, 545, 181, 147);
INSERT INTO public.who_data VALUES (42693, 31, 1328, 0, 55, 181, 2);
INSERT INTO public.who_data VALUES (42694, 0, 430, 0, 1, 181, 105);
INSERT INTO public.who_data VALUES (42695, 54, 3509, 0, 37, 181, 53);
INSERT INTO public.who_data VALUES (42696, 0, 273, 0, 0, 181, 81);
INSERT INTO public.who_data VALUES (42697, 0, 18762, 0, 408, 181, 223);
INSERT INTO public.who_data VALUES (42698, 257, 124629, 7, 9071, 181, 94);
INSERT INTO public.who_data VALUES (42699, 0, 205, 0, 1, 181, 154);
INSERT INTO public.who_data VALUES (42700, 0, 4679, 0, 61, 181, 83);
INSERT INTO public.who_data VALUES (42701, 4, 986, 0, 76, 181, 194);
INSERT INTO public.who_data VALUES (42702, 1957, 397665, 60, 10852, 181, 136);
INSERT INTO public.who_data VALUES (42703, 41, 90182, 1, 4718, 181, 179);
INSERT INTO public.who_data VALUES (42704, 10965, 533103, 400, 16968, 181, 57);
INSERT INTO public.who_data VALUES (42705, 0, 417, 0, 7, 181, 35);
INSERT INTO public.who_data VALUES (42706, 0, 3850, 0, 77, 181, 228);
INSERT INTO public.who_data VALUES (42707, 0, 0, 0, 0, 181, 19);
INSERT INTO public.who_data VALUES (42708, 950, 33084, 8, 348, 181, 22);
INSERT INTO public.who_data VALUES (42709, 97, 17471, 0, 113, 181, 1);
INSERT INTO public.who_data VALUES (42710, 275, 8175, 1, 171, 181, 21);
INSERT INTO public.who_data VALUES (42711, 65, 3682, 2, 91, 181, 234);
INSERT INTO public.who_data VALUES (42712, 0, 37, 0, 1, 181, 91);
INSERT INTO public.who_data VALUES (42713, 4, 1421, 0, 21, 181, 137);
INSERT INTO public.who_data VALUES (42714, 133, 21923, 1, 412, 181, 201);
INSERT INTO public.who_data VALUES (42715, 0, 0, 0, 0, 181, 171);
INSERT INTO public.who_data VALUES (42716, 19, 9829, 0, 251, 181, 92);
INSERT INTO public.who_data VALUES (42717, 0, 16127, 0, 621, 181, 112);
INSERT INTO public.who_data VALUES (42718, 0, 5382, 0, 60, 181, 62);
INSERT INTO public.who_data VALUES (42719, 0, 19, 0, 0, 181, 69);
INSERT INTO public.who_data VALUES (42720, 600, 91161, 13, 1567, 181, 220);
INSERT INTO public.who_data VALUES (42721, 680, 107769, 33, 6310, 181, 100);
INSERT INTO public.who_data VALUES (42722, 103, 97340, 19, 5262, 181, 187);
INSERT INTO public.who_data VALUES (42723, 202, 24622, 7, 661, 181, 63);
INSERT INTO public.who_data VALUES (42724, 0, 4926, 0, 83, 181, 28);
INSERT INTO public.who_data VALUES (42725, 0, 306, 0, 0, 181, 172);
INSERT INTO public.who_data VALUES (42726, 7, 2272, 0, 63, 181, 17);
INSERT INTO public.who_data VALUES (42727, 36, 4225, 2, 85, 181, 226);
INSERT INTO public.who_data VALUES (42728, 1638, 40671, 16, 678, 181, 236);
INSERT INTO public.who_data VALUES (42729, 0, 13, 0, 0, 181, 76);
INSERT INTO public.who_data VALUES (42730, 0, 384, 0, 0, 181, 30);
INSERT INTO public.who_data VALUES (42731, 0, 28, 0, 1, 181, 128);
INSERT INTO public.who_data VALUES (42732, 14, 7920, 0, 334, 181, 86);
INSERT INTO public.who_data VALUES (42733, 4805, 228224, 1, 30377, 181, 140);
INSERT INTO public.who_data VALUES (42734, 0, 8797, 0, 55, 181, 44);
INSERT INTO public.who_data VALUES (42735, 51, 349, 0, 0, 181, 113);
INSERT INTO public.who_data VALUES (42736, 0, 8388, 0, 53, 181, 29);
INSERT INTO public.who_data VALUES (42737, 148, 2585, 3, 87, 181, 125);
INSERT INTO public.who_data VALUES (42738, 10, 1421, 0, 17, 181, 131);
INSERT INTO public.who_data VALUES (42739, 711, 233575, 3, 9272, 181, 46);
INSERT INTO public.who_data VALUES (42740, 180, 43505, 0, 261, 181, 10);
INSERT INTO public.who_data VALUES (42741, 10, 239, 0, 0, 181, 205);
INSERT INTO public.who_data VALUES (42742, 283, 8664, 2, 242, 181, 50);
INSERT INTO public.who_data VALUES (42743, 0, 14, 0, 0, 181, 20);
INSERT INTO public.who_data VALUES (42744, 0, 24, 0, 0, 181, 13);
INSERT INTO public.who_data VALUES (42745, 0, 771, 0, 15, 181, 148);
INSERT INTO public.who_data VALUES (42746, 0, 812, 0, 7, 181, 230);
INSERT INTO public.who_data VALUES (42747, 332, 68188, 14, 2594, 181, 190);
INSERT INTO public.who_data VALUES (42748, 0, 252, 0, 13, 181, 188);
INSERT INTO public.who_data VALUES (42749, 0, 8967, 0, 53, 181, 123);
INSERT INTO public.who_data VALUES (42750, 0, 2149, 0, 33, 181, 9);
INSERT INTO public.who_data VALUES (42751, 44, 925, 1, 31, 181, 102);
INSERT INTO public.who_data VALUES (42752, 32, 8082, 0, 196, 181, 34);
INSERT INTO public.who_data VALUES (42753, 0, 12, 0, 0, 181, 212);
INSERT INTO public.who_data VALUES (42754, 602, 53983, 11, 1643, 181, 122);
INSERT INTO public.who_data VALUES (42755, 22, 5155, 2, 613, 181, 38);
INSERT INTO public.who_data VALUES (42756, 6, 2064, 0, 10, 181, 130);
INSERT INTO public.who_data VALUES (42757, 61408, 3106348, 836, 57542, 181, 37);
INSERT INTO public.who_data VALUES (42758, 3914, 155412, 165, 6759, 181, 231);
INSERT INTO public.who_data VALUES (42759, 2113, 358905, 141, 20643, 181, 107);
INSERT INTO public.who_data VALUES (42760, 3291, 204341, 75, 6428, 181, 101);
INSERT INTO public.who_data VALUES (42761, 61, 27969, 0, 1777, 181, 132);
INSERT INTO public.who_data VALUES (42762, 0, 336, 0, 24, 181, 176);
INSERT INTO public.who_data VALUES (42763, 711, 102050, 10, 829, 181, 200);
INSERT INTO public.who_data VALUES (42764, 1209, 259345, 7, 35437, 181, 169);
INSERT INTO public.who_data VALUES (42765, 67, 1413, 0, 16, 181, 225);
INSERT INTO public.who_data VALUES (42766, 760, 62507, 5, 1181, 181, 165);
INSERT INTO public.who_data VALUES (42767, 1, 364, 0, 32, 181, 233);
INSERT INTO public.who_data VALUES (42768, 33, 1677, 1, 12, 181, 215);
INSERT INTO public.who_data VALUES (42769, 202, 127664, 0, 1781, 181, 177);
INSERT INTO public.who_data VALUES (42770, 246, 32364, 6, 548, 181, 183);
INSERT INTO public.who_data VALUES (42771, 0, 0, 0, 0, 181, 203);
INSERT INTO public.who_data VALUES (42772, 111, 12405, 10, 457, 181, 162);
INSERT INTO public.who_data VALUES (42773, 571, 80528, 2, 515, 181, 12);
INSERT INTO public.who_data VALUES (42774, 103, 43126, 1, 1057, 181, 24);
INSERT INTO public.who_data VALUES (42775, 0, 22, 0, 0, 181, 119);
INSERT INTO public.who_data VALUES (42776, 4, 1337, 0, 33, 181, 39);
INSERT INTO public.who_data VALUES (42777, 507, 12698, 2, 123, 181, 26);
INSERT INTO public.who_data VALUES (42778, 0, 1015, 0, 30, 181, 59);
INSERT INTO public.who_data VALUES (42779, 1, 1286, 0, 82, 181, 77);
INSERT INTO public.who_data VALUES (42780, 572, 11009, 11, 199, 181, 134);
INSERT INTO public.who_data VALUES (42781, 0, 101, 0, 1, 181, 4);
INSERT INTO public.who_data VALUES (42782, 38, 2667, 1, 85, 181, 109);
INSERT INTO public.who_data VALUES (42783, 0, 7704, 0, 124, 181, 90);
INSERT INTO public.who_data VALUES (42784, 50, 14327, 0, 178, 181, 61);
INSERT INTO public.who_data VALUES (42785, 32, 5414, 0, 168, 181, 85);
INSERT INTO public.who_data VALUES (42786, 10, 9267, 0, 125, 181, 49);
INSERT INTO public.who_data VALUES (42787, 119, 6779, 0, 26, 181, 208);
INSERT INTO public.who_data VALUES (42788, 6, 2705, 0, 125, 181, 166);
INSERT INTO public.who_data VALUES (42789, 35, 1611, 0, 10, 181, 64);
INSERT INTO public.who_data VALUES (42790, 0, 0, 0, 0, 181, 199);
INSERT INTO public.who_data VALUES (42791, 0, 464, 0, 16, 181, 114);
INSERT INTO public.who_data VALUES (42792, 11, 6905, 0, 158, 181, 60);
INSERT INTO public.who_data VALUES (42793, 0, 346, 0, 10, 181, 68);
INSERT INTO public.who_data VALUES (42794, 0, 3237, 0, 39, 181, 158);
INSERT INTO public.who_data VALUES (42795, 6482, 556216, 644, 60254, 181, 52);
INSERT INTO public.who_data VALUES (42796, 0, 0, 0, 0, 181, 117);
INSERT INTO public.who_data VALUES (42797, 3, 114, 0, 1, 181, 126);
INSERT INTO public.who_data VALUES (42798, 0, 298, 0, 0, 181, 196);
INSERT INTO public.who_data VALUES (42799, 33, 4389, 1, 85, 181, 142);
INSERT INTO public.who_data VALUES (42800, 0, 13, 0, 1, 181, 185);
INSERT INTO public.who_data VALUES (42801, 1537, 52349, 30, 888, 181, 138);
INSERT INTO public.who_data VALUES (42802, 91, 3395, 0, 20, 181, 181);
INSERT INTO public.who_data VALUES (42803, 19, 463, 0, 6, 181, 178);
INSERT INTO public.who_data VALUES (42804, 316, 5854, 6, 52, 181, 168);
INSERT INTO public.who_data VALUES (42805, 0, 0, 0, 0, 181, 160);
INSERT INTO public.who_data VALUES (42806, 818, 31935, 3, 149, 181, 151);
INSERT INTO public.who_data VALUES (42807, 455, 66481, 0, 6195, 181, 193);
INSERT INTO public.who_data VALUES (42808, 0, 23, 0, 0, 181, 18);
INSERT INTO public.who_data VALUES (42809, 8, 1332, 0, 22, 181, 40);
INSERT INTO public.who_data VALUES (42810, 0, 3540, 0, 133, 181, 218);
INSERT INTO public.who_data VALUES (42811, 0, 1172, 0, 69, 181, 191);
INSERT INTO public.who_data VALUES (42812, 322, 52227, 5, 1002, 181, 156);
INSERT INTO public.who_data VALUES (42813, 0, 0, 0, 0, 181, 135);
INSERT INTO public.who_data VALUES (42814, 0, 54, 0, 2, 181, 88);
INSERT INTO public.who_data VALUES (42815, 287, 13595, 7, 564, 181, 55);
INSERT INTO public.who_data VALUES (42816, 0, 10197, 0, 264, 181, 108);
INSERT INTO public.who_data VALUES (42817, 326, 25024, 5, 143, 181, 48);
INSERT INTO public.who_data VALUES (42818, 0, 83769, 0, 609, 181, 3);
INSERT INTO public.who_data VALUES (42819, 0, 741, 0, 13, 181, 224);
INSERT INTO public.who_data VALUES (42820, 496, 293261, 9, 6244, 181, 110);
INSERT INTO public.who_data VALUES (42821, 0, 0, 0, 0, 181, 106);
INSERT INTO public.who_data VALUES (42822, 1088, 85480, 19, 1878, 181, 89);
INSERT INTO public.who_data VALUES (42823, 40, 401, 0, 4, 181, 121);
INSERT INTO public.who_data VALUES (42824, 438, 12974, 10, 192, 181, 163);
INSERT INTO public.who_data VALUES (42825, 9169, 585236, 208, 27453, 181, 70);
INSERT INTO public.who_data VALUES (42826, 2352, 189601, 32, 2998, 181, 174);
INSERT INTO public.who_data VALUES (42827, 0, 0, 0, 0, 181, 175);
INSERT INTO public.who_data VALUES (42828, 581, 61762, 4, 1955, 181, 118);
INSERT INTO public.who_data VALUES (42829, 145, 55597, 2, 1796, 181, 189);
INSERT INTO public.who_data VALUES (42830, 319, 29896, 9, 390, 181, 124);
INSERT INTO public.who_data VALUES (42831, 243, 117008, 0, 193, 181, 192);
INSERT INTO public.who_data VALUES (42832, 266, 17665, 0, 309, 181, 41);
INSERT INTO public.who_data VALUES (42833, 406, 33478, 5, 940, 181, 95);
INSERT INTO public.who_data VALUES (42834, 92, 1209, 0, 6, 181, 74);
INSERT INTO public.who_data VALUES (42835, 981, 78525, 39, 3272, 181, 11);
INSERT INTO public.who_data VALUES (42836, 4744, 961493, 65, 16448, 181, 87);
INSERT INTO public.who_data VALUES (42837, 200, 3089, 1, 12, 181, 214);
INSERT INTO public.who_data VALUES (42838, 0, 5, 0, 0, 181, 116);
INSERT INTO public.who_data VALUES (42839, 0, 16, 0, 0, 181, 157);
INSERT INTO public.who_data VALUES (42840, 0, 0, 0, 0, 181, 182);
INSERT INTO public.who_data VALUES (42841, 0, 17, 0, 0, 181, 186);
INSERT INTO public.who_data VALUES (42842, 0, 26, 0, 0, 181, 127);
INSERT INTO public.who_data VALUES (42843, 0, 176, 0, 5, 181, 232);
INSERT INTO public.who_data VALUES (42844, 0, 5, 0, 0, 181, 33);
INSERT INTO public.who_data VALUES (42845, 0, 58, 0, 0, 181, 97);
INSERT INTO public.who_data VALUES (42846, 0, 0, 0, 0, 181, 42);
INSERT INTO public.who_data VALUES (42847, 0, 726, 0, 42, 181, 198);
INSERT INTO public.who_data VALUES (42848, 0, 892, 0, 15, 181, 216);
INSERT INTO public.who_data VALUES (42849, 1109, 307479, 30, 3649, 181, 164);
INSERT INTO public.who_data VALUES (42850, 99, 12949, 3, 269, 181, 235);
INSERT INTO public.who_data VALUES (42851, 109, 30657, 3, 698, 181, 67);
INSERT INTO public.who_data VALUES (42852, 0, 127, 0, 0, 181, 15);
INSERT INTO public.who_data VALUES (42853, 12, 1992, 0, 69, 181, 180);
INSERT INTO public.who_data VALUES (42854, 87, 56353, 0, 27, 181, 237);
INSERT INTO public.who_data VALUES (42855, 0, 3, 0, 0, 181, 25);
INSERT INTO public.who_data VALUES (42856, 0, 353, 0, 17, 181, 209);
INSERT INTO public.who_data VALUES (42857, 91, 3316, 0, 33, 181, 217);
INSERT INTO public.who_data VALUES (42858, 34, 2652, 0, 132, 181, 79);
INSERT INTO public.who_data VALUES (42859, 0, 0, 0, 0, 181, 143);
INSERT INTO public.who_data VALUES (42860, 0, 3269, 0, 93, 181, 229);
INSERT INTO public.who_data VALUES (42861, 2728, 609773, 72, 13059, 181, 141);
INSERT INTO public.who_data VALUES (42862, 5, 2504, 0, 47, 181, 197);
INSERT INTO public.who_data VALUES (42863, 6142, 434164, 43, 30505, 181, 221);
INSERT INTO public.who_data VALUES (42864, 6, 2953, 0, 12, 181, 150);
INSERT INTO public.who_data VALUES (42865, 71, 12974, 1, 819, 181, 56);
INSERT INTO public.who_data VALUES (42866, 109, 3569, 1, 57, 181, 167);
INSERT INTO public.who_data VALUES (42867, 160, 82980, 1, 5809, 181, 23);
INSERT INTO public.who_data VALUES (42868, 136, 40153, 2, 1758, 181, 222);
INSERT INTO public.who_data VALUES (42869, 74, 2217, 4, 89, 181, 219);
INSERT INTO public.who_data VALUES (42870, 34, 8311, 0, 66, 181, 7);
INSERT INTO public.who_data VALUES (42871, 2, 3397, 0, 58, 181, 161);
INSERT INTO public.who_data VALUES (42872, 1041, 325646, 6, 41429, 181, 149);
INSERT INTO public.who_data VALUES (42873, 0, 26, 0, 0, 181, 6);
INSERT INTO public.who_data VALUES (42874, 65, 1277, 0, 27, 181, 139);
INSERT INTO public.who_data VALUES (42875, 0, 0, 0, 0, 181, 211);
INSERT INTO public.who_data VALUES (42876, 0, 0, 0, 0, 181, 14);
INSERT INTO public.who_data VALUES (42877, 64, 963, 1, 14, 181, 111);
INSERT INTO public.who_data VALUES (42878, 75, 2893, 0, 71, 181, 207);
INSERT INTO public.who_data VALUES (42879, 7947, 439959, 19, 6121, 181, 66);
INSERT INTO public.who_data VALUES (42880, 0, 0, 0, 0, 181, 173);
INSERT INTO public.who_data VALUES (42881, 36, 383, 0, 2, 181, 145);
INSERT INTO public.who_data VALUES (42882, 0, 0, 0, 0, 181, 65);
INSERT INTO public.who_data VALUES (42883, 97, 2263, 0, 20, 181, 184);
INSERT INTO public.who_data VALUES (42884, 1799, 106757, 22, 2293, 181, 98);
INSERT INTO public.who_data VALUES (42885, 390, 67007, 3, 375, 181, 104);
INSERT INTO public.who_data VALUES (42886, 0, 509, 0, 21, 181, 73);
INSERT INTO public.who_data VALUES (42887, 44946, 5612163, 997, 175243, 181, 8);
INSERT INTO public.who_data VALUES (42888, 28, 960, 0, 10, 181, 227);
INSERT INTO public.who_data VALUES (42889, 5, 1521, 0, 42, 181, 75);
INSERT INTO public.who_data VALUES (42890, 367, 39065, 6, 275, 181, 45);
INSERT INTO public.who_data VALUES (42891, 0, 0, 0, 0, 181, 133);
INSERT INTO public.who_data VALUES (42892, 769, 38957, 6, 323, 181, 202);
INSERT INTO public.who_data VALUES (42893, 2, 1016, 1, 27, 181, 129);
INSERT INTO public.who_data VALUES (42894, 0, 0, 0, 0, 181, 36);
INSERT INTO public.who_data VALUES (42895, 4, 1915, 7, 554, 181, 51);
INSERT INTO public.who_data VALUES (42896, 455, 11082, 3, 280, 181, 206);
INSERT INTO public.who_data VALUES (42897, 37, 5930, 2, 155, 181, 5);
INSERT INTO public.who_data VALUES (42898, 59, 38039, 0, 1389, 182, 103);
INSERT INTO public.who_data VALUES (42899, 156, 8275, 5, 245, 182, 58);
INSERT INTO public.who_data VALUES (42900, 810, 41068, 13, 1424, 182, 195);
INSERT INTO public.who_data VALUES (42901, 0, 0, 0, 0, 182, 115);
INSERT INTO public.who_data VALUES (42902, 0, 1047, 0, 53, 182, 99);
INSERT INTO public.who_data VALUES (42903, 66, 2134, 0, 94, 182, 153);
INSERT INTO public.who_data VALUES (42904, 0, 3, 0, 0, 182, 93);
INSERT INTO public.who_data VALUES (42905, 0, 94, 0, 3, 182, 84);
INSERT INTO public.who_data VALUES (42906, 8159, 329043, 228, 6795, 182, 78);
INSERT INTO public.who_data VALUES (42907, 176, 42105, 2, 847, 182, 170);
INSERT INTO public.who_data VALUES (42908, 0, 1387, 0, 6, 182, 32);
INSERT INTO public.who_data VALUES (42909, 195, 24602, 13, 485, 182, 155);
INSERT INTO public.who_data VALUES (42910, 216, 25099, 2, 732, 182, 82);
INSERT INTO public.who_data VALUES (42911, 184, 35105, 3, 515, 182, 16);
INSERT INTO public.who_data VALUES (42912, 93, 1703, 4, 27, 182, 72);
INSERT INTO public.who_data VALUES (42913, 377, 49038, 2, 183, 182, 43);
INSERT INTO public.who_data VALUES (42914, 2265, 292625, 46, 3907, 182, 120);
INSERT INTO public.who_data VALUES (42915, 0, 157, 0, 7, 182, 213);
INSERT INTO public.who_data VALUES (42916, 174, 70285, 5, 637, 182, 31);
INSERT INTO public.who_data VALUES (42917, 203, 82261, 5, 9849, 182, 204);
INSERT INTO public.who_data VALUES (42918, 43, 648, 0, 5, 182, 152);
INSERT INTO public.who_data VALUES (42919, 0, 2115, 0, 39, 182, 144);
INSERT INTO public.who_data VALUES (42920, 1, 167, 0, 9, 182, 96);
INSERT INTO public.who_data VALUES (42921, 1, 155, 0, 0, 182, 47);
INSERT INTO public.who_data VALUES (42922, 1370, 107435, 61, 4366, 182, 80);
INSERT INTO public.who_data VALUES (42923, 0, 5, 0, 0, 182, 159);
INSERT INTO public.who_data VALUES (42924, 320, 17712, 6, 526, 182, 27);
INSERT INTO public.who_data VALUES (42925, 0, 1308, 0, 3, 182, 146);
INSERT INTO public.who_data VALUES (42926, 30355, 3532330, 1054, 113358, 182, 71);
INSERT INTO public.who_data VALUES (42927, 9, 21, 0, 1, 182, 210);
INSERT INTO public.who_data VALUES (42928, 0, 143, 0, 3, 182, 54);
INSERT INTO public.who_data VALUES (42929, 96, 15227, 6, 545, 182, 147);
INSERT INTO public.who_data VALUES (42930, 0, 1297, 0, 55, 182, 2);
INSERT INTO public.who_data VALUES (42931, 1, 430, 0, 1, 182, 105);
INSERT INTO public.who_data VALUES (42932, 43, 3455, 0, 37, 182, 53);
INSERT INTO public.who_data VALUES (42933, 0, 273, 0, 0, 182, 81);
INSERT INTO public.who_data VALUES (42934, 0, 18762, 0, 408, 182, 223);
INSERT INTO public.who_data VALUES (42935, 499, 124372, 10, 9064, 182, 94);
INSERT INTO public.who_data VALUES (42936, 0, 205, 0, 1, 182, 154);
INSERT INTO public.who_data VALUES (42937, 0, 4679, 0, 61, 182, 83);
INSERT INTO public.who_data VALUES (42938, 1, 982, 0, 76, 182, 194);
INSERT INTO public.who_data VALUES (42939, 1939, 395708, 69, 10792, 182, 136);
INSERT INTO public.who_data VALUES (42940, 38, 90141, 1, 4717, 182, 179);
INSERT INTO public.who_data VALUES (42941, 8419, 522138, 385, 16568, 182, 57);
INSERT INTO public.who_data VALUES (42942, 11, 417, 0, 7, 182, 35);
INSERT INTO public.who_data VALUES (42943, 0, 3850, 0, 77, 182, 228);
INSERT INTO public.who_data VALUES (42944, 0, 0, 0, 0, 182, 19);
INSERT INTO public.who_data VALUES (42945, 1059, 32134, 7, 340, 182, 22);
INSERT INTO public.who_data VALUES (42946, 64, 17374, 1, 113, 182, 1);
INSERT INTO public.who_data VALUES (42947, 306, 7900, 1, 170, 182, 21);
INSERT INTO public.who_data VALUES (42948, 35, 3617, 0, 89, 182, 234);
INSERT INTO public.who_data VALUES (42949, 0, 37, 0, 1, 182, 91);
INSERT INTO public.who_data VALUES (42950, 11, 1417, 0, 21, 182, 137);
INSERT INTO public.who_data VALUES (42951, 239, 21790, 0, 411, 182, 201);
INSERT INTO public.who_data VALUES (42952, 0, 0, 0, 0, 182, 171);
INSERT INTO public.who_data VALUES (42953, 9, 9810, 3, 251, 182, 92);
INSERT INTO public.who_data VALUES (42954, 0, 16127, 0, 621, 182, 112);
INSERT INTO public.who_data VALUES (42955, 0, 5382, 0, 60, 182, 62);
INSERT INTO public.who_data VALUES (42956, 0, 19, 0, 0, 182, 69);
INSERT INTO public.who_data VALUES (42957, 694, 90561, 21, 1554, 182, 220);
INSERT INTO public.who_data VALUES (42958, 608, 107089, 29, 6277, 182, 100);
INSERT INTO public.who_data VALUES (42959, 89, 97237, 12, 5243, 182, 187);
INSERT INTO public.who_data VALUES (42960, 220, 24420, 8, 654, 182, 63);
INSERT INTO public.who_data VALUES (42961, 105, 4926, 0, 83, 182, 28);
INSERT INTO public.who_data VALUES (42962, 0, 306, 0, 0, 182, 172);
INSERT INTO public.who_data VALUES (42963, 21, 2265, 0, 63, 182, 17);
INSERT INTO public.who_data VALUES (42964, 61, 4189, 2, 83, 182, 226);
INSERT INTO public.who_data VALUES (42965, 1368, 39033, 25, 662, 182, 236);
INSERT INTO public.who_data VALUES (42966, 0, 13, 0, 0, 182, 76);
INSERT INTO public.who_data VALUES (42967, 0, 384, 0, 0, 182, 30);
INSERT INTO public.who_data VALUES (42968, 0, 28, 0, 1, 182, 128);
INSERT INTO public.who_data VALUES (42969, 35, 7906, 0, 334, 182, 86);
INSERT INTO public.who_data VALUES (42970, 3110, 223419, 8, 30376, 182, 140);
INSERT INTO public.who_data VALUES (42971, 20, 8797, 0, 55, 182, 44);
INSERT INTO public.who_data VALUES (42972, 0, 298, 0, 0, 182, 113);
INSERT INTO public.who_data VALUES (42973, 0, 8388, 0, 53, 182, 29);
INSERT INTO public.who_data VALUES (42974, 0, 2437, 0, 84, 182, 125);
INSERT INTO public.who_data VALUES (42975, 17, 1411, 0, 17, 182, 131);
INSERT INTO public.who_data VALUES (42976, 782, 232864, 2, 9269, 182, 46);
INSERT INTO public.who_data VALUES (42977, 0, 43325, 0, 261, 182, 10);
INSERT INTO public.who_data VALUES (42978, 0, 229, 0, 0, 182, 205);
INSERT INTO public.who_data VALUES (42979, 243, 8381, 2, 240, 182, 50);
INSERT INTO public.who_data VALUES (42980, 0, 14, 0, 0, 182, 20);
INSERT INTO public.who_data VALUES (42981, 0, 24, 0, 0, 182, 13);
INSERT INTO public.who_data VALUES (42982, 261, 771, 0, 15, 182, 148);
INSERT INTO public.who_data VALUES (42983, 53, 812, 0, 7, 182, 230);
INSERT INTO public.who_data VALUES (42984, 915, 67856, 48, 2580, 182, 190);
INSERT INTO public.who_data VALUES (42985, 0, 252, 0, 13, 182, 188);
INSERT INTO public.who_data VALUES (42986, 35, 8967, 0, 53, 182, 123);
INSERT INTO public.who_data VALUES (42987, 0, 2149, 0, 33, 182, 9);
INSERT INTO public.who_data VALUES (42988, 35, 881, 1, 30, 182, 102);
INSERT INTO public.who_data VALUES (42989, 34, 8050, 0, 196, 182, 34);
INSERT INTO public.who_data VALUES (42990, 0, 12, 0, 0, 182, 212);
INSERT INTO public.who_data VALUES (42991, 562, 53381, 13, 1632, 182, 122);
INSERT INTO public.who_data VALUES (42992, 35, 5133, 0, 611, 182, 38);
INSERT INTO public.who_data VALUES (42993, 8, 2058, 0, 10, 182, 130);
INSERT INTO public.who_data VALUES (42994, 69239, 3044940, 912, 56706, 182, 37);
INSERT INTO public.who_data VALUES (42995, 2090, 151498, 94, 6594, 182, 231);
INSERT INTO public.who_data VALUES (42996, 2028, 356792, 126, 20502, 182, 107);
INSERT INTO public.who_data VALUES (42997, 3965, 201050, 70, 6353, 182, 101);
INSERT INTO public.who_data VALUES (42998, 153, 27908, 1, 1777, 182, 132);
INSERT INTO public.who_data VALUES (42999, 0, 336, 0, 24, 182, 176);
INSERT INTO public.who_data VALUES (43000, 1493, 101339, 13, 819, 182, 200);
INSERT INTO public.who_data VALUES (43001, 1071, 258136, 3, 35430, 182, 169);
INSERT INTO public.who_data VALUES (43002, 56, 1346, 1, 16, 182, 225);
INSERT INTO public.who_data VALUES (43003, 1014, 61747, 7, 1176, 182, 165);
INSERT INTO public.who_data VALUES (43004, 0, 363, 0, 32, 182, 233);
INSERT INTO public.who_data VALUES (43005, 44, 1644, 0, 11, 182, 215);
INSERT INTO public.who_data VALUES (43006, 259, 127462, 148, 1781, 182, 177);
INSERT INTO public.who_data VALUES (43007, 355, 32118, 10, 542, 182, 183);
INSERT INTO public.who_data VALUES (43008, 0, 0, 0, 0, 182, 203);
INSERT INTO public.who_data VALUES (43009, 169, 12294, 9, 447, 182, 162);
INSERT INTO public.who_data VALUES (43010, 688, 79957, 2, 513, 182, 12);
INSERT INTO public.who_data VALUES (43011, 134, 43023, 1, 1056, 182, 24);
INSERT INTO public.who_data VALUES (43012, 0, 22, 0, 0, 182, 119);
INSERT INTO public.who_data VALUES (43013, 3, 1333, 0, 33, 182, 39);
INSERT INTO public.who_data VALUES (43014, 611, 12191, 5, 121, 182, 26);
INSERT INTO public.who_data VALUES (43015, 0, 1015, 0, 30, 182, 59);
INSERT INTO public.who_data VALUES (43016, 0, 1285, 0, 82, 182, 77);
INSERT INTO public.who_data VALUES (43017, 316, 10437, 8, 188, 182, 134);
INSERT INTO public.who_data VALUES (43018, 1, 101, 0, 1, 182, 4);
INSERT INTO public.who_data VALUES (43019, 41, 2629, 0, 84, 182, 109);
INSERT INTO public.who_data VALUES (43020, 0, 7704, 0, 124, 182, 90);
INSERT INTO public.who_data VALUES (43021, 59, 14277, 0, 178, 182, 61);
INSERT INTO public.who_data VALUES (43022, 60, 5382, 2, 168, 182, 85);
INSERT INTO public.who_data VALUES (43023, 8, 9257, 0, 125, 182, 49);
INSERT INTO public.who_data VALUES (43024, 96, 6660, 1, 26, 182, 208);
INSERT INTO public.who_data VALUES (43025, 11, 2699, 0, 125, 182, 166);
INSERT INTO public.who_data VALUES (43026, 31, 1576, 1, 10, 182, 64);
INSERT INTO public.who_data VALUES (43027, 0, 0, 0, 0, 182, 199);
INSERT INTO public.who_data VALUES (43028, 114, 464, 0, 16, 182, 114);
INSERT INTO public.who_data VALUES (43029, 9, 6894, 0, 158, 182, 60);
INSERT INTO public.who_data VALUES (43030, 0, 346, 0, 10, 182, 68);
INSERT INTO public.who_data VALUES (43031, 0, 3237, 0, 39, 182, 158);
INSERT INTO public.who_data VALUES (43032, 5928, 549734, 504, 59610, 182, 52);
INSERT INTO public.who_data VALUES (43033, 0, 0, 0, 0, 182, 117);
INSERT INTO public.who_data VALUES (43034, 2, 111, 0, 1, 182, 126);
INSERT INTO public.who_data VALUES (43035, 0, 298, 0, 0, 182, 196);
INSERT INTO public.who_data VALUES (43036, 43, 4356, 0, 84, 182, 142);
INSERT INTO public.who_data VALUES (43037, 0, 13, 0, 1, 182, 185);
INSERT INTO public.who_data VALUES (43038, 1565, 50812, 41, 858, 182, 138);
INSERT INTO public.who_data VALUES (43039, 109, 3304, 0, 20, 182, 181);
INSERT INTO public.who_data VALUES (43040, 9, 444, 0, 6, 182, 178);
INSERT INTO public.who_data VALUES (43041, 311, 5538, 3, 46, 182, 168);
INSERT INTO public.who_data VALUES (43042, 0, 0, 0, 0, 182, 160);
INSERT INTO public.who_data VALUES (43043, 634, 31117, 9, 146, 182, 151);
INSERT INTO public.who_data VALUES (43044, 507, 66026, 5, 6195, 182, 193);
INSERT INTO public.who_data VALUES (43045, 0, 23, 0, 0, 182, 18);
INSERT INTO public.who_data VALUES (43046, 3, 1324, 0, 22, 182, 40);
INSERT INTO public.who_data VALUES (43047, 0, 3540, 0, 133, 182, 218);
INSERT INTO public.who_data VALUES (43048, 0, 1172, 0, 69, 182, 191);
INSERT INTO public.who_data VALUES (43049, 601, 51905, 1, 997, 182, 156);
INSERT INTO public.who_data VALUES (43050, 0, 0, 0, 0, 182, 135);
INSERT INTO public.who_data VALUES (43051, 0, 54, 0, 2, 182, 88);
INSERT INTO public.who_data VALUES (43052, 0, 13308, 0, 557, 182, 55);
INSERT INTO public.who_data VALUES (43053, 0, 10197, 0, 264, 182, 108);
INSERT INTO public.who_data VALUES (43054, 311, 24698, 3, 138, 182, 48);
INSERT INTO public.who_data VALUES (43055, 0, 83769, 0, 609, 182, 3);
INSERT INTO public.who_data VALUES (43056, 0, 741, 0, 13, 182, 224);
INSERT INTO public.who_data VALUES (43057, 591, 292765, 4, 6235, 182, 110);
INSERT INTO public.who_data VALUES (43058, 0, 0, 0, 0, 182, 106);
INSERT INTO public.who_data VALUES (43059, 537, 84392, 15, 1859, 182, 89);
INSERT INTO public.who_data VALUES (43060, 0, 361, 0, 4, 182, 121);
INSERT INTO public.who_data VALUES (43061, 719, 12536, 12, 182, 182, 163);
INSERT INTO public.who_data VALUES (43062, 9008, 576067, 211, 27245, 182, 70);
INSERT INTO public.who_data VALUES (43063, 4884, 187249, 26, 2966, 182, 174);
INSERT INTO public.who_data VALUES (43064, 0, 0, 0, 0, 182, 175);
INSERT INTO public.who_data VALUES (43065, 900, 61181, 13, 1951, 182, 118);
INSERT INTO public.who_data VALUES (43066, 241, 55452, 2, 1794, 182, 189);
INSERT INTO public.who_data VALUES (43067, 731, 29577, 7, 381, 182, 124);
INSERT INTO public.who_data VALUES (43068, 284, 116765, 0, 193, 182, 192);
INSERT INTO public.who_data VALUES (43069, 397, 17399, 0, 309, 182, 41);
INSERT INTO public.who_data VALUES (43070, 588, 33072, 6, 935, 182, 95);
INSERT INTO public.who_data VALUES (43071, 42, 1117, 1, 6, 182, 74);
INSERT INTO public.who_data VALUES (43072, 1189, 77544, 37, 3233, 182, 11);
INSERT INTO public.who_data VALUES (43073, 4852, 956749, 73, 16383, 182, 87);
INSERT INTO public.who_data VALUES (43074, 109, 2889, 0, 11, 182, 214);
INSERT INTO public.who_data VALUES (43075, 0, 5, 0, 0, 182, 116);
INSERT INTO public.who_data VALUES (43076, 0, 16, 0, 0, 182, 157);
INSERT INTO public.who_data VALUES (43077, 0, 0, 0, 0, 182, 182);
INSERT INTO public.who_data VALUES (43078, 0, 17, 0, 0, 182, 186);
INSERT INTO public.who_data VALUES (43079, 0, 26, 0, 0, 182, 127);
INSERT INTO public.who_data VALUES (43080, 55, 176, 0, 5, 182, 232);
INSERT INTO public.who_data VALUES (43081, 0, 5, 0, 0, 182, 33);
INSERT INTO public.who_data VALUES (43082, 0, 58, 0, 0, 182, 97);
INSERT INTO public.who_data VALUES (43083, 0, 0, 0, 0, 182, 42);
INSERT INTO public.who_data VALUES (43084, 0, 726, 0, 42, 182, 198);
INSERT INTO public.who_data VALUES (43085, 1, 892, 0, 15, 182, 216);
INSERT INTO public.who_data VALUES (43086, 1184, 306370, 39, 3619, 182, 164);
INSERT INTO public.who_data VALUES (43087, 161, 12850, 4, 266, 182, 235);
INSERT INTO public.who_data VALUES (43088, 170, 30548, 3, 695, 182, 67);
INSERT INTO public.who_data VALUES (43089, 0, 127, 0, 0, 182, 15);
INSERT INTO public.who_data VALUES (43090, 8, 1980, 0, 69, 182, 180);
INSERT INTO public.who_data VALUES (43091, 50, 56266, 0, 27, 182, 237);
INSERT INTO public.who_data VALUES (43092, 0, 3, 0, 0, 182, 25);
INSERT INTO public.who_data VALUES (43093, 0, 353, 0, 17, 182, 209);
INSERT INTO public.who_data VALUES (43094, 123, 3225, 0, 33, 182, 217);
INSERT INTO public.who_data VALUES (43095, 43, 2618, 0, 132, 182, 79);
INSERT INTO public.who_data VALUES (43096, 0, 0, 0, 0, 182, 143);
INSERT INTO public.who_data VALUES (43097, 4, 3269, 0, 93, 182, 229);
INSERT INTO public.who_data VALUES (43098, 3707, 607045, 144, 12987, 182, 141);
INSERT INTO public.who_data VALUES (43099, 2, 2499, 0, 47, 182, 197);
INSERT INTO public.who_data VALUES (43100, 10748, 428022, 41, 30462, 182, 221);
INSERT INTO public.who_data VALUES (43101, 29, 2947, 1, 12, 182, 150);
INSERT INTO public.who_data VALUES (43102, 67, 12903, 3, 818, 182, 56);
INSERT INTO public.who_data VALUES (43103, 94, 3460, 1, 56, 182, 167);
INSERT INTO public.who_data VALUES (43104, 298, 82820, 5, 5808, 182, 23);
INSERT INTO public.who_data VALUES (43105, 192, 40017, 1, 1756, 182, 222);
INSERT INTO public.who_data VALUES (43106, 70, 2143, 2, 85, 182, 219);
INSERT INTO public.who_data VALUES (43107, 36, 8277, 0, 66, 182, 7);
INSERT INTO public.who_data VALUES (43108, 5, 3395, 0, 58, 182, 161);
INSERT INTO public.who_data VALUES (43109, 1288, 324605, 18, 41423, 182, 149);
INSERT INTO public.who_data VALUES (43110, 0, 26, 0, 0, 182, 6);
INSERT INTO public.who_data VALUES (43111, 0, 1212, 0, 27, 182, 139);
INSERT INTO public.who_data VALUES (43112, 0, 0, 0, 0, 182, 211);
INSERT INTO public.who_data VALUES (43113, 0, 0, 0, 0, 182, 14);
INSERT INTO public.who_data VALUES (43114, 93, 899, 1, 13, 182, 111);
INSERT INTO public.who_data VALUES (43115, 80, 2818, 3, 71, 182, 207);
INSERT INTO public.who_data VALUES (43116, 8039, 432012, 22, 6102, 182, 66);
INSERT INTO public.who_data VALUES (43117, 0, 0, 0, 0, 182, 173);
INSERT INTO public.who_data VALUES (43118, 13, 347, 0, 2, 182, 145);
INSERT INTO public.who_data VALUES (43119, 0, 0, 0, 0, 182, 65);
INSERT INTO public.who_data VALUES (43120, 416, 2166, 1, 20, 182, 184);
INSERT INTO public.who_data VALUES (43121, 1987, 104958, 27, 2271, 182, 98);
INSERT INTO public.who_data VALUES (43122, 424, 66617, 2, 372, 182, 104);
INSERT INTO public.who_data VALUES (43123, 0, 509, 0, 21, 182, 73);
INSERT INTO public.who_data VALUES (43124, 45960, 5567217, 1148, 174246, 182, 8);
INSERT INTO public.who_data VALUES (43125, 0, 932, 0, 10, 182, 227);
INSERT INTO public.who_data VALUES (43126, 10, 1516, 1, 42, 182, 75);
INSERT INTO public.who_data VALUES (43127, 467, 38698, 7, 269, 182, 45);
INSERT INTO public.who_data VALUES (43128, 0, 0, 0, 0, 182, 133);
INSERT INTO public.who_data VALUES (43129, 621, 38188, 6, 317, 182, 202);
INSERT INTO public.who_data VALUES (43130, 5, 1014, 1, 26, 182, 129);
INSERT INTO public.who_data VALUES (43131, 0, 0, 0, 0, 182, 36);
INSERT INTO public.who_data VALUES (43132, 1, 1911, 4, 547, 182, 51);
INSERT INTO public.who_data VALUES (43133, 0, 10627, 0, 277, 182, 206);
INSERT INTO public.who_data VALUES (43134, 78, 5893, 1, 153, 182, 5);
INSERT INTO public.who_data VALUES (43135, 38, 37980, 0, 1389, 183, 103);
INSERT INTO public.who_data VALUES (43136, 152, 8119, 2, 240, 183, 58);
INSERT INTO public.who_data VALUES (43137, 0, 40258, 0, 1411, 183, 195);
INSERT INTO public.who_data VALUES (43138, 0, 0, 0, 0, 183, 115);
INSERT INTO public.who_data VALUES (43139, 11, 1047, 0, 53, 183, 99);
INSERT INTO public.who_data VALUES (43140, 24, 2068, 1, 94, 183, 153);
INSERT INTO public.who_data VALUES (43141, 0, 3, 0, 0, 183, 93);
INSERT INTO public.who_data VALUES (43142, 0, 94, 0, 3, 183, 84);
INSERT INTO public.who_data VALUES (43143, 8225, 320884, 161, 6567, 183, 78);
INSERT INTO public.who_data VALUES (43144, 139, 41929, 8, 845, 183, 170);
INSERT INTO public.who_data VALUES (43145, 91, 1387, 1, 6, 183, 32);
INSERT INTO public.who_data VALUES (43146, 171, 24407, 9, 472, 183, 155);
INSERT INTO public.who_data VALUES (43147, 275, 24883, 1, 730, 183, 82);
INSERT INTO public.who_data VALUES (43148, 162, 34921, 2, 512, 183, 16);
INSERT INTO public.who_data VALUES (43149, 79, 1610, 1, 23, 183, 72);
INSERT INTO public.who_data VALUES (43150, 358, 48661, 2, 181, 183, 43);
INSERT INTO public.who_data VALUES (43151, 2401, 290360, 39, 3861, 183, 120);
INSERT INTO public.who_data VALUES (43152, 2, 157, 0, 7, 183, 213);
INSERT INTO public.who_data VALUES (43153, 161, 70111, 5, 632, 183, 31);
INSERT INTO public.who_data VALUES (43154, 510, 82058, 3, 9844, 183, 204);
INSERT INTO public.who_data VALUES (43155, 52, 605, 0, 5, 183, 152);
INSERT INTO public.who_data VALUES (43156, 20, 2115, 0, 39, 183, 144);
INSERT INTO public.who_data VALUES (43157, 0, 166, 0, 9, 183, 96);
INSERT INTO public.who_data VALUES (43158, 1, 154, 0, 0, 183, 47);
INSERT INTO public.who_data VALUES (43159, 1015, 106065, 72, 4305, 183, 80);
INSERT INTO public.who_data VALUES (43160, 0, 5, 0, 0, 183, 159);
INSERT INTO public.who_data VALUES (43161, 366, 17392, 10, 520, 183, 27);
INSERT INTO public.who_data VALUES (43162, 0, 1308, 0, 3, 183, 146);
INSERT INTO public.who_data VALUES (43163, 45323, 3501975, 1204, 112304, 183, 71);
INSERT INTO public.who_data VALUES (43164, 0, 12, 0, 1, 183, 210);
INSERT INTO public.who_data VALUES (43165, 0, 143, 0, 3, 183, 54);
INSERT INTO public.who_data VALUES (43166, 169, 15131, 7, 539, 183, 147);
INSERT INTO public.who_data VALUES (43167, 5, 1297, 0, 55, 183, 2);
INSERT INTO public.who_data VALUES (43168, 3, 429, 0, 1, 183, 105);
INSERT INTO public.who_data VALUES (43169, 44, 3412, 0, 37, 183, 53);
INSERT INTO public.who_data VALUES (43170, 0, 273, 0, 0, 183, 81);
INSERT INTO public.who_data VALUES (43171, 0, 18762, 0, 408, 183, 223);
INSERT INTO public.who_data VALUES (43172, 383, 123873, 5, 9054, 183, 94);
INSERT INTO public.who_data VALUES (43173, 0, 205, 0, 1, 183, 154);
INSERT INTO public.who_data VALUES (43174, 0, 4679, 0, 61, 183, 83);
INSERT INTO public.who_data VALUES (43175, 9, 981, 0, 76, 183, 194);
INSERT INTO public.who_data VALUES (43176, 1920, 393769, 52, 10723, 183, 136);
INSERT INTO public.who_data VALUES (43177, 50, 90103, 0, 4716, 183, 179);
INSERT INTO public.who_data VALUES (43178, 11541, 513719, 204, 16183, 183, 57);
INSERT INTO public.who_data VALUES (43179, 0, 406, 0, 7, 183, 35);
INSERT INTO public.who_data VALUES (43180, 0, 3850, 0, 77, 183, 228);
INSERT INTO public.who_data VALUES (43181, 0, 0, 0, 0, 183, 19);
INSERT INTO public.who_data VALUES (43182, 666, 31075, 12, 333, 183, 22);
INSERT INTO public.who_data VALUES (43183, 61, 17310, 0, 112, 183, 1);
INSERT INTO public.who_data VALUES (43184, 265, 7594, 1, 169, 183, 21);
INSERT INTO public.who_data VALUES (43185, 17, 3582, 1, 89, 183, 234);
INSERT INTO public.who_data VALUES (43186, 2, 37, 0, 1, 183, 91);
INSERT INTO public.who_data VALUES (43187, 11, 1406, 0, 21, 183, 137);
INSERT INTO public.who_data VALUES (43188, 506, 21551, 5, 411, 183, 201);
INSERT INTO public.who_data VALUES (43189, 0, 0, 0, 0, 183, 171);
INSERT INTO public.who_data VALUES (43190, 45, 9801, 1, 248, 183, 92);
INSERT INTO public.who_data VALUES (43191, 71, 16127, 0, 621, 183, 112);
INSERT INTO public.who_data VALUES (43192, 8, 5382, 1, 60, 183, 62);
INSERT INTO public.who_data VALUES (43193, 1, 19, 0, 0, 183, 69);
INSERT INTO public.who_data VALUES (43194, 1740, 89867, 32, 1533, 183, 220);
INSERT INTO public.who_data VALUES (43195, 973, 106481, 48, 6248, 183, 100);
INSERT INTO public.who_data VALUES (43196, 123, 97148, 19, 5231, 183, 187);
INSERT INTO public.who_data VALUES (43197, 236, 24200, 6, 646, 183, 63);
INSERT INTO public.who_data VALUES (43198, 0, 4821, 0, 83, 183, 28);
INSERT INTO public.who_data VALUES (43199, 0, 306, 0, 0, 183, 172);
INSERT INTO public.who_data VALUES (43200, 17, 2244, 0, 63, 183, 17);
INSERT INTO public.who_data VALUES (43201, 18, 4128, 0, 81, 183, 226);
INSERT INTO public.who_data VALUES (43202, 1829, 37665, 17, 637, 183, 236);
INSERT INTO public.who_data VALUES (43203, 0, 13, 0, 0, 183, 76);
INSERT INTO public.who_data VALUES (43204, 1, 384, 0, 0, 183, 30);
INSERT INTO public.who_data VALUES (43205, 0, 28, 0, 1, 183, 128);
INSERT INTO public.who_data VALUES (43206, 29, 7871, 0, 334, 183, 86);
INSERT INTO public.who_data VALUES (43207, 4396, 220309, 22, 30368, 183, 140);
INSERT INTO public.who_data VALUES (43208, 34, 8777, 1, 55, 183, 44);
INSERT INTO public.who_data VALUES (43209, 46, 298, 0, 0, 183, 113);
INSERT INTO public.who_data VALUES (43210, 69, 8388, 0, 53, 183, 29);
INSERT INTO public.who_data VALUES (43211, 36, 2437, 3, 84, 183, 125);
INSERT INTO public.who_data VALUES (43212, 9, 1394, 0, 17, 183, 131);
INSERT INTO public.who_data VALUES (43213, 2034, 232082, 7, 9267, 183, 46);
INSERT INTO public.who_data VALUES (43214, 65, 43325, 0, 261, 183, 10);
INSERT INTO public.who_data VALUES (43215, 6, 229, 0, 0, 183, 205);
INSERT INTO public.who_data VALUES (43216, 204, 8138, 3, 238, 183, 50);
INSERT INTO public.who_data VALUES (43217, 0, 14, 0, 0, 183, 20);
INSERT INTO public.who_data VALUES (43218, 0, 24, 0, 0, 183, 13);
INSERT INTO public.who_data VALUES (43219, 0, 510, 0, 15, 183, 148);
INSERT INTO public.who_data VALUES (43220, 63, 759, 1, 7, 183, 230);
INSERT INTO public.who_data VALUES (43221, 958, 66941, 26, 2532, 183, 190);
INSERT INTO public.who_data VALUES (43222, 0, 252, 0, 13, 183, 188);
INSERT INTO public.who_data VALUES (43223, 56, 8932, 0, 53, 183, 123);
INSERT INTO public.who_data VALUES (43224, 0, 2149, 0, 33, 183, 9);
INSERT INTO public.who_data VALUES (43225, 70, 846, 0, 29, 183, 102);
INSERT INTO public.who_data VALUES (43226, 19, 8016, 0, 196, 183, 34);
INSERT INTO public.who_data VALUES (43227, 0, 12, 0, 0, 183, 212);
INSERT INTO public.who_data VALUES (43228, 523, 52819, 11, 1619, 183, 122);
INSERT INTO public.who_data VALUES (43229, 52, 5098, 2, 611, 183, 38);
INSERT INTO public.who_data VALUES (43230, 10, 2050, 0, 10, 183, 130);
INSERT INTO public.who_data VALUES (43231, 69878, 2975701, 945, 55794, 183, 37);
INSERT INTO public.who_data VALUES (43232, 2197, 149408, 82, 6500, 183, 231);
INSERT INTO public.who_data VALUES (43233, 2206, 354764, 112, 20376, 183, 107);
INSERT INTO public.who_data VALUES (43234, 4288, 197085, 75, 6283, 183, 101);
INSERT INTO public.who_data VALUES (43235, 79, 27755, 0, 1776, 183, 132);
INSERT INTO public.who_data VALUES (43236, 0, 336, 0, 24, 183, 176);
INSERT INTO public.who_data VALUES (43237, 1487, 99846, 12, 806, 183, 200);
INSERT INTO public.who_data VALUES (43238, 947, 257065, 9, 35427, 183, 169);
INSERT INTO public.who_data VALUES (43239, 98, 1290, 1, 15, 183, 225);
INSERT INTO public.who_data VALUES (43240, 1012, 60733, 14, 1169, 183, 165);
INSERT INTO public.who_data VALUES (43241, 1, 363, 0, 32, 183, 233);
INSERT INTO public.who_data VALUES (43242, 34, 1600, 0, 11, 183, 215);
INSERT INTO public.who_data VALUES (43243, 960, 127203, 0, 1633, 183, 177);
INSERT INTO public.who_data VALUES (43244, 322, 31763, 16, 532, 183, 183);
INSERT INTO public.who_data VALUES (43245, 0, 0, 0, 0, 183, 203);
INSERT INTO public.who_data VALUES (43246, 162, 12125, 10, 438, 183, 162);
INSERT INTO public.who_data VALUES (43247, 502, 79269, 2, 511, 183, 12);
INSERT INTO public.who_data VALUES (43248, 186, 42889, 0, 1055, 183, 24);
INSERT INTO public.who_data VALUES (43249, 0, 22, 0, 0, 183, 119);
INSERT INTO public.who_data VALUES (43250, 3, 1330, 0, 33, 183, 39);
INSERT INTO public.who_data VALUES (43251, 628, 11580, 3, 116, 183, 26);
INSERT INTO public.who_data VALUES (43252, 19, 1015, 0, 30, 183, 59);
INSERT INTO public.who_data VALUES (43253, 1, 1285, 0, 82, 183, 77);
INSERT INTO public.who_data VALUES (43254, 414, 10121, 7, 180, 183, 134);
INSERT INTO public.who_data VALUES (43255, 0, 100, 0, 1, 183, 4);
INSERT INTO public.who_data VALUES (43256, 30, 2588, 2, 84, 183, 109);
INSERT INTO public.who_data VALUES (43257, 67, 7704, 0, 124, 183, 90);
INSERT INTO public.who_data VALUES (43258, 64, 14218, 1, 178, 183, 61);
INSERT INTO public.who_data VALUES (43259, 40, 5322, 1, 166, 183, 85);
INSERT INTO public.who_data VALUES (43260, 9, 9249, 0, 125, 183, 49);
INSERT INTO public.who_data VALUES (43261, 194, 6564, 1, 25, 183, 208);
INSERT INTO public.who_data VALUES (43262, 21, 2688, 0, 125, 183, 166);
INSERT INTO public.who_data VALUES (43263, 36, 1545, 0, 9, 183, 64);
INSERT INTO public.who_data VALUES (43264, 0, 0, 0, 0, 183, 199);
INSERT INTO public.who_data VALUES (43265, 0, 350, 0, 16, 183, 114);
INSERT INTO public.who_data VALUES (43266, 37, 6885, 0, 158, 183, 60);
INSERT INTO public.who_data VALUES (43267, 0, 346, 0, 10, 183, 68);
INSERT INTO public.who_data VALUES (43268, 77, 3237, 0, 39, 183, 158);
INSERT INTO public.who_data VALUES (43269, 6775, 543806, 625, 59106, 183, 52);
INSERT INTO public.who_data VALUES (43270, 0, 0, 0, 0, 183, 117);
INSERT INTO public.who_data VALUES (43271, 4, 109, 0, 1, 183, 126);
INSERT INTO public.who_data VALUES (43272, 0, 298, 0, 0, 183, 196);
INSERT INTO public.who_data VALUES (43273, 25, 4313, 2, 84, 183, 142);
INSERT INTO public.who_data VALUES (43274, 0, 13, 0, 1, 183, 185);
INSERT INTO public.who_data VALUES (43275, 1609, 49247, 42, 817, 183, 138);
INSERT INTO public.who_data VALUES (43276, 80, 3195, 0, 20, 183, 181);
INSERT INTO public.who_data VALUES (43277, 26, 435, 0, 6, 183, 178);
INSERT INTO public.who_data VALUES (43278, 315, 5227, 1, 43, 183, 168);
INSERT INTO public.who_data VALUES (43279, 0, 0, 0, 0, 183, 160);
INSERT INTO public.who_data VALUES (43280, 838, 30483, 11, 137, 183, 151);
INSERT INTO public.who_data VALUES (43281, 533, 65519, 1, 6190, 183, 193);
INSERT INTO public.who_data VALUES (43282, 0, 23, 0, 0, 183, 18);
INSERT INTO public.who_data VALUES (43283, 6, 1321, 0, 22, 183, 40);
INSERT INTO public.who_data VALUES (43284, 0, 3540, 0, 133, 183, 218);
INSERT INTO public.who_data VALUES (43285, 3, 1172, 0, 69, 183, 191);
INSERT INTO public.who_data VALUES (43286, 340, 51304, 4, 996, 183, 156);
INSERT INTO public.who_data VALUES (43287, 0, 0, 0, 0, 183, 135);
INSERT INTO public.who_data VALUES (43288, 0, 54, 0, 2, 183, 88);
INSERT INTO public.who_data VALUES (43289, 114, 13308, 3, 557, 183, 55);
INSERT INTO public.who_data VALUES (43290, 35, 10197, 0, 264, 183, 108);
INSERT INTO public.who_data VALUES (43291, 457, 24387, 4, 135, 183, 48);
INSERT INTO public.who_data VALUES (43292, 0, 83769, 0, 609, 183, 3);
INSERT INTO public.who_data VALUES (43293, 0, 741, 0, 13, 183, 224);
INSERT INTO public.who_data VALUES (43294, 586, 292174, 12, 6231, 183, 110);
INSERT INTO public.who_data VALUES (43295, 0, 0, 0, 0, 183, 106);
INSERT INTO public.who_data VALUES (43296, 101, 83855, 17, 1844, 183, 89);
INSERT INTO public.who_data VALUES (43297, 0, 361, 0, 4, 183, 121);
INSERT INTO public.who_data VALUES (43298, 684, 11817, 5, 170, 183, 163);
INSERT INTO public.who_data VALUES (43299, 8639, 567059, 200, 27034, 183, 70);
INSERT INTO public.who_data VALUES (43300, 4343, 182365, 57, 2940, 183, 174);
INSERT INTO public.who_data VALUES (43301, 0, 0, 0, 0, 183, 175);
INSERT INTO public.who_data VALUES (43302, 903, 60281, 13, 1938, 183, 118);
INSERT INTO public.who_data VALUES (43303, 219, 55211, 4, 1792, 183, 189);
INSERT INTO public.who_data VALUES (43304, 703, 28846, 7, 374, 183, 124);
INSERT INTO public.who_data VALUES (43305, 257, 116481, 0, 193, 183, 192);
INSERT INTO public.who_data VALUES (43306, 332, 17002, 0, 309, 183, 41);
INSERT INTO public.who_data VALUES (43307, 547, 32484, 8, 929, 183, 95);
INSERT INTO public.who_data VALUES (43308, 79, 1075, 0, 5, 183, 74);
INSERT INTO public.who_data VALUES (43309, 1392, 76355, 42, 3196, 183, 11);
INSERT INTO public.who_data VALUES (43310, 4921, 951897, 121, 16310, 183, 87);
INSERT INTO public.who_data VALUES (43311, 63, 2780, 0, 11, 183, 214);
INSERT INTO public.who_data VALUES (43312, 0, 5, 0, 0, 183, 116);
INSERT INTO public.who_data VALUES (43313, 0, 16, 0, 0, 183, 157);
INSERT INTO public.who_data VALUES (43314, 0, 0, 0, 0, 183, 182);
INSERT INTO public.who_data VALUES (43315, 0, 17, 0, 0, 183, 186);
INSERT INTO public.who_data VALUES (43316, 0, 26, 0, 0, 183, 127);
INSERT INTO public.who_data VALUES (43317, 0, 121, 0, 5, 183, 232);
INSERT INTO public.who_data VALUES (43318, 0, 5, 0, 0, 183, 33);
INSERT INTO public.who_data VALUES (43319, 0, 58, 0, 0, 183, 97);
INSERT INTO public.who_data VALUES (43320, 0, 0, 0, 0, 183, 42);
INSERT INTO public.who_data VALUES (43321, 0, 726, 0, 42, 183, 198);
INSERT INTO public.who_data VALUES (43322, 3, 891, 0, 15, 183, 216);
INSERT INTO public.who_data VALUES (43323, 1213, 305186, 32, 3580, 183, 164);
INSERT INTO public.who_data VALUES (43324, 130, 12689, 1, 262, 183, 235);
INSERT INTO public.who_data VALUES (43325, 169, 30378, 3, 692, 183, 67);
INSERT INTO public.who_data VALUES (43326, 0, 127, 0, 0, 183, 15);
INSERT INTO public.who_data VALUES (43327, 3, 1972, 0, 69, 183, 180);
INSERT INTO public.who_data VALUES (43328, 117, 56216, 0, 27, 183, 237);
INSERT INTO public.who_data VALUES (43329, 0, 3, 0, 0, 183, 25);
INSERT INTO public.who_data VALUES (43330, 5, 353, 0, 17, 183, 209);
INSERT INTO public.who_data VALUES (43331, 80, 3102, 0, 33, 183, 217);
INSERT INTO public.who_data VALUES (43332, 38, 2575, 1, 132, 183, 79);
INSERT INTO public.who_data VALUES (43333, 0, 0, 0, 0, 183, 143);
INSERT INTO public.who_data VALUES (43334, 0, 3265, 0, 93, 183, 229);
INSERT INTO public.who_data VALUES (43335, 3398, 603338, 225, 12843, 183, 141);
INSERT INTO public.who_data VALUES (43336, 0, 2497, 0, 47, 183, 197);
INSERT INTO public.who_data VALUES (43337, 9283, 417274, 37, 30421, 183, 221);
INSERT INTO public.who_data VALUES (43338, 0, 2918, 0, 11, 183, 150);
INSERT INTO public.who_data VALUES (43339, 154, 12836, 0, 815, 183, 56);
INSERT INTO public.who_data VALUES (43340, 71, 3366, 1, 55, 183, 167);
INSERT INTO public.who_data VALUES (43341, 333, 82522, 2, 5803, 183, 23);
INSERT INTO public.who_data VALUES (43342, 314, 39825, 1, 1755, 183, 222);
INSERT INTO public.who_data VALUES (43343, 65, 2073, 1, 83, 183, 219);
INSERT INTO public.who_data VALUES (43344, 38, 8241, 0, 66, 183, 7);
INSERT INTO public.who_data VALUES (43345, 0, 3390, 0, 58, 183, 161);
INSERT INTO public.who_data VALUES (43346, 1033, 323317, 2, 41405, 183, 149);
INSERT INTO public.who_data VALUES (43347, 0, 26, 0, 0, 183, 6);
INSERT INTO public.who_data VALUES (43348, 22, 1212, 0, 27, 183, 139);
INSERT INTO public.who_data VALUES (43349, 0, 0, 0, 0, 183, 211);
INSERT INTO public.who_data VALUES (43350, 0, 0, 0, 0, 183, 14);
INSERT INTO public.who_data VALUES (43351, 76, 806, 0, 12, 183, 111);
INSERT INTO public.who_data VALUES (43352, 131, 2738, 5, 68, 183, 207);
INSERT INTO public.who_data VALUES (43353, 7933, 423973, 22, 6080, 183, 66);
INSERT INTO public.who_data VALUES (43354, 0, 0, 0, 0, 183, 173);
INSERT INTO public.who_data VALUES (43355, 7, 334, 0, 2, 183, 145);
INSERT INTO public.who_data VALUES (43356, 0, 0, 0, 0, 183, 65);
INSERT INTO public.who_data VALUES (43357, 0, 1750, 0, 19, 183, 184);
INSERT INTO public.who_data VALUES (43358, 2328, 102971, 37, 2244, 183, 98);
INSERT INTO public.who_data VALUES (43359, 391, 66193, 1, 370, 183, 104);
INSERT INTO public.who_data VALUES (43360, 0, 509, 0, 21, 183, 73);
INSERT INTO public.who_data VALUES (43361, 43952, 5521257, 1065, 173098, 183, 8);
INSERT INTO public.who_data VALUES (43362, 63, 932, 0, 10, 183, 227);
INSERT INTO public.who_data VALUES (43363, 13, 1506, 1, 41, 183, 75);
INSERT INTO public.who_data VALUES (43364, 406, 38231, 6, 262, 183, 45);
INSERT INTO public.who_data VALUES (43365, 0, 0, 0, 0, 183, 133);
INSERT INTO public.who_data VALUES (43366, 699, 37567, 8, 311, 183, 202);
INSERT INTO public.who_data VALUES (43367, 2, 1009, 0, 25, 183, 129);
INSERT INTO public.who_data VALUES (43368, 0, 0, 0, 0, 183, 36);
INSERT INTO public.who_data VALUES (43369, 7, 1910, 1, 543, 183, 51);
INSERT INTO public.who_data VALUES (43370, 255, 10627, 3, 277, 183, 206);
INSERT INTO public.who_data VALUES (43371, 70, 5815, 1, 152, 183, 5);
INSERT INTO public.who_data VALUES (43372, 97, 37942, 2, 1389, 184, 103);
INSERT INTO public.who_data VALUES (43373, 155, 7967, 4, 238, 184, 58);
INSERT INTO public.who_data VALUES (43374, 411, 40258, 9, 1411, 184, 195);
INSERT INTO public.who_data VALUES (43375, 0, 0, 0, 0, 184, 115);
INSERT INTO public.who_data VALUES (43376, 12, 1036, 0, 53, 184, 99);
INSERT INTO public.who_data VALUES (43377, 29, 2044, 1, 93, 184, 153);
INSERT INTO public.who_data VALUES (43378, 0, 3, 0, 0, 184, 93);
INSERT INTO public.who_data VALUES (43379, 0, 94, 0, 3, 184, 84);
INSERT INTO public.who_data VALUES (43380, 6693, 312659, 292, 6406, 184, 78);
INSERT INTO public.who_data VALUES (43381, 158, 41790, 6, 837, 184, 170);
INSERT INTO public.who_data VALUES (43382, 91, 1296, 1, 5, 184, 32);
INSERT INTO public.who_data VALUES (43383, 243, 24236, 13, 463, 184, 155);
INSERT INTO public.who_data VALUES (43384, 308, 24608, 0, 729, 184, 82);
INSERT INTO public.who_data VALUES (43385, 139, 34759, 0, 510, 184, 16);
INSERT INTO public.who_data VALUES (43386, 107, 1531, 2, 22, 184, 72);
INSERT INTO public.who_data VALUES (43387, 353, 48303, 1, 179, 184, 43);
INSERT INTO public.who_data VALUES (43388, 2868, 287959, 41, 3822, 184, 120);
INSERT INTO public.who_data VALUES (43389, 0, 155, 0, 7, 184, 213);
INSERT INTO public.who_data VALUES (43390, 149, 69950, 5, 627, 184, 31);
INSERT INTO public.who_data VALUES (43391, 581, 81548, 4, 9841, 184, 204);
INSERT INTO public.who_data VALUES (43392, 0, 553, 1, 5, 184, 152);
INSERT INTO public.who_data VALUES (43393, 0, 2095, 0, 39, 184, 144);
INSERT INTO public.who_data VALUES (43394, 0, 166, 0, 9, 184, 96);
INSERT INTO public.who_data VALUES (43395, 3, 153, 0, 0, 184, 47);
INSERT INTO public.who_data VALUES (43396, 2031, 105050, 61, 4233, 184, 80);
INSERT INTO public.who_data VALUES (43397, 0, 5, 0, 0, 184, 159);
INSERT INTO public.who_data VALUES (43398, 335, 17026, 8, 510, 184, 27);
INSERT INTO public.who_data VALUES (43399, 0, 1308, 0, 3, 184, 146);
INSERT INTO public.who_data VALUES (43400, 49298, 3456652, 1212, 111100, 184, 71);
INSERT INTO public.who_data VALUES (43401, 1, 12, 0, 1, 184, 210);
INSERT INTO public.who_data VALUES (43402, 0, 143, 0, 3, 184, 54);
INSERT INTO public.who_data VALUES (43403, 142, 14962, 5, 532, 184, 147);
INSERT INTO public.who_data VALUES (43404, 7, 1292, 0, 55, 184, 2);
INSERT INTO public.who_data VALUES (43405, 4, 426, 0, 1, 184, 105);
INSERT INTO public.who_data VALUES (43406, 47, 3368, 1, 37, 184, 53);
INSERT INTO public.who_data VALUES (43407, 0, 273, 0, 0, 184, 81);
INSERT INTO public.who_data VALUES (43408, 0, 18762, 0, 408, 184, 223);
INSERT INTO public.who_data VALUES (43409, 336, 123490, 4, 9049, 184, 94);
INSERT INTO public.who_data VALUES (43410, 2, 205, 0, 1, 184, 154);
INSERT INTO public.who_data VALUES (43411, 0, 4679, 0, 61, 184, 83);
INSERT INTO public.who_data VALUES (43412, 1, 972, 0, 76, 184, 194);
INSERT INTO public.who_data VALUES (43413, 1812, 391849, 93, 10671, 184, 136);
INSERT INTO public.who_data VALUES (43414, 40, 90053, 3, 4716, 184, 179);
INSERT INTO public.who_data VALUES (43415, 13056, 502178, 360, 15979, 184, 57);
INSERT INTO public.who_data VALUES (43416, 0, 406, 0, 7, 184, 35);
INSERT INTO public.who_data VALUES (43417, 0, 3850, 0, 77, 184, 228);
INSERT INTO public.who_data VALUES (43418, 0, 0, 0, 0, 184, 19);
INSERT INTO public.who_data VALUES (43419, 766, 30409, 7, 321, 184, 22);
INSERT INTO public.who_data VALUES (43420, 17, 17249, 1, 112, 184, 1);
INSERT INTO public.who_data VALUES (43421, 255, 7329, 0, 168, 184, 21);
INSERT INTO public.who_data VALUES (43422, 83, 3565, 0, 88, 184, 234);
INSERT INTO public.who_data VALUES (43423, 0, 35, 0, 1, 184, 91);
INSERT INTO public.who_data VALUES (43424, 10, 1395, 0, 21, 184, 137);
INSERT INTO public.who_data VALUES (43425, 247, 21045, 2, 406, 184, 201);
INSERT INTO public.who_data VALUES (43426, 0, 0, 0, 0, 184, 171);
INSERT INTO public.who_data VALUES (43427, 16, 9756, 1, 247, 184, 92);
INSERT INTO public.who_data VALUES (43428, 116, 16056, 0, 621, 184, 112);
INSERT INTO public.who_data VALUES (43429, 0, 5374, 0, 59, 184, 62);
INSERT INTO public.who_data VALUES (43430, 0, 18, 0, 0, 184, 69);
INSERT INTO public.who_data VALUES (43431, 0, 88127, 0, 1501, 184, 220);
INSERT INTO public.who_data VALUES (43432, 1033, 105508, 54, 6200, 184, 100);
INSERT INTO public.who_data VALUES (43433, 111, 97025, 15, 5212, 184, 187);
INSERT INTO public.who_data VALUES (43434, 247, 23964, 7, 640, 184, 63);
INSERT INTO public.who_data VALUES (43435, 0, 4821, 0, 83, 184, 28);
INSERT INTO public.who_data VALUES (43436, 2, 306, 0, 0, 184, 172);
INSERT INTO public.who_data VALUES (43437, 20, 2227, 0, 63, 184, 17);
INSERT INTO public.who_data VALUES (43438, 52, 4110, 2, 81, 184, 226);
INSERT INTO public.who_data VALUES (43439, 1778, 35836, 20, 620, 184, 236);
INSERT INTO public.who_data VALUES (43440, 0, 13, 0, 0, 184, 76);
INSERT INTO public.who_data VALUES (43441, 1, 383, 0, 0, 184, 30);
INSERT INTO public.who_data VALUES (43442, 0, 28, 0, 1, 184, 128);
INSERT INTO public.who_data VALUES (43443, 37, 7842, 0, 334, 184, 86);
INSERT INTO public.who_data VALUES (43444, 4688, 215913, 12, 30346, 184, 140);
INSERT INTO public.who_data VALUES (43445, 32, 8743, 0, 54, 184, 44);
INSERT INTO public.who_data VALUES (43446, 20, 252, 0, 0, 184, 113);
INSERT INTO public.who_data VALUES (43447, 0, 8319, 0, 53, 184, 29);
INSERT INTO public.who_data VALUES (43448, 113, 2401, 4, 81, 184, 125);
INSERT INTO public.who_data VALUES (43449, 15, 1385, 0, 17, 184, 131);
INSERT INTO public.who_data VALUES (43450, 1427, 230048, 7, 9260, 184, 46);
INSERT INTO public.who_data VALUES (43451, 166, 43260, 5, 261, 184, 10);
INSERT INTO public.who_data VALUES (43452, 1, 223, 0, 0, 184, 205);
INSERT INTO public.who_data VALUES (43453, 250, 7934, 0, 235, 184, 50);
INSERT INTO public.who_data VALUES (43454, 0, 14, 0, 0, 184, 20);
INSERT INTO public.who_data VALUES (43455, 0, 24, 0, 0, 184, 13);
INSERT INTO public.who_data VALUES (43456, 0, 510, 0, 15, 184, 148);
INSERT INTO public.who_data VALUES (43457, 105, 696, 1, 6, 184, 230);
INSERT INTO public.who_data VALUES (43458, 1102, 65983, 39, 2506, 184, 190);
INSERT INTO public.who_data VALUES (43459, 0, 252, 0, 13, 184, 188);
INSERT INTO public.who_data VALUES (43460, 84, 8876, 0, 53, 184, 123);
INSERT INTO public.who_data VALUES (43461, 0, 2149, 0, 33, 184, 9);
INSERT INTO public.who_data VALUES (43462, 39, 776, 3, 29, 184, 102);
INSERT INTO public.who_data VALUES (43463, 48, 7997, 0, 196, 184, 34);
INSERT INTO public.who_data VALUES (43464, 0, 12, 0, 0, 184, 212);
INSERT INTO public.who_data VALUES (43465, 626, 52296, 15, 1608, 184, 122);
INSERT INTO public.who_data VALUES (43466, 44, 5046, 0, 609, 184, 38);
INSERT INTO public.who_data VALUES (43467, 5, 2040, 0, 10, 184, 130);
INSERT INTO public.who_data VALUES (43468, 68898, 2905823, 983, 54849, 184, 37);
INSERT INTO public.who_data VALUES (43469, 2266, 147211, 72, 6418, 184, 231);
INSERT INTO public.who_data VALUES (43470, 2279, 352558, 139, 20264, 184, 107);
INSERT INTO public.who_data VALUES (43471, 3995, 192797, 87, 6208, 184, 101);
INSERT INTO public.who_data VALUES (43472, 129, 27676, 1, 1776, 184, 132);
INSERT INTO public.who_data VALUES (43473, 0, 336, 0, 24, 184, 176);
INSERT INTO public.who_data VALUES (43474, 1640, 98359, 12, 794, 184, 200);
INSERT INTO public.who_data VALUES (43475, 840, 256118, 6, 35418, 184, 169);
INSERT INTO public.who_data VALUES (43476, 46, 1192, 0, 14, 184, 225);
INSERT INTO public.who_data VALUES (43477, 1220, 59721, 11, 1155, 184, 165);
INSERT INTO public.who_data VALUES (43478, 3, 362, 0, 32, 184, 233);
INSERT INTO public.who_data VALUES (43479, 16, 1566, 0, 11, 184, 215);
INSERT INTO public.who_data VALUES (43480, 908, 126243, 0, 1633, 184, 177);
INSERT INTO public.who_data VALUES (43481, 426, 31441, 10, 516, 184, 183);
INSERT INTO public.who_data VALUES (43482, 0, 0, 0, 0, 184, 203);
INSERT INTO public.who_data VALUES (43483, 158, 11963, 13, 428, 184, 162);
INSERT INTO public.who_data VALUES (43484, 622, 78767, 2, 509, 184, 12);
INSERT INTO public.who_data VALUES (43485, 196, 42703, 1, 1055, 184, 24);
INSERT INTO public.who_data VALUES (43486, 0, 22, 0, 0, 184, 119);
INSERT INTO public.who_data VALUES (43487, 1, 1327, 0, 33, 184, 39);
INSERT INTO public.who_data VALUES (43488, 605, 10952, 4, 113, 184, 26);
INSERT INTO public.who_data VALUES (43489, 0, 996, 0, 30, 184, 59);
INSERT INTO public.who_data VALUES (43490, 2, 1284, 0, 82, 184, 77);
INSERT INTO public.who_data VALUES (43491, 244, 9707, 4, 173, 184, 134);
INSERT INTO public.who_data VALUES (43492, 1, 100, 0, 1, 184, 4);
INSERT INTO public.who_data VALUES (43493, 37, 2558, 0, 82, 184, 109);
INSERT INTO public.who_data VALUES (43494, 71, 7637, 0, 124, 184, 90);
INSERT INTO public.who_data VALUES (43495, 80, 14154, 4, 177, 184, 61);
INSERT INTO public.who_data VALUES (43496, 42, 5282, 1, 165, 184, 85);
INSERT INTO public.who_data VALUES (43497, 5, 9240, 0, 125, 184, 49);
INSERT INTO public.who_data VALUES (43498, 145, 6370, 0, 24, 184, 208);
INSERT INTO public.who_data VALUES (43499, 0, 2667, 0, 125, 184, 166);
INSERT INTO public.who_data VALUES (43500, 40, 1509, 0, 9, 184, 64);
INSERT INTO public.who_data VALUES (43501, 0, 0, 0, 0, 184, 199);
INSERT INTO public.who_data VALUES (43502, 0, 350, 0, 16, 184, 114);
INSERT INTO public.who_data VALUES (43503, 19, 6848, 0, 158, 184, 60);
INSERT INTO public.who_data VALUES (43504, 0, 346, 0, 10, 184, 68);
INSERT INTO public.who_data VALUES (43505, 0, 3160, 0, 39, 184, 158);
INSERT INTO public.who_data VALUES (43506, 5792, 537031, 707, 58481, 184, 52);
INSERT INTO public.who_data VALUES (43507, 0, 0, 0, 0, 184, 117);
INSERT INTO public.who_data VALUES (43508, 2, 105, 0, 1, 184, 126);
INSERT INTO public.who_data VALUES (43509, 0, 298, 0, 0, 184, 196);
INSERT INTO public.who_data VALUES (43510, 41, 4288, 1, 82, 184, 142);
INSERT INTO public.who_data VALUES (43511, 0, 13, 0, 1, 184, 185);
INSERT INTO public.who_data VALUES (43512, 1325, 47638, 32, 775, 184, 138);
INSERT INTO public.who_data VALUES (43513, 70, 3115, 1, 20, 184, 181);
INSERT INTO public.who_data VALUES (43514, 13, 409, 0, 6, 184, 178);
INSERT INTO public.who_data VALUES (43515, 247, 4912, 3, 42, 184, 168);
INSERT INTO public.who_data VALUES (43516, 0, 0, 0, 0, 184, 160);
INSERT INTO public.who_data VALUES (43517, 707, 29645, 6, 126, 184, 151);
INSERT INTO public.who_data VALUES (43518, 532, 64986, 9, 6189, 184, 193);
INSERT INTO public.who_data VALUES (43519, 0, 23, 0, 0, 184, 18);
INSERT INTO public.who_data VALUES (43520, 11, 1315, 0, 22, 184, 40);
INSERT INTO public.who_data VALUES (43521, 0, 3540, 0, 133, 184, 218);
INSERT INTO public.who_data VALUES (43522, 2, 1169, 0, 69, 184, 191);
INSERT INTO public.who_data VALUES (43523, 476, 50964, 7, 992, 184, 156);
INSERT INTO public.who_data VALUES (43524, 0, 0, 0, 0, 184, 135);
INSERT INTO public.who_data VALUES (43525, 0, 54, 0, 2, 184, 88);
INSERT INTO public.who_data VALUES (43526, 118, 13194, 3, 554, 184, 55);
INSERT INTO public.who_data VALUES (43527, 51, 10162, 2, 264, 184, 108);
INSERT INTO public.who_data VALUES (43528, 503, 23930, 4, 131, 184, 48);
INSERT INTO public.who_data VALUES (43529, 163, 83769, 6, 609, 184, 3);
INSERT INTO public.who_data VALUES (43530, 0, 741, 0, 13, 184, 224);
INSERT INTO public.who_data VALUES (43531, 630, 291588, 10, 6219, 184, 110);
INSERT INTO public.who_data VALUES (43532, 0, 0, 0, 0, 184, 106);
INSERT INTO public.who_data VALUES (43533, 964, 83754, 18, 1827, 184, 89);
INSERT INTO public.who_data VALUES (43534, 2, 361, 1, 4, 184, 121);
INSERT INTO public.who_data VALUES (43535, 527, 11133, 4, 165, 184, 163);
INSERT INTO public.who_data VALUES (43536, 9099, 558420, 176, 26834, 184, 70);
INSERT INTO public.who_data VALUES (43537, 4248, 178022, 88, 2883, 184, 174);
INSERT INTO public.who_data VALUES (43538, 0, 0, 0, 0, 184, 175);
INSERT INTO public.who_data VALUES (43539, 767, 59378, 12, 1925, 184, 118);
INSERT INTO public.who_data VALUES (43540, 291, 54992, 2, 1788, 184, 189);
INSERT INTO public.who_data VALUES (43541, 209, 28143, 11, 367, 184, 124);
INSERT INTO public.who_data VALUES (43542, 268, 116224, 0, 193, 184, 192);
INSERT INTO public.who_data VALUES (43543, 324, 16670, 2, 309, 184, 41);
INSERT INTO public.who_data VALUES (43544, 522, 31937, 7, 921, 184, 95);
INSERT INTO public.who_data VALUES (43545, 51, 996, 0, 5, 184, 74);
INSERT INTO public.who_data VALUES (43546, 1346, 74963, 48, 3154, 184, 11);
INSERT INTO public.who_data VALUES (43547, 4870, 946976, 90, 16189, 184, 87);
INSERT INTO public.who_data VALUES (43548, 73, 2717, 1, 11, 184, 214);
INSERT INTO public.who_data VALUES (43549, 0, 5, 0, 0, 184, 116);
INSERT INTO public.who_data VALUES (43550, 0, 16, 0, 0, 184, 157);
INSERT INTO public.who_data VALUES (43551, 0, 0, 0, 0, 184, 182);
INSERT INTO public.who_data VALUES (43552, 0, 17, 0, 0, 184, 186);
INSERT INTO public.who_data VALUES (43553, 0, 26, 0, 0, 184, 127);
INSERT INTO public.who_data VALUES (43554, 0, 121, 0, 5, 184, 232);
INSERT INTO public.who_data VALUES (43555, 0, 5, 0, 0, 184, 33);
INSERT INTO public.who_data VALUES (43556, 0, 58, 0, 0, 184, 97);
INSERT INTO public.who_data VALUES (43557, 0, 0, 0, 0, 184, 42);
INSERT INTO public.who_data VALUES (43558, 7, 726, 0, 42, 184, 198);
INSERT INTO public.who_data VALUES (43559, 3, 888, 0, 15, 184, 216);
INSERT INTO public.who_data VALUES (43560, 1287, 303973, 42, 3548, 184, 164);
INSERT INTO public.who_data VALUES (43561, 113, 12559, 3, 261, 184, 235);
INSERT INTO public.who_data VALUES (43562, 161, 30209, 5, 689, 184, 67);
INSERT INTO public.who_data VALUES (43563, 0, 127, 0, 0, 184, 15);
INSERT INTO public.who_data VALUES (43564, 8, 1969, 0, 69, 184, 180);
INSERT INTO public.who_data VALUES (43565, 68, 56099, 0, 27, 184, 237);
INSERT INTO public.who_data VALUES (43566, 0, 3, 0, 0, 184, 25);
INSERT INTO public.who_data VALUES (43567, 15, 348, 0, 17, 184, 209);
INSERT INTO public.who_data VALUES (43568, 100, 3022, 2, 33, 184, 217);
INSERT INTO public.who_data VALUES (43569, 43, 2537, 0, 131, 184, 79);
INSERT INTO public.who_data VALUES (43570, 0, 0, 0, 0, 184, 143);
INSERT INTO public.who_data VALUES (43571, 0, 3265, 0, 93, 184, 229);
INSERT INTO public.who_data VALUES (43572, 3880, 599940, 195, 12618, 184, 141);
INSERT INTO public.who_data VALUES (43573, 3, 2497, 0, 47, 184, 197);
INSERT INTO public.who_data VALUES (43574, 8850, 407991, 45, 30384, 184, 221);
INSERT INTO public.who_data VALUES (43575, 16, 2918, 0, 11, 184, 150);
INSERT INTO public.who_data VALUES (43576, 59, 12682, 3, 815, 184, 56);
INSERT INTO public.who_data VALUES (43577, 79, 3295, 0, 54, 184, 167);
INSERT INTO public.who_data VALUES (43578, 351, 82189, 1, 5801, 184, 23);
INSERT INTO public.who_data VALUES (43579, 349, 39511, 0, 1754, 184, 222);
INSERT INTO public.who_data VALUES (43580, 81, 2008, 4, 82, 184, 219);
INSERT INTO public.who_data VALUES (43581, 37, 8203, 1, 66, 184, 7);
INSERT INTO public.who_data VALUES (43582, 1, 3390, 0, 58, 184, 161);
INSERT INTO public.who_data VALUES (43583, 1182, 322284, 6, 41403, 184, 149);
INSERT INTO public.who_data VALUES (43584, 0, 26, 0, 0, 184, 6);
INSERT INTO public.who_data VALUES (43585, 17, 1190, 0, 27, 184, 139);
INSERT INTO public.who_data VALUES (43586, 0, 0, 0, 0, 184, 211);
INSERT INTO public.who_data VALUES (43587, 0, 0, 0, 0, 184, 14);
INSERT INTO public.who_data VALUES (43588, 80, 730, 0, 12, 184, 111);
INSERT INTO public.who_data VALUES (43589, 64, 2607, 0, 63, 184, 207);
INSERT INTO public.who_data VALUES (43590, 8142, 416040, 19, 6058, 184, 66);
INSERT INTO public.who_data VALUES (43591, 0, 0, 0, 0, 184, 173);
INSERT INTO public.who_data VALUES (43592, 12, 327, 0, 2, 184, 145);
INSERT INTO public.who_data VALUES (43593, 0, 0, 0, 0, 184, 65);
INSERT INTO public.who_data VALUES (43594, 94, 1750, 3, 19, 184, 184);
INSERT INTO public.who_data VALUES (43595, 2106, 100643, 23, 2207, 184, 98);
INSERT INTO public.who_data VALUES (43596, 461, 65802, 2, 369, 184, 104);
INSERT INTO public.who_data VALUES (43597, 0, 509, 0, 21, 184, 73);
INSERT INTO public.who_data VALUES (43598, 46259, 5477305, 1393, 172033, 184, 8);
INSERT INTO public.who_data VALUES (43599, 41, 869, 1, 10, 184, 227);
INSERT INTO public.who_data VALUES (43600, 8, 1493, 0, 40, 184, 75);
INSERT INTO public.who_data VALUES (43601, 459, 37825, 6, 256, 184, 45);
INSERT INTO public.who_data VALUES (43602, 0, 0, 0, 0, 184, 133);
INSERT INTO public.who_data VALUES (43603, 1171, 36868, 6, 303, 184, 202);
INSERT INTO public.who_data VALUES (43604, 14, 1007, 0, 25, 184, 129);
INSERT INTO public.who_data VALUES (43605, 0, 0, 0, 0, 184, 36);
INSERT INTO public.who_data VALUES (43606, 7, 1903, 2, 542, 184, 51);
INSERT INTO public.who_data VALUES (43607, 154, 10372, 5, 274, 184, 206);
INSERT INTO public.who_data VALUES (43608, 102, 5745, 1, 151, 184, 5);
INSERT INTO public.who_data VALUES (43609, 160, 37845, 8, 1387, 185, 103);
INSERT INTO public.who_data VALUES (43610, 158, 7812, 2, 234, 185, 58);
INSERT INTO public.who_data VALUES (43611, 822, 39847, 23, 1402, 185, 195);
INSERT INTO public.who_data VALUES (43612, 0, 0, 0, 0, 185, 115);
INSERT INTO public.who_data VALUES (43613, 12, 1024, 0, 53, 185, 99);
INSERT INTO public.who_data VALUES (43614, 49, 2015, 2, 92, 185, 153);
INSERT INTO public.who_data VALUES (43615, 0, 3, 0, 0, 185, 93);
INSERT INTO public.who_data VALUES (43616, 1, 94, 0, 3, 185, 84);
INSERT INTO public.who_data VALUES (43617, 6840, 305966, 237, 6114, 185, 78);
INSERT INTO public.who_data VALUES (43618, 263, 41632, 3, 831, 185, 170);
INSERT INTO public.who_data VALUES (43619, 84, 1205, 0, 4, 185, 32);
INSERT INTO public.who_data VALUES (43620, 220, 23993, 12, 450, 185, 155);
INSERT INTO public.who_data VALUES (43621, 425, 24300, 0, 729, 185, 82);
INSERT INTO public.who_data VALUES (43622, 146, 34620, 1, 510, 185, 16);
INSERT INTO public.who_data VALUES (43623, 95, 1424, 1, 20, 185, 72);
INSERT INTO public.who_data VALUES (43624, 369, 47950, 3, 178, 185, 43);
INSERT INTO public.who_data VALUES (43625, 2747, 285091, 41, 3781, 185, 120);
INSERT INTO public.who_data VALUES (43626, 3, 155, 0, 7, 185, 213);
INSERT INTO public.who_data VALUES (43627, 128, 69801, 5, 622, 185, 31);
INSERT INTO public.who_data VALUES (43628, 612, 80967, 9, 9837, 185, 204);
INSERT INTO public.who_data VALUES (43629, 78, 553, 0, 4, 185, 152);
INSERT INTO public.who_data VALUES (43630, 0, 2095, 0, 39, 185, 144);
INSERT INTO public.who_data VALUES (43631, 0, 166, 0, 9, 185, 96);
INSERT INTO public.who_data VALUES (43632, 3, 150, 0, 0, 185, 47);
INSERT INTO public.who_data VALUES (43633, 1796, 103019, 49, 4172, 185, 80);
INSERT INTO public.who_data VALUES (43634, 0, 5, 0, 0, 185, 159);
INSERT INTO public.who_data VALUES (43635, 344, 16691, 12, 502, 185, 27);
INSERT INTO public.who_data VALUES (43636, 0, 1308, 0, 3, 185, 146);
INSERT INTO public.who_data VALUES (43637, 47784, 3407354, 1352, 109888, 185, 71);
INSERT INTO public.who_data VALUES (43638, 0, 11, 0, 1, 185, 210);
INSERT INTO public.who_data VALUES (43639, 1, 143, 0, 3, 185, 54);
INSERT INTO public.who_data VALUES (43640, 151, 14820, 8, 527, 185, 147);
INSERT INTO public.who_data VALUES (43641, 5, 1285, 0, 55, 185, 2);
INSERT INTO public.who_data VALUES (43642, 0, 422, 0, 1, 185, 105);
INSERT INTO public.who_data VALUES (43643, 68, 3321, 0, 36, 185, 53);
INSERT INTO public.who_data VALUES (43644, 0, 273, 0, 0, 185, 81);
INSERT INTO public.who_data VALUES (43645, 138, 18762, 2, 408, 185, 223);
INSERT INTO public.who_data VALUES (43646, 282, 123154, 13, 9045, 185, 94);
INSERT INTO public.who_data VALUES (43647, 0, 203, 0, 1, 185, 154);
INSERT INTO public.who_data VALUES (43648, 0, 4679, 0, 61, 185, 83);
INSERT INTO public.who_data VALUES (43649, 1, 971, 0, 76, 185, 194);
INSERT INTO public.who_data VALUES (43650, 1182, 390037, 32, 10578, 185, 136);
INSERT INTO public.who_data VALUES (43651, 33, 90013, 1, 4713, 185, 179);
INSERT INTO public.who_data VALUES (43652, 12462, 489122, 247, 15619, 185, 57);
INSERT INTO public.who_data VALUES (43653, 1, 406, 0, 7, 185, 35);
INSERT INTO public.who_data VALUES (43654, 0, 3850, 0, 77, 185, 228);
INSERT INTO public.who_data VALUES (43655, 0, 0, 0, 0, 185, 19);
INSERT INTO public.who_data VALUES (43656, 559, 29643, 10, 314, 185, 22);
INSERT INTO public.who_data VALUES (43657, 82, 17232, 1, 111, 185, 1);
INSERT INTO public.who_data VALUES (43658, 219, 7074, 2, 168, 185, 21);
INSERT INTO public.who_data VALUES (43659, 74, 3482, 0, 88, 185, 234);
INSERT INTO public.who_data VALUES (43660, 0, 35, 0, 1, 185, 91);
INSERT INTO public.who_data VALUES (43661, 26, 1385, 1, 21, 185, 137);
INSERT INTO public.who_data VALUES (43662, 315, 20798, 3, 404, 185, 201);
INSERT INTO public.who_data VALUES (43663, 0, 0, 0, 0, 185, 171);
INSERT INTO public.who_data VALUES (43664, 20, 9740, 3, 246, 185, 92);
INSERT INTO public.who_data VALUES (43665, 85, 15940, 0, 621, 185, 112);
INSERT INTO public.who_data VALUES (43666, 0, 5374, 0, 59, 185, 62);
INSERT INTO public.who_data VALUES (43667, 0, 18, 0, 0, 185, 69);
INSERT INTO public.who_data VALUES (43668, 1004, 88127, 12, 1501, 185, 220);
INSERT INTO public.who_data VALUES (43669, 1534, 104475, 41, 6146, 185, 100);
INSERT INTO public.who_data VALUES (43670, 161, 96914, 13, 5197, 185, 187);
INSERT INTO public.who_data VALUES (43671, 255, 23717, 8, 633, 185, 63);
INSERT INTO public.who_data VALUES (43672, 0, 4821, 0, 83, 185, 28);
INSERT INTO public.who_data VALUES (43673, 0, 304, 0, 0, 185, 172);
INSERT INTO public.who_data VALUES (43674, 7, 2207, 0, 63, 185, 17);
INSERT INTO public.who_data VALUES (43675, 69, 4058, 3, 79, 185, 226);
INSERT INTO public.who_data VALUES (43676, 1336, 34058, 28, 600, 185, 236);
INSERT INTO public.who_data VALUES (43677, 0, 13, 0, 0, 185, 76);
INSERT INTO public.who_data VALUES (43678, 9, 382, 0, 0, 185, 30);
INSERT INTO public.who_data VALUES (43679, 0, 28, 0, 1, 185, 128);
INSERT INTO public.who_data VALUES (43680, 29, 7805, 0, 334, 185, 86);
INSERT INTO public.who_data VALUES (43681, 3680, 211225, 16, 30334, 185, 140);
INSERT INTO public.who_data VALUES (43682, 54, 8711, 1, 54, 185, 44);
INSERT INTO public.who_data VALUES (43683, 21, 232, 0, 0, 185, 113);
INSERT INTO public.who_data VALUES (43684, 49, 8319, 0, 53, 185, 29);
INSERT INTO public.who_data VALUES (43685, 172, 2288, 14, 77, 185, 125);
INSERT INTO public.who_data VALUES (43686, 9, 1370, 0, 17, 185, 131);
INSERT INTO public.who_data VALUES (43687, 1707, 228621, 10, 9253, 185, 46);
INSERT INTO public.who_data VALUES (43688, 101, 43094, 8, 256, 185, 10);
INSERT INTO public.who_data VALUES (43689, 5, 222, 0, 0, 185, 205);
INSERT INTO public.who_data VALUES (43690, 212, 7684, 3, 235, 185, 50);
INSERT INTO public.who_data VALUES (43691, 0, 14, 0, 0, 185, 20);
INSERT INTO public.who_data VALUES (43692, 0, 24, 0, 0, 185, 13);
INSERT INTO public.who_data VALUES (43693, 0, 510, 0, 15, 185, 148);
INSERT INTO public.who_data VALUES (43694, 22, 591, 0, 5, 185, 230);
INSERT INTO public.who_data VALUES (43695, 1034, 64881, 48, 2467, 185, 190);
INSERT INTO public.who_data VALUES (43696, 0, 252, 0, 13, 185, 188);
INSERT INTO public.who_data VALUES (43697, 77, 8792, 1, 53, 185, 123);
INSERT INTO public.who_data VALUES (43698, 32, 2149, 0, 33, 185, 9);
INSERT INTO public.who_data VALUES (43699, 28, 737, 3, 26, 185, 102);
INSERT INTO public.who_data VALUES (43700, 28, 7949, 0, 196, 185, 34);
INSERT INTO public.who_data VALUES (43701, 0, 12, 0, 0, 185, 212);
INSERT INTO public.who_data VALUES (43702, 675, 51670, 10, 1593, 185, 122);
INSERT INTO public.who_data VALUES (43703, 32, 5002, 0, 609, 185, 38);
INSERT INTO public.who_data VALUES (43704, 8, 2035, 0, 10, 185, 130);
INSERT INTO public.who_data VALUES (43705, 69652, 2836925, 977, 53866, 185, 37);
INSERT INTO public.who_data VALUES (43706, 1902, 144945, 69, 6346, 185, 231);
INSERT INTO public.who_data VALUES (43707, 2444, 350279, 153, 20125, 185, 107);
INSERT INTO public.who_data VALUES (43708, 4093, 188802, 85, 6121, 185, 101);
INSERT INTO public.who_data VALUES (43709, 48, 27547, 0, 1775, 185, 132);
INSERT INTO public.who_data VALUES (43710, 0, 336, 0, 24, 185, 176);
INSERT INTO public.who_data VALUES (43711, 1649, 96719, 14, 782, 185, 200);
INSERT INTO public.who_data VALUES (43712, 642, 255278, 7, 35412, 185, 169);
INSERT INTO public.who_data VALUES (43713, 17, 1146, 0, 14, 185, 225);
INSERT INTO public.who_data VALUES (43714, 951, 58501, 16, 1144, 185, 165);
INSERT INTO public.who_data VALUES (43715, 2, 359, 0, 32, 185, 233);
INSERT INTO public.who_data VALUES (43716, 44, 1550, 0, 11, 185, 215);
INSERT INTO public.who_data VALUES (43717, 979, 125335, 0, 1633, 185, 177);
INSERT INTO public.who_data VALUES (43718, 379, 31015, 19, 506, 185, 183);
INSERT INTO public.who_data VALUES (43719, 0, 0, 0, 0, 185, 203);
INSERT INTO public.who_data VALUES (43720, 162, 11805, 9, 415, 185, 162);
INSERT INTO public.who_data VALUES (43721, 675, 78145, 2, 507, 185, 12);
INSERT INTO public.who_data VALUES (43722, 182, 42507, 0, 1054, 185, 24);
INSERT INTO public.who_data VALUES (43723, 0, 22, 0, 0, 185, 119);
INSERT INTO public.who_data VALUES (43724, 3, 1326, 0, 33, 185, 39);
INSERT INTO public.who_data VALUES (43725, 589, 10347, 2, 109, 185, 26);
INSERT INTO public.who_data VALUES (43726, 50, 996, 0, 30, 185, 59);
INSERT INTO public.who_data VALUES (43727, 5, 1282, 0, 82, 185, 77);
INSERT INTO public.who_data VALUES (43728, 395, 9463, 5, 169, 185, 134);
INSERT INTO public.who_data VALUES (43729, 0, 99, 0, 1, 185, 4);
INSERT INTO public.who_data VALUES (43730, 32, 2521, 1, 82, 185, 109);
INSERT INTO public.who_data VALUES (43731, 67, 7566, 0, 124, 185, 90);
INSERT INTO public.who_data VALUES (43732, 65, 14074, 0, 173, 185, 61);
INSERT INTO public.who_data VALUES (43733, 47, 5240, 1, 164, 185, 85);
INSERT INTO public.who_data VALUES (43734, 16, 9235, 0, 125, 185, 49);
INSERT INTO public.who_data VALUES (43735, 146, 6225, 0, 24, 185, 208);
INSERT INTO public.who_data VALUES (43736, 1, 2667, 0, 125, 185, 166);
INSERT INTO public.who_data VALUES (43737, 47, 1469, 0, 9, 185, 64);
INSERT INTO public.who_data VALUES (43738, 0, 0, 0, 0, 185, 199);
INSERT INTO public.who_data VALUES (43739, 0, 350, 0, 16, 185, 114);
INSERT INTO public.who_data VALUES (43740, 40, 6829, 1, 158, 185, 60);
INSERT INTO public.who_data VALUES (43741, 0, 346, 0, 10, 185, 68);
INSERT INTO public.who_data VALUES (43742, 0, 3160, 0, 39, 185, 158);
INSERT INTO public.who_data VALUES (43743, 5506, 531239, 751, 57774, 185, 52);
INSERT INTO public.who_data VALUES (43744, 0, 0, 0, 0, 185, 117);
INSERT INTO public.who_data VALUES (43745, 0, 103, 0, 1, 185, 126);
INSERT INTO public.who_data VALUES (43746, 0, 298, 0, 0, 185, 196);
INSERT INTO public.who_data VALUES (43747, 38, 4247, 0, 81, 185, 142);
INSERT INTO public.who_data VALUES (43748, 0, 13, 0, 1, 185, 185);
INSERT INTO public.who_data VALUES (43749, 1510, 46313, 29, 743, 185, 138);
INSERT INTO public.who_data VALUES (43750, 54, 3045, 0, 19, 185, 181);
INSERT INTO public.who_data VALUES (43751, 17, 396, 0, 6, 185, 178);
INSERT INTO public.who_data VALUES (43752, 201, 4665, 2, 39, 185, 168);
INSERT INTO public.who_data VALUES (43753, 0, 0, 0, 0, 185, 160);
INSERT INTO public.who_data VALUES (43754, 681, 28938, 6, 120, 185, 151);
INSERT INTO public.who_data VALUES (43755, 553, 64454, 6, 6180, 185, 193);
INSERT INTO public.who_data VALUES (43756, 0, 23, 0, 0, 185, 18);
INSERT INTO public.who_data VALUES (43757, 5, 1304, 0, 22, 185, 40);
INSERT INTO public.who_data VALUES (43758, 0, 3540, 0, 133, 185, 218);
INSERT INTO public.who_data VALUES (43759, 0, 1167, 0, 69, 185, 191);
INSERT INTO public.who_data VALUES (43760, 593, 50488, 4, 985, 185, 156);
INSERT INTO public.who_data VALUES (43761, 0, 0, 0, 0, 185, 135);
INSERT INTO public.who_data VALUES (43762, 0, 54, 0, 2, 185, 88);
INSERT INTO public.who_data VALUES (43763, 106, 13076, 2, 551, 185, 55);
INSERT INTO public.who_data VALUES (43764, 51, 10111, 0, 262, 185, 108);
INSERT INTO public.who_data VALUES (43765, 424, 23427, 3, 127, 185, 48);
INSERT INTO public.who_data VALUES (43766, 188, 83606, 6, 603, 185, 3);
INSERT INTO public.who_data VALUES (43767, 0, 741, 0, 13, 185, 224);
INSERT INTO public.who_data VALUES (43768, 513, 290958, 8, 6209, 185, 110);
INSERT INTO public.who_data VALUES (43769, 0, 0, 0, 0, 185, 106);
INSERT INTO public.who_data VALUES (43770, 247, 82790, 21, 1809, 185, 89);
INSERT INTO public.who_data VALUES (43771, 12, 359, 0, 3, 185, 121);
INSERT INTO public.who_data VALUES (43772, 471, 10606, 16, 161, 185, 163);
INSERT INTO public.who_data VALUES (43773, 7828, 549321, 177, 26658, 185, 70);
INSERT INTO public.who_data VALUES (43774, 4561, 173774, 108, 2795, 185, 174);
INSERT INTO public.who_data VALUES (43775, 0, 0, 0, 0, 185, 175);
INSERT INTO public.who_data VALUES (43776, 735, 58611, 17, 1913, 185, 118);
INSERT INTO public.who_data VALUES (43777, 253, 54701, 2, 1786, 185, 189);
INSERT INTO public.who_data VALUES (43778, 221, 27934, 10, 356, 185, 124);
INSERT INTO public.who_data VALUES (43779, 295, 115956, 0, 193, 185, 192);
INSERT INTO public.who_data VALUES (43780, 288, 16346, 1, 307, 185, 41);
INSERT INTO public.who_data VALUES (43781, 626, 31415, 6, 914, 185, 95);
INSERT INTO public.who_data VALUES (43782, 42, 945, 0, 5, 185, 74);
INSERT INTO public.who_data VALUES (43783, 1409, 73617, 32, 3106, 185, 11);
INSERT INTO public.who_data VALUES (43784, 4785, 942106, 110, 16099, 185, 87);
INSERT INTO public.who_data VALUES (43785, 67, 2644, 0, 10, 185, 214);
INSERT INTO public.who_data VALUES (43786, 0, 5, 0, 0, 185, 116);
INSERT INTO public.who_data VALUES (43787, 0, 16, 0, 0, 185, 157);
INSERT INTO public.who_data VALUES (43788, 0, 0, 0, 0, 185, 182);
INSERT INTO public.who_data VALUES (43789, 0, 17, 0, 0, 185, 186);
INSERT INTO public.who_data VALUES (43790, 0, 26, 0, 0, 185, 127);
INSERT INTO public.who_data VALUES (43791, 0, 121, 0, 5, 185, 232);
INSERT INTO public.who_data VALUES (43792, 0, 5, 0, 0, 185, 33);
INSERT INTO public.who_data VALUES (43793, 0, 58, 0, 0, 185, 97);
INSERT INTO public.who_data VALUES (43794, 0, 0, 0, 0, 185, 42);
INSERT INTO public.who_data VALUES (43795, 0, 719, 0, 42, 185, 198);
INSERT INTO public.who_data VALUES (43796, 0, 885, 0, 15, 185, 216);
INSERT INTO public.who_data VALUES (43797, 1363, 302686, 36, 3506, 185, 164);
INSERT INTO public.who_data VALUES (43798, 141, 12446, 2, 258, 185, 235);
INSERT INTO public.who_data VALUES (43799, 158, 30048, 3, 684, 185, 67);
INSERT INTO public.who_data VALUES (43800, 0, 127, 0, 0, 185, 15);
INSERT INTO public.who_data VALUES (43801, 2, 1961, 0, 69, 185, 180);
INSERT INTO public.who_data VALUES (43802, 93, 56031, 0, 27, 185, 237);
INSERT INTO public.who_data VALUES (43803, 0, 3, 0, 0, 185, 25);
INSERT INTO public.who_data VALUES (43804, 7, 333, 0, 17, 185, 209);
INSERT INTO public.who_data VALUES (43805, 15, 2922, 0, 31, 185, 217);
INSERT INTO public.who_data VALUES (43806, 37, 2494, 0, 131, 185, 79);
INSERT INTO public.who_data VALUES (43807, 0, 0, 0, 0, 185, 143);
INSERT INTO public.who_data VALUES (43808, 8, 3265, 0, 93, 185, 229);
INSERT INTO public.who_data VALUES (43809, 3916, 596060, 159, 12423, 185, 141);
INSERT INTO public.who_data VALUES (43810, 0, 2494, 0, 47, 185, 197);
INSERT INTO public.who_data VALUES (43811, 8689, 399141, 40, 30339, 185, 221);
INSERT INTO public.who_data VALUES (43812, 0, 2902, 0, 11, 185, 150);
INSERT INTO public.who_data VALUES (43813, 41, 12623, 0, 812, 185, 56);
INSERT INTO public.who_data VALUES (43814, 139, 3216, 6, 54, 185, 167);
INSERT INTO public.who_data VALUES (43815, 314, 81838, 4, 5800, 185, 23);
INSERT INTO public.who_data VALUES (43816, 285, 39162, 0, 1754, 185, 222);
INSERT INTO public.who_data VALUES (43817, 83, 1927, 5, 78, 185, 219);
INSERT INTO public.who_data VALUES (43818, 35, 8166, 0, 65, 185, 7);
INSERT INTO public.who_data VALUES (43819, 7, 3389, 0, 58, 185, 161);
INSERT INTO public.who_data VALUES (43820, 812, 321102, 16, 41397, 185, 149);
INSERT INTO public.who_data VALUES (43821, 1, 26, 0, 0, 185, 6);
INSERT INTO public.who_data VALUES (43822, 19, 1173, 0, 27, 185, 139);
INSERT INTO public.who_data VALUES (43823, 0, 0, 0, 0, 185, 211);
INSERT INTO public.who_data VALUES (43824, 0, 0, 0, 0, 185, 14);
INSERT INTO public.who_data VALUES (43825, 50, 650, 0, 12, 185, 111);
INSERT INTO public.who_data VALUES (43826, 116, 2543, 3, 63, 185, 207);
INSERT INTO public.who_data VALUES (43827, 8033, 407898, 23, 6039, 185, 66);
INSERT INTO public.who_data VALUES (43828, 0, 0, 0, 0, 185, 173);
INSERT INTO public.who_data VALUES (43829, 17, 315, 0, 2, 185, 145);
INSERT INTO public.who_data VALUES (43830, 0, 0, 0, 0, 185, 65);
INSERT INTO public.who_data VALUES (43831, 53, 1656, 1, 16, 185, 184);
INSERT INTO public.who_data VALUES (43832, 2134, 98537, 40, 2184, 185, 98);
INSERT INTO public.who_data VALUES (43833, 435, 65341, 1, 367, 185, 104);
INSERT INTO public.who_data VALUES (43834, 0, 509, 0, 21, 185, 73);
INSERT INTO public.who_data VALUES (43835, 37908, 5431046, 1132, 170640, 185, 8);
INSERT INTO public.who_data VALUES (43836, 32, 828, 0, 9, 185, 227);
INSERT INTO public.who_data VALUES (43837, 28, 1485, 0, 40, 185, 75);
INSERT INTO public.who_data VALUES (43838, 606, 37366, 5, 250, 185, 45);
INSERT INTO public.who_data VALUES (43839, 0, 0, 0, 0, 185, 133);
INSERT INTO public.who_data VALUES (43840, 895, 35697, 9, 297, 185, 202);
INSERT INTO public.who_data VALUES (43841, 4, 993, 0, 25, 185, 129);
INSERT INTO public.who_data VALUES (43842, 0, 0, 0, 0, 185, 36);
INSERT INTO public.who_data VALUES (43843, 3, 1896, 2, 540, 185, 51);
INSERT INTO public.who_data VALUES (43844, 237, 10218, 5, 269, 185, 206);
INSERT INTO public.who_data VALUES (43845, 265, 5643, 9, 150, 185, 5);
INSERT INTO public.who_data VALUES (43846, 0, 37685, 0, 1379, 186, 103);
INSERT INTO public.who_data VALUES (43847, 155, 7654, 2, 232, 186, 58);
INSERT INTO public.who_data VALUES (43848, 0, 39025, 0, 1379, 186, 195);
INSERT INTO public.who_data VALUES (43849, 0, 0, 0, 0, 186, 115);
INSERT INTO public.who_data VALUES (43850, 7, 1012, 0, 53, 186, 99);
INSERT INTO public.who_data VALUES (43851, 31, 1966, 2, 90, 186, 153);
INSERT INTO public.who_data VALUES (43852, 0, 3, 0, 0, 186, 93);
INSERT INTO public.who_data VALUES (43853, 0, 93, 0, 3, 186, 84);
INSERT INTO public.who_data VALUES (43854, 4557, 299126, 127, 5877, 186, 78);
INSERT INTO public.who_data VALUES (43855, 210, 41369, 1, 828, 186, 170);
INSERT INTO public.who_data VALUES (43856, 19, 1121, 0, 4, 186, 32);
INSERT INTO public.who_data VALUES (43857, 214, 23773, 17, 438, 186, 155);
INSERT INTO public.who_data VALUES (43858, 158, 23875, 0, 729, 186, 82);
INSERT INTO public.who_data VALUES (43859, 131, 34474, 1, 509, 186, 16);
INSERT INTO public.who_data VALUES (43860, 14, 1329, 1, 19, 186, 72);
INSERT INTO public.who_data VALUES (43861, 396, 47581, 2, 175, 186, 43);
INSERT INTO public.who_data VALUES (43862, 3200, 282344, 46, 3740, 186, 120);
INSERT INTO public.who_data VALUES (43863, 0, 152, 0, 7, 186, 213);
INSERT INTO public.who_data VALUES (43864, 84, 69673, 4, 617, 186, 31);
INSERT INTO public.who_data VALUES (43865, 725, 80355, 11, 9828, 186, 204);
INSERT INTO public.who_data VALUES (43866, 23, 475, 1, 4, 186, 152);
INSERT INTO public.who_data VALUES (43867, 32, 2095, 0, 39, 186, 144);
INSERT INTO public.who_data VALUES (43868, 4, 166, 0, 9, 186, 96);
INSERT INTO public.who_data VALUES (43869, 1, 147, 0, 0, 186, 47);
INSERT INTO public.who_data VALUES (43870, 879, 101223, 75, 4123, 186, 80);
INSERT INTO public.who_data VALUES (43871, 0, 5, 0, 0, 186, 159);
INSERT INTO public.who_data VALUES (43872, 210, 16347, 9, 490, 186, 27);
INSERT INTO public.who_data VALUES (43873, 0, 1308, 0, 3, 186, 146);
INSERT INTO public.who_data VALUES (43874, 19373, 3359570, 684, 108536, 186, 71);
INSERT INTO public.who_data VALUES (43875, 2, 11, 0, 1, 186, 210);
INSERT INTO public.who_data VALUES (43876, 0, 142, 0, 3, 186, 54);
INSERT INTO public.who_data VALUES (43877, 169, 14669, 7, 519, 186, 147);
INSERT INTO public.who_data VALUES (43878, 13, 1280, 0, 55, 186, 2);
INSERT INTO public.who_data VALUES (43879, 6, 422, 0, 1, 186, 105);
INSERT INTO public.who_data VALUES (43880, 50, 3253, 0, 36, 186, 53);
INSERT INTO public.who_data VALUES (43881, 0, 273, 0, 0, 186, 81);
INSERT INTO public.who_data VALUES (43882, 25, 18624, 0, 406, 186, 223);
INSERT INTO public.who_data VALUES (43883, 785, 122872, 6, 9032, 186, 94);
INSERT INTO public.who_data VALUES (43884, 0, 203, 0, 1, 186, 154);
INSERT INTO public.who_data VALUES (43885, 12, 4679, 0, 61, 186, 83);
INSERT INTO public.who_data VALUES (43886, 11, 970, 0, 76, 186, 194);
INSERT INTO public.who_data VALUES (43887, 1353, 388855, 33, 10546, 186, 136);
INSERT INTO public.who_data VALUES (43888, 54, 89980, 2, 4712, 186, 179);
INSERT INTO public.who_data VALUES (43889, 8328, 476660, 275, 15372, 186, 57);
INSERT INTO public.who_data VALUES (43890, 0, 405, 0, 7, 186, 35);
INSERT INTO public.who_data VALUES (43891, 19, 3850, 1, 77, 186, 228);
INSERT INTO public.who_data VALUES (43892, 0, 0, 0, 0, 186, 19);
INSERT INTO public.who_data VALUES (43893, 619, 29084, 10, 304, 186, 22);
INSERT INTO public.who_data VALUES (43894, 124, 17150, 0, 110, 186, 1);
INSERT INTO public.who_data VALUES (43895, 199, 6855, 0, 166, 186, 21);
INSERT INTO public.who_data VALUES (43896, 44, 3408, 0, 88, 186, 234);
INSERT INTO public.who_data VALUES (43897, 2, 35, 0, 1, 186, 91);
INSERT INTO public.who_data VALUES (43898, 8, 1359, 0, 20, 186, 137);
INSERT INTO public.who_data VALUES (43899, 281, 20483, 2, 401, 186, 201);
INSERT INTO public.who_data VALUES (43900, 0, 0, 0, 0, 186, 171);
INSERT INTO public.who_data VALUES (43901, 15, 9720, 0, 243, 186, 92);
INSERT INTO public.who_data VALUES (43902, 115, 15855, 0, 621, 186, 112);
INSERT INTO public.who_data VALUES (43903, 2, 5374, 0, 59, 186, 62);
INSERT INTO public.who_data VALUES (43904, 0, 18, 0, 0, 186, 69);
INSERT INTO public.who_data VALUES (43905, 386, 87123, 8, 1489, 186, 220);
INSERT INTO public.who_data VALUES (43906, 1190, 102941, 22, 6105, 186, 100);
INSERT INTO public.who_data VALUES (43907, 163, 96753, 11, 5184, 186, 187);
INSERT INTO public.who_data VALUES (43908, 269, 23462, 7, 625, 186, 63);
INSERT INTO public.who_data VALUES (43909, 0, 4821, 0, 83, 186, 28);
INSERT INTO public.who_data VALUES (43910, 19, 304, 0, 0, 186, 172);
INSERT INTO public.who_data VALUES (43911, 8, 2200, 0, 63, 186, 17);
INSERT INTO public.who_data VALUES (43912, 95, 3989, 3, 76, 186, 226);
INSERT INTO public.who_data VALUES (43913, 1386, 32722, 28, 572, 186, 236);
INSERT INTO public.who_data VALUES (43914, 0, 13, 0, 0, 186, 76);
INSERT INTO public.who_data VALUES (43915, 0, 373, 0, 0, 186, 30);
INSERT INTO public.who_data VALUES (43916, 0, 28, 0, 1, 186, 128);
INSERT INTO public.who_data VALUES (43917, 24, 7776, 0, 334, 186, 86);
INSERT INTO public.who_data VALUES (43918, 2165, 207545, 22, 30318, 186, 140);
INSERT INTO public.who_data VALUES (43919, 35, 8657, 0, 53, 186, 44);
INSERT INTO public.who_data VALUES (43920, 0, 211, 0, 0, 186, 113);
INSERT INTO public.who_data VALUES (43921, 0, 8270, 0, 53, 186, 29);
INSERT INTO public.who_data VALUES (43922, 244, 2116, 0, 63, 186, 125);
INSERT INTO public.who_data VALUES (43923, 10, 1361, 0, 17, 186, 131);
INSERT INTO public.who_data VALUES (43924, 1510, 226914, 7, 9243, 186, 46);
INSERT INTO public.who_data VALUES (43925, 340, 42993, 9, 248, 186, 10);
INSERT INTO public.who_data VALUES (43926, 2, 217, 0, 0, 186, 205);
INSERT INTO public.who_data VALUES (43927, 250, 7472, 2, 232, 186, 50);
INSERT INTO public.who_data VALUES (43928, 0, 14, 0, 0, 186, 20);
INSERT INTO public.who_data VALUES (43929, 0, 24, 0, 0, 186, 13);
INSERT INTO public.who_data VALUES (43930, 0, 510, 0, 15, 186, 148);
INSERT INTO public.who_data VALUES (43931, 19, 569, 0, 5, 186, 230);
INSERT INTO public.who_data VALUES (43932, 903, 63847, 30, 2419, 186, 190);
INSERT INTO public.who_data VALUES (43933, 0, 252, 0, 13, 186, 188);
INSERT INTO public.who_data VALUES (43934, 95, 8715, 1, 52, 186, 123);
INSERT INTO public.who_data VALUES (43935, 0, 2117, 0, 33, 186, 9);
INSERT INTO public.who_data VALUES (43936, 0, 709, 0, 23, 186, 102);
INSERT INTO public.who_data VALUES (43937, 24, 7921, 0, 196, 186, 34);
INSERT INTO public.who_data VALUES (43938, 0, 12, 0, 0, 186, 212);
INSERT INTO public.who_data VALUES (43939, 493, 50995, 8, 1583, 186, 122);
INSERT INTO public.who_data VALUES (43940, 0, 4970, 0, 609, 186, 38);
INSERT INTO public.who_data VALUES (43941, 13, 2027, 0, 10, 186, 130);
INSERT INTO public.who_data VALUES (43942, 64531, 2767273, 1092, 52889, 186, 37);
INSERT INTO public.who_data VALUES (43943, 1673, 143043, 70, 6277, 186, 231);
INSERT INTO public.who_data VALUES (43944, 2385, 347835, 168, 19972, 186, 107);
INSERT INTO public.who_data VALUES (43945, 4576, 184709, 82, 6036, 186, 101);
INSERT INTO public.who_data VALUES (43946, 186, 27499, 1, 1775, 186, 132);
INSERT INTO public.who_data VALUES (43947, 0, 336, 0, 24, 186, 176);
INSERT INTO public.who_data VALUES (43948, 1650, 95070, 4, 768, 186, 200);
INSERT INTO public.who_data VALUES (43949, 401, 254636, 5, 35405, 186, 169);
INSERT INTO public.who_data VALUES (43950, 16, 1129, 0, 14, 186, 225);
INSERT INTO public.who_data VALUES (43951, 865, 57550, 13, 1128, 186, 165);
INSERT INTO public.who_data VALUES (43952, 1, 357, 1, 32, 186, 233);
INSERT INTO public.who_data VALUES (43953, 40, 1506, 0, 11, 186, 215);
INSERT INTO public.who_data VALUES (43954, 1031, 124356, 0, 1633, 186, 177);
INSERT INTO public.who_data VALUES (43955, 271, 30636, 5, 487, 186, 183);
INSERT INTO public.who_data VALUES (43956, 0, 0, 0, 0, 186, 203);
INSERT INTO public.who_data VALUES (43957, 141, 11643, 6, 406, 186, 162);
INSERT INTO public.who_data VALUES (43958, 643, 77470, 3, 505, 186, 12);
INSERT INTO public.who_data VALUES (43959, 179, 42325, 1, 1054, 186, 24);
INSERT INTO public.who_data VALUES (43960, 0, 22, 0, 0, 186, 119);
INSERT INTO public.who_data VALUES (43961, 0, 1323, 1, 33, 186, 39);
INSERT INTO public.who_data VALUES (43962, 421, 9758, 2, 107, 186, 26);
INSERT INTO public.who_data VALUES (43963, 0, 946, 0, 30, 186, 59);
INSERT INTO public.who_data VALUES (43964, 0, 1277, 0, 82, 186, 77);
INSERT INTO public.who_data VALUES (43965, 489, 9068, 7, 164, 186, 134);
INSERT INTO public.who_data VALUES (43966, 1, 99, 0, 1, 186, 4);
INSERT INTO public.who_data VALUES (43967, 22, 2489, 0, 81, 186, 109);
INSERT INTO public.who_data VALUES (43968, 30, 7499, 0, 124, 186, 90);
INSERT INTO public.who_data VALUES (43969, 123, 14009, 2, 173, 186, 61);
INSERT INTO public.who_data VALUES (43970, 68, 5193, 1, 163, 186, 85);
INSERT INTO public.who_data VALUES (43971, 7, 9219, 0, 125, 186, 49);
INSERT INTO public.who_data VALUES (43972, 170, 6079, 1, 24, 186, 208);
INSERT INTO public.who_data VALUES (43973, 26, 2666, 0, 125, 186, 166);
INSERT INTO public.who_data VALUES (43974, 49, 1422, 0, 9, 186, 64);
INSERT INTO public.who_data VALUES (43975, 0, 0, 0, 0, 186, 199);
INSERT INTO public.who_data VALUES (43976, 0, 350, 0, 16, 186, 114);
INSERT INTO public.who_data VALUES (43977, 27, 6789, 0, 157, 186, 60);
INSERT INTO public.who_data VALUES (43978, 0, 346, 0, 10, 186, 68);
INSERT INTO public.who_data VALUES (43979, 0, 3160, 0, 39, 186, 158);
INSERT INTO public.who_data VALUES (43980, 3571, 525733, 266, 57023, 186, 52);
INSERT INTO public.who_data VALUES (43981, 0, 0, 0, 0, 186, 117);
INSERT INTO public.who_data VALUES (43982, 0, 103, 0, 1, 186, 126);
INSERT INTO public.who_data VALUES (43983, 0, 298, 0, 0, 186, 196);
INSERT INTO public.who_data VALUES (43984, 58, 4209, 1, 81, 186, 142);
INSERT INTO public.who_data VALUES (43985, 0, 13, 0, 1, 186, 185);
INSERT INTO public.who_data VALUES (43986, 1245, 44803, 33, 714, 186, 138);
INSERT INTO public.who_data VALUES (43987, 77, 2991, 0, 19, 186, 181);
INSERT INTO public.who_data VALUES (43988, 4, 379, 0, 6, 186, 178);
INSERT INTO public.who_data VALUES (43989, 120, 4464, 1, 37, 186, 168);
INSERT INTO public.who_data VALUES (43990, 0, 0, 0, 0, 186, 160);
INSERT INTO public.who_data VALUES (43991, 1016, 28257, 7, 114, 186, 151);
INSERT INTO public.who_data VALUES (43992, 493, 63901, 3, 6174, 186, 193);
INSERT INTO public.who_data VALUES (43993, 0, 23, 0, 0, 186, 18);
INSERT INTO public.who_data VALUES (43994, 6, 1299, 0, 22, 186, 40);
INSERT INTO public.who_data VALUES (43995, 127, 3540, 5, 133, 186, 218);
INSERT INTO public.who_data VALUES (43996, 0, 1167, 0, 69, 186, 191);
INSERT INTO public.who_data VALUES (43997, 410, 49895, 4, 981, 186, 156);
INSERT INTO public.who_data VALUES (43998, 0, 0, 0, 0, 186, 135);
INSERT INTO public.who_data VALUES (43999, 0, 54, 0, 2, 186, 88);
INSERT INTO public.who_data VALUES (44000, 130, 12970, 2, 549, 186, 55);
INSERT INTO public.who_data VALUES (44001, 56, 10060, 1, 262, 186, 108);
INSERT INTO public.who_data VALUES (44002, 612, 23003, 1, 124, 186, 48);
INSERT INTO public.who_data VALUES (44003, 192, 83418, 9, 597, 186, 3);
INSERT INTO public.who_data VALUES (44004, 0, 741, 0, 13, 186, 224);
INSERT INTO public.who_data VALUES (44005, 613, 290445, 11, 6201, 186, 110);
INSERT INTO public.who_data VALUES (44006, 0, 0, 0, 0, 186, 106);
INSERT INTO public.who_data VALUES (44007, 603, 82543, 21, 1788, 186, 89);
INSERT INTO public.who_data VALUES (44008, 14, 347, 0, 3, 186, 121);
INSERT INTO public.who_data VALUES (44009, 344, 10135, 7, 145, 186, 163);
INSERT INTO public.who_data VALUES (44010, 5547, 541493, 200, 26481, 186, 70);
INSERT INTO public.who_data VALUES (44011, 4739, 169213, 6, 2687, 186, 174);
INSERT INTO public.who_data VALUES (44012, 0, 0, 0, 0, 186, 175);
INSERT INTO public.who_data VALUES (44013, 597, 57876, 11, 1896, 186, 118);
INSERT INTO public.who_data VALUES (44014, 214, 54448, 5, 1784, 186, 189);
INSERT INTO public.who_data VALUES (44015, 953, 27713, 11, 346, 186, 124);
INSERT INTO public.who_data VALUES (44016, 293, 115661, 0, 193, 186, 192);
INSERT INTO public.who_data VALUES (44017, 297, 16058, 0, 306, 186, 41);
INSERT INTO public.who_data VALUES (44018, 412, 30789, 0, 908, 186, 95);
INSERT INTO public.who_data VALUES (44019, 23, 903, 0, 5, 186, 74);
INSERT INTO public.who_data VALUES (44020, 1014, 72208, 45, 3074, 186, 11);
INSERT INTO public.who_data VALUES (44021, 4828, 937321, 117, 15989, 186, 87);
INSERT INTO public.who_data VALUES (44022, 37, 2577, 2, 10, 186, 214);
INSERT INTO public.who_data VALUES (44023, 0, 5, 0, 0, 186, 116);
INSERT INTO public.who_data VALUES (44024, 3, 16, 0, 0, 186, 157);
INSERT INTO public.who_data VALUES (44025, 0, 0, 0, 0, 186, 182);
INSERT INTO public.who_data VALUES (44026, 0, 17, 0, 0, 186, 186);
INSERT INTO public.who_data VALUES (44027, 1, 26, 0, 0, 186, 127);
INSERT INTO public.who_data VALUES (44028, 12, 121, 0, 5, 186, 232);
INSERT INTO public.who_data VALUES (44029, 0, 5, 0, 0, 186, 33);
INSERT INTO public.who_data VALUES (44030, 1, 58, 0, 0, 186, 97);
INSERT INTO public.who_data VALUES (44031, 0, 0, 0, 0, 186, 42);
INSERT INTO public.who_data VALUES (44032, 0, 719, 0, 42, 186, 198);
INSERT INTO public.who_data VALUES (44033, 0, 885, 0, 15, 186, 216);
INSERT INTO public.who_data VALUES (44034, 1409, 301323, 34, 3470, 186, 164);
INSERT INTO public.who_data VALUES (44035, 68, 12305, 0, 256, 186, 235);
INSERT INTO public.who_data VALUES (44036, 108, 29890, 4, 681, 186, 67);
INSERT INTO public.who_data VALUES (44037, 0, 127, 0, 0, 186, 15);
INSERT INTO public.who_data VALUES (44038, 3, 1959, 0, 69, 186, 180);
INSERT INTO public.who_data VALUES (44039, 100, 55938, 0, 27, 186, 237);
INSERT INTO public.who_data VALUES (44040, 0, 3, 0, 0, 186, 25);
INSERT INTO public.who_data VALUES (44041, 9, 326, 0, 17, 186, 209);
INSERT INTO public.who_data VALUES (44042, 5, 2907, 0, 31, 186, 217);
INSERT INTO public.who_data VALUES (44043, 27, 2457, 0, 131, 186, 79);
INSERT INTO public.who_data VALUES (44044, 0, 0, 0, 0, 186, 143);
INSERT INTO public.who_data VALUES (44045, 0, 3257, 0, 93, 186, 229);
INSERT INTO public.who_data VALUES (44046, 2258, 592144, 282, 12264, 186, 141);
INSERT INTO public.who_data VALUES (44047, 4, 2494, 0, 47, 186, 197);
INSERT INTO public.who_data VALUES (44048, 5147, 390452, 30, 30299, 186, 221);
INSERT INTO public.who_data VALUES (44049, 2, 2902, 0, 11, 186, 150);
INSERT INTO public.who_data VALUES (44050, 36, 12582, 4, 812, 186, 56);
INSERT INTO public.who_data VALUES (44051, 61, 3077, 1, 48, 186, 167);
INSERT INTO public.who_data VALUES (44052, 174, 81524, 3, 5796, 186, 23);
INSERT INTO public.who_data VALUES (44053, 294, 38877, 0, 1754, 186, 222);
INSERT INTO public.who_data VALUES (44054, 80, 1844, 5, 73, 186, 219);
INSERT INTO public.who_data VALUES (44055, 32, 8131, 1, 65, 186, 7);
INSERT INTO public.who_data VALUES (44056, 1, 3382, 0, 58, 186, 161);
INSERT INTO public.who_data VALUES (44057, 1089, 320290, 12, 41381, 186, 149);
INSERT INTO public.who_data VALUES (44058, 0, 25, 0, 0, 186, 6);
INSERT INTO public.who_data VALUES (44059, 7, 1154, 0, 27, 186, 139);
INSERT INTO public.who_data VALUES (44060, 0, 0, 0, 0, 186, 211);
INSERT INTO public.who_data VALUES (44061, 0, 0, 0, 0, 186, 14);
INSERT INTO public.who_data VALUES (44062, 35, 600, 0, 12, 186, 111);
INSERT INTO public.who_data VALUES (44063, 113, 2427, 3, 60, 186, 207);
INSERT INTO public.who_data VALUES (44064, 7993, 399865, 20, 6016, 186, 66);
INSERT INTO public.who_data VALUES (44065, 0, 0, 0, 0, 186, 173);
INSERT INTO public.who_data VALUES (44066, 0, 298, 0, 2, 186, 145);
INSERT INTO public.who_data VALUES (44067, 0, 0, 0, 0, 186, 65);
INSERT INTO public.who_data VALUES (44068, 43, 1603, 0, 15, 186, 184);
INSERT INTO public.who_data VALUES (44069, 1967, 96403, 28, 2144, 186, 98);
INSERT INTO public.who_data VALUES (44070, 365, 64906, 2, 366, 186, 104);
INSERT INTO public.who_data VALUES (44071, 0, 509, 0, 21, 186, 73);
INSERT INTO public.who_data VALUES (44072, 39125, 5393138, 509, 169508, 186, 8);
INSERT INTO public.who_data VALUES (44073, 36, 796, 0, 9, 186, 227);
INSERT INTO public.who_data VALUES (44074, 17, 1457, 2, 40, 186, 75);
INSERT INTO public.who_data VALUES (44075, 660, 36760, 5, 245, 186, 45);
INSERT INTO public.who_data VALUES (44076, 0, 0, 0, 0, 186, 133);
INSERT INTO public.who_data VALUES (44077, 1047, 34802, 7, 288, 186, 202);
INSERT INTO public.who_data VALUES (44078, 6, 989, 0, 25, 186, 129);
INSERT INTO public.who_data VALUES (44079, 0, 0, 0, 0, 186, 36);
INSERT INTO public.who_data VALUES (44080, 7, 1893, 2, 538, 186, 51);
INSERT INTO public.who_data VALUES (44081, 145, 9981, 0, 264, 186, 206);
INSERT INTO public.who_data VALUES (44082, 70, 5378, 6, 141, 186, 5);
INSERT INTO public.who_data VALUES (44083, 3, 37685, 0, 1379, 187, 103);
INSERT INTO public.who_data VALUES (44084, 119, 7499, 2, 230, 187, 58);
INSERT INTO public.who_data VALUES (44085, 442, 39025, 9, 1379, 187, 195);
INSERT INTO public.who_data VALUES (44086, 0, 0, 0, 0, 187, 115);
INSERT INTO public.who_data VALUES (44087, 8, 1005, 0, 53, 187, 99);
INSERT INTO public.who_data VALUES (44088, 29, 1935, 0, 88, 187, 153);
INSERT INTO public.who_data VALUES (44089, 0, 3, 0, 0, 187, 93);
INSERT INTO public.who_data VALUES (44090, 0, 93, 0, 3, 187, 84);
INSERT INTO public.who_data VALUES (44091, 5469, 294569, 93, 5750, 187, 78);
INSERT INTO public.who_data VALUES (44092, 145, 41159, 8, 827, 187, 170);
INSERT INTO public.who_data VALUES (44093, 208, 1102, 0, 4, 187, 32);
INSERT INTO public.who_data VALUES (44094, 271, 23559, 25, 421, 187, 155);
INSERT INTO public.who_data VALUES (44095, 344, 23717, 1, 729, 187, 82);
INSERT INTO public.who_data VALUES (44096, 124, 34343, 2, 508, 187, 16);
INSERT INTO public.who_data VALUES (44097, 63, 1315, 1, 18, 187, 72);
INSERT INTO public.who_data VALUES (44098, 350, 47185, 3, 173, 187, 43);
INSERT INTO public.who_data VALUES (44099, 2595, 279144, 37, 3694, 187, 120);
INSERT INTO public.who_data VALUES (44100, 1, 152, 0, 7, 187, 213);
INSERT INTO public.who_data VALUES (44101, 73, 69589, 3, 613, 187, 31);
INSERT INTO public.who_data VALUES (44102, 707, 79630, 7, 9817, 187, 204);
INSERT INTO public.who_data VALUES (44103, 0, 452, 0, 3, 187, 152);
INSERT INTO public.who_data VALUES (44104, 0, 2063, 0, 39, 187, 144);
INSERT INTO public.who_data VALUES (44105, 0, 162, 0, 9, 187, 96);
INSERT INTO public.who_data VALUES (44106, 5, 146, 0, 0, 187, 47);
INSERT INTO public.who_data VALUES (44107, 1198, 100344, 45, 4048, 187, 80);
INSERT INTO public.who_data VALUES (44108, 0, 5, 0, 0, 187, 159);
INSERT INTO public.who_data VALUES (44109, 102, 16137, 6, 481, 187, 27);
INSERT INTO public.who_data VALUES (44110, 94, 1308, 0, 3, 187, 146);
INSERT INTO public.who_data VALUES (44111, 23101, 3340197, 620, 107852, 187, 71);
INSERT INTO public.who_data VALUES (44112, 0, 9, 0, 1, 187, 210);
INSERT INTO public.who_data VALUES (44113, 0, 142, 0, 3, 187, 54);
INSERT INTO public.who_data VALUES (44114, 135, 14500, 14, 512, 187, 147);
INSERT INTO public.who_data VALUES (44115, 18, 1267, 1, 55, 187, 2);
INSERT INTO public.who_data VALUES (44116, 3, 416, 0, 1, 187, 105);
INSERT INTO public.who_data VALUES (44117, 24, 3203, 1, 36, 187, 53);
INSERT INTO public.who_data VALUES (44118, 0, 273, 0, 0, 187, 81);
INSERT INTO public.who_data VALUES (44119, 17, 18599, 3, 406, 187, 223);
INSERT INTO public.who_data VALUES (44120, 198, 122087, 2, 9026, 187, 94);
INSERT INTO public.who_data VALUES (44121, 0, 203, 0, 1, 187, 154);
INSERT INTO public.who_data VALUES (44122, 15, 4667, 0, 61, 187, 83);
INSERT INTO public.who_data VALUES (44123, 3, 959, 0, 76, 187, 194);
INSERT INTO public.who_data VALUES (44124, 1556, 387502, 61, 10513, 187, 136);
INSERT INTO public.who_data VALUES (44125, 67, 89926, 0, 4710, 187, 179);
INSERT INTO public.who_data VALUES (44126, 11643, 468332, 287, 15097, 187, 57);
INSERT INTO public.who_data VALUES (44127, 0, 405, 0, 7, 187, 35);
INSERT INTO public.who_data VALUES (44128, 0, 3831, 0, 76, 187, 228);
INSERT INTO public.who_data VALUES (44129, 0, 0, 0, 0, 187, 19);
INSERT INTO public.who_data VALUES (44130, 728, 28465, 3, 294, 187, 22);
INSERT INTO public.who_data VALUES (44131, 0, 17026, 0, 110, 187, 1);
INSERT INTO public.who_data VALUES (44132, 85, 6656, 0, 166, 187, 21);
INSERT INTO public.who_data VALUES (44133, 48, 3364, 0, 88, 187, 234);
INSERT INTO public.who_data VALUES (44134, 1, 33, 0, 1, 187, 91);
INSERT INTO public.who_data VALUES (44135, 19, 1351, 0, 20, 187, 137);
INSERT INTO public.who_data VALUES (44136, 190, 20202, 2, 399, 187, 201);
INSERT INTO public.who_data VALUES (44137, 0, 0, 0, 0, 187, 171);
INSERT INTO public.who_data VALUES (44138, 30, 9705, 3, 243, 187, 92);
INSERT INTO public.who_data VALUES (44139, 123, 15740, 0, 621, 187, 112);
INSERT INTO public.who_data VALUES (44140, 3, 5372, 0, 59, 187, 62);
INSERT INTO public.who_data VALUES (44141, 0, 18, 0, 0, 187, 69);
INSERT INTO public.who_data VALUES (44142, 428, 86737, 28, 1481, 187, 220);
INSERT INTO public.who_data VALUES (44143, 209, 101751, 13, 6083, 187, 100);
INSERT INTO public.who_data VALUES (44144, 115, 96590, 13, 5173, 187, 187);
INSERT INTO public.who_data VALUES (44145, 281, 23193, 6, 618, 187, 63);
INSERT INTO public.who_data VALUES (44146, 0, 4821, 0, 83, 187, 28);
INSERT INTO public.who_data VALUES (44147, 0, 285, 0, 0, 187, 172);
INSERT INTO public.who_data VALUES (44148, 2, 2192, 0, 63, 187, 17);
INSERT INTO public.who_data VALUES (44149, 55, 3894, 3, 73, 187, 226);
INSERT INTO public.who_data VALUES (44150, 1460, 31336, 16, 544, 187, 236);
INSERT INTO public.who_data VALUES (44151, 0, 13, 0, 0, 187, 76);
INSERT INTO public.who_data VALUES (44152, 1, 373, 0, 0, 187, 30);
INSERT INTO public.who_data VALUES (44153, 0, 28, 0, 1, 187, 128);
INSERT INTO public.who_data VALUES (44154, 21, 7752, 1, 334, 187, 86);
INSERT INTO public.who_data VALUES (44155, 315, 205380, 18, 30296, 187, 140);
INSERT INTO public.who_data VALUES (44156, 34, 8622, 0, 53, 187, 44);
INSERT INTO public.who_data VALUES (44157, 45, 211, 0, 0, 187, 113);
INSERT INTO public.who_data VALUES (44158, 45, 8270, 2, 53, 187, 29);
INSERT INTO public.who_data VALUES (44159, 0, 1872, 0, 63, 187, 125);
INSERT INTO public.who_data VALUES (44160, 10, 1351, 0, 17, 187, 131);
INSERT INTO public.who_data VALUES (44161, 1390, 225404, 4, 9236, 187, 46);
INSERT INTO public.who_data VALUES (44162, 121, 42653, 8, 239, 187, 10);
INSERT INTO public.who_data VALUES (44163, 6, 215, 0, 0, 187, 205);
INSERT INTO public.who_data VALUES (44164, 147, 7222, 2, 230, 187, 50);
INSERT INTO public.who_data VALUES (44165, 0, 14, 0, 0, 187, 20);
INSERT INTO public.who_data VALUES (44166, 0, 24, 0, 0, 187, 13);
INSERT INTO public.who_data VALUES (44167, 64, 510, 1, 15, 187, 148);
INSERT INTO public.who_data VALUES (44168, 42, 550, 0, 5, 187, 230);
INSERT INTO public.who_data VALUES (44169, 382, 62944, 10, 2389, 187, 190);
INSERT INTO public.who_data VALUES (44170, 0, 252, 0, 13, 187, 188);
INSERT INTO public.who_data VALUES (44171, 138, 8620, 0, 51, 187, 123);
INSERT INTO public.who_data VALUES (44172, 0, 2117, 0, 33, 187, 9);
INSERT INTO public.who_data VALUES (44173, 35, 709, 1, 23, 187, 102);
INSERT INTO public.who_data VALUES (44174, 18, 7897, 0, 196, 187, 34);
INSERT INTO public.who_data VALUES (44175, 0, 12, 0, 0, 187, 212);
INSERT INTO public.who_data VALUES (44176, 523, 50502, 8, 1575, 187, 122);
INSERT INTO public.who_data VALUES (44177, 54, 4970, 1, 609, 187, 38);
INSERT INTO public.who_data VALUES (44178, 3, 2014, 0, 10, 187, 130);
INSERT INTO public.who_data VALUES (44179, 55079, 2702742, 876, 51797, 187, 37);
INSERT INTO public.who_data VALUES (44180, 1821, 141370, 57, 6207, 187, 231);
INSERT INTO public.who_data VALUES (44181, 2247, 345450, 165, 19804, 187, 107);
INSERT INTO public.who_data VALUES (44182, 3202, 180133, 94, 5954, 187, 101);
INSERT INTO public.who_data VALUES (44183, 56, 27313, 0, 1774, 187, 132);
INSERT INTO public.who_data VALUES (44184, 0, 336, 0, 24, 187, 176);
INSERT INTO public.who_data VALUES (44185, 1068, 93420, 19, 764, 187, 200);
INSERT INTO public.who_data VALUES (44186, 320, 254235, 4, 35400, 187, 169);
INSERT INTO public.who_data VALUES (44187, 7, 1113, 0, 14, 187, 225);
INSERT INTO public.who_data VALUES (44188, 1018, 56685, 16, 1115, 187, 165);
INSERT INTO public.who_data VALUES (44189, 0, 356, 0, 31, 187, 233);
INSERT INTO public.who_data VALUES (44190, 20, 1466, 0, 11, 187, 215);
INSERT INTO public.who_data VALUES (44191, 1352, 123325, 0, 1633, 187, 177);
INSERT INTO public.who_data VALUES (44192, 245, 30365, 8, 482, 187, 183);
INSERT INTO public.who_data VALUES (44193, 0, 0, 0, 0, 187, 203);
INSERT INTO public.who_data VALUES (44194, 129, 11502, 9, 400, 187, 162);
INSERT INTO public.who_data VALUES (44195, 622, 76827, 1, 502, 187, 12);
INSERT INTO public.who_data VALUES (44196, 155, 42146, 2, 1053, 187, 24);
INSERT INTO public.who_data VALUES (44197, 0, 22, 0, 0, 187, 119);
INSERT INTO public.who_data VALUES (44198, 1, 1323, 0, 32, 187, 39);
INSERT INTO public.who_data VALUES (44199, 456, 9337, 2, 105, 187, 26);
INSERT INTO public.who_data VALUES (44200, 0, 946, 0, 30, 187, 59);
INSERT INTO public.who_data VALUES (44201, 20, 1277, 0, 82, 187, 77);
INSERT INTO public.who_data VALUES (44202, 407, 8579, 4, 157, 187, 134);
INSERT INTO public.who_data VALUES (44203, 1, 98, 0, 1, 187, 4);
INSERT INTO public.who_data VALUES (44204, 37, 2467, 0, 81, 187, 109);
INSERT INTO public.who_data VALUES (44205, 30, 7469, 1, 124, 187, 90);
INSERT INTO public.who_data VALUES (44206, 59, 13886, 1, 171, 187, 61);
INSERT INTO public.who_data VALUES (44207, 53, 5125, 1, 162, 187, 85);
INSERT INTO public.who_data VALUES (44208, 12, 9212, 0, 125, 187, 49);
INSERT INTO public.who_data VALUES (44209, 124, 5909, 1, 23, 187, 208);
INSERT INTO public.who_data VALUES (44210, 0, 2640, 0, 125, 187, 166);
INSERT INTO public.who_data VALUES (44211, 68, 1373, 0, 9, 187, 64);
INSERT INTO public.who_data VALUES (44212, 0, 0, 0, 0, 187, 199);
INSERT INTO public.who_data VALUES (44213, 14, 350, 0, 16, 187, 114);
INSERT INTO public.who_data VALUES (44214, 61, 6762, 0, 157, 187, 60);
INSERT INTO public.who_data VALUES (44215, 0, 346, 0, 10, 187, 68);
INSERT INTO public.who_data VALUES (44216, 41, 3160, 0, 39, 187, 158);
INSERT INTO public.who_data VALUES (44217, 4448, 522162, 214, 56757, 187, 52);
INSERT INTO public.who_data VALUES (44218, 0, 0, 0, 0, 187, 117);
INSERT INTO public.who_data VALUES (44219, 1, 103, 0, 1, 187, 126);
INSERT INTO public.who_data VALUES (44220, 0, 298, 0, 0, 187, 196);
INSERT INTO public.who_data VALUES (44221, 51, 4151, 0, 80, 187, 142);
INSERT INTO public.who_data VALUES (44222, 0, 13, 0, 1, 187, 185);
INSERT INTO public.who_data VALUES (44223, 1069, 43558, 23, 681, 187, 138);
INSERT INTO public.who_data VALUES (44224, 59, 2914, 0, 19, 187, 181);
INSERT INTO public.who_data VALUES (44225, 0, 375, 0, 6, 187, 178);
INSERT INTO public.who_data VALUES (44226, 190, 4344, 1, 36, 187, 168);
INSERT INTO public.who_data VALUES (44227, 0, 0, 0, 0, 187, 160);
INSERT INTO public.who_data VALUES (44228, 581, 27241, 3, 107, 187, 151);
INSERT INTO public.who_data VALUES (44229, 487, 63408, 0, 6171, 187, 193);
INSERT INTO public.who_data VALUES (44230, 0, 23, 0, 0, 187, 18);
INSERT INTO public.who_data VALUES (44231, 13, 1293, 0, 22, 187, 40);
INSERT INTO public.who_data VALUES (44232, 0, 3413, 0, 128, 187, 218);
INSERT INTO public.who_data VALUES (44233, 0, 1167, 0, 69, 187, 191);
INSERT INTO public.who_data VALUES (44234, 417, 49485, 2, 977, 187, 156);
INSERT INTO public.who_data VALUES (44235, 0, 0, 0, 0, 187, 135);
INSERT INTO public.who_data VALUES (44236, 4, 54, 0, 2, 187, 88);
INSERT INTO public.who_data VALUES (44237, 101, 12840, 3, 547, 187, 55);
INSERT INTO public.who_data VALUES (44238, 154, 10004, 0, 261, 187, 108);
INSERT INTO public.who_data VALUES (44239, 456, 22391, 2, 123, 187, 48);
INSERT INTO public.who_data VALUES (44240, 140, 83226, 16, 588, 187, 3);
INSERT INTO public.who_data VALUES (44241, 0, 741, 0, 13, 187, 224);
INSERT INTO public.who_data VALUES (44242, 617, 289832, 15, 6190, 187, 110);
INSERT INTO public.who_data VALUES (44243, 0, 0, 0, 0, 187, 106);
INSERT INTO public.who_data VALUES (44244, 1275, 81940, 21, 1767, 187, 89);
INSERT INTO public.who_data VALUES (44245, 10, 333, 0, 3, 187, 121);
INSERT INTO public.who_data VALUES (44246, 410, 9791, 11, 138, 187, 163);
INSERT INTO public.who_data VALUES (44247, 10143, 535946, 206, 26281, 187, 70);
INSERT INTO public.who_data VALUES (44248, 3221, 164474, 16, 2681, 187, 174);
INSERT INTO public.who_data VALUES (44249, 0, 0, 0, 0, 187, 175);
INSERT INTO public.who_data VALUES (44250, 595, 57279, 8, 1885, 187, 118);
INSERT INTO public.who_data VALUES (44251, 132, 54234, 1, 1779, 187, 189);
INSERT INTO public.who_data VALUES (44252, 754, 26760, 0, 335, 187, 124);
INSERT INTO public.who_data VALUES (44253, 288, 115368, 0, 193, 187, 192);
INSERT INTO public.who_data VALUES (44254, 246, 15761, 1, 306, 187, 41);
INSERT INTO public.who_data VALUES (44255, 194, 30377, 12, 908, 187, 95);
INSERT INTO public.who_data VALUES (44256, 25, 880, 0, 5, 187, 74);
INSERT INTO public.who_data VALUES (44257, 733, 71194, 38, 3029, 187, 11);
INSERT INTO public.who_data VALUES (44258, 4748, 932493, 132, 15872, 187, 87);
INSERT INTO public.who_data VALUES (44259, 87, 2540, 0, 8, 187, 214);
INSERT INTO public.who_data VALUES (44260, 0, 5, 0, 0, 187, 116);
INSERT INTO public.who_data VALUES (44261, 0, 13, 0, 0, 187, 157);
INSERT INTO public.who_data VALUES (44262, 0, 0, 0, 0, 187, 182);
INSERT INTO public.who_data VALUES (44263, 0, 17, 0, 0, 187, 186);
INSERT INTO public.who_data VALUES (44264, 0, 25, 0, 0, 187, 127);
INSERT INTO public.who_data VALUES (44265, 0, 109, 0, 5, 187, 232);
INSERT INTO public.who_data VALUES (44266, 0, 5, 0, 0, 187, 33);
INSERT INTO public.who_data VALUES (44267, 0, 57, 0, 0, 187, 97);
INSERT INTO public.who_data VALUES (44268, 0, 0, 0, 0, 187, 42);
INSERT INTO public.who_data VALUES (44269, 0, 719, 0, 42, 187, 198);
INSERT INTO public.who_data VALUES (44270, 0, 885, 0, 15, 187, 216);
INSERT INTO public.who_data VALUES (44271, 1372, 299914, 28, 3436, 187, 164);
INSERT INTO public.who_data VALUES (44272, 75, 12237, 3, 256, 187, 235);
INSERT INTO public.who_data VALUES (44273, 100, 29782, 3, 677, 187, 67);
INSERT INTO public.who_data VALUES (44274, 0, 127, 0, 0, 187, 15);
INSERT INTO public.who_data VALUES (44275, 0, 1956, 0, 69, 187, 180);
INSERT INTO public.who_data VALUES (44276, 91, 55838, 0, 27, 187, 237);
INSERT INTO public.who_data VALUES (44277, 0, 3, 0, 0, 187, 25);
INSERT INTO public.who_data VALUES (44278, 54, 317, 0, 17, 187, 209);
INSERT INTO public.who_data VALUES (44279, 47, 2902, 0, 31, 187, 217);
INSERT INTO public.who_data VALUES (44280, 13, 2430, 0, 131, 187, 79);
INSERT INTO public.who_data VALUES (44281, 0, 0, 0, 0, 187, 143);
INSERT INTO public.who_data VALUES (44282, 1, 3257, 0, 93, 187, 229);
INSERT INTO public.who_data VALUES (44283, 2541, 589886, 143, 11982, 187, 141);
INSERT INTO public.who_data VALUES (44284, 0, 2490, 0, 47, 187, 197);
INSERT INTO public.who_data VALUES (44285, 3363, 385305, 23, 30269, 187, 221);
INSERT INTO public.who_data VALUES (44286, 7, 2900, 0, 11, 187, 150);
INSERT INTO public.who_data VALUES (44287, 61, 12546, 3, 808, 187, 56);
INSERT INTO public.who_data VALUES (44288, 55, 3016, 5, 47, 187, 167);
INSERT INTO public.who_data VALUES (44289, 63, 81350, 0, 5793, 187, 23);
INSERT INTO public.who_data VALUES (44290, 285, 38583, 1, 1754, 187, 222);
INSERT INTO public.who_data VALUES (44291, 87, 1764, 4, 68, 187, 219);
INSERT INTO public.who_data VALUES (44292, 34, 8099, 0, 64, 187, 7);
INSERT INTO public.who_data VALUES (44293, 3, 3381, 0, 58, 187, 161);
INSERT INTO public.who_data VALUES (44294, 713, 319201, 3, 41369, 187, 149);
INSERT INTO public.who_data VALUES (44295, 0, 25, 0, 0, 187, 6);
INSERT INTO public.who_data VALUES (44296, 0, 1147, 0, 27, 187, 139);
INSERT INTO public.who_data VALUES (44297, 0, 0, 0, 0, 187, 211);
INSERT INTO public.who_data VALUES (44298, 0, 0, 0, 0, 187, 14);
INSERT INTO public.who_data VALUES (44299, 46, 565, 1, 12, 187, 111);
INSERT INTO public.who_data VALUES (44300, 129, 2314, 1, 57, 187, 207);
INSERT INTO public.who_data VALUES (44301, 7963, 391872, 22, 5996, 187, 66);
INSERT INTO public.who_data VALUES (44302, 0, 0, 0, 0, 187, 173);
INSERT INTO public.who_data VALUES (44303, 0, 298, 0, 2, 187, 145);
INSERT INTO public.who_data VALUES (44304, 0, 0, 0, 0, 187, 65);
INSERT INTO public.who_data VALUES (44305, 60, 1560, 2, 15, 187, 184);
INSERT INTO public.who_data VALUES (44306, 1616, 94436, 27, 2116, 187, 98);
INSERT INTO public.who_data VALUES (44307, 229, 64541, 0, 364, 187, 104);
INSERT INTO public.who_data VALUES (44308, 0, 509, 0, 21, 187, 73);
INSERT INTO public.who_data VALUES (44309, 41073, 5354013, 654, 168999, 187, 8);
INSERT INTO public.who_data VALUES (44310, 19, 760, 0, 9, 187, 227);
INSERT INTO public.who_data VALUES (44311, 6, 1440, 0, 38, 187, 75);
INSERT INTO public.who_data VALUES (44312, 587, 36100, 6, 240, 187, 45);
INSERT INTO public.who_data VALUES (44313, 0, 0, 0, 0, 187, 133);
INSERT INTO public.who_data VALUES (44314, 1148, 33755, 5, 281, 187, 202);
INSERT INTO public.who_data VALUES (44315, 19, 983, 1, 25, 187, 129);
INSERT INTO public.who_data VALUES (44316, 0, 0, 0, 0, 187, 36);
INSERT INTO public.who_data VALUES (44317, 13, 1886, 5, 536, 187, 51);
INSERT INTO public.who_data VALUES (44318, 493, 9836, 4, 264, 187, 206);
INSERT INTO public.who_data VALUES (44319, 47, 5308, 3, 135, 187, 5);
INSERT INTO public.who_data VALUES (44320, 0, 37682, 0, 1379, 188, 103);
INSERT INTO public.who_data VALUES (44321, 120, 7380, 3, 228, 188, 58);
INSERT INTO public.who_data VALUES (44322, 450, 38583, 10, 1370, 188, 195);
INSERT INTO public.who_data VALUES (44323, 0, 0, 0, 0, 188, 115);
INSERT INTO public.who_data VALUES (44324, 0, 997, 0, 53, 188, 99);
INSERT INTO public.who_data VALUES (44325, 27, 1906, 2, 88, 188, 153);
INSERT INTO public.who_data VALUES (44326, 0, 3, 0, 0, 188, 93);
INSERT INTO public.who_data VALUES (44327, 0, 93, 0, 3, 188, 84);
INSERT INTO public.who_data VALUES (44328, 6663, 289100, 92, 5657, 188, 78);
INSERT INTO public.who_data VALUES (44329, 38, 41014, 6, 819, 188, 170);
INSERT INTO public.who_data VALUES (44330, 0, 894, 0, 4, 188, 32);
INSERT INTO public.who_data VALUES (44331, 253, 23288, 17, 396, 188, 155);
INSERT INTO public.who_data VALUES (44332, 162, 23373, 0, 728, 188, 82);
INSERT INTO public.who_data VALUES (44333, 112, 34219, 0, 506, 188, 16);
INSERT INTO public.who_data VALUES (44334, 133, 1252, 0, 17, 188, 72);
INSERT INTO public.who_data VALUES (44335, 405, 46835, 0, 170, 188, 43);
INSERT INTO public.who_data VALUES (44336, 2024, 276549, 32, 3657, 188, 120);
INSERT INTO public.who_data VALUES (44337, 3, 151, 0, 7, 188, 213);
INSERT INTO public.who_data VALUES (44338, 92, 69516, 3, 610, 188, 31);
INSERT INTO public.who_data VALUES (44339, 132, 78923, 7, 9810, 188, 204);
INSERT INTO public.who_data VALUES (44340, 64, 452, 0, 3, 188, 152);
INSERT INTO public.who_data VALUES (44341, 0, 2063, 0, 39, 188, 144);
INSERT INTO public.who_data VALUES (44342, 3, 162, 0, 9, 188, 96);
INSERT INTO public.who_data VALUES (44343, 8, 141, 0, 0, 188, 47);
INSERT INTO public.who_data VALUES (44344, 1196, 99146, 64, 4003, 188, 80);
INSERT INTO public.who_data VALUES (44345, 0, 5, 0, 0, 188, 159);
INSERT INTO public.who_data VALUES (44346, 233, 16035, 9, 475, 188, 27);
INSERT INTO public.who_data VALUES (44347, 0, 1214, 0, 3, 188, 146);
INSERT INTO public.who_data VALUES (44348, 41576, 3317096, 709, 107232, 188, 71);
INSERT INTO public.who_data VALUES (44349, 0, 9, 0, 1, 188, 210);
INSERT INTO public.who_data VALUES (44350, 0, 142, 0, 3, 188, 54);
INSERT INTO public.who_data VALUES (44351, 32, 14365, 3, 498, 188, 147);
INSERT INTO public.who_data VALUES (44352, 9, 1249, 0, 54, 188, 2);
INSERT INTO public.who_data VALUES (44353, 0, 413, 0, 1, 188, 105);
INSERT INTO public.who_data VALUES (44354, 16, 3179, 1, 35, 188, 53);
INSERT INTO public.who_data VALUES (44355, 0, 273, 0, 0, 188, 81);
INSERT INTO public.who_data VALUES (44356, 113, 18582, 2, 403, 188, 223);
INSERT INTO public.who_data VALUES (44357, 237, 121889, 4, 9024, 188, 94);
INSERT INTO public.who_data VALUES (44358, 0, 203, 0, 1, 188, 154);
INSERT INTO public.who_data VALUES (44359, 0, 4652, 0, 61, 188, 83);
INSERT INTO public.who_data VALUES (44360, 4, 956, 0, 76, 188, 194);
INSERT INTO public.who_data VALUES (44361, 2044, 385946, 57, 10452, 188, 136);
INSERT INTO public.who_data VALUES (44362, 98, 89859, 0, 4710, 188, 179);
INSERT INTO public.who_data VALUES (44363, 11578, 456689, 318, 14810, 188, 57);
INSERT INTO public.who_data VALUES (44364, 0, 405, 0, 7, 188, 35);
INSERT INTO public.who_data VALUES (44365, 0, 3831, 0, 76, 188, 228);
INSERT INTO public.who_data VALUES (44366, 0, 0, 0, 0, 188, 19);
INSERT INTO public.who_data VALUES (44367, 806, 27737, 10, 291, 188, 22);
INSERT INTO public.who_data VALUES (44368, 33, 17026, 2, 110, 188, 1);
INSERT INTO public.who_data VALUES (44369, 151, 6571, 1, 166, 188, 21);
INSERT INTO public.who_data VALUES (44370, 24, 3316, 0, 88, 188, 234);
INSERT INTO public.who_data VALUES (44371, 0, 32, 0, 1, 188, 91);
INSERT INTO public.who_data VALUES (44372, 0, 1332, 0, 20, 188, 137);
INSERT INTO public.who_data VALUES (44373, 121, 20012, 2, 397, 188, 201);
INSERT INTO public.who_data VALUES (44374, 0, 0, 0, 0, 188, 171);
INSERT INTO public.who_data VALUES (44375, 38, 9675, 1, 240, 188, 92);
INSERT INTO public.who_data VALUES (44376, 134, 15617, 0, 621, 188, 112);
INSERT INTO public.who_data VALUES (44377, 2, 5369, 0, 59, 188, 62);
INSERT INTO public.who_data VALUES (44378, 0, 18, 0, 0, 188, 69);
INSERT INTO public.who_data VALUES (44379, 764, 86309, 15, 1453, 188, 220);
INSERT INTO public.who_data VALUES (44380, 854, 101542, 5, 6070, 188, 100);
INSERT INTO public.who_data VALUES (44381, 139, 96475, 19, 5160, 188, 187);
INSERT INTO public.who_data VALUES (44382, 293, 22912, 9, 612, 188, 63);
INSERT INTO public.who_data VALUES (44383, 0, 4821, 0, 83, 188, 28);
INSERT INTO public.who_data VALUES (44384, 0, 285, 0, 0, 188, 172);
INSERT INTO public.who_data VALUES (44385, 6, 2190, 0, 63, 188, 17);
INSERT INTO public.who_data VALUES (44386, 94, 3839, 1, 70, 188, 226);
INSERT INTO public.who_data VALUES (44387, 982, 29876, 19, 528, 188, 236);
INSERT INTO public.who_data VALUES (44388, 0, 13, 0, 0, 188, 76);
INSERT INTO public.who_data VALUES (44389, 2, 372, 0, 0, 188, 30);
INSERT INTO public.who_data VALUES (44390, 0, 28, 0, 1, 188, 128);
INSERT INTO public.who_data VALUES (44391, 11, 7731, 0, 333, 188, 86);
INSERT INTO public.who_data VALUES (44392, 2947, 205065, 1, 30278, 188, 140);
INSERT INTO public.who_data VALUES (44393, 0, 8588, 0, 53, 188, 44);
INSERT INTO public.who_data VALUES (44394, 0, 166, 0, 0, 188, 113);
INSERT INTO public.who_data VALUES (44395, 0, 8225, 0, 51, 188, 29);
INSERT INTO public.who_data VALUES (44396, 183, 1872, 9, 63, 188, 125);
INSERT INTO public.who_data VALUES (44397, 5, 1341, 0, 17, 188, 131);
INSERT INTO public.who_data VALUES (44398, 561, 224014, 1, 9232, 188, 46);
INSERT INTO public.who_data VALUES (44399, 322, 42532, 0, 231, 188, 10);
INSERT INTO public.who_data VALUES (44400, 3, 209, 0, 0, 188, 205);
INSERT INTO public.who_data VALUES (44401, 217, 7075, 2, 228, 188, 50);
INSERT INTO public.who_data VALUES (44402, 0, 14, 0, 0, 188, 20);
INSERT INTO public.who_data VALUES (44403, 0, 24, 0, 0, 188, 13);
INSERT INTO public.who_data VALUES (44404, 0, 446, 0, 14, 188, 148);
INSERT INTO public.who_data VALUES (44405, 0, 508, 0, 5, 188, 230);
INSERT INTO public.who_data VALUES (44406, 249, 62562, 24, 2379, 188, 190);
INSERT INTO public.who_data VALUES (44407, 0, 252, 0, 13, 188, 188);
INSERT INTO public.who_data VALUES (44408, 139, 8482, 1, 51, 188, 123);
INSERT INTO public.who_data VALUES (44409, 0, 2117, 0, 33, 188, 9);
INSERT INTO public.who_data VALUES (44410, 25, 674, 0, 22, 188, 102);
INSERT INTO public.who_data VALUES (44411, 48, 7879, 0, 196, 188, 34);
INSERT INTO public.who_data VALUES (44412, 0, 12, 0, 0, 188, 212);
INSERT INTO public.who_data VALUES (44413, 512, 49979, 19, 1567, 188, 122);
INSERT INTO public.who_data VALUES (44414, 39, 4916, 1, 608, 188, 38);
INSERT INTO public.who_data VALUES (44415, 12, 2011, 0, 10, 188, 130);
INSERT INTO public.who_data VALUES (44416, 57981, 2647663, 941, 50921, 188, 37);
INSERT INTO public.who_data VALUES (44417, 2081, 139549, 79, 6150, 188, 231);
INSERT INTO public.who_data VALUES (44418, 2133, 343203, 147, 19639, 188, 107);
INSERT INTO public.who_data VALUES (44419, 4348, 176931, 75, 5860, 188, 101);
INSERT INTO public.who_data VALUES (44420, 66, 27257, 0, 1774, 188, 132);
INSERT INTO public.who_data VALUES (44421, 0, 336, 0, 24, 188, 176);
INSERT INTO public.who_data VALUES (44422, 757, 92352, 10, 745, 188, 200);
INSERT INTO public.who_data VALUES (44423, 477, 253915, 4, 35396, 188, 169);
INSERT INTO public.who_data VALUES (44424, 24, 1106, 0, 14, 188, 225);
INSERT INTO public.who_data VALUES (44425, 953, 55667, 11, 1099, 188, 165);
INSERT INTO public.who_data VALUES (44426, 0, 356, 0, 31, 188, 233);
INSERT INTO public.who_data VALUES (44427, 39, 1446, 0, 11, 188, 215);
INSERT INTO public.who_data VALUES (44428, 334, 121973, 0, 1633, 188, 177);
INSERT INTO public.who_data VALUES (44429, 271, 30120, 2, 474, 188, 183);
INSERT INTO public.who_data VALUES (44430, 0, 0, 0, 0, 188, 203);
INSERT INTO public.who_data VALUES (44431, 141, 11373, 11, 391, 188, 162);
INSERT INTO public.who_data VALUES (44432, 508, 76205, 3, 501, 188, 12);
INSERT INTO public.who_data VALUES (44433, 135, 41991, 1, 1051, 188, 24);
INSERT INTO public.who_data VALUES (44434, 0, 22, 0, 0, 188, 119);
INSERT INTO public.who_data VALUES (44435, 7, 1322, 0, 32, 188, 39);
INSERT INTO public.who_data VALUES (44436, 439, 8881, 6, 103, 188, 26);
INSERT INTO public.who_data VALUES (44437, 43, 946, 5, 30, 188, 59);
INSERT INTO public.who_data VALUES (44438, 0, 1257, 0, 82, 188, 77);
INSERT INTO public.who_data VALUES (44439, 434, 8172, 8, 153, 188, 134);
INSERT INTO public.who_data VALUES (44440, 3, 97, 0, 1, 188, 4);
INSERT INTO public.who_data VALUES (44441, 21, 2430, 0, 81, 188, 109);
INSERT INTO public.who_data VALUES (44442, 0, 7439, 0, 123, 188, 90);
INSERT INTO public.who_data VALUES (44443, 103, 13827, 4, 170, 188, 61);
INSERT INTO public.who_data VALUES (44444, 46, 5072, 4, 161, 188, 85);
INSERT INTO public.who_data VALUES (44445, 25, 9200, 0, 125, 188, 49);
INSERT INTO public.who_data VALUES (44446, 106, 5785, 0, 22, 188, 208);
INSERT INTO public.who_data VALUES (44447, 26, 2640, 0, 125, 188, 166);
INSERT INTO public.who_data VALUES (44448, 63, 1305, 0, 9, 188, 64);
INSERT INTO public.who_data VALUES (44449, 0, 0, 0, 0, 188, 199);
INSERT INTO public.who_data VALUES (44450, 0, 336, 0, 16, 188, 114);
INSERT INTO public.who_data VALUES (44451, 8, 6701, 0, 157, 188, 60);
INSERT INTO public.who_data VALUES (44452, 0, 346, 0, 10, 188, 68);
INSERT INTO public.who_data VALUES (44453, 0, 3119, 0, 39, 188, 158);
INSERT INTO public.who_data VALUES (44454, 6345, 517714, 635, 56543, 188, 52);
INSERT INTO public.who_data VALUES (44455, 0, 0, 0, 0, 188, 117);
INSERT INTO public.who_data VALUES (44456, 0, 102, 0, 1, 188, 126);
INSERT INTO public.who_data VALUES (44457, 0, 298, 0, 0, 188, 196);
INSERT INTO public.who_data VALUES (44458, 44, 4100, 2, 80, 188, 142);
INSERT INTO public.who_data VALUES (44459, 0, 13, 0, 1, 188, 185);
INSERT INTO public.who_data VALUES (44460, 1472, 42489, 26, 658, 188, 138);
INSERT INTO public.who_data VALUES (44461, 64, 2855, 0, 19, 188, 181);
INSERT INTO public.who_data VALUES (44462, 1, 375, 0, 6, 188, 178);
INSERT INTO public.who_data VALUES (44463, 247, 4154, 0, 35, 188, 168);
INSERT INTO public.who_data VALUES (44464, 0, 0, 0, 0, 188, 160);
INSERT INTO public.who_data VALUES (44465, 641, 26660, 2, 104, 188, 151);
INSERT INTO public.who_data VALUES (44466, 499, 62921, 3, 6171, 188, 193);
INSERT INTO public.who_data VALUES (44467, 0, 23, 0, 0, 188, 18);
INSERT INTO public.who_data VALUES (44468, 9, 1280, 0, 22, 188, 40);
INSERT INTO public.who_data VALUES (44469, 0, 3413, 0, 128, 188, 218);
INSERT INTO public.who_data VALUES (44470, 2, 1167, 0, 69, 188, 191);
INSERT INTO public.who_data VALUES (44471, 298, 49068, 1, 975, 188, 156);
INSERT INTO public.who_data VALUES (44472, 0, 0, 0, 0, 188, 135);
INSERT INTO public.who_data VALUES (44473, 0, 50, 0, 2, 188, 88);
INSERT INTO public.who_data VALUES (44474, 193, 12739, 9, 544, 188, 55);
INSERT INTO public.who_data VALUES (44475, 0, 9850, 0, 261, 188, 108);
INSERT INTO public.who_data VALUES (44476, 381, 21935, 2, 121, 188, 48);
INSERT INTO public.who_data VALUES (44477, 162, 83086, 10, 572, 188, 3);
INSERT INTO public.who_data VALUES (44478, 0, 741, 0, 13, 188, 224);
INSERT INTO public.who_data VALUES (44479, 498, 289215, 7, 6175, 188, 110);
INSERT INTO public.who_data VALUES (44480, 0, 0, 0, 0, 188, 106);
INSERT INTO public.who_data VALUES (44481, 1263, 80665, 12, 1746, 188, 89);
INSERT INTO public.who_data VALUES (44482, 48, 323, 0, 3, 188, 121);
INSERT INTO public.who_data VALUES (44483, 359, 9381, 19, 127, 188, 163);
INSERT INTO public.who_data VALUES (44484, 9507, 525803, 219, 26075, 188, 70);
INSERT INTO public.who_data VALUES (44485, 3335, 161253, 65, 2665, 188, 174);
INSERT INTO public.who_data VALUES (44486, 0, 0, 0, 0, 188, 175);
INSERT INTO public.who_data VALUES (44487, 594, 56684, 8, 1877, 188, 118);
INSERT INTO public.who_data VALUES (44488, 121, 54102, 3, 1778, 188, 189);
INSERT INTO public.who_data VALUES (44489, 311, 26006, 6, 335, 188, 124);
INSERT INTO public.who_data VALUES (44490, 271, 115080, 1, 193, 188, 192);
INSERT INTO public.who_data VALUES (44491, 197, 15515, 0, 305, 188, 41);
INSERT INTO public.who_data VALUES (44492, 278, 30183, 1, 896, 188, 95);
INSERT INTO public.who_data VALUES (44493, 67, 855, 0, 5, 188, 74);
INSERT INTO public.who_data VALUES (44494, 1087, 70461, 37, 2991, 188, 11);
INSERT INTO public.who_data VALUES (44495, 4892, 927745, 55, 15740, 188, 87);
INSERT INTO public.who_data VALUES (44496, 101, 2453, 0, 8, 188, 214);
INSERT INTO public.who_data VALUES (44497, 0, 5, 0, 0, 188, 116);
INSERT INTO public.who_data VALUES (44498, 0, 13, 0, 0, 188, 157);
INSERT INTO public.who_data VALUES (44499, 0, 0, 0, 0, 188, 182);
INSERT INTO public.who_data VALUES (44500, 0, 17, 0, 0, 188, 186);
INSERT INTO public.who_data VALUES (44501, 0, 25, 0, 0, 188, 127);
INSERT INTO public.who_data VALUES (44502, 0, 109, 0, 5, 188, 232);
INSERT INTO public.who_data VALUES (44503, 1, 5, 0, 0, 188, 33);
INSERT INTO public.who_data VALUES (44504, 0, 57, 0, 0, 188, 97);
INSERT INTO public.who_data VALUES (44505, 0, 0, 0, 0, 188, 42);
INSERT INTO public.who_data VALUES (44506, 0, 719, 0, 42, 188, 198);
INSERT INTO public.who_data VALUES (44507, 0, 885, 0, 15, 188, 216);
INSERT INTO public.who_data VALUES (44508, 1227, 298542, 39, 3408, 188, 164);
INSERT INTO public.who_data VALUES (44509, 130, 12162, 2, 253, 188, 235);
INSERT INTO public.who_data VALUES (44510, 211, 29682, 4, 674, 188, 67);
INSERT INTO public.who_data VALUES (44511, 0, 127, 0, 0, 188, 15);
INSERT INTO public.who_data VALUES (44512, 2, 1956, 0, 69, 188, 180);
INSERT INTO public.who_data VALUES (44513, 86, 55747, 0, 27, 188, 237);
INSERT INTO public.who_data VALUES (44514, 0, 3, 0, 0, 188, 25);
INSERT INTO public.who_data VALUES (44515, 0, 263, 0, 17, 188, 209);
INSERT INTO public.who_data VALUES (44516, 54, 2855, 0, 31, 188, 217);
INSERT INTO public.who_data VALUES (44517, 15, 2417, 0, 131, 188, 79);
INSERT INTO public.who_data VALUES (44518, 0, 0, 0, 0, 188, 143);
INSERT INTO public.who_data VALUES (44519, 0, 3256, 0, 93, 188, 229);
INSERT INTO public.who_data VALUES (44520, 3692, 587345, 162, 11839, 188, 141);
INSERT INTO public.who_data VALUES (44521, 1, 2490, 0, 47, 188, 197);
INSERT INTO public.who_data VALUES (44522, 4907, 381942, 29, 30246, 188, 221);
INSERT INTO public.who_data VALUES (44523, 7, 2893, 0, 11, 188, 150);
INSERT INTO public.who_data VALUES (44524, 75, 12485, 2, 805, 188, 56);
INSERT INTO public.who_data VALUES (44525, 123, 2961, 1, 42, 188, 167);
INSERT INTO public.who_data VALUES (44526, 226, 81287, 1, 5793, 188, 23);
INSERT INTO public.who_data VALUES (44527, 137, 38298, 0, 1753, 188, 222);
INSERT INTO public.who_data VALUES (44528, 84, 1677, 4, 64, 188, 219);
INSERT INTO public.who_data VALUES (44529, 36, 8065, 0, 64, 188, 7);
INSERT INTO public.who_data VALUES (44530, 1, 3378, 0, 58, 188, 161);
INSERT INTO public.who_data VALUES (44531, 1040, 318488, 5, 41366, 188, 149);
INSERT INTO public.who_data VALUES (44532, 0, 25, 0, 0, 188, 6);
INSERT INTO public.who_data VALUES (44533, 55, 1147, 1, 27, 188, 139);
INSERT INTO public.who_data VALUES (44534, 0, 0, 0, 0, 188, 211);
INSERT INTO public.who_data VALUES (44535, 0, 0, 0, 0, 188, 14);
INSERT INTO public.who_data VALUES (44536, 45, 519, 1, 11, 188, 111);
INSERT INTO public.who_data VALUES (44537, 78, 2185, 2, 56, 188, 207);
INSERT INTO public.who_data VALUES (44538, 7922, 383909, 19, 5974, 188, 66);
INSERT INTO public.who_data VALUES (44539, 0, 0, 0, 0, 188, 173);
INSERT INTO public.who_data VALUES (44540, 24, 298, 0, 2, 188, 145);
INSERT INTO public.who_data VALUES (44541, 0, 0, 0, 0, 188, 65);
INSERT INTO public.who_data VALUES (44542, 66, 1500, 1, 13, 188, 184);
INSERT INTO public.who_data VALUES (44543, 1464, 92820, 19, 2089, 188, 98);
INSERT INTO public.who_data VALUES (44544, 210, 64312, 3, 364, 188, 104);
INSERT INTO public.who_data VALUES (44545, 0, 509, 0, 21, 188, 73);
INSERT INTO public.who_data VALUES (44546, 54375, 5312940, 1144, 168345, 188, 8);
INSERT INTO public.who_data VALUES (44547, 7, 741, 0, 9, 188, 227);
INSERT INTO public.who_data VALUES (44548, 13, 1434, 0, 38, 188, 75);
INSERT INTO public.who_data VALUES (44549, 569, 35513, 6, 234, 188, 45);
INSERT INTO public.who_data VALUES (44550, 0, 0, 0, 0, 188, 133);
INSERT INTO public.who_data VALUES (44551, 1226, 32607, 10, 276, 188, 202);
INSERT INTO public.who_data VALUES (44552, 13, 964, 1, 24, 188, 129);
INSERT INTO public.who_data VALUES (44553, 0, 0, 0, 0, 188, 36);
INSERT INTO public.who_data VALUES (44554, 11, 1873, 2, 531, 188, 51);
INSERT INTO public.who_data VALUES (44555, 157, 9343, 0, 260, 188, 206);
INSERT INTO public.who_data VALUES (44556, 85, 5261, 2, 132, 188, 5);
INSERT INTO public.who_data VALUES (44557, 45, 37682, 5, 1379, 189, 103);
INSERT INTO public.who_data VALUES (44558, 143, 7260, 6, 225, 189, 58);
INSERT INTO public.who_data VALUES (44559, 469, 38133, 9, 1360, 189, 195);
INSERT INTO public.who_data VALUES (44560, 0, 0, 0, 0, 189, 115);
INSERT INTO public.who_data VALUES (44561, 8, 997, 0, 53, 189, 99);
INSERT INTO public.who_data VALUES (44562, 27, 1879, 0, 86, 189, 153);
INSERT INTO public.who_data VALUES (44563, 0, 3, 0, 0, 189, 93);
INSERT INTO public.who_data VALUES (44564, 0, 93, 0, 3, 189, 84);
INSERT INTO public.who_data VALUES (44565, 6365, 282437, 137, 5565, 189, 78);
INSERT INTO public.who_data VALUES (44566, 168, 40976, 1, 813, 189, 170);
INSERT INTO public.who_data VALUES (44567, 0, 894, 0, 4, 189, 32);
INSERT INTO public.who_data VALUES (44568, 292, 23035, 4, 379, 189, 155);
INSERT INTO public.who_data VALUES (44569, 260, 23211, 3, 728, 189, 82);
INSERT INTO public.who_data VALUES (44570, 89, 34107, 2, 506, 189, 16);
INSERT INTO public.who_data VALUES (44571, 30, 1119, 2, 17, 189, 72);
INSERT INTO public.who_data VALUES (44572, 378, 46430, 2, 170, 189, 43);
INSERT INTO public.who_data VALUES (44573, 2644, 274525, 34, 3625, 189, 120);
INSERT INTO public.who_data VALUES (44574, 4, 148, 0, 7, 189, 213);
INSERT INTO public.who_data VALUES (44575, 116, 69424, 4, 607, 189, 31);
INSERT INTO public.who_data VALUES (44576, 163, 78791, 9, 9803, 189, 204);
INSERT INTO public.who_data VALUES (44577, 32, 388, 1, 3, 189, 152);
INSERT INTO public.who_data VALUES (44578, 49, 2063, 1, 39, 189, 144);
INSERT INTO public.who_data VALUES (44579, 0, 159, 0, 9, 189, 96);
INSERT INTO public.who_data VALUES (44580, 0, 133, 0, 0, 189, 47);
INSERT INTO public.who_data VALUES (44581, 1491, 97950, 55, 3939, 189, 80);
INSERT INTO public.who_data VALUES (44582, 0, 5, 0, 0, 189, 159);
INSERT INTO public.who_data VALUES (44583, 268, 15802, 2, 466, 189, 27);
INSERT INTO public.who_data VALUES (44584, 0, 1214, 0, 3, 189, 146);
INSERT INTO public.who_data VALUES (44585, 50644, 3275520, 1060, 106523, 189, 71);
INSERT INTO public.who_data VALUES (44586, 0, 9, 0, 1, 189, 210);
INSERT INTO public.who_data VALUES (44587, 0, 142, 0, 3, 189, 54);
INSERT INTO public.who_data VALUES (44588, 90, 14333, 3, 495, 189, 147);
INSERT INTO public.who_data VALUES (44589, 2, 1240, 0, 54, 189, 2);
INSERT INTO public.who_data VALUES (44590, 1, 413, 0, 1, 189, 105);
INSERT INTO public.who_data VALUES (44591, 27, 3163, 1, 34, 189, 53);
INSERT INTO public.who_data VALUES (44592, 0, 273, 0, 0, 189, 81);
INSERT INTO public.who_data VALUES (44593, 0, 18469, 0, 401, 189, 223);
INSERT INTO public.who_data VALUES (44594, 418, 121652, 5, 9020, 189, 94);
INSERT INTO public.who_data VALUES (44595, 0, 203, 0, 1, 189, 154);
INSERT INTO public.who_data VALUES (44596, 0, 4652, 0, 61, 189, 83);
INSERT INTO public.who_data VALUES (44597, 1, 952, 0, 76, 189, 194);
INSERT INTO public.who_data VALUES (44598, 1791, 383902, 55, 10395, 189, 136);
INSERT INTO public.who_data VALUES (44599, 66, 89761, 2, 4710, 189, 179);
INSERT INTO public.who_data VALUES (44600, 11306, 445111, 347, 14492, 189, 57);
INSERT INTO public.who_data VALUES (44601, 2, 405, 0, 7, 189, 35);
INSERT INTO public.who_data VALUES (44602, 86, 3831, 16, 76, 189, 228);
INSERT INTO public.who_data VALUES (44603, 0, 0, 0, 0, 189, 19);
INSERT INTO public.who_data VALUES (44604, 802, 26931, 9, 281, 189, 22);
INSERT INTO public.who_data VALUES (44605, 58, 16993, 0, 108, 189, 1);
INSERT INTO public.who_data VALUES (44606, 162, 6420, 2, 165, 189, 21);
INSERT INTO public.who_data VALUES (44607, 63, 3292, 0, 88, 189, 234);
INSERT INTO public.who_data VALUES (44608, 0, 32, 0, 1, 189, 91);
INSERT INTO public.who_data VALUES (44609, 14, 1332, 0, 20, 189, 137);
INSERT INTO public.who_data VALUES (44610, 198, 19891, 1, 395, 189, 201);
INSERT INTO public.who_data VALUES (44611, 0, 0, 0, 0, 189, 171);
INSERT INTO public.who_data VALUES (44612, 33, 9637, 1, 239, 189, 92);
INSERT INTO public.who_data VALUES (44613, 104, 15483, 0, 621, 189, 112);
INSERT INTO public.who_data VALUES (44614, 0, 5367, 0, 59, 189, 62);
INSERT INTO public.who_data VALUES (44615, 0, 18, 0, 0, 189, 69);
INSERT INTO public.who_data VALUES (44616, 1057, 85545, 29, 1438, 189, 220);
INSERT INTO public.who_data VALUES (44617, 1279, 100688, 35, 6065, 189, 100);
INSERT INTO public.who_data VALUES (44618, 116, 96336, 17, 5141, 189, 187);
INSERT INTO public.who_data VALUES (44619, 305, 22619, 8, 603, 189, 63);
INSERT INTO public.who_data VALUES (44620, 0, 4821, 0, 83, 189, 28);
INSERT INTO public.who_data VALUES (44621, 0, 285, 0, 0, 189, 172);
INSERT INTO public.who_data VALUES (44622, 7, 2184, 0, 63, 189, 17);
INSERT INTO public.who_data VALUES (44623, 75, 3745, 1, 69, 189, 226);
INSERT INTO public.who_data VALUES (44624, 1652, 28894, 17, 509, 189, 236);
INSERT INTO public.who_data VALUES (44625, 0, 13, 0, 0, 189, 76);
INSERT INTO public.who_data VALUES (44626, 8, 370, 0, 0, 189, 30);
INSERT INTO public.who_data VALUES (44627, 0, 28, 0, 1, 189, 128);
INSERT INTO public.who_data VALUES (44628, 20, 7720, 0, 333, 189, 86);
INSERT INTO public.who_data VALUES (44629, 3242, 202118, 2, 30277, 189, 140);
INSERT INTO public.who_data VALUES (44630, 39, 8588, 0, 53, 189, 44);
INSERT INTO public.who_data VALUES (44631, 0, 166, 0, 0, 189, 113);
INSERT INTO public.who_data VALUES (44632, 0, 8225, 0, 51, 189, 29);
INSERT INTO public.who_data VALUES (44633, 0, 1689, 0, 54, 189, 125);
INSERT INTO public.who_data VALUES (44634, 15, 1336, 0, 17, 189, 131);
INSERT INTO public.who_data VALUES (44635, 625, 223453, 0, 9231, 189, 46);
INSERT INTO public.who_data VALUES (44636, 147, 42210, 0, 231, 189, 10);
INSERT INTO public.who_data VALUES (44637, 1, 206, 0, 0, 189, 205);
INSERT INTO public.who_data VALUES (44638, 226, 6858, 3, 226, 189, 50);
INSERT INTO public.who_data VALUES (44639, 0, 14, 0, 0, 189, 20);
INSERT INTO public.who_data VALUES (44640, 0, 24, 0, 0, 189, 13);
INSERT INTO public.who_data VALUES (44641, 0, 446, 0, 14, 189, 148);
INSERT INTO public.who_data VALUES (44642, 14, 508, 0, 5, 189, 230);
INSERT INTO public.who_data VALUES (44643, 885, 62313, 14, 2355, 189, 190);
INSERT INTO public.who_data VALUES (44644, 0, 252, 0, 13, 189, 188);
INSERT INTO public.who_data VALUES (44645, 83, 8343, 0, 50, 189, 123);
INSERT INTO public.who_data VALUES (44646, 0, 2117, 0, 33, 189, 9);
INSERT INTO public.who_data VALUES (44647, 18, 649, 0, 22, 189, 102);
INSERT INTO public.who_data VALUES (44648, 21, 7831, 4, 196, 189, 34);
INSERT INTO public.who_data VALUES (44649, 0, 12, 0, 0, 189, 212);
INSERT INTO public.who_data VALUES (44650, 425, 49467, 6, 1548, 189, 122);
INSERT INTO public.who_data VALUES (44651, 24, 4877, 0, 607, 189, 38);
INSERT INTO public.who_data VALUES (44652, 16, 1999, 0, 10, 189, 130);
INSERT INTO public.who_data VALUES (44653, 63490, 2589682, 944, 49980, 189, 37);
INSERT INTO public.who_data VALUES (44654, 2345, 137468, 50, 6071, 189, 231);
INSERT INTO public.who_data VALUES (44655, 2245, 341070, 161, 19492, 189, 107);
INSERT INTO public.who_data VALUES (44656, 4293, 172583, 76, 5785, 189, 101);
INSERT INTO public.who_data VALUES (44657, 196, 27191, 0, 1774, 189, 132);
INSERT INTO public.who_data VALUES (44658, 0, 336, 0, 24, 189, 176);
INSERT INTO public.who_data VALUES (44659, 1388, 91595, 12, 735, 189, 200);
INSERT INTO public.who_data VALUES (44660, 629, 253438, 158, 35392, 189, 169);
INSERT INTO public.who_data VALUES (44661, 11, 1082, 0, 14, 189, 225);
INSERT INTO public.who_data VALUES (44662, 1137, 54714, 3, 1088, 189, 165);
INSERT INTO public.who_data VALUES (44663, 0, 356, 0, 31, 189, 233);
INSERT INTO public.who_data VALUES (44664, 10, 1407, 0, 11, 189, 215);
INSERT INTO public.who_data VALUES (44665, 478, 121639, 200, 1633, 189, 177);
INSERT INTO public.who_data VALUES (44666, 515, 29849, 7, 472, 189, 183);
INSERT INTO public.who_data VALUES (44667, 0, 0, 0, 0, 189, 203);
INSERT INTO public.who_data VALUES (44668, 145, 11232, 9, 380, 189, 162);
INSERT INTO public.who_data VALUES (44669, 512, 75697, 4, 498, 189, 12);
INSERT INTO public.who_data VALUES (44670, 211, 41856, 2, 1050, 189, 24);
INSERT INTO public.who_data VALUES (44671, 2, 22, 0, 0, 189, 119);
INSERT INTO public.who_data VALUES (44672, 7, 1315, 0, 32, 189, 39);
INSERT INTO public.who_data VALUES (44673, 397, 8442, 3, 97, 189, 26);
INSERT INTO public.who_data VALUES (44674, 0, 903, 0, 25, 189, 59);
INSERT INTO public.who_data VALUES (44675, 3, 1257, 0, 82, 189, 77);
INSERT INTO public.who_data VALUES (44676, 411, 7738, 6, 145, 189, 134);
INSERT INTO public.who_data VALUES (44677, 0, 94, 0, 1, 189, 4);
INSERT INTO public.who_data VALUES (44678, 30, 2409, 0, 81, 189, 109);
INSERT INTO public.who_data VALUES (44679, 34, 7439, 1, 123, 189, 90);
INSERT INTO public.who_data VALUES (44680, 81, 13724, 2, 166, 189, 61);
INSERT INTO public.who_data VALUES (44681, 38, 5026, 1, 157, 189, 85);
INSERT INTO public.who_data VALUES (44682, 26, 9175, 0, 125, 189, 49);
INSERT INTO public.who_data VALUES (44683, 107, 5679, 0, 22, 189, 208);
INSERT INTO public.who_data VALUES (44684, 9, 2614, 0, 125, 189, 166);
INSERT INTO public.who_data VALUES (44685, 72, 1242, 0, 9, 189, 64);
INSERT INTO public.who_data VALUES (44686, 0, 0, 0, 0, 189, 199);
INSERT INTO public.who_data VALUES (44687, 0, 336, 0, 16, 189, 114);
INSERT INTO public.who_data VALUES (44688, 40, 6693, 0, 157, 189, 60);
INSERT INTO public.who_data VALUES (44689, 2, 346, 0, 10, 189, 68);
INSERT INTO public.who_data VALUES (44690, 0, 3119, 0, 39, 189, 158);
INSERT INTO public.who_data VALUES (44691, 5618, 511369, 615, 55908, 189, 52);
INSERT INTO public.who_data VALUES (44692, 0, 0, 0, 0, 189, 117);
INSERT INTO public.who_data VALUES (44693, 0, 102, 0, 1, 189, 126);
INSERT INTO public.who_data VALUES (44694, 1, 298, 0, 0, 189, 196);
INSERT INTO public.who_data VALUES (44695, 45, 4056, 3, 78, 189, 142);
INSERT INTO public.who_data VALUES (44696, 0, 13, 0, 1, 189, 185);
INSERT INTO public.who_data VALUES (44697, 1776, 41017, 21, 632, 189, 138);
INSERT INTO public.who_data VALUES (44698, 83, 2791, 0, 19, 189, 181);
INSERT INTO public.who_data VALUES (44699, 5, 374, 0, 6, 189, 178);
INSERT INTO public.who_data VALUES (44700, 181, 3907, 4, 35, 189, 168);
INSERT INTO public.who_data VALUES (44701, 0, 0, 0, 0, 189, 160);
INSERT INTO public.who_data VALUES (44702, 468, 26019, 3, 102, 189, 151);
INSERT INTO public.who_data VALUES (44703, 656, 62422, 2, 6168, 189, 193);
INSERT INTO public.who_data VALUES (44704, 0, 23, 0, 0, 189, 18);
INSERT INTO public.who_data VALUES (44705, 13, 1271, 0, 22, 189, 40);
INSERT INTO public.who_data VALUES (44706, 0, 3413, 0, 128, 189, 218);
INSERT INTO public.who_data VALUES (44707, 0, 1165, 0, 69, 189, 191);
INSERT INTO public.who_data VALUES (44708, 325, 48770, 1, 974, 189, 156);
INSERT INTO public.who_data VALUES (44709, 0, 0, 0, 0, 189, 135);
INSERT INTO public.who_data VALUES (44710, 0, 50, 0, 2, 189, 88);
INSERT INTO public.who_data VALUES (44711, 160, 12546, 3, 535, 189, 55);
INSERT INTO public.who_data VALUES (44712, 0, 9850, 0, 261, 189, 108);
INSERT INTO public.who_data VALUES (44713, 498, 21554, 3, 119, 189, 48);
INSERT INTO public.who_data VALUES (44714, 181, 82924, 5, 562, 189, 3);
INSERT INTO public.who_data VALUES (44715, 0, 741, 0, 13, 189, 224);
INSERT INTO public.who_data VALUES (44716, 670, 288717, 6, 6168, 189, 110);
INSERT INTO public.who_data VALUES (44717, 0, 0, 0, 0, 189, 106);
INSERT INTO public.who_data VALUES (44718, 956, 79402, 12, 1734, 189, 89);
INSERT INTO public.who_data VALUES (44719, 0, 275, 0, 3, 189, 121);
INSERT INTO public.who_data VALUES (44720, 633, 9022, 11, 108, 189, 163);
INSERT INTO public.who_data VALUES (44721, 8300, 516296, 208, 25856, 189, 70);
INSERT INTO public.who_data VALUES (44722, 4258, 157918, 158, 2600, 189, 174);
INSERT INTO public.who_data VALUES (44723, 0, 0, 0, 0, 189, 175);
INSERT INTO public.who_data VALUES (44724, 771, 56090, 11, 1869, 189, 118);
INSERT INTO public.who_data VALUES (44725, 198, 53981, 3, 1775, 189, 189);
INSERT INTO public.who_data VALUES (44726, 567, 25695, 12, 329, 189, 124);
INSERT INTO public.who_data VALUES (44727, 277, 114809, 2, 192, 189, 192);
INSERT INTO public.who_data VALUES (44728, 279, 15318, 0, 305, 189, 41);
INSERT INTO public.who_data VALUES (44729, 422, 29905, 11, 895, 189, 95);
INSERT INTO public.who_data VALUES (44730, 12, 788, 0, 5, 189, 74);
INSERT INTO public.who_data VALUES (44731, 1328, 69374, 50, 2954, 189, 11);
INSERT INTO public.who_data VALUES (44732, 4969, 922853, 68, 15685, 189, 87);
INSERT INTO public.who_data VALUES (44733, 152, 2352, 0, 8, 189, 214);
INSERT INTO public.who_data VALUES (44734, 0, 5, 0, 0, 189, 116);
INSERT INTO public.who_data VALUES (44735, 0, 13, 0, 0, 189, 157);
INSERT INTO public.who_data VALUES (44736, 0, 0, 0, 0, 189, 182);
INSERT INTO public.who_data VALUES (44737, 0, 17, 0, 0, 189, 186);
INSERT INTO public.who_data VALUES (44738, 0, 25, 0, 0, 189, 127);
INSERT INTO public.who_data VALUES (44739, 17, 109, 1, 5, 189, 232);
INSERT INTO public.who_data VALUES (44740, 0, 4, 0, 0, 189, 33);
INSERT INTO public.who_data VALUES (44741, 0, 57, 0, 0, 189, 97);
INSERT INTO public.who_data VALUES (44742, 0, 0, 0, 0, 189, 42);
INSERT INTO public.who_data VALUES (44743, 0, 719, 0, 42, 189, 198);
INSERT INTO public.who_data VALUES (44744, 0, 885, 0, 15, 189, 216);
INSERT INTO public.who_data VALUES (44745, 1413, 297315, 31, 3369, 189, 164);
INSERT INTO public.who_data VALUES (44746, 160, 12032, 2, 251, 189, 235);
INSERT INTO public.who_data VALUES (44747, 238, 29471, 5, 670, 189, 67);
INSERT INTO public.who_data VALUES (44748, 0, 127, 0, 0, 189, 15);
INSERT INTO public.who_data VALUES (44749, 7, 1954, 0, 69, 189, 180);
INSERT INTO public.who_data VALUES (44750, 81, 55661, 0, 27, 189, 237);
INSERT INTO public.who_data VALUES (44751, 0, 3, 0, 0, 189, 25);
INSERT INTO public.who_data VALUES (44752, 0, 263, 0, 17, 189, 209);
INSERT INTO public.who_data VALUES (44753, 62, 2801, 0, 31, 189, 217);
INSERT INTO public.who_data VALUES (44754, 32, 2402, 0, 131, 189, 79);
INSERT INTO public.who_data VALUES (44755, 0, 0, 0, 0, 189, 143);
INSERT INTO public.who_data VALUES (44756, 6, 3256, 0, 93, 189, 229);
INSERT INTO public.who_data VALUES (44757, 4513, 583653, 121, 11677, 189, 141);
INSERT INTO public.who_data VALUES (44758, 1, 2489, 0, 47, 189, 197);
INSERT INTO public.who_data VALUES (44759, 8533, 377035, 34, 30217, 189, 221);
INSERT INTO public.who_data VALUES (44760, 4, 2886, 0, 11, 189, 150);
INSERT INTO public.who_data VALUES (44761, 96, 12410, 5, 803, 189, 56);
INSERT INTO public.who_data VALUES (44762, 77, 2838, 1, 41, 189, 167);
INSERT INTO public.who_data VALUES (44763, 344, 81061, 1, 5792, 189, 23);
INSERT INTO public.who_data VALUES (44764, 149, 38161, 3, 1753, 189, 222);
INSERT INTO public.who_data VALUES (44765, 78, 1593, 2, 60, 189, 219);
INSERT INTO public.who_data VALUES (44766, 40, 8029, 1, 64, 189, 7);
INSERT INTO public.who_data VALUES (44767, 1, 3377, 0, 58, 189, 161);
INSERT INTO public.who_data VALUES (44768, 1077, 317448, 3, 41361, 189, 149);
INSERT INTO public.who_data VALUES (44769, 0, 25, 0, 0, 189, 6);
INSERT INTO public.who_data VALUES (44770, 0, 1092, 0, 26, 189, 139);
INSERT INTO public.who_data VALUES (44771, 0, 0, 0, 0, 189, 211);
INSERT INTO public.who_data VALUES (44772, 0, 0, 0, 0, 189, 14);
INSERT INTO public.who_data VALUES (44773, 62, 474, 2, 10, 189, 111);
INSERT INTO public.who_data VALUES (44774, 84, 2107, 0, 54, 189, 207);
INSERT INTO public.who_data VALUES (44775, 7986, 375987, 21, 5955, 189, 66);
INSERT INTO public.who_data VALUES (44776, 0, 0, 0, 0, 189, 173);
INSERT INTO public.who_data VALUES (44777, 16, 274, 0, 2, 189, 145);
INSERT INTO public.who_data VALUES (44778, 0, 0, 0, 0, 189, 65);
INSERT INTO public.who_data VALUES (44779, 49, 1434, 0, 12, 189, 184);
INSERT INTO public.who_data VALUES (44780, 1637, 91356, 26, 2070, 189, 98);
INSERT INTO public.who_data VALUES (44781, 283, 64102, 2, 361, 189, 104);
INSERT INTO public.who_data VALUES (44782, 0, 509, 0, 21, 189, 73);
INSERT INTO public.who_data VALUES (44783, 55359, 5258565, 1206, 167201, 189, 8);
INSERT INTO public.who_data VALUES (44784, 30, 734, 0, 9, 189, 227);
INSERT INTO public.who_data VALUES (44785, 12, 1421, 1, 38, 189, 75);
INSERT INTO public.who_data VALUES (44786, 693, 34944, 5, 228, 189, 45);
INSERT INTO public.who_data VALUES (44787, 0, 0, 0, 0, 189, 133);
INSERT INTO public.who_data VALUES (44788, 1012, 31381, 7, 266, 189, 202);
INSERT INTO public.who_data VALUES (44789, 21, 951, 1, 23, 189, 129);
INSERT INTO public.who_data VALUES (44790, 0, 0, 0, 0, 189, 36);
INSERT INTO public.who_data VALUES (44791, 0, 1862, 0, 529, 189, 51);
INSERT INTO public.who_data VALUES (44792, 165, 9186, 4, 260, 189, 206);
INSERT INTO public.who_data VALUES (44793, 104, 5176, 2, 130, 189, 5);
INSERT INTO public.who_data VALUES (44794, 120, 37637, 7, 1374, 190, 103);
INSERT INTO public.who_data VALUES (44795, 146, 7117, 6, 219, 190, 58);
INSERT INTO public.who_data VALUES (44796, 477, 37664, 10, 1351, 190, 195);
INSERT INTO public.who_data VALUES (44797, 0, 0, 0, 0, 190, 115);
INSERT INTO public.who_data VALUES (44798, 8, 989, 0, 53, 190, 99);
INSERT INTO public.who_data VALUES (44799, 37, 1852, 3, 86, 190, 153);
INSERT INTO public.who_data VALUES (44800, 0, 3, 0, 0, 190, 93);
INSERT INTO public.who_data VALUES (44801, 1, 93, 0, 3, 190, 84);
INSERT INTO public.who_data VALUES (44802, 7498, 276072, 182, 5428, 190, 78);
INSERT INTO public.who_data VALUES (44803, 196, 40808, 3, 812, 190, 170);
INSERT INTO public.who_data VALUES (44804, 96, 894, 1, 4, 190, 32);
INSERT INTO public.who_data VALUES (44805, 385, 22743, 14, 375, 190, 155);
INSERT INTO public.who_data VALUES (44806, 221, 22951, 0, 725, 190, 82);
INSERT INTO public.who_data VALUES (44807, 103, 34018, 4, 504, 190, 16);
INSERT INTO public.who_data VALUES (44808, 53, 1089, 0, 15, 190, 72);
INSERT INTO public.who_data VALUES (44809, 326, 46052, 1, 168, 190, 43);
INSERT INTO public.who_data VALUES (44810, 2766, 271881, 34, 3591, 190, 120);
INSERT INTO public.who_data VALUES (44811, 0, 144, 0, 7, 190, 213);
INSERT INTO public.who_data VALUES (44812, 105, 69308, 4, 603, 190, 31);
INSERT INTO public.who_data VALUES (44813, 587, 78628, 12, 9794, 190, 204);
INSERT INTO public.who_data VALUES (44814, 60, 356, 0, 2, 190, 152);
INSERT INTO public.who_data VALUES (44815, 0, 2014, 0, 38, 190, 144);
INSERT INTO public.who_data VALUES (44816, 0, 159, 0, 9, 190, 96);
INSERT INTO public.who_data VALUES (44817, 2, 133, 0, 0, 190, 47);
INSERT INTO public.who_data VALUES (44818, 1388, 96459, 57, 3884, 190, 80);
INSERT INTO public.who_data VALUES (44819, 0, 5, 0, 0, 190, 159);
INSERT INTO public.who_data VALUES (44820, 347, 15534, 11, 464, 190, 27);
INSERT INTO public.who_data VALUES (44821, 0, 1214, 0, 3, 190, 146);
INSERT INTO public.who_data VALUES (44822, 60091, 3224876, 1262, 105463, 190, 71);
INSERT INTO public.who_data VALUES (44823, 0, 9, 0, 1, 190, 210);
INSERT INTO public.who_data VALUES (44824, 0, 142, 0, 3, 190, 54);
INSERT INTO public.who_data VALUES (44825, 174, 14243, 8, 492, 190, 147);
INSERT INTO public.who_data VALUES (44826, 10, 1238, 0, 54, 190, 2);
INSERT INTO public.who_data VALUES (44827, 0, 412, 0, 1, 190, 105);
INSERT INTO public.who_data VALUES (44828, 63, 3136, 0, 33, 190, 53);
INSERT INTO public.who_data VALUES (44829, 0, 273, 0, 0, 190, 81);
INSERT INTO public.who_data VALUES (44830, 0, 18469, 0, 401, 190, 223);
INSERT INTO public.who_data VALUES (44831, 390, 121234, 9, 9015, 190, 94);
INSERT INTO public.who_data VALUES (44832, 0, 203, 0, 1, 190, 154);
INSERT INTO public.who_data VALUES (44833, 0, 4652, 0, 61, 190, 83);
INSERT INTO public.who_data VALUES (44834, 2, 951, 0, 76, 190, 194);
INSERT INTO public.who_data VALUES (44835, 2077, 382111, 41, 10340, 190, 136);
INSERT INTO public.who_data VALUES (44836, 70, 89695, 1, 4708, 190, 179);
INSERT INTO public.who_data VALUES (44837, 11286, 433805, 308, 14145, 190, 57);
INSERT INTO public.who_data VALUES (44838, 0, 403, 0, 7, 190, 35);
INSERT INTO public.who_data VALUES (44839, 0, 3745, 0, 60, 190, 228);
INSERT INTO public.who_data VALUES (44840, 0, 0, 0, 0, 190, 19);
INSERT INTO public.who_data VALUES (44841, 1072, 26129, 9, 272, 190, 22);
INSERT INTO public.who_data VALUES (44842, 88, 16935, 3, 108, 190, 1);
INSERT INTO public.who_data VALUES (44843, 208, 6258, 2, 163, 190, 21);
INSERT INTO public.who_data VALUES (44844, 55, 3229, -1, 88, 190, 234);
INSERT INTO public.who_data VALUES (44845, 0, 32, 0, 1, 190, 91);
INSERT INTO public.who_data VALUES (44846, 13, 1318, 0, 20, 190, 137);
INSERT INTO public.who_data VALUES (44847, 292, 19693, 3, 394, 190, 201);
INSERT INTO public.who_data VALUES (44848, 0, 0, 0, 0, 190, 171);
INSERT INTO public.who_data VALUES (44849, 16, 9604, 4, 238, 190, 92);
INSERT INTO public.who_data VALUES (44850, 165, 15379, 0, 621, 190, 112);
INSERT INTO public.who_data VALUES (44851, 9, 5367, 0, 59, 190, 62);
INSERT INTO public.who_data VALUES (44852, 0, 18, 0, 0, 190, 69);
INSERT INTO public.who_data VALUES (44853, 1354, 84488, 16, 1409, 190, 220);
INSERT INTO public.who_data VALUES (44854, 1066, 99409, 20, 6030, 190, 100);
INSERT INTO public.who_data VALUES (44855, 112, 96220, 17, 5124, 190, 187);
INSERT INTO public.who_data VALUES (44856, 321, 22314, 11, 595, 190, 63);
INSERT INTO public.who_data VALUES (44857, 0, 4821, 0, 83, 190, 28);
INSERT INTO public.who_data VALUES (44858, 0, 285, 0, 0, 190, 172);
INSERT INTO public.who_data VALUES (44859, 3, 2177, 0, 63, 190, 17);
INSERT INTO public.who_data VALUES (44860, 71, 3670, 3, 68, 190, 226);
INSERT INTO public.who_data VALUES (44861, 1038, 27242, 13, 492, 190, 236);
INSERT INTO public.who_data VALUES (44862, 0, 13, 0, 0, 190, 76);
INSERT INTO public.who_data VALUES (44863, 0, 362, 0, 0, 190, 30);
INSERT INTO public.who_data VALUES (44864, 0, 28, 0, 1, 190, 128);
INSERT INTO public.who_data VALUES (44865, 17, 7700, 0, 333, 190, 86);
INSERT INTO public.who_data VALUES (44866, 2667, 198876, 16, 30275, 190, 140);
INSERT INTO public.who_data VALUES (44867, 78, 8549, 2, 53, 190, 44);
INSERT INTO public.who_data VALUES (44868, 27, 166, 0, 0, 190, 113);
INSERT INTO public.who_data VALUES (44869, 148, 8225, 0, 51, 190, 29);
INSERT INTO public.who_data VALUES (44870, 133, 1689, 11, 54, 190, 125);
INSERT INTO public.who_data VALUES (44871, 15, 1321, 0, 17, 190, 131);
INSERT INTO public.who_data VALUES (44872, 1415, 222828, 6, 9231, 190, 46);
INSERT INTO public.who_data VALUES (44873, 216, 42063, 8, 231, 190, 10);
INSERT INTO public.who_data VALUES (44874, 2, 205, 0, 0, 190, 205);
INSERT INTO public.who_data VALUES (44875, 251, 6632, 2, 223, 190, 50);
INSERT INTO public.who_data VALUES (44876, 0, 14, 0, 0, 190, 20);
INSERT INTO public.who_data VALUES (44877, 0, 24, 0, 0, 190, 13);
INSERT INTO public.who_data VALUES (44878, 79, 446, 0, 14, 190, 148);
INSERT INTO public.who_data VALUES (44879, 25, 494, 0, 5, 190, 230);
INSERT INTO public.who_data VALUES (44880, 1144, 61428, 45, 2341, 190, 190);
INSERT INTO public.who_data VALUES (44881, 0, 252, 0, 13, 190, 188);
INSERT INTO public.who_data VALUES (44882, 62, 8260, 0, 50, 190, 123);
INSERT INTO public.who_data VALUES (44883, 65, 2117, 4, 33, 190, 9);
INSERT INTO public.who_data VALUES (44884, 8, 631, 0, 22, 190, 102);
INSERT INTO public.who_data VALUES (44885, 29, 7810, 0, 192, 190, 34);
INSERT INTO public.who_data VALUES (44886, 0, 12, 0, 0, 190, 212);
INSERT INTO public.who_data VALUES (44887, 385, 49042, 9, 1542, 190, 122);
INSERT INTO public.who_data VALUES (44888, 40, 4853, 0, 607, 190, 38);
INSERT INTO public.who_data VALUES (44889, 7, 1983, 0, 10, 190, 130);
INSERT INTO public.who_data VALUES (44890, 65002, 2526192, 996, 49036, 190, 37);
INSERT INTO public.who_data VALUES (44891, 2307, 135123, 53, 6021, 190, 231);
INSERT INTO public.who_data VALUES (44892, 2501, 338825, 169, 19331, 190, 107);
INSERT INTO public.who_data VALUES (44893, 4013, 168290, 68, 5709, 190, 101);
INSERT INTO public.who_data VALUES (44894, 66, 26995, 0, 1774, 190, 132);
INSERT INTO public.who_data VALUES (44895, 0, 336, 0, 24, 190, 176);
INSERT INTO public.who_data VALUES (44896, 1643, 90207, 16, 723, 190, 200);
INSERT INTO public.who_data VALUES (44897, 574, 252809, 3, 35234, 190, 169);
INSERT INTO public.who_data VALUES (44898, 6, 1071, 0, 14, 190, 225);
INSERT INTO public.who_data VALUES (44899, 1360, 53577, 12, 1085, 190, 165);
INSERT INTO public.who_data VALUES (44900, 4, 356, 0, 31, 190, 233);
INSERT INTO public.who_data VALUES (44901, 9, 1397, 0, 11, 190, 215);
INSERT INTO public.who_data VALUES (44902, 1380, 121161, 0, 1433, 190, 177);
INSERT INTO public.who_data VALUES (44903, 580, 29334, 5, 465, 190, 183);
INSERT INTO public.who_data VALUES (44904, 0, 0, 0, 0, 190, 203);
INSERT INTO public.who_data VALUES (44905, 142, 11087, 8, 371, 190, 162);
INSERT INTO public.who_data VALUES (44906, 699, 75185, 5, 494, 190, 12);
INSERT INTO public.who_data VALUES (44907, 272, 41645, 2, 1048, 190, 24);
INSERT INTO public.who_data VALUES (44908, 0, 20, 0, 0, 190, 119);
INSERT INTO public.who_data VALUES (44909, 1, 1308, 0, 32, 190, 39);
INSERT INTO public.who_data VALUES (44910, 334, 8045, 2, 94, 190, 26);
INSERT INTO public.who_data VALUES (44911, 19, 903, 0, 25, 190, 59);
INSERT INTO public.who_data VALUES (44912, 2, 1254, 0, 82, 190, 77);
INSERT INTO public.who_data VALUES (44913, 277, 7327, 4, 139, 190, 134);
INSERT INTO public.who_data VALUES (44914, 1, 94, 0, 1, 190, 4);
INSERT INTO public.who_data VALUES (44915, 33, 2379, 0, 81, 190, 109);
INSERT INTO public.who_data VALUES (44916, 37, 7405, 0, 122, 190, 90);
INSERT INTO public.who_data VALUES (44917, 121, 13643, 2, 164, 190, 61);
INSERT INTO public.who_data VALUES (44918, 76, 4988, 3, 156, 190, 85);
INSERT INTO public.who_data VALUES (44919, 20, 9149, 0, 125, 190, 49);
INSERT INTO public.who_data VALUES (44920, 78, 5572, 1, 22, 190, 208);
INSERT INTO public.who_data VALUES (44921, 8, 2605, 0, 125, 190, 166);
INSERT INTO public.who_data VALUES (44922, 31, 1170, 0, 9, 190, 64);
INSERT INTO public.who_data VALUES (44923, 0, 0, 0, 0, 190, 199);
INSERT INTO public.who_data VALUES (44924, 0, 336, 0, 16, 190, 114);
INSERT INTO public.who_data VALUES (44925, 31, 6653, 0, 157, 190, 60);
INSERT INTO public.who_data VALUES (44926, 0, 344, 0, 10, 190, 68);
INSERT INTO public.who_data VALUES (44927, 0, 3119, 0, 39, 190, 158);
INSERT INTO public.who_data VALUES (44928, 7371, 505751, 627, 55293, 190, 52);
INSERT INTO public.who_data VALUES (44929, 0, 0, 0, 0, 190, 117);
INSERT INTO public.who_data VALUES (44930, 0, 102, 0, 1, 190, 126);
INSERT INTO public.who_data VALUES (44931, 0, 297, 0, 0, 190, 196);
INSERT INTO public.who_data VALUES (44932, 53, 4011, 2, 75, 190, 142);
INSERT INTO public.who_data VALUES (44933, 0, 13, 0, 1, 190, 185);
INSERT INTO public.who_data VALUES (44934, 1306, 39241, 27, 611, 190, 138);
INSERT INTO public.who_data VALUES (44935, 70, 2708, 0, 19, 190, 181);
INSERT INTO public.who_data VALUES (44936, 8, 369, 0, 6, 190, 178);
INSERT INTO public.who_data VALUES (44937, 182, 3726, 4, 31, 190, 168);
INSERT INTO public.who_data VALUES (44938, 0, 0, 0, 0, 190, 160);
INSERT INTO public.who_data VALUES (44939, 594, 25551, 4, 99, 190, 151);
INSERT INTO public.who_data VALUES (44940, 627, 61766, 2, 6166, 190, 193);
INSERT INTO public.who_data VALUES (44941, 0, 23, 0, 0, 190, 18);
INSERT INTO public.who_data VALUES (44942, 7, 1258, 0, 22, 190, 40);
INSERT INTO public.who_data VALUES (44943, 0, 3413, 0, 128, 190, 218);
INSERT INTO public.who_data VALUES (44944, 4, 1165, 0, 69, 190, 191);
INSERT INTO public.who_data VALUES (44945, 329, 48445, 7, 973, 190, 156);
INSERT INTO public.who_data VALUES (44946, 0, 0, 0, 0, 190, 135);
INSERT INTO public.who_data VALUES (44947, 1, 50, 0, 2, 190, 88);
INSERT INTO public.who_data VALUES (44948, 0, 12386, 0, 532, 190, 55);
INSERT INTO public.who_data VALUES (44949, 67, 9850, 4, 261, 190, 108);
INSERT INTO public.who_data VALUES (44950, 531, 21056, 0, 116, 190, 48);
INSERT INTO public.who_data VALUES (44951, 212, 82743, 6, 557, 190, 3);
INSERT INTO public.who_data VALUES (44952, 0, 741, 0, 13, 190, 224);
INSERT INTO public.who_data VALUES (44953, 747, 288047, 9, 6162, 190, 110);
INSERT INTO public.who_data VALUES (44954, 0, 0, 0, 0, 190, 106);
INSERT INTO public.who_data VALUES (44955, 1069, 78446, 19, 1722, 190, 89);
INSERT INTO public.who_data VALUES (44956, 4, 275, 0, 3, 190, 121);
INSERT INTO public.who_data VALUES (44957, 371, 8389, 4, 97, 190, 163);
INSERT INTO public.who_data VALUES (44958, 9441, 507996, 3935, 25648, 190, 70);
INSERT INTO public.who_data VALUES (44959, 6134, 153660, 16, 2442, 190, 174);
INSERT INTO public.who_data VALUES (44960, 0, 0, 0, 0, 190, 175);
INSERT INTO public.who_data VALUES (44961, 832, 55319, 14, 1858, 190, 118);
INSERT INTO public.who_data VALUES (44962, 235, 53783, 2, 1772, 190, 189);
INSERT INTO public.who_data VALUES (44963, 682, 25128, 11, 317, 190, 124);
INSERT INTO public.who_data VALUES (44964, 251, 114532, 0, 190, 190, 192);
INSERT INTO public.who_data VALUES (44965, 166, 15039, 0, 305, 190, 41);
INSERT INTO public.who_data VALUES (44966, 396, 29483, 6, 884, 190, 95);
INSERT INTO public.who_data VALUES (44967, 22, 776, 0, 5, 190, 74);
INSERT INTO public.who_data VALUES (44968, 1415, 68046, 44, 2904, 190, 11);
INSERT INTO public.who_data VALUES (44969, 5061, 917884, 119, 15617, 190, 87);
INSERT INTO public.who_data VALUES (44970, 0, 2200, 0, 8, 190, 214);
INSERT INTO public.who_data VALUES (44971, 0, 5, 0, 0, 190, 116);
INSERT INTO public.who_data VALUES (44972, 0, 13, 0, 0, 190, 157);
INSERT INTO public.who_data VALUES (44973, 0, 0, 0, 0, 190, 182);
INSERT INTO public.who_data VALUES (44974, 0, 17, 0, 0, 190, 186);
INSERT INTO public.who_data VALUES (44975, 0, 25, 0, 0, 190, 127);
INSERT INTO public.who_data VALUES (44976, 0, 92, 0, 4, 190, 232);
INSERT INTO public.who_data VALUES (44977, 0, 4, 0, 0, 190, 33);
INSERT INTO public.who_data VALUES (44978, 0, 57, 0, 0, 190, 97);
INSERT INTO public.who_data VALUES (44979, 0, 0, 0, 0, 190, 42);
INSERT INTO public.who_data VALUES (44980, 0, 719, 0, 42, 190, 198);
INSERT INTO public.who_data VALUES (44981, 2, 885, 0, 15, 190, 216);
INSERT INTO public.who_data VALUES (44982, 1383, 295902, 35, 3338, 190, 164);
INSERT INTO public.who_data VALUES (44983, 132, 11872, 5, 249, 190, 235);
INSERT INTO public.who_data VALUES (44984, 235, 29233, 4, 665, 190, 67);
INSERT INTO public.who_data VALUES (44985, 1, 127, 0, 0, 190, 15);
INSERT INTO public.who_data VALUES (44986, 7, 1947, 0, 69, 190, 180);
INSERT INTO public.who_data VALUES (44987, 83, 55580, 0, 27, 190, 237);
INSERT INTO public.who_data VALUES (44988, 0, 3, 0, 0, 190, 25);
INSERT INTO public.who_data VALUES (44989, 15, 263, 0, 17, 190, 209);
INSERT INTO public.who_data VALUES (44990, 49, 2739, 0, 31, 190, 217);
INSERT INTO public.who_data VALUES (44991, 37, 2370, 0, 131, 190, 79);
INSERT INTO public.who_data VALUES (44992, 0, 0, 0, 0, 190, 143);
INSERT INTO public.who_data VALUES (44993, 23, 3250, 0, 93, 190, 229);
INSERT INTO public.who_data VALUES (44994, 6275, 579140, 286, 11556, 190, 141);
INSERT INTO public.who_data VALUES (44995, 6, 2488, 0, 47, 190, 197);
INSERT INTO public.who_data VALUES (44996, 7228, 368502, 23, 30183, 190, 221);
INSERT INTO public.who_data VALUES (44997, 0, 2882, 0, 11, 190, 150);
INSERT INTO public.who_data VALUES (44998, 103, 12314, 2, 798, 190, 56);
INSERT INTO public.who_data VALUES (44999, 108, 2761, 1, 40, 190, 167);
INSERT INTO public.who_data VALUES (45000, 363, 80717, 5, 5791, 190, 23);
INSERT INTO public.who_data VALUES (45001, 233, 38012, 0, 1750, 190, 222);
INSERT INTO public.who_data VALUES (45002, 83, 1515, 3, 58, 190, 219);
INSERT INTO public.who_data VALUES (45003, 39, 7989, 0, 63, 190, 7);
INSERT INTO public.who_data VALUES (45004, 0, 3376, 0, 58, 190, 161);
INSERT INTO public.who_data VALUES (45005, 1440, 316371, 11, 41358, 190, 149);
INSERT INTO public.who_data VALUES (45006, 0, 25, 0, 0, 190, 6);
INSERT INTO public.who_data VALUES (45007, 0, 1092, 0, 26, 190, 139);
INSERT INTO public.who_data VALUES (45008, 0, 0, 0, 0, 190, 211);
INSERT INTO public.who_data VALUES (45009, 0, 0, 0, 0, 190, 14);
INSERT INTO public.who_data VALUES (45010, 43, 412, 0, 8, 190, 111);
INSERT INTO public.who_data VALUES (45011, 120, 2023, 1, 54, 190, 207);
INSERT INTO public.who_data VALUES (45012, 7956, 368001, 22, 5934, 190, 66);
INSERT INTO public.who_data VALUES (45013, 0, 0, 0, 0, 190, 173);
INSERT INTO public.who_data VALUES (45014, 17, 258, 0, 2, 190, 145);
INSERT INTO public.who_data VALUES (45015, 0, 0, 0, 0, 190, 65);
INSERT INTO public.who_data VALUES (45016, 32, 1385, 1, 12, 190, 184);
INSERT INTO public.who_data VALUES (45017, 1847, 89719, 33, 2044, 190, 98);
INSERT INTO public.who_data VALUES (45018, 330, 63819, 1, 359, 190, 104);
INSERT INTO public.who_data VALUES (45019, 0, 509, 0, 21, 190, 73);
INSERT INTO public.who_data VALUES (45020, 52799, 5203206, 1169, 165995, 190, 8);
INSERT INTO public.who_data VALUES (45021, 22, 704, 0, 9, 190, 227);
INSERT INTO public.who_data VALUES (45022, 16, 1409, 0, 37, 190, 75);
INSERT INTO public.who_data VALUES (45023, 690, 34251, 5, 223, 190, 45);
INSERT INTO public.who_data VALUES (45024, 0, 0, 0, 0, 190, 133);
INSERT INTO public.who_data VALUES (45025, 1281, 30369, 12, 259, 190, 202);
INSERT INTO public.who_data VALUES (45026, 19, 930, 1, 22, 190, 129);
INSERT INTO public.who_data VALUES (45027, 0, 0, 0, 0, 190, 36);
INSERT INTO public.who_data VALUES (45028, 11, 1862, 0, 529, 190, 51);
INSERT INTO public.who_data VALUES (45029, 358, 9021, 10, 256, 190, 206);
INSERT INTO public.who_data VALUES (45030, 82, 5072, 0, 128, 190, 5);
INSERT INTO public.who_data VALUES (45031, 7, 37517, 0, 1367, 191, 103);
INSERT INTO public.who_data VALUES (45032, 154, 6971, 5, 213, 191, 58);
INSERT INTO public.who_data VALUES (45033, 488, 37187, 8, 1341, 191, 195);
INSERT INTO public.who_data VALUES (45034, 0, 0, 0, 0, 191, 115);
INSERT INTO public.who_data VALUES (45035, 4, 981, 0, 53, 191, 99);
INSERT INTO public.who_data VALUES (45036, 53, 1815, 3, 83, 191, 153);
INSERT INTO public.who_data VALUES (45037, 0, 3, 0, 0, 191, 93);
INSERT INTO public.who_data VALUES (45038, 0, 92, 0, 3, 191, 84);
INSERT INTO public.who_data VALUES (45039, 7663, 268574, 158, 5246, 191, 78);
INSERT INTO public.who_data VALUES (45040, 276, 40612, 5, 809, 191, 170);
INSERT INTO public.who_data VALUES (45041, 81, 798, 0, 3, 191, 32);
INSERT INTO public.who_data VALUES (45042, 231, 22358, 9, 361, 191, 155);
INSERT INTO public.who_data VALUES (45043, 229, 22730, 1, 725, 191, 82);
INSERT INTO public.who_data VALUES (45044, 91, 33915, 3, 500, 191, 16);
INSERT INTO public.who_data VALUES (45045, 47, 1036, 0, 15, 191, 72);
INSERT INTO public.who_data VALUES (45046, 462, 45726, 1, 167, 191, 43);
INSERT INTO public.who_data VALUES (45047, 2617, 269115, 44, 3557, 191, 120);
INSERT INTO public.who_data VALUES (45048, 1, 144, 0, 7, 191, 213);
INSERT INTO public.who_data VALUES (45049, 101, 69203, 4, 599, 191, 31);
INSERT INTO public.who_data VALUES (45050, 669, 78041, 12, 9782, 191, 204);
INSERT INTO public.who_data VALUES (45051, 86, 296, 0, 2, 191, 152);
INSERT INTO public.who_data VALUES (45052, 0, 2014, 0, 38, 191, 144);
INSERT INTO public.who_data VALUES (45053, 0, 159, 0, 9, 191, 96);
INSERT INTO public.who_data VALUES (45054, 3, 131, 0, 0, 191, 47);
INSERT INTO public.who_data VALUES (45055, 1743, 95071, 66, 3827, 191, 80);
INSERT INTO public.who_data VALUES (45056, 0, 5, 0, 0, 191, 159);
INSERT INTO public.who_data VALUES (45057, 227, 15187, 5, 453, 191, 27);
INSERT INTO public.who_data VALUES (45058, 148, 1214, 1, 3, 191, 146);
INSERT INTO public.who_data VALUES (45059, 55155, 3164785, 1175, 104201, 191, 71);
INSERT INTO public.who_data VALUES (45060, 0, 9, 0, 1, 191, 210);
INSERT INTO public.who_data VALUES (45061, 0, 142, 0, 3, 191, 54);
INSERT INTO public.who_data VALUES (45062, 176, 14069, 2, 484, 191, 147);
INSERT INTO public.who_data VALUES (45063, 15, 1228, 0, 54, 191, 2);
INSERT INTO public.who_data VALUES (45064, 2, 412, 0, 1, 191, 105);
INSERT INTO public.who_data VALUES (45065, 73, 3073, 0, 33, 191, 53);
INSERT INTO public.who_data VALUES (45066, 1, 273, 0, 0, 191, 81);
INSERT INTO public.who_data VALUES (45067, 161, 18469, 0, 401, 191, 223);
INSERT INTO public.who_data VALUES (45068, 423, 120844, 15, 9006, 191, 94);
INSERT INTO public.who_data VALUES (45069, 0, 203, 0, 1, 191, 154);
INSERT INTO public.who_data VALUES (45070, 0, 4652, 0, 61, 191, 83);
INSERT INTO public.who_data VALUES (45071, 0, 949, 0, 76, 191, 194);
INSERT INTO public.who_data VALUES (45072, 1866, 380034, 94, 10299, 191, 136);
INSERT INTO public.who_data VALUES (45073, 99, 89625, 3, 4707, 191, 179);
INSERT INTO public.who_data VALUES (45074, 12066, 422519, 362, 13837, 191, 57);
INSERT INTO public.who_data VALUES (45075, 4, 403, 0, 7, 191, 35);
INSERT INTO public.who_data VALUES (45076, 0, 3745, 0, 60, 191, 228);
INSERT INTO public.who_data VALUES (45077, 0, 0, 0, 0, 191, 19);
INSERT INTO public.who_data VALUES (45078, 549, 25057, 8, 263, 191, 22);
INSERT INTO public.who_data VALUES (45079, 0, 16847, 0, 105, 191, 1);
INSERT INTO public.who_data VALUES (45080, 180, 6050, 1, 161, 191, 21);
INSERT INTO public.who_data VALUES (45081, 46, 3174, 1, 89, 191, 234);
INSERT INTO public.who_data VALUES (45082, 0, 32, 0, 1, 191, 91);
INSERT INTO public.who_data VALUES (45083, 14, 1305, 0, 20, 191, 137);
INSERT INTO public.who_data VALUES (45084, 326, 19401, 0, 391, 191, 201);
INSERT INTO public.who_data VALUES (45085, 0, 0, 0, 0, 191, 171);
INSERT INTO public.who_data VALUES (45086, 51, 9588, 9, 234, 191, 92);
INSERT INTO public.who_data VALUES (45087, 144, 15214, 0, 621, 191, 112);
INSERT INTO public.who_data VALUES (45088, 0, 5358, 0, 59, 191, 62);
INSERT INTO public.who_data VALUES (45089, 0, 18, 0, 0, 191, 69);
INSERT INTO public.who_data VALUES (45090, 910, 83134, 22, 1393, 191, 220);
INSERT INTO public.who_data VALUES (45091, 1233, 98343, 26, 6010, 191, 100);
INSERT INTO public.who_data VALUES (45092, 145, 96108, 22, 5107, 191, 187);
INSERT INTO public.who_data VALUES (45093, 349, 21993, 7, 584, 191, 63);
INSERT INTO public.who_data VALUES (45094, 0, 4821, 0, 83, 191, 28);
INSERT INTO public.who_data VALUES (45095, 0, 285, 0, 0, 191, 172);
INSERT INTO public.who_data VALUES (45096, 0, 2174, 0, 63, 191, 17);
INSERT INTO public.who_data VALUES (45097, 74, 3599, 2, 65, 191, 226);
INSERT INTO public.who_data VALUES (45098, 1068, 26204, 16, 479, 191, 236);
INSERT INTO public.who_data VALUES (45099, 0, 13, 0, 0, 191, 76);
INSERT INTO public.who_data VALUES (45100, 23, 362, 0, 0, 191, 30);
INSERT INTO public.who_data VALUES (45101, 1, 28, 0, 1, 191, 128);
INSERT INTO public.who_data VALUES (45102, 41, 7683, 0, 333, 191, 86);
INSERT INTO public.who_data VALUES (45103, 2515, 196209, 16, 30259, 191, 140);
INSERT INTO public.who_data VALUES (45104, 48, 8471, 1, 51, 191, 44);
INSERT INTO public.who_data VALUES (45105, 0, 139, 0, 0, 191, 113);
INSERT INTO public.who_data VALUES (45106, 0, 8077, 0, 51, 191, 29);
INSERT INTO public.who_data VALUES (45107, 79, 1556, 10, 43, 191, 125);
INSERT INTO public.who_data VALUES (45108, 23, 1306, 0, 17, 191, 131);
INSERT INTO public.who_data VALUES (45109, 1449, 221413, 14, 9225, 191, 46);
INSERT INTO public.who_data VALUES (45110, 275, 41847, 0, 223, 191, 10);
INSERT INTO public.who_data VALUES (45111, 1, 203, 0, 0, 191, 205);
INSERT INTO public.who_data VALUES (45112, 204, 6381, 5, 221, 191, 50);
INSERT INTO public.who_data VALUES (45113, 0, 14, 0, 0, 191, 20);
INSERT INTO public.who_data VALUES (45114, 0, 24, 0, 0, 191, 13);
INSERT INTO public.who_data VALUES (45115, 50, 367, 0, 14, 191, 148);
INSERT INTO public.who_data VALUES (45116, 28, 469, 0, 5, 191, 230);
INSERT INTO public.who_data VALUES (45117, 1195, 60284, 29, 2296, 191, 190);
INSERT INTO public.who_data VALUES (45118, 0, 252, 0, 13, 191, 188);
INSERT INTO public.who_data VALUES (45119, 82, 8198, 0, 50, 191, 123);
INSERT INTO public.who_data VALUES (45120, 0, 2052, 0, 29, 191, 9);
INSERT INTO public.who_data VALUES (45121, 21, 623, 0, 22, 191, 102);
INSERT INTO public.who_data VALUES (45122, 38, 7781, 5, 192, 191, 34);
INSERT INTO public.who_data VALUES (45123, 0, 12, 0, 0, 191, 212);
INSERT INTO public.who_data VALUES (45124, 254, 48657, 18, 1533, 191, 122);
INSERT INTO public.who_data VALUES (45125, 45, 4813, 2, 607, 191, 38);
INSERT INTO public.who_data VALUES (45126, 4, 1976, 0, 10, 191, 130);
INSERT INTO public.who_data VALUES (45127, 64553, 2461190, 1007, 48040, 191, 37);
INSERT INTO public.who_data VALUES (45128, 2098, 132816, 65, 5968, 191, 231);
INSERT INTO public.who_data VALUES (45129, 2625, 336324, 174, 19162, 191, 107);
INSERT INTO public.who_data VALUES (45130, 3841, 164277, 53, 5641, 191, 101);
INSERT INTO public.who_data VALUES (45131, 91, 26929, 0, 1774, 191, 132);
INSERT INTO public.who_data VALUES (45132, 0, 336, 0, 24, 191, 176);
INSERT INTO public.who_data VALUES (45133, 1622, 88564, 15, 707, 191, 200);
INSERT INTO public.who_data VALUES (45134, 522, 252235, 6, 35231, 191, 169);
INSERT INTO public.who_data VALUES (45135, 18, 1065, 0, 14, 191, 225);
INSERT INTO public.who_data VALUES (45136, 1070, 52217, 10, 1073, 191, 165);
INSERT INTO public.who_data VALUES (45137, 4, 352, 0, 31, 191, 233);
INSERT INTO public.who_data VALUES (45138, 17, 1388, 0, 11, 191, 215);
INSERT INTO public.who_data VALUES (45139, 1267, 119781, 0, 1433, 191, 177);
INSERT INTO public.who_data VALUES (45140, 650, 28754, 4, 460, 191, 183);
INSERT INTO public.who_data VALUES (45141, 0, 0, 0, 0, 191, 203);
INSERT INTO public.who_data VALUES (45142, 193, 10945, 8, 363, 191, 162);
INSERT INTO public.who_data VALUES (45143, 701, 74486, 0, 489, 191, 12);
INSERT INTO public.who_data VALUES (45144, 304, 41373, 4, 1046, 191, 24);
INSERT INTO public.who_data VALUES (45145, 0, 20, 0, 0, 191, 119);
INSERT INTO public.who_data VALUES (45146, 4, 1307, 0, 32, 191, 39);
INSERT INTO public.who_data VALUES (45147, 298, 7711, 3, 92, 191, 26);
INSERT INTO public.who_data VALUES (45148, 69, 884, 1, 25, 191, 59);
INSERT INTO public.who_data VALUES (45149, 0, 1252, 0, 82, 191, 77);
INSERT INTO public.who_data VALUES (45150, 439, 7050, 3, 135, 191, 134);
INSERT INTO public.who_data VALUES (45151, 1, 93, 0, 1, 191, 4);
INSERT INTO public.who_data VALUES (45152, 22, 2346, 0, 81, 191, 109);
INSERT INTO public.who_data VALUES (45153, 68, 7368, 0, 122, 191, 90);
INSERT INTO public.who_data VALUES (45154, 125, 13522, 6, 162, 191, 61);
INSERT INTO public.who_data VALUES (45155, 160, 4912, 1, 153, 191, 85);
INSERT INTO public.who_data VALUES (45156, 15, 9129, 0, 125, 191, 49);
INSERT INTO public.who_data VALUES (45157, 128, 5494, 0, 21, 191, 208);
INSERT INTO public.who_data VALUES (45158, 15, 2597, 0, 125, 191, 166);
INSERT INTO public.who_data VALUES (45159, 55, 1139, 0, 9, 191, 64);
INSERT INTO public.who_data VALUES (45160, 0, 0, 0, 0, 191, 199);
INSERT INTO public.who_data VALUES (45161, 0, 336, 0, 16, 191, 114);
INSERT INTO public.who_data VALUES (45162, 0, 6622, 0, 157, 191, 60);
INSERT INTO public.who_data VALUES (45163, 0, 344, 0, 10, 191, 68);
INSERT INTO public.who_data VALUES (45164, 28, 3119, 0, 39, 191, 158);
INSERT INTO public.who_data VALUES (45165, 5858, 498380, 737, 54666, 191, 52);
INSERT INTO public.who_data VALUES (45166, 0, 0, 0, 0, 191, 117);
INSERT INTO public.who_data VALUES (45167, 2, 102, 0, 1, 191, 126);
INSERT INTO public.who_data VALUES (45168, 4, 297, 0, 0, 191, 196);
INSERT INTO public.who_data VALUES (45169, 80, 3958, 0, 73, 191, 142);
INSERT INTO public.who_data VALUES (45170, 0, 13, 0, 1, 191, 185);
INSERT INTO public.who_data VALUES (45171, 1241, 37935, 28, 584, 191, 138);
INSERT INTO public.who_data VALUES (45172, 79, 2638, 0, 19, 191, 181);
INSERT INTO public.who_data VALUES (45173, 0, 361, 0, 6, 191, 178);
INSERT INTO public.who_data VALUES (45174, 138, 3544, 5, 27, 191, 168);
INSERT INTO public.who_data VALUES (45175, 0, 0, 0, 0, 191, 160);
INSERT INTO public.who_data VALUES (45176, 525, 24957, 4, 95, 191, 151);
INSERT INTO public.who_data VALUES (45177, 576, 61139, 4, 6164, 191, 193);
INSERT INTO public.who_data VALUES (45178, 0, 23, 0, 0, 191, 18);
INSERT INTO public.who_data VALUES (45179, 13, 1251, 0, 22, 191, 40);
INSERT INTO public.who_data VALUES (45180, 0, 3413, 0, 128, 191, 218);
INSERT INTO public.who_data VALUES (45181, 0, 1161, 0, 69, 191, 191);
INSERT INTO public.who_data VALUES (45182, 373, 48116, 10, 966, 191, 156);
INSERT INTO public.who_data VALUES (45183, 0, 0, 0, 0, 191, 135);
INSERT INTO public.who_data VALUES (45184, 0, 49, 0, 2, 191, 88);
INSERT INTO public.who_data VALUES (45185, 141, 12386, 2, 532, 191, 55);
INSERT INTO public.who_data VALUES (45186, 33, 9783, 1, 257, 191, 108);
INSERT INTO public.who_data VALUES (45187, 432, 20525, 1, 116, 191, 48);
INSERT INTO public.who_data VALUES (45188, 232, 82531, 12, 551, 191, 3);
INSERT INTO public.who_data VALUES (45189, 0, 741, 0, 13, 191, 224);
INSERT INTO public.who_data VALUES (45190, 626, 287300, 14, 6153, 191, 110);
INSERT INTO public.who_data VALUES (45191, 0, 0, 0, 0, 191, 106);
INSERT INTO public.who_data VALUES (45192, 913, 77377, 23, 1703, 191, 89);
INSERT INTO public.who_data VALUES (45193, 2, 271, 0, 3, 191, 121);
INSERT INTO public.who_data VALUES (45194, 499, 8018, 7, 93, 191, 163);
INSERT INTO public.who_data VALUES (45195, 8875, 498555, 212, 21713, 191, 70);
INSERT INTO public.who_data VALUES (45196, 3777, 147526, 22, 2426, 191, 174);
INSERT INTO public.who_data VALUES (45197, 0, 0, 0, 0, 191, 175);
INSERT INTO public.who_data VALUES (45198, 811, 54487, 14, 1844, 191, 118);
INSERT INTO public.who_data VALUES (45199, 325, 53548, 6, 1770, 191, 189);
INSERT INTO public.who_data VALUES (45200, 372, 24446, 11, 306, 191, 124);
INSERT INTO public.who_data VALUES (45201, 343, 114281, 0, 190, 191, 192);
INSERT INTO public.who_data VALUES (45202, 103, 14873, 0, 305, 191, 41);
INSERT INTO public.who_data VALUES (45203, 390, 29087, 15, 878, 191, 95);
INSERT INTO public.who_data VALUES (45204, 20, 754, 0, 5, 191, 74);
INSERT INTO public.who_data VALUES (45205, 1454, 66631, 53, 2860, 191, 11);
INSERT INTO public.who_data VALUES (45206, 5065, 912823, 114, 15498, 191, 87);
INSERT INTO public.who_data VALUES (45207, 11, 2200, 0, 8, 191, 214);
INSERT INTO public.who_data VALUES (45208, 0, 5, 0, 0, 191, 116);
INSERT INTO public.who_data VALUES (45209, 0, 13, 0, 0, 191, 157);
INSERT INTO public.who_data VALUES (45210, 0, 0, 0, 0, 191, 182);
INSERT INTO public.who_data VALUES (45211, 0, 17, 0, 0, 191, 186);
INSERT INTO public.who_data VALUES (45212, 0, 25, 0, 0, 191, 127);
INSERT INTO public.who_data VALUES (45213, 8, 92, 0, 4, 191, 232);
INSERT INTO public.who_data VALUES (45214, 0, 4, 0, 0, 191, 33);
INSERT INTO public.who_data VALUES (45215, 0, 57, 0, 0, 191, 97);
INSERT INTO public.who_data VALUES (45216, 0, 0, 0, 0, 191, 42);
INSERT INTO public.who_data VALUES (45217, 0, 719, 0, 42, 191, 198);
INSERT INTO public.who_data VALUES (45218, 1, 883, 0, 15, 191, 216);
INSERT INTO public.who_data VALUES (45219, 1482, 294519, 34, 3303, 191, 164);
INSERT INTO public.who_data VALUES (45220, 153, 11740, 2, 244, 191, 235);
INSERT INTO public.who_data VALUES (45221, 247, 28998, 3, 661, 191, 67);
INSERT INTO public.who_data VALUES (45222, 0, 126, 0, 0, 191, 15);
INSERT INTO public.who_data VALUES (45223, 3, 1940, 0, 69, 191, 180);
INSERT INTO public.who_data VALUES (45224, 102, 55497, 0, 27, 191, 237);
INSERT INTO public.who_data VALUES (45225, 0, 3, 0, 0, 191, 25);
INSERT INTO public.who_data VALUES (45226, 29, 248, 0, 17, 191, 209);
INSERT INTO public.who_data VALUES (45227, 75, 2690, 0, 31, 191, 217);
INSERT INTO public.who_data VALUES (45228, 29, 2333, 0, 131, 191, 79);
INSERT INTO public.who_data VALUES (45229, 0, 0, 0, 0, 191, 143);
INSERT INTO public.who_data VALUES (45230, 0, 3227, 0, 93, 191, 229);
INSERT INTO public.who_data VALUES (45231, 3946, 572865, 260, 11270, 191, 141);
INSERT INTO public.who_data VALUES (45232, 4, 2482, 0, 47, 191, 197);
INSERT INTO public.who_data VALUES (45233, 6610, 361274, 26, 30160, 191, 221);
INSERT INTO public.who_data VALUES (45234, 2, 2882, 0, 11, 191, 150);
INSERT INTO public.who_data VALUES (45235, 49, 12211, 3, 796, 191, 56);
INSERT INTO public.who_data VALUES (45236, 94, 2653, 0, 39, 191, 167);
INSERT INTO public.who_data VALUES (45237, 443, 80354, 3, 5786, 191, 23);
INSERT INTO public.who_data VALUES (45238, 273, 37779, 1, 1750, 191, 222);
INSERT INTO public.who_data VALUES (45239, 30, 1432, 2, 55, 191, 219);
INSERT INTO public.who_data VALUES (45240, 38, 7950, 0, 63, 191, 7);
INSERT INTO public.who_data VALUES (45241, 17, 3376, 0, 58, 191, 161);
INSERT INTO public.who_data VALUES (45242, 1129, 314931, 18, 41347, 191, 149);
INSERT INTO public.who_data VALUES (45243, 0, 25, 0, 0, 191, 6);
INSERT INTO public.who_data VALUES (45244, 25, 1092, 1, 26, 191, 139);
INSERT INTO public.who_data VALUES (45245, 0, 0, 0, 0, 191, 211);
INSERT INTO public.who_data VALUES (45246, 0, 0, 0, 0, 191, 14);
INSERT INTO public.who_data VALUES (45247, 61, 369, 0, 8, 191, 111);
INSERT INTO public.who_data VALUES (45248, 56, 1903, 0, 53, 191, 207);
INSERT INTO public.who_data VALUES (45249, 7973, 360045, 21, 5912, 191, 66);
INSERT INTO public.who_data VALUES (45250, 0, 0, 0, 0, 191, 173);
INSERT INTO public.who_data VALUES (45251, 17, 241, 0, 2, 191, 145);
INSERT INTO public.who_data VALUES (45252, 0, 0, 0, 0, 191, 65);
INSERT INTO public.who_data VALUES (45253, 21, 1353, 2, 11, 191, 184);
INSERT INTO public.who_data VALUES (45254, 1732, 87872, 19, 2011, 191, 98);
INSERT INTO public.who_data VALUES (45255, 277, 63489, 0, 358, 191, 104);
INSERT INTO public.who_data VALUES (45256, 0, 509, 0, 21, 191, 73);
INSERT INTO public.who_data VALUES (45257, 55907, 5150407, 1486, 164826, 191, 8);
INSERT INTO public.who_data VALUES (45258, 43, 682, 0, 9, 191, 227);
INSERT INTO public.who_data VALUES (45259, 8, 1393, 0, 37, 191, 75);
INSERT INTO public.who_data VALUES (45260, 724, 33561, 5, 218, 191, 45);
INSERT INTO public.who_data VALUES (45261, 0, 0, 0, 0, 191, 133);
INSERT INTO public.who_data VALUES (45262, 1150, 29088, 9, 247, 191, 202);
INSERT INTO public.who_data VALUES (45263, 28, 911, 3, 21, 191, 129);
INSERT INTO public.who_data VALUES (45264, 0, 0, 0, 0, 191, 36);
INSERT INTO public.who_data VALUES (45265, 6, 1851, 0, 529, 191, 51);
INSERT INTO public.who_data VALUES (45266, 162, 8663, 0, 246, 191, 206);
INSERT INTO public.who_data VALUES (45267, 97, 4990, 6, 128, 191, 5);
INSERT INTO public.who_data VALUES (45268, 79, 37510, 9, 1367, 192, 103);
INSERT INTO public.who_data VALUES (45269, 141, 6817, 3, 208, 192, 58);
INSERT INTO public.who_data VALUES (45270, 495, 36699, 11, 1333, 192, 195);
INSERT INTO public.who_data VALUES (45271, 0, 0, 0, 0, 192, 115);
INSERT INTO public.who_data VALUES (45272, 4, 977, 1, 53, 192, 99);
INSERT INTO public.who_data VALUES (45273, 27, 1762, 0, 80, 192, 153);
INSERT INTO public.who_data VALUES (45274, 0, 3, 0, 0, 192, 93);
INSERT INTO public.who_data VALUES (45275, 0, 92, 0, 3, 192, 84);
INSERT INTO public.who_data VALUES (45276, 7043, 260911, 303, 5088, 192, 78);
INSERT INTO public.who_data VALUES (45277, 229, 40336, 3, 804, 192, 170);
INSERT INTO public.who_data VALUES (45278, 87, 717, 0, 3, 192, 32);
INSERT INTO public.who_data VALUES (45279, 414, 22127, 21, 352, 192, 155);
INSERT INTO public.who_data VALUES (45280, 241, 22501, 1, 724, 192, 82);
INSERT INTO public.who_data VALUES (45281, 93, 33824, 2, 497, 192, 16);
INSERT INTO public.who_data VALUES (45282, 44, 989, 0, 15, 192, 72);
INSERT INTO public.who_data VALUES (45283, 460, 45264, 1, 166, 192, 43);
INSERT INTO public.who_data VALUES (45284, 2995, 266498, 42, 3513, 192, 120);
INSERT INTO public.who_data VALUES (45285, 0, 143, 0, 7, 192, 213);
INSERT INTO public.who_data VALUES (45286, 97, 69102, 3, 595, 192, 31);
INSERT INTO public.who_data VALUES (45287, 609, 77372, 11, 9770, 192, 204);
INSERT INTO public.who_data VALUES (45288, 33, 210, 0, 2, 192, 152);
INSERT INTO public.who_data VALUES (45289, 0, 2014, 0, 38, 192, 144);
INSERT INTO public.who_data VALUES (45290, 0, 159, 0, 9, 192, 96);
INSERT INTO public.who_data VALUES (45291, 15, 128, 0, 0, 192, 47);
INSERT INTO public.who_data VALUES (45292, 1693, 93328, 49, 3761, 192, 80);
INSERT INTO public.who_data VALUES (45293, 0, 5, 0, 0, 192, 159);
INSERT INTO public.who_data VALUES (45294, 254, 14960, 6, 448, 192, 27);
INSERT INTO public.who_data VALUES (45295, 0, 1066, 0, 2, 192, 146);
INSERT INTO public.who_data VALUES (45296, 52160, 3109630, 1274, 103026, 192, 71);
INSERT INTO public.who_data VALUES (45297, 0, 9, 0, 1, 192, 210);
INSERT INTO public.who_data VALUES (45298, 0, 142, 0, 3, 192, 54);
INSERT INTO public.who_data VALUES (45299, 171, 13893, 11, 482, 192, 147);
INSERT INTO public.who_data VALUES (45300, 2, 1213, 0, 54, 192, 2);
INSERT INTO public.who_data VALUES (45301, 1, 410, 0, 1, 192, 105);
INSERT INTO public.who_data VALUES (45302, 80, 3000, 0, 33, 192, 53);
INSERT INTO public.who_data VALUES (45303, 4, 272, 0, 0, 192, 81);
INSERT INTO public.who_data VALUES (45304, 45, 18308, 0, 401, 192, 223);
INSERT INTO public.who_data VALUES (45305, 289, 120421, 4, 8991, 192, 94);
INSERT INTO public.who_data VALUES (45306, 0, 203, 0, 1, 192, 154);
INSERT INTO public.who_data VALUES (45307, 5, 4652, 0, 61, 192, 83);
INSERT INTO public.who_data VALUES (45308, 3, 949, 0, 76, 192, 194);
INSERT INTO public.who_data VALUES (45309, 1552, 378168, 27, 10205, 192, 136);
INSERT INTO public.who_data VALUES (45310, 82, 89526, 5, 4704, 192, 179);
INSERT INTO public.who_data VALUES (45311, 12830, 410453, 321, 13475, 192, 57);
INSERT INTO public.who_data VALUES (45312, 0, 399, 0, 7, 192, 35);
INSERT INTO public.who_data VALUES (45313, 0, 3745, 0, 60, 192, 228);
INSERT INTO public.who_data VALUES (45314, 0, 0, 0, 0, 192, 19);
INSERT INTO public.who_data VALUES (45315, 636, 24508, 11, 255, 192, 22);
INSERT INTO public.who_data VALUES (45316, 0, 16847, 0, 105, 192, 1);
INSERT INTO public.who_data VALUES (45317, 130, 5870, 0, 160, 192, 21);
INSERT INTO public.who_data VALUES (45318, 35, 3128, 0, 88, 192, 234);
INSERT INTO public.who_data VALUES (45319, 0, 32, 0, 1, 192, 91);
INSERT INTO public.who_data VALUES (45320, 14, 1291, 0, 20, 192, 137);
INSERT INTO public.who_data VALUES (45321, 292, 19075, 0, 391, 192, 201);
INSERT INTO public.who_data VALUES (45322, 0, 0, 0, 0, 192, 171);
INSERT INTO public.who_data VALUES (45323, 39, 9537, 0, 225, 192, 92);
INSERT INTO public.who_data VALUES (45324, 111, 15070, 0, 621, 192, 112);
INSERT INTO public.who_data VALUES (45325, 10, 5358, 0, 59, 192, 62);
INSERT INTO public.who_data VALUES (45326, 0, 18, 0, 0, 192, 69);
INSERT INTO public.who_data VALUES (45327, 1130, 82224, 25, 1371, 192, 220);
INSERT INTO public.who_data VALUES (45328, 1547, 97110, 33, 5984, 192, 100);
INSERT INTO public.who_data VALUES (45329, 129, 95963, 26, 5085, 192, 187);
INSERT INTO public.who_data VALUES (45330, 375, 21644, 7, 577, 192, 63);
INSERT INTO public.who_data VALUES (45331, 0, 4821, 0, 83, 192, 28);
INSERT INTO public.who_data VALUES (45332, 0, 285, 0, 0, 192, 172);
INSERT INTO public.who_data VALUES (45333, 7, 2174, 0, 63, 192, 17);
INSERT INTO public.who_data VALUES (45334, 115, 3525, 0, 63, 192, 226);
INSERT INTO public.who_data VALUES (45335, 961, 25136, 23, 463, 192, 236);
INSERT INTO public.who_data VALUES (45336, 0, 13, 0, 0, 192, 76);
INSERT INTO public.who_data VALUES (45337, 15, 339, 0, 0, 192, 30);
INSERT INTO public.who_data VALUES (45338, 0, 27, 0, 1, 192, 128);
INSERT INTO public.who_data VALUES (45339, 19, 7642, 0, 333, 192, 86);
INSERT INTO public.who_data VALUES (45340, 2429, 193694, 16, 30243, 192, 140);
INSERT INTO public.who_data VALUES (45341, 63, 8423, 1, 50, 192, 44);
INSERT INTO public.who_data VALUES (45342, 27, 139, 0, 0, 192, 113);
INSERT INTO public.who_data VALUES (45343, 71, 8077, 0, 51, 192, 29);
INSERT INTO public.who_data VALUES (45344, 0, 1477, 0, 33, 192, 125);
INSERT INTO public.who_data VALUES (45345, 5, 1283, 0, 17, 192, 131);
INSERT INTO public.who_data VALUES (45346, 1445, 219964, 4, 9211, 192, 46);
INSERT INTO public.who_data VALUES (45347, 168, 41572, 8, 223, 192, 10);
INSERT INTO public.who_data VALUES (45348, 1, 202, 0, 0, 192, 205);
INSERT INTO public.who_data VALUES (45349, 235, 6177, 2, 216, 192, 50);
INSERT INTO public.who_data VALUES (45350, 0, 14, 0, 0, 192, 20);
INSERT INTO public.who_data VALUES (45351, 0, 24, 0, 0, 192, 13);
INSERT INTO public.who_data VALUES (45352, 0, 317, 0, 14, 192, 148);
INSERT INTO public.who_data VALUES (45353, 15, 441, 0, 5, 192, 230);
INSERT INTO public.who_data VALUES (45354, 1123, 59089, 34, 2267, 192, 190);
INSERT INTO public.who_data VALUES (45355, 0, 252, 0, 13, 192, 188);
INSERT INTO public.who_data VALUES (45356, 98, 8116, 0, 50, 192, 123);
INSERT INTO public.who_data VALUES (45357, 0, 2052, 0, 29, 192, 9);
INSERT INTO public.who_data VALUES (45358, 34, 602, 0, 22, 192, 102);
INSERT INTO public.who_data VALUES (45359, 94, 7743, 4, 187, 192, 34);
INSERT INTO public.who_data VALUES (45360, 0, 12, 0, 0, 192, 212);
INSERT INTO public.who_data VALUES (45361, 531, 48403, 9, 1515, 192, 122);
INSERT INTO public.who_data VALUES (45362, 22, 4768, 0, 605, 192, 38);
INSERT INTO public.who_data VALUES (45363, 4, 1972, 0, 10, 192, 130);
INSERT INTO public.who_data VALUES (45364, 66999, 2396637, 942, 47033, 192, 37);
INSERT INTO public.who_data VALUES (45365, 1942, 130718, 79, 5903, 192, 231);
INSERT INTO public.who_data VALUES (45366, 2510, 333699, 188, 18988, 192, 107);
INSERT INTO public.who_data VALUES (45367, 3441, 160436, 57, 5588, 192, 101);
INSERT INTO public.who_data VALUES (45368, 37, 26838, 1, 1774, 192, 132);
INSERT INTO public.who_data VALUES (45369, 0, 336, 0, 24, 192, 176);
INSERT INTO public.who_data VALUES (45370, 1823, 86942, 11, 692, 192, 200);
INSERT INTO public.who_data VALUES (45371, 476, 251713, 10, 35225, 192, 169);
INSERT INTO public.who_data VALUES (45372, 16, 1047, 0, 14, 192, 225);
INSERT INTO public.who_data VALUES (45373, 937, 51147, 4, 1063, 192, 165);
INSERT INTO public.who_data VALUES (45374, 0, 348, 0, 31, 192, 233);
INSERT INTO public.who_data VALUES (45375, 20, 1371, 0, 11, 192, 215);
INSERT INTO public.who_data VALUES (45376, 1410, 118514, 0, 1433, 192, 177);
INSERT INTO public.who_data VALUES (45377, 679, 28104, 18, 456, 192, 183);
INSERT INTO public.who_data VALUES (45378, 0, 0, 0, 0, 192, 203);
INSERT INTO public.who_data VALUES (45379, 205, 10752, 11, 355, 192, 162);
INSERT INTO public.who_data VALUES (45380, 717, 73785, 3, 489, 192, 12);
INSERT INTO public.who_data VALUES (45381, 310, 41069, 3, 1042, 192, 24);
INSERT INTO public.who_data VALUES (45382, 0, 20, 0, 0, 192, 119);
INSERT INTO public.who_data VALUES (45383, 0, 1303, 0, 32, 192, 39);
INSERT INTO public.who_data VALUES (45384, 292, 7413, 2, 89, 192, 26);
INSERT INTO public.who_data VALUES (45385, 17, 815, 0, 24, 192, 59);
INSERT INTO public.who_data VALUES (45386, 12, 1252, 3, 82, 192, 77);
INSERT INTO public.who_data VALUES (45387, 309, 6611, 0, 132, 192, 134);
INSERT INTO public.who_data VALUES (45388, 1, 92, 0, 1, 192, 4);
INSERT INTO public.who_data VALUES (45389, 21, 2324, 0, 81, 192, 109);
INSERT INTO public.who_data VALUES (45390, 58, 7300, 0, 122, 192, 90);
INSERT INTO public.who_data VALUES (45391, 80, 13397, 4, 156, 192, 61);
INSERT INTO public.who_data VALUES (45392, 38, 4752, 0, 152, 192, 85);
INSERT INTO public.who_data VALUES (45393, 11, 9114, 0, 125, 192, 49);
INSERT INTO public.who_data VALUES (45394, 143, 5366, 1, 21, 192, 208);
INSERT INTO public.who_data VALUES (45395, 5, 2582, 0, 125, 192, 166);
INSERT INTO public.who_data VALUES (45396, 49, 1084, 0, 9, 192, 64);
INSERT INTO public.who_data VALUES (45397, 0, 0, 0, 0, 192, 199);
INSERT INTO public.who_data VALUES (45398, 0, 336, 0, 16, 192, 114);
INSERT INTO public.who_data VALUES (45399, 24, 6622, 0, 157, 192, 60);
INSERT INTO public.who_data VALUES (45400, 0, 344, 0, 10, 192, 68);
INSERT INTO public.who_data VALUES (45401, 0, 3091, 0, 39, 192, 158);
INSERT INTO public.who_data VALUES (45402, 6686, 492522, 926, 53929, 192, 52);
INSERT INTO public.who_data VALUES (45403, 0, 0, 0, 0, 192, 117);
INSERT INTO public.who_data VALUES (45404, 2, 100, 0, 1, 192, 126);
INSERT INTO public.who_data VALUES (45405, 0, 293, 0, 0, 192, 196);
INSERT INTO public.who_data VALUES (45406, 46, 3878, 0, 73, 192, 142);
INSERT INTO public.who_data VALUES (45407, 0, 13, 0, 1, 192, 185);
INSERT INTO public.who_data VALUES (45408, 1499, 36694, 23, 556, 192, 138);
INSERT INTO public.who_data VALUES (45409, 78, 2559, 2, 19, 192, 181);
INSERT INTO public.who_data VALUES (45410, 1, 361, 0, 6, 192, 178);
INSERT INTO public.who_data VALUES (45411, 177, 3406, 3, 22, 192, 168);
INSERT INTO public.who_data VALUES (45412, 0, 0, 0, 0, 192, 160);
INSERT INTO public.who_data VALUES (45413, 484, 24432, 8, 91, 192, 151);
INSERT INTO public.who_data VALUES (45414, 651, 60563, 2, 6160, 192, 193);
INSERT INTO public.who_data VALUES (45415, 0, 23, 0, 0, 192, 18);
INSERT INTO public.who_data VALUES (45416, 14, 1238, 0, 22, 192, 40);
INSERT INTO public.who_data VALUES (45417, 0, 3413, 0, 128, 192, 218);
INSERT INTO public.who_data VALUES (45418, 3, 1161, 0, 69, 192, 191);
INSERT INTO public.who_data VALUES (45419, 453, 47743, 0, 956, 192, 156);
INSERT INTO public.who_data VALUES (45420, 0, 0, 0, 0, 192, 135);
INSERT INTO public.who_data VALUES (45421, 0, 49, 0, 2, 192, 88);
INSERT INTO public.who_data VALUES (45422, 139, 12245, 1, 530, 192, 55);
INSERT INTO public.who_data VALUES (45423, 66, 9750, 0, 256, 192, 108);
INSERT INTO public.who_data VALUES (45424, 499, 20093, 1, 115, 192, 48);
INSERT INTO public.who_data VALUES (45425, 249, 82299, 6, 539, 192, 3);
INSERT INTO public.who_data VALUES (45426, 0, 741, 0, 13, 192, 224);
INSERT INTO public.who_data VALUES (45427, 753, 286674, 10, 6139, 192, 110);
INSERT INTO public.who_data VALUES (45428, 0, 0, 0, 0, 192, 106);
INSERT INTO public.who_data VALUES (45429, 1070, 76464, 16, 1680, 192, 89);
INSERT INTO public.who_data VALUES (45430, 55, 269, 0, 3, 192, 121);
INSERT INTO public.who_data VALUES (45431, 285, 7519, 4, 86, 192, 163);
INSERT INTO public.who_data VALUES (45432, 6547, 489680, 225, 21501, 192, 70);
INSERT INTO public.who_data VALUES (45433, 4211, 143749, 92, 2404, 192, 174);
INSERT INTO public.who_data VALUES (45434, 0, 0, 0, 0, 192, 175);
INSERT INTO public.who_data VALUES (45435, 715, 53676, 9, 1830, 192, 118);
INSERT INTO public.who_data VALUES (45436, 278, 53223, 3, 1764, 192, 189);
INSERT INTO public.who_data VALUES (45437, 671, 24074, 8, 295, 192, 124);
INSERT INTO public.who_data VALUES (45438, 292, 113938, 2, 190, 192, 192);
INSERT INTO public.who_data VALUES (45439, 56, 14770, 0, 305, 192, 41);
INSERT INTO public.who_data VALUES (45440, 474, 28697, 6, 863, 192, 95);
INSERT INTO public.who_data VALUES (45441, 32, 734, 0, 5, 192, 74);
INSERT INTO public.who_data VALUES (45442, 1415, 65177, 43, 2807, 192, 11);
INSERT INTO public.who_data VALUES (45443, 5057, 907758, 124, 15384, 192, 87);
INSERT INTO public.who_data VALUES (45444, 18, 2189, 1, 8, 192, 214);
INSERT INTO public.who_data VALUES (45445, 0, 5, 0, 0, 192, 116);
INSERT INTO public.who_data VALUES (45446, 0, 13, 0, 0, 192, 157);
INSERT INTO public.who_data VALUES (45447, 0, 0, 0, 0, 192, 182);
INSERT INTO public.who_data VALUES (45448, 0, 17, 0, 0, 192, 186);
INSERT INTO public.who_data VALUES (45449, 0, 25, 0, 0, 192, 127);
INSERT INTO public.who_data VALUES (45450, 0, 84, 0, 4, 192, 232);
INSERT INTO public.who_data VALUES (45451, 0, 4, 0, 0, 192, 33);
INSERT INTO public.who_data VALUES (45452, 0, 57, 0, 0, 192, 97);
INSERT INTO public.who_data VALUES (45453, 0, 0, 0, 0, 192, 42);
INSERT INTO public.who_data VALUES (45454, 0, 719, 0, 42, 192, 198);
INSERT INTO public.who_data VALUES (45455, 1, 882, 0, 15, 192, 216);
INSERT INTO public.who_data VALUES (45456, 1569, 293037, 36, 3269, 192, 164);
INSERT INTO public.who_data VALUES (45457, 207, 11587, 4, 242, 192, 235);
INSERT INTO public.who_data VALUES (45458, 254, 28751, 6, 658, 192, 67);
INSERT INTO public.who_data VALUES (45459, 0, 126, 0, 0, 192, 15);
INSERT INTO public.who_data VALUES (45460, 5, 1937, 0, 69, 192, 180);
INSERT INTO public.who_data VALUES (45461, 42, 55395, 0, 27, 192, 237);
INSERT INTO public.who_data VALUES (45462, 0, 3, 0, 0, 192, 25);
INSERT INTO public.who_data VALUES (45463, 27, 219, 0, 17, 192, 209);
INSERT INTO public.who_data VALUES (45464, 16, 2615, 0, 31, 192, 217);
INSERT INTO public.who_data VALUES (45465, 31, 2304, 0, 131, 192, 79);
INSERT INTO public.who_data VALUES (45466, 0, 0, 0, 0, 192, 143);
INSERT INTO public.who_data VALUES (45467, 0, 3227, 0, 93, 192, 229);
INSERT INTO public.who_data VALUES (45468, 2810, 568919, 259, 11010, 192, 141);
INSERT INTO public.who_data VALUES (45469, 1, 2478, 0, 47, 192, 197);
INSERT INTO public.who_data VALUES (45470, 6205, 354664, 28, 30134, 192, 221);
INSERT INTO public.who_data VALUES (45471, 0, 2880, 0, 11, 192, 150);
INSERT INTO public.who_data VALUES (45472, 47, 12162, 1, 793, 192, 56);
INSERT INTO public.who_data VALUES (45473, 70, 2559, 9, 39, 192, 167);
INSERT INTO public.who_data VALUES (45474, 417, 79911, 4, 5783, 192, 23);
INSERT INTO public.who_data VALUES (45475, 246, 37506, 0, 1749, 192, 222);
INSERT INTO public.who_data VALUES (45476, 75, 1402, 0, 53, 192, 219);
INSERT INTO public.who_data VALUES (45477, 41, 7912, 0, 63, 192, 7);
INSERT INTO public.who_data VALUES (45478, 3, 3359, 0, 58, 192, 161);
INSERT INTO public.who_data VALUES (45479, 1009, 313802, 20, 41329, 192, 149);
INSERT INTO public.who_data VALUES (45480, 0, 25, 0, 0, 192, 6);
INSERT INTO public.who_data VALUES (45481, 0, 1067, 0, 25, 192, 139);
INSERT INTO public.who_data VALUES (45482, 0, 0, 0, 0, 192, 211);
INSERT INTO public.who_data VALUES (45483, 0, 0, 0, 0, 192, 14);
INSERT INTO public.who_data VALUES (45484, 13, 308, 0, 8, 192, 111);
INSERT INTO public.who_data VALUES (45485, 67, 1847, 1, 53, 192, 207);
INSERT INTO public.who_data VALUES (45486, 7942, 352072, 18, 5891, 192, 66);
INSERT INTO public.who_data VALUES (45487, 0, 0, 0, 0, 192, 173);
INSERT INTO public.who_data VALUES (45488, 8, 224, 0, 2, 192, 145);
INSERT INTO public.who_data VALUES (45489, 0, 0, 0, 0, 192, 65);
INSERT INTO public.who_data VALUES (45490, 19, 1332, 0, 9, 192, 184);
INSERT INTO public.who_data VALUES (45491, 1592, 86140, 22, 1992, 192, 98);
INSERT INTO public.who_data VALUES (45492, 246, 63212, 0, 358, 192, 104);
INSERT INTO public.who_data VALUES (45493, 0, 509, 0, 21, 192, 73);
INSERT INTO public.who_data VALUES (45494, 54791, 5094500, 1236, 163340, 192, 8);
INSERT INTO public.who_data VALUES (45495, 63, 639, 0, 9, 192, 227);
INSERT INTO public.who_data VALUES (45496, 21, 1385, 0, 37, 192, 75);
INSERT INTO public.who_data VALUES (45497, 622, 32837, 5, 213, 192, 45);
INSERT INTO public.who_data VALUES (45498, 0, 0, 0, 0, 192, 133);
INSERT INTO public.who_data VALUES (45499, 1138, 27938, 9, 238, 192, 202);
INSERT INTO public.who_data VALUES (45500, 17, 883, 1, 18, 192, 129);
INSERT INTO public.who_data VALUES (45501, 0, 0, 0, 0, 192, 36);
INSERT INTO public.who_data VALUES (45502, 10, 1845, 5, 529, 192, 51);
INSERT INTO public.who_data VALUES (45503, 226, 8501, 5, 246, 192, 206);
INSERT INTO public.who_data VALUES (45504, 75, 4893, 18, 122, 192, 5);
INSERT INTO public.who_data VALUES (45505, 76, 37431, 10, 1358, 193, 103);
INSERT INTO public.who_data VALUES (45506, 140, 6676, 5, 205, 193, 58);
INSERT INTO public.who_data VALUES (45507, 492, 36204, 10, 1322, 193, 195);
INSERT INTO public.who_data VALUES (45508, 0, 0, 0, 0, 193, 115);
INSERT INTO public.who_data VALUES (45509, 10, 973, 0, 52, 193, 99);
INSERT INTO public.who_data VALUES (45510, 56, 1735, 2, 80, 193, 153);
INSERT INTO public.who_data VALUES (45511, 0, 3, 0, 0, 193, 93);
INSERT INTO public.who_data VALUES (45512, 0, 92, 0, 3, 193, 84);
INSERT INTO public.who_data VALUES (45513, 7369, 253868, 151, 4785, 193, 78);
INSERT INTO public.who_data VALUES (45514, 201, 40107, 3, 801, 193, 170);
INSERT INTO public.who_data VALUES (45515, 67, 630, 0, 3, 193, 32);
INSERT INTO public.who_data VALUES (45516, 316, 21713, 18, 331, 193, 155);
INSERT INTO public.who_data VALUES (45517, 138, 22260, 0, 723, 193, 82);
INSERT INTO public.who_data VALUES (45518, 84, 33731, 3, 495, 193, 16);
INSERT INTO public.who_data VALUES (45519, 47, 945, 0, 15, 193, 72);
INSERT INTO public.who_data VALUES (45520, 407, 44804, 2, 165, 193, 43);
INSERT INTO public.who_data VALUES (45521, 2996, 263503, 33, 3471, 193, 120);
INSERT INTO public.who_data VALUES (45522, 1, 143, 0, 7, 193, 213);
INSERT INTO public.who_data VALUES (45523, 58, 69005, 3, 592, 193, 31);
INSERT INTO public.who_data VALUES (45524, 718, 76763, 13, 9759, 193, 204);
INSERT INTO public.who_data VALUES (45525, 23, 177, 0, 2, 193, 152);
INSERT INTO public.who_data VALUES (45526, 13, 2014, 0, 38, 193, 144);
INSERT INTO public.who_data VALUES (45527, 1, 159, 0, 9, 193, 96);
INSERT INTO public.who_data VALUES (45528, 0, 113, 0, 0, 193, 47);
INSERT INTO public.who_data VALUES (45529, 1636, 91635, 72, 3712, 193, 80);
INSERT INTO public.who_data VALUES (45530, 0, 5, 0, 0, 193, 159);
INSERT INTO public.who_data VALUES (45531, 208, 14706, 22, 442, 193, 27);
INSERT INTO public.who_data VALUES (45532, 262, 1066, 0, 2, 193, 146);
INSERT INTO public.who_data VALUES (45533, 22048, 3057470, 703, 101752, 193, 71);
INSERT INTO public.who_data VALUES (45534, 0, 9, 0, 1, 193, 210);
INSERT INTO public.who_data VALUES (45535, 0, 142, 0, 3, 193, 54);
INSERT INTO public.who_data VALUES (45536, 210, 13722, 12, 471, 193, 147);
INSERT INTO public.who_data VALUES (45537, 7, 1211, 0, 54, 193, 2);
INSERT INTO public.who_data VALUES (45538, 1, 409, 0, 1, 193, 105);
INSERT INTO public.who_data VALUES (45539, 37, 2920, 1, 33, 193, 53);
INSERT INTO public.who_data VALUES (45540, 2, 268, 0, 0, 193, 81);
INSERT INTO public.who_data VALUES (45541, 50, 18263, 3, 401, 193, 223);
INSERT INTO public.who_data VALUES (45542, 681, 120132, 6, 8987, 193, 94);
INSERT INTO public.who_data VALUES (45543, 0, 203, 0, 1, 193, 154);
INSERT INTO public.who_data VALUES (45544, 6, 4647, 1, 61, 193, 83);
INSERT INTO public.who_data VALUES (45545, 1, 946, 0, 76, 193, 194);
INSERT INTO public.who_data VALUES (45546, 1572, 376616, 39, 10178, 193, 136);
INSERT INTO public.who_data VALUES (45547, 61, 89444, 3, 4699, 193, 179);
INSERT INTO public.who_data VALUES (45548, 10142, 397623, 312, 13154, 193, 57);
INSERT INTO public.who_data VALUES (45549, 0, 399, 0, 7, 193, 35);
INSERT INTO public.who_data VALUES (45550, 0, 3745, 0, 60, 193, 228);
INSERT INTO public.who_data VALUES (45551, 0, 0, 0, 0, 193, 19);
INSERT INTO public.who_data VALUES (45552, 586, 23872, 9, 244, 193, 22);
INSERT INTO public.who_data VALUES (45553, 49, 16847, 0, 105, 193, 1);
INSERT INTO public.who_data VALUES (45554, 91, 5740, 2, 160, 193, 21);
INSERT INTO public.who_data VALUES (45555, 47, 3093, 0, 88, 193, 234);
INSERT INTO public.who_data VALUES (45556, 0, 32, 0, 1, 193, 91);
INSERT INTO public.who_data VALUES (45557, 25, 1277, 1, 20, 193, 137);
INSERT INTO public.who_data VALUES (45558, 289, 18783, 2, 391, 193, 201);
INSERT INTO public.who_data VALUES (45559, 0, 0, 0, 0, 193, 171);
INSERT INTO public.who_data VALUES (45560, 10, 9498, 1, 225, 193, 92);
INSERT INTO public.who_data VALUES (45561, 144, 14959, 1, 621, 193, 112);
INSERT INTO public.who_data VALUES (45562, 1, 5348, 0, 59, 193, 62);
INSERT INTO public.who_data VALUES (45563, 0, 18, 0, 0, 193, 69);
INSERT INTO public.who_data VALUES (45564, 595, 81094, 18, 1346, 193, 220);
INSERT INTO public.who_data VALUES (45565, 862, 95563, 19, 5951, 193, 100);
INSERT INTO public.who_data VALUES (45566, 168, 95834, 24, 5059, 193, 187);
INSERT INTO public.who_data VALUES (45567, 397, 21269, 7, 570, 193, 63);
INSERT INTO public.who_data VALUES (45568, 0, 4821, 0, 83, 193, 28);
INSERT INTO public.who_data VALUES (45569, 0, 285, 0, 0, 193, 172);
INSERT INTO public.who_data VALUES (45570, 9, 2167, 0, 63, 193, 17);
INSERT INTO public.who_data VALUES (45571, 101, 3410, 2, 63, 193, 226);
INSERT INTO public.who_data VALUES (45572, 584, 24175, 20, 440, 193, 236);
INSERT INTO public.who_data VALUES (45573, 0, 13, 0, 0, 193, 76);
INSERT INTO public.who_data VALUES (45574, 11, 324, 0, 0, 193, 30);
INSERT INTO public.who_data VALUES (45575, 0, 27, 0, 1, 193, 128);
INSERT INTO public.who_data VALUES (45576, 22, 7623, 0, 333, 193, 86);
INSERT INTO public.who_data VALUES (45577, 1293, 191265, 13, 30227, 193, 140);
INSERT INTO public.who_data VALUES (45578, 36, 8360, 0, 49, 193, 44);
INSERT INTO public.who_data VALUES (45579, 43, 112, 0, 0, 193, 113);
INSERT INTO public.who_data VALUES (45580, 0, 8006, 0, 51, 193, 29);
INSERT INTO public.who_data VALUES (45581, 242, 1477, 10, 33, 193, 125);
INSERT INTO public.who_data VALUES (45582, 14, 1278, 0, 17, 193, 131);
INSERT INTO public.who_data VALUES (45583, 1226, 218519, 6, 9207, 193, 46);
INSERT INTO public.who_data VALUES (45584, 192, 41404, 0, 215, 193, 10);
INSERT INTO public.who_data VALUES (45585, 4, 201, 0, 0, 193, 205);
INSERT INTO public.who_data VALUES (45586, 193, 5942, 1, 214, 193, 50);
INSERT INTO public.who_data VALUES (45587, 0, 14, 0, 0, 193, 20);
INSERT INTO public.who_data VALUES (45588, 0, 24, 0, 0, 193, 13);
INSERT INTO public.who_data VALUES (45589, 27, 317, 0, 14, 193, 148);
INSERT INTO public.who_data VALUES (45590, 16, 426, 0, 5, 193, 230);
INSERT INTO public.who_data VALUES (45591, 979, 57966, 11, 2233, 193, 190);
INSERT INTO public.who_data VALUES (45592, 0, 252, 0, 13, 193, 188);
INSERT INTO public.who_data VALUES (45593, 66, 8018, 0, 50, 193, 123);
INSERT INTO public.who_data VALUES (45594, 0, 2052, 0, 29, 193, 9);
INSERT INTO public.who_data VALUES (45595, 0, 568, 0, 22, 193, 102);
INSERT INTO public.who_data VALUES (45596, 15, 7649, 0, 183, 193, 34);
INSERT INTO public.who_data VALUES (45597, 0, 12, 0, 0, 193, 212);
INSERT INTO public.who_data VALUES (45598, 418, 47872, 11, 1506, 193, 122);
INSERT INTO public.who_data VALUES (45599, 15, 4746, 0, 605, 193, 38);
INSERT INTO public.who_data VALUES (45600, 6, 1968, 0, 10, 193, 130);
INSERT INTO public.who_data VALUES (45601, 60963, 2329638, 834, 46091, 193, 37);
INSERT INTO public.who_data VALUES (45602, 1693, 128776, 59, 5824, 193, 231);
INSERT INTO public.who_data VALUES (45603, 2345, 331189, 184, 18800, 193, 107);
INSERT INTO public.who_data VALUES (45604, 3396, 156995, 67, 5531, 193, 101);
INSERT INTO public.who_data VALUES (45605, 33, 26801, 1, 1773, 193, 132);
INSERT INTO public.who_data VALUES (45606, 0, 336, 0, 24, 193, 176);
INSERT INTO public.who_data VALUES (45607, 1704, 85119, 15, 681, 193, 200);
INSERT INTO public.who_data VALUES (45608, 412, 251237, 6, 35215, 193, 169);
INSERT INTO public.who_data VALUES (45609, 8, 1031, 0, 14, 193, 225);
INSERT INTO public.who_data VALUES (45610, 1282, 50210, 7, 1059, 193, 165);
INSERT INTO public.who_data VALUES (45611, 3, 348, 0, 31, 193, 233);
INSERT INTO public.who_data VALUES (45612, 15, 1351, 0, 11, 193, 215);
INSERT INTO public.who_data VALUES (45613, 1489, 117104, 0, 1433, 193, 177);
INSERT INTO public.who_data VALUES (45614, 497, 27425, 15, 438, 193, 183);
INSERT INTO public.who_data VALUES (45615, 0, 0, 0, 0, 193, 203);
INSERT INTO public.who_data VALUES (45616, 171, 10547, 13, 344, 193, 162);
INSERT INTO public.who_data VALUES (45617, 668, 73068, 4, 486, 193, 12);
INSERT INTO public.who_data VALUES (45618, 304, 40759, 6, 1039, 193, 24);
INSERT INTO public.who_data VALUES (45619, 0, 20, 0, 0, 193, 119);
INSERT INTO public.who_data VALUES (45620, 10, 1303, 0, 32, 193, 39);
INSERT INTO public.who_data VALUES (45621, 309, 7121, 7, 87, 193, 26);
INSERT INTO public.who_data VALUES (45622, 17, 798, 0, 24, 193, 59);
INSERT INTO public.who_data VALUES (45623, 0, 1240, 0, 79, 193, 77);
INSERT INTO public.who_data VALUES (45624, 373, 6302, 7, 132, 193, 134);
INSERT INTO public.who_data VALUES (45625, 1, 91, 0, 1, 193, 4);
INSERT INTO public.who_data VALUES (45626, 26, 2303, 0, 81, 193, 109);
INSERT INTO public.who_data VALUES (45627, 26, 7242, 1, 122, 193, 90);
INSERT INTO public.who_data VALUES (45628, 115, 13317, 1, 152, 193, 61);
INSERT INTO public.who_data VALUES (45629, 40, 4714, 6, 152, 193, 85);
INSERT INTO public.who_data VALUES (45630, 9, 9103, 0, 125, 193, 49);
INSERT INTO public.who_data VALUES (45631, 66, 5223, 1, 20, 193, 208);
INSERT INTO public.who_data VALUES (45632, 4, 2577, 0, 125, 193, 166);
INSERT INTO public.who_data VALUES (45633, 29, 1035, 0, 9, 193, 64);
INSERT INTO public.who_data VALUES (45634, 0, 0, 0, 0, 193, 199);
INSERT INTO public.who_data VALUES (45635, 0, 336, 0, 16, 193, 114);
INSERT INTO public.who_data VALUES (45636, 48, 6598, 0, 157, 193, 60);
INSERT INTO public.who_data VALUES (45637, 0, 344, 0, 10, 193, 68);
INSERT INTO public.who_data VALUES (45638, 23, 3091, 0, 39, 193, 158);
INSERT INTO public.who_data VALUES (45639, 5558, 485836, 705, 53003, 193, 52);
INSERT INTO public.who_data VALUES (45640, 0, 0, 0, 0, 193, 117);
INSERT INTO public.who_data VALUES (45641, 1, 98, 0, 1, 193, 126);
INSERT INTO public.who_data VALUES (45642, 0, 293, 0, 0, 193, 196);
INSERT INTO public.who_data VALUES (45643, 59, 3832, 0, 73, 193, 142);
INSERT INTO public.who_data VALUES (45644, 0, 13, 0, 1, 193, 185);
INSERT INTO public.who_data VALUES (45645, 1132, 35195, 17, 533, 193, 138);
INSERT INTO public.who_data VALUES (45646, 70, 2481, 1, 17, 193, 181);
INSERT INTO public.who_data VALUES (45647, 0, 360, 0, 6, 193, 178);
INSERT INTO public.who_data VALUES (45648, 128, 3229, 0, 19, 193, 168);
INSERT INTO public.who_data VALUES (45649, 0, 0, 0, 0, 193, 160);
INSERT INTO public.who_data VALUES (45650, 638, 23948, 4, 83, 193, 151);
INSERT INTO public.who_data VALUES (45651, 620, 59912, 2, 6158, 193, 193);
INSERT INTO public.who_data VALUES (45652, 0, 23, 0, 0, 193, 18);
INSERT INTO public.who_data VALUES (45653, 4, 1224, 0, 22, 193, 40);
INSERT INTO public.who_data VALUES (45654, 147, 3413, 5, 128, 193, 218);
INSERT INTO public.who_data VALUES (45655, 0, 1158, 0, 69, 193, 191);
INSERT INTO public.who_data VALUES (45656, 423, 47290, 6, 956, 193, 156);
INSERT INTO public.who_data VALUES (45657, 0, 0, 0, 0, 193, 135);
INSERT INTO public.who_data VALUES (45658, 0, 49, 0, 2, 193, 88);
INSERT INTO public.who_data VALUES (45659, 141, 12106, 1, 529, 193, 55);
INSERT INTO public.who_data VALUES (45660, 46, 9684, 0, 256, 193, 108);
INSERT INTO public.who_data VALUES (45661, 473, 19594, 4, 114, 193, 48);
INSERT INTO public.who_data VALUES (45662, 263, 82050, 12, 533, 193, 3);
INSERT INTO public.who_data VALUES (45663, 0, 741, 0, 13, 193, 224);
INSERT INTO public.who_data VALUES (45664, 730, 285921, 17, 6129, 193, 110);
INSERT INTO public.who_data VALUES (45665, 0, 0, 0, 0, 193, 106);
INSERT INTO public.who_data VALUES (45666, 902, 75394, 25, 1664, 193, 89);
INSERT INTO public.who_data VALUES (45667, 0, 214, 0, 3, 193, 121);
INSERT INTO public.who_data VALUES (45668, 327, 7234, 7, 82, 193, 163);
INSERT INTO public.who_data VALUES (45669, 5109, 483133, 204, 21276, 193, 70);
INSERT INTO public.who_data VALUES (45670, 2900, 139538, 19, 2312, 193, 174);
INSERT INTO public.who_data VALUES (45671, 0, 0, 0, 0, 193, 175);
INSERT INTO public.who_data VALUES (45672, 551, 52961, 12, 1821, 193, 118);
INSERT INTO public.who_data VALUES (45673, 120, 52945, 2, 1761, 193, 189);
INSERT INTO public.who_data VALUES (45674, 582, 23403, 8, 287, 193, 124);
INSERT INTO public.who_data VALUES (45675, 384, 113646, 0, 188, 193, 192);
INSERT INTO public.who_data VALUES (45676, 54, 14714, 0, 305, 193, 41);
INSERT INTO public.who_data VALUES (45677, 382, 28223, 7, 857, 193, 95);
INSERT INTO public.who_data VALUES (45678, 12, 702, 0, 5, 193, 74);
INSERT INTO public.who_data VALUES (45679, 1215, 63762, 35, 2764, 193, 11);
INSERT INTO public.who_data VALUES (45680, 5102, 902701, 129, 15260, 193, 87);
INSERT INTO public.who_data VALUES (45681, 19, 2171, 0, 7, 193, 214);
INSERT INTO public.who_data VALUES (45682, 0, 5, 0, 0, 193, 116);
INSERT INTO public.who_data VALUES (45683, 0, 13, 0, 0, 193, 157);
INSERT INTO public.who_data VALUES (45684, 0, 0, 0, 0, 193, 182);
INSERT INTO public.who_data VALUES (45685, 0, 17, 0, 0, 193, 186);
INSERT INTO public.who_data VALUES (45686, 0, 25, 0, 0, 193, 127);
INSERT INTO public.who_data VALUES (45687, 6, 84, 1, 4, 193, 232);
INSERT INTO public.who_data VALUES (45688, 0, 4, 0, 0, 193, 33);
INSERT INTO public.who_data VALUES (45689, 0, 57, 0, 0, 193, 97);
INSERT INTO public.who_data VALUES (45690, 0, 0, 0, 0, 193, 42);
INSERT INTO public.who_data VALUES (45691, 2, 719, 0, 42, 193, 198);
INSERT INTO public.who_data VALUES (45692, 3, 881, 0, 15, 193, 216);
INSERT INTO public.who_data VALUES (45693, 1521, 291468, 34, 3233, 193, 164);
INSERT INTO public.who_data VALUES (45694, 68, 11380, 2, 238, 193, 235);
INSERT INTO public.who_data VALUES (45695, 235, 28497, 6, 652, 193, 67);
INSERT INTO public.who_data VALUES (45696, 0, 126, 0, 0, 193, 15);
INSERT INTO public.who_data VALUES (45697, 15, 1932, 0, 69, 193, 180);
INSERT INTO public.who_data VALUES (45698, 61, 55353, 0, 27, 193, 237);
INSERT INTO public.who_data VALUES (45699, 0, 3, 0, 0, 193, 25);
INSERT INTO public.who_data VALUES (45700, 0, 192, 0, 17, 193, 209);
INSERT INTO public.who_data VALUES (45701, 3, 2599, 0, 31, 193, 217);
INSERT INTO public.who_data VALUES (45702, 17, 2273, 1, 131, 193, 79);
INSERT INTO public.who_data VALUES (45703, 0, 0, 0, 0, 193, 143);
INSERT INTO public.who_data VALUES (45704, 0, 3227, 0, 93, 193, 229);
INSERT INTO public.who_data VALUES (45705, 2511, 566109, 130, 10751, 193, 141);
INSERT INTO public.who_data VALUES (45706, 5, 2477, 0, 47, 193, 197);
INSERT INTO public.who_data VALUES (45707, 4023, 348459, 28, 30106, 193, 221);
INSERT INTO public.who_data VALUES (45708, 9, 2880, 0, 11, 193, 150);
INSERT INTO public.who_data VALUES (45709, 82, 12115, 6, 792, 193, 56);
INSERT INTO public.who_data VALUES (45710, 98, 2489, 1, 30, 193, 167);
INSERT INTO public.who_data VALUES (45711, 196, 79494, 2, 5779, 193, 23);
INSERT INTO public.who_data VALUES (45712, 255, 37260, 0, 1749, 193, 222);
INSERT INTO public.who_data VALUES (45713, 72, 1327, 1, 53, 193, 219);
INSERT INTO public.who_data VALUES (45714, 44, 7871, 1, 63, 193, 7);
INSERT INTO public.who_data VALUES (45715, 5, 3356, 0, 58, 193, 161);
INSERT INTO public.who_data VALUES (45716, 1148, 312793, 13, 41309, 193, 149);
INSERT INTO public.who_data VALUES (45717, 0, 25, 0, 0, 193, 6);
INSERT INTO public.who_data VALUES (45718, 7, 1067, 2, 25, 193, 139);
INSERT INTO public.who_data VALUES (45719, 0, 0, 0, 0, 193, 211);
INSERT INTO public.who_data VALUES (45720, 0, 0, 0, 0, 193, 14);
INSERT INTO public.who_data VALUES (45721, 15, 295, 0, 8, 193, 111);
INSERT INTO public.who_data VALUES (45722, 42, 1780, 0, 52, 193, 207);
INSERT INTO public.who_data VALUES (45723, 7913, 344130, 15, 5873, 193, 66);
INSERT INTO public.who_data VALUES (45724, 0, 0, 0, 0, 193, 173);
INSERT INTO public.who_data VALUES (45725, 0, 216, 0, 2, 193, 145);
INSERT INTO public.who_data VALUES (45726, 0, 0, 0, 0, 193, 65);
INSERT INTO public.who_data VALUES (45727, 16, 1313, 0, 9, 193, 184);
INSERT INTO public.who_data VALUES (45728, 1433, 84548, 19, 1970, 193, 98);
INSERT INTO public.who_data VALUES (45729, 262, 62966, 1, 358, 193, 104);
INSERT INTO public.who_data VALUES (45730, 0, 509, 0, 21, 193, 73);
INSERT INTO public.who_data VALUES (45731, 39894, 5039709, 557, 162104, 193, 8);
INSERT INTO public.who_data VALUES (45732, 29, 576, 0, 9, 193, 227);
INSERT INTO public.who_data VALUES (45733, 11, 1364, 0, 37, 193, 75);
INSERT INTO public.who_data VALUES (45734, 670, 32215, 6, 208, 193, 45);
INSERT INTO public.who_data VALUES (45735, 0, 0, 0, 0, 193, 133);
INSERT INTO public.who_data VALUES (45736, 995, 26800, 6, 229, 193, 202);
INSERT INTO public.who_data VALUES (45737, 19, 866, 2, 17, 193, 129);
INSERT INTO public.who_data VALUES (45738, 0, 0, 0, 0, 193, 36);
INSERT INTO public.who_data VALUES (45739, 5, 1835, 5, 524, 193, 51);
INSERT INTO public.who_data VALUES (45740, 65, 8275, 0, 241, 193, 206);
INSERT INTO public.who_data VALUES (45741, 70, 4818, 0, 104, 193, 5);
INSERT INTO public.who_data VALUES (45742, 215, 37355, 32, 1348, 194, 103);
INSERT INTO public.who_data VALUES (45743, 125, 6536, 1, 200, 194, 58);
INSERT INTO public.who_data VALUES (45744, 498, 35712, 10, 1312, 194, 195);
INSERT INTO public.who_data VALUES (45745, 0, 0, 0, 0, 194, 115);
INSERT INTO public.who_data VALUES (45746, 7, 963, 0, 52, 194, 99);
INSERT INTO public.who_data VALUES (45747, 7, 1679, 3, 78, 194, 153);
INSERT INTO public.who_data VALUES (45748, 0, 3, 0, 0, 194, 93);
INSERT INTO public.who_data VALUES (45749, 0, 92, 0, 3, 194, 84);
INSERT INTO public.who_data VALUES (45750, 4688, 246499, 78, 4634, 194, 78);
INSERT INTO public.who_data VALUES (45751, 160, 39906, 7, 798, 194, 170);
INSERT INTO public.who_data VALUES (45752, 300, 563, 0, 3, 194, 32);
INSERT INTO public.who_data VALUES (45753, 313, 21397, 18, 313, 194, 155);
INSERT INTO public.who_data VALUES (45754, 111, 22122, 2, 723, 194, 82);
INSERT INTO public.who_data VALUES (45755, 79, 33647, 2, 492, 194, 16);
INSERT INTO public.who_data VALUES (45756, 20, 898, 1, 15, 194, 72);
INSERT INTO public.who_data VALUES (45757, 386, 44397, 1, 163, 194, 43);
INSERT INTO public.who_data VALUES (45758, 2907, 260507, 39, 3438, 194, 120);
INSERT INTO public.who_data VALUES (45759, 0, 142, 0, 7, 194, 213);
INSERT INTO public.who_data VALUES (45760, 97, 68947, 2, 589, 194, 31);
INSERT INTO public.who_data VALUES (45761, 873, 76045, 11, 9746, 194, 204);
INSERT INTO public.who_data VALUES (45762, 1, 154, 0, 2, 194, 152);
INSERT INTO public.who_data VALUES (45763, 65, 2001, 0, 38, 194, 144);
INSERT INTO public.who_data VALUES (45764, 0, 158, 0, 9, 194, 96);
INSERT INTO public.who_data VALUES (45765, 3, 113, 0, 0, 194, 47);
INSERT INTO public.who_data VALUES (45766, 944, 89999, 53, 3640, 194, 80);
INSERT INTO public.who_data VALUES (45767, 0, 5, 0, 0, 194, 159);
INSERT INTO public.who_data VALUES (45768, 173, 14498, 18, 420, 194, 27);
INSERT INTO public.who_data VALUES (45769, 0, 804, 0, 2, 194, 146);
INSERT INTO public.who_data VALUES (45770, 23010, 3035422, 572, 101049, 194, 71);
INSERT INTO public.who_data VALUES (45771, 0, 9, 0, 1, 194, 210);
INSERT INTO public.who_data VALUES (45772, 0, 142, 0, 3, 194, 54);
INSERT INTO public.who_data VALUES (45773, 116, 13512, 12, 459, 194, 147);
INSERT INTO public.who_data VALUES (45774, 24, 1204, 0, 54, 194, 2);
INSERT INTO public.who_data VALUES (45775, 0, 408, 0, 1, 194, 105);
INSERT INTO public.who_data VALUES (45776, 25, 2883, 0, 32, 194, 53);
INSERT INTO public.who_data VALUES (45777, 15, 266, 0, 0, 194, 81);
INSERT INTO public.who_data VALUES (45778, 171, 18213, 3, 398, 194, 223);
INSERT INTO public.who_data VALUES (45779, 230, 119451, 5, 8981, 194, 94);
INSERT INTO public.who_data VALUES (45780, 0, 203, 0, 1, 194, 154);
INSERT INTO public.who_data VALUES (45781, 0, 4641, 0, 60, 194, 83);
INSERT INTO public.who_data VALUES (45782, 1, 945, 0, 76, 194, 194);
INSERT INTO public.who_data VALUES (45783, 1988, 375044, 62, 10139, 194, 136);
INSERT INTO public.who_data VALUES (45784, 113, 89383, 3, 4696, 194, 179);
INSERT INTO public.who_data VALUES (45785, 10611, 387481, 302, 12842, 194, 57);
INSERT INTO public.who_data VALUES (45786, 0, 399, 0, 7, 194, 35);
INSERT INTO public.who_data VALUES (45787, 81, 3745, 2, 60, 194, 228);
INSERT INTO public.who_data VALUES (45788, 0, 0, 0, 0, 194, 19);
INSERT INTO public.who_data VALUES (45789, 484, 23286, 7, 235, 194, 22);
INSERT INTO public.who_data VALUES (45790, 83, 16798, 0, 105, 194, 1);
INSERT INTO public.who_data VALUES (45791, 45, 5649, 1, 158, 194, 21);
INSERT INTO public.who_data VALUES (45792, 93, 3046, 0, 88, 194, 234);
INSERT INTO public.who_data VALUES (45793, 1, 32, 0, 1, 194, 91);
INSERT INTO public.who_data VALUES (45794, 10, 1252, 0, 19, 194, 137);
INSERT INTO public.who_data VALUES (45795, 139, 18494, 0, 389, 194, 201);
INSERT INTO public.who_data VALUES (45796, 0, 0, 0, 0, 194, 171);
INSERT INTO public.who_data VALUES (45797, 35, 9488, 0, 224, 194, 92);
INSERT INTO public.who_data VALUES (45798, 373, 14815, 3, 620, 194, 112);
INSERT INTO public.who_data VALUES (45799, 3, 5347, 0, 59, 194, 62);
INSERT INTO public.who_data VALUES (45800, 0, 18, 0, 0, 194, 69);
INSERT INTO public.who_data VALUES (45801, 767, 80499, 19, 1328, 194, 220);
INSERT INTO public.who_data VALUES (45802, 242, 94701, 10, 5932, 194, 100);
INSERT INTO public.who_data VALUES (45803, 174, 95666, 26, 5035, 194, 187);
INSERT INTO public.who_data VALUES (45804, 449, 20872, 14, 563, 194, 63);
INSERT INTO public.who_data VALUES (45805, 0, 4821, 0, 83, 194, 28);
INSERT INTO public.who_data VALUES (45806, 0, 285, 0, 0, 194, 172);
INSERT INTO public.who_data VALUES (45807, 6, 2158, 0, 63, 194, 17);
INSERT INTO public.who_data VALUES (45808, 73, 3309, 3, 61, 194, 226);
INSERT INTO public.who_data VALUES (45809, 773, 23591, 13, 420, 194, 236);
INSERT INTO public.who_data VALUES (45810, 0, 13, 0, 0, 194, 76);
INSERT INTO public.who_data VALUES (45811, 22, 313, 0, 0, 194, 30);
INSERT INTO public.who_data VALUES (45812, 0, 27, 0, 1, 194, 128);
INSERT INTO public.who_data VALUES (45813, 17, 7601, 2, 333, 194, 86);
INSERT INTO public.who_data VALUES (45814, 4619, 189972, 13, 30214, 194, 140);
INSERT INTO public.who_data VALUES (45815, 57, 8324, 1, 49, 194, 44);
INSERT INTO public.who_data VALUES (45816, 0, 69, 0, 0, 194, 113);
INSERT INTO public.who_data VALUES (45817, 83, 8006, 0, 51, 194, 29);
INSERT INTO public.who_data VALUES (45818, 0, 1235, 0, 23, 194, 125);
INSERT INTO public.who_data VALUES (45819, 14, 1264, 0, 17, 194, 131);
INSERT INTO public.who_data VALUES (45820, 966, 217293, 4, 9201, 194, 46);
INSERT INTO public.who_data VALUES (45821, 209, 41212, 0, 215, 194, 10);
INSERT INTO public.who_data VALUES (45822, 0, 197, 0, 0, 194, 205);
INSERT INTO public.who_data VALUES (45823, 126, 5749, 1, 213, 194, 50);
INSERT INTO public.who_data VALUES (45824, 0, 14, 0, 0, 194, 20);
INSERT INTO public.who_data VALUES (45825, 0, 24, 0, 0, 194, 13);
INSERT INTO public.who_data VALUES (45826, 0, 290, 0, 14, 194, 148);
INSERT INTO public.who_data VALUES (45827, 6, 410, 0, 5, 194, 230);
INSERT INTO public.who_data VALUES (45828, 382, 56987, 11, 2222, 194, 190);
INSERT INTO public.who_data VALUES (45829, 0, 252, 0, 13, 194, 188);
INSERT INTO public.who_data VALUES (45830, 22, 7952, 0, 50, 194, 123);
INSERT INTO public.who_data VALUES (45831, 0, 2052, 0, 29, 194, 9);
INSERT INTO public.who_data VALUES (45832, 14, 568, 0, 22, 194, 102);
INSERT INTO public.who_data VALUES (45833, 23, 7634, 1, 183, 194, 34);
INSERT INTO public.who_data VALUES (45834, 0, 12, 0, 0, 194, 212);
INSERT INTO public.who_data VALUES (45835, 481, 47454, 19, 1495, 194, 122);
INSERT INTO public.who_data VALUES (45836, 35, 4731, 3, 605, 194, 38);
INSERT INTO public.who_data VALUES (45837, 4, 1962, 0, 10, 194, 130);
INSERT INTO public.who_data VALUES (45838, 53601, 2268675, 871, 45257, 194, 37);
INSERT INTO public.who_data VALUES (45839, 1687, 127083, 42, 5765, 194, 231);
INSERT INTO public.who_data VALUES (45840, 2132, 328844, 189, 18616, 194, 107);
INSERT INTO public.who_data VALUES (45841, 3484, 153599, 72, 5464, 194, 101);
INSERT INTO public.who_data VALUES (45842, 56, 26768, 0, 1772, 194, 132);
INSERT INTO public.who_data VALUES (45843, 0, 336, 0, 24, 194, 176);
INSERT INTO public.who_data VALUES (45844, 924, 83415, 7, 666, 194, 200);
INSERT INTO public.who_data VALUES (45845, 259, 250825, 4, 35209, 194, 169);
INSERT INTO public.who_data VALUES (45846, 20, 1023, 2, 14, 194, 225);
INSERT INTO public.who_data VALUES (45847, 938, 48928, 5, 1052, 194, 165);
INSERT INTO public.who_data VALUES (45848, 0, 345, 0, 31, 194, 233);
INSERT INTO public.who_data VALUES (45849, 16, 1336, 0, 11, 194, 215);
INSERT INTO public.who_data VALUES (45850, 2114, 115615, 0, 1433, 194, 177);
INSERT INTO public.who_data VALUES (45851, 492, 26928, 3, 423, 194, 183);
INSERT INTO public.who_data VALUES (45852, 0, 0, 0, 0, 194, 203);
INSERT INTO public.who_data VALUES (45853, 172, 10376, 14, 331, 194, 162);
INSERT INTO public.who_data VALUES (45854, 687, 72400, 4, 482, 194, 12);
INSERT INTO public.who_data VALUES (45855, 278, 40455, 4, 1033, 194, 24);
INSERT INTO public.who_data VALUES (45856, 0, 20, 0, 0, 194, 119);
INSERT INTO public.who_data VALUES (45857, 3, 1293, 0, 32, 194, 39);
INSERT INTO public.who_data VALUES (45858, 295, 6812, 4, 80, 194, 26);
INSERT INTO public.who_data VALUES (45859, 0, 781, 0, 24, 194, 59);
INSERT INTO public.who_data VALUES (45860, 3, 1240, 0, 79, 194, 77);
INSERT INTO public.who_data VALUES (45861, 388, 5929, 5, 125, 194, 134);
INSERT INTO public.who_data VALUES (45862, 1, 90, 0, 1, 194, 4);
INSERT INTO public.who_data VALUES (45863, 18, 2277, 0, 81, 194, 109);
INSERT INTO public.who_data VALUES (45864, 103, 7216, 2, 121, 194, 90);
INSERT INTO public.who_data VALUES (45865, 116, 13202, 3, 151, 194, 61);
INSERT INTO public.who_data VALUES (45866, 16, 4674, 0, 146, 194, 85);
INSERT INTO public.who_data VALUES (45867, 11, 9094, 0, 125, 194, 49);
INSERT INTO public.who_data VALUES (45868, 116, 5157, 0, 19, 194, 208);
INSERT INTO public.who_data VALUES (45869, 6, 2573, 0, 125, 194, 166);
INSERT INTO public.who_data VALUES (45870, 23, 1006, 0, 9, 194, 64);
INSERT INTO public.who_data VALUES (45871, 0, 0, 0, 0, 194, 199);
INSERT INTO public.who_data VALUES (45872, 0, 336, 0, 16, 194, 114);
INSERT INTO public.who_data VALUES (45873, 40, 6550, 0, 157, 194, 60);
INSERT INTO public.who_data VALUES (45874, 0, 344, 0, 10, 194, 68);
INSERT INTO public.who_data VALUES (45875, 0, 3068, 0, 39, 194, 158);
INSERT INTO public.who_data VALUES (45876, 4376, 480278, 292, 52298, 194, 52);
INSERT INTO public.who_data VALUES (45877, 0, 0, 0, 0, 194, 117);
INSERT INTO public.who_data VALUES (45878, 0, 97, 0, 1, 194, 126);
INSERT INTO public.who_data VALUES (45879, 0, 293, 0, 0, 194, 196);
INSERT INTO public.who_data VALUES (45880, 62, 3773, 3, 73, 194, 142);
INSERT INTO public.who_data VALUES (45881, 0, 13, 0, 1, 194, 185);
INSERT INTO public.who_data VALUES (45882, 826, 34063, 18, 516, 194, 138);
INSERT INTO public.who_data VALUES (45883, 142, 2411, 0, 16, 194, 181);
INSERT INTO public.who_data VALUES (45884, 0, 360, 0, 6, 194, 178);
INSERT INTO public.who_data VALUES (45885, 152, 3101, 0, 19, 194, 168);
INSERT INTO public.who_data VALUES (45886, 0, 0, 0, 0, 194, 160);
INSERT INTO public.who_data VALUES (45887, 338, 23310, 4, 79, 194, 151);
INSERT INTO public.who_data VALUES (45888, 787, 59292, 0, 6156, 194, 193);
INSERT INTO public.who_data VALUES (45889, 0, 23, 0, 0, 194, 18);
INSERT INTO public.who_data VALUES (45890, 1, 1220, 0, 22, 194, 40);
INSERT INTO public.who_data VALUES (45891, 0, 3266, 0, 123, 194, 218);
INSERT INTO public.who_data VALUES (45892, 0, 1158, 0, 69, 194, 191);
INSERT INTO public.who_data VALUES (45893, 290, 46867, 5, 950, 194, 156);
INSERT INTO public.who_data VALUES (45894, 0, 0, 0, 0, 194, 135);
INSERT INTO public.who_data VALUES (45895, 1, 49, 0, 2, 194, 88);
INSERT INTO public.who_data VALUES (45896, 109, 11965, 1, 528, 194, 55);
INSERT INTO public.who_data VALUES (45897, 170, 9638, 0, 256, 194, 108);
INSERT INTO public.who_data VALUES (45898, 470, 19121, 7, 110, 194, 48);
INSERT INTO public.who_data VALUES (45899, 207, 81787, 8, 521, 194, 3);
INSERT INTO public.who_data VALUES (45900, 0, 741, 0, 13, 194, 224);
INSERT INTO public.who_data VALUES (45901, 531, 285191, 15, 6112, 194, 110);
INSERT INTO public.who_data VALUES (45902, 0, 0, 0, 0, 194, 106);
INSERT INTO public.who_data VALUES (45903, 841, 74492, 30, 1639, 194, 89);
INSERT INTO public.who_data VALUES (45904, 0, 214, 0, 3, 194, 121);
INSERT INTO public.who_data VALUES (45905, 202, 6907, 3, 75, 194, 163);
INSERT INTO public.who_data VALUES (45906, 7012, 478024, 228, 21072, 194, 70);
INSERT INTO public.who_data VALUES (45907, 6725, 136638, 23, 2293, 194, 174);
INSERT INTO public.who_data VALUES (45908, 0, 0, 0, 0, 194, 175);
INSERT INTO public.who_data VALUES (45909, 619, 52410, 2, 1809, 194, 118);
INSERT INTO public.who_data VALUES (45910, 157, 52825, 3, 1759, 194, 189);
INSERT INTO public.who_data VALUES (45911, 700, 22821, 0, 279, 194, 124);
INSERT INTO public.who_data VALUES (45912, 315, 113262, 4, 188, 194, 192);
INSERT INTO public.who_data VALUES (45913, 34, 14660, 0, 305, 194, 41);
INSERT INTO public.who_data VALUES (45914, 181, 27841, 5, 850, 194, 95);
INSERT INTO public.who_data VALUES (45915, 3, 690, 0, 5, 194, 74);
INSERT INTO public.who_data VALUES (45916, 779, 62547, 29, 2729, 194, 11);
INSERT INTO public.who_data VALUES (45917, 4945, 897599, 130, 15131, 194, 87);
INSERT INTO public.who_data VALUES (45918, 12, 2152, 0, 7, 194, 214);
INSERT INTO public.who_data VALUES (45919, 0, 5, 0, 0, 194, 116);
INSERT INTO public.who_data VALUES (45920, 0, 13, 0, 0, 194, 157);
INSERT INTO public.who_data VALUES (45921, 0, 0, 0, 0, 194, 182);
INSERT INTO public.who_data VALUES (45922, 0, 17, 0, 0, 194, 186);
INSERT INTO public.who_data VALUES (45923, 0, 25, 0, 0, 194, 127);
INSERT INTO public.who_data VALUES (45924, 0, 78, 0, 3, 194, 232);
INSERT INTO public.who_data VALUES (45925, 0, 4, 0, 0, 194, 33);
INSERT INTO public.who_data VALUES (45926, 1, 57, 0, 0, 194, 97);
INSERT INTO public.who_data VALUES (45927, 0, 0, 0, 0, 194, 42);
INSERT INTO public.who_data VALUES (45928, 0, 717, 0, 42, 194, 198);
INSERT INTO public.who_data VALUES (45929, 0, 878, 0, 15, 194, 216);
INSERT INTO public.who_data VALUES (45930, 1257, 289947, 32, 3199, 194, 164);
INSERT INTO public.who_data VALUES (45931, 137, 11312, 4, 236, 194, 235);
INSERT INTO public.who_data VALUES (45932, 163, 28262, 5, 646, 194, 67);
INSERT INTO public.who_data VALUES (45933, 0, 126, 0, 0, 194, 15);
INSERT INTO public.who_data VALUES (45934, 1, 1917, 1, 69, 194, 180);
INSERT INTO public.who_data VALUES (45935, 188, 55292, 0, 27, 194, 237);
INSERT INTO public.who_data VALUES (45936, 0, 3, 0, 0, 194, 25);
INSERT INTO public.who_data VALUES (45937, 16, 192, 1, 17, 194, 209);
INSERT INTO public.who_data VALUES (45938, 30, 2596, 0, 31, 194, 217);
INSERT INTO public.who_data VALUES (45939, 6, 2256, 1, 130, 194, 79);
INSERT INTO public.who_data VALUES (45940, 0, 0, 0, 0, 194, 143);
INSERT INTO public.who_data VALUES (45941, 0, 3227, 0, 93, 194, 229);
INSERT INTO public.who_data VALUES (45942, 3739, 563598, 213, 10621, 194, 141);
INSERT INTO public.who_data VALUES (45943, 2, 2472, 0, 47, 194, 197);
INSERT INTO public.who_data VALUES (45944, 2682, 344436, 16, 30078, 194, 221);
INSERT INTO public.who_data VALUES (45945, 27, 2871, 0, 11, 194, 150);
INSERT INTO public.who_data VALUES (45946, 0, 12033, 0, 786, 194, 56);
INSERT INTO public.who_data VALUES (45947, 85, 2391, 0, 29, 194, 167);
INSERT INTO public.who_data VALUES (45948, 73, 79298, 4, 5777, 194, 23);
INSERT INTO public.who_data VALUES (45949, 281, 37005, 1, 1749, 194, 222);
INSERT INTO public.who_data VALUES (45950, 67, 1255, 0, 52, 194, 219);
INSERT INTO public.who_data VALUES (45951, 42, 7827, 0, 62, 194, 7);
INSERT INTO public.who_data VALUES (45952, 0, 3351, 0, 58, 194, 161);
INSERT INTO public.who_data VALUES (45953, 816, 311645, 18, 41296, 194, 149);
INSERT INTO public.who_data VALUES (45954, 0, 25, 0, 0, 194, 6);
INSERT INTO public.who_data VALUES (45955, 14, 1060, 1, 23, 194, 139);
INSERT INTO public.who_data VALUES (45956, 0, 0, 0, 0, 194, 211);
INSERT INTO public.who_data VALUES (45957, 0, 0, 0, 0, 194, 14);
INSERT INTO public.who_data VALUES (45958, 1, 280, 0, 8, 194, 111);
INSERT INTO public.who_data VALUES (45959, 21, 1738, 1, 52, 194, 207);
INSERT INTO public.who_data VALUES (45960, 7923, 336217, 14, 5858, 194, 66);
INSERT INTO public.who_data VALUES (45961, 0, 0, 0, 0, 194, 173);
INSERT INTO public.who_data VALUES (45962, 19, 216, 0, 2, 194, 145);
INSERT INTO public.who_data VALUES (45963, 0, 0, 0, 0, 194, 65);
INSERT INTO public.who_data VALUES (45964, 14, 1297, 2, 9, 194, 184);
INSERT INTO public.who_data VALUES (45965, 1158, 83115, 29, 1951, 194, 98);
INSERT INTO public.who_data VALUES (45966, 179, 62704, 0, 357, 194, 104);
INSERT INTO public.who_data VALUES (45967, 0, 509, 0, 21, 194, 73);
INSERT INTO public.who_data VALUES (45968, 47964, 4999815, 558, 161547, 194, 8);
INSERT INTO public.who_data VALUES (45969, 19, 547, 0, 9, 194, 227);
INSERT INTO public.who_data VALUES (45970, 18, 1353, 0, 37, 194, 75);
INSERT INTO public.who_data VALUES (45971, 725, 31545, 6, 202, 194, 45);
INSERT INTO public.who_data VALUES (45972, 0, 0, 0, 0, 194, 133);
INSERT INTO public.who_data VALUES (45973, 844, 25805, 8, 223, 194, 202);
INSERT INTO public.who_data VALUES (45974, 6, 847, 2, 15, 194, 129);
INSERT INTO public.who_data VALUES (45975, 0, 0, 0, 0, 194, 36);
INSERT INTO public.who_data VALUES (45976, 22, 1830, 3, 519, 194, 51);
INSERT INTO public.who_data VALUES (45977, 125, 8210, 6, 241, 194, 206);
INSERT INTO public.who_data VALUES (45978, 99, 4748, 0, 104, 194, 5);
INSERT INTO public.who_data VALUES (45979, 0, 37140, 0, 1316, 195, 103);
INSERT INTO public.who_data VALUES (45980, 136, 6411, 6, 199, 195, 58);
INSERT INTO public.who_data VALUES (45981, 521, 35214, 9, 1302, 195, 195);
INSERT INTO public.who_data VALUES (45982, 0, 0, 0, 0, 195, 115);
INSERT INTO public.who_data VALUES (45983, 0, 956, 0, 52, 195, 99);
INSERT INTO public.who_data VALUES (45984, 100, 1672, 5, 75, 195, 153);
INSERT INTO public.who_data VALUES (45985, 0, 3, 0, 0, 195, 93);
INSERT INTO public.who_data VALUES (45986, 0, 92, 0, 3, 195, 84);
INSERT INTO public.who_data VALUES (45987, 6134, 241811, 106, 4556, 195, 78);
INSERT INTO public.who_data VALUES (45988, 23, 39746, 5, 791, 195, 170);
INSERT INTO public.who_data VALUES (45989, 0, 263, 0, 3, 195, 32);
INSERT INTO public.who_data VALUES (45990, 386, 21084, 17, 295, 195, 155);
INSERT INTO public.who_data VALUES (45991, 76, 22011, 0, 721, 195, 82);
INSERT INTO public.who_data VALUES (45992, 87, 33568, 2, 490, 195, 16);
INSERT INTO public.who_data VALUES (45993, 48, 878, 0, 14, 195, 72);
INSERT INTO public.who_data VALUES (45994, 382, 44011, 1, 162, 195, 43);
INSERT INTO public.who_data VALUES (45995, 2487, 257600, 34, 3399, 195, 120);
INSERT INTO public.who_data VALUES (45996, 4, 142, 0, 7, 195, 213);
INSERT INTO public.who_data VALUES (45997, 112, 68850, 2, 587, 195, 31);
INSERT INTO public.who_data VALUES (45998, 122, 75172, 5, 9735, 195, 204);
INSERT INTO public.who_data VALUES (45999, 7, 153, 0, 2, 195, 152);
INSERT INTO public.who_data VALUES (46000, 0, 1936, 0, 38, 195, 144);
INSERT INTO public.who_data VALUES (46001, 0, 158, 0, 9, 195, 96);
INSERT INTO public.who_data VALUES (46002, 2, 110, 0, 0, 195, 47);
INSERT INTO public.who_data VALUES (46003, 1164, 89055, 63, 3587, 195, 80);
INSERT INTO public.who_data VALUES (46004, 0, 5, 0, 0, 195, 159);
INSERT INTO public.who_data VALUES (46005, 236, 14325, 6, 402, 195, 27);
INSERT INTO public.who_data VALUES (46006, 0, 804, 0, 2, 195, 146);
INSERT INTO public.who_data VALUES (46007, 49970, 3012412, 905, 100477, 195, 71);
INSERT INTO public.who_data VALUES (46008, 0, 9, 0, 1, 195, 210);
INSERT INTO public.who_data VALUES (46009, 0, 142, 0, 3, 195, 54);
INSERT INTO public.who_data VALUES (46010, 53, 13396, 2, 447, 195, 147);
INSERT INTO public.who_data VALUES (46011, 5, 1180, 0, 54, 195, 2);
INSERT INTO public.who_data VALUES (46012, 3, 408, 0, 1, 195, 105);
INSERT INTO public.who_data VALUES (46013, 23, 2858, 0, 32, 195, 53);
INSERT INTO public.who_data VALUES (46014, 3, 251, 0, 0, 195, 81);
INSERT INTO public.who_data VALUES (46015, 0, 18042, 0, 395, 195, 223);
INSERT INTO public.who_data VALUES (46016, 236, 119221, 6, 8976, 195, 94);
INSERT INTO public.who_data VALUES (46017, 0, 203, 0, 1, 195, 154);
INSERT INTO public.who_data VALUES (46018, 0, 4641, 1, 60, 195, 83);
INSERT INTO public.who_data VALUES (46019, 2, 944, 0, 76, 195, 194);
INSERT INTO public.who_data VALUES (46020, 2033, 373056, 66, 10077, 195, 136);
INSERT INTO public.who_data VALUES (46021, 121, 89270, 5, 4693, 195, 179);
INSERT INTO public.who_data VALUES (46022, 9674, 376870, 290, 12540, 195, 57);
INSERT INTO public.who_data VALUES (46023, 0, 399, 0, 7, 195, 35);
INSERT INTO public.who_data VALUES (46024, 0, 3664, 0, 58, 195, 228);
INSERT INTO public.who_data VALUES (46025, 0, 0, 0, 0, 195, 19);
INSERT INTO public.who_data VALUES (46026, 721, 22802, 10, 228, 195, 22);
INSERT INTO public.who_data VALUES (46027, 95, 16715, 1, 105, 195, 1);
INSERT INTO public.who_data VALUES (46028, 61, 5604, 0, 157, 195, 21);
INSERT INTO public.who_data VALUES (46029, 65, 2953, 0, 88, 195, 234);
INSERT INTO public.who_data VALUES (46030, 0, 31, 0, 1, 195, 91);
INSERT INTO public.who_data VALUES (46031, 9, 1242, 0, 19, 195, 137);
INSERT INTO public.who_data VALUES (46032, 120, 18355, 0, 389, 195, 201);
INSERT INTO public.who_data VALUES (46033, 0, 0, 0, 0, 195, 171);
INSERT INTO public.who_data VALUES (46034, 18, 9453, 6, 224, 195, 92);
INSERT INTO public.who_data VALUES (46035, 0, 14442, 0, 617, 195, 112);
INSERT INTO public.who_data VALUES (46036, 6, 5344, 0, 59, 195, 62);
INSERT INTO public.who_data VALUES (46037, 0, 18, 0, 0, 195, 69);
INSERT INTO public.who_data VALUES (46038, 954, 79732, 20, 1309, 195, 220);
INSERT INTO public.who_data VALUES (46039, 887, 94459, 6, 5922, 195, 100);
INSERT INTO public.who_data VALUES (46040, 178, 95492, 17, 5009, 195, 187);
INSERT INTO public.who_data VALUES (46041, 445, 20423, 13, 549, 195, 63);
INSERT INTO public.who_data VALUES (46042, 0, 4821, 0, 83, 195, 28);
INSERT INTO public.who_data VALUES (46043, 0, 285, 0, 0, 195, 172);
INSERT INTO public.who_data VALUES (46044, 5, 2152, 0, 63, 195, 17);
INSERT INTO public.who_data VALUES (46045, 108, 3236, 2, 58, 195, 226);
INSERT INTO public.who_data VALUES (46046, 565, 22818, 17, 407, 195, 236);
INSERT INTO public.who_data VALUES (46047, 0, 13, 0, 0, 195, 76);
INSERT INTO public.who_data VALUES (46048, 0, 291, 0, 0, 195, 30);
INSERT INTO public.who_data VALUES (46049, 0, 27, 0, 1, 195, 128);
INSERT INTO public.who_data VALUES (46050, 16, 7584, 0, 331, 195, 86);
INSERT INTO public.who_data VALUES (46051, 0, 185353, 0, 30201, 195, 140);
INSERT INTO public.who_data VALUES (46052, 0, 8267, 0, 48, 195, 44);
INSERT INTO public.who_data VALUES (46053, 0, 69, 0, 0, 195, 113);
INSERT INTO public.who_data VALUES (46054, 0, 7923, 0, 51, 195, 29);
INSERT INTO public.who_data VALUES (46055, 145, 1235, 4, 23, 195, 125);
INSERT INTO public.who_data VALUES (46056, 25, 1250, 0, 17, 195, 131);
INSERT INTO public.who_data VALUES (46057, 436, 216327, 1, 9197, 195, 46);
INSERT INTO public.who_data VALUES (46058, 470, 41003, 9, 215, 195, 10);
INSERT INTO public.who_data VALUES (46059, 4, 197, 0, 0, 195, 205);
INSERT INTO public.who_data VALUES (46060, 202, 5623, 1, 212, 195, 50);
INSERT INTO public.who_data VALUES (46061, 0, 14, 0, 0, 195, 20);
INSERT INTO public.who_data VALUES (46062, 0, 24, 0, 0, 195, 13);
INSERT INTO public.who_data VALUES (46063, 0, 290, 0, 14, 195, 148);
INSERT INTO public.who_data VALUES (46064, 0, 404, 0, 5, 195, 230);
INSERT INTO public.who_data VALUES (46065, 416, 56605, 14, 2211, 195, 190);
INSERT INTO public.who_data VALUES (46066, 0, 252, 0, 13, 195, 188);
INSERT INTO public.who_data VALUES (46067, 55, 7930, 0, 50, 195, 123);
INSERT INTO public.who_data VALUES (46068, 0, 2052, 0, 29, 195, 9);
INSERT INTO public.who_data VALUES (46069, 16, 554, 0, 22, 195, 102);
INSERT INTO public.who_data VALUES (46070, 12, 7611, 5, 182, 195, 34);
INSERT INTO public.who_data VALUES (46071, 0, 12, 0, 0, 195, 212);
INSERT INTO public.who_data VALUES (46072, 338, 46973, 11, 1476, 195, 122);
INSERT INTO public.who_data VALUES (46073, 43, 4696, 0, 602, 195, 38);
INSERT INTO public.who_data VALUES (46074, 3, 1958, 0, 10, 195, 130);
INSERT INTO public.who_data VALUES (46075, 62064, 2215074, 1007, 44386, 195, 37);
INSERT INTO public.who_data VALUES (46076, 1893, 125396, 65, 5723, 195, 231);
INSERT INTO public.who_data VALUES (46077, 2020, 326712, 163, 18427, 195, 107);
INSERT INTO public.who_data VALUES (46078, 2726, 150115, 82, 5392, 195, 101);
INSERT INTO public.who_data VALUES (46079, 68, 26712, 0, 1772, 195, 132);
INSERT INTO public.who_data VALUES (46080, 0, 336, 0, 24, 195, 176);
INSERT INTO public.who_data VALUES (46081, 754, 82491, 13, 659, 195, 200);
INSERT INTO public.who_data VALUES (46082, 463, 250566, 2, 35205, 195, 169);
INSERT INTO public.who_data VALUES (46083, 16, 1003, 0, 12, 195, 225);
INSERT INTO public.who_data VALUES (46084, 1207, 47990, 7, 1047, 195, 165);
INSERT INTO public.who_data VALUES (46085, 0, 345, 0, 31, 195, 233);
INSERT INTO public.who_data VALUES (46086, 6, 1320, 0, 11, 195, 215);
INSERT INTO public.who_data VALUES (46087, 779, 113501, 0, 1433, 195, 177);
INSERT INTO public.who_data VALUES (46088, 599, 26436, 2, 420, 195, 183);
INSERT INTO public.who_data VALUES (46089, 0, 0, 0, 0, 195, 203);
INSERT INTO public.who_data VALUES (46090, 188, 10204, 12, 317, 195, 162);
INSERT INTO public.who_data VALUES (46091, 514, 71713, 4, 478, 195, 12);
INSERT INTO public.who_data VALUES (46092, 258, 40177, 6, 1029, 195, 24);
INSERT INTO public.who_data VALUES (46093, 0, 20, 0, 0, 195, 119);
INSERT INTO public.who_data VALUES (46094, 2, 1290, 0, 32, 195, 39);
INSERT INTO public.who_data VALUES (46095, 294, 6517, 2, 76, 195, 26);
INSERT INTO public.who_data VALUES (46096, 39, 781, 1, 24, 195, 59);
INSERT INTO public.who_data VALUES (46097, 3, 1237, 0, 79, 195, 77);
INSERT INTO public.who_data VALUES (46098, 309, 5541, 7, 120, 195, 134);
INSERT INTO public.who_data VALUES (46099, 0, 89, 0, 1, 195, 4);
INSERT INTO public.who_data VALUES (46100, 12, 2259, 0, 81, 195, 109);
INSERT INTO public.who_data VALUES (46101, 0, 7113, 0, 119, 195, 90);
INSERT INTO public.who_data VALUES (46102, 164, 13086, 7, 148, 195, 61);
INSERT INTO public.who_data VALUES (46103, 34, 4658, 3, 146, 195, 85);
INSERT INTO public.who_data VALUES (46104, 13, 9083, 0, 125, 195, 49);
INSERT INTO public.who_data VALUES (46105, 143, 5041, 0, 19, 195, 208);
INSERT INTO public.who_data VALUES (46106, 2, 2567, 0, 125, 195, 166);
INSERT INTO public.who_data VALUES (46107, 54, 983, 0, 9, 195, 64);
INSERT INTO public.who_data VALUES (46108, 0, 0, 0, 0, 195, 199);
INSERT INTO public.who_data VALUES (46109, 0, 336, 0, 16, 195, 114);
INSERT INTO public.who_data VALUES (46110, 12, 6510, 0, 157, 195, 60);
INSERT INTO public.who_data VALUES (46111, 0, 344, 0, 10, 195, 68);
INSERT INTO public.who_data VALUES (46112, 0, 3068, 0, 39, 195, 158);
INSERT INTO public.who_data VALUES (46113, 6495, 475902, 695, 52006, 195, 52);
INSERT INTO public.who_data VALUES (46114, 0, 0, 0, 0, 195, 117);
INSERT INTO public.who_data VALUES (46115, 0, 97, 0, 1, 195, 126);
INSERT INTO public.who_data VALUES (46116, 0, 293, 0, 0, 195, 196);
INSERT INTO public.who_data VALUES (46117, 49, 3711, 3, 70, 195, 142);
INSERT INTO public.who_data VALUES (46118, 0, 13, 0, 1, 195, 185);
INSERT INTO public.who_data VALUES (46119, 1230, 33237, 18, 498, 195, 138);
INSERT INTO public.who_data VALUES (46120, 28, 2269, 0, 16, 195, 181);
INSERT INTO public.who_data VALUES (46121, 1, 360, 0, 6, 195, 178);
INSERT INTO public.who_data VALUES (46122, 97, 2949, 3, 19, 195, 168);
INSERT INTO public.who_data VALUES (46123, 0, 0, 0, 0, 195, 160);
INSERT INTO public.who_data VALUES (46124, 380, 22972, 2, 75, 195, 151);
INSERT INTO public.who_data VALUES (46125, 577, 58505, 0, 6156, 195, 193);
INSERT INTO public.who_data VALUES (46126, 0, 23, 0, 0, 195, 18);
INSERT INTO public.who_data VALUES (46127, 0, 1219, 0, 22, 195, 40);
INSERT INTO public.who_data VALUES (46128, 0, 3266, 0, 123, 195, 218);
INSERT INTO public.who_data VALUES (46129, 1, 1158, 0, 69, 195, 191);
INSERT INTO public.who_data VALUES (46130, 437, 46577, 3, 945, 195, 156);
INSERT INTO public.who_data VALUES (46131, 0, 0, 0, 0, 195, 135);
INSERT INTO public.who_data VALUES (46132, 0, 48, 0, 2, 195, 88);
INSERT INTO public.who_data VALUES (46133, 85, 11856, 4, 527, 195, 55);
INSERT INTO public.who_data VALUES (46134, 0, 9468, 0, 256, 195, 108);
INSERT INTO public.who_data VALUES (46135, 277, 18651, 0, 103, 195, 48);
INSERT INTO public.who_data VALUES (46136, 223, 81580, 4, 513, 195, 3);
INSERT INTO public.who_data VALUES (46137, 0, 741, 0, 13, 195, 224);
INSERT INTO public.who_data VALUES (46138, 539, 284660, 15, 6097, 195, 110);
INSERT INTO public.who_data VALUES (46139, 0, 0, 0, 0, 195, 106);
INSERT INTO public.who_data VALUES (46140, 1091, 73651, 18, 1609, 195, 89);
INSERT INTO public.who_data VALUES (46141, 26, 214, 0, 3, 195, 121);
INSERT INTO public.who_data VALUES (46142, 197, 6705, 3, 72, 195, 163);
INSERT INTO public.who_data VALUES (46143, 7137, 471012, 195, 20844, 195, 70);
INSERT INTO public.who_data VALUES (46144, 3028, 129913, 61, 2270, 195, 174);
INSERT INTO public.who_data VALUES (46145, 0, 0, 0, 0, 195, 175);
INSERT INTO public.who_data VALUES (46146, 624, 51791, 7, 1807, 195, 118);
INSERT INTO public.who_data VALUES (46147, 131, 52668, 6, 1756, 195, 189);
INSERT INTO public.who_data VALUES (46148, 697, 22121, 5, 279, 195, 124);
INSERT INTO public.who_data VALUES (46149, 297, 112947, 2, 184, 195, 192);
INSERT INTO public.who_data VALUES (46150, 28, 14626, 0, 305, 195, 41);
INSERT INTO public.who_data VALUES (46151, 217, 27660, 4, 845, 195, 95);
INSERT INTO public.who_data VALUES (46152, 6, 687, 0, 5, 195, 74);
INSERT INTO public.who_data VALUES (46153, 1145, 61768, 41, 2700, 195, 11);
INSERT INTO public.who_data VALUES (46154, 5118, 892654, 70, 15001, 195, 87);
INSERT INTO public.who_data VALUES (46155, 6, 2140, 1, 7, 195, 214);
INSERT INTO public.who_data VALUES (46156, 0, 5, 0, 0, 195, 116);
INSERT INTO public.who_data VALUES (46157, 4, 13, 0, 0, 195, 157);
INSERT INTO public.who_data VALUES (46158, 0, 0, 0, 0, 195, 182);
INSERT INTO public.who_data VALUES (46159, 0, 17, 0, 0, 195, 186);
INSERT INTO public.who_data VALUES (46160, 0, 25, 0, 0, 195, 127);
INSERT INTO public.who_data VALUES (46161, 25, 78, 0, 3, 195, 232);
INSERT INTO public.who_data VALUES (46162, 0, 4, 0, 0, 195, 33);
INSERT INTO public.who_data VALUES (46163, 0, 56, 0, 0, 195, 97);
INSERT INTO public.who_data VALUES (46164, 0, 0, 0, 0, 195, 42);
INSERT INTO public.who_data VALUES (46165, 0, 717, 0, 42, 195, 198);
INSERT INTO public.who_data VALUES (46166, 0, 878, 0, 15, 195, 216);
INSERT INTO public.who_data VALUES (46167, 1428, 288690, 37, 3167, 195, 164);
INSERT INTO public.who_data VALUES (46168, 172, 11175, 3, 232, 195, 235);
INSERT INTO public.who_data VALUES (46169, 236, 28099, 9, 641, 195, 67);
INSERT INTO public.who_data VALUES (46170, 0, 126, 0, 0, 195, 15);
INSERT INTO public.who_data VALUES (46171, 21, 1916, 0, 68, 195, 180);
INSERT INTO public.who_data VALUES (46172, 175, 55104, 0, 27, 195, 237);
INSERT INTO public.who_data VALUES (46173, 0, 3, 0, 0, 195, 25);
INSERT INTO public.who_data VALUES (46174, 0, 176, 0, 16, 195, 209);
INSERT INTO public.who_data VALUES (46175, 43, 2566, 0, 31, 195, 217);
INSERT INTO public.who_data VALUES (46176, 2, 2250, 2, 129, 195, 79);
INSERT INTO public.who_data VALUES (46177, 0, 0, 0, 0, 195, 143);
INSERT INTO public.who_data VALUES (46178, 0, 3227, 0, 93, 195, 229);
INSERT INTO public.who_data VALUES (46179, 6671, 559859, 198, 10408, 195, 141);
INSERT INTO public.who_data VALUES (46180, 0, 2470, 0, 47, 195, 197);
INSERT INTO public.who_data VALUES (46181, 3626, 341754, 31, 30062, 195, 221);
INSERT INTO public.who_data VALUES (46182, 3, 2844, 0, 11, 195, 150);
INSERT INTO public.who_data VALUES (46183, 77, 12033, 5, 786, 195, 56);
INSERT INTO public.who_data VALUES (46184, 103, 2306, 0, 29, 195, 167);
INSERT INTO public.who_data VALUES (46185, 260, 79225, 1, 5773, 195, 23);
INSERT INTO public.who_data VALUES (46186, 100, 36724, 0, 1748, 195, 222);
INSERT INTO public.who_data VALUES (46187, 63, 1188, 2, 52, 195, 219);
INSERT INTO public.who_data VALUES (46188, 40, 7785, 0, 62, 195, 7);
INSERT INTO public.who_data VALUES (46189, 0, 3351, 0, 58, 195, 161);
INSERT INTO public.who_data VALUES (46190, 1062, 310829, 5, 41278, 195, 149);
INSERT INTO public.who_data VALUES (46191, 0, 25, 0, 0, 195, 6);
INSERT INTO public.who_data VALUES (46192, 34, 1046, 0, 22, 195, 139);
INSERT INTO public.who_data VALUES (46193, 0, 0, 0, 0, 195, 211);
INSERT INTO public.who_data VALUES (46194, 0, 0, 0, 0, 195, 14);
INSERT INTO public.who_data VALUES (46195, 54, 279, 0, 8, 195, 111);
INSERT INTO public.who_data VALUES (46196, 20, 1717, 0, 51, 195, 207);
INSERT INTO public.who_data VALUES (46197, 7912, 328294, 15, 5844, 195, 66);
INSERT INTO public.who_data VALUES (46198, 0, 0, 0, 0, 195, 173);
INSERT INTO public.who_data VALUES (46199, 27, 197, 0, 2, 195, 145);
INSERT INTO public.who_data VALUES (46200, 0, 0, 0, 0, 195, 65);
INSERT INTO public.who_data VALUES (46201, 14, 1283, 1, 7, 195, 184);
INSERT INTO public.who_data VALUES (46202, 1008, 81957, 25, 1922, 195, 98);
INSERT INTO public.who_data VALUES (46203, 225, 62525, 1, 357, 195, 104);
INSERT INTO public.who_data VALUES (46204, 0, 509, 0, 21, 195, 73);
INSERT INTO public.who_data VALUES (46205, 53893, 4951851, 1059, 160989, 195, 8);
INSERT INTO public.who_data VALUES (46206, 0, 528, 0, 9, 195, 227);
INSERT INTO public.who_data VALUES (46207, 10, 1335, 0, 37, 195, 75);
INSERT INTO public.who_data VALUES (46208, 623, 30820, 6, 196, 195, 45);
INSERT INTO public.who_data VALUES (46209, 0, 0, 0, 0, 195, 133);
INSERT INTO public.who_data VALUES (46210, 795, 24961, 7, 215, 195, 202);
INSERT INTO public.who_data VALUES (46211, 29, 841, 3, 13, 195, 129);
INSERT INTO public.who_data VALUES (46212, 0, 0, 0, 0, 195, 36);
INSERT INTO public.who_data VALUES (46213, 7, 1808, 3, 516, 195, 51);
INSERT INTO public.who_data VALUES (46214, 182, 8085, 32, 235, 195, 206);
INSERT INTO public.who_data VALUES (46215, 74, 4649, 2, 104, 195, 5);
INSERT INTO public.who_data VALUES (46216, 39, 37140, 5, 1316, 196, 103);
INSERT INTO public.who_data VALUES (46217, 124, 6275, 4, 193, 196, 58);
INSERT INTO public.who_data VALUES (46218, 538, 34693, 11, 1293, 196, 195);
INSERT INTO public.who_data VALUES (46219, 0, 0, 0, 0, 196, 115);
INSERT INTO public.who_data VALUES (46220, 0, 956, 0, 52, 196, 99);
INSERT INTO public.who_data VALUES (46221, 34, 1572, 3, 70, 196, 153);
INSERT INTO public.who_data VALUES (46222, 0, 3, 0, 0, 196, 93);
INSERT INTO public.who_data VALUES (46223, 0, 92, 0, 3, 196, 84);
INSERT INTO public.who_data VALUES (46224, 7482, 235677, 159, 4450, 196, 78);
INSERT INTO public.who_data VALUES (46225, 225, 39723, 6, 786, 196, 170);
INSERT INTO public.who_data VALUES (46226, 0, 263, 0, 3, 196, 32);
INSERT INTO public.who_data VALUES (46227, 426, 20698, 12, 278, 196, 155);
INSERT INTO public.who_data VALUES (46228, 116, 21935, 1, 721, 196, 82);
INSERT INTO public.who_data VALUES (46229, 105, 33481, 5, 488, 196, 16);
INSERT INTO public.who_data VALUES (46230, 69, 830, 0, 14, 196, 72);
INSERT INTO public.who_data VALUES (46231, 322, 43629, 2, 161, 196, 43);
INSERT INTO public.who_data VALUES (46232, 2611, 255113, 32, 3365, 196, 120);
INSERT INTO public.who_data VALUES (46233, 5, 138, 0, 7, 196, 213);
INSERT INTO public.who_data VALUES (46234, 124, 68738, 2, 585, 196, 31);
INSERT INTO public.who_data VALUES (46235, 304, 75050, 2, 9730, 196, 204);
INSERT INTO public.who_data VALUES (46236, 32, 146, 0, 2, 196, 152);
INSERT INTO public.who_data VALUES (46237, 0, 1936, 0, 38, 196, 144);
INSERT INTO public.who_data VALUES (46238, 1, 158, 0, 9, 196, 96);
INSERT INTO public.who_data VALUES (46239, 0, 108, 0, 0, 196, 47);
INSERT INTO public.who_data VALUES (46240, 1468, 87891, 59, 3524, 196, 80);
INSERT INTO public.who_data VALUES (46241, 0, 5, 0, 0, 196, 159);
INSERT INTO public.who_data VALUES (46242, 405, 14089, 8, 396, 196, 27);
INSERT INTO public.who_data VALUES (46243, 0, 804, 0, 2, 196, 146);
INSERT INTO public.who_data VALUES (46244, 50230, 2962442, 1079, 99572, 196, 71);
INSERT INTO public.who_data VALUES (46245, 0, 9, 0, 1, 196, 210);
INSERT INTO public.who_data VALUES (46246, 0, 142, 0, 3, 196, 54);
INSERT INTO public.who_data VALUES (46247, 329, 13343, 10, 445, 196, 147);
INSERT INTO public.who_data VALUES (46248, 13, 1175, 0, 54, 196, 2);
INSERT INTO public.who_data VALUES (46249, 4, 405, 0, 1, 196, 105);
INSERT INTO public.who_data VALUES (46250, 55, 2835, 3, 32, 196, 53);
INSERT INTO public.who_data VALUES (46251, 2, 248, 0, 0, 196, 81);
INSERT INTO public.who_data VALUES (46252, 0, 18042, 0, 395, 196, 223);
INSERT INTO public.who_data VALUES (46253, 424, 118985, 4, 8970, 196, 94);
INSERT INTO public.who_data VALUES (46254, 0, 203, 0, 1, 196, 154);
INSERT INTO public.who_data VALUES (46255, 0, 4641, 0, 59, 196, 83);
INSERT INTO public.who_data VALUES (46256, 0, 942, 0, 76, 196, 194);
INSERT INTO public.who_data VALUES (46257, 2198, 371023, 53, 10011, 196, 136);
INSERT INTO public.who_data VALUES (46258, 92, 89149, 0, 4688, 196, 179);
INSERT INTO public.who_data VALUES (46259, 9486, 367196, 311, 12250, 196, 57);
INSERT INTO public.who_data VALUES (46260, 3, 399, 0, 7, 196, 35);
INSERT INTO public.who_data VALUES (46261, 0, 3664, 0, 58, 196, 228);
INSERT INTO public.who_data VALUES (46262, 0, 0, 0, 0, 196, 19);
INSERT INTO public.who_data VALUES (46263, 1011, 22081, 18, 218, 196, 22);
INSERT INTO public.who_data VALUES (46264, 96, 16620, 0, 104, 196, 1);
INSERT INTO public.who_data VALUES (46265, 77, 5543, 2, 157, 196, 21);
INSERT INTO public.who_data VALUES (46266, 59, 2888, 0, 88, 196, 234);
INSERT INTO public.who_data VALUES (46267, 0, 31, 0, 1, 196, 91);
INSERT INTO public.who_data VALUES (46268, 11, 1233, 0, 19, 196, 137);
INSERT INTO public.who_data VALUES (46269, 175, 18235, 0, 389, 196, 201);
INSERT INTO public.who_data VALUES (46270, 0, 0, 0, 0, 196, 171);
INSERT INTO public.who_data VALUES (46271, 81, 9435, 0, 218, 196, 92);
INSERT INTO public.who_data VALUES (46272, 0, 14442, 0, 617, 196, 112);
INSERT INTO public.who_data VALUES (46273, 0, 5338, 0, 59, 196, 62);
INSERT INTO public.who_data VALUES (46274, 0, 18, 0, 0, 196, 69);
INSERT INTO public.who_data VALUES (46275, 1069, 78778, 30, 1289, 196, 220);
INSERT INTO public.who_data VALUES (46276, 1603, 93572, 19, 5916, 196, 100);
INSERT INTO public.who_data VALUES (46277, 167, 95314, 21, 4992, 196, 187);
INSERT INTO public.who_data VALUES (46278, 434, 19978, 16, 536, 196, 63);
INSERT INTO public.who_data VALUES (46279, 0, 4821, 0, 83, 196, 28);
INSERT INTO public.who_data VALUES (46280, 0, 285, 0, 0, 196, 172);
INSERT INTO public.who_data VALUES (46281, 14, 2147, 0, 63, 196, 17);
INSERT INTO public.who_data VALUES (46282, 92, 3128, 0, 56, 196, 226);
INSERT INTO public.who_data VALUES (46283, 801, 22253, 10, 390, 196, 236);
INSERT INTO public.who_data VALUES (46284, 0, 13, 0, 0, 196, 76);
INSERT INTO public.who_data VALUES (46285, 0, 291, 0, 0, 196, 30);
INSERT INTO public.who_data VALUES (46286, 0, 27, 0, 1, 196, 128);
INSERT INTO public.who_data VALUES (46287, 14, 7568, 0, 331, 196, 86);
INSERT INTO public.who_data VALUES (46288, 0, 185353, 0, 30201, 196, 140);
INSERT INTO public.who_data VALUES (46289, 63, 8267, 1, 48, 196, 44);
INSERT INTO public.who_data VALUES (46290, 0, 69, 0, 0, 196, 113);
INSERT INTO public.who_data VALUES (46291, 0, 7923, 0, 51, 196, 29);
INSERT INTO public.who_data VALUES (46292, 0, 1090, 0, 19, 196, 125);
INSERT INTO public.who_data VALUES (46293, 9, 1225, 0, 17, 196, 131);
INSERT INTO public.who_data VALUES (46294, 555, 215891, 1, 9196, 196, 46);
INSERT INTO public.who_data VALUES (46295, 436, 40533, 0, 206, 196, 10);
INSERT INTO public.who_data VALUES (46296, 3, 193, 0, 0, 196, 205);
INSERT INTO public.who_data VALUES (46297, 151, 5421, 1, 211, 196, 50);
INSERT INTO public.who_data VALUES (46298, 0, 14, 0, 0, 196, 20);
INSERT INTO public.who_data VALUES (46299, 0, 24, 0, 0, 196, 13);
INSERT INTO public.who_data VALUES (46300, 11, 290, 0, 14, 196, 148);
INSERT INTO public.who_data VALUES (46301, 1, 404, 0, 5, 196, 230);
INSERT INTO public.who_data VALUES (46302, 919, 56189, 29, 2197, 196, 190);
INSERT INTO public.who_data VALUES (46303, 0, 252, 0, 13, 196, 188);
INSERT INTO public.who_data VALUES (46304, 98, 7875, 0, 50, 196, 123);
INSERT INTO public.who_data VALUES (46305, 0, 2052, 0, 29, 196, 9);
INSERT INTO public.who_data VALUES (46306, 0, 538, 0, 22, 196, 102);
INSERT INTO public.who_data VALUES (46307, 17, 7599, 6, 177, 196, 34);
INSERT INTO public.who_data VALUES (46308, 0, 12, 0, 0, 196, 212);
INSERT INTO public.who_data VALUES (46309, 880, 46635, 19, 1465, 196, 122);
INSERT INTO public.who_data VALUES (46310, 32, 4653, 0, 602, 196, 38);
INSERT INTO public.who_data VALUES (46311, 3, 1955, 0, 10, 196, 130);
INSERT INTO public.who_data VALUES (46312, 64399, 2153010, 861, 43379, 196, 37);
INSERT INTO public.who_data VALUES (46313, 2277, 123503, 65, 5658, 196, 231);
INSERT INTO public.who_data VALUES (46314, 2125, 324692, 132, 18264, 196, 107);
INSERT INTO public.who_data VALUES (46315, 3325, 147389, 74, 5310, 196, 101);
INSERT INTO public.who_data VALUES (46316, 174, 26644, 0, 1772, 196, 132);
INSERT INTO public.who_data VALUES (46317, 0, 336, 0, 24, 196, 176);
INSERT INTO public.who_data VALUES (46318, 1764, 81737, 12, 646, 196, 200);
INSERT INTO public.who_data VALUES (46319, 347, 250103, 13, 35203, 196, 169);
INSERT INTO public.who_data VALUES (46320, 29, 987, 0, 12, 196, 225);
INSERT INTO public.who_data VALUES (46321, 1344, 46783, 1, 1040, 196, 165);
INSERT INTO public.who_data VALUES (46322, 0, 345, 0, 31, 196, 233);
INSERT INTO public.who_data VALUES (46323, 9, 1314, 0, 11, 196, 215);
INSERT INTO public.who_data VALUES (46324, 900, 112722, 324, 1433, 196, 177);
INSERT INTO public.who_data VALUES (46325, 699, 25837, 5, 418, 196, 183);
INSERT INTO public.who_data VALUES (46326, 0, 0, 0, 0, 196, 203);
INSERT INTO public.who_data VALUES (46327, 190, 10016, 12, 305, 196, 162);
INSERT INTO public.who_data VALUES (46328, 472, 71199, 3, 474, 196, 12);
INSERT INTO public.who_data VALUES (46329, 332, 39919, 8, 1023, 196, 24);
INSERT INTO public.who_data VALUES (46330, 0, 20, 0, 0, 196, 119);
INSERT INTO public.who_data VALUES (46331, 7, 1288, 0, 32, 196, 39);
INSERT INTO public.who_data VALUES (46332, 272, 6223, 4, 74, 196, 26);
INSERT INTO public.who_data VALUES (46333, 0, 742, 0, 23, 196, 59);
INSERT INTO public.who_data VALUES (46334, 4, 1234, 1, 79, 196, 77);
INSERT INTO public.who_data VALUES (46335, 154, 5232, 5, 113, 196, 134);
INSERT INTO public.who_data VALUES (46336, 0, 89, 0, 1, 196, 4);
INSERT INTO public.who_data VALUES (46337, 22, 2247, 0, 81, 196, 109);
INSERT INTO public.who_data VALUES (46338, 0, 7113, 0, 119, 196, 90);
INSERT INTO public.who_data VALUES (46339, 214, 12922, 6, 141, 196, 61);
INSERT INTO public.who_data VALUES (46340, 49, 4624, 6, 143, 196, 85);
INSERT INTO public.who_data VALUES (46341, 7, 9070, 0, 125, 196, 49);
INSERT INTO public.who_data VALUES (46342, 129, 4898, 0, 19, 196, 208);
INSERT INTO public.who_data VALUES (46343, 4, 2565, 0, 125, 196, 166);
INSERT INTO public.who_data VALUES (46344, 40, 929, 0, 9, 196, 64);
INSERT INTO public.who_data VALUES (46345, 0, 0, 0, 0, 196, 199);
INSERT INTO public.who_data VALUES (46346, 60, 336, 1, 16, 196, 114);
INSERT INTO public.who_data VALUES (46347, 0, 6498, 0, 157, 196, 60);
INSERT INTO public.who_data VALUES (46348, 0, 344, 0, 10, 196, 68);
INSERT INTO public.who_data VALUES (46349, 0, 3068, 0, 39, 196, 158);
INSERT INTO public.who_data VALUES (46350, 6717, 469407, 794, 51311, 196, 52);
INSERT INTO public.who_data VALUES (46351, 0, 0, 0, 0, 196, 117);
INSERT INTO public.who_data VALUES (46352, 1, 97, 0, 1, 196, 126);
INSERT INTO public.who_data VALUES (46353, 0, 293, 0, 0, 196, 196);
INSERT INTO public.who_data VALUES (46354, 55, 3662, 5, 67, 196, 142);
INSERT INTO public.who_data VALUES (46355, 0, 13, 0, 1, 196, 185);
INSERT INTO public.who_data VALUES (46356, 1345, 32007, 19, 480, 196, 138);
INSERT INTO public.who_data VALUES (46357, 28, 2241, 1, 16, 196, 181);
INSERT INTO public.who_data VALUES (46358, 0, 359, 0, 6, 196, 178);
INSERT INTO public.who_data VALUES (46359, 50, 2852, 0, 16, 196, 168);
INSERT INTO public.who_data VALUES (46360, 0, 0, 0, 0, 196, 160);
INSERT INTO public.who_data VALUES (46361, 378, 22592, 3, 73, 196, 151);
INSERT INTO public.who_data VALUES (46362, 484, 57928, 3, 6156, 196, 193);
INSERT INTO public.who_data VALUES (46363, 0, 23, 0, 0, 196, 18);
INSERT INTO public.who_data VALUES (46364, 0, 1219, 0, 22, 196, 40);
INSERT INTO public.who_data VALUES (46365, 0, 3266, 0, 123, 196, 218);
INSERT INTO public.who_data VALUES (46366, 4, 1157, 0, 69, 196, 191);
INSERT INTO public.who_data VALUES (46367, 453, 46140, 6, 942, 196, 156);
INSERT INTO public.who_data VALUES (46368, 0, 0, 0, 0, 196, 135);
INSERT INTO public.who_data VALUES (46369, 1, 48, 0, 2, 196, 88);
INSERT INTO public.who_data VALUES (46370, 200, 11771, 4, 523, 196, 55);
INSERT INTO public.who_data VALUES (46371, 0, 9468, 0, 256, 196, 108);
INSERT INTO public.who_data VALUES (46372, 426, 18374, 6, 103, 196, 48);
INSERT INTO public.who_data VALUES (46373, 290, 81357, 7, 509, 196, 3);
INSERT INTO public.who_data VALUES (46374, 0, 741, 0, 13, 196, 224);
INSERT INTO public.who_data VALUES (46375, 634, 284121, 8, 6082, 196, 110);
INSERT INTO public.who_data VALUES (46376, 0, 0, 0, 0, 196, 106);
INSERT INTO public.who_data VALUES (46377, 1142, 72560, 17, 1591, 196, 89);
INSERT INTO public.who_data VALUES (46378, 0, 188, 0, 3, 196, 121);
INSERT INTO public.who_data VALUES (46379, 133, 6508, 3, 69, 196, 163);
INSERT INTO public.who_data VALUES (46380, 8466, 463875, 225, 20649, 196, 70);
INSERT INTO public.who_data VALUES (46381, 4131, 126885, 41, 2209, 196, 174);
INSERT INTO public.who_data VALUES (46382, 0, 0, 0, 0, 196, 175);
INSERT INTO public.who_data VALUES (46383, 843, 51167, 13, 1800, 196, 118);
INSERT INTO public.who_data VALUES (46384, 186, 52537, 4, 1750, 196, 189);
INSERT INTO public.who_data VALUES (46385, 738, 21424, 9, 274, 196, 124);
INSERT INTO public.who_data VALUES (46386, 267, 112650, 2, 182, 196, 192);
INSERT INTO public.who_data VALUES (46387, 36, 14598, 1, 305, 196, 41);
INSERT INTO public.who_data VALUES (46388, 453, 27443, 6, 841, 196, 95);
INSERT INTO public.who_data VALUES (46389, 6, 681, 0, 5, 196, 74);
INSERT INTO public.who_data VALUES (46390, 1350, 60623, 43, 2659, 196, 11);
INSERT INTO public.who_data VALUES (46391, 5189, 887536, 77, 14931, 196, 87);
INSERT INTO public.who_data VALUES (46392, 6, 2134, 1, 6, 196, 214);
INSERT INTO public.who_data VALUES (46393, 0, 5, 0, 0, 196, 116);
INSERT INTO public.who_data VALUES (46394, 0, 9, 0, 0, 196, 157);
INSERT INTO public.who_data VALUES (46395, 0, 0, 0, 0, 196, 182);
INSERT INTO public.who_data VALUES (46396, 0, 17, 0, 0, 196, 186);
INSERT INTO public.who_data VALUES (46397, 0, 25, 0, 0, 196, 127);
INSERT INTO public.who_data VALUES (46398, 0, 53, 0, 3, 196, 232);
INSERT INTO public.who_data VALUES (46399, 0, 4, 0, 0, 196, 33);
INSERT INTO public.who_data VALUES (46400, 0, 56, 0, 0, 196, 97);
INSERT INTO public.who_data VALUES (46401, 0, 0, 0, 0, 196, 42);
INSERT INTO public.who_data VALUES (46402, 0, 717, 0, 42, 196, 198);
INSERT INTO public.who_data VALUES (46403, 0, 878, 0, 15, 196, 216);
INSERT INTO public.who_data VALUES (46404, 1469, 287262, 37, 3130, 196, 164);
INSERT INTO public.who_data VALUES (46405, 116, 11003, 4, 229, 196, 235);
INSERT INTO public.who_data VALUES (46406, 255, 27863, 6, 632, 196, 67);
INSERT INTO public.who_data VALUES (46407, 0, 126, 0, 0, 196, 15);
INSERT INTO public.who_data VALUES (46408, 8, 1895, 0, 68, 196, 180);
INSERT INTO public.who_data VALUES (46409, 132, 54929, 0, 27, 196, 237);
INSERT INTO public.who_data VALUES (46410, 0, 3, 0, 0, 196, 25);
INSERT INTO public.who_data VALUES (46411, 0, 176, 0, 16, 196, 209);
INSERT INTO public.who_data VALUES (46412, 43, 2523, 2, 31, 196, 217);
INSERT INTO public.who_data VALUES (46413, 14, 2248, 1, 127, 196, 79);
INSERT INTO public.who_data VALUES (46414, 0, 0, 0, 0, 196, 143);
INSERT INTO public.who_data VALUES (46415, 0, 3227, 0, 93, 196, 229);
INSERT INTO public.who_data VALUES (46416, 7712, 553188, 301, 10210, 196, 141);
INSERT INTO public.who_data VALUES (46417, 7, 2470, 0, 47, 196, 197);
INSERT INTO public.who_data VALUES (46418, 5862, 338128, 19, 30031, 196, 221);
INSERT INTO public.who_data VALUES (46419, 2, 2841, 0, 11, 196, 150);
INSERT INTO public.who_data VALUES (46420, 62, 11956, 8, 781, 196, 56);
INSERT INTO public.who_data VALUES (46421, 107, 2203, 0, 29, 196, 167);
INSERT INTO public.who_data VALUES (46422, 380, 78965, 2, 5772, 196, 23);
INSERT INTO public.who_data VALUES (46423, 130, 36624, 1, 1748, 196, 222);
INSERT INTO public.who_data VALUES (46424, 65, 1125, 2, 50, 196, 219);
INSERT INTO public.who_data VALUES (46425, 39, 7745, 0, 62, 196, 7);
INSERT INTO public.who_data VALUES (46426, 3, 3351, 0, 58, 196, 161);
INSERT INTO public.who_data VALUES (46427, 758, 309767, 3, 41273, 196, 149);
INSERT INTO public.who_data VALUES (46428, 0, 25, 0, 0, 196, 6);
INSERT INTO public.who_data VALUES (46429, 0, 1012, 0, 22, 196, 139);
INSERT INTO public.who_data VALUES (46430, 0, 0, 0, 0, 196, 211);
INSERT INTO public.who_data VALUES (46431, 0, 0, 0, 0, 196, 14);
INSERT INTO public.who_data VALUES (46432, 8, 225, 0, 8, 196, 111);
INSERT INTO public.who_data VALUES (46433, 19, 1697, 0, 51, 196, 207);
INSERT INTO public.who_data VALUES (46434, 7902, 320382, 16, 5829, 196, 66);
INSERT INTO public.who_data VALUES (46435, 0, 0, 0, 0, 196, 173);
INSERT INTO public.who_data VALUES (46436, 29, 170, 0, 2, 196, 145);
INSERT INTO public.who_data VALUES (46437, 0, 0, 0, 0, 196, 65);
INSERT INTO public.who_data VALUES (46438, 15, 1269, 0, 6, 196, 184);
INSERT INTO public.who_data VALUES (46439, 1199, 80949, 18, 1897, 196, 98);
INSERT INTO public.who_data VALUES (46440, 239, 62300, 0, 356, 196, 104);
INSERT INTO public.who_data VALUES (46441, 0, 509, 0, 21, 196, 73);
INSERT INTO public.who_data VALUES (46442, 61028, 4897958, 1324, 159930, 196, 8);
INSERT INTO public.who_data VALUES (46443, 6, 528, 0, 9, 196, 227);
INSERT INTO public.who_data VALUES (46444, 7, 1325, 0, 37, 196, 75);
INSERT INTO public.who_data VALUES (46445, 738, 30197, 5, 190, 196, 45);
INSERT INTO public.who_data VALUES (46446, 0, 0, 0, 0, 196, 133);
INSERT INTO public.who_data VALUES (46447, 886, 24166, 6, 208, 196, 202);
INSERT INTO public.who_data VALUES (46448, 23, 812, 0, 10, 196, 129);
INSERT INTO public.who_data VALUES (46449, 0, 0, 0, 0, 196, 36);
INSERT INTO public.who_data VALUES (46450, 1, 1801, 0, 513, 196, 51);
INSERT INTO public.who_data VALUES (46451, 739, 7903, 4, 203, 196, 206);
INSERT INTO public.who_data VALUES (46452, 124, 4575, 0, 102, 196, 5);
INSERT INTO public.who_data VALUES (46453, 78, 37101, 9, 1311, 197, 103);
INSERT INTO public.who_data VALUES (46454, 135, 6151, 1, 189, 197, 58);
INSERT INTO public.who_data VALUES (46455, 529, 34155, 9, 1282, 197, 195);
INSERT INTO public.who_data VALUES (46456, 0, 0, 0, 0, 197, 115);
INSERT INTO public.who_data VALUES (46457, 11, 956, 0, 52, 197, 99);
INSERT INTO public.who_data VALUES (46458, 55, 1538, 3, 67, 197, 153);
INSERT INTO public.who_data VALUES (46459, 0, 3, 0, 0, 197, 93);
INSERT INTO public.who_data VALUES (46460, 0, 92, 0, 3, 197, 84);
INSERT INTO public.who_data VALUES (46461, 7513, 228195, 156, 4291, 197, 78);
INSERT INTO public.who_data VALUES (46462, 200, 39498, 8, 780, 197, 170);
INSERT INTO public.who_data VALUES (46463, 92, 263, 0, 3, 197, 32);
INSERT INTO public.who_data VALUES (46464, 410, 20272, 11, 266, 197, 155);
INSERT INTO public.who_data VALUES (46465, 130, 21819, 1, 720, 197, 82);
INSERT INTO public.who_data VALUES (46466, 129, 33376, 4, 483, 197, 16);
INSERT INTO public.who_data VALUES (46467, 10, 761, 0, 14, 197, 72);
INSERT INTO public.who_data VALUES (46468, 418, 43307, 3, 159, 197, 43);
INSERT INTO public.who_data VALUES (46469, 2851, 252502, 27, 3333, 197, 120);
INSERT INTO public.who_data VALUES (46470, 0, 133, 0, 7, 197, 213);
INSERT INTO public.who_data VALUES (46471, 111, 68614, 3, 583, 197, 31);
INSERT INTO public.who_data VALUES (46472, 771, 74746, 6, 9728, 197, 204);
INSERT INTO public.who_data VALUES (46473, 28, 114, 0, 2, 197, 152);
INSERT INTO public.who_data VALUES (46474, 0, 1936, 0, 38, 197, 144);
INSERT INTO public.who_data VALUES (46475, 0, 157, 0, 9, 197, 96);
INSERT INTO public.who_data VALUES (46476, 0, 108, 0, 0, 197, 47);
INSERT INTO public.who_data VALUES (46477, 1282, 86423, 80, 3465, 197, 80);
INSERT INTO public.who_data VALUES (46478, 0, 5, 0, 0, 197, 159);
INSERT INTO public.who_data VALUES (46479, 287, 13684, 9, 388, 197, 27);
INSERT INTO public.who_data VALUES (46480, 0, 804, 0, 2, 197, 146);
INSERT INTO public.who_data VALUES (46481, 53139, 2912212, 1237, 98493, 197, 71);
INSERT INTO public.who_data VALUES (46482, 0, 9, 0, 1, 197, 210);
INSERT INTO public.who_data VALUES (46483, 1, 142, 0, 3, 197, 54);
INSERT INTO public.who_data VALUES (46484, 297, 13014, 11, 435, 197, 147);
INSERT INTO public.who_data VALUES (46485, 4, 1162, 0, 54, 197, 2);
INSERT INTO public.who_data VALUES (46486, 0, 401, 0, 1, 197, 105);
INSERT INTO public.who_data VALUES (46487, 46, 2780, 2, 29, 197, 53);
INSERT INTO public.who_data VALUES (46488, 3, 246, 0, 0, 197, 81);
INSERT INTO public.who_data VALUES (46489, 324, 18042, 4, 395, 197, 223);
INSERT INTO public.who_data VALUES (46490, 374, 118561, 4, 8966, 197, 94);
INSERT INTO public.who_data VALUES (46491, 0, 203, 0, 1, 197, 154);
INSERT INTO public.who_data VALUES (46492, 21, 4641, 0, 59, 197, 83);
INSERT INTO public.who_data VALUES (46493, 0, 942, 0, 76, 197, 194);
INSERT INTO public.who_data VALUES (46494, 2154, 368825, 69, 9958, 197, 136);
INSERT INTO public.who_data VALUES (46495, 120, 89057, 1, 4688, 197, 179);
INSERT INTO public.who_data VALUES (46496, 11996, 357710, 315, 11939, 197, 57);
INSERT INTO public.who_data VALUES (46497, 0, 396, 0, 7, 197, 35);
INSERT INTO public.who_data VALUES (46498, 27, 3664, 0, 58, 197, 228);
INSERT INTO public.who_data VALUES (46499, 0, 0, 0, 0, 197, 19);
INSERT INTO public.who_data VALUES (46500, 653, 21070, 9, 200, 197, 22);
INSERT INTO public.who_data VALUES (46501, 77, 16524, 1, 104, 197, 1);
INSERT INTO public.who_data VALUES (46502, 62, 5466, 0, 155, 197, 21);
INSERT INTO public.who_data VALUES (46503, 54, 2829, 0, 88, 197, 234);
INSERT INTO public.who_data VALUES (46504, 0, 31, 0, 1, 197, 91);
INSERT INTO public.who_data VALUES (46505, 14, 1222, 0, 19, 197, 137);
INSERT INTO public.who_data VALUES (46506, 320, 18060, 0, 389, 197, 201);
INSERT INTO public.who_data VALUES (46507, 0, 0, 0, 0, 197, 171);
INSERT INTO public.who_data VALUES (46508, 46, 9354, 4, 218, 197, 92);
INSERT INTO public.who_data VALUES (46509, 136, 14442, 0, 617, 197, 112);
INSERT INTO public.who_data VALUES (46510, 4, 5338, 0, 59, 197, 62);
INSERT INTO public.who_data VALUES (46511, 0, 18, 0, 0, 197, 69);
INSERT INTO public.who_data VALUES (46512, 1173, 77709, 13, 1259, 197, 220);
INSERT INTO public.who_data VALUES (46513, 1432, 91969, 20, 5897, 197, 100);
INSERT INTO public.who_data VALUES (46514, 141, 95147, 20, 4971, 197, 187);
INSERT INTO public.who_data VALUES (46515, 418, 19544, 7, 520, 197, 63);
INSERT INTO public.who_data VALUES (46516, 0, 4821, 0, 83, 197, 28);
INSERT INTO public.who_data VALUES (46517, 3, 285, 0, 0, 197, 172);
INSERT INTO public.who_data VALUES (46518, 9, 2133, 0, 63, 197, 17);
INSERT INTO public.who_data VALUES (46519, 68, 3036, 1, 56, 197, 226);
INSERT INTO public.who_data VALUES (46520, 552, 21452, 15, 380, 197, 236);
INSERT INTO public.who_data VALUES (46521, 0, 13, 0, 0, 197, 76);
INSERT INTO public.who_data VALUES (46522, 50, 291, 0, 0, 197, 30);
INSERT INTO public.who_data VALUES (46523, 0, 27, 0, 1, 197, 128);
INSERT INTO public.who_data VALUES (46524, 22, 7554, 0, 331, 197, 86);
INSERT INTO public.who_data VALUES (46525, 2181, 185353, 12, 30201, 197, 140);
INSERT INTO public.who_data VALUES (46526, 77, 8204, 0, 47, 197, 44);
INSERT INTO public.who_data VALUES (46527, 5, 69, 0, 0, 197, 113);
INSERT INTO public.who_data VALUES (46528, 136, 7923, 0, 51, 197, 29);
INSERT INTO public.who_data VALUES (46529, 155, 1090, 3, 19, 197, 125);
INSERT INTO public.who_data VALUES (46530, 3, 1216, 0, 17, 197, 131);
INSERT INTO public.who_data VALUES (46531, 1122, 215336, 12, 9195, 197, 46);
INSERT INTO public.who_data VALUES (46532, 455, 40097, 7, 206, 197, 10);
INSERT INTO public.who_data VALUES (46533, 1, 190, 0, 0, 197, 205);
INSERT INTO public.who_data VALUES (46534, 147, 5270, 0, 210, 197, 50);
INSERT INTO public.who_data VALUES (46535, 0, 14, 0, 0, 197, 20);
INSERT INTO public.who_data VALUES (46536, 0, 24, 0, 0, 197, 13);
INSERT INTO public.who_data VALUES (46537, 0, 279, 0, 14, 197, 148);
INSERT INTO public.who_data VALUES (46538, 14, 403, 0, 5, 197, 230);
INSERT INTO public.who_data VALUES (46539, 931, 55270, 49, 2168, 197, 190);
INSERT INTO public.who_data VALUES (46540, 0, 252, 0, 13, 197, 188);
INSERT INTO public.who_data VALUES (46541, 113, 7777, 1, 50, 197, 123);
INSERT INTO public.who_data VALUES (46542, 20, 2052, 2, 29, 197, 9);
INSERT INTO public.who_data VALUES (46543, 29, 538, 0, 22, 197, 102);
INSERT INTO public.who_data VALUES (46544, 38, 7582, 0, 171, 197, 34);
INSERT INTO public.who_data VALUES (46545, 0, 12, 0, 0, 197, 212);
INSERT INTO public.who_data VALUES (46546, 657, 45755, 23, 1446, 197, 122);
INSERT INTO public.who_data VALUES (46547, 24, 4621, 2, 602, 197, 38);
INSERT INTO public.who_data VALUES (46548, 20, 1952, 0, 10, 197, 130);
INSERT INTO public.who_data VALUES (46549, 61537, 2088611, 933, 42518, 197, 37);
INSERT INTO public.who_data VALUES (46550, 2473, 121226, 72, 5593, 197, 231);
INSERT INTO public.who_data VALUES (46551, 2450, 322567, 156, 18132, 197, 107);
INSERT INTO public.who_data VALUES (46552, 3461, 144064, 75, 5236, 197, 101);
INSERT INTO public.who_data VALUES (46553, 98, 26470, 4, 1772, 197, 132);
INSERT INTO public.who_data VALUES (46554, 0, 336, 0, 24, 197, 176);
INSERT INTO public.who_data VALUES (46555, 1677, 79973, 9, 634, 197, 200);
INSERT INTO public.who_data VALUES (46556, 552, 249756, 3, 35190, 197, 169);
INSERT INTO public.who_data VALUES (46557, 30, 958, 0, 12, 197, 225);
INSERT INTO public.who_data VALUES (46558, 1624, 45439, 6, 1039, 197, 165);
INSERT INTO public.who_data VALUES (46559, 1, 345, 0, 31, 197, 233);
INSERT INTO public.who_data VALUES (46560, 5, 1305, 0, 11, 197, 215);
INSERT INTO public.who_data VALUES (46561, 1883, 111822, 0, 1109, 197, 177);
INSERT INTO public.who_data VALUES (46562, 727, 25138, 14, 413, 197, 183);
INSERT INTO public.who_data VALUES (46563, 0, 0, 0, 0, 197, 203);
INSERT INTO public.who_data VALUES (46564, 181, 9826, 3, 293, 197, 162);
INSERT INTO public.who_data VALUES (46565, 682, 70727, 2, 471, 197, 12);
INSERT INTO public.who_data VALUES (46566, 425, 39587, 9, 1015, 197, 24);
INSERT INTO public.who_data VALUES (46567, 0, 20, 0, 0, 197, 119);
INSERT INTO public.who_data VALUES (46568, 6, 1281, 0, 32, 197, 39);
INSERT INTO public.who_data VALUES (46569, 279, 5951, 0, 70, 197, 26);
INSERT INTO public.who_data VALUES (46570, 0, 742, 0, 23, 197, 59);
INSERT INTO public.who_data VALUES (46571, 6, 1230, 0, 78, 197, 77);
INSERT INTO public.who_data VALUES (46572, 199, 5078, 1, 108, 197, 134);
INSERT INTO public.who_data VALUES (46573, 0, 89, 0, 1, 197, 4);
INSERT INTO public.who_data VALUES (46574, 36, 2225, 0, 81, 197, 109);
INSERT INTO public.who_data VALUES (46575, 40, 7113, 0, 119, 197, 90);
INSERT INTO public.who_data VALUES (46576, 182, 12708, 1, 135, 197, 61);
INSERT INTO public.who_data VALUES (46577, 84, 4575, 0, 137, 197, 85);
INSERT INTO public.who_data VALUES (46578, 25, 9063, 0, 125, 197, 49);
INSERT INTO public.who_data VALUES (46579, 89, 4769, 0, 19, 197, 208);
INSERT INTO public.who_data VALUES (46580, 9, 2561, 1, 125, 197, 166);
INSERT INTO public.who_data VALUES (46581, 50, 889, 0, 9, 197, 64);
INSERT INTO public.who_data VALUES (46582, 0, 0, 0, 0, 197, 199);
INSERT INTO public.who_data VALUES (46583, 0, 276, 0, 15, 197, 114);
INSERT INTO public.who_data VALUES (46584, 25, 6498, 0, 157, 197, 60);
INSERT INTO public.who_data VALUES (46585, 0, 344, 0, 10, 197, 68);
INSERT INTO public.who_data VALUES (46586, 26, 3068, 0, 39, 197, 158);
INSERT INTO public.who_data VALUES (46587, 6590, 462690, 819, 50517, 197, 52);
INSERT INTO public.who_data VALUES (46588, 0, 0, 0, 0, 197, 117);
INSERT INTO public.who_data VALUES (46589, 2, 96, 0, 1, 197, 126);
INSERT INTO public.who_data VALUES (46590, 0, 293, 0, 0, 197, 196);
INSERT INTO public.who_data VALUES (46591, 41, 3607, 1, 62, 197, 142);
INSERT INTO public.who_data VALUES (46592, 0, 13, 0, 1, 197, 185);
INSERT INTO public.who_data VALUES (46593, 1018, 30662, 12, 461, 197, 138);
INSERT INTO public.who_data VALUES (46594, 93, 2213, 0, 15, 197, 181);
INSERT INTO public.who_data VALUES (46595, 0, 359, 0, 6, 197, 178);
INSERT INTO public.who_data VALUES (46596, 150, 2802, 1, 16, 197, 168);
INSERT INTO public.who_data VALUES (46597, 0, 0, 0, 0, 197, 160);
INSERT INTO public.who_data VALUES (46598, 464, 22214, 5, 70, 197, 151);
INSERT INTO public.who_data VALUES (46599, 517, 57444, 1, 6153, 197, 193);
INSERT INTO public.who_data VALUES (46600, 1, 23, 0, 0, 197, 18);
INSERT INTO public.who_data VALUES (46601, 0, 1219, 0, 22, 197, 40);
INSERT INTO public.who_data VALUES (46602, 0, 3266, 0, 123, 197, 218);
INSERT INTO public.who_data VALUES (46603, 0, 1153, 0, 69, 197, 191);
INSERT INTO public.who_data VALUES (46604, 443, 45687, 6, 936, 197, 156);
INSERT INTO public.who_data VALUES (46605, 0, 0, 0, 0, 197, 135);
INSERT INTO public.who_data VALUES (46606, 0, 47, 0, 2, 197, 88);
INSERT INTO public.who_data VALUES (46607, 172, 11571, 2, 519, 197, 55);
INSERT INTO public.who_data VALUES (46608, 59, 9468, 0, 256, 197, 108);
INSERT INTO public.who_data VALUES (46609, 514, 17948, 2, 97, 197, 48);
INSERT INTO public.who_data VALUES (46610, 354, 81067, 10, 502, 197, 3);
INSERT INTO public.who_data VALUES (46611, 0, 741, 0, 13, 197, 224);
INSERT INTO public.who_data VALUES (46612, 842, 283487, 20, 6074, 197, 110);
INSERT INTO public.who_data VALUES (46613, 0, 0, 0, 0, 197, 106);
INSERT INTO public.who_data VALUES (46614, 1187, 71418, 21, 1574, 197, 89);
INSERT INTO public.who_data VALUES (46615, 25, 188, 0, 3, 197, 121);
INSERT INTO public.who_data VALUES (46616, 315, 6375, 5, 66, 197, 163);
INSERT INTO public.who_data VALUES (46617, 7785, 455409, 196, 20424, 197, 70);
INSERT INTO public.who_data VALUES (46618, 3294, 122754, 18, 2168, 197, 174);
INSERT INTO public.who_data VALUES (46619, 0, 0, 0, 0, 197, 175);
INSERT INTO public.who_data VALUES (46620, 809, 50324, 13, 1787, 197, 118);
INSERT INTO public.who_data VALUES (46621, 290, 52351, 3, 1746, 197, 189);
INSERT INTO public.who_data VALUES (46622, 752, 20686, 7, 265, 197, 124);
INSERT INTO public.who_data VALUES (46623, 291, 112383, 2, 180, 197, 192);
INSERT INTO public.who_data VALUES (46624, 43, 14562, 1, 304, 197, 41);
INSERT INTO public.who_data VALUES (46625, 362, 26990, 7, 835, 197, 95);
INSERT INTO public.who_data VALUES (46626, 4, 675, 0, 5, 197, 74);
INSERT INTO public.who_data VALUES (46627, 1378, 59273, 50, 2616, 197, 11);
INSERT INTO public.who_data VALUES (46628, 5212, 882347, 129, 14854, 197, 87);
INSERT INTO public.who_data VALUES (46629, 17, 2128, 0, 5, 197, 214);
INSERT INTO public.who_data VALUES (46630, 0, 5, 0, 0, 197, 116);
INSERT INTO public.who_data VALUES (46631, 0, 9, 0, 0, 197, 157);
INSERT INTO public.who_data VALUES (46632, 0, 0, 0, 0, 197, 182);
INSERT INTO public.who_data VALUES (46633, 0, 17, 0, 0, 197, 186);
INSERT INTO public.who_data VALUES (46634, 0, 25, 0, 0, 197, 127);
INSERT INTO public.who_data VALUES (46635, 0, 53, 0, 3, 197, 232);
INSERT INTO public.who_data VALUES (46636, 0, 4, 0, 0, 197, 33);
INSERT INTO public.who_data VALUES (46637, 0, 56, 0, 0, 197, 97);
INSERT INTO public.who_data VALUES (46638, 0, 0, 0, 0, 197, 42);
INSERT INTO public.who_data VALUES (46639, 0, 717, 0, 42, 197, 198);
INSERT INTO public.who_data VALUES (46640, 0, 878, 0, 15, 197, 216);
INSERT INTO public.who_data VALUES (46641, 1567, 285793, 38, 3093, 197, 164);
INSERT INTO public.who_data VALUES (46642, 172, 10887, 2, 225, 197, 235);
INSERT INTO public.who_data VALUES (46643, 276, 27608, 5, 626, 197, 67);
INSERT INTO public.who_data VALUES (46644, 12, 126, 0, 0, 197, 15);
INSERT INTO public.who_data VALUES (46645, 10, 1887, 0, 68, 197, 180);
INSERT INTO public.who_data VALUES (46646, 242, 54797, 0, 27, 197, 237);
INSERT INTO public.who_data VALUES (46647, 0, 3, 0, 0, 197, 25);
INSERT INTO public.who_data VALUES (46648, 16, 176, 0, 16, 197, 209);
INSERT INTO public.who_data VALUES (46649, 63, 2480, 0, 29, 197, 217);
INSERT INTO public.who_data VALUES (46650, 10, 2234, 0, 126, 197, 79);
INSERT INTO public.who_data VALUES (46651, 0, 0, 0, 0, 197, 143);
INSERT INTO public.who_data VALUES (46652, 0, 3227, 0, 93, 197, 229);
INSERT INTO public.who_data VALUES (46653, 7292, 545476, 305, 9909, 197, 141);
INSERT INTO public.who_data VALUES (46654, 13, 2463, 0, 47, 197, 197);
INSERT INTO public.who_data VALUES (46655, 5018, 332266, 27, 30012, 197, 221);
INSERT INTO public.who_data VALUES (46656, 0, 2839, 0, 11, 197, 150);
INSERT INTO public.who_data VALUES (46657, 0, 11894, 0, 773, 197, 56);
INSERT INTO public.who_data VALUES (46658, 46, 2096, 2, 29, 197, 167);
INSERT INTO public.who_data VALUES (46659, 378, 78585, 4, 5770, 197, 23);
INSERT INTO public.who_data VALUES (46660, 185, 36494, 1, 1747, 197, 222);
INSERT INTO public.who_data VALUES (46661, 61, 1060, 0, 48, 197, 219);
INSERT INTO public.who_data VALUES (46662, 41, 7706, 0, 62, 197, 7);
INSERT INTO public.who_data VALUES (46663, 3, 3348, 0, 58, 197, 161);
INSERT INTO public.who_data VALUES (46664, 871, 309009, 12, 41270, 197, 149);
INSERT INTO public.who_data VALUES (46665, 0, 25, 0, 0, 197, 6);
INSERT INTO public.who_data VALUES (46666, 11, 1012, 1, 22, 197, 139);
INSERT INTO public.who_data VALUES (46667, 0, 0, 0, 0, 197, 211);
INSERT INTO public.who_data VALUES (46668, 0, 0, 0, 0, 197, 14);
INSERT INTO public.who_data VALUES (46669, 10, 217, 0, 8, 197, 111);
INSERT INTO public.who_data VALUES (46670, 22, 1678, 0, 51, 197, 207);
INSERT INTO public.who_data VALUES (46671, 7915, 312480, 15, 5813, 197, 66);
INSERT INTO public.who_data VALUES (46672, 0, 0, 0, 0, 197, 173);
INSERT INTO public.who_data VALUES (46673, 12, 141, 0, 2, 197, 145);
INSERT INTO public.who_data VALUES (46674, 0, 0, 0, 0, 197, 65);
INSERT INTO public.who_data VALUES (46675, 31, 1254, 1, 6, 197, 184);
INSERT INTO public.who_data VALUES (46676, 1489, 79750, 27, 1879, 197, 98);
INSERT INTO public.who_data VALUES (46677, 216, 62061, 2, 356, 197, 104);
INSERT INTO public.who_data VALUES (46678, 0, 509, 0, 21, 197, 73);
INSERT INTO public.who_data VALUES (46679, 55318, 4836930, 1249, 158606, 197, 8);
INSERT INTO public.who_data VALUES (46680, 21, 522, 0, 9, 197, 227);
INSERT INTO public.who_data VALUES (46681, 9, 1318, 0, 37, 197, 75);
INSERT INTO public.who_data VALUES (46682, 650, 29459, 6, 185, 197, 45);
INSERT INTO public.who_data VALUES (46683, 0, 0, 0, 0, 197, 133);
INSERT INTO public.who_data VALUES (46684, 981, 23280, 7, 202, 197, 202);
INSERT INTO public.who_data VALUES (46685, 39, 789, 0, 10, 197, 129);
INSERT INTO public.who_data VALUES (46686, 0, 0, 0, 0, 197, 36);
INSERT INTO public.who_data VALUES (46687, 28, 1800, 4, 513, 197, 51);
INSERT INTO public.who_data VALUES (46688, 0, 7164, 0, 199, 197, 206);
INSERT INTO public.who_data VALUES (46689, 56, 4451, 5, 102, 197, 5);
INSERT INTO public.who_data VALUES (46690, 41, 37023, 0, 1302, 198, 103);
INSERT INTO public.who_data VALUES (46691, 127, 6016, 6, 188, 198, 58);
INSERT INTO public.who_data VALUES (46692, 571, 33626, 12, 1273, 198, 195);
INSERT INTO public.who_data VALUES (46693, 0, 0, 0, 0, 198, 115);
INSERT INTO public.who_data VALUES (46694, 6, 945, 0, 52, 198, 99);
INSERT INTO public.who_data VALUES (46695, 88, 1483, 2, 64, 198, 153);
INSERT INTO public.who_data VALUES (46696, 0, 3, 0, 0, 198, 93);
INSERT INTO public.who_data VALUES (46697, 0, 92, 0, 3, 198, 84);
INSERT INTO public.who_data VALUES (46698, 7147, 220682, 126, 4135, 198, 78);
INSERT INTO public.who_data VALUES (46699, 166, 39298, 5, 772, 198, 170);
INSERT INTO public.who_data VALUES (46700, 39, 171, 0, 3, 198, 32);
INSERT INTO public.who_data VALUES (46701, 418, 19862, 8, 255, 198, 155);
INSERT INTO public.who_data VALUES (46702, 114, 21689, 0, 719, 198, 82);
INSERT INTO public.who_data VALUES (46703, 144, 33247, 3, 479, 198, 16);
INSERT INTO public.who_data VALUES (46704, 36, 751, 0, 14, 198, 72);
INSERT INTO public.who_data VALUES (46705, 375, 42889, 0, 156, 198, 43);
INSERT INTO public.who_data VALUES (46706, 2977, 249651, 39, 3306, 198, 120);
INSERT INTO public.who_data VALUES (46707, 0, 133, 0, 7, 198, 213);
INSERT INTO public.who_data VALUES (46708, 127, 68503, 3, 580, 198, 31);
INSERT INTO public.who_data VALUES (46709, 769, 73975, 4, 9722, 198, 204);
INSERT INTO public.who_data VALUES (46710, 19, 86, 0, 2, 198, 152);
INSERT INTO public.who_data VALUES (46711, 0, 1936, 0, 38, 198, 144);
INSERT INTO public.who_data VALUES (46712, 0, 157, 0, 9, 198, 96);
INSERT INTO public.who_data VALUES (46713, 3, 108, 0, 0, 198, 47);
INSERT INTO public.who_data VALUES (46714, 1780, 85141, 65, 3385, 198, 80);
INSERT INTO public.who_data VALUES (46715, 0, 5, 0, 0, 198, 159);
INSERT INTO public.who_data VALUES (46716, 251, 13397, 5, 379, 198, 27);
INSERT INTO public.who_data VALUES (46717, 0, 804, 0, 2, 198, 146);
INSERT INTO public.who_data VALUES (46718, 57152, 2859073, 1437, 97256, 198, 71);
INSERT INTO public.who_data VALUES (46719, 0, 9, 0, 1, 198, 210);
INSERT INTO public.who_data VALUES (46720, 0, 141, 0, 3, 198, 54);
INSERT INTO public.who_data VALUES (46721, 303, 12717, 9, 424, 198, 147);
INSERT INTO public.who_data VALUES (46722, 2, 1158, 0, 54, 198, 2);
INSERT INTO public.who_data VALUES (46723, 1, 401, 0, 1, 198, 105);
INSERT INTO public.who_data VALUES (46724, 45, 2734, 0, 27, 198, 53);
INSERT INTO public.who_data VALUES (46725, 0, 243, 0, 0, 198, 81);
INSERT INTO public.who_data VALUES (46726, 0, 17718, 0, 391, 198, 223);
INSERT INTO public.who_data VALUES (46727, 395, 118187, 4, 8962, 198, 94);
INSERT INTO public.who_data VALUES (46728, 0, 203, 0, 1, 198, 154);
INSERT INTO public.who_data VALUES (46729, 2, 4620, 0, 59, 198, 83);
INSERT INTO public.who_data VALUES (46730, 3, 942, 1, 76, 198, 194);
INSERT INTO public.who_data VALUES (46731, 1948, 366671, 97, 9889, 198, 136);
INSERT INTO public.who_data VALUES (46732, 133, 88937, 3, 4687, 198, 179);
INSERT INTO public.who_data VALUES (46733, 10735, 345714, 309, 11624, 198, 57);
INSERT INTO public.who_data VALUES (46734, 8, 396, 0, 7, 198, 35);
INSERT INTO public.who_data VALUES (46735, 91, 3637, 0, 58, 198, 228);
INSERT INTO public.who_data VALUES (46736, 0, 0, 0, 0, 198, 19);
INSERT INTO public.who_data VALUES (46737, 580, 20417, 10, 191, 198, 22);
INSERT INTO public.who_data VALUES (46738, 98, 16447, 0, 103, 198, 1);
INSERT INTO public.who_data VALUES (46739, 28, 5404, 1, 155, 198, 21);
INSERT INTO public.who_data VALUES (46740, 49, 2775, 0, 88, 198, 234);
INSERT INTO public.who_data VALUES (46741, 2, 31, 0, 1, 198, 91);
INSERT INTO public.who_data VALUES (46742, 13, 1208, 0, 19, 198, 137);
INSERT INTO public.who_data VALUES (46743, 211, 17740, 1, 389, 198, 201);
INSERT INTO public.who_data VALUES (46744, 0, 0, 0, 0, 198, 171);
INSERT INTO public.who_data VALUES (46745, 56, 9308, 0, 214, 198, 92);
INSERT INTO public.who_data VALUES (46746, 121, 14306, 1, 617, 198, 112);
INSERT INTO public.who_data VALUES (46747, 4, 5334, 0, 59, 198, 62);
INSERT INTO public.who_data VALUES (46748, 0, 18, 0, 0, 198, 69);
INSERT INTO public.who_data VALUES (46749, 876, 76536, 24, 1246, 198, 220);
INSERT INTO public.who_data VALUES (46750, 1671, 90537, 30, 5877, 198, 100);
INSERT INTO public.who_data VALUES (46751, 131, 95006, 21, 4951, 198, 187);
INSERT INTO public.who_data VALUES (46752, 425, 19126, 15, 513, 198, 63);
INSERT INTO public.who_data VALUES (46753, 0, 4821, 0, 83, 198, 28);
INSERT INTO public.who_data VALUES (46754, 0, 282, 0, 0, 198, 172);
INSERT INTO public.who_data VALUES (46755, 11, 2124, 0, 63, 198, 17);
INSERT INTO public.who_data VALUES (46756, 59, 2968, 2, 55, 198, 226);
INSERT INTO public.who_data VALUES (46757, 564, 20900, 9, 365, 198, 236);
INSERT INTO public.who_data VALUES (46758, 0, 13, 0, 0, 198, 76);
INSERT INTO public.who_data VALUES (46759, 0, 241, 0, 0, 198, 30);
INSERT INTO public.who_data VALUES (46760, 0, 27, 0, 1, 198, 128);
INSERT INTO public.who_data VALUES (46761, 20, 7532, 0, 331, 198, 86);
INSERT INTO public.who_data VALUES (46762, 1520, 183172, 7, 30189, 198, 140);
INSERT INTO public.who_data VALUES (46763, 58, 8127, 0, 47, 198, 44);
INSERT INTO public.who_data VALUES (46764, 0, 64, 0, 0, 198, 113);
INSERT INTO public.who_data VALUES (46765, 0, 7787, 0, 51, 198, 29);
INSERT INTO public.who_data VALUES (46766, 0, 935, 0, 16, 198, 125);
INSERT INTO public.who_data VALUES (46767, 7, 1213, 0, 17, 198, 131);
INSERT INTO public.who_data VALUES (46768, 1147, 214214, 8, 9183, 198, 46);
INSERT INTO public.who_data VALUES (46769, 567, 39642, 0, 199, 198, 10);
INSERT INTO public.who_data VALUES (46770, 0, 189, 0, 0, 198, 205);
INSERT INTO public.who_data VALUES (46771, 150, 5123, 0, 210, 198, 50);
INSERT INTO public.who_data VALUES (46772, 0, 14, 0, 0, 198, 20);
INSERT INTO public.who_data VALUES (46773, 0, 24, 0, 0, 198, 13);
INSERT INTO public.who_data VALUES (46774, 7, 279, 0, 14, 198, 148);
INSERT INTO public.who_data VALUES (46775, 8, 389, 0, 5, 198, 230);
INSERT INTO public.who_data VALUES (46776, 830, 54339, 47, 2119, 198, 190);
INSERT INTO public.who_data VALUES (46777, 0, 252, 0, 13, 198, 188);
INSERT INTO public.who_data VALUES (46778, 89, 7664, 0, 49, 198, 123);
INSERT INTO public.who_data VALUES (46779, 0, 2032, 0, 27, 198, 9);
INSERT INTO public.who_data VALUES (46780, 12, 509, 0, 22, 198, 102);
INSERT INTO public.who_data VALUES (46781, 12, 7544, 0, 171, 198, 34);
INSERT INTO public.who_data VALUES (46782, 0, 12, 0, 0, 198, 212);
INSERT INTO public.who_data VALUES (46783, 799, 45098, 23, 1423, 198, 122);
INSERT INTO public.who_data VALUES (46784, 33, 4597, 1, 600, 198, 38);
INSERT INTO public.who_data VALUES (46785, 6, 1932, 0, 10, 198, 130);
INSERT INTO public.who_data VALUES (46786, 62538, 2027074, 886, 41585, 198, 37);
INSERT INTO public.who_data VALUES (46787, 1882, 118753, 69, 5521, 198, 231);
INSERT INTO public.who_data VALUES (46788, 2634, 320117, 174, 17976, 198, 107);
INSERT INTO public.who_data VALUES (46789, 3047, 140603, 67, 5161, 198, 101);
INSERT INTO public.who_data VALUES (46790, 69, 26372, 5, 1768, 198, 132);
INSERT INTO public.who_data VALUES (46791, 0, 336, 0, 24, 198, 176);
INSERT INTO public.who_data VALUES (46792, 1690, 78296, 10, 625, 198, 200);
INSERT INTO public.who_data VALUES (46793, 401, 249204, 6, 35187, 198, 169);
INSERT INTO public.who_data VALUES (46794, 8, 928, 0, 12, 198, 225);
INSERT INTO public.who_data VALUES (46795, 1552, 43815, 7, 1033, 198, 165);
INSERT INTO public.who_data VALUES (46796, 1, 344, 0, 31, 198, 233);
INSERT INTO public.who_data VALUES (46797, 1, 1300, 0, 11, 198, 215);
INSERT INTO public.who_data VALUES (46798, 2009, 109939, 0, 1109, 198, 177);
INSERT INTO public.who_data VALUES (46799, 538, 24411, 8, 399, 198, 183);
INSERT INTO public.who_data VALUES (46800, 0, 0, 0, 0, 198, 203);
INSERT INTO public.who_data VALUES (46801, 196, 9645, 26, 290, 198, 162);
INSERT INTO public.who_data VALUES (46802, 620, 70045, 1, 469, 198, 12);
INSERT INTO public.who_data VALUES (46803, 503, 39162, 4, 1006, 198, 24);
INSERT INTO public.who_data VALUES (46804, 0, 20, 0, 0, 198, 119);
INSERT INTO public.who_data VALUES (46805, 18, 1275, 0, 32, 198, 39);
INSERT INTO public.who_data VALUES (46806, 255, 5672, 2, 70, 198, 26);
INSERT INTO public.who_data VALUES (46807, 16, 742, 2, 23, 198, 59);
INSERT INTO public.who_data VALUES (46808, 3, 1224, 0, 78, 198, 77);
INSERT INTO public.who_data VALUES (46809, 404, 4879, 8, 107, 198, 134);
INSERT INTO public.who_data VALUES (46810, 0, 89, 0, 1, 198, 4);
INSERT INTO public.who_data VALUES (46811, 24, 2189, 0, 81, 198, 109);
INSERT INTO public.who_data VALUES (46812, 66, 7073, 1, 119, 198, 90);
INSERT INTO public.who_data VALUES (46813, 304, 12526, 7, 134, 198, 61);
INSERT INTO public.who_data VALUES (46814, 65, 4491, 1, 137, 198, 85);
INSERT INTO public.who_data VALUES (46815, 15, 9038, 0, 125, 198, 49);
INSERT INTO public.who_data VALUES (46816, 86, 4680, 0, 19, 198, 208);
INSERT INTO public.who_data VALUES (46817, 6, 2552, 0, 124, 198, 166);
INSERT INTO public.who_data VALUES (46818, 19, 839, 0, 9, 198, 64);
INSERT INTO public.who_data VALUES (46819, 0, 0, 0, 0, 198, 199);
INSERT INTO public.who_data VALUES (46820, 7, 276, 0, 15, 198, 114);
INSERT INTO public.who_data VALUES (46821, 29, 6473, 0, 157, 198, 60);
INSERT INTO public.who_data VALUES (46822, 0, 344, 0, 10, 198, 68);
INSERT INTO public.who_data VALUES (46823, 11, 3042, 0, 39, 198, 158);
INSERT INTO public.who_data VALUES (46824, 6139, 456100, 829, 49698, 198, 52);
INSERT INTO public.who_data VALUES (46825, 0, 0, 0, 0, 198, 117);
INSERT INTO public.who_data VALUES (46826, 1, 94, 0, 1, 198, 126);
INSERT INTO public.who_data VALUES (46827, 0, 293, 0, 0, 198, 196);
INSERT INTO public.who_data VALUES (46828, 48, 3566, 1, 61, 198, 142);
INSERT INTO public.who_data VALUES (46829, 0, 13, 0, 1, 198, 185);
INSERT INTO public.who_data VALUES (46830, 1144, 29644, 14, 449, 198, 138);
INSERT INTO public.who_data VALUES (46831, 41, 2120, 0, 15, 198, 181);
INSERT INTO public.who_data VALUES (46832, 2, 359, 0, 6, 198, 178);
INSERT INTO public.who_data VALUES (46833, 112, 2652, 3, 15, 198, 168);
INSERT INTO public.who_data VALUES (46834, 0, 0, 0, 0, 198, 160);
INSERT INTO public.who_data VALUES (46835, 360, 21750, 5, 65, 198, 151);
INSERT INTO public.who_data VALUES (46836, 605, 56927, 0, 6152, 198, 193);
INSERT INTO public.who_data VALUES (46837, 0, 22, 0, 0, 198, 18);
INSERT INTO public.who_data VALUES (46838, 0, 1219, 0, 22, 198, 40);
INSERT INTO public.who_data VALUES (46839, 0, 3266, 0, 123, 198, 218);
INSERT INTO public.who_data VALUES (46840, 1, 1153, 0, 69, 198, 191);
INSERT INTO public.who_data VALUES (46841, 354, 45244, 3, 930, 198, 156);
INSERT INTO public.who_data VALUES (46842, 0, 0, 0, 0, 198, 135);
INSERT INTO public.who_data VALUES (46843, 1, 47, 0, 2, 198, 88);
INSERT INTO public.who_data VALUES (46844, 110, 11399, 6, 517, 198, 55);
INSERT INTO public.who_data VALUES (46845, 47, 9409, 0, 256, 198, 108);
INSERT INTO public.who_data VALUES (46846, 453, 17434, 3, 95, 198, 48);
INSERT INTO public.who_data VALUES (46847, 427, 80713, 4, 492, 198, 3);
INSERT INTO public.who_data VALUES (46848, 0, 741, 0, 13, 198, 224);
INSERT INTO public.who_data VALUES (46849, 782, 282645, 19, 6054, 198, 110);
INSERT INTO public.who_data VALUES (46850, 0, 0, 0, 0, 198, 106);
INSERT INTO public.who_data VALUES (46851, 807, 70231, 31, 1553, 198, 89);
INSERT INTO public.who_data VALUES (46852, 10, 163, 1, 3, 198, 121);
INSERT INTO public.who_data VALUES (46853, 208, 6060, 2, 61, 198, 163);
INSERT INTO public.who_data VALUES (46854, 7734, 447624, 221, 20228, 198, 70);
INSERT INTO public.who_data VALUES (46855, 3480, 119460, 27, 2150, 198, 174);
INSERT INTO public.who_data VALUES (46856, 0, 0, 0, 0, 198, 175);
INSERT INTO public.who_data VALUES (46857, 726, 49515, 18, 1774, 198, 118);
INSERT INTO public.who_data VALUES (46858, 213, 52061, 3, 1743, 198, 189);
INSERT INTO public.who_data VALUES (46859, 283, 19934, 12, 258, 198, 124);
INSERT INTO public.who_data VALUES (46860, 287, 112092, 0, 178, 198, 192);
INSERT INTO public.who_data VALUES (46861, 20, 14519, 1, 303, 198, 41);
INSERT INTO public.who_data VALUES (46862, 406, 26628, 5, 828, 198, 95);
INSERT INTO public.who_data VALUES (46863, 1, 671, 0, 5, 198, 74);
INSERT INTO public.who_data VALUES (46864, 1345, 57895, 45, 2566, 198, 11);
INSERT INTO public.who_data VALUES (46865, 5241, 877135, 119, 14725, 198, 87);
INSERT INTO public.who_data VALUES (46866, 7, 2111, 0, 5, 198, 214);
INSERT INTO public.who_data VALUES (46867, 0, 5, 0, 0, 198, 116);
INSERT INTO public.who_data VALUES (46868, 0, 9, 0, 0, 198, 157);
INSERT INTO public.who_data VALUES (46869, 0, 0, 0, 0, 198, 182);
INSERT INTO public.who_data VALUES (46870, 0, 17, 0, 0, 198, 186);
INSERT INTO public.who_data VALUES (46871, 0, 25, 0, 0, 198, 127);
INSERT INTO public.who_data VALUES (46872, 0, 53, 0, 3, 198, 232);
INSERT INTO public.who_data VALUES (46873, 0, 4, 0, 0, 198, 33);
INSERT INTO public.who_data VALUES (46874, 1, 56, 0, 0, 198, 97);
INSERT INTO public.who_data VALUES (46875, 0, 0, 0, 0, 198, 42);
INSERT INTO public.who_data VALUES (46876, 1, 717, 0, 42, 198, 198);
INSERT INTO public.who_data VALUES (46877, 0, 878, 0, 15, 198, 216);
INSERT INTO public.who_data VALUES (46878, 1402, 284226, 35, 3055, 198, 164);
INSERT INTO public.who_data VALUES (46879, 177, 10715, 5, 223, 198, 235);
INSERT INTO public.who_data VALUES (46880, 299, 27332, 7, 621, 198, 67);
INSERT INTO public.who_data VALUES (46881, 0, 114, 0, 0, 198, 15);
INSERT INTO public.who_data VALUES (46882, 17, 1877, 1, 68, 198, 180);
INSERT INTO public.who_data VALUES (46883, 301, 54555, 0, 27, 198, 237);
INSERT INTO public.who_data VALUES (46884, 0, 3, 0, 0, 198, 25);
INSERT INTO public.who_data VALUES (46885, 4, 160, 0, 16, 198, 209);
INSERT INTO public.who_data VALUES (46886, 49, 2417, 0, 29, 198, 217);
INSERT INTO public.who_data VALUES (46887, 15, 2224, 0, 126, 198, 79);
INSERT INTO public.who_data VALUES (46888, 0, 0, 0, 0, 198, 143);
INSERT INTO public.who_data VALUES (46889, 0, 3227, 0, 93, 198, 229);
INSERT INTO public.who_data VALUES (46890, 8307, 538184, 306, 9604, 198, 141);
INSERT INTO public.who_data VALUES (46891, 0, 2450, 0, 47, 198, 197);
INSERT INTO public.who_data VALUES (46892, 4474, 327248, 11, 29985, 198, 221);
INSERT INTO public.who_data VALUES (46893, 0, 2839, 0, 11, 198, 150);
INSERT INTO public.who_data VALUES (46894, 44, 11894, 4, 773, 198, 56);
INSERT INTO public.who_data VALUES (46895, 69, 2050, 0, 27, 198, 167);
INSERT INTO public.who_data VALUES (46896, 425, 78207, 1, 5766, 198, 23);
INSERT INTO public.who_data VALUES (46897, 156, 36309, 1, 1746, 198, 222);
INSERT INTO public.who_data VALUES (46898, 55, 999, 0, 48, 198, 219);
INSERT INTO public.who_data VALUES (46899, 40, 7665, 1, 62, 198, 7);
INSERT INTO public.who_data VALUES (46900, 15, 3345, 0, 58, 198, 161);
INSERT INTO public.who_data VALUES (46901, 950, 308138, 18, 41258, 198, 149);
INSERT INTO public.who_data VALUES (46902, 0, 25, 0, 0, 198, 6);
INSERT INTO public.who_data VALUES (46903, 13, 1001, 2, 21, 198, 139);
INSERT INTO public.who_data VALUES (46904, 0, 0, 0, 0, 198, 211);
INSERT INTO public.who_data VALUES (46905, 0, 0, 0, 0, 198, 14);
INSERT INTO public.who_data VALUES (46906, 10, 207, 0, 8, 198, 111);
INSERT INTO public.who_data VALUES (46907, 14, 1656, 0, 51, 198, 207);
INSERT INTO public.who_data VALUES (46908, 7883, 304565, 14, 5798, 198, 66);
INSERT INTO public.who_data VALUES (46909, 0, 0, 0, 0, 198, 173);
INSERT INTO public.who_data VALUES (46910, 13, 129, 0, 2, 198, 145);
INSERT INTO public.who_data VALUES (46911, 0, 0, 0, 0, 198, 65);
INSERT INTO public.who_data VALUES (46912, 10, 1223, 0, 5, 198, 184);
INSERT INTO public.who_data VALUES (46913, 1453, 78261, 33, 1852, 198, 98);
INSERT INTO public.who_data VALUES (46914, 239, 61845, 1, 354, 198, 104);
INSERT INTO public.who_data VALUES (46915, 0, 509, 0, 21, 198, 73);
INSERT INTO public.who_data VALUES (46916, 53373, 4781612, 1307, 157357, 198, 8);
INSERT INTO public.who_data VALUES (46917, 20, 501, 1, 9, 198, 227);
INSERT INTO public.who_data VALUES (46918, 9, 1309, 0, 37, 198, 75);
INSERT INTO public.who_data VALUES (46919, 740, 28809, 6, 179, 198, 45);
INSERT INTO public.who_data VALUES (46920, 0, 0, 0, 0, 198, 133);
INSERT INTO public.who_data VALUES (46921, 861, 22299, 8, 195, 198, 202);
INSERT INTO public.who_data VALUES (46922, 33, 750, 2, 10, 198, 129);
INSERT INTO public.who_data VALUES (46923, 0, 0, 0, 0, 198, 36);
INSERT INTO public.who_data VALUES (46924, 5, 1772, 0, 509, 198, 51);
INSERT INTO public.who_data VALUES (46925, 142, 7164, 23, 199, 198, 206);
INSERT INTO public.who_data VALUES (46926, 56, 4395, 13, 97, 198, 5);
INSERT INTO public.who_data VALUES (46927, 67, 36982, 4, 1302, 199, 103);
INSERT INTO public.who_data VALUES (46928, 139, 5889, 6, 182, 199, 58);
INSERT INTO public.who_data VALUES (46929, 551, 33055, 13, 1261, 199, 195);
INSERT INTO public.who_data VALUES (46930, 0, 0, 0, 0, 199, 115);
INSERT INTO public.who_data VALUES (46931, 0, 939, 0, 52, 199, 99);
INSERT INTO public.who_data VALUES (46932, 51, 1395, 3, 62, 199, 153);
INSERT INTO public.who_data VALUES (46933, 0, 3, 0, 0, 199, 93);
INSERT INTO public.who_data VALUES (46934, 0, 92, 0, 3, 199, 84);
INSERT INTO public.who_data VALUES (46935, 6792, 213535, 146, 4009, 199, 78);
INSERT INTO public.who_data VALUES (46936, 233, 39132, 2, 767, 199, 170);
INSERT INTO public.who_data VALUES (46937, 8, 132, 0, 3, 199, 32);
INSERT INTO public.who_data VALUES (46938, 715, 19444, 15, 247, 199, 155);
INSERT INTO public.who_data VALUES (46939, 103, 21575, 0, 719, 199, 82);
INSERT INTO public.who_data VALUES (46940, 193, 33103, 3, 476, 199, 16);
INSERT INTO public.who_data VALUES (46941, 36, 715, 0, 14, 199, 72);
INSERT INTO public.who_data VALUES (46942, 382, 42514, 4, 156, 199, 43);
INSERT INTO public.who_data VALUES (46943, 2654, 246674, 33, 3267, 199, 120);
INSERT INTO public.who_data VALUES (46944, 1, 133, 0, 7, 199, 213);
INSERT INTO public.who_data VALUES (46945, 126, 68376, 3, 577, 199, 31);
INSERT INTO public.who_data VALUES (46946, 767, 73206, 5, 9718, 199, 204);
INSERT INTO public.who_data VALUES (46947, 10, 67, 0, 2, 199, 152);
INSERT INTO public.who_data VALUES (46948, 0, 1936, 0, 38, 199, 144);
INSERT INTO public.who_data VALUES (46949, 0, 157, 0, 9, 199, 96);
INSERT INTO public.who_data VALUES (46950, 0, 105, 0, 0, 199, 47);
INSERT INTO public.who_data VALUES (46951, 1515, 83361, 92, 3320, 199, 80);
INSERT INTO public.who_data VALUES (46952, 0, 5, 0, 0, 199, 159);
INSERT INTO public.who_data VALUES (46953, 288, 13146, 6, 374, 199, 27);
INSERT INTO public.who_data VALUES (46954, 0, 804, 0, 2, 199, 146);
INSERT INTO public.who_data VALUES (46955, 51603, 2801921, 1154, 95819, 199, 71);
INSERT INTO public.who_data VALUES (46956, 0, 9, 0, 1, 199, 210);
INSERT INTO public.who_data VALUES (46957, 0, 141, 0, 3, 199, 54);
INSERT INTO public.who_data VALUES (46958, 255, 12414, 11, 415, 199, 147);
INSERT INTO public.who_data VALUES (46959, 3, 1156, 0, 54, 199, 2);
INSERT INTO public.who_data VALUES (46960, 5, 400, 0, 1, 199, 105);
INSERT INTO public.who_data VALUES (46961, 58, 2689, 1, 27, 199, 53);
INSERT INTO public.who_data VALUES (46962, 0, 243, 0, 0, 199, 81);
INSERT INTO public.who_data VALUES (46963, 0, 17718, 0, 391, 199, 223);
INSERT INTO public.who_data VALUES (46964, 761, 117792, 11, 8958, 199, 94);
INSERT INTO public.who_data VALUES (46965, 0, 203, 0, 1, 199, 154);
INSERT INTO public.who_data VALUES (46966, 0, 4618, 0, 59, 199, 83);
INSERT INTO public.who_data VALUES (46967, 1, 939, 0, 75, 199, 194);
INSERT INTO public.who_data VALUES (46968, 1761, 364723, 47, 9792, 199, 136);
INSERT INTO public.who_data VALUES (46969, 122, 88804, 1, 4684, 199, 179);
INSERT INTO public.who_data VALUES (46970, 7129, 334979, 298, 11315, 199, 57);
INSERT INTO public.who_data VALUES (46971, 0, 388, 0, 7, 199, 35);
INSERT INTO public.who_data VALUES (46972, 0, 3546, 0, 58, 199, 228);
INSERT INTO public.who_data VALUES (46973, 0, 0, 0, 0, 199, 19);
INSERT INTO public.who_data VALUES (46974, 435, 19837, 10, 181, 199, 22);
INSERT INTO public.who_data VALUES (46975, 56, 16349, 0, 103, 199, 1);
INSERT INTO public.who_data VALUES (46976, 58, 5376, 0, 154, 199, 21);
INSERT INTO public.who_data VALUES (46977, 25, 2726, 0, 88, 199, 234);
INSERT INTO public.who_data VALUES (46978, 0, 29, 0, 1, 199, 91);
INSERT INTO public.who_data VALUES (46979, 15, 1195, 0, 19, 199, 137);
INSERT INTO public.who_data VALUES (46980, 243, 17529, 5, 388, 199, 201);
INSERT INTO public.who_data VALUES (46981, 0, 0, 0, 0, 199, 171);
INSERT INTO public.who_data VALUES (46982, 75, 9252, 0, 214, 199, 92);
INSERT INTO public.who_data VALUES (46983, 112, 14185, 0, 616, 199, 112);
INSERT INTO public.who_data VALUES (46984, 82, 5330, 0, 59, 199, 62);
INSERT INTO public.who_data VALUES (46985, 0, 18, 0, 0, 199, 69);
INSERT INTO public.who_data VALUES (46986, 1365, 75660, 9, 1222, 199, 220);
INSERT INTO public.who_data VALUES (46987, 903, 88866, 39, 5847, 199, 100);
INSERT INTO public.who_data VALUES (46988, 123, 94875, 18, 4930, 199, 187);
INSERT INTO public.who_data VALUES (46989, 439, 18701, 12, 498, 199, 63);
INSERT INTO public.who_data VALUES (46990, 0, 4821, 0, 83, 199, 28);
INSERT INTO public.who_data VALUES (46991, 0, 282, 0, 0, 199, 172);
INSERT INTO public.who_data VALUES (46992, 22, 2113, 0, 63, 199, 17);
INSERT INTO public.who_data VALUES (46993, 53, 2909, 4, 53, 199, 226);
INSERT INTO public.who_data VALUES (46994, 461, 20336, 13, 356, 199, 236);
INSERT INTO public.who_data VALUES (46995, 0, 13, 0, 0, 199, 76);
INSERT INTO public.who_data VALUES (46996, 14, 241, 0, 0, 199, 30);
INSERT INTO public.who_data VALUES (46997, 0, 27, 0, 1, 199, 128);
INSERT INTO public.who_data VALUES (46998, 29, 7512, 0, 331, 199, 86);
INSERT INTO public.who_data VALUES (46999, 1615, 181652, 6, 30182, 199, 140);
INSERT INTO public.who_data VALUES (47000, 71, 8069, 2, 47, 199, 44);
INSERT INTO public.who_data VALUES (47001, 0, 64, 0, 0, 199, 113);
INSERT INTO public.who_data VALUES (47002, 141, 7787, 0, 51, 199, 29);
INSERT INTO public.who_data VALUES (47003, 136, 935, 0, 16, 199, 125);
INSERT INTO public.who_data VALUES (47004, 9, 1206, 0, 17, 199, 131);
INSERT INTO public.who_data VALUES (47005, 1045, 213067, 7, 9175, 199, 46);
INSERT INTO public.who_data VALUES (47006, 1263, 39075, 8, 199, 199, 10);
INSERT INTO public.who_data VALUES (47007, 1, 189, 0, 0, 199, 205);
INSERT INTO public.who_data VALUES (47008, 118, 4973, 1, 210, 199, 50);
INSERT INTO public.who_data VALUES (47009, 0, 14, 0, 0, 199, 20);
INSERT INTO public.who_data VALUES (47010, 0, 24, 0, 0, 199, 13);
INSERT INTO public.who_data VALUES (47011, 0, 272, 0, 14, 199, 148);
INSERT INTO public.who_data VALUES (47012, 14, 381, 0, 5, 199, 230);
INSERT INTO public.who_data VALUES (47013, 1144, 53509, 35, 2072, 199, 190);
INSERT INTO public.who_data VALUES (47014, 0, 252, 0, 13, 199, 188);
INSERT INTO public.who_data VALUES (47015, 86, 7575, 1, 49, 199, 123);
INSERT INTO public.who_data VALUES (47016, 10, 2032, 0, 27, 199, 9);
INSERT INTO public.who_data VALUES (47017, 23, 497, 1, 22, 199, 102);
INSERT INTO public.who_data VALUES (47018, 21, 7532, 5, 171, 199, 34);
INSERT INTO public.who_data VALUES (47019, 0, 12, 0, 0, 199, 212);
INSERT INTO public.who_data VALUES (47020, 505, 44299, 16, 1400, 199, 122);
INSERT INTO public.who_data VALUES (47021, 11, 4564, 1, 599, 199, 38);
INSERT INTO public.who_data VALUES (47022, 8, 1926, 0, 10, 199, 130);
INSERT INTO public.who_data VALUES (47023, 56282, 1964536, 904, 40699, 199, 37);
INSERT INTO public.who_data VALUES (47024, 1815, 116871, 64, 5452, 199, 231);
INSERT INTO public.who_data VALUES (47025, 2697, 317483, 185, 17802, 199, 107);
INSERT INTO public.who_data VALUES (47026, 2834, 137556, 77, 5094, 199, 101);
INSERT INTO public.who_data VALUES (47027, 50, 26303, 0, 1763, 199, 132);
INSERT INTO public.who_data VALUES (47028, 0, 336, 0, 24, 199, 176);
INSERT INTO public.who_data VALUES (47029, 1729, 76606, 11, 615, 199, 200);
INSERT INTO public.who_data VALUES (47030, 384, 248803, 10, 35181, 199, 169);
INSERT INTO public.who_data VALUES (47031, 15, 920, 0, 12, 199, 225);
INSERT INTO public.who_data VALUES (47032, 1134, 42263, 4, 1026, 199, 165);
INSERT INTO public.who_data VALUES (47033, 4, 343, 0, 31, 199, 233);
INSERT INTO public.who_data VALUES (47034, 7, 1299, 0, 11, 199, 215);
INSERT INTO public.who_data VALUES (47035, 2404, 107930, 0, 1109, 199, 177);
INSERT INTO public.who_data VALUES (47036, 671, 23873, 3, 391, 199, 183);
INSERT INTO public.who_data VALUES (47037, 0, 0, 0, 0, 199, 203);
INSERT INTO public.who_data VALUES (47038, 218, 9449, 5, 264, 199, 162);
INSERT INTO public.who_data VALUES (47039, 651, 69425, 3, 468, 199, 12);
INSERT INTO public.who_data VALUES (47040, 549, 38659, 9, 1002, 199, 24);
INSERT INTO public.who_data VALUES (47041, 0, 20, 0, 0, 199, 119);
INSERT INTO public.who_data VALUES (47042, 8, 1257, 0, 32, 199, 39);
INSERT INTO public.who_data VALUES (47043, 146, 5417, 2, 68, 199, 26);
INSERT INTO public.who_data VALUES (47044, 0, 726, 0, 21, 199, 59);
INSERT INTO public.who_data VALUES (47045, 5, 1221, 0, 78, 199, 77);
INSERT INTO public.who_data VALUES (47046, 251, 4475, 3, 99, 199, 134);
INSERT INTO public.who_data VALUES (47047, 0, 89, 0, 1, 199, 4);
INSERT INTO public.who_data VALUES (47048, 24, 2165, 1, 81, 199, 109);
INSERT INTO public.who_data VALUES (47049, 90, 7007, 0, 118, 199, 90);
INSERT INTO public.who_data VALUES (47050, 327, 12222, 4, 127, 199, 61);
INSERT INTO public.who_data VALUES (47051, 65, 4426, 8, 136, 199, 85);
INSERT INTO public.who_data VALUES (47052, 21, 9023, 0, 125, 199, 49);
INSERT INTO public.who_data VALUES (47053, 148, 4594, 0, 19, 199, 208);
INSERT INTO public.who_data VALUES (47054, 3, 2546, 0, 124, 199, 166);
INSERT INTO public.who_data VALUES (47055, 21, 820, 0, 9, 199, 64);
INSERT INTO public.who_data VALUES (47056, 0, 0, 0, 0, 199, 199);
INSERT INTO public.who_data VALUES (47057, 0, 269, 0, 15, 199, 114);
INSERT INTO public.who_data VALUES (47058, 26, 6444, 0, 157, 199, 60);
INSERT INTO public.who_data VALUES (47059, 0, 344, 0, 10, 199, 68);
INSERT INTO public.who_data VALUES (47060, 8, 3031, 0, 39, 199, 158);
INSERT INTO public.who_data VALUES (47061, 6148, 449961, 857, 48869, 199, 52);
INSERT INTO public.who_data VALUES (47062, 0, 0, 0, 0, 199, 117);
INSERT INTO public.who_data VALUES (47063, 3, 93, 0, 1, 199, 126);
INSERT INTO public.who_data VALUES (47064, 0, 293, 0, 0, 199, 196);
INSERT INTO public.who_data VALUES (47065, 80, 3518, 3, 60, 199, 142);
INSERT INTO public.who_data VALUES (47066, 0, 13, 0, 1, 199, 185);
INSERT INTO public.who_data VALUES (47067, 1283, 28500, 18, 435, 199, 138);
INSERT INTO public.who_data VALUES (47068, 50, 2079, 0, 15, 199, 181);
INSERT INTO public.who_data VALUES (47069, 1, 357, 0, 6, 199, 178);
INSERT INTO public.who_data VALUES (47070, 70, 2540, 0, 12, 199, 168);
INSERT INTO public.who_data VALUES (47071, 0, 0, 0, 0, 199, 160);
INSERT INTO public.who_data VALUES (47072, 381, 21390, 2, 60, 199, 151);
INSERT INTO public.who_data VALUES (47073, 428, 56322, 3, 6152, 199, 193);
INSERT INTO public.who_data VALUES (47074, 0, 22, 0, 0, 199, 18);
INSERT INTO public.who_data VALUES (47075, 0, 1219, 0, 22, 199, 40);
INSERT INTO public.who_data VALUES (47076, 0, 3266, 0, 123, 199, 218);
INSERT INTO public.who_data VALUES (47077, 0, 1152, 0, 69, 199, 191);
INSERT INTO public.who_data VALUES (47078, 457, 44890, 17, 927, 199, 156);
INSERT INTO public.who_data VALUES (47079, 0, 0, 0, 0, 199, 135);
INSERT INTO public.who_data VALUES (47080, 0, 46, 0, 2, 199, 88);
INSERT INTO public.who_data VALUES (47081, 88, 11289, 6, 511, 199, 55);
INSERT INTO public.who_data VALUES (47082, 29, 9362, 0, 256, 199, 108);
INSERT INTO public.who_data VALUES (47083, 353, 16981, 3, 92, 199, 48);
INSERT INTO public.who_data VALUES (47084, 585, 80286, 5, 488, 199, 3);
INSERT INTO public.who_data VALUES (47085, 0, 741, 0, 13, 199, 224);
INSERT INTO public.who_data VALUES (47086, 727, 281863, 21, 6035, 199, 110);
INSERT INTO public.who_data VALUES (47087, 0, 0, 0, 0, 199, 106);
INSERT INTO public.who_data VALUES (47088, 968, 69424, 25, 1522, 199, 89);
INSERT INTO public.who_data VALUES (47089, 39, 153, 0, 2, 199, 121);
INSERT INTO public.who_data VALUES (47090, 128, 5852, 4, 59, 199, 163);
INSERT INTO public.who_data VALUES (47091, 6790, 439890, 196, 20007, 199, 70);
INSERT INTO public.who_data VALUES (47092, 3387, 115980, 8, 2123, 199, 174);
INSERT INTO public.who_data VALUES (47093, 0, 0, 0, 0, 199, 175);
INSERT INTO public.who_data VALUES (47094, 640, 48789, 18, 1756, 199, 118);
INSERT INTO public.who_data VALUES (47095, 167, 51848, 1, 1740, 199, 189);
INSERT INTO public.who_data VALUES (47096, 327, 19651, 9, 246, 199, 124);
INSERT INTO public.who_data VALUES (47097, 267, 111805, 1, 178, 199, 192);
INSERT INTO public.who_data VALUES (47098, 43, 14499, 0, 302, 199, 41);
INSERT INTO public.who_data VALUES (47099, 408, 26222, 13, 823, 199, 95);
INSERT INTO public.who_data VALUES (47100, 1, 670, 1, 5, 199, 74);
INSERT INTO public.who_data VALUES (47101, 1309, 56550, 41, 2521, 199, 11);
INSERT INTO public.who_data VALUES (47102, 5267, 871894, 116, 14606, 199, 87);
INSERT INTO public.who_data VALUES (47103, 5, 2104, 0, 5, 199, 214);
INSERT INTO public.who_data VALUES (47104, 0, 5, 0, 0, 199, 116);
INSERT INTO public.who_data VALUES (47105, 0, 9, 0, 0, 199, 157);
INSERT INTO public.who_data VALUES (47106, 0, 0, 0, 0, 199, 182);
INSERT INTO public.who_data VALUES (47107, 0, 17, 0, 0, 199, 186);
INSERT INTO public.who_data VALUES (47108, 0, 25, 0, 0, 199, 127);
INSERT INTO public.who_data VALUES (47109, 0, 53, 0, 3, 199, 232);
INSERT INTO public.who_data VALUES (47110, 0, 4, 0, 0, 199, 33);
INSERT INTO public.who_data VALUES (47111, 0, 55, 0, 0, 199, 97);
INSERT INTO public.who_data VALUES (47112, 0, 0, 0, 0, 199, 42);
INSERT INTO public.who_data VALUES (47113, 0, 716, 0, 42, 199, 198);
INSERT INTO public.who_data VALUES (47114, 3, 878, 0, 15, 199, 216);
INSERT INTO public.who_data VALUES (47115, 1389, 282824, 36, 3020, 199, 164);
INSERT INTO public.who_data VALUES (47116, 106, 10538, 4, 218, 199, 235);
INSERT INTO public.who_data VALUES (47117, 295, 27033, 9, 614, 199, 67);
INSERT INTO public.who_data VALUES (47118, 0, 114, 0, 0, 199, 15);
INSERT INTO public.who_data VALUES (47119, 5, 1860, 0, 67, 199, 180);
INSERT INTO public.who_data VALUES (47120, 908, 54254, 0, 27, 199, 237);
INSERT INTO public.who_data VALUES (47121, 0, 3, 0, 0, 199, 25);
INSERT INTO public.who_data VALUES (47122, 6, 156, 0, 16, 199, 209);
INSERT INTO public.who_data VALUES (47123, 14, 2368, 0, 29, 199, 217);
INSERT INTO public.who_data VALUES (47124, 18, 2209, 1, 126, 199, 79);
INSERT INTO public.who_data VALUES (47125, 0, 0, 0, 0, 199, 143);
INSERT INTO public.who_data VALUES (47126, 7, 3227, 0, 93, 199, 229);
INSERT INTO public.who_data VALUES (47127, 8559, 529877, 414, 9298, 199, 141);
INSERT INTO public.who_data VALUES (47128, 13, 2450, 0, 47, 199, 197);
INSERT INTO public.who_data VALUES (47129, 4619, 322774, 15, 29974, 199, 221);
INSERT INTO public.who_data VALUES (47130, 5, 2839, 0, 11, 199, 150);
INSERT INTO public.who_data VALUES (47131, 70, 11850, 6, 769, 199, 56);
INSERT INTO public.who_data VALUES (47132, 88, 1981, 0, 27, 199, 167);
INSERT INTO public.who_data VALUES (47133, 333, 77782, 2, 5765, 199, 23);
INSERT INTO public.who_data VALUES (47134, 152, 36153, 1, 1745, 199, 222);
INSERT INTO public.who_data VALUES (47135, 52, 944, 2, 48, 199, 219);
INSERT INTO public.who_data VALUES (47136, 42, 7625, 0, 61, 199, 7);
INSERT INTO public.who_data VALUES (47137, 2, 3330, 0, 58, 199, 161);
INSERT INTO public.who_data VALUES (47138, 891, 307188, 14, 41240, 199, 149);
INSERT INTO public.who_data VALUES (47139, 0, 25, 0, 0, 199, 6);
INSERT INTO public.who_data VALUES (47140, 12, 988, 0, 19, 199, 139);
INSERT INTO public.who_data VALUES (47141, 0, 0, 0, 0, 199, 211);
INSERT INTO public.who_data VALUES (47142, 0, 0, 0, 0, 199, 14);
INSERT INTO public.who_data VALUES (47143, 5, 197, 0, 8, 199, 111);
INSERT INTO public.who_data VALUES (47144, 41, 1642, 0, 51, 199, 207);
INSERT INTO public.who_data VALUES (47145, 7908, 296682, 19, 5784, 199, 66);
INSERT INTO public.who_data VALUES (47146, 0, 0, 0, 0, 199, 173);
INSERT INTO public.who_data VALUES (47147, 0, 116, 0, 2, 199, 145);
INSERT INTO public.who_data VALUES (47148, 0, 0, 0, 0, 199, 65);
INSERT INTO public.who_data VALUES (47149, 10, 1213, 0, 5, 199, 184);
INSERT INTO public.who_data VALUES (47150, 1318, 76808, 31, 1819, 199, 98);
INSERT INTO public.who_data VALUES (47151, 254, 61606, 2, 353, 199, 104);
INSERT INTO public.who_data VALUES (47152, 0, 509, 0, 21, 199, 73);
INSERT INTO public.who_data VALUES (47153, 49629, 4728239, 1098, 156050, 199, 8);
INSERT INTO public.who_data VALUES (47154, 18, 481, 0, 8, 199, 227);
INSERT INTO public.who_data VALUES (47155, 9, 1300, 1, 37, 199, 75);
INSERT INTO public.who_data VALUES (47156, 755, 28069, 6, 173, 199, 45);
INSERT INTO public.who_data VALUES (47157, 0, 0, 0, 0, 199, 133);
INSERT INTO public.who_data VALUES (47158, 684, 21438, 7, 187, 199, 202);
INSERT INTO public.who_data VALUES (47159, 45, 717, 0, 8, 199, 129);
INSERT INTO public.who_data VALUES (47160, 0, 0, 0, 0, 199, 36);
INSERT INTO public.who_data VALUES (47161, 3, 1767, 2, 509, 199, 51);
INSERT INTO public.who_data VALUES (47162, 442, 7022, 5, 176, 199, 206);
INSERT INTO public.who_data VALUES (47163, 118, 4339, 3, 84, 199, 5);
INSERT INTO public.who_data VALUES (47164, 82, 36915, 6, 1298, 200, 103);
INSERT INTO public.who_data VALUES (47165, 130, 5750, 4, 176, 200, 58);
INSERT INTO public.who_data VALUES (47166, 532, 32504, 19, 1248, 200, 195);
INSERT INTO public.who_data VALUES (47167, 0, 0, 0, 0, 200, 115);
INSERT INTO public.who_data VALUES (47168, 2, 939, 0, 52, 200, 99);
INSERT INTO public.who_data VALUES (47169, 64, 1344, 1, 59, 200, 153);
INSERT INTO public.who_data VALUES (47170, 0, 3, 0, 0, 200, 93);
INSERT INTO public.who_data VALUES (47171, 1, 92, 0, 3, 200, 84);
INSERT INTO public.who_data VALUES (47172, 4824, 206743, 196, 3863, 200, 78);
INSERT INTO public.who_data VALUES (47173, 288, 38899, 2, 765, 200, 170);
INSERT INTO public.who_data VALUES (47174, 2, 124, 0, 3, 200, 32);
INSERT INTO public.who_data VALUES (47175, 411, 18729, 11, 232, 200, 155);
INSERT INTO public.who_data VALUES (47176, 131, 21472, 1, 719, 200, 82);
INSERT INTO public.who_data VALUES (47177, 226, 32910, 5, 473, 200, 16);
INSERT INTO public.who_data VALUES (47178, 31, 679, 0, 14, 200, 72);
INSERT INTO public.who_data VALUES (47179, 297, 42132, 2, 152, 200, 43);
INSERT INTO public.who_data VALUES (47180, 1918, 244020, 50, 3234, 200, 120);
INSERT INTO public.who_data VALUES (47181, 0, 132, 0, 7, 200, 213);
INSERT INTO public.who_data VALUES (47182, 84, 68250, 3, 574, 200, 31);
INSERT INTO public.who_data VALUES (47183, 813, 72439, 5, 9713, 200, 204);
INSERT INTO public.who_data VALUES (47184, 0, 57, 0, 2, 200, 152);
INSERT INTO public.who_data VALUES (47185, 22, 1936, 0, 38, 200, 144);
INSERT INTO public.who_data VALUES (47186, 0, 157, 0, 9, 200, 96);
INSERT INTO public.who_data VALUES (47187, 2, 105, 0, 0, 200, 47);
INSERT INTO public.who_data VALUES (47188, 1693, 81846, 75, 3228, 200, 80);
INSERT INTO public.who_data VALUES (47189, 0, 5, 0, 0, 200, 159);
INSERT INTO public.who_data VALUES (47190, 381, 12858, 10, 368, 200, 27);
INSERT INTO public.who_data VALUES (47191, 0, 804, 0, 2, 200, 146);
INSERT INTO public.who_data VALUES (47192, 16641, 2750318, 561, 94665, 200, 71);
INSERT INTO public.who_data VALUES (47193, 1, 9, 0, 1, 200, 210);
INSERT INTO public.who_data VALUES (47194, 0, 141, 0, 3, 200, 54);
INSERT INTO public.who_data VALUES (47195, 204, 12159, 16, 404, 200, 147);
INSERT INTO public.who_data VALUES (47196, 3, 1153, 1, 54, 200, 2);
INSERT INTO public.who_data VALUES (47197, 0, 395, 0, 1, 200, 105);
INSERT INTO public.who_data VALUES (47198, 48, 2631, 1, 26, 200, 53);
INSERT INTO public.who_data VALUES (47199, 2, 243, 0, 0, 200, 81);
INSERT INTO public.who_data VALUES (47200, 0, 17718, 0, 391, 200, 223);
INSERT INTO public.who_data VALUES (47201, 147, 117031, 2, 8947, 200, 94);
INSERT INTO public.who_data VALUES (47202, 0, 203, 0, 1, 200, 154);
INSERT INTO public.who_data VALUES (47203, 4, 4618, 0, 59, 200, 83);
INSERT INTO public.who_data VALUES (47204, 2, 938, 0, 75, 200, 194);
INSERT INTO public.who_data VALUES (47205, 1469, 362962, 38, 9745, 200, 136);
INSERT INTO public.who_data VALUES (47206, 109, 88682, 4, 4683, 200, 179);
INSERT INTO public.who_data VALUES (47207, 10199, 327850, 367, 11017, 200, 57);
INSERT INTO public.who_data VALUES (47208, 2, 388, 0, 7, 200, 35);
INSERT INTO public.who_data VALUES (47209, 159, 3546, 1, 58, 200, 228);
INSERT INTO public.who_data VALUES (47210, 0, 0, 0, 0, 200, 19);
INSERT INTO public.who_data VALUES (47211, 427, 19402, 9, 171, 200, 22);
INSERT INTO public.who_data VALUES (47212, 73, 16293, 1, 103, 200, 1);
INSERT INTO public.who_data VALUES (47213, 22, 5318, 1, 154, 200, 21);
INSERT INTO public.who_data VALUES (47214, 31, 2701, 1, 88, 200, 234);
INSERT INTO public.who_data VALUES (47215, 0, 29, 0, 1, 200, 91);
INSERT INTO public.who_data VALUES (47216, 25, 1180, 0, 19, 200, 137);
INSERT INTO public.who_data VALUES (47217, 278, 17286, 0, 383, 200, 201);
INSERT INTO public.who_data VALUES (47218, 0, 0, 0, 0, 200, 171);
INSERT INTO public.who_data VALUES (47219, 45, 9177, 0, 214, 200, 92);
INSERT INTO public.who_data VALUES (47220, 77, 14073, 0, 616, 200, 112);
INSERT INTO public.who_data VALUES (47221, 8, 5248, 0, 59, 200, 62);
INSERT INTO public.who_data VALUES (47222, 0, 18, 0, 0, 200, 69);
INSERT INTO public.who_data VALUES (47223, 1178, 74295, 30, 1213, 200, 220);
INSERT INTO public.who_data VALUES (47224, 922, 87963, 41, 5808, 200, 100);
INSERT INTO public.who_data VALUES (47225, 112, 94752, 24, 4912, 200, 187);
INSERT INTO public.who_data VALUES (47226, 419, 18262, 9, 486, 200, 63);
INSERT INTO public.who_data VALUES (47227, 0, 4821, 0, 83, 200, 28);
INSERT INTO public.who_data VALUES (47228, 0, 282, 0, 0, 200, 172);
INSERT INTO public.who_data VALUES (47229, 11, 2091, 0, 63, 200, 17);
INSERT INTO public.who_data VALUES (47230, 18, 2856, 7, 49, 200, 226);
INSERT INTO public.who_data VALUES (47231, 586, 19875, 7, 343, 200, 236);
INSERT INTO public.who_data VALUES (47232, 0, 13, 0, 0, 200, 76);
INSERT INTO public.who_data VALUES (47233, 2, 227, 0, 0, 200, 30);
INSERT INTO public.who_data VALUES (47234, 0, 27, 0, 1, 200, 128);
INSERT INTO public.who_data VALUES (47235, 17, 7483, 2, 331, 200, 86);
INSERT INTO public.who_data VALUES (47236, 965, 180037, 1, 30176, 200, 140);
INSERT INTO public.who_data VALUES (47237, 50, 7998, 1, 45, 200, 44);
INSERT INTO public.who_data VALUES (47238, 2, 64, 0, 0, 200, 113);
INSERT INTO public.who_data VALUES (47239, 0, 7646, 0, 51, 200, 29);
INSERT INTO public.who_data VALUES (47240, 301, 799, 7, 16, 200, 125);
INSERT INTO public.who_data VALUES (47241, 15, 1197, 0, 17, 200, 131);
INSERT INTO public.who_data VALUES (47242, 741, 212022, 12, 9168, 200, 46);
INSERT INTO public.who_data VALUES (47243, 798, 37812, 9, 191, 200, 10);
INSERT INTO public.who_data VALUES (47244, 0, 188, 0, 0, 200, 205);
INSERT INTO public.who_data VALUES (47245, 118, 4855, 0, 209, 200, 50);
INSERT INTO public.who_data VALUES (47246, 0, 14, 0, 0, 200, 20);
INSERT INTO public.who_data VALUES (47247, 0, 24, 0, 0, 200, 13);
INSERT INTO public.who_data VALUES (47248, 7, 272, 0, 14, 200, 148);
INSERT INTO public.who_data VALUES (47249, 0, 367, 0, 5, 200, 230);
INSERT INTO public.who_data VALUES (47250, 823, 52365, 24, 2037, 200, 190);
INSERT INTO public.who_data VALUES (47251, 0, 252, 0, 13, 200, 188);
INSERT INTO public.who_data VALUES (47252, 71, 7489, 2, 48, 200, 123);
INSERT INTO public.who_data VALUES (47253, 41, 2022, 0, 27, 200, 9);
INSERT INTO public.who_data VALUES (47254, 0, 474, 0, 21, 200, 102);
INSERT INTO public.who_data VALUES (47255, 35, 7511, 1, 166, 200, 34);
INSERT INTO public.who_data VALUES (47256, 0, 12, 0, 0, 200, 212);
INSERT INTO public.who_data VALUES (47257, 597, 43794, 7, 1384, 200, 122);
INSERT INTO public.who_data VALUES (47258, 9, 4553, 1, 598, 200, 38);
INSERT INTO public.who_data VALUES (47259, 3, 1918, 0, 10, 200, 130);
INSERT INTO public.who_data VALUES (47260, 52509, 1908254, 857, 39795, 200, 37);
INSERT INTO public.who_data VALUES (47261, 1922, 115056, 86, 5388, 200, 231);
INSERT INTO public.who_data VALUES (47262, 2751, 314786, 212, 17617, 200, 107);
INSERT INTO public.who_data VALUES (47263, 2836, 134722, 83, 5017, 200, 101);
INSERT INTO public.who_data VALUES (47264, 45, 26253, 0, 1763, 200, 132);
INSERT INTO public.who_data VALUES (47265, 0, 336, 0, 24, 200, 176);
INSERT INTO public.who_data VALUES (47266, 1800, 74877, 15, 604, 200, 200);
INSERT INTO public.who_data VALUES (47267, 190, 248419, 5, 35171, 200, 169);
INSERT INTO public.who_data VALUES (47268, 11, 905, 0, 12, 200, 225);
INSERT INTO public.who_data VALUES (47269, 1271, 41129, 6, 1022, 200, 165);
INSERT INTO public.who_data VALUES (47270, 4, 339, 0, 31, 200, 233);
INSERT INTO public.who_data VALUES (47271, 6, 1292, 0, 11, 200, 215);
INSERT INTO public.who_data VALUES (47272, 2590, 105526, 0, 1109, 200, 177);
INSERT INTO public.who_data VALUES (47273, 605, 23202, 6, 388, 200, 183);
INSERT INTO public.who_data VALUES (47274, 0, 0, 0, 0, 200, 203);
INSERT INTO public.who_data VALUES (47275, 225, 9231, 13, 259, 200, 162);
INSERT INTO public.who_data VALUES (47276, 475, 68774, 4, 465, 200, 12);
INSERT INTO public.who_data VALUES (47277, 569, 38110, 11, 993, 200, 24);
INSERT INTO public.who_data VALUES (47278, 0, 20, 0, 0, 200, 119);
INSERT INTO public.who_data VALUES (47279, 3, 1249, 0, 32, 200, 39);
INSERT INTO public.who_data VALUES (47280, 209, 5271, 1, 66, 200, 26);
INSERT INTO public.who_data VALUES (47281, 8, 726, 2, 21, 200, 59);
INSERT INTO public.who_data VALUES (47282, 2, 1216, 0, 78, 200, 77);
INSERT INTO public.who_data VALUES (47283, 161, 4224, 3, 96, 200, 134);
INSERT INTO public.who_data VALUES (47284, 0, 89, 0, 1, 200, 4);
INSERT INTO public.who_data VALUES (47285, 10, 2141, 0, 80, 200, 109);
INSERT INTO public.who_data VALUES (47286, 53, 6917, 0, 118, 200, 90);
INSERT INTO public.who_data VALUES (47287, 235, 11895, 5, 123, 200, 61);
INSERT INTO public.who_data VALUES (47288, 88, 4361, 5, 128, 200, 85);
INSERT INTO public.who_data VALUES (47289, 1, 9002, 0, 125, 200, 49);
INSERT INTO public.who_data VALUES (47290, 153, 4446, 1, 19, 200, 208);
INSERT INTO public.who_data VALUES (47291, 0, 2543, 0, 124, 200, 166);
INSERT INTO public.who_data VALUES (47292, 16, 799, 0, 9, 200, 64);
INSERT INTO public.who_data VALUES (47293, 0, 0, 0, 0, 200, 199);
INSERT INTO public.who_data VALUES (47294, 0, 269, 0, 15, 200, 114);
INSERT INTO public.who_data VALUES (47295, 36, 6418, 0, 157, 200, 60);
INSERT INTO public.who_data VALUES (47296, 0, 344, 0, 10, 200, 68);
INSERT INTO public.who_data VALUES (47297, 15, 3023, 0, 39, 200, 158);
INSERT INTO public.who_data VALUES (47298, 4767, 443813, 266, 48012, 200, 52);
INSERT INTO public.who_data VALUES (47299, 0, 0, 0, 0, 200, 117);
INSERT INTO public.who_data VALUES (47300, 2, 90, 0, 1, 200, 126);
INSERT INTO public.who_data VALUES (47301, 0, 293, 0, 0, 200, 196);
INSERT INTO public.who_data VALUES (47302, 54, 3438, 3, 57, 200, 142);
INSERT INTO public.who_data VALUES (47303, 0, 13, 0, 1, 200, 185);
INSERT INTO public.who_data VALUES (47304, 1021, 27217, 16, 417, 200, 138);
INSERT INTO public.who_data VALUES (47305, 56, 2029, 1, 15, 200, 181);
INSERT INTO public.who_data VALUES (47306, 1, 356, 0, 6, 200, 178);
INSERT INTO public.who_data VALUES (47307, 64, 2470, 0, 12, 200, 168);
INSERT INTO public.who_data VALUES (47308, 0, 0, 0, 0, 200, 160);
INSERT INTO public.who_data VALUES (47309, 259, 21009, 1, 58, 200, 151);
INSERT INTO public.who_data VALUES (47310, 487, 55894, 2, 6149, 200, 193);
INSERT INTO public.who_data VALUES (47311, 0, 22, 0, 0, 200, 18);
INSERT INTO public.who_data VALUES (47312, 2, 1219, 0, 22, 200, 40);
INSERT INTO public.who_data VALUES (47313, 186, 3266, 7, 123, 200, 218);
INSERT INTO public.who_data VALUES (47314, 5, 1152, 0, 69, 200, 191);
INSERT INTO public.who_data VALUES (47315, 304, 44433, 14, 910, 200, 156);
INSERT INTO public.who_data VALUES (47316, 0, 0, 0, 0, 200, 135);
INSERT INTO public.who_data VALUES (47317, 0, 46, 0, 2, 200, 88);
INSERT INTO public.who_data VALUES (47318, 61, 11201, 5, 505, 200, 55);
INSERT INTO public.who_data VALUES (47319, 65, 9333, 0, 256, 200, 108);
INSERT INTO public.who_data VALUES (47320, 604, 16628, 2, 89, 200, 48);
INSERT INTO public.who_data VALUES (47321, 0, 79701, 0, 483, 200, 3);
INSERT INTO public.who_data VALUES (47322, 0, 741, 0, 13, 200, 224);
INSERT INTO public.who_data VALUES (47323, 675, 281136, 15, 6014, 200, 110);
INSERT INTO public.who_data VALUES (47324, 0, 0, 0, 0, 200, 106);
INSERT INTO public.who_data VALUES (47325, 1003, 68456, 26, 1497, 200, 89);
INSERT INTO public.who_data VALUES (47326, 3, 114, 0, 2, 200, 121);
INSERT INTO public.who_data VALUES (47327, 80, 5724, 3, 55, 200, 163);
INSERT INTO public.who_data VALUES (47328, 4250, 433100, 197, 19811, 200, 70);
INSERT INTO public.who_data VALUES (47329, 6263, 112593, 11, 2115, 200, 174);
INSERT INTO public.who_data VALUES (47330, 0, 0, 0, 0, 200, 175);
INSERT INTO public.who_data VALUES (47331, 680, 48149, 6, 1738, 200, 118);
INSERT INTO public.who_data VALUES (47332, 112, 51681, 1, 1739, 200, 189);
INSERT INTO public.who_data VALUES (47333, 533, 19324, 7, 237, 200, 124);
INSERT INTO public.who_data VALUES (47334, 216, 111538, 0, 177, 200, 192);
INSERT INTO public.who_data VALUES (47335, 33, 14456, 1, 302, 200, 41);
INSERT INTO public.who_data VALUES (47336, 332, 25814, 10, 810, 200, 95);
INSERT INTO public.who_data VALUES (47337, 2, 669, 0, 4, 200, 74);
INSERT INTO public.who_data VALUES (47338, 1232, 55241, 48, 2480, 200, 11);
INSERT INTO public.who_data VALUES (47339, 5204, 866627, 139, 14490, 200, 87);
INSERT INTO public.who_data VALUES (47340, 7, 2099, 0, 5, 200, 214);
INSERT INTO public.who_data VALUES (47341, 0, 5, 0, 0, 200, 116);
INSERT INTO public.who_data VALUES (47342, 0, 9, 0, 0, 200, 157);
INSERT INTO public.who_data VALUES (47343, 0, 0, 0, 0, 200, 182);
INSERT INTO public.who_data VALUES (47344, 0, 17, 0, 0, 200, 186);
INSERT INTO public.who_data VALUES (47345, 0, 25, 0, 0, 200, 127);
INSERT INTO public.who_data VALUES (47346, 0, 53, 0, 3, 200, 232);
INSERT INTO public.who_data VALUES (47347, 0, 4, 0, 0, 200, 33);
INSERT INTO public.who_data VALUES (47348, 0, 55, 0, 0, 200, 97);
INSERT INTO public.who_data VALUES (47349, 0, 0, 0, 0, 200, 42);
INSERT INTO public.who_data VALUES (47350, 0, 716, 0, 42, 200, 198);
INSERT INTO public.who_data VALUES (47351, 1, 875, 0, 15, 200, 216);
INSERT INTO public.who_data VALUES (47352, 1342, 281435, 35, 2984, 200, 164);
INSERT INTO public.who_data VALUES (47353, 46, 10432, 3, 214, 200, 235);
INSERT INTO public.who_data VALUES (47354, 287, 26738, 7, 605, 200, 67);
INSERT INTO public.who_data VALUES (47355, 0, 114, 0, 0, 200, 15);
INSERT INTO public.who_data VALUES (47356, 7, 1855, 0, 67, 200, 180);
INSERT INTO public.who_data VALUES (47357, 295, 53346, 0, 27, 200, 237);
INSERT INTO public.who_data VALUES (47358, 0, 3, 0, 0, 200, 25);
INSERT INTO public.who_data VALUES (47359, 4, 150, 0, 16, 200, 209);
INSERT INTO public.who_data VALUES (47360, 10, 2354, 0, 29, 200, 217);
INSERT INTO public.who_data VALUES (47361, 9, 2191, 1, 125, 200, 79);
INSERT INTO public.who_data VALUES (47362, 0, 0, 0, 0, 200, 143);
INSERT INTO public.who_data VALUES (47363, 0, 3220, 0, 93, 200, 229);
INSERT INTO public.who_data VALUES (47364, 4456, 521318, 518, 8884, 200, 141);
INSERT INTO public.who_data VALUES (47365, 0, 2437, 0, 47, 200, 197);
INSERT INTO public.who_data VALUES (47366, 2842, 318155, 12, 29959, 200, 221);
INSERT INTO public.who_data VALUES (47367, 6, 2834, 0, 11, 200, 150);
INSERT INTO public.who_data VALUES (47368, 0, 11780, 0, 763, 200, 56);
INSERT INTO public.who_data VALUES (47369, 44, 1893, 0, 27, 200, 167);
INSERT INTO public.who_data VALUES (47370, 165, 77449, 4, 5763, 200, 23);
INSERT INTO public.who_data VALUES (47371, 181, 36001, 1, 1744, 200, 222);
INSERT INTO public.who_data VALUES (47372, 45, 892, 0, 46, 200, 219);
INSERT INTO public.who_data VALUES (47373, 45, 7583, 0, 61, 200, 7);
INSERT INTO public.who_data VALUES (47374, 7, 3328, 0, 58, 200, 161);
INSERT INTO public.who_data VALUES (47375, 670, 306297, 18, 41226, 200, 149);
INSERT INTO public.who_data VALUES (47376, 0, 25, 0, 0, 200, 6);
INSERT INTO public.who_data VALUES (47377, 15, 976, 0, 19, 200, 139);
INSERT INTO public.who_data VALUES (47378, 0, 0, 0, 0, 200, 211);
INSERT INTO public.who_data VALUES (47379, 0, 0, 0, 0, 200, 14);
INSERT INTO public.who_data VALUES (47380, 10, 192, 0, 8, 200, 111);
INSERT INTO public.who_data VALUES (47381, 17, 1601, 0, 51, 200, 207);
INSERT INTO public.who_data VALUES (47382, 7813, 288774, 18, 5765, 200, 66);
INSERT INTO public.who_data VALUES (47383, 0, 0, 0, 0, 200, 173);
INSERT INTO public.who_data VALUES (47384, 2, 116, 0, 2, 200, 145);
INSERT INTO public.who_data VALUES (47385, 0, 0, 0, 0, 200, 65);
INSERT INTO public.who_data VALUES (47386, 8, 1203, 0, 5, 200, 184);
INSERT INTO public.who_data VALUES (47387, 1271, 75490, 24, 1788, 200, 98);
INSERT INTO public.who_data VALUES (47388, 189, 61352, 0, 351, 200, 104);
INSERT INTO public.who_data VALUES (47389, 0, 509, 0, 21, 200, 73);
INSERT INTO public.who_data VALUES (47390, 49151, 4678610, 726, 154952, 200, 8);
INSERT INTO public.who_data VALUES (47391, 24, 463, 0, 8, 200, 227);
INSERT INTO public.who_data VALUES (47392, 5, 1291, 0, 36, 200, 75);
INSERT INTO public.who_data VALUES (47393, 764, 27314, 6, 167, 200, 45);
INSERT INTO public.who_data VALUES (47394, 0, 0, 0, 0, 200, 133);
INSERT INTO public.who_data VALUES (47395, 548, 20754, 6, 180, 200, 202);
INSERT INTO public.who_data VALUES (47396, 20, 672, 2, 8, 200, 129);
INSERT INTO public.who_data VALUES (47397, 0, 0, 0, 0, 200, 36);
INSERT INTO public.who_data VALUES (47398, 26, 1764, 7, 507, 200, 51);
INSERT INTO public.who_data VALUES (47399, 0, 6580, 0, 171, 200, 206);
INSERT INTO public.who_data VALUES (47400, 146, 4221, 1, 81, 200, 5);
INSERT INTO public.who_data VALUES (47401, 37, 36833, 5, 1292, 201, 103);
INSERT INTO public.who_data VALUES (47402, 101, 5620, 6, 172, 201, 58);
INSERT INTO public.who_data VALUES (47403, 507, 31972, -2, 1229, 201, 195);
INSERT INTO public.who_data VALUES (47404, 0, 0, 0, 0, 201, 115);
INSERT INTO public.who_data VALUES (47405, 1, 937, 0, 52, 201, 99);
INSERT INTO public.who_data VALUES (47406, 116, 1280, 4, 58, 201, 153);
INSERT INTO public.who_data VALUES (47407, 0, 3, 0, 0, 201, 93);
INSERT INTO public.who_data VALUES (47408, 0, 91, 0, 3, 201, 84);
INSERT INTO public.who_data VALUES (47409, 5376, 201919, 55, 3667, 201, 78);
INSERT INTO public.who_data VALUES (47410, 196, 38611, 6, 763, 201, 170);
INSERT INTO public.who_data VALUES (47411, 2, 122, 0, 3, 201, 32);
INSERT INTO public.who_data VALUES (47412, 395, 18318, 13, 221, 201, 155);
INSERT INTO public.who_data VALUES (47413, 32, 21341, 0, 718, 201, 82);
INSERT INTO public.who_data VALUES (47414, 241, 32684, 6, 468, 201, 16);
INSERT INTO public.who_data VALUES (47415, 74, 648, 0, 14, 201, 72);
INSERT INTO public.who_data VALUES (47416, 299, 41835, 3, 150, 201, 43);
INSERT INTO public.who_data VALUES (47417, 1356, 242102, 30, 3184, 201, 120);
INSERT INTO public.who_data VALUES (47418, 10, 132, 0, 7, 201, 213);
INSERT INTO public.who_data VALUES (47419, 99, 68166, 4, 571, 201, 31);
INSERT INTO public.who_data VALUES (47420, 794, 71626, 3, 9708, 201, 204);
INSERT INTO public.who_data VALUES (47421, 1, 57, 0, 2, 201, 152);
INSERT INTO public.who_data VALUES (47422, 109, 1914, 2, 38, 201, 144);
INSERT INTO public.who_data VALUES (47423, 1, 157, 0, 9, 201, 96);
INSERT INTO public.who_data VALUES (47424, 0, 103, 0, 0, 201, 47);
INSERT INTO public.who_data VALUES (47425, 1360, 80153, 89, 3153, 201, 80);
INSERT INTO public.who_data VALUES (47426, 0, 5, 0, 0, 201, 159);
INSERT INTO public.who_data VALUES (47427, 181, 12477, 11, 358, 201, 27);
INSERT INTO public.who_data VALUES (47428, 0, 804, 0, 2, 201, 146);
INSERT INTO public.who_data VALUES (47429, 25800, 2733677, 541, 94104, 201, 71);
INSERT INTO public.who_data VALUES (47430, 0, 8, 0, 1, 201, 210);
INSERT INTO public.who_data VALUES (47431, 0, 141, 0, 3, 201, 54);
INSERT INTO public.who_data VALUES (47432, 0, 11955, 0, 388, 201, 147);
INSERT INTO public.who_data VALUES (47433, 1, 1150, 0, 53, 201, 2);
INSERT INTO public.who_data VALUES (47434, 0, 395, 0, 1, 201, 105);
INSERT INTO public.who_data VALUES (47435, 36, 2583, 1, 25, 201, 53);
INSERT INTO public.who_data VALUES (47436, 1, 241, 0, 0, 201, 81);
INSERT INTO public.who_data VALUES (47437, 463, 17718, 0, 391, 201, 223);
INSERT INTO public.who_data VALUES (47438, 285, 116884, 4, 8945, 201, 94);
INSERT INTO public.who_data VALUES (47439, 0, 203, 0, 1, 201, 154);
INSERT INTO public.who_data VALUES (47440, 0, 4614, 0, 59, 201, 83);
INSERT INTO public.who_data VALUES (47441, 0, 936, 0, 75, 201, 194);
INSERT INTO public.who_data VALUES (47442, 1762, 361493, 99, 9707, 201, 136);
INSERT INTO public.who_data VALUES (47443, 114, 88573, 3, 4679, 201, 179);
INSERT INTO public.who_data VALUES (47444, 11470, 317651, 320, 10650, 201, 57);
INSERT INTO public.who_data VALUES (47445, 0, 386, 0, 7, 201, 35);
INSERT INTO public.who_data VALUES (47446, 0, 3387, 1, 57, 201, 228);
INSERT INTO public.who_data VALUES (47447, 0, 0, 0, 0, 201, 19);
INSERT INTO public.who_data VALUES (47448, 788, 18975, 8, 162, 201, 22);
INSERT INTO public.who_data VALUES (47449, 38, 16220, 0, 102, 201, 1);
INSERT INTO public.who_data VALUES (47450, 36, 5296, 4, 153, 201, 21);
INSERT INTO public.who_data VALUES (47451, 24, 2670, 0, 87, 201, 234);
INSERT INTO public.who_data VALUES (47452, 0, 29, 0, 1, 201, 91);
INSERT INTO public.who_data VALUES (47453, 5, 1155, 0, 19, 201, 137);
INSERT INTO public.who_data VALUES (47454, 208, 17008, 0, 383, 201, 201);
INSERT INTO public.who_data VALUES (47455, 0, 0, 0, 0, 201, 171);
INSERT INTO public.who_data VALUES (47456, 18, 9132, 0, 214, 201, 92);
INSERT INTO public.who_data VALUES (47457, 207, 13996, 1, 616, 201, 112);
INSERT INTO public.who_data VALUES (47458, 79, 5240, 0, 59, 201, 62);
INSERT INTO public.who_data VALUES (47459, 0, 18, 0, 0, 201, 69);
INSERT INTO public.who_data VALUES (47460, 874, 73117, 5, 1183, 201, 220);
INSERT INTO public.who_data VALUES (47461, 809, 87041, 31, 5767, 201, 100);
INSERT INTO public.who_data VALUES (47462, 157, 94640, 23, 4888, 201, 187);
INSERT INTO public.who_data VALUES (47463, 395, 17843, 10, 477, 201, 63);
INSERT INTO public.who_data VALUES (47464, 0, 4821, 0, 83, 201, 28);
INSERT INTO public.who_data VALUES (47465, 3, 282, 0, 0, 201, 172);
INSERT INTO public.who_data VALUES (47466, 1, 2080, 0, 63, 201, 17);
INSERT INTO public.who_data VALUES (47467, 63, 2838, 0, 42, 201, 226);
INSERT INTO public.who_data VALUES (47468, 583, 19289, 26, 336, 201, 236);
INSERT INTO public.who_data VALUES (47469, 0, 13, 0, 0, 201, 76);
INSERT INTO public.who_data VALUES (47470, 0, 225, 0, 0, 201, 30);
INSERT INTO public.who_data VALUES (47471, 0, 27, 0, 1, 201, 128);
INSERT INTO public.who_data VALUES (47472, 13, 7466, 0, 329, 201, 86);
INSERT INTO public.who_data VALUES (47473, 3152, 179072, 28, 30175, 201, 140);
INSERT INTO public.who_data VALUES (47474, 91, 7948, 1, 44, 201, 44);
INSERT INTO public.who_data VALUES (47475, 0, 62, 0, 0, 201, 113);
INSERT INTO public.who_data VALUES (47476, 115, 7646, 1, 51, 201, 29);
INSERT INTO public.who_data VALUES (47477, 0, 498, 0, 9, 201, 125);
INSERT INTO public.who_data VALUES (47478, 3, 1182, 0, 17, 201, 131);
INSERT INTO public.who_data VALUES (47479, 879, 211281, 8, 9156, 201, 46);
INSERT INTO public.who_data VALUES (47480, 0, 37014, 0, 182, 201, 10);
INSERT INTO public.who_data VALUES (47481, 0, 188, 0, 0, 201, 205);
INSERT INTO public.who_data VALUES (47482, 75, 4737, 1, 209, 201, 50);
INSERT INTO public.who_data VALUES (47483, 0, 14, 0, 0, 201, 20);
INSERT INTO public.who_data VALUES (47484, 0, 24, 0, 0, 201, 13);
INSERT INTO public.who_data VALUES (47485, 0, 265, 0, 14, 201, 148);
INSERT INTO public.who_data VALUES (47486, 16, 367, 0, 5, 201, 230);
INSERT INTO public.who_data VALUES (47487, 236, 51542, 18, 2013, 201, 190);
INSERT INTO public.who_data VALUES (47488, 0, 252, 0, 13, 201, 188);
INSERT INTO public.who_data VALUES (47489, 54, 7418, 0, 46, 201, 123);
INSERT INTO public.who_data VALUES (47490, 0, 1981, 0, 27, 201, 9);
INSERT INTO public.who_data VALUES (47491, 44, 474, 1, 21, 201, 102);
INSERT INTO public.who_data VALUES (47492, 8, 7476, 0, 165, 201, 34);
INSERT INTO public.who_data VALUES (47493, 0, 12, 0, 0, 201, 212);
INSERT INTO public.who_data VALUES (47494, 512, 43197, 9, 1377, 201, 122);
INSERT INTO public.who_data VALUES (47495, 9, 4544, 0, 597, 201, 38);
INSERT INTO public.who_data VALUES (47496, 8, 1915, 0, 10, 201, 130);
INSERT INTO public.who_data VALUES (47497, 52050, 1855745, 803, 38938, 201, 37);
INSERT INTO public.who_data VALUES (47498, 1679, 113134, 66, 5302, 201, 231);
INSERT INTO public.who_data VALUES (47499, 2598, 312035, 215, 17405, 201, 107);
INSERT INTO public.who_data VALUES (47500, 2735, 131886, 66, 4934, 201, 101);
INSERT INTO public.who_data VALUES (47501, 46, 26208, 0, 1763, 201, 132);
INSERT INTO public.who_data VALUES (47502, 0, 336, 0, 24, 201, 176);
INSERT INTO public.who_data VALUES (47503, 708, 73077, 11, 589, 201, 200);
INSERT INTO public.who_data VALUES (47504, 159, 248229, 12, 35166, 201, 169);
INSERT INTO public.who_data VALUES (47505, 11, 894, 2, 12, 201, 225);
INSERT INTO public.who_data VALUES (47506, 1171, 39858, 4, 1016, 201, 165);
INSERT INTO public.who_data VALUES (47507, 0, 335, 0, 31, 201, 233);
INSERT INTO public.who_data VALUES (47508, 5, 1286, 0, 11, 201, 215);
INSERT INTO public.who_data VALUES (47509, 2861, 102936, 0, 1109, 201, 177);
INSERT INTO public.who_data VALUES (47510, 544, 22597, 13, 382, 201, 183);
INSERT INTO public.who_data VALUES (47511, 0, 0, 0, 0, 201, 203);
INSERT INTO public.who_data VALUES (47512, 250, 9006, 7, 246, 201, 162);
INSERT INTO public.who_data VALUES (47513, 388, 68299, 4, 461, 201, 12);
INSERT INTO public.who_data VALUES (47514, 412, 37541, 7, 982, 201, 24);
INSERT INTO public.who_data VALUES (47515, 0, 20, 0, 0, 201, 119);
INSERT INTO public.who_data VALUES (47516, 3, 1246, 0, 32, 201, 39);
INSERT INTO public.who_data VALUES (47517, 177, 5062, 3, 65, 201, 26);
INSERT INTO public.who_data VALUES (47518, 0, 718, 0, 19, 201, 59);
INSERT INTO public.who_data VALUES (47519, 7, 1214, 1, 78, 201, 77);
INSERT INTO public.who_data VALUES (47520, 226, 4063, 10, 93, 201, 134);
INSERT INTO public.who_data VALUES (47521, 0, 89, 0, 1, 201, 4);
INSERT INTO public.who_data VALUES (47522, 17, 2131, 0, 80, 201, 109);
INSERT INTO public.who_data VALUES (47523, 169, 6864, 1, 118, 201, 90);
INSERT INTO public.who_data VALUES (47524, 132, 11660, 4, 118, 201, 61);
INSERT INTO public.who_data VALUES (47525, 42, 4273, 0, 123, 201, 85);
INSERT INTO public.who_data VALUES (47526, 2, 9001, 0, 125, 201, 49);
INSERT INTO public.who_data VALUES (47527, 129, 4293, 0, 18, 201, 208);
INSERT INTO public.who_data VALUES (47528, 8, 2543, 0, 124, 201, 166);
INSERT INTO public.who_data VALUES (47529, 14, 783, 0, 9, 201, 64);
INSERT INTO public.who_data VALUES (47530, 0, 0, 0, 0, 201, 199);
INSERT INTO public.who_data VALUES (47531, 0, 269, 0, 15, 201, 114);
INSERT INTO public.who_data VALUES (47532, 59, 6382, 0, 157, 201, 60);
INSERT INTO public.who_data VALUES (47533, 0, 344, 0, 10, 201, 68);
INSERT INTO public.who_data VALUES (47534, 46, 3008, 0, 39, 201, 158);
INSERT INTO public.who_data VALUES (47535, 4853, 439046, 274, 47746, 201, 52);
INSERT INTO public.who_data VALUES (47536, 0, 0, 0, 0, 201, 117);
INSERT INTO public.who_data VALUES (47537, 1, 88, 0, 1, 201, 126);
INSERT INTO public.who_data VALUES (47538, 0, 293, 0, 0, 201, 196);
INSERT INTO public.who_data VALUES (47539, 60, 3384, 1, 54, 201, 142);
INSERT INTO public.who_data VALUES (47540, 0, 13, 0, 1, 201, 185);
INSERT INTO public.who_data VALUES (47541, 659, 26196, 19, 401, 201, 138);
INSERT INTO public.who_data VALUES (47542, 27, 1973, 1, 14, 201, 181);
INSERT INTO public.who_data VALUES (47543, 2, 355, 0, 6, 201, 178);
INSERT INTO public.who_data VALUES (47544, 112, 2406, 1, 12, 201, 168);
INSERT INTO public.who_data VALUES (47545, 0, 0, 0, 0, 201, 160);
INSERT INTO public.who_data VALUES (47546, 418, 20750, 0, 57, 201, 151);
INSERT INTO public.who_data VALUES (47547, 372, 55407, 0, 6147, 201, 193);
INSERT INTO public.who_data VALUES (47548, 0, 22, 0, 0, 201, 18);
INSERT INTO public.who_data VALUES (47549, 0, 1217, 0, 22, 201, 40);
INSERT INTO public.who_data VALUES (47550, 0, 3080, 0, 116, 201, 218);
INSERT INTO public.who_data VALUES (47551, 9, 1147, 0, 69, 201, 191);
INSERT INTO public.who_data VALUES (47552, 288, 44129, 8, 896, 201, 156);
INSERT INTO public.who_data VALUES (47553, 0, 0, 0, 0, 201, 135);
INSERT INTO public.who_data VALUES (47554, 1, 46, 0, 2, 201, 88);
INSERT INTO public.who_data VALUES (47555, 74, 11140, 3, 500, 201, 55);
INSERT INTO public.who_data VALUES (47556, 60, 9268, 1, 256, 201, 108);
INSERT INTO public.who_data VALUES (47557, 244, 16024, 0, 87, 201, 48);
INSERT INTO public.who_data VALUES (47558, 542, 79701, 62, 483, 201, 3);
INSERT INTO public.who_data VALUES (47559, 0, 741, 0, 13, 201, 224);
INSERT INTO public.who_data VALUES (47560, 432, 280461, 15, 5999, 201, 110);
INSERT INTO public.who_data VALUES (47561, 0, 0, 0, 0, 201, 106);
INSERT INTO public.who_data VALUES (47562, 1070, 67453, 22, 1471, 201, 89);
INSERT INTO public.who_data VALUES (47563, 1, 111, 0, 2, 201, 121);
INSERT INTO public.who_data VALUES (47564, 159, 5644, 0, 52, 201, 163);
INSERT INTO public.who_data VALUES (47565, 6667, 428850, 206, 19614, 201, 70);
INSERT INTO public.who_data VALUES (47566, 3145, 106330, 45, 2104, 201, 174);
INSERT INTO public.who_data VALUES (47567, 0, 0, 0, 0, 201, 175);
INSERT INTO public.who_data VALUES (47568, 575, 47469, 1, 1732, 201, 118);
INSERT INTO public.who_data VALUES (47569, 106, 51569, 0, 1738, 201, 189);
INSERT INTO public.who_data VALUES (47570, 380, 18791, 0, 230, 201, 124);
INSERT INTO public.who_data VALUES (47571, 215, 111322, 0, 177, 201, 192);
INSERT INTO public.who_data VALUES (47572, 34, 14423, 0, 301, 201, 41);
INSERT INTO public.who_data VALUES (47573, 120, 25482, 8, 800, 201, 95);
INSERT INTO public.who_data VALUES (47574, 0, 667, 0, 4, 201, 74);
INSERT INTO public.who_data VALUES (47575, 823, 54009, 19, 2432, 201, 11);
INSERT INTO public.who_data VALUES (47576, 5159, 861423, 144, 14351, 201, 87);
INSERT INTO public.who_data VALUES (47577, 30, 2092, 0, 5, 201, 214);
INSERT INTO public.who_data VALUES (47578, 0, 5, 0, 0, 201, 116);
INSERT INTO public.who_data VALUES (47579, 0, 9, 0, 0, 201, 157);
INSERT INTO public.who_data VALUES (47580, 0, 0, 0, 0, 201, 182);
INSERT INTO public.who_data VALUES (47581, 0, 17, 0, 0, 201, 186);
INSERT INTO public.who_data VALUES (47582, 0, 25, 0, 0, 201, 127);
INSERT INTO public.who_data VALUES (47583, 0, 53, 0, 3, 201, 232);
INSERT INTO public.who_data VALUES (47584, 0, 4, 0, 0, 201, 33);
INSERT INTO public.who_data VALUES (47585, 1, 55, 0, 0, 201, 97);
INSERT INTO public.who_data VALUES (47586, 0, 0, 0, 0, 201, 42);
INSERT INTO public.who_data VALUES (47587, 0, 716, 0, 42, 201, 198);
INSERT INTO public.who_data VALUES (47588, 0, 874, 0, 15, 201, 216);
INSERT INTO public.who_data VALUES (47589, 1258, 280093, 32, 2949, 201, 164);
INSERT INTO public.who_data VALUES (47590, 42, 10386, 2, 211, 201, 235);
INSERT INTO public.who_data VALUES (47591, 258, 26451, 8, 598, 201, 67);
INSERT INTO public.who_data VALUES (47592, 0, 114, 0, 0, 201, 15);
INSERT INTO public.who_data VALUES (47593, 5, 1848, 0, 67, 201, 180);
INSERT INTO public.who_data VALUES (47594, 226, 53051, 0, 27, 201, 237);
INSERT INTO public.who_data VALUES (47595, 0, 3, 0, 0, 201, 25);
INSERT INTO public.who_data VALUES (47596, 18, 146, 1, 16, 201, 209);
INSERT INTO public.who_data VALUES (47597, 7, 2344, 0, 29, 201, 217);
INSERT INTO public.who_data VALUES (47598, 1, 2182, 2, 124, 201, 79);
INSERT INTO public.who_data VALUES (47599, 0, 0, 0, 0, 201, 143);
INSERT INTO public.who_data VALUES (47600, 0, 3220, 0, 93, 201, 229);
INSERT INTO public.who_data VALUES (47601, 5377, 516862, 0, 8366, 201, 141);
INSERT INTO public.who_data VALUES (47602, 8, 2437, 1, 47, 201, 197);
INSERT INTO public.who_data VALUES (47603, 1911, 315313, 14, 29947, 201, 221);
INSERT INTO public.who_data VALUES (47604, 5, 2828, 0, 11, 201, 150);
INSERT INTO public.who_data VALUES (47605, 42, 11780, 11, 763, 201, 56);
INSERT INTO public.who_data VALUES (47606, 89, 1849, 1, 27, 201, 167);
INSERT INTO public.who_data VALUES (47607, 38, 77284, 3, 5759, 201, 23);
INSERT INTO public.who_data VALUES (47608, 196, 35820, 0, 1743, 201, 222);
INSERT INTO public.who_data VALUES (47609, 38, 847, 2, 46, 201, 219);
INSERT INTO public.who_data VALUES (47610, 43, 7538, 0, 61, 201, 7);
INSERT INTO public.who_data VALUES (47611, 1, 3321, 0, 58, 201, 161);
INSERT INTO public.who_data VALUES (47612, 928, 305627, 1, 41208, 201, 149);
INSERT INTO public.who_data VALUES (47613, 1, 25, 0, 0, 201, 6);
INSERT INTO public.who_data VALUES (47614, 34, 961, 1, 19, 201, 139);
INSERT INTO public.who_data VALUES (47615, 0, 0, 0, 0, 201, 211);
INSERT INTO public.who_data VALUES (47616, 0, 0, 0, 0, 201, 14);
INSERT INTO public.who_data VALUES (47617, 2, 182, 0, 8, 201, 111);
INSERT INTO public.who_data VALUES (47618, 19, 1584, 0, 51, 201, 207);
INSERT INTO public.who_data VALUES (47619, 7725, 280961, 19, 5747, 201, 66);
INSERT INTO public.who_data VALUES (47620, 0, 0, 0, 0, 201, 173);
INSERT INTO public.who_data VALUES (47621, 0, 114, 0, 2, 201, 145);
INSERT INTO public.who_data VALUES (47622, 0, 0, 0, 0, 201, 65);
INSERT INTO public.who_data VALUES (47623, 13, 1195, 1, 5, 201, 184);
INSERT INTO public.who_data VALUES (47624, 1061, 74219, 26, 1764, 201, 98);
INSERT INTO public.who_data VALUES (47625, 164, 61163, 0, 351, 201, 104);
INSERT INTO public.who_data VALUES (47626, 0, 509, 0, 21, 201, 73);
INSERT INTO public.who_data VALUES (47627, 47183, 4629459, 469, 154226, 201, 8);
INSERT INTO public.who_data VALUES (47628, 1, 439, 0, 8, 201, 227);
INSERT INTO public.who_data VALUES (47629, 8, 1286, 1, 36, 201, 75);
INSERT INTO public.who_data VALUES (47630, 722, 26550, 6, 161, 201, 45);
INSERT INTO public.who_data VALUES (47631, 0, 0, 0, 0, 201, 133);
INSERT INTO public.who_data VALUES (47632, 763, 20206, 5, 174, 201, 202);
INSERT INTO public.who_data VALUES (47633, 31, 652, 0, 6, 201, 129);
INSERT INTO public.who_data VALUES (47634, 0, 0, 0, 0, 201, 36);
INSERT INTO public.who_data VALUES (47635, 0, 1738, 2, 500, 201, 51);
INSERT INTO public.who_data VALUES (47636, 233, 6580, 1, 171, 201, 206);
INSERT INTO public.who_data VALUES (47637, 154, 4075, 10, 80, 201, 5);
INSERT INTO public.who_data VALUES (47638, 0, 36796, 0, 1287, 202, 103);
INSERT INTO public.who_data VALUES (47639, 123, 5519, 5, 166, 202, 58);
INSERT INTO public.who_data VALUES (47640, 515, 31465, 8, 1231, 202, 195);
INSERT INTO public.who_data VALUES (47641, 0, 0, 0, 0, 202, 115);
INSERT INTO public.who_data VALUES (47642, 6, 936, 0, 52, 202, 99);
INSERT INTO public.who_data VALUES (47643, 16, 1164, 2, 54, 202, 153);
INSERT INTO public.who_data VALUES (47644, 0, 3, 0, 0, 202, 93);
INSERT INTO public.who_data VALUES (47645, 0, 91, 0, 3, 202, 84);
INSERT INTO public.who_data VALUES (47646, 5241, 196543, 69, 3612, 202, 78);
INSERT INTO public.who_data VALUES (47647, 52, 38415, 8, 757, 202, 170);
INSERT INTO public.who_data VALUES (47648, 0, 120, 0, 3, 202, 32);
INSERT INTO public.who_data VALUES (47649, 641, 17923, 8, 208, 202, 155);
INSERT INTO public.who_data VALUES (47650, 85, 21309, 0, 718, 202, 82);
INSERT INTO public.who_data VALUES (47651, 286, 32443, 8, 462, 202, 16);
INSERT INTO public.who_data VALUES (47652, 66, 574, 0, 14, 202, 72);
INSERT INTO public.who_data VALUES (47653, 346, 41536, 0, 147, 202, 43);
INSERT INTO public.who_data VALUES (47654, 886, 240746, 22, 3154, 202, 120);
INSERT INTO public.who_data VALUES (47655, 12, 122, 0, 7, 202, 213);
INSERT INTO public.who_data VALUES (47656, 121, 68067, 4, 567, 202, 31);
INSERT INTO public.who_data VALUES (47657, 148, 70832, 5, 9705, 202, 204);
INSERT INTO public.who_data VALUES (47658, 8, 56, 0, 2, 202, 152);
INSERT INTO public.who_data VALUES (47659, 0, 1805, 0, 36, 202, 144);
INSERT INTO public.who_data VALUES (47660, 0, 156, 0, 9, 202, 96);
INSERT INTO public.who_data VALUES (47661, 1, 103, 0, 0, 202, 47);
INSERT INTO public.who_data VALUES (47662, 2004, 78793, 87, 3064, 202, 80);
INSERT INTO public.who_data VALUES (47663, 0, 5, 0, 0, 202, 159);
INSERT INTO public.who_data VALUES (47664, 188, 12296, 4, 347, 202, 27);
INSERT INTO public.who_data VALUES (47665, 0, 804, 0, 2, 202, 146);
INSERT INTO public.who_data VALUES (47666, 45392, 2707877, 1088, 93563, 202, 71);
INSERT INTO public.who_data VALUES (47667, 0, 8, 0, 1, 202, 210);
INSERT INTO public.who_data VALUES (47668, 0, 141, 0, 3, 202, 54);
INSERT INTO public.who_data VALUES (47669, 119, 11955, 3, 388, 202, 147);
INSERT INTO public.who_data VALUES (47670, 6, 1149, 0, 53, 202, 2);
INSERT INTO public.who_data VALUES (47671, 8, 395, 0, 1, 202, 105);
INSERT INTO public.who_data VALUES (47672, 67, 2547, 0, 24, 202, 53);
INSERT INTO public.who_data VALUES (47673, 0, 240, 0, 0, 202, 81);
INSERT INTO public.who_data VALUES (47674, 0, 17255, 0, 391, 202, 223);
INSERT INTO public.who_data VALUES (47675, 287, 116599, 6, 8941, 202, 94);
INSERT INTO public.who_data VALUES (47676, 0, 203, 0, 1, 202, 154);
INSERT INTO public.who_data VALUES (47677, 0, 4614, 0, 59, 202, 83);
INSERT INTO public.who_data VALUES (47678, 0, 936, 0, 75, 202, 194);
INSERT INTO public.who_data VALUES (47679, 2073, 359731, 75, 9608, 202, 136);
INSERT INTO public.who_data VALUES (47680, 157, 88459, 2, 4676, 202, 179);
INSERT INTO public.who_data VALUES (47681, 10673, 306181, 225, 10330, 202, 57);
INSERT INTO public.who_data VALUES (47682, 4, 386, 0, 7, 202, 35);
INSERT INTO public.who_data VALUES (47683, 0, 3387, 0, 56, 202, 228);
INSERT INTO public.who_data VALUES (47684, 0, 0, 0, 0, 202, 19);
INSERT INTO public.who_data VALUES (47685, 367, 18187, 4, 154, 202, 22);
INSERT INTO public.who_data VALUES (47686, 73, 16182, 0, 102, 202, 1);
INSERT INTO public.who_data VALUES (47687, 36, 5260, 4, 149, 202, 21);
INSERT INTO public.who_data VALUES (47688, 13, 2646, 0, 87, 202, 234);
INSERT INTO public.who_data VALUES (47689, 0, 29, 0, 1, 202, 91);
INSERT INTO public.who_data VALUES (47690, 26, 1150, 0, 19, 202, 137);
INSERT INTO public.who_data VALUES (47691, 101, 16800, 0, 383, 202, 201);
INSERT INTO public.who_data VALUES (47692, 0, 0, 0, 0, 202, 171);
INSERT INTO public.who_data VALUES (47693, 45, 9114, 0, 214, 202, 92);
INSERT INTO public.who_data VALUES (47694, 0, 13789, 0, 615, 202, 112);
INSERT INTO public.who_data VALUES (47695, 80, 5161, 1, 59, 202, 62);
INSERT INTO public.who_data VALUES (47696, 0, 18, 0, 0, 202, 69);
INSERT INTO public.who_data VALUES (47697, 828, 72243, 8, 1178, 202, 220);
INSERT INTO public.who_data VALUES (47698, 0, 86232, 0, 5736, 202, 100);
INSERT INTO public.who_data VALUES (47699, 167, 94483, 31, 4865, 202, 187);
INSERT INTO public.who_data VALUES (47700, 398, 17448, 8, 467, 202, 63);
INSERT INTO public.who_data VALUES (47701, 0, 4821, 0, 83, 202, 28);
INSERT INTO public.who_data VALUES (47702, 0, 279, 0, 0, 202, 172);
INSERT INTO public.who_data VALUES (47703, 7, 2079, 0, 63, 202, 17);
INSERT INTO public.who_data VALUES (47704, 69, 2775, 0, 42, 202, 226);
INSERT INTO public.who_data VALUES (47705, 707, 18706, 26, 310, 202, 236);
INSERT INTO public.who_data VALUES (47706, 0, 13, 0, 0, 202, 76);
INSERT INTO public.who_data VALUES (47707, 0, 225, 0, 0, 202, 30);
INSERT INTO public.who_data VALUES (47708, 0, 27, 0, 1, 202, 128);
INSERT INTO public.who_data VALUES (47709, 10, 7453, 0, 329, 202, 86);
INSERT INTO public.who_data VALUES (47710, 0, 175920, 0, 30147, 202, 140);
INSERT INTO public.who_data VALUES (47711, 0, 7857, 0, 43, 202, 44);
INSERT INTO public.who_data VALUES (47712, 0, 62, 0, 0, 202, 113);
INSERT INTO public.who_data VALUES (47713, 0, 7531, 0, 50, 202, 29);
INSERT INTO public.who_data VALUES (47714, 0, 498, 0, 9, 202, 125);
INSERT INTO public.who_data VALUES (47715, 2, 1179, 0, 17, 202, 131);
INSERT INTO public.who_data VALUES (47716, 509, 210402, 7, 9148, 202, 46);
INSERT INTO public.who_data VALUES (47717, 1513, 37014, 0, 182, 202, 10);
INSERT INTO public.who_data VALUES (47718, 1, 188, 0, 0, 202, 205);
INSERT INTO public.who_data VALUES (47719, 75, 4662, 2, 208, 202, 50);
INSERT INTO public.who_data VALUES (47720, 0, 14, 0, 0, 202, 20);
INSERT INTO public.who_data VALUES (47721, 0, 24, 0, 0, 202, 13);
INSERT INTO public.who_data VALUES (47722, 0, 265, 0, 14, 202, 148);
INSERT INTO public.who_data VALUES (47723, 0, 351, 0, 5, 202, 230);
INSERT INTO public.who_data VALUES (47724, 327, 51306, 38, 1995, 202, 190);
INSERT INTO public.who_data VALUES (47725, 0, 252, 0, 13, 202, 188);
INSERT INTO public.who_data VALUES (47726, 56, 7364, 0, 46, 202, 123);
INSERT INTO public.who_data VALUES (47727, 0, 1981, 0, 27, 202, 9);
INSERT INTO public.who_data VALUES (47728, 17, 430, 0, 20, 202, 102);
INSERT INTO public.who_data VALUES (47729, 44, 7468, 4, 165, 202, 34);
INSERT INTO public.who_data VALUES (47730, 0, 12, 0, 0, 202, 212);
INSERT INTO public.who_data VALUES (47731, 671, 42685, 31, 1368, 202, 122);
INSERT INTO public.who_data VALUES (47732, 9, 4535, 0, 597, 202, 38);
INSERT INTO public.who_data VALUES (47733, 14, 1907, 0, 10, 202, 130);
INSERT INTO public.who_data VALUES (47734, 52972, 1803695, 771, 38135, 202, 37);
INSERT INTO public.who_data VALUES (47735, 1519, 111455, 43, 5236, 202, 231);
INSERT INTO public.who_data VALUES (47736, 2685, 309437, 208, 17190, 202, 107);
INSERT INTO public.who_data VALUES (47737, 2447, 129151, 63, 4868, 202, 101);
INSERT INTO public.who_data VALUES (47738, 53, 26162, 0, 1763, 202, 132);
INSERT INTO public.who_data VALUES (47739, 0, 336, 0, 24, 202, 176);
INSERT INTO public.who_data VALUES (47740, 625, 72369, 14, 578, 202, 200);
INSERT INTO public.who_data VALUES (47741, 238, 248070, 8, 35154, 202, 169);
INSERT INTO public.who_data VALUES (47742, 5, 883, 0, 10, 202, 225);
INSERT INTO public.who_data VALUES (47743, 1998, 38687, 1, 1012, 202, 165);
INSERT INTO public.who_data VALUES (47744, 0, 335, 0, 31, 202, 233);
INSERT INTO public.who_data VALUES (47745, 5, 1281, 0, 11, 202, 215);
INSERT INTO public.who_data VALUES (47746, 1434, 100075, 0, 1109, 202, 177);
INSERT INTO public.who_data VALUES (47747, 690, 22053, 5, 369, 202, 183);
INSERT INTO public.who_data VALUES (47748, 0, 0, 0, 0, 202, 203);
INSERT INTO public.who_data VALUES (47749, 245, 8756, 12, 239, 202, 162);
INSERT INTO public.who_data VALUES (47750, 463, 67911, 4, 457, 202, 12);
INSERT INTO public.who_data VALUES (47751, 410, 37129, 11, 975, 202, 24);
INSERT INTO public.who_data VALUES (47752, 0, 20, 0, 0, 202, 119);
INSERT INTO public.who_data VALUES (47753, 5, 1243, 0, 32, 202, 39);
INSERT INTO public.who_data VALUES (47754, 155, 4885, 1, 62, 202, 26);
INSERT INTO public.who_data VALUES (47755, 16, 718, 5, 19, 202, 59);
INSERT INTO public.who_data VALUES (47756, 18, 1207, 2, 77, 202, 77);
INSERT INTO public.who_data VALUES (47757, 146, 3837, 3, 83, 202, 134);
INSERT INTO public.who_data VALUES (47758, 0, 89, 0, 1, 202, 4);
INSERT INTO public.who_data VALUES (47759, 10, 2114, 0, 80, 202, 109);
INSERT INTO public.who_data VALUES (47760, 0, 6695, 3, 117, 202, 90);
INSERT INTO public.who_data VALUES (47761, 255, 11528, 7, 114, 202, 61);
INSERT INTO public.who_data VALUES (47762, 45, 4231, 3, 123, 202, 85);
INSERT INTO public.who_data VALUES (47763, 14, 8999, 0, 125, 202, 49);
INSERT INTO public.who_data VALUES (47764, 215, 4164, 1, 18, 202, 208);
INSERT INTO public.who_data VALUES (47765, 0, 2535, 0, 124, 202, 166);
INSERT INTO public.who_data VALUES (47766, 15, 769, 0, 9, 202, 64);
INSERT INTO public.who_data VALUES (47767, 0, 0, 0, 0, 202, 199);
INSERT INTO public.who_data VALUES (47768, 0, 269, 0, 15, 202, 114);
INSERT INTO public.who_data VALUES (47769, 13, 6323, 0, 157, 202, 60);
INSERT INTO public.who_data VALUES (47770, 0, 344, 0, 10, 202, 68);
INSERT INTO public.who_data VALUES (47771, 0, 2962, 0, 39, 202, 158);
INSERT INTO public.who_data VALUES (47772, 9556, 434193, 784, 47472, 202, 52);
INSERT INTO public.who_data VALUES (47773, 0, 0, 0, 0, 202, 117);
INSERT INTO public.who_data VALUES (47774, 0, 87, 0, 1, 202, 126);
INSERT INTO public.who_data VALUES (47775, 2, 293, 0, 0, 202, 196);
INSERT INTO public.who_data VALUES (47776, 46, 3324, 2, 53, 202, 142);
INSERT INTO public.who_data VALUES (47777, 0, 13, 0, 1, 202, 185);
INSERT INTO public.who_data VALUES (47778, 486, 25537, 15, 382, 202, 138);
INSERT INTO public.who_data VALUES (47779, 39, 1946, 1, 13, 202, 181);
INSERT INTO public.who_data VALUES (47780, 0, 353, 0, 6, 202, 178);
INSERT INTO public.who_data VALUES (47781, 70, 2294, 0, 11, 202, 168);
INSERT INTO public.who_data VALUES (47782, 0, 0, 0, 0, 202, 160);
INSERT INTO public.who_data VALUES (47783, 246, 20332, 1, 57, 202, 151);
INSERT INTO public.who_data VALUES (47784, 361, 55035, 1, 6147, 202, 193);
INSERT INTO public.who_data VALUES (47785, 0, 22, 0, 0, 202, 18);
INSERT INTO public.who_data VALUES (47786, 2, 1217, 0, 22, 202, 40);
INSERT INTO public.who_data VALUES (47787, 0, 3080, 0, 116, 202, 218);
INSERT INTO public.who_data VALUES (47788, 2, 1138, 0, 69, 202, 191);
INSERT INTO public.who_data VALUES (47789, 304, 43841, 5, 888, 202, 156);
INSERT INTO public.who_data VALUES (47790, 0, 0, 0, 0, 202, 135);
INSERT INTO public.who_data VALUES (47791, 1, 45, 0, 2, 202, 88);
INSERT INTO public.who_data VALUES (47792, 166, 11066, 4, 497, 202, 55);
INSERT INTO public.who_data VALUES (47793, 0, 9208, 0, 255, 202, 108);
INSERT INTO public.who_data VALUES (47794, 225, 15780, 1, 87, 202, 48);
INSERT INTO public.who_data VALUES (47795, 0, 79159, 0, 421, 202, 3);
INSERT INTO public.who_data VALUES (47796, 0, 741, 0, 13, 202, 224);
INSERT INTO public.who_data VALUES (47797, 330, 280029, 8, 5984, 202, 110);
INSERT INTO public.who_data VALUES (47798, 0, 0, 0, 0, 202, 106);
INSERT INTO public.who_data VALUES (47799, 1127, 66383, 28, 1449, 202, 89);
INSERT INTO public.who_data VALUES (47800, 19, 110, 0, 2, 202, 121);
INSERT INTO public.who_data VALUES (47801, 147, 5485, 3, 52, 202, 163);
INSERT INTO public.who_data VALUES (47802, 14691, 422183, 387, 19408, 202, 70);
INSERT INTO public.who_data VALUES (47803, 4953, 103185, 20, 2059, 202, 174);
INSERT INTO public.who_data VALUES (47804, 0, 0, 0, 0, 202, 175);
INSERT INTO public.who_data VALUES (47805, 548, 46894, 10, 1731, 202, 118);
INSERT INTO public.who_data VALUES (47806, 153, 51463, 1, 1738, 202, 189);
INSERT INTO public.who_data VALUES (47807, 539, 18411, 5, 230, 202, 124);
INSERT INTO public.who_data VALUES (47808, 196, 111107, 3, 177, 202, 192);
INSERT INTO public.who_data VALUES (47809, 23, 14389, 0, 301, 202, 41);
INSERT INTO public.who_data VALUES (47810, 249, 25362, 3, 792, 202, 95);
INSERT INTO public.who_data VALUES (47811, 3, 667, 0, 4, 202, 74);
INSERT INTO public.who_data VALUES (47812, 1075, 53186, 34, 2413, 202, 11);
INSERT INTO public.who_data VALUES (47813, 5394, 856264, 79, 14207, 202, 87);
INSERT INTO public.who_data VALUES (47814, 20, 2062, 0, 5, 202, 214);
INSERT INTO public.who_data VALUES (47815, 2, 5, 0, 0, 202, 116);
INSERT INTO public.who_data VALUES (47816, 1, 9, 0, 0, 202, 157);
INSERT INTO public.who_data VALUES (47817, 0, 0, 0, 0, 202, 182);
INSERT INTO public.who_data VALUES (47818, 0, 17, 0, 0, 202, 186);
INSERT INTO public.who_data VALUES (47819, 0, 25, 0, 0, 202, 127);
INSERT INTO public.who_data VALUES (47820, 0, 53, 0, 3, 202, 232);
INSERT INTO public.who_data VALUES (47821, 0, 4, 0, 0, 202, 33);
INSERT INTO public.who_data VALUES (47822, 0, 54, 0, 0, 202, 97);
INSERT INTO public.who_data VALUES (47823, 0, 0, 0, 0, 202, 42);
INSERT INTO public.who_data VALUES (47824, 0, 716, 0, 42, 202, 198);
INSERT INTO public.who_data VALUES (47825, 0, 874, 0, 15, 202, 216);
INSERT INTO public.who_data VALUES (47826, 1357, 278835, 30, 2917, 202, 164);
INSERT INTO public.who_data VALUES (47827, 60, 10344, 0, 209, 202, 235);
INSERT INTO public.who_data VALUES (47828, 311, 26193, 8, 590, 202, 67);
INSERT INTO public.who_data VALUES (47829, 0, 114, 0, 0, 202, 15);
INSERT INTO public.who_data VALUES (47830, 8, 1843, 0, 67, 202, 180);
INSERT INTO public.who_data VALUES (47831, 313, 52825, 0, 27, 202, 237);
INSERT INTO public.who_data VALUES (47832, 0, 3, 0, 0, 202, 25);
INSERT INTO public.who_data VALUES (47833, 0, 128, 0, 15, 202, 209);
INSERT INTO public.who_data VALUES (47834, 45, 2337, 0, 29, 202, 217);
INSERT INTO public.who_data VALUES (47835, 9, 2181, 1, 122, 202, 79);
INSERT INTO public.who_data VALUES (47836, 0, 0, 0, 0, 202, 143);
INSERT INTO public.who_data VALUES (47837, 8, 3220, 0, 93, 202, 229);
INSERT INTO public.who_data VALUES (47838, 8195, 511485, 213, 8366, 202, 141);
INSERT INTO public.who_data VALUES (47839, 0, 2429, 0, 46, 202, 197);
INSERT INTO public.who_data VALUES (47840, 3152, 313402, 9, 29933, 202, 221);
INSERT INTO public.who_data VALUES (47841, 8, 2823, 0, 11, 202, 150);
INSERT INTO public.who_data VALUES (47842, 0, 11738, 0, 752, 202, 56);
INSERT INTO public.who_data VALUES (47843, 54, 1760, 0, 26, 202, 167);
INSERT INTO public.who_data VALUES (47844, 303, 77246, 2, 5756, 202, 23);
INSERT INTO public.who_data VALUES (47845, 80, 35624, 0, 1743, 202, 222);
INSERT INTO public.who_data VALUES (47846, 29, 809, 1, 44, 202, 219);
INSERT INTO public.who_data VALUES (47847, 44, 7495, 1, 61, 202, 7);
INSERT INTO public.who_data VALUES (47848, 3, 3320, 0, 58, 202, 161);
INSERT INTO public.who_data VALUES (47849, 743, 304699, 5, 41207, 202, 149);
INSERT INTO public.who_data VALUES (47850, 0, 24, 0, 0, 202, 6);
INSERT INTO public.who_data VALUES (47851, 0, 927, 0, 18, 202, 139);
INSERT INTO public.who_data VALUES (47852, 0, 0, 0, 0, 202, 211);
INSERT INTO public.who_data VALUES (47853, 0, 0, 0, 0, 202, 14);
INSERT INTO public.who_data VALUES (47854, 7, 180, 0, 8, 202, 111);
INSERT INTO public.who_data VALUES (47855, 4, 1565, 0, 51, 202, 207);
INSERT INTO public.who_data VALUES (47856, 7717, 273236, 18, 5728, 202, 66);
INSERT INTO public.who_data VALUES (47857, 0, 0, 0, 0, 202, 173);
INSERT INTO public.who_data VALUES (47858, 0, 114, 0, 2, 202, 145);
INSERT INTO public.who_data VALUES (47859, 0, 0, 0, 0, 202, 65);
INSERT INTO public.who_data VALUES (47860, 6, 1182, 0, 4, 202, 184);
INSERT INTO public.who_data VALUES (47861, 990, 73158, 13, 1738, 202, 98);
INSERT INTO public.who_data VALUES (47862, 239, 60999, 0, 351, 202, 104);
INSERT INTO public.who_data VALUES (47863, 0, 509, 0, 21, 202, 73);
INSERT INTO public.who_data VALUES (47864, 58388, 4582276, 1127, 153757, 202, 8);
INSERT INTO public.who_data VALUES (47865, 17, 438, 0, 8, 202, 227);
INSERT INTO public.who_data VALUES (47866, 13, 1278, 0, 35, 202, 75);
INSERT INTO public.who_data VALUES (47867, 788, 25828, 6, 155, 202, 45);
INSERT INTO public.who_data VALUES (47868, 0, 0, 0, 0, 202, 133);
INSERT INTO public.who_data VALUES (47869, 869, 19443, 5, 169, 202, 202);
INSERT INTO public.who_data VALUES (47870, 31, 621, 3, 6, 202, 129);
INSERT INTO public.who_data VALUES (47871, 0, 0, 0, 0, 202, 36);
INSERT INTO public.who_data VALUES (47872, 4, 1738, 3, 498, 202, 51);
INSERT INTO public.who_data VALUES (47873, 119, 6347, 5, 170, 202, 206);
INSERT INTO public.who_data VALUES (47874, 262, 3921, 1, 70, 202, 5);
INSERT INTO public.who_data VALUES (47875, 0, 36796, 0, 1287, 203, 103);
INSERT INTO public.who_data VALUES (47876, 120, 5396, 4, 161, 203, 58);
INSERT INTO public.who_data VALUES (47877, 556, 30950, 13, 1223, 203, 195);
INSERT INTO public.who_data VALUES (47878, 0, 0, 0, 0, 203, 115);
INSERT INTO public.who_data VALUES (47879, 5, 930, 0, 52, 203, 99);
INSERT INTO public.who_data VALUES (47880, 39, 1148, 1, 52, 203, 153);
INSERT INTO public.who_data VALUES (47881, 0, 3, 0, 0, 203, 93);
INSERT INTO public.who_data VALUES (47882, 0, 91, 0, 3, 203, 84);
INSERT INTO public.who_data VALUES (47883, 5929, 191302, 77, 3543, 203, 78);
INSERT INTO public.who_data VALUES (47884, 209, 38363, 5, 749, 203, 170);
INSERT INTO public.who_data VALUES (47885, 0, 120, 0, 3, 203, 32);
INSERT INTO public.who_data VALUES (47886, 377, 17282, 4, 200, 203, 155);
INSERT INTO public.who_data VALUES (47887, 126, 21224, 0, 718, 203, 82);
INSERT INTO public.who_data VALUES (47888, 279, 32157, 6, 454, 203, 16);
INSERT INTO public.who_data VALUES (47889, 0, 508, 0, 14, 203, 72);
INSERT INTO public.who_data VALUES (47890, 208, 41190, 0, 147, 203, 43);
INSERT INTO public.who_data VALUES (47891, 2199, 239860, 21, 3132, 203, 120);
INSERT INTO public.who_data VALUES (47892, 0, 110, 0, 7, 203, 213);
INSERT INTO public.who_data VALUES (47893, 138, 67946, 4, 563, 203, 31);
INSERT INTO public.who_data VALUES (47894, 309, 70684, 2, 9700, 203, 204);
INSERT INTO public.who_data VALUES (47895, 0, 48, 0, 2, 203, 152);
INSERT INTO public.who_data VALUES (47896, 0, 1805, 0, 36, 203, 144);
INSERT INTO public.who_data VALUES (47897, 0, 156, 0, 9, 203, 96);
INSERT INTO public.who_data VALUES (47898, 1, 102, 0, 0, 203, 47);
INSERT INTO public.who_data VALUES (47899, 1555, 76789, 83, 2977, 203, 80);
INSERT INTO public.who_data VALUES (47900, 0, 5, 0, 0, 203, 159);
INSERT INTO public.who_data VALUES (47901, 666, 12108, 19, 343, 203, 27);
INSERT INTO public.who_data VALUES (47902, 0, 804, 0, 2, 203, 146);
INSERT INTO public.who_data VALUES (47903, 52383, 2662485, 1212, 92475, 203, 71);
INSERT INTO public.who_data VALUES (47904, 0, 8, 0, 1, 203, 210);
INSERT INTO public.who_data VALUES (47905, 0, 141, 0, 3, 203, 54);
INSERT INTO public.who_data VALUES (47906, 146, 11836, 2, 385, 203, 147);
INSERT INTO public.who_data VALUES (47907, 5, 1143, 0, 53, 203, 2);
INSERT INTO public.who_data VALUES (47908, 0, 387, 0, 1, 203, 105);
INSERT INTO public.who_data VALUES (47909, 29, 2480, 1, 24, 203, 53);
INSERT INTO public.who_data VALUES (47910, 1, 240, 0, 0, 203, 81);
INSERT INTO public.who_data VALUES (47911, 0, 17255, 0, 391, 203, 223);
INSERT INTO public.who_data VALUES (47912, 513, 116312, 6, 8935, 203, 94);
INSERT INTO public.who_data VALUES (47913, 0, 203, 0, 1, 203, 154);
INSERT INTO public.who_data VALUES (47914, 6, 4614, 0, 59, 203, 83);
INSERT INTO public.who_data VALUES (47915, 0, 936, 0, 75, 203, 194);
INSERT INTO public.who_data VALUES (47916, 1991, 357658, 76, 9533, 203, 136);
INSERT INTO public.who_data VALUES (47917, 180, 88302, 6, 4674, 203, 179);
INSERT INTO public.who_data VALUES (47918, 9488, 295508, 295, 10105, 203, 57);
INSERT INTO public.who_data VALUES (47919, 0, 382, 0, 7, 203, 35);
INSERT INTO public.who_data VALUES (47920, 11, 3387, 0, 56, 203, 228);
INSERT INTO public.who_data VALUES (47921, 0, 0, 0, 0, 203, 19);
INSERT INTO public.who_data VALUES (47922, 530, 17820, 10, 150, 203, 22);
INSERT INTO public.who_data VALUES (47923, 62, 16109, 0, 102, 203, 1);
INSERT INTO public.who_data VALUES (47924, 86, 5224, 0, 145, 203, 21);
INSERT INTO public.who_data VALUES (47925, 25, 2633, 0, 87, 203, 234);
INSERT INTO public.who_data VALUES (47926, 0, 29, 0, 1, 203, 91);
INSERT INTO public.who_data VALUES (47927, 10, 1124, 0, 19, 203, 137);
INSERT INTO public.who_data VALUES (47928, 125, 16699, 1, 383, 203, 201);
INSERT INTO public.who_data VALUES (47929, 0, 0, 0, 0, 203, 171);
INSERT INTO public.who_data VALUES (47930, 0, 9069, 0, 214, 203, 92);
INSERT INTO public.who_data VALUES (47931, 0, 13789, 0, 615, 203, 112);
INSERT INTO public.who_data VALUES (47932, 0, 5081, 0, 58, 203, 62);
INSERT INTO public.who_data VALUES (47933, 0, 18, 0, 0, 203, 69);
INSERT INTO public.who_data VALUES (47934, 1766, 71415, 10, 1170, 203, 220);
INSERT INTO public.who_data VALUES (47935, 877, 86232, 34, 5736, 203, 100);
INSERT INTO public.who_data VALUES (47936, 238, 94316, 29, 4834, 203, 187);
INSERT INTO public.who_data VALUES (47937, 418, 17050, 11, 459, 203, 63);
INSERT INTO public.who_data VALUES (47938, 0, 4821, 0, 83, 203, 28);
INSERT INTO public.who_data VALUES (47939, 0, 279, 0, 0, 203, 172);
INSERT INTO public.who_data VALUES (47940, 8, 2072, 0, 63, 203, 17);
INSERT INTO public.who_data VALUES (47941, 58, 2706, 2, 42, 203, 226);
INSERT INTO public.who_data VALUES (47942, 469, 17999, 10, 284, 203, 236);
INSERT INTO public.who_data VALUES (47943, 0, 13, 0, 0, 203, 76);
INSERT INTO public.who_data VALUES (47944, 0, 225, 0, 0, 203, 30);
INSERT INTO public.who_data VALUES (47945, 0, 27, 0, 1, 203, 128);
INSERT INTO public.who_data VALUES (47946, 11, 7443, 0, 329, 203, 86);
INSERT INTO public.who_data VALUES (47947, 0, 175920, 0, 30147, 203, 140);
INSERT INTO public.who_data VALUES (47948, 58, 7857, 0, 43, 203, 44);
INSERT INTO public.who_data VALUES (47949, 0, 62, 0, 0, 203, 113);
INSERT INTO public.who_data VALUES (47950, 179, 7531, 1, 50, 203, 29);
INSERT INTO public.who_data VALUES (47951, 0, 498, 0, 9, 203, 125);
INSERT INTO public.who_data VALUES (47952, 6, 1177, 0, 17, 203, 131);
INSERT INTO public.who_data VALUES (47953, 240, 209893, 0, 9141, 203, 46);
INSERT INTO public.who_data VALUES (47954, 0, 35501, 0, 182, 203, 10);
INSERT INTO public.who_data VALUES (47955, 0, 187, 0, 0, 203, 205);
INSERT INTO public.who_data VALUES (47956, 110, 4587, 0, 206, 203, 50);
INSERT INTO public.who_data VALUES (47957, 0, 14, 0, 0, 203, 20);
INSERT INTO public.who_data VALUES (47958, 0, 24, 0, 0, 203, 13);
INSERT INTO public.who_data VALUES (47959, 21, 265, 0, 14, 203, 148);
INSERT INTO public.who_data VALUES (47960, 0, 351, 0, 5, 203, 230);
INSERT INTO public.who_data VALUES (47961, 1190, 50979, 33, 1957, 203, 190);
INSERT INTO public.who_data VALUES (47962, 0, 252, 0, 13, 203, 188);
INSERT INTO public.who_data VALUES (47963, 0, 7308, 0, 46, 203, 123);
INSERT INTO public.who_data VALUES (47964, 0, 1981, 0, 27, 203, 9);
INSERT INTO public.who_data VALUES (47965, 12, 413, 0, 20, 203, 102);
INSERT INTO public.who_data VALUES (47966, 12, 7424, 0, 161, 203, 34);
INSERT INTO public.who_data VALUES (47967, 0, 12, 0, 0, 203, 212);
INSERT INTO public.who_data VALUES (47968, 588, 42014, 25, 1337, 203, 122);
INSERT INTO public.who_data VALUES (47969, 21, 4526, 1, 597, 203, 38);
INSERT INTO public.who_data VALUES (47970, 8, 1893, 0, 10, 203, 130);
INSERT INTO public.who_data VALUES (47971, 54735, 1750723, 853, 37364, 203, 37);
INSERT INTO public.who_data VALUES (47972, 1560, 109936, 62, 5193, 203, 231);
INSERT INTO public.who_data VALUES (47973, 2548, 306752, 216, 16982, 203, 107);
INSERT INTO public.who_data VALUES (47974, 2095, 126704, 64, 4805, 203, 101);
INSERT INTO public.who_data VALUES (47975, 44, 26109, 0, 1763, 203, 132);
INSERT INTO public.who_data VALUES (47976, 0, 336, 0, 24, 203, 176);
INSERT INTO public.who_data VALUES (47977, 1362, 71744, 14, 564, 203, 200);
INSERT INTO public.who_data VALUES (47978, 295, 247832, 5, 35146, 203, 169);
INSERT INTO public.who_data VALUES (47979, 14, 878, 0, 10, 203, 225);
INSERT INTO public.who_data VALUES (47980, 853, 36689, 0, 1011, 203, 165);
INSERT INTO public.who_data VALUES (47981, 0, 335, 0, 31, 203, 233);
INSERT INTO public.who_data VALUES (47982, 15, 1276, 0, 11, 203, 215);
INSERT INTO public.who_data VALUES (47983, 1867, 98641, 286, 1109, 203, 177);
INSERT INTO public.who_data VALUES (47984, 727, 21363, 23, 364, 203, 183);
INSERT INTO public.who_data VALUES (47985, 0, 0, 0, 0, 203, 203);
INSERT INTO public.who_data VALUES (47986, 224, 8511, 10, 227, 203, 162);
INSERT INTO public.who_data VALUES (47987, 491, 67448, 6, 453, 203, 12);
INSERT INTO public.who_data VALUES (47988, 420, 36719, 12, 964, 203, 24);
INSERT INTO public.who_data VALUES (47989, 0, 20, 0, 0, 203, 119);
INSERT INTO public.who_data VALUES (47990, 7, 1238, 0, 32, 203, 39);
INSERT INTO public.who_data VALUES (47991, 175, 4730, 2, 61, 203, 26);
INSERT INTO public.who_data VALUES (47992, 98, 702, 1, 14, 203, 59);
INSERT INTO public.who_data VALUES (47993, 3, 1189, 0, 75, 203, 77);
INSERT INTO public.who_data VALUES (47994, 70, 3691, 6, 80, 203, 134);
INSERT INTO public.who_data VALUES (47995, 0, 89, 0, 1, 203, 4);
INSERT INTO public.who_data VALUES (47996, 17, 2104, 0, 80, 203, 109);
INSERT INTO public.who_data VALUES (47997, 0, 6695, 0, 114, 203, 90);
INSERT INTO public.who_data VALUES (47998, 405, 11273, 1, 107, 203, 61);
INSERT INTO public.who_data VALUES (47999, 108, 4186, 6, 120, 203, 85);
INSERT INTO public.who_data VALUES (48000, 9, 8985, 0, 125, 203, 49);
INSERT INTO public.who_data VALUES (48001, 156, 3949, 1, 17, 203, 208);
INSERT INTO public.who_data VALUES (48002, 13, 2535, 0, 124, 203, 166);
INSERT INTO public.who_data VALUES (48003, 18, 754, 0, 9, 203, 64);
INSERT INTO public.who_data VALUES (48004, 0, 0, 0, 0, 203, 199);
INSERT INTO public.who_data VALUES (48005, 0, 269, 0, 15, 203, 114);
INSERT INTO public.who_data VALUES (48006, 0, 6310, 0, 157, 203, 60);
INSERT INTO public.who_data VALUES (48007, 0, 344, 0, 10, 203, 68);
INSERT INTO public.who_data VALUES (48008, 0, 2962, 0, 39, 203, 158);
INSERT INTO public.who_data VALUES (48009, 8458, 424637, 688, 46688, 203, 52);
INSERT INTO public.who_data VALUES (48010, 0, 0, 0, 0, 203, 117);
INSERT INTO public.who_data VALUES (48011, 0, 87, 0, 1, 203, 126);
INSERT INTO public.who_data VALUES (48012, 0, 291, 0, 0, 203, 196);
INSERT INTO public.who_data VALUES (48013, 27, 3278, 0, 51, 203, 142);
INSERT INTO public.who_data VALUES (48014, 0, 13, 0, 1, 203, 185);
INSERT INTO public.who_data VALUES (48015, 729, 25051, 14, 367, 203, 138);
INSERT INTO public.who_data VALUES (48016, 43, 1907, 1, 12, 203, 181);
INSERT INTO public.who_data VALUES (48017, 0, 353, 0, 6, 203, 178);
INSERT INTO public.who_data VALUES (48018, 95, 2224, 1, 11, 203, 168);
INSERT INTO public.who_data VALUES (48019, 0, 0, 0, 0, 203, 160);
INSERT INTO public.who_data VALUES (48020, 315, 20086, 0, 56, 203, 151);
INSERT INTO public.who_data VALUES (48021, 431, 54674, 1, 6146, 203, 193);
INSERT INTO public.who_data VALUES (48022, 0, 22, 0, 0, 203, 18);
INSERT INTO public.who_data VALUES (48023, 3, 1215, 0, 22, 203, 40);
INSERT INTO public.who_data VALUES (48024, 0, 3080, 0, 116, 203, 218);
INSERT INTO public.who_data VALUES (48025, 0, 1136, 0, 69, 203, 191);
INSERT INTO public.who_data VALUES (48026, 386, 43537, 4, 883, 203, 156);
INSERT INTO public.who_data VALUES (48027, 0, 0, 0, 0, 203, 135);
INSERT INTO public.who_data VALUES (48028, 2, 44, 0, 2, 203, 88);
INSERT INTO public.who_data VALUES (48029, 138, 10900, 7, 493, 203, 55);
INSERT INTO public.who_data VALUES (48030, 0, 9208, 0, 255, 203, 108);
INSERT INTO public.who_data VALUES (48031, 323, 15555, 1, 86, 203, 48);
INSERT INTO public.who_data VALUES (48032, 0, 79159, 0, 421, 203, 3);
INSERT INTO public.who_data VALUES (48033, 0, 741, 0, 13, 203, 224);
INSERT INTO public.who_data VALUES (48034, 553, 279699, 6, 5976, 203, 110);
INSERT INTO public.who_data VALUES (48035, 0, 0, 0, 0, 203, 106);
INSERT INTO public.who_data VALUES (48036, 1065, 65256, 24, 1421, 203, 89);
INSERT INTO public.who_data VALUES (48037, 19, 91, 0, 2, 203, 121);
INSERT INTO public.who_data VALUES (48038, 131, 5338, 2, 49, 203, 163);
INSERT INTO public.who_data VALUES (48039, 0, 407492, 0, 19021, 203, 70);
INSERT INTO public.who_data VALUES (48040, 4878, 98232, 16, 2039, 203, 174);
INSERT INTO public.who_data VALUES (48041, 0, 0, 0, 0, 203, 175);
INSERT INTO public.who_data VALUES (48042, 658, 46346, 5, 1721, 203, 118);
INSERT INTO public.who_data VALUES (48043, 238, 51310, 2, 1737, 203, 189);
INSERT INTO public.who_data VALUES (48044, 1091, 17872, 6, 225, 203, 124);
INSERT INTO public.who_data VALUES (48045, 216, 110911, 0, 174, 203, 192);
INSERT INTO public.who_data VALUES (48046, 30, 14366, 0, 301, 203, 41);
INSERT INTO public.who_data VALUES (48047, 380, 25113, 11, 789, 203, 95);
INSERT INTO public.who_data VALUES (48048, 4, 664, 0, 4, 203, 74);
INSERT INTO public.who_data VALUES (48049, 1225, 52111, 36, 2379, 203, 11);
INSERT INTO public.who_data VALUES (48050, 5427, 850870, 70, 14128, 203, 87);
INSERT INTO public.who_data VALUES (48051, 20, 2042, 0, 5, 203, 214);
INSERT INTO public.who_data VALUES (48052, 0, 3, 0, 0, 203, 116);
INSERT INTO public.who_data VALUES (48053, 0, 8, 0, 0, 203, 157);
INSERT INTO public.who_data VALUES (48054, 0, 0, 0, 0, 203, 182);
INSERT INTO public.who_data VALUES (48055, 0, 17, 0, 0, 203, 186);
INSERT INTO public.who_data VALUES (48056, 0, 25, 0, 0, 203, 127);
INSERT INTO public.who_data VALUES (48057, 0, 53, 0, 3, 203, 232);
INSERT INTO public.who_data VALUES (48058, 0, 4, 0, 0, 203, 33);
INSERT INTO public.who_data VALUES (48059, 0, 54, 0, 0, 203, 97);
INSERT INTO public.who_data VALUES (48060, 0, 0, 0, 0, 203, 42);
INSERT INTO public.who_data VALUES (48061, 0, 716, 0, 42, 203, 198);
INSERT INTO public.who_data VALUES (48062, 3, 874, 0, 15, 203, 216);
INSERT INTO public.who_data VALUES (48063, 1573, 277478, 21, 2887, 203, 164);
INSERT INTO public.who_data VALUES (48064, 52, 10284, 4, 209, 203, 235);
INSERT INTO public.who_data VALUES (48065, 330, 25882, 9, 582, 203, 67);
INSERT INTO public.who_data VALUES (48066, 0, 114, 0, 0, 203, 15);
INSERT INTO public.who_data VALUES (48067, 12, 1835, 0, 67, 203, 180);
INSERT INTO public.who_data VALUES (48068, 307, 52512, 0, 27, 203, 237);
INSERT INTO public.who_data VALUES (48069, 0, 3, 0, 0, 203, 25);
INSERT INTO public.who_data VALUES (48070, 0, 128, 0, 15, 203, 209);
INSERT INTO public.who_data VALUES (48071, 27, 2292, 1, 29, 203, 217);
INSERT INTO public.who_data VALUES (48072, 15, 2172, 0, 121, 203, 79);
INSERT INTO public.who_data VALUES (48073, 0, 0, 0, 0, 203, 143);
INSERT INTO public.who_data VALUES (48074, 0, 3212, 0, 93, 203, 229);
INSERT INTO public.who_data VALUES (48075, 10107, 503290, 148, 8153, 203, 141);
INSERT INTO public.who_data VALUES (48076, 77, 2429, 0, 46, 203, 197);
INSERT INTO public.who_data VALUES (48077, 4082, 310250, 15, 29924, 203, 221);
INSERT INTO public.who_data VALUES (48078, 0, 2815, 0, 11, 203, 150);
INSERT INTO public.who_data VALUES (48079, 94, 11738, 6, 752, 203, 56);
INSERT INTO public.who_data VALUES (48080, 56, 1706, 0, 26, 203, 167);
INSERT INTO public.who_data VALUES (48081, 258, 76943, 2, 5754, 203, 23);
INSERT INTO public.who_data VALUES (48082, 97, 35544, 1, 1743, 203, 222);
INSERT INTO public.who_data VALUES (48083, 23, 780, 0, 43, 203, 219);
INSERT INTO public.who_data VALUES (48084, 42, 7451, 0, 60, 203, 7);
INSERT INTO public.who_data VALUES (48085, 5, 3317, 0, 58, 203, 161);
INSERT INTO public.who_data VALUES (48086, 771, 303956, 13, 41202, 203, 149);
INSERT INTO public.who_data VALUES (48087, 0, 24, 0, 0, 203, 6);
INSERT INTO public.who_data VALUES (48088, 0, 927, 0, 18, 203, 139);
INSERT INTO public.who_data VALUES (48089, 0, 0, 0, 0, 203, 211);
INSERT INTO public.who_data VALUES (48090, 0, 0, 0, 0, 203, 14);
INSERT INTO public.who_data VALUES (48091, 4, 173, 0, 8, 203, 111);
INSERT INTO public.who_data VALUES (48092, 9, 1561, 0, 51, 203, 207);
INSERT INTO public.who_data VALUES (48093, 7726, 265519, 19, 5710, 203, 66);
INSERT INTO public.who_data VALUES (48094, 0, 0, 0, 0, 203, 173);
INSERT INTO public.who_data VALUES (48095, 7, 114, 0, 2, 203, 145);
INSERT INTO public.who_data VALUES (48096, 0, 0, 0, 0, 203, 65);
INSERT INTO public.who_data VALUES (48097, 22, 1176, 1, 4, 203, 184);
INSERT INTO public.who_data VALUES (48098, 1112, 72168, 16, 1725, 203, 98);
INSERT INTO public.who_data VALUES (48099, 254, 60760, 0, 351, 203, 104);
INSERT INTO public.who_data VALUES (48100, 0, 509, 0, 21, 203, 73);
INSERT INTO public.who_data VALUES (48101, 67499, 4523888, 1365, 152630, 203, 8);
INSERT INTO public.who_data VALUES (48102, 15, 421, 0, 8, 203, 227);
INSERT INTO public.who_data VALUES (48103, 22, 1265, 0, 35, 203, 75);
INSERT INTO public.who_data VALUES (48104, 736, 25040, 6, 149, 203, 45);
INSERT INTO public.who_data VALUES (48105, 0, 0, 0, 0, 203, 133);
INSERT INTO public.who_data VALUES (48106, 715, 18574, 6, 164, 203, 202);
INSERT INTO public.who_data VALUES (48107, 32, 590, 1, 3, 203, 129);
INSERT INTO public.who_data VALUES (48108, 0, 0, 0, 0, 203, 36);
INSERT INTO public.who_data VALUES (48109, 2, 1734, 1, 495, 203, 51);
INSERT INTO public.who_data VALUES (48110, 265, 6228, 14, 165, 203, 206);
INSERT INTO public.who_data VALUES (48111, 490, 3659, 2, 69, 203, 5);
INSERT INTO public.who_data VALUES (48112, 168, 36796, 12, 1287, 204, 103);
INSERT INTO public.who_data VALUES (48113, 79, 5276, 3, 157, 204, 58);
INSERT INTO public.who_data VALUES (48114, 563, 30394, 10, 1210, 204, 195);
INSERT INTO public.who_data VALUES (48115, 0, 0, 0, 0, 204, 115);
INSERT INTO public.who_data VALUES (48116, 3, 925, 0, 52, 204, 99);
INSERT INTO public.who_data VALUES (48117, 0, 1109, 0, 51, 204, 153);
INSERT INTO public.who_data VALUES (48118, 0, 3, 0, 0, 204, 93);
INSERT INTO public.who_data VALUES (48119, 0, 91, 0, 3, 204, 84);
INSERT INTO public.who_data VALUES (48120, 6377, 185373, 155, 3466, 204, 78);
INSERT INTO public.who_data VALUES (48121, 291, 38154, 11, 744, 204, 170);
INSERT INTO public.who_data VALUES (48122, 1, 120, 0, 3, 204, 32);
INSERT INTO public.who_data VALUES (48123, 602, 16905, 7, 196, 204, 155);
INSERT INTO public.who_data VALUES (48124, 89, 21098, 0, 718, 204, 82);
INSERT INTO public.who_data VALUES (48125, 318, 31878, 7, 448, 204, 16);
INSERT INTO public.who_data VALUES (48126, 24, 508, 3, 14, 204, 72);
INSERT INTO public.who_data VALUES (48127, 227, 40982, 1, 147, 204, 43);
INSERT INTO public.who_data VALUES (48128, 2772, 237661, 28, 3111, 204, 120);
INSERT INTO public.who_data VALUES (48129, 0, 110, 0, 7, 204, 213);
INSERT INTO public.who_data VALUES (48130, 0, 67808, 0, 559, 204, 31);
INSERT INTO public.who_data VALUES (48131, 684, 70375, 3, 9698, 204, 204);
INSERT INTO public.who_data VALUES (48132, 0, 48, 0, 2, 204, 152);
INSERT INTO public.who_data VALUES (48133, 0, 1805, 0, 36, 204, 144);
INSERT INTO public.who_data VALUES (48134, 0, 156, 0, 9, 204, 96);
INSERT INTO public.who_data VALUES (48135, 0, 101, 0, 0, 204, 47);
INSERT INTO public.who_data VALUES (48136, 1700, 75234, 86, 2894, 204, 80);
INSERT INTO public.who_data VALUES (48137, 0, 5, 0, 0, 204, 159);
INSERT INTO public.who_data VALUES (48138, 0, 11442, 0, 324, 204, 27);
INSERT INTO public.who_data VALUES (48139, 0, 804, 0, 2, 204, 146);
INSERT INTO public.who_data VALUES (48140, 57837, 2610102, 1129, 91263, 204, 71);
INSERT INTO public.who_data VALUES (48141, 0, 8, 0, 1, 204, 210);
INSERT INTO public.who_data VALUES (48142, 0, 141, 0, 3, 204, 54);
INSERT INTO public.who_data VALUES (48143, 270, 11690, 9, 383, 204, 147);
INSERT INTO public.who_data VALUES (48144, 21, 1138, 0, 53, 204, 2);
INSERT INTO public.who_data VALUES (48145, 0, 387, 0, 1, 204, 105);
INSERT INTO public.who_data VALUES (48146, 33, 2451, 0, 23, 204, 53);
INSERT INTO public.who_data VALUES (48147, 5, 239, 0, 0, 204, 81);
INSERT INTO public.who_data VALUES (48148, 0, 17255, 0, 391, 204, 223);
INSERT INTO public.who_data VALUES (48149, 329, 115799, 12, 8929, 204, 94);
INSERT INTO public.who_data VALUES (48150, 0, 203, 0, 1, 204, 154);
INSERT INTO public.who_data VALUES (48151, 3, 4608, 0, 59, 204, 83);
INSERT INTO public.who_data VALUES (48152, 1, 936, 0, 75, 204, 194);
INSERT INTO public.who_data VALUES (48153, 2131, 355667, 80, 9457, 204, 136);
INSERT INTO public.who_data VALUES (48154, 166, 88122, 2, 4668, 204, 179);
INSERT INTO public.who_data VALUES (48155, 9965, 286020, 356, 9810, 204, 57);
INSERT INTO public.who_data VALUES (48156, 0, 382, 0, 7, 204, 35);
INSERT INTO public.who_data VALUES (48157, 0, 3376, 0, 56, 204, 228);
INSERT INTO public.who_data VALUES (48158, 0, 0, 0, 0, 204, 19);
INSERT INTO public.who_data VALUES (48159, 490, 17290, 7, 140, 204, 22);
INSERT INTO public.who_data VALUES (48160, 69, 16047, 2, 102, 204, 1);
INSERT INTO public.who_data VALUES (48161, 67, 5138, 1, 145, 204, 21);
INSERT INTO public.who_data VALUES (48162, 11, 2608, 0, 87, 204, 234);
INSERT INTO public.who_data VALUES (48163, 0, 29, 0, 1, 204, 91);
INSERT INTO public.who_data VALUES (48164, 30, 1114, 0, 19, 204, 137);
INSERT INTO public.who_data VALUES (48165, 232, 16574, 3, 382, 204, 201);
INSERT INTO public.who_data VALUES (48166, 0, 0, 0, 0, 204, 171);
INSERT INTO public.who_data VALUES (48167, 60, 9069, 0, 214, 204, 92);
INSERT INTO public.who_data VALUES (48168, 64, 13789, 0, 615, 204, 112);
INSERT INTO public.who_data VALUES (48169, 0, 5081, 0, 58, 204, 62);
INSERT INTO public.who_data VALUES (48170, 0, 18, 0, 0, 204, 69);
INSERT INTO public.who_data VALUES (48171, 1734, 69649, 14, 1160, 204, 220);
INSERT INTO public.who_data VALUES (48172, 985, 85355, 45, 5702, 204, 100);
INSERT INTO public.who_data VALUES (48173, 321, 94078, 31, 4805, 204, 187);
INSERT INTO public.who_data VALUES (48174, 402, 16632, 9, 448, 204, 63);
INSERT INTO public.who_data VALUES (48175, 2471, 4821, 42, 83, 204, 28);
INSERT INTO public.who_data VALUES (48176, 0, 279, 0, 0, 204, 172);
INSERT INTO public.who_data VALUES (48177, 13, 2064, 0, 63, 204, 17);
INSERT INTO public.who_data VALUES (48178, 71, 2648, 0, 40, 204, 226);
INSERT INTO public.who_data VALUES (48179, 915, 17530, 11, 274, 204, 236);
INSERT INTO public.who_data VALUES (48180, 0, 13, 0, 0, 204, 76);
INSERT INTO public.who_data VALUES (48181, 5, 225, 0, 0, 204, 30);
INSERT INTO public.who_data VALUES (48182, 0, 27, 1, 1, 204, 128);
INSERT INTO public.who_data VALUES (48183, 9, 7432, 0, 329, 204, 86);
INSERT INTO public.who_data VALUES (48184, 1272, 175920, 11, 30147, 204, 140);
INSERT INTO public.who_data VALUES (48185, 71, 7799, 0, 43, 204, 44);
INSERT INTO public.who_data VALUES (48186, 0, 62, 0, 0, 204, 113);
INSERT INTO public.who_data VALUES (48187, 0, 7352, 0, 49, 204, 29);
INSERT INTO public.who_data VALUES (48188, 95, 498, 1, 9, 204, 125);
INSERT INTO public.who_data VALUES (48189, 3, 1171, 0, 17, 204, 131);
INSERT INTO public.who_data VALUES (48190, 955, 209653, 0, 9141, 204, 46);
INSERT INTO public.who_data VALUES (48191, 359, 35501, 7, 182, 204, 10);
INSERT INTO public.who_data VALUES (48192, 1, 187, 0, 0, 204, 205);
INSERT INTO public.who_data VALUES (48193, 76, 4477, 3, 206, 204, 50);
INSERT INTO public.who_data VALUES (48194, 0, 14, 0, 0, 204, 20);
INSERT INTO public.who_data VALUES (48195, 0, 24, 0, 0, 204, 13);
INSERT INTO public.who_data VALUES (48196, 0, 244, 0, 14, 204, 148);
INSERT INTO public.who_data VALUES (48197, 3, 351, 0, 5, 204, 230);
INSERT INTO public.who_data VALUES (48198, 963, 49789, 57, 1924, 204, 190);
INSERT INTO public.who_data VALUES (48199, 0, 252, 0, 13, 204, 188);
INSERT INTO public.who_data VALUES (48200, 66, 7308, 0, 46, 204, 123);
INSERT INTO public.who_data VALUES (48201, 0, 1981, 1, 27, 204, 9);
INSERT INTO public.who_data VALUES (48202, 3, 401, 0, 20, 204, 102);
INSERT INTO public.who_data VALUES (48203, 34, 7412, 2, 161, 204, 34);
INSERT INTO public.who_data VALUES (48204, 0, 12, 0, 0, 204, 212);
INSERT INTO public.who_data VALUES (48205, 482, 41426, 53, 1312, 204, 122);
INSERT INTO public.who_data VALUES (48206, 0, 4505, 0, 596, 204, 38);
INSERT INTO public.who_data VALUES (48207, 13, 1885, 0, 10, 204, 130);
INSERT INTO public.who_data VALUES (48208, 57118, 1695988, 764, 36511, 204, 37);
INSERT INTO public.who_data VALUES (48209, 2040, 108376, 73, 5131, 204, 231);
INSERT INTO public.who_data VALUES (48210, 2674, 304204, 197, 16766, 204, 107);
INSERT INTO public.who_data VALUES (48211, 3346, 124609, 70, 4741, 204, 101);
INSERT INTO public.who_data VALUES (48212, 38, 26065, 0, 1763, 204, 132);
INSERT INTO public.who_data VALUES (48213, 0, 336, 0, 24, 204, 176);
INSERT INTO public.who_data VALUES (48214, 1787, 70382, 15, 550, 204, 200);
INSERT INTO public.who_data VALUES (48215, 379, 247537, 9, 35141, 204, 169);
INSERT INTO public.who_data VALUES (48216, 8, 864, 0, 10, 204, 225);
INSERT INTO public.who_data VALUES (48217, 1464, 35836, 5, 1011, 204, 165);
INSERT INTO public.who_data VALUES (48218, 0, 335, 0, 31, 204, 233);
INSERT INTO public.who_data VALUES (48219, 2, 1261, 0, 11, 204, 215);
INSERT INTO public.who_data VALUES (48220, 6407, 96774, 30, 823, 204, 177);
INSERT INTO public.who_data VALUES (48221, 723, 20636, 16, 341, 204, 183);
INSERT INTO public.who_data VALUES (48222, 0, 0, 0, 0, 204, 203);
INSERT INTO public.who_data VALUES (48223, 226, 8287, 15, 217, 204, 162);
INSERT INTO public.who_data VALUES (48224, 428, 66957, 2, 447, 204, 12);
INSERT INTO public.who_data VALUES (48225, 494, 36299, 19, 952, 204, 24);
INSERT INTO public.who_data VALUES (48226, 0, 20, 0, 0, 204, 119);
INSERT INTO public.who_data VALUES (48227, 3, 1231, 1, 32, 204, 39);
INSERT INTO public.who_data VALUES (48228, 221, 4555, 2, 59, 204, 26);
INSERT INTO public.who_data VALUES (48229, 0, 604, 0, 13, 204, 59);
INSERT INTO public.who_data VALUES (48230, 5, 1186, 2, 75, 204, 77);
INSERT INTO public.who_data VALUES (48231, 183, 3621, 1, 74, 204, 134);
INSERT INTO public.who_data VALUES (48232, 0, 89, 0, 1, 204, 4);
INSERT INTO public.who_data VALUES (48233, 18, 2087, 0, 80, 204, 109);
INSERT INTO public.who_data VALUES (48234, 79, 6695, 0, 114, 204, 90);
INSERT INTO public.who_data VALUES (48235, 120, 10868, 1, 106, 204, 61);
INSERT INTO public.who_data VALUES (48236, 97, 4078, 5, 114, 204, 85);
INSERT INTO public.who_data VALUES (48237, 12, 8976, 1, 125, 204, 49);
INSERT INTO public.who_data VALUES (48238, 74, 3793, 0, 16, 204, 208);
INSERT INTO public.who_data VALUES (48239, 0, 2522, 0, 124, 204, 166);
INSERT INTO public.who_data VALUES (48240, 9, 736, 0, 9, 204, 64);
INSERT INTO public.who_data VALUES (48241, 0, 0, 0, 0, 204, 199);
INSERT INTO public.who_data VALUES (48242, 0, 269, 0, 15, 204, 114);
INSERT INTO public.who_data VALUES (48243, 40, 6310, 1, 157, 204, 60);
INSERT INTO public.who_data VALUES (48244, 0, 344, 0, 10, 204, 68);
INSERT INTO public.who_data VALUES (48245, 0, 2962, 0, 39, 204, 158);
INSERT INTO public.who_data VALUES (48246, 7730, 416179, 639, 46000, 204, 52);
INSERT INTO public.who_data VALUES (48247, 0, 0, 0, 0, 204, 117);
INSERT INTO public.who_data VALUES (48248, 0, 87, 0, 1, 204, 126);
INSERT INTO public.who_data VALUES (48249, 0, 291, 0, 0, 204, 196);
INSERT INTO public.who_data VALUES (48250, 69, 3251, 2, 51, 204, 142);
INSERT INTO public.who_data VALUES (48251, 0, 13, 0, 1, 204, 185);
INSERT INTO public.who_data VALUES (48252, 1063, 24322, 7, 353, 204, 138);
INSERT INTO public.who_data VALUES (48253, 56, 1864, 0, 11, 204, 181);
INSERT INTO public.who_data VALUES (48254, 0, 353, 0, 6, 204, 178);
INSERT INTO public.who_data VALUES (48255, 77, 2129, 0, 10, 204, 168);
INSERT INTO public.who_data VALUES (48256, 0, 0, 0, 0, 204, 160);
INSERT INTO public.who_data VALUES (48257, 224, 19771, 4, 56, 204, 151);
INSERT INTO public.who_data VALUES (48258, 341, 54243, 0, 6145, 204, 193);
INSERT INTO public.who_data VALUES (48259, 0, 22, 0, 0, 204, 18);
INSERT INTO public.who_data VALUES (48260, 2, 1212, 0, 22, 204, 40);
INSERT INTO public.who_data VALUES (48261, 0, 3080, 0, 116, 204, 218);
INSERT INTO public.who_data VALUES (48262, 2, 1136, 0, 69, 204, 191);
INSERT INTO public.who_data VALUES (48263, 462, 43151, 1, 879, 204, 156);
INSERT INTO public.who_data VALUES (48264, 0, 0, 0, 0, 204, 135);
INSERT INTO public.who_data VALUES (48265, 0, 42, 0, 2, 204, 88);
INSERT INTO public.who_data VALUES (48266, 145, 10762, 6, 486, 204, 55);
INSERT INTO public.who_data VALUES (48267, 36, 9208, 0, 255, 204, 108);
INSERT INTO public.who_data VALUES (48268, 394, 15232, 1, 85, 204, 48);
INSERT INTO public.who_data VALUES (48269, 0, 79159, 0, 421, 204, 3);
INSERT INTO public.who_data VALUES (48270, 0, 741, 0, 13, 204, 224);
INSERT INTO public.who_data VALUES (48271, 841, 279146, 19, 5970, 204, 110);
INSERT INTO public.who_data VALUES (48272, 0, 0, 0, 0, 204, 106);
INSERT INTO public.who_data VALUES (48273, 922, 64191, 23, 1397, 204, 89);
INSERT INTO public.who_data VALUES (48274, 9, 72, 0, 2, 204, 121);
INSERT INTO public.who_data VALUES (48275, 341, 5207, 1, 47, 204, 163);
INSERT INTO public.who_data VALUES (48276, 6809, 407492, 205, 19021, 204, 70);
INSERT INTO public.who_data VALUES (48277, 3980, 93354, 40, 2023, 204, 174);
INSERT INTO public.who_data VALUES (48278, 0, 0, 0, 0, 204, 175);
INSERT INTO public.who_data VALUES (48279, 657, 45688, 7, 1716, 204, 118);
INSERT INTO public.who_data VALUES (48280, 204, 51072, 8, 1735, 204, 189);
INSERT INTO public.who_data VALUES (48281, 209, 16781, 5, 219, 204, 124);
INSERT INTO public.who_data VALUES (48282, 235, 110695, 3, 174, 204, 192);
INSERT INTO public.who_data VALUES (48283, 31, 14336, 0, 301, 204, 41);
INSERT INTO public.who_data VALUES (48284, 390, 24733, 7, 778, 204, 95);
INSERT INTO public.who_data VALUES (48285, 3, 660, 0, 4, 204, 74);
INSERT INTO public.who_data VALUES (48286, 1295, 50886, 39, 2343, 204, 11);
INSERT INTO public.who_data VALUES (48287, 5462, 845443, 95, 14058, 204, 87);
INSERT INTO public.who_data VALUES (48288, 28, 2022, 0, 5, 204, 214);
INSERT INTO public.who_data VALUES (48289, 0, 3, 0, 0, 204, 116);
INSERT INTO public.who_data VALUES (48290, 0, 8, 0, 0, 204, 157);
INSERT INTO public.who_data VALUES (48291, 0, 0, 0, 0, 204, 182);
INSERT INTO public.who_data VALUES (48292, 0, 17, 0, 0, 204, 186);
INSERT INTO public.who_data VALUES (48293, 0, 25, 0, 0, 204, 127);
INSERT INTO public.who_data VALUES (48294, 0, 53, 0, 3, 204, 232);
INSERT INTO public.who_data VALUES (48295, 0, 4, 0, 0, 204, 33);
INSERT INTO public.who_data VALUES (48296, 2, 54, 0, 0, 204, 97);
INSERT INTO public.who_data VALUES (48297, 0, 0, 0, 0, 204, 42);
INSERT INTO public.who_data VALUES (48298, 0, 716, 0, 42, 204, 198);
INSERT INTO public.who_data VALUES (48299, 1, 871, 0, 15, 204, 216);
INSERT INTO public.who_data VALUES (48300, 1686, 275905, 24, 2866, 204, 164);
INSERT INTO public.who_data VALUES (48301, 126, 10232, 1, 205, 204, 235);
INSERT INTO public.who_data VALUES (48302, 339, 25552, 8, 573, 204, 67);
INSERT INTO public.who_data VALUES (48303, 0, 114, 0, 0, 204, 15);
INSERT INTO public.who_data VALUES (48304, 5, 1823, 0, 67, 204, 180);
INSERT INTO public.who_data VALUES (48305, 396, 52205, 0, 27, 204, 237);
INSERT INTO public.who_data VALUES (48306, 0, 3, 0, 0, 204, 25);
INSERT INTO public.who_data VALUES (48307, 2, 128, 0, 15, 204, 209);
INSERT INTO public.who_data VALUES (48308, 20, 2265, 0, 28, 204, 217);
INSERT INTO public.who_data VALUES (48309, 17, 2157, 1, 121, 204, 79);
INSERT INTO public.who_data VALUES (48310, 0, 0, 0, 0, 204, 143);
INSERT INTO public.who_data VALUES (48311, 0, 3212, 0, 93, 204, 229);
INSERT INTO public.who_data VALUES (48312, 11014, 493183, 193, 8005, 204, 141);
INSERT INTO public.who_data VALUES (48313, 30, 2352, 0, 46, 204, 197);
INSERT INTO public.who_data VALUES (48314, 3638, 306168, 11, 29909, 204, 221);
INSERT INTO public.who_data VALUES (48315, 1, 2815, 0, 11, 204, 150);
INSERT INTO public.who_data VALUES (48316, 65, 11644, 15, 746, 204, 56);
INSERT INTO public.who_data VALUES (48317, 43, 1650, 0, 26, 204, 167);
INSERT INTO public.who_data VALUES (48318, 302, 76685, 0, 5752, 204, 23);
INSERT INTO public.who_data VALUES (48319, 164, 35447, 2, 1742, 204, 222);
INSERT INTO public.who_data VALUES (48320, 19, 757, 2, 43, 204, 219);
INSERT INTO public.who_data VALUES (48321, 43, 7409, 0, 60, 204, 7);
INSERT INTO public.who_data VALUES (48322, 2, 3312, 0, 58, 204, 161);
INSERT INTO public.who_data VALUES (48323, 880, 303185, 20, 41189, 204, 149);
INSERT INTO public.who_data VALUES (48324, 0, 24, 0, 0, 204, 6);
INSERT INTO public.who_data VALUES (48325, 19, 927, 0, 18, 204, 139);
INSERT INTO public.who_data VALUES (48326, 0, 0, 0, 0, 204, 211);
INSERT INTO public.who_data VALUES (48327, 0, 0, 0, 0, 204, 14);
INSERT INTO public.who_data VALUES (48328, 12, 169, 0, 8, 204, 111);
INSERT INTO public.who_data VALUES (48329, 17, 1552, 1, 51, 204, 207);
INSERT INTO public.who_data VALUES (48330, 7712, 257793, 17, 5691, 204, 66);
INSERT INTO public.who_data VALUES (48331, 0, 0, 0, 0, 204, 173);
INSERT INTO public.who_data VALUES (48332, 3, 107, 0, 2, 204, 145);
INSERT INTO public.who_data VALUES (48333, 0, 0, 0, 0, 204, 65);
INSERT INTO public.who_data VALUES (48334, 7, 1154, 1, 3, 204, 184);
INSERT INTO public.who_data VALUES (48335, 1172, 71056, 16, 1709, 204, 98);
INSERT INTO public.who_data VALUES (48336, 283, 60506, 2, 351, 204, 104);
INSERT INTO public.who_data VALUES (48337, 0, 509, 0, 21, 204, 73);
INSERT INTO public.who_data VALUES (48338, 67823, 4456389, 1211, 151265, 204, 8);
INSERT INTO public.who_data VALUES (48339, 8, 406, 0, 8, 204, 227);
INSERT INTO public.who_data VALUES (48340, 6, 1243, 0, 35, 204, 75);
INSERT INTO public.who_data VALUES (48341, 746, 24304, 6, 143, 204, 45);
INSERT INTO public.who_data VALUES (48342, 0, 0, 0, 0, 204, 133);
INSERT INTO public.who_data VALUES (48343, 700, 17859, 4, 158, 204, 202);
INSERT INTO public.who_data VALUES (48344, 49, 558, 2, 2, 204, 129);
INSERT INTO public.who_data VALUES (48345, 0, 0, 0, 0, 204, 36);
INSERT INTO public.who_data VALUES (48346, 2, 1732, 6, 494, 204, 51);
INSERT INTO public.who_data VALUES (48347, 408, 5963, 2, 151, 204, 206);
INSERT INTO public.who_data VALUES (48348, 77, 3169, 14, 67, 204, 5);
INSERT INTO public.who_data VALUES (48349, 0, 36628, 0, 1275, 205, 103);
INSERT INTO public.who_data VALUES (48350, 92, 5197, 4, 154, 205, 58);
INSERT INTO public.who_data VALUES (48351, 602, 29831, 14, 1200, 205, 195);
INSERT INTO public.who_data VALUES (48352, 0, 0, 0, 0, 205, 115);
INSERT INTO public.who_data VALUES (48353, 4, 922, 0, 52, 205, 99);
INSERT INTO public.who_data VALUES (48354, 31, 1109, 3, 51, 205, 153);
INSERT INTO public.who_data VALUES (48355, 0, 3, 0, 0, 205, 93);
INSERT INTO public.who_data VALUES (48356, 5, 91, 0, 3, 205, 84);
INSERT INTO public.who_data VALUES (48357, 5641, 178996, 111, 3311, 205, 78);
INSERT INTO public.who_data VALUES (48358, 354, 37863, 10, 733, 205, 170);
INSERT INTO public.who_data VALUES (48359, 0, 119, 0, 3, 205, 32);
INSERT INTO public.who_data VALUES (48360, 721, 16303, 13, 189, 205, 155);
INSERT INTO public.who_data VALUES (48361, 163, 21009, 2, 718, 205, 82);
INSERT INTO public.who_data VALUES (48362, 339, 31560, 3, 441, 205, 16);
INSERT INTO public.who_data VALUES (48363, 37, 484, 0, 11, 205, 72);
INSERT INTO public.who_data VALUES (48364, 444, 40755, 2, 146, 205, 43);
INSERT INTO public.who_data VALUES (48365, 2695, 234889, 48, 3083, 205, 120);
INSERT INTO public.who_data VALUES (48366, 0, 110, 0, 7, 205, 213);
INSERT INTO public.who_data VALUES (48367, 143, 67808, 6, 559, 205, 31);
INSERT INTO public.who_data VALUES (48368, 635, 69691, 2, 9695, 205, 204);
INSERT INTO public.who_data VALUES (48369, 0, 48, 0, 2, 205, 152);
INSERT INTO public.who_data VALUES (48370, 0, 1805, 0, 36, 205, 144);
INSERT INTO public.who_data VALUES (48371, 0, 156, 0, 9, 205, 96);
INSERT INTO public.who_data VALUES (48372, 0, 101, 0, 0, 205, 47);
INSERT INTO public.who_data VALUES (48373, 1207, 73534, 88, 2808, 205, 80);
INSERT INTO public.who_data VALUES (48374, 0, 5, 0, 0, 205, 159);
INSERT INTO public.who_data VALUES (48375, 313, 11442, 12, 324, 205, 27);
INSERT INTO public.who_data VALUES (48376, 0, 804, 0, 2, 205, 146);
INSERT INTO public.who_data VALUES (48377, 69074, 2552265, 1595, 90134, 205, 71);
INSERT INTO public.who_data VALUES (48378, 0, 8, 0, 1, 205, 210);
INSERT INTO public.who_data VALUES (48379, 0, 141, 0, 3, 205, 54);
INSERT INTO public.who_data VALUES (48380, 265, 11420, 6, 374, 205, 147);
INSERT INTO public.who_data VALUES (48381, 11, 1117, 0, 53, 205, 2);
INSERT INTO public.who_data VALUES (48382, 9, 387, 0, 1, 205, 105);
INSERT INTO public.who_data VALUES (48383, 45, 2418, 0, 23, 205, 53);
INSERT INTO public.who_data VALUES (48384, 0, 234, 0, 0, 205, 81);
INSERT INTO public.who_data VALUES (48385, 0, 17255, 0, 391, 205, 223);
INSERT INTO public.who_data VALUES (48386, 476, 115470, 5, 8917, 205, 94);
INSERT INTO public.who_data VALUES (48387, 0, 203, 0, 1, 205, 154);
INSERT INTO public.who_data VALUES (48388, 0, 4605, 0, 59, 205, 83);
INSERT INTO public.who_data VALUES (48389, 9, 935, 0, 75, 205, 194);
INSERT INTO public.who_data VALUES (48390, 1961, 353536, 99, 9377, 205, 136);
INSERT INTO public.who_data VALUES (48391, 276, 87956, 1, 4666, 205, 179);
INSERT INTO public.who_data VALUES (48392, 8670, 276055, 380, 9454, 205, 57);
INSERT INTO public.who_data VALUES (48393, 4, 382, 0, 7, 205, 35);
INSERT INTO public.who_data VALUES (48394, 176, 3376, 2, 56, 205, 228);
INSERT INTO public.who_data VALUES (48395, 0, 0, 0, 0, 205, 19);
INSERT INTO public.who_data VALUES (48396, 456, 16800, 8, 133, 205, 22);
INSERT INTO public.who_data VALUES (48397, 265, 15978, 2, 100, 205, 1);
INSERT INTO public.who_data VALUES (48398, 78, 5071, 3, 144, 205, 21);
INSERT INTO public.who_data VALUES (48399, 9, 2597, 0, 87, 205, 234);
INSERT INTO public.who_data VALUES (48400, 0, 29, 0, 1, 205, 91);
INSERT INTO public.who_data VALUES (48401, 4, 1084, 0, 19, 205, 137);
INSERT INTO public.who_data VALUES (48402, 249, 16342, 5, 379, 205, 201);
INSERT INTO public.who_data VALUES (48403, 0, 0, 0, 0, 205, 171);
INSERT INTO public.who_data VALUES (48404, 79, 9009, 2, 214, 205, 92);
INSERT INTO public.who_data VALUES (48405, 91, 13725, 1, 615, 205, 112);
INSERT INTO public.who_data VALUES (48406, 0, 5081, 0, 58, 205, 62);
INSERT INTO public.who_data VALUES (48407, 0, 18, 0, 0, 205, 69);
INSERT INTO public.who_data VALUES (48408, 1733, 67915, 23, 1146, 205, 220);
INSERT INTO public.who_data VALUES (48409, 1177, 84370, 34, 5657, 205, 100);
INSERT INTO public.who_data VALUES (48410, 401, 93757, 46, 4774, 205, 187);
INSERT INTO public.who_data VALUES (48411, 389, 16230, 9, 439, 205, 63);
INSERT INTO public.who_data VALUES (48412, 0, 2350, 0, 41, 205, 28);
INSERT INTO public.who_data VALUES (48413, 14, 279, 0, 0, 205, 172);
INSERT INTO public.who_data VALUES (48414, 9, 2051, 0, 63, 205, 17);
INSERT INTO public.who_data VALUES (48415, 26, 2577, 0, 40, 205, 226);
INSERT INTO public.who_data VALUES (48416, 805, 16615, 10, 263, 205, 236);
INSERT INTO public.who_data VALUES (48417, 0, 13, 0, 0, 205, 76);
INSERT INTO public.who_data VALUES (48418, 0, 220, 0, 0, 205, 30);
INSERT INTO public.who_data VALUES (48419, 0, 27, 0, 0, 205, 128);
INSERT INTO public.who_data VALUES (48420, 9, 7423, 0, 329, 205, 86);
INSERT INTO public.who_data VALUES (48421, 1239, 174648, 16, 30136, 205, 140);
INSERT INTO public.who_data VALUES (48422, 81, 7728, 0, 43, 205, 44);
INSERT INTO public.who_data VALUES (48423, 0, 62, 0, 0, 205, 113);
INSERT INTO public.who_data VALUES (48424, 0, 7352, 0, 49, 205, 29);
INSERT INTO public.who_data VALUES (48425, 77, 403, 0, 8, 205, 125);
INSERT INTO public.who_data VALUES (48426, 8, 1168, 0, 17, 205, 131);
INSERT INTO public.who_data VALUES (48427, 870, 208698, 7, 9141, 205, 46);
INSERT INTO public.who_data VALUES (48428, 0, 35142, 0, 175, 205, 10);
INSERT INTO public.who_data VALUES (48429, 0, 186, 0, 0, 205, 205);
INSERT INTO public.who_data VALUES (48430, 65, 4401, 0, 203, 205, 50);
INSERT INTO public.who_data VALUES (48431, 0, 14, 0, 0, 205, 20);
INSERT INTO public.who_data VALUES (48432, 1, 24, 0, 0, 205, 13);
INSERT INTO public.who_data VALUES (48433, 0, 244, 0, 14, 205, 148);
INSERT INTO public.who_data VALUES (48434, 2, 348, 0, 5, 205, 230);
INSERT INTO public.who_data VALUES (48435, 1221, 48826, 32, 1867, 205, 190);
INSERT INTO public.who_data VALUES (48436, 0, 252, 0, 13, 205, 188);
INSERT INTO public.who_data VALUES (48437, 59, 7242, 0, 46, 205, 123);
INSERT INTO public.who_data VALUES (48438, 0, 1981, 0, 26, 205, 9);
INSERT INTO public.who_data VALUES (48439, 2, 398, 0, 20, 205, 102);
INSERT INTO public.who_data VALUES (48440, 7, 7378, 1, 159, 205, 34);
INSERT INTO public.who_data VALUES (48441, 0, 12, 0, 0, 205, 212);
INSERT INTO public.who_data VALUES (48442, 484, 40944, 45, 1259, 205, 122);
INSERT INTO public.who_data VALUES (48443, 21, 4505, 0, 596, 205, 38);
INSERT INTO public.who_data VALUES (48444, 11, 1872, 0, 10, 205, 130);
INSERT INTO public.who_data VALUES (48445, 55078, 1638870, 779, 35747, 205, 37);
INSERT INTO public.who_data VALUES (48446, 1904, 106336, 83, 5058, 205, 231);
INSERT INTO public.who_data VALUES (48447, 2621, 301530, 226, 16569, 205, 107);
INSERT INTO public.who_data VALUES (48448, 2963, 121263, 68, 4671, 205, 101);
INSERT INTO public.who_data VALUES (48449, 85, 26027, 0, 1763, 205, 132);
INSERT INTO public.who_data VALUES (48450, 0, 336, 0, 24, 205, 176);
INSERT INTO public.who_data VALUES (48451, 1954, 68595, 15, 535, 205, 200);
INSERT INTO public.who_data VALUES (48452, 382, 247158, 3, 35132, 205, 169);
INSERT INTO public.who_data VALUES (48453, 1, 856, 0, 10, 205, 225);
INSERT INTO public.who_data VALUES (48454, 1323, 34372, 2, 1006, 205, 165);
INSERT INTO public.who_data VALUES (48455, 0, 335, 0, 31, 205, 233);
INSERT INTO public.who_data VALUES (48456, 4, 1259, 0, 11, 205, 215);
INSERT INTO public.who_data VALUES (48457, 1289, 90367, 0, 793, 205, 177);
INSERT INTO public.who_data VALUES (48458, 788, 19913, 14, 325, 205, 183);
INSERT INTO public.who_data VALUES (48459, 0, 0, 0, 0, 205, 203);
INSERT INTO public.who_data VALUES (48460, 258, 8061, 16, 202, 205, 162);
INSERT INTO public.who_data VALUES (48461, 626, 66529, 1, 445, 205, 12);
INSERT INTO public.who_data VALUES (48462, 662, 35805, 14, 933, 205, 24);
INSERT INTO public.who_data VALUES (48463, 0, 20, 0, 0, 205, 119);
INSERT INTO public.who_data VALUES (48464, 4, 1228, 0, 31, 205, 39);
INSERT INTO public.who_data VALUES (48465, 129, 4334, 2, 57, 205, 26);
INSERT INTO public.who_data VALUES (48466, 28, 604, 0, 13, 205, 59);
INSERT INTO public.who_data VALUES (48467, 2, 1181, 1, 73, 205, 77);
INSERT INTO public.who_data VALUES (48468, 216, 3438, 2, 73, 205, 134);
INSERT INTO public.who_data VALUES (48469, 0, 89, 0, 1, 205, 4);
INSERT INTO public.who_data VALUES (48470, 13, 2069, 0, 80, 205, 109);
INSERT INTO public.who_data VALUES (48471, 83, 6616, 0, 114, 205, 90);
INSERT INTO public.who_data VALUES (48472, 431, 10748, 6, 105, 205, 61);
INSERT INTO public.who_data VALUES (48473, 123, 3981, 2, 109, 205, 85);
INSERT INTO public.who_data VALUES (48474, 8, 8964, 0, 124, 205, 49);
INSERT INTO public.who_data VALUES (48475, 152, 3719, 1, 16, 205, 208);
INSERT INTO public.who_data VALUES (48476, 1, 2522, 0, 124, 205, 166);
INSERT INTO public.who_data VALUES (48477, 9, 727, 0, 9, 205, 64);
INSERT INTO public.who_data VALUES (48478, 0, 0, 0, 0, 205, 199);
INSERT INTO public.who_data VALUES (48479, 0, 269, 0, 15, 205, 114);
INSERT INTO public.who_data VALUES (48480, 0, 6270, 0, 156, 205, 60);
INSERT INTO public.who_data VALUES (48481, 0, 344, 0, 10, 205, 68);
INSERT INTO public.who_data VALUES (48482, 57, 2962, 0, 39, 205, 158);
INSERT INTO public.who_data VALUES (48483, 5752, 408449, 485, 45361, 205, 52);
INSERT INTO public.who_data VALUES (48484, 0, 0, 0, 0, 205, 117);
INSERT INTO public.who_data VALUES (48485, 0, 87, 0, 1, 205, 126);
INSERT INTO public.who_data VALUES (48486, 0, 291, 0, 0, 205, 196);
INSERT INTO public.who_data VALUES (48487, 73, 3182, 1, 49, 205, 142);
INSERT INTO public.who_data VALUES (48488, 0, 13, 0, 1, 205, 185);
INSERT INTO public.who_data VALUES (48489, 1046, 23259, 12, 346, 205, 138);
INSERT INTO public.who_data VALUES (48490, 60, 1808, 0, 11, 205, 181);
INSERT INTO public.who_data VALUES (48491, 0, 353, 0, 6, 205, 178);
INSERT INTO public.who_data VALUES (48492, 66, 2052, 1, 10, 205, 168);
INSERT INTO public.who_data VALUES (48493, 0, 0, 0, 0, 205, 160);
INSERT INTO public.who_data VALUES (48494, 274, 19547, 3, 52, 205, 151);
INSERT INTO public.who_data VALUES (48495, 341, 53902, 0, 6145, 205, 193);
INSERT INTO public.who_data VALUES (48496, 0, 22, 0, 0, 205, 18);
INSERT INTO public.who_data VALUES (48497, 0, 1210, 0, 22, 205, 40);
INSERT INTO public.who_data VALUES (48498, 0, 3080, 0, 116, 205, 218);
INSERT INTO public.who_data VALUES (48499, 0, 1134, 0, 69, 205, 191);
INSERT INTO public.who_data VALUES (48500, 481, 42689, 5, 878, 205, 156);
INSERT INTO public.who_data VALUES (48501, 0, 0, 0, 0, 205, 135);
INSERT INTO public.who_data VALUES (48502, 2, 42, 0, 2, 205, 88);
INSERT INTO public.who_data VALUES (48503, 117, 10617, 4, 480, 205, 55);
INSERT INTO public.who_data VALUES (48504, 22, 9172, 0, 255, 205, 108);
INSERT INTO public.who_data VALUES (48505, 380, 14838, 1, 84, 205, 48);
INSERT INTO public.who_data VALUES (48506, 590, 79159, 9, 421, 205, 3);
INSERT INTO public.who_data VALUES (48507, 0, 741, 0, 13, 205, 224);
INSERT INTO public.who_data VALUES (48508, 903, 278305, 27, 5951, 205, 110);
INSERT INTO public.who_data VALUES (48509, 0, 0, 0, 0, 205, 106);
INSERT INTO public.who_data VALUES (48510, 1046, 63269, 25, 1374, 205, 89);
INSERT INTO public.who_data VALUES (48511, 0, 63, 1, 2, 205, 121);
INSERT INTO public.who_data VALUES (48512, 192, 4866, 1, 46, 205, 163);
INSERT INTO public.who_data VALUES (48513, 5678, 400683, 204, 18816, 205, 70);
INSERT INTO public.who_data VALUES (48514, 3888, 89374, 21, 1983, 205, 174);
INSERT INTO public.who_data VALUES (48515, 0, 0, 0, 0, 205, 175);
INSERT INTO public.who_data VALUES (48516, 615, 45031, 15, 1709, 205, 118);
INSERT INTO public.who_data VALUES (48517, 255, 50868, 2, 1727, 205, 189);
INSERT INTO public.who_data VALUES (48518, 511, 16572, 3, 214, 205, 124);
INSERT INTO public.who_data VALUES (48519, 307, 110460, 2, 171, 205, 192);
INSERT INTO public.who_data VALUES (48520, 36, 14305, 1, 301, 205, 41);
INSERT INTO public.who_data VALUES (48521, 396, 24343, 9, 771, 205, 95);
INSERT INTO public.who_data VALUES (48522, 0, 657, 0, 4, 205, 74);
INSERT INTO public.who_data VALUES (48523, 1356, 49591, 35, 2304, 205, 11);
INSERT INTO public.who_data VALUES (48524, 5482, 839981, 161, 13963, 205, 87);
INSERT INTO public.who_data VALUES (48525, 31, 1994, 0, 5, 205, 214);
INSERT INTO public.who_data VALUES (48526, 0, 3, 0, 0, 205, 116);
INSERT INTO public.who_data VALUES (48527, 0, 8, 0, 0, 205, 157);
INSERT INTO public.who_data VALUES (48528, 0, 0, 0, 0, 205, 182);
INSERT INTO public.who_data VALUES (48529, 0, 17, 0, 0, 205, 186);
INSERT INTO public.who_data VALUES (48530, 1, 25, 0, 0, 205, 127);
INSERT INTO public.who_data VALUES (48531, 0, 53, 0, 3, 205, 232);
INSERT INTO public.who_data VALUES (48532, 0, 4, 0, 0, 205, 33);
INSERT INTO public.who_data VALUES (48533, 0, 52, 0, 0, 205, 97);
INSERT INTO public.who_data VALUES (48534, 0, 0, 0, 0, 205, 42);
INSERT INTO public.who_data VALUES (48535, 0, 716, 0, 42, 205, 198);
INSERT INTO public.who_data VALUES (48536, 2, 870, 0, 15, 205, 216);
INSERT INTO public.who_data VALUES (48537, 1629, 274219, 26, 2842, 205, 164);
INSERT INTO public.who_data VALUES (48538, 145, 10106, 4, 204, 205, 235);
INSERT INTO public.who_data VALUES (48539, 321, 25213, 7, 565, 205, 67);
INSERT INTO public.who_data VALUES (48540, 0, 114, 0, 0, 205, 15);
INSERT INTO public.who_data VALUES (48541, 15, 1818, 0, 67, 205, 180);
INSERT INTO public.who_data VALUES (48542, 278, 51809, 0, 27, 205, 237);
INSERT INTO public.who_data VALUES (48543, 0, 3, 0, 0, 205, 25);
INSERT INTO public.who_data VALUES (48544, 5, 126, 0, 15, 205, 209);
INSERT INTO public.who_data VALUES (48545, 41, 2245, 0, 28, 205, 217);
INSERT INTO public.who_data VALUES (48546, 24, 2140, 0, 120, 205, 79);
INSERT INTO public.who_data VALUES (48547, 0, 0, 0, 0, 205, 143);
INSERT INTO public.who_data VALUES (48548, 0, 3212, 0, 93, 205, 229);
INSERT INTO public.who_data VALUES (48549, 11046, 482169, 315, 7812, 205, 141);
INSERT INTO public.who_data VALUES (48550, 0, 2322, 0, 46, 205, 197);
INSERT INTO public.who_data VALUES (48551, 3418, 302530, 9, 29898, 205, 221);
INSERT INTO public.who_data VALUES (48552, 4, 2814, 0, 11, 205, 150);
INSERT INTO public.who_data VALUES (48553, 0, 11579, 0, 731, 205, 56);
INSERT INTO public.who_data VALUES (48554, 97, 1607, 2, 26, 205, 167);
INSERT INTO public.who_data VALUES (48555, 301, 76383, 1, 5752, 205, 23);
INSERT INTO public.who_data VALUES (48556, 212, 35283, 0, 1740, 205, 222);
INSERT INTO public.who_data VALUES (48557, 21, 738, 1, 41, 205, 219);
INSERT INTO public.who_data VALUES (48558, 46, 7366, 0, 60, 205, 7);
INSERT INTO public.who_data VALUES (48559, 6, 3310, 0, 58, 205, 161);
INSERT INTO public.who_data VALUES (48560, 846, 302305, 0, 41169, 205, 149);
INSERT INTO public.who_data VALUES (48561, 0, 24, 0, 0, 205, 6);
INSERT INTO public.who_data VALUES (48562, 12, 908, 0, 18, 205, 139);
INSERT INTO public.who_data VALUES (48563, 0, 0, 0, 0, 205, 211);
INSERT INTO public.who_data VALUES (48564, 0, 0, 0, 0, 205, 14);
INSERT INTO public.who_data VALUES (48565, 1, 157, 0, 8, 205, 111);
INSERT INTO public.who_data VALUES (48566, 21, 1535, 0, 50, 205, 207);
INSERT INTO public.who_data VALUES (48567, 7697, 250081, 15, 5674, 205, 66);
INSERT INTO public.who_data VALUES (48568, 0, 0, 0, 0, 205, 173);
INSERT INTO public.who_data VALUES (48569, 5, 104, 0, 2, 205, 145);
INSERT INTO public.who_data VALUES (48570, 0, 0, 0, 0, 205, 65);
INSERT INTO public.who_data VALUES (48571, 12, 1147, 0, 2, 205, 184);
INSERT INTO public.who_data VALUES (48572, 1090, 69884, 20, 1693, 205, 98);
INSERT INTO public.who_data VALUES (48573, 302, 60223, 2, 349, 205, 104);
INSERT INTO public.who_data VALUES (48574, 0, 509, 0, 21, 205, 73);
INSERT INTO public.who_data VALUES (48575, 65406, 4388566, 1414, 150054, 205, 8);
INSERT INTO public.who_data VALUES (48576, 13, 398, 0, 8, 205, 227);
INSERT INTO public.who_data VALUES (48577, 19, 1237, 0, 35, 205, 75);
INSERT INTO public.who_data VALUES (48578, 686, 23558, 5, 137, 205, 45);
INSERT INTO public.who_data VALUES (48579, 0, 0, 0, 0, 205, 133);
INSERT INTO public.who_data VALUES (48580, 588, 17159, 3, 154, 205, 202);
INSERT INTO public.who_data VALUES (48581, 50, 509, 0, 0, 205, 129);
INSERT INTO public.who_data VALUES (48582, 0, 0, 0, 0, 205, 36);
INSERT INTO public.who_data VALUES (48583, 15, 1730, 2, 488, 205, 51);
INSERT INTO public.who_data VALUES (48584, 306, 5555, 3, 149, 205, 206);
INSERT INTO public.who_data VALUES (48585, 213, 3092, 12, 53, 205, 5);
INSERT INTO public.who_data VALUES (48586, 71, 36628, 0, 1275, 206, 103);
INSERT INTO public.who_data VALUES (48587, 108, 5105, 2, 150, 206, 58);
INSERT INTO public.who_data VALUES (48588, 614, 29229, 12, 1186, 206, 195);
INSERT INTO public.who_data VALUES (48589, 0, 0, 0, 0, 206, 115);
INSERT INTO public.who_data VALUES (48590, 7, 918, 0, 52, 206, 99);
INSERT INTO public.who_data VALUES (48591, 78, 1078, 1, 48, 206, 153);
INSERT INTO public.who_data VALUES (48592, 0, 3, 0, 0, 206, 93);
INSERT INTO public.who_data VALUES (48593, 0, 86, 0, 3, 206, 84);
INSERT INTO public.who_data VALUES (48594, 5939, 173355, 118, 3200, 206, 78);
INSERT INTO public.who_data VALUES (48595, 259, 37509, 5, 723, 206, 170);
INSERT INTO public.who_data VALUES (48596, 0, 119, 0, 3, 206, 32);
INSERT INTO public.who_data VALUES (48597, 278, 15582, 9, 176, 206, 155);
INSERT INTO public.who_data VALUES (48598, 164, 20846, 3, 716, 206, 82);
INSERT INTO public.who_data VALUES (48599, 363, 31221, 8, 438, 206, 16);
INSERT INTO public.who_data VALUES (48600, 65, 447, 0, 11, 206, 72);
INSERT INTO public.who_data VALUES (48601, 390, 40311, 3, 144, 206, 43);
INSERT INTO public.who_data VALUES (48602, 3009, 232194, 35, 3035, 206, 120);
INSERT INTO public.who_data VALUES (48603, 0, 110, 0, 7, 206, 213);
INSERT INTO public.who_data VALUES (48604, 147, 67665, 5, 553, 206, 31);
INSERT INTO public.who_data VALUES (48605, 703, 69056, 3, 9693, 206, 204);
INSERT INTO public.who_data VALUES (48606, 0, 48, 0, 2, 206, 152);
INSERT INTO public.who_data VALUES (48607, 0, 1805, 0, 36, 206, 144);
INSERT INTO public.who_data VALUES (48608, 2, 156, 0, 9, 206, 96);
INSERT INTO public.who_data VALUES (48609, 2, 101, 0, 0, 206, 47);
INSERT INTO public.who_data VALUES (48610, 1146, 72327, 73, 2720, 206, 80);
INSERT INTO public.who_data VALUES (48611, 0, 5, 0, 0, 206, 159);
INSERT INTO public.who_data VALUES (48612, 382, 11129, 17, 312, 206, 27);
INSERT INTO public.who_data VALUES (48613, 65, 804, 0, 2, 206, 146);
INSERT INTO public.who_data VALUES (48614, 40816, 2483191, 921, 88539, 206, 71);
INSERT INTO public.who_data VALUES (48615, 0, 8, 0, 1, 206, 210);
INSERT INTO public.who_data VALUES (48616, 0, 141, 0, 3, 206, 54);
INSERT INTO public.who_data VALUES (48617, 284, 11155, 13, 368, 206, 147);
INSERT INTO public.who_data VALUES (48618, 1, 1106, 0, 53, 206, 2);
INSERT INTO public.who_data VALUES (48619, 0, 378, 0, 1, 206, 105);
INSERT INTO public.who_data VALUES (48620, 19, 2373, 1, 23, 206, 53);
INSERT INTO public.who_data VALUES (48621, 8, 234, 0, 0, 206, 81);
INSERT INTO public.who_data VALUES (48622, 76, 17255, 0, 391, 206, 223);
INSERT INTO public.who_data VALUES (48623, 397, 114994, 11, 8912, 206, 94);
INSERT INTO public.who_data VALUES (48624, 0, 203, 0, 1, 206, 154);
INSERT INTO public.who_data VALUES (48625, 6, 4605, 0, 59, 206, 83);
INSERT INTO public.who_data VALUES (48626, 0, 926, 0, 75, 206, 194);
INSERT INTO public.who_data VALUES (48627, 1775, 351575, 38, 9278, 206, 136);
INSERT INTO public.who_data VALUES (48628, 223, 87680, 1, 4665, 206, 179);
INSERT INTO public.who_data VALUES (48629, 10284, 267385, 297, 9074, 206, 57);
INSERT INTO public.who_data VALUES (48630, 0, 378, 0, 7, 206, 35);
INSERT INTO public.who_data VALUES (48631, 0, 3200, 0, 54, 206, 228);
INSERT INTO public.who_data VALUES (48632, 0, 0, 0, 0, 206, 19);
INSERT INTO public.who_data VALUES (48633, 503, 16344, 10, 125, 206, 22);
INSERT INTO public.who_data VALUES (48634, 0, 15713, 0, 98, 206, 1);
INSERT INTO public.who_data VALUES (48635, 70, 4993, 1, 141, 206, 21);
INSERT INTO public.who_data VALUES (48636, 33, 2588, 0, 87, 206, 234);
INSERT INTO public.who_data VALUES (48637, 0, 29, 0, 1, 206, 91);
INSERT INTO public.who_data VALUES (48638, 13, 1080, 0, 19, 206, 137);
INSERT INTO public.who_data VALUES (48639, 294, 16093, 1, 374, 206, 201);
INSERT INTO public.who_data VALUES (48640, 0, 0, 0, 0, 206, 171);
INSERT INTO public.who_data VALUES (48641, 58, 8930, 5, 212, 206, 92);
INSERT INTO public.who_data VALUES (48642, 57, 13634, 1, 614, 206, 112);
INSERT INTO public.who_data VALUES (48643, 13, 5081, 0, 58, 206, 62);
INSERT INTO public.who_data VALUES (48644, 0, 18, 0, 0, 206, 69);
INSERT INTO public.who_data VALUES (48645, 1492, 66182, 22, 1123, 206, 220);
INSERT INTO public.who_data VALUES (48646, 914, 83193, 39, 5623, 206, 100);
INSERT INTO public.who_data VALUES (48647, 409, 93356, 37, 4728, 206, 187);
INSERT INTO public.who_data VALUES (48648, 395, 15841, 13, 430, 206, 63);
INSERT INTO public.who_data VALUES (48649, 0, 2350, 0, 41, 206, 28);
INSERT INTO public.who_data VALUES (48650, 0, 265, 0, 0, 206, 172);
INSERT INTO public.who_data VALUES (48651, 4, 2042, 0, 63, 206, 17);
INSERT INTO public.who_data VALUES (48652, 147, 2551, 1, 40, 206, 226);
INSERT INTO public.who_data VALUES (48653, 610, 15810, 14, 253, 206, 236);
INSERT INTO public.who_data VALUES (48654, 0, 13, 0, 0, 206, 76);
INSERT INTO public.who_data VALUES (48655, 0, 220, 0, 0, 206, 30);
INSERT INTO public.who_data VALUES (48656, 0, 27, 0, 0, 206, 128);
INSERT INTO public.who_data VALUES (48657, 10, 7414, 0, 329, 206, 86);
INSERT INTO public.who_data VALUES (48658, 1261, 173409, 15, 30120, 206, 140);
INSERT INTO public.who_data VALUES (48659, 85, 7647, 0, 43, 206, 44);
INSERT INTO public.who_data VALUES (48660, 0, 62, 0, 0, 206, 113);
INSERT INTO public.who_data VALUES (48661, 163, 7352, 0, 49, 206, 29);
INSERT INTO public.who_data VALUES (48662, 0, 326, 0, 8, 206, 125);
INSERT INTO public.who_data VALUES (48663, 5, 1160, 1, 17, 206, 131);
INSERT INTO public.who_data VALUES (48664, 902, 207828, 6, 9134, 206, 46);
INSERT INTO public.who_data VALUES (48665, 736, 35142, 7, 175, 206, 10);
INSERT INTO public.who_data VALUES (48666, 1, 186, 0, 0, 206, 205);
INSERT INTO public.who_data VALUES (48667, 57, 4336, 0, 203, 206, 50);
INSERT INTO public.who_data VALUES (48668, 0, 14, 0, 0, 206, 20);
INSERT INTO public.who_data VALUES (48669, 0, 23, 0, 0, 206, 13);
INSERT INTO public.who_data VALUES (48670, 41, 244, 0, 14, 206, 148);
INSERT INTO public.who_data VALUES (48671, 3, 346, 0, 5, 206, 230);
INSERT INTO public.who_data VALUES (48672, 1154, 47605, 53, 1835, 206, 190);
INSERT INTO public.who_data VALUES (48673, 0, 252, 0, 13, 206, 188);
INSERT INTO public.who_data VALUES (48674, 57, 7183, 0, 46, 206, 123);
INSERT INTO public.who_data VALUES (48675, 27, 1981, 0, 26, 206, 9);
INSERT INTO public.who_data VALUES (48676, 7, 396, 0, 20, 206, 102);
INSERT INTO public.who_data VALUES (48677, 31, 7371, 0, 158, 206, 34);
INSERT INTO public.who_data VALUES (48678, 0, 12, 0, 0, 206, 212);
INSERT INTO public.who_data VALUES (48679, 719, 40460, 48, 1214, 206, 122);
INSERT INTO public.who_data VALUES (48680, 19, 4484, 0, 596, 206, 38);
INSERT INTO public.who_data VALUES (48681, 4, 1861, 0, 10, 206, 130);
INSERT INTO public.who_data VALUES (48682, 52123, 1583792, 775, 34968, 206, 37);
INSERT INTO public.who_data VALUES (48683, 2381, 104432, 74, 4975, 206, 231);
INSERT INTO public.who_data VALUES (48684, 2636, 298909, 196, 16343, 206, 107);
INSERT INTO public.who_data VALUES (48685, 2968, 118300, 68, 4603, 206, 101);
INSERT INTO public.who_data VALUES (48686, 13, 25942, 0, 1763, 206, 132);
INSERT INTO public.who_data VALUES (48687, 0, 336, 0, 24, 206, 176);
INSERT INTO public.who_data VALUES (48688, 2125, 66641, 8, 520, 206, 200);
INSERT INTO public.who_data VALUES (48689, 288, 246776, 6, 35129, 206, 169);
INSERT INTO public.who_data VALUES (48690, 2, 855, 0, 10, 206, 225);
INSERT INTO public.who_data VALUES (48691, 1148, 33049, 3, 1004, 206, 165);
INSERT INTO public.who_data VALUES (48692, 1, 335, 0, 31, 206, 233);
INSERT INTO public.who_data VALUES (48693, 5, 1255, 0, 11, 206, 215);
INSERT INTO public.who_data VALUES (48694, 1414, 89078, 0, 793, 206, 177);
INSERT INTO public.who_data VALUES (48695, 544, 19125, 12, 311, 206, 183);
INSERT INTO public.who_data VALUES (48696, 0, 0, 0, 0, 206, 203);
INSERT INTO public.who_data VALUES (48697, 194, 7803, 4, 186, 206, 162);
INSERT INTO public.who_data VALUES (48698, 754, 65903, 2, 444, 206, 12);
INSERT INTO public.who_data VALUES (48699, 631, 35143, 17, 919, 206, 24);
INSERT INTO public.who_data VALUES (48700, 0, 20, 0, 0, 206, 119);
INSERT INTO public.who_data VALUES (48701, 4, 1224, 0, 31, 206, 39);
INSERT INTO public.who_data VALUES (48702, 182, 4205, 1, 55, 206, 26);
INSERT INTO public.who_data VALUES (48703, 71, 576, 1, 13, 206, 59);
INSERT INTO public.who_data VALUES (48704, 12, 1179, 0, 72, 206, 77);
INSERT INTO public.who_data VALUES (48705, 205, 3222, 4, 71, 206, 134);
INSERT INTO public.who_data VALUES (48706, 0, 89, 0, 1, 206, 4);
INSERT INTO public.who_data VALUES (48707, 19, 2056, 0, 80, 206, 109);
INSERT INTO public.who_data VALUES (48708, 158, 6533, 1, 114, 206, 90);
INSERT INTO public.who_data VALUES (48709, 213, 10317, 6, 99, 206, 61);
INSERT INTO public.who_data VALUES (48710, 120, 3858, 4, 107, 206, 85);
INSERT INTO public.who_data VALUES (48711, 13, 8956, 0, 124, 206, 49);
INSERT INTO public.who_data VALUES (48712, 61, 3567, 0, 15, 206, 208);
INSERT INTO public.who_data VALUES (48713, 1, 2521, 0, 124, 206, 166);
INSERT INTO public.who_data VALUES (48714, 13, 718, 0, 9, 206, 64);
INSERT INTO public.who_data VALUES (48715, 0, 0, 0, 0, 206, 199);
INSERT INTO public.who_data VALUES (48716, 0, 269, 0, 15, 206, 114);
INSERT INTO public.who_data VALUES (48717, 21, 6270, 0, 156, 206, 60);
INSERT INTO public.who_data VALUES (48718, 0, 344, 0, 10, 206, 68);
INSERT INTO public.who_data VALUES (48719, 0, 2905, 0, 39, 206, 158);
INSERT INTO public.who_data VALUES (48720, 7208, 402697, 854, 44876, 206, 52);
INSERT INTO public.who_data VALUES (48721, 0, 0, 0, 0, 206, 117);
INSERT INTO public.who_data VALUES (48722, 2, 87, 0, 1, 206, 126);
INSERT INTO public.who_data VALUES (48723, 2, 291, 0, 0, 206, 196);
INSERT INTO public.who_data VALUES (48724, 46, 3109, 1, 48, 206, 142);
INSERT INTO public.who_data VALUES (48725, 0, 13, 0, 1, 206, 185);
INSERT INTO public.who_data VALUES (48726, 826, 22213, 7, 334, 206, 138);
INSERT INTO public.who_data VALUES (48727, 28, 1748, 0, 11, 206, 181);
INSERT INTO public.who_data VALUES (48728, 2, 353, 0, 6, 206, 178);
INSERT INTO public.who_data VALUES (48729, 69, 1986, 1, 9, 206, 168);
INSERT INTO public.who_data VALUES (48730, 0, 0, 0, 0, 206, 160);
INSERT INTO public.who_data VALUES (48731, 210, 19273, 0, 49, 206, 151);
INSERT INTO public.who_data VALUES (48732, 248, 53561, 2, 6145, 206, 193);
INSERT INTO public.who_data VALUES (48733, 0, 22, 0, 0, 206, 18);
INSERT INTO public.who_data VALUES (48734, 2, 1210, 0, 22, 206, 40);
INSERT INTO public.who_data VALUES (48735, 0, 3080, 0, 116, 206, 218);
INSERT INTO public.who_data VALUES (48736, 2, 1134, 0, 69, 206, 191);
INSERT INTO public.who_data VALUES (48737, 404, 42208, 5, 873, 206, 156);
INSERT INTO public.who_data VALUES (48738, 0, 0, 0, 0, 206, 135);
INSERT INTO public.who_data VALUES (48739, 0, 40, 0, 2, 206, 88);
INSERT INTO public.who_data VALUES (48740, 185, 10500, 5, 476, 206, 55);
INSERT INTO public.who_data VALUES (48741, 18, 9150, 0, 255, 206, 108);
INSERT INTO public.who_data VALUES (48742, 520, 14458, 2, 83, 206, 48);
INSERT INTO public.who_data VALUES (48743, 665, 78569, 10, 412, 206, 3);
INSERT INTO public.who_data VALUES (48744, 0, 741, 0, 13, 206, 224);
INSERT INTO public.who_data VALUES (48745, 1114, 277402, 32, 5924, 206, 110);
INSERT INTO public.who_data VALUES (48746, 0, 0, 0, 0, 206, 106);
INSERT INTO public.who_data VALUES (48747, 781, 62223, 27, 1349, 206, 89);
INSERT INTO public.who_data VALUES (48748, 0, 63, 1, 1, 206, 121);
INSERT INTO public.who_data VALUES (48749, 126, 4674, 2, 45, 206, 163);
INSERT INTO public.who_data VALUES (48750, 5288, 395005, 194, 18612, 206, 70);
INSERT INTO public.who_data VALUES (48751, 1813, 85486, 15, 1962, 206, 174);
INSERT INTO public.who_data VALUES (48752, 0, 0, 0, 0, 206, 175);
INSERT INTO public.who_data VALUES (48753, 512, 44416, 12, 1694, 206, 118);
INSERT INTO public.who_data VALUES (48754, 203, 50613, 3, 1725, 206, 189);
INSERT INTO public.who_data VALUES (48755, 221, 16061, 2, 211, 206, 124);
INSERT INTO public.who_data VALUES (48756, 273, 110153, 2, 169, 206, 192);
INSERT INTO public.who_data VALUES (48757, 18, 14269, 0, 300, 206, 41);
INSERT INTO public.who_data VALUES (48758, 426, 23947, 5, 762, 206, 95);
INSERT INTO public.who_data VALUES (48759, 0, 657, 0, 4, 206, 74);
INSERT INTO public.who_data VALUES (48760, 1182, 48235, 30, 2269, 206, 11);
INSERT INTO public.who_data VALUES (48761, 5509, 834499, 129, 13802, 206, 87);
INSERT INTO public.who_data VALUES (48762, 37, 1963, 0, 5, 206, 214);
INSERT INTO public.who_data VALUES (48763, 0, 3, 0, 0, 206, 116);
INSERT INTO public.who_data VALUES (48764, 1, 8, 0, 0, 206, 157);
INSERT INTO public.who_data VALUES (48765, 0, 0, 0, 0, 206, 182);
INSERT INTO public.who_data VALUES (48766, 0, 17, 0, 0, 206, 186);
INSERT INTO public.who_data VALUES (48767, 0, 24, 0, 0, 206, 127);
INSERT INTO public.who_data VALUES (48768, 4, 53, 0, 3, 206, 232);
INSERT INTO public.who_data VALUES (48769, 0, 4, 0, 0, 206, 33);
INSERT INTO public.who_data VALUES (48770, 0, 52, 0, 0, 206, 97);
INSERT INTO public.who_data VALUES (48771, 0, 0, 0, 0, 206, 42);
INSERT INTO public.who_data VALUES (48772, 0, 716, 0, 42, 206, 198);
INSERT INTO public.who_data VALUES (48773, 1, 868, 1, 15, 206, 216);
INSERT INTO public.who_data VALUES (48774, 1759, 272590, 27, 2816, 206, 164);
INSERT INTO public.who_data VALUES (48775, 156, 9961, 2, 200, 206, 235);
INSERT INTO public.who_data VALUES (48776, 372, 24892, 7, 558, 206, 67);
INSERT INTO public.who_data VALUES (48777, 0, 114, 0, 0, 206, 15);
INSERT INTO public.who_data VALUES (48778, 17, 1803, 1, 67, 206, 180);
INSERT INTO public.who_data VALUES (48779, 334, 51531, 0, 27, 206, 237);
INSERT INTO public.who_data VALUES (48780, 0, 3, 0, 0, 206, 25);
INSERT INTO public.who_data VALUES (48781, 6, 121, 0, 15, 206, 209);
INSERT INTO public.who_data VALUES (48782, 23, 2204, 0, 28, 206, 217);
INSERT INTO public.who_data VALUES (48783, 14, 2116, 1, 120, 206, 79);
INSERT INTO public.who_data VALUES (48784, 0, 0, 0, 0, 206, 143);
INSERT INTO public.who_data VALUES (48785, 0, 3212, 0, 93, 206, 229);
INSERT INTO public.who_data VALUES (48786, 11362, 471123, 240, 7497, 206, 141);
INSERT INTO public.who_data VALUES (48787, 0, 2322, 0, 46, 206, 197);
INSERT INTO public.who_data VALUES (48788, 3173, 299112, 12, 29889, 206, 221);
INSERT INTO public.who_data VALUES (48789, 0, 2810, 0, 11, 206, 150);
INSERT INTO public.who_data VALUES (48790, 0, 11579, 0, 731, 206, 56);
INSERT INTO public.who_data VALUES (48791, 27, 1510, 0, 24, 206, 167);
INSERT INTO public.who_data VALUES (48792, 283, 76082, 4, 5751, 206, 23);
INSERT INTO public.who_data VALUES (48793, 220, 35071, 0, 1740, 206, 222);
INSERT INTO public.who_data VALUES (48794, 23, 717, 0, 40, 206, 219);
INSERT INTO public.who_data VALUES (48795, 44, 7320, 0, 60, 206, 7);
INSERT INTO public.who_data VALUES (48796, 6, 3304, 0, 58, 206, 161);
INSERT INTO public.who_data VALUES (48797, 763, 301459, 34, 41169, 206, 149);
INSERT INTO public.who_data VALUES (48798, 0, 24, 0, 0, 206, 6);
INSERT INTO public.who_data VALUES (48799, 22, 896, 0, 18, 206, 139);
INSERT INTO public.who_data VALUES (48800, 0, 0, 0, 0, 206, 211);
INSERT INTO public.who_data VALUES (48801, 0, 0, 0, 0, 206, 14);
INSERT INTO public.who_data VALUES (48802, 3, 156, 0, 8, 206, 111);
INSERT INTO public.who_data VALUES (48803, 26, 1514, 0, 50, 206, 207);
INSERT INTO public.who_data VALUES (48804, 7672, 242384, 14, 5659, 206, 66);
INSERT INTO public.who_data VALUES (48805, 0, 0, 0, 0, 206, 173);
INSERT INTO public.who_data VALUES (48806, 0, 99, 0, 2, 206, 145);
INSERT INTO public.who_data VALUES (48807, 0, 0, 0, 0, 206, 65);
INSERT INTO public.who_data VALUES (48808, 0, 1135, 0, 2, 206, 184);
INSERT INTO public.who_data VALUES (48809, 1197, 68794, 23, 1673, 206, 98);
INSERT INTO public.who_data VALUES (48810, 375, 59921, 0, 347, 206, 104);
INSERT INTO public.who_data VALUES (48811, 0, 509, 0, 21, 206, 73);
INSERT INTO public.who_data VALUES (48812, 59629, 4323160, 1191, 148640, 206, 8);
INSERT INTO public.who_data VALUES (48813, 10, 385, 1, 8, 206, 227);
INSERT INTO public.who_data VALUES (48814, 16, 1218, 0, 35, 206, 75);
INSERT INTO public.who_data VALUES (48815, 703, 22872, 3, 132, 206, 45);
INSERT INTO public.who_data VALUES (48816, 0, 0, 0, 0, 206, 133);
INSERT INTO public.who_data VALUES (48817, 583, 16571, 5, 151, 206, 202);
INSERT INTO public.who_data VALUES (48818, 13, 459, 0, 0, 206, 129);
INSERT INTO public.who_data VALUES (48819, 0, 0, 0, 0, 206, 36);
INSERT INTO public.who_data VALUES (48820, 8, 1715, 1, 486, 206, 51);
INSERT INTO public.who_data VALUES (48821, 247, 5249, 4, 146, 206, 206);
INSERT INTO public.who_data VALUES (48822, 62, 2879, 1, 41, 206, 5);
INSERT INTO public.who_data VALUES (48823, 103, 36557, 1, 1275, 207, 103);
INSERT INTO public.who_data VALUES (48824, 117, 4997, 4, 148, 207, 58);
INSERT INTO public.who_data VALUES (48825, 642, 28615, 11, 1174, 207, 195);
INSERT INTO public.who_data VALUES (48826, 0, 0, 0, 0, 207, 115);
INSERT INTO public.who_data VALUES (48827, 4, 911, 0, 52, 207, 99);
INSERT INTO public.who_data VALUES (48828, 50, 1000, 6, 47, 207, 153);
INSERT INTO public.who_data VALUES (48829, 0, 3, 0, 0, 207, 93);
INSERT INTO public.who_data VALUES (48830, 4, 86, 0, 3, 207, 84);
INSERT INTO public.who_data VALUES (48831, 4890, 167416, 126, 3082, 207, 78);
INSERT INTO public.who_data VALUES (48832, 308, 37250, 4, 718, 207, 170);
INSERT INTO public.who_data VALUES (48833, 0, 119, 0, 3, 207, 32);
INSERT INTO public.who_data VALUES (48834, 369, 15304, 6, 167, 207, 155);
INSERT INTO public.who_data VALUES (48835, 132, 20682, 0, 713, 207, 82);
INSERT INTO public.who_data VALUES (48836, 412, 30858, 7, 430, 207, 16);
INSERT INTO public.who_data VALUES (48837, 40, 382, 0, 11, 207, 72);
INSERT INTO public.who_data VALUES (48838, 439, 39921, 0, 141, 207, 43);
INSERT INTO public.who_data VALUES (48839, 2960, 229185, 35, 3000, 207, 120);
INSERT INTO public.who_data VALUES (48840, 0, 110, 0, 7, 207, 213);
INSERT INTO public.who_data VALUES (48841, 152, 67518, 5, 548, 207, 31);
INSERT INTO public.who_data VALUES (48842, 685, 68353, 1, 9690, 207, 204);
INSERT INTO public.who_data VALUES (48843, 0, 48, 0, 2, 207, 152);
INSERT INTO public.who_data VALUES (48844, 35, 1805, 1, 36, 207, 144);
INSERT INTO public.who_data VALUES (48845, 0, 154, 0, 9, 207, 96);
INSERT INTO public.who_data VALUES (48846, 0, 99, 0, 0, 207, 47);
INSERT INTO public.who_data VALUES (48847, 1752, 71181, 64, 2647, 207, 80);
INSERT INTO public.who_data VALUES (48848, 0, 5, 0, 0, 207, 159);
INSERT INTO public.who_data VALUES (48849, 232, 10747, 3, 295, 207, 27);
INSERT INTO public.who_data VALUES (48850, 0, 739, 0, 2, 207, 146);
INSERT INTO public.who_data VALUES (48851, 23284, 2442375, 614, 87618, 207, 71);
INSERT INTO public.who_data VALUES (48852, 0, 8, 0, 1, 207, 210);
INSERT INTO public.who_data VALUES (48853, 0, 141, 0, 3, 207, 54);
INSERT INTO public.who_data VALUES (48854, 250, 10871, 8, 355, 207, 147);
INSERT INTO public.who_data VALUES (48855, 5, 1105, 0, 53, 207, 2);
INSERT INTO public.who_data VALUES (48856, 0, 378, 0, 1, 207, 105);
INSERT INTO public.who_data VALUES (48857, 26, 2354, 0, 22, 207, 53);
INSERT INTO public.who_data VALUES (48858, 0, 226, 0, 0, 207, 81);
INSERT INTO public.who_data VALUES (48859, 0, 17179, 0, 391, 207, 223);
INSERT INTO public.who_data VALUES (48860, 686, 114597, 11, 8901, 207, 94);
INSERT INTO public.who_data VALUES (48861, 0, 203, 0, 1, 207, 154);
INSERT INTO public.who_data VALUES (48862, 0, 4599, 0, 59, 207, 83);
INSERT INTO public.who_data VALUES (48863, 4, 926, 0, 75, 207, 194);
INSERT INTO public.who_data VALUES (48864, 1877, 349800, 53, 9240, 207, 136);
INSERT INTO public.who_data VALUES (48865, 212, 87457, 1, 4664, 207, 179);
INSERT INTO public.who_data VALUES (48866, 8125, 257101, 252, 8777, 207, 57);
INSERT INTO public.who_data VALUES (48867, 24, 378, 0, 7, 207, 35);
INSERT INTO public.who_data VALUES (48868, 41, 3200, 0, 54, 207, 228);
INSERT INTO public.who_data VALUES (48869, 0, 0, 0, 0, 207, 19);
INSERT INTO public.who_data VALUES (48870, 612, 15841, 11, 115, 207, 22);
INSERT INTO public.who_data VALUES (48871, 58, 15713, 2, 98, 207, 1);
INSERT INTO public.who_data VALUES (48872, 42, 4923, 1, 140, 207, 21);
INSERT INTO public.who_data VALUES (48873, 23, 2555, 0, 87, 207, 234);
INSERT INTO public.who_data VALUES (48874, 0, 29, 0, 1, 207, 91);
INSERT INTO public.who_data VALUES (48875, 7, 1067, 0, 19, 207, 137);
INSERT INTO public.who_data VALUES (48876, 283, 15799, 0, 373, 207, 201);
INSERT INTO public.who_data VALUES (48877, 0, 0, 0, 0, 207, 171);
INSERT INTO public.who_data VALUES (48878, 29, 8872, 0, 207, 207, 92);
INSERT INTO public.who_data VALUES (48879, 30, 13577, 0, 613, 207, 112);
INSERT INTO public.who_data VALUES (48880, 9, 5068, 0, 58, 207, 62);
INSERT INTO public.who_data VALUES (48881, 0, 18, 0, 0, 207, 69);
INSERT INTO public.who_data VALUES (48882, 534, 64690, 18, 1101, 207, 220);
INSERT INTO public.who_data VALUES (48883, 1118, 82279, 52, 5584, 207, 100);
INSERT INTO public.who_data VALUES (48884, 465, 92947, 39, 4691, 207, 187);
INSERT INTO public.who_data VALUES (48885, 411, 15446, 9, 417, 207, 63);
INSERT INTO public.who_data VALUES (48886, 0, 2350, 0, 41, 207, 28);
INSERT INTO public.who_data VALUES (48887, 0, 265, 0, 0, 207, 172);
INSERT INTO public.who_data VALUES (48888, 0, 2038, 0, 63, 207, 17);
INSERT INTO public.who_data VALUES (48889, 88, 2404, 5, 39, 207, 226);
INSERT INTO public.who_data VALUES (48890, 653, 15200, 11, 239, 207, 236);
INSERT INTO public.who_data VALUES (48891, 0, 13, 0, 0, 207, 76);
INSERT INTO public.who_data VALUES (48892, 6, 220, 0, 0, 207, 30);
INSERT INTO public.who_data VALUES (48893, 0, 27, 0, 0, 207, 128);
INSERT INTO public.who_data VALUES (48894, 6, 7404, 0, 329, 207, 86);
INSERT INTO public.who_data VALUES (48895, 672, 172148, 12, 30105, 207, 140);
INSERT INTO public.who_data VALUES (48896, 48, 7562, 1, 43, 207, 44);
INSERT INTO public.who_data VALUES (48897, 0, 62, 0, 0, 207, 113);
INSERT INTO public.who_data VALUES (48898, 0, 7189, 0, 49, 207, 29);
INSERT INTO public.who_data VALUES (48899, 0, 326, 0, 8, 207, 125);
INSERT INTO public.who_data VALUES (48900, 10, 1155, 0, 16, 207, 131);
INSERT INTO public.who_data VALUES (48901, 684, 206926, 6, 9128, 207, 46);
INSERT INTO public.who_data VALUES (48902, 782, 34406, 0, 168, 207, 10);
INSERT INTO public.who_data VALUES (48903, 0, 185, 0, 0, 207, 205);
INSERT INTO public.who_data VALUES (48904, 52, 4279, 1, 203, 207, 50);
INSERT INTO public.who_data VALUES (48905, 1, 14, 0, 0, 207, 20);
INSERT INTO public.who_data VALUES (48906, 0, 23, 0, 0, 207, 13);
INSERT INTO public.who_data VALUES (48907, 0, 203, 0, 14, 207, 148);
INSERT INTO public.who_data VALUES (48908, 2, 343, 0, 5, 207, 230);
INSERT INTO public.who_data VALUES (48909, 1392, 46451, 21, 1782, 207, 190);
INSERT INTO public.who_data VALUES (48910, 0, 252, 0, 13, 207, 188);
INSERT INTO public.who_data VALUES (48911, 71, 7126, 1, 46, 207, 123);
INSERT INTO public.who_data VALUES (48912, 0, 1954, 0, 26, 207, 9);
INSERT INTO public.who_data VALUES (48913, 19, 389, 0, 20, 207, 102);
INSERT INTO public.who_data VALUES (48914, 25, 7340, 1, 158, 207, 34);
INSERT INTO public.who_data VALUES (48915, 0, 12, 0, 0, 207, 212);
INSERT INTO public.who_data VALUES (48916, 465, 39741, 50, 1166, 207, 122);
INSERT INTO public.who_data VALUES (48917, 9, 4465, 0, 596, 207, 38);
INSERT INTO public.who_data VALUES (48918, 3, 1857, 0, 10, 207, 130);
INSERT INTO public.who_data VALUES (48919, 48513, 1531669, 768, 34193, 207, 37);
INSERT INTO public.who_data VALUES (48920, 1748, 102051, 63, 4901, 207, 231);
INSERT INTO public.who_data VALUES (48921, 2667, 296273, 235, 16147, 207, 107);
INSERT INTO public.who_data VALUES (48922, 2747, 115332, 77, 4535, 207, 101);
INSERT INTO public.who_data VALUES (48923, 37, 25929, 0, 1763, 207, 132);
INSERT INTO public.who_data VALUES (48924, 0, 336, 0, 24, 207, 176);
INSERT INTO public.who_data VALUES (48925, 2048, 64516, 7, 512, 207, 200);
INSERT INTO public.who_data VALUES (48926, 202, 246488, 11, 35123, 207, 169);
INSERT INTO public.who_data VALUES (48927, 11, 853, 0, 10, 207, 225);
INSERT INTO public.who_data VALUES (48928, 940, 31901, 3, 1001, 207, 165);
INSERT INTO public.who_data VALUES (48929, 2, 334, 0, 31, 207, 233);
INSERT INTO public.who_data VALUES (48930, 6, 1250, 0, 11, 207, 215);
INSERT INTO public.who_data VALUES (48931, 1472, 87664, 0, 793, 207, 177);
INSERT INTO public.who_data VALUES (48932, 606, 18581, 14, 299, 207, 183);
INSERT INTO public.who_data VALUES (48933, 0, 0, 0, 0, 207, 203);
INSERT INTO public.who_data VALUES (48934, 239, 7609, 7, 182, 207, 162);
INSERT INTO public.who_data VALUES (48935, 770, 65149, 4, 442, 207, 12);
INSERT INTO public.who_data VALUES (48936, 668, 34512, 18, 902, 207, 24);
INSERT INTO public.who_data VALUES (48937, 0, 20, 0, 0, 207, 119);
INSERT INTO public.who_data VALUES (48938, 0, 1220, 0, 31, 207, 39);
INSERT INTO public.who_data VALUES (48939, 141, 4023, 3, 54, 207, 26);
INSERT INTO public.who_data VALUES (48940, 0, 505, 0, 12, 207, 59);
INSERT INTO public.who_data VALUES (48941, 0, 1167, 0, 72, 207, 77);
INSERT INTO public.who_data VALUES (48942, 190, 3017, 3, 67, 207, 134);
INSERT INTO public.who_data VALUES (48943, 1, 89, 0, 1, 207, 4);
INSERT INTO public.who_data VALUES (48944, 15, 2037, 0, 80, 207, 109);
INSERT INTO public.who_data VALUES (48945, 54, 6375, 1, 113, 207, 90);
INSERT INTO public.who_data VALUES (48946, 414, 10104, 2, 93, 207, 61);
INSERT INTO public.who_data VALUES (48947, 29, 3738, 0, 103, 207, 85);
INSERT INTO public.who_data VALUES (48948, 39, 8943, 0, 124, 207, 49);
INSERT INTO public.who_data VALUES (48949, 137, 3506, 0, 15, 207, 208);
INSERT INTO public.who_data VALUES (48950, 7, 2520, 0, 124, 207, 166);
INSERT INTO public.who_data VALUES (48951, 6, 705, 0, 9, 207, 64);
INSERT INTO public.who_data VALUES (48952, 0, 0, 0, 0, 207, 199);
INSERT INTO public.who_data VALUES (48953, 0, 269, 0, 15, 207, 114);
INSERT INTO public.who_data VALUES (48954, 41, 6249, 0, 156, 207, 60);
INSERT INTO public.who_data VALUES (48955, 0, 344, 0, 10, 207, 68);
INSERT INTO public.who_data VALUES (48956, 5, 2905, 1, 39, 207, 158);
INSERT INTO public.who_data VALUES (48957, 4973, 395489, 342, 44022, 207, 52);
INSERT INTO public.who_data VALUES (48958, 0, 0, 0, 0, 207, 117);
INSERT INTO public.who_data VALUES (48959, 1, 85, 0, 1, 207, 126);
INSERT INTO public.who_data VALUES (48960, 1, 289, 0, 0, 207, 196);
INSERT INTO public.who_data VALUES (48961, 66, 3063, 2, 47, 207, 142);
INSERT INTO public.who_data VALUES (48962, 0, 13, 0, 1, 207, 185);
INSERT INTO public.who_data VALUES (48963, 500, 21387, 11, 327, 207, 138);
INSERT INTO public.who_data VALUES (48964, 19, 1720, 0, 11, 207, 181);
INSERT INTO public.who_data VALUES (48965, 1, 351, 0, 6, 207, 178);
INSERT INTO public.who_data VALUES (48966, 75, 1917, 0, 8, 207, 168);
INSERT INTO public.who_data VALUES (48967, 0, 0, 0, 0, 207, 160);
INSERT INTO public.who_data VALUES (48968, 311, 19063, 1, 49, 207, 151);
INSERT INTO public.who_data VALUES (48969, 224, 53313, 4, 6143, 207, 193);
INSERT INTO public.who_data VALUES (48970, 0, 22, 0, 0, 207, 18);
INSERT INTO public.who_data VALUES (48971, 1, 1208, 0, 22, 207, 40);
INSERT INTO public.who_data VALUES (48972, 76, 3080, 8, 116, 207, 218);
INSERT INTO public.who_data VALUES (48973, 0, 1132, 0, 69, 207, 191);
INSERT INTO public.who_data VALUES (48974, 624, 41804, 8, 868, 207, 156);
INSERT INTO public.who_data VALUES (48975, 0, 0, 0, 0, 207, 135);
INSERT INTO public.who_data VALUES (48976, 0, 40, 0, 2, 207, 88);
INSERT INTO public.who_data VALUES (48977, 102, 10315, 5, 471, 207, 55);
INSERT INTO public.who_data VALUES (48978, 15, 9132, 0, 255, 207, 108);
INSERT INTO public.who_data VALUES (48979, 481, 13938, 0, 81, 207, 48);
INSERT INTO public.who_data VALUES (48980, 846, 77904, 9, 402, 207, 3);
INSERT INTO public.who_data VALUES (48981, 0, 741, 0, 13, 207, 224);
INSERT INTO public.who_data VALUES (48982, 1063, 276288, 27, 5892, 207, 110);
INSERT INTO public.who_data VALUES (48983, 0, 0, 0, 0, 207, 106);
INSERT INTO public.who_data VALUES (48984, 1146, 61442, 28, 1322, 207, 89);
INSERT INTO public.who_data VALUES (48985, 1, 63, 0, 0, 207, 121);
INSERT INTO public.who_data VALUES (48986, 104, 4548, 2, 43, 207, 163);
INSERT INTO public.who_data VALUES (48987, 4920, 389717, 189, 18418, 207, 70);
INSERT INTO public.who_data VALUES (48988, 1633, 83673, 2, 1947, 207, 174);
INSERT INTO public.who_data VALUES (48989, 0, 0, 0, 0, 207, 175);
INSERT INTO public.who_data VALUES (48990, 502, 43904, 6, 1682, 207, 118);
INSERT INTO public.who_data VALUES (48991, 111, 50410, 3, 1722, 207, 189);
INSERT INTO public.who_data VALUES (48992, 409, 15840, 8, 209, 207, 124);
INSERT INTO public.who_data VALUES (48993, 283, 109880, 2, 167, 207, 192);
INSERT INTO public.who_data VALUES (48994, 48, 14251, 0, 300, 207, 41);
INSERT INTO public.who_data VALUES (48995, 367, 23521, 6, 757, 207, 95);
INSERT INTO public.who_data VALUES (48996, 0, 657, 0, 4, 207, 74);
INSERT INTO public.who_data VALUES (48997, 1151, 47053, 33, 2239, 207, 11);
INSERT INTO public.who_data VALUES (48998, 5475, 828990, 169, 13673, 207, 87);
INSERT INTO public.who_data VALUES (48999, 47, 1926, 0, 5, 207, 214);
INSERT INTO public.who_data VALUES (49000, 0, 3, 0, 0, 207, 116);
INSERT INTO public.who_data VALUES (49001, 0, 7, 0, 0, 207, 157);
INSERT INTO public.who_data VALUES (49002, 0, 0, 0, 0, 207, 182);
INSERT INTO public.who_data VALUES (49003, 0, 17, 0, 0, 207, 186);
INSERT INTO public.who_data VALUES (49004, 0, 24, 0, 0, 207, 127);
INSERT INTO public.who_data VALUES (49005, 0, 49, 0, 3, 207, 232);
INSERT INTO public.who_data VALUES (49006, 0, 4, 0, 0, 207, 33);
INSERT INTO public.who_data VALUES (49007, 0, 52, 0, 0, 207, 97);
INSERT INTO public.who_data VALUES (49008, 0, 0, 0, 0, 207, 42);
INSERT INTO public.who_data VALUES (49009, 0, 716, 0, 42, 207, 198);
INSERT INTO public.who_data VALUES (49010, 2, 867, 0, 14, 207, 216);
INSERT INTO public.who_data VALUES (49011, 1897, 270831, 29, 2789, 207, 164);
INSERT INTO public.who_data VALUES (49012, 41, 9805, 4, 198, 207, 235);
INSERT INTO public.who_data VALUES (49013, 379, 24520, 8, 551, 207, 67);
INSERT INTO public.who_data VALUES (49014, 0, 114, 0, 0, 207, 15);
INSERT INTO public.who_data VALUES (49015, 3, 1786, 0, 66, 207, 180);
INSERT INTO public.who_data VALUES (49016, 359, 51197, 0, 27, 207, 237);
INSERT INTO public.who_data VALUES (49017, 0, 3, 0, 0, 207, 25);
INSERT INTO public.who_data VALUES (49018, 1, 115, 0, 15, 207, 209);
INSERT INTO public.who_data VALUES (49019, 2, 2181, 0, 28, 207, 217);
INSERT INTO public.who_data VALUES (49020, 14, 2102, 0, 119, 207, 79);
INSERT INTO public.who_data VALUES (49021, 0, 0, 0, 0, 207, 143);
INSERT INTO public.who_data VALUES (49022, 16, 3212, 0, 93, 207, 229);
INSERT INTO public.who_data VALUES (49023, 7231, 459761, 190, 7257, 207, 141);
INSERT INTO public.who_data VALUES (49024, 17, 2322, 0, 46, 207, 197);
INSERT INTO public.who_data VALUES (49025, 2203, 295939, 8, 29877, 207, 221);
INSERT INTO public.who_data VALUES (49026, 5, 2810, 0, 11, 207, 150);
INSERT INTO public.who_data VALUES (49027, 83, 11579, 6, 731, 207, 56);
INSERT INTO public.who_data VALUES (49028, 44, 1483, 1, 24, 207, 167);
INSERT INTO public.who_data VALUES (49029, 71, 75799, 6, 5747, 207, 23);
INSERT INTO public.who_data VALUES (49030, 189, 34851, 1, 1740, 207, 222);
INSERT INTO public.who_data VALUES (49031, 20, 694, 0, 40, 207, 219);
INSERT INTO public.who_data VALUES (49032, 41, 7276, 0, 60, 207, 7);
INSERT INTO public.who_data VALUES (49033, 1, 3298, 0, 58, 207, 161);
INSERT INTO public.who_data VALUES (49034, 70, 300696, 21, 41135, 207, 149);
INSERT INTO public.who_data VALUES (49035, 0, 24, 0, 0, 207, 6);
INSERT INTO public.who_data VALUES (49036, 0, 874, 0, 18, 207, 139);
INSERT INTO public.who_data VALUES (49037, 0, 0, 0, 0, 207, 211);
INSERT INTO public.who_data VALUES (49038, 0, 0, 0, 0, 207, 14);
INSERT INTO public.who_data VALUES (49039, 5, 153, 0, 8, 207, 111);
INSERT INTO public.who_data VALUES (49040, 20, 1488, 0, 50, 207, 207);
INSERT INTO public.who_data VALUES (49041, 7693, 234712, 15, 5645, 207, 66);
INSERT INTO public.who_data VALUES (49042, 0, 0, 0, 0, 207, 173);
INSERT INTO public.who_data VALUES (49043, 0, 99, 0, 2, 207, 145);
INSERT INTO public.who_data VALUES (49044, 0, 0, 0, 0, 207, 65);
INSERT INTO public.who_data VALUES (49045, 7, 1135, 0, 2, 207, 184);
INSERT INTO public.who_data VALUES (49046, 1022, 67597, 21, 1650, 207, 98);
INSERT INTO public.who_data VALUES (49047, 369, 59546, 2, 347, 207, 104);
INSERT INTO public.who_data VALUES (49048, 0, 509, 0, 21, 207, 73);
INSERT INTO public.who_data VALUES (49049, 54022, 4263531, 1118, 147449, 207, 8);
INSERT INTO public.who_data VALUES (49050, 11, 375, 0, 7, 207, 227);
INSERT INTO public.who_data VALUES (49051, 10, 1202, 1, 35, 207, 75);
INSERT INTO public.who_data VALUES (49052, 663, 22169, 10, 129, 207, 45);
INSERT INTO public.who_data VALUES (49053, 0, 0, 0, 0, 207, 133);
INSERT INTO public.who_data VALUES (49054, 525, 15988, 4, 146, 207, 202);
INSERT INTO public.who_data VALUES (49055, 15, 446, 0, 0, 207, 129);
INSERT INTO public.who_data VALUES (49056, 0, 0, 0, 0, 207, 36);
INSERT INTO public.who_data VALUES (49057, 12, 1707, 1, 485, 207, 51);
INSERT INTO public.who_data VALUES (49058, 450, 5002, 2, 142, 207, 206);
INSERT INTO public.who_data VALUES (49059, 113, 2817, 4, 40, 207, 5);
INSERT INTO public.who_data VALUES (49060, 105, 36454, 1, 1274, 208, 103);
INSERT INTO public.who_data VALUES (49061, 117, 4880, 6, 144, 208, 58);
INSERT INTO public.who_data VALUES (49062, 616, 27973, 8, 1163, 208, 195);
INSERT INTO public.who_data VALUES (49063, 0, 0, 0, 0, 208, 115);
INSERT INTO public.who_data VALUES (49064, 3, 907, 0, 52, 208, 99);
INSERT INTO public.who_data VALUES (49065, 18, 950, 1, 41, 208, 153);
INSERT INTO public.who_data VALUES (49066, 0, 3, 0, 0, 208, 93);
INSERT INTO public.who_data VALUES (49067, 0, 82, 0, 3, 208, 84);
INSERT INTO public.who_data VALUES (49068, 4205, 162526, 43, 2956, 208, 78);
INSERT INTO public.who_data VALUES (49069, 239, 36942, 8, 714, 208, 170);
INSERT INTO public.who_data VALUES (49070, 2, 119, 0, 3, 208, 32);
INSERT INTO public.who_data VALUES (49071, 532, 14935, 6, 161, 208, 155);
INSERT INTO public.who_data VALUES (49072, 64, 20550, 1, 713, 208, 82);
INSERT INTO public.who_data VALUES (49073, 396, 30446, 6, 423, 208, 16);
INSERT INTO public.who_data VALUES (49074, 16, 342, 0, 11, 208, 72);
INSERT INTO public.who_data VALUES (49075, 351, 39482, 0, 141, 208, 43);
INSERT INTO public.who_data VALUES (49076, 2772, 226225, 37, 2965, 208, 120);
INSERT INTO public.who_data VALUES (49077, 2, 110, 0, 7, 208, 213);
INSERT INTO public.who_data VALUES (49078, 234, 67366, 9, 543, 208, 31);
INSERT INTO public.who_data VALUES (49079, 595, 67668, 4, 9689, 208, 204);
INSERT INTO public.who_data VALUES (49080, 0, 48, 0, 2, 208, 152);
INSERT INTO public.who_data VALUES (49081, 0, 1770, 0, 35, 208, 144);
INSERT INTO public.who_data VALUES (49082, 0, 154, 0, 9, 208, 96);
INSERT INTO public.who_data VALUES (49083, 4, 99, 0, 0, 208, 47);
INSERT INTO public.who_data VALUES (49084, 1148, 69429, 48, 2583, 208, 80);
INSERT INTO public.who_data VALUES (49085, 0, 5, 0, 0, 208, 159);
INSERT INTO public.who_data VALUES (49086, 183, 10515, 7, 292, 208, 27);
INSERT INTO public.who_data VALUES (49087, 53, 739, 1, 2, 208, 146);
INSERT INTO public.who_data VALUES (49088, 24578, 2419091, 555, 87004, 208, 71);
INSERT INTO public.who_data VALUES (49089, 0, 8, 0, 1, 208, 210);
INSERT INTO public.who_data VALUES (49090, 0, 141, 0, 3, 208, 54);
INSERT INTO public.who_data VALUES (49091, 194, 10621, 7, 347, 208, 147);
INSERT INTO public.who_data VALUES (49092, 14, 1100, 0, 53, 208, 2);
INSERT INTO public.who_data VALUES (49093, 17, 378, 0, 1, 208, 105);
INSERT INTO public.who_data VALUES (49094, 21, 2328, 0, 22, 208, 53);
INSERT INTO public.who_data VALUES (49095, 1, 226, 0, 0, 208, 81);
INSERT INTO public.who_data VALUES (49096, 69, 17179, 0, 391, 208, 223);
INSERT INTO public.who_data VALUES (49097, 355, 113911, 5, 8890, 208, 94);
INSERT INTO public.who_data VALUES (49098, 0, 203, 0, 1, 208, 154);
INSERT INTO public.who_data VALUES (49099, 1, 4599, 0, 59, 208, 83);
INSERT INTO public.who_data VALUES (49100, 7, 922, 0, 75, 208, 194);
INSERT INTO public.who_data VALUES (49101, 2133, 347923, 75, 9187, 208, 136);
INSERT INTO public.who_data VALUES (49102, 217, 87245, 4, 4663, 208, 179);
INSERT INTO public.who_data VALUES (49103, 8181, 248976, 256, 8525, 208, 57);
INSERT INTO public.who_data VALUES (49104, 0, 354, 0, 7, 208, 35);
INSERT INTO public.who_data VALUES (49105, 0, 3159, 0, 54, 208, 228);
INSERT INTO public.who_data VALUES (49106, 0, 0, 0, 0, 208, 19);
INSERT INTO public.who_data VALUES (49107, 629, 15229, 6, 104, 208, 22);
INSERT INTO public.who_data VALUES (49108, 59, 15655, 0, 96, 208, 1);
INSERT INTO public.who_data VALUES (49109, 24, 4881, 3, 139, 208, 21);
INSERT INTO public.who_data VALUES (49110, 37, 2532, 0, 87, 208, 234);
INSERT INTO public.who_data VALUES (49111, 0, 29, 0, 1, 208, 91);
INSERT INTO public.who_data VALUES (49112, 3, 1060, 0, 19, 208, 137);
INSERT INTO public.who_data VALUES (49113, 192, 15516, 2, 373, 208, 201);
INSERT INTO public.who_data VALUES (49114, 0, 0, 0, 0, 208, 171);
INSERT INTO public.who_data VALUES (49115, 13, 8843, 4, 207, 208, 92);
INSERT INTO public.who_data VALUES (49116, 109, 13547, 0, 613, 208, 112);
INSERT INTO public.who_data VALUES (49117, 9, 5059, 0, 58, 208, 62);
INSERT INTO public.who_data VALUES (49118, 0, 18, 0, 0, 208, 69);
INSERT INTO public.who_data VALUES (49119, 1248, 64156, 20, 1083, 208, 220);
INSERT INTO public.who_data VALUES (49120, 467, 81161, 17, 5532, 208, 100);
INSERT INTO public.who_data VALUES (49121, 420, 92482, 46, 4652, 208, 187);
INSERT INTO public.who_data VALUES (49122, 405, 15035, 8, 408, 208, 63);
INSERT INTO public.who_data VALUES (49123, 0, 2350, 0, 41, 208, 28);
INSERT INTO public.who_data VALUES (49124, 2, 265, 0, 0, 208, 172);
INSERT INTO public.who_data VALUES (49125, 4, 2038, 0, 63, 208, 17);
INSERT INTO public.who_data VALUES (49126, 109, 2316, 2, 34, 208, 226);
INSERT INTO public.who_data VALUES (49127, 579, 14547, 5, 228, 208, 236);
INSERT INTO public.who_data VALUES (49128, 0, 13, 0, 0, 208, 76);
INSERT INTO public.who_data VALUES (49129, 23, 214, 0, 0, 208, 30);
INSERT INTO public.who_data VALUES (49130, 0, 27, 0, 0, 208, 128);
INSERT INTO public.who_data VALUES (49131, 5, 7398, 0, 329, 208, 86);
INSERT INTO public.who_data VALUES (49132, 2254, 171476, 15, 30093, 208, 140);
INSERT INTO public.who_data VALUES (49133, 182, 7514, 1, 42, 208, 44);
INSERT INTO public.who_data VALUES (49134, 0, 62, 0, 0, 208, 113);
INSERT INTO public.who_data VALUES (49135, 205, 7189, 0, 49, 208, 29);
INSERT INTO public.who_data VALUES (49136, 49, 326, 2, 8, 208, 125);
INSERT INTO public.who_data VALUES (49137, 8, 1145, 0, 16, 208, 131);
INSERT INTO public.who_data VALUES (49138, 633, 206242, 4, 9122, 208, 46);
INSERT INTO public.who_data VALUES (49139, 1187, 33624, 7, 168, 208, 10);
INSERT INTO public.who_data VALUES (49140, 0, 185, 0, 0, 208, 205);
INSERT INTO public.who_data VALUES (49141, 34, 4227, 0, 202, 208, 50);
INSERT INTO public.who_data VALUES (49142, 0, 13, 0, 0, 208, 20);
INSERT INTO public.who_data VALUES (49143, 0, 23, 0, 0, 208, 13);
INSERT INTO public.who_data VALUES (49144, 0, 203, 0, 14, 208, 148);
INSERT INTO public.who_data VALUES (49145, 12, 341, 0, 5, 208, 230);
INSERT INTO public.who_data VALUES (49146, 6, 45059, 27, 1761, 208, 190);
INSERT INTO public.who_data VALUES (49147, 0, 252, 0, 13, 208, 188);
INSERT INTO public.who_data VALUES (49148, 47, 7055, 2, 45, 208, 123);
INSERT INTO public.who_data VALUES (49149, 0, 1954, 0, 26, 208, 9);
INSERT INTO public.who_data VALUES (49150, 10, 370, 0, 20, 208, 102);
INSERT INTO public.who_data VALUES (49151, 18, 7315, 0, 157, 208, 34);
INSERT INTO public.who_data VALUES (49152, 0, 12, 0, 0, 208, 212);
INSERT INTO public.who_data VALUES (49153, 838, 39276, 18, 1116, 208, 122);
INSERT INTO public.who_data VALUES (49154, 8, 4456, 0, 596, 208, 38);
INSERT INTO public.who_data VALUES (49155, 7, 1854, 0, 10, 208, 130);
INSERT INTO public.who_data VALUES (49156, 47703, 1483156, 654, 33425, 208, 37);
INSERT INTO public.who_data VALUES (49157, 1525, 100303, 57, 4838, 208, 231);
INSERT INTO public.who_data VALUES (49158, 2434, 293606, 212, 15912, 208, 107);
INSERT INTO public.who_data VALUES (49159, 2553, 112585, 96, 4458, 208, 101);
INSERT INTO public.who_data VALUES (49160, 11, 25892, 0, 1763, 208, 132);
INSERT INTO public.who_data VALUES (49161, 0, 336, 0, 24, 208, 176);
INSERT INTO public.who_data VALUES (49162, 1042, 62468, 11, 505, 208, 200);
INSERT INTO public.who_data VALUES (49163, 168, 246286, 5, 35112, 208, 169);
INSERT INTO public.who_data VALUES (49164, 5, 842, 0, 10, 208, 225);
INSERT INTO public.who_data VALUES (49165, 972, 30961, 2, 998, 208, 165);
INSERT INTO public.who_data VALUES (49166, 0, 332, 0, 31, 208, 233);
INSERT INTO public.who_data VALUES (49167, 8, 1244, 0, 11, 208, 215);
INSERT INTO public.who_data VALUES (49168, 1544, 86192, 208, 793, 208, 177);
INSERT INTO public.who_data VALUES (49169, 1332, 17975, 7, 285, 208, 183);
INSERT INTO public.who_data VALUES (49170, 0, 0, 0, 0, 208, 203);
INSERT INTO public.who_data VALUES (49171, 276, 7370, 8, 175, 208, 162);
INSERT INTO public.who_data VALUES (49172, 606, 64379, 5, 438, 208, 12);
INSERT INTO public.who_data VALUES (49173, 548, 33844, 28, 884, 208, 24);
INSERT INTO public.who_data VALUES (49174, 0, 20, 0, 0, 208, 119);
INSERT INTO public.who_data VALUES (49175, 1, 1220, 0, 31, 208, 39);
INSERT INTO public.who_data VALUES (49176, 132, 3882, 0, 51, 208, 26);
INSERT INTO public.who_data VALUES (49177, 0, 505, 0, 12, 208, 59);
INSERT INTO public.who_data VALUES (49178, 5, 1167, 0, 72, 208, 77);
INSERT INTO public.who_data VALUES (49179, 158, 2827, 4, 64, 208, 134);
INSERT INTO public.who_data VALUES (49180, 1, 88, 0, 1, 208, 4);
INSERT INTO public.who_data VALUES (49181, 8, 2022, 0, 80, 208, 109);
INSERT INTO public.who_data VALUES (49182, 49, 6321, 0, 112, 208, 90);
INSERT INTO public.who_data VALUES (49183, 395, 9690, 6, 91, 208, 61);
INSERT INTO public.who_data VALUES (49184, 45, 3709, 4, 103, 208, 85);
INSERT INTO public.who_data VALUES (49185, 7, 8904, 0, 124, 208, 49);
INSERT INTO public.who_data VALUES (49186, 67, 3369, 0, 15, 208, 208);
INSERT INTO public.who_data VALUES (49187, 3, 2513, 1, 124, 208, 166);
INSERT INTO public.who_data VALUES (49188, 1, 699, 0, 9, 208, 64);
INSERT INTO public.who_data VALUES (49189, 0, 0, 0, 0, 208, 199);
INSERT INTO public.who_data VALUES (49190, 0, 269, 0, 15, 208, 114);
INSERT INTO public.who_data VALUES (49191, 37, 6208, 0, 156, 208, 60);
INSERT INTO public.who_data VALUES (49192, 0, 344, 0, 10, 208, 68);
INSERT INTO public.who_data VALUES (49193, 27, 2900, 0, 38, 208, 158);
INSERT INTO public.who_data VALUES (49194, 5480, 390516, 306, 43680, 208, 52);
INSERT INTO public.who_data VALUES (49195, 0, 0, 0, 0, 208, 117);
INSERT INTO public.who_data VALUES (49196, 0, 84, 0, 1, 208, 126);
INSERT INTO public.who_data VALUES (49197, 0, 288, 0, 0, 208, 196);
INSERT INTO public.who_data VALUES (49198, 63, 2997, 0, 45, 208, 142);
INSERT INTO public.who_data VALUES (49199, 0, 13, 0, 1, 208, 185);
INSERT INTO public.who_data VALUES (49200, 609, 20887, 3, 316, 208, 138);
INSERT INTO public.who_data VALUES (49201, 32, 1701, 0, 11, 208, 181);
INSERT INTO public.who_data VALUES (49202, 0, 350, 0, 6, 208, 178);
INSERT INTO public.who_data VALUES (49203, 68, 1842, 0, 8, 208, 168);
INSERT INTO public.who_data VALUES (49204, 0, 0, 0, 0, 208, 160);
INSERT INTO public.who_data VALUES (49205, 139, 18752, 3, 48, 208, 151);
INSERT INTO public.who_data VALUES (49206, 209, 53089, 1, 6139, 208, 193);
INSERT INTO public.who_data VALUES (49207, 0, 22, 0, 0, 208, 18);
INSERT INTO public.who_data VALUES (49208, 1, 1207, 0, 22, 208, 40);
INSERT INTO public.who_data VALUES (49209, 0, 3004, 0, 108, 208, 218);
INSERT INTO public.who_data VALUES (49210, 0, 1132, 0, 69, 208, 191);
INSERT INTO public.who_data VALUES (49211, 648, 41180, 2, 860, 208, 156);
INSERT INTO public.who_data VALUES (49212, 0, 0, 0, 0, 208, 135);
INSERT INTO public.who_data VALUES (49213, 0, 40, 0, 2, 208, 88);
INSERT INTO public.who_data VALUES (49214, 127, 10213, 6, 466, 208, 55);
INSERT INTO public.who_data VALUES (49215, 32, 9117, 0, 255, 208, 108);
INSERT INTO public.who_data VALUES (49216, 332, 13457, 2, 81, 208, 48);
INSERT INTO public.who_data VALUES (49217, 1053, 77058, 9, 393, 208, 3);
INSERT INTO public.who_data VALUES (49218, 0, 741, 0, 13, 208, 224);
INSERT INTO public.who_data VALUES (49219, 936, 275225, 23, 5865, 208, 110);
INSERT INTO public.who_data VALUES (49220, 0, 0, 0, 0, 208, 106);
INSERT INTO public.who_data VALUES (49221, 1432, 60296, 19, 1294, 208, 89);
INSERT INTO public.who_data VALUES (49222, 0, 62, 0, 0, 208, 121);
INSERT INTO public.who_data VALUES (49223, 116, 4444, 1, 41, 208, 163);
INSERT INTO public.who_data VALUES (49224, 4913, 384797, 199, 18229, 208, 70);
INSERT INTO public.who_data VALUES (49225, 1592, 82040, 13, 1945, 208, 174);
INSERT INTO public.who_data VALUES (49226, 0, 0, 0, 0, 208, 175);
INSERT INTO public.who_data VALUES (49227, 337, 43402, 5, 1676, 208, 118);
INSERT INTO public.who_data VALUES (49228, 135, 50299, 2, 1719, 208, 189);
INSERT INTO public.who_data VALUES (49229, 288, 15431, 0, 201, 208, 124);
INSERT INTO public.who_data VALUES (49230, 292, 109597, 0, 165, 208, 192);
INSERT INTO public.who_data VALUES (49231, 28, 14203, 1, 300, 208, 41);
INSERT INTO public.who_data VALUES (49232, 120, 23154, 11, 751, 208, 95);
INSERT INTO public.who_data VALUES (49233, 0, 657, 1, 4, 208, 74);
INSERT INTO public.who_data VALUES (49234, 1104, 45902, 19, 2206, 208, 11);
INSERT INTO public.who_data VALUES (49235, 5395, 823515, 150, 13504, 208, 87);
INSERT INTO public.who_data VALUES (49236, 56, 1879, 0, 5, 208, 214);
INSERT INTO public.who_data VALUES (49237, 0, 3, 0, 0, 208, 116);
INSERT INTO public.who_data VALUES (49238, 0, 7, 0, 0, 208, 157);
INSERT INTO public.who_data VALUES (49239, 0, 0, 0, 0, 208, 182);
INSERT INTO public.who_data VALUES (49240, 0, 17, 0, 0, 208, 186);
INSERT INTO public.who_data VALUES (49241, 0, 24, 0, 0, 208, 127);
INSERT INTO public.who_data VALUES (49242, 0, 49, 0, 3, 208, 232);
INSERT INTO public.who_data VALUES (49243, 0, 4, 0, 0, 208, 33);
INSERT INTO public.who_data VALUES (49244, 0, 52, 0, 0, 208, 97);
INSERT INTO public.who_data VALUES (49245, 0, 0, 0, 0, 208, 42);
INSERT INTO public.who_data VALUES (49246, 0, 716, 0, 42, 208, 198);
INSERT INTO public.who_data VALUES (49247, 2, 865, 0, 14, 208, 216);
INSERT INTO public.who_data VALUES (49248, 1993, 268934, 27, 2760, 208, 164);
INSERT INTO public.who_data VALUES (49249, 83, 9764, 3, 194, 208, 235);
INSERT INTO public.who_data VALUES (49250, 411, 24141, 9, 543, 208, 67);
INSERT INTO public.who_data VALUES (49251, 7, 114, 0, 0, 208, 15);
INSERT INTO public.who_data VALUES (49252, 0, 1783, 0, 66, 208, 180);
INSERT INTO public.who_data VALUES (49253, 469, 50838, 0, 27, 208, 237);
INSERT INTO public.who_data VALUES (49254, 0, 3, 0, 0, 208, 25);
INSERT INTO public.who_data VALUES (49255, 20, 114, 0, 15, 208, 209);
INSERT INTO public.who_data VALUES (49256, 38, 2179, 0, 28, 208, 217);
INSERT INTO public.who_data VALUES (49257, 5, 2088, 1, 119, 208, 79);
INSERT INTO public.who_data VALUES (49258, 0, 0, 0, 0, 208, 143);
INSERT INTO public.who_data VALUES (49259, 18, 3196, 0, 93, 208, 229);
INSERT INTO public.who_data VALUES (49260, 7097, 452530, 298, 7067, 208, 141);
INSERT INTO public.who_data VALUES (49261, 0, 2305, 0, 46, 208, 197);
INSERT INTO public.who_data VALUES (49262, 1482, 293736, 7, 29869, 208, 221);
INSERT INTO public.who_data VALUES (49263, 23, 2805, 0, 11, 208, 150);
INSERT INTO public.who_data VALUES (49264, 72, 11496, 5, 725, 208, 56);
INSERT INTO public.who_data VALUES (49265, 58, 1439, 0, 23, 208, 167);
INSERT INTO public.who_data VALUES (49266, 42, 75728, 2, 5741, 208, 23);
INSERT INTO public.who_data VALUES (49267, 193, 34662, 1, 1739, 208, 222);
INSERT INTO public.who_data VALUES (49268, 24, 674, 2, 40, 208, 219);
INSERT INTO public.who_data VALUES (49269, 43, 7235, 1, 60, 208, 7);
INSERT INTO public.who_data VALUES (49270, 2, 3297, 0, 58, 208, 161);
INSERT INTO public.who_data VALUES (49271, 371, 300626, 3, 41114, 208, 149);
INSERT INTO public.who_data VALUES (49272, 0, 24, 0, 0, 208, 6);
INSERT INTO public.who_data VALUES (49273, 6, 874, 0, 18, 208, 139);
INSERT INTO public.who_data VALUES (49274, 0, 0, 0, 0, 208, 211);
INSERT INTO public.who_data VALUES (49275, 0, 0, 0, 0, 208, 14);
INSERT INTO public.who_data VALUES (49276, 1, 148, 0, 8, 208, 111);
INSERT INTO public.who_data VALUES (49277, 13, 1468, 0, 50, 208, 207);
INSERT INTO public.who_data VALUES (49278, 919, 227019, 17, 5630, 208, 66);
INSERT INTO public.who_data VALUES (49279, 0, 0, 0, 0, 208, 173);
INSERT INTO public.who_data VALUES (49280, 2, 99, 0, 2, 208, 145);
INSERT INTO public.who_data VALUES (49281, 0, 0, 0, 0, 208, 65);
INSERT INTO public.who_data VALUES (49282, 13, 1128, 0, 2, 208, 184);
INSERT INTO public.who_data VALUES (49283, 919, 66575, 13, 1629, 208, 98);
INSERT INTO public.who_data VALUES (49284, 264, 59177, 1, 345, 208, 104);
INSERT INTO public.who_data VALUES (49285, 0, 509, 0, 21, 208, 73);
INSERT INTO public.who_data VALUES (49286, 61498, 4209509, 604, 146331, 208, 8);
INSERT INTO public.who_data VALUES (49287, 3, 364, 0, 7, 208, 227);
INSERT INTO public.who_data VALUES (49288, 18, 1192, 0, 34, 208, 75);
INSERT INTO public.who_data VALUES (49289, 686, 21506, 2, 119, 208, 45);
INSERT INTO public.who_data VALUES (49290, 0, 0, 0, 0, 208, 133);
INSERT INTO public.who_data VALUES (49291, 534, 15463, 4, 142, 208, 202);
INSERT INTO public.who_data VALUES (49292, 11, 431, 0, 0, 208, 129);
INSERT INTO public.who_data VALUES (49293, 0, 0, 0, 0, 208, 36);
INSERT INTO public.who_data VALUES (49294, 10, 1695, 4, 484, 208, 51);
INSERT INTO public.who_data VALUES (49295, 71, 4552, 1, 140, 208, 206);
INSERT INTO public.who_data VALUES (49296, 192, 2704, 2, 36, 208, 5);
INSERT INTO public.who_data VALUES (49297, 106, 36349, 10, 1273, 209, 103);
INSERT INTO public.who_data VALUES (49298, 126, 4763, 4, 138, 209, 58);
INSERT INTO public.who_data VALUES (49299, 1198, 27357, 19, 1155, 209, 195);
INSERT INTO public.who_data VALUES (49300, 0, 0, 0, 0, 209, 115);
INSERT INTO public.who_data VALUES (49301, 7, 904, 0, 52, 209, 99);
INSERT INTO public.who_data VALUES (49302, 16, 932, 1, 40, 209, 153);
INSERT INTO public.who_data VALUES (49303, 0, 3, 0, 0, 209, 93);
INSERT INTO public.who_data VALUES (49304, 0, 82, 0, 3, 209, 84);
INSERT INTO public.who_data VALUES (49305, 4801, 158321, 66, 2913, 209, 78);
INSERT INTO public.who_data VALUES (49306, 73, 36703, 6, 706, 209, 170);
INSERT INTO public.who_data VALUES (49307, 0, 117, 0, 3, 209, 32);
INSERT INTO public.who_data VALUES (49308, 453, 14403, 10, 155, 209, 155);
INSERT INTO public.who_data VALUES (49309, 137, 20486, 0, 712, 209, 82);
INSERT INTO public.who_data VALUES (49310, 417, 30050, 9, 417, 209, 16);
INSERT INTO public.who_data VALUES (49311, 10, 326, 0, 11, 209, 72);
INSERT INTO public.who_data VALUES (49312, 384, 39131, 4, 141, 209, 43);
INSERT INTO public.who_data VALUES (49313, 2275, 223453, 54, 2928, 209, 120);
INSERT INTO public.who_data VALUES (49314, 0, 108, 0, 7, 209, 213);
INSERT INTO public.who_data VALUES (49315, 130, 67132, 4, 534, 209, 31);
INSERT INTO public.who_data VALUES (49316, 184, 67073, 2, 9685, 209, 204);
INSERT INTO public.who_data VALUES (49317, 0, 48, 0, 2, 209, 152);
INSERT INTO public.who_data VALUES (49318, 76, 1770, 1, 35, 209, 144);
INSERT INTO public.who_data VALUES (49319, 1, 154, 0, 9, 209, 96);
INSERT INTO public.who_data VALUES (49320, 2, 95, 0, 0, 209, 47);
INSERT INTO public.who_data VALUES (49321, 1825, 68281, 62, 2535, 209, 80);
INSERT INTO public.who_data VALUES (49322, 0, 5, 0, 0, 209, 159);
INSERT INTO public.who_data VALUES (49323, 263, 10332, 2, 285, 209, 27);
INSERT INTO public.who_data VALUES (49324, 0, 686, 0, 1, 209, 146);
INSERT INTO public.who_data VALUES (49325, 51147, 2394513, 1211, 86449, 209, 71);
INSERT INTO public.who_data VALUES (49326, 0, 8, 0, 1, 209, 210);
INSERT INTO public.who_data VALUES (49327, 0, 141, 0, 3, 209, 54);
INSERT INTO public.who_data VALUES (49328, 115, 10427, 2, 340, 209, 147);
INSERT INTO public.who_data VALUES (49329, 5, 1086, 0, 53, 209, 2);
INSERT INTO public.who_data VALUES (49330, 16, 361, 0, 1, 209, 105);
INSERT INTO public.who_data VALUES (49331, 49, 2307, 0, 22, 209, 53);
INSERT INTO public.who_data VALUES (49332, 0, 225, 0, 0, 209, 81);
INSERT INTO public.who_data VALUES (49333, 402, 17110, 6, 391, 209, 223);
INSERT INTO public.who_data VALUES (49334, 350, 113556, 4, 8885, 209, 94);
INSERT INTO public.who_data VALUES (49335, 0, 203, 0, 1, 209, 154);
INSERT INTO public.who_data VALUES (49336, 0, 4598, 0, 59, 209, 83);
INSERT INTO public.who_data VALUES (49337, 0, 915, 0, 75, 209, 194);
INSERT INTO public.who_data VALUES (49338, 2198, 345790, 92, 9112, 209, 136);
INSERT INTO public.who_data VALUES (49339, 189, 87028, 0, 4659, 209, 179);
INSERT INTO public.who_data VALUES (49340, 7254, 240795, 294, 8269, 209, 57);
INSERT INTO public.who_data VALUES (49341, 14, 354, 0, 7, 209, 35);
INSERT INTO public.who_data VALUES (49342, 121, 3159, 3, 54, 209, 228);
INSERT INTO public.who_data VALUES (49343, 0, 0, 0, 0, 209, 19);
INSERT INTO public.who_data VALUES (49344, 931, 14600, 11, 98, 209, 22);
INSERT INTO public.who_data VALUES (49345, 102, 15596, 2, 96, 209, 1);
INSERT INTO public.who_data VALUES (49346, 65, 4857, 3, 136, 209, 21);
INSERT INTO public.who_data VALUES (49347, 17, 2495, 0, 87, 209, 234);
INSERT INTO public.who_data VALUES (49348, 0, 29, 0, 1, 209, 91);
INSERT INTO public.who_data VALUES (49349, 4, 1057, 0, 19, 209, 137);
INSERT INTO public.who_data VALUES (49350, 112, 15324, 3, 371, 209, 201);
INSERT INTO public.who_data VALUES (49351, 0, 0, 0, 0, 209, 171);
INSERT INTO public.who_data VALUES (49352, 64, 8830, 3, 203, 209, 92);
INSERT INTO public.who_data VALUES (49353, 0, 13438, 0, 613, 209, 112);
INSERT INTO public.who_data VALUES (49354, 11, 5050, 0, 58, 209, 62);
INSERT INTO public.who_data VALUES (49355, 0, 18, 0, 0, 209, 69);
INSERT INTO public.who_data VALUES (49356, 2012, 62908, 8, 1063, 209, 220);
INSERT INTO public.who_data VALUES (49357, 658, 80694, 8, 5515, 209, 100);
INSERT INTO public.who_data VALUES (49358, 479, 92062, 48, 4606, 209, 187);
INSERT INTO public.who_data VALUES (49359, 409, 14630, 10, 400, 209, 63);
INSERT INTO public.who_data VALUES (49360, 0, 2350, 0, 41, 209, 28);
INSERT INTO public.who_data VALUES (49361, 0, 263, 0, 0, 209, 172);
INSERT INTO public.who_data VALUES (49362, 1, 2034, 0, 63, 209, 17);
INSERT INTO public.who_data VALUES (49363, 65, 2207, 4, 32, 209, 226);
INSERT INTO public.who_data VALUES (49364, 720, 13968, 14, 223, 209, 236);
INSERT INTO public.who_data VALUES (49365, 0, 13, 0, 0, 209, 76);
INSERT INTO public.who_data VALUES (49366, 0, 191, 0, 0, 209, 30);
INSERT INTO public.who_data VALUES (49367, 0, 27, 0, 0, 209, 128);
INSERT INTO public.who_data VALUES (49368, 5, 7393, 0, 329, 209, 86);
INSERT INTO public.who_data VALUES (49369, 0, 169222, 0, 30078, 209, 140);
INSERT INTO public.who_data VALUES (49370, 0, 7332, 0, 41, 209, 44);
INSERT INTO public.who_data VALUES (49371, 0, 62, 0, 0, 209, 113);
INSERT INTO public.who_data VALUES (49372, 0, 6984, 0, 49, 209, 29);
INSERT INTO public.who_data VALUES (49373, 61, 277, 0, 6, 209, 125);
INSERT INTO public.who_data VALUES (49374, 6, 1137, 0, 16, 209, 131);
INSERT INTO public.who_data VALUES (49375, 340, 205609, 0, 9118, 209, 46);
INSERT INTO public.who_data VALUES (49376, 586, 32437, 0, 161, 209, 10);
INSERT INTO public.who_data VALUES (49377, 0, 185, 0, 0, 209, 205);
INSERT INTO public.who_data VALUES (49378, 27, 4193, 1, 202, 209, 50);
INSERT INTO public.who_data VALUES (49379, 0, 13, 0, 0, 209, 20);
INSERT INTO public.who_data VALUES (49380, 0, 23, 0, 0, 209, 13);
INSERT INTO public.who_data VALUES (49381, 0, 203, 0, 14, 209, 148);
INSERT INTO public.who_data VALUES (49382, 0, 329, 0, 5, 209, 230);
INSERT INTO public.who_data VALUES (49383, 561, 45053, 35, 1734, 209, 190);
INSERT INTO public.who_data VALUES (49384, 0, 252, 0, 13, 209, 188);
INSERT INTO public.who_data VALUES (49385, 81, 7008, 1, 43, 209, 123);
INSERT INTO public.who_data VALUES (49386, 0, 1954, 0, 26, 209, 9);
INSERT INTO public.who_data VALUES (49387, 8, 360, 0, 20, 209, 102);
INSERT INTO public.who_data VALUES (49388, 37, 7297, 1, 157, 209, 34);
INSERT INTO public.who_data VALUES (49389, 0, 12, 0, 0, 209, 212);
INSERT INTO public.who_data VALUES (49390, 879, 38438, 37, 1098, 209, 122);
INSERT INTO public.who_data VALUES (49391, 13, 4448, 0, 596, 209, 38);
INSERT INTO public.who_data VALUES (49392, 4, 1847, 0, 10, 209, 130);
INSERT INTO public.who_data VALUES (49393, 49931, 1435453, 708, 32771, 209, 37);
INSERT INTO public.who_data VALUES (49394, 1492, 98778, 67, 4781, 209, 231);
INSERT INTO public.who_data VALUES (49395, 2333, 291172, 216, 15700, 209, 107);
INSERT INTO public.who_data VALUES (49396, 2459, 110032, 78, 4362, 209, 101);
INSERT INTO public.who_data VALUES (49397, 12, 25881, 0, 1763, 209, 132);
INSERT INTO public.who_data VALUES (49398, 0, 336, 0, 24, 209, 176);
INSERT INTO public.who_data VALUES (49399, 1112, 61426, 7, 494, 209, 200);
INSERT INTO public.who_data VALUES (49400, 254, 246118, 5, 35107, 209, 169);
INSERT INTO public.who_data VALUES (49401, 6, 837, 0, 10, 209, 225);
INSERT INTO public.who_data VALUES (49402, 607, 29989, 0, 996, 209, 165);
INSERT INTO public.who_data VALUES (49403, 0, 332, 0, 31, 209, 233);
INSERT INTO public.who_data VALUES (49404, 14, 1236, 0, 11, 209, 215);
INSERT INTO public.who_data VALUES (49405, 1526, 84648, 0, 585, 209, 177);
INSERT INTO public.who_data VALUES (49406, 0, 16643, 0, 278, 209, 183);
INSERT INTO public.who_data VALUES (49407, 0, 0, 0, 0, 209, 203);
INSERT INTO public.who_data VALUES (49408, 220, 7094, 8, 167, 209, 162);
INSERT INTO public.who_data VALUES (49409, 464, 63773, 4, 433, 209, 12);
INSERT INTO public.who_data VALUES (49410, 483, 33296, 24, 856, 209, 24);
INSERT INTO public.who_data VALUES (49411, 0, 20, 0, 0, 209, 119);
INSERT INTO public.who_data VALUES (49412, 13, 1219, 0, 31, 209, 39);
INSERT INTO public.who_data VALUES (49413, 168, 3750, 4, 51, 209, 26);
INSERT INTO public.who_data VALUES (49414, 59, 505, 1, 12, 209, 59);
INSERT INTO public.who_data VALUES (49415, 27, 1162, 1, 72, 209, 77);
INSERT INTO public.who_data VALUES (49416, 122, 2669, 2, 60, 209, 134);
INSERT INTO public.who_data VALUES (49417, 0, 87, 0, 1, 209, 4);
INSERT INTO public.who_data VALUES (49418, 11, 2014, 0, 80, 209, 109);
INSERT INTO public.who_data VALUES (49419, 83, 6272, 0, 112, 209, 90);
INSERT INTO public.who_data VALUES (49420, 429, 9295, 7, 85, 209, 61);
INSERT INTO public.who_data VALUES (49421, 107, 3664, 5, 99, 209, 85);
INSERT INTO public.who_data VALUES (49422, 13, 8897, 1, 124, 209, 49);
INSERT INTO public.who_data VALUES (49423, 50, 3302, 0, 15, 209, 208);
INSERT INTO public.who_data VALUES (49424, 7, 2510, 0, 123, 209, 166);
INSERT INTO public.who_data VALUES (49425, 14, 698, 0, 9, 209, 64);
INSERT INTO public.who_data VALUES (49426, 0, 0, 0, 0, 209, 199);
INSERT INTO public.who_data VALUES (49427, 0, 269, 0, 15, 209, 114);
INSERT INTO public.who_data VALUES (49428, 55, 6171, 0, 156, 209, 60);
INSERT INTO public.who_data VALUES (49429, 0, 344, 0, 10, 209, 68);
INSERT INTO public.who_data VALUES (49430, 0, 2873, 0, 38, 209, 158);
INSERT INTO public.who_data VALUES (49431, 6751, 385036, 729, 43374, 209, 52);
INSERT INTO public.who_data VALUES (49432, 0, 0, 0, 0, 209, 117);
INSERT INTO public.who_data VALUES (49433, 0, 84, 0, 1, 209, 126);
INSERT INTO public.who_data VALUES (49434, 0, 288, 0, 0, 209, 196);
INSERT INTO public.who_data VALUES (49435, 85, 2934, 2, 45, 209, 142);
INSERT INTO public.who_data VALUES (49436, 1, 13, 0, 1, 209, 185);
INSERT INTO public.who_data VALUES (49437, 633, 20278, 8, 313, 209, 138);
INSERT INTO public.who_data VALUES (49438, 53, 1669, 0, 11, 209, 181);
INSERT INTO public.who_data VALUES (49439, 1, 350, 0, 6, 209, 178);
INSERT INTO public.who_data VALUES (49440, 87, 1774, 1, 8, 209, 168);
INSERT INTO public.who_data VALUES (49441, 0, 0, 0, 0, 209, 160);
INSERT INTO public.who_data VALUES (49442, 130, 18613, 0, 45, 209, 151);
INSERT INTO public.who_data VALUES (49443, 213, 52880, 0, 6138, 209, 193);
INSERT INTO public.who_data VALUES (49444, 0, 22, 0, 0, 209, 18);
INSERT INTO public.who_data VALUES (49445, 0, 1206, 0, 22, 209, 40);
INSERT INTO public.who_data VALUES (49446, 0, 3004, 0, 108, 209, 218);
INSERT INTO public.who_data VALUES (49447, 8, 1132, 0, 69, 209, 191);
INSERT INTO public.who_data VALUES (49448, 555, 40532, 2, 858, 209, 156);
INSERT INTO public.who_data VALUES (49449, 0, 0, 0, 0, 209, 135);
INSERT INTO public.who_data VALUES (49450, 1, 40, 0, 2, 209, 88);
INSERT INTO public.who_data VALUES (49451, 152, 10086, 0, 460, 209, 55);
INSERT INTO public.who_data VALUES (49452, 0, 9085, 0, 255, 209, 108);
INSERT INTO public.who_data VALUES (49453, 330, 13125, 1, 79, 209, 48);
INSERT INTO public.who_data VALUES (49454, 1147, 76005, 13, 384, 209, 3);
INSERT INTO public.who_data VALUES (49455, 0, 741, 0, 13, 209, 224);
INSERT INTO public.who_data VALUES (49456, 1176, 274289, 20, 5842, 209, 110);
INSERT INTO public.who_data VALUES (49457, 0, 0, 0, 0, 209, 106);
INSERT INTO public.who_data VALUES (49458, 871, 58864, 25, 1275, 209, 89);
INSERT INTO public.who_data VALUES (49459, 23, 62, 0, 0, 209, 121);
INSERT INTO public.who_data VALUES (49460, 104, 4328, 2, 40, 209, 163);
INSERT INTO public.who_data VALUES (49461, 3923, 379884, 187, 18030, 209, 70);
INSERT INTO public.who_data VALUES (49462, 2036, 80448, 35, 1932, 209, 174);
INSERT INTO public.who_data VALUES (49463, 0, 0, 0, 0, 209, 175);
INSERT INTO public.who_data VALUES (49464, 443, 43065, 7, 1671, 209, 118);
INSERT INTO public.who_data VALUES (49465, 209, 50164, 1, 1717, 209, 189);
INSERT INTO public.who_data VALUES (49466, 603, 15143, 0, 201, 209, 124);
INSERT INTO public.who_data VALUES (49467, 269, 109305, 1, 165, 209, 192);
INSERT INTO public.who_data VALUES (49468, 25, 14175, 1, 299, 209, 41);
INSERT INTO public.who_data VALUES (49469, 206, 23034, 7, 740, 209, 95);
INSERT INTO public.who_data VALUES (49470, 0, 657, 0, 3, 209, 74);
INSERT INTO public.who_data VALUES (49471, 1120, 44798, 22, 2187, 209, 11);
INSERT INTO public.who_data VALUES (49472, 5635, 818120, 85, 13354, 209, 87);
INSERT INTO public.who_data VALUES (49473, 71, 1823, 0, 5, 209, 214);
INSERT INTO public.who_data VALUES (49474, 0, 3, 0, 0, 209, 116);
INSERT INTO public.who_data VALUES (49475, 0, 7, 0, 0, 209, 157);
INSERT INTO public.who_data VALUES (49476, 0, 0, 0, 0, 209, 182);
INSERT INTO public.who_data VALUES (49477, 0, 17, 0, 0, 209, 186);
INSERT INTO public.who_data VALUES (49478, 0, 24, 0, 0, 209, 127);
INSERT INTO public.who_data VALUES (49479, 0, 49, 0, 3, 209, 232);
INSERT INTO public.who_data VALUES (49480, 0, 4, 0, 0, 209, 33);
INSERT INTO public.who_data VALUES (49481, 0, 52, 0, 0, 209, 97);
INSERT INTO public.who_data VALUES (49482, 0, 0, 0, 0, 209, 42);
INSERT INTO public.who_data VALUES (49483, 0, 716, 0, 42, 209, 198);
INSERT INTO public.who_data VALUES (49484, 1, 863, 0, 14, 209, 216);
INSERT INTO public.who_data VALUES (49485, 1968, 266941, 30, 2733, 209, 164);
INSERT INTO public.who_data VALUES (49486, 129, 9681, 4, 191, 209, 235);
INSERT INTO public.who_data VALUES (49487, 467, 23730, 8, 534, 209, 67);
INSERT INTO public.who_data VALUES (49488, 0, 107, 0, 0, 209, 15);
INSERT INTO public.who_data VALUES (49489, 15, 1783, 0, 66, 209, 180);
INSERT INTO public.who_data VALUES (49490, 481, 50369, 0, 27, 209, 237);
INSERT INTO public.who_data VALUES (49491, 0, 3, 0, 0, 209, 25);
INSERT INTO public.who_data VALUES (49492, 0, 94, 0, 15, 209, 209);
INSERT INTO public.who_data VALUES (49493, 23, 2141, 0, 28, 209, 217);
INSERT INTO public.who_data VALUES (49494, 16, 2083, 0, 118, 209, 79);
INSERT INTO public.who_data VALUES (49495, 0, 0, 0, 0, 209, 143);
INSERT INTO public.who_data VALUES (49496, 0, 3178, 0, 93, 209, 229);
INSERT INTO public.who_data VALUES (49497, 11233, 445433, 114, 6769, 209, 141);
INSERT INTO public.who_data VALUES (49498, 43, 2305, 1, 46, 209, 197);
INSERT INTO public.who_data VALUES (49499, 1839, 292254, 10, 29862, 209, 221);
INSERT INTO public.who_data VALUES (49500, 12, 2782, 0, 11, 209, 150);
INSERT INTO public.who_data VALUES (49501, 39, 11424, 3, 720, 209, 56);
INSERT INTO public.who_data VALUES (49502, 76, 1381, 0, 23, 209, 167);
INSERT INTO public.who_data VALUES (49503, 138, 75686, 1, 5739, 209, 23);
INSERT INTO public.who_data VALUES (49504, 57, 34469, 0, 1738, 209, 222);
INSERT INTO public.who_data VALUES (49505, 23, 650, 2, 38, 209, 219);
INSERT INTO public.who_data VALUES (49506, 42, 7192, 0, 59, 209, 7);
INSERT INTO public.who_data VALUES (49507, 4, 3295, 0, 58, 209, 161);
INSERT INTO public.who_data VALUES (49508, 421, 300255, 8, 41111, 209, 149);
INSERT INTO public.who_data VALUES (49509, 0, 24, 0, 0, 209, 6);
INSERT INTO public.who_data VALUES (49510, 15, 868, 1, 18, 209, 139);
INSERT INTO public.who_data VALUES (49511, 0, 0, 0, 0, 209, 211);
INSERT INTO public.who_data VALUES (49512, 0, 0, 0, 0, 209, 14);
INSERT INTO public.who_data VALUES (49513, 0, 147, 0, 8, 209, 111);
INSERT INTO public.who_data VALUES (49514, 3, 1455, 0, 50, 209, 207);
INSERT INTO public.who_data VALUES (49515, 927, 226100, 17, 5613, 209, 66);
INSERT INTO public.who_data VALUES (49516, 0, 0, 0, 0, 209, 173);
INSERT INTO public.who_data VALUES (49517, 5, 97, 0, 2, 209, 145);
INSERT INTO public.who_data VALUES (49518, 0, 0, 0, 0, 209, 65);
INSERT INTO public.who_data VALUES (49519, 12, 1115, 1, 2, 209, 184);
INSERT INTO public.who_data VALUES (49520, 807, 65656, 11, 1616, 209, 98);
INSERT INTO public.who_data VALUES (49521, 351, 58913, 1, 344, 209, 104);
INSERT INTO public.who_data VALUES (49522, 0, 509, 0, 21, 209, 73);
INSERT INTO public.who_data VALUES (49523, 63968, 4148011, 929, 145727, 209, 8);
INSERT INTO public.who_data VALUES (49524, 9, 361, 0, 7, 209, 227);
INSERT INTO public.who_data VALUES (49525, 8, 1174, 0, 34, 209, 75);
INSERT INTO public.who_data VALUES (49526, 594, 20820, 5, 117, 209, 45);
INSERT INTO public.who_data VALUES (49527, 0, 0, 0, 0, 209, 133);
INSERT INTO public.who_data VALUES (49528, 666, 14929, 4, 138, 209, 202);
INSERT INTO public.who_data VALUES (49529, 2, 420, 0, 0, 209, 129);
INSERT INTO public.who_data VALUES (49530, 0, 0, 0, 0, 209, 36);
INSERT INTO public.who_data VALUES (49531, 7, 1685, 5, 480, 209, 51);
INSERT INTO public.who_data VALUES (49532, 153, 4481, 0, 139, 209, 206);
INSERT INTO public.who_data VALUES (49533, 78, 2512, 0, 34, 209, 5);
INSERT INTO public.who_data VALUES (49534, 121, 36243, 13, 1263, 210, 103);
INSERT INTO public.who_data VALUES (49535, 67, 4637, 6, 134, 210, 58);
INSERT INTO public.who_data VALUES (49536, 0, 26159, 0, 1136, 210, 195);
INSERT INTO public.who_data VALUES (49537, 0, 0, 0, 0, 210, 115);
INSERT INTO public.who_data VALUES (49538, 0, 897, 0, 52, 210, 99);
INSERT INTO public.who_data VALUES (49539, 36, 916, 4, 39, 210, 153);
INSERT INTO public.who_data VALUES (49540, 0, 3, 0, 0, 210, 93);
INSERT INTO public.who_data VALUES (49541, 6, 82, 0, 3, 210, 84);
INSERT INTO public.who_data VALUES (49542, 5493, 153520, 125, 2847, 210, 78);
INSERT INTO public.who_data VALUES (49543, 321, 36630, 5, 700, 210, 170);
INSERT INTO public.who_data VALUES (49544, 0, 117, 0, 3, 210, 32);
INSERT INTO public.who_data VALUES (49545, 355, 13950, 6, 145, 210, 155);
INSERT INTO public.who_data VALUES (49546, 120, 20349, 1, 712, 210, 82);
INSERT INTO public.who_data VALUES (49547, 321, 29633, 8, 408, 210, 16);
INSERT INTO public.who_data VALUES (49548, 42, 316, 0, 11, 210, 72);
INSERT INTO public.who_data VALUES (49549, 289, 38747, 1, 137, 210, 43);
INSERT INTO public.who_data VALUES (49550, 2520, 221178, 38, 2874, 210, 120);
INSERT INTO public.who_data VALUES (49551, 2, 108, 0, 7, 210, 213);
INSERT INTO public.who_data VALUES (49552, 156, 67002, 6, 530, 210, 31);
INSERT INTO public.who_data VALUES (49553, 229, 66889, 1, 9683, 210, 204);
INSERT INTO public.who_data VALUES (49554, 1, 48, 0, 2, 210, 152);
INSERT INTO public.who_data VALUES (49555, 0, 1694, 0, 34, 210, 144);
INSERT INTO public.who_data VALUES (49556, 0, 153, 0, 9, 210, 96);
INSERT INTO public.who_data VALUES (49557, 1, 93, 0, 0, 210, 47);
INSERT INTO public.who_data VALUES (49558, 1204, 66456, 66, 2473, 210, 80);
INSERT INTO public.who_data VALUES (49559, 0, 5, 0, 0, 210, 159);
INSERT INTO public.who_data VALUES (49560, 305, 10069, 5, 283, 210, 27);
INSERT INTO public.who_data VALUES (49561, 0, 686, 0, 1, 210, 146);
INSERT INTO public.who_data VALUES (49562, 55891, 2343366, 1156, 85238, 210, 71);
INSERT INTO public.who_data VALUES (49563, 0, 8, 0, 1, 210, 210);
INSERT INTO public.who_data VALUES (49564, 0, 141, 0, 3, 210, 54);
INSERT INTO public.who_data VALUES (49565, 189, 10312, 1, 338, 210, 147);
INSERT INTO public.who_data VALUES (49566, 6, 1081, 0, 53, 210, 2);
INSERT INTO public.who_data VALUES (49567, 0, 345, 0, 1, 210, 105);
INSERT INTO public.who_data VALUES (49568, 38, 2258, 0, 22, 210, 53);
INSERT INTO public.who_data VALUES (49569, 23, 225, 0, 0, 210, 81);
INSERT INTO public.who_data VALUES (49570, 0, 16708, 0, 385, 210, 223);
INSERT INTO public.who_data VALUES (49571, 534, 113206, 7, 8881, 210, 94);
INSERT INTO public.who_data VALUES (49572, 0, 203, 0, 1, 210, 154);
INSERT INTO public.who_data VALUES (49573, 5, 4598, 0, 59, 210, 83);
INSERT INTO public.who_data VALUES (49574, 0, 915, 0, 75, 210, 194);
INSERT INTO public.who_data VALUES (49575, 2288, 343592, 106, 9020, 210, 136);
INSERT INTO public.who_data VALUES (49576, 179, 86839, 2, 4659, 210, 179);
INSERT INTO public.who_data VALUES (49577, 7168, 233541, 287, 7975, 210, 57);
INSERT INTO public.who_data VALUES (49578, 0, 340, 0, 7, 210, 35);
INSERT INTO public.who_data VALUES (49579, 0, 3038, 0, 51, 210, 228);
INSERT INTO public.who_data VALUES (49580, 0, 0, 0, 0, 210, 19);
INSERT INTO public.who_data VALUES (49581, 540, 13669, 7, 87, 210, 22);
INSERT INTO public.who_data VALUES (49582, 241, 15494, 0, 94, 210, 1);
INSERT INTO public.who_data VALUES (49583, 77, 4792, 5, 133, 210, 21);
INSERT INTO public.who_data VALUES (49584, 9, 2478, 0, 87, 210, 234);
INSERT INTO public.who_data VALUES (49585, 0, 29, 0, 1, 210, 91);
INSERT INTO public.who_data VALUES (49586, 6, 1053, 0, 19, 210, 137);
INSERT INTO public.who_data VALUES (49587, 131, 15212, 0, 368, 210, 201);
INSERT INTO public.who_data VALUES (49588, 0, 0, 0, 0, 210, 171);
INSERT INTO public.who_data VALUES (49589, 141, 8766, 4, 200, 210, 92);
INSERT INTO public.who_data VALUES (49590, 0, 13438, 0, 613, 210, 112);
INSERT INTO public.who_data VALUES (49591, 0, 5039, 0, 58, 210, 62);
INSERT INTO public.who_data VALUES (49592, 0, 18, 0, 0, 210, 69);
INSERT INTO public.who_data VALUES (49593, 1819, 60896, 19, 1055, 210, 220);
INSERT INTO public.who_data VALUES (49594, 987, 80036, 39, 5507, 210, 100);
INSERT INTO public.who_data VALUES (49595, 511, 91583, 40, 4558, 210, 187);
INSERT INTO public.who_data VALUES (49596, 429, 14221, 11, 390, 210, 63);
INSERT INTO public.who_data VALUES (49597, 0, 2350, 0, 41, 210, 28);
INSERT INTO public.who_data VALUES (49598, 2, 263, 0, 0, 210, 172);
INSERT INTO public.who_data VALUES (49599, 5, 2033, 0, 63, 210, 17);
INSERT INTO public.who_data VALUES (49600, 69, 2142, 0, 28, 210, 226);
INSERT INTO public.who_data VALUES (49601, 555, 13248, 9, 209, 210, 236);
INSERT INTO public.who_data VALUES (49602, 0, 13, 0, 0, 210, 76);
INSERT INTO public.who_data VALUES (49603, 0, 191, 0, 0, 210, 30);
INSERT INTO public.who_data VALUES (49604, 0, 27, 0, 0, 210, 128);
INSERT INTO public.who_data VALUES (49605, 8, 7388, 0, 329, 210, 86);
INSERT INTO public.who_data VALUES (49606, 0, 169222, 0, 30078, 210, 140);
INSERT INTO public.who_data VALUES (49607, 81, 7332, 0, 41, 210, 44);
INSERT INTO public.who_data VALUES (49608, 0, 62, 0, 0, 210, 113);
INSERT INTO public.who_data VALUES (49609, 0, 6984, 0, 49, 210, 29);
INSERT INTO public.who_data VALUES (49610, 46, 216, 1, 6, 210, 125);
INSERT INTO public.who_data VALUES (49611, 14, 1131, 0, 16, 210, 131);
INSERT INTO public.who_data VALUES (49612, 305, 205269, 0, 9118, 210, 46);
INSERT INTO public.who_data VALUES (49613, 794, 31851, 0, 161, 210, 10);
INSERT INTO public.who_data VALUES (49614, 1, 185, 0, 0, 210, 205);
INSERT INTO public.who_data VALUES (49615, 31, 4166, 0, 201, 210, 50);
INSERT INTO public.who_data VALUES (49616, 0, 13, 0, 0, 210, 20);
INSERT INTO public.who_data VALUES (49617, 0, 23, 0, 0, 210, 13);
INSERT INTO public.who_data VALUES (49618, 0, 203, 0, 14, 210, 148);
INSERT INTO public.who_data VALUES (49619, 0, 329, 0, 5, 210, 230);
INSERT INTO public.who_data VALUES (49620, 1209, 44492, 30, 1699, 210, 190);
INSERT INTO public.who_data VALUES (49621, 0, 252, 0, 13, 210, 188);
INSERT INTO public.who_data VALUES (49622, 60, 6927, 0, 42, 210, 123);
INSERT INTO public.who_data VALUES (49623, 0, 1954, 0, 26, 210, 9);
INSERT INTO public.who_data VALUES (49624, 1, 352, 1, 20, 210, 102);
INSERT INTO public.who_data VALUES (49625, 63, 7260, 2, 156, 210, 34);
INSERT INTO public.who_data VALUES (49626, 0, 12, 0, 0, 210, 212);
INSERT INTO public.who_data VALUES (49627, 657, 37559, 50, 1061, 210, 122);
INSERT INTO public.who_data VALUES (49628, 11, 4435, 0, 596, 210, 38);
INSERT INTO public.who_data VALUES (49629, 0, 1843, 0, 10, 210, 130);
INSERT INTO public.who_data VALUES (49630, 48661, 1385522, 705, 32063, 210, 37);
INSERT INTO public.who_data VALUES (49631, 1868, 97286, 49, 4714, 210, 231);
INSERT INTO public.who_data VALUES (49632, 2316, 288839, 195, 15484, 210, 107);
INSERT INTO public.who_data VALUES (49633, 2862, 107573, 72, 4284, 210, 101);
INSERT INTO public.who_data VALUES (49634, 24, 25869, 0, 1763, 210, 132);
INSERT INTO public.who_data VALUES (49635, 0, 336, 0, 24, 210, 176);
INSERT INTO public.who_data VALUES (49636, 1830, 60314, 8, 487, 210, 200);
INSERT INTO public.who_data VALUES (49637, 274, 245864, 5, 35102, 210, 169);
INSERT INTO public.who_data VALUES (49638, 10, 831, 0, 10, 210, 225);
INSERT INTO public.who_data VALUES (49639, 596, 29382, 3, 996, 210, 165);
INSERT INTO public.who_data VALUES (49640, 1, 332, 0, 31, 210, 233);
INSERT INTO public.who_data VALUES (49641, 8, 1222, 0, 11, 210, 215);
INSERT INTO public.who_data VALUES (49642, 1402, 83122, 0, 585, 210, 177);
INSERT INTO public.who_data VALUES (49643, 375, 16643, 4, 278, 210, 183);
INSERT INTO public.who_data VALUES (49644, 0, 0, 0, 0, 210, 203);
INSERT INTO public.who_data VALUES (49645, 237, 6874, 5, 159, 210, 162);
INSERT INTO public.who_data VALUES (49646, 684, 63309, 4, 429, 210, 12);
INSERT INTO public.who_data VALUES (49647, 1566, 32813, 28, 832, 210, 24);
INSERT INTO public.who_data VALUES (49648, 0, 20, 0, 0, 210, 119);
INSERT INTO public.who_data VALUES (49649, 1, 1206, 0, 31, 210, 39);
INSERT INTO public.who_data VALUES (49650, 175, 3582, 1, 47, 210, 26);
INSERT INTO public.who_data VALUES (49651, 27, 446, 2, 11, 210, 59);
INSERT INTO public.who_data VALUES (49652, 0, 1135, 0, 71, 210, 77);
INSERT INTO public.who_data VALUES (49653, 122, 2547, 1, 58, 210, 134);
INSERT INTO public.who_data VALUES (49654, 0, 87, 0, 1, 210, 4);
INSERT INTO public.who_data VALUES (49655, 7, 2003, 0, 80, 210, 109);
INSERT INTO public.who_data VALUES (49656, 133, 6189, 0, 112, 210, 90);
INSERT INTO public.who_data VALUES (49657, 125, 8866, 2, 78, 210, 61);
INSERT INTO public.who_data VALUES (49658, 103, 3557, 7, 94, 210, 85);
INSERT INTO public.who_data VALUES (49659, 23, 8884, 0, 123, 210, 49);
INSERT INTO public.who_data VALUES (49660, 77, 3252, 0, 15, 210, 208);
INSERT INTO public.who_data VALUES (49661, 0, 2503, 0, 123, 210, 166);
INSERT INTO public.who_data VALUES (49662, 4, 684, 0, 9, 210, 64);
INSERT INTO public.who_data VALUES (49663, 0, 0, 0, 0, 210, 199);
INSERT INTO public.who_data VALUES (49664, 0, 269, 0, 15, 210, 114);
INSERT INTO public.who_data VALUES (49665, 0, 6116, 0, 156, 210, 60);
INSERT INTO public.who_data VALUES (49666, 0, 344, 0, 10, 210, 68);
INSERT INTO public.who_data VALUES (49667, 0, 2873, 0, 38, 210, 158);
INSERT INTO public.who_data VALUES (49668, 7573, 378285, 737, 42645, 210, 52);
INSERT INTO public.who_data VALUES (49669, 0, 0, 0, 0, 210, 117);
INSERT INTO public.who_data VALUES (49670, 0, 84, 0, 1, 210, 126);
INSERT INTO public.who_data VALUES (49671, 0, 288, 0, 0, 210, 196);
INSERT INTO public.who_data VALUES (49672, 55, 2849, 0, 43, 210, 142);
INSERT INTO public.who_data VALUES (49673, 0, 12, 0, 1, 210, 185);
INSERT INTO public.who_data VALUES (49674, 811, 19645, 6, 305, 210, 138);
INSERT INTO public.who_data VALUES (49675, 26, 1616, 0, 11, 210, 181);
INSERT INTO public.who_data VALUES (49676, 3, 349, 0, 6, 210, 178);
INSERT INTO public.who_data VALUES (49677, 148, 1687, 0, 7, 210, 168);
INSERT INTO public.who_data VALUES (49678, 0, 0, 0, 0, 210, 160);
INSERT INTO public.who_data VALUES (49679, 109, 18483, 1, 45, 210, 151);
INSERT INTO public.who_data VALUES (49680, 184, 52667, 1, 6138, 210, 193);
INSERT INTO public.who_data VALUES (49681, 0, 22, 0, 0, 210, 18);
INSERT INTO public.who_data VALUES (49682, 0, 1206, 0, 22, 210, 40);
INSERT INTO public.who_data VALUES (49683, 0, 3004, 0, 108, 210, 218);
INSERT INTO public.who_data VALUES (49684, 0, 1124, 0, 69, 210, 191);
INSERT INTO public.who_data VALUES (49685, 438, 39977, 11, 856, 210, 156);
INSERT INTO public.who_data VALUES (49686, 0, 0, 0, 0, 210, 135);
INSERT INTO public.who_data VALUES (49687, 1, 39, 0, 2, 210, 88);
INSERT INTO public.who_data VALUES (49688, 137, 9934, 9, 460, 210, 55);
INSERT INTO public.who_data VALUES (49689, 0, 9085, 0, 255, 210, 108);
INSERT INTO public.who_data VALUES (49690, 383, 12795, 5, 78, 210, 48);
INSERT INTO public.who_data VALUES (49691, 1067, 74858, 12, 371, 210, 3);
INSERT INTO public.who_data VALUES (49692, 0, 741, 0, 13, 210, 224);
INSERT INTO public.who_data VALUES (49693, 1226, 273113, 35, 5822, 210, 110);
INSERT INTO public.who_data VALUES (49694, 0, 0, 0, 0, 210, 106);
INSERT INTO public.who_data VALUES (49695, 1176, 57993, 41, 1250, 210, 89);
INSERT INTO public.who_data VALUES (49696, 7, 39, 0, 0, 210, 121);
INSERT INTO public.who_data VALUES (49697, 111, 4224, 2, 38, 210, 163);
INSERT INTO public.who_data VALUES (49698, 4865, 375961, 189, 17843, 210, 70);
INSERT INTO public.who_data VALUES (49699, 1968, 78412, 18, 1897, 210, 174);
INSERT INTO public.who_data VALUES (49700, 0, 0, 0, 0, 210, 175);
INSERT INTO public.who_data VALUES (49701, 584, 42622, 9, 1664, 210, 118);
INSERT INTO public.who_data VALUES (49702, 263, 49955, 4, 1716, 210, 189);
INSERT INTO public.who_data VALUES (49703, 573, 14540, 10, 201, 210, 124);
INSERT INTO public.who_data VALUES (49704, 398, 109036, 0, 164, 210, 192);
INSERT INTO public.who_data VALUES (49705, 58, 14150, 0, 298, 210, 41);
INSERT INTO public.who_data VALUES (49706, 345, 22828, 7, 733, 210, 95);
INSERT INTO public.who_data VALUES (49707, 3, 657, 0, 3, 210, 74);
INSERT INTO public.who_data VALUES (49708, 1284, 43678, 15, 2165, 210, 11);
INSERT INTO public.who_data VALUES (49709, 5765, 812485, 77, 13269, 210, 87);
INSERT INTO public.who_data VALUES (49710, 23, 1752, 0, 5, 210, 214);
INSERT INTO public.who_data VALUES (49711, 0, 3, 0, 0, 210, 116);
INSERT INTO public.who_data VALUES (49712, 1, 7, 0, 0, 210, 157);
INSERT INTO public.who_data VALUES (49713, 0, 0, 0, 0, 210, 182);
INSERT INTO public.who_data VALUES (49714, 0, 17, 0, 0, 210, 186);
INSERT INTO public.who_data VALUES (49715, 0, 24, 0, 0, 210, 127);
INSERT INTO public.who_data VALUES (49716, 3, 49, 0, 3, 210, 232);
INSERT INTO public.who_data VALUES (49717, 0, 4, 0, 0, 210, 33);
INSERT INTO public.who_data VALUES (49718, 0, 52, 0, 0, 210, 97);
INSERT INTO public.who_data VALUES (49719, 0, 0, 0, 0, 210, 42);
INSERT INTO public.who_data VALUES (49720, 0, 716, 0, 42, 210, 198);
INSERT INTO public.who_data VALUES (49721, 2, 862, 0, 14, 210, 216);
INSERT INTO public.who_data VALUES (49722, 2201, 264973, 31, 2703, 210, 164);
INSERT INTO public.who_data VALUES (49723, 130, 9552, 5, 187, 210, 235);
INSERT INTO public.who_data VALUES (49724, 411, 23263, 8, 526, 210, 67);
INSERT INTO public.who_data VALUES (49725, 0, 107, 0, 0, 210, 15);
INSERT INTO public.who_data VALUES (49726, 3, 1768, 0, 66, 210, 180);
INSERT INTO public.who_data VALUES (49727, 513, 49888, 0, 27, 210, 237);
INSERT INTO public.who_data VALUES (49728, 0, 3, 0, 0, 210, 25);
INSERT INTO public.who_data VALUES (49729, 0, 94, 0, 15, 210, 209);
INSERT INTO public.who_data VALUES (49730, 29, 2118, 0, 28, 210, 217);
INSERT INTO public.who_data VALUES (49731, 14, 2067, 1, 118, 210, 79);
INSERT INTO public.who_data VALUES (49732, 0, 0, 0, 0, 210, 143);
INSERT INTO public.who_data VALUES (49733, 7, 3178, 0, 93, 210, 229);
INSERT INTO public.who_data VALUES (49734, 12204, 434200, 312, 6655, 210, 141);
INSERT INTO public.who_data VALUES (49735, 4, 2262, 0, 45, 210, 197);
INSERT INTO public.who_data VALUES (49736, 3077, 290415, 7, 29852, 210, 221);
INSERT INTO public.who_data VALUES (49737, 6, 2770, 0, 11, 210, 150);
INSERT INTO public.who_data VALUES (49738, 83, 11385, 2, 717, 210, 56);
INSERT INTO public.who_data VALUES (49739, 71, 1305, 0, 23, 210, 167);
INSERT INTO public.who_data VALUES (49740, 262, 75548, 3, 5738, 210, 23);
INSERT INTO public.who_data VALUES (49741, 95, 34412, 1, 1738, 210, 222);
INSERT INTO public.who_data VALUES (49742, 19, 627, 1, 36, 210, 219);
INSERT INTO public.who_data VALUES (49743, 46, 7150, 1, 59, 210, 7);
INSERT INTO public.who_data VALUES (49744, 9, 3291, 0, 58, 210, 161);
INSERT INTO public.who_data VALUES (49745, 667, 299834, 15, 41103, 210, 149);
INSERT INTO public.who_data VALUES (49746, 0, 24, 0, 0, 210, 6);
INSERT INTO public.who_data VALUES (49747, 14, 853, 0, 17, 210, 139);
INSERT INTO public.who_data VALUES (49748, 0, 0, 0, 0, 210, 211);
INSERT INTO public.who_data VALUES (49749, 0, 0, 0, 0, 210, 14);
INSERT INTO public.who_data VALUES (49750, 5, 147, 0, 8, 210, 111);
INSERT INTO public.who_data VALUES (49751, 9, 1452, 0, 50, 210, 207);
INSERT INTO public.who_data VALUES (49752, 921, 225173, 16, 5596, 210, 66);
INSERT INTO public.who_data VALUES (49753, 0, 0, 0, 0, 210, 173);
INSERT INTO public.who_data VALUES (49754, 2, 92, 0, 2, 210, 145);
INSERT INTO public.who_data VALUES (49755, 0, 0, 0, 0, 210, 65);
INSERT INTO public.who_data VALUES (49756, 14, 1103, 0, 1, 210, 184);
INSERT INTO public.who_data VALUES (49757, 920, 64849, 15, 1605, 210, 98);
INSERT INTO public.who_data VALUES (49758, 313, 58562, 0, 343, 210, 104);
INSERT INTO public.who_data VALUES (49759, 0, 509, 0, 21, 210, 73);
INSERT INTO public.who_data VALUES (49760, 74235, 4084043, 1135, 144798, 210, 8);
INSERT INTO public.who_data VALUES (49761, 10, 352, 0, 7, 210, 227);
INSERT INTO public.who_data VALUES (49762, 25, 1166, 0, 34, 210, 75);
INSERT INTO public.who_data VALUES (49763, 573, 20226, 8, 112, 210, 45);
INSERT INTO public.who_data VALUES (49764, 0, 0, 0, 0, 210, 133);
INSERT INTO public.who_data VALUES (49765, 650, 14263, 5, 134, 210, 202);
INSERT INTO public.who_data VALUES (49766, 3, 418, 0, 0, 210, 129);
INSERT INTO public.who_data VALUES (49767, 0, 0, 0, 0, 210, 36);
INSERT INTO public.who_data VALUES (49768, 0, 1678, 5, 475, 210, 51);
INSERT INTO public.who_data VALUES (49769, 475, 4328, 5, 139, 210, 206);
INSERT INTO public.who_data VALUES (49770, 138, 2434, 2, 34, 210, 5);
INSERT INTO public.who_data VALUES (49771, 55, 36122, 21, 1250, 211, 103);
INSERT INTO public.who_data VALUES (49772, 104, 4570, 5, 128, 211, 58);
INSERT INTO public.who_data VALUES (49773, 675, 26159, 12, 1136, 211, 195);
INSERT INTO public.who_data VALUES (49774, 0, 0, 0, 0, 211, 115);
INSERT INTO public.who_data VALUES (49775, 8, 897, 0, 52, 211, 99);
INSERT INTO public.who_data VALUES (49776, 29, 880, 2, 35, 211, 153);
INSERT INTO public.who_data VALUES (49777, 0, 3, 0, 0, 211, 93);
INSERT INTO public.who_data VALUES (49778, 0, 76, 0, 3, 211, 84);
INSERT INTO public.who_data VALUES (49779, 6127, 148027, 105, 2722, 211, 78);
INSERT INTO public.who_data VALUES (49780, 383, 36309, 8, 695, 211, 170);
INSERT INTO public.who_data VALUES (49781, 0, 117, 0, 3, 211, 32);
INSERT INTO public.who_data VALUES (49782, 289, 13595, 6, 139, 211, 155);
INSERT INTO public.who_data VALUES (49783, 107, 20229, 0, 711, 211, 82);
INSERT INTO public.who_data VALUES (49784, 332, 29312, 9, 400, 211, 16);
INSERT INTO public.who_data VALUES (49785, 55, 274, 0, 11, 211, 72);
INSERT INTO public.who_data VALUES (49786, 462, 38458, 2, 136, 211, 43);
INSERT INTO public.who_data VALUES (49787, 2548, 218658, 35, 2836, 211, 120);
INSERT INTO public.who_data VALUES (49788, 0, 106, 0, 7, 211, 213);
INSERT INTO public.who_data VALUES (49789, 158, 66846, 5, 524, 211, 31);
INSERT INTO public.who_data VALUES (49790, 496, 66660, 5, 9682, 211, 204);
INSERT INTO public.who_data VALUES (49791, 4, 47, 0, 2, 211, 152);
INSERT INTO public.who_data VALUES (49792, 0, 1694, 0, 34, 211, 144);
INSERT INTO public.who_data VALUES (49793, 0, 153, 0, 9, 211, 96);
INSERT INTO public.who_data VALUES (49794, 0, 92, 0, 0, 211, 47);
INSERT INTO public.who_data VALUES (49795, 1117, 65252, 79, 2407, 211, 80);
INSERT INTO public.who_data VALUES (49796, 0, 5, 0, 0, 211, 159);
INSERT INTO public.who_data VALUES (49797, 304, 9764, 6, 278, 211, 27);
INSERT INTO public.who_data VALUES (49798, 64, 686, 0, 1, 211, 146);
INSERT INTO public.who_data VALUES (49799, 59961, 2287475, 1311, 84082, 211, 71);
INSERT INTO public.who_data VALUES (49800, 0, 8, 0, 1, 211, 210);
INSERT INTO public.who_data VALUES (49801, 0, 141, 0, 3, 211, 54);
INSERT INTO public.who_data VALUES (49802, 270, 10123, 8, 337, 211, 147);
INSERT INTO public.who_data VALUES (49803, 5, 1075, 0, 53, 211, 2);
INSERT INTO public.who_data VALUES (49804, 0, 345, 0, 1, 211, 105);
INSERT INTO public.who_data VALUES (49805, 30, 2220, 1, 22, 211, 53);
INSERT INTO public.who_data VALUES (49806, 0, 202, 0, 0, 211, 81);
INSERT INTO public.who_data VALUES (49807, 186, 16708, 3, 385, 211, 223);
INSERT INTO public.who_data VALUES (49808, 432, 112672, 4, 8874, 211, 94);
INSERT INTO public.who_data VALUES (49809, 0, 203, 0, 1, 211, 154);
INSERT INTO public.who_data VALUES (49810, 3, 4593, 1, 59, 211, 83);
INSERT INTO public.who_data VALUES (49811, 0, 915, 0, 75, 211, 194);
INSERT INTO public.who_data VALUES (49812, 2545, 341304, 76, 8914, 211, 136);
INSERT INTO public.who_data VALUES (49813, 160, 86660, 1, 4657, 211, 179);
INSERT INTO public.who_data VALUES (49814, 7945, 226373, 315, 7688, 211, 57);
INSERT INTO public.who_data VALUES (49815, 0, 340, 0, 7, 211, 35);
INSERT INTO public.who_data VALUES (49816, 104, 3038, 0, 51, 211, 228);
INSERT INTO public.who_data VALUES (49817, 0, 0, 0, 0, 211, 19);
INSERT INTO public.who_data VALUES (49818, 768, 13129, 9, 80, 211, 22);
INSERT INTO public.who_data VALUES (49819, 252, 15253, 1, 94, 211, 1);
INSERT INTO public.who_data VALUES (49820, 81, 4715, 0, 128, 211, 21);
INSERT INTO public.who_data VALUES (49821, 3, 2469, 0, 87, 211, 234);
INSERT INTO public.who_data VALUES (49822, 1, 29, 0, 1, 211, 91);
INSERT INTO public.who_data VALUES (49823, 2, 1047, 0, 19, 211, 137);
INSERT INTO public.who_data VALUES (49824, 281, 15081, 3, 368, 211, 201);
INSERT INTO public.who_data VALUES (49825, 0, 0, 0, 0, 211, 171);
INSERT INTO public.who_data VALUES (49826, 0, 8625, 0, 196, 211, 92);
INSERT INTO public.who_data VALUES (49827, 48, 13438, 1, 613, 211, 112);
INSERT INTO public.who_data VALUES (49828, 8, 5039, 0, 58, 211, 62);
INSERT INTO public.who_data VALUES (49829, 0, 18, 0, 0, 211, 69);
INSERT INTO public.who_data VALUES (49830, 1462, 59077, 30, 1036, 211, 220);
INSERT INTO public.who_data VALUES (49831, 901, 79049, 29, 5468, 211, 100);
INSERT INTO public.who_data VALUES (49832, 659, 91072, 38, 4518, 211, 187);
INSERT INTO public.who_data VALUES (49833, 415, 13792, 7, 379, 211, 63);
INSERT INTO public.who_data VALUES (49834, 0, 2350, 0, 41, 211, 28);
INSERT INTO public.who_data VALUES (49835, 0, 261, 0, 0, 211, 172);
INSERT INTO public.who_data VALUES (49836, 1, 2028, 0, 63, 211, 17);
INSERT INTO public.who_data VALUES (49837, 52, 2073, 0, 28, 211, 226);
INSERT INTO public.who_data VALUES (49838, 760, 12693, 3, 200, 211, 236);
INSERT INTO public.who_data VALUES (49839, 0, 13, 0, 0, 211, 76);
INSERT INTO public.who_data VALUES (49840, 0, 191, 0, 0, 211, 30);
INSERT INTO public.who_data VALUES (49841, 0, 27, 0, 0, 211, 128);
INSERT INTO public.who_data VALUES (49842, 8, 7380, 1, 329, 211, 86);
INSERT INTO public.who_data VALUES (49843, 931, 169222, 9, 30078, 211, 140);
INSERT INTO public.who_data VALUES (49844, 165, 7251, 1, 41, 211, 44);
INSERT INTO public.who_data VALUES (49845, 0, 62, 0, 0, 211, 113);
INSERT INTO public.who_data VALUES (49846, 396, 6984, 2, 49, 211, 29);
INSERT INTO public.who_data VALUES (49847, 0, 170, 0, 5, 211, 125);
INSERT INTO public.who_data VALUES (49848, 13, 1117, 0, 16, 211, 131);
INSERT INTO public.who_data VALUES (49849, 781, 204964, 7, 9118, 211, 46);
INSERT INTO public.who_data VALUES (49850, 1385, 31057, 8, 161, 211, 10);
INSERT INTO public.who_data VALUES (49851, 2, 184, 0, 0, 211, 205);
INSERT INTO public.who_data VALUES (49852, 25, 4135, 0, 201, 211, 50);
INSERT INTO public.who_data VALUES (49853, 0, 13, 0, 0, 211, 20);
INSERT INTO public.who_data VALUES (49854, 0, 23, 0, 0, 211, 13);
INSERT INTO public.who_data VALUES (49855, 8, 203, 0, 14, 211, 148);
INSERT INTO public.who_data VALUES (49856, 0, 329, 0, 5, 211, 230);
INSERT INTO public.who_data VALUES (49857, 1091, 43283, 37, 1669, 211, 190);
INSERT INTO public.who_data VALUES (49858, 0, 252, 0, 13, 211, 188);
INSERT INTO public.who_data VALUES (49859, 61, 6867, 0, 42, 211, 123);
INSERT INTO public.who_data VALUES (49860, 0, 1954, 0, 26, 211, 9);
INSERT INTO public.who_data VALUES (49861, 1, 351, 0, 19, 211, 102);
INSERT INTO public.who_data VALUES (49862, 30, 7197, 0, 154, 211, 34);
INSERT INTO public.who_data VALUES (49863, 0, 12, 0, 0, 211, 212);
INSERT INTO public.who_data VALUES (49864, 800, 36902, 5, 1011, 211, 122);
INSERT INTO public.who_data VALUES (49865, 26, 4424, 0, 596, 211, 38);
INSERT INTO public.who_data VALUES (49866, 2, 1843, 0, 10, 211, 130);
INSERT INTO public.who_data VALUES (49867, 48916, 1336861, 757, 31358, 211, 37);
INSERT INTO public.who_data VALUES (49868, 1761, 95418, 89, 4665, 211, 231);
INSERT INTO public.who_data VALUES (49869, 2489, 286523, 215, 15289, 211, 107);
INSERT INTO public.who_data VALUES (49870, 2485, 104711, 90, 4212, 211, 101);
INSERT INTO public.who_data VALUES (49871, 19, 25845, 0, 1763, 211, 132);
INSERT INTO public.who_data VALUES (49872, 0, 336, 0, 24, 211, 176);
INSERT INTO public.who_data VALUES (49873, 1989, 58484, 16, 479, 211, 200);
INSERT INTO public.who_data VALUES (49874, 252, 245590, 5, 35097, 211, 169);
INSERT INTO public.who_data VALUES (49875, 5, 821, 0, 10, 211, 225);
INSERT INTO public.who_data VALUES (49876, 830, 28786, 1, 993, 211, 165);
INSERT INTO public.who_data VALUES (49877, 0, 331, 0, 31, 211, 233);
INSERT INTO public.who_data VALUES (49878, 15, 1214, 0, 11, 211, 215);
INSERT INTO public.who_data VALUES (49879, 1494, 81720, 0, 585, 211, 177);
INSERT INTO public.who_data VALUES (49880, 667, 16268, 11, 274, 211, 183);
INSERT INTO public.who_data VALUES (49881, 0, 0, 0, 0, 211, 203);
INSERT INTO public.who_data VALUES (49882, 213, 6637, 6, 154, 211, 162);
INSERT INTO public.who_data VALUES (49883, 753, 62625, 4, 425, 211, 12);
INSERT INTO public.who_data VALUES (49884, 0, 31247, 38, 804, 211, 24);
INSERT INTO public.who_data VALUES (49885, 1, 20, 0, 0, 211, 119);
INSERT INTO public.who_data VALUES (49886, 2, 1205, 0, 31, 211, 39);
INSERT INTO public.who_data VALUES (49887, 147, 3407, 3, 46, 211, 26);
INSERT INTO public.who_data VALUES (49888, 60, 419, 3, 9, 211, 59);
INSERT INTO public.who_data VALUES (49889, 18, 1135, 0, 71, 211, 77);
INSERT INTO public.who_data VALUES (49890, 111, 2425, 1, 57, 211, 134);
INSERT INTO public.who_data VALUES (49891, 0, 87, 0, 1, 211, 4);
INSERT INTO public.who_data VALUES (49892, 14, 1996, 0, 80, 211, 109);
INSERT INTO public.who_data VALUES (49893, 104, 6056, 0, 112, 211, 90);
INSERT INTO public.who_data VALUES (49894, 360, 8741, 6, 76, 211, 61);
INSERT INTO public.who_data VALUES (49895, 68, 3454, 8, 87, 211, 85);
INSERT INTO public.who_data VALUES (49896, 21, 8861, 0, 123, 211, 49);
INSERT INTO public.who_data VALUES (49897, 55, 3175, 0, 15, 211, 208);
INSERT INTO public.who_data VALUES (49898, 9, 2503, 0, 123, 211, 166);
INSERT INTO public.who_data VALUES (49899, 2, 680, 0, 9, 211, 64);
INSERT INTO public.who_data VALUES (49900, 0, 0, 0, 0, 211, 199);
INSERT INTO public.who_data VALUES (49901, 7, 269, 0, 15, 211, 114);
INSERT INTO public.who_data VALUES (49902, 89, 6116, 1, 156, 211, 60);
INSERT INTO public.who_data VALUES (49903, 1, 344, 0, 10, 211, 68);
INSERT INTO public.who_data VALUES (49904, 11, 2873, 0, 38, 211, 158);
INSERT INTO public.who_data VALUES (49905, 8438, 370712, 718, 41908, 211, 52);
INSERT INTO public.who_data VALUES (49906, 0, 0, 0, 0, 211, 117);
INSERT INTO public.who_data VALUES (49907, 1, 84, 0, 1, 211, 126);
INSERT INTO public.who_data VALUES (49908, 1, 288, 0, 0, 211, 196);
INSERT INTO public.who_data VALUES (49909, 69, 2794, 0, 43, 211, 142);
INSERT INTO public.who_data VALUES (49910, 0, 12, 0, 1, 211, 185);
INSERT INTO public.who_data VALUES (49911, 570, 18834, 7, 299, 211, 138);
INSERT INTO public.who_data VALUES (49912, 8, 1590, 0, 11, 211, 181);
INSERT INTO public.who_data VALUES (49913, 3, 346, 0, 6, 211, 178);
INSERT INTO public.who_data VALUES (49914, 17, 1539, 0, 7, 211, 168);
INSERT INTO public.who_data VALUES (49915, 0, 0, 0, 0, 211, 160);
INSERT INTO public.who_data VALUES (49916, 133, 18374, 1, 44, 211, 151);
INSERT INTO public.who_data VALUES (49917, 155, 52483, 0, 6137, 211, 193);
INSERT INTO public.who_data VALUES (49918, 0, 22, 0, 0, 211, 18);
INSERT INTO public.who_data VALUES (49919, 0, 1206, 0, 22, 211, 40);
INSERT INTO public.who_data VALUES (49920, 0, 3004, 0, 108, 211, 218);
INSERT INTO public.who_data VALUES (49921, 0, 1124, 0, 69, 211, 191);
INSERT INTO public.who_data VALUES (49922, 591, 39539, 12, 845, 211, 156);
INSERT INTO public.who_data VALUES (49923, 0, 0, 0, 0, 211, 135);
INSERT INTO public.who_data VALUES (49924, 0, 38, 0, 2, 211, 88);
INSERT INTO public.who_data VALUES (49925, 129, 9797, 6, 451, 211, 55);
INSERT INTO public.who_data VALUES (49926, 23, 9085, 0, 255, 211, 108);
INSERT INTO public.who_data VALUES (49927, 537, 12412, 3, 73, 211, 48);
INSERT INTO public.who_data VALUES (49928, 1145, 73791, 4, 359, 211, 3);
INSERT INTO public.who_data VALUES (49929, 0, 741, 0, 13, 211, 224);
INSERT INTO public.who_data VALUES (49930, 1487, 271887, 24, 5787, 211, 110);
INSERT INTO public.who_data VALUES (49931, 0, 0, 0, 0, 211, 106);
INSERT INTO public.who_data VALUES (49932, 911, 56817, 29, 1209, 211, 89);
INSERT INTO public.who_data VALUES (49933, 1, 32, 0, 0, 211, 121);
INSERT INTO public.who_data VALUES (49934, 113, 4113, 0, 36, 211, 163);
INSERT INTO public.who_data VALUES (49935, 4546, 371096, 199, 17654, 211, 70);
INSERT INTO public.who_data VALUES (49936, 2054, 76444, 8, 1879, 211, 174);
INSERT INTO public.who_data VALUES (49937, 0, 0, 0, 0, 211, 175);
INSERT INTO public.who_data VALUES (49938, 458, 42038, 4, 1655, 211, 118);
INSERT INTO public.who_data VALUES (49939, 313, 49692, 7, 1712, 211, 189);
INSERT INTO public.who_data VALUES (49940, 494, 13967, 3, 191, 211, 124);
INSERT INTO public.who_data VALUES (49941, 394, 108638, 0, 164, 211, 192);
INSERT INTO public.who_data VALUES (49942, 113, 14092, 0, 298, 211, 41);
INSERT INTO public.who_data VALUES (49943, 378, 22483, 5, 726, 211, 95);
INSERT INTO public.who_data VALUES (49944, 8, 654, 0, 3, 211, 74);
INSERT INTO public.who_data VALUES (49945, 1119, 42394, 24, 2150, 211, 11);
INSERT INTO public.who_data VALUES (49946, 5871, 806720, 146, 13192, 211, 87);
INSERT INTO public.who_data VALUES (49947, 19, 1729, 0, 5, 211, 214);
INSERT INTO public.who_data VALUES (49948, 0, 3, 0, 0, 211, 116);
INSERT INTO public.who_data VALUES (49949, 0, 6, 0, 0, 211, 157);
INSERT INTO public.who_data VALUES (49950, 0, 0, 0, 0, 211, 182);
INSERT INTO public.who_data VALUES (49951, 0, 17, 0, 0, 211, 186);
INSERT INTO public.who_data VALUES (49952, 0, 24, 0, 0, 211, 127);
INSERT INTO public.who_data VALUES (49953, 0, 46, 0, 3, 211, 232);
INSERT INTO public.who_data VALUES (49954, 0, 4, 0, 0, 211, 33);
INSERT INTO public.who_data VALUES (49955, 0, 52, 0, 0, 211, 97);
INSERT INTO public.who_data VALUES (49956, 0, 0, 0, 0, 211, 42);
INSERT INTO public.who_data VALUES (49957, 0, 716, 0, 42, 211, 198);
INSERT INTO public.who_data VALUES (49958, 111, 860, 0, 14, 211, 216);
INSERT INTO public.who_data VALUES (49959, 2378, 262772, 37, 2672, 211, 164);
INSERT INTO public.who_data VALUES (49960, 156, 9422, 4, 182, 211, 235);
INSERT INTO public.who_data VALUES (49961, 409, 22852, 10, 518, 211, 67);
INSERT INTO public.who_data VALUES (49962, 0, 107, 0, 0, 211, 15);
INSERT INTO public.who_data VALUES (49963, 13, 1765, 0, 66, 211, 180);
INSERT INTO public.who_data VALUES (49964, 277, 49375, 0, 27, 211, 237);
INSERT INTO public.who_data VALUES (49965, 0, 3, 0, 0, 211, 25);
INSERT INTO public.who_data VALUES (49966, 10, 94, 0, 15, 211, 209);
INSERT INTO public.who_data VALUES (49967, 31, 2089, 0, 28, 211, 217);
INSERT INTO public.who_data VALUES (49968, 19, 2053, 0, 117, 211, 79);
INSERT INTO public.who_data VALUES (49969, 0, 0, 0, 0, 211, 143);
INSERT INTO public.who_data VALUES (49970, 0, 3171, 0, 93, 211, 229);
INSERT INTO public.who_data VALUES (49971, 13944, 421996, 250, 6343, 211, 141);
INSERT INTO public.who_data VALUES (49972, 0, 2258, 0, 45, 211, 197);
INSERT INTO public.who_data VALUES (49973, 2577, 287338, 3, 29845, 211, 221);
INSERT INTO public.who_data VALUES (49974, 11, 2764, 0, 11, 211, 150);
INSERT INTO public.who_data VALUES (49975, 0, 11302, 0, 715, 211, 56);
INSERT INTO public.who_data VALUES (49976, 58, 1234, 2, 23, 211, 167);
INSERT INTO public.who_data VALUES (49977, 220, 75286, 5, 5735, 211, 23);
INSERT INTO public.who_data VALUES (49978, 148, 34317, 1, 1737, 211, 222);
INSERT INTO public.who_data VALUES (49979, 24, 608, 0, 35, 211, 219);
INSERT INTO public.who_data VALUES (49980, 44, 7104, 0, 58, 211, 7);
INSERT INTO public.who_data VALUES (49981, 3, 3282, 0, 58, 211, 161);
INSERT INTO public.who_data VALUES (49982, 731, 299167, 32, 41088, 211, 149);
INSERT INTO public.who_data VALUES (49983, 0, 24, 0, 0, 211, 6);
INSERT INTO public.who_data VALUES (49984, 11, 839, 1, 17, 211, 139);
INSERT INTO public.who_data VALUES (49985, 0, 0, 0, 0, 211, 211);
INSERT INTO public.who_data VALUES (49986, 0, 0, 0, 0, 211, 14);
INSERT INTO public.who_data VALUES (49987, 1, 142, 0, 8, 211, 111);
INSERT INTO public.who_data VALUES (49988, 18, 1443, 0, 50, 211, 207);
INSERT INTO public.who_data VALUES (49989, 937, 224252, 17, 5580, 211, 66);
INSERT INTO public.who_data VALUES (49990, 0, 0, 0, 0, 211, 173);
INSERT INTO public.who_data VALUES (49991, 4, 90, 0, 2, 211, 145);
INSERT INTO public.who_data VALUES (49992, 0, 0, 0, 0, 211, 65);
INSERT INTO public.who_data VALUES (49993, 9, 1089, 0, 1, 211, 184);
INSERT INTO public.who_data VALUES (49994, 1106, 63929, 19, 1590, 211, 98);
INSERT INTO public.who_data VALUES (49995, 261, 58249, 1, 343, 211, 104);
INSERT INTO public.who_data VALUES (49996, 0, 509, 0, 21, 211, 73);
INSERT INTO public.who_data VALUES (49997, 71714, 4009808, 1110, 143663, 211, 8);
INSERT INTO public.who_data VALUES (49998, 6, 342, 0, 7, 211, 227);
INSERT INTO public.who_data VALUES (49999, 24, 1141, 0, 34, 211, 75);
INSERT INTO public.who_data VALUES (50000, 667, 19653, 1, 104, 211, 45);
INSERT INTO public.who_data VALUES (50001, 0, 0, 0, 0, 211, 133);
INSERT INTO public.who_data VALUES (50002, 449, 13613, 5, 129, 211, 202);
INSERT INTO public.who_data VALUES (50003, 3, 415, 0, 0, 211, 129);
INSERT INTO public.who_data VALUES (50004, 0, 0, 0, 0, 211, 36);
INSERT INTO public.who_data VALUES (50005, 20, 1678, 8, 470, 211, 51);
INSERT INTO public.who_data VALUES (50006, 270, 3853, 6, 134, 211, 206);
INSERT INTO public.who_data VALUES (50007, 172, 2296, 4, 32, 211, 5);
INSERT INTO public.who_data VALUES (50008, 66, 36067, 14, 1229, 212, 103);
INSERT INTO public.who_data VALUES (50009, 108, 4466, 3, 123, 212, 58);
INSERT INTO public.who_data VALUES (50010, 612, 25484, 13, 1124, 212, 195);
INSERT INTO public.who_data VALUES (50011, 0, 0, 0, 0, 212, 115);
INSERT INTO public.who_data VALUES (50012, 0, 889, 0, 52, 212, 99);
INSERT INTO public.who_data VALUES (50013, 39, 851, 0, 33, 212, 153);
INSERT INTO public.who_data VALUES (50014, 0, 3, 0, 0, 212, 93);
INSERT INTO public.who_data VALUES (50015, 0, 76, 0, 3, 212, 84);
INSERT INTO public.who_data VALUES (50016, 5782, 141900, 111, 2617, 212, 78);
INSERT INTO public.who_data VALUES (50017, 451, 35926, 4, 687, 212, 170);
INSERT INTO public.who_data VALUES (50018, 0, 117, 0, 3, 212, 32);
INSERT INTO public.who_data VALUES (50019, 410, 13306, 5, 133, 212, 155);
INSERT INTO public.who_data VALUES (50020, 164, 20122, 0, 711, 212, 82);
INSERT INTO public.who_data VALUES (50021, 347, 28980, 6, 391, 212, 16);
INSERT INTO public.who_data VALUES (50022, 25, 219, 0, 11, 212, 72);
INSERT INTO public.who_data VALUES (50023, 359, 37996, 4, 134, 212, 43);
INSERT INTO public.who_data VALUES (50024, 2856, 216110, 50, 2801, 212, 120);
INSERT INTO public.who_data VALUES (50025, 0, 106, 0, 7, 212, 213);
INSERT INTO public.who_data VALUES (50026, 167, 66688, 6, 519, 212, 31);
INSERT INTO public.who_data VALUES (50027, 439, 66164, 2, 9677, 212, 204);
INSERT INTO public.who_data VALUES (50028, 0, 43, 0, 2, 212, 152);
INSERT INTO public.who_data VALUES (50029, 4, 1694, 0, 34, 212, 144);
INSERT INTO public.who_data VALUES (50030, 0, 153, 0, 9, 212, 96);
INSERT INTO public.who_data VALUES (50031, 0, 92, 0, 0, 212, 47);
INSERT INTO public.who_data VALUES (50032, 1778, 64135, 55, 2328, 212, 80);
INSERT INTO public.who_data VALUES (50033, 0, 5, 0, 0, 212, 159);
INSERT INTO public.who_data VALUES (50034, 344, 9460, 5, 272, 212, 27);
INSERT INTO public.who_data VALUES (50035, 0, 622, 0, 1, 212, 146);
INSERT INTO public.who_data VALUES (50036, 67860, 2227514, 1284, 82771, 212, 71);
INSERT INTO public.who_data VALUES (50037, 0, 8, 0, 1, 212, 210);
INSERT INTO public.who_data VALUES (50038, 0, 141, 0, 3, 212, 54);
INSERT INTO public.who_data VALUES (50039, 269, 9853, 8, 329, 212, 147);
INSERT INTO public.who_data VALUES (50040, 4, 1070, 0, 53, 212, 2);
INSERT INTO public.who_data VALUES (50041, 7, 345, 0, 1, 212, 105);
INSERT INTO public.who_data VALUES (50042, 36, 2190, 0, 21, 212, 53);
INSERT INTO public.who_data VALUES (50043, 4, 202, 0, 0, 212, 81);
INSERT INTO public.who_data VALUES (50044, 0, 16522, 0, 382, 212, 223);
INSERT INTO public.who_data VALUES (50045, 543, 112240, 8, 8870, 212, 94);
INSERT INTO public.who_data VALUES (50046, 0, 203, 0, 1, 212, 154);
INSERT INTO public.who_data VALUES (50047, 16, 4590, 1, 58, 212, 83);
INSERT INTO public.who_data VALUES (50048, 26, 915, 0, 75, 212, 194);
INSERT INTO public.who_data VALUES (50049, 2357, 338759, 116, 8838, 212, 136);
INSERT INTO public.who_data VALUES (50050, 139, 86500, 1, 4656, 212, 179);
INSERT INTO public.who_data VALUES (50051, 7390, 218428, 207, 7373, 212, 57);
INSERT INTO public.who_data VALUES (50052, 3, 340, 0, 7, 212, 35);
INSERT INTO public.who_data VALUES (50053, 0, 2934, 0, 51, 212, 228);
INSERT INTO public.who_data VALUES (50054, 0, 0, 0, 0, 212, 19);
INSERT INTO public.who_data VALUES (50055, 550, 12361, 3, 71, 212, 22);
INSERT INTO public.who_data VALUES (50056, 268, 15001, 0, 93, 212, 1);
INSERT INTO public.who_data VALUES (50057, 104, 4634, 3, 128, 212, 21);
INSERT INTO public.who_data VALUES (50058, 4, 2466, 0, 87, 212, 234);
INSERT INTO public.who_data VALUES (50059, 0, 28, 0, 1, 212, 91);
INSERT INTO public.who_data VALUES (50060, 5, 1045, 0, 19, 212, 137);
INSERT INTO public.who_data VALUES (50061, 230, 14800, 1, 365, 212, 201);
INSERT INTO public.who_data VALUES (50062, 0, 0, 0, 0, 212, 171);
INSERT INTO public.who_data VALUES (50063, 0, 8625, 0, 196, 212, 92);
INSERT INTO public.who_data VALUES (50064, 40, 13390, 1, 612, 212, 112);
INSERT INTO public.who_data VALUES (50065, 1, 5031, 0, 58, 212, 62);
INSERT INTO public.who_data VALUES (50066, 0, 18, 0, 0, 212, 69);
INSERT INTO public.who_data VALUES (50067, 1572, 57615, 1, 1006, 212, 220);
INSERT INTO public.who_data VALUES (50068, 891, 78148, 21, 5439, 212, 100);
INSERT INTO public.who_data VALUES (50069, 668, 90413, 40, 4480, 212, 187);
INSERT INTO public.who_data VALUES (50070, 402, 13377, 9, 372, 212, 63);
INSERT INTO public.who_data VALUES (50071, 0, 2350, 0, 41, 212, 28);
INSERT INTO public.who_data VALUES (50072, 10, 261, 0, 0, 212, 172);
INSERT INTO public.who_data VALUES (50073, 2, 2027, 0, 63, 212, 17);
INSERT INTO public.who_data VALUES (50074, 83, 2021, 3, 28, 212, 226);
INSERT INTO public.who_data VALUES (50075, 409, 11933, 9, 197, 212, 236);
INSERT INTO public.who_data VALUES (50076, 0, 13, 0, 0, 212, 76);
INSERT INTO public.who_data VALUES (50077, 0, 191, 0, 0, 212, 30);
INSERT INTO public.who_data VALUES (50078, 0, 27, 0, 0, 212, 128);
INSERT INTO public.who_data VALUES (50079, 10, 7372, 0, 328, 212, 86);
INSERT INTO public.who_data VALUES (50080, 835, 168291, 9, 30069, 212, 140);
INSERT INTO public.who_data VALUES (50081, 203, 7086, 1, 40, 212, 44);
INSERT INTO public.who_data VALUES (50082, 0, 62, 0, 0, 212, 113);
INSERT INTO public.who_data VALUES (50083, 0, 6588, 0, 47, 212, 29);
INSERT INTO public.who_data VALUES (50084, 38, 170, 0, 5, 212, 125);
INSERT INTO public.who_data VALUES (50085, 19, 1104, 0, 16, 212, 131);
INSERT INTO public.who_data VALUES (50086, 815, 204183, 10, 9111, 212, 46);
INSERT INTO public.who_data VALUES (50087, 0, 29672, 0, 153, 212, 10);
INSERT INTO public.who_data VALUES (50088, 2, 182, 0, 0, 212, 205);
INSERT INTO public.who_data VALUES (50089, 33, 4110, 1, 201, 212, 50);
INSERT INTO public.who_data VALUES (50090, 0, 13, 0, 0, 212, 20);
INSERT INTO public.who_data VALUES (50091, 0, 23, 0, 0, 212, 13);
INSERT INTO public.who_data VALUES (50092, 0, 195, 0, 14, 212, 148);
INSERT INTO public.who_data VALUES (50093, 5, 329, 0, 5, 212, 230);
INSERT INTO public.who_data VALUES (50094, 1057, 42192, 59, 1632, 212, 190);
INSERT INTO public.who_data VALUES (50095, 0, 252, 0, 13, 212, 188);
INSERT INTO public.who_data VALUES (50096, 59, 6806, 1, 42, 212, 123);
INSERT INTO public.who_data VALUES (50097, 0, 1954, 0, 26, 212, 9);
INSERT INTO public.who_data VALUES (50098, 11, 350, 0, 19, 212, 102);
INSERT INTO public.who_data VALUES (50099, 21, 7167, 0, 154, 212, 34);
INSERT INTO public.who_data VALUES (50100, 0, 12, 0, 0, 212, 212);
INSERT INTO public.who_data VALUES (50101, 757, 36102, 18, 1006, 212, 122);
INSERT INTO public.who_data VALUES (50102, 18, 4398, 0, 596, 212, 38);
INSERT INTO public.who_data VALUES (50103, 1, 1841, 0, 10, 212, 130);
INSERT INTO public.who_data VALUES (50104, 49310, 1287945, 740, 30601, 212, 37);
INSERT INTO public.who_data VALUES (50105, 1906, 93657, 117, 4576, 212, 231);
INSERT INTO public.who_data VALUES (50106, 2621, 284034, 221, 15074, 212, 107);
INSERT INTO public.who_data VALUES (50107, 2361, 102226, 80, 4122, 212, 101);
INSERT INTO public.who_data VALUES (50108, 7, 25826, 9, 1763, 212, 132);
INSERT INTO public.who_data VALUES (50109, 0, 336, 0, 24, 212, 176);
INSERT INTO public.who_data VALUES (50110, 2044, 56495, 6, 463, 212, 200);
INSERT INTO public.who_data VALUES (50111, 306, 245338, 10, 35092, 212, 169);
INSERT INTO public.who_data VALUES (50112, 6, 816, 0, 10, 212, 225);
INSERT INTO public.who_data VALUES (50113, 927, 27956, 2, 992, 212, 165);
INSERT INTO public.who_data VALUES (50114, 0, 331, 0, 31, 212, 233);
INSERT INTO public.who_data VALUES (50115, 11, 1199, 0, 11, 212, 215);
INSERT INTO public.who_data VALUES (50116, 1740, 80226, 0, 585, 212, 177);
INSERT INTO public.who_data VALUES (50117, 796, 15601, 3, 263, 212, 183);
INSERT INTO public.who_data VALUES (50118, 0, 0, 0, 0, 212, 203);
INSERT INTO public.who_data VALUES (50119, 282, 6424, 8, 148, 212, 162);
INSERT INTO public.who_data VALUES (50120, 687, 61872, 4, 421, 212, 12);
INSERT INTO public.who_data VALUES (50121, 921, 31247, 42, 766, 212, 24);
INSERT INTO public.who_data VALUES (50122, 0, 19, 0, 0, 212, 119);
INSERT INTO public.who_data VALUES (50123, 6, 1203, 0, 31, 212, 39);
INSERT INTO public.who_data VALUES (50124, 156, 3260, 0, 43, 212, 26);
INSERT INTO public.who_data VALUES (50125, 0, 359, 0, 6, 212, 59);
INSERT INTO public.who_data VALUES (50126, 3, 1117, 1, 71, 212, 77);
INSERT INTO public.who_data VALUES (50127, 138, 2314, 3, 56, 212, 134);
INSERT INTO public.who_data VALUES (50128, 0, 87, 0, 1, 212, 4);
INSERT INTO public.who_data VALUES (50129, 26, 1982, 0, 80, 212, 109);
INSERT INTO public.who_data VALUES (50130, 98, 5952, 1, 112, 212, 90);
INSERT INTO public.who_data VALUES (50131, 219, 8381, 1, 70, 212, 61);
INSERT INTO public.who_data VALUES (50132, 84, 3386, 3, 79, 212, 85);
INSERT INTO public.who_data VALUES (50133, 9, 8840, 0, 123, 212, 49);
INSERT INTO public.who_data VALUES (50134, 17, 3120, 0, 15, 212, 208);
INSERT INTO public.who_data VALUES (50135, 0, 2494, 0, 123, 212, 166);
INSERT INTO public.who_data VALUES (50136, 1, 678, 0, 9, 212, 64);
INSERT INTO public.who_data VALUES (50137, 0, 0, 0, 0, 212, 199);
INSERT INTO public.who_data VALUES (50138, 0, 262, 0, 15, 212, 114);
INSERT INTO public.who_data VALUES (50139, 42, 6027, 0, 155, 212, 60);
INSERT INTO public.who_data VALUES (50140, 0, 343, 0, 10, 212, 68);
INSERT INTO public.who_data VALUES (50141, 23, 2862, 0, 38, 212, 158);
INSERT INTO public.who_data VALUES (50142, 6019, 362274, 790, 41190, 212, 52);
INSERT INTO public.who_data VALUES (50143, 0, 0, 0, 0, 212, 117);
INSERT INTO public.who_data VALUES (50144, 1, 83, 0, 1, 212, 126);
INSERT INTO public.who_data VALUES (50145, 0, 287, 0, 0, 212, 196);
INSERT INTO public.who_data VALUES (50146, 86, 2725, 3, 43, 212, 142);
INSERT INTO public.who_data VALUES (50147, 0, 12, 0, 1, 212, 185);
INSERT INTO public.who_data VALUES (50148, 302, 18264, 7, 292, 212, 138);
INSERT INTO public.who_data VALUES (50149, 25, 1582, 0, 11, 212, 181);
INSERT INTO public.who_data VALUES (50150, 0, 343, 0, 6, 212, 178);
INSERT INTO public.who_data VALUES (50151, 120, 1522, 0, 7, 212, 168);
INSERT INTO public.who_data VALUES (50152, 0, 0, 0, 0, 212, 160);
INSERT INTO public.who_data VALUES (50153, 147, 18241, 1, 43, 212, 151);
INSERT INTO public.who_data VALUES (50154, 164, 52328, 1, 6137, 212, 193);
INSERT INTO public.who_data VALUES (50155, 0, 22, 0, 0, 212, 18);
INSERT INTO public.who_data VALUES (50156, 1, 1206, 0, 22, 212, 40);
INSERT INTO public.who_data VALUES (50157, 0, 3004, 0, 108, 212, 218);
INSERT INTO public.who_data VALUES (50158, 2, 1124, 0, 69, 212, 191);
INSERT INTO public.who_data VALUES (50159, 604, 38948, 20, 833, 212, 156);
INSERT INTO public.who_data VALUES (50160, 0, 0, 0, 0, 212, 135);
INSERT INTO public.who_data VALUES (50161, 0, 38, 0, 2, 212, 88);
INSERT INTO public.who_data VALUES (50162, 121, 9668, 3, 445, 212, 55);
INSERT INTO public.who_data VALUES (50163, 9, 9062, 0, 255, 212, 108);
INSERT INTO public.who_data VALUES (50164, 596, 11875, 1, 70, 212, 48);
INSERT INTO public.who_data VALUES (50165, 1099, 72646, 6, 355, 212, 3);
INSERT INTO public.who_data VALUES (50166, 0, 741, 0, 13, 212, 224);
INSERT INTO public.who_data VALUES (50167, 1209, 270400, 54, 5763, 212, 110);
INSERT INTO public.who_data VALUES (50168, 0, 0, 0, 0, 212, 106);
INSERT INTO public.who_data VALUES (50169, 753, 55906, 21, 1180, 212, 89);
INSERT INTO public.who_data VALUES (50170, 1, 31, 0, 0, 212, 121);
INSERT INTO public.who_data VALUES (50171, 183, 4000, 1, 36, 212, 163);
INSERT INTO public.who_data VALUES (50172, 4463, 366550, 3876, 17455, 212, 70);
INSERT INTO public.who_data VALUES (50173, 2121, 74390, 28, 1871, 212, 174);
INSERT INTO public.who_data VALUES (50174, 0, 0, 0, 0, 212, 175);
INSERT INTO public.who_data VALUES (50175, 418, 41580, 9, 1651, 212, 118);
INSERT INTO public.who_data VALUES (50176, 229, 49379, 3, 1705, 212, 189);
INSERT INTO public.who_data VALUES (50177, 435, 13473, 3, 188, 212, 124);
INSERT INTO public.who_data VALUES (50178, 373, 108244, 1, 164, 212, 192);
INSERT INTO public.who_data VALUES (50179, 41, 13979, 1, 298, 212, 41);
INSERT INTO public.who_data VALUES (50180, 307, 22105, 8, 721, 212, 95);
INSERT INTO public.who_data VALUES (50181, 1, 646, 0, 3, 212, 74);
INSERT INTO public.who_data VALUES (50182, 1112, 41275, 25, 2126, 212, 11);
INSERT INTO public.who_data VALUES (50183, 5811, 800849, 154, 13046, 212, 87);
INSERT INTO public.who_data VALUES (50184, 21, 1710, 0, 5, 212, 214);
INSERT INTO public.who_data VALUES (50185, 0, 3, 0, 0, 212, 116);
INSERT INTO public.who_data VALUES (50186, 0, 6, 0, 0, 212, 157);
INSERT INTO public.who_data VALUES (50187, 0, 0, 0, 0, 212, 182);
INSERT INTO public.who_data VALUES (50188, 0, 17, 0, 0, 212, 186);
INSERT INTO public.who_data VALUES (50189, 1, 24, 0, 0, 212, 127);
INSERT INTO public.who_data VALUES (50190, 0, 46, 0, 3, 212, 232);
INSERT INTO public.who_data VALUES (50191, 0, 4, 0, 0, 212, 33);
INSERT INTO public.who_data VALUES (50192, 2, 52, 0, 0, 212, 97);
INSERT INTO public.who_data VALUES (50193, 0, 0, 0, 0, 212, 42);
INSERT INTO public.who_data VALUES (50194, 0, 716, 0, 42, 212, 198);
INSERT INTO public.who_data VALUES (50195, 2, 749, 0, 14, 212, 216);
INSERT INTO public.who_data VALUES (50196, 2238, 260394, 34, 2635, 212, 164);
INSERT INTO public.who_data VALUES (50197, 145, 9266, 1, 178, 212, 235);
INSERT INTO public.who_data VALUES (50198, 412, 22443, 9, 508, 212, 67);
INSERT INTO public.who_data VALUES (50199, 0, 107, 0, 0, 212, 15);
INSERT INTO public.who_data VALUES (50200, 21, 1752, 0, 66, 212, 180);
INSERT INTO public.who_data VALUES (50201, 354, 49098, 0, 27, 212, 237);
INSERT INTO public.who_data VALUES (50202, 0, 3, 0, 0, 212, 25);
INSERT INTO public.who_data VALUES (50203, 3, 84, 0, 15, 212, 209);
INSERT INTO public.who_data VALUES (50204, 37, 2058, 0, 28, 212, 217);
INSERT INTO public.who_data VALUES (50205, 27, 2034, 0, 117, 212, 79);
INSERT INTO public.who_data VALUES (50206, 0, 0, 0, 0, 212, 143);
INSERT INTO public.who_data VALUES (50207, 10, 3171, 0, 93, 212, 229);
INSERT INTO public.who_data VALUES (50208, 13104, 408052, 153, 6093, 212, 141);
INSERT INTO public.who_data VALUES (50209, 19, 2258, 0, 45, 212, 197);
INSERT INTO public.who_data VALUES (50210, 2568, 284761, 3, 29842, 212, 221);
INSERT INTO public.who_data VALUES (50211, 1, 2753, 0, 11, 212, 150);
INSERT INTO public.who_data VALUES (50212, 65, 11302, 7, 715, 212, 56);
INSERT INTO public.who_data VALUES (50213, 45, 1176, 0, 21, 212, 167);
INSERT INTO public.who_data VALUES (50214, 297, 75066, 6, 5730, 212, 23);
INSERT INTO public.who_data VALUES (50215, 143, 34169, 0, 1736, 212, 222);
INSERT INTO public.who_data VALUES (50216, 23, 584, 3, 35, 212, 219);
INSERT INTO public.who_data VALUES (50217, 45, 7060, 0, 58, 212, 7);
INSERT INTO public.who_data VALUES (50218, 10, 3279, 0, 58, 212, 161);
INSERT INTO public.who_data VALUES (50219, 773, 298436, 9, 41056, 212, 149);
INSERT INTO public.who_data VALUES (50220, 0, 24, 0, 0, 212, 6);
INSERT INTO public.who_data VALUES (50221, 22, 828, 0, 16, 212, 139);
INSERT INTO public.who_data VALUES (50222, 0, 0, 0, 0, 212, 211);
INSERT INTO public.who_data VALUES (50223, 0, 0, 0, 0, 212, 14);
INSERT INTO public.who_data VALUES (50224, 1, 141, 0, 8, 212, 111);
INSERT INTO public.who_data VALUES (50225, 19, 1425, 0, 50, 212, 207);
INSERT INTO public.who_data VALUES (50226, 913, 223315, 18, 5563, 212, 66);
INSERT INTO public.who_data VALUES (50227, 0, 0, 0, 0, 212, 173);
INSERT INTO public.who_data VALUES (50228, 4, 86, 0, 2, 212, 145);
INSERT INTO public.who_data VALUES (50229, 0, 0, 0, 0, 212, 65);
INSERT INTO public.who_data VALUES (50230, 5, 1080, 1, 1, 212, 184);
INSERT INTO public.who_data VALUES (50231, 972, 62823, 20, 1571, 212, 98);
INSERT INTO public.who_data VALUES (50232, 254, 57988, 0, 342, 212, 104);
INSERT INTO public.who_data VALUES (50233, 0, 509, 0, 21, 212, 73);
INSERT INTO public.who_data VALUES (50234, 69641, 3938094, 1074, 142553, 212, 8);
INSERT INTO public.who_data VALUES (50235, 16, 336, 0, 7, 212, 227);
INSERT INTO public.who_data VALUES (50236, 21, 1117, 1, 34, 212, 75);
INSERT INTO public.who_data VALUES (50237, 455, 18986, 4, 103, 212, 45);
INSERT INTO public.who_data VALUES (50238, 0, 0, 0, 0, 212, 133);
INSERT INTO public.who_data VALUES (50239, 390, 13164, 4, 124, 212, 202);
INSERT INTO public.who_data VALUES (50240, 4, 412, 0, 0, 212, 129);
INSERT INTO public.who_data VALUES (50241, 0, 0, 0, 0, 212, 36);
INSERT INTO public.who_data VALUES (50242, 14, 1658, 3, 462, 212, 51);
INSERT INTO public.who_data VALUES (50243, 0, 3583, 0, 128, 212, 206);
INSERT INTO public.who_data VALUES (50244, 90, 2124, 2, 28, 212, 5);
INSERT INTO public.who_data VALUES (50245, 188, 36001, 21, 1215, 213, 103);
INSERT INTO public.who_data VALUES (50246, 68, 4358, 3, 120, 213, 58);
INSERT INTO public.who_data VALUES (50247, 594, 24872, 11, 1111, 213, 195);
INSERT INTO public.who_data VALUES (50248, 0, 0, 0, 0, 213, 115);
INSERT INTO public.who_data VALUES (50249, 5, 889, 0, 52, 213, 99);
INSERT INTO public.who_data VALUES (50250, 33, 812, 3, 33, 213, 153);
INSERT INTO public.who_data VALUES (50251, 0, 3, 0, 0, 213, 93);
INSERT INTO public.who_data VALUES (50252, 0, 76, 0, 3, 213, 84);
INSERT INTO public.who_data VALUES (50253, 5344, 136118, 80, 2506, 213, 78);
INSERT INTO public.who_data VALUES (50254, 469, 35475, 10, 683, 213, 170);
INSERT INTO public.who_data VALUES (50255, 2, 117, 0, 3, 213, 32);
INSERT INTO public.who_data VALUES (50256, 468, 12896, 2, 128, 213, 155);
INSERT INTO public.who_data VALUES (50257, 140, 19958, 1, 711, 213, 82);
INSERT INTO public.who_data VALUES (50258, 391, 28633, 9, 385, 213, 16);
INSERT INTO public.who_data VALUES (50259, 20, 194, 0, 11, 213, 72);
INSERT INTO public.who_data VALUES (50260, 321, 37637, 1, 130, 213, 43);
INSERT INTO public.who_data VALUES (50261, 2744, 213254, 42, 2751, 213, 120);
INSERT INTO public.who_data VALUES (50262, 0, 106, 0, 7, 213, 213);
INSERT INTO public.who_data VALUES (50263, 173, 66521, 6, 513, 213, 31);
INSERT INTO public.who_data VALUES (50264, 553, 65725, 2, 9675, 213, 204);
INSERT INTO public.who_data VALUES (50265, 1, 43, 0, 2, 213, 152);
INSERT INTO public.who_data VALUES (50266, 0, 1690, 0, 34, 213, 144);
INSERT INTO public.who_data VALUES (50267, 0, 153, 0, 9, 213, 96);
INSERT INTO public.who_data VALUES (50268, 0, 92, 0, 0, 213, 47);
INSERT INTO public.who_data VALUES (50269, 1366, 62357, 55, 2273, 213, 80);
INSERT INTO public.who_data VALUES (50270, 0, 5, 0, 0, 213, 159);
INSERT INTO public.who_data VALUES (50271, 330, 9116, 6, 267, 213, 27);
INSERT INTO public.who_data VALUES (50272, 100, 622, 0, 1, 213, 146);
INSERT INTO public.who_data VALUES (50273, 41008, 2159654, 1367, 81487, 213, 71);
INSERT INTO public.who_data VALUES (50274, 0, 8, 0, 1, 213, 210);
INSERT INTO public.who_data VALUES (50275, 0, 141, 0, 3, 213, 54);
INSERT INTO public.who_data VALUES (50276, 330, 9584, 8, 321, 213, 147);
INSERT INTO public.who_data VALUES (50277, 1, 1066, 0, 53, 213, 2);
INSERT INTO public.who_data VALUES (50278, 10, 338, 0, 1, 213, 105);
INSERT INTO public.who_data VALUES (50279, 47, 2154, 0, 21, 213, 53);
INSERT INTO public.who_data VALUES (50280, 1, 198, 0, 0, 213, 81);
INSERT INTO public.who_data VALUES (50281, 0, 16522, 0, 382, 213, 223);
INSERT INTO public.who_data VALUES (50282, 573, 111697, 4, 8862, 213, 94);
INSERT INTO public.who_data VALUES (50283, 0, 203, 0, 1, 213, 154);
INSERT INTO public.who_data VALUES (50284, 13, 4574, 2, 57, 213, 83);
INSERT INTO public.who_data VALUES (50285, 0, 889, 0, 75, 213, 194);
INSERT INTO public.who_data VALUES (50286, 1719, 336402, 45, 8722, 213, 136);
INSERT INTO public.who_data VALUES (50287, 135, 86361, 0, 4655, 213, 179);
INSERT INTO public.who_data VALUES (50288, 7033, 211038, 237, 7166, 213, 57);
INSERT INTO public.who_data VALUES (50289, 0, 337, 0, 7, 213, 35);
INSERT INTO public.who_data VALUES (50290, 83, 2934, 1, 51, 213, 228);
INSERT INTO public.who_data VALUES (50291, 0, 0, 0, 0, 213, 19);
INSERT INTO public.who_data VALUES (50292, 277, 11811, 2, 68, 213, 22);
INSERT INTO public.who_data VALUES (50293, 202, 14733, 0, 93, 213, 1);
INSERT INTO public.who_data VALUES (50294, 108, 4530, 3, 125, 213, 21);
INSERT INTO public.who_data VALUES (50295, 13, 2462, 0, 87, 213, 234);
INSERT INTO public.who_data VALUES (50296, 0, 28, 0, 1, 213, 91);
INSERT INTO public.who_data VALUES (50297, 0, 1040, 0, 19, 213, 137);
INSERT INTO public.who_data VALUES (50298, 246, 14570, 4, 364, 213, 201);
INSERT INTO public.who_data VALUES (50299, 0, 0, 0, 0, 213, 171);
INSERT INTO public.who_data VALUES (50300, 92, 8625, 1, 196, 213, 92);
INSERT INTO public.who_data VALUES (50301, 48, 13350, 0, 611, 213, 112);
INSERT INTO public.who_data VALUES (50302, 3, 5030, 2, 58, 213, 62);
INSERT INTO public.who_data VALUES (50303, 0, 18, 0, 0, 213, 69);
INSERT INTO public.who_data VALUES (50304, 1246, 56043, 6, 1005, 213, 220);
INSERT INTO public.who_data VALUES (50305, 1040, 77257, 52, 5418, 213, 100);
INSERT INTO public.who_data VALUES (50306, 667, 89745, 41, 4440, 213, 187);
INSERT INTO public.who_data VALUES (50307, 393, 12975, 11, 363, 213, 63);
INSERT INTO public.who_data VALUES (50308, 0, 2350, 0, 41, 213, 28);
INSERT INTO public.who_data VALUES (50309, 0, 251, 0, 0, 213, 172);
INSERT INTO public.who_data VALUES (50310, 3, 2025, 0, 63, 213, 17);
INSERT INTO public.who_data VALUES (50311, 44, 1938, 1, 25, 213, 226);
INSERT INTO public.who_data VALUES (50312, 452, 11524, 8, 188, 213, 236);
INSERT INTO public.who_data VALUES (50313, 0, 13, 0, 0, 213, 76);
INSERT INTO public.who_data VALUES (50314, 0, 191, 0, 0, 213, 30);
INSERT INTO public.who_data VALUES (50315, 0, 27, 0, 0, 213, 128);
INSERT INTO public.who_data VALUES (50316, 11, 7362, 0, 328, 213, 86);
INSERT INTO public.who_data VALUES (50317, 945, 167456, 7, 30060, 213, 140);
INSERT INTO public.who_data VALUES (50318, 32, 6883, 0, 39, 213, 44);
INSERT INTO public.who_data VALUES (50319, 0, 62, 0, 0, 213, 113);
INSERT INTO public.who_data VALUES (50320, 155, 6588, 1, 47, 213, 29);
INSERT INTO public.who_data VALUES (50321, 0, 132, 0, 5, 213, 125);
INSERT INTO public.who_data VALUES (50322, 12, 1085, 0, 16, 213, 131);
INSERT INTO public.who_data VALUES (50323, 569, 203368, 6, 9101, 213, 46);
INSERT INTO public.who_data VALUES (50324, 683, 29672, 0, 153, 213, 10);
INSERT INTO public.who_data VALUES (50325, 0, 180, 0, 0, 213, 205);
INSERT INTO public.who_data VALUES (50326, 29, 4077, 3, 200, 213, 50);
INSERT INTO public.who_data VALUES (50327, 0, 13, 0, 0, 213, 20);
INSERT INTO public.who_data VALUES (50328, 0, 23, 0, 0, 213, 13);
INSERT INTO public.who_data VALUES (50329, 0, 195, 0, 14, 213, 148);
INSERT INTO public.who_data VALUES (50330, 5, 324, 0, 5, 213, 230);
INSERT INTO public.who_data VALUES (50331, 906, 41135, 42, 1573, 213, 190);
INSERT INTO public.who_data VALUES (50332, 0, 252, 0, 13, 213, 188);
INSERT INTO public.who_data VALUES (50333, 122, 6747, 0, 41, 213, 123);
INSERT INTO public.who_data VALUES (50334, 0, 1954, 0, 26, 213, 9);
INSERT INTO public.who_data VALUES (50335, 2, 339, 0, 19, 213, 102);
INSERT INTO public.who_data VALUES (50336, 46, 7146, 3, 154, 213, 34);
INSERT INTO public.who_data VALUES (50337, 0, 12, 0, 0, 213, 212);
INSERT INTO public.who_data VALUES (50338, 734, 35345, 53, 988, 213, 122);
INSERT INTO public.who_data VALUES (50339, 14, 4380, 0, 596, 213, 38);
INSERT INTO public.who_data VALUES (50340, 1, 1840, 0, 10, 213, 130);
INSERT INTO public.who_data VALUES (50341, 45720, 1238635, 1129, 29861, 213, 37);
INSERT INTO public.who_data VALUES (50342, 1882, 91751, 139, 4459, 213, 231);
INSERT INTO public.who_data VALUES (50343, 2586, 281413, 219, 14853, 213, 107);
INSERT INTO public.who_data VALUES (50344, 2706, 99865, 92, 4042, 213, 101);
INSERT INTO public.who_data VALUES (50345, 17, 25819, 1, 1754, 213, 132);
INSERT INTO public.who_data VALUES (50346, 0, 336, 0, 24, 213, 176);
INSERT INTO public.who_data VALUES (50347, 2006, 54451, 9, 457, 213, 200);
INSERT INTO public.who_data VALUES (50348, 280, 245032, 9, 35082, 213, 169);
INSERT INTO public.who_data VALUES (50349, 1, 810, 0, 10, 213, 225);
INSERT INTO public.who_data VALUES (50350, 726, 27029, 1, 990, 213, 165);
INSERT INTO public.who_data VALUES (50351, 0, 331, 0, 31, 213, 233);
INSERT INTO public.who_data VALUES (50352, 7, 1188, 0, 11, 213, 215);
INSERT INTO public.who_data VALUES (50353, 1687, 78486, 0, 585, 213, 177);
INSERT INTO public.who_data VALUES (50354, 637, 14805, 10, 260, 213, 183);
INSERT INTO public.who_data VALUES (50355, 0, 0, 0, 0, 213, 203);
INSERT INTO public.who_data VALUES (50356, 140, 6142, 6, 140, 213, 162);
INSERT INTO public.who_data VALUES (50357, 751, 61185, 5, 417, 213, 12);
INSERT INTO public.who_data VALUES (50358, 967, 30326, 46, 724, 213, 24);
INSERT INTO public.who_data VALUES (50359, 0, 19, 0, 0, 213, 119);
INSERT INTO public.who_data VALUES (50360, 4, 1197, 0, 31, 213, 39);
INSERT INTO public.who_data VALUES (50361, 124, 3104, 2, 43, 213, 26);
INSERT INTO public.who_data VALUES (50362, 0, 359, 0, 6, 213, 59);
INSERT INTO public.who_data VALUES (50363, 6, 1114, 0, 70, 213, 77);
INSERT INTO public.who_data VALUES (50364, 88, 2176, 3, 53, 213, 134);
INSERT INTO public.who_data VALUES (50365, 0, 87, 0, 1, 213, 4);
INSERT INTO public.who_data VALUES (50366, 10, 1956, 0, 80, 213, 109);
INSERT INTO public.who_data VALUES (50367, 129, 5854, 0, 111, 213, 90);
INSERT INTO public.who_data VALUES (50368, 614, 8162, 4, 69, 213, 61);
INSERT INTO public.who_data VALUES (50369, 153, 3302, 5, 76, 213, 85);
INSERT INTO public.who_data VALUES (50370, 16, 8831, 0, 123, 213, 49);
INSERT INTO public.who_data VALUES (50371, 59, 3103, 0, 15, 213, 208);
INSERT INTO public.who_data VALUES (50372, 17, 2494, 1, 123, 213, 166);
INSERT INTO public.who_data VALUES (50373, 2, 677, 0, 9, 213, 64);
INSERT INTO public.who_data VALUES (50374, 0, 0, 0, 0, 213, 199);
INSERT INTO public.who_data VALUES (50375, 0, 262, 0, 15, 213, 114);
INSERT INTO public.who_data VALUES (50376, 0, 5985, 0, 155, 213, 60);
INSERT INTO public.who_data VALUES (50377, 0, 343, 0, 10, 213, 68);
INSERT INTO public.who_data VALUES (50378, 15, 2839, 0, 38, 213, 158);
INSERT INTO public.who_data VALUES (50379, 6859, 356255, 915, 40400, 213, 52);
INSERT INTO public.who_data VALUES (50380, 0, 0, 0, 0, 213, 117);
INSERT INTO public.who_data VALUES (50381, 1, 82, 0, 1, 213, 126);
INSERT INTO public.who_data VALUES (50382, 0, 287, 0, 0, 213, 196);
INSERT INTO public.who_data VALUES (50383, 72, 2639, 1, 40, 213, 142);
INSERT INTO public.who_data VALUES (50384, 0, 12, 0, 1, 213, 185);
INSERT INTO public.who_data VALUES (50385, 220, 17962, 5, 285, 213, 138);
INSERT INTO public.who_data VALUES (50386, 21, 1557, 0, 11, 213, 181);
INSERT INTO public.who_data VALUES (50387, 2, 343, 0, 6, 213, 178);
INSERT INTO public.who_data VALUES (50388, 36, 1402, 0, 7, 213, 168);
INSERT INTO public.who_data VALUES (50389, 0, 0, 0, 0, 213, 160);
INSERT INTO public.who_data VALUES (50390, 100, 18094, 2, 42, 213, 151);
INSERT INTO public.who_data VALUES (50391, 170, 52164, 2, 6136, 213, 193);
INSERT INTO public.who_data VALUES (50392, 0, 22, 0, 0, 213, 18);
INSERT INTO public.who_data VALUES (50393, 0, 1205, 0, 22, 213, 40);
INSERT INTO public.who_data VALUES (50394, 0, 3004, 0, 108, 213, 218);
INSERT INTO public.who_data VALUES (50395, 14, 1122, 0, 69, 213, 191);
INSERT INTO public.who_data VALUES (50396, 543, 38344, 8, 813, 213, 156);
INSERT INTO public.who_data VALUES (50397, 0, 0, 0, 0, 213, 135);
INSERT INTO public.who_data VALUES (50398, 0, 38, 0, 2, 213, 88);
INSERT INTO public.who_data VALUES (50399, 135, 9547, 10, 442, 213, 55);
INSERT INTO public.who_data VALUES (50400, 15, 9053, 0, 255, 213, 108);
INSERT INTO public.who_data VALUES (50401, 356, 11279, 2, 69, 213, 48);
INSERT INTO public.who_data VALUES (50402, 1660, 71547, 12, 349, 213, 3);
INSERT INTO public.who_data VALUES (50403, 0, 741, 0, 13, 213, 224);
INSERT INTO public.who_data VALUES (50404, 1763, 269191, 32, 5709, 213, 110);
INSERT INTO public.who_data VALUES (50405, 0, 0, 0, 0, 213, 106);
INSERT INTO public.who_data VALUES (50406, 727, 55153, 32, 1159, 213, 89);
INSERT INTO public.who_data VALUES (50407, 3, 30, 0, 0, 213, 121);
INSERT INTO public.who_data VALUES (50408, 69, 3817, 2, 35, 213, 163);
INSERT INTO public.who_data VALUES (50409, 4406, 362087, 195, 13579, 213, 70);
INSERT INTO public.who_data VALUES (50410, 1505, 72269, 6, 1843, 213, 174);
INSERT INTO public.who_data VALUES (50411, 0, 0, 0, 0, 213, 175);
INSERT INTO public.who_data VALUES (50412, 380, 41162, 6, 1642, 213, 118);
INSERT INTO public.who_data VALUES (50413, 252, 49150, 5, 1702, 213, 189);
INSERT INTO public.who_data VALUES (50414, 98, 13038, 5, 185, 213, 124);
INSERT INTO public.who_data VALUES (50415, 441, 107871, 3, 163, 213, 192);
INSERT INTO public.who_data VALUES (50416, 59, 13938, 0, 297, 213, 41);
INSERT INTO public.who_data VALUES (50417, 356, 21798, 5, 713, 213, 95);
INSERT INTO public.who_data VALUES (50418, 6, 645, 0, 3, 213, 74);
INSERT INTO public.who_data VALUES (50419, 1030, 40163, 27, 2101, 213, 11);
INSERT INTO public.who_data VALUES (50420, 5848, 795038, 147, 12892, 213, 87);
INSERT INTO public.who_data VALUES (50421, 34, 1689, 0, 5, 213, 214);
INSERT INTO public.who_data VALUES (50422, 0, 3, 0, 0, 213, 116);
INSERT INTO public.who_data VALUES (50423, 0, 6, 0, 0, 213, 157);
INSERT INTO public.who_data VALUES (50424, 0, 0, 0, 0, 213, 182);
INSERT INTO public.who_data VALUES (50425, 0, 17, 0, 0, 213, 186);
INSERT INTO public.who_data VALUES (50426, 0, 23, 0, 0, 213, 127);
INSERT INTO public.who_data VALUES (50427, 0, 46, 0, 3, 213, 232);
INSERT INTO public.who_data VALUES (50428, 0, 4, 0, 0, 213, 33);
INSERT INTO public.who_data VALUES (50429, 0, 50, 0, 0, 213, 97);
INSERT INTO public.who_data VALUES (50430, 0, 0, 0, 0, 213, 42);
INSERT INTO public.who_data VALUES (50431, 0, 716, 0, 42, 213, 198);
INSERT INTO public.who_data VALUES (50432, 1, 747, 0, 14, 213, 216);
INSERT INTO public.who_data VALUES (50433, 2331, 258156, 44, 2601, 213, 164);
INSERT INTO public.who_data VALUES (50434, 136, 9121, 3, 177, 213, 235);
INSERT INTO public.who_data VALUES (50435, 426, 22031, 8, 499, 213, 67);
INSERT INTO public.who_data VALUES (50436, -1, 107, 0, 0, 213, 15);
INSERT INTO public.who_data VALUES (50437, 4, 1731, 0, 66, 213, 180);
INSERT INTO public.who_data VALUES (50438, 310, 48744, 0, 27, 213, 237);
INSERT INTO public.who_data VALUES (50439, 1, 3, 0, 0, 213, 25);
INSERT INTO public.who_data VALUES (50440, 2, 81, 0, 15, 213, 209);
INSERT INTO public.who_data VALUES (50441, 41, 2021, 0, 28, 213, 217);
INSERT INTO public.who_data VALUES (50442, 29, 2007, 1, 117, 213, 79);
INSERT INTO public.who_data VALUES (50443, 0, 0, 0, 0, 213, 143);
INSERT INTO public.who_data VALUES (50444, 26, 3161, 0, 93, 213, 229);
INSERT INTO public.who_data VALUES (50445, 13150, 394948, 572, 5940, 213, 141);
INSERT INTO public.who_data VALUES (50446, 28, 2239, 0, 45, 213, 197);
INSERT INTO public.who_data VALUES (50447, 2555, 282193, 7, 29839, 213, 221);
INSERT INTO public.who_data VALUES (50448, 22, 2752, 0, 11, 213, 150);
INSERT INTO public.who_data VALUES (50449, 110, 11237, 2, 708, 213, 56);
INSERT INTO public.who_data VALUES (50450, 52, 1131, 0, 21, 213, 167);
INSERT INTO public.who_data VALUES (50451, 226, 74769, 7, 5724, 213, 23);
INSERT INTO public.who_data VALUES (50452, 118, 34026, 0, 1736, 213, 222);
INSERT INTO public.who_data VALUES (50453, 21, 561, 1, 32, 213, 219);
INSERT INTO public.who_data VALUES (50454, 48, 7015, 1, 58, 213, 7);
INSERT INTO public.who_data VALUES (50455, 8, 3269, 0, 58, 213, 161);
INSERT INTO public.who_data VALUES (50456, 751, 297663, 17, 41047, 213, 149);
INSERT INTO public.who_data VALUES (50457, 0, 24, 0, 0, 213, 6);
INSERT INTO public.who_data VALUES (50458, 16, 806, 1, 16, 213, 139);
INSERT INTO public.who_data VALUES (50459, 0, 0, 0, 0, 213, 211);
INSERT INTO public.who_data VALUES (50460, 0, 0, 0, 0, 213, 14);
INSERT INTO public.who_data VALUES (50461, 3, 140, 0, 8, 213, 111);
INSERT INTO public.who_data VALUES (50462, 12, 1406, 0, 50, 213, 207);
INSERT INTO public.who_data VALUES (50463, 902, 222402, 19, 5545, 213, 66);
INSERT INTO public.who_data VALUES (50464, 0, 0, 0, 0, 213, 173);
INSERT INTO public.who_data VALUES (50465, 1, 82, 0, 2, 213, 145);
INSERT INTO public.who_data VALUES (50466, 0, 0, 0, 0, 213, 65);
INSERT INTO public.who_data VALUES (50467, 3, 1075, 0, 0, 213, 184);
INSERT INTO public.who_data VALUES (50468, 856, 61851, 17, 1551, 213, 98);
INSERT INTO public.who_data VALUES (50469, 236, 57734, 1, 342, 213, 104);
INSERT INTO public.who_data VALUES (50470, 0, 509, 0, 21, 213, 73);
INSERT INTO public.who_data VALUES (50471, 62929, 3868453, 1042, 141479, 213, 8);
INSERT INTO public.who_data VALUES (50472, 12, 320, 1, 7, 213, 227);
INSERT INTO public.who_data VALUES (50473, 32, 1096, 0, 33, 213, 75);
INSERT INTO public.who_data VALUES (50474, 360, 18531, 3, 99, 213, 45);
INSERT INTO public.who_data VALUES (50475, 0, 0, 0, 0, 213, 133);
INSERT INTO public.who_data VALUES (50476, 440, 12774, 4, 120, 213, 202);
INSERT INTO public.who_data VALUES (50477, 7, 408, 0, 0, 213, 129);
INSERT INTO public.who_data VALUES (50478, 0, 0, 0, 0, 213, 36);
INSERT INTO public.who_data VALUES (50479, 11, 1644, 2, 459, 213, 51);
INSERT INTO public.who_data VALUES (50480, 257, 3583, 0, 128, 213, 206);
INSERT INTO public.who_data VALUES (50481, 214, 2034, 0, 26, 213, 5);
INSERT INTO public.who_data VALUES (50482, 112, 35813, 6, 1194, 214, 103);
INSERT INTO public.who_data VALUES (50483, 119, 4290, 4, 117, 214, 58);
INSERT INTO public.who_data VALUES (50484, 587, 24278, 13, 1100, 214, 195);
INSERT INTO public.who_data VALUES (50485, 0, 0, 0, 0, 214, 115);
INSERT INTO public.who_data VALUES (50486, 0, 884, 0, 52, 214, 99);
INSERT INTO public.who_data VALUES (50487, 30, 779, 1, 30, 214, 153);
INSERT INTO public.who_data VALUES (50488, 0, 3, 0, 0, 214, 93);
INSERT INTO public.who_data VALUES (50489, 0, 76, 0, 3, 214, 84);
INSERT INTO public.who_data VALUES (50490, 4019, 130774, 145, 2426, 214, 78);
INSERT INTO public.who_data VALUES (50491, 439, 35006, 16, 673, 214, 170);
INSERT INTO public.who_data VALUES (50492, 2, 115, 0, 3, 214, 32);
INSERT INTO public.who_data VALUES (50493, 359, 12428, 3, 126, 214, 155);
INSERT INTO public.who_data VALUES (50494, 139, 19818, 0, 710, 214, 82);
INSERT INTO public.who_data VALUES (50495, 352, 28242, 13, 376, 214, 16);
INSERT INTO public.who_data VALUES (50496, 21, 174, 0, 11, 214, 72);
INSERT INTO public.who_data VALUES (50497, 380, 37316, 1, 129, 214, 43);
INSERT INTO public.who_data VALUES (50498, 3057, 210510, 41, 2709, 214, 120);
INSERT INTO public.who_data VALUES (50499, 1, 106, 0, 7, 214, 213);
INSERT INTO public.who_data VALUES (50500, 135, 66348, 4, 507, 214, 31);
INSERT INTO public.who_data VALUES (50501, 145, 65172, 1, 9673, 214, 204);
INSERT INTO public.who_data VALUES (50502, 2, 42, 0, 2, 214, 152);
INSERT INTO public.who_data VALUES (50503, 88, 1690, 3, 34, 214, 144);
INSERT INTO public.who_data VALUES (50504, 0, 153, 0, 9, 214, 96);
INSERT INTO public.who_data VALUES (50505, 2, 92, 0, 0, 214, 47);
INSERT INTO public.who_data VALUES (50506, 1409, 60991, 67, 2218, 214, 80);
INSERT INTO public.who_data VALUES (50507, 0, 5, 0, 0, 214, 159);
INSERT INTO public.who_data VALUES (50508, 195, 8786, 5, 261, 214, 27);
INSERT INTO public.who_data VALUES (50509, 0, 522, 0, 1, 214, 146);
INSERT INTO public.who_data VALUES (50510, 20257, 2118646, 632, 80120, 214, 71);
INSERT INTO public.who_data VALUES (50511, 0, 8, 0, 1, 214, 210);
INSERT INTO public.who_data VALUES (50512, 0, 141, 0, 3, 214, 54);
INSERT INTO public.who_data VALUES (50513, 325, 9254, 5, 313, 214, 147);
INSERT INTO public.who_data VALUES (50514, 0, 1065, 0, 53, 214, 2);
INSERT INTO public.who_data VALUES (50515, 0, 328, 0, 1, 214, 105);
INSERT INTO public.who_data VALUES (50516, 36, 2107, 0, 21, 214, 53);
INSERT INTO public.who_data VALUES (50517, 26, 197, 0, 0, 214, 81);
INSERT INTO public.who_data VALUES (50518, 0, 16522, 0, 382, 214, 223);
INSERT INTO public.who_data VALUES (50519, 786, 111124, 6, 8858, 214, 94);
INSERT INTO public.who_data VALUES (50520, 0, 203, 0, 1, 214, 154);
INSERT INTO public.who_data VALUES (50521, 76, 4561, 0, 55, 214, 83);
INSERT INTO public.who_data VALUES (50522, 0, 889, 0, 75, 214, 194);
INSERT INTO public.who_data VALUES (50523, 1654, 334683, 44, 8677, 214, 136);
INSERT INTO public.who_data VALUES (50524, 74, 86226, 2, 4655, 214, 179);
INSERT INTO public.who_data VALUES (50525, 6727, 204005, 193, 6929, 214, 57);
INSERT INTO public.who_data VALUES (50526, 3, 337, 0, 7, 214, 35);
INSERT INTO public.who_data VALUES (50527, 0, 2851, 0, 50, 214, 228);
INSERT INTO public.who_data VALUES (50528, 0, 0, 0, 0, 214, 19);
INSERT INTO public.who_data VALUES (50529, 420, 11534, 4, 66, 214, 22);
INSERT INTO public.who_data VALUES (50530, 219, 14531, 1, 93, 214, 1);
INSERT INTO public.who_data VALUES (50531, 52, 4422, 0, 122, 214, 21);
INSERT INTO public.who_data VALUES (50532, 3, 2449, 0, 87, 214, 234);
INSERT INTO public.who_data VALUES (50533, 0, 28, 0, 1, 214, 91);
INSERT INTO public.who_data VALUES (50534, 2, 1040, 0, 19, 214, 137);
INSERT INTO public.who_data VALUES (50535, 226, 14324, 1, 360, 214, 201);
INSERT INTO public.who_data VALUES (50536, 0, 0, 0, 0, 214, 171);
INSERT INTO public.who_data VALUES (50537, 91, 8533, 2, 195, 214, 92);
INSERT INTO public.who_data VALUES (50538, 40, 13302, 0, 611, 214, 112);
INSERT INTO public.who_data VALUES (50539, 7, 5027, 0, 56, 214, 62);
INSERT INTO public.who_data VALUES (50540, 0, 18, 0, 0, 214, 69);
INSERT INTO public.who_data VALUES (50541, 841, 54797, 6, 999, 214, 220);
INSERT INTO public.who_data VALUES (50542, 1597, 76217, 48, 5366, 214, 100);
INSERT INTO public.who_data VALUES (50543, 676, 89078, 47, 4399, 214, 187);
INSERT INTO public.who_data VALUES (50544, 375, 12582, 8, 352, 214, 63);
INSERT INTO public.who_data VALUES (50545, 0, 2350, 0, 41, 214, 28);
INSERT INTO public.who_data VALUES (50546, 0, 251, 0, 0, 214, 172);
INSERT INTO public.who_data VALUES (50547, 1, 2022, 0, 63, 214, 17);
INSERT INTO public.who_data VALUES (50548, 68, 1894, 1, 24, 214, 226);
INSERT INTO public.who_data VALUES (50549, 561, 11072, 7, 180, 214, 236);
INSERT INTO public.who_data VALUES (50550, 0, 13, 0, 0, 214, 76);
INSERT INTO public.who_data VALUES (50551, 0, 191, 0, 0, 214, 30);
INSERT INTO public.who_data VALUES (50552, 0, 27, 0, 0, 214, 128);
INSERT INTO public.who_data VALUES (50553, 11, 7351, 0, 328, 214, 86);
INSERT INTO public.who_data VALUES (50554, 454, 166511, -1, 30053, 214, 140);
INSERT INTO public.who_data VALUES (50555, 106, 6851, 1, 39, 214, 44);
INSERT INTO public.who_data VALUES (50556, 0, 62, 0, 0, 214, 113);
INSERT INTO public.who_data VALUES (50557, 312, 6433, 0, 46, 214, 29);
INSERT INTO public.who_data VALUES (50558, 20, 132, 1, 5, 214, 125);
INSERT INTO public.who_data VALUES (50559, 24, 1073, 0, 16, 214, 131);
INSERT INTO public.who_data VALUES (50560, 454, 202799, 5, 9095, 214, 46);
INSERT INTO public.who_data VALUES (50561, 559, 28989, 0, 153, 214, 10);
INSERT INTO public.who_data VALUES (50562, 0, 180, 0, 0, 214, 205);
INSERT INTO public.who_data VALUES (50563, 36, 4048, 2, 197, 214, 50);
INSERT INTO public.who_data VALUES (50564, 0, 13, 0, 0, 214, 20);
INSERT INTO public.who_data VALUES (50565, 0, 23, 0, 0, 214, 13);
INSERT INTO public.who_data VALUES (50566, 0, 195, 0, 14, 214, 148);
INSERT INTO public.who_data VALUES (50567, 8, 319, 0, 5, 214, 230);
INSERT INTO public.who_data VALUES (50568, 1190, 40229, 29, 1531, 214, 190);
INSERT INTO public.who_data VALUES (50569, 0, 252, 0, 13, 214, 188);
INSERT INTO public.who_data VALUES (50570, 35, 6625, 1, 41, 214, 123);
INSERT INTO public.who_data VALUES (50571, 0, 1954, 0, 26, 214, 9);
INSERT INTO public.who_data VALUES (50572, 1, 337, 0, 19, 214, 102);
INSERT INTO public.who_data VALUES (50573, 37, 7100, 5, 151, 214, 34);
INSERT INTO public.who_data VALUES (50574, 0, 12, 0, 0, 214, 212);
INSERT INTO public.who_data VALUES (50575, 776, 34611, 35, 935, 214, 122);
INSERT INTO public.who_data VALUES (50576, 19, 4366, 0, 596, 214, 38);
INSERT INTO public.who_data VALUES (50577, 0, 1839, 0, 10, 214, 130);
INSERT INTO public.who_data VALUES (50578, 37724, 1192915, 648, 28732, 214, 37);
INSERT INTO public.who_data VALUES (50579, 1655, 89869, 81, 4320, 214, 231);
INSERT INTO public.who_data VALUES (50580, 2625, 278827, 229, 14634, 214, 107);
INSERT INTO public.who_data VALUES (50581, 2466, 97159, 81, 3950, 214, 101);
INSERT INTO public.who_data VALUES (50582, 36, 25802, 0, 1753, 214, 132);
INSERT INTO public.who_data VALUES (50583, 0, 336, 0, 24, 214, 176);
INSERT INTO public.who_data VALUES (50584, 1887, 52445, 12, 448, 214, 200);
INSERT INTO public.who_data VALUES (50585, 128, 244752, 15, 35073, 214, 169);
INSERT INTO public.who_data VALUES (50586, 19, 809, 0, 10, 214, 225);
INSERT INTO public.who_data VALUES (50587, 567, 26303, 1, 989, 214, 165);
INSERT INTO public.who_data VALUES (50588, 0, 331, 0, 31, 214, 233);
INSERT INTO public.who_data VALUES (50589, 46, 1181, 0, 11, 214, 215);
INSERT INTO public.who_data VALUES (50590, 1646, 76799, 0, 585, 214, 177);
INSERT INTO public.who_data VALUES (50591, 397, 14168, 12, 250, 214, 183);
INSERT INTO public.who_data VALUES (50592, 0, 0, 0, 0, 214, 203);
INSERT INTO public.who_data VALUES (50593, 168, 6002, 5, 134, 214, 162);
INSERT INTO public.who_data VALUES (50594, 671, 60434, 4, 412, 214, 12);
INSERT INTO public.who_data VALUES (50595, 1108, 29359, 44, 678, 214, 24);
INSERT INTO public.who_data VALUES (50596, 0, 19, 0, 0, 214, 119);
INSERT INTO public.who_data VALUES (50597, 1, 1193, 0, 31, 214, 39);
INSERT INTO public.who_data VALUES (50598, 75, 2980, 0, 41, 214, 26);
INSERT INTO public.who_data VALUES (50599, 0, 359, 0, 6, 214, 59);
INSERT INTO public.who_data VALUES (50600, 1, 1108, 0, 70, 214, 77);
INSERT INTO public.who_data VALUES (50601, 108, 2088, 1, 50, 214, 134);
INSERT INTO public.who_data VALUES (50602, 0, 87, 0, 1, 214, 4);
INSERT INTO public.who_data VALUES (50603, 2, 1946, 0, 80, 214, 109);
INSERT INTO public.who_data VALUES (50604, 120, 5725, 0, 111, 214, 90);
INSERT INTO public.who_data VALUES (50605, 395, 7548, 3, 65, 214, 61);
INSERT INTO public.who_data VALUES (50606, 104, 3149, 7, 71, 214, 85);
INSERT INTO public.who_data VALUES (50607, 15, 8815, 0, 123, 214, 49);
INSERT INTO public.who_data VALUES (50608, 45, 3044, 0, 15, 214, 208);
INSERT INTO public.who_data VALUES (50609, 2, 2477, 1, 122, 214, 166);
INSERT INTO public.who_data VALUES (50610, 0, 675, 0, 9, 214, 64);
INSERT INTO public.who_data VALUES (50611, 0, 0, 0, 0, 214, 199);
INSERT INTO public.who_data VALUES (50612, 0, 262, 0, 15, 214, 114);
INSERT INTO public.who_data VALUES (50613, 62, 5985, 0, 155, 214, 60);
INSERT INTO public.who_data VALUES (50614, 0, 343, 0, 10, 214, 68);
INSERT INTO public.who_data VALUES (50615, 16, 2824, 0, 38, 214, 158);
INSERT INTO public.who_data VALUES (50616, 5172, 349396, 301, 39485, 214, 52);
INSERT INTO public.who_data VALUES (50617, 0, 0, 0, 0, 214, 117);
INSERT INTO public.who_data VALUES (50618, 2, 81, 0, 1, 214, 126);
INSERT INTO public.who_data VALUES (50619, 0, 287, 0, 0, 214, 196);
INSERT INTO public.who_data VALUES (50620, 97, 2567, 4, 39, 214, 142);
INSERT INTO public.who_data VALUES (50621, 0, 12, 0, 1, 214, 185);
INSERT INTO public.who_data VALUES (50622, 180, 17742, 4, 280, 214, 138);
INSERT INTO public.who_data VALUES (50623, 29, 1536, 0, 11, 214, 181);
INSERT INTO public.who_data VALUES (50624, 0, 341, 0, 6, 214, 178);
INSERT INTO public.who_data VALUES (50625, 22, 1366, 3, 7, 214, 168);
INSERT INTO public.who_data VALUES (50626, 0, 0, 0, 0, 214, 160);
INSERT INTO public.who_data VALUES (50627, 150, 17994, 0, 40, 214, 151);
INSERT INTO public.who_data VALUES (50628, 169, 51994, 1, 6134, 214, 193);
INSERT INTO public.who_data VALUES (50629, 0, 22, 0, 0, 214, 18);
INSERT INTO public.who_data VALUES (50630, 0, 1205, 0, 22, 214, 40);
INSERT INTO public.who_data VALUES (50631, 292, 3004, 9, 108, 214, 218);
INSERT INTO public.who_data VALUES (50632, 3, 1108, 0, 69, 214, 191);
INSERT INTO public.who_data VALUES (50633, 576, 37801, 4, 805, 214, 156);
INSERT INTO public.who_data VALUES (50634, 0, 0, 0, 0, 214, 135);
INSERT INTO public.who_data VALUES (50635, 1, 38, 0, 2, 214, 88);
INSERT INTO public.who_data VALUES (50636, 163, 9412, 0, 432, 214, 55);
INSERT INTO public.who_data VALUES (50637, 10, 9038, 0, 255, 214, 108);
INSERT INTO public.who_data VALUES (50638, 403, 10923, 1, 67, 214, 48);
INSERT INTO public.who_data VALUES (50639, 1487, 69887, 11, 337, 214, 3);
INSERT INTO public.who_data VALUES (50640, 0, 741, 0, 13, 214, 224);
INSERT INTO public.who_data VALUES (50641, 1332, 267428, 38, 5677, 214, 110);
INSERT INTO public.who_data VALUES (50642, 0, 0, 0, 0, 214, 106);
INSERT INTO public.who_data VALUES (50643, 958, 54426, 31, 1127, 214, 89);
INSERT INTO public.who_data VALUES (50644, 10, 27, 0, 0, 214, 121);
INSERT INTO public.who_data VALUES (50645, 27, 3748, 2, 33, 214, 163);
INSERT INTO public.who_data VALUES (50646, 4091, 357681, 197, 13384, 214, 70);
INSERT INTO public.who_data VALUES (50647, 1866, 70764, 2, 1837, 214, 174);
INSERT INTO public.who_data VALUES (50648, 0, 0, 0, 0, 214, 175);
INSERT INTO public.who_data VALUES (50649, 399, 40782, 9, 1636, 214, 118);
INSERT INTO public.who_data VALUES (50650, 127, 48898, 6, 1697, 214, 189);
INSERT INTO public.who_data VALUES (50651, 479, 12940, 0, 180, 214, 124);
INSERT INTO public.who_data VALUES (50652, 393, 107430, 1, 160, 214, 192);
INSERT INTO public.who_data VALUES (50653, 63, 13879, 1, 297, 214, 41);
INSERT INTO public.who_data VALUES (50654, 327, 21442, 11, 708, 214, 95);
INSERT INTO public.who_data VALUES (50655, 8, 639, 0, 3, 214, 74);
INSERT INTO public.who_data VALUES (50656, 994, 39133, 36, 2074, 214, 11);
INSERT INTO public.who_data VALUES (50657, 5862, 789190, 165, 12745, 214, 87);
INSERT INTO public.who_data VALUES (50658, 26, 1655, 0, 5, 214, 214);
INSERT INTO public.who_data VALUES (50659, 0, 3, 0, 0, 214, 116);
INSERT INTO public.who_data VALUES (50660, 0, 6, 0, 0, 214, 157);
INSERT INTO public.who_data VALUES (50661, 0, 0, 0, 0, 214, 182);
INSERT INTO public.who_data VALUES (50662, 0, 17, 0, 0, 214, 186);
INSERT INTO public.who_data VALUES (50663, 0, 23, 0, 0, 214, 127);
INSERT INTO public.who_data VALUES (50664, 0, 46, 0, 3, 214, 232);
INSERT INTO public.who_data VALUES (50665, 0, 4, 0, 0, 214, 33);
INSERT INTO public.who_data VALUES (50666, 0, 50, 0, 0, 214, 97);
INSERT INTO public.who_data VALUES (50667, 0, 0, 0, 0, 214, 42);
INSERT INTO public.who_data VALUES (50668, 0, 716, 0, 42, 214, 198);
INSERT INTO public.who_data VALUES (50669, 0, 746, 0, 14, 214, 216);
INSERT INTO public.who_data VALUES (50670, 2476, 255825, 34, 2557, 214, 164);
INSERT INTO public.who_data VALUES (50671, 37, 8985, 4, 174, 214, 235);
INSERT INTO public.who_data VALUES (50672, 352, 21605, 9, 491, 214, 67);
INSERT INTO public.who_data VALUES (50673, 0, 108, 0, 0, 214, 15);
INSERT INTO public.who_data VALUES (50674, 16, 1727, 0, 66, 214, 180);
INSERT INTO public.who_data VALUES (50675, 398, 48434, 0, 27, 214, 237);
INSERT INTO public.who_data VALUES (50676, 0, 2, 0, 0, 214, 25);
INSERT INTO public.who_data VALUES (50677, 0, 79, 0, 15, 214, 209);
INSERT INTO public.who_data VALUES (50678, 1, 1980, 0, 28, 214, 217);
INSERT INTO public.who_data VALUES (50679, 24, 1978, 1, 116, 214, 79);
INSERT INTO public.who_data VALUES (50680, 0, 0, 0, 0, 214, 143);
INSERT INTO public.who_data VALUES (50681, 5, 3135, 0, 93, 214, 229);
INSERT INTO public.who_data VALUES (50682, 8170, 381798, 195, 5368, 214, 141);
INSERT INTO public.who_data VALUES (50683, 0, 2211, 0, 45, 214, 197);
INSERT INTO public.who_data VALUES (50684, 1760, 279638, 7, 29832, 214, 221);
INSERT INTO public.who_data VALUES (50685, 0, 2730, 0, 11, 214, 150);
INSERT INTO public.who_data VALUES (50686, 135, 11127, 13, 706, 214, 56);
INSERT INTO public.who_data VALUES (50687, 50, 1079, 0, 21, 214, 167);
INSERT INTO public.who_data VALUES (50688, 131, 74543, 6, 5717, 214, 23);
INSERT INTO public.who_data VALUES (50689, 138, 33908, 1, 1736, 214, 222);
INSERT INTO public.who_data VALUES (50690, 18, 540, 2, 31, 214, 219);
INSERT INTO public.who_data VALUES (50691, 46, 6967, 0, 57, 214, 7);
INSERT INTO public.who_data VALUES (50692, 6, 3261, 0, 58, 214, 161);
INSERT INTO public.who_data VALUES (50693, 793, 296912, 25, 41030, 214, 149);
INSERT INTO public.who_data VALUES (50694, 0, 24, 0, 0, 214, 6);
INSERT INTO public.who_data VALUES (50695, 7, 790, 0, 15, 214, 139);
INSERT INTO public.who_data VALUES (50696, 0, 0, 0, 0, 214, 211);
INSERT INTO public.who_data VALUES (50697, 0, 0, 0, 0, 214, 14);
INSERT INTO public.who_data VALUES (50698, 0, 137, 0, 8, 214, 111);
INSERT INTO public.who_data VALUES (50699, 5, 1394, 0, 50, 214, 207);
INSERT INTO public.who_data VALUES (50700, 928, 221500, 18, 5526, 214, 66);
INSERT INTO public.who_data VALUES (50701, 0, 0, 0, 0, 214, 173);
INSERT INTO public.who_data VALUES (50702, 0, 81, 0, 2, 214, 145);
INSERT INTO public.who_data VALUES (50703, 0, 0, 0, 0, 214, 65);
INSERT INTO public.who_data VALUES (50704, 3, 1072, 0, 0, 214, 184);
INSERT INTO public.who_data VALUES (50705, 829, 60995, 16, 1534, 214, 98);
INSERT INTO public.who_data VALUES (50706, 305, 57498, 1, 341, 214, 104);
INSERT INTO public.who_data VALUES (50707, 0, 509, 0, 21, 214, 73);
INSERT INTO public.who_data VALUES (50708, 57276, 3805524, 473, 140437, 214, 8);
INSERT INTO public.who_data VALUES (50709, 11, 308, 0, 6, 214, 227);
INSERT INTO public.who_data VALUES (50710, 10, 1064, 0, 33, 214, 75);
INSERT INTO public.who_data VALUES (50711, 581, 18171, 4, 96, 214, 45);
INSERT INTO public.who_data VALUES (50712, 0, 0, 0, 0, 214, 133);
INSERT INTO public.who_data VALUES (50713, 443, 12334, 4, 116, 214, 202);
INSERT INTO public.who_data VALUES (50714, 17, 401, 0, 0, 214, 129);
INSERT INTO public.who_data VALUES (50715, 0, 0, 0, 0, 214, 36);
INSERT INTO public.who_data VALUES (50716, 10, 1633, 9, 457, 214, 51);
INSERT INTO public.who_data VALUES (50717, 0, 3326, 0, 128, 214, 206);
INSERT INTO public.who_data VALUES (50718, 107, 1820, 0, 26, 214, 5);
INSERT INTO public.who_data VALUES (50719, 106, 35701, 1, 1188, 215, 103);
INSERT INTO public.who_data VALUES (50720, 81, 4171, 1, 113, 215, 58);
INSERT INTO public.who_data VALUES (50721, 607, 23691, 9, 1087, 215, 195);
INSERT INTO public.who_data VALUES (50722, 0, 0, 0, 0, 215, 115);
INSERT INTO public.who_data VALUES (50723, 4, 884, 0, 52, 215, 99);
INSERT INTO public.who_data VALUES (50724, 44, 749, 0, 29, 215, 153);
INSERT INTO public.who_data VALUES (50725, 0, 3, 0, 0, 215, 93);
INSERT INTO public.who_data VALUES (50726, 0, 76, 0, 3, 215, 84);
INSERT INTO public.who_data VALUES (50727, 4231, 126755, 35, 2281, 215, 78);
INSERT INTO public.who_data VALUES (50728, 273, 34567, 12, 657, 215, 170);
INSERT INTO public.who_data VALUES (50729, 5, 113, 0, 3, 215, 32);
INSERT INTO public.who_data VALUES (50730, 267, 12069, 1, 123, 215, 155);
INSERT INTO public.who_data VALUES (50731, 108, 19679, 0, 710, 215, 82);
INSERT INTO public.who_data VALUES (50732, 369, 27890, 9, 363, 215, 16);
INSERT INTO public.who_data VALUES (50733, 15, 153, 0, 11, 215, 72);
INSERT INTO public.who_data VALUES (50734, 514, 36936, 2, 128, 215, 43);
INSERT INTO public.who_data VALUES (50735, 2928, 207453, 50, 2668, 215, 120);
INSERT INTO public.who_data VALUES (50736, 0, 105, 0, 7, 215, 213);
INSERT INTO public.who_data VALUES (50737, 118, 66213, 4, 503, 215, 31);
INSERT INTO public.who_data VALUES (50738, 443, 65027, 2, 9672, 215, 204);
INSERT INTO public.who_data VALUES (50739, 0, 40, 0, 2, 215, 152);
INSERT INTO public.who_data VALUES (50740, 0, 1602, 0, 31, 215, 144);
INSERT INTO public.who_data VALUES (50741, 0, 153, 0, 9, 215, 96);
INSERT INTO public.who_data VALUES (50742, 1, 90, 0, 0, 215, 47);
INSERT INTO public.who_data VALUES (50743, 1444, 59582, 45, 2151, 215, 80);
INSERT INTO public.who_data VALUES (50744, 0, 5, 0, 0, 215, 159);
INSERT INTO public.who_data VALUES (50745, 139, 8591, 6, 256, 215, 27);
INSERT INTO public.who_data VALUES (50746, 0, 522, 0, 1, 215, 146);
INSERT INTO public.who_data VALUES (50747, 23529, 2098389, 716, 79488, 215, 71);
INSERT INTO public.who_data VALUES (50748, 0, 8, 0, 1, 215, 210);
INSERT INTO public.who_data VALUES (50749, 0, 141, 0, 3, 215, 54);
INSERT INTO public.who_data VALUES (50750, 196, 8929, 8, 308, 215, 147);
INSERT INTO public.who_data VALUES (50751, 0, 1065, 0, 53, 215, 2);
INSERT INTO public.who_data VALUES (50752, 6, 328, 0, 1, 215, 105);
INSERT INTO public.who_data VALUES (50753, 28, 2071, 0, 21, 215, 53);
INSERT INTO public.who_data VALUES (50754, 0, 171, 0, 0, 215, 81);
INSERT INTO public.who_data VALUES (50755, 365, 16522, 9, 382, 215, 223);
INSERT INTO public.who_data VALUES (50756, 339, 110338, 4, 8852, 215, 94);
INSERT INTO public.who_data VALUES (50757, 0, 203, 0, 1, 215, 154);
INSERT INTO public.who_data VALUES (50758, 0, 4485, 0, 55, 215, 83);
INSERT INTO public.who_data VALUES (50759, 0, 889, 0, 75, 215, 194);
INSERT INTO public.who_data VALUES (50760, 2099, 333029, 130, 8633, 215, 136);
INSERT INTO public.who_data VALUES (50761, 84, 86152, 0, 4653, 215, 179);
INSERT INTO public.who_data VALUES (50762, 6578, 197278, 220, 6736, 215, 57);
INSERT INTO public.who_data VALUES (50763, 0, 334, 0, 7, 215, 35);
INSERT INTO public.who_data VALUES (50764, 218, 2851, 1, 50, 215, 228);
INSERT INTO public.who_data VALUES (50765, 0, 0, 0, 0, 215, 19);
INSERT INTO public.who_data VALUES (50766, 563, 11114, 8, 62, 215, 22);
INSERT INTO public.who_data VALUES (50767, 193, 14312, 0, 92, 215, 1);
INSERT INTO public.who_data VALUES (50768, 16, 4370, 2, 122, 215, 21);
INSERT INTO public.who_data VALUES (50769, 0, 2446, 0, 87, 215, 234);
INSERT INTO public.who_data VALUES (50770, 0, 28, 0, 1, 215, 91);
INSERT INTO public.who_data VALUES (50771, 0, 1038, 0, 19, 215, 137);
INSERT INTO public.who_data VALUES (50772, 153, 14098, 0, 359, 215, 201);
INSERT INTO public.who_data VALUES (50773, 0, 0, 0, 0, 215, 171);
INSERT INTO public.who_data VALUES (50774, 40, 8442, 0, 193, 215, 92);
INSERT INTO public.who_data VALUES (50775, 89, 13262, 0, 611, 215, 112);
INSERT INTO public.who_data VALUES (50776, 9, 5020, 0, 56, 215, 62);
INSERT INTO public.who_data VALUES (50777, 0, 18, 0, 0, 215, 69);
INSERT INTO public.who_data VALUES (50778, 1101, 53956, 12, 993, 215, 220);
INSERT INTO public.who_data VALUES (50779, 607, 74620, 5, 5318, 215, 100);
INSERT INTO public.who_data VALUES (50780, 627, 88402, 50, 4352, 215, 187);
INSERT INTO public.who_data VALUES (50781, 361, 12207, 9, 344, 215, 63);
INSERT INTO public.who_data VALUES (50782, 0, 2350, 0, 41, 215, 28);
INSERT INTO public.who_data VALUES (50783, 0, 251, 0, 0, 215, 172);
INSERT INTO public.who_data VALUES (50784, 0, 2021, 0, 63, 215, 17);
INSERT INTO public.who_data VALUES (50785, 33, 1826, 2, 23, 215, 226);
INSERT INTO public.who_data VALUES (50786, 304, 10511, 3, 173, 215, 236);
INSERT INTO public.who_data VALUES (50787, 0, 13, 0, 0, 215, 76);
INSERT INTO public.who_data VALUES (50788, 0, 191, 0, 0, 215, 30);
INSERT INTO public.who_data VALUES (50789, 1, 27, 0, 0, 215, 128);
INSERT INTO public.who_data VALUES (50790, 2, 7340, 0, 328, 215, 86);
INSERT INTO public.who_data VALUES (50791, 1810, 166057, 8, 30054, 215, 140);
INSERT INTO public.who_data VALUES (50792, 90, 6745, 1, 38, 215, 44);
INSERT INTO public.who_data VALUES (50793, 0, 62, 0, 0, 215, 113);
INSERT INTO public.who_data VALUES (50794, 0, 6121, 0, 46, 215, 29);
INSERT INTO public.who_data VALUES (50795, 19, 112, 0, 4, 215, 125);
INSERT INTO public.who_data VALUES (50796, 10, 1049, 1, 16, 215, 131);
INSERT INTO public.who_data VALUES (50797, 522, 202345, 4, 9090, 215, 46);
INSERT INTO public.who_data VALUES (50798, 763, 28430, 5, 153, 215, 10);
INSERT INTO public.who_data VALUES (50799, 0, 180, 0, 0, 215, 205);
INSERT INTO public.who_data VALUES (50800, 5, 4012, 1, 195, 215, 50);
INSERT INTO public.who_data VALUES (50801, 0, 13, 0, 0, 215, 20);
INSERT INTO public.who_data VALUES (50802, 0, 23, 0, 0, 215, 13);
INSERT INTO public.who_data VALUES (50803, 0, 195, 0, 14, 215, 148);
INSERT INTO public.who_data VALUES (50804, 0, 311, 0, 5, 215, 230);
INSERT INTO public.who_data VALUES (50805, 997, 39039, 53, 1502, 215, 190);
INSERT INTO public.who_data VALUES (50806, 0, 252, 0, 13, 215, 188);
INSERT INTO public.who_data VALUES (50807, 46, 6590, 1, 40, 215, 123);
INSERT INTO public.who_data VALUES (50808, 4, 1954, 0, 26, 215, 9);
INSERT INTO public.who_data VALUES (50809, 9, 336, 0, 19, 215, 102);
INSERT INTO public.who_data VALUES (50810, 10, 7063, 0, 146, 215, 34);
INSERT INTO public.who_data VALUES (50811, 0, 12, 0, 0, 215, 212);
INSERT INTO public.who_data VALUES (50812, 1042, 33835, 9, 900, 215, 122);
INSERT INTO public.who_data VALUES (50813, 14, 4347, 0, 596, 215, 38);
INSERT INTO public.who_data VALUES (50814, 0, 1839, 0, 10, 215, 130);
INSERT INTO public.who_data VALUES (50815, 37148, 1155191, 587, 28084, 215, 37);
INSERT INTO public.who_data VALUES (50816, 1693, 88214, 96, 4239, 215, 231);
INSERT INTO public.who_data VALUES (50817, 2414, 276202, 217, 14405, 215, 107);
INSERT INTO public.who_data VALUES (50818, 2163, 94693, 88, 3869, 215, 101);
INSERT INTO public.who_data VALUES (50819, 6, 25766, 0, 1753, 215, 132);
INSERT INTO public.who_data VALUES (50820, 0, 336, 0, 24, 215, 176);
INSERT INTO public.who_data VALUES (50821, 1016, 50558, 10, 436, 215, 200);
INSERT INTO public.who_data VALUES (50822, 190, 244624, 13, 35058, 215, 169);
INSERT INTO public.who_data VALUES (50823, 16, 790, 0, 10, 215, 225);
INSERT INTO public.who_data VALUES (50824, 640, 25736, 3, 988, 215, 165);
INSERT INTO public.who_data VALUES (50825, 0, 331, 0, 31, 215, 233);
INSERT INTO public.who_data VALUES (50826, 5, 1135, 0, 11, 215, 215);
INSERT INTO public.who_data VALUES (50827, 1685, 75153, 0, 585, 215, 177);
INSERT INTO public.who_data VALUES (50828, 418, 13771, 4, 238, 215, 183);
INSERT INTO public.who_data VALUES (50829, 0, 0, 0, 0, 215, 203);
INSERT INTO public.who_data VALUES (50830, 142, 5834, 4, 129, 215, 162);
INSERT INTO public.who_data VALUES (50831, 559, 59763, 0, 408, 215, 12);
INSERT INTO public.who_data VALUES (50832, 1108, 28251, 42, 634, 215, 24);
INSERT INTO public.who_data VALUES (50833, 0, 19, 0, 0, 215, 119);
INSERT INTO public.who_data VALUES (50834, 0, 1192, 0, 31, 215, 39);
INSERT INTO public.who_data VALUES (50835, 46, 2905, 1, 41, 215, 26);
INSERT INTO public.who_data VALUES (50836, 0, 359, 0, 6, 215, 59);
INSERT INTO public.who_data VALUES (50837, 16, 1107, 0, 70, 215, 77);
INSERT INTO public.who_data VALUES (50838, 114, 1980, 1, 49, 215, 134);
INSERT INTO public.who_data VALUES (50839, 0, 87, 0, 1, 215, 4);
INSERT INTO public.who_data VALUES (50840, 2, 1944, 0, 80, 215, 109);
INSERT INTO public.who_data VALUES (50841, 122, 5605, 0, 111, 215, 90);
INSERT INTO public.who_data VALUES (50842, 104, 7153, 3, 62, 215, 61);
INSERT INTO public.who_data VALUES (50843, 53, 3045, 2, 64, 215, 85);
INSERT INTO public.who_data VALUES (50844, 21, 8800, 0, 123, 215, 49);
INSERT INTO public.who_data VALUES (50845, 33, 2999, 0, 15, 215, 208);
INSERT INTO public.who_data VALUES (50846, 0, 2475, 0, 121, 215, 166);
INSERT INTO public.who_data VALUES (50847, 1, 675, 0, 9, 215, 64);
INSERT INTO public.who_data VALUES (50848, 0, 0, 0, 0, 215, 199);
INSERT INTO public.who_data VALUES (50849, 0, 262, 0, 15, 215, 114);
INSERT INTO public.who_data VALUES (50850, 50, 5923, 0, 155, 215, 60);
INSERT INTO public.who_data VALUES (50851, 0, 343, 0, 10, 215, 68);
INSERT INTO public.who_data VALUES (50852, 26, 2808, 1, 38, 215, 158);
INSERT INTO public.who_data VALUES (50853, 5311, 344224, 296, 39184, 215, 52);
INSERT INTO public.who_data VALUES (50854, 0, 0, 0, 0, 215, 117);
INSERT INTO public.who_data VALUES (50855, 0, 79, 0, 1, 215, 126);
INSERT INTO public.who_data VALUES (50856, 0, 287, 0, 0, 215, 196);
INSERT INTO public.who_data VALUES (50857, 91, 2470, 0, 35, 215, 142);
INSERT INTO public.who_data VALUES (50858, 0, 12, 0, 1, 215, 185);
INSERT INTO public.who_data VALUES (50859, 326, 17562, 3, 276, 215, 138);
INSERT INTO public.who_data VALUES (50860, 16, 1507, 1, 11, 215, 181);
INSERT INTO public.who_data VALUES (50861, 0, 341, 0, 6, 215, 178);
INSERT INTO public.who_data VALUES (50862, 97, 1344, 1, 4, 215, 168);
INSERT INTO public.who_data VALUES (50863, 0, 0, 0, 0, 215, 160);
INSERT INTO public.who_data VALUES (50864, 186, 17844, 0, 40, 215, 151);
INSERT INTO public.who_data VALUES (50865, 183, 51825, 0, 6133, 215, 193);
INSERT INTO public.who_data VALUES (50866, 0, 22, 0, 0, 215, 18);
INSERT INTO public.who_data VALUES (50867, 1, 1205, 0, 22, 215, 40);
INSERT INTO public.who_data VALUES (50868, 0, 2712, 0, 99, 215, 218);
INSERT INTO public.who_data VALUES (50869, 1, 1105, 0, 69, 215, 191);
INSERT INTO public.who_data VALUES (50870, 562, 37225, 12, 801, 215, 156);
INSERT INTO public.who_data VALUES (50871, 0, 0, 0, 0, 215, 135);
INSERT INTO public.who_data VALUES (50872, 0, 37, 0, 2, 215, 88);
INSERT INTO public.who_data VALUES (50873, 96, 9249, 10, 432, 215, 55);
INSERT INTO public.who_data VALUES (50874, 13, 9028, 0, 255, 215, 108);
INSERT INTO public.who_data VALUES (50875, 468, 10520, 1, 66, 215, 48);
INSERT INTO public.who_data VALUES (50876, 1739, 68400, 8, 326, 215, 3);
INSERT INTO public.who_data VALUES (50877, 0, 741, 0, 13, 215, 224);
INSERT INTO public.who_data VALUES (50878, 1013, 266096, 40, 5639, 215, 110);
INSERT INTO public.who_data VALUES (50879, 0, 0, 0, 0, 215, 106);
INSERT INTO public.who_data VALUES (50880, 1207, 53468, 25, 1096, 215, 89);
INSERT INTO public.who_data VALUES (50881, 0, 17, 0, 0, 215, 121);
INSERT INTO public.who_data VALUES (50882, 92, 3721, 2, 31, 215, 163);
INSERT INTO public.who_data VALUES (50883, 4090, 353590, 189, 13187, 215, 70);
INSERT INTO public.who_data VALUES (50884, 1442, 68898, 4, 1835, 215, 174);
INSERT INTO public.who_data VALUES (50885, 0, 0, 0, 0, 215, 175);
INSERT INTO public.who_data VALUES (50886, 279, 40383, 3, 1627, 215, 118);
INSERT INTO public.who_data VALUES (50887, 135, 48771, 2, 1691, 215, 189);
INSERT INTO public.who_data VALUES (50888, 398, 12461, 2, 180, 215, 124);
INSERT INTO public.who_data VALUES (50889, 389, 107037, 2, 159, 215, 192);
INSERT INTO public.who_data VALUES (50890, 45, 13816, 0, 296, 215, 41);
INSERT INTO public.who_data VALUES (50891, 135, 21115, 9, 697, 215, 95);
INSERT INTO public.who_data VALUES (50892, 3, 631, 0, 3, 215, 74);
INSERT INTO public.who_data VALUES (50893, 681, 38139, 12, 2038, 215, 11);
INSERT INTO public.who_data VALUES (50894, 5842, 783328, 153, 12580, 215, 87);
INSERT INTO public.who_data VALUES (50895, 47, 1629, 0, 5, 215, 214);
INSERT INTO public.who_data VALUES (50896, 0, 3, 0, 0, 215, 116);
INSERT INTO public.who_data VALUES (50897, 0, 6, 0, 0, 215, 157);
INSERT INTO public.who_data VALUES (50898, 0, 0, 0, 0, 215, 182);
INSERT INTO public.who_data VALUES (50899, 0, 17, 0, 0, 215, 186);
INSERT INTO public.who_data VALUES (50900, 0, 23, 0, 0, 215, 127);
INSERT INTO public.who_data VALUES (50901, 0, 46, 0, 3, 215, 232);
INSERT INTO public.who_data VALUES (50902, 0, 4, 0, 0, 215, 33);
INSERT INTO public.who_data VALUES (50903, 12, 50, 0, 0, 215, 97);
INSERT INTO public.who_data VALUES (50904, 0, 0, 0, 0, 215, 42);
INSERT INTO public.who_data VALUES (50905, 0, 716, 0, 42, 215, 198);
INSERT INTO public.who_data VALUES (50906, 0, 746, 0, 14, 215, 216);
INSERT INTO public.who_data VALUES (50907, 2429, 253349, 37, 2523, 215, 164);
INSERT INTO public.who_data VALUES (50908, 138, 8948, 3, 170, 215, 235);
INSERT INTO public.who_data VALUES (50909, 359, 21253, 10, 482, 215, 67);
INSERT INTO public.who_data VALUES (50910, 0, 108, 0, 0, 215, 15);
INSERT INTO public.who_data VALUES (50911, 0, 1711, 1, 66, 215, 180);
INSERT INTO public.who_data VALUES (50912, 123, 48036, 0, 27, 215, 237);
INSERT INTO public.who_data VALUES (50913, 0, 2, 0, 0, 215, 25);
INSERT INTO public.who_data VALUES (50914, 0, 79, 0, 15, 215, 209);
INSERT INTO public.who_data VALUES (50915, 3, 1979, 0, 28, 215, 217);
INSERT INTO public.who_data VALUES (50916, 7, 1954, 1, 115, 215, 79);
INSERT INTO public.who_data VALUES (50917, 0, 0, 0, 0, 215, 143);
INSERT INTO public.who_data VALUES (50918, 11, 3130, 0, 93, 215, 229);
INSERT INTO public.who_data VALUES (50919, 9300, 373628, 140, 5173, 215, 141);
INSERT INTO public.who_data VALUES (50920, 0, 2211, 0, 45, 215, 197);
INSERT INTO public.who_data VALUES (50921, 1261, 277878, 5, 29825, 215, 221);
INSERT INTO public.who_data VALUES (50922, 6, 2730, 0, 11, 215, 150);
INSERT INTO public.who_data VALUES (50923, 0, 10992, 0, 693, 215, 56);
INSERT INTO public.who_data VALUES (50924, 28, 1029, 1, 21, 215, 167);
INSERT INTO public.who_data VALUES (50925, 110, 74412, 7, 5711, 215, 23);
INSERT INTO public.who_data VALUES (50926, 127, 33770, 2, 1735, 215, 222);
INSERT INTO public.who_data VALUES (50927, 26, 522, 4, 29, 215, 219);
INSERT INTO public.who_data VALUES (50928, 43, 6921, 0, 57, 215, 7);
INSERT INTO public.who_data VALUES (50929, 5, 3255, 0, 58, 215, 161);
INSERT INTO public.who_data VALUES (50930, 413, 296119, 10, 41005, 215, 149);
INSERT INTO public.who_data VALUES (50931, 0, 24, 0, 0, 215, 6);
INSERT INTO public.who_data VALUES (50932, 9, 783, 0, 15, 215, 139);
INSERT INTO public.who_data VALUES (50933, 0, 0, 0, 0, 215, 211);
INSERT INTO public.who_data VALUES (50934, 0, 0, 0, 0, 215, 14);
INSERT INTO public.who_data VALUES (50935, 0, 137, 0, 8, 215, 111);
INSERT INTO public.who_data VALUES (50936, 8, 1389, 0, 50, 215, 207);
INSERT INTO public.who_data VALUES (50937, 931, 220572, 17, 5508, 215, 66);
INSERT INTO public.who_data VALUES (50938, 0, 0, 0, 0, 215, 173);
INSERT INTO public.who_data VALUES (50939, 6, 81, 0, 2, 215, 145);
INSERT INTO public.who_data VALUES (50940, 0, 0, 0, 0, 215, 65);
INSERT INTO public.who_data VALUES (50941, 4, 1069, 0, 0, 215, 184);
INSERT INTO public.who_data VALUES (50942, 673, 60166, 20, 1518, 215, 98);
INSERT INTO public.who_data VALUES (50943, 271, 57193, 1, 340, 215, 104);
INSERT INTO public.who_data VALUES (50944, 0, 509, 0, 21, 215, 73);
INSERT INTO public.who_data VALUES (50945, 62788, 3748248, 496, 139964, 215, 8);
INSERT INTO public.who_data VALUES (50946, 14, 297, 0, 6, 215, 227);
INSERT INTO public.who_data VALUES (50947, 10, 1054, 0, 33, 215, 75);
INSERT INTO public.who_data VALUES (50948, 624, 17590, 4, 92, 215, 45);
INSERT INTO public.who_data VALUES (50949, 0, 0, 0, 0, 215, 133);
INSERT INTO public.who_data VALUES (50950, 408, 11891, 2, 112, 215, 202);
INSERT INTO public.who_data VALUES (50951, 1, 384, 0, 0, 215, 129);
INSERT INTO public.who_data VALUES (50952, 0, 0, 0, 0, 215, 36);
INSERT INTO public.who_data VALUES (50953, 13, 1623, 2, 448, 215, 51);
INSERT INTO public.who_data VALUES (50954, 346, 3326, 8, 128, 215, 206);
INSERT INTO public.who_data VALUES (50955, 102, 1713, 1, 26, 215, 5);
INSERT INTO public.who_data VALUES (50956, 34, 35595, 2, 1187, 216, 103);
INSERT INTO public.who_data VALUES (50957, 82, 4090, 1, 112, 216, 58);
INSERT INTO public.who_data VALUES (50958, 535, 23084, 10, 1078, 216, 195);
INSERT INTO public.who_data VALUES (50959, 0, 0, 0, 0, 216, 115);
INSERT INTO public.who_data VALUES (50960, 0, 880, 0, 52, 216, 99);
INSERT INTO public.who_data VALUES (50961, 18, 705, 0, 29, 216, 153);
INSERT INTO public.who_data VALUES (50962, 0, 3, 0, 0, 216, 93);
INSERT INTO public.who_data VALUES (50963, 0, 76, 0, 3, 216, 84);
INSERT INTO public.who_data VALUES (50964, 3223, 122524, 42, 2246, 216, 78);
INSERT INTO public.who_data VALUES (50965, 104, 34294, 9, 645, 216, 170);
INSERT INTO public.who_data VALUES (50966, 0, 108, 0, 3, 216, 32);
INSERT INTO public.who_data VALUES (50967, 361, 11802, 4, 122, 216, 155);
INSERT INTO public.who_data VALUES (50968, 63, 19571, 0, 710, 216, 82);
INSERT INTO public.who_data VALUES (50969, 388, 27521, 5, 354, 216, 16);
INSERT INTO public.who_data VALUES (50970, 9, 138, 0, 11, 216, 72);
INSERT INTO public.who_data VALUES (50971, 418, 36422, 2, 126, 216, 43);
INSERT INTO public.who_data VALUES (50972, 2459, 204525, 37, 2618, 216, 120);
INSERT INTO public.who_data VALUES (50973, 1, 105, 0, 7, 216, 213);
INSERT INTO public.who_data VALUES (50974, 142, 66095, 4, 499, 216, 31);
INSERT INTO public.who_data VALUES (50975, 64, 64584, 1, 9670, 216, 204);
INSERT INTO public.who_data VALUES (50976, 0, 40, 0, 2, 216, 152);
INSERT INTO public.who_data VALUES (50977, 0, 1602, 0, 31, 216, 144);
INSERT INTO public.who_data VALUES (50978, 1, 153, 0, 9, 216, 96);
INSERT INTO public.who_data VALUES (50979, 2, 89, 0, 0, 216, 47);
INSERT INTO public.who_data VALUES (50980, 2036, 58138, 57, 2106, 216, 80);
INSERT INTO public.who_data VALUES (50981, 0, 5, 0, 0, 216, 159);
INSERT INTO public.who_data VALUES (50982, 288, 8452, 5, 250, 216, 27);
INSERT INTO public.who_data VALUES (50983, 0, 522, 0, 1, 216, 146);
INSERT INTO public.who_data VALUES (50984, 28532, 2074860, 921, 78772, 216, 71);
INSERT INTO public.who_data VALUES (50985, 0, 8, 0, 1, 216, 210);
INSERT INTO public.who_data VALUES (50986, 0, 141, 0, 3, 216, 54);
INSERT INTO public.who_data VALUES (50987, 95, 8733, 1, 300, 216, 147);
INSERT INTO public.who_data VALUES (50988, 18, 1065, 0, 53, 216, 2);
INSERT INTO public.who_data VALUES (50989, 12, 322, 0, 1, 216, 105);
INSERT INTO public.who_data VALUES (50990, 29, 2043, 0, 21, 216, 53);
INSERT INTO public.who_data VALUES (50991, 0, 171, 0, 0, 216, 81);
INSERT INTO public.who_data VALUES (50992, 0, 16157, 0, 373, 216, 223);
INSERT INTO public.who_data VALUES (50993, 330, 109999, 9, 8848, 216, 94);
INSERT INTO public.who_data VALUES (50994, 0, 203, 0, 1, 216, 154);
INSERT INTO public.who_data VALUES (50995, 0, 4485, 0, 55, 216, 83);
INSERT INTO public.who_data VALUES (50996, 0, 889, 0, 75, 216, 194);
INSERT INTO public.who_data VALUES (50997, 2084, 330930, 58, 8503, 216, 136);
INSERT INTO public.who_data VALUES (50998, 131, 86068, 0, 4653, 216, 179);
INSERT INTO public.who_data VALUES (50999, 8560, 190700, 228, 6516, 216, 57);
INSERT INTO public.who_data VALUES (51000, 6, 334, 0, 7, 216, 35);
INSERT INTO public.who_data VALUES (51001, 0, 2633, 0, 49, 216, 228);
INSERT INTO public.who_data VALUES (51002, 0, 0, 0, 0, 216, 19);
INSERT INTO public.who_data VALUES (51003, 582, 10551, 7, 54, 216, 22);
INSERT INTO public.who_data VALUES (51004, 423, 14119, 5, 92, 216, 1);
INSERT INTO public.who_data VALUES (51005, 119, 4354, 0, 120, 216, 21);
INSERT INTO public.who_data VALUES (51006, 1, 2446, 0, 87, 216, 234);
INSERT INTO public.who_data VALUES (51007, 0, 28, 0, 1, 216, 91);
INSERT INTO public.who_data VALUES (51008, 1, 1038, 0, 19, 216, 137);
INSERT INTO public.who_data VALUES (51009, 90, 13945, 1, 359, 216, 201);
INSERT INTO public.who_data VALUES (51010, 0, 0, 0, 0, 216, 171);
INSERT INTO public.who_data VALUES (51011, 153, 8402, 1, 193, 216, 92);
INSERT INTO public.who_data VALUES (51012, 0, 13173, 0, 611, 216, 112);
INSERT INTO public.who_data VALUES (51013, 8, 5011, 0, 56, 216, 62);
INSERT INTO public.who_data VALUES (51014, 0, 18, 0, 0, 216, 69);
INSERT INTO public.who_data VALUES (51015, 1336, 52855, 10, 981, 216, 220);
INSERT INTO public.who_data VALUES (51016, 631, 74013, 31, 5313, 216, 100);
INSERT INTO public.who_data VALUES (51017, 603, 87775, 51, 4302, 216, 187);
INSERT INTO public.who_data VALUES (51018, 338, 11846, 11, 335, 216, 63);
INSERT INTO public.who_data VALUES (51019, 0, 2350, 0, 41, 216, 28);
INSERT INTO public.who_data VALUES (51020, 0, 251, 0, 0, 216, 172);
INSERT INTO public.who_data VALUES (51021, 0, 2021, 0, 63, 216, 17);
INSERT INTO public.who_data VALUES (51022, 64, 1793, 0, 21, 216, 226);
INSERT INTO public.who_data VALUES (51023, 704, 10207, 3, 170, 216, 236);
INSERT INTO public.who_data VALUES (51024, 0, 13, 0, 0, 216, 76);
INSERT INTO public.who_data VALUES (51025, 3, 191, 0, 0, 216, 30);
INSERT INTO public.who_data VALUES (51026, 0, 26, 0, 0, 216, 128);
INSERT INTO public.who_data VALUES (51027, 20, 7338, 0, 328, 216, 86);
INSERT INTO public.who_data VALUES (51028, 0, 164247, 0, 30046, 216, 140);
INSERT INTO public.who_data VALUES (51029, 0, 6655, 0, 37, 216, 44);
INSERT INTO public.who_data VALUES (51030, 0, 62, 0, 0, 216, 113);
INSERT INTO public.who_data VALUES (51031, 0, 6121, 0, 46, 216, 29);
INSERT INTO public.who_data VALUES (51032, 0, 93, 0, 4, 216, 125);
INSERT INTO public.who_data VALUES (51033, 11, 1039, 0, 15, 216, 131);
INSERT INTO public.who_data VALUES (51034, 249, 201823, 2, 9086, 216, 46);
INSERT INTO public.who_data VALUES (51035, 607, 27667, 3, 148, 216, 10);
INSERT INTO public.who_data VALUES (51036, 0, 180, 0, 0, 216, 205);
INSERT INTO public.who_data VALUES (51037, 24, 4007, 0, 194, 216, 50);
INSERT INTO public.who_data VALUES (51038, 0, 13, 0, 0, 216, 20);
INSERT INTO public.who_data VALUES (51039, 0, 23, 0, 0, 216, 13);
INSERT INTO public.who_data VALUES (51040, 0, 195, 0, 14, 216, 148);
INSERT INTO public.who_data VALUES (51041, 4, 311, 0, 5, 216, 230);
INSERT INTO public.who_data VALUES (51042, 4233, 38042, 6, 1449, 216, 190);
INSERT INTO public.who_data VALUES (51043, 0, 252, 0, 13, 216, 188);
INSERT INTO public.who_data VALUES (51044, 53, 6544, 0, 39, 216, 123);
INSERT INTO public.who_data VALUES (51045, 0, 1950, 0, 26, 216, 9);
INSERT INTO public.who_data VALUES (51046, 7, 327, 0, 19, 216, 102);
INSERT INTO public.who_data VALUES (51047, 78, 7053, 0, 146, 216, 34);
INSERT INTO public.who_data VALUES (51048, 0, 12, 0, 0, 216, 212);
INSERT INTO public.who_data VALUES (51049, 1048, 32793, 34, 891, 216, 122);
INSERT INTO public.who_data VALUES (51050, 18, 4333, 0, 596, 216, 38);
INSERT INTO public.who_data VALUES (51051, 1, 1839, 0, 10, 216, 130);
INSERT INTO public.who_data VALUES (51052, 40425, 1118043, 681, 27497, 216, 37);
INSERT INTO public.who_data VALUES (51053, 1639, 86521, 127, 4143, 216, 231);
INSERT INTO public.who_data VALUES (51054, 2182, 273788, 209, 14188, 216, 107);
INSERT INTO public.who_data VALUES (51055, 2310, 92530, 90, 3781, 216, 101);
INSERT INTO public.who_data VALUES (51056, 10, 25760, 0, 1753, 216, 132);
INSERT INTO public.who_data VALUES (51057, 0, 336, 0, 24, 216, 176);
INSERT INTO public.who_data VALUES (51058, 1448, 49542, 8, 426, 216, 200);
INSERT INTO public.who_data VALUES (51059, 218, 244434, 3, 35045, 216, 169);
INSERT INTO public.who_data VALUES (51060, 6, 774, 0, 10, 216, 225);
INSERT INTO public.who_data VALUES (51061, 454, 25096, 0, 985, 216, 165);
INSERT INTO public.who_data VALUES (51062, 0, 331, 0, 31, 216, 233);
INSERT INTO public.who_data VALUES (51063, 4, 1130, 0, 11, 216, 215);
INSERT INTO public.who_data VALUES (51064, 1630, 73468, 0, 585, 216, 177);
INSERT INTO public.who_data VALUES (51065, 603, 13353, 9, 234, 216, 183);
INSERT INTO public.who_data VALUES (51066, 0, 0, 0, 0, 216, 203);
INSERT INTO public.who_data VALUES (51067, 118, 5692, 5, 125, 216, 162);
INSERT INTO public.who_data VALUES (51068, 300, 59204, 1, 408, 216, 12);
INSERT INTO public.who_data VALUES (51069, 611, 27143, 34, 592, 216, 24);
INSERT INTO public.who_data VALUES (51070, 0, 19, 0, 0, 216, 119);
INSERT INTO public.who_data VALUES (51071, 3, 1192, 0, 31, 216, 39);
INSERT INTO public.who_data VALUES (51072, 84, 2859, 0, 40, 216, 26);
INSERT INTO public.who_data VALUES (51073, 0, 359, 0, 6, 216, 59);
INSERT INTO public.who_data VALUES (51074, 3, 1091, 0, 70, 216, 77);
INSERT INTO public.who_data VALUES (51075, 75, 1866, 0, 48, 216, 134);
INSERT INTO public.who_data VALUES (51076, 0, 87, 0, 1, 216, 4);
INSERT INTO public.who_data VALUES (51077, 14, 1942, 0, 80, 216, 109);
INSERT INTO public.who_data VALUES (51078, 74, 5483, 0, 111, 216, 90);
INSERT INTO public.who_data VALUES (51079, 200, 7049, 4, 59, 216, 61);
INSERT INTO public.who_data VALUES (51080, 85, 2992, 3, 62, 216, 85);
INSERT INTO public.who_data VALUES (51081, 15, 8779, 1, 123, 216, 49);
INSERT INTO public.who_data VALUES (51082, 36, 2966, 0, 15, 216, 208);
INSERT INTO public.who_data VALUES (51083, 3, 2475, 0, 121, 216, 166);
INSERT INTO public.who_data VALUES (51084, 0, 674, 0, 9, 216, 64);
INSERT INTO public.who_data VALUES (51085, 0, 0, 0, 0, 216, 199);
INSERT INTO public.who_data VALUES (51086, 0, 262, 0, 15, 216, 114);
INSERT INTO public.who_data VALUES (51087, 163, 5873, 4, 155, 216, 60);
INSERT INTO public.who_data VALUES (51088, 0, 343, 0, 10, 216, 68);
INSERT INTO public.who_data VALUES (51089, 0, 2782, 0, 37, 216, 158);
INSERT INTO public.who_data VALUES (51090, 7615, 338913, 578, 38888, 216, 52);
INSERT INTO public.who_data VALUES (51091, 0, 0, 0, 0, 216, 117);
INSERT INTO public.who_data VALUES (51092, 0, 79, 0, 1, 216, 126);
INSERT INTO public.who_data VALUES (51093, 0, 287, 0, 0, 216, 196);
INSERT INTO public.who_data VALUES (51094, 111, 2379, 2, 35, 216, 142);
INSERT INTO public.who_data VALUES (51095, 0, 12, 0, 1, 216, 185);
INSERT INTO public.who_data VALUES (51096, 221, 17236, 4, 273, 216, 138);
INSERT INTO public.who_data VALUES (51097, 56, 1491, 0, 10, 216, 181);
INSERT INTO public.who_data VALUES (51098, 0, 341, 0, 6, 216, 178);
INSERT INTO public.who_data VALUES (51099, 44, 1247, 1, 3, 216, 168);
INSERT INTO public.who_data VALUES (51100, 0, 0, 0, 0, 216, 160);
INSERT INTO public.who_data VALUES (51101, 156, 17658, 0, 40, 216, 151);
INSERT INTO public.who_data VALUES (51102, 145, 51642, 0, 6133, 216, 193);
INSERT INTO public.who_data VALUES (51103, 0, 22, 0, 0, 216, 18);
INSERT INTO public.who_data VALUES (51104, 1, 1204, 0, 22, 216, 40);
INSERT INTO public.who_data VALUES (51105, 0, 2712, 0, 99, 216, 218);
INSERT INTO public.who_data VALUES (51106, 0, 1104, 0, 69, 216, 191);
INSERT INTO public.who_data VALUES (51107, 556, 36663, 11, 789, 216, 156);
INSERT INTO public.who_data VALUES (51108, 0, 0, 0, 0, 216, 135);
INSERT INTO public.who_data VALUES (51109, 0, 37, 0, 2, 216, 88);
INSERT INTO public.who_data VALUES (51110, 127, 9153, 8, 422, 216, 55);
INSERT INTO public.who_data VALUES (51111, 0, 9015, 0, 255, 216, 108);
INSERT INTO public.who_data VALUES (51112, 465, 10052, 3, 65, 216, 48);
INSERT INTO public.who_data VALUES (51113, 1157, 66661, 10, 318, 216, 3);
INSERT INTO public.who_data VALUES (51114, 0, 741, 0, 13, 216, 224);
INSERT INTO public.who_data VALUES (51115, 1587, 265083, 31, 5599, 216, 110);
INSERT INTO public.who_data VALUES (51116, 0, 0, 0, 0, 216, 106);
INSERT INTO public.who_data VALUES (51117, 853, 52261, 33, 1071, 216, 89);
INSERT INTO public.who_data VALUES (51118, 2, 17, 0, 0, 216, 121);
INSERT INTO public.who_data VALUES (51119, 172, 3629, 1, 29, 216, 163);
INSERT INTO public.who_data VALUES (51120, 3963, 349500, 199, 12998, 216, 70);
INSERT INTO public.who_data VALUES (51121, 2152, 67456, 58, 1831, 216, 174);
INSERT INTO public.who_data VALUES (51122, 0, 0, 0, 0, 216, 175);
INSERT INTO public.who_data VALUES (51123, 358, 40104, 6, 1624, 216, 118);
INSERT INTO public.who_data VALUES (51124, 246, 48636, 5, 1689, 216, 189);
INSERT INTO public.who_data VALUES (51125, 610, 12063, 0, 178, 216, 124);
INSERT INTO public.who_data VALUES (51126, 340, 106648, 3, 157, 216, 192);
INSERT INTO public.who_data VALUES (51127, 26, 13771, 1, 296, 216, 41);
INSERT INTO public.who_data VALUES (51128, 186, 20980, 8, 688, 216, 95);
INSERT INTO public.who_data VALUES (51129, 4, 628, 0, 3, 216, 74);
INSERT INTO public.who_data VALUES (51130, 767, 37458, 17, 2026, 216, 11);
INSERT INTO public.who_data VALUES (51131, 5940, 777486, 85, 12427, 216, 87);
INSERT INTO public.who_data VALUES (51132, 43, 1582, 0, 5, 216, 214);
INSERT INTO public.who_data VALUES (51133, 0, 3, 0, 0, 216, 116);
INSERT INTO public.who_data VALUES (51134, 0, 6, 0, 0, 216, 157);
INSERT INTO public.who_data VALUES (51135, 0, 0, 0, 0, 216, 182);
INSERT INTO public.who_data VALUES (51136, 0, 17, 0, 0, 216, 186);
INSERT INTO public.who_data VALUES (51137, 0, 23, 0, 0, 216, 127);
INSERT INTO public.who_data VALUES (51138, 0, 46, 0, 3, 216, 232);
INSERT INTO public.who_data VALUES (51139, 0, 4, 0, 0, 216, 33);
INSERT INTO public.who_data VALUES (51140, 3, 38, 0, 0, 216, 97);
INSERT INTO public.who_data VALUES (51141, 0, 0, 0, 0, 216, 42);
INSERT INTO public.who_data VALUES (51142, 0, 716, 0, 42, 216, 198);
INSERT INTO public.who_data VALUES (51143, 3, 746, 0, 14, 216, 216);
INSERT INTO public.who_data VALUES (51144, 2504, 250920, 39, 2486, 216, 164);
INSERT INTO public.who_data VALUES (51145, 141, 8810, 4, 167, 216, 235);
INSERT INTO public.who_data VALUES (51146, 396, 20894, 11, 472, 216, 67);
INSERT INTO public.who_data VALUES (51147, 0, 108, 0, 0, 216, 15);
INSERT INTO public.who_data VALUES (51148, 10, 1711, 0, 65, 216, 180);
INSERT INTO public.who_data VALUES (51149, 257, 47913, 0, 27, 216, 237);
INSERT INTO public.who_data VALUES (51150, 0, 2, 0, 0, 216, 25);
INSERT INTO public.who_data VALUES (51151, 0, 79, 0, 15, 216, 209);
INSERT INTO public.who_data VALUES (51152, 11, 1976, 0, 28, 216, 217);
INSERT INTO public.who_data VALUES (51153, 6, 1947, 0, 114, 216, 79);
INSERT INTO public.who_data VALUES (51154, 0, 0, 0, 0, 216, 143);
INSERT INTO public.who_data VALUES (51155, 8, 3119, 0, 93, 216, 229);
INSERT INTO public.who_data VALUES (51156, 13449, 364328, 85, 5033, 216, 141);
INSERT INTO public.who_data VALUES (51157, 11, 2211, 2, 45, 216, 197);
INSERT INTO public.who_data VALUES (51158, 1635, 276617, 3, 29820, 216, 221);
INSERT INTO public.who_data VALUES (51159, 16, 2724, 0, 11, 216, 150);
INSERT INTO public.who_data VALUES (51160, 230, 10992, 13, 693, 216, 56);
INSERT INTO public.who_data VALUES (51161, 58, 1001, 1, 20, 216, 167);
INSERT INTO public.who_data VALUES (51162, 191, 74302, 11, 5704, 216, 23);
INSERT INTO public.who_data VALUES (51163, 42, 33643, 0, 1733, 216, 222);
INSERT INTO public.who_data VALUES (51164, 0, 496, 0, 25, 216, 219);
INSERT INTO public.who_data VALUES (51165, 44, 6878, 0, 57, 216, 7);
INSERT INTO public.who_data VALUES (51166, 1, 3250, 0, 58, 216, 161);
INSERT INTO public.who_data VALUES (51167, 493, 295706, 11, 40995, 216, 149);
INSERT INTO public.who_data VALUES (51168, 0, 24, 0, 0, 216, 6);
INSERT INTO public.who_data VALUES (51169, 0, 774, 0, 15, 216, 139);
INSERT INTO public.who_data VALUES (51170, 0, 0, 0, 0, 216, 211);
INSERT INTO public.who_data VALUES (51171, 0, 0, 0, 0, 216, 14);
INSERT INTO public.who_data VALUES (51172, 1, 137, 0, 8, 216, 111);
INSERT INTO public.who_data VALUES (51173, 7, 1381, 0, 50, 216, 207);
INSERT INTO public.who_data VALUES (51174, 924, 219641, 16, 5491, 216, 66);
INSERT INTO public.who_data VALUES (51175, 0, 0, 0, 0, 216, 173);
INSERT INTO public.who_data VALUES (51176, 0, 75, 0, 2, 216, 145);
INSERT INTO public.who_data VALUES (51177, 0, 0, 0, 0, 216, 65);
INSERT INTO public.who_data VALUES (51178, 3, 1065, 0, 0, 216, 184);
INSERT INTO public.who_data VALUES (51179, 651, 59493, 13, 1498, 216, 98);
INSERT INTO public.who_data VALUES (51180, 211, 56922, 1, 339, 216, 104);
INSERT INTO public.who_data VALUES (51181, 0, 509, 0, 21, 216, 73);
INSERT INTO public.who_data VALUES (51182, 66963, 3685460, 877, 139468, 216, 8);
INSERT INTO public.who_data VALUES (51183, 0, 283, 0, 6, 216, 227);
INSERT INTO public.who_data VALUES (51184, 7, 1044, 1, 33, 216, 75);
INSERT INTO public.who_data VALUES (51185, 537, 16966, 4, 88, 216, 45);
INSERT INTO public.who_data VALUES (51186, 0, 0, 0, 0, 216, 133);
INSERT INTO public.who_data VALUES (51187, 292, 11483, 3, 110, 216, 202);
INSERT INTO public.who_data VALUES (51188, 1, 383, 0, 0, 216, 129);
INSERT INTO public.who_data VALUES (51189, 0, 0, 0, 0, 216, 36);
INSERT INTO public.who_data VALUES (51190, 25, 1610, 2, 446, 216, 51);
INSERT INTO public.who_data VALUES (51191, 0, 2980, 0, 120, 216, 206);
INSERT INTO public.who_data VALUES (51192, 133, 1611, 0, 25, 216, 5);
INSERT INTO public.who_data VALUES (51193, 186, 35561, 34, 1185, 217, 103);
INSERT INTO public.who_data VALUES (51194, 102, 4008, 4, 111, 217, 58);
INSERT INTO public.who_data VALUES (51195, 601, 22549, 11, 1068, 217, 195);
INSERT INTO public.who_data VALUES (51196, 0, 0, 0, 0, 217, 115);
INSERT INTO public.who_data VALUES (51197, 0, 880, 0, 52, 217, 99);
INSERT INTO public.who_data VALUES (51198, 49, 687, 0, 29, 217, 153);
INSERT INTO public.who_data VALUES (51199, 0, 3, 0, 0, 217, 93);
INSERT INTO public.who_data VALUES (51200, 2, 76, 0, 3, 217, 84);
INSERT INTO public.who_data VALUES (51201, 4518, 119301, 71, 2204, 217, 78);
INSERT INTO public.who_data VALUES (51202, 415, 34190, 10, 636, 217, 170);
INSERT INTO public.who_data VALUES (51203, 0, 108, 0, 3, 217, 32);
INSERT INTO public.who_data VALUES (51204, 206, 11441, 2, 118, 217, 155);
INSERT INTO public.who_data VALUES (51205, 102, 19508, 0, 710, 217, 82);
INSERT INTO public.who_data VALUES (51206, 497, 27133, 8, 349, 217, 16);
INSERT INTO public.who_data VALUES (51207, 5, 129, 0, 11, 217, 72);
INSERT INTO public.who_data VALUES (51208, 531, 36004, 0, 124, 217, 43);
INSERT INTO public.who_data VALUES (51209, 2709, 202066, 34, 2581, 217, 120);
INSERT INTO public.who_data VALUES (51210, 0, 104, 0, 7, 217, 213);
INSERT INTO public.who_data VALUES (51211, 171, 65953, 4, 495, 217, 31);
INSERT INTO public.who_data VALUES (51212, 130, 64520, 3, 9669, 217, 204);
INSERT INTO public.who_data VALUES (51213, 0, 40, 0, 2, 217, 152);
INSERT INTO public.who_data VALUES (51214, 0, 1602, 0, 31, 217, 144);
INSERT INTO public.who_data VALUES (51215, 0, 152, 0, 9, 217, 96);
INSERT INTO public.who_data VALUES (51216, 0, 87, 0, 0, 217, 47);
INSERT INTO public.who_data VALUES (51217, 1946, 56102, 65, 2049, 217, 80);
INSERT INTO public.who_data VALUES (51218, 0, 5, 0, 0, 217, 159);
INSERT INTO public.who_data VALUES (51219, 256, 8164, 2, 245, 217, 27);
INSERT INTO public.who_data VALUES (51220, 0, 522, 0, 1, 217, 146);
INSERT INTO public.who_data VALUES (51221, 34177, 2046328, 1163, 77851, 217, 71);
INSERT INTO public.who_data VALUES (51222, 0, 8, 0, 1, 217, 210);
INSERT INTO public.who_data VALUES (51223, 0, 141, 0, 3, 217, 54);
INSERT INTO public.who_data VALUES (51224, 196, 8638, 2, 299, 217, 147);
INSERT INTO public.who_data VALUES (51225, 2, 1047, 0, 53, 217, 2);
INSERT INTO public.who_data VALUES (51226, 0, 310, 0, 1, 217, 105);
INSERT INTO public.who_data VALUES (51227, 75, 2014, 1, 21, 217, 53);
INSERT INTO public.who_data VALUES (51228, 0, 171, 0, 0, 217, 81);
INSERT INTO public.who_data VALUES (51229, 0, 16157, 0, 373, 217, 223);
INSERT INTO public.who_data VALUES (51230, 405, 109669, 12, 8839, 217, 94);
INSERT INTO public.who_data VALUES (51231, 0, 203, 0, 1, 217, 154);
INSERT INTO public.who_data VALUES (51232, 96, 4485, 2, 55, 217, 83);
INSERT INTO public.who_data VALUES (51233, 2, 889, 0, 75, 217, 194);
INSERT INTO public.who_data VALUES (51234, 2307, 328846, 98, 8445, 217, 136);
INSERT INTO public.who_data VALUES (51235, 80, 85937, 1, 4653, 217, 179);
INSERT INTO public.who_data VALUES (51236, 8934, 182140, 259, 6288, 217, 57);
INSERT INTO public.who_data VALUES (51237, 0, 328, 0, 7, 217, 35);
INSERT INTO public.who_data VALUES (51238, 0, 2633, 0, 49, 217, 228);
INSERT INTO public.who_data VALUES (51239, 0, 0, 0, 0, 217, 19);
INSERT INTO public.who_data VALUES (51240, 423, 9969, 5, 47, 217, 22);
INSERT INTO public.who_data VALUES (51241, 0, 13696, 0, 87, 217, 1);
INSERT INTO public.who_data VALUES (51242, 98, 4235, 0, 120, 217, 21);
INSERT INTO public.who_data VALUES (51243, 1, 2445, 0, 87, 217, 234);
INSERT INTO public.who_data VALUES (51244, 0, 28, 0, 1, 217, 91);
INSERT INTO public.who_data VALUES (51245, 6, 1037, 0, 19, 217, 137);
INSERT INTO public.who_data VALUES (51246, 113, 13855, 0, 358, 217, 201);
INSERT INTO public.who_data VALUES (51247, 0, 0, 0, 0, 217, 171);
INSERT INTO public.who_data VALUES (51248, 1, 8249, 0, 192, 217, 92);
INSERT INTO public.who_data VALUES (51249, 0, 13173, 0, 611, 217, 112);
INSERT INTO public.who_data VALUES (51250, 0, 5003, 0, 56, 217, 62);
INSERT INTO public.who_data VALUES (51251, 0, 18, 0, 0, 217, 69);
INSERT INTO public.who_data VALUES (51252, 1406, 51519, 29, 971, 217, 220);
INSERT INTO public.who_data VALUES (51253, 938, 73382, 32, 5282, 217, 100);
INSERT INTO public.who_data VALUES (51254, 698, 87172, 63, 4251, 217, 187);
INSERT INTO public.who_data VALUES (51255, 301, 11508, 15, 324, 217, 63);
INSERT INTO public.who_data VALUES (51256, 0, 2350, 0, 41, 217, 28);
INSERT INTO public.who_data VALUES (51257, 0, 251, 0, 0, 217, 172);
INSERT INTO public.who_data VALUES (51258, 1, 2021, 0, 63, 217, 17);
INSERT INTO public.who_data VALUES (51259, 110, 1729, 0, 21, 217, 226);
INSERT INTO public.who_data VALUES (51260, 356, 9503, 4, 167, 217, 236);
INSERT INTO public.who_data VALUES (51261, 0, 13, 0, 0, 217, 76);
INSERT INTO public.who_data VALUES (51262, 0, 188, 0, 0, 217, 30);
INSERT INTO public.who_data VALUES (51263, 0, 26, 0, 0, 217, 128);
INSERT INTO public.who_data VALUES (51264, 17, 7318, 0, 328, 217, 86);
INSERT INTO public.who_data VALUES (51265, 0, 164247, 0, 30046, 217, 140);
INSERT INTO public.who_data VALUES (51266, 146, 6655, 3, 37, 217, 44);
INSERT INTO public.who_data VALUES (51267, 0, 62, 0, 0, 217, 113);
INSERT INTO public.who_data VALUES (51268, 0, 6121, 0, 46, 217, 29);
INSERT INTO public.who_data VALUES (51269, 0, 93, 0, 4, 217, 125);
INSERT INTO public.who_data VALUES (51270, 10, 1028, 0, 15, 217, 131);
INSERT INTO public.who_data VALUES (51271, 202, 201574, 1, 9084, 217, 46);
INSERT INTO public.who_data VALUES (51272, 488, 27060, 1, 145, 217, 10);
INSERT INTO public.who_data VALUES (51273, 0, 180, 0, 0, 217, 205);
INSERT INTO public.who_data VALUES (51274, 19, 3983, 0, 194, 217, 50);
INSERT INTO public.who_data VALUES (51275, 0, 13, 0, 0, 217, 20);
INSERT INTO public.who_data VALUES (51276, 0, 23, 0, 0, 217, 13);
INSERT INTO public.who_data VALUES (51277, 0, 195, 0, 14, 217, 148);
INSERT INTO public.who_data VALUES (51278, 1, 307, 0, 5, 217, 230);
INSERT INTO public.who_data VALUES (51279, 870, 33809, 39, 1443, 217, 190);
INSERT INTO public.who_data VALUES (51280, 0, 252, 0, 13, 217, 188);
INSERT INTO public.who_data VALUES (51281, 61, 6491, 0, 39, 217, 123);
INSERT INTO public.who_data VALUES (51282, 0, 1950, 0, 26, 217, 9);
INSERT INTO public.who_data VALUES (51283, 5, 320, 0, 19, 217, 102);
INSERT INTO public.who_data VALUES (51284, 27, 6975, 1, 146, 217, 34);
INSERT INTO public.who_data VALUES (51285, 0, 12, 0, 0, 217, 212);
INSERT INTO public.who_data VALUES (51286, 878, 31745, 22, 857, 217, 122);
INSERT INTO public.who_data VALUES (51287, 22, 4315, 1, 596, 217, 38);
INSERT INTO public.who_data VALUES (51288, 2, 1838, 0, 10, 217, 130);
INSERT INTO public.who_data VALUES (51289, 38902, 1077618, 543, 26816, 217, 37);
INSERT INTO public.who_data VALUES (51290, 1752, 84882, 59, 4016, 217, 231);
INSERT INTO public.who_data VALUES (51291, 2166, 271606, 188, 13979, 217, 107);
INSERT INTO public.who_data VALUES (51292, 2049, 90220, 75, 3691, 217, 101);
INSERT INTO public.who_data VALUES (51293, 20, 25750, 1, 1753, 217, 132);
INSERT INTO public.who_data VALUES (51294, 0, 336, 0, 24, 217, 176);
INSERT INTO public.who_data VALUES (51295, 1605, 48094, 12, 418, 217, 200);
INSERT INTO public.who_data VALUES (51296, 249, 244216, 14, 35042, 217, 169);
INSERT INTO public.who_data VALUES (51297, 3, 768, 0, 10, 217, 225);
INSERT INTO public.who_data VALUES (51298, 510, 24642, 0, 985, 217, 165);
INSERT INTO public.who_data VALUES (51299, 0, 331, 0, 31, 217, 233);
INSERT INTO public.who_data VALUES (51300, 5, 1126, 1, 11, 217, 215);
INSERT INTO public.who_data VALUES (51301, 1499, 71838, 210, 585, 217, 177);
INSERT INTO public.who_data VALUES (51302, 688, 12750, 3, 225, 217, 183);
INSERT INTO public.who_data VALUES (51303, 0, 0, 0, 0, 217, 203);
INSERT INTO public.who_data VALUES (51304, 164, 5574, 6, 120, 217, 162);
INSERT INTO public.who_data VALUES (51305, 683, 58904, 3, 407, 217, 12);
INSERT INTO public.who_data VALUES (51306, 1548, 26532, 80, 558, 217, 24);
INSERT INTO public.who_data VALUES (51307, 0, 19, 0, 0, 217, 119);
INSERT INTO public.who_data VALUES (51308, 4, 1189, 0, 31, 217, 39);
INSERT INTO public.who_data VALUES (51309, 75, 2775, 0, 40, 217, 26);
INSERT INTO public.who_data VALUES (51310, 0, 359, 0, 6, 217, 59);
INSERT INTO public.who_data VALUES (51311, 18, 1088, 2, 70, 217, 77);
INSERT INTO public.who_data VALUES (51312, 87, 1791, 1, 48, 217, 134);
INSERT INTO public.who_data VALUES (51313, 0, 87, 0, 1, 217, 4);
INSERT INTO public.who_data VALUES (51314, 18, 1928, 0, 80, 217, 109);
INSERT INTO public.who_data VALUES (51315, 124, 5409, 0, 111, 217, 90);
INSERT INTO public.who_data VALUES (51316, 382, 6849, 1, 55, 217, 61);
INSERT INTO public.who_data VALUES (51317, 97, 2907, 4, 59, 217, 85);
INSERT INTO public.who_data VALUES (51318, 9, 8764, 0, 122, 217, 49);
INSERT INTO public.who_data VALUES (51319, 17, 2930, 0, 15, 217, 208);
INSERT INTO public.who_data VALUES (51320, 5, 2472, 0, 121, 217, 166);
INSERT INTO public.who_data VALUES (51321, 1, 674, 0, 9, 217, 64);
INSERT INTO public.who_data VALUES (51322, 0, 0, 0, 0, 217, 199);
INSERT INTO public.who_data VALUES (51323, 1, 262, 0, 15, 217, 114);
INSERT INTO public.who_data VALUES (51324, 51, 5710, 1, 151, 217, 60);
INSERT INTO public.who_data VALUES (51325, 0, 343, 0, 10, 217, 68);
INSERT INTO public.who_data VALUES (51326, 0, 2782, 0, 37, 217, 158);
INSERT INTO public.who_data VALUES (51327, 7257, 331298, 736, 38310, 217, 52);
INSERT INTO public.who_data VALUES (51328, 0, 0, 0, 0, 217, 117);
INSERT INTO public.who_data VALUES (51329, 0, 79, 0, 1, 217, 126);
INSERT INTO public.who_data VALUES (51330, 25, 287, 0, 0, 217, 196);
INSERT INTO public.who_data VALUES (51331, 134, 2268, 2, 33, 217, 142);
INSERT INTO public.who_data VALUES (51332, 0, 12, 0, 1, 217, 185);
INSERT INTO public.who_data VALUES (51333, 289, 17015, 5, 269, 217, 138);
INSERT INTO public.who_data VALUES (51334, 33, 1435, 1, 10, 217, 181);
INSERT INTO public.who_data VALUES (51335, 2, 341, 0, 6, 217, 178);
INSERT INTO public.who_data VALUES (51336, 125, 1203, 0, 2, 217, 168);
INSERT INTO public.who_data VALUES (51337, 0, 0, 0, 0, 217, 160);
INSERT INTO public.who_data VALUES (51338, 57, 17502, 0, 40, 217, 151);
INSERT INTO public.who_data VALUES (51339, 145, 51497, 1, 6133, 217, 193);
INSERT INTO public.who_data VALUES (51340, 0, 22, 0, 0, 217, 18);
INSERT INTO public.who_data VALUES (51341, 3, 1203, 0, 22, 217, 40);
INSERT INTO public.who_data VALUES (51342, 0, 2712, 0, 99, 217, 218);
INSERT INTO public.who_data VALUES (51343, 2, 1104, 0, 69, 217, 191);
INSERT INTO public.who_data VALUES (51344, 653, 36107, 6, 778, 217, 156);
INSERT INTO public.who_data VALUES (51345, 0, 0, 0, 0, 217, 135);
INSERT INTO public.who_data VALUES (51346, 0, 37, 0, 2, 217, 88);
INSERT INTO public.who_data VALUES (51347, 240, 9026, 8, 414, 217, 55);
INSERT INTO public.who_data VALUES (51348, 0, 9015, 0, 255, 217, 108);
INSERT INTO public.who_data VALUES (51349, 532, 9587, 5, 62, 217, 48);
INSERT INTO public.who_data VALUES (51350, 1311, 65504, 10, 308, 217, 3);
INSERT INTO public.who_data VALUES (51351, 0, 741, 0, 13, 217, 224);
INSERT INTO public.who_data VALUES (51352, 1579, 263496, 46, 5568, 217, 110);
INSERT INTO public.who_data VALUES (51353, 0, 0, 0, 0, 217, 106);
INSERT INTO public.who_data VALUES (51354, 1035, 51408, 38, 1038, 217, 89);
INSERT INTO public.who_data VALUES (51355, 0, 15, 0, 0, 217, 121);
INSERT INTO public.who_data VALUES (51356, 115, 3457, 1, 28, 217, 163);
INSERT INTO public.who_data VALUES (51357, 3951, 345537, 184, 12799, 217, 70);
INSERT INTO public.who_data VALUES (51358, 2303, 65304, 113, 1773, 217, 174);
INSERT INTO public.who_data VALUES (51359, 0, 0, 0, 0, 217, 175);
INSERT INTO public.who_data VALUES (51360, 339, 39746, 6, 1618, 217, 118);
INSERT INTO public.who_data VALUES (51361, 313, 48390, 2, 1684, 217, 189);
INSERT INTO public.who_data VALUES (51362, 333, 11453, 1, 178, 217, 124);
INSERT INTO public.who_data VALUES (51363, 410, 106308, 1, 154, 217, 192);
INSERT INTO public.who_data VALUES (51364, 34, 13745, 1, 295, 217, 41);
INSERT INTO public.who_data VALUES (51365, 300, 20794, 5, 680, 217, 95);
INSERT INTO public.who_data VALUES (51366, 0, 624, 0, 3, 217, 74);
INSERT INTO public.who_data VALUES (51367, 889, 36691, 21, 2009, 217, 11);
INSERT INTO public.who_data VALUES (51368, 6109, 771546, 95, 12342, 217, 87);
INSERT INTO public.who_data VALUES (51369, 54, 1539, 1, 5, 217, 214);
INSERT INTO public.who_data VALUES (51370, 0, 3, 0, 0, 217, 116);
INSERT INTO public.who_data VALUES (51371, 0, 6, 0, 0, 217, 157);
INSERT INTO public.who_data VALUES (51372, 0, 0, 0, 0, 217, 182);
INSERT INTO public.who_data VALUES (51373, 0, 17, 0, 0, 217, 186);
INSERT INTO public.who_data VALUES (51374, 0, 23, 0, 0, 217, 127);
INSERT INTO public.who_data VALUES (51375, 0, 46, 0, 3, 217, 232);
INSERT INTO public.who_data VALUES (51376, 0, 4, 0, 0, 217, 33);
INSERT INTO public.who_data VALUES (51377, 0, 35, 0, 0, 217, 97);
INSERT INTO public.who_data VALUES (51378, 0, 0, 0, 0, 217, 42);
INSERT INTO public.who_data VALUES (51379, 0, 716, 0, 42, 217, 198);
INSERT INTO public.who_data VALUES (51380, 2, 743, 0, 14, 217, 216);
INSERT INTO public.who_data VALUES (51381, 2565, 248416, 40, 2447, 217, 164);
INSERT INTO public.who_data VALUES (51382, 125, 8669, 3, 163, 217, 235);
INSERT INTO public.who_data VALUES (51383, 389, 20498, 9, 461, 217, 67);
INSERT INTO public.who_data VALUES (51384, 0, 108, 0, 0, 217, 15);
INSERT INTO public.who_data VALUES (51385, 13, 1701, 0, 65, 217, 180);
INSERT INTO public.who_data VALUES (51386, 202, 47656, 0, 27, 217, 237);
INSERT INTO public.who_data VALUES (51387, 0, 2, 0, 0, 217, 25);
INSERT INTO public.who_data VALUES (51388, 0, 79, 0, 15, 217, 209);
INSERT INTO public.who_data VALUES (51389, 14, 1965, 0, 28, 217, 217);
INSERT INTO public.who_data VALUES (51390, 24, 1941, 0, 114, 217, 79);
INSERT INTO public.who_data VALUES (51391, 0, 0, 0, 0, 217, 143);
INSERT INTO public.who_data VALUES (51392, 5, 3111, 0, 93, 217, 229);
INSERT INTO public.who_data VALUES (51393, 13285, 350879, 144, 4948, 217, 141);
INSERT INTO public.who_data VALUES (51394, 9, 2200, 0, 43, 217, 197);
INSERT INTO public.who_data VALUES (51395, 2286, 274982, 2, 29817, 217, 221);
INSERT INTO public.who_data VALUES (51396, 11, 2708, 0, 11, 217, 150);
INSERT INTO public.who_data VALUES (51397, 235, 10762, 12, 680, 217, 56);
INSERT INTO public.who_data VALUES (51398, 24, 943, 0, 19, 217, 167);
INSERT INTO public.who_data VALUES (51399, 284, 74111, 7, 5693, 217, 23);
INSERT INTO public.who_data VALUES (51400, 80, 33601, 0, 1733, 217, 222);
INSERT INTO public.who_data VALUES (51401, 0, 496, 0, 25, 217, 219);
INSERT INTO public.who_data VALUES (51402, 48, 6834, 1, 57, 217, 7);
INSERT INTO public.who_data VALUES (51403, 3, 3249, 0, 58, 217, 161);
INSERT INTO public.who_data VALUES (51404, 569, 295213, 9, 40984, 217, 149);
INSERT INTO public.who_data VALUES (51405, 0, 24, 0, 0, 217, 6);
INSERT INTO public.who_data VALUES (51406, 8, 774, 0, 15, 217, 139);
INSERT INTO public.who_data VALUES (51407, 0, 0, 0, 0, 217, 211);
INSERT INTO public.who_data VALUES (51408, 0, 0, 0, 0, 217, 14);
INSERT INTO public.who_data VALUES (51409, 0, 136, 0, 8, 217, 111);
INSERT INTO public.who_data VALUES (51410, 26, 1374, 0, 50, 217, 207);
INSERT INTO public.who_data VALUES (51411, 918, 218717, 17, 5475, 217, 66);
INSERT INTO public.who_data VALUES (51412, 0, 0, 0, 0, 217, 173);
INSERT INTO public.who_data VALUES (51413, 1, 75, 0, 2, 217, 145);
INSERT INTO public.who_data VALUES (51414, 0, 0, 0, 0, 217, 65);
INSERT INTO public.who_data VALUES (51415, 6, 1062, 0, 0, 217, 184);
INSERT INTO public.who_data VALUES (51416, 731, 58842, 8, 1485, 217, 98);
INSERT INTO public.who_data VALUES (51417, 289, 56711, 1, 338, 217, 104);
INSERT INTO public.who_data VALUES (51418, 0, 509, 0, 21, 217, 73);
INSERT INTO public.who_data VALUES (51419, 74354, 3618497, 917, 138591, 217, 8);
INSERT INTO public.who_data VALUES (51420, 20, 283, 0, 6, 217, 227);
INSERT INTO public.who_data VALUES (51421, 11, 1037, 0, 32, 217, 75);
INSERT INTO public.who_data VALUES (51422, 533, 16429, 4, 84, 217, 45);
INSERT INTO public.who_data VALUES (51423, 0, 0, 0, 0, 217, 133);
INSERT INTO public.who_data VALUES (51424, 337, 11191, 3, 107, 217, 202);
INSERT INTO public.who_data VALUES (51425, 0, 382, 0, 0, 217, 129);
INSERT INTO public.who_data VALUES (51426, 0, 0, 0, 0, 217, 36);
INSERT INTO public.who_data VALUES (51427, 5, 1585, 3, 444, 217, 51);
INSERT INTO public.who_data VALUES (51428, 170, 2980, 11, 120, 217, 206);
INSERT INTO public.who_data VALUES (51429, 58, 1478, 1, 25, 217, 5);
INSERT INTO public.who_data VALUES (51430, 60, 35375, 0, 1151, 218, 103);
INSERT INTO public.who_data VALUES (51431, 0, 3906, 0, 107, 218, 58);
INSERT INTO public.who_data VALUES (51432, 593, 21948, 5, 1057, 218, 195);
INSERT INTO public.who_data VALUES (51433, 0, 0, 0, 0, 218, 115);
INSERT INTO public.who_data VALUES (51434, 3, 880, 0, 52, 218, 99);
INSERT INTO public.who_data VALUES (51435, 31, 638, 1, 29, 218, 153);
INSERT INTO public.who_data VALUES (51436, 0, 3, 0, 0, 218, 93);
INSERT INTO public.who_data VALUES (51437, 0, 74, 0, 3, 218, 84);
INSERT INTO public.who_data VALUES (51438, 3623, 114783, 61, 2133, 218, 78);
INSERT INTO public.who_data VALUES (51439, 461, 33775, 11, 626, 218, 170);
INSERT INTO public.who_data VALUES (51440, 2, 108, 0, 3, 218, 32);
INSERT INTO public.who_data VALUES (51441, 425, 11235, 3, 116, 218, 155);
INSERT INTO public.who_data VALUES (51442, 138, 19406, 0, 710, 218, 82);
INSERT INTO public.who_data VALUES (51443, 471, 26636, 7, 341, 218, 16);
INSERT INTO public.who_data VALUES (51444, 5, 124, 0, 11, 218, 72);
INSERT INTO public.who_data VALUES (51445, 389, 35473, 3, 124, 218, 43);
INSERT INTO public.who_data VALUES (51446, 3034, 199357, 51, 2547, 218, 120);
INSERT INTO public.who_data VALUES (51447, 0, 104, 0, 7, 218, 213);
INSERT INTO public.who_data VALUES (51448, 159, 65782, 6, 491, 218, 31);
INSERT INTO public.who_data VALUES (51449, 274, 64390, 2, 9666, 218, 204);
INSERT INTO public.who_data VALUES (51450, 1, 40, 0, 2, 218, 152);
INSERT INTO public.who_data VALUES (51451, 139, 1602, 3, 31, 218, 144);
INSERT INTO public.who_data VALUES (51452, 2, 152, 0, 9, 218, 96);
INSERT INTO public.who_data VALUES (51453, 1, 87, 0, 0, 218, 47);
INSERT INTO public.who_data VALUES (51454, 1938, 54156, 42, 1984, 218, 80);
INSERT INTO public.who_data VALUES (51455, 0, 5, 0, 0, 218, 159);
INSERT INTO public.who_data VALUES (51456, 227, 7908, 4, 243, 218, 27);
INSERT INTO public.who_data VALUES (51457, 0, 522, 0, 1, 218, 146);
INSERT INTO public.who_data VALUES (51458, 45403, 2012151, 1322, 76688, 218, 71);
INSERT INTO public.who_data VALUES (51459, 0, 8, 0, 1, 218, 210);
INSERT INTO public.who_data VALUES (51460, 0, 141, 0, 3, 218, 54);
INSERT INTO public.who_data VALUES (51461, 298, 8442, 4, 297, 218, 147);
INSERT INTO public.who_data VALUES (51462, 7, 1045, 0, 53, 218, 2);
INSERT INTO public.who_data VALUES (51463, 0, 310, 0, 1, 218, 105);
INSERT INTO public.who_data VALUES (51464, 45, 1939, 1, 20, 218, 53);
INSERT INTO public.who_data VALUES (51465, 5, 171, 0, 0, 218, 81);
INSERT INTO public.who_data VALUES (51466, 100, 16157, 4, 373, 218, 223);
INSERT INTO public.who_data VALUES (51467, 435, 109264, 17, 8827, 218, 94);
INSERT INTO public.who_data VALUES (51468, 0, 203, 0, 1, 218, 154);
INSERT INTO public.who_data VALUES (51469, 16, 4389, 0, 53, 218, 83);
INSERT INTO public.who_data VALUES (51470, 1, 887, 0, 75, 218, 194);
INSERT INTO public.who_data VALUES (51471, 2841, 326539, 1057, 8347, 218, 136);
INSERT INTO public.who_data VALUES (51472, 82, 85857, 1, 4652, 218, 179);
INSERT INTO public.who_data VALUES (51473, 8037, 173206, 215, 6029, 218, 57);
INSERT INTO public.who_data VALUES (51474, 0, 328, 0, 7, 218, 35);
INSERT INTO public.who_data VALUES (51475, 275, 2633, 1, 49, 218, 228);
INSERT INTO public.who_data VALUES (51476, 0, 0, 0, 0, 218, 19);
INSERT INTO public.who_data VALUES (51477, 560, 9546, 2, 42, 218, 22);
INSERT INTO public.who_data VALUES (51478, 293, 13696, 0, 87, 218, 1);
INSERT INTO public.who_data VALUES (51479, 98, 4137, 1, 120, 218, 21);
INSERT INTO public.who_data VALUES (51480, 4, 2444, 0, 87, 218, 234);
INSERT INTO public.who_data VALUES (51481, 2, 28, 0, 1, 218, 91);
INSERT INTO public.who_data VALUES (51482, 0, 1031, 0, 19, 218, 137);
INSERT INTO public.who_data VALUES (51483, 130, 13742, 3, 358, 218, 201);
INSERT INTO public.who_data VALUES (51484, 0, 0, 0, 0, 218, 171);
INSERT INTO public.who_data VALUES (51485, 50, 8248, 0, 192, 218, 92);
INSERT INTO public.who_data VALUES (51486, 49, 13173, 1, 611, 218, 112);
INSERT INTO public.who_data VALUES (51487, 10, 5003, 0, 56, 218, 62);
INSERT INTO public.who_data VALUES (51488, 0, 18, 0, 0, 218, 69);
INSERT INTO public.who_data VALUES (51489, 1370, 50113, 1, 942, 218, 220);
INSERT INTO public.who_data VALUES (51490, 1079, 72444, 43, 5250, 218, 100);
INSERT INTO public.who_data VALUES (51491, 703, 86474, 68, 4188, 218, 187);
INSERT INTO public.who_data VALUES (51492, 250, 11207, 11, 309, 218, 63);
INSERT INTO public.who_data VALUES (51493, 0, 2350, 0, 41, 218, 28);
INSERT INTO public.who_data VALUES (51494, 0, 251, 0, 0, 218, 172);
INSERT INTO public.who_data VALUES (51495, 4, 2020, 0, 63, 218, 17);
INSERT INTO public.who_data VALUES (51496, 67, 1619, 0, 21, 218, 226);
INSERT INTO public.who_data VALUES (51497, 344, 9147, 13, 163, 218, 236);
INSERT INTO public.who_data VALUES (51498, 0, 13, 0, 0, 218, 76);
INSERT INTO public.who_data VALUES (51499, 0, 188, 0, 0, 218, 30);
INSERT INTO public.who_data VALUES (51500, 0, 26, 0, 0, 218, 128);
INSERT INTO public.who_data VALUES (51501, 8, 7301, 0, 328, 218, 86);
INSERT INTO public.who_data VALUES (51502, 697, 164247, 14, 30046, 218, 140);
INSERT INTO public.who_data VALUES (51503, 116, 6509, 0, 34, 218, 44);
INSERT INTO public.who_data VALUES (51504, 0, 62, 0, 0, 218, 113);
INSERT INTO public.who_data VALUES (51505, 0, 6121, 0, 46, 218, 29);
INSERT INTO public.who_data VALUES (51506, 15, 93, 1, 4, 218, 125);
INSERT INTO public.who_data VALUES (51507, 8, 1018, 0, 15, 218, 131);
INSERT INTO public.who_data VALUES (51508, 529, 201372, 1, 9083, 218, 46);
INSERT INTO public.who_data VALUES (51509, 447, 26572, 5, 144, 218, 10);
INSERT INTO public.who_data VALUES (51510, 0, 180, 0, 0, 218, 205);
INSERT INTO public.who_data VALUES (51511, 25, 3964, 1, 194, 218, 50);
INSERT INTO public.who_data VALUES (51512, 0, 13, 0, 0, 218, 20);
INSERT INTO public.who_data VALUES (51513, 0, 23, 0, 0, 218, 13);
INSERT INTO public.who_data VALUES (51514, 5, 195, 0, 14, 218, 148);
INSERT INTO public.who_data VALUES (51515, 0, 306, 0, 5, 218, 230);
INSERT INTO public.who_data VALUES (51516, 865, 32939, 54, 1404, 218, 190);
INSERT INTO public.who_data VALUES (51517, 0, 252, 0, 13, 218, 188);
INSERT INTO public.who_data VALUES (51518, 71, 6430, 0, 39, 218, 123);
INSERT INTO public.who_data VALUES (51519, 23, 1950, 0, 26, 218, 9);
INSERT INTO public.who_data VALUES (51520, 2, 315, 0, 19, 218, 102);
INSERT INTO public.who_data VALUES (51521, 46, 6948, 0, 145, 218, 34);
INSERT INTO public.who_data VALUES (51522, 0, 12, 0, 0, 218, 212);
INSERT INTO public.who_data VALUES (51523, 831, 30867, 10, 835, 218, 122);
INSERT INTO public.who_data VALUES (51524, 14, 4293, 0, 595, 218, 38);
INSERT INTO public.who_data VALUES (51525, 0, 1836, 0, 10, 218, 130);
INSERT INTO public.who_data VALUES (51526, 34884, 1038716, 671, 26273, 218, 37);
INSERT INTO public.who_data VALUES (51527, 1462, 83130, 84, 3957, 218, 231);
INSERT INTO public.who_data VALUES (51528, 2379, 269440, 183, 13791, 218, 107);
INSERT INTO public.who_data VALUES (51529, 2023, 88171, 94, 3616, 218, 101);
INSERT INTO public.who_data VALUES (51530, 32, 25730, 3, 1752, 218, 132);
INSERT INTO public.who_data VALUES (51531, 0, 336, 0, 24, 218, 176);
INSERT INTO public.who_data VALUES (51532, 1937, 46489, 9, 406, 218, 200);
INSERT INTO public.who_data VALUES (51533, 231, 243967, 11, 35028, 218, 169);
INSERT INTO public.who_data VALUES (51534, 2, 765, 0, 10, 218, 225);
INSERT INTO public.who_data VALUES (51535, 659, 24132, 0, 985, 218, 165);
INSERT INTO public.who_data VALUES (51536, 2, 331, 0, 31, 218, 233);
INSERT INTO public.who_data VALUES (51537, 3, 1121, 0, 10, 218, 215);
INSERT INTO public.who_data VALUES (51538, 1636, 70339, 0, 375, 218, 177);
INSERT INTO public.who_data VALUES (51539, 389, 12062, 5, 222, 218, 183);
INSERT INTO public.who_data VALUES (51540, 0, 0, 0, 0, 218, 203);
INSERT INTO public.who_data VALUES (51541, 81, 5410, 6, 114, 218, 162);
INSERT INTO public.who_data VALUES (51542, 553, 58221, 2, 404, 218, 12);
INSERT INTO public.who_data VALUES (51543, 11883, 24984, 306, 478, 218, 24);
INSERT INTO public.who_data VALUES (51544, 0, 19, 0, 0, 218, 119);
INSERT INTO public.who_data VALUES (51545, 6, 1185, 0, 31, 218, 39);
INSERT INTO public.who_data VALUES (51546, 101, 2700, 0, 40, 218, 26);
INSERT INTO public.who_data VALUES (51547, 103, 359, 3, 6, 218, 59);
INSERT INTO public.who_data VALUES (51548, 0, 1070, 0, 68, 218, 77);
INSERT INTO public.who_data VALUES (51549, 52, 1704, 1, 47, 218, 134);
INSERT INTO public.who_data VALUES (51550, 1, 87, 0, 1, 218, 4);
INSERT INTO public.who_data VALUES (51551, 7, 1910, 1, 80, 218, 109);
INSERT INTO public.who_data VALUES (51552, 163, 5285, 0, 111, 218, 90);
INSERT INTO public.who_data VALUES (51553, 378, 6467, 1, 54, 218, 61);
INSERT INTO public.who_data VALUES (51554, 94, 2810, 4, 55, 218, 85);
INSERT INTO public.who_data VALUES (51555, 18, 8755, 0, 122, 218, 49);
INSERT INTO public.who_data VALUES (51556, 14, 2913, 0, 15, 218, 208);
INSERT INTO public.who_data VALUES (51557, 27, 2467, 0, 121, 218, 166);
INSERT INTO public.who_data VALUES (51558, 0, 673, 0, 9, 218, 64);
INSERT INTO public.who_data VALUES (51559, 0, 0, 0, 0, 218, 199);
INSERT INTO public.who_data VALUES (51560, 6, 261, 0, 15, 218, 114);
INSERT INTO public.who_data VALUES (51561, 95, 5659, 1, 150, 218, 60);
INSERT INTO public.who_data VALUES (51562, 0, 343, 0, 10, 218, 68);
INSERT INTO public.who_data VALUES (51563, 0, 2782, 0, 37, 218, 158);
INSERT INTO public.who_data VALUES (51564, 6406, 324041, 668, 37574, 218, 52);
INSERT INTO public.who_data VALUES (51565, 0, 0, 0, 0, 218, 117);
INSERT INTO public.who_data VALUES (51566, 0, 79, 0, 1, 218, 126);
INSERT INTO public.who_data VALUES (51567, 1, 262, 0, 0, 218, 196);
INSERT INTO public.who_data VALUES (51568, 97, 2134, 3, 31, 218, 142);
INSERT INTO public.who_data VALUES (51569, 0, 12, 0, 1, 218, 185);
INSERT INTO public.who_data VALUES (51570, 181, 16726, 1, 264, 218, 138);
INSERT INTO public.who_data VALUES (51571, 19, 1402, 0, 9, 218, 181);
INSERT INTO public.who_data VALUES (51572, 0, 339, 0, 6, 218, 178);
INSERT INTO public.who_data VALUES (51573, 46, 1078, 0, 2, 218, 168);
INSERT INTO public.who_data VALUES (51574, 0, 0, 0, 0, 218, 160);
INSERT INTO public.who_data VALUES (51575, 101, 17445, 1, 40, 218, 151);
INSERT INTO public.who_data VALUES (51576, 109, 51352, 2, 6132, 218, 193);
INSERT INTO public.who_data VALUES (51577, 0, 22, 0, 0, 218, 18);
INSERT INTO public.who_data VALUES (51578, 1, 1200, 0, 22, 218, 40);
INSERT INTO public.who_data VALUES (51579, 0, 2712, 0, 99, 218, 218);
INSERT INTO public.who_data VALUES (51580, 0, 1102, 0, 69, 218, 191);
INSERT INTO public.who_data VALUES (51581, 600, 35454, 3, 772, 218, 156);
INSERT INTO public.who_data VALUES (51582, 0, 0, 0, 0, 218, 135);
INSERT INTO public.who_data VALUES (51583, 0, 37, 0, 2, 218, 88);
INSERT INTO public.who_data VALUES (51584, 174, 8786, 5, 406, 218, 55);
INSERT INTO public.who_data VALUES (51585, 4, 9015, 1, 255, 218, 108);
INSERT INTO public.who_data VALUES (51586, 439, 9055, 5, 57, 218, 48);
INSERT INTO public.who_data VALUES (51587, 1619, 64193, 8, 298, 218, 3);
INSERT INTO public.who_data VALUES (51588, 0, 741, 0, 13, 218, 224);
INSERT INTO public.who_data VALUES (51589, 1918, 261917, 47, 5522, 218, 110);
INSERT INTO public.who_data VALUES (51590, 0, 0, 0, 0, 218, 106);
INSERT INTO public.who_data VALUES (51591, 1130, 50373, 18, 1000, 218, 89);
INSERT INTO public.who_data VALUES (51592, 0, 15, 0, 0, 218, 121);
INSERT INTO public.who_data VALUES (51593, 144, 3342, 2, 27, 218, 163);
INSERT INTO public.who_data VALUES (51594, 3862, 341586, 198, 12615, 218, 70);
INSERT INTO public.who_data VALUES (51595, 1735, 63001, 17, 1660, 218, 174);
INSERT INTO public.who_data VALUES (51596, 0, 0, 0, 0, 218, 175);
INSERT INTO public.who_data VALUES (51597, 353, 39407, 7, 1612, 218, 118);
INSERT INTO public.who_data VALUES (51598, 312, 48077, 3, 1682, 218, 189);
INSERT INTO public.who_data VALUES (51599, 546, 11120, 5, 177, 218, 124);
INSERT INTO public.who_data VALUES (51600, 421, 105898, 1, 153, 218, 192);
INSERT INTO public.who_data VALUES (51601, 39, 13711, 1, 294, 218, 41);
INSERT INTO public.who_data VALUES (51602, 230, 20494, 9, 675, 218, 95);
INSERT INTO public.who_data VALUES (51603, 10, 624, 0, 3, 218, 74);
INSERT INTO public.who_data VALUES (51604, 799, 35802, 17, 1988, 218, 11);
INSERT INTO public.who_data VALUES (51605, 6234, 765437, 124, 12247, 218, 87);
INSERT INTO public.who_data VALUES (51606, 12, 1485, 0, 4, 218, 214);
INSERT INTO public.who_data VALUES (51607, 0, 3, 0, 0, 218, 116);
INSERT INTO public.who_data VALUES (51608, 0, 6, 0, 0, 218, 157);
INSERT INTO public.who_data VALUES (51609, 0, 0, 0, 0, 218, 182);
INSERT INTO public.who_data VALUES (51610, 0, 17, 0, 0, 218, 186);
INSERT INTO public.who_data VALUES (51611, 0, 23, 0, 0, 218, 127);
INSERT INTO public.who_data VALUES (51612, 2, 46, 0, 3, 218, 232);
INSERT INTO public.who_data VALUES (51613, 0, 4, 0, 0, 218, 33);
INSERT INTO public.who_data VALUES (51614, 0, 35, 0, 0, 218, 97);
INSERT INTO public.who_data VALUES (51615, 0, 0, 0, 0, 218, 42);
INSERT INTO public.who_data VALUES (51616, 0, 716, 0, 42, 218, 198);
INSERT INTO public.who_data VALUES (51617, 1, 741, 0, 14, 218, 216);
INSERT INTO public.who_data VALUES (51618, 2613, 245851, 37, 2407, 218, 164);
INSERT INTO public.who_data VALUES (51619, 63, 8544, 4, 160, 218, 235);
INSERT INTO public.who_data VALUES (51620, 392, 20109, 10, 452, 218, 67);
INSERT INTO public.who_data VALUES (51621, 0, 108, 0, 0, 218, 15);
INSERT INTO public.who_data VALUES (51622, 10, 1688, 1, 65, 218, 180);
INSERT INTO public.who_data VALUES (51623, 327, 47454, 0, 27, 218, 237);
INSERT INTO public.who_data VALUES (51624, 0, 2, 0, 0, 218, 25);
INSERT INTO public.who_data VALUES (51625, 0, 79, 0, 15, 218, 209);
INSERT INTO public.who_data VALUES (51626, 24, 1951, 0, 28, 218, 217);
INSERT INTO public.who_data VALUES (51627, 19, 1917, 0, 114, 218, 79);
INSERT INTO public.who_data VALUES (51628, 0, 0, 0, 0, 218, 143);
INSERT INTO public.who_data VALUES (51629, 0, 3106, 0, 93, 218, 229);
INSERT INTO public.who_data VALUES (51630, 13373, 337594, 135, 4804, 218, 141);
INSERT INTO public.who_data VALUES (51631, 0, 2191, 0, 43, 218, 197);
INSERT INTO public.who_data VALUES (51632, 1782, 272696, 2, 29815, 218, 221);
INSERT INTO public.who_data VALUES (51633, 10, 2697, 0, 11, 218, 150);
INSERT INTO public.who_data VALUES (51634, 0, 10527, 0, 668, 218, 56);
INSERT INTO public.who_data VALUES (51635, 70, 919, 1, 19, 218, 167);
INSERT INTO public.who_data VALUES (51636, 268, 73827, 6, 5686, 218, 23);
INSERT INTO public.who_data VALUES (51637, 115, 33521, 1, 1733, 218, 222);
INSERT INTO public.who_data VALUES (51638, 19, 496, 3, 25, 218, 219);
INSERT INTO public.who_data VALUES (51639, 45, 6786, 0, 56, 218, 7);
INSERT INTO public.who_data VALUES (51640, 7, 3246, 0, 58, 218, 161);
INSERT INTO public.who_data VALUES (51641, 704, 294644, 26, 40975, 218, 149);
INSERT INTO public.who_data VALUES (51642, 0, 24, 0, 0, 218, 6);
INSERT INTO public.who_data VALUES (51643, 17, 766, 0, 15, 218, 139);
INSERT INTO public.who_data VALUES (51644, 0, 0, 0, 0, 218, 211);
INSERT INTO public.who_data VALUES (51645, 0, 0, 0, 0, 218, 14);
INSERT INTO public.who_data VALUES (51646, 3, 136, 0, 8, 218, 111);
INSERT INTO public.who_data VALUES (51647, 12, 1348, 0, 50, 218, 207);
INSERT INTO public.who_data VALUES (51648, 926, 217799, 18, 5458, 218, 66);
INSERT INTO public.who_data VALUES (51649, 0, 0, 0, 0, 218, 173);
INSERT INTO public.who_data VALUES (51650, 2, 74, 0, 2, 218, 145);
INSERT INTO public.who_data VALUES (51651, 0, 0, 0, 0, 218, 65);
INSERT INTO public.who_data VALUES (51652, 5, 1056, 0, 0, 218, 184);
INSERT INTO public.who_data VALUES (51653, 847, 58111, 21, 1477, 218, 98);
INSERT INTO public.who_data VALUES (51654, 293, 56422, 2, 337, 218, 104);
INSERT INTO public.who_data VALUES (51655, 0, 509, 0, 21, 218, 73);
INSERT INTO public.who_data VALUES (51656, 71484, 3544143, 921, 137674, 218, 8);
INSERT INTO public.who_data VALUES (51657, 14, 263, 0, 6, 218, 227);
INSERT INTO public.who_data VALUES (51658, 17, 1026, 1, 32, 218, 75);
INSERT INTO public.who_data VALUES (51659, 547, 15896, 4, 80, 218, 45);
INSERT INTO public.who_data VALUES (51660, 0, 0, 0, 0, 218, 133);
INSERT INTO public.who_data VALUES (51661, 426, 10854, 4, 104, 218, 202);
INSERT INTO public.who_data VALUES (51662, 1, 382, 0, 0, 218, 129);
INSERT INTO public.who_data VALUES (51663, 0, 0, 0, 0, 218, 36);
INSERT INTO public.who_data VALUES (51664, 24, 1580, 2, 441, 218, 51);
INSERT INTO public.who_data VALUES (51665, 527, 2810, 27, 109, 218, 206);
INSERT INTO public.who_data VALUES (51666, 58, 1420, 1, 24, 218, 5);
INSERT INTO public.who_data VALUES (51667, 159, 35315, 34, 1151, 219, 103);
INSERT INTO public.who_data VALUES (51668, 55, 3906, 3, 107, 219, 58);
INSERT INTO public.who_data VALUES (51669, 585, 21355, 12, 1052, 219, 195);
INSERT INTO public.who_data VALUES (51670, 0, 0, 0, 0, 219, 115);
INSERT INTO public.who_data VALUES (51671, 15, 877, 0, 52, 219, 99);
INSERT INTO public.who_data VALUES (51672, 31, 607, 1, 28, 219, 153);
INSERT INTO public.who_data VALUES (51673, 0, 3, 0, 0, 219, 93);
INSERT INTO public.who_data VALUES (51674, 0, 74, 0, 3, 219, 84);
INSERT INTO public.who_data VALUES (51675, 4250, 111160, 85, 2072, 219, 78);
INSERT INTO public.who_data VALUES (51676, 442, 33314, 13, 615, 219, 170);
INSERT INTO public.who_data VALUES (51677, 0, 106, 0, 3, 219, 32);
INSERT INTO public.who_data VALUES (51678, 315, 10810, 2, 113, 219, 155);
INSERT INTO public.who_data VALUES (51679, 153, 19268, 0, 710, 219, 82);
INSERT INTO public.who_data VALUES (51680, 493, 26165, 8, 334, 219, 16);
INSERT INTO public.who_data VALUES (51681, 3, 119, 0, 11, 219, 72);
INSERT INTO public.who_data VALUES (51682, 524, 35084, 4, 121, 219, 43);
INSERT INTO public.who_data VALUES (51683, 2733, 196323, 39, 2496, 219, 120);
INSERT INTO public.who_data VALUES (51684, 1, 104, 0, 7, 219, 213);
INSERT INTO public.who_data VALUES (51685, 180, 65623, 5, 485, 219, 31);
INSERT INTO public.who_data VALUES (51686, 226, 64116, 5, 9664, 219, 204);
INSERT INTO public.who_data VALUES (51687, 0, 39, 0, 2, 219, 152);
INSERT INTO public.who_data VALUES (51688, 0, 1463, 0, 28, 219, 144);
INSERT INTO public.who_data VALUES (51689, 0, 150, 0, 9, 219, 96);
INSERT INTO public.who_data VALUES (51690, 2, 86, 0, 0, 219, 47);
INSERT INTO public.who_data VALUES (51691, 1351, 52218, 44, 1942, 219, 80);
INSERT INTO public.who_data VALUES (51692, 0, 5, 0, 0, 219, 159);
INSERT INTO public.who_data VALUES (51693, 274, 7681, 6, 239, 219, 27);
INSERT INTO public.who_data VALUES (51694, 123, 522, 0, 1, 219, 146);
INSERT INTO public.who_data VALUES (51695, 39924, 1966748, 1233, 75366, 219, 71);
INSERT INTO public.who_data VALUES (51696, 0, 8, 0, 1, 219, 210);
INSERT INTO public.who_data VALUES (51697, 0, 141, 0, 3, 219, 54);
INSERT INTO public.who_data VALUES (51698, 267, 8144, 4, 293, 219, 147);
INSERT INTO public.who_data VALUES (51699, 0, 1038, 0, 53, 219, 2);
INSERT INTO public.who_data VALUES (51700, 7, 310, 0, 1, 219, 105);
INSERT INTO public.who_data VALUES (51701, 57, 1894, 0, 19, 219, 53);
INSERT INTO public.who_data VALUES (51702, 0, 166, 0, 0, 219, 81);
INSERT INTO public.who_data VALUES (51703, 0, 16057, 0, 369, 219, 223);
INSERT INTO public.who_data VALUES (51704, 343, 108829, 12, 8810, 219, 94);
INSERT INTO public.who_data VALUES (51705, 0, 203, 0, 1, 219, 154);
INSERT INTO public.who_data VALUES (51706, 11, 4373, 0, 53, 219, 83);
INSERT INTO public.who_data VALUES (51707, 1, 886, 0, 75, 219, 194);
INSERT INTO public.who_data VALUES (51708, 2493, 323698, 104, 7290, 219, 136);
INSERT INTO public.who_data VALUES (51709, 78, 85775, 0, 4651, 219, 179);
INSERT INTO public.who_data VALUES (51710, 5271, 165169, 189, 5814, 219, 57);
INSERT INTO public.who_data VALUES (51711, 7, 328, 0, 7, 219, 35);
INSERT INTO public.who_data VALUES (51712, 0, 2358, 0, 48, 219, 228);
INSERT INTO public.who_data VALUES (51713, 0, 0, 0, 0, 219, 19);
INSERT INTO public.who_data VALUES (51714, 504, 8986, 4, 40, 219, 22);
INSERT INTO public.who_data VALUES (51715, 366, 13403, 0, 87, 219, 1);
INSERT INTO public.who_data VALUES (51716, 86, 4039, 0, 119, 219, 21);
INSERT INTO public.who_data VALUES (51717, 2, 2440, 0, 87, 219, 234);
INSERT INTO public.who_data VALUES (51718, 0, 26, 0, 1, 219, 91);
INSERT INTO public.who_data VALUES (51719, 8, 1031, 0, 19, 219, 137);
INSERT INTO public.who_data VALUES (51720, 137, 13612, 0, 355, 219, 201);
INSERT INTO public.who_data VALUES (51721, 0, 0, 0, 0, 219, 171);
INSERT INTO public.who_data VALUES (51722, 36, 8198, 1, 192, 219, 92);
INSERT INTO public.who_data VALUES (51723, 32, 13124, 0, 610, 219, 112);
INSERT INTO public.who_data VALUES (51724, 8, 4993, 0, 56, 219, 62);
INSERT INTO public.who_data VALUES (51725, 0, 18, 0, 0, 219, 69);
INSERT INTO public.who_data VALUES (51726, 1072, 48743, 12, 941, 219, 220);
INSERT INTO public.who_data VALUES (51727, 1036, 71365, 49, 5207, 219, 100);
INSERT INTO public.who_data VALUES (51728, 928, 85771, 53, 4120, 219, 187);
INSERT INTO public.who_data VALUES (51729, 312, 10957, 12, 298, 219, 63);
INSERT INTO public.who_data VALUES (51730, 1307, 2350, 29, 41, 219, 28);
INSERT INTO public.who_data VALUES (51731, 19, 251, 0, 0, 219, 172);
INSERT INTO public.who_data VALUES (51732, 0, 2016, 0, 63, 219, 17);
INSERT INTO public.who_data VALUES (51733, 63, 1552, 1, 21, 219, 226);
INSERT INTO public.who_data VALUES (51734, 328, 8803, 2, 150, 219, 236);
INSERT INTO public.who_data VALUES (51735, 0, 13, 0, 0, 219, 76);
INSERT INTO public.who_data VALUES (51736, 0, 188, 0, 0, 219, 30);
INSERT INTO public.who_data VALUES (51737, 0, 26, 0, 0, 219, 128);
INSERT INTO public.who_data VALUES (51738, 0, 7293, 0, 328, 219, 86);
INSERT INTO public.who_data VALUES (51739, 393, 163550, 17, 30032, 219, 140);
INSERT INTO public.who_data VALUES (51740, 94, 6393, 1, 34, 219, 44);
INSERT INTO public.who_data VALUES (51741, 0, 62, 0, 0, 219, 113);
INSERT INTO public.who_data VALUES (51742, 179, 6121, 0, 46, 219, 29);
INSERT INTO public.who_data VALUES (51743, 14, 78, 0, 3, 219, 125);
INSERT INTO public.who_data VALUES (51744, 4, 1010, 0, 15, 219, 131);
INSERT INTO public.who_data VALUES (51745, 583, 200843, 4, 9082, 219, 46);
INSERT INTO public.who_data VALUES (51746, 695, 26125, 0, 139, 219, 10);
INSERT INTO public.who_data VALUES (51747, 0, 180, 0, 0, 219, 205);
INSERT INTO public.who_data VALUES (51748, 29, 3939, 0, 193, 219, 50);
INSERT INTO public.who_data VALUES (51749, 0, 13, 0, 0, 219, 20);
INSERT INTO public.who_data VALUES (51750, 0, 23, 0, 0, 219, 13);
INSERT INTO public.who_data VALUES (51751, 0, 190, 0, 14, 219, 148);
INSERT INTO public.who_data VALUES (51752, 0, 306, 0, 5, 219, 230);
INSERT INTO public.who_data VALUES (51753, 1202, 32074, 48, 1350, 219, 190);
INSERT INTO public.who_data VALUES (51754, 0, 252, 0, 13, 219, 188);
INSERT INTO public.who_data VALUES (51755, 83, 6359, 1, 39, 219, 123);
INSERT INTO public.who_data VALUES (51756, 0, 1927, 0, 26, 219, 9);
INSERT INTO public.who_data VALUES (51757, 5, 313, 1, 19, 219, 102);
INSERT INTO public.who_data VALUES (51758, 71, 6902, 2, 145, 219, 34);
INSERT INTO public.who_data VALUES (51759, 0, 12, 0, 0, 219, 212);
INSERT INTO public.who_data VALUES (51760, 930, 30036, 18, 825, 219, 122);
INSERT INTO public.who_data VALUES (51761, 16, 4279, 0, 595, 219, 38);
INSERT INTO public.who_data VALUES (51762, 1, 1836, 0, 10, 219, 130);
INSERT INTO public.who_data VALUES (51763, 34956, 1003832, 687, 25602, 219, 37);
INSERT INTO public.who_data VALUES (51764, 1574, 81668, 76, 3873, 219, 231);
INSERT INTO public.who_data VALUES (51765, 2500, 267061, 198, 13608, 219, 107);
INSERT INTO public.who_data VALUES (51766, 2281, 86148, 90, 3522, 219, 101);
INSERT INTO public.who_data VALUES (51767, 15, 25698, 1, 1749, 219, 132);
INSERT INTO public.who_data VALUES (51768, 0, 336, 0, 24, 219, 176);
INSERT INTO public.who_data VALUES (51769, 1877, 44552, 6, 397, 219, 200);
INSERT INTO public.who_data VALUES (51770, 230, 243736, 20, 35017, 219, 169);
INSERT INTO public.who_data VALUES (51771, 1, 763, 0, 10, 219, 225);
INSERT INTO public.who_data VALUES (51772, 583, 23473, 0, 985, 219, 165);
INSERT INTO public.who_data VALUES (51773, 0, 329, 0, 31, 219, 233);
INSERT INTO public.who_data VALUES (51774, 5, 1118, 0, 10, 219, 215);
INSERT INTO public.who_data VALUES (51775, 1808, 68703, 0, 375, 219, 177);
INSERT INTO public.who_data VALUES (51776, 421, 11673, 8, 217, 219, 183);
INSERT INTO public.who_data VALUES (51777, 0, 0, 0, 0, 219, 203);
INSERT INTO public.who_data VALUES (51778, 135, 5329, 6, 108, 219, 162);
INSERT INTO public.who_data VALUES (51779, 791, 57668, 3, 402, 219, 12);
INSERT INTO public.who_data VALUES (51780, 603, 13101, 5, 172, 219, 24);
INSERT INTO public.who_data VALUES (51781, 0, 19, 0, 0, 219, 119);
INSERT INTO public.who_data VALUES (51782, 1, 1179, 0, 31, 219, 39);
INSERT INTO public.who_data VALUES (51783, 57, 2599, 2, 40, 219, 26);
INSERT INTO public.who_data VALUES (51784, 0, 256, 0, 3, 219, 59);
INSERT INTO public.who_data VALUES (51785, 14, 1070, 2, 68, 219, 77);
INSERT INTO public.who_data VALUES (51786, 63, 1652, 3, 46, 219, 134);
INSERT INTO public.who_data VALUES (51787, 1, 86, 0, 1, 219, 4);
INSERT INTO public.who_data VALUES (51788, 6, 1903, 0, 79, 219, 109);
INSERT INTO public.who_data VALUES (51789, 66, 5122, 0, 111, 219, 90);
INSERT INTO public.who_data VALUES (51790, 484, 6089, 10, 53, 219, 61);
INSERT INTO public.who_data VALUES (51791, 102, 2716, 8, 51, 219, 85);
INSERT INTO public.who_data VALUES (51792, 3, 8737, 0, 122, 219, 49);
INSERT INTO public.who_data VALUES (51793, 68, 2899, 1, 15, 219, 208);
INSERT INTO public.who_data VALUES (51794, 7, 2440, 0, 121, 219, 166);
INSERT INTO public.who_data VALUES (51795, 0, 673, 0, 9, 219, 64);
INSERT INTO public.who_data VALUES (51796, 0, 0, 0, 0, 219, 199);
INSERT INTO public.who_data VALUES (51797, 0, 255, 0, 15, 219, 114);
INSERT INTO public.who_data VALUES (51798, 46, 5564, 0, 149, 219, 60);
INSERT INTO public.who_data VALUES (51799, 0, 343, 0, 10, 219, 68);
INSERT INTO public.who_data VALUES (51800, 39, 2782, 0, 37, 219, 158);
INSERT INTO public.who_data VALUES (51801, 6149, 317635, 579, 36906, 219, 52);
INSERT INTO public.who_data VALUES (51802, 0, 0, 0, 0, 219, 117);
INSERT INTO public.who_data VALUES (51803, 0, 79, 0, 1, 219, 126);
INSERT INTO public.who_data VALUES (51804, 0, 261, 0, 0, 219, 196);
INSERT INTO public.who_data VALUES (51805, 40, 2037, 2, 28, 219, 142);
INSERT INTO public.who_data VALUES (51806, 0, 12, 0, 1, 219, 185);
INSERT INTO public.who_data VALUES (51807, 283, 16545, 4, 263, 219, 138);
INSERT INTO public.who_data VALUES (51808, 53, 1383, 0, 9, 219, 181);
INSERT INTO public.who_data VALUES (51809, 2, 339, 0, 6, 219, 178);
INSERT INTO public.who_data VALUES (51810, 72, 1032, 0, 2, 219, 168);
INSERT INTO public.who_data VALUES (51811, 0, 0, 0, 0, 219, 160);
INSERT INTO public.who_data VALUES (51812, 167, 17344, 0, 39, 219, 151);
INSERT INTO public.who_data VALUES (51813, 119, 51243, 2, 6130, 219, 193);
INSERT INTO public.who_data VALUES (51814, 0, 22, 0, 0, 219, 18);
INSERT INTO public.who_data VALUES (51815, 1, 1199, 0, 22, 219, 40);
INSERT INTO public.who_data VALUES (51816, 0, 2712, 0, 99, 219, 218);
INSERT INTO public.who_data VALUES (51817, 3, 1102, 1, 69, 219, 191);
INSERT INTO public.who_data VALUES (51818, 595, 34854, 9, 769, 219, 156);
INSERT INTO public.who_data VALUES (51819, 0, 0, 0, 0, 219, 135);
INSERT INTO public.who_data VALUES (51820, 1, 37, 0, 2, 219, 88);
INSERT INTO public.who_data VALUES (51821, 90, 8612, 8, 401, 219, 55);
INSERT INTO public.who_data VALUES (51822, 10, 9011, 1, 254, 219, 108);
INSERT INTO public.who_data VALUES (51823, 463, 8616, 5, 52, 219, 48);
INSERT INTO public.who_data VALUES (51824, 1327, 62574, 9, 290, 219, 3);
INSERT INTO public.who_data VALUES (51825, 0, 741, 0, 13, 219, 224);
INSERT INTO public.who_data VALUES (51826, 2085, 259999, 49, 5475, 219, 110);
INSERT INTO public.who_data VALUES (51827, 0, 0, 0, 0, 219, 106);
INSERT INTO public.who_data VALUES (51828, 1147, 49243, 22, 982, 219, 89);
INSERT INTO public.who_data VALUES (51829, 4, 15, 0, 0, 219, 121);
INSERT INTO public.who_data VALUES (51830, 124, 3198, 0, 25, 219, 163);
INSERT INTO public.who_data VALUES (51831, 3857, 337724, 188, 12417, 219, 70);
INSERT INTO public.who_data VALUES (51832, 2416, 61266, 29, 1643, 219, 174);
INSERT INTO public.who_data VALUES (51833, 0, 0, 0, 0, 219, 175);
INSERT INTO public.who_data VALUES (51834, 274, 39054, 11, 1605, 219, 118);
INSERT INTO public.who_data VALUES (51835, 339, 47765, 3, 1679, 219, 189);
INSERT INTO public.who_data VALUES (51836, 195, 10574, 1, 172, 219, 124);
INSERT INTO public.who_data VALUES (51837, 494, 105477, 1, 152, 219, 192);
INSERT INTO public.who_data VALUES (51838, 60, 13672, 2, 293, 219, 41);
INSERT INTO public.who_data VALUES (51839, 224, 20264, 4, 666, 219, 95);
INSERT INTO public.who_data VALUES (51840, 6, 614, 0, 3, 219, 74);
INSERT INTO public.who_data VALUES (51841, 777, 35003, 19, 1971, 219, 11);
INSERT INTO public.who_data VALUES (51842, 6406, 759203, 186, 12123, 219, 87);
INSERT INTO public.who_data VALUES (51843, 38, 1473, 0, 4, 219, 214);
INSERT INTO public.who_data VALUES (51844, 0, 3, 0, 0, 219, 116);
INSERT INTO public.who_data VALUES (51845, 0, 6, 0, 0, 219, 157);
INSERT INTO public.who_data VALUES (51846, 0, 0, 0, 0, 219, 182);
INSERT INTO public.who_data VALUES (51847, 0, 17, 0, 0, 219, 186);
INSERT INTO public.who_data VALUES (51848, 0, 23, 0, 0, 219, 127);
INSERT INTO public.who_data VALUES (51849, 0, 44, 0, 3, 219, 232);
INSERT INTO public.who_data VALUES (51850, 2, 4, 0, 0, 219, 33);
INSERT INTO public.who_data VALUES (51851, 0, 35, 0, 0, 219, 97);
INSERT INTO public.who_data VALUES (51852, 0, 0, 0, 0, 219, 42);
INSERT INTO public.who_data VALUES (51853, 0, 716, 0, 42, 219, 198);
INSERT INTO public.who_data VALUES (51854, 323, 740, 2, 14, 219, 216);
INSERT INTO public.who_data VALUES (51855, 2764, 243238, 45, 2370, 219, 164);
INSERT INTO public.who_data VALUES (51856, 112, 8481, 3, 156, 219, 235);
INSERT INTO public.who_data VALUES (51857, 383, 19717, 13, 442, 219, 67);
INSERT INTO public.who_data VALUES (51858, 0, 108, 0, 0, 219, 15);
INSERT INTO public.who_data VALUES (51859, 10, 1678, 0, 64, 219, 180);
INSERT INTO public.who_data VALUES (51860, 248, 47127, 0, 27, 219, 237);
INSERT INTO public.who_data VALUES (51861, 0, 2, 0, 0, 219, 25);
INSERT INTO public.who_data VALUES (51862, 0, 79, 0, 15, 219, 209);
INSERT INTO public.who_data VALUES (51863, 19, 1927, 0, 28, 219, 217);
INSERT INTO public.who_data VALUES (51864, 19, 1898, 0, 114, 219, 79);
INSERT INTO public.who_data VALUES (51865, 0, 0, 0, 0, 219, 143);
INSERT INTO public.who_data VALUES (51866, 23, 3106, 0, 93, 219, 229);
INSERT INTO public.who_data VALUES (51867, 13172, 324221, 216, 4669, 219, 141);
INSERT INTO public.who_data VALUES (51868, 20, 2191, 2, 43, 219, 197);
INSERT INTO public.who_data VALUES (51869, 1721, 270914, 5, 29813, 219, 221);
INSERT INTO public.who_data VALUES (51870, 13, 2687, 0, 11, 219, 150);
INSERT INTO public.who_data VALUES (51871, 0, 10527, 0, 668, 219, 56);
INSERT INTO public.who_data VALUES (51872, 48, 849, 0, 18, 219, 167);
INSERT INTO public.who_data VALUES (51873, 287, 73559, 6, 5680, 219, 23);
INSERT INTO public.who_data VALUES (51874, 106, 33406, 1, 1732, 219, 222);
INSERT INTO public.who_data VALUES (51875, 19, 477, 0, 22, 219, 219);
INSERT INTO public.who_data VALUES (51876, 46, 6741, 0, 56, 219, 7);
INSERT INTO public.who_data VALUES (51877, 3, 3239, 0, 58, 219, 161);
INSERT INTO public.who_data VALUES (51878, 772, 293940, 24, 40949, 219, 149);
INSERT INTO public.who_data VALUES (51879, 0, 24, 0, 0, 219, 6);
INSERT INTO public.who_data VALUES (51880, 9, 749, 0, 15, 219, 139);
INSERT INTO public.who_data VALUES (51881, 0, 0, 0, 0, 219, 211);
INSERT INTO public.who_data VALUES (51882, 0, 0, 0, 0, 219, 14);
INSERT INTO public.who_data VALUES (51883, 0, 133, 0, 8, 219, 111);
INSERT INTO public.who_data VALUES (51884, 9, 1336, 0, 50, 219, 207);
INSERT INTO public.who_data VALUES (51885, 933, 216873, 21, 5440, 219, 66);
INSERT INTO public.who_data VALUES (51886, 0, 0, 0, 0, 219, 173);
INSERT INTO public.who_data VALUES (51887, 0, 72, 0, 2, 219, 145);
INSERT INTO public.who_data VALUES (51888, 0, 0, 0, 0, 219, 65);
INSERT INTO public.who_data VALUES (51889, 8, 1051, 0, 0, 219, 184);
INSERT INTO public.who_data VALUES (51890, 809, 57264, 11, 1456, 219, 98);
INSERT INTO public.who_data VALUES (51891, 281, 56129, 0, 335, 219, 104);
INSERT INTO public.who_data VALUES (51892, 0, 509, 0, 21, 219, 73);
INSERT INTO public.who_data VALUES (51893, 67165, 3472659, 946, 136753, 219, 8);
INSERT INTO public.who_data VALUES (51894, 6, 249, 0, 6, 219, 227);
INSERT INTO public.who_data VALUES (51895, 12, 1009, 0, 31, 219, 75);
INSERT INTO public.who_data VALUES (51896, 562, 15349, 4, 76, 219, 45);
INSERT INTO public.who_data VALUES (51897, 0, 0, 0, 0, 219, 133);
INSERT INTO public.who_data VALUES (51898, 418, 10428, 4, 100, 219, 202);
INSERT INTO public.who_data VALUES (51899, 0, 381, 0, 0, 219, 129);
INSERT INTO public.who_data VALUES (51900, 0, 0, 0, 0, 219, 36);
INSERT INTO public.who_data VALUES (51901, 26, 1556, 5, 439, 219, 51);
INSERT INTO public.who_data VALUES (51902, 0, 2283, 0, 82, 219, 206);
INSERT INTO public.who_data VALUES (51903, 273, 1362, 3, 23, 219, 5);
INSERT INTO public.who_data VALUES (51904, 130, 35156, 19, 1117, 220, 103);
INSERT INTO public.who_data VALUES (51905, 99, 3851, 3, 104, 220, 58);
INSERT INTO public.who_data VALUES (51906, 554, 20770, 12, 1040, 220, 195);
INSERT INTO public.who_data VALUES (51907, 0, 0, 0, 0, 220, 115);
INSERT INTO public.who_data VALUES (51908, 1, 862, 0, 52, 220, 99);
INSERT INTO public.who_data VALUES (51909, 35, 576, 1, 27, 220, 153);
INSERT INTO public.who_data VALUES (51910, 0, 3, 0, 0, 220, 93);
INSERT INTO public.who_data VALUES (51911, 0, 74, 0, 3, 220, 84);
INSERT INTO public.who_data VALUES (51912, 3645, 106910, 61, 1987, 220, 78);
INSERT INTO public.who_data VALUES (51913, 554, 32872, 15, 602, 220, 170);
INSERT INTO public.who_data VALUES (51914, 1, 106, 0, 3, 220, 32);
INSERT INTO public.who_data VALUES (51915, 244, 10495, 3, 111, 220, 155);
INSERT INTO public.who_data VALUES (51916, 55, 19115, 1, 710, 220, 82);
INSERT INTO public.who_data VALUES (51917, 559, 25672, 7, 326, 220, 16);
INSERT INTO public.who_data VALUES (51918, 3, 116, 0, 11, 220, 72);
INSERT INTO public.who_data VALUES (51919, 482, 34560, 6, 117, 220, 43);
INSERT INTO public.who_data VALUES (51920, 3533, 193590, 33, 2457, 220, 120);
INSERT INTO public.who_data VALUES (51921, 0, 103, 0, 7, 220, 213);
INSERT INTO public.who_data VALUES (51922, 174, 65443, 6, 480, 220, 31);
INSERT INTO public.who_data VALUES (51923, 260, 63890, 5, 9659, 220, 204);
INSERT INTO public.who_data VALUES (51924, 2, 39, 0, 2, 220, 152);
INSERT INTO public.who_data VALUES (51925, 0, 1463, 0, 28, 220, 144);
INSERT INTO public.who_data VALUES (51926, 0, 150, 0, 9, 220, 96);
INSERT INTO public.who_data VALUES (51927, 0, 84, 0, 0, 220, 47);
INSERT INTO public.who_data VALUES (51928, 1617, 50867, 32, 1898, 220, 80);
INSERT INTO public.who_data VALUES (51929, 1, 5, 0, 0, 220, 159);
INSERT INTO public.who_data VALUES (51930, 231, 7407, 4, 233, 220, 27);
INSERT INTO public.who_data VALUES (51931, 0, 399, 0, 1, 220, 146);
INSERT INTO public.who_data VALUES (51932, 41857, 1926824, 1300, 74133, 220, 71);
INSERT INTO public.who_data VALUES (51933, 0, 8, 0, 1, 220, 210);
INSERT INTO public.who_data VALUES (51934, 0, 141, 0, 3, 220, 54);
INSERT INTO public.who_data VALUES (51935, 232, 7877, 6, 289, 220, 147);
INSERT INTO public.who_data VALUES (51936, 1, 1038, 0, 53, 220, 2);
INSERT INTO public.who_data VALUES (51937, 34, 303, 0, 1, 220, 105);
INSERT INTO public.who_data VALUES (51938, 57, 1837, 0, 19, 220, 53);
INSERT INTO public.who_data VALUES (51939, 1, 166, 0, 0, 220, 81);
INSERT INTO public.who_data VALUES (51940, 884, 16057, 10, 369, 220, 223);
INSERT INTO public.who_data VALUES (51941, 331, 108486, 8, 8798, 220, 94);
INSERT INTO public.who_data VALUES (51942, 0, 203, 0, 1, 220, 154);
INSERT INTO public.who_data VALUES (51943, 41, 4362, 0, 53, 220, 83);
INSERT INTO public.who_data VALUES (51944, 1, 885, 0, 75, 220, 194);
INSERT INTO public.who_data VALUES (51945, 1712, 321205, 117, 7186, 220, 136);
INSERT INTO public.who_data VALUES (51946, 20, 85697, 2, 4651, 220, 179);
INSERT INTO public.who_data VALUES (51947, 5621, 159898, 170, 5625, 220, 57);
INSERT INTO public.who_data VALUES (51948, 0, 321, 0, 7, 220, 35);
INSERT INTO public.who_data VALUES (51949, 0, 2358, 0, 48, 220, 228);
INSERT INTO public.who_data VALUES (51950, 0, 0, 0, 0, 220, 19);
INSERT INTO public.who_data VALUES (51951, 446, 8482, 5, 36, 220, 22);
INSERT INTO public.who_data VALUES (51952, 0, 13037, 0, 87, 220, 1);
INSERT INTO public.who_data VALUES (51953, 126, 3953, 0, 119, 220, 21);
INSERT INTO public.who_data VALUES (51954, 6, 2438, 0, 87, 220, 234);
INSERT INTO public.who_data VALUES (51955, 0, 26, 0, 1, 220, 91);
INSERT INTO public.who_data VALUES (51956, 1, 1023, 0, 19, 220, 137);
INSERT INTO public.who_data VALUES (51957, 134, 13475, 0, 355, 220, 201);
INSERT INTO public.who_data VALUES (51958, 0, 0, 0, 0, 220, 171);
INSERT INTO public.who_data VALUES (51959, 28, 8162, 2, 191, 220, 92);
INSERT INTO public.who_data VALUES (51960, 31, 13092, 0, 610, 220, 112);
INSERT INTO public.who_data VALUES (51961, 6, 4985, 0, 56, 220, 62);
INSERT INTO public.who_data VALUES (51962, 0, 18, 0, 0, 220, 69);
INSERT INTO public.who_data VALUES (51963, 1366, 47671, 19, 929, 220, 220);
INSERT INTO public.who_data VALUES (51964, 759, 70329, 28, 5158, 220, 100);
INSERT INTO public.who_data VALUES (51965, 913, 84843, 59, 4067, 220, 187);
INSERT INTO public.who_data VALUES (51966, 342, 10645, 8, 286, 220, 63);
INSERT INTO public.who_data VALUES (51967, 0, 1043, 0, 12, 220, 28);
INSERT INTO public.who_data VALUES (51968, 0, 232, 0, 0, 220, 172);
INSERT INTO public.who_data VALUES (51969, 1, 2016, 0, 63, 220, 17);
INSERT INTO public.who_data VALUES (51970, 55, 1489, 0, 20, 220, 226);
INSERT INTO public.who_data VALUES (51971, 294, 8475, 2, 148, 220, 236);
INSERT INTO public.who_data VALUES (51972, 0, 13, 0, 0, 220, 76);
INSERT INTO public.who_data VALUES (51973, 0, 188, 0, 0, 220, 30);
INSERT INTO public.who_data VALUES (51974, 0, 26, 0, 0, 220, 128);
INSERT INTO public.who_data VALUES (51975, 0, 7293, 0, 328, 220, 86);
INSERT INTO public.who_data VALUES (51976, 767, 163157, 87, 30015, 220, 140);
INSERT INTO public.who_data VALUES (51977, 70, 6299, 2, 33, 220, 44);
INSERT INTO public.who_data VALUES (51978, 0, 62, 0, 0, 220, 113);
INSERT INTO public.who_data VALUES (51979, 0, 5942, 0, 46, 220, 29);
INSERT INTO public.who_data VALUES (51980, 0, 64, 0, 3, 220, 125);
INSERT INTO public.who_data VALUES (51981, 3, 1006, 0, 15, 220, 131);
INSERT INTO public.who_data VALUES (51982, 534, 200260, 7, 9078, 220, 46);
INSERT INTO public.who_data VALUES (51983, 442, 25430, 0, 139, 220, 10);
INSERT INTO public.who_data VALUES (51984, 0, 180, 0, 0, 220, 205);
INSERT INTO public.who_data VALUES (51985, 27, 3910, 0, 193, 220, 50);
INSERT INTO public.who_data VALUES (51986, 0, 13, 0, 0, 220, 20);
INSERT INTO public.who_data VALUES (51987, 0, 23, 0, 0, 220, 13);
INSERT INTO public.who_data VALUES (51988, 0, 190, 0, 14, 220, 148);
INSERT INTO public.who_data VALUES (51989, 1, 306, 0, 5, 220, 230);
INSERT INTO public.who_data VALUES (51990, 1130, 30872, 58, 1302, 220, 190);
INSERT INTO public.who_data VALUES (51991, 0, 252, 0, 13, 220, 188);
INSERT INTO public.who_data VALUES (51992, 76, 6276, 0, 38, 220, 123);
INSERT INTO public.who_data VALUES (51993, 25, 1927, 0, 26, 220, 9);
INSERT INTO public.who_data VALUES (51994, 8, 308, 1, 18, 220, 102);
INSERT INTO public.who_data VALUES (51995, 104, 6831, 2, 143, 220, 34);
INSERT INTO public.who_data VALUES (51996, 0, 12, 0, 0, 220, 212);
INSERT INTO public.who_data VALUES (51997, 527, 29106, 18, 807, 220, 122);
INSERT INTO public.who_data VALUES (51998, 0, 4263, 0, 595, 220, 38);
INSERT INTO public.who_data VALUES (51999, 0, 1835, 0, 10, 220, 130);
INSERT INTO public.who_data VALUES (52000, 32695, 968876, 606, 24915, 220, 37);
INSERT INTO public.who_data VALUES (52001, 1522, 80094, 87, 3797, 220, 231);
INSERT INTO public.who_data VALUES (52002, 2388, 264561, 199, 13410, 220, 107);
INSERT INTO public.who_data VALUES (52003, 2110, 83867, 87, 3432, 220, 101);
INSERT INTO public.who_data VALUES (52004, 13, 25683, 2, 1748, 220, 132);
INSERT INTO public.who_data VALUES (52005, 0, 336, 0, 24, 220, 176);
INSERT INTO public.who_data VALUES (52006, 1603, 42675, 7, 391, 220, 200);
INSERT INTO public.who_data VALUES (52007, 162, 243506, 13, 34997, 220, 169);
INSERT INTO public.who_data VALUES (52008, 3, 762, 0, 10, 220, 225);
INSERT INTO public.who_data VALUES (52009, 382, 22890, 1, 985, 220, 165);
INSERT INTO public.who_data VALUES (52010, 0, 329, 0, 31, 220, 233);
INSERT INTO public.who_data VALUES (52011, 3, 1113, 0, 10, 220, 215);
INSERT INTO public.who_data VALUES (52012, 1707, 66895, 0, 375, 220, 177);
INSERT INTO public.who_data VALUES (52013, 461, 11252, 7, 209, 220, 183);
INSERT INTO public.who_data VALUES (52014, 0, 0, 0, 0, 220, 203);
INSERT INTO public.who_data VALUES (52015, 119, 5194, 4, 102, 220, 162);
INSERT INTO public.who_data VALUES (52016, 703, 56877, 3, 399, 220, 12);
INSERT INTO public.who_data VALUES (52017, 521, 12498, 7, 167, 220, 24);
INSERT INTO public.who_data VALUES (52018, 0, 19, 0, 0, 220, 119);
INSERT INTO public.who_data VALUES (52019, 0, 1178, 0, 31, 220, 39);
INSERT INTO public.who_data VALUES (52020, 91, 2542, 1, 38, 220, 26);
INSERT INTO public.who_data VALUES (52021, 0, 256, 0, 3, 220, 59);
INSERT INTO public.who_data VALUES (52022, 18, 1056, 15, 66, 220, 77);
INSERT INTO public.who_data VALUES (52023, 26, 1589, 1, 43, 220, 134);
INSERT INTO public.who_data VALUES (52024, 0, 85, 0, 1, 220, 4);
INSERT INTO public.who_data VALUES (52025, 6, 1897, 0, 79, 220, 109);
INSERT INTO public.who_data VALUES (52026, 0, 5056, 0, 111, 220, 90);
INSERT INTO public.who_data VALUES (52027, 262, 5605, 4, 43, 220, 61);
INSERT INTO public.who_data VALUES (52028, 117, 2614, 3, 43, 220, 85);
INSERT INTO public.who_data VALUES (52029, 5, 8734, 0, 122, 220, 49);
INSERT INTO public.who_data VALUES (52030, 30, 2831, 0, 14, 220, 208);
INSERT INTO public.who_data VALUES (52031, 10, 2433, 0, 121, 220, 166);
INSERT INTO public.who_data VALUES (52032, 0, 673, 0, 9, 220, 64);
INSERT INTO public.who_data VALUES (52033, 0, 0, 0, 0, 220, 199);
INSERT INTO public.who_data VALUES (52034, 0, 255, 0, 15, 220, 114);
INSERT INTO public.who_data VALUES (52035, 72, 5518, 0, 149, 220, 60);
INSERT INTO public.who_data VALUES (52036, 0, 343, 0, 10, 220, 68);
INSERT INTO public.who_data VALUES (52037, 19, 2743, 0, 37, 220, 158);
INSERT INTO public.who_data VALUES (52038, 7051, 311486, 836, 36327, 220, 52);
INSERT INTO public.who_data VALUES (52039, 0, 0, 0, 0, 220, 117);
INSERT INTO public.who_data VALUES (52040, 0, 79, 0, 1, 220, 126);
INSERT INTO public.who_data VALUES (52041, 18, 261, 0, 0, 220, 196);
INSERT INTO public.who_data VALUES (52042, 59, 1997, 1, 26, 220, 142);
INSERT INTO public.who_data VALUES (52043, 0, 12, 0, 1, 220, 185);
INSERT INTO public.who_data VALUES (52044, 165, 16262, 2, 259, 220, 138);
INSERT INTO public.who_data VALUES (52045, 62, 1330, 0, 9, 220, 181);
INSERT INTO public.who_data VALUES (52046, 0, 337, 0, 6, 220, 178);
INSERT INTO public.who_data VALUES (52047, 96, 960, 0, 2, 220, 168);
INSERT INTO public.who_data VALUES (52048, 0, 0, 0, 0, 220, 160);
INSERT INTO public.who_data VALUES (52049, 116, 17177, 1, 39, 220, 151);
INSERT INTO public.who_data VALUES (52050, 109, 51124, 2, 6128, 220, 193);
INSERT INTO public.who_data VALUES (52051, 0, 22, 0, 0, 220, 18);
INSERT INTO public.who_data VALUES (52052, 1, 1198, 0, 22, 220, 40);
INSERT INTO public.who_data VALUES (52053, 0, 2712, 0, 99, 220, 218);
INSERT INTO public.who_data VALUES (52054, 0, 1099, 0, 68, 220, 191);
INSERT INTO public.who_data VALUES (52055, 643, 34259, 6, 760, 220, 156);
INSERT INTO public.who_data VALUES (52056, 0, 0, 0, 0, 220, 135);
INSERT INTO public.who_data VALUES (52057, 0, 36, 0, 2, 220, 88);
INSERT INTO public.who_data VALUES (52058, 191, 8522, 4, 393, 220, 55);
INSERT INTO public.who_data VALUES (52059, 17, 9001, 0, 253, 220, 108);
INSERT INTO public.who_data VALUES (52060, 419, 8153, 0, 47, 220, 48);
INSERT INTO public.who_data VALUES (52061, 1679, 61247, 8, 281, 220, 3);
INSERT INTO public.who_data VALUES (52062, 0, 741, 0, 13, 220, 224);
INSERT INTO public.who_data VALUES (52063, 2145, 257914, 40, 5426, 220, 110);
INSERT INTO public.who_data VALUES (52064, 0, 0, 0, 0, 220, 106);
INSERT INTO public.who_data VALUES (52065, 923, 48096, 28, 960, 220, 89);
INSERT INTO public.who_data VALUES (52066, 0, 11, 0, 0, 220, 121);
INSERT INTO public.who_data VALUES (52067, 94, 3074, 0, 25, 220, 163);
INSERT INTO public.who_data VALUES (52068, 3744, 333867, 175, 12229, 220, 70);
INSERT INTO public.who_data VALUES (52069, 1305, 58850, 11, 1614, 220, 174);
INSERT INTO public.who_data VALUES (52070, 0, 0, 0, 0, 220, 175);
INSERT INTO public.who_data VALUES (52071, 323, 38780, 6, 1594, 220, 118);
INSERT INTO public.who_data VALUES (52072, 375, 47426, 8, 1676, 220, 189);
INSERT INTO public.who_data VALUES (52073, 256, 10379, 2, 171, 220, 124);
INSERT INTO public.who_data VALUES (52074, 450, 104983, 1, 151, 220, 192);
INSERT INTO public.who_data VALUES (52075, 61, 13612, 2, 291, 220, 41);
INSERT INTO public.who_data VALUES (52076, 332, 20040, 4, 662, 220, 95);
INSERT INTO public.who_data VALUES (52077, 9, 608, 0, 3, 220, 74);
INSERT INTO public.who_data VALUES (52078, 641, 34226, 21, 1952, 220, 11);
INSERT INTO public.who_data VALUES (52079, 6428, 752797, 167, 11937, 220, 87);
INSERT INTO public.who_data VALUES (52080, 19, 1435, 0, 4, 220, 214);
INSERT INTO public.who_data VALUES (52081, 0, 3, 0, 0, 220, 116);
INSERT INTO public.who_data VALUES (52082, 0, 6, 0, 0, 220, 157);
INSERT INTO public.who_data VALUES (52083, 0, 0, 0, 0, 220, 182);
INSERT INTO public.who_data VALUES (52084, 0, 17, 0, 0, 220, 186);
INSERT INTO public.who_data VALUES (52085, 1, 23, 0, 0, 220, 127);
INSERT INTO public.who_data VALUES (52086, 0, 44, 0, 3, 220, 232);
INSERT INTO public.who_data VALUES (52087, 0, 2, 0, 0, 220, 33);
INSERT INTO public.who_data VALUES (52088, 0, 35, 0, 0, 220, 97);
INSERT INTO public.who_data VALUES (52089, 0, 0, 0, 0, 220, 42);
INSERT INTO public.who_data VALUES (52090, 0, 716, 0, 42, 220, 198);
INSERT INTO public.who_data VALUES (52091, 1, 417, 0, 12, 220, 216);
INSERT INTO public.who_data VALUES (52092, 2671, 240474, 42, 2325, 220, 164);
INSERT INTO public.who_data VALUES (52093, 126, 8369, 3, 153, 220, 235);
INSERT INTO public.who_data VALUES (52094, 351, 19334, 11, 429, 220, 67);
INSERT INTO public.who_data VALUES (52095, 8, 108, 0, 0, 220, 15);
INSERT INTO public.who_data VALUES (52096, 17, 1668, 0, 64, 220, 180);
INSERT INTO public.who_data VALUES (52097, 249, 46879, 0, 27, 220, 237);
INSERT INTO public.who_data VALUES (52098, 0, 2, 0, 0, 220, 25);
INSERT INTO public.who_data VALUES (52099, 1, 79, 0, 15, 220, 209);
INSERT INTO public.who_data VALUES (52100, 6, 1908, 0, 28, 220, 217);
INSERT INTO public.who_data VALUES (52101, 19, 1879, 0, 114, 220, 79);
INSERT INTO public.who_data VALUES (52102, 0, 0, 0, 0, 220, 143);
INSERT INTO public.who_data VALUES (52103, 7, 3083, 0, 93, 220, 229);
INSERT INTO public.who_data VALUES (52104, 12757, 311049, 107, 4453, 220, 141);
INSERT INTO public.who_data VALUES (52105, 18, 2171, 0, 41, 220, 197);
INSERT INTO public.who_data VALUES (52106, 1390, 269193, 2, 29808, 220, 221);
INSERT INTO public.who_data VALUES (52107, 9, 2674, 0, 11, 220, 150);
INSERT INTO public.who_data VALUES (52108, 110, 10527, 9, 668, 220, 56);
INSERT INTO public.who_data VALUES (52109, 21, 801, 0, 18, 220, 167);
INSERT INTO public.who_data VALUES (52110, 312, 73272, 8, 5674, 220, 23);
INSERT INTO public.who_data VALUES (52111, 123, 33300, 1, 1731, 220, 222);
INSERT INTO public.who_data VALUES (52112, 19, 458, 1, 22, 220, 219);
INSERT INTO public.who_data VALUES (52113, 52, 6695, 0, 56, 220, 7);
INSERT INTO public.who_data VALUES (52114, 4, 3236, 0, 58, 220, 161);
INSERT INTO public.who_data VALUES (52115, 685, 293168, 26, 40925, 220, 149);
INSERT INTO public.who_data VALUES (52116, 0, 24, 0, 0, 220, 6);
INSERT INTO public.who_data VALUES (52117, 9, 740, 0, 15, 220, 139);
INSERT INTO public.who_data VALUES (52118, 0, 0, 0, 0, 220, 211);
INSERT INTO public.who_data VALUES (52119, 0, 0, 0, 0, 220, 14);
INSERT INTO public.who_data VALUES (52120, 0, 133, 0, 8, 220, 111);
INSERT INTO public.who_data VALUES (52121, 8, 1327, 0, 50, 220, 207);
INSERT INTO public.who_data VALUES (52122, 947, 215940, 17, 5419, 220, 66);
INSERT INTO public.who_data VALUES (52123, 0, 0, 0, 0, 220, 173);
INSERT INTO public.who_data VALUES (52124, 0, 72, 0, 2, 220, 145);
INSERT INTO public.who_data VALUES (52125, 0, 0, 0, 0, 220, 65);
INSERT INTO public.who_data VALUES (52126, 3, 1043, 0, 0, 220, 184);
INSERT INTO public.who_data VALUES (52127, 848, 56455, 18, 1445, 220, 98);
INSERT INTO public.who_data VALUES (52128, 275, 55848, 0, 335, 220, 104);
INSERT INTO public.who_data VALUES (52129, 0, 509, 0, 21, 220, 73);
INSERT INTO public.who_data VALUES (52130, 60711, 3405494, 754, 135807, 220, 8);
INSERT INTO public.who_data VALUES (52131, 37, 243, 0, 6, 220, 227);
INSERT INTO public.who_data VALUES (52132, 8, 997, 0, 31, 220, 75);
INSERT INTO public.who_data VALUES (52133, 494, 14787, 4, 72, 220, 45);
INSERT INTO public.who_data VALUES (52134, 0, 0, 0, 0, 220, 133);
INSERT INTO public.who_data VALUES (52135, 303, 10010, 3, 96, 220, 202);
INSERT INTO public.who_data VALUES (52136, 8, 381, 0, 0, 220, 129);
INSERT INTO public.who_data VALUES (52137, 0, 0, 0, 0, 220, 36);
INSERT INTO public.who_data VALUES (52138, 10, 1530, 4, 434, 220, 51);
INSERT INTO public.who_data VALUES (52139, 0, 2283, 0, 82, 220, 206);
INSERT INTO public.who_data VALUES (52140, 25, 1089, 0, 20, 220, 5);
INSERT INTO public.who_data VALUES (52141, 200, 35026, 49, 1098, 221, 103);
INSERT INTO public.who_data VALUES (52142, 85, 3752, 4, 101, 221, 58);
INSERT INTO public.who_data VALUES (52143, 527, 20216, 10, 1028, 221, 195);
INSERT INTO public.who_data VALUES (52144, 0, 0, 0, 0, 221, 115);
INSERT INTO public.who_data VALUES (52145, 3, 861, 0, 52, 221, 99);
INSERT INTO public.who_data VALUES (52146, 16, 541, 0, 26, 221, 153);
INSERT INTO public.who_data VALUES (52147, 0, 3, 0, 0, 221, 93);
INSERT INTO public.who_data VALUES (52148, 0, 74, 0, 3, 221, 84);
INSERT INTO public.who_data VALUES (52149, 3099, 103265, 67, 1926, 221, 78);
INSERT INTO public.who_data VALUES (52150, 515, 32318, 11, 587, 221, 170);
INSERT INTO public.who_data VALUES (52151, 0, 105, 0, 3, 221, 32);
INSERT INTO public.who_data VALUES (52152, 271, 10251, 0, 108, 221, 155);
INSERT INTO public.who_data VALUES (52153, 201, 19060, 1, 709, 221, 82);
INSERT INTO public.who_data VALUES (52154, 543, 25113, 6, 319, 221, 16);
INSERT INTO public.who_data VALUES (52155, 2, 113, 0, 11, 221, 72);
INSERT INTO public.who_data VALUES (52156, 602, 34078, 2, 111, 221, 43);
INSERT INTO public.who_data VALUES (52157, 3163, 190057, 33, 2424, 221, 120);
INSERT INTO public.who_data VALUES (52158, 0, 103, 0, 7, 221, 213);
INSERT INTO public.who_data VALUES (52159, 155, 65269, 6, 474, 221, 31);
INSERT INTO public.who_data VALUES (52160, 207, 63630, 3, 9654, 221, 204);
INSERT INTO public.who_data VALUES (52161, 0, 37, 0, 2, 221, 152);
INSERT INTO public.who_data VALUES (52162, 85, 1463, 2, 28, 221, 144);
INSERT INTO public.who_data VALUES (52163, 0, 150, 0, 9, 221, 96);
INSERT INTO public.who_data VALUES (52164, 0, 84, 0, 0, 221, 47);
INSERT INTO public.who_data VALUES (52165, 1063, 49250, 59, 1866, 221, 80);
INSERT INTO public.who_data VALUES (52166, 0, 4, 0, 0, 221, 159);
INSERT INTO public.who_data VALUES (52167, 197, 7176, 5, 229, 221, 27);
INSERT INTO public.who_data VALUES (52168, 0, 399, 0, 1, 221, 146);
INSERT INTO public.who_data VALUES (52169, 20286, 1884967, 733, 72833, 221, 71);
INSERT INTO public.who_data VALUES (52170, 0, 8, 0, 1, 221, 210);
INSERT INTO public.who_data VALUES (52171, 0, 141, 0, 3, 221, 54);
INSERT INTO public.who_data VALUES (52172, 234, 7645, 7, 283, 221, 147);
INSERT INTO public.who_data VALUES (52173, 1, 1037, 0, 53, 221, 2);
INSERT INTO public.who_data VALUES (52174, 0, 269, 0, 1, 221, 105);
INSERT INTO public.who_data VALUES (52175, 58, 1780, 0, 19, 221, 53);
INSERT INTO public.who_data VALUES (52176, 0, 165, 0, 0, 221, 81);
INSERT INTO public.who_data VALUES (52177, 0, 15173, 0, 359, 221, 223);
INSERT INTO public.who_data VALUES (52178, 565, 108155, 7, 8790, 221, 94);
INSERT INTO public.who_data VALUES (52179, 2, 203, 0, 1, 221, 154);
INSERT INTO public.who_data VALUES (52180, 0, 4321, 0, 53, 221, 83);
INSERT INTO public.who_data VALUES (52181, 4, 884, 0, 75, 221, 194);
INSERT INTO public.who_data VALUES (52182, 1836, 319493, 45, 7069, 221, 136);
INSERT INTO public.who_data VALUES (52183, 54, 85677, 0, 4649, 221, 179);
INSERT INTO public.who_data VALUES (52184, 3832, 154277, 148, 5455, 221, 57);
INSERT INTO public.who_data VALUES (52185, 4, 321, 0, 7, 221, 35);
INSERT INTO public.who_data VALUES (52186, 136, 2358, 1, 48, 221, 228);
INSERT INTO public.who_data VALUES (52187, 0, 0, 0, 0, 221, 19);
INSERT INTO public.who_data VALUES (52188, 440, 8036, 1, 31, 221, 22);
INSERT INTO public.who_data VALUES (52189, 165, 13037, 3, 87, 221, 1);
INSERT INTO public.who_data VALUES (52190, 52, 3827, 0, 119, 221, 21);
INSERT INTO public.who_data VALUES (52191, 4, 2432, 0, 87, 221, 234);
INSERT INTO public.who_data VALUES (52192, 0, 26, 0, 1, 221, 91);
INSERT INTO public.who_data VALUES (52193, 0, 1022, 0, 19, 221, 137);
INSERT INTO public.who_data VALUES (52194, 103, 13341, 2, 355, 221, 201);
INSERT INTO public.who_data VALUES (52195, 0, 0, 0, 0, 221, 171);
INSERT INTO public.who_data VALUES (52196, 60, 8134, 0, 189, 221, 92);
INSERT INTO public.who_data VALUES (52197, 24, 13061, 0, 610, 221, 112);
INSERT INTO public.who_data VALUES (52198, 2, 4979, 0, 56, 221, 62);
INSERT INTO public.who_data VALUES (52199, 0, 18, 0, 0, 221, 69);
INSERT INTO public.who_data VALUES (52200, 799, 46305, 7, 910, 221, 220);
INSERT INTO public.who_data VALUES (52201, 1111, 69570, 67, 5130, 221, 100);
INSERT INTO public.who_data VALUES (52202, 929, 83930, 73, 4008, 221, 187);
INSERT INTO public.who_data VALUES (52203, 325, 10303, 11, 278, 221, 63);
INSERT INTO public.who_data VALUES (52204, 0, 1043, 0, 12, 221, 28);
INSERT INTO public.who_data VALUES (52205, 0, 232, 0, 0, 221, 172);
INSERT INTO public.who_data VALUES (52206, 1, 2015, 0, 63, 221, 17);
INSERT INTO public.who_data VALUES (52207, 45, 1434, 0, 20, 221, 226);
INSERT INTO public.who_data VALUES (52208, 212, 8181, 7, 146, 221, 236);
INSERT INTO public.who_data VALUES (52209, 0, 13, 0, 0, 221, 76);
INSERT INTO public.who_data VALUES (52210, 0, 188, 0, 0, 221, 30);
INSERT INTO public.who_data VALUES (52211, 0, 26, 0, 0, 221, 128);
INSERT INTO public.who_data VALUES (52212, 0, 7293, 0, 328, 221, 86);
INSERT INTO public.who_data VALUES (52213, 0, 162390, 0, 29928, 221, 140);
INSERT INTO public.who_data VALUES (52214, 59, 6229, 2, 31, 221, 44);
INSERT INTO public.who_data VALUES (52215, 0, 62, 0, 0, 221, 113);
INSERT INTO public.who_data VALUES (52216, 0, 5942, 0, 46, 221, 29);
INSERT INTO public.who_data VALUES (52217, 0, 64, 0, 3, 221, 125);
INSERT INTO public.who_data VALUES (52218, 4, 1003, 0, 15, 221, 131);
INSERT INTO public.who_data VALUES (52219, 351, 199726, 3, 9071, 221, 46);
INSERT INTO public.who_data VALUES (52220, 0, 24988, 0, 139, 221, 10);
INSERT INTO public.who_data VALUES (52221, 0, 180, 0, 0, 221, 205);
INSERT INTO public.who_data VALUES (52222, 57, 3883, 0, 193, 221, 50);
INSERT INTO public.who_data VALUES (52223, 0, 13, 0, 0, 221, 20);
INSERT INTO public.who_data VALUES (52224, 0, 23, 0, 0, 221, 13);
INSERT INTO public.who_data VALUES (52225, 0, 190, 0, 14, 221, 148);
INSERT INTO public.who_data VALUES (52226, 1, 305, 0, 5, 221, 230);
INSERT INTO public.who_data VALUES (52227, 387, 29742, 25, 1244, 221, 190);
INSERT INTO public.who_data VALUES (52228, 0, 252, 0, 13, 221, 188);
INSERT INTO public.who_data VALUES (52229, 30, 6200, 0, 38, 221, 123);
INSERT INTO public.who_data VALUES (52230, 0, 1902, 0, 26, 221, 9);
INSERT INTO public.who_data VALUES (52231, 3, 300, 0, 17, 221, 102);
INSERT INTO public.who_data VALUES (52232, 0, 6727, 2, 141, 221, 34);
INSERT INTO public.who_data VALUES (52233, 0, 12, 0, 0, 221, 212);
INSERT INTO public.who_data VALUES (52234, 489, 28579, 15, 789, 221, 122);
INSERT INTO public.who_data VALUES (52235, 16, 4263, 0, 595, 221, 38);
INSERT INTO public.who_data VALUES (52236, 2, 1835, 0, 10, 221, 130);
INSERT INTO public.who_data VALUES (52237, 29429, 936181, 582, 24309, 221, 37);
INSERT INTO public.who_data VALUES (52238, 1591, 78572, 54, 3710, 221, 231);
INSERT INTO public.who_data VALUES (52239, 2521, 262173, 179, 13211, 221, 107);
INSERT INTO public.who_data VALUES (52240, 2022, 81757, 95, 3345, 221, 101);
INSERT INTO public.who_data VALUES (52241, 32, 25670, 0, 1746, 221, 132);
INSERT INTO public.who_data VALUES (52242, 0, 336, 0, 24, 221, 176);
INSERT INTO public.who_data VALUES (52243, 1720, 41072, 4, 384, 221, 200);
INSERT INTO public.who_data VALUES (52244, 114, 243344, 17, 34984, 221, 169);
INSERT INTO public.who_data VALUES (52245, 1, 759, 0, 10, 221, 225);
INSERT INTO public.who_data VALUES (52246, 288, 22508, 2, 984, 221, 165);
INSERT INTO public.who_data VALUES (52247, 0, 329, 0, 31, 221, 233);
INSERT INTO public.who_data VALUES (52248, 15, 1110, 0, 10, 221, 215);
INSERT INTO public.who_data VALUES (52249, 1674, 65188, 0, 375, 221, 177);
INSERT INTO public.who_data VALUES (52250, 497, 10791, 5, 202, 221, 183);
INSERT INTO public.who_data VALUES (52251, 0, 0, 0, 0, 221, 203);
INSERT INTO public.who_data VALUES (52252, 0, 5075, 0, 98, 221, 162);
INSERT INTO public.who_data VALUES (52253, 666, 56174, 3, 396, 221, 12);
INSERT INTO public.who_data VALUES (52254, 439, 11977, 11, 160, 221, 24);
INSERT INTO public.who_data VALUES (52255, 0, 19, 0, 0, 221, 119);
INSERT INTO public.who_data VALUES (52256, 4, 1178, 0, 31, 221, 39);
INSERT INTO public.who_data VALUES (52257, 32, 2451, 1, 37, 221, 26);
INSERT INTO public.who_data VALUES (52258, 11, 256, 0, 3, 221, 59);
INSERT INTO public.who_data VALUES (52259, 14, 1038, 0, 51, 221, 77);
INSERT INTO public.who_data VALUES (52260, 51, 1563, 2, 42, 221, 134);
INSERT INTO public.who_data VALUES (52261, 0, 85, 0, 1, 221, 4);
INSERT INTO public.who_data VALUES (52262, 21, 1891, 0, 79, 221, 109);
INSERT INTO public.who_data VALUES (52263, 100, 5056, 0, 111, 221, 90);
INSERT INTO public.who_data VALUES (52264, 263, 5343, 2, 39, 221, 61);
INSERT INTO public.who_data VALUES (52265, 67, 2497, 1, 40, 221, 85);
INSERT INTO public.who_data VALUES (52266, 4, 8729, 0, 122, 221, 49);
INSERT INTO public.who_data VALUES (52267, 39, 2801, 1, 14, 221, 208);
INSERT INTO public.who_data VALUES (52268, 11, 2423, 0, 121, 221, 166);
INSERT INTO public.who_data VALUES (52269, 0, 673, 0, 9, 221, 64);
INSERT INTO public.who_data VALUES (52270, 0, 0, 0, 0, 221, 199);
INSERT INTO public.who_data VALUES (52271, 0, 255, 0, 15, 221, 114);
INSERT INTO public.who_data VALUES (52272, 91, 5446, 2, 149, 221, 60);
INSERT INTO public.who_data VALUES (52273, 0, 343, 0, 10, 221, 68);
INSERT INTO public.who_data VALUES (52274, 0, 2724, 0, 37, 221, 158);
INSERT INTO public.who_data VALUES (52275, 4685, 304435, 485, 35491, 221, 52);
INSERT INTO public.who_data VALUES (52276, 0, 0, 0, 0, 221, 117);
INSERT INTO public.who_data VALUES (52277, 0, 79, 0, 1, 221, 126);
INSERT INTO public.who_data VALUES (52278, 13, 243, 0, 0, 221, 196);
INSERT INTO public.who_data VALUES (52279, 70, 1938, 0, 25, 221, 142);
INSERT INTO public.who_data VALUES (52280, 0, 12, 0, 1, 221, 185);
INSERT INTO public.who_data VALUES (52281, 161, 16097, 2, 257, 221, 138);
INSERT INTO public.who_data VALUES (52282, 49, 1268, 0, 9, 221, 181);
INSERT INTO public.who_data VALUES (52283, 1, 337, 0, 6, 221, 178);
INSERT INTO public.who_data VALUES (52284, 3, 864, 1, 2, 221, 168);
INSERT INTO public.who_data VALUES (52285, 0, 0, 0, 0, 221, 160);
INSERT INTO public.who_data VALUES (52286, 116, 17061, 0, 38, 221, 151);
INSERT INTO public.who_data VALUES (52287, 98, 51015, 10, 6126, 221, 193);
INSERT INTO public.who_data VALUES (52288, 1, 22, 0, 0, 221, 18);
INSERT INTO public.who_data VALUES (52289, 2, 1197, 0, 22, 221, 40);
INSERT INTO public.who_data VALUES (52290, 301, 2712, 8, 99, 221, 218);
INSERT INTO public.who_data VALUES (52291, 0, 1099, 0, 68, 221, 191);
INSERT INTO public.who_data VALUES (52292, 463, 33616, 10, 754, 221, 156);
INSERT INTO public.who_data VALUES (52293, 0, 0, 0, 0, 221, 135);
INSERT INTO public.who_data VALUES (52294, 3, 36, 0, 2, 221, 88);
INSERT INTO public.who_data VALUES (52295, 134, 8331, 4, 389, 221, 55);
INSERT INTO public.who_data VALUES (52296, 3, 8984, 0, 253, 221, 108);
INSERT INTO public.who_data VALUES (52297, 293, 7734, 6, 47, 221, 48);
INSERT INTO public.who_data VALUES (52298, 1389, 59568, 14, 273, 221, 3);
INSERT INTO public.who_data VALUES (52299, 0, 741, 0, 13, 221, 224);
INSERT INTO public.who_data VALUES (52300, 2165, 255769, 67, 5386, 221, 110);
INSERT INTO public.who_data VALUES (52301, 0, 0, 0, 0, 221, 106);
INSERT INTO public.who_data VALUES (52302, 1540, 47173, 23, 932, 221, 89);
INSERT INTO public.who_data VALUES (52303, 0, 11, 0, 0, 221, 121);
INSERT INTO public.who_data VALUES (52304, 0, 2980, 0, 25, 221, 163);
INSERT INTO public.who_data VALUES (52305, 3797, 330123, 184, 12054, 221, 70);
INSERT INTO public.who_data VALUES (52306, 539, 57545, 4, 1603, 221, 174);
INSERT INTO public.who_data VALUES (52307, 0, 0, 0, 0, 221, 175);
INSERT INTO public.who_data VALUES (52308, 267, 38457, 12, 1588, 221, 118);
INSERT INTO public.who_data VALUES (52309, 233, 47051, 6, 1668, 221, 189);
INSERT INTO public.who_data VALUES (52310, 113, 10123, 2, 169, 221, 124);
INSERT INTO public.who_data VALUES (52311, 517, 104533, 1, 150, 221, 192);
INSERT INTO public.who_data VALUES (52312, 39, 13551, 0, 289, 221, 41);
INSERT INTO public.who_data VALUES (52313, 269, 19708, 6, 658, 221, 95);
INSERT INTO public.who_data VALUES (52314, 3, 599, 0, 3, 221, 74);
INSERT INTO public.who_data VALUES (52315, 637, 33585, 30, 1931, 221, 11);
INSERT INTO public.who_data VALUES (52316, 6422, 746369, 156, 11770, 221, 87);
INSERT INTO public.who_data VALUES (52317, 38, 1416, 0, 4, 221, 214);
INSERT INTO public.who_data VALUES (52318, 0, 3, 0, 0, 221, 116);
INSERT INTO public.who_data VALUES (52319, 0, 6, 0, 0, 221, 157);
INSERT INTO public.who_data VALUES (52320, 0, 0, 0, 0, 221, 182);
INSERT INTO public.who_data VALUES (52321, 0, 17, 0, 0, 221, 186);
INSERT INTO public.who_data VALUES (52322, 0, 22, 0, 0, 221, 127);
INSERT INTO public.who_data VALUES (52323, 0, 44, 0, 3, 221, 232);
INSERT INTO public.who_data VALUES (52324, 0, 2, 0, 0, 221, 33);
INSERT INTO public.who_data VALUES (52325, 0, 35, 0, 0, 221, 97);
INSERT INTO public.who_data VALUES (52326, 0, 0, 0, 0, 221, 42);
INSERT INTO public.who_data VALUES (52327, 0, 716, 0, 42, 221, 198);
INSERT INTO public.who_data VALUES (52328, 4, 416, 0, 12, 221, 216);
INSERT INTO public.who_data VALUES (52329, 2692, 237803, 40, 2283, 221, 164);
INSERT INTO public.who_data VALUES (52330, 45, 8243, 0, 150, 221, 235);
INSERT INTO public.who_data VALUES (52331, 344, 18983, 13, 418, 221, 67);
INSERT INTO public.who_data VALUES (52332, 0, 100, 0, 0, 221, 15);
INSERT INTO public.who_data VALUES (52333, 9, 1651, 1, 64, 221, 180);
INSERT INTO public.who_data VALUES (52334, 347, 46630, 1, 27, 221, 237);
INSERT INTO public.who_data VALUES (52335, 0, 2, 0, 0, 221, 25);
INSERT INTO public.who_data VALUES (52336, 0, 78, 0, 15, 221, 209);
INSERT INTO public.who_data VALUES (52337, 1, 1902, 0, 28, 221, 217);
INSERT INTO public.who_data VALUES (52338, 10, 1860, 0, 114, 221, 79);
INSERT INTO public.who_data VALUES (52339, 0, 0, 0, 0, 221, 143);
INSERT INTO public.who_data VALUES (52340, 4, 3076, 0, 93, 221, 229);
INSERT INTO public.who_data VALUES (52341, 10496, 298292, 174, 4346, 221, 141);
INSERT INTO public.who_data VALUES (52342, 5, 2153, 0, 41, 221, 197);
INSERT INTO public.who_data VALUES (52343, 966, 267803, 1, 29806, 221, 221);
INSERT INTO public.who_data VALUES (52344, 19, 2665, 0, 11, 221, 150);
INSERT INTO public.who_data VALUES (52345, 101, 10417, 2, 659, 221, 56);
INSERT INTO public.who_data VALUES (52346, 18, 780, 0, 18, 221, 167);
INSERT INTO public.who_data VALUES (52347, 170, 72960, 12, 5666, 221, 23);
INSERT INTO public.who_data VALUES (52348, 129, 33177, 0, 1730, 221, 222);
INSERT INTO public.who_data VALUES (52349, 22, 439, 2, 21, 221, 219);
INSERT INTO public.who_data VALUES (52350, 48, 6643, 1, 56, 221, 7);
INSERT INTO public.who_data VALUES (52351, 5, 3232, 0, 58, 221, 161);
INSERT INTO public.who_data VALUES (52352, 726, 292483, 44, 40899, 221, 149);
INSERT INTO public.who_data VALUES (52353, 0, 24, 0, 0, 221, 6);
INSERT INTO public.who_data VALUES (52354, 11, 731, 0, 15, 221, 139);
INSERT INTO public.who_data VALUES (52355, 0, 0, 0, 0, 221, 211);
INSERT INTO public.who_data VALUES (52356, 0, 0, 0, 0, 221, 14);
INSERT INTO public.who_data VALUES (52357, 0, 133, 0, 8, 221, 111);
INSERT INTO public.who_data VALUES (52358, 13, 1319, 0, 50, 221, 207);
INSERT INTO public.who_data VALUES (52359, 992, 214993, 20, 5402, 221, 66);
INSERT INTO public.who_data VALUES (52360, 0, 0, 0, 0, 221, 173);
INSERT INTO public.who_data VALUES (52361, 0, 72, 0, 2, 221, 145);
INSERT INTO public.who_data VALUES (52362, 0, 0, 0, 0, 221, 65);
INSERT INTO public.who_data VALUES (52363, 11, 1040, 0, 0, 221, 184);
INSERT INTO public.who_data VALUES (52364, 836, 55607, 15, 1427, 221, 98);
INSERT INTO public.who_data VALUES (52365, 375, 55573, 1, 335, 221, 104);
INSERT INTO public.who_data VALUES (52366, 0, 509, 0, 21, 221, 73);
INSERT INTO public.who_data VALUES (52367, 58720, 3344783, 349, 135053, 221, 8);
INSERT INTO public.who_data VALUES (52368, 0, 206, 0, 6, 221, 227);
INSERT INTO public.who_data VALUES (52369, 2, 989, 0, 31, 221, 75);
INSERT INTO public.who_data VALUES (52370, 421, 14293, 4, 68, 221, 45);
INSERT INTO public.who_data VALUES (52371, 0, 0, 0, 0, 221, 133);
INSERT INTO public.who_data VALUES (52372, 242, 9707, 4, 93, 221, 202);
INSERT INTO public.who_data VALUES (52373, 1, 373, 0, 0, 221, 129);
INSERT INTO public.who_data VALUES (52374, 0, 0, 0, 0, 221, 36);
INSERT INTO public.who_data VALUES (52375, 18, 1520, 5, 430, 221, 51);
INSERT INTO public.who_data VALUES (52376, 0, 2283, 0, 82, 221, 206);
INSERT INTO public.who_data VALUES (52377, 30, 1064, 1, 20, 221, 5);
INSERT INTO public.who_data VALUES (52378, 285, 34826, 33, 1049, 222, 103);
INSERT INTO public.who_data VALUES (52379, 96, 3667, 2, 97, 222, 58);
INSERT INTO public.who_data VALUES (52380, 494, 19689, 7, 1018, 222, 195);
INSERT INTO public.who_data VALUES (52381, 0, 0, 0, 0, 222, 115);
INSERT INTO public.who_data VALUES (52382, 3, 858, 0, 52, 222, 99);
INSERT INTO public.who_data VALUES (52383, 19, 525, 0, 26, 222, 153);
INSERT INTO public.who_data VALUES (52384, 0, 3, 0, 0, 222, 93);
INSERT INTO public.who_data VALUES (52385, 0, 74, 0, 3, 222, 84);
INSERT INTO public.who_data VALUES (52386, 2657, 100166, 41, 1859, 222, 78);
INSERT INTO public.who_data VALUES (52387, 339, 31803, 8, 576, 222, 170);
INSERT INTO public.who_data VALUES (52388, 0, 105, 0, 3, 222, 32);
INSERT INTO public.who_data VALUES (52389, 183, 9980, 0, 108, 222, 155);
INSERT INTO public.who_data VALUES (52390, 12, 18859, 0, 708, 222, 82);
INSERT INTO public.who_data VALUES (52391, 529, 24570, 7, 313, 222, 16);
INSERT INTO public.who_data VALUES (52392, 0, 111, 0, 11, 222, 72);
INSERT INTO public.who_data VALUES (52393, 535, 33476, 1, 109, 222, 43);
INSERT INTO public.who_data VALUES (52394, 3099, 186894, 39, 2391, 222, 120);
INSERT INTO public.who_data VALUES (52395, 0, 103, 0, 7, 222, 213);
INSERT INTO public.who_data VALUES (52396, 182, 65114, 4, 468, 222, 31);
INSERT INTO public.who_data VALUES (52397, 224, 63423, 0, 9651, 222, 204);
INSERT INTO public.who_data VALUES (52398, 0, 37, 0, 2, 222, 152);
INSERT INTO public.who_data VALUES (52399, 0, 1378, 0, 26, 222, 144);
INSERT INTO public.who_data VALUES (52400, 0, 150, 0, 9, 222, 96);
INSERT INTO public.who_data VALUES (52401, 0, 84, 0, 0, 222, 47);
INSERT INTO public.who_data VALUES (52402, 987, 48187, 53, 1807, 222, 80);
INSERT INTO public.who_data VALUES (52403, 2, 4, 0, 0, 222, 159);
INSERT INTO public.who_data VALUES (52404, 95, 6979, 4, 224, 222, 27);
INSERT INTO public.who_data VALUES (52405, 0, 399, 0, 1, 222, 146);
INSERT INTO public.who_data VALUES (52406, 24831, 1864681, 631, 72100, 222, 71);
INSERT INTO public.who_data VALUES (52407, 0, 8, 0, 1, 222, 210);
INSERT INTO public.who_data VALUES (52408, 0, 141, 0, 3, 222, 54);
INSERT INTO public.who_data VALUES (52409, 159, 7411, 8, 276, 222, 147);
INSERT INTO public.who_data VALUES (52410, 3, 1036, 0, 53, 222, 2);
INSERT INTO public.who_data VALUES (52411, 11, 269, 0, 1, 222, 105);
INSERT INTO public.who_data VALUES (52412, 24, 1722, 0, 19, 222, 53);
INSERT INTO public.who_data VALUES (52413, 9, 165, 0, 0, 222, 81);
INSERT INTO public.who_data VALUES (52414, 0, 15173, 0, 359, 222, 223);
INSERT INTO public.who_data VALUES (52415, 243, 107590, 10, 8783, 222, 94);
INSERT INTO public.who_data VALUES (52416, 0, 201, 0, 1, 222, 154);
INSERT INTO public.who_data VALUES (52417, 33, 4321, 0, 53, 222, 83);
INSERT INTO public.who_data VALUES (52418, 0, 880, 0, 75, 222, 194);
INSERT INTO public.who_data VALUES (52419, 2616, 317657, 45, 7024, 222, 136);
INSERT INTO public.who_data VALUES (52420, 55, 85623, 1, 4649, 222, 179);
INSERT INTO public.who_data VALUES (52421, 5083, 150445, 188, 5307, 222, 57);
INSERT INTO public.who_data VALUES (52422, 0, 317, 0, 7, 222, 35);
INSERT INTO public.who_data VALUES (52423, 119, 2222, 0, 47, 222, 228);
INSERT INTO public.who_data VALUES (52424, 0, 0, 0, 0, 222, 19);
INSERT INTO public.who_data VALUES (52425, 365, 7596, 2, 30, 222, 22);
INSERT INTO public.who_data VALUES (52426, 106, 12872, 0, 84, 222, 1);
INSERT INTO public.who_data VALUES (52427, 53, 3775, 0, 119, 222, 21);
INSERT INTO public.who_data VALUES (52428, 2, 2428, 0, 87, 222, 234);
INSERT INTO public.who_data VALUES (52429, 1, 26, 0, 1, 222, 91);
INSERT INTO public.who_data VALUES (52430, 1, 1022, 0, 19, 222, 137);
INSERT INTO public.who_data VALUES (52431, 64, 13238, 1, 353, 222, 201);
INSERT INTO public.who_data VALUES (52432, 0, 0, 0, 0, 222, 171);
INSERT INTO public.who_data VALUES (52433, 42, 8074, 1, 189, 222, 92);
INSERT INTO public.who_data VALUES (52434, 91, 13037, 1, 610, 222, 112);
INSERT INTO public.who_data VALUES (52435, 5, 4977, 0, 56, 222, 62);
INSERT INTO public.who_data VALUES (52436, 0, 18, 0, 0, 222, 69);
INSERT INTO public.who_data VALUES (52437, 974, 45506, 6, 903, 222, 220);
INSERT INTO public.who_data VALUES (52438, 589, 68459, 16, 5063, 222, 100);
INSERT INTO public.who_data VALUES (52439, 931, 83001, 77, 3935, 222, 187);
INSERT INTO public.who_data VALUES (52440, 304, 9978, 7, 267, 222, 63);
INSERT INTO public.who_data VALUES (52441, 0, 1043, 0, 12, 222, 28);
INSERT INTO public.who_data VALUES (52442, 0, 232, 0, 0, 222, 172);
INSERT INTO public.who_data VALUES (52443, 0, 2014, 0, 63, 222, 17);
INSERT INTO public.who_data VALUES (52444, 38, 1389, 0, 20, 222, 226);
INSERT INTO public.who_data VALUES (52445, 203, 7969, 11, 139, 222, 236);
INSERT INTO public.who_data VALUES (52446, 0, 13, 0, 0, 222, 76);
INSERT INTO public.who_data VALUES (52447, 0, 188, 0, 0, 222, 30);
INSERT INTO public.who_data VALUES (52448, 0, 26, 0, 0, 222, 128);
INSERT INTO public.who_data VALUES (52449, 1, 7293, 0, 328, 222, 86);
INSERT INTO public.who_data VALUES (52450, 1115, 162390, 18, 29928, 222, 140);
INSERT INTO public.who_data VALUES (52451, 221, 6170, 3, 29, 222, 44);
INSERT INTO public.who_data VALUES (52452, 0, 62, 0, 0, 222, 113);
INSERT INTO public.who_data VALUES (52453, 0, 5942, 0, 46, 222, 29);
INSERT INTO public.who_data VALUES (52454, 0, 64, 0, 3, 222, 125);
INSERT INTO public.who_data VALUES (52455, 4, 999, 0, 15, 222, 131);
INSERT INTO public.who_data VALUES (52456, 412, 199375, 4, 9068, 222, 46);
INSERT INTO public.who_data VALUES (52457, 470, 24988, 0, 139, 222, 10);
INSERT INTO public.who_data VALUES (52458, 0, 180, 0, 0, 222, 205);
INSERT INTO public.who_data VALUES (52459, 23, 3826, 0, 193, 222, 50);
INSERT INTO public.who_data VALUES (52460, 0, 13, 0, 0, 222, 20);
INSERT INTO public.who_data VALUES (52461, 0, 23, 0, 0, 222, 13);
INSERT INTO public.who_data VALUES (52462, 0, 190, 0, 14, 222, 148);
INSERT INTO public.who_data VALUES (52463, 0, 304, 0, 5, 222, 230);
INSERT INTO public.who_data VALUES (52464, 757, 29355, 47, 1219, 222, 190);
INSERT INTO public.who_data VALUES (52465, 0, 252, 0, 13, 222, 188);
INSERT INTO public.who_data VALUES (52466, 29, 6170, 1, 38, 222, 123);
INSERT INTO public.who_data VALUES (52467, 60, 1902, 1, 26, 222, 9);
INSERT INTO public.who_data VALUES (52468, 6, 297, 0, 17, 222, 102);
INSERT INTO public.who_data VALUES (52469, 37, 6727, 0, 139, 222, 34);
INSERT INTO public.who_data VALUES (52470, 0, 12, 0, 0, 222, 212);
INSERT INTO public.who_data VALUES (52471, 507, 28090, 3, 774, 222, 122);
INSERT INTO public.who_data VALUES (52472, 13, 4247, 0, 595, 222, 38);
INSERT INTO public.who_data VALUES (52473, 0, 1833, 0, 10, 222, 130);
INSERT INTO public.who_data VALUES (52474, 28498, 906752, 553, 23727, 222, 37);
INSERT INTO public.who_data VALUES (52475, 1282, 76981, 50, 3656, 222, 231);
INSERT INTO public.who_data VALUES (52476, 2349, 259652, 203, 13032, 222, 107);
INSERT INTO public.who_data VALUES (52477, 2229, 79735, 100, 3250, 222, 101);
INSERT INTO public.who_data VALUES (52478, 10, 25638, 0, 1746, 222, 132);
INSERT INTO public.who_data VALUES (52479, 0, 336, 0, 24, 222, 176);
INSERT INTO public.who_data VALUES (52480, 1239, 39352, 7, 380, 222, 200);
INSERT INTO public.who_data VALUES (52481, 169, 243230, 13, 34967, 222, 169);
INSERT INTO public.who_data VALUES (52482, 0, 758, 0, 10, 222, 225);
INSERT INTO public.who_data VALUES (52483, 352, 22220, 0, 982, 222, 165);
INSERT INTO public.who_data VALUES (52484, 4, 329, 0, 31, 222, 233);
INSERT INTO public.who_data VALUES (52485, 3, 1095, 0, 10, 222, 215);
INSERT INTO public.who_data VALUES (52486, 1759, 63514, 0, 375, 222, 177);
INSERT INTO public.who_data VALUES (52487, 189, 10294, 12, 197, 222, 183);
INSERT INTO public.who_data VALUES (52488, 0, 0, 0, 0, 222, 203);
INSERT INTO public.who_data VALUES (52489, 187, 5075, 6, 98, 222, 162);
INSERT INTO public.who_data VALUES (52490, 614, 55508, 3, 393, 222, 12);
INSERT INTO public.who_data VALUES (52491, 421, 11538, 2, 149, 222, 24);
INSERT INTO public.who_data VALUES (52492, 0, 19, 0, 0, 222, 119);
INSERT INTO public.who_data VALUES (52493, 1, 1174, 1, 31, 222, 39);
INSERT INTO public.who_data VALUES (52494, 85, 2419, 0, 36, 222, 26);
INSERT INTO public.who_data VALUES (52495, 12, 245, 1, 3, 222, 59);
INSERT INTO public.who_data VALUES (52496, 14, 1024, 0, 51, 222, 77);
INSERT INTO public.who_data VALUES (52497, 79, 1512, 1, 40, 222, 134);
INSERT INTO public.who_data VALUES (52498, 0, 85, 0, 1, 222, 4);
INSERT INTO public.who_data VALUES (52499, 1, 1870, 0, 79, 222, 109);
INSERT INTO public.who_data VALUES (52500, 31, 4956, 0, 111, 222, 90);
INSERT INTO public.who_data VALUES (52501, 213, 5080, 2, 37, 222, 61);
INSERT INTO public.who_data VALUES (52502, 66, 2430, 1, 39, 222, 85);
INSERT INTO public.who_data VALUES (52503, 7, 8725, 0, 122, 222, 49);
INSERT INTO public.who_data VALUES (52504, 31, 2762, 0, 13, 222, 208);
INSERT INTO public.who_data VALUES (52505, 1, 2412, 0, 121, 222, 166);
INSERT INTO public.who_data VALUES (52506, 0, 673, 0, 9, 222, 64);
INSERT INTO public.who_data VALUES (52507, 0, 0, 0, 0, 222, 199);
INSERT INTO public.who_data VALUES (52508, 0, 255, 0, 15, 222, 114);
INSERT INTO public.who_data VALUES (52509, 80, 5355, 0, 147, 222, 60);
INSERT INTO public.who_data VALUES (52510, 1, 343, 0, 10, 222, 68);
INSERT INTO public.who_data VALUES (52511, 13, 2724, 0, 37, 222, 158);
INSERT INTO public.who_data VALUES (52512, 4482, 299750, 276, 35006, 222, 52);
INSERT INTO public.who_data VALUES (52513, 0, 0, 0, 0, 222, 117);
INSERT INTO public.who_data VALUES (52514, 0, 79, 0, 1, 222, 126);
INSERT INTO public.who_data VALUES (52515, 0, 230, 0, 0, 222, 196);
INSERT INTO public.who_data VALUES (52516, 105, 1868, 0, 25, 222, 142);
INSERT INTO public.who_data VALUES (52517, 0, 12, 0, 1, 222, 185);
INSERT INTO public.who_data VALUES (52518, 191, 15936, 5, 255, 222, 138);
INSERT INTO public.who_data VALUES (52519, 62, 1219, 0, 9, 222, 181);
INSERT INTO public.who_data VALUES (52520, 5, 336, 0, 6, 222, 178);
INSERT INTO public.who_data VALUES (52521, 76, 861, 0, 1, 222, 168);
INSERT INTO public.who_data VALUES (52522, 0, 0, 0, 0, 222, 160);
INSERT INTO public.who_data VALUES (52523, 144, 16945, 0, 38, 222, 151);
INSERT INTO public.who_data VALUES (52524, 72, 50917, 0, 6116, 222, 193);
INSERT INTO public.who_data VALUES (52525, 0, 21, 0, 0, 222, 18);
INSERT INTO public.who_data VALUES (52526, 1, 1195, 0, 22, 222, 40);
INSERT INTO public.who_data VALUES (52527, 0, 2411, 0, 91, 222, 218);
INSERT INTO public.who_data VALUES (52528, 0, 1099, 0, 68, 222, 191);
INSERT INTO public.who_data VALUES (52529, 595, 33153, 4, 744, 222, 156);
INSERT INTO public.who_data VALUES (52530, 0, 0, 0, 0, 222, 135);
INSERT INTO public.who_data VALUES (52531, 0, 33, 0, 2, 222, 88);
INSERT INTO public.who_data VALUES (52532, 86, 8197, 3, 385, 222, 55);
INSERT INTO public.who_data VALUES (52533, 16, 8981, 1, 253, 222, 108);
INSERT INTO public.who_data VALUES (52534, 404, 7441, 2, 41, 222, 48);
INSERT INTO public.who_data VALUES (52535, 2164, 58179, 2, 259, 222, 3);
INSERT INTO public.who_data VALUES (52536, 0, 741, 0, 13, 222, 224);
INSERT INTO public.who_data VALUES (52537, 1979, 253604, 49, 5319, 222, 110);
INSERT INTO public.who_data VALUES (52538, 0, 0, 0, 0, 222, 106);
INSERT INTO public.who_data VALUES (52539, 1301, 45633, 16, 909, 222, 89);
INSERT INTO public.who_data VALUES (52540, 0, 11, 0, 0, 222, 121);
INSERT INTO public.who_data VALUES (52541, 160, 2980, 4, 25, 222, 163);
INSERT INTO public.who_data VALUES (52542, 3616, 326326, 188, 11870, 222, 70);
INSERT INTO public.who_data VALUES (52543, 747, 57006, 65, 1599, 222, 174);
INSERT INTO public.who_data VALUES (52544, 0, 0, 0, 0, 222, 175);
INSERT INTO public.who_data VALUES (52545, 299, 38190, 5, 1576, 222, 118);
INSERT INTO public.who_data VALUES (52546, 306, 46818, 2, 1662, 222, 189);
INSERT INTO public.who_data VALUES (52547, 356, 10010, 0, 167, 222, 124);
INSERT INTO public.who_data VALUES (52548, 418, 104016, 2, 149, 222, 192);
INSERT INTO public.who_data VALUES (52549, 33, 13512, 0, 289, 222, 41);
INSERT INTO public.who_data VALUES (52550, 57, 19439, 10, 652, 222, 95);
INSERT INTO public.who_data VALUES (52551, 3, 596, 0, 3, 222, 74);
INSERT INTO public.who_data VALUES (52552, 413, 32948, 17, 1901, 222, 11);
INSERT INTO public.who_data VALUES (52553, 6248, 739947, 175, 11614, 222, 87);
INSERT INTO public.who_data VALUES (52554, 41, 1378, 0, 4, 222, 214);
INSERT INTO public.who_data VALUES (52555, 0, 3, 0, 0, 222, 116);
INSERT INTO public.who_data VALUES (52556, 0, 6, 0, 0, 222, 157);
INSERT INTO public.who_data VALUES (52557, 0, 0, 0, 0, 222, 182);
INSERT INTO public.who_data VALUES (52558, 0, 17, 0, 0, 222, 186);
INSERT INTO public.who_data VALUES (52559, 0, 22, 0, 0, 222, 127);
INSERT INTO public.who_data VALUES (52560, 0, 44, 0, 3, 222, 232);
INSERT INTO public.who_data VALUES (52561, 0, 2, 0, 0, 222, 33);
INSERT INTO public.who_data VALUES (52562, 6, 35, 0, 0, 222, 97);
INSERT INTO public.who_data VALUES (52563, 0, 0, 0, 0, 222, 42);
INSERT INTO public.who_data VALUES (52564, 0, 716, 0, 42, 222, 198);
INSERT INTO public.who_data VALUES (52565, 3, 412, 0, 12, 222, 216);
INSERT INTO public.who_data VALUES (52566, 2852, 235111, 20, 2243, 222, 164);
INSERT INTO public.who_data VALUES (52567, 63, 8198, 2, 150, 222, 235);
INSERT INTO public.who_data VALUES (52568, 279, 18639, 12, 405, 222, 67);
INSERT INTO public.who_data VALUES (52569, 0, 100, 0, 0, 222, 15);
INSERT INTO public.who_data VALUES (52570, 7, 1642, 0, 63, 222, 180);
INSERT INTO public.who_data VALUES (52571, 322, 46283, 0, 26, 222, 237);
INSERT INTO public.who_data VALUES (52572, 0, 2, 0, 0, 222, 25);
INSERT INTO public.who_data VALUES (52573, 0, 78, 0, 15, 222, 209);
INSERT INTO public.who_data VALUES (52574, 8, 1901, 0, 28, 222, 217);
INSERT INTO public.who_data VALUES (52575, 8, 1850, 0, 114, 222, 79);
INSERT INTO public.who_data VALUES (52576, 0, 0, 0, 0, 222, 143);
INSERT INTO public.who_data VALUES (52577, 13, 3072, 0, 93, 222, 229);
INSERT INTO public.who_data VALUES (52578, 11554, 287796, 93, 4172, 222, 141);
INSERT INTO public.who_data VALUES (52579, 0, 2148, 0, 41, 222, 197);
INSERT INTO public.who_data VALUES (52580, 422, 266837, 4, 29805, 222, 221);
INSERT INTO public.who_data VALUES (52581, 29, 2646, 0, 11, 222, 150);
INSERT INTO public.who_data VALUES (52582, 66, 10316, 7, 657, 222, 56);
INSERT INTO public.who_data VALUES (52583, 21, 762, 0, 18, 222, 167);
INSERT INTO public.who_data VALUES (52584, 106, 72790, 8, 5654, 222, 23);
INSERT INTO public.who_data VALUES (52585, 120, 33048, 1, 1730, 222, 222);
INSERT INTO public.who_data VALUES (52586, 23, 417, 3, 19, 222, 219);
INSERT INTO public.who_data VALUES (52587, 44, 6595, 0, 55, 222, 7);
INSERT INTO public.who_data VALUES (52588, 7, 3227, 0, 58, 222, 161);
INSERT INTO public.who_data VALUES (52589, 361, 291757, 10, 40855, 222, 149);
INSERT INTO public.who_data VALUES (52590, 0, 24, 0, 0, 222, 6);
INSERT INTO public.who_data VALUES (52591, 0, 720, 0, 15, 222, 139);
INSERT INTO public.who_data VALUES (52592, 0, 0, 0, 0, 222, 211);
INSERT INTO public.who_data VALUES (52593, 0, 0, 0, 0, 222, 14);
INSERT INTO public.who_data VALUES (52594, 0, 133, 0, 8, 222, 111);
INSERT INTO public.who_data VALUES (52595, 4, 1306, 0, 50, 222, 207);
INSERT INTO public.who_data VALUES (52596, 1008, 214001, 19, 5382, 222, 66);
INSERT INTO public.who_data VALUES (52597, 0, 0, 0, 0, 222, 173);
INSERT INTO public.who_data VALUES (52598, 1, 72, 0, 2, 222, 145);
INSERT INTO public.who_data VALUES (52599, 0, 0, 0, 0, 222, 65);
INSERT INTO public.who_data VALUES (52600, 4, 1029, 0, 0, 222, 184);
INSERT INTO public.who_data VALUES (52601, 638, 54771, 14, 1412, 222, 98);
INSERT INTO public.who_data VALUES (52602, 344, 55198, 1, 334, 222, 104);
INSERT INTO public.who_data VALUES (52603, 0, 509, 0, 21, 222, 73);
INSERT INTO public.who_data VALUES (52604, 60113, 3286063, 312, 134704, 222, 8);
INSERT INTO public.who_data VALUES (52605, 25, 206, 0, 6, 222, 227);
INSERT INTO public.who_data VALUES (52606, 1, 987, 1, 31, 222, 75);
INSERT INTO public.who_data VALUES (52607, 679, 13872, 3, 64, 222, 45);
INSERT INTO public.who_data VALUES (52608, 0, 0, 0, 0, 222, 133);
INSERT INTO public.who_data VALUES (52609, 287, 9465, 4, 89, 222, 202);
INSERT INTO public.who_data VALUES (52610, 0, 372, 0, 0, 222, 129);
INSERT INTO public.who_data VALUES (52611, 0, 0, 0, 0, 222, 36);
INSERT INTO public.who_data VALUES (52612, 33, 1502, 7, 425, 222, 51);
INSERT INTO public.who_data VALUES (52613, 388, 2283, 40, 82, 222, 206);
INSERT INTO public.who_data VALUES (52614, 49, 1034, 1, 19, 222, 5);
INSERT INTO public.who_data VALUES (52615, 4, 34541, 2, 1016, 223, 103);
INSERT INTO public.who_data VALUES (52616, 117, 3571, 2, 95, 223, 58);
INSERT INTO public.who_data VALUES (52617, 483, 19195, 7, 1011, 223, 195);
INSERT INTO public.who_data VALUES (52618, 0, 0, 0, 0, 223, 115);
INSERT INTO public.who_data VALUES (52619, 0, 855, 0, 52, 223, 99);
INSERT INTO public.who_data VALUES (52620, 23, 506, 1, 26, 223, 153);
INSERT INTO public.who_data VALUES (52621, 0, 3, 0, 0, 223, 93);
INSERT INTO public.who_data VALUES (52622, 0, 74, 0, 3, 223, 84);
INSERT INTO public.who_data VALUES (52623, 3449, 97509, 31, 1818, 223, 78);
INSERT INTO public.who_data VALUES (52624, 182, 31464, 8, 568, 223, 170);
INSERT INTO public.who_data VALUES (52625, 0, 105, 0, 3, 223, 32);
INSERT INTO public.who_data VALUES (52626, 244, 9797, 1, 108, 223, 155);
INSERT INTO public.who_data VALUES (52627, 52, 18847, 2, 708, 223, 82);
INSERT INTO public.who_data VALUES (52628, 520, 24041, 8, 306, 223, 16);
INSERT INTO public.who_data VALUES (52629, 3, 111, 0, 11, 223, 72);
INSERT INTO public.who_data VALUES (52630, 471, 32941, 4, 108, 223, 43);
INSERT INTO public.who_data VALUES (52631, 2666, 183795, 47, 2352, 223, 120);
INSERT INTO public.who_data VALUES (52632, 5, 103, 0, 7, 223, 213);
INSERT INTO public.who_data VALUES (52633, 168, 64932, 5, 464, 223, 31);
INSERT INTO public.who_data VALUES (52634, 43, 63199, 4, 9651, 223, 204);
INSERT INTO public.who_data VALUES (52635, 0, 37, 0, 2, 223, 152);
INSERT INTO public.who_data VALUES (52636, 0, 1378, 0, 26, 223, 144);
INSERT INTO public.who_data VALUES (52637, 0, 150, 0, 9, 223, 96);
INSERT INTO public.who_data VALUES (52638, 2, 84, 0, 0, 223, 47);
INSERT INTO public.who_data VALUES (52639, 1635, 47200, 52, 1754, 223, 80);
INSERT INTO public.who_data VALUES (52640, 0, 2, 0, 0, 223, 159);
INSERT INTO public.who_data VALUES (52641, 164, 6884, 2, 220, 223, 27);
INSERT INTO public.who_data VALUES (52642, 85, 399, 0, 1, 223, 146);
INSERT INTO public.who_data VALUES (52643, 39023, 1839850, 1071, 71469, 223, 71);
INSERT INTO public.who_data VALUES (52644, 0, 8, 0, 1, 223, 210);
INSERT INTO public.who_data VALUES (52645, 0, 141, 0, 3, 223, 54);
INSERT INTO public.who_data VALUES (52646, 77, 7252, 6, 268, 223, 147);
INSERT INTO public.who_data VALUES (52647, 13, 1033, -1, 53, 223, 2);
INSERT INTO public.who_data VALUES (52648, 8, 258, 0, 1, 223, 105);
INSERT INTO public.who_data VALUES (52649, 75, 1698, 0, 19, 223, 53);
INSERT INTO public.who_data VALUES (52650, 0, 156, 0, 0, 223, 81);
INSERT INTO public.who_data VALUES (52651, 257, 15173, 0, 359, 223, 223);
INSERT INTO public.who_data VALUES (52652, 221, 107347, 14, 8773, 223, 94);
INSERT INTO public.who_data VALUES (52653, 0, 201, 0, 1, 223, 154);
INSERT INTO public.who_data VALUES (52654, 0, 4288, 0, 53, 223, 83);
INSERT INTO public.who_data VALUES (52655, 6, 880, 1, 75, 223, 194);
INSERT INTO public.who_data VALUES (52656, 3012, 315041, 98, 6979, 223, 136);
INSERT INTO public.who_data VALUES (52657, 46, 85568, 0, 4648, 223, 179);
INSERT INTO public.who_data VALUES (52658, 4586, 145362, 194, 5119, 223, 57);
INSERT INTO public.who_data VALUES (52659, 3, 317, 0, 7, 223, 35);
INSERT INTO public.who_data VALUES (52660, 0, 2103, 0, 47, 223, 228);
INSERT INTO public.who_data VALUES (52661, 0, 0, 0, 0, 223, 19);
INSERT INTO public.who_data VALUES (52662, 386, 7231, 1, 28, 223, 22);
INSERT INTO public.who_data VALUES (52663, 714, 12766, 3, 84, 223, 1);
INSERT INTO public.who_data VALUES (52664, 50, 3722, 1, 119, 223, 21);
INSERT INTO public.who_data VALUES (52665, 6, 2426, 0, 87, 223, 234);
INSERT INTO public.who_data VALUES (52666, 0, 25, 0, 1, 223, 91);
INSERT INTO public.who_data VALUES (52667, 7, 1021, 0, 19, 223, 137);
INSERT INTO public.who_data VALUES (52668, 59, 13174, 0, 352, 223, 201);
INSERT INTO public.who_data VALUES (52669, 0, 0, 0, 0, 223, 171);
INSERT INTO public.who_data VALUES (52670, 62, 8032, 0, 188, 223, 92);
INSERT INTO public.who_data VALUES (52671, 0, 12946, 0, 609, 223, 112);
INSERT INTO public.who_data VALUES (52672, 4, 4972, 0, 56, 223, 62);
INSERT INTO public.who_data VALUES (52673, 0, 18, 0, 0, 223, 69);
INSERT INTO public.who_data VALUES (52674, 1418, 44532, 17, 897, 223, 220);
INSERT INTO public.who_data VALUES (52675, 661, 67870, 16, 5047, 223, 100);
INSERT INTO public.who_data VALUES (52676, 912, 82070, 89, 3858, 223, 187);
INSERT INTO public.who_data VALUES (52677, 283, 9674, 6, 260, 223, 63);
INSERT INTO public.who_data VALUES (52678, 0, 1043, 0, 12, 223, 28);
INSERT INTO public.who_data VALUES (52679, 0, 232, 0, 0, 223, 172);
INSERT INTO public.who_data VALUES (52680, 0, 2014, 0, 63, 223, 17);
INSERT INTO public.who_data VALUES (52681, 40, 1351, 2, 20, 223, 226);
INSERT INTO public.who_data VALUES (52682, 206, 7766, 1, 128, 223, 236);
INSERT INTO public.who_data VALUES (52683, 0, 13, 0, 0, 223, 76);
INSERT INTO public.who_data VALUES (52684, 0, 188, 0, 0, 223, 30);
INSERT INTO public.who_data VALUES (52685, 0, 26, 0, 0, 223, 128);
INSERT INTO public.who_data VALUES (52686, 2, 7292, 0, 328, 223, 86);
INSERT INTO public.who_data VALUES (52687, 0, 161275, 0, 29910, 223, 140);
INSERT INTO public.who_data VALUES (52688, 0, 5949, 0, 26, 223, 44);
INSERT INTO public.who_data VALUES (52689, 0, 62, 0, 0, 223, 113);
INSERT INTO public.who_data VALUES (52690, 0, 5942, 0, 46, 223, 29);
INSERT INTO public.who_data VALUES (52691, 0, 64, 0, 3, 223, 125);
INSERT INTO public.who_data VALUES (52692, 9, 995, 0, 15, 223, 131);
INSERT INTO public.who_data VALUES (52693, 159, 198963, 1, 9064, 223, 46);
INSERT INTO public.who_data VALUES (52694, 270, 24518, 4, 139, 223, 10);
INSERT INTO public.who_data VALUES (52695, 0, 180, 0, 0, 223, 205);
INSERT INTO public.who_data VALUES (52696, 31, 3803, 0, 193, 223, 50);
INSERT INTO public.who_data VALUES (52697, 0, 13, 0, 0, 223, 20);
INSERT INTO public.who_data VALUES (52698, 0, 23, 0, 0, 223, 13);
INSERT INTO public.who_data VALUES (52699, 0, 190, 0, 14, 223, 148);
INSERT INTO public.who_data VALUES (52700, 0, 304, 0, 5, 223, 230);
INSERT INTO public.who_data VALUES (52701, 979, 28598, 33, 1172, 223, 190);
INSERT INTO public.who_data VALUES (52702, 0, 252, 0, 13, 223, 188);
INSERT INTO public.who_data VALUES (52703, 97, 6141, 0, 37, 223, 123);
INSERT INTO public.who_data VALUES (52704, 0, 1842, 0, 25, 223, 9);
INSERT INTO public.who_data VALUES (52705, 1, 291, 1, 17, 223, 102);
INSERT INTO public.who_data VALUES (52706, 73, 6690, 4, 139, 223, 34);
INSERT INTO public.who_data VALUES (52707, 0, 12, 0, 0, 223, 212);
INSERT INTO public.who_data VALUES (52708, 530, 27583, 21, 771, 223, 122);
INSERT INTO public.who_data VALUES (52709, 5, 4234, 0, 595, 223, 38);
INSERT INTO public.who_data VALUES (52710, 0, 1833, 0, 10, 223, 130);
INSERT INTO public.who_data VALUES (52711, 28701, 878254, 500, 23174, 223, 37);
INSERT INTO public.who_data VALUES (52712, 1681, 75699, 71, 3606, 223, 231);
INSERT INTO public.who_data VALUES (52713, 2186, 257303, 194, 12829, 223, 107);
INSERT INTO public.who_data VALUES (52714, 2312, 77506, 95, 3150, 223, 101);
INSERT INTO public.who_data VALUES (52715, 17, 25628, 0, 1746, 223, 132);
INSERT INTO public.who_data VALUES (52716, 0, 336, 0, 24, 223, 176);
INSERT INTO public.who_data VALUES (52717, 1168, 38113, 5, 373, 223, 200);
INSERT INTO public.who_data VALUES (52718, 234, 243061, 9, 34954, 223, 169);
INSERT INTO public.who_data VALUES (52719, 5, 758, 0, 10, 223, 225);
INSERT INTO public.who_data VALUES (52720, 366, 21868, 0, 982, 223, 165);
INSERT INTO public.who_data VALUES (52721, 0, 325, 0, 31, 223, 233);
INSERT INTO public.who_data VALUES (52722, 3, 1092, 0, 10, 223, 215);
INSERT INTO public.who_data VALUES (52723, 1856, 61755, 0, 375, 223, 177);
INSERT INTO public.who_data VALUES (52724, 379, 10105, 1, 185, 223, 183);
INSERT INTO public.who_data VALUES (52725, 0, 0, 0, 0, 223, 203);
INSERT INTO public.who_data VALUES (52726, 216, 4888, 1, 92, 223, 162);
INSERT INTO public.who_data VALUES (52727, 836, 54894, 4, 390, 223, 12);
INSERT INTO public.who_data VALUES (52728, 488, 11117, 15, 147, 223, 24);
INSERT INTO public.who_data VALUES (52729, 0, 19, 0, 0, 223, 119);
INSERT INTO public.who_data VALUES (52730, 0, 1173, 0, 30, 223, 39);
INSERT INTO public.who_data VALUES (52731, 166, 2334, 0, 36, 223, 26);
INSERT INTO public.who_data VALUES (52732, 49, 233, 1, 2, 223, 59);
INSERT INTO public.who_data VALUES (52733, 12, 1010, 4, 51, 223, 77);
INSERT INTO public.who_data VALUES (52734, 44, 1433, 1, 39, 223, 134);
INSERT INTO public.who_data VALUES (52735, 0, 85, 0, 1, 223, 4);
INSERT INTO public.who_data VALUES (52736, 5, 1869, 0, 79, 223, 109);
INSERT INTO public.who_data VALUES (52737, 83, 4925, 1, 111, 223, 90);
INSERT INTO public.who_data VALUES (52738, 289, 4867, 1, 35, 223, 61);
INSERT INTO public.who_data VALUES (52739, 103, 2364, 5, 38, 223, 85);
INSERT INTO public.who_data VALUES (52740, 14, 8718, 0, 122, 223, 49);
INSERT INTO public.who_data VALUES (52741, 67, 2731, 0, 13, 223, 208);
INSERT INTO public.who_data VALUES (52742, 5, 2411, 0, 121, 223, 166);
INSERT INTO public.who_data VALUES (52743, 0, 673, 0, 9, 223, 64);
INSERT INTO public.who_data VALUES (52744, 0, 0, 0, 0, 223, 199);
INSERT INTO public.who_data VALUES (52745, 0, 255, 0, 15, 223, 114);
INSERT INTO public.who_data VALUES (52746, 149, 5275, 3, 147, 223, 60);
INSERT INTO public.who_data VALUES (52747, 0, 342, 0, 10, 223, 68);
INSERT INTO public.who_data VALUES (52748, 0, 2711, 0, 37, 223, 158);
INSERT INTO public.who_data VALUES (52749, 6094, 295268, 539, 34730, 223, 52);
INSERT INTO public.who_data VALUES (52750, 0, 0, 0, 0, 223, 117);
INSERT INTO public.who_data VALUES (52751, 0, 79, 0, 1, 223, 126);
INSERT INTO public.who_data VALUES (52752, 3, 230, 0, 0, 223, 196);
INSERT INTO public.who_data VALUES (52753, 37, 1763, 0, 25, 223, 142);
INSERT INTO public.who_data VALUES (52754, 0, 12, 0, 1, 223, 185);
INSERT INTO public.who_data VALUES (52755, 203, 15745, 5, 250, 223, 138);
INSERT INTO public.who_data VALUES (52756, 22, 1157, 0, 9, 223, 181);
INSERT INTO public.who_data VALUES (52757, 1, 331, 0, 6, 223, 178);
INSERT INTO public.who_data VALUES (52758, 72, 785, 0, 1, 223, 168);
INSERT INTO public.who_data VALUES (52759, 0, 0, 0, 0, 223, 160);
INSERT INTO public.who_data VALUES (52760, 82, 16801, 0, 38, 223, 151);
INSERT INTO public.who_data VALUES (52761, 95, 50845, 0, 6116, 223, 193);
INSERT INTO public.who_data VALUES (52762, 0, 21, 0, 0, 223, 18);
INSERT INTO public.who_data VALUES (52763, 0, 1194, 0, 22, 223, 40);
INSERT INTO public.who_data VALUES (52764, 0, 2411, 0, 91, 223, 218);
INSERT INTO public.who_data VALUES (52765, 0, 1099, 0, 68, 223, 191);
INSERT INTO public.who_data VALUES (52766, 571, 32558, 16, 740, 223, 156);
INSERT INTO public.who_data VALUES (52767, 0, 0, 0, 0, 223, 135);
INSERT INTO public.who_data VALUES (52768, 0, 33, 0, 2, 223, 88);
INSERT INTO public.who_data VALUES (52769, 144, 8111, 7, 382, 223, 55);
INSERT INTO public.who_data VALUES (52770, 0, 8965, 0, 252, 223, 108);
INSERT INTO public.who_data VALUES (52771, 349, 7037, 7, 39, 223, 48);
INSERT INTO public.who_data VALUES (52772, 1318, 56015, 9, 257, 223, 3);
INSERT INTO public.who_data VALUES (52773, 0, 741, 0, 13, 223, 224);
INSERT INTO public.who_data VALUES (52774, 2753, 251625, 73, 5270, 223, 110);
INSERT INTO public.who_data VALUES (52775, 0, 0, 0, 0, 223, 106);
INSERT INTO public.who_data VALUES (52776, 1075, 44332, 30, 893, 223, 89);
INSERT INTO public.who_data VALUES (52777, 0, 11, 0, 0, 223, 121);
INSERT INTO public.who_data VALUES (52778, 84, 2820, 1, 21, 223, 163);
INSERT INTO public.who_data VALUES (52779, 3064, 322710, 182, 11682, 223, 70);
INSERT INTO public.who_data VALUES (52780, 2037, 56259, 162, 1534, 223, 174);
INSERT INTO public.who_data VALUES (52781, 0, 0, 0, 0, 223, 175);
INSERT INTO public.who_data VALUES (52782, 370, 37891, 3, 1571, 223, 118);
INSERT INTO public.who_data VALUES (52783, 291, 46512, 6, 1660, 223, 189);
INSERT INTO public.who_data VALUES (52784, 288, 9654, 0, 167, 223, 124);
INSERT INTO public.who_data VALUES (52785, 470, 103598, 1, 147, 223, 192);
INSERT INTO public.who_data VALUES (52786, 62, 13479, 0, 289, 223, 41);
INSERT INTO public.who_data VALUES (52787, 174, 19382, 2, 642, 223, 95);
INSERT INTO public.who_data VALUES (52788, 16, 593, 0, 3, 223, 74);
INSERT INTO public.who_data VALUES (52789, 456, 32535, 13, 1884, 223, 11);
INSERT INTO public.who_data VALUES (52790, 6537, 733699, 104, 11439, 223, 87);
INSERT INTO public.who_data VALUES (52791, 38, 1337, 1, 4, 223, 214);
INSERT INTO public.who_data VALUES (52792, 0, 3, 0, 0, 223, 116);
INSERT INTO public.who_data VALUES (52793, 0, 6, 0, 0, 223, 157);
INSERT INTO public.who_data VALUES (52794, 0, 0, 0, 0, 223, 182);
INSERT INTO public.who_data VALUES (52795, 0, 17, 0, 0, 223, 186);
INSERT INTO public.who_data VALUES (52796, 0, 22, 0, 0, 223, 127);
INSERT INTO public.who_data VALUES (52797, 0, 44, 0, 3, 223, 232);
INSERT INTO public.who_data VALUES (52798, 0, 2, 0, 0, 223, 33);
INSERT INTO public.who_data VALUES (52799, 0, 29, 0, 0, 223, 97);
INSERT INTO public.who_data VALUES (52800, 0, 0, 0, 0, 223, 42);
INSERT INTO public.who_data VALUES (52801, 0, 716, 0, 42, 223, 198);
INSERT INTO public.who_data VALUES (52802, 2, 409, 0, 12, 223, 216);
INSERT INTO public.who_data VALUES (52803, 2779, 232259, 42, 2223, 223, 164);
INSERT INTO public.who_data VALUES (52804, 121, 8135, 3, 148, 223, 235);
INSERT INTO public.who_data VALUES (52805, 287, 18360, 11, 393, 223, 67);
INSERT INTO public.who_data VALUES (52806, 0, 100, 0, 0, 223, 15);
INSERT INTO public.who_data VALUES (52807, 17, 1635, 0, 63, 223, 180);
INSERT INTO public.who_data VALUES (52808, 178, 45961, 0, 26, 223, 237);
INSERT INTO public.who_data VALUES (52809, 0, 2, 0, 0, 223, 25);
INSERT INTO public.who_data VALUES (52810, 0, 78, 0, 15, 223, 209);
INSERT INTO public.who_data VALUES (52811, 23, 1893, 0, 28, 223, 217);
INSERT INTO public.who_data VALUES (52812, 15, 1842, 0, 114, 223, 79);
INSERT INTO public.who_data VALUES (52813, 0, 0, 0, 0, 223, 143);
INSERT INTO public.who_data VALUES (52814, 8, 3059, 1, 93, 223, 229);
INSERT INTO public.who_data VALUES (52815, 12058, 276242, 108, 4079, 223, 141);
INSERT INTO public.who_data VALUES (52816, 9, 2148, 0, 41, 223, 197);
INSERT INTO public.who_data VALUES (52817, 675, 266415, 5, 29801, 223, 221);
INSERT INTO public.who_data VALUES (52818, 106, 2617, 0, 11, 223, 150);
INSERT INTO public.who_data VALUES (52819, 0, 10250, 0, 650, 223, 56);
INSERT INTO public.who_data VALUES (52820, 12, 741, 0, 18, 223, 167);
INSERT INTO public.who_data VALUES (52821, 308, 72684, 10, 5646, 223, 23);
INSERT INTO public.who_data VALUES (52822, 46, 32928, 0, 1729, 223, 222);
INSERT INTO public.who_data VALUES (52823, 0, 394, 0, 16, 223, 219);
INSERT INTO public.who_data VALUES (52824, 46, 6551, 0, 55, 223, 7);
INSERT INTO public.who_data VALUES (52825, 3, 3220, 0, 58, 223, 161);
INSERT INTO public.who_data VALUES (52826, 442, 291396, 9, 40845, 223, 149);
INSERT INTO public.who_data VALUES (52827, 0, 24, 0, 0, 223, 6);
INSERT INTO public.who_data VALUES (52828, 10, 720, 0, 15, 223, 139);
INSERT INTO public.who_data VALUES (52829, 0, 0, 0, 0, 223, 211);
INSERT INTO public.who_data VALUES (52830, 0, 0, 0, 0, 223, 14);
INSERT INTO public.who_data VALUES (52831, 0, 133, 0, 8, 223, 111);
INSERT INTO public.who_data VALUES (52832, 39, 1302, 0, 50, 223, 207);
INSERT INTO public.who_data VALUES (52833, 1012, 212993, 19, 5363, 223, 66);
INSERT INTO public.who_data VALUES (52834, 0, 0, 0, 0, 223, 173);
INSERT INTO public.who_data VALUES (52835, 5, 71, 0, 2, 223, 145);
INSERT INTO public.who_data VALUES (52836, 0, 0, 0, 0, 223, 65);
INSERT INTO public.who_data VALUES (52837, 12, 1025, 0, 0, 223, 184);
INSERT INTO public.who_data VALUES (52838, 612, 54133, 15, 1398, 223, 98);
INSERT INTO public.who_data VALUES (52839, 401, 54854, 2, 333, 223, 104);
INSERT INTO public.who_data VALUES (52840, 0, 509, 0, 21, 223, 73);
INSERT INTO public.who_data VALUES (52841, 62369, 3225950, 906, 134392, 223, 8);
INSERT INTO public.who_data VALUES (52842, 14, 181, 0, 6, 223, 227);
INSERT INTO public.who_data VALUES (52843, 1, 986, 1, 30, 223, 75);
INSERT INTO public.who_data VALUES (52844, 487, 13193, 3, 61, 223, 45);
INSERT INTO public.who_data VALUES (52845, 0, 0, 0, 0, 223, 133);
INSERT INTO public.who_data VALUES (52846, 375, 9178, 2, 85, 223, 202);
INSERT INTO public.who_data VALUES (52847, 2, 372, 0, 0, 223, 129);
INSERT INTO public.who_data VALUES (52848, 0, 0, 0, 0, 223, 36);
INSERT INTO public.who_data VALUES (52849, 80, 1469, 53, 418, 223, 51);
INSERT INTO public.who_data VALUES (52850, 0, 1895, 0, 42, 223, 206);
INSERT INTO public.who_data VALUES (52851, 3, 985, 0, 18, 223, 5);
INSERT INTO public.who_data VALUES (52852, 100, 34537, 35, 1014, 224, 103);
INSERT INTO public.who_data VALUES (52853, 83, 3454, 4, 93, 224, 58);
INSERT INTO public.who_data VALUES (52854, 470, 18712, 8, 1004, 224, 195);
INSERT INTO public.who_data VALUES (52855, 0, 0, 0, 0, 224, 115);
INSERT INTO public.who_data VALUES (52856, 0, 855, 0, 52, 224, 99);
INSERT INTO public.who_data VALUES (52857, 21, 483, 2, 25, 224, 153);
INSERT INTO public.who_data VALUES (52858, 0, 3, 0, 0, 224, 93);
INSERT INTO public.who_data VALUES (52859, 1, 74, 0, 3, 224, 84);
INSERT INTO public.who_data VALUES (52860, 3367, 94060, 38, 1787, 224, 78);
INSERT INTO public.who_data VALUES (52861, 577, 31282, 6, 560, 224, 170);
INSERT INTO public.who_data VALUES (52862, 0, 105, 0, 3, 224, 32);
INSERT INTO public.who_data VALUES (52863, 194, 9553, 1, 107, 224, 155);
INSERT INTO public.who_data VALUES (52864, 108, 18795, 0, 706, 224, 82);
INSERT INTO public.who_data VALUES (52865, 531, 23521, 6, 298, 224, 16);
INSERT INTO public.who_data VALUES (52866, 1, 108, 0, 11, 224, 72);
INSERT INTO public.who_data VALUES (52867, 431, 32470, 0, 104, 224, 43);
INSERT INTO public.who_data VALUES (52868, 2686, 181129, 30, 2305, 224, 120);
INSERT INTO public.who_data VALUES (52869, 0, 98, 0, 7, 224, 213);
INSERT INTO public.who_data VALUES (52870, 160, 64764, 5, 459, 224, 31);
INSERT INTO public.who_data VALUES (52871, 62, 63156, 2, 9647, 224, 204);
INSERT INTO public.who_data VALUES (52872, 4, 37, 0, 2, 224, 152);
INSERT INTO public.who_data VALUES (52873, 93, 1378, 3, 26, 224, 144);
INSERT INTO public.who_data VALUES (52874, 1, 150, 0, 9, 224, 96);
INSERT INTO public.who_data VALUES (52875, 0, 82, 0, 0, 224, 47);
INSERT INTO public.who_data VALUES (52876, 1452, 45565, 64, 1702, 224, 80);
INSERT INTO public.who_data VALUES (52877, 0, 2, 0, 0, 224, 159);
INSERT INTO public.who_data VALUES (52878, 318, 6720, 3, 218, 224, 27);
INSERT INTO public.who_data VALUES (52879, 0, 314, 0, 1, 224, 146);
INSERT INTO public.who_data VALUES (52880, 45048, 1800827, 1214, 70398, 224, 71);
INSERT INTO public.who_data VALUES (52881, 0, 8, 0, 1, 224, 210);
INSERT INTO public.who_data VALUES (52882, 0, 141, 0, 3, 224, 54);
INSERT INTO public.who_data VALUES (52883, 211, 7175, 0, 262, 224, 147);
INSERT INTO public.who_data VALUES (52884, 0, 1020, 0, 54, 224, 2);
INSERT INTO public.who_data VALUES (52885, 0, 250, 0, 1, 224, 105);
INSERT INTO public.who_data VALUES (52886, 32, 1623, 0, 19, 224, 53);
INSERT INTO public.who_data VALUES (52887, 15, 156, 0, 0, 224, 81);
INSERT INTO public.who_data VALUES (52888, 0, 14916, 0, 359, 224, 223);
INSERT INTO public.who_data VALUES (52889, 321, 107126, 10, 8759, 224, 94);
INSERT INTO public.who_data VALUES (52890, 0, 201, 0, 1, 224, 154);
INSERT INTO public.who_data VALUES (52891, 88, 4288, 1, 53, 224, 83);
INSERT INTO public.who_data VALUES (52892, 0, 874, 0, 74, 224, 194);
INSERT INTO public.who_data VALUES (52893, 2755, 312029, 100, 6881, 224, 136);
INSERT INTO public.who_data VALUES (52894, 35, 85522, 0, 4648, 224, 179);
INSERT INTO public.who_data VALUES (52895, 6803, 140776, 211, 4925, 224, 57);
INSERT INTO public.who_data VALUES (52896, 0, 314, 0, 7, 224, 35);
INSERT INTO public.who_data VALUES (52897, 75, 2103, 0, 47, 224, 228);
INSERT INTO public.who_data VALUES (52898, 0, 0, 0, 0, 224, 19);
INSERT INTO public.who_data VALUES (52899, 360, 6845, 1, 27, 224, 22);
INSERT INTO public.who_data VALUES (52900, 548, 12052, 3, 81, 224, 1);
INSERT INTO public.who_data VALUES (52901, 140, 3672, 1, 118, 224, 21);
INSERT INTO public.who_data VALUES (52902, 7, 2420, 1, 87, 224, 234);
INSERT INTO public.who_data VALUES (52903, 0, 25, 0, 1, 224, 91);
INSERT INTO public.who_data VALUES (52904, 1, 1014, 0, 19, 224, 137);
INSERT INTO public.who_data VALUES (52905, 53, 13115, 0, 352, 224, 201);
INSERT INTO public.who_data VALUES (52906, 0, 0, 0, 0, 224, 171);
INSERT INTO public.who_data VALUES (52907, 66, 7970, 0, 188, 224, 92);
INSERT INTO public.who_data VALUES (52908, 0, 12946, 0, 609, 224, 112);
INSERT INTO public.who_data VALUES (52909, 0, 4968, 0, 56, 224, 62);
INSERT INTO public.who_data VALUES (52910, 0, 18, 0, 0, 224, 69);
INSERT INTO public.who_data VALUES (52911, 1199, 43114, 16, 880, 224, 220);
INSERT INTO public.who_data VALUES (52912, 1408, 67209, 48, 5031, 224, 100);
INSERT INTO public.who_data VALUES (52913, 923, 81158, 67, 3769, 224, 187);
INSERT INTO public.who_data VALUES (52914, 249, 9391, 5, 254, 224, 63);
INSERT INTO public.who_data VALUES (52915, 0, 1043, 0, 12, 224, 28);
INSERT INTO public.who_data VALUES (52916, 0, 232, 0, 0, 224, 172);
INSERT INTO public.who_data VALUES (52917, 1, 2014, 0, 63, 224, 17);
INSERT INTO public.who_data VALUES (52918, 54, 1311, 0, 18, 224, 226);
INSERT INTO public.who_data VALUES (52919, 158, 7560, 3, 127, 224, 236);
INSERT INTO public.who_data VALUES (52920, 0, 13, 0, 0, 224, 76);
INSERT INTO public.who_data VALUES (52921, 0, 188, 0, 0, 224, 30);
INSERT INTO public.who_data VALUES (52922, 5, 26, 0, 0, 224, 128);
INSERT INTO public.who_data VALUES (52923, 0, 7290, 0, 328, 224, 86);
INSERT INTO public.who_data VALUES (52924, 0, 161275, 0, 29910, 224, 140);
INSERT INTO public.who_data VALUES (52925, 245, 5949, 3, 26, 224, 44);
INSERT INTO public.who_data VALUES (52926, 0, 62, 0, 0, 224, 113);
INSERT INTO public.who_data VALUES (52927, 0, 5942, 0, 46, 224, 29);
INSERT INTO public.who_data VALUES (52928, 0, 64, 0, 3, 224, 125);
INSERT INTO public.who_data VALUES (52929, 5, 986, 0, 15, 224, 131);
INSERT INTO public.who_data VALUES (52930, 248, 198804, 3, 9063, 224, 46);
INSERT INTO public.who_data VALUES (52931, 785, 24248, 6, 135, 224, 10);
INSERT INTO public.who_data VALUES (52932, 0, 180, 0, 0, 224, 205);
INSERT INTO public.who_data VALUES (52933, 40, 3772, 0, 193, 224, 50);
INSERT INTO public.who_data VALUES (52934, 0, 13, 0, 0, 224, 20);
INSERT INTO public.who_data VALUES (52935, 0, 23, 0, 0, 224, 13);
INSERT INTO public.who_data VALUES (52936, 0, 190, 0, 14, 224, 148);
INSERT INTO public.who_data VALUES (52937, 2, 304, 0, 5, 224, 230);
INSERT INTO public.who_data VALUES (52938, 961, 27619, 47, 1139, 224, 190);
INSERT INTO public.who_data VALUES (52939, 0, 252, 0, 13, 224, 188);
INSERT INTO public.who_data VALUES (52940, 75, 6044, 0, 37, 224, 123);
INSERT INTO public.who_data VALUES (52941, 0, 1842, 0, 25, 224, 9);
INSERT INTO public.who_data VALUES (52942, 4, 290, 0, 16, 224, 102);
INSERT INTO public.who_data VALUES (52943, 35, 6617, 5, 135, 224, 34);
INSERT INTO public.who_data VALUES (52944, 0, 12, 0, 0, 224, 212);
INSERT INTO public.who_data VALUES (52945, 669, 27053, 46, 750, 224, 122);
INSERT INTO public.who_data VALUES (52946, 6, 4229, 2, 595, 224, 38);
INSERT INTO public.who_data VALUES (52947, 0, 1833, 0, 10, 224, 130);
INSERT INTO public.who_data VALUES (52948, 28637, 849553, 551, 22674, 224, 37);
INSERT INTO public.who_data VALUES (52949, 1671, 74018, 66, 3535, 224, 231);
INSERT INTO public.who_data VALUES (52950, 2397, 255117, 188, 12635, 224, 107);
INSERT INTO public.who_data VALUES (52951, 2734, 75194, 95, 3055, 224, 101);
INSERT INTO public.who_data VALUES (52952, 22, 25611, 2, 1746, 224, 132);
INSERT INTO public.who_data VALUES (52953, 0, 336, 0, 24, 224, 176);
INSERT INTO public.who_data VALUES (52954, 1409, 36945, 4, 368, 224, 200);
INSERT INTO public.who_data VALUES (52955, 188, 242827, 7, 34945, 224, 169);
INSERT INTO public.who_data VALUES (52956, 0, 753, 0, 10, 224, 225);
INSERT INTO public.who_data VALUES (52957, 373, 21502, 0, 982, 224, 165);
INSERT INTO public.who_data VALUES (52958, 0, 325, 0, 31, 224, 233);
INSERT INTO public.who_data VALUES (52959, 1, 1089, 0, 10, 224, 215);
INSERT INTO public.who_data VALUES (52960, 1646, 59899, 23, 375, 224, 177);
INSERT INTO public.who_data VALUES (52961, 278, 9726, 3, 184, 224, 183);
INSERT INTO public.who_data VALUES (52962, 0, 0, 0, 0, 224, 203);
INSERT INTO public.who_data VALUES (52963, 203, 4672, 4, 91, 224, 162);
INSERT INTO public.who_data VALUES (52964, 478, 54058, 3, 386, 224, 12);
INSERT INTO public.who_data VALUES (52965, 719, 10629, 7, 132, 224, 24);
INSERT INTO public.who_data VALUES (52966, 0, 19, 0, 0, 224, 119);
INSERT INTO public.who_data VALUES (52967, 19, 1173, 0, 30, 224, 39);
INSERT INTO public.who_data VALUES (52968, 86, 2168, 0, 36, 224, 26);
INSERT INTO public.who_data VALUES (52969, 0, 184, 0, 1, 224, 59);
INSERT INTO public.who_data VALUES (52970, 35, 998, 0, 47, 224, 77);
INSERT INTO public.who_data VALUES (52971, 47, 1389, 0, 38, 224, 134);
INSERT INTO public.who_data VALUES (52972, 0, 85, 0, 1, 224, 4);
INSERT INTO public.who_data VALUES (52973, 4, 1864, 0, 79, 224, 109);
INSERT INTO public.who_data VALUES (52974, 65, 4842, 0, 110, 224, 90);
INSERT INTO public.who_data VALUES (52975, 435, 4578, 0, 34, 224, 61);
INSERT INTO public.who_data VALUES (52976, 192, 2261, 2, 33, 224, 85);
INSERT INTO public.who_data VALUES (52977, 8, 8704, 1, 122, 224, 49);
INSERT INTO public.who_data VALUES (52978, 47, 2664, 0, 13, 224, 208);
INSERT INTO public.who_data VALUES (52979, 2, 2406, 0, 121, 224, 166);
INSERT INTO public.who_data VALUES (52980, 0, 673, 0, 9, 224, 64);
INSERT INTO public.who_data VALUES (52981, 0, 0, 0, 0, 224, 199);
INSERT INTO public.who_data VALUES (52982, 6, 255, 1, 15, 224, 114);
INSERT INTO public.who_data VALUES (52983, 0, 5126, 0, 144, 224, 60);
INSERT INTO public.who_data VALUES (52984, 0, 342, 0, 10, 224, 68);
INSERT INTO public.who_data VALUES (52985, 0, 2711, 0, 37, 224, 158);
INSERT INTO public.who_data VALUES (52986, 6891, 289174, 665, 34191, 224, 52);
INSERT INTO public.who_data VALUES (52987, 0, 0, 0, 0, 224, 117);
INSERT INTO public.who_data VALUES (52988, 1, 79, 0, 1, 224, 126);
INSERT INTO public.who_data VALUES (52989, 0, 227, 0, 0, 224, 196);
INSERT INTO public.who_data VALUES (52990, 51, 1726, 0, 25, 224, 142);
INSERT INTO public.who_data VALUES (52991, 0, 12, 0, 1, 224, 185);
INSERT INTO public.who_data VALUES (52992, 214, 15542, 2, 245, 224, 138);
INSERT INTO public.who_data VALUES (52993, 24, 1135, 0, 9, 224, 181);
INSERT INTO public.who_data VALUES (52994, 4, 330, 0, 6, 224, 178);
INSERT INTO public.who_data VALUES (52995, 45, 713, 0, 1, 224, 168);
INSERT INTO public.who_data VALUES (52996, 0, 0, 0, 0, 224, 160);
INSERT INTO public.who_data VALUES (52997, 70, 16719, 3, 38, 224, 151);
INSERT INTO public.who_data VALUES (52998, 84, 50750, 5, 6116, 224, 193);
INSERT INTO public.who_data VALUES (52999, 0, 21, 0, 0, 224, 18);
INSERT INTO public.who_data VALUES (53000, 1, 1194, 0, 22, 224, 40);
INSERT INTO public.who_data VALUES (53001, 0, 2411, 0, 91, 224, 218);
INSERT INTO public.who_data VALUES (53002, 0, 1099, 0, 68, 224, 191);
INSERT INTO public.who_data VALUES (53003, 664, 31987, 15, 724, 224, 156);
INSERT INTO public.who_data VALUES (53004, 0, 0, 0, 0, 224, 135);
INSERT INTO public.who_data VALUES (53005, 2, 33, 0, 2, 224, 88);
INSERT INTO public.who_data VALUES (53006, 197, 7967, 8, 375, 224, 55);
INSERT INTO public.who_data VALUES (53007, 0, 8965, 0, 252, 224, 108);
INSERT INTO public.who_data VALUES (53008, 463, 6688, 2, 32, 224, 48);
INSERT INTO public.who_data VALUES (53009, 1083, 54697, 4, 248, 224, 3);
INSERT INTO public.who_data VALUES (53010, 0, 741, 0, 13, 224, 224);
INSERT INTO public.who_data VALUES (53011, 2521, 248872, 74, 5197, 224, 110);
INSERT INTO public.who_data VALUES (53012, 0, 0, 0, 0, 224, 106);
INSERT INTO public.who_data VALUES (53013, 1041, 43257, 24, 863, 224, 89);
INSERT INTO public.who_data VALUES (53014, 0, 11, 0, 0, 224, 121);
INSERT INTO public.who_data VALUES (53015, 0, 2736, 0, 20, 224, 163);
INSERT INTO public.who_data VALUES (53016, 3198, 319646, 186, 11500, 224, 70);
INSERT INTO public.who_data VALUES (53017, 1308, 54222, 12, 1372, 224, 174);
INSERT INTO public.who_data VALUES (53018, 0, 0, 0, 0, 224, 175);
INSERT INTO public.who_data VALUES (53019, 305, 37521, 6, 1568, 224, 118);
INSERT INTO public.who_data VALUES (53020, 542, 46221, 8, 1654, 224, 189);
INSERT INTO public.who_data VALUES (53021, 229, 9366, 8, 167, 224, 124);
INSERT INTO public.who_data VALUES (53022, 498, 103128, 0, 146, 224, 192);
INSERT INTO public.who_data VALUES (53023, 44, 13417, 1, 289, 224, 41);
INSERT INTO public.who_data VALUES (53024, 284, 19208, 5, 640, 224, 95);
INSERT INTO public.who_data VALUES (53025, 6, 577, 0, 3, 224, 74);
INSERT INTO public.who_data VALUES (53026, 698, 32079, 24, 1871, 224, 11);
INSERT INTO public.who_data VALUES (53027, 6615, 727162, 130, 11335, 224, 87);
INSERT INTO public.who_data VALUES (53028, 47, 1299, 0, 3, 224, 214);
INSERT INTO public.who_data VALUES (53029, 0, 3, 0, 0, 224, 116);
INSERT INTO public.who_data VALUES (53030, 0, 6, 0, 0, 224, 157);
INSERT INTO public.who_data VALUES (53031, 0, 0, 0, 0, 224, 182);
INSERT INTO public.who_data VALUES (53032, 0, 17, 0, 0, 224, 186);
INSERT INTO public.who_data VALUES (53033, 0, 22, 0, 0, 224, 127);
INSERT INTO public.who_data VALUES (53034, 0, 44, 0, 3, 224, 232);
INSERT INTO public.who_data VALUES (53035, 0, 2, 0, 0, 224, 33);
INSERT INTO public.who_data VALUES (53036, 0, 29, 0, 0, 224, 97);
INSERT INTO public.who_data VALUES (53037, 0, 0, 0, 0, 224, 42);
INSERT INTO public.who_data VALUES (53038, 0, 716, 0, 42, 224, 198);
INSERT INTO public.who_data VALUES (53039, 0, 407, 0, 12, 224, 216);
INSERT INTO public.who_data VALUES (53040, 2994, 229480, 30, 2181, 224, 164);
INSERT INTO public.who_data VALUES (53041, 132, 8014, 0, 145, 224, 235);
INSERT INTO public.who_data VALUES (53042, 345, 18073, 12, 382, 224, 67);
INSERT INTO public.who_data VALUES (53043, 0, 100, 0, 0, 224, 15);
INSERT INTO public.who_data VALUES (53044, 5, 1618, 0, 63, 224, 180);
INSERT INTO public.who_data VALUES (53045, 169, 45783, 0, 26, 224, 237);
INSERT INTO public.who_data VALUES (53046, 0, 2, 0, 0, 224, 25);
INSERT INTO public.who_data VALUES (53047, 0, 78, 0, 15, 224, 209);
INSERT INTO public.who_data VALUES (53048, 19, 1870, 0, 28, 224, 217);
INSERT INTO public.who_data VALUES (53049, 34, 1827, 0, 114, 224, 79);
INSERT INTO public.who_data VALUES (53050, 0, 0, 0, 0, 224, 143);
INSERT INTO public.who_data VALUES (53051, 13, 3051, 0, 92, 224, 229);
INSERT INTO public.who_data VALUES (53052, 13497, 264184, 111, 3971, 224, 141);
INSERT INTO public.who_data VALUES (53053, 10, 2139, 0, 41, 224, 197);
INSERT INTO public.who_data VALUES (53054, 1297, 265740, 4, 29796, 224, 221);
INSERT INTO public.who_data VALUES (53055, 57, 2511, 0, 11, 224, 150);
INSERT INTO public.who_data VALUES (53056, 46, 10250, 1, 650, 224, 56);
INSERT INTO public.who_data VALUES (53057, 3, 729, 1, 18, 224, 167);
INSERT INTO public.who_data VALUES (53058, 369, 72376, 14, 5636, 224, 23);
INSERT INTO public.who_data VALUES (53059, 71, 32882, 0, 1729, 224, 222);
INSERT INTO public.who_data VALUES (53060, 0, 394, 0, 16, 224, 219);
INSERT INTO public.who_data VALUES (53061, 49, 6505, 0, 55, 224, 7);
INSERT INTO public.who_data VALUES (53062, 1, 3217, 0, 58, 224, 161);
INSERT INTO public.who_data VALUES (53063, 565, 290954, 17, 40836, 224, 149);
INSERT INTO public.who_data VALUES (53064, 0, 24, 0, 0, 224, 6);
INSERT INTO public.who_data VALUES (53065, 0, 710, 0, 15, 224, 139);
INSERT INTO public.who_data VALUES (53066, 0, 0, 0, 0, 224, 211);
INSERT INTO public.who_data VALUES (53067, 0, 0, 0, 0, 224, 14);
INSERT INTO public.who_data VALUES (53068, 0, 133, 0, 8, 224, 111);
INSERT INTO public.who_data VALUES (53069, 18, 1263, 0, 50, 224, 207);
INSERT INTO public.who_data VALUES (53070, 1016, 211981, 21, 5344, 224, 66);
INSERT INTO public.who_data VALUES (53071, 0, 0, 0, 0, 224, 173);
INSERT INTO public.who_data VALUES (53072, 0, 66, 0, 2, 224, 145);
INSERT INTO public.who_data VALUES (53073, 0, 0, 0, 0, 224, 65);
INSERT INTO public.who_data VALUES (53074, 7, 1013, 0, 0, 224, 184);
INSERT INTO public.who_data VALUES (53075, 678, 53521, 11, 1383, 224, 98);
INSERT INTO public.who_data VALUES (53076, 403, 54453, 1, 331, 224, 104);
INSERT INTO public.who_data VALUES (53077, 0, 509, 0, 21, 224, 73);
INSERT INTO public.who_data VALUES (53078, 66281, 3163581, 803, 133486, 224, 8);
INSERT INTO public.who_data VALUES (53079, 14, 167, 0, 6, 224, 227);
INSERT INTO public.who_data VALUES (53080, 8, 985, 0, 29, 224, 75);
INSERT INTO public.who_data VALUES (53081, 500, 12706, 3, 58, 224, 45);
INSERT INTO public.who_data VALUES (53082, 0, 0, 0, 0, 224, 133);
INSERT INTO public.who_data VALUES (53083, 431, 8803, 3, 83, 224, 202);
INSERT INTO public.who_data VALUES (53084, 0, 370, 0, 0, 224, 129);
INSERT INTO public.who_data VALUES (53085, 0, 0, 0, 0, 224, 36);
INSERT INTO public.who_data VALUES (53086, 9, 1389, 1, 365, 224, 51);
INSERT INTO public.who_data VALUES (53087, 0, 1895, 0, 42, 224, 206);
INSERT INTO public.who_data VALUES (53088, 40, 982, 5, 18, 224, 5);
INSERT INTO public.who_data VALUES (53089, 157, 34437, 4, 979, 225, 103);
INSERT INTO public.who_data VALUES (53090, 93, 3371, 4, 89, 225, 58);
INSERT INTO public.who_data VALUES (53091, 434, 18242, 8, 996, 225, 195);
INSERT INTO public.who_data VALUES (53092, 0, 0, 0, 0, 225, 115);
INSERT INTO public.who_data VALUES (53093, 0, 855, 0, 52, 225, 99);
INSERT INTO public.who_data VALUES (53094, 4, 462, 0, 23, 225, 153);
INSERT INTO public.who_data VALUES (53095, 0, 3, 0, 0, 225, 93);
INSERT INTO public.who_data VALUES (53096, 0, 73, 0, 3, 225, 84);
INSERT INTO public.who_data VALUES (53097, 3663, 90693, 42, 1749, 225, 78);
INSERT INTO public.who_data VALUES (53098, 489, 30705, 13, 554, 225, 170);
INSERT INTO public.who_data VALUES (53099, 0, 105, 0, 3, 225, 32);
INSERT INTO public.who_data VALUES (53100, 300, 9359, 0, 106, 225, 155);
INSERT INTO public.who_data VALUES (53101, 74, 18687, 0, 706, 225, 82);
INSERT INTO public.who_data VALUES (53102, 526, 22990, 8, 292, 225, 16);
INSERT INTO public.who_data VALUES (53103, 1, 107, 0, 11, 225, 72);
INSERT INTO public.who_data VALUES (53104, 511, 32039, 1, 104, 225, 43);
INSERT INTO public.who_data VALUES (53105, 2949, 178443, 37, 2275, 225, 120);
INSERT INTO public.who_data VALUES (53106, 0, 98, 0, 7, 225, 213);
INSERT INTO public.who_data VALUES (53107, 193, 64604, 5, 454, 225, 31);
INSERT INTO public.who_data VALUES (53108, 127, 63094, 0, 9645, 225, 204);
INSERT INTO public.who_data VALUES (53109, 3, 33, 0, 2, 225, 152);
INSERT INTO public.who_data VALUES (53110, 0, 1285, 0, 23, 225, 144);
INSERT INTO public.who_data VALUES (53111, 0, 149, 0, 9, 225, 96);
INSERT INTO public.who_data VALUES (53112, 2, 82, 0, 0, 225, 47);
INSERT INTO public.who_data VALUES (53113, 1129, 44113, 61, 1638, 225, 80);
INSERT INTO public.who_data VALUES (53114, 0, 2, 0, 0, 225, 159);
INSERT INTO public.who_data VALUES (53115, 315, 6402, 2, 215, 225, 27);
INSERT INTO public.who_data VALUES (53116, 0, 314, 0, 1, 225, 146);
INSERT INTO public.who_data VALUES (53117, 42619, 1755779, 1220, 69184, 225, 71);
INSERT INTO public.who_data VALUES (53118, 0, 8, 0, 1, 225, 210);
INSERT INTO public.who_data VALUES (53119, 0, 141, 0, 3, 225, 54);
INSERT INTO public.who_data VALUES (53120, 292, 6964, 0, 262, 225, 147);
INSERT INTO public.who_data VALUES (53121, 15, 1020, 1, 54, 225, 2);
INSERT INTO public.who_data VALUES (53122, 31, 250, 0, 1, 225, 105);
INSERT INTO public.who_data VALUES (53123, 38, 1591, 0, 19, 225, 53);
INSERT INTO public.who_data VALUES (53124, 0, 141, 0, 0, 225, 81);
INSERT INTO public.who_data VALUES (53125, 0, 14916, 0, 359, 225, 223);
INSERT INTO public.who_data VALUES (53126, 371, 106805, 12, 8749, 225, 94);
INSERT INTO public.who_data VALUES (53127, 0, 201, 0, 1, 225, 154);
INSERT INTO public.who_data VALUES (53128, 0, 4200, 0, 52, 225, 83);
INSERT INTO public.who_data VALUES (53129, 1, 874, 0, 74, 225, 194);
INSERT INTO public.who_data VALUES (53130, 3058, 309274, 99, 6781, 225, 136);
INSERT INTO public.who_data VALUES (53131, 42, 85487, 0, 4648, 225, 179);
INSERT INTO public.who_data VALUES (53132, 5335, 133973, 187, 4714, 225, 57);
INSERT INTO public.who_data VALUES (53133, 1, 314, 0, 7, 225, 35);
INSERT INTO public.who_data VALUES (53134, 0, 2028, 0, 47, 225, 228);
INSERT INTO public.who_data VALUES (53135, 0, 0, 0, 0, 225, 19);
INSERT INTO public.who_data VALUES (53136, 649, 6485, 2, 26, 225, 22);
INSERT INTO public.who_data VALUES (53137, 0, 11504, 0, 78, 225, 1);
INSERT INTO public.who_data VALUES (53138, 116, 3532, 2, 117, 225, 21);
INSERT INTO public.who_data VALUES (53139, 10, 2413, 0, 86, 225, 234);
INSERT INTO public.who_data VALUES (53140, 0, 25, 0, 1, 225, 91);
INSERT INTO public.who_data VALUES (53141, 3, 1013, 0, 19, 225, 137);
INSERT INTO public.who_data VALUES (53142, 143, 13062, 0, 352, 225, 201);
INSERT INTO public.who_data VALUES (53143, 0, 0, 0, 0, 225, 171);
INSERT INTO public.who_data VALUES (53144, 59, 7904, 0, 188, 225, 92);
INSERT INTO public.who_data VALUES (53145, 30, 12946, 0, 609, 225, 112);
INSERT INTO public.who_data VALUES (53146, 13, 4968, 0, 56, 225, 62);
INSERT INTO public.who_data VALUES (53147, 0, 18, 0, 0, 225, 69);
INSERT INTO public.who_data VALUES (53148, 1125, 41915, 22, 864, 225, 220);
INSERT INTO public.who_data VALUES (53149, 783, 65801, 44, 4983, 225, 100);
INSERT INTO public.who_data VALUES (53150, 981, 80235, 85, 3702, 225, 187);
INSERT INTO public.who_data VALUES (53151, 298, 9142, 6, 249, 225, 63);
INSERT INTO public.who_data VALUES (53152, 0, 1043, 0, 12, 225, 28);
INSERT INTO public.who_data VALUES (53153, 0, 232, 0, 0, 225, 172);
INSERT INTO public.who_data VALUES (53154, 2, 2013, 0, 63, 225, 17);
INSERT INTO public.who_data VALUES (53155, 44, 1257, 1, 18, 225, 226);
INSERT INTO public.who_data VALUES (53156, 282, 7402, 0, 124, 225, 236);
INSERT INTO public.who_data VALUES (53157, 0, 13, 0, 0, 225, 76);
INSERT INTO public.who_data VALUES (53158, 0, 188, 0, 0, 225, 30);
INSERT INTO public.who_data VALUES (53159, 0, 21, 0, 0, 225, 128);
INSERT INTO public.who_data VALUES (53160, 3, 7290, 0, 328, 225, 86);
INSERT INTO public.who_data VALUES (53161, 492, 161275, 24, 29910, 225, 140);
INSERT INTO public.who_data VALUES (53162, 146, 5704, 1, 23, 225, 44);
INSERT INTO public.who_data VALUES (53163, 0, 62, 0, 0, 225, 113);
INSERT INTO public.who_data VALUES (53164, 71, 5942, 0, 46, 225, 29);
INSERT INTO public.who_data VALUES (53165, 0, 64, 0, 3, 225, 125);
INSERT INTO public.who_data VALUES (53166, 8, 981, 0, 15, 225, 131);
INSERT INTO public.who_data VALUES (53167, 378, 198556, 6, 9060, 225, 46);
INSERT INTO public.who_data VALUES (53168, 0, 23463, 0, 129, 225, 10);
INSERT INTO public.who_data VALUES (53169, 1, 180, 0, 0, 225, 205);
INSERT INTO public.who_data VALUES (53170, 60, 3732, 0, 193, 225, 50);
INSERT INTO public.who_data VALUES (53171, 0, 13, 0, 0, 225, 20);
INSERT INTO public.who_data VALUES (53172, 0, 23, 0, 0, 225, 13);
INSERT INTO public.who_data VALUES (53173, 6, 190, 0, 14, 225, 148);
INSERT INTO public.who_data VALUES (53174, 0, 302, 0, 5, 225, 230);
INSERT INTO public.who_data VALUES (53175, 1247, 26658, 39, 1092, 225, 190);
INSERT INTO public.who_data VALUES (53176, 0, 252, 0, 13, 225, 188);
INSERT INTO public.who_data VALUES (53177, 88, 5969, 1, 37, 225, 123);
INSERT INTO public.who_data VALUES (53178, 52, 1842, 0, 25, 225, 9);
INSERT INTO public.who_data VALUES (53179, 1, 286, 0, 16, 225, 102);
INSERT INTO public.who_data VALUES (53180, 96, 6582, 7, 130, 225, 34);
INSERT INTO public.who_data VALUES (53181, 0, 12, 0, 0, 225, 212);
INSERT INTO public.who_data VALUES (53182, 406, 26384, 10, 704, 225, 122);
INSERT INTO public.who_data VALUES (53183, 3, 4223, 2, 593, 225, 38);
INSERT INTO public.who_data VALUES (53184, 0, 1833, 0, 10, 225, 130);
INSERT INTO public.who_data VALUES (53185, 27114, 820916, 519, 22123, 225, 37);
INSERT INTO public.who_data VALUES (53186, 1611, 72347, 52, 3469, 225, 231);
INSERT INTO public.who_data VALUES (53187, 2262, 252720, 142, 12447, 225, 107);
INSERT INTO public.who_data VALUES (53188, 2848, 72460, 78, 2960, 225, 101);
INSERT INTO public.who_data VALUES (53189, 24, 25589, 1, 1744, 225, 132);
INSERT INTO public.who_data VALUES (53190, 0, 336, 0, 24, 225, 176);
INSERT INTO public.who_data VALUES (53191, 1525, 35536, 5, 364, 225, 200);
INSERT INTO public.who_data VALUES (53192, 276, 242639, 12, 34938, 225, 169);
INSERT INTO public.who_data VALUES (53193, 2, 753, 0, 10, 225, 225);
INSERT INTO public.who_data VALUES (53194, 410, 21129, 0, 982, 225, 165);
INSERT INTO public.who_data VALUES (53195, 0, 325, 0, 31, 225, 233);
INSERT INTO public.who_data VALUES (53196, 0, 1088, 0, 10, 225, 215);
INSERT INTO public.who_data VALUES (53197, 1798, 58253, 20, 352, 225, 177);
INSERT INTO public.who_data VALUES (53198, 473, 9448, 8, 181, 225, 183);
INSERT INTO public.who_data VALUES (53199, 0, 0, 0, 0, 225, 203);
INSERT INTO public.who_data VALUES (53200, 205, 4469, 3, 87, 225, 162);
INSERT INTO public.who_data VALUES (53201, 740, 53580, 1, 383, 225, 12);
INSERT INTO public.who_data VALUES (53202, 552, 9910, 3, 125, 225, 24);
INSERT INTO public.who_data VALUES (53203, 0, 19, 0, 0, 225, 119);
INSERT INTO public.who_data VALUES (53204, 0, 1154, 0, 30, 225, 39);
INSERT INTO public.who_data VALUES (53205, 71, 2082, 0, 36, 225, 26);
INSERT INTO public.who_data VALUES (53206, 50, 184, 0, 1, 225, 59);
INSERT INTO public.who_data VALUES (53207, 6, 963, 5, 47, 225, 77);
INSERT INTO public.who_data VALUES (53208, 0, 1342, 0, 38, 225, 134);
INSERT INTO public.who_data VALUES (53209, 0, 85, 0, 1, 225, 4);
INSERT INTO public.who_data VALUES (53210, 4, 1860, 0, 79, 225, 109);
INSERT INTO public.who_data VALUES (53211, 58, 4777, 0, 110, 225, 90);
INSERT INTO public.who_data VALUES (53212, 361, 4143, 1, 34, 225, 61);
INSERT INTO public.who_data VALUES (53213, 83, 2069, 2, 31, 225, 85);
INSERT INTO public.who_data VALUES (53214, 13, 8696, 0, 121, 225, 49);
INSERT INTO public.who_data VALUES (53215, 64, 2617, 0, 13, 225, 208);
INSERT INTO public.who_data VALUES (53216, 34, 2404, 1, 121, 225, 166);
INSERT INTO public.who_data VALUES (53217, 0, 673, 0, 9, 225, 64);
INSERT INTO public.who_data VALUES (53218, 0, 0, 0, 0, 225, 199);
INSERT INTO public.who_data VALUES (53219, 0, 249, 0, 14, 225, 114);
INSERT INTO public.who_data VALUES (53220, 39, 5126, 5, 144, 225, 60);
INSERT INTO public.who_data VALUES (53221, 0, 342, 0, 10, 225, 68);
INSERT INTO public.who_data VALUES (53222, 9, 2711, 0, 37, 225, 158);
INSERT INTO public.who_data VALUES (53223, 7280, 282283, 730, 33526, 225, 52);
INSERT INTO public.who_data VALUES (53224, 0, 0, 0, 0, 225, 117);
INSERT INTO public.who_data VALUES (53225, 0, 78, 0, 1, 225, 126);
INSERT INTO public.who_data VALUES (53226, 0, 227, 0, 0, 225, 196);
INSERT INTO public.who_data VALUES (53227, 52, 1675, 4, 25, 225, 142);
INSERT INTO public.who_data VALUES (53228, 1, 12, 0, 1, 225, 185);
INSERT INTO public.who_data VALUES (53229, 249, 15328, 1, 243, 225, 138);
INSERT INTO public.who_data VALUES (53230, 19, 1111, 0, 9, 225, 181);
INSERT INTO public.who_data VALUES (53231, 5, 326, 0, 6, 225, 178);
INSERT INTO public.who_data VALUES (53232, 53, 668, 1, 1, 225, 168);
INSERT INTO public.who_data VALUES (53233, 0, 0, 0, 0, 225, 160);
INSERT INTO public.who_data VALUES (53234, 118, 16649, 0, 35, 225, 151);
INSERT INTO public.who_data VALUES (53235, 65, 50666, 0, 6111, 225, 193);
INSERT INTO public.who_data VALUES (53236, 0, 21, 0, 0, 225, 18);
INSERT INTO public.who_data VALUES (53237, 1, 1193, 0, 22, 225, 40);
INSERT INTO public.who_data VALUES (53238, 0, 2411, 0, 91, 225, 218);
INSERT INTO public.who_data VALUES (53239, 2, 1099, 0, 68, 225, 191);
INSERT INTO public.who_data VALUES (53240, 575, 31323, 20, 709, 225, 156);
INSERT INTO public.who_data VALUES (53241, 0, 0, 0, 0, 225, 135);
INSERT INTO public.who_data VALUES (53242, 0, 31, 0, 2, 225, 88);
INSERT INTO public.who_data VALUES (53243, 198, 7770, 5, 367, 225, 55);
INSERT INTO public.who_data VALUES (53244, 11, 8965, 0, 252, 225, 108);
INSERT INTO public.who_data VALUES (53245, 396, 6225, 3, 30, 225, 48);
INSERT INTO public.who_data VALUES (53246, 1889, 53614, 8, 244, 225, 3);
INSERT INTO public.who_data VALUES (53247, 0, 741, 0, 13, 225, 224);
INSERT INTO public.who_data VALUES (53248, 2755, 246351, 65, 5123, 225, 110);
INSERT INTO public.who_data VALUES (53249, 0, 0, 0, 0, 225, 106);
INSERT INTO public.who_data VALUES (53250, 965, 42216, 20, 839, 225, 89);
INSERT INTO public.who_data VALUES (53251, 0, 11, 0, 0, 225, 121);
INSERT INTO public.who_data VALUES (53252, 98, 2736, 0, 20, 225, 163);
INSERT INTO public.who_data VALUES (53253, 3537, 316448, 181, 11314, 225, 70);
INSERT INTO public.who_data VALUES (53254, 1160, 52914, 42, 1360, 225, 174);
INSERT INTO public.who_data VALUES (53255, 0, 0, 0, 0, 225, 175);
INSERT INTO public.who_data VALUES (53256, 265, 37216, 11, 1562, 225, 118);
INSERT INTO public.who_data VALUES (53257, 402, 45679, 2, 1646, 225, 189);
INSERT INTO public.who_data VALUES (53258, 275, 9137, 0, 159, 225, 124);
INSERT INTO public.who_data VALUES (53259, 520, 102630, 4, 146, 225, 192);
INSERT INTO public.who_data VALUES (53260, 35, 13373, 0, 288, 225, 41);
INSERT INTO public.who_data VALUES (53261, 258, 18924, 8, 635, 225, 95);
INSERT INTO public.who_data VALUES (53262, 5, 571, 0, 3, 225, 74);
INSERT INTO public.who_data VALUES (53263, 592, 31381, 13, 1847, 225, 11);
INSERT INTO public.who_data VALUES (53264, 6611, 720547, 188, 11205, 225, 87);
INSERT INTO public.who_data VALUES (53265, 42, 1252, 0, 3, 225, 214);
INSERT INTO public.who_data VALUES (53266, 0, 3, 0, 0, 225, 116);
INSERT INTO public.who_data VALUES (53267, 0, 6, 0, 0, 225, 157);
INSERT INTO public.who_data VALUES (53268, 0, 0, 0, 0, 225, 182);
INSERT INTO public.who_data VALUES (53269, 1, 17, 0, 0, 225, 186);
INSERT INTO public.who_data VALUES (53270, 0, 22, 0, 0, 225, 127);
INSERT INTO public.who_data VALUES (53271, 0, 44, 0, 3, 225, 232);
INSERT INTO public.who_data VALUES (53272, 0, 2, 0, 0, 225, 33);
INSERT INTO public.who_data VALUES (53273, 0, 29, 0, 0, 225, 97);
INSERT INTO public.who_data VALUES (53274, 0, 0, 0, 0, 225, 42);
INSERT INTO public.who_data VALUES (53275, 0, 716, 0, 42, 225, 198);
INSERT INTO public.who_data VALUES (53276, 1, 407, 0, 12, 225, 216);
INSERT INTO public.who_data VALUES (53277, 3159, 226486, 51, 2151, 225, 164);
INSERT INTO public.who_data VALUES (53278, 98, 7882, 2, 145, 225, 235);
INSERT INTO public.who_data VALUES (53279, 386, 17728, 18, 370, 225, 67);
INSERT INTO public.who_data VALUES (53280, 0, 100, 0, 0, 225, 15);
INSERT INTO public.who_data VALUES (53281, 15, 1613, 0, 63, 225, 180);
INSERT INTO public.who_data VALUES (53282, 191, 45614, 0, 26, 225, 237);
INSERT INTO public.who_data VALUES (53283, 0, 2, 0, 0, 225, 25);
INSERT INTO public.who_data VALUES (53284, 0, 78, 0, 15, 225, 209);
INSERT INTO public.who_data VALUES (53285, 53, 1851, 0, 28, 225, 217);
INSERT INTO public.who_data VALUES (53286, 17, 1793, 0, 114, 225, 79);
INSERT INTO public.who_data VALUES (53287, 0, 0, 0, 0, 225, 143);
INSERT INTO public.who_data VALUES (53288, 0, 3038, 0, 92, 225, 229);
INSERT INTO public.who_data VALUES (53289, 12348, 250687, 140, 3860, 225, 141);
INSERT INTO public.who_data VALUES (53290, 0, 2129, 0, 41, 225, 197);
INSERT INTO public.who_data VALUES (53291, 954, 264443, 2, 29792, 225, 221);
INSERT INTO public.who_data VALUES (53292, 104, 2454, 0, 11, 225, 150);
INSERT INTO public.who_data VALUES (53293, 0, 10204, 0, 649, 225, 56);
INSERT INTO public.who_data VALUES (53294, 55, 726, 0, 17, 225, 167);
INSERT INTO public.who_data VALUES (53295, 334, 72007, 15, 5622, 225, 23);
INSERT INTO public.who_data VALUES (53296, 111, 32811, 0, 1729, 225, 222);
INSERT INTO public.who_data VALUES (53297, 22, 394, 2, 16, 225, 219);
INSERT INTO public.who_data VALUES (53298, 47, 6456, 1, 55, 225, 7);
INSERT INTO public.who_data VALUES (53299, 14, 3216, 0, 58, 225, 161);
INSERT INTO public.who_data VALUES (53300, 715, 290389, 34, 40819, 225, 149);
INSERT INTO public.who_data VALUES (53301, 0, 24, 0, 0, 225, 6);
INSERT INTO public.who_data VALUES (53302, 6, 710, 0, 15, 225, 139);
INSERT INTO public.who_data VALUES (53303, 0, 0, 0, 0, 225, 211);
INSERT INTO public.who_data VALUES (53304, 0, 0, 0, 0, 225, 14);
INSERT INTO public.who_data VALUES (53305, 0, 133, 0, 8, 225, 111);
INSERT INTO public.who_data VALUES (53306, 5, 1245, 0, 50, 225, 207);
INSERT INTO public.who_data VALUES (53307, 1003, 210965, 23, 5323, 225, 66);
INSERT INTO public.who_data VALUES (53308, 0, 0, 0, 0, 225, 173);
INSERT INTO public.who_data VALUES (53309, 11, 66, 0, 2, 225, 145);
INSERT INTO public.who_data VALUES (53310, 0, 0, 0, 0, 225, 65);
INSERT INTO public.who_data VALUES (53311, 6, 1006, 0, 0, 225, 184);
INSERT INTO public.who_data VALUES (53312, 800, 52843, 27, 1372, 225, 98);
INSERT INTO public.who_data VALUES (53313, 473, 54050, 2, 330, 225, 104);
INSERT INTO public.who_data VALUES (53314, 0, 509, 0, 21, 225, 73);
INSERT INTO public.who_data VALUES (53315, 58975, 3097300, 799, 132683, 225, 8);
INSERT INTO public.who_data VALUES (53316, 9, 153, 0, 6, 225, 227);
INSERT INTO public.who_data VALUES (53317, 3, 977, 0, 29, 225, 75);
INSERT INTO public.who_data VALUES (53318, 483, 12206, 3, 55, 225, 45);
INSERT INTO public.who_data VALUES (53319, 0, 0, 0, 0, 225, 133);
INSERT INTO public.who_data VALUES (53320, 362, 8372, 5, 80, 225, 202);
INSERT INTO public.who_data VALUES (53321, 1, 370, 0, 0, 225, 129);
INSERT INTO public.who_data VALUES (53322, 0, 0, 0, 0, 225, 36);
INSERT INTO public.who_data VALUES (53323, 24, 1380, 3, 364, 225, 51);
INSERT INTO public.who_data VALUES (53324, 0, 1895, 0, 42, 225, 206);
INSERT INTO public.who_data VALUES (53325, 16, 942, 1, 13, 225, 5);
INSERT INTO public.who_data VALUES (53326, 541, 34280, 34, 975, 226, 103);
INSERT INTO public.who_data VALUES (53327, 90, 3278, 2, 85, 226, 58);
INSERT INTO public.who_data VALUES (53328, 460, 17808, 10, 988, 226, 195);
INSERT INTO public.who_data VALUES (53329, 0, 0, 0, 0, 226, 115);
INSERT INTO public.who_data VALUES (53330, 0, 855, 0, 52, 226, 99);
INSERT INTO public.who_data VALUES (53331, 62, 458, 1, 23, 226, 153);
INSERT INTO public.who_data VALUES (53332, 0, 3, 0, 0, 226, 93);
INSERT INTO public.who_data VALUES (53333, 3, 73, 0, 3, 226, 84);
INSERT INTO public.who_data VALUES (53334, 3604, 87030, 53, 1707, 226, 78);
INSERT INTO public.who_data VALUES (53335, 557, 30216, 11, 541, 226, 170);
INSERT INTO public.who_data VALUES (53336, 0, 105, 0, 3, 226, 32);
INSERT INTO public.who_data VALUES (53337, 173, 9059, 0, 106, 226, 155);
INSERT INTO public.who_data VALUES (53338, 97, 18613, 0, 706, 226, 82);
INSERT INTO public.who_data VALUES (53339, 548, 22464, 10, 284, 226, 16);
INSERT INTO public.who_data VALUES (53340, 2, 106, 0, 11, 226, 72);
INSERT INTO public.who_data VALUES (53341, 597, 31528, 5, 103, 226, 43);
INSERT INTO public.who_data VALUES (53342, 3360, 175494, 41, 2238, 226, 120);
INSERT INTO public.who_data VALUES (53343, 0, 98, 0, 7, 226, 213);
INSERT INTO public.who_data VALUES (53344, 187, 64411, 6, 449, 226, 31);
INSERT INTO public.who_data VALUES (53345, 124, 62967, 2, 9645, 226, 204);
INSERT INTO public.who_data VALUES (53346, 0, 30, 0, 2, 226, 152);
INSERT INTO public.who_data VALUES (53347, 0, 1285, 0, 23, 226, 144);
INSERT INTO public.who_data VALUES (53348, 0, 149, 0, 9, 226, 96);
INSERT INTO public.who_data VALUES (53349, 0, 80, 0, 0, 226, 47);
INSERT INTO public.who_data VALUES (53350, 1439, 42984, 47, 1577, 226, 80);
INSERT INTO public.who_data VALUES (53351, 0, 2, 0, 0, 226, 159);
INSERT INTO public.who_data VALUES (53352, 219, 6087, 6, 213, 226, 27);
INSERT INTO public.who_data VALUES (53353, 0, 314, 0, 1, 226, 146);
INSERT INTO public.who_data VALUES (53354, 44571, 1713160, 1223, 67964, 226, 71);
INSERT INTO public.who_data VALUES (53355, 0, 8, 0, 1, 226, 210);
INSERT INTO public.who_data VALUES (53356, 0, 141, 0, 3, 226, 54);
INSERT INTO public.who_data VALUES (53357, 330, 6672, 3, 262, 226, 147);
INSERT INTO public.who_data VALUES (53358, 2, 1005, 0, 53, 226, 2);
INSERT INTO public.who_data VALUES (53359, 0, 219, 0, 1, 226, 105);
INSERT INTO public.who_data VALUES (53360, 11, 1553, 1, 19, 226, 53);
INSERT INTO public.who_data VALUES (53361, 0, 141, 0, 0, 226, 81);
INSERT INTO public.who_data VALUES (53362, 0, 14916, 0, 359, 226, 223);
INSERT INTO public.who_data VALUES (53363, 267, 106434, 26, 8737, 226, 94);
INSERT INTO public.who_data VALUES (53364, 0, 201, 0, 1, 226, 154);
INSERT INTO public.who_data VALUES (53365, 91, 4200, 0, 52, 226, 83);
INSERT INTO public.who_data VALUES (53366, 0, 873, 0, 74, 226, 194);
INSERT INTO public.who_data VALUES (53367, 3133, 306216, 109, 6682, 226, 136);
INSERT INTO public.who_data VALUES (53368, 46, 85445, 0, 4648, 226, 179);
INSERT INTO public.who_data VALUES (53369, 4144, 128638, 168, 4527, 226, 57);
INSERT INTO public.who_data VALUES (53370, 0, 313, 0, 7, 226, 35);
INSERT INTO public.who_data VALUES (53371, 207, 2028, 0, 47, 226, 228);
INSERT INTO public.who_data VALUES (53372, 0, 0, 0, 0, 226, 19);
INSERT INTO public.who_data VALUES (53373, 350, 5836, 1, 24, 226, 22);
INSERT INTO public.who_data VALUES (53374, 0, 11504, 0, 78, 226, 1);
INSERT INTO public.who_data VALUES (53375, 91, 3416, 1, 115, 226, 21);
INSERT INTO public.who_data VALUES (53376, 4, 2403, 0, 86, 226, 234);
INSERT INTO public.who_data VALUES (53377, 0, 25, 0, 1, 226, 91);
INSERT INTO public.who_data VALUES (53378, 2, 1010, 0, 19, 226, 137);
INSERT INTO public.who_data VALUES (53379, 105, 12919, 1, 352, 226, 201);
INSERT INTO public.who_data VALUES (53380, 0, 0, 0, 0, 226, 171);
INSERT INTO public.who_data VALUES (53381, 109, 7845, 5, 188, 226, 92);
INSERT INTO public.who_data VALUES (53382, 16, 12916, 0, 609, 226, 112);
INSERT INTO public.who_data VALUES (53383, 66, 4955, 1, 56, 226, 62);
INSERT INTO public.who_data VALUES (53384, 0, 18, 0, 0, 226, 69);
INSERT INTO public.who_data VALUES (53385, 1202, 40790, 13, 842, 226, 220);
INSERT INTO public.who_data VALUES (53386, 1773, 65018, 66, 4939, 226, 100);
INSERT INTO public.who_data VALUES (53387, 950, 79254, 53, 3617, 226, 187);
INSERT INTO public.who_data VALUES (53388, 278, 8844, 8, 243, 226, 63);
INSERT INTO public.who_data VALUES (53389, 0, 1043, 0, 12, 226, 28);
INSERT INTO public.who_data VALUES (53390, 17, 232, 0, 0, 226, 172);
INSERT INTO public.who_data VALUES (53391, 8, 2011, 0, 63, 226, 17);
INSERT INTO public.who_data VALUES (53392, 75, 1213, 3, 17, 226, 226);
INSERT INTO public.who_data VALUES (53393, 147, 7120, 4, 124, 226, 236);
INSERT INTO public.who_data VALUES (53394, 0, 13, 0, 0, 226, 76);
INSERT INTO public.who_data VALUES (53395, 0, 188, 0, 0, 226, 30);
INSERT INTO public.who_data VALUES (53396, 0, 21, 0, 0, 226, 128);
INSERT INTO public.who_data VALUES (53397, 4, 7287, 0, 328, 226, 86);
INSERT INTO public.who_data VALUES (53398, 504, 160783, 13, 29886, 226, 140);
INSERT INTO public.who_data VALUES (53399, 99, 5558, 0, 22, 226, 44);
INSERT INTO public.who_data VALUES (53400, 0, 62, 0, 0, 226, 113);
INSERT INTO public.who_data VALUES (53401, 0, 5871, 0, 46, 226, 29);
INSERT INTO public.who_data VALUES (53402, 1, 64, 0, 3, 226, 125);
INSERT INTO public.who_data VALUES (53403, 5, 973, 0, 15, 226, 131);
INSERT INTO public.who_data VALUES (53404, 395, 198178, 6, 9054, 226, 46);
INSERT INTO public.who_data VALUES (53405, 641, 23463, 0, 129, 226, 10);
INSERT INTO public.who_data VALUES (53406, 0, 179, 0, 0, 226, 205);
INSERT INTO public.who_data VALUES (53407, 50, 3672, 0, 193, 226, 50);
INSERT INTO public.who_data VALUES (53408, 0, 13, 0, 0, 226, 20);
INSERT INTO public.who_data VALUES (53409, 0, 23, 0, 0, 226, 13);
INSERT INTO public.who_data VALUES (53410, 0, 184, 0, 14, 226, 148);
INSERT INTO public.who_data VALUES (53411, 3, 302, 0, 5, 226, 230);
INSERT INTO public.who_data VALUES (53412, 624, 25411, 49, 1053, 226, 190);
INSERT INTO public.who_data VALUES (53413, 0, 252, 0, 13, 226, 188);
INSERT INTO public.who_data VALUES (53414, 184, 5881, 2, 36, 226, 123);
INSERT INTO public.who_data VALUES (53415, 0, 1790, 0, 25, 226, 9);
INSERT INTO public.who_data VALUES (53416, 1, 285, 0, 16, 226, 102);
INSERT INTO public.who_data VALUES (53417, 54, 6486, 6, 123, 226, 34);
INSERT INTO public.who_data VALUES (53418, 0, 12, 0, 0, 226, 212);
INSERT INTO public.who_data VALUES (53419, 550, 25978, 17, 694, 226, 122);
INSERT INTO public.who_data VALUES (53420, 10, 4220, 2, 591, 226, 38);
INSERT INTO public.who_data VALUES (53421, 0, 1833, 0, 10, 226, 130);
INSERT INTO public.who_data VALUES (53422, 26506, 793802, 475, 21604, 226, 37);
INSERT INTO public.who_data VALUES (53423, 2657, 70736, 58, 3417, 226, 231);
INSERT INTO public.who_data VALUES (53424, 2079, 250458, 221, 12305, 226, 107);
INSERT INTO public.who_data VALUES (53425, 2170, 69612, 103, 2882, 226, 101);
INSERT INTO public.who_data VALUES (53426, 23, 25565, 0, 1743, 226, 132);
INSERT INTO public.who_data VALUES (53427, 0, 336, 0, 24, 226, 176);
INSERT INTO public.who_data VALUES (53428, 1327, 34011, 5, 359, 226, 200);
INSERT INTO public.who_data VALUES (53429, 214, 242363, 12, 34926, 226, 169);
INSERT INTO public.who_data VALUES (53430, 6, 751, 0, 10, 226, 225);
INSERT INTO public.who_data VALUES (53431, 348, 20719, 1, 982, 226, 165);
INSERT INTO public.who_data VALUES (53432, 0, 325, 0, 31, 226, 233);
INSERT INTO public.who_data VALUES (53433, 0, 1088, 0, 10, 226, 215);
INSERT INTO public.who_data VALUES (53434, 1708, 56455, 19, 332, 226, 177);
INSERT INTO public.who_data VALUES (53435, 447, 8975, 4, 173, 226, 183);
INSERT INTO public.who_data VALUES (53436, 0, 0, 0, 0, 226, 203);
INSERT INTO public.who_data VALUES (53437, 207, 4264, 8, 84, 226, 162);
INSERT INTO public.who_data VALUES (53438, 833, 52840, 3, 382, 226, 12);
INSERT INTO public.who_data VALUES (53439, 511, 9358, 6, 122, 226, 24);
INSERT INTO public.who_data VALUES (53440, 0, 19, 0, 0, 226, 119);
INSERT INTO public.who_data VALUES (53441, 13, 1154, 0, 30, 226, 39);
INSERT INTO public.who_data VALUES (53442, 66, 2011, 0, 36, 226, 26);
INSERT INTO public.who_data VALUES (53443, 0, 134, 0, 1, 226, 59);
INSERT INTO public.who_data VALUES (53444, 31, 957, 1, 42, 226, 77);
INSERT INTO public.who_data VALUES (53445, 74, 1342, 2, 38, 226, 134);
INSERT INTO public.who_data VALUES (53446, 0, 85, 0, 1, 226, 4);
INSERT INTO public.who_data VALUES (53447, 4, 1856, 0, 79, 226, 109);
INSERT INTO public.who_data VALUES (53448, 69, 4719, 0, 110, 226, 90);
INSERT INTO public.who_data VALUES (53449, 209, 3782, 0, 33, 226, 61);
INSERT INTO public.who_data VALUES (53450, 44, 1986, 4, 29, 226, 85);
INSERT INTO public.who_data VALUES (53451, 6, 8683, 0, 121, 226, 49);
INSERT INTO public.who_data VALUES (53452, 36, 2553, 0, 13, 226, 208);
INSERT INTO public.who_data VALUES (53453, 12, 2370, 0, 120, 226, 166);
INSERT INTO public.who_data VALUES (53454, 1, 673, 0, 9, 226, 64);
INSERT INTO public.who_data VALUES (53455, 0, 0, 0, 0, 226, 199);
INSERT INTO public.who_data VALUES (53456, 0, 249, 0, 14, 226, 114);
INSERT INTO public.who_data VALUES (53457, 63, 5087, 4, 139, 226, 60);
INSERT INTO public.who_data VALUES (53458, 0, 342, 0, 10, 226, 68);
INSERT INTO public.who_data VALUES (53459, 14, 2702, 1, 37, 226, 158);
INSERT INTO public.who_data VALUES (53460, 6995, 275003, 782, 32796, 226, 52);
INSERT INTO public.who_data VALUES (53461, 0, 0, 0, 0, 226, 117);
INSERT INTO public.who_data VALUES (53462, 0, 78, 0, 1, 226, 126);
INSERT INTO public.who_data VALUES (53463, 0, 227, 0, 0, 226, 196);
INSERT INTO public.who_data VALUES (53464, 108, 1623, 1, 21, 226, 142);
INSERT INTO public.who_data VALUES (53465, 0, 11, 0, 1, 226, 185);
INSERT INTO public.who_data VALUES (53466, 308, 15079, 0, 242, 226, 138);
INSERT INTO public.who_data VALUES (53467, 21, 1092, 1, 9, 226, 181);
INSERT INTO public.who_data VALUES (53468, 3, 321, 0, 6, 226, 178);
INSERT INTO public.who_data VALUES (53469, 22, 615, 0, 0, 226, 168);
INSERT INTO public.who_data VALUES (53470, 0, 0, 0, 0, 226, 160);
INSERT INTO public.who_data VALUES (53471, 108, 16531, 0, 35, 226, 151);
INSERT INTO public.who_data VALUES (53472, 60, 50601, 2, 6111, 226, 193);
INSERT INTO public.who_data VALUES (53473, 0, 21, 0, 0, 226, 18);
INSERT INTO public.who_data VALUES (53474, 2, 1192, 0, 22, 226, 40);
INSERT INTO public.who_data VALUES (53475, 0, 2411, 0, 91, 226, 218);
INSERT INTO public.who_data VALUES (53476, 0, 1097, 0, 68, 226, 191);
INSERT INTO public.who_data VALUES (53477, 499, 30748, 5, 689, 226, 156);
INSERT INTO public.who_data VALUES (53478, 0, 0, 0, 0, 226, 135);
INSERT INTO public.who_data VALUES (53479, 0, 31, 0, 2, 226, 88);
INSERT INTO public.who_data VALUES (53480, 167, 7572, 3, 362, 226, 55);
INSERT INTO public.who_data VALUES (53481, 7, 8954, 1, 252, 226, 108);
INSERT INTO public.who_data VALUES (53482, 262, 5829, 3, 27, 226, 48);
INSERT INTO public.who_data VALUES (53483, 1518, 51725, 3, 236, 226, 3);
INSERT INTO public.who_data VALUES (53484, 0, 741, 0, 13, 226, 224);
INSERT INTO public.who_data VALUES (53485, 2748, 243596, 75, 5058, 226, 110);
INSERT INTO public.who_data VALUES (53486, 0, 0, 0, 0, 226, 106);
INSERT INTO public.who_data VALUES (53487, 960, 41251, 20, 819, 226, 89);
INSERT INTO public.who_data VALUES (53488, 0, 11, 0, 0, 226, 121);
INSERT INTO public.who_data VALUES (53489, 84, 2638, 0, 20, 226, 163);
INSERT INTO public.who_data VALUES (53490, 3633, 312911, 181, 11133, 226, 70);
INSERT INTO public.who_data VALUES (53491, 1395, 51754, 4, 1318, 226, 174);
INSERT INTO public.who_data VALUES (53492, 0, 0, 0, 0, 226, 175);
INSERT INTO public.who_data VALUES (53493, 262, 36951, 9, 1551, 226, 118);
INSERT INTO public.who_data VALUES (53494, 418, 45277, 13, 1644, 226, 189);
INSERT INTO public.who_data VALUES (53495, 117, 8862, 0, 159, 226, 124);
INSERT INTO public.who_data VALUES (53496, 557, 102110, 4, 142, 226, 192);
INSERT INTO public.who_data VALUES (53497, 45, 13338, 1, 288, 226, 41);
INSERT INTO public.who_data VALUES (53498, 195, 18666, 13, 627, 226, 95);
INSERT INTO public.who_data VALUES (53499, 3, 566, 0, 3, 226, 74);
INSERT INTO public.who_data VALUES (53500, 614, 30789, 17, 1834, 226, 11);
INSERT INTO public.who_data VALUES (53501, 6635, 713936, 174, 11017, 226, 87);
INSERT INTO public.who_data VALUES (53502, 16, 1210, 0, 3, 226, 214);
INSERT INTO public.who_data VALUES (53503, 0, 3, 0, 0, 226, 116);
INSERT INTO public.who_data VALUES (53504, 0, 6, 0, 0, 226, 157);
INSERT INTO public.who_data VALUES (53505, 0, 0, 0, 0, 226, 182);
INSERT INTO public.who_data VALUES (53506, 0, 16, 0, 0, 226, 186);
INSERT INTO public.who_data VALUES (53507, 0, 22, 0, 0, 226, 127);
INSERT INTO public.who_data VALUES (53508, 0, 44, 0, 3, 226, 232);
INSERT INTO public.who_data VALUES (53509, 1, 2, 0, 0, 226, 33);
INSERT INTO public.who_data VALUES (53510, 0, 29, 0, 0, 226, 97);
INSERT INTO public.who_data VALUES (53511, 0, 0, 0, 0, 226, 42);
INSERT INTO public.who_data VALUES (53512, 3, 716, 0, 42, 226, 198);
INSERT INTO public.who_data VALUES (53513, 2, 406, 1, 12, 226, 216);
INSERT INTO public.who_data VALUES (53514, 3183, 223327, 41, 2100, 226, 164);
INSERT INTO public.who_data VALUES (53515, 127, 7784, 2, 143, 226, 235);
INSERT INTO public.who_data VALUES (53516, 266, 17342, 11, 352, 226, 67);
INSERT INTO public.who_data VALUES (53517, 6, 100, 0, 0, 226, 15);
INSERT INTO public.who_data VALUES (53518, 14, 1598, 0, 63, 226, 180);
INSERT INTO public.who_data VALUES (53519, 125, 45423, 0, 26, 226, 237);
INSERT INTO public.who_data VALUES (53520, 0, 2, 0, 0, 226, 25);
INSERT INTO public.who_data VALUES (53521, 0, 78, 0, 15, 226, 209);
INSERT INTO public.who_data VALUES (53522, 31, 1798, 0, 28, 226, 217);
INSERT INTO public.who_data VALUES (53523, 13, 1776, 0, 114, 226, 79);
INSERT INTO public.who_data VALUES (53524, 0, 0, 0, 0, 226, 143);
INSERT INTO public.who_data VALUES (53525, 10, 3038, 0, 92, 226, 229);
INSERT INTO public.who_data VALUES (53526, 13674, 238339, 118, 3720, 226, 141);
INSERT INTO public.who_data VALUES (53527, 23, 2129, 1, 41, 226, 197);
INSERT INTO public.who_data VALUES (53528, 831, 263489, 4, 29790, 226, 221);
INSERT INTO public.who_data VALUES (53529, 256, 2350, 0, 11, 226, 150);
INSERT INTO public.who_data VALUES (53530, 120, 10204, 13, 649, 226, 56);
INSERT INTO public.who_data VALUES (53531, 36, 671, 0, 17, 226, 167);
INSERT INTO public.who_data VALUES (53532, 533, 71673, 10, 5607, 226, 23);
INSERT INTO public.who_data VALUES (53533, 97, 32700, 0, 1729, 226, 222);
INSERT INTO public.who_data VALUES (53534, 0, 372, 0, 14, 226, 219);
INSERT INTO public.who_data VALUES (53535, 46, 6409, 0, 54, 226, 7);
INSERT INTO public.who_data VALUES (53536, 0, 3202, 0, 58, 226, 161);
INSERT INTO public.who_data VALUES (53537, 693, 289674, 31, 40785, 226, 149);
INSERT INTO public.who_data VALUES (53538, 0, 24, 0, 0, 226, 6);
INSERT INTO public.who_data VALUES (53539, 9, 704, 0, 15, 226, 139);
INSERT INTO public.who_data VALUES (53540, 0, 0, 0, 0, 226, 211);
INSERT INTO public.who_data VALUES (53541, 0, 0, 0, 0, 226, 14);
INSERT INTO public.who_data VALUES (53542, 0, 133, 0, 8, 226, 111);
INSERT INTO public.who_data VALUES (53543, 9, 1240, 0, 50, 226, 207);
INSERT INTO public.who_data VALUES (53544, 1024, 209962, 18, 5300, 226, 66);
INSERT INTO public.who_data VALUES (53545, 0, 0, 0, 0, 226, 173);
INSERT INTO public.who_data VALUES (53546, 0, 55, 0, 2, 226, 145);
INSERT INTO public.who_data VALUES (53547, 0, 0, 0, 0, 226, 65);
INSERT INTO public.who_data VALUES (53548, 23, 1000, 0, 0, 226, 184);
INSERT INTO public.who_data VALUES (53549, 819, 52043, 18, 1345, 226, 98);
INSERT INTO public.who_data VALUES (53550, 532, 53577, 1, 328, 226, 104);
INSERT INTO public.who_data VALUES (53551, 0, 509, 0, 21, 226, 73);
INSERT INTO public.who_data VALUES (53552, 64630, 3038325, 991, 131884, 226, 8);
INSERT INTO public.who_data VALUES (53553, 22, 144, 0, 6, 226, 227);
INSERT INTO public.who_data VALUES (53554, 9, 974, 0, 29, 226, 75);
INSERT INTO public.who_data VALUES (53555, 464, 11723, 5, 52, 226, 45);
INSERT INTO public.who_data VALUES (53556, 0, 0, 0, 0, 226, 133);
INSERT INTO public.who_data VALUES (53557, 317, 8010, 4, 75, 226, 202);
INSERT INTO public.who_data VALUES (53558, 0, 369, 0, 0, 226, 129);
INSERT INTO public.who_data VALUES (53559, 0, 0, 0, 0, 226, 36);
INSERT INTO public.who_data VALUES (53560, 38, 1356, 10, 361, 226, 51);
INSERT INTO public.who_data VALUES (53561, 0, 1895, 0, 42, 226, 206);
INSERT INTO public.who_data VALUES (53562, 41, 926, 3, 12, 226, 5);
INSERT INTO public.who_data VALUES (53563, 59, 33739, 1, 941, 227, 103);
INSERT INTO public.who_data VALUES (53564, 82, 3188, 0, 83, 227, 58);
INSERT INTO public.who_data VALUES (53565, 469, 17348, 10, 978, 227, 195);
INSERT INTO public.who_data VALUES (53566, 0, 0, 0, 0, 227, 115);
INSERT INTO public.who_data VALUES (53567, 0, 855, 0, 52, 227, 99);
INSERT INTO public.who_data VALUES (53568, 10, 396, 1, 22, 227, 153);
INSERT INTO public.who_data VALUES (53569, 0, 3, 0, 0, 227, 93);
INSERT INTO public.who_data VALUES (53570, 0, 70, 0, 3, 227, 84);
INSERT INTO public.who_data VALUES (53571, 2979, 83426, 52, 1654, 227, 78);
INSERT INTO public.who_data VALUES (53572, 526, 29659, 14, 530, 227, 170);
INSERT INTO public.who_data VALUES (53573, 0, 105, 0, 3, 227, 32);
INSERT INTO public.who_data VALUES (53574, 131, 8886, 0, 106, 227, 155);
INSERT INTO public.who_data VALUES (53575, 101, 18516, 0, 706, 227, 82);
INSERT INTO public.who_data VALUES (53576, 542, 21916, 9, 274, 227, 16);
INSERT INTO public.who_data VALUES (53577, 0, 104, 0, 11, 227, 72);
INSERT INTO public.who_data VALUES (53578, 610, 30931, 0, 98, 227, 43);
INSERT INTO public.who_data VALUES (53579, 3489, 172134, 46, 2197, 227, 120);
INSERT INTO public.who_data VALUES (53580, 0, 98, 0, 7, 227, 213);
INSERT INTO public.who_data VALUES (53581, 221, 64224, 7, 443, 227, 31);
INSERT INTO public.who_data VALUES (53582, 137, 62843, 1, 9643, 227, 204);
INSERT INTO public.who_data VALUES (53583, 0, 30, 0, 2, 227, 152);
INSERT INTO public.who_data VALUES (53584, 0, 1285, 0, 23, 227, 144);
INSERT INTO public.who_data VALUES (53585, 3, 149, 0, 9, 227, 96);
INSERT INTO public.who_data VALUES (53586, 0, 80, 0, 0, 227, 47);
INSERT INTO public.who_data VALUES (53587, 1036, 41545, 54, 1530, 227, 80);
INSERT INTO public.who_data VALUES (53588, 0, 2, 0, 0, 227, 159);
INSERT INTO public.who_data VALUES (53589, 250, 5868, 1, 207, 227, 27);
INSERT INTO public.who_data VALUES (53590, 0, 314, 0, 1, 227, 146);
INSERT INTO public.who_data VALUES (53591, 45305, 1668589, 1254, 66741, 227, 71);
INSERT INTO public.who_data VALUES (53592, 0, 8, 0, 1, 227, 210);
INSERT INTO public.who_data VALUES (53593, 0, 141, 0, 3, 227, 54);
INSERT INTO public.who_data VALUES (53594, 240, 6342, 5, 259, 227, 147);
INSERT INTO public.who_data VALUES (53595, 0, 1003, 0, 53, 227, 2);
INSERT INTO public.who_data VALUES (53596, 28, 219, 0, 1, 227, 105);
INSERT INTO public.who_data VALUES (53597, 43, 1542, 0, 18, 227, 53);
INSERT INTO public.who_data VALUES (53598, 0, 141, 0, 0, 227, 81);
INSERT INTO public.who_data VALUES (53599, 0, 14916, 0, 359, 227, 223);
INSERT INTO public.who_data VALUES (53600, 232, 106167, 18, 8711, 227, 94);
INSERT INTO public.who_data VALUES (53601, 0, 201, 0, 1, 227, 154);
INSERT INTO public.who_data VALUES (53602, 38, 4109, 0, 52, 227, 83);
INSERT INTO public.who_data VALUES (53603, 0, 873, 0, 74, 227, 194);
INSERT INTO public.who_data VALUES (53604, 2064, 303083, 139, 6573, 227, 136);
INSERT INTO public.who_data VALUES (53605, 33, 85399, 0, 4648, 227, 179);
INSERT INTO public.who_data VALUES (53606, 4213, 124494, 149, 4359, 227, 57);
INSERT INTO public.who_data VALUES (53607, 0, 313, 0, 7, 227, 35);
INSERT INTO public.who_data VALUES (53608, 64, 1821, 3, 47, 227, 228);
INSERT INTO public.who_data VALUES (53609, 0, 0, 0, 0, 227, 19);
INSERT INTO public.who_data VALUES (53610, 245, 5486, 0, 23, 227, 22);
INSERT INTO public.who_data VALUES (53611, 538, 11504, 3, 78, 227, 1);
INSERT INTO public.who_data VALUES (53612, 53, 3325, 1, 114, 227, 21);
INSERT INTO public.who_data VALUES (53613, 4, 2399, 0, 86, 227, 234);
INSERT INTO public.who_data VALUES (53614, 0, 25, 0, 1, 227, 91);
INSERT INTO public.who_data VALUES (53615, 3, 1008, 0, 19, 227, 137);
INSERT INTO public.who_data VALUES (53616, 129, 12814, 0, 351, 227, 201);
INSERT INTO public.who_data VALUES (53617, 0, 0, 0, 0, 227, 171);
INSERT INTO public.who_data VALUES (53618, 77, 7736, 1, 183, 227, 92);
INSERT INTO public.who_data VALUES (53619, 12, 12900, 0, 609, 227, 112);
INSERT INTO public.who_data VALUES (53620, 11, 4889, 0, 55, 227, 62);
INSERT INTO public.who_data VALUES (53621, 0, 18, 0, 0, 227, 69);
INSERT INTO public.who_data VALUES (53622, 1158, 39588, 8, 829, 227, 220);
INSERT INTO public.who_data VALUES (53623, 0, 63245, 0, 4873, 227, 100);
INSERT INTO public.who_data VALUES (53624, 1025, 78304, 75, 3564, 227, 187);
INSERT INTO public.who_data VALUES (53625, 259, 8566, 6, 235, 227, 63);
INSERT INTO public.who_data VALUES (53626, 0, 1043, 0, 12, 227, 28);
INSERT INTO public.who_data VALUES (53627, 0, 215, 0, 0, 227, 172);
INSERT INTO public.who_data VALUES (53628, 8, 2003, 0, 63, 227, 17);
INSERT INTO public.who_data VALUES (53629, 82, 1138, 0, 14, 227, 226);
INSERT INTO public.who_data VALUES (53630, 199, 6973, 0, 120, 227, 236);
INSERT INTO public.who_data VALUES (53631, 0, 13, 0, 0, 227, 76);
INSERT INTO public.who_data VALUES (53632, 0, 188, 0, 0, 227, 30);
INSERT INTO public.who_data VALUES (53633, 0, 21, 0, 0, 227, 128);
INSERT INTO public.who_data VALUES (53634, 7, 7283, 0, 328, 227, 86);
INSERT INTO public.who_data VALUES (53635, 370, 160279, 31, 29873, 227, 140);
INSERT INTO public.who_data VALUES (53636, 281, 5459, 1, 22, 227, 44);
INSERT INTO public.who_data VALUES (53637, 0, 62, 0, 0, 227, 113);
INSERT INTO public.who_data VALUES (53638, 128, 5871, 0, 46, 227, 29);
INSERT INTO public.who_data VALUES (53639, 2, 63, 0, 3, 227, 125);
INSERT INTO public.who_data VALUES (53640, 5, 968, 0, 15, 227, 131);
INSERT INTO public.who_data VALUES (53641, 442, 197783, 12, 9048, 227, 46);
INSERT INTO public.who_data VALUES (53642, 854, 22822, 0, 129, 227, 10);
INSERT INTO public.who_data VALUES (53643, 0, 179, 0, 0, 227, 205);
INSERT INTO public.who_data VALUES (53644, 33, 3622, 0, 193, 227, 50);
INSERT INTO public.who_data VALUES (53645, 0, 13, 0, 0, 227, 20);
INSERT INTO public.who_data VALUES (53646, 0, 23, 0, 0, 227, 13);
INSERT INTO public.who_data VALUES (53647, 0, 184, 0, 14, 227, 148);
INSERT INTO public.who_data VALUES (53648, 4, 299, 0, 5, 227, 230);
INSERT INTO public.who_data VALUES (53649, 815, 24787, 23, 1004, 227, 190);
INSERT INTO public.who_data VALUES (53650, 0, 252, 0, 13, 227, 188);
INSERT INTO public.who_data VALUES (53651, 61, 5697, 0, 34, 227, 123);
INSERT INTO public.who_data VALUES (53652, 0, 1790, 0, 25, 227, 9);
INSERT INTO public.who_data VALUES (53653, 6, 284, 0, 16, 227, 102);
INSERT INTO public.who_data VALUES (53654, 61, 6432, 4, 117, 227, 34);
INSERT INTO public.who_data VALUES (53655, 0, 12, 0, 0, 227, 212);
INSERT INTO public.who_data VALUES (53656, 763, 25428, 21, 677, 227, 122);
INSERT INTO public.who_data VALUES (53657, 5, 4210, 0, 589, 227, 38);
INSERT INTO public.who_data VALUES (53658, 0, 1833, 0, 10, 227, 130);
INSERT INTO public.who_data VALUES (53659, 24879, 767296, 487, 21129, 227, 37);
INSERT INTO public.who_data VALUES (53660, 1853, 68079, 50, 3359, 227, 231);
INSERT INTO public.who_data VALUES (53661, 2691, 248379, 153, 12084, 227, 107);
INSERT INTO public.who_data VALUES (53662, 2741, 67442, 94, 2779, 227, 101);
INSERT INTO public.who_data VALUES (53663, 4, 25542, 0, 1743, 227, 132);
INSERT INTO public.who_data VALUES (53664, 0, 336, 0, 24, 227, 176);
INSERT INTO public.who_data VALUES (53665, 1390, 32684, 5, 354, 227, 200);
INSERT INTO public.who_data VALUES (53666, 193, 242149, 15, 34914, 227, 169);
INSERT INTO public.who_data VALUES (53667, 8, 745, 0, 10, 227, 225);
INSERT INTO public.who_data VALUES (53668, 197, 20371, 1, 981, 227, 165);
INSERT INTO public.who_data VALUES (53669, 0, 325, 0, 31, 227, 233);
INSERT INTO public.who_data VALUES (53670, 0, 1088, 0, 10, 227, 215);
INSERT INTO public.who_data VALUES (53671, 1726, 54747, 17, 313, 227, 177);
INSERT INTO public.who_data VALUES (53672, 278, 8528, 2, 169, 227, 183);
INSERT INTO public.who_data VALUES (53673, 0, 0, 0, 0, 227, 203);
INSERT INTO public.who_data VALUES (53674, 214, 4057, 4, 76, 227, 162);
INSERT INTO public.who_data VALUES (53675, 762, 52007, 2, 379, 227, 12);
INSERT INTO public.who_data VALUES (53676, 361, 8847, 4, 116, 227, 24);
INSERT INTO public.who_data VALUES (53677, 0, 19, 0, 0, 227, 119);
INSERT INTO public.who_data VALUES (53678, 7, 1141, 0, 30, 227, 39);
INSERT INTO public.who_data VALUES (53679, 38, 1945, 0, 36, 227, 26);
INSERT INTO public.who_data VALUES (53680, 43, 134, 1, 1, 227, 59);
INSERT INTO public.who_data VALUES (53681, 9, 926, 0, 41, 227, 77);
INSERT INTO public.who_data VALUES (53682, 86, 1268, 1, 36, 227, 134);
INSERT INTO public.who_data VALUES (53683, 0, 85, 0, 1, 227, 4);
INSERT INTO public.who_data VALUES (53684, 3, 1852, 0, 79, 227, 109);
INSERT INTO public.who_data VALUES (53685, 47, 4650, 0, 110, 227, 90);
INSERT INTO public.who_data VALUES (53686, 101, 3573, 0, 33, 227, 61);
INSERT INTO public.who_data VALUES (53687, 65, 1942, 1, 25, 227, 85);
INSERT INTO public.who_data VALUES (53688, 3, 8677, 0, 121, 227, 49);
INSERT INTO public.who_data VALUES (53689, 16, 2517, 1, 13, 227, 208);
INSERT INTO public.who_data VALUES (53690, 10, 2358, 1, 120, 227, 166);
INSERT INTO public.who_data VALUES (53691, 0, 672, 0, 9, 227, 64);
INSERT INTO public.who_data VALUES (53692, 0, 0, 0, 0, 227, 199);
INSERT INTO public.who_data VALUES (53693, 0, 249, 0, 14, 227, 114);
INSERT INTO public.who_data VALUES (53694, 76, 5024, 2, 135, 227, 60);
INSERT INTO public.who_data VALUES (53695, 0, 342, 0, 10, 227, 68);
INSERT INTO public.who_data VALUES (53696, 0, 2688, 0, 36, 227, 158);
INSERT INTO public.who_data VALUES (53697, 6258, 268008, 895, 32014, 227, 52);
INSERT INTO public.who_data VALUES (53698, 0, 0, 0, 0, 227, 117);
INSERT INTO public.who_data VALUES (53699, 0, 78, 0, 1, 227, 126);
INSERT INTO public.who_data VALUES (53700, 2, 227, 0, 0, 227, 196);
INSERT INTO public.who_data VALUES (53701, 134, 1515, 2, 20, 227, 142);
INSERT INTO public.who_data VALUES (53702, 0, 11, 0, 1, 227, 185);
INSERT INTO public.who_data VALUES (53703, 164, 14771, 2, 242, 227, 138);
INSERT INTO public.who_data VALUES (53704, 31, 1071, 0, 8, 227, 181);
INSERT INTO public.who_data VALUES (53705, 2, 318, 0, 6, 227, 178);
INSERT INTO public.who_data VALUES (53706, 54, 593, 0, 0, 227, 168);
INSERT INTO public.who_data VALUES (53707, 0, 0, 0, 0, 227, 160);
INSERT INTO public.who_data VALUES (53708, 255, 16423, 0, 35, 227, 151);
INSERT INTO public.who_data VALUES (53709, 57, 50541, 4, 6109, 227, 193);
INSERT INTO public.who_data VALUES (53710, 0, 21, 0, 0, 227, 18);
INSERT INTO public.who_data VALUES (53711, 3, 1190, 0, 22, 227, 40);
INSERT INTO public.who_data VALUES (53712, 229, 2411, 8, 91, 227, 218);
INSERT INTO public.who_data VALUES (53713, 3, 1097, 0, 68, 227, 191);
INSERT INTO public.who_data VALUES (53714, 460, 30249, 15, 684, 227, 156);
INSERT INTO public.who_data VALUES (53715, 0, 0, 0, 0, 227, 135);
INSERT INTO public.who_data VALUES (53716, 0, 31, 0, 2, 227, 88);
INSERT INTO public.who_data VALUES (53717, 162, 7405, 8, 359, 227, 55);
INSERT INTO public.who_data VALUES (53718, 11, 8947, 0, 251, 227, 108);
INSERT INTO public.who_data VALUES (53719, 475, 5567, 2, 24, 227, 48);
INSERT INTO public.who_data VALUES (53720, 1210, 50207, 9, 233, 227, 3);
INSERT INTO public.who_data VALUES (53721, 0, 741, 0, 13, 227, 224);
INSERT INTO public.who_data VALUES (53722, 3359, 240848, 61, 4983, 227, 110);
INSERT INTO public.who_data VALUES (53723, 0, 0, 0, 0, 227, 106);
INSERT INTO public.who_data VALUES (53724, 957, 40291, 29, 799, 227, 89);
INSERT INTO public.who_data VALUES (53725, 0, 11, 0, 0, 227, 121);
INSERT INTO public.who_data VALUES (53726, 52, 2554, 0, 20, 227, 163);
INSERT INTO public.who_data VALUES (53727, 3575, 309278, 180, 10952, 227, 70);
INSERT INTO public.who_data VALUES (53728, 2486, 50359, 5, 1314, 227, 174);
INSERT INTO public.who_data VALUES (53729, 0, 0, 0, 0, 227, 175);
INSERT INTO public.who_data VALUES (53730, 277, 36689, 14, 1542, 227, 118);
INSERT INTO public.who_data VALUES (53731, 443, 44859, 2, 1631, 227, 189);
INSERT INTO public.who_data VALUES (53732, 31, 8745, 2, 159, 227, 124);
INSERT INTO public.who_data VALUES (53733, 608, 101553, 4, 138, 227, 192);
INSERT INTO public.who_data VALUES (53734, 50, 13293, 2, 287, 227, 41);
INSERT INTO public.who_data VALUES (53735, 330, 18471, 10, 614, 227, 95);
INSERT INTO public.who_data VALUES (53736, 12, 563, 0, 3, 227, 74);
INSERT INTO public.who_data VALUES (53737, 555, 30175, 18, 1817, 227, 11);
INSERT INTO public.who_data VALUES (53738, 6509, 707301, 176, 10843, 227, 87);
INSERT INTO public.who_data VALUES (53739, 22, 1194, 0, 3, 227, 214);
INSERT INTO public.who_data VALUES (53740, 0, 3, 0, 0, 227, 116);
INSERT INTO public.who_data VALUES (53741, 0, 6, 0, 0, 227, 157);
INSERT INTO public.who_data VALUES (53742, 0, 0, 0, 0, 227, 182);
INSERT INTO public.who_data VALUES (53743, 0, 16, 0, 0, 227, 186);
INSERT INTO public.who_data VALUES (53744, 0, 22, 0, 0, 227, 127);
INSERT INTO public.who_data VALUES (53745, 0, 44, 0, 3, 227, 232);
INSERT INTO public.who_data VALUES (53746, 0, 1, 0, 0, 227, 33);
INSERT INTO public.who_data VALUES (53747, 0, 29, 0, 0, 227, 97);
INSERT INTO public.who_data VALUES (53748, 0, 0, 0, 0, 227, 42);
INSERT INTO public.who_data VALUES (53749, 0, 713, 0, 42, 227, 198);
INSERT INTO public.who_data VALUES (53750, 0, 404, 0, 11, 227, 216);
INSERT INTO public.who_data VALUES (53751, 3036, 220144, 42, 2059, 227, 164);
INSERT INTO public.who_data VALUES (53752, 110, 7657, 4, 141, 227, 235);
INSERT INTO public.who_data VALUES (53753, 357, 17076, 11, 341, 227, 67);
INSERT INTO public.who_data VALUES (53754, 3, 94, 0, 0, 227, 15);
INSERT INTO public.who_data VALUES (53755, 12, 1584, 0, 63, 227, 180);
INSERT INTO public.who_data VALUES (53756, 158, 45298, 0, 26, 227, 237);
INSERT INTO public.who_data VALUES (53757, 0, 2, 0, 0, 227, 25);
INSERT INTO public.who_data VALUES (53758, 0, 78, 0, 15, 227, 209);
INSERT INTO public.who_data VALUES (53759, 2, 1767, 0, 28, 227, 217);
INSERT INTO public.who_data VALUES (53760, 24, 1763, 0, 114, 227, 79);
INSERT INTO public.who_data VALUES (53761, 0, 0, 0, 0, 227, 143);
INSERT INTO public.who_data VALUES (53762, 13, 3028, 0, 92, 227, 229);
INSERT INTO public.who_data VALUES (53763, 8810, 224665, 100, 3602, 227, 141);
INSERT INTO public.who_data VALUES (53764, 0, 2106, 0, 40, 227, 197);
INSERT INTO public.who_data VALUES (53765, 774, 262658, 4, 29786, 227, 221);
INSERT INTO public.who_data VALUES (53766, 13, 2094, 0, 11, 227, 150);
INSERT INTO public.who_data VALUES (53767, 87, 10084, 14, 636, 227, 56);
INSERT INTO public.who_data VALUES (53768, 21, 635, 2, 17, 227, 167);
INSERT INTO public.who_data VALUES (53769, 278, 71140, 12, 5597, 227, 23);
INSERT INTO public.who_data VALUES (53770, 97, 32603, 2, 1729, 227, 222);
INSERT INTO public.who_data VALUES (53771, 0, 372, 0, 14, 227, 219);
INSERT INTO public.who_data VALUES (53772, 48, 6363, 1, 54, 227, 7);
INSERT INTO public.who_data VALUES (53773, 5, 3202, 0, 58, 227, 161);
INSERT INTO public.who_data VALUES (53774, 597, 288981, 57, 40754, 227, 149);
INSERT INTO public.who_data VALUES (53775, 0, 24, 0, 0, 227, 6);
INSERT INTO public.who_data VALUES (53776, 6, 695, 0, 15, 227, 139);
INSERT INTO public.who_data VALUES (53777, 0, 0, 0, 0, 227, 211);
INSERT INTO public.who_data VALUES (53778, 0, 0, 0, 0, 227, 14);
INSERT INTO public.who_data VALUES (53779, 0, 133, 0, 8, 227, 111);
INSERT INTO public.who_data VALUES (53780, 10, 1231, 0, 50, 227, 207);
INSERT INTO public.who_data VALUES (53781, 1041, 208938, 22, 5282, 227, 66);
INSERT INTO public.who_data VALUES (53782, 0, 0, 0, 0, 227, 173);
INSERT INTO public.who_data VALUES (53783, 6, 55, 0, 2, 227, 145);
INSERT INTO public.who_data VALUES (53784, 0, 0, 0, 0, 227, 65);
INSERT INTO public.who_data VALUES (53785, 6, 977, 0, 0, 227, 184);
INSERT INTO public.who_data VALUES (53786, 810, 51224, 20, 1327, 227, 98);
INSERT INTO public.who_data VALUES (53787, 445, 53045, 1, 327, 227, 104);
INSERT INTO public.who_data VALUES (53788, 0, 509, 0, 21, 227, 73);
INSERT INTO public.who_data VALUES (53789, 50263, 2973695, 930, 130893, 227, 8);
INSERT INTO public.who_data VALUES (53790, 6, 122, 0, 6, 227, 227);
INSERT INTO public.who_data VALUES (53791, 5, 965, 0, 29, 227, 75);
INSERT INTO public.who_data VALUES (53792, 421, 11259, 6, 47, 227, 45);
INSERT INTO public.who_data VALUES (53793, 0, 0, 0, 0, 227, 133);
INSERT INTO public.who_data VALUES (53794, 282, 7693, 3, 71, 227, 202);
INSERT INTO public.who_data VALUES (53795, 0, 369, 0, 0, 227, 129);
INSERT INTO public.who_data VALUES (53796, 0, 0, 0, 0, 227, 36);
INSERT INTO public.who_data VALUES (53797, 21, 1318, 3, 351, 227, 51);
INSERT INTO public.who_data VALUES (53798, 0, 1895, 0, 42, 227, 206);
INSERT INTO public.who_data VALUES (53799, 98, 885, 0, 9, 227, 5);
INSERT INTO public.who_data VALUES (53800, 210, 33680, 16, 940, 228, 103);
INSERT INTO public.who_data VALUES (53801, 68, 3106, 2, 83, 228, 58);
INSERT INTO public.who_data VALUES (53802, 475, 16879, 9, 968, 228, 195);
INSERT INTO public.who_data VALUES (53803, 0, 0, 0, 0, 228, 115);
INSERT INTO public.who_data VALUES (53804, 0, 855, 0, 52, 228, 99);
INSERT INTO public.who_data VALUES (53805, 33, 386, 2, 21, 228, 153);
INSERT INTO public.who_data VALUES (53806, 0, 3, 0, 0, 228, 93);
INSERT INTO public.who_data VALUES (53807, 2, 70, 0, 3, 228, 84);
INSERT INTO public.who_data VALUES (53808, 2632, 80447, 79, 1602, 228, 78);
INSERT INTO public.who_data VALUES (53809, 535, 29133, 18, 516, 228, 170);
INSERT INTO public.who_data VALUES (53810, 0, 105, 0, 3, 228, 32);
INSERT INTO public.who_data VALUES (53811, 169, 8755, 0, 106, 228, 155);
INSERT INTO public.who_data VALUES (53812, 89, 18415, 0, 706, 228, 82);
INSERT INTO public.who_data VALUES (53813, 537, 21374, 7, 265, 228, 16);
INSERT INTO public.who_data VALUES (53814, 0, 104, 0, 11, 228, 72);
INSERT INTO public.who_data VALUES (53815, 500, 30321, 0, 98, 228, 43);
INSERT INTO public.who_data VALUES (53816, 3027, 168645, 55, 2151, 228, 120);
INSERT INTO public.who_data VALUES (53817, 0, 98, 0, 7, 228, 213);
INSERT INTO public.who_data VALUES (53818, 199, 64003, 7, 436, 228, 31);
INSERT INTO public.who_data VALUES (53819, 99, 62706, 3, 9642, 228, 204);
INSERT INTO public.who_data VALUES (53820, 0, 30, 0, 2, 228, 152);
INSERT INTO public.who_data VALUES (53821, 86, 1285, 2, 23, 228, 144);
INSERT INTO public.who_data VALUES (53822, 0, 146, 0, 9, 228, 96);
INSERT INTO public.who_data VALUES (53823, 0, 80, 0, 0, 228, 47);
INSERT INTO public.who_data VALUES (53824, 1212, 40509, 42, 1476, 228, 80);
INSERT INTO public.who_data VALUES (53825, 0, 2, 0, 0, 228, 159);
INSERT INTO public.who_data VALUES (53826, 161, 5618, 10, 206, 228, 27);
INSERT INTO public.who_data VALUES (53827, 0, 314, 0, 1, 228, 146);
INSERT INTO public.who_data VALUES (53828, 20229, 1623284, 620, 65487, 228, 71);
INSERT INTO public.who_data VALUES (53829, 0, 8, 0, 1, 228, 210);
INSERT INTO public.who_data VALUES (53830, 0, 141, 0, 3, 228, 54);
INSERT INTO public.who_data VALUES (53831, 188, 6102, 4, 254, 228, 147);
INSERT INTO public.who_data VALUES (53832, 3, 1003, 0, 53, 228, 2);
INSERT INTO public.who_data VALUES (53833, 0, 191, 0, 1, 228, 105);
INSERT INTO public.who_data VALUES (53834, 36, 1499, 1, 18, 228, 53);
INSERT INTO public.who_data VALUES (53835, 0, 141, 0, 0, 228, 81);
INSERT INTO public.who_data VALUES (53836, 392, 14916, 17, 359, 228, 223);
INSERT INTO public.who_data VALUES (53837, 399, 105935, 9, 8693, 228, 94);
INSERT INTO public.who_data VALUES (53838, 0, 201, 0, 1, 228, 154);
INSERT INTO public.who_data VALUES (53839, 38, 4071, 0, 52, 228, 83);
INSERT INTO public.who_data VALUES (53840, 1, 873, 0, 74, 228, 194);
INSERT INTO public.who_data VALUES (53841, 2462, 301019, 50, 6434, 228, 136);
INSERT INTO public.who_data VALUES (53842, 21, 85366, 0, 4648, 228, 179);
INSERT INTO public.who_data VALUES (53843, 3171, 120281, 146, 4210, 228, 57);
INSERT INTO public.who_data VALUES (53844, 2, 313, 0, 7, 228, 35);
INSERT INTO public.who_data VALUES (53845, 200, 1757, 0, 44, 228, 228);
INSERT INTO public.who_data VALUES (53846, 0, 0, 0, 0, 228, 19);
INSERT INTO public.who_data VALUES (53847, 245, 5241, 4, 23, 228, 22);
INSERT INTO public.who_data VALUES (53848, 0, 10966, 0, 75, 228, 1);
INSERT INTO public.who_data VALUES (53849, 52, 3272, 0, 113, 228, 21);
INSERT INTO public.who_data VALUES (53850, 15, 2395, 0, 86, 228, 234);
INSERT INTO public.who_data VALUES (53851, 0, 25, 0, 1, 228, 91);
INSERT INTO public.who_data VALUES (53852, 1, 1005, 0, 19, 228, 137);
INSERT INTO public.who_data VALUES (53853, 119, 12685, 1, 351, 228, 201);
INSERT INTO public.who_data VALUES (53854, 0, 0, 0, 0, 228, 171);
INSERT INTO public.who_data VALUES (53855, 228, 7659, 1, 182, 228, 92);
INSERT INTO public.who_data VALUES (53856, 10, 12888, 2, 609, 228, 112);
INSERT INTO public.who_data VALUES (53857, 56, 4878, 0, 55, 228, 62);
INSERT INTO public.who_data VALUES (53858, 0, 18, 0, 0, 228, 69);
INSERT INTO public.who_data VALUES (53859, 302, 38430, 17, 821, 228, 220);
INSERT INTO public.who_data VALUES (53860, 865, 63245, 52, 4873, 228, 100);
INSERT INTO public.who_data VALUES (53861, 1057, 77279, 67, 3489, 228, 187);
INSERT INTO public.who_data VALUES (53862, 280, 8307, 6, 229, 228, 63);
INSERT INTO public.who_data VALUES (53863, 0, 1043, 0, 12, 228, 28);
INSERT INTO public.who_data VALUES (53864, 0, 215, 0, 0, 228, 172);
INSERT INTO public.who_data VALUES (53865, 1, 1995, 0, 63, 228, 17);
INSERT INTO public.who_data VALUES (53866, 45, 1056, 1, 14, 228, 226);
INSERT INTO public.who_data VALUES (53867, 108, 6774, 1, 120, 228, 236);
INSERT INTO public.who_data VALUES (53868, 0, 13, 0, 0, 228, 76);
INSERT INTO public.who_data VALUES (53869, 1, 188, 0, 0, 228, 30);
INSERT INTO public.who_data VALUES (53870, 2, 21, 0, 0, 228, 128);
INSERT INTO public.who_data VALUES (53871, 1, 7276, 0, 328, 228, 86);
INSERT INTO public.who_data VALUES (53872, 341, 159909, 11, 29842, 228, 140);
INSERT INTO public.who_data VALUES (53873, 124, 5178, 1, 21, 228, 44);
INSERT INTO public.who_data VALUES (53874, 0, 62, 0, 0, 228, 113);
INSERT INTO public.who_data VALUES (53875, 0, 5743, 0, 46, 228, 29);
INSERT INTO public.who_data VALUES (53876, 0, 61, 0, 3, 228, 125);
INSERT INTO public.who_data VALUES (53877, 5, 963, 0, 15, 228, 131);
INSERT INTO public.who_data VALUES (53878, 397, 197341, 12, 9036, 228, 46);
INSERT INTO public.who_data VALUES (53879, 1883, 21968, 7, 129, 228, 10);
INSERT INTO public.who_data VALUES (53880, 0, 179, 0, 0, 228, 205);
INSERT INTO public.who_data VALUES (53881, 27, 3589, 1, 193, 228, 50);
INSERT INTO public.who_data VALUES (53882, 0, 13, 0, 0, 228, 20);
INSERT INTO public.who_data VALUES (53883, 0, 23, 0, 0, 228, 13);
INSERT INTO public.who_data VALUES (53884, 0, 184, 0, 14, 228, 148);
INSERT INTO public.who_data VALUES (53885, 2, 295, 0, 5, 228, 230);
INSERT INTO public.who_data VALUES (53886, 724, 23972, 34, 981, 228, 190);
INSERT INTO public.who_data VALUES (53887, 0, 252, 0, 13, 228, 188);
INSERT INTO public.who_data VALUES (53888, 26, 5636, 0, 34, 228, 123);
INSERT INTO public.who_data VALUES (53889, 0, 1790, 0, 25, 228, 9);
INSERT INTO public.who_data VALUES (53890, 5, 278, 1, 16, 228, 102);
INSERT INTO public.who_data VALUES (53891, 38, 6371, 0, 113, 228, 34);
INSERT INTO public.who_data VALUES (53892, 0, 12, 0, 0, 228, 212);
INSERT INTO public.who_data VALUES (53893, 722, 24665, 17, 656, 228, 122);
INSERT INTO public.who_data VALUES (53894, 16, 4205, 0, 589, 228, 38);
INSERT INTO public.who_data VALUES (53895, 1, 1833, 0, 10, 228, 130);
INSERT INTO public.who_data VALUES (53896, 22752, 742417, 482, 20642, 228, 37);
INSERT INTO public.who_data VALUES (53897, 1268, 66226, 68, 3309, 228, 231);
INSERT INTO public.who_data VALUES (53898, 2637, 245688, 200, 11931, 228, 107);
INSERT INTO public.who_data VALUES (53899, 2426, 64701, 118, 2685, 228, 101);
INSERT INTO public.who_data VALUES (53900, 7, 25538, 2, 1743, 228, 132);
INSERT INTO public.who_data VALUES (53901, 0, 336, 0, 24, 228, 176);
INSERT INTO public.who_data VALUES (53902, 1134, 31294, 8, 349, 228, 200);
INSERT INTO public.who_data VALUES (53903, 137, 241956, 30, 34899, 228, 169);
INSERT INTO public.who_data VALUES (53904, 5, 737, 0, 10, 228, 225);
INSERT INTO public.who_data VALUES (53905, 193, 20174, 2, 980, 228, 165);
INSERT INTO public.who_data VALUES (53906, 5, 325, 0, 31, 228, 233);
INSERT INTO public.who_data VALUES (53907, 2, 1088, 0, 10, 228, 215);
INSERT INTO public.who_data VALUES (53908, 1962, 53021, 32, 296, 228, 177);
INSERT INTO public.who_data VALUES (53909, 183, 8250, 3, 167, 228, 183);
INSERT INTO public.who_data VALUES (53910, 0, 0, 0, 0, 228, 203);
INSERT INTO public.who_data VALUES (53911, 183, 3843, 3, 72, 228, 162);
INSERT INTO public.who_data VALUES (53912, 601, 51245, 4, 377, 228, 12);
INSERT INTO public.who_data VALUES (53913, 345, 8486, 13, 112, 228, 24);
INSERT INTO public.who_data VALUES (53914, 0, 19, 0, 0, 228, 119);
INSERT INTO public.who_data VALUES (53915, 7, 1134, 0, 30, 228, 39);
INSERT INTO public.who_data VALUES (53916, 22, 1907, 0, 36, 228, 26);
INSERT INTO public.who_data VALUES (53917, 0, 91, 0, 0, 228, 59);
INSERT INTO public.who_data VALUES (53918, 26, 917, 2, 41, 228, 77);
INSERT INTO public.who_data VALUES (53919, 65, 1182, 1, 35, 228, 134);
INSERT INTO public.who_data VALUES (53920, 0, 85, 0, 1, 228, 4);
INSERT INTO public.who_data VALUES (53921, 10, 1849, 0, 79, 228, 109);
INSERT INTO public.who_data VALUES (53922, 61, 4603, 0, 110, 228, 90);
INSERT INTO public.who_data VALUES (53923, 222, 3472, 0, 33, 228, 61);
INSERT INTO public.who_data VALUES (53924, 59, 1877, 5, 24, 228, 85);
INSERT INTO public.who_data VALUES (53925, 6, 8674, 0, 121, 228, 49);
INSERT INTO public.who_data VALUES (53926, 10, 2501, 0, 12, 228, 208);
INSERT INTO public.who_data VALUES (53927, 17, 2348, 0, 119, 228, 166);
INSERT INTO public.who_data VALUES (53928, 1, 672, 0, 9, 228, 64);
INSERT INTO public.who_data VALUES (53929, 0, 0, 0, 0, 228, 199);
INSERT INTO public.who_data VALUES (53930, 0, 249, 0, 14, 228, 114);
INSERT INTO public.who_data VALUES (53931, 69, 4948, 3, 133, 228, 60);
INSERT INTO public.who_data VALUES (53932, 0, 342, 0, 10, 228, 68);
INSERT INTO public.who_data VALUES (53933, 9, 2688, 0, 36, 228, 158);
INSERT INTO public.who_data VALUES (53934, 4902, 261750, 480, 31119, 228, 52);
INSERT INTO public.who_data VALUES (53935, 0, 0, 0, 0, 228, 117);
INSERT INTO public.who_data VALUES (53936, 0, 78, 0, 1, 228, 126);
INSERT INTO public.who_data VALUES (53937, 5, 225, 0, 0, 228, 196);
INSERT INTO public.who_data VALUES (53938, 184, 1381, 0, 18, 228, 142);
INSERT INTO public.who_data VALUES (53939, 0, 11, 0, 1, 228, 185);
INSERT INTO public.who_data VALUES (53940, 228, 14607, 3, 240, 228, 138);
INSERT INTO public.who_data VALUES (53941, 28, 1040, 0, 8, 228, 181);
INSERT INTO public.who_data VALUES (53942, 0, 316, 0, 6, 228, 178);
INSERT INTO public.who_data VALUES (53943, 54, 539, 0, 0, 228, 168);
INSERT INTO public.who_data VALUES (53944, 0, 0, 0, 0, 228, 160);
INSERT INTO public.who_data VALUES (53945, 204, 16168, 0, 35, 228, 151);
INSERT INTO public.who_data VALUES (53946, 34, 50484, 4, 6105, 228, 193);
INSERT INTO public.who_data VALUES (53947, 0, 21, 0, 0, 228, 18);
INSERT INTO public.who_data VALUES (53948, 1, 1187, 0, 22, 228, 40);
INSERT INTO public.who_data VALUES (53949, 0, 2182, 0, 83, 228, 218);
INSERT INTO public.who_data VALUES (53950, 1, 1094, 0, 68, 228, 191);
INSERT INTO public.who_data VALUES (53951, 503, 29789, 15, 669, 228, 156);
INSERT INTO public.who_data VALUES (53952, 0, 0, 0, 0, 228, 135);
INSERT INTO public.who_data VALUES (53953, 0, 31, 0, 2, 228, 88);
INSERT INTO public.who_data VALUES (53954, 119, 7243, 5, 351, 228, 55);
INSERT INTO public.who_data VALUES (53955, 6, 8936, 0, 251, 228, 108);
INSERT INTO public.who_data VALUES (53956, 306, 5092, 1, 22, 228, 48);
INSERT INTO public.who_data VALUES (53957, 1262, 48997, 6, 224, 228, 3);
INSERT INTO public.who_data VALUES (53958, 0, 741, 0, 13, 228, 224);
INSERT INTO public.who_data VALUES (53959, 2980, 237489, 83, 4922, 228, 110);
INSERT INTO public.who_data VALUES (53960, 0, 0, 0, 0, 228, 106);
INSERT INTO public.who_data VALUES (53961, 1185, 39334, 23, 770, 228, 89);
INSERT INTO public.who_data VALUES (53962, 0, 11, 0, 0, 228, 121);
INSERT INTO public.who_data VALUES (53963, 46, 2502, 0, 20, 228, 163);
INSERT INTO public.who_data VALUES (53964, 2985, 305703, 183, 10772, 228, 70);
INSERT INTO public.who_data VALUES (53965, 1540, 47873, 6, 1309, 228, 174);
INSERT INTO public.who_data VALUES (53966, 0, 0, 0, 0, 228, 175);
INSERT INTO public.who_data VALUES (53967, 257, 36412, 7, 1528, 228, 118);
INSERT INTO public.who_data VALUES (53968, 287, 44416, 9, 1629, 228, 189);
INSERT INTO public.who_data VALUES (53969, 129, 8714, 2, 157, 228, 124);
INSERT INTO public.who_data VALUES (53970, 600, 100945, 1, 134, 228, 192);
INSERT INTO public.who_data VALUES (53971, 62, 13243, 0, 285, 228, 41);
INSERT INTO public.who_data VALUES (53972, 235, 18141, 6, 604, 228, 95);
INSERT INTO public.who_data VALUES (53973, 1, 551, 1, 3, 228, 74);
INSERT INTO public.who_data VALUES (53974, 397, 29620, 31, 1799, 228, 11);
INSERT INTO public.who_data VALUES (53975, 6562, 700792, 173, 10667, 228, 87);
INSERT INTO public.who_data VALUES (53976, 59, 1172, 0, 3, 228, 214);
INSERT INTO public.who_data VALUES (53977, 0, 3, 0, 0, 228, 116);
INSERT INTO public.who_data VALUES (53978, 0, 6, 0, 0, 228, 157);
INSERT INTO public.who_data VALUES (53979, 0, 0, 0, 0, 228, 182);
INSERT INTO public.who_data VALUES (53980, 0, 16, 0, 0, 228, 186);
INSERT INTO public.who_data VALUES (53981, 0, 22, 0, 0, 228, 127);
INSERT INTO public.who_data VALUES (53982, 0, 44, 0, 3, 228, 232);
INSERT INTO public.who_data VALUES (53983, 0, 1, 0, 0, 228, 33);
INSERT INTO public.who_data VALUES (53984, 0, 29, 0, 0, 228, 97);
INSERT INTO public.who_data VALUES (53985, 0, 0, 0, 0, 228, 42);
INSERT INTO public.who_data VALUES (53986, 0, 713, 0, 42, 228, 198);
INSERT INTO public.who_data VALUES (53987, 3, 404, 0, 11, 228, 216);
INSERT INTO public.who_data VALUES (53988, 3392, 217108, 49, 2017, 228, 164);
INSERT INTO public.who_data VALUES (53989, 69, 7547, 1, 137, 228, 235);
INSERT INTO public.who_data VALUES (53990, 299, 16719, 13, 330, 228, 67);
INSERT INTO public.who_data VALUES (53991, 10, 91, 0, 0, 228, 15);
INSERT INTO public.who_data VALUES (53992, 25, 1572, 1, 63, 228, 180);
INSERT INTO public.who_data VALUES (53993, 157, 45140, 0, 26, 228, 237);
INSERT INTO public.who_data VALUES (53994, 0, 2, 0, 0, 228, 25);
INSERT INTO public.who_data VALUES (53995, 0, 78, 0, 15, 228, 209);
INSERT INTO public.who_data VALUES (53996, 1, 1765, 0, 28, 228, 217);
INSERT INTO public.who_data VALUES (53997, 23, 1739, 0, 114, 228, 79);
INSERT INTO public.who_data VALUES (53998, 0, 0, 0, 0, 228, 143);
INSERT INTO public.who_data VALUES (53999, 9, 3015, 0, 92, 228, 229);
INSERT INTO public.who_data VALUES (54000, 10134, 215855, 192, 3502, 228, 141);
INSERT INTO public.who_data VALUES (54001, 8, 2106, 0, 40, 228, 197);
INSERT INTO public.who_data VALUES (54002, 382, 261884, 5, 29782, 228, 221);
INSERT INTO public.who_data VALUES (54003, 3, 2081, 0, 11, 228, 150);
INSERT INTO public.who_data VALUES (54004, 103, 9997, 6, 622, 228, 56);
INSERT INTO public.who_data VALUES (54005, 10, 614, 1, 15, 228, 167);
INSERT INTO public.who_data VALUES (54006, 251, 70862, 15, 5585, 228, 23);
INSERT INTO public.who_data VALUES (54007, 107, 32506, 0, 1727, 228, 222);
INSERT INTO public.who_data VALUES (54008, 0, 372, 0, 14, 228, 219);
INSERT INTO public.who_data VALUES (54009, 53, 6315, 0, 53, 228, 7);
INSERT INTO public.who_data VALUES (54010, 2, 3197, 0, 58, 228, 161);
INSERT INTO public.who_data VALUES (54011, 704, 288384, 54, 40697, 228, 149);
INSERT INTO public.who_data VALUES (54012, 0, 24, 0, 0, 228, 6);
INSERT INTO public.who_data VALUES (54013, 9, 689, 0, 15, 228, 139);
INSERT INTO public.who_data VALUES (54014, 0, 0, 0, 0, 228, 211);
INSERT INTO public.who_data VALUES (54015, 0, 0, 0, 0, 228, 14);
INSERT INTO public.who_data VALUES (54016, 0, 133, 0, 8, 228, 111);
INSERT INTO public.who_data VALUES (54017, 16, 1221, 0, 50, 228, 207);
INSERT INTO public.who_data VALUES (54018, 1053, 207897, 19, 5260, 228, 66);
INSERT INTO public.who_data VALUES (54019, 0, 0, 0, 0, 228, 173);
INSERT INTO public.who_data VALUES (54020, 1, 49, 0, 2, 228, 145);
INSERT INTO public.who_data VALUES (54021, 0, 0, 0, 0, 228, 65);
INSERT INTO public.who_data VALUES (54022, 18, 971, 0, 0, 228, 184);
INSERT INTO public.who_data VALUES (54023, 807, 50414, 24, 1307, 228, 98);
INSERT INTO public.who_data VALUES (54024, 532, 52600, 2, 326, 228, 104);
INSERT INTO public.who_data VALUES (54025, 0, 509, 0, 21, 228, 73);
INSERT INTO public.who_data VALUES (54026, 46194, 2923432, 320, 129963, 228, 8);
INSERT INTO public.who_data VALUES (54027, 4, 116, 0, 6, 228, 227);
INSERT INTO public.who_data VALUES (54028, 4, 960, 1, 29, 228, 75);
INSERT INTO public.who_data VALUES (54029, 379, 10838, 3, 41, 228, 45);
INSERT INTO public.who_data VALUES (54030, 0, 0, 0, 0, 228, 133);
INSERT INTO public.who_data VALUES (54031, 242, 7411, 4, 68, 228, 202);
INSERT INTO public.who_data VALUES (54032, 0, 369, 0, 0, 228, 129);
INSERT INTO public.who_data VALUES (54033, 0, 0, 0, 0, 228, 36);
INSERT INTO public.who_data VALUES (54034, 13, 1297, 3, 348, 228, 51);
INSERT INTO public.who_data VALUES (54035, 263, 1895, 12, 42, 228, 206);
INSERT INTO public.who_data VALUES (54036, 53, 787, 0, 9, 228, 5);
INSERT INTO public.who_data VALUES (54037, 320, 33470, 33, 924, 229, 103);
INSERT INTO public.who_data VALUES (54038, 74, 3038, 2, 81, 229, 58);
INSERT INTO public.who_data VALUES (54039, 463, 16404, 7, 959, 229, 195);
INSERT INTO public.who_data VALUES (54040, 0, 0, 0, 0, 229, 115);
INSERT INTO public.who_data VALUES (54041, 0, 855, 0, 52, 229, 99);
INSERT INTO public.who_data VALUES (54042, 0, 353, 0, 19, 229, 153);
INSERT INTO public.who_data VALUES (54043, 0, 3, 0, 0, 229, 93);
INSERT INTO public.who_data VALUES (54044, 0, 68, 0, 3, 229, 84);
INSERT INTO public.who_data VALUES (54045, 2439, 77815, 33, 1523, 229, 78);
INSERT INTO public.who_data VALUES (54046, 349, 28598, 12, 498, 229, 170);
INSERT INTO public.who_data VALUES (54047, 1, 105, 0, 3, 229, 32);
INSERT INTO public.who_data VALUES (54048, 137, 8586, 2, 106, 229, 155);
INSERT INTO public.who_data VALUES (54049, 57, 18326, 0, 706, 229, 82);
INSERT INTO public.who_data VALUES (54050, 513, 20837, 8, 258, 229, 16);
INSERT INTO public.who_data VALUES (54051, 0, 104, 0, 11, 229, 72);
INSERT INTO public.who_data VALUES (54052, 454, 29821, 1, 98, 229, 43);
INSERT INTO public.who_data VALUES (54053, 3201, 165618, 44, 2096, 229, 120);
INSERT INTO public.who_data VALUES (54054, 1, 98, 0, 7, 229, 213);
INSERT INTO public.who_data VALUES (54055, 250, 63804, 6, 429, 229, 31);
INSERT INTO public.who_data VALUES (54056, 112, 62607, 1, 9639, 229, 204);
INSERT INTO public.who_data VALUES (54057, 0, 30, 0, 2, 229, 152);
INSERT INTO public.who_data VALUES (54058, 0, 1199, 0, 21, 229, 144);
INSERT INTO public.who_data VALUES (54059, 0, 146, 0, 9, 229, 96);
INSERT INTO public.who_data VALUES (54060, 0, 80, 0, 0, 229, 47);
INSERT INTO public.who_data VALUES (54061, 1226, 39297, 56, 1434, 229, 80);
INSERT INTO public.who_data VALUES (54062, 0, 2, 0, 0, 229, 159);
INSERT INTO public.who_data VALUES (54063, 64, 5457, 3, 196, 229, 27);
INSERT INTO public.who_data VALUES (54064, 39, 314, 0, 1, 229, 146);
INSERT INTO public.who_data VALUES (54065, 26051, 1603055, 602, 64867, 229, 71);
INSERT INTO public.who_data VALUES (54066, 0, 8, 0, 1, 229, 210);
INSERT INTO public.who_data VALUES (54067, 0, 141, 0, 3, 229, 54);
INSERT INTO public.who_data VALUES (54068, 174, 5914, 4, 250, 229, 147);
INSERT INTO public.who_data VALUES (54069, 0, 1000, 0, 53, 229, 2);
INSERT INTO public.who_data VALUES (54070, 0, 191, 0, 1, 229, 105);
INSERT INTO public.who_data VALUES (54071, 12, 1463, 0, 17, 229, 53);
INSERT INTO public.who_data VALUES (54072, 0, 141, 0, 0, 229, 81);
INSERT INTO public.who_data VALUES (54073, 487, 14524, 12, 342, 229, 223);
INSERT INTO public.who_data VALUES (54074, 219, 105536, 10, 8684, 229, 94);
INSERT INTO public.who_data VALUES (54075, 0, 201, 0, 1, 229, 154);
INSERT INTO public.who_data VALUES (54076, 64, 4033, 4, 52, 229, 83);
INSERT INTO public.who_data VALUES (54077, 0, 872, 0, 74, 229, 194);
INSERT INTO public.who_data VALUES (54078, 3025, 298557, 76, 6384, 229, 136);
INSERT INTO public.who_data VALUES (54079, 25, 85345, 0, 4648, 229, 179);
INSERT INTO public.who_data VALUES (54080, 3721, 117110, 122, 4064, 229, 57);
INSERT INTO public.who_data VALUES (54081, 0, 311, 0, 7, 229, 35);
INSERT INTO public.who_data VALUES (54082, 0, 1557, 0, 44, 229, 228);
INSERT INTO public.who_data VALUES (54083, 0, 0, 0, 0, 229, 19);
INSERT INTO public.who_data VALUES (54084, 375, 4996, 1, 19, 229, 22);
INSERT INTO public.who_data VALUES (54085, 722, 10966, 5, 75, 229, 1);
INSERT INTO public.who_data VALUES (54086, 69, 3220, 0, 113, 229, 21);
INSERT INTO public.who_data VALUES (54087, 8, 2380, 0, 86, 229, 234);
INSERT INTO public.who_data VALUES (54088, 0, 25, 0, 1, 229, 91);
INSERT INTO public.who_data VALUES (54089, 1, 1004, 0, 19, 229, 137);
INSERT INTO public.who_data VALUES (54090, 51, 12566, 2, 350, 229, 201);
INSERT INTO public.who_data VALUES (54091, 0, 0, 0, 0, 229, 171);
INSERT INTO public.who_data VALUES (54092, 21, 7431, 0, 181, 229, 92);
INSERT INTO public.who_data VALUES (54093, 46, 12878, 1, 607, 229, 112);
INSERT INTO public.who_data VALUES (54094, 30, 4822, 0, 55, 229, 62);
INSERT INTO public.who_data VALUES (54095, 0, 18, 0, 0, 229, 69);
INSERT INTO public.who_data VALUES (54096, 703, 38128, 10, 804, 229, 220);
INSERT INTO public.who_data VALUES (54097, 422, 62380, 40, 4821, 229, 100);
INSERT INTO public.who_data VALUES (54098, 969, 76222, 79, 3422, 229, 187);
INSERT INTO public.who_data VALUES (54099, 250, 8027, 6, 223, 229, 63);
INSERT INTO public.who_data VALUES (54100, 0, 1043, 0, 12, 229, 28);
INSERT INTO public.who_data VALUES (54101, 0, 215, 0, 0, 229, 172);
INSERT INTO public.who_data VALUES (54102, 1, 1994, 0, 63, 229, 17);
INSERT INTO public.who_data VALUES (54103, 23, 1011, 0, 13, 229, 226);
INSERT INTO public.who_data VALUES (54104, 280, 6666, 3, 119, 229, 236);
INSERT INTO public.who_data VALUES (54105, 0, 13, 0, 0, 229, 76);
INSERT INTO public.who_data VALUES (54106, 0, 187, 0, 0, 229, 30);
INSERT INTO public.who_data VALUES (54107, 0, 19, 0, 0, 229, 128);
INSERT INTO public.who_data VALUES (54108, 3, 7275, 0, 328, 229, 86);
INSERT INTO public.who_data VALUES (54109, 834, 159568, 23, 29831, 229, 140);
INSERT INTO public.who_data VALUES (54110, 141, 5054, 4, 20, 229, 44);
INSERT INTO public.who_data VALUES (54111, 0, 62, 0, 0, 229, 113);
INSERT INTO public.who_data VALUES (54112, 123, 5743, 2, 46, 229, 29);
INSERT INTO public.who_data VALUES (54113, 4, 61, 1, 3, 229, 125);
INSERT INTO public.who_data VALUES (54114, 5, 958, 0, 15, 229, 131);
INSERT INTO public.who_data VALUES (54115, 390, 196944, 8, 9024, 229, 46);
INSERT INTO public.who_data VALUES (54116, 0, 20085, 0, 122, 229, 10);
INSERT INTO public.who_data VALUES (54117, 1, 179, 0, 0, 229, 205);
INSERT INTO public.who_data VALUES (54118, 43, 3562, 0, 192, 229, 50);
INSERT INTO public.who_data VALUES (54119, 0, 13, 0, 0, 229, 20);
INSERT INTO public.who_data VALUES (54120, 0, 23, 0, 0, 229, 13);
INSERT INTO public.who_data VALUES (54121, 0, 184, 0, 14, 229, 148);
INSERT INTO public.who_data VALUES (54122, 13, 293, 0, 5, 229, 230);
INSERT INTO public.who_data VALUES (54123, 747, 23248, 27, 947, 229, 190);
INSERT INTO public.who_data VALUES (54124, 0, 252, 0, 13, 229, 188);
INSERT INTO public.who_data VALUES (54125, 0, 5610, 0, 34, 229, 123);
INSERT INTO public.who_data VALUES (54126, 25, 1790, 0, 25, 229, 9);
INSERT INTO public.who_data VALUES (54127, 1, 273, 1, 15, 229, 102);
INSERT INTO public.who_data VALUES (54128, 39, 6333, 0, 113, 229, 34);
INSERT INTO public.who_data VALUES (54129, 0, 12, 0, 0, 229, 212);
INSERT INTO public.who_data VALUES (54130, 1022, 23943, 10, 639, 229, 122);
INSERT INTO public.who_data VALUES (54131, 6, 4189, 0, 589, 229, 38);
INSERT INTO public.who_data VALUES (54132, 2, 1832, 0, 10, 229, 130);
INSERT INTO public.who_data VALUES (54133, 22252, 719665, 467, 20160, 229, 37);
INSERT INTO public.who_data VALUES (54134, 1209, 64958, 70, 3241, 229, 231);
INSERT INTO public.who_data VALUES (54135, 2613, 243051, 160, 11731, 229, 107);
INSERT INTO public.who_data VALUES (54136, 1796, 62275, 94, 2567, 229, 101);
INSERT INTO public.who_data VALUES (54137, 4, 25531, 0, 1741, 229, 132);
INSERT INTO public.who_data VALUES (54138, 0, 336, 0, 24, 229, 176);
INSERT INTO public.who_data VALUES (54139, 831, 30160, 2, 341, 229, 200);
INSERT INTO public.who_data VALUES (54140, 208, 241819, 8, 34869, 229, 169);
INSERT INTO public.who_data VALUES (54141, 4, 732, 0, 10, 229, 225);
INSERT INTO public.who_data VALUES (54142, 206, 19981, 1, 978, 229, 165);
INSERT INTO public.who_data VALUES (54143, 0, 320, 0, 31, 229, 233);
INSERT INTO public.who_data VALUES (54144, 3, 1086, 0, 10, 229, 215);
INSERT INTO public.who_data VALUES (54145, 1376, 51059, 0, 264, 229, 177);
INSERT INTO public.who_data VALUES (54146, 181, 8067, 4, 164, 229, 183);
INSERT INTO public.who_data VALUES (54147, 0, 0, 0, 0, 229, 203);
INSERT INTO public.who_data VALUES (54148, 195, 3660, 4, 69, 229, 162);
INSERT INTO public.who_data VALUES (54149, 703, 50644, 5, 373, 229, 12);
INSERT INTO public.who_data VALUES (54150, 450, 8141, 7, 99, 229, 24);
INSERT INTO public.who_data VALUES (54151, 0, 19, 0, 0, 229, 119);
INSERT INTO public.who_data VALUES (54152, 3, 1127, 0, 30, 229, 39);
INSERT INTO public.who_data VALUES (54153, 12, 1885, 0, 36, 229, 26);
INSERT INTO public.who_data VALUES (54154, 0, 91, 0, 0, 229, 59);
INSERT INTO public.who_data VALUES (54155, 17, 891, 2, 39, 229, 77);
INSERT INTO public.who_data VALUES (54156, 71, 1117, 2, 34, 229, 134);
INSERT INTO public.who_data VALUES (54157, 0, 85, 0, 1, 229, 4);
INSERT INTO public.who_data VALUES (54158, 3, 1839, 0, 79, 229, 109);
INSERT INTO public.who_data VALUES (54159, 20, 4542, 0, 110, 229, 90);
INSERT INTO public.who_data VALUES (54160, 309, 3250, 1, 33, 229, 61);
INSERT INTO public.who_data VALUES (54161, 76, 1818, 0, 19, 229, 85);
INSERT INTO public.who_data VALUES (54162, 5, 8668, 0, 121, 229, 49);
INSERT INTO public.who_data VALUES (54163, 23, 2491, 1, 12, 229, 208);
INSERT INTO public.who_data VALUES (54164, 1, 2331, 0, 119, 229, 166);
INSERT INTO public.who_data VALUES (54165, 0, 671, 0, 9, 229, 64);
INSERT INTO public.who_data VALUES (54166, 0, 0, 0, 0, 229, 199);
INSERT INTO public.who_data VALUES (54167, 0, 249, 0, 14, 229, 114);
INSERT INTO public.who_data VALUES (54168, 0, 4879, 0, 130, 229, 60);
INSERT INTO public.who_data VALUES (54169, 1, 342, 0, 10, 229, 68);
INSERT INTO public.who_data VALUES (54170, 11, 2679, 0, 36, 229, 158);
INSERT INTO public.who_data VALUES (54171, 4683, 256848, 273, 30639, 229, 52);
INSERT INTO public.who_data VALUES (54172, 0, 0, 0, 0, 229, 117);
INSERT INTO public.who_data VALUES (54173, 0, 78, 0, 1, 229, 126);
INSERT INTO public.who_data VALUES (54174, 0, 220, 0, 0, 229, 196);
INSERT INTO public.who_data VALUES (54175, 174, 1197, 1, 18, 229, 142);
INSERT INTO public.who_data VALUES (54176, 0, 11, 0, 1, 229, 185);
INSERT INTO public.who_data VALUES (54177, 164, 14379, 2, 237, 229, 138);
INSERT INTO public.who_data VALUES (54178, 25, 1012, 0, 8, 229, 181);
INSERT INTO public.who_data VALUES (54179, 3, 316, 0, 6, 229, 178);
INSERT INTO public.who_data VALUES (54180, 73, 485, 0, 0, 229, 168);
INSERT INTO public.who_data VALUES (54181, 0, 0, 0, 0, 229, 160);
INSERT INTO public.who_data VALUES (54182, 180, 15964, 1, 35, 229, 151);
INSERT INTO public.who_data VALUES (54183, 41, 50450, 0, 6101, 229, 193);
INSERT INTO public.who_data VALUES (54184, 0, 21, 0, 0, 229, 18);
INSERT INTO public.who_data VALUES (54185, 2, 1186, 0, 22, 229, 40);
INSERT INTO public.who_data VALUES (54186, 0, 2182, 0, 83, 229, 218);
INSERT INTO public.who_data VALUES (54187, 0, 1093, 0, 68, 229, 191);
INSERT INTO public.who_data VALUES (54188, 575, 29286, 9, 654, 229, 156);
INSERT INTO public.who_data VALUES (54189, 0, 0, 0, 0, 229, 135);
INSERT INTO public.who_data VALUES (54190, 0, 31, 0, 2, 229, 88);
INSERT INTO public.who_data VALUES (54191, 78, 7124, 5, 346, 229, 55);
INSERT INTO public.who_data VALUES (54192, 35, 8930, 0, 251, 229, 108);
INSERT INTO public.who_data VALUES (54193, 64, 4786, 1, 21, 229, 48);
INSERT INTO public.who_data VALUES (54194, 1557, 47735, 5, 218, 229, 3);
INSERT INTO public.who_data VALUES (54195, 0, 741, 0, 13, 229, 224);
INSERT INTO public.who_data VALUES (54196, 2691, 234509, 77, 4839, 229, 110);
INSERT INTO public.who_data VALUES (54197, 0, 0, 0, 0, 229, 106);
INSERT INTO public.who_data VALUES (54198, 1166, 38149, 27, 747, 229, 89);
INSERT INTO public.who_data VALUES (54199, 0, 11, 0, 0, 229, 121);
INSERT INTO public.who_data VALUES (54200, 29, 2456, 0, 20, 229, 163);
INSERT INTO public.who_data VALUES (54201, 3638, 302718, 177, 10589, 229, 70);
INSERT INTO public.who_data VALUES (54202, 2079, 46333, 6, 1303, 229, 174);
INSERT INTO public.who_data VALUES (54203, 0, 0, 0, 0, 229, 175);
INSERT INTO public.who_data VALUES (54204, 205, 36155, 4, 1521, 229, 118);
INSERT INTO public.who_data VALUES (54205, 232, 44129, 6, 1620, 229, 189);
INSERT INTO public.who_data VALUES (54206, 669, 8585, 0, 155, 229, 124);
INSERT INTO public.who_data VALUES (54207, 546, 100345, 5, 133, 229, 192);
INSERT INTO public.who_data VALUES (54208, 44, 13181, 1, 285, 229, 41);
INSERT INTO public.who_data VALUES (54209, 92, 17906, 10, 598, 229, 95);
INSERT INTO public.who_data VALUES (54210, 3, 550, 0, 2, 229, 74);
INSERT INTO public.who_data VALUES (54211, 250, 29223, 18, 1768, 229, 11);
INSERT INTO public.who_data VALUES (54212, 6368, 694230, 198, 10494, 229, 87);
INSERT INTO public.who_data VALUES (54213, 8, 1113, 0, 3, 229, 214);
INSERT INTO public.who_data VALUES (54214, 0, 3, 0, 0, 229, 116);
INSERT INTO public.who_data VALUES (54215, 0, 6, 0, 0, 229, 157);
INSERT INTO public.who_data VALUES (54216, 0, 0, 0, 0, 229, 182);
INSERT INTO public.who_data VALUES (54217, 0, 16, 0, 0, 229, 186);
INSERT INTO public.who_data VALUES (54218, 0, 22, 0, 0, 229, 127);
INSERT INTO public.who_data VALUES (54219, 0, 44, 0, 3, 229, 232);
INSERT INTO public.who_data VALUES (54220, 0, 1, 0, 0, 229, 33);
INSERT INTO public.who_data VALUES (54221, 0, 29, 0, 0, 229, 97);
INSERT INTO public.who_data VALUES (54222, 0, 0, 0, 0, 229, 42);
INSERT INTO public.who_data VALUES (54223, 0, 713, 0, 42, 229, 198);
INSERT INTO public.who_data VALUES (54224, 1, 401, 0, 11, 229, 216);
INSERT INTO public.who_data VALUES (54225, 4207, 213716, 52, 1968, 229, 164);
INSERT INTO public.who_data VALUES (54226, 78, 7478, 3, 136, 229, 235);
INSERT INTO public.who_data VALUES (54227, 289, 16420, 6, 317, 229, 67);
INSERT INTO public.who_data VALUES (54228, 0, 81, 0, 0, 229, 15);
INSERT INTO public.who_data VALUES (54229, 5, 1547, 0, 62, 229, 180);
INSERT INTO public.who_data VALUES (54230, 183, 44983, 0, 26, 229, 237);
INSERT INTO public.who_data VALUES (54231, 0, 2, 0, 0, 229, 25);
INSERT INTO public.who_data VALUES (54232, 0, 78, 0, 15, 229, 209);
INSERT INTO public.who_data VALUES (54233, 15, 1764, 0, 28, 229, 217);
INSERT INTO public.who_data VALUES (54234, 16, 1716, 0, 114, 229, 79);
INSERT INTO public.who_data VALUES (54235, 0, 0, 0, 0, 229, 143);
INSERT INTO public.who_data VALUES (54236, 9, 3006, 0, 92, 229, 229);
INSERT INTO public.who_data VALUES (54237, 8971, 205721, 111, 3310, 229, 141);
INSERT INTO public.who_data VALUES (54238, 5, 2098, 0, 40, 229, 197);
INSERT INTO public.who_data VALUES (54239, 221, 261502, 0, 29777, 229, 221);
INSERT INTO public.who_data VALUES (54240, 2, 2078, 0, 11, 229, 150);
INSERT INTO public.who_data VALUES (54241, 127, 9894, 8, 616, 229, 56);
INSERT INTO public.who_data VALUES (54242, 21, 604, 0, 14, 229, 167);
INSERT INTO public.who_data VALUES (54243, 315, 70611, 9, 5570, 229, 23);
INSERT INTO public.who_data VALUES (54244, 106, 32399, 0, 1727, 229, 222);
INSERT INTO public.who_data VALUES (54245, 14, 372, 1, 14, 229, 219);
INSERT INTO public.who_data VALUES (54246, 49, 6262, 0, 53, 229, 7);
INSERT INTO public.who_data VALUES (54247, 0, 3195, 0, 58, 229, 161);
INSERT INTO public.who_data VALUES (54248, 555, 287680, 11, 40643, 229, 149);
INSERT INTO public.who_data VALUES (54249, 0, 24, 0, 0, 229, 6);
INSERT INTO public.who_data VALUES (54250, 0, 680, 0, 15, 229, 139);
INSERT INTO public.who_data VALUES (54251, 0, 0, 0, 0, 229, 211);
INSERT INTO public.who_data VALUES (54252, 0, 0, 0, 0, 229, 14);
INSERT INTO public.who_data VALUES (54253, 2, 133, 0, 8, 229, 111);
INSERT INTO public.who_data VALUES (54254, 6, 1205, 0, 50, 229, 207);
INSERT INTO public.who_data VALUES (54255, 1086, 206844, 16, 5241, 229, 66);
INSERT INTO public.who_data VALUES (54256, 0, 0, 0, 0, 229, 173);
INSERT INTO public.who_data VALUES (54257, 1, 48, 0, 2, 229, 145);
INSERT INTO public.who_data VALUES (54258, 0, 0, 0, 0, 229, 65);
INSERT INTO public.who_data VALUES (54259, 14, 953, 0, 0, 229, 184);
INSERT INTO public.who_data VALUES (54260, 564, 49607, 21, 1283, 229, 98);
INSERT INTO public.who_data VALUES (54261, 528, 52068, 1, 324, 229, 104);
INSERT INTO public.who_data VALUES (54262, 0, 509, 0, 21, 229, 73);
INSERT INTO public.who_data VALUES (54263, 43686, 2877238, 235, 129643, 229, 8);
INSERT INTO public.who_data VALUES (54264, 1, 112, 0, 6, 229, 227);
INSERT INTO public.who_data VALUES (54265, 1, 956, 0, 28, 229, 75);
INSERT INTO public.who_data VALUES (54266, 316, 10459, 3, 38, 229, 45);
INSERT INTO public.who_data VALUES (54267, 0, 0, 0, 0, 229, 133);
INSERT INTO public.who_data VALUES (54268, 419, 7169, 2, 64, 229, 202);
INSERT INTO public.who_data VALUES (54269, 14, 369, 0, 0, 229, 129);
INSERT INTO public.who_data VALUES (54270, 0, 0, 0, 0, 229, 36);
INSERT INTO public.who_data VALUES (54271, 19, 1284, 7, 345, 229, 51);
INSERT INTO public.who_data VALUES (54272, 0, 1632, 0, 30, 229, 206);
INSERT INTO public.who_data VALUES (54273, 18, 734, 1, 9, 229, 5);
INSERT INTO public.who_data VALUES (54274, 113, 33150, 23, 891, 230, 103);
INSERT INTO public.who_data VALUES (54275, 71, 2964, 3, 79, 230, 58);
INSERT INTO public.who_data VALUES (54276, 441, 15941, 6, 952, 230, 195);
INSERT INTO public.who_data VALUES (54277, 0, 0, 0, 0, 230, 115);
INSERT INTO public.who_data VALUES (54278, 0, 855, 0, 52, 230, 99);
INSERT INTO public.who_data VALUES (54279, 7, 353, 0, 19, 230, 153);
INSERT INTO public.who_data VALUES (54280, 0, 3, 0, 0, 230, 93);
INSERT INTO public.who_data VALUES (54281, 0, 68, 0, 3, 230, 84);
INSERT INTO public.who_data VALUES (54282, 2590, 75376, 37, 1490, 230, 78);
INSERT INTO public.who_data VALUES (54283, 330, 28249, 7, 486, 230, 170);
INSERT INTO public.who_data VALUES (54284, 0, 104, 0, 3, 230, 32);
INSERT INTO public.who_data VALUES (54285, 87, 8449, 0, 104, 230, 155);
INSERT INTO public.who_data VALUES (54286, 73, 18269, 1, 706, 230, 82);
INSERT INTO public.who_data VALUES (54287, 523, 20324, 9, 250, 230, 16);
INSERT INTO public.who_data VALUES (54288, 0, 104, 0, 11, 230, 72);
INSERT INTO public.who_data VALUES (54289, 510, 29367, 1, 97, 230, 43);
INSERT INTO public.who_data VALUES (54290, 2738, 162417, 55, 2052, 230, 120);
INSERT INTO public.who_data VALUES (54291, 0, 97, 0, 7, 230, 213);
INSERT INTO public.who_data VALUES (54292, 284, 63554, 5, 423, 230, 31);
INSERT INTO public.who_data VALUES (54293, 24, 62495, 2, 9638, 230, 204);
INSERT INTO public.who_data VALUES (54294, 0, 30, 0, 2, 230, 152);
INSERT INTO public.who_data VALUES (54295, 0, 1199, 0, 21, 230, 144);
INSERT INTO public.who_data VALUES (54296, 0, 146, 0, 9, 230, 96);
INSERT INTO public.who_data VALUES (54297, 2, 80, 0, 0, 230, 47);
INSERT INTO public.who_data VALUES (54298, 1253, 38071, 58, 1378, 230, 80);
INSERT INTO public.who_data VALUES (54299, 0, 2, 0, 0, 230, 159);
INSERT INTO public.who_data VALUES (54300, 144, 5393, 3, 193, 230, 27);
INSERT INTO public.who_data VALUES (54301, 0, 275, 0, 1, 230, 146);
INSERT INTO public.who_data VALUES (54302, 37923, 1577004, 1091, 64265, 230, 71);
INSERT INTO public.who_data VALUES (54303, 0, 8, 0, 1, 230, 210);
INSERT INTO public.who_data VALUES (54304, 0, 141, 0, 3, 230, 54);
INSERT INTO public.who_data VALUES (54305, 63, 5740, 5, 246, 230, 147);
INSERT INTO public.who_data VALUES (54306, 13, 1000, 0, 53, 230, 2);
INSERT INTO public.who_data VALUES (54307, 0, 191, 0, 1, 230, 105);
INSERT INTO public.who_data VALUES (54308, 31, 1451, 1, 17, 230, 53);
INSERT INTO public.who_data VALUES (54309, 0, 141, 0, 0, 230, 81);
INSERT INTO public.who_data VALUES (54310, 1445, 14037, 17, 330, 230, 223);
INSERT INTO public.who_data VALUES (54311, 226, 105317, 11, 8674, 230, 94);
INSERT INTO public.who_data VALUES (54312, 0, 201, 0, 1, 230, 154);
INSERT INTO public.who_data VALUES (54313, 0, 3969, 0, 48, 230, 83);
INSERT INTO public.who_data VALUES (54314, 1, 872, 0, 74, 230, 194);
INSERT INTO public.who_data VALUES (54315, 3685, 295532, 116, 6308, 230, 136);
INSERT INTO public.who_data VALUES (54316, 14, 85320, 0, 4648, 230, 179);
INSERT INTO public.who_data VALUES (54317, 3884, 113389, 165, 3942, 230, 57);
INSERT INTO public.who_data VALUES (54318, 2, 311, 0, 7, 230, 35);
INSERT INTO public.who_data VALUES (54319, 0, 1557, 0, 44, 230, 228);
INSERT INTO public.who_data VALUES (54320, 0, 0, 0, 0, 230, 19);
INSERT INTO public.who_data VALUES (54321, 310, 4621, 0, 18, 230, 22);
INSERT INTO public.who_data VALUES (54322, 0, 10244, 0, 70, 230, 1);
INSERT INTO public.who_data VALUES (54323, 57, 3151, 0, 113, 230, 21);
INSERT INTO public.who_data VALUES (54324, 3, 2372, 0, 86, 230, 234);
INSERT INTO public.who_data VALUES (54325, 0, 25, 0, 1, 230, 91);
INSERT INTO public.who_data VALUES (54326, 1, 1003, 0, 19, 230, 137);
INSERT INTO public.who_data VALUES (54327, 75, 12515, -3, 348, 230, 201);
INSERT INTO public.who_data VALUES (54328, 0, 0, 0, 0, 230, 171);
INSERT INTO public.who_data VALUES (54329, 32, 7410, 0, 181, 230, 92);
INSERT INTO public.who_data VALUES (54330, 0, 12832, 0, 606, 230, 112);
INSERT INTO public.who_data VALUES (54331, 56, 4792, 0, 55, 230, 62);
INSERT INTO public.who_data VALUES (54332, 0, 18, 0, 0, 230, 69);
INSERT INTO public.who_data VALUES (54333, 1241, 37425, 8, 794, 230, 220);
INSERT INTO public.who_data VALUES (54334, 423, 61958, 12, 4781, 230, 100);
INSERT INTO public.who_data VALUES (54335, 1218, 75253, 63, 3343, 230, 187);
INSERT INTO public.who_data VALUES (54336, 270, 7777, 7, 217, 230, 63);
INSERT INTO public.who_data VALUES (54337, 0, 1043, 0, 12, 230, 28);
INSERT INTO public.who_data VALUES (54338, 0, 215, 0, 0, 230, 172);
INSERT INTO public.who_data VALUES (54339, 0, 1993, 0, 63, 230, 17);
INSERT INTO public.who_data VALUES (54340, 34, 988, 0, 13, 230, 226);
INSERT INTO public.who_data VALUES (54341, 0, 6386, 0, 116, 230, 236);
INSERT INTO public.who_data VALUES (54342, 0, 13, 0, 0, 230, 76);
INSERT INTO public.who_data VALUES (54343, 0, 187, 0, 0, 230, 30);
INSERT INTO public.who_data VALUES (54344, 1, 19, 0, 0, 230, 128);
INSERT INTO public.who_data VALUES (54345, 2, 7272, 0, 328, 230, 86);
INSERT INTO public.who_data VALUES (54346, 0, 158734, 0, 29808, 230, 140);
INSERT INTO public.who_data VALUES (54347, 0, 4913, 0, 16, 230, 44);
INSERT INTO public.who_data VALUES (54348, 0, 62, 0, 0, 230, 113);
INSERT INTO public.who_data VALUES (54349, 0, 5620, 0, 44, 230, 29);
INSERT INTO public.who_data VALUES (54350, 0, 57, 0, 2, 230, 125);
INSERT INTO public.who_data VALUES (54351, 2, 953, 0, 15, 230, 131);
INSERT INTO public.who_data VALUES (54352, 219, 196554, 4, 9016, 230, 46);
INSERT INTO public.who_data VALUES (54353, 697, 20085, 5, 122, 230, 10);
INSERT INTO public.who_data VALUES (54354, 0, 178, 0, 0, 230, 205);
INSERT INTO public.who_data VALUES (54355, 8, 3519, 0, 192, 230, 50);
INSERT INTO public.who_data VALUES (54356, 0, 13, 0, 0, 230, 20);
INSERT INTO public.who_data VALUES (54357, 0, 23, 0, 0, 230, 13);
INSERT INTO public.who_data VALUES (54358, 0, 184, -2, 14, 230, 148);
INSERT INTO public.who_data VALUES (54359, 0, 280, 0, 5, 230, 230);
INSERT INTO public.who_data VALUES (54360, 1208, 22501, 40, 920, 230, 190);
INSERT INTO public.who_data VALUES (54361, 0, 252, 0, 13, 230, 188);
INSERT INTO public.who_data VALUES (54362, 40, 5610, 0, 34, 230, 123);
INSERT INTO public.who_data VALUES (54363, 0, 1765, 0, 25, 230, 9);
INSERT INTO public.who_data VALUES (54364, 16, 272, 0, 14, 230, 102);
INSERT INTO public.who_data VALUES (54365, 64, 6294, 3, 113, 230, 34);
INSERT INTO public.who_data VALUES (54366, 0, 12, 0, 0, 230, 212);
INSERT INTO public.who_data VALUES (54367, 805, 22921, 24, 629, 230, 122);
INSERT INTO public.who_data VALUES (54368, 0, 4183, 0, 589, 230, 38);
INSERT INTO public.who_data VALUES (54369, 0, 1830, 0, 10, 230, 130);
INSERT INTO public.who_data VALUES (54370, 24248, 697413, 425, 19693, 230, 37);
INSERT INTO public.who_data VALUES (54371, 1607, 63749, 82, 3171, 230, 231);
INSERT INTO public.who_data VALUES (54372, 2560, 240438, 163, 11571, 230, 107);
INSERT INTO public.who_data VALUES (54373, 2125, 60479, 105, 2473, 230, 101);
INSERT INTO public.who_data VALUES (54374, 18, 25527, 0, 1741, 230, 132);
INSERT INTO public.who_data VALUES (54375, 0, 336, 0, 24, 230, 176);
INSERT INTO public.who_data VALUES (54376, 821, 29329, 5, 339, 230, 200);
INSERT INTO public.who_data VALUES (54377, 192, 241611, 7, 34861, 230, 169);
INSERT INTO public.who_data VALUES (54378, 7, 728, 0, 10, 230, 225);
INSERT INTO public.who_data VALUES (54379, 253, 19775, 0, 977, 230, 165);
INSERT INTO public.who_data VALUES (54380, 0, 320, 0, 31, 230, 233);
INSERT INTO public.who_data VALUES (54381, 12, 1083, 0, 10, 230, 215);
INSERT INTO public.who_data VALUES (54382, 1109, 49683, 4, 264, 230, 177);
INSERT INTO public.who_data VALUES (54383, 309, 7886, 1, 160, 230, 183);
INSERT INTO public.who_data VALUES (54384, 0, 0, 0, 0, 230, 203);
INSERT INTO public.who_data VALUES (54385, 152, 3465, 11, 65, 230, 162);
INSERT INTO public.who_data VALUES (54386, 638, 49941, 3, 368, 230, 12);
INSERT INTO public.who_data VALUES (54387, 597, 7691, 14, 92, 230, 24);
INSERT INTO public.who_data VALUES (54388, 0, 19, 0, 0, 230, 119);
INSERT INTO public.who_data VALUES (54389, 1, 1124, 0, 30, 230, 39);
INSERT INTO public.who_data VALUES (54390, 18, 1873, 1, 36, 230, 26);
INSERT INTO public.who_data VALUES (54391, 12, 91, 0, 0, 230, 59);
INSERT INTO public.who_data VALUES (54392, 41, 874, 0, 37, 230, 77);
INSERT INTO public.who_data VALUES (54393, 57, 1046, 5, 32, 230, 134);
INSERT INTO public.who_data VALUES (54394, 1, 85, 0, 1, 230, 4);
INSERT INTO public.who_data VALUES (54395, 5, 1836, 0, 79, 230, 109);
INSERT INTO public.who_data VALUES (54396, 46, 4522, 0, 110, 230, 90);
INSERT INTO public.who_data VALUES (54397, 213, 2941, 3, 32, 230, 61);
INSERT INTO public.who_data VALUES (54398, 129, 1742, 2, 19, 230, 85);
INSERT INTO public.who_data VALUES (54399, 5, 8663, 0, 121, 230, 49);
INSERT INTO public.who_data VALUES (54400, 33, 2468, 1, 11, 230, 208);
INSERT INTO public.who_data VALUES (54401, 27, 2330, 1, 119, 230, 166);
INSERT INTO public.who_data VALUES (54402, 0, 671, 0, 9, 230, 64);
INSERT INTO public.who_data VALUES (54403, 0, 0, 0, 0, 230, 199);
INSERT INTO public.who_data VALUES (54404, 0, 249, 0, 14, 230, 114);
INSERT INTO public.who_data VALUES (54405, 174, 4879, 1, 130, 230, 60);
INSERT INTO public.who_data VALUES (54406, 0, 341, 0, 10, 230, 68);
INSERT INTO public.who_data VALUES (54407, 0, 2668, 0, 36, 230, 158);
INSERT INTO public.who_data VALUES (54408, 6914, 252165, 523, 30366, 230, 52);
INSERT INTO public.who_data VALUES (54409, 0, 0, 0, 0, 230, 117);
INSERT INTO public.who_data VALUES (54410, 2, 78, 0, 1, 230, 126);
INSERT INTO public.who_data VALUES (54411, 0, 220, 0, 0, 230, 196);
INSERT INTO public.who_data VALUES (54412, 130, 1023, 3, 17, 230, 142);
INSERT INTO public.who_data VALUES (54413, 0, 11, 0, 1, 230, 185);
INSERT INTO public.who_data VALUES (54414, 393, 14215, 3, 235, 230, 138);
INSERT INTO public.who_data VALUES (54415, 18, 987, 1, 8, 230, 181);
INSERT INTO public.who_data VALUES (54416, 0, 313, 0, 6, 230, 178);
INSERT INTO public.who_data VALUES (54417, 37, 412, 0, 0, 230, 168);
INSERT INTO public.who_data VALUES (54418, 0, 0, 0, 0, 230, 160);
INSERT INTO public.who_data VALUES (54419, 293, 15784, 0, 34, 230, 151);
INSERT INTO public.who_data VALUES (54420, 72, 50409, 1, 6101, 230, 193);
INSERT INTO public.who_data VALUES (54421, 0, 21, 0, 0, 230, 18);
INSERT INTO public.who_data VALUES (54422, 1, 1184, 0, 22, 230, 40);
INSERT INTO public.who_data VALUES (54423, 0, 2182, 0, 83, 230, 218);
INSERT INTO public.who_data VALUES (54424, 11, 1093, 0, 68, 230, 191);
INSERT INTO public.who_data VALUES (54425, 544, 28711, 11, 645, 230, 156);
INSERT INTO public.who_data VALUES (54426, 0, 0, 0, 0, 230, 135);
INSERT INTO public.who_data VALUES (54427, 0, 31, 0, 2, 230, 88);
INSERT INTO public.who_data VALUES (54428, 114, 7046, 7, 341, 230, 55);
INSERT INTO public.who_data VALUES (54429, 0, 8895, 0, 251, 230, 108);
INSERT INTO public.who_data VALUES (54430, 472, 4722, 1, 20, 230, 48);
INSERT INTO public.who_data VALUES (54431, 1072, 46178, 10, 213, 230, 3);
INSERT INTO public.who_data VALUES (54432, 0, 741, 0, 13, 230, 224);
INSERT INTO public.who_data VALUES (54433, 3344, 231818, 50, 4762, 230, 110);
INSERT INTO public.who_data VALUES (54434, 0, 0, 0, 0, 230, 106);
INSERT INTO public.who_data VALUES (54435, 988, 36983, 22, 720, 230, 89);
INSERT INTO public.who_data VALUES (54436, 0, 11, 0, 0, 230, 121);
INSERT INTO public.who_data VALUES (54437, 42, 2427, 0, 20, 230, 163);
INSERT INTO public.who_data VALUES (54438, 3481, 299080, 186, 10412, 230, 70);
INSERT INTO public.who_data VALUES (54439, 2424, 44254, 7, 1297, 230, 174);
INSERT INTO public.who_data VALUES (54440, 0, 0, 0, 0, 230, 175);
INSERT INTO public.who_data VALUES (54441, 231, 35950, 5, 1517, 230, 118);
INSERT INTO public.who_data VALUES (54442, 328, 43897, 9, 1614, 230, 189);
INSERT INTO public.who_data VALUES (54443, 129, 7916, 0, 155, 230, 124);
INSERT INTO public.who_data VALUES (54444, 616, 99799, 5, 128, 230, 192);
INSERT INTO public.who_data VALUES (54445, 48, 13137, 1, 284, 230, 41);
INSERT INTO public.who_data VALUES (54446, 142, 17814, 6, 588, 230, 95);
INSERT INTO public.who_data VALUES (54447, 11, 547, 0, 2, 230, 74);
INSERT INTO public.who_data VALUES (54448, 391, 28973, 19, 1750, 230, 11);
INSERT INTO public.who_data VALUES (54449, 6611, 687862, 135, 10296, 230, 87);
INSERT INTO public.who_data VALUES (54450, 13, 1105, 0, 3, 230, 214);
INSERT INTO public.who_data VALUES (54451, 0, 3, 0, 0, 230, 116);
INSERT INTO public.who_data VALUES (54452, 0, 6, 0, 0, 230, 157);
INSERT INTO public.who_data VALUES (54453, 0, 0, 0, 0, 230, 182);
INSERT INTO public.who_data VALUES (54454, 1, 16, 0, 0, 230, 186);
INSERT INTO public.who_data VALUES (54455, 0, 22, 0, 0, 230, 127);
INSERT INTO public.who_data VALUES (54456, 0, 44, 0, 3, 230, 232);
INSERT INTO public.who_data VALUES (54457, 0, 1, 0, 0, 230, 33);
INSERT INTO public.who_data VALUES (54458, 0, 29, 0, 0, 230, 97);
INSERT INTO public.who_data VALUES (54459, 0, 0, 0, 0, 230, 42);
INSERT INTO public.who_data VALUES (54460, 0, 713, 0, 42, 230, 198);
INSERT INTO public.who_data VALUES (54461, 1, 400, 0, 11, 230, 216);
INSERT INTO public.who_data VALUES (54462, 3580, 209509, 58, 1916, 230, 164);
INSERT INTO public.who_data VALUES (54463, 128, 7400, 4, 133, 230, 235);
INSERT INTO public.who_data VALUES (54464, 302, 16131, 5, 311, 230, 67);
INSERT INTO public.who_data VALUES (54465, 0, 81, 0, 0, 230, 15);
INSERT INTO public.who_data VALUES (54466, 9, 1542, 0, 62, 230, 180);
INSERT INTO public.who_data VALUES (54467, 136, 44800, 0, 26, 230, 237);
INSERT INTO public.who_data VALUES (54468, 0, 2, 0, 0, 230, 25);
INSERT INTO public.who_data VALUES (54469, 0, 78, 0, 15, 230, 209);
INSERT INTO public.who_data VALUES (54470, 29, 1749, 0, 28, 230, 217);
INSERT INTO public.who_data VALUES (54471, 21, 1700, 0, 114, 230, 79);
INSERT INTO public.who_data VALUES (54472, 0, 0, 0, 0, 230, 143);
INSERT INTO public.who_data VALUES (54473, 36, 2997, 0, 92, 230, 229);
INSERT INTO public.who_data VALUES (54474, 8773, 196750, 173, 3199, 230, 141);
INSERT INTO public.who_data VALUES (54475, 35, 2093, 2, 40, 230, 197);
INSERT INTO public.who_data VALUES (54476, 313, 261281, 6, 29777, 230, 221);
INSERT INTO public.who_data VALUES (54477, 2, 2076, 0, 11, 230, 150);
INSERT INTO public.who_data VALUES (54478, 0, 9767, 0, 608, 230, 56);
INSERT INTO public.who_data VALUES (54479, 18, 583, 0, 14, 230, 167);
INSERT INTO public.who_data VALUES (54480, 364, 70296, 15, 5561, 230, 23);
INSERT INTO public.who_data VALUES (54481, 36, 32293, 0, 1727, 230, 222);
INSERT INTO public.who_data VALUES (54482, 20, 358, 3, 13, 230, 219);
INSERT INTO public.who_data VALUES (54483, 54, 6213, 1, 53, 230, 7);
INSERT INTO public.who_data VALUES (54484, 5, 3195, 0, 58, 230, 161);
INSERT INTO public.who_data VALUES (54485, 401, 287125, 19, 40632, 230, 149);
INSERT INTO public.who_data VALUES (54486, 0, 24, 0, 0, 230, 6);
INSERT INTO public.who_data VALUES (54487, 4, 680, 0, 15, 230, 139);
INSERT INTO public.who_data VALUES (54488, 0, 0, 0, 0, 230, 211);
INSERT INTO public.who_data VALUES (54489, 0, 0, 0, 0, 230, 14);
INSERT INTO public.who_data VALUES (54490, 1, 131, 0, 8, 230, 111);
INSERT INTO public.who_data VALUES (54491, 11, 1199, 0, 50, 230, 207);
INSERT INTO public.who_data VALUES (54492, 1148, 205758, 19, 5225, 230, 66);
INSERT INTO public.who_data VALUES (54493, 0, 0, 0, 0, 230, 173);
INSERT INTO public.who_data VALUES (54494, 2, 47, 0, 2, 230, 145);
INSERT INTO public.who_data VALUES (54495, 0, 0, 0, 0, 230, 65);
INSERT INTO public.who_data VALUES (54496, 12, 939, 0, 0, 230, 184);
INSERT INTO public.who_data VALUES (54497, 543, 49043, 13, 1262, 230, 98);
INSERT INTO public.who_data VALUES (54498, 683, 51540, 2, 323, 230, 104);
INSERT INTO public.who_data VALUES (54499, 0, 509, 0, 21, 230, 73);
INSERT INTO public.who_data VALUES (54500, 57186, 2833552, 182, 129408, 230, 8);
INSERT INTO public.who_data VALUES (54501, 0, 111, 0, 6, 230, 227);
INSERT INTO public.who_data VALUES (54502, 3, 955, 0, 28, 230, 75);
INSERT INTO public.who_data VALUES (54503, 314, 10143, 4, 35, 230, 45);
INSERT INTO public.who_data VALUES (54504, 0, 0, 0, 0, 230, 133);
INSERT INTO public.who_data VALUES (54505, 213, 6750, 3, 62, 230, 202);
INSERT INTO public.who_data VALUES (54506, 0, 355, 0, 0, 230, 129);
INSERT INTO public.who_data VALUES (54507, 0, 0, 0, 0, 230, 36);
INSERT INTO public.who_data VALUES (54508, 17, 1265, 1, 338, 230, 51);
INSERT INTO public.who_data VALUES (54509, 0, 1632, 0, 30, 230, 206);
INSERT INTO public.who_data VALUES (54510, 18, 716, 0, 8, 230, 5);
INSERT INTO public.who_data VALUES (54511, 279, 33037, 38, 868, 231, 103);
INSERT INTO public.who_data VALUES (54512, 74, 2893, 2, 76, 231, 58);
INSERT INTO public.who_data VALUES (54513, 430, 15500, 9, 946, 231, 195);
INSERT INTO public.who_data VALUES (54514, 0, 0, 0, 0, 231, 115);
INSERT INTO public.who_data VALUES (54515, 0, 855, 0, 52, 231, 99);
INSERT INTO public.who_data VALUES (54516, 18, 346, 1, 19, 231, 153);
INSERT INTO public.who_data VALUES (54517, 0, 3, 0, 0, 231, 93);
INSERT INTO public.who_data VALUES (54518, 0, 68, 0, 3, 231, 84);
INSERT INTO public.who_data VALUES (54519, 2845, 72786, 50, 1453, 231, 78);
INSERT INTO public.who_data VALUES (54520, 706, 27919, 7, 479, 231, 170);
INSERT INTO public.who_data VALUES (54521, 0, 104, 0, 3, 231, 32);
INSERT INTO public.who_data VALUES (54522, 107, 8362, 0, 104, 231, 155);
INSERT INTO public.who_data VALUES (54523, 123, 18196, 0, 705, 231, 82);
INSERT INTO public.who_data VALUES (54524, 534, 19801, 6, 241, 231, 16);
INSERT INTO public.who_data VALUES (54525, 0, 104, 0, 11, 231, 72);
INSERT INTO public.who_data VALUES (54526, 447, 28857, 1, 96, 231, 43);
INSERT INTO public.who_data VALUES (54527, 3288, 159679, 29, 1997, 231, 120);
INSERT INTO public.who_data VALUES (54528, 0, 97, 0, 7, 231, 213);
INSERT INTO public.who_data VALUES (54529, 273, 63270, 6, 418, 231, 31);
INSERT INTO public.who_data VALUES (54530, 64, 62471, 3, 9636, 231, 204);
INSERT INTO public.who_data VALUES (54531, 2, 30, 0, 2, 231, 152);
INSERT INTO public.who_data VALUES (54532, 0, 1199, 0, 21, 231, 144);
INSERT INTO public.who_data VALUES (54533, 0, 146, 0, 9, 231, 96);
INSERT INTO public.who_data VALUES (54534, 0, 78, 0, 0, 231, 47);
INSERT INTO public.who_data VALUES (54535, 1290, 36818, 49, 1320, 231, 80);
INSERT INTO public.who_data VALUES (54536, 0, 2, 0, 0, 231, 159);
INSERT INTO public.who_data VALUES (54537, 289, 5249, 0, 190, 231, 27);
INSERT INTO public.who_data VALUES (54538, 0, 275, 0, 1, 231, 146);
INSERT INTO public.who_data VALUES (54539, 42223, 1539081, 1290, 63174, 231, 71);
INSERT INTO public.who_data VALUES (54540, 0, 8, 0, 1, 231, 210);
INSERT INTO public.who_data VALUES (54541, 0, 141, 0, 3, 231, 54);
INSERT INTO public.who_data VALUES (54542, 180, 5677, 2, 241, 231, 147);
INSERT INTO public.who_data VALUES (54543, 7, 987, 0, 53, 231, 2);
INSERT INTO public.who_data VALUES (54544, 0, 191, 0, 1, 231, 105);
INSERT INTO public.who_data VALUES (54545, 38, 1420, 1, 16, 231, 53);
INSERT INTO public.who_data VALUES (54546, 0, 141, 0, 0, 231, 81);
INSERT INTO public.who_data VALUES (54547, 0, 12592, 0, 313, 231, 223);
INSERT INTO public.who_data VALUES (54548, 319, 105091, 21, 8663, 231, 94);
INSERT INTO public.who_data VALUES (54549, 0, 201, 0, 1, 231, 154);
INSERT INTO public.who_data VALUES (54550, 51, 3969, 0, 48, 231, 83);
INSERT INTO public.who_data VALUES (54551, 0, 871, 0, 74, 231, 194);
INSERT INTO public.who_data VALUES (54552, 3758, 291847, 141, 6192, 231, 136);
INSERT INTO public.who_data VALUES (54553, 19, 85306, 0, 4648, 231, 179);
INSERT INTO public.who_data VALUES (54554, 3395, 109505, 136, 3777, 231, 57);
INSERT INTO public.who_data VALUES (54555, 0, 309, 0, 7, 231, 35);
INSERT INTO public.who_data VALUES (54556, 0, 1557, 0, 44, 231, 228);
INSERT INTO public.who_data VALUES (54557, 0, 0, 0, 0, 231, 19);
INSERT INTO public.who_data VALUES (54558, 288, 4311, 0, 18, 231, 22);
INSERT INTO public.who_data VALUES (54559, 252, 10244, 2, 70, 231, 1);
INSERT INTO public.who_data VALUES (54560, 86, 3094, 1, 113, 231, 21);
INSERT INTO public.who_data VALUES (54561, 8, 2369, 0, 86, 231, 234);
INSERT INTO public.who_data VALUES (54562, 0, 25, 0, 1, 231, 91);
INSERT INTO public.who_data VALUES (54563, 3, 1002, 0, 19, 231, 137);
INSERT INTO public.who_data VALUES (54564, 121, 12440, -1, 351, 231, 201);
INSERT INTO public.who_data VALUES (54565, 0, 0, 0, 0, 231, 171);
INSERT INTO public.who_data VALUES (54566, 68, 7378, 3, 181, 231, 92);
INSERT INTO public.who_data VALUES (54567, 0, 12832, 0, 606, 231, 112);
INSERT INTO public.who_data VALUES (54568, 0, 4736, 0, 55, 231, 62);
INSERT INTO public.who_data VALUES (54569, 0, 18, 0, 0, 231, 69);
INSERT INTO public.who_data VALUES (54570, 1036, 36184, 11, 786, 231, 220);
INSERT INTO public.who_data VALUES (54571, 878, 61535, 69, 4769, 231, 100);
INSERT INTO public.who_data VALUES (54572, 1324, 74035, 79, 3280, 231, 187);
INSERT INTO public.who_data VALUES (54573, 240, 7507, 8, 210, 231, 63);
INSERT INTO public.who_data VALUES (54574, 0, 1043, 0, 12, 231, 28);
INSERT INTO public.who_data VALUES (54575, 0, 215, 0, 0, 231, 172);
INSERT INTO public.who_data VALUES (54576, 2, 1993, 0, 63, 231, 17);
INSERT INTO public.who_data VALUES (54577, 45, 954, 0, 13, 231, 226);
INSERT INTO public.who_data VALUES (54578, 169, 6386, 2, 116, 231, 236);
INSERT INTO public.who_data VALUES (54579, 0, 13, 0, 0, 231, 76);
INSERT INTO public.who_data VALUES (54580, 0, 187, 0, 0, 231, 30);
INSERT INTO public.who_data VALUES (54581, 0, 18, 0, 0, 231, 128);
INSERT INTO public.who_data VALUES (54582, 1, 7270, 0, 328, 231, 86);
INSERT INTO public.who_data VALUES (54583, 0, 158734, 0, 29808, 231, 140);
INSERT INTO public.who_data VALUES (54584, 355, 4913, 0, 16, 231, 44);
INSERT INTO public.who_data VALUES (54585, 0, 62, 0, 0, 231, 113);
INSERT INTO public.who_data VALUES (54586, 107, 5620, 2, 44, 231, 29);
INSERT INTO public.who_data VALUES (54587, 2, 57, 0, 2, 231, 125);
INSERT INTO public.who_data VALUES (54588, 5, 951, 0, 15, 231, 131);
INSERT INTO public.who_data VALUES (54589, 239, 196335, 2, 9012, 231, 46);
INSERT INTO public.who_data VALUES (54590, 496, 19388, 0, 117, 231, 10);
INSERT INTO public.who_data VALUES (54591, 0, 178, 0, 0, 231, 205);
INSERT INTO public.who_data VALUES (54592, 25, 3511, 0, 192, 231, 50);
INSERT INTO public.who_data VALUES (54593, 0, 13, 0, 0, 231, 20);
INSERT INTO public.who_data VALUES (54594, 0, 23, 0, 0, 231, 13);
INSERT INTO public.who_data VALUES (54595, 2, 184, 2, 16, 231, 148);
INSERT INTO public.who_data VALUES (54596, 2, 280, 0, 5, 231, 230);
INSERT INTO public.who_data VALUES (54597, 1221, 21293, 37, 880, 231, 190);
INSERT INTO public.who_data VALUES (54598, 0, 252, 0, 13, 231, 188);
INSERT INTO public.who_data VALUES (54599, 49, 5570, 1, 34, 231, 123);
INSERT INTO public.who_data VALUES (54600, 0, 1765, 0, 25, 231, 9);
INSERT INTO public.who_data VALUES (54601, 6, 256, 0, 14, 231, 102);
INSERT INTO public.who_data VALUES (54602, 129, 6230, 0, 110, 231, 34);
INSERT INTO public.who_data VALUES (54603, 0, 12, 0, 0, 231, 212);
INSERT INTO public.who_data VALUES (54604, 996, 22116, 14, 605, 231, 122);
INSERT INTO public.who_data VALUES (54605, 11, 4183, 1, 589, 231, 38);
INSERT INTO public.who_data VALUES (54606, 0, 1830, 0, 10, 231, 130);
INSERT INTO public.who_data VALUES (54607, 24850, 673165, 613, 19268, 231, 37);
INSERT INTO public.who_data VALUES (54608, 1447, 62142, 53, 3089, 231, 231);
INSERT INTO public.who_data VALUES (54609, 2449, 237878, 148, 11408, 231, 107);
INSERT INTO public.who_data VALUES (54610, 2334, 58354, 106, 2368, 231, 101);
INSERT INTO public.who_data VALUES (54611, 11, 25509, 1, 1741, 231, 132);
INSERT INTO public.who_data VALUES (54612, 0, 336, 0, 24, 231, 176);
INSERT INTO public.who_data VALUES (54613, 939, 28508, 3, 334, 231, 200);
INSERT INTO public.who_data VALUES (54614, 235, 241419, 21, 34854, 231, 169);
INSERT INTO public.who_data VALUES (54615, 6, 721, 0, 10, 231, 225);
INSERT INTO public.who_data VALUES (54616, 240, 19522, 0, 977, 231, 165);
INSERT INTO public.who_data VALUES (54617, 0, 320, 0, 31, 231, 233);
INSERT INTO public.who_data VALUES (54618, 1, 1071, 0, 10, 231, 215);
INSERT INTO public.who_data VALUES (54619, 1403, 48574, 18, 260, 231, 177);
INSERT INTO public.who_data VALUES (54620, 389, 7577, 5, 159, 231, 183);
INSERT INTO public.who_data VALUES (54621, 0, 0, 0, 0, 231, 203);
INSERT INTO public.who_data VALUES (54622, 178, 3313, 9, 54, 231, 162);
INSERT INTO public.who_data VALUES (54623, 631, 49303, 5, 365, 231, 12);
INSERT INTO public.who_data VALUES (54624, 0, 7094, 0, 78, 231, 24);
INSERT INTO public.who_data VALUES (54625, 0, 19, 0, 0, 231, 119);
INSERT INTO public.who_data VALUES (54626, 1, 1123, 0, 30, 231, 39);
INSERT INTO public.who_data VALUES (54627, 25, 1855, 0, 35, 231, 26);
INSERT INTO public.who_data VALUES (54628, 16, 79, 0, 0, 231, 59);
INSERT INTO public.who_data VALUES (54629, 0, 833, 0, 37, 231, 77);
INSERT INTO public.who_data VALUES (54630, 71, 989, 0, 27, 231, 134);
INSERT INTO public.who_data VALUES (54631, 0, 84, 0, 1, 231, 4);
INSERT INTO public.who_data VALUES (54632, 5, 1831, 0, 79, 231, 109);
INSERT INTO public.who_data VALUES (54633, 29, 4476, 0, 110, 231, 90);
INSERT INTO public.who_data VALUES (54634, 216, 2728, 3, 29, 231, 61);
INSERT INTO public.who_data VALUES (54635, 115, 1613, 1, 17, 231, 85);
INSERT INTO public.who_data VALUES (54636, 10, 8658, 0, 121, 231, 49);
INSERT INTO public.who_data VALUES (54637, 25, 2435, 2, 10, 231, 208);
INSERT INTO public.who_data VALUES (54638, 18, 2303, 1, 118, 231, 166);
INSERT INTO public.who_data VALUES (54639, 0, 671, 0, 9, 231, 64);
INSERT INTO public.who_data VALUES (54640, 0, 0, 0, 0, 231, 199);
INSERT INTO public.who_data VALUES (54641, 7, 249, 0, 14, 231, 114);
INSERT INTO public.who_data VALUES (54642, 0, 4705, 0, 129, 231, 60);
INSERT INTO public.who_data VALUES (54643, 0, 341, 0, 10, 231, 68);
INSERT INTO public.who_data VALUES (54644, 7, 2668, 0, 36, 231, 158);
INSERT INTO public.who_data VALUES (54645, 6740, 245251, 654, 29843, 231, 52);
INSERT INTO public.who_data VALUES (54646, 0, 0, 0, 0, 231, 117);
INSERT INTO public.who_data VALUES (54647, 0, 76, 0, 1, 231, 126);
INSERT INTO public.who_data VALUES (54648, 0, 220, 0, 0, 231, 196);
INSERT INTO public.who_data VALUES (54649, 151, 893, 0, 14, 231, 142);
INSERT INTO public.who_data VALUES (54650, 0, 11, 0, 1, 231, 185);
INSERT INTO public.who_data VALUES (54651, 534, 13822, 2, 232, 231, 138);
INSERT INTO public.who_data VALUES (54652, 30, 969, 1, 7, 231, 181);
INSERT INTO public.who_data VALUES (54653, 7, 313, 0, 6, 231, 178);
INSERT INTO public.who_data VALUES (54654, 25, 375, 0, 0, 231, 168);
INSERT INTO public.who_data VALUES (54655, 0, 0, 0, 0, 231, 160);
INSERT INTO public.who_data VALUES (54656, 232, 15491, 2, 34, 231, 151);
INSERT INTO public.who_data VALUES (54657, 65, 50337, 7, 6100, 231, 193);
INSERT INTO public.who_data VALUES (54658, 0, 21, 0, 0, 231, 18);
INSERT INTO public.who_data VALUES (54659, 3, 1183, 0, 22, 231, 40);
INSERT INTO public.who_data VALUES (54660, 0, 2182, 0, 83, 231, 218);
INSERT INTO public.who_data VALUES (54661, 0, 1082, 0, 68, 231, 191);
INSERT INTO public.who_data VALUES (54662, 603, 28167, 6, 634, 231, 156);
INSERT INTO public.who_data VALUES (54663, 0, 0, 0, 0, 231, 135);
INSERT INTO public.who_data VALUES (54664, 0, 31, 0, 2, 231, 88);
INSERT INTO public.who_data VALUES (54665, 145, 6932, 6, 334, 231, 55);
INSERT INTO public.who_data VALUES (54666, 0, 8895, 0, 251, 231, 108);
INSERT INTO public.who_data VALUES (54667, 561, 4250, 4, 19, 231, 48);
INSERT INTO public.who_data VALUES (54668, 1177, 45106, 10, 203, 231, 3);
INSERT INTO public.who_data VALUES (54669, 0, 741, 0, 13, 231, 224);
INSERT INTO public.who_data VALUES (54670, 3191, 228474, 93, 4712, 231, 110);
INSERT INTO public.who_data VALUES (54671, 0, 0, 0, 0, 231, 106);
INSERT INTO public.who_data VALUES (54672, 758, 35995, 31, 698, 231, 89);
INSERT INTO public.who_data VALUES (54673, 0, 11, 0, 0, 231, 121);
INSERT INTO public.who_data VALUES (54674, 36, 2385, 1, 20, 231, 163);
INSERT INTO public.who_data VALUES (54675, 3595, 295599, 181, 10226, 231, 70);
INSERT INTO public.who_data VALUES (54676, 1494, 41830, 10, 1290, 231, 174);
INSERT INTO public.who_data VALUES (54677, 0, 0, 0, 0, 231, 175);
INSERT INTO public.who_data VALUES (54678, 314, 35719, 5, 1512, 231, 118);
INSERT INTO public.who_data VALUES (54679, 413, 43569, 7, 1605, 231, 189);
INSERT INTO public.who_data VALUES (54680, 104, 7787, 1, 155, 231, 124);
INSERT INTO public.who_data VALUES (54681, 530, 99183, 2, 123, 231, 192);
INSERT INTO public.who_data VALUES (54682, 61, 13089, 0, 283, 231, 41);
INSERT INTO public.who_data VALUES (54683, 227, 17672, 6, 582, 231, 95);
INSERT INTO public.who_data VALUES (54684, 3, 536, 0, 2, 231, 74);
INSERT INTO public.who_data VALUES (54685, 416, 28582, 23, 1731, 231, 11);
INSERT INTO public.who_data VALUES (54686, 6736, 681251, 134, 10161, 231, 87);
INSERT INTO public.who_data VALUES (54687, 11, 1092, 0, 3, 231, 214);
INSERT INTO public.who_data VALUES (54688, 0, 3, 0, 0, 231, 116);
INSERT INTO public.who_data VALUES (54689, 0, 6, 0, 0, 231, 157);
INSERT INTO public.who_data VALUES (54690, 0, 0, 0, 0, 231, 182);
INSERT INTO public.who_data VALUES (54691, 0, 15, 0, 0, 231, 186);
INSERT INTO public.who_data VALUES (54692, 0, 22, 0, 0, 231, 127);
INSERT INTO public.who_data VALUES (54693, 1, 44, 0, 3, 231, 232);
INSERT INTO public.who_data VALUES (54694, 0, 1, 0, 0, 231, 33);
INSERT INTO public.who_data VALUES (54695, 0, 29, 0, 0, 231, 97);
INSERT INTO public.who_data VALUES (54696, 0, 0, 0, 0, 231, 42);
INSERT INTO public.who_data VALUES (54697, 0, 713, 0, 42, 231, 198);
INSERT INTO public.who_data VALUES (54698, 0, 399, 0, 11, 231, 216);
INSERT INTO public.who_data VALUES (54699, 4128, 205929, 56, 1858, 231, 164);
INSERT INTO public.who_data VALUES (54700, 108, 7272, 4, 129, 231, 235);
INSERT INTO public.who_data VALUES (54701, 325, 15829, 8, 306, 231, 67);
INSERT INTO public.who_data VALUES (54702, 0, 81, 0, 0, 231, 15);
INSERT INTO public.who_data VALUES (54703, 9, 1533, 0, 62, 231, 180);
INSERT INTO public.who_data VALUES (54704, 185, 44664, 0, 26, 231, 237);
INSERT INTO public.who_data VALUES (54705, 0, 2, 0, 0, 231, 25);
INSERT INTO public.who_data VALUES (54706, 0, 78, 0, 15, 231, 209);
INSERT INTO public.who_data VALUES (54707, 20, 1720, 0, 28, 231, 217);
INSERT INTO public.who_data VALUES (54708, 30, 1679, 0, 114, 231, 79);
INSERT INTO public.who_data VALUES (54709, 0, 0, 0, 0, 231, 143);
INSERT INTO public.who_data VALUES (54710, 17, 2961, 2, 92, 231, 229);
INSERT INTO public.who_data VALUES (54711, 10853, 187977, 74, 3026, 231, 141);
INSERT INTO public.who_data VALUES (54712, 22, 2058, 0, 38, 231, 197);
INSERT INTO public.who_data VALUES (54713, 639, 260968, 5, 29771, 231, 221);
INSERT INTO public.who_data VALUES (54714, 5, 2074, 0, 11, 231, 150);
INSERT INTO public.who_data VALUES (54715, 78, 9767, 1, 608, 231, 56);
INSERT INTO public.who_data VALUES (54716, 18, 565, 1, 14, 231, 167);
INSERT INTO public.who_data VALUES (54717, 694, 69932, 8, 5546, 231, 23);
INSERT INTO public.who_data VALUES (54718, 26, 32257, 0, 1727, 231, 222);
INSERT INTO public.who_data VALUES (54719, 10, 338, 0, 10, 231, 219);
INSERT INTO public.who_data VALUES (54720, 101, 6159, 0, 52, 231, 7);
INSERT INTO public.who_data VALUES (54721, 5, 3190, 0, 58, 231, 161);
INSERT INTO public.who_data VALUES (54722, 579, 286724, 32, 40613, 231, 149);
INSERT INTO public.who_data VALUES (54723, 0, 24, 0, 0, 231, 6);
INSERT INTO public.who_data VALUES (54724, 5, 676, 1, 15, 231, 139);
INSERT INTO public.who_data VALUES (54725, 0, 0, 0, 0, 231, 211);
INSERT INTO public.who_data VALUES (54726, 0, 0, 0, 0, 231, 14);
INSERT INTO public.who_data VALUES (54727, 0, 130, 0, 8, 231, 111);
INSERT INTO public.who_data VALUES (54728, 2, 1188, 0, 50, 231, 207);
INSERT INTO public.who_data VALUES (54729, 1154, 204610, 20, 5206, 231, 66);
INSERT INTO public.who_data VALUES (54730, 0, 0, 0, 0, 231, 173);
INSERT INTO public.who_data VALUES (54731, 1, 45, 0, 2, 231, 145);
INSERT INTO public.who_data VALUES (54732, 0, 0, 0, 0, 231, 65);
INSERT INTO public.who_data VALUES (54733, 16, 927, 0, 0, 231, 184);
INSERT INTO public.who_data VALUES (54734, 823, 48500, 22, 1249, 231, 98);
INSERT INTO public.who_data VALUES (54735, 716, 50857, 3, 321, 231, 104);
INSERT INTO public.who_data VALUES (54736, 0, 509, 0, 21, 231, 73);
INSERT INTO public.who_data VALUES (54737, 51933, 2776366, 745, 129226, 231, 8);
INSERT INTO public.who_data VALUES (54738, 13, 111, 0, 6, 231, 227);
INSERT INTO public.who_data VALUES (54739, 5, 952, 0, 28, 231, 75);
INSERT INTO public.who_data VALUES (54740, 329, 9829, 2, 31, 231, 45);
INSERT INTO public.who_data VALUES (54741, 0, 0, 0, 0, 231, 133);
INSERT INTO public.who_data VALUES (54742, 264, 6537, 2, 59, 231, 202);
INSERT INTO public.who_data VALUES (54743, 0, 355, 0, 0, 231, 129);
INSERT INTO public.who_data VALUES (54744, 0, 0, 0, 0, 231, 36);
INSERT INTO public.who_data VALUES (54745, 8, 1248, 2, 337, 231, 51);
INSERT INTO public.who_data VALUES (54746, 0, 1632, 0, 30, 231, 206);
INSERT INTO public.who_data VALUES (54747, 73, 698, 1, 8, 231, 5);
INSERT INTO public.who_data VALUES (54748, 348, 32758, 7, 830, 232, 103);
INSERT INTO public.who_data VALUES (54749, 67, 2819, 2, 74, 232, 58);
INSERT INTO public.who_data VALUES (54750, 413, 15070, 9, 937, 232, 195);
INSERT INTO public.who_data VALUES (54751, 0, 0, 0, 0, 232, 115);
INSERT INTO public.who_data VALUES (54752, 0, 855, 0, 52, 232, 99);
INSERT INTO public.who_data VALUES (54753, 13, 328, 1, 18, 232, 153);
INSERT INTO public.who_data VALUES (54754, 0, 3, 0, 0, 232, 93);
INSERT INTO public.who_data VALUES (54755, 0, 68, 0, 3, 232, 84);
INSERT INTO public.who_data VALUES (54756, 2744, 69941, 40, 1403, 232, 78);
INSERT INTO public.who_data VALUES (54757, 580, 27213, 8, 472, 232, 170);
INSERT INTO public.who_data VALUES (54758, 1, 104, 0, 3, 232, 32);
INSERT INTO public.who_data VALUES (54759, 254, 8255, 0, 104, 232, 155);
INSERT INTO public.who_data VALUES (54760, 121, 18073, 0, 705, 232, 82);
INSERT INTO public.who_data VALUES (54761, 583, 19267, 7, 235, 232, 16);
INSERT INTO public.who_data VALUES (54762, 0, 104, 0, 11, 232, 72);
INSERT INTO public.who_data VALUES (54763, 573, 28410, 1, 95, 232, 43);
INSERT INTO public.who_data VALUES (54764, 3114, 156391, 42, 1968, 232, 120);
INSERT INTO public.who_data VALUES (54765, 0, 97, 0, 7, 232, 213);
INSERT INTO public.who_data VALUES (54766, 299, 62997, 7, 412, 232, 31);
INSERT INTO public.who_data VALUES (54767, 94, 62407, 2, 9633, 232, 204);
INSERT INTO public.who_data VALUES (54768, 0, 28, 0, 2, 232, 152);
INSERT INTO public.who_data VALUES (54769, 0, 1199, 0, 21, 232, 144);
INSERT INTO public.who_data VALUES (54770, 0, 146, 0, 9, 232, 96);
INSERT INTO public.who_data VALUES (54771, 1, 78, 0, 0, 232, 47);
INSERT INTO public.who_data VALUES (54772, 1301, 35528, 70, 1271, 232, 80);
INSERT INTO public.who_data VALUES (54773, 0, 2, 0, 0, 232, 159);
INSERT INTO public.who_data VALUES (54774, 172, 4960, 2, 190, 232, 27);
INSERT INTO public.who_data VALUES (54775, 48, 275, 0, 1, 232, 146);
INSERT INTO public.who_data VALUES (54776, 48105, 1496858, 1252, 61884, 232, 71);
INSERT INTO public.who_data VALUES (54777, 0, 8, 0, 1, 232, 210);
INSERT INTO public.who_data VALUES (54778, 0, 141, 0, 3, 232, 54);
INSERT INTO public.who_data VALUES (54779, 182, 5497, 7, 239, 232, 147);
INSERT INTO public.who_data VALUES (54780, 13, 980, 0, 53, 232, 2);
INSERT INTO public.who_data VALUES (54781, 21, 191, 0, 1, 232, 105);
INSERT INTO public.who_data VALUES (54782, 81, 1382, 0, 15, 232, 53);
INSERT INTO public.who_data VALUES (54783, 0, 141, 0, 0, 232, 81);
INSERT INTO public.who_data VALUES (54784, 0, 12592, 0, 313, 232, 223);
INSERT INTO public.who_data VALUES (54785, 568, 104772, 51, 8642, 232, 94);
INSERT INTO public.who_data VALUES (54786, 0, 201, 0, 1, 232, 154);
INSERT INTO public.who_data VALUES (54787, 130, 3918, 1, 48, 232, 83);
INSERT INTO public.who_data VALUES (54788, 3, 871, 0, 74, 232, 194);
INSERT INTO public.who_data VALUES (54789, 3548, 288089, 131, 6051, 232, 136);
INSERT INTO public.who_data VALUES (54790, 9, 85287, 0, 4648, 232, 179);
INSERT INTO public.who_data VALUES (54791, 4101, 106110, 171, 3641, 232, 57);
INSERT INTO public.who_data VALUES (54792, 6, 309, 0, 7, 232, 35);
INSERT INTO public.who_data VALUES (54793, 114, 1557, 2, 44, 232, 228);
INSERT INTO public.who_data VALUES (54794, 0, 0, 0, 0, 232, 19);
INSERT INTO public.who_data VALUES (54795, 270, 4023, 2, 18, 232, 22);
INSERT INTO public.who_data VALUES (54796, 290, 9992, 0, 68, 232, 1);
INSERT INTO public.who_data VALUES (54797, 96, 3008, 2, 112, 232, 21);
INSERT INTO public.who_data VALUES (54798, 8, 2361, 0, 86, 232, 234);
INSERT INTO public.who_data VALUES (54799, 0, 25, 0, 1, 232, 91);
INSERT INTO public.who_data VALUES (54800, 0, 999, 0, 19, 232, 137);
INSERT INTO public.who_data VALUES (54801, 141, 12319, 1, 352, 232, 201);
INSERT INTO public.who_data VALUES (54802, 0, 0, 0, 0, 232, 171);
INSERT INTO public.who_data VALUES (54803, 122, 7310, 3, 178, 232, 92);
INSERT INTO public.who_data VALUES (54804, 17, 12832, 0, 606, 232, 112);
INSERT INTO public.who_data VALUES (54805, 21, 4736, 0, 55, 232, 62);
INSERT INTO public.who_data VALUES (54806, 0, 18, 0, 0, 232, 69);
INSERT INTO public.who_data VALUES (54807, 951, 35148, 10, 775, 232, 220);
INSERT INTO public.who_data VALUES (54808, 1189, 60657, 61, 4700, 232, 100);
INSERT INTO public.who_data VALUES (54809, 1412, 72711, 81, 3201, 232, 187);
INSERT INTO public.who_data VALUES (54810, 267, 7267, 11, 202, 232, 63);
INSERT INTO public.who_data VALUES (54811, 0, 1043, 0, 12, 232, 28);
INSERT INTO public.who_data VALUES (54812, 0, 215, 0, 0, 232, 172);
INSERT INTO public.who_data VALUES (54813, 1, 1991, 0, 63, 232, 17);
INSERT INTO public.who_data VALUES (54814, 36, 909, 2, 13, 232, 226);
INSERT INTO public.who_data VALUES (54815, 54, 6217, 5, 114, 232, 236);
INSERT INTO public.who_data VALUES (54816, 0, 13, 0, 0, 232, 76);
INSERT INTO public.who_data VALUES (54817, 0, 187, 0, 0, 232, 30);
INSERT INTO public.who_data VALUES (54818, 0, 18, 0, 0, 232, 128);
INSERT INTO public.who_data VALUES (54819, 28, 7269, 0, 328, 232, 86);
INSERT INTO public.who_data VALUES (54820, 448, 158734, 17, 29808, 232, 140);
INSERT INTO public.who_data VALUES (54821, 114, 4558, 0, 16, 232, 44);
INSERT INTO public.who_data VALUES (54822, 0, 62, 0, 0, 232, 113);
INSERT INTO public.who_data VALUES (54823, 0, 5513, 0, 42, 232, 29);
INSERT INTO public.who_data VALUES (54824, 0, 55, 0, 2, 232, 125);
INSERT INTO public.who_data VALUES (54825, 3, 946, 0, 15, 232, 131);
INSERT INTO public.who_data VALUES (54826, 422, 196096, 7, 9010, 232, 46);
INSERT INTO public.who_data VALUES (54827, 758, 18892, 0, 117, 232, 10);
INSERT INTO public.who_data VALUES (54828, 0, 178, 0, 0, 232, 205);
INSERT INTO public.who_data VALUES (54829, 28, 3486, 0, 192, 232, 50);
INSERT INTO public.who_data VALUES (54830, 0, 13, 0, 0, 232, 20);
INSERT INTO public.who_data VALUES (54831, 0, 23, 0, 0, 232, 13);
INSERT INTO public.who_data VALUES (54832, 0, 182, 0, 14, 232, 148);
INSERT INTO public.who_data VALUES (54833, 6, 278, 0, 5, 232, 230);
INSERT INTO public.who_data VALUES (54834, 1061, 20072, 26, 843, 232, 190);
INSERT INTO public.who_data VALUES (54835, 0, 252, 0, 13, 232, 188);
INSERT INTO public.who_data VALUES (54836, 71, 5521, -13, 33, 232, 123);
INSERT INTO public.who_data VALUES (54837, 55, 1765, 1, 25, 232, 9);
INSERT INTO public.who_data VALUES (54838, 2, 250, 2, 14, 232, 102);
INSERT INTO public.who_data VALUES (54839, 61, 6101, 3, 110, 232, 34);
INSERT INTO public.who_data VALUES (54840, 0, 12, 0, 0, 232, 212);
INSERT INTO public.who_data VALUES (54841, 858, 21120, 49, 591, 232, 122);
INSERT INTO public.who_data VALUES (54842, 6, 4172, 1, 588, 232, 38);
INSERT INTO public.who_data VALUES (54843, 0, 1830, 0, 10, 232, 130);
INSERT INTO public.who_data VALUES (54844, 22771, 648315, 442, 18655, 232, 37);
INSERT INTO public.who_data VALUES (54845, 1301, 60695, 49, 3036, 232, 231);
INSERT INTO public.who_data VALUES (54846, 2566, 235429, 154, 11260, 232, 107);
INSERT INTO public.who_data VALUES (54847, 2312, 56020, 102, 2262, 232, 101);
INSERT INTO public.who_data VALUES (54848, 9, 25498, 2, 1740, 232, 132);
INSERT INTO public.who_data VALUES (54849, 0, 336, 0, 24, 232, 176);
INSERT INTO public.who_data VALUES (54850, 1148, 27569, 1, 331, 232, 200);
INSERT INTO public.who_data VALUES (54851, 223, 241184, 15, 34833, 232, 169);
INSERT INTO public.who_data VALUES (54852, 8, 715, 0, 10, 232, 225);
INSERT INTO public.who_data VALUES (54853, 214, 19282, 1, 977, 232, 165);
INSERT INTO public.who_data VALUES (54854, 0, 320, 0, 31, 232, 233);
INSERT INTO public.who_data VALUES (54855, 10, 1070, 1, 10, 232, 215);
INSERT INTO public.who_data VALUES (54856, 1452, 47171, 18, 242, 232, 177);
INSERT INTO public.who_data VALUES (54857, 247, 7188, 2, 154, 232, 183);
INSERT INTO public.who_data VALUES (54858, 0, 0, 0, 0, 232, 203);
INSERT INTO public.who_data VALUES (54859, 114, 3135, 0, 45, 232, 162);
INSERT INTO public.who_data VALUES (54860, 813, 48672, 1, 360, 232, 12);
INSERT INTO public.who_data VALUES (54861, 327, 7094, 2, 78, 232, 24);
INSERT INTO public.who_data VALUES (54862, 0, 19, 0, 0, 232, 119);
INSERT INTO public.who_data VALUES (54863, 0, 1122, 0, 30, 232, 39);
INSERT INTO public.who_data VALUES (54864, 34, 1830, 0, 35, 232, 26);
INSERT INTO public.who_data VALUES (54865, 28, 63, 0, 0, 232, 59);
INSERT INTO public.who_data VALUES (54866, 14, 833, 0, 37, 232, 77);
INSERT INTO public.who_data VALUES (54867, 27, 918, 1, 27, 232, 134);
INSERT INTO public.who_data VALUES (54868, 0, 84, 0, 1, 232, 4);
INSERT INTO public.who_data VALUES (54869, 3, 1826, 0, 79, 232, 109);
INSERT INTO public.who_data VALUES (54870, 52, 4447, 0, 110, 232, 90);
INSERT INTO public.who_data VALUES (54871, 109, 2512, 2, 26, 232, 61);
INSERT INTO public.who_data VALUES (54872, 96, 1498, 0, 16, 232, 85);
INSERT INTO public.who_data VALUES (54873, 5, 8648, 0, 121, 232, 49);
INSERT INTO public.who_data VALUES (54874, 10, 2410, 0, 8, 232, 208);
INSERT INTO public.who_data VALUES (54875, 25, 2285, 0, 117, 232, 166);
INSERT INTO public.who_data VALUES (54876, 1, 671, 0, 9, 232, 64);
INSERT INTO public.who_data VALUES (54877, 0, 0, 0, 0, 232, 199);
INSERT INTO public.who_data VALUES (54878, 0, 242, 0, 14, 232, 114);
INSERT INTO public.who_data VALUES (54879, 99, 4705, 0, 129, 232, 60);
INSERT INTO public.who_data VALUES (54880, 0, 341, 0, 10, 232, 68);
INSERT INTO public.who_data VALUES (54881, 18, 2661, 1, 36, 232, 158);
INSERT INTO public.who_data VALUES (54882, 6741, 238511, 679, 29189, 232, 52);
INSERT INTO public.who_data VALUES (54883, 0, 0, 0, 0, 232, 117);
INSERT INTO public.who_data VALUES (54884, 0, 76, 0, 1, 232, 126);
INSERT INTO public.who_data VALUES (54885, 0, 220, 0, 0, 232, 196);
INSERT INTO public.who_data VALUES (54886, 34, 742, 0, 14, 232, 142);
INSERT INTO public.who_data VALUES (54887, 0, 11, 0, 1, 232, 185);
INSERT INTO public.who_data VALUES (54888, 319, 13288, 1, 230, 232, 138);
INSERT INTO public.who_data VALUES (54889, 21, 939, 0, 6, 232, 181);
INSERT INTO public.who_data VALUES (54890, 2, 306, 0, 6, 232, 178);
INSERT INTO public.who_data VALUES (54891, 57, 350, 0, 0, 232, 168);
INSERT INTO public.who_data VALUES (54892, 0, 0, 0, 0, 232, 160);
INSERT INTO public.who_data VALUES (54893, 740, 15259, 1, 32, 232, 151);
INSERT INTO public.who_data VALUES (54894, 76, 50272, 1, 6093, 232, 193);
INSERT INTO public.who_data VALUES (54895, 0, 21, 0, 0, 232, 18);
INSERT INTO public.who_data VALUES (54896, 0, 1180, 0, 22, 232, 40);
INSERT INTO public.who_data VALUES (54897, 0, 2182, 0, 83, 232, 218);
INSERT INTO public.who_data VALUES (54898, 1, 1082, 0, 68, 232, 191);
INSERT INTO public.who_data VALUES (54899, 454, 27564, 12, 628, 232, 156);
INSERT INTO public.who_data VALUES (54900, 0, 0, 0, 0, 232, 135);
INSERT INTO public.who_data VALUES (54901, 0, 31, 0, 2, 232, 88);
INSERT INTO public.who_data VALUES (54902, 144, 6787, 7, 328, 232, 55);
INSERT INTO public.who_data VALUES (54903, 0, 8895, 0, 251, 232, 108);
INSERT INTO public.who_data VALUES (54904, 272, 3689, 4, 15, 232, 48);
INSERT INTO public.who_data VALUES (54905, 1374, 43929, 5, 193, 232, 3);
INSERT INTO public.who_data VALUES (54906, 0, 741, 0, 13, 232, 224);
INSERT INTO public.who_data VALUES (54907, 3387, 225283, 68, 4619, 232, 110);
INSERT INTO public.who_data VALUES (54908, 0, 0, 0, 0, 232, 106);
INSERT INTO public.who_data VALUES (54909, 774, 35237, 22, 667, 232, 89);
INSERT INTO public.who_data VALUES (54910, 0, 11, 0, 0, 232, 121);
INSERT INTO public.who_data VALUES (54911, 46, 2349, 0, 19, 232, 163);
INSERT INTO public.who_data VALUES (54912, 3527, 292004, 185, 10045, 232, 70);
INSERT INTO public.who_data VALUES (54913, 1531, 40336, 6, 1280, 232, 174);
INSERT INTO public.who_data VALUES (54914, 0, 0, 0, 0, 232, 175);
INSERT INTO public.who_data VALUES (54915, 259, 35405, 15, 1507, 232, 118);
INSERT INTO public.who_data VALUES (54916, 374, 43156, 11, 1598, 232, 189);
INSERT INTO public.who_data VALUES (54917, 75, 7683, 1, 154, 232, 124);
INSERT INTO public.who_data VALUES (54918, 756, 98653, 3, 121, 232, 192);
INSERT INTO public.who_data VALUES (54919, 63, 13028, 1, 283, 232, 41);
INSERT INTO public.who_data VALUES (54920, 295, 17445, 13, 576, 232, 95);
INSERT INTO public.who_data VALUES (54921, 2, 533, 0, 2, 232, 74);
INSERT INTO public.who_data VALUES (54922, 420, 28166, 21, 1708, 232, 11);
INSERT INTO public.who_data VALUES (54923, 6632, 674515, 168, 10027, 232, 87);
INSERT INTO public.who_data VALUES (54924, 18, 1081, 0, 3, 232, 214);
INSERT INTO public.who_data VALUES (54925, 0, 3, 0, 0, 232, 116);
INSERT INTO public.who_data VALUES (54926, 0, 6, 0, 0, 232, 157);
INSERT INTO public.who_data VALUES (54927, 0, 0, 0, 0, 232, 182);
INSERT INTO public.who_data VALUES (54928, 0, 15, 0, 0, 232, 186);
INSERT INTO public.who_data VALUES (54929, 3, 22, 0, 0, 232, 127);
INSERT INTO public.who_data VALUES (54930, 0, 43, 0, 3, 232, 232);
INSERT INTO public.who_data VALUES (54931, 0, 1, 0, 0, 232, 33);
INSERT INTO public.who_data VALUES (54932, 0, 29, 0, 0, 232, 97);
INSERT INTO public.who_data VALUES (54933, 0, 0, 0, 0, 232, 42);
INSERT INTO public.who_data VALUES (54934, 0, 713, 0, 42, 232, 198);
INSERT INTO public.who_data VALUES (54935, 2, 399, 0, 11, 232, 216);
INSERT INTO public.who_data VALUES (54936, 4193, 201801, 50, 1802, 232, 164);
INSERT INTO public.who_data VALUES (54937, 110, 7164, 4, 125, 232, 235);
INSERT INTO public.who_data VALUES (54938, 309, 15504, 11, 298, 232, 67);
INSERT INTO public.who_data VALUES (54939, 0, 81, 0, 0, 232, 15);
INSERT INTO public.who_data VALUES (54940, 6, 1524, 2, 62, 232, 180);
INSERT INTO public.who_data VALUES (54941, 169, 44479, 0, 26, 232, 237);
INSERT INTO public.who_data VALUES (54942, 0, 2, 0, 0, 232, 25);
INSERT INTO public.who_data VALUES (54943, 1, 78, 0, 15, 232, 209);
INSERT INTO public.who_data VALUES (54944, 13, 1700, 0, 28, 232, 217);
INSERT INTO public.who_data VALUES (54945, 16, 1649, 0, 114, 232, 79);
INSERT INTO public.who_data VALUES (54946, 0, 0, 0, 0, 232, 143);
INSERT INTO public.who_data VALUES (54947, 0, 2944, 0, 90, 232, 229);
INSERT INTO public.who_data VALUES (54948, 9063, 177124, 108, 2952, 232, 141);
INSERT INTO public.who_data VALUES (54949, 0, 2036, 0, 38, 232, 197);
INSERT INTO public.who_data VALUES (54950, 544, 260329, 1, 29766, 232, 221);
INSERT INTO public.who_data VALUES (54951, 3, 2069, 0, 11, 232, 150);
INSERT INTO public.who_data VALUES (54952, 0, 9689, 0, 607, 232, 56);
INSERT INTO public.who_data VALUES (54953, 12, 547, 0, 13, 232, 167);
INSERT INTO public.who_data VALUES (54954, 687, 69238, 15, 5538, 232, 23);
INSERT INTO public.who_data VALUES (54955, 96, 32231, 0, 1727, 232, 222);
INSERT INTO public.who_data VALUES (54956, 16, 328, 1, 10, 232, 219);
INSERT INTO public.who_data VALUES (54957, 53, 6058, 0, 52, 232, 7);
INSERT INTO public.who_data VALUES (54958, 5, 3185, 0, 58, 232, 161);
INSERT INTO public.who_data VALUES (54959, 602, 286145, 49, 40581, 232, 149);
INSERT INTO public.who_data VALUES (54960, 0, 24, 0, 0, 232, 6);
INSERT INTO public.who_data VALUES (54961, 4, 671, 0, 14, 232, 139);
INSERT INTO public.who_data VALUES (54962, 0, 0, 0, 0, 232, 211);
INSERT INTO public.who_data VALUES (54963, 0, 0, 0, 0, 232, 14);
INSERT INTO public.who_data VALUES (54964, 0, 130, 0, 8, 232, 111);
INSERT INTO public.who_data VALUES (54965, 5, 1186, 0, 50, 232, 207);
INSERT INTO public.who_data VALUES (54966, 1172, 203456, 19, 5186, 232, 66);
INSERT INTO public.who_data VALUES (54967, 0, 0, 0, 0, 232, 173);
INSERT INTO public.who_data VALUES (54968, 2, 44, 0, 2, 232, 145);
INSERT INTO public.who_data VALUES (54969, 0, 0, 0, 0, 232, 65);
INSERT INTO public.who_data VALUES (54970, 9, 911, 0, 0, 232, 184);
INSERT INTO public.who_data VALUES (54971, 914, 47677, 15, 1227, 232, 98);
INSERT INTO public.who_data VALUES (54972, 672, 50141, 1, 318, 232, 104);
INSERT INTO public.who_data VALUES (54973, 0, 509, 0, 21, 232, 73);
INSERT INTO public.who_data VALUES (54974, 53213, 2724433, 623, 128481, 232, 8);
INSERT INTO public.who_data VALUES (54975, 6, 98, 0, 6, 232, 227);
INSERT INTO public.who_data VALUES (54976, 4, 947, 0, 28, 232, 75);
INSERT INTO public.who_data VALUES (54977, 301, 9500, 2, 29, 232, 45);
INSERT INTO public.who_data VALUES (54978, 0, 0, 0, 0, 232, 133);
INSERT INTO public.who_data VALUES (54979, 211, 6273, 3, 57, 232, 202);
INSERT INTO public.who_data VALUES (54980, 0, 355, 0, 0, 232, 129);
INSERT INTO public.who_data VALUES (54981, 0, 0, 0, 0, 232, 36);
INSERT INTO public.who_data VALUES (54982, 19, 1240, 10, 335, 232, 51);
INSERT INTO public.who_data VALUES (54983, 0, 1632, 0, 30, 232, 206);
INSERT INTO public.who_data VALUES (54984, 8, 625, 0, 7, 232, 5);
INSERT INTO public.who_data VALUES (54985, 302, 32410, 12, 823, 233, 103);
INSERT INTO public.who_data VALUES (54986, 90, 2752, 3, 72, 233, 58);
INSERT INTO public.who_data VALUES (54987, 385, 14657, 8, 928, 233, 195);
INSERT INTO public.who_data VALUES (54988, 0, 0, 0, 0, 233, 115);
INSERT INTO public.who_data VALUES (54989, 0, 855, 0, 52, 233, 99);
INSERT INTO public.who_data VALUES (54990, 24, 315, 2, 17, 233, 153);
INSERT INTO public.who_data VALUES (54991, 0, 3, 0, 0, 233, 93);
INSERT INTO public.who_data VALUES (54992, 2, 68, 0, 3, 233, 84);
INSERT INTO public.who_data VALUES (54993, 2667, 67197, 53, 1363, 233, 78);
INSERT INTO public.who_data VALUES (54994, 662, 26633, 10, 464, 233, 170);
INSERT INTO public.who_data VALUES (54995, 0, 103, 0, 3, 233, 32);
INSERT INTO public.who_data VALUES (54996, 81, 8001, 0, 104, 233, 155);
INSERT INTO public.who_data VALUES (54997, 138, 17952, 0, 705, 233, 82);
INSERT INTO public.who_data VALUES (54998, 572, 18684, 8, 228, 233, 16);
INSERT INTO public.who_data VALUES (54999, 0, 104, 0, 11, 233, 72);
INSERT INTO public.who_data VALUES (55000, 423, 27837, 2, 94, 233, 43);
INSERT INTO public.who_data VALUES (55001, 4019, 153277, 38, 1926, 233, 120);
INSERT INTO public.who_data VALUES (55002, 0, 97, 0, 7, 233, 213);
INSERT INTO public.who_data VALUES (55003, 274, 62698, 7, 405, 233, 31);
INSERT INTO public.who_data VALUES (55004, 93, 62313, 5, 9631, 233, 204);
INSERT INTO public.who_data VALUES (55005, 0, 28, 0, 2, 233, 152);
INSERT INTO public.who_data VALUES (55006, 0, 1199, 0, 21, 233, 144);
INSERT INTO public.who_data VALUES (55007, 0, 146, 0, 9, 233, 96);
INSERT INTO public.who_data VALUES (55008, 0, 77, 0, 0, 233, 47);
INSERT INTO public.who_data VALUES (55009, 1008, 34227, 78, 1201, 233, 80);
INSERT INTO public.who_data VALUES (55010, 0, 2, 0, 0, 233, 159);
INSERT INTO public.who_data VALUES (55011, 182, 4788, 1, 188, 233, 27);
INSERT INTO public.who_data VALUES (55012, 0, 227, 0, 1, 233, 146);
INSERT INTO public.who_data VALUES (55013, 46712, 1448753, 1038, 60632, 233, 71);
INSERT INTO public.who_data VALUES (55014, 0, 8, 0, 1, 233, 210);
INSERT INTO public.who_data VALUES (55015, 0, 141, 0, 3, 233, 54);
INSERT INTO public.who_data VALUES (55016, 161, 5315, 0, 232, 233, 147);
INSERT INTO public.who_data VALUES (55017, 5, 967, 0, 53, 233, 2);
INSERT INTO public.who_data VALUES (55018, 0, 170, 0, 1, 233, 105);
INSERT INTO public.who_data VALUES (55019, 34, 1301, 0, 15, 233, 53);
INSERT INTO public.who_data VALUES (55020, 0, 141, 0, 0, 233, 81);
INSERT INTO public.who_data VALUES (55021, 0, 12592, 0, 313, 233, 223);
INSERT INTO public.who_data VALUES (55022, 0, 104204, 0, 8591, 233, 94);
INSERT INTO public.who_data VALUES (55023, 1, 201, 0, 1, 233, 154);
INSERT INTO public.who_data VALUES (55024, 43, 3788, 0, 47, 233, 83);
INSERT INTO public.who_data VALUES (55025, 2, 868, 0, 74, 233, 194);
INSERT INTO public.who_data VALUES (55026, 2498, 284541, 167, 5920, 233, 136);
INSERT INTO public.who_data VALUES (55027, 15, 85278, 0, 4648, 233, 179);
INSERT INTO public.who_data VALUES (55028, 4163, 102009, 136, 3470, 233, 57);
INSERT INTO public.who_data VALUES (55029, 0, 303, 0, 7, 233, 35);
INSERT INTO public.who_data VALUES (55030, 0, 1443, 0, 42, 233, 228);
INSERT INTO public.who_data VALUES (55031, 0, 0, 0, 0, 233, 19);
INSERT INTO public.who_data VALUES (55032, 294, 3753, 0, 16, 233, 22);
INSERT INTO public.who_data VALUES (55033, 203, 9702, 0, 68, 233, 1);
INSERT INTO public.who_data VALUES (55034, 81, 2912, 2, 110, 233, 21);
INSERT INTO public.who_data VALUES (55035, 5, 2353, 0, 86, 233, 234);
INSERT INTO public.who_data VALUES (55036, 0, 25, 0, 1, 233, 91);
INSERT INTO public.who_data VALUES (55037, 0, 999, 0, 19, 233, 137);
INSERT INTO public.who_data VALUES (55038, 132, 12178, 2, 351, 233, 201);
INSERT INTO public.who_data VALUES (55039, 0, 0, 0, 0, 233, 171);
INSERT INTO public.who_data VALUES (55040, 67, 7188, 1, 175, 233, 92);
INSERT INTO public.who_data VALUES (55041, 21, 12815, 0, 606, 233, 112);
INSERT INTO public.who_data VALUES (55042, 11, 4715, 0, 55, 233, 62);
INSERT INTO public.who_data VALUES (55043, 0, 18, 0, 0, 233, 69);
INSERT INTO public.who_data VALUES (55044, 810, 34197, 11, 765, 233, 220);
INSERT INTO public.who_data VALUES (55045, 3126, 59468, 112, 4639, 233, 100);
INSERT INTO public.who_data VALUES (55046, 1485, 71299, 86, 3120, 233, 187);
INSERT INTO public.who_data VALUES (55047, 264, 7000, 9, 191, 233, 63);
INSERT INTO public.who_data VALUES (55048, 0, 1043, 0, 12, 233, 28);
INSERT INTO public.who_data VALUES (55049, 12, 215, 0, 0, 233, 172);
INSERT INTO public.who_data VALUES (55050, 1, 1990, 0, 63, 233, 17);
INSERT INTO public.who_data VALUES (55051, 33, 873, 0, 11, 233, 226);
INSERT INTO public.who_data VALUES (55052, 115, 6163, 2, 109, 233, 236);
INSERT INTO public.who_data VALUES (55053, 0, 13, 0, 0, 233, 76);
INSERT INTO public.who_data VALUES (55054, 0, 187, 0, 0, 233, 30);
INSERT INTO public.who_data VALUES (55055, 0, 18, 0, 0, 233, 128);
INSERT INTO public.who_data VALUES (55056, 5, 7241, 0, 328, 233, 86);
INSERT INTO public.who_data VALUES (55057, 480, 158286, 14, 29791, 233, 140);
INSERT INTO public.who_data VALUES (55058, 176, 4444, 0, 16, 233, 44);
INSERT INTO public.who_data VALUES (55059, 0, 62, 0, 0, 233, 113);
INSERT INTO public.who_data VALUES (55060, 119, 5513, 0, 42, 233, 29);
INSERT INTO public.who_data VALUES (55061, 6, 55, 0, 2, 233, 125);
INSERT INTO public.who_data VALUES (55062, 4, 943, 0, 15, 233, 131);
INSERT INTO public.who_data VALUES (55063, 446, 195674, 9, 9003, 233, 46);
INSERT INTO public.who_data VALUES (55064, 0, 18134, 0, 117, 233, 10);
INSERT INTO public.who_data VALUES (55065, 1, 178, 0, 0, 233, 205);
INSERT INTO public.who_data VALUES (55066, 26, 3458, 0, 192, 233, 50);
INSERT INTO public.who_data VALUES (55067, 0, 13, 0, 0, 233, 20);
INSERT INTO public.who_data VALUES (55068, 0, 23, 0, 0, 233, 13);
INSERT INTO public.who_data VALUES (55069, 0, 182, 0, 14, 233, 148);
INSERT INTO public.who_data VALUES (55070, 0, 272, 0, 5, 233, 230);
INSERT INTO public.who_data VALUES (55071, 915, 19011, 44, 817, 233, 190);
INSERT INTO public.who_data VALUES (55072, 0, 252, 0, 13, 233, 188);
INSERT INTO public.who_data VALUES (55073, 46, 5450, 13, 46, 233, 123);
INSERT INTO public.who_data VALUES (55074, 0, 1710, 0, 24, 233, 9);
INSERT INTO public.who_data VALUES (55075, 3, 248, 0, 12, 233, 102);
INSERT INTO public.who_data VALUES (55076, 65, 6040, 2, 107, 233, 34);
INSERT INTO public.who_data VALUES (55077, 0, 12, 0, 0, 233, 212);
INSERT INTO public.who_data VALUES (55078, 704, 20262, 45, 542, 233, 122);
INSERT INTO public.who_data VALUES (55079, 9, 4166, 1, 587, 233, 38);
INSERT INTO public.who_data VALUES (55080, 5, 1830, 0, 10, 233, 130);
INSERT INTO public.who_data VALUES (55081, 20903, 625544, 379, 18213, 233, 37);
INSERT INTO public.who_data VALUES (55082, 1624, 59394, 53, 2987, 233, 231);
INSERT INTO public.who_data VALUES (55083, 2652, 232863, 148, 11106, 233, 107);
INSERT INTO public.who_data VALUES (55084, 2184, 53708, 110, 2160, 233, 101);
INSERT INTO public.who_data VALUES (55085, 12, 25489, 0, 1738, 233, 132);
INSERT INTO public.who_data VALUES (55086, 0, 336, 0, 24, 233, 176);
INSERT INTO public.who_data VALUES (55087, 972, 26421, 3, 330, 233, 200);
INSERT INTO public.who_data VALUES (55088, 201, 240961, 30, 34818, 233, 169);
INSERT INTO public.who_data VALUES (55089, 5, 707, 0, 10, 233, 225);
INSERT INTO public.who_data VALUES (55090, 194, 19068, 1, 976, 233, 165);
INSERT INTO public.who_data VALUES (55091, 0, 320, 0, 31, 233, 233);
INSERT INTO public.who_data VALUES (55092, 3, 1060, 0, 9, 233, 215);
INSERT INTO public.who_data VALUES (55093, 1644, 45719, 14, 224, 233, 177);
INSERT INTO public.who_data VALUES (55094, 268, 6941, 3, 152, 233, 183);
INSERT INTO public.who_data VALUES (55095, 0, 0, 0, 0, 233, 203);
INSERT INTO public.who_data VALUES (55096, 73, 3021, 1, 45, 233, 162);
INSERT INTO public.who_data VALUES (55097, 919, 47859, 1, 359, 233, 12);
INSERT INTO public.who_data VALUES (55098, 506, 6767, 10, 76, 233, 24);
INSERT INTO public.who_data VALUES (55099, 0, 19, 0, 0, 233, 119);
INSERT INTO public.who_data VALUES (55100, 1, 1122, 0, 30, 233, 39);
INSERT INTO public.who_data VALUES (55101, 8, 1796, 1, 35, 233, 26);
INSERT INTO public.who_data VALUES (55102, 0, 35, 0, 0, 233, 59);
INSERT INTO public.who_data VALUES (55103, 15, 819, 0, 37, 233, 77);
INSERT INTO public.who_data VALUES (55104, 17, 891, 1, 26, 233, 134);
INSERT INTO public.who_data VALUES (55105, 0, 84, 0, 1, 233, 4);
INSERT INTO public.who_data VALUES (55106, 3, 1823, 0, 79, 233, 109);
INSERT INTO public.who_data VALUES (55107, 50, 4395, 0, 110, 233, 90);
INSERT INTO public.who_data VALUES (55108, 100, 2403, 2, 24, 233, 61);
INSERT INTO public.who_data VALUES (55109, 60, 1402, 0, 16, 233, 85);
INSERT INTO public.who_data VALUES (55110, 3, 8643, 0, 121, 233, 49);
INSERT INTO public.who_data VALUES (55111, 18, 2400, 0, 8, 233, 208);
INSERT INTO public.who_data VALUES (55112, 79, 2260, 1, 117, 233, 166);
INSERT INTO public.who_data VALUES (55113, 0, 670, 0, 9, 233, 64);
INSERT INTO public.who_data VALUES (55114, 0, 0, 0, 0, 233, 199);
INSERT INTO public.who_data VALUES (55115, 0, 242, 0, 14, 233, 114);
INSERT INTO public.who_data VALUES (55116, 134, 4606, 0, 129, 233, 60);
INSERT INTO public.who_data VALUES (55117, 0, 341, 0, 10, 233, 68);
INSERT INTO public.who_data VALUES (55118, 0, 2643, 0, 35, 233, 158);
INSERT INTO public.who_data VALUES (55119, 5681, 231770, 741, 28510, 233, 52);
INSERT INTO public.who_data VALUES (55120, 0, 0, 0, 0, 233, 117);
INSERT INTO public.who_data VALUES (55121, 3, 76, 0, 1, 233, 126);
INSERT INTO public.who_data VALUES (55122, 0, 220, 0, 0, 233, 196);
INSERT INTO public.who_data VALUES (55123, 55, 708, 1, 14, 233, 142);
INSERT INTO public.who_data VALUES (55124, 0, 11, 0, 1, 233, 185);
INSERT INTO public.who_data VALUES (55125, 333, 12969, 1, 229, 233, 138);
INSERT INTO public.who_data VALUES (55126, 15, 918, 0, 6, 233, 181);
INSERT INTO public.who_data VALUES (55127, 0, 304, 0, 6, 233, 178);
INSERT INTO public.who_data VALUES (55128, 8, 293, 0, 0, 233, 168);
INSERT INTO public.who_data VALUES (55129, 0, 0, 0, 0, 233, 160);
INSERT INTO public.who_data VALUES (55130, 473, 14519, 1, 31, 233, 151);
INSERT INTO public.who_data VALUES (55131, 75, 50196, 3, 6092, 233, 193);
INSERT INTO public.who_data VALUES (55132, 0, 21, 0, 0, 233, 18);
INSERT INTO public.who_data VALUES (55133, 0, 1180, 0, 22, 233, 40);
INSERT INTO public.who_data VALUES (55134, 0, 2182, 0, 83, 233, 218);
INSERT INTO public.who_data VALUES (55135, 6, 1081, 1, 68, 233, 191);
INSERT INTO public.who_data VALUES (55136, 626, 27110, 13, 616, 233, 156);
INSERT INTO public.who_data VALUES (55137, 0, 0, 0, 0, 233, 135);
INSERT INTO public.who_data VALUES (55138, 1, 31, 0, 2, 233, 88);
INSERT INTO public.who_data VALUES (55139, 173, 6643, 15, 321, 233, 55);
INSERT INTO public.who_data VALUES (55140, 8, 8895, 0, 251, 233, 108);
INSERT INTO public.who_data VALUES (55141, 322, 3417, 0, 11, 233, 48);
INSERT INTO public.who_data VALUES (55142, 1361, 42555, 3, 188, 233, 3);
INSERT INTO public.who_data VALUES (55143, 0, 741, 0, 13, 233, 224);
INSERT INTO public.who_data VALUES (55144, 4087, 221896, 78, 4551, 233, 110);
INSERT INTO public.who_data VALUES (55145, 0, 0, 0, 0, 233, 106);
INSERT INTO public.who_data VALUES (55146, 913, 34463, 14, 645, 233, 89);
INSERT INTO public.who_data VALUES (55147, 0, 11, 0, 0, 233, 121);
INSERT INTO public.who_data VALUES (55148, 43, 2303, 0, 19, 233, 163);
INSERT INTO public.who_data VALUES (55149, 3264, 288477, 183, 9860, 233, 70);
INSERT INTO public.who_data VALUES (55150, 294, 38805, 4, 1274, 233, 174);
INSERT INTO public.who_data VALUES (55151, 0, 0, 0, 0, 233, 175);
INSERT INTO public.who_data VALUES (55152, 371, 35146, 15, 1492, 233, 118);
INSERT INTO public.who_data VALUES (55153, 328, 42782, 8, 1587, 233, 189);
INSERT INTO public.who_data VALUES (55154, 71, 7608, 0, 153, 233, 124);
INSERT INTO public.who_data VALUES (55155, 894, 97897, 3, 118, 233, 192);
INSERT INTO public.who_data VALUES (55156, 61, 12965, 0, 282, 233, 41);
INSERT INTO public.who_data VALUES (55157, 252, 17150, 14, 563, 233, 95);
INSERT INTO public.who_data VALUES (55158, 3, 531, 0, 2, 233, 74);
INSERT INTO public.who_data VALUES (55159, 450, 27746, 20, 1687, 233, 11);
INSERT INTO public.who_data VALUES (55160, 6718, 667883, 176, 9859, 233, 87);
INSERT INTO public.who_data VALUES (55161, 21, 1063, 0, 3, 233, 214);
INSERT INTO public.who_data VALUES (55162, 0, 3, 0, 0, 233, 116);
INSERT INTO public.who_data VALUES (55163, 0, 6, 0, 0, 233, 157);
INSERT INTO public.who_data VALUES (55164, 0, 0, 0, 0, 233, 182);
INSERT INTO public.who_data VALUES (55165, 0, 15, 0, 0, 233, 186);
INSERT INTO public.who_data VALUES (55166, 0, 19, 0, 0, 233, 127);
INSERT INTO public.who_data VALUES (55167, 0, 43, 0, 3, 233, 232);
INSERT INTO public.who_data VALUES (55168, 0, 1, 0, 0, 233, 33);
INSERT INTO public.who_data VALUES (55169, 0, 29, 0, 0, 233, 97);
INSERT INTO public.who_data VALUES (55170, 0, 0, 0, 0, 233, 42);
INSERT INTO public.who_data VALUES (55171, 0, 713, 0, 42, 233, 198);
INSERT INTO public.who_data VALUES (55172, 2, 397, 0, 11, 233, 216);
INSERT INTO public.who_data VALUES (55173, 3383, 197608, 54, 1752, 233, 164);
INSERT INTO public.who_data VALUES (55174, 129, 7054, 5, 121, 233, 235);
INSERT INTO public.who_data VALUES (55175, 359, 15195, 6, 287, 233, 67);
INSERT INTO public.who_data VALUES (55176, 0, 81, 0, 0, 233, 15);
INSERT INTO public.who_data VALUES (55177, 20, 1518, 0, 60, 233, 180);
INSERT INTO public.who_data VALUES (55178, 188, 44310, 0, 26, 233, 237);
INSERT INTO public.who_data VALUES (55179, 0, 2, 0, 0, 233, 25);
INSERT INTO public.who_data VALUES (55180, 0, 77, 0, 15, 233, 209);
INSERT INTO public.who_data VALUES (55181, 20, 1687, 0, 28, 233, 217);
INSERT INTO public.who_data VALUES (55182, 21, 1633, 0, 114, 233, 79);
INSERT INTO public.who_data VALUES (55183, 0, 0, 0, 0, 233, 143);
INSERT INTO public.who_data VALUES (55184, 20, 2944, 0, 90, 233, 229);
INSERT INTO public.who_data VALUES (55185, 8728, 168061, 95, 2844, 233, 141);
INSERT INTO public.who_data VALUES (55186, 29, 2036, 0, 38, 233, 197);
INSERT INTO public.who_data VALUES (55187, 516, 259785, 10, 29765, 233, 221);
INSERT INTO public.who_data VALUES (55188, 12, 2066, 0, 11, 233, 150);
INSERT INTO public.who_data VALUES (55189, 116, 9689, 5, 607, 233, 56);
INSERT INTO public.who_data VALUES (55190, 18, 535, 0, 13, 233, 167);
INSERT INTO public.who_data VALUES (55191, 685, 68551, 15, 5523, 233, 23);
INSERT INTO public.who_data VALUES (55192, 127, 32135, 0, 1727, 233, 222);
INSERT INTO public.who_data VALUES (55193, 19, 312, 0, 9, 233, 219);
INSERT INTO public.who_data VALUES (55194, 0, 6005, 0, 52, 233, 7);
INSERT INTO public.who_data VALUES (55195, 1, 3180, 0, 58, 233, 161);
INSERT INTO public.who_data VALUES (55196, 651, 285543, 41, 40532, 233, 149);
INSERT INTO public.who_data VALUES (55197, 0, 24, 0, 0, 233, 6);
INSERT INTO public.who_data VALUES (55198, 6, 667, 0, 14, 233, 139);
INSERT INTO public.who_data VALUES (55199, 0, 0, 0, 0, 233, 211);
INSERT INTO public.who_data VALUES (55200, 0, 0, 0, 0, 233, 14);
INSERT INTO public.who_data VALUES (55201, 0, 130, 0, 8, 233, 111);
INSERT INTO public.who_data VALUES (55202, 3, 1181, 0, 50, 233, 207);
INSERT INTO public.who_data VALUES (55203, 1186, 202284, 17, 5167, 233, 66);
INSERT INTO public.who_data VALUES (55204, 0, 0, 0, 0, 233, 173);
INSERT INTO public.who_data VALUES (55205, 0, 42, 0, 2, 233, 145);
INSERT INTO public.who_data VALUES (55206, 0, 0, 0, 0, 233, 65);
INSERT INTO public.who_data VALUES (55207, 9, 902, 0, 0, 233, 184);
INSERT INTO public.who_data VALUES (55208, 875, 46763, 27, 1212, 233, 98);
INSERT INTO public.who_data VALUES (55209, 400, 49469, 1, 317, 233, 104);
INSERT INTO public.who_data VALUES (55210, 0, 509, 0, 21, 233, 73);
INSERT INTO public.who_data VALUES (55211, 54271, 2671220, 725, 127858, 233, 8);
INSERT INTO public.who_data VALUES (55212, 2, 92, 0, 6, 233, 227);
INSERT INTO public.who_data VALUES (55213, 7, 943, 1, 28, 233, 75);
INSERT INTO public.who_data VALUES (55214, 295, 9199, 1, 27, 233, 45);
INSERT INTO public.who_data VALUES (55215, 0, 0, 0, 0, 233, 133);
INSERT INTO public.who_data VALUES (55216, 230, 6062, 3, 54, 233, 202);
INSERT INTO public.who_data VALUES (55217, 0, 355, 0, 0, 233, 129);
INSERT INTO public.who_data VALUES (55218, 0, 0, 0, 0, 233, 36);
INSERT INTO public.who_data VALUES (55219, 31, 1221, 7, 325, 233, 51);
INSERT INTO public.who_data VALUES (55220, 0, 1632, 0, 30, 233, 206);
INSERT INTO public.who_data VALUES (55221, 12, 617, 0, 7, 233, 5);
INSERT INTO public.who_data VALUES (55222, 260, 32108, 33, 811, 234, 103);
INSERT INTO public.who_data VALUES (55223, 82, 2662, 4, 69, 234, 58);
INSERT INTO public.who_data VALUES (55224, 365, 14272, 8, 920, 234, 195);
INSERT INTO public.who_data VALUES (55225, 0, 0, 0, 0, 234, 115);
INSERT INTO public.who_data VALUES (55226, 0, 855, 0, 52, 234, 99);
INSERT INTO public.who_data VALUES (55227, 7, 291, 2, 15, 234, 153);
INSERT INTO public.who_data VALUES (55228, 0, 3, 0, 0, 234, 93);
INSERT INTO public.who_data VALUES (55229, 0, 66, 0, 3, 234, 84);
INSERT INTO public.who_data VALUES (55230, 2262, 64530, 27, 1310, 234, 78);
INSERT INTO public.who_data VALUES (55231, 593, 25971, 6, 454, 234, 170);
INSERT INTO public.who_data VALUES (55232, 0, 103, 0, 3, 234, 32);
INSERT INTO public.who_data VALUES (55233, 86, 7920, 0, 104, 234, 155);
INSERT INTO public.who_data VALUES (55234, 37, 17814, 0, 705, 234, 82);
INSERT INTO public.who_data VALUES (55235, 588, 18112, 7, 220, 234, 16);
INSERT INTO public.who_data VALUES (55236, 0, 104, 0, 11, 234, 72);
INSERT INTO public.who_data VALUES (55237, 656, 27414, 5, 92, 234, 43);
INSERT INTO public.who_data VALUES (55238, 3775, 149258, 41, 1888, 234, 120);
INSERT INTO public.who_data VALUES (55239, 0, 97, 0, 7, 234, 213);
INSERT INTO public.who_data VALUES (55240, 306, 62424, 6, 398, 234, 31);
INSERT INTO public.who_data VALUES (55241, 135, 62220, 2, 9626, 234, 204);
INSERT INTO public.who_data VALUES (55242, 4, 28, 0, 2, 234, 152);
INSERT INTO public.who_data VALUES (55243, 0, 1199, 0, 21, 234, 144);
INSERT INTO public.who_data VALUES (55244, 0, 146, 0, 9, 234, 96);
INSERT INTO public.who_data VALUES (55245, 0, 77, 0, 0, 234, 47);
INSERT INTO public.who_data VALUES (55246, 1094, 33219, 52, 1123, 234, 80);
INSERT INTO public.who_data VALUES (55247, 0, 2, 0, 0, 234, 159);
INSERT INTO public.who_data VALUES (55248, 153, 4606, 2, 187, 234, 27);
INSERT INTO public.who_data VALUES (55249, 0, 227, 0, 1, 234, 146);
INSERT INTO public.who_data VALUES (55250, 33846, 1402041, 1280, 59594, 234, 71);
INSERT INTO public.who_data VALUES (55251, 0, 8, 0, 1, 234, 210);
INSERT INTO public.who_data VALUES (55252, 0, 141, 0, 3, 234, 54);
INSERT INTO public.who_data VALUES (55253, 165, 5154, 2, 232, 234, 147);
INSERT INTO public.who_data VALUES (55254, 0, 962, 0, 53, 234, 2);
INSERT INTO public.who_data VALUES (55255, 0, 170, 0, 1, 234, 105);
INSERT INTO public.who_data VALUES (55256, 40, 1267, 0, 15, 234, 53);
INSERT INTO public.who_data VALUES (55257, 0, 141, 0, 0, 234, 81);
INSERT INTO public.who_data VALUES (55258, 0, 12592, 0, 313, 234, 223);
INSERT INTO public.who_data VALUES (55259, 286, 104204, 25, 8591, 234, 94);
INSERT INTO public.who_data VALUES (55260, 1, 200, 0, 1, 234, 154);
INSERT INTO public.who_data VALUES (55261, 0, 3745, 0, 47, 234, 83);
INSERT INTO public.who_data VALUES (55262, 0, 866, 0, 74, 234, 194);
INSERT INTO public.who_data VALUES (55263, 2650, 282043, 65, 5753, 234, 136);
INSERT INTO public.who_data VALUES (55264, 31, 85263, 0, 4648, 234, 179);
INSERT INTO public.who_data VALUES (55265, 2803, 97846, 111, 3334, 234, 57);
INSERT INTO public.who_data VALUES (55266, 0, 303, 0, 7, 234, 35);
INSERT INTO public.who_data VALUES (55267, 114, 1443, 1, 42, 234, 228);
INSERT INTO public.who_data VALUES (55268, 0, 0, 0, 0, 234, 19);
INSERT INTO public.who_data VALUES (55269, 190, 3459, 1, 16, 234, 22);
INSERT INTO public.who_data VALUES (55270, 285, 9499, 2, 68, 234, 1);
INSERT INTO public.who_data VALUES (55271, 54, 2831, 1, 108, 234, 21);
INSERT INTO public.who_data VALUES (55272, 7, 2348, 0, 86, 234, 234);
INSERT INTO public.who_data VALUES (55273, 0, 25, 0, 1, 234, 91);
INSERT INTO public.who_data VALUES (55274, 1, 999, 0, 19, 234, 137);
INSERT INTO public.who_data VALUES (55275, 92, 12046, 0, 349, 234, 201);
INSERT INTO public.who_data VALUES (55276, 0, 0, 0, 0, 234, 171);
INSERT INTO public.who_data VALUES (55277, 83, 7121, 5, 174, 234, 92);
INSERT INTO public.who_data VALUES (55278, 26, 12794, 1, 606, 234, 112);
INSERT INTO public.who_data VALUES (55279, 22, 4704, 1, 55, 234, 62);
INSERT INTO public.who_data VALUES (55280, 0, 18, 0, 0, 234, 69);
INSERT INTO public.who_data VALUES (55281, 819, 33387, 7, 754, 234, 220);
INSERT INTO public.who_data VALUES (55282, 0, 56342, 0, 4527, 234, 100);
INSERT INTO public.who_data VALUES (55283, 1503, 69814, 81, 3034, 234, 187);
INSERT INTO public.who_data VALUES (55284, 298, 6736, 8, 182, 234, 63);
INSERT INTO public.who_data VALUES (55285, 0, 1043, 0, 12, 234, 28);
INSERT INTO public.who_data VALUES (55286, 0, 203, 0, 0, 234, 172);
INSERT INTO public.who_data VALUES (55287, 0, 1989, 0, 63, 234, 17);
INSERT INTO public.who_data VALUES (55288, 28, 840, 0, 11, 234, 226);
INSERT INTO public.who_data VALUES (55289, 202, 6048, 4, 107, 234, 236);
INSERT INTO public.who_data VALUES (55290, 0, 13, 0, 0, 234, 76);
INSERT INTO public.who_data VALUES (55291, 0, 187, 0, 0, 234, 30);
INSERT INTO public.who_data VALUES (55292, 0, 18, 0, 0, 234, 128);
INSERT INTO public.who_data VALUES (55293, 22, 7236, 0, 328, 234, 86);
INSERT INTO public.who_data VALUES (55294, 612, 157806, 17, 29777, 234, 140);
INSERT INTO public.who_data VALUES (55295, 264, 4268, 1, 16, 234, 44);
INSERT INTO public.who_data VALUES (55296, 0, 62, 0, 0, 234, 113);
INSERT INTO public.who_data VALUES (55297, 0, 5394, 0, 42, 234, 29);
INSERT INTO public.who_data VALUES (55298, 0, 49, 0, 2, 234, 125);
INSERT INTO public.who_data VALUES (55299, 8, 939, 0, 15, 234, 131);
INSERT INTO public.who_data VALUES (55300, 503, 195228, 9, 8994, 234, 46);
INSERT INTO public.who_data VALUES (55301, 393, 18134, 5, 117, 234, 10);
INSERT INTO public.who_data VALUES (55302, 0, 177, 0, 0, 234, 205);
INSERT INTO public.who_data VALUES (55303, 23, 3432, 0, 192, 234, 50);
INSERT INTO public.who_data VALUES (55304, 0, 13, 0, 0, 234, 20);
INSERT INTO public.who_data VALUES (55305, 0, 23, 0, 0, 234, 13);
INSERT INTO public.who_data VALUES (55306, 0, 182, 0, 14, 234, 148);
INSERT INTO public.who_data VALUES (55307, 21, 272, 0, 5, 234, 230);
INSERT INTO public.who_data VALUES (55308, 687, 18096, 27, 773, 234, 190);
INSERT INTO public.who_data VALUES (55309, 0, 252, 0, 13, 234, 188);
INSERT INTO public.who_data VALUES (55310, 13, 5404, 0, 33, 234, 123);
INSERT INTO public.who_data VALUES (55311, 56, 1710, 0, 24, 234, 9);
INSERT INTO public.who_data VALUES (55312, 10, 245, 0, 12, 234, 102);
INSERT INTO public.who_data VALUES (55313, 42, 5975, 0, 105, 234, 34);
INSERT INTO public.who_data VALUES (55314, 0, 12, 0, 0, 234, 212);
INSERT INTO public.who_data VALUES (55315, 740, 19558, 12, 497, 234, 122);
INSERT INTO public.who_data VALUES (55316, 2, 4157, 1, 586, 234, 38);
INSERT INTO public.who_data VALUES (55317, 1, 1825, 0, 10, 234, 130);
INSERT INTO public.who_data VALUES (55318, 19148, 604641, 434, 17834, 234, 37);
INSERT INTO public.who_data VALUES (55319, 1385, 57770, 58, 2934, 234, 231);
INSERT INTO public.who_data VALUES (55320, 2549, 230211, 141, 10958, 234, 107);
INSERT INTO public.who_data VALUES (55321, 2415, 51524, 107, 2050, 234, 101);
INSERT INTO public.who_data VALUES (55322, 4, 25477, 2, 1738, 234, 132);
INSERT INTO public.who_data VALUES (55323, 0, 336, 0, 24, 234, 176);
INSERT INTO public.who_data VALUES (55324, 786, 25449, 1, 327, 234, 200);
INSERT INTO public.who_data VALUES (55325, 182, 240760, 21, 34788, 234, 169);
INSERT INTO public.who_data VALUES (55326, 4, 702, 0, 10, 234, 225);
INSERT INTO public.who_data VALUES (55327, 151, 18874, 1, 975, 234, 165);
INSERT INTO public.who_data VALUES (55328, 0, 320, 0, 31, 234, 233);
INSERT INTO public.who_data VALUES (55329, 1, 1057, 0, 9, 234, 215);
INSERT INTO public.who_data VALUES (55330, 1501, 44075, 12, 210, 234, 177);
INSERT INTO public.who_data VALUES (55331, 307, 6673, 1, 149, 234, 183);
INSERT INTO public.who_data VALUES (55332, 0, 0, 0, 0, 234, 203);
INSERT INTO public.who_data VALUES (55333, 113, 2948, 3, 44, 234, 162);
INSERT INTO public.who_data VALUES (55334, 745, 46940, 4, 358, 234, 12);
INSERT INTO public.who_data VALUES (55335, 526, 6261, 4, 66, 234, 24);
INSERT INTO public.who_data VALUES (55336, 0, 19, 0, 0, 234, 119);
INSERT INTO public.who_data VALUES (55337, 3, 1121, 0, 30, 234, 39);
INSERT INTO public.who_data VALUES (55338, 10, 1788, 0, 34, 234, 26);
INSERT INTO public.who_data VALUES (55339, 8, 35, 0, 0, 234, 59);
INSERT INTO public.who_data VALUES (55340, 24, 804, 1, 37, 234, 77);
INSERT INTO public.who_data VALUES (55341, 50, 874, 1, 25, 234, 134);
INSERT INTO public.who_data VALUES (55342, 1, 84, 0, 1, 234, 4);
INSERT INTO public.who_data VALUES (55343, 7, 1820, 1, 79, 234, 109);
INSERT INTO public.who_data VALUES (55344, 46, 4345, 0, 110, 234, 90);
INSERT INTO public.who_data VALUES (55345, 89, 2303, 2, 22, 234, 61);
INSERT INTO public.who_data VALUES (55346, 77, 1342, 0, 16, 234, 85);
INSERT INTO public.who_data VALUES (55347, 1, 8640, 0, 121, 234, 49);
INSERT INTO public.who_data VALUES (55348, 21, 2382, 0, 8, 234, 208);
INSERT INTO public.who_data VALUES (55349, 0, 2181, 0, 116, 234, 166);
INSERT INTO public.who_data VALUES (55350, 1, 670, 0, 9, 234, 64);
INSERT INTO public.who_data VALUES (55351, 0, 0, 0, 0, 234, 199);
INSERT INTO public.who_data VALUES (55352, 0, 242, 0, 14, 234, 114);
INSERT INTO public.who_data VALUES (55353, 235, 4472, 1, 129, 234, 60);
INSERT INTO public.who_data VALUES (55354, 0, 341, 0, 10, 234, 68);
INSERT INTO public.who_data VALUES (55355, 40, 2643, 0, 35, 234, 158);
INSERT INTO public.who_data VALUES (55356, 5432, 226089, 648, 27769, 234, 52);
INSERT INTO public.who_data VALUES (55357, 0, 0, 0, 0, 234, 117);
INSERT INTO public.who_data VALUES (55358, 0, 73, 0, 1, 234, 126);
INSERT INTO public.who_data VALUES (55359, 0, 220, 0, 0, 234, 196);
INSERT INTO public.who_data VALUES (55360, 43, 653, 0, 13, 234, 142);
INSERT INTO public.who_data VALUES (55361, 0, 11, 0, 1, 234, 185);
INSERT INTO public.who_data VALUES (55362, 103, 12636, 0, 228, 234, 138);
INSERT INTO public.who_data VALUES (55363, 14, 903, 0, 6, 234, 181);
INSERT INTO public.who_data VALUES (55364, 5, 304, 0, 6, 234, 178);
INSERT INTO public.who_data VALUES (55365, 82, 285, 0, 0, 234, 168);
INSERT INTO public.who_data VALUES (55366, 0, 0, 0, 0, 234, 160);
INSERT INTO public.who_data VALUES (55367, 482, 14046, 1, 30, 234, 151);
INSERT INTO public.who_data VALUES (55368, 62, 50121, 3, 6089, 234, 193);
INSERT INTO public.who_data VALUES (55369, 0, 21, 0, 0, 234, 18);
INSERT INTO public.who_data VALUES (55370, 2, 1180, 0, 22, 234, 40);
INSERT INTO public.who_data VALUES (55371, 168, 2182, 9, 83, 234, 218);
INSERT INTO public.who_data VALUES (55372, 0, 1075, 0, 67, 234, 191);
INSERT INTO public.who_data VALUES (55373, 790, 26484, 13, 603, 234, 156);
INSERT INTO public.who_data VALUES (55374, 0, 0, 0, 0, 234, 135);
INSERT INTO public.who_data VALUES (55375, 0, 30, 0, 2, 234, 88);
INSERT INTO public.who_data VALUES (55376, 120, 6470, 4, 306, 234, 55);
INSERT INTO public.who_data VALUES (55377, 22, 8887, 1, 251, 234, 108);
INSERT INTO public.who_data VALUES (55378, 330, 3095, 0, 11, 234, 48);
INSERT INTO public.who_data VALUES (55379, 1124, 41194, 9, 185, 234, 3);
INSERT INTO public.who_data VALUES (55380, 0, 741, 0, 13, 234, 224);
INSERT INTO public.who_data VALUES (55381, 4339, 217809, 78, 4473, 234, 110);
INSERT INTO public.who_data VALUES (55382, 0, 0, 0, 0, 234, 106);
INSERT INTO public.who_data VALUES (55383, 765, 33550, 11, 631, 234, 89);
INSERT INTO public.who_data VALUES (55384, 0, 11, 0, 0, 234, 121);
INSERT INTO public.who_data VALUES (55385, 39, 2260, 2, 19, 234, 163);
INSERT INTO public.who_data VALUES (55386, 2848, 285213, 173, 9677, 234, 70);
INSERT INTO public.who_data VALUES (55387, 997, 38511, 4, 1270, 234, 174);
INSERT INTO public.who_data VALUES (55388, 0, 0, 0, 0, 234, 175);
INSERT INTO public.who_data VALUES (55389, 382, 34775, 14, 1477, 234, 118);
INSERT INTO public.who_data VALUES (55390, 313, 42454, 3, 1579, 234, 189);
INSERT INTO public.who_data VALUES (55391, 72, 7537, 0, 153, 234, 124);
INSERT INTO public.who_data VALUES (55392, 915, 97003, 2, 115, 234, 192);
INSERT INTO public.who_data VALUES (55393, 54, 12904, 0, 282, 234, 41);
INSERT INTO public.who_data VALUES (55394, 285, 16898, 2, 549, 234, 95);
INSERT INTO public.who_data VALUES (55395, 2, 528, 0, 2, 234, 74);
INSERT INTO public.who_data VALUES (55396, 326, 27296, 16, 1667, 234, 11);
INSERT INTO public.who_data VALUES (55397, 6760, 661165, 147, 9683, 234, 87);
INSERT INTO public.who_data VALUES (55398, 17, 1042, 1, 3, 234, 214);
INSERT INTO public.who_data VALUES (55399, 0, 3, 0, 0, 234, 116);
INSERT INTO public.who_data VALUES (55400, 0, 6, 0, 0, 234, 157);
INSERT INTO public.who_data VALUES (55401, 0, 0, 0, 0, 234, 182);
INSERT INTO public.who_data VALUES (55402, 0, 15, 0, 0, 234, 186);
INSERT INTO public.who_data VALUES (55403, 0, 19, 0, 0, 234, 127);
INSERT INTO public.who_data VALUES (55404, 0, 43, 0, 3, 234, 232);
INSERT INTO public.who_data VALUES (55405, 0, 1, 0, 0, 234, 33);
INSERT INTO public.who_data VALUES (55406, 0, 29, 0, 0, 234, 97);
INSERT INTO public.who_data VALUES (55407, 0, 0, 0, 0, 234, 42);
INSERT INTO public.who_data VALUES (55408, 0, 713, 0, 42, 234, 198);
INSERT INTO public.who_data VALUES (55409, 1, 395, 0, 11, 234, 216);
INSERT INTO public.who_data VALUES (55410, 3402, 194225, 49, 1698, 234, 164);
INSERT INTO public.who_data VALUES (55411, 132, 6925, 4, 116, 234, 235);
INSERT INTO public.who_data VALUES (55412, 272, 14836, 4, 281, 234, 67);
INSERT INTO public.who_data VALUES (55413, 0, 81, 0, 0, 234, 15);
INSERT INTO public.who_data VALUES (55414, 36, 1498, 0, 60, 234, 180);
INSERT INTO public.who_data VALUES (55415, 215, 44122, 0, 26, 234, 237);
INSERT INTO public.who_data VALUES (55416, 0, 2, 0, 0, 234, 25);
INSERT INTO public.who_data VALUES (55417, 0, 77, 0, 15, 234, 209);
INSERT INTO public.who_data VALUES (55418, 2, 1667, 0, 28, 234, 217);
INSERT INTO public.who_data VALUES (55419, 13, 1612, 0, 114, 234, 79);
INSERT INTO public.who_data VALUES (55420, 0, 0, 0, 0, 234, 143);
INSERT INTO public.who_data VALUES (55421, 0, 2924, 0, 90, 234, 229);
INSERT INTO public.who_data VALUES (55422, 8124, 159333, 92, 2749, 234, 141);
INSERT INTO public.who_data VALUES (55423, 0, 2007, 0, 38, 234, 197);
INSERT INTO public.who_data VALUES (55424, 490, 259269, 10, 29755, 234, 221);
INSERT INTO public.who_data VALUES (55425, 7, 2054, 0, 11, 234, 150);
INSERT INTO public.who_data VALUES (55426, 73, 9573, 10, 602, 234, 56);
INSERT INTO public.who_data VALUES (55427, 2, 517, 0, 13, 234, 167);
INSERT INTO public.who_data VALUES (55428, 804, 67866, 20, 5508, 234, 23);
INSERT INTO public.who_data VALUES (55429, 101, 32008, 1, 1727, 234, 222);
INSERT INTO public.who_data VALUES (55430, 14, 293, 0, 9, 234, 219);
INSERT INTO public.who_data VALUES (55431, 51, 6005, 0, 52, 234, 7);
INSERT INTO public.who_data VALUES (55432, 6, 3179, 0, 58, 234, 161);
INSERT INTO public.who_data VALUES (55433, 617, 284892, 97, 40491, 234, 149);
INSERT INTO public.who_data VALUES (55434, 0, 24, 0, 0, 234, 6);
INSERT INTO public.who_data VALUES (55435, 18, 661, 0, 14, 234, 139);
INSERT INTO public.who_data VALUES (55436, 0, 0, 0, 0, 234, 211);
INSERT INTO public.who_data VALUES (55437, 0, 0, 0, 0, 234, 14);
INSERT INTO public.who_data VALUES (55438, 0, 130, 0, 8, 234, 111);
INSERT INTO public.who_data VALUES (55439, 3, 1178, 0, 50, 234, 207);
INSERT INTO public.who_data VALUES (55440, 1192, 201098, 19, 5150, 234, 66);
INSERT INTO public.who_data VALUES (55441, 0, 0, 0, 0, 234, 173);
INSERT INTO public.who_data VALUES (55442, 1, 42, 0, 2, 234, 145);
INSERT INTO public.who_data VALUES (55443, 0, 0, 0, 0, 234, 65);
INSERT INTO public.who_data VALUES (55444, 4, 893, 0, 0, 234, 184);
INSERT INTO public.who_data VALUES (55445, 890, 45888, 12, 1185, 234, 98);
INSERT INTO public.who_data VALUES (55446, 402, 49069, 1, 316, 234, 104);
INSERT INTO public.who_data VALUES (55447, 0, 509, 0, 21, 234, 73);
INSERT INTO public.who_data VALUES (55448, 43556, 2616949, 560, 127133, 234, 8);
INSERT INTO public.who_data VALUES (55449, 6, 90, 0, 6, 234, 227);
INSERT INTO public.who_data VALUES (55450, 4, 936, 0, 27, 234, 75);
INSERT INTO public.who_data VALUES (55451, 277, 8904, 0, 26, 234, 45);
INSERT INTO public.who_data VALUES (55452, 0, 0, 0, 0, 234, 133);
INSERT INTO public.who_data VALUES (55453, 302, 5832, 3, 51, 234, 202);
INSERT INTO public.who_data VALUES (55454, 0, 355, 0, 0, 234, 129);
INSERT INTO public.who_data VALUES (55455, 0, 0, 0, 0, 234, 36);
INSERT INTO public.who_data VALUES (55456, 32, 1190, 6, 318, 234, 51);
INSERT INTO public.who_data VALUES (55457, 38, 1632, 6, 30, 234, 206);
INSERT INTO public.who_data VALUES (55458, 14, 605, 0, 7, 234, 5);
INSERT INTO public.who_data VALUES (55459, 403, 31848, 39, 778, 235, 103);
INSERT INTO public.who_data VALUES (55460, 45, 2580, 3, 65, 235, 58);
INSERT INTO public.who_data VALUES (55461, 336, 13907, 7, 912, 235, 195);
INSERT INTO public.who_data VALUES (55462, 0, 0, 0, 0, 235, 115);
INSERT INTO public.who_data VALUES (55463, 0, 855, 0, 52, 235, 99);
INSERT INTO public.who_data VALUES (55464, 8, 284, 2, 13, 235, 153);
INSERT INTO public.who_data VALUES (55465, 0, 3, 0, 0, 235, 93);
INSERT INTO public.who_data VALUES (55466, 1, 66, 0, 3, 235, 84);
INSERT INTO public.who_data VALUES (55467, 2335, 62268, 38, 1283, 235, 78);
INSERT INTO public.who_data VALUES (55468, 523, 25378, 10, 448, 235, 170);
INSERT INTO public.who_data VALUES (55469, 2, 103, 0, 3, 235, 32);
INSERT INTO public.who_data VALUES (55470, 67, 7834, 0, 104, 235, 155);
INSERT INTO public.who_data VALUES (55471, 111, 17777, 2, 705, 235, 82);
INSERT INTO public.who_data VALUES (55472, 556, 17524, 7, 213, 235, 16);
INSERT INTO public.who_data VALUES (55473, 0, 104, 0, 11, 235, 72);
INSERT INTO public.who_data VALUES (55474, 519, 26758, 3, 87, 235, 43);
INSERT INTO public.who_data VALUES (55475, 3682, 145483, 64, 1847, 235, 120);
INSERT INTO public.who_data VALUES (55476, 0, 97, 0, 7, 235, 213);
INSERT INTO public.who_data VALUES (55477, 328, 62118, 5, 392, 235, 31);
INSERT INTO public.who_data VALUES (55478, 100, 62085, 8, 9624, 235, 204);
INSERT INTO public.who_data VALUES (55479, 0, 24, 0, 2, 235, 152);
INSERT INTO public.who_data VALUES (55480, 12, 1199, 2, 21, 235, 144);
INSERT INTO public.who_data VALUES (55481, 0, 146, 0, 9, 235, 96);
INSERT INTO public.who_data VALUES (55482, 0, 77, 0, 0, 235, 47);
INSERT INTO public.who_data VALUES (55483, 601, 32125, 57, 1071, 235, 80);
INSERT INTO public.who_data VALUES (55484, 0, 2, 0, 0, 235, 159);
INSERT INTO public.who_data VALUES (55485, 110, 4453, 2, 185, 235, 27);
INSERT INTO public.who_data VALUES (55486, 52, 227, 0, 1, 235, 146);
INSERT INTO public.who_data VALUES (55487, 24052, 1368195, 692, 58314, 235, 71);
INSERT INTO public.who_data VALUES (55488, 0, 8, 0, 1, 235, 210);
INSERT INTO public.who_data VALUES (55489, 0, 141, 0, 3, 235, 54);
INSERT INTO public.who_data VALUES (55490, 158, 4989, 7, 230, 235, 147);
INSERT INTO public.who_data VALUES (55491, 3, 962, 0, 53, 235, 2);
INSERT INTO public.who_data VALUES (55492, 0, 170, 0, 1, 235, 105);
INSERT INTO public.who_data VALUES (55493, 62, 1227, 3, 15, 235, 53);
INSERT INTO public.who_data VALUES (55494, 0, 141, 0, 0, 235, 81);
INSERT INTO public.who_data VALUES (55495, 0, 12592, 0, 313, 235, 223);
INSERT INTO public.who_data VALUES (55496, 668, 103918, 44, 8566, 235, 94);
INSERT INTO public.who_data VALUES (55497, 3, 199, 0, 1, 235, 154);
INSERT INTO public.who_data VALUES (55498, 132, 3745, 0, 47, 235, 83);
INSERT INTO public.who_data VALUES (55499, 0, 866, 0, 74, 235, 194);
INSERT INTO public.who_data VALUES (55500, 3394, 279393, 113, 5688, 235, 136);
INSERT INTO public.who_data VALUES (55501, 5, 85232, 0, 4648, 235, 179);
INSERT INTO public.who_data VALUES (55502, 3274, 95043, 117, 3223, 235, 57);
INSERT INTO public.who_data VALUES (55503, 10, 303, 0, 7, 235, 35);
INSERT INTO public.who_data VALUES (55504, 84, 1329, 1, 41, 235, 228);
INSERT INTO public.who_data VALUES (55505, 0, 0, 0, 0, 235, 19);
INSERT INTO public.who_data VALUES (55506, 139, 3269, 0, 15, 235, 22);
INSERT INTO public.who_data VALUES (55507, 113, 9214, 0, 66, 235, 1);
INSERT INTO public.who_data VALUES (55508, 52, 2777, 0, 107, 235, 21);
INSERT INTO public.who_data VALUES (55509, 1, 2341, 0, 86, 235, 234);
INSERT INTO public.who_data VALUES (55510, 1, 25, 0, 1, 235, 91);
INSERT INTO public.who_data VALUES (55511, 2, 998, 0, 19, 235, 137);
INSERT INTO public.who_data VALUES (55512, 149, 11954, 1, 349, 235, 201);
INSERT INTO public.who_data VALUES (55513, 0, 0, 0, 0, 235, 171);
INSERT INTO public.who_data VALUES (55514, 100, 7038, 3, 169, 235, 92);
INSERT INTO public.who_data VALUES (55515, 17, 12768, 0, 605, 235, 112);
INSERT INTO public.who_data VALUES (55516, 26, 4682, 1, 54, 235, 62);
INSERT INTO public.who_data VALUES (55517, 0, 18, 0, 0, 235, 69);
INSERT INTO public.who_data VALUES (55518, 752, 32568, 14, 747, 235, 220);
INSERT INTO public.who_data VALUES (55519, 677, 56342, 25, 4527, 235, 100);
INSERT INTO public.who_data VALUES (55520, 1557, 68311, 81, 2953, 235, 187);
INSERT INTO public.who_data VALUES (55521, 265, 6438, 10, 174, 235, 63);
INSERT INTO public.who_data VALUES (55522, 0, 1043, 0, 12, 235, 28);
INSERT INTO public.who_data VALUES (55523, 12, 203, 0, 0, 235, 172);
INSERT INTO public.who_data VALUES (55524, 2, 1989, 0, 63, 235, 17);
INSERT INTO public.who_data VALUES (55525, 17, 812, 0, 11, 235, 226);
INSERT INTO public.who_data VALUES (55526, 0, 5846, 0, 103, 235, 236);
INSERT INTO public.who_data VALUES (55527, 0, 13, 0, 0, 235, 76);
INSERT INTO public.who_data VALUES (55528, 0, 187, 0, 0, 235, 30);
INSERT INTO public.who_data VALUES (55529, 0, 18, 0, 0, 235, 128);
INSERT INTO public.who_data VALUES (55530, 5, 7214, 0, 328, 235, 86);
INSERT INTO public.who_data VALUES (55531, 307, 157194, 30, 29760, 235, 140);
INSERT INTO public.who_data VALUES (55532, 230, 4004, 0, 15, 235, 44);
INSERT INTO public.who_data VALUES (55533, 0, 62, 0, 0, 235, 113);
INSERT INTO public.who_data VALUES (55534, 0, 5394, 0, 42, 235, 29);
INSERT INTO public.who_data VALUES (55535, 2, 49, 0, 2, 235, 125);
INSERT INTO public.who_data VALUES (55536, 3, 931, 0, 15, 235, 131);
INSERT INTO public.who_data VALUES (55537, 466, 194725, 12, 8985, 235, 46);
INSERT INTO public.who_data VALUES (55538, 390, 17741, 0, 112, 235, 10);
INSERT INTO public.who_data VALUES (55539, 0, 177, 0, 0, 235, 205);
INSERT INTO public.who_data VALUES (55540, 19, 3409, 1, 192, 235, 50);
INSERT INTO public.who_data VALUES (55541, 0, 13, 0, 0, 235, 20);
INSERT INTO public.who_data VALUES (55542, 0, 23, 0, 0, 235, 13);
INSERT INTO public.who_data VALUES (55543, 0, 182, 0, 14, 235, 148);
INSERT INTO public.who_data VALUES (55544, 4, 251, 0, 5, 235, 230);
INSERT INTO public.who_data VALUES (55545, 479, 17409, 19, 746, 235, 190);
INSERT INTO public.who_data VALUES (55546, 0, 252, 0, 13, 235, 188);
INSERT INTO public.who_data VALUES (55547, 40, 5391, 2, 33, 235, 123);
INSERT INTO public.who_data VALUES (55548, 0, 1654, 0, 24, 235, 9);
INSERT INTO public.who_data VALUES (55549, 5, 235, 0, 12, 235, 102);
INSERT INTO public.who_data VALUES (55550, 86, 5933, 1, 105, 235, 34);
INSERT INTO public.who_data VALUES (55551, 0, 12, 0, 0, 235, 212);
INSERT INTO public.who_data VALUES (55552, 736, 18818, 6, 485, 235, 122);
INSERT INTO public.who_data VALUES (55553, 10, 4155, 0, 585, 235, 38);
INSERT INTO public.who_data VALUES (55554, 2, 1824, 0, 10, 235, 130);
INSERT INTO public.who_data VALUES (55555, 18653, 585493, 507, 17400, 235, 37);
INSERT INTO public.who_data VALUES (55556, 1293, 56385, 71, 2876, 235, 231);
INSERT INTO public.who_data VALUES (55557, 2457, 227662, 147, 10817, 235, 107);
INSERT INTO public.who_data VALUES (55558, 1958, 49109, 104, 1943, 235, 101);
INSERT INTO public.who_data VALUES (55559, 11, 25473, 1, 1736, 235, 132);
INSERT INTO public.who_data VALUES (55560, 0, 336, 0, 24, 235, 176);
INSERT INTO public.who_data VALUES (55561, 757, 24663, 0, 326, 235, 200);
INSERT INTO public.who_data VALUES (55562, 142, 240578, 23, 34767, 235, 169);
INSERT INTO public.who_data VALUES (55563, 2, 698, 0, 10, 235, 225);
INSERT INTO public.who_data VALUES (55564, 130, 18723, 2, 974, 235, 165);
INSERT INTO public.who_data VALUES (55565, 0, 320, 0, 31, 235, 233);
INSERT INTO public.who_data VALUES (55566, 4, 1056, 0, 9, 235, 215);
INSERT INTO public.who_data VALUES (55567, 1509, 42574, 10, 198, 235, 177);
INSERT INTO public.who_data VALUES (55568, 176, 6366, 4, 148, 235, 183);
INSERT INTO public.who_data VALUES (55569, 0, 0, 0, 0, 235, 203);
INSERT INTO public.who_data VALUES (55570, 79, 2835, 2, 41, 235, 162);
INSERT INTO public.who_data VALUES (55571, 671, 46195, 4, 354, 235, 12);
INSERT INTO public.who_data VALUES (55572, 439, 5735, 5, 62, 235, 24);
INSERT INTO public.who_data VALUES (55573, 0, 19, 0, 0, 235, 119);
INSERT INTO public.who_data VALUES (55574, 1, 1118, 0, 30, 235, 39);
INSERT INTO public.who_data VALUES (55575, 33, 1778, 0, 34, 235, 26);
INSERT INTO public.who_data VALUES (55576, 0, 27, 0, 0, 235, 59);
INSERT INTO public.who_data VALUES (55577, 10, 780, 0, 36, 235, 77);
INSERT INTO public.who_data VALUES (55578, 22, 824, 1, 24, 235, 134);
INSERT INTO public.who_data VALUES (55579, 0, 83, 0, 1, 235, 4);
INSERT INTO public.who_data VALUES (55580, 1, 1813, 0, 78, 235, 109);
INSERT INTO public.who_data VALUES (55581, 43, 4299, 0, 110, 235, 90);
INSERT INTO public.who_data VALUES (55582, 76, 2214, 0, 20, 235, 61);
INSERT INTO public.who_data VALUES (55583, 41, 1265, 2, 16, 235, 85);
INSERT INTO public.who_data VALUES (55584, 2, 8639, 0, 121, 235, 49);
INSERT INTO public.who_data VALUES (55585, 24, 2361, 0, 8, 235, 208);
INSERT INTO public.who_data VALUES (55586, 8, 2181, 1, 116, 235, 166);
INSERT INTO public.who_data VALUES (55587, 0, 669, 0, 9, 235, 64);
INSERT INTO public.who_data VALUES (55588, 0, 0, 0, 0, 235, 199);
INSERT INTO public.who_data VALUES (55589, 0, 242, 0, 14, 235, 114);
INSERT INTO public.who_data VALUES (55590, 88, 4237, 2, 128, 235, 60);
INSERT INTO public.who_data VALUES (55591, 0, 341, 0, 10, 235, 68);
INSERT INTO public.who_data VALUES (55592, 0, 2603, 0, 35, 235, 158);
INSERT INTO public.who_data VALUES (55593, 3805, 220657, 473, 27121, 235, 52);
INSERT INTO public.who_data VALUES (55594, 0, 0, 0, 0, 235, 117);
INSERT INTO public.who_data VALUES (55595, 0, 73, 0, 1, 235, 126);
INSERT INTO public.who_data VALUES (55596, 0, 220, 0, 0, 235, 196);
INSERT INTO public.who_data VALUES (55597, 56, 610, 0, 13, 235, 142);
INSERT INTO public.who_data VALUES (55598, 0, 11, 0, 1, 235, 185);
INSERT INTO public.who_data VALUES (55599, 243, 12533, 3, 228, 235, 138);
INSERT INTO public.who_data VALUES (55600, 6, 889, 1, 6, 235, 181);
INSERT INTO public.who_data VALUES (55601, 0, 299, 0, 6, 235, 178);
INSERT INTO public.who_data VALUES (55602, 20, 203, 0, 0, 235, 168);
INSERT INTO public.who_data VALUES (55603, 0, 0, 0, 0, 235, 160);
INSERT INTO public.who_data VALUES (55604, 316, 13564, 0, 29, 235, 151);
INSERT INTO public.who_data VALUES (55605, 57, 50059, 5, 6086, 235, 193);
INSERT INTO public.who_data VALUES (55606, 0, 21, 0, 0, 235, 18);
INSERT INTO public.who_data VALUES (55607, 0, 1178, 0, 22, 235, 40);
INSERT INTO public.who_data VALUES (55608, 0, 2014, 0, 74, 235, 218);
INSERT INTO public.who_data VALUES (55609, 0, 1075, 0, 67, 235, 191);
INSERT INTO public.who_data VALUES (55610, 561, 25694, 17, 590, 235, 156);
INSERT INTO public.who_data VALUES (55611, 0, 0, 0, 0, 235, 135);
INSERT INTO public.who_data VALUES (55612, 0, 30, 0, 2, 235, 88);
INSERT INTO public.who_data VALUES (55613, 126, 6350, 4, 302, 235, 55);
INSERT INTO public.who_data VALUES (55614, 10, 8865, 1, 250, 235, 108);
INSERT INTO public.who_data VALUES (55615, 322, 2765, 3, 11, 235, 48);
INSERT INTO public.who_data VALUES (55616, 1010, 40070, 7, 176, 235, 3);
INSERT INTO public.who_data VALUES (55617, 0, 741, 0, 13, 235, 224);
INSERT INTO public.who_data VALUES (55618, 4133, 213470, 91, 4395, 235, 110);
INSERT INTO public.who_data VALUES (55619, 0, 0, 0, 0, 235, 106);
INSERT INTO public.who_data VALUES (55620, 1099, 32785, 16, 620, 235, 89);
INSERT INTO public.who_data VALUES (55621, 0, 11, 0, 0, 235, 121);
INSERT INTO public.who_data VALUES (55622, 94, 2221, 2, 17, 235, 163);
INSERT INTO public.who_data VALUES (55623, 2946, 282365, 187, 9504, 235, 70);
INSERT INTO public.who_data VALUES (55624, 1076, 37514, 11, 1266, 235, 174);
INSERT INTO public.who_data VALUES (55625, 0, 0, 0, 0, 235, 175);
INSERT INTO public.who_data VALUES (55626, 239, 34393, 19, 1463, 235, 118);
INSERT INTO public.who_data VALUES (55627, 229, 42141, 8, 1576, 235, 189);
INSERT INTO public.who_data VALUES (55628, 215, 7465, 0, 153, 235, 124);
INSERT INTO public.who_data VALUES (55629, 982, 96088, 0, 113, 235, 192);
INSERT INTO public.who_data VALUES (55630, 51, 12850, 0, 282, 235, 41);
INSERT INTO public.who_data VALUES (55631, 256, 16613, 6, 547, 235, 95);
INSERT INTO public.who_data VALUES (55632, 4, 526, 0, 2, 235, 74);
INSERT INTO public.who_data VALUES (55633, 388, 26970, 17, 1651, 235, 11);
INSERT INTO public.who_data VALUES (55634, 6556, 654405, 216, 9536, 235, 87);
INSERT INTO public.who_data VALUES (55635, 24, 1025, 0, 2, 235, 214);
INSERT INTO public.who_data VALUES (55636, 0, 3, 0, 0, 235, 116);
INSERT INTO public.who_data VALUES (55637, 0, 6, 0, 0, 235, 157);
INSERT INTO public.who_data VALUES (55638, 0, 0, 0, 0, 235, 182);
INSERT INTO public.who_data VALUES (55639, 0, 15, 0, 0, 235, 186);
INSERT INTO public.who_data VALUES (55640, 0, 19, 0, 0, 235, 127);
INSERT INTO public.who_data VALUES (55641, 0, 43, 0, 3, 235, 232);
INSERT INTO public.who_data VALUES (55642, 0, 1, 0, 0, 235, 33);
INSERT INTO public.who_data VALUES (55643, 0, 29, 0, 0, 235, 97);
INSERT INTO public.who_data VALUES (55644, 0, 0, 0, 0, 235, 42);
INSERT INTO public.who_data VALUES (55645, 0, 713, 0, 42, 235, 198);
INSERT INTO public.who_data VALUES (55646, 1, 394, 0, 11, 235, 216);
INSERT INTO public.who_data VALUES (55647, 4387, 190823, 50, 1649, 235, 164);
INSERT INTO public.who_data VALUES (55648, 95, 6793, 4, 112, 235, 235);
INSERT INTO public.who_data VALUES (55649, 276, 14564, 3, 277, 235, 67);
INSERT INTO public.who_data VALUES (55650, 0, 81, 0, 0, 235, 15);
INSERT INTO public.who_data VALUES (55651, 12, 1462, 0, 60, 235, 180);
INSERT INTO public.who_data VALUES (55652, 246, 43907, 0, 26, 235, 237);
INSERT INTO public.who_data VALUES (55653, 0, 2, 0, 0, 235, 25);
INSERT INTO public.who_data VALUES (55654, 0, 77, 0, 15, 235, 209);
INSERT INTO public.who_data VALUES (55655, 1, 1665, 0, 28, 235, 217);
INSERT INTO public.who_data VALUES (55656, 15, 1599, 0, 114, 235, 79);
INSERT INTO public.who_data VALUES (55657, 0, 0, 0, 0, 235, 143);
INSERT INTO public.who_data VALUES (55658, 20, 2924, 0, 90, 235, 229);
INSERT INTO public.who_data VALUES (55659, 6945, 151209, 128, 2657, 235, 141);
INSERT INTO public.who_data VALUES (55660, 1, 2007, 1, 38, 235, 197);
INSERT INTO public.who_data VALUES (55661, 298, 258779, 10, 29745, 235, 221);
INSERT INTO public.who_data VALUES (55662, 5, 2047, 0, 11, 235, 150);
INSERT INTO public.who_data VALUES (55663, 128, 9500, 5, 592, 235, 56);
INSERT INTO public.who_data VALUES (55664, 23, 515, 0, 13, 235, 167);
INSERT INTO public.who_data VALUES (55665, 726, 67062, 16, 5488, 235, 23);
INSERT INTO public.who_data VALUES (55666, 138, 31907, 0, 1726, 235, 222);
INSERT INTO public.who_data VALUES (55667, 10, 279, 0, 9, 235, 219);
INSERT INTO public.who_data VALUES (55668, 54, 5954, 0, 52, 235, 7);
INSERT INTO public.who_data VALUES (55669, 2, 3173, 0, 58, 235, 161);
INSERT INTO public.who_data VALUES (55670, 730, 284275, 53, 40394, 235, 149);
INSERT INTO public.who_data VALUES (55671, 0, 24, 0, 0, 235, 6);
INSERT INTO public.who_data VALUES (55672, 1, 643, 0, 14, 235, 139);
INSERT INTO public.who_data VALUES (55673, 0, 0, 0, 0, 235, 211);
INSERT INTO public.who_data VALUES (55674, 0, 0, 0, 0, 235, 14);
INSERT INTO public.who_data VALUES (55675, 4, 130, 0, 8, 235, 111);
INSERT INTO public.who_data VALUES (55676, 1, 1175, 0, 50, 235, 207);
INSERT INTO public.who_data VALUES (55677, 1293, 199906, 16, 5131, 235, 66);
INSERT INTO public.who_data VALUES (55678, 0, 0, 0, 0, 235, 173);
INSERT INTO public.who_data VALUES (55679, 0, 41, 1, 2, 235, 145);
INSERT INTO public.who_data VALUES (55680, 0, 0, 0, 0, 235, 65);
INSERT INTO public.who_data VALUES (55681, 19, 889, 0, 0, 235, 184);
INSERT INTO public.who_data VALUES (55682, 664, 44998, 14, 1173, 235, 98);
INSERT INTO public.who_data VALUES (55683, 421, 48667, 1, 315, 235, 104);
INSERT INTO public.who_data VALUES (55684, 0, 509, 0, 21, 235, 73);
INSERT INTO public.who_data VALUES (55685, 35757, 2573393, 370, 126573, 235, 8);
INSERT INTO public.who_data VALUES (55686, 3, 84, 0, 6, 235, 227);
INSERT INTO public.who_data VALUES (55687, 3, 932, 0, 27, 235, 75);
INSERT INTO public.who_data VALUES (55688, 329, 8627, 2, 26, 235, 45);
INSERT INTO public.who_data VALUES (55689, 0, 0, 0, 0, 235, 133);
INSERT INTO public.who_data VALUES (55690, 233, 5530, 4, 48, 235, 202);
INSERT INTO public.who_data VALUES (55691, 0, 355, 0, 0, 235, 129);
INSERT INTO public.who_data VALUES (55692, 0, 0, 0, 0, 235, 36);
INSERT INTO public.who_data VALUES (55693, 30, 1158, 8, 312, 235, 51);
INSERT INTO public.who_data VALUES (55694, 26, 1594, 2, 24, 235, 206);
INSERT INTO public.who_data VALUES (55695, 17, 591, 0, 7, 235, 5);
INSERT INTO public.who_data VALUES (55696, 121, 31445, 2, 739, 236, 103);
INSERT INTO public.who_data VALUES (55697, 69, 2535, 4, 62, 236, 58);
INSERT INTO public.who_data VALUES (55698, 298, 13571, 8, 905, 236, 195);
INSERT INTO public.who_data VALUES (55699, 0, 0, 0, 0, 236, 115);
INSERT INTO public.who_data VALUES (55700, 0, 855, 0, 52, 236, 99);
INSERT INTO public.who_data VALUES (55701, 9, 276, 0, 11, 236, 153);
INSERT INTO public.who_data VALUES (55702, 0, 3, 0, 0, 236, 93);
INSERT INTO public.who_data VALUES (55703, 0, 65, 0, 3, 236, 84);
INSERT INTO public.who_data VALUES (55704, 2189, 59933, 28, 1245, 236, 78);
INSERT INTO public.who_data VALUES (55705, 415, 24855, 10, 438, 236, 170);
INSERT INTO public.who_data VALUES (55706, 0, 101, 0, 3, 236, 32);
INSERT INTO public.who_data VALUES (55707, 81, 7767, 0, 104, 236, 155);
INSERT INTO public.who_data VALUES (55708, 41, 17666, 1, 703, 236, 82);
INSERT INTO public.who_data VALUES (55709, 544, 16968, 8, 206, 236, 16);
INSERT INTO public.who_data VALUES (55710, 0, 104, 0, 11, 236, 72);
INSERT INTO public.who_data VALUES (55711, 534, 26239, 1, 84, 236, 43);
INSERT INTO public.who_data VALUES (55712, 4014, 141801, 45, 1783, 236, 120);
INSERT INTO public.who_data VALUES (55713, 0, 97, 0, 7, 236, 213);
INSERT INTO public.who_data VALUES (55714, 315, 61790, 4, 387, 236, 31);
INSERT INTO public.who_data VALUES (55715, 127, 61985, 3, 9616, 236, 204);
INSERT INTO public.who_data VALUES (55716, 0, 24, 0, 2, 236, 152);
INSERT INTO public.who_data VALUES (55717, 38, 1187, 3, 19, 236, 144);
INSERT INTO public.who_data VALUES (55718, 0, 146, 0, 9, 236, 96);
INSERT INTO public.who_data VALUES (55719, 1, 77, 0, 0, 236, 47);
INSERT INTO public.who_data VALUES (55720, 848, 31524, 44, 1014, 236, 80);
INSERT INTO public.who_data VALUES (55721, 0, 2, 0, 0, 236, 159);
INSERT INTO public.who_data VALUES (55722, 128, 4343, 1, 183, 236, 27);
INSERT INTO public.who_data VALUES (55723, 0, 175, 0, 1, 236, 146);
INSERT INTO public.who_data VALUES (55724, 30476, 1344143, 552, 57622, 236, 71);
INSERT INTO public.who_data VALUES (55725, 0, 8, 0, 1, 236, 210);
INSERT INTO public.who_data VALUES (55726, 0, 141, 0, 3, 236, 54);
INSERT INTO public.who_data VALUES (55727, 140, 4831, 4, 223, 236, 147);
INSERT INTO public.who_data VALUES (55728, 0, 959, 0, 53, 236, 2);
INSERT INTO public.who_data VALUES (55729, 0, 170, 0, 1, 236, 105);
INSERT INTO public.who_data VALUES (55730, 10, 1165, 0, 12, 236, 53);
INSERT INTO public.who_data VALUES (55731, 0, 141, 0, 0, 236, 81);
INSERT INTO public.who_data VALUES (55732, 0, 12592, 0, 313, 236, 223);
INSERT INTO public.who_data VALUES (55733, 218, 103250, 6, 8522, 236, 94);
INSERT INTO public.who_data VALUES (55734, 0, 196, 0, 1, 236, 154);
INSERT INTO public.who_data VALUES (55735, 184, 3613, 2, 47, 236, 83);
INSERT INTO public.who_data VALUES (55736, 0, 866, 0, 74, 236, 194);
INSERT INTO public.who_data VALUES (55737, 4017, 275999, 66, 5575, 236, 136);
INSERT INTO public.who_data VALUES (55738, 23, 85227, 0, 4648, 236, 179);
INSERT INTO public.who_data VALUES (55739, 3178, 91769, 167, 3106, 236, 57);
INSERT INTO public.who_data VALUES (55740, 0, 293, 0, 7, 236, 35);
INSERT INTO public.who_data VALUES (55741, 0, 1245, 0, 40, 236, 228);
INSERT INTO public.who_data VALUES (55742, 0, 0, 0, 0, 236, 19);
INSERT INTO public.who_data VALUES (55743, 151, 3130, 2, 15, 236, 22);
INSERT INTO public.who_data VALUES (55744, 157, 9101, 0, 66, 236, 1);
INSERT INTO public.who_data VALUES (55745, 34, 2725, 0, 107, 236, 21);
INSERT INTO public.who_data VALUES (55746, 8, 2340, 0, 86, 236, 234);
INSERT INTO public.who_data VALUES (55747, 1, 24, 0, 1, 236, 91);
INSERT INTO public.who_data VALUES (55748, 2, 996, 0, 19, 236, 137);
INSERT INTO public.who_data VALUES (55749, 202, 11805, 0, 348, 236, 201);
INSERT INTO public.who_data VALUES (55750, 0, 0, 0, 0, 236, 171);
INSERT INTO public.who_data VALUES (55751, 112, 6938, 9, 166, 236, 92);
INSERT INTO public.who_data VALUES (55752, 76, 12751, 1, 605, 236, 112);
INSERT INTO public.who_data VALUES (55753, 13, 4656, 1, 53, 236, 62);
INSERT INTO public.who_data VALUES (55754, 0, 18, 0, 0, 236, 69);
INSERT INTO public.who_data VALUES (55755, 443, 31816, 7, 733, 236, 220);
INSERT INTO public.who_data VALUES (55756, 410, 55665, 73, 4502, 236, 100);
INSERT INTO public.who_data VALUES (55757, 1566, 66754, 83, 2872, 236, 187);
INSERT INTO public.who_data VALUES (55758, 239, 6173, 12, 164, 236, 63);
INSERT INTO public.who_data VALUES (55759, 0, 1043, 0, 12, 236, 28);
INSERT INTO public.who_data VALUES (55760, 0, 191, 0, 0, 236, 172);
INSERT INTO public.who_data VALUES (55761, 0, 1987, 0, 63, 236, 17);
INSERT INTO public.who_data VALUES (55762, 14, 795, 0, 11, 236, 226);
INSERT INTO public.who_data VALUES (55763, 157, 5846, 5, 103, 236, 236);
INSERT INTO public.who_data VALUES (55764, 0, 13, 0, 0, 236, 76);
INSERT INTO public.who_data VALUES (55765, 0, 187, 0, 0, 236, 30);
INSERT INTO public.who_data VALUES (55766, 0, 18, 0, 0, 236, 128);
INSERT INTO public.who_data VALUES (55767, 18, 7209, 0, 328, 236, 86);
INSERT INTO public.who_data VALUES (55768, 731, 156887, 30, 29730, 236, 140);
INSERT INTO public.who_data VALUES (55769, 313, 3774, 3, 15, 236, 44);
INSERT INTO public.who_data VALUES (55770, 0, 62, 0, 0, 236, 113);
INSERT INTO public.who_data VALUES (55771, 185, 5394, 2, 42, 236, 29);
INSERT INTO public.who_data VALUES (55772, 2, 47, 0, 2, 236, 125);
INSERT INTO public.who_data VALUES (55773, 2, 928, 0, 15, 236, 131);
INSERT INTO public.who_data VALUES (55774, 498, 194259, 12, 8973, 236, 46);
INSERT INTO public.who_data VALUES (55775, 0, 17351, 0, 112, 236, 10);
INSERT INTO public.who_data VALUES (55776, 0, 177, 0, 0, 236, 205);
INSERT INTO public.who_data VALUES (55777, 14, 3390, 0, 191, 236, 50);
INSERT INTO public.who_data VALUES (55778, 0, 13, 0, 0, 236, 20);
INSERT INTO public.who_data VALUES (55779, 0, 23, 0, 0, 236, 13);
INSERT INTO public.who_data VALUES (55780, 0, 182, 0, 14, 236, 148);
INSERT INTO public.who_data VALUES (55781, 7, 247, 0, 5, 236, 230);
INSERT INTO public.who_data VALUES (55782, 533, 16930, 21, 727, 236, 190);
INSERT INTO public.who_data VALUES (55783, 0, 252, 0, 13, 236, 188);
INSERT INTO public.who_data VALUES (55784, 9, 5351, 0, 31, 236, 123);
INSERT INTO public.who_data VALUES (55785, 40, 1654, 3, 24, 236, 9);
INSERT INTO public.who_data VALUES (55786, 0, 230, 0, 12, 236, 102);
INSERT INTO public.who_data VALUES (55787, 125, 5847, 6, 104, 236, 34);
INSERT INTO public.who_data VALUES (55788, 0, 12, 0, 0, 236, 212);
INSERT INTO public.who_data VALUES (55789, 1075, 18082, 0, 479, 236, 122);
INSERT INTO public.who_data VALUES (55790, 3, 4145, 4, 585, 236, 38);
INSERT INTO public.who_data VALUES (55791, 1, 1822, 0, 10, 236, 130);
INSERT INTO public.who_data VALUES (55792, 18522, 566840, 418, 16893, 236, 37);
INSERT INTO public.who_data VALUES (55793, 1082, 55092, 51, 2805, 236, 231);
INSERT INTO public.who_data VALUES (55794, 2536, 225205, 162, 10670, 236, 107);
INSERT INTO public.who_data VALUES (55795, 1749, 47151, 83, 1839, 236, 101);
INSERT INTO public.who_data VALUES (55796, 23, 25462, 0, 1735, 236, 132);
INSERT INTO public.who_data VALUES (55797, 0, 336, 0, 24, 236, 176);
INSERT INTO public.who_data VALUES (55798, 385, 23906, 2, 326, 236, 200);
INSERT INTO public.who_data VALUES (55799, 126, 240436, 6, 34744, 236, 169);
INSERT INTO public.who_data VALUES (55800, 10, 696, 0, 10, 236, 225);
INSERT INTO public.who_data VALUES (55801, 117, 18593, 0, 972, 236, 165);
INSERT INTO public.who_data VALUES (55802, 0, 320, 0, 31, 236, 233);
INSERT INTO public.who_data VALUES (55803, 7, 1052, 0, 9, 236, 215);
INSERT INTO public.who_data VALUES (55804, 10897, 41065, 0, 188, 236, 177);
INSERT INTO public.who_data VALUES (55805, 120, 6190, 0, 144, 236, 183);
INSERT INTO public.who_data VALUES (55806, 0, 0, 0, 0, 236, 203);
INSERT INTO public.who_data VALUES (55807, 122, 2756, 1, 39, 236, 162);
INSERT INTO public.who_data VALUES (55808, 582, 45524, 2, 350, 236, 12);
INSERT INTO public.who_data VALUES (55809, 279, 5296, 7, 57, 236, 24);
INSERT INTO public.who_data VALUES (55810, 0, 19, 0, 0, 236, 119);
INSERT INTO public.who_data VALUES (55811, 1, 1117, 0, 30, 236, 39);
INSERT INTO public.who_data VALUES (55812, 5, 1745, 1, 34, 236, 26);
INSERT INTO public.who_data VALUES (55813, 0, 27, 0, 0, 236, 59);
INSERT INTO public.who_data VALUES (55814, 2, 770, 2, 36, 236, 77);
INSERT INTO public.who_data VALUES (55815, 40, 802, 2, 23, 236, 134);
INSERT INTO public.who_data VALUES (55816, 0, 83, 0, 1, 236, 4);
INSERT INTO public.who_data VALUES (55817, 1, 1812, 0, 78, 236, 109);
INSERT INTO public.who_data VALUES (55818, 14, 4256, 0, 110, 236, 90);
INSERT INTO public.who_data VALUES (55819, 60, 2138, 2, 20, 236, 61);
INSERT INTO public.who_data VALUES (55820, 72, 1224, 1, 14, 236, 85);
INSERT INTO public.who_data VALUES (55821, 3, 8637, 0, 121, 236, 49);
INSERT INTO public.who_data VALUES (55822, 13, 2337, 0, 8, 236, 208);
INSERT INTO public.who_data VALUES (55823, 26, 2173, 1, 115, 236, 166);
INSERT INTO public.who_data VALUES (55824, 0, 669, 0, 9, 236, 64);
INSERT INTO public.who_data VALUES (55825, 0, 0, 0, 0, 236, 199);
INSERT INTO public.who_data VALUES (55826, 0, 242, 0, 14, 236, 114);
INSERT INTO public.who_data VALUES (55827, 242, 4149, 6, 126, 236, 60);
INSERT INTO public.who_data VALUES (55828, 0, 341, 0, 10, 236, 68);
INSERT INTO public.who_data VALUES (55829, 63, 2603, 0, 35, 236, 158);
INSERT INTO public.who_data VALUES (55830, 4050, 216852, 267, 26648, 236, 52);
INSERT INTO public.who_data VALUES (55831, 0, 0, 0, 0, 236, 117);
INSERT INTO public.who_data VALUES (55832, 0, 73, 0, 1, 236, 126);
INSERT INTO public.who_data VALUES (55833, 1, 220, 0, 0, 236, 196);
INSERT INTO public.who_data VALUES (55834, 28, 554, 0, 13, 236, 142);
INSERT INTO public.who_data VALUES (55835, 0, 11, 0, 1, 236, 185);
INSERT INTO public.who_data VALUES (55836, 238, 12290, 4, 225, 236, 138);
INSERT INTO public.who_data VALUES (55837, 24, 883, 0, 5, 236, 181);
INSERT INTO public.who_data VALUES (55838, 0, 299, 0, 6, 236, 178);
INSERT INTO public.who_data VALUES (55839, 33, 183, 0, 0, 236, 168);
INSERT INTO public.who_data VALUES (55840, 0, 0, 0, 0, 236, 160);
INSERT INTO public.who_data VALUES (55841, 476, 13248, 1, 29, 236, 151);
INSERT INTO public.who_data VALUES (55842, 76, 50002, 2, 6081, 236, 193);
INSERT INTO public.who_data VALUES (55843, 0, 21, 0, 0, 236, 18);
INSERT INTO public.who_data VALUES (55844, 0, 1178, 0, 22, 236, 40);
INSERT INTO public.who_data VALUES (55845, 0, 2014, 0, 74, 236, 218);
INSERT INTO public.who_data VALUES (55846, 1, 1075, 0, 67, 236, 191);
INSERT INTO public.who_data VALUES (55847, 566, 25133, 8, 573, 236, 156);
INSERT INTO public.who_data VALUES (55848, 0, 0, 0, 0, 236, 135);
INSERT INTO public.who_data VALUES (55849, 0, 30, 0, 2, 236, 88);
INSERT INTO public.who_data VALUES (55850, 132, 6224, 12, 298, 236, 55);
INSERT INTO public.who_data VALUES (55851, 40, 8855, 0, 249, 236, 108);
INSERT INTO public.who_data VALUES (55852, 195, 2443, 1, 8, 236, 48);
INSERT INTO public.who_data VALUES (55853, 910, 39060, 6, 169, 236, 3);
INSERT INTO public.who_data VALUES (55854, 0, 741, 0, 13, 236, 224);
INSERT INTO public.who_data VALUES (55855, 2825, 209337, 137, 4304, 236, 110);
INSERT INTO public.who_data VALUES (55856, 0, 0, 0, 0, 236, 106);
INSERT INTO public.who_data VALUES (55857, 1028, 31686, 12, 604, 236, 89);
INSERT INTO public.who_data VALUES (55858, 0, 11, 0, 0, 236, 121);
INSERT INTO public.who_data VALUES (55859, 185, 2127, 0, 15, 236, 163);
INSERT INTO public.who_data VALUES (55860, 3430, 279419, 182, 9317, 236, 70);
INSERT INTO public.who_data VALUES (55861, 983, 36438, 11, 1255, 236, 174);
INSERT INTO public.who_data VALUES (55862, 0, 0, 0, 0, 236, 175);
INSERT INTO public.who_data VALUES (55863, 247, 34154, 6, 1444, 236, 118);
INSERT INTO public.who_data VALUES (55864, 266, 41912, 4, 1568, 236, 189);
INSERT INTO public.who_data VALUES (55865, 61, 7250, 0, 153, 236, 124);
INSERT INTO public.who_data VALUES (55866, 693, 95106, 3, 113, 236, 192);
INSERT INTO public.who_data VALUES (55867, 42, 12799, 0, 282, 236, 41);
INSERT INTO public.who_data VALUES (55868, 107, 16357, 8, 541, 236, 95);
INSERT INTO public.who_data VALUES (55869, 1, 522, 0, 2, 236, 74);
INSERT INTO public.who_data VALUES (55870, 269, 26582, 22, 1634, 236, 11);
INSERT INTO public.who_data VALUES (55871, 6693, 647849, 154, 9320, 236, 87);
INSERT INTO public.who_data VALUES (55872, 101, 1001, 0, 2, 236, 214);
INSERT INTO public.who_data VALUES (55873, 0, 3, 0, 0, 236, 116);
INSERT INTO public.who_data VALUES (55874, 0, 6, 0, 0, 236, 157);
INSERT INTO public.who_data VALUES (55875, 0, 0, 0, 0, 236, 182);
INSERT INTO public.who_data VALUES (55876, 0, 15, 0, 0, 236, 186);
INSERT INTO public.who_data VALUES (55877, 0, 19, 0, 0, 236, 127);
INSERT INTO public.who_data VALUES (55878, 1, 43, 0, 3, 236, 232);
INSERT INTO public.who_data VALUES (55879, 0, 1, 0, 0, 236, 33);
INSERT INTO public.who_data VALUES (55880, 0, 29, 0, 0, 236, 97);
INSERT INTO public.who_data VALUES (55881, 0, 0, 0, 0, 236, 42);
INSERT INTO public.who_data VALUES (55882, 0, 713, 0, 42, 236, 198);
INSERT INTO public.who_data VALUES (55883, 0, 393, 0, 11, 236, 216);
INSERT INTO public.who_data VALUES (55884, 3943, 186436, 48, 1599, 236, 164);
INSERT INTO public.who_data VALUES (55885, 112, 6698, 3, 108, 236, 235);
INSERT INTO public.who_data VALUES (55886, 242, 14288, 4, 274, 236, 67);
INSERT INTO public.who_data VALUES (55887, 4, 81, 0, 0, 236, 15);
INSERT INTO public.who_data VALUES (55888, 23, 1450, 0, 60, 236, 180);
INSERT INTO public.who_data VALUES (55889, 202, 43661, 0, 26, 236, 237);
INSERT INTO public.who_data VALUES (55890, 0, 2, 0, 0, 236, 25);
INSERT INTO public.who_data VALUES (55891, 0, 77, 0, 15, 236, 209);
INSERT INTO public.who_data VALUES (55892, 7, 1664, 0, 28, 236, 217);
INSERT INTO public.who_data VALUES (55893, 4, 1584, 0, 114, 236, 79);
INSERT INTO public.who_data VALUES (55894, 0, 0, 0, 0, 236, 143);
INSERT INTO public.who_data VALUES (55895, 10, 2904, 0, 90, 236, 229);
INSERT INTO public.who_data VALUES (55896, 6130, 144264, 73, 2529, 236, 141);
INSERT INTO public.who_data VALUES (55897, 40, 2006, 1, 37, 236, 197);
INSERT INTO public.who_data VALUES (55898, 197, 258481, 12, 29735, 236, 221);
INSERT INTO public.who_data VALUES (55899, 5, 2042, 0, 11, 236, 150);
INSERT INTO public.who_data VALUES (55900, 52, 9372, 3, 587, 236, 56);
INSERT INTO public.who_data VALUES (55901, 25, 492, 2, 13, 236, 167);
INSERT INTO public.who_data VALUES (55902, 415, 66336, 23, 5472, 236, 23);
INSERT INTO public.who_data VALUES (55903, 160, 31769, 1, 1726, 236, 222);
INSERT INTO public.who_data VALUES (55904, 13, 269, 0, 9, 236, 219);
INSERT INTO public.who_data VALUES (55905, 51, 5900, 0, 52, 236, 7);
INSERT INTO public.who_data VALUES (55906, 2, 3171, 0, 58, 236, 161);
INSERT INTO public.who_data VALUES (55907, 446, 283545, 21, 40341, 236, 149);
INSERT INTO public.who_data VALUES (55908, 0, 24, 0, 0, 236, 6);
INSERT INTO public.who_data VALUES (55909, 27, 642, 0, 14, 236, 139);
INSERT INTO public.who_data VALUES (55910, 0, 0, 0, 0, 236, 211);
INSERT INTO public.who_data VALUES (55911, 0, 0, 0, 0, 236, 14);
INSERT INTO public.who_data VALUES (55912, 0, 126, 0, 8, 236, 111);
INSERT INTO public.who_data VALUES (55913, 2, 1174, 0, 50, 236, 207);
INSERT INTO public.who_data VALUES (55914, 1374, 198613, 18, 5115, 236, 66);
INSERT INTO public.who_data VALUES (55915, 0, 0, 0, 0, 236, 173);
INSERT INTO public.who_data VALUES (55916, 25, 41, 0, 1, 236, 145);
INSERT INTO public.who_data VALUES (55917, 0, 0, 0, 0, 236, 65);
INSERT INTO public.who_data VALUES (55918, 37, 870, 0, 0, 236, 184);
INSERT INTO public.who_data VALUES (55919, 706, 44334, 12, 1159, 236, 98);
INSERT INTO public.who_data VALUES (55920, 449, 48246, 1, 314, 236, 104);
INSERT INTO public.who_data VALUES (55921, 0, 509, 0, 21, 236, 73);
INSERT INTO public.who_data VALUES (55922, 41008, 2537636, 885, 126203, 236, 8);
INSERT INTO public.who_data VALUES (55923, 0, 81, 0, 6, 236, 227);
INSERT INTO public.who_data VALUES (55924, 5, 929, 1, 27, 236, 75);
INSERT INTO public.who_data VALUES (55925, 267, 8298, 2, 24, 236, 45);
INSERT INTO public.who_data VALUES (55926, 0, 0, 0, 0, 236, 133);
INSERT INTO public.who_data VALUES (55927, 167, 5297, 2, 44, 236, 202);
INSERT INTO public.who_data VALUES (55928, 0, 355, 0, 0, 236, 129);
INSERT INTO public.who_data VALUES (55929, 0, 0, 0, 0, 236, 36);
INSERT INTO public.who_data VALUES (55930, 10, 1128, 2, 304, 236, 51);
INSERT INTO public.who_data VALUES (55931, 37, 1568, 1, 22, 236, 206);
INSERT INTO public.who_data VALUES (55932, 7, 574, 1, 7, 236, 5);
INSERT INTO public.who_data VALUES (55933, 271, 31324, 4, 737, 237, 103);
INSERT INTO public.who_data VALUES (55934, 64, 2466, 3, 58, 237, 58);
INSERT INTO public.who_data VALUES (55935, 305, 13273, 5, 897, 237, 195);
INSERT INTO public.who_data VALUES (55936, 0, 0, 0, 0, 237, 115);
INSERT INTO public.who_data VALUES (55937, 0, 855, 0, 52, 237, 99);
INSERT INTO public.who_data VALUES (55938, 8, 267, 1, 11, 237, 153);
INSERT INTO public.who_data VALUES (55939, 0, 3, 0, 0, 237, 93);
INSERT INTO public.who_data VALUES (55940, 39, 65, 0, 3, 237, 84);
INSERT INTO public.who_data VALUES (55941, 2401, 57744, 25, 1217, 237, 78);
INSERT INTO public.who_data VALUES (55942, 482, 24440, 7, 428, 237, 170);
INSERT INTO public.who_data VALUES (55943, 0, 101, 0, 3, 237, 32);
INSERT INTO public.who_data VALUES (55944, 45, 7686, 0, 104, 237, 155);
INSERT INTO public.who_data VALUES (55945, 63, 17625, 2, 702, 237, 82);
INSERT INTO public.who_data VALUES (55946, 534, 16424, 5, 198, 237, 16);
INSERT INTO public.who_data VALUES (55947, 0, 104, 0, 11, 237, 72);
INSERT INTO public.who_data VALUES (55948, 438, 25705, 5, 83, 237, 43);
INSERT INTO public.who_data VALUES (55949, 3809, 137787, 43, 1738, 237, 120);
INSERT INTO public.who_data VALUES (55950, 0, 97, 0, 7, 237, 213);
INSERT INTO public.who_data VALUES (55951, 380, 61475, 6, 383, 237, 31);
INSERT INTO public.who_data VALUES (55952, 24, 61858, 5, 9613, 237, 204);
INSERT INTO public.who_data VALUES (55953, 0, 24, 0, 2, 237, 152);
INSERT INTO public.who_data VALUES (55954, 25, 1149, 2, 16, 237, 144);
INSERT INTO public.who_data VALUES (55955, 0, 146, 0, 9, 237, 96);
INSERT INTO public.who_data VALUES (55956, 0, 76, 0, 0, 237, 47);
INSERT INTO public.who_data VALUES (55957, 1253, 30676, 36, 970, 237, 80);
INSERT INTO public.who_data VALUES (55958, 0, 2, 0, 0, 237, 159);
INSERT INTO public.who_data VALUES (55959, 108, 4215, 3, 182, 237, 27);
INSERT INTO public.who_data VALUES (55960, 50, 175, 0, 1, 237, 146);
INSERT INTO public.who_data VALUES (55961, 38693, 1313667, 1109, 57070, 237, 71);
INSERT INTO public.who_data VALUES (55962, 0, 8, 0, 1, 237, 210);
INSERT INTO public.who_data VALUES (55963, 0, 141, 0, 3, 237, 54);
INSERT INTO public.who_data VALUES (55964, 66, 4691, 3, 219, 237, 147);
INSERT INTO public.who_data VALUES (55965, 5, 959, 0, 53, 237, 2);
INSERT INTO public.who_data VALUES (55966, 26, 170, 0, 1, 237, 105);
INSERT INTO public.who_data VALUES (55967, 64, 1155, 0, 12, 237, 53);
INSERT INTO public.who_data VALUES (55968, 2, 141, 0, 0, 237, 81);
INSERT INTO public.who_data VALUES (55969, 0, 12592, 0, 313, 237, 223);
INSERT INTO public.who_data VALUES (55970, 238, 103032, 8, 8516, 237, 94);
INSERT INTO public.who_data VALUES (55971, 0, 196, 0, 1, 237, 154);
INSERT INTO public.who_data VALUES (55972, 89, 3429, 5, 45, 237, 83);
INSERT INTO public.who_data VALUES (55973, 1, 866, 0, 74, 237, 194);
INSERT INTO public.who_data VALUES (55974, 4216, 271982, 162, 5509, 237, 136);
INSERT INTO public.who_data VALUES (55975, 14, 85204, 0, 4648, 237, 179);
INSERT INTO public.who_data VALUES (55976, 4149, 88591, 128, 2939, 237, 57);
INSERT INTO public.who_data VALUES (55977, 21, 293, 0, 7, 237, 35);
INSERT INTO public.who_data VALUES (55978, 0, 1245, 0, 40, 237, 228);
INSERT INTO public.who_data VALUES (55979, 0, 0, 0, 0, 237, 19);
INSERT INTO public.who_data VALUES (55980, 143, 2979, 1, 13, 237, 22);
INSERT INTO public.who_data VALUES (55981, 0, 8944, 0, 66, 237, 1);
INSERT INTO public.who_data VALUES (55982, 67, 2691, 0, 107, 237, 21);
INSERT INTO public.who_data VALUES (55983, 2, 2332, 0, 86, 237, 234);
INSERT INTO public.who_data VALUES (55984, 0, 23, 0, 1, 237, 91);
INSERT INTO public.who_data VALUES (55985, 0, 994, 0, 19, 237, 137);
INSERT INTO public.who_data VALUES (55986, 305, 11603, 1, 348, 237, 201);
INSERT INTO public.who_data VALUES (55987, 0, 0, 0, 0, 237, 171);
INSERT INTO public.who_data VALUES (55988, 137, 6826, 5, 157, 237, 92);
INSERT INTO public.who_data VALUES (55989, 0, 12675, 0, 604, 237, 112);
INSERT INTO public.who_data VALUES (55990, 0, 4643, 0, 52, 237, 62);
INSERT INTO public.who_data VALUES (55991, 0, 18, 0, 0, 237, 69);
INSERT INTO public.who_data VALUES (55992, 754, 31373, 8, 726, 237, 220);
INSERT INTO public.who_data VALUES (55993, 681, 55255, 5, 4429, 237, 100);
INSERT INTO public.who_data VALUES (55994, 1265, 65188, 81, 2789, 237, 187);
INSERT INTO public.who_data VALUES (55995, 207, 5934, 9, 152, 237, 63);
INSERT INTO public.who_data VALUES (55996, 0, 1043, 0, 12, 237, 28);
INSERT INTO public.who_data VALUES (55997, 0, 191, 0, 0, 237, 172);
INSERT INTO public.who_data VALUES (55998, 1, 1987, 0, 63, 237, 17);
INSERT INTO public.who_data VALUES (55999, 36, 781, 3, 11, 237, 226);
INSERT INTO public.who_data VALUES (56000, 119, 5689, 4, 98, 237, 236);
INSERT INTO public.who_data VALUES (56001, 0, 13, 0, 0, 237, 76);
INSERT INTO public.who_data VALUES (56002, 0, 187, 0, 0, 237, 30);
INSERT INTO public.who_data VALUES (56003, 0, 18, 0, 0, 237, 128);
INSERT INTO public.who_data VALUES (56004, 0, 7191, 0, 328, 237, 86);
INSERT INTO public.who_data VALUES (56005, 0, 156156, 0, 29700, 237, 140);
INSERT INTO public.who_data VALUES (56006, 0, 3461, 0, 12, 237, 44);
INSERT INTO public.who_data VALUES (56007, 0, 62, 0, 0, 237, 113);
INSERT INTO public.who_data VALUES (56008, 0, 5209, 0, 40, 237, 29);
INSERT INTO public.who_data VALUES (56009, 0, 45, 0, 2, 237, 125);
INSERT INTO public.who_data VALUES (56010, 2, 926, 0, 15, 237, 131);
INSERT INTO public.who_data VALUES (56011, 262, 193761, 4, 8961, 237, 46);
INSERT INTO public.who_data VALUES (56012, 920, 17351, 9, 112, 237, 10);
INSERT INTO public.who_data VALUES (56013, 1, 177, 0, 0, 237, 205);
INSERT INTO public.who_data VALUES (56014, 10, 3376, 0, 191, 237, 50);
INSERT INTO public.who_data VALUES (56015, 0, 13, 0, 0, 237, 20);
INSERT INTO public.who_data VALUES (56016, 0, 23, 0, 0, 237, 13);
INSERT INTO public.who_data VALUES (56017, 0, 182, 0, 14, 237, 148);
INSERT INTO public.who_data VALUES (56018, 0, 240, 0, 5, 237, 230);
INSERT INTO public.who_data VALUES (56019, 569, 16397, 34, 706, 237, 190);
INSERT INTO public.who_data VALUES (56020, 0, 252, 0, 13, 237, 188);
INSERT INTO public.who_data VALUES (56021, 51, 5342, 1, 31, 237, 123);
INSERT INTO public.who_data VALUES (56022, 0, 1614, 0, 21, 237, 9);
INSERT INTO public.who_data VALUES (56023, 0, 230, 0, 12, 237, 102);
INSERT INTO public.who_data VALUES (56024, 0, 5722, 0, 98, 237, 34);
INSERT INTO public.who_data VALUES (56025, 0, 12, 0, 0, 237, 212);
INSERT INTO public.who_data VALUES (56026, 1013, 17007, 8, 479, 237, 122);
INSERT INTO public.who_data VALUES (56027, 4, 4142, 3, 581, 237, 38);
INSERT INTO public.who_data VALUES (56028, 1, 1821, 0, 10, 237, 130);
INSERT INTO public.who_data VALUES (56029, 19459, 548318, 380, 16475, 237, 37);
INSERT INTO public.who_data VALUES (56030, 1198, 54010, 34, 2754, 237, 231);
INSERT INTO public.who_data VALUES (56031, 2489, 222669, 144, 10508, 237, 107);
INSERT INTO public.who_data VALUES (56032, 2140, 45402, 96, 1756, 237, 101);
INSERT INTO public.who_data VALUES (56033, 2, 25439, 1, 1735, 237, 132);
INSERT INTO public.who_data VALUES (56034, 0, 336, 0, 24, 237, 176);
INSERT INTO public.who_data VALUES (56035, 398, 23521, 3, 324, 237, 200);
INSERT INTO public.who_data VALUES (56036, 174, 240310, 22, 34738, 237, 169);
INSERT INTO public.who_data VALUES (56037, 0, 686, 0, 10, 237, 225);
INSERT INTO public.who_data VALUES (56038, 86, 18476, 1, 972, 237, 165);
INSERT INTO public.who_data VALUES (56039, 0, 320, 0, 31, 237, 233);
INSERT INTO public.who_data VALUES (56040, 9, 1045, 0, 9, 237, 215);
INSERT INTO public.who_data VALUES (56041, 492, 30168, 5, 188, 237, 177);
INSERT INTO public.who_data VALUES (56042, 259, 6070, 3, 144, 237, 183);
INSERT INTO public.who_data VALUES (56043, 0, 0, 0, 0, 237, 203);
INSERT INTO public.who_data VALUES (56044, 87, 2634, 1, 38, 237, 162);
INSERT INTO public.who_data VALUES (56045, 551, 44942, 4, 348, 237, 12);
INSERT INTO public.who_data VALUES (56046, 504, 5017, 4, 50, 237, 24);
INSERT INTO public.who_data VALUES (56047, 0, 19, 0, 0, 237, 119);
INSERT INTO public.who_data VALUES (56048, 1, 1116, 0, 30, 237, 39);
INSERT INTO public.who_data VALUES (56049, 21, 1740, 0, 33, 237, 26);
INSERT INTO public.who_data VALUES (56050, 3, 27, 0, 0, 237, 59);
INSERT INTO public.who_data VALUES (56051, 84, 768, 0, 34, 237, 77);
INSERT INTO public.who_data VALUES (56052, 35, 762, 3, 21, 237, 134);
INSERT INTO public.who_data VALUES (56053, 0, 83, 0, 1, 237, 4);
INSERT INTO public.who_data VALUES (56054, 1, 1811, 0, 78, 237, 109);
INSERT INTO public.who_data VALUES (56055, 25, 4242, 0, 110, 237, 90);
INSERT INTO public.who_data VALUES (56056, 73, 2078, 2, 18, 237, 61);
INSERT INTO public.who_data VALUES (56057, 114, 1152, 0, 13, 237, 85);
INSERT INTO public.who_data VALUES (56058, 18, 8634, 0, 121, 237, 49);
INSERT INTO public.who_data VALUES (56059, 19, 2324, 0, 8, 237, 208);
INSERT INTO public.who_data VALUES (56060, 87, 2147, 1, 114, 237, 166);
INSERT INTO public.who_data VALUES (56061, 0, 669, 0, 9, 237, 64);
INSERT INTO public.who_data VALUES (56062, 0, 0, 0, 0, 237, 199);
INSERT INTO public.who_data VALUES (56063, 0, 242, 0, 14, 237, 114);
INSERT INTO public.who_data VALUES (56064, 0, 3907, 0, 120, 237, 60);
INSERT INTO public.who_data VALUES (56065, 0, 341, 0, 10, 237, 68);
INSERT INTO public.who_data VALUES (56066, 0, 2540, 0, 35, 237, 158);
INSERT INTO public.who_data VALUES (56067, 4410, 212802, 602, 26381, 237, 52);
INSERT INTO public.who_data VALUES (56068, 0, 0, 0, 0, 237, 117);
INSERT INTO public.who_data VALUES (56069, 0, 73, 0, 1, 237, 126);
INSERT INTO public.who_data VALUES (56070, 0, 219, 0, 0, 237, 196);
INSERT INTO public.who_data VALUES (56071, 28, 526, 1, 13, 237, 142);
INSERT INTO public.who_data VALUES (56072, 0, 11, 0, 1, 237, 185);
INSERT INTO public.who_data VALUES (56073, 175, 12052, 1, 221, 237, 138);
INSERT INTO public.who_data VALUES (56074, 20, 859, 0, 5, 237, 181);
INSERT INTO public.who_data VALUES (56075, 3, 299, 0, 6, 237, 178);
INSERT INTO public.who_data VALUES (56076, 14, 150, 0, 0, 237, 168);
INSERT INTO public.who_data VALUES (56077, 0, 0, 0, 0, 237, 160);
INSERT INTO public.who_data VALUES (56078, 463, 12772, 0, 28, 237, 151);
INSERT INTO public.who_data VALUES (56079, 66, 49926, 0, 6079, 237, 193);
INSERT INTO public.who_data VALUES (56080, 0, 21, 0, 0, 237, 18);
INSERT INTO public.who_data VALUES (56081, 2, 1178, 0, 22, 237, 40);
INSERT INTO public.who_data VALUES (56082, 0, 2014, 0, 74, 237, 218);
INSERT INTO public.who_data VALUES (56083, 15, 1074, 0, 67, 237, 191);
INSERT INTO public.who_data VALUES (56084, 490, 24567, 7, 565, 237, 156);
INSERT INTO public.who_data VALUES (56085, 0, 0, 0, 0, 237, 135);
INSERT INTO public.who_data VALUES (56086, 0, 30, 0, 2, 237, 88);
INSERT INTO public.who_data VALUES (56087, 186, 6092, 9, 286, 237, 55);
INSERT INTO public.who_data VALUES (56088, 0, 8815, 0, 249, 237, 108);
INSERT INTO public.who_data VALUES (56089, 195, 2248, 0, 7, 237, 48);
INSERT INTO public.who_data VALUES (56090, 1197, 38150, 4, 163, 237, 3);
INSERT INTO public.who_data VALUES (56091, 0, 741, 0, 13, 237, 224);
INSERT INTO public.who_data VALUES (56092, 3557, 206512, 49, 4167, 237, 110);
INSERT INTO public.who_data VALUES (56093, 0, 0, 0, 0, 237, 106);
INSERT INTO public.who_data VALUES (56094, 753, 30658, 17, 592, 237, 89);
INSERT INTO public.who_data VALUES (56095, 0, 11, 0, 0, 237, 121);
INSERT INTO public.who_data VALUES (56096, 231, 1942, 2, 15, 237, 163);
INSERT INTO public.who_data VALUES (56097, 3625, 275989, 196, 9135, 237, 70);
INSERT INTO public.who_data VALUES (56098, 652, 35455, 8, 1244, 237, 174);
INSERT INTO public.who_data VALUES (56099, 0, 0, 0, 0, 237, 175);
INSERT INTO public.who_data VALUES (56100, 193, 33907, 3, 1438, 237, 118);
INSERT INTO public.who_data VALUES (56101, 457, 41646, 3, 1564, 237, 189);
INSERT INTO public.who_data VALUES (56102, 123, 7189, 1, 153, 237, 124);
INSERT INTO public.who_data VALUES (56103, 750, 94413, 0, 110, 237, 192);
INSERT INTO public.who_data VALUES (56104, 42, 12757, 0, 282, 237, 41);
INSERT INTO public.who_data VALUES (56105, 170, 16250, 7, 533, 237, 95);
INSERT INTO public.who_data VALUES (56106, 1, 521, 0, 2, 237, 74);
INSERT INTO public.who_data VALUES (56107, 291, 26313, 23, 1612, 237, 11);
INSERT INTO public.who_data VALUES (56108, 6719, 641156, 93, 9166, 237, 87);
INSERT INTO public.who_data VALUES (56109, 22, 900, 0, 2, 237, 214);
INSERT INTO public.who_data VALUES (56110, 0, 3, 0, 0, 237, 116);
INSERT INTO public.who_data VALUES (56111, 0, 6, 0, 0, 237, 157);
INSERT INTO public.who_data VALUES (56112, 0, 0, 0, 0, 237, 182);
INSERT INTO public.who_data VALUES (56113, 0, 15, 0, 0, 237, 186);
INSERT INTO public.who_data VALUES (56114, 0, 19, 0, 0, 237, 127);
INSERT INTO public.who_data VALUES (56115, 0, 42, 0, 3, 237, 232);
INSERT INTO public.who_data VALUES (56116, 0, 1, 0, 0, 237, 33);
INSERT INTO public.who_data VALUES (56117, 0, 29, 0, 0, 237, 97);
INSERT INTO public.who_data VALUES (56118, 0, 0, 0, 0, 237, 42);
INSERT INTO public.who_data VALUES (56119, 0, 713, 0, 42, 237, 198);
INSERT INTO public.who_data VALUES (56120, 0, 393, 0, 11, 237, 216);
INSERT INTO public.who_data VALUES (56121, 3989, 182493, 40, 1551, 237, 164);
INSERT INTO public.who_data VALUES (56122, 127, 6586, 3, 105, 237, 235);
INSERT INTO public.who_data VALUES (56123, 254, 14046, 3, 270, 237, 67);
INSERT INTO public.who_data VALUES (56124, 7, 77, 0, 0, 237, 15);
INSERT INTO public.who_data VALUES (56125, 17, 1427, 1, 60, 237, 180);
INSERT INTO public.who_data VALUES (56126, 213, 43459, 0, 26, 237, 237);
INSERT INTO public.who_data VALUES (56127, 0, 2, 0, 0, 237, 25);
INSERT INTO public.who_data VALUES (56128, 0, 77, 0, 15, 237, 209);
INSERT INTO public.who_data VALUES (56129, 14, 1657, 0, 28, 237, 217);
INSERT INTO public.who_data VALUES (56130, 9, 1580, 0, 114, 237, 79);
INSERT INTO public.who_data VALUES (56131, 0, 0, 0, 0, 237, 143);
INSERT INTO public.who_data VALUES (56132, 16, 2894, 0, 90, 237, 229);
INSERT INTO public.who_data VALUES (56133, 6334, 138134, 43, 2456, 237, 141);
INSERT INTO public.who_data VALUES (56134, 8, 1966, 0, 36, 237, 197);
INSERT INTO public.who_data VALUES (56135, 258, 258284, 3, 29723, 237, 221);
INSERT INTO public.who_data VALUES (56136, 4, 2037, 0, 11, 237, 150);
INSERT INTO public.who_data VALUES (56137, 6, 9320, 8, 584, 237, 56);
INSERT INTO public.who_data VALUES (56138, 76, 467, 1, 11, 237, 167);
INSERT INTO public.who_data VALUES (56139, 755, 65921, 14, 5449, 237, 23);
INSERT INTO public.who_data VALUES (56140, 24, 31609, 0, 1725, 237, 222);
INSERT INTO public.who_data VALUES (56141, 0, 256, 0, 9, 237, 219);
INSERT INTO public.who_data VALUES (56142, 50, 5849, 0, 52, 237, 7);
INSERT INTO public.who_data VALUES (56143, 7, 3169, 0, 58, 237, 161);
INSERT INTO public.who_data VALUES (56144, 649, 283099, 31, 40320, 237, 149);
INSERT INTO public.who_data VALUES (56145, 0, 24, 0, 0, 237, 6);
INSERT INTO public.who_data VALUES (56146, 0, 615, 0, 14, 237, 139);
INSERT INTO public.who_data VALUES (56147, 0, 0, 0, 0, 237, 211);
INSERT INTO public.who_data VALUES (56148, 0, 0, 0, 0, 237, 14);
INSERT INTO public.who_data VALUES (56149, 2, 126, 0, 8, 237, 111);
INSERT INTO public.who_data VALUES (56150, 3, 1172, 0, 50, 237, 207);
INSERT INTO public.who_data VALUES (56151, 1356, 197239, 15, 5097, 237, 66);
INSERT INTO public.who_data VALUES (56152, 0, 0, 0, 0, 237, 173);
INSERT INTO public.who_data VALUES (56153, 0, 16, 0, 1, 237, 145);
INSERT INTO public.who_data VALUES (56154, 0, 0, 0, 0, 237, 65);
INSERT INTO public.who_data VALUES (56155, 0, 833, 0, 0, 237, 184);
INSERT INTO public.who_data VALUES (56156, 646, 43628, 18, 1147, 237, 98);
INSERT INTO public.who_data VALUES (56157, 437, 47797, 2, 313, 237, 104);
INSERT INTO public.who_data VALUES (56158, 0, 509, 0, 21, 237, 73);
INSERT INTO public.who_data VALUES (56159, 44580, 2496628, 507, 125318, 237, 8);
INSERT INTO public.who_data VALUES (56160, 0, 81, 0, 6, 237, 227);
INSERT INTO public.who_data VALUES (56161, 5, 924, 0, 26, 237, 75);
INSERT INTO public.who_data VALUES (56162, 306, 8031, 2, 22, 237, 45);
INSERT INTO public.who_data VALUES (56163, 0, 0, 0, 0, 237, 133);
INSERT INTO public.who_data VALUES (56164, 351, 5130, 1, 42, 237, 202);
INSERT INTO public.who_data VALUES (56165, 0, 355, 0, 0, 237, 129);
INSERT INTO public.who_data VALUES (56166, 0, 0, 0, 0, 237, 36);
INSERT INTO public.who_data VALUES (56167, 15, 1118, 6, 302, 237, 51);
INSERT INTO public.who_data VALUES (56168, 0, 1531, 0, 21, 237, 206);
INSERT INTO public.who_data VALUES (56169, 0, 567, -1, 6, 237, 5);
INSERT INTO public.who_data VALUES (56170, 351, 31053, 26, 733, 238, 103);
INSERT INTO public.who_data VALUES (56171, 72, 2402, 2, 55, 238, 58);
INSERT INTO public.who_data VALUES (56172, 283, 12968, 7, 892, 238, 195);
INSERT INTO public.who_data VALUES (56173, 0, 0, 0, 0, 238, 115);
INSERT INTO public.who_data VALUES (56174, 0, 855, 0, 52, 238, 99);
INSERT INTO public.who_data VALUES (56175, 47, 259, 0, 10, 238, 153);
INSERT INTO public.who_data VALUES (56176, 0, 3, 0, 0, 238, 93);
INSERT INTO public.who_data VALUES (56177, 0, 26, 0, 3, 238, 84);
INSERT INTO public.who_data VALUES (56178, 2886, 55343, 25, 1192, 238, 78);
INSERT INTO public.who_data VALUES (56179, 736, 23958, 6, 421, 238, 170);
INSERT INTO public.who_data VALUES (56180, 0, 101, 0, 3, 238, 32);
INSERT INTO public.who_data VALUES (56181, 46, 7641, 0, 104, 238, 155);
INSERT INTO public.who_data VALUES (56182, 64, 17562, 2, 700, 238, 82);
INSERT INTO public.who_data VALUES (56183, 521, 15890, 6, 193, 238, 16);
INSERT INTO public.who_data VALUES (56184, 0, 104, 0, 11, 238, 72);
INSERT INTO public.who_data VALUES (56185, 462, 25267, 5, 78, 238, 43);
INSERT INTO public.who_data VALUES (56186, 3504, 133978, 34, 1695, 238, 120);
INSERT INTO public.who_data VALUES (56187, 0, 97, 0, 7, 238, 213);
INSERT INTO public.who_data VALUES (56188, 382, 61095, 4, 377, 238, 31);
INSERT INTO public.who_data VALUES (56189, 41, 61834, 8, 9608, 238, 204);
INSERT INTO public.who_data VALUES (56190, 1, 24, 0, 2, 238, 152);
INSERT INTO public.who_data VALUES (56191, 71, 1124, 0, 14, 238, 144);
INSERT INTO public.who_data VALUES (56192, 0, 146, 0, 9, 238, 96);
INSERT INTO public.who_data VALUES (56193, 6, 76, 0, 0, 238, 47);
INSERT INTO public.who_data VALUES (56194, 920, 29423, 21, 934, 238, 80);
INSERT INTO public.who_data VALUES (56195, 0, 2, 0, 0, 238, 159);
INSERT INTO public.who_data VALUES (56196, 173, 4107, 2, 179, 238, 27);
INSERT INTO public.who_data VALUES (56197, 0, 125, 0, 1, 238, 146);
INSERT INTO public.who_data VALUES (56198, 46860, 1274974, 990, 55961, 238, 71);
INSERT INTO public.who_data VALUES (56199, 0, 8, 0, 1, 238, 210);
INSERT INTO public.who_data VALUES (56200, 0, 141, 0, 3, 238, 54);
INSERT INTO public.who_data VALUES (56201, 112, 4625, 1, 216, 238, 147);
INSERT INTO public.who_data VALUES (56202, 20, 954, 0, 53, 238, 2);
INSERT INTO public.who_data VALUES (56203, 0, 144, 0, 1, 238, 105);
INSERT INTO public.who_data VALUES (56204, 64, 1091, 2, 12, 238, 53);
INSERT INTO public.who_data VALUES (56205, 0, 139, 0, 0, 238, 81);
INSERT INTO public.who_data VALUES (56206, 0, 12592, 0, 313, 238, 223);
INSERT INTO public.who_data VALUES (56207, 172, 102794, 4, 8508, 238, 94);
INSERT INTO public.who_data VALUES (56208, 0, 196, 0, 1, 238, 154);
INSERT INTO public.who_data VALUES (56209, 0, 3340, 0, 40, 238, 83);
INSERT INTO public.who_data VALUES (56210, 0, 865, 0, 74, 238, 194);
INSERT INTO public.who_data VALUES (56211, 4406, 267766, 279, 5347, 238, 136);
INSERT INTO public.who_data VALUES (56212, 18, 85190, 0, 4648, 238, 179);
INSERT INTO public.who_data VALUES (56213, 3843, 84442, 157, 2811, 238, 57);
INSERT INTO public.who_data VALUES (56214, 0, 272, 0, 7, 238, 35);
INSERT INTO public.who_data VALUES (56215, 41, 1245, 2, 40, 238, 228);
INSERT INTO public.who_data VALUES (56216, 0, 0, 0, 0, 238, 19);
INSERT INTO public.who_data VALUES (56217, 152, 2836, 0, 12, 238, 22);
INSERT INTO public.who_data VALUES (56218, 205, 8944, 2, 66, 238, 1);
INSERT INTO public.who_data VALUES (56219, 85, 2624, 0, 107, 238, 21);
INSERT INTO public.who_data VALUES (56220, 5, 2330, 1, 86, 238, 234);
INSERT INTO public.who_data VALUES (56221, 0, 23, 0, 1, 238, 91);
INSERT INTO public.who_data VALUES (56222, 2, 994, 0, 19, 238, 137);
INSERT INTO public.who_data VALUES (56223, 260, 11298, 2, 347, 238, 201);
INSERT INTO public.who_data VALUES (56224, 0, 0, 0, 0, 238, 171);
INSERT INTO public.who_data VALUES (56225, 138, 6689, 4, 152, 238, 92);
INSERT INTO public.who_data VALUES (56226, 0, 12675, 0, 604, 238, 112);
INSERT INTO public.who_data VALUES (56227, 0, 4643, 0, 52, 238, 62);
INSERT INTO public.who_data VALUES (56228, 0, 18, 0, 0, 238, 69);
INSERT INTO public.who_data VALUES (56229, 855, 30619, 6, 718, 238, 220);
INSERT INTO public.who_data VALUES (56230, 718, 54574, 18, 4424, 238, 100);
INSERT INTO public.who_data VALUES (56231, 1168, 63923, 88, 2708, 238, 187);
INSERT INTO public.who_data VALUES (56232, 210, 5727, 10, 143, 238, 63);
INSERT INTO public.who_data VALUES (56233, 0, 1043, 0, 12, 238, 28);
INSERT INTO public.who_data VALUES (56234, 24, 191, 0, 0, 238, 172);
INSERT INTO public.who_data VALUES (56235, 0, 1986, 0, 63, 238, 17);
INSERT INTO public.who_data VALUES (56236, 14, 745, 0, 8, 238, 226);
INSERT INTO public.who_data VALUES (56237, 145, 5570, 5, 94, 238, 236);
INSERT INTO public.who_data VALUES (56238, 0, 13, 0, 0, 238, 76);
INSERT INTO public.who_data VALUES (56239, 0, 187, 0, 0, 238, 30);
INSERT INTO public.who_data VALUES (56240, 0, 18, 0, 0, 238, 128);
INSERT INTO public.who_data VALUES (56241, 0, 7191, 0, 328, 238, 86);
INSERT INTO public.who_data VALUES (56242, 0, 156156, 0, 29700, 238, 140);
INSERT INTO public.who_data VALUES (56243, 191, 3461, 1, 12, 238, 44);
INSERT INTO public.who_data VALUES (56244, 2, 62, 0, 0, 238, 113);
INSERT INTO public.who_data VALUES (56245, 0, 5209, 0, 40, 238, 29);
INSERT INTO public.who_data VALUES (56246, 1, 45, 0, 2, 238, 125);
INSERT INTO public.who_data VALUES (56247, 3, 924, 1, 15, 238, 131);
INSERT INTO public.who_data VALUES (56248, 256, 193499, 3, 8957, 238, 46);
INSERT INTO public.who_data VALUES (56249, 597, 16431, 0, 103, 238, 10);
INSERT INTO public.who_data VALUES (56250, 0, 176, 0, 0, 238, 205);
INSERT INTO public.who_data VALUES (56251, 23, 3366, 0, 191, 238, 50);
INSERT INTO public.who_data VALUES (56252, 0, 13, 0, 0, 238, 20);
INSERT INTO public.who_data VALUES (56253, 0, 23, 0, 0, 238, 13);
INSERT INTO public.who_data VALUES (56254, 0, 182, 0, 14, 238, 148);
INSERT INTO public.who_data VALUES (56255, 0, 240, 0, 5, 238, 230);
INSERT INTO public.who_data VALUES (56256, 209, 15828, 49, 672, 238, 190);
INSERT INTO public.who_data VALUES (56257, 0, 252, 0, 13, 238, 188);
INSERT INTO public.who_data VALUES (56258, 31, 5291, 1, 30, 238, 123);
INSERT INTO public.who_data VALUES (56259, 58, 1614, 2, 21, 238, 9);
INSERT INTO public.who_data VALUES (56260, 15, 230, 0, 12, 238, 102);
INSERT INTO public.who_data VALUES (56261, 179, 5722, 2, 98, 238, 34);
INSERT INTO public.who_data VALUES (56262, 0, 12, 0, 0, 238, 212);
INSERT INTO public.who_data VALUES (56263, 628, 15994, 45, 471, 238, 122);
INSERT INTO public.who_data VALUES (56264, 11, 4138, 0, 578, 238, 38);
INSERT INTO public.who_data VALUES (56265, 0, 1820, 0, 10, 238, 130);
INSERT INTO public.who_data VALUES (56266, 19906, 528859, 410, 16095, 238, 37);
INSERT INTO public.who_data VALUES (56267, 1385, 52812, 37, 2720, 238, 231);
INSERT INTO public.who_data VALUES (56268, 2456, 220180, 125, 10364, 238, 107);
INSERT INTO public.who_data VALUES (56269, 2069, 43262, 101, 1660, 238, 101);
INSERT INTO public.who_data VALUES (56270, 23, 25437, 4, 1734, 238, 132);
INSERT INTO public.who_data VALUES (56271, 0, 336, 0, 24, 238, 176);
INSERT INTO public.who_data VALUES (56272, 464, 23123, 3, 321, 238, 200);
INSERT INTO public.who_data VALUES (56273, 175, 240136, 8, 34716, 238, 169);
INSERT INTO public.who_data VALUES (56274, 2, 686, 0, 10, 238, 225);
INSERT INTO public.who_data VALUES (56275, 93, 18390, 0, 971, 238, 165);
INSERT INTO public.who_data VALUES (56276, 0, 320, 0, 31, 238, 233);
INSERT INTO public.who_data VALUES (56277, 6, 1036, 0, 9, 238, 215);
INSERT INTO public.who_data VALUES (56278, 1613, 29676, 10, 183, 238, 177);
INSERT INTO public.who_data VALUES (56279, 278, 5811, 4, 141, 238, 183);
INSERT INTO public.who_data VALUES (56280, 0, 0, 0, 0, 238, 203);
INSERT INTO public.who_data VALUES (56281, 96, 2547, 3, 37, 238, 162);
INSERT INTO public.who_data VALUES (56282, 688, 44391, 3, 344, 238, 12);
INSERT INTO public.who_data VALUES (56283, 0, 4513, 0, 46, 238, 24);
INSERT INTO public.who_data VALUES (56284, 0, 19, 0, 0, 238, 119);
INSERT INTO public.who_data VALUES (56285, 3, 1115, 0, 30, 238, 39);
INSERT INTO public.who_data VALUES (56286, 22, 1719, 0, 33, 238, 26);
INSERT INTO public.who_data VALUES (56287, 0, 24, 0, 0, 238, 59);
INSERT INTO public.who_data VALUES (56288, 0, 684, 0, 34, 238, 77);
INSERT INTO public.who_data VALUES (56289, 14, 727, 0, 18, 238, 134);
INSERT INTO public.who_data VALUES (56290, 0, 83, 0, 1, 238, 4);
INSERT INTO public.who_data VALUES (56291, 2, 1810, 0, 78, 238, 109);
INSERT INTO public.who_data VALUES (56292, 44, 4217, 0, 110, 238, 90);
INSERT INTO public.who_data VALUES (56293, 176, 2005, 0, 16, 238, 61);
INSERT INTO public.who_data VALUES (56294, 33, 1038, 0, 13, 238, 85);
INSERT INTO public.who_data VALUES (56295, 10, 8616, 0, 121, 238, 49);
INSERT INTO public.who_data VALUES (56296, 22, 2305, 0, 8, 238, 208);
INSERT INTO public.who_data VALUES (56297, 0, 2060, 0, 113, 238, 166);
INSERT INTO public.who_data VALUES (56298, 0, 669, 0, 9, 238, 64);
INSERT INTO public.who_data VALUES (56299, 0, 0, 0, 0, 238, 199);
INSERT INTO public.who_data VALUES (56300, 6, 242, 0, 14, 238, 114);
INSERT INTO public.who_data VALUES (56301, 168, 3907, 1, 120, 238, 60);
INSERT INTO public.who_data VALUES (56302, 0, 341, 0, 10, 238, 68);
INSERT INTO public.who_data VALUES (56303, 14, 2540, 1, 35, 238, 158);
INSERT INTO public.who_data VALUES (56304, 5441, 208392, 719, 25779, 238, 52);
INSERT INTO public.who_data VALUES (56305, 0, 0, 0, 0, 238, 117);
INSERT INTO public.who_data VALUES (56306, 1, 73, 0, 1, 238, 126);
INSERT INTO public.who_data VALUES (56307, 0, 219, 0, 0, 238, 196);
INSERT INTO public.who_data VALUES (56308, 23, 498, 2, 12, 238, 142);
INSERT INTO public.who_data VALUES (56309, 0, 11, 0, 1, 238, 185);
INSERT INTO public.who_data VALUES (56310, 244, 11877, 2, 220, 238, 138);
INSERT INTO public.who_data VALUES (56311, 51, 839, 0, 5, 238, 181);
INSERT INTO public.who_data VALUES (56312, 3, 296, 0, 6, 238, 178);
INSERT INTO public.who_data VALUES (56313, 34, 136, 0, 0, 238, 168);
INSERT INTO public.who_data VALUES (56314, 0, 0, 0, 0, 238, 160);
INSERT INTO public.who_data VALUES (56315, 554, 12309, 1, 28, 238, 151);
INSERT INTO public.who_data VALUES (56316, 77, 49860, 3, 6079, 238, 193);
INSERT INTO public.who_data VALUES (56317, 0, 21, 0, 0, 238, 18);
INSERT INTO public.who_data VALUES (56318, 4, 1176, 0, 22, 238, 40);
INSERT INTO public.who_data VALUES (56319, 0, 2014, 0, 74, 238, 218);
INSERT INTO public.who_data VALUES (56320, 0, 1059, 0, 67, 238, 191);
INSERT INTO public.who_data VALUES (56321, 779, 24077, 4, 558, 238, 156);
INSERT INTO public.who_data VALUES (56322, 0, 0, 0, 0, 238, 135);
INSERT INTO public.who_data VALUES (56323, 0, 30, 0, 2, 238, 88);
INSERT INTO public.who_data VALUES (56324, 148, 5906, 9, 277, 238, 55);
INSERT INTO public.who_data VALUES (56325, 0, 8815, 0, 249, 238, 108);
INSERT INTO public.who_data VALUES (56326, 258, 2053, 2, 7, 238, 48);
INSERT INTO public.who_data VALUES (56327, 919, 36953, 6, 159, 238, 3);
INSERT INTO public.who_data VALUES (56328, 0, 741, 0, 13, 238, 224);
INSERT INTO public.who_data VALUES (56329, 4072, 202955, 83, 4118, 238, 110);
INSERT INTO public.who_data VALUES (56330, 0, 0, 0, 0, 238, 106);
INSERT INTO public.who_data VALUES (56331, 868, 29905, 11, 575, 238, 89);
INSERT INTO public.who_data VALUES (56332, 0, 11, 0, 0, 238, 121);
INSERT INTO public.who_data VALUES (56333, 0, 1711, 0, 13, 238, 163);
INSERT INTO public.who_data VALUES (56334, 3762, 272364, 178, 8939, 238, 70);
INSERT INTO public.who_data VALUES (56335, 730, 34803, 12, 1236, 238, 174);
INSERT INTO public.who_data VALUES (56336, 0, 0, 0, 0, 238, 175);
INSERT INTO public.who_data VALUES (56337, 319, 33714, 6, 1435, 238, 118);
INSERT INTO public.who_data VALUES (56338, 323, 41189, 6, 1561, 238, 189);
INSERT INTO public.who_data VALUES (56339, 144, 7066, 1, 152, 238, 124);
INSERT INTO public.who_data VALUES (56340, 879, 93663, 1, 110, 238, 192);
INSERT INTO public.who_data VALUES (56341, 62, 12715, 0, 282, 238, 41);
INSERT INTO public.who_data VALUES (56342, 304, 16080, 11, 526, 238, 95);
INSERT INTO public.who_data VALUES (56343, 3, 520, 0, 2, 238, 74);
INSERT INTO public.who_data VALUES (56344, 325, 26022, 10, 1589, 238, 11);
INSERT INTO public.who_data VALUES (56345, 6791, 634437, 104, 9073, 238, 87);
INSERT INTO public.who_data VALUES (56346, 20, 878, 0, 2, 238, 214);
INSERT INTO public.who_data VALUES (56347, 0, 3, 0, 0, 238, 116);
INSERT INTO public.who_data VALUES (56348, 0, 6, 0, 0, 238, 157);
INSERT INTO public.who_data VALUES (56349, 0, 0, 0, 0, 238, 182);
INSERT INTO public.who_data VALUES (56350, 0, 15, 0, 0, 238, 186);
INSERT INTO public.who_data VALUES (56351, 0, 19, 0, 0, 238, 127);
INSERT INTO public.who_data VALUES (56352, 0, 42, 0, 3, 238, 232);
INSERT INTO public.who_data VALUES (56353, 0, 1, 0, 0, 238, 33);
INSERT INTO public.who_data VALUES (56354, 0, 29, 0, 0, 238, 97);
INSERT INTO public.who_data VALUES (56355, 0, 0, 0, 0, 238, 42);
INSERT INTO public.who_data VALUES (56356, 0, 713, 0, 42, 238, 198);
INSERT INTO public.who_data VALUES (56357, 1, 393, 0, 11, 238, 216);
INSERT INTO public.who_data VALUES (56358, 3927, 178504, 37, 1511, 238, 164);
INSERT INTO public.who_data VALUES (56359, 105, 6459, 4, 102, 238, 235);
INSERT INTO public.who_data VALUES (56360, 227, 13792, 2, 267, 238, 67);
INSERT INTO public.who_data VALUES (56361, 50, 70, 0, 0, 238, 15);
INSERT INTO public.who_data VALUES (56362, 16, 1410, 0, 59, 238, 180);
INSERT INTO public.who_data VALUES (56363, 291, 43246, 0, 26, 238, 237);
INSERT INTO public.who_data VALUES (56364, 0, 2, 0, 0, 238, 25);
INSERT INTO public.who_data VALUES (56365, 0, 77, 0, 15, 238, 209);
INSERT INTO public.who_data VALUES (56366, 13, 1643, 0, 28, 238, 217);
INSERT INTO public.who_data VALUES (56367, 14, 1571, 0, 114, 238, 79);
INSERT INTO public.who_data VALUES (56368, 0, 0, 0, 0, 238, 143);
INSERT INTO public.who_data VALUES (56369, 0, 2878, 0, 90, 238, 229);
INSERT INTO public.who_data VALUES (56370, 7210, 131800, 73, 2413, 238, 141);
INSERT INTO public.who_data VALUES (56371, 6, 1958, 0, 36, 238, 197);
INSERT INTO public.who_data VALUES (56372, 535, 258026, 9, 29720, 238, 221);
INSERT INTO public.who_data VALUES (56373, 19, 2033, 0, 11, 238, 150);
INSERT INTO public.who_data VALUES (56374, 57, 9314, 4, 576, 238, 56);
INSERT INTO public.who_data VALUES (56375, 18, 391, 0, 10, 238, 167);
INSERT INTO public.who_data VALUES (56376, 1204, 65166, 11, 5435, 238, 23);
INSERT INTO public.who_data VALUES (56377, 36, 31585, 0, 1725, 238, 222);
INSERT INTO public.who_data VALUES (56378, 2, 256, 2, 9, 238, 219);
INSERT INTO public.who_data VALUES (56379, 52, 5799, 0, 52, 238, 7);
INSERT INTO public.who_data VALUES (56380, 0, 3162, 0, 58, 238, 161);
INSERT INTO public.who_data VALUES (56381, 671, 282450, 40, 40289, 238, 149);
INSERT INTO public.who_data VALUES (56382, 0, 24, 0, 0, 238, 6);
INSERT INTO public.who_data VALUES (56383, 24, 615, 0, 14, 238, 139);
INSERT INTO public.who_data VALUES (56384, 0, 0, 0, 0, 238, 211);
INSERT INTO public.who_data VALUES (56385, 0, 0, 0, 0, 238, 14);
INSERT INTO public.who_data VALUES (56386, 1, 124, 0, 8, 238, 111);
INSERT INTO public.who_data VALUES (56387, 1, 1169, 0, 50, 238, 207);
INSERT INTO public.who_data VALUES (56388, 1372, 195883, 17, 5082, 238, 66);
INSERT INTO public.who_data VALUES (56389, 0, 0, 0, 0, 238, 173);
INSERT INTO public.who_data VALUES (56390, 0, 16, 0, 1, 238, 145);
INSERT INTO public.who_data VALUES (56391, 0, 0, 0, 0, 238, 65);
INSERT INTO public.who_data VALUES (56392, 0, 833, 0, 0, 238, 184);
INSERT INTO public.who_data VALUES (56393, 917, 42982, 19, 1129, 238, 98);
INSERT INTO public.who_data VALUES (56394, 387, 47360, 1, 311, 238, 104);
INSERT INTO public.who_data VALUES (56395, 0, 509, 0, 21, 238, 73);
INSERT INTO public.who_data VALUES (56396, 44458, 2452048, 650, 124811, 238, 8);
INSERT INTO public.who_data VALUES (56397, 0, 81, 0, 6, 238, 227);
INSERT INTO public.who_data VALUES (56398, 12, 919, 0, 26, 238, 75);
INSERT INTO public.who_data VALUES (56399, 235, 7725, 0, 20, 238, 45);
INSERT INTO public.who_data VALUES (56400, 0, 0, 0, 0, 238, 133);
INSERT INTO public.who_data VALUES (56401, 216, 4779, 2, 41, 238, 202);
INSERT INTO public.who_data VALUES (56402, 2, 355, 0, 0, 238, 129);
INSERT INTO public.who_data VALUES (56403, 0, 0, 0, 0, 238, 36);
INSERT INTO public.who_data VALUES (56404, 14, 1103, 3, 296, 238, 51);
INSERT INTO public.who_data VALUES (56405, 0, 1531, 0, 21, 238, 206);
INSERT INTO public.who_data VALUES (56406, 6, 567, 0, 7, 238, 5);
INSERT INTO public.who_data VALUES (56407, 356, 30702, 23, 707, 239, 103);
INSERT INTO public.who_data VALUES (56408, 61, 2330, 2, 53, 239, 58);
INSERT INTO public.who_data VALUES (56409, 240, 12685, 7, 885, 239, 195);
INSERT INTO public.who_data VALUES (56410, 0, 0, 0, 0, 239, 115);
INSERT INTO public.who_data VALUES (56411, 0, 855, 0, 52, 239, 99);
INSERT INTO public.who_data VALUES (56412, 0, 212, 0, 10, 239, 153);
INSERT INTO public.who_data VALUES (56413, 0, 3, 0, 0, 239, 93);
INSERT INTO public.who_data VALUES (56414, 0, 26, 0, 3, 239, 84);
INSERT INTO public.who_data VALUES (56415, 2606, 52457, 43, 1167, 239, 78);
INSERT INTO public.who_data VALUES (56416, 662, 23222, 10, 415, 239, 170);
INSERT INTO public.who_data VALUES (56417, 0, 101, 0, 3, 239, 32);
INSERT INTO public.who_data VALUES (56418, 37, 7595, 0, 104, 239, 155);
INSERT INTO public.who_data VALUES (56419, 67, 17498, 0, 698, 239, 82);
INSERT INTO public.who_data VALUES (56420, 517, 15369, 7, 187, 239, 16);
INSERT INTO public.who_data VALUES (56421, 0, 104, 0, 11, 239, 72);
INSERT INTO public.who_data VALUES (56422, 724, 24805, 2, 73, 239, 43);
INSERT INTO public.who_data VALUES (56423, 3868, 130474, 40, 1661, 239, 120);
INSERT INTO public.who_data VALUES (56424, 0, 97, 0, 7, 239, 213);
INSERT INTO public.who_data VALUES (56425, 331, 60713, 6, 373, 239, 31);
INSERT INTO public.who_data VALUES (56426, 113, 61793, 2, 9600, 239, 204);
INSERT INTO public.who_data VALUES (56427, 0, 23, 0, 2, 239, 152);
INSERT INTO public.who_data VALUES (56428, 36, 1053, 0, 14, 239, 144);
INSERT INTO public.who_data VALUES (56429, 0, 146, 0, 9, 239, 96);
INSERT INTO public.who_data VALUES (56430, 0, 70, 0, 0, 239, 47);
INSERT INTO public.who_data VALUES (56431, 1016, 28503, 37, 913, 239, 80);
INSERT INTO public.who_data VALUES (56432, 0, 2, 0, 0, 239, 159);
INSERT INTO public.who_data VALUES (56433, 140, 3934, 3, 177, 239, 27);
INSERT INTO public.who_data VALUES (56434, 0, 125, 0, 1, 239, 146);
INSERT INTO public.who_data VALUES (56435, 39483, 1228114, 1141, 54971, 239, 71);
INSERT INTO public.who_data VALUES (56436, 0, 8, 0, 1, 239, 210);
INSERT INTO public.who_data VALUES (56437, 0, 141, 0, 3, 239, 54);
INSERT INTO public.who_data VALUES (56438, 105, 4513, 4, 215, 239, 147);
INSERT INTO public.who_data VALUES (56439, 0, 934, 0, 53, 239, 2);
INSERT INTO public.who_data VALUES (56440, 0, 144, 0, 1, 239, 105);
INSERT INTO public.who_data VALUES (56441, 24, 1027, 2, 10, 239, 53);
INSERT INTO public.who_data VALUES (56442, 9, 139, 0, 0, 239, 81);
INSERT INTO public.who_data VALUES (56443, 0, 12592, 0, 313, 239, 223);
INSERT INTO public.who_data VALUES (56444, 380, 102622, 20, 8504, 239, 94);
INSERT INTO public.who_data VALUES (56445, 0, 196, 0, 1, 239, 154);
INSERT INTO public.who_data VALUES (56446, 96, 3340, 0, 40, 239, 83);
INSERT INTO public.who_data VALUES (56447, 2, 865, 0, 74, 239, 194);
INSERT INTO public.who_data VALUES (56448, 4296, 263360, 165, 5068, 239, 136);
INSERT INTO public.who_data VALUES (56449, 24, 85172, 0, 4648, 239, 179);
INSERT INTO public.who_data VALUES (56450, 3486, 80599, 163, 2654, 239, 57);
INSERT INTO public.who_data VALUES (56451, 0, 272, 0, 7, 239, 35);
INSERT INTO public.who_data VALUES (56452, 0, 1204, 0, 38, 239, 228);
INSERT INTO public.who_data VALUES (56453, 0, 0, 0, 0, 239, 19);
INSERT INTO public.who_data VALUES (56454, 169, 2684, 0, 12, 239, 22);
INSERT INTO public.who_data VALUES (56455, 405, 8739, 4, 64, 239, 1);
INSERT INTO public.who_data VALUES (56456, 56, 2539, 0, 107, 239, 21);
INSERT INTO public.who_data VALUES (56457, 4, 2325, 0, 85, 239, 234);
INSERT INTO public.who_data VALUES (56458, -1, 23, 0, 1, 239, 91);
INSERT INTO public.who_data VALUES (56459, 0, 992, 0, 19, 239, 137);
INSERT INTO public.who_data VALUES (56460, 168, 11038, 0, 345, 239, 201);
INSERT INTO public.who_data VALUES (56461, 0, 0, 0, 0, 239, 171);
INSERT INTO public.who_data VALUES (56462, 141, 6551, 7, 148, 239, 92);
INSERT INTO public.who_data VALUES (56463, 39, 12675, 1, 604, 239, 112);
INSERT INTO public.who_data VALUES (56464, 8, 4643, 0, 52, 239, 62);
INSERT INTO public.who_data VALUES (56465, 0, 18, 0, 0, 239, 69);
INSERT INTO public.who_data VALUES (56466, 623, 29764, 14, 712, 239, 220);
INSERT INTO public.who_data VALUES (56467, 700, 53856, 63, 4406, 239, 100);
INSERT INTO public.who_data VALUES (56468, 1625, 62755, 87, 2620, 239, 187);
INSERT INTO public.who_data VALUES (56469, 181, 5517, 7, 133, 239, 63);
INSERT INTO public.who_data VALUES (56470, 0, 1043, 0, 12, 239, 28);
INSERT INTO public.who_data VALUES (56471, 23, 167, 0, 0, 239, 172);
INSERT INTO public.who_data VALUES (56472, 2, 1986, 0, 63, 239, 17);
INSERT INTO public.who_data VALUES (56473, 25, 731, 0, 8, 239, 226);
INSERT INTO public.who_data VALUES (56474, 250, 5425, 8, 89, 239, 236);
INSERT INTO public.who_data VALUES (56475, 0, 13, 0, 0, 239, 76);
INSERT INTO public.who_data VALUES (56476, 0, 187, 0, 0, 239, 30);
INSERT INTO public.who_data VALUES (56477, 0, 18, 0, 0, 239, 128);
INSERT INTO public.who_data VALUES (56478, 19, 7191, 1, 328, 239, 86);
INSERT INTO public.who_data VALUES (56479, 900, 156156, 25, 29700, 239, 140);
INSERT INTO public.who_data VALUES (56480, 237, 3270, 1, 11, 239, 44);
INSERT INTO public.who_data VALUES (56481, 0, 60, 0, 0, 239, 113);
INSERT INTO public.who_data VALUES (56482, 122, 5209, 0, 40, 239, 29);
INSERT INTO public.who_data VALUES (56483, 1, 44, 0, 2, 239, 125);
INSERT INTO public.who_data VALUES (56484, 2, 921, 0, 14, 239, 131);
INSERT INTO public.who_data VALUES (56485, 687, 193243, 6, 8954, 239, 46);
INSERT INTO public.who_data VALUES (56486, 361, 15834, 8, 103, 239, 10);
INSERT INTO public.who_data VALUES (56487, 0, 176, 0, 0, 239, 205);
INSERT INTO public.who_data VALUES (56488, 22, 3343, 0, 191, 239, 50);
INSERT INTO public.who_data VALUES (56489, 0, 13, 0, 0, 239, 20);
INSERT INTO public.who_data VALUES (56490, 0, 23, 0, 0, 239, 13);
INSERT INTO public.who_data VALUES (56491, 8, 182, 0, 14, 239, 148);
INSERT INTO public.who_data VALUES (56492, 3, 240, 0, 5, 239, 230);
INSERT INTO public.who_data VALUES (56493, 800, 15619, 22, 623, 239, 190);
INSERT INTO public.who_data VALUES (56494, 0, 252, 0, 13, 239, 188);
INSERT INTO public.who_data VALUES (56495, 49, 5260, 0, 29, 239, 123);
INSERT INTO public.who_data VALUES (56496, 0, 1556, 0, 19, 239, 9);
INSERT INTO public.who_data VALUES (56497, 6, 215, 0, 12, 239, 102);
INSERT INTO public.who_data VALUES (56498, 114, 5543, 4, 96, 239, 34);
INSERT INTO public.who_data VALUES (56499, 0, 12, 0, 0, 239, 212);
INSERT INTO public.who_data VALUES (56500, 795, 15366, 9, 426, 239, 122);
INSERT INTO public.who_data VALUES (56501, 4, 4127, 1, 578, 239, 38);
INSERT INTO public.who_data VALUES (56502, 2, 1820, 0, 10, 239, 130);
INSERT INTO public.who_data VALUES (56503, 18552, 508953, 384, 15685, 239, 37);
INSERT INTO public.who_data VALUES (56504, 1240, 51427, 63, 2683, 239, 231);
INSERT INTO public.who_data VALUES (56505, 2628, 217724, 109, 10239, 239, 107);
INSERT INTO public.who_data VALUES (56506, 2054, 41193, 122, 1559, 239, 101);
INSERT INTO public.who_data VALUES (56507, 9, 25414, 3, 1730, 239, 132);
INSERT INTO public.who_data VALUES (56508, 0, 336, 0, 24, 239, 176);
INSERT INTO public.who_data VALUES (56509, 516, 22659, 4, 318, 239, 200);
INSERT INTO public.who_data VALUES (56510, 255, 239961, 30, 34708, 239, 169);
INSERT INTO public.who_data VALUES (56511, 6, 684, 0, 10, 239, 225);
INSERT INTO public.who_data VALUES (56512, 100, 18297, 2, 971, 239, 165);
INSERT INTO public.who_data VALUES (56513, 0, 320, 0, 31, 239, 233);
INSERT INTO public.who_data VALUES (56514, 17, 1030, 0, 9, 239, 215);
INSERT INTO public.who_data VALUES (56515, 1486, 28063, 15, 173, 239, 177);
INSERT INTO public.who_data VALUES (56516, 149, 5533, 5, 137, 239, 183);
INSERT INTO public.who_data VALUES (56517, 0, 0, 0, 0, 239, 203);
INSERT INTO public.who_data VALUES (56518, 62, 2451, 3, 34, 239, 162);
INSERT INTO public.who_data VALUES (56519, 915, 43703, 2, 341, 239, 12);
INSERT INTO public.who_data VALUES (56520, 309, 4513, 3, 46, 239, 24);
INSERT INTO public.who_data VALUES (56521, 0, 19, 0, 0, 239, 119);
INSERT INTO public.who_data VALUES (56522, 1, 1112, 0, 30, 239, 39);
INSERT INTO public.who_data VALUES (56523, 35, 1697, 0, 33, 239, 26);
INSERT INTO public.who_data VALUES (56524, 4, 24, 0, 0, 239, 59);
INSERT INTO public.who_data VALUES (56525, 3, 684, 0, 34, 239, 77);
INSERT INTO public.who_data VALUES (56526, 15, 713, 0, 18, 239, 134);
INSERT INTO public.who_data VALUES (56527, 0, 83, 0, 1, 239, 4);
INSERT INTO public.who_data VALUES (56528, 5, 1808, 0, 78, 239, 109);
INSERT INTO public.who_data VALUES (56529, 22, 4173, 0, 110, 239, 90);
INSERT INTO public.who_data VALUES (56530, 0, 1829, 0, 16, 239, 61);
INSERT INTO public.who_data VALUES (56531, 45, 1005, 1, 13, 239, 85);
INSERT INTO public.who_data VALUES (56532, 6, 8606, 0, 121, 239, 49);
INSERT INTO public.who_data VALUES (56533, 6, 2283, 0, 8, 239, 208);
INSERT INTO public.who_data VALUES (56534, 21, 2060, 0, 113, 239, 166);
INSERT INTO public.who_data VALUES (56535, 2, 669, 0, 9, 239, 64);
INSERT INTO public.who_data VALUES (56536, 0, 0, 0, 0, 239, 199);
INSERT INTO public.who_data VALUES (56537, 0, 236, 0, 14, 239, 114);
INSERT INTO public.who_data VALUES (56538, 220, 3739, 3, 119, 239, 60);
INSERT INTO public.who_data VALUES (56539, 0, 341, 0, 10, 239, 68);
INSERT INTO public.who_data VALUES (56540, 18, 2526, 0, 34, 239, 158);
INSERT INTO public.who_data VALUES (56541, 6104, 202951, 736, 25060, 239, 52);
INSERT INTO public.who_data VALUES (56542, 0, 0, 0, 0, 239, 117);
INSERT INTO public.who_data VALUES (56543, 0, 72, 0, 1, 239, 126);
INSERT INTO public.who_data VALUES (56544, 3, 219, 0, 0, 239, 196);
INSERT INTO public.who_data VALUES (56545, 26, 475, 1, 10, 239, 142);
INSERT INTO public.who_data VALUES (56546, 0, 11, 0, 1, 239, 185);
INSERT INTO public.who_data VALUES (56547, 295, 11633, 1, 218, 239, 138);
INSERT INTO public.who_data VALUES (56548, 0, 788, 0, 5, 239, 181);
INSERT INTO public.who_data VALUES (56549, 0, 293, 0, 6, 239, 178);
INSERT INTO public.who_data VALUES (56550, 0, 102, 0, 0, 239, 168);
INSERT INTO public.who_data VALUES (56551, 0, 0, 0, 0, 239, 160);
INSERT INTO public.who_data VALUES (56552, 593, 11755, 1, 27, 239, 151);
INSERT INTO public.who_data VALUES (56553, 93, 49783, 2, 6076, 239, 193);
INSERT INTO public.who_data VALUES (56554, 0, 21, 0, 0, 239, 18);
INSERT INTO public.who_data VALUES (56555, 2, 1172, 0, 22, 239, 40);
INSERT INTO public.who_data VALUES (56556, 0, 2014, 0, 74, 239, 218);
INSERT INTO public.who_data VALUES (56557, 0, 1059, 0, 67, 239, 191);
INSERT INTO public.who_data VALUES (56558, 684, 23298, 5, 554, 239, 156);
INSERT INTO public.who_data VALUES (56559, 0, 0, 0, 0, 239, 135);
INSERT INTO public.who_data VALUES (56560, 0, 30, 0, 2, 239, 88);
INSERT INTO public.who_data VALUES (56561, 155, 5758, 3, 268, 239, 55);
INSERT INTO public.who_data VALUES (56562, 22, 8815, 0, 249, 239, 108);
INSERT INTO public.who_data VALUES (56563, 207, 1795, 0, 5, 239, 48);
INSERT INTO public.who_data VALUES (56564, 1132, 36034, 9, 153, 239, 3);
INSERT INTO public.who_data VALUES (56565, 0, 741, 0, 13, 239, 224);
INSERT INTO public.who_data VALUES (56566, 3138, 198883, 73, 4035, 239, 110);
INSERT INTO public.who_data VALUES (56567, 0, 0, 0, 0, 239, 106);
INSERT INTO public.who_data VALUES (56568, 1007, 29037, 17, 564, 239, 89);
INSERT INTO public.who_data VALUES (56569, 0, 11, 0, 0, 239, 121);
INSERT INTO public.who_data VALUES (56570, 142, 1711, 0, 13, 239, 163);
INSERT INTO public.who_data VALUES (56571, 3913, 268602, 175, 8761, 239, 70);
INSERT INTO public.who_data VALUES (56572, 1004, 34073, 12, 1224, 239, 174);
INSERT INTO public.who_data VALUES (56573, 0, 0, 0, 0, 239, 175);
INSERT INTO public.who_data VALUES (56574, 276, 33395, 17, 1429, 239, 118);
INSERT INTO public.who_data VALUES (56575, 451, 40866, 6, 1555, 239, 189);
INSERT INTO public.who_data VALUES (56576, 45, 6922, 0, 151, 239, 124);
INSERT INTO public.who_data VALUES (56577, 946, 92784, 3, 109, 239, 192);
INSERT INTO public.who_data VALUES (56578, 51, 12653, 0, 282, 239, 41);
INSERT INTO public.who_data VALUES (56579, 323, 15776, 13, 515, 239, 95);
INSERT INTO public.who_data VALUES (56580, 1, 517, 0, 2, 239, 74);
INSERT INTO public.who_data VALUES (56581, 411, 25697, 14, 1579, 239, 11);
INSERT INTO public.who_data VALUES (56582, 6852, 627646, 188, 8969, 239, 87);
INSERT INTO public.who_data VALUES (56583, 8, 858, 0, 2, 239, 214);
INSERT INTO public.who_data VALUES (56584, 0, 3, 0, 0, 239, 116);
INSERT INTO public.who_data VALUES (56585, 0, 6, 0, 0, 239, 157);
INSERT INTO public.who_data VALUES (56586, 0, 0, 0, 0, 239, 182);
INSERT INTO public.who_data VALUES (56587, 0, 15, 0, 0, 239, 186);
INSERT INTO public.who_data VALUES (56588, 0, 19, 0, 0, 239, 127);
INSERT INTO public.who_data VALUES (56589, 0, 42, 0, 3, 239, 232);
INSERT INTO public.who_data VALUES (56590, 0, 1, 0, 0, 239, 33);
INSERT INTO public.who_data VALUES (56591, 0, 29, 0, 0, 239, 97);
INSERT INTO public.who_data VALUES (56592, 0, 0, 0, 0, 239, 42);
INSERT INTO public.who_data VALUES (56593, 0, 713, 0, 42, 239, 198);
INSERT INTO public.who_data VALUES (56594, 0, 392, 0, 11, 239, 216);
INSERT INTO public.who_data VALUES (56595, 3938, 174577, 46, 1474, 239, 164);
INSERT INTO public.who_data VALUES (56596, 121, 6354, 4, 98, 239, 235);
INSERT INTO public.who_data VALUES (56597, 193, 13565, 1, 265, 239, 67);
INSERT INTO public.who_data VALUES (56598, 4, 20, 0, 0, 239, 15);
INSERT INTO public.who_data VALUES (56599, 13, 1394, 3, 59, 239, 180);
INSERT INTO public.who_data VALUES (56600, 219, 42955, 0, 26, 239, 237);
INSERT INTO public.who_data VALUES (56601, 0, 2, 0, 0, 239, 25);
INSERT INTO public.who_data VALUES (56602, 0, 77, 0, 15, 239, 209);
INSERT INTO public.who_data VALUES (56603, 23, 1630, 0, 28, 239, 217);
INSERT INTO public.who_data VALUES (56604, 11, 1557, 0, 114, 239, 79);
INSERT INTO public.who_data VALUES (56605, 0, 0, 0, 0, 239, 143);
INSERT INTO public.who_data VALUES (56606, 0, 2878, 0, 90, 239, 229);
INSERT INTO public.who_data VALUES (56607, 6215, 124590, 48, 2340, 239, 141);
INSERT INTO public.who_data VALUES (56608, 10, 1952, 0, 36, 239, 197);
INSERT INTO public.who_data VALUES (56609, 395, 257491, 11, 29711, 239, 221);
INSERT INTO public.who_data VALUES (56610, 4, 2014, 0, 11, 239, 150);
INSERT INTO public.who_data VALUES (56611, 275, 9257, 16, 572, 239, 56);
INSERT INTO public.who_data VALUES (56612, 16, 373, 0, 10, 239, 167);
INSERT INTO public.who_data VALUES (56613, 1278, 63962, 23, 5424, 239, 23);
INSERT INTO public.who_data VALUES (56614, 92, 31549, 0, 1725, 239, 222);
INSERT INTO public.who_data VALUES (56615, 12, 254, 0, 7, 239, 219);
INSERT INTO public.who_data VALUES (56616, 56, 5747, 0, 52, 239, 7);
INSERT INTO public.who_data VALUES (56617, 0, 3162, 0, 58, 239, 161);
INSERT INTO public.who_data VALUES (56618, 721, 281779, 77, 40249, 239, 149);
INSERT INTO public.who_data VALUES (56619, 0, 24, 0, 0, 239, 6);
INSERT INTO public.who_data VALUES (56620, 3, 591, 0, 14, 239, 139);
INSERT INTO public.who_data VALUES (56621, 0, 0, 0, 0, 239, 211);
INSERT INTO public.who_data VALUES (56622, 0, 0, 0, 0, 239, 14);
INSERT INTO public.who_data VALUES (56623, 0, 123, 0, 8, 239, 111);
INSERT INTO public.who_data VALUES (56624, 4, 1168, 0, 50, 239, 207);
INSERT INTO public.who_data VALUES (56625, 1396, 194511, 19, 5065, 239, 66);
INSERT INTO public.who_data VALUES (56626, 0, 0, 0, 0, 239, 173);
INSERT INTO public.who_data VALUES (56627, 1, 16, 0, 1, 239, 145);
INSERT INTO public.who_data VALUES (56628, 0, 0, 0, 0, 239, 65);
INSERT INTO public.who_data VALUES (56629, 12, 833, 0, 0, 239, 184);
INSERT INTO public.who_data VALUES (56630, 948, 42065, 24, 1110, 239, 98);
INSERT INTO public.who_data VALUES (56631, 410, 46973, 2, 310, 239, 104);
INSERT INTO public.who_data VALUES (56632, 0, 509, 0, 21, 239, 73);
INSERT INTO public.who_data VALUES (56633, 40526, 2407590, 2516, 124161, 239, 8);
INSERT INTO public.who_data VALUES (56634, 1, 81, 0, 6, 239, 227);
INSERT INTO public.who_data VALUES (56635, 5, 907, 0, 26, 239, 75);
INSERT INTO public.who_data VALUES (56636, 262, 7490, 0, 20, 239, 45);
INSERT INTO public.who_data VALUES (56637, 0, 0, 0, 0, 239, 133);
INSERT INTO public.who_data VALUES (56638, 198, 4563, 1, 39, 239, 202);
INSERT INTO public.who_data VALUES (56639, 1, 353, 0, 0, 239, 129);
INSERT INTO public.who_data VALUES (56640, 0, 0, 0, 0, 239, 36);
INSERT INTO public.who_data VALUES (56641, 13, 1089, 5, 293, 239, 51);
INSERT INTO public.who_data VALUES (56642, 34, 1531, 3, 21, 239, 206);
INSERT INTO public.who_data VALUES (56643, 10, 561, 1, 7, 239, 5);
INSERT INTO public.who_data VALUES (56644, 85, 30346, 5, 684, 240, 103);
INSERT INTO public.who_data VALUES (56645, 77, 2269, 3, 51, 240, 58);
INSERT INTO public.who_data VALUES (56646, 197, 12445, 9, 878, 240, 195);
INSERT INTO public.who_data VALUES (56647, 0, 0, 0, 0, 240, 115);
INSERT INTO public.who_data VALUES (56648, 0, 855, 0, 52, 240, 99);
INSERT INTO public.who_data VALUES (56649, 15, 212, 0, 10, 240, 153);
INSERT INTO public.who_data VALUES (56650, 0, 3, 0, 0, 240, 93);
INSERT INTO public.who_data VALUES (56651, 0, 26, 0, 3, 240, 84);
INSERT INTO public.who_data VALUES (56652, 2635, 49851, 39, 1124, 240, 78);
INSERT INTO public.who_data VALUES (56653, 759, 22560, 13, 405, 240, 170);
INSERT INTO public.who_data VALUES (56654, 0, 101, 0, 3, 240, 32);
INSERT INTO public.who_data VALUES (56655, 37, 7558, 1, 104, 240, 155);
INSERT INTO public.who_data VALUES (56656, 47, 17431, 5, 698, 240, 82);
INSERT INTO public.who_data VALUES (56657, 547, 14852, 6, 180, 240, 16);
INSERT INTO public.who_data VALUES (56658, 0, 104, 0, 11, 240, 72);
INSERT INTO public.who_data VALUES (56659, 511, 24081, 2, 71, 240, 43);
INSERT INTO public.who_data VALUES (56660, 3946, 126606, 39, 1621, 240, 120);
INSERT INTO public.who_data VALUES (56661, 0, 97, 0, 7, 240, 213);
INSERT INTO public.who_data VALUES (56662, 437, 60382, 5, 367, 240, 31);
INSERT INTO public.who_data VALUES (56663, 76, 61680, 5, 9598, 240, 204);
INSERT INTO public.who_data VALUES (56664, 0, 23, 0, 2, 240, 152);
INSERT INTO public.who_data VALUES (56665, 115, 1017, 1, 14, 240, 144);
INSERT INTO public.who_data VALUES (56666, 0, 146, 0, 9, 240, 96);
INSERT INTO public.who_data VALUES (56667, 0, 70, 0, 0, 240, 47);
INSERT INTO public.who_data VALUES (56668, 1098, 27487, 30, 876, 240, 80);
INSERT INTO public.who_data VALUES (56669, 0, 2, 0, 0, 240, 159);
INSERT INTO public.who_data VALUES (56670, 119, 3794, 2, 174, 240, 27);
INSERT INTO public.who_data VALUES (56671, 0, 125, 0, 1, 240, 146);
INSERT INTO public.who_data VALUES (56672, 42725, 1188631, 1185, 53830, 240, 71);
INSERT INTO public.who_data VALUES (56673, 0, 8, 0, 1, 240, 210);
INSERT INTO public.who_data VALUES (56674, 0, 141, 0, 3, 240, 54);
INSERT INTO public.who_data VALUES (56675, 166, 4408, 2, 211, 240, 147);
INSERT INTO public.who_data VALUES (56676, 0, 934, 0, 53, 240, 2);
INSERT INTO public.who_data VALUES (56677, 0, 144, 0, 1, 240, 105);
INSERT INTO public.who_data VALUES (56678, 4, 1003, 0, 8, 240, 53);
INSERT INTO public.who_data VALUES (56679, 0, 130, 0, 0, 240, 81);
INSERT INTO public.who_data VALUES (56680, 322, 12592, 0, 313, 240, 223);
INSERT INTO public.who_data VALUES (56681, 279, 102242, 30, 8484, 240, 94);
INSERT INTO public.who_data VALUES (56682, 1, 196, 0, 1, 240, 154);
INSERT INTO public.who_data VALUES (56683, 193, 3244, 3, 40, 240, 83);
INSERT INTO public.who_data VALUES (56684, 3, 863, 0, 74, 240, 194);
INSERT INTO public.who_data VALUES (56685, 4648, 259064, 172, 4903, 240, 136);
INSERT INTO public.who_data VALUES (56686, 29, 85148, 1, 4648, 240, 179);
INSERT INTO public.who_data VALUES (56687, 3541, 77113, 87, 2491, 240, 57);
INSERT INTO public.who_data VALUES (56688, 7, 272, 0, 7, 240, 35);
INSERT INTO public.who_data VALUES (56689, 63, 1204, 1, 38, 240, 228);
INSERT INTO public.who_data VALUES (56690, 0, 0, 0, 0, 240, 19);
INSERT INTO public.who_data VALUES (56691, 147, 2515, 0, 12, 240, 22);
INSERT INTO public.who_data VALUES (56692, 170, 8334, 2, 60, 240, 1);
INSERT INTO public.who_data VALUES (56693, 95, 2483, 0, 107, 240, 21);
INSERT INTO public.who_data VALUES (56694, 2, 2321, 0, 85, 240, 234);
INSERT INTO public.who_data VALUES (56695, 0, 24, 0, 1, 240, 91);
INSERT INTO public.who_data VALUES (56696, 1, 992, 0, 19, 240, 137);
INSERT INTO public.who_data VALUES (56697, 93, 10870, 2, 345, 240, 201);
INSERT INTO public.who_data VALUES (56698, 0, 0, 0, 0, 240, 171);
INSERT INTO public.who_data VALUES (56699, 198, 6410, 0, 141, 240, 92);
INSERT INTO public.who_data VALUES (56700, 21, 12636, 0, 603, 240, 112);
INSERT INTO public.who_data VALUES (56701, 5, 4635, 0, 52, 240, 62);
INSERT INTO public.who_data VALUES (56702, 0, 18, 0, 0, 240, 69);
INSERT INTO public.who_data VALUES (56703, 510, 29141, 7, 698, 240, 220);
INSERT INTO public.who_data VALUES (56704, 822, 53156, 34, 4343, 240, 100);
INSERT INTO public.who_data VALUES (56705, 1569, 61130, 83, 2533, 240, 187);
INSERT INTO public.who_data VALUES (56706, 186, 5336, 7, 126, 240, 63);
INSERT INTO public.who_data VALUES (56707, 0, 1043, 0, 12, 240, 28);
INSERT INTO public.who_data VALUES (56708, 0, 144, 0, 0, 240, 172);
INSERT INTO public.who_data VALUES (56709, 1, 1984, 0, 63, 240, 17);
INSERT INTO public.who_data VALUES (56710, 16, 706, 1, 8, 240, 226);
INSERT INTO public.who_data VALUES (56711, 141, 5175, 3, 81, 240, 236);
INSERT INTO public.who_data VALUES (56712, 0, 13, 0, 0, 240, 76);
INSERT INTO public.who_data VALUES (56713, 0, 187, 0, 0, 240, 30);
INSERT INTO public.who_data VALUES (56714, 0, 18, 0, 0, 240, 128);
INSERT INTO public.who_data VALUES (56715, 5, 7172, 0, 327, 240, 86);
INSERT INTO public.who_data VALUES (56716, 0, 155256, 27, 29675, 240, 140);
INSERT INTO public.who_data VALUES (56717, 206, 3033, 1, 10, 240, 44);
INSERT INTO public.who_data VALUES (56718, 0, 60, 0, 0, 240, 113);
INSERT INTO public.who_data VALUES (56719, 131, 5087, 1, 40, 240, 29);
INSERT INTO public.who_data VALUES (56720, 1, 43, 0, 2, 240, 125);
INSERT INTO public.who_data VALUES (56721, 2, 919, 0, 14, 240, 131);
INSERT INTO public.who_data VALUES (56722, 477, 192556, 21, 8948, 240, 46);
INSERT INTO public.who_data VALUES (56723, 460, 15473, 0, 95, 240, 10);
INSERT INTO public.who_data VALUES (56724, 0, 176, 0, 0, 240, 205);
INSERT INTO public.who_data VALUES (56725, 11, 3321, 1, 191, 240, 50);
INSERT INTO public.who_data VALUES (56726, 0, 13, 0, 0, 240, 20);
INSERT INTO public.who_data VALUES (56727, 0, 23, 0, 0, 240, 13);
INSERT INTO public.who_data VALUES (56728, 0, 174, 0, 14, 240, 148);
INSERT INTO public.who_data VALUES (56729, 14, 237, 0, 5, 240, 230);
INSERT INTO public.who_data VALUES (56730, 279, 14819, 19, 601, 240, 190);
INSERT INTO public.who_data VALUES (56731, 0, 252, 0, 13, 240, 188);
INSERT INTO public.who_data VALUES (56732, 37, 5211, 0, 29, 240, 123);
INSERT INTO public.who_data VALUES (56733, 0, 1556, 0, 19, 240, 9);
INSERT INTO public.who_data VALUES (56734, 3, 209, 0, 12, 240, 102);
INSERT INTO public.who_data VALUES (56735, 105, 5429, 3, 92, 240, 34);
INSERT INTO public.who_data VALUES (56736, 0, 12, 0, 0, 240, 212);
INSERT INTO public.who_data VALUES (56737, 628, 14571, 12, 417, 240, 122);
INSERT INTO public.who_data VALUES (56738, 9, 4123, 1, 577, 240, 38);
INSERT INTO public.who_data VALUES (56739, 1, 1818, 0, 10, 240, 130);
INSERT INTO public.who_data VALUES (56740, 17296, 490401, 407, 15301, 240, 37);
INSERT INTO public.who_data VALUES (56741, 1178, 50187, 47, 2620, 240, 231);
INSERT INTO public.who_data VALUES (56742, 2595, 215096, 134, 10130, 240, 107);
INSERT INTO public.who_data VALUES (56743, 2437, 39139, 107, 1437, 240, 101);
INSERT INTO public.who_data VALUES (56744, 9, 25405, 1, 1727, 240, 132);
INSERT INTO public.who_data VALUES (56745, 0, 336, 0, 24, 240, 176);
INSERT INTO public.who_data VALUES (56746, 487, 22143, 3, 314, 240, 200);
INSERT INTO public.who_data VALUES (56747, 296, 239706, 34, 34678, 240, 169);
INSERT INTO public.who_data VALUES (56748, 8, 678, 0, 10, 240, 225);
INSERT INTO public.who_data VALUES (56749, 87, 18197, 1, 969, 240, 165);
INSERT INTO public.who_data VALUES (56750, 2, 320, 0, 31, 240, 233);
INSERT INTO public.who_data VALUES (56751, 14, 1013, 0, 9, 240, 215);
INSERT INTO public.who_data VALUES (56752, 1557, 26577, 11, 158, 240, 177);
INSERT INTO public.who_data VALUES (56753, 178, 5384, 2, 132, 240, 183);
INSERT INTO public.who_data VALUES (56754, 0, 0, 0, 0, 240, 203);
INSERT INTO public.who_data VALUES (56755, 69, 2389, 2, 31, 240, 162);
INSERT INTO public.who_data VALUES (56756, 909, 42788, 2, 339, 240, 12);
INSERT INTO public.who_data VALUES (56757, 250, 4204, 0, 43, 240, 24);
INSERT INTO public.who_data VALUES (56758, 0, 19, 0, 0, 240, 119);
INSERT INTO public.who_data VALUES (56759, 0, 1111, 0, 30, 240, 39);
INSERT INTO public.who_data VALUES (56760, 18, 1662, 0, 33, 240, 26);
INSERT INTO public.who_data VALUES (56761, 3, 20, 0, 0, 240, 59);
INSERT INTO public.who_data VALUES (56762, 19, 681, 0, 34, 240, 77);
INSERT INTO public.who_data VALUES (56763, 59, 698, 0, 18, 240, 134);
INSERT INTO public.who_data VALUES (56764, 0, 83, 0, 1, 240, 4);
INSERT INTO public.who_data VALUES (56765, 2, 1803, 0, 78, 240, 109);
INSERT INTO public.who_data VALUES (56766, 11, 4151, 0, 110, 240, 90);
INSERT INTO public.who_data VALUES (56767, 42, 1829, 0, 16, 240, 61);
INSERT INTO public.who_data VALUES (56768, 112, 960, 1, 12, 240, 85);
INSERT INTO public.who_data VALUES (56769, 4, 8600, 0, 121, 240, 49);
INSERT INTO public.who_data VALUES (56770, 17, 2277, 0, 8, 240, 208);
INSERT INTO public.who_data VALUES (56771, 34, 2039, 0, 113, 240, 166);
INSERT INTO public.who_data VALUES (56772, 3, 667, 0, 9, 240, 64);
INSERT INTO public.who_data VALUES (56773, 0, 0, 0, 0, 240, 199);
INSERT INTO public.who_data VALUES (56774, 0, 236, 0, 14, 240, 114);
INSERT INTO public.who_data VALUES (56775, 227, 3519, 2, 116, 240, 60);
INSERT INTO public.who_data VALUES (56776, 0, 341, 0, 10, 240, 68);
INSERT INTO public.who_data VALUES (56777, 41, 2508, 0, 34, 240, 158);
INSERT INTO public.who_data VALUES (56778, 5437, 196847, 947, 24324, 240, 52);
INSERT INTO public.who_data VALUES (56779, 0, 0, 0, 0, 240, 117);
INSERT INTO public.who_data VALUES (56780, 0, 72, 0, 1, 240, 126);
INSERT INTO public.who_data VALUES (56781, 1, 216, 0, 0, 240, 196);
INSERT INTO public.who_data VALUES (56782, 25, 449, 0, 9, 240, 142);
INSERT INTO public.who_data VALUES (56783, 0, 11, 0, 1, 240, 185);
INSERT INTO public.who_data VALUES (56784, 431, 11338, 1, 217, 240, 138);
INSERT INTO public.who_data VALUES (56785, 26, 788, 0, 5, 240, 181);
INSERT INTO public.who_data VALUES (56786, 0, 293, 0, 6, 240, 178);
INSERT INTO public.who_data VALUES (56787, 26, 102, 0, 0, 240, 168);
INSERT INTO public.who_data VALUES (56788, 0, 0, 0, 0, 240, 160);
INSERT INTO public.who_data VALUES (56789, 434, 11162, 2, 26, 240, 151);
INSERT INTO public.who_data VALUES (56790, 110, 49690, 3, 6074, 240, 193);
INSERT INTO public.who_data VALUES (56791, 0, 21, 0, 0, 240, 18);
INSERT INTO public.who_data VALUES (56792, 1, 1170, 0, 22, 240, 40);
INSERT INTO public.who_data VALUES (56793, 0, 2014, 0, 74, 240, 218);
INSERT INTO public.who_data VALUES (56794, 3, 1059, 0, 67, 240, 191);
INSERT INTO public.who_data VALUES (56795, 594, 22614, 7, 549, 240, 156);
INSERT INTO public.who_data VALUES (56796, 0, 0, 0, 0, 240, 135);
INSERT INTO public.who_data VALUES (56797, 0, 30, 0, 2, 240, 88);
INSERT INTO public.who_data VALUES (56798, 153, 5603, 6, 265, 240, 55);
INSERT INTO public.who_data VALUES (56799, 16, 8793, 0, 249, 240, 108);
INSERT INTO public.who_data VALUES (56800, 54, 1588, 0, 5, 240, 48);
INSERT INTO public.who_data VALUES (56801, 1366, 34902, 2, 144, 240, 3);
INSERT INTO public.who_data VALUES (56802, 0, 741, 0, 13, 240, 224);
INSERT INTO public.who_data VALUES (56803, 2775, 195745, 59, 3962, 240, 110);
INSERT INTO public.who_data VALUES (56804, 0, 0, 0, 0, 240, 106);
INSERT INTO public.who_data VALUES (56805, 716, 28030, 11, 547, 240, 89);
INSERT INTO public.who_data VALUES (56806, 1, 11, 0, 0, 240, 121);
INSERT INTO public.who_data VALUES (56807, 41, 1569, 0, 13, 240, 163);
INSERT INTO public.who_data VALUES (56808, 3879, 264689, 182, 8586, 240, 70);
INSERT INTO public.who_data VALUES (56809, 774, 33069, 8, 1212, 240, 174);
INSERT INTO public.who_data VALUES (56810, 0, 0, 0, 0, 240, 175);
INSERT INTO public.who_data VALUES (56811, 298, 33119, 16, 1412, 240, 118);
INSERT INTO public.who_data VALUES (56812, 311, 40415, 6, 1549, 240, 189);
INSERT INTO public.who_data VALUES (56813, 57, 6877, 2, 151, 240, 124);
INSERT INTO public.who_data VALUES (56814, 1060, 91838, 2, 106, 240, 192);
INSERT INTO public.who_data VALUES (56815, 39, 12602, 0, 282, 240, 41);
INSERT INTO public.who_data VALUES (56816, 375, 15453, 0, 502, 240, 95);
INSERT INTO public.who_data VALUES (56817, 8, 516, 0, 2, 240, 74);
INSERT INTO public.who_data VALUES (56818, 460, 25286, 10, 1565, 240, 11);
INSERT INTO public.who_data VALUES (56819, 6800, 620794, 176, 8781, 240, 87);
INSERT INTO public.who_data VALUES (56820, 20, 850, 0, 2, 240, 214);
INSERT INTO public.who_data VALUES (56821, 0, 3, 0, 0, 240, 116);
INSERT INTO public.who_data VALUES (56822, 0, 6, 0, 0, 240, 157);
INSERT INTO public.who_data VALUES (56823, 0, 0, 0, 0, 240, 182);
INSERT INTO public.who_data VALUES (56824, 0, 15, 0, 0, 240, 186);
INSERT INTO public.who_data VALUES (56825, 0, 19, 0, 0, 240, 127);
INSERT INTO public.who_data VALUES (56826, 0, 42, 0, 3, 240, 232);
INSERT INTO public.who_data VALUES (56827, 0, 1, 0, 0, 240, 33);
INSERT INTO public.who_data VALUES (56828, 0, 29, 0, 0, 240, 97);
INSERT INTO public.who_data VALUES (56829, 0, 0, 0, 0, 240, 42);
INSERT INTO public.who_data VALUES (56830, 0, 713, 0, 42, 240, 198);
INSERT INTO public.who_data VALUES (56831, 4, 392, 1, 11, 240, 216);
INSERT INTO public.who_data VALUES (56832, 3372, 170639, 41, 1428, 240, 164);
INSERT INTO public.who_data VALUES (56833, 104, 6233, 1, 94, 240, 235);
INSERT INTO public.who_data VALUES (56834, 137, 13372, 1, 264, 240, 67);
INSERT INTO public.who_data VALUES (56835, 5, 16, 0, 0, 240, 15);
INSERT INTO public.who_data VALUES (56836, 27, 1381, 0, 56, 240, 180);
INSERT INTO public.who_data VALUES (56837, 113, 42736, 0, 26, 240, 237);
INSERT INTO public.who_data VALUES (56838, 0, 2, 0, 0, 240, 25);
INSERT INTO public.who_data VALUES (56839, 0, 77, 0, 15, 240, 209);
INSERT INTO public.who_data VALUES (56840, 18, 1607, 0, 28, 240, 217);
INSERT INTO public.who_data VALUES (56841, 6, 1546, 0, 114, 240, 79);
INSERT INTO public.who_data VALUES (56842, 0, 0, 0, 0, 240, 143);
INSERT INTO public.who_data VALUES (56843, 18, 2878, 0, 90, 240, 229);
INSERT INTO public.who_data VALUES (56844, 6579, 118375, 87, 2292, 240, 141);
INSERT INTO public.who_data VALUES (56845, 12, 1942, 0, 36, 240, 197);
INSERT INTO public.who_data VALUES (56846, 331, 257096, 12, 29700, 240, 221);
INSERT INTO public.who_data VALUES (56847, 9, 2010, 0, 11, 240, 150);
INSERT INTO public.who_data VALUES (56848, 95, 8982, 8, 556, 240, 56);
INSERT INTO public.who_data VALUES (56849, 38, 357, 1, 10, 240, 167);
INSERT INTO public.who_data VALUES (56850, 1698, 62684, 22, 5401, 240, 23);
INSERT INTO public.who_data VALUES (56851, 48, 31457, 0, 1725, 240, 222);
INSERT INTO public.who_data VALUES (56852, 11, 242, 0, 7, 240, 219);
INSERT INTO public.who_data VALUES (56853, 61, 5691, 0, 52, 240, 7);
INSERT INTO public.who_data VALUES (56854, 4, 3162, 0, 58, 240, 161);
INSERT INTO public.who_data VALUES (56855, 778, 281058, 99, 40172, 240, 149);
INSERT INTO public.who_data VALUES (56856, 0, 24, 0, 0, 240, 6);
INSERT INTO public.who_data VALUES (56857, 12, 588, 1, 14, 240, 139);
INSERT INTO public.who_data VALUES (56858, 0, 0, 0, 0, 240, 211);
INSERT INTO public.who_data VALUES (56859, 0, 0, 0, 0, 240, 14);
INSERT INTO public.who_data VALUES (56860, 0, 123, 0, 8, 240, 111);
INSERT INTO public.who_data VALUES (56861, 2, 1164, 0, 50, 240, 207);
INSERT INTO public.who_data VALUES (56862, 1458, 193115, 21, 5046, 240, 66);
INSERT INTO public.who_data VALUES (56863, 0, 0, 0, 0, 240, 173);
INSERT INTO public.who_data VALUES (56864, 1, 15, 0, 1, 240, 145);
INSERT INTO public.who_data VALUES (56865, 0, 0, 0, 0, 240, 65);
INSERT INTO public.who_data VALUES (56866, 16, 821, 0, 0, 240, 184);
INSERT INTO public.who_data VALUES (56867, 1109, 41117, 19, 1086, 240, 98);
INSERT INTO public.who_data VALUES (56868, 430, 46563, 1, 308, 240, 104);
INSERT INTO public.who_data VALUES (56869, 0, 509, 0, 21, 240, 73);
INSERT INTO public.who_data VALUES (56870, 37601, 2367064, 690, 121645, 240, 8);
INSERT INTO public.who_data VALUES (56871, 4, 80, 0, 6, 240, 227);
INSERT INTO public.who_data VALUES (56872, 17, 902, 1, 26, 240, 75);
INSERT INTO public.who_data VALUES (56873, 238, 7228, 1, 20, 240, 45);
INSERT INTO public.who_data VALUES (56874, 0, 0, 0, 0, 240, 133);
INSERT INTO public.who_data VALUES (56875, 179, 4365, 3, 38, 240, 202);
INSERT INTO public.who_data VALUES (56876, 0, 352, 0, 0, 240, 129);
INSERT INTO public.who_data VALUES (56877, 0, 0, 0, 0, 240, 36);
INSERT INTO public.who_data VALUES (56878, 61, 1076, 14, 288, 240, 51);
INSERT INTO public.who_data VALUES (56879, 8, 1497, 0, 18, 240, 206);
INSERT INTO public.who_data VALUES (56880, 21, 551, 0, 6, 240, 5);
INSERT INTO public.who_data VALUES (56881, 535, 30261, 36, 679, 241, 103);
INSERT INTO public.who_data VALUES (56882, 78, 2192, 1, 48, 241, 58);
INSERT INTO public.who_data VALUES (56883, 172, 12248, 8, 869, 241, 195);
INSERT INTO public.who_data VALUES (56884, 0, 0, 0, 0, 241, 115);
INSERT INTO public.who_data VALUES (56885, 0, 855, 0, 52, 241, 99);
INSERT INTO public.who_data VALUES (56886, 8, 197, 0, 10, 241, 153);
INSERT INTO public.who_data VALUES (56887, 0, 3, 0, 0, 241, 93);
INSERT INTO public.who_data VALUES (56888, 0, 26, 0, 3, 241, 84);
INSERT INTO public.who_data VALUES (56889, 2285, 47216, 36, 1085, 241, 78);
INSERT INTO public.who_data VALUES (56890, 771, 21801, 11, 392, 241, 170);
INSERT INTO public.who_data VALUES (56891, 0, 101, 0, 3, 241, 32);
INSERT INTO public.who_data VALUES (56892, 29, 7521, 1, 103, 241, 155);
INSERT INTO public.who_data VALUES (56893, 33, 17384, 0, 693, 241, 82);
INSERT INTO public.who_data VALUES (56894, 590, 14305, 7, 174, 241, 16);
INSERT INTO public.who_data VALUES (56895, 0, 104, 0, 11, 241, 72);
INSERT INTO public.who_data VALUES (56896, 508, 23570, 2, 69, 241, 43);
INSERT INTO public.who_data VALUES (56897, 3462, 122660, 37, 1582, 241, 120);
INSERT INTO public.who_data VALUES (56898, 0, 97, 0, 7, 241, 213);
INSERT INTO public.who_data VALUES (56899, 458, 59945, 5, 362, 241, 31);
INSERT INTO public.who_data VALUES (56900, 100, 61604, 3, 9593, 241, 204);
INSERT INTO public.who_data VALUES (56901, 0, 23, 0, 2, 241, 152);
INSERT INTO public.who_data VALUES (56902, 52, 902, 0, 13, 241, 144);
INSERT INTO public.who_data VALUES (56903, 0, 146, 0, 9, 241, 96);
INSERT INTO public.who_data VALUES (56904, 0, 70, 0, 0, 241, 47);
INSERT INTO public.who_data VALUES (56905, 896, 26389, 26, 846, 241, 80);
INSERT INTO public.who_data VALUES (56906, 0, 2, 0, 0, 241, 159);
INSERT INTO public.who_data VALUES (56907, 88, 3675, 1, 172, 241, 27);
INSERT INTO public.who_data VALUES (56908, 36, 125, 0, 1, 241, 146);
INSERT INTO public.who_data VALUES (56909, 39436, 1145906, 1374, 52645, 241, 71);
INSERT INTO public.who_data VALUES (56910, 0, 8, 0, 1, 241, 210);
INSERT INTO public.who_data VALUES (56911, 0, 141, 0, 3, 241, 54);
INSERT INTO public.who_data VALUES (56912, 128, 4242, 1, 209, 241, 147);
INSERT INTO public.who_data VALUES (56913, 31, 934, 0, 53, 241, 2);
INSERT INTO public.who_data VALUES (56914, 0, 144, 0, 1, 241, 105);
INSERT INTO public.who_data VALUES (56915, 16, 999, 0, 8, 241, 53);
INSERT INTO public.who_data VALUES (56916, 0, 130, 0, 0, 241, 81);
INSERT INTO public.who_data VALUES (56917, 229, 12270, 5, 313, 241, 223);
INSERT INTO public.who_data VALUES (56918, 326, 101963, 18, 8454, 241, 94);
INSERT INTO public.who_data VALUES (56919, 0, 195, 0, 1, 241, 154);
INSERT INTO public.who_data VALUES (56920, 0, 3051, 0, 37, 241, 83);
INSERT INTO public.who_data VALUES (56921, 0, 860, 0, 74, 241, 194);
INSERT INTO public.who_data VALUES (56922, 3649, 254416, 226, 4731, 241, 136);
INSERT INTO public.who_data VALUES (56923, 21, 85119, 0, 4647, 241, 179);
INSERT INTO public.who_data VALUES (56924, 2389, 73572, 94, 2404, 241, 57);
INSERT INTO public.who_data VALUES (56925, 0, 265, 0, 7, 241, 35);
INSERT INTO public.who_data VALUES (56926, 0, 1141, 0, 37, 241, 228);
INSERT INTO public.who_data VALUES (56927, 0, 0, 0, 0, 241, 19);
INSERT INTO public.who_data VALUES (56928, 91, 2368, 0, 12, 241, 22);
INSERT INTO public.who_data VALUES (56929, 260, 8164, 0, 58, 241, 1);
INSERT INTO public.who_data VALUES (56930, 22, 2388, 0, 107, 241, 21);
INSERT INTO public.who_data VALUES (56931, 1, 2319, 0, 85, 241, 234);
INSERT INTO public.who_data VALUES (56932, 0, 24, 0, 1, 241, 91);
INSERT INTO public.who_data VALUES (56933, 1, 991, 0, 19, 241, 137);
INSERT INTO public.who_data VALUES (56934, 127, 10777, 4, 343, 241, 201);
INSERT INTO public.who_data VALUES (56935, 0, 0, 0, 0, 241, 171);
INSERT INTO public.who_data VALUES (56936, 186, 6212, 7, 141, 241, 92);
INSERT INTO public.who_data VALUES (56937, 54, 12615, 0, 603, 241, 112);
INSERT INTO public.who_data VALUES (56938, 13, 4630, 3, 52, 241, 62);
INSERT INTO public.who_data VALUES (56939, 0, 18, 0, 0, 241, 69);
INSERT INTO public.who_data VALUES (56940, 695, 28631, 16, 691, 241, 220);
INSERT INTO public.who_data VALUES (56941, 691, 52334, 35, 4309, 241, 100);
INSERT INTO public.who_data VALUES (56942, 1420, 59561, 85, 2450, 241, 187);
INSERT INTO public.who_data VALUES (56943, 177, 5150, 6, 119, 241, 63);
INSERT INTO public.who_data VALUES (56944, 0, 1043, 0, 12, 241, 28);
INSERT INTO public.who_data VALUES (56945, 1, 144, 0, 0, 241, 172);
INSERT INTO public.who_data VALUES (56946, 1, 1983, 0, 63, 241, 17);
INSERT INTO public.who_data VALUES (56947, 16, 690, 0, 7, 241, 226);
INSERT INTO public.who_data VALUES (56948, 186, 5034, 3, 78, 241, 236);
INSERT INTO public.who_data VALUES (56949, 0, 13, 0, 0, 241, 76);
INSERT INTO public.who_data VALUES (56950, 0, 187, 0, 0, 241, 30);
INSERT INTO public.who_data VALUES (56951, 0, 18, 0, 0, 241, 128);
INSERT INTO public.who_data VALUES (56952, 12, 7167, 0, 327, 241, 86);
INSERT INTO public.who_data VALUES (56953, 0, 155256, 0, 29648, 241, 140);
INSERT INTO public.who_data VALUES (56954, 234, 2827, 1, 9, 241, 44);
INSERT INTO public.who_data VALUES (56955, 0, 60, 0, 0, 241, 113);
INSERT INTO public.who_data VALUES (56956, 107, 4956, 0, 39, 241, 29);
INSERT INTO public.who_data VALUES (56957, 0, 42, 0, 2, 241, 125);
INSERT INTO public.who_data VALUES (56958, 3, 917, 0, 14, 241, 131);
INSERT INTO public.who_data VALUES (56959, 630, 192079, 13, 8927, 241, 46);
INSERT INTO public.who_data VALUES (56960, 445, 15013, 0, 95, 241, 10);
INSERT INTO public.who_data VALUES (56961, 0, 176, 0, 0, 241, 205);
INSERT INTO public.who_data VALUES (56962, 8, 3310, 0, 190, 241, 50);
INSERT INTO public.who_data VALUES (56963, 0, 13, 0, 0, 241, 20);
INSERT INTO public.who_data VALUES (56964, 0, 23, 0, 0, 241, 13);
INSERT INTO public.who_data VALUES (56965, 0, 174, 0, 14, 241, 148);
INSERT INTO public.who_data VALUES (56966, 6, 223, 0, 5, 241, 230);
INSERT INTO public.who_data VALUES (56967, 771, 14540, 35, 582, 241, 190);
INSERT INTO public.who_data VALUES (56968, 0, 252, 0, 13, 241, 188);
INSERT INTO public.who_data VALUES (56969, 70, 5174, 0, 29, 241, 123);
INSERT INTO public.who_data VALUES (56970, 0, 1556, 0, 19, 241, 9);
INSERT INTO public.who_data VALUES (56971, 1, 206, 0, 12, 241, 102);
INSERT INTO public.who_data VALUES (56972, 108, 5324, 1, 89, 241, 34);
INSERT INTO public.who_data VALUES (56973, 0, 12, 0, 0, 241, 212);
INSERT INTO public.who_data VALUES (56974, 587, 13943, 10, 405, 241, 122);
INSERT INTO public.who_data VALUES (56975, 7, 4114, 3, 576, 241, 38);
INSERT INTO public.who_data VALUES (56976, 2, 1817, 0, 10, 241, 130);
INSERT INTO public.who_data VALUES (56977, 16922, 473105, 418, 14894, 241, 37);
INSERT INTO public.who_data VALUES (56978, 1113, 49009, 38, 2573, 241, 231);
INSERT INTO public.who_data VALUES (56979, 2531, 212501, 133, 9996, 241, 107);
INSERT INTO public.who_data VALUES (56980, 2200, 36702, 79, 1330, 241, 101);
INSERT INTO public.who_data VALUES (56981, 5, 25396, 6, 1726, 241, 132);
INSERT INTO public.who_data VALUES (56982, 0, 336, 0, 24, 241, 176);
INSERT INTO public.who_data VALUES (56983, 452, 21656, 2, 311, 241, 200);
INSERT INTO public.who_data VALUES (56984, 577, 239410, -31, 34644, 241, 169);
INSERT INTO public.who_data VALUES (56985, 5, 670, 0, 10, 241, 225);
INSERT INTO public.who_data VALUES (56986, 86, 18110, 5, 968, 241, 165);
INSERT INTO public.who_data VALUES (56987, 0, 318, 0, 31, 241, 233);
INSERT INTO public.who_data VALUES (56988, 19, 999, 0, 9, 241, 215);
INSERT INTO public.who_data VALUES (56989, 1348, 25020, 11, 147, 241, 177);
INSERT INTO public.who_data VALUES (56990, 254, 5206, 2, 130, 241, 183);
INSERT INTO public.who_data VALUES (56991, 0, 0, 0, 0, 241, 203);
INSERT INTO public.who_data VALUES (56992, 95, 2320, 1, 29, 241, 162);
INSERT INTO public.who_data VALUES (56993, 846, 41879, 3, 337, 241, 12);
INSERT INTO public.who_data VALUES (56994, 228, 3954, 1, 43, 241, 24);
INSERT INTO public.who_data VALUES (56995, 0, 19, 0, 0, 241, 119);
INSERT INTO public.who_data VALUES (56996, 0, 1111, 0, 30, 241, 39);
INSERT INTO public.who_data VALUES (56997, 22, 1644, 1, 33, 241, 26);
INSERT INTO public.who_data VALUES (56998, 0, 17, 0, 0, 241, 59);
INSERT INTO public.who_data VALUES (56999, 10, 662, 0, 34, 241, 77);
INSERT INTO public.who_data VALUES (57000, 0, 639, 1, 18, 241, 134);
INSERT INTO public.who_data VALUES (57001, 0, 83, 0, 1, 241, 4);
INSERT INTO public.who_data VALUES (57002, 2, 1801, 0, 78, 241, 109);
INSERT INTO public.who_data VALUES (57003, 7, 4140, 0, 110, 241, 90);
INSERT INTO public.who_data VALUES (57004, 147, 1787, 1, 16, 241, 61);
INSERT INTO public.who_data VALUES (57005, 45, 848, 0, 11, 241, 85);
INSERT INTO public.who_data VALUES (57006, 6, 8596, 0, 121, 241, 49);
INSERT INTO public.who_data VALUES (57007, 22, 2260, 0, 8, 241, 208);
INSERT INTO public.who_data VALUES (57008, 27, 2005, 2, 113, 241, 166);
INSERT INTO public.who_data VALUES (57009, 0, 664, 0, 9, 241, 64);
INSERT INTO public.who_data VALUES (57010, 0, 0, 0, 0, 241, 199);
INSERT INTO public.who_data VALUES (57011, 0, 236, 0, 14, 241, 114);
INSERT INTO public.who_data VALUES (57012, 171, 3292, 2, 114, 241, 60);
INSERT INTO public.who_data VALUES (57013, 1, 341, 0, 10, 241, 68);
INSERT INTO public.who_data VALUES (57014, 15, 2467, 2, 34, 241, 158);
INSERT INTO public.who_data VALUES (57015, 6288, 191410, 793, 23377, 241, 52);
INSERT INTO public.who_data VALUES (57016, 0, 0, 0, 0, 241, 117);
INSERT INTO public.who_data VALUES (57017, 1, 72, 0, 1, 241, 126);
INSERT INTO public.who_data VALUES (57018, 0, 215, 0, 0, 241, 196);
INSERT INTO public.who_data VALUES (57019, 29, 424, 0, 9, 241, 142);
INSERT INTO public.who_data VALUES (57020, 0, 11, 0, 1, 241, 185);
INSERT INTO public.who_data VALUES (57021, 563, 10907, 2, 216, 241, 138);
INSERT INTO public.who_data VALUES (57022, 5, 762, 0, 5, 241, 181);
INSERT INTO public.who_data VALUES (57023, 1, 293, 0, 6, 241, 178);
INSERT INTO public.who_data VALUES (57024, 4, 76, 0, 0, 241, 168);
INSERT INTO public.who_data VALUES (57025, 0, 0, 0, 0, 241, 160);
INSERT INTO public.who_data VALUES (57026, 629, 10728, 0, 24, 241, 151);
INSERT INTO public.who_data VALUES (57027, 80, 49580, 3, 6071, 241, 193);
INSERT INTO public.who_data VALUES (57028, 0, 21, 0, 0, 241, 18);
INSERT INTO public.who_data VALUES (57029, 3, 1169, 0, 22, 241, 40);
INSERT INTO public.who_data VALUES (57030, 0, 2014, 10, 74, 241, 218);
INSERT INTO public.who_data VALUES (57031, 5, 1056, 0, 67, 241, 191);
INSERT INTO public.who_data VALUES (57032, 649, 22020, 9, 542, 241, 156);
INSERT INTO public.who_data VALUES (57033, 0, 0, 0, 0, 241, 135);
INSERT INTO public.who_data VALUES (57034, 0, 30, 0, 2, 241, 88);
INSERT INTO public.who_data VALUES (57035, 136, 5450, 8, 259, 241, 55);
INSERT INTO public.who_data VALUES (57036, 26, 8777, 1, 249, 241, 108);
INSERT INTO public.who_data VALUES (57037, 159, 1534, 0, 5, 241, 48);
INSERT INTO public.who_data VALUES (57038, 1142, 33536, 2, 142, 241, 3);
INSERT INTO public.who_data VALUES (57039, 0, 741, 0, 13, 241, 224);
INSERT INTO public.who_data VALUES (57040, 4044, 192970, 148, 3903, 241, 110);
INSERT INTO public.who_data VALUES (57041, 0, 0, 0, 0, 241, 106);
INSERT INTO public.who_data VALUES (57042, 562, 27314, 15, 536, 241, 89);
INSERT INTO public.who_data VALUES (57043, 1, 10, 0, 0, 241, 121);
INSERT INTO public.who_data VALUES (57044, 106, 1528, 0, 13, 241, 163);
INSERT INTO public.who_data VALUES (57045, 3363, 260810, 181, 8404, 241, 70);
INSERT INTO public.who_data VALUES (57046, 470, 32295, 18, 1204, 241, 174);
INSERT INTO public.who_data VALUES (57047, 0, 0, 0, 0, 241, 175);
INSERT INTO public.who_data VALUES (57048, 294, 32821, 21, 1396, 241, 118);
INSERT INTO public.who_data VALUES (57049, 367, 40104, 3, 1543, 241, 189);
INSERT INTO public.who_data VALUES (57050, 135, 6820, 0, 149, 241, 124);
INSERT INTO public.who_data VALUES (57051, 1199, 90778, 5, 104, 241, 192);
INSERT INTO public.who_data VALUES (57052, 28, 12563, 1, 282, 241, 41);
INSERT INTO public.who_data VALUES (57053, 364, 15078, 10, 502, 241, 95);
INSERT INTO public.who_data VALUES (57054, 1, 508, 1, 2, 241, 74);
INSERT INTO public.who_data VALUES (57055, 321, 24826, 16, 1555, 241, 11);
INSERT INTO public.who_data VALUES (57056, 7113, 613994, 92, 8605, 241, 87);
INSERT INTO public.who_data VALUES (57057, 32, 830, 0, 2, 241, 214);
INSERT INTO public.who_data VALUES (57058, 0, 3, 0, 0, 241, 116);
INSERT INTO public.who_data VALUES (57059, 0, 6, 0, 0, 241, 157);
INSERT INTO public.who_data VALUES (57060, 0, 0, 0, 0, 241, 182);
INSERT INTO public.who_data VALUES (57061, 0, 15, 0, 0, 241, 186);
INSERT INTO public.who_data VALUES (57062, 0, 19, 0, 0, 241, 127);
INSERT INTO public.who_data VALUES (57063, 0, 42, 0, 3, 241, 232);
INSERT INTO public.who_data VALUES (57064, 0, 1, 0, 0, 241, 33);
INSERT INTO public.who_data VALUES (57065, 0, 29, 0, 0, 241, 97);
INSERT INTO public.who_data VALUES (57066, 0, 0, 0, 0, 241, 42);
INSERT INTO public.who_data VALUES (57067, 0, 713, 0, 42, 241, 198);
INSERT INTO public.who_data VALUES (57068, 0, 388, 0, 10, 241, 216);
INSERT INTO public.who_data VALUES (57069, 3123, 167267, 41, 1387, 241, 164);
INSERT INTO public.who_data VALUES (57070, 95, 6129, 4, 93, 241, 235);
INSERT INTO public.who_data VALUES (57071, 143, 13235, 0, 263, 241, 67);
INSERT INTO public.who_data VALUES (57072, 0, 11, 0, 0, 241, 15);
INSERT INTO public.who_data VALUES (57073, 7, 1354, 1, 56, 241, 180);
INSERT INTO public.who_data VALUES (57074, 191, 42623, 0, 26, 241, 237);
INSERT INTO public.who_data VALUES (57075, 0, 2, 0, 0, 241, 25);
INSERT INTO public.who_data VALUES (57076, 0, 77, 0, 15, 241, 209);
INSERT INTO public.who_data VALUES (57077, 1, 1589, 0, 28, 241, 217);
INSERT INTO public.who_data VALUES (57078, 6, 1540, 0, 114, 241, 79);
INSERT INTO public.who_data VALUES (57079, 0, 0, 0, 0, 241, 143);
INSERT INTO public.who_data VALUES (57080, 25, 2860, 0, 90, 241, 229);
INSERT INTO public.who_data VALUES (57081, 5688, 111796, 103, 2205, 241, 141);
INSERT INTO public.who_data VALUES (57082, 14, 1930, 1, 36, 241, 197);
INSERT INTO public.who_data VALUES (57083, 472, 256765, 9, 29688, 241, 221);
INSERT INTO public.who_data VALUES (57084, 10, 2001, 0, 11, 241, 150);
INSERT INTO public.who_data VALUES (57085, 0, 8887, 0, 548, 241, 56);
INSERT INTO public.who_data VALUES (57086, 0, 319, 0, 9, 241, 167);
INSERT INTO public.who_data VALUES (57087, 1309, 60986, 25, 5379, 241, 23);
INSERT INTO public.who_data VALUES (57088, 64, 31409, 0, 1725, 241, 222);
INSERT INTO public.who_data VALUES (57089, 0, 231, 0, 7, 241, 219);
INSERT INTO public.who_data VALUES (57090, 63, 5630, 0, 52, 241, 7);
INSERT INTO public.who_data VALUES (57091, 1, 3158, 0, 58, 241, 161);
INSERT INTO public.who_data VALUES (57092, 886, 280280, 87, 40073, 241, 149);
INSERT INTO public.who_data VALUES (57093, 0, 24, 0, 0, 241, 6);
INSERT INTO public.who_data VALUES (57094, 0, 576, 0, 13, 241, 139);
INSERT INTO public.who_data VALUES (57095, 0, 0, 0, 0, 241, 211);
INSERT INTO public.who_data VALUES (57096, 0, 0, 0, 0, 241, 14);
INSERT INTO public.who_data VALUES (57097, 0, 123, 0, 8, 241, 111);
INSERT INTO public.who_data VALUES (57098, 2, 1162, 0, 50, 241, 207);
INSERT INTO public.who_data VALUES (57099, 1492, 191657, 24, 5025, 241, 66);
INSERT INTO public.who_data VALUES (57100, 0, 0, 0, 0, 241, 173);
INSERT INTO public.who_data VALUES (57101, 0, 14, 0, 1, 241, 145);
INSERT INTO public.who_data VALUES (57102, 0, 0, 0, 0, 241, 65);
INSERT INTO public.who_data VALUES (57103, 8, 805, 0, 0, 241, 184);
INSERT INTO public.who_data VALUES (57104, 994, 40008, 16, 1067, 241, 98);
INSERT INTO public.who_data VALUES (57105, 450, 46133, 2, 307, 241, 104);
INSERT INTO public.who_data VALUES (57106, 0, 509, 0, 21, 241, 73);
INSERT INTO public.who_data VALUES (57107, 34191, 2329463, 784, 120955, 241, 8);
INSERT INTO public.who_data VALUES (57108, 0, 76, 0, 6, 241, 227);
INSERT INTO public.who_data VALUES (57109, 3, 885, 0, 25, 241, 75);
INSERT INTO public.who_data VALUES (57110, 235, 6990, 0, 19, 241, 45);
INSERT INTO public.who_data VALUES (57111, 0, 0, 0, 0, 241, 133);
INSERT INTO public.who_data VALUES (57112, 138, 4186, 0, 35, 241, 202);
INSERT INTO public.who_data VALUES (57113, 3, 352, 0, 0, 241, 129);
INSERT INTO public.who_data VALUES (57114, 0, 0, 0, 0, 241, 36);
INSERT INTO public.who_data VALUES (57115, 23, 1015, 13, 274, 241, 51);
INSERT INTO public.who_data VALUES (57116, 12, 1489, 0, 18, 241, 206);
INSERT INTO public.who_data VALUES (57117, 5, 530, 0, 6, 241, 5);
INSERT INTO public.who_data VALUES (57118, 159, 29726, 21, 643, 242, 103);
INSERT INTO public.who_data VALUES (57119, 67, 2114, 2, 47, 242, 58);
INSERT INTO public.who_data VALUES (57120, 156, 12076, 9, 861, 242, 195);
INSERT INTO public.who_data VALUES (57121, 0, 0, 0, 0, 242, 115);
INSERT INTO public.who_data VALUES (57122, 0, 855, 0, 52, 242, 99);
INSERT INTO public.who_data VALUES (57123, 6, 189, 1, 10, 242, 153);
INSERT INTO public.who_data VALUES (57124, 0, 3, 0, 0, 242, 93);
INSERT INTO public.who_data VALUES (57125, 0, 26, 0, 3, 242, 84);
INSERT INTO public.who_data VALUES (57126, 2146, 44931, 33, 1049, 242, 78);
INSERT INTO public.who_data VALUES (57127, 711, 21030, 14, 381, 242, 170);
INSERT INTO public.who_data VALUES (57128, 0, 101, 0, 3, 242, 32);
INSERT INTO public.who_data VALUES (57129, 18, 7492, 0, 102, 242, 155);
INSERT INTO public.who_data VALUES (57130, 31, 17351, 3, 693, 242, 82);
INSERT INTO public.who_data VALUES (57131, 508, 13715, 6, 167, 242, 16);
INSERT INTO public.who_data VALUES (57132, 0, 104, 0, 11, 242, 72);
INSERT INTO public.who_data VALUES (57133, 655, 23062, 2, 67, 242, 43);
INSERT INTO public.who_data VALUES (57134, 3412, 119198, 43, 1545, 242, 120);
INSERT INTO public.who_data VALUES (57135, 0, 97, 0, 7, 242, 213);
INSERT INTO public.who_data VALUES (57136, 464, 59487, 6, 357, 242, 31);
INSERT INTO public.who_data VALUES (57137, 110, 61504, 4, 9590, 242, 204);
INSERT INTO public.who_data VALUES (57138, 1, 23, 0, 2, 242, 152);
INSERT INTO public.who_data VALUES (57139, 43, 850, 0, 13, 242, 144);
INSERT INTO public.who_data VALUES (57140, 0, 146, 0, 9, 242, 96);
INSERT INTO public.who_data VALUES (57141, 1, 70, 0, 0, 242, 47);
INSERT INTO public.who_data VALUES (57142, 1105, 25493, 47, 820, 242, 80);
INSERT INTO public.who_data VALUES (57143, 0, 2, 0, 0, 242, 159);
INSERT INTO public.who_data VALUES (57144, 63, 3587, 1, 171, 242, 27);
INSERT INTO public.who_data VALUES (57145, 0, 89, 0, 1, 242, 146);
INSERT INTO public.who_data VALUES (57146, 21432, 1106470, 654, 51271, 242, 71);
INSERT INTO public.who_data VALUES (57147, 0, 8, 0, 1, 242, 210);
INSERT INTO public.who_data VALUES (57148, 0, 141, 0, 3, 242, 54);
INSERT INTO public.who_data VALUES (57149, 130, 4114, 1, 208, 242, 147);
INSERT INTO public.who_data VALUES (57150, 0, 903, 0, 53, 242, 2);
INSERT INTO public.who_data VALUES (57151, 0, 144, 0, 1, 242, 105);
INSERT INTO public.who_data VALUES (57152, 39, 983, 0, 8, 242, 53);
INSERT INTO public.who_data VALUES (57153, 1, 130, 0, 0, 242, 81);
INSERT INTO public.who_data VALUES (57154, 149, 12041, 5, 308, 242, 223);
INSERT INTO public.who_data VALUES (57155, 300, 101637, 6, 8436, 242, 94);
INSERT INTO public.who_data VALUES (57156, 0, 195, 0, 1, 242, 154);
INSERT INTO public.who_data VALUES (57157, 88, 3051, 7, 37, 242, 83);
INSERT INTO public.who_data VALUES (57158, 2, 860, 0, 74, 242, 194);
INSERT INTO public.who_data VALUES (57159, 3804, 250767, 3, 4505, 242, 136);
INSERT INTO public.who_data VALUES (57160, 28, 85098, 1, 4647, 242, 179);
INSERT INTO public.who_data VALUES (57161, 2531, 71183, 73, 2310, 242, 57);
INSERT INTO public.who_data VALUES (57162, 18, 265, 2, 7, 242, 35);
INSERT INTO public.who_data VALUES (57163, 54, 1141, 0, 37, 242, 228);
INSERT INTO public.who_data VALUES (57164, 0, 0, 0, 0, 242, 19);
INSERT INTO public.who_data VALUES (57165, 64, 2277, 0, 12, 242, 22);
INSERT INTO public.who_data VALUES (57166, 227, 7904, 2, 58, 242, 1);
INSERT INTO public.who_data VALUES (57167, 30, 2366, 0, 107, 242, 21);
INSERT INTO public.who_data VALUES (57168, 3, 2318, 0, 85, 242, 234);
INSERT INTO public.who_data VALUES (57169, 1, 24, 0, 1, 242, 91);
INSERT INTO public.who_data VALUES (57170, 2, 990, 0, 19, 242, 137);
INSERT INTO public.who_data VALUES (57171, 89, 10650, 3, 339, 242, 201);
INSERT INTO public.who_data VALUES (57172, 0, 0, 0, 0, 242, 171);
INSERT INTO public.who_data VALUES (57173, 102, 6026, 0, 134, 242, 92);
INSERT INTO public.who_data VALUES (57174, 34, 12561, 1, 603, 242, 112);
INSERT INTO public.who_data VALUES (57175, 18, 4617, 1, 49, 242, 62);
INSERT INTO public.who_data VALUES (57176, 0, 18, 0, 0, 242, 69);
INSERT INTO public.who_data VALUES (57177, 566, 27936, 6, 675, 242, 220);
INSERT INTO public.who_data VALUES (57178, 728, 51643, 28, 4274, 242, 100);
INSERT INTO public.who_data VALUES (57179, 1332, 58141, 87, 2365, 242, 187);
INSERT INTO public.who_data VALUES (57180, 165, 4973, 6, 113, 242, 63);
INSERT INTO public.who_data VALUES (57181, 0, 1043, 0, 12, 242, 28);
INSERT INTO public.who_data VALUES (57182, 0, 143, 0, 0, 242, 172);
INSERT INTO public.who_data VALUES (57183, 1, 1982, 0, 63, 242, 17);
INSERT INTO public.who_data VALUES (57184, 31, 674, 1, 7, 242, 226);
INSERT INTO public.who_data VALUES (57185, 185, 4848, 0, 75, 242, 236);
INSERT INTO public.who_data VALUES (57186, 0, 13, 0, 0, 242, 76);
INSERT INTO public.who_data VALUES (57187, 0, 187, 0, 0, 242, 30);
INSERT INTO public.who_data VALUES (57188, 0, 18, 0, 0, 242, 128);
INSERT INTO public.who_data VALUES (57189, 11, 7155, 0, 327, 242, 86);
INSERT INTO public.who_data VALUES (57190, 364, 155256, 57, 29648, 242, 140);
INSERT INTO public.who_data VALUES (57191, 135, 2593, 0, 8, 242, 44);
INSERT INTO public.who_data VALUES (57192, 0, 60, 0, 0, 242, 113);
INSERT INTO public.who_data VALUES (57193, 110, 4849, 0, 39, 242, 29);
INSERT INTO public.who_data VALUES (57194, 1, 42, 0, 2, 242, 125);
INSERT INTO public.who_data VALUES (57195, 3, 914, 0, 14, 242, 131);
INSERT INTO public.who_data VALUES (57196, 587, 191449, 19, 8914, 242, 46);
INSERT INTO public.who_data VALUES (57197, 414, 14568, 10, 95, 242, 10);
INSERT INTO public.who_data VALUES (57198, 0, 176, 0, 0, 242, 205);
INSERT INTO public.who_data VALUES (57199, 15, 3302, 0, 190, 242, 50);
INSERT INTO public.who_data VALUES (57200, 0, 13, 0, 0, 242, 20);
INSERT INTO public.who_data VALUES (57201, 0, 23, 0, 0, 242, 13);
INSERT INTO public.who_data VALUES (57202, 0, 174, 0, 14, 242, 148);
INSERT INTO public.who_data VALUES (57203, 1, 217, 0, 5, 242, 230);
INSERT INTO public.who_data VALUES (57204, 624, 13769, 16, 547, 242, 190);
INSERT INTO public.who_data VALUES (57205, 0, 252, 0, 13, 242, 188);
INSERT INTO public.who_data VALUES (57206, 116, 5104, 2, 29, 242, 123);
INSERT INTO public.who_data VALUES (57207, 0, 1556, 0, 19, 242, 9);
INSERT INTO public.who_data VALUES (57208, 21, 205, 0, 12, 242, 102);
INSERT INTO public.who_data VALUES (57209, 5, 5216, 0, 88, 242, 34);
INSERT INTO public.who_data VALUES (57210, 0, 12, 0, 0, 242, 212);
INSERT INTO public.who_data VALUES (57211, 531, 13356, 32, 395, 242, 122);
INSERT INTO public.who_data VALUES (57212, 0, 4107, 0, 573, 242, 38);
INSERT INTO public.who_data VALUES (57213, 0, 1815, 0, 10, 242, 130);
INSERT INTO public.who_data VALUES (57214, 15968, 456183, 465, 14476, 242, 37);
INSERT INTO public.who_data VALUES (57215, 1051, 47896, 35, 2535, 242, 231);
INSERT INTO public.who_data VALUES (57216, 2445, 209970, 121, 9863, 242, 107);
INSERT INTO public.who_data VALUES (57217, 1826, 34502, 84, 1251, 242, 101);
INSERT INTO public.who_data VALUES (57218, 8, 25391, 3, 1720, 242, 132);
INSERT INTO public.who_data VALUES (57219, 0, 336, 0, 24, 242, 176);
INSERT INTO public.who_data VALUES (57220, 345, 21204, 1, 309, 242, 200);
INSERT INTO public.who_data VALUES (57221, 113, 238833, 18, 34675, 242, 169);
INSERT INTO public.who_data VALUES (57222, 6, 665, 0, 10, 242, 225);
INSERT INTO public.who_data VALUES (57223, 56, 18024, 8, 963, 242, 165);
INSERT INTO public.who_data VALUES (57224, 0, 318, 0, 31, 242, 233);
INSERT INTO public.who_data VALUES (57225, 4, 980, 0, 9, 242, 215);
INSERT INTO public.who_data VALUES (57226, 1476, 23672, 2, 136, 242, 177);
INSERT INTO public.who_data VALUES (57227, 155, 4952, 3, 128, 242, 183);
INSERT INTO public.who_data VALUES (57228, 0, 0, 0, 0, 242, 203);
INSERT INTO public.who_data VALUES (57229, 52, 2225, 1, 28, 242, 162);
INSERT INTO public.who_data VALUES (57230, 742, 41033, 4, 334, 242, 12);
INSERT INTO public.who_data VALUES (57231, 207, 3726, 1, 42, 242, 24);
INSERT INTO public.who_data VALUES (57232, 0, 19, 0, 0, 242, 119);
INSERT INTO public.who_data VALUES (57233, 0, 1111, 0, 30, 242, 39);
INSERT INTO public.who_data VALUES (57234, 19, 1622, 0, 32, 242, 26);
INSERT INTO public.who_data VALUES (57235, 5, 17, 0, 0, 242, 59);
INSERT INTO public.who_data VALUES (57236, 2, 652, 0, 34, 242, 77);
INSERT INTO public.who_data VALUES (57237, 68, 639, 7, 17, 242, 134);
INSERT INTO public.who_data VALUES (57238, 0, 83, 0, 1, 242, 4);
INSERT INTO public.who_data VALUES (57239, 1, 1799, 1, 78, 242, 109);
INSERT INTO public.who_data VALUES (57240, 12, 4133, 0, 110, 242, 90);
INSERT INTO public.who_data VALUES (57241, 0, 1640, 0, 15, 242, 61);
INSERT INTO public.who_data VALUES (57242, 58, 803, 0, 11, 242, 85);
INSERT INTO public.who_data VALUES (57243, 3, 8590, 0, 121, 242, 49);
INSERT INTO public.who_data VALUES (57244, 21, 2238, 0, 8, 242, 208);
INSERT INTO public.who_data VALUES (57245, 17, 1978, 0, 111, 242, 166);
INSERT INTO public.who_data VALUES (57246, 0, 664, 0, 9, 242, 64);
INSERT INTO public.who_data VALUES (57247, 0, 0, 0, 0, 242, 199);
INSERT INTO public.who_data VALUES (57248, 0, 236, 0, 14, 242, 114);
INSERT INTO public.who_data VALUES (57249, 137, 3121, 1, 112, 242, 60);
INSERT INTO public.who_data VALUES (57250, 0, 340, 0, 10, 242, 68);
INSERT INTO public.who_data VALUES (57251, 18, 2452, 0, 32, 242, 158);
INSERT INTO public.who_data VALUES (57252, 4577, 185122, 759, 22584, 242, 52);
INSERT INTO public.who_data VALUES (57253, 0, 0, 0, 0, 242, 117);
INSERT INTO public.who_data VALUES (57254, 0, 71, 0, 1, 242, 126);
INSERT INTO public.who_data VALUES (57255, 2, 215, 0, 0, 242, 196);
INSERT INTO public.who_data VALUES (57256, 12, 395, 0, 9, 242, 142);
INSERT INTO public.who_data VALUES (57257, 0, 11, 0, 1, 242, 185);
INSERT INTO public.who_data VALUES (57258, 172, 10344, 0, 214, 242, 138);
INSERT INTO public.who_data VALUES (57259, 20, 757, 0, 5, 242, 181);
INSERT INTO public.who_data VALUES (57260, 1, 292, 0, 6, 242, 178);
INSERT INTO public.who_data VALUES (57261, 9, 72, 0, 0, 242, 168);
INSERT INTO public.who_data VALUES (57262, 0, 0, 0, 0, 242, 160);
INSERT INTO public.who_data VALUES (57263, 538, 10099, 1, 24, 242, 151);
INSERT INTO public.who_data VALUES (57264, 70, 49500, 5, 6068, 242, 193);
INSERT INTO public.who_data VALUES (57265, 0, 21, 0, 0, 242, 18);
INSERT INTO public.who_data VALUES (57266, 1, 1166, 0, 22, 242, 40);
INSERT INTO public.who_data VALUES (57267, 0, 2014, 0, 64, 242, 218);
INSERT INTO public.who_data VALUES (57268, 5, 1051, 0, 67, 242, 191);
INSERT INTO public.who_data VALUES (57269, 452, 21371, 8, 533, 242, 156);
INSERT INTO public.who_data VALUES (57270, 0, 0, 0, 0, 242, 135);
INSERT INTO public.who_data VALUES (57271, 0, 30, 0, 2, 242, 88);
INSERT INTO public.who_data VALUES (57272, 118, 5314, 4, 251, 242, 55);
INSERT INTO public.who_data VALUES (57273, 6, 8751, 0, 248, 242, 108);
INSERT INTO public.who_data VALUES (57274, 179, 1375, 0, 5, 242, 48);
INSERT INTO public.who_data VALUES (57275, 1318, 32394, 3, 140, 242, 3);
INSERT INTO public.who_data VALUES (57276, 0, 741, 0, 13, 242, 224);
INSERT INTO public.who_data VALUES (57277, 3892, 188926, 60, 3755, 242, 110);
INSERT INTO public.who_data VALUES (57278, 0, 0, 0, 0, 242, 106);
INSERT INTO public.who_data VALUES (57279, 722, 26752, 20, 521, 242, 89);
INSERT INTO public.who_data VALUES (57280, 0, 9, 0, 0, 242, 121);
INSERT INTO public.who_data VALUES (57281, 30, 1422, 0, 13, 242, 163);
INSERT INTO public.who_data VALUES (57282, 2511, 257447, 178, 8223, 242, 70);
INSERT INTO public.who_data VALUES (57283, 1143, 31825, 9, 1186, 242, 174);
INSERT INTO public.who_data VALUES (57284, 0, 0, 0, 0, 242, 175);
INSERT INTO public.who_data VALUES (57285, 300, 32527, 16, 1375, 242, 118);
INSERT INTO public.who_data VALUES (57286, 345, 39737, 6, 1540, 242, 189);
INSERT INTO public.who_data VALUES (57287, 121, 6685, 0, 149, 242, 124);
INSERT INTO public.who_data VALUES (57288, 1176, 89579, 0, 99, 242, 192);
INSERT INTO public.who_data VALUES (57289, 51, 12535, 0, 281, 242, 41);
INSERT INTO public.who_data VALUES (57290, 351, 14714, 8, 492, 242, 95);
INSERT INTO public.who_data VALUES (57291, 0, 507, 0, 1, 242, 74);
INSERT INTO public.who_data VALUES (57292, 214, 24505, 16, 1539, 242, 11);
INSERT INTO public.who_data VALUES (57293, 7176, 606881, 154, 8513, 242, 87);
INSERT INTO public.who_data VALUES (57294, 11, 798, 0, 2, 242, 214);
INSERT INTO public.who_data VALUES (57295, 0, 3, 0, 0, 242, 116);
INSERT INTO public.who_data VALUES (57296, 0, 6, 0, 0, 242, 157);
INSERT INTO public.who_data VALUES (57297, 0, 0, 0, 0, 242, 182);
INSERT INTO public.who_data VALUES (57298, 0, 15, 0, 0, 242, 186);
INSERT INTO public.who_data VALUES (57299, 0, 19, 0, 0, 242, 127);
INSERT INTO public.who_data VALUES (57300, 0, 42, 0, 3, 242, 232);
INSERT INTO public.who_data VALUES (57301, 0, 1, 0, 0, 242, 33);
INSERT INTO public.who_data VALUES (57302, 0, 29, 0, 0, 242, 97);
INSERT INTO public.who_data VALUES (57303, 0, 0, 0, 0, 242, 42);
INSERT INTO public.who_data VALUES (57304, 0, 713, 0, 42, 242, 198);
INSERT INTO public.who_data VALUES (57305, 0, 388, 0, 10, 242, 216);
INSERT INTO public.who_data VALUES (57306, 3139, 164144, 39, 1346, 242, 164);
INSERT INTO public.who_data VALUES (57307, 64, 6034, 3, 89, 242, 235);
INSERT INTO public.who_data VALUES (57308, 102, 13092, 1, 263, 242, 67);
INSERT INTO public.who_data VALUES (57309, 0, 11, 0, 0, 242, 15);
INSERT INTO public.who_data VALUES (57310, 7, 1347, 0, 55, 242, 180);
INSERT INTO public.who_data VALUES (57311, 119, 42432, 0, 26, 242, 237);
INSERT INTO public.who_data VALUES (57312, 0, 2, 0, 0, 242, 25);
INSERT INTO public.who_data VALUES (57313, 0, 77, 0, 15, 242, 209);
INSERT INTO public.who_data VALUES (57314, 1, 1588, 0, 28, 242, 217);
INSERT INTO public.who_data VALUES (57315, 13, 1534, 0, 114, 242, 79);
INSERT INTO public.who_data VALUES (57316, 0, 0, 0, 0, 242, 143);
INSERT INTO public.who_data VALUES (57317, 23, 2835, 0, 90, 242, 229);
INSERT INTO public.who_data VALUES (57318, 4518, 106108, 111, 2102, 242, 141);
INSERT INTO public.who_data VALUES (57319, 24, 1916, 1, 35, 242, 197);
INSERT INTO public.who_data VALUES (57320, 266, 256293, 7, 29679, 242, 221);
INSERT INTO public.who_data VALUES (57321, 40, 1991, 0, 11, 242, 150);
INSERT INTO public.who_data VALUES (57322, 91, 8887, 7, 548, 242, 56);
INSERT INTO public.who_data VALUES (57323, 1, 319, 1, 9, 242, 167);
INSERT INTO public.who_data VALUES (57324, 800, 59677, 20, 5354, 242, 23);
INSERT INTO public.who_data VALUES (57325, 37, 31345, 0, 1725, 242, 222);
INSERT INTO public.who_data VALUES (57326, 12, 231, 0, 7, 242, 219);
INSERT INTO public.who_data VALUES (57327, 54, 5567, 0, 52, 242, 7);
INSERT INTO public.who_data VALUES (57328, 1, 3157, 0, 58, 242, 161);
INSERT INTO public.who_data VALUES (57329, 896, 279394, 94, 39986, 242, 149);
INSERT INTO public.who_data VALUES (57330, 0, 24, 0, 0, 242, 6);
INSERT INTO public.who_data VALUES (57331, 7, 576, 0, 13, 242, 139);
INSERT INTO public.who_data VALUES (57332, 0, 0, 0, 0, 242, 211);
INSERT INTO public.who_data VALUES (57333, 0, 0, 0, 0, 242, 14);
INSERT INTO public.who_data VALUES (57334, 0, 123, 0, 8, 242, 111);
INSERT INTO public.who_data VALUES (57335, 1, 1160, 0, 50, 242, 207);
INSERT INTO public.who_data VALUES (57336, 1268, 190165, 27, 5001, 242, 66);
INSERT INTO public.who_data VALUES (57337, 0, 0, 0, 0, 242, 173);
INSERT INTO public.who_data VALUES (57338, 0, 14, 0, 1, 242, 145);
INSERT INTO public.who_data VALUES (57339, 0, 0, 0, 0, 242, 65);
INSERT INTO public.who_data VALUES (57340, 23, 797, 0, 0, 242, 184);
INSERT INTO public.who_data VALUES (57341, 940, 39014, 16, 1051, 242, 98);
INSERT INTO public.who_data VALUES (57342, 380, 45683, 2, 305, 242, 104);
INSERT INTO public.who_data VALUES (57343, 0, 509, 0, 21, 242, 73);
INSERT INTO public.who_data VALUES (57344, 26519, 2295272, 410, 120171, 242, 8);
INSERT INTO public.who_data VALUES (57345, 0, 76, 0, 6, 242, 227);
INSERT INTO public.who_data VALUES (57346, 6, 882, 0, 25, 242, 75);
INSERT INTO public.who_data VALUES (57347, 255, 6755, 0, 19, 242, 45);
INSERT INTO public.who_data VALUES (57348, 0, 0, 0, 0, 242, 133);
INSERT INTO public.who_data VALUES (57349, 130, 4048, 2, 35, 242, 202);
INSERT INTO public.who_data VALUES (57350, 0, 349, 0, 0, 242, 129);
INSERT INTO public.who_data VALUES (57351, 0, 0, 0, 0, 242, 36);
INSERT INTO public.who_data VALUES (57352, 25, 992, 4, 261, 242, 51);
INSERT INTO public.who_data VALUES (57353, 47, 1477, 7, 18, 242, 206);
INSERT INTO public.who_data VALUES (57354, 13, 525, 0, 6, 242, 5);
INSERT INTO public.who_data VALUES (57355, 338, 29567, 20, 622, 243, 103);
INSERT INTO public.who_data VALUES (57356, 52, 2047, 1, 45, 243, 58);
INSERT INTO public.who_data VALUES (57357, 149, 11920, 7, 852, 243, 195);
INSERT INTO public.who_data VALUES (57358, 0, 0, 0, 0, 243, 115);
INSERT INTO public.who_data VALUES (57359, 0, 855, 0, 52, 243, 99);
INSERT INTO public.who_data VALUES (57360, 7, 183, 0, 9, 243, 153);
INSERT INTO public.who_data VALUES (57361, 0, 3, 0, 0, 243, 93);
INSERT INTO public.who_data VALUES (57362, 0, 26, 0, 3, 243, 84);
INSERT INTO public.who_data VALUES (57363, 1581, 42785, 24, 1016, 243, 78);
INSERT INTO public.who_data VALUES (57364, 418, 20319, 12, 367, 243, 170);
INSERT INTO public.who_data VALUES (57365, 0, 101, 0, 3, 243, 32);
INSERT INTO public.who_data VALUES (57366, 13, 7474, 0, 102, 243, 155);
INSERT INTO public.who_data VALUES (57367, 35, 17320, 0, 690, 243, 82);
INSERT INTO public.who_data VALUES (57368, 478, 13207, 7, 161, 243, 16);
INSERT INTO public.who_data VALUES (57369, 0, 104, 0, 11, 243, 72);
INSERT INTO public.who_data VALUES (57370, 643, 22407, 2, 65, 243, 43);
INSERT INTO public.who_data VALUES (57371, 3480, 115786, 38, 1502, 243, 120);
INSERT INTO public.who_data VALUES (57372, 0, 97, 0, 7, 243, 213);
INSERT INTO public.who_data VALUES (57373, 518, 59023, 5, 351, 243, 31);
INSERT INTO public.who_data VALUES (57374, 143, 61394, 12, 9586, 243, 204);
INSERT INTO public.who_data VALUES (57375, 0, 22, 0, 2, 243, 152);
INSERT INTO public.who_data VALUES (57376, 42, 807, 0, 13, 243, 144);
INSERT INTO public.who_data VALUES (57377, 0, 146, 0, 9, 243, 96);
INSERT INTO public.who_data VALUES (57378, 1, 69, 0, 0, 243, 47);
INSERT INTO public.who_data VALUES (57379, 876, 24388, 33, 773, 243, 80);
INSERT INTO public.who_data VALUES (57380, 0, 2, 0, 0, 243, 159);
INSERT INTO public.who_data VALUES (57381, 93, 3524, 1, 170, 243, 27);
INSERT INTO public.who_data VALUES (57382, 0, 89, 0, 1, 243, 146);
INSERT INTO public.who_data VALUES (57383, 17459, 1085038, 641, 50617, 243, 71);
INSERT INTO public.who_data VALUES (57384, 0, 8, 0, 1, 243, 210);
INSERT INTO public.who_data VALUES (57385, 0, 141, 0, 3, 243, 54);
INSERT INTO public.who_data VALUES (57386, 79, 3984, 8, 207, 243, 147);
INSERT INTO public.who_data VALUES (57387, 2, 903, 0, 53, 243, 2);
INSERT INTO public.who_data VALUES (57388, 0, 144, 0, 1, 243, 105);
INSERT INTO public.who_data VALUES (57389, 54, 944, 0, 8, 243, 53);
INSERT INTO public.who_data VALUES (57390, 0, 129, 0, 0, 243, 81);
INSERT INTO public.who_data VALUES (57391, 611, 11892, 3, 303, 243, 223);
INSERT INTO public.who_data VALUES (57392, 318, 101337, 20, 8430, 243, 94);
INSERT INTO public.who_data VALUES (57393, 0, 195, 0, 1, 243, 154);
INSERT INTO public.who_data VALUES (57394, 155, 2963, 7, 30, 243, 83);
INSERT INTO public.who_data VALUES (57395, 0, 858, 0, 74, 243, 194);
INSERT INTO public.who_data VALUES (57396, 4608, 246963, 23, 4502, 243, 136);
INSERT INTO public.who_data VALUES (57397, 52, 85070, 0, 4646, 243, 179);
INSERT INTO public.who_data VALUES (57398, 3019, 68652, 111, 2237, 243, 57);
INSERT INTO public.who_data VALUES (57399, 0, 247, 0, 5, 243, 35);
INSERT INTO public.who_data VALUES (57400, 204, 1087, 10, 37, 243, 228);
INSERT INTO public.who_data VALUES (57401, 0, 0, 0, 0, 243, 19);
INSERT INTO public.who_data VALUES (57402, 86, 2213, 0, 12, 243, 22);
INSERT INTO public.who_data VALUES (57403, 185, 7677, 2, 56, 243, 1);
INSERT INTO public.who_data VALUES (57404, 19, 2336, 0, 107, 243, 21);
INSERT INTO public.who_data VALUES (57405, 3, 2315, 0, 85, 243, 234);
INSERT INTO public.who_data VALUES (57406, 0, 23, 0, 1, 243, 91);
INSERT INTO public.who_data VALUES (57407, 2, 988, 0, 19, 243, 137);
INSERT INTO public.who_data VALUES (57408, 63, 10561, 0, 336, 243, 201);
INSERT INTO public.who_data VALUES (57409, 0, 0, 0, 0, 243, 171);
INSERT INTO public.who_data VALUES (57410, 99, 5924, 5, 134, 243, 92);
INSERT INTO public.who_data VALUES (57411, 136, 12527, 2, 602, 243, 112);
INSERT INTO public.who_data VALUES (57412, 17, 4599, 3, 48, 243, 62);
INSERT INTO public.who_data VALUES (57413, 0, 18, 0, 0, 243, 69);
INSERT INTO public.who_data VALUES (57414, 693, 27370, 7, 669, 243, 220);
INSERT INTO public.who_data VALUES (57415, 275, 50915, 23, 4246, 243, 100);
INSERT INTO public.who_data VALUES (57416, 1576, 56809, 85, 2278, 243, 187);
INSERT INTO public.who_data VALUES (57417, 182, 4808, 9, 107, 243, 63);
INSERT INTO public.who_data VALUES (57418, 0, 1043, 0, 12, 243, 28);
INSERT INTO public.who_data VALUES (57419, 0, 143, 0, 0, 243, 172);
INSERT INTO public.who_data VALUES (57420, 0, 1981, 0, 63, 243, 17);
INSERT INTO public.who_data VALUES (57421, 8, 643, 1, 6, 243, 226);
INSERT INTO public.who_data VALUES (57422, 131, 4663, 1, 75, 243, 236);
INSERT INTO public.who_data VALUES (57423, 0, 13, 0, 0, 243, 76);
INSERT INTO public.who_data VALUES (57424, 0, 187, 0, 0, 243, 30);
INSERT INTO public.who_data VALUES (57425, 0, 18, 0, 0, 243, 128);
INSERT INTO public.who_data VALUES (57426, 1, 7144, 1, 327, 243, 86);
INSERT INTO public.who_data VALUES (57427, 325, 154892, 20, 29591, 243, 140);
INSERT INTO public.who_data VALUES (57428, 17, 2458, 2, 8, 243, 44);
INSERT INTO public.who_data VALUES (57429, 0, 60, 0, 0, 243, 113);
INSERT INTO public.who_data VALUES (57430, 311, 4739, 5, 39, 243, 29);
INSERT INTO public.who_data VALUES (57431, 4, 41, 0, 2, 243, 125);
INSERT INTO public.who_data VALUES (57432, 3, 911, 0, 14, 243, 131);
INSERT INTO public.who_data VALUES (57433, 503, 190862, 10, 8895, 243, 46);
INSERT INTO public.who_data VALUES (57434, 0, 14154, 0, 85, 243, 10);
INSERT INTO public.who_data VALUES (57435, 0, 176, 0, 0, 243, 205);
INSERT INTO public.who_data VALUES (57436, 21, 3287, 0, 190, 243, 50);
INSERT INTO public.who_data VALUES (57437, 0, 13, 0, 0, 243, 20);
INSERT INTO public.who_data VALUES (57438, 0, 23, 0, 0, 243, 13);
INSERT INTO public.who_data VALUES (57439, 0, 174, 0, 14, 243, 148);
INSERT INTO public.who_data VALUES (57440, 2, 216, 0, 5, 243, 230);
INSERT INTO public.who_data VALUES (57441, 390, 13145, 17, 531, 243, 190);
INSERT INTO public.who_data VALUES (57442, 0, 252, 0, 13, 243, 188);
INSERT INTO public.who_data VALUES (57443, 0, 4988, 0, 27, 243, 123);
INSERT INTO public.who_data VALUES (57444, 44, 1556, 3, 19, 243, 9);
INSERT INTO public.who_data VALUES (57445, 1, 184, 0, 12, 243, 102);
INSERT INTO public.who_data VALUES (57446, 134, 5211, 0, 88, 243, 34);
INSERT INTO public.who_data VALUES (57447, 0, 12, 0, 0, 243, 212);
INSERT INTO public.who_data VALUES (57448, 519, 12825, 5, 363, 243, 122);
INSERT INTO public.who_data VALUES (57449, 5, 4107, 1, 573, 243, 38);
INSERT INTO public.who_data VALUES (57450, 0, 1815, 0, 10, 243, 130);
INSERT INTO public.who_data VALUES (57451, 14933, 440215, 312, 14011, 243, 37);
INSERT INTO public.who_data VALUES (57452, 954, 46845, 35, 2500, 243, 231);
INSERT INTO public.who_data VALUES (57453, 2573, 207525, 119, 9742, 243, 107);
INSERT INTO public.who_data VALUES (57454, 1808, 32676, 67, 1167, 243, 101);
INSERT INTO public.who_data VALUES (57455, 4, 25383, 2, 1717, 243, 132);
INSERT INTO public.who_data VALUES (57456, 0, 336, 0, 24, 243, 176);
INSERT INTO public.who_data VALUES (57457, 173, 20859, 0, 308, 243, 200);
INSERT INTO public.who_data VALUES (57458, 221, 238720, 23, 34657, 243, 169);
INSERT INTO public.who_data VALUES (57459, 2, 659, 0, 10, 243, 225);
INSERT INTO public.who_data VALUES (57460, 52, 17968, 2, 955, 243, 165);
INSERT INTO public.who_data VALUES (57461, 0, 318, 0, 31, 243, 233);
INSERT INTO public.who_data VALUES (57462, 9, 976, 0, 9, 243, 215);
INSERT INTO public.who_data VALUES (57463, 1630, 22196, 7, 134, 243, 177);
INSERT INTO public.who_data VALUES (57464, 59, 4797, 2, 125, 243, 183);
INSERT INTO public.who_data VALUES (57465, 0, 0, 0, 0, 243, 203);
INSERT INTO public.who_data VALUES (57466, 47, 2173, 1, 27, 243, 162);
INSERT INTO public.who_data VALUES (57467, 641, 40291, 4, 330, 243, 12);
INSERT INTO public.who_data VALUES (57468, 163, 3519, 1, 41, 243, 24);
INSERT INTO public.who_data VALUES (57469, 0, 19, 0, 0, 243, 119);
INSERT INTO public.who_data VALUES (57470, 0, 1111, 0, 30, 243, 39);
INSERT INTO public.who_data VALUES (57471, 16, 1603, 0, 32, 243, 26);
INSERT INTO public.who_data VALUES (57472, 8, 12, 0, 0, 243, 59);
INSERT INTO public.who_data VALUES (57473, 24, 650, 0, 34, 243, 77);
INSERT INTO public.who_data VALUES (57474, 0, 571, 0, 10, 243, 134);
INSERT INTO public.who_data VALUES (57475, 0, 83, 0, 1, 243, 4);
INSERT INTO public.who_data VALUES (57476, 2, 1798, 1, 77, 243, 109);
INSERT INTO public.who_data VALUES (57477, 1, 4121, 0, 110, 243, 90);
INSERT INTO public.who_data VALUES (57478, 44, 1640, 1, 15, 243, 61);
INSERT INTO public.who_data VALUES (57479, 15, 745, 0, 11, 243, 85);
INSERT INTO public.who_data VALUES (57480, 15, 8587, 0, 121, 243, 49);
INSERT INTO public.who_data VALUES (57481, 14, 2217, 0, 8, 243, 208);
INSERT INTO public.who_data VALUES (57482, 0, 1961, 0, 111, 243, 166);
INSERT INTO public.who_data VALUES (57483, 0, 664, 0, 9, 243, 64);
INSERT INTO public.who_data VALUES (57484, 0, 0, 0, 0, 243, 199);
INSERT INTO public.who_data VALUES (57485, 0, 236, 0, 14, 243, 114);
INSERT INTO public.who_data VALUES (57486, 171, 2984, 3, 111, 243, 60);
INSERT INTO public.who_data VALUES (57487, 3, 340, 0, 10, 243, 68);
INSERT INTO public.who_data VALUES (57488, 30, 2434, 1, 32, 243, 158);
INSERT INTO public.who_data VALUES (57489, 5343, 180545, 1044, 21825, 243, 52);
INSERT INTO public.who_data VALUES (57490, 0, 0, 0, 0, 243, 117);
INSERT INTO public.who_data VALUES (57491, 0, 71, 0, 1, 243, 126);
INSERT INTO public.who_data VALUES (57492, 7, 213, 0, 0, 243, 196);
INSERT INTO public.who_data VALUES (57493, 16, 383, 0, 9, 243, 142);
INSERT INTO public.who_data VALUES (57494, 0, 11, 0, 1, 243, 185);
INSERT INTO public.who_data VALUES (57495, 195, 10172, 0, 214, 243, 138);
INSERT INTO public.who_data VALUES (57496, 4, 737, 0, 5, 243, 181);
INSERT INTO public.who_data VALUES (57497, 1, 291, 0, 6, 243, 178);
INSERT INTO public.who_data VALUES (57498, 8, 63, 0, 0, 243, 168);
INSERT INTO public.who_data VALUES (57499, 0, 0, 0, 0, 243, 160);
INSERT INTO public.who_data VALUES (57500, 535, 9561, 0, 23, 243, 151);
INSERT INTO public.who_data VALUES (57501, 68, 49430, 0, 6063, 243, 193);
INSERT INTO public.who_data VALUES (57502, 0, 21, 0, 0, 243, 18);
INSERT INTO public.who_data VALUES (57503, 2, 1165, 0, 22, 243, 40);
INSERT INTO public.who_data VALUES (57504, 0, 2014, 0, 64, 243, 218);
INSERT INTO public.who_data VALUES (57505, 10, 1046, 0, 67, 243, 191);
INSERT INTO public.who_data VALUES (57506, 675, 20919, 7, 525, 243, 156);
INSERT INTO public.who_data VALUES (57507, 0, 0, 0, 0, 243, 135);
INSERT INTO public.who_data VALUES (57508, 0, 30, 0, 2, 243, 88);
INSERT INTO public.who_data VALUES (57509, 90, 5196, 9, 247, 243, 55);
INSERT INTO public.who_data VALUES (57510, 37, 8745, 4, 248, 243, 108);
INSERT INTO public.who_data VALUES (57511, 168, 1196, 0, 5, 243, 48);
INSERT INTO public.who_data VALUES (57512, 1605, 31076, 6, 137, 243, 3);
INSERT INTO public.who_data VALUES (57513, 0, 741, 0, 13, 243, 224);
INSERT INTO public.who_data VALUES (57514, 3946, 185034, 105, 3695, 243, 110);
INSERT INTO public.who_data VALUES (57515, 0, 0, 0, 0, 243, 106);
INSERT INTO public.who_data VALUES (57516, 808, 26030, 8, 501, 243, 89);
INSERT INTO public.who_data VALUES (57517, 0, 9, 0, 0, 243, 121);
INSERT INTO public.who_data VALUES (57518, 13, 1392, 0, 13, 243, 163);
INSERT INTO public.who_data VALUES (57519, 3598, 254936, 184, 8045, 243, 70);
INSERT INTO public.who_data VALUES (57520, 630, 30682, 8, 1177, 243, 174);
INSERT INTO public.who_data VALUES (57521, 0, 0, 0, 0, 243, 175);
INSERT INTO public.who_data VALUES (57522, 296, 32227, 3, 1359, 243, 118);
INSERT INTO public.who_data VALUES (57523, 259, 39392, 4, 1534, 243, 189);
INSERT INTO public.who_data VALUES (57524, 39, 6564, 0, 149, 243, 124);
INSERT INTO public.who_data VALUES (57525, 1034, 88403, 1, 99, 243, 192);
INSERT INTO public.who_data VALUES (57526, 46, 12484, 1, 281, 243, 41);
INSERT INTO public.who_data VALUES (57527, 163, 14363, 9, 484, 243, 95);
INSERT INTO public.who_data VALUES (57528, 1, 507, 0, 1, 243, 74);
INSERT INTO public.who_data VALUES (57529, 246, 24291, 11, 1523, 243, 11);
INSERT INTO public.who_data VALUES (57530, 7425, 599705, 153, 8359, 243, 87);
INSERT INTO public.who_data VALUES (57531, 59, 787, 0, 2, 243, 214);
INSERT INTO public.who_data VALUES (57532, 0, 3, 0, 0, 243, 116);
INSERT INTO public.who_data VALUES (57533, 0, 6, 0, 0, 243, 157);
INSERT INTO public.who_data VALUES (57534, 0, 0, 0, 0, 243, 182);
INSERT INTO public.who_data VALUES (57535, 0, 15, 0, 0, 243, 186);
INSERT INTO public.who_data VALUES (57536, 0, 19, 0, 0, 243, 127);
INSERT INTO public.who_data VALUES (57537, 0, 42, 0, 3, 243, 232);
INSERT INTO public.who_data VALUES (57538, 0, 1, 0, 0, 243, 33);
INSERT INTO public.who_data VALUES (57539, 0, 29, 0, 0, 243, 97);
INSERT INTO public.who_data VALUES (57540, 0, 0, 0, 0, 243, 42);
INSERT INTO public.who_data VALUES (57541, 0, 713, 0, 42, 243, 198);
INSERT INTO public.who_data VALUES (57542, 0, 388, 0, 10, 243, 216);
INSERT INTO public.who_data VALUES (57543, 3393, 161005, 40, 1307, 243, 164);
INSERT INTO public.who_data VALUES (57544, 82, 5970, 2, 86, 243, 235);
INSERT INTO public.who_data VALUES (57545, 96, 12990, 1, 262, 243, 67);
INSERT INTO public.who_data VALUES (57546, 0, 11, 0, 0, 243, 15);
INSERT INTO public.who_data VALUES (57547, 13, 1340, 0, 55, 243, 180);
INSERT INTO public.who_data VALUES (57548, 218, 42313, 0, 26, 243, 237);
INSERT INTO public.who_data VALUES (57549, 0, 2, 0, 0, 243, 25);
INSERT INTO public.who_data VALUES (57550, 0, 77, 0, 15, 243, 209);
INSERT INTO public.who_data VALUES (57551, 1, 1587, 0, 28, 243, 217);
INSERT INTO public.who_data VALUES (57552, 1, 1521, 0, 114, 243, 79);
INSERT INTO public.who_data VALUES (57553, 0, 0, 0, 0, 243, 143);
INSERT INTO public.who_data VALUES (57554, 33, 2812, 0, 90, 243, 229);
INSERT INTO public.who_data VALUES (57555, 4288, 101590, 61, 1991, 243, 141);
INSERT INTO public.who_data VALUES (57556, 10, 1892, 0, 34, 243, 197);
INSERT INTO public.who_data VALUES (57557, 174, 256027, 15, 29672, 243, 221);
INSERT INTO public.who_data VALUES (57558, 1, 1951, 0, 11, 243, 150);
INSERT INTO public.who_data VALUES (57559, 98, 8796, 8, 541, 243, 56);
INSERT INTO public.who_data VALUES (57560, 16, 318, 0, 8, 243, 167);
INSERT INTO public.who_data VALUES (57561, 321, 58877, 22, 5334, 243, 23);
INSERT INTO public.who_data VALUES (57562, 56, 31308, 1, 1725, 243, 222);
INSERT INTO public.who_data VALUES (57563, 15, 219, 0, 7, 243, 219);
INSERT INTO public.who_data VALUES (57564, 56, 5513, 0, 52, 243, 7);
INSERT INTO public.who_data VALUES (57565, 5, 3156, 0, 58, 243, 161);
INSERT INTO public.who_data VALUES (57566, 639, 278498, 14, 39892, 243, 149);
INSERT INTO public.who_data VALUES (57567, 0, 24, 0, 0, 243, 6);
INSERT INTO public.who_data VALUES (57568, 0, 569, 0, 13, 243, 139);
INSERT INTO public.who_data VALUES (57569, 0, 0, 0, 0, 243, 211);
INSERT INTO public.who_data VALUES (57570, 0, 0, 0, 0, 243, 14);
INSERT INTO public.who_data VALUES (57571, 0, 123, 0, 8, 243, 111);
INSERT INTO public.who_data VALUES (57572, 0, 1159, 0, 50, 243, 207);
INSERT INTO public.who_data VALUES (57573, 1212, 188897, 24, 4974, 243, 66);
INSERT INTO public.who_data VALUES (57574, 0, 0, 0, 0, 243, 173);
INSERT INTO public.who_data VALUES (57575, 0, 14, 0, 1, 243, 145);
INSERT INTO public.who_data VALUES (57576, 0, 0, 0, 0, 243, 65);
INSERT INTO public.who_data VALUES (57577, 19, 774, 0, 0, 243, 184);
INSERT INTO public.who_data VALUES (57578, 833, 38074, 23, 1035, 243, 98);
INSERT INTO public.who_data VALUES (57579, 378, 45303, 1, 303, 243, 104);
INSERT INTO public.who_data VALUES (57580, 0, 509, 0, 21, 243, 73);
INSERT INTO public.who_data VALUES (57581, 27575, 2268753, 308, 119761, 243, 8);
INSERT INTO public.who_data VALUES (57582, 0, 76, 0, 6, 243, 227);
INSERT INTO public.who_data VALUES (57583, 17, 876, 0, 25, 243, 75);
INSERT INTO public.who_data VALUES (57584, 142, 6500, 0, 19, 243, 45);
INSERT INTO public.who_data VALUES (57585, 0, 0, 0, 0, 243, 133);
INSERT INTO public.who_data VALUES (57586, 128, 3918, 0, 33, 243, 202);
INSERT INTO public.who_data VALUES (57587, 0, 349, 0, 0, 243, 129);
INSERT INTO public.who_data VALUES (57588, 0, 0, 0, 0, 243, 36);
INSERT INTO public.who_data VALUES (57589, 26, 967, 1, 257, 243, 51);
INSERT INTO public.who_data VALUES (57590, 0, 1430, 0, 11, 243, 206);
INSERT INTO public.who_data VALUES (57591, 23, 512, 0, 6, 243, 5);
INSERT INTO public.who_data VALUES (57592, 310, 29229, 17, 602, 244, 103);
INSERT INTO public.who_data VALUES (57593, 104, 1995, 1, 44, 244, 58);
INSERT INTO public.who_data VALUES (57594, 140, 11771, 8, 845, 244, 195);
INSERT INTO public.who_data VALUES (57595, 0, 0, 0, 0, 244, 115);
INSERT INTO public.who_data VALUES (57596, 0, 855, 0, 52, 244, 99);
INSERT INTO public.who_data VALUES (57597, 4, 176, 1, 9, 244, 153);
INSERT INTO public.who_data VALUES (57598, 0, 3, 0, 0, 244, 93);
INSERT INTO public.who_data VALUES (57599, 0, 26, 0, 3, 244, 84);
INSERT INTO public.who_data VALUES (57600, 1634, 41204, 13, 992, 244, 78);
INSERT INTO public.who_data VALUES (57601, 320, 19901, 10, 355, 244, 170);
INSERT INTO public.who_data VALUES (57602, 0, 101, 0, 3, 244, 32);
INSERT INTO public.who_data VALUES (57603, 25, 7461, 0, 102, 244, 155);
INSERT INTO public.who_data VALUES (57604, 38, 17285, 2, 690, 244, 82);
INSERT INTO public.who_data VALUES (57605, 491, 12729, 6, 154, 244, 16);
INSERT INTO public.who_data VALUES (57606, 0, 104, 0, 11, 244, 72);
INSERT INTO public.who_data VALUES (57607, 433, 21764, 3, 63, 244, 43);
INSERT INTO public.who_data VALUES (57608, 3531, 112306, 39, 1464, 244, 120);
INSERT INTO public.who_data VALUES (57609, 0, 97, 0, 7, 244, 213);
INSERT INTO public.who_data VALUES (57610, 569, 58505, 3, 346, 244, 31);
INSERT INTO public.who_data VALUES (57611, 20, 61251, 9, 9574, 244, 204);
INSERT INTO public.who_data VALUES (57612, 0, 22, 0, 2, 244, 152);
INSERT INTO public.who_data VALUES (57613, 115, 765, 2, 13, 244, 144);
INSERT INTO public.who_data VALUES (57614, 0, 146, 0, 9, 244, 96);
INSERT INTO public.who_data VALUES (57615, 0, 68, 0, 0, 244, 47);
INSERT INTO public.who_data VALUES (57616, 1036, 23512, 25, 740, 244, 80);
INSERT INTO public.who_data VALUES (57617, 0, 2, 0, 0, 244, 159);
INSERT INTO public.who_data VALUES (57618, 77, 3431, 0, 169, 244, 27);
INSERT INTO public.who_data VALUES (57619, 0, 89, 0, 1, 244, 146);
INSERT INTO public.who_data VALUES (57620, 34666, 1067579, 1022, 49976, 244, 71);
INSERT INTO public.who_data VALUES (57621, 0, 8, 0, 1, 244, 210);
INSERT INTO public.who_data VALUES (57622, 0, 141, 0, 3, 244, 54);
INSERT INTO public.who_data VALUES (57623, 33, 3905, 0, 199, 244, 147);
INSERT INTO public.who_data VALUES (57624, 0, 901, 0, 53, 244, 2);
INSERT INTO public.who_data VALUES (57625, 0, 144, 0, 1, 244, 105);
INSERT INTO public.who_data VALUES (57626, 27, 890, 0, 8, 244, 53);
INSERT INTO public.who_data VALUES (57627, 0, 129, 0, 0, 244, 81);
INSERT INTO public.who_data VALUES (57628, 643, 11281, 18, 300, 244, 223);
INSERT INTO public.who_data VALUES (57629, 390, 101019, 64, 8410, 244, 94);
INSERT INTO public.who_data VALUES (57630, 0, 195, 0, 1, 244, 154);
INSERT INTO public.who_data VALUES (57631, 0, 2808, 0, 23, 244, 83);
INSERT INTO public.who_data VALUES (57632, 0, 858, 0, 74, 244, 194);
INSERT INTO public.who_data VALUES (57633, 5607, 242355, 184, 4479, 244, 136);
INSERT INTO public.who_data VALUES (57634, 21, 85018, 0, 4646, 244, 179);
INSERT INTO public.who_data VALUES (57635, 2357, 65633, 81, 2126, 244, 57);
INSERT INTO public.who_data VALUES (57636, 0, 247, 0, 5, 244, 35);
INSERT INTO public.who_data VALUES (57637, 0, 883, 0, 27, 244, 228);
INSERT INTO public.who_data VALUES (57638, 0, 0, 0, 0, 244, 19);
INSERT INTO public.who_data VALUES (57639, 69, 2127, 0, 12, 244, 22);
INSERT INTO public.who_data VALUES (57640, 216, 7492, 2, 54, 244, 1);
INSERT INTO public.who_data VALUES (57641, 18, 2317, 0, 107, 244, 21);
INSERT INTO public.who_data VALUES (57642, 3, 2312, 0, 85, 244, 234);
INSERT INTO public.who_data VALUES (57643, 0, 23, 0, 1, 244, 91);
INSERT INTO public.who_data VALUES (57644, 1, 986, 0, 19, 244, 137);
INSERT INTO public.who_data VALUES (57645, 50, 10498, 0, 336, 244, 201);
INSERT INTO public.who_data VALUES (57646, 0, 0, 0, 0, 244, 171);
INSERT INTO public.who_data VALUES (57647, 154, 5825, 5, 129, 244, 92);
INSERT INTO public.who_data VALUES (57648, 0, 12391, 0, 600, 244, 112);
INSERT INTO public.who_data VALUES (57649, 17, 4582, 0, 45, 244, 62);
INSERT INTO public.who_data VALUES (57650, 0, 18, 0, 0, 244, 69);
INSERT INTO public.who_data VALUES (57651, 899, 26677, 7, 662, 244, 220);
INSERT INTO public.who_data VALUES (57652, 457, 50640, 24, 4223, 244, 100);
INSERT INTO public.who_data VALUES (57653, 1475, 55233, 87, 2193, 244, 187);
INSERT INTO public.who_data VALUES (57654, 151, 4626, 5, 98, 244, 63);
INSERT INTO public.who_data VALUES (57655, 0, 1043, 0, 12, 244, 28);
INSERT INTO public.who_data VALUES (57656, 1, 143, 0, 0, 244, 172);
INSERT INTO public.who_data VALUES (57657, 0, 1981, 0, 63, 244, 17);
INSERT INTO public.who_data VALUES (57658, 8, 635, 0, 5, 244, 226);
INSERT INTO public.who_data VALUES (57659, 63, 4532, 2, 74, 244, 236);
INSERT INTO public.who_data VALUES (57660, 0, 13, 0, 0, 244, 76);
INSERT INTO public.who_data VALUES (57661, 0, 187, 0, 0, 244, 30);
INSERT INTO public.who_data VALUES (57662, 0, 18, 0, 0, 244, 128);
INSERT INTO public.who_data VALUES (57663, 1, 7143, 0, 326, 244, 86);
INSERT INTO public.who_data VALUES (57664, 5, 154567, 6, 29571, 244, 140);
INSERT INTO public.who_data VALUES (57665, 278, 2441, 1, 6, 244, 44);
INSERT INTO public.who_data VALUES (57666, 0, 60, 0, 0, 244, 113);
INSERT INTO public.who_data VALUES (57667, 0, 4428, 0, 34, 244, 29);
INSERT INTO public.who_data VALUES (57668, 0, 37, 0, 2, 244, 125);
INSERT INTO public.who_data VALUES (57669, 2, 908, 0, 14, 244, 131);
INSERT INTO public.who_data VALUES (57670, 537, 190359, 3, 8885, 244, 46);
INSERT INTO public.who_data VALUES (57671, 437, 14154, 0, 85, 244, 10);
INSERT INTO public.who_data VALUES (57672, 0, 176, 0, 0, 244, 205);
INSERT INTO public.who_data VALUES (57673, 10, 3266, 0, 190, 244, 50);
INSERT INTO public.who_data VALUES (57674, 0, 13, 0, 0, 244, 20);
INSERT INTO public.who_data VALUES (57675, 0, 23, 0, 0, 244, 13);
INSERT INTO public.who_data VALUES (57676, 0, 174, 0, 14, 244, 148);
INSERT INTO public.who_data VALUES (57677, 0, 214, 0, 5, 244, 230);
INSERT INTO public.who_data VALUES (57678, 246, 12755, 31, 514, 244, 190);
INSERT INTO public.who_data VALUES (57679, 0, 252, 0, 13, 244, 188);
INSERT INTO public.who_data VALUES (57680, 28, 4988, 0, 27, 244, 123);
INSERT INTO public.who_data VALUES (57681, 0, 1512, 0, 16, 244, 9);
INSERT INTO public.who_data VALUES (57682, 0, 183, 0, 12, 244, 102);
INSERT INTO public.who_data VALUES (57683, 97, 5077, 1, 88, 244, 34);
INSERT INTO public.who_data VALUES (57684, 0, 12, 0, 0, 244, 212);
INSERT INTO public.who_data VALUES (57685, 1048, 12306, 9, 358, 244, 122);
INSERT INTO public.who_data VALUES (57686, 8, 4102, 2, 572, 244, 38);
INSERT INTO public.who_data VALUES (57687, 0, 1815, 0, 10, 244, 130);
INSERT INTO public.who_data VALUES (57688, 14821, 425282, 445, 13699, 244, 37);
INSERT INTO public.who_data VALUES (57689, 862, 45891, 36, 2465, 244, 231);
INSERT INTO public.who_data VALUES (57690, 2368, 204952, 116, 9623, 244, 107);
INSERT INTO public.who_data VALUES (57691, 1646, 30868, 87, 1100, 244, 101);
INSERT INTO public.who_data VALUES (57692, 5, 25379, 0, 1715, 244, 132);
INSERT INTO public.who_data VALUES (57693, 0, 336, 0, 24, 244, 176);
INSERT INTO public.who_data VALUES (57694, 160, 20686, 1, 308, 244, 200);
INSERT INTO public.who_data VALUES (57695, 224, 238499, 24, 34634, 244, 169);
INSERT INTO public.who_data VALUES (57696, 5, 657, 0, 10, 244, 225);
INSERT INTO public.who_data VALUES (57697, 52, 17916, 0, 953, 244, 165);
INSERT INTO public.who_data VALUES (57698, 0, 318, 0, 31, 244, 233);
INSERT INTO public.who_data VALUES (57699, 17, 967, 0, 9, 244, 215);
INSERT INTO public.who_data VALUES (57700, 1315, 20566, 7, 127, 244, 177);
INSERT INTO public.who_data VALUES (57701, 260, 4738, 2, 123, 244, 183);
INSERT INTO public.who_data VALUES (57702, 0, 0, 0, 0, 244, 203);
INSERT INTO public.who_data VALUES (57703, 96, 2126, 1, 26, 244, 162);
INSERT INTO public.who_data VALUES (57704, 505, 39650, 7, 326, 244, 12);
INSERT INTO public.who_data VALUES (57705, 205, 3356, 5, 40, 244, 24);
INSERT INTO public.who_data VALUES (57706, 0, 19, 0, 0, 244, 119);
INSERT INTO public.who_data VALUES (57707, 0, 1111, 0, 30, 244, 39);
INSERT INTO public.who_data VALUES (57708, 51, 1587, 0, 32, 244, 26);
INSERT INTO public.who_data VALUES (57709, 0, 4, 0, 0, 244, 59);
INSERT INTO public.who_data VALUES (57710, 25, 626, 1, 34, 244, 77);
INSERT INTO public.who_data VALUES (57711, 27, 571, 0, 10, 244, 134);
INSERT INTO public.who_data VALUES (57712, 0, 83, 0, 1, 244, 4);
INSERT INTO public.who_data VALUES (57713, 3, 1796, 0, 76, 244, 109);
INSERT INTO public.who_data VALUES (57714, 15, 4120, 0, 110, 244, 90);
INSERT INTO public.who_data VALUES (57715, 93, 1596, 1, 14, 244, 61);
INSERT INTO public.who_data VALUES (57716, 0, 730, 0, 11, 244, 85);
INSERT INTO public.who_data VALUES (57717, 16, 8572, 0, 121, 244, 49);
INSERT INTO public.who_data VALUES (57718, 16, 2203, 0, 8, 244, 208);
INSERT INTO public.who_data VALUES (57719, 28, 1961, 2, 111, 244, 166);
INSERT INTO public.who_data VALUES (57720, 1, 664, 0, 9, 244, 64);
INSERT INTO public.who_data VALUES (57721, 0, 0, 0, 0, 244, 199);
INSERT INTO public.who_data VALUES (57722, 0, 236, 0, 14, 244, 114);
INSERT INTO public.who_data VALUES (57723, 192, 2813, 6, 108, 244, 60);
INSERT INTO public.who_data VALUES (57724, 0, 337, 0, 10, 244, 68);
INSERT INTO public.who_data VALUES (57725, 0, 2404, 0, 31, 244, 158);
INSERT INTO public.who_data VALUES (57726, 4717, 175202, 387, 20781, 244, 52);
INSERT INTO public.who_data VALUES (57727, 0, 0, 0, 0, 244, 117);
INSERT INTO public.who_data VALUES (57728, 1, 71, 0, 1, 244, 126);
INSERT INTO public.who_data VALUES (57729, 2, 206, 0, 0, 244, 196);
INSERT INTO public.who_data VALUES (57730, 6, 367, 0, 9, 244, 142);
INSERT INTO public.who_data VALUES (57731, 0, 11, 0, 1, 244, 185);
INSERT INTO public.who_data VALUES (57732, 138, 9977, 1, 214, 244, 138);
INSERT INTO public.who_data VALUES (57733, 45, 733, 1, 5, 244, 181);
INSERT INTO public.who_data VALUES (57734, 4, 290, 0, 6, 244, 178);
INSERT INTO public.who_data VALUES (57735, 9, 55, 0, 0, 244, 168);
INSERT INTO public.who_data VALUES (57736, 0, 0, 0, 0, 244, 160);
INSERT INTO public.who_data VALUES (57737, 421, 9026, 1, 23, 244, 151);
INSERT INTO public.who_data VALUES (57738, 95, 49362, 1, 6063, 244, 193);
INSERT INTO public.who_data VALUES (57739, 0, 21, 0, 0, 244, 18);
INSERT INTO public.who_data VALUES (57740, 4, 1163, 0, 22, 244, 40);
INSERT INTO public.who_data VALUES (57741, 0, 2014, 0, 64, 244, 218);
INSERT INTO public.who_data VALUES (57742, 1, 1036, 0, 67, 244, 191);
INSERT INTO public.who_data VALUES (57743, 436, 20244, 12, 518, 244, 156);
INSERT INTO public.who_data VALUES (57744, 0, 0, 0, 0, 244, 135);
INSERT INTO public.who_data VALUES (57745, 0, 30, 0, 2, 244, 88);
INSERT INTO public.who_data VALUES (57746, 101, 5106, 5, 238, 244, 55);
INSERT INTO public.who_data VALUES (57747, 0, 8708, 0, 244, 244, 108);
INSERT INTO public.who_data VALUES (57748, 49, 1028, 0, 5, 244, 48);
INSERT INTO public.who_data VALUES (57749, 905, 29471, 3, 131, 244, 3);
INSERT INTO public.who_data VALUES (57750, 0, 741, 0, 13, 244, 224);
INSERT INTO public.who_data VALUES (57751, 4471, 181088, 89, 3590, 244, 110);
INSERT INTO public.who_data VALUES (57752, 0, 0, 0, 0, 244, 106);
INSERT INTO public.who_data VALUES (57753, 948, 25222, 8, 493, 244, 89);
INSERT INTO public.who_data VALUES (57754, 0, 9, 0, 0, 244, 121);
INSERT INTO public.who_data VALUES (57755, 17, 1379, 0, 13, 244, 163);
INSERT INTO public.who_data VALUES (57756, 3413, 251338, 201, 7861, 244, 70);
INSERT INTO public.who_data VALUES (57757, 652, 30052, 19, 1169, 244, 174);
INSERT INTO public.who_data VALUES (57758, 0, 0, 0, 0, 244, 175);
INSERT INTO public.who_data VALUES (57759, 311, 31931, 10, 1356, 244, 118);
INSERT INTO public.who_data VALUES (57760, 292, 39133, 2, 1530, 244, 189);
INSERT INTO public.who_data VALUES (57761, 62, 6525, 2, 149, 244, 124);
INSERT INTO public.who_data VALUES (57762, 881, 87369, 4, 98, 244, 192);
INSERT INTO public.who_data VALUES (57763, 17, 12438, 0, 280, 244, 41);
INSERT INTO public.who_data VALUES (57764, 247, 14200, 11, 475, 244, 95);
INSERT INTO public.who_data VALUES (57765, 1, 506, 0, 1, 244, 74);
INSERT INTO public.who_data VALUES (57766, 315, 24045, 12, 1512, 244, 11);
INSERT INTO public.who_data VALUES (57767, 7600, 592280, 95, 8206, 244, 87);
INSERT INTO public.who_data VALUES (57768, 26, 728, 0, 2, 244, 214);
INSERT INTO public.who_data VALUES (57769, 0, 3, 0, 0, 244, 116);
INSERT INTO public.who_data VALUES (57770, 0, 6, 0, 0, 244, 157);
INSERT INTO public.who_data VALUES (57771, 0, 0, 0, 0, 244, 182);
INSERT INTO public.who_data VALUES (57772, 0, 15, 0, 0, 244, 186);
INSERT INTO public.who_data VALUES (57773, 0, 19, 0, 0, 244, 127);
INSERT INTO public.who_data VALUES (57774, 0, 42, 0, 3, 244, 232);
INSERT INTO public.who_data VALUES (57775, 0, 1, 0, 0, 244, 33);
INSERT INTO public.who_data VALUES (57776, 0, 29, 0, 0, 244, 97);
INSERT INTO public.who_data VALUES (57777, 0, 0, 0, 0, 244, 42);
INSERT INTO public.who_data VALUES (57778, 0, 713, 0, 42, 244, 198);
INSERT INTO public.who_data VALUES (57779, 0, 388, 0, 10, 244, 216);
INSERT INTO public.who_data VALUES (57780, 3379, 157612, 37, 1267, 244, 164);
INSERT INTO public.who_data VALUES (57781, 105, 5888, 2, 84, 244, 235);
INSERT INTO public.who_data VALUES (57782, 91, 12894, 1, 261, 244, 67);
INSERT INTO public.who_data VALUES (57783, 0, 11, 0, 0, 244, 15);
INSERT INTO public.who_data VALUES (57784, 18, 1327, 2, 55, 244, 180);
INSERT INTO public.who_data VALUES (57785, 262, 42095, 0, 26, 244, 237);
INSERT INTO public.who_data VALUES (57786, 0, 2, 0, 0, 244, 25);
INSERT INTO public.who_data VALUES (57787, 0, 77, 0, 15, 244, 209);
INSERT INTO public.who_data VALUES (57788, 10, 1586, 0, 28, 244, 217);
INSERT INTO public.who_data VALUES (57789, 1, 1520, 0, 114, 244, 79);
INSERT INTO public.who_data VALUES (57790, 0, 0, 0, 0, 244, 143);
INSERT INTO public.who_data VALUES (57791, 24, 2779, 2, 90, 244, 229);
INSERT INTO public.who_data VALUES (57792, 4621, 97302, 53, 1930, 244, 141);
INSERT INTO public.who_data VALUES (57793, 18, 1882, 0, 34, 244, 197);
INSERT INTO public.who_data VALUES (57794, 235, 255853, 13, 29657, 244, 221);
INSERT INTO public.who_data VALUES (57795, 0, 1950, 0, 11, 244, 150);
INSERT INTO public.who_data VALUES (57796, 118, 8698, 12, 533, 244, 56);
INSERT INTO public.who_data VALUES (57797, 9, 302, 0, 8, 244, 167);
INSERT INTO public.who_data VALUES (57798, 698, 58556, 29, 5312, 244, 23);
INSERT INTO public.who_data VALUES (57799, 13, 31252, 1, 1724, 244, 222);
INSERT INTO public.who_data VALUES (57800, 6, 204, 0, 7, 244, 219);
INSERT INTO public.who_data VALUES (57801, 58, 5457, 0, 52, 244, 7);
INSERT INTO public.who_data VALUES (57802, 3, 3151, 0, 58, 244, 161);
INSERT INTO public.who_data VALUES (57803, 687, 277859, 31, 39878, 244, 149);
INSERT INTO public.who_data VALUES (57804, 0, 24, 0, 0, 244, 6);
INSERT INTO public.who_data VALUES (57805, 8, 569, 0, 13, 244, 139);
INSERT INTO public.who_data VALUES (57806, 0, 0, 0, 0, 244, 211);
INSERT INTO public.who_data VALUES (57807, 0, 0, 0, 0, 244, 14);
INSERT INTO public.who_data VALUES (57808, 0, 123, 0, 8, 244, 111);
INSERT INTO public.who_data VALUES (57809, 2, 1159, 0, 50, 244, 207);
INSERT INTO public.who_data VALUES (57810, 1192, 187685, 23, 4950, 244, 66);
INSERT INTO public.who_data VALUES (57811, 0, 0, 0, 0, 244, 173);
INSERT INTO public.who_data VALUES (57812, 2, 14, 0, 1, 244, 145);
INSERT INTO public.who_data VALUES (57813, 0, 0, 0, 0, 244, 65);
INSERT INTO public.who_data VALUES (57814, -68, 755, 0, 0, 244, 184);
INSERT INTO public.who_data VALUES (57815, 681, 37241, 10, 1012, 244, 98);
INSERT INTO public.who_data VALUES (57816, 392, 44925, 1, 302, 244, 104);
INSERT INTO public.who_data VALUES (57817, 0, 509, 0, 21, 244, 73);
INSERT INTO public.who_data VALUES (57818, 32349, 2241178, 558, 119453, 244, 8);
INSERT INTO public.who_data VALUES (57819, 2, 76, 0, 6, 244, 227);
INSERT INTO public.who_data VALUES (57820, 6, 859, 1, 25, 244, 75);
INSERT INTO public.who_data VALUES (57821, 142, 6358, 0, 19, 244, 45);
INSERT INTO public.who_data VALUES (57822, 0, 0, 0, 0, 244, 133);
INSERT INTO public.who_data VALUES (57823, 199, 3790, 3, 33, 244, 202);
INSERT INTO public.who_data VALUES (57824, 0, 349, 0, 0, 244, 129);
INSERT INTO public.who_data VALUES (57825, 0, 0, 0, 0, 244, 36);
INSERT INTO public.who_data VALUES (57826, 19, 941, 2, 256, 244, 51);
INSERT INTO public.who_data VALUES (57827, 0, 1430, 0, 11, 244, 206);
INSERT INTO public.who_data VALUES (57828, 10, 489, 2, 6, 244, 5);
INSERT INTO public.who_data VALUES (57829, 536, 28919, 33, 585, 245, 103);
INSERT INTO public.who_data VALUES (57830, 53, 1891, 1, 43, 245, 58);
INSERT INTO public.who_data VALUES (57831, 127, 11631, 12, 837, 245, 195);
INSERT INTO public.who_data VALUES (57832, 0, 0, 0, 0, 245, 115);
INSERT INTO public.who_data VALUES (57833, 0, 855, 0, 52, 245, 99);
INSERT INTO public.who_data VALUES (57834, 6, 172, 0, 8, 245, 153);
INSERT INTO public.who_data VALUES (57835, 0, 3, 0, 0, 245, 93);
INSERT INTO public.who_data VALUES (57836, 0, 26, 0, 3, 245, 84);
INSERT INTO public.who_data VALUES (57837, 2060, 39570, 25, 979, 245, 78);
INSERT INTO public.who_data VALUES (57838, 560, 19581, 18, 345, 245, 170);
INSERT INTO public.who_data VALUES (57839, 0, 101, 0, 3, 245, 32);
INSERT INTO public.who_data VALUES (57840, 27, 7436, 0, 102, 245, 155);
INSERT INTO public.who_data VALUES (57841, 62, 17247, 0, 688, 245, 82);
INSERT INTO public.who_data VALUES (57842, 471, 12238, 5, 148, 245, 16);
INSERT INTO public.who_data VALUES (57843, 0, 104, 0, 11, 245, 72);
INSERT INTO public.who_data VALUES (57844, 415, 21331, 3, 60, 245, 43);
INSERT INTO public.who_data VALUES (57845, 3240, 108775, 37, 1425, 245, 120);
INSERT INTO public.who_data VALUES (57846, 0, 97, 0, 7, 245, 213);
INSERT INTO public.who_data VALUES (57847, 603, 57936, 6, 343, 245, 31);
INSERT INTO public.who_data VALUES (57848, 50, 61231, 3, 9565, 245, 204);
INSERT INTO public.who_data VALUES (57849, 0, 22, 0, 2, 245, 152);
INSERT INTO public.who_data VALUES (57850, 0, 650, 0, 11, 245, 144);
INSERT INTO public.who_data VALUES (57851, 2, 146, 0, 9, 245, 96);
INSERT INTO public.who_data VALUES (57852, 0, 68, 0, 0, 245, 47);
INSERT INTO public.who_data VALUES (57853, 977, 22476, 18, 715, 245, 80);
INSERT INTO public.who_data VALUES (57854, 0, 2, 0, 0, 245, 159);
INSERT INTO public.who_data VALUES (57855, 66, 3354, 1, 169, 245, 27);
INSERT INTO public.who_data VALUES (57856, 0, 89, 0, 1, 245, 146);
INSERT INTO public.who_data VALUES (57857, 54771, 1032913, 1206, 48954, 245, 71);
INSERT INTO public.who_data VALUES (57858, 0, 8, 0, 1, 245, 210);
INSERT INTO public.who_data VALUES (57859, 0, 141, 0, 3, 245, 54);
INSERT INTO public.who_data VALUES (57860, 117, 3872, 6, 199, 245, 147);
INSERT INTO public.who_data VALUES (57861, 0, 901, 0, 53, 245, 2);
INSERT INTO public.who_data VALUES (57862, 40, 144, 0, 1, 245, 105);
INSERT INTO public.who_data VALUES (57863, 15, 863, 0, 8, 245, 53);
INSERT INTO public.who_data VALUES (57864, 0, 129, 0, 0, 245, 81);
INSERT INTO public.who_data VALUES (57865, 0, 10638, 0, 282, 245, 223);
INSERT INTO public.who_data VALUES (57866, 409, 100629, 46, 8346, 245, 94);
INSERT INTO public.who_data VALUES (57867, 2, 195, 0, 1, 245, 154);
INSERT INTO public.who_data VALUES (57868, 203, 2808, 4, 23, 245, 83);
INSERT INTO public.who_data VALUES (57869, 0, 858, 0, 74, 245, 194);
INSERT INTO public.who_data VALUES (57870, 5355, 236748, 202, 4295, 245, 136);
INSERT INTO public.who_data VALUES (57871, 27, 84997, 1, 4646, 245, 179);
INSERT INTO public.who_data VALUES (57872, 3059, 63276, 95, 2045, 245, 57);
INSERT INTO public.who_data VALUES (57873, 37, 247, 0, 5, 245, 35);
INSERT INTO public.who_data VALUES (57874, 0, 883, 0, 27, 245, 228);
INSERT INTO public.who_data VALUES (57875, 0, 0, 0, 0, 245, 19);
INSERT INTO public.who_data VALUES (57876, 119, 2058, 0, 12, 245, 22);
INSERT INTO public.who_data VALUES (57877, 402, 7276, 3, 52, 245, 1);
INSERT INTO public.who_data VALUES (57878, 19, 2299, 0, 107, 245, 21);
INSERT INTO public.who_data VALUES (57879, 4, 2309, 0, 85, 245, 234);
INSERT INTO public.who_data VALUES (57880, 0, 23, 0, 1, 245, 91);
INSERT INTO public.who_data VALUES (57881, 0, 985, 0, 19, 245, 137);
INSERT INTO public.who_data VALUES (57882, 42, 10448, 1, 336, 245, 201);
INSERT INTO public.who_data VALUES (57883, 0, 0, 0, 0, 245, 171);
INSERT INTO public.who_data VALUES (57884, 195, 5671, 3, 124, 245, 92);
INSERT INTO public.who_data VALUES (57885, 0, 12391, 0, 600, 245, 112);
INSERT INTO public.who_data VALUES (57886, 0, 4565, 0, 45, 245, 62);
INSERT INTO public.who_data VALUES (57887, 0, 18, 0, 0, 245, 69);
INSERT INTO public.who_data VALUES (57888, 710, 25778, 8, 655, 245, 220);
INSERT INTO public.who_data VALUES (57889, 452, 50183, 43, 4199, 245, 100);
INSERT INTO public.who_data VALUES (57890, 1547, 53758, 89, 2106, 245, 187);
INSERT INTO public.who_data VALUES (57891, 146, 4475, 7, 93, 245, 63);
INSERT INTO public.who_data VALUES (57892, 0, 1043, 0, 12, 245, 28);
INSERT INTO public.who_data VALUES (57893, 0, 142, 0, 0, 245, 172);
INSERT INTO public.who_data VALUES (57894, 2, 1981, 0, 63, 245, 17);
INSERT INTO public.who_data VALUES (57895, 4, 627, 1, 5, 245, 226);
INSERT INTO public.who_data VALUES (57896, 399, 4469, 0, 72, 245, 236);
INSERT INTO public.who_data VALUES (57897, 0, 13, 0, 0, 245, 76);
INSERT INTO public.who_data VALUES (57898, 0, 187, 0, 0, 245, 30);
INSERT INTO public.who_data VALUES (57899, 0, 18, 0, 0, 245, 128);
INSERT INTO public.who_data VALUES (57900, 9, 7142, 0, 326, 245, 86);
INSERT INTO public.who_data VALUES (57901, 421, 154562, 14, 29565, 245, 140);
INSERT INTO public.who_data VALUES (57902, 194, 2163, 0, 5, 245, 44);
INSERT INTO public.who_data VALUES (57903, 0, 60, 0, 0, 245, 113);
INSERT INTO public.who_data VALUES (57904, 88, 4428, 2, 34, 245, 29);
INSERT INTO public.who_data VALUES (57905, 1, 37, 1, 2, 245, 125);
INSERT INTO public.who_data VALUES (57906, 8, 906, 0, 14, 245, 131);
INSERT INTO public.who_data VALUES (57907, 687, 189822, 0, 8882, 245, 46);
INSERT INTO public.who_data VALUES (57908, 514, 13717, 15, 85, 245, 10);
INSERT INTO public.who_data VALUES (57909, 0, 176, 0, 0, 245, 205);
INSERT INTO public.who_data VALUES (57910, 19, 3256, 1, 190, 245, 50);
INSERT INTO public.who_data VALUES (57911, 0, 13, 0, 0, 245, 20);
INSERT INTO public.who_data VALUES (57912, 0, 23, 0, 0, 245, 13);
INSERT INTO public.who_data VALUES (57913, 0, 174, 0, 14, 245, 148);
INSERT INTO public.who_data VALUES (57914, 22, 214, 0, 5, 245, 230);
INSERT INTO public.who_data VALUES (57915, 641, 12509, 34, 483, 245, 190);
INSERT INTO public.who_data VALUES (57916, 0, 252, 0, 13, 245, 188);
INSERT INTO public.who_data VALUES (57917, 56, 4960, 0, 27, 245, 123);
INSERT INTO public.who_data VALUES (57918, 0, 1512, 0, 16, 245, 9);
INSERT INTO public.who_data VALUES (57919, 0, 183, 0, 12, 245, 102);
INSERT INTO public.who_data VALUES (57920, 64, 4980, 3, 87, 245, 34);
INSERT INTO public.who_data VALUES (57921, 0, 12, 0, 0, 245, 212);
INSERT INTO public.who_data VALUES (57922, 519, 11258, 6, 349, 245, 122);
INSERT INTO public.who_data VALUES (57923, 8, 4094, 0, 570, 245, 38);
INSERT INTO public.who_data VALUES (57924, 0, 1815, 0, 10, 245, 130);
INSERT INTO public.who_data VALUES (57925, 15413, 410461, 306, 13254, 245, 37);
INSERT INTO public.who_data VALUES (57926, 1226, 45029, 56, 2429, 245, 231);
INSERT INTO public.who_data VALUES (57927, 2322, 202584, 115, 9507, 245, 107);
INSERT INTO public.who_data VALUES (57928, 1870, 29222, 88, 1013, 245, 101);
INSERT INTO public.who_data VALUES (57929, 6, 25374, 1, 1715, 245, 132);
INSERT INTO public.who_data VALUES (57930, 0, 336, 0, 24, 245, 176);
INSERT INTO public.who_data VALUES (57931, 310, 20526, 1, 307, 245, 200);
INSERT INTO public.who_data VALUES (57932, 264, 238275, 49, 34610, 245, 169);
INSERT INTO public.who_data VALUES (57933, 14, 652, 0, 10, 245, 225);
INSERT INTO public.who_data VALUES (57934, 65, 17864, 1, 953, 245, 165);
INSERT INTO public.who_data VALUES (57935, 0, 318, 1, 31, 245, 233);
INSERT INTO public.who_data VALUES (57936, 7, 950, 0, 9, 245, 215);
INSERT INTO public.who_data VALUES (57937, 1410, 19251, 2, 120, 245, 177);
INSERT INTO public.who_data VALUES (57938, 104, 4478, 2, 121, 245, 183);
INSERT INTO public.who_data VALUES (57939, 0, 0, 0, 0, 245, 203);
INSERT INTO public.who_data VALUES (57940, 75, 2030, 1, 25, 245, 162);
INSERT INTO public.who_data VALUES (57941, 467, 39145, 6, 319, 245, 12);
INSERT INTO public.who_data VALUES (57942, 170, 3151, 0, 35, 245, 24);
INSERT INTO public.who_data VALUES (57943, 0, 19, 0, 0, 245, 119);
INSERT INTO public.who_data VALUES (57944, 1, 1111, 0, 30, 245, 39);
INSERT INTO public.who_data VALUES (57945, 26, 1536, 0, 32, 245, 26);
INSERT INTO public.who_data VALUES (57946, 0, 4, 0, 0, 245, 59);
INSERT INTO public.who_data VALUES (57947, 20, 601, 0, 33, 245, 77);
INSERT INTO public.who_data VALUES (57948, 24, 544, 0, 10, 245, 134);
INSERT INTO public.who_data VALUES (57949, 0, 83, 0, 1, 245, 4);
INSERT INTO public.who_data VALUES (57950, 3, 1793, 0, 76, 245, 109);
INSERT INTO public.who_data VALUES (57951, 6, 4105, 0, 110, 245, 90);
INSERT INTO public.who_data VALUES (57952, 60, 1503, 0, 13, 245, 61);
INSERT INTO public.who_data VALUES (57953, 82, 730, 3, 11, 245, 85);
INSERT INTO public.who_data VALUES (57954, 21, 8556, 0, 121, 245, 49);
INSERT INTO public.who_data VALUES (57955, 37, 2187, 0, 8, 245, 208);
INSERT INTO public.who_data VALUES (57956, 10, 1933, 1, 109, 245, 166);
INSERT INTO public.who_data VALUES (57957, 1, 663, 0, 9, 245, 64);
INSERT INTO public.who_data VALUES (57958, 0, 0, 0, 0, 245, 199);
INSERT INTO public.who_data VALUES (57959, 15, 236, 0, 14, 245, 114);
INSERT INTO public.who_data VALUES (57960, 197, 2621, 5, 102, 245, 60);
INSERT INTO public.who_data VALUES (57961, 0, 337, 0, 10, 245, 68);
INSERT INTO public.who_data VALUES (57962, 10, 2404, 2, 31, 245, 158);
INSERT INTO public.who_data VALUES (57963, 5030, 170485, 647, 20394, 245, 52);
INSERT INTO public.who_data VALUES (57964, 0, 0, 0, 0, 245, 117);
INSERT INTO public.who_data VALUES (57965, 0, 70, 0, 1, 245, 126);
INSERT INTO public.who_data VALUES (57966, 0, 204, 0, 0, 245, 196);
INSERT INTO public.who_data VALUES (57967, 3, 361, 0, 9, 245, 142);
INSERT INTO public.who_data VALUES (57968, 0, 11, 0, 1, 245, 185);
INSERT INTO public.who_data VALUES (57969, 226, 9839, 0, 213, 245, 138);
INSERT INTO public.who_data VALUES (57970, 20, 688, 0, 4, 245, 181);
INSERT INTO public.who_data VALUES (57971, 0, 286, 0, 6, 245, 178);
INSERT INTO public.who_data VALUES (57972, 1, 46, 0, 0, 245, 168);
INSERT INTO public.who_data VALUES (57973, 0, 0, 0, 0, 245, 160);
INSERT INTO public.who_data VALUES (57974, 331, 8605, 0, 22, 245, 151);
INSERT INTO public.who_data VALUES (57975, 90, 49267, 8, 6062, 245, 193);
INSERT INTO public.who_data VALUES (57976, 0, 21, 0, 0, 245, 18);
INSERT INTO public.who_data VALUES (57977, 0, 1159, 0, 22, 245, 40);
INSERT INTO public.who_data VALUES (57978, 0, 2014, 0, 64, 245, 218);
INSERT INTO public.who_data VALUES (57979, 9, 1035, 0, 67, 245, 191);
INSERT INTO public.who_data VALUES (57980, 661, 19808, 19, 506, 245, 156);
INSERT INTO public.who_data VALUES (57981, 0, 0, 0, 0, 245, 135);
INSERT INTO public.who_data VALUES (57982, 0, 30, 0, 2, 245, 88);
INSERT INTO public.who_data VALUES (57983, 185, 5005, 11, 233, 245, 55);
INSERT INTO public.who_data VALUES (57984, 16, 8708, 0, 244, 245, 108);
INSERT INTO public.who_data VALUES (57985, 109, 979, 0, 5, 245, 48);
INSERT INTO public.who_data VALUES (57986, 896, 28566, 3, 128, 245, 3);
INSERT INTO public.who_data VALUES (57987, 0, 741, 0, 13, 245, 224);
INSERT INTO public.who_data VALUES (57988, 4951, 176617, 119, 3501, 245, 110);
INSERT INTO public.who_data VALUES (57989, 0, 0, 0, 0, 245, 106);
INSERT INTO public.who_data VALUES (57990, 923, 24274, 10, 485, 245, 89);
INSERT INTO public.who_data VALUES (57991, 1, 9, 0, 0, 245, 121);
INSERT INTO public.who_data VALUES (57992, 26, 1362, 0, 13, 245, 163);
INSERT INTO public.who_data VALUES (57993, 3537, 247925, 199, 7660, 245, 70);
INSERT INTO public.who_data VALUES (57994, 941, 29400, 20, 1150, 245, 174);
INSERT INTO public.who_data VALUES (57995, 0, 0, 0, 0, 245, 175);
INSERT INTO public.who_data VALUES (57996, 304, 31620, 12, 1346, 245, 118);
INSERT INTO public.who_data VALUES (57997, 377, 38841, 1, 1528, 245, 189);
INSERT INTO public.who_data VALUES (57998, 268, 6463, 0, 147, 245, 124);
INSERT INTO public.who_data VALUES (57999, 1026, 86488, 1, 94, 245, 192);
INSERT INTO public.who_data VALUES (58000, 48, 12421, 0, 280, 245, 41);
INSERT INTO public.who_data VALUES (58001, 397, 13953, 6, 464, 245, 95);
INSERT INTO public.who_data VALUES (58002, 1, 505, 0, 1, 245, 74);
INSERT INTO public.who_data VALUES (58003, 330, 23730, 16, 1500, 245, 11);
INSERT INTO public.who_data VALUES (58004, 7728, 584680, 109, 8111, 245, 87);
INSERT INTO public.who_data VALUES (58005, 41, 702, 0, 2, 245, 214);
INSERT INTO public.who_data VALUES (58006, 0, 3, 0, 0, 245, 116);
INSERT INTO public.who_data VALUES (58007, 0, 6, 0, 0, 245, 157);
INSERT INTO public.who_data VALUES (58008, 0, 0, 0, 0, 245, 182);
INSERT INTO public.who_data VALUES (58009, 0, 15, 0, 0, 245, 186);
INSERT INTO public.who_data VALUES (58010, 0, 19, 0, 0, 245, 127);
INSERT INTO public.who_data VALUES (58011, 0, 42, 0, 3, 245, 232);
INSERT INTO public.who_data VALUES (58012, 0, 1, 0, 0, 245, 33);
INSERT INTO public.who_data VALUES (58013, 0, 29, 0, 0, 245, 97);
INSERT INTO public.who_data VALUES (58014, 0, 0, 0, 0, 245, 42);
INSERT INTO public.who_data VALUES (58015, 0, 713, 0, 42, 245, 198);
INSERT INTO public.who_data VALUES (58016, 0, 388, 0, 10, 245, 216);
INSERT INTO public.who_data VALUES (58017, 3941, 154233, 46, 1230, 245, 164);
INSERT INTO public.who_data VALUES (58018, 144, 5783, 3, 82, 245, 235);
INSERT INTO public.who_data VALUES (58019, 94, 12803, 1, 260, 245, 67);
INSERT INTO public.who_data VALUES (58020, 0, 11, 0, 0, 245, 15);
INSERT INTO public.who_data VALUES (58021, 11, 1309, 0, 53, 245, 180);
INSERT INTO public.who_data VALUES (58022, 218, 41833, 0, 26, 245, 237);
INSERT INTO public.who_data VALUES (58023, 0, 2, 0, 0, 245, 25);
INSERT INTO public.who_data VALUES (58024, 0, 77, 0, 15, 245, 209);
INSERT INTO public.who_data VALUES (58025, 14, 1576, 0, 28, 245, 217);
INSERT INTO public.who_data VALUES (58026, 6, 1519, 0, 114, 245, 79);
INSERT INTO public.who_data VALUES (58027, 0, 0, 0, 0, 245, 143);
INSERT INTO public.who_data VALUES (58028, 36, 2755, 0, 88, 245, 229);
INSERT INTO public.who_data VALUES (58029, 4966, 92681, 46, 1877, 245, 141);
INSERT INTO public.who_data VALUES (58030, 34, 1864, 2, 34, 245, 197);
INSERT INTO public.who_data VALUES (58031, 374, 255618, 18, 29644, 245, 221);
INSERT INTO public.who_data VALUES (58032, 0, 1950, 0, 11, 245, 150);
INSERT INTO public.who_data VALUES (58033, 164, 8580, 8, 521, 245, 56);
INSERT INTO public.who_data VALUES (58034, 16, 293, 0, 8, 245, 167);
INSERT INTO public.who_data VALUES (58035, 1209, 57858, 30, 5283, 245, 23);
INSERT INTO public.who_data VALUES (58036, 32, 31239, 0, 1723, 245, 222);
INSERT INTO public.who_data VALUES (58037, 11, 198, 0, 7, 245, 219);
INSERT INTO public.who_data VALUES (58038, 61, 5399, 1, 52, 245, 7);
INSERT INTO public.who_data VALUES (58039, 1, 3148, 0, 58, 245, 161);
INSERT INTO public.who_data VALUES (58040, 986, 277172, 71, 39847, 245, 149);
INSERT INTO public.who_data VALUES (58041, 0, 24, 0, 0, 245, 6);
INSERT INTO public.who_data VALUES (58042, 6, 561, 0, 13, 245, 139);
INSERT INTO public.who_data VALUES (58043, 0, 0, 0, 0, 245, 211);
INSERT INTO public.who_data VALUES (58044, 0, 0, 0, 0, 245, 14);
INSERT INTO public.who_data VALUES (58045, 0, 123, 0, 8, 245, 111);
INSERT INTO public.who_data VALUES (58046, 1, 1157, 0, 50, 245, 207);
INSERT INTO public.who_data VALUES (58047, 1248, 186493, 22, 4927, 245, 66);
INSERT INTO public.who_data VALUES (58048, 0, 0, 0, 0, 245, 173);
INSERT INTO public.who_data VALUES (58049, 0, 12, 0, 1, 245, 145);
INSERT INTO public.who_data VALUES (58050, 0, 0, 0, 0, 245, 65);
INSERT INTO public.who_data VALUES (58051, 0, 823, 0, 0, 245, 184);
INSERT INTO public.who_data VALUES (58052, 735, 36560, 8, 1002, 245, 98);
INSERT INTO public.who_data VALUES (58053, 388, 44533, 1, 301, 245, 104);
INSERT INTO public.who_data VALUES (58054, 0, 509, 0, 21, 245, 73);
INSERT INTO public.who_data VALUES (58055, 36617, 2208829, 690, 118895, 245, 8);
INSERT INTO public.who_data VALUES (58056, 1, 74, 0, 6, 245, 227);
INSERT INTO public.who_data VALUES (58057, 3, 853, 0, 24, 245, 75);
INSERT INTO public.who_data VALUES (58058, 191, 6216, 0, 19, 245, 45);
INSERT INTO public.who_data VALUES (58059, 0, 0, 0, 0, 245, 133);
INSERT INTO public.who_data VALUES (58060, 107, 3591, 2, 30, 245, 202);
INSERT INTO public.who_data VALUES (58061, 0, 349, 0, 0, 245, 129);
INSERT INTO public.who_data VALUES (58062, 0, 0, 0, 0, 245, 36);
INSERT INTO public.who_data VALUES (58063, 3, 922, 3, 254, 245, 51);
INSERT INTO public.who_data VALUES (58064, 0, 1430, 0, 11, 245, 206);
INSERT INTO public.who_data VALUES (58065, 0, 479, 0, 4, 245, 5);
INSERT INTO public.who_data VALUES (58066, 419, 28383, 0, 552, 246, 103);
INSERT INTO public.who_data VALUES (58067, 0, 1838, 0, 42, 246, 58);
INSERT INTO public.who_data VALUES (58068, 119, 11504, 14, 825, 246, 195);
INSERT INTO public.who_data VALUES (58069, 0, 0, 0, 0, 246, 115);
INSERT INTO public.who_data VALUES (58070, 0, 855, 0, 52, 246, 99);
INSERT INTO public.who_data VALUES (58071, 0, 166, 0, 8, 246, 153);
INSERT INTO public.who_data VALUES (58072, 0, 3, 0, 0, 246, 93);
INSERT INTO public.who_data VALUES (58073, 0, 26, 0, 3, 246, 84);
INSERT INTO public.who_data VALUES (58074, 1958, 37510, 25, 954, 246, 78);
INSERT INTO public.who_data VALUES (58075, 551, 19021, 13, 327, 246, 170);
INSERT INTO public.who_data VALUES (58076, 0, 101, 0, 3, 246, 32);
INSERT INTO public.who_data VALUES (58077, 18, 7409, 0, 102, 246, 155);
INSERT INTO public.who_data VALUES (58078, 30, 17185, 0, 688, 246, 82);
INSERT INTO public.who_data VALUES (58079, 438, 11767, 4, 143, 246, 16);
INSERT INTO public.who_data VALUES (58080, 0, 104, 0, 11, 246, 72);
INSERT INTO public.who_data VALUES (58081, 486, 20916, 2, 57, 246, 43);
INSERT INTO public.who_data VALUES (58082, 3243, 105535, 45, 1388, 246, 120);
INSERT INTO public.who_data VALUES (58083, 0, 97, 0, 7, 246, 213);
INSERT INTO public.who_data VALUES (58084, 676, 57333, 6, 337, 246, 31);
INSERT INTO public.who_data VALUES (58085, 121, 61181, 4, 9562, 246, 204);
INSERT INTO public.who_data VALUES (58086, 0, 22, 0, 2, 246, 152);
INSERT INTO public.who_data VALUES (58087, 53, 650, 0, 11, 246, 144);
INSERT INTO public.who_data VALUES (58088, 0, 144, 0, 9, 246, 96);
INSERT INTO public.who_data VALUES (58089, 1, 68, 0, 0, 246, 47);
INSERT INTO public.who_data VALUES (58090, 814, 21499, 18, 697, 246, 80);
INSERT INTO public.who_data VALUES (58091, 0, 2, 0, 0, 246, 159);
INSERT INTO public.who_data VALUES (58092, 86, 3288, 1, 168, 246, 27);
INSERT INTO public.who_data VALUES (58093, 10, 89, 0, 1, 246, 146);
INSERT INTO public.who_data VALUES (58094, 22765, 978142, 1238, 47748, 246, 71);
INSERT INTO public.who_data VALUES (58095, 0, 8, 0, 1, 246, 210);
INSERT INTO public.who_data VALUES (58096, 0, 141, 0, 3, 246, 54);
INSERT INTO public.who_data VALUES (58097, 81, 3755, 3, 193, 246, 147);
INSERT INTO public.who_data VALUES (58098, 2, 901, 0, 53, 246, 2);
INSERT INTO public.who_data VALUES (58099, 0, 104, 0, 1, 246, 105);
INSERT INTO public.who_data VALUES (58100, 25, 848, 1, 8, 246, 53);
INSERT INTO public.who_data VALUES (58101, 0, 129, 0, 0, 246, 81);
INSERT INTO public.who_data VALUES (58102, 774, 10638, 6, 282, 246, 223);
INSERT INTO public.who_data VALUES (58103, 367, 100220, 46, 8300, 246, 94);
INSERT INTO public.who_data VALUES (58104, 0, 193, 0, 1, 246, 154);
INSERT INTO public.who_data VALUES (58105, 0, 2605, 0, 19, 246, 83);
INSERT INTO public.who_data VALUES (58106, 4, 858, 0, 74, 246, 194);
INSERT INTO public.who_data VALUES (58107, 6290, 231393, 252, 4093, 246, 136);
INSERT INTO public.who_data VALUES (58108, 30, 84970, 0, 4645, 246, 179);
INSERT INTO public.who_data VALUES (58109, 3171, 60217, 86, 1950, 246, 57);
INSERT INTO public.who_data VALUES (58110, 0, 210, 0, 5, 246, 35);
INSERT INTO public.who_data VALUES (58111, 0, 883, 0, 27, 246, 228);
INSERT INTO public.who_data VALUES (58112, 0, 0, 0, 0, 246, 19);
INSERT INTO public.who_data VALUES (58113, 68, 1939, 0, 12, 246, 22);
INSERT INTO public.who_data VALUES (58114, 430, 6874, 0, 49, 246, 1);
INSERT INTO public.who_data VALUES (58115, 11, 2280, 0, 107, 246, 21);
INSERT INTO public.who_data VALUES (58116, 10, 2305, 0, 85, 246, 234);
INSERT INTO public.who_data VALUES (58117, 0, 23, 0, 1, 246, 91);
INSERT INTO public.who_data VALUES (58118, 0, 985, 0, 19, 246, 137);
INSERT INTO public.who_data VALUES (58119, 176, 10406, 1, 335, 246, 201);
INSERT INTO public.who_data VALUES (58120, 0, 0, 0, 0, 246, 171);
INSERT INTO public.who_data VALUES (58121, 194, 5476, 5, 121, 246, 92);
INSERT INTO public.who_data VALUES (58122, 47, 12391, 0, 600, 246, 112);
INSERT INTO public.who_data VALUES (58123, 8, 4565, 2, 45, 246, 62);
INSERT INTO public.who_data VALUES (58124, 0, 18, 0, 0, 246, 69);
INSERT INTO public.who_data VALUES (58125, 423, 25068, 12, 647, 246, 220);
INSERT INTO public.who_data VALUES (58126, 634, 49731, 69, 4156, 246, 100);
INSERT INTO public.who_data VALUES (58127, 1774, 52211, 79, 2017, 246, 187);
INSERT INTO public.who_data VALUES (58128, 129, 4329, 4, 86, 246, 63);
INSERT INTO public.who_data VALUES (58129, 0, 1043, 0, 12, 246, 28);
INSERT INTO public.who_data VALUES (58130, 0, 142, 0, 0, 246, 172);
INSERT INTO public.who_data VALUES (58131, 2, 1979, 0, 63, 246, 17);
INSERT INTO public.who_data VALUES (58132, 37, 623, 0, 4, 246, 226);
INSERT INTO public.who_data VALUES (58133, 116, 4070, 7, 72, 246, 236);
INSERT INTO public.who_data VALUES (58134, 0, 13, 0, 0, 246, 76);
INSERT INTO public.who_data VALUES (58135, 0, 187, 0, 0, 246, 30);
INSERT INTO public.who_data VALUES (58136, 0, 18, 0, 0, 246, 128);
INSERT INTO public.who_data VALUES (58137, 16, 7133, 0, 326, 246, 86);
INSERT INTO public.who_data VALUES (58138, 584, 154141, 14, 29551, 246, 140);
INSERT INTO public.who_data VALUES (58139, 211, 1969, 0, 5, 246, 44);
INSERT INTO public.who_data VALUES (58140, 0, 60, 0, 0, 246, 113);
INSERT INTO public.who_data VALUES (58141, 0, 4340, 0, 32, 246, 29);
INSERT INTO public.who_data VALUES (58142, 0, 36, 0, 1, 246, 125);
INSERT INTO public.who_data VALUES (58143, 3, 898, 0, 14, 246, 131);
INSERT INTO public.who_data VALUES (58144, 601, 189135, 10, 8882, 246, 46);
INSERT INTO public.who_data VALUES (58145, 274, 13203, 4, 70, 246, 10);
INSERT INTO public.who_data VALUES (58146, 0, 176, 0, 0, 246, 205);
INSERT INTO public.who_data VALUES (58147, 10, 3237, 1, 189, 246, 50);
INSERT INTO public.who_data VALUES (58148, 0, 13, 0, 0, 246, 20);
INSERT INTO public.who_data VALUES (58149, 0, 23, 0, 0, 246, 13);
INSERT INTO public.who_data VALUES (58150, 3, 174, 0, 14, 246, 148);
INSERT INTO public.who_data VALUES (58151, 7, 192, 0, 5, 246, 230);
INSERT INTO public.who_data VALUES (58152, 617, 11868, 17, 449, 246, 190);
INSERT INTO public.who_data VALUES (58153, 0, 252, 0, 13, 246, 188);
INSERT INTO public.who_data VALUES (58154, 63, 4904, 1, 27, 246, 123);
INSERT INTO public.who_data VALUES (58155, 0, 1512, 0, 16, 246, 9);
INSERT INTO public.who_data VALUES (58156, 0, 183, 0, 12, 246, 102);
INSERT INTO public.who_data VALUES (58157, 228, 4916, 2, 84, 246, 34);
INSERT INTO public.who_data VALUES (58158, 0, 12, 0, 0, 246, 212);
INSERT INTO public.who_data VALUES (58159, 440, 10739, 7, 343, 246, 122);
INSERT INTO public.who_data VALUES (58160, 5, 4086, 2, 570, 246, 38);
INSERT INTO public.who_data VALUES (58161, 1, 1815, 0, 10, 246, 130);
INSERT INTO public.who_data VALUES (58162, 14516, 395048, 375, 12948, 246, 37);
INSERT INTO public.who_data VALUES (58163, 1041, 43803, 34, 2373, 246, 231);
INSERT INTO public.who_data VALUES (58164, 2615, 200262, 120, 9392, 246, 107);
INSERT INTO public.who_data VALUES (58165, 1635, 27352, 69, 925, 246, 101);
INSERT INTO public.who_data VALUES (58166, 13, 25368, 0, 1714, 246, 132);
INSERT INTO public.who_data VALUES (58167, 0, 336, 0, 24, 246, 176);
INSERT INTO public.who_data VALUES (58168, 302, 20216, 0, 306, 246, 200);
INSERT INTO public.who_data VALUES (58169, -148, 238011, 47, 34561, 246, 169);
INSERT INTO public.who_data VALUES (58170, 12, 638, 0, 10, 246, 225);
INSERT INTO public.who_data VALUES (58171, 59, 17799, 17, 952, 246, 165);
INSERT INTO public.who_data VALUES (58172, 0, 318, 0, 30, 246, 233);
INSERT INTO public.who_data VALUES (58173, 6, 943, 0, 9, 246, 215);
INSERT INTO public.who_data VALUES (58174, 1062, 17841, 5, 118, 246, 177);
INSERT INTO public.who_data VALUES (58175, 117, 4374, 2, 119, 246, 183);
INSERT INTO public.who_data VALUES (58176, 0, 0, 0, 0, 246, 203);
INSERT INTO public.who_data VALUES (58177, 82, 1955, 0, 24, 246, 162);
INSERT INTO public.who_data VALUES (58178, 604, 38678, 5, 313, 246, 12);
INSERT INTO public.who_data VALUES (58179, 192, 2981, 3, 35, 246, 24);
INSERT INTO public.who_data VALUES (58180, 0, 19, 0, 0, 246, 119);
INSERT INTO public.who_data VALUES (58181, 2, 1110, 0, 30, 246, 39);
INSERT INTO public.who_data VALUES (58182, 15, 1510, 0, 32, 246, 26);
INSERT INTO public.who_data VALUES (58183, 0, 4, 0, 0, 246, 59);
INSERT INTO public.who_data VALUES (58184, 39, 581, 0, 33, 246, 77);
INSERT INTO public.who_data VALUES (58185, 10, 520, 0, 10, 246, 134);
INSERT INTO public.who_data VALUES (58186, 0, 83, 0, 1, 246, 4);
INSERT INTO public.who_data VALUES (58187, 3, 1790, 0, 76, 246, 109);
INSERT INTO public.who_data VALUES (58188, 8, 4099, 0, 110, 246, 90);
INSERT INTO public.who_data VALUES (58189, 40, 1443, 0, 13, 246, 61);
INSERT INTO public.who_data VALUES (58190, 56, 648, 0, 8, 246, 85);
INSERT INTO public.who_data VALUES (58191, 6, 8535, 0, 121, 246, 49);
INSERT INTO public.who_data VALUES (58192, 13, 2150, 0, 8, 246, 208);
INSERT INTO public.who_data VALUES (58193, 17, 1923, 1, 108, 246, 166);
INSERT INTO public.who_data VALUES (58194, 0, 662, 0, 9, 246, 64);
INSERT INTO public.who_data VALUES (58195, 0, 0, 0, 0, 246, 199);
INSERT INTO public.who_data VALUES (58196, 0, 221, 0, 14, 246, 114);
INSERT INTO public.who_data VALUES (58197, 201, 2424, 2, 97, 246, 60);
INSERT INTO public.who_data VALUES (58198, 0, 337, 0, 10, 246, 68);
INSERT INTO public.who_data VALUES (58199, 11, 2394, 0, 29, 246, 158);
INSERT INTO public.who_data VALUES (58200, 5662, 165455, 667, 19747, 246, 52);
INSERT INTO public.who_data VALUES (58201, 0, 0, 0, 0, 246, 117);
INSERT INTO public.who_data VALUES (58202, 0, 70, 0, 1, 246, 126);
INSERT INTO public.who_data VALUES (58203, 3, 204, 0, 0, 246, 196);
INSERT INTO public.who_data VALUES (58204, 4, 358, 0, 9, 246, 142);
INSERT INTO public.who_data VALUES (58205, 0, 11, 0, 1, 246, 185);
INSERT INTO public.who_data VALUES (58206, 539, 9613, 0, 213, 246, 138);
INSERT INTO public.who_data VALUES (58207, 6, 668, 0, 4, 246, 181);
INSERT INTO public.who_data VALUES (58208, 0, 286, 0, 6, 246, 178);
INSERT INTO public.who_data VALUES (58209, 6, 45, 0, 0, 246, 168);
INSERT INTO public.who_data VALUES (58210, 0, 0, 0, 0, 246, 160);
INSERT INTO public.who_data VALUES (58211, 426, 8274, 0, 22, 246, 151);
INSERT INTO public.who_data VALUES (58212, 108, 49177, 4, 6054, 246, 193);
INSERT INTO public.who_data VALUES (58213, 0, 21, 0, 0, 246, 18);
INSERT INTO public.who_data VALUES (58214, 2, 1159, 0, 22, 246, 40);
INSERT INTO public.who_data VALUES (58215, 0, 2014, 0, 64, 246, 218);
INSERT INTO public.who_data VALUES (58216, 6, 1026, 0, 67, 246, 191);
INSERT INTO public.who_data VALUES (58217, 667, 19147, 12, 487, 246, 156);
INSERT INTO public.who_data VALUES (58218, 0, 0, 0, 0, 246, 135);
INSERT INTO public.who_data VALUES (58219, 0, 30, 0, 2, 246, 88);
INSERT INTO public.who_data VALUES (58220, 156, 4820, 6, 222, 246, 55);
INSERT INTO public.who_data VALUES (58221, 0, 8692, 0, 244, 246, 108);
INSERT INTO public.who_data VALUES (58222, 75, 870, 0, 5, 246, 48);
INSERT INTO public.who_data VALUES (58223, 852, 27670, 6, 125, 246, 3);
INSERT INTO public.who_data VALUES (58224, 0, 741, 0, 13, 246, 224);
INSERT INTO public.who_data VALUES (58225, 6604, 171666, 153, 3382, 246, 110);
INSERT INTO public.who_data VALUES (58226, 0, 0, 0, 0, 246, 106);
INSERT INTO public.who_data VALUES (58227, 754, 23351, 5, 475, 246, 89);
INSERT INTO public.who_data VALUES (58228, 0, 8, 0, 0, 246, 121);
INSERT INTO public.who_data VALUES (58229, 6, 1336, 0, 13, 246, 163);
INSERT INTO public.who_data VALUES (58230, 3480, 244388, 204, 7461, 246, 70);
INSERT INTO public.who_data VALUES (58231, 660, 28459, 14, 1130, 246, 174);
INSERT INTO public.who_data VALUES (58232, 0, 0, 0, 0, 246, 175);
INSERT INTO public.who_data VALUES (58233, 301, 31316, 18, 1334, 246, 118);
INSERT INTO public.who_data VALUES (58234, 375, 38464, 3, 1527, 246, 189);
INSERT INTO public.who_data VALUES (58235, 84, 6195, 0, 147, 246, 124);
INSERT INTO public.who_data VALUES (58236, 1021, 85462, 7, 93, 246, 192);
INSERT INTO public.who_data VALUES (58237, 67, 12373, 0, 280, 246, 41);
INSERT INTO public.who_data VALUES (58238, 450, 13556, 9, 458, 246, 95);
INSERT INTO public.who_data VALUES (58239, 2, 504, 0, 1, 246, 74);
INSERT INTO public.who_data VALUES (58240, 320, 23400, 11, 1484, 246, 11);
INSERT INTO public.who_data VALUES (58241, 7889, 576952, 161, 8002, 246, 87);
INSERT INTO public.who_data VALUES (58242, 15, 661, 0, 2, 246, 214);
INSERT INTO public.who_data VALUES (58243, 0, 3, 0, 0, 246, 116);
INSERT INTO public.who_data VALUES (58244, 0, 6, 0, 0, 246, 157);
INSERT INTO public.who_data VALUES (58245, 0, 0, 0, 0, 246, 182);
INSERT INTO public.who_data VALUES (58246, 0, 15, 0, 0, 246, 186);
INSERT INTO public.who_data VALUES (58247, 0, 19, 0, 0, 246, 127);
INSERT INTO public.who_data VALUES (58248, 0, 42, 0, 3, 246, 232);
INSERT INTO public.who_data VALUES (58249, 0, 1, 0, 0, 246, 33);
INSERT INTO public.who_data VALUES (58250, 0, 29, 0, 0, 246, 97);
INSERT INTO public.who_data VALUES (58251, 0, 0, 0, 0, 246, 42);
INSERT INTO public.who_data VALUES (58252, 4, 713, 0, 42, 246, 198);
INSERT INTO public.who_data VALUES (58253, 0, 388, 0, 10, 246, 216);
INSERT INTO public.who_data VALUES (58254, 4301, 150292, 45, 1184, 246, 164);
INSERT INTO public.who_data VALUES (58255, 164, 5639, 3, 79, 246, 235);
INSERT INTO public.who_data VALUES (58256, 93, 12709, 1, 259, 246, 67);
INSERT INTO public.who_data VALUES (58257, 0, 11, 0, 0, 246, 15);
INSERT INTO public.who_data VALUES (58258, 26, 1298, 2, 53, 246, 180);
INSERT INTO public.who_data VALUES (58259, 142, 41615, 0, 26, 246, 237);
INSERT INTO public.who_data VALUES (58260, 0, 2, 0, 0, 246, 25);
INSERT INTO public.who_data VALUES (58261, 0, 77, 0, 15, 246, 209);
INSERT INTO public.who_data VALUES (58262, 1, 1562, 0, 28, 246, 217);
INSERT INTO public.who_data VALUES (58263, 2, 1513, 0, 114, 246, 79);
INSERT INTO public.who_data VALUES (58264, 0, 0, 0, 0, 246, 143);
INSERT INTO public.who_data VALUES (58265, 0, 2719, 0, 88, 246, 229);
INSERT INTO public.who_data VALUES (58266, 3825, 87715, 94, 1831, 246, 141);
INSERT INTO public.who_data VALUES (58267, 17, 1830, 1, 32, 246, 197);
INSERT INTO public.who_data VALUES (58268, 401, 255244, 12, 29626, 246, 221);
INSERT INTO public.who_data VALUES (58269, 3, 1950, 0, 11, 246, 150);
INSERT INTO public.who_data VALUES (58270, 396, 8416, 26, 513, 246, 56);
INSERT INTO public.who_data VALUES (58271, 16, 277, 1, 8, 246, 167);
INSERT INTO public.who_data VALUES (58272, 1494, 56649, 29, 5253, 246, 23);
INSERT INTO public.who_data VALUES (58273, 37, 31207, 0, 1723, 246, 222);
INSERT INTO public.who_data VALUES (58274, 0, 187, 0, 7, 246, 219);
INSERT INTO public.who_data VALUES (58275, 59, 5338, 0, 51, 246, 7);
INSERT INTO public.who_data VALUES (58276, 1, 3147, 0, 58, 246, 161);
INSERT INTO public.who_data VALUES (58277, 1027, 276186, 84, 39776, 246, 149);
INSERT INTO public.who_data VALUES (58278, 0, 24, 0, 0, 246, 6);
INSERT INTO public.who_data VALUES (58279, 11, 555, 0, 13, 246, 139);
INSERT INTO public.who_data VALUES (58280, 0, 0, 0, 0, 246, 211);
INSERT INTO public.who_data VALUES (58281, 0, 0, 0, 0, 246, 14);
INSERT INTO public.who_data VALUES (58282, 0, 123, 0, 8, 246, 111);
INSERT INTO public.who_data VALUES (58283, 10, 1156, 0, 50, 246, 207);
INSERT INTO public.who_data VALUES (58284, 1214, 185245, 23, 4905, 246, 66);
INSERT INTO public.who_data VALUES (58285, 0, 0, 0, 0, 246, 173);
INSERT INTO public.who_data VALUES (58286, 0, 12, 0, 1, 246, 145);
INSERT INTO public.who_data VALUES (58287, 0, 0, 0, 0, 246, 65);
INSERT INTO public.who_data VALUES (58288, 0, 823, 0, 0, 246, 184);
INSERT INTO public.who_data VALUES (58289, 841, 35825, 9, 994, 246, 98);
INSERT INTO public.who_data VALUES (58290, 393, 44145, 2, 300, 246, 104);
INSERT INTO public.who_data VALUES (58291, 0, 509, 0, 21, 246, 73);
INSERT INTO public.who_data VALUES (58292, 23046, 2172212, 733, 118205, 246, 8);
INSERT INTO public.who_data VALUES (58293, 0, 73, 0, 6, 246, 227);
INSERT INTO public.who_data VALUES (58294, 1, 850, 0, 24, 246, 75);
INSERT INTO public.who_data VALUES (58295, 170, 6025, 0, 19, 246, 45);
INSERT INTO public.who_data VALUES (58296, 0, 0, 0, 0, 246, 133);
INSERT INTO public.who_data VALUES (58297, 98, 3484, 0, 28, 246, 202);
INSERT INTO public.who_data VALUES (58298, 7, 349, 0, 0, 246, 129);
INSERT INTO public.who_data VALUES (58299, 0, 0, 0, 0, 246, 36);
INSERT INTO public.who_data VALUES (58300, 10, 919, 3, 251, 246, 51);
INSERT INTO public.who_data VALUES (58301, 14, 1430, 0, 11, 246, 206);
INSERT INTO public.who_data VALUES (58302, 16, 479, 0, 4, 246, 5);
INSERT INTO public.who_data VALUES (58303, 541, 27964, 2, 552, 247, 103);
INSERT INTO public.who_data VALUES (58304, 50, 1838, 3, 42, 247, 58);
INSERT INTO public.who_data VALUES (58305, 117, 11385, 12, 811, 247, 195);
INSERT INTO public.who_data VALUES (58306, 0, 0, 0, 0, 247, 115);
INSERT INTO public.who_data VALUES (58307, 1, 855, 0, 52, 247, 99);
INSERT INTO public.who_data VALUES (58308, 11, 166, 1, 8, 247, 153);
INSERT INTO public.who_data VALUES (58309, 0, 3, 0, 0, 247, 93);
INSERT INTO public.who_data VALUES (58310, 0, 26, 0, 3, 247, 84);
INSERT INTO public.who_data VALUES (58311, 1393, 35552, 43, 929, 247, 78);
INSERT INTO public.who_data VALUES (58312, 459, 18470, 10, 314, 247, 170);
INSERT INTO public.who_data VALUES (58313, 0, 101, 0, 3, 247, 32);
INSERT INTO public.who_data VALUES (58314, 21, 7391, 0, 102, 247, 155);
INSERT INTO public.who_data VALUES (58315, 40, 17155, 1, 688, 247, 82);
INSERT INTO public.who_data VALUES (58316, 338, 11329, 6, 139, 247, 16);
INSERT INTO public.who_data VALUES (58317, 0, 104, 0, 11, 247, 72);
INSERT INTO public.who_data VALUES (58318, 469, 20430, 6, 55, 247, 43);
INSERT INTO public.who_data VALUES (58319, 3803, 102292, 38, 1343, 247, 120);
INSERT INTO public.who_data VALUES (58320, 0, 97, 0, 7, 247, 213);
INSERT INTO public.who_data VALUES (58321, 625, 56657, 7, 331, 247, 31);
INSERT INTO public.who_data VALUES (58322, 108, 61060, 5, 9558, 247, 204);
INSERT INTO public.who_data VALUES (58323, 0, 22, 0, 2, 247, 152);
INSERT INTO public.who_data VALUES (58324, 25, 597, 2, 11, 247, 144);
INSERT INTO public.who_data VALUES (58325, 0, 144, 0, 9, 247, 96);
INSERT INTO public.who_data VALUES (58326, 0, 67, 0, 0, 247, 47);
INSERT INTO public.who_data VALUES (58327, 802, 20685, 20, 679, 247, 80);
INSERT INTO public.who_data VALUES (58328, 0, 2, 0, 0, 247, 159);
INSERT INTO public.who_data VALUES (58329, 58, 3202, 0, 167, 247, 27);
INSERT INTO public.who_data VALUES (58330, 0, 79, 0, 1, 247, 146);
INSERT INTO public.who_data VALUES (58331, 32188, 955377, 1269, 46510, 247, 71);
INSERT INTO public.who_data VALUES (58332, 0, 8, 0, 1, 247, 210);
INSERT INTO public.who_data VALUES (58333, 0, 141, 0, 3, 247, 54);
INSERT INTO public.who_data VALUES (58334, 132, 3674, 6, 190, 247, 147);
INSERT INTO public.who_data VALUES (58335, 0, 899, 0, 53, 247, 2);
INSERT INTO public.who_data VALUES (58336, 0, 104, 0, 1, 247, 105);
INSERT INTO public.who_data VALUES (58337, 31, 823, 0, 7, 247, 53);
INSERT INTO public.who_data VALUES (58338, 0, 129, 0, 0, 247, 81);
INSERT INTO public.who_data VALUES (58339, 0, 9864, 0, 276, 247, 223);
INSERT INTO public.who_data VALUES (58340, 386, 99853, 41, 8254, 247, 94);
INSERT INTO public.who_data VALUES (58341, 0, 193, 0, 1, 247, 154);
INSERT INTO public.who_data VALUES (58342, 41, 2605, 1, 19, 247, 83);
INSERT INTO public.who_data VALUES (58343, 0, 854, 0, 74, 247, 194);
INSERT INTO public.who_data VALUES (58344, 4475, 225103, 226, 3841, 247, 136);
INSERT INTO public.who_data VALUES (58345, 37, 84940, 0, 4645, 247, 179);
INSERT INTO public.who_data VALUES (58346, 2115, 57046, 63, 1864, 247, 57);
INSERT INTO public.who_data VALUES (58347, 13, 210, 2, 5, 247, 35);
INSERT INTO public.who_data VALUES (58348, 0, 883, 0, 27, 247, 228);
INSERT INTO public.who_data VALUES (58349, 0, 0, 0, 0, 247, 19);
INSERT INTO public.who_data VALUES (58350, 75, 1871, 0, 12, 247, 22);
INSERT INTO public.who_data VALUES (58351, 381, 6444, 1, 49, 247, 1);
INSERT INTO public.who_data VALUES (58352, 11, 2269, 0, 107, 247, 21);
INSERT INTO public.who_data VALUES (58353, 15, 2295, 1, 85, 247, 234);
INSERT INTO public.who_data VALUES (58354, 0, 23, 0, 1, 247, 91);
INSERT INTO public.who_data VALUES (58355, 0, 985, 1, 19, 247, 137);
INSERT INTO public.who_data VALUES (58356, 68, 10230, 1, 334, 247, 201);
INSERT INTO public.who_data VALUES (58357, 0, 0, 0, 0, 247, 171);
INSERT INTO public.who_data VALUES (58358, 183, 5282, 2, 116, 247, 92);
INSERT INTO public.who_data VALUES (58359, 50, 12344, 2, 600, 247, 112);
INSERT INTO public.who_data VALUES (58360, 12, 4557, 0, 43, 247, 62);
INSERT INTO public.who_data VALUES (58361, 0, 18, 0, 0, 247, 69);
INSERT INTO public.who_data VALUES (58362, 540, 24645, 2, 635, 247, 220);
INSERT INTO public.who_data VALUES (58363, 607, 49097, 80, 4087, 247, 100);
INSERT INTO public.who_data VALUES (58364, 1218, 50437, 88, 1938, 247, 187);
INSERT INTO public.who_data VALUES (58365, 134, 4200, 3, 82, 247, 63);
INSERT INTO public.who_data VALUES (58366, 0, 1043, 0, 12, 247, 28);
INSERT INTO public.who_data VALUES (58367, 11, 142, 0, 0, 247, 172);
INSERT INTO public.who_data VALUES (58368, 0, 1977, 0, 63, 247, 17);
INSERT INTO public.who_data VALUES (58369, 23, 586, 0, 4, 247, 226);
INSERT INTO public.who_data VALUES (58370, 195, 3954, 2, 65, 247, 236);
INSERT INTO public.who_data VALUES (58371, 0, 13, 0, 0, 247, 76);
INSERT INTO public.who_data VALUES (58372, 0, 187, 0, 0, 247, 30);
INSERT INTO public.who_data VALUES (58373, 0, 18, 0, 0, 247, 128);
INSERT INTO public.who_data VALUES (58374, 0, 7117, 0, 326, 247, 86);
INSERT INTO public.who_data VALUES (58375, 201, 153557, 28, 29537, 247, 140);
INSERT INTO public.who_data VALUES (58376, 204, 1758, 0, 5, 247, 44);
INSERT INTO public.who_data VALUES (58377, 0, 60, 0, 0, 247, 113);
INSERT INTO public.who_data VALUES (58378, 111, 4340, 2, 32, 247, 29);
INSERT INTO public.who_data VALUES (58379, 2, 36, 0, 1, 247, 125);
INSERT INTO public.who_data VALUES (58380, 2, 895, 0, 14, 247, 131);
INSERT INTO public.who_data VALUES (58381, 770, 188534, 16, 8872, 247, 46);
INSERT INTO public.who_data VALUES (58382, 339, 12929, 0, 66, 247, 10);
INSERT INTO public.who_data VALUES (58383, 0, 176, 0, 0, 247, 205);
INSERT INTO public.who_data VALUES (58384, 24, 3227, 1, 188, 247, 50);
INSERT INTO public.who_data VALUES (58385, 0, 13, 0, 0, 247, 20);
INSERT INTO public.who_data VALUES (58386, 0, 23, 0, 0, 247, 13);
INSERT INTO public.who_data VALUES (58387, 0, 171, 0, 14, 247, 148);
INSERT INTO public.who_data VALUES (58388, 5, 185, 0, 5, 247, 230);
INSERT INTO public.who_data VALUES (58389, 545, 11251, 14, 432, 247, 190);
INSERT INTO public.who_data VALUES (58390, 0, 252, 0, 13, 247, 188);
INSERT INTO public.who_data VALUES (58391, 173, 4841, 0, 26, 247, 123);
INSERT INTO public.who_data VALUES (58392, 20, 1512, 1, 16, 247, 9);
INSERT INTO public.who_data VALUES (58393, 12, 183, 0, 12, 247, 102);
INSERT INTO public.who_data VALUES (58394, 141, 4688, 2, 82, 247, 34);
INSERT INTO public.who_data VALUES (58395, 0, 12, 0, 0, 247, 212);
INSERT INTO public.who_data VALUES (58396, 643, 10299, 6, 336, 247, 122);
INSERT INTO public.who_data VALUES (58397, 2, 4081, 0, 568, 247, 38);
INSERT INTO public.who_data VALUES (58398, 2, 1814, 0, 10, 247, 130);
INSERT INTO public.who_data VALUES (58399, 13586, 380532, 336, 12573, 247, 37);
INSERT INTO public.who_data VALUES (58400, 1331, 42762, 63, 2339, 247, 231);
INSERT INTO public.who_data VALUES (58401, 2596, 197647, 87, 9272, 247, 107);
INSERT INTO public.who_data VALUES (58402, 1463, 25717, 83, 856, 247, 101);
INSERT INTO public.who_data VALUES (58403, 14, 25355, 4, 1714, 247, 132);
INSERT INTO public.who_data VALUES (58404, 0, 336, 0, 24, 247, 176);
INSERT INTO public.who_data VALUES (58405, 271, 19914, 0, 306, 247, 200);
INSERT INTO public.who_data VALUES (58406, 331, 238159, 66, 34514, 247, 169);
INSERT INTO public.who_data VALUES (58407, 5, 626, 0, 10, 247, 225);
INSERT INTO public.who_data VALUES (58408, 72, 17740, 0, 935, 247, 165);
INSERT INTO public.who_data VALUES (58409, 2, 318, 0, 30, 247, 233);
INSERT INTO public.who_data VALUES (58410, 10, 937, 0, 9, 247, 215);
INSERT INTO public.who_data VALUES (58411, 428, 16779, 8, 113, 247, 177);
INSERT INTO public.who_data VALUES (58412, 213, 4257, 10, 117, 247, 183);
INSERT INTO public.who_data VALUES (58413, 0, 0, 0, 0, 247, 203);
INSERT INTO public.who_data VALUES (58414, 83, 1873, 0, 24, 247, 162);
INSERT INTO public.who_data VALUES (58415, 541, 38074, 2, 308, 247, 12);
INSERT INTO public.who_data VALUES (58416, 132, 2789, 1, 32, 247, 24);
INSERT INTO public.who_data VALUES (58417, 0, 19, 0, 0, 247, 119);
INSERT INTO public.who_data VALUES (58418, 4, 1108, 0, 30, 247, 39);
INSERT INTO public.who_data VALUES (58419, 6, 1495, 0, 32, 247, 26);
INSERT INTO public.who_data VALUES (58420, 0, 4, 0, 0, 247, 59);
INSERT INTO public.who_data VALUES (58421, 26, 542, 0, 33, 247, 77);
INSERT INTO public.who_data VALUES (58422, 26, 510, 0, 10, 247, 134);
INSERT INTO public.who_data VALUES (58423, 0, 83, 0, 1, 247, 4);
INSERT INTO public.who_data VALUES (58424, 8, 1787, 0, 76, 247, 109);
INSERT INTO public.who_data VALUES (58425, 6, 4091, 0, 110, 247, 90);
INSERT INTO public.who_data VALUES (58426, 25, 1403, 1, 13, 247, 61);
INSERT INTO public.who_data VALUES (58427, 20, 592, 2, 8, 247, 85);
INSERT INTO public.who_data VALUES (58428, 14, 8529, 0, 121, 247, 49);
INSERT INTO public.who_data VALUES (58429, 17, 2137, 0, 8, 247, 208);
INSERT INTO public.who_data VALUES (58430, 16, 1906, 0, 107, 247, 166);
INSERT INTO public.who_data VALUES (58431, 1, 662, 0, 9, 247, 64);
INSERT INTO public.who_data VALUES (58432, 0, 0, 0, 0, 247, 199);
INSERT INTO public.who_data VALUES (58433, 19, 221, 0, 14, 247, 114);
INSERT INTO public.who_data VALUES (58434, 166, 2223, 2, 95, 247, 60);
INSERT INTO public.who_data VALUES (58435, 0, 337, 0, 10, 247, 68);
INSERT INTO public.who_data VALUES (58436, 38, 2383, 0, 29, 247, 158);
INSERT INTO public.who_data VALUES (58437, 4930, 159793, 770, 19080, 247, 52);
INSERT INTO public.who_data VALUES (58438, 0, 0, 0, 0, 247, 117);
INSERT INTO public.who_data VALUES (58439, 0, 70, 0, 1, 247, 126);
INSERT INTO public.who_data VALUES (58440, 4, 201, 0, 0, 247, 196);
INSERT INTO public.who_data VALUES (58441, 17, 354, 0, 9, 247, 142);
INSERT INTO public.who_data VALUES (58442, 0, 11, 0, 1, 247, 185);
INSERT INTO public.who_data VALUES (58443, 77, 9074, 0, 213, 247, 138);
INSERT INTO public.who_data VALUES (58444, 11, 662, 0, 4, 247, 181);
INSERT INTO public.who_data VALUES (58445, 23, 286, 0, 6, 247, 178);
INSERT INTO public.who_data VALUES (58446, 5, 39, 0, 0, 247, 168);
INSERT INTO public.who_data VALUES (58447, 0, 0, 0, 0, 247, 160);
INSERT INTO public.who_data VALUES (58448, 671, 7848, 2, 22, 247, 151);
INSERT INTO public.who_data VALUES (58449, 125, 49069, 3, 6050, 247, 193);
INSERT INTO public.who_data VALUES (58450, 0, 21, 0, 0, 247, 18);
INSERT INTO public.who_data VALUES (58451, 0, 1157, 0, 22, 247, 40);
INSERT INTO public.who_data VALUES (58452, 0, 2014, 0, 64, 247, 218);
INSERT INTO public.who_data VALUES (58453, 0, 1020, 0, 67, 247, 191);
INSERT INTO public.who_data VALUES (58454, 745, 18480, 6, 475, 247, 156);
INSERT INTO public.who_data VALUES (58455, 0, 0, 0, 0, 247, 135);
INSERT INTO public.who_data VALUES (58456, 0, 30, 0, 2, 247, 88);
INSERT INTO public.who_data VALUES (58457, 182, 4664, 6, 216, 247, 55);
INSERT INTO public.who_data VALUES (58458, 32, 8692, 1, 244, 247, 108);
INSERT INTO public.who_data VALUES (58459, 50, 795, 0, 5, 247, 48);
INSERT INTO public.who_data VALUES (58460, 739, 26818, 3, 119, 247, 3);
INSERT INTO public.who_data VALUES (58461, 0, 741, 0, 13, 247, 224);
INSERT INTO public.who_data VALUES (58462, 4944, 165062, 136, 3229, 247, 110);
INSERT INTO public.who_data VALUES (58463, 0, 0, 0, 0, 247, 106);
INSERT INTO public.who_data VALUES (58464, 635, 22597, 13, 470, 247, 89);
INSERT INTO public.who_data VALUES (58465, 0, 8, 0, 0, 247, 121);
INSERT INTO public.who_data VALUES (58466, 22, 1330, 0, 13, 247, 163);
INSERT INTO public.who_data VALUES (58467, 3752, 240908, 201, 7257, 247, 70);
INSERT INTO public.who_data VALUES (58468, 561, 27799, 8, 1116, 247, 174);
INSERT INTO public.who_data VALUES (58469, 0, 0, 0, 0, 247, 175);
INSERT INTO public.who_data VALUES (58470, 314, 31015, 30, 1316, 247, 118);
INSERT INTO public.who_data VALUES (58471, 417, 38089, 1, 1524, 247, 189);
INSERT INTO public.who_data VALUES (58472, 108, 6111, 0, 147, 247, 124);
INSERT INTO public.who_data VALUES (58473, 1267, 84441, 4, 86, 247, 192);
INSERT INTO public.who_data VALUES (58474, 49, 12306, 0, 280, 247, 41);
INSERT INTO public.who_data VALUES (58475, 374, 13106, 16, 449, 247, 95);
INSERT INTO public.who_data VALUES (58476, 5, 502, 0, 1, 247, 74);
INSERT INTO public.who_data VALUES (58477, 320, 23080, 22, 1473, 247, 11);
INSERT INTO public.who_data VALUES (58478, 7972, 569063, 181, 7841, 247, 87);
INSERT INTO public.who_data VALUES (58479, 7, 646, 0, 2, 247, 214);
INSERT INTO public.who_data VALUES (58480, 0, 3, 0, 0, 247, 116);
INSERT INTO public.who_data VALUES (58481, 0, 6, 0, 0, 247, 157);
INSERT INTO public.who_data VALUES (58482, 0, 0, 0, 0, 247, 182);
INSERT INTO public.who_data VALUES (58483, 0, 15, 0, 0, 247, 186);
INSERT INTO public.who_data VALUES (58484, 0, 19, 0, 0, 247, 127);
INSERT INTO public.who_data VALUES (58485, 0, 42, 0, 3, 247, 232);
INSERT INTO public.who_data VALUES (58486, 0, 1, 0, 0, 247, 33);
INSERT INTO public.who_data VALUES (58487, 0, 29, 0, 0, 247, 97);
INSERT INTO public.who_data VALUES (58488, 0, 0, 0, 0, 247, 42);
INSERT INTO public.who_data VALUES (58489, 0, 709, 0, 42, 247, 198);
INSERT INTO public.who_data VALUES (58490, 0, 388, 0, 10, 247, 216);
INSERT INTO public.who_data VALUES (58491, 4757, 145991, 48, 1139, 247, 164);
INSERT INTO public.who_data VALUES (58492, 106, 5475, 3, 76, 247, 235);
INSERT INTO public.who_data VALUES (58493, 94, 12616, 1, 258, 247, 67);
INSERT INTO public.who_data VALUES (58494, 0, 11, 0, 0, 247, 15);
INSERT INTO public.who_data VALUES (58495, 23, 1272, 0, 51, 247, 180);
INSERT INTO public.who_data VALUES (58496, 257, 41473, 0, 26, 247, 237);
INSERT INTO public.who_data VALUES (58497, 0, 2, 0, 0, 247, 25);
INSERT INTO public.who_data VALUES (58498, 0, 77, 0, 15, 247, 209);
INSERT INTO public.who_data VALUES (58499, 9, 1561, 0, 28, 247, 217);
INSERT INTO public.who_data VALUES (58500, 8, 1511, 0, 114, 247, 79);
INSERT INTO public.who_data VALUES (58501, 0, 0, 0, 0, 247, 143);
INSERT INTO public.who_data VALUES (58502, 23, 2719, 0, 88, 247, 229);
INSERT INTO public.who_data VALUES (58503, 3478, 83890, 63, 1737, 247, 141);
INSERT INTO public.who_data VALUES (58504, 6, 1813, 0, 31, 247, 197);
INSERT INTO public.who_data VALUES (58505, 364, 254843, 23, 29614, 247, 221);
INSERT INTO public.who_data VALUES (58506, 23, 1947, 0, 11, 247, 150);
INSERT INTO public.who_data VALUES (58507, 0, 8020, 0, 487, 247, 56);
INSERT INTO public.who_data VALUES (58508, 19, 261, 1, 7, 247, 167);
INSERT INTO public.who_data VALUES (58509, 1457, 55155, 32, 5224, 247, 23);
INSERT INTO public.who_data VALUES (58510, 18, 31170, 0, 1723, 247, 222);
INSERT INTO public.who_data VALUES (58511, 9, 187, 0, 7, 247, 219);
INSERT INTO public.who_data VALUES (58512, 58, 5279, 0, 51, 247, 7);
INSERT INTO public.who_data VALUES (58513, 5, 3146, 0, 58, 247, 161);
INSERT INTO public.who_data VALUES (58514, 1013, 275159, 67, 39692, 247, 149);
INSERT INTO public.who_data VALUES (58515, 0, 24, 0, 0, 247, 6);
INSERT INTO public.who_data VALUES (58516, 7, 544, 0, 13, 247, 139);
INSERT INTO public.who_data VALUES (58517, 0, 0, 0, 0, 247, 211);
INSERT INTO public.who_data VALUES (58518, 0, 0, 0, 0, 247, 14);
INSERT INTO public.who_data VALUES (58519, 0, 123, 0, 8, 247, 111);
INSERT INTO public.who_data VALUES (58520, 14, 1146, 0, 50, 247, 207);
INSERT INTO public.who_data VALUES (58521, 1304, 184031, 21, 4882, 247, 66);
INSERT INTO public.who_data VALUES (58522, 0, 0, 0, 0, 247, 173);
INSERT INTO public.who_data VALUES (58523, 0, 12, 0, 1, 247, 145);
INSERT INTO public.who_data VALUES (58524, 0, 0, 0, 0, 247, 65);
INSERT INTO public.who_data VALUES (58525, 0, 823, 0, 0, 247, 184);
INSERT INTO public.who_data VALUES (58526, 921, 34984, 19, 985, 247, 98);
INSERT INTO public.who_data VALUES (58527, 388, 43752, 3, 298, 247, 104);
INSERT INTO public.who_data VALUES (58528, 0, 509, 0, 21, 247, 73);
INSERT INTO public.who_data VALUES (58529, 23139, 2149166, 770, 117472, 247, 8);
INSERT INTO public.who_data VALUES (58530, 0, 73, 0, 6, 247, 227);
INSERT INTO public.who_data VALUES (58531, 0, 849, 0, 24, 247, 75);
INSERT INTO public.who_data VALUES (58532, 158, 5855, 0, 19, 247, 45);
INSERT INTO public.who_data VALUES (58533, 0, 0, 0, 0, 247, 133);
INSERT INTO public.who_data VALUES (58534, 236, 3386, 1, 28, 247, 202);
INSERT INTO public.who_data VALUES (58535, 7, 342, 0, 0, 247, 129);
INSERT INTO public.who_data VALUES (58536, 0, 0, 0, 0, 247, 36);
INSERT INTO public.who_data VALUES (58537, 7, 909, 4, 248, 247, 51);
INSERT INTO public.who_data VALUES (58538, 4, 1416, 0, 11, 247, 206);
INSERT INTO public.who_data VALUES (58539, 62, 463, 0, 4, 247, 5);
INSERT INTO public.who_data VALUES (58540, 463, 27423, 42, 550, 248, 103);
INSERT INTO public.who_data VALUES (58541, 66, 1788, 1, 39, 248, 58);
INSERT INTO public.who_data VALUES (58542, 121, 11268, 11, 799, 248, 195);
INSERT INTO public.who_data VALUES (58543, 0, 0, 0, 0, 248, 115);
INSERT INTO public.who_data VALUES (58544, 0, 854, 0, 52, 248, 99);
INSERT INTO public.who_data VALUES (58545, 13, 155, 1, 7, 248, 153);
INSERT INTO public.who_data VALUES (58546, 0, 3, 0, 0, 248, 93);
INSERT INTO public.who_data VALUES (58547, 0, 26, 0, 3, 248, 84);
INSERT INTO public.who_data VALUES (58548, 1374, 34159, 24, 886, 248, 78);
INSERT INTO public.who_data VALUES (58549, 665, 18011, 7, 304, 248, 170);
INSERT INTO public.who_data VALUES (58550, 0, 101, 0, 3, 248, 32);
INSERT INTO public.who_data VALUES (58551, 23, 7370, 0, 102, 248, 155);
INSERT INTO public.who_data VALUES (58552, 17, 17115, 6, 687, 248, 82);
INSERT INTO public.who_data VALUES (58553, 329, 10991, 7, 133, 248, 16);
INSERT INTO public.who_data VALUES (58554, 0, 104, 0, 11, 248, 72);
INSERT INTO public.who_data VALUES (58555, 408, 19961, 2, 49, 248, 43);
INSERT INTO public.who_data VALUES (58556, 4008, 98489, 43, 1305, 248, 120);
INSERT INTO public.who_data VALUES (58557, 0, 97, 0, 7, 248, 213);
INSERT INTO public.who_data VALUES (58558, 663, 56032, 6, 324, 248, 31);
INSERT INTO public.who_data VALUES (58559, 123, 60952, 7, 9553, 248, 204);
INSERT INTO public.who_data VALUES (58560, 1, 22, 0, 2, 248, 152);
INSERT INTO public.who_data VALUES (58561, 40, 572, 0, 9, 248, 144);
INSERT INTO public.who_data VALUES (58562, 0, 144, 0, 9, 248, 96);
INSERT INTO public.who_data VALUES (58563, 0, 67, 0, 0, 248, 47);
INSERT INTO public.who_data VALUES (58564, 810, 19883, 27, 659, 248, 80);
INSERT INTO public.who_data VALUES (58565, 0, 2, 0, 0, 248, 159);
INSERT INTO public.who_data VALUES (58566, 60, 3144, 0, 167, 248, 27);
INSERT INTO public.who_data VALUES (58567, 19, 79, 0, 1, 248, 146);
INSERT INTO public.who_data VALUES (58568, 34918, 923189, 1282, 45241, 248, 71);
INSERT INTO public.who_data VALUES (58569, 0, 8, 0, 1, 248, 210);
INSERT INTO public.who_data VALUES (58570, 0, 141, 0, 3, 248, 54);
INSERT INTO public.who_data VALUES (58571, 89, 3542, 3, 184, 248, 147);
INSERT INTO public.who_data VALUES (58572, 4, 899, 0, 53, 248, 2);
INSERT INTO public.who_data VALUES (58573, 0, 104, 0, 1, 248, 105);
INSERT INTO public.who_data VALUES (58574, 11, 792, 0, 7, 248, 53);
INSERT INTO public.who_data VALUES (58575, 1, 129, 0, 0, 248, 81);
INSERT INTO public.who_data VALUES (58576, 0, 9864, 0, 276, 248, 223);
INSERT INTO public.who_data VALUES (58577, 320, 99467, 38, 8213, 248, 94);
INSERT INTO public.who_data VALUES (58578, 6, 193, 0, 1, 248, 154);
INSERT INTO public.who_data VALUES (58579, 154, 2564, 4, 18, 248, 83);
INSERT INTO public.who_data VALUES (58580, 1, 854, 0, 74, 248, 194);
INSERT INTO public.who_data VALUES (58581, 36179, 220628, 232, 3615, 248, 136);
INSERT INTO public.who_data VALUES (58582, 36, 84903, 0, 4645, 248, 179);
INSERT INTO public.who_data VALUES (58583, 1868, 54931, 75, 1801, 248, 57);
INSERT INTO public.who_data VALUES (58584, 0, 197, 0, 3, 248, 35);
INSERT INTO public.who_data VALUES (58585, 0, 883, 0, 27, 248, 228);
INSERT INTO public.who_data VALUES (58586, 0, 0, 0, 0, 248, 19);
INSERT INTO public.who_data VALUES (58587, 52, 1796, 0, 12, 248, 22);
INSERT INTO public.who_data VALUES (58588, 384, 6063, 2, 48, 248, 1);
INSERT INTO public.who_data VALUES (58589, 3, 2258, 0, 107, 248, 21);
INSERT INTO public.who_data VALUES (58590, 7, 2280, 0, 84, 248, 234);
INSERT INTO public.who_data VALUES (58591, 1, 23, 0, 1, 248, 91);
INSERT INTO public.who_data VALUES (58592, 0, 985, 0, 18, 248, 137);
INSERT INTO public.who_data VALUES (58593, 51, 10162, 2, 333, 248, 201);
INSERT INTO public.who_data VALUES (58594, 0, 0, 0, 0, 248, 171);
INSERT INTO public.who_data VALUES (58595, 126, 5099, 3, 114, 248, 92);
INSERT INTO public.who_data VALUES (58596, 44, 12294, 0, 598, 248, 112);
INSERT INTO public.who_data VALUES (58597, 6, 4545, 0, 43, 248, 62);
INSERT INTO public.who_data VALUES (58598, 0, 18, 0, 0, 248, 69);
INSERT INTO public.who_data VALUES (58599, 419, 24105, 18, 633, 248, 220);
INSERT INTO public.who_data VALUES (58600, 547, 48490, 37, 4007, 248, 100);
INSERT INTO public.who_data VALUES (58601, 1363, 49219, 84, 1850, 248, 187);
INSERT INTO public.who_data VALUES (58602, 125, 4066, 3, 79, 248, 63);
INSERT INTO public.who_data VALUES (58603, 0, 1043, 0, 12, 248, 28);
INSERT INTO public.who_data VALUES (58604, 10, 131, 0, 0, 248, 172);
INSERT INTO public.who_data VALUES (58605, 2, 1977, 0, 63, 248, 17);
INSERT INTO public.who_data VALUES (58606, 43, 563, 0, 4, 248, 226);
INSERT INTO public.who_data VALUES (58607, 129, 3759, 2, 63, 248, 236);
INSERT INTO public.who_data VALUES (58608, 0, 13, 0, 0, 248, 76);
INSERT INTO public.who_data VALUES (58609, 0, 187, 0, 0, 248, 30);
INSERT INTO public.who_data VALUES (58610, 0, 18, 0, 0, 248, 128);
INSERT INTO public.who_data VALUES (58611, 5, 7117, 0, 326, 248, 86);
INSERT INTO public.who_data VALUES (58612, 311, 153356, 28, 29509, 248, 140);
INSERT INTO public.who_data VALUES (58613, 133, 1554, 0, 5, 248, 44);
INSERT INTO public.who_data VALUES (58614, 0, 60, 0, 0, 248, 113);
INSERT INTO public.who_data VALUES (58615, 115, 4229, 1, 30, 248, 29);
INSERT INTO public.who_data VALUES (58616, 0, 34, 0, 1, 248, 125);
INSERT INTO public.who_data VALUES (58617, 5, 893, 0, 14, 248, 131);
INSERT INTO public.who_data VALUES (58618, 580, 187764, 26, 8856, 248, 46);
INSERT INTO public.who_data VALUES (58619, 397, 12590, 8, 66, 248, 10);
INSERT INTO public.who_data VALUES (58620, 0, 176, 0, 0, 248, 205);
INSERT INTO public.who_data VALUES (58621, 55, 3203, 2, 187, 248, 50);
INSERT INTO public.who_data VALUES (58622, 0, 13, 0, 0, 248, 20);
INSERT INTO public.who_data VALUES (58623, 0, 23, 0, 0, 248, 13);
INSERT INTO public.who_data VALUES (58624, 0, 171, 0, 14, 248, 148);
INSERT INTO public.who_data VALUES (58625, 2, 180, 0, 5, 248, 230);
INSERT INTO public.who_data VALUES (58626, 434, 10706, 19, 418, 248, 190);
INSERT INTO public.who_data VALUES (58627, 0, 252, 0, 13, 248, 188);
INSERT INTO public.who_data VALUES (58628, 29, 4668, 0, 26, 248, 123);
INSERT INTO public.who_data VALUES (58629, 0, 1492, 0, 15, 248, 9);
INSERT INTO public.who_data VALUES (58630, 12, 171, 0, 12, 248, 102);
INSERT INTO public.who_data VALUES (58631, 106, 4547, 4, 80, 248, 34);
INSERT INTO public.who_data VALUES (58632, 0, 12, 0, 0, 248, 212);
INSERT INTO public.who_data VALUES (58633, 478, 9656, 8, 330, 248, 122);
INSERT INTO public.who_data VALUES (58634, 1, 4079, 1, 568, 248, 38);
INSERT INTO public.who_data VALUES (58635, 0, 1812, 0, 10, 248, 130);
INSERT INTO public.who_data VALUES (58636, 12881, 366946, 334, 12237, 248, 37);
INSERT INTO public.who_data VALUES (58637, 1031, 41431, 45, 2276, 248, 231);
INSERT INTO public.who_data VALUES (58638, 2612, 195051, 120, 9185, 248, 107);
INSERT INTO public.who_data VALUES (58639, 1554, 24254, 61, 773, 248, 101);
INSERT INTO public.who_data VALUES (58640, 7, 25341, 1, 1710, 248, 132);
INSERT INTO public.who_data VALUES (58641, 0, 336, 0, 24, 248, 176);
INSERT INTO public.who_data VALUES (58642, 300, 19643, 1, 306, 248, 200);
INSERT INTO public.who_data VALUES (58643, 328, 237828, 43, 34448, 248, 169);
INSERT INTO public.who_data VALUES (58644, 0, 621, 0, 10, 248, 225);
INSERT INTO public.who_data VALUES (58645, 40, 17668, 4, 935, 248, 165);
INSERT INTO public.who_data VALUES (58646, 0, 316, 0, 30, 248, 233);
INSERT INTO public.who_data VALUES (58647, 6, 927, 0, 9, 248, 215);
INSERT INTO public.who_data VALUES (58648, 474, 16351, 5, 105, 248, 177);
INSERT INTO public.who_data VALUES (58649, 184, 4044, 2, 107, 248, 183);
INSERT INTO public.who_data VALUES (58650, 0, 0, 0, 0, 248, 203);
INSERT INTO public.who_data VALUES (58651, 77, 1790, 0, 24, 248, 162);
INSERT INTO public.who_data VALUES (58652, 575, 37533, 3, 306, 248, 12);
INSERT INTO public.who_data VALUES (58653, 95, 2657, 1, 31, 248, 24);
INSERT INTO public.who_data VALUES (58654, 0, 19, 0, 0, 248, 119);
INSERT INTO public.who_data VALUES (58655, 6, 1104, 2, 30, 248, 39);
INSERT INTO public.who_data VALUES (58656, 16, 1489, 0, 32, 248, 26);
INSERT INTO public.who_data VALUES (58657, 0, 4, 0, 0, 248, 59);
INSERT INTO public.who_data VALUES (58658, 7, 516, 0, 33, 248, 77);
INSERT INTO public.who_data VALUES (58659, 17, 484, 0, 10, 248, 134);
INSERT INTO public.who_data VALUES (58660, 0, 83, 0, 1, 248, 4);
INSERT INTO public.who_data VALUES (58661, 6, 1779, 0, 76, 248, 109);
INSERT INTO public.who_data VALUES (58662, 10, 4085, 0, 110, 248, 90);
INSERT INTO public.who_data VALUES (58663, 61, 1378, 0, 12, 248, 61);
INSERT INTO public.who_data VALUES (58664, 8, 572, 0, 6, 248, 85);
INSERT INTO public.who_data VALUES (58665, 10, 8515, 0, 121, 248, 49);
INSERT INTO public.who_data VALUES (58666, 26, 2120, 0, 8, 248, 208);
INSERT INTO public.who_data VALUES (58667, 5, 1890, 1, 107, 248, 166);
INSERT INTO public.who_data VALUES (58668, 6, 661, 0, 9, 248, 64);
INSERT INTO public.who_data VALUES (58669, 0, 0, 0, 0, 248, 199);
INSERT INTO public.who_data VALUES (58670, 0, 202, 0, 14, 248, 114);
INSERT INTO public.who_data VALUES (58671, 170, 2057, 2, 93, 248, 60);
INSERT INTO public.who_data VALUES (58672, 0, 337, 0, 10, 248, 68);
INSERT INTO public.who_data VALUES (58673, 12, 2345, 0, 29, 248, 158);
INSERT INTO public.who_data VALUES (58674, 4599, 154863, 730, 18310, 248, 52);
INSERT INTO public.who_data VALUES (58675, 0, 0, 0, 0, 248, 117);
INSERT INTO public.who_data VALUES (58676, 0, 70, 0, 1, 248, 126);
INSERT INTO public.who_data VALUES (58677, 0, 197, 0, 0, 248, 196);
INSERT INTO public.who_data VALUES (58678, 4, 337, 0, 9, 248, 142);
INSERT INTO public.who_data VALUES (58679, 0, 11, 0, 1, 248, 185);
INSERT INTO public.who_data VALUES (58680, 66, 8997, 1, 213, 248, 138);
INSERT INTO public.who_data VALUES (58681, 13, 651, 0, 4, 248, 181);
INSERT INTO public.who_data VALUES (58682, 1, 263, 0, 6, 248, 178);
INSERT INTO public.who_data VALUES (58683, 0, 34, 0, 0, 248, 168);
INSERT INTO public.who_data VALUES (58684, 0, 0, 0, 0, 248, 160);
INSERT INTO public.who_data VALUES (58685, 586, 7177, 1, 20, 248, 151);
INSERT INTO public.who_data VALUES (58686, 113, 48944, 5, 6047, 248, 193);
INSERT INTO public.who_data VALUES (58687, 0, 21, 0, 0, 248, 18);
INSERT INTO public.who_data VALUES (58688, 1, 1157, 0, 22, 248, 40);
INSERT INTO public.who_data VALUES (58689, 359, 2014, 9, 64, 248, 218);
INSERT INTO public.who_data VALUES (58690, 4, 1020, 1, 67, 248, 191);
INSERT INTO public.who_data VALUES (58691, 587, 17735, 45, 469, 248, 156);
INSERT INTO public.who_data VALUES (58692, 0, 0, 0, 0, 248, 135);
INSERT INTO public.who_data VALUES (58693, 0, 30, 0, 2, 248, 88);
INSERT INTO public.who_data VALUES (58694, 193, 4482, 9, 210, 248, 55);
INSERT INTO public.who_data VALUES (58695, 29, 8660, 1, 243, 248, 108);
INSERT INTO public.who_data VALUES (58696, 50, 745, 0, 5, 248, 48);
INSERT INTO public.who_data VALUES (58697, 810, 26079, 2, 116, 248, 3);
INSERT INTO public.who_data VALUES (58698, 0, 741, 0, 13, 248, 224);
INSERT INTO public.who_data VALUES (58699, 5358, 160118, 118, 3093, 248, 110);
INSERT INTO public.who_data VALUES (58700, 0, 0, 0, 0, 248, 106);
INSERT INTO public.who_data VALUES (58701, 540, 21962, 9, 457, 248, 89);
INSERT INTO public.who_data VALUES (58702, 0, 8, 0, 0, 248, 121);
INSERT INTO public.who_data VALUES (58703, 5, 1308, 1, 13, 248, 163);
INSERT INTO public.who_data VALUES (58704, 4164, 237156, 196, 7056, 248, 70);
INSERT INTO public.who_data VALUES (58705, 457, 27238, 5, 1108, 248, 174);
INSERT INTO public.who_data VALUES (58706, 0, 0, 0, 0, 248, 175);
INSERT INTO public.who_data VALUES (58707, 506, 30701, 14, 1286, 248, 118);
INSERT INTO public.who_data VALUES (58708, 336, 37672, 1, 1523, 248, 189);
INSERT INTO public.who_data VALUES (58709, 52, 6003, 0, 147, 248, 124);
INSERT INTO public.who_data VALUES (58710, 1097, 83174, 2, 82, 248, 192);
INSERT INTO public.who_data VALUES (58711, 59, 12257, 1, 280, 248, 41);
INSERT INTO public.who_data VALUES (58712, 478, 12732, 6, 433, 248, 95);
INSERT INTO public.who_data VALUES (58713, 2, 497, 0, 1, 248, 74);
INSERT INTO public.who_data VALUES (58714, 345, 22760, 14, 1451, 248, 11);
INSERT INTO public.who_data VALUES (58715, 7790, 561091, 182, 7660, 248, 87);
INSERT INTO public.who_data VALUES (58716, 3, 639, 0, 2, 248, 214);
INSERT INTO public.who_data VALUES (58717, 0, 3, 0, 0, 248, 116);
INSERT INTO public.who_data VALUES (58718, 0, 6, 0, 0, 248, 157);
INSERT INTO public.who_data VALUES (58719, 0, 0, 0, 0, 248, 182);
INSERT INTO public.who_data VALUES (58720, 0, 15, 0, 0, 248, 186);
INSERT INTO public.who_data VALUES (58721, 0, 19, 0, 0, 248, 127);
INSERT INTO public.who_data VALUES (58722, 0, 42, 0, 3, 248, 232);
INSERT INTO public.who_data VALUES (58723, 0, 1, 0, 0, 248, 33);
INSERT INTO public.who_data VALUES (58724, 2, 29, 0, 0, 248, 97);
INSERT INTO public.who_data VALUES (58725, 0, 0, 0, 0, 248, 42);
INSERT INTO public.who_data VALUES (58726, 14, 709, 0, 42, 248, 198);
INSERT INTO public.who_data VALUES (58727, -10, 388, 0, 10, 248, 216);
INSERT INTO public.who_data VALUES (58728, 4919, 141234, 39, 1091, 248, 164);
INSERT INTO public.who_data VALUES (58729, 122, 5369, 3, 73, 248, 235);
INSERT INTO public.who_data VALUES (58730, 96, 12522, 1, 257, 248, 67);
INSERT INTO public.who_data VALUES (58731, 0, 11, 0, 0, 248, 15);
INSERT INTO public.who_data VALUES (58732, 24, 1249, 0, 51, 248, 180);
INSERT INTO public.who_data VALUES (58733, 247, 41216, 0, 26, 248, 237);
INSERT INTO public.who_data VALUES (58734, 0, 2, 0, 0, 248, 25);
INSERT INTO public.who_data VALUES (58735, 0, 77, 0, 15, 248, 209);
INSERT INTO public.who_data VALUES (58736, 0, 1552, 0, 28, 248, 217);
INSERT INTO public.who_data VALUES (58737, 4, 1503, 1, 114, 248, 79);
INSERT INTO public.who_data VALUES (58738, 0, 0, 0, 0, 248, 143);
INSERT INTO public.who_data VALUES (58739, 38, 2696, 0, 88, 248, 229);
INSERT INTO public.who_data VALUES (58740, 4078, 80412, 49, 1674, 248, 141);
INSERT INTO public.who_data VALUES (58741, 31, 1807, 1, 31, 248, 197);
INSERT INTO public.who_data VALUES (58742, 395, 254479, 12, 29591, 248, 221);
INSERT INTO public.who_data VALUES (58743, 9, 1924, 0, 11, 248, 150);
INSERT INTO public.who_data VALUES (58744, 280, 8020, 10, 487, 248, 56);
INSERT INTO public.who_data VALUES (58745, 6, 242, 0, 6, 248, 167);
INSERT INTO public.who_data VALUES (58746, 1209, 53698, 28, 5192, 248, 23);
INSERT INTO public.who_data VALUES (58747, 18, 31152, 0, 1723, 248, 222);
INSERT INTO public.who_data VALUES (58748, 1, 178, 1, 7, 248, 219);
INSERT INTO public.who_data VALUES (58749, 61, 5221, 1, 51, 248, 7);
INSERT INTO public.who_data VALUES (58750, 6, 3141, 0, 58, 248, 161);
INSERT INTO public.who_data VALUES (58751, 1102, 274146, 110, 39625, 248, 149);
INSERT INTO public.who_data VALUES (58752, 0, 24, 0, 0, 248, 6);
INSERT INTO public.who_data VALUES (58753, 0, 537, 0, 13, 248, 139);
INSERT INTO public.who_data VALUES (58754, 0, 0, 0, 0, 248, 211);
INSERT INTO public.who_data VALUES (58755, 0, 0, 0, 0, 248, 14);
INSERT INTO public.who_data VALUES (58756, 0, 123, 0, 8, 248, 111);
INSERT INTO public.who_data VALUES (58757, 4, 1132, 0, 50, 248, 207);
INSERT INTO public.who_data VALUES (58758, 1429, 182727, 19, 4861, 248, 66);
INSERT INTO public.who_data VALUES (58759, 0, 0, 0, 0, 248, 173);
INSERT INTO public.who_data VALUES (58760, 0, 12, 0, 1, 248, 145);
INSERT INTO public.who_data VALUES (58761, 0, 0, 0, 0, 248, 65);
INSERT INTO public.who_data VALUES (58762, 0, 823, 0, 0, 248, 184);
INSERT INTO public.who_data VALUES (58763, 829, 34063, 23, 966, 248, 98);
INSERT INTO public.who_data VALUES (58764, 382, 43364, 2, 295, 248, 104);
INSERT INTO public.who_data VALUES (58765, 0, 509, 0, 21, 248, 73);
INSERT INTO public.who_data VALUES (58766, 27921, 2126027, 722, 116702, 248, 8);
INSERT INTO public.who_data VALUES (58767, 0, 73, 0, 6, 248, 227);
INSERT INTO public.who_data VALUES (58768, 1, 849, 1, 24, 248, 75);
INSERT INTO public.who_data VALUES (58769, 136, 5697, 0, 19, 248, 45);
INSERT INTO public.who_data VALUES (58770, 0, 0, 0, 0, 248, 133);
INSERT INTO public.who_data VALUES (58771, 88, 3150, 1, 27, 248, 202);
INSERT INTO public.who_data VALUES (58772, 0, 335, 0, 0, 248, 129);
INSERT INTO public.who_data VALUES (58773, 0, 0, 0, 0, 248, 36);
INSERT INTO public.who_data VALUES (58774, 17, 902, 30, 244, 248, 51);
INSERT INTO public.who_data VALUES (58775, 7, 1412, 0, 11, 248, 206);
INSERT INTO public.who_data VALUES (58776, 10, 401, 0, 4, 248, 5);
INSERT INTO public.who_data VALUES (58777, 1241, 26960, 20, 508, 249, 103);
INSERT INTO public.who_data VALUES (58778, 50, 1722, 1, 38, 249, 58);
INSERT INTO public.who_data VALUES (58779, 116, 11147, 11, 788, 249, 195);
INSERT INTO public.who_data VALUES (58780, 0, 0, 0, 0, 249, 115);
INSERT INTO public.who_data VALUES (58781, 1, 854, 1, 52, 249, 99);
INSERT INTO public.who_data VALUES (58782, 0, 142, 0, 6, 249, 153);
INSERT INTO public.who_data VALUES (58783, 0, 3, 0, 0, 249, 93);
INSERT INTO public.who_data VALUES (58784, 0, 26, 0, 3, 249, 84);
INSERT INTO public.who_data VALUES (58785, 1208, 32785, 20, 862, 249, 78);
INSERT INTO public.who_data VALUES (58786, 544, 17346, 9, 297, 249, 170);
INSERT INTO public.who_data VALUES (58787, 0, 101, 0, 3, 249, 32);
INSERT INTO public.who_data VALUES (58788, 12, 7347, 0, 102, 249, 155);
INSERT INTO public.who_data VALUES (58789, 33, 17098, 3, 681, 249, 82);
INSERT INTO public.who_data VALUES (58790, 338, 10662, 4, 126, 249, 16);
INSERT INTO public.who_data VALUES (58791, 0, 104, 0, 11, 249, 72);
INSERT INTO public.who_data VALUES (58792, 540, 19553, 1, 47, 249, 43);
INSERT INTO public.who_data VALUES (58793, 3862, 94481, 53, 1262, 249, 120);
INSERT INTO public.who_data VALUES (58794, 0, 97, 0, 7, 249, 213);
INSERT INTO public.who_data VALUES (58795, 689, 55369, 6, 318, 249, 31);
INSERT INTO public.who_data VALUES (58796, 99, 60829, 7, 9546, 249, 204);
INSERT INTO public.who_data VALUES (58797, 0, 21, 0, 2, 249, 152);
INSERT INTO public.who_data VALUES (58798, 49, 532, 0, 9, 249, 144);
INSERT INTO public.who_data VALUES (58799, 0, 144, 0, 9, 249, 96);
INSERT INTO public.who_data VALUES (58800, 0, 67, 0, 0, 249, 47);
INSERT INTO public.who_data VALUES (58801, 614, 19073, 21, 632, 249, 80);
INSERT INTO public.who_data VALUES (58802, 0, 2, 0, 0, 249, 159);
INSERT INTO public.who_data VALUES (58803, 45, 3084, 3, 167, 249, 27);
INSERT INTO public.who_data VALUES (58804, 0, 60, 0, 1, 249, 146);
INSERT INTO public.who_data VALUES (58805, 20647, 888271, 627, 43959, 249, 71);
INSERT INTO public.who_data VALUES (58806, 0, 8, 0, 1, 249, 210);
INSERT INTO public.who_data VALUES (58807, 0, 141, 1, 3, 249, 54);
INSERT INTO public.who_data VALUES (58808, 112, 3453, 5, 181, 249, 147);
INSERT INTO public.who_data VALUES (58809, 1, 895, 0, 53, 249, 2);
INSERT INTO public.who_data VALUES (58810, 0, 104, 0, 1, 249, 105);
INSERT INTO public.who_data VALUES (58811, 21, 781, 0, 7, 249, 53);
INSERT INTO public.who_data VALUES (58812, 0, 128, 0, 0, 249, 81);
INSERT INTO public.who_data VALUES (58813, 0, 9864, 0, 276, 249, 223);
INSERT INTO public.who_data VALUES (58814, 360, 99147, 29, 8175, 249, 94);
INSERT INTO public.who_data VALUES (58815, 0, 187, 0, 1, 249, 154);
INSERT INTO public.who_data VALUES (58816, 188, 2410, 7, 14, 249, 83);
INSERT INTO public.who_data VALUES (58817, 3, 853, 1, 74, 249, 194);
INSERT INTO public.who_data VALUES (58818, 5013, 184449, 21, 3383, 249, 136);
INSERT INTO public.who_data VALUES (58819, 44, 84867, 0, 4645, 249, 179);
INSERT INTO public.who_data VALUES (58820, 2124, 53063, 59, 1726, 249, 57);
INSERT INTO public.who_data VALUES (58821, 21, 197, 1, 3, 249, 35);
INSERT INTO public.who_data VALUES (58822, 0, 883, 0, 27, 249, 228);
INSERT INTO public.who_data VALUES (58823, 0, 0, 0, 0, 249, 19);
INSERT INTO public.who_data VALUES (58824, 29, 1744, 0, 12, 249, 22);
INSERT INTO public.who_data VALUES (58825, 595, 5679, 1, 46, 249, 1);
INSERT INTO public.who_data VALUES (58826, 1, 2255, 0, 107, 249, 21);
INSERT INTO public.who_data VALUES (58827, 11, 2273, 0, 84, 249, 234);
INSERT INTO public.who_data VALUES (58828, 0, 22, 0, 1, 249, 91);
INSERT INTO public.who_data VALUES (58829, 0, 985, 0, 18, 249, 137);
INSERT INTO public.who_data VALUES (58830, 47, 10111, 1, 331, 249, 201);
INSERT INTO public.who_data VALUES (58831, 0, 0, 0, 0, 249, 171);
INSERT INTO public.who_data VALUES (58832, 196, 4973, 5, 111, 249, 92);
INSERT INTO public.who_data VALUES (58833, 33, 12250, 0, 598, 249, 112);
INSERT INTO public.who_data VALUES (58834, 38, 4539, 0, 43, 249, 62);
INSERT INTO public.who_data VALUES (58835, 0, 18, 0, 0, 249, 69);
INSERT INTO public.who_data VALUES (58836, 415, 23686, 10, 615, 249, 220);
INSERT INTO public.who_data VALUES (58837, 621, 47943, 41, 3970, 249, 100);
INSERT INTO public.who_data VALUES (58838, 1567, 47856, 94, 1766, 249, 187);
INSERT INTO public.who_data VALUES (58839, 115, 3941, 2, 76, 249, 63);
INSERT INTO public.who_data VALUES (58840, 0, 1043, 0, 12, 249, 28);
INSERT INTO public.who_data VALUES (58841, 12, 121, 0, 0, 249, 172);
INSERT INTO public.who_data VALUES (58842, 1, 1975, 0, 63, 249, 17);
INSERT INTO public.who_data VALUES (58843, 14, 520, 0, 4, 249, 226);
INSERT INTO public.who_data VALUES (58844, 109, 3630, 1, 61, 249, 236);
INSERT INTO public.who_data VALUES (58845, 0, 13, 0, 0, 249, 76);
INSERT INTO public.who_data VALUES (58846, 0, 187, 0, 0, 249, 30);
INSERT INTO public.who_data VALUES (58847, 0, 18, 0, 0, 249, 128);
INSERT INTO public.who_data VALUES (58848, 4, 7112, 0, 326, 249, 86);
INSERT INTO public.who_data VALUES (58849, 226, 153045, 108, 29481, 249, 140);
INSERT INTO public.who_data VALUES (58850, 95, 1421, 2, 5, 249, 44);
INSERT INTO public.who_data VALUES (58851, 0, 60, 0, 0, 249, 113);
INSERT INTO public.who_data VALUES (58852, 81, 4114, 2, 29, 249, 29);
INSERT INTO public.who_data VALUES (58853, 6, 34, 0, 1, 249, 125);
INSERT INTO public.who_data VALUES (58854, 9, 888, 0, 14, 249, 131);
INSERT INTO public.who_data VALUES (58855, 345, 187184, 30, 8830, 249, 46);
INSERT INTO public.who_data VALUES (58856, 229, 12193, 4, 58, 249, 10);
INSERT INTO public.who_data VALUES (58857, 0, 176, 0, 0, 249, 205);
INSERT INTO public.who_data VALUES (58858, 14, 3148, 1, 185, 249, 50);
INSERT INTO public.who_data VALUES (58859, 0, 13, 0, 0, 249, 20);
INSERT INTO public.who_data VALUES (58860, 0, 23, 0, 0, 249, 13);
INSERT INTO public.who_data VALUES (58861, 0, 171, 0, 14, 249, 148);
INSERT INTO public.who_data VALUES (58862, 0, 178, 0, 5, 249, 230);
INSERT INTO public.who_data VALUES (58863, 427, 10272, 15, 399, 249, 190);
INSERT INTO public.who_data VALUES (58864, 0, 252, 0, 13, 249, 188);
INSERT INTO public.who_data VALUES (58865, 67, 4639, 0, 26, 249, 123);
INSERT INTO public.who_data VALUES (58866, 32, 1492, 0, 15, 249, 9);
INSERT INTO public.who_data VALUES (58867, 0, 159, 0, 12, 249, 102);
INSERT INTO public.who_data VALUES (58868, 132, 4441, 3, 76, 249, 34);
INSERT INTO public.who_data VALUES (58869, 0, 12, 0, 0, 249, 212);
INSERT INTO public.who_data VALUES (58870, 320, 9178, 10, 322, 249, 122);
INSERT INTO public.who_data VALUES (58871, 1, 4078, 2, 567, 249, 38);
INSERT INTO public.who_data VALUES (58872, 1, 1812, 0, 10, 249, 130);
INSERT INTO public.who_data VALUES (58873, 10974, 354065, 2003, 11903, 249, 37);
INSERT INTO public.who_data VALUES (58874, 1106, 40400, 33, 2231, 249, 231);
INSERT INTO public.who_data VALUES (58875, 2563, 192439, 115, 9065, 249, 107);
INSERT INTO public.who_data VALUES (58876, 1385, 22700, 60, 712, 249, 101);
INSERT INTO public.who_data VALUES (58877, 13, 25334, 3, 1709, 249, 132);
INSERT INTO public.who_data VALUES (58878, 0, 336, 0, 24, 249, 176);
INSERT INTO public.who_data VALUES (58879, 198, 19343, 0, 305, 249, 200);
INSERT INTO public.who_data VALUES (58880, 210, 237500, 34, 34405, 249, 169);
INSERT INTO public.who_data VALUES (58881, 4, 621, 0, 10, 249, 225);
INSERT INTO public.who_data VALUES (58882, 41, 17628, 4, 931, 249, 165);
INSERT INTO public.who_data VALUES (58883, 3, 316, 0, 30, 249, 233);
INSERT INTO public.who_data VALUES (58884, 0, 921, 0, 9, 249, 215);
INSERT INTO public.who_data VALUES (58885, 335, 15877, 12, 100, 249, 177);
INSERT INTO public.who_data VALUES (58886, 133, 3860, 1, 105, 249, 183);
INSERT INTO public.who_data VALUES (58887, 0, 0, 0, 0, 249, 203);
INSERT INTO public.who_data VALUES (58888, 141, 1713, 1, 24, 249, 162);
INSERT INTO public.who_data VALUES (58889, 527, 36958, 5, 303, 249, 12);
INSERT INTO public.who_data VALUES (58890, 90, 2562, 1, 30, 249, 24);
INSERT INTO public.who_data VALUES (58891, 0, 19, 0, 0, 249, 119);
INSERT INTO public.who_data VALUES (58892, 1, 1098, 0, 28, 249, 39);
INSERT INTO public.who_data VALUES (58893, 9, 1473, 0, 32, 249, 26);
INSERT INTO public.who_data VALUES (58894, 0, 4, 0, 0, 249, 59);
INSERT INTO public.who_data VALUES (58895, 11, 509, 0, 33, 249, 77);
INSERT INTO public.who_data VALUES (58896, 0, 467, 0, 10, 249, 134);
INSERT INTO public.who_data VALUES (58897, 0, 83, 0, 1, 249, 4);
INSERT INTO public.who_data VALUES (58898, 2, 1773, 0, 76, 249, 109);
INSERT INTO public.who_data VALUES (58899, 3, 4075, 0, 110, 249, 90);
INSERT INTO public.who_data VALUES (58900, 27, 1317, 2, 12, 249, 61);
INSERT INTO public.who_data VALUES (58901, 8, 564, 0, 6, 249, 85);
INSERT INTO public.who_data VALUES (58902, 11, 8505, 0, 121, 249, 49);
INSERT INTO public.who_data VALUES (58903, 29, 2094, 0, 8, 249, 208);
INSERT INTO public.who_data VALUES (58904, 25, 1885, 2, 106, 249, 166);
INSERT INTO public.who_data VALUES (58905, 6, 655, 0, 9, 249, 64);
INSERT INTO public.who_data VALUES (58906, 0, 0, 0, 0, 249, 199);
INSERT INTO public.who_data VALUES (58907, 0, 202, 0, 14, 249, 114);
INSERT INTO public.who_data VALUES (58908, 104, 1887, 4, 91, 249, 60);
INSERT INTO public.who_data VALUES (58909, 0, 337, 0, 10, 249, 68);
INSERT INTO public.who_data VALUES (58910, 23, 2333, 1, 29, 249, 158);
INSERT INTO public.who_data VALUES (58911, 3427, 150264, 439, 17580, 249, 52);
INSERT INTO public.who_data VALUES (58912, 0, 0, 0, 0, 249, 117);
INSERT INTO public.who_data VALUES (58913, 0, 70, 0, 1, 249, 126);
INSERT INTO public.who_data VALUES (58914, 0, 197, 0, 0, 249, 196);
INSERT INTO public.who_data VALUES (58915, 7, 333, 0, 9, 249, 142);
INSERT INTO public.who_data VALUES (58916, 0, 11, 0, 1, 249, 185);
INSERT INTO public.who_data VALUES (58917, 46, 8931, 0, 212, 249, 138);
INSERT INTO public.who_data VALUES (58918, 29, 638, 1, 4, 249, 181);
INSERT INTO public.who_data VALUES (58919, 0, 262, 0, 6, 249, 178);
INSERT INTO public.who_data VALUES (58920, 2, 34, 0, 0, 249, 168);
INSERT INTO public.who_data VALUES (58921, 0, 0, 0, 0, 249, 160);
INSERT INTO public.who_data VALUES (58922, 380, 6591, 0, 19, 249, 151);
INSERT INTO public.who_data VALUES (58923, 134, 48831, 4, 6042, 249, 193);
INSERT INTO public.who_data VALUES (58924, 0, 21, 0, 0, 249, 18);
INSERT INTO public.who_data VALUES (58925, 0, 1156, 0, 22, 249, 40);
INSERT INTO public.who_data VALUES (58926, 0, 1655, 0, 55, 249, 218);
INSERT INTO public.who_data VALUES (58927, 36, 1016, 0, 66, 249, 191);
INSERT INTO public.who_data VALUES (58928, 490, 17148, 0, 424, 249, 156);
INSERT INTO public.who_data VALUES (58929, 0, 0, 0, 0, 249, 135);
INSERT INTO public.who_data VALUES (58930, 0, 30, 0, 2, 249, 88);
INSERT INTO public.who_data VALUES (58931, 132, 4289, 8, 201, 249, 55);
INSERT INTO public.who_data VALUES (58932, 0, 8631, 0, 242, 249, 108);
INSERT INTO public.who_data VALUES (58933, 6, 695, 0, 5, 249, 48);
INSERT INTO public.who_data VALUES (58934, 745, 25269, 6, 114, 249, 3);
INSERT INTO public.who_data VALUES (58935, 0, 741, 0, 13, 249, 224);
INSERT INTO public.who_data VALUES (58936, 5839, 154760, 136, 2975, 249, 110);
INSERT INTO public.who_data VALUES (58937, 0, 0, 0, 0, 249, 106);
INSERT INTO public.who_data VALUES (58938, 736, 21422, 11, 448, 249, 89);
INSERT INTO public.who_data VALUES (58939, 0, 8, 0, 0, 249, 121);
INSERT INTO public.who_data VALUES (58940, 7, 1303, 0, 12, 249, 163);
INSERT INTO public.who_data VALUES (58941, 3256, 232992, 172, 6860, 249, 70);
INSERT INTO public.who_data VALUES (58942, 361, 26781, 5, 1103, 249, 174);
INSERT INTO public.who_data VALUES (58943, 0, 0, 0, 0, 249, 175);
INSERT INTO public.who_data VALUES (58944, 407, 30195, 16, 1272, 249, 118);
INSERT INTO public.who_data VALUES (58945, 300, 37336, 2, 1522, 249, 189);
INSERT INTO public.who_data VALUES (58946, 61, 5951, 0, 147, 249, 124);
INSERT INTO public.who_data VALUES (58947, 1201, 82077, 4, 80, 249, 192);
INSERT INTO public.who_data VALUES (58948, 43, 12198, 1, 279, 249, 41);
INSERT INTO public.who_data VALUES (58949, 375, 12254, 10, 427, 249, 95);
INSERT INTO public.who_data VALUES (58950, -1, 495, 0, 1, 249, 74);
INSERT INTO public.who_data VALUES (58951, 250, 22415, 10, 1437, 249, 11);
INSERT INTO public.who_data VALUES (58952, 7843, 553301, 194, 7478, 249, 87);
INSERT INTO public.who_data VALUES (58953, 24, 636, 0, 2, 249, 214);
INSERT INTO public.who_data VALUES (58954, 0, 3, 0, 0, 249, 116);
INSERT INTO public.who_data VALUES (58955, 0, 6, 0, 0, 249, 157);
INSERT INTO public.who_data VALUES (58956, 0, 0, 0, 0, 249, 182);
INSERT INTO public.who_data VALUES (58957, 0, 15, 0, 0, 249, 186);
INSERT INTO public.who_data VALUES (58958, 0, 19, 0, 0, 249, 127);
INSERT INTO public.who_data VALUES (58959, 1, 42, 0, 3, 249, 232);
INSERT INTO public.who_data VALUES (58960, 0, 1, 0, 0, 249, 33);
INSERT INTO public.who_data VALUES (58961, 0, 27, 0, 0, 249, 97);
INSERT INTO public.who_data VALUES (58962, 0, 0, 0, 0, 249, 42);
INSERT INTO public.who_data VALUES (58963, 0, 695, 0, 42, 249, 198);
INSERT INTO public.who_data VALUES (58964, 10, 398, 0, 10, 249, 216);
INSERT INTO public.who_data VALUES (58965, 4267, 136315, 41, 1052, 249, 164);
INSERT INTO public.who_data VALUES (58966, 157, 5247, 10, 70, 249, 235);
INSERT INTO public.who_data VALUES (58967, 59, 12426, 1, 256, 249, 67);
INSERT INTO public.who_data VALUES (58968, 0, 11, 0, 0, 249, 15);
INSERT INTO public.who_data VALUES (58969, 49, 1225, 0, 51, 249, 180);
INSERT INTO public.who_data VALUES (58970, 151, 40969, 0, 26, 249, 237);
INSERT INTO public.who_data VALUES (58971, 0, 2, 0, 0, 249, 25);
INSERT INTO public.who_data VALUES (58972, 0, 77, 0, 15, 249, 209);
INSERT INTO public.who_data VALUES (58973, 4, 1552, 0, 28, 249, 217);
INSERT INTO public.who_data VALUES (58974, 3, 1499, 0, 113, 249, 79);
INSERT INTO public.who_data VALUES (58975, 0, 0, 0, 0, 249, 143);
INSERT INTO public.who_data VALUES (58976, 16, 2658, 0, 88, 249, 229);
INSERT INTO public.who_data VALUES (58977, 2801, 76334, 57, 1625, 249, 141);
INSERT INTO public.who_data VALUES (58978, 21, 1776, 0, 30, 249, 197);
INSERT INTO public.who_data VALUES (58979, 308, 254084, 20, 29579, 249, 221);
INSERT INTO public.who_data VALUES (58980, 10, 1915, 0, 11, 249, 150);
INSERT INTO public.who_data VALUES (58981, 305, 7740, 9, 477, 249, 56);
INSERT INTO public.who_data VALUES (58982, 28, 236, 2, 6, 249, 167);
INSERT INTO public.who_data VALUES (58983, 685, 52489, 30, 5164, 249, 23);
INSERT INTO public.who_data VALUES (58984, 21, 31134, 1, 1723, 249, 222);
INSERT INTO public.who_data VALUES (58985, 0, 177, 0, 6, 249, 219);
INSERT INTO public.who_data VALUES (58986, 63, 5160, 0, 50, 249, 7);
INSERT INTO public.who_data VALUES (58987, 0, 3135, 0, 58, 249, 161);
INSERT INTO public.who_data VALUES (58988, 1043, 273044, 120, 39515, 249, 149);
INSERT INTO public.who_data VALUES (58989, 0, 24, 0, 0, 249, 6);
INSERT INTO public.who_data VALUES (58990, 6, 537, 0, 13, 249, 139);
INSERT INTO public.who_data VALUES (58991, 0, 0, 0, 0, 249, 211);
INSERT INTO public.who_data VALUES (58992, 0, 0, 0, 0, 249, 14);
INSERT INTO public.who_data VALUES (58993, 0, 123, 0, 8, 249, 111);
INSERT INTO public.who_data VALUES (58994, 3, 1128, 1, 50, 249, 207);
INSERT INTO public.who_data VALUES (58995, 1467, 181298, 17, 4842, 249, 66);
INSERT INTO public.who_data VALUES (58996, 0, 0, 0, 0, 249, 173);
INSERT INTO public.who_data VALUES (58997, 0, 12, 0, 1, 249, 145);
INSERT INTO public.who_data VALUES (58998, 0, 0, 0, 0, 249, 65);
INSERT INTO public.who_data VALUES (58999, 0, 823, 0, 0, 249, 184);
INSERT INTO public.who_data VALUES (59000, 758, 33234, 30, 943, 249, 98);
INSERT INTO public.who_data VALUES (59001, 346, 42982, 2, 293, 249, 104);
INSERT INTO public.who_data VALUES (59002, 0, 509, 0, 21, 249, 73);
INSERT INTO public.who_data VALUES (59003, 18514, 2098106, 496, 115980, 249, 8);
INSERT INTO public.who_data VALUES (59004, 1, 73, 0, 6, 249, 227);
INSERT INTO public.who_data VALUES (59005, 0, 848, 0, 23, 249, 75);
INSERT INTO public.who_data VALUES (59006, 268, 5561, 0, 19, 249, 45);
INSERT INTO public.who_data VALUES (59007, 0, 0, 0, 0, 249, 133);
INSERT INTO public.who_data VALUES (59008, 84, 3062, 1, 26, 249, 202);
INSERT INTO public.who_data VALUES (59009, 1, 335, 0, 0, 249, 129);
INSERT INTO public.who_data VALUES (59010, 0, 0, 0, 0, 249, 36);
INSERT INTO public.who_data VALUES (59011, 41, 885, 6, 214, 249, 51);
INSERT INTO public.who_data VALUES (59012, 23, 1405, 0, 11, 249, 206);
INSERT INTO public.who_data VALUES (59013, 4, 391, 0, 4, 249, 5);
INSERT INTO public.who_data VALUES (59014, 106, 25719, 8, 488, 250, 103);
INSERT INTO public.who_data VALUES (59015, 82, 1672, 1, 37, 250, 58);
INSERT INTO public.who_data VALUES (59016, 112, 11031, 10, 777, 250, 195);
INSERT INTO public.who_data VALUES (59017, 0, 0, 0, 0, 250, 115);
INSERT INTO public.who_data VALUES (59018, 0, 853, 0, 51, 250, 99);
INSERT INTO public.who_data VALUES (59019, 2, 142, 0, 6, 250, 153);
INSERT INTO public.who_data VALUES (59020, 0, 3, 0, 0, 250, 93);
INSERT INTO public.who_data VALUES (59021, 0, 26, 0, 3, 250, 84);
INSERT INTO public.who_data VALUES (59022, 1282, 31577, 23, 842, 250, 78);
INSERT INTO public.who_data VALUES (59023, 425, 16802, 8, 288, 250, 170);
INSERT INTO public.who_data VALUES (59024, 0, 101, 0, 3, 250, 32);
INSERT INTO public.who_data VALUES (59025, 15, 7335, 0, 102, 250, 155);
INSERT INTO public.who_data VALUES (59026, 27, 17065, 1, 678, 250, 82);
INSERT INTO public.who_data VALUES (59027, 367, 10324, 3, 122, 250, 16);
INSERT INTO public.who_data VALUES (59028, 1, 104, 0, 11, 250, 72);
INSERT INTO public.who_data VALUES (59029, 469, 19013, 3, 46, 250, 43);
INSERT INTO public.who_data VALUES (59030, 3099, 90619, 38, 1209, 250, 120);
INSERT INTO public.who_data VALUES (59031, 1, 97, 0, 7, 250, 213);
INSERT INTO public.who_data VALUES (59032, 707, 54680, 4, 312, 250, 31);
INSERT INTO public.who_data VALUES (59033, 147, 60730, 8, 9539, 250, 204);
INSERT INTO public.who_data VALUES (59034, 0, 21, 0, 2, 250, 152);
INSERT INTO public.who_data VALUES (59035, 13, 483, 2, 9, 250, 144);
INSERT INTO public.who_data VALUES (59036, 0, 144, 0, 9, 250, 96);
INSERT INTO public.who_data VALUES (59037, 1, 67, 0, 0, 250, 47);
INSERT INTO public.who_data VALUES (59038, 617, 18459, 26, 611, 250, 80);
INSERT INTO public.who_data VALUES (59039, 0, 2, 0, 0, 250, 159);
INSERT INTO public.who_data VALUES (59040, 38, 3039, 1, 164, 250, 27);
INSERT INTO public.who_data VALUES (59041, 0, 60, 0, 1, 250, 146);
INSERT INTO public.who_data VALUES (59042, 17110, 867624, 612, 43332, 250, 71);
INSERT INTO public.who_data VALUES (59043, 0, 8, 0, 1, 250, 210);
INSERT INTO public.who_data VALUES (59044, 0, 141, 0, 2, 250, 54);
INSERT INTO public.who_data VALUES (59045, 51, 3341, 2, 176, 250, 147);
INSERT INTO public.who_data VALUES (59046, 0, 894, 0, 53, 250, 2);
INSERT INTO public.who_data VALUES (59047, 10, 104, 0, 1, 250, 105);
INSERT INTO public.who_data VALUES (59048, 10, 760, 1, 7, 250, 53);
INSERT INTO public.who_data VALUES (59049, 0, 128, 0, 0, 250, 81);
INSERT INTO public.who_data VALUES (59050, 292, 9864, 1, 276, 250, 223);
INSERT INTO public.who_data VALUES (59051, 377, 98787, 39, 8146, 250, 94);
INSERT INTO public.who_data VALUES (59052, 0, 187, 0, 1, 250, 154);
INSERT INTO public.who_data VALUES (59053, 0, 2222, 0, 7, 250, 83);
INSERT INTO public.who_data VALUES (59054, 0, 850, 0, 73, 250, 194);
INSERT INTO public.who_data VALUES (59055, 5143, 179436, 39, 3362, 250, 136);
INSERT INTO public.who_data VALUES (59056, 45, 84823, 0, 4645, 250, 179);
INSERT INTO public.who_data VALUES (59057, 2193, 50939, 75, 1667, 250, 57);
INSERT INTO public.who_data VALUES (59058, 0, 176, 0, 2, 250, 35);
INSERT INTO public.who_data VALUES (59059, 104, 883, 2, 27, 250, 228);
INSERT INTO public.who_data VALUES (59060, 0, 0, 0, 0, 250, 19);
INSERT INTO public.who_data VALUES (59061, 53, 1715, 0, 12, 250, 22);
INSERT INTO public.who_data VALUES (59062, 0, 5084, 0, 45, 250, 1);
INSERT INTO public.who_data VALUES (59063, 2, 2254, 0, 107, 250, 21);
INSERT INTO public.who_data VALUES (59064, 14, 2262, 0, 84, 250, 234);
INSERT INTO public.who_data VALUES (59065, 0, 22, 0, 1, 250, 91);
INSERT INTO public.who_data VALUES (59066, 2, 985, 0, 18, 250, 137);
INSERT INTO public.who_data VALUES (59067, 40, 10064, 1, 330, 250, 201);
INSERT INTO public.who_data VALUES (59068, 0, 0, 0, 0, 250, 171);
INSERT INTO public.who_data VALUES (59069, 0, 4777, 0, 106, 250, 92);
INSERT INTO public.who_data VALUES (59070, 24, 12217, 1, 598, 250, 112);
INSERT INTO public.who_data VALUES (59071, 36, 4501, 0, 43, 250, 62);
INSERT INTO public.who_data VALUES (59072, 0, 18, 0, 0, 250, 69);
INSERT INTO public.who_data VALUES (59073, 309, 23271, 13, 605, 250, 220);
INSERT INTO public.who_data VALUES (59074, 571, 47322, 33, 3929, 250, 100);
INSERT INTO public.who_data VALUES (59075, 1691, 46289, 97, 1672, 250, 187);
INSERT INTO public.who_data VALUES (59076, 106, 3826, 2, 74, 250, 63);
INSERT INTO public.who_data VALUES (59077, 0, 1043, 0, 12, 250, 28);
INSERT INTO public.who_data VALUES (59078, 13, 109, 0, 0, 250, 172);
INSERT INTO public.who_data VALUES (59079, 1, 1974, 0, 63, 250, 17);
INSERT INTO public.who_data VALUES (59080, 16, 506, 0, 4, 250, 226);
INSERT INTO public.who_data VALUES (59081, 176, 3521, 3, 60, 250, 236);
INSERT INTO public.who_data VALUES (59082, 0, 13, 0, 0, 250, 76);
INSERT INTO public.who_data VALUES (59083, 0, 187, 0, 0, 250, 30);
INSERT INTO public.who_data VALUES (59084, 0, 18, 0, 0, 250, 128);
INSERT INTO public.who_data VALUES (59085, 4, 7108, 0, 326, 250, 86);
INSERT INTO public.who_data VALUES (59086, 52, 152819, 30, 29373, 250, 140);
INSERT INTO public.who_data VALUES (59087, 71, 1326, 0, 3, 250, 44);
INSERT INTO public.who_data VALUES (59088, 0, 60, 0, 0, 250, 113);
INSERT INTO public.who_data VALUES (59089, 570, 4033, 4, 27, 250, 29);
INSERT INTO public.who_data VALUES (59090, 0, 28, 0, 1, 250, 125);
INSERT INTO public.who_data VALUES (59091, 0, 879, 0, 14, 250, 131);
INSERT INTO public.who_data VALUES (59092, 378, 186839, 9, 8800, 250, 46);
INSERT INTO public.who_data VALUES (59093, 542, 11964, 3, 54, 250, 10);
INSERT INTO public.who_data VALUES (59094, 0, 176, 0, 0, 250, 205);
INSERT INTO public.who_data VALUES (59095, 13, 3134, 1, 184, 250, 50);
INSERT INTO public.who_data VALUES (59096, 0, 13, 0, 0, 250, 20);
INSERT INTO public.who_data VALUES (59097, 0, 23, 0, 0, 250, 13);
INSERT INTO public.who_data VALUES (59098, 0, 171, 0, 14, 250, 148);
INSERT INTO public.who_data VALUES (59099, 1, 178, 0, 5, 250, 230);
INSERT INTO public.who_data VALUES (59100, 354, 9845, 17, 384, 250, 190);
INSERT INTO public.who_data VALUES (59101, 0, 252, 0, 13, 250, 188);
INSERT INTO public.who_data VALUES (59102, 38, 4572, 1, 26, 250, 123);
INSERT INTO public.who_data VALUES (59103, 0, 1460, 0, 15, 250, 9);
INSERT INTO public.who_data VALUES (59104, 0, 159, 0, 12, 250, 102);
INSERT INTO public.who_data VALUES (59105, 144, 4309, 3, 73, 250, 34);
INSERT INTO public.who_data VALUES (59106, 0, 12, 0, 0, 250, 212);
INSERT INTO public.who_data VALUES (59107, 403, 8858, 2, 312, 250, 122);
INSERT INTO public.who_data VALUES (59108, 1, 4077, 2, 565, 250, 38);
INSERT INTO public.who_data VALUES (59109, 1, 1811, 0, 10, 250, 130);
INSERT INTO public.who_data VALUES (59110, 10667, 343091, 380, 9900, 250, 37);
INSERT INTO public.who_data VALUES (59111, 1017, 39294, 64, 2198, 250, 231);
INSERT INTO public.who_data VALUES (59112, 2449, 189876, 113, 8950, 250, 107);
INSERT INTO public.who_data VALUES (59113, 1106, 21315, 45, 652, 250, 101);
INSERT INTO public.who_data VALUES (59114, 18, 25321, 0, 1706, 250, 132);
INSERT INTO public.who_data VALUES (59115, 0, 336, 0, 24, 250, 176);
INSERT INTO public.who_data VALUES (59116, 136, 19145, 2, 305, 250, 200);
INSERT INTO public.who_data VALUES (59117, 301, 237290, 26, 34371, 250, 169);
INSERT INTO public.who_data VALUES (59118, 2, 617, 0, 10, 250, 225);
INSERT INTO public.who_data VALUES (59119, 85, 17587, 2, 927, 250, 165);
INSERT INTO public.who_data VALUES (59120, 0, 313, 0, 30, 250, 233);
INSERT INTO public.who_data VALUES (59121, 18, 921, 0, 9, 250, 215);
INSERT INTO public.who_data VALUES (59122, 350, 15542, 7, 88, 250, 177);
INSERT INTO public.who_data VALUES (59123, 133, 3727, 1, 104, 250, 183);
INSERT INTO public.who_data VALUES (59124, 0, 0, 0, 0, 250, 203);
INSERT INTO public.who_data VALUES (59125, 129, 1572, 0, 23, 250, 162);
INSERT INTO public.who_data VALUES (59126, 511, 36431, 2, 298, 250, 12);
INSERT INTO public.who_data VALUES (59127, 100, 2472, 2, 29, 250, 24);
INSERT INTO public.who_data VALUES (59128, 0, 19, 0, 0, 250, 119);
INSERT INTO public.who_data VALUES (59129, 0, 1097, 0, 28, 250, 39);
INSERT INTO public.who_data VALUES (59130, 18, 1464, 0, 32, 250, 26);
INSERT INTO public.who_data VALUES (59131, 0, 4, 0, 0, 250, 59);
INSERT INTO public.who_data VALUES (59132, 40, 498, 1, 33, 250, 77);
INSERT INTO public.who_data VALUES (59133, 49, 467, 2, 10, 250, 134);
INSERT INTO public.who_data VALUES (59134, 0, 83, 0, 1, 250, 4);
INSERT INTO public.who_data VALUES (59135, 3, 1771, 0, 76, 250, 109);
INSERT INTO public.who_data VALUES (59136, 2, 4072, 0, 110, 250, 90);
INSERT INTO public.who_data VALUES (59137, 18, 1290, 0, 10, 250, 61);
INSERT INTO public.who_data VALUES (59138, 9, 556, 0, 6, 250, 85);
INSERT INTO public.who_data VALUES (59139, 41, 8494, 0, 121, 250, 49);
INSERT INTO public.who_data VALUES (59140, 30, 2065, 0, 8, 250, 208);
INSERT INTO public.who_data VALUES (59141, 51, 1860, 0, 104, 250, 166);
INSERT INTO public.who_data VALUES (59142, 2, 649, 0, 9, 250, 64);
INSERT INTO public.who_data VALUES (59143, 0, 0, 0, 0, 250, 199);
INSERT INTO public.who_data VALUES (59144, 0, 202, 0, 14, 250, 114);
INSERT INTO public.who_data VALUES (59145, 0, 1783, 0, 87, 250, 60);
INSERT INTO public.who_data VALUES (59146, 0, 337, 0, 10, 250, 68);
INSERT INTO public.who_data VALUES (59147, 28, 2310, -1, 28, 250, 158);
INSERT INTO public.who_data VALUES (59148, 4147, 146837, 269, 17141, 250, 52);
INSERT INTO public.who_data VALUES (59149, 0, 0, 0, 0, 250, 117);
INSERT INTO public.who_data VALUES (59150, 0, 70, 0, 1, 250, 126);
INSERT INTO public.who_data VALUES (59151, 0, 197, 0, 0, 250, 196);
INSERT INTO public.who_data VALUES (59152, 0, 326, 0, 9, 250, 142);
INSERT INTO public.who_data VALUES (59153, 0, 11, 0, 1, 250, 185);
INSERT INTO public.who_data VALUES (59154, 92, 8885, 0, 212, 250, 138);
INSERT INTO public.who_data VALUES (59155, 26, 609, 1, 3, 250, 181);
INSERT INTO public.who_data VALUES (59156, 0, 262, 0, 6, 250, 178);
INSERT INTO public.who_data VALUES (59157, 0, 32, 0, 0, 250, 168);
INSERT INTO public.who_data VALUES (59158, 0, 0, 0, 0, 250, 160);
INSERT INTO public.who_data VALUES (59159, 451, 6211, 0, 19, 250, 151);
INSERT INTO public.who_data VALUES (59160, 159, 48697, 7, 6038, 250, 193);
INSERT INTO public.who_data VALUES (59161, 0, 21, 0, 0, 250, 18);
INSERT INTO public.who_data VALUES (59162, 2, 1156, 0, 22, 250, 40);
INSERT INTO public.who_data VALUES (59163, 0, 1655, 0, 55, 250, 218);
INSERT INTO public.who_data VALUES (59164, 0, 980, 0, 66, 250, 191);
INSERT INTO public.who_data VALUES (59165, 573, 16658, 4, 424, 250, 156);
INSERT INTO public.who_data VALUES (59166, 0, 0, 0, 0, 250, 135);
INSERT INTO public.who_data VALUES (59167, 0, 30, 0, 2, 250, 88);
INSERT INTO public.who_data VALUES (59168, 100, 4157, 5, 193, 250, 55);
INSERT INTO public.who_data VALUES (59169, 25, 8631, 0, 242, 250, 108);
INSERT INTO public.who_data VALUES (59170, 13, 689, 0, 5, 250, 48);
INSERT INTO public.who_data VALUES (59171, 1043, 24524, 4, 108, 250, 3);
INSERT INTO public.who_data VALUES (59172, 0, 741, 0, 13, 250, 224);
INSERT INTO public.who_data VALUES (59173, 4443, 148921, 110, 2839, 250, 110);
INSERT INTO public.who_data VALUES (59174, 0, 0, 0, 0, 250, 106);
INSERT INTO public.who_data VALUES (59175, 627, 20686, 8, 437, 250, 89);
INSERT INTO public.who_data VALUES (59176, 0, 8, 0, 0, 250, 121);
INSERT INTO public.who_data VALUES (59177, 7, 1296, 1, 12, 250, 163);
INSERT INTO public.who_data VALUES (59178, 4604, 229736, 190, 6688, 250, 70);
INSERT INTO public.who_data VALUES (59179, 490, 26420, 10, 1098, 250, 174);
INSERT INTO public.who_data VALUES (59180, 0, 0, 0, 0, 250, 175);
INSERT INTO public.who_data VALUES (59181, 396, 29788, 9, 1256, 250, 118);
INSERT INTO public.who_data VALUES (59182, 346, 37036, 3, 1520, 250, 189);
INSERT INTO public.who_data VALUES (59183, 79, 5890, 0, 147, 250, 124);
INSERT INTO public.who_data VALUES (59184, 1274, 80876, 3, 76, 250, 192);
INSERT INTO public.who_data VALUES (59185, 34, 12155, 1, 278, 250, 41);
INSERT INTO public.who_data VALUES (59186, 139, 11879, 11, 417, 250, 95);
INSERT INTO public.who_data VALUES (59187, 1, 496, 0, 1, 250, 74);
INSERT INTO public.who_data VALUES (59188, 166, 22165, 17, 1427, 250, 11);
INSERT INTO public.who_data VALUES (59189, 8248, 545458, 193, 7284, 250, 87);
INSERT INTO public.who_data VALUES (59190, 30, 612, 0, 2, 250, 214);
INSERT INTO public.who_data VALUES (59191, 0, 3, 0, 0, 250, 116);
INSERT INTO public.who_data VALUES (59192, 0, 6, 0, 0, 250, 157);
INSERT INTO public.who_data VALUES (59193, 0, 0, 0, 0, 250, 182);
INSERT INTO public.who_data VALUES (59194, 0, 15, 0, 0, 250, 186);
INSERT INTO public.who_data VALUES (59195, 0, 19, 0, 0, 250, 127);
INSERT INTO public.who_data VALUES (59196, 0, 41, 0, 3, 250, 232);
INSERT INTO public.who_data VALUES (59197, 0, 1, 0, 0, 250, 33);
INSERT INTO public.who_data VALUES (59198, 0, 27, 0, 0, 250, 97);
INSERT INTO public.who_data VALUES (59199, 0, 0, 0, 0, 250, 42);
INSERT INTO public.who_data VALUES (59200, 0, 695, 0, 42, 250, 198);
INSERT INTO public.who_data VALUES (59201, 0, 388, 0, 10, 250, 216);
INSERT INTO public.who_data VALUES (59202, 4507, 132048, 39, 1011, 250, 164);
INSERT INTO public.who_data VALUES (59203, 0, 5090, 0, 60, 250, 235);
INSERT INTO public.who_data VALUES (59204, 57, 12367, 1, 255, 250, 67);
INSERT INTO public.who_data VALUES (59205, 0, 11, 0, 0, 250, 15);
INSERT INTO public.who_data VALUES (59206, 7, 1176, 0, 51, 250, 180);
INSERT INTO public.who_data VALUES (59207, 214, 40818, 0, 26, 250, 237);
INSERT INTO public.who_data VALUES (59208, 0, 2, 0, 0, 250, 25);
INSERT INTO public.who_data VALUES (59209, 0, 77, 0, 15, 250, 209);
INSERT INTO public.who_data VALUES (59210, 3, 1548, 0, 28, 250, 217);
INSERT INTO public.who_data VALUES (59211, 1, 1496, 0, 113, 250, 79);
INSERT INTO public.who_data VALUES (59212, 0, 0, 0, 0, 250, 143);
INSERT INTO public.who_data VALUES (59213, 39, 2642, 0, 88, 250, 229);
INSERT INTO public.who_data VALUES (59214, 3495, 73533, 88, 1568, 250, 141);
INSERT INTO public.who_data VALUES (59215, 62, 1755, 3, 30, 250, 197);
INSERT INTO public.who_data VALUES (59216, 98, 253776, 18, 29559, 250, 221);
INSERT INTO public.who_data VALUES (59217, 16, 1905, 0, 11, 250, 150);
INSERT INTO public.who_data VALUES (59218, 215, 7435, 9, 468, 250, 56);
INSERT INTO public.who_data VALUES (59219, 21, 208, 1, 4, 250, 167);
INSERT INTO public.who_data VALUES (59220, 418, 51804, 27, 5134, 250, 23);
INSERT INTO public.who_data VALUES (59221, 32, 31113, 0, 1722, 250, 222);
INSERT INTO public.who_data VALUES (59222, 0, 177, 0, 6, 250, 219);
INSERT INTO public.who_data VALUES (59223, 62, 5097, 0, 50, 250, 7);
INSERT INTO public.who_data VALUES (59224, 0, 3135, 0, 58, 250, 161);
INSERT INTO public.who_data VALUES (59225, 822, 272001, 29, 39395, 250, 149);
INSERT INTO public.who_data VALUES (59226, 0, 24, 0, 0, 250, 6);
INSERT INTO public.who_data VALUES (59227, 1, 531, 0, 13, 250, 139);
INSERT INTO public.who_data VALUES (59228, 0, 0, 0, 0, 250, 211);
INSERT INTO public.who_data VALUES (59229, 0, 0, 0, 0, 250, 14);
INSERT INTO public.who_data VALUES (59230, 6, 123, 0, 8, 250, 111);
INSERT INTO public.who_data VALUES (59231, 15, 1125, 0, 49, 250, 207);
INSERT INTO public.who_data VALUES (59232, 1592, 179831, 18, 4825, 250, 66);
INSERT INTO public.who_data VALUES (59233, 0, 0, 0, 0, 250, 173);
INSERT INTO public.who_data VALUES (59234, 0, 12, 0, 1, 250, 145);
INSERT INTO public.who_data VALUES (59235, 0, 0, 0, 0, 250, 65);
INSERT INTO public.who_data VALUES (59236, 0, 823, 0, 0, 250, 184);
INSERT INTO public.who_data VALUES (59237, 666, 32476, 12, 913, 250, 98);
INSERT INTO public.who_data VALUES (59238, 342, 42636, 2, 291, 250, 104);
INSERT INTO public.who_data VALUES (59239, 0, 509, 0, 21, 250, 73);
INSERT INTO public.who_data VALUES (59240, 21754, 2079592, 372, 115484, 250, 8);
INSERT INTO public.who_data VALUES (59241, 0, 72, 0, 6, 250, 227);
INSERT INTO public.who_data VALUES (59242, 1, 848, 0, 23, 250, 75);
INSERT INTO public.who_data VALUES (59243, 190, 5293, 0, 19, 250, 45);
INSERT INTO public.who_data VALUES (59244, 0, 0, 0, 0, 250, 133);
INSERT INTO public.who_data VALUES (59245, 74, 2978, 1, 25, 250, 202);
INSERT INTO public.who_data VALUES (59246, 0, 334, 0, 0, 250, 129);
INSERT INTO public.who_data VALUES (59247, 0, 0, 0, 0, 250, 36);
INSERT INTO public.who_data VALUES (59248, 116, 844, 44, 208, 250, 51);
INSERT INTO public.who_data VALUES (59249, 24, 1382, 0, 11, 250, 206);
INSERT INTO public.who_data VALUES (59250, 4, 387, 0, 4, 250, 5);
INSERT INTO public.who_data VALUES (59251, 761, 25613, 5, 480, 251, 103);
INSERT INTO public.who_data VALUES (59252, 69, 1590, 0, 36, 251, 58);
INSERT INTO public.who_data VALUES (59253, 109, 10919, 7, 767, 251, 195);
INSERT INTO public.who_data VALUES (59254, 0, 0, 0, 0, 251, 115);
INSERT INTO public.who_data VALUES (59255, 0, 853, 0, 51, 251, 99);
INSERT INTO public.who_data VALUES (59256, 2, 140, 0, 6, 251, 153);
INSERT INTO public.who_data VALUES (59257, 0, 3, 0, 0, 251, 93);
INSERT INTO public.who_data VALUES (59258, 0, 26, 0, 3, 251, 84);
INSERT INTO public.who_data VALUES (59259, 1531, 30295, 17, 819, 251, 78);
INSERT INTO public.who_data VALUES (59260, 397, 16377, 16, 280, 251, 170);
INSERT INTO public.who_data VALUES (59261, 0, 101, 0, 3, 251, 32);
INSERT INTO public.who_data VALUES (59262, 18, 7320, 0, 102, 251, 155);
INSERT INTO public.who_data VALUES (59263, 24, 17038, 0, 677, 251, 82);
INSERT INTO public.who_data VALUES (59264, 387, 9957, 4, 119, 251, 16);
INSERT INTO public.who_data VALUES (59265, 0, 103, 0, 11, 251, 72);
INSERT INTO public.who_data VALUES (59266, 317, 18544, 4, 43, 251, 43);
INSERT INTO public.who_data VALUES (59267, 3141, 87520, 32, 1171, 251, 120);
INSERT INTO public.who_data VALUES (59268, 0, 96, 0, 7, 251, 213);
INSERT INTO public.who_data VALUES (59269, 732, 53973, 5, 308, 251, 31);
INSERT INTO public.who_data VALUES (59270, 22, 60583, 3, 9531, 251, 204);
INSERT INTO public.who_data VALUES (59271, 1, 21, 0, 2, 251, 152);
INSERT INTO public.who_data VALUES (59272, 58, 470, 1, 7, 251, 144);
INSERT INTO public.who_data VALUES (59273, 2, 144, 0, 9, 251, 96);
INSERT INTO public.who_data VALUES (59274, 0, 66, 0, 0, 251, 47);
INSERT INTO public.who_data VALUES (59275, 913, 17842, 26, 585, 251, 80);
INSERT INTO public.who_data VALUES (59276, 0, 2, 0, 0, 251, 159);
INSERT INTO public.who_data VALUES (59277, 109, 3001, 1, 163, 251, 27);
INSERT INTO public.who_data VALUES (59278, 0, 60, 0, 1, 251, 146);
INSERT INTO public.who_data VALUES (59279, 21704, 850514, 892, 42720, 251, 71);
INSERT INTO public.who_data VALUES (59280, 0, 8, 0, 1, 251, 210);
INSERT INTO public.who_data VALUES (59281, 0, 141, 0, 2, 251, 54);
INSERT INTO public.who_data VALUES (59282, 24, 3290, 2, 174, 251, 147);
INSERT INTO public.who_data VALUES (59283, 2, 894, 0, 53, 251, 2);
INSERT INTO public.who_data VALUES (59284, 0, 94, 0, 1, 251, 105);
INSERT INTO public.who_data VALUES (59285, 24, 750, 0, 6, 251, 53);
INSERT INTO public.who_data VALUES (59286, 2, 128, 0, 0, 251, 81);
INSERT INTO public.who_data VALUES (59287, 829, 9572, 5, 275, 251, 223);
INSERT INTO public.who_data VALUES (59288, 467, 98410, 58, 8107, 251, 94);
INSERT INTO public.who_data VALUES (59289, 0, 187, 0, 1, 251, 154);
INSERT INTO public.who_data VALUES (59290, 165, 2222, 0, 7, 251, 83);
INSERT INTO public.who_data VALUES (59291, 2, 850, 1, 73, 251, 194);
INSERT INTO public.who_data VALUES (59292, 6938, 174293, 222, 3323, 251, 136);
INSERT INTO public.who_data VALUES (59293, 49, 84778, 0, 4645, 251, 179);
INSERT INTO public.who_data VALUES (59294, 1888, 48746, 47, 1592, 251, 57);
INSERT INTO public.who_data VALUES (59295, 0, 176, 0, 2, 251, 35);
INSERT INTO public.who_data VALUES (59296, 0, 779, 0, 25, 251, 228);
INSERT INTO public.who_data VALUES (59297, 0, 0, 0, 0, 251, 19);
INSERT INTO public.who_data VALUES (59298, 50, 1662, 0, 12, 251, 22);
INSERT INTO public.who_data VALUES (59299, 236, 5084, 0, 45, 251, 1);
INSERT INTO public.who_data VALUES (59300, 1, 2252, 0, 107, 251, 21);
INSERT INTO public.who_data VALUES (59301, 10, 2248, 0, 84, 251, 234);
INSERT INTO public.who_data VALUES (59302, 0, 22, 0, 1, 251, 91);
INSERT INTO public.who_data VALUES (59303, 3, 983, 0, 18, 251, 137);
INSERT INTO public.who_data VALUES (59304, 33, 10024, 0, 329, 251, 201);
INSERT INTO public.who_data VALUES (59305, 0, 0, 0, 0, 251, 171);
INSERT INTO public.who_data VALUES (59306, 54, 4777, 1, 106, 251, 92);
INSERT INTO public.who_data VALUES (59307, 54, 12193, 0, 597, 251, 112);
INSERT INTO public.who_data VALUES (59308, 16, 4465, 2, 43, 251, 62);
INSERT INTO public.who_data VALUES (59309, 0, 18, 0, 0, 251, 69);
INSERT INTO public.who_data VALUES (59310, 390, 22962, 15, 592, 251, 220);
INSERT INTO public.who_data VALUES (59311, 395, 46751, 22, 3896, 251, 100);
INSERT INTO public.who_data VALUES (59312, 1618, 44598, 91, 1575, 251, 187);
INSERT INTO public.who_data VALUES (59313, 117, 3720, 0, 72, 251, 63);
INSERT INTO public.who_data VALUES (59314, 0, 1043, 0, 12, 251, 28);
INSERT INTO public.who_data VALUES (59315, 31, 96, 0, 0, 251, 172);
INSERT INTO public.who_data VALUES (59316, 0, 1973, 0, 63, 251, 17);
INSERT INTO public.who_data VALUES (59317, 4, 490, 1, 4, 251, 226);
INSERT INTO public.who_data VALUES (59318, 179, 3345, 2, 57, 251, 236);
INSERT INTO public.who_data VALUES (59319, 0, 13, 0, 0, 251, 76);
INSERT INTO public.who_data VALUES (59320, 0, 187, 0, 0, 251, 30);
INSERT INTO public.who_data VALUES (59321, 0, 18, 0, 0, 251, 128);
INSERT INTO public.who_data VALUES (59322, 17, 7104, 1, 326, 251, 86);
INSERT INTO public.who_data VALUES (59323, 307, 152767, 8, 29343, 251, 140);
INSERT INTO public.who_data VALUES (59324, 94, 1255, 1, 3, 251, 44);
INSERT INTO public.who_data VALUES (59325, 0, 60, 0, 0, 251, 113);
INSERT INTO public.who_data VALUES (59326, 0, 3463, 0, 23, 251, 29);
INSERT INTO public.who_data VALUES (59327, 0, 28, 0, 1, 251, 125);
INSERT INTO public.who_data VALUES (59328, 15, 879, 0, 14, 251, 131);
INSERT INTO public.who_data VALUES (59329, 192, 186461, 4, 8791, 251, 46);
INSERT INTO public.who_data VALUES (59330, 304, 11422, 3, 51, 251, 10);
INSERT INTO public.who_data VALUES (59331, 0, 176, 0, 0, 251, 205);
INSERT INTO public.who_data VALUES (59332, 9, 3121, 0, 183, 251, 50);
INSERT INTO public.who_data VALUES (59333, 0, 13, 0, 0, 251, 20);
INSERT INTO public.who_data VALUES (59334, 0, 23, 0, 0, 251, 13);
INSERT INTO public.who_data VALUES (59335, 0, 171, 0, 14, 251, 148);
INSERT INTO public.who_data VALUES (59336, 0, 177, 0, 5, 251, 230);
INSERT INTO public.who_data VALUES (59337, 509, 9491, 16, 367, 251, 190);
INSERT INTO public.who_data VALUES (59338, 0, 252, 0, 13, 251, 188);
INSERT INTO public.who_data VALUES (59339, 50, 4534, 0, 25, 251, 123);
INSERT INTO public.who_data VALUES (59340, 0, 1460, 0, 15, 251, 9);
INSERT INTO public.who_data VALUES (59341, 0, 159, 0, 12, 251, 102);
INSERT INTO public.who_data VALUES (59342, 224, 4165, 6, 70, 251, 34);
INSERT INTO public.who_data VALUES (59343, 0, 12, 0, 0, 251, 212);
INSERT INTO public.who_data VALUES (59344, 323, 8455, 4, 310, 251, 122);
INSERT INTO public.who_data VALUES (59345, 12, 4076, 4, 563, 251, 38);
INSERT INTO public.who_data VALUES (59346, 0, 1810, 0, 10, 251, 130);
INSERT INTO public.who_data VALUES (59347, 11502, 332424, 325, 9520, 251, 37);
INSERT INTO public.who_data VALUES (59348, 857, 38277, 43, 2134, 251, 231);
INSERT INTO public.who_data VALUES (59349, 2472, 187427, 107, 8837, 251, 107);
INSERT INTO public.who_data VALUES (59350, 1259, 20209, 58, 607, 251, 101);
INSERT INTO public.who_data VALUES (59351, 8, 25303, 1, 1706, 251, 132);
INSERT INTO public.who_data VALUES (59352, 0, 336, 0, 24, 251, 176);
INSERT INTO public.who_data VALUES (59353, 149, 19009, 1, 303, 251, 200);
INSERT INTO public.who_data VALUES (59354, 338, 236989, 44, 34345, 251, 169);
INSERT INTO public.who_data VALUES (59355, 1, 615, 0, 10, 251, 225);
INSERT INTO public.who_data VALUES (59356, 73, 17502, 0, 925, 251, 165);
INSERT INTO public.who_data VALUES (59357, 0, 313, 0, 30, 251, 233);
INSERT INTO public.who_data VALUES (59358, 8, 903, 0, 9, 251, 215);
INSERT INTO public.who_data VALUES (59359, 383, 15192, 4, 81, 251, 177);
INSERT INTO public.who_data VALUES (59360, 137, 3594, 3, 103, 251, 183);
INSERT INTO public.who_data VALUES (59361, 0, 0, 0, 0, 251, 203);
INSERT INTO public.who_data VALUES (59362, 6, 1443, 0, 23, 251, 162);
INSERT INTO public.who_data VALUES (59363, 454, 35920, 7, 296, 251, 12);
INSERT INTO public.who_data VALUES (59364, 87, 2372, 0, 27, 251, 24);
INSERT INTO public.who_data VALUES (59365, 0, 19, 0, 0, 251, 119);
INSERT INTO public.who_data VALUES (59366, 0, 1097, 0, 28, 251, 39);
INSERT INTO public.who_data VALUES (59367, 4, 1446, 0, 32, 251, 26);
INSERT INTO public.who_data VALUES (59368, 0, 4, 0, 0, 251, 59);
INSERT INTO public.who_data VALUES (59369, 12, 458, 0, 32, 251, 77);
INSERT INTO public.who_data VALUES (59370, 0, 418, 0, 8, 251, 134);
INSERT INTO public.who_data VALUES (59371, 0, 83, 0, 1, 251, 4);
INSERT INTO public.who_data VALUES (59372, 5, 1768, 1, 76, 251, 109);
INSERT INTO public.who_data VALUES (59373, 7, 4070, 0, 110, 251, 90);
INSERT INTO public.who_data VALUES (59374, 20, 1272, 0, 10, 251, 61);
INSERT INTO public.who_data VALUES (59375, 18, 547, 1, 6, 251, 85);
INSERT INTO public.who_data VALUES (59376, 8, 8453, 1, 121, 251, 49);
INSERT INTO public.who_data VALUES (59377, 22, 2035, 0, 8, 251, 208);
INSERT INTO public.who_data VALUES (59378, 33, 1809, 0, 104, 251, 166);
INSERT INTO public.who_data VALUES (59379, 2, 647, 0, 9, 251, 64);
INSERT INTO public.who_data VALUES (59380, 0, 0, 0, 0, 251, 199);
INSERT INTO public.who_data VALUES (59381, 0, 202, 0, 14, 251, 114);
INSERT INTO public.who_data VALUES (59382, 210, 1783, 6, 87, 251, 60);
INSERT INTO public.who_data VALUES (59383, 0, 337, 0, 10, 251, 68);
INSERT INTO public.who_data VALUES (59384, 0, 2282, 0, 29, 251, 158);
INSERT INTO public.who_data VALUES (59385, 3494, 142690, 424, 16872, 251, 52);
INSERT INTO public.who_data VALUES (59386, 0, 0, 0, 0, 251, 117);
INSERT INTO public.who_data VALUES (59387, 0, 70, 0, 1, 251, 126);
INSERT INTO public.who_data VALUES (59388, 0, 197, 0, 0, 251, 196);
INSERT INTO public.who_data VALUES (59389, 1, 326, 0, 9, 251, 142);
INSERT INTO public.who_data VALUES (59390, 0, 11, 0, 1, 251, 185);
INSERT INTO public.who_data VALUES (59391, 101, 8793, 0, 212, 251, 138);
INSERT INTO public.who_data VALUES (59392, 30, 583, 0, 2, 251, 181);
INSERT INTO public.who_data VALUES (59393, 1, 262, 0, 6, 251, 178);
INSERT INTO public.who_data VALUES (59394, 0, 32, 0, 0, 251, 168);
INSERT INTO public.who_data VALUES (59395, 0, 0, 0, 0, 251, 160);
INSERT INTO public.who_data VALUES (59396, 425, 5760, 1, 19, 251, 151);
INSERT INTO public.who_data VALUES (59397, 144, 48538, 1, 6031, 251, 193);
INSERT INTO public.who_data VALUES (59398, 0, 21, 0, 0, 251, 18);
INSERT INTO public.who_data VALUES (59399, 0, 1154, 0, 22, 251, 40);
INSERT INTO public.who_data VALUES (59400, 0, 1655, 0, 55, 251, 218);
INSERT INTO public.who_data VALUES (59401, 2, 980, 1, 66, 251, 191);
INSERT INTO public.who_data VALUES (59402, 904, 16085, 21, 420, 251, 156);
INSERT INTO public.who_data VALUES (59403, 0, 0, 0, 0, 251, 135);
INSERT INTO public.who_data VALUES (59404, 0, 30, 0, 2, 251, 88);
INSERT INTO public.who_data VALUES (59405, 155, 4057, 9, 188, 251, 55);
INSERT INTO public.who_data VALUES (59406, 0, 8606, 0, 242, 251, 108);
INSERT INTO public.who_data VALUES (59407, 3, 676, 0, 5, 251, 48);
INSERT INTO public.who_data VALUES (59408, 1404, 23481, 5, 104, 251, 3);
INSERT INTO public.who_data VALUES (59409, 0, 741, 0, 13, 251, 224);
INSERT INTO public.who_data VALUES (59410, 5248, 144478, 97, 2729, 251, 110);
INSERT INTO public.who_data VALUES (59411, 0, 0, 0, 0, 251, 106);
INSERT INTO public.who_data VALUES (59412, 848, 20059, 8, 429, 251, 89);
INSERT INTO public.who_data VALUES (59413, 0, 8, 0, 0, 251, 121);
INSERT INTO public.who_data VALUES (59414, 28, 1289, 0, 11, 251, 163);
INSERT INTO public.who_data VALUES (59415, 4383, 225132, 190, 6498, 251, 70);
INSERT INTO public.who_data VALUES (59416, 538, 25930, 14, 1088, 251, 174);
INSERT INTO public.who_data VALUES (59417, 0, 0, 0, 0, 251, 175);
INSERT INTO public.who_data VALUES (59418, 375, 29392, 10, 1247, 251, 118);
INSERT INTO public.who_data VALUES (59419, 227, 36690, 5, 1517, 251, 189);
INSERT INTO public.who_data VALUES (59420, 121, 5811, 1, 147, 251, 124);
INSERT INTO public.who_data VALUES (59421, 1186, 79602, 3, 73, 251, 192);
INSERT INTO public.who_data VALUES (59422, 37, 12121, 0, 277, 251, 41);
INSERT INTO public.who_data VALUES (59423, 281, 11740, 7, 406, 251, 95);
INSERT INTO public.who_data VALUES (59424, 6, 495, 0, 1, 251, 74);
INSERT INTO public.who_data VALUES (59425, 320, 21999, 19, 1410, 251, 11);
INSERT INTO public.who_data VALUES (59426, 8246, 537210, 143, 7091, 251, 87);
INSERT INTO public.who_data VALUES (59427, 41, 582, 0, 2, 251, 214);
INSERT INTO public.who_data VALUES (59428, 0, 3, 0, 0, 251, 116);
INSERT INTO public.who_data VALUES (59429, 0, 6, 0, 0, 251, 157);
INSERT INTO public.who_data VALUES (59430, 0, 0, 0, 0, 251, 182);
INSERT INTO public.who_data VALUES (59431, 0, 15, 0, 0, 251, 186);
INSERT INTO public.who_data VALUES (59432, 0, 19, 0, 0, 251, 127);
INSERT INTO public.who_data VALUES (59433, 0, 41, 0, 3, 251, 232);
INSERT INTO public.who_data VALUES (59434, 0, 1, 0, 0, 251, 33);
INSERT INTO public.who_data VALUES (59435, 0, 27, 0, 0, 251, 97);
INSERT INTO public.who_data VALUES (59436, 0, 0, 0, 0, 251, 42);
INSERT INTO public.who_data VALUES (59437, 0, 695, 0, 42, 251, 198);
INSERT INTO public.who_data VALUES (59438, 0, 388, 0, 10, 251, 216);
INSERT INTO public.who_data VALUES (59439, 4233, 127541, 40, 972, 251, 164);
INSERT INTO public.who_data VALUES (59440, 94, 5090, 0, 60, 251, 235);
INSERT INTO public.who_data VALUES (59441, 59, 12310, 1, 254, 251, 67);
INSERT INTO public.who_data VALUES (59442, 0, 11, 0, 0, 251, 15);
INSERT INTO public.who_data VALUES (59443, 37, 1169, 0, 51, 251, 180);
INSERT INTO public.who_data VALUES (59444, 407, 40604, 0, 26, 251, 237);
INSERT INTO public.who_data VALUES (59445, 0, 2, 0, 0, 251, 25);
INSERT INTO public.who_data VALUES (59446, 0, 77, 0, 15, 251, 209);
INSERT INTO public.who_data VALUES (59447, 3, 1545, 0, 28, 251, 217);
INSERT INTO public.who_data VALUES (59448, 3, 1495, 0, 113, 251, 79);
INSERT INTO public.who_data VALUES (59449, 0, 0, 0, 0, 251, 143);
INSERT INTO public.who_data VALUES (59450, 24, 2603, 1, 88, 251, 229);
INSERT INTO public.who_data VALUES (59451, 4302, 70038, 57, 1480, 251, 141);
INSERT INTO public.who_data VALUES (59452, 9, 1693, 2, 27, 251, 197);
INSERT INTO public.who_data VALUES (59453, 136, 253678, 22, 29541, 251, 221);
INSERT INTO public.who_data VALUES (59454, 5, 1889, 0, 11, 251, 150);
INSERT INTO public.who_data VALUES (59455, 213, 7220, 12, 459, 251, 56);
INSERT INTO public.who_data VALUES (59456, 0, 187, 0, 3, 251, 167);
INSERT INTO public.who_data VALUES (59457, 1032, 51386, 33, 5107, 251, 23);
INSERT INTO public.who_data VALUES (59458, 12, 31081, 0, 1722, 251, 222);
INSERT INTO public.who_data VALUES (59459, 7, 177, 0, 6, 251, 219);
INSERT INTO public.who_data VALUES (59460, 64, 5035, 0, 50, 251, 7);
INSERT INTO public.who_data VALUES (59461, 0, 3135, 0, 58, 251, 161);
INSERT INTO public.who_data VALUES (59462, 890, 271179, 27, 39366, 251, 149);
INSERT INTO public.who_data VALUES (59463, 0, 24, 0, 0, 251, 6);
INSERT INTO public.who_data VALUES (59464, 5, 530, 0, 13, 251, 139);
INSERT INTO public.who_data VALUES (59465, 0, 0, 0, 0, 251, 211);
INSERT INTO public.who_data VALUES (59466, 0, 0, 0, 0, 251, 14);
INSERT INTO public.who_data VALUES (59467, 0, 117, 0, 8, 251, 111);
INSERT INTO public.who_data VALUES (59468, 14, 1110, 0, 49, 251, 207);
INSERT INTO public.who_data VALUES (59469, 1562, 178239, 15, 4807, 251, 66);
INSERT INTO public.who_data VALUES (59470, 0, 0, 0, 0, 251, 173);
INSERT INTO public.who_data VALUES (59471, 0, 12, 0, 1, 251, 145);
INSERT INTO public.who_data VALUES (59472, 0, 0, 0, 0, 251, 65);
INSERT INTO public.who_data VALUES (59473, 0, 823, 0, 0, 251, 184);
INSERT INTO public.who_data VALUES (59474, 656, 31810, 12, 901, 251, 98);
INSERT INTO public.who_data VALUES (59475, 304, 42294, 1, 289, 251, 104);
INSERT INTO public.who_data VALUES (59476, 0, 509, 0, 21, 251, 73);
INSERT INTO public.who_data VALUES (59477, 25314, 2057838, 646, 115112, 251, 8);
INSERT INTO public.who_data VALUES (59478, 0, 72, 0, 6, 251, 227);
INSERT INTO public.who_data VALUES (59479, 0, 847, 0, 23, 251, 75);
INSERT INTO public.who_data VALUES (59480, 109, 5103, 0, 19, 251, 45);
INSERT INTO public.who_data VALUES (59481, 0, 0, 0, 0, 251, 133);
INSERT INTO public.who_data VALUES (59482, 25, 2904, 1, 24, 251, 202);
INSERT INTO public.who_data VALUES (59483, 0, 334, 0, 0, 251, 129);
INSERT INTO public.who_data VALUES (59484, 0, 0, 0, 0, 251, 36);
INSERT INTO public.who_data VALUES (59485, 23, 728, 4, 164, 251, 51);
INSERT INTO public.who_data VALUES (59486, 1, 1358, 1, 11, 251, 206);
INSERT INTO public.who_data VALUES (59487, 27, 383, 0, 4, 251, 5);
INSERT INTO public.who_data VALUES (59488, 664, 24852, 20, 475, 252, 103);
INSERT INTO public.who_data VALUES (59489, 57, 1521, 0, 36, 252, 58);
INSERT INTO public.who_data VALUES (59490, 112, 10810, 9, 760, 252, 195);
INSERT INTO public.who_data VALUES (59491, 0, 0, 0, 0, 252, 115);
INSERT INTO public.who_data VALUES (59492, 0, 853, 0, 51, 252, 99);
INSERT INTO public.who_data VALUES (59493, 8, 138, 1, 6, 252, 153);
INSERT INTO public.who_data VALUES (59494, 0, 3, 0, 0, 252, 93);
INSERT INTO public.who_data VALUES (59495, 1, 26, 0, 3, 252, 84);
INSERT INTO public.who_data VALUES (59496, 1391, 28764, 30, 802, 252, 78);
INSERT INTO public.who_data VALUES (59497, 723, 15980, 6, 264, 252, 170);
INSERT INTO public.who_data VALUES (59498, 0, 101, 0, 3, 252, 32);
INSERT INTO public.who_data VALUES (59499, 12, 7302, 0, 102, 252, 155);
INSERT INTO public.who_data VALUES (59500, 20, 17014, 2, 677, 252, 82);
INSERT INTO public.who_data VALUES (59501, 352, 9570, 2, 115, 252, 16);
INSERT INTO public.who_data VALUES (59502, 0, 103, 0, 11, 252, 72);
INSERT INTO public.who_data VALUES (59503, 514, 18227, 3, 39, 252, 43);
INSERT INTO public.who_data VALUES (59504, 2856, 84379, 44, 1139, 252, 120);
INSERT INTO public.who_data VALUES (59505, 0, 96, 0, 7, 252, 213);
INSERT INTO public.who_data VALUES (59506, 721, 53241, 5, 303, 252, 31);
INSERT INTO public.who_data VALUES (59507, 49, 60561, 5, 9528, 252, 204);
INSERT INTO public.who_data VALUES (59508, 0, 20, 0, 2, 252, 152);
INSERT INTO public.who_data VALUES (59509, 0, 412, 0, 6, 252, 144);
INSERT INTO public.who_data VALUES (59510, 1, 142, 0, 9, 252, 96);
INSERT INTO public.who_data VALUES (59511, 4, 66, 0, 0, 252, 47);
INSERT INTO public.who_data VALUES (59512, 764, 16929, 26, 559, 252, 80);
INSERT INTO public.who_data VALUES (59513, 0, 2, 0, 0, 252, 159);
INSERT INTO public.who_data VALUES (59514, 0, 2892, 0, 162, 252, 27);
INSERT INTO public.who_data VALUES (59515, 0, 60, 0, 1, 252, 146);
INSERT INTO public.who_data VALUES (59516, 25982, 828810, 909, 41828, 252, 71);
INSERT INTO public.who_data VALUES (59517, 0, 8, 0, 1, 252, 210);
INSERT INTO public.who_data VALUES (59518, 0, 141, 0, 2, 252, 54);
INSERT INTO public.who_data VALUES (59519, 75, 3266, 0, 172, 252, 147);
INSERT INTO public.who_data VALUES (59520, 0, 892, 0, 53, 252, 2);
INSERT INTO public.who_data VALUES (59521, 0, 94, 0, 1, 252, 105);
INSERT INTO public.who_data VALUES (59522, 29, 726, 0, 6, 252, 53);
INSERT INTO public.who_data VALUES (59523, 0, 126, 0, 0, 252, 81);
INSERT INTO public.who_data VALUES (59524, 0, 8743, 0, 270, 252, 223);
INSERT INTO public.who_data VALUES (59525, 413, 97943, 55, 8049, 252, 94);
INSERT INTO public.who_data VALUES (59526, 1, 187, 0, 1, 252, 154);
INSERT INTO public.who_data VALUES (59527, 0, 2057, 0, 7, 252, 83);
INSERT INTO public.who_data VALUES (59528, 0, 848, 0, 72, 252, 194);
INSERT INTO public.who_data VALUES (59529, 6509, 167355, 231, 3101, 252, 136);
INSERT INTO public.who_data VALUES (59530, 58, 84729, 0, 4645, 252, 179);
INSERT INTO public.who_data VALUES (59531, 1646, 46858, 57, 1545, 252, 57);
INSERT INTO public.who_data VALUES (59532, 13, 176, 0, 2, 252, 35);
INSERT INTO public.who_data VALUES (59533, 34, 779, 0, 25, 252, 228);
INSERT INTO public.who_data VALUES (59534, 0, 0, 0, 0, 252, 19);
INSERT INTO public.who_data VALUES (59535, 74, 1612, 0, 12, 252, 22);
INSERT INTO public.who_data VALUES (59536, 164, 4848, 0, 45, 252, 1);
INSERT INTO public.who_data VALUES (59537, 2, 2251, 0, 107, 252, 21);
INSERT INTO public.who_data VALUES (59538, 5, 2238, 0, 84, 252, 234);
INSERT INTO public.who_data VALUES (59539, 0, 22, 0, 1, 252, 91);
INSERT INTO public.who_data VALUES (59540, 0, 980, 0, 18, 252, 137);
INSERT INTO public.who_data VALUES (59541, 53, 9991, 0, 329, 252, 201);
INSERT INTO public.who_data VALUES (59542, 0, 0, 0, 0, 252, 171);
INSERT INTO public.who_data VALUES (59543, 87, 4723, 5, 105, 252, 92);
INSERT INTO public.who_data VALUES (59544, 40, 12139, 3, 597, 252, 112);
INSERT INTO public.who_data VALUES (59545, 8, 4449, 3, 41, 252, 62);
INSERT INTO public.who_data VALUES (59546, 0, 18, 0, 0, 252, 69);
INSERT INTO public.who_data VALUES (59547, 564, 22572, 9, 577, 252, 220);
INSERT INTO public.who_data VALUES (59548, 578, 46356, 46, 3874, 252, 100);
INSERT INTO public.who_data VALUES (59549, 1677, 42980, 62, 1484, 252, 187);
INSERT INTO public.who_data VALUES (59550, 122, 3603, 4, 72, 252, 63);
INSERT INTO public.who_data VALUES (59551, 0, 1043, 0, 12, 252, 28);
INSERT INTO public.who_data VALUES (59552, 24, 65, 0, 0, 252, 172);
INSERT INTO public.who_data VALUES (59553, 3, 1973, 0, 63, 252, 17);
INSERT INTO public.who_data VALUES (59554, 14, 486, 0, 3, 252, 226);
INSERT INTO public.who_data VALUES (59555, 251, 3166, 8, 55, 252, 236);
INSERT INTO public.who_data VALUES (59556, 0, 13, 0, 0, 252, 76);
INSERT INTO public.who_data VALUES (59557, 0, 187, 0, 0, 252, 30);
INSERT INTO public.who_data VALUES (59558, 0, 18, 0, 0, 252, 128);
INSERT INTO public.who_data VALUES (59559, 14, 7087, 0, 325, 252, 86);
INSERT INTO public.who_data VALUES (59560, 393, 152460, 23, 29335, 252, 140);
INSERT INTO public.who_data VALUES (59561, 118, 1161, 0, 2, 252, 44);
INSERT INTO public.who_data VALUES (59562, 0, 60, 0, 0, 252, 113);
INSERT INTO public.who_data VALUES (59563, 0, 3463, 0, 23, 252, 29);
INSERT INTO public.who_data VALUES (59564, 0, 28, 0, 1, 252, 125);
INSERT INTO public.who_data VALUES (59565, 13, 864, 1, 14, 252, 131);
INSERT INTO public.who_data VALUES (59566, 247, 186269, 6, 8787, 252, 46);
INSERT INTO public.who_data VALUES (59567, 262, 11118, 0, 48, 252, 10);
INSERT INTO public.who_data VALUES (59568, 0, 176, 0, 0, 252, 205);
INSERT INTO public.who_data VALUES (59569, 4, 3112, 0, 183, 252, 50);
INSERT INTO public.who_data VALUES (59570, 0, 13, 0, 0, 252, 20);
INSERT INTO public.who_data VALUES (59571, 0, 23, 0, 0, 252, 13);
INSERT INTO public.who_data VALUES (59572, 0, 171, 0, 14, 252, 148);
INSERT INTO public.who_data VALUES (59573, 1, 177, 0, 5, 252, 230);
INSERT INTO public.who_data VALUES (59574, 421, 8982, 17, 351, 252, 190);
INSERT INTO public.who_data VALUES (59575, 0, 252, 0, 13, 252, 188);
INSERT INTO public.who_data VALUES (59576, 58, 4484, 1, 25, 252, 123);
INSERT INTO public.who_data VALUES (59577, 71, 1460, 3, 15, 252, 9);
INSERT INTO public.who_data VALUES (59578, 1, 159, 0, 12, 252, 102);
INSERT INTO public.who_data VALUES (59579, 0, 3941, 0, 64, 252, 34);
INSERT INTO public.who_data VALUES (59580, 0, 12, 0, 0, 252, 212);
INSERT INTO public.who_data VALUES (59581, 463, 8132, 12, 306, 252, 122);
INSERT INTO public.who_data VALUES (59582, 11, 4064, 4, 559, 252, 38);
INSERT INTO public.who_data VALUES (59583, 2, 1810, 0, 10, 252, 130);
INSERT INTO public.who_data VALUES (59584, 11929, 320922, 311, 9195, 252, 37);
INSERT INTO public.who_data VALUES (59585, 1014, 37420, 43, 2091, 252, 231);
INSERT INTO public.who_data VALUES (59586, 2410, 184955, 71, 8730, 252, 107);
INSERT INTO public.who_data VALUES (59587, 1180, 18950, 53, 549, 252, 101);
INSERT INTO public.who_data VALUES (59588, 45, 25295, 0, 1705, 252, 132);
INSERT INTO public.who_data VALUES (59589, 0, 336, 0, 24, 252, 176);
INSERT INTO public.who_data VALUES (59590, 184, 18860, 0, 302, 252, 200);
INSERT INTO public.who_data VALUES (59591, 346, 236651, 78, 34301, 252, 169);
INSERT INTO public.who_data VALUES (59592, 3, 614, 0, 10, 252, 225);
INSERT INTO public.who_data VALUES (59593, 47, 17429, 1, 925, 252, 165);
INSERT INTO public.who_data VALUES (59594, 0, 313, 0, 30, 252, 233);
INSERT INTO public.who_data VALUES (59595, 38, 895, 0, 9, 252, 215);
INSERT INTO public.who_data VALUES (59596, 313, 14809, 4, 77, 252, 177);
INSERT INTO public.who_data VALUES (59597, 152, 3457, 4, 100, 252, 183);
INSERT INTO public.who_data VALUES (59598, 0, 0, 0, 0, 252, 203);
INSERT INTO public.who_data VALUES (59599, 111, 1437, 1, 23, 252, 162);
INSERT INTO public.who_data VALUES (59600, 514, 35466, 4, 289, 252, 12);
INSERT INTO public.who_data VALUES (59601, 78, 2285, 0, 27, 252, 24);
INSERT INTO public.who_data VALUES (59602, 0, 19, 0, 0, 252, 119);
INSERT INTO public.who_data VALUES (59603, 1, 1097, 1, 28, 252, 39);
INSERT INTO public.who_data VALUES (59604, 20, 1442, 1, 32, 252, 26);
INSERT INTO public.who_data VALUES (59605, 0, 4, 0, 0, 252, 59);
INSERT INTO public.who_data VALUES (59606, 25, 446, 0, 32, 252, 77);
INSERT INTO public.who_data VALUES (59607, 9, 418, 2, 8, 252, 134);
INSERT INTO public.who_data VALUES (59608, 0, 83, 0, 1, 252, 4);
INSERT INTO public.who_data VALUES (59609, 5, 1763, 0, 75, 252, 109);
INSERT INTO public.who_data VALUES (59610, 8, 4063, 0, 110, 252, 90);
INSERT INTO public.who_data VALUES (59611, 22, 1252, 0, 10, 252, 61);
INSERT INTO public.who_data VALUES (59612, 48, 529, 1, 5, 252, 85);
INSERT INTO public.who_data VALUES (59613, 43, 8445, 1, 120, 252, 49);
INSERT INTO public.who_data VALUES (59614, 10, 2013, 0, 8, 252, 208);
INSERT INTO public.who_data VALUES (59615, 24, 1776, 3, 104, 252, 166);
INSERT INTO public.who_data VALUES (59616, 1, 645, 0, 9, 252, 64);
INSERT INTO public.who_data VALUES (59617, 0, 0, 0, 0, 252, 199);
INSERT INTO public.who_data VALUES (59618, 0, 202, 0, 14, 252, 114);
INSERT INTO public.who_data VALUES (59619, 134, 1573, 7, 81, 252, 60);
INSERT INTO public.who_data VALUES (59620, 0, 337, 0, 10, 252, 68);
INSERT INTO public.who_data VALUES (59621, 14, 2282, 1, 29, 252, 158);
INSERT INTO public.who_data VALUES (59622, 5222, 139196, 504, 16448, 252, 52);
INSERT INTO public.who_data VALUES (59623, 0, 0, 0, 0, 252, 117);
INSERT INTO public.who_data VALUES (59624, 0, 70, 0, 1, 252, 126);
INSERT INTO public.who_data VALUES (59625, 0, 197, 0, 0, 252, 196);
INSERT INTO public.who_data VALUES (59626, 1, 325, 0, 9, 252, 142);
INSERT INTO public.who_data VALUES (59627, 0, 11, 0, 1, 252, 185);
INSERT INTO public.who_data VALUES (59628, 82, 8692, 0, 212, 252, 138);
INSERT INTO public.who_data VALUES (59629, 44, 553, 0, 2, 252, 181);
INSERT INTO public.who_data VALUES (59630, 0, 261, 0, 6, 252, 178);
INSERT INTO public.who_data VALUES (59631, 1, 32, 0, 0, 252, 168);
INSERT INTO public.who_data VALUES (59632, 0, 0, 0, 0, 252, 160);
INSERT INTO public.who_data VALUES (59633, 273, 5335, 2, 18, 252, 151);
INSERT INTO public.who_data VALUES (59634, 181, 48394, 6, 6030, 252, 193);
INSERT INTO public.who_data VALUES (59635, 0, 21, 0, 0, 252, 18);
INSERT INTO public.who_data VALUES (59636, 0, 1154, 0, 22, 252, 40);
INSERT INTO public.who_data VALUES (59637, 0, 1655, 0, 55, 252, 218);
INSERT INTO public.who_data VALUES (59638, 0, 978, 0, 65, 252, 191);
INSERT INTO public.who_data VALUES (59639, 627, 15181, 12, 399, 252, 156);
INSERT INTO public.who_data VALUES (59640, 0, 0, 0, 0, 252, 135);
INSERT INTO public.who_data VALUES (59641, 0, 30, 0, 2, 252, 88);
INSERT INTO public.who_data VALUES (59642, 196, 3902, 8, 179, 252, 55);
INSERT INTO public.who_data VALUES (59643, 0, 8606, 0, 242, 252, 108);
INSERT INTO public.who_data VALUES (59644, 4, 673, 0, 5, 252, 48);
INSERT INTO public.who_data VALUES (59645, 1006, 22077, 3, 99, 252, 3);
INSERT INTO public.who_data VALUES (59646, 0, 741, 0, 13, 252, 224);
INSERT INTO public.who_data VALUES (59647, 6825, 139230, 81, 2632, 252, 110);
INSERT INTO public.who_data VALUES (59648, 0, 0, 0, 0, 252, 106);
INSERT INTO public.who_data VALUES (59649, 625, 19211, 3, 421, 252, 89);
INSERT INTO public.who_data VALUES (59650, 0, 8, 0, 0, 252, 121);
INSERT INTO public.who_data VALUES (59651, 7, 1261, 0, 11, 252, 163);
INSERT INTO public.who_data VALUES (59652, 5961, 220749, 199, 6308, 252, 70);
INSERT INTO public.who_data VALUES (59653, 605, 25392, 22, 1074, 252, 174);
INSERT INTO public.who_data VALUES (59654, 0, 0, 0, 0, 252, 175);
INSERT INTO public.who_data VALUES (59655, 440, 29017, 15, 1237, 252, 118);
INSERT INTO public.who_data VALUES (59656, 283, 36463, 7, 1512, 252, 189);
INSERT INTO public.who_data VALUES (59657, 154, 5690, 0, 146, 252, 124);
INSERT INTO public.who_data VALUES (59658, 1828, 78416, 0, 70, 252, 192);
INSERT INTO public.who_data VALUES (59659, 34, 12084, 0, 277, 252, 41);
INSERT INTO public.who_data VALUES (59660, 366, 11459, 4, 399, 252, 95);
INSERT INTO public.who_data VALUES (59661, 1, 489, 0, 1, 252, 74);
INSERT INTO public.who_data VALUES (59662, 275, 21679, 11, 1391, 252, 11);
INSERT INTO public.who_data VALUES (59663, 8835, 528964, 119, 6948, 252, 87);
INSERT INTO public.who_data VALUES (59664, 31, 541, 0, 2, 252, 214);
INSERT INTO public.who_data VALUES (59665, 0, 3, 0, 0, 252, 116);
INSERT INTO public.who_data VALUES (59666, 0, 6, 0, 0, 252, 157);
INSERT INTO public.who_data VALUES (59667, 0, 0, 0, 0, 252, 182);
INSERT INTO public.who_data VALUES (59668, 0, 15, 0, 0, 252, 186);
INSERT INTO public.who_data VALUES (59669, 0, 19, 0, 0, 252, 127);
INSERT INTO public.who_data VALUES (59670, 0, 41, 0, 3, 252, 232);
INSERT INTO public.who_data VALUES (59671, 0, 1, 0, 0, 252, 33);
INSERT INTO public.who_data VALUES (59672, 0, 27, 0, 0, 252, 97);
INSERT INTO public.who_data VALUES (59673, 0, 0, 0, 0, 252, 42);
INSERT INTO public.who_data VALUES (59674, 0, 695, 0, 42, 252, 198);
INSERT INTO public.who_data VALUES (59675, 0, 388, 0, 10, 252, 216);
INSERT INTO public.who_data VALUES (59676, 3366, 123308, 39, 932, 252, 164);
INSERT INTO public.who_data VALUES (59677, 145, 4996, 4, 60, 252, 235);
INSERT INTO public.who_data VALUES (59678, 76, 12251, 1, 253, 252, 67);
INSERT INTO public.who_data VALUES (59679, 0, 11, 0, 0, 252, 15);
INSERT INTO public.who_data VALUES (59680, 29, 1132, 0, 51, 252, 180);
INSERT INTO public.who_data VALUES (59681, 347, 40197, 1, 26, 252, 237);
INSERT INTO public.who_data VALUES (59682, 0, 2, 0, 0, 252, 25);
INSERT INTO public.who_data VALUES (59683, 0, 77, 0, 15, 252, 209);
INSERT INTO public.who_data VALUES (59684, 1, 1542, 0, 28, 252, 217);
INSERT INTO public.who_data VALUES (59685, 2, 1492, 0, 113, 252, 79);
INSERT INTO public.who_data VALUES (59686, 0, 0, 0, 0, 252, 143);
INSERT INTO public.who_data VALUES (59687, 66, 2579, 2, 87, 252, 229);
INSERT INTO public.who_data VALUES (59688, 3809, 65736, 69, 1423, 252, 141);
INSERT INTO public.who_data VALUES (59689, 14, 1684, 3, 25, 252, 197);
INSERT INTO public.who_data VALUES (59690, 545, 253542, 19, 29519, 252, 221);
INSERT INTO public.who_data VALUES (59691, 4, 1884, 0, 11, 252, 150);
INSERT INTO public.who_data VALUES (59692, 128, 7007, 14, 447, 252, 56);
INSERT INTO public.who_data VALUES (59693, 19, 187, 1, 3, 252, 167);
INSERT INTO public.who_data VALUES (59694, 1329, 50354, 29, 5074, 252, 23);
INSERT INTO public.who_data VALUES (59695, 9, 31069, 1, 1722, 252, 222);
INSERT INTO public.who_data VALUES (59696, 0, 170, 0, 6, 252, 219);
INSERT INTO public.who_data VALUES (59697, 69, 4971, 1, 50, 252, 7);
INSERT INTO public.who_data VALUES (59698, 1, 3135, 0, 58, 252, 161);
INSERT INTO public.who_data VALUES (59699, 1052, 270289, 107, 39339, 252, 149);
INSERT INTO public.who_data VALUES (59700, 0, 24, 0, 0, 252, 6);
INSERT INTO public.who_data VALUES (59701, 1, 525, 0, 13, 252, 139);
INSERT INTO public.who_data VALUES (59702, 0, 0, 0, 0, 252, 211);
INSERT INTO public.who_data VALUES (59703, 0, 0, 0, 0, 252, 14);
INSERT INTO public.who_data VALUES (59704, 0, 117, 0, 8, 252, 111);
INSERT INTO public.who_data VALUES (59705, 2, 1096, 0, 49, 252, 207);
INSERT INTO public.who_data VALUES (59706, 1459, 176677, 14, 4792, 252, 66);
INSERT INTO public.who_data VALUES (59707, 0, 0, 0, 0, 252, 173);
INSERT INTO public.who_data VALUES (59708, 0, 12, 0, 1, 252, 145);
INSERT INTO public.who_data VALUES (59709, 0, 0, 0, 0, 252, 65);
INSERT INTO public.who_data VALUES (59710, 15, 823, 0, 0, 252, 184);
INSERT INTO public.who_data VALUES (59711, 648, 31154, 9, 889, 252, 98);
INSERT INTO public.who_data VALUES (59712, 491, 41990, 1, 288, 252, 104);
INSERT INTO public.who_data VALUES (59713, 0, 509, 0, 21, 252, 73);
INSERT INTO public.who_data VALUES (59714, 22133, 2032524, 709, 114466, 252, 8);
INSERT INTO public.who_data VALUES (59715, 0, 72, 0, 6, 252, 227);
INSERT INTO public.who_data VALUES (59716, 0, 847, 0, 23, 252, 75);
INSERT INTO public.who_data VALUES (59717, 93, 4994, 0, 19, 252, 45);
INSERT INTO public.who_data VALUES (59718, 0, 0, 0, 0, 252, 133);
INSERT INTO public.who_data VALUES (59719, 65, 2879, 0, 23, 252, 202);
INSERT INTO public.who_data VALUES (59720, 2, 334, 0, 0, 252, 129);
INSERT INTO public.who_data VALUES (59721, 0, 0, 0, 0, 252, 36);
INSERT INTO public.who_data VALUES (59722, 73, 705, 21, 160, 252, 51);
INSERT INTO public.who_data VALUES (59723, 36, 1357, 0, 10, 252, 206);
INSERT INTO public.who_data VALUES (59724, 13, 356, 0, 4, 252, 5);
INSERT INTO public.who_data VALUES (59725, 556, 24188, 5, 455, 253, 103);
INSERT INTO public.who_data VALUES (59726, 48, 1464, 0, 36, 253, 58);
INSERT INTO public.who_data VALUES (59727, 109, 10698, 10, 751, 253, 195);
INSERT INTO public.who_data VALUES (59728, 0, 0, 0, 0, 253, 115);
INSERT INTO public.who_data VALUES (59729, 1, 853, 0, 51, 253, 99);
INSERT INTO public.who_data VALUES (59730, 12, 130, 0, 5, 253, 153);
INSERT INTO public.who_data VALUES (59731, 0, 3, 0, 0, 253, 93);
INSERT INTO public.who_data VALUES (59732, 0, 25, 0, 3, 253, 84);
INSERT INTO public.who_data VALUES (59733, 1386, 27373, 31, 772, 253, 78);
INSERT INTO public.who_data VALUES (59734, 612, 15257, 13, 258, 253, 170);
INSERT INTO public.who_data VALUES (59735, 0, 101, 0, 3, 253, 32);
INSERT INTO public.who_data VALUES (59736, 5, 7290, 0, 102, 253, 155);
INSERT INTO public.who_data VALUES (59737, 30, 16994, 1, 675, 253, 82);
INSERT INTO public.who_data VALUES (59738, 336, 9218, 5, 113, 253, 16);
INSERT INTO public.who_data VALUES (59739, 0, 103, 0, 11, 253, 72);
INSERT INTO public.who_data VALUES (59740, 444, 17713, 0, 36, 253, 43);
INSERT INTO public.who_data VALUES (59741, 3471, 81523, 46, 1095, 253, 120);
INSERT INTO public.who_data VALUES (59742, 0, 96, 0, 7, 253, 213);
INSERT INTO public.who_data VALUES (59743, 704, 52520, 5, 298, 253, 31);
INSERT INTO public.who_data VALUES (59744, 89, 60512, 10, 9523, 253, 204);
INSERT INTO public.who_data VALUES (59745, 0, 20, 0, 2, 253, 152);
INSERT INTO public.who_data VALUES (59746, 22, 412, 1, 6, 253, 144);
INSERT INTO public.who_data VALUES (59747, 0, 141, 0, 9, 253, 96);
INSERT INTO public.who_data VALUES (59748, 0, 62, 0, 0, 253, 47);
INSERT INTO public.who_data VALUES (59749, 884, 16165, 21, 533, 253, 80);
INSERT INTO public.who_data VALUES (59750, 0, 2, 0, 0, 253, 159);
INSERT INTO public.who_data VALUES (59751, 61, 2892, 2, 162, 253, 27);
INSERT INTO public.who_data VALUES (59752, 12, 60, 0, 1, 253, 146);
INSERT INTO public.who_data VALUES (59753, 30412, 802828, 1239, 40919, 253, 71);
INSERT INTO public.who_data VALUES (59754, 0, 8, 0, 1, 253, 210);
INSERT INTO public.who_data VALUES (59755, 0, 141, 0, 2, 253, 54);
INSERT INTO public.who_data VALUES (59756, 105, 3191, 4, 172, 253, 147);
INSERT INTO public.who_data VALUES (59757, 1, 892, 0, 53, 253, 2);
INSERT INTO public.who_data VALUES (59758, 0, 94, 0, 1, 253, 105);
INSERT INTO public.who_data VALUES (59759, 40, 697, 0, 6, 253, 53);
INSERT INTO public.who_data VALUES (59760, 0, 126, 0, 0, 253, 81);
INSERT INTO public.who_data VALUES (59761, 62, 8743, 55, 270, 253, 223);
INSERT INTO public.who_data VALUES (59762, 405, 97530, 34, 7994, 253, 94);
INSERT INTO public.who_data VALUES (59763, 6, 186, 0, 1, 253, 154);
INSERT INTO public.who_data VALUES (59764, 13, 2057, 2, 7, 253, 83);
INSERT INTO public.who_data VALUES (59765, 0, 848, 0, 72, 253, 194);
INSERT INTO public.who_data VALUES (59766, 6754, 160846, 222, 2870, 253, 136);
INSERT INTO public.who_data VALUES (59767, 12, 84671, 0, 4645, 253, 179);
INSERT INTO public.who_data VALUES (59768, 1530, 45212, 55, 1488, 253, 57);
INSERT INTO public.who_data VALUES (59769, 1, 163, 0, 2, 253, 35);
INSERT INTO public.who_data VALUES (59770, 0, 745, 0, 25, 253, 228);
INSERT INTO public.who_data VALUES (59771, 0, 0, 0, 0, 253, 19);
INSERT INTO public.who_data VALUES (59772, 77, 1538, 0, 12, 253, 22);
INSERT INTO public.who_data VALUES (59773, 280, 4684, 4, 45, 253, 1);
INSERT INTO public.who_data VALUES (59774, 0, 2249, 1, 107, 253, 21);
INSERT INTO public.who_data VALUES (59775, 14, 2233, 0, 84, 253, 234);
INSERT INTO public.who_data VALUES (59776, 0, 22, 0, 1, 253, 91);
INSERT INTO public.who_data VALUES (59777, 5, 980, 0, 18, 253, 137);
INSERT INTO public.who_data VALUES (59778, 52, 9938, 0, 329, 253, 201);
INSERT INTO public.who_data VALUES (59779, 0, 0, 0, 0, 253, 171);
INSERT INTO public.who_data VALUES (59780, 122, 4636, 3, 100, 253, 92);
INSERT INTO public.who_data VALUES (59781, 64, 12099, 1, 594, 253, 112);
INSERT INTO public.who_data VALUES (59782, 43, 4441, 1, 38, 253, 62);
INSERT INTO public.who_data VALUES (59783, 2, 18, 0, 0, 253, 69);
INSERT INTO public.who_data VALUES (59784, 571, 22008, 7, 568, 253, 220);
INSERT INTO public.who_data VALUES (59785, 1338, 45778, 108, 3828, 253, 100);
INSERT INTO public.who_data VALUES (59786, 1577, 41303, 45, 1422, 253, 187);
INSERT INTO public.who_data VALUES (59787, 108, 3481, 4, 68, 253, 63);
INSERT INTO public.who_data VALUES (59788, 0, 1043, 0, 12, 253, 28);
INSERT INTO public.who_data VALUES (59789, 0, 41, 0, 0, 253, 172);
INSERT INTO public.who_data VALUES (59790, 5, 1970, 0, 63, 253, 17);
INSERT INTO public.who_data VALUES (59791, 23, 472, 0, 3, 253, 226);
INSERT INTO public.who_data VALUES (59792, 245, 2915, 7, 47, 253, 236);
INSERT INTO public.who_data VALUES (59793, 0, 13, 0, 0, 253, 76);
INSERT INTO public.who_data VALUES (59794, 0, 187, 0, 0, 253, 30);
INSERT INTO public.who_data VALUES (59795, 0, 18, 0, 0, 253, 128);
INSERT INTO public.who_data VALUES (59796, 9, 7073, 0, 325, 253, 86);
INSERT INTO public.who_data VALUES (59797, 564, 152067, 28, 29312, 253, 140);
INSERT INTO public.who_data VALUES (59798, 126, 1043, 0, 2, 253, 44);
INSERT INTO public.who_data VALUES (59799, 0, 60, 0, 0, 253, 113);
INSERT INTO public.who_data VALUES (59800, 0, 3463, 0, 23, 253, 29);
INSERT INTO public.who_data VALUES (59801, 0, 28, 0, 1, 253, 125);
INSERT INTO public.who_data VALUES (59802, 14, 851, 0, 13, 253, 131);
INSERT INTO public.who_data VALUES (59803, 348, 186022, 18, 8781, 253, 46);
INSERT INTO public.who_data VALUES (59804, 498, 10856, 0, 48, 253, 10);
INSERT INTO public.who_data VALUES (59805, 0, 176, 0, 0, 253, 205);
INSERT INTO public.who_data VALUES (59806, 20, 3108, 0, 183, 253, 50);
INSERT INTO public.who_data VALUES (59807, 0, 13, 0, 0, 253, 20);
INSERT INTO public.who_data VALUES (59808, 0, 23, 0, 0, 253, 13);
INSERT INTO public.who_data VALUES (59809, 7, 171, 0, 14, 253, 148);
INSERT INTO public.who_data VALUES (59810, 2, 176, 0, 5, 253, 230);
INSERT INTO public.who_data VALUES (59811, 340, 8561, 18, 334, 253, 190);
INSERT INTO public.who_data VALUES (59812, 0, 252, 0, 13, 253, 188);
INSERT INTO public.who_data VALUES (59813, 54, 4426, 1, 24, 253, 123);
INSERT INTO public.who_data VALUES (59814, 0, 1389, 0, 12, 253, 9);
INSERT INTO public.who_data VALUES (59815, 2, 158, 0, 12, 253, 102);
INSERT INTO public.who_data VALUES (59816, 145, 3941, 6, 64, 253, 34);
INSERT INTO public.who_data VALUES (59817, 0, 12, 0, 0, 253, 212);
INSERT INTO public.who_data VALUES (59818, 309, 7669, 4, 294, 253, 122);
INSERT INTO public.who_data VALUES (59819, 14, 4053, 2, 555, 253, 38);
INSERT INTO public.who_data VALUES (59820, 1, 1808, 0, 10, 253, 130);
INSERT INTO public.who_data VALUES (59821, 11458, 308993, 386, 8884, 253, 37);
INSERT INTO public.who_data VALUES (59822, 1111, 36406, 48, 2048, 253, 231);
INSERT INTO public.who_data VALUES (59823, 2369, 182545, 75, 8659, 253, 107);
INSERT INTO public.who_data VALUES (59824, 1095, 17770, 39, 496, 253, 101);
INSERT INTO public.who_data VALUES (59825, 12, 25250, 2, 1705, 253, 132);
INSERT INTO public.who_data VALUES (59826, 0, 336, 0, 24, 253, 176);
INSERT INTO public.who_data VALUES (59827, 191, 18676, 0, 302, 253, 200);
INSERT INTO public.who_data VALUES (59828, 163, 236305, 56, 34223, 253, 169);
INSERT INTO public.who_data VALUES (59829, 13, 611, 0, 10, 253, 225);
INSERT INTO public.who_data VALUES (59830, 50, 17382, 2, 924, 253, 165);
INSERT INTO public.who_data VALUES (59831, 0, 313, 0, 30, 253, 233);
INSERT INTO public.who_data VALUES (59832, 21, 857, 0, 9, 253, 215);
INSERT INTO public.who_data VALUES (59833, 258, 14496, 3, 73, 253, 177);
INSERT INTO public.who_data VALUES (59834, 90, 3305, 4, 96, 253, 183);
INSERT INTO public.who_data VALUES (59835, 0, 0, 0, 0, 253, 203);
INSERT INTO public.who_data VALUES (59836, 0, 1326, 1, 22, 253, 162);
INSERT INTO public.who_data VALUES (59837, 520, 34952, 6, 285, 253, 12);
INSERT INTO public.who_data VALUES (59838, 41, 2207, 1, 27, 253, 24);
INSERT INTO public.who_data VALUES (59839, 0, 19, 0, 0, 253, 119);
INSERT INTO public.who_data VALUES (59840, 2, 1096, 1, 27, 253, 39);
INSERT INTO public.who_data VALUES (59841, 20, 1422, 0, 31, 253, 26);
INSERT INTO public.who_data VALUES (59842, 0, 4, 0, 0, 253, 59);
INSERT INTO public.who_data VALUES (59843, 11, 421, 1, 32, 253, 77);
INSERT INTO public.who_data VALUES (59844, 16, 409, 1, 6, 253, 134);
INSERT INTO public.who_data VALUES (59845, 0, 83, 0, 1, 253, 4);
INSERT INTO public.who_data VALUES (59846, 7, 1758, 0, 75, 253, 109);
INSERT INTO public.who_data VALUES (59847, 3, 4055, 0, 110, 253, 90);
INSERT INTO public.who_data VALUES (59848, 27, 1230, 0, 10, 253, 61);
INSERT INTO public.who_data VALUES (59849, 0, 481, 0, 4, 253, 85);
INSERT INTO public.who_data VALUES (59850, 33, 8402, 1, 119, 253, 49);
INSERT INTO public.who_data VALUES (59851, 27, 2003, 0, 8, 253, 208);
INSERT INTO public.who_data VALUES (59852, 30, 1752, 4, 101, 253, 166);
INSERT INTO public.who_data VALUES (59853, 5, 644, 0, 9, 253, 64);
INSERT INTO public.who_data VALUES (59854, 0, 0, 0, 0, 253, 199);
INSERT INTO public.who_data VALUES (59855, 0, 202, 0, 14, 253, 114);
INSERT INTO public.who_data VALUES (59856, 156, 1439, 3, 74, 253, 60);
INSERT INTO public.who_data VALUES (59857, 0, 337, 0, 10, 253, 68);
INSERT INTO public.who_data VALUES (59858, 28, 2268, 0, 28, 253, 158);
INSERT INTO public.who_data VALUES (59859, 4790, 133974, 587, 15944, 253, 52);
INSERT INTO public.who_data VALUES (59860, 0, 0, 0, 0, 253, 117);
INSERT INTO public.who_data VALUES (59861, 0, 70, 0, 1, 253, 126);
INSERT INTO public.who_data VALUES (59862, 3, 197, 0, 0, 253, 196);
INSERT INTO public.who_data VALUES (59863, 0, 324, 0, 9, 253, 142);
INSERT INTO public.who_data VALUES (59864, 0, 11, 0, 1, 253, 185);
INSERT INTO public.who_data VALUES (59865, 73, 8610, 1, 212, 253, 138);
INSERT INTO public.who_data VALUES (59866, 20, 509, 0, 2, 253, 181);
INSERT INTO public.who_data VALUES (59867, 0, 261, 0, 6, 253, 178);
INSERT INTO public.who_data VALUES (59868, 0, 31, 0, 0, 253, 168);
INSERT INTO public.who_data VALUES (59869, 0, 0, 0, 0, 253, 160);
INSERT INTO public.who_data VALUES (59870, 448, 5062, 1, 16, 253, 151);
INSERT INTO public.who_data VALUES (59871, 207, 48213, 7, 6024, 253, 193);
INSERT INTO public.who_data VALUES (59872, 0, 21, 0, 0, 253, 18);
INSERT INTO public.who_data VALUES (59873, 0, 1154, 0, 22, 253, 40);
INSERT INTO public.who_data VALUES (59874, 0, 1655, 0, 55, 253, 218);
INSERT INTO public.who_data VALUES (59875, 4, 978, 0, 65, 253, 191);
INSERT INTO public.who_data VALUES (59876, 0, 14554, 0, 387, 253, 156);
INSERT INTO public.who_data VALUES (59877, 0, 0, 0, 0, 253, 135);
INSERT INTO public.who_data VALUES (59878, 0, 30, 0, 2, 253, 88);
INSERT INTO public.who_data VALUES (59879, 164, 3706, 2, 171, 253, 55);
INSERT INTO public.who_data VALUES (59880, 12, 8606, 0, 242, 253, 108);
INSERT INTO public.who_data VALUES (59881, 2, 669, 0, 5, 253, 48);
INSERT INTO public.who_data VALUES (59882, 1117, 21071, 7, 96, 253, 3);
INSERT INTO public.who_data VALUES (59883, 0, 741, 0, 13, 253, 224);
INSERT INTO public.who_data VALUES (59884, 6884, 132405, 88, 2551, 253, 110);
INSERT INTO public.who_data VALUES (59885, 0, 0, 0, 0, 253, 106);
INSERT INTO public.who_data VALUES (59886, 697, 18586, 5, 418, 253, 89);
INSERT INTO public.who_data VALUES (59887, 0, 8, 0, 0, 253, 121);
INSERT INTO public.who_data VALUES (59888, 24, 1254, 0, 11, 253, 163);
INSERT INTO public.who_data VALUES (59889, 5965, 214788, 206, 6109, 253, 70);
INSERT INTO public.who_data VALUES (59890, 612, 24787, 16, 1052, 253, 174);
INSERT INTO public.who_data VALUES (59891, 0, 0, 0, 0, 253, 175);
INSERT INTO public.who_data VALUES (59892, 376, 28577, 7, 1222, 253, 118);
INSERT INTO public.who_data VALUES (59893, 270, 36180, 1, 1505, 253, 189);
INSERT INTO public.who_data VALUES (59894, 184, 5536, 2, 146, 253, 124);
INSERT INTO public.who_data VALUES (59895, 1517, 76588, 1, 70, 253, 192);
INSERT INTO public.who_data VALUES (59896, 48, 12050, 0, 277, 253, 41);
INSERT INTO public.who_data VALUES (59897, 366, 11093, 20, 395, 253, 95);
INSERT INTO public.who_data VALUES (59898, 1, 488, 0, 1, 253, 74);
INSERT INTO public.who_data VALUES (59899, 222, 21404, 11, 1380, 253, 11);
INSERT INTO public.who_data VALUES (59900, 8706, 520129, 114, 6829, 253, 87);
INSERT INTO public.who_data VALUES (59901, 16, 510, 0, 2, 253, 214);
INSERT INTO public.who_data VALUES (59902, 0, 3, 0, 0, 253, 116);
INSERT INTO public.who_data VALUES (59903, 0, 6, 0, 0, 253, 157);
INSERT INTO public.who_data VALUES (59904, 0, 0, 0, 0, 253, 182);
INSERT INTO public.who_data VALUES (59905, 0, 15, 0, 0, 253, 186);
INSERT INTO public.who_data VALUES (59906, 0, 19, 0, 0, 253, 127);
INSERT INTO public.who_data VALUES (59907, 0, 41, 0, 3, 253, 232);
INSERT INTO public.who_data VALUES (59908, 0, 1, 0, 0, 253, 33);
INSERT INTO public.who_data VALUES (59909, 0, 27, 0, 0, 253, 97);
INSERT INTO public.who_data VALUES (59910, 0, 0, 0, 0, 253, 42);
INSERT INTO public.who_data VALUES (59911, 0, 695, 0, 42, 253, 198);
INSERT INTO public.who_data VALUES (59912, 0, 388, 0, 10, 253, 216);
INSERT INTO public.who_data VALUES (59913, 3921, 119942, 36, 893, 253, 164);
INSERT INTO public.who_data VALUES (59914, 92, 4851, 1, 56, 253, 235);
INSERT INTO public.who_data VALUES (59915, 73, 12175, 0, 252, 253, 67);
INSERT INTO public.who_data VALUES (59916, 0, 11, 0, 0, 253, 15);
INSERT INTO public.who_data VALUES (59917, 18, 1103, 1, 51, 253, 180);
INSERT INTO public.who_data VALUES (59918, 463, 39850, 0, 25, 253, 237);
INSERT INTO public.who_data VALUES (59919, 0, 2, 0, 0, 253, 25);
INSERT INTO public.who_data VALUES (59920, 0, 77, 0, 15, 253, 209);
INSERT INTO public.who_data VALUES (59921, 8, 1541, 0, 28, 253, 217);
INSERT INTO public.who_data VALUES (59922, 2, 1490, 0, 113, 253, 79);
INSERT INTO public.who_data VALUES (59923, 0, 0, 0, 0, 253, 143);
INSERT INTO public.who_data VALUES (59924, 0, 2513, 0, 85, 253, 229);
INSERT INTO public.who_data VALUES (59925, 3359, 61927, 70, 1354, 253, 141);
INSERT INTO public.who_data VALUES (59926, 64, 1670, 0, 22, 253, 197);
INSERT INTO public.who_data VALUES (59927, 423, 252997, 24, 29500, 253, 221);
INSERT INTO public.who_data VALUES (59928, 3, 1880, 0, 11, 253, 150);
INSERT INTO public.who_data VALUES (59929, 149, 6879, 20, 433, 253, 56);
INSERT INTO public.who_data VALUES (59930, 24, 168, 0, 2, 253, 167);
INSERT INTO public.who_data VALUES (59931, 1293, 49025, 35, 5045, 253, 23);
INSERT INTO public.who_data VALUES (59932, 34, 31060, 1, 1721, 253, 222);
INSERT INTO public.who_data VALUES (59933, 6, 170, 0, 6, 253, 219);
INSERT INTO public.who_data VALUES (59934, 68, 4902, 0, 49, 253, 7);
INSERT INTO public.who_data VALUES (59935, 5, 3134, 0, 58, 253, 161);
INSERT INTO public.who_data VALUES (59936, 1017, 269237, 131, 39232, 253, 149);
INSERT INTO public.who_data VALUES (59937, 0, 24, 0, 0, 253, 6);
INSERT INTO public.who_data VALUES (59938, 2, 524, 0, 13, 253, 139);
INSERT INTO public.who_data VALUES (59939, 0, 0, 0, 0, 253, 211);
INSERT INTO public.who_data VALUES (59940, 0, 0, 0, 0, 253, 14);
INSERT INTO public.who_data VALUES (59941, 0, 117, 0, 8, 253, 111);
INSERT INTO public.who_data VALUES (59942, 1, 1094, 0, 49, 253, 207);
INSERT INTO public.who_data VALUES (59943, 1195, 175218, 15, 4778, 253, 66);
INSERT INTO public.who_data VALUES (59944, 0, 0, 0, 0, 253, 173);
INSERT INTO public.who_data VALUES (59945, 0, 12, 0, 1, 253, 145);
INSERT INTO public.who_data VALUES (59946, 0, 0, 0, 0, 253, 65);
INSERT INTO public.who_data VALUES (59947, 0, 808, 0, 0, 253, 184);
INSERT INTO public.who_data VALUES (59948, 753, 30506, 10, 880, 253, 98);
INSERT INTO public.who_data VALUES (59949, 513, 41499, 1, 287, 253, 104);
INSERT INTO public.who_data VALUES (59950, 0, 509, 0, 21, 253, 73);
INSERT INTO public.who_data VALUES (59951, 21745, 2010391, 947, 113757, 253, 8);
INSERT INTO public.who_data VALUES (59952, 0, 72, 0, 6, 253, 227);
INSERT INTO public.who_data VALUES (59953, 0, 847, 0, 23, 253, 75);
INSERT INTO public.who_data VALUES (59954, 82, 4901, 0, 19, 253, 45);
INSERT INTO public.who_data VALUES (59955, 0, 0, 0, 0, 253, 133);
INSERT INTO public.who_data VALUES (59956, 76, 2814, 0, 23, 253, 202);
INSERT INTO public.who_data VALUES (59957, 0, 332, 0, 0, 253, 129);
INSERT INTO public.who_data VALUES (59958, 0, 0, 0, 0, 253, 36);
INSERT INTO public.who_data VALUES (59959, 41, 632, 3, 139, 253, 51);
INSERT INTO public.who_data VALUES (59960, 69, 1321, 0, 10, 253, 206);
INSERT INTO public.who_data VALUES (59961, 11, 343, 0, 4, 253, 5);
INSERT INTO public.who_data VALUES (59962, 656, 23632, 20, 450, 254, 103);
INSERT INTO public.who_data VALUES (59963, 31, 1416, 2, 36, 254, 58);
INSERT INTO public.who_data VALUES (59964, 105, 10589, 9, 741, 254, 195);
INSERT INTO public.who_data VALUES (59965, 0, 0, 0, 0, 254, 115);
INSERT INTO public.who_data VALUES (59966, 0, 852, 0, 51, 254, 99);
INSERT INTO public.who_data VALUES (59967, 5, 118, 1, 5, 254, 153);
INSERT INTO public.who_data VALUES (59968, 0, 3, 0, 0, 254, 93);
INSERT INTO public.who_data VALUES (59969, 0, 25, 0, 3, 254, 84);
INSERT INTO public.who_data VALUES (59970, 1226, 25987, 24, 741, 254, 78);
INSERT INTO public.who_data VALUES (59971, 566, 14645, 18, 245, 254, 170);
INSERT INTO public.who_data VALUES (59972, 0, 101, 0, 3, 254, 32);
INSERT INTO public.who_data VALUES (59973, 18, 7285, 0, 102, 254, 155);
INSERT INTO public.who_data VALUES (59974, 28, 16964, 1, 674, 254, 82);
INSERT INTO public.who_data VALUES (59975, 352, 8882, 6, 108, 254, 16);
INSERT INTO public.who_data VALUES (59976, 0, 103, 0, 11, 254, 72);
INSERT INTO public.who_data VALUES (59977, 602, 17269, 4, 36, 254, 43);
INSERT INTO public.who_data VALUES (59978, 3187, 78052, 37, 1049, 254, 120);
INSERT INTO public.who_data VALUES (59979, 0, 96, 0, 7, 254, 213);
INSERT INTO public.who_data VALUES (59980, 750, 51816, 5, 293, 254, 31);
INSERT INTO public.who_data VALUES (59981, 95, 60423, 7, 9513, 254, 204);
INSERT INTO public.who_data VALUES (59982, 0, 20, 0, 2, 254, 152);
INSERT INTO public.who_data VALUES (59983, 51, 390, 1, 5, 254, 144);
INSERT INTO public.who_data VALUES (59984, 0, 141, 0, 9, 254, 96);
INSERT INTO public.who_data VALUES (59985, 0, 62, 0, 0, 254, 47);
INSERT INTO public.who_data VALUES (59986, 637, 15281, 25, 512, 254, 80);
INSERT INTO public.who_data VALUES (59987, 0, 2, 0, 0, 254, 159);
INSERT INTO public.who_data VALUES (59988, 55, 2831, 0, 160, 254, 27);
INSERT INTO public.who_data VALUES (59989, 0, 48, 0, 1, 254, 146);
INSERT INTO public.who_data VALUES (59990, 32913, 772416, 1274, 39680, 254, 71);
INSERT INTO public.who_data VALUES (59991, 0, 8, 0, 1, 254, 210);
INSERT INTO public.who_data VALUES (59992, 0, 141, 0, 2, 254, 54);
INSERT INTO public.who_data VALUES (59993, 93, 3086, 1, 168, 254, 147);
INSERT INTO public.who_data VALUES (59994, 0, 891, 0, 53, 254, 2);
INSERT INTO public.who_data VALUES (59995, 11, 94, 0, 1, 254, 105);
INSERT INTO public.who_data VALUES (59996, 41, 657, 1, 6, 254, 53);
INSERT INTO public.who_data VALUES (59997, 0, 126, 0, 0, 254, 81);
INSERT INTO public.who_data VALUES (59998, 0, 8681, 0, 215, 254, 223);
INSERT INTO public.who_data VALUES (59999, 472, 97125, 63, 7960, 254, 94);
INSERT INTO public.who_data VALUES (60000, 4, 180, 0, 1, 254, 154);
INSERT INTO public.who_data VALUES (60001, 156, 2044, 0, 5, 254, 83);
INSERT INTO public.who_data VALUES (60002, 2, 848, 0, 72, 254, 194);
INSERT INTO public.who_data VALUES (60003, 5596, 154092, 173, 2648, 254, 136);
INSERT INTO public.who_data VALUES (60004, 7, 84659, 0, 4645, 254, 179);
INSERT INTO public.who_data VALUES (60005, 1604, 43682, 61, 1433, 254, 57);
INSERT INTO public.who_data VALUES (60006, 0, 162, 0, 2, 254, 35);
INSERT INTO public.who_data VALUES (60007, 17, 745, 1, 25, 254, 228);
INSERT INTO public.who_data VALUES (60008, 0, 0, 0, 0, 254, 19);
INSERT INTO public.who_data VALUES (60009, 86, 1461, 1, 12, 254, 22);
INSERT INTO public.who_data VALUES (60010, 223, 4404, 0, 41, 254, 1);
INSERT INTO public.who_data VALUES (60011, 0, 2249, 0, 106, 254, 21);
INSERT INTO public.who_data VALUES (60012, 8, 2219, 1, 84, 254, 234);
INSERT INTO public.who_data VALUES (60013, 0, 22, 0, 1, 254, 91);
INSERT INTO public.who_data VALUES (60014, 1, 975, 0, 18, 254, 137);
INSERT INTO public.who_data VALUES (60015, 62, 9886, 1, 329, 254, 201);
INSERT INTO public.who_data VALUES (60016, 0, 0, 0, 0, 254, 171);
INSERT INTO public.who_data VALUES (60017, 125, 4514, 1, 97, 254, 92);
INSERT INTO public.who_data VALUES (60018, 19, 12035, 0, 593, 254, 112);
INSERT INTO public.who_data VALUES (60019, 25, 4398, 3, 37, 254, 62);
INSERT INTO public.who_data VALUES (60020, 0, 16, 0, 0, 254, 69);
INSERT INTO public.who_data VALUES (60021, 629, 21437, 11, 561, 254, 220);
INSERT INTO public.who_data VALUES (60022, 0, 44440, 0, 3720, 254, 100);
INSERT INTO public.who_data VALUES (60023, 1442, 39726, 35, 1377, 254, 187);
INSERT INTO public.who_data VALUES (60024, 99, 3373, 4, 64, 254, 63);
INSERT INTO public.who_data VALUES (60025, 0, 1043, 0, 12, 254, 28);
INSERT INTO public.who_data VALUES (60026, 0, 41, 0, 0, 254, 172);
INSERT INTO public.who_data VALUES (60027, 7, 1965, 0, 63, 254, 17);
INSERT INTO public.who_data VALUES (60028, 51, 449, 0, 3, 254, 226);
INSERT INTO public.who_data VALUES (60029, 164, 2670, 5, 40, 254, 236);
INSERT INTO public.who_data VALUES (60030, 0, 13, 0, 0, 254, 76);
INSERT INTO public.who_data VALUES (60031, 0, 187, 0, 0, 254, 30);
INSERT INTO public.who_data VALUES (60032, 0, 18, 0, 0, 254, 128);
INSERT INTO public.who_data VALUES (60033, 24, 7064, 1, 325, 254, 86);
INSERT INTO public.who_data VALUES (60034, 338, 151503, 27, 29284, 254, 140);
INSERT INTO public.who_data VALUES (60035, 52, 917, 0, 2, 254, 44);
INSERT INTO public.who_data VALUES (60036, 0, 60, 0, 0, 254, 113);
INSERT INTO public.who_data VALUES (60037, 169, 3463, 2, 23, 254, 29);
INSERT INTO public.who_data VALUES (60038, 0, 28, 0, 1, 254, 125);
INSERT INTO public.who_data VALUES (60039, 9, 837, 0, 13, 254, 131);
INSERT INTO public.who_data VALUES (60040, 258, 185674, 8, 8763, 254, 46);
INSERT INTO public.who_data VALUES (60041, 157, 10358, 0, 48, 254, 10);
INSERT INTO public.who_data VALUES (60042, 0, 176, 0, 0, 254, 205);
INSERT INTO public.who_data VALUES (60043, 20, 3088, 0, 183, 254, 50);
INSERT INTO public.who_data VALUES (60044, 0, 13, 0, 0, 254, 20);
INSERT INTO public.who_data VALUES (60045, 0, 23, 0, 0, 254, 13);
INSERT INTO public.who_data VALUES (60046, 0, 164, 0, 14, 254, 148);
INSERT INTO public.who_data VALUES (60047, 0, 174, 0, 5, 254, 230);
INSERT INTO public.who_data VALUES (60048, 355, 8221, 27, 316, 254, 190);
INSERT INTO public.who_data VALUES (60049, 0, 252, 0, 13, 254, 188);
INSERT INTO public.who_data VALUES (60050, 81, 4372, 0, 23, 254, 123);
INSERT INTO public.who_data VALUES (60051, 0, 1389, 0, 12, 254, 9);
INSERT INTO public.who_data VALUES (60052, 0, 156, 0, 12, 254, 102);
INSERT INTO public.who_data VALUES (60053, 134, 3796, 2, 58, 254, 34);
INSERT INTO public.who_data VALUES (60054, 0, 12, 0, 0, 254, 212);
INSERT INTO public.who_data VALUES (60055, 425, 7360, 19, 290, 254, 122);
INSERT INTO public.who_data VALUES (60056, 12, 4039, 2, 553, 254, 38);
INSERT INTO public.who_data VALUES (60057, 0, 1807, 0, 10, 254, 130);
INSERT INTO public.who_data VALUES (60058, 10956, 297535, 396, 8498, 254, 37);
INSERT INTO public.who_data VALUES (60059, 979, 35295, 41, 2000, 254, 231);
INSERT INTO public.who_data VALUES (60060, 2238, 180176, 78, 8584, 254, 107);
INSERT INTO public.who_data VALUES (60061, 1261, 16675, 31, 457, 254, 101);
INSERT INTO public.who_data VALUES (60062, 7, 25238, 8, 1703, 254, 132);
INSERT INTO public.who_data VALUES (60063, 0, 336, 0, 24, 254, 176);
INSERT INTO public.who_data VALUES (60064, 240, 18485, 1, 302, 254, 200);
INSERT INTO public.who_data VALUES (60065, 379, 236142, 53, 34167, 254, 169);
INSERT INTO public.who_data VALUES (60066, 0, 598, 0, 10, 254, 225);
INSERT INTO public.who_data VALUES (60067, 40, 17332, 2, 922, 254, 165);
INSERT INTO public.who_data VALUES (60068, 0, 313, 0, 30, 254, 233);
INSERT INTO public.who_data VALUES (60069, 21, 836, 0, 9, 254, 215);
INSERT INTO public.who_data VALUES (60070, 366, 14238, 3, 70, 254, 177);
INSERT INTO public.who_data VALUES (60071, 121, 3215, 3, 92, 254, 183);
INSERT INTO public.who_data VALUES (60072, 0, 0, 0, 0, 254, 203);
INSERT INTO public.who_data VALUES (60073, 28, 1326, 0, 21, 254, 162);
INSERT INTO public.who_data VALUES (60074, 609, 34432, 4, 279, 254, 12);
INSERT INTO public.who_data VALUES (60075, 37, 2166, 0, 26, 254, 24);
INSERT INTO public.who_data VALUES (60076, 0, 19, 0, 0, 254, 119);
INSERT INTO public.who_data VALUES (60077, 2, 1094, 0, 26, 254, 39);
INSERT INTO public.who_data VALUES (60078, 14, 1402, 1, 31, 254, 26);
INSERT INTO public.who_data VALUES (60079, 0, 4, 0, 0, 254, 59);
INSERT INTO public.who_data VALUES (60080, 13, 410, 0, 31, 254, 77);
INSERT INTO public.who_data VALUES (60081, 15, 393, 0, 5, 254, 134);
INSERT INTO public.who_data VALUES (60082, 0, 83, 0, 1, 254, 4);
INSERT INTO public.who_data VALUES (60083, 4, 1751, 1, 75, 254, 109);
INSERT INTO public.who_data VALUES (60084, 3, 4052, 0, 110, 254, 90);
INSERT INTO public.who_data VALUES (60085, 41, 1203, 0, 10, 254, 61);
INSERT INTO public.who_data VALUES (60086, 26, 481, 0, 4, 254, 85);
INSERT INTO public.who_data VALUES (60087, 31, 8369, 0, 118, 254, 49);
INSERT INTO public.who_data VALUES (60088, 14, 1976, 0, 8, 254, 208);
INSERT INTO public.who_data VALUES (60089, 55, 1722, 1, 97, 254, 166);
INSERT INTO public.who_data VALUES (60090, 5, 639, 0, 9, 254, 64);
INSERT INTO public.who_data VALUES (60091, 0, 0, 0, 0, 254, 199);
INSERT INTO public.who_data VALUES (60092, 0, 202, 0, 14, 254, 114);
INSERT INTO public.who_data VALUES (60093, 0, 1283, 0, 71, 254, 60);
INSERT INTO public.who_data VALUES (60094, 0, 337, 0, 10, 254, 68);
INSERT INTO public.who_data VALUES (60095, 34, 2240, 0, 28, 254, 158);
INSERT INTO public.who_data VALUES (60096, 4883, 129184, 708, 15357, 254, 52);
INSERT INTO public.who_data VALUES (60097, 0, 0, 0, 0, 254, 117);
INSERT INTO public.who_data VALUES (60098, 0, 70, 0, 1, 254, 126);
INSERT INTO public.who_data VALUES (60099, 0, 194, 0, 0, 254, 196);
INSERT INTO public.who_data VALUES (60100, 0, 324, 0, 9, 254, 142);
INSERT INTO public.who_data VALUES (60101, 0, 11, 0, 1, 254, 185);
INSERT INTO public.who_data VALUES (60102, 29, 8537, 0, 211, 254, 138);
INSERT INTO public.who_data VALUES (60103, 17, 489, 0, 2, 254, 181);
INSERT INTO public.who_data VALUES (60104, 13, 261, 0, 6, 254, 178);
INSERT INTO public.who_data VALUES (60105, 0, 31, 0, 0, 254, 168);
INSERT INTO public.who_data VALUES (60106, 0, 0, 0, 0, 254, 160);
INSERT INTO public.who_data VALUES (60107, 250, 4614, 0, 15, 254, 151);
INSERT INTO public.who_data VALUES (60108, 162, 48006, 4, 6017, 254, 193);
INSERT INTO public.who_data VALUES (60109, 0, 21, 0, 0, 254, 18);
INSERT INTO public.who_data VALUES (60110, 0, 1154, 0, 22, 254, 40);
INSERT INTO public.who_data VALUES (60111, 0, 1655, 0, 55, 254, 218);
INSERT INTO public.who_data VALUES (60112, 0, 974, 0, 65, 254, 191);
INSERT INTO public.who_data VALUES (60113, 681, 14554, 5, 387, 254, 156);
INSERT INTO public.who_data VALUES (60114, 0, 0, 0, 0, 254, 135);
INSERT INTO public.who_data VALUES (60115, 0, 30, 0, 2, 254, 88);
INSERT INTO public.who_data VALUES (60116, 175, 3542, 5, 169, 254, 55);
INSERT INTO public.who_data VALUES (60117, 18, 8594, 3, 242, 254, 108);
INSERT INTO public.who_data VALUES (60118, 2, 667, 0, 5, 254, 48);
INSERT INTO public.who_data VALUES (60119, 1067, 19954, 5, 89, 254, 3);
INSERT INTO public.who_data VALUES (60120, 0, 741, 0, 13, 254, 224);
INSERT INTO public.who_data VALUES (60121, 5985, 125521, 107, 2463, 254, 110);
INSERT INTO public.who_data VALUES (60122, 0, 0, 0, 0, 254, 106);
INSERT INTO public.who_data VALUES (60123, 656, 17889, 10, 413, 254, 89);
INSERT INTO public.who_data VALUES (60124, 0, 8, 0, 0, 254, 121);
INSERT INTO public.who_data VALUES (60125, 28, 1230, 0, 11, 254, 163);
INSERT INTO public.who_data VALUES (60126, 5087, 208823, 165, 5903, 254, 70);
INSERT INTO public.who_data VALUES (60127, 443, 24175, 9, 1036, 254, 174);
INSERT INTO public.who_data VALUES (60128, 0, 0, 0, 0, 254, 175);
INSERT INTO public.who_data VALUES (60129, 444, 28201, 9, 1215, 254, 118);
INSERT INTO public.who_data VALUES (60130, 310, 35910, 9, 1504, 254, 189);
INSERT INTO public.who_data VALUES (60131, 23, 5352, 1, 144, 254, 124);
INSERT INTO public.who_data VALUES (60132, 1476, 75071, 3, 69, 254, 192);
INSERT INTO public.who_data VALUES (60133, 56, 12002, 1, 277, 254, 41);
INSERT INTO public.who_data VALUES (60134, 406, 10727, 4, 375, 254, 95);
INSERT INTO public.who_data VALUES (60135, 1, 487, 0, 1, 254, 74);
INSERT INTO public.who_data VALUES (60136, 237, 21182, 9, 1369, 254, 11);
INSERT INTO public.who_data VALUES (60137, 8987, 511423, 183, 6715, 254, 87);
INSERT INTO public.who_data VALUES (60138, 18, 494, 0, 2, 254, 214);
INSERT INTO public.who_data VALUES (60139, 0, 3, 0, 0, 254, 116);
INSERT INTO public.who_data VALUES (60140, 0, 6, 0, 0, 254, 157);
INSERT INTO public.who_data VALUES (60141, 0, 0, 0, 0, 254, 182);
INSERT INTO public.who_data VALUES (60142, 0, 15, 0, 0, 254, 186);
INSERT INTO public.who_data VALUES (60143, 0, 19, 0, 0, 254, 127);
INSERT INTO public.who_data VALUES (60144, 0, 41, 0, 3, 254, 232);
INSERT INTO public.who_data VALUES (60145, 0, 1, 0, 0, 254, 33);
INSERT INTO public.who_data VALUES (60146, 0, 27, 0, 0, 254, 97);
INSERT INTO public.who_data VALUES (60147, 0, 0, 0, 0, 254, 42);
INSERT INTO public.who_data VALUES (60148, 0, 695, 0, 42, 254, 198);
INSERT INTO public.who_data VALUES (60149, 0, 388, 0, 10, 254, 216);
INSERT INTO public.who_data VALUES (60150, 3733, 116021, 38, 857, 254, 164);
INSERT INTO public.who_data VALUES (60151, 119, 4759, 1, 55, 254, 235);
INSERT INTO public.who_data VALUES (60152, 71, 12102, 1, 252, 254, 67);
INSERT INTO public.who_data VALUES (60153, 0, 11, 0, 0, 254, 15);
INSERT INTO public.who_data VALUES (60154, 23, 1085, 0, 50, 254, 180);
INSERT INTO public.who_data VALUES (60155, 422, 39387, 0, 25, 254, 237);
INSERT INTO public.who_data VALUES (60156, 0, 2, 0, 0, 254, 25);
INSERT INTO public.who_data VALUES (60157, 0, 77, 0, 15, 254, 209);
INSERT INTO public.who_data VALUES (60158, 2, 1533, 0, 28, 254, 217);
INSERT INTO public.who_data VALUES (60159, 0, 1488, 0, 113, 254, 79);
INSERT INTO public.who_data VALUES (60160, 0, 0, 0, 0, 254, 143);
INSERT INTO public.who_data VALUES (60161, 61, 2513, 0, 85, 254, 229);
INSERT INTO public.who_data VALUES (60162, 3147, 58568, 74, 1284, 254, 141);
INSERT INTO public.who_data VALUES (60163, 0, 1606, 2, 22, 254, 197);
INSERT INTO public.who_data VALUES (60164, 531, 252574, 30, 29476, 254, 221);
INSERT INTO public.who_data VALUES (60165, 8, 1877, 0, 11, 254, 150);
INSERT INTO public.who_data VALUES (60166, 148, 6730, 12, 413, 254, 56);
INSERT INTO public.who_data VALUES (60167, 7, 144, 0, 2, 254, 167);
INSERT INTO public.who_data VALUES (60168, 1437, 47732, 39, 5010, 254, 23);
INSERT INTO public.who_data VALUES (60169, 25, 31026, 0, 1720, 254, 222);
INSERT INTO public.who_data VALUES (60170, 12, 164, 0, 6, 254, 219);
INSERT INTO public.who_data VALUES (60171, 71, 4834, 1, 49, 254, 7);
INSERT INTO public.who_data VALUES (60172, 4, 3129, 0, 58, 254, 161);
INSERT INTO public.who_data VALUES (60173, 1199, 268220, 76, 39101, 254, 149);
INSERT INTO public.who_data VALUES (60174, 0, 24, 0, 0, 254, 6);
INSERT INTO public.who_data VALUES (60175, 0, 522, 0, 13, 254, 139);
INSERT INTO public.who_data VALUES (60176, 0, 0, 0, 0, 254, 211);
INSERT INTO public.who_data VALUES (60177, 0, 0, 0, 0, 254, 14);
INSERT INTO public.who_data VALUES (60178, 0, 117, 0, 8, 254, 111);
INSERT INTO public.who_data VALUES (60179, 6, 1093, 0, 49, 254, 207);
INSERT INTO public.who_data VALUES (60180, 987, 174023, 17, 4763, 254, 66);
INSERT INTO public.who_data VALUES (60181, 0, 0, 0, 0, 254, 173);
INSERT INTO public.who_data VALUES (60182, 0, 12, 0, 1, 254, 145);
INSERT INTO public.who_data VALUES (60183, 0, 0, 0, 0, 254, 65);
INSERT INTO public.who_data VALUES (60184, 14, 808, 0, 0, 254, 184);
INSERT INTO public.who_data VALUES (60185, 683, 29753, 16, 870, 254, 98);
INSERT INTO public.who_data VALUES (60186, 479, 40986, 2, 286, 254, 104);
INSERT INTO public.who_data VALUES (60187, 0, 509, 0, 21, 254, 73);
INSERT INTO public.who_data VALUES (60188, 20315, 1988646, 832, 112810, 254, 8);
INSERT INTO public.who_data VALUES (60189, 0, 72, 0, 6, 254, 227);
INSERT INTO public.who_data VALUES (60190, 1, 847, 0, 23, 254, 75);
INSERT INTO public.who_data VALUES (60191, 124, 4819, 0, 19, 254, 45);
INSERT INTO public.who_data VALUES (60192, 0, 0, 0, 0, 254, 133);
INSERT INTO public.who_data VALUES (60193, 106, 2738, 0, 23, 254, 202);
INSERT INTO public.who_data VALUES (60194, 0, 332, 0, 0, 254, 129);
INSERT INTO public.who_data VALUES (60195, 0, 0, 0, 0, 254, 36);
INSERT INTO public.who_data VALUES (60196, 31, 591, 7, 136, 254, 51);
INSERT INTO public.who_data VALUES (60197, 0, 1252, 0, 10, 254, 206);
INSERT INTO public.who_data VALUES (60198, 12, 332, 0, 4, 254, 5);
INSERT INTO public.who_data VALUES (60199, 748, 22976, 21, 430, 255, 103);
INSERT INTO public.who_data VALUES (60200, 44, 1385, 0, 34, 255, 58);
INSERT INTO public.who_data VALUES (60201, 102, 10484, 8, 732, 255, 195);
INSERT INTO public.who_data VALUES (60202, 0, 0, 0, 0, 255, 115);
INSERT INTO public.who_data VALUES (60203, 0, 852, 0, 51, 255, 99);
INSERT INTO public.who_data VALUES (60204, 17, 113, 0, 4, 255, 153);
INSERT INTO public.who_data VALUES (60205, 0, 3, 0, 0, 255, 93);
INSERT INTO public.who_data VALUES (60206, 0, 25, 0, 3, 255, 84);
INSERT INTO public.who_data VALUES (60207, 1141, 24761, 19, 717, 255, 78);
INSERT INTO public.who_data VALUES (60208, 428, 14079, 10, 227, 255, 170);
INSERT INTO public.who_data VALUES (60209, 0, 101, 0, 3, 255, 32);
INSERT INTO public.who_data VALUES (60210, 0, 7267, 0, 102, 255, 155);
INSERT INTO public.who_data VALUES (60211, 34, 16936, 1, 673, 255, 82);
INSERT INTO public.who_data VALUES (60212, 339, 8530, 4, 102, 255, 16);
INSERT INTO public.who_data VALUES (60213, 0, 103, 0, 11, 255, 72);
INSERT INTO public.who_data VALUES (60214, 468, 16667, 3, 32, 255, 43);
INSERT INTO public.who_data VALUES (60215, 3190, 74865, 37, 1012, 255, 120);
INSERT INTO public.who_data VALUES (60216, 4, 96, 0, 7, 255, 213);
INSERT INTO public.who_data VALUES (60217, 801, 51066, 6, 288, 255, 31);
INSERT INTO public.who_data VALUES (60218, 119, 60328, 12, 9506, 255, 204);
INSERT INTO public.who_data VALUES (60219, 1, 20, 0, 2, 255, 152);
INSERT INTO public.who_data VALUES (60220, 0, 339, 0, 4, 255, 144);
INSERT INTO public.who_data VALUES (60221, 0, 141, 0, 9, 255, 96);
INSERT INTO public.who_data VALUES (60222, 3, 62, 0, 0, 255, 47);
INSERT INTO public.who_data VALUES (60223, 695, 14644, 12, 487, 255, 80);
INSERT INTO public.who_data VALUES (60224, 0, 2, 0, 0, 255, 159);
INSERT INTO public.who_data VALUES (60225, 49, 2776, 1, 160, 255, 27);
INSERT INTO public.who_data VALUES (60226, 6, 48, 0, 1, 255, 146);
INSERT INTO public.who_data VALUES (60227, 32091, 739503, 1272, 38406, 255, 71);
INSERT INTO public.who_data VALUES (60228, 0, 8, 0, 1, 255, 210);
INSERT INTO public.who_data VALUES (60229, 0, 141, 0, 2, 255, 54);
INSERT INTO public.who_data VALUES (60230, 104, 2993, 0, 167, 255, 147);
INSERT INTO public.who_data VALUES (60231, 0, 891, 0, 53, 255, 2);
INSERT INTO public.who_data VALUES (60232, 0, 83, 0, 1, 255, 105);
INSERT INTO public.who_data VALUES (60233, 31, 616, 0, 5, 255, 53);
INSERT INTO public.who_data VALUES (60234, 0, 126, 0, 0, 255, 81);
INSERT INTO public.who_data VALUES (60235, 369, 8681, 0, 215, 255, 223);
INSERT INTO public.who_data VALUES (60236, 409, 96653, 62, 7897, 255, 94);
INSERT INTO public.who_data VALUES (60237, 5, 176, 0, 1, 255, 154);
INSERT INTO public.who_data VALUES (60238, 38, 1888, 0, 5, 255, 83);
INSERT INTO public.who_data VALUES (60239, 2, 846, 1, 72, 255, 194);
INSERT INTO public.who_data VALUES (60240, 5737, 148496, 192, 2475, 255, 136);
INSERT INTO public.who_data VALUES (60241, 11, 84652, 0, 4645, 255, 179);
INSERT INTO public.who_data VALUES (60242, 1359, 42078, 64, 1372, 255, 57);
INSERT INTO public.who_data VALUES (60243, 65, 162, 0, 2, 255, 35);
INSERT INTO public.who_data VALUES (60244, 10, 728, 0, 24, 255, 228);
INSERT INTO public.who_data VALUES (60245, 0, 0, 0, 0, 255, 19);
INSERT INTO public.who_data VALUES (60246, 33, 1375, 1, 11, 255, 22);
INSERT INTO public.who_data VALUES (60247, 186, 4181, 3, 41, 255, 1);
INSERT INTO public.who_data VALUES (60248, 2, 2249, 0, 106, 255, 21);
INSERT INTO public.who_data VALUES (60249, 6, 2211, 0, 83, 255, 234);
INSERT INTO public.who_data VALUES (60250, 1, 22, 0, 1, 255, 91);
INSERT INTO public.who_data VALUES (60251, 2, 974, 0, 18, 255, 137);
INSERT INTO public.who_data VALUES (60252, 73, 9824, 0, 328, 255, 201);
INSERT INTO public.who_data VALUES (60253, 0, 0, 0, 0, 255, 171);
INSERT INTO public.who_data VALUES (60254, 131, 4389, 6, 96, 255, 92);
INSERT INTO public.who_data VALUES (60255, 15, 12016, 0, 593, 255, 112);
INSERT INTO public.who_data VALUES (60256, 42, 4373, 0, 34, 255, 62);
INSERT INTO public.who_data VALUES (60257, 0, 16, 0, 0, 255, 69);
INSERT INTO public.who_data VALUES (60258, 393, 20808, 6, 550, 255, 220);
INSERT INTO public.who_data VALUES (60259, 523, 44440, 30, 3720, 255, 100);
INSERT INTO public.who_data VALUES (60260, 1455, 38284, 36, 1342, 255, 187);
INSERT INTO public.who_data VALUES (60261, 83, 3274, 2, 60, 255, 63);
INSERT INTO public.who_data VALUES (60262, 0, 1043, 0, 12, 255, 28);
INSERT INTO public.who_data VALUES (60263, 0, 41, 0, 0, 255, 172);
INSERT INTO public.who_data VALUES (60264, 11, 1958, 0, 63, 255, 17);
INSERT INTO public.who_data VALUES (60265, 27, 398, 0, 3, 255, 226);
INSERT INTO public.who_data VALUES (60266, 170, 2506, 3, 35, 255, 236);
INSERT INTO public.who_data VALUES (60267, 0, 13, 0, 0, 255, 76);
INSERT INTO public.who_data VALUES (60268, 0, 187, 0, 0, 255, 30);
INSERT INTO public.who_data VALUES (60269, 0, 18, 0, 0, 255, 128);
INSERT INTO public.who_data VALUES (60270, 15, 7040, 0, 324, 255, 86);
INSERT INTO public.who_data VALUES (60271, 417, 151165, 23, 29257, 255, 140);
INSERT INTO public.who_data VALUES (60272, 92, 865, 0, 2, 255, 44);
INSERT INTO public.who_data VALUES (60273, 0, 60, 0, 0, 255, 113);
INSERT INTO public.who_data VALUES (60274, 0, 3294, 0, 21, 255, 29);
INSERT INTO public.who_data VALUES (60275, 0, 28, 0, 1, 255, 125);
INSERT INTO public.who_data VALUES (60276, 6, 828, 0, 13, 255, 131);
INSERT INTO public.who_data VALUES (60277, 555, 185416, 26, 8755, 255, 46);
INSERT INTO public.who_data VALUES (60278, 0, 10201, 0, 48, 255, 10);
INSERT INTO public.who_data VALUES (60279, 0, 176, 0, 0, 255, 205);
INSERT INTO public.who_data VALUES (60280, 10, 3068, 0, 183, 255, 50);
INSERT INTO public.who_data VALUES (60281, 0, 13, 0, 0, 255, 20);
INSERT INTO public.who_data VALUES (60282, 0, 23, 0, 0, 255, 13);
INSERT INTO public.who_data VALUES (60283, 0, 164, 0, 14, 255, 148);
INSERT INTO public.who_data VALUES (60284, 2, 174, 0, 5, 255, 230);
INSERT INTO public.who_data VALUES (60285, 364, 7866, 22, 289, 255, 190);
INSERT INTO public.who_data VALUES (60286, 0, 252, 0, 13, 255, 188);
INSERT INTO public.who_data VALUES (60287, 33, 4291, 0, 23, 255, 123);
INSERT INTO public.who_data VALUES (60288, 0, 1389, 0, 12, 255, 9);
INSERT INTO public.who_data VALUES (60289, 2, 156, 0, 12, 255, 102);
INSERT INTO public.who_data VALUES (60290, 124, 3662, 2, 56, 255, 34);
INSERT INTO public.who_data VALUES (60291, 0, 12, 0, 0, 255, 212);
INSERT INTO public.who_data VALUES (60292, 485, 6935, 9, 271, 255, 122);
INSERT INTO public.who_data VALUES (60293, 10, 4027, 1, 551, 255, 38);
INSERT INTO public.who_data VALUES (60294, 0, 1807, 0, 10, 255, 130);
INSERT INTO public.who_data VALUES (60295, 9996, 286579, 357, 8102, 255, 37);
INSERT INTO public.who_data VALUES (60296, 1240, 34316, 36, 1959, 255, 231);
INSERT INTO public.who_data VALUES (60297, 2011, 177938, 81, 8506, 255, 107);
INSERT INTO public.who_data VALUES (60298, 1146, 15414, 34, 426, 255, 101);
INSERT INTO public.who_data VALUES (60299, 16, 25231, 4, 1695, 255, 132);
INSERT INTO public.who_data VALUES (60300, 0, 336, 0, 24, 255, 176);
INSERT INTO public.who_data VALUES (60301, 173, 18245, 1, 301, 255, 200);
INSERT INTO public.who_data VALUES (60302, 202, 235763, 71, 34114, 255, 169);
INSERT INTO public.who_data VALUES (60303, 0, 598, 0, 10, 255, 225);
INSERT INTO public.who_data VALUES (60304, 41, 17292, 1, 920, 255, 165);
INSERT INTO public.who_data VALUES (60305, 0, 313, 0, 30, 255, 233);
INSERT INTO public.who_data VALUES (60306, 13, 815, 0, 9, 255, 215);
INSERT INTO public.who_data VALUES (60307, 313, 13872, 0, 67, 255, 177);
INSERT INTO public.who_data VALUES (60308, 105, 3094, 1, 89, 255, 183);
INSERT INTO public.who_data VALUES (60309, 0, 0, 0, 0, 255, 203);
INSERT INTO public.who_data VALUES (60310, 35, 1298, 0, 21, 255, 162);
INSERT INTO public.who_data VALUES (60311, 683, 33823, 2, 275, 255, 12);
INSERT INTO public.who_data VALUES (60312, 36, 2129, 0, 26, 255, 24);
INSERT INTO public.who_data VALUES (60313, 0, 19, 0, 0, 255, 119);
INSERT INTO public.who_data VALUES (60314, 3, 1092, 0, 26, 255, 39);
INSERT INTO public.who_data VALUES (60315, 20, 1388, 0, 30, 255, 26);
INSERT INTO public.who_data VALUES (60316, 0, 4, 0, 0, 255, 59);
INSERT INTO public.who_data VALUES (60317, 14, 397, 0, 31, 255, 77);
INSERT INTO public.who_data VALUES (60318, 19, 378, 0, 5, 255, 134);
INSERT INTO public.who_data VALUES (60319, 0, 83, 0, 1, 255, 4);
INSERT INTO public.who_data VALUES (60320, 19, 1747, 0, 74, 255, 109);
INSERT INTO public.who_data VALUES (60321, 3, 4049, 0, 110, 255, 90);
INSERT INTO public.who_data VALUES (60322, 24, 1162, 1, 10, 255, 61);
INSERT INTO public.who_data VALUES (60323, 0, 455, 0, 4, 255, 85);
INSERT INTO public.who_data VALUES (60324, 2, 8338, 1, 118, 255, 49);
INSERT INTO public.who_data VALUES (60325, 20, 1962, 0, 8, 255, 208);
INSERT INTO public.who_data VALUES (60326, 81, 1667, 2, 96, 255, 166);
INSERT INTO public.who_data VALUES (60327, 3, 634, 0, 9, 255, 64);
INSERT INTO public.who_data VALUES (60328, 0, 0, 0, 0, 255, 199);
INSERT INTO public.who_data VALUES (60329, 0, 202, 0, 14, 255, 114);
INSERT INTO public.who_data VALUES (60330, 121, 1283, 8, 71, 255, 60);
INSERT INTO public.who_data VALUES (60331, 0, 337, 0, 10, 255, 68);
INSERT INTO public.who_data VALUES (60332, 31, 2206, 0, 28, 255, 158);
INSERT INTO public.who_data VALUES (60333, 4199, 124301, 596, 14649, 255, 52);
INSERT INTO public.who_data VALUES (60334, 0, 0, 0, 0, 255, 117);
INSERT INTO public.who_data VALUES (60335, 0, 70, 0, 1, 255, 126);
INSERT INTO public.who_data VALUES (60336, 0, 194, 0, 0, 255, 196);
INSERT INTO public.who_data VALUES (60337, 0, 324, 0, 9, 255, 142);
INSERT INTO public.who_data VALUES (60338, 0, 11, 0, 1, 255, 185);
INSERT INTO public.who_data VALUES (60339, 71, 8508, 1, 211, 255, 138);
INSERT INTO public.who_data VALUES (60340, 19, 472, 0, 2, 255, 181);
INSERT INTO public.who_data VALUES (60341, 2, 248, 0, 6, 255, 178);
INSERT INTO public.who_data VALUES (60342, 0, 31, 0, 0, 255, 168);
INSERT INTO public.who_data VALUES (60343, 0, 0, 0, 0, 255, 160);
INSERT INTO public.who_data VALUES (60344, 279, 4364, 0, 15, 255, 151);
INSERT INTO public.who_data VALUES (60345, 181, 47844, 14, 6013, 255, 193);
INSERT INTO public.who_data VALUES (60346, 0, 21, 0, 0, 255, 18);
INSERT INTO public.who_data VALUES (60347, 0, 1154, 0, 22, 255, 40);
INSERT INTO public.who_data VALUES (60348, 346, 1655, 9, 55, 255, 218);
INSERT INTO public.who_data VALUES (60349, 0, 974, 0, 65, 255, 191);
INSERT INTO public.who_data VALUES (60350, 409, 13873, 17, 382, 255, 156);
INSERT INTO public.who_data VALUES (60351, 0, 0, 0, 0, 255, 135);
INSERT INTO public.who_data VALUES (60352, 0, 30, 0, 2, 255, 88);
INSERT INTO public.who_data VALUES (60353, 125, 3367, 7, 164, 255, 55);
INSERT INTO public.who_data VALUES (60354, 13, 8576, 0, 239, 255, 108);
INSERT INTO public.who_data VALUES (60355, 4, 665, 0, 5, 255, 48);
INSERT INTO public.who_data VALUES (60356, 689, 18887, 1, 84, 255, 3);
INSERT INTO public.who_data VALUES (60357, 0, 741, 0, 13, 255, 224);
INSERT INTO public.who_data VALUES (60358, 5834, 119536, 101, 2356, 255, 110);
INSERT INTO public.who_data VALUES (60359, 0, 0, 0, 0, 255, 106);
INSERT INTO public.who_data VALUES (60360, 379, 17233, 5, 403, 255, 89);
INSERT INTO public.who_data VALUES (60361, 0, 8, 0, 0, 255, 121);
INSERT INTO public.who_data VALUES (60362, 15, 1202, 0, 11, 255, 163);
INSERT INTO public.who_data VALUES (60363, 4040, 203736, 167, 5738, 255, 70);
INSERT INTO public.who_data VALUES (60364, 740, 23732, 10, 1027, 255, 174);
INSERT INTO public.who_data VALUES (60365, 0, 0, 0, 0, 255, 175);
INSERT INTO public.who_data VALUES (60366, 197, 27757, 23, 1206, 255, 118);
INSERT INTO public.who_data VALUES (60367, 294, 35600, 3, 1495, 255, 189);
INSERT INTO public.who_data VALUES (60368, 144, 5329, 1, 143, 255, 124);
INSERT INTO public.who_data VALUES (60369, 1716, 73595, 4, 66, 255, 192);
INSERT INTO public.who_data VALUES (60370, 45, 11946, 0, 276, 255, 41);
INSERT INTO public.who_data VALUES (60371, 296, 10321, 4, 371, 255, 95);
INSERT INTO public.who_data VALUES (60372, 5, 486, 0, 1, 255, 74);
INSERT INTO public.who_data VALUES (60373, 196, 20945, 15, 1360, 255, 11);
INSERT INTO public.who_data VALUES (60374, 8779, 502436, 174, 6532, 255, 87);
INSERT INTO public.who_data VALUES (60375, 13, 476, 0, 2, 255, 214);
INSERT INTO public.who_data VALUES (60376, 0, 3, 0, 0, 255, 116);
INSERT INTO public.who_data VALUES (60377, 0, 6, 0, 0, 255, 157);
INSERT INTO public.who_data VALUES (60378, 0, 0, 0, 0, 255, 182);
INSERT INTO public.who_data VALUES (60379, 0, 15, 0, 0, 255, 186);
INSERT INTO public.who_data VALUES (60380, 0, 19, 0, 0, 255, 127);
INSERT INTO public.who_data VALUES (60381, 0, 41, 0, 3, 255, 232);
INSERT INTO public.who_data VALUES (60382, 0, 1, 0, 0, 255, 33);
INSERT INTO public.who_data VALUES (60383, 0, 27, 0, 0, 255, 97);
INSERT INTO public.who_data VALUES (60384, 0, 0, 0, 0, 255, 42);
INSERT INTO public.who_data VALUES (60385, 0, 695, 0, 42, 255, 198);
INSERT INTO public.who_data VALUES (60386, 93, 388, 0, 10, 255, 216);
INSERT INTO public.who_data VALUES (60387, 3717, 112288, 36, 819, 255, 164);
INSERT INTO public.who_data VALUES (60388, 124, 4640, 2, 54, 255, 235);
INSERT INTO public.who_data VALUES (60389, 66, 12031, 1, 251, 255, 67);
INSERT INTO public.who_data VALUES (60390, 0, 11, 0, 0, 255, 15);
INSERT INTO public.who_data VALUES (60391, 37, 1062, 0, 50, 255, 180);
INSERT INTO public.who_data VALUES (60392, 451, 38965, 0, 25, 255, 237);
INSERT INTO public.who_data VALUES (60393, 0, 2, 0, 0, 255, 25);
INSERT INTO public.who_data VALUES (60394, 0, 77, 0, 15, 255, 209);
INSERT INTO public.who_data VALUES (60395, 1, 1531, 0, 28, 255, 217);
INSERT INTO public.who_data VALUES (60396, 2, 1488, 0, 113, 255, 79);
INSERT INTO public.who_data VALUES (60397, 0, 0, 0, 0, 255, 143);
INSERT INTO public.who_data VALUES (60398, 36, 2452, 0, 85, 255, 229);
INSERT INTO public.who_data VALUES (60399, 2430, 55421, 48, 1210, 255, 141);
INSERT INTO public.who_data VALUES (60400, 0, 1606, 0, 20, 255, 197);
INSERT INTO public.who_data VALUES (60401, 499, 252043, 13, 29446, 255, 221);
INSERT INTO public.who_data VALUES (60402, 10, 1869, 0, 11, 255, 150);
INSERT INTO public.who_data VALUES (60403, 155, 6582, 12, 401, 255, 56);
INSERT INTO public.who_data VALUES (60404, 4, 137, 0, 2, 255, 167);
INSERT INTO public.who_data VALUES (60405, 937, 46295, 33, 4971, 255, 23);
INSERT INTO public.who_data VALUES (60406, 24, 31001, 1, 1720, 255, 222);
INSERT INTO public.who_data VALUES (60407, 6, 152, 0, 6, 255, 219);
INSERT INTO public.who_data VALUES (60408, 73, 4763, 0, 48, 255, 7);
INSERT INTO public.who_data VALUES (60409, 0, 3125, 0, 58, 255, 161);
INSERT INTO public.who_data VALUES (60410, 1158, 267021, 164, 39025, 255, 149);
INSERT INTO public.who_data VALUES (60411, 0, 24, 0, 0, 255, 6);
INSERT INTO public.who_data VALUES (60412, 25, 522, 0, 13, 255, 139);
INSERT INTO public.who_data VALUES (60413, 0, 0, 0, 0, 255, 211);
INSERT INTO public.who_data VALUES (60414, 0, 0, 0, 0, 255, 14);
INSERT INTO public.who_data VALUES (60415, 0, 117, 0, 8, 255, 111);
INSERT INTO public.who_data VALUES (60416, 0, 1087, 0, 49, 255, 207);
INSERT INTO public.who_data VALUES (60417, 922, 173036, 17, 4746, 255, 66);
INSERT INTO public.who_data VALUES (60418, 0, 0, 0, 0, 255, 173);
INSERT INTO public.who_data VALUES (60419, 0, 12, 0, 1, 255, 145);
INSERT INTO public.who_data VALUES (60420, 0, 0, 0, 0, 255, 65);
INSERT INTO public.who_data VALUES (60421, 19, 794, 0, 0, 255, 184);
INSERT INTO public.who_data VALUES (60422, 689, 29070, 21, 854, 255, 98);
INSERT INTO public.who_data VALUES (60423, 603, 40507, 1, 284, 255, 104);
INSERT INTO public.who_data VALUES (60424, 0, 509, 0, 21, 255, 73);
INSERT INTO public.who_data VALUES (60425, 17235, 1968331, 1208, 111978, 255, 8);
INSERT INTO public.who_data VALUES (60426, 1, 72, 0, 6, 255, 227);
INSERT INTO public.who_data VALUES (60427, 1, 846, 0, 23, 255, 75);
INSERT INTO public.who_data VALUES (60428, 148, 4695, 1, 19, 255, 45);
INSERT INTO public.who_data VALUES (60429, 0, 0, 0, 0, 255, 133);
INSERT INTO public.who_data VALUES (60430, 159, 2632, 1, 23, 255, 202);
INSERT INTO public.who_data VALUES (60431, 0, 332, 0, 0, 255, 129);
INSERT INTO public.who_data VALUES (60432, 0, 0, 0, 0, 255, 36);
INSERT INTO public.who_data VALUES (60433, 36, 560, 2, 129, 255, 51);
INSERT INTO public.who_data VALUES (60434, 52, 1252, 0, 10, 255, 206);
INSERT INTO public.who_data VALUES (60435, 6, 320, 0, 4, 255, 5);
INSERT INTO public.who_data VALUES (60436, 920, 22228, 29, 409, 256, 103);
INSERT INTO public.who_data VALUES (60437, 42, 1341, 0, 34, 256, 58);
INSERT INTO public.who_data VALUES (60438, 117, 10382, 9, 724, 256, 195);
INSERT INTO public.who_data VALUES (60439, 0, 0, 0, 0, 256, 115);
INSERT INTO public.who_data VALUES (60440, 0, 852, 0, 51, 256, 99);
INSERT INTO public.who_data VALUES (60441, 4, 96, 0, 4, 256, 153);
INSERT INTO public.who_data VALUES (60442, 0, 3, 0, 0, 256, 93);
INSERT INTO public.who_data VALUES (60443, 0, 25, 0, 3, 256, 84);
INSERT INTO public.who_data VALUES (60444, 826, 23620, 28, 698, 256, 78);
INSERT INTO public.who_data VALUES (60445, 350, 13651, 6, 217, 256, 170);
INSERT INTO public.who_data VALUES (60446, 0, 101, 0, 3, 256, 32);
INSERT INTO public.who_data VALUES (60447, 2, 7267, 0, 102, 256, 155);
INSERT INTO public.who_data VALUES (60448, 13, 16902, 0, 672, 256, 82);
INSERT INTO public.who_data VALUES (60449, 315, 8191, 5, 98, 256, 16);
INSERT INTO public.who_data VALUES (60450, 0, 103, 0, 11, 256, 72);
INSERT INTO public.who_data VALUES (60451, 783, 16199, 2, 29, 256, 43);
INSERT INTO public.who_data VALUES (60452, 3171, 71675, 45, 975, 256, 120);
INSERT INTO public.who_data VALUES (60453, 0, 92, 0, 7, 256, 213);
INSERT INTO public.who_data VALUES (60454, 812, 50265, 6, 282, 256, 31);
INSERT INTO public.who_data VALUES (60455, 145, 60209, 12, 9494, 256, 204);
INSERT INTO public.who_data VALUES (60456, 0, 19, 0, 2, 256, 152);
INSERT INTO public.who_data VALUES (60457, 34, 339, 0, 4, 256, 144);
INSERT INTO public.who_data VALUES (60458, 0, 141, 0, 9, 256, 96);
INSERT INTO public.who_data VALUES (60459, 0, 59, 0, 0, 256, 47);
INSERT INTO public.who_data VALUES (60460, 306, 13949, 10, 475, 256, 80);
INSERT INTO public.who_data VALUES (60461, 0, 2, 0, 0, 256, 159);
INSERT INTO public.who_data VALUES (60462, 24, 2727, 0, 159, 256, 27);
INSERT INTO public.who_data VALUES (60463, 0, 42, 0, 1, 256, 146);
INSERT INTO public.who_data VALUES (60464, 15654, 707412, 679, 37134, 256, 71);
INSERT INTO public.who_data VALUES (60465, 0, 8, 0, 1, 256, 210);
INSERT INTO public.who_data VALUES (60466, 0, 141, 0, 2, 256, 54);
INSERT INTO public.who_data VALUES (60467, 79, 2889, 3, 167, 256, 147);
INSERT INTO public.who_data VALUES (60468, 1, 891, 0, 53, 256, 2);
INSERT INTO public.who_data VALUES (60469, 0, 83, 0, 1, 256, 105);
INSERT INTO public.who_data VALUES (60470, 18, 585, 0, 5, 256, 53);
INSERT INTO public.who_data VALUES (60471, 0, 126, 0, 0, 256, 81);
INSERT INTO public.who_data VALUES (60472, 252, 8312, 0, 215, 256, 223);
INSERT INTO public.who_data VALUES (60473, 545, 96244, 35, 7835, 256, 94);
INSERT INTO public.who_data VALUES (60474, 7, 171, 0, 1, 256, 154);
INSERT INTO public.who_data VALUES (60475, 0, 1850, 0, 5, 256, 83);
INSERT INTO public.who_data VALUES (60476, 5, 844, 1, 71, 256, 194);
INSERT INTO public.who_data VALUES (60477, 3913, 142759, 19, 2283, 256, 136);
INSERT INTO public.who_data VALUES (60478, 3, 84641, 0, 4645, 256, 179);
INSERT INTO public.who_data VALUES (60479, 1483, 40719, 49, 1308, 256, 57);
INSERT INTO public.who_data VALUES (60480, 0, 97, 0, 2, 256, 35);
INSERT INTO public.who_data VALUES (60481, 35, 718, 4, 24, 256, 228);
INSERT INTO public.who_data VALUES (60482, 0, 0, 0, 0, 256, 19);
INSERT INTO public.who_data VALUES (60483, 24, 1342, 0, 10, 256, 22);
INSERT INTO public.who_data VALUES (60484, 114, 3995, 0, 38, 256, 1);
INSERT INTO public.who_data VALUES (60485, 0, 2247, 2, 106, 256, 21);
INSERT INTO public.who_data VALUES (60486, 5, 2205, 0, 83, 256, 234);
INSERT INTO public.who_data VALUES (60487, 0, 21, 0, 1, 256, 91);
INSERT INTO public.who_data VALUES (60488, 2, 972, 0, 18, 256, 137);
INSERT INTO public.who_data VALUES (60489, 54, 9751, 0, 328, 256, 201);
INSERT INTO public.who_data VALUES (60490, 0, 0, 0, 0, 256, 171);
INSERT INTO public.who_data VALUES (60491, 153, 4258, 3, 90, 256, 92);
INSERT INTO public.who_data VALUES (60492, 39, 12001, 0, 593, 256, 112);
INSERT INTO public.who_data VALUES (60493, 53, 4331, 3, 34, 256, 62);
INSERT INTO public.who_data VALUES (60494, 0, 16, 0, 0, 256, 69);
INSERT INTO public.who_data VALUES (60495, 289, 20415, 5, 544, 256, 220);
INSERT INTO public.who_data VALUES (60496, 539, 43917, 48, 3690, 256, 100);
INSERT INTO public.who_data VALUES (60497, 1385, 36829, 35, 1306, 256, 187);
INSERT INTO public.who_data VALUES (60498, 87, 3191, 3, 58, 256, 63);
INSERT INTO public.who_data VALUES (60499, 0, 1043, 0, 12, 256, 28);
INSERT INTO public.who_data VALUES (60500, 0, 41, 0, 0, 256, 172);
INSERT INTO public.who_data VALUES (60501, 7, 1947, 0, 63, 256, 17);
INSERT INTO public.who_data VALUES (60502, 31, 371, 0, 3, 256, 226);
INSERT INTO public.who_data VALUES (60503, 180, 2336, 5, 32, 256, 236);
INSERT INTO public.who_data VALUES (60504, 0, 13, 0, 0, 256, 76);
INSERT INTO public.who_data VALUES (60505, 0, 187, 0, 0, 256, 30);
INSERT INTO public.who_data VALUES (60506, 0, 18, 0, 0, 256, 128);
INSERT INTO public.who_data VALUES (60507, 24, 7025, 1, 324, 256, 86);
INSERT INTO public.who_data VALUES (60508, 335, 150748, 85, 29234, 256, 140);
INSERT INTO public.who_data VALUES (60509, 44, 773, 0, 2, 256, 44);
INSERT INTO public.who_data VALUES (60510, 0, 60, 0, 0, 256, 113);
INSERT INTO public.who_data VALUES (60511, 193, 3294, 0, 21, 256, 29);
INSERT INTO public.who_data VALUES (60512, 0, 28, 0, 1, 256, 125);
INSERT INTO public.who_data VALUES (60513, 4, 822, 0, 13, 256, 131);
INSERT INTO public.who_data VALUES (60514, 318, 184861, 18, 8729, 256, 46);
INSERT INTO public.who_data VALUES (60515, 291, 10201, 0, 48, 256, 10);
INSERT INTO public.who_data VALUES (60516, 0, 176, 0, 0, 256, 205);
INSERT INTO public.who_data VALUES (60517, 9, 3058, 1, 183, 256, 50);
INSERT INTO public.who_data VALUES (60518, 0, 13, 0, 0, 256, 20);
INSERT INTO public.who_data VALUES (60519, 0, 23, 0, 0, 256, 13);
INSERT INTO public.who_data VALUES (60520, 0, 164, 0, 14, 256, 148);
INSERT INTO public.who_data VALUES (60521, 1, 172, 0, 5, 256, 230);
INSERT INTO public.who_data VALUES (60522, 447, 7502, 15, 267, 256, 190);
INSERT INTO public.who_data VALUES (60523, 0, 252, 0, 13, 256, 188);
INSERT INTO public.who_data VALUES (60524, 42, 4258, 0, 23, 256, 123);
INSERT INTO public.who_data VALUES (60525, 0, 1389, 0, 12, 256, 9);
INSERT INTO public.who_data VALUES (60526, 0, 154, 0, 12, 256, 102);
INSERT INTO public.who_data VALUES (60527, 204, 3538, 3, 54, 256, 34);
INSERT INTO public.who_data VALUES (60528, 0, 12, 0, 0, 256, 212);
INSERT INTO public.who_data VALUES (60529, 123, 6450, 4, 262, 256, 122);
INSERT INTO public.who_data VALUES (60530, 3, 4017, 2, 550, 256, 38);
INSERT INTO public.who_data VALUES (60531, 0, 1807, 0, 10, 256, 130);
INSERT INTO public.who_data VALUES (60532, 9985, 276583, 279, 7745, 256, 37);
INSERT INTO public.who_data VALUES (60533, 1043, 33076, 40, 1923, 256, 231);
INSERT INTO public.who_data VALUES (60534, 2095, 175927, 74, 8425, 256, 107);
INSERT INTO public.who_data VALUES (60535, 787, 14268, 22, 392, 256, 101);
INSERT INTO public.who_data VALUES (60536, 8, 25215, 8, 1691, 256, 132);
INSERT INTO public.who_data VALUES (60537, 0, 336, 0, 24, 256, 176);
INSERT INTO public.who_data VALUES (60538, 179, 18072, 0, 300, 256, 200);
INSERT INTO public.who_data VALUES (60539, 283, 235561, 79, 34043, 256, 169);
INSERT INTO public.who_data VALUES (60540, 0, 598, 0, 10, 256, 225);
INSERT INTO public.who_data VALUES (60541, 41, 17251, 3, 919, 256, 165);
INSERT INTO public.who_data VALUES (60542, 2, 313, 0, 30, 256, 233);
INSERT INTO public.who_data VALUES (60543, 10, 802, 0, 9, 256, 215);
INSERT INTO public.who_data VALUES (60544, 240, 13559, 6, 67, 256, 177);
INSERT INTO public.who_data VALUES (60545, 127, 2989, 3, 88, 256, 183);
INSERT INTO public.who_data VALUES (60546, 0, 0, 0, 0, 256, 203);
INSERT INTO public.who_data VALUES (60547, 0, 1263, 0, 21, 256, 162);
INSERT INTO public.who_data VALUES (60548, 630, 33140, 4, 273, 256, 12);
INSERT INTO public.who_data VALUES (60549, 38, 2093, 2, 26, 256, 24);
INSERT INTO public.who_data VALUES (60550, 0, 19, 0, 0, 256, 119);
INSERT INTO public.who_data VALUES (60551, 1, 1089, 0, 26, 256, 39);
INSERT INTO public.who_data VALUES (60552, 18, 1368, 0, 30, 256, 26);
INSERT INTO public.who_data VALUES (60553, 0, 4, 0, 0, 256, 59);
INSERT INTO public.who_data VALUES (60554, 13, 383, 1, 31, 256, 77);
INSERT INTO public.who_data VALUES (60555, 27, 359, 0, 5, 256, 134);
INSERT INTO public.who_data VALUES (60556, 0, 83, 0, 1, 256, 4);
INSERT INTO public.who_data VALUES (60557, 6, 1728, 3, 74, 256, 109);
INSERT INTO public.who_data VALUES (60558, 6, 4046, 0, 110, 256, 90);
INSERT INTO public.who_data VALUES (60559, 44, 1138, 0, 9, 256, 61);
INSERT INTO public.who_data VALUES (60560, 12, 455, 0, 4, 256, 85);
INSERT INTO public.who_data VALUES (60561, 7, 8336, 0, 117, 256, 49);
INSERT INTO public.who_data VALUES (60562, 26, 1942, 0, 8, 256, 208);
INSERT INTO public.who_data VALUES (60563, 39, 1586, 2, 94, 256, 166);
INSERT INTO public.who_data VALUES (60564, 2, 631, 0, 9, 256, 64);
INSERT INTO public.who_data VALUES (60565, 0, 0, 0, 0, 256, 199);
INSERT INTO public.who_data VALUES (60566, 0, 202, 0, 14, 256, 114);
INSERT INTO public.who_data VALUES (60567, 113, 1162, 20, 63, 256, 60);
INSERT INTO public.who_data VALUES (60568, 0, 337, 0, 10, 256, 68);
INSERT INTO public.who_data VALUES (60569, 24, 2175, 2, 28, 256, 158);
INSERT INTO public.who_data VALUES (60570, 2999, 120102, 354, 14053, 256, 52);
INSERT INTO public.who_data VALUES (60571, 0, 0, 0, 0, 256, 117);
INSERT INTO public.who_data VALUES (60572, 0, 70, 0, 1, 256, 126);
INSERT INTO public.who_data VALUES (60573, 0, 194, 0, 0, 256, 196);
INSERT INTO public.who_data VALUES (60574, 0, 324, 0, 9, 256, 142);
INSERT INTO public.who_data VALUES (60575, 0, 11, 0, 1, 256, 185);
INSERT INTO public.who_data VALUES (60576, 135, 8437, 2, 210, 256, 138);
INSERT INTO public.who_data VALUES (60577, 20, 453, 0, 2, 256, 181);
INSERT INTO public.who_data VALUES (60578, 2, 246, 0, 6, 256, 178);
INSERT INTO public.who_data VALUES (60579, 0, 31, 0, 0, 256, 168);
INSERT INTO public.who_data VALUES (60580, 0, 0, 0, 0, 256, 160);
INSERT INTO public.who_data VALUES (60581, 323, 4085, 1, 15, 256, 151);
INSERT INTO public.who_data VALUES (60582, 164, 47663, 13, 5999, 256, 193);
INSERT INTO public.who_data VALUES (60583, 1, 21, 0, 0, 256, 18);
INSERT INTO public.who_data VALUES (60584, 0, 1154, 0, 22, 256, 40);
INSERT INTO public.who_data VALUES (60585, 0, 1309, 0, 46, 256, 218);
INSERT INTO public.who_data VALUES (60586, 1, 974, 0, 65, 256, 191);
INSERT INTO public.who_data VALUES (60587, 663, 13464, 4, 365, 256, 156);
INSERT INTO public.who_data VALUES (60588, 0, 0, 0, 0, 256, 135);
INSERT INTO public.who_data VALUES (60589, 2, 30, 0, 2, 256, 88);
INSERT INTO public.who_data VALUES (60590, 87, 3242, 1, 157, 256, 55);
INSERT INTO public.who_data VALUES (60591, 16, 8563, 0, 239, 256, 108);
INSERT INTO public.who_data VALUES (60592, 9, 661, 0, 5, 256, 48);
INSERT INTO public.who_data VALUES (60593, 712, 18198, 2, 83, 256, 3);
INSERT INTO public.who_data VALUES (60594, 0, 741, 0, 13, 256, 224);
INSERT INTO public.who_data VALUES (60595, 5385, 113702, 83, 2255, 256, 110);
INSERT INTO public.who_data VALUES (60596, 0, 0, 0, 0, 256, 106);
INSERT INTO public.who_data VALUES (60597, 429, 16854, 5, 398, 256, 89);
INSERT INTO public.who_data VALUES (60598, 0, 8, 0, 0, 256, 121);
INSERT INTO public.who_data VALUES (60599, 42, 1187, 0, 11, 256, 163);
INSERT INTO public.who_data VALUES (60600, 3181, 199696, 106, 5571, 256, 70);
INSERT INTO public.who_data VALUES (60601, 518, 22992, 6, 1017, 256, 174);
INSERT INTO public.who_data VALUES (60602, 0, 0, 0, 0, 256, 175);
INSERT INTO public.who_data VALUES (60603, 400, 27560, 17, 1183, 256, 118);
INSERT INTO public.who_data VALUES (60604, 421, 35306, 7, 1492, 256, 189);
INSERT INTO public.who_data VALUES (60605, 139, 5185, 0, 142, 256, 124);
INSERT INTO public.who_data VALUES (60606, 1721, 71879, 5, 62, 256, 192);
INSERT INTO public.who_data VALUES (60607, 50, 11901, 2, 276, 256, 41);
INSERT INTO public.who_data VALUES (60608, 218, 10025, 8, 367, 256, 95);
INSERT INTO public.who_data VALUES (60609, 0, 481, 0, 1, 256, 74);
INSERT INTO public.who_data VALUES (60610, 145, 20749, 11, 1345, 256, 11);
INSERT INTO public.who_data VALUES (60611, 8404, 493657, 216, 6358, 256, 87);
INSERT INTO public.who_data VALUES (60612, 12, 463, 0, 2, 256, 214);
INSERT INTO public.who_data VALUES (60613, 0, 3, 0, 0, 256, 116);
INSERT INTO public.who_data VALUES (60614, 0, 6, 0, 0, 256, 157);
INSERT INTO public.who_data VALUES (60615, 0, 0, 0, 0, 256, 182);
INSERT INTO public.who_data VALUES (60616, 0, 15, 0, 0, 256, 186);
INSERT INTO public.who_data VALUES (60617, 0, 19, 0, 0, 256, 127);
INSERT INTO public.who_data VALUES (60618, 0, 41, 0, 3, 256, 232);
INSERT INTO public.who_data VALUES (60619, 0, 1, 0, 0, 256, 33);
INSERT INTO public.who_data VALUES (60620, 0, 27, 0, 0, 256, 97);
INSERT INTO public.who_data VALUES (60621, 0, 0, 0, 0, 256, 42);
INSERT INTO public.who_data VALUES (60622, 0, 695, 0, 42, 256, 198);
INSERT INTO public.who_data VALUES (60623, 0, 295, 0, 10, 256, 216);
INSERT INTO public.who_data VALUES (60624, 3288, 108571, 37, 783, 256, 164);
INSERT INTO public.who_data VALUES (60625, 86, 4516, 3, 52, 256, 235);
INSERT INTO public.who_data VALUES (60626, 69, 11965, 0, 250, 256, 67);
INSERT INTO public.who_data VALUES (60627, 0, 11, 0, 0, 256, 15);
INSERT INTO public.who_data VALUES (60628, 24, 1025, 1, 50, 256, 180);
INSERT INTO public.who_data VALUES (60629, 218, 38514, 0, 25, 256, 237);
INSERT INTO public.who_data VALUES (60630, 0, 2, 0, 0, 256, 25);
INSERT INTO public.who_data VALUES (60631, 0, 77, 0, 15, 256, 209);
INSERT INTO public.who_data VALUES (60632, 2, 1530, 0, 28, 256, 217);
INSERT INTO public.who_data VALUES (60633, 1, 1486, 0, 113, 256, 79);
INSERT INTO public.who_data VALUES (60634, 0, 0, 0, 0, 256, 143);
INSERT INTO public.who_data VALUES (60635, 48, 2416, 1, 85, 256, 229);
INSERT INTO public.who_data VALUES (60636, 2112, 52991, 82, 1162, 256, 141);
INSERT INTO public.who_data VALUES (60637, 2, 1606, 1, 20, 256, 197);
INSERT INTO public.who_data VALUES (60638, 392, 251544, 29, 29433, 256, 221);
INSERT INTO public.who_data VALUES (60639, 2, 1859, 0, 11, 256, 150);
INSERT INTO public.who_data VALUES (60640, 185, 6427, 17, 389, 256, 56);
INSERT INTO public.who_data VALUES (60641, 5, 133, 0, 2, 256, 167);
INSERT INTO public.who_data VALUES (60642, 677, 45358, 38, 4938, 256, 23);
INSERT INTO public.who_data VALUES (60643, 11, 30977, 0, 1719, 256, 222);
INSERT INTO public.who_data VALUES (60644, 2, 146, 0, 6, 256, 219);
INSERT INTO public.who_data VALUES (60645, 81, 4690, 0, 48, 256, 7);
INSERT INTO public.who_data VALUES (60646, 4, 3125, 0, 58, 256, 161);
INSERT INTO public.who_data VALUES (60647, 1099, 265863, 195, 38861, 256, 149);
INSERT INTO public.who_data VALUES (60648, 0, 24, 0, 0, 256, 6);
INSERT INTO public.who_data VALUES (60649, 0, 497, 0, 13, 256, 139);
INSERT INTO public.who_data VALUES (60650, 0, 0, 0, 0, 256, 211);
INSERT INTO public.who_data VALUES (60651, 0, 0, 0, 0, 256, 14);
INSERT INTO public.who_data VALUES (60652, 0, 117, 0, 8, 256, 111);
INSERT INTO public.who_data VALUES (60653, 0, 1087, 0, 49, 256, 207);
INSERT INTO public.who_data VALUES (60654, 993, 172114, 18, 4729, 256, 66);
INSERT INTO public.who_data VALUES (60655, 0, 0, 0, 0, 256, 173);
INSERT INTO public.who_data VALUES (60656, 0, 12, 0, 1, 256, 145);
INSERT INTO public.who_data VALUES (60657, 0, 0, 0, 0, 256, 65);
INSERT INTO public.who_data VALUES (60658, 0, 775, 0, 0, 256, 184);
INSERT INTO public.who_data VALUES (60659, 525, 28381, 23, 833, 256, 98);
INSERT INTO public.who_data VALUES (60660, 528, 39904, 2, 283, 256, 104);
INSERT INTO public.who_data VALUES (60661, 0, 509, 0, 21, 256, 73);
INSERT INTO public.who_data VALUES (60662, 17536, 1951096, 550, 110770, 256, 8);
INSERT INTO public.who_data VALUES (60663, 0, 71, 0, 6, 256, 227);
INSERT INTO public.who_data VALUES (60664, 0, 845, 0, 23, 256, 75);
INSERT INTO public.who_data VALUES (60665, 99, 4547, 0, 18, 256, 45);
INSERT INTO public.who_data VALUES (60666, 0, 0, 0, 0, 256, 133);
INSERT INTO public.who_data VALUES (60667, 96, 2473, 0, 22, 256, 202);
INSERT INTO public.who_data VALUES (60668, 0, 332, 0, 0, 256, 129);
INSERT INTO public.who_data VALUES (60669, 0, 0, 0, 0, 256, 36);
INSERT INTO public.who_data VALUES (60670, 28, 524, 15, 127, 256, 51);
INSERT INTO public.who_data VALUES (60671, 0, 1200, 0, 10, 256, 206);
INSERT INTO public.who_data VALUES (60672, 27, 314, 0, 4, 256, 5);
INSERT INTO public.who_data VALUES (60673, 305, 21308, 7, 380, 257, 103);
INSERT INTO public.who_data VALUES (60674, 36, 1299, 0, 34, 257, 58);
INSERT INTO public.who_data VALUES (60675, 111, 10265, 8, 715, 257, 195);
INSERT INTO public.who_data VALUES (60676, 0, 0, 0, 0, 257, 115);
INSERT INTO public.who_data VALUES (60677, 0, 852, 0, 51, 257, 99);
INSERT INTO public.who_data VALUES (60678, 1, 92, 0, 4, 257, 153);
INSERT INTO public.who_data VALUES (60679, 0, 3, 0, 0, 257, 93);
INSERT INTO public.who_data VALUES (60680, 0, 25, 0, 3, 257, 84);
INSERT INTO public.who_data VALUES (60681, 774, 22794, 14, 670, 257, 78);
INSERT INTO public.who_data VALUES (60682, 195, 13301, 11, 211, 257, 170);
INSERT INTO public.who_data VALUES (60683, 0, 101, 0, 3, 257, 32);
INSERT INTO public.who_data VALUES (60684, 5, 7265, 0, 102, 257, 155);
INSERT INTO public.who_data VALUES (60685, 21, 16889, 0, 672, 257, 82);
INSERT INTO public.who_data VALUES (60686, 323, 7876, 5, 93, 257, 16);
INSERT INTO public.who_data VALUES (60687, 0, 103, 0, 11, 257, 72);
INSERT INTO public.who_data VALUES (60688, 654, 15416, 1, 27, 257, 43);
INSERT INTO public.who_data VALUES (60689, 2735, 68504, 42, 930, 257, 120);
INSERT INTO public.who_data VALUES (60690, 0, 92, 0, 7, 257, 213);
INSERT INTO public.who_data VALUES (60691, 823, 49453, 7, 276, 257, 31);
INSERT INTO public.who_data VALUES (60692, 152, 60064, 9, 9482, 257, 204);
INSERT INTO public.who_data VALUES (60693, 0, 19, 0, 2, 257, 152);
INSERT INTO public.who_data VALUES (60694, 37, 305, 0, 4, 257, 144);
INSERT INTO public.who_data VALUES (60695, 0, 141, 0, 9, 257, 96);
INSERT INTO public.who_data VALUES (60696, 0, 59, 0, 0, 257, 47);
INSERT INTO public.who_data VALUES (60697, 285, 13643, 11, 465, 257, 80);
INSERT INTO public.who_data VALUES (60698, 0, 2, 0, 0, 257, 159);
INSERT INTO public.who_data VALUES (60699, 30, 2703, 0, 159, 257, 27);
INSERT INTO public.who_data VALUES (60700, 2, 42, 0, 1, 257, 146);
INSERT INTO public.who_data VALUES (60701, 18912, 691758, 525, 36455, 257, 71);
INSERT INTO public.who_data VALUES (60702, 0, 8, 0, 1, 257, 210);
INSERT INTO public.who_data VALUES (60703, 0, 141, 0, 2, 257, 54);
INSERT INTO public.who_data VALUES (60704, 83, 2810, 4, 164, 257, 147);
INSERT INTO public.who_data VALUES (60705, 2, 890, 0, 53, 257, 2);
INSERT INTO public.who_data VALUES (60706, 0, 83, 0, 1, 257, 105);
INSERT INTO public.who_data VALUES (60707, 13, 567, 0, 5, 257, 53);
INSERT INTO public.who_data VALUES (60708, 0, 126, 0, 0, 257, 81);
INSERT INTO public.who_data VALUES (60709, 200, 8060, 0, 215, 257, 223);
INSERT INTO public.who_data VALUES (60710, 642, 95699, 27, 7800, 257, 94);
INSERT INTO public.who_data VALUES (60711, 0, 164, 0, 1, 257, 154);
INSERT INTO public.who_data VALUES (60712, 216, 1850, 0, 5, 257, 83);
INSERT INTO public.who_data VALUES (60713, 2, 839, 1, 70, 257, 194);
INSERT INTO public.who_data VALUES (60714, 4696, 138846, 627, 2264, 257, 136);
INSERT INTO public.who_data VALUES (60715, 4, 84638, 0, 4645, 257, 179);
INSERT INTO public.who_data VALUES (60716, 1209, 39236, 54, 1259, 257, 57);
INSERT INTO public.who_data VALUES (60717, 0, 97, 0, 2, 257, 35);
INSERT INTO public.who_data VALUES (60718, 0, 683, -2, 20, 257, 228);
INSERT INTO public.who_data VALUES (60719, 0, 0, 0, 0, 257, 19);
INSERT INTO public.who_data VALUES (60720, 55, 1318, 0, 10, 257, 22);
INSERT INTO public.who_data VALUES (60721, 142, 3881, 2, 38, 257, 1);
INSERT INTO public.who_data VALUES (60722, 0, 2247, 0, 104, 257, 21);
INSERT INTO public.who_data VALUES (60723, 9, 2200, 0, 83, 257, 234);
INSERT INTO public.who_data VALUES (60724, 0, 21, 0, 1, 257, 91);
INSERT INTO public.who_data VALUES (60725, 6, 970, 0, 18, 257, 137);
INSERT INTO public.who_data VALUES (60726, 69, 9697, 1, 328, 257, 201);
INSERT INTO public.who_data VALUES (60727, 0, 0, 0, 0, 257, 171);
INSERT INTO public.who_data VALUES (60728, 90, 4105, 3, 87, 257, 92);
INSERT INTO public.who_data VALUES (60729, 14, 11962, 4, 593, 257, 112);
INSERT INTO public.who_data VALUES (60730, 71, 4278, 3, 31, 257, 62);
INSERT INTO public.who_data VALUES (60731, 0, 16, 0, 0, 257, 69);
INSERT INTO public.who_data VALUES (60732, 526, 20126, 1, 539, 257, 220);
INSERT INTO public.who_data VALUES (60733, 258, 43378, 21, 3642, 257, 100);
INSERT INTO public.who_data VALUES (60734, 1365, 35444, 34, 1271, 257, 187);
INSERT INTO public.who_data VALUES (60735, 89, 3104, 0, 55, 257, 63);
INSERT INTO public.who_data VALUES (60736, 0, 1043, 0, 12, 257, 28);
INSERT INTO public.who_data VALUES (60737, 0, 41, 0, 0, 257, 172);
INSERT INTO public.who_data VALUES (60738, 1, 1940, 0, 63, 257, 17);
INSERT INTO public.who_data VALUES (60739, 7, 340, 0, 3, 257, 226);
INSERT INTO public.who_data VALUES (60740, 136, 2156, 0, 27, 257, 236);
INSERT INTO public.who_data VALUES (60741, 0, 13, 0, 0, 257, 76);
INSERT INTO public.who_data VALUES (60742, 0, 187, 0, 0, 257, 30);
INSERT INTO public.who_data VALUES (60743, 0, 18, 0, 0, 257, 128);
INSERT INTO public.who_data VALUES (60744, 20, 7001, 0, 323, 257, 86);
INSERT INTO public.who_data VALUES (60745, 98, 150413, 52, 29149, 257, 140);
INSERT INTO public.who_data VALUES (60746, 40, 729, 1, 2, 257, 44);
INSERT INTO public.who_data VALUES (60747, 0, 60, 0, 0, 257, 113);
INSERT INTO public.who_data VALUES (60748, 0, 3101, 0, 21, 257, 29);
INSERT INTO public.who_data VALUES (60749, 2, 28, 0, 1, 257, 125);
INSERT INTO public.who_data VALUES (60750, 8, 818, 0, 13, 257, 131);
INSERT INTO public.who_data VALUES (60751, 350, 184543, 37, 8711, 257, 46);
INSERT INTO public.who_data VALUES (60752, 272, 9910, 4, 48, 257, 10);
INSERT INTO public.who_data VALUES (60753, 1, 176, 0, 0, 257, 205);
INSERT INTO public.who_data VALUES (60754, 52, 3049, 2, 182, 257, 50);
INSERT INTO public.who_data VALUES (60755, 0, 13, 0, 0, 257, 20);
INSERT INTO public.who_data VALUES (60756, 0, 23, 0, 0, 257, 13);
INSERT INTO public.who_data VALUES (60757, 0, 164, 0, 14, 257, 148);
INSERT INTO public.who_data VALUES (60758, 0, 171, 0, 5, 257, 230);
INSERT INTO public.who_data VALUES (60759, 263, 7055, 22, 252, 257, 190);
INSERT INTO public.who_data VALUES (60760, 0, 252, 0, 13, 257, 188);
INSERT INTO public.who_data VALUES (60761, 51, 4216, 0, 23, 257, 123);
INSERT INTO public.who_data VALUES (60762, 21, 1389, 0, 12, 257, 9);
INSERT INTO public.who_data VALUES (60763, 0, 154, 0, 12, 257, 102);
INSERT INTO public.who_data VALUES (60764, 262, 3334, 1, 51, 257, 34);
INSERT INTO public.who_data VALUES (60765, 0, 12, 0, 0, 257, 212);
INSERT INTO public.who_data VALUES (60766, 172, 6327, 8, 258, 257, 122);
INSERT INTO public.who_data VALUES (60767, 44, 4014, 6, 548, 257, 38);
INSERT INTO public.who_data VALUES (60768, 0, 1807, 0, 10, 257, 130);
INSERT INTO public.who_data VALUES (60769, 9987, 266598, 331, 7466, 257, 37);
INSERT INTO public.who_data VALUES (60770, 847, 32033, 32, 1883, 257, 231);
INSERT INTO public.who_data VALUES (60771, 2043, 173832, 70, 8351, 257, 107);
INSERT INTO public.who_data VALUES (60772, 1115, 13481, 24, 370, 257, 101);
INSERT INTO public.who_data VALUES (60773, 6, 25207, 4, 1683, 257, 132);
INSERT INTO public.who_data VALUES (60774, 0, 336, 0, 24, 257, 176);
INSERT INTO public.who_data VALUES (60775, 140, 17893, 2, 300, 257, 200);
INSERT INTO public.who_data VALUES (60776, 280, 235278, 65, 33964, 257, 169);
INSERT INTO public.who_data VALUES (60777, 2, 598, 0, 10, 257, 225);
INSERT INTO public.who_data VALUES (60778, 36, 17210, 0, 916, 257, 165);
INSERT INTO public.who_data VALUES (60779, 0, 311, 0, 30, 257, 233);
INSERT INTO public.who_data VALUES (60780, 23, 792, 0, 9, 257, 215);
INSERT INTO public.who_data VALUES (60781, 245, 13319, 3, 61, 257, 177);
INSERT INTO public.who_data VALUES (60782, 95, 2862, 1, 85, 257, 183);
INSERT INTO public.who_data VALUES (60783, 0, 0, 0, 0, 257, 203);
INSERT INTO public.who_data VALUES (60784, 72, 1263, 0, 21, 257, 162);
INSERT INTO public.who_data VALUES (60785, 662, 32510, 5, 269, 257, 12);
INSERT INTO public.who_data VALUES (60786, 23, 2055, 1, 24, 257, 24);
INSERT INTO public.who_data VALUES (60787, 0, 19, 0, 0, 257, 119);
INSERT INTO public.who_data VALUES (60788, 0, 1088, 1, 26, 257, 39);
INSERT INTO public.who_data VALUES (60789, 19, 1350, 0, 30, 257, 26);
INSERT INTO public.who_data VALUES (60790, 0, 4, 0, 0, 257, 59);
INSERT INTO public.who_data VALUES (60791, 11, 370, 0, 30, 257, 77);
INSERT INTO public.who_data VALUES (60792, 62, 332, 0, 5, 257, 134);
INSERT INTO public.who_data VALUES (60793, 0, 83, 0, 1, 257, 4);
INSERT INTO public.who_data VALUES (60794, 6, 1722, 0, 71, 257, 109);
INSERT INTO public.who_data VALUES (60795, 1, 4040, 0, 110, 257, 90);
INSERT INTO public.who_data VALUES (60796, 42, 1094, 0, 9, 257, 61);
INSERT INTO public.who_data VALUES (60797, 5, 443, 0, 4, 257, 85);
INSERT INTO public.who_data VALUES (60798, 7, 8329, 0, 117, 257, 49);
INSERT INTO public.who_data VALUES (60799, 13, 1916, 0, 8, 257, 208);
INSERT INTO public.who_data VALUES (60800, 14, 1547, 0, 92, 257, 166);
INSERT INTO public.who_data VALUES (60801, 1, 629, 0, 9, 257, 64);
INSERT INTO public.who_data VALUES (60802, 0, 0, 0, 0, 257, 199);
INSERT INTO public.who_data VALUES (60803, 0, 202, 0, 14, 257, 114);
INSERT INTO public.who_data VALUES (60804, 102, 1049, 0, 43, 257, 60);
INSERT INTO public.who_data VALUES (60805, 0, 337, 0, 10, 257, 68);
INSERT INTO public.who_data VALUES (60806, 72, 2151, 1, 26, 257, 158);
INSERT INTO public.who_data VALUES (60807, 3484, 117103, 188, 13699, 257, 52);
INSERT INTO public.who_data VALUES (60808, 0, 0, 0, 0, 257, 117);
INSERT INTO public.who_data VALUES (60809, 0, 70, 0, 1, 257, 126);
INSERT INTO public.who_data VALUES (60810, 1, 194, 0, 0, 257, 196);
INSERT INTO public.who_data VALUES (60811, 0, 324, 0, 9, 257, 142);
INSERT INTO public.who_data VALUES (60812, 0, 11, 0, 1, 257, 185);
INSERT INTO public.who_data VALUES (60813, 78, 8302, 0, 208, 257, 138);
INSERT INTO public.who_data VALUES (60814, 9, 433, 0, 2, 257, 181);
INSERT INTO public.who_data VALUES (60815, 2, 244, 0, 6, 257, 178);
INSERT INTO public.who_data VALUES (60816, 2, 31, 0, 0, 257, 168);
INSERT INTO public.who_data VALUES (60817, 0, 0, 0, 0, 257, 160);
INSERT INTO public.who_data VALUES (60818, 314, 3762, 1, 14, 257, 151);
INSERT INTO public.who_data VALUES (60819, 166, 47499, 3, 5986, 257, 193);
INSERT INTO public.who_data VALUES (60820, 0, 20, 0, 0, 257, 18);
INSERT INTO public.who_data VALUES (60821, 0, 1154, 0, 22, 257, 40);
INSERT INTO public.who_data VALUES (60822, 0, 1309, 0, 46, 257, 218);
INSERT INTO public.who_data VALUES (60823, 0, 973, 0, 65, 257, 191);
INSERT INTO public.who_data VALUES (60824, 315, 12801, 7, 361, 257, 156);
INSERT INTO public.who_data VALUES (60825, 0, 0, 0, 0, 257, 135);
INSERT INTO public.who_data VALUES (60826, 1, 28, 0, 2, 257, 88);
INSERT INTO public.who_data VALUES (60827, 127, 3155, 3, 156, 257, 55);
INSERT INTO public.who_data VALUES (60828, 43, 8547, 1, 239, 257, 108);
INSERT INTO public.who_data VALUES (60829, 9, 652, 0, 5, 257, 48);
INSERT INTO public.who_data VALUES (60830, 604, 17486, 6, 81, 257, 3);
INSERT INTO public.who_data VALUES (60831, 0, 741, 0, 13, 257, 224);
INSERT INTO public.who_data VALUES (60832, 4646, 108317, 105, 2172, 257, 110);
INSERT INTO public.who_data VALUES (60833, 0, 0, 0, 0, 257, 106);
INSERT INTO public.who_data VALUES (60834, 421, 16425, 7, 393, 257, 89);
INSERT INTO public.who_data VALUES (60835, 0, 8, 0, 0, 257, 121);
INSERT INTO public.who_data VALUES (60836, 10, 1145, 0, 11, 257, 163);
INSERT INTO public.who_data VALUES (60837, 4757, 196515, 164, 5465, 257, 70);
INSERT INTO public.who_data VALUES (60838, 579, 22474, 8, 1011, 257, 174);
INSERT INTO public.who_data VALUES (60839, 0, 0, 0, 0, 257, 175);
INSERT INTO public.who_data VALUES (60840, 599, 27160, 9, 1166, 257, 118);
INSERT INTO public.who_data VALUES (60841, 392, 34885, 6, 1485, 257, 189);
INSERT INTO public.who_data VALUES (60842, 61, 5046, 0, 142, 257, 124);
INSERT INTO public.who_data VALUES (60843, 1368, 70158, 3, 57, 257, 192);
INSERT INTO public.who_data VALUES (60844, 38, 11851, 1, 274, 257, 41);
INSERT INTO public.who_data VALUES (60845, 107, 9807, 13, 359, 257, 95);
INSERT INTO public.who_data VALUES (60846, 1, 481, 0, 1, 257, 74);
INSERT INTO public.who_data VALUES (60847, 125, 20604, 8, 1334, 257, 11);
INSERT INTO public.who_data VALUES (60848, 8595, 485253, 171, 6142, 257, 87);
INSERT INTO public.who_data VALUES (60849, 12, 451, 0, 2, 257, 214);
INSERT INTO public.who_data VALUES (60850, 0, 3, 0, 0, 257, 116);
INSERT INTO public.who_data VALUES (60851, 0, 6, 0, 0, 257, 157);
INSERT INTO public.who_data VALUES (60852, 0, 0, 0, 0, 257, 182);
INSERT INTO public.who_data VALUES (60853, 0, 15, 0, 0, 257, 186);
INSERT INTO public.who_data VALUES (60854, 0, 19, 0, 0, 257, 127);
INSERT INTO public.who_data VALUES (60855, 0, 41, 0, 3, 257, 232);
INSERT INTO public.who_data VALUES (60856, 0, 1, 0, 0, 257, 33);
INSERT INTO public.who_data VALUES (60857, 1, 27, 0, 0, 257, 97);
INSERT INTO public.who_data VALUES (60858, 0, 0, 0, 0, 257, 42);
INSERT INTO public.who_data VALUES (60859, 0, 695, 0, 42, 257, 198);
INSERT INTO public.who_data VALUES (60860, 0, 295, 0, 10, 257, 216);
INSERT INTO public.who_data VALUES (60861, 3369, 105283, 34, 746, 257, 164);
INSERT INTO public.who_data VALUES (60862, 102, 4430, 0, 49, 257, 235);
INSERT INTO public.who_data VALUES (60863, 73, 11896, 1, 250, 257, 67);
INSERT INTO public.who_data VALUES (60864, 0, 11, 0, 0, 257, 15);
INSERT INTO public.who_data VALUES (60865, 32, 1001, 1, 49, 257, 180);
INSERT INTO public.who_data VALUES (60866, 386, 38296, 0, 25, 257, 237);
INSERT INTO public.who_data VALUES (60867, 0, 2, 0, 0, 257, 25);
INSERT INTO public.who_data VALUES (60868, 0, 77, 0, 15, 257, 209);
INSERT INTO public.who_data VALUES (60869, 0, 1528, 0, 28, 257, 217);
INSERT INTO public.who_data VALUES (60870, 0, 1485, 0, 113, 257, 79);
INSERT INTO public.who_data VALUES (60871, 0, 0, 0, 0, 257, 143);
INSERT INTO public.who_data VALUES (60872, 34, 2368, 1, 84, 257, 229);
INSERT INTO public.who_data VALUES (60873, 2594, 50879, 82, 1080, 257, 141);
INSERT INTO public.who_data VALUES (60874, 287, 1604, 5, 19, 257, 197);
INSERT INTO public.who_data VALUES (60875, 162, 251152, 20, 29404, 257, 221);
INSERT INTO public.who_data VALUES (60876, 22, 1857, 0, 11, 257, 150);
INSERT INTO public.who_data VALUES (60877, 161, 6242, 13, 372, 257, 56);
INSERT INTO public.who_data VALUES (60878, 27, 128, 1, 2, 257, 167);
INSERT INTO public.who_data VALUES (60879, 462, 44681, 33, 4900, 257, 23);
INSERT INTO public.who_data VALUES (60880, 25, 30966, 1, 1719, 257, 222);
INSERT INTO public.who_data VALUES (60881, 3, 144, 0, 6, 257, 219);
INSERT INTO public.who_data VALUES (60882, 80, 4609, 0, 48, 257, 7);
INSERT INTO public.who_data VALUES (60883, 2, 3121, 0, 58, 257, 161);
INSERT INTO public.who_data VALUES (60884, 721, 264764, 47, 38666, 257, 149);
INSERT INTO public.who_data VALUES (60885, 0, 24, 0, 0, 257, 6);
INSERT INTO public.who_data VALUES (60886, 2, 497, 0, 13, 257, 139);
INSERT INTO public.who_data VALUES (60887, 0, 0, 0, 0, 257, 211);
INSERT INTO public.who_data VALUES (60888, 0, 0, 0, 0, 257, 14);
INSERT INTO public.who_data VALUES (60889, 0, 117, 0, 8, 257, 111);
INSERT INTO public.who_data VALUES (60890, 0, 1087, 0, 49, 257, 207);
INSERT INTO public.who_data VALUES (60891, 989, 171121, 19, 4711, 257, 66);
INSERT INTO public.who_data VALUES (60892, 0, 0, 0, 0, 257, 173);
INSERT INTO public.who_data VALUES (60893, 0, 12, 0, 1, 257, 145);
INSERT INTO public.who_data VALUES (60894, 0, 0, 0, 0, 257, 65);
INSERT INTO public.who_data VALUES (60895, 30, 775, 0, 0, 257, 184);
INSERT INTO public.who_data VALUES (60896, 394, 27856, 13, 810, 257, 98);
INSERT INTO public.who_data VALUES (60897, 568, 39376, 5, 281, 257, 104);
INSERT INTO public.who_data VALUES (60898, 0, 509, 0, 21, 257, 73);
INSERT INTO public.who_data VALUES (60899, 17848, 1933560, 474, 110220, 257, 8);
INSERT INTO public.who_data VALUES (60900, 0, 71, 0, 6, 257, 227);
INSERT INTO public.who_data VALUES (60901, 0, 845, 0, 23, 257, 75);
INSERT INTO public.who_data VALUES (60902, 96, 4448, 1, 18, 257, 45);
INSERT INTO public.who_data VALUES (60903, 0, 0, 0, 0, 257, 133);
INSERT INTO public.who_data VALUES (60904, 61, 2377, 0, 22, 257, 202);
INSERT INTO public.who_data VALUES (60905, 3, 332, 0, 0, 257, 129);
INSERT INTO public.who_data VALUES (60906, 0, 0, 0, 0, 257, 36);
INSERT INTO public.who_data VALUES (60907, 12, 496, 0, 112, 257, 51);
INSERT INTO public.who_data VALUES (60908, 46, 1200, 3, 10, 257, 206);
INSERT INTO public.who_data VALUES (60909, 8, 287, 0, 4, 257, 5);
INSERT INTO public.who_data VALUES (60910, 575, 21003, 12, 373, 258, 103);
INSERT INTO public.who_data VALUES (60911, 17, 1263, 0, 34, 258, 58);
INSERT INTO public.who_data VALUES (60912, 104, 10154, 9, 707, 258, 195);
INSERT INTO public.who_data VALUES (60913, 0, 0, 0, 0, 258, 115);
INSERT INTO public.who_data VALUES (60914, 0, 852, 0, 51, 258, 99);
INSERT INTO public.who_data VALUES (60915, 5, 91, 0, 4, 258, 153);
INSERT INTO public.who_data VALUES (60916, 0, 3, 0, 0, 258, 93);
INSERT INTO public.who_data VALUES (60917, 0, 25, 0, 3, 258, 84);
INSERT INTO public.who_data VALUES (60918, 983, 22020, 14, 656, 258, 78);
INSERT INTO public.who_data VALUES (60919, 766, 13106, 10, 200, 258, 170);
INSERT INTO public.who_data VALUES (60920, 0, 101, 0, 3, 258, 32);
INSERT INTO public.who_data VALUES (60921, 5, 7260, 0, 102, 258, 155);
INSERT INTO public.who_data VALUES (60922, 46, 16868, 0, 672, 258, 82);
INSERT INTO public.who_data VALUES (60923, 314, 7553, 4, 88, 258, 16);
INSERT INTO public.who_data VALUES (60924, 0, 103, 0, 11, 258, 72);
INSERT INTO public.who_data VALUES (60925, 379, 14762, 2, 26, 258, 43);
INSERT INTO public.who_data VALUES (60926, 2743, 65769, 42, 888, 258, 120);
INSERT INTO public.who_data VALUES (60927, 0, 92, 0, 7, 258, 213);
INSERT INTO public.who_data VALUES (60928, 1762, 48630, 10, 269, 258, 31);
INSERT INTO public.who_data VALUES (60929, 53, 59912, 12, 9473, 258, 204);
INSERT INTO public.who_data VALUES (60930, 0, 19, 0, 2, 258, 152);
INSERT INTO public.who_data VALUES (60931, 0, 268, 0, 4, 258, 144);
INSERT INTO public.who_data VALUES (60932, 0, 141, 0, 9, 258, 96);
INSERT INTO public.who_data VALUES (60933, 11, 59, 0, 0, 258, 47);
INSERT INTO public.who_data VALUES (60934, 630, 13358, 27, 454, 258, 80);
INSERT INTO public.who_data VALUES (60935, 0, 2, 0, 0, 258, 159);
INSERT INTO public.who_data VALUES (60936, 28, 2673, 1, 159, 258, 27);
INSERT INTO public.who_data VALUES (60937, 0, 40, 0, 1, 258, 146);
INSERT INTO public.who_data VALUES (60938, 27075, 672846, 904, 35930, 258, 71);
INSERT INTO public.who_data VALUES (60939, 0, 8, 0, 1, 258, 210);
INSERT INTO public.who_data VALUES (60940, 0, 141, 0, 2, 258, 54);
INSERT INTO public.who_data VALUES (60941, 16, 2727, 0, 160, 258, 147);
INSERT INTO public.who_data VALUES (60942, 0, 888, 0, 53, 258, 2);
INSERT INTO public.who_data VALUES (60943, 0, 83, 0, 1, 258, 105);
INSERT INTO public.who_data VALUES (60944, 12, 554, 0, 5, 258, 53);
INSERT INTO public.who_data VALUES (60945, 0, 126, 0, 0, 258, 81);
INSERT INTO public.who_data VALUES (60946, 261, 7860, 3, 215, 258, 223);
INSERT INTO public.who_data VALUES (60947, 722, 95057, 70, 7773, 258, 94);
INSERT INTO public.who_data VALUES (60948, 0, 164, 0, 1, 258, 154);
INSERT INTO public.who_data VALUES (60949, 64, 1634, 0, 5, 258, 83);
INSERT INTO public.who_data VALUES (60950, 1, 837, 0, 69, 258, 194);
INSERT INTO public.who_data VALUES (60951, 6405, 134150, 96, 1637, 258, 136);
INSERT INTO public.who_data VALUES (60952, 5, 84634, 0, 4645, 258, 179);
INSERT INTO public.who_data VALUES (60953, 1392, 38027, 60, 1205, 258, 57);
INSERT INTO public.who_data VALUES (60954, 0, 97, 0, 2, 258, 35);
INSERT INTO public.who_data VALUES (60955, 30, 683, 2, 22, 258, 228);
INSERT INTO public.who_data VALUES (60956, 0, 0, 0, 0, 258, 19);
INSERT INTO public.who_data VALUES (60957, 0, 1263, 0, 10, 258, 22);
INSERT INTO public.who_data VALUES (60958, 182, 3739, 0, 36, 258, 1);
INSERT INTO public.who_data VALUES (60959, 0, 2247, 0, 104, 258, 21);
INSERT INTO public.who_data VALUES (60960, 18, 2191, 0, 83, 258, 234);
INSERT INTO public.who_data VALUES (60961, 0, 21, 0, 1, 258, 91);
INSERT INTO public.who_data VALUES (60962, 4, 964, 0, 18, 258, 137);
INSERT INTO public.who_data VALUES (60963, 61, 9628, 0, 327, 258, 201);
INSERT INTO public.who_data VALUES (60964, 0, 0, 0, 0, 258, 171);
INSERT INTO public.who_data VALUES (60965, 138, 4015, 3, 84, 258, 92);
INSERT INTO public.who_data VALUES (60966, 24, 11948, 2, 589, 258, 112);
INSERT INTO public.who_data VALUES (60967, 38, 4207, 2, 28, 258, 62);
INSERT INTO public.who_data VALUES (60968, 0, 16, 0, 0, 258, 69);
INSERT INTO public.who_data VALUES (60969, 405, 19600, 2, 538, 258, 220);
INSERT INTO public.who_data VALUES (60970, 392, 43120, 13, 3621, 258, 100);
INSERT INTO public.who_data VALUES (60971, 1467, 34079, 39, 1237, 258, 187);
INSERT INTO public.who_data VALUES (60972, 81, 3015, 2, 55, 258, 63);
INSERT INTO public.who_data VALUES (60973, 0, 1043, 0, 12, 258, 28);
INSERT INTO public.who_data VALUES (60974, 0, 41, 0, 0, 258, 172);
INSERT INTO public.who_data VALUES (60975, 8, 1939, 0, 63, 258, 17);
INSERT INTO public.who_data VALUES (60976, 11, 333, 0, 3, 258, 226);
INSERT INTO public.who_data VALUES (60977, 86, 2020, 7, 27, 258, 236);
INSERT INTO public.who_data VALUES (60978, 0, 13, 0, 0, 258, 76);
INSERT INTO public.who_data VALUES (60979, 0, 187, 0, 0, 258, 30);
INSERT INTO public.who_data VALUES (60980, 0, 18, 0, 0, 258, 128);
INSERT INTO public.who_data VALUES (60981, 17, 6981, 1, 323, 258, 86);
INSERT INTO public.who_data VALUES (60982, 293, 150315, 13, 29097, 258, 140);
INSERT INTO public.who_data VALUES (60983, 50, 689, 0, 1, 258, 44);
INSERT INTO public.who_data VALUES (60984, 0, 60, 0, 0, 258, 113);
INSERT INTO public.who_data VALUES (60985, 0, 3101, 0, 21, 258, 29);
INSERT INTO public.who_data VALUES (60986, 0, 26, 0, 1, 258, 125);
INSERT INTO public.who_data VALUES (60987, 1, 810, 0, 13, 258, 131);
INSERT INTO public.who_data VALUES (60988, 214, 184193, 6, 8674, 258, 46);
INSERT INTO public.who_data VALUES (60989, 176, 9638, 0, 44, 258, 10);
INSERT INTO public.who_data VALUES (60990, 1, 175, 0, 0, 258, 205);
INSERT INTO public.who_data VALUES (60991, 17, 2997, 0, 180, 258, 50);
INSERT INTO public.who_data VALUES (60992, 0, 13, 0, 0, 258, 20);
INSERT INTO public.who_data VALUES (60993, 0, 23, 0, 0, 258, 13);
INSERT INTO public.who_data VALUES (60994, 0, 164, 0, 14, 258, 148);
INSERT INTO public.who_data VALUES (60995, 0, 171, 0, 5, 258, 230);
INSERT INTO public.who_data VALUES (60996, 307, 6792, 14, 230, 258, 190);
INSERT INTO public.who_data VALUES (60997, 0, 252, 0, 13, 258, 188);
INSERT INTO public.who_data VALUES (60998, 48, 4165, 0, 23, 258, 123);
INSERT INTO public.who_data VALUES (60999, 0, 1368, 0, 12, 258, 9);
INSERT INTO public.who_data VALUES (61000, 1, 154, 0, 12, 258, 102);
INSERT INTO public.who_data VALUES (61001, 148, 3072, 0, 50, 258, 34);
INSERT INTO public.who_data VALUES (61002, 0, 12, 0, 0, 258, 212);
INSERT INTO public.who_data VALUES (61003, 184, 6155, 2, 250, 258, 122);
INSERT INTO public.who_data VALUES (61004, 0, 3970, 0, 542, 258, 38);
INSERT INTO public.who_data VALUES (61005, 1, 1807, 0, 10, 258, 130);
INSERT INTO public.who_data VALUES (61006, 9983, 256611, 206, 7135, 258, 37);
INSERT INTO public.who_data VALUES (61007, 672, 31186, 50, 1851, 258, 231);
INSERT INTO public.who_data VALUES (61008, 2364, 171789, 72, 8281, 258, 107);
INSERT INTO public.who_data VALUES (61009, 1268, 12366, 28, 346, 258, 101);
INSERT INTO public.who_data VALUES (61010, 18, 25201, 9, 1679, 258, 132);
INSERT INTO public.who_data VALUES (61011, 0, 336, 0, 24, 258, 176);
INSERT INTO public.who_data VALUES (61012, 78, 17753, 4, 298, 258, 200);
INSERT INTO public.who_data VALUES (61013, 197, 234998, 53, 33899, 258, 169);
INSERT INTO public.who_data VALUES (61014, 1, 596, 0, 10, 258, 225);
INSERT INTO public.who_data VALUES (61015, 33, 17174, 0, 916, 258, 165);
INSERT INTO public.who_data VALUES (61016, 2, 311, 0, 30, 258, 233);
INSERT INTO public.who_data VALUES (61017, 8, 769, 0, 9, 258, 215);
INSERT INTO public.who_data VALUES (61018, 215, 13074, 2, 58, 258, 177);
INSERT INTO public.who_data VALUES (61019, 167, 2767, 1, 84, 258, 183);
INSERT INTO public.who_data VALUES (61020, 0, 0, 0, 0, 258, 203);
INSERT INTO public.who_data VALUES (61021, 40, 1191, 0, 21, 258, 162);
INSERT INTO public.who_data VALUES (61022, 717, 31848, 10, 264, 258, 12);
INSERT INTO public.who_data VALUES (61023, 25, 2032, 1, 23, 258, 24);
INSERT INTO public.who_data VALUES (61024, 0, 19, 0, 0, 258, 119);
INSERT INTO public.who_data VALUES (61025, 2, 1088, 0, 25, 258, 39);
INSERT INTO public.who_data VALUES (61026, 11, 1331, 1, 30, 258, 26);
INSERT INTO public.who_data VALUES (61027, 0, 4, 0, 0, 258, 59);
INSERT INTO public.who_data VALUES (61028, 14, 359, 0, 30, 258, 77);
INSERT INTO public.who_data VALUES (61029, 14, 270, 0, 5, 258, 134);
INSERT INTO public.who_data VALUES (61030, 0, 83, 0, 1, 258, 4);
INSERT INTO public.who_data VALUES (61031, 7, 1716, 0, 71, 258, 109);
INSERT INTO public.who_data VALUES (61032, 4, 4039, 0, 110, 258, 90);
INSERT INTO public.who_data VALUES (61033, 26, 1052, 1, 9, 258, 61);
INSERT INTO public.who_data VALUES (61034, 29, 438, 0, 4, 258, 85);
INSERT INTO public.who_data VALUES (61035, 19, 8322, 0, 117, 258, 49);
INSERT INTO public.who_data VALUES (61036, 2, 1903, 0, 8, 258, 208);
INSERT INTO public.who_data VALUES (61037, 10, 1533, 2, 92, 258, 166);
INSERT INTO public.who_data VALUES (61038, 2, 628, 0, 9, 258, 64);
INSERT INTO public.who_data VALUES (61039, 0, 0, 0, 0, 258, 199);
INSERT INTO public.who_data VALUES (61040, 0, 202, 0, 14, 258, 114);
INSERT INTO public.who_data VALUES (61041, 0, 947, 0, 43, 258, 60);
INSERT INTO public.who_data VALUES (61042, 0, 337, 0, 10, 258, 68);
INSERT INTO public.who_data VALUES (61043, 0, 2079, 0, 25, 258, 158);
INSERT INTO public.who_data VALUES (61044, 3593, 113619, 341, 13511, 258, 52);
INSERT INTO public.who_data VALUES (61045, 0, 0, 0, 0, 258, 117);
INSERT INTO public.who_data VALUES (61046, 0, 70, 0, 1, 258, 126);
INSERT INTO public.who_data VALUES (61047, 0, 193, 0, 0, 258, 196);
INSERT INTO public.who_data VALUES (61048, 0, 324, 0, 9, 258, 142);
INSERT INTO public.who_data VALUES (61049, 0, 11, 0, 1, 258, 185);
INSERT INTO public.who_data VALUES (61050, 73, 8224, 0, 208, 258, 138);
INSERT INTO public.who_data VALUES (61051, 15, 424, 0, 2, 258, 181);
INSERT INTO public.who_data VALUES (61052, 2, 242, 0, 6, 258, 178);
INSERT INTO public.who_data VALUES (61053, 0, 29, 0, 0, 258, 168);
INSERT INTO public.who_data VALUES (61054, 0, 0, 0, 0, 258, 160);
INSERT INTO public.who_data VALUES (61055, 213, 3448, 0, 13, 258, 151);
INSERT INTO public.who_data VALUES (61056, 239, 47333, 3, 5983, 258, 193);
INSERT INTO public.who_data VALUES (61057, 0, 20, 0, 0, 258, 18);
INSERT INTO public.who_data VALUES (61058, 0, 1154, 0, 22, 258, 40);
INSERT INTO public.who_data VALUES (61059, 0, 1309, 0, 46, 258, 218);
INSERT INTO public.who_data VALUES (61060, 3, 973, 0, 65, 258, 191);
INSERT INTO public.who_data VALUES (61061, 253, 12486, 12, 354, 258, 156);
INSERT INTO public.who_data VALUES (61062, 0, 0, 0, 0, 258, 135);
INSERT INTO public.who_data VALUES (61063, 1, 27, 0, 2, 258, 88);
INSERT INTO public.who_data VALUES (61064, 113, 3028, 2, 153, 258, 55);
INSERT INTO public.who_data VALUES (61065, 0, 8504, 0, 238, 258, 108);
INSERT INTO public.who_data VALUES (61066, 0, 643, 0, 5, 258, 48);
INSERT INTO public.who_data VALUES (61067, 866, 16882, 3, 75, 258, 3);
INSERT INTO public.who_data VALUES (61068, 0, 741, 0, 13, 258, 224);
INSERT INTO public.who_data VALUES (61069, 4728, 103671, 65, 2067, 258, 110);
INSERT INTO public.who_data VALUES (61070, 0, 0, 0, 0, 258, 106);
INSERT INTO public.who_data VALUES (61071, 541, 16004, 16, 386, 258, 89);
INSERT INTO public.who_data VALUES (61072, 0, 8, 0, 0, 258, 121);
INSERT INTO public.who_data VALUES (61073, 45, 1135, 0, 11, 258, 163);
INSERT INTO public.who_data VALUES (61074, 4358, 191758, 139, 5301, 258, 70);
INSERT INTO public.who_data VALUES (61075, 555, 21895, 9, 1003, 258, 174);
INSERT INTO public.who_data VALUES (61076, 0, 0, 0, 0, 258, 175);
INSERT INTO public.who_data VALUES (61077, 575, 26561, 4, 1157, 258, 118);
INSERT INTO public.who_data VALUES (61078, 142, 34493, 5, 1479, 258, 189);
INSERT INTO public.who_data VALUES (61079, 70, 4985, 0, 142, 258, 124);
INSERT INTO public.who_data VALUES (61080, 1595, 68790, 3, 54, 258, 192);
INSERT INTO public.who_data VALUES (61081, 37, 11813, 0, 273, 258, 41);
INSERT INTO public.who_data VALUES (61082, 189, 9700, 11, 346, 258, 95);
INSERT INTO public.who_data VALUES (61083, 0, 480, 0, 1, 258, 74);
INSERT INTO public.who_data VALUES (61084, 189, 20479, 8, 1326, 258, 11);
INSERT INTO public.who_data VALUES (61085, 8985, 476658, 112, 5971, 258, 87);
INSERT INTO public.who_data VALUES (61086, 8, 439, 0, 2, 258, 214);
INSERT INTO public.who_data VALUES (61087, 0, 3, 0, 0, 258, 116);
INSERT INTO public.who_data VALUES (61088, 0, 6, 0, 0, 258, 157);
INSERT INTO public.who_data VALUES (61089, 0, 0, 0, 0, 258, 182);
INSERT INTO public.who_data VALUES (61090, 0, 15, 0, 0, 258, 186);
INSERT INTO public.who_data VALUES (61091, 0, 19, 0, 0, 258, 127);
INSERT INTO public.who_data VALUES (61092, 0, 41, 0, 3, 258, 232);
INSERT INTO public.who_data VALUES (61093, 0, 1, 0, 0, 258, 33);
INSERT INTO public.who_data VALUES (61094, 0, 26, 0, 0, 258, 97);
INSERT INTO public.who_data VALUES (61095, 0, 0, 0, 0, 258, 42);
INSERT INTO public.who_data VALUES (61096, 0, 695, 0, 42, 258, 198);
INSERT INTO public.who_data VALUES (61097, 0, 295, 0, 10, 258, 216);
INSERT INTO public.who_data VALUES (61098, 3045, 101914, 36, 712, 258, 164);
INSERT INTO public.who_data VALUES (61099, 79, 4328, 2, 49, 258, 235);
INSERT INTO public.who_data VALUES (61100, 82, 11823, 1, 249, 258, 67);
INSERT INTO public.who_data VALUES (61101, 0, 11, 0, 0, 258, 15);
INSERT INTO public.who_data VALUES (61102, 23, 969, 0, 48, 258, 180);
INSERT INTO public.who_data VALUES (61103, 383, 37910, 0, 25, 258, 237);
INSERT INTO public.who_data VALUES (61104, 0, 2, 0, 0, 258, 25);
INSERT INTO public.who_data VALUES (61105, 0, 77, 0, 15, 258, 209);
INSERT INTO public.who_data VALUES (61106, 2, 1528, 0, 28, 258, 217);
INSERT INTO public.who_data VALUES (61107, 1, 1485, 0, 113, 258, 79);
INSERT INTO public.who_data VALUES (61108, 0, 0, 0, 0, 258, 143);
INSERT INTO public.who_data VALUES (61109, 45, 2334, 1, 83, 258, 229);
INSERT INTO public.who_data VALUES (61110, 2312, 48285, 46, 998, 258, 141);
INSERT INTO public.who_data VALUES (61111, 0, 1317, 0, 14, 258, 197);
INSERT INTO public.who_data VALUES (61112, 288, 250990, 30, 29384, 258, 221);
INSERT INTO public.who_data VALUES (61113, 21, 1835, 0, 11, 258, 150);
INSERT INTO public.who_data VALUES (61114, 0, 6081, 0, 359, 258, 56);
INSERT INTO public.who_data VALUES (61115, 11, 101, 0, 1, 258, 167);
INSERT INTO public.who_data VALUES (61116, 780, 44219, 29, 4867, 258, 23);
INSERT INTO public.who_data VALUES (61117, 8, 30941, 0, 1718, 258, 222);
INSERT INTO public.who_data VALUES (61118, 16, 141, 0, 6, 258, 219);
INSERT INTO public.who_data VALUES (61119, 76, 4529, 0, 48, 258, 7);
INSERT INTO public.who_data VALUES (61120, 7, 3119, 0, 58, 258, 161);
INSERT INTO public.who_data VALUES (61121, 801, 264043, 54, 38619, 258, 149);
INSERT INTO public.who_data VALUES (61122, 0, 24, 0, 0, 258, 6);
INSERT INTO public.who_data VALUES (61123, 8, 495, 0, 13, 258, 139);
INSERT INTO public.who_data VALUES (61124, 0, 0, 0, 0, 258, 211);
INSERT INTO public.who_data VALUES (61125, 0, 0, 0, 0, 258, 14);
INSERT INTO public.who_data VALUES (61126, 0, 117, 0, 8, 258, 111);
INSERT INTO public.who_data VALUES (61127, 0, 1087, 0, 49, 258, 207);
INSERT INTO public.who_data VALUES (61128, 914, 170132, 23, 4692, 258, 66);
INSERT INTO public.who_data VALUES (61129, 0, 0, 0, 0, 258, 173);
INSERT INTO public.who_data VALUES (61130, 0, 12, 0, 1, 258, 145);
INSERT INTO public.who_data VALUES (61131, 0, 0, 0, 0, 258, 65);
INSERT INTO public.who_data VALUES (61132, 23, 745, 0, 0, 258, 184);
INSERT INTO public.who_data VALUES (61133, 463, 27462, 9, 797, 258, 98);
INSERT INTO public.who_data VALUES (61134, 540, 38808, 1, 276, 258, 104);
INSERT INTO public.who_data VALUES (61135, 0, 509, 0, 21, 258, 73);
INSERT INTO public.who_data VALUES (61136, 28918, 1915712, 708, 109746, 258, 8);
INSERT INTO public.who_data VALUES (61137, 0, 71, 0, 6, 258, 227);
INSERT INTO public.who_data VALUES (61138, 11, 845, 0, 23, 258, 75);
INSERT INTO public.who_data VALUES (61139, 171, 4352, 0, 17, 258, 45);
INSERT INTO public.who_data VALUES (61140, 0, 0, 0, 0, 258, 133);
INSERT INTO public.who_data VALUES (61141, 171, 2316, 2, 22, 258, 202);
INSERT INTO public.who_data VALUES (61142, 0, 329, 0, 0, 258, 129);
INSERT INTO public.who_data VALUES (61143, 0, 0, 0, 0, 258, 36);
INSERT INTO public.who_data VALUES (61144, 2, 484, 1, 112, 258, 51);
INSERT INTO public.who_data VALUES (61145, 0, 1154, 0, 7, 258, 206);
INSERT INTO public.who_data VALUES (61146, 0, 279, 0, 4, 258, 5);
INSERT INTO public.who_data VALUES (61147, 791, 20428, 30, 361, 259, 103);
INSERT INTO public.who_data VALUES (61148, 14, 1246, 0, 34, 259, 58);
INSERT INTO public.who_data VALUES (61149, 115, 10050, 8, 698, 259, 195);
INSERT INTO public.who_data VALUES (61150, 0, 0, 0, 0, 259, 115);
INSERT INTO public.who_data VALUES (61151, 0, 852, 0, 51, 259, 99);
INSERT INTO public.who_data VALUES (61152, 0, 86, 0, 4, 259, 153);
INSERT INTO public.who_data VALUES (61153, 0, 3, 0, 0, 259, 93);
INSERT INTO public.who_data VALUES (61154, 0, 25, 0, 3, 259, 84);
INSERT INTO public.who_data VALUES (61155, 840, 21037, 27, 642, 259, 78);
INSERT INTO public.who_data VALUES (61156, 547, 12340, 7, 190, 259, 170);
INSERT INTO public.who_data VALUES (61157, 0, 101, 0, 3, 259, 32);
INSERT INTO public.who_data VALUES (61158, 4, 7255, 0, 102, 259, 155);
INSERT INTO public.who_data VALUES (61159, 19, 16822, 0, 672, 259, 82);
INSERT INTO public.who_data VALUES (61160, 379, 7239, 2, 84, 259, 16);
INSERT INTO public.who_data VALUES (61161, 1, 103, 0, 11, 259, 72);
INSERT INTO public.who_data VALUES (61162, 548, 14383, 2, 24, 259, 43);
INSERT INTO public.who_data VALUES (61163, 2635, 63026, 35, 846, 259, 120);
INSERT INTO public.who_data VALUES (61164, 0, 92, 0, 7, 259, 213);
INSERT INTO public.who_data VALUES (61165, 0, 46868, 0, 259, 259, 31);
INSERT INTO public.who_data VALUES (61166, 69, 59859, 11, 9461, 259, 204);
INSERT INTO public.who_data VALUES (61167, 1, 19, 0, 2, 259, 152);
INSERT INTO public.who_data VALUES (61168, 7, 268, 1, 4, 259, 144);
INSERT INTO public.who_data VALUES (61169, 0, 141, 0, 9, 259, 96);
INSERT INTO public.who_data VALUES (61170, 0, 48, 0, 0, 259, 47);
INSERT INTO public.who_data VALUES (61171, 483, 12728, 12, 427, 259, 80);
INSERT INTO public.who_data VALUES (61172, 0, 2, 0, 0, 259, 159);
INSERT INTO public.who_data VALUES (61173, 40, 2645, 0, 158, 259, 27);
INSERT INTO public.who_data VALUES (61174, 0, 40, 0, 1, 259, 146);
INSERT INTO public.who_data VALUES (61175, 30830, 645771, 1005, 35026, 259, 71);
INSERT INTO public.who_data VALUES (61176, 0, 8, 0, 1, 259, 210);
INSERT INTO public.who_data VALUES (61177, 0, 141, 0, 2, 259, 54);
INSERT INTO public.who_data VALUES (61178, 43, 2711, 0, 160, 259, 147);
INSERT INTO public.who_data VALUES (61179, 3, 888, 0, 53, 259, 2);
INSERT INTO public.who_data VALUES (61180, 20, 83, 0, 1, 259, 105);
INSERT INTO public.who_data VALUES (61181, 6, 542, 0, 5, 259, 53);
INSERT INTO public.who_data VALUES (61182, 1, 126, 0, 0, 259, 81);
INSERT INTO public.who_data VALUES (61183, 207, 7599, 7, 212, 259, 223);
INSERT INTO public.who_data VALUES (61184, 265, 94335, 51, 7703, 259, 94);
INSERT INTO public.who_data VALUES (61185, 4, 164, 0, 1, 259, 154);
INSERT INTO public.who_data VALUES (61186, 119, 1570, 1, 5, 259, 83);
INSERT INTO public.who_data VALUES (61187, 0, 836, 1, 69, 259, 194);
INSERT INTO public.who_data VALUES (61188, 5246, 127745, 93, 1541, 259, 136);
INSERT INTO public.who_data VALUES (61189, 9, 84629, 0, 4645, 259, 179);
INSERT INTO public.who_data VALUES (61190, 1515, 36635, 58, 1145, 259, 57);
INSERT INTO public.who_data VALUES (61191, 35, 97, 0, 2, 259, 35);
INSERT INTO public.who_data VALUES (61192, 14, 653, 0, 20, 259, 228);
INSERT INTO public.who_data VALUES (61193, 0, 0, 0, 0, 259, 19);
INSERT INTO public.who_data VALUES (61194, 69, 1263, 0, 10, 259, 22);
INSERT INTO public.who_data VALUES (61195, 126, 3557, 0, 36, 259, 1);
INSERT INTO public.who_data VALUES (61196, 0, 2247, 1, 104, 259, 21);
INSERT INTO public.who_data VALUES (61197, 40, 2173, 0, 83, 259, 234);
INSERT INTO public.who_data VALUES (61198, 0, 21, 0, 1, 259, 91);
INSERT INTO public.who_data VALUES (61199, 0, 960, 1, 18, 259, 137);
INSERT INTO public.who_data VALUES (61200, 38, 9567, 0, 327, 259, 201);
INSERT INTO public.who_data VALUES (61201, 0, 0, 0, 0, 259, 171);
INSERT INTO public.who_data VALUES (61202, 114, 3877, 1, 81, 259, 92);
INSERT INTO public.who_data VALUES (61203, 49, 11924, 1, 587, 259, 112);
INSERT INTO public.who_data VALUES (61204, 46, 4169, 0, 26, 259, 62);
INSERT INTO public.who_data VALUES (61205, 0, 16, 0, 0, 259, 69);
INSERT INTO public.who_data VALUES (61206, 487, 19195, 11, 536, 259, 220);
INSERT INTO public.who_data VALUES (61207, 622, 42728, 16, 3608, 259, 100);
INSERT INTO public.who_data VALUES (61208, 1497, 32612, 32, 1198, 259, 187);
INSERT INTO public.who_data VALUES (61209, 85, 2934, 0, 53, 259, 63);
INSERT INTO public.who_data VALUES (61210, 0, 1043, 0, 12, 259, 28);
INSERT INTO public.who_data VALUES (61211, 0, 41, 0, 0, 259, 172);
INSERT INTO public.who_data VALUES (61212, 21, 1931, 0, 63, 259, 17);
INSERT INTO public.who_data VALUES (61213, 17, 322, 0, 3, 259, 226);
INSERT INTO public.who_data VALUES (61214, 129, 1934, 1, 20, 259, 236);
INSERT INTO public.who_data VALUES (61215, 0, 13, 0, 0, 259, 76);
INSERT INTO public.who_data VALUES (61216, 0, 187, 0, 0, 259, 30);
INSERT INTO public.who_data VALUES (61217, 0, 18, 0, 0, 259, 128);
INSERT INTO public.who_data VALUES (61218, 23, 6964, 0, 322, 259, 86);
INSERT INTO public.who_data VALUES (61219, 527, 150022, 31, 29084, 259, 140);
INSERT INTO public.who_data VALUES (61220, 50, 639, 0, 1, 259, 44);
INSERT INTO public.who_data VALUES (61221, 0, 60, 0, 0, 259, 113);
INSERT INTO public.who_data VALUES (61222, 0, 3101, 0, 21, 259, 29);
INSERT INTO public.who_data VALUES (61223, 0, 26, 0, 1, 259, 125);
INSERT INTO public.who_data VALUES (61224, 1, 809, 0, 13, 259, 131);
INSERT INTO public.who_data VALUES (61225, 301, 183979, 22, 8668, 259, 46);
INSERT INTO public.who_data VALUES (61226, 294, 9462, 2, 44, 259, 10);
INSERT INTO public.who_data VALUES (61227, 0, 174, 0, 0, 259, 205);
INSERT INTO public.who_data VALUES (61228, 13, 2980, 0, 180, 259, 50);
INSERT INTO public.who_data VALUES (61229, 0, 13, 0, 0, 259, 20);
INSERT INTO public.who_data VALUES (61230, 0, 23, 0, 0, 259, 13);
INSERT INTO public.who_data VALUES (61231, 0, 164, 0, 14, 259, 148);
INSERT INTO public.who_data VALUES (61232, 0, 171, 0, 5, 259, 230);
INSERT INTO public.who_data VALUES (61233, 331, 6485, 58, 216, 259, 190);
INSERT INTO public.who_data VALUES (61234, 0, 252, 0, 13, 259, 188);
INSERT INTO public.who_data VALUES (61235, 57, 4117, 0, 23, 259, 123);
INSERT INTO public.who_data VALUES (61236, 0, 1368, 0, 12, 259, 9);
INSERT INTO public.who_data VALUES (61237, 0, 153, 0, 12, 259, 102);
INSERT INTO public.who_data VALUES (61238, 284, 2924, 0, 50, 259, 34);
INSERT INTO public.who_data VALUES (61239, 0, 12, 0, 0, 259, 212);
INSERT INTO public.who_data VALUES (61240, 91, 5971, 5, 248, 259, 122);
INSERT INTO public.who_data VALUES (61241, 0, 3970, 0, 542, 259, 38);
INSERT INTO public.who_data VALUES (61242, 0, 1806, 0, 10, 259, 130);
INSERT INTO public.who_data VALUES (61243, 9971, 246628, 287, 6929, 259, 37);
INSERT INTO public.who_data VALUES (61244, 993, 30514, 31, 1801, 259, 231);
INSERT INTO public.who_data VALUES (61245, 2269, 169425, 75, 8209, 259, 107);
INSERT INTO public.who_data VALUES (61246, 1252, 11098, 33, 318, 259, 101);
INSERT INTO public.who_data VALUES (61247, 20, 25183, 0, 1670, 259, 132);
INSERT INTO public.who_data VALUES (61248, 0, 336, 0, 24, 259, 176);
INSERT INTO public.who_data VALUES (61249, 127, 17675, 1, 294, 259, 200);
INSERT INTO public.who_data VALUES (61250, 270, 234801, 72, 33846, 259, 169);
INSERT INTO public.who_data VALUES (61251, 4, 595, 0, 10, 259, 225);
INSERT INTO public.who_data VALUES (61252, 38, 17141, 2, 916, 259, 165);
INSERT INTO public.who_data VALUES (61253, 0, 309, 0, 30, 259, 233);
INSERT INTO public.who_data VALUES (61254, 6, 761, 0, 9, 259, 215);
INSERT INTO public.who_data VALUES (61255, 165, 12859, 2, 56, 259, 177);
INSERT INTO public.who_data VALUES (61256, 126, 2600, 4, 83, 259, 183);
INSERT INTO public.who_data VALUES (61257, 0, 0, 0, 0, 259, 203);
INSERT INTO public.who_data VALUES (61258, 9, 1151, 0, 21, 259, 162);
INSERT INTO public.who_data VALUES (61259, 487, 31131, 10, 254, 259, 12);
INSERT INTO public.who_data VALUES (61260, 33, 2007, 0, 22, 259, 24);
INSERT INTO public.who_data VALUES (61261, 0, 19, 0, 0, 259, 119);
INSERT INTO public.who_data VALUES (61262, 4, 1086, 0, 25, 259, 39);
INSERT INTO public.who_data VALUES (61263, 8, 1320, 1, 29, 259, 26);
INSERT INTO public.who_data VALUES (61264, 0, 4, 0, 0, 259, 59);
INSERT INTO public.who_data VALUES (61265, 11, 345, 0, 30, 259, 77);
INSERT INTO public.who_data VALUES (61266, 17, 256, 0, 5, 259, 134);
INSERT INTO public.who_data VALUES (61267, 0, 83, 0, 1, 259, 4);
INSERT INTO public.who_data VALUES (61268, 9, 1709, 0, 71, 259, 109);
INSERT INTO public.who_data VALUES (61269, 3, 4035, 0, 110, 259, 90);
INSERT INTO public.who_data VALUES (61270, 51, 1026, 1, 8, 259, 61);
INSERT INTO public.who_data VALUES (61271, 0, 409, 0, 4, 259, 85);
INSERT INTO public.who_data VALUES (61272, 37, 8303, 1, 117, 259, 49);
INSERT INTO public.who_data VALUES (61273, 18, 1901, 1, 8, 259, 208);
INSERT INTO public.who_data VALUES (61274, 38, 1523, 3, 90, 259, 166);
INSERT INTO public.who_data VALUES (61275, 2, 626, 0, 9, 259, 64);
INSERT INTO public.who_data VALUES (61276, 0, 0, 0, 0, 259, 199);
INSERT INTO public.who_data VALUES (61277, 2, 202, 0, 14, 259, 114);
INSERT INTO public.who_data VALUES (61278, 64, 947, 0, 43, 259, 60);
INSERT INTO public.who_data VALUES (61279, 0, 337, 0, 10, 259, 68);
INSERT INTO public.who_data VALUES (61280, 0, 2079, 0, 25, 259, 158);
INSERT INTO public.who_data VALUES (61281, 4346, 110026, 625, 13170, 259, 52);
INSERT INTO public.who_data VALUES (61282, 0, 0, 0, 0, 259, 117);
INSERT INTO public.who_data VALUES (61283, 0, 70, 0, 1, 259, 126);
INSERT INTO public.who_data VALUES (61284, 2, 193, 0, 0, 259, 196);
INSERT INTO public.who_data VALUES (61285, 0, 324, 0, 9, 259, 142);
INSERT INTO public.who_data VALUES (61286, 0, 11, 0, 1, 259, 185);
INSERT INTO public.who_data VALUES (61287, 80, 8151, 0, 208, 259, 138);
INSERT INTO public.who_data VALUES (61288, 57, 409, 0, 2, 259, 181);
INSERT INTO public.who_data VALUES (61289, 4, 240, 0, 6, 259, 178);
INSERT INTO public.who_data VALUES (61290, 4, 29, 0, 0, 259, 168);
INSERT INTO public.who_data VALUES (61291, 0, 0, 0, 0, 259, 160);
INSERT INTO public.who_data VALUES (61292, 323, 3235, 2, 13, 259, 151);
INSERT INTO public.who_data VALUES (61293, 190, 47094, 8, 5980, 259, 193);
INSERT INTO public.who_data VALUES (61294, 0, 20, 0, 0, 259, 18);
INSERT INTO public.who_data VALUES (61295, 0, 1154, 0, 22, 259, 40);
INSERT INTO public.who_data VALUES (61296, 0, 1309, 0, 46, 259, 218);
INSERT INTO public.who_data VALUES (61297, 4, 970, 0, 65, 259, 191);
INSERT INTO public.who_data VALUES (61298, 389, 12233, 9, 342, 259, 156);
INSERT INTO public.who_data VALUES (61299, 0, 0, 0, 0, 259, 135);
INSERT INTO public.who_data VALUES (61300, 0, 26, 0, 2, 259, 88);
INSERT INTO public.who_data VALUES (61301, 123, 2915, 2, 151, 259, 55);
INSERT INTO public.who_data VALUES (61302, 0, 8504, 0, 238, 259, 108);
INSERT INTO public.who_data VALUES (61303, 0, 643, 0, 5, 259, 48);
INSERT INTO public.who_data VALUES (61304, 930, 16016, 0, 72, 259, 3);
INSERT INTO public.who_data VALUES (61305, 0, 741, 0, 13, 259, 224);
INSERT INTO public.who_data VALUES (61306, 4960, 98943, 67, 2002, 259, 110);
INSERT INTO public.who_data VALUES (61307, 0, 0, 0, 0, 259, 106);
INSERT INTO public.who_data VALUES (61308, 419, 15463, 7, 370, 259, 89);
INSERT INTO public.who_data VALUES (61309, 0, 8, 0, 0, 259, 121);
INSERT INTO public.who_data VALUES (61310, 3, 1090, 0, 11, 259, 163);
INSERT INTO public.who_data VALUES (61311, 4202, 187400, 131, 5162, 259, 70);
INSERT INTO public.who_data VALUES (61312, 714, 21340, 7, 994, 259, 174);
INSERT INTO public.who_data VALUES (61313, 0, 0, 0, 0, 259, 175);
INSERT INTO public.who_data VALUES (61314, 567, 25986, 16, 1153, 259, 118);
INSERT INTO public.who_data VALUES (61315, 382, 34351, 9, 1474, 259, 189);
INSERT INTO public.who_data VALUES (61316, 295, 4915, 1, 142, 259, 124);
INSERT INTO public.who_data VALUES (61317, 1700, 67195, 2, 51, 259, 192);
INSERT INTO public.who_data VALUES (61318, 57, 11776, 0, 273, 259, 41);
INSERT INTO public.who_data VALUES (61319, 264, 9511, 12, 335, 259, 95);
INSERT INTO public.who_data VALUES (61320, 0, 480, 0, 1, 259, 74);
INSERT INTO public.who_data VALUES (61321, 187, 20290, 10, 1318, 259, 11);
INSERT INTO public.who_data VALUES (61322, 8984, 467673, 134, 5859, 259, 87);
INSERT INTO public.who_data VALUES (61323, 11, 431, 0, 2, 259, 214);
INSERT INTO public.who_data VALUES (61324, 0, 3, 0, 0, 259, 116);
INSERT INTO public.who_data VALUES (61325, 0, 6, 0, 0, 259, 157);
INSERT INTO public.who_data VALUES (61326, 0, 0, 0, 0, 259, 182);
INSERT INTO public.who_data VALUES (61327, 0, 15, 0, 0, 259, 186);
INSERT INTO public.who_data VALUES (61328, 0, 19, 0, 0, 259, 127);
INSERT INTO public.who_data VALUES (61329, 0, 41, 0, 3, 259, 232);
INSERT INTO public.who_data VALUES (61330, 0, 1, 0, 0, 259, 33);
INSERT INTO public.who_data VALUES (61331, 0, 26, 0, 0, 259, 97);
INSERT INTO public.who_data VALUES (61332, 0, 0, 0, 0, 259, 42);
INSERT INTO public.who_data VALUES (61333, 0, 695, 0, 42, 259, 198);
INSERT INTO public.who_data VALUES (61334, 0, 295, 0, 10, 259, 216);
INSERT INTO public.who_data VALUES (61335, 3121, 98869, 34, 676, 259, 164);
INSERT INTO public.who_data VALUES (61336, 94, 4249, 2, 47, 259, 235);
INSERT INTO public.who_data VALUES (61337, 74, 11741, 1, 248, 259, 67);
INSERT INTO public.who_data VALUES (61338, 0, 11, 0, 0, 259, 15);
INSERT INTO public.who_data VALUES (61339, 17, 946, 1, 48, 259, 180);
INSERT INTO public.who_data VALUES (61340, 344, 37527, 1, 25, 259, 237);
INSERT INTO public.who_data VALUES (61341, 0, 2, 0, 0, 259, 25);
INSERT INTO public.who_data VALUES (61342, 0, 77, 0, 15, 259, 209);
INSERT INTO public.who_data VALUES (61343, 0, 1526, 0, 28, 259, 217);
INSERT INTO public.who_data VALUES (61344, 5, 1484, 0, 113, 259, 79);
INSERT INTO public.who_data VALUES (61345, 0, 0, 0, 0, 259, 143);
INSERT INTO public.who_data VALUES (61346, 85, 2289, 3, 82, 259, 229);
INSERT INTO public.who_data VALUES (61347, 2539, 45973, 44, 952, 259, 141);
INSERT INTO public.who_data VALUES (61348, 0, 1317, 0, 14, 259, 197);
INSERT INTO public.who_data VALUES (61349, 738, 250702, 23, 29354, 259, 221);
INSERT INTO public.who_data VALUES (61350, 13, 1814, 0, 11, 259, 150);
INSERT INTO public.who_data VALUES (61351, 215, 6081, 12, 359, 259, 56);
INSERT INTO public.who_data VALUES (61352, 8, 90, 0, 1, 259, 167);
INSERT INTO public.who_data VALUES (61353, 1146, 43439, 37, 4838, 259, 23);
INSERT INTO public.who_data VALUES (61354, 10, 30933, 1, 1718, 259, 222);
INSERT INTO public.who_data VALUES (61355, 1, 125, 0, 6, 259, 219);
INSERT INTO public.who_data VALUES (61356, 83, 4453, 0, 48, 259, 7);
INSERT INTO public.who_data VALUES (61357, 8, 3112, 0, 58, 259, 161);
INSERT INTO public.who_data VALUES (61358, 1120, 263242, 143, 38565, 259, 149);
INSERT INTO public.who_data VALUES (61359, 0, 24, 0, 0, 259, 6);
INSERT INTO public.who_data VALUES (61360, 2, 487, 0, 13, 259, 139);
INSERT INTO public.who_data VALUES (61361, 0, 0, 0, 0, 259, 211);
INSERT INTO public.who_data VALUES (61362, 0, 0, 0, 0, 259, 14);
INSERT INTO public.who_data VALUES (61363, 0, 117, 0, 8, 259, 111);
INSERT INTO public.who_data VALUES (61364, 0, 1087, 0, 49, 259, 207);
INSERT INTO public.who_data VALUES (61365, 878, 169218, 21, 4669, 259, 66);
INSERT INTO public.who_data VALUES (61366, 0, 0, 0, 0, 259, 173);
INSERT INTO public.who_data VALUES (61367, 0, 12, 0, 1, 259, 145);
INSERT INTO public.who_data VALUES (61368, 0, 0, 0, 0, 259, 65);
INSERT INTO public.who_data VALUES (61369, 36, 722, 0, 0, 259, 184);
INSERT INTO public.who_data VALUES (61370, 485, 26999, 11, 788, 259, 98);
INSERT INTO public.who_data VALUES (61371, 626, 38268, 1, 275, 259, 104);
INSERT INTO public.who_data VALUES (61372, 0, 509, 0, 21, 259, 73);
INSERT INTO public.who_data VALUES (61373, 28922, 1886794, 1127, 109038, 259, 8);
INSERT INTO public.who_data VALUES (61374, 0, 71, 0, 6, 259, 227);
INSERT INTO public.who_data VALUES (61375, 2, 834, 0, 23, 259, 75);
INSERT INTO public.who_data VALUES (61376, 159, 4181, 1, 17, 259, 45);
INSERT INTO public.who_data VALUES (61377, 0, 0, 0, 0, 259, 133);
INSERT INTO public.who_data VALUES (61378, 58, 2145, 0, 20, 259, 202);
INSERT INTO public.who_data VALUES (61379, 0, 329, 0, 0, 259, 129);
INSERT INTO public.who_data VALUES (61380, 0, 0, 0, 0, 259, 36);
INSERT INTO public.who_data VALUES (61381, 13, 482, 0, 111, 259, 51);
INSERT INTO public.who_data VALUES (61382, 43, 1154, 0, 7, 259, 206);
INSERT INTO public.who_data VALUES (61383, 14, 279, 0, 4, 259, 5);
INSERT INTO public.who_data VALUES (61384, 582, 19637, 18, 331, 260, 103);
INSERT INTO public.who_data VALUES (61385, 20, 1232, 1, 34, 260, 58);
INSERT INTO public.who_data VALUES (61386, 104, 9935, 9, 690, 260, 195);
INSERT INTO public.who_data VALUES (61387, 0, 0, 0, 0, 260, 115);
INSERT INTO public.who_data VALUES (61388, 0, 852, 0, 51, 260, 99);
INSERT INTO public.who_data VALUES (61389, 0, 86, 0, 4, 260, 153);
INSERT INTO public.who_data VALUES (61390, 0, 3, 0, 0, 260, 93);
INSERT INTO public.who_data VALUES (61391, 0, 25, 0, 3, 260, 84);
INSERT INTO public.who_data VALUES (61392, 929, 20197, 27, 615, 260, 78);
INSERT INTO public.who_data VALUES (61393, 596, 11793, 7, 183, 260, 170);
INSERT INTO public.who_data VALUES (61394, 0, 101, 0, 3, 260, 32);
INSERT INTO public.who_data VALUES (61395, 11, 7251, 0, 102, 260, 155);
INSERT INTO public.who_data VALUES (61396, 62, 16803, 2, 672, 260, 82);
INSERT INTO public.who_data VALUES (61397, 338, 6860, 4, 82, 260, 16);
INSERT INTO public.who_data VALUES (61398, 0, 102, 0, 11, 260, 72);
INSERT INTO public.who_data VALUES (61399, 539, 13835, 1, 22, 260, 43);
INSERT INTO public.who_data VALUES (61400, 2828, 60391, 30, 811, 260, 120);
INSERT INTO public.who_data VALUES (61401, 0, 92, 0, 7, 260, 213);
INSERT INTO public.who_data VALUES (61402, 887, 46868, 6, 259, 260, 31);
INSERT INTO public.who_data VALUES (61403, 154, 59790, 12, 9450, 260, 204);
INSERT INTO public.who_data VALUES (61404, 0, 18, 0, 2, 260, 152);
INSERT INTO public.who_data VALUES (61405, 0, 261, 0, 3, 260, 144);
INSERT INTO public.who_data VALUES (61406, 0, 141, 0, 9, 260, 96);
INSERT INTO public.who_data VALUES (61407, 1, 48, 0, 0, 260, 47);
INSERT INTO public.who_data VALUES (61408, 607, 12245, 15, 415, 260, 80);
INSERT INTO public.who_data VALUES (61409, 0, 2, 0, 0, 260, 159);
INSERT INTO public.who_data VALUES (61410, 12, 2605, 0, 158, 260, 27);
INSERT INTO public.who_data VALUES (61411, 0, 40, 0, 1, 260, 146);
INSERT INTO public.who_data VALUES (61412, 30925, 614941, 1473, 34021, 260, 71);
INSERT INTO public.who_data VALUES (61413, 0, 8, 0, 1, 260, 210);
INSERT INTO public.who_data VALUES (61414, 0, 141, 0, 2, 260, 54);
INSERT INTO public.who_data VALUES (61415, 83, 2668, 13, 160, 260, 147);
INSERT INTO public.who_data VALUES (61416, 0, 885, 0, 53, 260, 2);
INSERT INTO public.who_data VALUES (61417, 0, 63, 0, 1, 260, 105);
INSERT INTO public.who_data VALUES (61418, 34, 536, 0, 5, 260, 53);
INSERT INTO public.who_data VALUES (61419, 0, 125, 0, 0, 260, 81);
INSERT INTO public.who_data VALUES (61420, 603, 7392, 2, 205, 260, 223);
INSERT INTO public.who_data VALUES (61421, 629, 94070, 109, 7652, 260, 94);
INSERT INTO public.who_data VALUES (61422, 4, 160, 0, 1, 260, 154);
INSERT INTO public.who_data VALUES (61423, 163, 1451, 0, 4, 260, 83);
INSERT INTO public.who_data VALUES (61424, 8, 836, 2, 68, 260, 194);
INSERT INTO public.who_data VALUES (61425, 4207, 122499, 92, 1448, 260, 136);
INSERT INTO public.who_data VALUES (61426, 6, 84620, 0, 4645, 260, 179);
INSERT INTO public.who_data VALUES (61427, 1766, 35120, 42, 1087, 260, 57);
INSERT INTO public.who_data VALUES (61428, 0, 62, 0, 2, 260, 35);
INSERT INTO public.who_data VALUES (61429, 4, 639, 0, 20, 260, 228);
INSERT INTO public.who_data VALUES (61430, 0, 0, 0, 0, 260, 19);
INSERT INTO public.who_data VALUES (61431, 37, 1194, 0, 10, 260, 22);
INSERT INTO public.who_data VALUES (61432, 169, 3431, 1, 36, 260, 1);
INSERT INTO public.who_data VALUES (61433, 0, 2247, 0, 103, 260, 21);
INSERT INTO public.who_data VALUES (61434, 14, 2133, 0, 83, 260, 234);
INSERT INTO public.who_data VALUES (61435, 0, 21, 0, 1, 260, 91);
INSERT INTO public.who_data VALUES (61436, 2, 960, 0, 17, 260, 137);
INSERT INTO public.who_data VALUES (61437, 35, 9529, 1, 327, 260, 201);
INSERT INTO public.who_data VALUES (61438, 0, 0, 0, 0, 260, 171);
INSERT INTO public.who_data VALUES (61439, 120, 3763, 3, 80, 260, 92);
INSERT INTO public.who_data VALUES (61440, 64, 11875, 4, 586, 260, 112);
INSERT INTO public.who_data VALUES (61441, 69, 4123, 0, 26, 260, 62);
INSERT INTO public.who_data VALUES (61442, 0, 16, 0, 0, 260, 69);
INSERT INTO public.who_data VALUES (61443, 389, 18708, 5, 525, 260, 220);
INSERT INTO public.who_data VALUES (61444, 1140, 42106, 106, 3592, 260, 100);
INSERT INTO public.who_data VALUES (61445, 1348, 31115, 40, 1166, 260, 187);
INSERT INTO public.who_data VALUES (61446, 68, 2849, 1, 53, 260, 63);
INSERT INTO public.who_data VALUES (61447, 0, 1043, 0, 12, 260, 28);
INSERT INTO public.who_data VALUES (61448, 0, 41, 0, 0, 260, 172);
INSERT INTO public.who_data VALUES (61449, 20, 1910, 0, 63, 260, 17);
INSERT INTO public.who_data VALUES (61450, 5, 305, 0, 3, 260, 226);
INSERT INTO public.who_data VALUES (61451, 169, 1805, 1, 19, 260, 236);
INSERT INTO public.who_data VALUES (61452, 0, 13, 0, 0, 260, 76);
INSERT INTO public.who_data VALUES (61453, 0, 187, 0, 0, 260, 30);
INSERT INTO public.who_data VALUES (61454, 0, 18, 0, 0, 260, 128);
INSERT INTO public.who_data VALUES (61455, 30, 6941, 0, 322, 260, 86);
INSERT INTO public.who_data VALUES (61456, 554, 149495, 46, 29053, 260, 140);
INSERT INTO public.who_data VALUES (61457, 33, 589, 0, 1, 260, 44);
INSERT INTO public.who_data VALUES (61458, 0, 60, 0, 0, 260, 113);
INSERT INTO public.who_data VALUES (61459, 146, 3101, 0, 21, 260, 29);
INSERT INTO public.who_data VALUES (61460, 0, 26, 0, 1, 260, 125);
INSERT INTO public.who_data VALUES (61461, 2, 808, 0, 13, 260, 131);
INSERT INTO public.who_data VALUES (61462, 407, 183678, 33, 8646, 260, 46);
INSERT INTO public.who_data VALUES (61463, 283, 9168, 4, 42, 260, 10);
INSERT INTO public.who_data VALUES (61464, 1, 174, 0, 0, 260, 205);
INSERT INTO public.who_data VALUES (61465, 15, 2967, 0, 180, 260, 50);
INSERT INTO public.who_data VALUES (61466, 0, 13, 0, 0, 260, 20);
INSERT INTO public.who_data VALUES (61467, 0, 23, 0, 0, 260, 13);
INSERT INTO public.who_data VALUES (61468, 2, 164, 0, 14, 260, 148);
INSERT INTO public.who_data VALUES (61469, 0, 171, 0, 5, 260, 230);
INSERT INTO public.who_data VALUES (61470, 394, 6154, 15, 158, 260, 190);
INSERT INTO public.who_data VALUES (61471, 0, 252, 0, 13, 260, 188);
INSERT INTO public.who_data VALUES (61472, 69, 4060, 0, 23, 260, 123);
INSERT INTO public.who_data VALUES (61473, 22, 1368, 3, 12, 260, 9);
INSERT INTO public.who_data VALUES (61474, 0, 153, 0, 12, 260, 102);
INSERT INTO public.who_data VALUES (61475, 36, 2640, 0, 50, 260, 34);
INSERT INTO public.who_data VALUES (61476, 0, 12, 0, 0, 260, 212);
INSERT INTO public.who_data VALUES (61477, 190, 5880, 9, 243, 260, 122);
INSERT INTO public.who_data VALUES (61478, 16, 3970, 3, 542, 260, 38);
INSERT INTO public.who_data VALUES (61479, 0, 1806, 0, 10, 260, 130);
INSERT INTO public.who_data VALUES (61480, 9887, 236657, 294, 6642, 260, 37);
INSERT INTO public.who_data VALUES (61481, 703, 29521, 49, 1770, 260, 231);
INSERT INTO public.who_data VALUES (61482, 2886, 167156, 63, 8134, 260, 107);
INSERT INTO public.who_data VALUES (61483, 1006, 9846, 14, 285, 260, 101);
INSERT INTO public.who_data VALUES (61484, 21, 25163, 6, 1670, 260, 132);
INSERT INTO public.who_data VALUES (61485, 0, 336, 0, 24, 260, 176);
INSERT INTO public.who_data VALUES (61486, 142, 17548, 0, 293, 260, 200);
INSERT INTO public.who_data VALUES (61487, 518, 234531, 85, 33774, 260, 169);
INSERT INTO public.who_data VALUES (61488, 1, 591, 1, 10, 260, 225);
INSERT INTO public.who_data VALUES (61489, 39, 17103, 7, 914, 260, 165);
INSERT INTO public.who_data VALUES (61490, 0, 309, 0, 30, 260, 233);
INSERT INTO public.who_data VALUES (61491, 8, 755, 0, 9, 260, 215);
INSERT INTO public.who_data VALUES (61492, 183, 12694, 2, 54, 260, 177);
INSERT INTO public.who_data VALUES (61493, 134, 2474, 1, 79, 260, 183);
INSERT INTO public.who_data VALUES (61494, 0, 0, 0, 0, 260, 203);
INSERT INTO public.who_data VALUES (61495, 0, 1142, 0, 21, 260, 162);
INSERT INTO public.who_data VALUES (61496, 723, 30644, 8, 244, 260, 12);
INSERT INTO public.who_data VALUES (61497, 38, 1974, 0, 22, 260, 24);
INSERT INTO public.who_data VALUES (61498, 0, 19, 0, 0, 260, 119);
INSERT INTO public.who_data VALUES (61499, 0, 1082, 0, 25, 260, 39);
INSERT INTO public.who_data VALUES (61500, 6, 1312, 0, 28, 260, 26);
INSERT INTO public.who_data VALUES (61501, 0, 4, 0, 0, 260, 59);
INSERT INTO public.who_data VALUES (61502, 13, 334, 2, 30, 260, 77);
INSERT INTO public.who_data VALUES (61503, 30, 239, 0, 5, 260, 134);
INSERT INTO public.who_data VALUES (61504, 0, 83, 0, 1, 260, 4);
INSERT INTO public.who_data VALUES (61505, 11, 1700, 0, 71, 260, 109);
INSERT INTO public.who_data VALUES (61506, 5, 4032, 0, 110, 260, 90);
INSERT INTO public.who_data VALUES (61507, 18, 975, 0, 7, 260, 61);
INSERT INTO public.who_data VALUES (61508, 16, 409, 0, 4, 260, 85);
INSERT INTO public.who_data VALUES (61509, 19, 8266, 1, 116, 260, 49);
INSERT INTO public.who_data VALUES (61510, 11, 1883, 0, 7, 260, 208);
INSERT INTO public.who_data VALUES (61511, 24, 1485, 2, 87, 260, 166);
INSERT INTO public.who_data VALUES (61512, 3, 624, 0, 9, 260, 64);
INSERT INTO public.who_data VALUES (61513, 0, 0, 0, 0, 260, 199);
INSERT INTO public.who_data VALUES (61514, 0, 200, 0, 14, 260, 114);
INSERT INTO public.who_data VALUES (61515, 99, 883, 4, 43, 260, 60);
INSERT INTO public.who_data VALUES (61516, 2, 337, 0, 10, 260, 68);
INSERT INTO public.who_data VALUES (61517, 21, 2079, 0, 25, 260, 158);
INSERT INTO public.who_data VALUES (61518, 4442, 105680, 817, 12545, 260, 52);
INSERT INTO public.who_data VALUES (61519, 0, 0, 0, 0, 260, 117);
INSERT INTO public.who_data VALUES (61520, 0, 70, 0, 1, 260, 126);
INSERT INTO public.who_data VALUES (61521, 5, 191, 0, 0, 260, 196);
INSERT INTO public.who_data VALUES (61522, 0, 324, 0, 9, 260, 142);
INSERT INTO public.who_data VALUES (61523, 0, 11, 0, 1, 260, 185);
INSERT INTO public.who_data VALUES (61524, 68, 8071, 0, 208, 260, 138);
INSERT INTO public.who_data VALUES (61525, 0, 352, 0, 2, 260, 181);
INSERT INTO public.who_data VALUES (61526, 0, 236, 0, 6, 260, 178);
INSERT INTO public.who_data VALUES (61527, 0, 25, 0, 0, 260, 168);
INSERT INTO public.who_data VALUES (61528, 0, 0, 0, 0, 260, 160);
INSERT INTO public.who_data VALUES (61529, 278, 2912, 1, 11, 260, 151);
INSERT INTO public.who_data VALUES (61530, 217, 46904, 15, 5972, 260, 193);
INSERT INTO public.who_data VALUES (61531, 0, 20, 0, 0, 260, 18);
INSERT INTO public.who_data VALUES (61532, 0, 1154, 0, 22, 260, 40);
INSERT INTO public.who_data VALUES (61533, 0, 1309, 0, 46, 260, 218);
INSERT INTO public.who_data VALUES (61534, 3, 966, 0, 65, 260, 191);
INSERT INTO public.who_data VALUES (61535, 328, 11844, 10, 333, 260, 156);
INSERT INTO public.who_data VALUES (61536, 0, 0, 0, 0, 260, 135);
INSERT INTO public.who_data VALUES (61537, 0, 26, 0, 2, 260, 88);
INSERT INTO public.who_data VALUES (61538, 180, 2792, 2, 149, 260, 55);
INSERT INTO public.who_data VALUES (61539, 27, 8504, 0, 238, 260, 108);
INSERT INTO public.who_data VALUES (61540, 0, 643, 0, 5, 260, 48);
INSERT INTO public.who_data VALUES (61541, 770, 15086, 5, 72, 260, 3);
INSERT INTO public.who_data VALUES (61542, 0, 741, 0, 13, 260, 224);
INSERT INTO public.who_data VALUES (61543, 4734, 93983, 97, 1935, 260, 110);
INSERT INTO public.who_data VALUES (61544, 0, 0, 0, 0, 260, 106);
INSERT INTO public.who_data VALUES (61545, 435, 15044, 6, 363, 260, 89);
INSERT INTO public.who_data VALUES (61546, 0, 8, 0, 0, 260, 121);
INSERT INTO public.who_data VALUES (61547, 1, 1087, 0, 11, 260, 163);
INSERT INTO public.who_data VALUES (61548, 4284, 183198, 137, 5031, 260, 70);
INSERT INTO public.who_data VALUES (61549, 244, 20626, 3, 987, 260, 174);
INSERT INTO public.who_data VALUES (61550, 0, 0, 0, 0, 260, 175);
INSERT INTO public.who_data VALUES (61551, 371, 25419, 20, 1137, 260, 118);
INSERT INTO public.who_data VALUES (61552, 377, 33969, 10, 1465, 260, 189);
INSERT INTO public.who_data VALUES (61553, 112, 4620, 1, 141, 260, 124);
INSERT INTO public.who_data VALUES (61554, 1754, 65495, 4, 49, 260, 192);
INSERT INTO public.who_data VALUES (61555, 51, 11719, 0, 273, 260, 41);
INSERT INTO public.who_data VALUES (61556, 229, 9247, 8, 323, 260, 95);
INSERT INTO public.who_data VALUES (61557, 1, 480, 0, 1, 260, 74);
INSERT INTO public.who_data VALUES (61558, 196, 20103, 9, 1308, 260, 11);
INSERT INTO public.who_data VALUES (61559, 8855, 458689, 197, 5725, 260, 87);
INSERT INTO public.who_data VALUES (61560, 10, 420, 0, 2, 260, 214);
INSERT INTO public.who_data VALUES (61561, 0, 3, 0, 0, 260, 116);
INSERT INTO public.who_data VALUES (61562, 0, 6, 0, 0, 260, 157);
INSERT INTO public.who_data VALUES (61563, 0, 0, 0, 0, 260, 182);
INSERT INTO public.who_data VALUES (61564, 0, 15, 0, 0, 260, 186);
INSERT INTO public.who_data VALUES (61565, 1, 19, 0, 0, 260, 127);
INSERT INTO public.who_data VALUES (61566, 0, 41, 0, 3, 260, 232);
INSERT INTO public.who_data VALUES (61567, 0, 1, 0, 0, 260, 33);
INSERT INTO public.who_data VALUES (61568, 0, 26, 0, 0, 260, 97);
INSERT INTO public.who_data VALUES (61569, 0, 0, 0, 0, 260, 42);
INSERT INTO public.who_data VALUES (61570, 0, 695, 0, 42, 260, 198);
INSERT INTO public.who_data VALUES (61571, 0, 295, 0, 10, 260, 216);
INSERT INTO public.who_data VALUES (61572, 2591, 95748, 31, 642, 260, 164);
INSERT INTO public.who_data VALUES (61573, 134, 4155, 0, 45, 260, 235);
INSERT INTO public.who_data VALUES (61574, 96, 11667, 1, 247, 260, 67);
INSERT INTO public.who_data VALUES (61575, 0, 11, 0, 0, 260, 15);
INSERT INTO public.who_data VALUES (61576, 15, 929, 0, 47, 260, 180);
INSERT INTO public.who_data VALUES (61577, 261, 37183, 0, 24, 260, 237);
INSERT INTO public.who_data VALUES (61578, 0, 2, 0, 0, 260, 25);
INSERT INTO public.who_data VALUES (61579, -1, 77, 0, 15, 260, 209);
INSERT INTO public.who_data VALUES (61580, 1, 1526, 0, 28, 260, 217);
INSERT INTO public.who_data VALUES (61581, 2, 1479, 0, 113, 260, 79);
INSERT INTO public.who_data VALUES (61582, 0, 0, 0, 0, 260, 143);
INSERT INTO public.who_data VALUES (61583, 0, 2204, 0, 79, 260, 229);
INSERT INTO public.who_data VALUES (61584, 2642, 43434, 60, 908, 260, 141);
INSERT INTO public.who_data VALUES (61585, 0, 1317, 0, 14, 260, 197);
INSERT INTO public.who_data VALUES (61586, 551, 249964, 45, 29331, 260, 221);
INSERT INTO public.who_data VALUES (61587, 4, 1801, 0, 11, 260, 150);
INSERT INTO public.who_data VALUES (61588, 152, 5866, 14, 347, 260, 56);
INSERT INTO public.who_data VALUES (61589, 0, 82, 0, 1, 260, 167);
INSERT INTO public.who_data VALUES (61590, 1039, 42293, 43, 4801, 260, 23);
INSERT INTO public.who_data VALUES (61591, 15, 30923, 0, 1717, 260, 222);
INSERT INTO public.who_data VALUES (61592, 0, 124, 0, 6, 260, 219);
INSERT INTO public.who_data VALUES (61593, 81, 4370, 0, 48, 260, 7);
INSERT INTO public.who_data VALUES (61594, 2, 3104, 0, 58, 260, 161);
INSERT INTO public.who_data VALUES (61595, 1243, 262122, 258, 38422, 260, 149);
INSERT INTO public.who_data VALUES (61596, 0, 24, 0, 0, 260, 6);
INSERT INTO public.who_data VALUES (61597, 20, 485, 0, 13, 260, 139);
INSERT INTO public.who_data VALUES (61598, 0, 0, 0, 0, 260, 211);
INSERT INTO public.who_data VALUES (61599, 0, 0, 0, 0, 260, 14);
INSERT INTO public.who_data VALUES (61600, 0, 117, 0, 8, 260, 111);
INSERT INTO public.who_data VALUES (61601, 0, 1087, 0, 49, 260, 207);
INSERT INTO public.who_data VALUES (61602, 930, 168340, 18, 4648, 260, 66);
INSERT INTO public.who_data VALUES (61603, 0, 0, 0, 0, 260, 173);
INSERT INTO public.who_data VALUES (61604, 0, 12, 0, 1, 260, 145);
INSERT INTO public.who_data VALUES (61605, 0, 0, 0, 0, 260, 65);
INSERT INTO public.who_data VALUES (61606, 35, 686, 0, 0, 260, 184);
INSERT INTO public.who_data VALUES (61607, 550, 26514, 15, 777, 260, 98);
INSERT INTO public.who_data VALUES (61608, 624, 37642, 1, 274, 260, 104);
INSERT INTO public.who_data VALUES (61609, 0, 509, 0, 21, 260, 73);
INSERT INTO public.who_data VALUES (61610, 20069, 1857872, 1035, 107911, 260, 8);
INSERT INTO public.who_data VALUES (61611, 0, 71, 0, 6, 260, 227);
INSERT INTO public.who_data VALUES (61612, 4, 832, 0, 23, 260, 75);
INSERT INTO public.who_data VALUES (61613, 57, 4022, 0, 16, 260, 45);
INSERT INTO public.who_data VALUES (61614, 0, 0, 0, 0, 260, 133);
INSERT INTO public.who_data VALUES (61615, 135, 2087, 0, 20, 260, 202);
INSERT INTO public.who_data VALUES (61616, 1, 329, 0, 0, 260, 129);
INSERT INTO public.who_data VALUES (61617, 0, 0, 0, 0, 260, 36);
INSERT INTO public.who_data VALUES (61618, 16, 469, 8, 111, 260, 51);
INSERT INTO public.who_data VALUES (61619, 0, 1111, 0, 7, 260, 206);
INSERT INTO public.who_data VALUES (61620, 43, 265, 0, 4, 260, 5);
INSERT INTO public.who_data VALUES (61621, 1078, 19055, 10, 313, 261, 103);
INSERT INTO public.who_data VALUES (61622, 15, 1212, 0, 33, 261, 58);
INSERT INTO public.who_data VALUES (61623, 98, 9831, 8, 681, 261, 195);
INSERT INTO public.who_data VALUES (61624, 0, 0, 0, 0, 261, 115);
INSERT INTO public.who_data VALUES (61625, 1, 852, 0, 51, 261, 99);
INSERT INTO public.who_data VALUES (61626, 0, 86, 0, 4, 261, 153);
INSERT INTO public.who_data VALUES (61627, 0, 3, 0, 0, 261, 93);
INSERT INTO public.who_data VALUES (61628, 0, 25, 0, 3, 261, 84);
INSERT INTO public.who_data VALUES (61629, 949, 19268, 18, 588, 261, 78);
INSERT INTO public.who_data VALUES (61630, 697, 11197, 6, 176, 261, 170);
INSERT INTO public.who_data VALUES (61631, 0, 101, 0, 3, 261, 32);
INSERT INTO public.who_data VALUES (61632, 11, 7240, 0, 102, 261, 155);
INSERT INTO public.who_data VALUES (61633, 36, 16741, 0, 670, 261, 82);
INSERT INTO public.who_data VALUES (61634, 262, 6522, 2, 78, 261, 16);
INSERT INTO public.who_data VALUES (61635, 0, 102, 0, 11, 261, 72);
INSERT INTO public.who_data VALUES (61636, 481, 13296, 1, 21, 261, 43);
INSERT INTO public.who_data VALUES (61637, 2423, 57563, 35, 781, 261, 120);
INSERT INTO public.who_data VALUES (61638, 0, 92, 0, 7, 261, 213);
INSERT INTO public.who_data VALUES (61639, 865, 45981, 5, 253, 261, 31);
INSERT INTO public.who_data VALUES (61640, 172, 59636, 14, 9438, 261, 204);
INSERT INTO public.who_data VALUES (61641, 0, 18, 0, 2, 261, 152);
INSERT INTO public.who_data VALUES (61642, 17, 261, 0, 3, 261, 144);
INSERT INTO public.who_data VALUES (61643, 0, 141, 0, 9, 261, 96);
INSERT INTO public.who_data VALUES (61644, 0, 47, 0, 0, 261, 47);
INSERT INTO public.who_data VALUES (61645, 647, 11638, 24, 400, 261, 80);
INSERT INTO public.who_data VALUES (61646, 0, 2, 0, 0, 261, 159);
INSERT INTO public.who_data VALUES (61647, 43, 2593, 2, 158, 261, 27);
INSERT INTO public.who_data VALUES (61648, 0, 40, 0, 1, 261, 146);
INSERT INTO public.who_data VALUES (61649, 28633, 584016, 1349, 32548, 261, 71);
INSERT INTO public.who_data VALUES (61650, 0, 8, 0, 1, 261, 210);
INSERT INTO public.who_data VALUES (61651, 0, 141, 0, 2, 261, 54);
INSERT INTO public.who_data VALUES (61652, 0, 2585, 0, 147, 261, 147);
INSERT INTO public.who_data VALUES (61653, 1, 885, 0, 53, 261, 2);
INSERT INTO public.who_data VALUES (61654, 0, 63, 0, 1, 261, 105);
INSERT INTO public.who_data VALUES (61655, 25, 502, 0, 5, 261, 53);
INSERT INTO public.who_data VALUES (61656, 0, 125, 0, 0, 261, 81);
INSERT INTO public.who_data VALUES (61657, 37, 6789, 3, 203, 261, 223);
INSERT INTO public.who_data VALUES (61658, 693, 93441, 129, 7543, 261, 94);
INSERT INTO public.who_data VALUES (61659, 5, 156, 0, 1, 261, 154);
INSERT INTO public.who_data VALUES (61660, 99, 1288, 0, 4, 261, 83);
INSERT INTO public.who_data VALUES (61661, 8, 828, 0, 66, 261, 194);
INSERT INTO public.who_data VALUES (61662, 4664, 118292, 81, 1356, 261, 136);
INSERT INTO public.who_data VALUES (61663, 11, 84614, 0, 4645, 261, 179);
INSERT INTO public.who_data VALUES (61664, 1521, 33354, 36, 1045, 261, 57);
INSERT INTO public.who_data VALUES (61665, 0, 62, 0, 2, 261, 35);
INSERT INTO public.who_data VALUES (61666, 3, 635, 0, 20, 261, 228);
INSERT INTO public.who_data VALUES (61667, 0, 0, 0, 0, 261, 19);
INSERT INTO public.who_data VALUES (61668, 52, 1157, 0, 10, 261, 22);
INSERT INTO public.who_data VALUES (61669, 152, 3262, 0, 35, 261, 1);
INSERT INTO public.who_data VALUES (61670, 1, 2247, 0, 103, 261, 21);
INSERT INTO public.who_data VALUES (61671, 12, 2119, 0, 83, 261, 234);
INSERT INTO public.who_data VALUES (61672, 1, 21, 0, 1, 261, 91);
INSERT INTO public.who_data VALUES (61673, 0, 958, 0, 17, 261, 137);
INSERT INTO public.who_data VALUES (61674, 56, 9494, 2, 326, 261, 201);
INSERT INTO public.who_data VALUES (61675, 0, 0, 0, 0, 261, 171);
INSERT INTO public.who_data VALUES (61676, 149, 3643, 3, 77, 261, 92);
INSERT INTO public.who_data VALUES (61677, 40, 11811, 2, 582, 261, 112);
INSERT INTO public.who_data VALUES (61678, 119, 4054, 0, 26, 261, 62);
INSERT INTO public.who_data VALUES (61679, 0, 16, 0, 0, 261, 69);
INSERT INTO public.who_data VALUES (61680, 279, 18319, 4, 520, 261, 220);
INSERT INTO public.who_data VALUES (61681, 0, 40966, 0, 3486, 261, 100);
INSERT INTO public.who_data VALUES (61682, 1152, 29767, 38, 1126, 261, 187);
INSERT INTO public.who_data VALUES (61683, 76, 2781, 1, 52, 261, 63);
INSERT INTO public.who_data VALUES (61684, 0, 1043, 0, 12, 261, 28);
INSERT INTO public.who_data VALUES (61685, 2, 41, 0, 0, 261, 172);
INSERT INTO public.who_data VALUES (61686, 10, 1890, 0, 63, 261, 17);
INSERT INTO public.who_data VALUES (61687, 5, 300, 0, 3, 261, 226);
INSERT INTO public.who_data VALUES (61688, 150, 1636, 1, 18, 261, 236);
INSERT INTO public.who_data VALUES (61689, 0, 13, 0, 0, 261, 76);
INSERT INTO public.who_data VALUES (61690, 0, 187, 0, 0, 261, 30);
INSERT INTO public.who_data VALUES (61691, 0, 18, 0, 0, 261, 128);
INSERT INTO public.who_data VALUES (61692, 0, 6911, 1, 322, 261, 86);
INSERT INTO public.who_data VALUES (61693, 678, 148941, 43, 29007, 261, 140);
INSERT INTO public.who_data VALUES (61694, 23, 556, 0, 1, 261, 44);
INSERT INTO public.who_data VALUES (61695, 0, 60, 0, 0, 261, 113);
INSERT INTO public.who_data VALUES (61696, 53, 2955, 1, 21, 261, 29);
INSERT INTO public.who_data VALUES (61697, 0, 26, 0, 1, 261, 125);
INSERT INTO public.who_data VALUES (61698, 5, 806, 0, 13, 261, 131);
INSERT INTO public.who_data VALUES (61699, 507, 183271, 32, 8613, 261, 46);
INSERT INTO public.who_data VALUES (61700, 337, 8885, 0, 38, 261, 10);
INSERT INTO public.who_data VALUES (61701, 1, 173, 0, 0, 261, 205);
INSERT INTO public.who_data VALUES (61702, 15, 2952, 1, 180, 261, 50);
INSERT INTO public.who_data VALUES (61703, 0, 13, 0, 0, 261, 20);
INSERT INTO public.who_data VALUES (61704, 0, 23, 0, 0, 261, 13);
INSERT INTO public.who_data VALUES (61705, 0, 162, 0, 14, 261, 148);
INSERT INTO public.who_data VALUES (61706, 1, 171, 0, 5, 261, 230);
INSERT INTO public.who_data VALUES (61707, 174, 5760, 20, 143, 261, 190);
INSERT INTO public.who_data VALUES (61708, 0, 252, 0, 13, 261, 188);
INSERT INTO public.who_data VALUES (61709, 58, 3991, 0, 23, 261, 123);
INSERT INTO public.who_data VALUES (61710, 0, 1346, 0, 9, 261, 9);
INSERT INTO public.who_data VALUES (61711, 0, 153, 0, 12, 261, 102);
INSERT INTO public.who_data VALUES (61712, 97, 2604, 2, 50, 261, 34);
INSERT INTO public.who_data VALUES (61713, 0, 12, 0, 0, 261, 212);
INSERT INTO public.who_data VALUES (61714, 163, 5690, 9, 234, 261, 122);
INSERT INTO public.who_data VALUES (61715, 23, 3954, 5, 539, 261, 38);
INSERT INTO public.who_data VALUES (61716, 0, 1806, 0, 10, 261, 130);
INSERT INTO public.who_data VALUES (61717, 9851, 226770, 273, 6348, 261, 37);
INSERT INTO public.who_data VALUES (61718, 585, 28818, 23, 1721, 261, 231);
INSERT INTO public.who_data VALUES (61719, 3574, 164270, 59, 8071, 261, 107);
INSERT INTO public.who_data VALUES (61720, 672, 8840, 15, 271, 261, 101);
INSERT INTO public.who_data VALUES (61721, 31, 25142, 5, 1664, 261, 132);
INSERT INTO public.who_data VALUES (61722, 0, 336, 0, 24, 261, 176);
INSERT INTO public.who_data VALUES (61723, 97, 17406, 1, 293, 261, 200);
INSERT INTO public.who_data VALUES (61724, 177, 234013, 88, 33689, 261, 169);
INSERT INTO public.who_data VALUES (61725, 0, 590, 0, 9, 261, 225);
INSERT INTO public.who_data VALUES (61726, 46, 17064, 4, 907, 261, 165);
INSERT INTO public.who_data VALUES (61727, 1, 309, 0, 30, 261, 233);
INSERT INTO public.who_data VALUES (61728, 2, 747, 0, 9, 261, 215);
INSERT INTO public.who_data VALUES (61729, 199, 12511, 4, 52, 261, 177);
INSERT INTO public.who_data VALUES (61730, 124, 2340, 4, 78, 261, 183);
INSERT INTO public.who_data VALUES (61731, 0, 0, 0, 0, 261, 203);
INSERT INTO public.who_data VALUES (61732, 0, 1142, 0, 21, 261, 162);
INSERT INTO public.who_data VALUES (61733, 562, 29921, 6, 236, 261, 12);
INSERT INTO public.who_data VALUES (61734, 37, 1936, 2, 22, 261, 24);
INSERT INTO public.who_data VALUES (61735, 0, 19, 0, 0, 261, 119);
INSERT INTO public.who_data VALUES (61736, 3, 1082, 1, 25, 261, 39);
INSERT INTO public.who_data VALUES (61737, 50, 1306, 1, 28, 261, 26);
INSERT INTO public.who_data VALUES (61738, 0, 4, 0, 0, 261, 59);
INSERT INTO public.who_data VALUES (61739, 5, 321, 0, 28, 261, 77);
INSERT INTO public.who_data VALUES (61740, 13, 209, 0, 5, 261, 134);
INSERT INTO public.who_data VALUES (61741, 0, 83, 0, 1, 261, 4);
INSERT INTO public.who_data VALUES (61742, 5, 1689, 0, 71, 261, 109);
INSERT INTO public.who_data VALUES (61743, 7, 4027, 0, 110, 261, 90);
INSERT INTO public.who_data VALUES (61744, 49, 957, 1, 7, 261, 61);
INSERT INTO public.who_data VALUES (61745, 24, 393, 0, 4, 261, 85);
INSERT INTO public.who_data VALUES (61746, 277, 8247, 0, 115, 261, 49);
INSERT INTO public.who_data VALUES (61747, 22, 1872, 0, 7, 261, 208);
INSERT INTO public.who_data VALUES (61748, 75, 1461, 6, 85, 261, 166);
INSERT INTO public.who_data VALUES (61749, 0, 621, 0, 9, 261, 64);
INSERT INTO public.who_data VALUES (61750, 0, 0, 0, 0, 261, 199);
INSERT INTO public.who_data VALUES (61751, 0, 200, 0, 14, 261, 114);
INSERT INTO public.who_data VALUES (61752, 116, 784, 8, 39, 261, 60);
INSERT INTO public.who_data VALUES (61753, 0, 335, 0, 10, 261, 68);
INSERT INTO public.who_data VALUES (61754, 65, 2058, 1, 25, 261, 158);
INSERT INTO public.who_data VALUES (61755, 3912, 101238, 1091, 11728, 261, 52);
INSERT INTO public.who_data VALUES (61756, 0, 0, 0, 0, 261, 117);
INSERT INTO public.who_data VALUES (61757, 0, 70, 0, 1, 261, 126);
INSERT INTO public.who_data VALUES (61758, 1, 186, 0, 0, 261, 196);
INSERT INTO public.who_data VALUES (61759, 0, 324, 0, 9, 261, 142);
INSERT INTO public.who_data VALUES (61760, 0, 11, 0, 1, 261, 185);
INSERT INTO public.who_data VALUES (61761, 81, 8003, 2, 208, 261, 138);
INSERT INTO public.who_data VALUES (61762, 36, 352, 0, 2, 261, 181);
INSERT INTO public.who_data VALUES (61763, 2, 236, 0, 6, 261, 178);
INSERT INTO public.who_data VALUES (61764, 0, 25, 0, 0, 261, 168);
INSERT INTO public.who_data VALUES (61765, 0, 0, 0, 0, 261, 160);
INSERT INTO public.who_data VALUES (61766, 334, 2634, 1, 10, 261, 151);
INSERT INTO public.who_data VALUES (61767, 188, 46687, 12, 5957, 261, 193);
INSERT INTO public.who_data VALUES (61768, 1, 20, 0, 0, 261, 18);
INSERT INTO public.who_data VALUES (61769, 0, 1154, 0, 22, 261, 40);
INSERT INTO public.who_data VALUES (61770, 0, 1309, 0, 46, 261, 218);
INSERT INTO public.who_data VALUES (61771, 2, 963, 0, 65, 261, 191);
INSERT INTO public.who_data VALUES (61772, 350, 11516, 8, 323, 261, 156);
INSERT INTO public.who_data VALUES (61773, 0, 0, 0, 0, 261, 135);
INSERT INTO public.who_data VALUES (61774, 2, 26, 0, 2, 261, 88);
INSERT INTO public.who_data VALUES (61775, 120, 2612, 2, 147, 261, 55);
INSERT INTO public.who_data VALUES (61776, 31, 8477, 1, 238, 261, 108);
INSERT INTO public.who_data VALUES (61777, 7, 643, 0, 5, 261, 48);
INSERT INTO public.who_data VALUES (61778, 779, 14316, 0, 67, 261, 3);
INSERT INTO public.who_data VALUES (61779, 0, 741, 0, 13, 261, 224);
INSERT INTO public.who_data VALUES (61780, 3985, 89249, 68, 1838, 261, 110);
INSERT INTO public.who_data VALUES (61781, 0, 0, 0, 0, 261, 106);
INSERT INTO public.who_data VALUES (61782, 514, 14609, 5, 357, 261, 89);
INSERT INTO public.who_data VALUES (61783, 0, 8, 0, 0, 261, 121);
INSERT INTO public.who_data VALUES (61784, 16, 1086, 0, 11, 261, 163);
INSERT INTO public.who_data VALUES (61785, 4030, 178914, 127, 4894, 261, 70);
INSERT INTO public.who_data VALUES (61786, 634, 20382, 10, 984, 261, 174);
INSERT INTO public.who_data VALUES (61787, 0, 0, 0, 0, 261, 175);
INSERT INTO public.who_data VALUES (61788, 361, 25048, 2, 1117, 261, 118);
INSERT INTO public.who_data VALUES (61789, 331, 33592, 8, 1455, 261, 189);
INSERT INTO public.who_data VALUES (61790, 485, 4508, 0, 140, 261, 124);
INSERT INTO public.who_data VALUES (61791, 1581, 63741, 0, 45, 261, 192);
INSERT INTO public.who_data VALUES (61792, 39, 11668, 0, 273, 261, 41);
INSERT INTO public.who_data VALUES (61793, 223, 9018, 1, 315, 261, 95);
INSERT INTO public.who_data VALUES (61794, 1, 479, 0, 1, 261, 74);
INSERT INTO public.who_data VALUES (61795, 238, 19907, 11, 1299, 261, 11);
INSERT INTO public.who_data VALUES (61796, 8726, 449834, 144, 5528, 261, 87);
INSERT INTO public.who_data VALUES (61797, 13, 410, 0, 2, 261, 214);
INSERT INTO public.who_data VALUES (61798, 0, 3, 0, 0, 261, 116);
INSERT INTO public.who_data VALUES (61799, 0, 6, 0, 0, 261, 157);
INSERT INTO public.who_data VALUES (61800, 0, 0, 0, 0, 261, 182);
INSERT INTO public.who_data VALUES (61801, 0, 15, 0, 0, 261, 186);
INSERT INTO public.who_data VALUES (61802, 0, 18, 0, 0, 261, 127);
INSERT INTO public.who_data VALUES (61803, 0, 41, 0, 3, 261, 232);
INSERT INTO public.who_data VALUES (61804, 0, 1, 0, 0, 261, 33);
INSERT INTO public.who_data VALUES (61805, 0, 26, 0, 0, 261, 97);
INSERT INTO public.who_data VALUES (61806, 0, 0, 0, 0, 261, 42);
INSERT INTO public.who_data VALUES (61807, 8, 695, 0, 42, 261, 198);
INSERT INTO public.who_data VALUES (61808, 0, 295, 0, 10, 261, 216);
INSERT INTO public.who_data VALUES (61809, 1975, 93157, 32, 611, 261, 164);
INSERT INTO public.who_data VALUES (61810, 89, 4021, 0, 45, 261, 235);
INSERT INTO public.who_data VALUES (61811, 48, 11571, 1, 246, 261, 67);
INSERT INTO public.who_data VALUES (61812, 0, 11, 0, 0, 261, 15);
INSERT INTO public.who_data VALUES (61813, 5, 914, 0, 47, 261, 180);
INSERT INTO public.who_data VALUES (61814, 517, 36922, 0, 24, 261, 237);
INSERT INTO public.who_data VALUES (61815, 0, 2, 0, 0, 261, 25);
INSERT INTO public.who_data VALUES (61816, 0, 78, 0, 15, 261, 209);
INSERT INTO public.who_data VALUES (61817, 3, 1525, 0, 28, 261, 217);
INSERT INTO public.who_data VALUES (61818, 0, 1477, 0, 113, 261, 79);
INSERT INTO public.who_data VALUES (61819, 0, 0, 0, 0, 261, 143);
INSERT INTO public.who_data VALUES (61820, 58, 2204, 0, 79, 261, 229);
INSERT INTO public.who_data VALUES (61821, 3267, 40792, 56, 848, 261, 141);
INSERT INTO public.who_data VALUES (61822, 0, 1317, 0, 14, 261, 197);
INSERT INTO public.who_data VALUES (61823, 657, 249413, 38, 29286, 261, 221);
INSERT INTO public.who_data VALUES (61824, 48, 1797, 0, 11, 261, 150);
INSERT INTO public.who_data VALUES (61825, 215, 5714, 19, 333, 261, 56);
INSERT INTO public.who_data VALUES (61826, 28, 82, 0, 1, 261, 167);
INSERT INTO public.who_data VALUES (61827, 1046, 41254, 28, 4758, 261, 23);
INSERT INTO public.who_data VALUES (61828, 17, 30908, 0, 1717, 261, 222);
INSERT INTO public.who_data VALUES (61829, 1, 124, 0, 6, 261, 219);
INSERT INTO public.who_data VALUES (61830, 98, 4289, 0, 48, 261, 7);
INSERT INTO public.who_data VALUES (61831, 1, 3102, 0, 58, 261, 161);
INSERT INTO public.who_data VALUES (61832, 1356, 260879, 130, 38164, 261, 149);
INSERT INTO public.who_data VALUES (61833, 0, 24, 0, 0, 261, 6);
INSERT INTO public.who_data VALUES (61834, 13, 465, 0, 13, 261, 139);
INSERT INTO public.who_data VALUES (61835, 0, 0, 0, 0, 261, 211);
INSERT INTO public.who_data VALUES (61836, 0, 0, 0, 0, 261, 14);
INSERT INTO public.who_data VALUES (61837, 0, 117, 0, 8, 261, 111);
INSERT INTO public.who_data VALUES (61838, 0, 1087, 0, 49, 261, 207);
INSERT INTO public.who_data VALUES (61839, 988, 167410, 21, 4630, 261, 66);
INSERT INTO public.who_data VALUES (61840, 0, 0, 0, 0, 261, 173);
INSERT INTO public.who_data VALUES (61841, 0, 12, 0, 1, 261, 145);
INSERT INTO public.who_data VALUES (61842, 0, 0, 0, 0, 261, 65);
INSERT INTO public.who_data VALUES (61843, 15, 651, 0, 0, 261, 184);
INSERT INTO public.who_data VALUES (61844, 553, 25964, 14, 762, 261, 98);
INSERT INTO public.who_data VALUES (61845, 659, 37018, 3, 273, 261, 104);
INSERT INTO public.who_data VALUES (61846, 0, 509, 0, 21, 261, 73);
INSERT INTO public.who_data VALUES (61847, 14583, 1837803, 825, 106876, 261, 8);
INSERT INTO public.who_data VALUES (61848, 1, 71, 0, 6, 261, 227);
INSERT INTO public.who_data VALUES (61849, 2, 828, 0, 23, 261, 75);
INSERT INTO public.who_data VALUES (61850, 91, 3965, 0, 16, 261, 45);
INSERT INTO public.who_data VALUES (61851, 0, 0, 0, 0, 261, 133);
INSERT INTO public.who_data VALUES (61852, 133, 1952, 2, 20, 261, 202);
INSERT INTO public.who_data VALUES (61853, 0, 328, 0, 0, 261, 129);
INSERT INTO public.who_data VALUES (61854, 0, 0, 0, 0, 261, 36);
INSERT INTO public.who_data VALUES (61855, 34, 453, 8, 103, 261, 51);
INSERT INTO public.who_data VALUES (61856, 22, 1111, 0, 7, 261, 206);
INSERT INTO public.who_data VALUES (61857, 0, 222, 0, 4, 261, 5);
INSERT INTO public.who_data VALUES (61858, 624, 17977, 5, 303, 262, 103);
INSERT INTO public.who_data VALUES (61859, 36, 1197, 0, 33, 262, 58);
INSERT INTO public.who_data VALUES (61860, 107, 9733, 6, 673, 262, 195);
INSERT INTO public.who_data VALUES (61861, 0, 0, 0, 0, 262, 115);
INSERT INTO public.who_data VALUES (61862, 7, 851, 0, 51, 262, 99);
INSERT INTO public.who_data VALUES (61863, 0, 86, 0, 4, 262, 153);
INSERT INTO public.who_data VALUES (61864, 0, 3, 0, 0, 262, 93);
INSERT INTO public.who_data VALUES (61865, 0, 25, 0, 3, 262, 84);
INSERT INTO public.who_data VALUES (61866, 904, 18319, 10, 570, 262, 78);
INSERT INTO public.who_data VALUES (61867, 515, 10500, 12, 170, 262, 170);
INSERT INTO public.who_data VALUES (61868, 0, 101, 0, 3, 262, 32);
INSERT INTO public.who_data VALUES (61869, 8, 7229, -1, 102, 262, 155);
INSERT INTO public.who_data VALUES (61870, 31, 16705, 1, 670, 262, 82);
INSERT INTO public.who_data VALUES (61871, 325, 6260, 5, 76, 262, 16);
INSERT INTO public.who_data VALUES (61872, 0, 102, 0, 11, 262, 72);
INSERT INTO public.who_data VALUES (61873, 504, 12815, 1, 20, 262, 43);
INSERT INTO public.who_data VALUES (61874, 2695, 55140, 37, 746, 262, 120);
INSERT INTO public.who_data VALUES (61875, 0, 92, 0, 7, 262, 213);
INSERT INTO public.who_data VALUES (61876, 861, 45116, 5, 248, 262, 31);
INSERT INTO public.who_data VALUES (61877, 159, 59464, 20, 9424, 262, 204);
INSERT INTO public.who_data VALUES (61878, 0, 18, 0, 2, 262, 152);
INSERT INTO public.who_data VALUES (61879, 0, 244, 0, 3, 262, 144);
INSERT INTO public.who_data VALUES (61880, 0, 141, 0, 9, 262, 96);
INSERT INTO public.who_data VALUES (61881, 0, 47, 0, 0, 262, 47);
INSERT INTO public.who_data VALUES (61882, 460, 10991, 33, 376, 262, 80);
INSERT INTO public.who_data VALUES (61883, 0, 2, 0, 0, 262, 159);
INSERT INTO public.who_data VALUES (61884, 16, 2550, 0, 156, 262, 27);
INSERT INTO public.who_data VALUES (61885, 0, 40, 0, 1, 262, 146);
INSERT INTO public.who_data VALUES (61886, 28936, 555383, 1262, 31199, 262, 71);
INSERT INTO public.who_data VALUES (61887, 0, 8, 0, 1, 262, 210);
INSERT INTO public.who_data VALUES (61888, 0, 141, 0, 2, 262, 54);
INSERT INTO public.who_data VALUES (61889, 47, 2585, 3, 147, 262, 147);
INSERT INTO public.who_data VALUES (61890, 0, 884, 0, 53, 262, 2);
INSERT INTO public.who_data VALUES (61891, 0, 63, 0, 1, 262, 105);
INSERT INTO public.who_data VALUES (61892, 11, 477, 0, 5, 262, 53);
INSERT INTO public.who_data VALUES (61893, 0, 125, 0, 0, 262, 81);
INSERT INTO public.who_data VALUES (61894, 167, 6752, 0, 200, 262, 223);
INSERT INTO public.who_data VALUES (61895, 597, 92748, 70, 7414, 262, 94);
INSERT INTO public.who_data VALUES (61896, 1, 151, 0, 1, 262, 154);
INSERT INTO public.who_data VALUES (61897, 120, 1189, 0, 4, 262, 83);
INSERT INTO public.who_data VALUES (61898, 17, 820, 0, 66, 262, 194);
INSERT INTO public.who_data VALUES (61899, 4942, 113628, 87, 1275, 262, 136);
INSERT INTO public.who_data VALUES (61900, 1, 84603, 0, 4645, 262, 179);
INSERT INTO public.who_data VALUES (61901, 1340, 31833, 40, 1009, 262, 57);
INSERT INTO public.who_data VALUES (61902, 0, 62, 0, 2, 262, 35);
INSERT INTO public.who_data VALUES (61903, 14, 632, 0, 20, 262, 228);
INSERT INTO public.who_data VALUES (61904, 0, 0, 0, 0, 262, 19);
INSERT INTO public.who_data VALUES (61905, 21, 1105, 0, 10, 262, 22);
INSERT INTO public.who_data VALUES (61906, 86, 3110, 2, 35, 262, 1);
INSERT INTO public.who_data VALUES (61907, 0, 2246, 0, 103, 262, 21);
INSERT INTO public.who_data VALUES (61908, 15, 2107, 0, 83, 262, 234);
INSERT INTO public.who_data VALUES (61909, 0, 20, 0, 1, 262, 91);
INSERT INTO public.who_data VALUES (61910, 6, 958, 0, 17, 262, 137);
INSERT INTO public.who_data VALUES (61911, 74, 9438, 1, 324, 262, 201);
INSERT INTO public.who_data VALUES (61912, 0, 0, 0, 0, 262, 171);
INSERT INTO public.who_data VALUES (61913, 169, 3494, 3, 74, 262, 92);
INSERT INTO public.who_data VALUES (61914, 37, 11771, 0, 580, 262, 112);
INSERT INTO public.who_data VALUES (61915, 156, 3935, 1, 26, 262, 62);
INSERT INTO public.who_data VALUES (61916, 0, 16, 0, 0, 262, 69);
INSERT INTO public.who_data VALUES (61917, 288, 18040, 1, 516, 262, 220);
INSERT INTO public.who_data VALUES (61918, 552, 40966, 48, 3486, 262, 100);
INSERT INTO public.who_data VALUES (61919, 1079, 28615, 36, 1088, 262, 187);
INSERT INTO public.who_data VALUES (61920, 52, 2705, 5, 51, 262, 63);
INSERT INTO public.who_data VALUES (61921, 0, 1043, 0, 12, 262, 28);
INSERT INTO public.who_data VALUES (61922, 0, 39, 0, 0, 262, 172);
INSERT INTO public.who_data VALUES (61923, 10, 1880, 0, 63, 262, 17);
INSERT INTO public.who_data VALUES (61924, 1, 295, 0, 3, 262, 226);
INSERT INTO public.who_data VALUES (61925, 142, 1486, 3, 17, 262, 236);
INSERT INTO public.who_data VALUES (61926, 0, 13, 0, 0, 262, 76);
INSERT INTO public.who_data VALUES (61927, 0, 187, 0, 0, 262, 30);
INSERT INTO public.who_data VALUES (61928, 0, 18, 0, 0, 262, 128);
INSERT INTO public.who_data VALUES (61929, 24, 6911, 1, 321, 262, 86);
INSERT INTO public.who_data VALUES (61930, 328, 148263, 81, 28964, 262, 140);
INSERT INTO public.who_data VALUES (61931, 16, 533, 0, 1, 262, 44);
INSERT INTO public.who_data VALUES (61932, 0, 60, 0, 0, 262, 113);
INSERT INTO public.who_data VALUES (61933, 99, 2902, 0, 20, 262, 29);
INSERT INTO public.who_data VALUES (61934, 0, 26, 0, 1, 262, 125);
INSERT INTO public.who_data VALUES (61935, 1, 801, 0, 13, 262, 131);
INSERT INTO public.who_data VALUES (61936, 394, 182764, 30, 8581, 262, 46);
INSERT INTO public.who_data VALUES (61937, 251, 8548, 0, 38, 262, 10);
INSERT INTO public.who_data VALUES (61938, 2, 172, 0, 0, 262, 205);
INSERT INTO public.who_data VALUES (61939, 0, 2937, 0, 179, 262, 50);
INSERT INTO public.who_data VALUES (61940, 0, 13, 0, 0, 262, 20);
INSERT INTO public.who_data VALUES (61941, 0, 23, 0, 0, 262, 13);
INSERT INTO public.who_data VALUES (61942, 0, 162, 0, 14, 262, 148);
INSERT INTO public.who_data VALUES (61943, 1, 170, 0, 5, 262, 230);
INSERT INTO public.who_data VALUES (61944, 250, 5586, 7, 123, 262, 190);
INSERT INTO public.who_data VALUES (61945, 0, 252, 0, 13, 262, 188);
INSERT INTO public.who_data VALUES (61946, 47, 3933, 0, 23, 262, 123);
INSERT INTO public.who_data VALUES (61947, 7, 1346, 1, 9, 262, 9);
INSERT INTO public.who_data VALUES (61948, 0, 153, 0, 12, 262, 102);
INSERT INTO public.who_data VALUES (61949, 281, 2507, 3, 48, 262, 34);
INSERT INTO public.who_data VALUES (61950, 0, 12, 0, 0, 262, 212);
INSERT INTO public.who_data VALUES (61951, 165, 5527, 8, 225, 262, 122);
INSERT INTO public.who_data VALUES (61952, 0, 3931, 0, 534, 262, 38);
INSERT INTO public.who_data VALUES (61953, 0, 1806, 0, 10, 262, 130);
INSERT INTO public.who_data VALUES (61954, 9304, 216919, 260, 6075, 262, 37);
INSERT INTO public.who_data VALUES (61955, 684, 28233, 35, 1698, 262, 231);
INSERT INTO public.who_data VALUES (61956, 3134, 160696, 70, 8012, 262, 107);
INSERT INTO public.who_data VALUES (61957, 781, 8168, 21, 256, 262, 101);
INSERT INTO public.who_data VALUES (61958, 45, 25111, 1, 1659, 262, 132);
INSERT INTO public.who_data VALUES (61959, 0, 336, 0, 24, 262, 176);
INSERT INTO public.who_data VALUES (61960, 121, 17309, 2, 292, 262, 200);
INSERT INTO public.who_data VALUES (61961, 321, 233836, 71, 33601, 262, 169);
INSERT INTO public.who_data VALUES (61962, 2, 590, 0, 9, 262, 225);
INSERT INTO public.who_data VALUES (61963, 32, 17018, 3, 903, 262, 165);
INSERT INTO public.who_data VALUES (61964, 0, 308, 1, 30, 262, 233);
INSERT INTO public.who_data VALUES (61965, 0, 745, 0, 9, 262, 215);
INSERT INTO public.who_data VALUES (61966, 245, 12312, 0, 48, 262, 177);
INSERT INTO public.who_data VALUES (61967, 123, 2216, 3, 74, 262, 183);
INSERT INTO public.who_data VALUES (61968, 0, 0, 0, 0, 262, 203);
INSERT INTO public.who_data VALUES (61969, 62, 1142, 0, 21, 262, 162);
INSERT INTO public.who_data VALUES (61970, 710, 29359, 4, 230, 262, 12);
INSERT INTO public.who_data VALUES (61971, 28, 1899, 0, 20, 262, 24);
INSERT INTO public.who_data VALUES (61972, 0, 19, 0, 0, 262, 119);
INSERT INTO public.who_data VALUES (61973, 0, 1079, 0, 24, 262, 39);
INSERT INTO public.who_data VALUES (61974, 14, 1256, 0, 27, 262, 26);
INSERT INTO public.who_data VALUES (61975, 2, 4, 0, 0, 262, 59);
INSERT INTO public.who_data VALUES (61976, 5, 316, 0, 28, 262, 77);
INSERT INTO public.who_data VALUES (61977, 14, 196, 0, 5, 262, 134);
INSERT INTO public.who_data VALUES (61978, 0, 83, 0, 1, 262, 4);
INSERT INTO public.who_data VALUES (61979, 5, 1684, 0, 71, 262, 109);
INSERT INTO public.who_data VALUES (61980, 0, 4020, 0, 110, 262, 90);
INSERT INTO public.who_data VALUES (61981, 63, 908, 0, 6, 262, 61);
INSERT INTO public.who_data VALUES (61982, 11, 369, 0, 4, 262, 85);
INSERT INTO public.who_data VALUES (61983, 93, 7970, 0, 115, 262, 49);
INSERT INTO public.who_data VALUES (61984, 9, 1850, 0, 7, 262, 208);
INSERT INTO public.who_data VALUES (61985, 35, 1386, 1, 79, 262, 166);
INSERT INTO public.who_data VALUES (61986, 2, 621, 0, 9, 262, 64);
INSERT INTO public.who_data VALUES (61987, 0, 0, 0, 0, 262, 199);
INSERT INTO public.who_data VALUES (61988, 0, 200, 0, 14, 262, 114);
INSERT INTO public.who_data VALUES (61989, 80, 668, 5, 31, 262, 60);
INSERT INTO public.who_data VALUES (61990, 0, 335, 0, 10, 262, 68);
INSERT INTO public.who_data VALUES (61991, 7, 1993, 0, 24, 262, 158);
INSERT INTO public.who_data VALUES (61992, 3891, 97326, 470, 10637, 262, 52);
INSERT INTO public.who_data VALUES (61993, 0, 0, 0, 0, 262, 117);
INSERT INTO public.who_data VALUES (61994, 0, 70, 0, 1, 262, 126);
INSERT INTO public.who_data VALUES (61995, 0, 185, 0, 0, 262, 196);
INSERT INTO public.who_data VALUES (61996, 0, 324, 0, 9, 262, 142);
INSERT INTO public.who_data VALUES (61997, 0, 11, 0, 1, 262, 185);
INSERT INTO public.who_data VALUES (61998, 56, 7922, 0, 206, 262, 138);
INSERT INTO public.who_data VALUES (61999, 9, 316, 0, 2, 262, 181);
INSERT INTO public.who_data VALUES (62000, 1, 234, 0, 6, 262, 178);
INSERT INTO public.who_data VALUES (62001, 0, 25, 0, 0, 262, 168);
INSERT INTO public.who_data VALUES (62002, 0, 0, 0, 0, 262, 160);
INSERT INTO public.who_data VALUES (62003, 201, 2300, 1, 9, 262, 151);
INSERT INTO public.who_data VALUES (62004, 93, 46499, 13, 5945, 262, 193);
INSERT INTO public.who_data VALUES (62005, 0, 19, 0, 0, 262, 18);
INSERT INTO public.who_data VALUES (62006, 0, 1154, 0, 22, 262, 40);
INSERT INTO public.who_data VALUES (62007, 359, 1309, 11, 46, 262, 218);
INSERT INTO public.who_data VALUES (62008, 1, 961, 0, 65, 262, 191);
INSERT INTO public.who_data VALUES (62009, 347, 11166, 1, 315, 262, 156);
INSERT INTO public.who_data VALUES (62010, 0, 0, 0, 0, 262, 135);
INSERT INTO public.who_data VALUES (62011, 1, 24, 0, 2, 262, 88);
INSERT INTO public.who_data VALUES (62012, 101, 2492, 4, 145, 262, 55);
INSERT INTO public.who_data VALUES (62013, 0, 8446, 0, 237, 262, 108);
INSERT INTO public.who_data VALUES (62014, 6, 636, 0, 5, 262, 48);
INSERT INTO public.who_data VALUES (62015, 738, 13537, 8, 67, 262, 3);
INSERT INTO public.who_data VALUES (62016, 0, 741, 0, 13, 262, 224);
INSERT INTO public.who_data VALUES (62017, 4801, 85264, 82, 1770, 262, 110);
INSERT INTO public.who_data VALUES (62018, 0, 0, 0, 0, 262, 106);
INSERT INTO public.who_data VALUES (62019, 258, 14095, 8, 352, 262, 89);
INSERT INTO public.who_data VALUES (62020, 0, 8, 0, 0, 262, 121);
INSERT INTO public.who_data VALUES (62021, 57, 1070, 0, 11, 262, 163);
INSERT INTO public.who_data VALUES (62022, 4845, 174884, 133, 4767, 262, 70);
INSERT INTO public.who_data VALUES (62023, 751, 19748, 8, 974, 262, 174);
INSERT INTO public.who_data VALUES (62024, 0, 0, 0, 0, 262, 175);
INSERT INTO public.who_data VALUES (62025, 292, 24687, 23, 1115, 262, 118);
INSERT INTO public.who_data VALUES (62026, 366, 33261, 11, 1447, 262, 189);
INSERT INTO public.who_data VALUES (62027, 88, 4023, 2, 140, 262, 124);
INSERT INTO public.who_data VALUES (62028, 1901, 62160, 2, 45, 262, 192);
INSERT INTO public.who_data VALUES (62029, 39, 11629, 0, 273, 262, 41);
INSERT INTO public.who_data VALUES (62030, 247, 8795, 5, 314, 262, 95);
INSERT INTO public.who_data VALUES (62031, 1, 478, 0, 1, 262, 74);
INSERT INTO public.who_data VALUES (62032, 152, 19669, 9, 1288, 262, 11);
INSERT INTO public.who_data VALUES (62033, 8831, 441108, 169, 5384, 262, 87);
INSERT INTO public.who_data VALUES (62034, 13, 397, 0, 2, 262, 214);
INSERT INTO public.who_data VALUES (62035, 0, 3, 0, 0, 262, 116);
INSERT INTO public.who_data VALUES (62036, 0, 6, 0, 0, 262, 157);
INSERT INTO public.who_data VALUES (62037, 0, 0, 0, 0, 262, 182);
INSERT INTO public.who_data VALUES (62038, 0, 15, 0, 0, 262, 186);
INSERT INTO public.who_data VALUES (62039, 0, 18, 0, 0, 262, 127);
INSERT INTO public.who_data VALUES (62040, 0, 41, 0, 3, 262, 232);
INSERT INTO public.who_data VALUES (62041, 0, 1, 0, 0, 262, 33);
INSERT INTO public.who_data VALUES (62042, 0, 26, 0, 0, 262, 97);
INSERT INTO public.who_data VALUES (62043, 0, 0, 0, 0, 262, 42);
INSERT INTO public.who_data VALUES (62044, 0, 687, 0, 42, 262, 198);
INSERT INTO public.who_data VALUES (62045, 0, 295, 0, 10, 262, 216);
INSERT INTO public.who_data VALUES (62046, 2171, 91182, 30, 579, 262, 164);
INSERT INTO public.who_data VALUES (62047, 96, 3932, 2, 45, 262, 235);
INSERT INTO public.who_data VALUES (62048, 69, 11523, 0, 245, 262, 67);
INSERT INTO public.who_data VALUES (62049, 0, 11, 0, 0, 262, 15);
INSERT INTO public.who_data VALUES (62050, 13, 909, 1, 47, 262, 180);
INSERT INTO public.who_data VALUES (62051, 569, 36405, 0, 24, 262, 237);
INSERT INTO public.who_data VALUES (62052, 0, 2, 0, 0, 262, 25);
INSERT INTO public.who_data VALUES (62053, 0, 78, 0, 15, 262, 209);
INSERT INTO public.who_data VALUES (62054, 0, 1522, 0, 28, 262, 217);
INSERT INTO public.who_data VALUES (62055, 2, 1477, 0, 113, 262, 79);
INSERT INTO public.who_data VALUES (62056, 0, 0, 0, 0, 262, 143);
INSERT INTO public.who_data VALUES (62057, 57, 2146, 0, 79, 262, 229);
INSERT INTO public.who_data VALUES (62058, 1713, 37525, 37, 792, 262, 141);
INSERT INTO public.who_data VALUES (62059, 323, 1317, 4, 14, 262, 197);
INSERT INTO public.who_data VALUES (62060, 509, 248756, 49, 29248, 262, 221);
INSERT INTO public.who_data VALUES (62061, 66, 1749, 0, 11, 262, 150);
INSERT INTO public.who_data VALUES (62062, 189, 5499, 7, 314, 262, 56);
INSERT INTO public.who_data VALUES (62063, 1, 54, 0, 1, 262, 167);
INSERT INTO public.who_data VALUES (62064, 900, 40208, 36, 4730, 262, 23);
INSERT INTO public.who_data VALUES (62065, 23, 30891, 0, 1717, 262, 222);
INSERT INTO public.who_data VALUES (62066, 0, 123, 0, 6, 262, 219);
INSERT INTO public.who_data VALUES (62067, 91, 4191, 1, 48, 262, 7);
INSERT INTO public.who_data VALUES (62068, 17, 3101, 0, 58, 262, 161);
INSERT INTO public.who_data VALUES (62069, 1484, 259523, 254, 38034, 262, 149);
INSERT INTO public.who_data VALUES (62070, 0, 24, 0, 0, 262, 6);
INSERT INTO public.who_data VALUES (62071, 7, 452, 0, 13, 262, 139);
INSERT INTO public.who_data VALUES (62072, 0, 0, 0, 0, 262, 211);
INSERT INTO public.who_data VALUES (62073, 0, 0, 0, 0, 262, 14);
INSERT INTO public.who_data VALUES (62074, 0, 117, 0, 8, 262, 111);
INSERT INTO public.who_data VALUES (62075, 0, 1087, 0, 49, 262, 207);
INSERT INTO public.who_data VALUES (62076, 867, 166422, 24, 4609, 262, 66);
INSERT INTO public.who_data VALUES (62077, 0, 0, 0, 0, 262, 173);
INSERT INTO public.who_data VALUES (62078, 0, 12, 0, 1, 262, 145);
INSERT INTO public.who_data VALUES (62079, 0, 0, 0, 0, 262, 65);
INSERT INTO public.who_data VALUES (62080, 50, 636, 0, 0, 262, 184);
INSERT INTO public.who_data VALUES (62081, 588, 25411, 13, 748, 262, 98);
INSERT INTO public.who_data VALUES (62082, 571, 36359, 1, 270, 262, 104);
INSERT INTO public.who_data VALUES (62083, 0, 509, 0, 21, 262, 73);
INSERT INTO public.who_data VALUES (62084, 24890, 1823220, 1043, 106051, 262, 8);
INSERT INTO public.who_data VALUES (62085, 0, 70, 0, 6, 262, 227);
INSERT INTO public.who_data VALUES (62086, 1, 826, 0, 23, 262, 75);
INSERT INTO public.who_data VALUES (62087, 156, 3874, 1, 16, 262, 45);
INSERT INTO public.who_data VALUES (62088, 0, 0, 0, 0, 262, 133);
INSERT INTO public.who_data VALUES (62089, 157, 1819, 1, 18, 262, 202);
INSERT INTO public.who_data VALUES (62090, 0, 328, 0, 0, 262, 129);
INSERT INTO public.who_data VALUES (62091, 0, 0, 0, 0, 262, 36);
INSERT INTO public.who_data VALUES (62092, 20, 419, 8, 95, 262, 51);
INSERT INTO public.who_data VALUES (62093, 0, 1089, 0, 7, 262, 206);
INSERT INTO public.who_data VALUES (62094, 16, 222, 0, 4, 262, 5);
INSERT INTO public.who_data VALUES (62095, 775, 17353, 24, 298, 263, 103);
INSERT INTO public.who_data VALUES (62096, 20, 1161, 1, 33, 263, 58);
INSERT INTO public.who_data VALUES (62097, 113, 9626, 6, 667, 263, 195);
INSERT INTO public.who_data VALUES (62098, 0, 0, 0, 0, 263, 115);
INSERT INTO public.who_data VALUES (62099, 79, 844, 0, 51, 263, 99);
INSERT INTO public.who_data VALUES (62100, 0, 86, 0, 4, 263, 153);
INSERT INTO public.who_data VALUES (62101, 0, 3, 0, 0, 263, 93);
INSERT INTO public.who_data VALUES (62102, 0, 25, 0, 3, 263, 84);
INSERT INTO public.who_data VALUES (62103, 564, 17415, 19, 560, 263, 78);
INSERT INTO public.who_data VALUES (62104, 517, 9985, 19, 158, 263, 170);
INSERT INTO public.who_data VALUES (62105, 0, 101, 0, 3, 263, 32);
INSERT INTO public.who_data VALUES (62106, 17, 7221, 0, 103, 263, 155);
INSERT INTO public.who_data VALUES (62107, 11, 16674, 1, 669, 263, 82);
INSERT INTO public.who_data VALUES (62108, 273, 5935, 3, 71, 263, 16);
INSERT INTO public.who_data VALUES (62109, 0, 102, 0, 11, 263, 72);
INSERT INTO public.who_data VALUES (62110, 440, 12311, 0, 19, 263, 43);
INSERT INTO public.who_data VALUES (62111, 2911, 52445, 37, 709, 263, 120);
INSERT INTO public.who_data VALUES (62112, 0, 92, 0, 7, 263, 213);
INSERT INTO public.who_data VALUES (62113, 852, 44255, 3, 243, 263, 31);
INSERT INTO public.who_data VALUES (62114, 181, 59305, 23, 9404, 263, 204);
INSERT INTO public.who_data VALUES (62115, 0, 18, 0, 2, 263, 152);
INSERT INTO public.who_data VALUES (62116, 1, 244, 0, 3, 263, 144);
INSERT INTO public.who_data VALUES (62117, 1, 141, 0, 9, 263, 96);
INSERT INTO public.who_data VALUES (62118, 0, 47, 0, 0, 263, 47);
INSERT INTO public.who_data VALUES (62119, 549, 10531, 30, 343, 263, 80);
INSERT INTO public.who_data VALUES (62120, 0, 2, 0, 0, 263, 159);
INSERT INTO public.who_data VALUES (62121, 11, 2534, 3, 156, 263, 27);
INSERT INTO public.who_data VALUES (62122, 2, 40, 0, 1, 263, 146);
INSERT INTO public.who_data VALUES (62123, 11598, 526447, 623, 29937, 263, 71);
INSERT INTO public.who_data VALUES (62124, 0, 8, 0, 1, 263, 210);
INSERT INTO public.who_data VALUES (62125, 0, 141, 0, 2, 263, 54);
INSERT INTO public.who_data VALUES (62126, 25, 2538, 0, 144, 263, 147);
INSERT INTO public.who_data VALUES (62127, 1, 884, 0, 53, 263, 2);
INSERT INTO public.who_data VALUES (62128, 0, 63, 0, 1, 263, 105);
INSERT INTO public.who_data VALUES (62129, 8, 466, 1, 5, 263, 53);
INSERT INTO public.who_data VALUES (62130, 0, 125, 0, 0, 263, 81);
INSERT INTO public.who_data VALUES (62131, 188, 6585, 1, 200, 263, 223);
INSERT INTO public.who_data VALUES (62132, 800, 92151, 39, 7344, 263, 94);
INSERT INTO public.who_data VALUES (62133, 9, 150, 0, 1, 263, 154);
INSERT INTO public.who_data VALUES (62134, 0, 1069, 0, 4, 263, 83);
INSERT INTO public.who_data VALUES (62135, 13, 803, 0, 66, 263, 194);
INSERT INTO public.who_data VALUES (62136, 3527, 108686, 75, 1188, 263, 136);
INSERT INTO public.who_data VALUES (62137, 5, 84602, 0, 4645, 263, 179);
INSERT INTO public.who_data VALUES (62138, 1110, 30493, 30, 969, 263, 57);
INSERT INTO public.who_data VALUES (62139, 0, 62, 0, 2, 263, 35);
INSERT INTO public.who_data VALUES (62140, 7, 618, 0, 20, 263, 228);
INSERT INTO public.who_data VALUES (62141, 0, 0, 0, 0, 263, 19);
INSERT INTO public.who_data VALUES (62142, 28, 1084, 0, 10, 263, 22);
INSERT INTO public.who_data VALUES (62143, 73, 3024, 0, 33, 263, 1);
INSERT INTO public.who_data VALUES (62144, 0, 2246, 0, 103, 263, 21);
INSERT INTO public.who_data VALUES (62145, 9, 2092, 0, 83, 263, 234);
INSERT INTO public.who_data VALUES (62146, 0, 20, 0, 1, 263, 91);
INSERT INTO public.who_data VALUES (62147, 3, 952, 0, 17, 263, 137);
INSERT INTO public.who_data VALUES (62148, 62, 9364, 2, 323, 263, 201);
INSERT INTO public.who_data VALUES (62149, 0, 0, 0, 0, 263, 171);
INSERT INTO public.who_data VALUES (62150, 131, 3325, 0, 71, 263, 92);
INSERT INTO public.who_data VALUES (62151, 35, 11734, 4, 580, 263, 112);
INSERT INTO public.who_data VALUES (62152, 210, 3779, 1, 25, 263, 62);
INSERT INTO public.who_data VALUES (62153, 0, 16, 0, 0, 263, 69);
INSERT INTO public.who_data VALUES (62154, 180, 17752, 13, 515, 263, 220);
INSERT INTO public.who_data VALUES (62155, 1316, 40414, 80, 3438, 263, 100);
INSERT INTO public.who_data VALUES (62156, 1152, 27536, 47, 1052, 263, 187);
INSERT INTO public.who_data VALUES (62157, 71, 2653, 0, 46, 263, 63);
INSERT INTO public.who_data VALUES (62158, 0, 1043, 0, 12, 263, 28);
INSERT INTO public.who_data VALUES (62159, 0, 39, 0, 0, 263, 172);
INSERT INTO public.who_data VALUES (62160, 0, 1870, 0, 63, 263, 17);
INSERT INTO public.who_data VALUES (62161, 1, 294, 0, 3, 263, 226);
INSERT INTO public.who_data VALUES (62162, 87, 1344, 2, 14, 263, 236);
INSERT INTO public.who_data VALUES (62163, 0, 13, 0, 0, 263, 76);
INSERT INTO public.who_data VALUES (62164, 0, 187, 0, 0, 263, 30);
INSERT INTO public.who_data VALUES (62165, 0, 18, 0, 0, 263, 128);
INSERT INTO public.who_data VALUES (62166, 2, 6887, 0, 320, 263, 86);
INSERT INTO public.who_data VALUES (62167, -840, 147935, 107, 28883, 263, 140);
INSERT INTO public.who_data VALUES (62168, 18, 517, 0, 1, 263, 44);
INSERT INTO public.who_data VALUES (62169, 0, 60, 0, 0, 263, 113);
INSERT INTO public.who_data VALUES (62170, 148, 2803, 3, 20, 263, 29);
INSERT INTO public.who_data VALUES (62171, 1, 26, 0, 1, 263, 125);
INSERT INTO public.who_data VALUES (62172, 4, 800, 1, 13, 263, 131);
INSERT INTO public.who_data VALUES (62173, 342, 182370, 29, 8551, 263, 46);
INSERT INTO public.who_data VALUES (62174, 227, 8297, 2, 38, 263, 10);
INSERT INTO public.who_data VALUES (62175, 0, 170, 0, 0, 263, 205);
INSERT INTO public.who_data VALUES (62176, 19, 2937, 0, 179, 263, 50);
INSERT INTO public.who_data VALUES (62177, 0, 13, 0, 0, 263, 20);
INSERT INTO public.who_data VALUES (62178, 0, 23, 0, 0, 263, 13);
INSERT INTO public.who_data VALUES (62179, 0, 162, 0, 14, 263, 148);
INSERT INTO public.who_data VALUES (62180, 2, 169, 0, 5, 263, 230);
INSERT INTO public.who_data VALUES (62181, 249, 5336, 8, 116, 263, 190);
INSERT INTO public.who_data VALUES (62182, 0, 252, 0, 13, 263, 188);
INSERT INTO public.who_data VALUES (62183, 42, 3886, 0, 23, 263, 123);
INSERT INTO public.who_data VALUES (62184, 0, 1339, 0, 8, 263, 9);
INSERT INTO public.who_data VALUES (62185, 0, 153, 0, 12, 263, 102);
INSERT INTO public.who_data VALUES (62186, 102, 2226, 1, 45, 263, 34);
INSERT INTO public.who_data VALUES (62187, 0, 12, 0, 0, 263, 212);
INSERT INTO public.who_data VALUES (62188, 160, 5362, 5, 217, 263, 122);
INSERT INTO public.who_data VALUES (62189, 10, 3931, 2, 534, 263, 38);
INSERT INTO public.who_data VALUES (62190, 0, 1806, 0, 10, 263, 130);
INSERT INTO public.who_data VALUES (62191, 8909, 207615, 217, 5815, 263, 37);
INSERT INTO public.who_data VALUES (62192, 609, 27549, 22, 1663, 263, 231);
INSERT INTO public.who_data VALUES (62193, 3117, 157562, 64, 7942, 263, 107);
INSERT INTO public.who_data VALUES (62194, 519, 7387, 20, 235, 263, 101);
INSERT INTO public.who_data VALUES (62195, 4, 25066, 8, 1658, 263, 132);
INSERT INTO public.who_data VALUES (62196, 0, 336, 0, 24, 263, 176);
INSERT INTO public.who_data VALUES (62197, 100, 17188, 3, 290, 263, 200);
INSERT INTO public.who_data VALUES (62198, 318, 233515, 55, 33530, 263, 169);
INSERT INTO public.who_data VALUES (62199, 7, 588, 0, 9, 263, 225);
INSERT INTO public.who_data VALUES (62200, 56, 16986, 6, 900, 263, 165);
INSERT INTO public.who_data VALUES (62201, 0, 308, 0, 29, 263, 233);
INSERT INTO public.who_data VALUES (62202, 5, 745, 0, 9, 263, 215);
INSERT INTO public.who_data VALUES (62203, 271, 12067, 4, 48, 263, 177);
INSERT INTO public.who_data VALUES (62204, 72, 2093, 2, 71, 263, 183);
INSERT INTO public.who_data VALUES (62205, 0, 0, 0, 0, 263, 203);
INSERT INTO public.who_data VALUES (62206, 13, 1080, 0, 21, 263, 162);
INSERT INTO public.who_data VALUES (62207, 887, 28649, 6, 226, 263, 12);
INSERT INTO public.who_data VALUES (62208, 26, 1871, 3, 20, 263, 24);
INSERT INTO public.who_data VALUES (62209, 0, 19, 0, 0, 263, 119);
INSERT INTO public.who_data VALUES (62210, 8, 1079, 0, 24, 263, 39);
INSERT INTO public.who_data VALUES (62211, 9, 1242, 0, 27, 263, 26);
INSERT INTO public.who_data VALUES (62212, 0, 2, 0, 0, 263, 59);
INSERT INTO public.who_data VALUES (62213, 15, 311, 1, 28, 263, 77);
INSERT INTO public.who_data VALUES (62214, 14, 182, 0, 5, 263, 134);
INSERT INTO public.who_data VALUES (62215, 0, 83, 0, 1, 263, 4);
INSERT INTO public.who_data VALUES (62216, 3, 1679, 0, 71, 263, 109);
INSERT INTO public.who_data VALUES (62217, 1, 4020, 0, 110, 263, 90);
INSERT INTO public.who_data VALUES (62218, 19, 845, 0, 6, 263, 61);
INSERT INTO public.who_data VALUES (62219, 22, 358, 0, 4, 263, 85);
INSERT INTO public.who_data VALUES (62220, 20, 7877, 0, 115, 263, 49);
INSERT INTO public.who_data VALUES (62221, 12, 1841, 1, 7, 263, 208);
INSERT INTO public.who_data VALUES (62222, 36, 1351, 0, 78, 263, 166);
INSERT INTO public.who_data VALUES (62223, 1, 619, 0, 9, 263, 64);
INSERT INTO public.who_data VALUES (62224, 0, 0, 0, 0, 263, 199);
INSERT INTO public.who_data VALUES (62225, 0, 200, 0, 14, 263, 114);
INSERT INTO public.who_data VALUES (62226, 58, 588, 3, 26, 263, 60);
INSERT INTO public.who_data VALUES (62227, 0, 335, 0, 10, 263, 68);
INSERT INTO public.who_data VALUES (62228, 52, 1986, 0, 24, 263, 158);
INSERT INTO public.who_data VALUES (62229, 2771, 93435, 237, 10167, 263, 52);
INSERT INTO public.who_data VALUES (62230, 0, 0, 0, 0, 263, 117);
INSERT INTO public.who_data VALUES (62231, 0, 70, 0, 1, 263, 126);
INSERT INTO public.who_data VALUES (62232, 0, 185, 0, 0, 263, 196);
INSERT INTO public.who_data VALUES (62233, 0, 324, 0, 9, 263, 142);
INSERT INTO public.who_data VALUES (62234, 0, 11, 0, 1, 263, 185);
INSERT INTO public.who_data VALUES (62235, 33, 7866, 1, 206, 263, 138);
INSERT INTO public.who_data VALUES (62236, 53, 307, 0, 2, 263, 181);
INSERT INTO public.who_data VALUES (62237, 5, 233, 0, 6, 263, 178);
INSERT INTO public.who_data VALUES (62238, 0, 25, 0, 0, 263, 168);
INSERT INTO public.who_data VALUES (62239, 0, 0, 0, 0, 263, 160);
INSERT INTO public.who_data VALUES (62240, 288, 2099, 0, 8, 263, 151);
INSERT INTO public.who_data VALUES (62241, 95, 46406, 4, 5932, 263, 193);
INSERT INTO public.who_data VALUES (62242, 0, 19, 0, 0, 263, 18);
INSERT INTO public.who_data VALUES (62243, 0, 1154, 0, 22, 263, 40);
INSERT INTO public.who_data VALUES (62244, 65, 950, 0, 35, 263, 218);
INSERT INTO public.who_data VALUES (62245, 2, 960, 1, 65, 263, 191);
INSERT INTO public.who_data VALUES (62246, 241, 10819, 15, 314, 263, 156);
INSERT INTO public.who_data VALUES (62247, 0, 0, 0, 0, 263, 135);
INSERT INTO public.who_data VALUES (62248, 1, 23, 0, 2, 263, 88);
INSERT INTO public.who_data VALUES (62249, 76, 2391, 1, 141, 263, 55);
INSERT INTO public.who_data VALUES (62250, 35, 8446, 1, 237, 263, 108);
INSERT INTO public.who_data VALUES (62251, 2, 630, 0, 5, 263, 48);
INSERT INTO public.who_data VALUES (62252, 576, 12799, 9, 59, 263, 3);
INSERT INTO public.who_data VALUES (62253, 0, 741, 0, 13, 263, 224);
INSERT INTO public.who_data VALUES (62254, 4065, 80463, 67, 1688, 263, 110);
INSERT INTO public.who_data VALUES (62255, 0, 0, 0, 0, 263, 106);
INSERT INTO public.who_data VALUES (62256, 374, 13837, 8, 344, 263, 89);
INSERT INTO public.who_data VALUES (62257, 0, 8, 0, 0, 263, 121);
INSERT INTO public.who_data VALUES (62258, 18, 1013, 0, 11, 263, 163);
INSERT INTO public.who_data VALUES (62259, 5563, 170039, 128, 4634, 263, 70);
INSERT INTO public.who_data VALUES (62260, 359, 18997, 6, 966, 263, 174);
INSERT INTO public.who_data VALUES (62261, 0, 0, 0, 0, 263, 175);
INSERT INTO public.who_data VALUES (62262, 230, 24395, 18, 1092, 263, 118);
INSERT INTO public.who_data VALUES (62263, 195, 32895, 12, 1436, 263, 189);
INSERT INTO public.who_data VALUES (62264, 62, 3935, 2, 138, 263, 124);
INSERT INTO public.who_data VALUES (62265, 1826, 60259, 3, 43, 263, 192);
INSERT INTO public.who_data VALUES (62266, 49, 11590, 1, 273, 263, 41);
INSERT INTO public.who_data VALUES (62267, 188, 8548, 2, 309, 263, 95);
INSERT INTO public.who_data VALUES (62268, 4, 477, 0, 1, 263, 74);
INSERT INTO public.who_data VALUES (62269, 119, 19517, 0, 1279, 263, 11);
INSERT INTO public.who_data VALUES (62270, 8536, 432277, 178, 5215, 263, 87);
INSERT INTO public.who_data VALUES (62271, 7, 384, 1, 2, 263, 214);
INSERT INTO public.who_data VALUES (62272, 0, 3, 0, 0, 263, 116);
INSERT INTO public.who_data VALUES (62273, 0, 6, 0, 0, 263, 157);
INSERT INTO public.who_data VALUES (62274, 0, 0, 0, 0, 263, 182);
INSERT INTO public.who_data VALUES (62275, 0, 15, 0, 0, 263, 186);
INSERT INTO public.who_data VALUES (62276, 0, 18, 0, 0, 263, 127);
INSERT INTO public.who_data VALUES (62277, 0, 41, 0, 3, 263, 232);
INSERT INTO public.who_data VALUES (62278, 0, 1, 0, 0, 263, 33);
INSERT INTO public.who_data VALUES (62279, 0, 26, 0, 0, 263, 97);
INSERT INTO public.who_data VALUES (62280, 0, 0, 0, 0, 263, 42);
INSERT INTO public.who_data VALUES (62281, 0, 687, 0, 42, 263, 198);
INSERT INTO public.who_data VALUES (62282, 0, 295, 0, 10, 263, 216);
INSERT INTO public.who_data VALUES (62283, 1869, 89011, 24, 549, 263, 164);
INSERT INTO public.who_data VALUES (62284, 97, 3836, 1, 43, 263, 235);
INSERT INTO public.who_data VALUES (62285, 24, 11454, 1, 245, 263, 67);
INSERT INTO public.who_data VALUES (62286, 0, 11, 0, 0, 263, 15);
INSERT INTO public.who_data VALUES (62287, 31, 896, 0, 46, 263, 180);
INSERT INTO public.who_data VALUES (62288, 544, 35836, 0, 24, 263, 237);
INSERT INTO public.who_data VALUES (62289, 0, 2, 0, 0, 263, 25);
INSERT INTO public.who_data VALUES (62290, 0, 78, 0, 15, 263, 209);
INSERT INTO public.who_data VALUES (62291, 0, 1522, 0, 28, 263, 217);
INSERT INTO public.who_data VALUES (62292, 2, 1475, 0, 113, 263, 79);
INSERT INTO public.who_data VALUES (62293, 0, 0, 0, 0, 263, 143);
INSERT INTO public.who_data VALUES (62294, 66, 2089, 0, 79, 263, 229);
INSERT INTO public.who_data VALUES (62295, 1455, 35812, 50, 755, 263, 141);
INSERT INTO public.who_data VALUES (62296, 0, 994, 0, 10, 263, 197);
INSERT INTO public.who_data VALUES (62297, 366, 248247, 34, 29199, 263, 221);
INSERT INTO public.who_data VALUES (62298, 40, 1683, 0, 11, 263, 150);
INSERT INTO public.who_data VALUES (62299, 137, 5310, 9, 307, 263, 56);
INSERT INTO public.who_data VALUES (62300, 26, 53, 0, 1, 263, 167);
INSERT INTO public.who_data VALUES (62301, 648, 39308, 39, 4694, 263, 23);
INSERT INTO public.who_data VALUES (62302, 23, 30868, 0, 1717, 263, 222);
INSERT INTO public.who_data VALUES (62303, 0, 123, 1, 6, 263, 219);
INSERT INTO public.who_data VALUES (62304, 87, 4100, 0, 47, 263, 7);
INSERT INTO public.who_data VALUES (62305, 1, 3084, 0, 58, 263, 161);
INSERT INTO public.who_data VALUES (62306, 1441, 258039, 249, 37780, 263, 149);
INSERT INTO public.who_data VALUES (62307, 0, 24, 0, 0, 263, 6);
INSERT INTO public.who_data VALUES (62308, 2, 445, 0, 13, 263, 139);
INSERT INTO public.who_data VALUES (62309, 0, 0, 0, 0, 263, 211);
INSERT INTO public.who_data VALUES (62310, 0, 0, 0, 0, 263, 14);
INSERT INTO public.who_data VALUES (62311, 0, 117, 0, 8, 263, 111);
INSERT INTO public.who_data VALUES (62312, 1, 1087, 1, 49, 263, 207);
INSERT INTO public.who_data VALUES (62313, 786, 165555, 22, 4585, 263, 66);
INSERT INTO public.who_data VALUES (62314, 0, 0, 0, 0, 263, 173);
INSERT INTO public.who_data VALUES (62315, 0, 12, 0, 1, 263, 145);
INSERT INTO public.who_data VALUES (62316, 0, 0, 0, 0, 263, 65);
INSERT INTO public.who_data VALUES (62317, 128, 586, 0, 0, 263, 184);
INSERT INTO public.who_data VALUES (62318, 483, 24823, 8, 735, 263, 98);
INSERT INTO public.who_data VALUES (62319, 596, 35788, 3, 269, 263, 104);
INSERT INTO public.who_data VALUES (62320, 0, 509, 0, 21, 263, 73);
INSERT INTO public.who_data VALUES (62321, 14692, 1798330, 761, 105008, 263, 8);
INSERT INTO public.who_data VALUES (62322, 0, 70, 0, 6, 263, 227);
INSERT INTO public.who_data VALUES (62323, 2, 825, 1, 23, 263, 75);
INSERT INTO public.who_data VALUES (62324, 0, 3718, 0, 15, 263, 45);
INSERT INTO public.who_data VALUES (62325, 0, 0, 0, 0, 263, 133);
INSERT INTO public.who_data VALUES (62326, 152, 1662, 3, 17, 263, 202);
INSERT INTO public.who_data VALUES (62327, 0, 328, 0, 0, 263, 129);
INSERT INTO public.who_data VALUES (62328, 0, 0, 0, 0, 263, 36);
INSERT INTO public.who_data VALUES (62329, 45, 399, 3, 87, 263, 51);
INSERT INTO public.who_data VALUES (62330, 0, 1089, 0, 7, 263, 206);
INSERT INTO public.who_data VALUES (62331, 28, 206, 0, 4, 263, 5);
INSERT INTO public.who_data VALUES (62332, 742, 16578, 5, 274, 264, 103);
INSERT INTO public.who_data VALUES (62333, 36, 1141, 0, 32, 264, 58);
INSERT INTO public.who_data VALUES (62334, 119, 9513, 8, 661, 264, 195);
INSERT INTO public.who_data VALUES (62335, 0, 0, 0, 0, 264, 115);
INSERT INTO public.who_data VALUES (62336, 1, 765, 0, 51, 264, 99);
INSERT INTO public.who_data VALUES (62337, 0, 86, 0, 4, 264, 153);
INSERT INTO public.who_data VALUES (62338, 0, 3, 0, 0, 264, 93);
INSERT INTO public.who_data VALUES (62339, 0, 25, 0, 3, 264, 84);
INSERT INTO public.who_data VALUES (62340, 637, 16851, 11, 541, 264, 78);
INSERT INTO public.who_data VALUES (62341, 210, 9468, 8, 139, 264, 170);
INSERT INTO public.who_data VALUES (62342, 0, 101, 0, 3, 264, 32);
INSERT INTO public.who_data VALUES (62343, 9, 7204, 0, 103, 264, 155);
INSERT INTO public.who_data VALUES (62344, 21, 16663, 0, 668, 264, 82);
INSERT INTO public.who_data VALUES (62345, 168, 5662, 5, 68, 264, 16);
INSERT INTO public.who_data VALUES (62346, 1, 102, 0, 11, 264, 72);
INSERT INTO public.who_data VALUES (62347, 473, 11871, 0, 19, 264, 43);
INSERT INTO public.who_data VALUES (62348, 2381, 49534, 22, 672, 264, 120);
INSERT INTO public.who_data VALUES (62349, 0, 92, 0, 7, 264, 213);
INSERT INTO public.who_data VALUES (62350, 847, 43403, 5, 240, 264, 31);
INSERT INTO public.who_data VALUES (62351, 59, 59124, 21, 9381, 264, 204);
INSERT INTO public.who_data VALUES (62352, 0, 18, 0, 2, 264, 152);
INSERT INTO public.who_data VALUES (62353, 11, 243, 0, 3, 264, 144);
INSERT INTO public.who_data VALUES (62354, 0, 140, 0, 9, 264, 96);
INSERT INTO public.who_data VALUES (62355, 4, 47, 0, 0, 264, 47);
INSERT INTO public.who_data VALUES (62356, 390, 9982, 3, 313, 264, 80);
INSERT INTO public.who_data VALUES (62357, 0, 2, 0, 0, 264, 159);
INSERT INTO public.who_data VALUES (62358, 14, 2523, 1, 153, 264, 27);
INSERT INTO public.who_data VALUES (62359, 0, 38, 0, 1, 264, 146);
INSERT INTO public.who_data VALUES (62360, 16409, 514849, 480, 29314, 264, 71);
INSERT INTO public.who_data VALUES (62361, 0, 8, 0, 1, 264, 210);
INSERT INTO public.who_data VALUES (62362, 0, 141, 0, 2, 264, 54);
INSERT INTO public.who_data VALUES (62363, 0, 2513, 4, 144, 264, 147);
INSERT INTO public.who_data VALUES (62364, 2, 883, 0, 53, 264, 2);
INSERT INTO public.who_data VALUES (62365, 0, 63, 0, 1, 264, 105);
INSERT INTO public.who_data VALUES (62366, 23, 458, 0, 4, 264, 53);
INSERT INTO public.who_data VALUES (62367, 0, 125, 0, 0, 264, 81);
INSERT INTO public.who_data VALUES (62368, 493, 6397, 8, 199, 264, 223);
INSERT INTO public.who_data VALUES (62369, 835, 91351, 213, 7305, 264, 94);
INSERT INTO public.who_data VALUES (62370, 0, 141, 0, 1, 264, 154);
INSERT INTO public.who_data VALUES (62371, 58, 1069, 2, 4, 264, 83);
INSERT INTO public.who_data VALUES (62372, 12, 790, 1, 66, 264, 194);
INSERT INTO public.who_data VALUES (62373, 5471, 105159, 59, 1113, 264, 136);
INSERT INTO public.who_data VALUES (62374, 9, 84597, 0, 4645, 264, 179);
INSERT INTO public.who_data VALUES (62375, 1147, 29383, 49, 939, 264, 57);
INSERT INTO public.who_data VALUES (62376, 0, 62, 0, 2, 264, 35);
INSERT INTO public.who_data VALUES (62377, 7, 611, 0, 20, 264, 228);
INSERT INTO public.who_data VALUES (62378, 0, 0, 0, 0, 264, 19);
INSERT INTO public.who_data VALUES (62379, 9, 1056, 0, 10, 264, 22);
INSERT INTO public.who_data VALUES (62380, 118, 2951, 0, 33, 264, 1);
INSERT INTO public.who_data VALUES (62381, 0, 2246, 0, 103, 264, 21);
INSERT INTO public.who_data VALUES (62382, 38, 2083, 0, 83, 264, 234);
INSERT INTO public.who_data VALUES (62383, 0, 20, 0, 1, 264, 91);
INSERT INTO public.who_data VALUES (62384, 5, 949, 0, 17, 264, 137);
INSERT INTO public.who_data VALUES (62385, 29, 9302, 1, 321, 264, 201);
INSERT INTO public.who_data VALUES (62386, 0, 0, 0, 0, 264, 171);
INSERT INTO public.who_data VALUES (62387, 146, 3194, 0, 71, 264, 92);
INSERT INTO public.who_data VALUES (62388, 30, 11699, 2, 576, 264, 112);
INSERT INTO public.who_data VALUES (62389, 215, 3569, 0, 24, 264, 62);
INSERT INTO public.who_data VALUES (62390, 0, 16, 0, 0, 264, 69);
INSERT INTO public.who_data VALUES (62391, 287, 17572, 0, 502, 264, 220);
INSERT INTO public.who_data VALUES (62392, 0, 39098, 0, 3358, 264, 100);
INSERT INTO public.who_data VALUES (62393, 1399, 26384, 46, 1005, 264, 187);
INSERT INTO public.who_data VALUES (62394, 65, 2582, 0, 46, 264, 63);
INSERT INTO public.who_data VALUES (62395, 0, 1043, 0, 12, 264, 28);
INSERT INTO public.who_data VALUES (62396, 0, 39, 0, 0, 264, 172);
INSERT INTO public.who_data VALUES (62397, 1, 1870, 0, 63, 264, 17);
INSERT INTO public.who_data VALUES (62398, 8, 293, 1, 3, 264, 226);
INSERT INTO public.who_data VALUES (62399, 85, 1257, 1, 12, 264, 236);
INSERT INTO public.who_data VALUES (62400, 0, 13, 0, 0, 264, 76);
INSERT INTO public.who_data VALUES (62401, 0, 187, 0, 0, 264, 30);
INSERT INTO public.who_data VALUES (62402, 0, 18, 0, 0, 264, 128);
INSERT INTO public.who_data VALUES (62403, 26, 6885, 0, 320, 264, 86);
INSERT INTO public.who_data VALUES (62404, 251, 148775, 30, 28776, 264, 140);
INSERT INTO public.who_data VALUES (62405, 22, 499, 0, 1, 264, 44);
INSERT INTO public.who_data VALUES (62406, 0, 60, 0, 0, 264, 113);
INSERT INTO public.who_data VALUES (62407, 0, 2655, 0, 17, 264, 29);
INSERT INTO public.who_data VALUES (62408, 0, 25, 0, 1, 264, 125);
INSERT INTO public.who_data VALUES (62409, 2, 796, 0, 12, 264, 131);
INSERT INTO public.who_data VALUES (62410, 213, 182028, 11, 8522, 264, 46);
INSERT INTO public.who_data VALUES (62411, 189, 8070, 0, 36, 264, 10);
INSERT INTO public.who_data VALUES (62412, 1, 170, 0, 0, 264, 205);
INSERT INTO public.who_data VALUES (62413, 1, 2918, 4, 179, 264, 50);
INSERT INTO public.who_data VALUES (62414, 0, 13, 0, 0, 264, 20);
INSERT INTO public.who_data VALUES (62415, 0, 23, 0, 0, 264, 13);
INSERT INTO public.who_data VALUES (62416, 0, 162, 0, 14, 264, 148);
INSERT INTO public.who_data VALUES (62417, 1, 167, 0, 5, 264, 230);
INSERT INTO public.who_data VALUES (62418, 348, 5087, 6, 108, 264, 190);
INSERT INTO public.who_data VALUES (62419, 0, 252, 0, 13, 264, 188);
INSERT INTO public.who_data VALUES (62420, 73, 3844, 0, 23, 264, 123);
INSERT INTO public.who_data VALUES (62421, 17, 1339, 0, 8, 264, 9);
INSERT INTO public.who_data VALUES (62422, 1, 153, 0, 12, 264, 102);
INSERT INTO public.who_data VALUES (62423, 259, 2124, 3, 44, 264, 34);
INSERT INTO public.who_data VALUES (62424, 0, 12, 0, 0, 264, 212);
INSERT INTO public.who_data VALUES (62425, 108, 5202, 11, 212, 264, 122);
INSERT INTO public.who_data VALUES (62426, 45, 3921, 6, 532, 264, 38);
INSERT INTO public.who_data VALUES (62427, 0, 1806, 0, 10, 264, 130);
INSERT INTO public.who_data VALUES (62428, 8171, 198706, 204, 5598, 264, 37);
INSERT INTO public.who_data VALUES (62429, 467, 26940, 28, 1641, 264, 231);
INSERT INTO public.who_data VALUES (62430, 2979, 154445, 81, 7878, 264, 107);
INSERT INTO public.who_data VALUES (62431, 429, 6868, 10, 215, 264, 101);
INSERT INTO public.who_data VALUES (62432, 72, 25062, 0, 1650, 264, 132);
INSERT INTO public.who_data VALUES (62433, 0, 336, 0, 24, 264, 176);
INSERT INTO public.who_data VALUES (62434, 87, 17088, 0, 287, 264, 200);
INSERT INTO public.who_data VALUES (62435, 178, 233197, 60, 33475, 264, 169);
INSERT INTO public.who_data VALUES (62436, 0, 581, 0, 9, 264, 225);
INSERT INTO public.who_data VALUES (62437, 46, 16930, 2, 894, 264, 165);
INSERT INTO public.who_data VALUES (62438, 0, 308, 0, 29, 264, 233);
INSERT INTO public.who_data VALUES (62439, 7, 740, 0, 9, 264, 215);
INSERT INTO public.who_data VALUES (62440, 225, 11796, 3, 44, 264, 177);
INSERT INTO public.who_data VALUES (62441, 59, 2021, 5, 69, 264, 183);
INSERT INTO public.who_data VALUES (62442, 0, 0, 0, 0, 264, 203);
INSERT INTO public.who_data VALUES (62443, 3, 1067, 0, 21, 264, 162);
INSERT INTO public.who_data VALUES (62444, 719, 27762, 8, 220, 264, 12);
INSERT INTO public.who_data VALUES (62445, 28, 1845, 1, 17, 264, 24);
INSERT INTO public.who_data VALUES (62446, 0, 19, 0, 0, 264, 119);
INSERT INTO public.who_data VALUES (62447, 5, 1071, 0, 24, 264, 39);
INSERT INTO public.who_data VALUES (62448, 13, 1233, 0, 27, 264, 26);
INSERT INTO public.who_data VALUES (62449, 0, 2, 0, 0, 264, 59);
INSERT INTO public.who_data VALUES (62450, 8, 296, 0, 27, 264, 77);
INSERT INTO public.who_data VALUES (62451, 12, 168, 0, 5, 264, 134);
INSERT INTO public.who_data VALUES (62452, 0, 83, 0, 1, 264, 4);
INSERT INTO public.who_data VALUES (62453, 5, 1676, 0, 71, 264, 109);
INSERT INTO public.who_data VALUES (62454, 1, 4019, 0, 110, 264, 90);
INSERT INTO public.who_data VALUES (62455, 55, 826, 0, 6, 264, 61);
INSERT INTO public.who_data VALUES (62456, 52, 336, 0, 4, 264, 85);
INSERT INTO public.who_data VALUES (62457, 38, 7857, 0, 115, 264, 49);
INSERT INTO public.who_data VALUES (62458, 56, 1829, 1, 6, 264, 208);
INSERT INTO public.who_data VALUES (62459, 50, 1315, 1, 78, 264, 166);
INSERT INTO public.who_data VALUES (62460, 1, 618, 0, 9, 264, 64);
INSERT INTO public.who_data VALUES (62461, 0, 0, 0, 0, 264, 199);
INSERT INTO public.who_data VALUES (62462, 0, 200, 0, 14, 264, 114);
INSERT INTO public.who_data VALUES (62463, 0, 530, 0, 23, 264, 60);
INSERT INTO public.who_data VALUES (62464, 0, 335, 0, 10, 264, 68);
INSERT INTO public.who_data VALUES (62465, 63, 1934, 1, 24, 264, 158);
INSERT INTO public.who_data VALUES (62466, 3152, 90664, 151, 9930, 264, 52);
INSERT INTO public.who_data VALUES (62467, 0, 0, 0, 0, 264, 117);
INSERT INTO public.who_data VALUES (62468, 0, 70, 0, 1, 264, 126);
INSERT INTO public.who_data VALUES (62469, 6, 185, 0, 0, 264, 196);
INSERT INTO public.who_data VALUES (62470, 0, 324, 0, 9, 264, 142);
INSERT INTO public.who_data VALUES (62471, 0, 11, 0, 1, 264, 185);
INSERT INTO public.who_data VALUES (62472, 26, 7833, 0, 205, 264, 138);
INSERT INTO public.who_data VALUES (62473, 0, 254, 0, 2, 264, 181);
INSERT INTO public.who_data VALUES (62474, 4, 228, 0, 6, 264, 178);
INSERT INTO public.who_data VALUES (62475, 1, 25, 0, 0, 264, 168);
INSERT INTO public.who_data VALUES (62476, 0, 0, 0, 0, 264, 160);
INSERT INTO public.who_data VALUES (62477, 239, 1811, 0, 8, 264, 151);
INSERT INTO public.who_data VALUES (62478, 105, 46311, 5, 5928, 264, 193);
INSERT INTO public.who_data VALUES (62479, 0, 19, 0, 0, 264, 18);
INSERT INTO public.who_data VALUES (62480, 0, 1154, 0, 22, 264, 40);
INSERT INTO public.who_data VALUES (62481, 0, 885, 0, 35, 264, 218);
INSERT INTO public.who_data VALUES (62482, 0, 958, 0, 64, 264, 191);
INSERT INTO public.who_data VALUES (62483, 416, 10578, 12, 299, 264, 156);
INSERT INTO public.who_data VALUES (62484, 0, 0, 0, 0, 264, 135);
INSERT INTO public.who_data VALUES (62485, 0, 22, 0, 2, 264, 88);
INSERT INTO public.who_data VALUES (62486, 89, 2315, 7, 140, 264, 55);
INSERT INTO public.who_data VALUES (62487, 0, 8411, 0, 236, 264, 108);
INSERT INTO public.who_data VALUES (62488, 1, 628, 0, 5, 264, 48);
INSERT INTO public.who_data VALUES (62489, 786, 12223, 1, 50, 264, 3);
INSERT INTO public.who_data VALUES (62490, 0, 741, 0, 13, 264, 224);
INSERT INTO public.who_data VALUES (62491, 3938, 76398, 78, 1621, 264, 110);
INSERT INTO public.who_data VALUES (62492, 0, 0, 0, 0, 264, 106);
INSERT INTO public.who_data VALUES (62493, 445, 13463, 6, 336, 264, 89);
INSERT INTO public.who_data VALUES (62494, 0, 8, 0, 0, 264, 121);
INSERT INTO public.who_data VALUES (62495, 9, 995, 0, 11, 264, 163);
INSERT INTO public.who_data VALUES (62496, 8805, 164476, 135, 4506, 264, 70);
INSERT INTO public.who_data VALUES (62497, 552, 18638, 3, 960, 264, 174);
INSERT INTO public.who_data VALUES (62498, 0, 0, 0, 0, 264, 175);
INSERT INTO public.who_data VALUES (62499, 379, 24165, 10, 1074, 264, 118);
INSERT INTO public.who_data VALUES (62500, 200, 32700, 14, 1424, 264, 189);
INSERT INTO public.who_data VALUES (62501, 97, 3873, 0, 136, 264, 124);
INSERT INTO public.who_data VALUES (62502, 1523, 58433, 2, 40, 264, 192);
INSERT INTO public.who_data VALUES (62503, 38, 11541, 1, 272, 264, 41);
INSERT INTO public.who_data VALUES (62504, 109, 8360, 12, 307, 264, 95);
INSERT INTO public.who_data VALUES (62505, 2, 473, 0, 1, 264, 74);
INSERT INTO public.who_data VALUES (62506, 141, 19398, 17, 1279, 264, 11);
INSERT INTO public.who_data VALUES (62507, 8863, 423741, 182, 5037, 264, 87);
INSERT INTO public.who_data VALUES (62508, 7, 377, 0, 1, 264, 214);
INSERT INTO public.who_data VALUES (62509, 0, 3, 0, 0, 264, 116);
INSERT INTO public.who_data VALUES (62510, 0, 6, 0, 0, 264, 157);
INSERT INTO public.who_data VALUES (62511, 0, 0, 0, 0, 264, 182);
INSERT INTO public.who_data VALUES (62512, 0, 15, 0, 0, 264, 186);
INSERT INTO public.who_data VALUES (62513, 0, 18, 0, 0, 264, 127);
INSERT INTO public.who_data VALUES (62514, 0, 41, 0, 3, 264, 232);
INSERT INTO public.who_data VALUES (62515, 0, 1, 0, 0, 264, 33);
INSERT INTO public.who_data VALUES (62516, 0, 26, 0, 0, 264, 97);
INSERT INTO public.who_data VALUES (62517, 0, 0, 0, 0, 264, 42);
INSERT INTO public.who_data VALUES (62518, 0, 687, 0, 42, 264, 198);
INSERT INTO public.who_data VALUES (62519, 0, 295, 0, 10, 264, 216);
INSERT INTO public.who_data VALUES (62520, 1881, 87142, 22, 525, 264, 164);
INSERT INTO public.who_data VALUES (62521, 94, 3739, 0, 42, 264, 235);
INSERT INTO public.who_data VALUES (62522, 18, 11430, 1, 244, 264, 67);
INSERT INTO public.who_data VALUES (62523, 0, 11, 0, 0, 264, 15);
INSERT INTO public.who_data VALUES (62524, 4, 865, 0, 46, 264, 180);
INSERT INTO public.who_data VALUES (62525, 408, 35292, 1, 24, 264, 237);
INSERT INTO public.who_data VALUES (62526, 0, 2, 0, 0, 264, 25);
INSERT INTO public.who_data VALUES (62527, 0, 78, 0, 15, 264, 209);
INSERT INTO public.who_data VALUES (62528, 1, 1522, 0, 28, 264, 217);
INSERT INTO public.who_data VALUES (62529, 0, 1473, 0, 113, 264, 79);
INSERT INTO public.who_data VALUES (62530, 0, 0, 0, 0, 264, 143);
INSERT INTO public.who_data VALUES (62531, 47, 2023, 1, 79, 264, 229);
INSERT INTO public.who_data VALUES (62532, 1674, 34357, 22, 705, 264, 141);
INSERT INTO public.who_data VALUES (62533, 0, 994, 0, 10, 264, 197);
INSERT INTO public.who_data VALUES (62534, 193, 247881, 39, 29165, 264, 221);
INSERT INTO public.who_data VALUES (62535, 10, 1643, 1, 11, 264, 150);
INSERT INTO public.who_data VALUES (62536, 147, 5173, 12, 298, 264, 56);
INSERT INTO public.who_data VALUES (62537, 13, 27, 0, 1, 264, 167);
INSERT INTO public.who_data VALUES (62538, 265, 38660, 46, 4655, 264, 23);
INSERT INTO public.who_data VALUES (62539, 3, 30845, 0, 1717, 264, 222);
INSERT INTO public.who_data VALUES (62540, 1, 123, 0, 5, 264, 219);
INSERT INTO public.who_data VALUES (62541, 83, 4013, 0, 47, 264, 7);
INSERT INTO public.who_data VALUES (62542, 1, 3083, 1, 58, 264, 161);
INSERT INTO public.who_data VALUES (62543, 1079, 256598, 86, 37531, 264, 149);
INSERT INTO public.who_data VALUES (62544, 0, 24, 0, 0, 264, 6);
INSERT INTO public.who_data VALUES (62545, 1, 443, 0, 13, 264, 139);
INSERT INTO public.who_data VALUES (62546, 0, 0, 0, 0, 264, 211);
INSERT INTO public.who_data VALUES (62547, 0, 0, 0, 0, 264, 14);
INSERT INTO public.who_data VALUES (62548, 0, 117, 0, 8, 264, 111);
INSERT INTO public.who_data VALUES (62549, 2, 1086, 0, 48, 264, 207);
INSERT INTO public.who_data VALUES (62550, 827, 164769, 23, 4563, 264, 66);
INSERT INTO public.who_data VALUES (62551, 0, 0, 0, 0, 264, 173);
INSERT INTO public.who_data VALUES (62552, 0, 12, 0, 1, 264, 145);
INSERT INTO public.who_data VALUES (62553, 0, 0, 0, 0, 264, 65);
INSERT INTO public.who_data VALUES (62554, 0, 458, 0, 0, 264, 184);
INSERT INTO public.who_data VALUES (62555, 328, 24340, 9, 727, 264, 98);
INSERT INTO public.who_data VALUES (62556, 635, 35192, 2, 266, 264, 104);
INSERT INTO public.who_data VALUES (62557, 0, 509, 0, 21, 264, 73);
INSERT INTO public.who_data VALUES (62558, 26116, 1783638, 693, 104247, 264, 8);
INSERT INTO public.who_data VALUES (62559, 1, 70, 0, 6, 264, 227);
INSERT INTO public.who_data VALUES (62560, 2, 823, 0, 22, 264, 75);
INSERT INTO public.who_data VALUES (62561, 56, 3718, 0, 15, 264, 45);
INSERT INTO public.who_data VALUES (62562, 0, 0, 0, 0, 264, 133);
INSERT INTO public.who_data VALUES (62563, 51, 1510, 0, 14, 264, 202);
INSERT INTO public.who_data VALUES (62564, 0, 328, 0, 0, 264, 129);
INSERT INTO public.who_data VALUES (62565, 0, 0, 0, 0, 264, 36);
INSERT INTO public.who_data VALUES (62566, 31, 354, 4, 84, 264, 51);
INSERT INTO public.who_data VALUES (62567, 32, 1089, 0, 7, 264, 206);
INSERT INTO public.who_data VALUES (62568, 0, 178, 0, 4, 264, 5);
INSERT INTO public.who_data VALUES (62569, 656, 15836, 15, 269, 265, 103);
INSERT INTO public.who_data VALUES (62570, 7, 1105, 0, 32, 265, 58);
INSERT INTO public.who_data VALUES (62571, 127, 9394, 7, 653, 265, 195);
INSERT INTO public.who_data VALUES (62572, 0, 0, 0, 0, 265, 115);
INSERT INTO public.who_data VALUES (62573, 0, 764, 0, 51, 265, 99);
INSERT INTO public.who_data VALUES (62574, 2, 86, 0, 4, 265, 153);
INSERT INTO public.who_data VALUES (62575, 0, 3, 0, 0, 265, 93);
INSERT INTO public.who_data VALUES (62576, 0, 25, 0, 3, 265, 84);
INSERT INTO public.who_data VALUES (62577, 1512, 16214, 20, 530, 265, 78);
INSERT INTO public.who_data VALUES (62578, 355, 9258, 4, 131, 265, 170);
INSERT INTO public.who_data VALUES (62579, 0, 101, 0, 3, 265, 32);
INSERT INTO public.who_data VALUES (62580, 10, 7195, 0, 103, 265, 155);
INSERT INTO public.who_data VALUES (62581, 4, 16642, 0, 668, 265, 82);
INSERT INTO public.who_data VALUES (62582, 248, 5494, 2, 63, 265, 16);
INSERT INTO public.who_data VALUES (62583, 0, 101, 0, 11, 265, 72);
INSERT INTO public.who_data VALUES (62584, 605, 11398, 2, 19, 265, 43);
INSERT INTO public.who_data VALUES (62585, 0, 47153, 0, 650, 265, 120);
INSERT INTO public.who_data VALUES (62586, 0, 92, 0, 7, 265, 213);
INSERT INTO public.who_data VALUES (62587, 898, 42556, 6, 235, 265, 31);
INSERT INTO public.who_data VALUES (62588, 49, 59065, 22, 9360, 265, 204);
INSERT INTO public.who_data VALUES (62589, 0, 18, 0, 2, 265, 152);
INSERT INTO public.who_data VALUES (62590, 0, 232, 0, 3, 265, 144);
INSERT INTO public.who_data VALUES (62591, 0, 140, 0, 9, 265, 96);
INSERT INTO public.who_data VALUES (62592, 0, 43, 0, 0, 265, 47);
INSERT INTO public.who_data VALUES (62593, 861, 9592, 10, 310, 265, 80);
INSERT INTO public.who_data VALUES (62594, 0, 2, 0, 0, 265, 159);
INSERT INTO public.who_data VALUES (62595, 16, 2509, 0, 152, 265, 27);
INSERT INTO public.who_data VALUES (62596, 3, 38, 0, 1, 265, 146);
INSERT INTO public.who_data VALUES (62597, 33274, 498440, 956, 28834, 265, 71);
INSERT INTO public.who_data VALUES (62598, 0, 8, 0, 1, 265, 210);
INSERT INTO public.who_data VALUES (62599, 0, 141, 0, 2, 265, 54);
INSERT INTO public.who_data VALUES (62600, 0, 2513, 0, 140, 265, 147);
INSERT INTO public.who_data VALUES (62601, 28, 881, 0, 53, 265, 2);
INSERT INTO public.who_data VALUES (62602, 21, 63, 0, 1, 265, 105);
INSERT INTO public.who_data VALUES (62603, 14, 435, 0, 4, 265, 53);
INSERT INTO public.who_data VALUES (62604, 0, 125, 0, 0, 265, 81);
INSERT INTO public.who_data VALUES (62605, 245, 5904, 6, 191, 265, 223);
INSERT INTO public.who_data VALUES (62606, 775, 90516, 96, 7092, 265, 94);
INSERT INTO public.who_data VALUES (62607, 0, 141, 0, 1, 265, 154);
INSERT INTO public.who_data VALUES (62608, 137, 1011, 1, 2, 265, 83);
INSERT INTO public.who_data VALUES (62609, 19, 778, 0, 65, 265, 194);
INSERT INTO public.who_data VALUES (62610, 4830, 99688, 57, 1054, 265, 136);
INSERT INTO public.who_data VALUES (62611, 18, 84588, 0, 4645, 265, 179);
INSERT INTO public.who_data VALUES (62612, 1548, 28236, 37, 890, 265, 57);
INSERT INTO public.who_data VALUES (62613, 19, 62, 0, 2, 265, 35);
INSERT INTO public.who_data VALUES (62614, 17, 604, 1, 20, 265, 228);
INSERT INTO public.who_data VALUES (62615, 0, 0, 0, 0, 265, 19);
INSERT INTO public.who_data VALUES (62616, 25, 1047, 0, 10, 265, 22);
INSERT INTO public.who_data VALUES (62617, 34, 2833, 0, 33, 265, 1);
INSERT INTO public.who_data VALUES (62618, 0, 2246, 0, 103, 265, 21);
INSERT INTO public.who_data VALUES (62619, 20, 2045, 0, 83, 265, 234);
INSERT INTO public.who_data VALUES (62620, 0, 20, 0, 1, 265, 91);
INSERT INTO public.who_data VALUES (62621, 1, 944, 0, 17, 265, 137);
INSERT INTO public.who_data VALUES (62622, 43, 9273, 1, 320, 265, 201);
INSERT INTO public.who_data VALUES (62623, 0, 0, 0, 0, 265, 171);
INSERT INTO public.who_data VALUES (62624, 83, 3048, 3, 71, 265, 92);
INSERT INTO public.who_data VALUES (62625, 36, 11669, 3, 574, 265, 112);
INSERT INTO public.who_data VALUES (62626, 160, 3354, 2, 24, 265, 62);
INSERT INTO public.who_data VALUES (62627, 0, 16, 0, 0, 265, 69);
INSERT INTO public.who_data VALUES (62628, 377, 17285, 4, 502, 265, 220);
INSERT INTO public.who_data VALUES (62629, 527, 39098, 24, 3358, 265, 100);
INSERT INTO public.who_data VALUES (62630, 1536, 24985, 46, 959, 265, 187);
INSERT INTO public.who_data VALUES (62631, 122, 2517, 2, 46, 265, 63);
INSERT INTO public.who_data VALUES (62632, 0, 1043, 0, 12, 265, 28);
INSERT INTO public.who_data VALUES (62633, 0, 39, 0, 0, 265, 172);
INSERT INTO public.who_data VALUES (62634, 4, 1869, 0, 63, 265, 17);
INSERT INTO public.who_data VALUES (62635, 2, 285, 0, 2, 265, 226);
INSERT INTO public.who_data VALUES (62636, 109, 1172, 3, 11, 265, 236);
INSERT INTO public.who_data VALUES (62637, 0, 13, 0, 0, 265, 76);
INSERT INTO public.who_data VALUES (62638, 0, 187, 0, 0, 265, 30);
INSERT INTO public.who_data VALUES (62639, 0, 18, 0, 0, 265, 128);
INSERT INTO public.who_data VALUES (62640, 33, 6859, 4, 320, 265, 86);
INSERT INTO public.who_data VALUES (62641, 88, 148524, 29, 28746, 265, 140);
INSERT INTO public.who_data VALUES (62642, 41, 477, 0, 1, 265, 44);
INSERT INTO public.who_data VALUES (62643, 0, 60, 0, 0, 265, 113);
INSERT INTO public.who_data VALUES (62644, 42, 2655, 2, 17, 265, 29);
INSERT INTO public.who_data VALUES (62645, 0, 25, 0, 1, 265, 125);
INSERT INTO public.who_data VALUES (62646, 11, 794, 0, 12, 265, 131);
INSERT INTO public.who_data VALUES (62647, 333, 181815, 11, 8511, 265, 46);
INSERT INTO public.who_data VALUES (62648, 113, 7881, 1, 36, 265, 10);
INSERT INTO public.who_data VALUES (62649, 8, 169, 0, 0, 265, 205);
INSERT INTO public.who_data VALUES (62650, 2, 2917, 0, 175, 265, 50);
INSERT INTO public.who_data VALUES (62651, 0, 13, 0, 0, 265, 20);
INSERT INTO public.who_data VALUES (62652, 0, 23, 0, 0, 265, 13);
INSERT INTO public.who_data VALUES (62653, 0, 162, 0, 14, 265, 148);
INSERT INTO public.who_data VALUES (62654, 0, 166, 0, 5, 265, 230);
INSERT INTO public.who_data VALUES (62655, 132, 4739, 12, 102, 265, 190);
INSERT INTO public.who_data VALUES (62656, 0, 252, 0, 13, 265, 188);
INSERT INTO public.who_data VALUES (62657, 65, 3771, 0, 23, 265, 123);
INSERT INTO public.who_data VALUES (62658, 66, 1322, 0, 8, 265, 9);
INSERT INTO public.who_data VALUES (62659, 2, 152, 1, 12, 265, 102);
INSERT INTO public.who_data VALUES (62660, 281, 1865, 6, 41, 265, 34);
INSERT INTO public.who_data VALUES (62661, 0, 12, 0, 0, 265, 212);
INSERT INTO public.who_data VALUES (62662, 208, 5094, 2, 201, 265, 122);
INSERT INTO public.who_data VALUES (62663, 9, 3876, 2, 526, 265, 38);
INSERT INTO public.who_data VALUES (62664, 0, 1806, 0, 10, 265, 130);
INSERT INTO public.who_data VALUES (62665, 8392, 190535, 230, 5394, 265, 37);
INSERT INTO public.who_data VALUES (62666, 0, 26473, 0, 1613, 265, 231);
INSERT INTO public.who_data VALUES (62667, 2516, 151466, 63, 7797, 265, 107);
INSERT INTO public.who_data VALUES (62668, 260, 6439, 10, 205, 265, 101);
INSERT INTO public.who_data VALUES (62669, 61, 24990, 0, 1650, 265, 132);
INSERT INTO public.who_data VALUES (62670, 0, 336, 0, 24, 265, 176);
INSERT INTO public.who_data VALUES (62671, 29, 17001, 0, 287, 265, 200);
INSERT INTO public.who_data VALUES (62672, 355, 233019, 75, 33415, 265, 169);
INSERT INTO public.who_data VALUES (62673, 6, 581, 0, 9, 265, 225);
INSERT INTO public.who_data VALUES (62674, 33, 16884, 1, 892, 265, 165);
INSERT INTO public.who_data VALUES (62675, 0, 308, 0, 29, 265, 233);
INSERT INTO public.who_data VALUES (62676, 3, 733, 0, 9, 265, 215);
INSERT INTO public.who_data VALUES (62677, 263, 11571, 0, 41, 265, 177);
INSERT INTO public.who_data VALUES (62678, 74, 1962, 1, 64, 265, 183);
INSERT INTO public.who_data VALUES (62679, 0, 0, 0, 0, 265, 203);
INSERT INTO public.who_data VALUES (62680, 0, 1064, 0, 21, 265, 162);
INSERT INTO public.who_data VALUES (62681, 851, 27043, 7, 212, 265, 12);
INSERT INTO public.who_data VALUES (62682, 69, 1817, 0, 16, 265, 24);
INSERT INTO public.who_data VALUES (62683, 0, 19, 0, 0, 265, 119);
INSERT INTO public.who_data VALUES (62684, 1, 1066, 0, 24, 265, 39);
INSERT INTO public.who_data VALUES (62685, 29, 1220, 1, 27, 265, 26);
INSERT INTO public.who_data VALUES (62686, 0, 2, 0, 0, 265, 59);
INSERT INTO public.who_data VALUES (62687, 8, 288, 0, 27, 265, 77);
INSERT INTO public.who_data VALUES (62688, 26, 156, 0, 5, 265, 134);
INSERT INTO public.who_data VALUES (62689, 0, 83, 0, 1, 265, 4);
INSERT INTO public.who_data VALUES (62690, 4, 1671, 1, 71, 265, 109);
INSERT INTO public.who_data VALUES (62691, 2, 4018, 0, 110, 265, 90);
INSERT INTO public.who_data VALUES (62692, 13, 771, 0, 6, 265, 61);
INSERT INTO public.who_data VALUES (62693, 5, 284, 0, 4, 265, 85);
INSERT INTO public.who_data VALUES (62694, 57, 7819, 0, 115, 265, 49);
INSERT INTO public.who_data VALUES (62695, 101, 1773, 0, 5, 265, 208);
INSERT INTO public.who_data VALUES (62696, 15, 1265, 1, 77, 265, 166);
INSERT INTO public.who_data VALUES (62697, 0, 617, 0, 9, 265, 64);
INSERT INTO public.who_data VALUES (62698, 0, 0, 0, 0, 265, 199);
INSERT INTO public.who_data VALUES (62699, 0, 200, 0, 14, 265, 114);
INSERT INTO public.who_data VALUES (62700, 47, 530, 2, 23, 265, 60);
INSERT INTO public.who_data VALUES (62701, 0, 335, 0, 10, 265, 68);
INSERT INTO public.who_data VALUES (62702, 128, 1871, 2, 23, 265, 158);
INSERT INTO public.who_data VALUES (62703, 2885, 87512, 364, 9779, 265, 52);
INSERT INTO public.who_data VALUES (62704, 0, 0, 0, 0, 265, 117);
INSERT INTO public.who_data VALUES (62705, 0, 70, 0, 1, 265, 126);
INSERT INTO public.who_data VALUES (62706, 0, 179, 0, 0, 265, 196);
INSERT INTO public.who_data VALUES (62707, 0, 324, 0, 9, 265, 142);
INSERT INTO public.who_data VALUES (62708, 0, 11, 0, 1, 265, 185);
INSERT INTO public.who_data VALUES (62709, 27, 7807, 1, 205, 265, 138);
INSERT INTO public.who_data VALUES (62710, 10, 254, 0, 2, 265, 181);
INSERT INTO public.who_data VALUES (62711, 0, 224, 0, 6, 265, 178);
INSERT INTO public.who_data VALUES (62712, 1, 24, 0, 0, 265, 168);
INSERT INTO public.who_data VALUES (62713, 0, 0, 0, 0, 265, 160);
INSERT INTO public.who_data VALUES (62714, 0, 1572, 0, 8, 265, 151);
INSERT INTO public.who_data VALUES (62715, 176, 46206, 4, 5923, 265, 193);
INSERT INTO public.who_data VALUES (62716, 0, 19, 0, 0, 265, 18);
INSERT INTO public.who_data VALUES (62717, 0, 1154, 0, 22, 265, 40);
INSERT INTO public.who_data VALUES (62718, 0, 885, 0, 35, 265, 218);
INSERT INTO public.who_data VALUES (62719, 2, 958, 0, 64, 265, 191);
INSERT INTO public.who_data VALUES (62720, 307, 10162, 14, 287, 265, 156);
INSERT INTO public.who_data VALUES (62721, 0, 0, 0, 0, 265, 135);
INSERT INTO public.who_data VALUES (62722, 0, 22, 0, 2, 265, 88);
INSERT INTO public.who_data VALUES (62723, 62, 2226, 2, 133, 265, 55);
INSERT INTO public.who_data VALUES (62724, 0, 8411, 0, 236, 265, 108);
INSERT INTO public.who_data VALUES (62725, 1, 627, 0, 5, 265, 48);
INSERT INTO public.who_data VALUES (62726, 1014, 11437, 7, 49, 265, 3);
INSERT INTO public.who_data VALUES (62727, 0, 741, 0, 13, 265, 224);
INSERT INTO public.who_data VALUES (62728, 2964, 72460, 60, 1543, 265, 110);
INSERT INTO public.who_data VALUES (62729, 0, 0, 0, 0, 265, 106);
INSERT INTO public.who_data VALUES (62730, 487, 13018, 4, 330, 265, 89);
INSERT INTO public.who_data VALUES (62731, 0, 8, 0, 0, 265, 121);
INSERT INTO public.who_data VALUES (62732, 22, 986, 0, 11, 265, 163);
INSERT INTO public.who_data VALUES (62733, 7386, 155671, 141, 4371, 265, 70);
INSERT INTO public.who_data VALUES (62734, 0, 18086, 0, 957, 265, 174);
INSERT INTO public.who_data VALUES (62735, 0, 0, 0, 0, 265, 175);
INSERT INTO public.who_data VALUES (62736, 215, 23786, 3, 1064, 265, 118);
INSERT INTO public.who_data VALUES (62737, 297, 32500, 14, 1410, 265, 189);
INSERT INTO public.who_data VALUES (62738, 58, 3776, 3, 136, 265, 124);
INSERT INTO public.who_data VALUES (62739, 1648, 56910, 2, 38, 265, 192);
INSERT INTO public.who_data VALUES (62740, 35, 11503, 1, 271, 265, 41);
INSERT INTO public.who_data VALUES (62741, 153, 8251, 1, 295, 265, 95);
INSERT INTO public.who_data VALUES (62742, 0, 471, 0, 1, 265, 74);
INSERT INTO public.who_data VALUES (62743, 124, 19257, 9, 1262, 265, 11);
INSERT INTO public.who_data VALUES (62744, 9035, 414878, 162, 4855, 265, 87);
INSERT INTO public.who_data VALUES (62745, 11, 370, 0, 1, 265, 214);
INSERT INTO public.who_data VALUES (62746, 0, 3, 0, 0, 265, 116);
INSERT INTO public.who_data VALUES (62747, 0, 6, 0, 0, 265, 157);
INSERT INTO public.who_data VALUES (62748, 0, 0, 0, 0, 265, 182);
INSERT INTO public.who_data VALUES (62749, 0, 15, 0, 0, 265, 186);
INSERT INTO public.who_data VALUES (62750, 0, 18, 0, 0, 265, 127);
INSERT INTO public.who_data VALUES (62751, 0, 41, 0, 3, 265, 232);
INSERT INTO public.who_data VALUES (62752, 0, 1, 0, 0, 265, 33);
INSERT INTO public.who_data VALUES (62753, 1, 26, 0, 0, 265, 97);
INSERT INTO public.who_data VALUES (62754, 0, 0, 0, 0, 265, 42);
INSERT INTO public.who_data VALUES (62755, 0, 687, 0, 42, 265, 198);
INSERT INTO public.who_data VALUES (62756, 0, 295, 0, 10, 265, 216);
INSERT INTO public.who_data VALUES (62757, 1877, 85261, 23, 503, 265, 164);
INSERT INTO public.who_data VALUES (62758, 110, 3645, 0, 42, 265, 235);
INSERT INTO public.who_data VALUES (62759, 31, 11412, 1, 243, 265, 67);
INSERT INTO public.who_data VALUES (62760, 0, 11, 0, 0, 265, 15);
INSERT INTO public.who_data VALUES (62761, 9, 861, 0, 46, 265, 180);
INSERT INTO public.who_data VALUES (62762, 518, 34884, 0, 23, 265, 237);
INSERT INTO public.who_data VALUES (62763, 0, 2, 0, 0, 265, 25);
INSERT INTO public.who_data VALUES (62764, 0, 78, 0, 15, 265, 209);
INSERT INTO public.who_data VALUES (62765, 1, 1521, 0, 28, 265, 217);
INSERT INTO public.who_data VALUES (62766, 0, 1473, 0, 113, 265, 79);
INSERT INTO public.who_data VALUES (62767, 0, 0, 0, 0, 265, 143);
INSERT INTO public.who_data VALUES (62768, 60, 1976, 5, 78, 265, 229);
INSERT INTO public.who_data VALUES (62769, 1716, 32683, 40, 683, 265, 141);
INSERT INTO public.who_data VALUES (62770, 0, 994, 0, 10, 265, 197);
INSERT INTO public.who_data VALUES (62771, 379, 247688, 43, 29126, 265, 221);
INSERT INTO public.who_data VALUES (62772, 3, 1633, 0, 10, 265, 150);
INSERT INTO public.who_data VALUES (62773, 226, 5026, 24, 286, 265, 56);
INSERT INTO public.who_data VALUES (62774, 2, 14, 0, 1, 265, 167);
INSERT INTO public.who_data VALUES (62775, 432, 38395, 38, 4609, 265, 23);
INSERT INTO public.who_data VALUES (62776, 7, 30842, 0, 1717, 265, 222);
INSERT INTO public.who_data VALUES (62777, 0, 122, 1, 5, 265, 219);
INSERT INTO public.who_data VALUES (62778, 123, 3930, 0, 47, 265, 7);
INSERT INTO public.who_data VALUES (62779, 1, 3082, 0, 57, 265, 161);
INSERT INTO public.who_data VALUES (62780, 1125, 255519, 60, 37445, 265, 149);
INSERT INTO public.who_data VALUES (62781, 0, 24, 0, 0, 265, 6);
INSERT INTO public.who_data VALUES (62782, 14, 442, 0, 13, 265, 139);
INSERT INTO public.who_data VALUES (62783, 0, 0, 0, 0, 265, 211);
INSERT INTO public.who_data VALUES (62784, 0, 0, 0, 0, 265, 14);
INSERT INTO public.who_data VALUES (62785, 1, 117, 0, 8, 265, 111);
INSERT INTO public.who_data VALUES (62786, 7, 1084, 0, 48, 265, 207);
INSERT INTO public.who_data VALUES (62787, 839, 163942, 25, 4540, 265, 66);
INSERT INTO public.who_data VALUES (62788, 0, 0, 0, 0, 265, 173);
INSERT INTO public.who_data VALUES (62789, 0, 12, 0, 1, 265, 145);
INSERT INTO public.who_data VALUES (62790, 0, 0, 0, 0, 265, 65);
INSERT INTO public.who_data VALUES (62791, 12, 458, 0, 0, 265, 184);
INSERT INTO public.who_data VALUES (62792, 340, 24012, 10, 718, 265, 98);
INSERT INTO public.who_data VALUES (62793, 661, 34557, 2, 264, 265, 104);
INSERT INTO public.who_data VALUES (62794, 0, 509, 0, 21, 265, 73);
INSERT INTO public.who_data VALUES (62795, 23482, 1757522, 914, 103554, 265, 8);
INSERT INTO public.who_data VALUES (62796, 0, 69, 0, 6, 265, 227);
INSERT INTO public.who_data VALUES (62797, 5, 821, 0, 22, 265, 75);
INSERT INTO public.who_data VALUES (62798, 108, 3662, 1, 15, 265, 45);
INSERT INTO public.who_data VALUES (62799, 0, 0, 0, 0, 265, 133);
INSERT INTO public.who_data VALUES (62800, 89, 1459, 0, 14, 265, 202);
INSERT INTO public.who_data VALUES (62801, 0, 328, 0, 0, 265, 129);
INSERT INTO public.who_data VALUES (62802, 0, 0, 0, 0, 265, 36);
INSERT INTO public.who_data VALUES (62803, 13, 323, 3, 80, 265, 51);
INSERT INTO public.who_data VALUES (62804, 0, 1057, 0, 7, 265, 206);
INSERT INTO public.who_data VALUES (62805, 4, 178, 0, 4, 265, 5);
INSERT INTO public.who_data VALUES (62806, 651, 15180, 2, 254, 266, 103);
INSERT INTO public.who_data VALUES (62807, 14, 1098, 0, 32, 266, 58);
INSERT INTO public.who_data VALUES (62808, 133, 9267, 8, 646, 266, 195);
INSERT INTO public.who_data VALUES (62809, 0, 0, 0, 0, 266, 115);
INSERT INTO public.who_data VALUES (62810, 0, 764, 0, 51, 266, 99);
INSERT INTO public.who_data VALUES (62811, 3, 84, 0, 4, 266, 153);
INSERT INTO public.who_data VALUES (62812, 0, 3, 0, 0, 266, 93);
INSERT INTO public.who_data VALUES (62813, 0, 25, 0, 3, 266, 84);
INSERT INTO public.who_data VALUES (62814, 0, 14702, 0, 510, 266, 78);
INSERT INTO public.who_data VALUES (62815, 251, 8903, 7, 127, 266, 170);
INSERT INTO public.who_data VALUES (62816, 0, 101, 0, 3, 266, 32);
INSERT INTO public.who_data VALUES (62817, 12, 7185, 0, 103, 266, 155);
INSERT INTO public.who_data VALUES (62818, 44, 16638, 0, 668, 266, 82);
INSERT INTO public.who_data VALUES (62819, 257, 5246, 3, 61, 266, 16);
INSERT INTO public.who_data VALUES (62820, 0, 101, 0, 11, 266, 72);
INSERT INTO public.who_data VALUES (62821, 344, 10793, 2, 17, 266, 43);
INSERT INTO public.who_data VALUES (62822, 2545, 47153, 40, 650, 266, 120);
INSERT INTO public.who_data VALUES (62823, 0, 92, 0, 7, 266, 213);
INSERT INTO public.who_data VALUES (62824, 894, 41658, 5, 229, 266, 31);
INSERT INTO public.who_data VALUES (62825, 61, 59016, 22, 9338, 266, 204);
INSERT INTO public.who_data VALUES (62826, 0, 18, 0, 2, 266, 152);
INSERT INTO public.who_data VALUES (62827, 14, 232, 0, 3, 266, 144);
INSERT INTO public.who_data VALUES (62828, 0, 140, 0, 9, 266, 96);
INSERT INTO public.who_data VALUES (62829, 10, 43, 0, 0, 266, 47);
INSERT INTO public.who_data VALUES (62830, 344, 8731, 7, 300, 266, 80);
INSERT INTO public.who_data VALUES (62831, 0, 2, 0, 0, 266, 159);
INSERT INTO public.who_data VALUES (62832, 9, 2493, 0, 152, 266, 27);
INSERT INTO public.who_data VALUES (62833, 0, 35, 0, 1, 266, 146);
INSERT INTO public.who_data VALUES (62834, 26928, 465166, 1124, 27878, 266, 71);
INSERT INTO public.who_data VALUES (62835, 0, 8, 0, 1, 266, 210);
INSERT INTO public.who_data VALUES (62836, 0, 141, 0, 2, 266, 54);
INSERT INTO public.who_data VALUES (62837, 14, 2513, 1, 140, 266, 147);
INSERT INTO public.who_data VALUES (62838, 6, 853, 0, 53, 266, 2);
INSERT INTO public.who_data VALUES (62839, 0, 42, 0, 1, 266, 105);
INSERT INTO public.who_data VALUES (62840, 16, 421, 0, 4, 266, 53);
INSERT INTO public.who_data VALUES (62841, 0, 125, 0, 0, 266, 81);
INSERT INTO public.who_data VALUES (62842, 223, 5659, 8, 185, 266, 223);
INSERT INTO public.who_data VALUES (62843, 885, 89741, 78, 6996, 266, 94);
INSERT INTO public.who_data VALUES (62844, 1, 141, 0, 1, 266, 154);
INSERT INTO public.who_data VALUES (62845, 0, 874, 0, 1, 266, 83);
INSERT INTO public.who_data VALUES (62846, 0, 759, 0, 65, 266, 194);
INSERT INTO public.who_data VALUES (62847, 4220, 94858, 53, 997, 266, 136);
INSERT INTO public.who_data VALUES (62848, 5, 84570, 0, 4645, 266, 179);
INSERT INTO public.who_data VALUES (62849, 1322, 26688, 31, 853, 266, 57);
INSERT INTO public.who_data VALUES (62850, 0, 43, 0, 2, 266, 35);
INSERT INTO public.who_data VALUES (62851, 0, 587, 0, 19, 266, 228);
INSERT INTO public.who_data VALUES (62852, 0, 0, 0, 0, 266, 19);
INSERT INTO public.who_data VALUES (62853, 22, 1022, 0, 10, 266, 22);
INSERT INTO public.who_data VALUES (62854, 49, 2799, 1, 33, 266, 1);
INSERT INTO public.who_data VALUES (62855, 1, 2246, 0, 103, 266, 21);
INSERT INTO public.who_data VALUES (62856, 20, 2025, 1, 83, 266, 234);
INSERT INTO public.who_data VALUES (62857, 0, 20, 0, 1, 266, 91);
INSERT INTO public.who_data VALUES (62858, 2, 943, 0, 17, 266, 137);
INSERT INTO public.who_data VALUES (62859, 34, 9230, 0, 319, 266, 201);
INSERT INTO public.who_data VALUES (62860, 0, 0, 0, 0, 266, 171);
INSERT INTO public.who_data VALUES (62861, 133, 2965, 0, 68, 266, 92);
INSERT INTO public.who_data VALUES (62862, 40, 11633, 3, 571, 266, 112);
INSERT INTO public.who_data VALUES (62863, 280, 3194, 2, 22, 266, 62);
INSERT INTO public.who_data VALUES (62864, 0, 16, 0, 0, 266, 69);
INSERT INTO public.who_data VALUES (62865, 377, 16908, 10, 498, 266, 220);
INSERT INTO public.who_data VALUES (62866, 0, 38571, 0, 3334, 266, 100);
INSERT INTO public.who_data VALUES (62867, 1367, 23449, 34, 913, 266, 187);
INSERT INTO public.who_data VALUES (62868, 117, 2395, 2, 44, 266, 63);
INSERT INTO public.who_data VALUES (62869, 0, 1043, 0, 12, 266, 28);
INSERT INTO public.who_data VALUES (62870, 0, 39, 0, 0, 266, 172);
INSERT INTO public.who_data VALUES (62871, 6, 1865, 0, 63, 266, 17);
INSERT INTO public.who_data VALUES (62872, 4, 283, 0, 2, 266, 226);
INSERT INTO public.who_data VALUES (62873, 95, 1063, 0, 8, 266, 236);
INSERT INTO public.who_data VALUES (62874, 0, 13, 0, 0, 266, 76);
INSERT INTO public.who_data VALUES (62875, 0, 187, 0, 0, 266, 30);
INSERT INTO public.who_data VALUES (62876, 0, 18, 0, 0, 266, 128);
INSERT INTO public.who_data VALUES (62877, 50, 6826, 2, 316, 266, 86);
INSERT INTO public.who_data VALUES (62878, 1779, 148436, 57, 28717, 266, 140);
INSERT INTO public.who_data VALUES (62879, 0, 436, 0, 1, 266, 44);
INSERT INTO public.who_data VALUES (62880, 0, 60, 0, 0, 266, 113);
INSERT INTO public.who_data VALUES (62881, 0, 2613, 0, 15, 266, 29);
INSERT INTO public.who_data VALUES (62882, 0, 25, 0, 1, 266, 125);
INSERT INTO public.who_data VALUES (62883, 26, 783, 0, 12, 266, 131);
INSERT INTO public.who_data VALUES (62884, 286, 181482, 11, 8500, 266, 46);
INSERT INTO public.who_data VALUES (62885, 152, 7768, 1, 35, 266, 10);
INSERT INTO public.who_data VALUES (62886, 3, 161, 0, 0, 266, 205);
INSERT INTO public.who_data VALUES (62887, 6, 2915, 0, 175, 266, 50);
INSERT INTO public.who_data VALUES (62888, 0, 13, 0, 0, 266, 20);
INSERT INTO public.who_data VALUES (62889, 0, 23, 0, 0, 266, 13);
INSERT INTO public.who_data VALUES (62890, 0, 162, 0, 14, 266, 148);
INSERT INTO public.who_data VALUES (62891, 1, 166, 0, 5, 266, 230);
INSERT INTO public.who_data VALUES (62892, 259, 4607, 10, 90, 266, 190);
INSERT INTO public.who_data VALUES (62893, 0, 252, 0, 13, 266, 188);
INSERT INTO public.who_data VALUES (62894, 50, 3706, 1, 23, 266, 123);
INSERT INTO public.who_data VALUES (62895, 0, 1256, 0, 8, 266, 9);
INSERT INTO public.who_data VALUES (62896, 0, 150, 0, 11, 266, 102);
INSERT INTO public.who_data VALUES (62897, 141, 1584, 0, 35, 266, 34);
INSERT INTO public.who_data VALUES (62898, 0, 12, 0, 0, 266, 212);
INSERT INTO public.who_data VALUES (62899, 134, 4886, 3, 199, 266, 122);
INSERT INTO public.who_data VALUES (62900, 26, 3867, 7, 524, 266, 38);
INSERT INTO public.who_data VALUES (62901, 1, 1806, 0, 10, 266, 130);
INSERT INTO public.who_data VALUES (62902, 8380, 182143, 193, 5164, 266, 37);
INSERT INTO public.who_data VALUES (62903, 700, 26473, 40, 1613, 266, 231);
INSERT INTO public.who_data VALUES (62904, 2282, 148950, 57, 7734, 266, 107);
INSERT INTO public.who_data VALUES (62905, 306, 6179, 10, 195, 266, 101);
INSERT INTO public.who_data VALUES (62906, 53, 24929, 5, 1650, 266, 132);
INSERT INTO public.who_data VALUES (62907, 0, 336, 0, 24, 266, 176);
INSERT INTO public.who_data VALUES (62908, 113, 16972, 0, 287, 266, 200);
INSERT INTO public.who_data VALUES (62909, 416, 232664, 111, 33340, 266, 169);
INSERT INTO public.who_data VALUES (62910, 6, 575, 0, 9, 266, 225);
INSERT INTO public.who_data VALUES (62911, 47, 16851, 5, 891, 266, 165);
INSERT INTO public.who_data VALUES (62912, 0, 308, 0, 29, 266, 233);
INSERT INTO public.who_data VALUES (62913, 4, 730, 0, 9, 266, 215);
INSERT INTO public.who_data VALUES (62914, 450, 11308, 3, 41, 266, 177);
INSERT INTO public.who_data VALUES (62915, 143, 1888, 1, 63, 266, 183);
INSERT INTO public.who_data VALUES (62916, 0, 0, 0, 0, 266, 203);
INSERT INTO public.who_data VALUES (62917, 16, 1064, 0, 21, 266, 162);
INSERT INTO public.who_data VALUES (62918, 1008, 26192, 11, 205, 266, 12);
INSERT INTO public.who_data VALUES (62919, 26, 1748, 0, 16, 266, 24);
INSERT INTO public.who_data VALUES (62920, 0, 19, 0, 0, 266, 119);
INSERT INTO public.who_data VALUES (62921, 1, 1065, 0, 24, 266, 39);
INSERT INTO public.who_data VALUES (62922, 19, 1191, 0, 26, 266, 26);
INSERT INTO public.who_data VALUES (62923, 0, 2, 0, 0, 266, 59);
INSERT INTO public.who_data VALUES (62924, 7, 280, 0, 27, 266, 77);
INSERT INTO public.who_data VALUES (62925, 12, 130, 0, 5, 266, 134);
INSERT INTO public.who_data VALUES (62926, 0, 83, 0, 1, 266, 4);
INSERT INTO public.who_data VALUES (62927, 5, 1667, 0, 70, 266, 109);
INSERT INTO public.who_data VALUES (62928, 4, 4016, 0, 110, 266, 90);
INSERT INTO public.who_data VALUES (62929, 60, 758, 1, 6, 266, 61);
INSERT INTO public.who_data VALUES (62930, 6, 279, 0, 4, 266, 85);
INSERT INTO public.who_data VALUES (62931, 30, 7762, 0, 115, 266, 49);
INSERT INTO public.who_data VALUES (62932, 39, 1672, 0, 5, 266, 208);
INSERT INTO public.who_data VALUES (62933, 24, 1250, 3, 76, 266, 166);
INSERT INTO public.who_data VALUES (62934, 2, 617, 2, 9, 266, 64);
INSERT INTO public.who_data VALUES (62935, 0, 0, 0, 0, 266, 199);
INSERT INTO public.who_data VALUES (62936, 3, 200, 0, 14, 266, 114);
INSERT INTO public.who_data VALUES (62937, 60, 483, 1, 21, 266, 60);
INSERT INTO public.who_data VALUES (62938, 0, 335, 0, 10, 266, 68);
INSERT INTO public.who_data VALUES (62939, 44, 1743, 0, 21, 266, 158);
INSERT INTO public.who_data VALUES (62940, 3227, 84627, 371, 9415, 266, 52);
INSERT INTO public.who_data VALUES (62941, 0, 0, 0, 0, 266, 117);
INSERT INTO public.who_data VALUES (62942, 0, 70, 0, 1, 266, 126);
INSERT INTO public.who_data VALUES (62943, 0, 179, 0, 0, 266, 196);
INSERT INTO public.who_data VALUES (62944, 0, 324, 0, 9, 266, 142);
INSERT INTO public.who_data VALUES (62945, 0, 11, 0, 1, 266, 185);
INSERT INTO public.who_data VALUES (62946, 66, 7780, 2, 204, 266, 138);
INSERT INTO public.who_data VALUES (62947, 10, 244, 0, 2, 266, 181);
INSERT INTO public.who_data VALUES (62948, 0, 224, 0, 6, 266, 178);
INSERT INTO public.who_data VALUES (62949, 0, 23, 0, 0, 266, 168);
INSERT INTO public.who_data VALUES (62950, 0, 0, 0, 0, 266, 160);
INSERT INTO public.who_data VALUES (62951, 171, 1572, 2, 8, 266, 151);
INSERT INTO public.who_data VALUES (62952, 141, 46030, 20, 5919, 266, 193);
INSERT INTO public.who_data VALUES (62953, 0, 19, 0, 0, 266, 18);
INSERT INTO public.who_data VALUES (62954, 0, 1154, 0, 22, 266, 40);
INSERT INTO public.who_data VALUES (62955, 0, 885, 0, 35, 266, 218);
INSERT INTO public.who_data VALUES (62956, 1, 956, 0, 64, 266, 191);
INSERT INTO public.who_data VALUES (62957, 553, 9855, 12, 273, 266, 156);
INSERT INTO public.who_data VALUES (62958, 0, 0, 0, 0, 266, 135);
INSERT INTO public.who_data VALUES (62959, 0, 22, 0, 2, 266, 88);
INSERT INTO public.who_data VALUES (62960, 34, 2164, 5, 131, 266, 55);
INSERT INTO public.who_data VALUES (62961, 0, 8411, 0, 236, 266, 108);
INSERT INTO public.who_data VALUES (62962, 1, 626, 0, 5, 266, 48);
INSERT INTO public.who_data VALUES (62963, 603, 10423, 1, 42, 266, 3);
INSERT INTO public.who_data VALUES (62964, 0, 741, 0, 13, 266, 224);
INSERT INTO public.who_data VALUES (62965, 3039, 69496, 88, 1483, 266, 110);
INSERT INTO public.who_data VALUES (62966, 0, 0, 0, 0, 266, 106);
INSERT INTO public.who_data VALUES (62967, 400, 12531, 6, 326, 266, 89);
INSERT INTO public.who_data VALUES (62968, 0, 8, 0, 0, 266, 121);
INSERT INTO public.who_data VALUES (62969, 47, 964, 0, 11, 266, 163);
INSERT INTO public.who_data VALUES (62970, 6506, 148285, 131, 4230, 266, 70);
INSERT INTO public.who_data VALUES (62971, 1452, 18086, 15, 957, 266, 174);
INSERT INTO public.who_data VALUES (62972, 0, 0, 0, 0, 266, 175);
INSERT INTO public.who_data VALUES (62973, 416, 23571, 10, 1061, 266, 118);
INSERT INTO public.who_data VALUES (62974, 257, 32203, 13, 1396, 266, 189);
INSERT INTO public.who_data VALUES (62975, 71, 3718, 1, 133, 266, 124);
INSERT INTO public.who_data VALUES (62976, 2355, 55262, 0, 36, 266, 192);
INSERT INTO public.who_data VALUES (62977, 27, 11468, 1, 270, 266, 41);
INSERT INTO public.who_data VALUES (62978, 202, 8098, 5, 294, 266, 95);
INSERT INTO public.who_data VALUES (62979, 1, 471, 0, 1, 266, 74);
INSERT INTO public.who_data VALUES (62980, 151, 19133, 13, 1253, 266, 11);
INSERT INTO public.who_data VALUES (62981, 9268, 405843, 138, 4693, 266, 87);
INSERT INTO public.who_data VALUES (62982, 4, 359, 1, 1, 266, 214);
INSERT INTO public.who_data VALUES (62983, 0, 3, 0, 0, 266, 116);
INSERT INTO public.who_data VALUES (62984, 0, 6, 0, 0, 266, 157);
INSERT INTO public.who_data VALUES (62985, 0, 0, 0, 0, 266, 182);
INSERT INTO public.who_data VALUES (62986, 0, 15, 0, 0, 266, 186);
INSERT INTO public.who_data VALUES (62987, 0, 18, 0, 0, 266, 127);
INSERT INTO public.who_data VALUES (62988, 1, 41, 0, 3, 266, 232);
INSERT INTO public.who_data VALUES (62989, 0, 1, 0, 0, 266, 33);
INSERT INTO public.who_data VALUES (62990, 0, 25, 0, 0, 266, 97);
INSERT INTO public.who_data VALUES (62991, 0, 0, 0, 0, 266, 42);
INSERT INTO public.who_data VALUES (62992, 0, 687, 0, 42, 266, 198);
INSERT INTO public.who_data VALUES (62993, 0, 295, 0, 10, 266, 216);
INSERT INTO public.who_data VALUES (62994, 1618, 83384, 22, 480, 266, 164);
INSERT INTO public.who_data VALUES (62995, 106, 3535, 1, 42, 266, 235);
INSERT INTO public.who_data VALUES (62996, 27, 11381, 0, 242, 266, 67);
INSERT INTO public.who_data VALUES (62997, 0, 11, 0, 0, 266, 15);
INSERT INTO public.who_data VALUES (62998, 23, 852, 1, 46, 266, 180);
INSERT INTO public.who_data VALUES (62999, 506, 34366, 0, 23, 266, 237);
INSERT INTO public.who_data VALUES (63000, 0, 2, 0, 0, 266, 25);
INSERT INTO public.who_data VALUES (63001, 0, 78, 0, 15, 266, 209);
INSERT INTO public.who_data VALUES (63002, 0, 1520, 0, 28, 266, 217);
INSERT INTO public.who_data VALUES (63003, 0, 1473, 0, 113, 266, 79);
INSERT INTO public.who_data VALUES (63004, 0, 0, 0, 0, 266, 143);
INSERT INTO public.who_data VALUES (63005, 88, 1916, 1, 73, 266, 229);
INSERT INTO public.who_data VALUES (63006, 1727, 30967, 32, 643, 266, 141);
INSERT INTO public.who_data VALUES (63007, 0, 994, 0, 10, 266, 197);
INSERT INTO public.who_data VALUES (63008, 838, 247309, 43, 29083, 266, 221);
INSERT INTO public.who_data VALUES (63009, 64, 1630, 0, 10, 266, 150);
INSERT INTO public.who_data VALUES (63010, 279, 4800, 29, 262, 266, 56);
INSERT INTO public.who_data VALUES (63011, 0, 12, 0, 1, 266, 167);
INSERT INTO public.who_data VALUES (63012, 773, 37963, 40, 4571, 266, 23);
INSERT INTO public.who_data VALUES (63013, 10, 30835, 0, 1717, 266, 222);
INSERT INTO public.who_data VALUES (63014, 0, 122, 0, 4, 266, 219);
INSERT INTO public.who_data VALUES (63015, 121, 3807, 0, 47, 266, 7);
INSERT INTO public.who_data VALUES (63016, 4, 3081, 0, 57, 266, 161);
INSERT INTO public.who_data VALUES (63017, 1527, 254394, 154, 37385, 266, 149);
INSERT INTO public.who_data VALUES (63018, 0, 24, 0, 0, 266, 6);
INSERT INTO public.who_data VALUES (63019, 0, 428, 0, 13, 266, 139);
INSERT INTO public.who_data VALUES (63020, 0, 0, 0, 0, 266, 211);
INSERT INTO public.who_data VALUES (63021, 0, 0, 0, 0, 266, 14);
INSERT INTO public.who_data VALUES (63022, 0, 116, 0, 8, 266, 111);
INSERT INTO public.who_data VALUES (63023, 1, 1077, 0, 48, 266, 207);
INSERT INTO public.who_data VALUES (63024, 983, 163103, 26, 4515, 266, 66);
INSERT INTO public.who_data VALUES (63025, 0, 0, 0, 0, 266, 173);
INSERT INTO public.who_data VALUES (63026, 0, 12, 0, 1, 266, 145);
INSERT INTO public.who_data VALUES (63027, 0, 0, 0, 0, 266, 65);
INSERT INTO public.who_data VALUES (63028, 36, 446, 0, 0, 266, 184);
INSERT INTO public.who_data VALUES (63029, 468, 23672, 12, 708, 266, 98);
INSERT INTO public.who_data VALUES (63030, 726, 33896, 2, 262, 266, 104);
INSERT INTO public.who_data VALUES (63031, 0, 509, 0, 21, 266, 73);
INSERT INTO public.who_data VALUES (63032, 17962, 1734040, 1073, 102640, 266, 8);
INSERT INTO public.who_data VALUES (63033, 0, 69, 0, 6, 266, 227);
INSERT INTO public.who_data VALUES (63034, 5, 816, 0, 22, 266, 75);
INSERT INTO public.who_data VALUES (63035, 41, 3554, 0, 14, 266, 45);
INSERT INTO public.who_data VALUES (63036, 0, 0, 0, 0, 266, 133);
INSERT INTO public.who_data VALUES (63037, 43, 1370, 3, 14, 266, 202);
INSERT INTO public.who_data VALUES (63038, 1, 328, 0, 0, 266, 129);
INSERT INTO public.who_data VALUES (63039, 0, 0, 0, 0, 266, 36);
INSERT INTO public.who_data VALUES (63040, 27, 310, 12, 77, 266, 51);
INSERT INTO public.who_data VALUES (63041, 0, 1057, 0, 7, 266, 206);
INSERT INTO public.who_data VALUES (63042, 25, 174, 0, 4, 266, 5);
INSERT INTO public.who_data VALUES (63043, 784, 14529, 2, 252, 267, 103);
INSERT INTO public.who_data VALUES (63044, 23, 1084, 0, 32, 267, 58);
INSERT INTO public.who_data VALUES (63045, 137, 9134, 8, 638, 267, 195);
INSERT INTO public.who_data VALUES (63046, 0, 0, 0, 0, 267, 115);
INSERT INTO public.who_data VALUES (63047, 0, 764, 0, 51, 267, 99);
INSERT INTO public.who_data VALUES (63048, 8, 81, 0, 4, 267, 153);
INSERT INTO public.who_data VALUES (63049, 0, 3, 0, 0, 267, 93);
INSERT INTO public.who_data VALUES (63050, 0, 25, 0, 3, 267, 84);
INSERT INTO public.who_data VALUES (63051, 769, 14702, 9, 510, 267, 78);
INSERT INTO public.who_data VALUES (63052, 460, 8652, 7, 120, 267, 170);
INSERT INTO public.who_data VALUES (63053, 0, 101, 0, 3, 267, 32);
INSERT INTO public.who_data VALUES (63054, 23, 7173, 0, 103, 267, 155);
INSERT INTO public.who_data VALUES (63055, 51, 16594, 0, 668, 267, 82);
INSERT INTO public.who_data VALUES (63056, 230, 4989, 2, 58, 267, 16);
INSERT INTO public.who_data VALUES (63057, 1, 101, 0, 11, 267, 72);
INSERT INTO public.who_data VALUES (63058, 397, 10449, 0, 15, 267, 43);
INSERT INTO public.who_data VALUES (63059, 1764, 44608, 28, 610, 267, 120);
INSERT INTO public.who_data VALUES (63060, 0, 92, 0, 7, 267, 213);
INSERT INTO public.who_data VALUES (63061, 906, 40764, 5, 224, 267, 31);
INSERT INTO public.who_data VALUES (63062, 165, 58955, 16, 9316, 267, 204);
INSERT INTO public.who_data VALUES (63063, 0, 18, 0, 2, 267, 152);
INSERT INTO public.who_data VALUES (63064, 0, 218, 0, 3, 267, 144);
INSERT INTO public.who_data VALUES (63065, 1, 140, 0, 9, 267, 96);
INSERT INTO public.who_data VALUES (63066, 2, 33, 0, 0, 267, 47);
INSERT INTO public.who_data VALUES (63067, 619, 8387, 13, 293, 267, 80);
INSERT INTO public.who_data VALUES (63068, 0, 2, 0, 0, 267, 159);
INSERT INTO public.who_data VALUES (63069, 22, 2484, 0, 152, 267, 27);
INSERT INTO public.who_data VALUES (63070, 0, 35, 0, 1, 267, 146);
INSERT INTO public.who_data VALUES (63071, 26417, 438238, 1156, 26754, 267, 71);
INSERT INTO public.who_data VALUES (63072, 0, 8, 0, 1, 267, 210);
INSERT INTO public.who_data VALUES (63073, 0, 141, 0, 2, 267, 54);
INSERT INTO public.who_data VALUES (63074, 14, 2499, 3, 139, 267, 147);
INSERT INTO public.who_data VALUES (63075, 0, 847, 0, 53, 267, 2);
INSERT INTO public.who_data VALUES (63076, 0, 42, 0, 1, 267, 105);
INSERT INTO public.who_data VALUES (63077, 15, 405, 0, 4, 267, 53);
INSERT INTO public.who_data VALUES (63078, 1, 125, 0, 0, 267, 81);
INSERT INTO public.who_data VALUES (63079, 0, 5436, 0, 177, 267, 223);
INSERT INTO public.who_data VALUES (63080, 954, 88856, 119, 6918, 267, 94);
INSERT INTO public.who_data VALUES (63081, 0, 140, 0, 1, 267, 154);
INSERT INTO public.who_data VALUES (63082, 119, 874, 0, 1, 267, 83);
INSERT INTO public.who_data VALUES (63083, 33, 759, 0, 65, 267, 194);
INSERT INTO public.who_data VALUES (63084, 3695, 90638, 54, 944, 267, 136);
INSERT INTO public.who_data VALUES (63085, 18, 84565, 0, 4645, 267, 179);
INSERT INTO public.who_data VALUES (63086, 1262, 25366, 19, 822, 267, 57);
INSERT INTO public.who_data VALUES (63087, 0, 43, 0, 2, 267, 35);
INSERT INTO public.who_data VALUES (63088, 16, 587, 0, 19, 267, 228);
INSERT INTO public.who_data VALUES (63089, 0, 0, 0, 0, 267, 19);
INSERT INTO public.who_data VALUES (63090, 16, 1000, 0, 10, 267, 22);
INSERT INTO public.who_data VALUES (63091, 109, 2750, 0, 32, 267, 1);
INSERT INTO public.who_data VALUES (63092, 0, 2245, 1, 103, 267, 21);
INSERT INTO public.who_data VALUES (63093, 22, 2005, 0, 82, 267, 234);
INSERT INTO public.who_data VALUES (63094, 0, 20, 0, 1, 267, 91);
INSERT INTO public.who_data VALUES (63095, 0, 941, 0, 17, 267, 137);
INSERT INTO public.who_data VALUES (63096, 56, 9196, 0, 319, 267, 201);
INSERT INTO public.who_data VALUES (63097, 0, 0, 0, 0, 267, 171);
INSERT INTO public.who_data VALUES (63098, 0, 2832, 0, 68, 267, 92);
INSERT INTO public.who_data VALUES (63099, 81, 11593, 0, 568, 267, 112);
INSERT INTO public.who_data VALUES (63100, 0, 2914, 0, 20, 267, 62);
INSERT INTO public.who_data VALUES (63101, 0, 16, 0, 0, 267, 69);
INSERT INTO public.who_data VALUES (63102, 463, 16531, 3, 488, 267, 220);
INSERT INTO public.who_data VALUES (63103, 100, 38571, 21, 3334, 267, 100);
INSERT INTO public.who_data VALUES (63104, 1289, 22082, 34, 879, 267, 187);
INSERT INTO public.who_data VALUES (63105, 84, 2278, 3, 42, 267, 63);
INSERT INTO public.who_data VALUES (63106, 0, 1043, 0, 12, 267, 28);
INSERT INTO public.who_data VALUES (63107, 0, 39, 0, 0, 267, 172);
INSERT INTO public.who_data VALUES (63108, 8, 1859, 0, 63, 267, 17);
INSERT INTO public.who_data VALUES (63109, 0, 279, 0, 2, 267, 226);
INSERT INTO public.who_data VALUES (63110, 137, 968, 1, 8, 267, 236);
INSERT INTO public.who_data VALUES (63111, 0, 13, 0, 0, 267, 76);
INSERT INTO public.who_data VALUES (63112, 0, 187, 0, 0, 267, 30);
INSERT INTO public.who_data VALUES (63113, 0, 18, 0, 0, 267, 128);
INSERT INTO public.who_data VALUES (63114, 33, 6776, 1, 314, 267, 86);
INSERT INTO public.who_data VALUES (63115, 535, 146657, 52, 28660, 267, 140);
INSERT INTO public.who_data VALUES (63116, 27, 436, 0, 1, 267, 44);
INSERT INTO public.who_data VALUES (63117, 0, 60, 0, 0, 267, 113);
INSERT INTO public.who_data VALUES (63118, 182, 2613, 1, 15, 267, 29);
INSERT INTO public.who_data VALUES (63119, 0, 25, 0, 1, 267, 125);
INSERT INTO public.who_data VALUES (63120, 11, 757, 0, 12, 267, 131);
INSERT INTO public.who_data VALUES (63121, 738, 181196, 39, 8489, 267, 46);
INSERT INTO public.who_data VALUES (63122, 313, 7616, 0, 34, 267, 10);
INSERT INTO public.who_data VALUES (63123, 1, 158, 0, 0, 267, 205);
INSERT INTO public.who_data VALUES (63124, 3, 2909, 0, 175, 267, 50);
INSERT INTO public.who_data VALUES (63125, 0, 13, 0, 0, 267, 20);
INSERT INTO public.who_data VALUES (63126, 0, 23, 0, 0, 267, 13);
INSERT INTO public.who_data VALUES (63127, 1, 162, 0, 14, 267, 148);
INSERT INTO public.who_data VALUES (63128, 0, 165, 0, 5, 267, 230);
INSERT INTO public.who_data VALUES (63129, 203, 4348, 12, 80, 267, 190);
INSERT INTO public.who_data VALUES (63130, 0, 252, 0, 13, 267, 188);
INSERT INTO public.who_data VALUES (63131, 103, 3656, 0, 22, 267, 123);
INSERT INTO public.who_data VALUES (63132, 61, 1256, 0, 8, 267, 9);
INSERT INTO public.who_data VALUES (63133, 11, 150, 0, 11, 267, 102);
INSERT INTO public.who_data VALUES (63134, 123, 1443, 1, 35, 267, 34);
INSERT INTO public.who_data VALUES (63135, 0, 12, 0, 0, 267, 212);
INSERT INTO public.who_data VALUES (63136, 112, 4752, 2, 196, 267, 122);
INSERT INTO public.who_data VALUES (63137, 0, 3841, 0, 517, 267, 38);
INSERT INTO public.who_data VALUES (63138, 0, 1805, 0, 10, 267, 130);
INSERT INTO public.who_data VALUES (63139, 7964, 173763, 265, 4971, 267, 37);
INSERT INTO public.who_data VALUES (63140, 557, 25773, 53, 1573, 267, 231);
INSERT INTO public.who_data VALUES (63141, 2819, 146668, 50, 7677, 267, 107);
INSERT INTO public.who_data VALUES (63142, 416, 5873, 6, 185, 267, 101);
INSERT INTO public.who_data VALUES (63143, 35, 24876, 6, 1645, 267, 132);
INSERT INTO public.who_data VALUES (63144, 0, 336, 0, 24, 267, 176);
INSERT INTO public.who_data VALUES (63145, 77, 16859, 1, 287, 267, 200);
INSERT INTO public.who_data VALUES (63146, 516, 232248, 87, 33229, 267, 169);
INSERT INTO public.who_data VALUES (63147, 0, 569, 0, 9, 267, 225);
INSERT INTO public.who_data VALUES (63148, 85, 16804, 12, 886, 267, 165);
INSERT INTO public.who_data VALUES (63149, 0, 308, 0, 29, 267, 233);
INSERT INTO public.who_data VALUES (63150, 1, 726, 0, 9, 267, 215);
INSERT INTO public.who_data VALUES (63151, 476, 10858, 1, 38, 267, 177);
INSERT INTO public.who_data VALUES (63152, 127, 1745, 4, 62, 267, 183);
INSERT INTO public.who_data VALUES (63153, 0, 0, 0, 0, 267, 203);
INSERT INTO public.who_data VALUES (63154, 0, 1048, 0, 21, 267, 162);
INSERT INTO public.who_data VALUES (63155, 1072, 25184, 9, 194, 267, 12);
INSERT INTO public.who_data VALUES (63156, 60, 1722, 0, 16, 267, 24);
INSERT INTO public.who_data VALUES (63157, 0, 19, 0, 0, 267, 119);
INSERT INTO public.who_data VALUES (63158, 3, 1064, 0, 24, 267, 39);
INSERT INTO public.who_data VALUES (63159, 4, 1172, 0, 26, 267, 26);
INSERT INTO public.who_data VALUES (63160, 0, 2, 0, 0, 267, 59);
INSERT INTO public.who_data VALUES (63161, 4, 273, 0, 27, 267, 77);
INSERT INTO public.who_data VALUES (63162, 13, 118, 0, 5, 267, 134);
INSERT INTO public.who_data VALUES (63163, 0, 83, 0, 1, 267, 4);
INSERT INTO public.who_data VALUES (63164, 8, 1662, 2, 70, 267, 109);
INSERT INTO public.who_data VALUES (63165, 4, 4012, 0, 110, 267, 90);
INSERT INTO public.who_data VALUES (63166, 42, 698, 3, 5, 267, 61);
INSERT INTO public.who_data VALUES (63167, 70, 273, 0, 4, 267, 85);
INSERT INTO public.who_data VALUES (63168, 103, 7732, 0, 115, 267, 49);
INSERT INTO public.who_data VALUES (63169, 120, 1633, 0, 5, 267, 208);
INSERT INTO public.who_data VALUES (63170, 32, 1226, 1, 73, 267, 166);
INSERT INTO public.who_data VALUES (63171, 0, 615, 0, 7, 267, 64);
INSERT INTO public.who_data VALUES (63172, 0, 0, 0, 0, 267, 199);
INSERT INTO public.who_data VALUES (63173, 0, 197, 0, 14, 267, 114);
INSERT INTO public.who_data VALUES (63174, 77, 423, 1, 20, 267, 60);
INSERT INTO public.who_data VALUES (63175, 1, 335, 0, 10, 267, 68);
INSERT INTO public.who_data VALUES (63176, 29, 1699, 0, 21, 267, 158);
INSERT INTO public.who_data VALUES (63177, 3377, 81400, 447, 9044, 267, 52);
INSERT INTO public.who_data VALUES (63178, 0, 0, 0, 0, 267, 117);
INSERT INTO public.who_data VALUES (63179, 0, 70, 0, 1, 267, 126);
INSERT INTO public.who_data VALUES (63180, 0, 179, 0, 0, 267, 196);
INSERT INTO public.who_data VALUES (63181, 0, 324, 0, 9, 267, 142);
INSERT INTO public.who_data VALUES (63182, 0, 11, 0, 1, 267, 185);
INSERT INTO public.who_data VALUES (63183, 71, 7714, 0, 202, 267, 138);
INSERT INTO public.who_data VALUES (63184, 1, 234, 0, 2, 267, 181);
INSERT INTO public.who_data VALUES (63185, 18, 224, 0, 6, 267, 178);
INSERT INTO public.who_data VALUES (63186, 1, 23, 0, 0, 267, 168);
INSERT INTO public.who_data VALUES (63187, 0, 0, 0, 0, 267, 160);
INSERT INTO public.who_data VALUES (63188, 189, 1401, 0, 6, 267, 151);
INSERT INTO public.who_data VALUES (63189, 178, 45889, 29, 5899, 267, 193);
INSERT INTO public.who_data VALUES (63190, 0, 19, 0, 0, 267, 18);
INSERT INTO public.who_data VALUES (63191, 0, 1154, 0, 22, 267, 40);
INSERT INTO public.who_data VALUES (63192, 0, 885, 0, 35, 267, 218);
INSERT INTO public.who_data VALUES (63193, 0, 955, 0, 64, 267, 191);
INSERT INTO public.who_data VALUES (63194, 387, 9302, 2, 261, 267, 156);
INSERT INTO public.who_data VALUES (63195, 0, 0, 0, 0, 267, 135);
INSERT INTO public.who_data VALUES (63196, 0, 22, 0, 2, 267, 88);
INSERT INTO public.who_data VALUES (63197, 52, 2130, 4, 126, 267, 55);
INSERT INTO public.who_data VALUES (63198, 10, 8411, 0, 236, 267, 108);
INSERT INTO public.who_data VALUES (63199, 0, 625, 0, 5, 267, 48);
INSERT INTO public.who_data VALUES (63200, 811, 9820, 1, 41, 267, 3);
INSERT INTO public.who_data VALUES (63201, 0, 741, 0, 13, 267, 224);
INSERT INTO public.who_data VALUES (63202, 2429, 66457, 78, 1395, 267, 110);
INSERT INTO public.who_data VALUES (63203, 0, 0, 0, 0, 267, 106);
INSERT INTO public.who_data VALUES (63204, 403, 12131, 5, 320, 267, 89);
INSERT INTO public.who_data VALUES (63205, 0, 8, 0, 0, 267, 121);
INSERT INTO public.who_data VALUES (63206, 17, 917, 0, 11, 267, 163);
INSERT INTO public.who_data VALUES (63207, 5874, 141779, 116, 4099, 267, 70);
INSERT INTO public.who_data VALUES (63208, 1046, 16634, 21, 942, 267, 174);
INSERT INTO public.who_data VALUES (63209, 0, 0, 0, 0, 267, 175);
INSERT INTO public.who_data VALUES (63210, 330, 23155, 13, 1051, 267, 118);
INSERT INTO public.who_data VALUES (63211, 350, 31946, 14, 1383, 267, 189);
INSERT INTO public.who_data VALUES (63212, 161, 3647, 1, 132, 267, 124);
INSERT INTO public.who_data VALUES (63213, 1993, 52907, 3, 36, 267, 192);
INSERT INTO public.who_data VALUES (63214, 39, 11441, 0, 269, 267, 41);
INSERT INTO public.who_data VALUES (63215, 171, 7896, 7, 289, 267, 95);
INSERT INTO public.who_data VALUES (63216, 5, 470, 0, 1, 267, 74);
INSERT INTO public.who_data VALUES (63217, 191, 18982, 11, 1240, 267, 11);
INSERT INTO public.who_data VALUES (63218, 8952, 396575, 181, 4555, 267, 87);
INSERT INTO public.who_data VALUES (63219, 6, 355, 0, 0, 267, 214);
INSERT INTO public.who_data VALUES (63220, 0, 3, 0, 0, 267, 116);
INSERT INTO public.who_data VALUES (63221, 0, 6, 0, 0, 267, 157);
INSERT INTO public.who_data VALUES (63222, 0, 0, 0, 0, 267, 182);
INSERT INTO public.who_data VALUES (63223, 0, 15, 0, 0, 267, 186);
INSERT INTO public.who_data VALUES (63224, 0, 18, 0, 0, 267, 127);
INSERT INTO public.who_data VALUES (63225, 0, 40, 0, 3, 267, 232);
INSERT INTO public.who_data VALUES (63226, 0, 1, 0, 0, 267, 33);
INSERT INTO public.who_data VALUES (63227, 0, 25, 0, 0, 267, 97);
INSERT INTO public.who_data VALUES (63228, 0, 0, 0, 0, 267, 42);
INSERT INTO public.who_data VALUES (63229, 0, 687, 0, 42, 267, 198);
INSERT INTO public.who_data VALUES (63230, 0, 295, 0, 10, 267, 216);
INSERT INTO public.who_data VALUES (63231, 1581, 81766, 17, 458, 267, 164);
INSERT INTO public.who_data VALUES (63232, 81, 3429, 0, 41, 267, 235);
INSERT INTO public.who_data VALUES (63233, 54, 11354, 1, 242, 267, 67);
INSERT INTO public.who_data VALUES (63234, 0, 11, 0, 0, 267, 15);
INSERT INTO public.who_data VALUES (63235, 17, 829, 0, 45, 267, 180);
INSERT INTO public.who_data VALUES (63236, 611, 33860, 0, 23, 267, 237);
INSERT INTO public.who_data VALUES (63237, 0, 2, 0, 0, 267, 25);
INSERT INTO public.who_data VALUES (63238, 0, 78, 0, 15, 267, 209);
INSERT INTO public.who_data VALUES (63239, 5, 1520, 0, 28, 267, 217);
INSERT INTO public.who_data VALUES (63240, 0, 1473, 0, 113, 267, 79);
INSERT INTO public.who_data VALUES (63241, 0, 0, 0, 0, 267, 143);
INSERT INTO public.who_data VALUES (63242, 0, 1828, 0, 72, 267, 229);
INSERT INTO public.who_data VALUES (63243, 1837, 29240, 34, 611, 267, 141);
INSERT INTO public.who_data VALUES (63244, 0, 994, 0, 10, 267, 197);
INSERT INTO public.who_data VALUES (63245, 777, 246471, 41, 29040, 267, 221);
INSERT INTO public.who_data VALUES (63246, 26, 1566, 0, 10, 267, 150);
INSERT INTO public.who_data VALUES (63247, 175, 4521, 38, 233, 267, 56);
INSERT INTO public.who_data VALUES (63248, 0, 12, 0, 1, 267, 167);
INSERT INTO public.who_data VALUES (63249, 774, 37190, 40, 4531, 267, 23);
INSERT INTO public.who_data VALUES (63250, 21, 30825, 0, 1717, 267, 222);
INSERT INTO public.who_data VALUES (63251, 0, 122, 0, 4, 267, 219);
INSERT INTO public.who_data VALUES (63252, 123, 3686, 0, 47, 267, 7);
INSERT INTO public.who_data VALUES (63253, 1, 3077, 0, 57, 267, 161);
INSERT INTO public.who_data VALUES (63254, 1760, 252867, 274, 37231, 267, 149);
INSERT INTO public.who_data VALUES (63255, 0, 24, 0, 0, 267, 6);
INSERT INTO public.who_data VALUES (63256, 6, 428, 0, 13, 267, 139);
INSERT INTO public.who_data VALUES (63257, 0, 0, 0, 0, 267, 211);
INSERT INTO public.who_data VALUES (63258, 0, 0, 0, 0, 267, 14);
INSERT INTO public.who_data VALUES (63259, 0, 116, 0, 8, 267, 111);
INSERT INTO public.who_data VALUES (63260, 5, 1076, 0, 48, 267, 207);
INSERT INTO public.who_data VALUES (63261, 1141, 162120, 28, 4489, 267, 66);
INSERT INTO public.who_data VALUES (63262, 0, 0, 0, 0, 267, 173);
INSERT INTO public.who_data VALUES (63263, 0, 12, 0, 1, 267, 145);
INSERT INTO public.who_data VALUES (63264, 0, 0, 0, 0, 267, 65);
INSERT INTO public.who_data VALUES (63265, 0, 410, 0, 0, 267, 184);
INSERT INTO public.who_data VALUES (63266, 393, 23204, 17, 696, 267, 98);
INSERT INTO public.who_data VALUES (63267, 638, 33170, 2, 260, 267, 104);
INSERT INTO public.who_data VALUES (63268, 0, 509, 0, 21, 267, 73);
INSERT INTO public.who_data VALUES (63269, 21214, 1716078, 1263, 101567, 267, 8);
INSERT INTO public.who_data VALUES (63270, 0, 69, 0, 6, 267, 227);
INSERT INTO public.who_data VALUES (63271, 8, 811, 0, 22, 267, 75);
INSERT INTO public.who_data VALUES (63272, 50, 3513, 0, 14, 267, 45);
INSERT INTO public.who_data VALUES (63273, 0, 0, 0, 0, 267, 133);
INSERT INTO public.who_data VALUES (63274, 82, 1327, 0, 11, 267, 202);
INSERT INTO public.who_data VALUES (63275, 0, 327, 0, 0, 267, 129);
INSERT INTO public.who_data VALUES (63276, 0, 0, 0, 0, 267, 36);
INSERT INTO public.who_data VALUES (63277, 5, 283, 8, 65, 267, 51);
INSERT INTO public.who_data VALUES (63278, 0, 1057, 0, 7, 267, 206);
INSERT INTO public.who_data VALUES (63279, 17, 149, 0, 4, 267, 5);
INSERT INTO public.who_data VALUES (63280, 643, 13745, 11, 250, 268, 103);
INSERT INTO public.who_data VALUES (63281, 23, 1061, 0, 32, 268, 58);
INSERT INTO public.who_data VALUES (63282, 140, 8997, 7, 630, 268, 195);
INSERT INTO public.who_data VALUES (63283, 0, 0, 0, 0, 268, 115);
INSERT INTO public.who_data VALUES (63284, 1, 764, 0, 51, 268, 99);
INSERT INTO public.who_data VALUES (63285, 2, 73, 0, 4, 268, 153);
INSERT INTO public.who_data VALUES (63286, 0, 3, 0, 0, 268, 93);
INSERT INTO public.who_data VALUES (63287, 0, 25, 0, 3, 268, 84);
INSERT INTO public.who_data VALUES (63288, 705, 13933, 9, 501, 268, 78);
INSERT INTO public.who_data VALUES (63289, 442, 8192, 15, 113, 268, 170);
INSERT INTO public.who_data VALUES (63290, 0, 101, 0, 3, 268, 32);
INSERT INTO public.who_data VALUES (63291, 11, 7150, 0, 103, 268, 155);
INSERT INTO public.who_data VALUES (63292, 28, 16543, 23, 668, 268, 82);
INSERT INTO public.who_data VALUES (63293, 191, 4759, 2, 56, 268, 16);
INSERT INTO public.who_data VALUES (63294, 0, 100, 0, 11, 268, 72);
INSERT INTO public.who_data VALUES (63295, 360, 10052, 0, 15, 268, 43);
INSERT INTO public.who_data VALUES (63296, 2523, 42844, 23, 582, 268, 120);
INSERT INTO public.who_data VALUES (63297, 0, 92, 0, 7, 268, 213);
INSERT INTO public.who_data VALUES (63298, 902, 39858, 5, 219, 268, 31);
INSERT INTO public.who_data VALUES (63299, 171, 58790, 26, 9300, 268, 204);
INSERT INTO public.who_data VALUES (63300, 0, 18, 0, 2, 268, 152);
INSERT INTO public.who_data VALUES (63301, 8, 218, 0, 3, 268, 144);
INSERT INTO public.who_data VALUES (63302, 0, 139, 0, 9, 268, 96);
INSERT INTO public.who_data VALUES (63303, 3, 31, 0, 0, 268, 47);
INSERT INTO public.who_data VALUES (63304, 632, 7768, 6, 280, 268, 80);
INSERT INTO public.who_data VALUES (63305, 0, 2, 0, 0, 268, 159);
INSERT INTO public.who_data VALUES (63306, 47, 2462, 3, 152, 268, 27);
INSERT INTO public.who_data VALUES (63307, 0, 35, 0, 1, 268, 146);
INSERT INTO public.who_data VALUES (63308, 20599, 411821, 1086, 25598, 268, 71);
INSERT INTO public.who_data VALUES (63309, 0, 8, 0, 1, 268, 210);
INSERT INTO public.who_data VALUES (63310, 0, 141, 0, 2, 268, 54);
INSERT INTO public.who_data VALUES (63311, 25, 2485, 3, 136, 268, 147);
INSERT INTO public.who_data VALUES (63312, 2, 847, 0, 53, 268, 2);
INSERT INTO public.who_data VALUES (63313, 0, 42, 0, 1, 268, 105);
INSERT INTO public.who_data VALUES (63314, 0, 390, 0, 4, 268, 53);
INSERT INTO public.who_data VALUES (63315, 0, 124, 0, 0, 268, 81);
INSERT INTO public.who_data VALUES (63316, 0, 5436, 0, 177, 268, 223);
INSERT INTO public.who_data VALUES (63317, 963, 87902, 128, 6799, 268, 94);
INSERT INTO public.who_data VALUES (63318, 3, 140, 0, 1, 268, 154);
INSERT INTO public.who_data VALUES (63319, 54, 755, 0, 1, 268, 83);
INSERT INTO public.who_data VALUES (63320, 11, 726, 1, 65, 268, 194);
INSERT INTO public.who_data VALUES (63321, 4654, 86943, 49, 890, 268, 136);
INSERT INTO public.who_data VALUES (63322, 0, 84547, 0, 4645, 268, 179);
INSERT INTO public.who_data VALUES (63323, 1101, 24104, 27, 803, 268, 57);
INSERT INTO public.who_data VALUES (63324, 0, 43, 0, 2, 268, 35);
INSERT INTO public.who_data VALUES (63325, 0, 571, 0, 19, 268, 228);
INSERT INTO public.who_data VALUES (63326, 0, 0, 0, 0, 268, 19);
INSERT INTO public.who_data VALUES (63327, 28, 984, 0, 10, 268, 22);
INSERT INTO public.who_data VALUES (63328, 85, 2641, 1, 32, 268, 1);
INSERT INTO public.who_data VALUES (63329, 1, 2245, 1, 102, 268, 21);
INSERT INTO public.who_data VALUES (63330, 9, 1983, 0, 82, 268, 234);
INSERT INTO public.who_data VALUES (63331, 2, 20, 0, 1, 268, 91);
INSERT INTO public.who_data VALUES (63332, 2, 941, 0, 17, 268, 137);
INSERT INTO public.who_data VALUES (63333, 54, 9140, 2, 319, 268, 201);
INSERT INTO public.who_data VALUES (63334, 0, 0, 0, 0, 268, 171);
INSERT INTO public.who_data VALUES (63335, 173, 2832, 0, 68, 268, 92);
INSERT INTO public.who_data VALUES (63336, 32, 11512, 3, 568, 268, 112);
INSERT INTO public.who_data VALUES (63337, 217, 2914, 2, 20, 268, 62);
INSERT INTO public.who_data VALUES (63338, 0, 16, 0, 0, 268, 69);
INSERT INTO public.who_data VALUES (63339, 345, 16068, 11, 485, 268, 220);
INSERT INTO public.who_data VALUES (63340, 368, 38471, 38, 3313, 268, 100);
INSERT INTO public.who_data VALUES (63341, 1127, 20793, 29, 845, 268, 187);
INSERT INTO public.who_data VALUES (63342, 85, 2194, 2, 39, 268, 63);
INSERT INTO public.who_data VALUES (63343, 0, 1043, 0, 12, 268, 28);
INSERT INTO public.who_data VALUES (63344, 0, 39, 0, 0, 268, 172);
INSERT INTO public.who_data VALUES (63345, 11, 1851, 0, 63, 268, 17);
INSERT INTO public.who_data VALUES (63346, 7, 279, 0, 2, 268, 226);
INSERT INTO public.who_data VALUES (63347, 100, 831, 1, 7, 268, 236);
INSERT INTO public.who_data VALUES (63348, 0, 13, 0, 0, 268, 76);
INSERT INTO public.who_data VALUES (63349, 0, 187, 0, 0, 268, 30);
INSERT INTO public.who_data VALUES (63350, 0, 18, 0, 0, 268, 128);
INSERT INTO public.who_data VALUES (63351, 51, 6743, 0, 313, 268, 86);
INSERT INTO public.who_data VALUES (63352, 3270, 146122, 65, 28608, 268, 140);
INSERT INTO public.who_data VALUES (63353, 25, 409, 0, 1, 268, 44);
INSERT INTO public.who_data VALUES (63354, 0, 60, 0, 0, 268, 113);
INSERT INTO public.who_data VALUES (63355, 112, 2431, 0, 14, 268, 29);
INSERT INTO public.who_data VALUES (63356, 0, 25, 0, 1, 268, 125);
INSERT INTO public.who_data VALUES (63357, 8, 746, 0, 12, 268, 131);
INSERT INTO public.who_data VALUES (63358, 741, 180458, 39, 8450, 268, 46);
INSERT INTO public.who_data VALUES (63359, 0, 7303, 0, 34, 268, 10);
INSERT INTO public.who_data VALUES (63360, 3, 157, 0, 0, 268, 205);
INSERT INTO public.who_data VALUES (63361, 3, 2906, 2, 175, 268, 50);
INSERT INTO public.who_data VALUES (63362, 1, 13, 0, 0, 268, 20);
INSERT INTO public.who_data VALUES (63363, 0, 23, 0, 0, 268, 13);
INSERT INTO public.who_data VALUES (63364, 0, 161, 0, 14, 268, 148);
INSERT INTO public.who_data VALUES (63365, 1, 165, 0, 5, 268, 230);
INSERT INTO public.who_data VALUES (63366, 191, 4145, 5, 68, 268, 190);
INSERT INTO public.who_data VALUES (63367, 0, 252, 0, 13, 268, 188);
INSERT INTO public.who_data VALUES (63368, 107, 3553, 1, 22, 268, 123);
INSERT INTO public.who_data VALUES (63369, 22, 1195, 2, 8, 268, 9);
INSERT INTO public.who_data VALUES (63370, 0, 139, 0, 11, 268, 102);
INSERT INTO public.who_data VALUES (63371, 146, 1320, 1, 34, 268, 34);
INSERT INTO public.who_data VALUES (63372, 0, 12, 0, 0, 268, 212);
INSERT INTO public.who_data VALUES (63373, 239, 4640, 6, 194, 268, 122);
INSERT INTO public.who_data VALUES (63374, 25, 3841, 8, 517, 268, 38);
INSERT INTO public.who_data VALUES (63375, 0, 1805, 0, 10, 268, 130);
INSERT INTO public.who_data VALUES (63376, 7466, 165799, 175, 4706, 268, 37);
INSERT INTO public.who_data VALUES (63377, 678, 25216, 24, 1520, 268, 231);
INSERT INTO public.who_data VALUES (63378, 2258, 143849, 63, 7627, 268, 107);
INSERT INTO public.who_data VALUES (63379, 322, 5457, 4, 179, 268, 101);
INSERT INTO public.who_data VALUES (63380, 38, 24841, 8, 1639, 268, 132);
INSERT INTO public.who_data VALUES (63381, 0, 336, 0, 24, 268, 176);
INSERT INTO public.who_data VALUES (63382, 40, 16782, 2, 286, 268, 200);
INSERT INTO public.who_data VALUES (63383, 593, 231732, 70, 33142, 268, 169);
INSERT INTO public.who_data VALUES (63384, 5, 569, 0, 9, 268, 225);
INSERT INTO public.who_data VALUES (63385, 36, 16719, 7, 874, 268, 165);
INSERT INTO public.who_data VALUES (63386, 1, 308, 0, 29, 268, 233);
INSERT INTO public.who_data VALUES (63387, 7, 725, 0, 9, 268, 215);
INSERT INTO public.who_data VALUES (63388, 450, 10382, 0, 37, 268, 177);
INSERT INTO public.who_data VALUES (63389, 147, 1618, 3, 58, 268, 183);
INSERT INTO public.who_data VALUES (63390, 0, 0, 0, 0, 268, 203);
INSERT INTO public.who_data VALUES (63391, 1, 1048, 0, 21, 268, 162);
INSERT INTO public.who_data VALUES (63392, 845, 24112, 10, 185, 268, 12);
INSERT INTO public.who_data VALUES (63393, 68, 1662, 0, 16, 268, 24);
INSERT INTO public.who_data VALUES (63394, 0, 19, 0, 0, 268, 119);
INSERT INTO public.who_data VALUES (63395, 4, 1061, 1, 24, 268, 39);
INSERT INTO public.who_data VALUES (63396, 7, 1168, 0, 26, 268, 26);
INSERT INTO public.who_data VALUES (63397, 0, 2, 0, 0, 268, 59);
INSERT INTO public.who_data VALUES (63398, 3, 269, 0, 27, 268, 77);
INSERT INTO public.who_data VALUES (63399, 6, 105, 1, 5, 268, 134);
INSERT INTO public.who_data VALUES (63400, 0, 83, 0, 1, 268, 4);
INSERT INTO public.who_data VALUES (63401, 5, 1654, 0, 68, 268, 109);
INSERT INTO public.who_data VALUES (63402, 7, 4008, 0, 110, 268, 90);
INSERT INTO public.who_data VALUES (63403, 44, 656, 0, 2, 268, 61);
INSERT INTO public.who_data VALUES (63404, 102, 203, 0, 4, 268, 85);
INSERT INTO public.who_data VALUES (63405, 10, 7629, 0, 115, 268, 49);
INSERT INTO public.who_data VALUES (63406, 56, 1513, 0, 5, 268, 208);
INSERT INTO public.who_data VALUES (63407, 78, 1194, 2, 72, 268, 166);
INSERT INTO public.who_data VALUES (63408, 4, 615, 1, 7, 268, 64);
INSERT INTO public.who_data VALUES (63409, 0, 0, 0, 0, 268, 199);
INSERT INTO public.who_data VALUES (63410, 0, 197, 0, 14, 268, 114);
INSERT INTO public.who_data VALUES (63411, 54, 346, 3, 19, 268, 60);
INSERT INTO public.who_data VALUES (63412, 0, 334, 0, 10, 268, 68);
INSERT INTO public.who_data VALUES (63413, 25, 1670, 1, 21, 268, 158);
INSERT INTO public.who_data VALUES (63414, 3463, 78023, 463, 8597, 268, 52);
INSERT INTO public.who_data VALUES (63415, 0, 0, 0, 0, 268, 117);
INSERT INTO public.who_data VALUES (63416, 0, 70, 0, 1, 268, 126);
INSERT INTO public.who_data VALUES (63417, 18, 179, 0, 0, 268, 196);
INSERT INTO public.who_data VALUES (63418, 0, 324, 0, 9, 268, 142);
INSERT INTO public.who_data VALUES (63419, 0, 11, 0, 1, 268, 185);
INSERT INTO public.who_data VALUES (63420, 42, 7643, 0, 202, 268, 138);
INSERT INTO public.who_data VALUES (63421, 6, 233, 1, 2, 268, 181);
INSERT INTO public.who_data VALUES (63422, 0, 206, 0, 6, 268, 178);
INSERT INTO public.who_data VALUES (63423, 0, 22, 0, 0, 268, 168);
INSERT INTO public.who_data VALUES (63424, 0, 0, 0, 0, 268, 160);
INSERT INTO public.who_data VALUES (63425, 170, 1212, 1, 6, 268, 151);
INSERT INTO public.who_data VALUES (63426, 179, 45711, 27, 5870, 268, 193);
INSERT INTO public.who_data VALUES (63427, 1, 19, 0, 0, 268, 18);
INSERT INTO public.who_data VALUES (63428, 0, 1154, 0, 22, 268, 40);
INSERT INTO public.who_data VALUES (63429, 126, 885, 0, 35, 268, 218);
INSERT INTO public.who_data VALUES (63430, 0, 955, 0, 64, 268, 191);
INSERT INTO public.who_data VALUES (63431, 182, 8915, 5, 259, 268, 156);
INSERT INTO public.who_data VALUES (63432, 0, 0, 0, 0, 268, 135);
INSERT INTO public.who_data VALUES (63433, 0, 22, 0, 2, 268, 88);
INSERT INTO public.who_data VALUES (63434, 38, 2078, 3, 122, 268, 55);
INSERT INTO public.who_data VALUES (63435, 18, 8401, 1, 236, 268, 108);
INSERT INTO public.who_data VALUES (63436, 12, 625, 0, 5, 268, 48);
INSERT INTO public.who_data VALUES (63437, 636, 9009, 1, 40, 268, 3);
INSERT INTO public.who_data VALUES (63438, 0, 741, 0, 13, 268, 224);
INSERT INTO public.who_data VALUES (63439, 2801, 64028, 57, 1317, 268, 110);
INSERT INTO public.who_data VALUES (63440, 0, 0, 0, 0, 268, 106);
INSERT INTO public.who_data VALUES (63441, 281, 11728, 2, 315, 268, 89);
INSERT INTO public.who_data VALUES (63442, 0, 8, 0, 0, 268, 121);
INSERT INTO public.who_data VALUES (63443, 16, 900, 0, 11, 268, 163);
INSERT INTO public.who_data VALUES (63444, 6154, 135905, 195, 3983, 268, 70);
INSERT INTO public.who_data VALUES (63445, 539, 15588, 17, 921, 268, 174);
INSERT INTO public.who_data VALUES (63446, 0, 0, 0, 0, 268, 175);
INSERT INTO public.who_data VALUES (63447, 352, 22825, 10, 1038, 268, 118);
INSERT INTO public.who_data VALUES (63448, 304, 31596, 13, 1369, 268, 189);
INSERT INTO public.who_data VALUES (63449, 89, 3486, 2, 131, 268, 124);
INSERT INTO public.who_data VALUES (63450, 1967, 50914, 3, 33, 268, 192);
INSERT INTO public.who_data VALUES (63451, 58, 11402, 0, 269, 268, 41);
INSERT INTO public.who_data VALUES (63452, 188, 7725, 6, 282, 268, 95);
INSERT INTO public.who_data VALUES (63453, 5, 465, 0, 1, 268, 74);
INSERT INTO public.who_data VALUES (63454, 197, 18791, 10, 1229, 268, 11);
INSERT INTO public.who_data VALUES (63455, 8572, 387623, 232, 4374, 268, 87);
INSERT INTO public.who_data VALUES (63456, 3, 349, 0, 0, 268, 214);
INSERT INTO public.who_data VALUES (63457, 0, 3, 0, 0, 268, 116);
INSERT INTO public.who_data VALUES (63458, 0, 6, 0, 0, 268, 157);
INSERT INTO public.who_data VALUES (63459, 0, 0, 0, 0, 268, 182);
INSERT INTO public.who_data VALUES (63460, 0, 15, 0, 0, 268, 186);
INSERT INTO public.who_data VALUES (63461, 0, 18, 0, 0, 268, 127);
INSERT INTO public.who_data VALUES (63462, 0, 40, 0, 3, 268, 232);
INSERT INTO public.who_data VALUES (63463, 0, 1, 0, 0, 268, 33);
INSERT INTO public.who_data VALUES (63464, 7, 25, 0, 0, 268, 97);
INSERT INTO public.who_data VALUES (63465, 0, 0, 0, 0, 268, 42);
INSERT INTO public.who_data VALUES (63466, 15, 687, 0, 42, 268, 198);
INSERT INTO public.who_data VALUES (63467, 0, 295, 0, 10, 268, 216);
INSERT INTO public.who_data VALUES (63468, 1644, 80185, 16, 441, 268, 164);
INSERT INTO public.who_data VALUES (63469, 95, 3348, 2, 41, 268, 235);
INSERT INTO public.who_data VALUES (63470, 25, 11300, 1, 241, 268, 67);
INSERT INTO public.who_data VALUES (63471, 0, 11, 0, 0, 268, 15);
INSERT INTO public.who_data VALUES (63472, 30, 812, 0, 45, 268, 180);
INSERT INTO public.who_data VALUES (63473, 373, 33249, 0, 23, 268, 237);
INSERT INTO public.who_data VALUES (63474, 0, 2, 0, 0, 268, 25);
INSERT INTO public.who_data VALUES (63475, 0, 78, 0, 15, 268, 209);
INSERT INTO public.who_data VALUES (63476, 2, 1515, 0, 28, 268, 217);
INSERT INTO public.who_data VALUES (63477, 2, 1473, 0, 113, 268, 79);
INSERT INTO public.who_data VALUES (63478, 0, 0, 0, 0, 268, 143);
INSERT INTO public.who_data VALUES (63479, 97, 1828, 5, 72, 268, 229);
INSERT INTO public.who_data VALUES (63480, 1466, 27403, 25, 577, 268, 141);
INSERT INTO public.who_data VALUES (63481, 188, 994, 2, 10, 268, 197);
INSERT INTO public.who_data VALUES (63482, 696, 245694, 45, 28999, 268, 221);
INSERT INTO public.who_data VALUES (63483, 37, 1540, 0, 10, 268, 150);
INSERT INTO public.who_data VALUES (63484, 0, 4346, 0, 195, 268, 56);
INSERT INTO public.who_data VALUES (63485, 1, 12, 0, 1, 268, 167);
INSERT INTO public.who_data VALUES (63486, 800, 36416, 38, 4491, 268, 23);
INSERT INTO public.who_data VALUES (63487, 30, 30804, 0, 1717, 268, 222);
INSERT INTO public.who_data VALUES (63488, 1, 122, 0, 4, 268, 219);
INSERT INTO public.who_data VALUES (63489, 139, 3563, 0, 47, 268, 7);
INSERT INTO public.who_data VALUES (63490, 11, 3076, 0, 57, 268, 161);
INSERT INTO public.who_data VALUES (63491, 1835, 251107, 343, 36957, 268, 149);
INSERT INTO public.who_data VALUES (63492, 0, 24, 0, 0, 268, 6);
INSERT INTO public.who_data VALUES (63493, 27, 422, 0, 13, 268, 139);
INSERT INTO public.who_data VALUES (63494, 0, 0, 0, 0, 268, 211);
INSERT INTO public.who_data VALUES (63495, 0, 0, 0, 0, 268, 14);
INSERT INTO public.who_data VALUES (63496, 0, 116, 0, 8, 268, 111);
INSERT INTO public.who_data VALUES (63497, 3, 1071, 0, 48, 268, 207);
INSERT INTO public.who_data VALUES (63498, 1182, 160979, 30, 4461, 268, 66);
INSERT INTO public.who_data VALUES (63499, 0, 0, 0, 0, 268, 173);
INSERT INTO public.who_data VALUES (63500, 0, 12, 0, 1, 268, 145);
INSERT INTO public.who_data VALUES (63501, 0, 0, 0, 0, 268, 65);
INSERT INTO public.who_data VALUES (63502, 59, 410, 0, 0, 268, 184);
INSERT INTO public.who_data VALUES (63503, 429, 22811, 10, 679, 268, 98);
INSERT INTO public.who_data VALUES (63504, 563, 32532, 3, 258, 268, 104);
INSERT INTO public.who_data VALUES (63505, 0, 509, 0, 21, 268, 73);
INSERT INTO public.who_data VALUES (63506, 19606, 1694864, 1415, 100304, 268, 8);
INSERT INTO public.who_data VALUES (63507, 0, 69, 0, 6, 268, 227);
INSERT INTO public.who_data VALUES (63508, 14, 803, 0, 22, 268, 75);
INSERT INTO public.who_data VALUES (63509, 67, 3463, 0, 14, 268, 45);
INSERT INTO public.who_data VALUES (63510, 0, 0, 0, 0, 268, 133);
INSERT INTO public.who_data VALUES (63511, 34, 1245, 0, 11, 268, 202);
INSERT INTO public.who_data VALUES (63512, 0, 327, 0, 0, 268, 129);
INSERT INTO public.who_data VALUES (63513, 0, 0, 0, 0, 268, 36);
INSERT INTO public.who_data VALUES (63514, 22, 278, 4, 57, 268, 51);
INSERT INTO public.who_data VALUES (63515, 0, 1057, 0, 7, 268, 206);
INSERT INTO public.who_data VALUES (63516, 0, 132, 0, 4, 268, 5);
INSERT INTO public.who_data VALUES (63517, 637, 13102, 9, 239, 269, 103);
INSERT INTO public.who_data VALUES (63518, 26, 1038, 0, 32, 269, 58);
INSERT INTO public.who_data VALUES (63519, 160, 8857, 6, 623, 269, 195);
INSERT INTO public.who_data VALUES (63520, 0, 0, 0, 0, 269, 115);
INSERT INTO public.who_data VALUES (63521, 0, 763, 0, 51, 269, 99);
INSERT INTO public.who_data VALUES (63522, 0, 71, 0, 4, 269, 153);
INSERT INTO public.who_data VALUES (63523, 0, 3, 0, 0, 269, 93);
INSERT INTO public.who_data VALUES (63524, 0, 25, 0, 3, 269, 84);
INSERT INTO public.who_data VALUES (63525, 600, 13228, 21, 492, 269, 78);
INSERT INTO public.who_data VALUES (63526, 372, 7750, 7, 98, 269, 170);
INSERT INTO public.who_data VALUES (63527, 0, 101, 0, 3, 269, 32);
INSERT INTO public.who_data VALUES (63528, 6, 7139, 1, 103, 269, 155);
INSERT INTO public.who_data VALUES (63529, 18, 16515, 2, 645, 269, 82);
INSERT INTO public.who_data VALUES (63530, 165, 4568, 2, 54, 269, 16);
INSERT INTO public.who_data VALUES (63531, 0, 100, 0, 11, 269, 72);
INSERT INTO public.who_data VALUES (63532, 326, 9692, 1, 15, 269, 43);
INSERT INTO public.who_data VALUES (63533, 2029, 40321, 15, 559, 269, 120);
INSERT INTO public.who_data VALUES (63534, 0, 92, 0, 7, 269, 213);
INSERT INTO public.who_data VALUES (63535, 897, 38956, 6, 214, 269, 31);
INSERT INTO public.who_data VALUES (63536, 182, 58619, 24, 9274, 269, 204);
INSERT INTO public.who_data VALUES (63537, 0, 18, 0, 2, 269, 152);
INSERT INTO public.who_data VALUES (63538, 2, 210, 0, 3, 269, 144);
INSERT INTO public.who_data VALUES (63539, 6, 139, 0, 9, 269, 96);
INSERT INTO public.who_data VALUES (63540, 1, 28, 0, 0, 269, 47);
INSERT INTO public.who_data VALUES (63541, 476, 7136, 13, 274, 269, 80);
INSERT INTO public.who_data VALUES (63542, 0, 2, 0, 0, 269, 159);
INSERT INTO public.who_data VALUES (63543, 0, 2415, 0, 149, 269, 27);
INSERT INTO public.who_data VALUES (63544, 0, 35, 0, 1, 269, 146);
INSERT INTO public.who_data VALUES (63545, 16324, 391222, 1039, 24512, 269, 71);
INSERT INTO public.who_data VALUES (63546, 0, 8, 0, 1, 269, 210);
INSERT INTO public.who_data VALUES (63547, 0, 141, 1, 2, 269, 54);
INSERT INTO public.who_data VALUES (63548, 0, 2460, 0, 133, 269, 147);
INSERT INTO public.who_data VALUES (63549, 0, 845, 0, 53, 269, 2);
INSERT INTO public.who_data VALUES (63550, 0, 42, 0, 1, 269, 105);
INSERT INTO public.who_data VALUES (63551, 0, 390, 0, 4, 269, 53);
INSERT INTO public.who_data VALUES (63552, 0, 124, 0, 0, 269, 81);
INSERT INTO public.who_data VALUES (63553, 0, 5436, 0, 177, 269, 223);
INSERT INTO public.who_data VALUES (63554, 941, 86939, 105, 6671, 269, 94);
INSERT INTO public.who_data VALUES (63555, 3, 137, 0, 1, 269, 154);
INSERT INTO public.who_data VALUES (63556, 49, 701, 0, 1, 269, 83);
INSERT INTO public.who_data VALUES (63557, 15, 715, 2, 64, 269, 194);
INSERT INTO public.who_data VALUES (63558, 4328, 82289, 35, 841, 269, 136);
INSERT INTO public.who_data VALUES (63559, 3, 84547, 0, 4645, 269, 179);
INSERT INTO public.who_data VALUES (63560, 1022, 23003, 26, 776, 269, 57);
INSERT INTO public.who_data VALUES (63561, 0, 43, 1, 2, 269, 35);
INSERT INTO public.who_data VALUES (63562, 2, 571, 0, 19, 269, 228);
INSERT INTO public.who_data VALUES (63563, 0, 0, 0, 0, 269, 19);
INSERT INTO public.who_data VALUES (63564, 5, 956, 0, 10, 269, 22);
INSERT INTO public.who_data VALUES (63565, 79, 2556, 1, 31, 269, 1);
INSERT INTO public.who_data VALUES (63566, 0, 2244, 0, 101, 269, 21);
INSERT INTO public.who_data VALUES (63567, 11, 1974, 0, 82, 269, 234);
INSERT INTO public.who_data VALUES (63568, 0, 18, 0, 1, 269, 91);
INSERT INTO public.who_data VALUES (63569, 0, 939, 0, 17, 269, 137);
INSERT INTO public.who_data VALUES (63570, 36, 9086, 0, 317, 269, 201);
INSERT INTO public.who_data VALUES (63571, 0, 0, 0, 0, 269, 171);
INSERT INTO public.who_data VALUES (63572, 257, 2659, 1, 68, 269, 92);
INSERT INTO public.who_data VALUES (63573, 52, 11480, 2, 565, 269, 112);
INSERT INTO public.who_data VALUES (63574, 229, 2697, 4, 18, 269, 62);
INSERT INTO public.who_data VALUES (63575, 0, 16, 0, 0, 269, 69);
INSERT INTO public.who_data VALUES (63576, 459, 15723, 6, 474, 269, 220);
INSERT INTO public.who_data VALUES (63577, 447, 38103, 54, 3275, 269, 100);
INSERT INTO public.who_data VALUES (63578, 910, 19666, 19, 816, 269, 187);
INSERT INTO public.who_data VALUES (63579, 67, 2109, 1, 37, 269, 63);
INSERT INTO public.who_data VALUES (63580, 0, 1043, 0, 12, 269, 28);
INSERT INTO public.who_data VALUES (63581, 0, 39, 0, 0, 269, 172);
INSERT INTO public.who_data VALUES (63582, 6, 1840, 0, 63, 269, 17);
INSERT INTO public.who_data VALUES (63583, 11, 272, 0, 2, 269, 226);
INSERT INTO public.who_data VALUES (63584, 30, 731, 0, 6, 269, 236);
INSERT INTO public.who_data VALUES (63585, 0, 13, 0, 0, 269, 76);
INSERT INTO public.who_data VALUES (63586, 0, 187, 0, 0, 269, 30);
INSERT INTO public.who_data VALUES (63587, 0, 18, 0, 0, 269, 128);
INSERT INTO public.who_data VALUES (63588, 64, 6692, 1, 313, 269, 86);
INSERT INTO public.who_data VALUES (63589, 148, 142852, 66, 28543, 269, 140);
INSERT INTO public.who_data VALUES (63590, 31, 384, 0, 1, 269, 44);
INSERT INTO public.who_data VALUES (63591, 0, 60, 0, 0, 269, 113);
INSERT INTO public.who_data VALUES (63592, 81, 2319, 0, 14, 269, 29);
INSERT INTO public.who_data VALUES (63593, 0, 25, 0, 1, 269, 125);
INSERT INTO public.who_data VALUES (63594, 3, 738, 0, 12, 269, 131);
INSERT INTO public.who_data VALUES (63595, 353, 179717, 62, 8411, 269, 46);
INSERT INTO public.who_data VALUES (63596, 339, 7303, 2, 34, 269, 10);
INSERT INTO public.who_data VALUES (63597, 0, 154, 0, 0, 269, 205);
INSERT INTO public.who_data VALUES (63598, 11, 2903, 0, 173, 269, 50);
INSERT INTO public.who_data VALUES (63599, 0, 12, 0, 0, 269, 20);
INSERT INTO public.who_data VALUES (63600, 0, 23, 0, 0, 269, 13);
INSERT INTO public.who_data VALUES (63601, 0, 161, 0, 14, 269, 148);
INSERT INTO public.who_data VALUES (63602, 1, 164, 0, 5, 269, 230);
INSERT INTO public.who_data VALUES (63603, 194, 3954, 4, 63, 269, 190);
INSERT INTO public.who_data VALUES (63604, 0, 252, 0, 13, 269, 188);
INSERT INTO public.who_data VALUES (63605, 88, 3446, 1, 21, 269, 123);
INSERT INTO public.who_data VALUES (63606, 0, 1173, 0, 6, 269, 9);
INSERT INTO public.who_data VALUES (63607, 2, 139, 0, 11, 269, 102);
INSERT INTO public.who_data VALUES (63608, 111, 1174, 2, 33, 269, 34);
INSERT INTO public.who_data VALUES (63609, 0, 12, 0, 0, 269, 212);
INSERT INTO public.who_data VALUES (63610, 212, 4401, 6, 188, 269, 122);
INSERT INTO public.who_data VALUES (63611, 23, 3816, 4, 509, 269, 38);
INSERT INTO public.who_data VALUES (63612, 1, 1805, 0, 10, 269, 130);
INSERT INTO public.who_data VALUES (63613, 6566, 158333, 194, 4531, 269, 37);
INSERT INTO public.who_data VALUES (63614, 687, 24538, 23, 1496, 269, 231);
INSERT INTO public.who_data VALUES (63615, 2080, 141591, 56, 7564, 269, 107);
INSERT INTO public.who_data VALUES (63616, 287, 5135, 6, 175, 269, 101);
INSERT INTO public.who_data VALUES (63617, 68, 24803, 16, 1631, 269, 132);
INSERT INTO public.who_data VALUES (63618, 0, 336, 0, 24, 269, 176);
INSERT INTO public.who_data VALUES (63619, 50, 16742, 0, 284, 269, 200);
INSERT INTO public.who_data VALUES (63620, 584, 231139, 117, 33072, 269, 169);
INSERT INTO public.who_data VALUES (63621, 8, 564, 0, 9, 269, 225);
INSERT INTO public.who_data VALUES (63622, 32, 16683, 9, 867, 269, 165);
INSERT INTO public.who_data VALUES (63623, 0, 307, 0, 29, 269, 233);
INSERT INTO public.who_data VALUES (63624, 2, 718, 0, 9, 269, 215);
INSERT INTO public.who_data VALUES (63625, 356, 9932, 0, 37, 269, 177);
INSERT INTO public.who_data VALUES (63626, 123, 1471, 3, 55, 269, 183);
INSERT INTO public.who_data VALUES (63627, 0, 0, 0, 0, 269, 203);
INSERT INTO public.who_data VALUES (63628, 9, 1047, 0, 21, 269, 162);
INSERT INTO public.who_data VALUES (63629, 692, 23267, 3, 175, 269, 12);
INSERT INTO public.who_data VALUES (63630, 74, 1594, 0, 16, 269, 24);
INSERT INTO public.who_data VALUES (63631, 0, 19, 0, 0, 269, 119);
INSERT INTO public.who_data VALUES (63632, 4, 1057, 1, 23, 269, 39);
INSERT INTO public.who_data VALUES (63633, 21, 1161, 0, 26, 269, 26);
INSERT INTO public.who_data VALUES (63634, 0, 2, 0, 0, 269, 59);
INSERT INTO public.who_data VALUES (63635, 0, 266, 1, 27, 269, 77);
INSERT INTO public.who_data VALUES (63636, 22, 99, 1, 4, 269, 134);
INSERT INTO public.who_data VALUES (63637, 0, 83, 0, 1, 269, 4);
INSERT INTO public.who_data VALUES (63638, 9, 1649, 2, 68, 269, 109);
INSERT INTO public.who_data VALUES (63639, 6, 4001, 0, 110, 269, 90);
INSERT INTO public.who_data VALUES (63640, 26, 612, 0, 2, 269, 61);
INSERT INTO public.who_data VALUES (63641, 0, 101, 0, 4, 269, 85);
INSERT INTO public.who_data VALUES (63642, 15, 7619, 0, 115, 269, 49);
INSERT INTO public.who_data VALUES (63643, 0, 1457, 0, 5, 269, 208);
INSERT INTO public.who_data VALUES (63644, 39, 1116, 0, 70, 269, 166);
INSERT INTO public.who_data VALUES (63645, 1, 611, 0, 6, 269, 64);
INSERT INTO public.who_data VALUES (63646, 0, 0, 0, 0, 269, 199);
INSERT INTO public.who_data VALUES (63647, 0, 197, 0, 14, 269, 114);
INSERT INTO public.who_data VALUES (63648, 30, 292, 7, 16, 269, 60);
INSERT INTO public.who_data VALUES (63649, 0, 334, 0, 10, 269, 68);
INSERT INTO public.who_data VALUES (63650, 11, 1645, 0, 20, 269, 158);
INSERT INTO public.who_data VALUES (63651, 3455, 74560, 501, 8134, 269, 52);
INSERT INTO public.who_data VALUES (63652, 0, 0, 0, 0, 269, 117);
INSERT INTO public.who_data VALUES (63653, 0, 70, 0, 1, 269, 126);
INSERT INTO public.who_data VALUES (63654, 13, 161, 0, 0, 269, 196);
INSERT INTO public.who_data VALUES (63655, 0, 324, 0, 9, 269, 142);
INSERT INTO public.who_data VALUES (63656, 0, 11, 0, 1, 269, 185);
INSERT INTO public.who_data VALUES (63657, 24, 7601, 0, 202, 269, 138);
INSERT INTO public.who_data VALUES (63658, 14, 227, 0, 1, 269, 181);
INSERT INTO public.who_data VALUES (63659, 0, 206, 0, 6, 269, 178);
INSERT INTO public.who_data VALUES (63660, 1, 22, 0, 0, 269, 168);
INSERT INTO public.who_data VALUES (63661, 0, 0, 0, 0, 269, 160);
INSERT INTO public.who_data VALUES (63662, 156, 1042, 1, 5, 269, 151);
INSERT INTO public.who_data VALUES (63663, 194, 45532, 19, 5843, 269, 193);
INSERT INTO public.who_data VALUES (63664, 0, 18, 0, 0, 269, 18);
INSERT INTO public.who_data VALUES (63665, 0, 1154, 1, 22, 269, 40);
INSERT INTO public.who_data VALUES (63666, 480, 759, 18, 35, 269, 218);
INSERT INTO public.who_data VALUES (63667, 3, 955, 1, 64, 269, 191);
INSERT INTO public.who_data VALUES (63668, 389, 8733, 5, 254, 269, 156);
INSERT INTO public.who_data VALUES (63669, 0, 0, 0, 0, 269, 135);
INSERT INTO public.who_data VALUES (63670, 0, 22, 0, 2, 269, 88);
INSERT INTO public.who_data VALUES (63671, 25, 2040, 3, 119, 269, 55);
INSERT INTO public.who_data VALUES (63672, 19, 8383, 0, 235, 269, 108);
INSERT INTO public.who_data VALUES (63673, 8, 613, 0, 5, 269, 48);
INSERT INTO public.who_data VALUES (63674, 255, 8373, 2, 39, 269, 3);
INSERT INTO public.who_data VALUES (63675, 0, 741, 0, 13, 269, 224);
INSERT INTO public.who_data VALUES (63676, 2076, 61227, 35, 1260, 269, 110);
INSERT INTO public.who_data VALUES (63677, 0, 0, 0, 0, 269, 106);
INSERT INTO public.who_data VALUES (63678, 264, 11447, 3, 313, 269, 89);
INSERT INTO public.who_data VALUES (63679, 0, 8, 0, 0, 269, 121);
INSERT INTO public.who_data VALUES (63680, 7, 884, 0, 11, 269, 163);
INSERT INTO public.who_data VALUES (63681, 5772, 129751, 159, 3788, 269, 70);
INSERT INTO public.who_data VALUES (63682, 380, 15049, 18, 904, 269, 174);
INSERT INTO public.who_data VALUES (63683, 0, 0, 0, 0, 269, 175);
INSERT INTO public.who_data VALUES (63684, 399, 22473, 4, 1028, 269, 118);
INSERT INTO public.who_data VALUES (63685, 285, 31292, 14, 1356, 269, 189);
INSERT INTO public.who_data VALUES (63686, 73, 3397, 0, 129, 269, 124);
INSERT INTO public.who_data VALUES (63687, 1740, 48947, 2, 30, 269, 192);
INSERT INTO public.who_data VALUES (63688, 79, 11344, 0, 269, 269, 41);
INSERT INTO public.who_data VALUES (63689, 232, 7537, 3, 276, 269, 95);
INSERT INTO public.who_data VALUES (63690, 1, 460, 0, 1, 269, 74);
INSERT INTO public.who_data VALUES (63691, 165, 18594, 9, 1219, 269, 11);
INSERT INTO public.who_data VALUES (63692, 8371, 379051, 174, 4142, 269, 87);
INSERT INTO public.who_data VALUES (63693, 7, 346, 0, 0, 269, 214);
INSERT INTO public.who_data VALUES (63694, 0, 3, 0, 0, 269, 116);
INSERT INTO public.who_data VALUES (63695, 0, 6, 0, 0, 269, 157);
INSERT INTO public.who_data VALUES (63696, 0, 0, 0, 0, 269, 182);
INSERT INTO public.who_data VALUES (63697, 0, 15, 0, 0, 269, 186);
INSERT INTO public.who_data VALUES (63698, 0, 18, 0, 0, 269, 127);
INSERT INTO public.who_data VALUES (63699, 0, 40, 0, 3, 269, 232);
INSERT INTO public.who_data VALUES (63700, 0, 1, 0, 0, 269, 33);
INSERT INTO public.who_data VALUES (63701, 0, 18, 0, 0, 269, 97);
INSERT INTO public.who_data VALUES (63702, 0, 0, 0, 0, 269, 42);
INSERT INTO public.who_data VALUES (63703, 0, 672, 0, 42, 269, 198);
INSERT INTO public.who_data VALUES (63704, 0, 295, 0, 10, 269, 216);
INSERT INTO public.who_data VALUES (63705, 1815, 78541, 14, 425, 269, 164);
INSERT INTO public.who_data VALUES (63706, 92, 3253, 2, 39, 269, 235);
INSERT INTO public.who_data VALUES (63707, 48, 11275, 1, 240, 269, 67);
INSERT INTO public.who_data VALUES (63708, 0, 11, 0, 0, 269, 15);
INSERT INTO public.who_data VALUES (63709, 28, 782, 1, 45, 269, 180);
INSERT INTO public.who_data VALUES (63710, 533, 32876, 0, 23, 269, 237);
INSERT INTO public.who_data VALUES (63711, 0, 2, 0, 0, 269, 25);
INSERT INTO public.who_data VALUES (63712, 0, 78, 0, 15, 269, 209);
INSERT INTO public.who_data VALUES (63713, 2, 1513, 0, 28, 269, 217);
INSERT INTO public.who_data VALUES (63714, 2, 1471, 0, 113, 269, 79);
INSERT INTO public.who_data VALUES (63715, 0, 0, 0, 0, 269, 143);
INSERT INTO public.who_data VALUES (63716, 20, 1731, 0, 67, 269, 229);
INSERT INTO public.who_data VALUES (63717, 1673, 25937, 28, 552, 269, 141);
INSERT INTO public.who_data VALUES (63718, 0, 806, 0, 8, 269, 197);
INSERT INTO public.who_data VALUES (63719, 864, 244998, 57, 28954, 269, 221);
INSERT INTO public.who_data VALUES (63720, 78, 1503, 0, 10, 269, 150);
INSERT INTO public.who_data VALUES (63721, 200, 4346, 11, 195, 269, 56);
INSERT INTO public.who_data VALUES (63722, 0, 11, 0, 1, 269, 167);
INSERT INTO public.who_data VALUES (63723, 746, 35616, 28, 4453, 269, 23);
INSERT INTO public.who_data VALUES (63724, 25, 30774, 0, 1717, 269, 222);
INSERT INTO public.who_data VALUES (63725, 0, 121, 0, 4, 269, 219);
INSERT INTO public.who_data VALUES (63726, 158, 3424, 0, 47, 269, 7);
INSERT INTO public.who_data VALUES (63727, 11, 3065, 0, 57, 269, 161);
INSERT INTO public.who_data VALUES (63728, 1672, 249272, 422, 36614, 269, 149);
INSERT INTO public.who_data VALUES (63729, 0, 24, 0, 0, 269, 6);
INSERT INTO public.who_data VALUES (63730, 4, 395, 0, 13, 269, 139);
INSERT INTO public.who_data VALUES (63731, 0, 0, 0, 0, 269, 211);
INSERT INTO public.who_data VALUES (63732, 0, 0, 0, 0, 269, 14);
INSERT INTO public.who_data VALUES (63733, 0, 116, 0, 8, 269, 111);
INSERT INTO public.who_data VALUES (63734, 17, 1068, 0, 48, 269, 207);
INSERT INTO public.who_data VALUES (63735, 1035, 159797, 34, 4431, 269, 66);
INSERT INTO public.who_data VALUES (63736, 0, 0, 0, 0, 269, 173);
INSERT INTO public.who_data VALUES (63737, 0, 12, 0, 1, 269, 145);
INSERT INTO public.who_data VALUES (63738, 0, 0, 0, 0, 269, 65);
INSERT INTO public.who_data VALUES (63739, 10, 351, 0, 0, 269, 184);
INSERT INTO public.who_data VALUES (63740, 477, 22382, 11, 669, 269, 98);
INSERT INTO public.who_data VALUES (63741, 883, 31969, 2, 255, 269, 104);
INSERT INTO public.who_data VALUES (63742, 0, 509, 0, 21, 269, 73);
INSERT INTO public.who_data VALUES (63743, 16362, 1675258, 770, 98889, 269, 8);
INSERT INTO public.who_data VALUES (63744, 0, 69, 0, 6, 269, 227);
INSERT INTO public.who_data VALUES (63745, 2, 789, 0, 22, 269, 75);
INSERT INTO public.who_data VALUES (63746, 63, 3396, 0, 14, 269, 45);
INSERT INTO public.who_data VALUES (63747, 0, 0, 0, 0, 269, 133);
INSERT INTO public.who_data VALUES (63748, 34, 1211, 1, 11, 269, 202);
INSERT INTO public.who_data VALUES (63749, 0, 327, 0, 0, 269, 129);
INSERT INTO public.who_data VALUES (63750, 0, 0, 0, 0, 269, 36);
INSERT INTO public.who_data VALUES (63751, 7, 256, 4, 53, 269, 51);
INSERT INTO public.who_data VALUES (63752, 137, 1057, 0, 7, 269, 206);
INSERT INTO public.who_data VALUES (63753, 76, 132, 0, 4, 269, 5);
INSERT INTO public.who_data VALUES (63754, 548, 12465, 6, 230, 270, 103);
INSERT INTO public.who_data VALUES (63755, 21, 1012, 0, 32, 270, 58);
INSERT INTO public.who_data VALUES (63756, 194, 8697, 8, 617, 270, 195);
INSERT INTO public.who_data VALUES (63757, 0, 0, 0, 0, 270, 115);
INSERT INTO public.who_data VALUES (63758, 0, 763, 0, 51, 270, 99);
INSERT INTO public.who_data VALUES (63759, 2, 71, 0, 4, 270, 153);
INSERT INTO public.who_data VALUES (63760, 0, 3, 0, 0, 270, 93);
INSERT INTO public.who_data VALUES (63761, 0, 25, 0, 3, 270, 84);
INSERT INTO public.who_data VALUES (63762, 552, 12628, 19, 471, 270, 78);
INSERT INTO public.who_data VALUES (63763, 289, 7378, 4, 91, 270, 170);
INSERT INTO public.who_data VALUES (63764, 0, 101, 0, 3, 270, 32);
INSERT INTO public.who_data VALUES (63765, 15, 7133, 0, 102, 270, 155);
INSERT INTO public.who_data VALUES (63766, 38, 16497, 2, 643, 270, 82);
INSERT INTO public.who_data VALUES (63767, 132, 4403, 1, 52, 270, 16);
INSERT INTO public.who_data VALUES (63768, 0, 100, 0, 11, 270, 72);
INSERT INTO public.who_data VALUES (63769, 195, 9366, 0, 14, 270, 43);
INSERT INTO public.who_data VALUES (63770, 1541, 38292, 22, 544, 270, 120);
INSERT INTO public.who_data VALUES (63771, 0, 92, 0, 7, 270, 213);
INSERT INTO public.who_data VALUES (63772, 915, 38059, 4, 208, 270, 31);
INSERT INTO public.who_data VALUES (63773, 202, 58437, 24, 9250, 270, 204);
INSERT INTO public.who_data VALUES (63774, 0, 18, 0, 2, 270, 152);
INSERT INTO public.who_data VALUES (63775, 17, 208, 0, 3, 270, 144);
INSERT INTO public.who_data VALUES (63776, 0, 133, 0, 9, 270, 96);
INSERT INTO public.who_data VALUES (63777, 0, 27, 0, 0, 270, 47);
INSERT INTO public.who_data VALUES (63778, 397, 6660, 11, 261, 270, 80);
INSERT INTO public.who_data VALUES (63779, 0, 2, 0, 0, 270, 159);
INSERT INTO public.who_data VALUES (63780, 10, 2415, 4, 149, 270, 27);
INSERT INTO public.who_data VALUES (63781, 0, 35, 0, 1, 270, 146);
INSERT INTO public.who_data VALUES (63782, 11687, 374898, 807, 23473, 270, 71);
INSERT INTO public.who_data VALUES (63783, 0, 8, 0, 1, 270, 210);
INSERT INTO public.who_data VALUES (63784, 0, 141, 0, 1, 270, 54);
INSERT INTO public.who_data VALUES (63785, 27, 2460, 3, 133, 270, 147);
INSERT INTO public.who_data VALUES (63786, 4, 845, 1, 53, 270, 2);
INSERT INTO public.who_data VALUES (63787, 0, 42, 0, 1, 270, 105);
INSERT INTO public.who_data VALUES (63788, 0, 390, 1, 4, 270, 53);
INSERT INTO public.who_data VALUES (63789, 0, 124, 0, 0, 270, 81);
INSERT INTO public.who_data VALUES (63790, 546, 5436, 12, 177, 270, 223);
INSERT INTO public.who_data VALUES (63791, 895, 85998, 113, 6566, 270, 94);
INSERT INTO public.who_data VALUES (63792, 5, 134, 0, 1, 270, 154);
INSERT INTO public.who_data VALUES (63793, 0, 652, 0, 1, 270, 83);
INSERT INTO public.who_data VALUES (63794, 13, 700, 1, 62, 270, 194);
INSERT INTO public.who_data VALUES (63795, 3964, 77961, 45, 806, 270, 136);
INSERT INTO public.who_data VALUES (63796, 1, 84544, 0, 4645, 270, 179);
INSERT INTO public.who_data VALUES (63797, 806, 21981, 23, 750, 270, 57);
INSERT INTO public.who_data VALUES (63798, 0, 43, 0, 1, 270, 35);
INSERT INTO public.who_data VALUES (63799, 38, 569, 2, 19, 270, 228);
INSERT INTO public.who_data VALUES (63800, 0, 0, 0, 0, 270, 19);
INSERT INTO public.who_data VALUES (63801, 21, 951, 0, 10, 270, 22);
INSERT INTO public.who_data VALUES (63802, 54, 2477, 0, 30, 270, 1);
INSERT INTO public.who_data VALUES (63803, 0, 2244, 1, 101, 270, 21);
INSERT INTO public.who_data VALUES (63804, 16, 1963, 0, 82, 270, 234);
INSERT INTO public.who_data VALUES (63805, 1, 18, 0, 1, 270, 91);
INSERT INTO public.who_data VALUES (63806, 2, 939, 0, 17, 270, 137);
INSERT INTO public.who_data VALUES (63807, 46, 9050, 0, 317, 270, 201);
INSERT INTO public.who_data VALUES (63808, 0, 0, 0, 0, 270, 171);
INSERT INTO public.who_data VALUES (63809, 98, 2402, 1, 67, 270, 92);
INSERT INTO public.who_data VALUES (63810, 41, 11428, 0, 563, 270, 112);
INSERT INTO public.who_data VALUES (63811, 0, 2468, 0, 14, 270, 62);
INSERT INTO public.who_data VALUES (63812, 0, 16, 0, 0, 270, 69);
INSERT INTO public.who_data VALUES (63813, 191, 15264, 8, 468, 270, 220);
INSERT INTO public.who_data VALUES (63814, 301, 37656, 18, 3221, 270, 100);
INSERT INTO public.who_data VALUES (63815, 789, 18756, 14, 797, 270, 187);
INSERT INTO public.who_data VALUES (63816, 59, 2042, 1, 36, 270, 63);
INSERT INTO public.who_data VALUES (63817, 0, 1043, 0, 12, 270, 28);
INSERT INTO public.who_data VALUES (63818, 0, 39, 0, 0, 270, 172);
INSERT INTO public.who_data VALUES (63819, 10, 1834, 0, 63, 270, 17);
INSERT INTO public.who_data VALUES (63820, 5, 261, 0, 2, 270, 226);
INSERT INTO public.who_data VALUES (63821, 46, 701, 1, 6, 270, 236);
INSERT INTO public.who_data VALUES (63822, 0, 13, 0, 0, 270, 76);
INSERT INTO public.who_data VALUES (63823, 0, 187, 0, 0, 270, 30);
INSERT INTO public.who_data VALUES (63824, 0, 18, 0, 0, 270, 128);
INSERT INTO public.who_data VALUES (63825, 29, 6628, 4, 312, 270, 86);
INSERT INTO public.who_data VALUES (63826, 222, 142704, 98, 28477, 270, 140);
INSERT INTO public.who_data VALUES (63827, 25, 353, 0, 1, 270, 44);
INSERT INTO public.who_data VALUES (63828, 0, 60, 0, 0, 270, 113);
INSERT INTO public.who_data VALUES (63829, 103, 2238, 0, 14, 270, 29);
INSERT INTO public.who_data VALUES (63830, 0, 25, 0, 1, 270, 125);
INSERT INTO public.who_data VALUES (63831, 3, 735, 0, 12, 270, 131);
INSERT INTO public.who_data VALUES (63832, 362, 179364, 47, 8349, 270, 46);
INSERT INTO public.who_data VALUES (63833, 156, 6964, 0, 32, 270, 10);
INSERT INTO public.who_data VALUES (63834, 0, 154, 0, 0, 270, 205);
INSERT INTO public.who_data VALUES (63835, 10, 2892, 1, 173, 270, 50);
INSERT INTO public.who_data VALUES (63836, 0, 12, 0, 0, 270, 20);
INSERT INTO public.who_data VALUES (63837, 1, 23, 0, 0, 270, 13);
INSERT INTO public.who_data VALUES (63838, 0, 161, 0, 14, 270, 148);
INSERT INTO public.who_data VALUES (63839, 2, 163, 0, 5, 270, 230);
INSERT INTO public.who_data VALUES (63840, 336, 3760, 1, 59, 270, 190);
INSERT INTO public.who_data VALUES (63841, 0, 252, 0, 13, 270, 188);
INSERT INTO public.who_data VALUES (63842, 36, 3358, 0, 20, 270, 123);
INSERT INTO public.who_data VALUES (63843, 0, 1173, 0, 6, 270, 9);
INSERT INTO public.who_data VALUES (63844, 2, 137, 1, 11, 270, 102);
INSERT INTO public.who_data VALUES (63845, 105, 1063, 4, 31, 270, 34);
INSERT INTO public.who_data VALUES (63846, 0, 12, 0, 0, 270, 212);
INSERT INTO public.who_data VALUES (63847, 239, 4189, 2, 182, 270, 122);
INSERT INTO public.who_data VALUES (63848, 22, 3793, 6, 505, 270, 38);
INSERT INTO public.who_data VALUES (63849, 0, 1804, 0, 10, 270, 130);
INSERT INTO public.who_data VALUES (63850, 6387, 151767, 170, 4337, 270, 37);
INSERT INTO public.who_data VALUES (63851, 686, 23851, 55, 1473, 270, 231);
INSERT INTO public.who_data VALUES (63852, 1787, 139511, 57, 7508, 270, 107);
INSERT INTO public.who_data VALUES (63853, 216, 4848, 6, 169, 270, 101);
INSERT INTO public.who_data VALUES (63854, 37, 24735, 9, 1615, 270, 132);
INSERT INTO public.who_data VALUES (63855, 0, 336, 0, 24, 270, 176);
INSERT INTO public.who_data VALUES (63856, 22, 16692, 2, 284, 270, 200);
INSERT INTO public.who_data VALUES (63857, 397, 230555, 78, 32955, 270, 169);
INSERT INTO public.who_data VALUES (63858, 4, 556, 0, 9, 270, 225);
INSERT INTO public.who_data VALUES (63859, 28, 16651, 12, 858, 270, 165);
INSERT INTO public.who_data VALUES (63860, 1, 307, 0, 29, 270, 233);
INSERT INTO public.who_data VALUES (63861, 7, 716, 0, 9, 270, 215);
INSERT INTO public.who_data VALUES (63862, 272, 9576, 0, 37, 270, 177);
INSERT INTO public.who_data VALUES (63863, 62, 1348, 0, 52, 270, 183);
INSERT INTO public.who_data VALUES (63864, 0, 0, 0, 0, 270, 203);
INSERT INTO public.who_data VALUES (63865, 0, 1038, 0, 21, 270, 162);
INSERT INTO public.who_data VALUES (63866, 608, 22575, 7, 172, 270, 12);
INSERT INTO public.who_data VALUES (63867, 52, 1520, 0, 16, 270, 24);
INSERT INTO public.who_data VALUES (63868, 0, 19, 0, 0, 270, 119);
INSERT INTO public.who_data VALUES (63869, 4, 1053, 0, 22, 270, 39);
INSERT INTO public.who_data VALUES (63870, 21, 1140, 0, 26, 270, 26);
INSERT INTO public.who_data VALUES (63871, 0, 2, 0, 0, 270, 59);
INSERT INTO public.who_data VALUES (63872, 1, 266, 0, 26, 270, 77);
INSERT INTO public.who_data VALUES (63873, 2, 77, 0, 3, 270, 134);
INSERT INTO public.who_data VALUES (63874, 0, 83, 0, 1, 270, 4);
INSERT INTO public.who_data VALUES (63875, 8, 1640, 0, 66, 270, 109);
INSERT INTO public.who_data VALUES (63876, 2, 3995, 0, 110, 270, 90);
INSERT INTO public.who_data VALUES (63877, 44, 586, 0, 2, 270, 61);
INSERT INTO public.who_data VALUES (63878, 0, 101, 0, 4, 270, 85);
INSERT INTO public.who_data VALUES (63879, 187, 7604, 0, 115, 270, 49);
INSERT INTO public.who_data VALUES (63880, 62, 1457, 1, 5, 270, 208);
INSERT INTO public.who_data VALUES (63881, 18, 1077, 3, 70, 270, 166);
INSERT INTO public.who_data VALUES (63882, 0, 610, 0, 6, 270, 64);
INSERT INTO public.who_data VALUES (63883, 0, 0, 0, 0, 270, 199);
INSERT INTO public.who_data VALUES (63884, 0, 197, 0, 14, 270, 114);
INSERT INTO public.who_data VALUES (63885, 0, 262, 0, 9, 270, 60);
INSERT INTO public.who_data VALUES (63886, 0, 334, 0, 10, 270, 68);
INSERT INTO public.who_data VALUES (63887, 25, 1634, 0, 20, 270, 158);
INSERT INTO public.who_data VALUES (63888, 2485, 71105, 239, 7633, 270, 52);
INSERT INTO public.who_data VALUES (63889, 0, 0, 0, 0, 270, 117);
INSERT INTO public.who_data VALUES (63890, 0, 70, 0, 1, 270, 126);
INSERT INTO public.who_data VALUES (63891, 7, 148, 0, 0, 270, 196);
INSERT INTO public.who_data VALUES (63892, 0, 324, 0, 9, 270, 142);
INSERT INTO public.who_data VALUES (63893, 0, 11, 0, 1, 270, 185);
INSERT INTO public.who_data VALUES (63894, 45, 7577, 2, 202, 270, 138);
INSERT INTO public.who_data VALUES (63895, 4, 213, 0, 1, 270, 181);
INSERT INTO public.who_data VALUES (63896, 0, 206, 0, 6, 270, 178);
INSERT INTO public.who_data VALUES (63897, 0, 21, 0, 0, 270, 168);
INSERT INTO public.who_data VALUES (63898, 0, 0, 0, 0, 270, 160);
INSERT INTO public.who_data VALUES (63899, 114, 886, 0, 4, 270, 151);
INSERT INTO public.who_data VALUES (63900, 129, 45338, 20, 5824, 270, 193);
INSERT INTO public.who_data VALUES (63901, 0, 18, 0, 0, 270, 18);
INSERT INTO public.who_data VALUES (63902, 0, 1154, 0, 21, 270, 40);
INSERT INTO public.who_data VALUES (63903, 0, 279, 0, 17, 270, 218);
INSERT INTO public.who_data VALUES (63904, 1, 952, 1, 63, 270, 191);
INSERT INTO public.who_data VALUES (63905, 276, 8344, 16, 249, 270, 156);
INSERT INTO public.who_data VALUES (63906, 0, 0, 0, 0, 270, 135);
INSERT INTO public.who_data VALUES (63907, 0, 22, 0, 2, 270, 88);
INSERT INTO public.who_data VALUES (63908, 16, 2015, 3, 116, 270, 55);
INSERT INTO public.who_data VALUES (63909, 12, 8364, 0, 235, 270, 108);
INSERT INTO public.who_data VALUES (63910, 3, 605, 0, 5, 270, 48);
INSERT INTO public.who_data VALUES (63911, 348, 8118, 0, 37, 270, 3);
INSERT INTO public.who_data VALUES (63912, 0, 741, 0, 13, 270, 224);
INSERT INTO public.who_data VALUES (63913, 1446, 59151, 28, 1225, 270, 110);
INSERT INTO public.who_data VALUES (63914, 0, 0, 0, 0, 270, 106);
INSERT INTO public.who_data VALUES (63915, 257, 11183, 4, 310, 270, 89);
INSERT INTO public.who_data VALUES (63916, 0, 8, 0, 0, 270, 121);
INSERT INTO public.who_data VALUES (63917, 12, 877, 0, 11, 270, 163);
INSERT INTO public.who_data VALUES (63918, 4020, 123979, 173, 3629, 270, 70);
INSERT INTO public.who_data VALUES (63919, 350, 14669, 13, 886, 270, 174);
INSERT INTO public.who_data VALUES (63920, 0, 0, 0, 0, 270, 175);
INSERT INTO public.who_data VALUES (63921, 443, 22074, 17, 1024, 270, 118);
INSERT INTO public.who_data VALUES (63922, 219, 31007, 12, 1342, 270, 189);
INSERT INTO public.who_data VALUES (63923, 64, 3324, 0, 129, 270, 124);
INSERT INTO public.who_data VALUES (63924, 1742, 47207, 2, 28, 270, 192);
INSERT INTO public.who_data VALUES (63925, 40, 11265, 0, 269, 270, 41);
INSERT INTO public.who_data VALUES (63926, 156, 7305, 8, 273, 270, 95);
INSERT INTO public.who_data VALUES (63927, 3, 459, 0, 1, 270, 74);
INSERT INTO public.who_data VALUES (63928, 146, 18429, 13, 1210, 270, 11);
INSERT INTO public.who_data VALUES (63929, 8338, 370680, 161, 3968, 270, 87);
INSERT INTO public.who_data VALUES (63930, 3, 339, 0, 0, 270, 214);
INSERT INTO public.who_data VALUES (63931, 0, 3, 0, 0, 270, 116);
INSERT INTO public.who_data VALUES (63932, 0, 6, 0, 0, 270, 157);
INSERT INTO public.who_data VALUES (63933, 0, 0, 0, 0, 270, 182);
INSERT INTO public.who_data VALUES (63934, 0, 15, 0, 0, 270, 186);
INSERT INTO public.who_data VALUES (63935, 0, 18, 0, 0, 270, 127);
INSERT INTO public.who_data VALUES (63936, 1, 40, 0, 3, 270, 232);
INSERT INTO public.who_data VALUES (63937, 0, 1, 0, 0, 270, 33);
INSERT INTO public.who_data VALUES (63938, 0, 18, 0, 0, 270, 97);
INSERT INTO public.who_data VALUES (63939, 0, 0, 0, 0, 270, 42);
INSERT INTO public.who_data VALUES (63940, 0, 672, 0, 42, 270, 198);
INSERT INTO public.who_data VALUES (63941, 130, 295, 0, 10, 270, 216);
INSERT INTO public.who_data VALUES (63942, 1931, 76726, 12, 411, 270, 164);
INSERT INTO public.who_data VALUES (63943, 31, 3161, 2, 37, 270, 235);
INSERT INTO public.who_data VALUES (63944, 34, 11227, 0, 239, 270, 67);
INSERT INTO public.who_data VALUES (63945, 0, 11, 0, 0, 270, 15);
INSERT INTO public.who_data VALUES (63946, 19, 754, 2, 44, 270, 180);
INSERT INTO public.who_data VALUES (63947, 383, 32343, 0, 23, 270, 237);
INSERT INTO public.who_data VALUES (63948, 0, 2, 0, 0, 270, 25);
INSERT INTO public.who_data VALUES (63949, 0, 78, 0, 15, 270, 209);
INSERT INTO public.who_data VALUES (63950, 2, 1511, 0, 28, 270, 217);
INSERT INTO public.who_data VALUES (63951, 0, 1469, 0, 113, 270, 79);
INSERT INTO public.who_data VALUES (63952, 0, 0, 0, 0, 270, 143);
INSERT INTO public.who_data VALUES (63953, 22, 1711, 1, 67, 270, 229);
INSERT INTO public.who_data VALUES (63954, 649, 24264, 43, 524, 270, 141);
INSERT INTO public.who_data VALUES (63955, 151, 806, 0, 8, 270, 197);
INSERT INTO public.who_data VALUES (63956, 683, 244134, 67, 28897, 270, 221);
INSERT INTO public.who_data VALUES (63957, 147, 1425, 0, 10, 270, 150);
INSERT INTO public.who_data VALUES (63958, 170, 4146, 14, 184, 270, 56);
INSERT INTO public.who_data VALUES (63959, 0, 11, 0, 1, 270, 167);
INSERT INTO public.who_data VALUES (63960, 491, 34870, 42, 4425, 270, 23);
INSERT INTO public.who_data VALUES (63961, 18, 30749, 2, 1717, 270, 222);
INSERT INTO public.who_data VALUES (63962, 15, 121, 0, 4, 270, 219);
INSERT INTO public.who_data VALUES (63963, 166, 3266, 1, 47, 270, 7);
INSERT INTO public.who_data VALUES (63964, 9, 3054, 0, 57, 270, 161);
INSERT INTO public.who_data VALUES (63965, 1624, 247600, 131, 36192, 270, 149);
INSERT INTO public.who_data VALUES (63966, 0, 24, 0, 0, 270, 6);
INSERT INTO public.who_data VALUES (63967, 5, 391, 0, 13, 270, 139);
INSERT INTO public.who_data VALUES (63968, 0, 0, 0, 0, 270, 211);
INSERT INTO public.who_data VALUES (63969, 0, 0, 0, 0, 270, 14);
INSERT INTO public.who_data VALUES (63970, 0, 116, 0, 8, 270, 111);
INSERT INTO public.who_data VALUES (63971, 0, 1051, 0, 48, 270, 207);
INSERT INTO public.who_data VALUES (63972, 948, 158762, 28, 4397, 270, 66);
INSERT INTO public.who_data VALUES (63973, 0, 0, 0, 0, 270, 173);
INSERT INTO public.who_data VALUES (63974, 0, 12, 0, 1, 270, 145);
INSERT INTO public.who_data VALUES (63975, 0, 0, 0, 0, 270, 65);
INSERT INTO public.who_data VALUES (63976, 37, 341, 0, 0, 270, 184);
INSERT INTO public.who_data VALUES (63977, 321, 21905, 14, 658, 270, 98);
INSERT INTO public.who_data VALUES (63978, 779, 31086, 5, 253, 270, 104);
INSERT INTO public.who_data VALUES (63979, 0, 509, 0, 21, 270, 73);
INSERT INTO public.who_data VALUES (63980, 24886, 1658896, 590, 98119, 270, 8);
INSERT INTO public.who_data VALUES (63981, 0, 69, 0, 6, 270, 227);
INSERT INTO public.who_data VALUES (63982, 18, 787, 0, 22, 270, 75);
INSERT INTO public.who_data VALUES (63983, 72, 3333, 1, 14, 270, 45);
INSERT INTO public.who_data VALUES (63984, 0, 0, 0, 0, 270, 133);
INSERT INTO public.who_data VALUES (63985, 56, 1177, 0, 10, 270, 202);
INSERT INTO public.who_data VALUES (63986, 1, 327, 0, 0, 270, 129);
INSERT INTO public.who_data VALUES (63987, 0, 0, 0, 0, 270, 36);
INSERT INTO public.who_data VALUES (63988, 16, 249, 5, 49, 270, 51);
INSERT INTO public.who_data VALUES (63989, 0, 920, 0, 7, 270, 206);
INSERT INTO public.who_data VALUES (63990, 0, 56, 0, 4, 270, 5);
INSERT INTO public.who_data VALUES (63991, 737, 11917, 1, 224, 271, 103);
INSERT INTO public.who_data VALUES (63992, 25, 991, 1, 32, 271, 58);
INSERT INTO public.who_data VALUES (63993, 197, 8503, 9, 609, 271, 195);
INSERT INTO public.who_data VALUES (63994, 0, 0, 0, 0, 271, 115);
INSERT INTO public.who_data VALUES (63995, 0, 763, 0, 51, 271, 99);
INSERT INTO public.who_data VALUES (63996, 0, 69, 0, 4, 271, 153);
INSERT INTO public.who_data VALUES (63997, 0, 3, 0, 0, 271, 93);
INSERT INTO public.who_data VALUES (63998, 0, 25, 0, 3, 271, 84);
INSERT INTO public.who_data VALUES (63999, 723, 12076, 7, 452, 271, 78);
INSERT INTO public.who_data VALUES (64000, 452, 7089, 6, 87, 271, 170);
INSERT INTO public.who_data VALUES (64001, 0, 101, 0, 3, 271, 32);
INSERT INTO public.who_data VALUES (64002, 9, 7118, 0, 102, 271, 155);
INSERT INTO public.who_data VALUES (64003, 20, 16459, 1, 641, 271, 82);
INSERT INTO public.who_data VALUES (64004, 149, 4271, 2, 51, 271, 16);
INSERT INTO public.who_data VALUES (64005, 0, 100, 0, 11, 271, 72);
INSERT INTO public.who_data VALUES (64006, 33, 9171, 1, 14, 271, 43);
INSERT INTO public.who_data VALUES (64007, 1166, 36751, 21, 522, 271, 120);
INSERT INTO public.who_data VALUES (64008, 0, 92, 0, 7, 271, 213);
INSERT INTO public.who_data VALUES (64009, 946, 37144, 5, 204, 271, 31);
INSERT INTO public.who_data VALUES (64010, 314, 58235, 26, 9226, 271, 204);
INSERT INTO public.who_data VALUES (64011, 0, 18, 0, 2, 271, 152);
INSERT INTO public.who_data VALUES (64012, 0, 191, 0, 3, 271, 144);
INSERT INTO public.who_data VALUES (64013, 0, 133, 0, 9, 271, 96);
INSERT INTO public.who_data VALUES (64014, 0, 27, 0, 0, 271, 47);
INSERT INTO public.who_data VALUES (64015, 348, 6263, 10, 250, 271, 80);
INSERT INTO public.who_data VALUES (64016, 0, 2, 0, 0, 271, 159);
INSERT INTO public.who_data VALUES (64017, 14, 2405, 4, 145, 271, 27);
INSERT INTO public.who_data VALUES (64018, 0, 35, 0, 1, 271, 146);
INSERT INTO public.who_data VALUES (64019, 15813, 363211, 653, 22666, 271, 71);
INSERT INTO public.who_data VALUES (64020, 0, 8, 0, 1, 271, 210);
INSERT INTO public.who_data VALUES (64021, 0, 141, 0, 1, 271, 54);
INSERT INTO public.who_data VALUES (64022, 0, 2433, 0, 130, 271, 147);
INSERT INTO public.who_data VALUES (64023, 9, 841, 0, 52, 271, 2);
INSERT INTO public.who_data VALUES (64024, 0, 42, 0, 1, 271, 105);
INSERT INTO public.who_data VALUES (64025, 10, 390, 0, 3, 271, 53);
INSERT INTO public.who_data VALUES (64026, 0, 124, 0, 0, 271, 81);
INSERT INTO public.who_data VALUES (64027, 490, 4890, 6, 165, 271, 223);
INSERT INTO public.who_data VALUES (64028, 1022, 85103, 73, 6453, 271, 94);
INSERT INTO public.who_data VALUES (64029, 0, 129, 0, 1, 271, 154);
INSERT INTO public.who_data VALUES (64030, 48, 652, 0, 1, 271, 83);
INSERT INTO public.who_data VALUES (64031, 12, 687, 1, 61, 271, 194);
INSERT INTO public.who_data VALUES (64032, 4895, 73997, 43, 761, 271, 136);
INSERT INTO public.who_data VALUES (64033, 7, 84543, 0, 4645, 271, 179);
INSERT INTO public.who_data VALUES (64034, 998, 21175, 22, 727, 271, 57);
INSERT INTO public.who_data VALUES (64035, 0, 43, 0, 1, 271, 35);
INSERT INTO public.who_data VALUES (64036, 44, 531, 1, 17, 271, 228);
INSERT INTO public.who_data VALUES (64037, 0, 0, 0, 0, 271, 19);
INSERT INTO public.who_data VALUES (64038, 12, 930, 0, 10, 271, 22);
INSERT INTO public.who_data VALUES (64039, 47, 2423, 0, 30, 271, 1);
INSERT INTO public.who_data VALUES (64040, 0, 2244, 1, 100, 271, 21);
INSERT INTO public.who_data VALUES (64041, 6, 1947, 0, 82, 271, 234);
INSERT INTO public.who_data VALUES (64042, 0, 17, 0, 1, 271, 91);
INSERT INTO public.who_data VALUES (64043, 2, 937, 0, 17, 271, 137);
INSERT INTO public.who_data VALUES (64044, 47, 9004, 2, 317, 271, 201);
INSERT INTO public.who_data VALUES (64045, 0, 0, 0, 0, 271, 171);
INSERT INTO public.who_data VALUES (64046, 164, 2304, 4, 66, 271, 92);
INSERT INTO public.who_data VALUES (64047, 27, 11387, 1, 563, 271, 112);
INSERT INTO public.who_data VALUES (64048, 198, 2468, 4, 14, 271, 62);
INSERT INTO public.who_data VALUES (64049, 0, 16, 0, 0, 271, 69);
INSERT INTO public.who_data VALUES (64050, 272, 15073, 2, 460, 271, 220);
INSERT INTO public.who_data VALUES (64051, 599, 37355, 95, 3203, 271, 100);
INSERT INTO public.who_data VALUES (64052, 702, 17967, 19, 783, 271, 187);
INSERT INTO public.who_data VALUES (64053, 68, 1983, 0, 35, 271, 63);
INSERT INTO public.who_data VALUES (64054, 0, 1043, 0, 12, 271, 28);
INSERT INTO public.who_data VALUES (64055, 0, 39, 0, 0, 271, 172);
INSERT INTO public.who_data VALUES (64056, 1, 1824, 0, 63, 271, 17);
INSERT INTO public.who_data VALUES (64057, 6, 256, 0, 2, 271, 226);
INSERT INTO public.who_data VALUES (64058, 73, 655, 0, 5, 271, 236);
INSERT INTO public.who_data VALUES (64059, 0, 13, 0, 0, 271, 76);
INSERT INTO public.who_data VALUES (64060, 0, 187, 0, 0, 271, 30);
INSERT INTO public.who_data VALUES (64061, 0, 18, 0, 0, 271, 128);
INSERT INTO public.who_data VALUES (64062, 20, 6599, 1, 308, 271, 86);
INSERT INTO public.who_data VALUES (64063, 278, 142482, 64, 28379, 271, 140);
INSERT INTO public.who_data VALUES (64064, 49, 328, 0, 1, 271, 44);
INSERT INTO public.who_data VALUES (64065, 0, 60, 0, 0, 271, 113);
INSERT INTO public.who_data VALUES (64066, 201, 2135, 2, 14, 271, 29);
INSERT INTO public.who_data VALUES (64067, 0, 25, 0, 1, 271, 125);
INSERT INTO public.who_data VALUES (64068, 1, 732, 0, 12, 271, 131);
INSERT INTO public.who_data VALUES (64069, 432, 179002, 45, 8302, 271, 46);
INSERT INTO public.who_data VALUES (64070, 125, 6808, 0, 32, 271, 10);
INSERT INTO public.who_data VALUES (64071, 0, 154, 0, 0, 271, 205);
INSERT INTO public.who_data VALUES (64072, 4, 2882, 1, 172, 271, 50);
INSERT INTO public.who_data VALUES (64073, 1, 12, 0, 0, 271, 20);
INSERT INTO public.who_data VALUES (64074, 0, 22, 0, 0, 271, 13);
INSERT INTO public.who_data VALUES (64075, 5, 161, 1, 14, 271, 148);
INSERT INTO public.who_data VALUES (64076, 0, 161, 0, 5, 271, 230);
INSERT INTO public.who_data VALUES (64077, 370, 3424, 1, 58, 271, 190);
INSERT INTO public.who_data VALUES (64078, 0, 252, 0, 13, 271, 188);
INSERT INTO public.who_data VALUES (64079, 47, 3322, 0, 20, 271, 123);
INSERT INTO public.who_data VALUES (64080, 0, 1173, 0, 6, 271, 9);
INSERT INTO public.who_data VALUES (64081, 8, 135, 0, 10, 271, 102);
INSERT INTO public.who_data VALUES (64082, 93, 958, 1, 27, 271, 34);
INSERT INTO public.who_data VALUES (64083, 0, 12, 0, 0, 271, 212);
INSERT INTO public.who_data VALUES (64084, 207, 3950, 6, 180, 271, 122);
INSERT INTO public.who_data VALUES (64085, 15, 3771, 8, 499, 271, 38);
INSERT INTO public.who_data VALUES (64086, 0, 1804, 0, 10, 271, 130);
INSERT INTO public.who_data VALUES (64087, 6535, 145380, 146, 4167, 271, 37);
INSERT INTO public.who_data VALUES (64088, 415, 23165, 27, 1418, 271, 231);
INSERT INTO public.who_data VALUES (64089, 2023, 137724, 34, 7451, 271, 107);
INSERT INTO public.who_data VALUES (64090, 163, 4632, 3, 163, 271, 101);
INSERT INTO public.who_data VALUES (64091, 59, 24698, 0, 1606, 271, 132);
INSERT INTO public.who_data VALUES (64092, 0, 336, 0, 24, 271, 176);
INSERT INTO public.who_data VALUES (64093, 13, 16670, 1, 282, 271, 200);
INSERT INTO public.who_data VALUES (64094, 300, 230158, 92, 32877, 271, 169);
INSERT INTO public.who_data VALUES (64095, 2, 552, 0, 9, 271, 225);
INSERT INTO public.who_data VALUES (64096, 42, 16623, 16, 846, 271, 165);
INSERT INTO public.who_data VALUES (64097, 0, 306, 0, 29, 271, 233);
INSERT INTO public.who_data VALUES (64098, 3, 709, 0, 9, 271, 215);
INSERT INTO public.who_data VALUES (64099, 335, 9304, 2, 37, 271, 177);
INSERT INTO public.who_data VALUES (64100, 72, 1286, 1, 52, 271, 183);
INSERT INTO public.who_data VALUES (64101, 0, 0, 0, 0, 271, 203);
INSERT INTO public.who_data VALUES (64102, 6, 1038, 0, 21, 271, 162);
INSERT INTO public.who_data VALUES (64103, 665, 21967, 9, 165, 271, 12);
INSERT INTO public.who_data VALUES (64104, 35, 1468, 0, 16, 271, 24);
INSERT INTO public.who_data VALUES (64105, 0, 19, 0, 0, 271, 119);
INSERT INTO public.who_data VALUES (64106, 2, 1049, 0, 22, 271, 39);
INSERT INTO public.who_data VALUES (64107, 5, 1119, 0, 26, 271, 26);
INSERT INTO public.who_data VALUES (64108, 0, 2, 0, 0, 271, 59);
INSERT INTO public.who_data VALUES (64109, 0, 265, 0, 26, 271, 77);
INSERT INTO public.who_data VALUES (64110, 0, 75, 0, 3, 271, 134);
INSERT INTO public.who_data VALUES (64111, 0, 83, 0, 1, 271, 4);
INSERT INTO public.who_data VALUES (64112, 4, 1632, 1, 66, 271, 109);
INSERT INTO public.who_data VALUES (64113, 1, 3993, 0, 110, 271, 90);
INSERT INTO public.who_data VALUES (64114, 15, 542, 0, 2, 271, 61);
INSERT INTO public.who_data VALUES (64115, 18, 101, 0, 4, 271, 85);
INSERT INTO public.who_data VALUES (64116, 172, 7417, 0, 115, 271, 49);
INSERT INTO public.who_data VALUES (64117, 0, 1395, 0, 4, 271, 208);
INSERT INTO public.who_data VALUES (64118, 29, 1059, 2, 67, 271, 166);
INSERT INTO public.who_data VALUES (64119, 1, 610, 0, 6, 271, 64);
INSERT INTO public.who_data VALUES (64120, 0, 0, 0, 0, 271, 199);
INSERT INTO public.who_data VALUES (64121, 0, 197, 0, 14, 271, 114);
INSERT INTO public.who_data VALUES (64122, 25, 262, 3, 9, 271, 60);
INSERT INTO public.who_data VALUES (64123, 0, 334, 0, 10, 271, 68);
INSERT INTO public.who_data VALUES (64124, 22, 1609, 0, 20, 271, 158);
INSERT INTO public.who_data VALUES (64125, 2764, 68620, 215, 7394, 271, 52);
INSERT INTO public.who_data VALUES (64126, 0, 0, 0, 0, 271, 117);
INSERT INTO public.who_data VALUES (64127, 0, 70, 0, 1, 271, 126);
INSERT INTO public.who_data VALUES (64128, 0, 141, 0, 0, 271, 196);
INSERT INTO public.who_data VALUES (64129, 0, 324, 0, 9, 271, 142);
INSERT INTO public.who_data VALUES (64130, 0, 11, 0, 1, 271, 185);
INSERT INTO public.who_data VALUES (64131, 99, 7532, 1, 200, 271, 138);
INSERT INTO public.who_data VALUES (64132, 15, 209, 1, 1, 271, 181);
INSERT INTO public.who_data VALUES (64133, 5, 206, 0, 6, 271, 178);
INSERT INTO public.who_data VALUES (64134, 0, 21, 0, 0, 271, 168);
INSERT INTO public.who_data VALUES (64135, 0, 0, 0, 0, 271, 160);
INSERT INTO public.who_data VALUES (64136, 90, 772, 0, 4, 271, 151);
INSERT INTO public.who_data VALUES (64137, 213, 45209, 9, 5804, 271, 193);
INSERT INTO public.who_data VALUES (64138, 0, 18, 0, 0, 271, 18);
INSERT INTO public.who_data VALUES (64139, 0, 1154, 0, 21, 271, 40);
INSERT INTO public.who_data VALUES (64140, 0, 279, 0, 17, 271, 218);
INSERT INTO public.who_data VALUES (64141, 6, 951, 1, 62, 271, 191);
INSERT INTO public.who_data VALUES (64142, 229, 8068, 7, 233, 271, 156);
INSERT INTO public.who_data VALUES (64143, 0, 0, 0, 0, 271, 135);
INSERT INTO public.who_data VALUES (64144, 0, 22, 0, 2, 271, 88);
INSERT INTO public.who_data VALUES (64145, 21, 1999, 0, 113, 271, 55);
INSERT INTO public.who_data VALUES (64146, 43, 8352, 0, 235, 271, 108);
INSERT INTO public.who_data VALUES (64147, 0, 602, 0, 5, 271, 48);
INSERT INTO public.who_data VALUES (64148, 0, 7770, 0, 37, 271, 3);
INSERT INTO public.who_data VALUES (64149, 0, 741, 0, 13, 271, 224);
INSERT INTO public.who_data VALUES (64150, 1356, 57705, 30, 1197, 271, 110);
INSERT INTO public.who_data VALUES (64151, 0, 0, 0, 0, 271, 106);
INSERT INTO public.who_data VALUES (64152, 349, 10926, 7, 306, 271, 89);
INSERT INTO public.who_data VALUES (64153, 0, 8, 0, 0, 271, 121);
INSERT INTO public.who_data VALUES (64154, 3, 865, 0, 11, 271, 163);
INSERT INTO public.who_data VALUES (64155, 4205, 119959, 83, 3456, 271, 70);
INSERT INTO public.who_data VALUES (64156, 284, 14319, 5, 873, 271, 174);
INSERT INTO public.who_data VALUES (64157, 0, 0, 0, 0, 271, 175);
INSERT INTO public.who_data VALUES (64158, 305, 21631, 11, 1007, 271, 118);
INSERT INTO public.who_data VALUES (64159, 165, 30788, 14, 1330, 271, 189);
INSERT INTO public.who_data VALUES (64160, 71, 3260, 2, 129, 271, 124);
INSERT INTO public.who_data VALUES (64161, 1751, 45465, 3, 26, 271, 192);
INSERT INTO public.who_data VALUES (64162, 19, 11225, 2, 269, 271, 41);
INSERT INTO public.who_data VALUES (64163, 56, 7149, 9, 265, 271, 95);
INSERT INTO public.who_data VALUES (64164, 4, 456, 0, 1, 271, 74);
INSERT INTO public.who_data VALUES (64165, 213, 18283, 18, 1197, 271, 11);
INSERT INTO public.who_data VALUES (64166, 8915, 362342, 174, 3807, 271, 87);
INSERT INTO public.who_data VALUES (64167, 9, 336, 0, 0, 271, 214);
INSERT INTO public.who_data VALUES (64168, 1, 3, 0, 0, 271, 116);
INSERT INTO public.who_data VALUES (64169, 0, 6, 0, 0, 271, 157);
INSERT INTO public.who_data VALUES (64170, 0, 0, 0, 0, 271, 182);
INSERT INTO public.who_data VALUES (64171, 0, 15, 0, 0, 271, 186);
INSERT INTO public.who_data VALUES (64172, 0, 18, 0, 0, 271, 127);
INSERT INTO public.who_data VALUES (64173, 0, 39, 0, 3, 271, 232);
INSERT INTO public.who_data VALUES (64174, 0, 1, 0, 0, 271, 33);
INSERT INTO public.who_data VALUES (64175, 0, 18, 0, 0, 271, 97);
INSERT INTO public.who_data VALUES (64176, 0, 0, 0, 0, 271, 42);
INSERT INTO public.who_data VALUES (64177, 0, 672, 0, 42, 271, 198);
INSERT INTO public.who_data VALUES (64178, -9, 165, 1, 10, 271, 216);
INSERT INTO public.who_data VALUES (64179, 2235, 74795, 9, 399, 271, 164);
INSERT INTO public.who_data VALUES (64180, 83, 3130, 0, 35, 271, 235);
INSERT INTO public.who_data VALUES (64181, 34, 11193, 1, 239, 271, 67);
INSERT INTO public.who_data VALUES (64182, 0, 11, 0, 0, 271, 15);
INSERT INTO public.who_data VALUES (64183, 14, 735, 2, 42, 271, 180);
INSERT INTO public.who_data VALUES (64184, 344, 31960, 0, 23, 271, 237);
INSERT INTO public.who_data VALUES (64185, 0, 2, 0, 0, 271, 25);
INSERT INTO public.who_data VALUES (64186, 0, 78, 0, 15, 271, 209);
INSERT INTO public.who_data VALUES (64187, 5, 1509, 0, 28, 271, 217);
INSERT INTO public.who_data VALUES (64188, 1, 1469, 0, 113, 271, 79);
INSERT INTO public.who_data VALUES (64189, 0, 0, 0, 0, 271, 143);
INSERT INTO public.who_data VALUES (64190, 95, 1689, 5, 66, 271, 229);
INSERT INTO public.who_data VALUES (64191, 1032, 23615, 52, 481, 271, 141);
INSERT INTO public.who_data VALUES (64192, 0, 655, 0, 8, 271, 197);
INSERT INTO public.who_data VALUES (64193, 331, 243451, 55, 28830, 271, 221);
INSERT INTO public.who_data VALUES (64194, 96, 1278, 1, 10, 271, 150);
INSERT INTO public.who_data VALUES (64195, 150, 3976, 5, 170, 271, 56);
INSERT INTO public.who_data VALUES (64196, 0, 11, 0, 1, 271, 167);
INSERT INTO public.who_data VALUES (64197, 210, 34379, 44, 4383, 271, 23);
INSERT INTO public.who_data VALUES (64198, 15, 30731, 2, 1715, 271, 222);
INSERT INTO public.who_data VALUES (64199, 20, 106, 0, 4, 271, 219);
INSERT INTO public.who_data VALUES (64200, 171, 3100, 0, 46, 271, 7);
INSERT INTO public.who_data VALUES (64201, 3, 3045, 0, 57, 271, 161);
INSERT INTO public.who_data VALUES (64202, 1364, 245976, 104, 36061, 271, 149);
INSERT INTO public.who_data VALUES (64203, 0, 24, 0, 0, 271, 6);
INSERT INTO public.who_data VALUES (64204, 5, 386, 1, 13, 271, 139);
INSERT INTO public.who_data VALUES (64205, 0, 0, 0, 0, 271, 211);
INSERT INTO public.who_data VALUES (64206, 0, 0, 0, 0, 271, 14);
INSERT INTO public.who_data VALUES (64207, 0, 116, 0, 8, 271, 111);
INSERT INTO public.who_data VALUES (64208, 0, 1051, 0, 48, 271, 207);
INSERT INTO public.who_data VALUES (64209, 987, 157814, 29, 4369, 271, 66);
INSERT INTO public.who_data VALUES (64210, 0, 0, 0, 0, 271, 173);
INSERT INTO public.who_data VALUES (64211, 0, 12, 0, 1, 271, 145);
INSERT INTO public.who_data VALUES (64212, 0, 0, 0, 0, 271, 65);
INSERT INTO public.who_data VALUES (64213, 0, 304, 0, 0, 271, 184);
INSERT INTO public.who_data VALUES (64214, 339, 21584, 21, 644, 271, 98);
INSERT INTO public.who_data VALUES (64215, 822, 30307, 3, 248, 271, 104);
INSERT INTO public.who_data VALUES (64216, 0, 509, 0, 21, 271, 73);
INSERT INTO public.who_data VALUES (64217, 15253, 1634010, 620, 97529, 271, 8);
INSERT INTO public.who_data VALUES (64218, 0, 69, 0, 6, 271, 227);
INSERT INTO public.who_data VALUES (64219, 5, 769, 0, 22, 271, 75);
INSERT INTO public.who_data VALUES (64220, 81, 3261, 0, 13, 271, 45);
INSERT INTO public.who_data VALUES (64221, 0, 0, 0, 0, 271, 133);
INSERT INTO public.who_data VALUES (64222, 111, 1121, 0, 10, 271, 202);
INSERT INTO public.who_data VALUES (64223, 1, 326, 0, 0, 271, 129);
INSERT INTO public.who_data VALUES (64224, 0, 0, 0, 0, 271, 36);
INSERT INTO public.who_data VALUES (64225, 11, 233, 2, 44, 271, 51);
INSERT INTO public.who_data VALUES (64226, 0, 920, 0, 7, 271, 206);
INSERT INTO public.who_data VALUES (64227, 0, 56, 0, 4, 271, 5);
INSERT INTO public.who_data VALUES (64228, 512, 11180, 1, 223, 272, 103);
INSERT INTO public.who_data VALUES (64229, 15, 966, 0, 31, 272, 58);
INSERT INTO public.who_data VALUES (64230, 193, 8306, 8, 600, 272, 195);
INSERT INTO public.who_data VALUES (64231, 0, 0, 0, 0, 272, 115);
INSERT INTO public.who_data VALUES (64232, 0, 763, 0, 51, 272, 99);
INSERT INTO public.who_data VALUES (64233, 9, 69, 1, 4, 272, 153);
INSERT INTO public.who_data VALUES (64234, 0, 3, 0, 0, 272, 93);
INSERT INTO public.who_data VALUES (64235, 0, 25, 0, 3, 272, 84);
INSERT INTO public.who_data VALUES (64236, 704, 11353, 6, 445, 272, 78);
INSERT INTO public.who_data VALUES (64237, 359, 6637, 4, 81, 272, 170);
INSERT INTO public.who_data VALUES (64238, 0, 101, 0, 3, 272, 32);
INSERT INTO public.who_data VALUES (64239, 3, 7109, 0, 102, 272, 155);
INSERT INTO public.who_data VALUES (64240, 32, 16439, 1, 640, 272, 82);
INSERT INTO public.who_data VALUES (64241, 140, 4122, 0, 49, 272, 16);
INSERT INTO public.who_data VALUES (64242, 3, 100, 0, 11, 272, 72);
INSERT INTO public.who_data VALUES (64243, 336, 9138, 0, 13, 272, 43);
INSERT INTO public.who_data VALUES (64244, 1975, 35585, 21, 501, 272, 120);
INSERT INTO public.who_data VALUES (64245, 2, 92, 0, 7, 272, 213);
INSERT INTO public.who_data VALUES (64246, 954, 36198, 5, 199, 272, 31);
INSERT INTO public.who_data VALUES (64247, 75, 57921, 33, 9200, 272, 204);
INSERT INTO public.who_data VALUES (64248, 0, 18, 0, 2, 272, 152);
INSERT INTO public.who_data VALUES (64249, 56, 191, 0, 3, 272, 144);
INSERT INTO public.who_data VALUES (64250, 5, 133, 0, 9, 272, 96);
INSERT INTO public.who_data VALUES (64251, 3, 27, 0, 0, 272, 47);
INSERT INTO public.who_data VALUES (64252, 336, 5915, 10, 240, 272, 80);
INSERT INTO public.who_data VALUES (64253, 0, 2, 0, 0, 272, 159);
INSERT INTO public.who_data VALUES (64254, 20, 2391, 1, 141, 272, 27);
INSERT INTO public.who_data VALUES (64255, 6, 35, 0, 1, 272, 146);
INSERT INTO public.who_data VALUES (64256, 16508, 347398, 965, 22013, 272, 71);
INSERT INTO public.who_data VALUES (64257, 0, 8, 0, 1, 272, 210);
INSERT INTO public.who_data VALUES (64258, 0, 141, 0, 1, 272, 54);
INSERT INTO public.who_data VALUES (64259, 25, 2433, 4, 130, 272, 147);
INSERT INTO public.who_data VALUES (64260, 1, 832, 0, 52, 272, 2);
INSERT INTO public.who_data VALUES (64261, 0, 42, 0, 1, 272, 105);
INSERT INTO public.who_data VALUES (64262, 9, 380, 0, 3, 272, 53);
INSERT INTO public.who_data VALUES (64263, 0, 124, 0, 0, 272, 81);
INSERT INTO public.who_data VALUES (64264, 0, 4400, 0, 159, 272, 223);
INSERT INTO public.who_data VALUES (64265, 1189, 84081, 103, 6380, 272, 94);
INSERT INTO public.who_data VALUES (64266, 0, 129, 0, 1, 272, 154);
INSERT INTO public.who_data VALUES (64267, 52, 604, 0, 1, 272, 83);
INSERT INTO public.who_data VALUES (64268, 27, 675, 0, 60, 272, 194);
INSERT INTO public.who_data VALUES (64269, 3709, 69102, 45, 718, 272, 136);
INSERT INTO public.who_data VALUES (64270, 11, 84536, 0, 4645, 272, 179);
INSERT INTO public.who_data VALUES (64271, 1046, 20177, 23, 705, 272, 57);
INSERT INTO public.who_data VALUES (64272, 9, 43, 0, 1, 272, 35);
INSERT INTO public.who_data VALUES (64273, 0, 487, 0, 16, 272, 228);
INSERT INTO public.who_data VALUES (64274, 0, 0, 0, 0, 272, 19);
INSERT INTO public.who_data VALUES (64275, 7, 918, 0, 10, 272, 22);
INSERT INTO public.who_data VALUES (64276, 10, 2376, 0, 30, 272, 1);
INSERT INTO public.who_data VALUES (64277, 1, 2244, 0, 99, 272, 21);
INSERT INTO public.who_data VALUES (64278, 10, 1941, 1, 82, 272, 234);
INSERT INTO public.who_data VALUES (64279, 1, 17, 0, 1, 272, 91);
INSERT INTO public.who_data VALUES (64280, 8, 935, 0, 17, 272, 137);
INSERT INTO public.who_data VALUES (64281, 67, 8957, 1, 315, 272, 201);
INSERT INTO public.who_data VALUES (64282, 0, 0, 0, 0, 272, 171);
INSERT INTO public.who_data VALUES (64283, 0, 2140, 0, 62, 272, 92);
INSERT INTO public.who_data VALUES (64284, 71, 11360, 1, 562, 272, 112);
INSERT INTO public.who_data VALUES (64285, 0, 2270, 0, 10, 272, 62);
INSERT INTO public.who_data VALUES (64286, 0, 16, 0, 0, 272, 69);
INSERT INTO public.who_data VALUES (64287, 379, 14801, 0, 458, 272, 220);
INSERT INTO public.who_data VALUES (64288, 498, 36756, 12, 3108, 272, 100);
INSERT INTO public.who_data VALUES (64289, 752, 17265, 29, 764, 272, 187);
INSERT INTO public.who_data VALUES (64290, 96, 1915, 2, 35, 272, 63);
INSERT INTO public.who_data VALUES (64291, 0, 1043, 0, 12, 272, 28);
INSERT INTO public.who_data VALUES (64292, 0, 39, 0, 0, 272, 172);
INSERT INTO public.who_data VALUES (64293, 2, 1823, 0, 63, 272, 17);
INSERT INTO public.who_data VALUES (64294, 12, 250, 0, 2, 272, 226);
INSERT INTO public.who_data VALUES (64295, 88, 582, 0, 5, 272, 236);
INSERT INTO public.who_data VALUES (64296, 0, 13, 0, 0, 272, 76);
INSERT INTO public.who_data VALUES (64297, 0, 187, 0, 0, 272, 30);
INSERT INTO public.who_data VALUES (64298, 0, 18, 0, 0, 272, 128);
INSERT INTO public.who_data VALUES (64299, 11, 6579, 1, 307, 272, 86);
INSERT INTO public.who_data VALUES (64300, 31, 142204, 34, 28315, 272, 140);
INSERT INTO public.who_data VALUES (64301, 18, 279, 0, 1, 272, 44);
INSERT INTO public.who_data VALUES (64302, 0, 60, 0, 0, 272, 113);
INSERT INTO public.who_data VALUES (64303, 0, 1934, 0, 12, 272, 29);
INSERT INTO public.who_data VALUES (64304, 0, 25, 0, 1, 272, 125);
INSERT INTO public.who_data VALUES (64305, 1, 731, 0, 12, 272, 131);
INSERT INTO public.who_data VALUES (64306, 289, 178570, 10, 8257, 272, 46);
INSERT INTO public.who_data VALUES (64307, 66, 6683, 1, 32, 272, 10);
INSERT INTO public.who_data VALUES (64308, 3, 154, 0, 0, 272, 205);
INSERT INTO public.who_data VALUES (64309, 2, 2878, 0, 171, 272, 50);
INSERT INTO public.who_data VALUES (64310, 0, 11, 0, 0, 272, 20);
INSERT INTO public.who_data VALUES (64311, 0, 22, 0, 0, 272, 13);
INSERT INTO public.who_data VALUES (64312, 0, 156, 0, 13, 272, 148);
INSERT INTO public.who_data VALUES (64313, 0, 161, 0, 5, 272, 230);
INSERT INTO public.who_data VALUES (64314, 311, 3054, 4, 57, 272, 190);
INSERT INTO public.who_data VALUES (64315, 0, 252, 0, 13, 272, 188);
INSERT INTO public.who_data VALUES (64316, 99, 3275, 0, 20, 272, 123);
INSERT INTO public.who_data VALUES (64317, 59, 1173, 0, 6, 272, 9);
INSERT INTO public.who_data VALUES (64318, 0, 127, 0, 10, 272, 102);
INSERT INTO public.who_data VALUES (64319, 53, 865, 1, 26, 272, 34);
INSERT INTO public.who_data VALUES (64320, 0, 12, 0, 0, 272, 212);
INSERT INTO public.who_data VALUES (64321, 266, 3743, 7, 174, 272, 122);
INSERT INTO public.who_data VALUES (64322, 15, 3756, 5, 491, 272, 38);
INSERT INTO public.who_data VALUES (64323, 0, 1804, 0, 10, 272, 130);
INSERT INTO public.who_data VALUES (64324, 6977, 138845, 154, 4021, 272, 37);
INSERT INTO public.who_data VALUES (64325, 479, 22750, 19, 1391, 272, 231);
INSERT INTO public.who_data VALUES (64326, 2180, 135701, 58, 7417, 272, 107);
INSERT INTO public.who_data VALUES (64327, 197, 4469, 8, 160, 272, 101);
INSERT INTO public.who_data VALUES (64328, 57, 24639, 2, 1606, 272, 132);
INSERT INTO public.who_data VALUES (64329, 0, 336, 0, 24, 272, 176);
INSERT INTO public.who_data VALUES (64330, 5, 16657, 0, 281, 272, 200);
INSERT INTO public.who_data VALUES (64331, 531, 229858, 50, 32785, 272, 169);
INSERT INTO public.who_data VALUES (64332, 6, 550, 0, 9, 272, 225);
INSERT INTO public.who_data VALUES (64333, 31, 16581, 10, 830, 272, 165);
INSERT INTO public.who_data VALUES (64334, 0, 306, 0, 29, 272, 233);
INSERT INTO public.who_data VALUES (64335, 4, 706, 0, 9, 272, 215);
INSERT INTO public.who_data VALUES (64336, 438, 8969, 0, 35, 272, 177);
INSERT INTO public.who_data VALUES (64337, 22, 1214, 1, 51, 272, 183);
INSERT INTO public.who_data VALUES (64338, 0, 0, 0, 0, 272, 203);
INSERT INTO public.who_data VALUES (64339, 7, 1032, 1, 21, 272, 162);
INSERT INTO public.who_data VALUES (64340, 838, 21302, 8, 156, 272, 12);
INSERT INTO public.who_data VALUES (64341, 30, 1433, 2, 16, 272, 24);
INSERT INTO public.who_data VALUES (64342, 0, 19, 0, 0, 272, 119);
INSERT INTO public.who_data VALUES (64343, 1, 1047, 0, 22, 272, 39);
INSERT INTO public.who_data VALUES (64344, 17, 1114, 0, 26, 272, 26);
INSERT INTO public.who_data VALUES (64345, 0, 2, 0, 0, 272, 59);
INSERT INTO public.who_data VALUES (64346, 10, 265, 0, 26, 272, 77);
INSERT INTO public.who_data VALUES (64347, 0, 75, 0, 3, 272, 134);
INSERT INTO public.who_data VALUES (64348, 0, 83, 0, 1, 272, 4);
INSERT INTO public.who_data VALUES (64349, 10, 1628, 1, 65, 272, 109);
INSERT INTO public.who_data VALUES (64350, 2, 3992, 1, 110, 272, 90);
INSERT INTO public.who_data VALUES (64351, 39, 527, 0, 2, 272, 61);
INSERT INTO public.who_data VALUES (64352, 0, 83, 0, 4, 272, 85);
INSERT INTO public.who_data VALUES (64353, 60, 7245, 0, 115, 272, 49);
INSERT INTO public.who_data VALUES (64354, 82, 1395, 0, 4, 272, 208);
INSERT INTO public.who_data VALUES (64355, 15, 1030, 3, 65, 272, 166);
INSERT INTO public.who_data VALUES (64356, 1, 609, 0, 6, 272, 64);
INSERT INTO public.who_data VALUES (64357, 0, 0, 0, 0, 272, 199);
INSERT INTO public.who_data VALUES (64358, 0, 197, 0, 14, 272, 114);
INSERT INTO public.who_data VALUES (64359, 10, 237, 0, 6, 272, 60);
INSERT INTO public.who_data VALUES (64360, 2, 334, 0, 10, 272, 68);
INSERT INTO public.who_data VALUES (64361, 66, 1587, 1, 20, 272, 158);
INSERT INTO public.who_data VALUES (64362, 3329, 65856, 190, 7179, 272, 52);
INSERT INTO public.who_data VALUES (64363, 0, 0, 0, 0, 272, 117);
INSERT INTO public.who_data VALUES (64364, 2, 70, 0, 1, 272, 126);
INSERT INTO public.who_data VALUES (64365, 0, 141, 0, 0, 272, 196);
INSERT INTO public.who_data VALUES (64366, 0, 324, 0, 9, 272, 142);
INSERT INTO public.who_data VALUES (64367, 0, 11, 0, 1, 272, 185);
INSERT INTO public.who_data VALUES (64368, 27, 7433, 1, 199, 272, 138);
INSERT INTO public.who_data VALUES (64369, 26, 194, 0, 0, 272, 181);
INSERT INTO public.who_data VALUES (64370, 0, 201, 0, 6, 272, 178);
INSERT INTO public.who_data VALUES (64371, 1, 21, 0, 0, 272, 168);
INSERT INTO public.who_data VALUES (64372, 0, 0, 0, 0, 272, 160);
INSERT INTO public.who_data VALUES (64373, 79, 682, 1, 4, 272, 151);
INSERT INTO public.who_data VALUES (64374, 173, 44996, 11, 5795, 272, 193);
INSERT INTO public.who_data VALUES (64375, 0, 18, 0, 0, 272, 18);
INSERT INTO public.who_data VALUES (64376, 0, 1154, 0, 21, 272, 40);
INSERT INTO public.who_data VALUES (64377, 0, 279, 0, 17, 272, 218);
INSERT INTO public.who_data VALUES (64378, 2, 945, 0, 61, 272, 191);
INSERT INTO public.who_data VALUES (64379, 313, 7839, 5, 226, 272, 156);
INSERT INTO public.who_data VALUES (64380, 0, 0, 0, 0, 272, 135);
INSERT INTO public.who_data VALUES (64381, 0, 22, 0, 2, 272, 88);
INSERT INTO public.who_data VALUES (64382, 37, 1978, 0, 113, 272, 55);
INSERT INTO public.who_data VALUES (64383, 0, 8309, 0, 235, 272, 108);
INSERT INTO public.who_data VALUES (64384, 0, 602, 0, 5, 272, 48);
INSERT INTO public.who_data VALUES (64385, 513, 7770, 1, 37, 272, 3);
INSERT INTO public.who_data VALUES (64386, 0, 741, 0, 13, 272, 224);
INSERT INTO public.who_data VALUES (64387, 1748, 56349, 34, 1167, 272, 110);
INSERT INTO public.who_data VALUES (64388, 0, 0, 0, 0, 272, 106);
INSERT INTO public.who_data VALUES (64389, 310, 10577, 4, 299, 272, 89);
INSERT INTO public.who_data VALUES (64390, 0, 8, 0, 0, 272, 121);
INSERT INTO public.who_data VALUES (64391, 12, 862, 0, 11, 272, 163);
INSERT INTO public.who_data VALUES (64392, 4056, 115754, 129, 3373, 272, 70);
INSERT INTO public.who_data VALUES (64393, 258, 14035, 5, 868, 272, 174);
INSERT INTO public.who_data VALUES (64394, 0, 0, 0, 0, 272, 175);
INSERT INTO public.who_data VALUES (64395, 395, 21326, 3, 996, 272, 118);
INSERT INTO public.who_data VALUES (64396, 152, 30623, 14, 1316, 272, 189);
INSERT INTO public.who_data VALUES (64397, 89, 3189, 0, 127, 272, 124);
INSERT INTO public.who_data VALUES (64398, 1501, 43714, 2, 23, 272, 192);
INSERT INTO public.who_data VALUES (64399, 16, 11206, 1, 267, 272, 41);
INSERT INTO public.who_data VALUES (64400, 99, 7093, 6, 256, 272, 95);
INSERT INTO public.who_data VALUES (64401, 0, 452, 0, 1, 272, 74);
INSERT INTO public.who_data VALUES (64402, 213, 18070, 9, 1179, 272, 11);
INSERT INTO public.who_data VALUES (64403, 8946, 353427, 92, 3633, 272, 87);
INSERT INTO public.who_data VALUES (64404, 2, 327, 0, 0, 272, 214);
INSERT INTO public.who_data VALUES (64405, 0, 2, 0, 0, 272, 116);
INSERT INTO public.who_data VALUES (64406, 0, 6, 0, 0, 272, 157);
INSERT INTO public.who_data VALUES (64407, 0, 0, 0, 0, 272, 182);
INSERT INTO public.who_data VALUES (64408, 0, 15, 0, 0, 272, 186);
INSERT INTO public.who_data VALUES (64409, 0, 18, 0, 0, 272, 127);
INSERT INTO public.who_data VALUES (64410, 0, 39, 0, 3, 272, 232);
INSERT INTO public.who_data VALUES (64411, 0, 1, 0, 0, 272, 33);
INSERT INTO public.who_data VALUES (64412, 0, 18, 0, 0, 272, 97);
INSERT INTO public.who_data VALUES (64413, 0, 0, 0, 0, 272, 42);
INSERT INTO public.who_data VALUES (64414, 0, 672, 0, 42, 272, 198);
INSERT INTO public.who_data VALUES (64415, 0, 174, 1, 9, 272, 216);
INSERT INTO public.who_data VALUES (64416, 2399, 72560, 11, 390, 272, 164);
INSERT INTO public.who_data VALUES (64417, 71, 3047, 1, 35, 272, 235);
INSERT INTO public.who_data VALUES (64418, 67, 11159, 0, 238, 272, 67);
INSERT INTO public.who_data VALUES (64419, 0, 11, 0, 0, 272, 15);
INSERT INTO public.who_data VALUES (64420, 100, 721, 1, 40, 272, 180);
INSERT INTO public.who_data VALUES (64421, 548, 31616, 0, 23, 272, 237);
INSERT INTO public.who_data VALUES (64422, 0, 2, 0, 0, 272, 25);
INSERT INTO public.who_data VALUES (64423, 0, 78, 0, 15, 272, 209);
INSERT INTO public.who_data VALUES (64424, 1, 1504, 0, 28, 272, 217);
INSERT INTO public.who_data VALUES (64425, 0, 1468, 0, 113, 272, 79);
INSERT INTO public.who_data VALUES (64426, 0, 0, 0, 0, 272, 143);
INSERT INTO public.who_data VALUES (64427, 0, 1594, 0, 61, 272, 229);
INSERT INTO public.who_data VALUES (64428, 1240, 22583, 22, 429, 272, 141);
INSERT INTO public.who_data VALUES (64429, 92, 655, 2, 8, 272, 197);
INSERT INTO public.who_data VALUES (64430, 374, 243120, 59, 28775, 272, 221);
INSERT INTO public.who_data VALUES (64431, 64, 1182, 0, 9, 272, 150);
INSERT INTO public.who_data VALUES (64432, 192, 3826, 19, 165, 272, 56);
INSERT INTO public.who_data VALUES (64433, 0, 11, 0, 1, 272, 167);
INSERT INTO public.who_data VALUES (64434, 403, 34169, 55, 4339, 272, 23);
INSERT INTO public.who_data VALUES (64435, 10, 30716, 0, 1713, 272, 222);
INSERT INTO public.who_data VALUES (64436, 16, 86, 0, 4, 272, 219);
INSERT INTO public.who_data VALUES (64437, 191, 2929, 2, 46, 272, 7);
INSERT INTO public.who_data VALUES (64438, 2, 3042, 1, 57, 272, 161);
INSERT INTO public.who_data VALUES (64439, 1527, 244612, 379, 35957, 272, 149);
INSERT INTO public.who_data VALUES (64440, 0, 24, 0, 0, 272, 6);
INSERT INTO public.who_data VALUES (64441, 8, 381, 0, 12, 272, 139);
INSERT INTO public.who_data VALUES (64442, 0, 0, 0, 0, 272, 211);
INSERT INTO public.who_data VALUES (64443, 0, 0, 0, 0, 272, 14);
INSERT INTO public.who_data VALUES (64444, 0, 116, 0, 8, 272, 111);
INSERT INTO public.who_data VALUES (64445, 3, 1051, 0, 48, 272, 207);
INSERT INTO public.who_data VALUES (64446, 1141, 156827, 32, 4340, 272, 66);
INSERT INTO public.who_data VALUES (64447, 0, 0, 0, 0, 272, 173);
INSERT INTO public.who_data VALUES (64448, 0, 12, 0, 1, 272, 145);
INSERT INTO public.who_data VALUES (64449, 0, 0, 0, 0, 272, 65);
INSERT INTO public.who_data VALUES (64450, -8, 304, 0, 0, 272, 184);
INSERT INTO public.who_data VALUES (64451, 259, 21245, 6, 623, 272, 98);
INSERT INTO public.who_data VALUES (64452, 781, 29485, 1, 245, 272, 104);
INSERT INTO public.who_data VALUES (64453, 0, 509, 0, 21, 272, 73);
INSERT INTO public.who_data VALUES (64454, 26158, 1618757, 1046, 96909, 272, 8);
INSERT INTO public.who_data VALUES (64455, 0, 69, 0, 6, 272, 227);
INSERT INTO public.who_data VALUES (64456, 11, 764, 2, 22, 272, 75);
INSERT INTO public.who_data VALUES (64457, 48, 3180, 0, 13, 272, 45);
INSERT INTO public.who_data VALUES (64458, 0, 0, 0, 0, 272, 133);
INSERT INTO public.who_data VALUES (64459, 66, 1010, 0, 10, 272, 202);
INSERT INTO public.who_data VALUES (64460, 0, 325, 0, 0, 272, 129);
INSERT INTO public.who_data VALUES (64461, 0, 0, 0, 0, 272, 36);
INSERT INTO public.who_data VALUES (64462, 10, 222, 3, 42, 272, 51);
INSERT INTO public.who_data VALUES (64463, 0, 920, 0, 7, 272, 206);
INSERT INTO public.who_data VALUES (64464, 0, 56, 0, 4, 272, 5);
INSERT INTO public.who_data VALUES (64465, 716, 10668, 7, 222, 273, 103);
INSERT INTO public.who_data VALUES (64466, 8, 951, 1, 31, 273, 58);
INSERT INTO public.who_data VALUES (64467, 195, 8113, 10, 592, 273, 195);
INSERT INTO public.who_data VALUES (64468, 0, 0, 0, 0, 273, 115);
INSERT INTO public.who_data VALUES (64469, 1, 763, 0, 51, 273, 99);
INSERT INTO public.who_data VALUES (64470, 0, 60, 0, 3, 273, 153);
INSERT INTO public.who_data VALUES (64471, 0, 3, 0, 0, 273, 93);
INSERT INTO public.who_data VALUES (64472, 0, 25, 0, 3, 273, 84);
INSERT INTO public.who_data VALUES (64473, 718, 10649, 20, 439, 273, 78);
INSERT INTO public.who_data VALUES (64474, 374, 6278, 3, 77, 273, 170);
INSERT INTO public.who_data VALUES (64475, 0, 101, 0, 3, 273, 32);
INSERT INTO public.who_data VALUES (64476, 11, 7106, 1, 102, 273, 155);
INSERT INTO public.who_data VALUES (64477, 46, 16407, 4, 639, 273, 82);
INSERT INTO public.who_data VALUES (64478, 127, 3982, 3, 49, 273, 16);
INSERT INTO public.who_data VALUES (64479, 0, 97, 0, 11, 273, 72);
INSERT INTO public.who_data VALUES (64480, 388, 8802, 1, 13, 273, 43);
INSERT INTO public.who_data VALUES (64481, 1532, 33610, 28, 480, 273, 120);
INSERT INTO public.who_data VALUES (64482, 0, 90, 0, 7, 273, 213);
INSERT INTO public.who_data VALUES (64483, 941, 35244, 4, 194, 273, 31);
INSERT INTO public.who_data VALUES (64484, 123, 57846, 25, 9167, 273, 204);
INSERT INTO public.who_data VALUES (64485, 0, 18, 0, 2, 273, 152);
INSERT INTO public.who_data VALUES (64486, 0, 135, 0, 3, 273, 144);
INSERT INTO public.who_data VALUES (64487, 3, 128, 0, 9, 273, 96);
INSERT INTO public.who_data VALUES (64488, 3, 24, 0, 0, 273, 47);
INSERT INTO public.who_data VALUES (64489, 392, 5579, 15, 230, 273, 80);
INSERT INTO public.who_data VALUES (64490, 0, 2, 0, 0, 273, 159);
INSERT INTO public.who_data VALUES (64491, 0, 2371, 0, 140, 273, 27);
INSERT INTO public.who_data VALUES (64492, 0, 29, 0, 1, 273, 146);
INSERT INTO public.who_data VALUES (64493, 20803, 330890, 1001, 21048, 273, 71);
INSERT INTO public.who_data VALUES (64494, 0, 8, 0, 1, 273, 210);
INSERT INTO public.who_data VALUES (64495, 0, 141, 0, 1, 273, 54);
INSERT INTO public.who_data VALUES (64496, 0, 2408, 0, 126, 273, 147);
INSERT INTO public.who_data VALUES (64497, 17, 831, 0, 52, 273, 2);
INSERT INTO public.who_data VALUES (64498, 0, 42, 0, 1, 273, 105);
INSERT INTO public.who_data VALUES (64499, 9, 371, 0, 3, 273, 53);
INSERT INTO public.who_data VALUES (64500, 0, 124, 0, 0, 273, 81);
INSERT INTO public.who_data VALUES (64501, 0, 4400, 0, 159, 273, 223);
INSERT INTO public.who_data VALUES (64502, 1127, 82892, 97, 6277, 273, 94);
INSERT INTO public.who_data VALUES (64503, 8, 129, 0, 1, 273, 154);
INSERT INTO public.who_data VALUES (64504, 73, 552, 1, 1, 273, 83);
INSERT INTO public.who_data VALUES (64505, 37, 648, 1, 60, 273, 194);
INSERT INTO public.who_data VALUES (64506, 3536, 65393, 43, 673, 273, 136);
INSERT INTO public.who_data VALUES (64507, 3, 84525, 0, 4645, 273, 179);
INSERT INTO public.who_data VALUES (64508, 801, 19131, 30, 682, 273, 57);
INSERT INTO public.who_data VALUES (64509, 0, 34, 0, 1, 273, 35);
INSERT INTO public.who_data VALUES (64510, 18, 487, 0, 16, 273, 228);
INSERT INTO public.who_data VALUES (64511, 0, 0, 0, 0, 273, 19);
INSERT INTO public.who_data VALUES (64512, 8, 911, 0, 10, 273, 22);
INSERT INTO public.who_data VALUES (64513, 25, 2366, 1, 30, 273, 1);
INSERT INTO public.who_data VALUES (64514, 0, 2243, 0, 99, 273, 21);
INSERT INTO public.who_data VALUES (64515, 15, 1931, 0, 81, 273, 234);
INSERT INTO public.who_data VALUES (64516, 0, 16, 0, 1, 273, 91);
INSERT INTO public.who_data VALUES (64517, 0, 927, 0, 17, 273, 137);
INSERT INTO public.who_data VALUES (64518, 77, 8890, 2, 314, 273, 201);
INSERT INTO public.who_data VALUES (64519, 0, 0, 0, 0, 273, 171);
INSERT INTO public.who_data VALUES (64520, 196, 2140, 0, 62, 273, 92);
INSERT INTO public.who_data VALUES (64521, 59, 11289, 0, 561, 273, 112);
INSERT INTO public.who_data VALUES (64522, 0, 2270, 0, 10, 273, 62);
INSERT INTO public.who_data VALUES (64523, 0, 16, 0, 0, 273, 69);
INSERT INTO public.who_data VALUES (64524, 433, 14422, 2, 458, 273, 220);
INSERT INTO public.who_data VALUES (64525, 430, 36258, 40, 3096, 273, 100);
INSERT INTO public.who_data VALUES (64526, 727, 16513, 28, 735, 273, 187);
INSERT INTO public.who_data VALUES (64527, 94, 1819, 0, 33, 273, 63);
INSERT INTO public.who_data VALUES (64528, 83, 1043, 1, 12, 273, 28);
INSERT INTO public.who_data VALUES (64529, 0, 39, 0, 0, 273, 172);
INSERT INTO public.who_data VALUES (64530, 14, 1821, 0, 63, 273, 17);
INSERT INTO public.who_data VALUES (64531, 13, 238, 0, 2, 273, 226);
INSERT INTO public.who_data VALUES (64532, 61, 494, 0, 5, 273, 236);
INSERT INTO public.who_data VALUES (64533, 0, 13, 0, 0, 273, 76);
INSERT INTO public.who_data VALUES (64534, 0, 187, 0, 0, 273, 30);
INSERT INTO public.who_data VALUES (64535, 0, 18, 0, 0, 273, 128);
INSERT INTO public.who_data VALUES (64536, 31, 6568, 0, 306, 273, 86);
INSERT INTO public.who_data VALUES (64537, 224, 142173, 43, 28281, 273, 140);
INSERT INTO public.who_data VALUES (64538, 12, 261, 0, 1, 273, 44);
INSERT INTO public.who_data VALUES (64539, 0, 60, 0, 0, 273, 113);
INSERT INTO public.who_data VALUES (64540, 206, 1934, 0, 12, 273, 29);
INSERT INTO public.who_data VALUES (64541, 0, 25, 0, 1, 273, 125);
INSERT INTO public.who_data VALUES (64542, 7, 730, 0, 12, 273, 131);
INSERT INTO public.who_data VALUES (64543, 431, 178281, 31, 8247, 273, 46);
INSERT INTO public.who_data VALUES (64544, 131, 6617, 0, 31, 273, 10);
INSERT INTO public.who_data VALUES (64545, 0, 151, 0, 0, 273, 205);
INSERT INTO public.who_data VALUES (64546, 3, 2876, 2, 171, 273, 50);
INSERT INTO public.who_data VALUES (64547, 0, 11, 0, 0, 273, 20);
INSERT INTO public.who_data VALUES (64548, 0, 22, 0, 0, 273, 13);
INSERT INTO public.who_data VALUES (64549, 1, 156, 0, 13, 273, 148);
INSERT INTO public.who_data VALUES (64550, 1, 161, 0, 5, 273, 230);
INSERT INTO public.who_data VALUES (64551, 231, 2743, 5, 53, 273, 190);
INSERT INTO public.who_data VALUES (64552, 0, 252, 0, 13, 273, 188);
INSERT INTO public.who_data VALUES (64553, 62, 3176, 1, 20, 273, 123);
INSERT INTO public.who_data VALUES (64554, 0, 1114, 0, 6, 273, 9);
INSERT INTO public.who_data VALUES (64555, 0, 127, 0, 10, 273, 102);
INSERT INTO public.who_data VALUES (64556, 78, 812, 0, 25, 273, 34);
INSERT INTO public.who_data VALUES (64557, 0, 12, 0, 0, 273, 212);
INSERT INTO public.who_data VALUES (64558, 273, 3477, 11, 167, 273, 122);
INSERT INTO public.who_data VALUES (64559, 28, 3741, 4, 486, 273, 38);
INSERT INTO public.who_data VALUES (64560, 1, 1804, 0, 10, 273, 130);
INSERT INTO public.who_data VALUES (64561, 6767, 131868, 147, 3867, 273, 37);
INSERT INTO public.who_data VALUES (64562, 526, 22271, 21, 1372, 273, 231);
INSERT INTO public.who_data VALUES (64563, 1869, 133521, 59, 7359, 273, 107);
INSERT INTO public.who_data VALUES (64564, 308, 4272, 5, 152, 273, 101);
INSERT INTO public.who_data VALUES (64565, 76, 24582, 12, 1604, 273, 132);
INSERT INTO public.who_data VALUES (64566, 0, 336, 0, 24, 273, 176);
INSERT INTO public.who_data VALUES (64567, 19, 16652, 0, 281, 273, 200);
INSERT INTO public.who_data VALUES (64568, 669, 229327, 119, 32735, 273, 169);
INSERT INTO public.who_data VALUES (64569, 10, 544, 0, 9, 273, 225);
INSERT INTO public.who_data VALUES (64570, 14, 16550, 12, 820, 273, 165);
INSERT INTO public.who_data VALUES (64571, 0, 306, 0, 29, 273, 233);
INSERT INTO public.who_data VALUES (64572, 2, 702, 0, 9, 273, 215);
INSERT INTO public.who_data VALUES (64573, 209, 8531, 0, 35, 273, 177);
INSERT INTO public.who_data VALUES (64574, 31, 1192, 0, 50, 273, 183);
INSERT INTO public.who_data VALUES (64575, 0, 0, 0, 0, 273, 203);
INSERT INTO public.who_data VALUES (64576, 21, 1025, 0, 20, 273, 162);
INSERT INTO public.who_data VALUES (64577, 900, 20464, 10, 148, 273, 12);
INSERT INTO public.who_data VALUES (64578, 38, 1403, 0, 14, 273, 24);
INSERT INTO public.who_data VALUES (64579, 0, 19, 0, 0, 273, 119);
INSERT INTO public.who_data VALUES (64580, 16, 1046, 0, 22, 273, 39);
INSERT INTO public.who_data VALUES (64581, 11, 1097, 0, 26, 273, 26);
INSERT INTO public.who_data VALUES (64582, 0, 2, 0, 0, 273, 59);
INSERT INTO public.who_data VALUES (64583, 6, 255, 2, 26, 273, 77);
INSERT INTO public.who_data VALUES (64584, 3, 75, 0, 3, 273, 134);
INSERT INTO public.who_data VALUES (64585, 0, 83, 0, 1, 273, 4);
INSERT INTO public.who_data VALUES (64586, 6, 1618, 1, 64, 273, 109);
INSERT INTO public.who_data VALUES (64587, 9, 3990, 0, 109, 273, 90);
INSERT INTO public.who_data VALUES (64588, 40, 488, 0, 2, 273, 61);
INSERT INTO public.who_data VALUES (64589, 1, 83, 1, 4, 273, 85);
INSERT INTO public.who_data VALUES (64590, 48, 7185, 0, 115, 273, 49);
INSERT INTO public.who_data VALUES (64591, 39, 1313, 0, 4, 273, 208);
INSERT INTO public.who_data VALUES (64592, 46, 1015, 0, 62, 273, 166);
INSERT INTO public.who_data VALUES (64593, 9, 608, 0, 6, 273, 64);
INSERT INTO public.who_data VALUES (64594, 0, 0, 0, 0, 273, 199);
INSERT INTO public.who_data VALUES (64595, 0, 197, 0, 14, 273, 114);
INSERT INTO public.who_data VALUES (64596, 54, 227, 1, 6, 273, 60);
INSERT INTO public.who_data VALUES (64597, 0, 332, 0, 10, 273, 68);
INSERT INTO public.who_data VALUES (64598, 0, 1521, 0, 19, 273, 158);
INSERT INTO public.who_data VALUES (64599, 2960, 62527, 479, 6989, 273, 52);
INSERT INTO public.who_data VALUES (64600, 0, 0, 0, 0, 273, 117);
INSERT INTO public.who_data VALUES (64601, 0, 68, 0, 1, 273, 126);
INSERT INTO public.who_data VALUES (64602, 0, 141, 0, 0, 273, 196);
INSERT INTO public.who_data VALUES (64603, 0, 324, 0, 9, 273, 142);
INSERT INTO public.who_data VALUES (64604, 0, 11, 0, 1, 273, 185);
INSERT INTO public.who_data VALUES (64605, 74, 7406, 1, 198, 273, 138);
INSERT INTO public.who_data VALUES (64606, 4, 168, 0, 0, 273, 181);
INSERT INTO public.who_data VALUES (64607, 0, 201, 0, 6, 273, 178);
INSERT INTO public.who_data VALUES (64608, 1, 20, 0, 0, 273, 168);
INSERT INTO public.who_data VALUES (64609, 0, 0, 0, 0, 273, 160);
INSERT INTO public.who_data VALUES (64610, 19, 603, 0, 3, 273, 151);
INSERT INTO public.who_data VALUES (64611, 177, 44823, 23, 5784, 273, 193);
INSERT INTO public.who_data VALUES (64612, 0, 18, 0, 0, 273, 18);
INSERT INTO public.who_data VALUES (64613, 0, 1154, 0, 21, 273, 40);
INSERT INTO public.who_data VALUES (64614, 0, 279, 0, 17, 273, 218);
INSERT INTO public.who_data VALUES (64615, 6, 943, 1, 61, 273, 191);
INSERT INTO public.who_data VALUES (64616, 265, 7526, 0, 221, 273, 156);
INSERT INTO public.who_data VALUES (64617, 0, 0, 0, 0, 273, 135);
INSERT INTO public.who_data VALUES (64618, 0, 22, 0, 2, 273, 88);
INSERT INTO public.who_data VALUES (64619, 20, 1941, 1, 113, 273, 55);
INSERT INTO public.who_data VALUES (64620, 0, 8309, 0, 235, 273, 108);
INSERT INTO public.who_data VALUES (64621, 0, 602, 1, 5, 273, 48);
INSERT INTO public.who_data VALUES (64622, 463, 7257, 2, 36, 273, 3);
INSERT INTO public.who_data VALUES (64623, 0, 741, 0, 13, 273, 224);
INSERT INTO public.who_data VALUES (64624, 2164, 54601, 32, 1133, 273, 110);
INSERT INTO public.who_data VALUES (64625, 0, 0, 0, 0, 273, 106);
INSERT INTO public.who_data VALUES (64626, 151, 10267, 4, 295, 273, 89);
INSERT INTO public.who_data VALUES (64627, 0, 8, 0, 0, 273, 121);
INSERT INTO public.who_data VALUES (64628, 12, 850, 0, 11, 273, 163);
INSERT INTO public.who_data VALUES (64629, 2929, 111698, 96, 3244, 273, 70);
INSERT INTO public.who_data VALUES (64630, 180, 13777, 6, 863, 273, 174);
INSERT INTO public.who_data VALUES (64631, 0, 0, 0, 0, 273, 175);
INSERT INTO public.who_data VALUES (64632, 312, 20931, 11, 993, 273, 118);
INSERT INTO public.who_data VALUES (64633, 271, 30471, 13, 1302, 273, 189);
INSERT INTO public.who_data VALUES (64634, 70, 3100, 1, 127, 273, 124);
INSERT INTO public.who_data VALUES (64635, 1732, 42213, 2, 21, 273, 192);
INSERT INTO public.who_data VALUES (64636, 25, 11190, 0, 266, 273, 41);
INSERT INTO public.who_data VALUES (64637, 147, 6994, 12, 250, 273, 95);
INSERT INTO public.who_data VALUES (64638, 3, 452, 0, 1, 273, 74);
INSERT INTO public.who_data VALUES (64639, 145, 17857, 11, 1170, 273, 11);
INSERT INTO public.who_data VALUES (64640, 8599, 344481, 153, 3541, 273, 87);
INSERT INTO public.who_data VALUES (64641, 4, 325, 0, 0, 273, 214);
INSERT INTO public.who_data VALUES (64642, 0, 2, 0, 0, 273, 116);
INSERT INTO public.who_data VALUES (64643, 0, 6, 0, 0, 273, 157);
INSERT INTO public.who_data VALUES (64644, 0, 0, 0, 0, 273, 182);
INSERT INTO public.who_data VALUES (64645, 0, 15, 0, 0, 273, 186);
INSERT INTO public.who_data VALUES (64646, 0, 18, 0, 0, 273, 127);
INSERT INTO public.who_data VALUES (64647, 0, 39, 0, 3, 273, 232);
INSERT INTO public.who_data VALUES (64648, 0, 1, 0, 0, 273, 33);
INSERT INTO public.who_data VALUES (64649, 0, 18, 0, 0, 273, 97);
INSERT INTO public.who_data VALUES (64650, 0, 0, 0, 0, 273, 42);
INSERT INTO public.who_data VALUES (64651, 0, 672, 1, 42, 273, 198);
INSERT INTO public.who_data VALUES (64652, 9, 174, 0, 8, 273, 216);
INSERT INTO public.who_data VALUES (64653, 2442, 70161, 15, 379, 273, 164);
INSERT INTO public.who_data VALUES (64654, 67, 2976, 1, 34, 273, 235);
INSERT INTO public.who_data VALUES (64655, 68, 11092, 1, 238, 273, 67);
INSERT INTO public.who_data VALUES (64656, 0, 11, 0, 0, 273, 15);
INSERT INTO public.who_data VALUES (64657, 15, 621, 1, 39, 273, 180);
INSERT INTO public.who_data VALUES (64658, 642, 31068, 0, 23, 273, 237);
INSERT INTO public.who_data VALUES (64659, 0, 2, 0, 0, 273, 25);
INSERT INTO public.who_data VALUES (64660, 0, 78, 0, 15, 273, 209);
INSERT INTO public.who_data VALUES (64661, 1, 1503, 0, 28, 273, 217);
INSERT INTO public.who_data VALUES (64662, 0, 1468, 0, 113, 273, 79);
INSERT INTO public.who_data VALUES (64663, 0, 0, 0, 0, 273, 143);
INSERT INTO public.who_data VALUES (64664, 0, 1594, 0, 61, 273, 229);
INSERT INTO public.who_data VALUES (64665, 1218, 21343, 10, 407, 273, 141);
INSERT INTO public.who_data VALUES (64666, 90, 563, 1, 6, 273, 197);
INSERT INTO public.who_data VALUES (64667, 1021, 242746, 72, 28716, 273, 221);
INSERT INTO public.who_data VALUES (64668, 33, 1118, 0, 9, 273, 150);
INSERT INTO public.who_data VALUES (64669, 256, 3634, 9, 146, 273, 56);
INSERT INTO public.who_data VALUES (64670, 0, 11, 0, 1, 273, 167);
INSERT INTO public.who_data VALUES (64671, 532, 33766, 56, 4284, 273, 23);
INSERT INTO public.who_data VALUES (64672, 14, 30706, 1, 1713, 273, 222);
INSERT INTO public.who_data VALUES (64673, 11, 70, 0, 4, 273, 219);
INSERT INTO public.who_data VALUES (64674, 187, 2738, 0, 44, 273, 7);
INSERT INTO public.who_data VALUES (64675, 0, 3040, 0, 56, 273, 161);
INSERT INTO public.who_data VALUES (64676, 2062, 243085, 220, 35578, 273, 149);
INSERT INTO public.who_data VALUES (64677, 0, 24, 0, 0, 273, 6);
INSERT INTO public.who_data VALUES (64678, 10, 373, 0, 12, 273, 139);
INSERT INTO public.who_data VALUES (64679, 0, 0, 0, 0, 273, 211);
INSERT INTO public.who_data VALUES (64680, 0, 0, 0, 0, 273, 14);
INSERT INTO public.who_data VALUES (64681, 0, 116, 0, 8, 273, 111);
INSERT INTO public.who_data VALUES (64682, 0, 1048, 1, 48, 273, 207);
INSERT INTO public.who_data VALUES (64683, 1186, 155686, 32, 4308, 273, 66);
INSERT INTO public.who_data VALUES (64684, 0, 0, 0, 0, 273, 173);
INSERT INTO public.who_data VALUES (64685, 0, 12, 0, 1, 273, 145);
INSERT INTO public.who_data VALUES (64686, 0, 0, 0, 0, 273, 65);
INSERT INTO public.who_data VALUES (64687, 38, 312, 0, 0, 273, 184);
INSERT INTO public.who_data VALUES (64688, 406, 20986, 12, 617, 273, 98);
INSERT INTO public.who_data VALUES (64689, 812, 28704, 3, 244, 273, 104);
INSERT INTO public.who_data VALUES (64690, 0, 509, 0, 21, 273, 73);
INSERT INTO public.who_data VALUES (64691, 24151, 1592599, 1852, 95863, 273, 8);
INSERT INTO public.who_data VALUES (64692, 0, 69, 0, 6, 273, 227);
INSERT INTO public.who_data VALUES (64693, 4, 753, 0, 20, 273, 75);
INSERT INTO public.who_data VALUES (64694, 54, 3132, 0, 13, 273, 45);
INSERT INTO public.who_data VALUES (64695, 0, 0, 0, 0, 273, 133);
INSERT INTO public.who_data VALUES (64696, 62, 944, 0, 10, 273, 202);
INSERT INTO public.who_data VALUES (64697, 1, 325, 0, 0, 273, 129);
INSERT INTO public.who_data VALUES (64698, 0, 0, 0, 0, 273, 36);
INSERT INTO public.who_data VALUES (64699, 7, 212, 6, 39, 273, 51);
INSERT INTO public.who_data VALUES (64700, 0, 920, 0, 7, 273, 206);
INSERT INTO public.who_data VALUES (64701, 5, 56, 0, 4, 273, 5);
INSERT INTO public.who_data VALUES (64702, 736, 9952, 10, 215, 274, 103);
INSERT INTO public.who_data VALUES (64703, 12, 943, 0, 30, 274, 58);
INSERT INTO public.who_data VALUES (64704, 190, 7918, 7, 582, 274, 195);
INSERT INTO public.who_data VALUES (64705, 0, 0, 0, 0, 274, 115);
INSERT INTO public.who_data VALUES (64706, 0, 762, 0, 51, 274, 99);
INSERT INTO public.who_data VALUES (64707, 0, 60, 0, 3, 274, 153);
INSERT INTO public.who_data VALUES (64708, 0, 3, 0, 0, 274, 93);
INSERT INTO public.who_data VALUES (64709, 0, 25, 0, 3, 274, 84);
INSERT INTO public.who_data VALUES (64710, 648, 9931, 16, 419, 274, 78);
INSERT INTO public.who_data VALUES (64711, 322, 5904, 4, 74, 274, 170);
INSERT INTO public.who_data VALUES (64712, 0, 101, 0, 3, 274, 32);
INSERT INTO public.who_data VALUES (64713, 14, 7095, 1, 101, 274, 155);
INSERT INTO public.who_data VALUES (64714, 29, 16361, 2, 635, 274, 82);
INSERT INTO public.who_data VALUES (64715, 106, 3855, 2, 46, 274, 16);
INSERT INTO public.who_data VALUES (64716, 0, 97, 0, 11, 274, 72);
INSERT INTO public.who_data VALUES (64717, 240, 8414, 0, 12, 274, 43);
INSERT INTO public.who_data VALUES (64718, 1873, 32078, 20, 452, 274, 120);
INSERT INTO public.who_data VALUES (64719, 0, 90, 0, 7, 274, 213);
INSERT INTO public.who_data VALUES (64720, 0, 34303, 0, 190, 274, 31);
INSERT INTO public.who_data VALUES (64721, 248, 57723, 41, 9142, 274, 204);
INSERT INTO public.who_data VALUES (64722, 0, 18, 0, 2, 274, 152);
INSERT INTO public.who_data VALUES (64723, 0, 135, 0, 3, 274, 144);
INSERT INTO public.who_data VALUES (64724, 0, 125, 0, 9, 274, 96);
INSERT INTO public.who_data VALUES (64725, 0, 21, 0, 0, 274, 47);
INSERT INTO public.who_data VALUES (64726, 268, 5187, 16, 215, 274, 80);
INSERT INTO public.who_data VALUES (64727, 0, 2, 0, 0, 274, 159);
INSERT INTO public.who_data VALUES (64728, 19, 2371, 1, 140, 274, 27);
INSERT INTO public.who_data VALUES (64729, 0, 29, 0, 1, 274, 146);
INSERT INTO public.who_data VALUES (64730, 18508, 310087, 1188, 20047, 274, 71);
INSERT INTO public.who_data VALUES (64731, 0, 8, 0, 1, 274, 210);
INSERT INTO public.who_data VALUES (64732, 0, 141, 0, 1, 274, 54);
INSERT INTO public.who_data VALUES (64733, 36, 2408, 1, 126, 274, 147);
INSERT INTO public.who_data VALUES (64734, 2, 814, 0, 52, 274, 2);
INSERT INTO public.who_data VALUES (64735, 0, 42, 0, 1, 274, 105);
INSERT INTO public.who_data VALUES (64736, 6, 362, 0, 3, 274, 53);
INSERT INTO public.who_data VALUES (64737, 1, 124, 0, 0, 274, 81);
INSERT INTO public.who_data VALUES (64738, 112, 4400, 3, 159, 274, 223);
INSERT INTO public.who_data VALUES (64739, 1210, 81765, 118, 6180, 274, 94);
INSERT INTO public.who_data VALUES (64740, 10, 121, 0, 1, 274, 154);
INSERT INTO public.who_data VALUES (64741, 43, 479, 0, 0, 274, 83);
INSERT INTO public.who_data VALUES (64742, 23, 611, 1, 59, 274, 194);
INSERT INTO public.who_data VALUES (64743, 8240, 61857, 86, 630, 274, 136);
INSERT INTO public.who_data VALUES (64744, 2, 84522, 0, 4645, 274, 179);
INSERT INTO public.who_data VALUES (64745, 643, 18330, 22, 652, 274, 57);
INSERT INTO public.who_data VALUES (64746, 0, 34, 0, 1, 274, 35);
INSERT INTO public.who_data VALUES (64747, 0, 469, 0, 16, 274, 228);
INSERT INTO public.who_data VALUES (64748, 0, 0, 0, 0, 274, 19);
INSERT INTO public.who_data VALUES (64749, 21, 903, 0, 10, 274, 22);
INSERT INTO public.who_data VALUES (64750, 40, 2341, 0, 29, 274, 1);
INSERT INTO public.who_data VALUES (64751, 6, 2243, 2, 99, 274, 21);
INSERT INTO public.who_data VALUES (64752, 8, 1916, 1, 81, 274, 234);
INSERT INTO public.who_data VALUES (64753, 0, 16, 0, 1, 274, 91);
INSERT INTO public.who_data VALUES (64754, 4, 927, 0, 17, 274, 137);
INSERT INTO public.who_data VALUES (64755, 59, 8813, 6, 312, 274, 201);
INSERT INTO public.who_data VALUES (64756, 0, 0, 0, 0, 274, 171);
INSERT INTO public.who_data VALUES (64757, 0, 1944, 0, 62, 274, 92);
INSERT INTO public.who_data VALUES (64758, 48, 11230, 0, 561, 274, 112);
INSERT INTO public.who_data VALUES (64759, 223, 2270, 0, 10, 274, 62);
INSERT INTO public.who_data VALUES (64760, 0, 16, 0, 0, 274, 69);
INSERT INTO public.who_data VALUES (64761, 332, 13989, 8, 456, 274, 220);
INSERT INTO public.who_data VALUES (64762, 974, 35828, 168, 3056, 274, 100);
INSERT INTO public.who_data VALUES (64763, 783, 15786, 11, 707, 274, 187);
INSERT INTO public.who_data VALUES (64764, 85, 1725, 1, 33, 274, 63);
INSERT INTO public.who_data VALUES (64765, 0, 960, 0, 11, 274, 28);
INSERT INTO public.who_data VALUES (64766, 0, 39, 0, 0, 274, 172);
INSERT INTO public.who_data VALUES (64767, 7, 1807, 0, 63, 274, 17);
INSERT INTO public.who_data VALUES (64768, 5, 225, 0, 2, 274, 226);
INSERT INTO public.who_data VALUES (64769, 34, 433, 0, 5, 274, 236);
INSERT INTO public.who_data VALUES (64770, 0, 13, 0, 0, 274, 76);
INSERT INTO public.who_data VALUES (64771, 0, 187, 0, 0, 274, 30);
INSERT INTO public.who_data VALUES (64772, 0, 18, 0, 0, 274, 128);
INSERT INTO public.who_data VALUES (64773, 44, 6537, 0, 306, 274, 86);
INSERT INTO public.who_data VALUES (64774, 359, 141949, 74, 28238, 274, 140);
INSERT INTO public.who_data VALUES (64775, 12, 249, 0, 1, 274, 44);
INSERT INTO public.who_data VALUES (64776, 0, 60, 0, 0, 274, 113);
INSERT INTO public.who_data VALUES (64777, 161, 1728, 0, 12, 274, 29);
INSERT INTO public.who_data VALUES (64778, 1, 25, 0, 1, 274, 125);
INSERT INTO public.who_data VALUES (64779, 0, 723, 0, 12, 274, 131);
INSERT INTO public.who_data VALUES (64780, 638, 177850, 42, 8216, 274, 46);
INSERT INTO public.who_data VALUES (64781, 217, 6486, 0, 31, 274, 10);
INSERT INTO public.who_data VALUES (64782, 2, 151, 0, 0, 274, 205);
INSERT INTO public.who_data VALUES (64783, 20, 2873, 1, 169, 274, 50);
INSERT INTO public.who_data VALUES (64784, 0, 11, 0, 0, 274, 20);
INSERT INTO public.who_data VALUES (64785, 0, 22, 0, 0, 274, 13);
INSERT INTO public.who_data VALUES (64786, 0, 155, 0, 13, 274, 148);
INSERT INTO public.who_data VALUES (64787, 0, 160, 0, 5, 274, 230);
INSERT INTO public.who_data VALUES (64788, 247, 2512, 3, 48, 274, 190);
INSERT INTO public.who_data VALUES (64789, 0, 252, 0, 13, 274, 188);
INSERT INTO public.who_data VALUES (64790, 47, 3114, 0, 19, 274, 123);
INSERT INTO public.who_data VALUES (64791, 5, 1114, 0, 6, 274, 9);
INSERT INTO public.who_data VALUES (64792, 2, 127, 0, 10, 274, 102);
INSERT INTO public.who_data VALUES (64793, 71, 734, 3, 25, 274, 34);
INSERT INTO public.who_data VALUES (64794, 0, 12, 0, 0, 274, 212);
INSERT INTO public.who_data VALUES (64795, 104, 3204, 5, 156, 274, 122);
INSERT INTO public.who_data VALUES (64796, 35, 3713, 6, 482, 274, 38);
INSERT INTO public.who_data VALUES (64797, 0, 1803, 0, 10, 274, 130);
INSERT INTO public.who_data VALUES (64798, 6654, 125101, 137, 3720, 274, 37);
INSERT INTO public.who_data VALUES (64799, 949, 21745, 25, 1351, 274, 231);
INSERT INTO public.who_data VALUES (64800, 2311, 131652, 51, 7300, 274, 107);
INSERT INTO public.who_data VALUES (64801, 87, 3964, 7, 147, 274, 101);
INSERT INTO public.who_data VALUES (64802, 115, 24506, 9, 1592, 274, 132);
INSERT INTO public.who_data VALUES (64803, 0, 336, 0, 24, 274, 176);
INSERT INTO public.who_data VALUES (64804, 17, 16633, 0, 281, 274, 200);
INSERT INTO public.who_data VALUES (64805, 652, 228658, 130, 32616, 274, 169);
INSERT INTO public.who_data VALUES (64806, 5, 534, 0, 9, 274, 225);
INSERT INTO public.who_data VALUES (64807, 23, 16536, 12, 808, 274, 165);
INSERT INTO public.who_data VALUES (64808, 0, 306, 0, 29, 274, 233);
INSERT INTO public.who_data VALUES (64809, 16, 700, 0, 9, 274, 215);
INSERT INTO public.who_data VALUES (64810, 403, 8322, 0, 35, 274, 177);
INSERT INTO public.who_data VALUES (64811, 52, 1161, 0, 50, 274, 183);
INSERT INTO public.who_data VALUES (64812, 0, 0, 0, 0, 274, 203);
INSERT INTO public.who_data VALUES (64813, 1, 1004, 0, 20, 274, 162);
INSERT INTO public.who_data VALUES (64814, 955, 19564, 9, 138, 274, 12);
INSERT INTO public.who_data VALUES (64815, 15, 1365, 0, 14, 274, 24);
INSERT INTO public.who_data VALUES (64816, 0, 19, 0, 0, 274, 119);
INSERT INTO public.who_data VALUES (64817, 5, 1030, 0, 22, 274, 39);
INSERT INTO public.who_data VALUES (64818, 62, 1086, 0, 26, 274, 26);
INSERT INTO public.who_data VALUES (64819, 1, 2, 0, 0, 274, 59);
INSERT INTO public.who_data VALUES (64820, 9, 249, 1, 24, 274, 77);
INSERT INTO public.who_data VALUES (64821, 1, 72, 0, 3, 274, 134);
INSERT INTO public.who_data VALUES (64822, 0, 83, 0, 1, 274, 4);
INSERT INTO public.who_data VALUES (64823, 14, 1612, 2, 63, 274, 109);
INSERT INTO public.who_data VALUES (64824, 1, 3981, 0, 109, 274, 90);
INSERT INTO public.who_data VALUES (64825, 43, 448, 0, 2, 274, 61);
INSERT INTO public.who_data VALUES (64826, 10, 82, 0, 3, 274, 85);
INSERT INTO public.who_data VALUES (64827, 78, 7137, 1, 115, 274, 49);
INSERT INTO public.who_data VALUES (64828, 58, 1274, 0, 4, 274, 208);
INSERT INTO public.who_data VALUES (64829, 38, 969, 7, 62, 274, 166);
INSERT INTO public.who_data VALUES (64830, 1, 599, 0, 6, 274, 64);
INSERT INTO public.who_data VALUES (64831, 0, 0, 0, 0, 274, 199);
INSERT INTO public.who_data VALUES (64832, 5, 197, 0, 14, 274, 114);
INSERT INTO public.who_data VALUES (64833, 0, 173, 0, 5, 274, 60);
INSERT INTO public.who_data VALUES (64834, 0, 332, 0, 10, 274, 68);
INSERT INTO public.who_data VALUES (64835, 27, 1521, 0, 19, 274, 158);
INSERT INTO public.who_data VALUES (64836, 2973, 59567, 420, 6510, 274, 52);
INSERT INTO public.who_data VALUES (64837, 0, 0, 0, 0, 274, 117);
INSERT INTO public.who_data VALUES (64838, 0, 68, 0, 1, 274, 126);
INSERT INTO public.who_data VALUES (64839, 0, 141, 0, 0, 274, 196);
INSERT INTO public.who_data VALUES (64840, 0, 324, 0, 9, 274, 142);
INSERT INTO public.who_data VALUES (64841, 0, 11, 0, 1, 274, 185);
INSERT INTO public.who_data VALUES (64842, 121, 7332, 1, 197, 274, 138);
INSERT INTO public.who_data VALUES (64843, 2, 164, 0, 0, 274, 181);
INSERT INTO public.who_data VALUES (64844, 2, 201, 0, 6, 274, 178);
INSERT INTO public.who_data VALUES (64845, 1, 19, 0, 0, 274, 168);
INSERT INTO public.who_data VALUES (64846, 0, 0, 0, 0, 274, 160);
INSERT INTO public.who_data VALUES (64847, 68, 584, 0, 3, 274, 151);
INSERT INTO public.who_data VALUES (64848, 184, 44646, 10, 5761, 274, 193);
INSERT INTO public.who_data VALUES (64849, 0, 18, 0, 0, 274, 18);
INSERT INTO public.who_data VALUES (64850, 0, 1154, 0, 21, 274, 40);
INSERT INTO public.who_data VALUES (64851, 0, 279, 0, 17, 274, 218);
INSERT INTO public.who_data VALUES (64852, 13, 937, 0, 60, 274, 191);
INSERT INTO public.who_data VALUES (64853, 245, 7261, 10, 221, 274, 156);
INSERT INTO public.who_data VALUES (64854, 0, 0, 0, 0, 274, 135);
INSERT INTO public.who_data VALUES (64855, 0, 22, 0, 2, 274, 88);
INSERT INTO public.who_data VALUES (64856, 23, 1921, 1, 112, 274, 55);
INSERT INTO public.who_data VALUES (64857, 41, 8309, 1, 235, 274, 108);
INSERT INTO public.who_data VALUES (64858, 0, 602, 0, 4, 274, 48);
INSERT INTO public.who_data VALUES (64859, 424, 6794, 2, 34, 274, 3);
INSERT INTO public.who_data VALUES (64860, 29, 741, 0, 13, 274, 224);
INSERT INTO public.who_data VALUES (64861, 1743, 52437, 34, 1101, 274, 110);
INSERT INTO public.who_data VALUES (64862, 0, 0, 0, 0, 274, 106);
INSERT INTO public.who_data VALUES (64863, 139, 10116, 4, 291, 274, 89);
INSERT INTO public.who_data VALUES (64864, 0, 8, 0, 0, 274, 121);
INSERT INTO public.who_data VALUES (64865, 2, 838, 0, 11, 274, 163);
INSERT INTO public.who_data VALUES (64866, 4749, 108769, 124, 3148, 274, 70);
INSERT INTO public.who_data VALUES (64867, 0, 13597, 0, 857, 274, 174);
INSERT INTO public.who_data VALUES (64868, 0, 0, 0, 0, 274, 175);
INSERT INTO public.who_data VALUES (64869, 476, 20619, 10, 982, 274, 118);
INSERT INTO public.who_data VALUES (64870, 288, 30200, 12, 1289, 274, 189);
INSERT INTO public.who_data VALUES (64871, 117, 3030, 0, 126, 274, 124);
INSERT INTO public.who_data VALUES (64872, 1830, 40481, 2, 19, 274, 192);
INSERT INTO public.who_data VALUES (64873, 23, 11165, 2, 266, 274, 41);
INSERT INTO public.who_data VALUES (64874, 143, 6847, 5, 238, 274, 95);
INSERT INTO public.who_data VALUES (64875, 0, 449, 0, 1, 274, 74);
INSERT INTO public.who_data VALUES (64876, 127, 17712, 8, 1159, 274, 11);
INSERT INTO public.who_data VALUES (64877, 9434, 335882, 139, 3388, 274, 87);
INSERT INTO public.who_data VALUES (64878, 1, 321, 0, 0, 274, 214);
INSERT INTO public.who_data VALUES (64879, 0, 2, 0, 0, 274, 116);
INSERT INTO public.who_data VALUES (64880, 0, 6, 0, 0, 274, 157);
INSERT INTO public.who_data VALUES (64881, 0, 0, 0, 0, 274, 182);
INSERT INTO public.who_data VALUES (64882, 0, 15, 0, 0, 274, 186);
INSERT INTO public.who_data VALUES (64883, 0, 18, 0, 0, 274, 127);
INSERT INTO public.who_data VALUES (64884, 0, 39, 0, 3, 274, 232);
INSERT INTO public.who_data VALUES (64885, 0, 1, 0, 0, 274, 33);
INSERT INTO public.who_data VALUES (64886, 0, 18, 0, 0, 274, 97);
INSERT INTO public.who_data VALUES (64887, 0, 0, 0, 0, 274, 42);
INSERT INTO public.who_data VALUES (64888, 0, 672, 0, 41, 274, 198);
INSERT INTO public.who_data VALUES (64889, 0, 165, 0, 8, 274, 216);
INSERT INTO public.who_data VALUES (64890, 2642, 67719, 13, 364, 274, 164);
INSERT INTO public.who_data VALUES (64891, 94, 2909, 0, 33, 274, 235);
INSERT INTO public.who_data VALUES (64892, 105, 11024, 0, 237, 274, 67);
INSERT INTO public.who_data VALUES (64893, 0, 11, 0, 0, 274, 15);
INSERT INTO public.who_data VALUES (64894, 21, 606, 3, 38, 274, 180);
INSERT INTO public.who_data VALUES (64895, 614, 30426, 0, 23, 274, 237);
INSERT INTO public.who_data VALUES (64896, 0, 2, 0, 0, 274, 25);
INSERT INTO public.who_data VALUES (64897, 0, 78, 0, 15, 274, 209);
INSERT INTO public.who_data VALUES (64898, 6, 1502, 0, 28, 274, 217);
INSERT INTO public.who_data VALUES (64899, 0, 1468, 0, 113, 274, 79);
INSERT INTO public.who_data VALUES (64900, 0, 0, 0, 0, 274, 143);
INSERT INTO public.who_data VALUES (64901, 0, 1594, 0, 61, 274, 229);
INSERT INTO public.who_data VALUES (64902, 988, 20125, 28, 397, 274, 141);
INSERT INTO public.who_data VALUES (64903, 0, 473, -1, 5, 274, 197);
INSERT INTO public.who_data VALUES (64904, 978, 241725, 70, 28644, 274, 221);
INSERT INTO public.who_data VALUES (64905, 25, 1085, 0, 9, 274, 150);
INSERT INTO public.who_data VALUES (64906, 240, 3378, 16, 137, 274, 56);
INSERT INTO public.who_data VALUES (64907, 0, 11, 0, 1, 274, 167);
INSERT INTO public.who_data VALUES (64908, 610, 33234, 53, 4228, 274, 23);
INSERT INTO public.who_data VALUES (64909, 20, 30692, 1, 1712, 274, 222);
INSERT INTO public.who_data VALUES (64910, 1, 59, 1, 4, 274, 219);
INSERT INTO public.who_data VALUES (64911, 201, 2551, 0, 44, 274, 7);
INSERT INTO public.who_data VALUES (64912, 3, 3040, 0, 56, 274, 161);
INSERT INTO public.who_data VALUES (64913, 2574, 241023, 291, 35358, 274, 149);
INSERT INTO public.who_data VALUES (64914, 0, 24, 0, 0, 274, 6);
INSERT INTO public.who_data VALUES (64915, 9, 363, 0, 12, 274, 139);
INSERT INTO public.who_data VALUES (64916, 0, 0, 0, 0, 274, 211);
INSERT INTO public.who_data VALUES (64917, 0, 0, 0, 0, 274, 14);
INSERT INTO public.who_data VALUES (64918, 0, 116, 0, 8, 274, 111);
INSERT INTO public.who_data VALUES (64919, 2, 1048, 0, 47, 274, 207);
INSERT INTO public.who_data VALUES (64920, 952, 154500, 27, 4276, 274, 66);
INSERT INTO public.who_data VALUES (64921, 0, 0, 0, 0, 274, 173);
INSERT INTO public.who_data VALUES (64922, 0, 12, 0, 1, 274, 145);
INSERT INTO public.who_data VALUES (64923, 0, 0, 0, 0, 274, 65);
INSERT INTO public.who_data VALUES (64924, 10, 274, 0, 0, 274, 184);
INSERT INTO public.who_data VALUES (64925, 432, 20580, 17, 605, 274, 98);
INSERT INTO public.who_data VALUES (64926, 994, 27892, 4, 241, 274, 104);
INSERT INTO public.who_data VALUES (64927, 0, 509, 0, 21, 274, 73);
INSERT INTO public.who_data VALUES (64928, 20475, 1568448, 1088, 94011, 274, 8);
INSERT INTO public.who_data VALUES (64929, 0, 69, 0, 6, 274, 227);
INSERT INTO public.who_data VALUES (64930, 3, 749, 0, 20, 274, 75);
INSERT INTO public.who_data VALUES (64931, 72, 3078, 0, 13, 274, 45);
INSERT INTO public.who_data VALUES (64932, 0, 0, 0, 0, 274, 133);
INSERT INTO public.who_data VALUES (64933, 58, 882, 0, 10, 274, 202);
INSERT INTO public.who_data VALUES (64934, 0, 324, 0, 0, 274, 129);
INSERT INTO public.who_data VALUES (64935, 0, 0, 0, 0, 274, 36);
INSERT INTO public.who_data VALUES (64936, 12, 205, 0, 33, 274, 51);
INSERT INTO public.who_data VALUES (64937, 54, 920, 0, 7, 274, 206);
INSERT INTO public.who_data VALUES (64938, 0, 51, 0, 4, 274, 5);
INSERT INTO public.who_data VALUES (64939, 540, 9216, 12, 205, 275, 103);
INSERT INTO public.who_data VALUES (64940, 0, 931, 0, 30, 275, 58);
INSERT INTO public.who_data VALUES (64941, 186, 7728, 7, 575, 275, 195);
INSERT INTO public.who_data VALUES (64942, 0, 0, 0, 0, 275, 115);
INSERT INTO public.who_data VALUES (64943, 0, 762, 0, 51, 275, 99);
INSERT INTO public.who_data VALUES (64944, 2, 60, 0, 3, 275, 153);
INSERT INTO public.who_data VALUES (64945, 0, 3, 0, 0, 275, 93);
INSERT INTO public.who_data VALUES (64946, 0, 25, 0, 3, 275, 84);
INSERT INTO public.who_data VALUES (64947, 474, 9283, 10, 403, 275, 78);
INSERT INTO public.who_data VALUES (64948, 335, 5582, 3, 70, 275, 170);
INSERT INTO public.who_data VALUES (64949, 0, 101, 0, 3, 275, 32);
INSERT INTO public.who_data VALUES (64950, 2, 7081, 0, 100, 275, 155);
INSERT INTO public.who_data VALUES (64951, 57, 16332, 0, 633, 275, 82);
INSERT INTO public.who_data VALUES (64952, 118, 3749, 1, 44, 275, 16);
INSERT INTO public.who_data VALUES (64953, 1, 97, 0, 11, 275, 72);
INSERT INTO public.who_data VALUES (64954, 135, 8174, 0, 12, 275, 43);
INSERT INTO public.who_data VALUES (64955, 1694, 30205, 24, 432, 275, 120);
INSERT INTO public.who_data VALUES (64956, 0, 90, 0, 7, 275, 213);
INSERT INTO public.who_data VALUES (64957, 932, 34303, 5, 190, 275, 31);
INSERT INTO public.who_data VALUES (64958, 70, 57475, 34, 9101, 275, 204);
INSERT INTO public.who_data VALUES (64959, 0, 18, 0, 2, 275, 152);
INSERT INTO public.who_data VALUES (64960, 5, 135, 1, 3, 275, 144);
INSERT INTO public.who_data VALUES (64961, 0, 125, 0, 9, 275, 96);
INSERT INTO public.who_data VALUES (64962, 0, 21, 0, 0, 275, 47);
INSERT INTO public.who_data VALUES (64963, 438, 4919, 10, 199, 275, 80);
INSERT INTO public.who_data VALUES (64964, 0, 2, 0, 0, 275, 159);
INSERT INTO public.who_data VALUES (64965, 18, 2352, 4, 139, 275, 27);
INSERT INTO public.who_data VALUES (64966, 4, 29, 0, 1, 275, 146);
INSERT INTO public.who_data VALUES (64967, 19951, 291579, 888, 18859, 275, 71);
INSERT INTO public.who_data VALUES (64968, 0, 8, 0, 1, 275, 210);
INSERT INTO public.who_data VALUES (64969, 0, 141, 0, 1, 275, 54);
INSERT INTO public.who_data VALUES (64970, 41, 2372, 5, 125, 275, 147);
INSERT INTO public.who_data VALUES (64971, 3, 812, 0, 52, 275, 2);
INSERT INTO public.who_data VALUES (64972, 0, 42, 0, 1, 275, 105);
INSERT INTO public.who_data VALUES (64973, 7, 356, 0, 3, 275, 53);
INSERT INTO public.who_data VALUES (64974, 1, 123, 0, 0, 275, 81);
INSERT INTO public.who_data VALUES (64975, 555, 4288, 10, 156, 275, 223);
INSERT INTO public.who_data VALUES (64976, 1053, 80555, 107, 6062, 275, 94);
INSERT INTO public.who_data VALUES (64977, 0, 111, 0, 1, 275, 154);
INSERT INTO public.who_data VALUES (64978, 25, 436, 0, 0, 275, 83);
INSERT INTO public.who_data VALUES (64979, 23, 588, 1, 58, 275, 194);
INSERT INTO public.who_data VALUES (64980, 0, 53617, 0, 544, 275, 136);
INSERT INTO public.who_data VALUES (64981, 13, 84520, 0, 4645, 275, 179);
INSERT INTO public.who_data VALUES (64982, 752, 17687, 17, 630, 275, 57);
INSERT INTO public.who_data VALUES (64983, 0, 34, 0, 1, 275, 35);
INSERT INTO public.who_data VALUES (64984, 49, 469, 1, 16, 275, 228);
INSERT INTO public.who_data VALUES (64985, 0, 0, 0, 0, 275, 19);
INSERT INTO public.who_data VALUES (64986, 0, 882, 0, 10, 275, 22);
INSERT INTO public.who_data VALUES (64987, 70, 2301, 0, 29, 275, 1);
INSERT INTO public.who_data VALUES (64988, 3, 2237, 1, 97, 275, 21);
INSERT INTO public.who_data VALUES (64989, 8, 1908, 1, 80, 275, 234);
INSERT INTO public.who_data VALUES (64990, 0, 16, 0, 1, 275, 91);
INSERT INTO public.who_data VALUES (64991, 1, 923, 0, 17, 275, 137);
INSERT INTO public.who_data VALUES (64992, 33, 8754, 2, 306, 275, 201);
INSERT INTO public.who_data VALUES (64993, 0, 0, 0, 0, 275, 171);
INSERT INTO public.who_data VALUES (64994, 110, 1944, 2, 62, 275, 92);
INSERT INTO public.who_data VALUES (64995, 65, 11182, 7, 561, 275, 112);
INSERT INTO public.who_data VALUES (64996, 0, 2047, 0, 10, 275, 62);
INSERT INTO public.who_data VALUES (64997, 0, 16, 0, 0, 275, 69);
INSERT INTO public.who_data VALUES (64998, 180, 13657, 2, 448, 275, 220);
INSERT INTO public.who_data VALUES (64999, 703, 34854, 49, 2888, 275, 100);
INSERT INTO public.who_data VALUES (65000, 774, 15003, 16, 696, 275, 187);
INSERT INTO public.who_data VALUES (65001, 69, 1640, 1, 32, 275, 63);
INSERT INTO public.who_data VALUES (65002, 57, 960, 1, 11, 275, 28);
INSERT INTO public.who_data VALUES (65003, 0, 39, 0, 0, 275, 172);
INSERT INTO public.who_data VALUES (65004, 6, 1800, 0, 63, 275, 17);
INSERT INTO public.who_data VALUES (65005, 3, 220, 0, 2, 275, 226);
INSERT INTO public.who_data VALUES (65006, 10, 399, 0, 5, 275, 236);
INSERT INTO public.who_data VALUES (65007, 0, 13, 0, 0, 275, 76);
INSERT INTO public.who_data VALUES (65008, 0, 187, 0, 0, 275, 30);
INSERT INTO public.who_data VALUES (65009, 0, 18, 0, 0, 275, 128);
INSERT INTO public.who_data VALUES (65010, 50, 6493, 2, 306, 275, 86);
INSERT INTO public.who_data VALUES (65011, 278, 141590, 83, 28164, 275, 140);
INSERT INTO public.who_data VALUES (65012, 19, 237, 0, 1, 275, 44);
INSERT INTO public.who_data VALUES (65013, 0, 60, 0, 0, 275, 113);
INSERT INTO public.who_data VALUES (65014, 0, 1567, 0, 12, 275, 29);
INSERT INTO public.who_data VALUES (65015, 0, 24, 0, 1, 275, 125);
INSERT INTO public.who_data VALUES (65016, 2, 723, 0, 12, 275, 131);
INSERT INTO public.who_data VALUES (65017, 460, 177212, 27, 8174, 275, 46);
INSERT INTO public.who_data VALUES (65018, 173, 6269, 0, 31, 275, 10);
INSERT INTO public.who_data VALUES (65019, 2, 149, 0, 0, 275, 205);
INSERT INTO public.who_data VALUES (65020, 3, 2853, 2, 168, 275, 50);
INSERT INTO public.who_data VALUES (65021, 0, 11, 0, 0, 275, 20);
INSERT INTO public.who_data VALUES (65022, 0, 22, 0, 0, 275, 13);
INSERT INTO public.who_data VALUES (65023, 0, 155, 0, 13, 275, 148);
INSERT INTO public.who_data VALUES (65024, 0, 160, 0, 5, 275, 230);
INSERT INTO public.who_data VALUES (65025, 132, 2265, 2, 45, 275, 190);
INSERT INTO public.who_data VALUES (65026, 0, 252, 0, 13, 275, 188);
INSERT INTO public.who_data VALUES (65027, 140, 3067, 0, 19, 275, 123);
INSERT INTO public.who_data VALUES (65028, 20, 1109, 0, 6, 275, 9);
INSERT INTO public.who_data VALUES (65029, 0, 125, 0, 10, 275, 102);
INSERT INTO public.who_data VALUES (65030, 67, 663, 0, 22, 275, 34);
INSERT INTO public.who_data VALUES (65031, 0, 12, 0, 0, 275, 212);
INSERT INTO public.who_data VALUES (65032, 145, 3100, 4, 151, 275, 122);
INSERT INTO public.who_data VALUES (65033, 37, 3678, 3, 476, 275, 38);
INSERT INTO public.who_data VALUES (65034, 0, 1803, 0, 10, 275, 130);
INSERT INTO public.who_data VALUES (65035, 6088, 118447, 148, 3583, 275, 37);
INSERT INTO public.who_data VALUES (65036, 634, 20796, 48, 1326, 275, 231);
INSERT INTO public.who_data VALUES (65037, 0, 129341, 0, 7249, 275, 107);
INSERT INTO public.who_data VALUES (65038, 0, 3877, 0, 140, 275, 101);
INSERT INTO public.who_data VALUES (65039, 76, 24391, 12, 1583, 275, 132);
INSERT INTO public.who_data VALUES (65040, 1, 336, 0, 24, 275, 176);
INSERT INTO public.who_data VALUES (65041, 15, 16616, 1, 281, 275, 200);
INSERT INTO public.who_data VALUES (65042, 642, 228006, 156, 32486, 275, 169);
INSERT INTO public.who_data VALUES (65043, 9, 529, 0, 9, 275, 225);
INSERT INTO public.who_data VALUES (65044, 89, 16513, 19, 796, 275, 165);
INSERT INTO public.who_data VALUES (65045, 3, 306, 1, 29, 275, 233);
INSERT INTO public.who_data VALUES (65046, 0, 684, 0, 9, 275, 215);
INSERT INTO public.who_data VALUES (65047, 322, 7919, 0, 35, 275, 177);
INSERT INTO public.who_data VALUES (65048, 80, 1109, 0, 50, 275, 183);
INSERT INTO public.who_data VALUES (65049, 0, 0, 0, 0, 275, 203);
INSERT INTO public.who_data VALUES (65050, 14, 1003, 0, 20, 275, 162);
INSERT INTO public.who_data VALUES (65051, 0, 18609, 0, 129, 275, 12);
INSERT INTO public.who_data VALUES (65052, 37, 1350, 0, 14, 275, 24);
INSERT INTO public.who_data VALUES (65053, 0, 19, 0, 0, 275, 119);
INSERT INTO public.who_data VALUES (65054, 9, 1025, 1, 22, 275, 39);
INSERT INTO public.who_data VALUES (65055, 0, 1024, 0, 26, 275, 26);
INSERT INTO public.who_data VALUES (65056, 0, 1, 0, 0, 275, 59);
INSERT INTO public.who_data VALUES (65057, 2, 240, 0, 23, 275, 77);
INSERT INTO public.who_data VALUES (65058, 0, 71, 0, 3, 275, 134);
INSERT INTO public.who_data VALUES (65059, 0, 83, 0, 1, 275, 4);
INSERT INTO public.who_data VALUES (65060, 6, 1598, 0, 61, 275, 109);
INSERT INTO public.who_data VALUES (65061, 9, 3980, 0, 109, 275, 90);
INSERT INTO public.who_data VALUES (65062, 34, 405, 0, 2, 275, 61);
INSERT INTO public.who_data VALUES (65063, 0, 72, 0, 3, 275, 85);
INSERT INTO public.who_data VALUES (65064, 50, 7059, 0, 114, 275, 49);
INSERT INTO public.who_data VALUES (65065, 0, 1216, 0, 4, 275, 208);
INSERT INTO public.who_data VALUES (65066, 0, 931, 0, 55, 275, 166);
INSERT INTO public.who_data VALUES (65067, 15, 598, 0, 6, 275, 64);
INSERT INTO public.who_data VALUES (65068, 0, 0, 0, 0, 275, 199);
INSERT INTO public.who_data VALUES (65069, 0, 192, 0, 14, 275, 114);
INSERT INTO public.who_data VALUES (65070, 32, 173, 1, 5, 275, 60);
INSERT INTO public.who_data VALUES (65071, 0, 332, 0, 10, 275, 68);
INSERT INTO public.who_data VALUES (65072, 19, 1494, 0, 19, 275, 158);
INSERT INTO public.who_data VALUES (65073, 2248, 56594, 424, 6090, 275, 52);
INSERT INTO public.who_data VALUES (65074, 0, 0, 0, 0, 275, 117);
INSERT INTO public.who_data VALUES (65075, 0, 68, 0, 1, 275, 126);
INSERT INTO public.who_data VALUES (65076, 1, 141, 0, 0, 275, 196);
INSERT INTO public.who_data VALUES (65077, 0, 324, 0, 9, 275, 142);
INSERT INTO public.who_data VALUES (65078, 0, 11, 0, 1, 275, 185);
INSERT INTO public.who_data VALUES (65079, 26, 7211, 0, 196, 275, 138);
INSERT INTO public.who_data VALUES (65080, 6, 162, 0, 0, 275, 181);
INSERT INTO public.who_data VALUES (65081, 0, 199, 0, 6, 275, 178);
INSERT INTO public.who_data VALUES (65082, 2, 18, 0, 0, 275, 168);
INSERT INTO public.who_data VALUES (65083, 0, 0, 0, 0, 275, 160);
INSERT INTO public.who_data VALUES (65084, 62, 516, 0, 3, 275, 151);
INSERT INTO public.who_data VALUES (65085, 254, 44462, 29, 5751, 275, 193);
INSERT INTO public.who_data VALUES (65086, 0, 18, 0, 0, 275, 18);
INSERT INTO public.who_data VALUES (65087, 1, 1154, 0, 21, 275, 40);
INSERT INTO public.who_data VALUES (65088, 0, 279, 0, 17, 275, 218);
INSERT INTO public.who_data VALUES (65089, 4, 924, 2, 60, 275, 191);
INSERT INTO public.who_data VALUES (65090, 339, 7016, 11, 211, 275, 156);
INSERT INTO public.who_data VALUES (65091, 0, 0, 0, 0, 275, 135);
INSERT INTO public.who_data VALUES (65092, 1, 22, 0, 2, 275, 88);
INSERT INTO public.who_data VALUES (65093, 40, 1898, 1, 111, 275, 55);
INSERT INTO public.who_data VALUES (65094, 0, 8268, 0, 234, 275, 108);
INSERT INTO public.who_data VALUES (65095, 6, 602, 0, 4, 275, 48);
INSERT INTO public.who_data VALUES (65096, 0, 6370, 2, 32, 275, 3);
INSERT INTO public.who_data VALUES (65097, 0, 712, 0, 13, 275, 224);
INSERT INTO public.who_data VALUES (65098, 2603, 50694, 50, 1067, 275, 110);
INSERT INTO public.who_data VALUES (65099, 0, 0, 0, 0, 275, 106);
INSERT INTO public.who_data VALUES (65100, 110, 9977, 6, 287, 275, 89);
INSERT INTO public.who_data VALUES (65101, 0, 8, 0, 0, 275, 121);
INSERT INTO public.who_data VALUES (65102, 3, 836, 0, 11, 275, 163);
INSERT INTO public.who_data VALUES (65103, 4537, 104020, 110, 3024, 275, 70);
INSERT INTO public.who_data VALUES (65104, 163, 13597, 11, 857, 275, 174);
INSERT INTO public.who_data VALUES (65105, 0, 0, 0, 0, 275, 175);
INSERT INTO public.who_data VALUES (65106, 404, 20143, 10, 972, 275, 118);
INSERT INTO public.who_data VALUES (65107, 252, 29912, 14, 1277, 275, 189);
INSERT INTO public.who_data VALUES (65108, 47, 2913, 1, 126, 275, 124);
INSERT INTO public.who_data VALUES (65109, 0, 38651, 0, 17, 275, 192);
INSERT INTO public.who_data VALUES (65110, 20, 11142, 0, 264, 275, 41);
INSERT INTO public.who_data VALUES (65111, 151, 6704, 1, 233, 275, 95);
INSERT INTO public.who_data VALUES (65112, 2, 449, 0, 1, 275, 74);
INSERT INTO public.who_data VALUES (65113, 198, 17585, 10, 1151, 275, 11);
INSERT INTO public.who_data VALUES (65114, 8894, 326448, 150, 3249, 275, 87);
INSERT INTO public.who_data VALUES (65115, 6, 320, 0, 0, 275, 214);
INSERT INTO public.who_data VALUES (65116, 0, 2, 0, 0, 275, 116);
INSERT INTO public.who_data VALUES (65117, 0, 6, 0, 0, 275, 157);
INSERT INTO public.who_data VALUES (65118, 0, 0, 0, 0, 275, 182);
INSERT INTO public.who_data VALUES (65119, 0, 15, 0, 0, 275, 186);
INSERT INTO public.who_data VALUES (65120, 0, 18, 0, 0, 275, 127);
INSERT INTO public.who_data VALUES (65121, 0, 39, 0, 3, 275, 232);
INSERT INTO public.who_data VALUES (65122, 0, 1, 0, 0, 275, 33);
INSERT INTO public.who_data VALUES (65123, 0, 18, 0, 0, 275, 97);
INSERT INTO public.who_data VALUES (65124, 0, 0, 0, 0, 275, 42);
INSERT INTO public.who_data VALUES (65125, 2, 672, 0, 41, 275, 198);
INSERT INTO public.who_data VALUES (65126, 0, 165, 0, 8, 275, 216);
INSERT INTO public.who_data VALUES (65127, 0, 65077, 0, 351, 275, 164);
INSERT INTO public.who_data VALUES (65128, 101, 2815, 3, 33, 275, 235);
INSERT INTO public.who_data VALUES (65129, 86, 10919, 2, 237, 275, 67);
INSERT INTO public.who_data VALUES (65130, 0, 11, 0, 0, 275, 15);
INSERT INTO public.who_data VALUES (65131, 15, 585, 1, 35, 275, 180);
INSERT INTO public.who_data VALUES (65132, 448, 29812, 1, 23, 275, 237);
INSERT INTO public.who_data VALUES (65133, 0, 2, 0, 0, 275, 25);
INSERT INTO public.who_data VALUES (65134, 0, 78, 0, 15, 275, 209);
INSERT INTO public.who_data VALUES (65135, 1, 1496, 0, 28, 275, 217);
INSERT INTO public.who_data VALUES (65136, 0, 1468, 1, 113, 275, 79);
INSERT INTO public.who_data VALUES (65137, 0, 0, 0, 0, 275, 143);
INSERT INTO public.who_data VALUES (65138, 0, 1594, 0, 61, 275, 229);
INSERT INTO public.who_data VALUES (65139, 1134, 19137, 30, 369, 275, 141);
INSERT INTO public.who_data VALUES (65140, 134, 473, 0, 6, 275, 197);
INSERT INTO public.who_data VALUES (65141, 860, 240747, 56, 28574, 275, 221);
INSERT INTO public.who_data VALUES (65142, 15, 1060, 0, 9, 275, 150);
INSERT INTO public.who_data VALUES (65143, 0, 3138, 0, 121, 275, 56);
INSERT INTO public.who_data VALUES (65144, 0, 11, 0, 1, 275, 167);
INSERT INTO public.who_data VALUES (65145, 808, 32624, 52, 4175, 275, 23);
INSERT INTO public.who_data VALUES (65146, 11, 30672, 5, 1711, 275, 222);
INSERT INTO public.who_data VALUES (65147, 0, 58, 0, 3, 275, 219);
INSERT INTO public.who_data VALUES (65148, 210, 2350, 0, 44, 275, 7);
INSERT INTO public.who_data VALUES (65149, 0, 3037, 0, 56, 275, 161);
INSERT INTO public.who_data VALUES (65150, 2718, 238449, 273, 35067, 275, 149);
INSERT INTO public.who_data VALUES (65151, 0, 24, 0, 0, 275, 6);
INSERT INTO public.who_data VALUES (65152, 16, 354, 0, 12, 275, 139);
INSERT INTO public.who_data VALUES (65153, 0, 0, 0, 0, 275, 211);
INSERT INTO public.who_data VALUES (65154, 0, 0, 0, 0, 275, 14);
INSERT INTO public.who_data VALUES (65155, 0, 116, 0, 8, 275, 111);
INSERT INTO public.who_data VALUES (65156, 1, 1046, 0, 47, 275, 207);
INSERT INTO public.who_data VALUES (65157, 961, 153548, 27, 4249, 275, 66);
INSERT INTO public.who_data VALUES (65158, 0, 0, 0, 0, 275, 173);
INSERT INTO public.who_data VALUES (65159, 0, 12, 0, 1, 275, 145);
INSERT INTO public.who_data VALUES (65160, 0, 0, 0, 0, 275, 65);
INSERT INTO public.who_data VALUES (65161, 0, 264, 0, 0, 275, 184);
INSERT INTO public.who_data VALUES (65162, 442, 20148, 9, 588, 275, 98);
INSERT INTO public.who_data VALUES (65163, 894, 26898, 4, 237, 275, 104);
INSERT INTO public.who_data VALUES (65164, 0, 509, 0, 21, 275, 73);
INSERT INTO public.who_data VALUES (65165, 22787, 1547973, 1396, 92923, 275, 8);
INSERT INTO public.who_data VALUES (65166, 0, 69, 0, 6, 275, 227);
INSERT INTO public.who_data VALUES (65167, 8, 746, 0, 20, 275, 75);
INSERT INTO public.who_data VALUES (65168, 56, 3006, 0, 13, 275, 45);
INSERT INTO public.who_data VALUES (65169, 0, 0, 0, 0, 275, 133);
INSERT INTO public.who_data VALUES (65170, 0, 824, 0, 10, 275, 202);
INSERT INTO public.who_data VALUES (65171, 0, 324, 0, 0, 275, 129);
INSERT INTO public.who_data VALUES (65172, 0, 0, 0, 0, 275, 36);
INSERT INTO public.who_data VALUES (65173, 9, 193, 3, 33, 275, 51);
INSERT INTO public.who_data VALUES (65174, 34, 866, 0, 7, 275, 206);
INSERT INTO public.who_data VALUES (65175, 3, 51, 0, 4, 275, 5);
INSERT INTO public.who_data VALUES (65176, 531, 8676, 6, 193, 276, 103);
INSERT INTO public.who_data VALUES (65177, 5, 931, 0, 30, 276, 58);
INSERT INTO public.who_data VALUES (65178, 165, 7542, 7, 568, 276, 195);
INSERT INTO public.who_data VALUES (65179, 0, 0, 0, 0, 276, 115);
INSERT INTO public.who_data VALUES (65180, 1, 762, 0, 51, 276, 99);
INSERT INTO public.who_data VALUES (65181, 6, 58, 0, 3, 276, 153);
INSERT INTO public.who_data VALUES (65182, 0, 3, 0, 0, 276, 93);
INSERT INTO public.who_data VALUES (65183, 0, 25, 0, 3, 276, 84);
INSERT INTO public.who_data VALUES (65184, 438, 8809, 11, 393, 276, 78);
INSERT INTO public.who_data VALUES (65185, 230, 5247, 3, 67, 276, 170);
INSERT INTO public.who_data VALUES (65186, 0, 101, 0, 3, 276, 32);
INSERT INTO public.who_data VALUES (65187, 11, 7079, 1, 100, 276, 155);
INSERT INTO public.who_data VALUES (65188, 18, 16275, 1, 633, 276, 82);
INSERT INTO public.who_data VALUES (65189, 113, 3631, 2, 43, 276, 16);
INSERT INTO public.who_data VALUES (65190, 0, 96, 0, 11, 276, 72);
INSERT INTO public.who_data VALUES (65191, 507, 8039, 0, 12, 276, 43);
INSERT INTO public.who_data VALUES (65192, 1773, 28511, 22, 408, 276, 120);
INSERT INTO public.who_data VALUES (65193, 2, 90, 0, 7, 276, 213);
INSERT INTO public.who_data VALUES (65194, 1863, 33371, 10, 185, 276, 31);
INSERT INTO public.who_data VALUES (65195, 385, 57405, 30, 9067, 276, 204);
INSERT INTO public.who_data VALUES (65196, 0, 18, 0, 2, 276, 152);
INSERT INTO public.who_data VALUES (65197, 0, 130, 0, 2, 276, 144);
INSERT INTO public.who_data VALUES (65198, 0, 125, 0, 9, 276, 96);
INSERT INTO public.who_data VALUES (65199, 0, 21, 0, 0, 276, 47);
INSERT INTO public.who_data VALUES (65200, 218, 4481, 15, 189, 276, 80);
INSERT INTO public.who_data VALUES (65201, 0, 2, 0, 0, 276, 159);
INSERT INTO public.who_data VALUES (65202, 15, 2334, 2, 135, 276, 27);
INSERT INTO public.who_data VALUES (65203, 0, 25, 0, 1, 276, 146);
INSERT INTO public.who_data VALUES (65204, 17408, 271628, 1179, 17971, 276, 71);
INSERT INTO public.who_data VALUES (65205, 0, 8, 0, 1, 276, 210);
INSERT INTO public.who_data VALUES (65206, 0, 141, 0, 1, 276, 54);
INSERT INTO public.who_data VALUES (65207, 39, 2331, 4, 120, 276, 147);
INSERT INTO public.who_data VALUES (65208, 3, 809, 0, 52, 276, 2);
INSERT INTO public.who_data VALUES (65209, 0, 42, 0, 1, 276, 105);
INSERT INTO public.who_data VALUES (65210, 14, 349, 0, 3, 276, 53);
INSERT INTO public.who_data VALUES (65211, 0, 122, 0, 0, 276, 81);
INSERT INTO public.who_data VALUES (65212, 204, 3733, 6, 146, 276, 223);
INSERT INTO public.who_data VALUES (65213, 1003, 79502, 98, 5955, 276, 94);
INSERT INTO public.who_data VALUES (65214, 17, 111, 0, 1, 276, 154);
INSERT INTO public.who_data VALUES (65215, 0, 411, 0, 0, 276, 83);
INSERT INTO public.who_data VALUES (65216, 20, 565, 1, 57, 276, 194);
INSERT INTO public.who_data VALUES (65217, 7558, 53617, 66, 544, 276, 136);
INSERT INTO public.who_data VALUES (65218, 2, 84507, 0, 4645, 276, 179);
INSERT INTO public.who_data VALUES (65219, 640, 16935, 21, 613, 276, 57);
INSERT INTO public.who_data VALUES (65220, 0, 34, 0, 1, 276, 35);
INSERT INTO public.who_data VALUES (65221, 0, 420, 0, 15, 276, 228);
INSERT INTO public.who_data VALUES (65222, 0, 0, 0, 0, 276, 19);
INSERT INTO public.who_data VALUES (65223, 0, 882, 0, 10, 276, 22);
INSERT INTO public.who_data VALUES (65224, 78, 2231, 1, 29, 276, 1);
INSERT INTO public.who_data VALUES (65225, 2, 2234, 0, 96, 276, 21);
INSERT INTO public.who_data VALUES (65226, 13, 1900, 0, 79, 276, 234);
INSERT INTO public.who_data VALUES (65227, 0, 16, 0, 1, 276, 91);
INSERT INTO public.who_data VALUES (65228, 4, 922, 0, 17, 276, 137);
INSERT INTO public.who_data VALUES (65229, 74, 8721, 2, 304, 276, 201);
INSERT INTO public.who_data VALUES (65230, 0, 0, 0, 0, 276, 171);
INSERT INTO public.who_data VALUES (65231, 104, 1834, 0, 60, 276, 92);
INSERT INTO public.who_data VALUES (65232, 73, 11117, 3, 554, 276, 112);
INSERT INTO public.who_data VALUES (65233, 219, 2047, 1, 10, 276, 62);
INSERT INTO public.who_data VALUES (65234, 0, 16, 0, 0, 276, 69);
INSERT INTO public.who_data VALUES (65235, 254, 13477, 5, 446, 276, 220);
INSERT INTO public.who_data VALUES (65236, 0, 34151, 0, 2839, 276, 100);
INSERT INTO public.who_data VALUES (65237, 0, 14229, 0, 680, 276, 187);
INSERT INTO public.who_data VALUES (65238, 73, 1571, 1, 31, 276, 63);
INSERT INTO public.who_data VALUES (65239, 13, 903, 3, 10, 276, 28);
INSERT INTO public.who_data VALUES (65240, 0, 39, 0, 0, 276, 172);
INSERT INTO public.who_data VALUES (65241, 3, 1794, 0, 63, 276, 17);
INSERT INTO public.who_data VALUES (65242, 9, 217, 0, 2, 276, 226);
INSERT INTO public.who_data VALUES (65243, 24, 389, 0, 5, 276, 236);
INSERT INTO public.who_data VALUES (65244, 0, 13, 0, 0, 276, 76);
INSERT INTO public.who_data VALUES (65245, 0, 187, 0, 0, 276, 30);
INSERT INTO public.who_data VALUES (65246, 0, 18, 0, 0, 276, 128);
INSERT INTO public.who_data VALUES (65247, 44, 6443, 3, 304, 276, 86);
INSERT INTO public.who_data VALUES (65248, 353, 141312, 109, 28081, 276, 140);
INSERT INTO public.who_data VALUES (65249, 8, 218, 0, 1, 276, 44);
INSERT INTO public.who_data VALUES (65250, 0, 60, 0, 0, 276, 113);
INSERT INTO public.who_data VALUES (65251, 65, 1567, 0, 12, 276, 29);
INSERT INTO public.who_data VALUES (65252, 0, 24, 0, 1, 276, 125);
INSERT INTO public.who_data VALUES (65253, 8, 721, 0, 12, 276, 131);
INSERT INTO public.who_data VALUES (65254, 745, 176752, 57, 8147, 276, 46);
INSERT INTO public.who_data VALUES (65255, 0, 6096, 0, 31, 276, 10);
INSERT INTO public.who_data VALUES (65256, 0, 147, 0, 0, 276, 205);
INSERT INTO public.who_data VALUES (65257, 10, 2850, 1, 166, 276, 50);
INSERT INTO public.who_data VALUES (65258, 0, 11, 0, 0, 276, 20);
INSERT INTO public.who_data VALUES (65259, 0, 22, 0, 0, 276, 13);
INSERT INTO public.who_data VALUES (65260, 0, 155, 0, 13, 276, 148);
INSERT INTO public.who_data VALUES (65261, 11, 160, 0, 5, 276, 230);
INSERT INTO public.who_data VALUES (65262, 132, 2133, 5, 43, 276, 190);
INSERT INTO public.who_data VALUES (65263, 0, 252, 0, 13, 276, 188);
INSERT INTO public.who_data VALUES (65264, 64, 2927, 1, 19, 276, 123);
INSERT INTO public.who_data VALUES (65265, 51, 1089, 0, 6, 276, 9);
INSERT INTO public.who_data VALUES (65266, 1, 125, 0, 10, 276, 102);
INSERT INTO public.who_data VALUES (65267, 63, 596, 1, 22, 276, 34);
INSERT INTO public.who_data VALUES (65268, 0, 12, 0, 0, 276, 212);
INSERT INTO public.who_data VALUES (65269, 157, 2955, 1, 147, 276, 122);
INSERT INTO public.who_data VALUES (65270, 43, 3641, 3, 473, 276, 38);
INSERT INTO public.who_data VALUES (65271, 1, 1803, 0, 10, 276, 130);
INSERT INTO public.who_data VALUES (65272, 5609, 112359, 132, 3435, 276, 37);
INSERT INTO public.who_data VALUES (65273, 973, 20162, 36, 1278, 276, 231);
INSERT INTO public.who_data VALUES (65274, 2392, 129341, 66, 7249, 276, 107);
INSERT INTO public.who_data VALUES (65275, 153, 3877, 6, 140, 276, 101);
INSERT INTO public.who_data VALUES (65276, 64, 24315, 10, 1571, 276, 132);
INSERT INTO public.who_data VALUES (65277, 0, 335, 0, 24, 276, 176);
INSERT INTO public.who_data VALUES (65278, 22, 16601, 2, 280, 276, 200);
INSERT INTO public.who_data VALUES (65279, 665, 227364, 161, 32330, 276, 169);
INSERT INTO public.who_data VALUES (65280, 0, 520, 0, 9, 276, 225);
INSERT INTO public.who_data VALUES (65281, 39, 16424, 6, 777, 276, 165);
INSERT INTO public.who_data VALUES (65282, 0, 303, 1, 28, 276, 233);
INSERT INTO public.who_data VALUES (65283, 12, 684, 0, 9, 276, 215);
INSERT INTO public.who_data VALUES (65284, 363, 7597, 0, 35, 276, 177);
INSERT INTO public.who_data VALUES (65285, 66, 1029, 0, 50, 276, 183);
INSERT INTO public.who_data VALUES (65286, 0, 0, 0, 0, 276, 203);
INSERT INTO public.who_data VALUES (65287, 0, 989, 0, 20, 276, 162);
INSERT INTO public.who_data VALUES (65288, 1041, 18609, 5, 129, 276, 12);
INSERT INTO public.who_data VALUES (65289, 43, 1313, 0, 14, 276, 24);
INSERT INTO public.who_data VALUES (65290, 0, 19, 0, 0, 276, 119);
INSERT INTO public.who_data VALUES (65291, 4, 1016, 0, 21, 276, 39);
INSERT INTO public.who_data VALUES (65292, 63, 1024, 0, 26, 276, 26);
INSERT INTO public.who_data VALUES (65293, 0, 1, 0, 0, 276, 59);
INSERT INTO public.who_data VALUES (65294, 5, 238, 0, 23, 276, 77);
INSERT INTO public.who_data VALUES (65295, 3, 71, 0, 3, 276, 134);
INSERT INTO public.who_data VALUES (65296, 0, 83, 0, 1, 276, 4);
INSERT INTO public.who_data VALUES (65297, 12, 1592, 0, 61, 276, 109);
INSERT INTO public.who_data VALUES (65298, 13, 3971, 0, 109, 276, 90);
INSERT INTO public.who_data VALUES (65299, 45, 371, 0, 2, 276, 61);
INSERT INTO public.who_data VALUES (65300, 1, 72, 0, 3, 276, 85);
INSERT INTO public.who_data VALUES (65301, 31, 7009, 0, 114, 276, 49);
INSERT INTO public.who_data VALUES (65302, 30, 1216, 0, 4, 276, 208);
INSERT INTO public.who_data VALUES (65303, 30, 931, 2, 55, 276, 166);
INSERT INTO public.who_data VALUES (65304, 15, 583, 0, 6, 276, 64);
INSERT INTO public.who_data VALUES (65305, 0, 0, 0, 0, 276, 199);
INSERT INTO public.who_data VALUES (65306, 0, 192, 0, 14, 276, 114);
INSERT INTO public.who_data VALUES (65307, 10, 141, 0, 4, 276, 60);
INSERT INTO public.who_data VALUES (65308, 0, 332, 0, 10, 276, 68);
INSERT INTO public.who_data VALUES (65309, 56, 1475, 0, 19, 276, 158);
INSERT INTO public.who_data VALUES (65310, 2713, 54346, 334, 5666, 276, 52);
INSERT INTO public.who_data VALUES (65311, 0, 0, 0, 0, 276, 117);
INSERT INTO public.who_data VALUES (65312, 0, 68, 0, 1, 276, 126);
INSERT INTO public.who_data VALUES (65313, 0, 140, 0, 0, 276, 196);
INSERT INTO public.who_data VALUES (65314, 0, 324, 0, 9, 276, 142);
INSERT INTO public.who_data VALUES (65315, 0, 11, 0, 1, 276, 185);
INSERT INTO public.who_data VALUES (65316, 137, 7185, 2, 196, 276, 138);
INSERT INTO public.who_data VALUES (65317, 10, 156, 0, 0, 276, 181);
INSERT INTO public.who_data VALUES (65318, 6, 199, 0, 6, 276, 178);
INSERT INTO public.who_data VALUES (65319, 0, 16, 0, 0, 276, 168);
INSERT INTO public.who_data VALUES (65320, 0, 0, 0, 0, 276, 160);
INSERT INTO public.who_data VALUES (65321, 27, 454, 1, 3, 276, 151);
INSERT INTO public.who_data VALUES (65322, 187, 44208, 33, 5722, 276, 193);
INSERT INTO public.who_data VALUES (65323, 0, 18, 0, 0, 276, 18);
INSERT INTO public.who_data VALUES (65324, 0, 1153, 0, 21, 276, 40);
INSERT INTO public.who_data VALUES (65325, 254, 279, 9, 17, 276, 218);
INSERT INTO public.who_data VALUES (65326, 6, 920, 3, 58, 276, 191);
INSERT INTO public.who_data VALUES (65327, 276, 6677, 8, 200, 276, 156);
INSERT INTO public.who_data VALUES (65328, 0, 0, 0, 0, 276, 135);
INSERT INTO public.who_data VALUES (65329, 0, 21, 0, 2, 276, 88);
INSERT INTO public.who_data VALUES (65330, 19, 1858, 4, 110, 276, 55);
INSERT INTO public.who_data VALUES (65331, 11, 8268, 1, 234, 276, 108);
INSERT INTO public.who_data VALUES (65332, 19, 596, 0, 4, 276, 48);
INSERT INTO public.who_data VALUES (65333, 327, 6370, 1, 30, 276, 3);
INSERT INTO public.who_data VALUES (65334, 0, 712, 0, 13, 276, 224);
INSERT INTO public.who_data VALUES (65335, 2193, 48091, 32, 1017, 276, 110);
INSERT INTO public.who_data VALUES (65336, 0, 0, 0, 0, 276, 106);
INSERT INTO public.who_data VALUES (65337, 141, 9867, 2, 281, 276, 89);
INSERT INTO public.who_data VALUES (65338, 0, 8, 0, 0, 276, 121);
INSERT INTO public.who_data VALUES (65339, 4, 833, 0, 11, 276, 163);
INSERT INTO public.who_data VALUES (65340, 4550, 99483, 125, 2914, 276, 70);
INSERT INTO public.who_data VALUES (65341, 492, 13434, 9, 846, 276, 174);
INSERT INTO public.who_data VALUES (65342, 0, 0, 0, 0, 276, 175);
INSERT INTO public.who_data VALUES (65343, 471, 19739, 14, 962, 276, 118);
INSERT INTO public.who_data VALUES (65344, 228, 29660, 16, 1263, 276, 189);
INSERT INTO public.who_data VALUES (65345, 61, 2866, 1, 125, 276, 124);
INSERT INTO public.who_data VALUES (65346, 1554, 38651, 1, 17, 276, 192);
INSERT INTO public.who_data VALUES (65347, 12, 11122, 1, 264, 276, 41);
INSERT INTO public.who_data VALUES (65348, 213, 6553, 8, 232, 276, 95);
INSERT INTO public.who_data VALUES (65349, 1, 447, 1, 1, 276, 74);
INSERT INTO public.who_data VALUES (65350, 196, 17387, 15, 1141, 276, 11);
INSERT INTO public.who_data VALUES (65351, 8849, 317554, 127, 3099, 276, 87);
INSERT INTO public.who_data VALUES (65352, 6, 314, 0, 0, 276, 214);
INSERT INTO public.who_data VALUES (65353, 0, 2, 0, 0, 276, 116);
INSERT INTO public.who_data VALUES (65354, 0, 6, 0, 0, 276, 157);
INSERT INTO public.who_data VALUES (65355, 0, 0, 0, 0, 276, 182);
INSERT INTO public.who_data VALUES (65356, 0, 15, 0, 0, 276, 186);
INSERT INTO public.who_data VALUES (65357, 0, 18, 0, 0, 276, 127);
INSERT INTO public.who_data VALUES (65358, 0, 39, 0, 3, 276, 232);
INSERT INTO public.who_data VALUES (65359, 0, 1, 0, 0, 276, 33);
INSERT INTO public.who_data VALUES (65360, 1, 18, 0, 0, 276, 97);
INSERT INTO public.who_data VALUES (65361, 0, 0, 0, 0, 276, 42);
INSERT INTO public.who_data VALUES (65362, 2, 670, 0, 41, 276, 198);
INSERT INTO public.who_data VALUES (65363, 0, 165, 1, 8, 276, 216);
INSERT INTO public.who_data VALUES (65364, 2532, 65077, 12, 351, 276, 164);
INSERT INTO public.who_data VALUES (65365, 97, 2714, 0, 30, 276, 235);
INSERT INTO public.who_data VALUES (65366, 100, 10833, 1, 235, 276, 67);
INSERT INTO public.who_data VALUES (65367, 0, 11, 0, 0, 276, 15);
INSERT INTO public.who_data VALUES (65368, 36, 570, 1, 34, 276, 180);
INSERT INTO public.who_data VALUES (65369, 570, 29364, 0, 22, 276, 237);
INSERT INTO public.who_data VALUES (65370, 0, 2, 0, 0, 276, 25);
INSERT INTO public.who_data VALUES (65371, 0, 78, 0, 15, 276, 209);
INSERT INTO public.who_data VALUES (65372, 0, 1495, 0, 28, 276, 217);
INSERT INTO public.who_data VALUES (65373, 1, 1468, 1, 112, 276, 79);
INSERT INTO public.who_data VALUES (65374, 0, 0, 0, 0, 276, 143);
INSERT INTO public.who_data VALUES (65375, 21, 1594, 0, 61, 276, 229);
INSERT INTO public.who_data VALUES (65376, 803, 18003, 27, 339, 276, 141);
INSERT INTO public.who_data VALUES (65377, 57, 339, 2, 6, 276, 197);
INSERT INTO public.who_data VALUES (65378, 987, 239887, 67, 28518, 276, 221);
INSERT INTO public.who_data VALUES (65379, 18, 1045, 0, 9, 276, 150);
INSERT INTO public.who_data VALUES (65380, 410, 3138, 10, 121, 276, 56);
INSERT INTO public.who_data VALUES (65381, 0, 11, 0, 1, 276, 167);
INSERT INTO public.who_data VALUES (65382, 666, 31816, 41, 4123, 276, 23);
INSERT INTO public.who_data VALUES (65383, 29, 30661, 0, 1706, 276, 222);
INSERT INTO public.who_data VALUES (65384, 0, 58, 0, 3, 276, 219);
INSERT INTO public.who_data VALUES (65385, 204, 2140, 0, 44, 276, 7);
INSERT INTO public.who_data VALUES (65386, 3, 3037, 0, 56, 276, 161);
INSERT INTO public.who_data VALUES (65387, 3052, 235731, 328, 34794, 276, 149);
INSERT INTO public.who_data VALUES (65388, 0, 24, 0, 0, 276, 6);
INSERT INTO public.who_data VALUES (65389, 0, 338, 0, 12, 276, 139);
INSERT INTO public.who_data VALUES (65390, 0, 0, 0, 0, 276, 211);
INSERT INTO public.who_data VALUES (65391, 0, 0, 0, 0, 276, 14);
INSERT INTO public.who_data VALUES (65392, 0, 116, 0, 8, 276, 111);
INSERT INTO public.who_data VALUES (65393, 1, 1045, 0, 47, 276, 207);
INSERT INTO public.who_data VALUES (65394, 972, 152587, 23, 4222, 276, 66);
INSERT INTO public.who_data VALUES (65395, 0, 0, 0, 0, 276, 173);
INSERT INTO public.who_data VALUES (65396, 0, 12, 0, 1, 276, 145);
INSERT INTO public.who_data VALUES (65397, 0, 0, 0, 0, 276, 65);
INSERT INTO public.who_data VALUES (65398, 4, 264, 0, 0, 276, 184);
INSERT INTO public.who_data VALUES (65399, 476, 19706, 15, 579, 276, 98);
INSERT INTO public.who_data VALUES (65400, 941, 26004, 6, 233, 276, 104);
INSERT INTO public.who_data VALUES (65401, 0, 509, 0, 21, 276, 73);
INSERT INTO public.who_data VALUES (65402, 23310, 1525186, 1324, 91527, 276, 8);
INSERT INTO public.who_data VALUES (65403, 0, 69, 0, 6, 276, 227);
INSERT INTO public.who_data VALUES (65404, 1, 738, 0, 20, 276, 75);
INSERT INTO public.who_data VALUES (65405, 70, 2950, 0, 13, 276, 45);
INSERT INTO public.who_data VALUES (65406, 0, 0, 0, 0, 276, 133);
INSERT INTO public.who_data VALUES (65407, 206, 824, 0, 10, 276, 202);
INSERT INTO public.who_data VALUES (65408, 0, 324, 0, 0, 276, 129);
INSERT INTO public.who_data VALUES (65409, 0, 0, 0, 0, 276, 36);
INSERT INTO public.who_data VALUES (65410, 13, 184, 1, 30, 276, 51);
INSERT INTO public.who_data VALUES (65411, 60, 832, 0, 7, 276, 206);
INSERT INTO public.who_data VALUES (65412, 2, 48, 0, 4, 276, 5);
INSERT INTO public.who_data VALUES (65413, 490, 8145, 10, 187, 277, 103);
INSERT INTO public.who_data VALUES (65414, 16, 926, 0, 30, 277, 58);
INSERT INTO public.who_data VALUES (65415, 176, 7377, 6, 561, 277, 195);
INSERT INTO public.who_data VALUES (65416, 0, 0, 0, 0, 277, 115);
INSERT INTO public.who_data VALUES (65417, 0, 761, 0, 51, 277, 99);
INSERT INTO public.who_data VALUES (65418, 2, 52, 1, 3, 277, 153);
INSERT INTO public.who_data VALUES (65419, 0, 3, 0, 0, 277, 93);
INSERT INTO public.who_data VALUES (65420, 0, 25, 0, 3, 277, 84);
INSERT INTO public.who_data VALUES (65421, 303, 8371, 9, 382, 277, 78);
INSERT INTO public.who_data VALUES (65422, 218, 5017, 3, 64, 277, 170);
INSERT INTO public.who_data VALUES (65423, 0, 101, 0, 3, 277, 32);
INSERT INTO public.who_data VALUES (65424, 8, 7068, 0, 99, 277, 155);
INSERT INTO public.who_data VALUES (65425, 78, 16257, 3, 632, 277, 82);
INSERT INTO public.who_data VALUES (65426, 131, 3518, 1, 41, 277, 16);
INSERT INTO public.who_data VALUES (65427, 0, 96, 0, 11, 277, 72);
INSERT INTO public.who_data VALUES (65428, 158, 7532, 0, 12, 277, 43);
INSERT INTO public.who_data VALUES (65429, 1617, 26738, 16, 386, 277, 120);
INSERT INTO public.who_data VALUES (65430, 0, 88, 0, 7, 277, 213);
INSERT INTO public.who_data VALUES (65431, 936, 31508, 4, 175, 277, 31);
INSERT INTO public.who_data VALUES (65432, 292, 57020, 32, 9037, 277, 204);
INSERT INTO public.who_data VALUES (65433, 0, 18, 0, 2, 277, 152);
INSERT INTO public.who_data VALUES (65434, 1, 130, 0, 2, 277, 144);
INSERT INTO public.who_data VALUES (65435, 2, 125, 0, 9, 277, 96);
INSERT INTO public.who_data VALUES (65436, 0, 21, 0, 0, 277, 47);
INSERT INTO public.who_data VALUES (65437, 175, 4263, 5, 174, 277, 80);
INSERT INTO public.who_data VALUES (65438, 0, 2, 0, 0, 277, 159);
INSERT INTO public.who_data VALUES (65439, 16, 2319, 1, 133, 277, 27);
INSERT INTO public.who_data VALUES (65440, 0, 25, 0, 1, 277, 146);
INSERT INTO public.who_data VALUES (65441, 13140, 254220, 674, 16792, 277, 71);
INSERT INTO public.who_data VALUES (65442, 0, 8, 0, 1, 277, 210);
INSERT INTO public.who_data VALUES (65443, 0, 141, 0, 1, 277, 54);
INSERT INTO public.who_data VALUES (65444, 33, 2292, 4, 116, 277, 147);
INSERT INTO public.who_data VALUES (65445, 10, 806, 1, 52, 277, 2);
INSERT INTO public.who_data VALUES (65446, 0, 42, 0, 1, 277, 105);
INSERT INTO public.who_data VALUES (65447, 7, 335, 0, 3, 277, 53);
INSERT INTO public.who_data VALUES (65448, 0, 122, 0, 0, 277, 81);
INSERT INTO public.who_data VALUES (65449, 0, 3529, 0, 140, 277, 223);
INSERT INTO public.who_data VALUES (65450, 1193, 78499, 52, 5857, 277, 94);
INSERT INTO public.who_data VALUES (65451, 0, 94, 0, 1, 277, 154);
INSERT INTO public.who_data VALUES (65452, 75, 411, 0, 0, 277, 83);
INSERT INTO public.who_data VALUES (65453, 26, 545, 2, 56, 277, 194);
INSERT INTO public.who_data VALUES (65454, 0, 46059, 0, 478, 277, 136);
INSERT INTO public.who_data VALUES (65455, 5, 84505, 0, 4645, 277, 179);
INSERT INTO public.who_data VALUES (65456, 721, 16295, 18, 592, 277, 57);
INSERT INTO public.who_data VALUES (65457, 23, 34, 0, 1, 277, 35);
INSERT INTO public.who_data VALUES (65458, 6, 420, 0, 15, 277, 228);
INSERT INTO public.who_data VALUES (65459, 0, 0, 0, 0, 277, 19);
INSERT INTO public.who_data VALUES (65460, 19, 882, 0, 10, 277, 22);
INSERT INTO public.who_data VALUES (65461, 34, 2153, 0, 28, 277, 1);
INSERT INTO public.who_data VALUES (65462, 4, 2232, 1, 96, 277, 21);
INSERT INTO public.who_data VALUES (65463, 6, 1887, 0, 79, 277, 234);
INSERT INTO public.who_data VALUES (65464, 0, 16, 0, 1, 277, 91);
INSERT INTO public.who_data VALUES (65465, 1, 918, 0, 17, 277, 137);
INSERT INTO public.who_data VALUES (65466, 61, 8647, 5, 302, 277, 201);
INSERT INTO public.who_data VALUES (65467, 0, 0, 0, 0, 277, 171);
INSERT INTO public.who_data VALUES (65468, 193, 1730, 0, 60, 277, 92);
INSERT INTO public.who_data VALUES (65469, 76, 11044, 3, 551, 277, 112);
INSERT INTO public.who_data VALUES (65470, 210, 1828, 2, 9, 277, 62);
INSERT INTO public.who_data VALUES (65471, 0, 16, 0, 0, 277, 69);
INSERT INTO public.who_data VALUES (65472, 498, 13223, 7, 441, 277, 220);
INSERT INTO public.who_data VALUES (65473, 969, 34151, 103, 2839, 277, 100);
INSERT INTO public.who_data VALUES (65474, 1465, 14229, 35, 680, 277, 187);
INSERT INTO public.who_data VALUES (65475, 85, 1498, 0, 30, 277, 63);
INSERT INTO public.who_data VALUES (65476, 65, 890, 0, 7, 277, 28);
INSERT INTO public.who_data VALUES (65477, 0, 39, 0, 0, 277, 172);
INSERT INTO public.who_data VALUES (65478, 7, 1791, 0, 63, 277, 17);
INSERT INTO public.who_data VALUES (65479, 3, 208, 0, 2, 277, 226);
INSERT INTO public.who_data VALUES (65480, 13, 365, 0, 5, 277, 236);
INSERT INTO public.who_data VALUES (65481, 0, 13, 0, 0, 277, 76);
INSERT INTO public.who_data VALUES (65482, 0, 187, 0, 0, 277, 30);
INSERT INTO public.who_data VALUES (65483, 0, 18, 0, 0, 277, 128);
INSERT INTO public.who_data VALUES (65484, 19, 6399, 1, 301, 277, 86);
INSERT INTO public.who_data VALUES (65485, 462, 140959, 124, 27972, 277, 140);
INSERT INTO public.who_data VALUES (65486, 13, 210, 0, 1, 277, 44);
INSERT INTO public.who_data VALUES (65487, 0, 60, 0, 0, 277, 113);
INSERT INTO public.who_data VALUES (65488, 70, 1502, 1, 12, 277, 29);
INSERT INTO public.who_data VALUES (65489, 0, 24, 0, 1, 277, 125);
INSERT INTO public.who_data VALUES (65490, 11, 713, 0, 12, 277, 131);
INSERT INTO public.who_data VALUES (65491, 797, 176007, 83, 8090, 277, 46);
INSERT INTO public.who_data VALUES (65492, 361, 6096, 2, 31, 277, 10);
INSERT INTO public.who_data VALUES (65493, 0, 147, 0, 0, 277, 205);
INSERT INTO public.who_data VALUES (65494, 4, 2840, 0, 165, 277, 50);
INSERT INTO public.who_data VALUES (65495, 0, 11, 0, 0, 277, 20);
INSERT INTO public.who_data VALUES (65496, 0, 22, 0, 0, 277, 13);
INSERT INTO public.who_data VALUES (65497, 0, 155, 0, 13, 277, 148);
INSERT INTO public.who_data VALUES (65498, 0, 149, 0, 5, 277, 230);
INSERT INTO public.who_data VALUES (65499, 89, 2001, 3, 38, 277, 190);
INSERT INTO public.who_data VALUES (65500, 0, 252, 0, 13, 277, 188);
INSERT INTO public.who_data VALUES (65501, 67, 2863, 2, 18, 277, 123);
INSERT INTO public.who_data VALUES (65502, 0, 1038, 0, 6, 277, 9);
INSERT INTO public.who_data VALUES (65503, 7, 124, 0, 10, 277, 102);
INSERT INTO public.who_data VALUES (65504, 77, 533, 1, 21, 277, 34);
INSERT INTO public.who_data VALUES (65505, 0, 12, 0, 0, 277, 212);
INSERT INTO public.who_data VALUES (65506, 152, 2798, 4, 146, 277, 122);
INSERT INTO public.who_data VALUES (65507, 42, 3598, 3, 470, 277, 38);
INSERT INTO public.who_data VALUES (65508, 0, 1802, 0, 10, 277, 130);
INSERT INTO public.who_data VALUES (65509, 5611, 106750, 140, 3303, 277, 37);
INSERT INTO public.who_data VALUES (65510, 693, 19189, 21, 1242, 277, 231);
INSERT INTO public.who_data VALUES (65511, 2346, 126949, 64, 7183, 277, 107);
INSERT INTO public.who_data VALUES (65512, 113, 3724, 3, 134, 277, 101);
INSERT INTO public.who_data VALUES (65513, 51, 24251, 14, 1561, 277, 132);
INSERT INTO public.who_data VALUES (65514, 0, 335, 0, 24, 277, 176);
INSERT INTO public.who_data VALUES (65515, 27, 16579, 3, 278, 277, 200);
INSERT INTO public.who_data VALUES (65516, 813, 226699, 162, 32169, 277, 169);
INSERT INTO public.who_data VALUES (65517, 0, 520, 0, 9, 277, 225);
INSERT INTO public.who_data VALUES (65518, 20, 16385, 8, 771, 277, 165);
INSERT INTO public.who_data VALUES (65519, 1, 303, 0, 27, 277, 233);
INSERT INTO public.who_data VALUES (65520, 23, 672, 0, 9, 277, 215);
INSERT INTO public.who_data VALUES (65521, 265, 7234, 0, 35, 277, 177);
INSERT INTO public.who_data VALUES (65522, 51, 963, 0, 50, 277, 183);
INSERT INTO public.who_data VALUES (65523, 0, 0, 0, 0, 277, 203);
INSERT INTO public.who_data VALUES (65524, 34, 989, 0, 20, 277, 162);
INSERT INTO public.who_data VALUES (65525, 804, 17568, 3, 124, 277, 12);
INSERT INTO public.who_data VALUES (65526, 27, 1270, 0, 14, 277, 24);
INSERT INTO public.who_data VALUES (65527, 0, 19, 0, 0, 277, 119);
INSERT INTO public.who_data VALUES (65528, 3, 1012, 2, 21, 277, 39);
INSERT INTO public.who_data VALUES (65529, 7, 961, 0, 26, 277, 26);
INSERT INTO public.who_data VALUES (65530, 0, 1, 0, 0, 277, 59);
INSERT INTO public.who_data VALUES (65531, 4, 233, 1, 23, 277, 77);
INSERT INTO public.who_data VALUES (65532, 3, 68, 0, 3, 277, 134);
INSERT INTO public.who_data VALUES (65533, 0, 83, 0, 1, 277, 4);
INSERT INTO public.who_data VALUES (65534, 21, 1580, 1, 61, 277, 109);
INSERT INTO public.who_data VALUES (65535, 11, 3958, 2, 109, 277, 90);
INSERT INTO public.who_data VALUES (65536, 4, 326, 1, 2, 277, 61);
INSERT INTO public.who_data VALUES (65537, 1, 71, 0, 3, 277, 85);
INSERT INTO public.who_data VALUES (65538, 37, 6978, 1, 114, 277, 49);
INSERT INTO public.who_data VALUES (65539, 43, 1186, 0, 4, 277, 208);
INSERT INTO public.who_data VALUES (65540, 27, 901, 1, 53, 277, 166);
INSERT INTO public.who_data VALUES (65541, 11, 568, 0, 6, 277, 64);
INSERT INTO public.who_data VALUES (65542, 0, 0, 0, 0, 277, 199);
INSERT INTO public.who_data VALUES (65543, 0, 192, 0, 14, 277, 114);
INSERT INTO public.who_data VALUES (65544, 50, 131, 0, 4, 277, 60);
INSERT INTO public.who_data VALUES (65545, 0, 332, 0, 10, 277, 68);
INSERT INTO public.who_data VALUES (65546, 49, 1419, 1, 19, 277, 158);
INSERT INTO public.who_data VALUES (65547, 2414, 51633, 155, 5332, 277, 52);
INSERT INTO public.who_data VALUES (65548, 0, 0, 0, 0, 277, 117);
INSERT INTO public.who_data VALUES (65549, 0, 68, 0, 1, 277, 126);
INSERT INTO public.who_data VALUES (65550, 0, 140, 0, 0, 277, 196);
INSERT INTO public.who_data VALUES (65551, 0, 324, 0, 9, 277, 142);
INSERT INTO public.who_data VALUES (65552, 0, 11, 0, 1, 277, 185);
INSERT INTO public.who_data VALUES (65553, 76, 7048, 1, 194, 277, 138);
INSERT INTO public.who_data VALUES (65554, 1, 146, 0, 0, 277, 181);
INSERT INTO public.who_data VALUES (65555, 2, 193, 0, 6, 277, 178);
INSERT INTO public.who_data VALUES (65556, 0, 16, 0, 0, 277, 168);
INSERT INTO public.who_data VALUES (65557, 0, 0, 0, 0, 277, 160);
INSERT INTO public.who_data VALUES (65558, 25, 427, 0, 2, 277, 151);
INSERT INTO public.who_data VALUES (65559, 111, 44021, 24, 5689, 277, 193);
INSERT INTO public.who_data VALUES (65560, 0, 18, 0, 0, 277, 18);
INSERT INTO public.who_data VALUES (65561, 0, 1153, 0, 21, 277, 40);
INSERT INTO public.who_data VALUES (65562, 0, 25, 0, 8, 277, 218);
INSERT INTO public.who_data VALUES (65563, 5, 914, 0, 55, 277, 191);
INSERT INTO public.who_data VALUES (65564, 226, 6401, 1, 192, 277, 156);
INSERT INTO public.who_data VALUES (65565, 0, 0, 0, 0, 277, 135);
INSERT INTO public.who_data VALUES (65566, 0, 21, 0, 2, 277, 88);
INSERT INTO public.who_data VALUES (65567, 22, 1839, 2, 106, 277, 55);
INSERT INTO public.who_data VALUES (65568, 8, 8257, 0, 233, 277, 108);
INSERT INTO public.who_data VALUES (65569, 10, 577, 0, 4, 277, 48);
INSERT INTO public.who_data VALUES (65570, 372, 6043, 2, 29, 277, 3);
INSERT INTO public.who_data VALUES (65571, 0, 712, 0, 13, 277, 224);
INSERT INTO public.who_data VALUES (65572, 1932, 45898, 46, 985, 277, 110);
INSERT INTO public.who_data VALUES (65573, 0, 0, 0, 0, 277, 106);
INSERT INTO public.who_data VALUES (65574, 120, 9726, 4, 279, 277, 89);
INSERT INTO public.who_data VALUES (65575, 0, 8, 0, 0, 277, 121);
INSERT INTO public.who_data VALUES (65576, 41, 829, 0, 11, 277, 163);
INSERT INTO public.who_data VALUES (65577, 2660, 94933, 141, 2789, 277, 70);
INSERT INTO public.who_data VALUES (65578, 224, 12942, 6, 837, 277, 174);
INSERT INTO public.who_data VALUES (65579, 0, 0, 0, 0, 277, 175);
INSERT INTO public.who_data VALUES (65580, 383, 19268, 12, 948, 277, 118);
INSERT INTO public.who_data VALUES (65581, 223, 29432, 16, 1247, 277, 189);
INSERT INTO public.who_data VALUES (65582, 95, 2805, 0, 124, 277, 124);
INSERT INTO public.who_data VALUES (65583, 1491, 37097, 1, 16, 277, 192);
INSERT INTO public.who_data VALUES (65584, 32, 11110, 0, 263, 277, 41);
INSERT INTO public.who_data VALUES (65585, 202, 6340, 5, 224, 277, 95);
INSERT INTO public.who_data VALUES (65586, 0, 446, 0, 0, 277, 74);
INSERT INTO public.who_data VALUES (65587, 155, 17191, 19, 1126, 277, 11);
INSERT INTO public.who_data VALUES (65588, 8764, 308705, 135, 2972, 277, 87);
INSERT INTO public.who_data VALUES (65589, 11, 308, 0, 0, 277, 214);
INSERT INTO public.who_data VALUES (65590, 0, 2, 0, 0, 277, 116);
INSERT INTO public.who_data VALUES (65591, 0, 6, 0, 0, 277, 157);
INSERT INTO public.who_data VALUES (65592, 0, 0, 0, 0, 277, 182);
INSERT INTO public.who_data VALUES (65593, 0, 15, 0, 0, 277, 186);
INSERT INTO public.who_data VALUES (65594, 0, 18, 0, 0, 277, 127);
INSERT INTO public.who_data VALUES (65595, 0, 39, 0, 3, 277, 232);
INSERT INTO public.who_data VALUES (65596, 0, 1, 0, 0, 277, 33);
INSERT INTO public.who_data VALUES (65597, 0, 17, 0, 0, 277, 97);
INSERT INTO public.who_data VALUES (65598, 0, 0, 0, 0, 277, 42);
INSERT INTO public.who_data VALUES (65599, 0, 668, 0, 41, 277, 198);
INSERT INTO public.who_data VALUES (65600, 0, 165, 0, 7, 277, 216);
INSERT INTO public.who_data VALUES (65601, 2691, 62545, 10, 339, 277, 164);
INSERT INTO public.who_data VALUES (65602, 73, 2617, 4, 30, 277, 235);
INSERT INTO public.who_data VALUES (65603, 34, 10733, 3, 234, 277, 67);
INSERT INTO public.who_data VALUES (65604, 0, 11, 0, 0, 277, 15);
INSERT INTO public.who_data VALUES (65605, 15, 534, 0, 33, 277, 180);
INSERT INTO public.who_data VALUES (65606, 451, 28794, 0, 22, 277, 237);
INSERT INTO public.who_data VALUES (65607, 0, 2, 0, 0, 277, 25);
INSERT INTO public.who_data VALUES (65608, 0, 78, 0, 15, 277, 209);
INSERT INTO public.who_data VALUES (65609, 1, 1495, 0, 28, 277, 217);
INSERT INTO public.who_data VALUES (65610, 1, 1467, 0, 111, 277, 79);
INSERT INTO public.who_data VALUES (65611, 0, 0, 0, 0, 277, 143);
INSERT INTO public.who_data VALUES (65612, 71, 1573, 2, 61, 277, 229);
INSERT INTO public.who_data VALUES (65613, 767, 17200, 26, 312, 277, 141);
INSERT INTO public.who_data VALUES (65614, 0, 282, 0, 4, 277, 197);
INSERT INTO public.who_data VALUES (65615, 706, 238900, 72, 28451, 277, 221);
INSERT INTO public.who_data VALUES (65616, 7, 1027, 0, 9, 277, 150);
INSERT INTO public.who_data VALUES (65617, 137, 2728, 6, 111, 277, 56);
INSERT INTO public.who_data VALUES (65618, 0, 11, 0, 1, 277, 167);
INSERT INTO public.who_data VALUES (65619, 430, 31150, 59, 4082, 277, 23);
INSERT INTO public.who_data VALUES (65620, 36, 30632, 4, 1706, 277, 222);
INSERT INTO public.who_data VALUES (65621, 0, 58, 0, 3, 277, 219);
INSERT INTO public.who_data VALUES (65622, 207, 1936, 0, 44, 277, 7);
INSERT INTO public.who_data VALUES (65623, 1, 3034, 0, 56, 277, 161);
INSERT INTO public.who_data VALUES (65624, 2589, 232679, 500, 34466, 277, 149);
INSERT INTO public.who_data VALUES (65625, 0, 24, 0, 0, 277, 6);
INSERT INTO public.who_data VALUES (65626, 8, 338, 0, 12, 277, 139);
INSERT INTO public.who_data VALUES (65627, 0, 0, 0, 0, 277, 211);
INSERT INTO public.who_data VALUES (65628, 0, 0, 0, 0, 277, 14);
INSERT INTO public.who_data VALUES (65629, 0, 116, 0, 8, 277, 111);
INSERT INTO public.who_data VALUES (65630, 1, 1044, 1, 47, 277, 207);
INSERT INTO public.who_data VALUES (65631, 1022, 151615, 28, 4199, 277, 66);
INSERT INTO public.who_data VALUES (65632, 0, 0, 0, 0, 277, 173);
INSERT INTO public.who_data VALUES (65633, 0, 12, 0, 1, 277, 145);
INSERT INTO public.who_data VALUES (65634, 0, 0, 0, 0, 277, 65);
INSERT INTO public.who_data VALUES (65635, 0, 260, 0, 0, 277, 184);
INSERT INTO public.who_data VALUES (65636, 354, 19230, 16, 564, 277, 98);
INSERT INTO public.who_data VALUES (65637, 0, 25063, 0, 227, 277, 104);
INSERT INTO public.who_data VALUES (65638, 0, 509, 0, 21, 277, 73);
INSERT INTO public.who_data VALUES (65639, 24417, 1501876, 932, 90203, 277, 8);
INSERT INTO public.who_data VALUES (65640, 0, 69, 0, 6, 277, 227);
INSERT INTO public.who_data VALUES (65641, 3, 737, 0, 20, 277, 75);
INSERT INTO public.who_data VALUES (65642, 78, 2880, 0, 13, 277, 45);
INSERT INTO public.who_data VALUES (65643, 0, 0, 0, 0, 277, 133);
INSERT INTO public.who_data VALUES (65644, 0, 618, 0, 10, 277, 202);
INSERT INTO public.who_data VALUES (65645, 0, 324, 0, 0, 277, 129);
INSERT INTO public.who_data VALUES (65646, 0, 0, 0, 0, 277, 36);
INSERT INTO public.who_data VALUES (65647, 37, 171, 8, 29, 277, 51);
INSERT INTO public.who_data VALUES (65648, 11, 772, 0, 7, 277, 206);
INSERT INTO public.who_data VALUES (65649, 0, 46, 0, 4, 277, 5);
INSERT INTO public.who_data VALUES (65650, 583, 7655, 4, 177, 278, 103);
INSERT INTO public.who_data VALUES (65651, 0, 910, 0, 30, 278, 58);
INSERT INTO public.who_data VALUES (65652, 182, 7201, 7, 555, 278, 195);
INSERT INTO public.who_data VALUES (65653, 0, 0, 0, 0, 278, 115);
INSERT INTO public.who_data VALUES (65654, 0, 761, 0, 51, 278, 99);
INSERT INTO public.who_data VALUES (65655, 2, 50, 0, 2, 278, 153);
INSERT INTO public.who_data VALUES (65656, 0, 3, 0, 0, 278, 93);
INSERT INTO public.who_data VALUES (65657, 0, 25, 0, 3, 278, 84);
INSERT INTO public.who_data VALUES (65658, 263, 8068, 7, 373, 278, 78);
INSERT INTO public.who_data VALUES (65659, 351, 4799, 1, 61, 278, 170);
INSERT INTO public.who_data VALUES (65660, 0, 101, 0, 3, 278, 32);
INSERT INTO public.who_data VALUES (65661, 15, 7060, 1, 99, 278, 155);
INSERT INTO public.who_data VALUES (65662, 25, 16179, 0, 629, 278, 82);
INSERT INTO public.who_data VALUES (65663, 113, 3387, 1, 40, 278, 16);
INSERT INTO public.who_data VALUES (65664, 0, 96, 0, 11, 278, 72);
INSERT INTO public.who_data VALUES (65665, 218, 7374, 0, 12, 278, 43);
INSERT INTO public.who_data VALUES (65666, 1251, 25121, 21, 370, 278, 120);
INSERT INTO public.who_data VALUES (65667, 2, 88, 0, 7, 278, 213);
INSERT INTO public.who_data VALUES (65668, 922, 30572, 6, 171, 278, 31);
INSERT INTO public.who_data VALUES (65669, 317, 56728, 35, 9005, 278, 204);
INSERT INTO public.who_data VALUES (65670, 0, 18, 0, 2, 278, 152);
INSERT INTO public.who_data VALUES (65671, -210, 129, 0, 2, 278, 144);
INSERT INTO public.who_data VALUES (65672, 0, 123, 0, 9, 278, 96);
INSERT INTO public.who_data VALUES (65673, 0, 21, 0, 0, 278, 47);
INSERT INTO public.who_data VALUES (65674, 262, 4088, 4, 169, 278, 80);
INSERT INTO public.who_data VALUES (65675, 0, 2, 0, 0, 278, 159);
INSERT INTO public.who_data VALUES (65676, 14, 2303, 0, 132, 278, 27);
INSERT INTO public.who_data VALUES (65677, 0, 25, 0, 1, 278, 146);
INSERT INTO public.who_data VALUES (65678, 7938, 241080, 485, 16118, 278, 71);
INSERT INTO public.who_data VALUES (65679, 0, 8, 0, 1, 278, 210);
INSERT INTO public.who_data VALUES (65680, 0, 141, 0, 1, 278, 54);
INSERT INTO public.who_data VALUES (65681, 24, 2259, 2, 112, 278, 147);
INSERT INTO public.who_data VALUES (65682, 0, 796, 0, 51, 278, 2);
INSERT INTO public.who_data VALUES (65683, 0, 42, 0, 1, 278, 105);
INSERT INTO public.who_data VALUES (65684, 0, 328, 0, 3, 278, 53);
INSERT INTO public.who_data VALUES (65685, 0, 122, 0, 0, 278, 81);
INSERT INTO public.who_data VALUES (65686, 482, 3529, 1, 140, 278, 223);
INSERT INTO public.who_data VALUES (65687, 1102, 77306, 103, 5805, 278, 94);
INSERT INTO public.who_data VALUES (65688, 0, 94, 0, 1, 278, 154);
INSERT INTO public.who_data VALUES (65689, 9, 336, 0, 0, 278, 83);
INSERT INTO public.who_data VALUES (65690, 16, 519, 1, 54, 278, 194);
INSERT INTO public.who_data VALUES (65691, 2278, 46059, 28, 478, 278, 136);
INSERT INTO public.who_data VALUES (65692, 6, 84500, 0, 4645, 278, 179);
INSERT INTO public.who_data VALUES (65693, 635, 15574, 12, 574, 278, 57);
INSERT INTO public.who_data VALUES (65694, 0, 11, 0, 1, 278, 35);
INSERT INTO public.who_data VALUES (65695, 4, 414, 0, 15, 278, 228);
INSERT INTO public.who_data VALUES (65696, 0, 0, 0, 0, 278, 19);
INSERT INTO public.who_data VALUES (65697, 10, 863, 0, 10, 278, 22);
INSERT INTO public.who_data VALUES (65698, 10, 2119, 1, 28, 278, 1);
INSERT INTO public.who_data VALUES (65699, 2, 2228, 0, 95, 278, 21);
INSERT INTO public.who_data VALUES (65700, 9, 1881, 0, 79, 278, 234);
INSERT INTO public.who_data VALUES (65701, 0, 16, 0, 1, 278, 91);
INSERT INTO public.who_data VALUES (65702, 1, 917, 0, 17, 278, 137);
INSERT INTO public.who_data VALUES (65703, 111, 8586, 0, 297, 278, 201);
INSERT INTO public.who_data VALUES (65704, 0, 0, 0, 0, 278, 171);
INSERT INTO public.who_data VALUES (65705, 83, 1537, 0, 60, 278, 92);
INSERT INTO public.who_data VALUES (65706, 41, 10968, 1, 548, 278, 112);
INSERT INTO public.who_data VALUES (65707, 100, 1618, 0, 7, 278, 62);
INSERT INTO public.who_data VALUES (65708, 0, 16, 0, 0, 278, 69);
INSERT INTO public.who_data VALUES (65709, 411, 12725, 6, 434, 278, 220);
INSERT INTO public.who_data VALUES (65710, 459, 33182, 48, 2736, 278, 100);
INSERT INTO public.who_data VALUES (65711, 535, 12764, 15, 645, 278, 187);
INSERT INTO public.who_data VALUES (65712, 75, 1413, 3, 30, 278, 63);
INSERT INTO public.who_data VALUES (65713, 106, 825, 0, 7, 278, 28);
INSERT INTO public.who_data VALUES (65714, 0, 39, 0, 0, 278, 172);
INSERT INTO public.who_data VALUES (65715, 10, 1784, 0, 63, 278, 17);
INSERT INTO public.who_data VALUES (65716, 2, 205, 0, 2, 278, 226);
INSERT INTO public.who_data VALUES (65717, 35, 352, 0, 5, 278, 236);
INSERT INTO public.who_data VALUES (65718, 0, 13, 0, 0, 278, 76);
INSERT INTO public.who_data VALUES (65719, 0, 187, 0, 0, 278, 30);
INSERT INTO public.who_data VALUES (65720, 0, 18, 0, 0, 278, 128);
INSERT INTO public.who_data VALUES (65721, 33, 6380, 2, 300, 278, 86);
INSERT INTO public.who_data VALUES (65722, 461, 140497, 186, 27848, 278, 140);
INSERT INTO public.who_data VALUES (65723, 0, 197, 0, 1, 278, 44);
INSERT INTO public.who_data VALUES (65724, 0, 60, 0, 0, 278, 113);
INSERT INTO public.who_data VALUES (65725, 112, 1432, 0, 11, 278, 29);
INSERT INTO public.who_data VALUES (65726, 0, 24, 0, 1, 278, 125);
INSERT INTO public.who_data VALUES (65727, 1, 702, 0, 12, 278, 131);
INSERT INTO public.who_data VALUES (65728, 513, 175210, 72, 8007, 278, 46);
INSERT INTO public.who_data VALUES (65729, 0, 5735, 0, 29, 278, 10);
INSERT INTO public.who_data VALUES (65730, 0, 147, 0, 0, 278, 205);
INSERT INTO public.who_data VALUES (65731, 2, 2836, 2, 165, 278, 50);
INSERT INTO public.who_data VALUES (65732, 0, 11, 0, 0, 278, 20);
INSERT INTO public.who_data VALUES (65733, 0, 22, 0, 0, 278, 13);
INSERT INTO public.who_data VALUES (65734, 0, 155, 0, 13, 278, 148);
INSERT INTO public.who_data VALUES (65735, 0, 149, 0, 5, 278, 230);
INSERT INTO public.who_data VALUES (65736, 149, 1912, 2, 35, 278, 190);
INSERT INTO public.who_data VALUES (65737, 0, 252, 0, 13, 278, 188);
INSERT INTO public.who_data VALUES (65738, 69, 2796, 0, 16, 278, 123);
INSERT INTO public.who_data VALUES (65739, 48, 1038, 2, 6, 278, 9);
INSERT INTO public.who_data VALUES (65740, 0, 117, 0, 10, 278, 102);
INSERT INTO public.who_data VALUES (65741, 98, 456, 0, 20, 278, 34);
INSERT INTO public.who_data VALUES (65742, 0, 12, 0, 0, 278, 212);
INSERT INTO public.who_data VALUES (65743, 81, 2646, 4, 142, 278, 122);
INSERT INTO public.who_data VALUES (65744, 21, 3556, 5, 467, 278, 38);
INSERT INTO public.who_data VALUES (65745, 0, 1802, 0, 10, 278, 130);
INSERT INTO public.who_data VALUES (65746, 4970, 101139, 134, 3163, 278, 37);
INSERT INTO public.who_data VALUES (65747, 486, 18496, 30, 1221, 278, 231);
INSERT INTO public.who_data VALUES (65748, 2111, 124603, 62, 7119, 278, 107);
INSERT INTO public.who_data VALUES (65749, 57, 3611, 4, 131, 278, 101);
INSERT INTO public.who_data VALUES (65750, 88, 24200, 4, 1547, 278, 132);
INSERT INTO public.who_data VALUES (65751, 0, 335, 0, 24, 278, 176);
INSERT INTO public.who_data VALUES (65752, 15, 16552, 4, 275, 278, 200);
INSERT INTO public.who_data VALUES (65753, 451, 225886, 99, 32007, 278, 169);
INSERT INTO public.who_data VALUES (65754, 3, 520, 0, 9, 278, 225);
INSERT INTO public.who_data VALUES (65755, 60, 16365, 14, 763, 278, 165);
INSERT INTO public.who_data VALUES (65756, 5, 302, 0, 27, 278, 233);
INSERT INTO public.who_data VALUES (65757, 20, 649, 0, 9, 278, 215);
INSERT INTO public.who_data VALUES (65758, 218, 6969, 0, 35, 278, 177);
INSERT INTO public.who_data VALUES (65759, 25, 912, 0, 50, 278, 183);
INSERT INTO public.who_data VALUES (65760, 0, 0, 0, 0, 278, 203);
INSERT INTO public.who_data VALUES (65761, 0, 955, 0, 20, 278, 162);
INSERT INTO public.who_data VALUES (65762, 1073, 16764, 3, 121, 278, 12);
INSERT INTO public.who_data VALUES (65763, 27, 1243, 0, 14, 278, 24);
INSERT INTO public.who_data VALUES (65764, 0, 19, 0, 0, 278, 119);
INSERT INTO public.who_data VALUES (65765, 1, 1009, 0, 19, 278, 39);
INSERT INTO public.who_data VALUES (65766, 23, 954, 0, 26, 278, 26);
INSERT INTO public.who_data VALUES (65767, 0, 1, 0, 0, 278, 59);
INSERT INTO public.who_data VALUES (65768, 3, 229, 1, 22, 278, 77);
INSERT INTO public.who_data VALUES (65769, 0, 65, 0, 3, 278, 134);
INSERT INTO public.who_data VALUES (65770, 0, 83, 0, 1, 278, 4);
INSERT INTO public.who_data VALUES (65771, 8, 1559, 0, 60, 278, 109);
INSERT INTO public.who_data VALUES (65772, 2, 3947, 0, 107, 278, 90);
INSERT INTO public.who_data VALUES (65773, 18, 322, 0, 1, 278, 61);
INSERT INTO public.who_data VALUES (65774, 0, 70, 0, 3, 278, 85);
INSERT INTO public.who_data VALUES (65775, 47, 6941, 0, 113, 278, 49);
INSERT INTO public.who_data VALUES (65776, 49, 1143, 0, 4, 278, 208);
INSERT INTO public.who_data VALUES (65777, 14, 874, 0, 52, 278, 166);
INSERT INTO public.who_data VALUES (65778, 5, 557, 0, 6, 278, 64);
INSERT INTO public.who_data VALUES (65779, 0, 0, 0, 0, 278, 199);
INSERT INTO public.who_data VALUES (65780, 0, 192, 0, 14, 278, 114);
INSERT INTO public.who_data VALUES (65781, 19, 81, 0, 4, 278, 60);
INSERT INTO public.who_data VALUES (65782, 0, 332, 0, 10, 278, 68);
INSERT INTO public.who_data VALUES (65783, 28, 1370, 0, 18, 278, 158);
INSERT INTO public.who_data VALUES (65784, 2075, 49219, 132, 5177, 278, 52);
INSERT INTO public.who_data VALUES (65785, 0, 0, 0, 0, 278, 117);
INSERT INTO public.who_data VALUES (65786, 1, 68, 0, 1, 278, 126);
INSERT INTO public.who_data VALUES (65787, 0, 140, 0, 0, 278, 196);
INSERT INTO public.who_data VALUES (65788, 0, 324, 0, 9, 278, 142);
INSERT INTO public.who_data VALUES (65789, 0, 11, 0, 1, 278, 185);
INSERT INTO public.who_data VALUES (65790, 42, 6972, 1, 193, 278, 138);
INSERT INTO public.who_data VALUES (65791, 8, 145, 0, 0, 278, 181);
INSERT INTO public.who_data VALUES (65792, 3, 191, 0, 6, 278, 178);
INSERT INTO public.who_data VALUES (65793, 0, 16, 0, 0, 278, 168);
INSERT INTO public.who_data VALUES (65794, 0, 0, 0, 0, 278, 160);
INSERT INTO public.who_data VALUES (65795, 45, 402, 0, 2, 278, 151);
INSERT INTO public.who_data VALUES (65796, 148, 43910, 13, 5665, 278, 193);
INSERT INTO public.who_data VALUES (65797, 0, 18, 0, 0, 278, 18);
INSERT INTO public.who_data VALUES (65798, 4, 1153, 0, 21, 278, 40);
INSERT INTO public.who_data VALUES (65799, 0, 25, 0, 8, 278, 218);
INSERT INTO public.who_data VALUES (65800, 5, 909, 1, 55, 278, 191);
INSERT INTO public.who_data VALUES (65801, 216, 6175, 9, 191, 278, 156);
INSERT INTO public.who_data VALUES (65802, 0, 0, 0, 0, 278, 135);
INSERT INTO public.who_data VALUES (65803, 0, 21, 0, 2, 278, 88);
INSERT INTO public.who_data VALUES (65804, 25, 1817, 3, 104, 278, 55);
INSERT INTO public.who_data VALUES (65805, 52, 8249, 1, 233, 278, 108);
INSERT INTO public.who_data VALUES (65806, 7, 567, 0, 4, 278, 48);
INSERT INTO public.who_data VALUES (65807, 292, 5671, 4, 27, 278, 3);
INSERT INTO public.who_data VALUES (65808, 0, 712, 0, 13, 278, 224);
INSERT INTO public.who_data VALUES (65809, 1841, 43966, 36, 939, 278, 110);
INSERT INTO public.who_data VALUES (65810, 0, 0, 0, 0, 278, 106);
INSERT INTO public.who_data VALUES (65811, 157, 9606, 6, 275, 278, 89);
INSERT INTO public.who_data VALUES (65812, 0, 8, 0, 0, 278, 121);
INSERT INTO public.who_data VALUES (65813, 2, 788, 0, 11, 278, 163);
INSERT INTO public.who_data VALUES (65814, 3732, 92273, 125, 2648, 278, 70);
INSERT INTO public.who_data VALUES (65815, 0, 12718, 0, 831, 278, 174);
INSERT INTO public.who_data VALUES (65816, 0, 0, 0, 0, 278, 175);
INSERT INTO public.who_data VALUES (65817, 356, 18885, 11, 936, 278, 118);
INSERT INTO public.who_data VALUES (65818, 173, 29209, 13, 1231, 278, 189);
INSERT INTO public.who_data VALUES (65819, 64, 2710, 1, 124, 278, 124);
INSERT INTO public.who_data VALUES (65820, 1637, 35606, 0, 15, 278, 192);
INSERT INTO public.who_data VALUES (65821, 13, 11078, 0, 263, 278, 41);
INSERT INTO public.who_data VALUES (65822, 78, 6138, 8, 219, 278, 95);
INSERT INTO public.who_data VALUES (65823, 3, 446, 0, 0, 278, 74);
INSERT INTO public.who_data VALUES (65824, 165, 17036, 10, 1107, 278, 11);
INSERT INTO public.who_data VALUES (65825, 9263, 299941, 115, 2837, 278, 87);
INSERT INTO public.who_data VALUES (65826, 5, 297, 0, 0, 278, 214);
INSERT INTO public.who_data VALUES (65827, 0, 2, 0, 0, 278, 116);
INSERT INTO public.who_data VALUES (65828, 0, 6, 0, 0, 278, 157);
INSERT INTO public.who_data VALUES (65829, 0, 0, 0, 0, 278, 182);
INSERT INTO public.who_data VALUES (65830, 0, 15, 0, 0, 278, 186);
INSERT INTO public.who_data VALUES (65831, 0, 18, 0, 0, 278, 127);
INSERT INTO public.who_data VALUES (65832, 0, 39, 0, 3, 278, 232);
INSERT INTO public.who_data VALUES (65833, 0, 1, 0, 0, 278, 33);
INSERT INTO public.who_data VALUES (65834, 0, 17, 0, 0, 278, 97);
INSERT INTO public.who_data VALUES (65835, 0, 0, 0, 0, 278, 42);
INSERT INTO public.who_data VALUES (65836, 0, 668, 0, 41, 278, 198);
INSERT INTO public.who_data VALUES (65837, -4, 165, 0, 7, 278, 216);
INSERT INTO public.who_data VALUES (65838, 2509, 59854, 9, 329, 278, 164);
INSERT INTO public.who_data VALUES (65839, 64, 2544, 1, 26, 278, 235);
INSERT INTO public.who_data VALUES (65840, 89, 10699, 1, 231, 278, 67);
INSERT INTO public.who_data VALUES (65841, 0, 11, 0, 0, 278, 15);
INSERT INTO public.who_data VALUES (65842, 14, 519, 1, 33, 278, 180);
INSERT INTO public.who_data VALUES (65843, 305, 28343, 0, 22, 278, 237);
INSERT INTO public.who_data VALUES (65844, 0, 2, 0, 0, 278, 25);
INSERT INTO public.who_data VALUES (65845, 0, 78, 0, 15, 278, 209);
INSERT INTO public.who_data VALUES (65846, 1, 1494, 0, 28, 278, 217);
INSERT INTO public.who_data VALUES (65847, 0, 1466, 0, 111, 278, 79);
INSERT INTO public.who_data VALUES (65848, 0, 0, 0, 0, 278, 143);
INSERT INTO public.who_data VALUES (65849, 47, 1502, 2, 59, 278, 229);
INSERT INTO public.who_data VALUES (65850, 918, 16433, 22, 286, 278, 141);
INSERT INTO public.who_data VALUES (65851, 0, 282, 0, 4, 278, 197);
INSERT INTO public.who_data VALUES (65852, 265, 238194, 61, 28379, 278, 221);
INSERT INTO public.who_data VALUES (65853, 34, 1020, 0, 9, 278, 150);
INSERT INTO public.who_data VALUES (65854, 0, 2591, 0, 105, 278, 56);
INSERT INTO public.who_data VALUES (65855, 1, 11, 0, 1, 278, 167);
INSERT INTO public.who_data VALUES (65856, 259, 30720, 52, 4023, 278, 23);
INSERT INTO public.who_data VALUES (65857, 34, 30596, 3, 1702, 278, 222);
INSERT INTO public.who_data VALUES (65858, 0, 58, 0, 3, 278, 219);
INSERT INTO public.who_data VALUES (65859, 407, 1729, 5, 44, 278, 7);
INSERT INTO public.who_data VALUES (65860, 2, 3033, 0, 56, 278, 161);
INSERT INTO public.who_data VALUES (65861, 1838, 230090, 146, 33966, 278, 149);
INSERT INTO public.who_data VALUES (65862, 0, 24, 0, 0, 278, 6);
INSERT INTO public.who_data VALUES (65863, 29, 330, 1, 12, 278, 139);
INSERT INTO public.who_data VALUES (65864, 0, 0, 0, 0, 278, 211);
INSERT INTO public.who_data VALUES (65865, 0, 0, 0, 0, 278, 14);
INSERT INTO public.who_data VALUES (65866, 0, 116, 0, 8, 278, 111);
INSERT INTO public.who_data VALUES (65867, 6, 1043, 1, 46, 278, 207);
INSERT INTO public.who_data VALUES (65868, 1158, 150593, 31, 4171, 278, 66);
INSERT INTO public.who_data VALUES (65869, 0, 0, 0, 0, 278, 173);
INSERT INTO public.who_data VALUES (65870, 0, 12, 0, 1, 278, 145);
INSERT INTO public.who_data VALUES (65871, 0, 0, 0, 0, 278, 65);
INSERT INTO public.who_data VALUES (65872, 33, 260, 0, 0, 278, 184);
INSERT INTO public.who_data VALUES (65873, 260, 18876, 13, 548, 278, 98);
INSERT INTO public.who_data VALUES (65874, 1705, 25063, 7, 227, 278, 104);
INSERT INTO public.who_data VALUES (65875, 0, 509, 0, 21, 278, 73);
INSERT INTO public.who_data VALUES (65876, 13227, 1477459, 697, 89271, 278, 8);
INSERT INTO public.who_data VALUES (65877, 0, 69, 0, 6, 278, 227);
INSERT INTO public.who_data VALUES (65878, 0, 734, 1, 20, 278, 75);
INSERT INTO public.who_data VALUES (65879, 40, 2802, 1, 13, 278, 45);
INSERT INTO public.who_data VALUES (65880, 0, 0, 0, 0, 278, 133);
INSERT INTO public.who_data VALUES (65881, 77, 618, 0, 10, 278, 202);
INSERT INTO public.who_data VALUES (65882, 4, 324, 0, 0, 278, 129);
INSERT INTO public.who_data VALUES (65883, 0, 0, 0, 0, 278, 36);
INSERT INTO public.who_data VALUES (65884, 2, 134, 0, 21, 278, 51);
INSERT INTO public.who_data VALUES (65885, 8, 761, 0, 7, 278, 206);
INSERT INTO public.who_data VALUES (65886, 2, 46, 0, 4, 278, 5);
INSERT INTO public.who_data VALUES (65887, 408, 7072, 4, 173, 279, 103);
INSERT INTO public.who_data VALUES (65888, 2, 910, 0, 30, 279, 58);
INSERT INTO public.who_data VALUES (65889, 198, 7019, 6, 548, 279, 195);
INSERT INTO public.who_data VALUES (65890, 0, 0, 0, 0, 279, 115);
INSERT INTO public.who_data VALUES (65891, 0, 761, 0, 51, 279, 99);
INSERT INTO public.who_data VALUES (65892, 0, 48, 0, 2, 279, 153);
INSERT INTO public.who_data VALUES (65893, 0, 3, 0, 0, 279, 93);
INSERT INTO public.who_data VALUES (65894, 0, 25, 0, 3, 279, 84);
INSERT INTO public.who_data VALUES (65895, 326, 7805, 3, 366, 279, 78);
INSERT INTO public.who_data VALUES (65896, 189, 4448, 5, 60, 279, 170);
INSERT INTO public.who_data VALUES (65897, 0, 101, 0, 3, 279, 32);
INSERT INTO public.who_data VALUES (65898, 9, 7045, 0, 98, 279, 155);
INSERT INTO public.who_data VALUES (65899, 14, 16154, 1, 629, 279, 82);
INSERT INTO public.who_data VALUES (65900, 136, 3274, 3, 39, 279, 16);
INSERT INTO public.who_data VALUES (65901, 0, 96, 0, 11, 279, 72);
INSERT INTO public.who_data VALUES (65902, 226, 7156, 0, 12, 279, 43);
INSERT INTO public.who_data VALUES (65903, 2875, 23870, 35, 349, 279, 120);
INSERT INTO public.who_data VALUES (65904, 1, 86, 0, 7, 279, 213);
INSERT INTO public.who_data VALUES (65905, 969, 29650, 5, 165, 279, 31);
INSERT INTO public.who_data VALUES (65906, 81, 56411, 31, 8970, 279, 204);
INSERT INTO public.who_data VALUES (65907, 0, 18, 0, 2, 279, 152);
INSERT INTO public.who_data VALUES (65908, 0, 339, 0, 2, 279, 144);
INSERT INTO public.who_data VALUES (65909, 0, 123, 0, 9, 279, 96);
INSERT INTO public.who_data VALUES (65910, 0, 21, 0, 0, 279, 47);
INSERT INTO public.who_data VALUES (65911, 249, 3826, 1, 165, 279, 80);
INSERT INTO public.who_data VALUES (65912, 0, 2, 0, 0, 279, 159);
INSERT INTO public.who_data VALUES (65913, 24, 2289, 1, 132, 279, 27);
INSERT INTO public.who_data VALUES (65914, 0, 25, 0, 1, 279, 146);
INSERT INTO public.who_data VALUES (65915, 14919, 233142, 816, 15633, 279, 71);
INSERT INTO public.who_data VALUES (65916, 0, 8, 0, 1, 279, 210);
INSERT INTO public.who_data VALUES (65917, 0, 141, 0, 1, 279, 54);
INSERT INTO public.who_data VALUES (65918, 24, 2235, 2, 110, 279, 147);
INSERT INTO public.who_data VALUES (65919, 14, 796, 0, 51, 279, 2);
INSERT INTO public.who_data VALUES (65920, 15, 42, 0, 1, 279, 105);
INSERT INTO public.who_data VALUES (65921, 0, 328, 0, 3, 279, 53);
INSERT INTO public.who_data VALUES (65922, 0, 122, 0, 0, 279, 81);
INSERT INTO public.who_data VALUES (65923, 0, 3047, 0, 139, 279, 223);
INSERT INTO public.who_data VALUES (65924, 1211, 76204, 107, 5702, 279, 94);
INSERT INTO public.who_data VALUES (65925, 0, 94, 0, 1, 279, 154);
INSERT INTO public.who_data VALUES (65926, 26, 327, 0, 0, 279, 83);
INSERT INTO public.who_data VALUES (65927, 29, 503, 3, 53, 279, 194);
INSERT INTO public.who_data VALUES (65928, 2353, 43781, 29, 450, 279, 136);
INSERT INTO public.who_data VALUES (65929, 10, 84494, 0, 4645, 279, 179);
INSERT INTO public.who_data VALUES (65930, 723, 14939, 16, 562, 279, 57);
INSERT INTO public.who_data VALUES (65931, 0, 11, 0, 1, 279, 35);
INSERT INTO public.who_data VALUES (65932, 19, 410, 0, 15, 279, 228);
INSERT INTO public.who_data VALUES (65933, 0, 0, 0, 0, 279, 19);
INSERT INTO public.who_data VALUES (65934, 10, 853, 2, 10, 279, 22);
INSERT INTO public.who_data VALUES (65935, 48, 2109, 2, 27, 279, 1);
INSERT INTO public.who_data VALUES (65936, 2, 2226, 0, 95, 279, 21);
INSERT INTO public.who_data VALUES (65937, 10, 1872, 0, 79, 279, 234);
INSERT INTO public.who_data VALUES (65938, 0, 16, 0, 1, 279, 91);
INSERT INTO public.who_data VALUES (65939, 2, 916, 0, 17, 279, 137);
INSERT INTO public.who_data VALUES (65940, 20, 8475, 1, 297, 279, 201);
INSERT INTO public.who_data VALUES (65941, 0, 0, 0, 0, 279, 171);
INSERT INTO public.who_data VALUES (65942, 0, 1454, 0, 60, 279, 92);
INSERT INTO public.who_data VALUES (65943, 69, 10927, 4, 547, 279, 112);
INSERT INTO public.who_data VALUES (65944, 117, 1518, 3, 7, 279, 62);
INSERT INTO public.who_data VALUES (65945, 0, 16, 0, 0, 279, 69);
INSERT INTO public.who_data VALUES (65946, 204, 12314, 0, 428, 279, 220);
INSERT INTO public.who_data VALUES (65947, 1256, 32723, 94, 2688, 279, 100);
INSERT INTO public.who_data VALUES (65948, 510, 12229, 18, 630, 279, 187);
INSERT INTO public.who_data VALUES (65949, 73, 1338, 2, 27, 279, 63);
INSERT INTO public.who_data VALUES (65950, 29, 719, 0, 7, 279, 28);
INSERT INTO public.who_data VALUES (65951, 0, 39, 0, 0, 279, 172);
INSERT INTO public.who_data VALUES (65952, 4, 1774, 0, 63, 279, 17);
INSERT INTO public.who_data VALUES (65953, 1, 203, 0, 2, 279, 226);
INSERT INTO public.who_data VALUES (65954, 11, 317, 0, 5, 279, 236);
INSERT INTO public.who_data VALUES (65955, 0, 13, 0, 0, 279, 76);
INSERT INTO public.who_data VALUES (65956, 0, 187, 0, 0, 279, 30);
INSERT INTO public.who_data VALUES (65957, 0, 18, 0, 0, 279, 128);
INSERT INTO public.who_data VALUES (65958, 61, 6347, 1, 298, 279, 86);
INSERT INTO public.who_data VALUES (65959, 28, 140036, 66, 27662, 279, 140);
INSERT INTO public.who_data VALUES (65960, 8, 197, 0, 1, 279, 44);
INSERT INTO public.who_data VALUES (65961, 0, 60, 0, 0, 279, 113);
INSERT INTO public.who_data VALUES (65962, 0, 1320, 0, 11, 279, 29);
INSERT INTO public.who_data VALUES (65963, 1, 24, 0, 1, 279, 125);
INSERT INTO public.who_data VALUES (65964, 6, 701, 0, 12, 279, 131);
INSERT INTO public.who_data VALUES (65965, 342, 174697, 21, 7935, 279, 46);
INSERT INTO public.who_data VALUES (65966, 0, 5735, 0, 29, 279, 10);
INSERT INTO public.who_data VALUES (65967, 0, 147, 0, 0, 279, 205);
INSERT INTO public.who_data VALUES (65968, 15, 2834, 1, 163, 279, 50);
INSERT INTO public.who_data VALUES (65969, 0, 11, 0, 0, 279, 20);
INSERT INTO public.who_data VALUES (65970, 0, 22, 0, 0, 279, 13);
INSERT INTO public.who_data VALUES (65971, 0, 155, 0, 13, 279, 148);
INSERT INTO public.who_data VALUES (65972, 0, 149, 0, 5, 279, 230);
INSERT INTO public.who_data VALUES (65973, 120, 1763, 3, 33, 279, 190);
INSERT INTO public.who_data VALUES (65974, 0, 252, 0, 13, 279, 188);
INSERT INTO public.who_data VALUES (65975, 69, 2727, 0, 16, 279, 123);
INSERT INTO public.who_data VALUES (65976, 77, 990, 1, 4, 279, 9);
INSERT INTO public.who_data VALUES (65977, 1, 117, 0, 10, 279, 102);
INSERT INTO public.who_data VALUES (65978, 48, 358, 0, 20, 279, 34);
INSERT INTO public.who_data VALUES (65979, 0, 12, 0, 0, 279, 212);
INSERT INTO public.who_data VALUES (65980, 105, 2565, 4, 138, 279, 122);
INSERT INTO public.who_data VALUES (65981, 26, 3535, 11, 462, 279, 38);
INSERT INTO public.who_data VALUES (65982, 0, 1802, 0, 10, 279, 130);
INSERT INTO public.who_data VALUES (65983, 5242, 96169, 157, 3029, 279, 37);
INSERT INTO public.who_data VALUES (65984, 496, 18010, 43, 1191, 279, 231);
INSERT INTO public.who_data VALUES (65985, 2294, 122492, 69, 7057, 279, 107);
INSERT INTO public.who_data VALUES (65986, 150, 3554, 4, 127, 279, 101);
INSERT INTO public.who_data VALUES (65987, 64, 24112, 10, 1543, 279, 132);
INSERT INTO public.who_data VALUES (65988, 1, 335, 0, 24, 279, 176);
INSERT INTO public.who_data VALUES (65989, 5, 16537, 3, 271, 279, 200);
INSERT INTO public.who_data VALUES (65990, 675, 225435, 145, 31908, 279, 169);
INSERT INTO public.who_data VALUES (65991, 6, 517, 0, 9, 279, 225);
INSERT INTO public.who_data VALUES (65992, 20, 16305, 5, 749, 279, 165);
INSERT INTO public.who_data VALUES (65993, 0, 297, 0, 27, 279, 233);
INSERT INTO public.who_data VALUES (65994, 16, 629, 0, 9, 279, 215);
INSERT INTO public.who_data VALUES (65995, 311, 6751, 1, 35, 279, 177);
INSERT INTO public.who_data VALUES (65996, 57, 887, 0, 50, 279, 183);
INSERT INTO public.who_data VALUES (65997, 0, 0, 0, 0, 279, 203);
INSERT INTO public.who_data VALUES (65998, 11, 955, 0, 20, 279, 162);
INSERT INTO public.who_data VALUES (65999, 841, 15691, 6, 118, 279, 12);
INSERT INTO public.who_data VALUES (66000, 78, 1216, 0, 14, 279, 24);
INSERT INTO public.who_data VALUES (66001, 0, 19, 0, 0, 279, 119);
INSERT INTO public.who_data VALUES (66002, 11, 1008, 0, 19, 279, 39);
INSERT INTO public.who_data VALUES (66003, 20, 931, 0, 26, 279, 26);
INSERT INTO public.who_data VALUES (66004, 0, 1, 0, 0, 279, 59);
INSERT INTO public.who_data VALUES (66005, 3, 226, 1, 21, 279, 77);
INSERT INTO public.who_data VALUES (66006, 0, 65, 0, 3, 279, 134);
INSERT INTO public.who_data VALUES (66007, 0, 83, 0, 1, 279, 4);
INSERT INTO public.who_data VALUES (66008, 6, 1551, 2, 60, 279, 109);
INSERT INTO public.who_data VALUES (66009, 15, 3945, 3, 107, 279, 90);
INSERT INTO public.who_data VALUES (66010, 21, 304, 1, 1, 279, 61);
INSERT INTO public.who_data VALUES (66011, 5, 70, 0, 3, 279, 85);
INSERT INTO public.who_data VALUES (66012, 22, 6894, 0, 113, 279, 49);
INSERT INTO public.who_data VALUES (66013, 16, 1094, 0, 4, 279, 208);
INSERT INTO public.who_data VALUES (66014, 25, 860, 4, 52, 279, 166);
INSERT INTO public.who_data VALUES (66015, 7, 552, 0, 6, 279, 64);
INSERT INTO public.who_data VALUES (66016, 0, 0, 0, 0, 279, 199);
INSERT INTO public.who_data VALUES (66017, 0, 192, 0, 14, 279, 114);
INSERT INTO public.who_data VALUES (66018, 22, 62, 0, 4, 279, 60);
INSERT INTO public.who_data VALUES (66019, 0, 332, 0, 10, 279, 68);
INSERT INTO public.who_data VALUES (66020, 84, 1342, 2, 18, 279, 158);
INSERT INTO public.who_data VALUES (66021, 2112, 47144, 278, 5045, 279, 52);
INSERT INTO public.who_data VALUES (66022, 0, 0, 0, 0, 279, 117);
INSERT INTO public.who_data VALUES (66023, 0, 67, 0, 1, 279, 126);
INSERT INTO public.who_data VALUES (66024, 4, 140, 0, 0, 279, 196);
INSERT INTO public.who_data VALUES (66025, 0, 324, 0, 9, 279, 142);
INSERT INTO public.who_data VALUES (66026, 0, 11, 0, 1, 279, 185);
INSERT INTO public.who_data VALUES (66027, 132, 6930, 0, 192, 279, 138);
INSERT INTO public.who_data VALUES (66028, 8, 137, 0, 0, 279, 181);
INSERT INTO public.who_data VALUES (66029, 4, 188, 0, 6, 279, 178);
INSERT INTO public.who_data VALUES (66030, 0, 16, 0, 0, 279, 168);
INSERT INTO public.who_data VALUES (66031, 0, 0, 0, 0, 279, 160);
INSERT INTO public.who_data VALUES (66032, 62, 357, 0, 2, 279, 151);
INSERT INTO public.who_data VALUES (66033, 125, 43762, 10, 5652, 279, 193);
INSERT INTO public.who_data VALUES (66034, 0, 18, 0, 0, 279, 18);
INSERT INTO public.who_data VALUES (66035, 0, 1149, 0, 21, 279, 40);
INSERT INTO public.who_data VALUES (66036, 0, 25, 0, 8, 279, 218);
INSERT INTO public.who_data VALUES (66037, 15, 904, 3, 54, 279, 191);
INSERT INTO public.who_data VALUES (66038, 338, 5959, 6, 182, 279, 156);
INSERT INTO public.who_data VALUES (66039, 0, 0, 0, 0, 279, 135);
INSERT INTO public.who_data VALUES (66040, 0, 21, 0, 2, 279, 88);
INSERT INTO public.who_data VALUES (66041, 30, 1792, 3, 101, 279, 55);
INSERT INTO public.who_data VALUES (66042, 0, 8197, 0, 232, 279, 108);
INSERT INTO public.who_data VALUES (66043, 0, 560, 0, 4, 279, 48);
INSERT INTO public.who_data VALUES (66044, 193, 5379, 1, 23, 279, 3);
INSERT INTO public.who_data VALUES (66045, 0, 712, 0, 13, 279, 224);
INSERT INTO public.who_data VALUES (66046, 1974, 42125, 30, 903, 279, 110);
INSERT INTO public.who_data VALUES (66047, 0, 0, 0, 0, 279, 106);
INSERT INTO public.who_data VALUES (66048, 181, 9449, 3, 269, 279, 89);
INSERT INTO public.who_data VALUES (66049, 0, 8, 0, 0, 279, 121);
INSERT INTO public.who_data VALUES (66050, 8, 786, 0, 11, 279, 163);
INSERT INTO public.who_data VALUES (66051, 4046, 88541, 131, 2523, 279, 70);
INSERT INTO public.who_data VALUES (66052, 205, 12718, 7, 831, 279, 174);
INSERT INTO public.who_data VALUES (66053, 0, 0, 0, 0, 279, 175);
INSERT INTO public.who_data VALUES (66054, 272, 18529, 10, 925, 279, 118);
INSERT INTO public.who_data VALUES (66055, 226, 29036, 15, 1218, 279, 189);
INSERT INTO public.who_data VALUES (66056, 57, 2646, 1, 123, 279, 124);
INSERT INTO public.who_data VALUES (66057, 1365, 33969, 0, 15, 279, 192);
INSERT INTO public.who_data VALUES (66058, 15, 11065, 1, 263, 279, 41);
INSERT INTO public.who_data VALUES (66059, 126, 6060, 2, 211, 279, 95);
INSERT INTO public.who_data VALUES (66060, 0, 443, 0, 0, 279, 74);
INSERT INTO public.who_data VALUES (66061, 167, 16871, 16, 1097, 279, 11);
INSERT INTO public.who_data VALUES (66062, 8926, 290678, 91, 2722, 279, 87);
INSERT INTO public.who_data VALUES (66063, 3, 292, 0, 0, 279, 214);
INSERT INTO public.who_data VALUES (66064, 0, 2, 0, 0, 279, 116);
INSERT INTO public.who_data VALUES (66065, 0, 6, 0, 0, 279, 157);
INSERT INTO public.who_data VALUES (66066, 0, 0, 0, 0, 279, 182);
INSERT INTO public.who_data VALUES (66067, 0, 15, 0, 0, 279, 186);
INSERT INTO public.who_data VALUES (66068, 0, 18, 0, 0, 279, 127);
INSERT INTO public.who_data VALUES (66069, 0, 39, 0, 3, 279, 232);
INSERT INTO public.who_data VALUES (66070, 0, 1, 0, 0, 279, 33);
INSERT INTO public.who_data VALUES (66071, 0, 17, 0, 0, 279, 97);
INSERT INTO public.who_data VALUES (66072, 0, 0, 0, 0, 279, 42);
INSERT INTO public.who_data VALUES (66073, 16, 668, 0, 41, 279, 198);
INSERT INTO public.who_data VALUES (66074, 0, 169, 0, 7, 279, 216);
INSERT INTO public.who_data VALUES (66075, 2593, 57345, 8, 320, 279, 164);
INSERT INTO public.who_data VALUES (66076, 51, 2480, 0, 25, 279, 235);
INSERT INTO public.who_data VALUES (66077, 114, 10610, 2, 230, 279, 67);
INSERT INTO public.who_data VALUES (66078, 0, 11, 0, 0, 279, 15);
INSERT INTO public.who_data VALUES (66079, 43, 505, 3, 32, 279, 180);
INSERT INTO public.who_data VALUES (66080, 682, 28038, 0, 22, 279, 237);
INSERT INTO public.who_data VALUES (66081, 0, 2, 0, 0, 279, 25);
INSERT INTO public.who_data VALUES (66082, 0, 78, 0, 15, 279, 209);
INSERT INTO public.who_data VALUES (66083, 13, 1493, 1, 28, 279, 217);
INSERT INTO public.who_data VALUES (66084, 1, 1466, 0, 111, 279, 79);
INSERT INTO public.who_data VALUES (66085, 0, 0, 0, 0, 279, 143);
INSERT INTO public.who_data VALUES (66086, 34, 1455, 1, 57, 279, 229);
INSERT INTO public.who_data VALUES (66087, 1160, 15515, 3, 264, 279, 141);
INSERT INTO public.who_data VALUES (66088, 51, 282, 3, 4, 279, 197);
INSERT INTO public.who_data VALUES (66089, 404, 237929, 65, 28318, 279, 221);
INSERT INTO public.who_data VALUES (66090, 16, 986, 0, 9, 279, 150);
INSERT INTO public.who_data VALUES (66091, 302, 2591, 8, 105, 279, 56);
INSERT INTO public.who_data VALUES (66092, 0, 10, 0, 1, 279, 167);
INSERT INTO public.who_data VALUES (66093, 358, 30461, 48, 3971, 279, 23);
INSERT INTO public.who_data VALUES (66094, 12, 30562, 4, 1699, 279, 222);
INSERT INTO public.who_data VALUES (66095, 7, 58, 0, 3, 279, 219);
INSERT INTO public.who_data VALUES (66096, 0, 1322, 0, 39, 279, 7);
INSERT INTO public.who_data VALUES (66097, 3, 3031, 0, 56, 279, 161);
INSERT INTO public.who_data VALUES (66098, 2079, 228252, 67, 33820, 279, 149);
INSERT INTO public.who_data VALUES (66099, 0, 24, 0, 0, 279, 6);
INSERT INTO public.who_data VALUES (66100, 3, 301, 0, 11, 279, 139);
INSERT INTO public.who_data VALUES (66101, 0, 0, 0, 0, 279, 211);
INSERT INTO public.who_data VALUES (66102, 0, 0, 0, 0, 279, 14);
INSERT INTO public.who_data VALUES (66103, 0, 116, 0, 8, 279, 111);
INSERT INTO public.who_data VALUES (66104, 0, 1037, 0, 45, 279, 207);
INSERT INTO public.who_data VALUES (66105, 1368, 149435, 44, 4140, 279, 66);
INSERT INTO public.who_data VALUES (66106, 0, 0, 0, 0, 279, 173);
INSERT INTO public.who_data VALUES (66107, 0, 12, 0, 1, 279, 145);
INSERT INTO public.who_data VALUES (66108, 0, 0, 0, 0, 279, 65);
INSERT INTO public.who_data VALUES (66109, 0, 227, 0, 0, 279, 184);
INSERT INTO public.who_data VALUES (66110, 325, 18616, 21, 535, 279, 98);
INSERT INTO public.who_data VALUES (66111, 0, 23358, 0, 220, 279, 104);
INSERT INTO public.who_data VALUES (66112, 0, 509, 0, 21, 279, 73);
INSERT INTO public.who_data VALUES (66113, 31967, 1464232, 1394, 88574, 279, 8);
INSERT INTO public.who_data VALUES (66114, 0, 69, 0, 6, 279, 227);
INSERT INTO public.who_data VALUES (66115, 2, 734, 0, 19, 279, 75);
INSERT INTO public.who_data VALUES (66116, 21, 2762, 1, 12, 279, 45);
INSERT INTO public.who_data VALUES (66117, 0, 0, 0, 0, 279, 133);
INSERT INTO public.who_data VALUES (66118, 37, 541, 0, 10, 279, 202);
INSERT INTO public.who_data VALUES (66119, 2, 320, 0, 0, 279, 129);
INSERT INTO public.who_data VALUES (66120, 0, 0, 0, 0, 279, 36);
INSERT INTO public.who_data VALUES (66121, 6, 132, 2, 21, 279, 51);
INSERT INTO public.who_data VALUES (66122, 74, 753, 0, 7, 279, 206);
INSERT INTO public.who_data VALUES (66123, 0, 44, 0, 4, 279, 5);
INSERT INTO public.who_data VALUES (66124, 262, 6664, 1, 169, 280, 103);
INSERT INTO public.who_data VALUES (66125, 13, 908, 0, 30, 280, 58);
INSERT INTO public.who_data VALUES (66126, 191, 6821, 6, 542, 280, 195);
INSERT INTO public.who_data VALUES (66127, 0, 0, 0, 0, 280, 115);
INSERT INTO public.who_data VALUES (66128, 0, 761, 2, 51, 280, 99);
INSERT INTO public.who_data VALUES (66129, 0, 48, 0, 2, 280, 153);
INSERT INTO public.who_data VALUES (66130, 0, 3, 0, 0, 280, 93);
INSERT INTO public.who_data VALUES (66131, 0, 25, 0, 3, 280, 84);
INSERT INTO public.who_data VALUES (66132, 345, 7479, 10, 363, 280, 78);
INSERT INTO public.who_data VALUES (66133, 239, 4259, 3, 55, 280, 170);
INSERT INTO public.who_data VALUES (66134, 0, 101, 0, 3, 280, 32);
INSERT INTO public.who_data VALUES (66135, 17, 7036, 0, 98, 280, 155);
INSERT INTO public.who_data VALUES (66136, 72, 16140, 0, 628, 280, 82);
INSERT INTO public.who_data VALUES (66137, 158, 3138, 0, 36, 280, 16);
INSERT INTO public.who_data VALUES (66138, 0, 96, 0, 11, 280, 72);
INSERT INTO public.who_data VALUES (66139, 275, 6930, 0, 12, 280, 43);
INSERT INTO public.who_data VALUES (66140, 0, 20995, 0, 314, 280, 120);
INSERT INTO public.who_data VALUES (66141, 0, 85, 0, 7, 280, 213);
INSERT INTO public.who_data VALUES (66142, 951, 28681, 4, 160, 280, 31);
INSERT INTO public.who_data VALUES (66143, 147, 56330, 29, 8939, 280, 204);
INSERT INTO public.who_data VALUES (66144, 0, 18, 0, 2, 280, 152);
INSERT INTO public.who_data VALUES (66145, 0, 339, 0, 2, 280, 144);
INSERT INTO public.who_data VALUES (66146, 1, 123, 0, 9, 280, 96);
INSERT INTO public.who_data VALUES (66147, 0, 21, 0, 0, 280, 47);
INSERT INTO public.who_data VALUES (66148, 205, 3577, 12, 164, 280, 80);
INSERT INTO public.who_data VALUES (66149, 0, 2, 0, 0, 280, 159);
INSERT INTO public.who_data VALUES (66150, 28, 2265, 4, 131, 280, 27);
INSERT INTO public.who_data VALUES (66151, 1, 25, 0, 1, 280, 146);
INSERT INTO public.who_data VALUES (66152, 15305, 218223, 824, 14817, 280, 71);
INSERT INTO public.who_data VALUES (66153, 0, 8, 0, 1, 280, 210);
INSERT INTO public.who_data VALUES (66154, 0, 141, 0, 1, 280, 54);
INSERT INTO public.who_data VALUES (66155, 73, 2211, 6, 108, 280, 147);
INSERT INTO public.who_data VALUES (66156, 2, 782, 0, 51, 280, 2);
INSERT INTO public.who_data VALUES (66157, 0, 27, 0, 1, 280, 105);
INSERT INTO public.who_data VALUES (66158, 2, 328, 1, 3, 280, 53);
INSERT INTO public.who_data VALUES (66159, 0, 122, 0, 0, 280, 81);
INSERT INTO public.who_data VALUES (66160, 0, 3047, 0, 139, 280, 223);
INSERT INTO public.who_data VALUES (66161, 1164, 74993, 96, 5595, 280, 94);
INSERT INTO public.who_data VALUES (66162, 1, 94, 0, 1, 280, 154);
INSERT INTO public.who_data VALUES (66163, 0, 301, 0, 0, 280, 83);
INSERT INTO public.who_data VALUES (66164, 46, 474, 2, 50, 280, 194);
INSERT INTO public.who_data VALUES (66165, 4388, 41428, 53, 421, 280, 136);
INSERT INTO public.who_data VALUES (66166, 6, 84484, 1, 4645, 280, 179);
INSERT INTO public.who_data VALUES (66167, 606, 14216, 21, 546, 280, 57);
INSERT INTO public.who_data VALUES (66168, 0, 11, 0, 1, 280, 35);
INSERT INTO public.who_data VALUES (66169, 0, 391, 0, 15, 280, 228);
INSERT INTO public.who_data VALUES (66170, 0, 0, 0, 0, 280, 19);
INSERT INTO public.who_data VALUES (66171, 13, 843, 0, 8, 280, 22);
INSERT INTO public.who_data VALUES (66172, 44, 2061, 1, 25, 280, 1);
INSERT INTO public.who_data VALUES (66173, 2, 2224, 0, 95, 280, 21);
INSERT INTO public.who_data VALUES (66174, 22, 1862, 0, 79, 280, 234);
INSERT INTO public.who_data VALUES (66175, 0, 16, 0, 1, 280, 91);
INSERT INTO public.who_data VALUES (66176, 4, 914, 0, 17, 280, 137);
INSERT INTO public.who_data VALUES (66177, 49, 8455, 1, 296, 280, 201);
INSERT INTO public.who_data VALUES (66178, 0, 0, 0, 0, 280, 171);
INSERT INTO public.who_data VALUES (66179, 85, 1454, 0, 60, 280, 92);
INSERT INTO public.who_data VALUES (66180, 67, 10858, 5, 543, 280, 112);
INSERT INTO public.who_data VALUES (66181, 70, 1401, 0, 4, 280, 62);
INSERT INTO public.who_data VALUES (66182, 0, 16, 0, 0, 280, 69);
INSERT INTO public.who_data VALUES (66183, 371, 12110, 4, 428, 280, 220);
INSERT INTO public.who_data VALUES (66184, 965, 31467, 256, 2594, 280, 100);
INSERT INTO public.who_data VALUES (66185, 491, 11719, 20, 612, 280, 187);
INSERT INTO public.who_data VALUES (66186, 55, 1265, 2, 25, 280, 63);
INSERT INTO public.who_data VALUES (66187, 96, 690, 0, 7, 280, 28);
INSERT INTO public.who_data VALUES (66188, 0, 39, 0, 0, 280, 172);
INSERT INTO public.who_data VALUES (66189, 4, 1770, 0, 63, 280, 17);
INSERT INTO public.who_data VALUES (66190, 12, 202, 0, 2, 280, 226);
INSERT INTO public.who_data VALUES (66191, 19, 306, 0, 5, 280, 236);
INSERT INTO public.who_data VALUES (66192, 0, 13, 0, 0, 280, 76);
INSERT INTO public.who_data VALUES (66193, 0, 187, 0, 0, 280, 30);
INSERT INTO public.who_data VALUES (66194, 0, 18, 0, 0, 280, 128);
INSERT INTO public.who_data VALUES (66195, 58, 6286, 4, 297, 280, 86);
INSERT INTO public.who_data VALUES (66196, 362, 140008, 88, 27596, 280, 140);
INSERT INTO public.who_data VALUES (66197, 5, 189, 0, 1, 280, 44);
INSERT INTO public.who_data VALUES (66198, 0, 60, 0, 0, 280, 113);
INSERT INTO public.who_data VALUES (66199, 111, 1320, 1, 11, 280, 29);
INSERT INTO public.who_data VALUES (66200, 0, 23, 0, 1, 280, 125);
INSERT INTO public.who_data VALUES (66201, 18, 695, 0, 12, 280, 131);
INSERT INTO public.who_data VALUES (66202, 583, 174355, 33, 7914, 280, 46);
INSERT INTO public.who_data VALUES (66203, 97, 5735, 1, 29, 280, 10);
INSERT INTO public.who_data VALUES (66204, 0, 147, 0, 0, 280, 205);
INSERT INTO public.who_data VALUES (66205, 9, 2819, 2, 162, 280, 50);
INSERT INTO public.who_data VALUES (66206, 0, 11, 0, 0, 280, 20);
INSERT INTO public.who_data VALUES (66207, 0, 22, 0, 0, 280, 13);
INSERT INTO public.who_data VALUES (66208, 0, 155, 0, 13, 280, 148);
INSERT INTO public.who_data VALUES (66209, 0, 149, 0, 5, 280, 230);
INSERT INTO public.who_data VALUES (66210, 125, 1643, 1, 30, 280, 190);
INSERT INTO public.who_data VALUES (66211, 0, 252, 0, 13, 280, 188);
INSERT INTO public.who_data VALUES (66212, 127, 2658, 1, 16, 280, 123);
INSERT INTO public.who_data VALUES (66213, 0, 913, 0, 3, 280, 9);
INSERT INTO public.who_data VALUES (66214, 3, 116, 0, 10, 280, 102);
INSERT INTO public.who_data VALUES (66215, 37, 310, 0, 20, 280, 34);
INSERT INTO public.who_data VALUES (66216, 0, 12, 0, 0, 280, 212);
INSERT INTO public.who_data VALUES (66217, 142, 2460, 1, 134, 280, 122);
INSERT INTO public.who_data VALUES (66218, 36, 3509, 3, 451, 280, 38);
INSERT INTO public.who_data VALUES (66219, 0, 1802, 0, 10, 280, 130);
INSERT INTO public.who_data VALUES (66220, 4987, 90927, 120, 2872, 280, 37);
INSERT INTO public.who_data VALUES (66221, 489, 17514, 59, 1148, 280, 231);
INSERT INTO public.who_data VALUES (66222, 1806, 120198, 51, 6988, 280, 107);
INSERT INTO public.who_data VALUES (66223, 144, 3404, 2, 123, 280, 101);
INSERT INTO public.who_data VALUES (66224, 92, 24048, 15, 1533, 280, 132);
INSERT INTO public.who_data VALUES (66225, 1, 334, 0, 24, 280, 176);
INSERT INTO public.who_data VALUES (66226, 12, 16532, 0, 268, 280, 200);
INSERT INTO public.who_data VALUES (66227, 875, 224760, 153, 31763, 280, 169);
INSERT INTO public.who_data VALUES (66228, 2, 511, 0, 9, 280, 225);
INSERT INTO public.who_data VALUES (66229, 48, 16285, 19, 744, 280, 165);
INSERT INTO public.who_data VALUES (66230, 0, 297, 0, 27, 280, 233);
INSERT INTO public.who_data VALUES (66231, 6, 613, 0, 9, 280, 215);
INSERT INTO public.who_data VALUES (66232, 283, 6440, 0, 34, 280, 177);
INSERT INTO public.who_data VALUES (66233, 49, 830, 4, 50, 280, 183);
INSERT INTO public.who_data VALUES (66234, 0, 0, 0, 0, 280, 203);
INSERT INTO public.who_data VALUES (66235, 0, 944, 0, 20, 280, 162);
INSERT INTO public.who_data VALUES (66236, 1048, 14850, 5, 112, 280, 12);
INSERT INTO public.who_data VALUES (66237, 21, 1138, 0, 14, 280, 24);
INSERT INTO public.who_data VALUES (66238, 0, 19, 0, 0, 280, 119);
INSERT INTO public.who_data VALUES (66239, 27, 997, 0, 19, 280, 39);
INSERT INTO public.who_data VALUES (66240, 9, 911, 0, 26, 280, 26);
INSERT INTO public.who_data VALUES (66241, 0, 1, 0, 0, 280, 59);
INSERT INTO public.who_data VALUES (66242, 4, 223, 0, 20, 280, 77);
INSERT INTO public.who_data VALUES (66243, 1, 65, 0, 3, 280, 134);
INSERT INTO public.who_data VALUES (66244, 0, 83, 0, 1, 280, 4);
INSERT INTO public.who_data VALUES (66245, 9, 1545, 2, 58, 280, 109);
INSERT INTO public.who_data VALUES (66246, 7, 3930, 0, 104, 280, 90);
INSERT INTO public.who_data VALUES (66247, 45, 283, 0, 0, 280, 61);
INSERT INTO public.who_data VALUES (66248, 2, 65, 0, 3, 280, 85);
INSERT INTO public.who_data VALUES (66249, 17, 6872, 1, 113, 280, 49);
INSERT INTO public.who_data VALUES (66250, 0, 1078, 0, 4, 280, 208);
INSERT INTO public.who_data VALUES (66251, 29, 835, 2, 48, 280, 166);
INSERT INTO public.who_data VALUES (66252, 14, 545, 0, 6, 280, 64);
INSERT INTO public.who_data VALUES (66253, 0, 0, 0, 0, 280, 199);
INSERT INTO public.who_data VALUES (66254, 3, 192, 0, 14, 280, 114);
INSERT INTO public.who_data VALUES (66255, 11, 40, 1, 4, 280, 60);
INSERT INTO public.who_data VALUES (66256, 0, 332, 0, 10, 280, 68);
INSERT INTO public.who_data VALUES (66257, 0, 1258, 0, 16, 280, 158);
INSERT INTO public.who_data VALUES (66258, 2437, 45032, 290, 4767, 280, 52);
INSERT INTO public.who_data VALUES (66259, 0, 0, 0, 0, 280, 117);
INSERT INTO public.who_data VALUES (66260, 0, 67, 0, 1, 280, 126);
INSERT INTO public.who_data VALUES (66261, 1, 136, 0, 0, 280, 196);
INSERT INTO public.who_data VALUES (66262, 0, 324, 0, 9, 280, 142);
INSERT INTO public.who_data VALUES (66263, 0, 11, 0, 1, 280, 185);
INSERT INTO public.who_data VALUES (66264, 117, 6798, 0, 192, 280, 138);
INSERT INTO public.who_data VALUES (66265, 10, 129, 0, 0, 280, 181);
INSERT INTO public.who_data VALUES (66266, 2, 184, 0, 6, 280, 178);
INSERT INTO public.who_data VALUES (66267, 0, 16, 0, 0, 280, 168);
INSERT INTO public.who_data VALUES (66268, 0, 0, 0, 0, 280, 160);
INSERT INTO public.who_data VALUES (66269, 14, 295, 1, 2, 280, 151);
INSERT INTO public.who_data VALUES (66270, 194, 43637, 34, 5642, 280, 193);
INSERT INTO public.who_data VALUES (66271, 0, 18, 0, 0, 280, 18);
INSERT INTO public.who_data VALUES (66272, 1, 1149, 0, 21, 280, 40);
INSERT INTO public.who_data VALUES (66273, 0, 25, 0, 8, 280, 218);
INSERT INTO public.who_data VALUES (66274, 4, 889, 0, 51, 280, 191);
INSERT INTO public.who_data VALUES (66275, 171, 5621, 5, 176, 280, 156);
INSERT INTO public.who_data VALUES (66276, 0, 0, 0, 0, 280, 135);
INSERT INTO public.who_data VALUES (66277, 2, 21, 0, 2, 280, 88);
INSERT INTO public.who_data VALUES (66278, 22, 1762, 1, 98, 280, 55);
INSERT INTO public.who_data VALUES (66279, 0, 8197, 0, 232, 280, 108);
INSERT INTO public.who_data VALUES (66280, 6, 560, 0, 4, 280, 48);
INSERT INTO public.who_data VALUES (66281, 157, 5186, 1, 22, 280, 3);
INSERT INTO public.who_data VALUES (66282, 0, 712, 0, 13, 280, 224);
INSERT INTO public.who_data VALUES (66283, 1352, 40151, 39, 873, 280, 110);
INSERT INTO public.who_data VALUES (66284, 0, 0, 0, 0, 280, 106);
INSERT INTO public.who_data VALUES (66285, 150, 9268, 6, 266, 280, 89);
INSERT INTO public.who_data VALUES (66286, 0, 8, 0, 0, 280, 121);
INSERT INTO public.who_data VALUES (66287, 19, 778, 0, 11, 280, 163);
INSERT INTO public.who_data VALUES (66288, 3891, 84495, 125, 2392, 280, 70);
INSERT INTO public.who_data VALUES (66289, 208, 12513, 7, 824, 280, 174);
INSERT INTO public.who_data VALUES (66290, 0, 0, 0, 0, 280, 175);
INSERT INTO public.who_data VALUES (66291, 241, 18257, 8, 915, 280, 118);
INSERT INTO public.who_data VALUES (66292, 227, 28810, 13, 1203, 280, 189);
INSERT INTO public.who_data VALUES (66293, 47, 2589, 0, 122, 280, 124);
INSERT INTO public.who_data VALUES (66294, 1632, 32604, 0, 15, 280, 192);
INSERT INTO public.who_data VALUES (66295, 13, 11050, 0, 262, 280, 41);
INSERT INTO public.who_data VALUES (66296, 189, 5934, 5, 209, 280, 95);
INSERT INTO public.who_data VALUES (66297, 2, 443, 0, 0, 280, 74);
INSERT INTO public.who_data VALUES (66298, 267, 16704, 25, 1081, 280, 11);
INSERT INTO public.who_data VALUES (66299, 9709, 281752, 94, 2631, 280, 87);
INSERT INTO public.who_data VALUES (66300, 2, 289, 0, 0, 280, 214);
INSERT INTO public.who_data VALUES (66301, 0, 2, 0, 0, 280, 116);
INSERT INTO public.who_data VALUES (66302, 0, 6, 0, 0, 280, 157);
INSERT INTO public.who_data VALUES (66303, 0, 0, 0, 0, 280, 182);
INSERT INTO public.who_data VALUES (66304, 0, 15, 0, 0, 280, 186);
INSERT INTO public.who_data VALUES (66305, 0, 18, 0, 0, 280, 127);
INSERT INTO public.who_data VALUES (66306, 0, 39, 0, 3, 280, 232);
INSERT INTO public.who_data VALUES (66307, 0, 1, 0, 0, 280, 33);
INSERT INTO public.who_data VALUES (66308, 0, 17, 0, 0, 280, 97);
INSERT INTO public.who_data VALUES (66309, 0, 0, 0, 0, 280, 42);
INSERT INTO public.who_data VALUES (66310, 0, 652, 0, 41, 280, 198);
INSERT INTO public.who_data VALUES (66311, 3, 169, 0, 7, 280, 216);
INSERT INTO public.who_data VALUES (66312, 2736, 54752, 10, 312, 280, 164);
INSERT INTO public.who_data VALUES (66313, 119, 2429, 2, 25, 280, 235);
INSERT INTO public.who_data VALUES (66314, 58, 10496, 3, 228, 280, 67);
INSERT INTO public.who_data VALUES (66315, 0, 11, 0, 0, 280, 15);
INSERT INTO public.who_data VALUES (66316, 15, 462, 2, 29, 280, 180);
INSERT INTO public.who_data VALUES (66317, 465, 27356, 1, 22, 280, 237);
INSERT INTO public.who_data VALUES (66318, 0, 2, 0, 0, 280, 25);
INSERT INTO public.who_data VALUES (66319, 0, 78, 0, 15, 280, 209);
INSERT INTO public.who_data VALUES (66320, 3, 1480, 0, 27, 280, 217);
INSERT INTO public.who_data VALUES (66321, 0, 1465, 0, 111, 280, 79);
INSERT INTO public.who_data VALUES (66322, 0, 0, 0, 0, 280, 143);
INSERT INTO public.who_data VALUES (66323, 64, 1421, 1, 56, 280, 229);
INSERT INTO public.who_data VALUES (66324, 831, 14355, 14, 261, 280, 141);
INSERT INTO public.who_data VALUES (66325, 0, 231, 0, 1, 280, 197);
INSERT INTO public.who_data VALUES (66326, 928, 237525, 78, 28253, 280, 221);
INSERT INTO public.who_data VALUES (66327, 21, 970, 0, 9, 280, 150);
INSERT INTO public.who_data VALUES (66328, 325, 2289, 6, 97, 280, 56);
INSERT INTO public.who_data VALUES (66329, 0, 10, 0, 1, 280, 167);
INSERT INTO public.who_data VALUES (66330, 688, 30103, 58, 3923, 280, 23);
INSERT INTO public.who_data VALUES (66331, 15, 30550, 1, 1695, 280, 222);
INSERT INTO public.who_data VALUES (66332, 1, 51, 0, 3, 280, 219);
INSERT INTO public.who_data VALUES (66333, 204, 1322, 3, 39, 280, 7);
INSERT INTO public.who_data VALUES (66334, 3, 3028, 0, 56, 280, 161);
INSERT INTO public.who_data VALUES (66335, 2526, 226173, 411, 33753, 280, 149);
INSERT INTO public.who_data VALUES (66336, 0, 24, 0, 0, 280, 6);
INSERT INTO public.who_data VALUES (66337, 35, 298, 0, 11, 280, 139);
INSERT INTO public.who_data VALUES (66338, 0, 0, 0, 0, 280, 211);
INSERT INTO public.who_data VALUES (66339, 0, 0, 0, 0, 280, 14);
INSERT INTO public.who_data VALUES (66340, 0, 116, 0, 8, 280, 111);
INSERT INTO public.who_data VALUES (66341, 2, 1037, 0, 45, 280, 207);
INSERT INTO public.who_data VALUES (66342, 1610, 148067, 41, 4096, 280, 66);
INSERT INTO public.who_data VALUES (66343, 0, 0, 0, 0, 280, 173);
INSERT INTO public.who_data VALUES (66344, 0, 12, 0, 1, 280, 145);
INSERT INTO public.who_data VALUES (66345, 0, 0, 0, 0, 280, 65);
INSERT INTO public.who_data VALUES (66346, 24, 227, 0, 0, 280, 184);
INSERT INTO public.who_data VALUES (66347, 433, 18291, 17, 514, 280, 98);
INSERT INTO public.who_data VALUES (66348, 1527, 23358, 10, 220, 280, 104);
INSERT INTO public.who_data VALUES (66349, 0, 509, 0, 21, 280, 73);
INSERT INTO public.who_data VALUES (66350, 22813, 1432265, 1320, 87180, 280, 8);
INSERT INTO public.who_data VALUES (66351, 0, 69, 0, 6, 280, 227);
INSERT INTO public.who_data VALUES (66352, 8, 732, 0, 19, 280, 75);
INSERT INTO public.who_data VALUES (66353, 50, 2741, 0, 11, 280, 45);
INSERT INTO public.who_data VALUES (66354, 0, 0, 0, 0, 280, 133);
INSERT INTO public.who_data VALUES (66355, 49, 504, 0, 10, 280, 202);
INSERT INTO public.who_data VALUES (66356, 0, 318, 0, 0, 280, 129);
INSERT INTO public.who_data VALUES (66357, 0, 0, 0, 0, 280, 36);
INSERT INTO public.who_data VALUES (66358, 2, 126, 0, 19, 280, 51);
INSERT INTO public.who_data VALUES (66359, 11, 679, 0, 7, 280, 206);
INSERT INTO public.who_data VALUES (66360, 2, 44, 0, 4, 280, 5);
INSERT INTO public.who_data VALUES (66361, 349, 6402, 15, 168, 281, 103);
INSERT INTO public.who_data VALUES (66362, 35, 895, 0, 30, 281, 58);
INSERT INTO public.who_data VALUES (66363, 188, 6630, 7, 536, 281, 195);
INSERT INTO public.who_data VALUES (66364, 0, 0, 0, 0, 281, 115);
INSERT INTO public.who_data VALUES (66365, 0, 761, 0, 49, 281, 99);
INSERT INTO public.who_data VALUES (66366, 0, 48, 0, 2, 281, 153);
INSERT INTO public.who_data VALUES (66367, 0, 3, 0, 0, 281, 93);
INSERT INTO public.who_data VALUES (66368, 0, 25, 0, 3, 281, 84);
INSERT INTO public.who_data VALUES (66369, 161, 7134, 8, 353, 281, 78);
INSERT INTO public.who_data VALUES (66370, 184, 4020, 3, 52, 281, 170);
INSERT INTO public.who_data VALUES (66371, 0, 101, 0, 3, 281, 32);
INSERT INTO public.who_data VALUES (66372, 30, 7019, 0, 98, 281, 155);
INSERT INTO public.who_data VALUES (66373, 63, 16068, 2, 628, 281, 82);
INSERT INTO public.who_data VALUES (66374, 101, 2980, 1, 36, 281, 16);
INSERT INTO public.who_data VALUES (66375, 2, 96, 0, 11, 281, 72);
INSERT INTO public.who_data VALUES (66376, 237, 6655, 2, 12, 281, 43);
INSERT INTO public.who_data VALUES (66377, 930, 20995, 16, 314, 281, 120);
INSERT INTO public.who_data VALUES (66378, 0, 85, 0, 7, 281, 213);
INSERT INTO public.who_data VALUES (66379, 958, 27730, 5, 156, 281, 31);
INSERT INTO public.who_data VALUES (66380, 346, 56183, 45, 8910, 281, 204);
INSERT INTO public.who_data VALUES (66381, 0, 18, 0, 2, 281, 152);
INSERT INTO public.who_data VALUES (66382, 0, 339, 0, 2, 281, 144);
INSERT INTO public.who_data VALUES (66383, 1, 122, 1, 9, 281, 96);
INSERT INTO public.who_data VALUES (66384, 1, 21, 0, 0, 281, 47);
INSERT INTO public.who_data VALUES (66385, 224, 3372, 10, 152, 281, 80);
INSERT INTO public.who_data VALUES (66386, 0, 2, 0, 0, 281, 159);
INSERT INTO public.who_data VALUES (66387, 21, 2237, 4, 127, 281, 27);
INSERT INTO public.who_data VALUES (66388, 0, 24, 0, 1, 281, 146);
INSERT INTO public.who_data VALUES (66389, 13944, 202918, 844, 13993, 281, 71);
INSERT INTO public.who_data VALUES (66390, 1, 8, 0, 1, 281, 210);
INSERT INTO public.who_data VALUES (66391, 0, 141, 0, 1, 281, 54);
INSERT INTO public.who_data VALUES (66392, 38, 2138, 3, 102, 281, 147);
INSERT INTO public.who_data VALUES (66393, 7, 780, 0, 51, 281, 2);
INSERT INTO public.who_data VALUES (66394, 0, 27, 0, 1, 281, 105);
INSERT INTO public.who_data VALUES (66395, 11, 326, 0, 2, 281, 53);
INSERT INTO public.who_data VALUES (66396, 0, 122, 0, 0, 281, 81);
INSERT INTO public.who_data VALUES (66397, 93, 3047, 0, 139, 281, 223);
INSERT INTO public.who_data VALUES (66398, 1293, 73829, 162, 5499, 281, 94);
INSERT INTO public.who_data VALUES (66399, 7, 93, 0, 1, 281, 154);
INSERT INTO public.who_data VALUES (66400, 80, 301, 0, 0, 281, 83);
INSERT INTO public.who_data VALUES (66401, 29, 428, 2, 48, 281, 194);
INSERT INTO public.who_data VALUES (66402, 0, 37040, 0, 368, 281, 136);
INSERT INTO public.who_data VALUES (66403, 9, 84478, 0, 4644, 281, 179);
INSERT INTO public.who_data VALUES (66404, 680, 13610, 16, 525, 281, 57);
INSERT INTO public.who_data VALUES (66405, 0, 11, 0, 1, 281, 35);
INSERT INTO public.who_data VALUES (66406, 0, 391, 0, 15, 281, 228);
INSERT INTO public.who_data VALUES (66407, 0, 0, 0, 0, 281, 19);
INSERT INTO public.who_data VALUES (66408, 15, 830, 1, 8, 281, 22);
INSERT INTO public.who_data VALUES (66409, 46, 2017, 0, 24, 281, 1);
INSERT INTO public.who_data VALUES (66410, 1, 2222, 1, 95, 281, 21);
INSERT INTO public.who_data VALUES (66411, 10, 1840, 0, 79, 281, 234);
INSERT INTO public.who_data VALUES (66412, 0, 16, 0, 1, 281, 91);
INSERT INTO public.who_data VALUES (66413, 3, 910, 0, 17, 281, 137);
INSERT INTO public.who_data VALUES (66414, 55, 8406, 2, 295, 281, 201);
INSERT INTO public.who_data VALUES (66415, 0, 0, 0, 0, 281, 171);
INSERT INTO public.who_data VALUES (66416, 71, 1369, 10, 60, 281, 92);
INSERT INTO public.who_data VALUES (66417, 78, 10791, 0, 538, 281, 112);
INSERT INTO public.who_data VALUES (66418, 22, 1331, 0, 4, 281, 62);
INSERT INTO public.who_data VALUES (66419, 0, 16, 0, 0, 281, 69);
INSERT INTO public.who_data VALUES (66420, 419, 11739, 2, 424, 281, 220);
INSERT INTO public.who_data VALUES (66421, 0, 30502, 0, 2338, 281, 100);
INSERT INTO public.who_data VALUES (66422, 399, 11228, 21, 592, 281, 187);
INSERT INTO public.who_data VALUES (66423, 98, 1210, 3, 23, 281, 63);
INSERT INTO public.who_data VALUES (66424, 0, 594, 0, 7, 281, 28);
INSERT INTO public.who_data VALUES (66425, 0, 39, 0, 0, 281, 172);
INSERT INTO public.who_data VALUES (66426, 8, 1766, 1, 63, 281, 17);
INSERT INTO public.who_data VALUES (66427, 3, 190, 0, 2, 281, 226);
INSERT INTO public.who_data VALUES (66428, 15, 287, 0, 5, 281, 236);
INSERT INTO public.who_data VALUES (66429, 0, 13, 0, 0, 281, 76);
INSERT INTO public.who_data VALUES (66430, 0, 187, 0, 0, 281, 30);
INSERT INTO public.who_data VALUES (66431, 0, 18, 0, 0, 281, 128);
INSERT INTO public.who_data VALUES (66432, 83, 6228, 6, 293, 281, 86);
INSERT INTO public.who_data VALUES (66433, 494, 139646, 130, 27508, 281, 140);
INSERT INTO public.who_data VALUES (66434, 20, 184, 0, 1, 281, 44);
INSERT INTO public.who_data VALUES (66435, 0, 60, 0, 0, 281, 113);
INSERT INTO public.who_data VALUES (66436, 105, 1209, 0, 10, 281, 29);
INSERT INTO public.who_data VALUES (66437, 0, 23, 0, 1, 281, 125);
INSERT INTO public.who_data VALUES (66438, 6, 677, 0, 12, 281, 131);
INSERT INTO public.who_data VALUES (66439, 620, 173772, 57, 7881, 281, 46);
INSERT INTO public.who_data VALUES (66440, 108, 5638, 4, 28, 281, 10);
INSERT INTO public.who_data VALUES (66441, 0, 147, 0, 0, 281, 205);
INSERT INTO public.who_data VALUES (66442, 40, 2810, 4, 160, 281, 50);
INSERT INTO public.who_data VALUES (66443, 0, 11, 0, 0, 281, 20);
INSERT INTO public.who_data VALUES (66444, 1, 22, 0, 0, 281, 13);
INSERT INTO public.who_data VALUES (66445, 0, 155, 0, 13, 281, 148);
INSERT INTO public.who_data VALUES (66446, 0, 149, 0, 5, 281, 230);
INSERT INTO public.who_data VALUES (66447, 176, 1518, 0, 29, 281, 190);
INSERT INTO public.who_data VALUES (66448, 0, 252, 0, 13, 281, 188);
INSERT INTO public.who_data VALUES (66449, 58, 2531, 1, 15, 281, 123);
INSERT INTO public.who_data VALUES (66450, 0, 913, 0, 3, 281, 9);
INSERT INTO public.who_data VALUES (66451, 0, 113, 0, 10, 281, 102);
INSERT INTO public.who_data VALUES (66452, 39, 273, 2, 20, 281, 34);
INSERT INTO public.who_data VALUES (66453, 0, 12, 0, 0, 281, 212);
INSERT INTO public.who_data VALUES (66454, 63, 2318, 10, 133, 281, 122);
INSERT INTO public.who_data VALUES (66455, 56, 3473, 6, 448, 281, 38);
INSERT INTO public.who_data VALUES (66456, 0, 1802, 0, 10, 281, 130);
INSERT INTO public.who_data VALUES (66457, 3970, 85940, 103, 2752, 281, 37);
INSERT INTO public.who_data VALUES (66458, 529, 17025, 13, 1089, 281, 231);
INSERT INTO public.who_data VALUES (66459, 1757, 118392, 35, 6937, 281, 107);
INSERT INTO public.who_data VALUES (66460, 67, 3260, 4, 121, 281, 101);
INSERT INTO public.who_data VALUES (66461, 129, 23956, 12, 1518, 281, 132);
INSERT INTO public.who_data VALUES (66462, 1, 333, 0, 24, 281, 176);
INSERT INTO public.who_data VALUES (66463, 22, 16520, 2, 268, 281, 200);
INSERT INTO public.who_data VALUES (66464, 789, 223885, 242, 31610, 281, 169);
INSERT INTO public.who_data VALUES (66465, 0, 509, 0, 9, 281, 225);
INSERT INTO public.who_data VALUES (66466, 44, 16237, 15, 725, 281, 165);
INSERT INTO public.who_data VALUES (66467, 0, 297, 0, 27, 281, 233);
INSERT INTO public.who_data VALUES (66468, 11, 607, 0, 9, 281, 215);
INSERT INTO public.who_data VALUES (66469, 307, 6157, 0, 34, 281, 177);
INSERT INTO public.who_data VALUES (66470, 23, 781, 4, 46, 281, 183);
INSERT INTO public.who_data VALUES (66471, 0, 0, 0, 0, 281, 203);
INSERT INTO public.who_data VALUES (66472, 0, 944, 0, 20, 281, 162);
INSERT INTO public.who_data VALUES (66473, 942, 13802, 11, 107, 281, 12);
INSERT INTO public.who_data VALUES (66474, 6, 1117, 0, 14, 281, 24);
INSERT INTO public.who_data VALUES (66475, 0, 19, 0, 0, 281, 119);
INSERT INTO public.who_data VALUES (66476, 8, 970, 0, 19, 281, 39);
INSERT INTO public.who_data VALUES (66477, 11, 902, 0, 26, 281, 26);
INSERT INTO public.who_data VALUES (66478, 0, 1, 0, 0, 281, 59);
INSERT INTO public.who_data VALUES (66479, 4, 219, 0, 20, 281, 77);
INSERT INTO public.who_data VALUES (66480, 0, 64, 0, 3, 281, 134);
INSERT INTO public.who_data VALUES (66481, 0, 83, 0, 1, 281, 4);
INSERT INTO public.who_data VALUES (66482, 15, 1536, 1, 56, 281, 109);
INSERT INTO public.who_data VALUES (66483, 8, 3923, 1, 104, 281, 90);
INSERT INTO public.who_data VALUES (66484, 8, 238, 0, 0, 281, 61);
INSERT INTO public.who_data VALUES (66485, 0, 63, 0, 3, 281, 85);
INSERT INTO public.who_data VALUES (66486, 36, 6855, 0, 112, 281, 49);
INSERT INTO public.who_data VALUES (66487, 58, 1078, 0, 4, 281, 208);
INSERT INTO public.who_data VALUES (66488, 27, 806, 0, 46, 281, 166);
INSERT INTO public.who_data VALUES (66489, 10, 531, 0, 6, 281, 64);
INSERT INTO public.who_data VALUES (66490, 0, 0, 0, 0, 281, 199);
INSERT INTO public.who_data VALUES (66491, 0, 189, 0, 14, 281, 114);
INSERT INTO public.who_data VALUES (66492, 13, 29, 1, 3, 281, 60);
INSERT INTO public.who_data VALUES (66493, 0, 332, 0, 10, 281, 68);
INSERT INTO public.who_data VALUES (66494, 48, 1258, 0, 16, 281, 158);
INSERT INTO public.who_data VALUES (66495, 2409, 42595, 257, 4477, 281, 52);
INSERT INTO public.who_data VALUES (66496, 0, 0, 0, 0, 281, 117);
INSERT INTO public.who_data VALUES (66497, 0, 67, 0, 1, 281, 126);
INSERT INTO public.who_data VALUES (66498, 37, 135, 0, 0, 281, 196);
INSERT INTO public.who_data VALUES (66499, 0, 324, 0, 9, 281, 142);
INSERT INTO public.who_data VALUES (66500, 0, 11, 0, 1, 281, 185);
INSERT INTO public.who_data VALUES (66501, 58, 6681, 2, 192, 281, 138);
INSERT INTO public.who_data VALUES (66502, 4, 119, 0, 0, 281, 181);
INSERT INTO public.who_data VALUES (66503, 1, 182, 0, 6, 281, 178);
INSERT INTO public.who_data VALUES (66504, 0, 16, 0, 0, 281, 168);
INSERT INTO public.who_data VALUES (66505, 0, 0, 0, 0, 281, 160);
INSERT INTO public.who_data VALUES (66506, 23, 281, 1, 1, 281, 151);
INSERT INTO public.who_data VALUES (66507, 202, 43443, 50, 5608, 281, 193);
INSERT INTO public.who_data VALUES (66508, 0, 18, 0, 0, 281, 18);
INSERT INTO public.who_data VALUES (66509, 0, 1148, 0, 21, 281, 40);
INSERT INTO public.who_data VALUES (66510, 0, 25, 0, 8, 281, 218);
INSERT INTO public.who_data VALUES (66511, 9, 885, 1, 51, 281, 191);
INSERT INTO public.who_data VALUES (66512, 288, 5450, 4, 171, 281, 156);
INSERT INTO public.who_data VALUES (66513, 0, 0, 0, 0, 281, 135);
INSERT INTO public.who_data VALUES (66514, 0, 19, 0, 2, 281, 88);
INSERT INTO public.who_data VALUES (66515, 17, 1740, 2, 97, 281, 55);
INSERT INTO public.who_data VALUES (66516, 22, 8197, 0, 232, 281, 108);
INSERT INTO public.who_data VALUES (66517, 0, 554, 0, 4, 281, 48);
INSERT INTO public.who_data VALUES (66518, 404, 5029, 1, 21, 281, 3);
INSERT INTO public.who_data VALUES (66519, 0, 712, 0, 13, 281, 224);
INSERT INTO public.who_data VALUES (66520, 1581, 38799, 31, 834, 281, 110);
INSERT INTO public.who_data VALUES (66521, 0, 0, 0, 0, 281, 106);
INSERT INTO public.who_data VALUES (66522, 174, 9118, 4, 260, 281, 89);
INSERT INTO public.who_data VALUES (66523, 0, 8, 0, 0, 281, 121);
INSERT INTO public.who_data VALUES (66524, 5, 759, 0, 11, 281, 163);
INSERT INTO public.who_data VALUES (66525, 4298, 80604, 98, 2267, 281, 70);
INSERT INTO public.who_data VALUES (66526, 429, 12305, 27, 817, 281, 174);
INSERT INTO public.who_data VALUES (66527, 0, 0, 0, 0, 281, 175);
INSERT INTO public.who_data VALUES (66528, 401, 18016, 24, 907, 281, 118);
INSERT INTO public.who_data VALUES (66529, 264, 28583, 6, 1190, 281, 189);
INSERT INTO public.who_data VALUES (66530, 115, 2542, 5, 122, 281, 124);
INSERT INTO public.who_data VALUES (66531, 1547, 30972, 1, 15, 281, 192);
INSERT INTO public.who_data VALUES (66532, 19, 11037, 2, 262, 281, 41);
INSERT INTO public.who_data VALUES (66533, 192, 5745, 8, 204, 281, 95);
INSERT INTO public.who_data VALUES (66534, 1, 441, 0, 0, 281, 74);
INSERT INTO public.who_data VALUES (66535, 190, 16437, 10, 1056, 281, 11);
INSERT INTO public.who_data VALUES (66536, 9200, 272043, 119, 2537, 281, 87);
INSERT INTO public.who_data VALUES (66537, 0, 287, 0, 0, 281, 214);
INSERT INTO public.who_data VALUES (66538, 0, 2, 0, 0, 281, 116);
INSERT INTO public.who_data VALUES (66539, 0, 6, 0, 0, 281, 157);
INSERT INTO public.who_data VALUES (66540, 0, 0, 0, 0, 281, 182);
INSERT INTO public.who_data VALUES (66541, 0, 15, 0, 0, 281, 186);
INSERT INTO public.who_data VALUES (66542, 0, 18, 0, 0, 281, 127);
INSERT INTO public.who_data VALUES (66543, 0, 39, 0, 3, 281, 232);
INSERT INTO public.who_data VALUES (66544, 0, 1, 0, 0, 281, 33);
INSERT INTO public.who_data VALUES (66545, 0, 17, 0, 0, 281, 97);
INSERT INTO public.who_data VALUES (66546, 0, 0, 0, 0, 281, 42);
INSERT INTO public.who_data VALUES (66547, 5, 652, 0, 41, 281, 198);
INSERT INTO public.who_data VALUES (66548, 0, 166, 0, 7, 281, 216);
INSERT INTO public.who_data VALUES (66549, 2840, 52016, 10, 302, 281, 164);
INSERT INTO public.who_data VALUES (66550, 121, 2310, 0, 23, 281, 235);
INSERT INTO public.who_data VALUES (66551, 64, 10438, 1, 225, 281, 67);
INSERT INTO public.who_data VALUES (66552, 0, 11, 0, 0, 281, 15);
INSERT INTO public.who_data VALUES (66553, 39, 447, 1, 27, 281, 180);
INSERT INTO public.who_data VALUES (66554, 793, 26891, 0, 21, 281, 237);
INSERT INTO public.who_data VALUES (66555, 0, 2, 0, 0, 281, 25);
INSERT INTO public.who_data VALUES (66556, 0, 78, 0, 15, 281, 209);
INSERT INTO public.who_data VALUES (66557, 8, 1477, 0, 27, 281, 217);
INSERT INTO public.who_data VALUES (66558, 1, 1465, 0, 111, 281, 79);
INSERT INTO public.who_data VALUES (66559, 0, 0, 0, 0, 281, 143);
INSERT INTO public.who_data VALUES (66560, 73, 1357, 2, 55, 281, 229);
INSERT INTO public.who_data VALUES (66561, 785, 13524, 9, 247, 281, 141);
INSERT INTO public.who_data VALUES (66562, 0, 231, 0, 1, 281, 197);
INSERT INTO public.who_data VALUES (66563, 899, 236597, 86, 28175, 281, 221);
INSERT INTO public.who_data VALUES (66564, 24, 949, 0, 9, 281, 150);
INSERT INTO public.who_data VALUES (66565, 0, 1964, 0, 91, 281, 56);
INSERT INTO public.who_data VALUES (66566, 0, 10, 0, 1, 281, 167);
INSERT INTO public.who_data VALUES (66567, 657, 29415, 46, 3865, 281, 23);
INSERT INTO public.who_data VALUES (66568, 41, 30535, 5, 1694, 281, 222);
INSERT INTO public.who_data VALUES (66569, 2, 50, 0, 3, 281, 219);
INSERT INTO public.who_data VALUES (66570, 33, 1118, 0, 36, 281, 7);
INSERT INTO public.who_data VALUES (66571, 0, 3025, 0, 56, 281, 161);
INSERT INTO public.who_data VALUES (66572, 2628, 223647, 350, 33342, 281, 149);
INSERT INTO public.who_data VALUES (66573, 0, 24, 0, 0, 281, 6);
INSERT INTO public.who_data VALUES (66574, 25, 263, 0, 11, 281, 139);
INSERT INTO public.who_data VALUES (66575, 0, 0, 0, 0, 281, 211);
INSERT INTO public.who_data VALUES (66576, 0, 0, 0, 0, 281, 14);
INSERT INTO public.who_data VALUES (66577, 0, 116, 0, 8, 281, 111);
INSERT INTO public.who_data VALUES (66578, 3, 1035, 0, 45, 281, 207);
INSERT INTO public.who_data VALUES (66579, 1708, 146457, 48, 4055, 281, 66);
INSERT INTO public.who_data VALUES (66580, 0, 0, 0, 0, 281, 173);
INSERT INTO public.who_data VALUES (66581, 0, 12, 0, 1, 281, 145);
INSERT INTO public.who_data VALUES (66582, 0, 0, 0, 0, 281, 65);
INSERT INTO public.who_data VALUES (66583, 43, 203, 0, 0, 281, 184);
INSERT INTO public.who_data VALUES (66584, 528, 17858, 21, 497, 281, 98);
INSERT INTO public.who_data VALUES (66585, 0, 21831, 0, 210, 281, 104);
INSERT INTO public.who_data VALUES (66586, 0, 509, 0, 21, 281, 73);
INSERT INTO public.who_data VALUES (66587, 27090, 1409452, 2041, 85860, 281, 8);
INSERT INTO public.who_data VALUES (66588, 0, 69, 0, 6, 281, 227);
INSERT INTO public.who_data VALUES (66589, 5, 724, 0, 19, 281, 75);
INSERT INTO public.who_data VALUES (66590, 39, 2691, 0, 11, 281, 45);
INSERT INTO public.who_data VALUES (66591, 0, 0, 0, 0, 281, 133);
INSERT INTO public.who_data VALUES (66592, 15, 455, 0, 10, 281, 202);
INSERT INTO public.who_data VALUES (66593, 30, 318, 0, 0, 281, 129);
INSERT INTO public.who_data VALUES (66594, 0, 0, 0, 0, 281, 36);
INSERT INTO public.who_data VALUES (66595, 16, 124, 3, 19, 281, 51);
INSERT INTO public.who_data VALUES (66596, 14, 668, 0, 7, 281, 206);
INSERT INTO public.who_data VALUES (66597, 5, 42, 0, 4, 281, 5);
INSERT INTO public.who_data VALUES (66598, 714, 6053, 17, 153, 282, 103);
INSERT INTO public.who_data VALUES (66599, 18, 860, 0, 30, 282, 58);
INSERT INTO public.who_data VALUES (66600, 189, 6442, 7, 529, 282, 195);
INSERT INTO public.who_data VALUES (66601, 0, 0, 0, 0, 282, 115);
INSERT INTO public.who_data VALUES (66602, 0, 761, 0, 49, 282, 99);
INSERT INTO public.who_data VALUES (66603, 3, 48, 0, 2, 282, 153);
INSERT INTO public.who_data VALUES (66604, 0, 3, 0, 0, 282, 93);
INSERT INTO public.who_data VALUES (66605, 0, 25, 0, 3, 282, 84);
INSERT INTO public.who_data VALUES (66606, 410, 6973, 24, 345, 282, 78);
INSERT INTO public.who_data VALUES (66607, 142, 3836, 1, 49, 282, 170);
INSERT INTO public.who_data VALUES (66608, 0, 101, 0, 3, 282, 32);
INSERT INTO public.who_data VALUES (66609, 14, 6989, 0, 98, 282, 155);
INSERT INTO public.who_data VALUES (66610, 41, 16005, 2, 626, 282, 82);
INSERT INTO public.who_data VALUES (66611, 121, 2879, 0, 35, 282, 16);
INSERT INTO public.who_data VALUES (66612, 1, 94, 0, 11, 282, 72);
INSERT INTO public.who_data VALUES (66613, 349, 6418, 0, 10, 282, 43);
INSERT INTO public.who_data VALUES (66614, 1202, 20065, 15, 298, 282, 120);
INSERT INTO public.who_data VALUES (66615, 0, 85, 0, 7, 282, 213);
INSERT INTO public.who_data VALUES (66616, 932, 26772, 2, 151, 282, 31);
INSERT INTO public.who_data VALUES (66617, 305, 55837, 43, 8865, 282, 204);
INSERT INTO public.who_data VALUES (66618, 0, 18, 0, 2, 282, 152);
INSERT INTO public.who_data VALUES (66619, 12, 339, 0, 2, 282, 144);
INSERT INTO public.who_data VALUES (66620, 0, 121, 0, 8, 282, 96);
INSERT INTO public.who_data VALUES (66621, 5, 20, 0, 0, 282, 47);
INSERT INTO public.who_data VALUES (66622, 184, 3148, 14, 142, 282, 80);
INSERT INTO public.who_data VALUES (66623, 0, 2, 0, 0, 282, 159);
INSERT INTO public.who_data VALUES (66624, 35, 2216, 4, 123, 282, 27);
INSERT INTO public.who_data VALUES (66625, 0, 24, 0, 1, 282, 146);
INSERT INTO public.who_data VALUES (66626, 11385, 188974, 749, 13149, 282, 71);
INSERT INTO public.who_data VALUES (66627, 0, 7, 0, 1, 282, 210);
INSERT INTO public.who_data VALUES (66628, 0, 141, 0, 1, 282, 54);
INSERT INTO public.who_data VALUES (66629, 31, 2100, 3, 99, 282, 147);
INSERT INTO public.who_data VALUES (66630, 0, 773, 0, 51, 282, 2);
INSERT INTO public.who_data VALUES (66631, 0, 27, 0, 1, 282, 105);
INSERT INTO public.who_data VALUES (66632, 26, 315, 0, 2, 282, 53);
INSERT INTO public.who_data VALUES (66633, 0, 122, 0, 0, 282, 81);
INSERT INTO public.who_data VALUES (66634, 154, 2954, 3, 139, 282, 223);
INSERT INTO public.who_data VALUES (66635, 1050, 72536, 128, 5337, 282, 94);
INSERT INTO public.who_data VALUES (66636, 1, 86, 0, 1, 282, 154);
INSERT INTO public.who_data VALUES (66637, 34, 221, 0, 0, 282, 83);
INSERT INTO public.who_data VALUES (66638, 27, 399, 4, 46, 282, 194);
INSERT INTO public.who_data VALUES (66639, 2659, 37040, 22, 368, 282, 136);
INSERT INTO public.who_data VALUES (66640, 5, 84469, 0, 4644, 282, 179);
INSERT INTO public.who_data VALUES (66641, 658, 12930, 16, 509, 282, 57);
INSERT INTO public.who_data VALUES (66642, 0, 11, 0, 1, 282, 35);
INSERT INTO public.who_data VALUES (66643, 50, 391, 4, 15, 282, 228);
INSERT INTO public.who_data VALUES (66644, 0, 0, 0, 0, 282, 19);
INSERT INTO public.who_data VALUES (66645, 11, 815, 0, 7, 282, 22);
INSERT INTO public.who_data VALUES (66646, 59, 1971, 0, 24, 282, 1);
INSERT INTO public.who_data VALUES (66647, 8, 2221, 0, 94, 282, 21);
INSERT INTO public.who_data VALUES (66648, 20, 1830, 0, 79, 282, 234);
INSERT INTO public.who_data VALUES (66649, 0, 16, 0, 1, 282, 91);
INSERT INTO public.who_data VALUES (66650, 2, 907, 0, 17, 282, 137);
INSERT INTO public.who_data VALUES (66651, 82, 8351, 3, 293, 282, 201);
INSERT INTO public.who_data VALUES (66652, 0, 0, 0, 0, 282, 171);
INSERT INTO public.who_data VALUES (66653, 56, 1298, 0, 50, 282, 92);
INSERT INTO public.who_data VALUES (66654, 46, 10713, 4, 538, 282, 112);
INSERT INTO public.who_data VALUES (66655, 41, 1309, 1, 4, 282, 62);
INSERT INTO public.who_data VALUES (66656, 0, 16, 0, 0, 282, 69);
INSERT INTO public.who_data VALUES (66657, 124, 11320, 13, 422, 282, 220);
INSERT INTO public.who_data VALUES (66658, 16, 30502, 4, 2338, 282, 100);
INSERT INTO public.who_data VALUES (66659, 0, 10829, 0, 571, 282, 187);
INSERT INTO public.who_data VALUES (66660, 75, 1112, 0, 20, 282, 63);
INSERT INTO public.who_data VALUES (66661, 11, 594, 0, 7, 282, 28);
INSERT INTO public.who_data VALUES (66662, 0, 39, 0, 0, 282, 172);
INSERT INTO public.who_data VALUES (66663, 7, 1758, 1, 62, 282, 17);
INSERT INTO public.who_data VALUES (66664, 0, 187, 0, 2, 282, 226);
INSERT INTO public.who_data VALUES (66665, 9, 272, 0, 5, 282, 236);
INSERT INTO public.who_data VALUES (66666, 0, 13, 0, 0, 282, 76);
INSERT INTO public.who_data VALUES (66667, 0, 187, 0, 0, 282, 30);
INSERT INTO public.who_data VALUES (66668, 0, 18, 0, 0, 282, 128);
INSERT INTO public.who_data VALUES (66669, 91, 6145, 3, 287, 282, 86);
INSERT INTO public.who_data VALUES (66670, 543, 139152, 349, 27378, 282, 140);
INSERT INTO public.who_data VALUES (66671, 11, 164, 0, 1, 282, 44);
INSERT INTO public.who_data VALUES (66672, 0, 60, 0, 0, 282, 113);
INSERT INTO public.who_data VALUES (66673, 100, 1104, 1, 10, 282, 29);
INSERT INTO public.who_data VALUES (66674, 0, 23, 0, 1, 282, 125);
INSERT INTO public.who_data VALUES (66675, 19, 671, 1, 12, 282, 131);
INSERT INTO public.who_data VALUES (66676, 913, 173152, 101, 7824, 282, 46);
INSERT INTO public.who_data VALUES (66677, 122, 5530, 0, 24, 282, 10);
INSERT INTO public.who_data VALUES (66678, 0, 147, 0, 0, 282, 205);
INSERT INTO public.who_data VALUES (66679, 10, 2770, 1, 156, 282, 50);
INSERT INTO public.who_data VALUES (66680, 0, 11, 0, 0, 282, 20);
INSERT INTO public.who_data VALUES (66681, 0, 21, 0, 0, 282, 13);
INSERT INTO public.who_data VALUES (66682, 0, 155, 0, 13, 282, 148);
INSERT INTO public.who_data VALUES (66683, 1, 149, 0, 5, 282, 230);
INSERT INTO public.who_data VALUES (66684, 143, 1342, 2, 29, 282, 190);
INSERT INTO public.who_data VALUES (66685, 0, 252, 0, 13, 282, 188);
INSERT INTO public.who_data VALUES (66686, 101, 2473, 0, 14, 282, 123);
INSERT INTO public.who_data VALUES (66687, 77, 913, 0, 3, 282, 9);
INSERT INTO public.who_data VALUES (66688, 0, 113, 0, 10, 282, 102);
INSERT INTO public.who_data VALUES (66689, 15, 234, 0, 18, 282, 34);
INSERT INTO public.who_data VALUES (66690, 0, 12, 0, 0, 282, 212);
INSERT INTO public.who_data VALUES (66691, 175, 2255, 2, 123, 282, 122);
INSERT INTO public.who_data VALUES (66692, 37, 3417, 6, 442, 282, 38);
INSERT INTO public.who_data VALUES (66693, 0, 1802, 0, 10, 282, 130);
INSERT INTO public.who_data VALUES (66694, 3967, 81970, 100, 2649, 282, 37);
INSERT INTO public.who_data VALUES (66695, 490, 16496, 33, 1076, 282, 231);
INSERT INTO public.who_data VALUES (66696, 2102, 116635, 48, 6902, 282, 107);
INSERT INTO public.who_data VALUES (66697, 50, 3193, 2, 117, 282, 101);
INSERT INTO public.who_data VALUES (66698, 426, 23827, 9, 1506, 282, 132);
INSERT INTO public.who_data VALUES (66699, 0, 332, 0, 24, 282, 176);
INSERT INTO public.who_data VALUES (66700, 39, 16498, 3, 266, 282, 200);
INSERT INTO public.who_data VALUES (66701, 992, 223096, 262, 31368, 282, 169);
INSERT INTO public.who_data VALUES (66702, 2, 509, 0, 9, 282, 225);
INSERT INTO public.who_data VALUES (66703, 114, 16193, 23, 710, 282, 165);
INSERT INTO public.who_data VALUES (66704, 0, 297, 0, 27, 282, 233);
INSERT INTO public.who_data VALUES (66705, 10, 596, 0, 9, 282, 215);
INSERT INTO public.who_data VALUES (66706, 161, 5850, 0, 34, 282, 177);
INSERT INTO public.who_data VALUES (66707, 21, 758, 2, 42, 282, 183);
INSERT INTO public.who_data VALUES (66708, 0, 0, 0, 0, 282, 203);
INSERT INTO public.who_data VALUES (66709, 25, 944, 0, 20, 282, 162);
INSERT INTO public.who_data VALUES (66710, 885, 12860, 8, 96, 282, 12);
INSERT INTO public.who_data VALUES (66711, 29, 1111, 2, 14, 282, 24);
INSERT INTO public.who_data VALUES (66712, 0, 19, 0, 0, 282, 119);
INSERT INTO public.who_data VALUES (66713, 11, 962, 0, 19, 282, 39);
INSERT INTO public.who_data VALUES (66714, 5, 891, 0, 26, 282, 26);
INSERT INTO public.who_data VALUES (66715, 0, 1, 0, 0, 282, 59);
INSERT INTO public.who_data VALUES (66716, 2, 215, 0, 20, 282, 77);
INSERT INTO public.who_data VALUES (66717, 0, 64, 0, 3, 282, 134);
INSERT INTO public.who_data VALUES (66718, 0, 83, 0, 1, 282, 4);
INSERT INTO public.who_data VALUES (66719, 10, 1521, 1, 55, 282, 109);
INSERT INTO public.who_data VALUES (66720, 11, 3915, 0, 103, 282, 90);
INSERT INTO public.who_data VALUES (66721, 18, 230, 0, 0, 282, 61);
INSERT INTO public.who_data VALUES (66722, 0, 63, 0, 3, 282, 85);
INSERT INTO public.who_data VALUES (66723, 40, 6819, 1, 112, 282, 49);
INSERT INTO public.who_data VALUES (66724, 52, 1020, 0, 4, 282, 208);
INSERT INTO public.who_data VALUES (66725, 21, 779, 2, 46, 282, 166);
INSERT INTO public.who_data VALUES (66726, 14, 521, 0, 6, 282, 64);
INSERT INTO public.who_data VALUES (66727, 0, 0, 0, 0, 282, 199);
INSERT INTO public.who_data VALUES (66728, 0, 189, 0, 14, 282, 114);
INSERT INTO public.who_data VALUES (66729, 7, 16, 1, 2, 282, 60);
INSERT INTO public.who_data VALUES (66730, 0, 332, 0, 10, 282, 68);
INSERT INTO public.who_data VALUES (66731, 67, 1210, 2, 16, 282, 158);
INSERT INTO public.who_data VALUES (66732, 1862, 40186, 294, 4220, 282, 52);
INSERT INTO public.who_data VALUES (66733, 0, 0, 0, 0, 282, 117);
INSERT INTO public.who_data VALUES (66734, 0, 67, 0, 1, 282, 126);
INSERT INTO public.who_data VALUES (66735, 56, 98, 0, 0, 282, 196);
INSERT INTO public.who_data VALUES (66736, 0, 324, 0, 9, 282, 142);
INSERT INTO public.who_data VALUES (66737, 0, 11, 0, 1, 282, 185);
INSERT INTO public.who_data VALUES (66738, 30, 6623, 1, 190, 282, 138);
INSERT INTO public.who_data VALUES (66739, 8, 115, 0, 0, 282, 181);
INSERT INTO public.who_data VALUES (66740, 0, 181, 0, 6, 282, 178);
INSERT INTO public.who_data VALUES (66741, 0, 16, 0, 0, 282, 168);
INSERT INTO public.who_data VALUES (66742, 0, 0, 0, 0, 282, 160);
INSERT INTO public.who_data VALUES (66743, 9, 258, 0, 0, 282, 151);
INSERT INTO public.who_data VALUES (66744, 274, 43241, 30, 5558, 282, 193);
INSERT INTO public.who_data VALUES (66745, 0, 18, 0, 0, 282, 18);
INSERT INTO public.who_data VALUES (66746, 1, 1148, 0, 21, 282, 40);
INSERT INTO public.who_data VALUES (66747, 0, 25, 0, 8, 282, 218);
INSERT INTO public.who_data VALUES (66748, 16, 876, 1, 50, 282, 191);
INSERT INTO public.who_data VALUES (66749, 191, 5162, 3, 167, 282, 156);
INSERT INTO public.who_data VALUES (66750, 0, 0, 0, 0, 282, 135);
INSERT INTO public.who_data VALUES (66751, 0, 19, 0, 2, 282, 88);
INSERT INTO public.who_data VALUES (66752, 29, 1723, 0, 95, 282, 55);
INSERT INTO public.who_data VALUES (66753, 17, 8175, 3, 232, 282, 108);
INSERT INTO public.who_data VALUES (66754, 6, 554, 0, 4, 282, 48);
INSERT INTO public.who_data VALUES (66755, 284, 4625, 3, 20, 282, 3);
INSERT INTO public.who_data VALUES (66756, 0, 712, 0, 13, 282, 224);
INSERT INTO public.who_data VALUES (66757, 1430, 37218, 33, 803, 282, 110);
INSERT INTO public.who_data VALUES (66758, 0, 0, 0, 0, 282, 106);
INSERT INTO public.who_data VALUES (66759, 328, 8944, 7, 256, 282, 89);
INSERT INTO public.who_data VALUES (66760, 0, 8, 0, 0, 282, 121);
INSERT INTO public.who_data VALUES (66761, 14, 754, 0, 11, 282, 163);
INSERT INTO public.who_data VALUES (66762, 4247, 76306, 112, 2169, 282, 70);
INSERT INTO public.who_data VALUES (66763, 258, 11876, 18, 790, 282, 174);
INSERT INTO public.who_data VALUES (66764, 0, 0, 0, 0, 282, 175);
INSERT INTO public.who_data VALUES (66765, 411, 17615, 22, 883, 282, 118);
INSERT INTO public.who_data VALUES (66766, 187, 28319, 9, 1184, 282, 189);
INSERT INTO public.who_data VALUES (66767, 98, 2427, 2, 117, 282, 124);
INSERT INTO public.who_data VALUES (66768, 1153, 29425, 0, 14, 282, 192);
INSERT INTO public.who_data VALUES (66769, 27, 11018, 0, 260, 282, 41);
INSERT INTO public.who_data VALUES (66770, 147, 5553, 6, 196, 282, 95);
INSERT INTO public.who_data VALUES (66771, 1, 440, 0, 0, 282, 74);
INSERT INTO public.who_data VALUES (66772, 245, 16247, 30, 1046, 282, 11);
INSERT INTO public.who_data VALUES (66773, 10598, 262843, 113, 2418, 282, 87);
INSERT INTO public.who_data VALUES (66774, 0, 287, 0, 0, 282, 214);
INSERT INTO public.who_data VALUES (66775, 0, 2, 0, 0, 282, 116);
INSERT INTO public.who_data VALUES (66776, 0, 6, 0, 0, 282, 157);
INSERT INTO public.who_data VALUES (66777, 0, 0, 0, 0, 282, 182);
INSERT INTO public.who_data VALUES (66778, 0, 15, 0, 0, 282, 186);
INSERT INTO public.who_data VALUES (66779, 0, 18, 0, 0, 282, 127);
INSERT INTO public.who_data VALUES (66780, 0, 39, 0, 3, 282, 232);
INSERT INTO public.who_data VALUES (66781, 0, 1, 0, 0, 282, 33);
INSERT INTO public.who_data VALUES (66782, 0, 17, 0, 0, 282, 97);
INSERT INTO public.who_data VALUES (66783, 0, 0, 0, 0, 282, 42);
INSERT INTO public.who_data VALUES (66784, 0, 647, 0, 41, 282, 198);
INSERT INTO public.who_data VALUES (66785, 1, 166, 0, 7, 282, 216);
INSERT INTO public.who_data VALUES (66786, 2307, 49176, 9, 292, 282, 164);
INSERT INTO public.who_data VALUES (66787, 84, 2189, 1, 23, 282, 235);
INSERT INTO public.who_data VALUES (66788, 79, 10374, 2, 224, 282, 67);
INSERT INTO public.who_data VALUES (66789, 0, 11, 0, 0, 282, 15);
INSERT INTO public.who_data VALUES (66790, 21, 408, 5, 26, 282, 180);
INSERT INTO public.who_data VALUES (66791, 752, 26098, 0, 21, 282, 237);
INSERT INTO public.who_data VALUES (66792, 0, 2, 0, 0, 282, 25);
INSERT INTO public.who_data VALUES (66793, 0, 78, 0, 15, 282, 209);
INSERT INTO public.who_data VALUES (66794, 4, 1469, 0, 27, 282, 217);
INSERT INTO public.who_data VALUES (66795, 1, 1464, 0, 111, 282, 79);
INSERT INTO public.who_data VALUES (66796, 0, 0, 0, 0, 282, 143);
INSERT INTO public.who_data VALUES (66797, 0, 1284, 0, 53, 282, 229);
INSERT INTO public.who_data VALUES (66798, 665, 12739, 19, 238, 282, 141);
INSERT INTO public.who_data VALUES (66799, 37, 231, 1, 1, 282, 197);
INSERT INTO public.who_data VALUES (66800, 901, 235698, 87, 28089, 282, 221);
INSERT INTO public.who_data VALUES (66801, 9, 925, 0, 9, 282, 150);
INSERT INTO public.who_data VALUES (66802, 146, 1964, 1, 91, 282, 56);
INSERT INTO public.who_data VALUES (66803, 0, 10, 0, 1, 282, 167);
INSERT INTO public.who_data VALUES (66804, 698, 28758, 50, 3819, 282, 23);
INSERT INTO public.who_data VALUES (66805, 37, 30494, 2, 1689, 282, 222);
INSERT INTO public.who_data VALUES (66806, 0, 48, 0, 3, 282, 219);
INSERT INTO public.who_data VALUES (66807, 178, 1085, 4, 36, 282, 7);
INSERT INTO public.who_data VALUES (66808, 7, 3025, 0, 56, 282, 161);
INSERT INTO public.who_data VALUES (66809, 3307, 221019, 352, 32992, 282, 149);
INSERT INTO public.who_data VALUES (66810, 0, 24, 0, 0, 282, 6);
INSERT INTO public.who_data VALUES (66811, 19, 238, 0, 11, 282, 139);
INSERT INTO public.who_data VALUES (66812, 0, 0, 0, 0, 282, 211);
INSERT INTO public.who_data VALUES (66813, 0, 0, 0, 0, 282, 14);
INSERT INTO public.who_data VALUES (66814, 0, 116, 0, 8, 282, 111);
INSERT INTO public.who_data VALUES (66815, 0, 1032, 0, 45, 282, 207);
INSERT INTO public.who_data VALUES (66816, 1635, 144749, 55, 4007, 282, 66);
INSERT INTO public.who_data VALUES (66817, 0, 0, 0, 0, 282, 173);
INSERT INTO public.who_data VALUES (66818, 0, 12, 0, 1, 282, 145);
INSERT INTO public.who_data VALUES (66819, 0, 0, 0, 0, 282, 65);
INSERT INTO public.who_data VALUES (66820, 21, 160, 0, 0, 282, 184);
INSERT INTO public.who_data VALUES (66821, 483, 17330, 20, 476, 282, 98);
INSERT INTO public.who_data VALUES (66822, 747, 21831, 2, 210, 282, 104);
INSERT INTO public.who_data VALUES (66823, 0, 509, 0, 21, 282, 73);
INSERT INTO public.who_data VALUES (66824, 20840, 1382362, 1700, 83819, 282, 8);
INSERT INTO public.who_data VALUES (66825, 0, 69, 0, 6, 282, 227);
INSERT INTO public.who_data VALUES (66826, 2, 719, 0, 19, 282, 75);
INSERT INTO public.who_data VALUES (66827, 32, 2652, 0, 11, 282, 45);
INSERT INTO public.who_data VALUES (66828, 0, 0, 0, 0, 282, 133);
INSERT INTO public.who_data VALUES (66829, 0, 440, 0, 10, 282, 202);
INSERT INTO public.who_data VALUES (66830, 0, 288, 0, 0, 282, 129);
INSERT INTO public.who_data VALUES (66831, 0, 0, 0, 0, 282, 36);
INSERT INTO public.who_data VALUES (66832, 21, 108, 3, 16, 282, 51);
INSERT INTO public.who_data VALUES (66833, 208, 654, 0, 7, 282, 206);
INSERT INTO public.who_data VALUES (66834, 0, 37, 0, 4, 282, 5);
INSERT INTO public.who_data VALUES (66835, 113, 5339, 6, 136, 283, 103);
INSERT INTO public.who_data VALUES (66836, 4, 842, 0, 30, 283, 58);
INSERT INTO public.who_data VALUES (66837, 186, 6253, 7, 522, 283, 195);
INSERT INTO public.who_data VALUES (66838, 0, 0, 0, 0, 283, 115);
INSERT INTO public.who_data VALUES (66839, 2, 761, 1, 49, 283, 99);
INSERT INTO public.who_data VALUES (66840, 0, 45, 0, 2, 283, 153);
INSERT INTO public.who_data VALUES (66841, 0, 3, 0, 0, 283, 93);
INSERT INTO public.who_data VALUES (66842, 0, 25, 0, 3, 283, 84);
INSERT INTO public.who_data VALUES (66843, 285, 6563, 4, 321, 283, 78);
INSERT INTO public.who_data VALUES (66844, 180, 3694, 1, 48, 283, 170);
INSERT INTO public.who_data VALUES (66845, 0, 101, 0, 3, 283, 32);
INSERT INTO public.who_data VALUES (66846, 11, 6975, 1, 98, 283, 155);
INSERT INTO public.who_data VALUES (66847, 54, 15964, 1, 624, 283, 82);
INSERT INTO public.who_data VALUES (66848, 65, 2758, 2, 35, 283, 16);
INSERT INTO public.who_data VALUES (66849, 0, 93, 0, 11, 283, 72);
INSERT INTO public.who_data VALUES (66850, 289, 6069, 1, 10, 283, 43);
INSERT INTO public.who_data VALUES (66851, 1041, 18863, 14, 283, 283, 120);
INSERT INTO public.who_data VALUES (66852, 1, 85, 0, 7, 283, 213);
INSERT INTO public.who_data VALUES (66853, 0, 25840, 0, 149, 283, 31);
INSERT INTO public.who_data VALUES (66854, 321, 55532, 56, 8822, 283, 204);
INSERT INTO public.who_data VALUES (66855, 0, 18, 0, 2, 283, 152);
INSERT INTO public.who_data VALUES (66856, 0, 327, 0, 2, 283, 144);
INSERT INTO public.who_data VALUES (66857, 2, 121, 0, 8, 283, 96);
INSERT INTO public.who_data VALUES (66858, 4, 15, 0, 0, 283, 47);
INSERT INTO public.who_data VALUES (66859, 133, 2964, 6, 128, 283, 80);
INSERT INTO public.who_data VALUES (66860, 0, 2, 0, 0, 283, 159);
INSERT INTO public.who_data VALUES (66861, 19, 2181, 3, 119, 283, 27);
INSERT INTO public.who_data VALUES (66862, 0, 24, 0, 1, 283, 146);
INSERT INTO public.who_data VALUES (66863, 9258, 177589, 881, 12400, 283, 71);
INSERT INTO public.who_data VALUES (66864, 0, 7, 0, 1, 283, 210);
INSERT INTO public.who_data VALUES (66865, 0, 141, 0, 1, 283, 54);
INSERT INTO public.who_data VALUES (66866, 46, 2069, 1, 96, 283, 147);
INSERT INTO public.who_data VALUES (66867, 7, 773, 0, 51, 283, 2);
INSERT INTO public.who_data VALUES (66868, 0, 27, 0, 1, 283, 105);
INSERT INTO public.who_data VALUES (66869, 19, 289, 0, 2, 283, 53);
INSERT INTO public.who_data VALUES (66870, 0, 122, 0, 0, 283, 81);
INSERT INTO public.who_data VALUES (66871, 111, 2800, 11, 136, 283, 223);
INSERT INTO public.who_data VALUES (66872, 1144, 71486, 160, 5209, 283, 94);
INSERT INTO public.who_data VALUES (66873, 1, 85, 0, 1, 283, 154);
INSERT INTO public.who_data VALUES (66874, 8, 187, 0, 0, 283, 83);
INSERT INTO public.who_data VALUES (66875, 15, 372, 2, 42, 283, 194);
INSERT INTO public.who_data VALUES (66876, 2660, 34381, 11, 346, 283, 136);
INSERT INTO public.who_data VALUES (66877, 6, 84464, 0, 4644, 283, 179);
INSERT INTO public.who_data VALUES (66878, 659, 12272, 14, 493, 283, 57);
INSERT INTO public.who_data VALUES (66879, 0, 11, 0, 1, 283, 35);
INSERT INTO public.who_data VALUES (66880, 8, 341, 0, 11, 283, 228);
INSERT INTO public.who_data VALUES (66881, 0, 0, 0, 0, 283, 19);
INSERT INTO public.who_data VALUES (66882, 3, 804, 0, 7, 283, 22);
INSERT INTO public.who_data VALUES (66883, 55, 1912, 3, 24, 283, 1);
INSERT INTO public.who_data VALUES (66884, 6, 2213, 3, 94, 283, 21);
INSERT INTO public.who_data VALUES (66885, 6, 1810, 1, 79, 283, 234);
INSERT INTO public.who_data VALUES (66886, 0, 16, 0, 1, 283, 91);
INSERT INTO public.who_data VALUES (66887, 2, 905, 1, 17, 283, 137);
INSERT INTO public.who_data VALUES (66888, 48, 8269, 7, 290, 283, 201);
INSERT INTO public.who_data VALUES (66889, 0, 0, 0, 0, 283, 171);
INSERT INTO public.who_data VALUES (66890, 73, 1242, 0, 50, 283, 92);
INSERT INTO public.who_data VALUES (66891, 76, 10667, 6, 534, 283, 112);
INSERT INTO public.who_data VALUES (66892, 0, 1268, 0, 3, 283, 62);
INSERT INTO public.who_data VALUES (66893, 0, 16, 0, 0, 283, 69);
INSERT INTO public.who_data VALUES (66894, 296, 11196, 7, 409, 283, 220);
INSERT INTO public.who_data VALUES (66895, 67, 30486, 7, 2334, 283, 100);
INSERT INTO public.who_data VALUES (66896, 398, 10829, 15, 571, 283, 187);
INSERT INTO public.who_data VALUES (66897, 39, 1037, 2, 20, 283, 63);
INSERT INTO public.who_data VALUES (66898, 61, 583, 1, 7, 283, 28);
INSERT INTO public.who_data VALUES (66899, 0, 39, 0, 0, 283, 172);
INSERT INTO public.who_data VALUES (66900, 5, 1751, 0, 61, 283, 17);
INSERT INTO public.who_data VALUES (66901, 3, 187, 0, 2, 283, 226);
INSERT INTO public.who_data VALUES (66902, 2, 263, 0, 5, 283, 236);
INSERT INTO public.who_data VALUES (66903, 0, 13, 0, 0, 283, 76);
INSERT INTO public.who_data VALUES (66904, 0, 187, 0, 0, 283, 30);
INSERT INTO public.who_data VALUES (66905, 0, 18, 0, 0, 283, 128);
INSERT INTO public.who_data VALUES (66906, 51, 6054, 9, 284, 283, 86);
INSERT INTO public.who_data VALUES (66907, 448, 138609, 81, 27029, 283, 140);
INSERT INTO public.who_data VALUES (66908, 7, 153, 0, 1, 283, 44);
INSERT INTO public.who_data VALUES (66909, 0, 60, 0, 0, 283, 113);
INSERT INTO public.who_data VALUES (66910, 141, 1004, 0, 9, 283, 29);
INSERT INTO public.who_data VALUES (66911, 0, 23, 0, 1, 283, 125);
INSERT INTO public.who_data VALUES (66912, 10, 652, 0, 11, 283, 131);
INSERT INTO public.who_data VALUES (66913, 933, 172239, 89, 7723, 283, 46);
INSERT INTO public.who_data VALUES (66914, 281, 5408, 2, 24, 283, 10);
INSERT INTO public.who_data VALUES (66915, 0, 147, 0, 0, 283, 205);
INSERT INTO public.who_data VALUES (66916, 16, 2760, 3, 155, 283, 50);
INSERT INTO public.who_data VALUES (66917, 0, 11, 0, 0, 283, 20);
INSERT INTO public.who_data VALUES (66918, 0, 21, 0, 0, 283, 13);
INSERT INTO public.who_data VALUES (66919, 0, 155, 0, 13, 283, 148);
INSERT INTO public.who_data VALUES (66920, 0, 148, 0, 5, 283, 230);
INSERT INTO public.who_data VALUES (66921, 85, 1199, 1, 27, 283, 190);
INSERT INTO public.who_data VALUES (66922, 0, 252, 0, 13, 283, 188);
INSERT INTO public.who_data VALUES (66923, 74, 2372, 3, 14, 283, 123);
INSERT INTO public.who_data VALUES (66924, 16, 836, 0, 3, 283, 9);
INSERT INTO public.who_data VALUES (66925, 4, 113, 0, 10, 283, 102);
INSERT INTO public.who_data VALUES (66926, 10, 219, 2, 18, 283, 34);
INSERT INTO public.who_data VALUES (66927, 0, 12, 0, 0, 283, 212);
INSERT INTO public.who_data VALUES (66928, -20, 2080, 5, 121, 283, 122);
INSERT INTO public.who_data VALUES (66929, 39, 3380, 6, 436, 283, 38);
INSERT INTO public.who_data VALUES (66930, 1, 1802, 0, 10, 283, 130);
INSERT INTO public.who_data VALUES (66931, 3722, 78003, 134, 2549, 283, 37);
INSERT INTO public.who_data VALUES (66932, 568, 16006, 15, 1043, 283, 231);
INSERT INTO public.who_data VALUES (66933, 1808, 114533, 71, 6854, 283, 107);
INSERT INTO public.who_data VALUES (66934, 111, 3143, 0, 115, 283, 101);
INSERT INTO public.who_data VALUES (66935, 159, 23401, 9, 1497, 283, 132);
INSERT INTO public.who_data VALUES (66936, 2, 332, 1, 24, 283, 176);
INSERT INTO public.who_data VALUES (66937, 23, 16459, 3, 263, 283, 200);
INSERT INTO public.who_data VALUES (66938, 888, 222104, 195, 31106, 283, 169);
INSERT INTO public.who_data VALUES (66939, 2, 507, 0, 9, 283, 225);
INSERT INTO public.who_data VALUES (66940, 55, 16079, 19, 687, 283, 165);
INSERT INTO public.who_data VALUES (66941, 1, 297, 1, 27, 283, 233);
INSERT INTO public.who_data VALUES (66942, 4, 586, 0, 9, 283, 215);
INSERT INTO public.who_data VALUES (66943, 118, 5689, 1, 34, 283, 177);
INSERT INTO public.who_data VALUES (66944, 22, 737, 4, 40, 283, 183);
INSERT INTO public.who_data VALUES (66945, 0, 0, 0, 0, 283, 203);
INSERT INTO public.who_data VALUES (66946, 0, 919, 0, 20, 283, 162);
INSERT INTO public.who_data VALUES (66947, 947, 11975, 6, 88, 283, 12);
INSERT INTO public.who_data VALUES (66948, 38, 1082, 0, 12, 283, 24);
INSERT INTO public.who_data VALUES (66949, 0, 19, 0, 0, 283, 119);
INSERT INTO public.who_data VALUES (66950, 1, 951, 1, 19, 283, 39);
INSERT INTO public.who_data VALUES (66951, 8, 886, 0, 26, 283, 26);
INSERT INTO public.who_data VALUES (66952, 1, 1, 0, 0, 283, 59);
INSERT INTO public.who_data VALUES (66953, 1, 213, 0, 20, 283, 77);
INSERT INTO public.who_data VALUES (66954, 0, 64, 0, 3, 283, 134);
INSERT INTO public.who_data VALUES (66955, 0, 83, 0, 1, 283, 4);
INSERT INTO public.who_data VALUES (66956, 9, 1511, 0, 54, 283, 109);
INSERT INTO public.who_data VALUES (66957, 10, 3904, 1, 103, 283, 90);
INSERT INTO public.who_data VALUES (66958, 20, 212, 0, 0, 283, 61);
INSERT INTO public.who_data VALUES (66959, 5, 63, 0, 3, 283, 85);
INSERT INTO public.who_data VALUES (66960, 37, 6779, 2, 111, 283, 49);
INSERT INTO public.who_data VALUES (66961, 64, 968, 1, 4, 283, 208);
INSERT INTO public.who_data VALUES (66962, 28, 758, 4, 44, 283, 166);
INSERT INTO public.who_data VALUES (66963, 2, 507, 1, 6, 283, 64);
INSERT INTO public.who_data VALUES (66964, 0, 0, 0, 0, 283, 199);
INSERT INTO public.who_data VALUES (66965, 2, 189, 0, 14, 283, 114);
INSERT INTO public.who_data VALUES (66966, 1, 9, 0, 1, 283, 60);
INSERT INTO public.who_data VALUES (66967, 0, 332, 0, 10, 283, 68);
INSERT INTO public.who_data VALUES (66968, 48, 1143, 2, 14, 283, 158);
INSERT INTO public.who_data VALUES (66969, 1997, 38324, 353, 3926, 283, 52);
INSERT INTO public.who_data VALUES (66970, 0, 0, 0, 0, 283, 117);
INSERT INTO public.who_data VALUES (66971, 0, 67, 0, 1, 283, 126);
INSERT INTO public.who_data VALUES (66972, 0, 42, 0, 0, 283, 196);
INSERT INTO public.who_data VALUES (66973, 0, 324, 0, 9, 283, 142);
INSERT INTO public.who_data VALUES (66974, 0, 11, 0, 1, 283, 185);
INSERT INTO public.who_data VALUES (66975, 127, 6593, 1, 189, 283, 138);
INSERT INTO public.who_data VALUES (66976, 3, 107, 0, 0, 283, 181);
INSERT INTO public.who_data VALUES (66977, 1, 181, 0, 6, 283, 178);
INSERT INTO public.who_data VALUES (66978, 0, 16, 0, 0, 283, 168);
INSERT INTO public.who_data VALUES (66979, 0, 0, 0, 0, 283, 160);
INSERT INTO public.who_data VALUES (66980, 6, 249, 0, 0, 283, 151);
INSERT INTO public.who_data VALUES (66981, 223, 42967, 52, 5528, 283, 193);
INSERT INTO public.who_data VALUES (66982, 0, 18, 0, 0, 283, 18);
INSERT INTO public.who_data VALUES (66983, 0, 1147, 0, 21, 283, 40);
INSERT INTO public.who_data VALUES (66984, 9, 25, 3, 8, 283, 218);
INSERT INTO public.who_data VALUES (66985, 6, 860, 2, 49, 283, 191);
INSERT INTO public.who_data VALUES (66986, 184, 4971, 6, 164, 283, 156);
INSERT INTO public.who_data VALUES (66987, 0, 0, 0, 0, 283, 135);
INSERT INTO public.who_data VALUES (66988, 0, 19, 0, 2, 283, 88);
INSERT INTO public.who_data VALUES (66989, 20, 1694, 3, 95, 283, 55);
INSERT INTO public.who_data VALUES (66990, 23, 8158, 1, 229, 283, 108);
INSERT INTO public.who_data VALUES (66991, 0, 548, 0, 4, 283, 48);
INSERT INTO public.who_data VALUES (66992, 322, 4341, 0, 17, 283, 3);
INSERT INTO public.who_data VALUES (66993, 0, 712, 0, 13, 283, 224);
INSERT INTO public.who_data VALUES (66994, 1452, 35788, 33, 770, 283, 110);
INSERT INTO public.who_data VALUES (66995, 0, 0, 0, 0, 283, 106);
INSERT INTO public.who_data VALUES (66996, 0, 8616, 0, 249, 283, 89);
INSERT INTO public.who_data VALUES (66997, 0, 8, 0, 0, 283, 121);
INSERT INTO public.who_data VALUES (66998, 3, 740, 1, 11, 283, 163);
INSERT INTO public.who_data VALUES (66999, 3237, 72059, 96, 2057, 283, 70);
INSERT INTO public.who_data VALUES (67000, 268, 11618, 21, 772, 283, 174);
INSERT INTO public.who_data VALUES (67001, 0, 0, 0, 0, 283, 175);
INSERT INTO public.who_data VALUES (67002, 283, 17204, 22, 861, 283, 118);
INSERT INTO public.who_data VALUES (67003, 219, 28132, 12, 1175, 283, 189);
INSERT INTO public.who_data VALUES (67004, 30, 2329, 1, 115, 283, 124);
INSERT INTO public.who_data VALUES (67005, 1733, 28272, 0, 14, 283, 192);
INSERT INTO public.who_data VALUES (67006, 29, 10991, 1, 260, 283, 41);
INSERT INTO public.who_data VALUES (67007, 252, 5406, 8, 190, 283, 95);
INSERT INTO public.who_data VALUES (67008, 2, 439, 0, 0, 283, 74);
INSERT INTO public.who_data VALUES (67009, 224, 16002, 14, 1016, 283, 11);
INSERT INTO public.who_data VALUES (67010, 9974, 252245, 93, 2305, 283, 87);
INSERT INTO public.who_data VALUES (67011, 1, 287, 0, 0, 283, 214);
INSERT INTO public.who_data VALUES (67012, 0, 2, 0, 0, 283, 116);
INSERT INTO public.who_data VALUES (67013, 0, 6, 0, 0, 283, 157);
INSERT INTO public.who_data VALUES (67014, 0, 0, 0, 0, 283, 182);
INSERT INTO public.who_data VALUES (67015, 0, 15, 0, 0, 283, 186);
INSERT INTO public.who_data VALUES (67016, 0, 18, 0, 0, 283, 127);
INSERT INTO public.who_data VALUES (67017, 0, 39, 0, 3, 283, 232);
INSERT INTO public.who_data VALUES (67018, 0, 1, 0, 0, 283, 33);
INSERT INTO public.who_data VALUES (67019, 0, 17, 0, 0, 283, 97);
INSERT INTO public.who_data VALUES (67020, 0, 0, 0, 0, 283, 42);
INSERT INTO public.who_data VALUES (67021, 0, 647, 0, 41, 283, 198);
INSERT INTO public.who_data VALUES (67022, 0, 165, 3, 7, 283, 216);
INSERT INTO public.who_data VALUES (67023, 2039, 46869, 10, 283, 283, 164);
INSERT INTO public.who_data VALUES (67024, 110, 2105, 3, 22, 283, 235);
INSERT INTO public.who_data VALUES (67025, 52, 10295, 2, 222, 283, 67);
INSERT INTO public.who_data VALUES (67026, 0, 11, 0, 0, 283, 15);
INSERT INTO public.who_data VALUES (67027, 49, 387, 1, 21, 283, 180);
INSERT INTO public.who_data VALUES (67028, 675, 25346, 0, 21, 283, 237);
INSERT INTO public.who_data VALUES (67029, 0, 2, 0, 0, 283, 25);
INSERT INTO public.who_data VALUES (67030, 1, 78, 0, 15, 283, 209);
INSERT INTO public.who_data VALUES (67031, 8, 1465, 1, 27, 283, 217);
INSERT INTO public.who_data VALUES (67032, 2, 1463, 1, 111, 283, 79);
INSERT INTO public.who_data VALUES (67033, 0, 0, 0, 0, 283, 143);
INSERT INTO public.who_data VALUES (67034, 65, 1284, 1, 53, 283, 229);
INSERT INTO public.who_data VALUES (67035, 724, 12074, 13, 219, 283, 141);
INSERT INTO public.who_data VALUES (67036, 20, 194, 0, 0, 283, 197);
INSERT INTO public.who_data VALUES (67037, 721, 234797, 113, 28002, 283, 221);
INSERT INTO public.who_data VALUES (67038, 23, 916, 0, 9, 283, 150);
INSERT INTO public.who_data VALUES (67039, 158, 1818, 10, 90, 283, 56);
INSERT INTO public.who_data VALUES (67040, 0, 10, 0, 1, 283, 167);
INSERT INTO public.who_data VALUES (67041, 754, 28060, 61, 3769, 283, 23);
INSERT INTO public.who_data VALUES (67042, 37, 30457, 1, 1687, 283, 222);
INSERT INTO public.who_data VALUES (67043, 0, 48, 0, 3, 283, 219);
INSERT INTO public.who_data VALUES (67044, 178, 907, 9, 32, 283, 7);
INSERT INTO public.who_data VALUES (67045, 1, 3018, 0, 56, 283, 161);
INSERT INTO public.who_data VALUES (67046, 3402, 217712, 447, 32640, 283, 149);
INSERT INTO public.who_data VALUES (67047, 0, 24, 0, 0, 283, 6);
INSERT INTO public.who_data VALUES (67048, 20, 219, 0, 11, 283, 139);
INSERT INTO public.who_data VALUES (67049, 0, 0, 0, 0, 283, 211);
INSERT INTO public.who_data VALUES (67050, 0, 0, 0, 0, 283, 14);
INSERT INTO public.who_data VALUES (67051, 0, 116, 0, 8, 283, 111);
INSERT INTO public.who_data VALUES (67052, 0, 1032, 0, 45, 283, 207);
INSERT INTO public.who_data VALUES (67053, 1639, 143114, 58, 3952, 283, 66);
INSERT INTO public.who_data VALUES (67054, 0, 0, 0, 0, 283, 173);
INSERT INTO public.who_data VALUES (67055, 0, 12, 0, 1, 283, 145);
INSERT INTO public.who_data VALUES (67056, 0, 0, 0, 0, 283, 65);
INSERT INTO public.who_data VALUES (67057, 13, 139, 0, 0, 283, 184);
INSERT INTO public.who_data VALUES (67058, 422, 16847, 17, 456, 283, 98);
INSERT INTO public.who_data VALUES (67059, 1423, 21084, 5, 208, 283, 104);
INSERT INTO public.who_data VALUES (67060, 0, 509, 0, 21, 283, 73);
INSERT INTO public.who_data VALUES (67061, 21424, 1361522, 1424, 82119, 283, 8);
INSERT INTO public.who_data VALUES (67062, 0, 69, 1, 6, 283, 227);
INSERT INTO public.who_data VALUES (67063, 6, 717, 0, 19, 283, 75);
INSERT INTO public.who_data VALUES (67064, 22, 2620, 1, 11, 283, 45);
INSERT INTO public.who_data VALUES (67065, 0, 0, 0, 0, 283, 133);
INSERT INTO public.who_data VALUES (67066, 18, 440, 0, 10, 283, 202);
INSERT INTO public.who_data VALUES (67067, 0, 288, 0, 0, 283, 129);
INSERT INTO public.who_data VALUES (67068, 0, 0, 0, 0, 283, 36);
INSERT INTO public.who_data VALUES (67069, 15, 87, 0, 13, 283, 51);
INSERT INTO public.who_data VALUES (67070, 5, 446, 0, 7, 283, 206);
INSERT INTO public.who_data VALUES (67071, 0, 37, 0, 4, 283, 5);
INSERT INTO public.who_data VALUES (67072, 259, 5226, 3, 130, 284, 103);
INSERT INTO public.who_data VALUES (67073, 4, 838, 0, 30, 284, 58);
INSERT INTO public.who_data VALUES (67074, 176, 6067, 8, 515, 284, 195);
INSERT INTO public.who_data VALUES (67075, 0, 0, 0, 0, 284, 115);
INSERT INTO public.who_data VALUES (67076, 3, 759, 0, 48, 284, 99);
INSERT INTO public.who_data VALUES (67077, 0, 45, 0, 2, 284, 153);
INSERT INTO public.who_data VALUES (67078, 0, 3, 0, 0, 284, 93);
INSERT INTO public.who_data VALUES (67079, 0, 25, 0, 3, 284, 84);
INSERT INTO public.who_data VALUES (67080, 244, 6278, 12, 317, 284, 78);
INSERT INTO public.who_data VALUES (67081, 146, 3514, 1, 47, 284, 170);
INSERT INTO public.who_data VALUES (67082, 0, 101, 0, 3, 284, 32);
INSERT INTO public.who_data VALUES (67083, 16, 6964, 0, 97, 284, 155);
INSERT INTO public.who_data VALUES (67084, 36, 15910, 3, 623, 284, 82);
INSERT INTO public.who_data VALUES (67085, 104, 2693, 1, 33, 284, 16);
INSERT INTO public.who_data VALUES (67086, 1, 93, 0, 11, 284, 72);
INSERT INTO public.who_data VALUES (67087, 371, 5780, 0, 9, 284, 43);
INSERT INTO public.who_data VALUES (67088, 1162, 17822, 19, 269, 284, 120);
INSERT INTO public.who_data VALUES (67089, 0, 84, 0, 7, 284, 213);
INSERT INTO public.who_data VALUES (67090, 1934, 25840, 14, 149, 284, 31);
INSERT INTO public.who_data VALUES (67091, 395, 55211, 45, 8766, 284, 204);
INSERT INTO public.who_data VALUES (67092, 0, 18, 0, 2, 284, 152);
INSERT INTO public.who_data VALUES (67093, 8, 327, 0, 2, 284, 144);
INSERT INTO public.who_data VALUES (67094, 1, 119, 1, 8, 284, 96);
INSERT INTO public.who_data VALUES (67095, 0, 11, 0, 0, 284, 47);
INSERT INTO public.who_data VALUES (67096, 275, 2831, 4, 122, 284, 80);
INSERT INTO public.who_data VALUES (67097, 0, 2, 0, 0, 284, 159);
INSERT INTO public.who_data VALUES (67098, 20, 2162, 4, 116, 284, 27);
INSERT INTO public.who_data VALUES (67099, 0, 24, 0, 1, 284, 146);
INSERT INTO public.who_data VALUES (67100, 5632, 168331, 396, 11519, 284, 71);
INSERT INTO public.who_data VALUES (67101, 0, 7, 0, 1, 284, 210);
INSERT INTO public.who_data VALUES (67102, 0, 141, 0, 1, 284, 54);
INSERT INTO public.who_data VALUES (67103, 33, 2023, 2, 95, 284, 147);
INSERT INTO public.who_data VALUES (67104, 6, 766, 1, 51, 284, 2);
INSERT INTO public.who_data VALUES (67105, 8, 27, 0, 1, 284, 105);
INSERT INTO public.who_data VALUES (67106, 10, 270, 0, 2, 284, 53);
INSERT INTO public.who_data VALUES (67107, 0, 122, 0, 0, 284, 81);
INSERT INTO public.who_data VALUES (67108, 110, 2689, 11, 125, 284, 223);
INSERT INTO public.who_data VALUES (67109, 1186, 70342, 143, 5049, 284, 94);
INSERT INTO public.who_data VALUES (67110, 3, 84, 0, 1, 284, 154);
INSERT INTO public.who_data VALUES (67111, 0, 179, 0, 0, 284, 83);
INSERT INTO public.who_data VALUES (67112, 35, 357, 9, 40, 284, 194);
INSERT INTO public.who_data VALUES (67113, 1658, 31721, 12, 335, 284, 136);
INSERT INTO public.who_data VALUES (67114, 7, 84458, 0, 4644, 284, 179);
INSERT INTO public.who_data VALUES (67115, 550, 11613, 16, 479, 284, 57);
INSERT INTO public.who_data VALUES (67116, 0, 11, 0, 1, 284, 35);
INSERT INTO public.who_data VALUES (67117, 0, 333, 0, 11, 284, 228);
INSERT INTO public.who_data VALUES (67118, 0, 0, 0, 0, 284, 19);
INSERT INTO public.who_data VALUES (67119, 9, 801, 1, 7, 284, 22);
INSERT INTO public.who_data VALUES (67120, 127, 1857, 0, 21, 284, 1);
INSERT INTO public.who_data VALUES (67121, 11, 2207, 0, 91, 284, 21);
INSERT INTO public.who_data VALUES (67122, 21, 1804, 1, 78, 284, 234);
INSERT INTO public.who_data VALUES (67123, 0, 16, 0, 1, 284, 91);
INSERT INTO public.who_data VALUES (67124, 2, 903, 0, 16, 284, 137);
INSERT INTO public.who_data VALUES (67125, 45, 8221, 1, 283, 284, 201);
INSERT INTO public.who_data VALUES (67126, 0, 0, 0, 0, 284, 171);
INSERT INTO public.who_data VALUES (67127, 67, 1169, 6, 50, 284, 92);
INSERT INTO public.who_data VALUES (67128, 78, 10591, 4, 528, 284, 112);
INSERT INTO public.who_data VALUES (67129, 12, 1268, 0, 3, 284, 62);
INSERT INTO public.who_data VALUES (67130, 0, 16, 0, 0, 284, 69);
INSERT INTO public.who_data VALUES (67131, 266, 10900, 9, 402, 284, 220);
INSERT INTO public.who_data VALUES (67132, 910, 30419, 182, 2327, 284, 100);
INSERT INTO public.who_data VALUES (67133, 685, 10431, 23, 556, 284, 187);
INSERT INTO public.who_data VALUES (67134, 40, 998, 1, 18, 284, 63);
INSERT INTO public.who_data VALUES (67135, 83, 522, 2, 6, 284, 28);
INSERT INTO public.who_data VALUES (67136, 0, 39, 0, 0, 284, 172);
INSERT INTO public.who_data VALUES (67137, 5, 1746, 0, 61, 284, 17);
INSERT INTO public.who_data VALUES (67138, 9, 184, 0, 2, 284, 226);
INSERT INTO public.who_data VALUES (67139, 11, 261, 0, 5, 284, 236);
INSERT INTO public.who_data VALUES (67140, 0, 13, 0, 0, 284, 76);
INSERT INTO public.who_data VALUES (67141, 0, 187, 0, 0, 284, 30);
INSERT INTO public.who_data VALUES (67142, 0, 18, 0, 0, 284, 128);
INSERT INTO public.who_data VALUES (67143, 19, 6003, 4, 275, 284, 86);
INSERT INTO public.who_data VALUES (67144, 670, 138161, 348, 26948, 284, 140);
INSERT INTO public.who_data VALUES (67145, 2, 146, 0, 1, 284, 44);
INSERT INTO public.who_data VALUES (67146, 0, 60, 0, 0, 284, 113);
INSERT INTO public.who_data VALUES (67147, 61, 863, 0, 9, 284, 29);
INSERT INTO public.who_data VALUES (67148, 1, 23, 0, 1, 284, 125);
INSERT INTO public.who_data VALUES (67149, 3, 642, 0, 11, 284, 131);
INSERT INTO public.who_data VALUES (67150, 798, 171306, 101, 7634, 284, 46);
INSERT INTO public.who_data VALUES (67151, 427, 5127, 0, 22, 284, 10);
INSERT INTO public.who_data VALUES (67152, 1, 147, 0, 0, 284, 205);
INSERT INTO public.who_data VALUES (67153, 18, 2744, 1, 152, 284, 50);
INSERT INTO public.who_data VALUES (67154, 0, 11, 0, 0, 284, 20);
INSERT INTO public.who_data VALUES (67155, 0, 21, 0, 0, 284, 13);
INSERT INTO public.who_data VALUES (67156, 1, 155, 0, 13, 284, 148);
INSERT INTO public.who_data VALUES (67157, 1, 148, 0, 5, 284, 230);
INSERT INTO public.who_data VALUES (67158, 62, 1114, 0, 26, 284, 190);
INSERT INTO public.who_data VALUES (67159, 0, 252, 0, 13, 284, 188);
INSERT INTO public.who_data VALUES (67160, 152, 2298, 0, 11, 284, 123);
INSERT INTO public.who_data VALUES (67161, 59, 820, 0, 3, 284, 9);
INSERT INTO public.who_data VALUES (67162, 5, 109, 0, 10, 284, 102);
INSERT INTO public.who_data VALUES (67163, 27, 209, 1, 16, 284, 34);
INSERT INTO public.who_data VALUES (67164, 0, 12, 0, 0, 284, 212);
INSERT INTO public.who_data VALUES (67165, 128, 2100, 8, 116, 284, 122);
INSERT INTO public.who_data VALUES (67166, 28, 3341, 5, 430, 284, 38);
INSERT INTO public.who_data VALUES (67167, 0, 1801, 0, 10, 284, 130);
INSERT INTO public.who_data VALUES (67168, 3525, 74281, 122, 2415, 284, 37);
INSERT INTO public.who_data VALUES (67169, 689, 15438, 21, 1028, 284, 231);
INSERT INTO public.who_data VALUES (67170, 1958, 112725, 50, 6783, 284, 107);
INSERT INTO public.who_data VALUES (67171, 119, 3032, 3, 115, 284, 101);
INSERT INTO public.who_data VALUES (67172, 107, 23242, 21, 1488, 284, 132);
INSERT INTO public.who_data VALUES (67173, 0, 330, 0, 23, 284, 176);
INSERT INTO public.who_data VALUES (67174, 39, 16436, 5, 260, 284, 200);
INSERT INTO public.who_data VALUES (67175, 1402, 221216, 172, 30911, 284, 169);
INSERT INTO public.who_data VALUES (67176, 3, 505, 0, 9, 284, 225);
INSERT INTO public.who_data VALUES (67177, 150, 16024, 25, 668, 284, 165);
INSERT INTO public.who_data VALUES (67178, 0, 296, 0, 26, 284, 233);
INSERT INTO public.who_data VALUES (67179, 6, 582, 0, 9, 284, 215);
INSERT INTO public.who_data VALUES (67180, 154, 5571, 1, 33, 284, 177);
INSERT INTO public.who_data VALUES (67181, 15, 715, 3, 36, 284, 183);
INSERT INTO public.who_data VALUES (67182, 0, 0, 0, 0, 284, 203);
INSERT INTO public.who_data VALUES (67183, 35, 919, 0, 20, 284, 162);
INSERT INTO public.who_data VALUES (67184, 751, 11028, 7, 82, 284, 12);
INSERT INTO public.who_data VALUES (67185, 7, 1044, 0, 12, 284, 24);
INSERT INTO public.who_data VALUES (67186, 0, 19, 0, 0, 284, 119);
INSERT INTO public.who_data VALUES (67187, 4, 950, 0, 18, 284, 39);
INSERT INTO public.who_data VALUES (67188, 8, 878, 0, 26, 284, 26);
INSERT INTO public.who_data VALUES (67189, 0, 0, 0, 0, 284, 59);
INSERT INTO public.who_data VALUES (67190, 1, 212, 0, 20, 284, 77);
INSERT INTO public.who_data VALUES (67191, 0, 64, 0, 3, 284, 134);
INSERT INTO public.who_data VALUES (67192, 0, 83, 0, 1, 284, 4);
INSERT INTO public.who_data VALUES (67193, 14, 1502, 0, 54, 284, 109);
INSERT INTO public.who_data VALUES (67194, 6, 3894, 1, 102, 284, 90);
INSERT INTO public.who_data VALUES (67195, 6, 192, 0, 0, 284, 61);
INSERT INTO public.who_data VALUES (67196, 1, 58, 0, 3, 284, 85);
INSERT INTO public.who_data VALUES (67197, 16, 6742, 0, 109, 284, 49);
INSERT INTO public.who_data VALUES (67198, 7, 904, 0, 3, 284, 208);
INSERT INTO public.who_data VALUES (67199, 18, 730, 1, 40, 284, 166);
INSERT INTO public.who_data VALUES (67200, 3, 505, 0, 5, 284, 64);
INSERT INTO public.who_data VALUES (67201, 0, 0, 0, 0, 284, 199);
INSERT INTO public.who_data VALUES (67202, 0, 187, 0, 14, 284, 114);
INSERT INTO public.who_data VALUES (67203, 0, 8, 0, 1, 284, 60);
INSERT INTO public.who_data VALUES (67204, 0, 332, 0, 10, 284, 68);
INSERT INTO public.who_data VALUES (67205, 34, 1095, 0, 12, 284, 158);
INSERT INTO public.who_data VALUES (67206, 1305, 36327, 108, 3573, 284, 52);
INSERT INTO public.who_data VALUES (67207, 0, 0, 0, 0, 284, 117);
INSERT INTO public.who_data VALUES (67208, 0, 67, 0, 1, 284, 126);
INSERT INTO public.who_data VALUES (67209, 0, 42, 0, 0, 284, 196);
INSERT INTO public.who_data VALUES (67210, 0, 324, 0, 9, 284, 142);
INSERT INTO public.who_data VALUES (67211, 0, 11, 0, 1, 284, 185);
INSERT INTO public.who_data VALUES (67212, 86, 6466, 0, 188, 284, 138);
INSERT INTO public.who_data VALUES (67213, 1, 104, 0, 0, 284, 181);
INSERT INTO public.who_data VALUES (67214, 0, 180, 0, 6, 284, 178);
INSERT INTO public.who_data VALUES (67215, 0, 16, 0, 0, 284, 168);
INSERT INTO public.who_data VALUES (67216, 0, 0, 0, 0, 284, 160);
INSERT INTO public.who_data VALUES (67217, 52, 243, 0, 0, 284, 151);
INSERT INTO public.who_data VALUES (67218, 195, 42744, 56, 5476, 284, 193);
INSERT INTO public.who_data VALUES (67219, 0, 18, 0, 0, 284, 18);
INSERT INTO public.who_data VALUES (67220, 0, 1147, 0, 21, 284, 40);
INSERT INTO public.who_data VALUES (67221, 0, 16, 0, 5, 284, 218);
INSERT INTO public.who_data VALUES (67222, 22, 854, 1, 47, 284, 191);
INSERT INTO public.who_data VALUES (67223, 146, 4787, 8, 158, 284, 156);
INSERT INTO public.who_data VALUES (67224, 0, 0, 0, 0, 284, 135);
INSERT INTO public.who_data VALUES (67225, 0, 19, 0, 2, 284, 88);
INSERT INTO public.who_data VALUES (67226, 10, 1674, 1, 92, 284, 55);
INSERT INTO public.who_data VALUES (67227, 29, 8135, 4, 228, 284, 108);
INSERT INTO public.who_data VALUES (67228, 1, 548, 0, 4, 284, 48);
INSERT INTO public.who_data VALUES (67229, 298, 4019, 0, 17, 284, 3);
INSERT INTO public.who_data VALUES (67230, 0, 712, 0, 13, 284, 224);
INSERT INTO public.who_data VALUES (67231, 1662, 34336, 13, 737, 284, 110);
INSERT INTO public.who_data VALUES (67232, 0, 0, 0, 0, 284, 106);
INSERT INTO public.who_data VALUES (67233, 168, 8616, 5, 249, 284, 89);
INSERT INTO public.who_data VALUES (67234, 0, 8, 0, 0, 284, 121);
INSERT INTO public.who_data VALUES (67235, 13, 737, 0, 10, 284, 163);
INSERT INTO public.who_data VALUES (67236, 1515, 68822, 72, 1961, 284, 70);
INSERT INTO public.who_data VALUES (67237, 264, 11350, 25, 751, 284, 174);
INSERT INTO public.who_data VALUES (67238, 0, 0, 0, 0, 284, 175);
INSERT INTO public.who_data VALUES (67239, 595, 16921, 28, 839, 284, 118);
INSERT INTO public.who_data VALUES (67240, 234, 27913, 19, 1163, 284, 189);
INSERT INTO public.who_data VALUES (67241, 43, 2299, 1, 114, 284, 124);
INSERT INTO public.who_data VALUES (67242, 1390, 26539, 0, 14, 284, 192);
INSERT INTO public.who_data VALUES (67243, 26, 10962, 1, 259, 284, 41);
INSERT INTO public.who_data VALUES (67244, 159, 5154, 3, 182, 284, 95);
INSERT INTO public.who_data VALUES (67245, 1, 437, 0, 0, 284, 74);
INSERT INTO public.who_data VALUES (67246, 190, 15778, 30, 1002, 284, 11);
INSERT INTO public.who_data VALUES (67247, 10028, 242271, 96, 2212, 284, 87);
INSERT INTO public.who_data VALUES (67248, 1, 286, 0, 0, 284, 214);
INSERT INTO public.who_data VALUES (67249, 0, 2, 0, 0, 284, 116);
INSERT INTO public.who_data VALUES (67250, 0, 6, 0, 0, 284, 157);
INSERT INTO public.who_data VALUES (67251, 0, 0, 0, 0, 284, 182);
INSERT INTO public.who_data VALUES (67252, 0, 15, 0, 0, 284, 186);
INSERT INTO public.who_data VALUES (67253, 0, 18, 0, 0, 284, 127);
INSERT INTO public.who_data VALUES (67254, 0, 39, 0, 3, 284, 232);
INSERT INTO public.who_data VALUES (67255, 0, 1, 0, 0, 284, 33);
INSERT INTO public.who_data VALUES (67256, 0, 17, 0, 0, 284, 97);
INSERT INTO public.who_data VALUES (67257, 0, 0, 0, 0, 284, 42);
INSERT INTO public.who_data VALUES (67258, 0, 647, 0, 41, 284, 198);
INSERT INTO public.who_data VALUES (67259, 0, 165, 0, 4, 284, 216);
INSERT INTO public.who_data VALUES (67260, 1905, 44830, 9, 273, 284, 164);
INSERT INTO public.who_data VALUES (67261, 109, 1995, 0, 19, 284, 235);
INSERT INTO public.who_data VALUES (67262, 67, 10243, 2, 220, 284, 67);
INSERT INTO public.who_data VALUES (67263, 0, 11, 0, 0, 284, 15);
INSERT INTO public.who_data VALUES (67264, 0, 338, 1, 20, 284, 180);
INSERT INTO public.who_data VALUES (67265, 849, 24671, 0, 21, 284, 237);
INSERT INTO public.who_data VALUES (67266, 0, 2, 0, 0, 284, 25);
INSERT INTO public.who_data VALUES (67267, 0, 77, 0, 15, 284, 209);
INSERT INTO public.who_data VALUES (67268, 0, 1457, 0, 26, 284, 217);
INSERT INTO public.who_data VALUES (67269, 1, 1461, 0, 110, 284, 79);
INSERT INTO public.who_data VALUES (67270, 0, 0, 0, 0, 284, 143);
INSERT INTO public.who_data VALUES (67271, 49, 1219, 0, 52, 284, 229);
INSERT INTO public.who_data VALUES (67272, 698, 11350, 0, 206, 284, 141);
INSERT INTO public.who_data VALUES (67273, 0, 174, 0, 0, 284, 197);
INSERT INTO public.who_data VALUES (67274, 603, 234076, 122, 27889, 284, 221);
INSERT INTO public.who_data VALUES (67275, 24, 893, 0, 9, 284, 150);
INSERT INTO public.who_data VALUES (67276, 134, 1660, 6, 80, 284, 56);
INSERT INTO public.who_data VALUES (67277, 0, 10, 0, 1, 284, 167);
INSERT INTO public.who_data VALUES (67278, 455, 27306, 65, 3708, 284, 23);
INSERT INTO public.who_data VALUES (67279, 42, 30420, 1, 1686, 284, 222);
INSERT INTO public.who_data VALUES (67280, 1, 48, 0, 3, 284, 219);
INSERT INTO public.who_data VALUES (67281, 68, 729, 2, 23, 284, 7);
INSERT INTO public.who_data VALUES (67282, 0, 3017, 0, 56, 284, 161);
INSERT INTO public.who_data VALUES (67283, 3586, 214310, 614, 32193, 284, 149);
INSERT INTO public.who_data VALUES (67284, 0, 24, 0, 0, 284, 6);
INSERT INTO public.who_data VALUES (67285, 18, 199, 0, 11, 284, 139);
INSERT INTO public.who_data VALUES (67286, 0, 0, 0, 0, 284, 211);
INSERT INTO public.who_data VALUES (67287, 0, 0, 0, 0, 284, 14);
INSERT INTO public.who_data VALUES (67288, 0, 116, 0, 8, 284, 111);
INSERT INTO public.who_data VALUES (67289, 0, 1032, 0, 45, 284, 207);
INSERT INTO public.who_data VALUES (67290, 1704, 141475, 53, 3894, 284, 66);
INSERT INTO public.who_data VALUES (67291, 0, 0, 0, 0, 284, 173);
INSERT INTO public.who_data VALUES (67292, 0, 12, 0, 1, 284, 145);
INSERT INTO public.who_data VALUES (67293, 0, 0, 0, 0, 284, 65);
INSERT INTO public.who_data VALUES (67294, 4, 126, 0, 0, 284, 184);
INSERT INTO public.who_data VALUES (67295, 402, 16425, 14, 439, 284, 98);
INSERT INTO public.who_data VALUES (67296, 0, 19661, 0, 203, 284, 104);
INSERT INTO public.who_data VALUES (67297, 0, 509, 0, 21, 284, 73);
INSERT INTO public.who_data VALUES (67298, 18044, 1340098, 1061, 80695, 284, 8);
INSERT INTO public.who_data VALUES (67299, 0, 69, 0, 5, 284, 227);
INSERT INTO public.who_data VALUES (67300, 4, 711, 0, 19, 284, 75);
INSERT INTO public.who_data VALUES (67301, 89, 2598, 0, 10, 284, 45);
INSERT INTO public.who_data VALUES (67302, 0, 0, 0, 0, 284, 133);
INSERT INTO public.who_data VALUES (67303, 8, 422, 0, 10, 284, 202);
INSERT INTO public.who_data VALUES (67304, 0, 288, 0, 0, 284, 129);
INSERT INTO public.who_data VALUES (67305, 0, 0, 0, 0, 284, 36);
INSERT INTO public.who_data VALUES (67306, 5, 72, 2, 13, 284, 51);
INSERT INTO public.who_data VALUES (67307, 174, 441, 0, 7, 284, 206);
INSERT INTO public.who_data VALUES (67308, 1, 37, 0, 4, 284, 5);
INSERT INTO public.who_data VALUES (67309, 303, 4967, 6, 127, 285, 103);
INSERT INTO public.who_data VALUES (67310, 4, 834, 0, 30, 285, 58);
INSERT INTO public.who_data VALUES (67311, 168, 5891, 5, 507, 285, 195);
INSERT INTO public.who_data VALUES (67312, 0, 0, 0, 0, 285, 115);
INSERT INTO public.who_data VALUES (67313, 0, 756, 0, 48, 285, 99);
INSERT INTO public.who_data VALUES (67314, 0, 45, 0, 2, 285, 153);
INSERT INTO public.who_data VALUES (67315, 0, 3, 0, 0, 285, 93);
INSERT INTO public.who_data VALUES (67316, 0, 25, 0, 3, 285, 84);
INSERT INTO public.who_data VALUES (67317, 110, 6034, 5, 305, 285, 78);
INSERT INTO public.who_data VALUES (67318, 79, 3368, 1, 46, 285, 170);
INSERT INTO public.who_data VALUES (67319, 0, 101, 0, 3, 285, 32);
INSERT INTO public.who_data VALUES (67320, 7, 6948, 0, 97, 285, 155);
INSERT INTO public.who_data VALUES (67321, 87, 15874, 2, 620, 285, 82);
INSERT INTO public.who_data VALUES (67322, 70, 2589, 0, 32, 285, 16);
INSERT INTO public.who_data VALUES (67323, 0, 92, 0, 11, 285, 72);
INSERT INTO public.who_data VALUES (67324, 252, 5409, 1, 9, 285, 43);
INSERT INTO public.who_data VALUES (67325, 969, 16660, 11, 250, 285, 120);
INSERT INTO public.who_data VALUES (67326, 0, 84, 0, 7, 285, 213);
INSERT INTO public.who_data VALUES (67327, 0, 23906, 0, 135, 285, 31);
INSERT INTO public.who_data VALUES (67328, 476, 54816, 65, 8721, 285, 204);
INSERT INTO public.who_data VALUES (67329, 0, 18, 0, 2, 285, 152);
INSERT INTO public.who_data VALUES (67330, 0, 319, 0, 2, 285, 144);
INSERT INTO public.who_data VALUES (67331, 0, 118, 0, 7, 285, 96);
INSERT INTO public.who_data VALUES (67332, 2, 11, 0, 0, 285, 47);
INSERT INTO public.who_data VALUES (67333, 119, 2556, 4, 118, 285, 80);
INSERT INTO public.who_data VALUES (67334, 0, 2, 0, 0, 285, 159);
INSERT INTO public.who_data VALUES (67335, 44, 2142, 9, 112, 285, 27);
INSERT INTO public.who_data VALUES (67336, 1, 24, 0, 1, 285, 146);
INSERT INTO public.who_data VALUES (67337, 6760, 162699, 496, 11123, 285, 71);
INSERT INTO public.who_data VALUES (67338, 0, 7, 0, 1, 285, 210);
INSERT INTO public.who_data VALUES (67339, 0, 141, 0, 1, 285, 54);
INSERT INTO public.who_data VALUES (67340, 25, 1990, 2, 93, 285, 147);
INSERT INTO public.who_data VALUES (67341, 9, 760, 1, 50, 285, 2);
INSERT INTO public.who_data VALUES (67342, 0, 19, 0, 1, 285, 105);
INSERT INTO public.who_data VALUES (67343, 14, 260, 0, 2, 285, 53);
INSERT INTO public.who_data VALUES (67344, 0, 122, 0, 0, 285, 81);
INSERT INTO public.who_data VALUES (67345, 0, 2579, 0, 114, 285, 223);
INSERT INTO public.who_data VALUES (67346, 1160, 69156, 178, 4906, 285, 94);
INSERT INTO public.who_data VALUES (67347, 0, 81, 0, 1, 285, 154);
INSERT INTO public.who_data VALUES (67348, 0, 179, 0, 0, 285, 83);
INSERT INTO public.who_data VALUES (67349, 0, 322, 0, 31, 285, 194);
INSERT INTO public.who_data VALUES (67350, 1197, 30063, 11, 323, 285, 136);
INSERT INTO public.who_data VALUES (67351, 1, 84451, 1, 4644, 285, 179);
INSERT INTO public.who_data VALUES (67352, 568, 11063, 18, 463, 285, 57);
INSERT INTO public.who_data VALUES (67353, 0, 11, 0, 1, 285, 35);
INSERT INTO public.who_data VALUES (67354, 46, 333, 1, 11, 285, 228);
INSERT INTO public.who_data VALUES (67355, 0, 0, 0, 0, 285, 19);
INSERT INTO public.who_data VALUES (67356, 12, 792, 0, 6, 285, 22);
INSERT INTO public.who_data VALUES (67357, 30, 1730, 0, 21, 285, 1);
INSERT INTO public.who_data VALUES (67358, 9, 2196, 1, 91, 285, 21);
INSERT INTO public.who_data VALUES (67359, 17, 1783, 0, 77, 285, 234);
INSERT INTO public.who_data VALUES (67360, 0, 16, 0, 1, 285, 91);
INSERT INTO public.who_data VALUES (67361, 3, 901, 0, 16, 285, 137);
INSERT INTO public.who_data VALUES (67362, 53, 8176, 2, 282, 285, 201);
INSERT INTO public.who_data VALUES (67363, 0, 0, 0, 0, 285, 171);
INSERT INTO public.who_data VALUES (67364, 78, 1102, 3, 44, 285, 92);
INSERT INTO public.who_data VALUES (67365, 84, 10513, 5, 524, 285, 112);
INSERT INTO public.who_data VALUES (67366, 46, 1256, 0, 3, 285, 62);
INSERT INTO public.who_data VALUES (67367, 0, 16, 0, 0, 285, 69);
INSERT INTO public.who_data VALUES (67368, 287, 10634, 5, 393, 285, 220);
INSERT INTO public.who_data VALUES (67369, -50, 29509, 18, 2145, 285, 100);
INSERT INTO public.who_data VALUES (67370, 0, 9746, 0, 533, 285, 187);
INSERT INTO public.who_data VALUES (67371, 69, 958, 0, 17, 285, 63);
INSERT INTO public.who_data VALUES (67372, 0, 439, 0, 4, 285, 28);
INSERT INTO public.who_data VALUES (67373, 0, 39, 0, 0, 285, 172);
INSERT INTO public.who_data VALUES (67374, 2, 1741, 1, 61, 285, 17);
INSERT INTO public.who_data VALUES (67375, 3, 175, 0, 2, 285, 226);
INSERT INTO public.who_data VALUES (67376, 11, 250, 0, 5, 285, 236);
INSERT INTO public.who_data VALUES (67377, 0, 13, 0, 0, 285, 76);
INSERT INTO public.who_data VALUES (67378, 0, 187, 0, 0, 285, 30);
INSERT INTO public.who_data VALUES (67379, 0, 18, 0, 0, 285, 128);
INSERT INTO public.who_data VALUES (67380, 22, 5984, 4, 271, 285, 86);
INSERT INTO public.who_data VALUES (67381, 418, 137491, 262, 26600, 285, 140);
INSERT INTO public.who_data VALUES (67382, 0, 144, 0, 1, 285, 44);
INSERT INTO public.who_data VALUES (67383, 0, 60, 0, 0, 285, 113);
INSERT INTO public.who_data VALUES (67384, 141, 802, 1, 9, 285, 29);
INSERT INTO public.who_data VALUES (67385, 2, 22, 0, 1, 285, 125);
INSERT INTO public.who_data VALUES (67386, 1, 639, 1, 11, 285, 131);
INSERT INTO public.who_data VALUES (67387, 933, 170508, 116, 7533, 285, 46);
INSERT INTO public.who_data VALUES (67388, 437, 4700, 0, 22, 285, 10);
INSERT INTO public.who_data VALUES (67389, 0, 146, 0, 0, 285, 205);
INSERT INTO public.who_data VALUES (67390, 10, 2726, 0, 151, 285, 50);
INSERT INTO public.who_data VALUES (67391, 0, 11, 0, 0, 285, 20);
INSERT INTO public.who_data VALUES (67392, 0, 21, 0, 0, 285, 13);
INSERT INTO public.who_data VALUES (67393, 0, 154, 0, 13, 285, 148);
INSERT INTO public.who_data VALUES (67394, 0, 147, 0, 5, 285, 230);
INSERT INTO public.who_data VALUES (67395, 85, 1052, 2, 26, 285, 190);
INSERT INTO public.who_data VALUES (67396, 0, 252, 0, 13, 285, 188);
INSERT INTO public.who_data VALUES (67397, 0, 2146, 0, 11, 285, 123);
INSERT INTO public.who_data VALUES (67398, 119, 761, 0, 3, 285, 9);
INSERT INTO public.who_data VALUES (67399, 7, 104, 0, 10, 285, 102);
INSERT INTO public.who_data VALUES (67400, 31, 182, 3, 15, 285, 34);
INSERT INTO public.who_data VALUES (67401, 0, 12, 0, 0, 285, 212);
INSERT INTO public.who_data VALUES (67402, 142, 1972, 0, 108, 285, 122);
INSERT INTO public.who_data VALUES (67403, 29, 3313, 4, 425, 285, 38);
INSERT INTO public.who_data VALUES (67404, 0, 1801, 0, 10, 285, 130);
INSERT INTO public.who_data VALUES (67405, 3604, 70756, 87, 2293, 285, 37);
INSERT INTO public.who_data VALUES (67406, 484, 14749, 16, 1007, 285, 231);
INSERT INTO public.who_data VALUES (67407, 1481, 110767, 48, 6733, 285, 107);
INSERT INTO public.who_data VALUES (67408, 95, 2913, 2, 112, 285, 101);
INSERT INTO public.who_data VALUES (67409, 139, 23135, 9, 1467, 285, 132);
INSERT INTO public.who_data VALUES (67410, 0, 330, 0, 23, 285, 176);
INSERT INTO public.who_data VALUES (67411, 29, 16397, 4, 255, 285, 200);
INSERT INTO public.who_data VALUES (67412, 744, 219814, 179, 30739, 285, 169);
INSERT INTO public.who_data VALUES (67413, 4, 502, 0, 9, 285, 225);
INSERT INTO public.who_data VALUES (67414, 76, 15874, 22, 643, 285, 165);
INSERT INTO public.who_data VALUES (67415, 3, 296, 1, 26, 285, 233);
INSERT INTO public.who_data VALUES (67416, 14, 576, 0, 9, 285, 215);
INSERT INTO public.who_data VALUES (67417, 210, 5417, 0, 32, 285, 177);
INSERT INTO public.who_data VALUES (67418, 28, 700, 1, 33, 285, 183);
INSERT INTO public.who_data VALUES (67419, 0, 0, 0, 0, 285, 203);
INSERT INTO public.who_data VALUES (67420, 14, 884, 1, 20, 285, 162);
INSERT INTO public.who_data VALUES (67421, 991, 10277, 10, 75, 285, 12);
INSERT INTO public.who_data VALUES (67422, 21, 1037, 0, 12, 285, 24);
INSERT INTO public.who_data VALUES (67423, 0, 19, 0, 0, 285, 119);
INSERT INTO public.who_data VALUES (67424, 7, 946, 0, 18, 285, 39);
INSERT INTO public.who_data VALUES (67425, 11, 870, 0, 26, 285, 26);
INSERT INTO public.who_data VALUES (67426, 0, 0, 0, 0, 285, 59);
INSERT INTO public.who_data VALUES (67427, 7, 211, 0, 20, 285, 77);
INSERT INTO public.who_data VALUES (67428, 0, 64, 0, 3, 285, 134);
INSERT INTO public.who_data VALUES (67429, 0, 83, 0, 1, 285, 4);
INSERT INTO public.who_data VALUES (67430, 9, 1488, 3, 54, 285, 109);
INSERT INTO public.who_data VALUES (67431, 2, 3888, 0, 101, 285, 90);
INSERT INTO public.who_data VALUES (67432, 17, 186, 0, 0, 285, 61);
INSERT INTO public.who_data VALUES (67433, 1, 57, 0, 3, 285, 85);
INSERT INTO public.who_data VALUES (67434, 70, 6726, 1, 109, 285, 49);
INSERT INTO public.who_data VALUES (67435, 62, 897, 0, 3, 285, 208);
INSERT INTO public.who_data VALUES (67436, 8, 712, 1, 39, 285, 166);
INSERT INTO public.who_data VALUES (67437, 7, 502, 0, 5, 285, 64);
INSERT INTO public.who_data VALUES (67438, 0, 0, 0, 0, 285, 199);
INSERT INTO public.who_data VALUES (67439, 0, 187, 0, 14, 285, 114);
INSERT INTO public.who_data VALUES (67440, 0, 8, 0, 1, 285, 60);
INSERT INTO public.who_data VALUES (67441, 0, 332, 0, 10, 285, 68);
INSERT INTO public.who_data VALUES (67442, 38, 1061, 1, 12, 285, 158);
INSERT INTO public.who_data VALUES (67443, 1562, 35022, 112, 3465, 285, 52);
INSERT INTO public.who_data VALUES (67444, 0, 0, 0, 0, 285, 117);
INSERT INTO public.who_data VALUES (67445, 1, 67, 0, 1, 285, 126);
INSERT INTO public.who_data VALUES (67446, 0, 42, 0, 0, 285, 196);
INSERT INTO public.who_data VALUES (67447, 0, 324, 0, 9, 285, 142);
INSERT INTO public.who_data VALUES (67448, 0, 11, 0, 1, 285, 185);
INSERT INTO public.who_data VALUES (67449, 154, 6380, 0, 188, 285, 138);
INSERT INTO public.who_data VALUES (67450, 12, 103, 0, 0, 285, 181);
INSERT INTO public.who_data VALUES (67451, 0, 180, 0, 6, 285, 178);
INSERT INTO public.who_data VALUES (67452, 0, 16, 0, 0, 285, 168);
INSERT INTO public.who_data VALUES (67453, 0, 0, 0, 0, 285, 160);
INSERT INTO public.who_data VALUES (67454, 70, 191, 0, 0, 285, 151);
INSERT INTO public.who_data VALUES (67455, 179, 42549, 7, 5420, 285, 193);
INSERT INTO public.who_data VALUES (67456, 0, 18, 0, 0, 285, 18);
INSERT INTO public.who_data VALUES (67457, 0, 1147, 0, 21, 285, 40);
INSERT INTO public.who_data VALUES (67458, 0, 16, 0, 5, 285, 218);
INSERT INTO public.who_data VALUES (67459, 11, 832, 0, 46, 285, 191);
INSERT INTO public.who_data VALUES (67460, 242, 4641, 7, 150, 285, 156);
INSERT INTO public.who_data VALUES (67461, 0, 0, 0, 0, 285, 135);
INSERT INTO public.who_data VALUES (67462, 3, 19, 0, 2, 285, 88);
INSERT INTO public.who_data VALUES (67463, 22, 1664, 0, 91, 285, 55);
INSERT INTO public.who_data VALUES (67464, 7, 8106, 7, 224, 285, 108);
INSERT INTO public.who_data VALUES (67465, 0, 547, 0, 4, 285, 48);
INSERT INTO public.who_data VALUES (67466, 147, 3721, 0, 17, 285, 3);
INSERT INTO public.who_data VALUES (67467, 0, 712, 0, 13, 285, 224);
INSERT INTO public.who_data VALUES (67468, 1733, 32674, 57, 724, 285, 110);
INSERT INTO public.who_data VALUES (67469, 0, 0, 0, 0, 285, 106);
INSERT INTO public.who_data VALUES (67470, 166, 8448, 7, 244, 285, 89);
INSERT INTO public.who_data VALUES (67471, 0, 8, 0, 0, 285, 121);
INSERT INTO public.who_data VALUES (67472, 11, 724, 0, 10, 285, 163);
INSERT INTO public.who_data VALUES (67473, 2292, 67307, 75, 1889, 285, 70);
INSERT INTO public.who_data VALUES (67474, 292, 11086, 7, 726, 285, 174);
INSERT INTO public.who_data VALUES (67475, 0, 0, 0, 0, 285, 175);
INSERT INTO public.who_data VALUES (67476, 330, 16326, 11, 811, 285, 118);
INSERT INTO public.who_data VALUES (67477, 98, 27679, 9, 1144, 285, 189);
INSERT INTO public.who_data VALUES (67478, 58, 2256, 2, 113, 285, 124);
INSERT INTO public.who_data VALUES (67479, 1526, 25149, 0, 14, 285, 192);
INSERT INTO public.who_data VALUES (67480, 27, 10936, 2, 258, 285, 41);
INSERT INTO public.who_data VALUES (67481, 68, 4995, 8, 179, 285, 95);
INSERT INTO public.who_data VALUES (67482, 0, 436, 0, 0, 285, 74);
INSERT INTO public.who_data VALUES (67483, 226, 15588, 20, 972, 285, 11);
INSERT INTO public.who_data VALUES (67484, 10899, 232243, 107, 2116, 285, 87);
INSERT INTO public.who_data VALUES (67485, 1, 285, 0, 0, 285, 214);
INSERT INTO public.who_data VALUES (67486, 0, 2, 0, 0, 285, 116);
INSERT INTO public.who_data VALUES (67487, 0, 6, 0, 0, 285, 157);
INSERT INTO public.who_data VALUES (67488, 0, 0, 0, 0, 285, 182);
INSERT INTO public.who_data VALUES (67489, 0, 15, 0, 0, 285, 186);
INSERT INTO public.who_data VALUES (67490, 0, 18, 0, 0, 285, 127);
INSERT INTO public.who_data VALUES (67491, 0, 39, 0, 3, 285, 232);
INSERT INTO public.who_data VALUES (67492, 0, 1, 0, 0, 285, 33);
INSERT INTO public.who_data VALUES (67493, 0, 17, 0, 0, 285, 97);
INSERT INTO public.who_data VALUES (67494, 0, 0, 0, 0, 285, 42);
INSERT INTO public.who_data VALUES (67495, 10, 647, 0, 41, 285, 198);
INSERT INTO public.who_data VALUES (67496, 0, 165, 0, 4, 285, 216);
INSERT INTO public.who_data VALUES (67497, 1911, 42925, 9, 264, 285, 164);
INSERT INTO public.who_data VALUES (67498, 177, 1886, 0, 19, 285, 235);
INSERT INTO public.who_data VALUES (67499, 62, 10176, 3, 218, 285, 67);
INSERT INTO public.who_data VALUES (67500, 0, 11, 0, 0, 285, 15);
INSERT INTO public.who_data VALUES (67501, 31, 338, 1, 19, 285, 180);
INSERT INTO public.who_data VALUES (67502, 486, 23822, 1, 21, 285, 237);
INSERT INTO public.who_data VALUES (67503, 0, 2, 0, 0, 285, 25);
INSERT INTO public.who_data VALUES (67504, 0, 77, 0, 15, 285, 209);
INSERT INTO public.who_data VALUES (67505, 2, 1457, 0, 26, 285, 217);
INSERT INTO public.who_data VALUES (67506, 3, 1460, 0, 110, 285, 79);
INSERT INTO public.who_data VALUES (67507, 0, 0, 0, 0, 285, 143);
INSERT INTO public.who_data VALUES (67508, 81, 1170, 0, 52, 285, 229);
INSERT INTO public.who_data VALUES (67509, 637, 10652, 12, 206, 285, 141);
INSERT INTO public.who_data VALUES (67510, 18, 174, 0, 0, 285, 197);
INSERT INTO public.who_data VALUES (67511, 317, 233473, 110, 27767, 285, 221);
INSERT INTO public.who_data VALUES (67512, 6, 869, 0, 9, 285, 150);
INSERT INTO public.who_data VALUES (67513, 161, 1526, 4, 74, 285, 56);
INSERT INTO public.who_data VALUES (67514, 0, 10, 0, 1, 285, 167);
INSERT INTO public.who_data VALUES (67515, 279, 26851, 73, 3643, 285, 23);
INSERT INTO public.who_data VALUES (67516, 47, 30378, 3, 1685, 285, 222);
INSERT INTO public.who_data VALUES (67517, 0, 47, 0, 3, 285, 219);
INSERT INTO public.who_data VALUES (67518, 49, 661, 1, 21, 285, 7);
INSERT INTO public.who_data VALUES (67519, 2, 3017, 0, 56, 285, 161);
INSERT INTO public.who_data VALUES (67520, 2329, 210724, 187, 31579, 285, 149);
INSERT INTO public.who_data VALUES (67521, 0, 24, 0, 0, 285, 6);
INSERT INTO public.who_data VALUES (67522, 8, 181, 0, 11, 285, 139);
INSERT INTO public.who_data VALUES (67523, 0, 0, 0, 0, 285, 211);
INSERT INTO public.who_data VALUES (67524, 0, 0, 0, 0, 285, 14);
INSERT INTO public.who_data VALUES (67525, 0, 116, 0, 8, 285, 111);
INSERT INTO public.who_data VALUES (67526, 0, 1032, 0, 45, 285, 207);
INSERT INTO public.who_data VALUES (67527, 1114, 139771, 55, 3841, 285, 66);
INSERT INTO public.who_data VALUES (67528, 0, 0, 0, 0, 285, 173);
INSERT INTO public.who_data VALUES (67529, 0, 12, 0, 1, 285, 145);
INSERT INTO public.who_data VALUES (67530, 0, 0, 0, 0, 285, 65);
INSERT INTO public.who_data VALUES (67531, 1, 122, 0, 0, 285, 184);
INSERT INTO public.who_data VALUES (67532, 375, 16023, 17, 425, 285, 98);
INSERT INTO public.who_data VALUES (67533, 1463, 19661, 5, 203, 285, 104);
INSERT INTO public.who_data VALUES (67534, 0, 509, 0, 21, 285, 73);
INSERT INTO public.who_data VALUES (67535, 23767, 1322054, 982, 79634, 285, 8);
INSERT INTO public.who_data VALUES (67536, 0, 69, 1, 5, 285, 227);
INSERT INTO public.who_data VALUES (67537, 5, 707, 2, 19, 285, 75);
INSERT INTO public.who_data VALUES (67538, 98, 2509, 0, 10, 285, 45);
INSERT INTO public.who_data VALUES (67539, 0, 0, 0, 0, 285, 133);
INSERT INTO public.who_data VALUES (67540, 12, 414, 0, 10, 285, 202);
INSERT INTO public.who_data VALUES (67541, 0, 288, 0, 0, 285, 129);
INSERT INTO public.who_data VALUES (67542, 0, 0, 0, 0, 285, 36);
INSERT INTO public.who_data VALUES (67543, 14, 67, 2, 11, 285, 51);
INSERT INTO public.who_data VALUES (67544, 0, 267, 0, 7, 285, 206);
INSERT INTO public.who_data VALUES (67545, 0, 36, 0, 4, 285, 5);
INSERT INTO public.who_data VALUES (67546, 262, 4664, 2, 121, 286, 103);
INSERT INTO public.who_data VALUES (67547, 0, 830, 0, 30, 286, 58);
INSERT INTO public.who_data VALUES (67548, 165, 5723, 8, 502, 286, 195);
INSERT INTO public.who_data VALUES (67549, 0, 0, 0, 0, 286, 115);
INSERT INTO public.who_data VALUES (67550, 2, 756, 0, 48, 286, 99);
INSERT INTO public.who_data VALUES (67551, 2, 45, 0, 2, 286, 153);
INSERT INTO public.who_data VALUES (67552, 0, 3, 0, 0, 286, 93);
INSERT INTO public.who_data VALUES (67553, 0, 25, 0, 3, 286, 84);
INSERT INTO public.who_data VALUES (67554, 244, 5924, 3, 300, 286, 78);
INSERT INTO public.who_data VALUES (67555, 138, 3289, 1, 45, 286, 170);
INSERT INTO public.who_data VALUES (67556, 0, 101, 0, 3, 286, 32);
INSERT INTO public.who_data VALUES (67557, 12, 6941, 0, 97, 286, 155);
INSERT INTO public.who_data VALUES (67558, 10, 15787, 3, 618, 286, 82);
INSERT INTO public.who_data VALUES (67559, 97, 2519, 1, 32, 286, 16);
INSERT INTO public.who_data VALUES (67560, 0, 92, 0, 11, 286, 72);
INSERT INTO public.who_data VALUES (67561, 301, 5157, 0, 8, 286, 43);
INSERT INTO public.who_data VALUES (67562, 1034, 15691, 11, 239, 286, 120);
INSERT INTO public.who_data VALUES (67563, 2, 84, 0, 7, 286, 213);
INSERT INTO public.who_data VALUES (67564, 933, 23906, 4, 135, 286, 31);
INSERT INTO public.who_data VALUES (67565, 118, 54340, 72, 8656, 286, 204);
INSERT INTO public.who_data VALUES (67566, 0, 18, 0, 2, 286, 152);
INSERT INTO public.who_data VALUES (67567, 35, 319, 0, 2, 286, 144);
INSERT INTO public.who_data VALUES (67568, 0, 118, 0, 7, 286, 96);
INSERT INTO public.who_data VALUES (67569, 2, 9, 0, 0, 286, 47);
INSERT INTO public.who_data VALUES (67570, 171, 2437, 8, 114, 286, 80);
INSERT INTO public.who_data VALUES (67571, 0, 2, 0, 0, 286, 159);
INSERT INTO public.who_data VALUES (67572, 28, 2098, 6, 103, 286, 27);
INSERT INTO public.who_data VALUES (67573, 0, 23, 0, 1, 286, 146);
INSERT INTO public.who_data VALUES (67574, 10611, 155939, 730, 10627, 286, 71);
INSERT INTO public.who_data VALUES (67575, 0, 7, 0, 1, 286, 210);
INSERT INTO public.who_data VALUES (67576, 0, 141, 0, 1, 286, 54);
INSERT INTO public.who_data VALUES (67577, 10, 1965, 1, 91, 286, 147);
INSERT INTO public.who_data VALUES (67578, 3, 751, 1, 49, 286, 2);
INSERT INTO public.who_data VALUES (67579, 0, 19, 0, 1, 286, 105);
INSERT INTO public.who_data VALUES (67580, 10, 246, 0, 2, 286, 53);
INSERT INTO public.who_data VALUES (67581, 0, 122, 0, 0, 286, 81);
INSERT INTO public.who_data VALUES (67582, 244, 2579, 4, 114, 286, 223);
INSERT INTO public.who_data VALUES (67583, 1216, 67996, 100, 4728, 286, 94);
INSERT INTO public.who_data VALUES (67584, 0, 81, 0, 1, 286, 154);
INSERT INTO public.who_data VALUES (67585, 36, 179, 0, 0, 286, 83);
INSERT INTO public.who_data VALUES (67586, 0, 322, 0, 31, 286, 194);
INSERT INTO public.who_data VALUES (67587, 1647, 28866, 8, 312, 286, 136);
INSERT INTO public.who_data VALUES (67588, 20, 84450, 0, 4643, 286, 179);
INSERT INTO public.who_data VALUES (67589, 444, 10495, 17, 445, 286, 57);
INSERT INTO public.who_data VALUES (67590, 0, 11, 0, 1, 286, 35);
INSERT INTO public.who_data VALUES (67591, 0, 287, 0, 10, 286, 228);
INSERT INTO public.who_data VALUES (67592, 0, 0, 0, 0, 286, 19);
INSERT INTO public.who_data VALUES (67593, 7, 780, 0, 6, 286, 22);
INSERT INTO public.who_data VALUES (67594, 33, 1700, 0, 21, 286, 1);
INSERT INTO public.who_data VALUES (67595, 11, 2187, 3, 90, 286, 21);
INSERT INTO public.who_data VALUES (67596, 12, 1766, 3, 77, 286, 234);
INSERT INTO public.who_data VALUES (67597, 0, 16, 0, 1, 286, 91);
INSERT INTO public.who_data VALUES (67598, 6, 898, 1, 16, 286, 137);
INSERT INTO public.who_data VALUES (67599, 28, 8123, 4, 280, 286, 201);
INSERT INTO public.who_data VALUES (67600, 0, 0, 0, 0, 286, 171);
INSERT INTO public.who_data VALUES (67601, 33, 1024, 0, 41, 286, 92);
INSERT INTO public.who_data VALUES (67602, 110, 10429, 3, 519, 286, 112);
INSERT INTO public.who_data VALUES (67603, 21, 1210, 0, 3, 286, 62);
INSERT INTO public.who_data VALUES (67604, 0, 16, 0, 0, 286, 69);
INSERT INTO public.who_data VALUES (67605, 465, 10347, 3, 388, 286, 220);
INSERT INTO public.who_data VALUES (67606, 741, 29559, 423, 2127, 286, 100);
INSERT INTO public.who_data VALUES (67607, 346, 9746, 8, 533, 286, 187);
INSERT INTO public.who_data VALUES (67608, 105, 889, 1, 17, 286, 63);
INSERT INTO public.who_data VALUES (67609, 0, 439, 0, 4, 286, 28);
INSERT INTO public.who_data VALUES (67610, 0, 39, 0, 0, 286, 172);
INSERT INTO public.who_data VALUES (67611, 6, 1739, 0, 60, 286, 17);
INSERT INTO public.who_data VALUES (67612, 9, 172, 0, 2, 286, 226);
INSERT INTO public.who_data VALUES (67613, 29, 239, 0, 5, 286, 236);
INSERT INTO public.who_data VALUES (67614, 0, 13, 0, 0, 286, 76);
INSERT INTO public.who_data VALUES (67615, 0, 187, 0, 0, 286, 30);
INSERT INTO public.who_data VALUES (67616, 0, 18, 0, 0, 286, 128);
INSERT INTO public.who_data VALUES (67617, 82, 5962, 2, 267, 286, 86);
INSERT INTO public.who_data VALUES (67618, 65, 137073, 70, 26338, 286, 140);
INSERT INTO public.who_data VALUES (67619, 3, 144, 0, 1, 286, 44);
INSERT INTO public.who_data VALUES (67620, 0, 60, 0, 0, 286, 113);
INSERT INTO public.who_data VALUES (67621, 0, 661, 0, 8, 286, 29);
INSERT INTO public.who_data VALUES (67622, 0, 20, 0, 1, 286, 125);
INSERT INTO public.who_data VALUES (67623, 3, 638, 0, 10, 286, 131);
INSERT INTO public.who_data VALUES (67624, 357, 169575, 22, 7417, 286, 46);
INSERT INTO public.who_data VALUES (67625, 0, 4263, 0, 22, 286, 10);
INSERT INTO public.who_data VALUES (67626, 0, 146, 0, 0, 286, 205);
INSERT INTO public.who_data VALUES (67627, 6, 2716, 0, 151, 286, 50);
INSERT INTO public.who_data VALUES (67628, 0, 11, 0, 0, 286, 20);
INSERT INTO public.who_data VALUES (67629, 0, 21, 0, 0, 286, 13);
INSERT INTO public.who_data VALUES (67630, 0, 154, 0, 13, 286, 148);
INSERT INTO public.who_data VALUES (67631, 0, 147, 0, 5, 286, 230);
INSERT INTO public.who_data VALUES (67632, 67, 967, 0, 24, 286, 190);
INSERT INTO public.who_data VALUES (67633, 0, 252, 0, 13, 286, 188);
INSERT INTO public.who_data VALUES (67634, 104, 2146, 0, 11, 286, 123);
INSERT INTO public.who_data VALUES (67635, 0, 642, 0, 3, 286, 9);
INSERT INTO public.who_data VALUES (67636, 4, 97, 0, 10, 286, 102);
INSERT INTO public.who_data VALUES (67637, 5, 151, 0, 12, 286, 34);
INSERT INTO public.who_data VALUES (67638, 0, 12, 0, 0, 286, 212);
INSERT INTO public.who_data VALUES (67639, 59, 1830, 1, 108, 286, 122);
INSERT INTO public.who_data VALUES (67640, 21, 3284, 8, 421, 286, 38);
INSERT INTO public.who_data VALUES (67641, 0, 1801, 0, 10, 286, 130);
INSERT INTO public.who_data VALUES (67642, 4213, 67152, 97, 2206, 286, 37);
INSERT INTO public.who_data VALUES (67643, 233, 14265, 18, 991, 286, 231);
INSERT INTO public.who_data VALUES (67644, 1683, 109286, 45, 6685, 286, 107);
INSERT INTO public.who_data VALUES (67645, 51, 2818, 1, 110, 286, 101);
INSERT INTO public.who_data VALUES (67646, 236, 22996, 12, 1458, 286, 132);
INSERT INTO public.who_data VALUES (67647, 1, 330, 0, 23, 286, 176);
INSERT INTO public.who_data VALUES (67648, 19, 16368, 3, 251, 286, 200);
INSERT INTO public.who_data VALUES (67649, 802, 219070, 165, 30560, 286, 169);
INSERT INTO public.who_data VALUES (67650, 8, 498, 0, 9, 286, 225);
INSERT INTO public.who_data VALUES (67651, 51, 15798, 8, 621, 286, 165);
INSERT INTO public.who_data VALUES (67652, 0, 293, 0, 25, 286, 233);
INSERT INTO public.who_data VALUES (67653, 22, 562, 0, 9, 286, 215);
INSERT INTO public.who_data VALUES (67654, 69, 5207, 1, 32, 286, 177);
INSERT INTO public.who_data VALUES (67655, 23, 672, 2, 32, 286, 183);
INSERT INTO public.who_data VALUES (67656, 0, 0, 0, 0, 286, 203);
INSERT INTO public.who_data VALUES (67657, 0, 870, 0, 19, 286, 162);
INSERT INTO public.who_data VALUES (67658, 598, 9286, 7, 65, 286, 12);
INSERT INTO public.who_data VALUES (67659, 14, 1016, 0, 12, 286, 24);
INSERT INTO public.who_data VALUES (67660, 0, 19, 0, 0, 286, 119);
INSERT INTO public.who_data VALUES (67661, 9, 939, 0, 18, 286, 39);
INSERT INTO public.who_data VALUES (67662, 14, 859, 0, 26, 286, 26);
INSERT INTO public.who_data VALUES (67663, 0, 0, 0, 0, 286, 59);
INSERT INTO public.who_data VALUES (67664, 5, 204, 0, 20, 286, 77);
INSERT INTO public.who_data VALUES (67665, 0, 64, 0, 3, 286, 134);
INSERT INTO public.who_data VALUES (67666, 0, 83, 0, 1, 286, 4);
INSERT INTO public.who_data VALUES (67667, 8, 1479, 0, 51, 286, 109);
INSERT INTO public.who_data VALUES (67668, 9, 3886, 0, 101, 286, 90);
INSERT INTO public.who_data VALUES (67669, 0, 169, 0, 0, 286, 61);
INSERT INTO public.who_data VALUES (67670, 0, 56, 0, 3, 286, 85);
INSERT INTO public.who_data VALUES (67671, 67, 6656, 0, 108, 286, 49);
INSERT INTO public.who_data VALUES (67672, 50, 835, 0, 3, 286, 208);
INSERT INTO public.who_data VALUES (67673, 12, 704, 1, 38, 286, 166);
INSERT INTO public.who_data VALUES (67674, 6, 495, 0, 5, 286, 64);
INSERT INTO public.who_data VALUES (67675, 0, 0, 0, 0, 286, 199);
INSERT INTO public.who_data VALUES (67676, 1, 187, 0, 14, 286, 114);
INSERT INTO public.who_data VALUES (67677, 0, 8, 0, 1, 286, 60);
INSERT INTO public.who_data VALUES (67678, 0, 332, 0, 10, 286, 68);
INSERT INTO public.who_data VALUES (67679, 133, 1023, 0, 11, 286, 158);
INSERT INTO public.who_data VALUES (67680, 1938, 33460, 193, 3353, 286, 52);
INSERT INTO public.who_data VALUES (67681, 0, 0, 0, 0, 286, 117);
INSERT INTO public.who_data VALUES (67682, 0, 66, 0, 1, 286, 126);
INSERT INTO public.who_data VALUES (67683, 0, 42, 0, 0, 286, 196);
INSERT INTO public.who_data VALUES (67684, 0, 324, 0, 9, 286, 142);
INSERT INTO public.who_data VALUES (67685, 0, 11, 0, 1, 286, 185);
INSERT INTO public.who_data VALUES (67686, 188, 6226, 0, 188, 286, 138);
INSERT INTO public.who_data VALUES (67687, 4, 91, 0, 0, 286, 181);
INSERT INTO public.who_data VALUES (67688, 2, 180, 0, 6, 286, 178);
INSERT INTO public.who_data VALUES (67689, 0, 16, 0, 0, 286, 168);
INSERT INTO public.who_data VALUES (67690, 0, 0, 0, 0, 286, 160);
INSERT INTO public.who_data VALUES (67691, 11, 121, 0, 0, 286, 151);
INSERT INTO public.who_data VALUES (67692, 242, 42370, 19, 5413, 286, 193);
INSERT INTO public.who_data VALUES (67693, 0, 18, 0, 0, 286, 18);
INSERT INTO public.who_data VALUES (67694, 3, 1147, 0, 21, 286, 40);
INSERT INTO public.who_data VALUES (67695, 0, 16, 0, 5, 286, 218);
INSERT INTO public.who_data VALUES (67696, 6, 821, 1, 46, 286, 191);
INSERT INTO public.who_data VALUES (67697, 248, 4399, 15, 143, 286, 156);
INSERT INTO public.who_data VALUES (67698, 0, 0, 0, 0, 286, 135);
INSERT INTO public.who_data VALUES (67699, 0, 16, 0, 2, 286, 88);
INSERT INTO public.who_data VALUES (67700, 20, 1642, 0, 91, 286, 55);
INSERT INTO public.who_data VALUES (67701, 30, 8099, 4, 217, 286, 108);
INSERT INTO public.who_data VALUES (67702, 0, 547, 0, 4, 286, 48);
INSERT INTO public.who_data VALUES (67703, 174, 3574, 0, 17, 286, 3);
INSERT INTO public.who_data VALUES (67704, 0, 712, 0, 13, 286, 224);
INSERT INTO public.who_data VALUES (67705, 1476, 30941, 28, 667, 286, 110);
INSERT INTO public.who_data VALUES (67706, 0, 0, 0, 0, 286, 106);
INSERT INTO public.who_data VALUES (67707, 212, 8282, 6, 237, 286, 89);
INSERT INTO public.who_data VALUES (67708, 0, 8, 0, 0, 286, 121);
INSERT INTO public.who_data VALUES (67709, 24, 713, 0, 10, 286, 163);
INSERT INTO public.who_data VALUES (67710, 3168, 65015, 100, 1814, 286, 70);
INSERT INTO public.who_data VALUES (67711, 184, 10794, 15, 719, 286, 174);
INSERT INTO public.who_data VALUES (67712, 0, 0, 0, 0, 286, 175);
INSERT INTO public.who_data VALUES (67713, 345, 15996, 15, 800, 286, 118);
INSERT INTO public.who_data VALUES (67714, 175, 27581, 9, 1135, 286, 189);
INSERT INTO public.who_data VALUES (67715, 25, 2198, 3, 111, 286, 124);
INSERT INTO public.who_data VALUES (67716, 1103, 23623, 0, 14, 286, 192);
INSERT INTO public.who_data VALUES (67717, 35, 10909, 0, 256, 286, 41);
INSERT INTO public.who_data VALUES (67718, 60, 4927, 6, 171, 286, 95);
INSERT INTO public.who_data VALUES (67719, 6, 436, 0, 0, 286, 74);
INSERT INTO public.who_data VALUES (67720, 231, 15362, 26, 952, 286, 11);
INSERT INTO public.who_data VALUES (67721, 11656, 221344, 94, 2009, 286, 87);
INSERT INTO public.who_data VALUES (67722, 4, 284, 0, 0, 286, 214);
INSERT INTO public.who_data VALUES (67723, 0, 2, 0, 0, 286, 116);
INSERT INTO public.who_data VALUES (67724, 0, 6, 0, 0, 286, 157);
INSERT INTO public.who_data VALUES (67725, 0, 0, 0, 0, 286, 182);
INSERT INTO public.who_data VALUES (67726, 0, 15, 0, 0, 286, 186);
INSERT INTO public.who_data VALUES (67727, 0, 18, 0, 0, 286, 127);
INSERT INTO public.who_data VALUES (67728, 1, 39, 0, 3, 286, 232);
INSERT INTO public.who_data VALUES (67729, 0, 1, 0, 0, 286, 33);
INSERT INTO public.who_data VALUES (67730, 0, 17, 0, 0, 286, 97);
INSERT INTO public.who_data VALUES (67731, 0, 0, 0, 0, 286, 42);
INSERT INTO public.who_data VALUES (67732, 5, 637, 0, 41, 286, 198);
INSERT INTO public.who_data VALUES (67733, 0, 165, 0, 4, 286, 216);
INSERT INTO public.who_data VALUES (67734, 1966, 41014, 9, 255, 286, 164);
INSERT INTO public.who_data VALUES (67735, 75, 1709, 2, 19, 286, 235);
INSERT INTO public.who_data VALUES (67736, 82, 10114, 2, 215, 286, 67);
INSERT INTO public.who_data VALUES (67737, 0, 11, 0, 0, 286, 15);
INSERT INTO public.who_data VALUES (67738, 16, 307, 0, 18, 286, 180);
INSERT INTO public.who_data VALUES (67739, 876, 23336, 0, 20, 286, 237);
INSERT INTO public.who_data VALUES (67740, 0, 2, 0, 0, 286, 25);
INSERT INTO public.who_data VALUES (67741, 0, 77, 0, 15, 286, 209);
INSERT INTO public.who_data VALUES (67742, 0, 1455, 0, 26, 286, 217);
INSERT INTO public.who_data VALUES (67743, 3, 1457, 1, 110, 286, 79);
INSERT INTO public.who_data VALUES (67744, 0, 0, 0, 0, 286, 143);
INSERT INTO public.who_data VALUES (67745, 35, 1089, 1, 52, 286, 229);
INSERT INTO public.who_data VALUES (67746, 595, 10015, 8, 194, 286, 141);
INSERT INTO public.who_data VALUES (67747, 36, 156, 0, 0, 286, 197);
INSERT INTO public.who_data VALUES (67748, 494, 233156, 125, 27657, 286, 221);
INSERT INTO public.who_data VALUES (67749, 16, 863, 0, 9, 286, 150);
INSERT INTO public.who_data VALUES (67750, 201, 1365, 6, 70, 286, 56);
INSERT INTO public.who_data VALUES (67751, 0, 10, 0, 1, 286, 167);
INSERT INTO public.who_data VALUES (67752, 509, 26572, 68, 3570, 286, 23);
INSERT INTO public.who_data VALUES (67753, 16, 30331, 7, 1682, 286, 222);
INSERT INTO public.who_data VALUES (67754, 0, 47, 0, 3, 286, 219);
INSERT INTO public.who_data VALUES (67755, 51, 612, 1, 20, 286, 7);
INSERT INTO public.who_data VALUES (67756, 6, 3015, 0, 56, 286, 161);
INSERT INTO public.who_data VALUES (67757, 2157, 208395, 217, 31392, 286, 149);
INSERT INTO public.who_data VALUES (67758, 0, 24, 0, 0, 286, 6);
INSERT INTO public.who_data VALUES (67759, 20, 173, 1, 11, 286, 139);
INSERT INTO public.who_data VALUES (67760, 0, 0, 0, 0, 286, 211);
INSERT INTO public.who_data VALUES (67761, 0, 0, 0, 0, 286, 14);
INSERT INTO public.who_data VALUES (67762, 0, 116, 0, 8, 286, 111);
INSERT INTO public.who_data VALUES (67763, 0, 1032, 0, 45, 286, 207);
INSERT INTO public.who_data VALUES (67764, 1542, 138657, 47, 3786, 286, 66);
INSERT INTO public.who_data VALUES (67765, 0, 0, 0, 0, 286, 173);
INSERT INTO public.who_data VALUES (67766, 0, 12, 0, 1, 286, 145);
INSERT INTO public.who_data VALUES (67767, 0, 0, 0, 0, 286, 65);
INSERT INTO public.who_data VALUES (67768, 5, 121, 0, 0, 286, 184);
INSERT INTO public.who_data VALUES (67769, 416, 15648, 17, 408, 286, 98);
INSERT INTO public.who_data VALUES (67770, 0, 18198, 0, 198, 286, 104);
INSERT INTO public.who_data VALUES (67771, 0, 509, 0, 21, 286, 73);
INSERT INTO public.who_data VALUES (67772, 26642, 1298287, 1736, 78652, 286, 8);
INSERT INTO public.who_data VALUES (67773, 1, 69, 0, 4, 286, 227);
INSERT INTO public.who_data VALUES (67774, 8, 702, 0, 17, 286, 75);
INSERT INTO public.who_data VALUES (67775, 24, 2411, 0, 10, 286, 45);
INSERT INTO public.who_data VALUES (67776, 0, 0, 0, 0, 286, 133);
INSERT INTO public.who_data VALUES (67777, 14, 402, 0, 10, 286, 202);
INSERT INTO public.who_data VALUES (67778, 0, 288, 0, 0, 286, 129);
INSERT INTO public.who_data VALUES (67779, 0, 0, 0, 0, 286, 36);
INSERT INTO public.who_data VALUES (67780, 17, 53, 1, 9, 286, 51);
INSERT INTO public.who_data VALUES (67781, 15, 267, 3, 7, 286, 206);
INSERT INTO public.who_data VALUES (67782, 1, 36, 0, 4, 286, 5);
INSERT INTO public.who_data VALUES (67783, 361, 4402, 4, 119, 287, 103);
INSERT INTO public.who_data VALUES (67784, 12, 830, 0, 30, 287, 58);
INSERT INTO public.who_data VALUES (67785, 189, 5558, 6, 494, 287, 195);
INSERT INTO public.who_data VALUES (67786, 0, 0, 0, 0, 287, 115);
INSERT INTO public.who_data VALUES (67787, 0, 754, 1, 48, 287, 99);
INSERT INTO public.who_data VALUES (67788, 7, 43, 0, 2, 287, 153);
INSERT INTO public.who_data VALUES (67789, 0, 3, 0, 0, 287, 93);
INSERT INTO public.who_data VALUES (67790, 0, 25, 0, 3, 287, 84);
INSERT INTO public.who_data VALUES (67791, 150, 5680, 8, 297, 287, 78);
INSERT INTO public.who_data VALUES (67792, 146, 3151, 1, 44, 287, 170);
INSERT INTO public.who_data VALUES (67793, 0, 101, 0, 3, 287, 32);
INSERT INTO public.who_data VALUES (67794, 15, 6929, 0, 97, 287, 155);
INSERT INTO public.who_data VALUES (67795, 42, 15777, 1, 615, 287, 82);
INSERT INTO public.who_data VALUES (67796, 143, 2422, 3, 31, 287, 16);
INSERT INTO public.who_data VALUES (67797, 0, 92, 0, 11, 287, 72);
INSERT INTO public.who_data VALUES (67798, 261, 4856, 0, 8, 287, 43);
INSERT INTO public.who_data VALUES (67799, 887, 14657, 14, 228, 287, 120);
INSERT INTO public.who_data VALUES (67800, 0, 82, 0, 7, 287, 213);
INSERT INTO public.who_data VALUES (67801, 1872, 22973, 10, 131, 287, 31);
INSERT INTO public.who_data VALUES (67802, 240, 54222, 71, 8584, 287, 204);
INSERT INTO public.who_data VALUES (67803, 0, 18, 0, 2, 287, 152);
INSERT INTO public.who_data VALUES (67804, 42, 284, 0, 2, 287, 144);
INSERT INTO public.who_data VALUES (67805, 0, 118, 0, 7, 287, 96);
INSERT INTO public.who_data VALUES (67806, 0, 7, 0, 0, 287, 47);
INSERT INTO public.who_data VALUES (67807, 185, 2266, 4, 106, 287, 80);
INSERT INTO public.who_data VALUES (67808, 0, 2, 0, 0, 287, 159);
INSERT INTO public.who_data VALUES (67809, 0, 2070, 0, 97, 287, 27);
INSERT INTO public.who_data VALUES (67810, 0, 23, 0, 1, 287, 146);
INSERT INTO public.who_data VALUES (67811, 10222, 145328, 751, 9897, 287, 71);
INSERT INTO public.who_data VALUES (67812, 0, 7, 0, 1, 287, 210);
INSERT INTO public.who_data VALUES (67813, 0, 141, 0, 1, 287, 54);
INSERT INTO public.who_data VALUES (67814, 44, 1955, 2, 90, 287, 147);
INSERT INTO public.who_data VALUES (67815, 12, 748, 0, 48, 287, 2);
INSERT INTO public.who_data VALUES (67816, 0, 19, 0, 1, 287, 105);
INSERT INTO public.who_data VALUES (67817, 6, 236, 0, 2, 287, 53);
INSERT INTO public.who_data VALUES (67818, 0, 122, 0, 0, 287, 81);
INSERT INTO public.who_data VALUES (67819, 70, 2335, 2, 110, 287, 223);
INSERT INTO public.who_data VALUES (67820, 1381, 66780, 157, 4628, 287, 94);
INSERT INTO public.who_data VALUES (67821, 1, 81, 0, 1, 287, 154);
INSERT INTO public.who_data VALUES (67822, 49, 143, 0, 0, 287, 83);
INSERT INTO public.who_data VALUES (67823, 62, 322, 3, 31, 287, 194);
INSERT INTO public.who_data VALUES (67824, 1247, 27219, 10, 304, 287, 136);
INSERT INTO public.who_data VALUES (67825, 14, 84430, 0, 4643, 287, 179);
INSERT INTO public.who_data VALUES (67826, 595, 10051, 21, 428, 287, 57);
INSERT INTO public.who_data VALUES (67827, 3, 11, 0, 1, 287, 35);
INSERT INTO public.who_data VALUES (67828, 0, 287, 0, 10, 287, 228);
INSERT INTO public.who_data VALUES (67829, 0, 0, 0, 0, 287, 19);
INSERT INTO public.who_data VALUES (67830, 8, 773, 0, 6, 287, 22);
INSERT INTO public.who_data VALUES (67831, 65, 1667, 1, 21, 287, 1);
INSERT INTO public.who_data VALUES (67832, 15, 2176, 1, 87, 287, 21);
INSERT INTO public.who_data VALUES (67833, 13, 1754, 0, 74, 287, 234);
INSERT INTO public.who_data VALUES (67834, 0, 16, 0, 1, 287, 91);
INSERT INTO public.who_data VALUES (67835, 1, 892, 0, 15, 287, 137);
INSERT INTO public.who_data VALUES (67836, 18, 8095, 3, 276, 287, 201);
INSERT INTO public.who_data VALUES (67837, 0, 0, 0, 0, 287, 171);
INSERT INTO public.who_data VALUES (67838, 54, 991, 2, 41, 287, 92);
INSERT INTO public.who_data VALUES (67839, 101, 10319, 4, 516, 287, 112);
INSERT INTO public.who_data VALUES (67840, 0, 1189, 0, 3, 287, 62);
INSERT INTO public.who_data VALUES (67841, 0, 16, 0, 0, 287, 69);
INSERT INTO public.who_data VALUES (67842, 506, 9882, 5, 385, 287, 220);
INSERT INTO public.who_data VALUES (67843, -1480, 28818, 50, 1704, 287, 100);
INSERT INTO public.who_data VALUES (67844, 924, 9400, 22, 525, 287, 187);
INSERT INTO public.who_data VALUES (67845, 42, 784, 1, 16, 287, 63);
INSERT INTO public.who_data VALUES (67846, 0, 439, 0, 4, 287, 28);
INSERT INTO public.who_data VALUES (67847, 0, 39, 0, 0, 287, 172);
INSERT INTO public.who_data VALUES (67848, 8, 1733, 4, 60, 287, 17);
INSERT INTO public.who_data VALUES (67849, 4, 163, 0, 2, 287, 226);
INSERT INTO public.who_data VALUES (67850, 16, 210, 1, 5, 287, 236);
INSERT INTO public.who_data VALUES (67851, 0, 13, 0, 0, 287, 76);
INSERT INTO public.who_data VALUES (67852, 0, 187, 0, 0, 287, 30);
INSERT INTO public.who_data VALUES (67853, 0, 18, 0, 0, 287, 128);
INSERT INTO public.who_data VALUES (67854, 142, 5880, 5, 265, 287, 86);
INSERT INTO public.who_data VALUES (67855, 430, 137008, 80, 26268, 287, 140);
INSERT INTO public.who_data VALUES (67856, 0, 141, 0, 1, 287, 44);
INSERT INTO public.who_data VALUES (67857, 0, 60, 0, 0, 287, 113);
INSERT INTO public.who_data VALUES (67858, 41, 661, 0, 8, 287, 29);
INSERT INTO public.who_data VALUES (67859, 0, 20, 0, 1, 287, 125);
INSERT INTO public.who_data VALUES (67860, 9, 635, 0, 10, 287, 131);
INSERT INTO public.who_data VALUES (67861, 667, 169218, 26, 7395, 287, 46);
INSERT INTO public.who_data VALUES (67862, 251, 4263, 4, 22, 287, 10);
INSERT INTO public.who_data VALUES (67863, 2, 146, 0, 0, 287, 205);
INSERT INTO public.who_data VALUES (67864, 19, 2710, 1, 151, 287, 50);
INSERT INTO public.who_data VALUES (67865, 0, 11, 0, 0, 287, 20);
INSERT INTO public.who_data VALUES (67866, 0, 21, 0, 0, 287, 13);
INSERT INTO public.who_data VALUES (67867, 0, 154, 0, 13, 287, 148);
INSERT INTO public.who_data VALUES (67868, 0, 147, 0, 5, 287, 230);
INSERT INTO public.who_data VALUES (67869, 68, 900, 1, 24, 287, 190);
INSERT INTO public.who_data VALUES (67870, 0, 252, 0, 13, 287, 188);
INSERT INTO public.who_data VALUES (67871, 33, 2042, 0, 11, 287, 123);
INSERT INTO public.who_data VALUES (67872, 134, 642, 1, 3, 287, 9);
INSERT INTO public.who_data VALUES (67873, 0, 93, 0, 10, 287, 102);
INSERT INTO public.who_data VALUES (67874, 17, 146, 0, 12, 287, 34);
INSERT INTO public.who_data VALUES (67875, 0, 12, 0, 0, 287, 212);
INSERT INTO public.who_data VALUES (67876, 86, 1771, 2, 107, 287, 122);
INSERT INTO public.who_data VALUES (67877, 50, 3263, 8, 413, 287, 38);
INSERT INTO public.who_data VALUES (67878, 0, 1801, 0, 10, 287, 130);
INSERT INTO public.who_data VALUES (67879, 3277, 62939, 128, 2109, 287, 37);
INSERT INTO public.who_data VALUES (67880, 387, 14032, 14, 973, 287, 231);
INSERT INTO public.who_data VALUES (67881, 1383, 107603, 51, 6640, 287, 107);
INSERT INTO public.who_data VALUES (67882, 164, 2767, 5, 109, 287, 101);
INSERT INTO public.who_data VALUES (67883, 219, 22760, 17, 1446, 287, 132);
INSERT INTO public.who_data VALUES (67884, 0, 329, 0, 23, 287, 176);
INSERT INTO public.who_data VALUES (67885, 33, 16349, 6, 248, 287, 200);
INSERT INTO public.who_data VALUES (67886, 1083, 218268, 194, 30395, 287, 169);
INSERT INTO public.who_data VALUES (67887, 2, 490, 0, 9, 287, 225);
INSERT INTO public.who_data VALUES (67888, 98, 15747, 13, 613, 287, 165);
INSERT INTO public.who_data VALUES (67889, 0, 293, 0, 25, 287, 233);
INSERT INTO public.who_data VALUES (67890, 18, 540, 0, 9, 287, 215);
INSERT INTO public.who_data VALUES (67891, 82, 5138, 0, 31, 287, 177);
INSERT INTO public.who_data VALUES (67892, 28, 649, 1, 30, 287, 183);
INSERT INTO public.who_data VALUES (67893, 0, 0, 0, 0, 287, 203);
INSERT INTO public.who_data VALUES (67894, 8, 870, 0, 19, 287, 162);
INSERT INTO public.who_data VALUES (67895, 1065, 8688, 9, 58, 287, 12);
INSERT INTO public.who_data VALUES (67896, 71, 1002, 0, 12, 287, 24);
INSERT INTO public.who_data VALUES (67897, 0, 19, 0, 0, 287, 119);
INSERT INTO public.who_data VALUES (67898, 2, 930, 0, 18, 287, 39);
INSERT INTO public.who_data VALUES (67899, 36, 845, 0, 26, 287, 26);
INSERT INTO public.who_data VALUES (67900, 0, 0, 0, 0, 287, 59);
INSERT INTO public.who_data VALUES (67901, 0, 199, 0, 20, 287, 77);
INSERT INTO public.who_data VALUES (67902, 0, 64, 0, 3, 287, 134);
INSERT INTO public.who_data VALUES (67903, 0, 83, 0, 1, 287, 4);
INSERT INTO public.who_data VALUES (67904, 12, 1471, 1, 51, 287, 109);
INSERT INTO public.who_data VALUES (67905, 6, 3877, 1, 101, 287, 90);
INSERT INTO public.who_data VALUES (67906, 0, 169, 0, 0, 287, 61);
INSERT INTO public.who_data VALUES (67907, 13, 56, 0, 3, 287, 85);
INSERT INTO public.who_data VALUES (67908, 54, 6589, 1, 108, 287, 49);
INSERT INTO public.who_data VALUES (67909, 41, 785, 0, 3, 287, 208);
INSERT INTO public.who_data VALUES (67910, 24, 692, 2, 37, 287, 166);
INSERT INTO public.who_data VALUES (67911, 1, 489, 0, 5, 287, 64);
INSERT INTO public.who_data VALUES (67912, 0, 0, 0, 0, 287, 199);
INSERT INTO public.who_data VALUES (67913, 3, 186, 0, 14, 287, 114);
INSERT INTO public.who_data VALUES (67914, 0, 8, 0, 1, 287, 60);
INSERT INTO public.who_data VALUES (67915, 0, 332, 0, 10, 287, 68);
INSERT INTO public.who_data VALUES (67916, 0, 890, 0, 11, 287, 158);
INSERT INTO public.who_data VALUES (67917, 1906, 31522, 199, 3160, 287, 52);
INSERT INTO public.who_data VALUES (67918, 0, 0, 0, 0, 287, 117);
INSERT INTO public.who_data VALUES (67919, 0, 66, 0, 1, 287, 126);
INSERT INTO public.who_data VALUES (67920, 0, 42, 0, 0, 287, 196);
INSERT INTO public.who_data VALUES (67921, 0, 324, 0, 9, 287, 142);
INSERT INTO public.who_data VALUES (67922, 0, 11, 0, 1, 287, 185);
INSERT INTO public.who_data VALUES (67923, 165, 6038, 2, 188, 287, 138);
INSERT INTO public.who_data VALUES (67924, 5, 87, 0, 0, 287, 181);
INSERT INTO public.who_data VALUES (67925, 1, 178, 0, 6, 287, 178);
INSERT INTO public.who_data VALUES (67926, 0, 16, 0, 0, 287, 168);
INSERT INTO public.who_data VALUES (67927, 0, 0, 0, 0, 287, 160);
INSERT INTO public.who_data VALUES (67928, 1, 110, 0, 0, 287, 151);
INSERT INTO public.who_data VALUES (67929, 288, 42128, 66, 5394, 287, 193);
INSERT INTO public.who_data VALUES (67930, 0, 18, 0, 0, 287, 18);
INSERT INTO public.who_data VALUES (67931, 2, 1144, 0, 21, 287, 40);
INSERT INTO public.who_data VALUES (67932, 0, 16, 0, 5, 287, 218);
INSERT INTO public.who_data VALUES (67933, 20, 815, 1, 45, 287, 191);
INSERT INTO public.who_data VALUES (67934, 239, 4151, 11, 128, 287, 156);
INSERT INTO public.who_data VALUES (67935, 0, 0, 0, 0, 287, 135);
INSERT INTO public.who_data VALUES (67936, 1, 16, 0, 2, 287, 88);
INSERT INTO public.who_data VALUES (67937, 36, 1622, 1, 91, 287, 55);
INSERT INTO public.who_data VALUES (67938, 35, 8069, 0, 213, 287, 108);
INSERT INTO public.who_data VALUES (67939, 0, 547, 0, 4, 287, 48);
INSERT INTO public.who_data VALUES (67940, 176, 3400, 0, 17, 287, 3);
INSERT INTO public.who_data VALUES (67941, 0, 712, 0, 13, 287, 224);
INSERT INTO public.who_data VALUES (67942, 1991, 29465, 21, 639, 287, 110);
INSERT INTO public.who_data VALUES (67943, 0, 0, 0, 0, 287, 106);
INSERT INTO public.who_data VALUES (67944, 202, 8070, 6, 231, 287, 89);
INSERT INTO public.who_data VALUES (67945, 0, 8, 0, 0, 287, 121);
INSERT INTO public.who_data VALUES (67946, 126, 689, 0, 10, 287, 163);
INSERT INTO public.who_data VALUES (67947, 3321, 61847, 87, 1714, 287, 70);
INSERT INTO public.who_data VALUES (67948, 147, 10610, 8, 704, 287, 174);
INSERT INTO public.who_data VALUES (67949, 0, 0, 0, 0, 287, 175);
INSERT INTO public.who_data VALUES (67950, 285, 15651, 9, 785, 287, 118);
INSERT INTO public.who_data VALUES (67951, 138, 27406, 12, 1126, 287, 189);
INSERT INTO public.who_data VALUES (67952, 17, 2173, 52, 108, 287, 124);
INSERT INTO public.who_data VALUES (67953, 1189, 22520, 1, 14, 287, 192);
INSERT INTO public.who_data VALUES (67954, 34, 10874, 0, 256, 287, 41);
INSERT INTO public.who_data VALUES (67955, 139, 4867, 6, 165, 287, 95);
INSERT INTO public.who_data VALUES (67956, 0, 430, 0, 0, 287, 74);
INSERT INTO public.who_data VALUES (67957, 320, 15131, 28, 926, 287, 11);
INSERT INTO public.who_data VALUES (67958, 11012, 209688, 88, 1915, 287, 87);
INSERT INTO public.who_data VALUES (67959, 7, 280, 0, 0, 287, 214);
INSERT INTO public.who_data VALUES (67960, 0, 2, 0, 0, 287, 116);
INSERT INTO public.who_data VALUES (67961, 0, 6, 0, 0, 287, 157);
INSERT INTO public.who_data VALUES (67962, 0, 0, 0, 0, 287, 182);
INSERT INTO public.who_data VALUES (67963, 0, 15, 0, 0, 287, 186);
INSERT INTO public.who_data VALUES (67964, 0, 18, 0, 0, 287, 127);
INSERT INTO public.who_data VALUES (67965, 0, 38, 0, 3, 287, 232);
INSERT INTO public.who_data VALUES (67966, 0, 1, 0, 0, 287, 33);
INSERT INTO public.who_data VALUES (67967, 0, 17, 0, 0, 287, 97);
INSERT INTO public.who_data VALUES (67968, 0, 0, 0, 0, 287, 42);
INSERT INTO public.who_data VALUES (67969, 0, 632, 0, 41, 287, 198);
INSERT INTO public.who_data VALUES (67970, -43, 165, -1, 4, 287, 216);
INSERT INTO public.who_data VALUES (67971, 1912, 39048, 7, 246, 287, 164);
INSERT INTO public.who_data VALUES (67972, 83, 1634, 4, 17, 287, 235);
INSERT INTO public.who_data VALUES (67973, 89, 10032, 4, 213, 287, 67);
INSERT INTO public.who_data VALUES (67974, 0, 11, 0, 0, 287, 15);
INSERT INTO public.who_data VALUES (67975, 34, 291, 1, 18, 287, 180);
INSERT INTO public.who_data VALUES (67976, 753, 22460, 0, 20, 287, 237);
INSERT INTO public.who_data VALUES (67977, 0, 2, 0, 0, 287, 25);
INSERT INTO public.who_data VALUES (67978, 1, 77, 1, 15, 287, 209);
INSERT INTO public.who_data VALUES (67979, 10, 1455, 0, 26, 287, 217);
INSERT INTO public.who_data VALUES (67980, 4, 1454, 1, 109, 287, 79);
INSERT INTO public.who_data VALUES (67981, 0, 0, 0, 0, 287, 143);
INSERT INTO public.who_data VALUES (67982, 57, 1054, 3, 51, 287, 229);
INSERT INTO public.who_data VALUES (67983, 525, 9420, 8, 186, 287, 141);
INSERT INTO public.who_data VALUES (67984, 0, 120, 0, 0, 287, 197);
INSERT INTO public.who_data VALUES (67985, 926, 232662, 146, 27532, 287, 221);
INSERT INTO public.who_data VALUES (67986, 12, 847, 0, 9, 287, 150);
INSERT INTO public.who_data VALUES (67987, 53, 1164, 5, 64, 287, 56);
INSERT INTO public.who_data VALUES (67988, 0, 10, 0, 1, 287, 167);
INSERT INTO public.who_data VALUES (67989, 701, 26063, 60, 3502, 287, 23);
INSERT INTO public.who_data VALUES (67990, 39, 30315, 5, 1675, 287, 222);
INSERT INTO public.who_data VALUES (67991, 0, 47, 0, 3, 287, 219);
INSERT INTO public.who_data VALUES (67992, 39, 561, 1, 19, 287, 7);
INSERT INTO public.who_data VALUES (67993, 5, 3009, 0, 56, 287, 161);
INSERT INTO public.who_data VALUES (67994, 3063, 206238, 275, 31175, 287, 149);
INSERT INTO public.who_data VALUES (67995, 0, 24, 0, 0, 287, 6);
INSERT INTO public.who_data VALUES (67996, 8, 153, 0, 10, 287, 139);
INSERT INTO public.who_data VALUES (67997, 0, 0, 0, 0, 287, 211);
INSERT INTO public.who_data VALUES (67998, 0, 0, 0, 0, 287, 14);
INSERT INTO public.who_data VALUES (67999, 0, 116, 0, 8, 287, 111);
INSERT INTO public.who_data VALUES (68000, 2, 1032, 0, 45, 287, 207);
INSERT INTO public.who_data VALUES (68001, 1546, 137115, 50, 3739, 287, 66);
INSERT INTO public.who_data VALUES (68002, 0, 0, 0, 0, 287, 173);
INSERT INTO public.who_data VALUES (68003, 0, 12, 0, 1, 287, 145);
INSERT INTO public.who_data VALUES (68004, 0, 0, 0, 0, 287, 65);
INSERT INTO public.who_data VALUES (68005, 15, 116, 0, 0, 287, 184);
INSERT INTO public.who_data VALUES (68006, 522, 15232, 15, 391, 287, 98);
INSERT INTO public.who_data VALUES (68007, 1405, 18198, 24, 198, 287, 104);
INSERT INTO public.who_data VALUES (68008, 0, 509, 0, 21, 287, 73);
INSERT INTO public.who_data VALUES (68009, 25870, 1271645, 1552, 76916, 287, 8);
INSERT INTO public.who_data VALUES (68010, 0, 68, 0, 4, 287, 227);
INSERT INTO public.who_data VALUES (68011, 10, 694, 0, 17, 287, 75);
INSERT INTO public.who_data VALUES (68012, 51, 2387, 0, 10, 287, 45);
INSERT INTO public.who_data VALUES (68013, 0, 0, 0, 0, 287, 133);
INSERT INTO public.who_data VALUES (68014, 7, 388, 0, 10, 287, 202);
INSERT INTO public.who_data VALUES (68015, 0, 288, 0, 0, 287, 129);
INSERT INTO public.who_data VALUES (68016, 0, 0, 0, 0, 287, 36);
INSERT INTO public.who_data VALUES (68017, 0, 36, 0, 8, 287, 51);
INSERT INTO public.who_data VALUES (68018, 85, 252, 0, 4, 287, 206);
INSERT INTO public.who_data VALUES (68019, 1, 35, 0, 4, 287, 5);
INSERT INTO public.who_data VALUES (68020, 478, 4041, 10, 115, 288, 103);
INSERT INTO public.who_data VALUES (68021, 6, 818, 0, 30, 288, 58);
INSERT INTO public.who_data VALUES (68022, 187, 5369, 5, 488, 288, 195);
INSERT INTO public.who_data VALUES (68023, 0, 0, 0, 0, 288, 115);
INSERT INTO public.who_data VALUES (68024, 2, 754, 0, 47, 288, 99);
INSERT INTO public.who_data VALUES (68025, 0, 36, 0, 2, 288, 153);
INSERT INTO public.who_data VALUES (68026, 0, 3, 0, 0, 288, 93);
INSERT INTO public.who_data VALUES (68027, 0, 25, 0, 3, 288, 84);
INSERT INTO public.who_data VALUES (68028, 225, 5530, 14, 289, 288, 78);
INSERT INTO public.who_data VALUES (68029, 145, 3005, 1, 43, 288, 170);
INSERT INTO public.who_data VALUES (68030, 0, 101, 1, 3, 288, 32);
INSERT INTO public.who_data VALUES (68031, 18, 6914, 0, 97, 288, 155);
INSERT INTO public.who_data VALUES (68032, 62, 15735, 5, 614, 288, 82);
INSERT INTO public.who_data VALUES (68033, 75, 2279, 0, 28, 288, 16);
INSERT INTO public.who_data VALUES (68034, 0, 92, 0, 11, 288, 72);
INSERT INTO public.who_data VALUES (68035, 191, 4595, 0, 8, 288, 43);
INSERT INTO public.who_data VALUES (68036, 636, 13770, 8, 214, 288, 120);
INSERT INTO public.who_data VALUES (68037, 0, 82, 0, 7, 288, 213);
INSERT INTO public.who_data VALUES (68038, 933, 21101, 5, 121, 288, 31);
INSERT INTO public.who_data VALUES (68039, 483, 53982, 73, 8513, 288, 204);
INSERT INTO public.who_data VALUES (68040, 0, 18, 0, 2, 288, 152);
INSERT INTO public.who_data VALUES (68041, 102, 242, 0, 2, 288, 144);
INSERT INTO public.who_data VALUES (68042, 0, 118, 0, 7, 288, 96);
INSERT INTO public.who_data VALUES (68043, 0, 7, 0, 0, 288, 47);
INSERT INTO public.who_data VALUES (68044, 195, 2081, 11, 102, 288, 80);
INSERT INTO public.who_data VALUES (68045, 0, 2, 0, 0, 288, 159);
INSERT INTO public.who_data VALUES (68046, 43, 2070, 8, 97, 288, 27);
INSERT INTO public.who_data VALUES (68047, 0, 23, 0, 1, 288, 146);
INSERT INTO public.who_data VALUES (68048, 9888, 135106, 610, 9146, 288, 71);
INSERT INTO public.who_data VALUES (68049, 0, 7, 0, 1, 288, 210);
INSERT INTO public.who_data VALUES (68050, 0, 141, 0, 1, 288, 54);
INSERT INTO public.who_data VALUES (68051, 82, 1911, 4, 88, 288, 147);
INSERT INTO public.who_data VALUES (68052, 0, 736, 0, 48, 288, 2);
INSERT INTO public.who_data VALUES (68053, 0, 19, 0, 1, 288, 105);
INSERT INTO public.who_data VALUES (68054, 12, 230, 0, 2, 288, 53);
INSERT INTO public.who_data VALUES (68055, 0, 122, 0, 0, 288, 81);
INSERT INTO public.who_data VALUES (68056, 0, 2265, 0, 108, 288, 223);
INSERT INTO public.who_data VALUES (68057, 1504, 65399, 191, 4471, 288, 94);
INSERT INTO public.who_data VALUES (68058, 2, 80, 0, 1, 288, 154);
INSERT INTO public.who_data VALUES (68059, 0, 94, 0, 0, 288, 83);
INSERT INTO public.who_data VALUES (68060, 7, 260, 1, 28, 288, 194);
INSERT INTO public.who_data VALUES (68061, 1391, 25972, 9, 294, 288, 136);
INSERT INTO public.who_data VALUES (68062, 1, 84416, 0, 4643, 288, 179);
INSERT INTO public.who_data VALUES (68063, 497, 9456, 10, 407, 288, 57);
INSERT INTO public.who_data VALUES (68064, 0, 8, 0, 1, 288, 35);
INSERT INTO public.who_data VALUES (68065, 13, 287, 0, 10, 288, 228);
INSERT INTO public.who_data VALUES (68066, 0, 0, 0, 0, 288, 19);
INSERT INTO public.who_data VALUES (68067, 4, 765, 0, 6, 288, 22);
INSERT INTO public.who_data VALUES (68068, 31, 1602, 0, 20, 288, 1);
INSERT INTO public.who_data VALUES (68069, 36, 2161, 0, 86, 288, 21);
INSERT INTO public.who_data VALUES (68070, 12, 1741, 1, 74, 288, 234);
INSERT INTO public.who_data VALUES (68071, 0, 16, 0, 1, 288, 91);
INSERT INTO public.who_data VALUES (68072, 2, 891, 0, 15, 288, 137);
INSERT INTO public.who_data VALUES (68073, 46, 8077, 3, 273, 288, 201);
INSERT INTO public.who_data VALUES (68074, 0, 0, 0, 0, 288, 171);
INSERT INTO public.who_data VALUES (68075, 40, 937, 3, 39, 288, 92);
INSERT INTO public.who_data VALUES (68076, 135, 10218, 6, 512, 288, 112);
INSERT INTO public.who_data VALUES (68077, 54, 1189, 0, 3, 288, 62);
INSERT INTO public.who_data VALUES (68078, 0, 16, 0, 0, 288, 69);
INSERT INTO public.who_data VALUES (68079, 281, 9376, 7, 380, 288, 220);
INSERT INTO public.who_data VALUES (68080, 0, 30298, 0, 1654, 288, 100);
INSERT INTO public.who_data VALUES (68081, 495, 8476, 21, 503, 288, 187);
INSERT INTO public.who_data VALUES (68082, 47, 742, 0, 15, 288, 63);
INSERT INTO public.who_data VALUES (68083, 0, 439, 0, 4, 288, 28);
INSERT INTO public.who_data VALUES (68084, 0, 39, 0, 0, 288, 172);
INSERT INTO public.who_data VALUES (68085, 5, 1725, 0, 56, 288, 17);
INSERT INTO public.who_data VALUES (68086, 6, 159, 0, 2, 288, 226);
INSERT INTO public.who_data VALUES (68087, 3, 194, 0, 4, 288, 236);
INSERT INTO public.who_data VALUES (68088, 0, 13, 0, 0, 288, 76);
INSERT INTO public.who_data VALUES (68089, 0, 187, 0, 0, 288, 30);
INSERT INTO public.who_data VALUES (68090, 0, 18, 0, 0, 288, 128);
INSERT INTO public.who_data VALUES (68091, 65, 5738, 5, 260, 288, 86);
INSERT INTO public.who_data VALUES (68092, 598, 136578, 242, 26188, 288, 140);
INSERT INTO public.who_data VALUES (68093, 3, 141, 0, 1, 288, 44);
INSERT INTO public.who_data VALUES (68094, 0, 60, 0, 0, 288, 113);
INSERT INTO public.who_data VALUES (68095, 116, 620, 0, 8, 288, 29);
INSERT INTO public.who_data VALUES (68096, 2, 20, 0, 1, 288, 125);
INSERT INTO public.who_data VALUES (68097, 3, 626, 1, 10, 288, 131);
INSERT INTO public.who_data VALUES (68098, 1251, 168551, 103, 7369, 288, 46);
INSERT INTO public.who_data VALUES (68099, 921, 4012, 0, 18, 288, 10);
INSERT INTO public.who_data VALUES (68100, 0, 144, 0, 0, 288, 205);
INSERT INTO public.who_data VALUES (68101, 13, 2691, 2, 150, 288, 50);
INSERT INTO public.who_data VALUES (68102, 0, 11, 0, 0, 288, 20);
INSERT INTO public.who_data VALUES (68103, 0, 21, 0, 0, 288, 13);
INSERT INTO public.who_data VALUES (68104, 1, 154, 0, 13, 288, 148);
INSERT INTO public.who_data VALUES (68105, 0, 147, 0, 5, 288, 230);
INSERT INTO public.who_data VALUES (68106, 34, 832, 2, 23, 288, 190);
INSERT INTO public.who_data VALUES (68107, 0, 252, 0, 13, 288, 188);
INSERT INTO public.who_data VALUES (68108, 82, 2009, 0, 11, 288, 123);
INSERT INTO public.who_data VALUES (68109, 0, 508, 0, 2, 288, 9);
INSERT INTO public.who_data VALUES (68110, 0, 93, 0, 10, 288, 102);
INSERT INTO public.who_data VALUES (68111, 21, 129, 0, 12, 288, 34);
INSERT INTO public.who_data VALUES (68112, 0, 12, 0, 0, 288, 212);
INSERT INTO public.who_data VALUES (68113, 224, 1685, 6, 105, 288, 122);
INSERT INTO public.who_data VALUES (68114, 35, 3213, 13, 405, 288, 38);
INSERT INTO public.who_data VALUES (68115, 0, 1801, 0, 10, 288, 130);
INSERT INTO public.who_data VALUES (68116, 3320, 59662, 95, 1981, 288, 37);
INSERT INTO public.who_data VALUES (68117, 533, 13645, 16, 959, 288, 231);
INSERT INTO public.who_data VALUES (68118, 1529, 106220, 48, 6589, 288, 107);
INSERT INTO public.who_data VALUES (68119, 60, 2603, 2, 104, 288, 101);
INSERT INTO public.who_data VALUES (68120, 156, 22541, 26, 1429, 288, 132);
INSERT INTO public.who_data VALUES (68121, 2, 329, 0, 23, 288, 176);
INSERT INTO public.who_data VALUES (68122, 61, 16316, 1, 242, 288, 200);
INSERT INTO public.who_data VALUES (68123, 1327, 217185, 243, 30201, 288, 169);
INSERT INTO public.who_data VALUES (68124, 10, 488, 0, 9, 288, 225);
INSERT INTO public.who_data VALUES (68125, 102, 15649, 43, 600, 288, 165);
INSERT INTO public.who_data VALUES (68126, 0, 293, 0, 25, 288, 233);
INSERT INTO public.who_data VALUES (68127, 28, 522, 0, 9, 288, 215);
INSERT INTO public.who_data VALUES (68128, 134, 5056, 0, 31, 288, 177);
INSERT INTO public.who_data VALUES (68129, 14, 621, 0, 29, 288, 183);
INSERT INTO public.who_data VALUES (68130, 0, 0, 0, 0, 288, 203);
INSERT INTO public.who_data VALUES (68131, 1, 862, 0, 19, 288, 162);
INSERT INTO public.who_data VALUES (68132, 415, 7623, 2, 49, 288, 12);
INSERT INTO public.who_data VALUES (68133, 25, 931, 0, 12, 288, 24);
INSERT INTO public.who_data VALUES (68134, 0, 19, 0, 0, 288, 119);
INSERT INTO public.who_data VALUES (68135, 19, 928, 0, 18, 288, 39);
INSERT INTO public.who_data VALUES (68136, 13, 809, 0, 26, 288, 26);
INSERT INTO public.who_data VALUES (68137, 0, 0, 0, 0, 288, 59);
INSERT INTO public.who_data VALUES (68138, 10, 199, 0, 20, 288, 77);
INSERT INTO public.who_data VALUES (68139, 0, 64, 0, 3, 288, 134);
INSERT INTO public.who_data VALUES (68140, 0, 83, 0, 1, 288, 4);
INSERT INTO public.who_data VALUES (68141, 29, 1459, 1, 50, 288, 109);
INSERT INTO public.who_data VALUES (68142, 12, 3871, 0, 100, 288, 90);
INSERT INTO public.who_data VALUES (68143, -24, 169, 0, 0, 288, 61);
INSERT INTO public.who_data VALUES (68144, 0, 43, 0, 3, 288, 85);
INSERT INTO public.who_data VALUES (68145, 68, 6535, 0, 107, 288, 49);
INSERT INTO public.who_data VALUES (68146, 96, 744, 0, 3, 288, 208);
INSERT INTO public.who_data VALUES (68147, 18, 668, 3, 35, 288, 166);
INSERT INTO public.who_data VALUES (68148, 3, 488, 0, 5, 288, 64);
INSERT INTO public.who_data VALUES (68149, 0, 0, 0, 0, 288, 199);
INSERT INTO public.who_data VALUES (68150, 1, 183, 0, 14, 288, 114);
INSERT INTO public.who_data VALUES (68151, 0, 8, 0, 1, 288, 60);
INSERT INTO public.who_data VALUES (68152, 0, 332, 0, 10, 288, 68);
INSERT INTO public.who_data VALUES (68153, 36, 890, 1, 11, 288, 158);
INSERT INTO public.who_data VALUES (68154, 1982, 29616, 257, 2961, 288, 52);
INSERT INTO public.who_data VALUES (68155, 0, 0, 0, 0, 288, 117);
INSERT INTO public.who_data VALUES (68156, 0, 66, 0, 1, 288, 126);
INSERT INTO public.who_data VALUES (68157, 0, 42, 0, 0, 288, 196);
INSERT INTO public.who_data VALUES (68158, 0, 324, 1, 9, 288, 142);
INSERT INTO public.who_data VALUES (68159, 0, 11, 0, 1, 288, 185);
INSERT INTO public.who_data VALUES (68160, 212, 5873, 1, 186, 288, 138);
INSERT INTO public.who_data VALUES (68161, 1, 82, 0, 0, 288, 181);
INSERT INTO public.who_data VALUES (68162, 1, 177, 0, 6, 288, 178);
INSERT INTO public.who_data VALUES (68163, 0, 16, 0, 0, 288, 168);
INSERT INTO public.who_data VALUES (68164, 0, 0, 0, 0, 288, 160);
INSERT INTO public.who_data VALUES (68165, 7, 109, 0, 0, 288, 151);
INSERT INTO public.who_data VALUES (68166, 320, 41840, 76, 5328, 288, 193);
INSERT INTO public.who_data VALUES (68167, 0, 18, 0, 0, 288, 18);
INSERT INTO public.who_data VALUES (68168, 1, 1142, 0, 21, 288, 40);
INSERT INTO public.who_data VALUES (68169, 0, 16, 0, 5, 288, 218);
INSERT INTO public.who_data VALUES (68170, 14, 795, 2, 44, 288, 191);
INSERT INTO public.who_data VALUES (68171, 386, 3912, 10, 117, 288, 156);
INSERT INTO public.who_data VALUES (68172, 0, 0, 0, 0, 288, 135);
INSERT INTO public.who_data VALUES (68173, 0, 15, 0, 2, 288, 88);
INSERT INTO public.who_data VALUES (68174, 14, 1586, 1, 90, 288, 55);
INSERT INTO public.who_data VALUES (68175, 39, 8034, 4, 213, 288, 108);
INSERT INTO public.who_data VALUES (68176, 0, 547, 0, 4, 288, 48);
INSERT INTO public.who_data VALUES (68177, 112, 3224, 2, 17, 288, 3);
INSERT INTO public.who_data VALUES (68178, 0, 712, 0, 13, 288, 224);
INSERT INTO public.who_data VALUES (68179, 1039, 27474, 19, 618, 288, 110);
INSERT INTO public.who_data VALUES (68180, 0, 0, 0, 0, 288, 106);
INSERT INTO public.who_data VALUES (68181, 137, 7868, 7, 225, 288, 89);
INSERT INTO public.who_data VALUES (68182, 0, 8, 0, 0, 288, 121);
INSERT INTO public.who_data VALUES (68183, 101, 563, 0, 10, 288, 163);
INSERT INTO public.who_data VALUES (68184, 3709, 58526, 94, 1627, 288, 70);
INSERT INTO public.who_data VALUES (68185, 120, 10463, 11, 696, 288, 174);
INSERT INTO public.who_data VALUES (68186, 0, 0, 0, 0, 288, 175);
INSERT INTO public.who_data VALUES (68187, 319, 15366, 21, 776, 288, 118);
INSERT INTO public.who_data VALUES (68188, 553, 27268, 9, 1114, 288, 189);
INSERT INTO public.who_data VALUES (68189, 125, 2156, 0, 56, 288, 124);
INSERT INTO public.who_data VALUES (68190, 1130, 21331, 1, 13, 288, 192);
INSERT INTO public.who_data VALUES (68191, 18, 10840, 0, 256, 288, 41);
INSERT INTO public.who_data VALUES (68192, 123, 4728, 14, 159, 288, 95);
INSERT INTO public.who_data VALUES (68193, 3, 430, 0, 0, 288, 74);
INSERT INTO public.who_data VALUES (68194, 312, 14811, 22, 898, 288, 11);
INSERT INTO public.who_data VALUES (68195, 10817, 198676, 104, 1827, 288, 87);
INSERT INTO public.who_data VALUES (68196, 2, 273, 0, 0, 288, 214);
INSERT INTO public.who_data VALUES (68197, 0, 2, 0, 0, 288, 116);
INSERT INTO public.who_data VALUES (68198, 0, 6, 0, 0, 288, 157);
INSERT INTO public.who_data VALUES (68199, 0, 0, 0, 0, 288, 182);
INSERT INTO public.who_data VALUES (68200, 0, 15, 0, 0, 288, 186);
INSERT INTO public.who_data VALUES (68201, 0, 18, 0, 0, 288, 127);
INSERT INTO public.who_data VALUES (68202, 0, 38, 0, 3, 288, 232);
INSERT INTO public.who_data VALUES (68203, 0, 1, 0, 0, 288, 33);
INSERT INTO public.who_data VALUES (68204, 0, 17, 0, 0, 288, 97);
INSERT INTO public.who_data VALUES (68205, 0, 0, 0, 0, 288, 42);
INSERT INTO public.who_data VALUES (68206, 0, 632, 0, 41, 288, 198);
INSERT INTO public.who_data VALUES (68207, 43, 208, 1, 5, 288, 216);
INSERT INTO public.who_data VALUES (68208, 1704, 37136, 10, 239, 288, 164);
INSERT INTO public.who_data VALUES (68209, 59, 1551, 0, 13, 288, 235);
INSERT INTO public.who_data VALUES (68210, 95, 9943, 3, 209, 288, 67);
INSERT INTO public.who_data VALUES (68211, 0, 11, 0, 0, 288, 15);
INSERT INTO public.who_data VALUES (68212, 26, 257, 3, 17, 288, 180);
INSERT INTO public.who_data VALUES (68213, 768, 21707, 0, 20, 288, 237);
INSERT INTO public.who_data VALUES (68214, 0, 2, 0, 0, 288, 25);
INSERT INTO public.who_data VALUES (68215, 0, 76, 0, 14, 288, 209);
INSERT INTO public.who_data VALUES (68216, 16, 1445, 1, 26, 288, 217);
INSERT INTO public.who_data VALUES (68217, 1, 1450, 1, 108, 288, 79);
INSERT INTO public.who_data VALUES (68218, 0, 0, 0, 0, 288, 143);
INSERT INTO public.who_data VALUES (68219, 69, 997, 4, 48, 288, 229);
INSERT INTO public.who_data VALUES (68220, 663, 8895, 17, 178, 288, 141);
INSERT INTO public.who_data VALUES (68221, 30, 120, 0, 0, 288, 197);
INSERT INTO public.who_data VALUES (68222, 963, 231736, 166, 27386, 288, 221);
INSERT INTO public.who_data VALUES (68223, 11, 835, 0, 9, 288, 150);
INSERT INTO public.who_data VALUES (68224, 181, 1111, 7, 59, 288, 56);
INSERT INTO public.who_data VALUES (68225, 0, 10, 0, 1, 288, 167);
INSERT INTO public.who_data VALUES (68226, 785, 25362, 80, 3442, 288, 23);
INSERT INTO public.who_data VALUES (68227, 59, 30276, 7, 1670, 288, 222);
INSERT INTO public.who_data VALUES (68228, 2, 47, 0, 3, 288, 219);
INSERT INTO public.who_data VALUES (68229, 61, 522, 2, 18, 288, 7);
INSERT INTO public.who_data VALUES (68230, 4, 3004, 1, 56, 288, 161);
INSERT INTO public.who_data VALUES (68231, 3767, 203175, 579, 30900, 288, 149);
INSERT INTO public.who_data VALUES (68232, 0, 24, 0, 0, 288, 6);
INSERT INTO public.who_data VALUES (68233, 10, 145, 1, 10, 288, 139);
INSERT INTO public.who_data VALUES (68234, 0, 0, 0, 0, 288, 211);
INSERT INTO public.who_data VALUES (68235, 0, 0, 0, 0, 288, 14);
INSERT INTO public.who_data VALUES (68236, 0, 116, 0, 8, 288, 111);
INSERT INTO public.who_data VALUES (68237, 4, 1030, 1, 45, 288, 207);
INSERT INTO public.who_data VALUES (68238, 1848, 135569, 48, 3689, 288, 66);
INSERT INTO public.who_data VALUES (68239, 0, 0, 0, 0, 288, 173);
INSERT INTO public.who_data VALUES (68240, 0, 12, 0, 1, 288, 145);
INSERT INTO public.who_data VALUES (68241, 0, 0, 0, 0, 288, 65);
INSERT INTO public.who_data VALUES (68242, 0, 101, 0, 0, 288, 184);
INSERT INTO public.who_data VALUES (68243, 515, 14710, 15, 376, 288, 98);
INSERT INTO public.who_data VALUES (68244, 0, 16793, 0, 174, 288, 104);
INSERT INTO public.who_data VALUES (68245, 0, 509, 0, 21, 288, 73);
INSERT INTO public.who_data VALUES (68246, 30204, 1245775, 2840, 75364, 288, 8);
INSERT INTO public.who_data VALUES (68247, 2, 68, 0, 4, 288, 227);
INSERT INTO public.who_data VALUES (68248, 11, 684, 0, 17, 288, 75);
INSERT INTO public.who_data VALUES (68249, 22, 2336, 0, 10, 288, 45);
INSERT INTO public.who_data VALUES (68250, 0, 0, 0, 0, 288, 133);
INSERT INTO public.who_data VALUES (68251, 2, 381, 0, 10, 288, 202);
INSERT INTO public.who_data VALUES (68252, 0, 288, 0, 0, 288, 129);
INSERT INTO public.who_data VALUES (68253, 0, 0, 0, 0, 288, 36);
INSERT INTO public.who_data VALUES (68254, 1, 36, 1, 8, 288, 51);
INSERT INTO public.who_data VALUES (68255, 14, 167, 0, 4, 288, 206);
INSERT INTO public.who_data VALUES (68256, 0, 34, 0, 4, 288, 5);
INSERT INTO public.who_data VALUES (68257, 0, 3563, 0, 105, 289, 103);
INSERT INTO public.who_data VALUES (68258, 18, 812, 0, 30, 289, 58);
INSERT INTO public.who_data VALUES (68259, 185, 5182, 7, 483, 289, 195);
INSERT INTO public.who_data VALUES (68260, 0, 0, 0, 0, 289, 115);
INSERT INTO public.who_data VALUES (68261, 0, 752, 0, 47, 289, 99);
INSERT INTO public.who_data VALUES (68262, 0, 36, 0, 2, 289, 153);
INSERT INTO public.who_data VALUES (68263, 0, 3, 0, 0, 289, 93);
INSERT INTO public.who_data VALUES (68264, 0, 25, 0, 3, 289, 84);
INSERT INTO public.who_data VALUES (68265, 229, 5305, 11, 275, 289, 78);
INSERT INTO public.who_data VALUES (68266, 102, 2860, 2, 42, 289, 170);
INSERT INTO public.who_data VALUES (68267, 0, 101, 0, 2, 289, 32);
INSERT INTO public.who_data VALUES (68268, 21, 6896, 0, 97, 289, 155);
INSERT INTO public.who_data VALUES (68269, 22, 15673, 1, 609, 289, 82);
INSERT INTO public.who_data VALUES (68270, 77, 2204, 0, 28, 289, 16);
INSERT INTO public.who_data VALUES (68271, 3, 92, 0, 11, 289, 72);
INSERT INTO public.who_data VALUES (68272, 273, 4404, 0, 8, 289, 43);
INSERT INTO public.who_data VALUES (68273, 709, 13134, 20, 206, 289, 120);
INSERT INTO public.who_data VALUES (68274, 0, 82, 0, 7, 289, 213);
INSERT INTO public.who_data VALUES (68275, 913, 20168, 4, 116, 289, 31);
INSERT INTO public.who_data VALUES (68276, 442, 53499, 70, 8440, 289, 204);
INSERT INTO public.who_data VALUES (68277, 0, 18, 0, 2, 289, 152);
INSERT INTO public.who_data VALUES (68278, 38, 140, 0, 2, 289, 144);
INSERT INTO public.who_data VALUES (68279, 3, 118, 0, 7, 289, 96);
INSERT INTO public.who_data VALUES (68280, 0, 7, 0, 0, 289, 47);
INSERT INTO public.who_data VALUES (68281, 84, 1886, 5, 91, 289, 80);
INSERT INTO public.who_data VALUES (68282, 0, 2, 0, 0, 289, 159);
INSERT INTO public.who_data VALUES (68283, 10, 2027, 2, 89, 289, 27);
INSERT INTO public.who_data VALUES (68284, 0, 23, 0, 1, 289, 146);
INSERT INTO public.who_data VALUES (68285, 10503, 125218, 615, 8536, 289, 71);
INSERT INTO public.who_data VALUES (68286, 0, 7, 0, 1, 289, 210);
INSERT INTO public.who_data VALUES (68287, 2, 141, 0, 1, 289, 54);
INSERT INTO public.who_data VALUES (68288, 51, 1829, 0, 84, 289, 147);
INSERT INTO public.who_data VALUES (68289, 7, 736, 0, 48, 289, 2);
INSERT INTO public.who_data VALUES (68290, 0, 19, 0, 1, 289, 105);
INSERT INTO public.who_data VALUES (68291, 27, 218, 0, 2, 289, 53);
INSERT INTO public.who_data VALUES (68292, 0, 122, 0, 0, 289, 81);
INSERT INTO public.who_data VALUES (68293, 0, 2265, 0, 108, 289, 223);
INSERT INTO public.who_data VALUES (68294, 1437, 63895, 169, 4280, 289, 94);
INSERT INTO public.who_data VALUES (68295, 0, 78, 0, 1, 289, 154);
INSERT INTO public.who_data VALUES (68296, 0, 94, 0, 0, 289, 83);
INSERT INTO public.who_data VALUES (68297, 83, 253, 10, 27, 289, 194);
INSERT INTO public.who_data VALUES (68298, 1533, 24581, 4, 285, 289, 136);
INSERT INTO public.who_data VALUES (68299, 6, 84415, 0, 4643, 289, 179);
INSERT INTO public.who_data VALUES (68300, 346, 8959, 19, 397, 289, 57);
INSERT INTO public.who_data VALUES (68301, 0, 8, 0, 1, 289, 35);
INSERT INTO public.who_data VALUES (68302, 10, 274, 0, 10, 289, 228);
INSERT INTO public.who_data VALUES (68303, 0, 0, 0, 0, 289, 19);
INSERT INTO public.who_data VALUES (68304, 6, 761, 0, 6, 289, 22);
INSERT INTO public.who_data VALUES (68305, 55, 1571, 2, 20, 289, 1);
INSERT INTO public.who_data VALUES (68306, 6, 2125, 1, 86, 289, 21);
INSERT INTO public.who_data VALUES (68307, 26, 1729, 4, 73, 289, 234);
INSERT INTO public.who_data VALUES (68308, 0, 16, 0, 1, 289, 91);
INSERT INTO public.who_data VALUES (68309, 6, 889, 0, 15, 289, 137);
INSERT INTO public.who_data VALUES (68310, 57, 8031, 8, 270, 289, 201);
INSERT INTO public.who_data VALUES (68311, 0, 0, 0, 0, 289, 171);
INSERT INTO public.who_data VALUES (68312, 100, 897, 1, 36, 289, 92);
INSERT INTO public.who_data VALUES (68313, 100, 10083, 6, 506, 289, 112);
INSERT INTO public.who_data VALUES (68314, 2, 1135, 0, 3, 289, 62);
INSERT INTO public.who_data VALUES (68315, 0, 16, 0, 0, 289, 69);
INSERT INTO public.who_data VALUES (68316, 288, 9095, 11, 373, 289, 220);
INSERT INTO public.who_data VALUES (68317, 878, 30298, 36, 1654, 289, 100);
INSERT INTO public.who_data VALUES (68318, 393, 7981, 13, 482, 289, 187);
INSERT INTO public.who_data VALUES (68319, 62, 695, 1, 15, 289, 63);
INSERT INTO public.who_data VALUES (68320, 0, 439, 0, 4, 289, 28);
INSERT INTO public.who_data VALUES (68321, 0, 39, 0, 0, 289, 172);
INSERT INTO public.who_data VALUES (68322, 7, 1720, 1, 56, 289, 17);
INSERT INTO public.who_data VALUES (68323, 30, 153, 0, 2, 289, 226);
INSERT INTO public.who_data VALUES (68324, 29, 191, 0, 4, 289, 236);
INSERT INTO public.who_data VALUES (68325, 0, 13, 0, 0, 289, 76);
INSERT INTO public.who_data VALUES (68326, 0, 187, 0, 0, 289, 30);
INSERT INTO public.who_data VALUES (68327, 0, 18, 0, 0, 289, 128);
INSERT INTO public.who_data VALUES (68328, 100, 5673, 3, 255, 289, 86);
INSERT INTO public.who_data VALUES (68329, 512, 135980, 177, 25946, 289, 140);
INSERT INTO public.who_data VALUES (68330, 0, 138, 0, 1, 289, 44);
INSERT INTO public.who_data VALUES (68331, 0, 60, 0, 0, 289, 113);
INSERT INTO public.who_data VALUES (68332, 107, 504, 2, 8, 289, 29);
INSERT INTO public.who_data VALUES (68333, 1, 18, 0, 1, 289, 125);
INSERT INTO public.who_data VALUES (68334, 9, 623, 0, 9, 289, 131);
INSERT INTO public.who_data VALUES (68335, 1209, 167300, 147, 7266, 289, 46);
INSERT INTO public.who_data VALUES (68336, 372, 3091, 0, 18, 289, 10);
INSERT INTO public.who_data VALUES (68337, 0, 144, 0, 0, 289, 205);
INSERT INTO public.who_data VALUES (68338, 15, 2678, 1, 148, 289, 50);
INSERT INTO public.who_data VALUES (68339, 0, 11, 0, 0, 289, 20);
INSERT INTO public.who_data VALUES (68340, 0, 21, 0, 0, 289, 13);
INSERT INTO public.who_data VALUES (68341, 0, 153, 0, 13, 289, 148);
INSERT INTO public.who_data VALUES (68342, 0, 147, 0, 5, 289, 230);
INSERT INTO public.who_data VALUES (68343, 35, 798, 2, 21, 289, 190);
INSERT INTO public.who_data VALUES (68344, 0, 252, 0, 13, 289, 188);
INSERT INTO public.who_data VALUES (68345, 71, 1927, 0, 11, 289, 123);
INSERT INTO public.who_data VALUES (68346, 0, 508, 0, 2, 289, 9);
INSERT INTO public.who_data VALUES (68347, 0, 93, 0, 10, 289, 102);
INSERT INTO public.who_data VALUES (68348, 7, 108, 0, 12, 289, 34);
INSERT INTO public.who_data VALUES (68349, 0, 12, 0, 0, 289, 212);
INSERT INTO public.who_data VALUES (68350, 191, 1461, 6, 99, 289, 122);
INSERT INTO public.who_data VALUES (68351, 28, 3178, 9, 392, 289, 38);
INSERT INTO public.who_data VALUES (68352, 2, 1801, 0, 10, 289, 130);
INSERT INTO public.who_data VALUES (68353, 3390, 56342, 103, 1886, 289, 37);
INSERT INTO public.who_data VALUES (68354, 336, 13112, 13, 943, 289, 231);
INSERT INTO public.who_data VALUES (68355, 1556, 104691, 55, 6541, 289, 107);
INSERT INTO public.who_data VALUES (68356, 63, 2543, 0, 102, 289, 101);
INSERT INTO public.who_data VALUES (68357, 137, 22385, 28, 1403, 289, 132);
INSERT INTO public.who_data VALUES (68358, 1, 327, 0, 23, 289, 176);
INSERT INTO public.who_data VALUES (68359, 65, 16255, 1, 241, 289, 200);
INSERT INTO public.who_data VALUES (68360, 1401, 215858, 274, 29958, 289, 169);
INSERT INTO public.who_data VALUES (68361, 5, 478, 0, 9, 289, 225);
INSERT INTO public.who_data VALUES (68362, 84, 15547, 6, 557, 289, 165);
INSERT INTO public.who_data VALUES (68363, 0, 293, 1, 25, 289, 233);
INSERT INTO public.who_data VALUES (68364, 10, 494, 0, 9, 289, 215);
INSERT INTO public.who_data VALUES (68365, 344, 4922, 1, 31, 289, 177);
INSERT INTO public.who_data VALUES (68366, 25, 607, 3, 29, 289, 183);
INSERT INTO public.who_data VALUES (68367, 0, 0, 0, 0, 289, 203);
INSERT INTO public.who_data VALUES (68368, 1, 861, 1, 19, 289, 162);
INSERT INTO public.who_data VALUES (68369, 641, 7208, 3, 47, 289, 12);
INSERT INTO public.who_data VALUES (68370, 11, 906, 0, 12, 289, 24);
INSERT INTO public.who_data VALUES (68371, 0, 19, 0, 0, 289, 119);
INSERT INTO public.who_data VALUES (68372, 9, 909, 1, 18, 289, 39);
INSERT INTO public.who_data VALUES (68373, 12, 796, 1, 26, 289, 26);
INSERT INTO public.who_data VALUES (68374, 0, 0, 0, 0, 289, 59);
INSERT INTO public.who_data VALUES (68375, 11, 189, 0, 20, 289, 77);
INSERT INTO public.who_data VALUES (68376, 0, 64, 0, 3, 289, 134);
INSERT INTO public.who_data VALUES (68377, 0, 83, 0, 1, 289, 4);
INSERT INTO public.who_data VALUES (68378, 9, 1430, 0, 49, 289, 109);
INSERT INTO public.who_data VALUES (68379, 8, 3859, 2, 100, 289, 90);
INSERT INTO public.who_data VALUES (68380, 0, 193, 0, 0, 289, 61);
INSERT INTO public.who_data VALUES (68381, 0, 43, 0, 3, 289, 85);
INSERT INTO public.who_data VALUES (68382, 39, 6467, 0, 107, 289, 49);
INSERT INTO public.who_data VALUES (68383, 30, 648, 1, 3, 289, 208);
INSERT INTO public.who_data VALUES (68384, 19, 650, 0, 32, 289, 166);
INSERT INTO public.who_data VALUES (68385, 2, 485, 0, 5, 289, 64);
INSERT INTO public.who_data VALUES (68386, 0, 0, 0, 0, 289, 199);
INSERT INTO public.who_data VALUES (68387, 0, 182, 0, 14, 289, 114);
INSERT INTO public.who_data VALUES (68388, 0, 8, 0, 1, 289, 60);
INSERT INTO public.who_data VALUES (68389, 0, 332, 0, 10, 289, 68);
INSERT INTO public.who_data VALUES (68390, 115, 854, 1, 10, 289, 158);
INSERT INTO public.who_data VALUES (68391, 1609, 27634, 197, 2704, 289, 52);
INSERT INTO public.who_data VALUES (68392, 0, 0, 0, 0, 289, 117);
INSERT INTO public.who_data VALUES (68393, 0, 66, 0, 1, 289, 126);
INSERT INTO public.who_data VALUES (68394, 1, 42, 0, 0, 289, 196);
INSERT INTO public.who_data VALUES (68395, 0, 324, 0, 8, 289, 142);
INSERT INTO public.who_data VALUES (68396, 0, 11, 0, 1, 289, 185);
INSERT INTO public.who_data VALUES (68397, 156, 5661, 2, 185, 289, 138);
INSERT INTO public.who_data VALUES (68398, 0, 81, 0, 0, 289, 181);
INSERT INTO public.who_data VALUES (68399, 14, 176, 0, 6, 289, 178);
INSERT INTO public.who_data VALUES (68400, 0, 16, 0, 0, 289, 168);
INSERT INTO public.who_data VALUES (68401, 0, 0, 0, 0, 289, 160);
INSERT INTO public.who_data VALUES (68402, 3, 102, 0, 0, 289, 151);
INSERT INTO public.who_data VALUES (68403, 361, 41520, 89, 5252, 289, 193);
INSERT INTO public.who_data VALUES (68404, 0, 18, 0, 0, 289, 18);
INSERT INTO public.who_data VALUES (68405, 2, 1141, 0, 21, 289, 40);
INSERT INTO public.who_data VALUES (68406, 0, 16, 0, 5, 289, 218);
INSERT INTO public.who_data VALUES (68407, 11, 781, 4, 42, 289, 191);
INSERT INTO public.who_data VALUES (68408, 381, 3526, 4, 107, 289, 156);
INSERT INTO public.who_data VALUES (68409, 0, 0, 0, 0, 289, 135);
INSERT INTO public.who_data VALUES (68410, 0, 15, 0, 2, 289, 88);
INSERT INTO public.who_data VALUES (68411, 33, 1572, 1, 89, 289, 55);
INSERT INTO public.who_data VALUES (68412, 42, 7995, 0, 209, 289, 108);
INSERT INTO public.who_data VALUES (68413, 0, 547, 0, 4, 289, 48);
INSERT INTO public.who_data VALUES (68414, 154, 3112, 1, 15, 289, 3);
INSERT INTO public.who_data VALUES (68415, 0, 712, 0, 13, 289, 224);
INSERT INTO public.who_data VALUES (68416, 1791, 26435, 14, 599, 289, 110);
INSERT INTO public.who_data VALUES (68417, 0, 0, 0, 0, 289, 106);
INSERT INTO public.who_data VALUES (68418, 208, 7731, 8, 218, 289, 89);
INSERT INTO public.who_data VALUES (68419, 0, 8, 0, 0, 289, 121);
INSERT INTO public.who_data VALUES (68420, 22, 462, 0, 10, 289, 163);
INSERT INTO public.who_data VALUES (68421, 3628, 54817, 89, 1533, 289, 70);
INSERT INTO public.who_data VALUES (68422, 339, 10343, 27, 685, 289, 174);
INSERT INTO public.who_data VALUES (68423, 0, 0, 0, 0, 289, 175);
INSERT INTO public.who_data VALUES (68424, 307, 15047, 22, 755, 289, 118);
INSERT INTO public.who_data VALUES (68425, 533, 26715, 16, 1105, 289, 189);
INSERT INTO public.who_data VALUES (68426, 63, 2031, 0, 56, 289, 124);
INSERT INTO public.who_data VALUES (68427, 1311, 20201, 0, 12, 289, 192);
INSERT INTO public.who_data VALUES (68428, 12, 10822, 0, 256, 289, 41);
INSERT INTO public.who_data VALUES (68429, 129, 4605, 2, 145, 289, 95);
INSERT INTO public.who_data VALUES (68430, 2, 427, 0, 0, 289, 74);
INSERT INTO public.who_data VALUES (68431, 392, 14499, 18, 876, 289, 11);
INSERT INTO public.who_data VALUES (68432, 10699, 187859, 98, 1723, 289, 87);
INSERT INTO public.who_data VALUES (68433, 3, 271, 0, 0, 289, 214);
INSERT INTO public.who_data VALUES (68434, 0, 2, 0, 0, 289, 116);
INSERT INTO public.who_data VALUES (68435, 0, 6, 0, 0, 289, 157);
INSERT INTO public.who_data VALUES (68436, 0, 0, 0, 0, 289, 182);
INSERT INTO public.who_data VALUES (68437, 0, 15, 0, 0, 289, 186);
INSERT INTO public.who_data VALUES (68438, 0, 18, 0, 0, 289, 127);
INSERT INTO public.who_data VALUES (68439, 0, 38, 0, 3, 289, 232);
INSERT INTO public.who_data VALUES (68440, 0, 1, 0, 0, 289, 33);
INSERT INTO public.who_data VALUES (68441, 0, 17, 0, 0, 289, 97);
INSERT INTO public.who_data VALUES (68442, 0, 0, 0, 0, 289, 42);
INSERT INTO public.who_data VALUES (68443, 24, 632, 0, 41, 289, 198);
INSERT INTO public.who_data VALUES (68444, -9, 165, 1, 4, 289, 216);
INSERT INTO public.who_data VALUES (68445, 1701, 35432, 10, 229, 289, 164);
INSERT INTO public.who_data VALUES (68446, 59, 1492, 1, 13, 289, 235);
INSERT INTO public.who_data VALUES (68447, 57, 9848, 3, 206, 289, 67);
INSERT INTO public.who_data VALUES (68448, 0, 11, 0, 0, 289, 15);
INSERT INTO public.who_data VALUES (68449, 6, 231, 0, 14, 289, 180);
INSERT INTO public.who_data VALUES (68450, 741, 20939, 0, 20, 289, 237);
INSERT INTO public.who_data VALUES (68451, 0, 2, 0, 0, 289, 25);
INSERT INTO public.who_data VALUES (68452, 0, 76, 0, 14, 289, 209);
INSERT INTO public.who_data VALUES (68453, 8, 1429, 0, 25, 289, 217);
INSERT INTO public.who_data VALUES (68454, 1, 1449, 0, 107, 289, 79);
INSERT INTO public.who_data VALUES (68455, 0, 0, 0, 0, 289, 143);
INSERT INTO public.who_data VALUES (68456, 0, 928, 0, 44, 289, 229);
INSERT INTO public.who_data VALUES (68457, 424, 8232, 8, 161, 289, 141);
INSERT INTO public.who_data VALUES (68458, 32, 90, 0, 0, 289, 197);
INSERT INTO public.who_data VALUES (68459, 981, 230773, 153, 27220, 289, 221);
INSERT INTO public.who_data VALUES (68460, 27, 824, 0, 9, 289, 150);
INSERT INTO public.who_data VALUES (68461, 0, 930, 0, 52, 289, 56);
INSERT INTO public.who_data VALUES (68462, 0, 10, 0, 1, 289, 167);
INSERT INTO public.who_data VALUES (68463, 745, 24577, 73, 3362, 289, 23);
INSERT INTO public.who_data VALUES (68464, 46, 30217, 12, 1663, 289, 222);
INSERT INTO public.who_data VALUES (68465, 0, 45, 0, 3, 289, 219);
INSERT INTO public.who_data VALUES (68466, 82, 461, 7, 16, 289, 7);
INSERT INTO public.who_data VALUES (68467, 8, 3000, 0, 55, 289, 161);
INSERT INTO public.who_data VALUES (68468, 3827, 199408, 458, 30321, 289, 149);
INSERT INTO public.who_data VALUES (68469, 0, 24, 0, 0, 289, 6);
INSERT INTO public.who_data VALUES (68470, 7, 135, 0, 9, 289, 139);
INSERT INTO public.who_data VALUES (68471, 0, 0, 0, 0, 289, 211);
INSERT INTO public.who_data VALUES (68472, 0, 0, 0, 0, 289, 14);
INSERT INTO public.who_data VALUES (68473, 0, 116, 0, 8, 289, 111);
INSERT INTO public.who_data VALUES (68474, 1, 1026, 1, 44, 289, 207);
INSERT INTO public.who_data VALUES (68475, 1977, 133721, 57, 3641, 289, 66);
INSERT INTO public.who_data VALUES (68476, 0, 0, 0, 0, 289, 173);
INSERT INTO public.who_data VALUES (68477, 0, 12, 0, 1, 289, 145);
INSERT INTO public.who_data VALUES (68478, 0, 0, 0, 0, 289, 65);
INSERT INTO public.who_data VALUES (68479, 3, 101, 0, 0, 289, 184);
INSERT INTO public.who_data VALUES (68480, 504, 14195, 21, 361, 289, 98);
INSERT INTO public.who_data VALUES (68481, 553, 16793, 9, 174, 289, 104);
INSERT INTO public.who_data VALUES (68482, 29, 509, 3, 21, 289, 73);
INSERT INTO public.who_data VALUES (68483, 22119, 1215571, 1968, 72524, 289, 8);
INSERT INTO public.who_data VALUES (68484, 0, 66, 0, 4, 289, 227);
INSERT INTO public.who_data VALUES (68485, 3, 673, 0, 17, 289, 75);
INSERT INTO public.who_data VALUES (68486, 48, 2314, 0, 10, 289, 45);
INSERT INTO public.who_data VALUES (68487, 0, 0, 0, 0, 289, 133);
INSERT INTO public.who_data VALUES (68488, 12, 379, 0, 10, 289, 202);
INSERT INTO public.who_data VALUES (68489, 0, 288, 0, 0, 289, 129);
INSERT INTO public.who_data VALUES (68490, 0, 0, 0, 0, 289, 36);
INSERT INTO public.who_data VALUES (68491, 9, 35, 1, 7, 289, 51);
INSERT INTO public.who_data VALUES (68492, 14, 153, 0, 4, 289, 206);
INSERT INTO public.who_data VALUES (68493, 0, 34, 0, 4, 289, 5);
INSERT INTO public.who_data VALUES (68494, 171, 3563, 1, 105, 290, 103);
INSERT INTO public.who_data VALUES (68495, 0, 794, 0, 30, 290, 58);
INSERT INTO public.who_data VALUES (68496, 159, 4997, 6, 476, 290, 195);
INSERT INTO public.who_data VALUES (68497, 0, 0, 0, 0, 290, 115);
INSERT INTO public.who_data VALUES (68498, 1, 752, 1, 47, 290, 99);
INSERT INTO public.who_data VALUES (68499, 0, 36, 0, 2, 290, 153);
INSERT INTO public.who_data VALUES (68500, 0, 3, 0, 0, 290, 93);
INSERT INTO public.who_data VALUES (68501, 0, 25, 0, 3, 290, 84);
INSERT INTO public.who_data VALUES (68502, 154, 5076, 2, 264, 290, 78);
INSERT INTO public.who_data VALUES (68503, 163, 2758, 0, 40, 290, 170);
INSERT INTO public.who_data VALUES (68504, 0, 101, 0, 2, 290, 32);
INSERT INTO public.who_data VALUES (68505, 26, 6875, 1, 97, 290, 155);
INSERT INTO public.who_data VALUES (68506, 65, 15651, 2, 608, 290, 82);
INSERT INTO public.who_data VALUES (68507, 67, 2127, 2, 28, 290, 16);
INSERT INTO public.who_data VALUES (68508, 5, 89, 0, 11, 290, 72);
INSERT INTO public.who_data VALUES (68509, 289, 4131, 0, 8, 290, 43);
INSERT INTO public.who_data VALUES (68510, 706, 12425, 0, 186, 290, 120);
INSERT INTO public.who_data VALUES (68511, 0, 82, 0, 7, 290, 213);
INSERT INTO public.who_data VALUES (68512, 0, 19255, 0, 112, 290, 31);
INSERT INTO public.who_data VALUES (68513, 552, 53057, 75, 8370, 290, 204);
INSERT INTO public.who_data VALUES (68514, 0, 18, 0, 2, 290, 152);
INSERT INTO public.who_data VALUES (68515, 0, 102, 0, 2, 290, 144);
INSERT INTO public.who_data VALUES (68516, 0, 115, 0, 7, 290, 96);
INSERT INTO public.who_data VALUES (68517, 0, 7, 0, 0, 290, 47);
INSERT INTO public.who_data VALUES (68518, 121, 1802, 4, 86, 290, 80);
INSERT INTO public.who_data VALUES (68519, 0, 2, 0, 0, 290, 159);
INSERT INTO public.who_data VALUES (68520, 49, 2017, 5, 87, 290, 27);
INSERT INTO public.who_data VALUES (68521, 0, 23, 0, 1, 290, 146);
INSERT INTO public.who_data VALUES (68522, 6935, 114715, 600, 7921, 290, 71);
INSERT INTO public.who_data VALUES (68523, 0, 7, 0, 1, 290, 210);
INSERT INTO public.who_data VALUES (68524, 1, 139, 0, 1, 290, 54);
INSERT INTO public.who_data VALUES (68525, 89, 1778, 6, 84, 290, 147);
INSERT INTO public.who_data VALUES (68526, 40, 729, 0, 48, 290, 2);
INSERT INTO public.who_data VALUES (68527, 0, 19, 0, 1, 290, 105);
INSERT INTO public.who_data VALUES (68528, 5, 191, 0, 2, 290, 53);
INSERT INTO public.who_data VALUES (68529, 0, 122, 0, 0, 290, 81);
INSERT INTO public.who_data VALUES (68530, 0, 2265, 0, 108, 290, 223);
INSERT INTO public.who_data VALUES (68531, 1299, 62458, 196, 4111, 290, 94);
INSERT INTO public.who_data VALUES (68532, 3, 78, 0, 1, 290, 154);
INSERT INTO public.who_data VALUES (68533, 0, 94, 0, 0, 290, 83);
INSERT INTO public.who_data VALUES (68534, 0, 170, 0, 17, 290, 194);
INSERT INTO public.who_data VALUES (68535, 1032, 23048, 6, 281, 290, 136);
INSERT INTO public.who_data VALUES (68536, 3, 84409, 0, 4643, 290, 179);
INSERT INTO public.who_data VALUES (68537, 640, 8613, 20, 378, 290, 57);
INSERT INTO public.who_data VALUES (68538, 4, 8, 0, 1, 290, 35);
INSERT INTO public.who_data VALUES (68539, 28, 264, 0, 10, 290, 228);
INSERT INTO public.who_data VALUES (68540, 0, 0, 0, 0, 290, 19);
INSERT INTO public.who_data VALUES (68541, 13, 755, 0, 6, 290, 22);
INSERT INTO public.who_data VALUES (68542, 52, 1516, 0, 18, 290, 1);
INSERT INTO public.who_data VALUES (68543, 7, 2119, 2, 85, 290, 21);
INSERT INTO public.who_data VALUES (68544, 18, 1703, 0, 69, 290, 234);
INSERT INTO public.who_data VALUES (68545, 0, 16, 0, 1, 290, 91);
INSERT INTO public.who_data VALUES (68546, 5, 883, 0, 15, 290, 137);
INSERT INTO public.who_data VALUES (68547, 78, 7974, 5, 262, 290, 201);
INSERT INTO public.who_data VALUES (68548, 0, 0, 0, 0, 290, 171);
INSERT INTO public.who_data VALUES (68549, 92, 797, 1, 35, 290, 92);
INSERT INTO public.who_data VALUES (68550, 162, 9983, 3, 500, 290, 112);
INSERT INTO public.who_data VALUES (68551, 13, 1133, 1, 3, 290, 62);
INSERT INTO public.who_data VALUES (68552, 0, 16, 0, 0, 290, 69);
INSERT INTO public.who_data VALUES (68553, 327, 8807, 8, 362, 290, 220);
INSERT INTO public.who_data VALUES (68554, -2461, 29420, 49, 1618, 290, 100);
INSERT INTO public.who_data VALUES (68555, 0, 7588, 0, 469, 290, 187);
INSERT INTO public.who_data VALUES (68556, 46, 633, 1, 14, 290, 63);
INSERT INTO public.who_data VALUES (68557, 0, 439, 0, 4, 290, 28);
INSERT INTO public.who_data VALUES (68558, 0, 39, 0, 0, 290, 172);
INSERT INTO public.who_data VALUES (68559, 2, 1713, 0, 55, 290, 17);
INSERT INTO public.who_data VALUES (68560, 4, 123, 1, 2, 290, 226);
INSERT INTO public.who_data VALUES (68561, 17, 162, 0, 4, 290, 236);
INSERT INTO public.who_data VALUES (68562, 0, 13, 0, 0, 290, 76);
INSERT INTO public.who_data VALUES (68563, 0, 187, 0, 0, 290, 30);
INSERT INTO public.who_data VALUES (68564, 0, 18, 0, 0, 290, 128);
INSERT INTO public.who_data VALUES (68565, 161, 5573, 6, 252, 290, 86);
INSERT INTO public.who_data VALUES (68566, 4176, 135468, 278, 25769, 290, 140);
INSERT INTO public.who_data VALUES (68567, 5, 138, 0, 1, 290, 44);
INSERT INTO public.who_data VALUES (68568, 0, 60, 0, 0, 290, 113);
INSERT INTO public.who_data VALUES (68569, 0, 397, 0, 6, 290, 29);
INSERT INTO public.who_data VALUES (68570, 0, 17, 0, 1, 290, 125);
INSERT INTO public.who_data VALUES (68571, 4, 614, 0, 9, 290, 131);
INSERT INTO public.who_data VALUES (68572, 1284, 166091, 123, 7119, 290, 46);
INSERT INTO public.who_data VALUES (68573, 0, 2719, 0, 18, 290, 10);
INSERT INTO public.who_data VALUES (68574, 0, 144, 0, 0, 290, 205);
INSERT INTO public.who_data VALUES (68575, 21, 2663, 1, 147, 290, 50);
INSERT INTO public.who_data VALUES (68576, 0, 11, 0, 0, 290, 20);
INSERT INTO public.who_data VALUES (68577, 0, 21, 0, 0, 290, 13);
INSERT INTO public.who_data VALUES (68578, 1, 153, 0, 13, 290, 148);
INSERT INTO public.who_data VALUES (68579, 2, 147, 0, 5, 290, 230);
INSERT INTO public.who_data VALUES (68580, 33, 763, 0, 19, 290, 190);
INSERT INTO public.who_data VALUES (68581, 0, 252, 0, 13, 290, 188);
INSERT INTO public.who_data VALUES (68582, 45, 1856, 1, 11, 290, 123);
INSERT INTO public.who_data VALUES (68583, 216, 508, 0, 2, 290, 9);
INSERT INTO public.who_data VALUES (68584, 1, 93, 1, 10, 290, 102);
INSERT INTO public.who_data VALUES (68585, 1, 101, 1, 12, 290, 34);
INSERT INTO public.who_data VALUES (68586, 1, 12, 0, 0, 290, 212);
INSERT INTO public.who_data VALUES (68587, 92, 1270, 4, 93, 290, 122);
INSERT INTO public.who_data VALUES (68588, 39, 3150, 10, 383, 290, 38);
INSERT INTO public.who_data VALUES (68589, 0, 1799, 0, 10, 290, 130);
INSERT INTO public.who_data VALUES (68590, 3561, 52952, 89, 1783, 290, 37);
INSERT INTO public.who_data VALUES (68591, 338, 12776, 35, 930, 290, 231);
INSERT INTO public.who_data VALUES (68592, 1485, 103135, 68, 6486, 290, 107);
INSERT INTO public.who_data VALUES (68593, 49, 2480, 0, 102, 290, 101);
INSERT INTO public.who_data VALUES (68594, 265, 22248, 36, 1375, 290, 132);
INSERT INTO public.who_data VALUES (68595, 1, 326, 0, 23, 290, 176);
INSERT INTO public.who_data VALUES (68596, 32, 16190, 2, 240, 290, 200);
INSERT INTO public.who_data VALUES (68597, 1444, 214457, 369, 29684, 290, 169);
INSERT INTO public.who_data VALUES (68598, 2, 473, 0, 9, 290, 225);
INSERT INTO public.who_data VALUES (68599, 109, 15463, 8, 551, 290, 165);
INSERT INTO public.who_data VALUES (68600, 0, 293, 0, 24, 290, 233);
INSERT INTO public.who_data VALUES (68601, 11, 484, 0, 9, 290, 215);
INSERT INTO public.who_data VALUES (68602, 69, 4578, 0, 30, 290, 177);
INSERT INTO public.who_data VALUES (68603, 47, 582, 0, 26, 290, 183);
INSERT INTO public.who_data VALUES (68604, 0, 0, 0, 0, 290, 203);
INSERT INTO public.who_data VALUES (68605, 4, 860, 1, 18, 290, 162);
INSERT INTO public.who_data VALUES (68606, 278, 6567, 2, 44, 290, 12);
INSERT INTO public.who_data VALUES (68607, 24, 895, 0, 12, 290, 24);
INSERT INTO public.who_data VALUES (68608, 0, 19, 0, 0, 290, 119);
INSERT INTO public.who_data VALUES (68609, 4, 900, 0, 17, 290, 39);
INSERT INTO public.who_data VALUES (68610, 34, 784, 0, 25, 290, 26);
INSERT INTO public.who_data VALUES (68611, 0, 0, 0, 0, 290, 59);
INSERT INTO public.who_data VALUES (68612, 8, 178, 0, 20, 290, 77);
INSERT INTO public.who_data VALUES (68613, 0, 64, 0, 3, 290, 134);
INSERT INTO public.who_data VALUES (68614, 0, 83, 0, 1, 290, 4);
INSERT INTO public.who_data VALUES (68615, 5, 1421, 1, 49, 290, 109);
INSERT INTO public.who_data VALUES (68616, 11, 3851, 2, 98, 290, 90);
INSERT INTO public.who_data VALUES (68617, 35, 193, 0, 0, 290, 61);
INSERT INTO public.who_data VALUES (68618, 2, 43, 0, 3, 290, 85);
INSERT INTO public.who_data VALUES (68619, 45, 6428, 1, 107, 290, 49);
INSERT INTO public.who_data VALUES (68620, 0, 618, 0, 2, 290, 208);
INSERT INTO public.who_data VALUES (68621, 19, 631, 0, 32, 290, 166);
INSERT INTO public.who_data VALUES (68622, 3, 483, 1, 5, 290, 64);
INSERT INTO public.who_data VALUES (68623, 0, 0, 0, 0, 290, 199);
INSERT INTO public.who_data VALUES (68624, 1, 182, 0, 14, 290, 114);
INSERT INTO public.who_data VALUES (68625, 0, 8, 0, 1, 290, 60);
INSERT INTO public.who_data VALUES (68626, 0, 332, 0, 10, 290, 68);
INSERT INTO public.who_data VALUES (68627, 0, 739, 0, 9, 290, 158);
INSERT INTO public.who_data VALUES (68628, 1120, 26025, 236, 2507, 290, 52);
INSERT INTO public.who_data VALUES (68629, 0, 0, 0, 0, 290, 117);
INSERT INTO public.who_data VALUES (68630, 0, 66, 0, 1, 290, 126);
INSERT INTO public.who_data VALUES (68631, 0, 41, 0, 0, 290, 196);
INSERT INTO public.who_data VALUES (68632, 0, 324, 0, 8, 290, 142);
INSERT INTO public.who_data VALUES (68633, 0, 11, 0, 1, 290, 185);
INSERT INTO public.who_data VALUES (68634, 123, 5505, 1, 183, 290, 138);
INSERT INTO public.who_data VALUES (68635, 1, 81, 0, 0, 290, 181);
INSERT INTO public.who_data VALUES (68636, 1, 162, 0, 6, 290, 178);
INSERT INTO public.who_data VALUES (68637, 0, 16, 0, 0, 290, 168);
INSERT INTO public.who_data VALUES (68638, 0, 0, 0, 0, 290, 160);
INSERT INTO public.who_data VALUES (68639, 0, 99, 0, 0, 290, 151);
INSERT INTO public.who_data VALUES (68640, 319, 41159, 33, 5163, 290, 193);
INSERT INTO public.who_data VALUES (68641, 0, 18, 0, 0, 290, 18);
INSERT INTO public.who_data VALUES (68642, 1, 1139, 0, 21, 290, 40);
INSERT INTO public.who_data VALUES (68643, 1, 16, 0, 5, 290, 218);
INSERT INTO public.who_data VALUES (68644, 7, 770, 0, 38, 290, 191);
INSERT INTO public.who_data VALUES (68645, 195, 3145, 5, 103, 290, 156);
INSERT INTO public.who_data VALUES (68646, 0, 0, 0, 0, 290, 135);
INSERT INTO public.who_data VALUES (68647, 1, 15, 0, 2, 290, 88);
INSERT INTO public.who_data VALUES (68648, 13, 1539, 2, 88, 290, 55);
INSERT INTO public.who_data VALUES (68649, 50, 7953, 0, 209, 290, 108);
INSERT INTO public.who_data VALUES (68650, 1, 547, 0, 4, 290, 48);
INSERT INTO public.who_data VALUES (68651, 55, 2958, 1, 14, 290, 3);
INSERT INTO public.who_data VALUES (68652, 0, 712, 0, 13, 290, 224);
INSERT INTO public.who_data VALUES (68653, 2094, 24644, 59, 585, 290, 110);
INSERT INTO public.who_data VALUES (68654, 0, 0, 0, 0, 290, 106);
INSERT INTO public.who_data VALUES (68655, 136, 7523, 7, 210, 290, 89);
INSERT INTO public.who_data VALUES (68656, 0, 8, 0, 0, 290, 121);
INSERT INTO public.who_data VALUES (68657, 9, 440, 0, 10, 290, 163);
INSERT INTO public.who_data VALUES (68658, 3817, 51189, 100, 1444, 290, 70);
INSERT INTO public.who_data VALUES (68659, 320, 10004, 21, 658, 290, 174);
INSERT INTO public.who_data VALUES (68660, 0, 0, 0, 0, 290, 175);
INSERT INTO public.who_data VALUES (68661, 309, 14740, 17, 733, 290, 118);
INSERT INTO public.who_data VALUES (68662, 480, 26182, 15, 1089, 290, 189);
INSERT INTO public.who_data VALUES (68663, 44, 1968, 0, 56, 290, 124);
INSERT INTO public.who_data VALUES (68664, 918, 18890, 0, 12, 290, 192);
INSERT INTO public.who_data VALUES (68665, 4, 10810, 1, 256, 290, 41);
INSERT INTO public.who_data VALUES (68666, 113, 4476, 3, 143, 290, 95);
INSERT INTO public.who_data VALUES (68667, 0, 425, 0, 0, 290, 74);
INSERT INTO public.who_data VALUES (68668, 270, 14107, 31, 858, 290, 11);
INSERT INTO public.who_data VALUES (68669, 11231, 177160, 88, 1625, 290, 87);
INSERT INTO public.who_data VALUES (68670, 7, 268, 0, 0, 290, 214);
INSERT INTO public.who_data VALUES (68671, 0, 2, 0, 0, 290, 116);
INSERT INTO public.who_data VALUES (68672, 0, 6, 0, 0, 290, 157);
INSERT INTO public.who_data VALUES (68673, 0, 0, 0, 0, 290, 182);
INSERT INTO public.who_data VALUES (68674, 0, 15, 0, 0, 290, 186);
INSERT INTO public.who_data VALUES (68675, 0, 18, 0, 0, 290, 127);
INSERT INTO public.who_data VALUES (68676, 0, 38, 0, 3, 290, 232);
INSERT INTO public.who_data VALUES (68677, 0, 1, 0, 0, 290, 33);
INSERT INTO public.who_data VALUES (68678, 0, 17, 0, 0, 290, 97);
INSERT INTO public.who_data VALUES (68679, 0, 0, 0, 0, 290, 42);
INSERT INTO public.who_data VALUES (68680, 19, 608, 0, 41, 290, 198);
INSERT INTO public.who_data VALUES (68681, 3, 174, 0, 3, 290, 216);
INSERT INTO public.who_data VALUES (68682, 1793, 33731, 10, 219, 290, 164);
INSERT INTO public.who_data VALUES (68683, 104, 1433, 1, 12, 290, 235);
INSERT INTO public.who_data VALUES (68684, 114, 9791, 3, 203, 290, 67);
INSERT INTO public.who_data VALUES (68685, 0, 11, 0, 0, 290, 15);
INSERT INTO public.who_data VALUES (68686, 26, 225, 3, 14, 290, 180);
INSERT INTO public.who_data VALUES (68687, 788, 20198, 2, 20, 290, 237);
INSERT INTO public.who_data VALUES (68688, 0, 2, 0, 0, 290, 25);
INSERT INTO public.who_data VALUES (68689, 0, 76, 0, 14, 290, 209);
INSERT INTO public.who_data VALUES (68690, 8, 1421, 0, 25, 290, 217);
INSERT INTO public.who_data VALUES (68691, 3, 1448, 2, 107, 290, 79);
INSERT INTO public.who_data VALUES (68692, 0, 0, 0, 0, 290, 143);
INSERT INTO public.who_data VALUES (68693, 55, 928, 5, 44, 290, 229);
INSERT INTO public.who_data VALUES (68694, 369, 7808, 5, 153, 290, 141);
INSERT INTO public.who_data VALUES (68695, 9, 58, 0, 0, 290, 197);
INSERT INTO public.who_data VALUES (68696, 984, 229792, 183, 27067, 290, 221);
INSERT INTO public.who_data VALUES (68697, 26, 797, 0, 9, 290, 150);
INSERT INTO public.who_data VALUES (68698, 78, 930, 3, 52, 290, 56);
INSERT INTO public.who_data VALUES (68699, 0, 10, 0, 1, 290, 167);
INSERT INTO public.who_data VALUES (68700, 657, 23832, 72, 3289, 290, 23);
INSERT INTO public.who_data VALUES (68701, 79, 30171, 4, 1651, 290, 222);
INSERT INTO public.who_data VALUES (68702, 0, 45, 0, 3, 290, 219);
INSERT INTO public.who_data VALUES (68703, 86, 379, 2, 9, 290, 7);
INSERT INTO public.who_data VALUES (68704, 3, 2992, 0, 55, 290, 161);
INSERT INTO public.who_data VALUES (68705, 3682, 195581, 647, 29863, 290, 149);
INSERT INTO public.who_data VALUES (68706, 0, 24, 0, 0, 290, 6);
INSERT INTO public.who_data VALUES (68707, 0, 128, 0, 9, 290, 139);
INSERT INTO public.who_data VALUES (68708, 0, 0, 0, 0, 290, 211);
INSERT INTO public.who_data VALUES (68709, 0, 0, 0, 0, 290, 14);
INSERT INTO public.who_data VALUES (68710, 0, 116, 0, 8, 290, 111);
INSERT INTO public.who_data VALUES (68711, 3, 1025, 0, 43, 290, 207);
INSERT INTO public.who_data VALUES (68712, 2253, 131744, 64, 3584, 290, 66);
INSERT INTO public.who_data VALUES (68713, 0, 0, 0, 0, 290, 173);
INSERT INTO public.who_data VALUES (68714, 0, 12, 0, 1, 290, 145);
INSERT INTO public.who_data VALUES (68715, 0, 0, 0, 0, 290, 65);
INSERT INTO public.who_data VALUES (68716, 1, 98, 0, 0, 290, 184);
INSERT INTO public.who_data VALUES (68717, 507, 13691, 13, 340, 290, 98);
INSERT INTO public.who_data VALUES (68718, 1048, 16240, 19, 165, 290, 104);
INSERT INTO public.who_data VALUES (68719, 0, 480, 0, 18, 290, 73);
INSERT INTO public.who_data VALUES (68720, 22267, 1193452, 2475, 70556, 290, 8);
INSERT INTO public.who_data VALUES (68721, 0, 66, 0, 4, 290, 227);
INSERT INTO public.who_data VALUES (68722, 13, 670, 0, 17, 290, 75);
INSERT INTO public.who_data VALUES (68723, 49, 2266, 0, 10, 290, 45);
INSERT INTO public.who_data VALUES (68724, 0, 0, 0, 0, 290, 133);
INSERT INTO public.who_data VALUES (68725, 6, 367, 0, 10, 290, 202);
INSERT INTO public.who_data VALUES (68726, 17, 288, 0, 0, 290, 129);
INSERT INTO public.who_data VALUES (68727, 0, 0, 0, 0, 290, 36);
INSERT INTO public.who_data VALUES (68728, 0, 26, 1, 6, 290, 51);
INSERT INTO public.who_data VALUES (68729, 2, 139, 0, 4, 290, 206);
INSERT INTO public.who_data VALUES (68730, 0, 34, 0, 4, 290, 5);
INSERT INTO public.who_data VALUES (68731, 168, 3392, 9, 104, 291, 103);
INSERT INTO public.who_data VALUES (68732, 12, 794, 0, 30, 291, 58);
INSERT INTO public.who_data VALUES (68733, 190, 4838, 5, 470, 291, 195);
INSERT INTO public.who_data VALUES (68734, 0, 0, 0, 0, 291, 115);
INSERT INTO public.who_data VALUES (68735, 0, 751, 1, 46, 291, 99);
INSERT INTO public.who_data VALUES (68736, 1, 36, 0, 2, 291, 153);
INSERT INTO public.who_data VALUES (68737, 0, 3, 0, 0, 291, 93);
INSERT INTO public.who_data VALUES (68738, 0, 25, 0, 3, 291, 84);
INSERT INTO public.who_data VALUES (68739, 123, 4922, 12, 262, 291, 78);
INSERT INTO public.who_data VALUES (68740, 112, 2595, 1, 40, 291, 170);
INSERT INTO public.who_data VALUES (68741, 1, 101, 0, 2, 291, 32);
INSERT INTO public.who_data VALUES (68742, 24, 6849, 1, 96, 291, 155);
INSERT INTO public.who_data VALUES (68743, 17, 15586, 6, 606, 291, 82);
INSERT INTO public.who_data VALUES (68744, 76, 2060, 0, 26, 291, 16);
INSERT INTO public.who_data VALUES (68745, 1, 84, 0, 11, 291, 72);
INSERT INTO public.who_data VALUES (68746, 163, 3842, 0, 8, 291, 43);
INSERT INTO public.who_data VALUES (68747, 790, 11719, 3, 186, 291, 120);
INSERT INTO public.who_data VALUES (68748, 0, 82, 0, 7, 291, 213);
INSERT INTO public.who_data VALUES (68749, 1766, 19255, 9, 112, 291, 31);
INSERT INTO public.who_data VALUES (68750, 546, 52505, 81, 8295, 291, 204);
INSERT INTO public.who_data VALUES (68751, 0, 18, 0, 2, 291, 152);
INSERT INTO public.who_data VALUES (68752, 6, 102, 0, 2, 291, 144);
INSERT INTO public.who_data VALUES (68753, 0, 115, 0, 7, 291, 96);
INSERT INTO public.who_data VALUES (68754, 0, 7, 0, 0, 291, 47);
INSERT INTO public.who_data VALUES (68755, 87, 1681, 6, 82, 291, 80);
INSERT INTO public.who_data VALUES (68756, 0, 2, 0, 0, 291, 159);
INSERT INTO public.who_data VALUES (68757, 42, 1968, 5, 82, 291, 27);
INSERT INTO public.who_data VALUES (68758, 0, 23, 0, 1, 291, 146);
INSERT INTO public.who_data VALUES (68759, 6633, 107780, 296, 7321, 291, 71);
INSERT INTO public.who_data VALUES (68760, 1, 7, 0, 1, 291, 210);
INSERT INTO public.who_data VALUES (68761, 0, 138, 0, 1, 291, 54);
INSERT INTO public.who_data VALUES (68762, 37, 1689, 0, 78, 291, 147);
INSERT INTO public.who_data VALUES (68763, 17, 689, 2, 48, 291, 2);
INSERT INTO public.who_data VALUES (68764, 0, 19, 0, 1, 291, 105);
INSERT INTO public.who_data VALUES (68765, 21, 186, 0, 2, 291, 53);
INSERT INTO public.who_data VALUES (68766, 0, 122, 0, 0, 291, 81);
INSERT INTO public.who_data VALUES (68767, 188, 2265, 44, 108, 291, 223);
INSERT INTO public.who_data VALUES (68768, 1315, 61159, 149, 3915, 291, 94);
INSERT INTO public.who_data VALUES (68769, 1, 75, 0, 1, 291, 154);
INSERT INTO public.who_data VALUES (68770, 0, 94, 0, 0, 291, 83);
INSERT INTO public.who_data VALUES (68771, 53, 170, 7, 17, 291, 194);
INSERT INTO public.who_data VALUES (68772, 1373, 22016, 5, 275, 291, 136);
INSERT INTO public.who_data VALUES (68773, 2, 84406, 0, 4643, 291, 179);
INSERT INTO public.who_data VALUES (68774, 305, 7973, 18, 358, 291, 57);
INSERT INTO public.who_data VALUES (68775, 0, 4, 0, 1, 291, 35);
INSERT INTO public.who_data VALUES (68776, 0, 236, 0, 10, 291, 228);
INSERT INTO public.who_data VALUES (68777, 0, 0, 0, 0, 291, 19);
INSERT INTO public.who_data VALUES (68778, 3, 742, 0, 6, 291, 22);
INSERT INTO public.who_data VALUES (68779, 32, 1464, 1, 18, 291, 1);
INSERT INTO public.who_data VALUES (68780, 11, 2112, 3, 83, 291, 21);
INSERT INTO public.who_data VALUES (68781, 17, 1685, 0, 69, 291, 234);
INSERT INTO public.who_data VALUES (68782, 0, 16, 0, 1, 291, 91);
INSERT INTO public.who_data VALUES (68783, 4, 878, 0, 15, 291, 137);
INSERT INTO public.who_data VALUES (68784, 77, 7896, 5, 257, 291, 201);
INSERT INTO public.who_data VALUES (68785, 0, 0, 0, 0, 291, 171);
INSERT INTO public.who_data VALUES (68786, 23, 705, 0, 34, 291, 92);
INSERT INTO public.who_data VALUES (68787, 151, 9821, 7, 497, 291, 112);
INSERT INTO public.who_data VALUES (68788, 0, 1120, 0, 2, 291, 62);
INSERT INTO public.who_data VALUES (68789, 0, 16, 0, 0, 291, 69);
INSERT INTO public.who_data VALUES (68790, 245, 8480, 8, 354, 291, 220);
INSERT INTO public.who_data VALUES (68791, 0, 31881, 0, 1569, 291, 100);
INSERT INTO public.who_data VALUES (68792, 387, 7588, 17, 469, 291, 187);
INSERT INTO public.who_data VALUES (68793, 32, 587, 1, 13, 291, 63);
INSERT INTO public.who_data VALUES (68794, 124, 439, 2, 4, 291, 28);
INSERT INTO public.who_data VALUES (68795, 0, 39, 0, 0, 291, 172);
INSERT INTO public.who_data VALUES (68796, 8, 1711, 0, 55, 291, 17);
INSERT INTO public.who_data VALUES (68797, 3, 119, 0, 1, 291, 226);
INSERT INTO public.who_data VALUES (68798, 5, 145, 1, 4, 291, 236);
INSERT INTO public.who_data VALUES (68799, 0, 13, 0, 0, 291, 76);
INSERT INTO public.who_data VALUES (68800, 0, 187, 0, 0, 291, 30);
INSERT INTO public.who_data VALUES (68801, 0, 18, 0, 0, 291, 128);
INSERT INTO public.who_data VALUES (68802, 85, 5412, 6, 246, 291, 86);
INSERT INTO public.who_data VALUES (68803, 1050, 131292, 326, 25491, 291, 140);
INSERT INTO public.who_data VALUES (68804, 0, 133, 0, 1, 291, 44);
INSERT INTO public.who_data VALUES (68805, 2, 60, 0, 0, 291, 113);
INSERT INTO public.who_data VALUES (68806, 30, 397, 0, 6, 291, 29);
INSERT INTO public.who_data VALUES (68807, 0, 17, 0, 1, 291, 125);
INSERT INTO public.who_data VALUES (68808, 6, 610, 0, 9, 291, 131);
INSERT INTO public.who_data VALUES (68809, 947, 164807, 165, 6996, 291, 46);
INSERT INTO public.who_data VALUES (68810, 0, 2719, 0, 18, 291, 10);
INSERT INTO public.who_data VALUES (68811, 0, 144, 0, 0, 291, 205);
INSERT INTO public.who_data VALUES (68812, 10, 2642, 0, 146, 291, 50);
INSERT INTO public.who_data VALUES (68813, 0, 11, 0, 0, 291, 20);
INSERT INTO public.who_data VALUES (68814, 0, 21, 0, 0, 291, 13);
INSERT INTO public.who_data VALUES (68815, 0, 152, 1, 13, 291, 148);
INSERT INTO public.who_data VALUES (68816, 0, 145, 0, 5, 291, 230);
INSERT INTO public.who_data VALUES (68817, 27, 730, 2, 19, 291, 190);
INSERT INTO public.who_data VALUES (68818, 0, 252, 0, 13, 291, 188);
INSERT INTO public.who_data VALUES (68819, 101, 1811, 1, 10, 291, 123);
INSERT INTO public.who_data VALUES (68820, 0, 292, 0, 2, 291, 9);
INSERT INTO public.who_data VALUES (68821, 10, 92, 0, 9, 291, 102);
INSERT INTO public.who_data VALUES (68822, 12, 100, 2, 11, 291, 34);
INSERT INTO public.who_data VALUES (68823, 0, 11, 0, 0, 291, 212);
INSERT INTO public.who_data VALUES (68824, 123, 1178, 7, 89, 291, 122);
INSERT INTO public.who_data VALUES (68825, 46, 3111, 10, 373, 291, 38);
INSERT INTO public.who_data VALUES (68826, 0, 1799, 0, 10, 291, 130);
INSERT INTO public.who_data VALUES (68827, 2958, 49391, 126, 1694, 291, 37);
INSERT INTO public.who_data VALUES (68828, 367, 12438, 23, 895, 291, 231);
INSERT INTO public.who_data VALUES (68829, 1680, 101650, 78, 6418, 291, 107);
INSERT INTO public.who_data VALUES (68830, 85, 2431, 4, 102, 291, 101);
INSERT INTO public.who_data VALUES (68831, 261, 21983, 20, 1339, 291, 132);
INSERT INTO public.who_data VALUES (68832, 4, 325, 0, 23, 291, 176);
INSERT INTO public.who_data VALUES (68833, 53, 16158, 3, 238, 291, 200);
INSERT INTO public.who_data VALUES (68834, 1075, 213013, 236, 29315, 291, 169);
INSERT INTO public.who_data VALUES (68835, 2, 471, 0, 9, 291, 225);
INSERT INTO public.who_data VALUES (68836, 123, 15354, 22, 543, 291, 165);
INSERT INTO public.who_data VALUES (68837, 1, 293, 0, 24, 291, 233);
INSERT INTO public.who_data VALUES (68838, 2, 473, 0, 9, 291, 215);
INSERT INTO public.who_data VALUES (68839, 211, 4509, 1, 30, 291, 177);
INSERT INTO public.who_data VALUES (68840, 45, 535, 2, 26, 291, 183);
INSERT INTO public.who_data VALUES (68841, 0, 0, 0, 0, 291, 203);
INSERT INTO public.who_data VALUES (68842, 1, 856, 0, 17, 291, 162);
INSERT INTO public.who_data VALUES (68843, 485, 6289, 2, 42, 291, 12);
INSERT INTO public.who_data VALUES (68844, 28, 871, 2, 12, 291, 24);
INSERT INTO public.who_data VALUES (68845, 0, 19, 0, 0, 291, 119);
INSERT INTO public.who_data VALUES (68846, 0, 896, 1, 17, 291, 39);
INSERT INTO public.who_data VALUES (68847, 9, 750, 0, 25, 291, 26);
INSERT INTO public.who_data VALUES (68848, 0, 0, 0, 0, 291, 59);
INSERT INTO public.who_data VALUES (68849, 4, 170, 2, 20, 291, 77);
INSERT INTO public.who_data VALUES (68850, 1, 64, 0, 3, 291, 134);
INSERT INTO public.who_data VALUES (68851, 0, 83, 0, 1, 291, 4);
INSERT INTO public.who_data VALUES (68852, 6, 1416, 2, 48, 291, 109);
INSERT INTO public.who_data VALUES (68853, 12, 3840, 0, 96, 291, 90);
INSERT INTO public.who_data VALUES (68854, 0, 158, 0, 0, 291, 61);
INSERT INTO public.who_data VALUES (68855, 0, 41, 0, 3, 291, 85);
INSERT INTO public.who_data VALUES (68856, 30, 6383, 1, 106, 291, 49);
INSERT INTO public.who_data VALUES (68857, 61, 618, 1, 2, 291, 208);
INSERT INTO public.who_data VALUES (68858, 32, 612, 3, 32, 291, 166);
INSERT INTO public.who_data VALUES (68859, 1, 480, 0, 4, 291, 64);
INSERT INTO public.who_data VALUES (68860, 0, 0, 0, 0, 291, 199);
INSERT INTO public.who_data VALUES (68861, 0, 181, 0, 14, 291, 114);
INSERT INTO public.who_data VALUES (68862, 0, 8, 0, 1, 291, 60);
INSERT INTO public.who_data VALUES (68863, 0, 332, 0, 10, 291, 68);
INSERT INTO public.who_data VALUES (68864, 53, 739, 3, 9, 291, 158);
INSERT INTO public.who_data VALUES (68865, 1434, 24905, 117, 2271, 291, 52);
INSERT INTO public.who_data VALUES (68866, 0, 0, 0, 0, 291, 117);
INSERT INTO public.who_data VALUES (68867, 0, 66, 0, 1, 291, 126);
INSERT INTO public.who_data VALUES (68868, 0, 41, 0, 0, 291, 196);
INSERT INTO public.who_data VALUES (68869, 0, 324, 0, 8, 291, 142);
INSERT INTO public.who_data VALUES (68870, 0, 11, 0, 1, 291, 185);
INSERT INTO public.who_data VALUES (68871, 229, 5382, 2, 182, 291, 138);
INSERT INTO public.who_data VALUES (68872, 0, 80, 0, 0, 291, 181);
INSERT INTO public.who_data VALUES (68873, 0, 161, 0, 6, 291, 178);
INSERT INTO public.who_data VALUES (68874, 0, 16, 0, 0, 291, 168);
INSERT INTO public.who_data VALUES (68875, 0, 0, 0, 0, 291, 160);
INSERT INTO public.who_data VALUES (68876, 17, 99, 0, 0, 291, 151);
INSERT INTO public.who_data VALUES (68877, 319, 40840, 90, 5130, 291, 193);
INSERT INTO public.who_data VALUES (68878, 0, 18, 0, 0, 291, 18);
INSERT INTO public.who_data VALUES (68879, 1, 1138, 1, 21, 291, 40);
INSERT INTO public.who_data VALUES (68880, 0, 15, 0, 5, 291, 218);
INSERT INTO public.who_data VALUES (68881, 8, 763, 1, 38, 291, 191);
INSERT INTO public.who_data VALUES (68882, 148, 2950, 5, 98, 291, 156);
INSERT INTO public.who_data VALUES (68883, 0, 0, 0, 0, 291, 135);
INSERT INTO public.who_data VALUES (68884, 0, 14, 0, 2, 291, 88);
INSERT INTO public.who_data VALUES (68885, 8, 1526, 1, 86, 291, 55);
INSERT INTO public.who_data VALUES (68886, 56, 7903, 1, 209, 291, 108);
INSERT INTO public.who_data VALUES (68887, 8, 546, 0, 4, 291, 48);
INSERT INTO public.who_data VALUES (68888, 168, 2903, 1, 13, 291, 3);
INSERT INTO public.who_data VALUES (68889, 0, 712, 0, 13, 291, 224);
INSERT INTO public.who_data VALUES (68890, 1049, 22550, 40, 526, 291, 110);
INSERT INTO public.who_data VALUES (68891, 0, 0, 0, 0, 291, 106);
INSERT INTO public.who_data VALUES (68892, 190, 7387, 3, 203, 291, 89);
INSERT INTO public.who_data VALUES (68893, 0, 8, 0, 0, 291, 121);
INSERT INTO public.who_data VALUES (68894, 35, 431, 0, 10, 291, 163);
INSERT INTO public.who_data VALUES (68895, 1444, 47372, 58, 1344, 291, 70);
INSERT INTO public.who_data VALUES (68896, 199, 9684, 14, 637, 291, 174);
INSERT INTO public.who_data VALUES (68897, 0, 0, 0, 0, 291, 175);
INSERT INTO public.who_data VALUES (68898, 425, 14431, 18, 716, 291, 118);
INSERT INTO public.who_data VALUES (68899, 178, 25702, 11, 1074, 291, 189);
INSERT INTO public.who_data VALUES (68900, 81, 1924, 2, 56, 291, 124);
INSERT INTO public.who_data VALUES (68901, 830, 17972, 0, 12, 291, 192);
INSERT INTO public.who_data VALUES (68902, 2, 10806, 1, 255, 291, 41);
INSERT INTO public.who_data VALUES (68903, 115, 4363, 7, 140, 291, 95);
INSERT INTO public.who_data VALUES (68904, 1, 425, 0, 0, 291, 74);
INSERT INTO public.who_data VALUES (68905, 325, 13837, 24, 827, 291, 11);
INSERT INTO public.who_data VALUES (68906, 10559, 165929, 86, 1537, 291, 87);
INSERT INTO public.who_data VALUES (68907, 0, 261, 0, 0, 291, 214);
INSERT INTO public.who_data VALUES (68908, 0, 2, 0, 0, 291, 116);
INSERT INTO public.who_data VALUES (68909, 0, 6, 0, 0, 291, 157);
INSERT INTO public.who_data VALUES (68910, 0, 0, 0, 0, 291, 182);
INSERT INTO public.who_data VALUES (68911, 0, 15, 0, 0, 291, 186);
INSERT INTO public.who_data VALUES (68912, 0, 18, 0, 0, 291, 127);
INSERT INTO public.who_data VALUES (68913, 0, 38, 0, 3, 291, 232);
INSERT INTO public.who_data VALUES (68914, 0, 1, 0, 0, 291, 33);
INSERT INTO public.who_data VALUES (68915, 0, 17, 0, 0, 291, 97);
INSERT INTO public.who_data VALUES (68916, 0, 0, 0, 0, 291, 42);
INSERT INTO public.who_data VALUES (68917, 7, 589, 0, 41, 291, 198);
INSERT INTO public.who_data VALUES (68918, 10, 171, 0, 3, 291, 216);
INSERT INTO public.who_data VALUES (68919, 1687, 31938, 9, 209, 291, 164);
INSERT INTO public.who_data VALUES (68920, 58, 1329, 1, 11, 291, 235);
INSERT INTO public.who_data VALUES (68921, 120, 9677, 3, 200, 291, 67);
INSERT INTO public.who_data VALUES (68922, 0, 11, 0, 0, 291, 15);
INSERT INTO public.who_data VALUES (68923, 21, 199, 2, 11, 291, 180);
INSERT INTO public.who_data VALUES (68924, 632, 19410, 0, 18, 291, 237);
INSERT INTO public.who_data VALUES (68925, 0, 2, 0, 0, 291, 25);
INSERT INTO public.who_data VALUES (68926, 0, 76, 1, 14, 291, 209);
INSERT INTO public.who_data VALUES (68927, 5, 1413, 1, 25, 291, 217);
INSERT INTO public.who_data VALUES (68928, 6, 1445, 0, 105, 291, 79);
INSERT INTO public.who_data VALUES (68929, 0, 0, 0, 0, 291, 143);
INSERT INTO public.who_data VALUES (68930, 38, 873, 1, 39, 291, 229);
INSERT INTO public.who_data VALUES (68931, 219, 7439, 10, 148, 291, 141);
INSERT INTO public.who_data VALUES (68932, 0, 49, 0, 0, 291, 197);
INSERT INTO public.who_data VALUES (68933, 1014, 228808, 186, 26884, 291, 221);
INSERT INTO public.who_data VALUES (68934, 16, 771, 1, 9, 291, 150);
INSERT INTO public.who_data VALUES (68935, 74, 852, 4, 49, 291, 56);
INSERT INTO public.who_data VALUES (68936, 0, 10, 0, 1, 291, 167);
INSERT INTO public.who_data VALUES (68937, 477, 23175, 84, 3217, 291, 23);
INSERT INTO public.who_data VALUES (68938, 73, 30092, 10, 1647, 291, 222);
INSERT INTO public.who_data VALUES (68939, 1, 45, 0, 3, 291, 219);
INSERT INTO public.who_data VALUES (68940, 63, 293, 0, 7, 291, 7);
INSERT INTO public.who_data VALUES (68941, 1, 2989, 1, 55, 291, 161);
INSERT INTO public.who_data VALUES (68942, 3389, 191899, 726, 29216, 291, 149);
INSERT INTO public.who_data VALUES (68943, 0, 24, 0, 0, 291, 6);
INSERT INTO public.who_data VALUES (68944, 2, 128, 0, 9, 291, 139);
INSERT INTO public.who_data VALUES (68945, 0, 0, 0, 0, 291, 211);
INSERT INTO public.who_data VALUES (68946, 0, 0, 0, 0, 291, 14);
INSERT INTO public.who_data VALUES (68947, 0, 116, 0, 8, 291, 111);
INSERT INTO public.who_data VALUES (68948, 4, 1022, 0, 43, 291, 207);
INSERT INTO public.who_data VALUES (68949, 1832, 129491, 59, 3520, 291, 66);
INSERT INTO public.who_data VALUES (68950, 0, 0, 0, 0, 291, 173);
INSERT INTO public.who_data VALUES (68951, 0, 12, 0, 1, 291, 145);
INSERT INTO public.who_data VALUES (68952, 0, 0, 0, 0, 291, 65);
INSERT INTO public.who_data VALUES (68953, 8, 97, 0, 0, 291, 184);
INSERT INTO public.who_data VALUES (68954, 487, 13184, 11, 327, 291, 98);
INSERT INTO public.who_data VALUES (68955, 0, 15192, 0, 146, 291, 104);
INSERT INTO public.who_data VALUES (68956, 0, 480, 0, 18, 291, 73);
INSERT INTO public.who_data VALUES (68957, 16200, 1171185, 802, 68081, 291, 8);
INSERT INTO public.who_data VALUES (68958, 0, 66, 0, 4, 291, 227);
INSERT INTO public.who_data VALUES (68959, 2, 657, 0, 17, 291, 75);
INSERT INTO public.who_data VALUES (68960, 28, 2217, 0, 10, 291, 45);
INSERT INTO public.who_data VALUES (68961, 0, 0, 0, 0, 291, 133);
INSERT INTO public.who_data VALUES (68962, 4, 361, 0, 10, 291, 202);
INSERT INTO public.who_data VALUES (68963, 0, 271, 0, 0, 291, 129);
INSERT INTO public.who_data VALUES (68964, 0, 0, 0, 0, 291, 36);
INSERT INTO public.who_data VALUES (68965, 5, 26, 2, 5, 291, 51);
INSERT INTO public.who_data VALUES (68966, 0, 137, 1, 4, 291, 206);
INSERT INTO public.who_data VALUES (68967, 0, 34, 0, 4, 291, 5);
INSERT INTO public.who_data VALUES (68968, 755, 3224, 23, 95, 292, 103);
INSERT INTO public.who_data VALUES (68969, 17, 782, 0, 30, 292, 58);
INSERT INTO public.who_data VALUES (68970, 174, 4648, 2, 465, 292, 195);
INSERT INTO public.who_data VALUES (68971, 0, 0, 0, 0, 292, 115);
INSERT INTO public.who_data VALUES (68972, 2, 751, 0, 45, 292, 99);
INSERT INTO public.who_data VALUES (68973, 0, 35, 0, 2, 292, 153);
INSERT INTO public.who_data VALUES (68974, 0, 3, 0, 0, 292, 93);
INSERT INTO public.who_data VALUES (68975, 0, 25, 0, 3, 292, 84);
INSERT INTO public.who_data VALUES (68976, 118, 4799, 9, 250, 292, 78);
INSERT INTO public.who_data VALUES (68977, 121, 2483, 4, 39, 292, 170);
INSERT INTO public.who_data VALUES (68978, 0, 100, 0, 2, 292, 32);
INSERT INTO public.who_data VALUES (68979, 24, 6825, 0, 95, 292, 155);
INSERT INTO public.who_data VALUES (68980, 31, 15569, 2, 600, 292, 82);
INSERT INTO public.who_data VALUES (68981, 52, 1984, 1, 26, 292, 16);
INSERT INTO public.who_data VALUES (68982, 1, 83, 0, 11, 292, 72);
INSERT INTO public.who_data VALUES (68983, 215, 3679, 0, 8, 292, 43);
INSERT INTO public.who_data VALUES (68984, 786, 10929, 1, 183, 292, 120);
INSERT INTO public.who_data VALUES (68985, 1, 82, 0, 7, 292, 213);
INSERT INTO public.who_data VALUES (68986, 0, 17489, 0, 103, 292, 31);
INSERT INTO public.who_data VALUES (68987, 670, 51959, 93, 8214, 292, 204);
INSERT INTO public.who_data VALUES (68988, 0, 18, 0, 2, 292, 152);
INSERT INTO public.who_data VALUES (68989, 6, 96, 0, 2, 292, 144);
INSERT INTO public.who_data VALUES (68990, 0, 115, 0, 7, 292, 96);
INSERT INTO public.who_data VALUES (68991, 0, 7, 0, 0, 292, 47);
INSERT INTO public.who_data VALUES (68992, 124, 1594, 5, 76, 292, 80);
INSERT INTO public.who_data VALUES (68993, 0, 2, 0, 0, 292, 159);
INSERT INTO public.who_data VALUES (68994, 69, 1926, 1, 77, 292, 27);
INSERT INTO public.who_data VALUES (68995, 0, 23, 0, 1, 292, 146);
INSERT INTO public.who_data VALUES (68996, 4588, 101147, 275, 7025, 292, 71);
INSERT INTO public.who_data VALUES (68997, 0, 6, 0, 1, 292, 210);
INSERT INTO public.who_data VALUES (68998, 0, 138, 0, 1, 292, 54);
INSERT INTO public.who_data VALUES (68999, 34, 1652, 5, 78, 292, 147);
INSERT INTO public.who_data VALUES (69000, 10, 672, 1, 46, 292, 2);
INSERT INTO public.who_data VALUES (69001, 0, 19, 0, 1, 292, 105);
INSERT INTO public.who_data VALUES (69002, 0, 165, 0, 2, 292, 53);
INSERT INTO public.who_data VALUES (69003, 0, 122, 0, 0, 292, 81);
INSERT INTO public.who_data VALUES (69004, 0, 2077, 0, 64, 292, 223);
INSERT INTO public.who_data VALUES (69005, 479, 59844, 85, 3766, 292, 94);
INSERT INTO public.who_data VALUES (69006, 0, 74, 0, 1, 292, 154);
INSERT INTO public.who_data VALUES (69007, 22, 94, 0, 0, 292, 83);
INSERT INTO public.who_data VALUES (69008, 0, 117, 0, 10, 292, 194);
INSERT INTO public.who_data VALUES (69009, 980, 20643, 10, 270, 292, 136);
INSERT INTO public.who_data VALUES (69010, 3, 84404, 0, 4643, 292, 179);
INSERT INTO public.who_data VALUES (69011, 383, 7668, 16, 340, 292, 57);
INSERT INTO public.who_data VALUES (69012, 1, 4, 1, 1, 292, 35);
INSERT INTO public.who_data VALUES (69013, 7, 236, 0, 10, 292, 228);
INSERT INTO public.who_data VALUES (69014, 0, 0, 0, 0, 292, 19);
INSERT INTO public.who_data VALUES (69015, 6, 739, 0, 6, 292, 22);
INSERT INTO public.who_data VALUES (69016, 34, 1432, 0, 17, 292, 1);
INSERT INTO public.who_data VALUES (69017, 5, 2101, 1, 80, 292, 21);
INSERT INTO public.who_data VALUES (69018, 19, 1668, 2, 69, 292, 234);
INSERT INTO public.who_data VALUES (69019, 0, 16, 0, 1, 292, 91);
INSERT INTO public.who_data VALUES (69020, 2, 874, 0, 15, 292, 137);
INSERT INTO public.who_data VALUES (69021, 38, 7819, 4, 252, 292, 201);
INSERT INTO public.who_data VALUES (69022, 0, 0, 0, 0, 292, 171);
INSERT INTO public.who_data VALUES (69023, 0, 682, 0, 34, 292, 92);
INSERT INTO public.who_data VALUES (69024, 147, 9670, 9, 490, 292, 112);
INSERT INTO public.who_data VALUES (69025, 8, 1120, 0, 2, 292, 62);
INSERT INTO public.who_data VALUES (69026, 0, 16, 0, 0, 292, 69);
INSERT INTO public.who_data VALUES (69027, 281, 8235, 13, 346, 292, 220);
INSERT INTO public.who_data VALUES (69028, 2343, 31881, 5, 1569, 292, 100);
INSERT INTO public.who_data VALUES (69029, 736, 7201, 23, 452, 292, 187);
INSERT INTO public.who_data VALUES (69030, 65, 555, 1, 12, 292, 63);
INSERT INTO public.who_data VALUES (69031, 0, 315, 0, 2, 292, 28);
INSERT INTO public.who_data VALUES (69032, 0, 39, 0, 0, 292, 172);
INSERT INTO public.who_data VALUES (69033, 3, 1703, 0, 55, 292, 17);
INSERT INTO public.who_data VALUES (69034, 4, 116, 0, 1, 292, 226);
INSERT INTO public.who_data VALUES (69035, 5, 140, 0, 3, 292, 236);
INSERT INTO public.who_data VALUES (69036, 0, 13, 0, 0, 292, 76);
INSERT INTO public.who_data VALUES (69037, 0, 187, 0, 0, 292, 30);
INSERT INTO public.who_data VALUES (69038, 0, 18, 0, 0, 292, 128);
INSERT INTO public.who_data VALUES (69039, 73, 5327, 10, 240, 292, 86);
INSERT INTO public.who_data VALUES (69040, 534, 130242, 306, 25165, 292, 140);
INSERT INTO public.who_data VALUES (69041, 5, 133, 0, 1, 292, 44);
INSERT INTO public.who_data VALUES (69042, 0, 58, 0, 0, 292, 113);
INSERT INTO public.who_data VALUES (69043, 32, 367, 1, 6, 292, 29);
INSERT INTO public.who_data VALUES (69044, 0, 17, 0, 1, 292, 125);
INSERT INTO public.who_data VALUES (69045, 11, 604, 0, 9, 292, 131);
INSERT INTO public.who_data VALUES (69046, 685, 163860, 139, 6831, 292, 46);
INSERT INTO public.who_data VALUES (69047, 550, 2719, 0, 18, 292, 10);
INSERT INTO public.who_data VALUES (69048, 0, 144, 0, 0, 292, 205);
INSERT INTO public.who_data VALUES (69049, 6, 2632, 2, 146, 292, 50);
INSERT INTO public.who_data VALUES (69050, 0, 11, 0, 0, 292, 20);
INSERT INTO public.who_data VALUES (69051, 0, 21, 0, 0, 292, 13);
INSERT INTO public.who_data VALUES (69052, 0, 152, 0, 12, 292, 148);
INSERT INTO public.who_data VALUES (69053, 0, 145, 0, 5, 292, 230);
INSERT INTO public.who_data VALUES (69054, 15, 703, -2, 17, 292, 190);
INSERT INTO public.who_data VALUES (69055, 0, 252, 0, 13, 292, 188);
INSERT INTO public.who_data VALUES (69056, 60, 1710, 2, 9, 292, 123);
INSERT INTO public.who_data VALUES (69057, 0, 292, 0, 2, 292, 9);
INSERT INTO public.who_data VALUES (69058, 0, 82, 0, 9, 292, 102);
INSERT INTO public.who_data VALUES (69059, 3, 88, 1, 9, 292, 34);
INSERT INTO public.who_data VALUES (69060, 0, 11, 0, 0, 292, 212);
INSERT INTO public.who_data VALUES (69061, 45, 1055, 6, 82, 292, 122);
INSERT INTO public.who_data VALUES (69062, 30, 3065, 12, 363, 292, 38);
INSERT INTO public.who_data VALUES (69063, 0, 1799, 0, 10, 292, 130);
INSERT INTO public.who_data VALUES (69064, 3900, 46433, 195, 1568, 292, 37);
INSERT INTO public.who_data VALUES (69065, 484, 12071, 8, 872, 292, 231);
INSERT INTO public.who_data VALUES (69066, 1323, 99970, 63, 6340, 292, 107);
INSERT INTO public.who_data VALUES (69067, 50, 2346, 1, 98, 292, 101);
INSERT INTO public.who_data VALUES (69068, 216, 21722, 16, 1319, 292, 132);
INSERT INTO public.who_data VALUES (69069, 1, 321, 0, 23, 292, 176);
INSERT INTO public.who_data VALUES (69070, 27, 16105, 3, 235, 292, 200);
INSERT INTO public.who_data VALUES (69071, 1221, 211938, 195, 29079, 292, 169);
INSERT INTO public.who_data VALUES (69072, 6, 469, 1, 9, 292, 225);
INSERT INTO public.who_data VALUES (69073, 174, 15231, 11, 521, 292, 165);
INSERT INTO public.who_data VALUES (69074, 1, 292, 0, 24, 292, 233);
INSERT INTO public.who_data VALUES (69075, 6, 471, 0, 9, 292, 215);
INSERT INTO public.who_data VALUES (69076, 138, 4298, 0, 29, 292, 177);
INSERT INTO public.who_data VALUES (69077, 24, 490, 0, 24, 292, 183);
INSERT INTO public.who_data VALUES (69078, 0, 0, 0, 0, 292, 203);
INSERT INTO public.who_data VALUES (69079, 4, 855, 0, 17, 292, 162);
INSERT INTO public.who_data VALUES (69080, 526, 5804, 0, 40, 292, 12);
INSERT INTO public.who_data VALUES (69081, 13, 843, 0, 10, 292, 24);
INSERT INTO public.who_data VALUES (69082, 0, 19, 0, 0, 292, 119);
INSERT INTO public.who_data VALUES (69083, 17, 896, 0, 16, 292, 39);
INSERT INTO public.who_data VALUES (69084, 1, 741, 0, 25, 292, 26);
INSERT INTO public.who_data VALUES (69085, 0, 0, 0, 0, 292, 59);
INSERT INTO public.who_data VALUES (69086, 8, 166, 0, 18, 292, 77);
INSERT INTO public.who_data VALUES (69087, 0, 63, 0, 3, 292, 134);
INSERT INTO public.who_data VALUES (69088, 0, 83, 0, 1, 292, 4);
INSERT INTO public.who_data VALUES (69089, 3, 1410, 0, 46, 292, 109);
INSERT INTO public.who_data VALUES (69090, 4, 3828, 0, 96, 292, 90);
INSERT INTO public.who_data VALUES (69091, 7, 158, 0, 0, 292, 61);
INSERT INTO public.who_data VALUES (69092, 2, 41, 0, 3, 292, 85);
INSERT INTO public.who_data VALUES (69093, 55, 6353, 0, 105, 292, 49);
INSERT INTO public.who_data VALUES (69094, 30, 557, 0, 1, 292, 208);
INSERT INTO public.who_data VALUES (69095, 17, 580, 2, 29, 292, 166);
INSERT INTO public.who_data VALUES (69096, 3, 479, 0, 4, 292, 64);
INSERT INTO public.who_data VALUES (69097, 0, 0, 0, 0, 292, 199);
INSERT INTO public.who_data VALUES (69098, 0, 181, 0, 14, 292, 114);
INSERT INTO public.who_data VALUES (69099, 0, 8, 0, 1, 292, 60);
INSERT INTO public.who_data VALUES (69100, 0, 332, 0, 10, 292, 68);
INSERT INTO public.who_data VALUES (69101, 36, 686, 0, 6, 292, 158);
INSERT INTO public.who_data VALUES (69102, 1383, 23471, 93, 2154, 292, 52);
INSERT INTO public.who_data VALUES (69103, 0, 0, 0, 0, 292, 117);
INSERT INTO public.who_data VALUES (69104, 0, 66, 0, 1, 292, 126);
INSERT INTO public.who_data VALUES (69105, 1, 41, 0, 0, 292, 196);
INSERT INTO public.who_data VALUES (69106, 0, 324, 0, 8, 292, 142);
INSERT INTO public.who_data VALUES (69107, 0, 11, 0, 1, 292, 185);
INSERT INTO public.who_data VALUES (69108, 153, 5153, 3, 180, 292, 138);
INSERT INTO public.who_data VALUES (69109, 0, 80, 0, 0, 292, 181);
INSERT INTO public.who_data VALUES (69110, 6, 161, 0, 6, 292, 178);
INSERT INTO public.who_data VALUES (69111, 0, 16, 0, 0, 292, 168);
INSERT INTO public.who_data VALUES (69112, 0, 0, 0, 0, 292, 160);
INSERT INTO public.who_data VALUES (69113, 7, 82, 0, 0, 292, 151);
INSERT INTO public.who_data VALUES (69114, 201, 40521, 15, 5040, 292, 193);
INSERT INTO public.who_data VALUES (69115, 0, 18, 0, 0, 292, 18);
INSERT INTO public.who_data VALUES (69116, 0, 1137, 0, 20, 292, 40);
INSERT INTO public.who_data VALUES (69117, 1, 15, 1, 5, 292, 218);
INSERT INTO public.who_data VALUES (69118, 5, 755, 1, 37, 292, 191);
INSERT INTO public.who_data VALUES (69119, 414, 2802, 8, 93, 292, 156);
INSERT INTO public.who_data VALUES (69120, 0, 0, 0, 0, 292, 135);
INSERT INTO public.who_data VALUES (69121, 0, 14, 0, 2, 292, 88);
INSERT INTO public.who_data VALUES (69122, 7, 1518, 1, 85, 292, 55);
INSERT INTO public.who_data VALUES (69123, 38, 7847, 0, 208, 292, 108);
INSERT INTO public.who_data VALUES (69124, 14, 538, 0, 4, 292, 48);
INSERT INTO public.who_data VALUES (69125, 98, 2735, 0, 12, 292, 3);
INSERT INTO public.who_data VALUES (69126, 0, 712, 0, 13, 292, 224);
INSERT INTO public.who_data VALUES (69127, 617, 21501, 10, 486, 292, 110);
INSERT INTO public.who_data VALUES (69128, 0, 0, 0, 0, 292, 106);
INSERT INTO public.who_data VALUES (69129, 107, 7197, 3, 200, 292, 89);
INSERT INTO public.who_data VALUES (69130, 0, 8, 0, 0, 292, 121);
INSERT INTO public.who_data VALUES (69131, 26, 396, 0, 10, 292, 163);
INSERT INTO public.who_data VALUES (69132, 3394, 45928, 86, 1286, 292, 70);
INSERT INTO public.who_data VALUES (69133, 262, 9485, 16, 623, 292, 174);
INSERT INTO public.who_data VALUES (69134, 0, 0, 0, 0, 292, 175);
INSERT INTO public.who_data VALUES (69135, 313, 14006, 20, 698, 292, 118);
INSERT INTO public.who_data VALUES (69136, 0, 25524, 0, 1063, 292, 189);
INSERT INTO public.who_data VALUES (69137, 35, 1843, -43, 54, 292, 124);
INSERT INTO public.who_data VALUES (69138, 951, 17142, 0, 12, 292, 192);
INSERT INTO public.who_data VALUES (69139, 3, 10804, 2, 254, 292, 41);
INSERT INTO public.who_data VALUES (69140, 127, 4248, 5, 133, 292, 95);
INSERT INTO public.who_data VALUES (69141, 1, 424, 0, 0, 292, 74);
INSERT INTO public.who_data VALUES (69142, 349, 13512, 23, 803, 292, 11);
INSERT INTO public.who_data VALUES (69143, 10102, 155370, 95, 1451, 292, 87);
INSERT INTO public.who_data VALUES (69144, 2, 261, 0, 0, 292, 214);
INSERT INTO public.who_data VALUES (69145, 0, 2, 0, 0, 292, 116);
INSERT INTO public.who_data VALUES (69146, 0, 6, 0, 0, 292, 157);
INSERT INTO public.who_data VALUES (69147, 0, 0, 0, 0, 292, 182);
INSERT INTO public.who_data VALUES (69148, 0, 15, 0, 0, 292, 186);
INSERT INTO public.who_data VALUES (69149, 1, 18, 0, 0, 292, 127);
INSERT INTO public.who_data VALUES (69150, 0, 38, 0, 3, 292, 232);
INSERT INTO public.who_data VALUES (69151, 0, 1, 0, 0, 292, 33);
INSERT INTO public.who_data VALUES (69152, 1, 17, 0, 0, 292, 97);
INSERT INTO public.who_data VALUES (69153, 0, 0, 0, 0, 292, 42);
INSERT INTO public.who_data VALUES (69154, 0, 582, 0, 41, 292, 198);
INSERT INTO public.who_data VALUES (69155, 138, 161, 0, 3, 292, 216);
INSERT INTO public.who_data VALUES (69156, 1595, 30251, 9, 200, 292, 164);
INSERT INTO public.who_data VALUES (69157, 0, 1271, 1, 10, 292, 235);
INSERT INTO public.who_data VALUES (69158, 93, 9557, 4, 197, 292, 67);
INSERT INTO public.who_data VALUES (69159, 0, 11, 0, 0, 292, 15);
INSERT INTO public.who_data VALUES (69160, 21, 178, 1, 9, 292, 180);
INSERT INTO public.who_data VALUES (69161, 573, 18778, 0, 18, 292, 237);
INSERT INTO public.who_data VALUES (69162, 0, 2, 0, 0, 292, 25);
INSERT INTO public.who_data VALUES (69163, 0, 76, 0, 13, 292, 209);
INSERT INTO public.who_data VALUES (69164, 1, 1408, 0, 24, 292, 217);
INSERT INTO public.who_data VALUES (69165, 0, 1439, 1, 105, 292, 79);
INSERT INTO public.who_data VALUES (69166, 0, 0, 0, 0, 292, 143);
INSERT INTO public.who_data VALUES (69167, 79, 835, 3, 38, 292, 229);
INSERT INTO public.who_data VALUES (69168, 437, 7220, 7, 138, 292, 141);
INSERT INTO public.who_data VALUES (69169, 3, 49, 0, 0, 292, 197);
INSERT INTO public.who_data VALUES (69170, 451, 227794, 197, 26698, 292, 221);
INSERT INTO public.who_data VALUES (69171, 37, 755, 1, 8, 292, 150);
INSERT INTO public.who_data VALUES (69172, 100, 778, 4, 45, 292, 56);
INSERT INTO public.who_data VALUES (69173, 0, 10, 0, 1, 292, 167);
INSERT INTO public.who_data VALUES (69174, 261, 22698, 75, 3133, 292, 23);
INSERT INTO public.who_data VALUES (69175, 90, 30019, 9, 1637, 292, 222);
INSERT INTO public.who_data VALUES (69176, 0, 44, 0, 3, 292, 219);
INSERT INTO public.who_data VALUES (69177, 102, 230, 3, 7, 292, 7);
INSERT INTO public.who_data VALUES (69178, 1, 2988, 0, 54, 292, 161);
INSERT INTO public.who_data VALUES (69179, 2982, 188510, 272, 28490, 292, 149);
INSERT INTO public.who_data VALUES (69180, 0, 24, 0, 0, 292, 6);
INSERT INTO public.who_data VALUES (69181, 2, 126, 0, 9, 292, 139);
INSERT INTO public.who_data VALUES (69182, 0, 0, 0, 0, 292, 211);
INSERT INTO public.who_data VALUES (69183, 0, 0, 0, 0, 292, 14);
INSERT INTO public.who_data VALUES (69184, 0, 116, 0, 8, 292, 111);
INSERT INTO public.who_data VALUES (69185, 5, 1018, 1, 43, 292, 207);
INSERT INTO public.who_data VALUES (69186, 1614, 127659, 64, 3461, 292, 66);
INSERT INTO public.who_data VALUES (69187, 0, 0, 0, 0, 292, 173);
INSERT INTO public.who_data VALUES (69188, 0, 12, 0, 1, 292, 145);
INSERT INTO public.who_data VALUES (69189, 0, 0, 0, 0, 292, 65);
INSERT INTO public.who_data VALUES (69190, 1, 89, 0, 0, 292, 184);
INSERT INTO public.who_data VALUES (69191, 366, 12697, 13, 316, 292, 98);
INSERT INTO public.who_data VALUES (69192, 1029, 15192, 20, 146, 292, 104);
INSERT INTO public.who_data VALUES (69193, 0, 480, 0, 18, 292, 73);
INSERT INTO public.who_data VALUES (69194, 29266, 1154985, -514, 67279, 292, 8);
INSERT INTO public.who_data VALUES (69195, 0, 66, 0, 4, 292, 227);
INSERT INTO public.who_data VALUES (69196, 3, 655, 0, 17, 292, 75);
INSERT INTO public.who_data VALUES (69197, 29, 2189, 0, 10, 292, 45);
INSERT INTO public.who_data VALUES (69198, 0, 0, 0, 0, 292, 133);
INSERT INTO public.who_data VALUES (69199, 12, 357, 0, 10, 292, 202);
INSERT INTO public.who_data VALUES (69200, 0, 271, 0, 0, 292, 129);
INSERT INTO public.who_data VALUES (69201, 0, 0, 0, 0, 292, 36);
INSERT INTO public.who_data VALUES (69202, 11, 21, 1, 3, 292, 51);
INSERT INTO public.who_data VALUES (69203, 13, 137, 0, 3, 292, 206);
INSERT INTO public.who_data VALUES (69204, 0, 34, 0, 4, 292, 5);
INSERT INTO public.who_data VALUES (69205, 0, 2469, 0, 72, 293, 103);
INSERT INTO public.who_data VALUES (69206, 8, 765, 0, 30, 293, 58);
INSERT INTO public.who_data VALUES (69207, 179, 4474, 4, 463, 293, 195);
INSERT INTO public.who_data VALUES (69208, 0, 0, 0, 0, 293, 115);
INSERT INTO public.who_data VALUES (69209, 2, 749, 1, 45, 293, 99);
INSERT INTO public.who_data VALUES (69210, 0, 35, 0, 2, 293, 153);
INSERT INTO public.who_data VALUES (69211, 0, 3, 0, 0, 293, 93);
INSERT INTO public.who_data VALUES (69212, 1, 25, 0, 3, 293, 84);
INSERT INTO public.who_data VALUES (69213, 149, 4681, 12, 241, 293, 78);
INSERT INTO public.who_data VALUES (69214, 113, 2362, 2, 35, 293, 170);
INSERT INTO public.who_data VALUES (69215, 0, 100, 0, 2, 293, 32);
INSERT INTO public.who_data VALUES (69216, 18, 6801, 2, 95, 293, 155);
INSERT INTO public.who_data VALUES (69217, 68, 15538, 2, 598, 293, 82);
INSERT INTO public.who_data VALUES (69218, 38, 1932, 0, 25, 293, 16);
INSERT INTO public.who_data VALUES (69219, 0, 82, 0, 11, 293, 72);
INSERT INTO public.who_data VALUES (69220, 108, 3464, 0, 8, 293, 43);
INSERT INTO public.who_data VALUES (69221, 688, 10143, 5, 182, 293, 120);
INSERT INTO public.who_data VALUES (69222, 0, 81, 0, 7, 293, 213);
INSERT INTO public.who_data VALUES (69223, 1661, 17489, 6, 103, 293, 31);
INSERT INTO public.who_data VALUES (69224, 140, 51289, 93, 8121, 293, 204);
INSERT INTO public.who_data VALUES (69225, 0, 18, 0, 2, 293, 152);
INSERT INTO public.who_data VALUES (69226, 0, 90, 0, 2, 293, 144);
INSERT INTO public.who_data VALUES (69227, 1, 115, 1, 7, 293, 96);
INSERT INTO public.who_data VALUES (69228, 0, 7, 0, 0, 293, 47);
INSERT INTO public.who_data VALUES (69229, 241, 1470, 5, 71, 293, 80);
INSERT INTO public.who_data VALUES (69230, 0, 2, 0, 0, 293, 159);
INSERT INTO public.who_data VALUES (69231, 17, 1857, 5, 76, 293, 27);
INSERT INTO public.who_data VALUES (69232, 0, 23, 0, 1, 293, 146);
INSERT INTO public.who_data VALUES (69233, 4970, 96559, 421, 6750, 293, 71);
INSERT INTO public.who_data VALUES (69234, 0, 6, 0, 1, 293, 210);
INSERT INTO public.who_data VALUES (69235, 0, 138, 0, 1, 293, 54);
INSERT INTO public.who_data VALUES (69236, 24, 1618, 1, 73, 293, 147);
INSERT INTO public.who_data VALUES (69237, 10, 662, 1, 45, 293, 2);
INSERT INTO public.who_data VALUES (69238, 0, 19, 0, 1, 293, 105);
INSERT INTO public.who_data VALUES (69239, 13, 165, 0, 2, 293, 53);
INSERT INTO public.who_data VALUES (69240, 0, 122, 0, 0, 293, 81);
INSERT INTO public.who_data VALUES (69241, 0, 2077, 0, 64, 293, 223);
INSERT INTO public.who_data VALUES (69242, 3793, 59365, 235, 3681, 293, 94);
INSERT INTO public.who_data VALUES (69243, 0, 74, 0, 1, 293, 154);
INSERT INTO public.who_data VALUES (69244, 0, 72, 0, 0, 293, 83);
INSERT INTO public.who_data VALUES (69245, 0, 117, 0, 10, 293, 194);
INSERT INTO public.who_data VALUES (69246, 1228, 19663, 13, 260, 293, 136);
INSERT INTO public.who_data VALUES (69247, 8, 84401, 0, 4643, 293, 179);
INSERT INTO public.who_data VALUES (69248, 279, 7285, 10, 324, 293, 57);
INSERT INTO public.who_data VALUES (69249, 0, 3, 0, 0, 293, 35);
INSERT INTO public.who_data VALUES (69250, 0, 229, 0, 10, 293, 228);
INSERT INTO public.who_data VALUES (69251, 0, 0, 0, 0, 293, 19);
INSERT INTO public.who_data VALUES (69252, 8, 733, 0, 6, 293, 22);
INSERT INTO public.who_data VALUES (69253, 36, 1398, 2, 17, 293, 1);
INSERT INTO public.who_data VALUES (69254, 8, 2096, 2, 79, 293, 21);
INSERT INTO public.who_data VALUES (69255, 38, 1649, 1, 67, 293, 234);
INSERT INTO public.who_data VALUES (69256, 0, 16, 0, 1, 293, 91);
INSERT INTO public.who_data VALUES (69257, 8, 872, 0, 15, 293, 137);
INSERT INTO public.who_data VALUES (69258, 26, 7781, 3, 248, 293, 201);
INSERT INTO public.who_data VALUES (69259, 0, 0, 0, 0, 293, 171);
INSERT INTO public.who_data VALUES (69260, 8, 682, 1, 34, 293, 92);
INSERT INTO public.who_data VALUES (69261, 116, 9523, 8, 481, 293, 112);
INSERT INTO public.who_data VALUES (69262, 0, 1112, 0, 2, 293, 62);
INSERT INTO public.who_data VALUES (69263, 0, 16, 0, 0, 293, 69);
INSERT INTO public.who_data VALUES (69264, 376, 7954, 7, 333, 293, 220);
INSERT INTO public.who_data VALUES (69265, 2074, 29538, 193, 1564, 293, 100);
INSERT INTO public.who_data VALUES (69266, 272, 6465, 14, 429, 293, 187);
INSERT INTO public.who_data VALUES (69267, 44, 490, 1, 11, 293, 63);
INSERT INTO public.who_data VALUES (69268, 0, 315, 0, 2, 293, 28);
INSERT INTO public.who_data VALUES (69269, 0, 39, 0, 0, 293, 172);
INSERT INTO public.who_data VALUES (69270, 1, 1700, 2, 55, 293, 17);
INSERT INTO public.who_data VALUES (69271, 4, 112, 0, 1, 293, 226);
INSERT INTO public.who_data VALUES (69272, 2, 135, 0, 3, 293, 236);
INSERT INTO public.who_data VALUES (69273, 0, 13, 0, 0, 293, 76);
INSERT INTO public.who_data VALUES (69274, 0, 187, 0, 0, 293, 30);
INSERT INTO public.who_data VALUES (69275, 0, 18, 0, 0, 293, 128);
INSERT INTO public.who_data VALUES (69276, 75, 5254, 10, 230, 293, 86);
INSERT INTO public.who_data VALUES (69277, 250, 129708, 135, 24859, 293, 140);
INSERT INTO public.who_data VALUES (69278, 0, 128, 0, 1, 293, 44);
INSERT INTO public.who_data VALUES (69279, 0, 58, 0, 0, 293, 113);
INSERT INTO public.who_data VALUES (69280, 0, 335, 0, 5, 293, 29);
INSERT INTO public.who_data VALUES (69281, 0, 17, 0, 1, 293, 125);
INSERT INTO public.who_data VALUES (69282, 4, 593, 1, 9, 293, 131);
INSERT INTO public.who_data VALUES (69283, 679, 163175, 43, 6692, 293, 46);
INSERT INTO public.who_data VALUES (69284, 0, 2169, 0, 18, 293, 10);
INSERT INTO public.who_data VALUES (69285, 0, 144, 0, 0, 293, 205);
INSERT INTO public.who_data VALUES (69286, 6, 2626, 1, 144, 293, 50);
INSERT INTO public.who_data VALUES (69287, 0, 11, 0, 0, 293, 20);
INSERT INTO public.who_data VALUES (69288, 1, 21, 0, 0, 293, 13);
INSERT INTO public.who_data VALUES (69289, 0, 152, 0, 12, 293, 148);
INSERT INTO public.who_data VALUES (69290, 2, 145, 0, 5, 293, 230);
INSERT INTO public.who_data VALUES (69291, 44, 688, 1, 19, 293, 190);
INSERT INTO public.who_data VALUES (69292, 0, 252, 0, 13, 293, 188);
INSERT INTO public.who_data VALUES (69293, 64, 1650, 0, 7, 293, 123);
INSERT INTO public.who_data VALUES (69294, 32, 292, 1, 2, 293, 9);
INSERT INTO public.who_data VALUES (69295, 0, 82, 0, 9, 293, 102);
INSERT INTO public.who_data VALUES (69296, 0, 85, 0, 8, 293, 34);
INSERT INTO public.who_data VALUES (69297, 0, 11, 0, 0, 293, 212);
INSERT INTO public.who_data VALUES (69298, 111, 1010, 1, 76, 293, 122);
INSERT INTO public.who_data VALUES (69299, 37, 3035, 11, 351, 293, 38);
INSERT INTO public.who_data VALUES (69300, 1, 1799, 0, 10, 293, 130);
INSERT INTO public.who_data VALUES (69301, 2553, 42533, 72, 1373, 293, 37);
INSERT INTO public.who_data VALUES (69302, 395, 11587, 19, 864, 293, 231);
INSERT INTO public.who_data VALUES (69303, 1223, 98647, 74, 6277, 293, 107);
INSERT INTO public.who_data VALUES (69304, 77, 2296, 2, 97, 293, 101);
INSERT INTO public.who_data VALUES (69305, 330, 21506, 38, 1303, 293, 132);
INSERT INTO public.who_data VALUES (69306, 5, 320, 0, 23, 293, 176);
INSERT INTO public.who_data VALUES (69307, 57, 16078, 3, 232, 293, 200);
INSERT INTO public.who_data VALUES (69308, 1389, 210717, 174, 28884, 293, 169);
INSERT INTO public.who_data VALUES (69309, 31, 463, 0, 8, 293, 225);
INSERT INTO public.who_data VALUES (69310, 218, 15057, 18, 510, 293, 165);
INSERT INTO public.who_data VALUES (69311, 1, 291, 1, 24, 293, 233);
INSERT INTO public.who_data VALUES (69312, 4, 465, 0, 9, 293, 215);
INSERT INTO public.who_data VALUES (69313, 172, 4160, 2, 29, 293, 177);
INSERT INTO public.who_data VALUES (69314, 31, 466, 2, 24, 293, 183);
INSERT INTO public.who_data VALUES (69315, 0, 0, 0, 0, 293, 203);
INSERT INTO public.who_data VALUES (69316, 28, 851, 0, 17, 293, 162);
INSERT INTO public.who_data VALUES (69317, 295, 5278, 2, 40, 293, 12);
INSERT INTO public.who_data VALUES (69318, 35, 830, 0, 10, 293, 24);
INSERT INTO public.who_data VALUES (69319, 0, 19, 0, 0, 293, 119);
INSERT INTO public.who_data VALUES (69320, 8, 879, 0, 16, 293, 39);
INSERT INTO public.who_data VALUES (69321, 3, 740, 0, 25, 293, 26);
INSERT INTO public.who_data VALUES (69322, 0, 0, 0, 0, 293, 59);
INSERT INTO public.who_data VALUES (69323, 4, 158, 0, 18, 293, 77);
INSERT INTO public.who_data VALUES (69324, 0, 63, 0, 3, 293, 134);
INSERT INTO public.who_data VALUES (69325, 0, 83, 0, 1, 293, 4);
INSERT INTO public.who_data VALUES (69326, 8, 1407, 0, 46, 293, 109);
INSERT INTO public.who_data VALUES (69327, 12, 3824, 4, 96, 293, 90);
INSERT INTO public.who_data VALUES (69328, 2, 151, 0, 0, 293, 61);
INSERT INTO public.who_data VALUES (69329, 1, 39, 0, 3, 293, 85);
INSERT INTO public.who_data VALUES (69330, 122, 6298, 2, 105, 293, 49);
INSERT INTO public.who_data VALUES (69331, 8, 527, 0, 1, 293, 208);
INSERT INTO public.who_data VALUES (69332, 19, 563, 1, 27, 293, 166);
INSERT INTO public.who_data VALUES (69333, 9, 476, 0, 4, 293, 64);
INSERT INTO public.who_data VALUES (69334, 0, 0, 0, 0, 293, 199);
INSERT INTO public.who_data VALUES (69335, 1, 181, 0, 14, 293, 114);
INSERT INTO public.who_data VALUES (69336, 0, 8, 0, 1, 293, 60);
INSERT INTO public.who_data VALUES (69337, 0, 332, 0, 10, 293, 68);
INSERT INTO public.who_data VALUES (69338, 54, 650, 0, 6, 293, 158);
INSERT INTO public.who_data VALUES (69339, 1349, 22088, 89, 2061, 293, 52);
INSERT INTO public.who_data VALUES (69340, 0, 0, 0, 0, 293, 117);
INSERT INTO public.who_data VALUES (69341, 0, 66, 0, 1, 293, 126);
INSERT INTO public.who_data VALUES (69342, 1, 40, 0, 0, 293, 196);
INSERT INTO public.who_data VALUES (69343, 1, 324, 0, 8, 293, 142);
INSERT INTO public.who_data VALUES (69344, 0, 11, 0, 1, 293, 185);
INSERT INTO public.who_data VALUES (69345, 120, 5000, 3, 177, 293, 138);
INSERT INTO public.who_data VALUES (69346, 1, 80, 0, 0, 293, 181);
INSERT INTO public.who_data VALUES (69347, 4, 155, 0, 6, 293, 178);
INSERT INTO public.who_data VALUES (69348, 0, 16, 0, 0, 293, 168);
INSERT INTO public.who_data VALUES (69349, 0, 0, 0, 0, 293, 160);
INSERT INTO public.who_data VALUES (69350, 6, 75, 0, 0, 293, 151);
INSERT INTO public.who_data VALUES (69351, 338, 40320, 82, 5025, 293, 193);
INSERT INTO public.who_data VALUES (69352, 0, 18, 0, 0, 293, 18);
INSERT INTO public.who_data VALUES (69353, 1, 1137, 0, 20, 293, 40);
INSERT INTO public.who_data VALUES (69354, 0, 14, 0, 4, 293, 218);
INSERT INTO public.who_data VALUES (69355, 14, 750, 1, 36, 293, 191);
INSERT INTO public.who_data VALUES (69356, 0, 2388, 0, 85, 293, 156);
INSERT INTO public.who_data VALUES (69357, 0, 0, 0, 0, 293, 135);
INSERT INTO public.who_data VALUES (69358, 0, 14, 0, 2, 293, 88);
INSERT INTO public.who_data VALUES (69359, 5, 1511, 2, 84, 293, 55);
INSERT INTO public.who_data VALUES (69360, 50, 7809, 4, 208, 293, 108);
INSERT INTO public.who_data VALUES (69361, 171, 524, 2, 4, 293, 48);
INSERT INTO public.who_data VALUES (69362, 69, 2637, 0, 12, 293, 3);
INSERT INTO public.who_data VALUES (69363, 0, 712, 0, 13, 293, 224);
INSERT INTO public.who_data VALUES (69364, 800, 20884, 19, 476, 293, 110);
INSERT INTO public.who_data VALUES (69365, 0, 0, 0, 0, 293, 106);
INSERT INTO public.who_data VALUES (69366, 370, 7090, 5, 197, 293, 89);
INSERT INTO public.who_data VALUES (69367, 0, 8, 0, 0, 293, 121);
INSERT INTO public.who_data VALUES (69368, 37, 370, 0, 10, 293, 163);
INSERT INTO public.who_data VALUES (69369, 2075, 42534, 76, 1200, 293, 70);
INSERT INTO public.who_data VALUES (69370, 295, 9223, 4, 607, 293, 174);
INSERT INTO public.who_data VALUES (69371, 0, 0, 0, 0, 293, 175);
INSERT INTO public.who_data VALUES (69372, 318, 13693, 14, 678, 293, 118);
INSERT INTO public.who_data VALUES (69373, 334, 25524, 40, 1063, 293, 189);
INSERT INTO public.who_data VALUES (69374, 51, 1808, 43, 97, 293, 124);
INSERT INTO public.who_data VALUES (69375, 640, 16191, 0, 12, 293, 192);
INSERT INTO public.who_data VALUES (69376, 8, 10801, 2, 252, 293, 41);
INSERT INTO public.who_data VALUES (69377, 69, 4121, 4, 128, 293, 95);
INSERT INTO public.who_data VALUES (69378, 3, 423, 0, 0, 293, 74);
INSERT INTO public.who_data VALUES (69379, 431, 13163, 9, 780, 293, 11);
INSERT INTO public.who_data VALUES (69380, 10581, 145268, 76, 1356, 293, 87);
INSERT INTO public.who_data VALUES (69381, 4, 259, 0, 0, 293, 214);
INSERT INTO public.who_data VALUES (69382, 0, 2, 0, 0, 293, 116);
INSERT INTO public.who_data VALUES (69383, 0, 6, 0, 0, 293, 157);
INSERT INTO public.who_data VALUES (69384, 0, 0, 0, 0, 293, 182);
INSERT INTO public.who_data VALUES (69385, 0, 15, 0, 0, 293, 186);
INSERT INTO public.who_data VALUES (69386, 0, 17, 0, 0, 293, 127);
INSERT INTO public.who_data VALUES (69387, 0, 38, 0, 3, 293, 232);
INSERT INTO public.who_data VALUES (69388, 0, 1, 0, 0, 293, 33);
INSERT INTO public.who_data VALUES (69389, 0, 16, 0, 0, 293, 97);
INSERT INTO public.who_data VALUES (69390, 0, 0, 0, 0, 293, 42);
INSERT INTO public.who_data VALUES (69391, 2, 582, 0, 41, 293, 198);
INSERT INTO public.who_data VALUES (69392, 0, 23, 0, 3, 293, 216);
INSERT INTO public.who_data VALUES (69393, 1645, 28656, 7, 191, 293, 164);
INSERT INTO public.who_data VALUES (69394, 158, 1271, 0, 9, 293, 235);
INSERT INTO public.who_data VALUES (69395, 102, 9464, 4, 193, 293, 67);
INSERT INTO public.who_data VALUES (69396, 0, 11, 0, 0, 293, 15);
INSERT INTO public.who_data VALUES (69397, 2, 157, 0, 8, 293, 180);
INSERT INTO public.who_data VALUES (69398, 657, 18205, 1, 18, 293, 237);
INSERT INTO public.who_data VALUES (69399, 0, 2, 0, 0, 293, 25);
INSERT INTO public.who_data VALUES (69400, 0, 76, 0, 13, 293, 209);
INSERT INTO public.who_data VALUES (69401, 4, 1407, 1, 24, 293, 217);
INSERT INTO public.who_data VALUES (69402, 0, 1439, 2, 104, 293, 79);
INSERT INTO public.who_data VALUES (69403, 0, 0, 0, 0, 293, 143);
INSERT INTO public.who_data VALUES (69404, 34, 756, 3, 35, 293, 229);
INSERT INTO public.who_data VALUES (69405, 447, 6783, 8, 131, 293, 141);
INSERT INTO public.who_data VALUES (69406, 1, 46, 0, 0, 293, 197);
INSERT INTO public.who_data VALUES (69407, 568, 227343, 202, 26501, 293, 221);
INSERT INTO public.who_data VALUES (69408, 13, 718, 0, 7, 293, 150);
INSERT INTO public.who_data VALUES (69409, 86, 678, 0, 41, 293, 56);
INSERT INTO public.who_data VALUES (69410, 0, 10, 0, 1, 293, 167);
INSERT INTO public.who_data VALUES (69411, 299, 22437, 72, 3058, 293, 23);
INSERT INTO public.who_data VALUES (69412, 22, 29929, 8, 1628, 293, 222);
INSERT INTO public.who_data VALUES (69413, 0, 44, 0, 3, 293, 219);
INSERT INTO public.who_data VALUES (69414, 52, 128, 2, 4, 293, 7);
INSERT INTO public.who_data VALUES (69415, 18, 2987, 0, 54, 293, 161);
INSERT INTO public.who_data VALUES (69416, 3229, 185528, 253, 28218, 293, 149);
INSERT INTO public.who_data VALUES (69417, 0, 24, 0, 0, 293, 6);
INSERT INTO public.who_data VALUES (69418, 1, 124, 0, 9, 293, 139);
INSERT INTO public.who_data VALUES (69419, 0, 0, 0, 0, 293, 211);
INSERT INTO public.who_data VALUES (69420, 0, 0, 0, 0, 293, 14);
INSERT INTO public.who_data VALUES (69421, 0, 116, 0, 8, 293, 111);
INSERT INTO public.who_data VALUES (69422, 4, 1013, 0, 42, 293, 207);
INSERT INTO public.who_data VALUES (69423, 1670, 126045, 61, 3397, 293, 66);
INSERT INTO public.who_data VALUES (69424, 0, 0, 0, 0, 293, 173);
INSERT INTO public.who_data VALUES (69425, 0, 12, 0, 1, 293, 145);
INSERT INTO public.who_data VALUES (69426, 0, 0, 0, 0, 293, 65);
INSERT INTO public.who_data VALUES (69427, 3, 88, 0, 0, 293, 184);
INSERT INTO public.who_data VALUES (69428, 418, 12331, 15, 303, 293, 98);
INSERT INTO public.who_data VALUES (69429, 0, 14163, 0, 126, 293, 104);
INSERT INTO public.who_data VALUES (69430, 0, 480, 0, 18, 293, 73);
INSERT INTO public.who_data VALUES (69431, 31839, 1125719, 156, 67793, 293, 8);
INSERT INTO public.who_data VALUES (69432, 0, 66, 0, 4, 293, 227);
INSERT INTO public.who_data VALUES (69433, 4, 652, 0, 17, 293, 75);
INSERT INTO public.who_data VALUES (69434, 33, 2160, 1, 10, 293, 45);
INSERT INTO public.who_data VALUES (69435, 0, 0, 0, 0, 293, 133);
INSERT INTO public.who_data VALUES (69436, 0, 345, 0, 10, 293, 202);
INSERT INTO public.who_data VALUES (69437, 1, 271, 0, 0, 293, 129);
INSERT INTO public.who_data VALUES (69438, 0, 0, 0, 0, 293, 36);
INSERT INTO public.who_data VALUES (69439, 0, 10, 0, 2, 293, 51);
INSERT INTO public.who_data VALUES (69440, 5, 124, 0, 3, 293, 206);
INSERT INTO public.who_data VALUES (69441, 0, 34, 0, 4, 293, 5);
INSERT INTO public.who_data VALUES (69442, 0, 2469, 0, 72, 294, 103);
INSERT INTO public.who_data VALUES (69443, 6, 757, 0, 30, 294, 58);
INSERT INTO public.who_data VALUES (69444, 141, 4295, 6, 459, 294, 195);
INSERT INTO public.who_data VALUES (69445, 0, 0, 0, 0, 294, 115);
INSERT INTO public.who_data VALUES (69446, 1, 747, 1, 44, 294, 99);
INSERT INTO public.who_data VALUES (69447, 6, 35, 0, 2, 294, 153);
INSERT INTO public.who_data VALUES (69448, 0, 3, 0, 0, 294, 93);
INSERT INTO public.who_data VALUES (69449, 0, 24, 0, 3, 294, 84);
INSERT INTO public.who_data VALUES (69450, 56, 4532, 9, 229, 294, 78);
INSERT INTO public.who_data VALUES (69451, 125, 2249, 0, 33, 294, 170);
INSERT INTO public.who_data VALUES (69452, 0, 100, 0, 2, 294, 32);
INSERT INTO public.who_data VALUES (69453, 16, 6783, 0, 93, 294, 155);
INSERT INTO public.who_data VALUES (69454, 12, 15470, 7, 596, 294, 82);
INSERT INTO public.who_data VALUES (69455, 40, 1894, 0, 25, 294, 16);
INSERT INTO public.who_data VALUES (69456, 1, 82, 0, 11, 294, 72);
INSERT INTO public.who_data VALUES (69457, 83, 3356, 0, 8, 294, 43);
INSERT INTO public.who_data VALUES (69458, 665, 9455, 2, 177, 294, 120);
INSERT INTO public.who_data VALUES (69459, 0, 81, 0, 7, 294, 213);
INSERT INTO public.who_data VALUES (69460, 911, 15828, 4, 97, 294, 31);
INSERT INTO public.who_data VALUES (69461, 286, 51149, 75, 8028, 294, 204);
INSERT INTO public.who_data VALUES (69462, 0, 18, 0, 2, 294, 152);
INSERT INTO public.who_data VALUES (69463, 0, 90, 0, 2, 294, 144);
INSERT INTO public.who_data VALUES (69464, 0, 114, 0, 6, 294, 96);
INSERT INTO public.who_data VALUES (69465, 0, 7, 0, 0, 294, 47);
INSERT INTO public.who_data VALUES (69466, 62, 1229, 4, 66, 294, 80);
INSERT INTO public.who_data VALUES (69467, 0, 2, 0, 0, 294, 159);
INSERT INTO public.who_data VALUES (69468, 0, 1840, 0, 71, 294, 27);
INSERT INTO public.who_data VALUES (69469, 0, 23, 0, 1, 294, 146);
INSERT INTO public.who_data VALUES (69470, 6209, 91589, 428, 6329, 294, 71);
INSERT INTO public.who_data VALUES (69471, 0, 6, 0, 1, 294, 210);
INSERT INTO public.who_data VALUES (69472, 0, 138, 0, 1, 294, 54);
INSERT INTO public.who_data VALUES (69473, 6, 1594, 3, 72, 294, 147);
INSERT INTO public.who_data VALUES (69474, 3, 652, 0, 44, 294, 2);
INSERT INTO public.who_data VALUES (69475, 4, 19, 0, 1, 294, 105);
INSERT INTO public.who_data VALUES (69476, 31, 152, 1, 2, 294, 53);
INSERT INTO public.who_data VALUES (69477, 0, 122, 0, 0, 294, 81);
INSERT INTO public.who_data VALUES (69478, 8, 2077, 3, 64, 294, 223);
INSERT INTO public.who_data VALUES (69479, 1915, 55572, 223, 3446, 294, 94);
INSERT INTO public.who_data VALUES (69480, 1, 74, 0, 1, 294, 154);
INSERT INTO public.who_data VALUES (69481, 8, 72, 0, 0, 294, 83);
INSERT INTO public.who_data VALUES (69482, 44, 117, 5, 10, 294, 194);
INSERT INTO public.who_data VALUES (69483, 1427, 18435, 13, 247, 294, 136);
INSERT INTO public.who_data VALUES (69484, 2, 84393, 0, 4643, 294, 179);
INSERT INTO public.who_data VALUES (69485, 499, 7006, 21, 314, 294, 57);
INSERT INTO public.who_data VALUES (69486, 2, 3, 0, 0, 294, 35);
INSERT INTO public.who_data VALUES (69487, 0, 229, 0, 10, 294, 228);
INSERT INTO public.who_data VALUES (69488, 0, 0, 0, 0, 294, 19);
INSERT INTO public.who_data VALUES (69489, 6, 725, 0, 6, 294, 22);
INSERT INTO public.who_data VALUES (69490, 87, 1362, 1, 15, 294, 1);
INSERT INTO public.who_data VALUES (69491, 3, 2088, 2, 77, 294, 21);
INSERT INTO public.who_data VALUES (69492, 74, 1611, 2, 66, 294, 234);
INSERT INTO public.who_data VALUES (69493, 0, 16, 0, 1, 294, 91);
INSERT INTO public.who_data VALUES (69494, 7, 864, 0, 15, 294, 137);
INSERT INTO public.who_data VALUES (69495, 18, 7755, 5, 245, 294, 201);
INSERT INTO public.who_data VALUES (69496, 0, 0, 0, 0, 294, 171);
INSERT INTO public.who_data VALUES (69497, 70, 674, 1, 33, 294, 92);
INSERT INTO public.who_data VALUES (69498, 96, 9407, 11, 473, 294, 112);
INSERT INTO public.who_data VALUES (69499, 0, 1112, 0, 2, 294, 62);
INSERT INTO public.who_data VALUES (69500, 0, 16, 0, 0, 294, 69);
INSERT INTO public.who_data VALUES (69501, 290, 7578, 13, 326, 294, 220);
INSERT INTO public.who_data VALUES (69502, 1128, 27464, 308, 1371, 294, 100);
INSERT INTO public.who_data VALUES (69503, 298, 6193, 9, 415, 294, 187);
INSERT INTO public.who_data VALUES (69504, 22, 446, 0, 10, 294, 63);
INSERT INTO public.who_data VALUES (69505, 0, 315, 0, 2, 294, 28);
INSERT INTO public.who_data VALUES (69506, 0, 39, 0, 0, 294, 172);
INSERT INTO public.who_data VALUES (69507, 5, 1699, 1, 53, 294, 17);
INSERT INTO public.who_data VALUES (69508, 2, 108, 0, 1, 294, 226);
INSERT INTO public.who_data VALUES (69509, 0, 133, 0, 3, 294, 236);
INSERT INTO public.who_data VALUES (69510, 0, 13, 0, 0, 294, 76);
INSERT INTO public.who_data VALUES (69511, 0, 187, 0, 0, 294, 30);
INSERT INTO public.who_data VALUES (69512, 0, 18, 0, 0, 294, 128);
INSERT INTO public.who_data VALUES (69513, 128, 5179, 2, 220, 294, 86);
INSERT INTO public.who_data VALUES (69514, 736, 129458, 164, 24724, 294, 140);
INSERT INTO public.who_data VALUES (69515, 0, 128, 0, 1, 294, 44);
INSERT INTO public.who_data VALUES (69516, 0, 58, 0, 0, 294, 113);
INSERT INTO public.who_data VALUES (69517, 27, 335, 1, 5, 294, 29);
INSERT INTO public.who_data VALUES (69518, 5, 17, 0, 1, 294, 125);
INSERT INTO public.who_data VALUES (69519, 7, 589, 0, 8, 294, 131);
INSERT INTO public.who_data VALUES (69520, 793, 162496, 74, 6649, 294, 46);
INSERT INTO public.who_data VALUES (69521, 95, 2169, 1, 18, 294, 10);
INSERT INTO public.who_data VALUES (69522, 0, 144, 0, 0, 294, 205);
INSERT INTO public.who_data VALUES (69523, 29, 2620, 3, 143, 294, 50);
INSERT INTO public.who_data VALUES (69524, 0, 11, 0, 0, 294, 20);
INSERT INTO public.who_data VALUES (69525, 0, 20, 0, 0, 294, 13);
INSERT INTO public.who_data VALUES (69526, 0, 152, 0, 12, 294, 148);
INSERT INTO public.who_data VALUES (69527, 1, 143, 0, 5, 294, 230);
INSERT INTO public.who_data VALUES (69528, 45, 644, 2, 18, 294, 190);
INSERT INTO public.who_data VALUES (69529, 1, 252, 0, 13, 294, 188);
INSERT INTO public.who_data VALUES (69530, 49, 1586, 0, 7, 294, 123);
INSERT INTO public.who_data VALUES (69531, 3, 260, 0, 1, 294, 9);
INSERT INTO public.who_data VALUES (69532, 0, 82, 0, 9, 294, 102);
INSERT INTO public.who_data VALUES (69533, 4, 85, 0, 8, 294, 34);
INSERT INTO public.who_data VALUES (69534, 0, 11, 0, 0, 294, 212);
INSERT INTO public.who_data VALUES (69535, 95, 899, 0, 75, 294, 122);
INSERT INTO public.who_data VALUES (69536, 56, 2998, 5, 340, 294, 38);
INSERT INTO public.who_data VALUES (69537, 0, 1798, 0, 10, 294, 130);
INSERT INTO public.who_data VALUES (69538, 2644, 39980, 83, 1301, 294, 37);
INSERT INTO public.who_data VALUES (69539, 349, 11192, 14, 845, 294, 231);
INSERT INTO public.who_data VALUES (69540, 976, 97424, 47, 6203, 294, 107);
INSERT INTO public.who_data VALUES (69541, 66, 2219, 1, 95, 294, 101);
INSERT INTO public.who_data VALUES (69542, 343, 21176, 0, 1265, 294, 132);
INSERT INTO public.who_data VALUES (69543, 4, 315, 1, 23, 294, 176);
INSERT INTO public.who_data VALUES (69544, 116, 16021, 4, 229, 294, 200);
INSERT INTO public.who_data VALUES (69545, 1900, 209328, 474, 28710, 294, 169);
INSERT INTO public.who_data VALUES (69546, 10, 432, 0, 8, 294, 225);
INSERT INTO public.who_data VALUES (69547, 294, 14839, 38, 492, 294, 165);
INSERT INTO public.who_data VALUES (69548, 0, 290, 1, 23, 294, 233);
INSERT INTO public.who_data VALUES (69549, 2, 461, 0, 9, 294, 215);
INSERT INTO public.who_data VALUES (69550, 111, 3988, 1, 27, 294, 177);
INSERT INTO public.who_data VALUES (69551, 24, 435, 1, 22, 294, 183);
INSERT INTO public.who_data VALUES (69552, 0, 0, 0, 0, 294, 203);
INSERT INTO public.who_data VALUES (69553, 10, 823, 0, 17, 294, 162);
INSERT INTO public.who_data VALUES (69554, 364, 4983, 5, 38, 294, 12);
INSERT INTO public.who_data VALUES (69555, 26, 795, 2, 10, 294, 24);
INSERT INTO public.who_data VALUES (69556, 0, 19, 0, 0, 294, 119);
INSERT INTO public.who_data VALUES (69557, 1, 871, 0, 16, 294, 39);
INSERT INTO public.who_data VALUES (69558, 4, 737, 0, 25, 294, 26);
INSERT INTO public.who_data VALUES (69559, 0, 0, 0, 0, 294, 59);
INSERT INTO public.who_data VALUES (69560, 2, 154, 0, 18, 294, 77);
INSERT INTO public.who_data VALUES (69561, 0, 63, 0, 3, 294, 134);
INSERT INTO public.who_data VALUES (69562, 0, 83, 0, 1, 294, 4);
INSERT INTO public.who_data VALUES (69563, 5, 1399, 0, 46, 294, 109);
INSERT INTO public.who_data VALUES (69564, 10, 3812, 0, 92, 294, 90);
INSERT INTO public.who_data VALUES (69565, 14, 149, 0, 0, 294, 61);
INSERT INTO public.who_data VALUES (69566, 1, 38, 0, 3, 294, 85);
INSERT INTO public.who_data VALUES (69567, 105, 6176, 0, 103, 294, 49);
INSERT INTO public.who_data VALUES (69568, 28, 519, 0, 1, 294, 208);
INSERT INTO public.who_data VALUES (69569, 36, 544, 0, 26, 294, 166);
INSERT INTO public.who_data VALUES (69570, 1, 467, 0, 4, 294, 64);
INSERT INTO public.who_data VALUES (69571, 0, 0, 0, 0, 294, 199);
INSERT INTO public.who_data VALUES (69572, 1, 180, 0, 14, 294, 114);
INSERT INTO public.who_data VALUES (69573, 0, 8, 0, 1, 294, 60);
INSERT INTO public.who_data VALUES (69574, 0, 332, 0, 10, 294, 68);
INSERT INTO public.who_data VALUES (69575, 57, 596, 2, 6, 294, 158);
INSERT INTO public.who_data VALUES (69576, 1515, 20739, 113, 1972, 294, 52);
INSERT INTO public.who_data VALUES (69577, 0, 0, 0, 0, 294, 117);
INSERT INTO public.who_data VALUES (69578, 0, 66, 0, 1, 294, 126);
INSERT INTO public.who_data VALUES (69579, 1, 39, 0, 0, 294, 196);
INSERT INTO public.who_data VALUES (69580, 1, 323, 0, 8, 294, 142);
INSERT INTO public.who_data VALUES (69581, 0, 11, 0, 1, 294, 185);
INSERT INTO public.who_data VALUES (69582, 193, 4880, 2, 174, 294, 138);
INSERT INTO public.who_data VALUES (69583, 0, 79, 0, 0, 294, 181);
INSERT INTO public.who_data VALUES (69584, 0, 151, 0, 6, 294, 178);
INSERT INTO public.who_data VALUES (69585, 0, 16, 0, 0, 294, 168);
INSERT INTO public.who_data VALUES (69586, 0, 0, 0, 0, 294, 160);
INSERT INTO public.who_data VALUES (69587, 10, 69, 0, 0, 294, 151);
INSERT INTO public.who_data VALUES (69588, 437, 39982, 87, 4943, 294, 193);
INSERT INTO public.who_data VALUES (69589, 0, 18, 0, 0, 294, 18);
INSERT INTO public.who_data VALUES (69590, 2, 1136, 0, 20, 294, 40);
INSERT INTO public.who_data VALUES (69591, 0, 14, 0, 4, 294, 218);
INSERT INTO public.who_data VALUES (69592, 8, 736, 2, 35, 294, 191);
INSERT INTO public.who_data VALUES (69593, 218, 2388, 17, 85, 294, 156);
INSERT INTO public.who_data VALUES (69594, 0, 0, 0, 0, 294, 135);
INSERT INTO public.who_data VALUES (69595, 0, 14, 0, 2, 294, 88);
INSERT INTO public.who_data VALUES (69596, 12, 1506, 1, 82, 294, 55);
INSERT INTO public.who_data VALUES (69597, 0, 7759, 0, 204, 294, 108);
INSERT INTO public.who_data VALUES (69598, 0, 353, 0, 2, 294, 48);
INSERT INTO public.who_data VALUES (69599, 85, 2568, 0, 12, 294, 3);
INSERT INTO public.who_data VALUES (69600, 0, 712, 0, 13, 294, 224);
INSERT INTO public.who_data VALUES (69601, 1314, 20084, 25, 457, 294, 110);
INSERT INTO public.who_data VALUES (69602, 0, 0, 0, 0, 294, 106);
INSERT INTO public.who_data VALUES (69603, 188, 6720, 4, 192, 294, 89);
INSERT INTO public.who_data VALUES (69604, 0, 8, 0, 0, 294, 121);
INSERT INTO public.who_data VALUES (69605, 67, 333, 0, 10, 294, 163);
INSERT INTO public.who_data VALUES (69606, 3483, 40459, 73, 1124, 294, 70);
INSERT INTO public.who_data VALUES (69607, 156, 8928, 24, 603, 294, 174);
INSERT INTO public.who_data VALUES (69608, 0, 0, 0, 0, 294, 175);
INSERT INTO public.who_data VALUES (69609, 270, 13375, 13, 664, 294, 118);
INSERT INTO public.who_data VALUES (69610, -161, 25190, 16, 1023, 294, 189);
INSERT INTO public.who_data VALUES (69611, 182, 1757, 0, 54, 294, 124);
INSERT INTO public.who_data VALUES (69612, 679, 15551, 0, 12, 294, 192);
INSERT INTO public.who_data VALUES (69613, 13, 10793, 0, 250, 294, 41);
INSERT INTO public.who_data VALUES (69614, 72, 4052, 2, 124, 294, 95);
INSERT INTO public.who_data VALUES (69615, 0, 420, 0, 0, 294, 74);
INSERT INTO public.who_data VALUES (69616, 165, 12732, 27, 771, 294, 11);
INSERT INTO public.who_data VALUES (69617, 10633, 134687, 58, 1280, 294, 87);
INSERT INTO public.who_data VALUES (69618, 6, 255, 0, 0, 294, 214);
INSERT INTO public.who_data VALUES (69619, 0, 2, 0, 0, 294, 116);
INSERT INTO public.who_data VALUES (69620, 0, 6, 0, 0, 294, 157);
INSERT INTO public.who_data VALUES (69621, 0, 0, 0, 0, 294, 182);
INSERT INTO public.who_data VALUES (69622, 0, 15, 0, 0, 294, 186);
INSERT INTO public.who_data VALUES (69623, 0, 17, 0, 0, 294, 127);
INSERT INTO public.who_data VALUES (69624, 0, 38, 0, 3, 294, 232);
INSERT INTO public.who_data VALUES (69625, 0, 1, 0, 0, 294, 33);
INSERT INTO public.who_data VALUES (69626, 0, 16, 0, 0, 294, 97);
INSERT INTO public.who_data VALUES (69627, 0, 0, 0, 0, 294, 42);
INSERT INTO public.who_data VALUES (69628, 0, 580, 0, 41, 294, 198);
INSERT INTO public.who_data VALUES (69629, 7, 23, 2, 3, 294, 216);
INSERT INTO public.who_data VALUES (69630, 1552, 27011, 8, 184, 294, 164);
INSERT INTO public.who_data VALUES (69631, 89, 1113, 0, 9, 294, 235);
INSERT INTO public.who_data VALUES (69632, 157, 9362, 4, 189, 294, 67);
INSERT INTO public.who_data VALUES (69633, 0, 11, 0, 0, 294, 15);
INSERT INTO public.who_data VALUES (69634, 19, 155, 0, 8, 294, 180);
INSERT INTO public.who_data VALUES (69635, 447, 17548, 1, 17, 294, 237);
INSERT INTO public.who_data VALUES (69636, 0, 2, 0, 0, 294, 25);
INSERT INTO public.who_data VALUES (69637, 0, 76, 0, 13, 294, 209);
INSERT INTO public.who_data VALUES (69638, 7, 1403, 0, 23, 294, 217);
INSERT INTO public.who_data VALUES (69639, 5, 1439, 2, 102, 294, 79);
INSERT INTO public.who_data VALUES (69640, 0, 0, 0, 0, 294, 143);
INSERT INTO public.who_data VALUES (69641, 51, 722, 1, 32, 294, 229);
INSERT INTO public.who_data VALUES (69642, 385, 6336, 7, 123, 294, 141);
INSERT INTO public.who_data VALUES (69643, 0, 45, 0, 0, 294, 197);
INSERT INTO public.who_data VALUES (69644, 793, 226775, 176, 26299, 294, 221);
INSERT INTO public.who_data VALUES (69645, 15, 705, 0, 7, 294, 150);
INSERT INTO public.who_data VALUES (69646, 59, 592, 5, 41, 294, 56);
INSERT INTO public.who_data VALUES (69647, 0, 10, 0, 1, 294, 167);
INSERT INTO public.who_data VALUES (69648, 532, 22138, 78, 2986, 294, 23);
INSERT INTO public.who_data VALUES (69649, 47, 29907, 9, 1620, 294, 222);
INSERT INTO public.who_data VALUES (69650, 0, 44, 0, 3, 294, 219);
INSERT INTO public.who_data VALUES (69651, 44, 76, 2, 2, 294, 7);
INSERT INTO public.who_data VALUES (69652, 3, 2969, 0, 54, 294, 161);
INSERT INTO public.who_data VALUES (69653, 4737, 182299, 584, 27965, 294, 149);
INSERT INTO public.who_data VALUES (69654, 0, 24, 0, 0, 294, 6);
INSERT INTO public.who_data VALUES (69655, 0, 123, 0, 9, 294, 139);
INSERT INTO public.who_data VALUES (69656, 0, 0, 0, 0, 294, 211);
INSERT INTO public.who_data VALUES (69657, 0, 0, 0, 0, 294, 14);
INSERT INTO public.who_data VALUES (69658, 0, 116, 0, 8, 294, 111);
INSERT INTO public.who_data VALUES (69659, 11, 1009, 1, 42, 294, 207);
INSERT INTO public.who_data VALUES (69660, 1983, 124375, 78, 3336, 294, 66);
INSERT INTO public.who_data VALUES (69661, 0, 0, 0, 0, 294, 173);
INSERT INTO public.who_data VALUES (69662, 0, 12, 0, 1, 294, 145);
INSERT INTO public.who_data VALUES (69663, 0, 0, 0, 0, 294, 65);
INSERT INTO public.who_data VALUES (69664, 2, 85, 0, 0, 294, 184);
INSERT INTO public.who_data VALUES (69665, 502, 11913, 9, 288, 294, 98);
INSERT INTO public.who_data VALUES (69666, 1125, 14163, 15, 126, 294, 104);
INSERT INTO public.who_data VALUES (69667, 0, 480, 1, 18, 294, 73);
INSERT INTO public.who_data VALUES (69668, 26753, 1093880, 5000, 67637, 294, 8);
INSERT INTO public.who_data VALUES (69669, 0, 66, 0, 4, 294, 227);
INSERT INTO public.who_data VALUES (69670, 5, 648, 0, 17, 294, 75);
INSERT INTO public.who_data VALUES (69671, 33, 2127, 0, 9, 294, 45);
INSERT INTO public.who_data VALUES (69672, 0, 0, 0, 0, 294, 133);
INSERT INTO public.who_data VALUES (69673, 12, 345, 0, 10, 294, 202);
INSERT INTO public.who_data VALUES (69674, 0, 270, 0, 0, 294, 129);
INSERT INTO public.who_data VALUES (69675, 0, 0, 0, 0, 294, 36);
INSERT INTO public.who_data VALUES (69676, 3, 10, 0, 2, 294, 51);
INSERT INTO public.who_data VALUES (69677, 10, 119, 0, 3, 294, 206);
INSERT INTO public.who_data VALUES (69678, 0, 34, 0, 4, 294, 5);
INSERT INTO public.who_data VALUES (69679, 298, 2469, 8, 72, 295, 103);
INSERT INTO public.who_data VALUES (69680, 16, 751, 0, 30, 295, 58);
INSERT INTO public.who_data VALUES (69681, 148, 4154, 3, 453, 295, 195);
INSERT INTO public.who_data VALUES (69682, 0, 0, 0, 0, 295, 115);
INSERT INTO public.who_data VALUES (69683, 0, 746, 1, 43, 295, 99);
INSERT INTO public.who_data VALUES (69684, 2, 29, 0, 2, 295, 153);
INSERT INTO public.who_data VALUES (69685, 0, 3, 0, 0, 295, 93);
INSERT INTO public.who_data VALUES (69686, 0, 24, 0, 3, 295, 84);
INSERT INTO public.who_data VALUES (69687, 172, 4476, 5, 220, 295, 78);
INSERT INTO public.who_data VALUES (69688, 82, 2124, 1, 33, 295, 170);
INSERT INTO public.who_data VALUES (69689, 0, 100, 0, 2, 295, 32);
INSERT INTO public.who_data VALUES (69690, 5, 6767, 1, 93, 295, 155);
INSERT INTO public.who_data VALUES (69691, 34, 15458, 5, 589, 295, 82);
INSERT INTO public.who_data VALUES (69692, 50, 1854, 1, 25, 295, 16);
INSERT INTO public.who_data VALUES (69693, 1, 81, 0, 11, 295, 72);
INSERT INTO public.who_data VALUES (69694, 104, 3273, 0, 8, 295, 43);
INSERT INTO public.who_data VALUES (69695, 552, 8790, 5, 175, 295, 120);
INSERT INTO public.who_data VALUES (69696, 1, 81, 0, 7, 295, 213);
INSERT INTO public.who_data VALUES (69697, 890, 14917, 4, 93, 295, 31);
INSERT INTO public.who_data VALUES (69698, 237, 50863, 93, 7953, 295, 204);
INSERT INTO public.who_data VALUES (69699, 0, 18, 0, 2, 295, 152);
INSERT INTO public.who_data VALUES (69700, 6, 90, 0, 2, 295, 144);
INSERT INTO public.who_data VALUES (69701, 3, 114, 0, 6, 295, 96);
INSERT INTO public.who_data VALUES (69702, 0, 7, 0, 0, 295, 47);
INSERT INTO public.who_data VALUES (69703, 57, 1167, 3, 62, 295, 80);
INSERT INTO public.who_data VALUES (69704, 0, 2, 0, 0, 295, 159);
INSERT INTO public.who_data VALUES (69705, 58, 1840, 2, 71, 295, 27);
INSERT INTO public.who_data VALUES (69706, 0, 23, 0, 1, 295, 146);
INSERT INTO public.who_data VALUES (69707, 7218, 85380, 435, 5901, 295, 71);
INSERT INTO public.who_data VALUES (69708, 0, 6, 0, 1, 295, 210);
INSERT INTO public.who_data VALUES (69709, 0, 138, 0, 1, 295, 54);
INSERT INTO public.who_data VALUES (69710, 82, 1588, 3, 69, 295, 147);
INSERT INTO public.who_data VALUES (69711, 4, 649, 1, 44, 295, 2);
INSERT INTO public.who_data VALUES (69712, 0, 15, 0, 1, 295, 105);
INSERT INTO public.who_data VALUES (69713, 0, 121, 0, 1, 295, 53);
INSERT INTO public.who_data VALUES (69714, 0, 122, 0, 0, 295, 81);
INSERT INTO public.who_data VALUES (69715, 237, 2069, 0, 61, 295, 223);
INSERT INTO public.who_data VALUES (69716, 1601, 53657, 141, 3223, 295, 94);
INSERT INTO public.who_data VALUES (69717, 0, 73, 0, 1, 295, 154);
INSERT INTO public.who_data VALUES (69718, 0, 64, 0, 0, 295, 83);
INSERT INTO public.who_data VALUES (69719, 0, 73, 2, 5, 295, 194);
INSERT INTO public.who_data VALUES (69720, 985, 17008, 7, 234, 295, 136);
INSERT INTO public.who_data VALUES (69721, 6, 84391, 0, 4643, 295, 179);
INSERT INTO public.who_data VALUES (69722, 296, 6507, 15, 293, 295, 57);
INSERT INTO public.who_data VALUES (69723, 0, 1, 0, 0, 295, 35);
INSERT INTO public.who_data VALUES (69724, 9, 229, 1, 10, 295, 228);
INSERT INTO public.who_data VALUES (69725, 0, 0, 0, 0, 295, 19);
INSERT INTO public.who_data VALUES (69726, 6, 719, 0, 6, 295, 22);
INSERT INTO public.who_data VALUES (69727, 0, 1275, 0, 14, 295, 1);
INSERT INTO public.who_data VALUES (69728, 9, 2085, 6, 75, 295, 21);
INSERT INTO public.who_data VALUES (69729, 36, 1537, 3, 64, 295, 234);
INSERT INTO public.who_data VALUES (69730, 0, 16, 0, 1, 295, 91);
INSERT INTO public.who_data VALUES (69731, 7, 857, 0, 15, 295, 137);
INSERT INTO public.who_data VALUES (69732, 55, 7737, 4, 240, 295, 201);
INSERT INTO public.who_data VALUES (69733, 0, 0, 0, 0, 295, 171);
INSERT INTO public.who_data VALUES (69734, 32, 604, 1, 32, 295, 92);
INSERT INTO public.who_data VALUES (69735, 153, 9311, 10, 462, 295, 112);
INSERT INTO public.who_data VALUES (69736, 15, 1112, 0, 2, 295, 62);
INSERT INTO public.who_data VALUES (69737, 0, 16, 0, 0, 295, 69);
INSERT INTO public.who_data VALUES (69738, 316, 7288, 12, 313, 295, 220);
INSERT INTO public.who_data VALUES (69739, 1402, 26336, 163, 1063, 295, 100);
INSERT INTO public.who_data VALUES (69740, 0, 5895, 0, 406, 295, 187);
INSERT INTO public.who_data VALUES (69741, 29, 424, 1, 10, 295, 63);
INSERT INTO public.who_data VALUES (69742, 0, 315, 0, 2, 295, 28);
INSERT INTO public.who_data VALUES (69743, 0, 39, 0, 0, 295, 172);
INSERT INTO public.who_data VALUES (69744, 5, 1694, 0, 52, 295, 17);
INSERT INTO public.who_data VALUES (69745, 6, 106, 0, 1, 295, 226);
INSERT INTO public.who_data VALUES (69746, 2, 133, 0, 3, 295, 236);
INSERT INTO public.who_data VALUES (69747, 0, 13, 0, 0, 295, 76);
INSERT INTO public.who_data VALUES (69748, 0, 187, 0, 0, 295, 30);
INSERT INTO public.who_data VALUES (69749, 0, 18, 0, 0, 295, 128);
INSERT INTO public.who_data VALUES (69750, 56, 5051, 7, 218, 295, 86);
INSERT INTO public.who_data VALUES (69751, 601, 128722, 218, 24560, 295, 140);
INSERT INTO public.who_data VALUES (69752, 2, 128, 0, 1, 295, 44);
INSERT INTO public.who_data VALUES (69753, 0, 58, 0, 0, 295, 113);
INSERT INTO public.who_data VALUES (69754, 32, 308, 1, 4, 295, 29);
INSERT INTO public.who_data VALUES (69755, 0, 12, 0, 1, 295, 125);
INSERT INTO public.who_data VALUES (69756, 16, 582, 2, 8, 295, 131);
INSERT INTO public.who_data VALUES (69757, 945, 161703, 94, 6575, 295, 46);
INSERT INTO public.who_data VALUES (69758, 0, 2074, 0, 17, 295, 10);
INSERT INTO public.who_data VALUES (69759, 3, 144, 0, 0, 295, 205);
INSERT INTO public.who_data VALUES (69760, 0, 2591, 0, 140, 295, 50);
INSERT INTO public.who_data VALUES (69761, 0, 11, 0, 0, 295, 20);
INSERT INTO public.who_data VALUES (69762, 0, 20, 0, 0, 295, 13);
INSERT INTO public.who_data VALUES (69763, 0, 152, 0, 12, 295, 148);
INSERT INTO public.who_data VALUES (69764, 0, 142, 0, 5, 295, 230);
INSERT INTO public.who_data VALUES (69765, 14, 599, 0, 16, 295, 190);
INSERT INTO public.who_data VALUES (69766, 0, 251, 0, 13, 295, 188);
INSERT INTO public.who_data VALUES (69767, 42, 1537, 0, 7, 295, 123);
INSERT INTO public.who_data VALUES (69768, 56, 257, 0, 1, 295, 9);
INSERT INTO public.who_data VALUES (69769, 4, 82, 1, 9, 295, 102);
INSERT INTO public.who_data VALUES (69770, 5, 81, 1, 8, 295, 34);
INSERT INTO public.who_data VALUES (69771, 0, 11, 0, 0, 295, 212);
INSERT INTO public.who_data VALUES (69772, 33, 804, 4, 75, 295, 122);
INSERT INTO public.who_data VALUES (69773, 79, 2942, 12, 335, 295, 38);
INSERT INTO public.who_data VALUES (69774, 1, 1798, 0, 10, 295, 130);
INSERT INTO public.who_data VALUES (69775, 2293, 37336, 71, 1218, 295, 37);
INSERT INTO public.who_data VALUES (69776, 292, 10843, 31, 831, 295, 231);
INSERT INTO public.who_data VALUES (69777, 802, 96448, 65, 6156, 295, 107);
INSERT INTO public.who_data VALUES (69778, 68, 2153, 1, 94, 295, 101);
INSERT INTO public.who_data VALUES (69779, 221, 20833, 33, 1265, 295, 132);
INSERT INTO public.who_data VALUES (69780, 0, 311, 0, 22, 295, 176);
INSERT INTO public.who_data VALUES (69781, 142, 15905, 6, 225, 295, 200);
INSERT INTO public.who_data VALUES (69782, 1965, 207428, 269, 28236, 295, 169);
INSERT INTO public.who_data VALUES (69783, 26, 422, 1, 8, 295, 225);
INSERT INTO public.who_data VALUES (69784, 264, 14545, 22, 454, 295, 165);
INSERT INTO public.who_data VALUES (69785, 0, 290, 2, 22, 295, 233);
INSERT INTO public.who_data VALUES (69786, 6, 459, 1, 9, 295, 215);
INSERT INTO public.who_data VALUES (69787, 92, 3877, 1, 26, 295, 177);
INSERT INTO public.who_data VALUES (69788, 15, 411, 4, 21, 295, 183);
INSERT INTO public.who_data VALUES (69789, 0, 0, 0, 0, 295, 203);
INSERT INTO public.who_data VALUES (69790, 14, 813, 0, 17, 295, 162);
INSERT INTO public.who_data VALUES (69791, 242, 4619, 3, 33, 295, 12);
INSERT INTO public.who_data VALUES (69792, 13, 769, 0, 8, 295, 24);
INSERT INTO public.who_data VALUES (69793, 0, 19, 0, 0, 295, 119);
INSERT INTO public.who_data VALUES (69794, 12, 870, 1, 16, 295, 39);
INSERT INTO public.who_data VALUES (69795, 4, 733, 1, 25, 295, 26);
INSERT INTO public.who_data VALUES (69796, 0, 0, 0, 0, 295, 59);
INSERT INTO public.who_data VALUES (69797, 11, 152, 2, 18, 295, 77);
INSERT INTO public.who_data VALUES (69798, 0, 63, 0, 3, 295, 134);
INSERT INTO public.who_data VALUES (69799, 0, 83, 0, 1, 295, 4);
INSERT INTO public.who_data VALUES (69800, 5, 1394, 1, 46, 295, 109);
INSERT INTO public.who_data VALUES (69801, 18, 3802, 2, 92, 295, 90);
INSERT INTO public.who_data VALUES (69802, 3, 135, 0, 0, 295, 61);
INSERT INTO public.who_data VALUES (69803, 0, 37, 0, 3, 295, 85);
INSERT INTO public.who_data VALUES (69804, 69, 6071, 1, 103, 295, 49);
INSERT INTO public.who_data VALUES (69805, 23, 491, 0, 1, 295, 208);
INSERT INTO public.who_data VALUES (69806, 18, 508, 0, 26, 295, 166);
INSERT INTO public.who_data VALUES (69807, 2, 466, 0, 4, 295, 64);
INSERT INTO public.who_data VALUES (69808, 0, 0, 0, 0, 295, 199);
INSERT INTO public.who_data VALUES (69809, 1, 179, 0, 14, 295, 114);
INSERT INTO public.who_data VALUES (69810, 0, 8, 0, 1, 295, 60);
INSERT INTO public.who_data VALUES (69811, 0, 332, 0, 10, 295, 68);
INSERT INTO public.who_data VALUES (69812, 0, 539, 0, 4, 295, 158);
INSERT INTO public.who_data VALUES (69813, 1425, 19224, 127, 1859, 295, 52);
INSERT INTO public.who_data VALUES (69814, 0, 0, 0, 0, 295, 117);
INSERT INTO public.who_data VALUES (69815, 0, 66, 0, 1, 295, 126);
INSERT INTO public.who_data VALUES (69816, 0, 38, 0, 0, 295, 196);
INSERT INTO public.who_data VALUES (69817, 0, 322, 1, 8, 295, 142);
INSERT INTO public.who_data VALUES (69818, 0, 11, 0, 1, 295, 185);
INSERT INTO public.who_data VALUES (69819, 158, 4687, 1, 172, 295, 138);
INSERT INTO public.who_data VALUES (69820, 3, 79, 0, 0, 295, 181);
INSERT INTO public.who_data VALUES (69821, 0, 151, 0, 6, 295, 178);
INSERT INTO public.who_data VALUES (69822, 0, 16, 0, 0, 295, 168);
INSERT INTO public.who_data VALUES (69823, 0, 0, 0, 0, 295, 160);
INSERT INTO public.who_data VALUES (69824, 0, 59, 0, 0, 295, 151);
INSERT INTO public.who_data VALUES (69825, 478, 39545, 101, 4856, 295, 193);
INSERT INTO public.who_data VALUES (69826, 0, 18, 0, 0, 295, 18);
INSERT INTO public.who_data VALUES (69827, 2, 1134, 1, 20, 295, 40);
INSERT INTO public.who_data VALUES (69828, 0, 14, 0, 4, 295, 218);
INSERT INTO public.who_data VALUES (69829, 9, 728, 1, 33, 295, 191);
INSERT INTO public.who_data VALUES (69830, 238, 2170, 10, 68, 295, 156);
INSERT INTO public.who_data VALUES (69831, 0, 0, 0, 0, 295, 135);
INSERT INTO public.who_data VALUES (69832, 0, 14, 0, 2, 295, 88);
INSERT INTO public.who_data VALUES (69833, 29, 1494, 4, 81, 295, 55);
INSERT INTO public.who_data VALUES (69834, 49, 7759, 0, 204, 295, 108);
INSERT INTO public.who_data VALUES (69835, 0, 353, 0, 2, 295, 48);
INSERT INTO public.who_data VALUES (69836, 36, 2483, 1, 12, 295, 3);
INSERT INTO public.who_data VALUES (69837, 0, 712, 0, 13, 295, 224);
INSERT INTO public.who_data VALUES (69838, 1159, 18770, 26, 432, 295, 110);
INSERT INTO public.who_data VALUES (69839, 0, 0, 0, 0, 295, 106);
INSERT INTO public.who_data VALUES (69840, 154, 6532, 10, 188, 295, 89);
INSERT INTO public.who_data VALUES (69841, 0, 8, 0, 0, 295, 121);
INSERT INTO public.who_data VALUES (69842, 17, 266, 1, 10, 295, 163);
INSERT INTO public.who_data VALUES (69843, 3045, 36976, 108, 1051, 295, 70);
INSERT INTO public.who_data VALUES (69844, 284, 8772, 11, 579, 295, 174);
INSERT INTO public.who_data VALUES (69845, 0, 0, 0, 0, 295, 175);
INSERT INTO public.who_data VALUES (69846, 228, 13105, 7, 651, 295, 118);
INSERT INTO public.who_data VALUES (69847, 364, 25351, 0, 1007, 295, 189);
INSERT INTO public.who_data VALUES (69848, 36, 1575, 0, 54, 295, 124);
INSERT INTO public.who_data VALUES (69849, 776, 14872, 0, 12, 295, 192);
INSERT INTO public.who_data VALUES (69850, 6, 10780, 2, 250, 295, 41);
INSERT INTO public.who_data VALUES (69851, 83, 3980, 3, 122, 295, 95);
INSERT INTO public.who_data VALUES (69852, 0, 420, 0, 0, 295, 74);
INSERT INTO public.who_data VALUES (69853, 327, 12567, 27, 744, 295, 11);
INSERT INTO public.who_data VALUES (69854, 9623, 124054, 53, 1222, 295, 87);
INSERT INTO public.who_data VALUES (69855, 6, 249, 0, 0, 295, 214);
INSERT INTO public.who_data VALUES (69856, 0, 2, 0, 0, 295, 116);
INSERT INTO public.who_data VALUES (69857, 0, 6, 0, 0, 295, 157);
INSERT INTO public.who_data VALUES (69858, 0, 0, 0, 0, 295, 182);
INSERT INTO public.who_data VALUES (69859, 0, 15, 0, 0, 295, 186);
INSERT INTO public.who_data VALUES (69860, 0, 17, 0, 0, 295, 127);
INSERT INTO public.who_data VALUES (69861, 0, 38, 0, 3, 295, 232);
INSERT INTO public.who_data VALUES (69862, 0, 1, 0, 0, 295, 33);
INSERT INTO public.who_data VALUES (69863, 0, 16, 0, 0, 295, 97);
INSERT INTO public.who_data VALUES (69864, 0, 0, 0, 0, 295, 42);
INSERT INTO public.who_data VALUES (69865, 11, 580, 0, 41, 295, 198);
INSERT INTO public.who_data VALUES (69866, 0, 16, 0, 1, 295, 216);
INSERT INTO public.who_data VALUES (69867, 1362, 25459, 7, 176, 295, 164);
INSERT INTO public.who_data VALUES (69868, 91, 1024, 0, 9, 295, 235);
INSERT INTO public.who_data VALUES (69869, 196, 9205, 6, 185, 295, 67);
INSERT INTO public.who_data VALUES (69870, 0, 11, 0, 0, 295, 15);
INSERT INTO public.who_data VALUES (69871, 12, 136, 1, 8, 295, 180);
INSERT INTO public.who_data VALUES (69872, 932, 17101, 1, 16, 295, 237);
INSERT INTO public.who_data VALUES (69873, 0, 2, 0, 0, 295, 25);
INSERT INTO public.who_data VALUES (69874, 0, 76, 0, 13, 295, 209);
INSERT INTO public.who_data VALUES (69875, 5, 1396, 1, 23, 295, 217);
INSERT INTO public.who_data VALUES (69876, 5, 1434, 3, 100, 295, 79);
INSERT INTO public.who_data VALUES (69877, 0, 0, 0, 0, 295, 143);
INSERT INTO public.who_data VALUES (69878, 70, 671, 3, 31, 295, 229);
INSERT INTO public.who_data VALUES (69879, 304, 5951, 13, 116, 295, 141);
INSERT INTO public.who_data VALUES (69880, 10, 45, 0, 0, 295, 197);
INSERT INTO public.who_data VALUES (69881, 1440, 225982, 223, 26123, 295, 221);
INSERT INTO public.who_data VALUES (69882, 25, 690, 0, 7, 295, 150);
INSERT INTO public.who_data VALUES (69883, 91, 533, 5, 36, 295, 56);
INSERT INTO public.who_data VALUES (69884, 0, 10, 0, 1, 295, 167);
INSERT INTO public.who_data VALUES (69885, 636, 21606, 78, 2908, 295, 23);
INSERT INTO public.who_data VALUES (69886, 83, 29860, 12, 1611, 295, 222);
INSERT INTO public.who_data VALUES (69887, 1, 44, 0, 3, 295, 219);
INSERT INTO public.who_data VALUES (69888, 17, 32, 0, 0, 295, 7);
INSERT INTO public.who_data VALUES (69889, 6, 2966, 0, 54, 295, 161);
INSERT INTO public.who_data VALUES (69890, 4966, 177562, 698, 27381, 295, 149);
INSERT INTO public.who_data VALUES (69891, 0, 24, 0, 0, 295, 6);
INSERT INTO public.who_data VALUES (69892, 7, 123, 0, 9, 295, 139);
INSERT INTO public.who_data VALUES (69893, 0, 0, 0, 0, 295, 211);
INSERT INTO public.who_data VALUES (69894, 0, 0, 0, 0, 295, 14);
INSERT INTO public.who_data VALUES (69895, 0, 116, 0, 8, 295, 111);
INSERT INTO public.who_data VALUES (69896, 4, 998, 0, 41, 295, 207);
INSERT INTO public.who_data VALUES (69897, 2188, 122392, 84, 3258, 295, 66);
INSERT INTO public.who_data VALUES (69898, 0, 0, 0, 0, 295, 173);
INSERT INTO public.who_data VALUES (69899, 0, 12, 0, 1, 295, 145);
INSERT INTO public.who_data VALUES (69900, 0, 0, 0, 0, 295, 65);
INSERT INTO public.who_data VALUES (69901, 2, 83, 0, 0, 295, 184);
INSERT INTO public.who_data VALUES (69902, 550, 11411, 7, 279, 295, 98);
INSERT INTO public.who_data VALUES (69903, 0, 13038, 0, 111, 295, 104);
INSERT INTO public.who_data VALUES (69904, 0, 480, 0, 17, 295, 73);
INSERT INTO public.who_data VALUES (69905, 31774, 1067127, 2005, 62637, 295, 8);
INSERT INTO public.who_data VALUES (69906, 0, 66, 0, 4, 295, 227);
INSERT INTO public.who_data VALUES (69907, 13, 643, 2, 17, 295, 75);
INSERT INTO public.who_data VALUES (69908, 48, 2094, 0, 9, 295, 45);
INSERT INTO public.who_data VALUES (69909, 0, 0, 0, 0, 295, 133);
INSERT INTO public.who_data VALUES (69910, 2, 333, 0, 10, 295, 202);
INSERT INTO public.who_data VALUES (69911, 0, 270, 0, 0, 295, 129);
INSERT INTO public.who_data VALUES (69912, 0, 0, 0, 0, 295, 36);
INSERT INTO public.who_data VALUES (69913, 1, 7, 0, 2, 295, 51);
INSERT INTO public.who_data VALUES (69914, 3, 109, 0, 3, 295, 206);
INSERT INTO public.who_data VALUES (69915, 2, 34, 0, 4, 295, 5);
INSERT INTO public.who_data VALUES (69916, 0, 2171, 0, 64, 296, 103);
INSERT INTO public.who_data VALUES (69917, 0, 735, 0, 30, 296, 58);
INSERT INTO public.who_data VALUES (69918, 158, 4006, 6, 450, 296, 195);
INSERT INTO public.who_data VALUES (69919, 0, 0, 0, 0, 296, 115);
INSERT INTO public.who_data VALUES (69920, 2, 746, 0, 42, 296, 99);
INSERT INTO public.who_data VALUES (69921, 0, 27, 0, 2, 296, 153);
INSERT INTO public.who_data VALUES (69922, 0, 3, 0, 0, 296, 93);
INSERT INTO public.who_data VALUES (69923, 0, 24, 0, 3, 296, 84);
INSERT INTO public.who_data VALUES (69924, 103, 4304, 8, 215, 296, 78);
INSERT INTO public.who_data VALUES (69925, 134, 2042, 2, 32, 296, 170);
INSERT INTO public.who_data VALUES (69926, 0, 100, 0, 2, 296, 32);
INSERT INTO public.who_data VALUES (69927, 16, 6762, 2, 92, 296, 155);
INSERT INTO public.who_data VALUES (69928, 60, 15424, 4, 584, 296, 82);
INSERT INTO public.who_data VALUES (69929, 38, 1804, 1, 24, 296, 16);
INSERT INTO public.who_data VALUES (69930, 0, 80, 0, 11, 296, 72);
INSERT INTO public.who_data VALUES (69931, 132, 3169, 0, 8, 296, 43);
INSERT INTO public.who_data VALUES (69932, 571, 8238, 2, 170, 296, 120);
INSERT INTO public.who_data VALUES (69933, 0, 80, 1, 7, 296, 213);
INSERT INTO public.who_data VALUES (69934, 846, 14027, 5, 89, 296, 31);
INSERT INTO public.who_data VALUES (69935, 586, 50626, 87, 7860, 296, 204);
INSERT INTO public.who_data VALUES (69936, 0, 18, 0, 2, 296, 152);
INSERT INTO public.who_data VALUES (69937, 15, 84, 0, 2, 296, 144);
INSERT INTO public.who_data VALUES (69938, 0, 111, 0, 6, 296, 96);
INSERT INTO public.who_data VALUES (69939, 0, 7, 0, 0, 296, 47);
INSERT INTO public.who_data VALUES (69940, 57, 1110, 4, 59, 296, 80);
INSERT INTO public.who_data VALUES (69941, 0, 2, 0, 0, 296, 159);
INSERT INTO public.who_data VALUES (69942, 93, 1782, 5, 69, 296, 27);
INSERT INTO public.who_data VALUES (69943, 0, 23, 0, 1, 296, 146);
INSERT INTO public.who_data VALUES (69944, 6276, 78162, 449, 5466, 296, 71);
INSERT INTO public.who_data VALUES (69945, 0, 6, 0, 1, 296, 210);
INSERT INTO public.who_data VALUES (69946, 0, 138, 0, 1, 296, 54);
INSERT INTO public.who_data VALUES (69947, 59, 1506, 2, 66, 296, 147);
INSERT INTO public.who_data VALUES (69948, 7, 645, 1, 43, 296, 2);
INSERT INTO public.who_data VALUES (69949, 0, 15, 0, 1, 296, 105);
INSERT INTO public.who_data VALUES (69950, 8, 121, 0, 1, 296, 53);
INSERT INTO public.who_data VALUES (69951, 0, 122, 0, 0, 296, 81);
INSERT INTO public.who_data VALUES (69952, 26, 1832, 2, 61, 296, 223);
INSERT INTO public.who_data VALUES (69953, 1693, 52056, 178, 3082, 296, 94);
INSERT INTO public.who_data VALUES (69954, 0, 73, 0, 1, 296, 154);
INSERT INTO public.who_data VALUES (69955, 14, 64, 0, 0, 296, 83);
INSERT INTO public.who_data VALUES (69956, 21, 73, 1, 3, 296, 194);
INSERT INTO public.who_data VALUES (69957, 1138, 16023, 11, 227, 296, 136);
INSERT INTO public.who_data VALUES (69958, 12, 84385, 0, 4643, 296, 179);
INSERT INTO public.who_data VALUES (69959, 262, 6211, 9, 278, 296, 57);
INSERT INTO public.who_data VALUES (69960, 1, 1, 0, 0, 296, 35);
INSERT INTO public.who_data VALUES (69961, 0, 220, 0, 9, 296, 228);
INSERT INTO public.who_data VALUES (69962, 0, 0, 0, 0, 296, 19);
INSERT INTO public.who_data VALUES (69963, 8, 713, 0, 6, 296, 22);
INSERT INTO public.who_data VALUES (69964, 37, 1275, 0, 14, 296, 1);
INSERT INTO public.who_data VALUES (69965, 14, 2076, 2, 69, 296, 21);
INSERT INTO public.who_data VALUES (69966, 34, 1501, 3, 61, 296, 234);
INSERT INTO public.who_data VALUES (69967, 0, 16, 0, 1, 296, 91);
INSERT INTO public.who_data VALUES (69968, 7, 850, 0, 15, 296, 137);
INSERT INTO public.who_data VALUES (69969, 103, 7682, 9, 236, 296, 201);
INSERT INTO public.who_data VALUES (69970, 0, 0, 0, 0, 296, 171);
INSERT INTO public.who_data VALUES (69971, 72, 572, 0, 31, 296, 92);
INSERT INTO public.who_data VALUES (69972, 150, 9158, 9, 452, 296, 112);
INSERT INTO public.who_data VALUES (69973, 8, 1097, 0, 2, 296, 62);
INSERT INTO public.who_data VALUES (69974, 0, 16, 0, 0, 296, 69);
INSERT INTO public.who_data VALUES (69975, 320, 6972, 8, 301, 296, 220);
INSERT INTO public.who_data VALUES (69976, 259, 24934, 17, 900, 296, 100);
INSERT INTO public.who_data VALUES (69977, 358, 5895, 14, 406, 296, 187);
INSERT INTO public.who_data VALUES (69978, 18, 395, 0, 9, 296, 63);
INSERT INTO public.who_data VALUES (69979, 0, 315, 1, 2, 296, 28);
INSERT INTO public.who_data VALUES (69980, 0, 39, 0, 0, 296, 172);
INSERT INTO public.who_data VALUES (69981, 23, 1689, 2, 52, 296, 17);
INSERT INTO public.who_data VALUES (69982, 9, 100, 0, 1, 296, 226);
INSERT INTO public.who_data VALUES (69983, 1, 131, 0, 3, 296, 236);
INSERT INTO public.who_data VALUES (69984, 0, 13, 0, 0, 296, 76);
INSERT INTO public.who_data VALUES (69985, 0, 187, 0, 0, 296, 30);
INSERT INTO public.who_data VALUES (69986, 0, 18, 0, 0, 296, 128);
INSERT INTO public.who_data VALUES (69987, 89, 4995, 5, 211, 296, 86);
INSERT INTO public.who_data VALUES (69988, 1055, 128121, 288, 24342, 296, 140);
INSERT INTO public.who_data VALUES (69989, 1, 126, 0, 1, 296, 44);
INSERT INTO public.who_data VALUES (69990, 0, 58, 0, 0, 296, 113);
INSERT INTO public.who_data VALUES (69991, 0, 276, 0, 3, 296, 29);
INSERT INTO public.who_data VALUES (69992, 1, 12, 0, 1, 296, 125);
INSERT INTO public.who_data VALUES (69993, 27, 566, 0, 6, 296, 131);
INSERT INTO public.who_data VALUES (69994, 1639, 160758, 193, 6481, 296, 46);
INSERT INTO public.who_data VALUES (69995, 403, 2074, 1, 17, 296, 10);
INSERT INTO public.who_data VALUES (69996, 0, 141, 0, 0, 296, 205);
INSERT INTO public.who_data VALUES (69997, 15, 2591, 1, 140, 296, 50);
INSERT INTO public.who_data VALUES (69998, 0, 11, 0, 0, 296, 20);
INSERT INTO public.who_data VALUES (69999, 1, 20, 0, 0, 296, 13);
INSERT INTO public.who_data VALUES (70000, 1, 152, 1, 12, 296, 148);
INSERT INTO public.who_data VALUES (70001, 1, 142, 0, 5, 296, 230);
INSERT INTO public.who_data VALUES (70002, 28, 585, 0, 16, 296, 190);
INSERT INTO public.who_data VALUES (70003, 4, 251, 0, 13, 296, 188);
INSERT INTO public.who_data VALUES (70004, 144, 1495, 0, 7, 296, 123);
INSERT INTO public.who_data VALUES (70005, 124, 201, 0, 1, 296, 9);
INSERT INTO public.who_data VALUES (70006, 3, 78, 0, 8, 296, 102);
INSERT INTO public.who_data VALUES (70007, 0, 76, 1, 7, 296, 34);
INSERT INTO public.who_data VALUES (70008, 1, 11, 0, 0, 296, 212);
INSERT INTO public.who_data VALUES (70009, 33, 771, 5, 71, 296, 122);
INSERT INTO public.who_data VALUES (70010, 88, 2863, 11, 323, 296, 38);
INSERT INTO public.who_data VALUES (70011, 0, 1797, 0, 10, 296, 130);
INSERT INTO public.who_data VALUES (70012, 1993, 35043, 73, 1147, 296, 37);
INSERT INTO public.who_data VALUES (70013, 433, 10551, 8, 800, 296, 231);
INSERT INTO public.who_data VALUES (70014, 1006, 95646, 63, 6091, 296, 107);
INSERT INTO public.who_data VALUES (70015, 82, 2085, 1, 93, 296, 101);
INSERT INTO public.who_data VALUES (70016, 359, 20612, 42, 1232, 296, 132);
INSERT INTO public.who_data VALUES (70017, 2, 311, 1, 22, 296, 176);
INSERT INTO public.who_data VALUES (70018, 82, 15763, 6, 219, 296, 200);
INSERT INTO public.who_data VALUES (70019, 1872, 205463, 285, 27967, 296, 169);
INSERT INTO public.who_data VALUES (70020, 15, 396, 0, 7, 296, 225);
INSERT INTO public.who_data VALUES (70021, 193, 14281, 17, 432, 296, 165);
INSERT INTO public.who_data VALUES (70022, 6, 290, 0, 20, 296, 233);
INSERT INTO public.who_data VALUES (70023, 0, 453, 0, 8, 296, 215);
INSERT INTO public.who_data VALUES (70024, 234, 3785, 0, 25, 296, 177);
INSERT INTO public.who_data VALUES (70025, 12, 396, 2, 17, 296, 183);
INSERT INTO public.who_data VALUES (70026, 0, 0, 0, 0, 296, 203);
INSERT INTO public.who_data VALUES (70027, 0, 799, 0, 17, 296, 162);
INSERT INTO public.who_data VALUES (70028, 353, 4377, 4, 30, 296, 12);
INSERT INTO public.who_data VALUES (70029, 10, 756, 0, 8, 296, 24);
INSERT INTO public.who_data VALUES (70030, 0, 19, 0, 0, 296, 119);
INSERT INTO public.who_data VALUES (70031, 9, 858, 0, 15, 296, 39);
INSERT INTO public.who_data VALUES (70032, 4, 729, 0, 24, 296, 26);
INSERT INTO public.who_data VALUES (70033, 0, 0, 0, 0, 296, 59);
INSERT INTO public.who_data VALUES (70034, 0, 141, 0, 16, 296, 77);
INSERT INTO public.who_data VALUES (70035, 2, 63, 1, 3, 296, 134);
INSERT INTO public.who_data VALUES (70036, 0, 83, 0, 1, 296, 4);
INSERT INTO public.who_data VALUES (70037, 14, 1389, 0, 45, 296, 109);
INSERT INTO public.who_data VALUES (70038, 15, 3784, 1, 90, 296, 90);
INSERT INTO public.who_data VALUES (70039, 4, 132, 0, 0, 296, 61);
INSERT INTO public.who_data VALUES (70040, 1, 37, 0, 3, 296, 85);
INSERT INTO public.who_data VALUES (70041, 57, 6002, 2, 102, 296, 49);
INSERT INTO public.who_data VALUES (70042, 72, 468, 1, 1, 296, 208);
INSERT INTO public.who_data VALUES (70043, 8, 490, 1, 26, 296, 166);
INSERT INTO public.who_data VALUES (70044, 2, 464, 0, 4, 296, 64);
INSERT INTO public.who_data VALUES (70045, 0, 0, 0, 0, 296, 199);
INSERT INTO public.who_data VALUES (70046, 3, 178, 0, 14, 296, 114);
INSERT INTO public.who_data VALUES (70047, 1, 8, 0, 1, 296, 60);
INSERT INTO public.who_data VALUES (70048, 0, 332, 0, 10, 296, 68);
INSERT INTO public.who_data VALUES (70049, 79, 539, 0, 4, 296, 158);
INSERT INTO public.who_data VALUES (70050, 1047, 17799, 163, 1732, 296, 52);
INSERT INTO public.who_data VALUES (70051, 0, 0, 0, 0, 296, 117);
INSERT INTO public.who_data VALUES (70052, 0, 66, 0, 1, 296, 126);
INSERT INTO public.who_data VALUES (70053, 0, 38, 0, 0, 296, 196);
INSERT INTO public.who_data VALUES (70054, 0, 322, 0, 7, 296, 142);
INSERT INTO public.who_data VALUES (70055, 0, 11, 0, 1, 296, 185);
INSERT INTO public.who_data VALUES (70056, 170, 4529, 3, 171, 296, 138);
INSERT INTO public.who_data VALUES (70057, 0, 76, 0, 0, 296, 181);
INSERT INTO public.who_data VALUES (70058, 1, 151, 0, 6, 296, 178);
INSERT INTO public.who_data VALUES (70059, 0, 16, 0, 0, 296, 168);
INSERT INTO public.who_data VALUES (70060, 0, 0, 0, 0, 296, 160);
INSERT INTO public.who_data VALUES (70061, 2, 59, 0, 0, 296, 151);
INSERT INTO public.who_data VALUES (70062, 507, 39067, 85, 4755, 296, 193);
INSERT INTO public.who_data VALUES (70063, 0, 18, 0, 0, 296, 18);
INSERT INTO public.who_data VALUES (70064, 3, 1132, 0, 19, 296, 40);
INSERT INTO public.who_data VALUES (70065, 1, 14, 1, 4, 296, 218);
INSERT INTO public.who_data VALUES (70066, 6, 719, 0, 32, 296, 191);
INSERT INTO public.who_data VALUES (70067, 400, 1932, 14, 58, 296, 156);
INSERT INTO public.who_data VALUES (70068, 0, 0, 0, 0, 296, 135);
INSERT INTO public.who_data VALUES (70069, 0, 14, 0, 2, 296, 88);
INSERT INTO public.who_data VALUES (70070, 23, 1465, 4, 77, 296, 55);
INSERT INTO public.who_data VALUES (70071, 43, 7710, 2, 204, 296, 108);
INSERT INTO public.who_data VALUES (70072, 9, 353, 0, 2, 296, 48);
INSERT INTO public.who_data VALUES (70073, 99, 2447, 0, 11, 296, 3);
INSERT INTO public.who_data VALUES (70074, 0, 712, 0, 13, 296, 224);
INSERT INTO public.who_data VALUES (70075, 1494, 17611, 48, 406, 296, 110);
INSERT INTO public.who_data VALUES (70076, 0, 0, 0, 0, 296, 106);
INSERT INTO public.who_data VALUES (70077, 178, 6378, 2, 178, 296, 89);
INSERT INTO public.who_data VALUES (70078, 0, 8, 0, 0, 296, 121);
INSERT INTO public.who_data VALUES (70079, 10, 249, 0, 9, 296, 163);
INSERT INTO public.who_data VALUES (70080, 2741, 33931, 89, 943, 296, 70);
INSERT INTO public.who_data VALUES (70081, 276, 8488, 10, 568, 296, 174);
INSERT INTO public.who_data VALUES (70082, 0, 0, 0, 0, 296, 175);
INSERT INTO public.who_data VALUES (70083, 237, 12877, 20, 644, 296, 118);
INSERT INTO public.who_data VALUES (70084, 295, 24987, 18, 1007, 296, 189);
INSERT INTO public.who_data VALUES (70085, 106, 1539, 0, 54, 296, 124);
INSERT INTO public.who_data VALUES (70086, 687, 14096, 2, 12, 296, 192);
INSERT INTO public.who_data VALUES (70087, 9, 10774, 1, 248, 296, 41);
INSERT INTO public.who_data VALUES (70088, 126, 3897, 3, 119, 296, 95);
INSERT INTO public.who_data VALUES (70089, 0, 420, 0, 0, 296, 74);
INSERT INTO public.who_data VALUES (70090, 262, 12240, 42, 717, 296, 11);
INSERT INTO public.who_data VALUES (70091, 7933, 114431, 96, 1169, 296, 87);
INSERT INTO public.who_data VALUES (70092, 18, 243, 0, 0, 296, 214);
INSERT INTO public.who_data VALUES (70093, 0, 2, 0, 0, 296, 116);
INSERT INTO public.who_data VALUES (70094, 0, 6, 0, 0, 296, 157);
INSERT INTO public.who_data VALUES (70095, 0, 0, 0, 0, 296, 182);
INSERT INTO public.who_data VALUES (70096, 0, 15, 0, 0, 296, 186);
INSERT INTO public.who_data VALUES (70097, 0, 17, 0, 0, 296, 127);
INSERT INTO public.who_data VALUES (70098, 0, 38, 0, 3, 296, 232);
INSERT INTO public.who_data VALUES (70099, 0, 1, 0, 0, 296, 33);
INSERT INTO public.who_data VALUES (70100, 0, 16, 0, 0, 296, 97);
INSERT INTO public.who_data VALUES (70101, 0, 0, 0, 0, 296, 42);
INSERT INTO public.who_data VALUES (70102, 6, 569, 0, 41, 296, 198);
INSERT INTO public.who_data VALUES (70103, 5, 16, 1, 1, 296, 216);
INSERT INTO public.who_data VALUES (70104, 1344, 24097, 7, 169, 296, 164);
INSERT INTO public.who_data VALUES (70105, 51, 933, 0, 9, 296, 235);
INSERT INTO public.who_data VALUES (70106, 285, 9009, 6, 179, 296, 67);
INSERT INTO public.who_data VALUES (70107, 0, 11, 0, 0, 296, 15);
INSERT INTO public.who_data VALUES (70108, 8, 124, 2, 7, 296, 180);
INSERT INTO public.who_data VALUES (70109, 528, 16169, 1, 15, 296, 237);
INSERT INTO public.who_data VALUES (70110, 0, 2, 0, 0, 296, 25);
INSERT INTO public.who_data VALUES (70111, 1, 76, 0, 13, 296, 209);
INSERT INTO public.who_data VALUES (70112, 7, 1391, 2, 22, 296, 217);
INSERT INTO public.who_data VALUES (70113, 11, 1429, 1, 97, 296, 79);
INSERT INTO public.who_data VALUES (70114, 0, 0, 0, 0, 296, 143);
INSERT INTO public.who_data VALUES (70115, 0, 601, 0, 28, 296, 229);
INSERT INTO public.who_data VALUES (70116, 297, 5647, 0, 103, 296, 141);
INSERT INTO public.who_data VALUES (70117, 1, 35, 0, 0, 296, 197);
INSERT INTO public.who_data VALUES (70118, 1484, 224542, 236, 25900, 296, 221);
INSERT INTO public.who_data VALUES (70119, 16, 665, 0, 7, 296, 150);
INSERT INTO public.who_data VALUES (70120, 67, 442, 3, 31, 296, 56);
INSERT INTO public.who_data VALUES (70121, 0, 10, 0, 1, 296, 167);
INSERT INTO public.who_data VALUES (70122, 799, 20970, 83, 2830, 296, 23);
INSERT INTO public.who_data VALUES (70123, 101, 29777, 14, 1599, 296, 222);
INSERT INTO public.who_data VALUES (70124, 0, 43, 0, 3, 296, 219);
INSERT INTO public.who_data VALUES (70125, 15, 15, 0, 0, 296, 7);
INSERT INTO public.who_data VALUES (70126, 6, 2960, 0, 54, 296, 161);
INSERT INTO public.who_data VALUES (70127, 5442, 172596, 634, 26683, 296, 149);
INSERT INTO public.who_data VALUES (70128, 0, 24, 0, 0, 296, 6);
INSERT INTO public.who_data VALUES (70129, 7, 116, 2, 9, 296, 139);
INSERT INTO public.who_data VALUES (70130, 0, 0, 0, 0, 296, 211);
INSERT INTO public.who_data VALUES (70131, 0, 0, 0, 0, 296, 14);
INSERT INTO public.who_data VALUES (70132, 0, 116, 0, 8, 296, 111);
INSERT INTO public.who_data VALUES (70133, 14, 994, 1, 41, 296, 207);
INSERT INTO public.who_data VALUES (70134, 2615, 120204, 93, 3174, 296, 66);
INSERT INTO public.who_data VALUES (70135, 0, 0, 0, 0, 296, 173);
INSERT INTO public.who_data VALUES (70136, 0, 12, 0, 1, 296, 145);
INSERT INTO public.who_data VALUES (70137, 0, 0, 0, 0, 296, 65);
INSERT INTO public.who_data VALUES (70138, 2, 81, 0, 0, 296, 184);
INSERT INTO public.who_data VALUES (70139, 455, 10861, 11, 272, 296, 98);
INSERT INTO public.who_data VALUES (70140, 557, 13038, 6, 111, 296, 104);
INSERT INTO public.who_data VALUES (70141, 0, 480, 1, 17, 296, 73);
INSERT INTO public.who_data VALUES (70142, 31379, 1035353, 2902, 60632, 296, 8);
INSERT INTO public.who_data VALUES (70143, 4, 66, 0, 4, 296, 227);
INSERT INTO public.who_data VALUES (70144, 5, 630, 0, 15, 296, 75);
INSERT INTO public.who_data VALUES (70145, 15, 2046, 0, 9, 296, 45);
INSERT INTO public.who_data VALUES (70146, 0, 0, 0, 0, 296, 133);
INSERT INTO public.who_data VALUES (70147, 2, 331, 0, 10, 296, 202);
INSERT INTO public.who_data VALUES (70148, 0, 270, 0, 0, 296, 129);
INSERT INTO public.who_data VALUES (70149, 0, 0, 0, 0, 296, 36);
INSERT INTO public.who_data VALUES (70150, 0, 6, 2, 2, 296, 51);
INSERT INTO public.who_data VALUES (70151, 9, 106, 0, 3, 296, 206);
INSERT INTO public.who_data VALUES (70152, 0, 32, 0, 4, 296, 5);
INSERT INTO public.who_data VALUES (70153, 344, 2171, 4, 64, 297, 103);
INSERT INTO public.who_data VALUES (70154, 7, 735, 1, 30, 297, 58);
INSERT INTO public.who_data VALUES (70155, 199, 3848, 7, 444, 297, 195);
INSERT INTO public.who_data VALUES (70156, 0, 0, 0, 0, 297, 115);
INSERT INTO public.who_data VALUES (70157, 2, 744, 0, 42, 297, 99);
INSERT INTO public.who_data VALUES (70158, 0, 27, 0, 2, 297, 153);
INSERT INTO public.who_data VALUES (70159, 0, 3, 0, 0, 297, 93);
INSERT INTO public.who_data VALUES (70160, 0, 24, 0, 3, 297, 84);
INSERT INTO public.who_data VALUES (70161, 182, 4201, 10, 207, 297, 78);
INSERT INTO public.who_data VALUES (70162, 65, 1908, 0, 30, 297, 170);
INSERT INTO public.who_data VALUES (70163, 0, 100, 0, 2, 297, 32);
INSERT INTO public.who_data VALUES (70164, 8, 6746, 2, 90, 297, 155);
INSERT INTO public.who_data VALUES (70165, 50, 15364, 11, 580, 297, 82);
INSERT INTO public.who_data VALUES (70166, 49, 1766, 1, 23, 297, 16);
INSERT INTO public.who_data VALUES (70167, 0, 80, 0, 11, 297, 72);
INSERT INTO public.who_data VALUES (70168, 168, 3037, 0, 8, 297, 43);
INSERT INTO public.who_data VALUES (70169, 564, 7667, 5, 168, 297, 120);
INSERT INTO public.who_data VALUES (70170, 0, 80, 0, 6, 297, 213);
INSERT INTO public.who_data VALUES (70171, 973, 13181, 5, 84, 297, 31);
INSERT INTO public.who_data VALUES (70172, 522, 50040, 106, 7773, 297, 204);
INSERT INTO public.who_data VALUES (70173, 0, 18, 0, 2, 297, 152);
INSERT INTO public.who_data VALUES (70174, 5, 69, 1, 2, 297, 144);
INSERT INTO public.who_data VALUES (70175, 1, 111, 0, 6, 297, 96);
INSERT INTO public.who_data VALUES (70176, 0, 7, 0, 0, 297, 47);
INSERT INTO public.who_data VALUES (70177, 39, 1053, 2, 55, 297, 80);
INSERT INTO public.who_data VALUES (70178, 0, 2, 0, 0, 297, 159);
INSERT INTO public.who_data VALUES (70179, 101, 1689, 2, 64, 297, 27);
INSERT INTO public.who_data VALUES (70180, 0, 23, 0, 1, 297, 146);
INSERT INTO public.who_data VALUES (70181, 5385, 71886, 474, 5017, 297, 71);
INSERT INTO public.who_data VALUES (70182, 0, 6, 0, 1, 297, 210);
INSERT INTO public.who_data VALUES (70183, 0, 138, 0, 1, 297, 54);
INSERT INTO public.who_data VALUES (70184, 48, 1447, 6, 64, 297, 147);
INSERT INTO public.who_data VALUES (70185, 0, 638, 0, 42, 297, 2);
INSERT INTO public.who_data VALUES (70186, 0, 15, 0, 1, 297, 105);
INSERT INTO public.who_data VALUES (70187, 0, 113, 0, 1, 297, 53);
INSERT INTO public.who_data VALUES (70188, 0, 122, 0, 0, 297, 81);
INSERT INTO public.who_data VALUES (70189, 101, 1806, 1, 59, 297, 223);
INSERT INTO public.who_data VALUES (70190, 1349, 50363, 138, 2904, 297, 94);
INSERT INTO public.who_data VALUES (70191, 3, 73, 0, 1, 297, 154);
INSERT INTO public.who_data VALUES (70192, 0, 50, 0, 0, 297, 83);
INSERT INTO public.who_data VALUES (70193, 0, 52, 0, 2, 297, 194);
INSERT INTO public.who_data VALUES (70194, 520, 14885, 9, 216, 297, 136);
INSERT INTO public.who_data VALUES (70195, 4, 84373, 0, 4643, 297, 179);
INSERT INTO public.who_data VALUES (70196, 352, 5949, 16, 269, 297, 57);
INSERT INTO public.who_data VALUES (70197, 0, 0, 0, 0, 297, 35);
INSERT INTO public.who_data VALUES (70198, 13, 220, 1, 9, 297, 228);
INSERT INTO public.who_data VALUES (70199, 0, 0, 0, 0, 297, 19);
INSERT INTO public.who_data VALUES (70200, 8, 705, 0, 6, 297, 22);
INSERT INTO public.who_data VALUES (70201, 55, 1238, 0, 14, 297, 1);
INSERT INTO public.who_data VALUES (70202, 15, 2062, 4, 67, 297, 21);
INSERT INTO public.who_data VALUES (70203, 30, 1467, 0, 58, 297, 234);
INSERT INTO public.who_data VALUES (70204, 0, 16, 0, 1, 297, 91);
INSERT INTO public.who_data VALUES (70205, 6, 843, 0, 15, 297, 137);
INSERT INTO public.who_data VALUES (70206, 75, 7579, 0, 227, 297, 201);
INSERT INTO public.who_data VALUES (70207, 0, 0, 0, 0, 297, 171);
INSERT INTO public.who_data VALUES (70208, 9, 500, 1, 31, 297, 92);
INSERT INTO public.who_data VALUES (70209, 157, 9008, 9, 443, 297, 112);
INSERT INTO public.who_data VALUES (70210, 12, 1089, 0, 2, 297, 62);
INSERT INTO public.who_data VALUES (70211, 0, 16, 0, 0, 297, 69);
INSERT INTO public.who_data VALUES (70212, 236, 6652, 7, 293, 297, 220);
INSERT INTO public.who_data VALUES (70213, 417, 24675, 12, 883, 297, 100);
INSERT INTO public.who_data VALUES (70214, 269, 5537, 12, 392, 297, 187);
INSERT INTO public.who_data VALUES (70215, 32, 377, 1, 9, 297, 63);
INSERT INTO public.who_data VALUES (70216, 0, 315, 0, 1, 297, 28);
INSERT INTO public.who_data VALUES (70217, 0, 39, 0, 0, 297, 172);
INSERT INTO public.who_data VALUES (70218, 6, 1666, 0, 50, 297, 17);
INSERT INTO public.who_data VALUES (70219, 20, 91, 0, 1, 297, 226);
INSERT INTO public.who_data VALUES (70220, 4, 130, 0, 3, 297, 236);
INSERT INTO public.who_data VALUES (70221, 0, 13, 0, 0, 297, 76);
INSERT INTO public.who_data VALUES (70222, 0, 187, 0, 0, 297, 30);
INSERT INTO public.who_data VALUES (70223, 0, 18, 0, 0, 297, 128);
INSERT INTO public.who_data VALUES (70224, 166, 4906, 7, 206, 297, 86);
INSERT INTO public.who_data VALUES (70225, 1601, 127066, 427, 24054, 297, 140);
INSERT INTO public.who_data VALUES (70226, 1, 125, 0, 1, 297, 44);
INSERT INTO public.who_data VALUES (70227, 0, 58, 0, 0, 297, 113);
INSERT INTO public.who_data VALUES (70228, 38, 276, 0, 3, 297, 29);
INSERT INTO public.who_data VALUES (70229, 1, 11, 0, 1, 297, 125);
INSERT INTO public.who_data VALUES (70230, 22, 539, 0, 6, 297, 131);
INSERT INTO public.who_data VALUES (70231, 1478, 159119, 173, 6288, 297, 46);
INSERT INTO public.who_data VALUES (70232, 0, 1671, 0, 16, 297, 10);
INSERT INTO public.who_data VALUES (70233, 0, 141, 0, 0, 297, 205);
INSERT INTO public.who_data VALUES (70234, 42, 2576, 3, 139, 297, 50);
INSERT INTO public.who_data VALUES (70235, 0, 11, 0, 0, 297, 20);
INSERT INTO public.who_data VALUES (70236, 1, 19, 0, 0, 297, 13);
INSERT INTO public.who_data VALUES (70237, 2, 151, 0, 11, 297, 148);
INSERT INTO public.who_data VALUES (70238, 0, 141, 0, 5, 297, 230);
INSERT INTO public.who_data VALUES (70239, 27, 557, 1, 16, 297, 190);
INSERT INTO public.who_data VALUES (70240, 0, 247, 0, 13, 297, 188);
INSERT INTO public.who_data VALUES (70241, 111, 1351, 0, 7, 297, 123);
INSERT INTO public.who_data VALUES (70242, 4, 77, 0, 1, 297, 9);
INSERT INTO public.who_data VALUES (70243, 1, 75, 0, 8, 297, 102);
INSERT INTO public.who_data VALUES (70244, 0, 76, 0, 6, 297, 34);
INSERT INTO public.who_data VALUES (70245, 0, 10, 0, 0, 297, 212);
INSERT INTO public.who_data VALUES (70246, 36, 738, 2, 66, 297, 122);
INSERT INTO public.who_data VALUES (70247, 48, 2775, 12, 312, 297, 38);
INSERT INTO public.who_data VALUES (70248, 2, 1797, 0, 10, 297, 130);
INSERT INTO public.who_data VALUES (70249, 1718, 33050, 67, 1074, 297, 37);
INSERT INTO public.who_data VALUES (70250, 347, 10118, 8, 792, 297, 231);
INSERT INTO public.who_data VALUES (70251, 983, 94640, 71, 6028, 297, 107);
INSERT INTO public.who_data VALUES (70252, 75, 2003, 2, 92, 297, 101);
INSERT INTO public.who_data VALUES (70253, 376, 20253, 31, 1190, 297, 132);
INSERT INTO public.who_data VALUES (70254, 1, 309, 1, 21, 297, 176);
INSERT INTO public.who_data VALUES (70255, 159, 15681, 5, 213, 297, 200);
INSERT INTO public.who_data VALUES (70256, 2086, 203591, 323, 27682, 297, 169);
INSERT INTO public.who_data VALUES (70257, 17, 381, 0, 7, 297, 225);
INSERT INTO public.who_data VALUES (70258, 236, 14088, 26, 415, 297, 165);
INSERT INTO public.who_data VALUES (70259, 1, 284, 1, 20, 297, 233);
INSERT INTO public.who_data VALUES (70260, 4, 453, 0, 8, 297, 215);
INSERT INTO public.who_data VALUES (70261, 218, 3551, 0, 25, 297, 177);
INSERT INTO public.who_data VALUES (70262, 10, 384, 1, 15, 297, 183);
INSERT INTO public.who_data VALUES (70263, 0, 0, 0, 0, 297, 203);
INSERT INTO public.who_data VALUES (70264, 9, 799, 0, 17, 297, 162);
INSERT INTO public.who_data VALUES (70265, 284, 4024, 2, 26, 297, 12);
INSERT INTO public.who_data VALUES (70266, 17, 746, 0, 8, 297, 24);
INSERT INTO public.who_data VALUES (70267, 0, 19, 0, 0, 297, 119);
INSERT INTO public.who_data VALUES (70268, 13, 849, 2, 15, 297, 39);
INSERT INTO public.who_data VALUES (70269, 4, 725, 0, 24, 297, 26);
INSERT INTO public.who_data VALUES (70270, 0, 0, 0, 0, 297, 59);
INSERT INTO public.who_data VALUES (70271, 0, 141, 0, 16, 297, 77);
INSERT INTO public.who_data VALUES (70272, 0, 61, 0, 2, 297, 134);
INSERT INTO public.who_data VALUES (70273, 0, 83, 0, 1, 297, 4);
INSERT INTO public.who_data VALUES (70274, 11, 1375, 0, 45, 297, 109);
INSERT INTO public.who_data VALUES (70275, 28, 3769, 0, 89, 297, 90);
INSERT INTO public.who_data VALUES (70276, 0, 128, 0, 0, 297, 61);
INSERT INTO public.who_data VALUES (70277, 0, 36, 0, 3, 297, 85);
INSERT INTO public.who_data VALUES (70278, 94, 5945, 0, 100, 297, 49);
INSERT INTO public.who_data VALUES (70279, 140, 396, 0, 0, 297, 208);
INSERT INTO public.who_data VALUES (70280, 58, 482, 1, 25, 297, 166);
INSERT INTO public.who_data VALUES (70281, 5, 462, 0, 4, 297, 64);
INSERT INTO public.who_data VALUES (70282, 0, 0, 0, 0, 297, 199);
INSERT INTO public.who_data VALUES (70283, 0, 175, 0, 14, 297, 114);
INSERT INTO public.who_data VALUES (70284, 0, 7, 0, 1, 297, 60);
INSERT INTO public.who_data VALUES (70285, 0, 332, 0, 10, 297, 68);
INSERT INTO public.who_data VALUES (70286, 0, 460, 0, 4, 297, 158);
INSERT INTO public.who_data VALUES (70287, 1223, 16752, 135, 1569, 297, 52);
INSERT INTO public.who_data VALUES (70288, 0, 0, 0, 0, 297, 117);
INSERT INTO public.who_data VALUES (70289, 0, 66, 0, 1, 297, 126);
INSERT INTO public.who_data VALUES (70290, 0, 38, 0, 0, 297, 196);
INSERT INTO public.who_data VALUES (70291, 0, 322, 0, 7, 297, 142);
INSERT INTO public.who_data VALUES (70292, 0, 11, 0, 1, 297, 185);
INSERT INTO public.who_data VALUES (70293, 70, 4359, 1, 168, 297, 138);
INSERT INTO public.who_data VALUES (70294, 0, 76, 0, 0, 297, 181);
INSERT INTO public.who_data VALUES (70295, 0, 150, 1, 6, 297, 178);
INSERT INTO public.who_data VALUES (70296, 0, 16, 0, 0, 297, 168);
INSERT INTO public.who_data VALUES (70297, 0, 0, 0, 0, 297, 160);
INSERT INTO public.who_data VALUES (70298, 0, 57, 0, 0, 297, 151);
INSERT INTO public.who_data VALUES (70299, 388, 38560, 141, 4670, 297, 193);
INSERT INTO public.who_data VALUES (70300, 0, 18, 0, 0, 297, 18);
INSERT INTO public.who_data VALUES (70301, 3, 1129, 0, 19, 297, 40);
INSERT INTO public.who_data VALUES (70302, 0, 13, 0, 3, 297, 218);
INSERT INTO public.who_data VALUES (70303, 4, 713, 1, 32, 297, 191);
INSERT INTO public.who_data VALUES (70304, 195, 1532, 4, 44, 297, 156);
INSERT INTO public.who_data VALUES (70305, 0, 0, 0, 0, 297, 135);
INSERT INTO public.who_data VALUES (70306, 0, 14, 0, 2, 297, 88);
INSERT INTO public.who_data VALUES (70307, 21, 1442, 2, 73, 297, 55);
INSERT INTO public.who_data VALUES (70308, 62, 7667, 7, 202, 297, 108);
INSERT INTO public.who_data VALUES (70309, 1, 344, 0, 2, 297, 48);
INSERT INTO public.who_data VALUES (70310, 74, 2348, 1, 11, 297, 3);
INSERT INTO public.who_data VALUES (70311, 0, 712, 0, 13, 297, 224);
INSERT INTO public.who_data VALUES (70312, 828, 16117, 23, 358, 297, 110);
INSERT INTO public.who_data VALUES (70313, 0, 0, 0, 0, 297, 106);
INSERT INTO public.who_data VALUES (70314, 179, 6200, 9, 176, 297, 89);
INSERT INTO public.who_data VALUES (70315, 0, 8, 0, 0, 297, 121);
INSERT INTO public.who_data VALUES (70316, 9, 239, 0, 9, 297, 163);
INSERT INTO public.who_data VALUES (70317, 2491, 31190, 72, 854, 297, 70);
INSERT INTO public.who_data VALUES (70318, 254, 8212, 28, 558, 297, 174);
INSERT INTO public.who_data VALUES (70319, 0, 0, 0, 0, 297, 175);
INSERT INTO public.who_data VALUES (70320, 422, 12640, 28, 624, 297, 118);
INSERT INTO public.who_data VALUES (70321, 368, 24692, 16, 989, 297, 189);
INSERT INTO public.who_data VALUES (70322, 33, 1433, 0, 54, 297, 124);
INSERT INTO public.who_data VALUES (70323, 845, 13409, 0, 10, 297, 192);
INSERT INTO public.who_data VALUES (70324, 4, 10765, 1, 247, 297, 41);
INSERT INTO public.who_data VALUES (70325, 133, 3771, 7, 116, 297, 95);
INSERT INTO public.who_data VALUES (70326, 3, 420, 0, 0, 297, 74);
INSERT INTO public.who_data VALUES (70327, 362, 11978, 25, 675, 297, 11);
INSERT INTO public.who_data VALUES (70328, 7099, 106498, 101, 1073, 297, 87);
INSERT INTO public.who_data VALUES (70329, 13, 225, 0, 0, 297, 214);
INSERT INTO public.who_data VALUES (70330, 0, 2, 0, 0, 297, 116);
INSERT INTO public.who_data VALUES (70331, 0, 6, 0, 0, 297, 157);
INSERT INTO public.who_data VALUES (70332, 0, 0, 0, 0, 297, 182);
INSERT INTO public.who_data VALUES (70333, 0, 15, 0, 0, 297, 186);
INSERT INTO public.who_data VALUES (70334, 2, 17, 0, 0, 297, 127);
INSERT INTO public.who_data VALUES (70335, 0, 38, 0, 3, 297, 232);
INSERT INTO public.who_data VALUES (70336, 0, 1, 0, 0, 297, 33);
INSERT INTO public.who_data VALUES (70337, 1, 16, 0, 0, 297, 97);
INSERT INTO public.who_data VALUES (70338, 0, 0, 0, 0, 297, 42);
INSERT INTO public.who_data VALUES (70339, 10, 563, 0, 41, 297, 198);
INSERT INTO public.who_data VALUES (70340, 0, 11, 0, 0, 297, 216);
INSERT INTO public.who_data VALUES (70341, 1351, 22753, 5, 162, 297, 164);
INSERT INTO public.who_data VALUES (70342, 59, 882, 0, 9, 297, 235);
INSERT INTO public.who_data VALUES (70343, 227, 8724, 5, 173, 297, 67);
INSERT INTO public.who_data VALUES (70344, 0, 11, 0, 0, 297, 15);
INSERT INTO public.who_data VALUES (70345, 12, 116, 1, 5, 297, 180);
INSERT INTO public.who_data VALUES (70346, 690, 15641, 0, 14, 297, 237);
INSERT INTO public.who_data VALUES (70347, 0, 2, 0, 0, 297, 25);
INSERT INTO public.who_data VALUES (70348, 0, 75, 0, 13, 297, 209);
INSERT INTO public.who_data VALUES (70349, 3, 1384, 2, 20, 297, 217);
INSERT INTO public.who_data VALUES (70350, 9, 1418, 3, 96, 297, 79);
INSERT INTO public.who_data VALUES (70351, 0, 0, 0, 0, 297, 143);
INSERT INTO public.who_data VALUES (70352, 19, 601, 0, 28, 297, 229);
INSERT INTO public.who_data VALUES (70353, 354, 5350, 10, 103, 297, 141);
INSERT INTO public.who_data VALUES (70354, 0, 34, 0, 0, 297, 197);
INSERT INTO public.who_data VALUES (70355, 1742, 223058, 259, 25664, 297, 221);
INSERT INTO public.who_data VALUES (70356, 30, 649, 0, 7, 297, 150);
INSERT INTO public.who_data VALUES (70357, 0, 375, 0, 28, 297, 56);
INSERT INTO public.who_data VALUES (70358, 0, 10, 0, 1, 297, 167);
INSERT INTO public.who_data VALUES (70359, 742, 20171, 83, 2747, 297, 23);
INSERT INTO public.who_data VALUES (70360, 120, 29676, 11, 1585, 297, 222);
INSERT INTO public.who_data VALUES (70361, 0, 43, 0, 3, 297, 219);
INSERT INTO public.who_data VALUES (70362, 0, 0, 0, 0, 297, 7);
INSERT INTO public.who_data VALUES (70363, 7, 2954, 0, 54, 297, 161);
INSERT INTO public.who_data VALUES (70364, 4729, 167154, 769, 26049, 297, 149);
INSERT INTO public.who_data VALUES (70365, 0, 24, 0, 0, 297, 6);
INSERT INTO public.who_data VALUES (70366, 10, 109, 1, 7, 297, 139);
INSERT INTO public.who_data VALUES (70367, 0, 0, 0, 0, 297, 211);
INSERT INTO public.who_data VALUES (70368, 0, 0, 0, 0, 297, 14);
INSERT INTO public.who_data VALUES (70369, 0, 116, 0, 8, 297, 111);
INSERT INTO public.who_data VALUES (70370, 5, 980, 0, 40, 297, 207);
INSERT INTO public.who_data VALUES (70371, 2936, 117589, 89, 3081, 297, 66);
INSERT INTO public.who_data VALUES (70372, 0, 0, 0, 0, 297, 173);
INSERT INTO public.who_data VALUES (70373, 0, 12, 0, 1, 297, 145);
INSERT INTO public.who_data VALUES (70374, 0, 0, 0, 0, 297, 65);
INSERT INTO public.who_data VALUES (70375, 0, 79, 0, 0, 297, 184);
INSERT INTO public.who_data VALUES (70376, 540, 10406, 11, 261, 297, 98);
INSERT INTO public.who_data VALUES (70377, 1101, 12481, 16, 105, 297, 104);
INSERT INTO public.who_data VALUES (70378, 180, 480, 6, 16, 297, 73);
INSERT INTO public.who_data VALUES (70379, 20517, 1003974, 2010, 57730, 297, 8);
INSERT INTO public.who_data VALUES (70380, 3, 62, 0, 4, 297, 227);
INSERT INTO public.who_data VALUES (70381, 5, 625, 0, 15, 297, 75);
INSERT INTO public.who_data VALUES (70382, 76, 2031, 1, 9, 297, 45);
INSERT INTO public.who_data VALUES (70383, 0, 0, 0, 0, 297, 133);
INSERT INTO public.who_data VALUES (70384, 0, 329, 0, 10, 297, 202);
INSERT INTO public.who_data VALUES (70385, 0, 270, 0, 0, 297, 129);
INSERT INTO public.who_data VALUES (70386, 0, 0, 0, 0, 297, 36);
INSERT INTO public.who_data VALUES (70387, 0, 6, 0, 0, 297, 51);
INSERT INTO public.who_data VALUES (70388, 2, 97, 0, 3, 297, 206);
INSERT INTO public.who_data VALUES (70389, 0, 32, 0, 4, 297, 5);
INSERT INTO public.who_data VALUES (70390, 0, 1827, 0, 60, 298, 103);
INSERT INTO public.who_data VALUES (70391, 30, 728, 2, 29, 298, 58);
INSERT INTO public.who_data VALUES (70392, 132, 3649, 5, 437, 298, 195);
INSERT INTO public.who_data VALUES (70393, 0, 0, 0, 0, 298, 115);
INSERT INTO public.who_data VALUES (70394, 1, 742, 1, 42, 298, 99);
INSERT INTO public.who_data VALUES (70395, 0, 27, 0, 2, 298, 153);
INSERT INTO public.who_data VALUES (70396, 0, 3, 0, 0, 298, 93);
INSERT INTO public.who_data VALUES (70397, 0, 24, 0, 3, 298, 84);
INSERT INTO public.who_data VALUES (70398, 127, 4019, 5, 197, 298, 78);
INSERT INTO public.who_data VALUES (70399, 59, 1843, 1, 30, 298, 170);
INSERT INTO public.who_data VALUES (70400, 0, 100, 0, 2, 298, 32);
INSERT INTO public.who_data VALUES (70401, 13, 6738, 4, 88, 298, 155);
INSERT INTO public.who_data VALUES (70402, 58, 15314, 20, 569, 298, 82);
INSERT INTO public.who_data VALUES (70403, 39, 1717, 0, 22, 298, 16);
INSERT INTO public.who_data VALUES (70404, 0, 80, 0, 11, 298, 72);
INSERT INTO public.who_data VALUES (70405, 59, 2869, 0, 8, 298, 43);
INSERT INTO public.who_data VALUES (70406, 641, 7103, 8, 163, 298, 120);
INSERT INTO public.who_data VALUES (70407, 1, 80, 0, 6, 298, 213);
INSERT INTO public.who_data VALUES (70408, 0, 12208, 0, 79, 298, 31);
INSERT INTO public.who_data VALUES (70409, 569, 49518, 110, 7667, 298, 204);
INSERT INTO public.who_data VALUES (70410, 0, 18, 0, 2, 298, 152);
INSERT INTO public.who_data VALUES (70411, 0, 64, 0, 1, 298, 144);
INSERT INTO public.who_data VALUES (70412, 1, 110, 0, 6, 298, 96);
INSERT INTO public.who_data VALUES (70413, 0, 7, 0, 0, 298, 47);
INSERT INTO public.who_data VALUES (70414, 64, 1014, 3, 53, 298, 80);
INSERT INTO public.who_data VALUES (70415, 0, 2, 0, 0, 298, 159);
INSERT INTO public.who_data VALUES (70416, 24, 1588, 2, 62, 298, 27);
INSERT INTO public.who_data VALUES (70417, 1, 23, 0, 1, 298, 146);
INSERT INTO public.who_data VALUES (70418, 4613, 66501, 338, 4543, 298, 71);
INSERT INTO public.who_data VALUES (70419, 0, 6, 0, 1, 298, 210);
INSERT INTO public.who_data VALUES (70420, 0, 138, 0, 1, 298, 54);
INSERT INTO public.who_data VALUES (70421, 36, 1399, 0, 58, 298, 147);
INSERT INTO public.who_data VALUES (70422, 6, 638, 0, 42, 298, 2);
INSERT INTO public.who_data VALUES (70423, 0, 15, 0, 1, 298, 105);
INSERT INTO public.who_data VALUES (70424, 7, 113, 0, 1, 298, 53);
INSERT INTO public.who_data VALUES (70425, 0, 122, 0, 0, 298, 81);
INSERT INTO public.who_data VALUES (70426, 84, 1705, 2, 58, 298, 223);
INSERT INTO public.who_data VALUES (70427, 1698, 49014, 149, 2766, 298, 94);
INSERT INTO public.who_data VALUES (70428, 0, 70, 0, 1, 298, 154);
INSERT INTO public.who_data VALUES (70429, 8, 50, 0, 0, 298, 83);
INSERT INTO public.who_data VALUES (70430, 6, 52, 2, 2, 298, 194);
INSERT INTO public.who_data VALUES (70431, 552, 14365, 9, 207, 298, 136);
INSERT INTO public.who_data VALUES (70432, 22, 84369, 0, 4643, 298, 179);
INSERT INTO public.who_data VALUES (70433, 218, 5597, 9, 253, 298, 57);
INSERT INTO public.who_data VALUES (70434, 0, 0, 0, 0, 298, 35);
INSERT INTO public.who_data VALUES (70435, 0, 207, 0, 8, 298, 228);
INSERT INTO public.who_data VALUES (70436, 0, 0, 0, 0, 298, 19);
INSERT INTO public.who_data VALUES (70437, 2, 697, 0, 6, 298, 22);
INSERT INTO public.who_data VALUES (70438, 19, 1183, 0, 14, 298, 1);
INSERT INTO public.who_data VALUES (70439, 8, 2047, 4, 63, 298, 21);
INSERT INTO public.who_data VALUES (70440, 48, 1437, 2, 58, 298, 234);
INSERT INTO public.who_data VALUES (70441, 0, 16, 0, 1, 298, 91);
INSERT INTO public.who_data VALUES (70442, 15, 837, 0, 15, 298, 137);
INSERT INTO public.who_data VALUES (70443, 55, 7504, 4, 227, 298, 201);
INSERT INTO public.who_data VALUES (70444, 0, 0, 0, 0, 298, 171);
INSERT INTO public.who_data VALUES (70445, 20, 491, 0, 30, 298, 92);
INSERT INTO public.who_data VALUES (70446, 153, 8851, 7, 434, 298, 112);
INSERT INTO public.who_data VALUES (70447, 5, 1077, 0, 2, 298, 62);
INSERT INTO public.who_data VALUES (70448, 0, 16, 0, 0, 298, 69);
INSERT INTO public.who_data VALUES (70449, 123, 6416, 4, 286, 298, 220);
INSERT INTO public.who_data VALUES (70450, 1018, 24258, 208, 871, 298, 100);
INSERT INTO public.who_data VALUES (70451, 226, 5268, 21, 380, 298, 187);
INSERT INTO public.who_data VALUES (70452, 22, 345, 0, 8, 298, 63);
INSERT INTO public.who_data VALUES (70453, 57, 315, 0, 1, 298, 28);
INSERT INTO public.who_data VALUES (70454, 0, 39, 0, 0, 298, 172);
INSERT INTO public.who_data VALUES (70455, 13, 1660, 0, 50, 298, 17);
INSERT INTO public.who_data VALUES (70456, 6, 71, 0, 1, 298, 226);
INSERT INTO public.who_data VALUES (70457, 2, 126, 0, 3, 298, 236);
INSERT INTO public.who_data VALUES (70458, 0, 13, 0, 0, 298, 76);
INSERT INTO public.who_data VALUES (70459, 0, 187, 0, 0, 298, 30);
INSERT INTO public.who_data VALUES (70460, 0, 18, 0, 0, 298, 128);
INSERT INTO public.who_data VALUES (70461, 45, 4740, 6, 199, 298, 86);
INSERT INTO public.who_data VALUES (70462, 1025, 125465, 366, 23627, 298, 140);
INSERT INTO public.who_data VALUES (70463, 13, 124, 0, 1, 298, 44);
INSERT INTO public.who_data VALUES (70464, 0, 58, 0, 0, 298, 113);
INSERT INTO public.who_data VALUES (70465, 62, 238, 0, 3, 298, 29);
INSERT INTO public.who_data VALUES (70466, 0, 10, 0, 1, 298, 125);
INSERT INTO public.who_data VALUES (70467, 6, 517, 0, 6, 298, 131);
INSERT INTO public.who_data VALUES (70468, 1304, 157641, 202, 6115, 298, 46);
INSERT INTO public.who_data VALUES (70469, 121, 1671, 5, 16, 298, 10);
INSERT INTO public.who_data VALUES (70470, 0, 141, 0, 0, 298, 205);
INSERT INTO public.who_data VALUES (70471, 0, 2534, 0, 136, 298, 50);
INSERT INTO public.who_data VALUES (70472, 0, 11, 0, 0, 298, 20);
INSERT INTO public.who_data VALUES (70473, 0, 18, 0, 0, 298, 13);
INSERT INTO public.who_data VALUES (70474, 0, 149, 1, 11, 298, 148);
INSERT INTO public.who_data VALUES (70475, 1, 141, 0, 5, 298, 230);
INSERT INTO public.who_data VALUES (70476, 30, 530, 0, 15, 298, 190);
INSERT INTO public.who_data VALUES (70477, 0, 247, 0, 13, 298, 188);
INSERT INTO public.who_data VALUES (70478, 77, 1240, 0, 7, 298, 123);
INSERT INTO public.who_data VALUES (70479, 0, 73, 0, 1, 298, 9);
INSERT INTO public.who_data VALUES (70480, 0, 74, 0, 8, 298, 102);
INSERT INTO public.who_data VALUES (70481, 2, 76, 0, 6, 298, 34);
INSERT INTO public.who_data VALUES (70482, 1, 10, 0, 0, 298, 212);
INSERT INTO public.who_data VALUES (70483, 41, 702, 3, 64, 298, 122);
INSERT INTO public.who_data VALUES (70484, 78, 2727, 9, 300, 298, 38);
INSERT INTO public.who_data VALUES (70485, 3, 1795, 0, 10, 298, 130);
INSERT INTO public.who_data VALUES (70486, 1897, 31332, 73, 1007, 298, 37);
INSERT INTO public.who_data VALUES (70487, 260, 9771, 11, 784, 298, 231);
INSERT INTO public.who_data VALUES (70488, 1073, 93657, 80, 5957, 298, 107);
INSERT INTO public.who_data VALUES (70489, 81, 1928, 2, 90, 298, 101);
INSERT INTO public.who_data VALUES (70490, 229, 19877, 57, 1159, 298, 132);
INSERT INTO public.who_data VALUES (70491, 0, 308, 2, 20, 298, 176);
INSERT INTO public.who_data VALUES (70492, 128, 15522, 4, 208, 298, 200);
INSERT INTO public.who_data VALUES (70493, 2091, 201505, 382, 27359, 298, 169);
INSERT INTO public.who_data VALUES (70494, 59, 364, 0, 7, 298, 225);
INSERT INTO public.who_data VALUES (70495, 276, 13852, 13, 389, 298, 165);
INSERT INTO public.who_data VALUES (70496, 2, 283, 0, 19, 298, 233);
INSERT INTO public.who_data VALUES (70497, 0, 449, 0, 8, 298, 215);
INSERT INTO public.who_data VALUES (70498, 255, 3333, 0, 25, 298, 177);
INSERT INTO public.who_data VALUES (70499, 11, 374, 0, 14, 298, 183);
INSERT INTO public.who_data VALUES (70500, 0, 0, 0, 0, 298, 203);
INSERT INTO public.who_data VALUES (70501, 10, 790, 0, 17, 298, 162);
INSERT INTO public.who_data VALUES (70502, 300, 3740, 1, 24, 298, 12);
INSERT INTO public.who_data VALUES (70503, 21, 729, 0, 8, 298, 24);
INSERT INTO public.who_data VALUES (70504, 0, 19, 0, 0, 298, 119);
INSERT INTO public.who_data VALUES (70505, 18, 836, 0, 13, 298, 39);
INSERT INTO public.who_data VALUES (70506, 4, 721, 0, 24, 298, 26);
INSERT INTO public.who_data VALUES (70507, 0, 0, 0, 0, 298, 59);
INSERT INTO public.who_data VALUES (70508, 8, 141, 0, 16, 298, 77);
INSERT INTO public.who_data VALUES (70509, 0, 61, 0, 2, 298, 134);
INSERT INTO public.who_data VALUES (70510, 0, 83, 0, 1, 298, 4);
INSERT INTO public.who_data VALUES (70511, 27, 1364, 1, 45, 298, 109);
INSERT INTO public.who_data VALUES (70512, 12, 3741, 1, 89, 298, 90);
INSERT INTO public.who_data VALUES (70513, 0, 128, 0, 0, 298, 61);
INSERT INTO public.who_data VALUES (70514, 0, 36, 0, 3, 298, 85);
INSERT INTO public.who_data VALUES (70515, 31, 5851, 1, 100, 298, 49);
INSERT INTO public.who_data VALUES (70516, 11, 256, 0, 0, 298, 208);
INSERT INTO public.who_data VALUES (70517, 16, 424, 1, 24, 298, 166);
INSERT INTO public.who_data VALUES (70518, 8, 457, 0, 4, 298, 64);
INSERT INTO public.who_data VALUES (70519, 0, 0, 0, 0, 298, 199);
INSERT INTO public.who_data VALUES (70520, 0, 175, 0, 14, 298, 114);
INSERT INTO public.who_data VALUES (70521, 0, 7, 0, 1, 298, 60);
INSERT INTO public.who_data VALUES (70522, 0, 332, 1, 10, 298, 68);
INSERT INTO public.who_data VALUES (70523, 27, 460, 0, 4, 298, 158);
INSERT INTO public.who_data VALUES (70524, 852, 15529, 83, 1434, 298, 52);
INSERT INTO public.who_data VALUES (70525, 0, 0, 0, 0, 298, 117);
INSERT INTO public.who_data VALUES (70526, 0, 66, 0, 1, 298, 126);
INSERT INTO public.who_data VALUES (70527, 0, 38, 0, 0, 298, 196);
INSERT INTO public.who_data VALUES (70528, 1, 322, 0, 7, 298, 142);
INSERT INTO public.who_data VALUES (70529, 0, 11, 0, 1, 298, 185);
INSERT INTO public.who_data VALUES (70530, 43, 4289, 4, 167, 298, 138);
INSERT INTO public.who_data VALUES (70531, 0, 76, 0, 0, 298, 181);
INSERT INTO public.who_data VALUES (70532, 4, 150, 0, 5, 298, 178);
INSERT INTO public.who_data VALUES (70533, 0, 16, 0, 0, 298, 168);
INSERT INTO public.who_data VALUES (70534, 0, 0, 0, 0, 298, 160);
INSERT INTO public.who_data VALUES (70535, 5, 57, 0, 0, 298, 151);
INSERT INTO public.who_data VALUES (70536, 193, 38172, 47, 4529, 298, 193);
INSERT INTO public.who_data VALUES (70537, 0, 18, 0, 0, 298, 18);
INSERT INTO public.who_data VALUES (70538, 2, 1126, 0, 19, 298, 40);
INSERT INTO public.who_data VALUES (70539, 0, 13, 0, 3, 298, 218);
INSERT INTO public.who_data VALUES (70540, 8, 709, 2, 31, 298, 191);
INSERT INTO public.who_data VALUES (70541, 0, 1337, 0, 40, 298, 156);
INSERT INTO public.who_data VALUES (70542, 0, 0, 0, 0, 298, 135);
INSERT INTO public.who_data VALUES (70543, 0, 14, 0, 2, 298, 88);
INSERT INTO public.who_data VALUES (70544, 22, 1421, 6, 71, 298, 55);
INSERT INTO public.who_data VALUES (70545, 72, 7605, 2, 195, 298, 108);
INSERT INTO public.who_data VALUES (70546, 0, 343, 0, 2, 298, 48);
INSERT INTO public.who_data VALUES (70547, 143, 2274, 0, 10, 298, 3);
INSERT INTO public.who_data VALUES (70548, 0, 712, 0, 13, 298, 224);
INSERT INTO public.who_data VALUES (70549, 1210, 15289, 34, 335, 298, 110);
INSERT INTO public.who_data VALUES (70550, 0, 0, 0, 0, 298, 106);
INSERT INTO public.who_data VALUES (70551, 242, 6021, 2, 167, 298, 89);
INSERT INTO public.who_data VALUES (70552, 0, 8, 0, 0, 298, 121);
INSERT INTO public.who_data VALUES (70553, 2, 230, 0, 9, 298, 163);
INSERT INTO public.who_data VALUES (70554, 1182, 28699, 54, 782, 298, 70);
INSERT INTO public.who_data VALUES (70555, 181, 7958, 19, 530, 298, 174);
INSERT INTO public.who_data VALUES (70556, 0, 0, 0, 0, 298, 175);
INSERT INTO public.who_data VALUES (70557, 316, 12218, 34, 596, 298, 118);
INSERT INTO public.who_data VALUES (70558, 180, 24324, 25, 973, 298, 189);
INSERT INTO public.who_data VALUES (70559, 11, 1400, 1, 54, 298, 124);
INSERT INTO public.who_data VALUES (70560, 643, 12564, 0, 10, 298, 192);
INSERT INTO public.who_data VALUES (70561, 9, 10761, 2, 246, 298, 41);
INSERT INTO public.who_data VALUES (70562, 157, 3638, 6, 109, 298, 95);
INSERT INTO public.who_data VALUES (70563, 0, 417, 0, 0, 298, 74);
INSERT INTO public.who_data VALUES (70564, 277, 11616, 19, 650, 298, 11);
INSERT INTO public.who_data VALUES (70565, 5841, 99399, 105, 972, 298, 87);
INSERT INTO public.who_data VALUES (70566, 5, 212, 0, 0, 298, 214);
INSERT INTO public.who_data VALUES (70567, 0, 2, 0, 0, 298, 116);
INSERT INTO public.who_data VALUES (70568, 0, 6, 0, 0, 298, 157);
INSERT INTO public.who_data VALUES (70569, 0, 0, 0, 0, 298, 182);
INSERT INTO public.who_data VALUES (70570, 0, 15, 0, 0, 298, 186);
INSERT INTO public.who_data VALUES (70571, 0, 15, 0, 0, 298, 127);
INSERT INTO public.who_data VALUES (70572, 0, 38, 0, 3, 298, 232);
INSERT INTO public.who_data VALUES (70573, 0, 1, 0, 0, 298, 33);
INSERT INTO public.who_data VALUES (70574, 0, 15, 0, 0, 298, 97);
INSERT INTO public.who_data VALUES (70575, 0, 0, 0, 0, 298, 42);
INSERT INTO public.who_data VALUES (70576, 15, 553, 0, 41, 298, 198);
INSERT INTO public.who_data VALUES (70577, 3, 11, 0, 0, 298, 216);
INSERT INTO public.who_data VALUES (70578, 1325, 21402, 5, 157, 298, 164);
INSERT INTO public.who_data VALUES (70579, 88, 823, 0, 9, 298, 235);
INSERT INTO public.who_data VALUES (70580, 222, 8497, 6, 168, 298, 67);
INSERT INTO public.who_data VALUES (70581, 0, 11, 0, 0, 298, 15);
INSERT INTO public.who_data VALUES (70582, 5, 104, 0, 4, 298, 180);
INSERT INTO public.who_data VALUES (70583, 528, 14951, 0, 14, 298, 237);
INSERT INTO public.who_data VALUES (70584, 0, 2, 0, 0, 298, 25);
INSERT INTO public.who_data VALUES (70585, 1, 75, 0, 13, 298, 209);
INSERT INTO public.who_data VALUES (70586, 2, 1381, 0, 18, 298, 217);
INSERT INTO public.who_data VALUES (70587, 6, 1409, 3, 93, 298, 79);
INSERT INTO public.who_data VALUES (70588, 0, 0, 0, 0, 298, 143);
INSERT INTO public.who_data VALUES (70589, 54, 582, 0, 28, 298, 229);
INSERT INTO public.who_data VALUES (70590, 203, 4996, 3, 93, 298, 141);
INSERT INTO public.who_data VALUES (70591, 28, 34, 0, 0, 298, 197);
INSERT INTO public.who_data VALUES (70592, 1655, 221316, 258, 25405, 298, 221);
INSERT INTO public.who_data VALUES (70593, 31, 619, 0, 7, 298, 150);
INSERT INTO public.who_data VALUES (70594, 57, 375, 3, 28, 298, 56);
INSERT INTO public.who_data VALUES (70595, 0, 10, 0, 1, 298, 167);
INSERT INTO public.who_data VALUES (70596, 563, 19429, 74, 2664, 298, 23);
INSERT INTO public.who_data VALUES (70597, 153, 29556, 12, 1574, 298, 222);
INSERT INTO public.who_data VALUES (70598, 0, 43, 0, 3, 298, 219);
INSERT INTO public.who_data VALUES (70599, 0, 0, 0, 0, 298, 7);
INSERT INTO public.who_data VALUES (70600, 9, 2947, 0, 54, 298, 161);
INSERT INTO public.who_data VALUES (70601, 4706, 162425, 969, 25280, 298, 149);
INSERT INTO public.who_data VALUES (70602, 0, 24, 0, 0, 298, 6);
INSERT INTO public.who_data VALUES (70603, 0, 99, 0, 6, 298, 139);
INSERT INTO public.who_data VALUES (70604, 0, 0, 0, 0, 298, 211);
INSERT INTO public.who_data VALUES (70605, 0, 0, 0, 0, 298, 14);
INSERT INTO public.who_data VALUES (70606, 0, 116, 0, 8, 298, 111);
INSERT INTO public.who_data VALUES (70607, 8, 975, 1, 40, 298, 207);
INSERT INTO public.who_data VALUES (70608, 2392, 114653, 92, 2992, 298, 66);
INSERT INTO public.who_data VALUES (70609, 0, 0, 0, 0, 298, 173);
INSERT INTO public.who_data VALUES (70610, 0, 12, 0, 1, 298, 145);
INSERT INTO public.who_data VALUES (70611, 0, 0, 0, 0, 298, 65);
INSERT INTO public.who_data VALUES (70612, 0, 79, 0, 0, 298, 184);
INSERT INTO public.who_data VALUES (70613, 456, 9866, 11, 250, 298, 98);
INSERT INTO public.who_data VALUES (70614, 0, 11380, 0, 89, 298, 104);
INSERT INTO public.who_data VALUES (70615, 0, 300, 0, 10, 298, 73);
INSERT INTO public.who_data VALUES (70616, 22541, 983457, 1322, 55720, 298, 8);
INSERT INTO public.who_data VALUES (70617, 0, 59, 0, 4, 298, 227);
INSERT INTO public.who_data VALUES (70618, 14, 620, 0, 15, 298, 75);
INSERT INTO public.who_data VALUES (70619, 31, 1955, 0, 8, 298, 45);
INSERT INTO public.who_data VALUES (70620, 0, 0, 0, 0, 298, 133);
INSERT INTO public.who_data VALUES (70621, 4, 329, 0, 10, 298, 202);
INSERT INTO public.who_data VALUES (70622, 0, 270, 0, 0, 298, 129);
INSERT INTO public.who_data VALUES (70623, 0, 0, 0, 0, 298, 36);
INSERT INTO public.who_data VALUES (70624, 5, 6, 0, 0, 298, 51);
INSERT INTO public.who_data VALUES (70625, 6, 95, 0, 3, 298, 206);
INSERT INTO public.who_data VALUES (70626, 1, 32, 0, 4, 298, 5);
INSERT INTO public.who_data VALUES (70627, 124, 1827, 3, 60, 299, 103);
INSERT INTO public.who_data VALUES (70628, 10, 698, 0, 27, 299, 58);
INSERT INTO public.who_data VALUES (70629, 135, 3517, 7, 432, 299, 195);
INSERT INTO public.who_data VALUES (70630, 0, 0, 0, 0, 299, 115);
INSERT INTO public.who_data VALUES (70631, 1, 741, 1, 41, 299, 99);
INSERT INTO public.who_data VALUES (70632, 1, 27, 0, 2, 299, 153);
INSERT INTO public.who_data VALUES (70633, 0, 3, 0, 0, 299, 93);
INSERT INTO public.who_data VALUES (70634, 0, 24, 0, 3, 299, 84);
INSERT INTO public.who_data VALUES (70635, 54, 3892, 13, 192, 299, 78);
INSERT INTO public.who_data VALUES (70636, 62, 1784, 1, 29, 299, 170);
INSERT INTO public.who_data VALUES (70637, 0, 100, 0, 2, 299, 32);
INSERT INTO public.who_data VALUES (70638, 12, 6725, 1, 84, 299, 155);
INSERT INTO public.who_data VALUES (70639, 67, 15256, 7, 549, 299, 82);
INSERT INTO public.who_data VALUES (70640, 33, 1678, 1, 22, 299, 16);
INSERT INTO public.who_data VALUES (70641, 2, 80, 0, 11, 299, 72);
INSERT INTO public.who_data VALUES (70642, 102, 2810, 0, 8, 299, 43);
INSERT INTO public.who_data VALUES (70643, 549, 6462, 3, 155, 299, 120);
INSERT INTO public.who_data VALUES (70644, 0, 79, 0, 6, 299, 213);
INSERT INTO public.who_data VALUES (70645, 1745, 12208, 7, 79, 299, 31);
INSERT INTO public.who_data VALUES (70646, 755, 48949, 134, 7557, 299, 204);
INSERT INTO public.who_data VALUES (70647, 0, 18, 0, 2, 299, 152);
INSERT INTO public.who_data VALUES (70648, 0, 64, 0, 1, 299, 144);
INSERT INTO public.who_data VALUES (70649, 0, 109, 1, 6, 299, 96);
INSERT INTO public.who_data VALUES (70650, 0, 7, 0, 0, 299, 47);
INSERT INTO public.who_data VALUES (70651, 84, 950, 4, 50, 299, 80);
INSERT INTO public.who_data VALUES (70652, 1, 2, 0, 0, 299, 159);
INSERT INTO public.who_data VALUES (70653, 48, 1564, 2, 60, 299, 27);
INSERT INTO public.who_data VALUES (70654, 0, 22, 0, 1, 299, 146);
INSERT INTO public.who_data VALUES (70655, 3379, 61888, 189, 4205, 299, 71);
INSERT INTO public.who_data VALUES (70656, 0, 6, 0, 1, 299, 210);
INSERT INTO public.who_data VALUES (70657, 0, 138, 0, 1, 299, 54);
INSERT INTO public.who_data VALUES (70658, 63, 1363, 2, 58, 299, 147);
INSERT INTO public.who_data VALUES (70659, 0, 632, 0, 42, 299, 2);
INSERT INTO public.who_data VALUES (70660, 0, 15, 0, 1, 299, 105);
INSERT INTO public.who_data VALUES (70661, 0, 106, 0, 1, 299, 53);
INSERT INTO public.who_data VALUES (70662, 0, 122, 0, 0, 299, 81);
INSERT INTO public.who_data VALUES (70663, 0, 1621, 0, 56, 299, 223);
INSERT INTO public.who_data VALUES (70664, 1538, 47316, 128, 2617, 299, 94);
INSERT INTO public.who_data VALUES (70665, 0, 70, 0, 1, 299, 154);
INSERT INTO public.who_data VALUES (70666, 23, 42, 0, 0, 299, 83);
INSERT INTO public.who_data VALUES (70667, 0, 46, 0, 0, 299, 194);
INSERT INTO public.who_data VALUES (70668, 482, 13813, 9, 198, 299, 136);
INSERT INTO public.who_data VALUES (70669, 6, 84347, 0, 4643, 299, 179);
INSERT INTO public.who_data VALUES (70670, 237, 5379, 11, 244, 299, 57);
INSERT INTO public.who_data VALUES (70671, 0, 0, 0, 0, 299, 35);
INSERT INTO public.who_data VALUES (70672, 7, 207, 0, 8, 299, 228);
INSERT INTO public.who_data VALUES (70673, 0, 0, 0, 0, 299, 19);
INSERT INTO public.who_data VALUES (70674, 2, 695, 0, 6, 299, 22);
INSERT INTO public.who_data VALUES (70675, 14, 1164, 0, 14, 299, 1);
INSERT INTO public.who_data VALUES (70676, 9, 2039, 4, 59, 299, 21);
INSERT INTO public.who_data VALUES (70677, 20, 1389, 2, 56, 299, 234);
INSERT INTO public.who_data VALUES (70678, 2, 16, 0, 1, 299, 91);
INSERT INTO public.who_data VALUES (70679, 5, 822, 1, 15, 299, 137);
INSERT INTO public.who_data VALUES (70680, 45, 7449, 2, 223, 299, 201);
INSERT INTO public.who_data VALUES (70681, 0, 0, 0, 0, 299, 171);
INSERT INTO public.who_data VALUES (70682, 12, 471, 2, 30, 299, 92);
INSERT INTO public.who_data VALUES (70683, 123, 8698, 5, 427, 299, 112);
INSERT INTO public.who_data VALUES (70684, 37, 1072, 0, 2, 299, 62);
INSERT INTO public.who_data VALUES (70685, 0, 16, 0, 0, 299, 69);
INSERT INTO public.who_data VALUES (70686, 158, 6293, 4, 282, 299, 220);
INSERT INTO public.who_data VALUES (70687, 521, 23240, 87, 663, 299, 100);
INSERT INTO public.who_data VALUES (70688, 260, 5042, 22, 359, 299, 187);
INSERT INTO public.who_data VALUES (70689, 25, 323, 0, 8, 299, 63);
INSERT INTO public.who_data VALUES (70690, 0, 258, 0, 1, 299, 28);
INSERT INTO public.who_data VALUES (70691, 0, 39, 0, 0, 299, 172);
INSERT INTO public.who_data VALUES (70692, 4, 1647, 1, 50, 299, 17);
INSERT INTO public.who_data VALUES (70693, 6, 65, 0, 1, 299, 226);
INSERT INTO public.who_data VALUES (70694, 1, 124, 0, 3, 299, 236);
INSERT INTO public.who_data VALUES (70695, 0, 13, 0, 0, 299, 76);
INSERT INTO public.who_data VALUES (70696, 0, 187, 0, 0, 299, 30);
INSERT INTO public.who_data VALUES (70697, 0, 18, 0, 0, 299, 128);
INSERT INTO public.who_data VALUES (70698, 119, 4695, 3, 193, 299, 86);
INSERT INTO public.who_data VALUES (70699, 1160, 124440, 437, 23261, 299, 140);
INSERT INTO public.who_data VALUES (70700, 2, 111, 0, 1, 299, 44);
INSERT INTO public.who_data VALUES (70701, 1, 58, 0, 0, 299, 113);
INSERT INTO public.who_data VALUES (70702, 0, 176, 0, 3, 299, 29);
INSERT INTO public.who_data VALUES (70703, 0, 10, 0, 1, 299, 125);
INSERT INTO public.who_data VALUES (70704, 15, 511, 0, 6, 299, 131);
INSERT INTO public.who_data VALUES (70705, 1144, 156337, 163, 5913, 299, 46);
INSERT INTO public.who_data VALUES (70706, 0, 1550, 0, 11, 299, 10);
INSERT INTO public.who_data VALUES (70707, 0, 141, 0, 0, 299, 205);
INSERT INTO public.who_data VALUES (70708, 28, 2534, 6, 136, 299, 50);
INSERT INTO public.who_data VALUES (70709, 0, 11, 0, 0, 299, 20);
INSERT INTO public.who_data VALUES (70710, 0, 18, 0, 0, 299, 13);
INSERT INTO public.who_data VALUES (70711, 0, 149, 0, 10, 299, 148);
INSERT INTO public.who_data VALUES (70712, 2, 140, 0, 5, 299, 230);
INSERT INTO public.who_data VALUES (70713, 27, 500, 0, 15, 299, 190);
INSERT INTO public.who_data VALUES (70714, 2, 247, 1, 13, 299, 188);
INSERT INTO public.who_data VALUES (70715, 69, 1163, 0, 7, 299, 123);
INSERT INTO public.who_data VALUES (70716, 20, 73, 0, 1, 299, 9);
INSERT INTO public.who_data VALUES (70717, 0, 74, 0, 8, 299, 102);
INSERT INTO public.who_data VALUES (70718, 2, 74, 0, 6, 299, 34);
INSERT INTO public.who_data VALUES (70719, 0, 9, 0, 0, 299, 212);
INSERT INTO public.who_data VALUES (70720, 34, 661, 2, 61, 299, 122);
INSERT INTO public.who_data VALUES (70721, 66, 2649, 11, 291, 299, 38);
INSERT INTO public.who_data VALUES (70722, 0, 1792, 0, 10, 299, 130);
INSERT INTO public.who_data VALUES (70723, 1543, 29435, 62, 934, 299, 37);
INSERT INTO public.who_data VALUES (70724, 415, 9511, 8, 773, 299, 231);
INSERT INTO public.who_data VALUES (70725, 1112, 92584, 71, 5877, 299, 107);
INSERT INTO public.who_data VALUES (70726, 27, 1847, 1, 88, 299, 101);
INSERT INTO public.who_data VALUES (70727, 386, 19648, 15, 1102, 299, 132);
INSERT INTO public.who_data VALUES (70728, 0, 308, 0, 18, 299, 176);
INSERT INTO public.who_data VALUES (70729, 83, 15394, 2, 204, 299, 200);
INSERT INTO public.who_data VALUES (70730, 1739, 199414, 333, 26977, 299, 169);
INSERT INTO public.who_data VALUES (70731, 0, 305, 0, 7, 299, 225);
INSERT INTO public.who_data VALUES (70732, 191, 13576, 25, 376, 299, 165);
INSERT INTO public.who_data VALUES (70733, 1, 281, 0, 19, 299, 233);
INSERT INTO public.who_data VALUES (70734, 0, 449, 1, 8, 299, 215);
INSERT INTO public.who_data VALUES (70735, 96, 3078, 0, 25, 299, 177);
INSERT INTO public.who_data VALUES (70736, 8, 363, 0, 14, 299, 183);
INSERT INTO public.who_data VALUES (70737, 0, 0, 0, 0, 299, 203);
INSERT INTO public.who_data VALUES (70738, 17, 780, 0, 17, 299, 162);
INSERT INTO public.who_data VALUES (70739, 152, 3440, 1, 23, 299, 12);
INSERT INTO public.who_data VALUES (70740, 13, 708, 0, 8, 299, 24);
INSERT INTO public.who_data VALUES (70741, 0, 19, 0, 0, 299, 119);
INSERT INTO public.who_data VALUES (70742, 6, 818, 1, 13, 299, 39);
INSERT INTO public.who_data VALUES (70743, 7, 717, 0, 24, 299, 26);
INSERT INTO public.who_data VALUES (70744, 0, 0, 0, 0, 299, 59);
INSERT INTO public.who_data VALUES (70745, 9, 133, 4, 16, 299, 77);
INSERT INTO public.who_data VALUES (70746, 0, 61, 0, 2, 299, 134);
INSERT INTO public.who_data VALUES (70747, 0, 83, 0, 1, 299, 4);
INSERT INTO public.who_data VALUES (70748, 9, 1337, 0, 44, 299, 109);
INSERT INTO public.who_data VALUES (70749, 6, 3729, 0, 88, 299, 90);
INSERT INTO public.who_data VALUES (70750, 0, 128, 0, 0, 299, 61);
INSERT INTO public.who_data VALUES (70751, 2, 36, 0, 3, 299, 85);
INSERT INTO public.who_data VALUES (70752, 40, 5820, 1, 99, 299, 49);
INSERT INTO public.who_data VALUES (70753, 31, 245, 0, 0, 299, 208);
INSERT INTO public.who_data VALUES (70754, 19, 408, 0, 23, 299, 166);
INSERT INTO public.who_data VALUES (70755, 0, 449, 0, 4, 299, 64);
INSERT INTO public.who_data VALUES (70756, 0, 0, 0, 0, 299, 199);
INSERT INTO public.who_data VALUES (70757, 0, 175, 0, 14, 299, 114);
INSERT INTO public.who_data VALUES (70758, 0, 7, 0, 1, 299, 60);
INSERT INTO public.who_data VALUES (70759, 0, 332, 0, 9, 299, 68);
INSERT INTO public.who_data VALUES (70760, 32, 433, 0, 4, 299, 158);
INSERT INTO public.who_data VALUES (70761, 835, 14677, 46, 1351, 299, 52);
INSERT INTO public.who_data VALUES (70762, 0, 0, 0, 0, 299, 117);
INSERT INTO public.who_data VALUES (70763, 1, 66, 0, 1, 299, 126);
INSERT INTO public.who_data VALUES (70764, 0, 38, 0, 0, 299, 196);
INSERT INTO public.who_data VALUES (70765, 0, 321, 0, 7, 299, 142);
INSERT INTO public.who_data VALUES (70766, 0, 11, 0, 1, 299, 185);
INSERT INTO public.who_data VALUES (70767, 131, 4246, 2, 163, 299, 138);
INSERT INTO public.who_data VALUES (70768, 0, 76, 0, 0, 299, 181);
INSERT INTO public.who_data VALUES (70769, 0, 146, 0, 5, 299, 178);
INSERT INTO public.who_data VALUES (70770, 0, 16, 0, 0, 299, 168);
INSERT INTO public.who_data VALUES (70771, 0, 0, 0, 0, 299, 160);
INSERT INTO public.who_data VALUES (70772, 0, 52, 0, 0, 299, 151);
INSERT INTO public.who_data VALUES (70773, 405, 37979, 44, 4482, 299, 193);
INSERT INTO public.who_data VALUES (70774, 0, 18, 0, 0, 299, 18);
INSERT INTO public.who_data VALUES (70775, 2, 1124, 0, 19, 299, 40);
INSERT INTO public.who_data VALUES (70776, 0, 13, 0, 3, 299, 218);
INSERT INTO public.who_data VALUES (70777, 5, 701, 0, 29, 299, 191);
INSERT INTO public.who_data VALUES (70778, 64, 1337, 0, 40, 299, 156);
INSERT INTO public.who_data VALUES (70779, 0, 0, 0, 0, 299, 135);
INSERT INTO public.who_data VALUES (70780, 0, 14, 0, 2, 299, 88);
INSERT INTO public.who_data VALUES (70781, 13, 1399, 4, 65, 299, 55);
INSERT INTO public.who_data VALUES (70782, 28, 7533, 0, 193, 299, 108);
INSERT INTO public.who_data VALUES (70783, 1, 343, 0, 2, 299, 48);
INSERT INTO public.who_data VALUES (70784, 82, 2131, 0, 10, 299, 3);
INSERT INTO public.who_data VALUES (70785, 0, 712, 0, 13, 299, 224);
INSERT INTO public.who_data VALUES (70786, 164, 14079, 9, 301, 299, 110);
INSERT INTO public.who_data VALUES (70787, 0, 0, 0, 0, 299, 106);
INSERT INTO public.who_data VALUES (70788, 241, 5779, 6, 165, 299, 89);
INSERT INTO public.who_data VALUES (70789, 0, 8, 0, 0, 299, 121);
INSERT INTO public.who_data VALUES (70790, 0, 228, 0, 9, 299, 163);
INSERT INTO public.who_data VALUES (70791, 2186, 27517, 28, 728, 299, 70);
INSERT INTO public.who_data VALUES (70792, 198, 7777, 10, 511, 299, 174);
INSERT INTO public.who_data VALUES (70793, 0, 0, 0, 0, 299, 175);
INSERT INTO public.who_data VALUES (70794, 285, 11902, 27, 562, 299, 118);
INSERT INTO public.who_data VALUES (70795, 298, 24144, 20, 948, 299, 189);
INSERT INTO public.who_data VALUES (70796, 18, 1389, 0, 53, 299, 124);
INSERT INTO public.who_data VALUES (70797, 677, 11921, 0, 10, 299, 192);
INSERT INTO public.who_data VALUES (70798, 14, 10752, 1, 244, 299, 41);
INSERT INTO public.who_data VALUES (70799, 73, 3481, 7, 103, 299, 95);
INSERT INTO public.who_data VALUES (70800, 1, 417, 0, 0, 299, 74);
INSERT INTO public.who_data VALUES (70801, 303, 11339, 23, 631, 299, 11);
INSERT INTO public.who_data VALUES (70802, 6411, 93558, 73, 867, 299, 87);
INSERT INTO public.who_data VALUES (70803, 16, 207, 0, 0, 299, 214);
INSERT INTO public.who_data VALUES (70804, 0, 2, 0, 0, 299, 116);
INSERT INTO public.who_data VALUES (70805, 0, 6, 0, 0, 299, 157);
INSERT INTO public.who_data VALUES (70806, 0, 0, 0, 0, 299, 182);
INSERT INTO public.who_data VALUES (70807, 0, 15, 0, 0, 299, 186);
INSERT INTO public.who_data VALUES (70808, 0, 15, 0, 0, 299, 127);
INSERT INTO public.who_data VALUES (70809, 0, 38, 0, 3, 299, 232);
INSERT INTO public.who_data VALUES (70810, 0, 1, 0, 0, 299, 33);
INSERT INTO public.who_data VALUES (70811, 1, 15, 0, 0, 299, 97);
INSERT INTO public.who_data VALUES (70812, 0, 0, 0, 0, 299, 42);
INSERT INTO public.who_data VALUES (70813, 0, 538, 0, 41, 299, 198);
INSERT INTO public.who_data VALUES (70814, 0, 8, 0, 0, 299, 216);
INSERT INTO public.who_data VALUES (70815, 1266, 20077, 8, 152, 299, 164);
INSERT INTO public.who_data VALUES (70816, 64, 735, 0, 9, 299, 235);
INSERT INTO public.who_data VALUES (70817, 233, 8275, 6, 162, 299, 67);
INSERT INTO public.who_data VALUES (70818, 0, 11, 0, 0, 299, 15);
INSERT INTO public.who_data VALUES (70819, 6, 99, 0, 4, 299, 180);
INSERT INTO public.who_data VALUES (70820, 799, 14423, 2, 14, 299, 237);
INSERT INTO public.who_data VALUES (70821, 0, 2, 0, 0, 299, 25);
INSERT INTO public.who_data VALUES (70822, 0, 74, 0, 13, 299, 209);
INSERT INTO public.who_data VALUES (70823, 6, 1379, 1, 18, 299, 217);
INSERT INTO public.who_data VALUES (70824, 6, 1403, 0, 90, 299, 79);
INSERT INTO public.who_data VALUES (70825, 0, 0, 0, 0, 299, 143);
INSERT INTO public.who_data VALUES (70826, 48, 528, 2, 28, 299, 229);
INSERT INTO public.who_data VALUES (70827, 247, 4793, 3, 90, 299, 141);
INSERT INTO public.who_data VALUES (70828, 0, 6, 0, 0, 299, 197);
INSERT INTO public.who_data VALUES (70829, 819, 219661, 272, 25147, 299, 221);
INSERT INTO public.who_data VALUES (70830, 65, 588, 0, 7, 299, 150);
INSERT INTO public.who_data VALUES (70831, 43, 318, 3, 25, 299, 56);
INSERT INTO public.who_data VALUES (70832, 0, 10, 0, 1, 299, 167);
INSERT INTO public.who_data VALUES (70833, 300, 18866, 74, 2590, 299, 23);
INSERT INTO public.who_data VALUES (70834, 173, 29403, 23, 1562, 299, 222);
INSERT INTO public.who_data VALUES (70835, 0, 43, 0, 3, 299, 219);
INSERT INTO public.who_data VALUES (70836, 0, 0, 0, 0, 299, 7);
INSERT INTO public.who_data VALUES (70837, 7, 2938, 2, 54, 299, 161);
INSERT INTO public.who_data VALUES (70838, 3473, 157719, 320, 24311, 299, 149);
INSERT INTO public.who_data VALUES (70839, 0, 24, 0, 0, 299, 6);
INSERT INTO public.who_data VALUES (70840, 1, 99, 0, 6, 299, 139);
INSERT INTO public.who_data VALUES (70841, 0, 0, 0, 0, 299, 211);
INSERT INTO public.who_data VALUES (70842, 0, 0, 0, 0, 299, 14);
INSERT INTO public.who_data VALUES (70843, 1, 116, 0, 8, 299, 111);
INSERT INTO public.who_data VALUES (70844, 18, 967, 1, 39, 299, 207);
INSERT INTO public.who_data VALUES (70845, 2131, 112261, 95, 2900, 299, 66);
INSERT INTO public.who_data VALUES (70846, 0, 0, 0, 0, 299, 173);
INSERT INTO public.who_data VALUES (70847, 1, 12, 0, 1, 299, 145);
INSERT INTO public.who_data VALUES (70848, 0, 0, 0, 0, 299, 65);
INSERT INTO public.who_data VALUES (70849, 4, 79, 0, 0, 299, 184);
INSERT INTO public.who_data VALUES (70850, 401, 9410, 19, 239, 299, 98);
INSERT INTO public.who_data VALUES (70851, 1031, 11380, 13, 89, 299, 104);
INSERT INTO public.who_data VALUES (70852, 0, 300, 0, 10, 299, 73);
INSERT INTO public.who_data VALUES (70853, 29218, 960916, 1109, 54398, 299, 8);
INSERT INTO public.who_data VALUES (70854, 4, 59, 1, 4, 299, 227);
INSERT INTO public.who_data VALUES (70855, 10, 606, 1, 15, 299, 75);
INSERT INTO public.who_data VALUES (70856, 37, 1924, 0, 8, 299, 45);
INSERT INTO public.who_data VALUES (70857, 0, 0, 0, 0, 299, 133);
INSERT INTO public.who_data VALUES (70858, 2, 325, 0, 10, 299, 202);
INSERT INTO public.who_data VALUES (70859, 0, 270, 0, 0, 299, 129);
INSERT INTO public.who_data VALUES (70860, 0, 0, 0, 0, 299, 36);
INSERT INTO public.who_data VALUES (70861, 0, 1, 0, 0, 299, 51);
INSERT INTO public.who_data VALUES (70862, 1, 89, 0, 3, 299, 206);
INSERT INTO public.who_data VALUES (70863, 0, 31, 0, 4, 299, 5);
INSERT INTO public.who_data VALUES (70864, 240, 1703, 8, 57, 300, 103);
INSERT INTO public.who_data VALUES (70865, 14, 688, 1, 27, 300, 58);
INSERT INTO public.who_data VALUES (70866, 126, 3382, 6, 425, 300, 195);
INSERT INTO public.who_data VALUES (70867, 0, 0, 0, 0, 300, 115);
INSERT INTO public.who_data VALUES (70868, 2, 740, 0, 40, 300, 99);
INSERT INTO public.who_data VALUES (70869, 1, 26, 0, 2, 300, 153);
INSERT INTO public.who_data VALUES (70870, 0, 3, 0, 0, 300, 93);
INSERT INTO public.who_data VALUES (70871, 0, 24, 0, 3, 300, 84);
INSERT INTO public.who_data VALUES (70872, 137, 3838, 0, 179, 300, 78);
INSERT INTO public.who_data VALUES (70873, 69, 1722, 0, 28, 300, 170);
INSERT INTO public.who_data VALUES (70874, 0, 100, 0, 2, 300, 32);
INSERT INTO public.who_data VALUES (70875, 10, 6713, 2, 83, 300, 155);
INSERT INTO public.who_data VALUES (70876, 55, 15189, 6, 542, 300, 82);
INSERT INTO public.who_data VALUES (70877, 28, 1645, 0, 21, 300, 16);
INSERT INTO public.who_data VALUES (70878, 6, 78, 0, 11, 300, 72);
INSERT INTO public.who_data VALUES (70879, 75, 2708, 0, 8, 300, 43);
INSERT INTO public.who_data VALUES (70880, 497, 5913, 7, 152, 300, 120);
INSERT INTO public.who_data VALUES (70881, 2, 79, 0, 6, 300, 213);
INSERT INTO public.who_data VALUES (70882, 873, 10463, 5, 72, 300, 31);
INSERT INTO public.who_data VALUES (70883, 205, 48194, 153, 7423, 300, 204);
INSERT INTO public.who_data VALUES (70884, 0, 18, 0, 2, 300, 152);
INSERT INTO public.who_data VALUES (70885, 6, 64, 0, 1, 300, 144);
INSERT INTO public.who_data VALUES (70886, 10, 109, 0, 5, 300, 96);
INSERT INTO public.who_data VALUES (70887, 0, 7, 0, 0, 300, 47);
INSERT INTO public.who_data VALUES (70888, 59, 866, 2, 46, 300, 80);
INSERT INTO public.who_data VALUES (70889, 0, 1, 0, 0, 300, 159);
INSERT INTO public.who_data VALUES (70890, 31, 1516, 2, 58, 300, 27);
INSERT INTO public.who_data VALUES (70891, 0, 22, 0, 1, 300, 146);
INSERT INTO public.who_data VALUES (70892, 5514, 58509, 346, 4016, 300, 71);
INSERT INTO public.who_data VALUES (70893, 0, 6, 0, 1, 300, 210);
INSERT INTO public.who_data VALUES (70894, 0, 138, 0, 1, 300, 54);
INSERT INTO public.who_data VALUES (70895, 53, 1300, 1, 56, 300, 147);
INSERT INTO public.who_data VALUES (70896, 3, 632, 1, 42, 300, 2);
INSERT INTO public.who_data VALUES (70897, 3, 15, 0, 1, 300, 105);
INSERT INTO public.who_data VALUES (70898, 16, 106, 0, 1, 300, 53);
INSERT INTO public.who_data VALUES (70899, 0, 122, 0, 0, 300, 81);
INSERT INTO public.who_data VALUES (70900, 103, 1621, 3, 56, 300, 223);
INSERT INTO public.who_data VALUES (70901, 1425, 45778, 139, 2489, 300, 94);
INSERT INTO public.who_data VALUES (70902, 0, 70, 0, 1, 300, 154);
INSERT INTO public.who_data VALUES (70903, 0, 19, 0, 0, 300, 83);
INSERT INTO public.who_data VALUES (70904, 0, 46, 0, 0, 300, 194);
INSERT INTO public.who_data VALUES (70905, 473, 13331, 8, 189, 300, 136);
INSERT INTO public.who_data VALUES (70906, 3, 84341, 1, 4643, 300, 179);
INSERT INTO public.who_data VALUES (70907, 261, 5142, 8, 233, 300, 57);
INSERT INTO public.who_data VALUES (70908, 0, 0, 0, 0, 300, 35);
INSERT INTO public.who_data VALUES (70909, 0, 200, 0, 8, 300, 228);
INSERT INTO public.who_data VALUES (70910, 0, 0, 0, 0, 300, 19);
INSERT INTO public.who_data VALUES (70911, 6, 693, 0, 6, 300, 22);
INSERT INTO public.who_data VALUES (70912, 39, 1150, 0, 14, 300, 1);
INSERT INTO public.who_data VALUES (70913, 14, 2030, 1, 55, 300, 21);
INSERT INTO public.who_data VALUES (70914, 32, 1369, 3, 54, 300, 234);
INSERT INTO public.who_data VALUES (70915, 0, 14, 0, 1, 300, 91);
INSERT INTO public.who_data VALUES (70916, 7, 817, 0, 14, 300, 137);
INSERT INTO public.who_data VALUES (70917, 52, 7404, 3, 221, 300, 201);
INSERT INTO public.who_data VALUES (70918, 0, 0, 0, 0, 300, 171);
INSERT INTO public.who_data VALUES (70919, 17, 459, 0, 28, 300, 92);
INSERT INTO public.who_data VALUES (70920, 130, 8575, 4, 422, 300, 112);
INSERT INTO public.who_data VALUES (70921, 12, 1035, 0, 2, 300, 62);
INSERT INTO public.who_data VALUES (70922, 0, 16, 0, 0, 300, 69);
INSERT INTO public.who_data VALUES (70923, 209, 6135, 5, 278, 300, 220);
INSERT INTO public.who_data VALUES (70924, 0, 22719, 0, 576, 300, 100);
INSERT INTO public.who_data VALUES (70925, 463, 4782, 30, 337, 300, 187);
INSERT INTO public.who_data VALUES (70926, 24, 298, 0, 8, 300, 63);
INSERT INTO public.who_data VALUES (70927, 0, 258, 0, 1, 300, 28);
INSERT INTO public.who_data VALUES (70928, 0, 39, 0, 0, 300, 172);
INSERT INTO public.who_data VALUES (70929, 8, 1643, 3, 49, 300, 17);
INSERT INTO public.who_data VALUES (70930, 3, 59, 0, 1, 300, 226);
INSERT INTO public.who_data VALUES (70931, 1, 123, 0, 3, 300, 236);
INSERT INTO public.who_data VALUES (70932, 0, 13, 0, 0, 300, 76);
INSERT INTO public.who_data VALUES (70933, 0, 187, 0, 0, 300, 30);
INSERT INTO public.who_data VALUES (70934, 0, 18, 0, 0, 300, 128);
INSERT INTO public.who_data VALUES (70935, 101, 4576, 4, 190, 300, 86);
INSERT INTO public.who_data VALUES (70936, 404, 123280, 242, 22824, 300, 140);
INSERT INTO public.who_data VALUES (70937, 0, 109, 0, 1, 300, 44);
INSERT INTO public.who_data VALUES (70938, 0, 57, 0, 0, 300, 113);
INSERT INTO public.who_data VALUES (70939, 0, 176, 0, 3, 300, 29);
INSERT INTO public.who_data VALUES (70940, 0, 10, 0, 1, 300, 125);
INSERT INTO public.who_data VALUES (70941, 11, 496, 1, 6, 300, 131);
INSERT INTO public.who_data VALUES (70942, 1018, 155193, 110, 5750, 300, 46);
INSERT INTO public.who_data VALUES (70943, 271, 1550, 1, 11, 300, 10);
INSERT INTO public.who_data VALUES (70944, 5, 141, 0, 0, 300, 205);
INSERT INTO public.who_data VALUES (70945, 0, 2506, 0, 130, 300, 50);
INSERT INTO public.who_data VALUES (70946, 0, 11, 0, 0, 300, 20);
INSERT INTO public.who_data VALUES (70947, 3, 18, 0, 0, 300, 13);
INSERT INTO public.who_data VALUES (70948, 0, 149, 0, 10, 300, 148);
INSERT INTO public.who_data VALUES (70949, 1, 138, 0, 5, 300, 230);
INSERT INTO public.who_data VALUES (70950, 43, 473, 2, 15, 300, 190);
INSERT INTO public.who_data VALUES (70951, 0, 245, 1, 12, 300, 188);
INSERT INTO public.who_data VALUES (70952, 98, 1094, 0, 7, 300, 123);
INSERT INTO public.who_data VALUES (70953, 1, 53, 1, 1, 300, 9);
INSERT INTO public.who_data VALUES (70954, 1, 74, 1, 8, 300, 102);
INSERT INTO public.who_data VALUES (70955, 0, 72, 0, 6, 300, 34);
INSERT INTO public.who_data VALUES (70956, 0, 9, 0, 0, 300, 212);
INSERT INTO public.who_data VALUES (70957, 36, 627, 4, 59, 300, 122);
INSERT INTO public.who_data VALUES (70958, 83, 2583, 8, 280, 300, 38);
INSERT INTO public.who_data VALUES (70959, 2, 1792, 0, 10, 300, 130);
INSERT INTO public.who_data VALUES (70960, 1396, 27892, 48, 872, 300, 37);
INSERT INTO public.who_data VALUES (70961, 214, 9096, 22, 765, 300, 231);
INSERT INTO public.who_data VALUES (70962, 991, 91472, 96, 5806, 300, 107);
INSERT INTO public.who_data VALUES (70963, 57, 1820, 1, 87, 300, 101);
INSERT INTO public.who_data VALUES (70964, 701, 19262, 24, 1087, 300, 132);
INSERT INTO public.who_data VALUES (70965, 0, 308, 0, 18, 300, 176);
INSERT INTO public.who_data VALUES (70966, 159, 15311, 3, 202, 300, 200);
INSERT INTO public.who_data VALUES (70967, 2324, 197675, 260, 26644, 300, 169);
INSERT INTO public.who_data VALUES (70968, 17, 305, 0, 7, 300, 225);
INSERT INTO public.who_data VALUES (70969, 203, 13385, 3, 351, 300, 165);
INSERT INTO public.who_data VALUES (70970, 2, 280, 0, 19, 300, 233);
INSERT INTO public.who_data VALUES (70971, 2, 449, 0, 7, 300, 215);
INSERT INTO public.who_data VALUES (70972, 191, 2982, 0, 25, 300, 177);
INSERT INTO public.who_data VALUES (70973, 12, 355, 0, 14, 300, 183);
INSERT INTO public.who_data VALUES (70974, 0, 0, 0, 0, 300, 203);
INSERT INTO public.who_data VALUES (70975, 32, 763, 1, 17, 300, 162);
INSERT INTO public.who_data VALUES (70976, 213, 3288, 2, 22, 300, 12);
INSERT INTO public.who_data VALUES (70977, 13, 695, 0, 8, 300, 24);
INSERT INTO public.who_data VALUES (70978, 0, 19, 0, 0, 300, 119);
INSERT INTO public.who_data VALUES (70979, 8, 812, 0, 12, 300, 39);
INSERT INTO public.who_data VALUES (70980, 3, 710, 0, 24, 300, 26);
INSERT INTO public.who_data VALUES (70981, 0, 0, 0, 0, 300, 59);
INSERT INTO public.who_data VALUES (70982, 4, 124, 1, 12, 300, 77);
INSERT INTO public.who_data VALUES (70983, 0, 61, 0, 2, 300, 134);
INSERT INTO public.who_data VALUES (70984, 0, 83, 0, 1, 300, 4);
INSERT INTO public.who_data VALUES (70985, 12, 1328, 1, 44, 300, 109);
INSERT INTO public.who_data VALUES (70986, 12, 3723, 3, 88, 300, 90);
INSERT INTO public.who_data VALUES (70987, 4, 128, 0, 0, 300, 61);
INSERT INTO public.who_data VALUES (70988, 1, 34, 0, 3, 300, 85);
INSERT INTO public.who_data VALUES (70989, 38, 5780, 0, 98, 300, 49);
INSERT INTO public.who_data VALUES (70990, 26, 214, 0, 0, 300, 208);
INSERT INTO public.who_data VALUES (70991, 19, 389, 2, 23, 300, 166);
INSERT INTO public.who_data VALUES (70992, 2, 449, 1, 4, 300, 64);
INSERT INTO public.who_data VALUES (70993, 0, 0, 0, 0, 300, 199);
INSERT INTO public.who_data VALUES (70994, 5, 175, 0, 14, 300, 114);
INSERT INTO public.who_data VALUES (70995, 0, 7, 0, 1, 300, 60);
INSERT INTO public.who_data VALUES (70996, 1, 332, 0, 9, 300, 68);
INSERT INTO public.who_data VALUES (70997, 47, 401, 0, 4, 300, 158);
INSERT INTO public.who_data VALUES (70998, 970, 13842, 84, 1305, 300, 52);
INSERT INTO public.who_data VALUES (70999, 0, 0, 0, 0, 300, 117);
INSERT INTO public.who_data VALUES (71000, 0, 65, 0, 1, 300, 126);
INSERT INTO public.who_data VALUES (71001, 1, 38, 0, 0, 300, 196);
INSERT INTO public.who_data VALUES (71002, 0, 321, 0, 7, 300, 142);
INSERT INTO public.who_data VALUES (71003, 0, 11, 0, 1, 300, 185);
INSERT INTO public.who_data VALUES (71004, 68, 4115, 1, 161, 300, 138);
INSERT INTO public.who_data VALUES (71005, 6, 76, 0, 0, 300, 181);
INSERT INTO public.who_data VALUES (71006, 0, 146, 0, 5, 300, 178);
INSERT INTO public.who_data VALUES (71007, 0, 16, 0, 0, 300, 168);
INSERT INTO public.who_data VALUES (71008, 0, 0, 0, 0, 300, 160);
INSERT INTO public.who_data VALUES (71009, 1, 52, 0, 0, 300, 151);
INSERT INTO public.who_data VALUES (71010, 651, 37574, 64, 4438, 300, 193);
INSERT INTO public.who_data VALUES (71011, 0, 18, 0, 0, 300, 18);
INSERT INTO public.who_data VALUES (71012, 1, 1122, 1, 19, 300, 40);
INSERT INTO public.who_data VALUES (71013, 2, 13, 0, 3, 300, 218);
INSERT INTO public.who_data VALUES (71014, 12, 696, 2, 29, 300, 191);
INSERT INTO public.who_data VALUES (71015, 91, 1273, 5, 40, 300, 156);
INSERT INTO public.who_data VALUES (71016, 0, 0, 0, 0, 300, 135);
INSERT INTO public.who_data VALUES (71017, 0, 14, 0, 2, 300, 88);
INSERT INTO public.who_data VALUES (71018, 19, 1386, 2, 61, 300, 55);
INSERT INTO public.who_data VALUES (71019, 38, 7505, 0, 193, 300, 108);
INSERT INTO public.who_data VALUES (71020, 0, 342, 0, 2, 300, 48);
INSERT INTO public.who_data VALUES (71021, 51, 2049, 0, 10, 300, 3);
INSERT INTO public.who_data VALUES (71022, 0, 712, 0, 13, 300, 224);
INSERT INTO public.who_data VALUES (71023, 718, 13915, 15, 292, 300, 110);
INSERT INTO public.who_data VALUES (71024, 0, 0, 0, 0, 300, 106);
INSERT INTO public.who_data VALUES (71025, 200, 5538, 5, 159, 300, 89);
INSERT INTO public.who_data VALUES (71026, 0, 8, 0, 0, 300, 121);
INSERT INTO public.who_data VALUES (71027, 5, 228, 0, 9, 300, 163);
INSERT INTO public.who_data VALUES (71028, 3683, 25331, 66, 700, 300, 70);
INSERT INTO public.who_data VALUES (71029, 285, 7579, 7, 501, 300, 174);
INSERT INTO public.who_data VALUES (71030, 0, 0, 0, 0, 300, 175);
INSERT INTO public.who_data VALUES (71031, 344, 11617, 11, 535, 300, 118);
INSERT INTO public.who_data VALUES (71032, 163, 23846, 25, 928, 300, 189);
INSERT INTO public.who_data VALUES (71033, 95, 1371, 0, 53, 300, 124);
INSERT INTO public.who_data VALUES (71034, 957, 11244, 0, 10, 300, 192);
INSERT INTO public.who_data VALUES (71035, 10, 10738, 1, 243, 300, 41);
INSERT INTO public.who_data VALUES (71036, 104, 3408, 2, 96, 300, 95);
INSERT INTO public.who_data VALUES (71037, 5, 416, 0, 0, 300, 74);
INSERT INTO public.who_data VALUES (71038, 401, 11036, 33, 608, 300, 11);
INSERT INTO public.who_data VALUES (71039, 6198, 87147, 47, 794, 300, 87);
INSERT INTO public.who_data VALUES (71040, 8, 191, 0, 0, 300, 214);
INSERT INTO public.who_data VALUES (71041, 0, 2, 0, 0, 300, 116);
INSERT INTO public.who_data VALUES (71042, 0, 6, 0, 0, 300, 157);
INSERT INTO public.who_data VALUES (71043, 0, 0, 0, 0, 300, 182);
INSERT INTO public.who_data VALUES (71044, 0, 15, 0, 0, 300, 186);
INSERT INTO public.who_data VALUES (71045, 0, 15, 0, 0, 300, 127);
INSERT INTO public.who_data VALUES (71046, 0, 38, 0, 3, 300, 232);
INSERT INTO public.who_data VALUES (71047, 0, 1, 0, 0, 300, 33);
INSERT INTO public.who_data VALUES (71048, 0, 14, 0, 0, 300, 97);
INSERT INTO public.who_data VALUES (71049, 0, 0, 0, 0, 300, 42);
INSERT INTO public.who_data VALUES (71050, 25, 538, 1, 41, 300, 198);
INSERT INTO public.who_data VALUES (71051, 0, 8, 0, 0, 300, 216);
INSERT INTO public.who_data VALUES (71052, 1289, 18811, 5, 144, 300, 164);
INSERT INTO public.who_data VALUES (71053, 57, 671, 2, 9, 300, 235);
INSERT INTO public.who_data VALUES (71054, 263, 8042, 5, 156, 300, 67);
INSERT INTO public.who_data VALUES (71055, 0, 11, 0, 0, 300, 15);
INSERT INTO public.who_data VALUES (71056, 7, 93, 1, 4, 300, 180);
INSERT INTO public.who_data VALUES (71057, 931, 13624, 0, 12, 300, 237);
INSERT INTO public.who_data VALUES (71058, 0, 2, 0, 0, 300, 25);
INSERT INTO public.who_data VALUES (71059, 1, 74, 1, 13, 300, 209);
INSERT INTO public.who_data VALUES (71060, 13, 1373, 0, 17, 300, 217);
INSERT INTO public.who_data VALUES (71061, 8, 1397, 1, 90, 300, 79);
INSERT INTO public.who_data VALUES (71062, 0, 0, 0, 0, 300, 143);
INSERT INTO public.who_data VALUES (71063, 44, 480, 3, 26, 300, 229);
INSERT INTO public.who_data VALUES (71064, 185, 4546, 1, 87, 300, 141);
INSERT INTO public.who_data VALUES (71065, 1, 6, 0, 0, 300, 197);
INSERT INTO public.who_data VALUES (71066, 1297, 218842, 295, 24875, 300, 221);
INSERT INTO public.who_data VALUES (71067, 63, 523, 0, 7, 300, 150);
INSERT INTO public.who_data VALUES (71068, 38, 275, 1, 22, 300, 56);
INSERT INTO public.who_data VALUES (71069, 0, 10, 0, 1, 300, 167);
INSERT INTO public.who_data VALUES (71070, 473, 18566, 73, 2516, 300, 23);
INSERT INTO public.who_data VALUES (71071, 61, 29230, 13, 1539, 300, 222);
INSERT INTO public.who_data VALUES (71072, 1, 43, 0, 3, 300, 219);
INSERT INTO public.who_data VALUES (71073, 0, 0, 0, 0, 300, 7);
INSERT INTO public.who_data VALUES (71074, 9, 2931, 1, 52, 300, 161);
INSERT INTO public.who_data VALUES (71075, 3748, 154246, 364, 23991, 300, 149);
INSERT INTO public.who_data VALUES (71076, 0, 24, 0, 0, 300, 6);
INSERT INTO public.who_data VALUES (71077, 2, 98, 0, 6, 300, 139);
INSERT INTO public.who_data VALUES (71078, 0, 0, 0, 0, 300, 211);
INSERT INTO public.who_data VALUES (71079, 0, 0, 0, 0, 300, 14);
INSERT INTO public.who_data VALUES (71080, 0, 115, 0, 8, 300, 111);
INSERT INTO public.who_data VALUES (71081, 10, 949, 0, 38, 300, 207);
INSERT INTO public.who_data VALUES (71082, 2357, 110130, 99, 2805, 300, 66);
INSERT INTO public.who_data VALUES (71083, 0, 0, 0, 0, 300, 173);
INSERT INTO public.who_data VALUES (71084, 0, 11, 0, 1, 300, 145);
INSERT INTO public.who_data VALUES (71085, 0, 0, 0, 0, 300, 65);
INSERT INTO public.who_data VALUES (71086, 0, 75, 0, 0, 300, 184);
INSERT INTO public.who_data VALUES (71087, 392, 9009, 11, 220, 300, 98);
INSERT INTO public.who_data VALUES (71088, 0, 10349, 0, 76, 300, 104);
INSERT INTO public.who_data VALUES (71089, 0, 300, 0, 10, 300, 73);
INSERT INTO public.who_data VALUES (71090, 32417, 931698, 1964, 53289, 300, 8);
INSERT INTO public.who_data VALUES (71091, 0, 55, 0, 3, 300, 227);
INSERT INTO public.who_data VALUES (71092, 33, 596, 2, 14, 300, 75);
INSERT INTO public.who_data VALUES (71093, 22, 1887, 0, 8, 300, 45);
INSERT INTO public.who_data VALUES (71094, 0, 0, 0, 0, 300, 133);
INSERT INTO public.who_data VALUES (71095, 5, 323, 0, 10, 300, 202);
INSERT INTO public.who_data VALUES (71096, 0, 270, 0, 0, 300, 129);
INSERT INTO public.who_data VALUES (71097, 0, 0, 0, 0, 300, 36);
INSERT INTO public.who_data VALUES (71098, 0, 1, 0, 0, 300, 51);
INSERT INTO public.who_data VALUES (71099, 4, 88, 0, 3, 300, 206);
INSERT INTO public.who_data VALUES (71100, 0, 31, 0, 4, 300, 5);
INSERT INTO public.who_data VALUES (71101, 0, 1463, 2, 49, 301, 103);
INSERT INTO public.who_data VALUES (71102, 34, 674, 0, 26, 301, 58);
INSERT INTO public.who_data VALUES (71103, 129, 3256, 4, 419, 301, 195);
INSERT INTO public.who_data VALUES (71104, 0, 0, 0, 0, 301, 115);
INSERT INTO public.who_data VALUES (71105, 5, 738, 0, 40, 301, 99);
INSERT INTO public.who_data VALUES (71106, 0, 25, 0, 2, 301, 153);
INSERT INTO public.who_data VALUES (71107, 0, 3, 0, 0, 301, 93);
INSERT INTO public.who_data VALUES (71108, 0, 24, 0, 3, 301, 84);
INSERT INTO public.who_data VALUES (71109, 222, 3701, 12, 179, 301, 78);
INSERT INTO public.who_data VALUES (71110, 81, 1653, 1, 28, 301, 170);
INSERT INTO public.who_data VALUES (71111, 0, 100, 0, 2, 301, 32);
INSERT INTO public.who_data VALUES (71112, 16, 6703, 2, 81, 301, 155);
INSERT INTO public.who_data VALUES (71113, 66, 15134, 23, 536, 301, 82);
INSERT INTO public.who_data VALUES (71114, 25, 1617, 0, 21, 301, 16);
INSERT INTO public.who_data VALUES (71115, 0, 72, 0, 11, 301, 72);
INSERT INTO public.who_data VALUES (71116, 45, 2633, 0, 8, 301, 43);
INSERT INTO public.who_data VALUES (71117, 418, 5416, 5, 145, 301, 120);
INSERT INTO public.who_data VALUES (71118, 1, 77, 0, 6, 301, 213);
INSERT INTO public.who_data VALUES (71119, 817, 9590, 4, 67, 301, 31);
INSERT INTO public.who_data VALUES (71120, 388, 47989, 142, 7270, 301, 204);
INSERT INTO public.who_data VALUES (71121, 0, 18, 0, 2, 301, 152);
INSERT INTO public.who_data VALUES (71122, 0, 58, 0, 1, 301, 144);
INSERT INTO public.who_data VALUES (71123, 0, 99, 0, 5, 301, 96);
INSERT INTO public.who_data VALUES (71124, 0, 7, 0, 0, 301, 47);
INSERT INTO public.who_data VALUES (71125, 104, 807, 1, 44, 301, 80);
INSERT INTO public.who_data VALUES (71126, 0, 1, 0, 0, 301, 159);
INSERT INTO public.who_data VALUES (71127, 57, 1485, 2, 56, 301, 27);
INSERT INTO public.who_data VALUES (71128, 0, 22, 0, 1, 301, 146);
INSERT INTO public.who_data VALUES (71129, 3503, 52995, 357, 3670, 301, 71);
INSERT INTO public.who_data VALUES (71130, 1, 6, 0, 1, 301, 210);
INSERT INTO public.who_data VALUES (71131, 0, 138, 0, 1, 301, 54);
INSERT INTO public.who_data VALUES (71132, 59, 1247, 1, 55, 301, 147);
INSERT INTO public.who_data VALUES (71133, 13, 629, 0, 41, 301, 2);
INSERT INTO public.who_data VALUES (71134, 0, 12, 0, 1, 301, 105);
INSERT INTO public.who_data VALUES (71135, 2, 90, 0, 1, 301, 53);
INSERT INTO public.who_data VALUES (71136, 0, 122, 0, 0, 301, 81);
INSERT INTO public.who_data VALUES (71137, 115, 1518, 4, 53, 301, 223);
INSERT INTO public.who_data VALUES (71138, 1614, 44353, 153, 2350, 301, 94);
INSERT INTO public.who_data VALUES (71139, 4, 70, 0, 1, 301, 154);
INSERT INTO public.who_data VALUES (71140, 0, 19, 0, 0, 301, 83);
INSERT INTO public.who_data VALUES (71141, 6, 46, 0, 0, 301, 194);
INSERT INTO public.who_data VALUES (71142, 552, 12858, 7, 181, 301, 136);
INSERT INTO public.who_data VALUES (71143, 14, 84338, 0, 4642, 301, 179);
INSERT INTO public.who_data VALUES (71144, 320, 4881, 10, 225, 301, 57);
INSERT INTO public.who_data VALUES (71145, 0, 0, 0, 0, 301, 35);
INSERT INTO public.who_data VALUES (71146, 0, 200, 2, 8, 301, 228);
INSERT INTO public.who_data VALUES (71147, 0, 0, 0, 0, 301, 19);
INSERT INTO public.who_data VALUES (71148, 1, 687, 0, 6, 301, 22);
INSERT INTO public.who_data VALUES (71149, 34, 1111, 0, 14, 301, 1);
INSERT INTO public.who_data VALUES (71150, 7, 2016, 3, 54, 301, 21);
INSERT INTO public.who_data VALUES (71151, 52, 1337, 2, 51, 301, 234);
INSERT INTO public.who_data VALUES (71152, 0, 14, 0, 1, 301, 91);
INSERT INTO public.who_data VALUES (71153, 6, 810, 0, 14, 301, 137);
INSERT INTO public.who_data VALUES (71154, 79, 7352, 3, 218, 301, 201);
INSERT INTO public.who_data VALUES (71155, 0, 0, 0, 0, 301, 171);
INSERT INTO public.who_data VALUES (71156, 26, 442, 0, 28, 301, 92);
INSERT INTO public.who_data VALUES (71157, 235, 8445, 15, 418, 301, 112);
INSERT INTO public.who_data VALUES (71158, 15, 1023, 0, 2, 301, 62);
INSERT INTO public.who_data VALUES (71159, 0, 16, 0, 0, 301, 69);
INSERT INTO public.who_data VALUES (71160, 177, 5926, 6, 273, 301, 220);
INSERT INTO public.who_data VALUES (71161, 0, 22719, 0, 576, 301, 100);
INSERT INTO public.who_data VALUES (71162, 227, 4319, 13, 307, 301, 187);
INSERT INTO public.who_data VALUES (71163, 13, 274, 0, 8, 301, 63);
INSERT INTO public.who_data VALUES (71164, 46, 258, 0, 1, 301, 28);
INSERT INTO public.who_data VALUES (71165, 0, 39, 0, 0, 301, 172);
INSERT INTO public.who_data VALUES (71166, 30, 1635, 0, 46, 301, 17);
INSERT INTO public.who_data VALUES (71167, 16, 56, 0, 1, 301, 226);
INSERT INTO public.who_data VALUES (71168, 5, 122, 0, 3, 301, 236);
INSERT INTO public.who_data VALUES (71169, 1, 13, 0, 0, 301, 76);
INSERT INTO public.who_data VALUES (71170, 0, 187, 0, 0, 301, 30);
INSERT INTO public.who_data VALUES (71171, 0, 18, 0, 0, 301, 128);
INSERT INTO public.who_data VALUES (71172, 80, 4475, 9, 186, 301, 86);
INSERT INTO public.who_data VALUES (71173, 1537, 122876, 368, 22582, 301, 140);
INSERT INTO public.who_data VALUES (71174, 0, 109, 0, 1, 301, 44);
INSERT INTO public.who_data VALUES (71175, 0, 57, 0, 0, 301, 113);
INSERT INTO public.who_data VALUES (71176, 4, 176, 0, 3, 301, 29);
INSERT INTO public.who_data VALUES (71177, 0, 10, 0, 1, 301, 125);
INSERT INTO public.who_data VALUES (71178, 29, 485, 0, 5, 301, 131);
INSERT INTO public.who_data VALUES (71179, 1737, 154175, 140, 5640, 301, 46);
INSERT INTO public.who_data VALUES (71180, 0, 1279, 0, 10, 301, 10);
INSERT INTO public.who_data VALUES (71181, 3, 136, 0, 0, 301, 205);
INSERT INTO public.who_data VALUES (71182, 16, 2506, 0, 130, 301, 50);
INSERT INTO public.who_data VALUES (71183, 0, 11, 0, 0, 301, 20);
INSERT INTO public.who_data VALUES (71184, 0, 15, 0, 0, 301, 13);
INSERT INTO public.who_data VALUES (71185, 0, 149, 0, 10, 301, 148);
INSERT INTO public.who_data VALUES (71186, 1, 137, 0, 5, 301, 230);
INSERT INTO public.who_data VALUES (71187, 46, 430, 2, 13, 301, 190);
INSERT INTO public.who_data VALUES (71188, 0, 245, 1, 11, 301, 188);
INSERT INTO public.who_data VALUES (71189, 42, 996, 1, 7, 301, 123);
INSERT INTO public.who_data VALUES (71190, 0, 52, 0, 0, 301, 9);
INSERT INTO public.who_data VALUES (71191, 3, 73, 0, 7, 301, 102);
INSERT INTO public.who_data VALUES (71192, 0, 72, 1, 6, 301, 34);
INSERT INTO public.who_data VALUES (71193, 0, 9, 0, 0, 301, 212);
INSERT INTO public.who_data VALUES (71194, 29, 591, 8, 55, 301, 122);
INSERT INTO public.who_data VALUES (71195, 57, 2500, 10, 272, 301, 38);
INSERT INTO public.who_data VALUES (71196, 1, 1790, 0, 10, 301, 130);
INSERT INTO public.who_data VALUES (71197, 1990, 26496, 49, 824, 301, 37);
INSERT INTO public.who_data VALUES (71198, 275, 8882, 23, 743, 301, 231);
INSERT INTO public.who_data VALUES (71199, 1153, 90481, 60, 5710, 301, 107);
INSERT INTO public.who_data VALUES (71200, 55, 1763, 0, 86, 301, 101);
INSERT INTO public.who_data VALUES (71201, 377, 18561, 234, 1063, 301, 132);
INSERT INTO public.who_data VALUES (71202, 0, 308, 1, 18, 301, 176);
INSERT INTO public.who_data VALUES (71203, 248, 15152, 3, 199, 301, 200);
INSERT INTO public.who_data VALUES (71204, 2357, 195351, 415, 26384, 301, 169);
INSERT INTO public.who_data VALUES (71205, 31, 288, 0, 7, 301, 225);
INSERT INTO public.who_data VALUES (71206, 353, 13182, 14, 348, 301, 165);
INSERT INTO public.who_data VALUES (71207, 2, 278, 0, 19, 301, 233);
INSERT INTO public.who_data VALUES (71208, 3, 447, 0, 7, 301, 215);
INSERT INTO public.who_data VALUES (71209, 190, 2791, 0, 25, 301, 177);
INSERT INTO public.who_data VALUES (71210, 7, 343, 0, 14, 301, 183);
INSERT INTO public.who_data VALUES (71211, 0, 0, 0, 0, 301, 203);
INSERT INTO public.who_data VALUES (71212, 28, 731, 0, 16, 301, 162);
INSERT INTO public.who_data VALUES (71213, 183, 3075, 1, 20, 301, 12);
INSERT INTO public.who_data VALUES (71214, 17, 682, 0, 8, 301, 24);
INSERT INTO public.who_data VALUES (71215, 0, 19, 0, 0, 301, 119);
INSERT INTO public.who_data VALUES (71216, 20, 804, 0, 12, 301, 39);
INSERT INTO public.who_data VALUES (71217, 3, 707, 0, 24, 301, 26);
INSERT INTO public.who_data VALUES (71218, 0, 0, 0, 0, 301, 59);
INSERT INTO public.who_data VALUES (71219, 3, 120, 3, 11, 301, 77);
INSERT INTO public.who_data VALUES (71220, 0, 61, 0, 2, 301, 134);
INSERT INTO public.who_data VALUES (71221, 0, 83, 0, 1, 301, 4);
INSERT INTO public.who_data VALUES (71222, 15, 1316, 2, 43, 301, 109);
INSERT INTO public.who_data VALUES (71223, 16, 3711, 0, 85, 301, 90);
INSERT INTO public.who_data VALUES (71224, 2, 124, 0, 0, 301, 61);
INSERT INTO public.who_data VALUES (71225, 0, 33, 0, 3, 301, 85);
INSERT INTO public.who_data VALUES (71226, 51, 5742, 2, 98, 301, 49);
INSERT INTO public.who_data VALUES (71227, 51, 188, 0, 0, 301, 208);
INSERT INTO public.who_data VALUES (71228, 45, 370, 0, 21, 301, 166);
INSERT INTO public.who_data VALUES (71229, 1, 447, 0, 3, 301, 64);
INSERT INTO public.who_data VALUES (71230, 0, 0, 0, 0, 301, 199);
INSERT INTO public.who_data VALUES (71231, 0, 170, 0, 14, 301, 114);
INSERT INTO public.who_data VALUES (71232, 0, 7, 0, 1, 301, 60);
INSERT INTO public.who_data VALUES (71233, 0, 331, 0, 9, 301, 68);
INSERT INTO public.who_data VALUES (71234, 0, 354, 0, 4, 301, 158);
INSERT INTO public.who_data VALUES (71235, 1239, 12872, 152, 1221, 301, 52);
INSERT INTO public.who_data VALUES (71236, 0, 0, 0, 0, 301, 117);
INSERT INTO public.who_data VALUES (71237, 0, 65, 0, 1, 301, 126);
INSERT INTO public.who_data VALUES (71238, 1, 37, 0, 0, 301, 196);
INSERT INTO public.who_data VALUES (71239, 0, 321, 1, 7, 301, 142);
INSERT INTO public.who_data VALUES (71240, 0, 11, 1, 1, 301, 185);
INSERT INTO public.who_data VALUES (71241, 158, 4047, 1, 160, 301, 138);
INSERT INTO public.who_data VALUES (71242, 5, 70, 0, 0, 301, 181);
INSERT INTO public.who_data VALUES (71243, 2, 146, 0, 5, 301, 178);
INSERT INTO public.who_data VALUES (71244, 0, 16, 0, 0, 301, 168);
INSERT INTO public.who_data VALUES (71245, 0, 0, 0, 0, 301, 160);
INSERT INTO public.who_data VALUES (71246, 2, 51, 0, 0, 301, 151);
INSERT INTO public.who_data VALUES (71247, 647, 36923, 127, 4374, 301, 193);
INSERT INTO public.who_data VALUES (71248, 0, 18, 0, 0, 301, 18);
INSERT INTO public.who_data VALUES (71249, 4, 1121, 0, 18, 301, 40);
INSERT INTO public.who_data VALUES (71250, 0, 11, 0, 3, 301, 218);
INSERT INTO public.who_data VALUES (71251, 3, 684, 3, 27, 301, 191);
INSERT INTO public.who_data VALUES (71252, 87, 1182, 3, 35, 301, 156);
INSERT INTO public.who_data VALUES (71253, 0, 0, 0, 0, 301, 135);
INSERT INTO public.who_data VALUES (71254, 0, 14, 0, 2, 301, 88);
INSERT INTO public.who_data VALUES (71255, 41, 1367, 2, 59, 301, 55);
INSERT INTO public.who_data VALUES (71256, 59, 7467, 2, 193, 301, 108);
INSERT INTO public.who_data VALUES (71257, 0, 342, 0, 2, 301, 48);
INSERT INTO public.who_data VALUES (71258, 93, 1998, 0, 10, 301, 3);
INSERT INTO public.who_data VALUES (71259, 0, 712, 0, 13, 301, 224);
INSERT INTO public.who_data VALUES (71260, 970, 13197, 21, 277, 301, 110);
INSERT INTO public.who_data VALUES (71261, 0, 0, 0, 0, 301, 106);
INSERT INTO public.who_data VALUES (71262, 172, 5338, 8, 154, 301, 89);
INSERT INTO public.who_data VALUES (71263, 0, 8, 0, 0, 301, 121);
INSERT INTO public.who_data VALUES (71264, 3, 223, 0, 9, 301, 163);
INSERT INTO public.who_data VALUES (71265, 734, 21648, 62, 634, 301, 70);
INSERT INTO public.who_data VALUES (71266, 102, 7294, 17, 494, 301, 174);
INSERT INTO public.who_data VALUES (71267, 0, 0, 0, 0, 301, 175);
INSERT INTO public.who_data VALUES (71268, 381, 11273, 30, 524, 301, 118);
INSERT INTO public.who_data VALUES (71269, 412, 23683, 23, 903, 301, 189);
INSERT INTO public.who_data VALUES (71270, 0, 1276, 2, 53, 301, 124);
INSERT INTO public.who_data VALUES (71271, 929, 10287, 0, 10, 301, 192);
INSERT INTO public.who_data VALUES (71272, 10, 10728, 2, 242, 301, 41);
INSERT INTO public.who_data VALUES (71273, 194, 3304, 7, 94, 301, 95);
INSERT INTO public.who_data VALUES (71274, 0, 411, 0, 0, 301, 74);
INSERT INTO public.who_data VALUES (71275, 218, 10635, 23, 575, 301, 11);
INSERT INTO public.who_data VALUES (71276, 6361, 80949, 66, 747, 301, 87);
INSERT INTO public.who_data VALUES (71277, 7, 183, 0, 0, 301, 214);
INSERT INTO public.who_data VALUES (71278, 0, 2, 0, 0, 301, 116);
INSERT INTO public.who_data VALUES (71279, 0, 6, 0, 0, 301, 157);
INSERT INTO public.who_data VALUES (71280, 0, 0, 0, 0, 301, 182);
INSERT INTO public.who_data VALUES (71281, 0, 15, 0, 0, 301, 186);
INSERT INTO public.who_data VALUES (71282, 0, 15, 0, 0, 301, 127);
INSERT INTO public.who_data VALUES (71283, 0, 38, 1, 3, 301, 232);
INSERT INTO public.who_data VALUES (71284, 0, 1, 0, 0, 301, 33);
INSERT INTO public.who_data VALUES (71285, 0, 14, 0, 0, 301, 97);
INSERT INTO public.who_data VALUES (71286, 0, 0, 0, 0, 301, 42);
INSERT INTO public.who_data VALUES (71287, 0, 513, 0, 40, 301, 198);
INSERT INTO public.who_data VALUES (71288, 0, 8, 0, 0, 301, 216);
INSERT INTO public.who_data VALUES (71289, 1223, 17522, 3, 139, 301, 164);
INSERT INTO public.who_data VALUES (71290, 69, 614, 0, 7, 301, 235);
INSERT INTO public.who_data VALUES (71291, 296, 7779, 7, 151, 301, 67);
INSERT INTO public.who_data VALUES (71292, 0, 11, 0, 0, 301, 15);
INSERT INTO public.who_data VALUES (71293, 4, 86, 0, 3, 301, 180);
INSERT INTO public.who_data VALUES (71294, 618, 12693, 0, 12, 301, 237);
INSERT INTO public.who_data VALUES (71295, 0, 2, 0, 0, 301, 25);
INSERT INTO public.who_data VALUES (71296, 0, 73, 0, 12, 301, 209);
INSERT INTO public.who_data VALUES (71297, 35, 1360, 2, 17, 301, 217);
INSERT INTO public.who_data VALUES (71298, 15, 1389, 1, 89, 301, 79);
INSERT INTO public.who_data VALUES (71299, 0, 0, 0, 0, 301, 143);
INSERT INTO public.who_data VALUES (71300, 46, 436, 5, 23, 301, 229);
INSERT INTO public.who_data VALUES (71301, 141, 4361, 7, 86, 301, 141);
INSERT INTO public.who_data VALUES (71302, 0, 5, 0, 0, 301, 197);
INSERT INTO public.who_data VALUES (71303, 2292, 217545, 330, 24580, 301, 221);
INSERT INTO public.who_data VALUES (71304, 40, 460, 0, 7, 301, 150);
INSERT INTO public.who_data VALUES (71305, 24, 237, 4, 21, 301, 56);
INSERT INTO public.who_data VALUES (71306, 0, 10, 0, 1, 301, 167);
INSERT INTO public.who_data VALUES (71307, 780, 18093, 89, 2443, 301, 23);
INSERT INTO public.who_data VALUES (71308, 87, 29169, 25, 1526, 301, 222);
INSERT INTO public.who_data VALUES (71309, 0, 42, 0, 3, 301, 219);
INSERT INTO public.who_data VALUES (71310, 0, 0, 0, 0, 301, 7);
INSERT INTO public.who_data VALUES (71311, 15, 2922, 0, 51, 301, 161);
INSERT INTO public.who_data VALUES (71312, 4970, 150498, 815, 23627, 301, 149);
INSERT INTO public.who_data VALUES (71313, 0, 24, 0, 0, 301, 6);
INSERT INTO public.who_data VALUES (71314, 6, 96, 0, 6, 301, 139);
INSERT INTO public.who_data VALUES (71315, 0, 0, 0, 0, 301, 211);
INSERT INTO public.who_data VALUES (71316, 0, 0, 0, 0, 301, 14);
INSERT INTO public.who_data VALUES (71317, 0, 115, 0, 8, 301, 111);
INSERT INTO public.who_data VALUES (71318, 17, 939, 0, 38, 301, 207);
INSERT INTO public.who_data VALUES (71319, 2861, 107773, 106, 2706, 301, 66);
INSERT INTO public.who_data VALUES (71320, 0, 0, 0, 0, 301, 173);
INSERT INTO public.who_data VALUES (71321, 0, 11, 0, 1, 301, 145);
INSERT INTO public.who_data VALUES (71322, 0, 0, 0, 0, 301, 65);
INSERT INTO public.who_data VALUES (71323, 0, 75, 0, 0, 301, 184);
INSERT INTO public.who_data VALUES (71324, 492, 8617, 8, 209, 301, 98);
INSERT INTO public.who_data VALUES (71325, 1068, 10349, 12, 76, 301, 104);
INSERT INTO public.who_data VALUES (71326, 0, 300, 0, 10, 301, 73);
INSERT INTO public.who_data VALUES (71327, 38509, 899281, 2151, 51325, 301, 8);
INSERT INTO public.who_data VALUES (71328, 1, 55, 0, 3, 301, 227);
INSERT INTO public.who_data VALUES (71329, 6, 563, 0, 12, 301, 75);
INSERT INTO public.who_data VALUES (71330, 29, 1865, 0, 8, 301, 45);
INSERT INTO public.who_data VALUES (71331, 0, 0, 0, 0, 301, 133);
INSERT INTO public.who_data VALUES (71332, 0, 318, 0, 10, 301, 202);
INSERT INTO public.who_data VALUES (71333, 0, 270, 0, 0, 301, 129);
INSERT INTO public.who_data VALUES (71334, 0, 0, 0, 0, 301, 36);
INSERT INTO public.who_data VALUES (71335, 0, 1, 0, 0, 301, 51);
INSERT INTO public.who_data VALUES (71336, 0, 84, 0, 3, 301, 206);
INSERT INTO public.who_data VALUES (71337, 2, 31, 0, 4, 301, 5);
INSERT INTO public.who_data VALUES (71338, 237, 1463, 7, 47, 302, 103);
INSERT INTO public.who_data VALUES (71339, 0, 640, 0, 26, 302, 58);
INSERT INTO public.who_data VALUES (71340, 120, 3127, 8, 415, 302, 195);
INSERT INTO public.who_data VALUES (71341, 0, 0, 0, 0, 302, 115);
INSERT INTO public.who_data VALUES (71342, 7, 733, 2, 40, 302, 99);
INSERT INTO public.who_data VALUES (71343, 0, 25, 0, 2, 302, 153);
INSERT INTO public.who_data VALUES (71344, 0, 3, 0, 0, 302, 93);
INSERT INTO public.who_data VALUES (71345, 0, 24, 0, 3, 302, 84);
INSERT INTO public.who_data VALUES (71346, 139, 3479, 8, 167, 302, 78);
INSERT INTO public.who_data VALUES (71347, 73, 1572, 3, 27, 302, 170);
INSERT INTO public.who_data VALUES (71348, 0, 100, 0, 2, 302, 32);
INSERT INTO public.who_data VALUES (71349, 20, 6687, 3, 79, 302, 155);
INSERT INTO public.who_data VALUES (71350, 83, 15068, 5, 513, 302, 82);
INSERT INTO public.who_data VALUES (71351, 44, 1592, 1, 21, 302, 16);
INSERT INTO public.who_data VALUES (71352, 2, 72, 2, 11, 302, 72);
INSERT INTO public.who_data VALUES (71353, 82, 2588, 0, 8, 302, 43);
INSERT INTO public.who_data VALUES (71354, 309, 4998, 9, 140, 302, 120);
INSERT INTO public.who_data VALUES (71355, 0, 76, 0, 6, 302, 213);
INSERT INTO public.who_data VALUES (71356, 751, 8773, 3, 63, 302, 31);
INSERT INTO public.who_data VALUES (71357, 811, 47601, 155, 7128, 302, 204);
INSERT INTO public.who_data VALUES (71358, 0, 18, 0, 2, 302, 152);
INSERT INTO public.who_data VALUES (71359, 0, 58, 0, 1, 302, 144);
INSERT INTO public.who_data VALUES (71360, 0, 99, 0, 5, 302, 96);
INSERT INTO public.who_data VALUES (71361, 0, 7, 0, 0, 302, 47);
INSERT INTO public.who_data VALUES (71362, 31, 703, 3, 43, 302, 80);
INSERT INTO public.who_data VALUES (71363, 0, 1, 0, 0, 302, 159);
INSERT INTO public.who_data VALUES (71364, 15, 1428, 1, 54, 302, 27);
INSERT INTO public.who_data VALUES (71365, 0, 22, 0, 1, 302, 146);
INSERT INTO public.who_data VALUES (71366, 3735, 49492, 407, 3313, 302, 71);
INSERT INTO public.who_data VALUES (71367, 0, 5, 0, 1, 302, 210);
INSERT INTO public.who_data VALUES (71368, 0, 138, 0, 1, 302, 54);
INSERT INTO public.who_data VALUES (71369, 91, 1188, 2, 54, 302, 147);
INSERT INTO public.who_data VALUES (71370, 16, 616, 3, 41, 302, 2);
INSERT INTO public.who_data VALUES (71371, 1, 12, 0, 1, 302, 105);
INSERT INTO public.who_data VALUES (71372, 21, 88, 0, 1, 302, 53);
INSERT INTO public.who_data VALUES (71373, 0, 122, 0, 0, 302, 81);
INSERT INTO public.who_data VALUES (71374, 2, 1403, 0, 49, 302, 223);
INSERT INTO public.who_data VALUES (71375, 1926, 42739, 169, 2197, 302, 94);
INSERT INTO public.who_data VALUES (71376, 0, 66, 0, 1, 302, 154);
INSERT INTO public.who_data VALUES (71377, 3, 19, 0, 0, 302, 83);
INSERT INTO public.who_data VALUES (71378, 6, 40, 0, 0, 302, 194);
INSERT INTO public.who_data VALUES (71379, 494, 12306, 6, 174, 302, 136);
INSERT INTO public.who_data VALUES (71380, 12, 84324, 0, 4642, 302, 179);
INSERT INTO public.who_data VALUES (71381, 205, 4561, 9, 215, 302, 57);
INSERT INTO public.who_data VALUES (71382, 0, 0, 0, 0, 302, 35);
INSERT INTO public.who_data VALUES (71383, 14, 200, 0, 6, 302, 228);
INSERT INTO public.who_data VALUES (71384, 0, 0, 0, 0, 302, 19);
INSERT INTO public.who_data VALUES (71385, 5, 686, 0, 6, 302, 22);
INSERT INTO public.who_data VALUES (71386, 73, 1077, 0, 14, 302, 1);
INSERT INTO public.who_data VALUES (71387, 28, 2009, 1, 51, 302, 21);
INSERT INTO public.who_data VALUES (71388, 50, 1285, 6, 49, 302, 234);
INSERT INTO public.who_data VALUES (71389, 0, 14, 0, 1, 302, 91);
INSERT INTO public.who_data VALUES (71390, 9, 804, 0, 14, 302, 137);
INSERT INTO public.who_data VALUES (71391, 85, 7273, 2, 215, 302, 201);
INSERT INTO public.who_data VALUES (71392, 0, 0, 0, 0, 302, 171);
INSERT INTO public.who_data VALUES (71393, 22, 416, 3, 28, 302, 92);
INSERT INTO public.who_data VALUES (71394, 137, 8210, 9, 403, 302, 112);
INSERT INTO public.who_data VALUES (71395, 9, 1008, 0, 2, 302, 62);
INSERT INTO public.who_data VALUES (71396, 0, 16, 0, 0, 302, 69);
INSERT INTO public.who_data VALUES (71397, 206, 5749, 2, 267, 302, 220);
INSERT INTO public.who_data VALUES (71398, 11536, 22719, 16, 576, 302, 100);
INSERT INTO public.who_data VALUES (71399, 0, 4092, 0, 294, 302, 187);
INSERT INTO public.who_data VALUES (71400, 11, 261, 0, 8, 302, 63);
INSERT INTO public.who_data VALUES (71401, 128, 212, 0, 1, 302, 28);
INSERT INTO public.who_data VALUES (71402, 0, 39, 0, 0, 302, 172);
INSERT INTO public.who_data VALUES (71403, 13, 1605, 1, 46, 302, 17);
INSERT INTO public.who_data VALUES (71404, 9, 40, 0, 1, 302, 226);
INSERT INTO public.who_data VALUES (71405, 1, 117, 0, 3, 302, 236);
INSERT INTO public.who_data VALUES (71406, 0, 12, 0, 0, 302, 76);
INSERT INTO public.who_data VALUES (71407, 0, 187, 0, 0, 302, 30);
INSERT INTO public.who_data VALUES (71408, 0, 18, 0, 0, 302, 128);
INSERT INTO public.who_data VALUES (71409, 111, 4395, 5, 177, 302, 86);
INSERT INTO public.who_data VALUES (71410, 1755, 121339, 389, 22214, 302, 140);
INSERT INTO public.who_data VALUES (71411, 2, 109, 0, 1, 302, 44);
INSERT INTO public.who_data VALUES (71412, 0, 57, 0, 0, 302, 113);
INSERT INTO public.who_data VALUES (71413, 6, 172, 1, 3, 302, 29);
INSERT INTO public.who_data VALUES (71414, 0, 10, 0, 1, 302, 125);
INSERT INTO public.who_data VALUES (71415, 25, 456, 0, 5, 302, 131);
INSERT INTO public.who_data VALUES (71416, 2055, 152438, 179, 5500, 302, 46);
INSERT INTO public.who_data VALUES (71417, 125, 1279, 1, 10, 302, 10);
INSERT INTO public.who_data VALUES (71418, 0, 133, 0, 0, 302, 205);
INSERT INTO public.who_data VALUES (71419, 27, 2490, 5, 130, 302, 50);
INSERT INTO public.who_data VALUES (71420, 0, 11, 0, 0, 302, 20);
INSERT INTO public.who_data VALUES (71421, 0, 15, 0, 0, 302, 13);
INSERT INTO public.who_data VALUES (71422, 1, 149, 0, 10, 302, 148);
INSERT INTO public.who_data VALUES (71423, 0, 136, 0, 5, 302, 230);
INSERT INTO public.who_data VALUES (71424, 42, 384, 1, 11, 302, 190);
INSERT INTO public.who_data VALUES (71425, 2, 245, 0, 10, 302, 188);
INSERT INTO public.who_data VALUES (71426, 92, 954, 0, 6, 302, 123);
INSERT INTO public.who_data VALUES (71427, 0, 52, 0, 0, 302, 9);
INSERT INTO public.who_data VALUES (71428, 3, 70, 0, 7, 302, 102);
INSERT INTO public.who_data VALUES (71429, 10, 72, 1, 5, 302, 34);
INSERT INTO public.who_data VALUES (71430, 0, 9, 0, 0, 302, 212);
INSERT INTO public.who_data VALUES (71431, 43, 562, 0, 47, 302, 122);
INSERT INTO public.who_data VALUES (71432, 60, 2443, 12, 262, 302, 38);
INSERT INTO public.who_data VALUES (71433, 0, 1789, 0, 10, 302, 130);
INSERT INTO public.who_data VALUES (71434, 1429, 24506, 57, 775, 302, 37);
INSERT INTO public.who_data VALUES (71435, 396, 8607, 31, 720, 302, 231);
INSERT INTO public.who_data VALUES (71436, 1134, 89328, 76, 5650, 302, 107);
INSERT INTO public.who_data VALUES (71437, 31, 1708, 3, 86, 302, 101);
INSERT INTO public.who_data VALUES (71438, 577, 18184, 35, 829, 302, 132);
INSERT INTO public.who_data VALUES (71439, 1, 308, 1, 17, 302, 176);
INSERT INTO public.who_data VALUES (71440, 276, 14904, 4, 196, 302, 200);
INSERT INTO public.who_data VALUES (71441, 3021, 192994, 420, 25969, 302, 169);
INSERT INTO public.who_data VALUES (71442, 14, 257, 1, 7, 302, 225);
INSERT INTO public.who_data VALUES (71443, 441, 12829, 17, 334, 302, 165);
INSERT INTO public.who_data VALUES (71444, 21, 276, 1, 19, 302, 233);
INSERT INTO public.who_data VALUES (71445, 7, 444, 0, 7, 302, 215);
INSERT INTO public.who_data VALUES (71446, 185, 2601, 0, 25, 302, 177);
INSERT INTO public.who_data VALUES (71447, 16, 336, 0, 14, 302, 183);
INSERT INTO public.who_data VALUES (71448, 0, 0, 0, 0, 302, 203);
INSERT INTO public.who_data VALUES (71449, 34, 703, 1, 16, 302, 162);
INSERT INTO public.who_data VALUES (71450, 278, 2892, 4, 19, 302, 12);
INSERT INTO public.who_data VALUES (71451, 9, 665, 0, 8, 302, 24);
INSERT INTO public.who_data VALUES (71452, 0, 19, 0, 0, 302, 119);
INSERT INTO public.who_data VALUES (71453, 6, 784, 1, 12, 302, 39);
INSERT INTO public.who_data VALUES (71454, 8, 704, 2, 24, 302, 26);
INSERT INTO public.who_data VALUES (71455, 0, 0, 0, 0, 302, 59);
INSERT INTO public.who_data VALUES (71456, 16, 117, 0, 8, 302, 77);
INSERT INTO public.who_data VALUES (71457, 1, 61, 0, 2, 302, 134);
INSERT INTO public.who_data VALUES (71458, 0, 83, 0, 1, 302, 4);
INSERT INTO public.who_data VALUES (71459, 10, 1301, 1, 41, 302, 109);
INSERT INTO public.who_data VALUES (71460, 30, 3695, 2, 85, 302, 90);
INSERT INTO public.who_data VALUES (71461, 1, 122, 0, 0, 302, 61);
INSERT INTO public.who_data VALUES (71462, 0, 33, 0, 3, 302, 85);
INSERT INTO public.who_data VALUES (71463, 88, 5691, 1, 96, 302, 49);
INSERT INTO public.who_data VALUES (71464, 21, 137, 0, 0, 302, 208);
INSERT INTO public.who_data VALUES (71465, 16, 325, 0, 21, 302, 166);
INSERT INTO public.who_data VALUES (71466, 2, 446, 0, 3, 302, 64);
INSERT INTO public.who_data VALUES (71467, 0, 0, 0, 0, 302, 199);
INSERT INTO public.who_data VALUES (71468, 0, 170, 0, 14, 302, 114);
INSERT INTO public.who_data VALUES (71469, 0, 7, 0, 1, 302, 60);
INSERT INTO public.who_data VALUES (71470, 0, 331, 0, 9, 302, 68);
INSERT INTO public.who_data VALUES (71471, 15, 354, 0, 4, 302, 158);
INSERT INTO public.who_data VALUES (71472, 1089, 11633, 99, 1069, 302, 52);
INSERT INTO public.who_data VALUES (71473, 0, 0, 0, 0, 302, 117);
INSERT INTO public.who_data VALUES (71474, 0, 65, 0, 1, 302, 126);
INSERT INTO public.who_data VALUES (71475, 0, 36, 0, 0, 302, 196);
INSERT INTO public.who_data VALUES (71476, 2, 321, 0, 6, 302, 142);
INSERT INTO public.who_data VALUES (71477, 0, 11, 0, 0, 302, 185);
INSERT INTO public.who_data VALUES (71478, 197, 3889, 4, 159, 302, 138);
INSERT INTO public.who_data VALUES (71479, 24, 65, 0, 0, 302, 181);
INSERT INTO public.who_data VALUES (71480, 5, 144, 0, 5, 302, 178);
INSERT INTO public.who_data VALUES (71481, 0, 16, 0, 0, 302, 168);
INSERT INTO public.who_data VALUES (71482, 0, 0, 0, 0, 302, 160);
INSERT INTO public.who_data VALUES (71483, 1, 49, 0, 0, 302, 151);
INSERT INTO public.who_data VALUES (71484, 805, 36276, 111, 4247, 302, 193);
INSERT INTO public.who_data VALUES (71485, 0, 18, 0, 0, 302, 18);
INSERT INTO public.who_data VALUES (71486, 3, 1117, 1, 18, 302, 40);
INSERT INTO public.who_data VALUES (71487, 1, 11, 1, 3, 302, 218);
INSERT INTO public.who_data VALUES (71488, 10, 681, 0, 24, 302, 191);
INSERT INTO public.who_data VALUES (71489, 114, 1095, 1, 32, 302, 156);
INSERT INTO public.who_data VALUES (71490, 0, 0, 0, 0, 302, 135);
INSERT INTO public.who_data VALUES (71491, 0, 14, 0, 2, 302, 88);
INSERT INTO public.who_data VALUES (71492, 26, 1326, 1, 57, 302, 55);
INSERT INTO public.who_data VALUES (71493, 63, 7408, 11, 191, 302, 108);
INSERT INTO public.who_data VALUES (71494, 2, 342, 0, 2, 302, 48);
INSERT INTO public.who_data VALUES (71495, 115, 1905, 1, 10, 302, 3);
INSERT INTO public.who_data VALUES (71496, 0, 712, 0, 13, 302, 224);
INSERT INTO public.who_data VALUES (71497, 1072, 12227, 19, 256, 302, 110);
INSERT INTO public.who_data VALUES (71498, 0, 0, 0, 0, 302, 106);
INSERT INTO public.who_data VALUES (71499, 174, 5166, 2, 146, 302, 89);
INSERT INTO public.who_data VALUES (71500, 0, 8, 0, 0, 302, 121);
INSERT INTO public.who_data VALUES (71501, 7, 220, 0, 9, 302, 163);
INSERT INTO public.who_data VALUES (71502, 1664, 20914, 42, 572, 302, 70);
INSERT INTO public.who_data VALUES (71503, 211, 7192, 15, 477, 302, 174);
INSERT INTO public.who_data VALUES (71504, 0, 0, 0, 0, 302, 175);
INSERT INTO public.who_data VALUES (71505, 381, 10892, 40, 494, 302, 118);
INSERT INTO public.who_data VALUES (71506, 918, 23271, 60, 880, 302, 189);
INSERT INTO public.who_data VALUES (71507, 0, 1276, 3, 51, 302, 124);
INSERT INTO public.who_data VALUES (71508, 833, 9358, 0, 10, 302, 192);
INSERT INTO public.who_data VALUES (71509, 10, 10718, 0, 240, 302, 41);
INSERT INTO public.who_data VALUES (71510, 184, 3110, 7, 87, 302, 95);
INSERT INTO public.who_data VALUES (71511, 0, 411, 0, 0, 302, 74);
INSERT INTO public.who_data VALUES (71512, 321, 10417, 25, 552, 302, 11);
INSERT INTO public.who_data VALUES (71513, 5966, 74588, 66, 681, 302, 87);
INSERT INTO public.who_data VALUES (71514, 22, 176, 0, 0, 302, 214);
INSERT INTO public.who_data VALUES (71515, 0, 2, 0, 0, 302, 116);
INSERT INTO public.who_data VALUES (71516, 0, 6, 0, 0, 302, 157);
INSERT INTO public.who_data VALUES (71517, 0, 0, 0, 0, 302, 182);
INSERT INTO public.who_data VALUES (71518, 0, 15, 0, 0, 302, 186);
INSERT INTO public.who_data VALUES (71519, 0, 15, 0, 0, 302, 127);
INSERT INTO public.who_data VALUES (71520, 0, 38, 0, 2, 302, 232);
INSERT INTO public.who_data VALUES (71521, 0, 1, 0, 0, 302, 33);
INSERT INTO public.who_data VALUES (71522, 1, 14, 0, 0, 302, 97);
INSERT INTO public.who_data VALUES (71523, 0, 0, 0, 0, 302, 42);
INSERT INTO public.who_data VALUES (71524, 12, 513, 0, 40, 302, 198);
INSERT INTO public.who_data VALUES (71525, 0, 8, 0, 0, 302, 216);
INSERT INTO public.who_data VALUES (71526, 1197, 16299, 9, 136, 302, 164);
INSERT INTO public.who_data VALUES (71527, 66, 545, 1, 7, 302, 235);
INSERT INTO public.who_data VALUES (71528, 207, 7483, 5, 144, 302, 67);
INSERT INTO public.who_data VALUES (71529, 0, 11, 0, 0, 302, 15);
INSERT INTO public.who_data VALUES (71530, 18, 82, 2, 3, 302, 180);
INSERT INTO public.who_data VALUES (71531, 897, 12075, 0, 12, 302, 237);
INSERT INTO public.who_data VALUES (71532, 0, 2, 0, 0, 302, 25);
INSERT INTO public.who_data VALUES (71533, 0, 73, 0, 12, 302, 209);
INSERT INTO public.who_data VALUES (71534, 81, 1325, 1, 15, 302, 217);
INSERT INTO public.who_data VALUES (71535, 7, 1374, 1, 88, 302, 79);
INSERT INTO public.who_data VALUES (71536, 0, 0, 0, 0, 302, 143);
INSERT INTO public.who_data VALUES (71537, 62, 390, 2, 18, 302, 229);
INSERT INTO public.who_data VALUES (71538, 267, 4220, 4, 79, 302, 141);
INSERT INTO public.who_data VALUES (71539, 1, 5, 0, 0, 302, 197);
INSERT INTO public.who_data VALUES (71540, 2224, 215253, 331, 24250, 302, 221);
INSERT INTO public.who_data VALUES (71541, 52, 420, 0, 7, 302, 150);
INSERT INTO public.who_data VALUES (71542, 39, 213, 1, 17, 302, 56);
INSERT INTO public.who_data VALUES (71543, 0, 10, 0, 1, 302, 167);
INSERT INTO public.who_data VALUES (71544, 758, 17313, 86, 2354, 302, 23);
INSERT INTO public.who_data VALUES (71545, 167, 29082, 27, 1501, 302, 222);
INSERT INTO public.who_data VALUES (71546, 0, 42, 0, 3, 302, 219);
INSERT INTO public.who_data VALUES (71547, 0, 0, 0, 0, 302, 7);
INSERT INTO public.who_data VALUES (71548, 53, 2907, 1, 51, 302, 161);
INSERT INTO public.who_data VALUES (71549, 5158, 145528, 1010, 22812, 302, 149);
INSERT INTO public.who_data VALUES (71550, 0, 24, 0, 0, 302, 6);
INSERT INTO public.who_data VALUES (71551, 2, 90, 0, 6, 302, 139);
INSERT INTO public.who_data VALUES (71552, 0, 0, 0, 0, 302, 211);
INSERT INTO public.who_data VALUES (71553, 0, 0, 0, 0, 302, 14);
INSERT INTO public.who_data VALUES (71554, 0, 115, 0, 8, 302, 111);
INSERT INTO public.who_data VALUES (71555, 4, 922, 0, 38, 302, 207);
INSERT INTO public.who_data VALUES (71556, 3122, 104912, 109, 2600, 302, 66);
INSERT INTO public.who_data VALUES (71557, 0, 0, 0, 0, 302, 173);
INSERT INTO public.who_data VALUES (71558, 0, 11, 0, 1, 302, 145);
INSERT INTO public.who_data VALUES (71559, 0, 0, 0, 0, 302, 65);
INSERT INTO public.who_data VALUES (71560, 12, 75, 0, 0, 302, 184);
INSERT INTO public.who_data VALUES (71561, 478, 8125, 8, 201, 302, 98);
INSERT INTO public.who_data VALUES (71562, 0, 9281, 0, 64, 302, 104);
INSERT INTO public.who_data VALUES (71563, 15, 300, 0, 10, 302, 73);
INSERT INTO public.who_data VALUES (71564, 30719, 860772, 1742, 49174, 302, 8);
INSERT INTO public.who_data VALUES (71565, 0, 54, 0, 3, 302, 227);
INSERT INTO public.who_data VALUES (71566, 8, 557, 0, 12, 302, 75);
INSERT INTO public.who_data VALUES (71567, 58, 1836, 1, 8, 302, 45);
INSERT INTO public.who_data VALUES (71568, 0, 0, 0, 0, 302, 133);
INSERT INTO public.who_data VALUES (71569, 20, 318, 0, 10, 302, 202);
INSERT INTO public.who_data VALUES (71570, 2, 270, 0, 0, 302, 129);
INSERT INTO public.who_data VALUES (71571, 0, 0, 0, 0, 302, 36);
INSERT INTO public.who_data VALUES (71572, 0, 1, 0, 0, 302, 51);
INSERT INTO public.who_data VALUES (71573, 8, 84, 0, 3, 302, 206);
INSERT INTO public.who_data VALUES (71574, 1, 29, 0, 4, 302, 5);
INSERT INTO public.who_data VALUES (71575, 50, 1226, 0, 40, 303, 103);
INSERT INTO public.who_data VALUES (71576, 44, 640, 0, 26, 303, 58);
INSERT INTO public.who_data VALUES (71577, 97, 3007, 5, 407, 303, 195);
INSERT INTO public.who_data VALUES (71578, 0, 0, 0, 0, 303, 115);
INSERT INTO public.who_data VALUES (71579, 2, 726, 1, 38, 303, 99);
INSERT INTO public.who_data VALUES (71580, 1, 25, 0, 2, 303, 153);
INSERT INTO public.who_data VALUES (71581, 0, 3, 0, 0, 303, 93);
INSERT INTO public.who_data VALUES (71582, 0, 24, 0, 3, 303, 84);
INSERT INTO public.who_data VALUES (71583, 143, 3340, 7, 159, 303, 78);
INSERT INTO public.who_data VALUES (71584, 50, 1499, 0, 24, 303, 170);
INSERT INTO public.who_data VALUES (71585, 0, 100, 0, 2, 303, 32);
INSERT INTO public.who_data VALUES (71586, 6, 6667, 1, 76, 303, 155);
INSERT INTO public.who_data VALUES (71587, 61, 14985, 14, 508, 303, 82);
INSERT INTO public.who_data VALUES (71588, 30, 1548, 0, 20, 303, 16);
INSERT INTO public.who_data VALUES (71589, 5, 70, 0, 9, 303, 72);
INSERT INTO public.who_data VALUES (71590, 408, 2506, 0, 8, 303, 43);
INSERT INTO public.who_data VALUES (71591, 503, 4689, 4, 131, 303, 120);
INSERT INTO public.who_data VALUES (71592, 1, 76, 1, 6, 303, 213);
INSERT INTO public.who_data VALUES (71593, 741, 8022, 0, 60, 303, 31);
INSERT INTO public.who_data VALUES (71594, 976, 46790, 155, 6973, 303, 204);
INSERT INTO public.who_data VALUES (71595, 0, 18, 0, 2, 303, 152);
INSERT INTO public.who_data VALUES (71596, 4, 58, 0, 1, 303, 144);
INSERT INTO public.who_data VALUES (71597, 1, 99, 0, 5, 303, 96);
INSERT INTO public.who_data VALUES (71598, 0, 7, 0, 0, 303, 47);
INSERT INTO public.who_data VALUES (71599, 63, 672, 3, 40, 303, 80);
INSERT INTO public.who_data VALUES (71600, 0, 1, 0, 0, 303, 159);
INSERT INTO public.who_data VALUES (71601, 46, 1413, 1, 53, 303, 27);
INSERT INTO public.who_data VALUES (71602, 0, 22, 0, 1, 303, 146);
INSERT INTO public.who_data VALUES (71603, 2678, 45757, 165, 2906, 303, 71);
INSERT INTO public.who_data VALUES (71604, 1, 5, 0, 1, 303, 210);
INSERT INTO public.who_data VALUES (71605, 0, 138, 0, 1, 303, 54);
INSERT INTO public.who_data VALUES (71606, 73, 1097, 3, 52, 303, 147);
INSERT INTO public.who_data VALUES (71607, 0, 600, 0, 38, 303, 2);
INSERT INTO public.who_data VALUES (71608, 0, 11, 0, 1, 303, 105);
INSERT INTO public.who_data VALUES (71609, 0, 67, 0, 1, 303, 53);
INSERT INTO public.who_data VALUES (71610, 0, 122, 0, 0, 303, 81);
INSERT INTO public.who_data VALUES (71611, 238, 1401, 6, 49, 303, 223);
INSERT INTO public.who_data VALUES (71612, 1890, 40813, 157, 2028, 303, 94);
INSERT INTO public.who_data VALUES (71613, 0, 66, 0, 1, 303, 154);
INSERT INTO public.who_data VALUES (71614, 2, 16, 0, 0, 303, 83);
INSERT INTO public.who_data VALUES (71615, 0, 34, 0, 0, 303, 194);
INSERT INTO public.who_data VALUES (71616, 516, 11812, 8, 168, 303, 136);
INSERT INTO public.who_data VALUES (71617, 9, 84312, 0, 4642, 303, 179);
INSERT INTO public.who_data VALUES (71618, 207, 4356, 10, 206, 303, 57);
INSERT INTO public.who_data VALUES (71619, 0, 0, 0, 0, 303, 35);
INSERT INTO public.who_data VALUES (71620, 0, 186, 0, 6, 303, 228);
INSERT INTO public.who_data VALUES (71621, 0, 0, 0, 0, 303, 19);
INSERT INTO public.who_data VALUES (71622, 12, 681, 0, 6, 303, 22);
INSERT INTO public.who_data VALUES (71623, 52, 1004, 0, 14, 303, 1);
INSERT INTO public.who_data VALUES (71624, 31, 1981, 2, 50, 303, 21);
INSERT INTO public.who_data VALUES (71625, 46, 1235, 3, 43, 303, 234);
INSERT INTO public.who_data VALUES (71626, 0, 14, 0, 1, 303, 91);
INSERT INTO public.who_data VALUES (71627, 5, 795, 0, 14, 303, 137);
INSERT INTO public.who_data VALUES (71628, 52, 7188, 3, 213, 303, 201);
INSERT INTO public.who_data VALUES (71629, 0, 0, 0, 0, 303, 171);
INSERT INTO public.who_data VALUES (71630, 35, 394, 0, 25, 303, 92);
INSERT INTO public.who_data VALUES (71631, 161, 8073, 10, 394, 303, 112);
INSERT INTO public.who_data VALUES (71632, 13, 999, 0, 2, 303, 62);
INSERT INTO public.who_data VALUES (71633, 0, 16, 0, 0, 303, 69);
INSERT INTO public.who_data VALUES (71634, 243, 5543, 5, 265, 303, 220);
INSERT INTO public.who_data VALUES (71635, 333, 11183, 23, 560, 303, 100);
INSERT INTO public.who_data VALUES (71636, 433, 4092, 18, 294, 303, 187);
INSERT INTO public.who_data VALUES (71637, 13, 250, 1, 8, 303, 63);
INSERT INTO public.who_data VALUES (71638, 0, 84, 0, 1, 303, 28);
INSERT INTO public.who_data VALUES (71639, 0, 39, 0, 0, 303, 172);
INSERT INTO public.who_data VALUES (71640, 33, 1592, 1, 45, 303, 17);
INSERT INTO public.who_data VALUES (71641, 0, 31, 0, 1, 303, 226);
INSERT INTO public.who_data VALUES (71642, 0, 116, 0, 3, 303, 236);
INSERT INTO public.who_data VALUES (71643, 0, 12, 0, 0, 303, 76);
INSERT INTO public.who_data VALUES (71644, 2, 187, 0, 0, 303, 30);
INSERT INTO public.who_data VALUES (71645, 0, 18, 0, 0, 303, 128);
INSERT INTO public.who_data VALUES (71646, 155, 4284, 23, 172, 303, 86);
INSERT INTO public.who_data VALUES (71647, 1623, 119584, 516, 21825, 303, 140);
INSERT INTO public.who_data VALUES (71648, 10, 107, 0, 1, 303, 44);
INSERT INTO public.who_data VALUES (71649, 0, 57, 0, 0, 303, 113);
INSERT INTO public.who_data VALUES (71650, 0, 166, 1, 2, 303, 29);
INSERT INTO public.who_data VALUES (71651, 0, 10, 0, 1, 303, 125);
INSERT INTO public.who_data VALUES (71652, 11, 431, 0, 5, 303, 131);
INSERT INTO public.who_data VALUES (71653, 2337, 150383, 227, 5321, 303, 46);
INSERT INTO public.who_data VALUES (71654, 0, 1154, 0, 9, 303, 10);
INSERT INTO public.who_data VALUES (71655, 0, 133, 0, 0, 303, 205);
INSERT INTO public.who_data VALUES (71656, 55, 2463, 4, 125, 303, 50);
INSERT INTO public.who_data VALUES (71657, 0, 11, 0, 0, 303, 20);
INSERT INTO public.who_data VALUES (71658, 1, 15, 0, 0, 303, 13);
INSERT INTO public.who_data VALUES (71659, 0, 148, 0, 10, 303, 148);
INSERT INTO public.who_data VALUES (71660, 1, 136, 0, 5, 303, 230);
INSERT INTO public.who_data VALUES (71661, 26, 342, 2, 10, 303, 190);
INSERT INTO public.who_data VALUES (71662, 2, 243, 0, 10, 303, 188);
INSERT INTO public.who_data VALUES (71663, 101, 862, 0, 6, 303, 123);
INSERT INTO public.who_data VALUES (71664, 2, 52, 0, 0, 303, 9);
INSERT INTO public.who_data VALUES (71665, 0, 67, 0, 7, 303, 102);
INSERT INTO public.who_data VALUES (71666, 4, 62, 0, 4, 303, 34);
INSERT INTO public.who_data VALUES (71667, 0, 9, 0, 0, 303, 212);
INSERT INTO public.who_data VALUES (71668, 9, 519, 1, 47, 303, 122);
INSERT INTO public.who_data VALUES (71669, 99, 2383, 25, 250, 303, 38);
INSERT INTO public.who_data VALUES (71670, 4, 1789, 0, 10, 303, 130);
INSERT INTO public.who_data VALUES (71671, 1684, 23077, 37, 718, 303, 37);
INSERT INTO public.who_data VALUES (71672, 436, 8211, 42, 689, 303, 231);
INSERT INTO public.who_data VALUES (71673, 1168, 88194, 93, 5574, 303, 107);
INSERT INTO public.who_data VALUES (71674, 0, 1677, 0, 83, 303, 101);
INSERT INTO public.who_data VALUES (71675, 936, 17607, 25, 794, 303, 132);
INSERT INTO public.who_data VALUES (71676, 0, 307, 6, 16, 303, 176);
INSERT INTO public.who_data VALUES (71677, 225, 14628, 3, 192, 303, 200);
INSERT INTO public.who_data VALUES (71678, 2646, 189973, 464, 25549, 303, 169);
INSERT INTO public.who_data VALUES (71679, 10, 243, 0, 6, 303, 225);
INSERT INTO public.who_data VALUES (71680, 469, 12388, 30, 317, 303, 165);
INSERT INTO public.who_data VALUES (71681, 0, 255, 4, 18, 303, 233);
INSERT INTO public.who_data VALUES (71682, 2, 437, 0, 7, 303, 215);
INSERT INTO public.who_data VALUES (71683, 391, 2416, 6, 25, 303, 177);
INSERT INTO public.who_data VALUES (71684, 17, 320, 0, 14, 303, 183);
INSERT INTO public.who_data VALUES (71685, 0, 0, 0, 0, 303, 203);
INSERT INTO public.who_data VALUES (71686, 39, 669, 0, 15, 303, 162);
INSERT INTO public.who_data VALUES (71687, 215, 2614, 1, 15, 303, 12);
INSERT INTO public.who_data VALUES (71688, 25, 656, 0, 8, 303, 24);
INSERT INTO public.who_data VALUES (71689, 0, 19, 0, 0, 303, 119);
INSERT INTO public.who_data VALUES (71690, 17, 778, 0, 11, 303, 39);
INSERT INTO public.who_data VALUES (71691, 8, 696, 0, 22, 303, 26);
INSERT INTO public.who_data VALUES (71692, 0, 0, 0, 0, 303, 59);
INSERT INTO public.who_data VALUES (71693, 0, 101, 0, 8, 303, 77);
INSERT INTO public.who_data VALUES (71694, 0, 60, 1, 2, 303, 134);
INSERT INTO public.who_data VALUES (71695, 1, 83, 0, 1, 303, 4);
INSERT INTO public.who_data VALUES (71696, 19, 1291, 1, 40, 303, 109);
INSERT INTO public.who_data VALUES (71697, 11, 3665, 3, 83, 303, 90);
INSERT INTO public.who_data VALUES (71698, 0, 121, 0, 0, 303, 61);
INSERT INTO public.who_data VALUES (71699, 10, 33, 0, 3, 303, 85);
INSERT INTO public.who_data VALUES (71700, 71, 5603, 2, 95, 303, 49);
INSERT INTO public.who_data VALUES (71701, 22, 116, 0, 0, 303, 208);
INSERT INTO public.who_data VALUES (71702, 16, 309, 4, 21, 303, 166);
INSERT INTO public.who_data VALUES (71703, 0, 444, 0, 3, 303, 64);
INSERT INTO public.who_data VALUES (71704, 0, 0, 0, 0, 303, 199);
INSERT INTO public.who_data VALUES (71705, 6, 170, 0, 14, 303, 114);
INSERT INTO public.who_data VALUES (71706, 0, 7, 0, 1, 303, 60);
INSERT INTO public.who_data VALUES (71707, 2, 331, 0, 9, 303, 68);
INSERT INTO public.who_data VALUES (71708, 13, 339, 0, 4, 303, 158);
INSERT INTO public.who_data VALUES (71709, 1043, 10544, 113, 970, 303, 52);
INSERT INTO public.who_data VALUES (71710, 0, 0, 0, 0, 303, 117);
INSERT INTO public.who_data VALUES (71711, 0, 65, 0, 1, 303, 126);
INSERT INTO public.who_data VALUES (71712, 1, 36, 0, 0, 303, 196);
INSERT INTO public.who_data VALUES (71713, 0, 319, 1, 6, 303, 142);
INSERT INTO public.who_data VALUES (71714, 0, 11, 0, 0, 303, 185);
INSERT INTO public.who_data VALUES (71715, 155, 3692, 4, 155, 303, 138);
INSERT INTO public.who_data VALUES (71716, 0, 41, 0, 0, 303, 181);
INSERT INTO public.who_data VALUES (71717, 12, 139, 0, 5, 303, 178);
INSERT INTO public.who_data VALUES (71718, 0, 16, 0, 0, 303, 168);
INSERT INTO public.who_data VALUES (71719, 0, 0, 0, 0, 303, 160);
INSERT INTO public.who_data VALUES (71720, 3, 48, 0, 0, 303, 151);
INSERT INTO public.who_data VALUES (71721, 876, 35471, 133, 4136, 303, 193);
INSERT INTO public.who_data VALUES (71722, 0, 18, 0, 0, 303, 18);
INSERT INTO public.who_data VALUES (71723, 2, 1114, 1, 17, 303, 40);
INSERT INTO public.who_data VALUES (71724, 0, 10, 0, 2, 303, 218);
INSERT INTO public.who_data VALUES (71725, 9, 671, 2, 24, 303, 191);
INSERT INTO public.who_data VALUES (71726, 440, 981, 12, 31, 303, 156);
INSERT INTO public.who_data VALUES (71727, 0, 0, 0, 0, 303, 135);
INSERT INTO public.who_data VALUES (71728, 0, 14, 0, 2, 303, 88);
INSERT INTO public.who_data VALUES (71729, 41, 1300, 0, 56, 303, 55);
INSERT INTO public.who_data VALUES (71730, 95, 7345, 11, 180, 303, 108);
INSERT INTO public.who_data VALUES (71731, 4, 340, 0, 2, 303, 48);
INSERT INTO public.who_data VALUES (71732, 74, 1790, 1, 9, 303, 3);
INSERT INTO public.who_data VALUES (71733, 0, 712, 0, 13, 303, 224);
INSERT INTO public.who_data VALUES (71734, 340, 11155, 9, 237, 303, 110);
INSERT INTO public.who_data VALUES (71735, 0, 0, 0, 0, 303, 106);
INSERT INTO public.who_data VALUES (71736, 171, 4992, 3, 144, 303, 89);
INSERT INTO public.who_data VALUES (71737, 0, 8, 0, 0, 303, 121);
INSERT INTO public.who_data VALUES (71738, 0, 213, 0, 9, 303, 163);
INSERT INTO public.who_data VALUES (71739, 1413, 19250, 46, 530, 303, 70);
INSERT INTO public.who_data VALUES (71740, 271, 6981, 16, 462, 303, 174);
INSERT INTO public.who_data VALUES (71741, 0, 0, 0, 0, 303, 175);
INSERT INTO public.who_data VALUES (71742, 342, 10511, 28, 454, 303, 118);
INSERT INTO public.who_data VALUES (71743, 371, 22353, 35, 820, 303, 189);
INSERT INTO public.who_data VALUES (71744, 0, 1276, 0, 48, 303, 124);
INSERT INTO public.who_data VALUES (71745, 761, 8525, 0, 10, 303, 192);
INSERT INTO public.who_data VALUES (71746, 6, 10708, 0, 240, 303, 41);
INSERT INTO public.who_data VALUES (71747, 148, 2926, 4, 80, 303, 95);
INSERT INTO public.who_data VALUES (71748, 1, 411, 0, 0, 303, 74);
INSERT INTO public.who_data VALUES (71749, 386, 10096, 19, 527, 303, 11);
INSERT INTO public.who_data VALUES (71750, 5849, 68622, 60, 615, 303, 87);
INSERT INTO public.who_data VALUES (71751, 1, 154, 0, 0, 303, 214);
INSERT INTO public.who_data VALUES (71752, 0, 2, 0, 0, 303, 116);
INSERT INTO public.who_data VALUES (71753, 0, 6, 0, 0, 303, 157);
INSERT INTO public.who_data VALUES (71754, 0, 0, 0, 0, 303, 182);
INSERT INTO public.who_data VALUES (71755, 0, 15, 0, 0, 303, 186);
INSERT INTO public.who_data VALUES (71756, 0, 15, 0, 0, 303, 127);
INSERT INTO public.who_data VALUES (71757, 0, 38, 0, 2, 303, 232);
INSERT INTO public.who_data VALUES (71758, 0, 1, 0, 0, 303, 33);
INSERT INTO public.who_data VALUES (71759, 0, 13, 0, 0, 303, 97);
INSERT INTO public.who_data VALUES (71760, 0, 0, 0, 0, 303, 42);
INSERT INTO public.who_data VALUES (71761, 13, 501, 0, 40, 303, 198);
INSERT INTO public.who_data VALUES (71762, 1, 8, 0, 0, 303, 216);
INSERT INTO public.who_data VALUES (71763, 1172, 15102, 6, 127, 303, 164);
INSERT INTO public.who_data VALUES (71764, 37, 479, 0, 6, 303, 235);
INSERT INTO public.who_data VALUES (71765, 162, 7276, 5, 139, 303, 67);
INSERT INTO public.who_data VALUES (71766, 0, 11, 0, 0, 303, 15);
INSERT INTO public.who_data VALUES (71767, 3, 64, 0, 1, 303, 180);
INSERT INTO public.who_data VALUES (71768, 1037, 11178, 0, 12, 303, 237);
INSERT INTO public.who_data VALUES (71769, 0, 2, 0, 0, 303, 25);
INSERT INTO public.who_data VALUES (71770, 2, 73, 1, 12, 303, 209);
INSERT INTO public.who_data VALUES (71771, 45, 1244, 0, 14, 303, 217);
INSERT INTO public.who_data VALUES (71772, 13, 1367, 0, 87, 303, 79);
INSERT INTO public.who_data VALUES (71773, 0, 0, 0, 0, 303, 143);
INSERT INTO public.who_data VALUES (71774, 0, 328, 0, 16, 303, 229);
INSERT INTO public.who_data VALUES (71775, 318, 3953, 10, 75, 303, 141);
INSERT INTO public.who_data VALUES (71776, 0, 4, 0, 0, 303, 197);
INSERT INTO public.who_data VALUES (71777, 2771, 213029, 344, 23919, 303, 221);
INSERT INTO public.who_data VALUES (71778, 38, 368, 0, 7, 303, 150);
INSERT INTO public.who_data VALUES (71779, 12, 174, 3, 16, 303, 56);
INSERT INTO public.who_data VALUES (71780, 0, 10, 0, 1, 303, 167);
INSERT INTO public.who_data VALUES (71781, 723, 16555, 77, 2268, 303, 23);
INSERT INTO public.who_data VALUES (71782, 207, 28915, 31, 1474, 303, 222);
INSERT INTO public.who_data VALUES (71783, 0, 42, 0, 3, 303, 219);
INSERT INTO public.who_data VALUES (71784, 0, 0, 0, 0, 303, 7);
INSERT INTO public.who_data VALUES (71785, 15, 2854, 0, 50, 303, 161);
INSERT INTO public.who_data VALUES (71786, 5487, 140370, 682, 21802, 303, 149);
INSERT INTO public.who_data VALUES (71787, 1, 24, 0, 0, 303, 6);
INSERT INTO public.who_data VALUES (71788, 0, 88, 0, 6, 303, 139);
INSERT INTO public.who_data VALUES (71789, 0, 0, 0, 0, 303, 211);
INSERT INTO public.who_data VALUES (71790, 0, 0, 0, 0, 303, 14);
INSERT INTO public.who_data VALUES (71791, 0, 115, 0, 8, 303, 111);
INSERT INTO public.who_data VALUES (71792, 9, 918, 0, 38, 303, 207);
INSERT INTO public.who_data VALUES (71793, 3116, 101790, 115, 2491, 303, 66);
INSERT INTO public.who_data VALUES (71794, 0, 0, 0, 0, 303, 173);
INSERT INTO public.who_data VALUES (71795, 0, 11, 0, 1, 303, 145);
INSERT INTO public.who_data VALUES (71796, 0, 0, 0, 0, 303, 65);
INSERT INTO public.who_data VALUES (71797, 2, 63, 0, 0, 303, 184);
INSERT INTO public.who_data VALUES (71798, 477, 7647, 6, 193, 303, 98);
INSERT INTO public.who_data VALUES (71799, 525, 9281, 8, 64, 303, 104);
INSERT INTO public.who_data VALUES (71800, 0, 285, 0, 10, 303, 73);
INSERT INTO public.who_data VALUES (71801, 29127, 830053, 2390, 47432, 303, 8);
INSERT INTO public.who_data VALUES (71802, 0, 54, 0, 3, 303, 227);
INSERT INTO public.who_data VALUES (71803, 6, 549, 0, 12, 303, 75);
INSERT INTO public.who_data VALUES (71804, 62, 1778, 0, 7, 303, 45);
INSERT INTO public.who_data VALUES (71805, 0, 0, 0, 0, 303, 133);
INSERT INTO public.who_data VALUES (71806, 10, 298, 0, 10, 303, 202);
INSERT INTO public.who_data VALUES (71807, 0, 268, 0, 0, 303, 129);
INSERT INTO public.who_data VALUES (71808, 0, 0, 0, 0, 303, 36);
INSERT INTO public.who_data VALUES (71809, 0, 1, 0, 0, 303, 51);
INSERT INTO public.who_data VALUES (71810, 2, 76, 0, 3, 303, 206);
INSERT INTO public.who_data VALUES (71811, 0, 28, 0, 4, 303, 5);
INSERT INTO public.who_data VALUES (71812, 0, 1176, 0, 40, 304, 103);
INSERT INTO public.who_data VALUES (71813, 0, 596, 1, 26, 304, 58);
INSERT INTO public.who_data VALUES (71814, 99, 2910, 10, 402, 304, 195);
INSERT INTO public.who_data VALUES (71815, 0, 0, 0, 0, 304, 115);
INSERT INTO public.who_data VALUES (71816, 1, 724, 0, 37, 304, 99);
INSERT INTO public.who_data VALUES (71817, 0, 24, 0, 2, 304, 153);
INSERT INTO public.who_data VALUES (71818, 0, 3, 0, 0, 304, 93);
INSERT INTO public.who_data VALUES (71819, 1, 24, 0, 3, 304, 84);
INSERT INTO public.who_data VALUES (71820, 124, 3197, 7, 152, 304, 78);
INSERT INTO public.who_data VALUES (71821, 72, 1449, 0, 24, 304, 170);
INSERT INTO public.who_data VALUES (71822, 3, 100, 0, 2, 304, 32);
INSERT INTO public.who_data VALUES (71823, 14, 6661, 1, 75, 304, 155);
INSERT INTO public.who_data VALUES (71824, 91, 14924, 31, 494, 304, 82);
INSERT INTO public.who_data VALUES (71825, 38, 1518, 0, 20, 304, 16);
INSERT INTO public.who_data VALUES (71826, 1, 65, 0, 9, 304, 72);
INSERT INTO public.who_data VALUES (71827, 91, 2098, 1, 8, 304, 43);
INSERT INTO public.who_data VALUES (71828, 414, 4186, 7, 127, 304, 120);
INSERT INTO public.who_data VALUES (71829, 0, 75, 0, 5, 304, 213);
INSERT INTO public.who_data VALUES (71830, 558, 7281, 5, 60, 304, 31);
INSERT INTO public.who_data VALUES (71831, 777, 45814, 181, 6818, 304, 204);
INSERT INTO public.who_data VALUES (71832, 0, 18, 0, 2, 304, 152);
INSERT INTO public.who_data VALUES (71833, 0, 54, 0, 1, 304, 144);
INSERT INTO public.who_data VALUES (71834, 12, 98, 0, 5, 304, 96);
INSERT INTO public.who_data VALUES (71835, 1, 7, 0, 0, 304, 47);
INSERT INTO public.who_data VALUES (71836, 11, 609, 3, 37, 304, 80);
INSERT INTO public.who_data VALUES (71837, 0, 1, 0, 0, 304, 159);
INSERT INTO public.who_data VALUES (71838, 27, 1367, 2, 52, 304, 27);
INSERT INTO public.who_data VALUES (71839, 2, 22, 0, 1, 304, 146);
INSERT INTO public.who_data VALUES (71840, 2498, 43079, 166, 2741, 304, 71);
INSERT INTO public.who_data VALUES (71841, 0, 4, 0, 1, 304, 210);
INSERT INTO public.who_data VALUES (71842, 0, 138, 0, 1, 304, 54);
INSERT INTO public.who_data VALUES (71843, 49, 1024, 4, 49, 304, 147);
INSERT INTO public.who_data VALUES (71844, 19, 600, 0, 38, 304, 2);
INSERT INTO public.who_data VALUES (71845, 0, 11, 0, 1, 304, 105);
INSERT INTO public.who_data VALUES (71846, 0, 67, 0, 1, 304, 53);
INSERT INTO public.who_data VALUES (71847, 0, 122, 0, 0, 304, 81);
INSERT INTO public.who_data VALUES (71848, 0, 1163, 0, 43, 304, 223);
INSERT INTO public.who_data VALUES (71849, 1549, 38923, 143, 1871, 304, 94);
INSERT INTO public.who_data VALUES (71850, 0, 66, 0, 1, 304, 154);
INSERT INTO public.who_data VALUES (71851, 0, 14, 0, 0, 304, 83);
INSERT INTO public.who_data VALUES (71852, 0, 34, 0, 0, 304, 194);
INSERT INTO public.who_data VALUES (71853, 464, 11296, 13, 160, 304, 136);
INSERT INTO public.who_data VALUES (71854, 15, 84303, 0, 4642, 304, 179);
INSERT INTO public.who_data VALUES (71855, 172, 4149, 7, 196, 304, 57);
INSERT INTO public.who_data VALUES (71856, 0, 0, 0, 0, 304, 35);
INSERT INTO public.who_data VALUES (71857, 21, 186, 0, 6, 304, 228);
INSERT INTO public.who_data VALUES (71858, 0, 0, 0, 0, 304, 19);
INSERT INTO public.who_data VALUES (71859, 7, 669, 0, 6, 304, 22);
INSERT INTO public.who_data VALUES (71860, 36, 952, 1, 14, 304, 1);
INSERT INTO public.who_data VALUES (71861, 42, 1950, 0, 48, 304, 21);
INSERT INTO public.who_data VALUES (71862, 52, 1189, 2, 40, 304, 234);
INSERT INTO public.who_data VALUES (71863, 0, 14, 0, 1, 304, 91);
INSERT INTO public.who_data VALUES (71864, 6, 790, 2, 14, 304, 137);
INSERT INTO public.who_data VALUES (71865, 95, 7136, 9, 210, 304, 201);
INSERT INTO public.who_data VALUES (71866, 0, 0, 0, 0, 304, 171);
INSERT INTO public.who_data VALUES (71867, 0, 359, 0, 25, 304, 92);
INSERT INTO public.who_data VALUES (71868, 217, 7912, 14, 384, 304, 112);
INSERT INTO public.who_data VALUES (71869, 12, 986, 0, 2, 304, 62);
INSERT INTO public.who_data VALUES (71870, 0, 16, 0, 0, 304, 69);
INSERT INTO public.who_data VALUES (71871, 256, 5300, 15, 260, 304, 220);
INSERT INTO public.who_data VALUES (71872, 452, 10850, 17, 537, 304, 100);
INSERT INTO public.who_data VALUES (71873, 169, 3659, 12, 276, 304, 187);
INSERT INTO public.who_data VALUES (71874, 12, 237, 0, 7, 304, 63);
INSERT INTO public.who_data VALUES (71875, 5, 84, 1, 1, 304, 28);
INSERT INTO public.who_data VALUES (71876, 0, 39, 0, 0, 304, 172);
INSERT INTO public.who_data VALUES (71877, 7, 1559, 1, 44, 304, 17);
INSERT INTO public.who_data VALUES (71878, 7, 31, 0, 1, 304, 226);
INSERT INTO public.who_data VALUES (71879, 2, 116, 0, 3, 304, 236);
INSERT INTO public.who_data VALUES (71880, 1, 12, 0, 0, 304, 76);
INSERT INTO public.who_data VALUES (71881, 0, 185, 0, 0, 304, 30);
INSERT INTO public.who_data VALUES (71882, 0, 18, 0, 0, 304, 128);
INSERT INTO public.who_data VALUES (71883, 115, 4129, 8, 149, 304, 86);
INSERT INTO public.who_data VALUES (71884, 1810, 117961, 544, 21309, 304, 140);
INSERT INTO public.who_data VALUES (71885, 0, 97, 0, 1, 304, 44);
INSERT INTO public.who_data VALUES (71886, 0, 57, 0, 0, 304, 113);
INSERT INTO public.who_data VALUES (71887, 10, 166, 0, 1, 304, 29);
INSERT INTO public.who_data VALUES (71888, 0, 10, 0, 1, 304, 125);
INSERT INTO public.who_data VALUES (71889, 9, 420, 0, 5, 304, 131);
INSERT INTO public.who_data VALUES (71890, 2352, 148046, 215, 5094, 304, 46);
INSERT INTO public.who_data VALUES (71891, 112, 1154, 0, 9, 304, 10);
INSERT INTO public.who_data VALUES (71892, 0, 133, 0, 0, 304, 205);
INSERT INTO public.who_data VALUES (71893, 7, 2408, 0, 121, 304, 50);
INSERT INTO public.who_data VALUES (71894, 0, 11, 0, 0, 304, 20);
INSERT INTO public.who_data VALUES (71895, 0, 14, 0, 0, 304, 13);
INSERT INTO public.who_data VALUES (71896, 0, 148, 0, 10, 304, 148);
INSERT INTO public.who_data VALUES (71897, 2, 135, 0, 5, 304, 230);
INSERT INTO public.who_data VALUES (71898, 22, 316, 0, 8, 304, 190);
INSERT INTO public.who_data VALUES (71899, 2, 241, 0, 10, 304, 188);
INSERT INTO public.who_data VALUES (71900, 73, 761, 0, 6, 304, 123);
INSERT INTO public.who_data VALUES (71901, 0, 50, 0, 0, 304, 9);
INSERT INTO public.who_data VALUES (71902, 1, 67, 0, 7, 304, 102);
INSERT INTO public.who_data VALUES (71903, 1, 58, 1, 4, 304, 34);
INSERT INTO public.who_data VALUES (71904, 0, 9, 0, 0, 304, 212);
INSERT INTO public.who_data VALUES (71905, 16, 510, 0, 46, 304, 122);
INSERT INTO public.who_data VALUES (71906, 116, 2284, 0, 225, 304, 38);
INSERT INTO public.who_data VALUES (71907, 7, 1785, 0, 10, 304, 130);
INSERT INTO public.who_data VALUES (71908, 1409, 21393, 41, 681, 304, 37);
INSERT INTO public.who_data VALUES (71909, 357, 7775, 12, 647, 304, 231);
INSERT INTO public.who_data VALUES (71910, 1030, 87026, 90, 5481, 304, 107);
INSERT INTO public.who_data VALUES (71911, 75, 1677, 0, 83, 304, 101);
INSERT INTO public.who_data VALUES (71912, 631, 16671, 39, 769, 304, 132);
INSERT INTO public.who_data VALUES (71913, 0, 307, 0, 10, 304, 176);
INSERT INTO public.who_data VALUES (71914, 282, 14403, 9, 189, 304, 200);
INSERT INTO public.who_data VALUES (71915, 3370, 187327, 437, 25085, 304, 169);
INSERT INTO public.who_data VALUES (71916, 10, 233, 0, 6, 304, 225);
INSERT INTO public.who_data VALUES (71917, 423, 11919, 10, 287, 304, 165);
INSERT INTO public.who_data VALUES (71918, 5, 255, 0, 14, 304, 233);
INSERT INTO public.who_data VALUES (71919, 7, 435, 0, 7, 304, 215);
INSERT INTO public.who_data VALUES (71920, 0, 2025, 0, 19, 304, 177);
INSERT INTO public.who_data VALUES (71921, 7, 303, 0, 14, 304, 183);
INSERT INTO public.who_data VALUES (71922, 0, 0, 0, 0, 304, 203);
INSERT INTO public.who_data VALUES (71923, 26, 630, 1, 15, 304, 162);
INSERT INTO public.who_data VALUES (71924, 151, 2399, 1, 14, 304, 12);
INSERT INTO public.who_data VALUES (71925, 19, 631, 1, 8, 304, 24);
INSERT INTO public.who_data VALUES (71926, 0, 19, 0, 0, 304, 119);
INSERT INTO public.who_data VALUES (71927, 13, 761, 2, 11, 304, 39);
INSERT INTO public.who_data VALUES (71928, 6, 688, 0, 22, 304, 26);
INSERT INTO public.who_data VALUES (71929, 0, 0, 0, 0, 304, 59);
INSERT INTO public.who_data VALUES (71930, 0, 101, 0, 8, 304, 77);
INSERT INTO public.who_data VALUES (71931, 1, 60, 0, 1, 304, 134);
INSERT INTO public.who_data VALUES (71932, 0, 82, 0, 1, 304, 4);
INSERT INTO public.who_data VALUES (71933, 22, 1272, 0, 39, 304, 109);
INSERT INTO public.who_data VALUES (71934, 36, 3654, 2, 80, 304, 90);
INSERT INTO public.who_data VALUES (71935, 0, 121, 0, 0, 304, 61);
INSERT INTO public.who_data VALUES (71936, 5, 23, 1, 3, 304, 85);
INSERT INTO public.who_data VALUES (71937, 50, 5532, 1, 93, 304, 49);
INSERT INTO public.who_data VALUES (71938, 9, 94, 0, 0, 304, 208);
INSERT INTO public.who_data VALUES (71939, 35, 293, 3, 17, 304, 166);
INSERT INTO public.who_data VALUES (71940, 1, 444, 0, 3, 304, 64);
INSERT INTO public.who_data VALUES (71941, 0, 0, 0, 0, 304, 199);
INSERT INTO public.who_data VALUES (71942, 1, 164, 0, 14, 304, 114);
INSERT INTO public.who_data VALUES (71943, 0, 7, 0, 1, 304, 60);
INSERT INTO public.who_data VALUES (71944, 1, 329, 0, 9, 304, 68);
INSERT INTO public.who_data VALUES (71945, 15, 326, 0, 4, 304, 158);
INSERT INTO public.who_data VALUES (71946, 729, 9501, 145, 857, 304, 52);
INSERT INTO public.who_data VALUES (71947, 0, 0, 0, 0, 304, 117);
INSERT INTO public.who_data VALUES (71948, 0, 65, 0, 1, 304, 126);
INSERT INTO public.who_data VALUES (71949, 0, 35, 0, 0, 304, 196);
INSERT INTO public.who_data VALUES (71950, 3, 319, 0, 5, 304, 142);
INSERT INTO public.who_data VALUES (71951, 0, 11, 0, 0, 304, 185);
INSERT INTO public.who_data VALUES (71952, 160, 3537, 2, 151, 304, 138);
INSERT INTO public.who_data VALUES (71953, 2, 41, 0, 0, 304, 181);
INSERT INTO public.who_data VALUES (71954, 6, 127, 0, 5, 304, 178);
INSERT INTO public.who_data VALUES (71955, 0, 16, 0, 0, 304, 168);
INSERT INTO public.who_data VALUES (71956, 0, 0, 0, 0, 304, 160);
INSERT INTO public.who_data VALUES (71957, 3, 45, 0, 0, 304, 151);
INSERT INTO public.who_data VALUES (71958, 708, 34595, 134, 4003, 304, 193);
INSERT INTO public.who_data VALUES (71959, 0, 18, 0, 0, 304, 18);
INSERT INTO public.who_data VALUES (71960, 0, 1112, 2, 16, 304, 40);
INSERT INTO public.who_data VALUES (71961, 0, 10, 0, 2, 304, 218);
INSERT INTO public.who_data VALUES (71962, 5, 662, 2, 22, 304, 191);
INSERT INTO public.who_data VALUES (71963, 0, 541, 0, 19, 304, 156);
INSERT INTO public.who_data VALUES (71964, 0, 0, 0, 0, 304, 135);
INSERT INTO public.who_data VALUES (71965, 0, 14, 0, 2, 304, 88);
INSERT INTO public.who_data VALUES (71966, 28, 1259, 1, 56, 304, 55);
INSERT INTO public.who_data VALUES (71967, 84, 7250, 6, 169, 304, 108);
INSERT INTO public.who_data VALUES (71968, 1, 336, 0, 2, 304, 48);
INSERT INTO public.who_data VALUES (71969, 102, 1716, 0, 8, 304, 3);
INSERT INTO public.who_data VALUES (71970, 0, 712, 0, 13, 304, 224);
INSERT INTO public.who_data VALUES (71971, 1066, 10815, 19, 228, 304, 110);
INSERT INTO public.who_data VALUES (71972, 0, 0, 0, 0, 304, 106);
INSERT INTO public.who_data VALUES (71973, 163, 4821, 5, 141, 304, 89);
INSERT INTO public.who_data VALUES (71974, 1, 8, 0, 0, 304, 121);
INSERT INTO public.who_data VALUES (71975, 5, 213, 1, 9, 304, 163);
INSERT INTO public.who_data VALUES (71976, 1512, 17837, 39, 484, 304, 70);
INSERT INTO public.who_data VALUES (71977, 111, 6710, 9, 446, 304, 174);
INSERT INTO public.who_data VALUES (71978, 0, 0, 0, 0, 304, 175);
INSERT INTO public.who_data VALUES (71979, 313, 10169, 25, 426, 304, 118);
INSERT INTO public.who_data VALUES (71980, 603, 21982, 23, 785, 304, 189);
INSERT INTO public.who_data VALUES (71981, 0, 1276, 0, 48, 304, 124);
INSERT INTO public.who_data VALUES (71982, 623, 7764, 0, 10, 304, 192);
INSERT INTO public.who_data VALUES (71983, 8, 10702, 2, 240, 304, 41);
INSERT INTO public.who_data VALUES (71984, 137, 2778, 3, 76, 304, 95);
INSERT INTO public.who_data VALUES (71985, 0, 410, 0, 0, 304, 74);
INSERT INTO public.who_data VALUES (71986, 468, 9710, 25, 508, 304, 11);
INSERT INTO public.who_data VALUES (71987, 4774, 62773, 42, 555, 304, 87);
INSERT INTO public.who_data VALUES (71988, 3, 153, 0, 0, 304, 214);
INSERT INTO public.who_data VALUES (71989, 0, 2, 0, 0, 304, 116);
INSERT INTO public.who_data VALUES (71990, 0, 6, 0, 0, 304, 157);
INSERT INTO public.who_data VALUES (71991, 0, 0, 0, 0, 304, 182);
INSERT INTO public.who_data VALUES (71992, 0, 15, 0, 0, 304, 186);
INSERT INTO public.who_data VALUES (71993, 0, 15, 0, 0, 304, 127);
INSERT INTO public.who_data VALUES (71994, 1, 38, 0, 2, 304, 232);
INSERT INTO public.who_data VALUES (71995, 0, 1, 0, 0, 304, 33);
INSERT INTO public.who_data VALUES (71996, 1, 13, 0, 0, 304, 97);
INSERT INTO public.who_data VALUES (71997, 0, 0, 0, 0, 304, 42);
INSERT INTO public.who_data VALUES (71998, 12, 488, 0, 40, 304, 198);
INSERT INTO public.who_data VALUES (71999, 3, 7, 0, 0, 304, 216);
INSERT INTO public.who_data VALUES (72000, 1158, 13930, 7, 121, 304, 164);
INSERT INTO public.who_data VALUES (72001, 30, 442, 1, 6, 304, 235);
INSERT INTO public.who_data VALUES (72002, 224, 7114, 4, 134, 304, 67);
INSERT INTO public.who_data VALUES (72003, 0, 11, 0, 0, 304, 15);
INSERT INTO public.who_data VALUES (72004, 11, 61, 1, 1, 304, 180);
INSERT INTO public.who_data VALUES (72005, 1016, 10141, 1, 12, 304, 237);
INSERT INTO public.who_data VALUES (72006, 0, 2, 0, 0, 304, 25);
INSERT INTO public.who_data VALUES (72007, 3, 71, 1, 11, 304, 209);
INSERT INTO public.who_data VALUES (72008, 26, 1199, 1, 14, 304, 217);
INSERT INTO public.who_data VALUES (72009, 9, 1354, 3, 87, 304, 79);
INSERT INTO public.who_data VALUES (72010, 0, 0, 0, 0, 304, 143);
INSERT INTO public.who_data VALUES (72011, 42, 328, 2, 16, 304, 229);
INSERT INTO public.who_data VALUES (72012, 170, 3635, 7, 65, 304, 141);
INSERT INTO public.who_data VALUES (72013, 0, 4, 0, 0, 304, 197);
INSERT INTO public.who_data VALUES (72014, 2733, 210258, 427, 23575, 304, 221);
INSERT INTO public.who_data VALUES (72015, 20, 330, 0, 7, 304, 150);
INSERT INTO public.who_data VALUES (72016, 22, 162, 0, 13, 304, 56);
INSERT INTO public.who_data VALUES (72017, 0, 10, 0, 1, 304, 167);
INSERT INTO public.who_data VALUES (72018, 707, 15832, 62, 2191, 304, 23);
INSERT INTO public.who_data VALUES (72019, 155, 28708, 27, 1443, 304, 222);
INSERT INTO public.who_data VALUES (72020, 0, 42, 0, 3, 304, 219);
INSERT INTO public.who_data VALUES (72021, 0, 0, 0, 0, 304, 7);
INSERT INTO public.who_data VALUES (72022, 13, 2839, 1, 50, 304, 161);
INSERT INTO public.who_data VALUES (72023, 4760, 134883, 847, 21120, 304, 149);
INSERT INTO public.who_data VALUES (72024, 0, 23, 0, 0, 304, 6);
INSERT INTO public.who_data VALUES (72025, 2, 88, 0, 6, 304, 139);
INSERT INTO public.who_data VALUES (72026, 0, 0, 0, 0, 304, 211);
INSERT INTO public.who_data VALUES (72027, 0, 0, 0, 0, 304, 14);
INSERT INTO public.who_data VALUES (72028, 1, 115, 0, 8, 304, 111);
INSERT INTO public.who_data VALUES (72029, 8, 909, 0, 38, 304, 207);
INSERT INTO public.who_data VALUES (72030, 3083, 98674, 117, 2376, 304, 66);
INSERT INTO public.who_data VALUES (72031, 0, 0, 0, 0, 304, 173);
INSERT INTO public.who_data VALUES (72032, 0, 11, 0, 1, 304, 145);
INSERT INTO public.who_data VALUES (72033, 0, 0, 0, 0, 304, 65);
INSERT INTO public.who_data VALUES (72034, 5, 61, 0, 0, 304, 184);
INSERT INTO public.who_data VALUES (72035, 578, 7170, 13, 187, 304, 98);
INSERT INTO public.who_data VALUES (72036, 518, 8756, 4, 56, 304, 104);
INSERT INTO public.who_data VALUES (72037, 30, 285, 0, 10, 304, 73);
INSERT INTO public.who_data VALUES (72038, 24019, 800926, 2575, 45042, 304, 8);
INSERT INTO public.who_data VALUES (72039, 0, 54, 0, 3, 304, 227);
INSERT INTO public.who_data VALUES (72040, 8, 543, 2, 12, 304, 75);
INSERT INTO public.who_data VALUES (72041, 59, 1716, 1, 7, 304, 45);
INSERT INTO public.who_data VALUES (72042, 0, 0, 0, 0, 304, 133);
INSERT INTO public.who_data VALUES (72043, 3, 288, 0, 10, 304, 202);
INSERT INTO public.who_data VALUES (72044, 0, 268, 0, 0, 304, 129);
INSERT INTO public.who_data VALUES (72045, 0, 0, 0, 0, 304, 36);
INSERT INTO public.who_data VALUES (72046, 0, 1, 0, 0, 304, 51);
INSERT INTO public.who_data VALUES (72047, 4, 74, 0, 3, 304, 206);
INSERT INTO public.who_data VALUES (72048, 0, 28, 1, 4, 304, 5);
INSERT INTO public.who_data VALUES (72049, 84, 1176, 4, 40, 305, 103);
INSERT INTO public.who_data VALUES (72050, 25, 596, 0, 25, 305, 58);
INSERT INTO public.who_data VALUES (72051, 93, 2811, 8, 392, 305, 195);
INSERT INTO public.who_data VALUES (72052, 0, 0, 0, 0, 305, 115);
INSERT INTO public.who_data VALUES (72053, 5, 723, 1, 37, 305, 99);
INSERT INTO public.who_data VALUES (72054, 0, 24, 0, 2, 305, 153);
INSERT INTO public.who_data VALUES (72055, 0, 3, 0, 0, 305, 93);
INSERT INTO public.who_data VALUES (72056, 0, 23, 0, 3, 305, 84);
INSERT INTO public.who_data VALUES (72057, 113, 3073, 9, 145, 305, 78);
INSERT INTO public.who_data VALUES (72058, 62, 1377, 2, 24, 305, 170);
INSERT INTO public.who_data VALUES (72059, 0, 97, 0, 2, 305, 32);
INSERT INTO public.who_data VALUES (72060, 22, 6647, 3, 74, 305, 155);
INSERT INTO public.who_data VALUES (72061, 50, 14833, 1, 463, 305, 82);
INSERT INTO public.who_data VALUES (72062, 44, 1480, 1, 20, 305, 16);
INSERT INTO public.who_data VALUES (72063, 4, 64, 0, 9, 305, 72);
INSERT INTO public.who_data VALUES (72064, 55, 2007, 0, 7, 305, 43);
INSERT INTO public.who_data VALUES (72065, 390, 3772, 10, 120, 305, 120);
INSERT INTO public.who_data VALUES (72066, 0, 75, 0, 5, 305, 213);
INSERT INTO public.who_data VALUES (72067, 459, 6723, 4, 55, 305, 31);
INSERT INTO public.who_data VALUES (72068, 1270, 45037, 203, 6637, 305, 204);
INSERT INTO public.who_data VALUES (72069, 0, 18, 0, 2, 305, 152);
INSERT INTO public.who_data VALUES (72070, 0, 54, 0, 1, 305, 144);
INSERT INTO public.who_data VALUES (72071, 0, 86, 0, 5, 305, 96);
INSERT INTO public.who_data VALUES (72072, 0, 6, 0, 0, 305, 47);
INSERT INTO public.who_data VALUES (72073, 34, 598, 1, 34, 305, 80);
INSERT INTO public.who_data VALUES (72074, 0, 1, 0, 0, 305, 159);
INSERT INTO public.who_data VALUES (72075, 40, 1340, 1, 50, 305, 27);
INSERT INTO public.who_data VALUES (72076, 0, 20, 0, 1, 305, 146);
INSERT INTO public.who_data VALUES (72077, 1927, 40581, 113, 2575, 305, 71);
INSERT INTO public.who_data VALUES (72078, 0, 4, 0, 1, 305, 210);
INSERT INTO public.who_data VALUES (72079, 0, 138, 0, 1, 305, 54);
INSERT INTO public.who_data VALUES (72080, 46, 975, 2, 45, 305, 147);
INSERT INTO public.who_data VALUES (72081, 5, 581, 2, 38, 305, 2);
INSERT INTO public.who_data VALUES (72082, 5, 11, 0, 1, 305, 105);
INSERT INTO public.who_data VALUES (72083, 12, 67, 0, 1, 305, 53);
INSERT INTO public.who_data VALUES (72084, 0, 122, 0, 0, 305, 81);
INSERT INTO public.who_data VALUES (72085, 0, 1163, 1, 43, 305, 223);
INSERT INTO public.who_data VALUES (72086, 1991, 37374, 117, 1728, 305, 94);
INSERT INTO public.who_data VALUES (72087, 5, 66, 0, 1, 305, 154);
INSERT INTO public.who_data VALUES (72088, 2, 14, 0, 0, 305, 83);
INSERT INTO public.who_data VALUES (72089, 1, 34, 0, 0, 305, 194);
INSERT INTO public.who_data VALUES (72090, 325, 10832, 8, 147, 305, 136);
INSERT INTO public.who_data VALUES (72091, 35, 84288, 0, 4642, 305, 179);
INSERT INTO public.who_data VALUES (72092, 185, 3977, 10, 189, 305, 57);
INSERT INTO public.who_data VALUES (72093, 0, 0, 0, 0, 305, 35);
INSERT INTO public.who_data VALUES (72094, 5, 165, 0, 6, 305, 228);
INSERT INTO public.who_data VALUES (72095, 0, 0, 0, 0, 305, 19);
INSERT INTO public.who_data VALUES (72096, 2, 662, 1, 6, 305, 22);
INSERT INTO public.who_data VALUES (72097, 37, 916, 3, 13, 305, 1);
INSERT INTO public.who_data VALUES (72098, 27, 1908, 1, 48, 305, 21);
INSERT INTO public.who_data VALUES (72099, 50, 1137, 2, 38, 305, 234);
INSERT INTO public.who_data VALUES (72100, 0, 14, 0, 1, 305, 91);
INSERT INTO public.who_data VALUES (72101, 12, 784, 0, 12, 305, 137);
INSERT INTO public.who_data VALUES (72102, 127, 7041, 5, 201, 305, 201);
INSERT INTO public.who_data VALUES (72103, 0, 0, 0, 0, 305, 171);
INSERT INTO public.who_data VALUES (72104, 9, 359, 0, 25, 305, 92);
INSERT INTO public.who_data VALUES (72105, 180, 7695, 6, 370, 305, 112);
INSERT INTO public.who_data VALUES (72106, 29, 974, 0, 2, 305, 62);
INSERT INTO public.who_data VALUES (72107, 0, 16, 0, 0, 305, 69);
INSERT INTO public.who_data VALUES (72108, 80, 5044, 10, 245, 305, 220);
INSERT INTO public.who_data VALUES (72109, 270, 10398, 13, 520, 305, 100);
INSERT INTO public.who_data VALUES (72110, 157, 3490, 14, 264, 305, 187);
INSERT INTO public.who_data VALUES (72111, 7, 225, 0, 7, 305, 63);
INSERT INTO public.who_data VALUES (72112, 0, 79, 0, 0, 305, 28);
INSERT INTO public.who_data VALUES (72113, 0, 39, 0, 0, 305, 172);
INSERT INTO public.who_data VALUES (72114, 17, 1552, 3, 43, 305, 17);
INSERT INTO public.who_data VALUES (72115, 0, 24, 0, 1, 305, 226);
INSERT INTO public.who_data VALUES (72116, 3, 114, 0, 3, 305, 236);
INSERT INTO public.who_data VALUES (72117, 0, 11, 0, 0, 305, 76);
INSERT INTO public.who_data VALUES (72118, 0, 185, 0, 0, 305, 30);
INSERT INTO public.who_data VALUES (72119, 0, 18, 0, 0, 305, 128);
INSERT INTO public.who_data VALUES (72120, 146, 4014, 43, 141, 305, 86);
INSERT INTO public.who_data VALUES (72121, 2638, 116151, 531, 20765, 305, 140);
INSERT INTO public.who_data VALUES (72122, 0, 97, 0, 1, 305, 44);
INSERT INTO public.who_data VALUES (72123, 1, 57, 0, 0, 305, 113);
INSERT INTO public.who_data VALUES (72124, 36, 156, 0, 1, 305, 29);
INSERT INTO public.who_data VALUES (72125, 0, 10, 0, 1, 305, 125);
INSERT INTO public.who_data VALUES (72126, 3, 411, 1, 5, 305, 131);
INSERT INTO public.who_data VALUES (72127, 2237, 145694, 281, 4879, 305, 46);
INSERT INTO public.who_data VALUES (72128, 0, 1042, 0, 9, 305, 10);
INSERT INTO public.who_data VALUES (72129, 0, 133, 0, 0, 305, 205);
INSERT INTO public.who_data VALUES (72130, 156, 2401, 5, 121, 305, 50);
INSERT INTO public.who_data VALUES (72131, 0, 11, 0, 0, 305, 20);
INSERT INTO public.who_data VALUES (72132, 1, 14, 0, 0, 305, 13);
INSERT INTO public.who_data VALUES (72133, 0, 148, 0, 10, 305, 148);
INSERT INTO public.who_data VALUES (72134, 0, 133, 0, 5, 305, 230);
INSERT INTO public.who_data VALUES (72135, 5, 294, 1, 8, 305, 190);
INSERT INTO public.who_data VALUES (72136, 0, 239, 1, 10, 305, 188);
INSERT INTO public.who_data VALUES (72137, 66, 688, 1, 6, 305, 123);
INSERT INTO public.who_data VALUES (72138, 0, 50, 0, 0, 305, 9);
INSERT INTO public.who_data VALUES (72139, 1, 66, 0, 7, 305, 102);
INSERT INTO public.who_data VALUES (72140, 10, 57, 0, 3, 305, 34);
INSERT INTO public.who_data VALUES (72141, 0, 9, 0, 0, 305, 212);
INSERT INTO public.who_data VALUES (72142, 17, 494, 0, 46, 305, 122);
INSERT INTO public.who_data VALUES (72143, 70, 2168, 12, 225, 305, 38);
INSERT INTO public.who_data VALUES (72144, 5, 1778, 0, 10, 305, 130);
INSERT INTO public.who_data VALUES (72145, 1383, 19984, 50, 640, 305, 37);
INSERT INTO public.who_data VALUES (72146, 283, 7418, 19, 635, 305, 231);
INSERT INTO public.who_data VALUES (72147, 1194, 85996, 94, 5391, 305, 107);
INSERT INTO public.who_data VALUES (72148, 0, 1602, 0, 83, 305, 101);
INSERT INTO public.who_data VALUES (72149, 388, 16040, 43, 730, 305, 132);
INSERT INTO public.who_data VALUES (72150, 10, 307, 6, 10, 305, 176);
INSERT INTO public.who_data VALUES (72151, 299, 14121, 6, 180, 305, 200);
INSERT INTO public.who_data VALUES (72152, 2729, 183957, 534, 24648, 305, 169);
INSERT INTO public.who_data VALUES (72153, 27, 223, 1, 6, 305, 225);
INSERT INTO public.who_data VALUES (72154, 377, 11496, 91, 277, 305, 165);
INSERT INTO public.who_data VALUES (72155, 1, 250, 2, 14, 305, 233);
INSERT INTO public.who_data VALUES (72156, 3, 428, 0, 7, 305, 215);
INSERT INTO public.who_data VALUES (72157, 30, 2025, 0, 19, 305, 177);
INSERT INTO public.who_data VALUES (72158, 15, 296, 0, 14, 305, 183);
INSERT INTO public.who_data VALUES (72159, 0, 0, 0, 0, 305, 203);
INSERT INTO public.who_data VALUES (72160, 32, 604, 0, 14, 305, 162);
INSERT INTO public.who_data VALUES (72161, 168, 2248, 2, 13, 305, 12);
INSERT INTO public.who_data VALUES (72162, 22, 612, 0, 7, 305, 24);
INSERT INTO public.who_data VALUES (72163, 0, 19, 0, 0, 305, 119);
INSERT INTO public.who_data VALUES (72164, 9, 748, 4, 9, 305, 39);
INSERT INTO public.who_data VALUES (72165, 5, 682, 1, 22, 305, 26);
INSERT INTO public.who_data VALUES (72166, 0, 0, 0, 0, 305, 59);
INSERT INTO public.who_data VALUES (72167, 2, 101, 0, 8, 305, 77);
INSERT INTO public.who_data VALUES (72168, 8, 59, 0, 1, 305, 134);
INSERT INTO public.who_data VALUES (72169, 0, 82, 0, 1, 305, 4);
INSERT INTO public.who_data VALUES (72170, 24, 1250, 1, 39, 305, 109);
INSERT INTO public.who_data VALUES (72171, 60, 3618, 3, 78, 305, 90);
INSERT INTO public.who_data VALUES (72172, 0, 121, 0, 0, 305, 61);
INSERT INTO public.who_data VALUES (72173, 1, 18, 0, 2, 305, 85);
INSERT INTO public.who_data VALUES (72174, 58, 5482, 3, 92, 305, 49);
INSERT INTO public.who_data VALUES (72175, 2, 85, 0, 0, 305, 208);
INSERT INTO public.who_data VALUES (72176, 12, 258, 0, 14, 305, 166);
INSERT INTO public.who_data VALUES (72177, 12, 443, 0, 3, 305, 64);
INSERT INTO public.who_data VALUES (72178, 0, 0, 0, 0, 305, 199);
INSERT INTO public.who_data VALUES (72179, 0, 163, 0, 14, 305, 114);
INSERT INTO public.who_data VALUES (72180, 0, 7, 0, 1, 305, 60);
INSERT INTO public.who_data VALUES (72181, 0, 328, 0, 9, 305, 68);
INSERT INTO public.who_data VALUES (72182, 27, 311, 0, 4, 305, 158);
INSERT INTO public.who_data VALUES (72183, 511, 8772, 26, 712, 305, 52);
INSERT INTO public.who_data VALUES (72184, 0, 0, 0, 0, 305, 117);
INSERT INTO public.who_data VALUES (72185, 0, 65, 0, 1, 305, 126);
INSERT INTO public.who_data VALUES (72186, 1, 35, 0, 0, 305, 196);
INSERT INTO public.who_data VALUES (72187, 2, 316, 0, 5, 305, 142);
INSERT INTO public.who_data VALUES (72188, 0, 11, 0, 0, 305, 185);
INSERT INTO public.who_data VALUES (72189, 191, 3377, 5, 149, 305, 138);
INSERT INTO public.who_data VALUES (72190, 4, 39, 0, 0, 305, 181);
INSERT INTO public.who_data VALUES (72191, 2, 121, 0, 5, 305, 178);
INSERT INTO public.who_data VALUES (72192, 0, 16, 0, 0, 305, 168);
INSERT INTO public.who_data VALUES (72193, 0, 0, 0, 0, 305, 160);
INSERT INTO public.who_data VALUES (72194, 10, 42, 0, 0, 305, 151);
INSERT INTO public.who_data VALUES (72195, 716, 33887, 163, 3869, 305, 193);
INSERT INTO public.who_data VALUES (72196, 0, 18, 0, 0, 305, 18);
INSERT INTO public.who_data VALUES (72197, 5, 1112, 1, 14, 305, 40);
INSERT INTO public.who_data VALUES (72198, 1, 10, 0, 2, 305, 218);
INSERT INTO public.who_data VALUES (72199, 2, 657, 0, 20, 305, 191);
INSERT INTO public.who_data VALUES (72200, 0, 541, 0, 19, 305, 156);
INSERT INTO public.who_data VALUES (72201, 0, 0, 0, 0, 305, 135);
INSERT INTO public.who_data VALUES (72202, 0, 14, 0, 2, 305, 88);
INSERT INTO public.who_data VALUES (72203, 6, 1231, 1, 55, 305, 55);
INSERT INTO public.who_data VALUES (72204, 53, 7166, 9, 163, 305, 108);
INSERT INTO public.who_data VALUES (72205, 6, 335, 0, 2, 305, 48);
INSERT INTO public.who_data VALUES (72206, 106, 1614, 0, 8, 305, 3);
INSERT INTO public.who_data VALUES (72207, 0, 712, 0, 13, 305, 224);
INSERT INTO public.who_data VALUES (72208, 244, 9749, 12, 209, 305, 110);
INSERT INTO public.who_data VALUES (72209, 0, 0, 0, 0, 305, 106);
INSERT INTO public.who_data VALUES (72210, 191, 4658, 10, 136, 305, 89);
INSERT INTO public.who_data VALUES (72211, 0, 7, 0, 0, 305, 121);
INSERT INTO public.who_data VALUES (72212, 0, 208, 0, 8, 305, 163);
INSERT INTO public.who_data VALUES (72213, 697, 16325, 45, 445, 305, 70);
INSERT INTO public.who_data VALUES (72214, 140, 6599, 9, 437, 305, 174);
INSERT INTO public.who_data VALUES (72215, 0, 0, 0, 0, 305, 175);
INSERT INTO public.who_data VALUES (72216, 263, 9856, 21, 401, 305, 118);
INSERT INTO public.who_data VALUES (72217, 516, 21379, 27, 762, 305, 189);
INSERT INTO public.who_data VALUES (72218, 24, 1276, 0, 48, 305, 124);
INSERT INTO public.who_data VALUES (72219, 608, 7141, 1, 10, 305, 192);
INSERT INTO public.who_data VALUES (72220, 11, 10694, 1, 238, 305, 41);
INSERT INTO public.who_data VALUES (72221, 93, 2641, 3, 73, 305, 95);
INSERT INTO public.who_data VALUES (72222, 2, 410, 0, 0, 305, 74);
INSERT INTO public.who_data VALUES (72223, 306, 9242, 32, 483, 305, 11);
INSERT INTO public.who_data VALUES (72224, 5236, 57999, 57, 513, 305, 87);
INSERT INTO public.who_data VALUES (72225, 3, 150, 0, 0, 305, 214);
INSERT INTO public.who_data VALUES (72226, 0, 2, 0, 0, 305, 116);
INSERT INTO public.who_data VALUES (72227, 0, 6, 0, 0, 305, 157);
INSERT INTO public.who_data VALUES (72228, 0, 0, 0, 0, 305, 182);
INSERT INTO public.who_data VALUES (72229, 0, 15, 0, 0, 305, 186);
INSERT INTO public.who_data VALUES (72230, 0, 15, 0, 0, 305, 127);
INSERT INTO public.who_data VALUES (72231, 0, 37, 0, 2, 305, 232);
INSERT INTO public.who_data VALUES (72232, 0, 1, 0, 0, 305, 33);
INSERT INTO public.who_data VALUES (72233, 0, 12, 0, 0, 305, 97);
INSERT INTO public.who_data VALUES (72234, 0, 0, 0, 0, 305, 42);
INSERT INTO public.who_data VALUES (72235, 14, 476, 1, 40, 305, 198);
INSERT INTO public.who_data VALUES (72236, 0, 4, 0, 0, 305, 216);
INSERT INTO public.who_data VALUES (72237, 1141, 12772, 5, 114, 305, 164);
INSERT INTO public.who_data VALUES (72238, 35, 412, 0, 5, 305, 235);
INSERT INTO public.who_data VALUES (72239, 260, 6890, 5, 130, 305, 67);
INSERT INTO public.who_data VALUES (72240, 0, 11, 0, 0, 305, 15);
INSERT INTO public.who_data VALUES (72241, 7, 50, 0, 0, 305, 180);
INSERT INTO public.who_data VALUES (72242, 1111, 9125, 0, 11, 305, 237);
INSERT INTO public.who_data VALUES (72243, 0, 2, 0, 0, 305, 25);
INSERT INTO public.who_data VALUES (72244, 1, 68, 0, 10, 305, 209);
INSERT INTO public.who_data VALUES (72245, 12, 1173, 1, 13, 305, 217);
INSERT INTO public.who_data VALUES (72246, 9, 1345, 1, 84, 305, 79);
INSERT INTO public.who_data VALUES (72247, 0, 0, 0, 0, 305, 143);
INSERT INTO public.who_data VALUES (72248, 49, 286, 6, 14, 305, 229);
INSERT INTO public.who_data VALUES (72249, 165, 3465, 0, 58, 305, 141);
INSERT INTO public.who_data VALUES (72250, 0, 4, 0, 0, 305, 197);
INSERT INTO public.who_data VALUES (72251, 2520, 207525, 387, 23148, 305, 221);
INSERT INTO public.who_data VALUES (72252, 6, 310, 0, 7, 305, 150);
INSERT INTO public.who_data VALUES (72253, 33, 140, 1, 13, 305, 56);
INSERT INTO public.who_data VALUES (72254, 0, 10, 0, 1, 305, 167);
INSERT INTO public.who_data VALUES (72255, 461, 15125, 85, 2129, 305, 23);
INSERT INTO public.who_data VALUES (72256, 213, 28553, 33, 1416, 305, 222);
INSERT INTO public.who_data VALUES (72257, 3, 42, 0, 3, 305, 219);
INSERT INTO public.who_data VALUES (72258, 0, 0, 0, 0, 305, 7);
INSERT INTO public.who_data VALUES (72259, 15, 2826, 1, 49, 305, 161);
INSERT INTO public.who_data VALUES (72260, 4854, 130123, 1224, 20273, 305, 149);
INSERT INTO public.who_data VALUES (72261, 0, 23, 0, 0, 305, 6);
INSERT INTO public.who_data VALUES (72262, 2, 86, 1, 6, 305, 139);
INSERT INTO public.who_data VALUES (72263, 0, 0, 0, 0, 305, 211);
INSERT INTO public.who_data VALUES (72264, 0, 0, 0, 0, 305, 14);
INSERT INTO public.who_data VALUES (72265, 0, 114, 0, 8, 305, 111);
INSERT INTO public.who_data VALUES (72266, 17, 901, 0, 38, 305, 207);
INSERT INTO public.who_data VALUES (72267, 4611, 95591, 119, 2259, 305, 66);
INSERT INTO public.who_data VALUES (72268, 0, 0, 0, 0, 305, 173);
INSERT INTO public.who_data VALUES (72269, 0, 11, 0, 1, 305, 145);
INSERT INTO public.who_data VALUES (72270, 0, 0, 0, 0, 305, 65);
INSERT INTO public.who_data VALUES (72271, 1, 56, 0, 0, 305, 184);
INSERT INTO public.who_data VALUES (72272, 467, 6592, 13, 174, 305, 98);
INSERT INTO public.who_data VALUES (72273, 483, 8238, 6, 52, 305, 104);
INSERT INTO public.who_data VALUES (72274, 0, 255, 0, 10, 305, 73);
INSERT INTO public.who_data VALUES (72275, 25634, 776907, 2154, 42467, 305, 8);
INSERT INTO public.who_data VALUES (72276, 1, 54, 0, 3, 305, 227);
INSERT INTO public.who_data VALUES (72277, 7, 535, 0, 10, 305, 75);
INSERT INTO public.who_data VALUES (72278, 0, 1657, 1, 6, 305, 45);
INSERT INTO public.who_data VALUES (72279, 0, 0, 0, 0, 305, 133);
INSERT INTO public.who_data VALUES (72280, 29, 285, 1, 10, 305, 202);
INSERT INTO public.who_data VALUES (72281, 0, 268, 0, 0, 305, 129);
INSERT INTO public.who_data VALUES (72282, 0, 0, 0, 0, 305, 36);
INSERT INTO public.who_data VALUES (72283, 0, 1, 0, 0, 305, 51);
INSERT INTO public.who_data VALUES (72284, 5, 70, 0, 3, 305, 206);
INSERT INTO public.who_data VALUES (72285, 3, 28, 0, 3, 305, 5);
INSERT INTO public.who_data VALUES (72286, 96, 1092, 3, 36, 306, 103);
INSERT INTO public.who_data VALUES (72287, 47, 571, 0, 25, 306, 58);
INSERT INTO public.who_data VALUES (72288, 89, 2718, 9, 384, 306, 195);
INSERT INTO public.who_data VALUES (72289, 0, 0, 0, 0, 306, 115);
INSERT INTO public.who_data VALUES (72290, 1, 718, 0, 36, 306, 99);
INSERT INTO public.who_data VALUES (72291, 5, 24, 0, 2, 306, 153);
INSERT INTO public.who_data VALUES (72292, 0, 3, 0, 0, 306, 93);
INSERT INTO public.who_data VALUES (72293, 0, 23, 0, 3, 306, 84);
INSERT INTO public.who_data VALUES (72294, 121, 2960, 4, 136, 306, 78);
INSERT INTO public.who_data VALUES (72295, 48, 1315, 2, 22, 306, 170);
INSERT INTO public.who_data VALUES (72296, 0, 97, 0, 2, 306, 32);
INSERT INTO public.who_data VALUES (72297, 13, 6625, 1, 71, 306, 155);
INSERT INTO public.who_data VALUES (72298, 73, 14783, 10, 462, 306, 82);
INSERT INTO public.who_data VALUES (72299, 38, 1436, 0, 19, 306, 16);
INSERT INTO public.who_data VALUES (72300, 2, 60, 0, 9, 306, 72);
INSERT INTO public.who_data VALUES (72301, 57, 1952, 0, 7, 306, 43);
INSERT INTO public.who_data VALUES (72302, 434, 3382, 9, 110, 306, 120);
INSERT INTO public.who_data VALUES (72303, 0, 75, 0, 5, 306, 213);
INSERT INTO public.who_data VALUES (72304, 457, 6264, 4, 51, 306, 31);
INSERT INTO public.who_data VALUES (72305, 1276, 43767, 206, 6434, 306, 204);
INSERT INTO public.who_data VALUES (72306, 0, 18, 0, 2, 306, 152);
INSERT INTO public.who_data VALUES (72307, 17, 54, 0, 1, 306, 144);
INSERT INTO public.who_data VALUES (72308, 0, 86, 0, 5, 306, 96);
INSERT INTO public.who_data VALUES (72309, 1, 6, 0, 0, 306, 47);
INSERT INTO public.who_data VALUES (72310, 44, 564, 1, 33, 306, 80);
INSERT INTO public.who_data VALUES (72311, 0, 1, 0, 0, 306, 159);
INSERT INTO public.who_data VALUES (72312, 14, 1300, 3, 49, 306, 27);
INSERT INTO public.who_data VALUES (72313, 0, 20, 0, 1, 306, 146);
INSERT INTO public.who_data VALUES (72314, 2055, 38654, 115, 2462, 306, 71);
INSERT INTO public.who_data VALUES (72315, 0, 4, 0, 1, 306, 210);
INSERT INTO public.who_data VALUES (72316, 0, 138, 0, 1, 306, 54);
INSERT INTO public.who_data VALUES (72317, 14, 929, 0, 43, 306, 147);
INSERT INTO public.who_data VALUES (72318, 11, 576, 0, 36, 306, 2);
INSERT INTO public.who_data VALUES (72319, 0, 6, 0, 1, 306, 105);
INSERT INTO public.who_data VALUES (72320, 0, 55, 0, 1, 306, 53);
INSERT INTO public.who_data VALUES (72321, 0, 122, 0, 0, 306, 81);
INSERT INTO public.who_data VALUES (72322, 147, 1163, 21, 42, 306, 223);
INSERT INTO public.who_data VALUES (72323, 1474, 35383, 105, 1611, 306, 94);
INSERT INTO public.who_data VALUES (72324, 0, 61, 0, 1, 306, 154);
INSERT INTO public.who_data VALUES (72325, 0, 12, 0, 0, 306, 83);
INSERT INTO public.who_data VALUES (72326, 0, 33, 0, 0, 306, 194);
INSERT INTO public.who_data VALUES (72327, 419, 10507, 6, 139, 306, 136);
INSERT INTO public.who_data VALUES (72328, 14, 84253, 0, 4642, 306, 179);
INSERT INTO public.who_data VALUES (72329, 171, 3792, 13, 179, 306, 57);
INSERT INTO public.who_data VALUES (72330, 0, 0, 0, 0, 306, 35);
INSERT INTO public.who_data VALUES (72331, 17, 160, 0, 6, 306, 228);
INSERT INTO public.who_data VALUES (72332, 0, 0, 0, 0, 306, 19);
INSERT INTO public.who_data VALUES (72333, 5, 660, 1, 5, 306, 22);
INSERT INTO public.who_data VALUES (72334, 32, 879, 1, 10, 306, 1);
INSERT INTO public.who_data VALUES (72335, 10, 1881, 0, 47, 306, 21);
INSERT INTO public.who_data VALUES (72336, 52, 1087, 2, 36, 306, 234);
INSERT INTO public.who_data VALUES (72337, 0, 14, 0, 1, 306, 91);
INSERT INTO public.who_data VALUES (72338, 5, 772, 0, 12, 306, 137);
INSERT INTO public.who_data VALUES (72339, 127, 6914, 8, 196, 306, 201);
INSERT INTO public.who_data VALUES (72340, 0, 0, 0, 0, 306, 171);
INSERT INTO public.who_data VALUES (72341, 18, 350, 0, 25, 306, 92);
INSERT INTO public.who_data VALUES (72342, 131, 7515, 9, 364, 306, 112);
INSERT INTO public.who_data VALUES (72343, 99, 945, 0, 2, 306, 62);
INSERT INTO public.who_data VALUES (72344, 0, 16, 0, 0, 306, 69);
INSERT INTO public.who_data VALUES (72345, 284, 4964, 9, 235, 306, 220);
INSERT INTO public.who_data VALUES (72346, 660, 10128, 33, 507, 306, 100);
INSERT INTO public.who_data VALUES (72347, 189, 3333, 11, 250, 306, 187);
INSERT INTO public.who_data VALUES (72348, 17, 218, 0, 7, 306, 63);
INSERT INTO public.who_data VALUES (72349, 0, 79, 0, 0, 306, 28);
INSERT INTO public.who_data VALUES (72350, 0, 39, 0, 0, 306, 172);
INSERT INTO public.who_data VALUES (72351, 7, 1535, 0, 40, 306, 17);
INSERT INTO public.who_data VALUES (72352, 2, 24, 0, 1, 306, 226);
INSERT INTO public.who_data VALUES (72353, 3, 111, 0, 3, 306, 236);
INSERT INTO public.who_data VALUES (72354, 0, 11, 0, 0, 306, 76);
INSERT INTO public.who_data VALUES (72355, 0, 185, 0, 0, 306, 30);
INSERT INTO public.who_data VALUES (72356, 1, 18, 0, 0, 306, 128);
INSERT INTO public.who_data VALUES (72357, 85, 3868, 4, 98, 306, 86);
INSERT INTO public.who_data VALUES (72358, 2050, 113513, 544, 20234, 306, 140);
INSERT INTO public.who_data VALUES (72359, 1, 97, 1, 1, 306, 44);
INSERT INTO public.who_data VALUES (72360, 1, 56, 0, 0, 306, 113);
INSERT INTO public.who_data VALUES (72361, 11, 120, 0, 1, 306, 29);
INSERT INTO public.who_data VALUES (72362, 1, 10, 0, 1, 306, 125);
INSERT INTO public.who_data VALUES (72363, 9, 408, 0, 4, 306, 131);
INSERT INTO public.who_data VALUES (72364, 1785, 143457, 194, 4598, 306, 46);
INSERT INTO public.who_data VALUES (72365, 0, 1042, 0, 9, 306, 10);
INSERT INTO public.who_data VALUES (72366, 0, 133, 0, 0, 306, 205);
INSERT INTO public.who_data VALUES (72367, 10, 2245, 6, 116, 306, 50);
INSERT INTO public.who_data VALUES (72368, 0, 11, 0, 0, 306, 20);
INSERT INTO public.who_data VALUES (72369, 0, 13, 0, 0, 306, 13);
INSERT INTO public.who_data VALUES (72370, 0, 148, 0, 10, 306, 148);
INSERT INTO public.who_data VALUES (72371, 0, 133, 0, 5, 306, 230);
INSERT INTO public.who_data VALUES (72372, 32, 289, 0, 7, 306, 190);
INSERT INTO public.who_data VALUES (72373, 0, 239, 0, 9, 306, 188);
INSERT INTO public.who_data VALUES (72374, 145, 622, 2, 5, 306, 123);
INSERT INTO public.who_data VALUES (72375, 0, 50, 0, 0, 306, 9);
INSERT INTO public.who_data VALUES (72376, 2, 65, 0, 7, 306, 102);
INSERT INTO public.who_data VALUES (72377, 3, 47, 0, 3, 306, 34);
INSERT INTO public.who_data VALUES (72378, 1, 9, 0, 0, 306, 212);
INSERT INTO public.who_data VALUES (72379, 5, 477, 0, 46, 306, 122);
INSERT INTO public.who_data VALUES (72380, 114, 2098, 14, 213, 306, 38);
INSERT INTO public.who_data VALUES (72381, 2, 1773, 1, 10, 306, 130);
INSERT INTO public.who_data VALUES (72382, 1336, 18601, 47, 590, 306, 37);
INSERT INTO public.who_data VALUES (72383, 375, 7135, 26, 616, 306, 231);
INSERT INTO public.who_data VALUES (72384, 1297, 84802, 88, 5297, 306, 107);
INSERT INTO public.who_data VALUES (72385, 28, 1602, 1, 83, 306, 101);
INSERT INTO public.who_data VALUES (72386, 401, 15652, 77, 687, 306, 132);
INSERT INTO public.who_data VALUES (72387, 0, 297, 0, 4, 306, 176);
INSERT INTO public.who_data VALUES (72388, 276, 13822, 8, 174, 306, 200);
INSERT INTO public.who_data VALUES (72389, 2256, 181228, 454, 24114, 306, 169);
INSERT INTO public.who_data VALUES (72390, 23, 196, 0, 5, 306, 225);
INSERT INTO public.who_data VALUES (72391, 368, 11119, 15, 186, 306, 165);
INSERT INTO public.who_data VALUES (72392, 4, 249, 0, 12, 306, 233);
INSERT INTO public.who_data VALUES (72393, 8, 425, 0, 7, 306, 215);
INSERT INTO public.who_data VALUES (72394, 143, 1995, 0, 19, 306, 177);
INSERT INTO public.who_data VALUES (72395, 11, 281, 0, 14, 306, 183);
INSERT INTO public.who_data VALUES (72396, 0, 0, 0, 0, 306, 203);
INSERT INTO public.who_data VALUES (72397, 37, 572, 1, 14, 306, 162);
INSERT INTO public.who_data VALUES (72398, 85, 2080, 2, 11, 306, 12);
INSERT INTO public.who_data VALUES (72399, 22, 590, 0, 7, 306, 24);
INSERT INTO public.who_data VALUES (72400, 0, 19, 0, 0, 306, 119);
INSERT INTO public.who_data VALUES (72401, 12, 739, 0, 5, 306, 39);
INSERT INTO public.who_data VALUES (72402, 0, 677, 0, 21, 306, 26);
INSERT INTO public.who_data VALUES (72403, 0, 0, 0, 0, 306, 59);
INSERT INTO public.who_data VALUES (72404, 8, 99, 0, 8, 306, 77);
INSERT INTO public.who_data VALUES (72405, 0, 51, 0, 1, 306, 134);
INSERT INTO public.who_data VALUES (72406, 0, 82, 0, 1, 306, 4);
INSERT INTO public.who_data VALUES (72407, 53, 1226, 1, 38, 306, 109);
INSERT INTO public.who_data VALUES (72408, 8, 3558, 2, 75, 306, 90);
INSERT INTO public.who_data VALUES (72409, 0, 121, 0, 0, 306, 61);
INSERT INTO public.who_data VALUES (72410, 0, 17, 0, 2, 306, 85);
INSERT INTO public.who_data VALUES (72411, 35, 5424, 0, 89, 306, 49);
INSERT INTO public.who_data VALUES (72412, 23, 83, 0, 0, 306, 208);
INSERT INTO public.who_data VALUES (72413, 22, 246, 0, 14, 306, 166);
INSERT INTO public.who_data VALUES (72414, 4, 431, 0, 3, 306, 64);
INSERT INTO public.who_data VALUES (72415, 0, 0, 0, 0, 306, 199);
INSERT INTO public.who_data VALUES (72416, 0, 163, 2, 14, 306, 114);
INSERT INTO public.who_data VALUES (72417, 0, 7, 0, 1, 306, 60);
INSERT INTO public.who_data VALUES (72418, 0, 328, 0, 9, 306, 68);
INSERT INTO public.who_data VALUES (72419, 0, 284, 0, 4, 306, 158);
INSERT INTO public.who_data VALUES (72420, 764, 8261, 36, 686, 306, 52);
INSERT INTO public.who_data VALUES (72421, 0, 0, 0, 0, 306, 117);
INSERT INTO public.who_data VALUES (72422, 0, 65, 0, 1, 306, 126);
INSERT INTO public.who_data VALUES (72423, 1, 34, 0, 0, 306, 196);
INSERT INTO public.who_data VALUES (72424, 1, 314, 0, 5, 306, 142);
INSERT INTO public.who_data VALUES (72425, 0, 11, 0, 0, 306, 185);
INSERT INTO public.who_data VALUES (72426, 196, 3186, 1, 144, 306, 138);
INSERT INTO public.who_data VALUES (72427, 0, 35, 0, 0, 306, 181);
INSERT INTO public.who_data VALUES (72428, 8, 119, 0, 5, 306, 178);
INSERT INTO public.who_data VALUES (72429, 0, 16, 0, 0, 306, 168);
INSERT INTO public.who_data VALUES (72430, 0, 0, 0, 0, 306, 160);
INSERT INTO public.who_data VALUES (72431, 1, 32, 0, 0, 306, 151);
INSERT INTO public.who_data VALUES (72432, 748, 33171, 59, 3706, 306, 193);
INSERT INTO public.who_data VALUES (72433, 0, 18, 0, 0, 306, 18);
INSERT INTO public.who_data VALUES (72434, 2, 1107, 1, 13, 306, 40);
INSERT INTO public.who_data VALUES (72435, 0, 9, 1, 2, 306, 218);
INSERT INTO public.who_data VALUES (72436, 7, 655, 0, 20, 306, 191);
INSERT INTO public.who_data VALUES (72437, 0, 541, 0, 19, 306, 156);
INSERT INTO public.who_data VALUES (72438, 0, 0, 0, 0, 306, 135);
INSERT INTO public.who_data VALUES (72439, 0, 14, 0, 2, 306, 88);
INSERT INTO public.who_data VALUES (72440, 18, 1225, 3, 54, 306, 55);
INSERT INTO public.who_data VALUES (72441, 45, 7113, 0, 154, 306, 108);
INSERT INTO public.who_data VALUES (72442, 0, 329, 0, 2, 306, 48);
INSERT INTO public.who_data VALUES (72443, 98, 1508, 1, 8, 306, 3);
INSERT INTO public.who_data VALUES (72444, 0, 712, 0, 13, 306, 224);
INSERT INTO public.who_data VALUES (72445, 1087, 9505, 21, 197, 306, 110);
INSERT INTO public.who_data VALUES (72446, 0, 0, 0, 0, 306, 106);
INSERT INTO public.who_data VALUES (72447, 194, 4467, 6, 126, 306, 89);
INSERT INTO public.who_data VALUES (72448, 0, 7, 0, 0, 306, 121);
INSERT INTO public.who_data VALUES (72449, 2, 208, 0, 8, 306, 163);
INSERT INTO public.who_data VALUES (72450, 1208, 15628, 52, 400, 306, 70);
INSERT INTO public.who_data VALUES (72451, 200, 6459, 19, 428, 306, 174);
INSERT INTO public.who_data VALUES (72452, 0, 0, 0, 0, 306, 175);
INSERT INTO public.who_data VALUES (72453, 306, 9593, 20, 380, 306, 118);
INSERT INTO public.who_data VALUES (72454, 657, 20863, 21, 735, 306, 189);
INSERT INTO public.who_data VALUES (72455, 39, 1252, 0, 48, 306, 124);
INSERT INTO public.who_data VALUES (72456, 518, 6533, 0, 9, 306, 192);
INSERT INTO public.who_data VALUES (72457, 9, 10683, 1, 237, 306, 41);
INSERT INTO public.who_data VALUES (72458, 76, 2548, 3, 70, 306, 95);
INSERT INTO public.who_data VALUES (72459, 0, 408, 0, 0, 306, 74);
INSERT INTO public.who_data VALUES (72460, 190, 8936, 17, 451, 306, 11);
INSERT INTO public.who_data VALUES (72461, 5642, 52763, 51, 456, 306, 87);
INSERT INTO public.who_data VALUES (72462, 0, 147, 0, 0, 306, 214);
INSERT INTO public.who_data VALUES (72463, 0, 2, 0, 0, 306, 116);
INSERT INTO public.who_data VALUES (72464, 0, 6, 0, 0, 306, 157);
INSERT INTO public.who_data VALUES (72465, 0, 0, 0, 0, 306, 182);
INSERT INTO public.who_data VALUES (72466, 1, 15, 0, 0, 306, 186);
INSERT INTO public.who_data VALUES (72467, 0, 15, 0, 0, 306, 127);
INSERT INTO public.who_data VALUES (72468, 0, 37, 0, 2, 306, 232);
INSERT INTO public.who_data VALUES (72469, 0, 1, 0, 0, 306, 33);
INSERT INTO public.who_data VALUES (72470, 0, 12, 0, 0, 306, 97);
INSERT INTO public.who_data VALUES (72471, 0, 0, 0, 0, 306, 42);
INSERT INTO public.who_data VALUES (72472, 1, 462, 0, 39, 306, 198);
INSERT INTO public.who_data VALUES (72473, 0, 4, 0, 0, 306, 216);
INSERT INTO public.who_data VALUES (72474, 1147, 11631, 6, 109, 306, 164);
INSERT INTO public.who_data VALUES (72475, 10, 377, 2, 5, 306, 235);
INSERT INTO public.who_data VALUES (72476, 312, 6630, 3, 125, 306, 67);
INSERT INTO public.who_data VALUES (72477, 0, 11, 0, 0, 306, 15);
INSERT INTO public.who_data VALUES (72478, 8, 43, 0, 0, 306, 180);
INSERT INTO public.who_data VALUES (72479, 1426, 8014, 0, 11, 306, 237);
INSERT INTO public.who_data VALUES (72480, 0, 2, 0, 0, 306, 25);
INSERT INTO public.who_data VALUES (72481, 3, 67, 1, 10, 306, 209);
INSERT INTO public.who_data VALUES (72482, 72, 1161, 1, 12, 306, 217);
INSERT INTO public.who_data VALUES (72483, 5, 1336, 5, 83, 306, 79);
INSERT INTO public.who_data VALUES (72484, 0, 0, 0, 0, 306, 143);
INSERT INTO public.who_data VALUES (72485, 73, 237, 1, 8, 306, 229);
INSERT INTO public.who_data VALUES (72486, 142, 3300, 4, 58, 306, 141);
INSERT INTO public.who_data VALUES (72487, 0, 4, 0, 0, 306, 197);
INSERT INTO public.who_data VALUES (72488, 1446, 205005, 401, 22761, 306, 221);
INSERT INTO public.who_data VALUES (72489, 33, 304, 0, 7, 306, 150);
INSERT INTO public.who_data VALUES (72490, 15, 107, 0, 12, 306, 56);
INSERT INTO public.who_data VALUES (72491, 0, 10, 0, 1, 306, 167);
INSERT INTO public.who_data VALUES (72492, 388, 14664, 87, 2044, 306, 23);
INSERT INTO public.who_data VALUES (72493, 277, 28340, 38, 1383, 306, 222);
INSERT INTO public.who_data VALUES (72494, 0, 39, 0, 3, 306, 219);
INSERT INTO public.who_data VALUES (72495, 0, 0, 0, 0, 306, 7);
INSERT INTO public.who_data VALUES (72496, 19, 2811, 1, 48, 306, 161);
INSERT INTO public.who_data VALUES (72497, 3853, 125269, 570, 19049, 306, 149);
INSERT INTO public.who_data VALUES (72498, 1, 23, 0, 0, 306, 6);
INSERT INTO public.who_data VALUES (72499, 1, 84, 0, 5, 306, 139);
INSERT INTO public.who_data VALUES (72500, 0, 0, 0, 0, 306, 211);
INSERT INTO public.who_data VALUES (72501, 0, 0, 0, 0, 306, 14);
INSERT INTO public.who_data VALUES (72502, 0, 114, 0, 8, 306, 111);
INSERT INTO public.who_data VALUES (72503, 5, 884, 0, 38, 306, 207);
INSERT INTO public.who_data VALUES (72504, 4674, 90980, 123, 2140, 306, 66);
INSERT INTO public.who_data VALUES (72505, 0, 0, 0, 0, 306, 173);
INSERT INTO public.who_data VALUES (72506, 0, 11, 0, 1, 306, 145);
INSERT INTO public.who_data VALUES (72507, 0, 0, 0, 0, 306, 65);
INSERT INTO public.who_data VALUES (72508, 0, 55, 0, 0, 306, 184);
INSERT INTO public.who_data VALUES (72509, 415, 6125, 10, 161, 306, 98);
INSERT INTO public.who_data VALUES (72510, 490, 7755, 3, 46, 306, 104);
INSERT INTO public.who_data VALUES (72511, 84, 255, 3, 10, 306, 73);
INSERT INTO public.who_data VALUES (72512, 27668, 751273, 1801, 40313, 306, 8);
INSERT INTO public.who_data VALUES (72513, 0, 53, 0, 3, 306, 227);
INSERT INTO public.who_data VALUES (72514, 11, 528, 1, 10, 306, 75);
INSERT INTO public.who_data VALUES (72515, 92, 1657, 0, 5, 306, 45);
INSERT INTO public.who_data VALUES (72516, 0, 0, 0, 0, 306, 133);
INSERT INTO public.who_data VALUES (72517, 28, 256, 0, 9, 306, 202);
INSERT INTO public.who_data VALUES (72518, 0, 268, 0, 0, 306, 129);
INSERT INTO public.who_data VALUES (72519, 0, 0, 0, 0, 306, 36);
INSERT INTO public.who_data VALUES (72520, 0, 1, 0, 0, 306, 51);
INSERT INTO public.who_data VALUES (72521, 4, 65, 0, 3, 306, 206);
INSERT INTO public.who_data VALUES (72522, 0, 25, 0, 3, 306, 5);
INSERT INTO public.who_data VALUES (72523, 0, 996, 0, 33, 307, 103);
INSERT INTO public.who_data VALUES (72524, 14, 524, 0, 25, 307, 58);
INSERT INTO public.who_data VALUES (72525, 95, 2629, 8, 375, 307, 195);
INSERT INTO public.who_data VALUES (72526, 0, 0, 0, 0, 307, 115);
INSERT INTO public.who_data VALUES (72527, 13, 717, 1, 36, 307, 99);
INSERT INTO public.who_data VALUES (72528, 0, 19, 0, 2, 307, 153);
INSERT INTO public.who_data VALUES (72529, 0, 3, 0, 0, 307, 93);
INSERT INTO public.who_data VALUES (72530, 0, 23, 1, 3, 307, 84);
INSERT INTO public.who_data VALUES (72531, 55, 2839, 3, 132, 307, 78);
INSERT INTO public.who_data VALUES (72532, 43, 1267, 0, 20, 307, 170);
INSERT INTO public.who_data VALUES (72533, 1, 97, 0, 2, 307, 32);
INSERT INTO public.who_data VALUES (72534, 6, 6612, 0, 70, 307, 155);
INSERT INTO public.who_data VALUES (72535, 48, 14710, 9, 452, 307, 82);
INSERT INTO public.who_data VALUES (72536, 25, 1398, 1, 19, 307, 16);
INSERT INTO public.who_data VALUES (72537, 4, 58, 0, 9, 307, 72);
INSERT INTO public.who_data VALUES (72538, 22, 1895, 0, 7, 307, 43);
INSERT INTO public.who_data VALUES (72539, 492, 2948, 10, 101, 307, 120);
INSERT INTO public.who_data VALUES (72540, 0, 75, 0, 5, 307, 213);
INSERT INTO public.who_data VALUES (72541, 518, 5807, 2, 47, 307, 31);
INSERT INTO public.who_data VALUES (72542, 443, 42491, 190, 6228, 307, 204);
INSERT INTO public.who_data VALUES (72543, 0, 18, 0, 2, 307, 152);
INSERT INTO public.who_data VALUES (72544, 0, 37, 0, 1, 307, 144);
INSERT INTO public.who_data VALUES (72545, 3, 86, 0, 5, 307, 96);
INSERT INTO public.who_data VALUES (72546, 0, 5, 0, 0, 307, 47);
INSERT INTO public.who_data VALUES (72547, 27, 520, 1, 32, 307, 80);
INSERT INTO public.who_data VALUES (72548, 0, 1, 0, 0, 307, 159);
INSERT INTO public.who_data VALUES (72549, 18, 1286, 0, 46, 307, 27);
INSERT INTO public.who_data VALUES (72550, 5, 20, 0, 1, 307, 146);
INSERT INTO public.who_data VALUES (72551, 2917, 36599, 206, 2347, 307, 71);
INSERT INTO public.who_data VALUES (72552, 1, 4, 1, 1, 307, 210);
INSERT INTO public.who_data VALUES (72553, 1, 138, 0, 1, 307, 54);
INSERT INTO public.who_data VALUES (72554, 37, 915, 2, 43, 307, 147);
INSERT INTO public.who_data VALUES (72555, 18, 565, 4, 36, 307, 2);
INSERT INTO public.who_data VALUES (72556, 1, 6, 1, 1, 307, 105);
INSERT INTO public.who_data VALUES (72557, 0, 55, 0, 1, 307, 53);
INSERT INTO public.who_data VALUES (72558, 0, 122, 0, 0, 307, 81);
INSERT INTO public.who_data VALUES (72559, 0, 1016, 0, 21, 307, 223);
INSERT INTO public.who_data VALUES (72560, 1509, 33909, 160, 1506, 307, 94);
INSERT INTO public.who_data VALUES (72561, 0, 61, 0, 1, 307, 154);
INSERT INTO public.who_data VALUES (72562, 0, 12, 0, 0, 307, 83);
INSERT INTO public.who_data VALUES (72563, 0, 33, 0, 0, 307, 194);
INSERT INTO public.who_data VALUES (72564, 358, 10088, 7, 133, 307, 136);
INSERT INTO public.who_data VALUES (72565, 16, 84239, 0, 4642, 307, 179);
INSERT INTO public.who_data VALUES (72566, 182, 3621, 13, 166, 307, 57);
INSERT INTO public.who_data VALUES (72567, 0, 0, 0, 0, 307, 35);
INSERT INTO public.who_data VALUES (72568, 0, 143, 0, 6, 307, 228);
INSERT INTO public.who_data VALUES (72569, 0, 0, 0, 0, 307, 19);
INSERT INTO public.who_data VALUES (72570, 6, 655, 0, 4, 307, 22);
INSERT INTO public.who_data VALUES (72571, 105, 847, 3, 9, 307, 1);
INSERT INTO public.who_data VALUES (72572, 39, 1871, 8, 47, 307, 21);
INSERT INTO public.who_data VALUES (72573, 49, 1035, 2, 34, 307, 234);
INSERT INTO public.who_data VALUES (72574, 0, 14, 0, 1, 307, 91);
INSERT INTO public.who_data VALUES (72575, 6, 767, 0, 12, 307, 137);
INSERT INTO public.who_data VALUES (72576, 133, 6787, 7, 188, 307, 201);
INSERT INTO public.who_data VALUES (72577, 0, 0, 0, 0, 307, 171);
INSERT INTO public.who_data VALUES (72578, 5, 332, 0, 25, 307, 92);
INSERT INTO public.who_data VALUES (72579, 142, 7384, 9, 355, 307, 112);
INSERT INTO public.who_data VALUES (72580, 114, 846, 0, 2, 307, 62);
INSERT INTO public.who_data VALUES (72581, 0, 16, 0, 0, 307, 69);
INSERT INTO public.who_data VALUES (72582, 345, 4680, 9, 226, 307, 220);
INSERT INTO public.who_data VALUES (72583, 446, 9468, 18, 474, 307, 100);
INSERT INTO public.who_data VALUES (72584, 112, 3144, 15, 239, 307, 187);
INSERT INTO public.who_data VALUES (72585, 11, 201, 0, 7, 307, 63);
INSERT INTO public.who_data VALUES (72586, 0, 79, 0, 0, 307, 28);
INSERT INTO public.who_data VALUES (72587, 0, 39, 0, 0, 307, 172);
INSERT INTO public.who_data VALUES (72588, 16, 1528, 2, 40, 307, 17);
INSERT INTO public.who_data VALUES (72589, 0, 22, 0, 1, 307, 226);
INSERT INTO public.who_data VALUES (72590, 3, 108, 0, 3, 307, 236);
INSERT INTO public.who_data VALUES (72591, 0, 11, 0, 0, 307, 76);
INSERT INTO public.who_data VALUES (72592, 1, 185, 0, 0, 307, 30);
INSERT INTO public.who_data VALUES (72593, 0, 17, 0, 0, 307, 128);
INSERT INTO public.who_data VALUES (72594, 102, 3783, 4, 94, 307, 86);
INSERT INTO public.who_data VALUES (72595, 742, 111463, 395, 19690, 307, 140);
INSERT INTO public.who_data VALUES (72596, 0, 96, 0, 0, 307, 44);
INSERT INTO public.who_data VALUES (72597, 0, 55, 0, 0, 307, 113);
INSERT INTO public.who_data VALUES (72598, 1, 109, 0, 1, 307, 29);
INSERT INTO public.who_data VALUES (72599, 0, 9, 0, 1, 307, 125);
INSERT INTO public.who_data VALUES (72600, 5, 399, 0, 4, 307, 131);
INSERT INTO public.who_data VALUES (72601, 1775, 141672, 110, 4404, 307, 46);
INSERT INTO public.who_data VALUES (72602, 208, 1042, 0, 9, 307, 10);
INSERT INTO public.who_data VALUES (72603, 0, 133, 0, 0, 307, 205);
INSERT INTO public.who_data VALUES (72604, 28, 2235, 5, 110, 307, 50);
INSERT INTO public.who_data VALUES (72605, 0, 11, 0, 0, 307, 20);
INSERT INTO public.who_data VALUES (72606, 0, 13, 0, 0, 307, 13);
INSERT INTO public.who_data VALUES (72607, 3, 148, 0, 10, 307, 148);
INSERT INTO public.who_data VALUES (72608, 0, 133, 0, 5, 307, 230);
INSERT INTO public.who_data VALUES (72609, 22, 257, 0, 7, 307, 190);
INSERT INTO public.who_data VALUES (72610, 3, 239, 0, 9, 307, 188);
INSERT INTO public.who_data VALUES (72611, 0, 477, 0, 3, 307, 123);
INSERT INTO public.who_data VALUES (72612, 0, 50, 0, 0, 307, 9);
INSERT INTO public.who_data VALUES (72613, 0, 63, 1, 7, 307, 102);
INSERT INTO public.who_data VALUES (72614, 0, 44, 0, 3, 307, 34);
INSERT INTO public.who_data VALUES (72615, 0, 8, 0, 0, 307, 212);
INSERT INTO public.who_data VALUES (72616, 15, 472, 0, 46, 307, 122);
INSERT INTO public.who_data VALUES (72617, 68, 1984, 10, 199, 307, 38);
INSERT INTO public.who_data VALUES (72618, 11, 1771, 0, 9, 307, 130);
INSERT INTO public.who_data VALUES (72619, 1553, 17265, 36, 543, 307, 37);
INSERT INTO public.who_data VALUES (72620, 185, 6760, 8, 590, 307, 231);
INSERT INTO public.who_data VALUES (72621, 1294, 83505, 91, 5209, 307, 107);
INSERT INTO public.who_data VALUES (72622, 61, 1574, 0, 82, 307, 101);
INSERT INTO public.who_data VALUES (72623, 493, 15251, 39, 610, 307, 132);
INSERT INTO public.who_data VALUES (72624, 6, 297, 0, 4, 307, 176);
INSERT INTO public.who_data VALUES (72625, 291, 13546, 11, 166, 307, 200);
INSERT INTO public.who_data VALUES (72626, 3047, 178972, 433, 23660, 307, 169);
INSERT INTO public.who_data VALUES (72627, 10, 173, 0, 5, 307, 225);
INSERT INTO public.who_data VALUES (72628, 390, 10751, 10, 171, 307, 165);
INSERT INTO public.who_data VALUES (72629, 11, 245, 1, 12, 307, 233);
INSERT INTO public.who_data VALUES (72630, 4, 417, 0, 7, 307, 215);
INSERT INTO public.who_data VALUES (72631, 84, 1852, 0, 19, 307, 177);
INSERT INTO public.who_data VALUES (72632, 8, 270, 2, 14, 307, 183);
INSERT INTO public.who_data VALUES (72633, 0, 0, 0, 0, 307, 203);
INSERT INTO public.who_data VALUES (72634, 25, 535, 0, 13, 307, 162);
INSERT INTO public.who_data VALUES (72635, 80, 1995, 2, 9, 307, 12);
INSERT INTO public.who_data VALUES (72636, 14, 568, 2, 7, 307, 24);
INSERT INTO public.who_data VALUES (72637, 0, 19, 0, 0, 307, 119);
INSERT INTO public.who_data VALUES (72638, 15, 727, 0, 5, 307, 39);
INSERT INTO public.who_data VALUES (72639, 4, 677, 0, 21, 307, 26);
INSERT INTO public.who_data VALUES (72640, 0, 0, 0, 0, 307, 59);
INSERT INTO public.who_data VALUES (72641, 10, 91, 1, 8, 307, 77);
INSERT INTO public.who_data VALUES (72642, 2, 51, 0, 1, 307, 134);
INSERT INTO public.who_data VALUES (72643, 0, 82, 0, 1, 307, 4);
INSERT INTO public.who_data VALUES (72644, 20, 1173, 3, 37, 307, 109);
INSERT INTO public.who_data VALUES (72645, 13, 3550, 1, 73, 307, 90);
INSERT INTO public.who_data VALUES (72646, 1, 121, 0, 0, 307, 61);
INSERT INTO public.who_data VALUES (72647, 0, 17, 0, 2, 307, 85);
INSERT INTO public.who_data VALUES (72648, 84, 5389, 1, 89, 307, 49);
INSERT INTO public.who_data VALUES (72649, 9, 60, 0, 0, 307, 208);
INSERT INTO public.who_data VALUES (72650, 8, 224, 1, 14, 307, 166);
INSERT INTO public.who_data VALUES (72651, 1, 427, 0, 3, 307, 64);
INSERT INTO public.who_data VALUES (72652, 0, 0, 0, 0, 307, 199);
INSERT INTO public.who_data VALUES (72653, 0, 163, 0, 12, 307, 114);
INSERT INTO public.who_data VALUES (72654, 0, 7, 0, 1, 307, 60);
INSERT INTO public.who_data VALUES (72655, 3, 328, 0, 9, 307, 68);
INSERT INTO public.who_data VALUES (72656, 39, 284, 0, 4, 307, 158);
INSERT INTO public.who_data VALUES (72657, 622, 7497, 104, 650, 307, 52);
INSERT INTO public.who_data VALUES (72658, 0, 0, 0, 0, 307, 117);
INSERT INTO public.who_data VALUES (72659, 0, 65, 0, 1, 307, 126);
INSERT INTO public.who_data VALUES (72660, 1, 33, 0, 0, 307, 196);
INSERT INTO public.who_data VALUES (72661, 2, 313, 0, 5, 307, 142);
INSERT INTO public.who_data VALUES (72662, 0, 11, 0, 0, 307, 185);
INSERT INTO public.who_data VALUES (72663, 170, 2990, 5, 143, 307, 138);
INSERT INTO public.who_data VALUES (72664, 4, 35, 0, 0, 307, 181);
INSERT INTO public.who_data VALUES (72665, 4, 111, 0, 5, 307, 178);
INSERT INTO public.who_data VALUES (72666, 0, 16, 0, 0, 307, 168);
INSERT INTO public.who_data VALUES (72667, 0, 0, 0, 0, 307, 160);
INSERT INTO public.who_data VALUES (72668, 0, 31, 0, 0, 307, 151);
INSERT INTO public.who_data VALUES (72669, 1023, 32423, 79, 3647, 307, 193);
INSERT INTO public.who_data VALUES (72670, 0, 18, 0, 0, 307, 18);
INSERT INTO public.who_data VALUES (72671, 7, 1105, 1, 12, 307, 40);
INSERT INTO public.who_data VALUES (72672, 0, 9, 0, 1, 307, 218);
INSERT INTO public.who_data VALUES (72673, 9, 648, 1, 20, 307, 191);
INSERT INTO public.who_data VALUES (72674, 168, 541, 8, 19, 307, 156);
INSERT INTO public.who_data VALUES (72675, 0, 0, 0, 0, 307, 135);
INSERT INTO public.who_data VALUES (72676, 0, 14, 0, 2, 307, 88);
INSERT INTO public.who_data VALUES (72677, 37, 1207, 2, 51, 307, 55);
INSERT INTO public.who_data VALUES (72678, 84, 7068, 6, 154, 307, 108);
INSERT INTO public.who_data VALUES (72679, 7, 329, 0, 2, 307, 48);
INSERT INTO public.who_data VALUES (72680, 144, 1410, 1, 7, 307, 3);
INSERT INTO public.who_data VALUES (72681, 0, 712, 0, 13, 307, 224);
INSERT INTO public.who_data VALUES (72682, 425, 8418, 17, 176, 307, 110);
INSERT INTO public.who_data VALUES (72683, 0, 0, 0, 0, 307, 106);
INSERT INTO public.who_data VALUES (72684, 63, 4273, 5, 120, 307, 89);
INSERT INTO public.who_data VALUES (72685, 0, 7, 0, 0, 307, 121);
INSERT INTO public.who_data VALUES (72686, 4, 206, 0, 8, 307, 163);
INSERT INTO public.who_data VALUES (72687, 931, 14420, 48, 348, 307, 70);
INSERT INTO public.who_data VALUES (72688, 172, 6259, 12, 409, 307, 174);
INSERT INTO public.who_data VALUES (72689, 0, 0, 0, 0, 307, 175);
INSERT INTO public.who_data VALUES (72690, 545, 9287, 13, 360, 307, 118);
INSERT INTO public.who_data VALUES (72691, 521, 20206, 27, 714, 307, 189);
INSERT INTO public.who_data VALUES (72692, 95, 1213, 0, 48, 307, 124);
INSERT INTO public.who_data VALUES (72693, 567, 6015, 1, 9, 307, 192);
INSERT INTO public.who_data VALUES (72694, 13, 10674, 2, 236, 307, 41);
INSERT INTO public.who_data VALUES (72695, 121, 2472, 7, 67, 307, 95);
INSERT INTO public.who_data VALUES (72696, 1, 408, 0, 0, 307, 74);
INSERT INTO public.who_data VALUES (72697, 328, 8746, 17, 434, 307, 11);
INSERT INTO public.who_data VALUES (72698, 4268, 47121, 44, 405, 307, 87);
INSERT INTO public.who_data VALUES (72699, 3, 147, 0, 0, 307, 214);
INSERT INTO public.who_data VALUES (72700, 0, 2, 0, 0, 307, 116);
INSERT INTO public.who_data VALUES (72701, 0, 6, 0, 0, 307, 157);
INSERT INTO public.who_data VALUES (72702, 0, 0, 0, 0, 307, 182);
INSERT INTO public.who_data VALUES (72703, 0, 14, 0, 0, 307, 186);
INSERT INTO public.who_data VALUES (72704, 0, 15, 0, 0, 307, 127);
INSERT INTO public.who_data VALUES (72705, 0, 37, 0, 2, 307, 232);
INSERT INTO public.who_data VALUES (72706, 0, 1, 0, 0, 307, 33);
INSERT INTO public.who_data VALUES (72707, 0, 12, 0, 0, 307, 97);
INSERT INTO public.who_data VALUES (72708, 0, 0, 0, 0, 307, 42);
INSERT INTO public.who_data VALUES (72709, 6, 461, 0, 39, 307, 198);
INSERT INTO public.who_data VALUES (72710, 0, 4, 0, 0, 307, 216);
INSERT INTO public.who_data VALUES (72711, 1122, 10484, 6, 103, 307, 164);
INSERT INTO public.who_data VALUES (72712, 17, 367, 0, 3, 307, 235);
INSERT INTO public.who_data VALUES (72713, 324, 6318, 5, 122, 307, 67);
INSERT INTO public.who_data VALUES (72714, 0, 11, 0, 0, 307, 15);
INSERT INTO public.who_data VALUES (72715, 5, 35, 0, 0, 307, 180);
INSERT INTO public.who_data VALUES (72716, 596, 6588, 0, 11, 307, 237);
INSERT INTO public.who_data VALUES (72717, 0, 2, 0, 0, 307, 25);
INSERT INTO public.who_data VALUES (72718, 7, 64, 0, 9, 307, 209);
INSERT INTO public.who_data VALUES (72719, 40, 1089, 2, 11, 307, 217);
INSERT INTO public.who_data VALUES (72720, 13, 1331, 3, 78, 307, 79);
INSERT INTO public.who_data VALUES (72721, 0, 0, 0, 0, 307, 143);
INSERT INTO public.who_data VALUES (72722, 29, 164, 0, 7, 307, 229);
INSERT INTO public.who_data VALUES (72723, 124, 3158, 2, 54, 307, 141);
INSERT INTO public.who_data VALUES (72724, 0, 4, 0, 0, 307, 197);
INSERT INTO public.who_data VALUES (72725, 2182, 203559, 435, 22360, 307, 221);
INSERT INTO public.who_data VALUES (72726, 17, 271, 0, 7, 307, 150);
INSERT INTO public.who_data VALUES (72727, 26, 92, 2, 12, 307, 56);
INSERT INTO public.who_data VALUES (72728, 0, 10, 0, 1, 307, 167);
INSERT INTO public.who_data VALUES (72729, 532, 14276, 86, 1957, 307, 23);
INSERT INTO public.who_data VALUES (72730, 87, 28063, 21, 1345, 307, 222);
INSERT INTO public.who_data VALUES (72731, 1, 39, 1, 3, 307, 219);
INSERT INTO public.who_data VALUES (72732, 0, 0, 0, 0, 307, 7);
INSERT INTO public.who_data VALUES (72733, 27, 2792, 0, 47, 307, 161);
INSERT INTO public.who_data VALUES (72734, 4721, 121416, 432, 18479, 307, 149);
INSERT INTO public.who_data VALUES (72735, 3, 22, 0, 0, 307, 6);
INSERT INTO public.who_data VALUES (72736, 0, 83, 0, 5, 307, 139);
INSERT INTO public.who_data VALUES (72737, 0, 0, 0, 0, 307, 211);
INSERT INTO public.who_data VALUES (72738, 0, 0, 0, 0, 307, 14);
INSERT INTO public.who_data VALUES (72739, 0, 114, 0, 8, 307, 111);
INSERT INTO public.who_data VALUES (72740, 13, 879, 1, 38, 307, 207);
INSERT INTO public.who_data VALUES (72741, 3977, 86306, 127, 2017, 307, 66);
INSERT INTO public.who_data VALUES (72742, 0, 0, 0, 0, 307, 173);
INSERT INTO public.who_data VALUES (72743, 0, 11, 0, 1, 307, 145);
INSERT INTO public.who_data VALUES (72744, 0, 0, 0, 0, 307, 65);
INSERT INTO public.who_data VALUES (72745, 0, 55, 0, 0, 307, 184);
INSERT INTO public.who_data VALUES (72746, 261, 5710, 10, 151, 307, 98);
INSERT INTO public.who_data VALUES (72747, 484, 7265, 2, 43, 307, 104);
INSERT INTO public.who_data VALUES (72748, 23, 171, 2, 7, 307, 73);
INSERT INTO public.who_data VALUES (72749, 28252, 723605, 1776, 38512, 307, 8);
INSERT INTO public.who_data VALUES (72750, 0, 53, 0, 3, 307, 227);
INSERT INTO public.who_data VALUES (72751, 9, 517, 0, 9, 307, 75);
INSERT INTO public.who_data VALUES (72752, 70, 1565, 0, 5, 307, 45);
INSERT INTO public.who_data VALUES (72753, 0, 0, 0, 0, 307, 133);
INSERT INTO public.who_data VALUES (72754, 24, 228, 0, 9, 307, 202);
INSERT INTO public.who_data VALUES (72755, 0, 268, 0, 0, 307, 129);
INSERT INTO public.who_data VALUES (72756, 0, 0, 0, 0, 307, 36);
INSERT INTO public.who_data VALUES (72757, 0, 1, 0, 0, 307, 51);
INSERT INTO public.who_data VALUES (72758, 4, 61, 1, 3, 307, 206);
INSERT INTO public.who_data VALUES (72759, 0, 25, 0, 3, 307, 5);
INSERT INTO public.who_data VALUES (72760, 88, 996, 3, 33, 308, 103);
INSERT INTO public.who_data VALUES (72761, 0, 510, 0, 25, 308, 58);
INSERT INTO public.who_data VALUES (72762, 116, 2534, 3, 367, 308, 195);
INSERT INTO public.who_data VALUES (72763, 0, 0, 0, 0, 308, 115);
INSERT INTO public.who_data VALUES (72764, 1, 704, 0, 35, 308, 99);
INSERT INTO public.who_data VALUES (72765, 0, 19, 0, 2, 308, 153);
INSERT INTO public.who_data VALUES (72766, 0, 3, 0, 0, 308, 93);
INSERT INTO public.who_data VALUES (72767, 0, 23, 0, 2, 308, 84);
INSERT INTO public.who_data VALUES (72768, 90, 2784, 7, 129, 308, 78);
INSERT INTO public.who_data VALUES (72769, 47, 1224, 1, 20, 308, 170);
INSERT INTO public.who_data VALUES (72770, 0, 96, 0, 2, 308, 32);
INSERT INTO public.who_data VALUES (72771, 73, 6606, 3, 70, 308, 155);
INSERT INTO public.who_data VALUES (72772, 59, 14662, 12, 443, 308, 82);
INSERT INTO public.who_data VALUES (72773, 33, 1373, 3, 18, 308, 16);
INSERT INTO public.who_data VALUES (72774, 0, 54, 0, 9, 308, 72);
INSERT INTO public.who_data VALUES (72775, 106, 1873, 0, 7, 308, 43);
INSERT INTO public.who_data VALUES (72776, 312, 2456, 7, 91, 308, 120);
INSERT INTO public.who_data VALUES (72777, 0, 75, 0, 5, 308, 213);
INSERT INTO public.who_data VALUES (72778, 510, 5289, 2, 45, 308, 31);
INSERT INTO public.who_data VALUES (72779, 722, 42048, 208, 6038, 308, 204);
INSERT INTO public.who_data VALUES (72780, 0, 18, 0, 2, 308, 152);
INSERT INTO public.who_data VALUES (72781, 0, 37, 0, 1, 308, 144);
INSERT INTO public.who_data VALUES (72782, 0, 83, 0, 5, 308, 96);
INSERT INTO public.who_data VALUES (72783, 0, 5, 0, 0, 308, 47);
INSERT INTO public.who_data VALUES (72784, 28, 493, 0, 31, 308, 80);
INSERT INTO public.who_data VALUES (72785, 0, 1, 0, 0, 308, 159);
INSERT INTO public.who_data VALUES (72786, 58, 1268, 2, 46, 308, 27);
INSERT INTO public.who_data VALUES (72787, 0, 15, 0, 1, 308, 146);
INSERT INTO public.who_data VALUES (72788, 3257, 33682, 217, 2141, 308, 71);
INSERT INTO public.who_data VALUES (72789, 0, 3, 0, 0, 308, 210);
INSERT INTO public.who_data VALUES (72790, 1, 137, 0, 1, 308, 54);
INSERT INTO public.who_data VALUES (72791, 32, 878, 0, 41, 308, 147);
INSERT INTO public.who_data VALUES (72792, 0, 547, 0, 32, 308, 2);
INSERT INTO public.who_data VALUES (72793, 0, 5, 0, 0, 308, 105);
INSERT INTO public.who_data VALUES (72794, 0, 55, 0, 1, 308, 53);
INSERT INTO public.who_data VALUES (72795, 0, 122, 0, 0, 308, 81);
INSERT INTO public.who_data VALUES (72796, 0, 1016, 0, 21, 308, 223);
INSERT INTO public.who_data VALUES (72797, 1741, 32400, 96, 1346, 308, 94);
INSERT INTO public.who_data VALUES (72798, 0, 61, 0, 1, 308, 154);
INSERT INTO public.who_data VALUES (72799, 0, 12, 0, 0, 308, 83);
INSERT INTO public.who_data VALUES (72800, 0, 33, 0, 0, 308, 194);
INSERT INTO public.who_data VALUES (72801, 478, 9730, 10, 126, 308, 136);
INSERT INTO public.who_data VALUES (72802, 43, 84223, 0, 4642, 308, 179);
INSERT INTO public.who_data VALUES (72803, 206, 3439, 9, 153, 308, 57);
INSERT INTO public.who_data VALUES (72804, 0, 0, 0, 0, 308, 35);
INSERT INTO public.who_data VALUES (72805, 0, 143, 0, 6, 308, 228);
INSERT INTO public.who_data VALUES (72806, 0, 0, 0, 0, 308, 19);
INSERT INTO public.who_data VALUES (72807, 7, 649, 0, 4, 308, 22);
INSERT INTO public.who_data VALUES (72808, 0, 742, 0, 6, 308, 1);
INSERT INTO public.who_data VALUES (72809, 18, 1832, 3, 39, 308, 21);
INSERT INTO public.who_data VALUES (72810, 63, 986, 1, 32, 308, 234);
INSERT INTO public.who_data VALUES (72811, 0, 14, 0, 1, 308, 91);
INSERT INTO public.who_data VALUES (72812, 26, 761, 0, 12, 308, 137);
INSERT INTO public.who_data VALUES (72813, 105, 6654, 8, 181, 308, 201);
INSERT INTO public.who_data VALUES (72814, 0, 0, 0, 0, 308, 171);
INSERT INTO public.who_data VALUES (72815, 40, 327, 2, 25, 308, 92);
INSERT INTO public.who_data VALUES (72816, 169, 7242, 10, 346, 308, 112);
INSERT INTO public.who_data VALUES (72817, 0, 732, 0, 2, 308, 62);
INSERT INTO public.who_data VALUES (72818, 0, 16, 0, 0, 308, 69);
INSERT INTO public.who_data VALUES (72819, 209, 4335, 17, 217, 308, 220);
INSERT INTO public.who_data VALUES (72820, 572, 9022, 35, 456, 308, 100);
INSERT INTO public.who_data VALUES (72821, 188, 3032, 19, 224, 308, 187);
INSERT INTO public.who_data VALUES (72822, 13, 190, 0, 7, 308, 63);
INSERT INTO public.who_data VALUES (72823, 28, 79, 0, 0, 308, 28);
INSERT INTO public.who_data VALUES (72824, 4, 39, 0, 0, 308, 172);
INSERT INTO public.who_data VALUES (72825, 53, 1512, 0, 38, 308, 17);
INSERT INTO public.who_data VALUES (72826, 3, 22, 0, 1, 308, 226);
INSERT INTO public.who_data VALUES (72827, 9, 105, 0, 3, 308, 236);
INSERT INTO public.who_data VALUES (72828, 0, 11, 0, 0, 308, 76);
INSERT INTO public.who_data VALUES (72829, 0, 184, 0, 0, 308, 30);
INSERT INTO public.who_data VALUES (72830, 0, 17, 0, 0, 308, 128);
INSERT INTO public.who_data VALUES (72831, 192, 3681, 8, 90, 308, 86);
INSERT INTO public.who_data VALUES (72832, 2558, 110721, 636, 19295, 308, 140);
INSERT INTO public.who_data VALUES (72833, 0, 96, 0, 0, 308, 44);
INSERT INTO public.who_data VALUES (72834, 0, 55, 0, 0, 308, 113);
INSERT INTO public.who_data VALUES (72835, 13, 108, 0, 1, 308, 29);
INSERT INTO public.who_data VALUES (72836, 0, 9, 0, 1, 308, 125);
INSERT INTO public.who_data VALUES (72837, 9, 394, 1, 4, 308, 131);
INSERT INTO public.who_data VALUES (72838, 2458, 139897, 184, 4294, 308, 46);
INSERT INTO public.who_data VALUES (72839, 193, 834, 1, 9, 308, 10);
INSERT INTO public.who_data VALUES (72840, 0, 133, 0, 0, 308, 205);
INSERT INTO public.who_data VALUES (72841, 0, 2207, 0, 105, 308, 50);
INSERT INTO public.who_data VALUES (72842, 0, 11, 0, 0, 308, 20);
INSERT INTO public.who_data VALUES (72843, 0, 13, 0, 0, 308, 13);
INSERT INTO public.who_data VALUES (72844, 0, 145, 2, 10, 308, 148);
INSERT INTO public.who_data VALUES (72845, 0, 133, 0, 5, 308, 230);
INSERT INTO public.who_data VALUES (72846, 21, 235, 0, 7, 308, 190);
INSERT INTO public.who_data VALUES (72847, 2, 236, 0, 9, 308, 188);
INSERT INTO public.who_data VALUES (72848, 39, 477, 2, 3, 308, 123);
INSERT INTO public.who_data VALUES (72849, 0, 50, 0, 0, 308, 9);
INSERT INTO public.who_data VALUES (72850, 6, 63, 0, 6, 308, 102);
INSERT INTO public.who_data VALUES (72851, 1, 44, 0, 3, 308, 34);
INSERT INTO public.who_data VALUES (72852, 0, 8, 0, 0, 308, 212);
INSERT INTO public.who_data VALUES (72853, 15, 457, 5, 46, 308, 122);
INSERT INTO public.who_data VALUES (72854, 82, 1916, 17, 189, 308, 38);
INSERT INTO public.who_data VALUES (72855, 6, 1760, 1, 9, 308, 130);
INSERT INTO public.who_data VALUES (72856, 1334, 15712, 27, 507, 308, 37);
INSERT INTO public.who_data VALUES (72857, 327, 6575, 47, 582, 308, 231);
INSERT INTO public.who_data VALUES (72858, 1343, 82211, 87, 5118, 308, 107);
INSERT INTO public.who_data VALUES (72859, 31, 1513, 1, 82, 308, 101);
INSERT INTO public.who_data VALUES (72860, 778, 14758, 41, 571, 308, 132);
INSERT INTO public.who_data VALUES (72861, 2, 291, 0, 4, 308, 176);
INSERT INTO public.who_data VALUES (72862, 298, 13255, 9, 155, 308, 200);
INSERT INTO public.who_data VALUES (72863, 3491, 175925, 480, 23227, 308, 169);
INSERT INTO public.who_data VALUES (72864, 20, 163, 0, 5, 308, 225);
INSERT INTO public.who_data VALUES (72865, 566, 10361, 7, 161, 308, 165);
INSERT INTO public.who_data VALUES (72866, 11, 234, 1, 11, 308, 233);
INSERT INTO public.who_data VALUES (72867, 6, 413, 0, 7, 308, 215);
INSERT INTO public.who_data VALUES (72868, 141, 1768, 0, 19, 308, 177);
INSERT INTO public.who_data VALUES (72869, 16, 262, 1, 12, 308, 183);
INSERT INTO public.who_data VALUES (72870, 0, 0, 0, 0, 308, 203);
INSERT INTO public.who_data VALUES (72871, 30, 510, 0, 13, 308, 162);
INSERT INTO public.who_data VALUES (72872, 164, 1915, 1, 7, 308, 12);
INSERT INTO public.who_data VALUES (72873, 48, 554, 0, 5, 308, 24);
INSERT INTO public.who_data VALUES (72874, 0, 19, 0, 0, 308, 119);
INSERT INTO public.who_data VALUES (72875, 30, 712, 0, 5, 308, 39);
INSERT INTO public.who_data VALUES (72876, 1, 673, 0, 21, 308, 26);
INSERT INTO public.who_data VALUES (72877, 0, 0, 0, 0, 308, 59);
INSERT INTO public.who_data VALUES (72878, 5, 81, 0, 7, 308, 77);
INSERT INTO public.who_data VALUES (72879, 0, 49, 0, 1, 308, 134);
INSERT INTO public.who_data VALUES (72880, 0, 82, 0, 1, 308, 4);
INSERT INTO public.who_data VALUES (72881, 62, 1153, 1, 34, 308, 109);
INSERT INTO public.who_data VALUES (72882, 57, 3537, 0, 72, 308, 90);
INSERT INTO public.who_data VALUES (72883, 3, 120, 0, 0, 308, 61);
INSERT INTO public.who_data VALUES (72884, 0, 17, 0, 2, 308, 85);
INSERT INTO public.who_data VALUES (72885, 54, 5305, 2, 88, 308, 49);
INSERT INTO public.who_data VALUES (72886, 17, 51, 0, 0, 308, 208);
INSERT INTO public.who_data VALUES (72887, 26, 216, 0, 13, 308, 166);
INSERT INTO public.who_data VALUES (72888, 4, 426, 0, 3, 308, 64);
INSERT INTO public.who_data VALUES (72889, 0, 0, 0, 0, 308, 199);
INSERT INTO public.who_data VALUES (72890, 4, 163, 4, 12, 308, 114);
INSERT INTO public.who_data VALUES (72891, 0, 7, 0, 1, 308, 60);
INSERT INTO public.who_data VALUES (72892, 1, 325, 0, 9, 308, 68);
INSERT INTO public.who_data VALUES (72893, 0, 245, 0, 4, 308, 158);
INSERT INTO public.who_data VALUES (72894, 578, 6875, 60, 546, 308, 52);
INSERT INTO public.who_data VALUES (72895, 0, 0, 0, 0, 308, 117);
INSERT INTO public.who_data VALUES (72896, 0, 65, 0, 1, 308, 126);
INSERT INTO public.who_data VALUES (72897, 1, 32, 0, 0, 308, 196);
INSERT INTO public.who_data VALUES (72898, 3, 311, 0, 5, 308, 142);
INSERT INTO public.who_data VALUES (72899, 0, 11, 0, 0, 308, 185);
INSERT INTO public.who_data VALUES (72900, 150, 2820, 1, 138, 308, 138);
INSERT INTO public.who_data VALUES (72901, 0, 31, 0, 0, 308, 181);
INSERT INTO public.who_data VALUES (72902, 13, 107, 0, 5, 308, 178);
INSERT INTO public.who_data VALUES (72903, 0, 16, 0, 0, 308, 168);
INSERT INTO public.who_data VALUES (72904, 0, 0, 0, 0, 308, 160);
INSERT INTO public.who_data VALUES (72905, 1, 31, 0, 0, 308, 151);
INSERT INTO public.who_data VALUES (72906, 1186, 31400, 149, 3568, 308, 193);
INSERT INTO public.who_data VALUES (72907, 0, 18, 0, 0, 308, 18);
INSERT INTO public.who_data VALUES (72908, 4, 1098, 0, 11, 308, 40);
INSERT INTO public.who_data VALUES (72909, 0, 9, 0, 1, 308, 218);
INSERT INTO public.who_data VALUES (72910, 12, 639, 1, 19, 308, 191);
INSERT INTO public.who_data VALUES (72911, 0, 373, 0, 11, 308, 156);
INSERT INTO public.who_data VALUES (72912, 0, 0, 0, 0, 308, 135);
INSERT INTO public.who_data VALUES (72913, 0, 14, 0, 2, 308, 88);
INSERT INTO public.who_data VALUES (72914, 53, 1170, 0, 49, 308, 55);
INSERT INTO public.who_data VALUES (72915, 193, 6984, 12, 148, 308, 108);
INSERT INTO public.who_data VALUES (72916, 9, 322, 0, 2, 308, 48);
INSERT INTO public.who_data VALUES (72917, 86, 1266, 0, 6, 308, 3);
INSERT INTO public.who_data VALUES (72918, 0, 712, 0, 13, 308, 224);
INSERT INTO public.who_data VALUES (72919, 355, 7993, 16, 159, 308, 110);
INSERT INTO public.who_data VALUES (72920, 0, 0, 0, 0, 308, 106);
INSERT INTO public.who_data VALUES (72921, 194, 4210, 6, 115, 308, 89);
INSERT INTO public.who_data VALUES (72922, 0, 7, 0, 0, 308, 121);
INSERT INTO public.who_data VALUES (72923, 3, 202, 0, 8, 308, 163);
INSERT INTO public.who_data VALUES (72924, 0, 13489, 0, 300, 308, 70);
INSERT INTO public.who_data VALUES (72925, 209, 6087, 10, 397, 308, 174);
INSERT INTO public.who_data VALUES (72926, 0, 0, 0, 0, 308, 175);
INSERT INTO public.who_data VALUES (72927, 363, 8742, 15, 347, 308, 118);
INSERT INTO public.who_data VALUES (72928, 663, 19685, 30, 687, 308, 189);
INSERT INTO public.who_data VALUES (72929, 50, 1118, 0, 48, 308, 124);
INSERT INTO public.who_data VALUES (72930, 440, 5448, 0, 8, 308, 192);
INSERT INTO public.who_data VALUES (72931, 8, 10661, 2, 234, 308, 41);
INSERT INTO public.who_data VALUES (72932, 87, 2351, 4, 60, 308, 95);
INSERT INTO public.who_data VALUES (72933, 5, 407, 0, 0, 308, 74);
INSERT INTO public.who_data VALUES (72934, 351, 8418, 17, 417, 308, 11);
INSERT INTO public.who_data VALUES (72935, 6060, 42853, 48, 361, 308, 87);
INSERT INTO public.who_data VALUES (72936, 6, 144, 0, 0, 308, 214);
INSERT INTO public.who_data VALUES (72937, 0, 2, 0, 0, 308, 116);
INSERT INTO public.who_data VALUES (72938, 0, 6, 0, 0, 308, 157);
INSERT INTO public.who_data VALUES (72939, 0, 0, 0, 0, 308, 182);
INSERT INTO public.who_data VALUES (72940, 0, 14, 0, 0, 308, 186);
INSERT INTO public.who_data VALUES (72941, 0, 15, 0, 0, 308, 127);
INSERT INTO public.who_data VALUES (72942, 2, 37, 0, 2, 308, 232);
INSERT INTO public.who_data VALUES (72943, 0, 1, 0, 0, 308, 33);
INSERT INTO public.who_data VALUES (72944, 0, 12, 0, 0, 308, 97);
INSERT INTO public.who_data VALUES (72945, 0, 0, 0, 0, 308, 42);
INSERT INTO public.who_data VALUES (72946, 29, 455, 1, 39, 308, 198);
INSERT INTO public.who_data VALUES (72947, 0, 4, 0, 0, 308, 216);
INSERT INTO public.who_data VALUES (72948, 1088, 9362, 5, 97, 308, 164);
INSERT INTO public.who_data VALUES (72949, 8, 350, 0, 3, 308, 235);
INSERT INTO public.who_data VALUES (72950, 304, 5994, 7, 117, 308, 67);
INSERT INTO public.who_data VALUES (72951, 0, 11, 0, 0, 308, 15);
INSERT INTO public.who_data VALUES (72952, 4, 30, 0, 0, 308, 180);
INSERT INTO public.who_data VALUES (72953, 942, 5992, 0, 11, 308, 237);
INSERT INTO public.who_data VALUES (72954, 0, 2, 0, 0, 308, 25);
INSERT INTO public.who_data VALUES (72955, 0, 57, 0, 9, 308, 209);
INSERT INTO public.who_data VALUES (72956, 72, 1049, 1, 9, 308, 217);
INSERT INTO public.who_data VALUES (72957, 13, 1318, 4, 75, 308, 79);
INSERT INTO public.who_data VALUES (72958, 0, 0, 0, 0, 308, 143);
INSERT INTO public.who_data VALUES (72959, 19, 135, 2, 7, 308, 229);
INSERT INTO public.who_data VALUES (72960, 251, 3034, 2, 52, 308, 141);
INSERT INTO public.who_data VALUES (72961, 0, 4, 0, 0, 308, 197);
INSERT INTO public.who_data VALUES (72962, 3464, 201377, 507, 21925, 308, 221);
INSERT INTO public.who_data VALUES (72963, 10, 254, 0, 7, 308, 150);
INSERT INTO public.who_data VALUES (72964, 0, 66, 0, 10, 308, 56);
INSERT INTO public.who_data VALUES (72965, 0, 10, 0, 1, 308, 167);
INSERT INTO public.who_data VALUES (72966, 688, 13744, 83, 1871, 308, 23);
INSERT INTO public.who_data VALUES (72967, 145, 27976, 34, 1324, 308, 222);
INSERT INTO public.who_data VALUES (72968, 0, 38, 0, 2, 308, 219);
INSERT INTO public.who_data VALUES (72969, 0, 0, 0, 0, 308, 7);
INSERT INTO public.who_data VALUES (72970, 32, 2765, 0, 47, 308, 161);
INSERT INTO public.who_data VALUES (72971, 4956, 116695, 1105, 18047, 308, 149);
INSERT INTO public.who_data VALUES (72972, 1, 19, 0, 0, 308, 6);
INSERT INTO public.who_data VALUES (72973, 0, 83, 0, 5, 308, 139);
INSERT INTO public.who_data VALUES (72974, 0, 0, 0, 0, 308, 211);
INSERT INTO public.who_data VALUES (72975, 0, 0, 0, 0, 308, 14);
INSERT INTO public.who_data VALUES (72976, 0, 114, 0, 8, 308, 111);
INSERT INTO public.who_data VALUES (72977, 2, 866, 0, 37, 308, 207);
INSERT INTO public.who_data VALUES (72978, 3783, 82329, 121, 1890, 308, 66);
INSERT INTO public.who_data VALUES (72979, 0, 0, 0, 0, 308, 173);
INSERT INTO public.who_data VALUES (72980, 0, 11, 0, 1, 308, 145);
INSERT INTO public.who_data VALUES (72981, 0, 0, 0, 0, 308, 65);
INSERT INTO public.who_data VALUES (72982, 0, 55, 0, 0, 308, 184);
INSERT INTO public.who_data VALUES (72983, 343, 5449, 8, 141, 308, 98);
INSERT INTO public.who_data VALUES (72984, 479, 6781, 4, 41, 308, 104);
INSERT INTO public.who_data VALUES (72985, 0, 148, 0, 5, 308, 73);
INSERT INTO public.who_data VALUES (72986, 30023, 695353, 2438, 36736, 308, 8);
INSERT INTO public.who_data VALUES (72987, 2, 53, 1, 3, 308, 227);
INSERT INTO public.who_data VALUES (72988, 6, 508, 0, 9, 308, 75);
INSERT INTO public.who_data VALUES (72989, 45, 1495, 1, 5, 308, 45);
INSERT INTO public.who_data VALUES (72990, 0, 0, 0, 0, 308, 133);
INSERT INTO public.who_data VALUES (72991, 0, 204, 0, 9, 308, 202);
INSERT INTO public.who_data VALUES (72992, 0, 268, 0, 0, 308, 129);
INSERT INTO public.who_data VALUES (72993, 0, 0, 0, 0, 308, 36);
INSERT INTO public.who_data VALUES (72994, 0, 1, 0, 0, 308, 51);
INSERT INTO public.who_data VALUES (72995, 5, 57, 0, 2, 308, 206);
INSERT INTO public.who_data VALUES (72996, 1, 25, 0, 3, 308, 5);
INSERT INTO public.who_data VALUES (72997, 63, 908, 0, 30, 309, 103);
INSERT INTO public.who_data VALUES (72998, 30, 510, 0, 25, 309, 58);
INSERT INTO public.who_data VALUES (72999, 150, 2418, 16, 364, 309, 195);
INSERT INTO public.who_data VALUES (73000, 0, 0, 0, 0, 309, 115);
INSERT INTO public.who_data VALUES (73001, 9, 703, 1, 35, 309, 99);
INSERT INTO public.who_data VALUES (73002, 0, 19, 0, 2, 309, 153);
INSERT INTO public.who_data VALUES (73003, 0, 3, 0, 0, 309, 93);
INSERT INTO public.who_data VALUES (73004, 0, 23, 0, 2, 309, 84);
INSERT INTO public.who_data VALUES (73005, 96, 2694, 7, 122, 309, 78);
INSERT INTO public.who_data VALUES (73006, 42, 1177, 1, 19, 309, 170);
INSERT INTO public.who_data VALUES (73007, 1, 96, 0, 2, 309, 32);
INSERT INTO public.who_data VALUES (73008, 65, 6533, 4, 67, 309, 155);
INSERT INTO public.who_data VALUES (73009, 155, 14603, 21, 431, 309, 82);
INSERT INTO public.who_data VALUES (73010, 57, 1340, 0, 15, 309, 16);
INSERT INTO public.who_data VALUES (73011, 1, 54, 1, 9, 309, 72);
INSERT INTO public.who_data VALUES (73012, 27, 1767, 0, 7, 309, 43);
INSERT INTO public.who_data VALUES (73013, 306, 2144, 9, 84, 309, 120);
INSERT INTO public.who_data VALUES (73014, 0, 75, 0, 5, 309, 213);
INSERT INTO public.who_data VALUES (73015, 575, 4779, 3, 43, 309, 31);
INSERT INTO public.who_data VALUES (73016, 1394, 41326, 205, 5830, 309, 204);
INSERT INTO public.who_data VALUES (73017, 0, 18, 0, 2, 309, 152);
INSERT INTO public.who_data VALUES (73018, 0, 37, 0, 1, 309, 144);
INSERT INTO public.who_data VALUES (73019, 2, 83, 0, 5, 309, 96);
INSERT INTO public.who_data VALUES (73020, 0, 5, 0, 0, 309, 47);
INSERT INTO public.who_data VALUES (73021, 24, 465, 2, 31, 309, 80);
INSERT INTO public.who_data VALUES (73022, 0, 1, 0, 0, 309, 159);
INSERT INTO public.who_data VALUES (73023, 41, 1210, 2, 44, 309, 27);
INSERT INTO public.who_data VALUES (73024, 0, 15, 0, 1, 309, 146);
INSERT INTO public.who_data VALUES (73025, 2105, 30425, 188, 1924, 309, 71);
INSERT INTO public.who_data VALUES (73026, 0, 3, 0, 0, 309, 210);
INSERT INTO public.who_data VALUES (73027, 0, 136, 0, 1, 309, 54);
INSERT INTO public.who_data VALUES (73028, 46, 846, 3, 41, 309, 147);
INSERT INTO public.who_data VALUES (73029, 4, 547, 0, 32, 309, 2);
INSERT INTO public.who_data VALUES (73030, 0, 5, 0, 0, 309, 105);
INSERT INTO public.who_data VALUES (73031, 0, 55, 0, 1, 309, 53);
INSERT INTO public.who_data VALUES (73032, 0, 122, 0, 0, 309, 81);
INSERT INTO public.who_data VALUES (73033, 161, 1016, 4, 21, 309, 223);
INSERT INTO public.who_data VALUES (73034, 1775, 30659, 202, 1250, 309, 94);
INSERT INTO public.who_data VALUES (73035, 1, 61, 0, 1, 309, 154);
INSERT INTO public.who_data VALUES (73036, 0, 12, 0, 0, 309, 83);
INSERT INTO public.who_data VALUES (73037, 6, 33, 0, 0, 309, 194);
INSERT INTO public.who_data VALUES (73038, 445, 9252, 11, 116, 309, 136);
INSERT INTO public.who_data VALUES (73039, 31, 84180, 0, 4642, 309, 179);
INSERT INTO public.who_data VALUES (73040, 128, 3233, 13, 144, 309, 57);
INSERT INTO public.who_data VALUES (73041, 0, 0, 0, 0, 309, 35);
INSERT INTO public.who_data VALUES (73042, 26, 143, 1, 6, 309, 228);
INSERT INTO public.who_data VALUES (73043, 0, 0, 0, 0, 309, 19);
INSERT INTO public.who_data VALUES (73044, 16, 642, 0, 4, 309, 22);
INSERT INTO public.who_data VALUES (73045, 54, 742, 0, 6, 309, 1);
INSERT INTO public.who_data VALUES (73046, 23, 1814, 1, 36, 309, 21);
INSERT INTO public.who_data VALUES (73047, 61, 923, 4, 31, 309, 234);
INSERT INTO public.who_data VALUES (73048, 0, 14, 0, 1, 309, 91);
INSERT INTO public.who_data VALUES (73049, 0, 735, 0, 12, 309, 137);
INSERT INTO public.who_data VALUES (73050, 116, 6549, 4, 173, 309, 201);
INSERT INTO public.who_data VALUES (73051, 0, 0, 0, 0, 309, 171);
INSERT INTO public.who_data VALUES (73052, 0, 287, 0, 23, 309, 92);
INSERT INTO public.who_data VALUES (73053, 194, 7073, 15, 336, 309, 112);
INSERT INTO public.who_data VALUES (73054, 0, 732, 0, 2, 309, 62);
INSERT INTO public.who_data VALUES (73055, 0, 16, 0, 0, 309, 69);
INSERT INTO public.who_data VALUES (73056, 371, 4126, 4, 200, 309, 220);
INSERT INTO public.who_data VALUES (73057, 225, 8450, 18, 421, 309, 100);
INSERT INTO public.who_data VALUES (73058, 171, 2844, 9, 205, 309, 187);
INSERT INTO public.who_data VALUES (73059, 13, 177, 1, 7, 309, 63);
INSERT INTO public.who_data VALUES (73060, 0, 51, 0, 0, 309, 28);
INSERT INTO public.who_data VALUES (73061, 0, 35, 0, 0, 309, 172);
INSERT INTO public.who_data VALUES (73062, 25, 1459, 2, 38, 309, 17);
INSERT INTO public.who_data VALUES (73063, 3, 19, 0, 1, 309, 226);
INSERT INTO public.who_data VALUES (73064, 4, 96, 0, 3, 309, 236);
INSERT INTO public.who_data VALUES (73065, 0, 11, 0, 0, 309, 76);
INSERT INTO public.who_data VALUES (73066, 0, 184, 0, 0, 309, 30);
INSERT INTO public.who_data VALUES (73067, 0, 17, 0, 0, 309, 128);
INSERT INTO public.who_data VALUES (73068, 120, 3489, 7, 82, 309, 86);
INSERT INTO public.who_data VALUES (73069, 385, 108163, 760, 18659, 309, 140);
INSERT INTO public.who_data VALUES (73070, 0, 96, 0, 0, 309, 44);
INSERT INTO public.who_data VALUES (73071, 0, 55, 0, 0, 309, 113);
INSERT INTO public.who_data VALUES (73072, 0, 95, 0, 1, 309, 29);
INSERT INTO public.who_data VALUES (73073, 0, 9, 0, 1, 309, 125);
INSERT INTO public.who_data VALUES (73074, 15, 385, 0, 3, 309, 131);
INSERT INTO public.who_data VALUES (73075, 3609, 137439, 242, 4110, 309, 46);
INSERT INTO public.who_data VALUES (73076, 0, 641, 0, 8, 309, 10);
INSERT INTO public.who_data VALUES (73077, 2, 133, 0, 0, 309, 205);
INSERT INTO public.who_data VALUES (73078, 0, 2207, 0, 105, 309, 50);
INSERT INTO public.who_data VALUES (73079, 0, 11, 0, 0, 309, 20);
INSERT INTO public.who_data VALUES (73080, 0, 13, 0, 0, 309, 13);
INSERT INTO public.who_data VALUES (73081, 0, 145, 0, 8, 309, 148);
INSERT INTO public.who_data VALUES (73082, 0, 133, 0, 5, 309, 230);
INSERT INTO public.who_data VALUES (73083, 18, 214, 2, 7, 309, 190);
INSERT INTO public.who_data VALUES (73084, 6, 234, 1, 9, 309, 188);
INSERT INTO public.who_data VALUES (73085, 0, 438, 0, 1, 309, 123);
INSERT INTO public.who_data VALUES (73086, 4, 50, 0, 0, 309, 9);
INSERT INTO public.who_data VALUES (73087, 2, 57, 0, 6, 309, 102);
INSERT INTO public.who_data VALUES (73088, 2, 43, 0, 3, 309, 34);
INSERT INTO public.who_data VALUES (73089, 0, 8, 0, 0, 309, 212);
INSERT INTO public.who_data VALUES (73090, 16, 442, 6, 41, 309, 122);
INSERT INTO public.who_data VALUES (73091, 71, 1834, 16, 172, 309, 38);
INSERT INTO public.who_data VALUES (73092, 15, 1754, 0, 8, 309, 130);
INSERT INTO public.who_data VALUES (73093, 991, 14378, 43, 480, 309, 37);
INSERT INTO public.who_data VALUES (73094, 325, 6248, 15, 535, 309, 231);
INSERT INTO public.who_data VALUES (73095, 1374, 80868, 73, 5031, 309, 107);
INSERT INTO public.who_data VALUES (73096, 48, 1482, 1, 81, 309, 101);
INSERT INTO public.who_data VALUES (73097, 709, 13980, 44, 530, 309, 132);
INSERT INTO public.who_data VALUES (73098, 31, 289, 0, 4, 309, 176);
INSERT INTO public.who_data VALUES (73099, 296, 12957, 7, 146, 309, 200);
INSERT INTO public.who_data VALUES (73100, 3493, 172434, 575, 22747, 309, 169);
INSERT INTO public.who_data VALUES (73101, 18, 143, 0, 5, 309, 225);
INSERT INTO public.who_data VALUES (73102, 628, 9795, 6, 154, 309, 165);
INSERT INTO public.who_data VALUES (73103, 4, 223, 3, 10, 309, 233);
INSERT INTO public.who_data VALUES (73104, 5, 407, 0, 7, 309, 215);
INSERT INTO public.who_data VALUES (73105, 81, 1627, 2, 19, 309, 177);
INSERT INTO public.who_data VALUES (73106, 12, 246, 0, 11, 309, 183);
INSERT INTO public.who_data VALUES (73107, 0, 0, 0, 0, 309, 203);
INSERT INTO public.who_data VALUES (73108, 31, 480, 0, 13, 309, 162);
INSERT INTO public.who_data VALUES (73109, 93, 1751, 1, 6, 309, 12);
INSERT INTO public.who_data VALUES (73110, 17, 506, 0, 5, 309, 24);
INSERT INTO public.who_data VALUES (73111, 0, 19, 0, 0, 309, 119);
INSERT INTO public.who_data VALUES (73112, 7, 682, 0, 5, 309, 39);
INSERT INTO public.who_data VALUES (73113, 4, 672, 0, 21, 309, 26);
INSERT INTO public.who_data VALUES (73114, 0, 0, 0, 0, 309, 59);
INSERT INTO public.who_data VALUES (73115, 3, 76, 1, 7, 309, 77);
INSERT INTO public.who_data VALUES (73116, 0, 49, 0, 1, 309, 134);
INSERT INTO public.who_data VALUES (73117, 0, 82, 0, 1, 309, 4);
INSERT INTO public.who_data VALUES (73118, 41, 1091, 1, 33, 309, 109);
INSERT INTO public.who_data VALUES (73119, 36, 3480, 3, 72, 309, 90);
INSERT INTO public.who_data VALUES (73120, 0, 117, 0, 0, 309, 61);
INSERT INTO public.who_data VALUES (73121, 1, 17, 0, 2, 309, 85);
INSERT INTO public.who_data VALUES (73122, 69, 5251, 2, 86, 309, 49);
INSERT INTO public.who_data VALUES (73123, 6, 34, 0, 0, 309, 208);
INSERT INTO public.who_data VALUES (73124, 19, 190, 0, 13, 309, 166);
INSERT INTO public.who_data VALUES (73125, 10, 422, 0, 3, 309, 64);
INSERT INTO public.who_data VALUES (73126, 0, 0, 0, 0, 309, 199);
INSERT INTO public.who_data VALUES (73127, 0, 159, 0, 8, 309, 114);
INSERT INTO public.who_data VALUES (73128, 0, 7, 0, 1, 309, 60);
INSERT INTO public.who_data VALUES (73129, 0, 324, 0, 9, 309, 68);
INSERT INTO public.who_data VALUES (73130, 12, 245, 1, 4, 309, 158);
INSERT INTO public.who_data VALUES (73131, 450, 6297, 37, 486, 309, 52);
INSERT INTO public.who_data VALUES (73132, 0, 0, 0, 0, 309, 117);
INSERT INTO public.who_data VALUES (73133, 1, 65, 0, 1, 309, 126);
INSERT INTO public.who_data VALUES (73134, 0, 31, 0, 0, 309, 196);
INSERT INTO public.who_data VALUES (73135, 3, 308, 0, 5, 309, 142);
INSERT INTO public.who_data VALUES (73136, 0, 11, 0, 0, 309, 185);
INSERT INTO public.who_data VALUES (73137, 142, 2670, 4, 137, 309, 138);
INSERT INTO public.who_data VALUES (73138, 2, 31, 0, 0, 309, 181);
INSERT INTO public.who_data VALUES (73139, 9, 94, 1, 5, 309, 178);
INSERT INTO public.who_data VALUES (73140, 0, 16, 0, 0, 309, 168);
INSERT INTO public.who_data VALUES (73141, 0, 0, 0, 0, 309, 160);
INSERT INTO public.who_data VALUES (73142, 14, 30, 0, 0, 309, 151);
INSERT INTO public.who_data VALUES (73143, 1234, 30214, 153, 3419, 309, 193);
INSERT INTO public.who_data VALUES (73144, 0, 18, 0, 0, 309, 18);
INSERT INTO public.who_data VALUES (73145, 8, 1094, 0, 11, 309, 40);
INSERT INTO public.who_data VALUES (73146, 0, 9, 0, 1, 309, 218);
INSERT INTO public.who_data VALUES (73147, 18, 627, 3, 18, 309, 191);
INSERT INTO public.who_data VALUES (73148, 0, 373, 0, 11, 309, 156);
INSERT INTO public.who_data VALUES (73149, 0, 0, 0, 0, 309, 135);
INSERT INTO public.who_data VALUES (73150, 1, 14, 0, 2, 309, 88);
INSERT INTO public.who_data VALUES (73151, 36, 1117, 3, 49, 309, 55);
INSERT INTO public.who_data VALUES (73152, 0, 6791, 0, 136, 309, 108);
INSERT INTO public.who_data VALUES (73153, 6, 313, 0, 2, 309, 48);
INSERT INTO public.who_data VALUES (73154, 111, 1180, 1, 6, 309, 3);
INSERT INTO public.who_data VALUES (73155, 0, 712, 0, 13, 309, 224);
INSERT INTO public.who_data VALUES (73156, 613, 7638, 8, 143, 309, 110);
INSERT INTO public.who_data VALUES (73157, 0, 0, 0, 0, 309, 106);
INSERT INTO public.who_data VALUES (73158, 265, 4016, 6, 109, 309, 89);
INSERT INTO public.who_data VALUES (73159, 0, 7, 0, 0, 309, 121);
INSERT INTO public.who_data VALUES (73160, 25, 199, 0, 8, 309, 163);
INSERT INTO public.who_data VALUES (73161, 2014, 13489, 46, 300, 309, 70);
INSERT INTO public.who_data VALUES (73162, 218, 5878, 25, 387, 309, 174);
INSERT INTO public.who_data VALUES (73163, 0, 0, 0, 0, 309, 175);
INSERT INTO public.who_data VALUES (73164, 461, 8379, 18, 332, 309, 118);
INSERT INTO public.who_data VALUES (73165, 181, 19022, 28, 657, 309, 189);
INSERT INTO public.who_data VALUES (73166, 25, 1068, 0, 48, 309, 124);
INSERT INTO public.who_data VALUES (73167, 345, 5008, 1, 8, 309, 192);
INSERT INTO public.who_data VALUES (73168, 18, 10653, 2, 232, 309, 41);
INSERT INTO public.who_data VALUES (73169, 110, 2264, 2, 56, 309, 95);
INSERT INTO public.who_data VALUES (73170, 8, 402, 0, 0, 309, 74);
INSERT INTO public.who_data VALUES (73171, 360, 8067, 13, 400, 309, 11);
INSERT INTO public.who_data VALUES (73172, 4785, 36793, 40, 313, 309, 87);
INSERT INTO public.who_data VALUES (73173, 0, 138, 0, 0, 309, 214);
INSERT INTO public.who_data VALUES (73174, 0, 2, 0, 0, 309, 116);
INSERT INTO public.who_data VALUES (73175, 0, 6, 0, 0, 309, 157);
INSERT INTO public.who_data VALUES (73176, 0, 0, 0, 0, 309, 182);
INSERT INTO public.who_data VALUES (73177, 0, 14, 0, 0, 309, 186);
INSERT INTO public.who_data VALUES (73178, 0, 15, 0, 0, 309, 127);
INSERT INTO public.who_data VALUES (73179, 0, 35, 0, 2, 309, 232);
INSERT INTO public.who_data VALUES (73180, 0, 1, 0, 0, 309, 33);
INSERT INTO public.who_data VALUES (73181, 0, 12, 0, 0, 309, 97);
INSERT INTO public.who_data VALUES (73182, 0, 0, 0, 0, 309, 42);
INSERT INTO public.who_data VALUES (73183, 0, 426, 0, 38, 309, 198);
INSERT INTO public.who_data VALUES (73184, 0, 4, 0, 0, 309, 216);
INSERT INTO public.who_data VALUES (73185, 1132, 8274, 5, 92, 309, 164);
INSERT INTO public.who_data VALUES (73186, 7, 342, 1, 3, 309, 235);
INSERT INTO public.who_data VALUES (73187, 372, 5690, 7, 110, 309, 67);
INSERT INTO public.who_data VALUES (73188, 0, 11, 0, 0, 309, 15);
INSERT INTO public.who_data VALUES (73189, 11, 26, 0, 0, 309, 180);
INSERT INTO public.who_data VALUES (73190, 623, 5050, 1, 11, 309, 237);
INSERT INTO public.who_data VALUES (73191, 0, 2, 0, 0, 309, 25);
INSERT INTO public.who_data VALUES (73192, 0, 57, 0, 9, 309, 209);
INSERT INTO public.who_data VALUES (73193, 114, 977, 2, 8, 309, 217);
INSERT INTO public.who_data VALUES (73194, 36, 1305, 6, 71, 309, 79);
INSERT INTO public.who_data VALUES (73195, 0, 0, 0, 0, 309, 143);
INSERT INTO public.who_data VALUES (73196, 36, 116, 0, 5, 309, 229);
INSERT INTO public.who_data VALUES (73197, 178, 2783, 2, 50, 309, 141);
INSERT INTO public.who_data VALUES (73198, 0, 4, 0, 0, 309, 197);
INSERT INTO public.who_data VALUES (73199, 3417, 197913, 487, 21418, 309, 221);
INSERT INTO public.who_data VALUES (73200, 6, 244, 0, 7, 309, 150);
INSERT INTO public.who_data VALUES (73201, 34, 66, 5, 10, 309, 56);
INSERT INTO public.who_data VALUES (73202, 0, 10, 0, 1, 309, 167);
INSERT INTO public.who_data VALUES (73203, 623, 13056, 111, 1788, 309, 23);
INSERT INTO public.who_data VALUES (73204, 291, 27831, 36, 1290, 309, 222);
INSERT INTO public.who_data VALUES (73205, 5, 38, 0, 2, 309, 219);
INSERT INTO public.who_data VALUES (73206, 0, 0, 0, 0, 309, 7);
INSERT INTO public.who_data VALUES (73207, 33, 2733, 0, 47, 309, 161);
INSERT INTO public.who_data VALUES (73208, 5292, 111739, 913, 16942, 309, 149);
INSERT INTO public.who_data VALUES (73209, 0, 18, 0, 0, 309, 6);
INSERT INTO public.who_data VALUES (73210, 2, 83, 0, 5, 309, 139);
INSERT INTO public.who_data VALUES (73211, 0, 0, 0, 0, 309, 211);
INSERT INTO public.who_data VALUES (73212, 0, 0, 0, 0, 309, 14);
INSERT INTO public.who_data VALUES (73213, 0, 114, 0, 8, 309, 111);
INSERT INTO public.who_data VALUES (73214, 42, 864, 0, 37, 309, 207);
INSERT INTO public.who_data VALUES (73215, 4353, 78546, 126, 1769, 309, 66);
INSERT INTO public.who_data VALUES (73216, 0, 0, 0, 0, 309, 173);
INSERT INTO public.who_data VALUES (73217, 0, 11, 0, 1, 309, 145);
INSERT INTO public.who_data VALUES (73218, 0, 0, 0, 0, 309, 65);
INSERT INTO public.who_data VALUES (73219, 0, 55, 0, 0, 309, 184);
INSERT INTO public.who_data VALUES (73220, 444, 5106, 8, 133, 309, 98);
INSERT INTO public.who_data VALUES (73221, 477, 6302, 2, 37, 309, 104);
INSERT INTO public.who_data VALUES (73222, 54, 148, 1, 5, 309, 73);
INSERT INTO public.who_data VALUES (73223, 32549, 665330, 2018, 34298, 309, 8);
INSERT INTO public.who_data VALUES (73224, 0, 51, 1, 2, 309, 227);
INSERT INTO public.who_data VALUES (73225, 9, 502, 0, 9, 309, 75);
INSERT INTO public.who_data VALUES (73226, 70, 1450, 0, 4, 309, 45);
INSERT INTO public.who_data VALUES (73227, 0, 0, 0, 0, 309, 133);
INSERT INTO public.who_data VALUES (73228, 7, 204, 0, 9, 309, 202);
INSERT INTO public.who_data VALUES (73229, 0, 268, 0, 0, 309, 129);
INSERT INTO public.who_data VALUES (73230, 0, 0, 0, 0, 309, 36);
INSERT INTO public.who_data VALUES (73231, 0, 1, 0, 0, 309, 51);
INSERT INTO public.who_data VALUES (73232, 4, 52, 0, 2, 309, 206);
INSERT INTO public.who_data VALUES (73233, 1, 24, 0, 3, 309, 5);
INSERT INTO public.who_data VALUES (73234, 51, 845, 1, 30, 310, 103);
INSERT INTO public.who_data VALUES (73235, 24, 480, 1, 25, 310, 58);
INSERT INTO public.who_data VALUES (73236, 108, 2268, 12, 348, 310, 195);
INSERT INTO public.who_data VALUES (73237, 0, 0, 0, 0, 310, 115);
INSERT INTO public.who_data VALUES (73238, 21, 694, 1, 34, 310, 99);
INSERT INTO public.who_data VALUES (73239, 0, 19, 0, 2, 310, 153);
INSERT INTO public.who_data VALUES (73240, 0, 3, 0, 0, 310, 93);
INSERT INTO public.who_data VALUES (73241, 0, 23, 0, 2, 310, 84);
INSERT INTO public.who_data VALUES (73242, 121, 2598, 7, 115, 310, 78);
INSERT INTO public.who_data VALUES (73243, 48, 1135, 1, 18, 310, 170);
INSERT INTO public.who_data VALUES (73244, 2, 95, 1, 2, 310, 32);
INSERT INTO public.who_data VALUES (73245, 10, 6468, 0, 63, 310, 155);
INSERT INTO public.who_data VALUES (73246, 78, 14448, 17, 410, 310, 82);
INSERT INTO public.who_data VALUES (73247, 30, 1283, 2, 15, 310, 16);
INSERT INTO public.who_data VALUES (73248, 4, 53, 0, 8, 310, 72);
INSERT INTO public.who_data VALUES (73249, 42, 1740, 0, 7, 310, 43);
INSERT INTO public.who_data VALUES (73250, 266, 1838, 15, 75, 310, 120);
INSERT INTO public.who_data VALUES (73251, 2, 75, 0, 5, 310, 213);
INSERT INTO public.who_data VALUES (73252, 476, 4204, 4, 40, 310, 31);
INSERT INTO public.who_data VALUES (73253, 1674, 39932, 246, 5625, 310, 204);
INSERT INTO public.who_data VALUES (73254, 0, 18, 0, 2, 310, 152);
INSERT INTO public.who_data VALUES (73255, 2, 37, 0, 1, 310, 144);
INSERT INTO public.who_data VALUES (73256, 24, 81, 0, 5, 310, 96);
INSERT INTO public.who_data VALUES (73257, 0, 5, 0, 0, 310, 47);
INSERT INTO public.who_data VALUES (73258, 44, 441, 1, 29, 310, 80);
INSERT INTO public.who_data VALUES (73259, 0, 1, 0, 0, 310, 159);
INSERT INTO public.who_data VALUES (73260, 53, 1169, 1, 42, 310, 27);
INSERT INTO public.who_data VALUES (73261, 2, 15, 0, 1, 310, 146);
INSERT INTO public.who_data VALUES (73262, 3058, 28320, 204, 1736, 310, 71);
INSERT INTO public.who_data VALUES (73263, 0, 3, 0, 0, 310, 210);
INSERT INTO public.who_data VALUES (73264, 0, 136, 0, 1, 310, 54);
INSERT INTO public.who_data VALUES (73265, 53, 800, 2, 38, 310, 147);
INSERT INTO public.who_data VALUES (73266, 15, 543, 4, 32, 310, 2);
INSERT INTO public.who_data VALUES (73267, 0, 5, 0, 0, 310, 105);
INSERT INTO public.who_data VALUES (73268, 45, 55, 0, 1, 310, 53);
INSERT INTO public.who_data VALUES (73269, 0, 122, 0, 0, 310, 81);
INSERT INTO public.who_data VALUES (73270, 0, 855, 0, 17, 310, 223);
INSERT INTO public.who_data VALUES (73271, 1344, 28884, 94, 1048, 310, 94);
INSERT INTO public.who_data VALUES (73272, 6, 60, 0, 1, 310, 154);
INSERT INTO public.who_data VALUES (73273, 1, 12, 0, 0, 310, 83);
INSERT INTO public.who_data VALUES (73274, 0, 27, 0, 0, 310, 194);
INSERT INTO public.who_data VALUES (73275, 534, 8807, 11, 105, 310, 136);
INSERT INTO public.who_data VALUES (73276, 352, 84149, 1290, 4642, 310, 179);
INSERT INTO public.who_data VALUES (73277, 126, 3105, 4, 131, 310, 57);
INSERT INTO public.who_data VALUES (73278, 0, 0, 0, 0, 310, 35);
INSERT INTO public.who_data VALUES (73279, 0, 117, 0, 5, 310, 228);
INSERT INTO public.who_data VALUES (73280, 0, 0, 0, 0, 310, 19);
INSERT INTO public.who_data VALUES (73281, 8, 626, 1, 4, 310, 22);
INSERT INTO public.who_data VALUES (73282, 34, 688, 0, 6, 310, 1);
INSERT INTO public.who_data VALUES (73283, 50, 1791, 1, 35, 310, 21);
INSERT INTO public.who_data VALUES (73284, 48, 862, 3, 27, 310, 234);
INSERT INTO public.who_data VALUES (73285, 0, 14, 0, 1, 310, 91);
INSERT INTO public.who_data VALUES (73286, 20, 735, 0, 12, 310, 137);
INSERT INTO public.who_data VALUES (73287, 130, 6433, 3, 169, 310, 201);
INSERT INTO public.who_data VALUES (73288, 0, 0, 0, 0, 310, 171);
INSERT INTO public.who_data VALUES (73289, 20, 287, 1, 23, 310, 92);
INSERT INTO public.who_data VALUES (73290, 198, 6879, 12, 321, 310, 112);
INSERT INTO public.who_data VALUES (73291, 141, 732, 0, 2, 310, 62);
INSERT INTO public.who_data VALUES (73292, 0, 16, 0, 0, 310, 69);
INSERT INTO public.who_data VALUES (73293, 141, 3755, 7, 196, 310, 220);
INSERT INTO public.who_data VALUES (73294, 367, 8225, 15, 403, 310, 100);
INSERT INTO public.who_data VALUES (73295, 168, 2673, 13, 196, 310, 187);
INSERT INTO public.who_data VALUES (73296, 5, 164, 0, 6, 310, 63);
INSERT INTO public.who_data VALUES (73297, 0, 51, 0, 0, 310, 28);
INSERT INTO public.who_data VALUES (73298, 0, 35, 0, 0, 310, 172);
INSERT INTO public.who_data VALUES (73299, 32, 1434, 1, 36, 310, 17);
INSERT INTO public.who_data VALUES (73300, 0, 16, 1, 1, 310, 226);
INSERT INTO public.who_data VALUES (73301, 7, 92, 0, 3, 310, 236);
INSERT INTO public.who_data VALUES (73302, 0, 11, 0, 0, 310, 76);
INSERT INTO public.who_data VALUES (73303, 0, 184, 0, 0, 310, 30);
INSERT INTO public.who_data VALUES (73304, 1, 17, 0, 0, 310, 128);
INSERT INTO public.who_data VALUES (73305, 132, 3369, 3, 75, 310, 86);
INSERT INTO public.who_data VALUES (73306, 2623, 107778, 753, 17899, 310, 140);
INSERT INTO public.who_data VALUES (73307, 1, 96, 0, 0, 310, 44);
INSERT INTO public.who_data VALUES (73308, 0, 55, 0, 0, 310, 113);
INSERT INTO public.who_data VALUES (73309, 8, 95, 0, 1, 310, 29);
INSERT INTO public.who_data VALUES (73310, 0, 9, 0, 1, 310, 125);
INSERT INTO public.who_data VALUES (73311, 34, 370, 0, 3, 310, 131);
INSERT INTO public.who_data VALUES (73312, 3380, 133830, 299, 3868, 310, 46);
INSERT INTO public.who_data VALUES (73313, 5, 641, 0, 8, 310, 10);
INSERT INTO public.who_data VALUES (73314, 2, 131, 0, 0, 310, 205);
INSERT INTO public.who_data VALUES (73315, 15, 2207, 3, 105, 310, 50);
INSERT INTO public.who_data VALUES (73316, 0, 11, 0, 0, 310, 20);
INSERT INTO public.who_data VALUES (73317, 0, 13, 0, 0, 310, 13);
INSERT INTO public.who_data VALUES (73318, 0, 145, 0, 8, 310, 148);
INSERT INTO public.who_data VALUES (73319, 0, 133, 0, 5, 310, 230);
INSERT INTO public.who_data VALUES (73320, 16, 196, 0, 5, 310, 190);
INSERT INTO public.who_data VALUES (73321, 5, 228, 1, 8, 310, 188);
INSERT INTO public.who_data VALUES (73322, 34, 438, 0, 1, 310, 123);
INSERT INTO public.who_data VALUES (73323, 3, 46, 0, 0, 310, 9);
INSERT INTO public.who_data VALUES (73324, 7, 55, 0, 6, 310, 102);
INSERT INTO public.who_data VALUES (73325, 0, 41, 0, 3, 310, 34);
INSERT INTO public.who_data VALUES (73326, 0, 8, 0, 0, 310, 212);
INSERT INTO public.who_data VALUES (73327, 7, 426, 4, 35, 310, 122);
INSERT INTO public.who_data VALUES (73328, 111, 1763, 14, 156, 310, 38);
INSERT INTO public.who_data VALUES (73329, 12, 1739, 0, 8, 310, 130);
INSERT INTO public.who_data VALUES (73330, 1007, 13387, 23, 437, 310, 37);
INSERT INTO public.who_data VALUES (73331, 407, 5923, 24, 520, 310, 231);
INSERT INTO public.who_data VALUES (73332, 1499, 79494, 89, 4958, 310, 107);
INSERT INTO public.who_data VALUES (73333, 0, 1434, 0, 80, 310, 101);
INSERT INTO public.who_data VALUES (73334, 724, 13271, 42, 486, 310, 132);
INSERT INTO public.who_data VALUES (73335, 4, 258, 2, 4, 310, 176);
INSERT INTO public.who_data VALUES (73336, 311, 12661, 13, 139, 310, 200);
INSERT INTO public.who_data VALUES (73337, 3786, 168941, 525, 22172, 310, 169);
INSERT INTO public.who_data VALUES (73338, 20, 125, 0, 5, 310, 225);
INSERT INTO public.who_data VALUES (73339, 585, 9167, 12, 148, 310, 165);
INSERT INTO public.who_data VALUES (73340, 2, 219, 1, 7, 310, 233);
INSERT INTO public.who_data VALUES (73341, 1, 402, 0, 7, 310, 215);
INSERT INTO public.who_data VALUES (73342, 66, 1546, 1, 17, 310, 177);
INSERT INTO public.who_data VALUES (73343, 9, 234, 1, 11, 310, 183);
INSERT INTO public.who_data VALUES (73344, 0, 0, 0, 0, 310, 203);
INSERT INTO public.who_data VALUES (73345, 52, 449, 1, 13, 310, 162);
INSERT INTO public.who_data VALUES (73346, 134, 1658, 2, 5, 310, 12);
INSERT INTO public.who_data VALUES (73347, 23, 489, 0, 5, 310, 24);
INSERT INTO public.who_data VALUES (73348, 0, 19, 0, 0, 310, 119);
INSERT INTO public.who_data VALUES (73349, 9, 675, 0, 5, 310, 39);
INSERT INTO public.who_data VALUES (73350, 5, 668, 0, 21, 310, 26);
INSERT INTO public.who_data VALUES (73351, 0, 0, 0, 0, 310, 59);
INSERT INTO public.who_data VALUES (73352, 14, 73, 0, 6, 310, 77);
INSERT INTO public.who_data VALUES (73353, 1, 49, 0, 1, 310, 134);
INSERT INTO public.who_data VALUES (73354, 1, 82, 0, 1, 310, 4);
INSERT INTO public.who_data VALUES (73355, 28, 1050, 2, 32, 310, 109);
INSERT INTO public.who_data VALUES (73356, 71, 3444, 0, 69, 310, 90);
INSERT INTO public.who_data VALUES (73357, 7, 117, 0, 0, 310, 61);
INSERT INTO public.who_data VALUES (73358, 0, 16, 0, 2, 310, 85);
INSERT INTO public.who_data VALUES (73359, 110, 5182, 1, 84, 310, 49);
INSERT INTO public.who_data VALUES (73360, 5, 28, 0, 0, 310, 208);
INSERT INTO public.who_data VALUES (73361, 27, 171, 0, 13, 310, 166);
INSERT INTO public.who_data VALUES (73362, 13, 412, 0, 3, 310, 64);
INSERT INTO public.who_data VALUES (73363, 0, 0, 0, 0, 310, 199);
INSERT INTO public.who_data VALUES (73364, 1, 159, 0, 8, 310, 114);
INSERT INTO public.who_data VALUES (73365, 0, 7, 0, 1, 310, 60);
INSERT INTO public.who_data VALUES (73366, 0, 324, 0, 9, 310, 68);
INSERT INTO public.who_data VALUES (73367, 12, 233, 0, 3, 310, 158);
INSERT INTO public.who_data VALUES (73368, 448, 5847, 43, 449, 310, 52);
INSERT INTO public.who_data VALUES (73369, 0, 0, 0, 0, 310, 117);
INSERT INTO public.who_data VALUES (73370, 0, 64, 0, 1, 310, 126);
INSERT INTO public.who_data VALUES (73371, 0, 31, 0, 0, 310, 196);
INSERT INTO public.who_data VALUES (73372, 2, 305, 1, 5, 310, 142);
INSERT INTO public.who_data VALUES (73373, 0, 11, 0, 0, 310, 185);
INSERT INTO public.who_data VALUES (73374, 277, 2528, 5, 133, 310, 138);
INSERT INTO public.who_data VALUES (73375, 1, 29, 0, 0, 310, 181);
INSERT INTO public.who_data VALUES (73376, 0, 85, 0, 4, 310, 178);
INSERT INTO public.who_data VALUES (73377, 0, 16, 0, 0, 310, 168);
INSERT INTO public.who_data VALUES (73378, 0, 0, 0, 0, 310, 160);
INSERT INTO public.who_data VALUES (73379, 0, 16, 0, 0, 310, 151);
INSERT INTO public.who_data VALUES (73380, 1071, 28980, 177, 3266, 310, 193);
INSERT INTO public.who_data VALUES (73381, 0, 18, 0, 0, 310, 18);
INSERT INTO public.who_data VALUES (73382, 2, 1086, 2, 11, 310, 40);
INSERT INTO public.who_data VALUES (73383, 0, 9, 0, 1, 310, 218);
INSERT INTO public.who_data VALUES (73384, 25, 609, 1, 15, 310, 191);
INSERT INTO public.who_data VALUES (73385, 0, 373, 0, 11, 310, 156);
INSERT INTO public.who_data VALUES (73386, 0, 0, 0, 0, 310, 135);
INSERT INTO public.who_data VALUES (73387, 0, 13, 0, 2, 310, 88);
INSERT INTO public.who_data VALUES (73388, 107, 1081, 1, 46, 310, 55);
INSERT INTO public.who_data VALUES (73389, 114, 6791, 6, 136, 310, 108);
INSERT INTO public.who_data VALUES (73390, 13, 307, 0, 2, 310, 48);
INSERT INTO public.who_data VALUES (73391, 50, 1069, 1, 5, 310, 3);
INSERT INTO public.who_data VALUES (73392, 0, 712, 1, 13, 310, 224);
INSERT INTO public.who_data VALUES (73393, 106, 7025, 7, 135, 310, 110);
INSERT INTO public.who_data VALUES (73394, 0, 0, 0, 0, 310, 106);
INSERT INTO public.who_data VALUES (73395, 177, 3751, 8, 103, 310, 89);
INSERT INTO public.who_data VALUES (73396, 5, 7, 0, 0, 310, 121);
INSERT INTO public.who_data VALUES (73397, 13, 174, 0, 8, 310, 163);
INSERT INTO public.who_data VALUES (73398, 1172, 11475, 24, 254, 310, 70);
INSERT INTO public.who_data VALUES (73399, 0, 5660, 0, 362, 310, 174);
INSERT INTO public.who_data VALUES (73400, 0, 0, 0, 0, 310, 175);
INSERT INTO public.who_data VALUES (73401, 336, 7918, 28, 314, 310, 118);
INSERT INTO public.who_data VALUES (73402, 750, 18841, 30, 629, 310, 189);
INSERT INTO public.who_data VALUES (73403, 69, 1043, 0, 48, 310, 124);
INSERT INTO public.who_data VALUES (73404, 560, 4663, 0, 7, 310, 192);
INSERT INTO public.who_data VALUES (73405, 22, 10635, 1, 230, 310, 41);
INSERT INTO public.who_data VALUES (73406, 105, 2154, 8, 54, 310, 95);
INSERT INTO public.who_data VALUES (73407, 4, 394, 0, 0, 310, 74);
INSERT INTO public.who_data VALUES (73408, 491, 7707, 15, 387, 310, 11);
INSERT INTO public.who_data VALUES (73409, 4070, 32008, 41, 273, 310, 87);
INSERT INTO public.who_data VALUES (73410, 2, 138, 0, 0, 310, 214);
INSERT INTO public.who_data VALUES (73411, 0, 2, 0, 0, 310, 116);
INSERT INTO public.who_data VALUES (73412, 0, 6, 0, 0, 310, 157);
INSERT INTO public.who_data VALUES (73413, 0, 0, 0, 0, 310, 182);
INSERT INTO public.who_data VALUES (73414, 0, 14, 0, 0, 310, 186);
INSERT INTO public.who_data VALUES (73415, 0, 15, 0, 0, 310, 127);
INSERT INTO public.who_data VALUES (73416, 0, 35, 0, 2, 310, 232);
INSERT INTO public.who_data VALUES (73417, 0, 1, 0, 0, 310, 33);
INSERT INTO public.who_data VALUES (73418, 0, 12, 0, 0, 310, 97);
INSERT INTO public.who_data VALUES (73419, 0, 0, 0, 0, 310, 42);
INSERT INTO public.who_data VALUES (73420, 33, 426, 2, 38, 310, 198);
INSERT INTO public.who_data VALUES (73421, 0, 4, 0, 0, 310, 216);
INSERT INTO public.who_data VALUES (73422, 762, 7142, 4, 87, 310, 164);
INSERT INTO public.who_data VALUES (73423, 21, 335, 0, 2, 310, 235);
INSERT INTO public.who_data VALUES (73424, 445, 5318, 4, 103, 310, 67);
INSERT INTO public.who_data VALUES (73425, 0, 11, 0, 0, 310, 15);
INSERT INTO public.who_data VALUES (73426, 2, 15, 0, 0, 310, 180);
INSERT INTO public.who_data VALUES (73427, 728, 4427, 0, 10, 310, 237);
INSERT INTO public.who_data VALUES (73428, 0, 2, 0, 0, 310, 25);
INSERT INTO public.who_data VALUES (73429, 4, 57, 0, 9, 310, 209);
INSERT INTO public.who_data VALUES (73430, 28, 863, 4, 6, 310, 217);
INSERT INTO public.who_data VALUES (73431, 21, 1269, 0, 65, 310, 79);
INSERT INTO public.who_data VALUES (73432, 0, 0, 0, 0, 310, 143);
INSERT INTO public.who_data VALUES (73433, 0, 80, 0, 5, 310, 229);
INSERT INTO public.who_data VALUES (73434, 99, 2605, 14, 48, 310, 141);
INSERT INTO public.who_data VALUES (73435, 0, 4, 0, 0, 310, 197);
INSERT INTO public.who_data VALUES (73436, 3703, 194496, 552, 20931, 310, 221);
INSERT INTO public.who_data VALUES (73437, 0, 238, 0, 7, 310, 150);
INSERT INTO public.who_data VALUES (73438, 0, 32, 0, 5, 310, 56);
INSERT INTO public.who_data VALUES (73439, 0, 10, 0, 1, 310, 167);
INSERT INTO public.who_data VALUES (73440, 604, 12433, 115, 1677, 310, 23);
INSERT INTO public.who_data VALUES (73441, 320, 27540, 38, 1254, 310, 222);
INSERT INTO public.who_data VALUES (73442, 0, 33, 0, 2, 310, 219);
INSERT INTO public.who_data VALUES (73443, 0, 0, 0, 0, 310, 7);
INSERT INTO public.who_data VALUES (73444, 28, 2700, 1, 47, 310, 161);
INSERT INTO public.who_data VALUES (73445, 5065, 106447, 1036, 16029, 310, 149);
INSERT INTO public.who_data VALUES (73446, 0, 18, 0, 0, 310, 6);
INSERT INTO public.who_data VALUES (73447, 4, 81, 2, 5, 310, 139);
INSERT INTO public.who_data VALUES (73448, 0, 0, 0, 0, 310, 211);
INSERT INTO public.who_data VALUES (73449, 0, 0, 0, 0, 310, 14);
INSERT INTO public.who_data VALUES (73450, 0, 114, 0, 8, 310, 111);
INSERT INTO public.who_data VALUES (73451, 42, 822, 2, 37, 310, 207);
INSERT INTO public.who_data VALUES (73452, 4801, 74193, 125, 1643, 310, 66);
INSERT INTO public.who_data VALUES (73453, 0, 0, 0, 0, 310, 173);
INSERT INTO public.who_data VALUES (73454, 1, 11, 0, 1, 310, 145);
INSERT INTO public.who_data VALUES (73455, 0, 0, 0, 0, 310, 65);
INSERT INTO public.who_data VALUES (73456, 0, 55, 0, 0, 310, 184);
INSERT INTO public.who_data VALUES (73457, 500, 4662, 10, 125, 310, 98);
INSERT INTO public.who_data VALUES (73458, 460, 5825, 2, 35, 310, 104);
INSERT INTO public.who_data VALUES (73459, 6, 94, 0, 4, 310, 73);
INSERT INTO public.who_data VALUES (73460, 28711, 632781, 6409, 32280, 310, 8);
INSERT INTO public.who_data VALUES (73461, 0, 51, 0, 1, 310, 227);
INSERT INTO public.who_data VALUES (73462, 1, 493, 1, 9, 310, 75);
INSERT INTO public.who_data VALUES (73463, 31, 1380, 0, 4, 310, 45);
INSERT INTO public.who_data VALUES (73464, 0, 0, 0, 0, 310, 133);
INSERT INTO public.who_data VALUES (73465, 4, 197, 0, 9, 310, 202);
INSERT INTO public.who_data VALUES (73466, 1, 268, 0, 0, 310, 129);
INSERT INTO public.who_data VALUES (73467, 0, 0, 0, 0, 310, 36);
INSERT INTO public.who_data VALUES (73468, 0, 1, 0, 0, 310, 51);
INSERT INTO public.who_data VALUES (73469, 0, 48, 0, 2, 310, 206);
INSERT INTO public.who_data VALUES (73470, 0, 23, 0, 3, 310, 5);
INSERT INTO public.who_data VALUES (73471, 10, 794, 4, 29, 311, 103);
INSERT INTO public.who_data VALUES (73472, 19, 456, 1, 24, 311, 58);
INSERT INTO public.who_data VALUES (73473, 90, 2160, 10, 336, 311, 195);
INSERT INTO public.who_data VALUES (73474, 0, 0, 0, 0, 311, 115);
INSERT INTO public.who_data VALUES (73475, 14, 673, 2, 33, 311, 99);
INSERT INTO public.who_data VALUES (73476, 0, 19, 0, 2, 311, 153);
INSERT INTO public.who_data VALUES (73477, 0, 3, 0, 0, 311, 93);
INSERT INTO public.who_data VALUES (73478, 0, 23, 0, 2, 311, 84);
INSERT INTO public.who_data VALUES (73479, 141, 2477, 7, 108, 311, 78);
INSERT INTO public.who_data VALUES (73480, 44, 1087, 1, 17, 311, 170);
INSERT INTO public.who_data VALUES (73481, 1, 93, 1, 1, 311, 32);
INSERT INTO public.who_data VALUES (73482, 42, 6458, 2, 63, 311, 155);
INSERT INTO public.who_data VALUES (73483, 136, 14370, 9, 393, 311, 82);
INSERT INTO public.who_data VALUES (73484, 56, 1253, 0, 13, 311, 16);
INSERT INTO public.who_data VALUES (73485, 0, 49, 0, 8, 311, 72);
INSERT INTO public.who_data VALUES (73486, 27, 1698, 0, 7, 311, 43);
INSERT INTO public.who_data VALUES (73487, 341, 1572, 10, 60, 311, 120);
INSERT INTO public.who_data VALUES (73488, 1, 73, 1, 5, 311, 213);
INSERT INTO public.who_data VALUES (73489, 447, 3728, 3, 36, 311, 31);
INSERT INTO public.who_data VALUES (73490, 1633, 38258, 280, 5379, 311, 204);
INSERT INTO public.who_data VALUES (73491, 0, 18, 0, 2, 311, 152);
INSERT INTO public.who_data VALUES (73492, 0, 35, 0, 1, 311, 144);
INSERT INTO public.who_data VALUES (73493, 0, 57, 0, 5, 311, 96);
INSERT INTO public.who_data VALUES (73494, 0, 5, 0, 0, 311, 47);
INSERT INTO public.who_data VALUES (73495, 43, 397, 0, 28, 311, 80);
INSERT INTO public.who_data VALUES (73496, 1, 1, 0, 0, 311, 159);
INSERT INTO public.who_data VALUES (73497, 30, 1116, 1, 41, 311, 27);
INSERT INTO public.who_data VALUES (73498, 0, 13, 0, 1, 311, 146);
INSERT INTO public.who_data VALUES (73499, 1832, 25262, 204, 1532, 311, 71);
INSERT INTO public.who_data VALUES (73500, 0, 3, 0, 0, 311, 210);
INSERT INTO public.who_data VALUES (73501, 0, 136, 0, 1, 311, 54);
INSERT INTO public.who_data VALUES (73502, 34, 747, 1, 36, 311, 147);
INSERT INTO public.who_data VALUES (73503, 13, 528, 0, 28, 311, 2);
INSERT INTO public.who_data VALUES (73504, 0, 5, 0, 0, 311, 105);
INSERT INTO public.who_data VALUES (73505, 0, 10, 0, 1, 311, 53);
INSERT INTO public.who_data VALUES (73506, 0, 122, 0, 0, 311, 81);
INSERT INTO public.who_data VALUES (73507, 0, 855, 2, 17, 311, 223);
INSERT INTO public.who_data VALUES (73508, 1394, 27540, 131, 954, 311, 94);
INSERT INTO public.who_data VALUES (73509, 0, 54, 0, 1, 311, 154);
INSERT INTO public.who_data VALUES (73510, 0, 11, 0, 0, 311, 83);
INSERT INTO public.who_data VALUES (73511, 4, 27, 0, 0, 311, 194);
INSERT INTO public.who_data VALUES (73512, 356, 8273, 2, 94, 311, 136);
INSERT INTO public.who_data VALUES (73513, 50, 83797, 0, 3352, 311, 179);
INSERT INTO public.who_data VALUES (73514, 127, 2979, 15, 127, 311, 57);
INSERT INTO public.who_data VALUES (73515, 0, 0, 0, 0, 311, 35);
INSERT INTO public.who_data VALUES (73516, 43, 117, 0, 5, 311, 228);
INSERT INTO public.who_data VALUES (73517, 0, 0, 0, 0, 311, 19);
INSERT INTO public.who_data VALUES (73518, 6, 618, 0, 3, 311, 22);
INSERT INTO public.who_data VALUES (73519, 16, 654, 0, 6, 311, 1);
INSERT INTO public.who_data VALUES (73520, 37, 1741, 3, 34, 311, 21);
INSERT INTO public.who_data VALUES (73521, 48, 814, 3, 24, 311, 234);
INSERT INTO public.who_data VALUES (73522, 0, 14, 0, 1, 311, 91);
INSERT INTO public.who_data VALUES (73523, 20, 715, 0, 12, 311, 137);
INSERT INTO public.who_data VALUES (73524, 162, 6303, 5, 166, 311, 201);
INSERT INTO public.who_data VALUES (73525, 0, 0, 0, 0, 311, 171);
INSERT INTO public.who_data VALUES (73526, 13, 267, 1, 22, 311, 92);
INSERT INTO public.who_data VALUES (73527, 170, 6681, 10, 309, 311, 112);
INSERT INTO public.who_data VALUES (73528, 156, 591, 0, 2, 311, 62);
INSERT INTO public.who_data VALUES (73529, 0, 16, 0, 0, 311, 69);
INSERT INTO public.who_data VALUES (73530, 328, 3614, 6, 189, 311, 220);
INSERT INTO public.who_data VALUES (73531, 255, 7858, 19, 388, 311, 100);
INSERT INTO public.who_data VALUES (73532, 155, 2505, 5, 183, 311, 187);
INSERT INTO public.who_data VALUES (73533, 10, 159, 0, 6, 311, 63);
INSERT INTO public.who_data VALUES (73534, 10, 51, 0, 0, 311, 28);
INSERT INTO public.who_data VALUES (73535, 1, 35, 0, 0, 311, 172);
INSERT INTO public.who_data VALUES (73536, 29, 1402, 4, 35, 311, 17);
INSERT INTO public.who_data VALUES (73537, 1, 16, 0, 0, 311, 226);
INSERT INTO public.who_data VALUES (73538, 3, 85, 0, 3, 311, 236);
INSERT INTO public.who_data VALUES (73539, 0, 11, 0, 0, 311, 76);
INSERT INTO public.who_data VALUES (73540, 0, 184, 0, 0, 311, 30);
INSERT INTO public.who_data VALUES (73541, 0, 16, 0, 0, 311, 128);
INSERT INTO public.who_data VALUES (73542, 76, 3237, 8, 72, 311, 86);
INSERT INTO public.who_data VALUES (73543, 2621, 105155, 1438, 17146, 311, 140);
INSERT INTO public.who_data VALUES (73544, 7, 95, 0, 0, 311, 44);
INSERT INTO public.who_data VALUES (73545, 0, 55, 0, 0, 311, 113);
INSERT INTO public.who_data VALUES (73546, 7, 87, 0, 1, 311, 29);
INSERT INTO public.who_data VALUES (73547, 0, 9, 0, 1, 311, 125);
INSERT INTO public.who_data VALUES (73548, 30, 336, 0, 3, 311, 131);
INSERT INTO public.who_data VALUES (73549, 2866, 130450, 315, 3569, 311, 46);
INSERT INTO public.who_data VALUES (73550, 0, 636, 0, 8, 311, 10);
INSERT INTO public.who_data VALUES (73551, 0, 129, 0, 0, 311, 205);
INSERT INTO public.who_data VALUES (73552, 22, 2192, 1, 102, 311, 50);
INSERT INTO public.who_data VALUES (73553, 0, 11, 0, 0, 311, 20);
INSERT INTO public.who_data VALUES (73554, 0, 13, 0, 0, 311, 13);
INSERT INTO public.who_data VALUES (73555, 0, 145, 0, 8, 311, 148);
INSERT INTO public.who_data VALUES (73556, 0, 133, 0, 5, 311, 230);
INSERT INTO public.who_data VALUES (73557, 13, 180, 0, 5, 311, 190);
INSERT INTO public.who_data VALUES (73558, 4, 223, 1, 7, 311, 188);
INSERT INTO public.who_data VALUES (73559, 41, 404, 1, 1, 311, 123);
INSERT INTO public.who_data VALUES (73560, 3, 43, 0, 0, 311, 9);
INSERT INTO public.who_data VALUES (73561, 1, 48, 0, 6, 311, 102);
INSERT INTO public.who_data VALUES (73562, 1, 41, 0, 3, 311, 34);
INSERT INTO public.who_data VALUES (73563, 0, 8, 0, 0, 311, 212);
INSERT INTO public.who_data VALUES (73564, 12, 419, 5, 31, 311, 122);
INSERT INTO public.who_data VALUES (73565, 73, 1652, 8, 142, 311, 38);
INSERT INTO public.who_data VALUES (73566, 7, 1727, 0, 8, 311, 130);
INSERT INTO public.who_data VALUES (73567, 941, 12380, 37, 414, 311, 37);
INSERT INTO public.who_data VALUES (73568, 380, 5516, 27, 496, 311, 231);
INSERT INTO public.who_data VALUES (73569, 1606, 77995, 92, 4869, 311, 107);
INSERT INTO public.who_data VALUES (73570, 19, 1434, 1, 80, 311, 101);
INSERT INTO public.who_data VALUES (73571, 1068, 12547, 38, 444, 311, 132);
INSERT INTO public.who_data VALUES (73572, 12, 254, 0, 2, 311, 176);
INSERT INTO public.who_data VALUES (73573, 399, 12350, 8, 126, 311, 200);
INSERT INTO public.who_data VALUES (73574, 2667, 165155, 578, 21647, 311, 169);
INSERT INTO public.who_data VALUES (73575, 32, 105, 1, 5, 311, 225);
INSERT INTO public.who_data VALUES (73576, 482, 8582, 17, 136, 311, 165);
INSERT INTO public.who_data VALUES (73577, 0, 217, 2, 6, 311, 233);
INSERT INTO public.who_data VALUES (73578, 4, 401, 0, 7, 311, 215);
INSERT INTO public.who_data VALUES (73579, 185, 1480, 0, 16, 311, 177);
INSERT INTO public.who_data VALUES (73580, 9, 225, 1, 10, 311, 183);
INSERT INTO public.who_data VALUES (73581, 0, 0, 0, 0, 311, 203);
INSERT INTO public.who_data VALUES (73582, 10, 397, 2, 12, 311, 162);
INSERT INTO public.who_data VALUES (73583, 119, 1524, 0, 3, 311, 12);
INSERT INTO public.who_data VALUES (73584, 17, 466, 0, 5, 311, 24);
INSERT INTO public.who_data VALUES (73585, 0, 19, 0, 0, 311, 119);
INSERT INTO public.who_data VALUES (73586, 9, 666, 0, 5, 311, 39);
INSERT INTO public.who_data VALUES (73587, 5, 663, 0, 21, 311, 26);
INSERT INTO public.who_data VALUES (73588, 0, 0, 0, 0, 311, 59);
INSERT INTO public.who_data VALUES (73589, 0, 59, 0, 6, 311, 77);
INSERT INTO public.who_data VALUES (73590, 13, 48, 0, 1, 311, 134);
INSERT INTO public.who_data VALUES (73591, 0, 81, 0, 1, 311, 4);
INSERT INTO public.who_data VALUES (73592, 27, 1022, 0, 30, 311, 109);
INSERT INTO public.who_data VALUES (73593, 66, 3373, 2, 69, 311, 90);
INSERT INTO public.who_data VALUES (73594, 0, 110, 0, 0, 311, 61);
INSERT INTO public.who_data VALUES (73595, 0, 16, 0, 2, 311, 85);
INSERT INTO public.who_data VALUES (73596, 85, 5072, 1, 83, 311, 49);
INSERT INTO public.who_data VALUES (73597, 2, 23, 0, 0, 311, 208);
INSERT INTO public.who_data VALUES (73598, 21, 144, 3, 13, 311, 166);
INSERT INTO public.who_data VALUES (73599, 6, 399, 0, 3, 311, 64);
INSERT INTO public.who_data VALUES (73600, 0, 0, 0, 0, 311, 199);
INSERT INTO public.who_data VALUES (73601, 1, 158, 0, 8, 311, 114);
INSERT INTO public.who_data VALUES (73602, 0, 7, 0, 1, 311, 60);
INSERT INTO public.who_data VALUES (73603, 0, 324, 0, 9, 311, 68);
INSERT INTO public.who_data VALUES (73604, 4, 221, 0, 3, 311, 158);
INSERT INTO public.who_data VALUES (73605, 385, 5399, 74, 406, 311, 52);
INSERT INTO public.who_data VALUES (73606, 0, 0, 0, 0, 311, 117);
INSERT INTO public.who_data VALUES (73607, 0, 64, 0, 1, 311, 126);
INSERT INTO public.who_data VALUES (73608, 1, 31, 0, 0, 311, 196);
INSERT INTO public.who_data VALUES (73609, 13, 303, 0, 4, 311, 142);
INSERT INTO public.who_data VALUES (73610, 0, 11, 0, 0, 311, 185);
INSERT INTO public.who_data VALUES (73611, 263, 2251, 1, 128, 311, 138);
INSERT INTO public.who_data VALUES (73612, 0, 28, 0, 0, 311, 181);
INSERT INTO public.who_data VALUES (73613, 11, 85, 0, 4, 311, 178);
INSERT INTO public.who_data VALUES (73614, 0, 16, 0, 0, 311, 168);
INSERT INTO public.who_data VALUES (73615, 0, 0, 0, 0, 311, 160);
INSERT INTO public.who_data VALUES (73616, 0, 16, 0, 0, 311, 151);
INSERT INTO public.who_data VALUES (73617, 730, 27909, 202, 3089, 311, 193);
INSERT INTO public.who_data VALUES (73618, 0, 18, 0, 0, 311, 18);
INSERT INTO public.who_data VALUES (73619, 6, 1084, 0, 9, 311, 40);
INSERT INTO public.who_data VALUES (73620, 0, 9, 0, 1, 311, 218);
INSERT INTO public.who_data VALUES (73621, 14, 584, 0, 14, 311, 191);
INSERT INTO public.who_data VALUES (73622, 30, 373, 1, 11, 311, 156);
INSERT INTO public.who_data VALUES (73623, 0, 0, 0, 0, 311, 135);
INSERT INTO public.who_data VALUES (73624, 0, 13, 0, 2, 311, 88);
INSERT INTO public.who_data VALUES (73625, 66, 974, 1, 45, 311, 55);
INSERT INTO public.who_data VALUES (73626, 111, 6677, 3, 130, 311, 108);
INSERT INTO public.who_data VALUES (73627, 3, 294, 0, 2, 311, 48);
INSERT INTO public.who_data VALUES (73628, 109, 1019, 0, 4, 311, 3);
INSERT INTO public.who_data VALUES (73629, 0, 712, 0, 12, 311, 224);
INSERT INTO public.who_data VALUES (73630, 931, 6919, 21, 128, 311, 110);
INSERT INTO public.who_data VALUES (73631, 0, 0, 0, 0, 311, 106);
INSERT INTO public.who_data VALUES (73632, 102, 3574, 1, 95, 311, 89);
INSERT INTO public.who_data VALUES (73633, 0, 2, 0, 0, 311, 121);
INSERT INTO public.who_data VALUES (73634, 2, 161, 1, 8, 311, 163);
INSERT INTO public.who_data VALUES (73635, 2784, 10303, 37, 230, 311, 70);
INSERT INTO public.who_data VALUES (73636, 437, 5660, 27, 362, 311, 174);
INSERT INTO public.who_data VALUES (73637, 0, 0, 0, 0, 311, 175);
INSERT INTO public.who_data VALUES (73638, 380, 7582, 23, 286, 311, 118);
INSERT INTO public.who_data VALUES (73639, 643, 18091, 32, 599, 311, 189);
INSERT INTO public.who_data VALUES (73640, 51, 974, 3, 48, 311, 124);
INSERT INTO public.who_data VALUES (73641, 392, 4103, 0, 7, 311, 192);
INSERT INTO public.who_data VALUES (73642, 22, 10613, 4, 229, 311, 41);
INSERT INTO public.who_data VALUES (73643, 115, 2049, 5, 46, 311, 95);
INSERT INTO public.who_data VALUES (73644, 0, 390, 0, 0, 311, 74);
INSERT INTO public.who_data VALUES (73645, 337, 7216, 28, 372, 311, 11);
INSERT INTO public.who_data VALUES (73646, 3448, 27938, 34, 232, 311, 87);
INSERT INTO public.who_data VALUES (73647, 2, 136, 0, 0, 311, 214);
INSERT INTO public.who_data VALUES (73648, 0, 2, 0, 0, 311, 116);
INSERT INTO public.who_data VALUES (73649, 0, 6, 0, 0, 311, 157);
INSERT INTO public.who_data VALUES (73650, 0, 0, 0, 0, 311, 182);
INSERT INTO public.who_data VALUES (73651, 2, 14, 0, 0, 311, 186);
INSERT INTO public.who_data VALUES (73652, 0, 15, 0, 0, 311, 127);
INSERT INTO public.who_data VALUES (73653, 0, 35, 0, 2, 311, 232);
INSERT INTO public.who_data VALUES (73654, 0, 1, 0, 0, 311, 33);
INSERT INTO public.who_data VALUES (73655, 0, 12, 0, 0, 311, 97);
INSERT INTO public.who_data VALUES (73656, 0, 0, 0, 0, 311, 42);
INSERT INTO public.who_data VALUES (73657, 21, 393, 0, 36, 311, 198);
INSERT INTO public.who_data VALUES (73658, 0, 4, 0, 0, 311, 216);
INSERT INTO public.who_data VALUES (73659, 518, 6380, 4, 83, 311, 164);
INSERT INTO public.who_data VALUES (73660, 15, 314, 0, 2, 311, 235);
INSERT INTO public.who_data VALUES (73661, 408, 4873, 5, 99, 311, 67);
INSERT INTO public.who_data VALUES (73662, 0, 11, 0, 0, 311, 15);
INSERT INTO public.who_data VALUES (73663, 2, 13, 0, 0, 311, 180);
INSERT INTO public.who_data VALUES (73664, 447, 3699, 0, 10, 311, 237);
INSERT INTO public.who_data VALUES (73665, 0, 2, 0, 0, 311, 25);
INSERT INTO public.who_data VALUES (73666, 1, 53, 0, 9, 311, 209);
INSERT INTO public.who_data VALUES (73667, 66, 835, 0, 2, 311, 217);
INSERT INTO public.who_data VALUES (73668, 27, 1248, 1, 65, 311, 79);
INSERT INTO public.who_data VALUES (73669, 0, 0, 0, 0, 311, 143);
INSERT INTO public.who_data VALUES (73670, 20, 80, 3, 5, 311, 229);
INSERT INTO public.who_data VALUES (73671, 91, 2506, 7, 34, 311, 141);
INSERT INTO public.who_data VALUES (73672, 0, 4, 0, 0, 311, 197);
INSERT INTO public.who_data VALUES (73673, 3993, 190793, 607, 20379, 311, 221);
INSERT INTO public.who_data VALUES (73674, 5, 238, 0, 7, 311, 150);
INSERT INTO public.who_data VALUES (73675, 0, 32, 0, 5, 311, 56);
INSERT INTO public.who_data VALUES (73676, 0, 10, 0, 1, 311, 167);
INSERT INTO public.who_data VALUES (73677, 479, 11829, 91, 1562, 311, 23);
INSERT INTO public.who_data VALUES (73678, 328, 27220, 38, 1216, 311, 222);
INSERT INTO public.who_data VALUES (73679, 4, 33, 0, 2, 311, 219);
INSERT INTO public.who_data VALUES (73680, 0, 0, 0, 0, 311, 7);
INSERT INTO public.who_data VALUES (73681, 29, 2672, 3, 46, 311, 161);
INSERT INTO public.who_data VALUES (73682, 4326, 101382, 880, 14993, 311, 149);
INSERT INTO public.who_data VALUES (73683, 12, 18, 0, 0, 311, 6);
INSERT INTO public.who_data VALUES (73684, 0, 77, 0, 3, 311, 139);
INSERT INTO public.who_data VALUES (73685, 0, 0, 0, 0, 311, 211);
INSERT INTO public.who_data VALUES (73686, 0, 0, 0, 0, 311, 14);
INSERT INTO public.who_data VALUES (73687, 1, 114, 0, 8, 311, 111);
INSERT INTO public.who_data VALUES (73688, 33, 780, 1, 35, 311, 207);
INSERT INTO public.who_data VALUES (73689, 4281, 69392, 115, 1518, 311, 66);
INSERT INTO public.who_data VALUES (73690, 0, 0, 0, 0, 311, 173);
INSERT INTO public.who_data VALUES (73691, 0, 10, 0, 1, 311, 145);
INSERT INTO public.who_data VALUES (73692, 0, 0, 0, 0, 311, 65);
INSERT INTO public.who_data VALUES (73693, 1, 55, 0, 0, 311, 184);
INSERT INTO public.who_data VALUES (73694, 398, 4162, 7, 115, 311, 98);
INSERT INTO public.who_data VALUES (73695, 432, 5365, 5, 33, 311, 104);
INSERT INTO public.who_data VALUES (73696, 35, 88, 1, 4, 311, 73);
INSERT INTO public.who_data VALUES (73697, 25802, 604070, 2395, 25871, 311, 8);
INSERT INTO public.who_data VALUES (73698, 0, 51, 0, 1, 311, 227);
INSERT INTO public.who_data VALUES (73699, 9, 492, 0, 8, 311, 75);
INSERT INTO public.who_data VALUES (73700, 135, 1349, 0, 4, 311, 45);
INSERT INTO public.who_data VALUES (73701, 0, 0, 0, 0, 311, 133);
INSERT INTO public.who_data VALUES (73702, 12, 193, 0, 9, 311, 202);
INSERT INTO public.who_data VALUES (73703, 0, 267, 0, 0, 311, 129);
INSERT INTO public.who_data VALUES (73704, 0, 0, 0, 0, 311, 36);
INSERT INTO public.who_data VALUES (73705, 0, 1, 0, 0, 311, 51);
INSERT INTO public.who_data VALUES (73706, 3, 48, 0, 2, 311, 206);
INSERT INTO public.who_data VALUES (73707, 5, 23, 0, 3, 311, 5);
INSERT INTO public.who_data VALUES (73708, 70, 784, 2, 25, 312, 103);
INSERT INTO public.who_data VALUES (73709, 0, 437, 1, 23, 312, 58);
INSERT INTO public.who_data VALUES (73710, 87, 2070, 13, 326, 312, 195);
INSERT INTO public.who_data VALUES (73711, 0, 0, 0, 0, 312, 115);
INSERT INTO public.who_data VALUES (73712, 8, 659, 2, 31, 312, 99);
INSERT INTO public.who_data VALUES (73713, 0, 19, 0, 2, 312, 153);
INSERT INTO public.who_data VALUES (73714, 0, 3, 0, 0, 312, 93);
INSERT INTO public.who_data VALUES (73715, 0, 23, 0, 2, 312, 84);
INSERT INTO public.who_data VALUES (73716, 84, 2336, 6, 101, 312, 78);
INSERT INTO public.who_data VALUES (73717, 28, 1043, 2, 16, 312, 170);
INSERT INTO public.who_data VALUES (73718, 0, 92, 0, 0, 312, 32);
INSERT INTO public.who_data VALUES (73719, 50, 6416, 0, 61, 312, 155);
INSERT INTO public.who_data VALUES (73720, 191, 14234, 16, 384, 312, 82);
INSERT INTO public.who_data VALUES (73721, 49, 1197, 1, 13, 312, 16);
INSERT INTO public.who_data VALUES (73722, 2, 49, 0, 8, 312, 72);
INSERT INTO public.who_data VALUES (73723, 143, 1671, 0, 7, 312, 43);
INSERT INTO public.who_data VALUES (73724, 219, 1231, 4, 50, 312, 120);
INSERT INTO public.who_data VALUES (73725, 1, 72, 0, 4, 312, 213);
INSERT INTO public.who_data VALUES (73726, 362, 3281, 4, 33, 312, 31);
INSERT INTO public.who_data VALUES (73727, 1560, 36625, 261, 5099, 312, 204);
INSERT INTO public.who_data VALUES (73728, 4, 18, 0, 2, 312, 152);
INSERT INTO public.who_data VALUES (73729, 0, 35, 0, 1, 312, 144);
INSERT INTO public.who_data VALUES (73730, 0, 57, 1, 5, 312, 96);
INSERT INTO public.who_data VALUES (73731, 0, 5, 0, 0, 312, 47);
INSERT INTO public.who_data VALUES (73732, 24, 354, 1, 28, 312, 80);
INSERT INTO public.who_data VALUES (73733, 0, 0, 0, 0, 312, 159);
INSERT INTO public.who_data VALUES (73734, 52, 1086, 2, 40, 312, 27);
INSERT INTO public.who_data VALUES (73735, 0, 13, 0, 1, 312, 146);
INSERT INTO public.who_data VALUES (73736, 1261, 23430, 105, 1328, 312, 71);
INSERT INTO public.who_data VALUES (73737, 0, 3, 0, 0, 312, 210);
INSERT INTO public.who_data VALUES (73738, 0, 136, 0, 1, 312, 54);
INSERT INTO public.who_data VALUES (73739, 28, 713, 3, 35, 312, 147);
INSERT INTO public.who_data VALUES (73740, 18, 515, 1, 28, 312, 2);
INSERT INTO public.who_data VALUES (73741, 0, 5, 0, 0, 312, 105);
INSERT INTO public.who_data VALUES (73742, 0, 10, 0, 1, 312, 53);
INSERT INTO public.who_data VALUES (73743, 0, 122, 0, 0, 312, 81);
INSERT INTO public.who_data VALUES (73744, 52, 855, 5, 15, 312, 223);
INSERT INTO public.who_data VALUES (73745, 1360, 26146, 89, 823, 312, 94);
INSERT INTO public.who_data VALUES (73746, 1, 54, 0, 1, 312, 154);
INSERT INTO public.who_data VALUES (73747, 0, 11, 0, 0, 312, 83);
INSERT INTO public.who_data VALUES (73748, 0, 23, 0, 0, 312, 194);
INSERT INTO public.who_data VALUES (73749, 392, 7917, 10, 92, 312, 136);
INSERT INTO public.who_data VALUES (73750, 51, 83747, 1, 3352, 312, 179);
INSERT INTO public.who_data VALUES (73751, 76, 2852, 3, 112, 312, 57);
INSERT INTO public.who_data VALUES (73752, 0, 0, 0, 0, 312, 35);
INSERT INTO public.who_data VALUES (73753, 0, 74, 0, 5, 312, 228);
INSERT INTO public.who_data VALUES (73754, 0, 0, 0, 0, 312, 19);
INSERT INTO public.who_data VALUES (73755, 17, 612, 0, 3, 312, 22);
INSERT INTO public.who_data VALUES (73756, 12, 638, 0, 6, 312, 1);
INSERT INTO public.who_data VALUES (73757, 54, 1704, 6, 31, 312, 21);
INSERT INTO public.who_data VALUES (73758, 40, 766, 0, 21, 312, 234);
INSERT INTO public.who_data VALUES (73759, 0, 14, 0, 1, 312, 91);
INSERT INTO public.who_data VALUES (73760, 33, 695, 0, 12, 312, 137);
INSERT INTO public.who_data VALUES (73761, 82, 6141, 18, 161, 312, 201);
INSERT INTO public.who_data VALUES (73762, 0, 0, 0, 0, 312, 171);
INSERT INTO public.who_data VALUES (73763, 13, 254, 1, 21, 312, 92);
INSERT INTO public.who_data VALUES (73764, 193, 6511, 14, 299, 312, 112);
INSERT INTO public.who_data VALUES (73765, 72, 435, 0, 2, 312, 62);
INSERT INTO public.who_data VALUES (73766, 0, 16, 0, 0, 312, 69);
INSERT INTO public.who_data VALUES (73767, 119, 3286, 6, 183, 312, 220);
INSERT INTO public.who_data VALUES (73768, 74, 7603, 14, 369, 312, 100);
INSERT INTO public.who_data VALUES (73769, 160, 2350, 14, 178, 312, 187);
INSERT INTO public.who_data VALUES (73770, 12, 149, 0, 6, 312, 63);
INSERT INTO public.who_data VALUES (73771, 20, 41, 0, 0, 312, 28);
INSERT INTO public.who_data VALUES (73772, 0, 34, 0, 0, 312, 172);
INSERT INTO public.who_data VALUES (73773, 41, 1373, 3, 31, 312, 17);
INSERT INTO public.who_data VALUES (73774, 1, 15, 0, 0, 312, 226);
INSERT INTO public.who_data VALUES (73775, 8, 82, 0, 3, 312, 236);
INSERT INTO public.who_data VALUES (73776, 6, 11, 0, 0, 312, 76);
INSERT INTO public.who_data VALUES (73777, 0, 184, 0, 0, 312, 30);
INSERT INTO public.who_data VALUES (73778, 0, 16, 0, 0, 312, 128);
INSERT INTO public.who_data VALUES (73779, 97, 3161, 5, 64, 312, 86);
INSERT INTO public.who_data VALUES (73780, 5483, 102534, 762, 15708, 312, 140);
INSERT INTO public.who_data VALUES (73781, 0, 88, 0, 0, 312, 44);
INSERT INTO public.who_data VALUES (73782, 0, 55, 0, 0, 312, 113);
INSERT INTO public.who_data VALUES (73783, 23, 80, 0, 1, 312, 29);
INSERT INTO public.who_data VALUES (73784, 0, 9, 0, 1, 312, 125);
INSERT INTO public.who_data VALUES (73785, 10, 306, 0, 3, 312, 131);
INSERT INTO public.who_data VALUES (73786, 2486, 127584, 285, 3254, 312, 46);
INSERT INTO public.who_data VALUES (73787, 70, 636, 0, 8, 312, 10);
INSERT INTO public.who_data VALUES (73788, 0, 129, 0, 0, 312, 205);
INSERT INTO public.who_data VALUES (73789, 25, 2170, 2, 101, 312, 50);
INSERT INTO public.who_data VALUES (73790, 0, 11, 0, 0, 312, 20);
INSERT INTO public.who_data VALUES (73791, 0, 13, 0, 0, 312, 13);
INSERT INTO public.who_data VALUES (73792, 2, 145, 0, 8, 312, 148);
INSERT INTO public.who_data VALUES (73793, 0, 133, 0, 5, 312, 230);
INSERT INTO public.who_data VALUES (73794, 11, 167, 0, 5, 312, 190);
INSERT INTO public.who_data VALUES (73795, 1, 219, 0, 6, 312, 188);
INSERT INTO public.who_data VALUES (73796, 44, 363, 0, 0, 312, 123);
INSERT INTO public.who_data VALUES (73797, 1, 40, 0, 0, 312, 9);
INSERT INTO public.who_data VALUES (73798, 0, 47, 0, 6, 312, 102);
INSERT INTO public.who_data VALUES (73799, 0, 40, 0, 3, 312, 34);
INSERT INTO public.who_data VALUES (73800, 0, 8, 0, 0, 312, 212);
INSERT INTO public.who_data VALUES (73801, 10, 407, 1, 26, 312, 122);
INSERT INTO public.who_data VALUES (73802, 67, 1579, 12, 134, 312, 38);
INSERT INTO public.who_data VALUES (73803, 9, 1720, 0, 8, 312, 130);
INSERT INTO public.who_data VALUES (73804, 1076, 11439, 38, 377, 312, 37);
INSERT INTO public.who_data VALUES (73805, 297, 5136, 10, 469, 312, 231);
INSERT INTO public.who_data VALUES (73806, 1512, 76389, 94, 4777, 312, 107);
INSERT INTO public.who_data VALUES (73807, 15, 1415, 1, 79, 312, 101);
INSERT INTO public.who_data VALUES (73808, 832, 11479, 41, 406, 312, 132);
INSERT INTO public.who_data VALUES (73809, 14, 242, 0, 2, 312, 176);
INSERT INTO public.who_data VALUES (73810, 438, 11951, 9, 118, 312, 200);
INSERT INTO public.who_data VALUES (73811, 2972, 162488, 604, 21069, 312, 169);
INSERT INTO public.who_data VALUES (73812, 1, 73, 0, 4, 312, 225);
INSERT INTO public.who_data VALUES (73813, 455, 8100, 10, 119, 312, 165);
INSERT INTO public.who_data VALUES (73814, 4, 217, 0, 4, 312, 233);
INSERT INTO public.who_data VALUES (73815, 6, 397, 0, 7, 312, 215);
INSERT INTO public.who_data VALUES (73816, 20, 1295, 4, 16, 312, 177);
INSERT INTO public.who_data VALUES (73817, 8, 216, 0, 9, 312, 183);
INSERT INTO public.who_data VALUES (73818, 0, 0, 0, 0, 312, 203);
INSERT INTO public.who_data VALUES (73819, 10, 387, 1, 10, 312, 162);
INSERT INTO public.who_data VALUES (73820, 50, 1405, 0, 3, 312, 12);
INSERT INTO public.who_data VALUES (73821, 19, 449, 0, 5, 312, 24);
INSERT INTO public.who_data VALUES (73822, 0, 19, 0, 0, 312, 119);
INSERT INTO public.who_data VALUES (73823, 2, 657, 0, 5, 312, 39);
INSERT INTO public.who_data VALUES (73824, 17, 658, 0, 21, 312, 26);
INSERT INTO public.who_data VALUES (73825, 0, 0, 0, 0, 312, 59);
INSERT INTO public.who_data VALUES (73826, 8, 59, 0, 6, 312, 77);
INSERT INTO public.who_data VALUES (73827, 9, 35, 0, 1, 312, 134);
INSERT INTO public.who_data VALUES (73828, 0, 81, 0, 1, 312, 4);
INSERT INTO public.who_data VALUES (73829, 18, 995, 4, 30, 312, 109);
INSERT INTO public.who_data VALUES (73830, 15, 3307, 0, 67, 312, 90);
INSERT INTO public.who_data VALUES (73831, 4, 110, 0, 0, 312, 61);
INSERT INTO public.who_data VALUES (73832, 0, 16, 0, 2, 312, 85);
INSERT INTO public.who_data VALUES (73833, 170, 4987, 5, 82, 312, 49);
INSERT INTO public.who_data VALUES (73834, 1, 21, 0, 0, 312, 208);
INSERT INTO public.who_data VALUES (73835, 7, 123, 1, 10, 312, 166);
INSERT INTO public.who_data VALUES (73836, 9, 393, 0, 3, 312, 64);
INSERT INTO public.who_data VALUES (73837, 0, 0, 0, 0, 312, 199);
INSERT INTO public.who_data VALUES (73838, 0, 157, 0, 8, 312, 114);
INSERT INTO public.who_data VALUES (73839, 0, 7, 0, 1, 312, 60);
INSERT INTO public.who_data VALUES (73840, 0, 324, 0, 9, 312, 68);
INSERT INTO public.who_data VALUES (73841, 10, 217, 0, 3, 312, 158);
INSERT INTO public.who_data VALUES (73842, 353, 5014, 36, 332, 312, 52);
INSERT INTO public.who_data VALUES (73843, 0, 0, 0, 0, 312, 117);
INSERT INTO public.who_data VALUES (73844, 0, 64, 0, 1, 312, 126);
INSERT INTO public.who_data VALUES (73845, 0, 30, 0, 0, 312, 196);
INSERT INTO public.who_data VALUES (73846, 2, 290, 0, 4, 312, 142);
INSERT INTO public.who_data VALUES (73847, 0, 11, 0, 0, 312, 185);
INSERT INTO public.who_data VALUES (73848, 150, 1988, 1, 127, 312, 138);
INSERT INTO public.who_data VALUES (73849, 7, 28, 0, 0, 312, 181);
INSERT INTO public.who_data VALUES (73850, 12, 74, 0, 4, 312, 178);
INSERT INTO public.who_data VALUES (73851, 0, 16, 0, 0, 312, 168);
INSERT INTO public.who_data VALUES (73852, 0, 0, 0, 0, 312, 160);
INSERT INTO public.who_data VALUES (73853, 0, 16, 0, 0, 312, 151);
INSERT INTO public.who_data VALUES (73854, 862, 27179, 107, 2887, 312, 193);
INSERT INTO public.who_data VALUES (73855, 0, 18, 0, 0, 312, 18);
INSERT INTO public.who_data VALUES (73856, 6, 1078, 0, 9, 312, 40);
INSERT INTO public.who_data VALUES (73857, 0, 9, 0, 1, 312, 218);
INSERT INTO public.who_data VALUES (73858, 22, 570, 1, 14, 312, 191);
INSERT INTO public.who_data VALUES (73859, 0, 343, 0, 10, 312, 156);
INSERT INTO public.who_data VALUES (73860, 0, 0, 0, 0, 312, 135);
INSERT INTO public.who_data VALUES (73861, 2, 13, 0, 2, 312, 88);
INSERT INTO public.who_data VALUES (73862, 54, 908, 6, 44, 312, 55);
INSERT INTO public.who_data VALUES (73863, 78, 6566, 13, 127, 312, 108);
INSERT INTO public.who_data VALUES (73864, 4, 291, 0, 2, 312, 48);
INSERT INTO public.who_data VALUES (73865, 97, 910, 0, 4, 312, 3);
INSERT INTO public.who_data VALUES (73866, 0, 712, 0, 12, 312, 224);
INSERT INTO public.who_data VALUES (73867, 151, 5988, 11, 107, 312, 110);
INSERT INTO public.who_data VALUES (73868, 0, 0, 0, 0, 312, 106);
INSERT INTO public.who_data VALUES (73869, 72, 3472, 7, 94, 312, 89);
INSERT INTO public.who_data VALUES (73870, 0, 2, 0, 0, 312, 121);
INSERT INTO public.who_data VALUES (73871, 12, 159, 1, 7, 312, 163);
INSERT INTO public.who_data VALUES (73872, 0, 7519, 0, 193, 312, 70);
INSERT INTO public.who_data VALUES (73873, 0, 5223, 0, 335, 312, 174);
INSERT INTO public.who_data VALUES (73874, 0, 0, 0, 0, 312, 175);
INSERT INTO public.who_data VALUES (73875, 268, 7202, 18, 263, 312, 118);
INSERT INTO public.who_data VALUES (73876, 514, 17448, 32, 567, 312, 189);
INSERT INTO public.who_data VALUES (73877, 20, 923, 0, 45, 312, 124);
INSERT INTO public.who_data VALUES (73878, 283, 3711, 0, 7, 312, 192);
INSERT INTO public.who_data VALUES (73879, 27, 10591, 3, 225, 312, 41);
INSERT INTO public.who_data VALUES (73880, 222, 1934, 5, 41, 312, 95);
INSERT INTO public.who_data VALUES (73881, 0, 390, 0, 0, 312, 74);
INSERT INTO public.who_data VALUES (73882, 246, 6879, 26, 344, 312, 11);
INSERT INTO public.who_data VALUES (73883, 3388, 24490, 28, 198, 312, 87);
INSERT INTO public.who_data VALUES (73884, 7, 134, 0, 0, 312, 214);
INSERT INTO public.who_data VALUES (73885, 0, 2, 0, 0, 312, 116);
INSERT INTO public.who_data VALUES (73886, 0, 6, 0, 0, 312, 157);
INSERT INTO public.who_data VALUES (73887, 0, 0, 0, 0, 312, 182);
INSERT INTO public.who_data VALUES (73888, 0, 12, 0, 0, 312, 186);
INSERT INTO public.who_data VALUES (73889, 0, 15, 0, 0, 312, 127);
INSERT INTO public.who_data VALUES (73890, 2, 35, 0, 2, 312, 232);
INSERT INTO public.who_data VALUES (73891, 0, 1, 0, 0, 312, 33);
INSERT INTO public.who_data VALUES (73892, 0, 12, 0, 0, 312, 97);
INSERT INTO public.who_data VALUES (73893, 0, 0, 0, 0, 312, 42);
INSERT INTO public.who_data VALUES (73894, 1, 372, 0, 36, 312, 198);
INSERT INTO public.who_data VALUES (73895, 0, 4, 0, 0, 312, 216);
INSERT INTO public.who_data VALUES (73896, 493, 5862, 6, 79, 312, 164);
INSERT INTO public.who_data VALUES (73897, 8, 299, 0, 2, 312, 235);
INSERT INTO public.who_data VALUES (73898, 411, 4465, 9, 94, 312, 67);
INSERT INTO public.who_data VALUES (73899, 0, 11, 0, 0, 312, 15);
INSERT INTO public.who_data VALUES (73900, 1, 11, 0, 0, 312, 180);
INSERT INTO public.who_data VALUES (73901, 334, 3252, 1, 10, 312, 237);
INSERT INTO public.who_data VALUES (73902, 0, 2, 0, 0, 312, 25);
INSERT INTO public.who_data VALUES (73903, 0, 52, 0, 9, 312, 209);
INSERT INTO public.who_data VALUES (73904, 27, 769, 0, 2, 312, 217);
INSERT INTO public.who_data VALUES (73905, 8, 1221, 3, 64, 312, 79);
INSERT INTO public.who_data VALUES (73906, 0, 0, 0, 0, 312, 143);
INSERT INTO public.who_data VALUES (73907, 0, 60, 0, 2, 312, 229);
INSERT INTO public.who_data VALUES (73908, 143, 2415, 0, 27, 312, 141);
INSERT INTO public.who_data VALUES (73909, 0, 4, 0, 0, 312, 197);
INSERT INTO public.who_data VALUES (73910, 3126, 186800, 587, 19772, 312, 221);
INSERT INTO public.who_data VALUES (73911, 15, 233, 0, 7, 312, 150);
INSERT INTO public.who_data VALUES (73912, 3, 32, 1, 5, 312, 56);
INSERT INTO public.who_data VALUES (73913, 0, 10, 0, 1, 312, 167);
INSERT INTO public.who_data VALUES (73914, 437, 11350, 84, 1471, 312, 23);
INSERT INTO public.who_data VALUES (73915, 424, 26892, 37, 1178, 312, 222);
INSERT INTO public.who_data VALUES (73916, 4, 29, 0, 2, 312, 219);
INSERT INTO public.who_data VALUES (73917, 0, 0, 0, 0, 312, 7);
INSERT INTO public.who_data VALUES (73918, 30, 2643, 2, 43, 312, 161);
INSERT INTO public.who_data VALUES (73919, 4178, 97056, 1076, 14113, 312, 149);
INSERT INTO public.who_data VALUES (73920, 0, 6, 0, 0, 312, 6);
INSERT INTO public.who_data VALUES (73921, 1, 77, 0, 3, 312, 139);
INSERT INTO public.who_data VALUES (73922, 0, 0, 0, 0, 312, 211);
INSERT INTO public.who_data VALUES (73923, 0, 0, 0, 0, 312, 14);
INSERT INTO public.who_data VALUES (73924, 0, 113, 0, 8, 312, 111);
INSERT INTO public.who_data VALUES (73925, 21, 747, 0, 34, 312, 207);
INSERT INTO public.who_data VALUES (73926, 4062, 65111, 107, 1403, 312, 66);
INSERT INTO public.who_data VALUES (73927, 0, 0, 0, 0, 312, 173);
INSERT INTO public.who_data VALUES (73928, 1, 10, 0, 1, 312, 145);
INSERT INTO public.who_data VALUES (73929, 0, 0, 0, 0, 312, 65);
INSERT INTO public.who_data VALUES (73930, 0, 54, 0, 0, 312, 184);
INSERT INTO public.who_data VALUES (73931, 392, 3764, 10, 108, 312, 98);
INSERT INTO public.who_data VALUES (73932, 412, 4933, 3, 28, 312, 104);
INSERT INTO public.who_data VALUES (73933, 4, 53, 0, 3, 312, 73);
INSERT INTO public.who_data VALUES (73934, 24446, 578268, 1504, 23476, 312, 8);
INSERT INTO public.who_data VALUES (73935, 0, 51, 0, 1, 312, 227);
INSERT INTO public.who_data VALUES (73936, 0, 483, 1, 8, 312, 75);
INSERT INTO public.who_data VALUES (73937, 160, 1214, 0, 4, 312, 45);
INSERT INTO public.who_data VALUES (73938, 0, 0, 0, 0, 312, 133);
INSERT INTO public.who_data VALUES (73939, 0, 181, 0, 9, 312, 202);
INSERT INTO public.who_data VALUES (73940, 2, 267, 0, 0, 312, 129);
INSERT INTO public.who_data VALUES (73941, 0, 0, 0, 0, 312, 36);
INSERT INTO public.who_data VALUES (73942, 0, 1, 0, 0, 312, 51);
INSERT INTO public.who_data VALUES (73943, 0, 45, 0, 2, 312, 206);
INSERT INTO public.who_data VALUES (73944, 1, 18, 0, 3, 312, 5);
INSERT INTO public.who_data VALUES (73945, 49, 714, 2, 23, 313, 103);
INSERT INTO public.who_data VALUES (73946, 29, 437, 0, 22, 313, 58);
INSERT INTO public.who_data VALUES (73947, 69, 1983, 20, 313, 313, 195);
INSERT INTO public.who_data VALUES (73948, 0, 0, 0, 0, 313, 115);
INSERT INTO public.who_data VALUES (73949, 12, 651, 0, 29, 313, 99);
INSERT INTO public.who_data VALUES (73950, 0, 19, 0, 2, 313, 153);
INSERT INTO public.who_data VALUES (73951, 0, 3, 0, 0, 313, 93);
INSERT INTO public.who_data VALUES (73952, 2, 23, 0, 2, 313, 84);
INSERT INTO public.who_data VALUES (73953, 277, 2252, 13, 95, 313, 78);
INSERT INTO public.who_data VALUES (73954, 26, 1015, 1, 14, 313, 170);
INSERT INTO public.who_data VALUES (73955, 0, 92, 0, 0, 313, 32);
INSERT INTO public.who_data VALUES (73956, 44, 6366, 0, 61, 313, 155);
INSERT INTO public.who_data VALUES (73957, 106, 14043, 18, 368, 313, 82);
INSERT INTO public.who_data VALUES (73958, 50, 1148, 1, 12, 313, 16);
INSERT INTO public.who_data VALUES (73959, 5, 47, 0, 8, 313, 72);
INSERT INTO public.who_data VALUES (73960, 180, 1528, 1, 7, 313, 43);
INSERT INTO public.who_data VALUES (73961, 209, 1012, 7, 46, 313, 120);
INSERT INTO public.who_data VALUES (73962, 3, 71, 0, 4, 313, 213);
INSERT INTO public.who_data VALUES (73963, 341, 2919, 3, 29, 313, 31);
INSERT INTO public.who_data VALUES (73964, 537, 35065, 277, 4838, 313, 204);
INSERT INTO public.who_data VALUES (73965, 1, 14, 0, 2, 313, 152);
INSERT INTO public.who_data VALUES (73966, 0, 35, 0, 1, 313, 144);
INSERT INTO public.who_data VALUES (73967, 7, 57, 0, 4, 313, 96);
INSERT INTO public.who_data VALUES (73968, 0, 5, 0, 0, 313, 47);
INSERT INTO public.who_data VALUES (73969, 30, 330, 3, 27, 313, 80);
INSERT INTO public.who_data VALUES (73970, 0, 0, 0, 0, 313, 159);
INSERT INTO public.who_data VALUES (73971, 27, 1034, 0, 38, 313, 27);
INSERT INTO public.who_data VALUES (73972, 0, 13, 0, 1, 313, 146);
INSERT INTO public.who_data VALUES (73973, 1442, 22169, 99, 1223, 313, 71);
INSERT INTO public.who_data VALUES (73974, 0, 3, 0, 0, 313, 210);
INSERT INTO public.who_data VALUES (73975, 0, 136, 0, 1, 313, 54);
INSERT INTO public.who_data VALUES (73976, 10, 685, 3, 32, 313, 147);
INSERT INTO public.who_data VALUES (73977, 54, 497, 8, 27, 313, 2);
INSERT INTO public.who_data VALUES (73978, 0, 5, 0, 0, 313, 105);
INSERT INTO public.who_data VALUES (73979, 3, 10, 0, 1, 313, 53);
INSERT INTO public.who_data VALUES (73980, 0, 122, 0, 0, 313, 81);
INSERT INTO public.who_data VALUES (73981, 0, 803, 0, 10, 313, 223);
INSERT INTO public.who_data VALUES (73982, 1084, 24786, 60, 734, 313, 94);
INSERT INTO public.who_data VALUES (73983, 0, 53, 0, 1, 313, 154);
INSERT INTO public.who_data VALUES (73984, 0, 11, 0, 0, 313, 83);
INSERT INTO public.who_data VALUES (73985, 5, 23, 0, 0, 313, 194);
INSERT INTO public.who_data VALUES (73986, 312, 7525, 2, 82, 313, 136);
INSERT INTO public.who_data VALUES (73987, 99, 83696, 0, 3351, 313, 179);
INSERT INTO public.who_data VALUES (73988, 67, 2776, 9, 109, 313, 57);
INSERT INTO public.who_data VALUES (73989, 0, 0, 0, 0, 313, 35);
INSERT INTO public.who_data VALUES (73990, 4, 74, 0, 5, 313, 228);
INSERT INTO public.who_data VALUES (73991, 0, 0, 0, 0, 313, 19);
INSERT INTO public.who_data VALUES (73992, 18, 595, 0, 3, 313, 22);
INSERT INTO public.who_data VALUES (73993, 93, 626, 2, 6, 313, 1);
INSERT INTO public.who_data VALUES (73994, 50, 1650, 2, 25, 313, 21);
INSERT INTO public.who_data VALUES (73995, 57, 726, 3, 21, 313, 234);
INSERT INTO public.who_data VALUES (73996, 0, 14, 0, 1, 313, 91);
INSERT INTO public.who_data VALUES (73997, 29, 662, 1, 12, 313, 137);
INSERT INTO public.who_data VALUES (73998, 68, 6059, 5, 143, 313, 201);
INSERT INTO public.who_data VALUES (73999, 0, 0, 0, 0, 313, 171);
INSERT INTO public.who_data VALUES (74000, 6, 241, 0, 20, 313, 92);
INSERT INTO public.who_data VALUES (74001, 144, 6318, 12, 285, 313, 112);
INSERT INTO public.who_data VALUES (74002, 65, 363, 0, 2, 313, 62);
INSERT INTO public.who_data VALUES (74003, 0, 16, 0, 0, 313, 69);
INSERT INTO public.who_data VALUES (74004, 200, 3167, 4, 177, 313, 220);
INSERT INTO public.who_data VALUES (74005, 63, 7529, 22, 355, 313, 100);
INSERT INTO public.who_data VALUES (74006, 125, 2190, 5, 164, 313, 187);
INSERT INTO public.who_data VALUES (74007, 12, 137, 0, 6, 313, 63);
INSERT INTO public.who_data VALUES (74008, 3, 21, 0, 0, 313, 28);
INSERT INTO public.who_data VALUES (74009, 0, 34, 0, 0, 313, 172);
INSERT INTO public.who_data VALUES (74010, 23, 1332, 3, 28, 313, 17);
INSERT INTO public.who_data VALUES (74011, 0, 14, 0, 0, 313, 226);
INSERT INTO public.who_data VALUES (74012, 3, 74, 0, 3, 313, 236);
INSERT INTO public.who_data VALUES (74013, 0, 5, 0, 0, 313, 76);
INSERT INTO public.who_data VALUES (74014, 0, 184, 0, 0, 313, 30);
INSERT INTO public.who_data VALUES (74015, 0, 16, 0, 0, 313, 128);
INSERT INTO public.who_data VALUES (74016, 90, 3064, 3, 59, 313, 86);
INSERT INTO public.who_data VALUES (74017, 2669, 97051, 572, 14946, 313, 140);
INSERT INTO public.who_data VALUES (74018, 2, 88, 0, 0, 313, 44);
INSERT INTO public.who_data VALUES (74019, 2, 55, 0, 0, 313, 113);
INSERT INTO public.who_data VALUES (74020, 0, 57, 0, 1, 313, 29);
INSERT INTO public.who_data VALUES (74021, 0, 9, 0, 1, 313, 125);
INSERT INTO public.who_data VALUES (74022, 30, 296, 0, 3, 313, 131);
INSERT INTO public.who_data VALUES (74023, 2082, 125098, 170, 2969, 313, 46);
INSERT INTO public.who_data VALUES (74024, 0, 566, 0, 8, 313, 10);
INSERT INTO public.who_data VALUES (74025, 0, 129, 0, 0, 313, 205);
INSERT INTO public.who_data VALUES (74026, 31, 2145, 1, 99, 313, 50);
INSERT INTO public.who_data VALUES (74027, 0, 11, 0, 0, 313, 20);
INSERT INTO public.who_data VALUES (74028, 0, 13, 0, 0, 313, 13);
INSERT INTO public.who_data VALUES (74029, 0, 143, 0, 8, 313, 148);
INSERT INTO public.who_data VALUES (74030, 0, 133, 0, 5, 313, 230);
INSERT INTO public.who_data VALUES (74031, 3, 156, 2, 5, 313, 190);
INSERT INTO public.who_data VALUES (74032, 9, 218, 0, 6, 313, 188);
INSERT INTO public.who_data VALUES (74033, 69, 319, 0, 0, 313, 123);
INSERT INTO public.who_data VALUES (74034, 0, 39, 0, 0, 313, 9);
INSERT INTO public.who_data VALUES (74035, 10, 47, 0, 6, 313, 102);
INSERT INTO public.who_data VALUES (74036, 9, 40, 1, 3, 313, 34);
INSERT INTO public.who_data VALUES (74037, 0, 8, 0, 0, 313, 212);
INSERT INTO public.who_data VALUES (74038, 4, 397, 0, 25, 313, 122);
INSERT INTO public.who_data VALUES (74039, 54, 1512, 13, 122, 313, 38);
INSERT INTO public.who_data VALUES (74040, 10, 1711, 0, 8, 313, 130);
INSERT INTO public.who_data VALUES (74041, 1211, 10363, 31, 339, 313, 37);
INSERT INTO public.who_data VALUES (74042, 282, 4839, 60, 459, 313, 231);
INSERT INTO public.who_data VALUES (74043, 1574, 74877, 98, 4683, 313, 107);
INSERT INTO public.who_data VALUES (74044, 22, 1400, 0, 78, 313, 101);
INSERT INTO public.who_data VALUES (74045, 992, 10647, 31, 365, 313, 132);
INSERT INTO public.who_data VALUES (74046, 2, 228, 1, 2, 313, 176);
INSERT INTO public.who_data VALUES (74047, 552, 11513, 6, 109, 313, 200);
INSERT INTO public.who_data VALUES (74048, 3153, 159516, 564, 20465, 313, 169);
INSERT INTO public.who_data VALUES (74049, 3, 72, 0, 4, 313, 225);
INSERT INTO public.who_data VALUES (74050, 390, 7645, 7, 109, 313, 165);
INSERT INTO public.who_data VALUES (74051, 15, 213, 0, 4, 313, 233);
INSERT INTO public.who_data VALUES (74052, 2, 391, 0, 7, 313, 215);
INSERT INTO public.who_data VALUES (74053, 184, 1275, 0, 12, 313, 177);
INSERT INTO public.who_data VALUES (74054, 11, 208, 1, 9, 313, 183);
INSERT INTO public.who_data VALUES (74055, 0, 0, 0, 0, 313, 203);
INSERT INTO public.who_data VALUES (74056, 15, 377, 1, 9, 313, 162);
INSERT INTO public.who_data VALUES (74057, 55, 1355, 1, 3, 313, 12);
INSERT INTO public.who_data VALUES (74058, 11, 430, 0, 5, 313, 24);
INSERT INTO public.who_data VALUES (74059, 0, 19, 0, 0, 313, 119);
INSERT INTO public.who_data VALUES (74060, 4, 655, 0, 5, 313, 39);
INSERT INTO public.who_data VALUES (74061, 9, 641, 1, 21, 313, 26);
INSERT INTO public.who_data VALUES (74062, 0, 0, 0, 0, 313, 59);
INSERT INTO public.who_data VALUES (74063, 1, 51, 1, 6, 313, 77);
INSERT INTO public.who_data VALUES (74064, 1, 26, 0, 1, 313, 134);
INSERT INTO public.who_data VALUES (74065, 0, 81, 0, 1, 313, 4);
INSERT INTO public.who_data VALUES (74066, 7, 977, 1, 26, 313, 109);
INSERT INTO public.who_data VALUES (74067, 11, 3292, 1, 67, 313, 90);
INSERT INTO public.who_data VALUES (74068, 0, 106, 0, 0, 313, 61);
INSERT INTO public.who_data VALUES (74069, 3, 16, 0, 2, 313, 85);
INSERT INTO public.who_data VALUES (74070, 134, 4817, 1, 77, 313, 49);
INSERT INTO public.who_data VALUES (74071, 0, 20, 0, 0, 313, 208);
INSERT INTO public.who_data VALUES (74072, 29, 116, 2, 9, 313, 166);
INSERT INTO public.who_data VALUES (74073, 6, 384, 0, 3, 313, 64);
INSERT INTO public.who_data VALUES (74074, 0, 0, 0, 0, 313, 199);
INSERT INTO public.who_data VALUES (74075, 1, 157, 2, 8, 313, 114);
INSERT INTO public.who_data VALUES (74076, 0, 7, 0, 1, 313, 60);
INSERT INTO public.who_data VALUES (74077, 0, 324, 0, 9, 313, 68);
INSERT INTO public.who_data VALUES (74078, 0, 207, 0, 3, 313, 158);
INSERT INTO public.who_data VALUES (74079, 442, 4661, 23, 296, 313, 52);
INSERT INTO public.who_data VALUES (74080, 0, 0, 0, 0, 313, 117);
INSERT INTO public.who_data VALUES (74081, 0, 64, 0, 1, 313, 126);
INSERT INTO public.who_data VALUES (74082, 14, 30, 0, 0, 313, 196);
INSERT INTO public.who_data VALUES (74083, 10, 288, 0, 4, 313, 142);
INSERT INTO public.who_data VALUES (74084, 2, 11, 0, 0, 313, 185);
INSERT INTO public.who_data VALUES (74085, 92, 1838, 6, 126, 313, 138);
INSERT INTO public.who_data VALUES (74086, 1, 21, 0, 0, 313, 181);
INSERT INTO public.who_data VALUES (74087, 21, 62, 0, 4, 313, 178);
INSERT INTO public.who_data VALUES (74088, 0, 16, 0, 0, 313, 168);
INSERT INTO public.who_data VALUES (74089, 0, 0, 0, 0, 313, 160);
INSERT INTO public.who_data VALUES (74090, 2, 16, 0, 0, 313, 151);
INSERT INTO public.who_data VALUES (74091, 959, 26317, 74, 2780, 313, 193);
INSERT INTO public.who_data VALUES (74092, 0, 18, 0, 0, 313, 18);
INSERT INTO public.who_data VALUES (74093, 8, 1072, 4, 9, 313, 40);
INSERT INTO public.who_data VALUES (74094, 0, 9, 0, 1, 313, 218);
INSERT INTO public.who_data VALUES (74095, 19, 548, 1, 13, 313, 191);
INSERT INTO public.who_data VALUES (74096, 20, 343, 0, 10, 313, 156);
INSERT INTO public.who_data VALUES (74097, 0, 0, 0, 0, 313, 135);
INSERT INTO public.who_data VALUES (74098, 0, 11, 0, 2, 313, 88);
INSERT INTO public.who_data VALUES (74099, 26, 854, 4, 38, 313, 55);
INSERT INTO public.who_data VALUES (74100, 73, 6488, 11, 114, 313, 108);
INSERT INTO public.who_data VALUES (74101, 14, 287, 0, 2, 313, 48);
INSERT INTO public.who_data VALUES (74102, 86, 813, 0, 4, 313, 3);
INSERT INTO public.who_data VALUES (74103, 0, 712, 0, 12, 313, 224);
INSERT INTO public.who_data VALUES (74104, 341, 5837, 3, 96, 313, 110);
INSERT INTO public.who_data VALUES (74105, 0, 0, 0, 0, 313, 106);
INSERT INTO public.who_data VALUES (74106, 166, 3400, 8, 87, 313, 89);
INSERT INTO public.who_data VALUES (74107, 0, 2, 0, 0, 313, 121);
INSERT INTO public.who_data VALUES (74108, 13, 147, 0, 6, 313, 163);
INSERT INTO public.who_data VALUES (74109, 671, 7519, 12, 193, 313, 70);
INSERT INTO public.who_data VALUES (74110, 291, 5223, 20, 335, 313, 174);
INSERT INTO public.who_data VALUES (74111, 0, 0, 0, 0, 313, 175);
INSERT INTO public.who_data VALUES (74112, 260, 6934, 13, 245, 313, 118);
INSERT INTO public.who_data VALUES (74113, 349, 16934, 31, 535, 313, 189);
INSERT INTO public.who_data VALUES (74114, 6, 903, 1, 45, 313, 124);
INSERT INTO public.who_data VALUES (74115, 197, 3428, 0, 7, 313, 192);
INSERT INTO public.who_data VALUES (74116, 27, 10564, 5, 222, 313, 41);
INSERT INTO public.who_data VALUES (74117, 50, 1712, 3, 36, 313, 95);
INSERT INTO public.who_data VALUES (74118, 1, 390, 0, 0, 313, 74);
INSERT INTO public.who_data VALUES (74119, 333, 6633, 12, 318, 313, 11);
INSERT INTO public.who_data VALUES (74120, 2774, 21102, 22, 170, 313, 87);
INSERT INTO public.who_data VALUES (74121, 1, 127, 0, 0, 313, 214);
INSERT INTO public.who_data VALUES (74122, 0, 2, 0, 0, 313, 116);
INSERT INTO public.who_data VALUES (74123, 0, 6, 0, 0, 313, 157);
INSERT INTO public.who_data VALUES (74124, 0, 0, 0, 0, 313, 182);
INSERT INTO public.who_data VALUES (74125, 0, 12, 0, 0, 313, 186);
INSERT INTO public.who_data VALUES (74126, 0, 15, 0, 0, 313, 127);
INSERT INTO public.who_data VALUES (74127, 0, 33, 0, 2, 313, 232);
INSERT INTO public.who_data VALUES (74128, 0, 1, 0, 0, 313, 33);
INSERT INTO public.who_data VALUES (74129, 0, 12, 0, 0, 313, 97);
INSERT INTO public.who_data VALUES (74130, 0, 0, 0, 0, 313, 42);
INSERT INTO public.who_data VALUES (74131, 15, 371, 1, 36, 313, 198);
INSERT INTO public.who_data VALUES (74132, 0, 4, 0, 0, 313, 216);
INSERT INTO public.who_data VALUES (74133, 435, 5369, 8, 73, 313, 164);
INSERT INTO public.who_data VALUES (74134, 11, 291, 0, 2, 313, 235);
INSERT INTO public.who_data VALUES (74135, 424, 4054, 5, 85, 313, 67);
INSERT INTO public.who_data VALUES (74136, 0, 11, 0, 0, 313, 15);
INSERT INTO public.who_data VALUES (74137, 0, 10, 0, 0, 313, 180);
INSERT INTO public.who_data VALUES (74138, 386, 2918, 1, 9, 313, 237);
INSERT INTO public.who_data VALUES (74139, 0, 2, 0, 0, 313, 25);
INSERT INTO public.who_data VALUES (74140, 2, 52, 0, 9, 313, 209);
INSERT INTO public.who_data VALUES (74141, 14, 742, 0, 2, 313, 217);
INSERT INTO public.who_data VALUES (74142, 7, 1213, 4, 61, 313, 79);
INSERT INTO public.who_data VALUES (74143, 0, 0, 0, 0, 313, 143);
INSERT INTO public.who_data VALUES (74144, 35, 60, 0, 2, 313, 229);
INSERT INTO public.who_data VALUES (74145, 99, 2272, 2, 27, 313, 141);
INSERT INTO public.who_data VALUES (74146, 0, 4, 0, 0, 313, 197);
INSERT INTO public.who_data VALUES (74147, 2380, 183674, 544, 19185, 313, 221);
INSERT INTO public.who_data VALUES (74148, 8, 218, 0, 7, 313, 150);
INSERT INTO public.who_data VALUES (74149, 10, 29, 2, 4, 313, 56);
INSERT INTO public.who_data VALUES (74150, 0, 10, 0, 1, 313, 167);
INSERT INTO public.who_data VALUES (74151, 464, 10913, 97, 1387, 313, 23);
INSERT INTO public.who_data VALUES (74152, 245, 26468, 36, 1141, 313, 222);
INSERT INTO public.who_data VALUES (74153, 0, 25, 0, 2, 313, 219);
INSERT INTO public.who_data VALUES (74154, 0, 0, 0, 0, 313, 7);
INSERT INTO public.who_data VALUES (74155, 34, 2613, 1, 41, 313, 161);
INSERT INTO public.who_data VALUES (74156, 3489, 92878, 724, 13037, 313, 149);
INSERT INTO public.who_data VALUES (74157, 2, 6, 0, 0, 313, 6);
INSERT INTO public.who_data VALUES (74158, 0, 76, 0, 3, 313, 139);
INSERT INTO public.who_data VALUES (74159, 0, 0, 0, 0, 313, 211);
INSERT INTO public.who_data VALUES (74160, 0, 0, 0, 0, 313, 14);
INSERT INTO public.who_data VALUES (74161, 1, 113, 0, 8, 313, 111);
INSERT INTO public.who_data VALUES (74162, 19, 726, 3, 34, 313, 207);
INSERT INTO public.who_data VALUES (74163, 4093, 61049, 98, 1296, 313, 66);
INSERT INTO public.who_data VALUES (74164, 0, 0, 0, 0, 313, 173);
INSERT INTO public.who_data VALUES (74165, 0, 9, 0, 1, 313, 145);
INSERT INTO public.who_data VALUES (74166, 0, 0, 0, 0, 313, 65);
INSERT INTO public.who_data VALUES (74167, 0, 54, 0, 0, 313, 184);
INSERT INTO public.who_data VALUES (74168, 270, 3372, 5, 98, 313, 98);
INSERT INTO public.who_data VALUES (74169, 398, 4521, 0, 25, 313, 104);
INSERT INTO public.who_data VALUES (74170, 17, 49, 0, 3, 313, 73);
INSERT INTO public.who_data VALUES (74171, 29308, 553822, 1528, 21972, 313, 8);
INSERT INTO public.who_data VALUES (74172, 0, 51, 0, 1, 313, 227);
INSERT INTO public.who_data VALUES (74173, 11, 483, 0, 7, 313, 75);
INSERT INTO public.who_data VALUES (74174, 158, 1054, 0, 4, 313, 45);
INSERT INTO public.who_data VALUES (74175, 0, 0, 0, 0, 313, 133);
INSERT INTO public.who_data VALUES (74176, 10, 181, 0, 9, 313, 202);
INSERT INTO public.who_data VALUES (74177, 3, 265, 0, 0, 313, 129);
INSERT INTO public.who_data VALUES (74178, 0, 0, 0, 0, 313, 36);
INSERT INTO public.who_data VALUES (74179, 0, 1, 0, 0, 313, 51);
INSERT INTO public.who_data VALUES (74180, 2, 45, 0, 2, 313, 206);
INSERT INTO public.who_data VALUES (74181, 3, 17, 0, 3, 313, 5);
INSERT INTO public.who_data VALUES (74182, 110, 665, 3, 21, 314, 103);
INSERT INTO public.who_data VALUES (74183, 0, 408, 0, 22, 314, 58);
INSERT INTO public.who_data VALUES (74184, 89, 1914, 18, 293, 314, 195);
INSERT INTO public.who_data VALUES (74185, 0, 0, 0, 0, 314, 115);
INSERT INTO public.who_data VALUES (74186, 17, 639, 1, 29, 314, 99);
INSERT INTO public.who_data VALUES (74187, 0, 19, 0, 2, 314, 153);
INSERT INTO public.who_data VALUES (74188, 0, 3, 0, 0, 314, 93);
INSERT INTO public.who_data VALUES (74189, 0, 21, 0, 2, 314, 84);
INSERT INTO public.who_data VALUES (74190, 0, 1975, 0, 82, 314, 78);
INSERT INTO public.who_data VALUES (74191, 46, 989, 0, 13, 314, 170);
INSERT INTO public.who_data VALUES (74192, 0, 92, 0, 0, 314, 32);
INSERT INTO public.who_data VALUES (74193, 9, 6322, 2, 61, 314, 155);
INSERT INTO public.who_data VALUES (74194, 130, 13937, 13, 350, 314, 82);
INSERT INTO public.who_data VALUES (74195, 40, 1098, 0, 11, 314, 16);
INSERT INTO public.who_data VALUES (74196, 0, 42, 0, 8, 314, 72);
INSERT INTO public.who_data VALUES (74197, 261, 1348, 0, 6, 314, 43);
INSERT INTO public.who_data VALUES (74198, 182, 803, 5, 39, 314, 120);
INSERT INTO public.who_data VALUES (74199, 1, 68, 0, 4, 314, 213);
INSERT INTO public.who_data VALUES (74200, 352, 2578, 3, 26, 314, 31);
INSERT INTO public.who_data VALUES (74201, 524, 34528, 265, 4561, 314, 204);
INSERT INTO public.who_data VALUES (74202, 3, 13, 0, 2, 314, 152);
INSERT INTO public.who_data VALUES (74203, 0, 35, 0, 1, 314, 144);
INSERT INTO public.who_data VALUES (74204, 2, 50, 0, 4, 314, 96);
INSERT INTO public.who_data VALUES (74205, 0, 5, 0, 0, 314, 47);
INSERT INTO public.who_data VALUES (74206, 25, 300, 4, 24, 314, 80);
INSERT INTO public.who_data VALUES (74207, 0, 0, 0, 0, 314, 159);
INSERT INTO public.who_data VALUES (74208, 59, 1007, 1, 38, 314, 27);
INSERT INTO public.who_data VALUES (74209, 0, 13, 0, 1, 314, 146);
INSERT INTO public.who_data VALUES (74210, 1089, 20727, 68, 1124, 314, 71);
INSERT INTO public.who_data VALUES (74211, 0, 3, 0, 0, 314, 210);
INSERT INTO public.who_data VALUES (74212, 0, 136, 0, 1, 314, 54);
INSERT INTO public.who_data VALUES (74213, 14, 675, 1, 29, 314, 147);
INSERT INTO public.who_data VALUES (74214, 0, 443, 0, 19, 314, 2);
INSERT INTO public.who_data VALUES (74215, 2, 5, 0, 0, 314, 105);
INSERT INTO public.who_data VALUES (74216, 0, 7, 0, 1, 314, 53);
INSERT INTO public.who_data VALUES (74217, 0, 122, 0, 0, 314, 81);
INSERT INTO public.who_data VALUES (74218, 0, 803, 0, 10, 314, 223);
INSERT INTO public.who_data VALUES (74219, 1158, 23702, 74, 674, 314, 94);
INSERT INTO public.who_data VALUES (74220, 8, 53, 0, 1, 314, 154);
INSERT INTO public.who_data VALUES (74221, 0, 11, 0, 0, 314, 83);
INSERT INTO public.who_data VALUES (74222, 7, 18, 0, 0, 314, 194);
INSERT INTO public.who_data VALUES (74223, 286, 7213, 7, 80, 314, 136);
INSERT INTO public.who_data VALUES (74224, 112, 83597, 2, 3351, 314, 179);
INSERT INTO public.who_data VALUES (74225, 236, 2709, 20, 100, 314, 57);
INSERT INTO public.who_data VALUES (74226, 0, 0, 0, 0, 314, 35);
INSERT INTO public.who_data VALUES (74227, 10, 70, 0, 5, 314, 228);
INSERT INTO public.who_data VALUES (74228, 0, 0, 0, 0, 314, 19);
INSERT INTO public.who_data VALUES (74229, 19, 577, 0, 3, 314, 22);
INSERT INTO public.who_data VALUES (74230, 0, 533, 0, 4, 314, 1);
INSERT INTO public.who_data VALUES (74231, 66, 1600, 2, 23, 314, 21);
INSERT INTO public.who_data VALUES (74232, 49, 669, 2, 18, 314, 234);
INSERT INTO public.who_data VALUES (74233, 0, 14, 0, 1, 314, 91);
INSERT INTO public.who_data VALUES (74234, 17, 633, 1, 11, 314, 137);
INSERT INTO public.who_data VALUES (74235, 89, 5991, 9, 138, 314, 201);
INSERT INTO public.who_data VALUES (74236, 0, 0, 0, 0, 314, 171);
INSERT INTO public.who_data VALUES (74237, 12, 235, 0, 20, 314, 92);
INSERT INTO public.who_data VALUES (74238, 178, 6174, 13, 273, 314, 112);
INSERT INTO public.who_data VALUES (74239, 83, 298, 0, 2, 314, 62);
INSERT INTO public.who_data VALUES (74240, 0, 16, 0, 0, 314, 69);
INSERT INTO public.who_data VALUES (74241, 347, 2967, 47, 173, 314, 220);
INSERT INTO public.who_data VALUES (74242, 209, 7466, 18, 333, 314, 100);
INSERT INTO public.who_data VALUES (74243, 126, 2065, 13, 159, 314, 187);
INSERT INTO public.who_data VALUES (74244, 7, 125, 0, 6, 314, 63);
INSERT INTO public.who_data VALUES (74245, 0, 18, 0, 0, 314, 28);
INSERT INTO public.who_data VALUES (74246, 1, 34, 0, 0, 314, 172);
INSERT INTO public.who_data VALUES (74247, 5, 1309, 1, 25, 314, 17);
INSERT INTO public.who_data VALUES (74248, 2, 14, 0, 0, 314, 226);
INSERT INTO public.who_data VALUES (74249, 2, 71, 0, 3, 314, 236);
INSERT INTO public.who_data VALUES (74250, 0, 5, 0, 0, 314, 76);
INSERT INTO public.who_data VALUES (74251, 0, 184, 0, 0, 314, 30);
INSERT INTO public.who_data VALUES (74252, 0, 16, 0, 0, 314, 128);
INSERT INTO public.who_data VALUES (74253, 69, 2974, 7, 56, 314, 86);
INSERT INTO public.who_data VALUES (74254, 1595, 94382, 560, 14374, 314, 140);
INSERT INTO public.who_data VALUES (74255, 0, 86, 0, 0, 314, 44);
INSERT INTO public.who_data VALUES (74256, 2, 53, 0, 0, 314, 113);
INSERT INTO public.who_data VALUES (74257, 8, 57, 0, 1, 314, 29);
INSERT INTO public.who_data VALUES (74258, 0, 9, 0, 1, 314, 125);
INSERT INTO public.who_data VALUES (74259, 14, 266, 0, 3, 314, 131);
INSERT INTO public.who_data VALUES (74260, 2537, 123016, 126, 2799, 314, 46);
INSERT INTO public.who_data VALUES (74261, 158, 566, 0, 8, 314, 10);
INSERT INTO public.who_data VALUES (74262, 16, 129, 0, 0, 314, 205);
INSERT INTO public.who_data VALUES (74263, 33, 2114, 5, 98, 314, 50);
INSERT INTO public.who_data VALUES (74264, 0, 11, 0, 0, 314, 20);
INSERT INTO public.who_data VALUES (74265, 0, 13, 0, 0, 314, 13);
INSERT INTO public.who_data VALUES (74266, 0, 143, 0, 8, 314, 148);
INSERT INTO public.who_data VALUES (74267, 0, 133, 0, 5, 314, 230);
INSERT INTO public.who_data VALUES (74268, 16, 153, 0, 3, 314, 190);
INSERT INTO public.who_data VALUES (74269, 9, 209, 0, 6, 314, 188);
INSERT INTO public.who_data VALUES (74270, 0, 250, 0, 0, 314, 123);
INSERT INTO public.who_data VALUES (74271, 1, 39, 0, 0, 314, 9);
INSERT INTO public.who_data VALUES (74272, 0, 37, 0, 6, 314, 102);
INSERT INTO public.who_data VALUES (74273, 0, 31, 0, 2, 314, 34);
INSERT INTO public.who_data VALUES (74274, 0, 8, 0, 0, 314, 212);
INSERT INTO public.who_data VALUES (74275, 1, 393, 1, 25, 314, 122);
INSERT INTO public.who_data VALUES (74276, 48, 1458, 10, 109, 314, 38);
INSERT INTO public.who_data VALUES (74277, 12, 1701, 0, 8, 314, 130);
INSERT INTO public.who_data VALUES (74278, 796, 9152, 35, 308, 314, 37);
INSERT INTO public.who_data VALUES (74279, 316, 4557, 26, 399, 314, 231);
INSERT INTO public.who_data VALUES (74280, 1617, 73303, 111, 4585, 314, 107);
INSERT INTO public.who_data VALUES (74281, 26, 1378, 2, 78, 314, 101);
INSERT INTO public.who_data VALUES (74282, 727, 9655, 14, 334, 314, 132);
INSERT INTO public.who_data VALUES (74283, 22, 226, 0, 1, 314, 176);
INSERT INTO public.who_data VALUES (74284, 345, 10961, 6, 103, 314, 200);
INSERT INTO public.who_data VALUES (74285, 4092, 156363, 431, 19901, 314, 169);
INSERT INTO public.who_data VALUES (74286, 4, 69, 0, 4, 314, 225);
INSERT INTO public.who_data VALUES (74287, 507, 7255, 4, 102, 314, 165);
INSERT INTO public.who_data VALUES (74288, 0, 198, 0, 4, 314, 233);
INSERT INTO public.who_data VALUES (74289, 8, 389, 0, 7, 314, 215);
INSERT INTO public.who_data VALUES (74290, 112, 1091, 0, 12, 314, 177);
INSERT INTO public.who_data VALUES (74291, 6, 197, 1, 8, 314, 183);
INSERT INTO public.who_data VALUES (74292, 0, 0, 0, 0, 314, 203);
INSERT INTO public.who_data VALUES (74293, 79, 362, 1, 8, 314, 162);
INSERT INTO public.who_data VALUES (74294, 66, 1300, 1, 2, 314, 12);
INSERT INTO public.who_data VALUES (74295, 42, 419, 0, 5, 314, 24);
INSERT INTO public.who_data VALUES (74296, 1, 19, 0, 0, 314, 119);
INSERT INTO public.who_data VALUES (74297, 21, 651, 2, 5, 314, 39);
INSERT INTO public.who_data VALUES (74298, 2, 632, 0, 20, 314, 26);
INSERT INTO public.who_data VALUES (74299, 0, 0, 0, 0, 314, 59);
INSERT INTO public.who_data VALUES (74300, 2, 50, 0, 5, 314, 77);
INSERT INTO public.who_data VALUES (74301, 0, 25, 0, 1, 314, 134);
INSERT INTO public.who_data VALUES (74302, 0, 81, 0, 1, 314, 4);
INSERT INTO public.who_data VALUES (74303, 18, 970, 0, 25, 314, 109);
INSERT INTO public.who_data VALUES (74304, 11, 3281, 4, 66, 314, 90);
INSERT INTO public.who_data VALUES (74305, 2, 106, 0, 0, 314, 61);
INSERT INTO public.who_data VALUES (74306, 1, 13, 0, 2, 314, 85);
INSERT INTO public.who_data VALUES (74307, 153, 4683, 3, 76, 314, 49);
INSERT INTO public.who_data VALUES (74308, 0, 20, 0, 0, 314, 208);
INSERT INTO public.who_data VALUES (74309, 0, 87, 0, 7, 314, 166);
INSERT INTO public.who_data VALUES (74310, 8, 378, 1, 3, 314, 64);
INSERT INTO public.who_data VALUES (74311, 0, 0, 0, 0, 314, 199);
INSERT INTO public.who_data VALUES (74312, 1, 156, 0, 6, 314, 114);
INSERT INTO public.who_data VALUES (74313, 0, 7, 0, 1, 314, 60);
INSERT INTO public.who_data VALUES (74314, 5, 324, 0, 9, 314, 68);
INSERT INTO public.who_data VALUES (74315, 16, 207, 1, 3, 314, 158);
INSERT INTO public.who_data VALUES (74316, 375, 4219, 40, 273, 314, 52);
INSERT INTO public.who_data VALUES (74317, 0, 0, 0, 0, 314, 117);
INSERT INTO public.who_data VALUES (74318, 1, 64, 0, 1, 314, 126);
INSERT INTO public.who_data VALUES (74319, 0, 16, 0, 0, 314, 196);
INSERT INTO public.who_data VALUES (74320, 5, 278, 1, 4, 314, 142);
INSERT INTO public.who_data VALUES (74321, 0, 9, 0, 0, 314, 185);
INSERT INTO public.who_data VALUES (74322, 129, 1746, 7, 120, 314, 138);
INSERT INTO public.who_data VALUES (74323, 0, 20, 0, 0, 314, 181);
INSERT INTO public.who_data VALUES (74324, 3, 41, 1, 4, 314, 178);
INSERT INTO public.who_data VALUES (74325, 0, 16, 0, 0, 314, 168);
INSERT INTO public.who_data VALUES (74326, 0, 0, 0, 0, 314, 160);
INSERT INTO public.who_data VALUES (74327, 2, 14, 0, 0, 314, 151);
INSERT INTO public.who_data VALUES (74328, 1171, 25358, 96, 2706, 314, 193);
INSERT INTO public.who_data VALUES (74329, 0, 18, 0, 0, 314, 18);
INSERT INTO public.who_data VALUES (74330, 15, 1064, 1, 5, 314, 40);
INSERT INTO public.who_data VALUES (74331, 2, 9, 0, 1, 314, 218);
INSERT INTO public.who_data VALUES (74332, 38, 529, 1, 12, 314, 191);
INSERT INTO public.who_data VALUES (74333, 5, 323, 0, 10, 314, 156);
INSERT INTO public.who_data VALUES (74334, 0, 0, 0, 0, 314, 135);
INSERT INTO public.who_data VALUES (74335, 0, 11, 0, 2, 314, 88);
INSERT INTO public.who_data VALUES (74336, 0, 828, 0, 34, 314, 55);
INSERT INTO public.who_data VALUES (74337, 95, 6415, 5, 103, 314, 108);
INSERT INTO public.who_data VALUES (74338, 5, 273, 0, 2, 314, 48);
INSERT INTO public.who_data VALUES (74339, 128, 727, 0, 4, 314, 3);
INSERT INTO public.who_data VALUES (74340, 0, 712, 1, 12, 314, 224);
INSERT INTO public.who_data VALUES (74341, 313, 5496, 5, 93, 314, 110);
INSERT INTO public.who_data VALUES (74342, 0, 0, 0, 0, 314, 106);
INSERT INTO public.who_data VALUES (74343, 260, 3234, 5, 79, 314, 89);
INSERT INTO public.who_data VALUES (74344, 0, 2, 0, 0, 314, 121);
INSERT INTO public.who_data VALUES (74345, 1, 134, 0, 6, 314, 163);
INSERT INTO public.who_data VALUES (74346, 951, 6848, 12, 181, 314, 70);
INSERT INTO public.who_data VALUES (74347, 284, 4932, 18, 315, 314, 174);
INSERT INTO public.who_data VALUES (74348, 0, 0, 0, 0, 314, 175);
INSERT INTO public.who_data VALUES (74349, 318, 6674, 24, 232, 314, 118);
INSERT INTO public.who_data VALUES (74350, 598, 16585, 34, 504, 314, 189);
INSERT INTO public.who_data VALUES (74351, 109, 897, 2, 44, 314, 124);
INSERT INTO public.who_data VALUES (74352, 252, 3231, 0, 7, 314, 192);
INSERT INTO public.who_data VALUES (74353, 25, 10537, 3, 217, 314, 41);
INSERT INTO public.who_data VALUES (74354, 102, 1662, 3, 33, 314, 95);
INSERT INTO public.who_data VALUES (74355, 1, 389, 0, 0, 314, 74);
INSERT INTO public.who_data VALUES (74356, 310, 6300, 24, 306, 314, 11);
INSERT INTO public.who_data VALUES (74357, 2558, 18328, 18, 148, 314, 87);
INSERT INTO public.who_data VALUES (74358, 6, 126, 0, 0, 314, 214);
INSERT INTO public.who_data VALUES (74359, 1, 2, 0, 0, 314, 116);
INSERT INTO public.who_data VALUES (74360, 0, 6, 0, 0, 314, 157);
INSERT INTO public.who_data VALUES (74361, 0, 0, 0, 0, 314, 182);
INSERT INTO public.who_data VALUES (74362, 0, 12, 0, 0, 314, 186);
INSERT INTO public.who_data VALUES (74363, 0, 15, 0, 0, 314, 127);
INSERT INTO public.who_data VALUES (74364, 0, 33, 0, 2, 314, 232);
INSERT INTO public.who_data VALUES (74365, 0, 1, 0, 0, 314, 33);
INSERT INTO public.who_data VALUES (74366, 0, 12, 0, 0, 314, 97);
INSERT INTO public.who_data VALUES (74367, 0, 0, 0, 0, 314, 42);
INSERT INTO public.who_data VALUES (74368, 0, 356, 0, 35, 314, 198);
INSERT INTO public.who_data VALUES (74369, 0, 4, 0, 0, 314, 216);
INSERT INTO public.who_data VALUES (74370, 472, 4934, 6, 65, 314, 164);
INSERT INTO public.who_data VALUES (74371, 2, 280, 0, 2, 314, 235);
INSERT INTO public.who_data VALUES (74372, 250, 3630, 6, 80, 314, 67);
INSERT INTO public.who_data VALUES (74373, 0, 11, 0, 0, 314, 15);
INSERT INTO public.who_data VALUES (74374, 2, 10, 0, 0, 314, 180);
INSERT INTO public.who_data VALUES (74375, 233, 2532, 0, 8, 314, 237);
INSERT INTO public.who_data VALUES (74376, 0, 2, 0, 0, 314, 25);
INSERT INTO public.who_data VALUES (74377, 0, 50, 0, 9, 314, 209);
INSERT INTO public.who_data VALUES (74378, 13, 728, 0, 2, 314, 217);
INSERT INTO public.who_data VALUES (74379, 17, 1206, 3, 57, 314, 79);
INSERT INTO public.who_data VALUES (74380, 0, 0, 0, 0, 314, 143);
INSERT INTO public.who_data VALUES (74381, 4, 25, 1, 2, 314, 229);
INSERT INTO public.who_data VALUES (74382, 145, 2173, 0, 25, 314, 141);
INSERT INTO public.who_data VALUES (74383, 0, 4, 0, 0, 314, 197);
INSERT INTO public.who_data VALUES (74384, 3076, 181294, 628, 18641, 314, 221);
INSERT INTO public.who_data VALUES (74385, 11, 210, 0, 7, 314, 150);
INSERT INTO public.who_data VALUES (74386, 0, 19, 0, 2, 314, 56);
INSERT INTO public.who_data VALUES (74387, 0, 10, 0, 1, 314, 167);
INSERT INTO public.who_data VALUES (74388, 395, 10449, 102, 1290, 314, 23);
INSERT INTO public.who_data VALUES (74389, 219, 26223, 36, 1105, 314, 222);
INSERT INTO public.who_data VALUES (74390, 0, 25, 0, 2, 314, 219);
INSERT INTO public.who_data VALUES (74391, 0, 0, 0, 0, 314, 7);
INSERT INTO public.who_data VALUES (74392, 28, 2579, 2, 40, 314, 161);
INSERT INTO public.who_data VALUES (74393, 3579, 89389, 657, 12313, 314, 149);
INSERT INTO public.who_data VALUES (74394, 2, 4, 0, 0, 314, 6);
INSERT INTO public.who_data VALUES (74395, 3, 76, 0, 3, 314, 139);
INSERT INTO public.who_data VALUES (74396, 0, 0, 0, 0, 314, 211);
INSERT INTO public.who_data VALUES (74397, 0, 0, 0, 0, 314, 14);
INSERT INTO public.who_data VALUES (74398, 3, 112, 0, 8, 314, 111);
INSERT INTO public.who_data VALUES (74399, 22, 707, 3, 31, 314, 207);
INSERT INTO public.who_data VALUES (74400, 4789, 56956, 97, 1198, 314, 66);
INSERT INTO public.who_data VALUES (74401, 0, 0, 0, 0, 314, 173);
INSERT INTO public.who_data VALUES (74402, 1, 9, 0, 1, 314, 145);
INSERT INTO public.who_data VALUES (74403, 0, 0, 0, 0, 314, 65);
INSERT INTO public.who_data VALUES (74404, 1, 54, 0, 0, 314, 184);
INSERT INTO public.who_data VALUES (74405, 325, 3102, 10, 93, 314, 98);
INSERT INTO public.who_data VALUES (74406, 387, 4123, 5, 25, 314, 104);
INSERT INTO public.who_data VALUES (74407, 0, 32, 0, 3, 314, 73);
INSERT INTO public.who_data VALUES (74408, 31633, 524514, 1928, 20444, 314, 8);
INSERT INTO public.who_data VALUES (74409, 0, 51, 0, 1, 314, 227);
INSERT INTO public.who_data VALUES (74410, 7, 472, 0, 7, 314, 75);
INSERT INTO public.who_data VALUES (74411, 100, 896, 1, 4, 314, 45);
INSERT INTO public.who_data VALUES (74412, 0, 0, 0, 0, 314, 133);
INSERT INTO public.who_data VALUES (74413, 0, 171, 0, 9, 314, 202);
INSERT INTO public.who_data VALUES (74414, 4, 262, 0, 0, 314, 129);
INSERT INTO public.who_data VALUES (74415, 0, 0, 0, 0, 314, 36);
INSERT INTO public.who_data VALUES (74416, 0, 1, 0, 0, 314, 51);
INSERT INTO public.who_data VALUES (74417, 3, 43, 0, 2, 314, 206);
INSERT INTO public.who_data VALUES (74418, 1, 14, 0, 3, 314, 5);
INSERT INTO public.who_data VALUES (74419, 34, 555, 3, 18, 315, 103);
INSERT INTO public.who_data VALUES (74420, 30, 408, 0, 22, 315, 58);
INSERT INTO public.who_data VALUES (74421, 64, 1825, 19, 275, 315, 195);
INSERT INTO public.who_data VALUES (74422, 0, 0, 0, 0, 315, 115);
INSERT INTO public.who_data VALUES (74423, 20, 622, 2, 28, 315, 99);
INSERT INTO public.who_data VALUES (74424, 0, 19, 0, 2, 315, 153);
INSERT INTO public.who_data VALUES (74425, 0, 3, 0, 0, 315, 93);
INSERT INTO public.who_data VALUES (74426, 2, 21, 0, 2, 315, 84);
INSERT INTO public.who_data VALUES (74427, 46, 1975, 3, 82, 315, 78);
INSERT INTO public.who_data VALUES (74428, 30, 943, 2, 13, 315, 170);
INSERT INTO public.who_data VALUES (74429, 6, 92, 0, 0, 315, 32);
INSERT INTO public.who_data VALUES (74430, 24, 6313, 3, 59, 315, 155);
INSERT INTO public.who_data VALUES (74431, 247, 13807, 18, 337, 315, 82);
INSERT INTO public.who_data VALUES (74432, 67, 1058, 1, 11, 315, 16);
INSERT INTO public.who_data VALUES (74433, 1, 42, 0, 8, 315, 72);
INSERT INTO public.who_data VALUES (74434, 71, 1087, 0, 6, 315, 43);
INSERT INTO public.who_data VALUES (74435, 139, 621, 4, 34, 315, 120);
INSERT INTO public.who_data VALUES (74436, 1, 67, 0, 4, 315, 213);
INSERT INTO public.who_data VALUES (74437, 245, 2226, 4, 23, 315, 31);
INSERT INTO public.who_data VALUES (74438, 1029, 34004, 284, 4296, 315, 204);
INSERT INTO public.who_data VALUES (74439, 0, 10, 1, 2, 315, 152);
INSERT INTO public.who_data VALUES (74440, 5, 35, 0, 1, 315, 144);
INSERT INTO public.who_data VALUES (74441, 0, 48, 0, 4, 315, 96);
INSERT INTO public.who_data VALUES (74442, 0, 5, 0, 0, 315, 47);
INSERT INTO public.who_data VALUES (74443, 7, 275, 1, 20, 315, 80);
INSERT INTO public.who_data VALUES (74444, 0, 0, 0, 0, 315, 159);
INSERT INTO public.who_data VALUES (74445, 47, 948, 0, 37, 315, 27);
INSERT INTO public.who_data VALUES (74446, 0, 13, 0, 1, 315, 146);
INSERT INTO public.who_data VALUES (74447, 1781, 19638, 115, 1056, 315, 71);
INSERT INTO public.who_data VALUES (74448, 0, 3, 0, 0, 315, 210);
INSERT INTO public.who_data VALUES (74449, 0, 136, 0, 1, 315, 54);
INSERT INTO public.who_data VALUES (74450, 26, 661, 3, 28, 315, 147);
INSERT INTO public.who_data VALUES (74451, 0, 443, 0, 19, 315, 2);
INSERT INTO public.who_data VALUES (74452, 0, 3, 0, 0, 315, 105);
INSERT INTO public.who_data VALUES (74453, 0, 7, 0, 1, 315, 53);
INSERT INTO public.who_data VALUES (74454, 2, 122, 0, 0, 315, 81);
INSERT INTO public.who_data VALUES (74455, 0, 803, 0, 10, 315, 223);
INSERT INTO public.who_data VALUES (74456, 1318, 22544, 69, 600, 315, 94);
INSERT INTO public.who_data VALUES (74457, 0, 45, 0, 1, 315, 154);
INSERT INTO public.who_data VALUES (74458, 0, 11, 0, 0, 315, 83);
INSERT INTO public.who_data VALUES (74459, 0, 11, 0, 0, 315, 194);
INSERT INTO public.who_data VALUES (74460, 426, 6927, 8, 73, 315, 136);
INSERT INTO public.who_data VALUES (74461, 102, 83485, 0, 3349, 315, 179);
INSERT INTO public.who_data VALUES (74462, 250, 2473, 11, 80, 315, 57);
INSERT INTO public.who_data VALUES (74463, 0, 0, 0, 0, 315, 35);
INSERT INTO public.who_data VALUES (74464, 0, 60, 0, 5, 315, 228);
INSERT INTO public.who_data VALUES (74465, 0, 0, 0, 0, 315, 19);
INSERT INTO public.who_data VALUES (74466, 19, 558, 0, 3, 315, 22);
INSERT INTO public.who_data VALUES (74467, 53, 533, 1, 4, 315, 1);
INSERT INTO public.who_data VALUES (74468, 39, 1534, 0, 21, 315, 21);
INSERT INTO public.who_data VALUES (74469, 56, 620, 1, 16, 315, 234);
INSERT INTO public.who_data VALUES (74470, 0, 14, 0, 1, 315, 91);
INSERT INTO public.who_data VALUES (74471, 21, 616, 0, 10, 315, 137);
INSERT INTO public.who_data VALUES (74472, 170, 5902, 10, 129, 315, 201);
INSERT INTO public.who_data VALUES (74473, 0, 0, 0, 0, 315, 171);
INSERT INTO public.who_data VALUES (74474, 8, 223, 0, 20, 315, 92);
INSERT INTO public.who_data VALUES (74475, 177, 5996, 13, 260, 315, 112);
INSERT INTO public.who_data VALUES (74476, 28, 215, 0, 2, 315, 62);
INSERT INTO public.who_data VALUES (74477, 0, 16, 0, 0, 315, 69);
INSERT INTO public.who_data VALUES (74478, 271, 2620, 8, 126, 315, 220);
INSERT INTO public.who_data VALUES (74479, 96, 7257, 18, 315, 315, 100);
INSERT INTO public.who_data VALUES (74480, 145, 1939, 11, 146, 315, 187);
INSERT INTO public.who_data VALUES (74481, 1, 118, 0, 6, 315, 63);
INSERT INTO public.who_data VALUES (74482, 0, 18, 0, 0, 315, 28);
INSERT INTO public.who_data VALUES (74483, 0, 33, 0, 0, 315, 172);
INSERT INTO public.who_data VALUES (74484, 46, 1304, 0, 24, 315, 17);
INSERT INTO public.who_data VALUES (74485, 0, 12, 0, 0, 315, 226);
INSERT INTO public.who_data VALUES (74486, 4, 69, 1, 3, 315, 236);
INSERT INTO public.who_data VALUES (74487, 0, 5, 0, 0, 315, 76);
INSERT INTO public.who_data VALUES (74488, 0, 184, 0, 0, 315, 30);
INSERT INTO public.who_data VALUES (74489, 0, 16, 0, 0, 315, 128);
INSERT INTO public.who_data VALUES (74490, 136, 2905, 1, 49, 315, 86);
INSERT INTO public.who_data VALUES (74491, 3104, 92787, 635, 13814, 315, 140);
INSERT INTO public.who_data VALUES (74492, 2, 86, 0, 0, 315, 44);
INSERT INTO public.who_data VALUES (74493, 0, 51, 0, 0, 315, 113);
INSERT INTO public.who_data VALUES (74494, 5, 49, 0, 1, 315, 29);
INSERT INTO public.who_data VALUES (74495, 5, 9, 0, 1, 315, 125);
INSERT INTO public.who_data VALUES (74496, 19, 252, 0, 3, 315, 131);
INSERT INTO public.who_data VALUES (74497, 2821, 120479, 129, 2673, 315, 46);
INSERT INTO public.who_data VALUES (74498, 30, 408, 2, 8, 315, 10);
INSERT INTO public.who_data VALUES (74499, 0, 113, 0, 0, 315, 205);
INSERT INTO public.who_data VALUES (74500, 70, 2081, 3, 93, 315, 50);
INSERT INTO public.who_data VALUES (74501, 0, 11, 0, 0, 315, 20);
INSERT INTO public.who_data VALUES (74502, 1, 13, 0, 0, 315, 13);
INSERT INTO public.who_data VALUES (74503, 0, 143, 0, 8, 315, 148);
INSERT INTO public.who_data VALUES (74504, 3, 133, 1, 5, 315, 230);
INSERT INTO public.who_data VALUES (74505, 11, 137, 0, 3, 315, 190);
INSERT INTO public.who_data VALUES (74506, 9, 200, 1, 6, 315, 188);
INSERT INTO public.who_data VALUES (74507, 56, 250, 0, 0, 315, 123);
INSERT INTO public.who_data VALUES (74508, 3, 38, 0, 0, 315, 9);
INSERT INTO public.who_data VALUES (74509, 0, 37, 0, 6, 315, 102);
INSERT INTO public.who_data VALUES (74510, 1, 31, 0, 2, 315, 34);
INSERT INTO public.who_data VALUES (74511, 0, 8, 0, 0, 315, 212);
INSERT INTO public.who_data VALUES (74512, 10, 392, 1, 24, 315, 122);
INSERT INTO public.who_data VALUES (74513, 100, 1410, 14, 99, 315, 38);
INSERT INTO public.who_data VALUES (74514, 14, 1689, 1, 8, 315, 130);
INSERT INTO public.who_data VALUES (74515, 909, 8356, 34, 273, 315, 37);
INSERT INTO public.who_data VALUES (74516, 399, 4241, 46, 373, 315, 231);
INSERT INTO public.who_data VALUES (74517, 1657, 71686, 117, 4474, 315, 107);
INSERT INTO public.who_data VALUES (74518, 34, 1352, 4, 76, 315, 101);
INSERT INTO public.who_data VALUES (74519, 839, 8928, 33, 320, 315, 132);
INSERT INTO public.who_data VALUES (74520, 14, 204, 0, 1, 315, 176);
INSERT INTO public.who_data VALUES (74521, 359, 10616, 8, 97, 315, 200);
INSERT INTO public.who_data VALUES (74522, 4694, 152271, 619, 19470, 315, 169);
INSERT INTO public.who_data VALUES (74523, 2, 65, 0, 4, 315, 225);
INSERT INTO public.who_data VALUES (74524, 743, 6748, 4, 98, 315, 165);
INSERT INTO public.who_data VALUES (74525, 15, 198, 0, 4, 315, 233);
INSERT INTO public.who_data VALUES (74526, 9, 381, 0, 7, 315, 215);
INSERT INTO public.who_data VALUES (74527, 82, 979, 2, 12, 315, 177);
INSERT INTO public.who_data VALUES (74528, 2, 191, 0, 7, 315, 183);
INSERT INTO public.who_data VALUES (74529, 0, 0, 0, 0, 315, 203);
INSERT INTO public.who_data VALUES (74530, 33, 283, 0, 7, 315, 162);
INSERT INTO public.who_data VALUES (74531, 80, 1234, 0, 1, 315, 12);
INSERT INTO public.who_data VALUES (74532, 38, 377, 0, 5, 315, 24);
INSERT INTO public.who_data VALUES (74533, 2, 18, 0, 0, 315, 119);
INSERT INTO public.who_data VALUES (74534, 18, 630, 1, 3, 315, 39);
INSERT INTO public.who_data VALUES (74535, 11, 630, 0, 20, 315, 26);
INSERT INTO public.who_data VALUES (74536, 0, 0, 0, 0, 315, 59);
INSERT INTO public.who_data VALUES (74537, 11, 48, 0, 5, 315, 77);
INSERT INTO public.who_data VALUES (74538, 1, 25, 0, 1, 315, 134);
INSERT INTO public.who_data VALUES (74539, 1, 81, 0, 1, 315, 4);
INSERT INTO public.who_data VALUES (74540, 26, 952, 1, 25, 315, 109);
INSERT INTO public.who_data VALUES (74541, 47, 3270, 8, 62, 315, 90);
INSERT INTO public.who_data VALUES (74542, 9, 104, 0, 0, 315, 61);
INSERT INTO public.who_data VALUES (74543, 3, 12, 1, 2, 315, 85);
INSERT INTO public.who_data VALUES (74544, 184, 4530, 3, 73, 315, 49);
INSERT INTO public.who_data VALUES (74545, 1, 20, 0, 0, 315, 208);
INSERT INTO public.who_data VALUES (74546, 13, 87, 0, 7, 315, 166);
INSERT INTO public.who_data VALUES (74547, 20, 370, 0, 2, 315, 64);
INSERT INTO public.who_data VALUES (74548, 0, 0, 0, 0, 315, 199);
INSERT INTO public.who_data VALUES (74549, 1, 155, 0, 6, 315, 114);
INSERT INTO public.who_data VALUES (74550, 0, 7, 0, 1, 315, 60);
INSERT INTO public.who_data VALUES (74551, 1, 319, 0, 9, 315, 68);
INSERT INTO public.who_data VALUES (74552, 0, 191, 0, 2, 315, 158);
INSERT INTO public.who_data VALUES (74553, 403, 3844, 39, 233, 315, 52);
INSERT INTO public.who_data VALUES (74554, 0, 0, 0, 0, 315, 117);
INSERT INTO public.who_data VALUES (74555, 0, 63, 0, 1, 315, 126);
INSERT INTO public.who_data VALUES (74556, 0, 16, 0, 0, 315, 196);
INSERT INTO public.who_data VALUES (74557, 6, 273, 1, 3, 315, 142);
INSERT INTO public.who_data VALUES (74558, 0, 9, 0, 0, 315, 185);
INSERT INTO public.who_data VALUES (74559, 90, 1617, 3, 113, 315, 138);
INSERT INTO public.who_data VALUES (74560, 0, 20, 0, 0, 315, 181);
INSERT INTO public.who_data VALUES (74561, 10, 38, 0, 3, 315, 178);
INSERT INTO public.who_data VALUES (74562, 0, 16, 0, 0, 315, 168);
INSERT INTO public.who_data VALUES (74563, 0, 0, 0, 0, 315, 160);
INSERT INTO public.who_data VALUES (74564, 3, 12, 0, 0, 315, 151);
INSERT INTO public.who_data VALUES (74565, 1301, 24187, 142, 2610, 315, 193);
INSERT INTO public.who_data VALUES (74566, 0, 18, 0, 0, 315, 18);
INSERT INTO public.who_data VALUES (74567, 14, 1049, 0, 4, 315, 40);
INSERT INTO public.who_data VALUES (74568, 0, 7, 0, 1, 315, 218);
INSERT INTO public.who_data VALUES (74569, 53, 491, 0, 11, 315, 191);
INSERT INTO public.who_data VALUES (74570, 13, 318, 3, 10, 315, 156);
INSERT INTO public.who_data VALUES (74571, 0, 0, 0, 0, 315, 135);
INSERT INTO public.who_data VALUES (74572, 0, 11, 0, 2, 315, 88);
INSERT INTO public.who_data VALUES (74573, 117, 828, 2, 34, 315, 55);
INSERT INTO public.who_data VALUES (74574, 76, 6320, 6, 98, 315, 108);
INSERT INTO public.who_data VALUES (74575, 0, 268, 0, 2, 315, 48);
INSERT INTO public.who_data VALUES (74576, 53, 599, 1, 4, 315, 3);
INSERT INTO public.who_data VALUES (74577, 0, 712, 0, 11, 315, 224);
INSERT INTO public.who_data VALUES (74578, 213, 5183, 11, 88, 315, 110);
INSERT INTO public.who_data VALUES (74579, 0, 0, 0, 0, 315, 106);
INSERT INTO public.who_data VALUES (74580, 222, 2974, 8, 74, 315, 89);
INSERT INTO public.who_data VALUES (74581, 0, 2, 0, 0, 315, 121);
INSERT INTO public.who_data VALUES (74582, 4, 133, 0, 6, 315, 163);
INSERT INTO public.who_data VALUES (74583, 641, 5897, 31, 169, 315, 70);
INSERT INTO public.who_data VALUES (74584, 220, 4648, 50, 297, 315, 174);
INSERT INTO public.who_data VALUES (74585, 0, 0, 0, 0, 315, 175);
INSERT INTO public.who_data VALUES (74586, 401, 6356, 27, 208, 315, 118);
INSERT INTO public.who_data VALUES (74587, 515, 15987, 35, 470, 315, 189);
INSERT INTO public.who_data VALUES (74588, 63, 788, 3, 42, 315, 124);
INSERT INTO public.who_data VALUES (74589, 251, 2979, 1, 7, 315, 192);
INSERT INTO public.who_data VALUES (74590, 32, 10512, 3, 214, 315, 41);
INSERT INTO public.who_data VALUES (74591, 122, 1560, 1, 30, 315, 95);
INSERT INTO public.who_data VALUES (74592, 6, 388, 0, 0, 315, 74);
INSERT INTO public.who_data VALUES (74593, 523, 5990, 25, 282, 315, 11);
INSERT INTO public.who_data VALUES (74594, 2186, 15770, 24, 130, 315, 87);
INSERT INTO public.who_data VALUES (74595, 2, 120, 0, 0, 315, 214);
INSERT INTO public.who_data VALUES (74596, 0, 1, 0, 0, 315, 116);
INSERT INTO public.who_data VALUES (74597, 0, 6, 0, 0, 315, 157);
INSERT INTO public.who_data VALUES (74598, 0, 0, 0, 0, 315, 182);
INSERT INTO public.who_data VALUES (74599, 1, 12, 0, 0, 315, 186);
INSERT INTO public.who_data VALUES (74600, 1, 15, 0, 0, 315, 127);
INSERT INTO public.who_data VALUES (74601, 1, 33, 0, 2, 315, 232);
INSERT INTO public.who_data VALUES (74602, 0, 1, 0, 0, 315, 33);
INSERT INTO public.who_data VALUES (74603, 0, 12, 0, 0, 315, 97);
INSERT INTO public.who_data VALUES (74604, 0, 0, 0, 0, 315, 42);
INSERT INTO public.who_data VALUES (74605, 12, 356, 1, 35, 315, 198);
INSERT INTO public.who_data VALUES (74606, 0, 4, 0, 0, 315, 216);
INSERT INTO public.who_data VALUES (74607, 429, 4462, 7, 59, 315, 164);
INSERT INTO public.who_data VALUES (74608, 13, 278, 0, 2, 315, 235);
INSERT INTO public.who_data VALUES (74609, 275, 3380, 3, 74, 315, 67);
INSERT INTO public.who_data VALUES (74610, 0, 11, 0, 0, 315, 15);
INSERT INTO public.who_data VALUES (74611, 1, 8, 0, 0, 315, 180);
INSERT INTO public.who_data VALUES (74612, 191, 2299, 1, 8, 315, 237);
INSERT INTO public.who_data VALUES (74613, 0, 2, 0, 0, 315, 25);
INSERT INTO public.who_data VALUES (74614, 0, 50, 0, 9, 315, 209);
INSERT INTO public.who_data VALUES (74615, 14, 715, 0, 2, 315, 217);
INSERT INTO public.who_data VALUES (74616, 29, 1189, 6, 54, 315, 79);
INSERT INTO public.who_data VALUES (74617, 0, 0, 0, 0, 315, 143);
INSERT INTO public.who_data VALUES (74618, 0, 21, 0, 1, 315, 229);
INSERT INTO public.who_data VALUES (74619, 25, 2028, 1, 25, 315, 141);
INSERT INTO public.who_data VALUES (74620, 1, 4, 0, 0, 315, 197);
INSERT INTO public.who_data VALUES (74621, 4437, 178218, 676, 18013, 315, 221);
INSERT INTO public.who_data VALUES (74622, 2, 199, 0, 7, 315, 150);
INSERT INTO public.who_data VALUES (74623, 0, 19, 0, 2, 315, 56);
INSERT INTO public.who_data VALUES (74624, 0, 10, 0, 1, 315, 167);
INSERT INTO public.who_data VALUES (74625, 454, 10054, 90, 1188, 315, 23);
INSERT INTO public.who_data VALUES (74626, 260, 26004, 45, 1069, 315, 222);
INSERT INTO public.who_data VALUES (74627, 0, 25, 0, 2, 315, 219);
INSERT INTO public.who_data VALUES (74628, 0, 0, 0, 0, 315, 7);
INSERT INTO public.who_data VALUES (74629, 33, 2551, 3, 38, 315, 161);
INSERT INTO public.who_data VALUES (74630, 4313, 85810, 843, 11656, 315, 149);
INSERT INTO public.who_data VALUES (74631, 0, 2, 0, 0, 315, 6);
INSERT INTO public.who_data VALUES (74632, 0, 73, 0, 3, 315, 139);
INSERT INTO public.who_data VALUES (74633, 0, 0, 0, 0, 315, 211);
INSERT INTO public.who_data VALUES (74634, 0, 0, 0, 0, 315, 14);
INSERT INTO public.who_data VALUES (74635, 0, 109, 0, 8, 315, 111);
INSERT INTO public.who_data VALUES (74636, 14, 685, 3, 28, 315, 207);
INSERT INTO public.who_data VALUES (74637, 5138, 52167, 95, 1101, 315, 66);
INSERT INTO public.who_data VALUES (74638, 0, 0, 0, 0, 315, 173);
INSERT INTO public.who_data VALUES (74639, 0, 8, 0, 1, 315, 145);
INSERT INTO public.who_data VALUES (74640, 0, 0, 0, 0, 315, 65);
INSERT INTO public.who_data VALUES (74641, 0, 53, 0, 0, 315, 184);
INSERT INTO public.who_data VALUES (74642, 266, 2777, 10, 83, 315, 98);
INSERT INTO public.who_data VALUES (74643, 0, 3736, 0, 20, 315, 104);
INSERT INTO public.who_data VALUES (74644, 0, 32, 0, 3, 315, 73);
INSERT INTO public.who_data VALUES (74645, 31606, 492881, 1920, 18516, 315, 8);
INSERT INTO public.who_data VALUES (74646, 0, 51, 0, 1, 315, 227);
INSERT INTO public.who_data VALUES (74647, 12, 465, 0, 7, 315, 75);
INSERT INTO public.who_data VALUES (74648, 172, 796, 0, 3, 315, 45);
INSERT INTO public.who_data VALUES (74649, 0, 0, 0, 0, 315, 133);
INSERT INTO public.who_data VALUES (74650, 0, 171, 0, 9, 315, 202);
INSERT INTO public.who_data VALUES (74651, 1, 258, 0, 0, 315, 129);
INSERT INTO public.who_data VALUES (74652, 0, 0, 0, 0, 315, 36);
INSERT INTO public.who_data VALUES (74653, 0, 1, 0, 0, 315, 51);
INSERT INTO public.who_data VALUES (74654, 0, 40, 0, 2, 315, 206);
INSERT INTO public.who_data VALUES (74655, 2, 13, 0, 3, 315, 5);
INSERT INTO public.who_data VALUES (74656, 0, 521, 0, 15, 316, 103);
INSERT INTO public.who_data VALUES (74657, 0, 378, 0, 22, 316, 58);
INSERT INTO public.who_data VALUES (74658, 95, 1761, 21, 256, 316, 195);
INSERT INTO public.who_data VALUES (74659, 0, 0, 0, 0, 316, 115);
INSERT INTO public.who_data VALUES (74660, 13, 602, 0, 26, 316, 99);
INSERT INTO public.who_data VALUES (74661, 0, 19, 0, 2, 316, 153);
INSERT INTO public.who_data VALUES (74662, 0, 3, 0, 0, 316, 93);
INSERT INTO public.who_data VALUES (74663, 0, 19, 0, 2, 316, 84);
INSERT INTO public.who_data VALUES (74664, 134, 1929, 12, 79, 316, 78);
INSERT INTO public.who_data VALUES (74665, 16, 913, 1, 11, 316, 170);
INSERT INTO public.who_data VALUES (74666, 4, 86, 0, 0, 316, 32);
INSERT INTO public.who_data VALUES (74667, 137, 6289, 4, 56, 316, 155);
INSERT INTO public.who_data VALUES (74668, 312, 13560, 24, 319, 316, 82);
INSERT INTO public.who_data VALUES (74669, 65, 991, 1, 10, 316, 16);
INSERT INTO public.who_data VALUES (74670, 1, 41, 1, 8, 316, 72);
INSERT INTO public.who_data VALUES (74671, 103, 1016, 0, 6, 316, 43);
INSERT INTO public.who_data VALUES (74672, 58, 482, 3, 30, 316, 120);
INSERT INTO public.who_data VALUES (74673, 3, 66, 1, 4, 316, 213);
INSERT INTO public.who_data VALUES (74674, 915, 1981, 6, 19, 316, 31);
INSERT INTO public.who_data VALUES (74675, 2336, 32975, 302, 4012, 316, 204);
INSERT INTO public.who_data VALUES (74676, 1, 10, 0, 1, 316, 152);
INSERT INTO public.who_data VALUES (74677, 0, 30, 0, 1, 316, 144);
INSERT INTO public.who_data VALUES (74678, 9, 48, 1, 4, 316, 96);
INSERT INTO public.who_data VALUES (74679, 0, 5, 0, 0, 316, 47);
INSERT INTO public.who_data VALUES (74680, 4, 268, 1, 19, 316, 80);
INSERT INTO public.who_data VALUES (74681, 0, 0, 0, 0, 316, 159);
INSERT INTO public.who_data VALUES (74682, 26, 901, 1, 37, 316, 27);
INSERT INTO public.who_data VALUES (74683, 0, 13, 0, 1, 316, 146);
INSERT INTO public.who_data VALUES (74684, 1930, 17857, 141, 941, 316, 71);
INSERT INTO public.who_data VALUES (74685, 0, 3, 0, 0, 316, 210);
INSERT INTO public.who_data VALUES (74686, 1, 136, 0, 1, 316, 54);
INSERT INTO public.who_data VALUES (74687, 11, 635, 1, 25, 316, 147);
INSERT INTO public.who_data VALUES (74688, 29, 443, 0, 19, 316, 2);
INSERT INTO public.who_data VALUES (74689, 0, 3, 0, 0, 316, 105);
INSERT INTO public.who_data VALUES (74690, 0, 7, 0, 1, 316, 53);
INSERT INTO public.who_data VALUES (74691, 2, 120, 0, 0, 316, 81);
INSERT INTO public.who_data VALUES (74692, 73, 803, 0, 10, 316, 223);
INSERT INTO public.who_data VALUES (74693, 1467, 21226, 70, 531, 316, 94);
INSERT INTO public.who_data VALUES (74694, 0, 45, 0, 1, 316, 154);
INSERT INTO public.who_data VALUES (74695, 1, 11, 0, 0, 316, 83);
INSERT INTO public.who_data VALUES (74696, 0, 11, 0, 0, 316, 194);
INSERT INTO public.who_data VALUES (74697, 529, 6501, 8, 65, 316, 136);
INSERT INTO public.who_data VALUES (74698, 78, 83383, 4, 3349, 316, 179);
INSERT INTO public.who_data VALUES (74699, 169, 2223, 14, 69, 316, 57);
INSERT INTO public.who_data VALUES (74700, 0, 0, 0, 0, 316, 35);
INSERT INTO public.who_data VALUES (74701, 0, 60, 0, 5, 316, 228);
INSERT INTO public.who_data VALUES (74702, 0, 0, 0, 0, 316, 19);
INSERT INTO public.who_data VALUES (74703, 37, 539, 0, 3, 316, 22);
INSERT INTO public.who_data VALUES (74704, 96, 480, 0, 3, 316, 1);
INSERT INTO public.who_data VALUES (74705, 88, 1495, 1, 21, 316, 21);
INSERT INTO public.who_data VALUES (74706, 49, 564, 0, 15, 316, 234);
INSERT INTO public.who_data VALUES (74707, 0, 14, 0, 1, 316, 91);
INSERT INTO public.who_data VALUES (74708, 31, 595, 0, 10, 316, 137);
INSERT INTO public.who_data VALUES (74709, 163, 5732, 7, 119, 316, 201);
INSERT INTO public.who_data VALUES (74710, 0, 0, 0, 0, 316, 171);
INSERT INTO public.who_data VALUES (74711, 0, 215, 0, 20, 316, 92);
INSERT INTO public.who_data VALUES (74712, 184, 5819, 10, 247, 316, 112);
INSERT INTO public.who_data VALUES (74713, 37, 187, 1, 2, 316, 62);
INSERT INTO public.who_data VALUES (74714, 1, 16, 0, 0, 316, 69);
INSERT INTO public.who_data VALUES (74715, 0, 2349, 0, 118, 316, 220);
INSERT INTO public.who_data VALUES (74716, 2196, 7161, 25, 297, 316, 100);
INSERT INTO public.who_data VALUES (74717, 95, 1794, 17, 135, 316, 187);
INSERT INTO public.who_data VALUES (74718, 14, 117, 1, 6, 316, 63);
INSERT INTO public.who_data VALUES (74719, 0, 18, 0, 0, 316, 28);
INSERT INTO public.who_data VALUES (74720, 0, 33, 0, 0, 316, 172);
INSERT INTO public.who_data VALUES (74721, 51, 1258, 0, 24, 316, 17);
INSERT INTO public.who_data VALUES (74722, 0, 12, 0, 0, 316, 226);
INSERT INTO public.who_data VALUES (74723, 9, 65, 0, 2, 316, 236);
INSERT INTO public.who_data VALUES (74724, 0, 5, 0, 0, 316, 76);
INSERT INTO public.who_data VALUES (74725, 0, 184, 0, 0, 316, 30);
INSERT INTO public.who_data VALUES (74726, 1, 16, 0, 0, 316, 128);
INSERT INTO public.who_data VALUES (74727, 164, 2769, 6, 48, 316, 86);
INSERT INTO public.who_data VALUES (74728, 4333, 89683, 987, 13179, 316, 140);
INSERT INTO public.who_data VALUES (74729, 1, 84, 0, 0, 316, 44);
INSERT INTO public.who_data VALUES (74730, 0, 51, 0, 0, 316, 113);
INSERT INTO public.who_data VALUES (74731, 0, 44, 0, 1, 316, 29);
INSERT INTO public.who_data VALUES (74732, 0, 4, 0, 1, 316, 125);
INSERT INTO public.who_data VALUES (74733, 3, 233, 0, 3, 316, 131);
INSERT INTO public.who_data VALUES (74734, 4133, 117658, 171, 2544, 316, 46);
INSERT INTO public.who_data VALUES (74735, 65, 378, 0, 6, 316, 10);
INSERT INTO public.who_data VALUES (74736, 0, 113, 0, 0, 316, 205);
INSERT INTO public.who_data VALUES (74737, 56, 2011, 4, 90, 316, 50);
INSERT INTO public.who_data VALUES (74738, 0, 11, 0, 0, 316, 20);
INSERT INTO public.who_data VALUES (74739, 0, 12, 0, 0, 316, 13);
INSERT INTO public.who_data VALUES (74740, 2, 143, 0, 8, 316, 148);
INSERT INTO public.who_data VALUES (74741, 2, 130, 0, 4, 316, 230);
INSERT INTO public.who_data VALUES (74742, 31, 126, 0, 3, 316, 190);
INSERT INTO public.who_data VALUES (74743, 10, 191, 0, 5, 316, 188);
INSERT INTO public.who_data VALUES (74744, 0, 194, 0, 0, 316, 123);
INSERT INTO public.who_data VALUES (74745, 0, 35, 0, 0, 316, 9);
INSERT INTO public.who_data VALUES (74746, 0, 37, 0, 6, 316, 102);
INSERT INTO public.who_data VALUES (74747, 0, 30, 0, 2, 316, 34);
INSERT INTO public.who_data VALUES (74748, 0, 8, 0, 0, 316, 212);
INSERT INTO public.who_data VALUES (74749, 39, 382, 0, 23, 316, 122);
INSERT INTO public.who_data VALUES (74750, 120, 1310, 8, 85, 316, 38);
INSERT INTO public.who_data VALUES (74751, 27, 1675, 1, 7, 316, 130);
INSERT INTO public.who_data VALUES (74752, 1035, 7447, 40, 239, 316, 37);
INSERT INTO public.who_data VALUES (74753, 330, 3842, 21, 327, 316, 231);
INSERT INTO public.who_data VALUES (74754, 1837, 70029, 125, 4357, 316, 107);
INSERT INTO public.who_data VALUES (74755, 39, 1318, 2, 72, 316, 101);
INSERT INTO public.who_data VALUES (74756, 696, 8089, 24, 287, 316, 132);
INSERT INTO public.who_data VALUES (74757, 25, 190, 0, 1, 316, 176);
INSERT INTO public.who_data VALUES (74758, 343, 10257, 9, 89, 316, 200);
INSERT INTO public.who_data VALUES (74759, 3951, 147577, 570, 18851, 316, 169);
INSERT INTO public.who_data VALUES (74760, 0, 63, 0, 4, 316, 225);
INSERT INTO public.who_data VALUES (74761, 658, 6005, 6, 94, 316, 165);
INSERT INTO public.who_data VALUES (74762, 13, 183, 1, 4, 316, 233);
INSERT INTO public.who_data VALUES (74763, 0, 372, 0, 7, 316, 215);
INSERT INTO public.who_data VALUES (74764, 38, 897, 0, 10, 316, 177);
INSERT INTO public.who_data VALUES (74765, 5, 189, 0, 7, 316, 183);
INSERT INTO public.who_data VALUES (74766, 0, 0, 0, 0, 316, 203);
INSERT INTO public.who_data VALUES (74767, 23, 250, 0, 7, 316, 162);
INSERT INTO public.who_data VALUES (74768, 161, 1154, 0, 1, 316, 12);
INSERT INTO public.who_data VALUES (74769, 41, 339, 0, 5, 316, 24);
INSERT INTO public.who_data VALUES (74770, 0, 16, 0, 0, 316, 119);
INSERT INTO public.who_data VALUES (74771, 23, 612, 0, 2, 316, 39);
INSERT INTO public.who_data VALUES (74772, 10, 619, 0, 20, 316, 26);
INSERT INTO public.who_data VALUES (74773, 0, 0, 0, 0, 316, 59);
INSERT INTO public.who_data VALUES (74774, 6, 37, 1, 5, 316, 77);
INSERT INTO public.who_data VALUES (74775, 0, 24, 0, 1, 316, 134);
INSERT INTO public.who_data VALUES (74776, 0, 80, 0, 1, 316, 4);
INSERT INTO public.who_data VALUES (74777, 30, 926, 2, 24, 316, 109);
INSERT INTO public.who_data VALUES (74778, 108, 3223, 2, 54, 316, 90);
INSERT INTO public.who_data VALUES (74779, 0, 95, 0, 0, 316, 61);
INSERT INTO public.who_data VALUES (74780, 1, 9, 0, 1, 316, 85);
INSERT INTO public.who_data VALUES (74781, 118, 4346, 3, 70, 316, 49);
INSERT INTO public.who_data VALUES (74782, 0, 19, 0, 0, 316, 208);
INSERT INTO public.who_data VALUES (74783, 15, 74, 0, 7, 316, 166);
INSERT INTO public.who_data VALUES (74784, 13, 350, 1, 2, 316, 64);
INSERT INTO public.who_data VALUES (74785, 0, 0, 0, 0, 316, 199);
INSERT INTO public.who_data VALUES (74786, 0, 154, 0, 6, 316, 114);
INSERT INTO public.who_data VALUES (74787, 1, 7, 0, 1, 316, 60);
INSERT INTO public.who_data VALUES (74788, 4, 318, 2, 9, 316, 68);
INSERT INTO public.who_data VALUES (74789, 0, 191, 0, 2, 316, 158);
INSERT INTO public.who_data VALUES (74790, 260, 3441, 20, 194, 316, 52);
INSERT INTO public.who_data VALUES (74791, 0, 0, 0, 0, 316, 117);
INSERT INTO public.who_data VALUES (74792, 6, 63, 0, 1, 316, 126);
INSERT INTO public.who_data VALUES (74793, 0, 16, 0, 0, 316, 196);
INSERT INTO public.who_data VALUES (74794, 5, 267, 0, 2, 316, 142);
INSERT INTO public.who_data VALUES (74795, 1, 9, 0, 0, 316, 185);
INSERT INTO public.who_data VALUES (74796, 96, 1527, 5, 110, 316, 138);
INSERT INTO public.who_data VALUES (74797, 3, 20, 0, 0, 316, 181);
INSERT INTO public.who_data VALUES (74798, 1, 28, 0, 3, 316, 178);
INSERT INTO public.who_data VALUES (74799, 0, 16, 0, 0, 316, 168);
INSERT INTO public.who_data VALUES (74800, 0, 0, 0, 0, 316, 160);
INSERT INTO public.who_data VALUES (74801, 0, 9, 0, 0, 316, 151);
INSERT INTO public.who_data VALUES (74802, 1327, 22886, 119, 2468, 316, 193);
INSERT INTO public.who_data VALUES (74803, 0, 18, 0, 0, 316, 18);
INSERT INTO public.who_data VALUES (74804, 20, 1035, 3, 4, 316, 40);
INSERT INTO public.who_data VALUES (74805, 1, 7, 0, 1, 316, 218);
INSERT INTO public.who_data VALUES (74806, 28, 438, 0, 11, 316, 191);
INSERT INTO public.who_data VALUES (74807, 17, 305, 0, 7, 316, 156);
INSERT INTO public.who_data VALUES (74808, 0, 0, 0, 0, 316, 135);
INSERT INTO public.who_data VALUES (74809, 0, 11, 0, 2, 316, 88);
INSERT INTO public.who_data VALUES (74810, 48, 711, 2, 32, 316, 55);
INSERT INTO public.who_data VALUES (74811, 84, 6244, 4, 92, 316, 108);
INSERT INTO public.who_data VALUES (74812, 2, 268, 0, 2, 316, 48);
INSERT INTO public.who_data VALUES (74813, 62, 546, 0, 3, 316, 3);
INSERT INTO public.who_data VALUES (74814, 0, 712, 0, 11, 316, 224);
INSERT INTO public.who_data VALUES (74815, 275, 4970, 11, 77, 316, 110);
INSERT INTO public.who_data VALUES (74816, 0, 0, 0, 0, 316, 106);
INSERT INTO public.who_data VALUES (74817, 224, 2752, 3, 66, 316, 89);
INSERT INTO public.who_data VALUES (74818, 0, 2, 0, 0, 316, 121);
INSERT INTO public.who_data VALUES (74819, 5, 129, 1, 6, 316, 163);
INSERT INTO public.who_data VALUES (74820, 914, 5256, 17, 138, 316, 70);
INSERT INTO public.who_data VALUES (74821, 352, 4428, 44, 247, 316, 174);
INSERT INTO public.who_data VALUES (74822, 0, 0, 0, 0, 316, 175);
INSERT INTO public.who_data VALUES (74823, 380, 5955, 7, 181, 316, 118);
INSERT INTO public.who_data VALUES (74824, 1516, 15472, 26, 435, 316, 189);
INSERT INTO public.who_data VALUES (74825, 42, 725, 6, 39, 316, 124);
INSERT INTO public.who_data VALUES (74826, 216, 2728, 0, 6, 316, 192);
INSERT INTO public.who_data VALUES (74827, 30, 10480, 3, 211, 316, 41);
INSERT INTO public.who_data VALUES (74828, 149, 1438, 0, 29, 316, 95);
INSERT INTO public.who_data VALUES (74829, 6, 382, 0, 0, 316, 74);
INSERT INTO public.who_data VALUES (74830, 265, 5467, 28, 257, 316, 11);
INSERT INTO public.who_data VALUES (74831, 1667, 13584, 12, 106, 316, 87);
INSERT INTO public.who_data VALUES (74832, 5, 118, 0, 0, 316, 214);
INSERT INTO public.who_data VALUES (74833, 1, 1, 0, 0, 316, 116);
INSERT INTO public.who_data VALUES (74834, 0, 6, 0, 0, 316, 157);
INSERT INTO public.who_data VALUES (74835, 0, 0, 0, 0, 316, 182);
INSERT INTO public.who_data VALUES (74836, 0, 11, 0, 0, 316, 186);
INSERT INTO public.who_data VALUES (74837, 0, 14, 0, 0, 316, 127);
INSERT INTO public.who_data VALUES (74838, 0, 32, 0, 2, 316, 232);
INSERT INTO public.who_data VALUES (74839, 0, 1, 0, 0, 316, 33);
INSERT INTO public.who_data VALUES (74840, 4, 12, 0, 0, 316, 97);
INSERT INTO public.who_data VALUES (74841, 0, 0, 0, 0, 316, 42);
INSERT INTO public.who_data VALUES (74842, 0, 344, 0, 34, 316, 198);
INSERT INTO public.who_data VALUES (74843, 0, 4, 0, 0, 316, 216);
INSERT INTO public.who_data VALUES (74844, 382, 4033, 5, 52, 316, 164);
INSERT INTO public.who_data VALUES (74845, 15, 265, 0, 2, 316, 235);
INSERT INTO public.who_data VALUES (74846, 238, 3105, 6, 71, 316, 67);
INSERT INTO public.who_data VALUES (74847, 0, 11, 0, 0, 316, 15);
INSERT INTO public.who_data VALUES (74848, 0, 7, 0, 0, 316, 180);
INSERT INTO public.who_data VALUES (74849, 198, 2108, 0, 7, 316, 237);
INSERT INTO public.who_data VALUES (74850, 0, 2, 0, 0, 316, 25);
INSERT INTO public.who_data VALUES (74851, 7, 50, 1, 9, 316, 209);
INSERT INTO public.who_data VALUES (74852, 19, 701, 0, 2, 316, 217);
INSERT INTO public.who_data VALUES (74853, 35, 1160, 2, 48, 316, 79);
INSERT INTO public.who_data VALUES (74854, 0, 0, 0, 0, 316, 143);
INSERT INTO public.who_data VALUES (74855, 9, 21, 0, 1, 316, 229);
INSERT INTO public.who_data VALUES (74856, 69, 2003, 6, 24, 316, 141);
INSERT INTO public.who_data VALUES (74857, 0, 3, 0, 0, 316, 197);
INSERT INTO public.who_data VALUES (74858, 4611, 173781, 667, 17337, 316, 221);
INSERT INTO public.who_data VALUES (74859, 7, 197, 0, 7, 316, 150);
INSERT INTO public.who_data VALUES (74860, 4, 19, 0, 2, 316, 56);
INSERT INTO public.who_data VALUES (74861, 0, 10, 0, 1, 316, 167);
INSERT INTO public.who_data VALUES (74862, 645, 9600, 86, 1098, 316, 23);
INSERT INTO public.who_data VALUES (74863, 309, 25744, 52, 1024, 316, 222);
INSERT INTO public.who_data VALUES (74864, 6, 25, 0, 2, 316, 219);
INSERT INTO public.who_data VALUES (74865, 0, 0, 0, 0, 316, 7);
INSERT INTO public.who_data VALUES (74866, 45, 2518, 2, 35, 316, 161);
INSERT INTO public.who_data VALUES (74867, 4858, 81497, 1122, 10813, 316, 149);
INSERT INTO public.who_data VALUES (74868, 1, 2, 0, 0, 316, 6);
INSERT INTO public.who_data VALUES (74869, 0, 73, 0, 3, 316, 139);
INSERT INTO public.who_data VALUES (74870, 0, 0, 0, 0, 316, 211);
INSERT INTO public.who_data VALUES (74871, 0, 0, 0, 0, 316, 14);
INSERT INTO public.who_data VALUES (74872, 0, 109, 0, 8, 316, 111);
INSERT INTO public.who_data VALUES (74873, 28, 671, 0, 25, 316, 207);
INSERT INTO public.who_data VALUES (74874, 4747, 47029, 98, 1006, 316, 66);
INSERT INTO public.who_data VALUES (74875, 0, 0, 0, 0, 316, 173);
INSERT INTO public.who_data VALUES (74876, 0, 8, 0, 1, 316, 145);
INSERT INTO public.who_data VALUES (74877, 0, 0, 0, 0, 316, 65);
INSERT INTO public.who_data VALUES (74878, 0, 53, 0, 0, 316, 184);
INSERT INTO public.who_data VALUES (74879, 308, 2511, 4, 73, 316, 98);
INSERT INTO public.who_data VALUES (74880, 746, 3736, 6, 20, 316, 104);
INSERT INTO public.who_data VALUES (74881, 7, 32, 2, 3, 316, 73);
INSERT INTO public.who_data VALUES (74882, 35386, 461275, 1931, 16596, 316, 8);
INSERT INTO public.who_data VALUES (74883, 5, 51, 0, 1, 316, 227);
INSERT INTO public.who_data VALUES (74884, 7, 453, 0, 7, 316, 75);
INSERT INTO public.who_data VALUES (74885, 0, 624, 0, 3, 316, 45);
INSERT INTO public.who_data VALUES (74886, 0, 0, 0, 0, 316, 133);
INSERT INTO public.who_data VALUES (74887, 5, 171, 2, 9, 316, 202);
INSERT INTO public.who_data VALUES (74888, 2, 257, 0, 0, 316, 129);
INSERT INTO public.who_data VALUES (74889, 0, 0, 0, 0, 316, 36);
INSERT INTO public.who_data VALUES (74890, 0, 1, 0, 0, 316, 51);
INSERT INTO public.who_data VALUES (74891, 1, 40, 1, 2, 316, 206);
INSERT INTO public.who_data VALUES (74892, 0, 11, 0, 3, 316, 5);
INSERT INTO public.who_data VALUES (74893, 37, 521, 0, 15, 317, 103);
INSERT INTO public.who_data VALUES (74894, 7, 378, 1, 22, 317, 58);
INSERT INTO public.who_data VALUES (74895, 94, 1666, 30, 235, 317, 195);
INSERT INTO public.who_data VALUES (74896, 0, 0, 0, 0, 317, 115);
INSERT INTO public.who_data VALUES (74897, 23, 589, 2, 26, 317, 99);
INSERT INTO public.who_data VALUES (74898, 0, 19, 0, 2, 317, 153);
INSERT INTO public.who_data VALUES (74899, 0, 3, 0, 0, 317, 93);
INSERT INTO public.who_data VALUES (74900, 0, 19, 0, 2, 317, 84);
INSERT INTO public.who_data VALUES (74901, 80, 1795, 7, 67, 317, 78);
INSERT INTO public.who_data VALUES (74902, 40, 897, 1, 10, 317, 170);
INSERT INTO public.who_data VALUES (74903, 8, 82, 0, 0, 317, 32);
INSERT INTO public.who_data VALUES (74904, 100, 6152, 2, 52, 317, 155);
INSERT INTO public.who_data VALUES (74905, 279, 13248, 22, 295, 317, 82);
INSERT INTO public.who_data VALUES (74906, 104, 926, 1, 9, 317, 16);
INSERT INTO public.who_data VALUES (74907, 4, 40, 1, 7, 317, 72);
INSERT INTO public.who_data VALUES (74908, 58, 913, 1, 6, 317, 43);
INSERT INTO public.who_data VALUES (74909, 94, 424, 6, 27, 317, 120);
INSERT INTO public.who_data VALUES (74910, 0, 63, 0, 3, 317, 213);
INSERT INTO public.who_data VALUES (74911, 0, 1066, 0, 13, 317, 31);
INSERT INTO public.who_data VALUES (74912, 2239, 30639, 272, 3710, 317, 204);
INSERT INTO public.who_data VALUES (74913, 1, 9, 0, 1, 317, 152);
INSERT INTO public.who_data VALUES (74914, 4, 30, 0, 1, 317, 144);
INSERT INTO public.who_data VALUES (74915, 0, 39, 1, 3, 317, 96);
INSERT INTO public.who_data VALUES (74916, 0, 5, 0, 0, 317, 47);
INSERT INTO public.who_data VALUES (74917, 54, 264, 3, 18, 317, 80);
INSERT INTO public.who_data VALUES (74918, 0, 0, 0, 0, 317, 159);
INSERT INTO public.who_data VALUES (74919, 59, 875, 1, 36, 317, 27);
INSERT INTO public.who_data VALUES (74920, 7, 13, 0, 1, 317, 146);
INSERT INTO public.who_data VALUES (74921, 2210, 15927, 133, 800, 317, 71);
INSERT INTO public.who_data VALUES (74922, 0, 3, 0, 0, 317, 210);
INSERT INTO public.who_data VALUES (74923, 0, 135, 0, 1, 317, 54);
INSERT INTO public.who_data VALUES (74924, 31, 624, 0, 24, 317, 147);
INSERT INTO public.who_data VALUES (74925, 30, 414, 0, 19, 317, 2);
INSERT INTO public.who_data VALUES (74926, 0, 3, 0, 0, 317, 105);
INSERT INTO public.who_data VALUES (74927, 0, 7, 0, 1, 317, 53);
INSERT INTO public.who_data VALUES (74928, 1, 118, 0, 0, 317, 81);
INSERT INTO public.who_data VALUES (74929, 0, 730, 0, 10, 317, 223);
INSERT INTO public.who_data VALUES (74930, 1326, 19759, 60, 461, 317, 94);
INSERT INTO public.who_data VALUES (74931, 0, 45, 0, 1, 317, 154);
INSERT INTO public.who_data VALUES (74932, 0, 10, 0, 0, 317, 83);
INSERT INTO public.who_data VALUES (74933, 1, 11, 0, 0, 317, 194);
INSERT INTO public.who_data VALUES (74934, 426, 5972, 9, 57, 317, 136);
INSERT INTO public.who_data VALUES (74935, 56, 83305, 1, 3345, 317, 179);
INSERT INTO public.who_data VALUES (74936, 274, 2054, 5, 55, 317, 57);
INSERT INTO public.who_data VALUES (74937, 0, 0, 0, 0, 317, 35);
INSERT INTO public.who_data VALUES (74938, 0, 60, 0, 5, 317, 228);
INSERT INTO public.who_data VALUES (74939, 0, 0, 0, 0, 317, 19);
INSERT INTO public.who_data VALUES (74940, 19, 502, 1, 3, 317, 22);
INSERT INTO public.who_data VALUES (74941, 0, 384, 0, 3, 317, 1);
INSERT INTO public.who_data VALUES (74942, 64, 1407, 1, 20, 317, 21);
INSERT INTO public.who_data VALUES (74943, 58, 515, 3, 15, 317, 234);
INSERT INTO public.who_data VALUES (74944, 0, 14, 0, 1, 317, 91);
INSERT INTO public.who_data VALUES (74945, 38, 564, 1, 10, 317, 137);
INSERT INTO public.who_data VALUES (74946, 257, 5569, 13, 112, 317, 201);
INSERT INTO public.who_data VALUES (74947, 0, 0, 0, 0, 317, 171);
INSERT INTO public.who_data VALUES (74948, 8, 215, 0, 20, 317, 92);
INSERT INTO public.who_data VALUES (74949, 233, 5635, 19, 237, 317, 112);
INSERT INTO public.who_data VALUES (74950, 10, 150, 0, 1, 317, 62);
INSERT INTO public.who_data VALUES (74951, 0, 15, 0, 0, 317, 69);
INSERT INTO public.who_data VALUES (74952, 393, 2349, 20, 118, 317, 220);
INSERT INTO public.who_data VALUES (74953, 515, 4965, 30, 272, 317, 100);
INSERT INTO public.who_data VALUES (74954, 139, 1699, 15, 118, 317, 187);
INSERT INTO public.who_data VALUES (74955, 10, 103, 0, 5, 317, 63);
INSERT INTO public.who_data VALUES (74956, 2, 18, 0, 0, 317, 28);
INSERT INTO public.who_data VALUES (74957, 0, 33, 0, 0, 317, 172);
INSERT INTO public.who_data VALUES (74958, 22, 1207, 0, 24, 317, 17);
INSERT INTO public.who_data VALUES (74959, 0, 12, 0, 0, 317, 226);
INSERT INTO public.who_data VALUES (74960, 1, 56, 0, 2, 317, 236);
INSERT INTO public.who_data VALUES (74961, 0, 5, 0, 0, 317, 76);
INSERT INTO public.who_data VALUES (74962, 0, 184, 0, 0, 317, 30);
INSERT INTO public.who_data VALUES (74963, 0, 15, 0, 0, 317, 128);
INSERT INTO public.who_data VALUES (74964, 118, 2605, 2, 42, 317, 86);
INSERT INTO public.who_data VALUES (74965, 4256, 85350, 1339, 12192, 317, 140);
INSERT INTO public.who_data VALUES (74966, 6, 83, 0, 0, 317, 44);
INSERT INTO public.who_data VALUES (74967, 0, 51, 0, 0, 317, 113);
INSERT INTO public.who_data VALUES (74968, 20, 44, 0, 1, 317, 29);
INSERT INTO public.who_data VALUES (74969, 0, 4, 0, 1, 317, 125);
INSERT INTO public.who_data VALUES (74970, 16, 230, 0, 3, 317, 131);
INSERT INTO public.who_data VALUES (74971, 5323, 113525, 266, 2373, 317, 46);
INSERT INTO public.who_data VALUES (74972, 0, 313, 0, 6, 317, 10);
INSERT INTO public.who_data VALUES (74973, 0, 113, 0, 0, 317, 205);
INSERT INTO public.who_data VALUES (74974, 71, 1955, 3, 86, 317, 50);
INSERT INTO public.who_data VALUES (74975, 0, 11, 0, 0, 317, 20);
INSERT INTO public.who_data VALUES (74976, 0, 12, 0, 0, 317, 13);
INSERT INTO public.who_data VALUES (74977, 2, 141, 0, 8, 317, 148);
INSERT INTO public.who_data VALUES (74978, 3, 128, 0, 4, 317, 230);
INSERT INTO public.who_data VALUES (74979, 8, 95, 0, 3, 317, 190);
INSERT INTO public.who_data VALUES (74980, 15, 181, 1, 5, 317, 188);
INSERT INTO public.who_data VALUES (74981, 30, 194, 0, 0, 317, 123);
INSERT INTO public.who_data VALUES (74982, 2, 35, 0, 0, 317, 9);
INSERT INTO public.who_data VALUES (74983, 4, 37, 1, 6, 317, 102);
INSERT INTO public.who_data VALUES (74984, 3, 30, 1, 2, 317, 34);
INSERT INTO public.who_data VALUES (74985, 0, 8, 0, 0, 317, 212);
INSERT INTO public.who_data VALUES (74986, 31, 343, 1, 23, 317, 122);
INSERT INTO public.who_data VALUES (74987, 210, 1190, 11, 77, 317, 38);
INSERT INTO public.who_data VALUES (74988, 32, 1648, 0, 6, 317, 130);
INSERT INTO public.who_data VALUES (74989, 547, 6412, 30, 199, 317, 37);
INSERT INTO public.who_data VALUES (74990, 219, 3512, 26, 306, 317, 231);
INSERT INTO public.who_data VALUES (74991, 1972, 68192, 122, 4232, 317, 107);
INSERT INTO public.who_data VALUES (74992, 77, 1279, 1, 70, 317, 101);
INSERT INTO public.who_data VALUES (74993, 1169, 7393, 28, 263, 317, 132);
INSERT INTO public.who_data VALUES (74994, 15, 165, 0, 1, 317, 176);
INSERT INTO public.who_data VALUES (74995, 338, 9914, 8, 80, 317, 200);
INSERT INTO public.who_data VALUES (74996, 4204, 143626, 612, 18281, 317, 169);
INSERT INTO public.who_data VALUES (74997, 0, 63, 1, 4, 317, 225);
INSERT INTO public.who_data VALUES (74998, 579, 5347, 3, 88, 317, 165);
INSERT INTO public.who_data VALUES (74999, 0, 170, 0, 3, 317, 233);
INSERT INTO public.who_data VALUES (75000, 14, 372, 1, 7, 317, 215);
INSERT INTO public.who_data VALUES (75001, 57, 859, 1, 10, 317, 177);
INSERT INTO public.who_data VALUES (75002, 5, 184, 1, 7, 317, 183);
INSERT INTO public.who_data VALUES (75003, 0, 0, 0, 0, 317, 203);
INSERT INTO public.who_data VALUES (75004, 3, 227, 0, 7, 317, 162);
INSERT INTO public.who_data VALUES (75005, 83, 993, 0, 1, 317, 12);
INSERT INTO public.who_data VALUES (75006, 18, 298, 1, 5, 317, 24);
INSERT INTO public.who_data VALUES (75007, 1, 16, 0, 0, 317, 119);
INSERT INTO public.who_data VALUES (75008, 12, 589, 0, 2, 317, 39);
INSERT INTO public.who_data VALUES (75009, 27, 609, 1, 20, 317, 26);
INSERT INTO public.who_data VALUES (75010, 0, 0, 0, 0, 317, 59);
INSERT INTO public.who_data VALUES (75011, 0, 31, 0, 4, 317, 77);
INSERT INTO public.who_data VALUES (75012, 3, 24, 0, 1, 317, 134);
INSERT INTO public.who_data VALUES (75013, 0, 80, 0, 1, 317, 4);
INSERT INTO public.who_data VALUES (75014, 38, 896, 1, 22, 317, 109);
INSERT INTO public.who_data VALUES (75015, 81, 3115, 6, 52, 317, 90);
INSERT INTO public.who_data VALUES (75016, 2, 95, 0, 0, 317, 61);
INSERT INTO public.who_data VALUES (75017, 0, 8, 0, 1, 317, 85);
INSERT INTO public.who_data VALUES (75018, 109, 4228, 2, 67, 317, 49);
INSERT INTO public.who_data VALUES (75019, 0, 19, 0, 0, 317, 208);
INSERT INTO public.who_data VALUES (75020, 3, 59, 1, 7, 317, 166);
INSERT INTO public.who_data VALUES (75021, 38, 337, 0, 1, 317, 64);
INSERT INTO public.who_data VALUES (75022, 0, 0, 0, 0, 317, 199);
INSERT INTO public.who_data VALUES (75023, 2, 154, 2, 6, 317, 114);
INSERT INTO public.who_data VALUES (75024, 0, 6, 0, 1, 317, 60);
INSERT INTO public.who_data VALUES (75025, 41, 314, 0, 7, 317, 68);
INSERT INTO public.who_data VALUES (75026, 5, 191, 0, 2, 317, 158);
INSERT INTO public.who_data VALUES (75027, 396, 3181, 33, 174, 317, 52);
INSERT INTO public.who_data VALUES (75028, 0, 0, 0, 0, 317, 117);
INSERT INTO public.who_data VALUES (75029, 3, 57, 1, 1, 317, 126);
INSERT INTO public.who_data VALUES (75030, 0, 16, 0, 0, 317, 196);
INSERT INTO public.who_data VALUES (75031, 7, 262, 0, 2, 317, 142);
INSERT INTO public.who_data VALUES (75032, 0, 8, 0, 0, 317, 185);
INSERT INTO public.who_data VALUES (75033, 85, 1431, 9, 105, 317, 138);
INSERT INTO public.who_data VALUES (75034, 0, 17, 0, 0, 317, 181);
INSERT INTO public.who_data VALUES (75035, 5, 27, 0, 3, 317, 178);
INSERT INTO public.who_data VALUES (75036, 0, 16, 0, 0, 317, 168);
INSERT INTO public.who_data VALUES (75037, 0, 0, 0, 0, 317, 160);
INSERT INTO public.who_data VALUES (75038, 0, 9, 0, 0, 317, 151);
INSERT INTO public.who_data VALUES (75039, 1209, 21559, 143, 2349, 317, 193);
INSERT INTO public.who_data VALUES (75040, 0, 18, 0, 0, 317, 18);
INSERT INTO public.who_data VALUES (75041, 23, 1015, 0, 1, 317, 40);
INSERT INTO public.who_data VALUES (75042, 0, 6, 0, 1, 317, 218);
INSERT INTO public.who_data VALUES (75043, 68, 410, 0, 11, 317, 191);
INSERT INTO public.who_data VALUES (75044, 12, 288, 1, 7, 317, 156);
INSERT INTO public.who_data VALUES (75045, 0, 0, 0, 0, 317, 135);
INSERT INTO public.who_data VALUES (75046, 0, 11, 0, 2, 317, 88);
INSERT INTO public.who_data VALUES (75047, 46, 663, 0, 30, 317, 55);
INSERT INTO public.who_data VALUES (75048, 150, 6160, 8, 88, 317, 108);
INSERT INTO public.who_data VALUES (75049, 3, 266, 1, 2, 317, 48);
INSERT INTO public.who_data VALUES (75050, 27, 484, 1, 3, 317, 3);
INSERT INTO public.who_data VALUES (75051, 0, 712, 0, 11, 317, 224);
INSERT INTO public.who_data VALUES (75052, 206, 4695, 3, 66, 317, 110);
INSERT INTO public.who_data VALUES (75053, 0, 0, 0, 0, 317, 106);
INSERT INTO public.who_data VALUES (75054, 279, 2528, 4, 63, 317, 89);
INSERT INTO public.who_data VALUES (75055, 0, 2, 0, 0, 317, 121);
INSERT INTO public.who_data VALUES (75056, 5, 124, 0, 5, 317, 163);
INSERT INTO public.who_data VALUES (75057, 1388, 4342, 14, 121, 317, 70);
INSERT INTO public.who_data VALUES (75058, 0, 4076, 0, 203, 317, 174);
INSERT INTO public.who_data VALUES (75059, 0, 0, 0, 0, 317, 175);
INSERT INTO public.who_data VALUES (75060, 370, 5575, 15, 174, 317, 118);
INSERT INTO public.who_data VALUES (75061, 815, 13956, 29, 409, 317, 189);
INSERT INTO public.who_data VALUES (75062, 63, 683, 9, 33, 317, 124);
INSERT INTO public.who_data VALUES (75063, 136, 2512, 0, 6, 317, 192);
INSERT INTO public.who_data VALUES (75064, 27, 10450, 4, 208, 317, 41);
INSERT INTO public.who_data VALUES (75065, 115, 1289, 1, 29, 317, 95);
INSERT INTO public.who_data VALUES (75066, 14, 376, 0, 0, 317, 74);
INSERT INTO public.who_data VALUES (75067, 441, 5202, 20, 229, 317, 11);
INSERT INTO public.who_data VALUES (75068, 1786, 11917, 18, 94, 317, 87);
INSERT INTO public.who_data VALUES (75069, 3, 113, 0, 0, 317, 214);
INSERT INTO public.who_data VALUES (75070, 0, 0, 0, 0, 317, 116);
INSERT INTO public.who_data VALUES (75071, 0, 6, 0, 0, 317, 157);
INSERT INTO public.who_data VALUES (75072, 0, 0, 0, 0, 317, 182);
INSERT INTO public.who_data VALUES (75073, 0, 11, 0, 0, 317, 186);
INSERT INTO public.who_data VALUES (75074, 0, 14, 0, 0, 317, 127);
INSERT INTO public.who_data VALUES (75075, 1, 32, 0, 2, 317, 232);
INSERT INTO public.who_data VALUES (75076, 0, 1, 0, 0, 317, 33);
INSERT INTO public.who_data VALUES (75077, 0, 8, 0, 0, 317, 97);
INSERT INTO public.who_data VALUES (75078, 0, 0, 0, 0, 317, 42);
INSERT INTO public.who_data VALUES (75079, 36, 344, 0, 34, 317, 198);
INSERT INTO public.who_data VALUES (75080, 0, 4, 0, 0, 317, 216);
INSERT INTO public.who_data VALUES (75081, 364, 3651, 3, 47, 317, 164);
INSERT INTO public.who_data VALUES (75082, 6, 250, 0, 2, 317, 235);
INSERT INTO public.who_data VALUES (75083, 201, 2867, 0, 65, 317, 67);
INSERT INTO public.who_data VALUES (75084, 0, 11, 0, 0, 317, 15);
INSERT INTO public.who_data VALUES (75085, 0, 7, 0, 0, 317, 180);
INSERT INTO public.who_data VALUES (75086, 287, 1910, 1, 7, 317, 237);
INSERT INTO public.who_data VALUES (75087, 0, 2, 0, 0, 317, 25);
INSERT INTO public.who_data VALUES (75088, 3, 43, 0, 8, 317, 209);
INSERT INTO public.who_data VALUES (75089, 101, 682, 0, 2, 317, 217);
INSERT INTO public.who_data VALUES (75090, 33, 1125, 4, 46, 317, 79);
INSERT INTO public.who_data VALUES (75091, 0, 0, 0, 0, 317, 143);
INSERT INTO public.who_data VALUES (75092, 0, 12, 0, 1, 317, 229);
INSERT INTO public.who_data VALUES (75093, 89, 1934, 0, 18, 317, 141);
INSERT INTO public.who_data VALUES (75094, 2, 3, 0, 0, 317, 197);
INSERT INTO public.who_data VALUES (75095, 5489, 169170, 749, 16670, 317, 221);
INSERT INTO public.who_data VALUES (75096, 1, 190, 0, 7, 317, 150);
INSERT INTO public.who_data VALUES (75097, 1, 15, 0, 2, 317, 56);
INSERT INTO public.who_data VALUES (75098, 0, 10, 0, 1, 317, 167);
INSERT INTO public.who_data VALUES (75099, 654, 8955, 148, 1012, 317, 23);
INSERT INTO public.who_data VALUES (75100, 560, 25435, 45, 972, 317, 222);
INSERT INTO public.who_data VALUES (75101, 0, 19, 0, 2, 317, 219);
INSERT INTO public.who_data VALUES (75102, 0, 0, 0, 0, 317, 7);
INSERT INTO public.who_data VALUES (75103, 50, 2473, 1, 33, 317, 161);
INSERT INTO public.who_data VALUES (75104, 5131, 76639, 1116, 9691, 317, 149);
INSERT INTO public.who_data VALUES (75105, 0, 1, 0, 0, 317, 6);
INSERT INTO public.who_data VALUES (75106, 3, 73, 0, 3, 317, 139);
INSERT INTO public.who_data VALUES (75107, 0, 0, 0, 0, 317, 211);
INSERT INTO public.who_data VALUES (75108, 0, 0, 0, 0, 317, 14);
INSERT INTO public.who_data VALUES (75109, 2, 109, 0, 8, 317, 111);
INSERT INTO public.who_data VALUES (75110, 15, 643, 1, 25, 317, 207);
INSERT INTO public.who_data VALUES (75111, 4056, 42282, 96, 908, 317, 66);
INSERT INTO public.who_data VALUES (75112, 0, 0, 0, 0, 317, 173);
INSERT INTO public.who_data VALUES (75113, 0, 8, 0, 1, 317, 145);
INSERT INTO public.who_data VALUES (75114, 0, 0, 0, 0, 317, 65);
INSERT INTO public.who_data VALUES (75115, 0, 53, 0, 0, 317, 184);
INSERT INTO public.who_data VALUES (75116, 311, 2203, 12, 69, 317, 98);
INSERT INTO public.who_data VALUES (75117, 331, 2990, 2, 14, 317, 104);
INSERT INTO public.who_data VALUES (75118, 0, 25, 0, 1, 317, 73);
INSERT INTO public.who_data VALUES (75119, 30859, 425889, 1925, 14665, 317, 8);
INSERT INTO public.who_data VALUES (75120, 1, 46, 0, 1, 317, 227);
INSERT INTO public.who_data VALUES (75121, 22, 446, 0, 7, 317, 75);
INSERT INTO public.who_data VALUES (75122, 69, 624, 0, 3, 317, 45);
INSERT INTO public.who_data VALUES (75123, 0, 0, 0, 0, 317, 133);
INSERT INTO public.who_data VALUES (75124, 0, 166, 0, 7, 317, 202);
INSERT INTO public.who_data VALUES (75125, 4, 255, 0, 0, 317, 129);
INSERT INTO public.who_data VALUES (75126, 0, 0, 0, 0, 317, 36);
INSERT INTO public.who_data VALUES (75127, 1, 1, 0, 0, 317, 51);
INSERT INTO public.who_data VALUES (75128, 0, 39, 0, 1, 317, 206);
INSERT INTO public.who_data VALUES (75129, 0, 11, 0, 3, 317, 5);
INSERT INTO public.who_data VALUES (75130, 61, 484, 1, 15, 318, 103);
INSERT INTO public.who_data VALUES (75131, 9, 371, 0, 21, 318, 58);
INSERT INTO public.who_data VALUES (75132, 104, 1572, 11, 205, 318, 195);
INSERT INTO public.who_data VALUES (75133, 0, 0, 0, 0, 318, 115);
INSERT INTO public.who_data VALUES (75134, 15, 566, 2, 24, 318, 99);
INSERT INTO public.who_data VALUES (75135, 2, 19, 0, 2, 318, 153);
INSERT INTO public.who_data VALUES (75136, 0, 3, 0, 0, 318, 93);
INSERT INTO public.who_data VALUES (75137, 4, 19, 2, 2, 318, 84);
INSERT INTO public.who_data VALUES (75138, 87, 1715, 7, 60, 318, 78);
INSERT INTO public.who_data VALUES (75139, 28, 857, 1, 9, 318, 170);
INSERT INTO public.who_data VALUES (75140, 3, 74, 0, 0, 318, 32);
INSERT INTO public.who_data VALUES (75141, 96, 6052, 5, 50, 318, 155);
INSERT INTO public.who_data VALUES (75142, 329, 12969, 30, 273, 318, 82);
INSERT INTO public.who_data VALUES (75143, 105, 822, 0, 8, 318, 16);
INSERT INTO public.who_data VALUES (75144, 3, 36, 1, 6, 318, 72);
INSERT INTO public.who_data VALUES (75145, 34, 855, 0, 5, 318, 43);
INSERT INTO public.who_data VALUES (75146, 112, 330, 1, 21, 318, 120);
INSERT INTO public.who_data VALUES (75147, 3, 63, 1, 3, 318, 213);
INSERT INTO public.who_data VALUES (75148, 205, 1066, 0, 13, 318, 31);
INSERT INTO public.who_data VALUES (75149, 1598, 28400, 322, 3438, 318, 204);
INSERT INTO public.who_data VALUES (75150, 1, 8, 0, 1, 318, 152);
INSERT INTO public.who_data VALUES (75151, 0, 26, 0, 1, 318, 144);
INSERT INTO public.who_data VALUES (75152, 0, 39, 0, 2, 318, 96);
INSERT INTO public.who_data VALUES (75153, 0, 5, 0, 0, 318, 47);
INSERT INTO public.who_data VALUES (75154, 16, 210, 1, 15, 318, 80);
INSERT INTO public.who_data VALUES (75155, 0, 0, 0, 0, 318, 159);
INSERT INTO public.who_data VALUES (75156, 35, 816, 3, 35, 318, 27);
INSERT INTO public.who_data VALUES (75157, 0, 6, 0, 1, 318, 146);
INSERT INTO public.who_data VALUES (75158, 1661, 13717, 114, 667, 318, 71);
INSERT INTO public.who_data VALUES (75159, 0, 3, 0, 0, 318, 210);
INSERT INTO public.who_data VALUES (75160, 0, 135, 0, 1, 318, 54);
INSERT INTO public.who_data VALUES (75161, 16, 593, 1, 24, 318, 147);
INSERT INTO public.who_data VALUES (75162, 0, 384, 1, 19, 318, 2);
INSERT INTO public.who_data VALUES (75163, 0, 3, 0, 0, 318, 105);
INSERT INTO public.who_data VALUES (75164, 0, 7, 0, 1, 318, 53);
INSERT INTO public.who_data VALUES (75165, 0, 117, 0, 0, 318, 81);
INSERT INTO public.who_data VALUES (75166, 175, 730, 1, 10, 318, 223);
INSERT INTO public.who_data VALUES (75167, 1384, 18433, 56, 401, 318, 94);
INSERT INTO public.who_data VALUES (75168, 6, 45, 0, 1, 318, 154);
INSERT INTO public.who_data VALUES (75169, 1, 10, 0, 0, 318, 83);
INSERT INTO public.who_data VALUES (75170, 0, 10, 0, 0, 318, 194);
INSERT INTO public.who_data VALUES (75171, 430, 5546, 5, 48, 318, 136);
INSERT INTO public.who_data VALUES (75172, 88, 83249, 2, 3344, 318, 179);
INSERT INTO public.who_data VALUES (75173, 201, 1780, 4, 50, 318, 57);
INSERT INTO public.who_data VALUES (75174, 0, 0, 0, 0, 318, 35);
INSERT INTO public.who_data VALUES (75175, 11, 60, 0, 5, 318, 228);
INSERT INTO public.who_data VALUES (75176, 0, 0, 0, 0, 318, 19);
INSERT INTO public.who_data VALUES (75177, 16, 483, 0, 2, 318, 22);
INSERT INTO public.who_data VALUES (75178, 35, 384, 0, 3, 318, 1);
INSERT INTO public.who_data VALUES (75179, 61, 1343, 1, 19, 318, 21);
INSERT INTO public.who_data VALUES (75180, 61, 457, 1, 12, 318, 234);
INSERT INTO public.who_data VALUES (75181, 1, 14, 0, 1, 318, 91);
INSERT INTO public.who_data VALUES (75182, 32, 526, 0, 9, 318, 137);
INSERT INTO public.who_data VALUES (75183, 295, 5312, 11, 99, 318, 201);
INSERT INTO public.who_data VALUES (75184, 0, 0, 0, 0, 318, 171);
INSERT INTO public.who_data VALUES (75185, 24, 207, 0, 20, 318, 92);
INSERT INTO public.who_data VALUES (75186, 331, 5402, 15, 218, 318, 112);
INSERT INTO public.who_data VALUES (75187, 5, 140, 1, 1, 318, 62);
INSERT INTO public.who_data VALUES (75188, 0, 15, 0, 0, 318, 69);
INSERT INTO public.who_data VALUES (75189, 0, 1956, 0, 98, 318, 220);
INSERT INTO public.who_data VALUES (75190, 703, 4450, 51, 242, 318, 100);
INSERT INTO public.who_data VALUES (75191, 110, 1560, 9, 103, 318, 187);
INSERT INTO public.who_data VALUES (75192, 15, 93, 1, 5, 318, 63);
INSERT INTO public.who_data VALUES (75193, 0, 16, 0, 0, 318, 28);
INSERT INTO public.who_data VALUES (75194, 2, 33, 0, 0, 318, 172);
INSERT INTO public.who_data VALUES (75195, 36, 1185, 3, 24, 318, 17);
INSERT INTO public.who_data VALUES (75196, 2, 12, 0, 0, 318, 226);
INSERT INTO public.who_data VALUES (75197, 3, 55, 0, 2, 318, 236);
INSERT INTO public.who_data VALUES (75198, 3, 5, 0, 0, 318, 76);
INSERT INTO public.who_data VALUES (75199, 0, 184, 0, 0, 318, 30);
INSERT INTO public.who_data VALUES (75200, 0, 15, 0, 0, 318, 128);
INSERT INTO public.who_data VALUES (75201, 179, 2487, 6, 40, 318, 86);
INSERT INTO public.who_data VALUES (75202, 3869, 81094, 540, 10853, 318, 140);
INSERT INTO public.who_data VALUES (75203, 5, 77, 0, 0, 318, 44);
INSERT INTO public.who_data VALUES (75204, 4, 51, 0, 0, 318, 113);
INSERT INTO public.who_data VALUES (75205, 0, 24, 0, 1, 318, 29);
INSERT INTO public.who_data VALUES (75206, 0, 4, 0, 1, 318, 125);
INSERT INTO public.who_data VALUES (75207, 6, 214, 0, 3, 318, 131);
INSERT INTO public.who_data VALUES (75208, 4974, 108202, 246, 2107, 318, 46);
INSERT INTO public.who_data VALUES (75209, 26, 313, 1, 6, 318, 10);
INSERT INTO public.who_data VALUES (75210, 0, 113, 0, 0, 318, 205);
INSERT INTO public.who_data VALUES (75211, 52, 1884, 2, 83, 318, 50);
INSERT INTO public.who_data VALUES (75212, 0, 11, 0, 0, 318, 20);
INSERT INTO public.who_data VALUES (75213, 0, 12, 0, 0, 318, 13);
INSERT INTO public.who_data VALUES (75214, 0, 139, 1, 8, 318, 148);
INSERT INTO public.who_data VALUES (75215, 1, 125, 0, 4, 318, 230);
INSERT INTO public.who_data VALUES (75216, 10, 87, 0, 3, 318, 190);
INSERT INTO public.who_data VALUES (75217, 0, 166, 0, 4, 318, 188);
INSERT INTO public.who_data VALUES (75218, 20, 164, 0, 0, 318, 123);
INSERT INTO public.who_data VALUES (75219, 0, 33, 0, 0, 318, 9);
INSERT INTO public.who_data VALUES (75220, 2, 33, 0, 5, 318, 102);
INSERT INTO public.who_data VALUES (75221, 2, 27, 0, 1, 318, 34);
INSERT INTO public.who_data VALUES (75222, 1, 8, 0, 0, 318, 212);
INSERT INTO public.who_data VALUES (75223, 7, 312, 0, 22, 318, 122);
INSERT INTO public.who_data VALUES (75224, 85, 980, 8, 66, 318, 38);
INSERT INTO public.who_data VALUES (75225, 30, 1616, 0, 6, 318, 130);
INSERT INTO public.who_data VALUES (75226, 591, 5865, 20, 169, 318, 37);
INSERT INTO public.who_data VALUES (75227, 337, 3293, 40, 280, 318, 231);
INSERT INTO public.who_data VALUES (75228, 1634, 66220, 117, 4110, 318, 107);
INSERT INTO public.who_data VALUES (75229, 80, 1202, 4, 69, 318, 101);
INSERT INTO public.who_data VALUES (75230, 515, 6224, 25, 235, 318, 132);
INSERT INTO public.who_data VALUES (75231, 0, 150, 0, 1, 318, 176);
INSERT INTO public.who_data VALUES (75232, 377, 9576, 8, 72, 318, 200);
INSERT INTO public.who_data VALUES (75233, 3836, 139422, 540, 17669, 318, 169);
INSERT INTO public.who_data VALUES (75234, 4, 63, 0, 3, 318, 225);
INSERT INTO public.who_data VALUES (75235, 511, 4768, 4, 85, 318, 165);
INSERT INTO public.who_data VALUES (75236, 0, 170, 0, 3, 318, 233);
INSERT INTO public.who_data VALUES (75237, 5, 358, 0, 6, 318, 215);
INSERT INTO public.who_data VALUES (75238, 75, 802, 2, 9, 318, 177);
INSERT INTO public.who_data VALUES (75239, 7, 179, 0, 6, 318, 183);
INSERT INTO public.who_data VALUES (75240, 0, 0, 0, 0, 318, 203);
INSERT INTO public.who_data VALUES (75241, 40, 224, 1, 7, 318, 162);
INSERT INTO public.who_data VALUES (75242, 55, 910, 0, 1, 318, 12);
INSERT INTO public.who_data VALUES (75243, 10, 280, 0, 4, 318, 24);
INSERT INTO public.who_data VALUES (75244, 1, 15, 0, 0, 318, 119);
INSERT INTO public.who_data VALUES (75245, 29, 577, 0, 2, 318, 39);
INSERT INTO public.who_data VALUES (75246, 7, 582, 0, 19, 318, 26);
INSERT INTO public.who_data VALUES (75247, 0, 0, 0, 0, 318, 59);
INSERT INTO public.who_data VALUES (75248, 17, 31, 1, 4, 318, 77);
INSERT INTO public.who_data VALUES (75249, 0, 21, 0, 1, 318, 134);
INSERT INTO public.who_data VALUES (75250, 1, 80, 0, 1, 318, 4);
INSERT INTO public.who_data VALUES (75251, 37, 858, 1, 21, 318, 109);
INSERT INTO public.who_data VALUES (75252, 64, 3034, 2, 46, 318, 90);
INSERT INTO public.who_data VALUES (75253, 1, 93, 0, 0, 318, 61);
INSERT INTO public.who_data VALUES (75254, 0, 8, 0, 1, 318, 85);
INSERT INTO public.who_data VALUES (75255, 156, 4119, 2, 65, 318, 49);
INSERT INTO public.who_data VALUES (75256, 0, 19, 0, 0, 318, 208);
INSERT INTO public.who_data VALUES (75257, 9, 56, 1, 6, 318, 166);
INSERT INTO public.who_data VALUES (75258, 6, 299, 1, 1, 318, 64);
INSERT INTO public.who_data VALUES (75259, 0, 0, 0, 0, 318, 199);
INSERT INTO public.who_data VALUES (75260, 1, 152, 0, 4, 318, 114);
INSERT INTO public.who_data VALUES (75261, 0, 6, 0, 1, 318, 60);
INSERT INTO public.who_data VALUES (75262, 5, 273, 0, 7, 318, 68);
INSERT INTO public.who_data VALUES (75263, 2, 186, 0, 2, 318, 158);
INSERT INTO public.who_data VALUES (75264, 346, 2785, 16, 141, 318, 52);
INSERT INTO public.who_data VALUES (75265, 0, 0, 0, 0, 318, 117);
INSERT INTO public.who_data VALUES (75266, 0, 54, 0, 0, 318, 126);
INSERT INTO public.who_data VALUES (75267, 0, 16, 0, 0, 318, 196);
INSERT INTO public.who_data VALUES (75268, 3, 255, 0, 2, 318, 142);
INSERT INTO public.who_data VALUES (75269, 2, 8, 0, 0, 318, 185);
INSERT INTO public.who_data VALUES (75270, 104, 1346, 5, 96, 318, 138);
INSERT INTO public.who_data VALUES (75271, 7, 17, 0, 0, 318, 181);
INSERT INTO public.who_data VALUES (75272, 0, 22, 0, 3, 318, 178);
INSERT INTO public.who_data VALUES (75273, 0, 16, 0, 0, 318, 168);
INSERT INTO public.who_data VALUES (75274, 0, 0, 0, 0, 318, 160);
INSERT INTO public.who_data VALUES (75275, 0, 9, 0, 0, 318, 151);
INSERT INTO public.who_data VALUES (75276, 959, 20350, 157, 2206, 318, 193);
INSERT INTO public.who_data VALUES (75277, 0, 18, 0, 0, 318, 18);
INSERT INTO public.who_data VALUES (75278, 23, 992, 0, 1, 318, 40);
INSERT INTO public.who_data VALUES (75279, 0, 6, 0, 1, 318, 218);
INSERT INTO public.who_data VALUES (75280, 64, 342, 0, 11, 318, 191);
INSERT INTO public.who_data VALUES (75281, 22, 276, 0, 6, 318, 156);
INSERT INTO public.who_data VALUES (75282, 0, 0, 0, 0, 318, 135);
INSERT INTO public.who_data VALUES (75283, 0, 11, 0, 2, 318, 88);
INSERT INTO public.who_data VALUES (75284, 18, 617, 3, 30, 318, 55);
INSERT INTO public.who_data VALUES (75285, 147, 6010, 11, 80, 318, 108);
INSERT INTO public.who_data VALUES (75286, 0, 263, 0, 1, 318, 48);
INSERT INTO public.who_data VALUES (75287, 38, 457, 0, 2, 318, 3);
INSERT INTO public.who_data VALUES (75288, 0, 712, 0, 11, 318, 224);
INSERT INTO public.who_data VALUES (75289, 306, 4489, 5, 63, 318, 110);
INSERT INTO public.who_data VALUES (75290, 0, 0, 0, 0, 318, 106);
INSERT INTO public.who_data VALUES (75291, 149, 2249, 4, 59, 318, 89);
INSERT INTO public.who_data VALUES (75292, 1, 2, 0, 0, 318, 121);
INSERT INTO public.who_data VALUES (75293, 4, 119, 0, 5, 318, 163);
INSERT INTO public.who_data VALUES (75294, 393, 2954, 15, 107, 318, 70);
INSERT INTO public.who_data VALUES (75295, 206, 4076, 21, 203, 318, 174);
INSERT INTO public.who_data VALUES (75296, 0, 0, 0, 0, 318, 175);
INSERT INTO public.who_data VALUES (75297, 357, 5205, 30, 159, 318, 118);
INSERT INTO public.who_data VALUES (75298, 699, 13141, 35, 380, 318, 189);
INSERT INTO public.who_data VALUES (75299, 47, 620, 1, 24, 318, 124);
INSERT INTO public.who_data VALUES (75300, 166, 2376, 0, 6, 318, 192);
INSERT INTO public.who_data VALUES (75301, 39, 10423, 4, 204, 318, 41);
INSERT INTO public.who_data VALUES (75302, 118, 1174, 6, 28, 318, 95);
INSERT INTO public.who_data VALUES (75303, 4, 362, 0, 0, 318, 74);
INSERT INTO public.who_data VALUES (75304, 344, 4761, 27, 209, 318, 11);
INSERT INTO public.who_data VALUES (75305, 2634, 10131, 18, 76, 318, 87);
INSERT INTO public.who_data VALUES (75306, 5, 110, 0, 0, 318, 214);
INSERT INTO public.who_data VALUES (75307, 0, 0, 0, 0, 318, 116);
INSERT INTO public.who_data VALUES (75308, 0, 6, 0, 0, 318, 157);
INSERT INTO public.who_data VALUES (75309, 0, 0, 0, 0, 318, 182);
INSERT INTO public.who_data VALUES (75310, 1, 11, 0, 0, 318, 186);
INSERT INTO public.who_data VALUES (75311, 0, 14, 0, 0, 318, 127);
INSERT INTO public.who_data VALUES (75312, 0, 31, 0, 2, 318, 232);
INSERT INTO public.who_data VALUES (75313, 0, 1, 0, 0, 318, 33);
INSERT INTO public.who_data VALUES (75314, 1, 8, 0, 0, 318, 97);
INSERT INTO public.who_data VALUES (75315, 0, 0, 0, 0, 318, 42);
INSERT INTO public.who_data VALUES (75316, 29, 308, 0, 34, 318, 198);
INSERT INTO public.who_data VALUES (75317, 0, 4, 0, 0, 318, 216);
INSERT INTO public.who_data VALUES (75318, 355, 3287, 3, 44, 318, 164);
INSERT INTO public.who_data VALUES (75319, 7, 244, 0, 2, 318, 235);
INSERT INTO public.who_data VALUES (75320, 219, 2666, 4, 65, 318, 67);
INSERT INTO public.who_data VALUES (75321, 0, 11, 0, 0, 318, 15);
INSERT INTO public.who_data VALUES (75322, 1, 7, 0, 0, 318, 180);
INSERT INTO public.who_data VALUES (75323, 142, 1623, 0, 6, 318, 237);
INSERT INTO public.who_data VALUES (75324, 0, 2, 0, 0, 318, 25);
INSERT INTO public.who_data VALUES (75325, 0, 40, 0, 8, 318, 209);
INSERT INTO public.who_data VALUES (75326, 47, 581, 0, 2, 318, 217);
INSERT INTO public.who_data VALUES (75327, 36, 1092, 2, 42, 318, 79);
INSERT INTO public.who_data VALUES (75328, 0, 0, 0, 0, 318, 143);
INSERT INTO public.who_data VALUES (75329, 4, 12, 1, 1, 318, 229);
INSERT INTO public.who_data VALUES (75330, 96, 1845, 5, 18, 318, 141);
INSERT INTO public.who_data VALUES (75331, 0, 1, 0, 0, 318, 197);
INSERT INTO public.who_data VALUES (75332, 5322, 163681, 736, 15921, 318, 221);
INSERT INTO public.who_data VALUES (75333, 3, 189, 1, 7, 318, 150);
INSERT INTO public.who_data VALUES (75334, 0, 14, 0, 2, 318, 56);
INSERT INTO public.who_data VALUES (75335, 0, 10, 0, 1, 318, 167);
INSERT INTO public.who_data VALUES (75336, 739, 8301, 84, 864, 318, 23);
INSERT INTO public.who_data VALUES (75337, 612, 24875, 58, 927, 318, 222);
INSERT INTO public.who_data VALUES (75338, 0, 19, 0, 2, 318, 219);
INSERT INTO public.who_data VALUES (75339, 0, 0, 0, 0, 318, 7);
INSERT INTO public.who_data VALUES (75340, 54, 2423, 2, 32, 318, 161);
INSERT INTO public.who_data VALUES (75341, 5450, 71508, 1030, 8575, 318, 149);
INSERT INTO public.who_data VALUES (75342, 0, 1, 0, 0, 318, 6);
INSERT INTO public.who_data VALUES (75343, 12, 70, 0, 3, 318, 139);
INSERT INTO public.who_data VALUES (75344, 0, 0, 0, 0, 318, 211);
INSERT INTO public.who_data VALUES (75345, 0, 0, 0, 0, 318, 14);
INSERT INTO public.who_data VALUES (75346, 1, 107, 0, 8, 318, 111);
INSERT INTO public.who_data VALUES (75347, 5, 628, 1, 24, 318, 207);
INSERT INTO public.who_data VALUES (75348, 4117, 38226, 87, 812, 318, 66);
INSERT INTO public.who_data VALUES (75349, 0, 0, 0, 0, 318, 173);
INSERT INTO public.who_data VALUES (75350, 0, 8, 0, 1, 318, 145);
INSERT INTO public.who_data VALUES (75351, 0, 0, 0, 0, 318, 65);
INSERT INTO public.who_data VALUES (75352, 1, 53, 0, 0, 318, 184);
INSERT INTO public.who_data VALUES (75353, 224, 1892, 5, 57, 318, 98);
INSERT INTO public.who_data VALUES (75354, 0, 2659, 0, 12, 318, 104);
INSERT INTO public.who_data VALUES (75355, 1, 25, 0, 1, 318, 73);
INSERT INTO public.who_data VALUES (75356, 31709, 395030, 1895, 12740, 318, 8);
INSERT INTO public.who_data VALUES (75357, 2, 45, 0, 1, 318, 227);
INSERT INTO public.who_data VALUES (75358, 9, 424, 1, 7, 318, 75);
INSERT INTO public.who_data VALUES (75359, 21, 555, 0, 3, 318, 45);
INSERT INTO public.who_data VALUES (75360, 0, 0, 0, 0, 318, 133);
INSERT INTO public.who_data VALUES (75361, 1, 166, 0, 7, 318, 202);
INSERT INTO public.who_data VALUES (75362, 0, 251, 0, 0, 318, 129);
INSERT INTO public.who_data VALUES (75363, 0, 0, 0, 0, 318, 36);
INSERT INTO public.who_data VALUES (75364, 0, 0, 0, 0, 318, 51);
INSERT INTO public.who_data VALUES (75365, 0, 39, 0, 1, 318, 206);
INSERT INTO public.who_data VALUES (75366, 0, 11, 1, 3, 318, 5);
INSERT INTO public.who_data VALUES (75367, 56, 423, 3, 14, 319, 103);
INSERT INTO public.who_data VALUES (75368, 23, 362, 0, 21, 319, 58);
INSERT INTO public.who_data VALUES (75369, 45, 1468, 21, 194, 319, 195);
INSERT INTO public.who_data VALUES (75370, 0, 0, 0, 0, 319, 115);
INSERT INTO public.who_data VALUES (75371, 11, 551, 1, 22, 319, 99);
INSERT INTO public.who_data VALUES (75372, 1, 17, 0, 2, 319, 153);
INSERT INTO public.who_data VALUES (75373, 0, 3, 0, 0, 319, 93);
INSERT INTO public.who_data VALUES (75374, 0, 15, 0, 0, 319, 84);
INSERT INTO public.who_data VALUES (75375, 74, 1628, 7, 53, 319, 78);
INSERT INTO public.who_data VALUES (75376, 20, 829, 0, 8, 319, 170);
INSERT INTO public.who_data VALUES (75377, 7, 71, 0, 0, 319, 32);
INSERT INTO public.who_data VALUES (75378, 112, 5956, 3, 45, 319, 155);
INSERT INTO public.who_data VALUES (75379, 343, 12640, 23, 243, 319, 82);
INSERT INTO public.who_data VALUES (75380, 76, 717, 1, 8, 319, 16);
INSERT INTO public.who_data VALUES (75381, 4, 33, 0, 5, 319, 72);
INSERT INTO public.who_data VALUES (75382, 10, 821, 1, 5, 319, 43);
INSERT INTO public.who_data VALUES (75383, 54, 218, 3, 20, 319, 120);
INSERT INTO public.who_data VALUES (75384, 4, 60, 1, 2, 319, 213);
INSERT INTO public.who_data VALUES (75385, 161, 861, 0, 13, 319, 31);
INSERT INTO public.who_data VALUES (75386, 1515, 26802, 277, 3116, 319, 204);
INSERT INTO public.who_data VALUES (75387, 0, 7, 0, 1, 319, 152);
INSERT INTO public.who_data VALUES (75388, 3, 26, 0, 1, 319, 144);
INSERT INTO public.who_data VALUES (75389, 2, 39, 2, 2, 319, 96);
INSERT INTO public.who_data VALUES (75390, 0, 5, 0, 0, 319, 47);
INSERT INTO public.who_data VALUES (75391, 11, 194, 3, 14, 319, 80);
INSERT INTO public.who_data VALUES (75392, 0, 0, 0, 0, 319, 159);
INSERT INTO public.who_data VALUES (75393, 86, 781, 4, 32, 319, 27);
INSERT INTO public.who_data VALUES (75394, 0, 6, 0, 1, 319, 146);
INSERT INTO public.who_data VALUES (75395, 926, 12056, 67, 553, 319, 71);
INSERT INTO public.who_data VALUES (75396, 0, 3, 0, 0, 319, 210);
INSERT INTO public.who_data VALUES (75397, 0, 135, 0, 1, 319, 54);
INSERT INTO public.who_data VALUES (75398, 28, 577, 1, 23, 319, 147);
INSERT INTO public.who_data VALUES (75399, 39, 384, 1, 18, 319, 2);
INSERT INTO public.who_data VALUES (75400, 0, 3, 0, 0, 319, 105);
INSERT INTO public.who_data VALUES (75401, 0, 7, 0, 1, 319, 53);
INSERT INTO public.who_data VALUES (75402, 2, 117, 0, 0, 319, 81);
INSERT INTO public.who_data VALUES (75403, 0, 555, 0, 9, 319, 223);
INSERT INTO public.who_data VALUES (75404, 1243, 17049, 52, 345, 319, 94);
INSERT INTO public.who_data VALUES (75405, 0, 39, 0, 1, 319, 154);
INSERT INTO public.who_data VALUES (75406, 0, 9, 0, 0, 319, 83);
INSERT INTO public.who_data VALUES (75407, 1, 10, 0, 0, 319, 194);
INSERT INTO public.who_data VALUES (75408, 301, 5116, 6, 43, 319, 136);
INSERT INTO public.who_data VALUES (75409, 90, 83161, 2, 3342, 319, 179);
INSERT INTO public.who_data VALUES (75410, 94, 1579, 11, 46, 319, 57);
INSERT INTO public.who_data VALUES (75411, 0, 0, 0, 0, 319, 35);
INSERT INTO public.who_data VALUES (75412, 4, 49, 0, 5, 319, 228);
INSERT INTO public.who_data VALUES (75413, 0, 0, 0, 0, 319, 19);
INSERT INTO public.who_data VALUES (75414, 13, 467, 0, 2, 319, 22);
INSERT INTO public.who_data VALUES (75415, 26, 349, 0, 3, 319, 1);
INSERT INTO public.who_data VALUES (75416, 60, 1282, 2, 18, 319, 21);
INSERT INTO public.who_data VALUES (75417, 46, 396, 2, 11, 319, 234);
INSERT INTO public.who_data VALUES (75418, 0, 13, 0, 1, 319, 91);
INSERT INTO public.who_data VALUES (75419, 29, 494, 0, 9, 319, 137);
INSERT INTO public.who_data VALUES (75420, 195, 5017, 10, 88, 319, 201);
INSERT INTO public.who_data VALUES (75421, 0, 0, 0, 0, 319, 171);
INSERT INTO public.who_data VALUES (75422, 22, 183, 2, 20, 319, 92);
INSERT INTO public.who_data VALUES (75423, 390, 5071, 16, 203, 319, 112);
INSERT INTO public.who_data VALUES (75424, 14, 135, 0, 0, 319, 62);
INSERT INTO public.who_data VALUES (75425, 1, 15, 0, 0, 319, 69);
INSERT INTO public.who_data VALUES (75426, 128, 1956, 12, 98, 319, 220);
INSERT INTO public.who_data VALUES (75427, 0, 3747, 0, 191, 319, 100);
INSERT INTO public.who_data VALUES (75428, 128, 1450, 9, 94, 319, 187);
INSERT INTO public.who_data VALUES (75429, 9, 78, 1, 4, 319, 63);
INSERT INTO public.who_data VALUES (75430, 0, 16, 0, 0, 319, 28);
INSERT INTO public.who_data VALUES (75431, 2, 31, 0, 0, 319, 172);
INSERT INTO public.who_data VALUES (75432, 41, 1149, 2, 21, 319, 17);
INSERT INTO public.who_data VALUES (75433, 1, 10, 0, 0, 319, 226);
INSERT INTO public.who_data VALUES (75434, 8, 52, 1, 2, 319, 236);
INSERT INTO public.who_data VALUES (75435, 0, 2, 0, 0, 319, 76);
INSERT INTO public.who_data VALUES (75436, 1, 184, 0, 0, 319, 30);
INSERT INTO public.who_data VALUES (75437, 0, 15, 0, 0, 319, 128);
INSERT INTO public.who_data VALUES (75438, 132, 2308, 7, 34, 319, 86);
INSERT INTO public.who_data VALUES (75439, 3737, 77225, 1417, 10313, 319, 140);
INSERT INTO public.who_data VALUES (75440, 4, 72, 0, 0, 319, 44);
INSERT INTO public.who_data VALUES (75441, 5, 47, 0, 0, 319, 113);
INSERT INTO public.who_data VALUES (75442, 3, 24, 0, 1, 319, 29);
INSERT INTO public.who_data VALUES (75443, 0, 4, 0, 1, 319, 125);
INSERT INTO public.who_data VALUES (75444, 13, 208, 1, 3, 319, 131);
INSERT INTO public.who_data VALUES (75445, 4003, 103228, 254, 1861, 319, 46);
INSERT INTO public.who_data VALUES (75446, 73, 287, 0, 5, 319, 10);
INSERT INTO public.who_data VALUES (75447, 10, 113, 0, 0, 319, 205);
INSERT INTO public.who_data VALUES (75448, 77, 1832, 2, 81, 319, 50);
INSERT INTO public.who_data VALUES (75449, 0, 11, 0, 0, 319, 20);
INSERT INTO public.who_data VALUES (75450, 0, 12, 0, 0, 319, 13);
INSERT INTO public.who_data VALUES (75451, 4, 139, 0, 7, 319, 148);
INSERT INTO public.who_data VALUES (75452, 11, 124, 0, 4, 319, 230);
INSERT INTO public.who_data VALUES (75453, 7, 77, 0, 3, 319, 190);
INSERT INTO public.who_data VALUES (75454, 12, 166, 1, 4, 319, 188);
INSERT INTO public.who_data VALUES (75455, 33, 144, 0, 0, 319, 123);
INSERT INTO public.who_data VALUES (75456, 0, 33, 0, 0, 319, 9);
INSERT INTO public.who_data VALUES (75457, 2, 31, 1, 5, 319, 102);
INSERT INTO public.who_data VALUES (75458, 1, 25, 0, 1, 319, 34);
INSERT INTO public.who_data VALUES (75459, 0, 7, 0, 0, 319, 212);
INSERT INTO public.who_data VALUES (75460, 7, 305, 0, 22, 319, 122);
INSERT INTO public.who_data VALUES (75461, 78, 895, 11, 58, 319, 38);
INSERT INTO public.who_data VALUES (75462, 24, 1586, 0, 6, 319, 130);
INSERT INTO public.who_data VALUES (75463, 853, 5274, 35, 149, 319, 37);
INSERT INTO public.who_data VALUES (75464, 218, 2956, 19, 240, 319, 231);
INSERT INTO public.who_data VALUES (75465, 1997, 64586, 121, 3993, 319, 107);
INSERT INTO public.who_data VALUES (75466, 91, 1122, 1, 65, 319, 101);
INSERT INTO public.who_data VALUES (75467, 345, 5709, 36, 210, 319, 132);
INSERT INTO public.who_data VALUES (75468, 23, 150, 0, 1, 319, 176);
INSERT INTO public.who_data VALUES (75469, 451, 9199, 8, 64, 319, 200);
INSERT INTO public.who_data VALUES (75470, 3039, 135586, 604, 17129, 319, 169);
INSERT INTO public.who_data VALUES (75471, 1, 59, 0, 3, 319, 225);
INSERT INTO public.who_data VALUES (75472, 351, 4257, 1, 81, 319, 165);
INSERT INTO public.who_data VALUES (75473, 15, 170, 0, 3, 319, 233);
INSERT INTO public.who_data VALUES (75474, 4, 353, 0, 6, 319, 215);
INSERT INTO public.who_data VALUES (75475, 18, 727, 1, 7, 319, 177);
INSERT INTO public.who_data VALUES (75476, 30, 172, 2, 6, 319, 183);
INSERT INTO public.who_data VALUES (75477, 0, 0, 0, 0, 319, 203);
INSERT INTO public.who_data VALUES (75478, 19, 184, 3, 6, 319, 162);
INSERT INTO public.who_data VALUES (75479, 112, 855, 0, 1, 319, 12);
INSERT INTO public.who_data VALUES (75480, 42, 270, 0, 4, 319, 24);
INSERT INTO public.who_data VALUES (75481, 2, 14, 0, 0, 319, 119);
INSERT INTO public.who_data VALUES (75482, 6, 548, 1, 2, 319, 39);
INSERT INTO public.who_data VALUES (75483, 27, 575, 0, 19, 319, 26);
INSERT INTO public.who_data VALUES (75484, 0, 0, 0, 0, 319, 59);
INSERT INTO public.who_data VALUES (75485, 0, 14, 0, 3, 319, 77);
INSERT INTO public.who_data VALUES (75486, 2, 21, 0, 1, 319, 134);
INSERT INTO public.who_data VALUES (75487, 0, 79, 0, 1, 319, 4);
INSERT INTO public.who_data VALUES (75488, 38, 821, 0, 20, 319, 109);
INSERT INTO public.who_data VALUES (75489, 127, 2970, 3, 44, 319, 90);
INSERT INTO public.who_data VALUES (75490, 7, 92, 0, 0, 319, 61);
INSERT INTO public.who_data VALUES (75491, 4, 8, 1, 1, 319, 85);
INSERT INTO public.who_data VALUES (75492, 170, 3963, 1, 63, 319, 49);
INSERT INTO public.who_data VALUES (75493, 0, 19, 0, 0, 319, 208);
INSERT INTO public.who_data VALUES (75494, 8, 47, 1, 5, 319, 166);
INSERT INTO public.who_data VALUES (75495, 52, 293, 0, 0, 319, 64);
INSERT INTO public.who_data VALUES (75496, 0, 0, 0, 0, 319, 199);
INSERT INTO public.who_data VALUES (75497, 2, 151, 0, 4, 319, 114);
INSERT INTO public.who_data VALUES (75498, 0, 6, 0, 1, 319, 60);
INSERT INTO public.who_data VALUES (75499, 24, 268, 0, 7, 319, 68);
INSERT INTO public.who_data VALUES (75500, 20, 184, 0, 2, 319, 158);
INSERT INTO public.who_data VALUES (75501, 296, 2439, 31, 125, 319, 52);
INSERT INTO public.who_data VALUES (75502, 0, 0, 0, 0, 319, 117);
INSERT INTO public.who_data VALUES (75503, 2, 54, 0, 0, 319, 126);
INSERT INTO public.who_data VALUES (75504, 1, 16, 0, 0, 319, 196);
INSERT INTO public.who_data VALUES (75505, 4, 252, 0, 2, 319, 142);
INSERT INTO public.who_data VALUES (75506, 0, 6, 0, 0, 319, 185);
INSERT INTO public.who_data VALUES (75507, 101, 1242, 8, 91, 319, 138);
INSERT INTO public.who_data VALUES (75508, 0, 10, 0, 0, 319, 181);
INSERT INTO public.who_data VALUES (75509, 0, 22, 2, 3, 319, 178);
INSERT INTO public.who_data VALUES (75510, 0, 16, 0, 0, 319, 168);
INSERT INTO public.who_data VALUES (75511, 0, 0, 0, 0, 319, 160);
INSERT INTO public.who_data VALUES (75512, 0, 9, 0, 0, 319, 151);
INSERT INTO public.who_data VALUES (75513, 782, 19391, 231, 2049, 319, 193);
INSERT INTO public.who_data VALUES (75514, 0, 18, 0, 0, 319, 18);
INSERT INTO public.who_data VALUES (75515, 26, 969, 0, 1, 319, 40);
INSERT INTO public.who_data VALUES (75516, 0, 6, 0, 1, 319, 218);
INSERT INTO public.who_data VALUES (75517, 25, 278, 1, 11, 319, 191);
INSERT INTO public.who_data VALUES (75518, 22, 254, 1, 6, 319, 156);
INSERT INTO public.who_data VALUES (75519, 0, 0, 0, 0, 319, 135);
INSERT INTO public.who_data VALUES (75520, 3, 11, 1, 2, 319, 88);
INSERT INTO public.who_data VALUES (75521, 29, 599, 6, 27, 319, 55);
INSERT INTO public.who_data VALUES (75522, 108, 5863, 10, 69, 319, 108);
INSERT INTO public.who_data VALUES (75523, 9, 263, 0, 1, 319, 48);
INSERT INTO public.who_data VALUES (75524, 48, 419, 0, 2, 319, 3);
INSERT INTO public.who_data VALUES (75525, 0, 712, 0, 11, 319, 224);
INSERT INTO public.who_data VALUES (75526, 178, 4183, 4, 58, 319, 110);
INSERT INTO public.who_data VALUES (75527, 0, 0, 0, 0, 319, 106);
INSERT INTO public.who_data VALUES (75528, 112, 2100, 1, 55, 319, 89);
INSERT INTO public.who_data VALUES (75529, 0, 1, 0, 0, 319, 121);
INSERT INTO public.who_data VALUES (75530, 2, 115, 0, 5, 319, 163);
INSERT INTO public.who_data VALUES (75531, 280, 2561, 9, 92, 319, 70);
INSERT INTO public.who_data VALUES (75532, 210, 3870, 19, 182, 319, 174);
INSERT INTO public.who_data VALUES (75533, 0, 0, 0, 0, 319, 175);
INSERT INTO public.who_data VALUES (75534, 435, 4848, 22, 129, 319, 118);
INSERT INTO public.who_data VALUES (75535, 712, 12442, 34, 345, 319, 189);
INSERT INTO public.who_data VALUES (75536, 60, 573, 2, 23, 319, 124);
INSERT INTO public.who_data VALUES (75537, 378, 2210, 2, 6, 319, 192);
INSERT INTO public.who_data VALUES (75538, 53, 10384, 8, 200, 319, 41);
INSERT INTO public.who_data VALUES (75539, 91, 1056, 3, 22, 319, 95);
INSERT INTO public.who_data VALUES (75540, 9, 358, 0, 0, 319, 74);
INSERT INTO public.who_data VALUES (75541, 360, 4417, 25, 182, 319, 11);
INSERT INTO public.who_data VALUES (75542, 1154, 7497, 11, 58, 319, 87);
INSERT INTO public.who_data VALUES (75543, 1, 105, 0, 0, 319, 214);
INSERT INTO public.who_data VALUES (75544, 0, 0, 0, 0, 319, 116);
INSERT INTO public.who_data VALUES (75545, 0, 6, 0, 0, 319, 157);
INSERT INTO public.who_data VALUES (75546, 0, 0, 0, 0, 319, 182);
INSERT INTO public.who_data VALUES (75547, 0, 10, 0, 0, 319, 186);
INSERT INTO public.who_data VALUES (75548, 0, 14, 0, 0, 319, 127);
INSERT INTO public.who_data VALUES (75549, 0, 31, 0, 2, 319, 232);
INSERT INTO public.who_data VALUES (75550, 1, 1, 0, 0, 319, 33);
INSERT INTO public.who_data VALUES (75551, 0, 7, 0, 0, 319, 97);
INSERT INTO public.who_data VALUES (75552, 0, 0, 0, 0, 319, 42);
INSERT INTO public.who_data VALUES (75553, 2, 279, 2, 34, 319, 198);
INSERT INTO public.who_data VALUES (75554, 0, 4, 0, 0, 319, 216);
INSERT INTO public.who_data VALUES (75555, 137, 2932, 0, 41, 319, 164);
INSERT INTO public.who_data VALUES (75556, 11, 237, 0, 2, 319, 235);
INSERT INTO public.who_data VALUES (75557, 247, 2447, 3, 61, 319, 67);
INSERT INTO public.who_data VALUES (75558, 0, 11, 0, 0, 319, 15);
INSERT INTO public.who_data VALUES (75559, 0, 6, 0, 0, 319, 180);
INSERT INTO public.who_data VALUES (75560, 106, 1481, 0, 6, 319, 237);
INSERT INTO public.who_data VALUES (75561, 0, 2, 0, 0, 319, 25);
INSERT INTO public.who_data VALUES (75562, 3, 40, 2, 8, 319, 209);
INSERT INTO public.who_data VALUES (75563, 49, 534, 0, 2, 319, 217);
INSERT INTO public.who_data VALUES (75564, 35, 1056, 7, 40, 319, 79);
INSERT INTO public.who_data VALUES (75565, 0, 0, 0, 0, 319, 143);
INSERT INTO public.who_data VALUES (75566, 1, 8, 0, 0, 319, 229);
INSERT INTO public.who_data VALUES (75567, 63, 1749, 1, 13, 319, 141);
INSERT INTO public.who_data VALUES (75568, 0, 1, 0, 0, 319, 197);
INSERT INTO public.who_data VALUES (75569, 5396, 158359, 766, 15185, 319, 221);
INSERT INTO public.who_data VALUES (75570, 6, 186, 0, 6, 319, 150);
INSERT INTO public.who_data VALUES (75571, 0, 14, 0, 2, 319, 56);
INSERT INTO public.who_data VALUES (75572, 0, 10, 0, 1, 319, 167);
INSERT INTO public.who_data VALUES (75573, 389, 7562, 90, 780, 319, 23);
INSERT INTO public.who_data VALUES (75574, 715, 24263, 57, 869, 319, 222);
INSERT INTO public.who_data VALUES (75575, 0, 19, 0, 2, 319, 219);
INSERT INTO public.who_data VALUES (75576, 0, 0, 0, 0, 319, 7);
INSERT INTO public.who_data VALUES (75577, 111, 2369, 3, 30, 319, 161);
INSERT INTO public.who_data VALUES (75578, 5282, 66058, 1105, 7545, 319, 149);
INSERT INTO public.who_data VALUES (75579, 0, 1, 0, 0, 319, 6);
INSERT INTO public.who_data VALUES (75580, 14, 58, 0, 3, 319, 139);
INSERT INTO public.who_data VALUES (75581, 0, 0, 0, 0, 319, 211);
INSERT INTO public.who_data VALUES (75582, 0, 0, 0, 0, 319, 14);
INSERT INTO public.who_data VALUES (75583, 1, 106, 0, 8, 319, 111);
INSERT INTO public.who_data VALUES (75584, 27, 623, 1, 23, 319, 207);
INSERT INTO public.who_data VALUES (75585, 3892, 34109, 76, 725, 319, 66);
INSERT INTO public.who_data VALUES (75586, 0, 0, 0, 0, 319, 173);
INSERT INTO public.who_data VALUES (75587, 3, 8, 0, 1, 319, 145);
INSERT INTO public.who_data VALUES (75588, 0, 0, 0, 0, 319, 65);
INSERT INTO public.who_data VALUES (75589, 0, 52, 0, 0, 319, 184);
INSERT INTO public.who_data VALUES (75590, 206, 1668, 7, 52, 319, 98);
INSERT INTO public.who_data VALUES (75591, 583, 2659, 1, 12, 319, 104);
INSERT INTO public.who_data VALUES (75592, 0, 24, 0, 1, 319, 73);
INSERT INTO public.who_data VALUES (75593, 29510, 363321, 1286, 10845, 319, 8);
INSERT INTO public.who_data VALUES (75594, 0, 43, 0, 1, 319, 227);
INSERT INTO public.who_data VALUES (75595, 9, 415, 0, 6, 319, 75);
INSERT INTO public.who_data VALUES (75596, 62, 534, 1, 3, 319, 45);
INSERT INTO public.who_data VALUES (75597, 0, 0, 0, 0, 319, 133);
INSERT INTO public.who_data VALUES (75598, 6, 165, 4, 7, 319, 202);
INSERT INTO public.who_data VALUES (75599, 6, 251, 0, 0, 319, 129);
INSERT INTO public.who_data VALUES (75600, 0, 0, 0, 0, 319, 36);
INSERT INTO public.who_data VALUES (75601, 0, 0, 0, 0, 319, 51);
INSERT INTO public.who_data VALUES (75602, 0, 39, 0, 1, 319, 206);
INSERT INTO public.who_data VALUES (75603, 2, 11, 1, 2, 319, 5);
INSERT INTO public.who_data VALUES (75604, 30, 367, 4, 11, 320, 103);
INSERT INTO public.who_data VALUES (75605, 0, 339, 1, 21, 320, 58);
INSERT INTO public.who_data VALUES (75606, 172, 1423, 43, 173, 320, 195);
INSERT INTO public.who_data VALUES (75607, 0, 0, 0, 0, 320, 115);
INSERT INTO public.who_data VALUES (75608, 17, 540, 4, 21, 320, 99);
INSERT INTO public.who_data VALUES (75609, 2, 16, 0, 2, 320, 153);
INSERT INTO public.who_data VALUES (75610, 0, 3, 0, 0, 320, 93);
INSERT INTO public.who_data VALUES (75611, 8, 15, 0, 0, 320, 84);
INSERT INTO public.who_data VALUES (75612, 103, 1554, 2, 46, 320, 78);
INSERT INTO public.who_data VALUES (75613, 11, 809, 1, 8, 320, 170);
INSERT INTO public.who_data VALUES (75614, 0, 64, 0, 0, 320, 32);
INSERT INTO public.who_data VALUES (75615, 49, 5844, 3, 42, 320, 155);
INSERT INTO public.who_data VALUES (75616, 314, 12297, 16, 220, 320, 82);
INSERT INTO public.who_data VALUES (75617, 57, 641, 2, 7, 320, 16);
INSERT INTO public.who_data VALUES (75618, 1, 29, 1, 5, 320, 72);
INSERT INTO public.who_data VALUES (75619, 88, 811, 0, 4, 320, 43);
INSERT INTO public.who_data VALUES (75620, 41, 164, 5, 17, 320, 120);
INSERT INTO public.who_data VALUES (75621, 5, 56, 1, 1, 320, 213);
INSERT INTO public.who_data VALUES (75622, 138, 700, 5, 13, 320, 31);
INSERT INTO public.who_data VALUES (75623, 1934, 25287, 257, 2839, 320, 204);
INSERT INTO public.who_data VALUES (75624, 2, 7, 1, 1, 320, 152);
INSERT INTO public.who_data VALUES (75625, 1, 23, 1, 1, 320, 144);
INSERT INTO public.who_data VALUES (75626, 0, 37, 0, 0, 320, 96);
INSERT INTO public.who_data VALUES (75627, 0, 5, 0, 0, 320, 47);
INSERT INTO public.who_data VALUES (75628, 26, 183, 1, 11, 320, 80);
INSERT INTO public.who_data VALUES (75629, 0, 0, 0, 0, 320, 159);
INSERT INTO public.who_data VALUES (75630, 33, 695, 7, 28, 320, 27);
INSERT INTO public.who_data VALUES (75631, 2, 6, 0, 1, 320, 146);
INSERT INTO public.who_data VALUES (75632, 852, 11130, 54, 486, 320, 71);
INSERT INTO public.who_data VALUES (75633, 0, 3, 0, 0, 320, 210);
INSERT INTO public.who_data VALUES (75634, 0, 135, 0, 1, 320, 54);
INSERT INTO public.who_data VALUES (75635, 18, 549, 2, 22, 320, 147);
INSERT INTO public.who_data VALUES (75636, 0, 345, 0, 17, 320, 2);
INSERT INTO public.who_data VALUES (75637, 0, 3, 0, 0, 320, 105);
INSERT INTO public.who_data VALUES (75638, 2, 7, 0, 1, 320, 53);
INSERT INTO public.who_data VALUES (75639, 1, 115, 0, 0, 320, 81);
INSERT INTO public.who_data VALUES (75640, 0, 555, 0, 9, 320, 223);
INSERT INTO public.who_data VALUES (75641, 1902, 15806, 62, 293, 320, 94);
INSERT INTO public.who_data VALUES (75642, 4, 39, 0, 1, 320, 154);
INSERT INTO public.who_data VALUES (75643, 0, 9, 0, 0, 320, 83);
INSERT INTO public.who_data VALUES (75644, 0, 9, 0, 0, 320, 194);
INSERT INTO public.who_data VALUES (75645, 344, 4815, 3, 37, 320, 136);
INSERT INTO public.who_data VALUES (75646, 66, 83071, 0, 3340, 320, 179);
INSERT INTO public.who_data VALUES (75647, 79, 1485, 3, 35, 320, 57);
INSERT INTO public.who_data VALUES (75648, 0, 0, 0, 0, 320, 35);
INSERT INTO public.who_data VALUES (75649, 0, 45, 0, 5, 320, 228);
INSERT INTO public.who_data VALUES (75650, 0, 0, 0, 0, 320, 19);
INSERT INTO public.who_data VALUES (75651, 19, 454, 0, 2, 320, 22);
INSERT INTO public.who_data VALUES (75652, 62, 323, 1, 3, 320, 1);
INSERT INTO public.who_data VALUES (75653, 40, 1222, 1, 16, 320, 21);
INSERT INTO public.who_data VALUES (75654, 30, 350, 1, 9, 320, 234);
INSERT INTO public.who_data VALUES (75655, 2, 13, 0, 1, 320, 91);
INSERT INTO public.who_data VALUES (75656, 19, 465, 0, 9, 320, 137);
INSERT INTO public.who_data VALUES (75657, 235, 4822, 11, 78, 320, 201);
INSERT INTO public.who_data VALUES (75658, 0, 0, 0, 0, 320, 171);
INSERT INTO public.who_data VALUES (75659, 0, 161, 0, 18, 320, 92);
INSERT INTO public.who_data VALUES (75660, 312, 4681, 8, 187, 320, 112);
INSERT INTO public.who_data VALUES (75661, 31, 121, 0, 0, 320, 62);
INSERT INTO public.who_data VALUES (75662, 3, 14, 0, 0, 320, 69);
INSERT INTO public.who_data VALUES (75663, 340, 1828, 18, 86, 320, 220);
INSERT INTO public.who_data VALUES (75664, 282, 3747, 19, 191, 320, 100);
INSERT INTO public.who_data VALUES (75665, 149, 1322, 7, 85, 320, 187);
INSERT INTO public.who_data VALUES (75666, 7, 69, 0, 3, 320, 63);
INSERT INTO public.who_data VALUES (75667, 0, 16, 0, 0, 320, 28);
INSERT INTO public.who_data VALUES (75668, 0, 29, 0, 0, 320, 172);
INSERT INTO public.who_data VALUES (75669, 11, 1108, 4, 19, 320, 17);
INSERT INTO public.who_data VALUES (75670, 0, 9, 0, 0, 320, 226);
INSERT INTO public.who_data VALUES (75671, 1, 44, 0, 1, 320, 236);
INSERT INTO public.who_data VALUES (75672, 0, 2, 0, 0, 320, 76);
INSERT INTO public.who_data VALUES (75673, 2, 183, 0, 0, 320, 30);
INSERT INTO public.who_data VALUES (75674, 1, 15, 0, 0, 320, 128);
INSERT INTO public.who_data VALUES (75675, 249, 2176, 0, 27, 320, 86);
INSERT INTO public.who_data VALUES (75676, 3881, 73488, 832, 8896, 320, 140);
INSERT INTO public.who_data VALUES (75677, 2, 68, 0, 0, 320, 44);
INSERT INTO public.who_data VALUES (75678, 1, 42, 0, 0, 320, 113);
INSERT INTO public.who_data VALUES (75679, 0, 21, 0, 1, 320, 29);
INSERT INTO public.who_data VALUES (75680, 0, 4, 0, 1, 320, 125);
INSERT INTO public.who_data VALUES (75681, 7, 195, 0, 2, 320, 131);
INSERT INTO public.who_data VALUES (75682, 3834, 99225, 173, 1607, 320, 46);
INSERT INTO public.who_data VALUES (75683, 0, 214, 0, 5, 320, 10);
INSERT INTO public.who_data VALUES (75684, 0, 103, 0, 0, 320, 205);
INSERT INTO public.who_data VALUES (75685, 20, 1755, 6, 79, 320, 50);
INSERT INTO public.who_data VALUES (75686, 0, 11, 0, 0, 320, 20);
INSERT INTO public.who_data VALUES (75687, 0, 12, 0, 0, 320, 13);
INSERT INTO public.who_data VALUES (75688, 1, 135, 0, 7, 320, 148);
INSERT INTO public.who_data VALUES (75689, 1, 113, 0, 4, 320, 230);
INSERT INTO public.who_data VALUES (75690, 9, 70, 1, 3, 320, 190);
INSERT INTO public.who_data VALUES (75691, 0, 154, 0, 3, 320, 188);
INSERT INTO public.who_data VALUES (75692, 0, 111, 0, 0, 320, 123);
INSERT INTO public.who_data VALUES (75693, 15, 33, 0, 0, 320, 9);
INSERT INTO public.who_data VALUES (75694, 5, 29, 0, 4, 320, 102);
INSERT INTO public.who_data VALUES (75695, 3, 24, 1, 1, 320, 34);
INSERT INTO public.who_data VALUES (75696, 0, 7, 0, 0, 320, 212);
INSERT INTO public.who_data VALUES (75697, 30, 298, 0, 22, 320, 122);
INSERT INTO public.who_data VALUES (75698, 73, 817, 9, 47, 320, 38);
INSERT INTO public.who_data VALUES (75699, 76, 1562, 2, 6, 320, 130);
INSERT INTO public.who_data VALUES (75700, 354, 4421, 5, 114, 320, 37);
INSERT INTO public.who_data VALUES (75701, 247, 2738, 12, 221, 320, 231);
INSERT INTO public.who_data VALUES (75702, 2089, 62589, 133, 3872, 320, 107);
INSERT INTO public.who_data VALUES (75703, 0, 1031, 0, 64, 320, 101);
INSERT INTO public.who_data VALUES (75704, 253, 5364, 16, 174, 320, 132);
INSERT INTO public.who_data VALUES (75705, 0, 127, 0, 1, 320, 176);
INSERT INTO public.who_data VALUES (75706, 583, 8748, 7, 56, 320, 200);
INSERT INTO public.who_data VALUES (75707, 3599, 132547, 636, 16525, 320, 169);
INSERT INTO public.who_data VALUES (75708, 3, 58, 0, 3, 320, 225);
INSERT INTO public.who_data VALUES (75709, 252, 3906, 7, 80, 320, 165);
INSERT INTO public.who_data VALUES (75710, 0, 155, 0, 3, 320, 233);
INSERT INTO public.who_data VALUES (75711, 4, 349, 1, 6, 320, 215);
INSERT INTO public.who_data VALUES (75712, 39, 709, 0, 6, 320, 177);
INSERT INTO public.who_data VALUES (75713, 0, 142, 0, 4, 320, 183);
INSERT INTO public.who_data VALUES (75714, 0, 0, 0, 0, 320, 203);
INSERT INTO public.who_data VALUES (75715, 20, 165, 2, 3, 320, 162);
INSERT INTO public.who_data VALUES (75716, 78, 743, 0, 1, 320, 12);
INSERT INTO public.who_data VALUES (75717, 12, 228, 0, 4, 320, 24);
INSERT INTO public.who_data VALUES (75718, 1, 12, 0, 0, 320, 119);
INSERT INTO public.who_data VALUES (75719, 9, 542, 0, 1, 320, 39);
INSERT INTO public.who_data VALUES (75720, 7, 548, 0, 19, 320, 26);
INSERT INTO public.who_data VALUES (75721, 0, 0, 0, 0, 320, 59);
INSERT INTO public.who_data VALUES (75722, 1, 14, 0, 3, 320, 77);
INSERT INTO public.who_data VALUES (75723, 1, 19, 0, 1, 320, 134);
INSERT INTO public.who_data VALUES (75724, 1, 79, 0, 1, 320, 4);
INSERT INTO public.who_data VALUES (75725, 33, 783, 6, 20, 320, 109);
INSERT INTO public.who_data VALUES (75726, 39, 2843, 5, 41, 320, 90);
INSERT INTO public.who_data VALUES (75727, 8, 85, 0, 0, 320, 61);
INSERT INTO public.who_data VALUES (75728, 0, 4, 0, 0, 320, 85);
INSERT INTO public.who_data VALUES (75729, 131, 3793, 1, 62, 320, 49);
INSERT INTO public.who_data VALUES (75730, 0, 19, 0, 0, 320, 208);
INSERT INTO public.who_data VALUES (75731, 0, 39, 0, 4, 320, 166);
INSERT INTO public.who_data VALUES (75732, 14, 241, 0, 0, 320, 64);
INSERT INTO public.who_data VALUES (75733, 0, 0, 0, 0, 320, 199);
INSERT INTO public.who_data VALUES (75734, 4, 149, 1, 4, 320, 114);
INSERT INTO public.who_data VALUES (75735, 0, 6, 0, 1, 320, 60);
INSERT INTO public.who_data VALUES (75736, 17, 244, 0, 7, 320, 68);
INSERT INTO public.who_data VALUES (75737, 17, 164, 0, 2, 320, 158);
INSERT INTO public.who_data VALUES (75738, 253, 2143, 15, 94, 320, 52);
INSERT INTO public.who_data VALUES (75739, 0, 0, 0, 0, 320, 117);
INSERT INTO public.who_data VALUES (75740, 1, 52, 0, 0, 320, 126);
INSERT INTO public.who_data VALUES (75741, 0, 15, 0, 0, 320, 196);
INSERT INTO public.who_data VALUES (75742, 9, 248, 0, 2, 320, 142);
INSERT INTO public.who_data VALUES (75743, 0, 6, 0, 0, 320, 185);
INSERT INTO public.who_data VALUES (75744, 28, 1141, 12, 83, 320, 138);
INSERT INTO public.who_data VALUES (75745, 0, 10, 0, 0, 320, 181);
INSERT INTO public.who_data VALUES (75746, 1, 22, 0, 1, 320, 178);
INSERT INTO public.who_data VALUES (75747, 0, 16, 0, 0, 320, 168);
INSERT INTO public.who_data VALUES (75748, 0, 0, 0, 0, 320, 160);
INSERT INTO public.who_data VALUES (75749, 0, 9, 0, 0, 320, 151);
INSERT INTO public.who_data VALUES (75750, 945, 18609, 91, 1818, 320, 193);
INSERT INTO public.who_data VALUES (75751, 0, 18, 0, 0, 320, 18);
INSERT INTO public.who_data VALUES (75752, 32, 943, 0, 1, 320, 40);
INSERT INTO public.who_data VALUES (75753, 1, 6, 0, 1, 320, 218);
INSERT INTO public.who_data VALUES (75754, 69, 253, 0, 10, 320, 191);
INSERT INTO public.who_data VALUES (75755, 0, 232, 0, 5, 320, 156);
INSERT INTO public.who_data VALUES (75756, 0, 0, 0, 0, 320, 135);
INSERT INTO public.who_data VALUES (75757, 0, 8, 0, 1, 320, 88);
INSERT INTO public.who_data VALUES (75758, 15, 570, 3, 21, 320, 55);
INSERT INTO public.who_data VALUES (75759, 115, 5755, 1, 59, 320, 108);
INSERT INTO public.who_data VALUES (75760, 1, 254, 0, 1, 320, 48);
INSERT INTO public.who_data VALUES (75761, 40, 371, 0, 2, 320, 3);
INSERT INTO public.who_data VALUES (75762, 0, 712, 0, 11, 320, 224);
INSERT INTO public.who_data VALUES (75763, 581, 4005, 4, 54, 320, 110);
INSERT INTO public.who_data VALUES (75764, 0, 0, 0, 0, 320, 106);
INSERT INTO public.who_data VALUES (75765, 187, 1988, 8, 54, 320, 89);
INSERT INTO public.who_data VALUES (75766, 0, 1, 0, 0, 320, 121);
INSERT INTO public.who_data VALUES (75767, 9, 113, 2, 5, 320, 163);
INSERT INTO public.who_data VALUES (75768, 535, 2281, 10, 83, 320, 70);
INSERT INTO public.who_data VALUES (75769, 414, 3660, 11, 163, 320, 174);
INSERT INTO public.who_data VALUES (75770, 0, 0, 0, 0, 320, 175);
INSERT INTO public.who_data VALUES (75771, 311, 4413, 13, 107, 320, 118);
INSERT INTO public.who_data VALUES (75772, 452, 11730, 16, 311, 320, 189);
INSERT INTO public.who_data VALUES (75773, 61, 513, 3, 21, 320, 124);
INSERT INTO public.who_data VALUES (75774, 228, 1832, 0, 4, 320, 192);
INSERT INTO public.who_data VALUES (75775, 47, 10331, 6, 192, 320, 41);
INSERT INTO public.who_data VALUES (75776, 101, 965, 4, 19, 320, 95);
INSERT INTO public.who_data VALUES (75777, 5, 349, 0, 0, 320, 74);
INSERT INTO public.who_data VALUES (75778, 193, 4057, 9, 157, 320, 11);
INSERT INTO public.who_data VALUES (75779, 954, 6343, 2, 47, 320, 87);
INSERT INTO public.who_data VALUES (75780, 2, 104, 0, 0, 320, 214);
INSERT INTO public.who_data VALUES (75781, 0, 0, 0, 0, 320, 116);
INSERT INTO public.who_data VALUES (75782, 0, 6, 0, 0, 320, 157);
INSERT INTO public.who_data VALUES (75783, 0, 0, 0, 0, 320, 182);
INSERT INTO public.who_data VALUES (75784, 1, 10, 0, 0, 320, 186);
INSERT INTO public.who_data VALUES (75785, 0, 14, 0, 0, 320, 127);
INSERT INTO public.who_data VALUES (75786, 2, 31, 0, 2, 320, 232);
INSERT INTO public.who_data VALUES (75787, 0, 0, 0, 0, 320, 33);
INSERT INTO public.who_data VALUES (75788, 4, 7, 0, 0, 320, 97);
INSERT INTO public.who_data VALUES (75789, 0, 0, 0, 0, 320, 42);
INSERT INTO public.who_data VALUES (75790, 11, 277, 0, 32, 320, 198);
INSERT INTO public.who_data VALUES (75791, 0, 4, 0, 0, 320, 216);
INSERT INTO public.who_data VALUES (75792, 272, 2795, 3, 41, 320, 164);
INSERT INTO public.who_data VALUES (75793, 0, 226, 0, 2, 320, 235);
INSERT INTO public.who_data VALUES (75794, 292, 2200, 7, 58, 320, 67);
INSERT INTO public.who_data VALUES (75795, 1, 11, 0, 0, 320, 15);
INSERT INTO public.who_data VALUES (75796, 0, 6, 0, 0, 320, 180);
INSERT INTO public.who_data VALUES (75797, 66, 1375, 0, 6, 320, 237);
INSERT INTO public.who_data VALUES (75798, 0, 2, 0, 0, 320, 25);
INSERT INTO public.who_data VALUES (75799, 14, 37, 4, 6, 320, 209);
INSERT INTO public.who_data VALUES (75800, 14, 485, 2, 2, 320, 217);
INSERT INTO public.who_data VALUES (75801, 23, 1021, 3, 33, 320, 79);
INSERT INTO public.who_data VALUES (75802, 0, 0, 0, 0, 320, 143);
INSERT INTO public.who_data VALUES (75803, 0, 7, 0, 0, 320, 229);
INSERT INTO public.who_data VALUES (75804, 31, 1686, 1, 12, 320, 141);
INSERT INTO public.who_data VALUES (75805, 0, 1, 0, 0, 320, 197);
INSERT INTO public.who_data VALUES (75806, 3146, 152963, 750, 14419, 320, 221);
INSERT INTO public.who_data VALUES (75807, 4, 180, 1, 6, 320, 150);
INSERT INTO public.who_data VALUES (75808, 2, 14, 0, 2, 320, 56);
INSERT INTO public.who_data VALUES (75809, 0, 10, 1, 1, 320, 167);
INSERT INTO public.who_data VALUES (75810, 340, 7173, 85, 690, 320, 23);
INSERT INTO public.who_data VALUES (75811, 924, 23548, 50, 812, 320, 222);
INSERT INTO public.who_data VALUES (75812, 0, 19, 0, 2, 320, 219);
INSERT INTO public.who_data VALUES (75813, 0, 0, 0, 0, 320, 7);
INSERT INTO public.who_data VALUES (75814, 38, 2258, 1, 27, 320, 161);
INSERT INTO public.who_data VALUES (75815, 3592, 60776, 567, 6440, 320, 149);
INSERT INTO public.who_data VALUES (75816, 0, 1, 0, 0, 320, 6);
INSERT INTO public.who_data VALUES (75817, 0, 44, 0, 3, 320, 139);
INSERT INTO public.who_data VALUES (75818, 0, 0, 0, 0, 320, 211);
INSERT INTO public.who_data VALUES (75819, 0, 0, 0, 0, 320, 14);
INSERT INTO public.who_data VALUES (75820, 2, 105, 2, 8, 320, 111);
INSERT INTO public.who_data VALUES (75821, 22, 596, 0, 22, 320, 207);
INSERT INTO public.who_data VALUES (75822, 3148, 30217, 75, 649, 320, 66);
INSERT INTO public.who_data VALUES (75823, 0, 0, 0, 0, 320, 173);
INSERT INTO public.who_data VALUES (75824, 0, 5, 0, 1, 320, 145);
INSERT INTO public.who_data VALUES (75825, 0, 0, 0, 0, 320, 65);
INSERT INTO public.who_data VALUES (75826, 4, 52, 0, 0, 320, 184);
INSERT INTO public.who_data VALUES (75827, 143, 1462, 7, 45, 320, 98);
INSERT INTO public.who_data VALUES (75828, 0, 2076, 0, 11, 320, 104);
INSERT INTO public.who_data VALUES (75829, 2, 24, 0, 1, 320, 73);
INSERT INTO public.who_data VALUES (75830, 26493, 333811, 1201, 9559, 320, 8);
INSERT INTO public.who_data VALUES (75831, 1, 43, 1, 1, 320, 227);
INSERT INTO public.who_data VALUES (75832, 6, 406, 1, 6, 320, 75);
INSERT INTO public.who_data VALUES (75833, 82, 472, 0, 2, 320, 45);
INSERT INTO public.who_data VALUES (75834, 0, 0, 0, 0, 320, 133);
INSERT INTO public.who_data VALUES (75835, 15, 159, 0, 3, 320, 202);
INSERT INTO public.who_data VALUES (75836, 4, 245, 0, 0, 320, 129);
INSERT INTO public.who_data VALUES (75837, 0, 0, 0, 0, 320, 36);
INSERT INTO public.who_data VALUES (75838, 0, 0, 0, 0, 320, 51);
INSERT INTO public.who_data VALUES (75839, 0, 39, 0, 1, 320, 206);
INSERT INTO public.who_data VALUES (75840, 0, 9, 0, 1, 320, 5);
INSERT INTO public.who_data VALUES (75841, 38, 337, 0, 7, 321, 103);
INSERT INTO public.who_data VALUES (75842, 44, 339, 3, 20, 321, 58);
INSERT INTO public.who_data VALUES (75843, 0, 1251, 0, 130, 321, 195);
INSERT INTO public.who_data VALUES (75844, 0, 0, 0, 0, 321, 115);
INSERT INTO public.who_data VALUES (75845, 57, 523, 0, 17, 321, 99);
INSERT INTO public.who_data VALUES (75846, 4, 14, 0, 2, 321, 153);
INSERT INTO public.who_data VALUES (75847, 0, 3, 0, 0, 321, 93);
INSERT INTO public.who_data VALUES (75848, 0, 7, 0, 0, 321, 84);
INSERT INTO public.who_data VALUES (75849, 98, 1451, 2, 44, 321, 78);
INSERT INTO public.who_data VALUES (75850, 52, 798, 0, 7, 321, 170);
INSERT INTO public.who_data VALUES (75851, 0, 64, 0, 0, 321, 32);
INSERT INTO public.who_data VALUES (75852, 160, 5795, 5, 39, 321, 155);
INSERT INTO public.who_data VALUES (75853, 217, 11983, 18, 204, 321, 82);
INSERT INTO public.who_data VALUES (75854, 72, 584, 0, 5, 321, 16);
INSERT INTO public.who_data VALUES (75855, 4, 28, 1, 4, 321, 72);
INSERT INTO public.who_data VALUES (75856, 25, 723, 0, 4, 321, 43);
INSERT INTO public.who_data VALUES (75857, 35, 123, 4, 12, 321, 120);
INSERT INTO public.who_data VALUES (75858, 0, 51, 0, 0, 321, 213);
INSERT INTO public.who_data VALUES (75859, 122, 562, 4, 8, 321, 31);
INSERT INTO public.who_data VALUES (75860, 665, 23353, 247, 2582, 321, 204);
INSERT INTO public.who_data VALUES (75861, 1, 5, 0, 0, 321, 152);
INSERT INTO public.who_data VALUES (75862, 9, 22, 0, 0, 321, 144);
INSERT INTO public.who_data VALUES (75863, 2, 37, 0, 0, 321, 96);
INSERT INTO public.who_data VALUES (75864, 0, 5, 0, 0, 321, 47);
INSERT INTO public.who_data VALUES (75865, 18, 157, 0, 10, 321, 80);
INSERT INTO public.who_data VALUES (75866, 0, 0, 0, 0, 321, 159);
INSERT INTO public.who_data VALUES (75867, 30, 662, 0, 21, 321, 27);
INSERT INTO public.who_data VALUES (75868, 0, 4, 0, 1, 321, 146);
INSERT INTO public.who_data VALUES (75869, 1222, 10278, 73, 432, 321, 71);
INSERT INTO public.who_data VALUES (75870, 0, 3, 0, 0, 321, 210);
INSERT INTO public.who_data VALUES (75871, 0, 135, 0, 1, 321, 54);
INSERT INTO public.who_data VALUES (75872, 28, 531, 3, 20, 321, 147);
INSERT INTO public.who_data VALUES (75873, 43, 345, 2, 17, 321, 2);
INSERT INTO public.who_data VALUES (75874, 0, 3, 0, 0, 321, 105);
INSERT INTO public.who_data VALUES (75875, 0, 5, 0, 1, 321, 53);
INSERT INTO public.who_data VALUES (75876, 0, 114, 0, 0, 321, 81);
INSERT INTO public.who_data VALUES (75877, 0, 555, 0, 9, 321, 223);
INSERT INTO public.who_data VALUES (75878, 966, 13904, 17, 231, 321, 94);
INSERT INTO public.who_data VALUES (75879, 7, 35, 0, 1, 321, 154);
INSERT INTO public.who_data VALUES (75880, 0, 9, 0, 0, 321, 83);
INSERT INTO public.who_data VALUES (75881, 2, 9, 0, 0, 321, 194);
INSERT INTO public.who_data VALUES (75882, 310, 4471, 7, 34, 321, 136);
INSERT INTO public.who_data VALUES (75883, 75, 83005, 2, 3340, 321, 179);
INSERT INTO public.who_data VALUES (75884, 139, 1406, 7, 32, 321, 57);
INSERT INTO public.who_data VALUES (75885, 0, 0, 0, 0, 321, 35);
INSERT INTO public.who_data VALUES (75886, 0, 45, 0, 5, 321, 228);
INSERT INTO public.who_data VALUES (75887, 0, 0, 0, 0, 321, 19);
INSERT INTO public.who_data VALUES (75888, 19, 435, 0, 2, 321, 22);
INSERT INTO public.who_data VALUES (75889, 16, 261, 0, 2, 321, 1);
INSERT INTO public.who_data VALUES (75890, 56, 1182, 3, 15, 321, 21);
INSERT INTO public.who_data VALUES (75891, 32, 320, 2, 8, 321, 234);
INSERT INTO public.who_data VALUES (75892, 0, 11, 0, 1, 321, 91);
INSERT INTO public.who_data VALUES (75893, 20, 446, 0, 9, 321, 137);
INSERT INTO public.who_data VALUES (75894, 115, 4587, 8, 67, 321, 201);
INSERT INTO public.who_data VALUES (75895, 0, 0, 0, 0, 321, 171);
INSERT INTO public.who_data VALUES (75896, 13, 161, 2, 18, 321, 92);
INSERT INTO public.who_data VALUES (75897, 292, 4369, 18, 179, 321, 112);
INSERT INTO public.who_data VALUES (75898, 31, 90, 0, 0, 321, 62);
INSERT INTO public.who_data VALUES (75899, 0, 11, 0, 0, 321, 69);
INSERT INTO public.who_data VALUES (75900, 0, 1488, 0, 68, 321, 220);
INSERT INTO public.who_data VALUES (75901, 0, 3465, 0, 172, 321, 100);
INSERT INTO public.who_data VALUES (75902, 103, 1173, 7, 78, 321, 187);
INSERT INTO public.who_data VALUES (75903, 6, 62, 0, 3, 321, 63);
INSERT INTO public.who_data VALUES (75904, 0, 16, 0, 0, 321, 28);
INSERT INTO public.who_data VALUES (75905, 9, 29, 0, 0, 321, 172);
INSERT INTO public.who_data VALUES (75906, 79, 1097, 2, 15, 321, 17);
INSERT INTO public.who_data VALUES (75907, 0, 9, 0, 0, 321, 226);
INSERT INTO public.who_data VALUES (75908, 5, 43, 1, 1, 321, 236);
INSERT INTO public.who_data VALUES (75909, 1, 2, 0, 0, 321, 76);
INSERT INTO public.who_data VALUES (75910, 0, 181, 0, 0, 321, 30);
INSERT INTO public.who_data VALUES (75911, 2, 14, 0, 0, 321, 128);
INSERT INTO public.who_data VALUES (75912, 45, 1927, 2, 27, 321, 86);
INSERT INTO public.who_data VALUES (75913, 1850, 69607, 518, 8064, 321, 140);
INSERT INTO public.who_data VALUES (75914, 4, 66, 0, 0, 321, 44);
INSERT INTO public.who_data VALUES (75915, 1, 41, 0, 0, 321, 113);
INSERT INTO public.who_data VALUES (75916, 0, 21, 0, 1, 321, 29);
INSERT INTO public.who_data VALUES (75917, 0, 4, 0, 1, 321, 125);
INSERT INTO public.who_data VALUES (75918, 18, 188, 1, 2, 321, 131);
INSERT INTO public.who_data VALUES (75919, 3677, 95391, 92, 1434, 321, 46);
INSERT INTO public.who_data VALUES (75920, 9, 214, 1, 5, 321, 10);
INSERT INTO public.who_data VALUES (75921, 5, 103, 0, 0, 321, 205);
INSERT INTO public.who_data VALUES (75922, 62, 1735, 5, 73, 321, 50);
INSERT INTO public.who_data VALUES (75923, 1, 11, 0, 0, 321, 20);
INSERT INTO public.who_data VALUES (75924, 0, 12, 0, 0, 321, 13);
INSERT INTO public.who_data VALUES (75925, 4, 134, 0, 7, 321, 148);
INSERT INTO public.who_data VALUES (75926, 19, 112, 0, 4, 321, 230);
INSERT INTO public.who_data VALUES (75927, 11, 61, 1, 2, 321, 190);
INSERT INTO public.who_data VALUES (75928, 18, 154, 1, 3, 321, 188);
INSERT INTO public.who_data VALUES (75929, 0, 111, 0, 0, 321, 123);
INSERT INTO public.who_data VALUES (75930, 0, 18, 0, 0, 321, 9);
INSERT INTO public.who_data VALUES (75931, 1, 24, 0, 4, 321, 102);
INSERT INTO public.who_data VALUES (75932, 3, 21, 0, 0, 321, 34);
INSERT INTO public.who_data VALUES (75933, 0, 7, 0, 0, 321, 212);
INSERT INTO public.who_data VALUES (75934, 4, 268, 7, 22, 321, 122);
INSERT INTO public.who_data VALUES (75935, 11, 744, 4, 38, 321, 38);
INSERT INTO public.who_data VALUES (75936, 69, 1486, 0, 4, 321, 130);
INSERT INTO public.who_data VALUES (75937, 693, 4067, 32, 109, 321, 37);
INSERT INTO public.who_data VALUES (75938, 218, 2491, 11, 209, 321, 231);
INSERT INTO public.who_data VALUES (75939, 2274, 60500, 136, 3739, 321, 107);
INSERT INTO public.who_data VALUES (75940, 70, 1031, 3, 64, 321, 101);
INSERT INTO public.who_data VALUES (75941, 507, 5111, 21, 158, 321, 132);
INSERT INTO public.who_data VALUES (75942, 1, 127, 0, 1, 321, 176);
INSERT INTO public.who_data VALUES (75943, 428, 8165, 6, 49, 321, 200);
INSERT INTO public.who_data VALUES (75944, 4316, 128948, 527, 15889, 321, 169);
INSERT INTO public.who_data VALUES (75945, 2, 55, 0, 3, 321, 225);
INSERT INTO public.who_data VALUES (75946, 383, 3654, 3, 73, 321, 165);
INSERT INTO public.who_data VALUES (75947, 32, 155, 0, 3, 321, 233);
INSERT INTO public.who_data VALUES (75948, 22, 345, 0, 5, 321, 215);
INSERT INTO public.who_data VALUES (75949, 66, 670, 1, 6, 321, 177);
INSERT INTO public.who_data VALUES (75950, 20, 142, 0, 4, 321, 183);
INSERT INTO public.who_data VALUES (75951, 0, 0, 0, 0, 321, 203);
INSERT INTO public.who_data VALUES (75952, 5, 145, 0, 1, 321, 162);
INSERT INTO public.who_data VALUES (75953, 109, 665, 0, 1, 321, 12);
INSERT INTO public.who_data VALUES (75954, 69, 216, 3, 4, 321, 24);
INSERT INTO public.who_data VALUES (75955, 1, 11, 0, 0, 321, 119);
INSERT INTO public.who_data VALUES (75956, 24, 533, 0, 1, 321, 39);
INSERT INTO public.who_data VALUES (75957, 14, 541, 1, 19, 321, 26);
INSERT INTO public.who_data VALUES (75958, 0, 0, 0, 0, 321, 59);
INSERT INTO public.who_data VALUES (75959, 3, 13, 2, 3, 321, 77);
INSERT INTO public.who_data VALUES (75960, 0, 18, 0, 1, 321, 134);
INSERT INTO public.who_data VALUES (75961, 0, 78, 0, 1, 321, 4);
INSERT INTO public.who_data VALUES (75962, 34, 750, 2, 14, 321, 109);
INSERT INTO public.who_data VALUES (75963, 75, 2804, 5, 36, 321, 90);
INSERT INTO public.who_data VALUES (75964, 7, 77, 0, 0, 321, 61);
INSERT INTO public.who_data VALUES (75965, 1, 4, 0, 0, 321, 85);
INSERT INTO public.who_data VALUES (75966, 179, 3662, 4, 61, 321, 49);
INSERT INTO public.who_data VALUES (75967, 0, 19, 0, 0, 321, 208);
INSERT INTO public.who_data VALUES (75968, 0, 39, 0, 4, 321, 166);
INSERT INTO public.who_data VALUES (75969, 14, 227, 0, 0, 321, 64);
INSERT INTO public.who_data VALUES (75970, 0, 0, 0, 0, 321, 199);
INSERT INTO public.who_data VALUES (75971, 0, 145, 0, 3, 321, 114);
INSERT INTO public.who_data VALUES (75972, 0, 6, 0, 1, 321, 60);
INSERT INTO public.who_data VALUES (75973, 31, 227, 0, 7, 321, 68);
INSERT INTO public.who_data VALUES (75974, 0, 147, 0, 2, 321, 158);
INSERT INTO public.who_data VALUES (75975, 202, 1890, 19, 79, 321, 52);
INSERT INTO public.who_data VALUES (75976, 0, 0, 0, 0, 321, 117);
INSERT INTO public.who_data VALUES (75977, 3, 51, 0, 0, 321, 126);
INSERT INTO public.who_data VALUES (75978, 1, 15, 0, 0, 321, 196);
INSERT INTO public.who_data VALUES (75979, 16, 239, 0, 2, 321, 142);
INSERT INTO public.who_data VALUES (75980, 0, 6, 0, 0, 321, 185);
INSERT INTO public.who_data VALUES (75981, 153, 1113, 5, 71, 321, 138);
INSERT INTO public.who_data VALUES (75982, 0, 10, 0, 0, 321, 181);
INSERT INTO public.who_data VALUES (75983, 0, 21, 0, 1, 321, 178);
INSERT INTO public.who_data VALUES (75984, 2, 16, 0, 0, 321, 168);
INSERT INTO public.who_data VALUES (75985, 0, 0, 0, 0, 321, 160);
INSERT INTO public.who_data VALUES (75986, 0, 9, 0, 0, 321, 151);
INSERT INTO public.who_data VALUES (75987, 1099, 17664, 103, 1727, 321, 193);
INSERT INTO public.who_data VALUES (75988, 0, 18, 0, 0, 321, 18);
INSERT INTO public.who_data VALUES (75989, 39, 911, 0, 1, 321, 40);
INSERT INTO public.who_data VALUES (75990, 0, 5, 0, 1, 321, 218);
INSERT INTO public.who_data VALUES (75991, 40, 184, 2, 10, 321, 191);
INSERT INTO public.who_data VALUES (75992, 24, 232, 1, 5, 321, 156);
INSERT INTO public.who_data VALUES (75993, 0, 0, 0, 0, 321, 135);
INSERT INTO public.who_data VALUES (75994, 0, 8, 0, 1, 321, 88);
INSERT INTO public.who_data VALUES (75995, 72, 555, 1, 18, 321, 55);
INSERT INTO public.who_data VALUES (75996, 130, 5640, 8, 58, 321, 108);
INSERT INTO public.who_data VALUES (75997, 36, 253, 0, 1, 321, 48);
INSERT INTO public.who_data VALUES (75998, 33, 331, 0, 2, 321, 3);
INSERT INTO public.who_data VALUES (75999, 0, 712, 0, 11, 321, 224);
INSERT INTO public.who_data VALUES (76000, 365, 3424, 5, 50, 321, 110);
INSERT INTO public.who_data VALUES (76001, 0, 0, 0, 0, 321, 106);
INSERT INTO public.who_data VALUES (76002, 128, 1801, 5, 46, 321, 89);
INSERT INTO public.who_data VALUES (76003, 0, 1, 0, 0, 321, 121);
INSERT INTO public.who_data VALUES (76004, 8, 104, 0, 3, 321, 163);
INSERT INTO public.who_data VALUES (76005, 151, 1746, 12, 73, 321, 70);
INSERT INTO public.who_data VALUES (76006, 152, 3246, 8, 152, 321, 174);
INSERT INTO public.who_data VALUES (76007, 0, 0, 0, 0, 321, 175);
INSERT INTO public.who_data VALUES (76008, 475, 4102, 15, 94, 321, 118);
INSERT INTO public.who_data VALUES (76009, 754, 11278, 29, 295, 321, 189);
INSERT INTO public.who_data VALUES (76010, 0, 452, 0, 18, 321, 124);
INSERT INTO public.who_data VALUES (76011, 279, 1604, 1, 4, 321, 192);
INSERT INTO public.who_data VALUES (76012, 47, 10284, 3, 186, 321, 41);
INSERT INTO public.who_data VALUES (76013, 112, 864, 3, 15, 321, 95);
INSERT INTO public.who_data VALUES (76014, 10, 344, 0, 0, 321, 74);
INSERT INTO public.who_data VALUES (76015, 251, 3864, 7, 148, 321, 11);
INSERT INTO public.who_data VALUES (76016, 658, 5389, 2, 45, 321, 87);
INSERT INTO public.who_data VALUES (76017, 0, 102, 0, 0, 321, 214);
INSERT INTO public.who_data VALUES (76018, 0, 0, 0, 0, 321, 116);
INSERT INTO public.who_data VALUES (76019, 0, 6, 0, 0, 321, 157);
INSERT INTO public.who_data VALUES (76020, 0, 0, 0, 0, 321, 182);
INSERT INTO public.who_data VALUES (76021, 0, 9, 0, 0, 321, 186);
INSERT INTO public.who_data VALUES (76022, 1, 14, 0, 0, 321, 127);
INSERT INTO public.who_data VALUES (76023, 5, 29, 0, 2, 321, 232);
INSERT INTO public.who_data VALUES (76024, 0, 0, 0, 0, 321, 33);
INSERT INTO public.who_data VALUES (76025, 0, 3, 0, 0, 321, 97);
INSERT INTO public.who_data VALUES (76026, 0, 0, 0, 0, 321, 42);
INSERT INTO public.who_data VALUES (76027, 7, 266, 0, 32, 321, 198);
INSERT INTO public.who_data VALUES (76028, 4, 4, 0, 0, 321, 216);
INSERT INTO public.who_data VALUES (76029, 138, 2523, 4, 38, 321, 164);
INSERT INTO public.who_data VALUES (76030, 7, 226, 0, 2, 321, 235);
INSERT INTO public.who_data VALUES (76031, 284, 1908, 12, 51, 321, 67);
INSERT INTO public.who_data VALUES (76032, 0, 10, 0, 0, 321, 15);
INSERT INTO public.who_data VALUES (76033, 2, 6, 0, 0, 321, 180);
INSERT INTO public.who_data VALUES (76034, 120, 1309, 1, 6, 321, 237);
INSERT INTO public.who_data VALUES (76035, 0, 2, 0, 0, 321, 25);
INSERT INTO public.who_data VALUES (76036, 0, 23, 0, 2, 321, 209);
INSERT INTO public.who_data VALUES (76037, 21, 471, 0, 0, 321, 217);
INSERT INTO public.who_data VALUES (76038, 20, 998, 4, 30, 321, 79);
INSERT INTO public.who_data VALUES (76039, 0, 0, 0, 0, 321, 143);
INSERT INTO public.who_data VALUES (76040, 0, 7, 0, 0, 321, 229);
INSERT INTO public.who_data VALUES (76041, 70, 1655, 2, 11, 321, 141);
INSERT INTO public.who_data VALUES (76042, 1, 1, 0, 0, 321, 197);
INSERT INTO public.who_data VALUES (76043, 4669, 149817, 740, 13669, 321, 221);
INSERT INTO public.who_data VALUES (76044, 10, 176, 0, 5, 321, 150);
INSERT INTO public.who_data VALUES (76045, 0, 12, 0, 2, 321, 56);
INSERT INTO public.who_data VALUES (76046, 0, 10, 0, 0, 321, 167);
INSERT INTO public.who_data VALUES (76047, 357, 6833, 70, 605, 321, 23);
INSERT INTO public.who_data VALUES (76048, 281, 22624, 50, 762, 321, 222);
INSERT INTO public.who_data VALUES (76049, 0, 19, 0, 2, 321, 219);
INSERT INTO public.who_data VALUES (76050, 0, 0, 0, 0, 321, 7);
INSERT INTO public.who_data VALUES (76051, 51, 2220, 3, 26, 321, 161);
INSERT INTO public.who_data VALUES (76052, 4020, 57184, 599, 5873, 321, 149);
INSERT INTO public.who_data VALUES (76053, 0, 1, 0, 0, 321, 6);
INSERT INTO public.who_data VALUES (76054, 4, 44, 0, 3, 321, 139);
INSERT INTO public.who_data VALUES (76055, 0, 0, 0, 0, 321, 211);
INSERT INTO public.who_data VALUES (76056, 0, 0, 0, 0, 321, 14);
INSERT INTO public.who_data VALUES (76057, 3, 103, 0, 6, 321, 111);
INSERT INTO public.who_data VALUES (76058, 21, 574, 3, 22, 321, 207);
INSERT INTO public.who_data VALUES (76059, 3135, 27069, 73, 574, 321, 66);
INSERT INTO public.who_data VALUES (76060, 0, 0, 0, 0, 321, 173);
INSERT INTO public.who_data VALUES (76061, 0, 5, 1, 1, 321, 145);
INSERT INTO public.who_data VALUES (76062, 0, 0, 0, 0, 321, 65);
INSERT INTO public.who_data VALUES (76063, 0, 48, 0, 0, 321, 184);
INSERT INTO public.who_data VALUES (76064, 68, 1319, 6, 38, 321, 98);
INSERT INTO public.who_data VALUES (76065, 571, 2076, 1, 11, 321, 104);
INSERT INTO public.who_data VALUES (76066, 2, 22, 0, 1, 321, 73);
INSERT INTO public.who_data VALUES (76067, 33510, 307318, 1338, 8358, 321, 8);
INSERT INTO public.who_data VALUES (76068, 2, 42, 0, 0, 321, 227);
INSERT INTO public.who_data VALUES (76069, 14, 400, 1, 5, 321, 75);
INSERT INTO public.who_data VALUES (76070, 92, 390, 0, 2, 321, 45);
INSERT INTO public.who_data VALUES (76071, 0, 0, 0, 0, 321, 133);
INSERT INTO public.who_data VALUES (76072, 0, 144, 0, 3, 321, 202);
INSERT INTO public.who_data VALUES (76073, 1, 241, 0, 0, 321, 129);
INSERT INTO public.who_data VALUES (76074, 0, 0, 0, 0, 321, 36);
INSERT INTO public.who_data VALUES (76075, 0, 0, 0, 0, 321, 51);
INSERT INTO public.who_data VALUES (76076, 0, 39, 0, 1, 321, 206);
INSERT INTO public.who_data VALUES (76077, 0, 9, 0, 1, 321, 5);
INSERT INTO public.who_data VALUES (76078, 29, 299, 2, 7, 322, 103);
INSERT INTO public.who_data VALUES (76079, 0, 295, 1, 17, 322, 58);
INSERT INTO public.who_data VALUES (76080, 80, 1251, 25, 130, 322, 195);
INSERT INTO public.who_data VALUES (76081, 0, 0, 0, 0, 322, 115);
INSERT INTO public.who_data VALUES (76082, 24, 466, 1, 17, 322, 99);
INSERT INTO public.who_data VALUES (76083, 0, 10, 0, 2, 322, 153);
INSERT INTO public.who_data VALUES (76084, 0, 3, 0, 0, 322, 93);
INSERT INTO public.who_data VALUES (76085, 0, 7, 0, 0, 322, 84);
INSERT INTO public.who_data VALUES (76086, 88, 1353, 5, 42, 322, 78);
INSERT INTO public.who_data VALUES (76087, 34, 746, 0, 7, 322, 170);
INSERT INTO public.who_data VALUES (76088, 2, 64, 0, 0, 322, 32);
INSERT INTO public.who_data VALUES (76089, 181, 5635, 6, 34, 322, 155);
INSERT INTO public.who_data VALUES (76090, 241, 11766, 18, 186, 322, 82);
INSERT INTO public.who_data VALUES (76091, 69, 512, 0, 5, 322, 16);
INSERT INTO public.who_data VALUES (76092, 0, 24, 0, 3, 322, 72);
INSERT INTO public.who_data VALUES (76093, 10, 698, 0, 4, 322, 43);
INSERT INTO public.who_data VALUES (76094, 18, 88, 0, 8, 322, 120);
INSERT INTO public.who_data VALUES (76095, 6, 51, 0, 0, 322, 213);
INSERT INTO public.who_data VALUES (76096, 186, 440, 0, 4, 322, 31);
INSERT INTO public.who_data VALUES (76097, 922, 22688, 271, 2335, 322, 204);
INSERT INTO public.who_data VALUES (76098, 1, 4, 0, 0, 322, 152);
INSERT INTO public.who_data VALUES (76099, 0, 13, 0, 0, 322, 144);
INSERT INTO public.who_data VALUES (76100, 0, 35, 0, 0, 322, 96);
INSERT INTO public.who_data VALUES (76101, 0, 5, 0, 0, 322, 47);
INSERT INTO public.who_data VALUES (76102, 7, 139, 1, 10, 322, 80);
INSERT INTO public.who_data VALUES (76103, 0, 0, 0, 0, 322, 159);
INSERT INTO public.who_data VALUES (76104, 46, 632, 3, 21, 322, 27);
INSERT INTO public.who_data VALUES (76105, 0, 4, 0, 1, 322, 146);
INSERT INTO public.who_data VALUES (76106, 1146, 9056, 60, 359, 322, 71);
INSERT INTO public.who_data VALUES (76107, 0, 3, 0, 0, 322, 210);
INSERT INTO public.who_data VALUES (76108, 1, 135, 0, 1, 322, 54);
INSERT INTO public.who_data VALUES (76109, 18, 503, 3, 17, 322, 147);
INSERT INTO public.who_data VALUES (76110, 0, 302, 0, 15, 322, 2);
INSERT INTO public.who_data VALUES (76111, 0, 3, 0, 0, 322, 105);
INSERT INTO public.who_data VALUES (76112, 0, 5, 0, 1, 322, 53);
INSERT INTO public.who_data VALUES (76113, 0, 114, 0, 0, 322, 81);
INSERT INTO public.who_data VALUES (76114, 46, 555, 1, 9, 322, 223);
INSERT INTO public.who_data VALUES (76115, 1206, 12938, 62, 214, 322, 94);
INSERT INTO public.who_data VALUES (76116, 0, 28, 0, 1, 322, 154);
INSERT INTO public.who_data VALUES (76117, 1, 9, 0, 0, 322, 83);
INSERT INTO public.who_data VALUES (76118, 0, 7, 0, 0, 322, 194);
INSERT INTO public.who_data VALUES (76119, 424, 4161, 5, 27, 322, 136);
INSERT INTO public.who_data VALUES (76120, 55, 82930, 3, 3338, 322, 179);
INSERT INTO public.who_data VALUES (76121, 106, 1267, 6, 25, 322, 57);
INSERT INTO public.who_data VALUES (76122, 0, 0, 0, 0, 322, 35);
INSERT INTO public.who_data VALUES (76123, 4, 45, 2, 5, 322, 228);
INSERT INTO public.who_data VALUES (76124, 0, 0, 0, 0, 322, 19);
INSERT INTO public.who_data VALUES (76125, 20, 416, 0, 2, 322, 22);
INSERT INTO public.who_data VALUES (76126, 27, 245, 1, 2, 322, 1);
INSERT INTO public.who_data VALUES (76127, 47, 1126, 4, 12, 322, 21);
INSERT INTO public.who_data VALUES (76128, 19, 288, 0, 6, 322, 234);
INSERT INTO public.who_data VALUES (76129, 0, 11, 0, 1, 322, 91);
INSERT INTO public.who_data VALUES (76130, 30, 426, 0, 9, 322, 137);
INSERT INTO public.who_data VALUES (76131, 282, 4472, 6, 59, 322, 201);
INSERT INTO public.who_data VALUES (76132, 0, 0, 0, 0, 322, 171);
INSERT INTO public.who_data VALUES (76133, 0, 148, 0, 16, 322, 92);
INSERT INTO public.who_data VALUES (76134, 320, 4077, 22, 161, 322, 112);
INSERT INTO public.who_data VALUES (76135, 8, 59, 0, 0, 322, 62);
INSERT INTO public.who_data VALUES (76136, 0, 11, 0, 0, 322, 69);
INSERT INTO public.who_data VALUES (76137, 0, 1488, 0, 68, 322, 220);
INSERT INTO public.who_data VALUES (76138, 302, 3465, 52, 172, 322, 100);
INSERT INTO public.who_data VALUES (76139, 85, 1070, 5, 71, 322, 187);
INSERT INTO public.who_data VALUES (76140, 10, 56, 1, 3, 322, 63);
INSERT INTO public.who_data VALUES (76141, 1, 16, 0, 0, 322, 28);
INSERT INTO public.who_data VALUES (76142, 0, 20, 0, 0, 322, 172);
INSERT INTO public.who_data VALUES (76143, 57, 1018, 1, 13, 322, 17);
INSERT INTO public.who_data VALUES (76144, 0, 9, 0, 0, 322, 226);
INSERT INTO public.who_data VALUES (76145, 3, 38, 0, 0, 322, 236);
INSERT INTO public.who_data VALUES (76146, 1, 1, 0, 0, 322, 76);
INSERT INTO public.who_data VALUES (76147, 2, 181, 0, 0, 322, 30);
INSERT INTO public.who_data VALUES (76148, 5, 12, 0, 0, 322, 128);
INSERT INTO public.who_data VALUES (76149, 267, 1882, 5, 25, 322, 86);
INSERT INTO public.who_data VALUES (76150, 4221, 67757, 1053, 7546, 322, 140);
INSERT INTO public.who_data VALUES (76151, 5, 62, 0, 0, 322, 44);
INSERT INTO public.who_data VALUES (76152, 1, 40, 0, 0, 322, 113);
INSERT INTO public.who_data VALUES (76153, 0, 21, 0, 1, 322, 29);
INSERT INTO public.who_data VALUES (76154, 0, 4, 0, 1, 322, 125);
INSERT INTO public.who_data VALUES (76155, 13, 170, 1, 1, 322, 131);
INSERT INTO public.who_data VALUES (76156, 5936, 91714, 184, 1342, 322, 46);
INSERT INTO public.who_data VALUES (76157, 0, 205, 0, 4, 322, 10);
INSERT INTO public.who_data VALUES (76158, 3, 98, 0, 0, 322, 205);
INSERT INTO public.who_data VALUES (76159, 60, 1673, 9, 68, 322, 50);
INSERT INTO public.who_data VALUES (76160, 0, 10, 0, 0, 322, 20);
INSERT INTO public.who_data VALUES (76161, 2, 12, 0, 0, 322, 13);
INSERT INTO public.who_data VALUES (76162, 0, 130, 0, 7, 322, 148);
INSERT INTO public.who_data VALUES (76163, 9, 93, 1, 4, 322, 230);
INSERT INTO public.who_data VALUES (76164, 0, 50, 0, 1, 322, 190);
INSERT INTO public.who_data VALUES (76165, 22, 136, 0, 2, 322, 188);
INSERT INTO public.who_data VALUES (76166, 59, 111, 0, 0, 322, 123);
INSERT INTO public.who_data VALUES (76167, 3, 18, 0, 0, 322, 9);
INSERT INTO public.who_data VALUES (76168, 4, 23, 0, 4, 322, 102);
INSERT INTO public.who_data VALUES (76169, 0, 18, 0, 0, 322, 34);
INSERT INTO public.who_data VALUES (76170, 0, 7, 0, 0, 322, 212);
INSERT INTO public.who_data VALUES (76171, 42, 264, 0, 15, 322, 122);
INSERT INTO public.who_data VALUES (76172, 55, 733, 2, 34, 322, 38);
INSERT INTO public.who_data VALUES (76173, 53, 1417, 0, 4, 322, 130);
INSERT INTO public.who_data VALUES (76174, 472, 3374, 9, 77, 322, 37);
INSERT INTO public.who_data VALUES (76175, 181, 2273, 7, 198, 322, 231);
INSERT INTO public.who_data VALUES (76176, 2483, 58226, 151, 3603, 322, 107);
INSERT INTO public.who_data VALUES (76177, 83, 961, 5, 61, 322, 101);
INSERT INTO public.who_data VALUES (76178, 331, 4604, 17, 137, 322, 132);
INSERT INTO public.who_data VALUES (76179, 12, 126, 0, 1, 322, 176);
INSERT INTO public.who_data VALUES (76180, 597, 7737, 5, 43, 322, 200);
INSERT INTO public.who_data VALUES (76181, 4805, 124632, 681, 15362, 322, 169);
INSERT INTO public.who_data VALUES (76182, 6, 53, 0, 3, 322, 225);
INSERT INTO public.who_data VALUES (76183, 336, 3271, 1, 70, 322, 165);
INSERT INTO public.who_data VALUES (76184, 5, 123, 1, 3, 322, 233);
INSERT INTO public.who_data VALUES (76185, 13, 323, 0, 5, 322, 215);
INSERT INTO public.who_data VALUES (76186, 73, 604, 0, 5, 322, 177);
INSERT INTO public.who_data VALUES (76187, 0, 122, 0, 4, 322, 183);
INSERT INTO public.who_data VALUES (76188, 0, 0, 0, 0, 322, 203);
INSERT INTO public.who_data VALUES (76189, 8, 140, 0, 1, 322, 162);
INSERT INTO public.who_data VALUES (76190, 77, 556, 0, 1, 322, 12);
INSERT INTO public.who_data VALUES (76191, 3, 147, 0, 1, 322, 24);
INSERT INTO public.who_data VALUES (76192, 0, 10, 0, 0, 322, 119);
INSERT INTO public.who_data VALUES (76193, 16, 509, 0, 1, 322, 39);
INSERT INTO public.who_data VALUES (76194, 7, 527, 1, 18, 322, 26);
INSERT INTO public.who_data VALUES (76195, 0, 0, 0, 0, 322, 59);
INSERT INTO public.who_data VALUES (76196, 3, 10, 1, 1, 322, 77);
INSERT INTO public.who_data VALUES (76197, 1, 18, 0, 1, 322, 134);
INSERT INTO public.who_data VALUES (76198, 0, 78, 0, 1, 322, 4);
INSERT INTO public.who_data VALUES (76199, 33, 716, 1, 12, 322, 109);
INSERT INTO public.who_data VALUES (76200, 117, 2729, 0, 31, 322, 90);
INSERT INTO public.who_data VALUES (76201, 0, 70, 0, 0, 322, 61);
INSERT INTO public.who_data VALUES (76202, 0, 3, 0, 0, 322, 85);
INSERT INTO public.who_data VALUES (76203, 150, 3483, 4, 57, 322, 49);
INSERT INTO public.who_data VALUES (76204, 0, 19, 0, 0, 322, 208);
INSERT INTO public.who_data VALUES (76205, 3, 39, 1, 4, 322, 166);
INSERT INTO public.who_data VALUES (76206, 11, 213, 0, 0, 322, 64);
INSERT INTO public.who_data VALUES (76207, 0, 0, 0, 0, 322, 199);
INSERT INTO public.who_data VALUES (76208, 7, 145, 0, 3, 322, 114);
INSERT INTO public.who_data VALUES (76209, 0, 6, 0, 1, 322, 60);
INSERT INTO public.who_data VALUES (76210, 10, 196, 0, 7, 322, 68);
INSERT INTO public.who_data VALUES (76211, 19, 147, 0, 2, 322, 158);
INSERT INTO public.who_data VALUES (76212, 178, 1688, 10, 60, 322, 52);
INSERT INTO public.who_data VALUES (76213, 0, 0, 0, 0, 322, 117);
INSERT INTO public.who_data VALUES (76214, 1, 48, 0, 0, 322, 126);
INSERT INTO public.who_data VALUES (76215, 0, 14, 0, 0, 322, 196);
INSERT INTO public.who_data VALUES (76216, 20, 223, 0, 2, 322, 142);
INSERT INTO public.who_data VALUES (76217, 1, 6, 0, 0, 322, 185);
INSERT INTO public.who_data VALUES (76218, 102, 960, 16, 66, 322, 138);
INSERT INTO public.who_data VALUES (76219, 0, 10, 0, 0, 322, 181);
INSERT INTO public.who_data VALUES (76220, 1, 21, 0, 1, 322, 178);
INSERT INTO public.who_data VALUES (76221, 1, 14, 0, 0, 322, 168);
INSERT INTO public.who_data VALUES (76222, 0, 0, 0, 0, 322, 160);
INSERT INTO public.who_data VALUES (76223, 3, 9, 0, 0, 322, 151);
INSERT INTO public.who_data VALUES (76224, 1002, 16565, 187, 1624, 322, 193);
INSERT INTO public.who_data VALUES (76225, 0, 18, 0, 0, 322, 18);
INSERT INTO public.who_data VALUES (76226, 48, 872, 0, 1, 322, 40);
INSERT INTO public.who_data VALUES (76227, 0, 5, 0, 1, 322, 218);
INSERT INTO public.who_data VALUES (76228, 24, 144, 3, 8, 322, 191);
INSERT INTO public.who_data VALUES (76229, 0, 208, 0, 4, 322, 156);
INSERT INTO public.who_data VALUES (76230, 0, 0, 0, 0, 322, 135);
INSERT INTO public.who_data VALUES (76231, 0, 8, 0, 1, 322, 88);
INSERT INTO public.who_data VALUES (76232, 53, 483, 5, 17, 322, 55);
INSERT INTO public.who_data VALUES (76233, 302, 5510, 6, 50, 322, 108);
INSERT INTO public.who_data VALUES (76234, 12, 217, 0, 1, 322, 48);
INSERT INTO public.who_data VALUES (76235, 21, 298, 1, 2, 322, 3);
INSERT INTO public.who_data VALUES (76236, 0, 712, 0, 11, 322, 224);
INSERT INTO public.who_data VALUES (76237, 609, 3059, 10, 45, 322, 110);
INSERT INTO public.who_data VALUES (76238, 0, 0, 0, 0, 322, 106);
INSERT INTO public.who_data VALUES (76239, 198, 1673, 4, 41, 322, 89);
INSERT INTO public.who_data VALUES (76240, 0, 1, 0, 0, 322, 121);
INSERT INTO public.who_data VALUES (76241, 4, 96, 0, 3, 322, 163);
INSERT INTO public.who_data VALUES (76242, 181, 1595, 10, 61, 322, 70);
INSERT INTO public.who_data VALUES (76243, 76, 3094, 8, 144, 322, 174);
INSERT INTO public.who_data VALUES (76244, 0, 0, 0, 0, 322, 175);
INSERT INTO public.who_data VALUES (76245, 244, 3627, 8, 79, 322, 118);
INSERT INTO public.who_data VALUES (76246, 638, 10524, 20, 266, 322, 189);
INSERT INTO public.who_data VALUES (76247, 74, 452, 3, 18, 322, 124);
INSERT INTO public.who_data VALUES (76248, 250, 1325, 0, 3, 322, 192);
INSERT INTO public.who_data VALUES (76249, 81, 10237, 6, 183, 322, 41);
INSERT INTO public.who_data VALUES (76250, 161, 752, 3, 12, 322, 95);
INSERT INTO public.who_data VALUES (76251, 13, 334, 0, 0, 322, 74);
INSERT INTO public.who_data VALUES (76252, 430, 3613, 8, 141, 322, 11);
INSERT INTO public.who_data VALUES (76253, 582, 4731, 9, 43, 322, 87);
INSERT INTO public.who_data VALUES (76254, 13, 102, 0, 0, 322, 214);
INSERT INTO public.who_data VALUES (76255, 0, 0, 0, 0, 322, 116);
INSERT INTO public.who_data VALUES (76256, 0, 6, 0, 0, 322, 157);
INSERT INTO public.who_data VALUES (76257, 0, 0, 0, 0, 322, 182);
INSERT INTO public.who_data VALUES (76258, 1, 9, 0, 0, 322, 186);
INSERT INTO public.who_data VALUES (76259, 0, 13, 0, 0, 322, 127);
INSERT INTO public.who_data VALUES (76260, 2, 24, 0, 2, 322, 232);
INSERT INTO public.who_data VALUES (76261, 0, 0, 0, 0, 322, 33);
INSERT INTO public.who_data VALUES (76262, 0, 3, 0, 0, 322, 97);
INSERT INTO public.who_data VALUES (76263, 0, 0, 0, 0, 322, 42);
INSERT INTO public.who_data VALUES (76264, 7, 259, 0, 32, 322, 198);
INSERT INTO public.who_data VALUES (76265, 0, 0, 0, 0, 322, 216);
INSERT INTO public.who_data VALUES (76266, 206, 2385, 5, 34, 322, 164);
INSERT INTO public.who_data VALUES (76267, 0, 219, 0, 2, 322, 235);
INSERT INTO public.who_data VALUES (76268, 148, 1624, 0, 39, 322, 67);
INSERT INTO public.who_data VALUES (76269, 0, 10, 0, 0, 322, 15);
INSERT INTO public.who_data VALUES (76270, 2, 4, 0, 0, 322, 180);
INSERT INTO public.who_data VALUES (76271, 75, 1189, 0, 5, 322, 237);
INSERT INTO public.who_data VALUES (76272, 0, 2, 0, 0, 322, 25);
INSERT INTO public.who_data VALUES (76273, 0, 23, 0, 2, 322, 209);
INSERT INTO public.who_data VALUES (76274, 24, 450, 0, 0, 322, 217);
INSERT INTO public.who_data VALUES (76275, 41, 978, 3, 26, 322, 79);
INSERT INTO public.who_data VALUES (76276, 0, 0, 0, 0, 322, 143);
INSERT INTO public.who_data VALUES (76277, 0, 7, 0, 0, 322, 229);
INSERT INTO public.who_data VALUES (76278, 80, 1585, 2, 9, 322, 141);
INSERT INTO public.who_data VALUES (76279, 0, 0, 0, 0, 322, 197);
INSERT INTO public.who_data VALUES (76280, 6822, 145148, 786, 12929, 322, 221);
INSERT INTO public.who_data VALUES (76281, 7, 166, 0, 5, 322, 150);
INSERT INTO public.who_data VALUES (76282, 2, 12, 0, 2, 322, 56);
INSERT INTO public.who_data VALUES (76283, 0, 10, 0, 0, 322, 167);
INSERT INTO public.who_data VALUES (76284, 602, 6476, 80, 535, 322, 23);
INSERT INTO public.who_data VALUES (76285, 486, 22343, 55, 712, 322, 222);
INSERT INTO public.who_data VALUES (76286, 3, 19, 0, 2, 322, 219);
INSERT INTO public.who_data VALUES (76287, 0, 0, 0, 0, 322, 7);
INSERT INTO public.who_data VALUES (76288, 102, 2169, 3, 23, 322, 161);
INSERT INTO public.who_data VALUES (76289, 4911, 53164, 756, 5274, 322, 149);
INSERT INTO public.who_data VALUES (76290, 0, 1, 0, 0, 322, 6);
INSERT INTO public.who_data VALUES (76291, 1, 40, 1, 3, 322, 139);
INSERT INTO public.who_data VALUES (76292, 0, 0, 0, 0, 322, 211);
INSERT INTO public.who_data VALUES (76293, 0, 0, 0, 0, 322, 14);
INSERT INTO public.who_data VALUES (76294, 3, 100, 0, 6, 322, 111);
INSERT INTO public.who_data VALUES (76295, 58, 553, 1, 19, 322, 207);
INSERT INTO public.who_data VALUES (76296, 3013, 23934, 76, 501, 322, 66);
INSERT INTO public.who_data VALUES (76297, 0, 0, 0, 0, 322, 173);
INSERT INTO public.who_data VALUES (76298, 0, 5, 0, 0, 322, 145);
INSERT INTO public.who_data VALUES (76299, 0, 0, 0, 0, 322, 65);
INSERT INTO public.who_data VALUES (76300, 0, 48, 0, 0, 322, 184);
INSERT INTO public.who_data VALUES (76301, 155, 1251, 4, 32, 322, 98);
INSERT INTO public.who_data VALUES (76302, 0, 1505, 0, 10, 322, 104);
INSERT INTO public.who_data VALUES (76303, 0, 20, 0, 1, 322, 73);
INSERT INTO public.who_data VALUES (76304, 32105, 273808, 1166, 7020, 322, 8);
INSERT INTO public.who_data VALUES (76305, 3, 40, 0, 0, 322, 227);
INSERT INTO public.who_data VALUES (76306, 17, 386, 0, 4, 322, 75);
INSERT INTO public.who_data VALUES (76307, 57, 298, 0, 2, 322, 45);
INSERT INTO public.who_data VALUES (76308, 0, 0, 0, 0, 322, 133);
INSERT INTO public.who_data VALUES (76309, 0, 144, 0, 3, 322, 202);
INSERT INTO public.who_data VALUES (76310, 1, 240, 0, 0, 322, 129);
INSERT INTO public.who_data VALUES (76311, 0, 0, 0, 0, 322, 36);
INSERT INTO public.who_data VALUES (76312, 0, 0, 0, 0, 322, 51);
INSERT INTO public.who_data VALUES (76313, 0, 39, 0, 1, 322, 206);
INSERT INTO public.who_data VALUES (76314, 0, 9, 0, 1, 322, 5);
INSERT INTO public.who_data VALUES (76315, 1, 270, 0, 5, 323, 103);
INSERT INTO public.who_data VALUES (76316, 56, 295, 1, 16, 323, 58);
INSERT INTO public.who_data VALUES (76317, 185, 1171, 22, 105, 323, 195);
INSERT INTO public.who_data VALUES (76318, 0, 0, 0, 0, 323, 115);
INSERT INTO public.who_data VALUES (76319, 13, 442, 1, 16, 323, 99);
INSERT INTO public.who_data VALUES (76320, 2, 10, 0, 2, 323, 153);
INSERT INTO public.who_data VALUES (76321, 1, 3, 0, 0, 323, 93);
INSERT INTO public.who_data VALUES (76322, 0, 7, 0, 0, 323, 84);
INSERT INTO public.who_data VALUES (76323, 132, 1265, 6, 37, 323, 78);
INSERT INTO public.who_data VALUES (76324, 72, 712, 3, 7, 323, 170);
INSERT INTO public.who_data VALUES (76325, 2, 62, 0, 0, 323, 32);
INSERT INTO public.who_data VALUES (76326, 104, 5454, 2, 28, 323, 155);
INSERT INTO public.who_data VALUES (76327, 396, 11525, 10, 168, 323, 82);
INSERT INTO public.who_data VALUES (76328, 43, 443, 0, 5, 323, 16);
INSERT INTO public.who_data VALUES (76329, 3, 24, 2, 3, 323, 72);
INSERT INTO public.who_data VALUES (76330, 16, 688, 0, 4, 323, 43);
INSERT INTO public.who_data VALUES (76331, 9, 70, 2, 8, 323, 120);
INSERT INTO public.who_data VALUES (76332, 0, 45, 0, 0, 323, 213);
INSERT INTO public.who_data VALUES (76333, 0, 254, 0, 4, 323, 31);
INSERT INTO public.who_data VALUES (76334, 1694, 21766, 236, 2064, 323, 204);
INSERT INTO public.who_data VALUES (76335, 0, 3, 0, 0, 323, 152);
INSERT INTO public.who_data VALUES (76336, 0, 13, 0, 0, 323, 144);
INSERT INTO public.who_data VALUES (76337, 3, 35, 0, 0, 323, 96);
INSERT INTO public.who_data VALUES (76338, 0, 5, 0, 0, 323, 47);
INSERT INTO public.who_data VALUES (76339, 9, 132, 1, 9, 323, 80);
INSERT INTO public.who_data VALUES (76340, 0, 0, 0, 0, 323, 159);
INSERT INTO public.who_data VALUES (76341, 65, 586, 2, 18, 323, 27);
INSERT INTO public.who_data VALUES (76342, 0, 4, 0, 1, 323, 146);
INSERT INTO public.who_data VALUES (76343, 1074, 7910, 58, 299, 323, 71);
INSERT INTO public.who_data VALUES (76344, 0, 3, 0, 0, 323, 210);
INSERT INTO public.who_data VALUES (76345, 1, 134, 0, 1, 323, 54);
INSERT INTO public.who_data VALUES (76346, 28, 485, 4, 14, 323, 147);
INSERT INTO public.who_data VALUES (76347, 41, 302, 0, 15, 323, 2);
INSERT INTO public.who_data VALUES (76348, 0, 3, 0, 0, 323, 105);
INSERT INTO public.who_data VALUES (76349, 0, 5, 0, 1, 323, 53);
INSERT INTO public.who_data VALUES (76350, 4, 114, 0, 0, 323, 81);
INSERT INTO public.who_data VALUES (76351, 263, 509, 1, 8, 323, 223);
INSERT INTO public.who_data VALUES (76352, 1618, 11732, 25, 152, 323, 94);
INSERT INTO public.who_data VALUES (76353, 6, 28, 0, 1, 323, 154);
INSERT INTO public.who_data VALUES (76354, 0, 8, 0, 0, 323, 83);
INSERT INTO public.who_data VALUES (76355, 0, 7, 0, 0, 323, 194);
INSERT INTO public.who_data VALUES (76356, 333, 3737, 4, 22, 323, 136);
INSERT INTO public.who_data VALUES (76357, 73, 82875, 4, 3335, 323, 179);
INSERT INTO public.who_data VALUES (76358, 96, 1161, 2, 19, 323, 57);
INSERT INTO public.who_data VALUES (76359, 0, 0, 0, 0, 323, 35);
INSERT INTO public.who_data VALUES (76360, 0, 41, 1, 3, 323, 228);
INSERT INTO public.who_data VALUES (76361, 0, 0, 0, 0, 323, 19);
INSERT INTO public.who_data VALUES (76362, 21, 396, 0, 2, 323, 22);
INSERT INTO public.who_data VALUES (76363, 28, 218, 0, 1, 323, 1);
INSERT INTO public.who_data VALUES (76364, 68, 1079, 1, 8, 323, 21);
INSERT INTO public.who_data VALUES (76365, 36, 269, 0, 6, 323, 234);
INSERT INTO public.who_data VALUES (76366, 0, 11, 0, 1, 323, 91);
INSERT INTO public.who_data VALUES (76367, 40, 396, 0, 9, 323, 137);
INSERT INTO public.who_data VALUES (76368, 332, 4190, 9, 53, 323, 201);
INSERT INTO public.who_data VALUES (76369, 0, 0, 0, 0, 323, 171);
INSERT INTO public.who_data VALUES (76370, 14, 148, 3, 16, 323, 92);
INSERT INTO public.who_data VALUES (76371, 371, 3757, 16, 139, 323, 112);
INSERT INTO public.who_data VALUES (76372, 1, 51, 0, 0, 323, 62);
INSERT INTO public.who_data VALUES (76373, 0, 11, 0, 0, 323, 69);
INSERT INTO public.who_data VALUES (76374, 108, 1488, 8, 68, 323, 220);
INSERT INTO public.who_data VALUES (76375, 0, 3163, 0, 120, 323, 100);
INSERT INTO public.who_data VALUES (76376, 120, 985, 8, 66, 323, 187);
INSERT INTO public.who_data VALUES (76377, 5, 46, 0, 2, 323, 63);
INSERT INTO public.who_data VALUES (76378, 0, 15, 0, 0, 323, 28);
INSERT INTO public.who_data VALUES (76379, 0, 20, 0, 0, 323, 172);
INSERT INTO public.who_data VALUES (76380, 103, 961, 1, 12, 323, 17);
INSERT INTO public.who_data VALUES (76381, 0, 9, 0, 0, 323, 226);
INSERT INTO public.who_data VALUES (76382, 4, 35, 0, 0, 323, 236);
INSERT INTO public.who_data VALUES (76383, 0, 0, 0, 0, 323, 76);
INSERT INTO public.who_data VALUES (76384, 2, 179, 0, 0, 323, 30);
INSERT INTO public.who_data VALUES (76385, 0, 7, 0, 0, 323, 128);
INSERT INTO public.who_data VALUES (76386, 97, 1615, 1, 20, 323, 86);
INSERT INTO public.who_data VALUES (76387, 5209, 63536, 2003, 6493, 323, 140);
INSERT INTO public.who_data VALUES (76388, 2, 57, 0, 0, 323, 44);
INSERT INTO public.who_data VALUES (76389, 2, 39, 0, 0, 323, 113);
INSERT INTO public.who_data VALUES (76390, 3, 21, 0, 1, 323, 29);
INSERT INTO public.who_data VALUES (76391, 0, 4, 0, 1, 323, 125);
INSERT INTO public.who_data VALUES (76392, 9, 157, 0, 0, 323, 131);
INSERT INTO public.who_data VALUES (76393, 6082, 85778, 141, 1158, 323, 46);
INSERT INTO public.who_data VALUES (76394, 1, 205, 0, 4, 323, 10);
INSERT INTO public.who_data VALUES (76395, 14, 95, 0, 0, 323, 205);
INSERT INTO public.who_data VALUES (76396, 99, 1613, 6, 59, 323, 50);
INSERT INTO public.who_data VALUES (76397, 0, 10, 0, 0, 323, 20);
INSERT INTO public.who_data VALUES (76398, 0, 10, 0, 0, 323, 13);
INSERT INTO public.who_data VALUES (76399, 2, 130, 1, 7, 323, 148);
INSERT INTO public.who_data VALUES (76400, 2, 84, 0, 3, 323, 230);
INSERT INTO public.who_data VALUES (76401, 3, 50, 0, 1, 323, 190);
INSERT INTO public.who_data VALUES (76402, 23, 114, 1, 2, 323, 188);
INSERT INTO public.who_data VALUES (76403, 0, 52, 0, 0, 323, 123);
INSERT INTO public.who_data VALUES (76404, 6, 15, 0, 0, 323, 9);
INSERT INTO public.who_data VALUES (76405, 0, 19, 0, 4, 323, 102);
INSERT INTO public.who_data VALUES (76406, 2, 18, 0, 0, 323, 34);
INSERT INTO public.who_data VALUES (76407, 0, 7, 0, 0, 323, 212);
INSERT INTO public.who_data VALUES (76408, 3, 222, 1, 15, 323, 122);
INSERT INTO public.who_data VALUES (76409, 55, 678, 6, 32, 323, 38);
INSERT INTO public.who_data VALUES (76410, 45, 1364, 0, 4, 323, 130);
INSERT INTO public.who_data VALUES (76411, 601, 2902, 12, 68, 323, 37);
INSERT INTO public.who_data VALUES (76412, 106, 2092, 10, 191, 323, 231);
INSERT INTO public.who_data VALUES (76413, 2560, 55743, 158, 3452, 323, 107);
INSERT INTO public.who_data VALUES (76414, 58, 878, 2, 56, 323, 101);
INSERT INTO public.who_data VALUES (76415, 424, 4273, 22, 120, 323, 132);
INSERT INTO public.who_data VALUES (76416, 43, 114, 0, 1, 323, 176);
INSERT INTO public.who_data VALUES (76417, 719, 7140, 9, 38, 323, 200);
INSERT INTO public.who_data VALUES (76418, 4585, 119827, 764, 14681, 323, 169);
INSERT INTO public.who_data VALUES (76419, 3, 47, 0, 3, 323, 225);
INSERT INTO public.who_data VALUES (76420, 318, 2935, 4, 69, 323, 165);
INSERT INTO public.who_data VALUES (76421, 37, 118, 0, 2, 323, 233);
INSERT INTO public.who_data VALUES (76422, 11, 310, 0, 5, 323, 215);
INSERT INTO public.who_data VALUES (76423, 71, 531, 2, 5, 323, 177);
INSERT INTO public.who_data VALUES (76424, 12, 122, 1, 4, 323, 183);
INSERT INTO public.who_data VALUES (76425, 0, 0, 0, 0, 323, 203);
INSERT INTO public.who_data VALUES (76426, 6, 132, 0, 1, 323, 162);
INSERT INTO public.who_data VALUES (76427, 62, 479, 1, 1, 323, 12);
INSERT INTO public.who_data VALUES (76428, 14, 144, 0, 1, 323, 24);
INSERT INTO public.who_data VALUES (76429, 0, 10, 0, 0, 323, 119);
INSERT INTO public.who_data VALUES (76430, 35, 493, 1, 1, 323, 39);
INSERT INTO public.who_data VALUES (76431, 12, 520, 0, 17, 323, 26);
INSERT INTO public.who_data VALUES (76432, 0, 0, 0, 0, 323, 59);
INSERT INTO public.who_data VALUES (76433, 1, 7, 0, 0, 323, 77);
INSERT INTO public.who_data VALUES (76434, 6, 17, 0, 1, 323, 134);
INSERT INTO public.who_data VALUES (76435, 1, 78, 1, 1, 323, 4);
INSERT INTO public.who_data VALUES (76436, 52, 683, 2, 11, 323, 109);
INSERT INTO public.who_data VALUES (76437, 125, 2612, 1, 31, 323, 90);
INSERT INTO public.who_data VALUES (76438, 5, 70, 0, 0, 323, 61);
INSERT INTO public.who_data VALUES (76439, 0, 3, 0, 0, 323, 85);
INSERT INTO public.who_data VALUES (76440, 217, 3333, 3, 53, 323, 49);
INSERT INTO public.who_data VALUES (76441, 0, 19, 0, 0, 323, 208);
INSERT INTO public.who_data VALUES (76442, 8, 36, 0, 3, 323, 166);
INSERT INTO public.who_data VALUES (76443, 7, 202, 0, 0, 323, 64);
INSERT INTO public.who_data VALUES (76444, 0, 0, 0, 0, 323, 199);
INSERT INTO public.who_data VALUES (76445, 7, 138, 0, 3, 323, 114);
INSERT INTO public.who_data VALUES (76446, 1, 6, 1, 1, 323, 60);
INSERT INTO public.who_data VALUES (76447, 17, 186, 0, 7, 323, 68);
INSERT INTO public.who_data VALUES (76448, 0, 128, 0, 2, 323, 158);
INSERT INTO public.who_data VALUES (76449, 132, 1510, 13, 50, 323, 52);
INSERT INTO public.who_data VALUES (76450, 0, 0, 0, 0, 323, 117);
INSERT INTO public.who_data VALUES (76451, 4, 47, 0, 0, 323, 126);
INSERT INTO public.who_data VALUES (76452, 0, 14, 0, 0, 323, 196);
INSERT INTO public.who_data VALUES (76453, 6, 203, 0, 2, 323, 142);
INSERT INTO public.who_data VALUES (76454, 0, 5, 0, 0, 323, 185);
INSERT INTO public.who_data VALUES (76455, 123, 858, 3, 50, 323, 138);
INSERT INTO public.who_data VALUES (76456, 0, 10, 0, 0, 323, 181);
INSERT INTO public.who_data VALUES (76457, 0, 20, 0, 1, 323, 178);
INSERT INTO public.who_data VALUES (76458, 0, 13, 0, 0, 323, 168);
INSERT INTO public.who_data VALUES (76459, 0, 0, 0, 0, 323, 160);
INSERT INTO public.who_data VALUES (76460, 0, 6, 0, 0, 323, 151);
INSERT INTO public.who_data VALUES (76461, 1020, 15563, 145, 1437, 323, 193);
INSERT INTO public.who_data VALUES (76462, 0, 18, 0, 0, 323, 18);
INSERT INTO public.who_data VALUES (76463, 50, 824, 0, 1, 323, 40);
INSERT INTO public.who_data VALUES (76464, 0, 5, 0, 1, 323, 218);
INSERT INTO public.who_data VALUES (76465, 22, 120, 0, 5, 323, 191);
INSERT INTO public.who_data VALUES (76466, 18, 208, 2, 4, 323, 156);
INSERT INTO public.who_data VALUES (76467, 0, 0, 0, 0, 323, 135);
INSERT INTO public.who_data VALUES (76468, 0, 8, 0, 1, 323, 88);
INSERT INTO public.who_data VALUES (76469, 46, 430, 1, 12, 323, 55);
INSERT INTO public.who_data VALUES (76470, 273, 5208, 2, 44, 323, 108);
INSERT INTO public.who_data VALUES (76471, 34, 205, 0, 1, 323, 48);
INSERT INTO public.who_data VALUES (76472, 25, 277, 0, 1, 323, 3);
INSERT INTO public.who_data VALUES (76473, 0, 712, 0, 11, 323, 224);
INSERT INTO public.who_data VALUES (76474, 0, 2450, 0, 35, 323, 110);
INSERT INTO public.who_data VALUES (76475, 0, 0, 0, 0, 323, 106);
INSERT INTO public.who_data VALUES (76476, 158, 1475, 5, 37, 323, 89);
INSERT INTO public.who_data VALUES (76477, 0, 1, 0, 0, 323, 121);
INSERT INTO public.who_data VALUES (76478, 15, 92, 0, 3, 323, 163);
INSERT INTO public.who_data VALUES (76479, 91, 1414, 10, 51, 323, 70);
INSERT INTO public.who_data VALUES (76480, 385, 3018, 29, 136, 323, 174);
INSERT INTO public.who_data VALUES (76481, 0, 0, 0, 0, 323, 175);
INSERT INTO public.who_data VALUES (76482, 437, 3383, 14, 71, 323, 118);
INSERT INTO public.who_data VALUES (76483, 852, 9886, 37, 246, 323, 189);
INSERT INTO public.who_data VALUES (76484, 62, 378, 3, 15, 323, 124);
INSERT INTO public.who_data VALUES (76485, 0, 1075, 0, 3, 323, 192);
INSERT INTO public.who_data VALUES (76486, 94, 10156, 3, 177, 323, 41);
INSERT INTO public.who_data VALUES (76487, 0, 591, 1, 9, 323, 95);
INSERT INTO public.who_data VALUES (76488, 13, 321, 0, 0, 323, 74);
INSERT INTO public.who_data VALUES (76489, 445, 3183, 39, 133, 323, 11);
INSERT INTO public.who_data VALUES (76490, 601, 4149, 4, 34, 323, 87);
INSERT INTO public.who_data VALUES (76491, 5, 89, 0, 0, 323, 214);
INSERT INTO public.who_data VALUES (76492, 0, 0, 0, 0, 323, 116);
INSERT INTO public.who_data VALUES (76493, 0, 6, 0, 0, 323, 157);
INSERT INTO public.who_data VALUES (76494, 0, 0, 0, 0, 323, 182);
INSERT INTO public.who_data VALUES (76495, 0, 8, 0, 0, 323, 186);
INSERT INTO public.who_data VALUES (76496, 0, 13, 0, 0, 323, 127);
INSERT INTO public.who_data VALUES (76497, 0, 22, 0, 2, 323, 232);
INSERT INTO public.who_data VALUES (76498, 0, 0, 0, 0, 323, 33);
INSERT INTO public.who_data VALUES (76499, 1, 3, 0, 0, 323, 97);
INSERT INTO public.who_data VALUES (76500, 0, 0, 0, 0, 323, 42);
INSERT INTO public.who_data VALUES (76501, 7, 252, 2, 32, 323, 198);
INSERT INTO public.who_data VALUES (76502, 0, 0, 0, 0, 323, 216);
INSERT INTO public.who_data VALUES (76503, 140, 2179, 4, 29, 323, 164);
INSERT INTO public.who_data VALUES (76504, 24, 219, 1, 2, 323, 235);
INSERT INTO public.who_data VALUES (76505, 305, 1476, 26, 39, 323, 67);
INSERT INTO public.who_data VALUES (76506, 0, 10, 0, 0, 323, 15);
INSERT INTO public.who_data VALUES (76507, 0, 2, 0, 0, 323, 180);
INSERT INTO public.who_data VALUES (76508, 65, 1114, 1, 5, 323, 237);
INSERT INTO public.who_data VALUES (76509, 0, 2, 0, 0, 323, 25);
INSERT INTO public.who_data VALUES (76510, 5, 23, 1, 2, 323, 209);
INSERT INTO public.who_data VALUES (76511, 26, 426, 0, 0, 323, 217);
INSERT INTO public.who_data VALUES (76512, 40, 937, 3, 23, 323, 79);
INSERT INTO public.who_data VALUES (76513, 0, 0, 0, 0, 323, 143);
INSERT INTO public.who_data VALUES (76514, 2, 7, 0, 0, 323, 229);
INSERT INTO public.who_data VALUES (76515, 43, 1505, 2, 7, 323, 141);
INSERT INTO public.who_data VALUES (76516, 0, 0, 0, 0, 323, 197);
INSERT INTO public.who_data VALUES (76517, 6908, 138326, 858, 12143, 323, 221);
INSERT INTO public.who_data VALUES (76518, 8, 159, 1, 5, 323, 150);
INSERT INTO public.who_data VALUES (76519, 0, 10, 0, 2, 323, 56);
INSERT INTO public.who_data VALUES (76520, 2, 10, 0, 0, 323, 167);
INSERT INTO public.who_data VALUES (76521, 554, 5874, 70, 455, 323, 23);
INSERT INTO public.who_data VALUES (76522, 927, 21857, 57, 657, 323, 222);
INSERT INTO public.who_data VALUES (76523, 0, 16, 0, 2, 323, 219);
INSERT INTO public.who_data VALUES (76524, 0, 0, 0, 0, 323, 7);
INSERT INTO public.who_data VALUES (76525, 89, 2067, 1, 20, 323, 161);
INSERT INTO public.who_data VALUES (76526, 4868, 48253, 736, 4518, 323, 149);
INSERT INTO public.who_data VALUES (76527, 0, 1, 0, 0, 323, 6);
INSERT INTO public.who_data VALUES (76528, 0, 39, 0, 2, 323, 139);
INSERT INTO public.who_data VALUES (76529, 0, 0, 0, 0, 323, 211);
INSERT INTO public.who_data VALUES (76530, 0, 0, 0, 0, 323, 14);
INSERT INTO public.who_data VALUES (76531, 7, 97, 1, 6, 323, 111);
INSERT INTO public.who_data VALUES (76532, 0, 495, 0, 18, 323, 207);
INSERT INTO public.who_data VALUES (76533, 2786, 20921, 69, 425, 323, 66);
INSERT INTO public.who_data VALUES (76534, 0, 0, 0, 0, 323, 173);
INSERT INTO public.who_data VALUES (76535, 0, 5, 0, 0, 323, 145);
INSERT INTO public.who_data VALUES (76536, 0, 0, 0, 0, 323, 65);
INSERT INTO public.who_data VALUES (76537, 3, 48, 0, 0, 323, 184);
INSERT INTO public.who_data VALUES (76538, 109, 1096, 5, 28, 323, 98);
INSERT INTO public.who_data VALUES (76539, 481, 1505, 2, 10, 323, 104);
INSERT INTO public.who_data VALUES (76540, 0, 20, 0, 1, 323, 73);
INSERT INTO public.who_data VALUES (76541, 28103, 241703, 1061, 5854, 323, 8);
INSERT INTO public.who_data VALUES (76542, 4, 37, 0, 0, 323, 227);
INSERT INTO public.who_data VALUES (76543, 19, 369, 0, 4, 323, 75);
INSERT INTO public.who_data VALUES (76544, 20, 241, 0, 2, 323, 45);
INSERT INTO public.who_data VALUES (76545, 0, 0, 0, 0, 323, 133);
INSERT INTO public.who_data VALUES (76546, 0, 144, 0, 3, 323, 202);
INSERT INTO public.who_data VALUES (76547, 6, 239, 0, 0, 323, 129);
INSERT INTO public.who_data VALUES (76548, 0, 0, 0, 0, 323, 36);
INSERT INTO public.who_data VALUES (76549, 0, 0, 0, 0, 323, 51);
INSERT INTO public.who_data VALUES (76550, 0, 39, 0, 1, 323, 206);
INSERT INTO public.who_data VALUES (76551, 0, 9, 0, 1, 323, 5);
INSERT INTO public.who_data VALUES (76552, 34, 269, 1, 5, 324, 103);
INSERT INTO public.who_data VALUES (76553, 0, 239, 1, 15, 324, 58);
INSERT INTO public.who_data VALUES (76554, 139, 986, 25, 83, 324, 195);
INSERT INTO public.who_data VALUES (76555, 0, 0, 0, 0, 324, 115);
INSERT INTO public.who_data VALUES (76556, 33, 429, 2, 15, 324, 99);
INSERT INTO public.who_data VALUES (76557, 0, 8, 0, 2, 324, 153);
INSERT INTO public.who_data VALUES (76558, 0, 2, 0, 0, 324, 93);
INSERT INTO public.who_data VALUES (76559, 0, 7, 0, 0, 324, 84);
INSERT INTO public.who_data VALUES (76560, 79, 1133, 4, 31, 324, 78);
INSERT INTO public.who_data VALUES (76561, 92, 640, 1, 4, 324, 170);
INSERT INTO public.who_data VALUES (76562, 5, 60, 0, 0, 324, 32);
INSERT INTO public.who_data VALUES (76563, 374, 5350, 5, 26, 324, 155);
INSERT INTO public.who_data VALUES (76564, 418, 11129, 12, 158, 324, 82);
INSERT INTO public.who_data VALUES (76565, 41, 400, 0, 5, 324, 16);
INSERT INTO public.who_data VALUES (76566, 6, 21, 1, 1, 324, 72);
INSERT INTO public.who_data VALUES (76567, 37, 672, 0, 4, 324, 43);
INSERT INTO public.who_data VALUES (76568, 5, 61, 0, 6, 324, 120);
INSERT INTO public.who_data VALUES (76569, 12, 45, 0, 0, 324, 213);
INSERT INTO public.who_data VALUES (76570, 62, 254, 2, 4, 324, 31);
INSERT INTO public.who_data VALUES (76571, 1478, 20072, 219, 1828, 324, 204);
INSERT INTO public.who_data VALUES (76572, 0, 3, 0, 0, 324, 152);
INSERT INTO public.who_data VALUES (76573, 0, 13, 0, 0, 324, 144);
INSERT INTO public.who_data VALUES (76574, 0, 32, 0, 0, 324, 96);
INSERT INTO public.who_data VALUES (76575, 0, 5, 0, 0, 324, 47);
INSERT INTO public.who_data VALUES (76576, 8, 123, 1, 8, 324, 80);
INSERT INTO public.who_data VALUES (76577, 0, 0, 0, 0, 324, 159);
INSERT INTO public.who_data VALUES (76578, 57, 521, 3, 16, 324, 27);
INSERT INTO public.who_data VALUES (76579, 1, 4, 0, 1, 324, 146);
INSERT INTO public.who_data VALUES (76580, 1119, 6836, 40, 241, 324, 71);
INSERT INTO public.who_data VALUES (76581, 0, 3, 0, 0, 324, 210);
INSERT INTO public.who_data VALUES (76582, 2, 133, 0, 1, 324, 54);
INSERT INTO public.who_data VALUES (76583, 35, 457, 0, 10, 324, 147);
INSERT INTO public.who_data VALUES (76584, 0, 261, 1, 15, 324, 2);
INSERT INTO public.who_data VALUES (76585, 1, 3, 0, 0, 324, 105);
INSERT INTO public.who_data VALUES (76586, 0, 5, 0, 1, 324, 53);
INSERT INTO public.who_data VALUES (76587, 1, 110, 0, 0, 324, 81);
INSERT INTO public.who_data VALUES (76588, 107, 246, 1, 7, 324, 223);
INSERT INTO public.who_data VALUES (76589, 1109, 10114, 22, 127, 324, 94);
INSERT INTO public.who_data VALUES (76590, 8, 22, 0, 1, 324, 154);
INSERT INTO public.who_data VALUES (76591, 0, 8, 0, 0, 324, 83);
INSERT INTO public.who_data VALUES (76592, 0, 7, 0, 0, 324, 194);
INSERT INTO public.who_data VALUES (76593, 373, 3404, 2, 18, 324, 136);
INSERT INTO public.who_data VALUES (76594, 78, 82802, 4, 3331, 324, 179);
INSERT INTO public.who_data VALUES (76595, 159, 1065, 1, 17, 324, 57);
INSERT INTO public.who_data VALUES (76596, 0, 0, 0, 0, 324, 35);
INSERT INTO public.who_data VALUES (76597, 19, 41, 0, 2, 324, 228);
INSERT INTO public.who_data VALUES (76598, 0, 0, 0, 0, 324, 19);
INSERT INTO public.who_data VALUES (76599, 28, 375, 0, 2, 324, 22);
INSERT INTO public.who_data VALUES (76600, 0, 190, 0, 1, 324, 1);
INSERT INTO public.who_data VALUES (76601, 48, 1011, 1, 7, 324, 21);
INSERT INTO public.who_data VALUES (76602, 21, 233, 0, 6, 324, 234);
INSERT INTO public.who_data VALUES (76603, 0, 11, 0, 1, 324, 91);
INSERT INTO public.who_data VALUES (76604, 36, 356, 0, 9, 324, 137);
INSERT INTO public.who_data VALUES (76605, 269, 3858, 5, 44, 324, 201);
INSERT INTO public.who_data VALUES (76606, 0, 0, 0, 0, 324, 171);
INSERT INTO public.who_data VALUES (76607, 11, 134, 2, 13, 324, 92);
INSERT INTO public.who_data VALUES (76608, 279, 3386, 19, 123, 324, 112);
INSERT INTO public.who_data VALUES (76609, 9, 50, 0, 0, 324, 62);
INSERT INTO public.who_data VALUES (76610, 0, 11, 0, 0, 324, 69);
INSERT INTO public.who_data VALUES (76611, 96, 1380, 3, 60, 324, 220);
INSERT INTO public.who_data VALUES (76612, 791, 3163, 41, 120, 324, 100);
INSERT INTO public.who_data VALUES (76613, 86, 865, 6, 58, 324, 187);
INSERT INTO public.who_data VALUES (76614, 9, 41, 1, 2, 324, 63);
INSERT INTO public.who_data VALUES (76615, 0, 15, 0, 0, 324, 28);
INSERT INTO public.who_data VALUES (76616, 5, 20, 0, 0, 324, 172);
INSERT INTO public.who_data VALUES (76617, 79, 858, 6, 11, 324, 17);
INSERT INTO public.who_data VALUES (76618, 0, 9, 0, 0, 324, 226);
INSERT INTO public.who_data VALUES (76619, 5, 31, 0, 0, 324, 236);
INSERT INTO public.who_data VALUES (76620, 0, 0, 0, 0, 324, 76);
INSERT INTO public.who_data VALUES (76621, 4, 177, 0, 0, 324, 30);
INSERT INTO public.who_data VALUES (76622, 2, 7, 0, 0, 324, 128);
INSERT INTO public.who_data VALUES (76623, 72, 1518, 2, 19, 324, 86);
INSERT INTO public.who_data VALUES (76624, 2066, 58327, 471, 4490, 324, 140);
INSERT INTO public.who_data VALUES (76625, 4, 55, 0, 0, 324, 44);
INSERT INTO public.who_data VALUES (76626, 0, 37, 0, 0, 324, 113);
INSERT INTO public.who_data VALUES (76627, 11, 18, 0, 1, 324, 29);
INSERT INTO public.who_data VALUES (76628, 1, 4, 0, 1, 324, 125);
INSERT INTO public.who_data VALUES (76629, 27, 148, 0, 0, 324, 131);
INSERT INTO public.who_data VALUES (76630, 6174, 79696, 145, 1017, 324, 46);
INSERT INTO public.who_data VALUES (76631, 9, 204, 0, 4, 324, 10);
INSERT INTO public.who_data VALUES (76632, 12, 81, 0, 0, 324, 205);
INSERT INTO public.who_data VALUES (76633, 139, 1514, 3, 53, 324, 50);
INSERT INTO public.who_data VALUES (76634, 0, 10, 0, 0, 324, 20);
INSERT INTO public.who_data VALUES (76635, 1, 10, 0, 0, 324, 13);
INSERT INTO public.who_data VALUES (76636, 3, 128, 0, 6, 324, 148);
INSERT INTO public.who_data VALUES (76637, 5, 82, 0, 3, 324, 230);
INSERT INTO public.who_data VALUES (76638, 8, 47, 0, 1, 324, 190);
INSERT INTO public.who_data VALUES (76639, 13, 91, 0, 1, 324, 188);
INSERT INTO public.who_data VALUES (76640, 22, 52, 0, 0, 324, 123);
INSERT INTO public.who_data VALUES (76641, 0, 9, 0, 0, 324, 9);
INSERT INTO public.who_data VALUES (76642, 0, 19, 2, 4, 324, 102);
INSERT INTO public.who_data VALUES (76643, 0, 16, 0, 0, 324, 34);
INSERT INTO public.who_data VALUES (76644, 1, 7, 0, 0, 324, 212);
INSERT INTO public.who_data VALUES (76645, 47, 219, 4, 14, 324, 122);
INSERT INTO public.who_data VALUES (76646, 38, 623, 5, 26, 324, 38);
INSERT INTO public.who_data VALUES (76647, 99, 1319, 2, 4, 324, 130);
INSERT INTO public.who_data VALUES (76648, 336, 2301, 6, 56, 324, 37);
INSERT INTO public.who_data VALUES (76649, 196, 1986, 11, 181, 324, 231);
INSERT INTO public.who_data VALUES (76650, 2715, 53183, 134, 3294, 324, 107);
INSERT INTO public.who_data VALUES (76651, 48, 820, 0, 54, 324, 101);
INSERT INTO public.who_data VALUES (76652, 402, 3849, 13, 98, 324, 132);
INSERT INTO public.who_data VALUES (76653, 6, 71, 1, 1, 324, 176);
INSERT INTO public.who_data VALUES (76654, 696, 6421, 8, 29, 324, 200);
INSERT INTO public.who_data VALUES (76655, 4668, 115242, 760, 13917, 324, 169);
INSERT INTO public.who_data VALUES (76656, 6, 44, 2, 3, 324, 225);
INSERT INTO public.who_data VALUES (76657, 233, 2617, 8, 65, 324, 165);
INSERT INTO public.who_data VALUES (76658, 0, 81, 0, 2, 324, 233);
INSERT INTO public.who_data VALUES (76659, 21, 299, 0, 5, 324, 215);
INSERT INTO public.who_data VALUES (76660, 25, 460, 0, 3, 324, 177);
INSERT INTO public.who_data VALUES (76661, 29, 110, 2, 3, 324, 183);
INSERT INTO public.who_data VALUES (76662, 0, 0, 0, 0, 324, 203);
INSERT INTO public.who_data VALUES (76663, 1, 126, 0, 1, 324, 162);
INSERT INTO public.who_data VALUES (76664, 75, 417, 0, 0, 324, 12);
INSERT INTO public.who_data VALUES (76665, 15, 130, 1, 1, 324, 24);
INSERT INTO public.who_data VALUES (76666, 0, 10, 0, 0, 324, 119);
INSERT INTO public.who_data VALUES (76667, 12, 458, 0, 0, 324, 39);
INSERT INTO public.who_data VALUES (76668, 14, 508, 1, 17, 324, 26);
INSERT INTO public.who_data VALUES (76669, 0, 0, 0, 0, 324, 59);
INSERT INTO public.who_data VALUES (76670, 0, 6, 0, 0, 324, 77);
INSERT INTO public.who_data VALUES (76671, 1, 11, 1, 1, 324, 134);
INSERT INTO public.who_data VALUES (76672, 1, 77, 0, 0, 324, 4);
INSERT INTO public.who_data VALUES (76673, 52, 631, 0, 9, 324, 109);
INSERT INTO public.who_data VALUES (76674, 168, 2487, 1, 30, 324, 90);
INSERT INTO public.who_data VALUES (76675, 6, 65, 0, 0, 324, 61);
INSERT INTO public.who_data VALUES (76676, 3, 3, 0, 0, 324, 85);
INSERT INTO public.who_data VALUES (76677, 208, 3116, 5, 50, 324, 49);
INSERT INTO public.who_data VALUES (76678, 0, 19, 0, 0, 324, 208);
INSERT INTO public.who_data VALUES (76679, 0, 28, 3, 3, 324, 166);
INSERT INTO public.who_data VALUES (76680, 7, 195, 0, 0, 324, 64);
INSERT INTO public.who_data VALUES (76681, 0, 0, 0, 0, 324, 199);
INSERT INTO public.who_data VALUES (76682, 3, 131, 0, 3, 324, 114);
INSERT INTO public.who_data VALUES (76683, 0, 5, 0, 0, 324, 60);
INSERT INTO public.who_data VALUES (76684, 15, 169, 2, 7, 324, 68);
INSERT INTO public.who_data VALUES (76685, 12, 128, 0, 2, 324, 158);
INSERT INTO public.who_data VALUES (76686, 163, 1378, 8, 37, 324, 52);
INSERT INTO public.who_data VALUES (76687, 0, 0, 0, 0, 324, 117);
INSERT INTO public.who_data VALUES (76688, 3, 43, 0, 0, 324, 126);
INSERT INTO public.who_data VALUES (76689, 0, 14, 0, 0, 324, 196);
INSERT INTO public.who_data VALUES (76690, 37, 197, 0, 2, 324, 142);
INSERT INTO public.who_data VALUES (76691, 0, 5, 0, 0, 324, 185);
INSERT INTO public.who_data VALUES (76692, 59, 735, 7, 47, 324, 138);
INSERT INTO public.who_data VALUES (76693, 0, 10, 0, 0, 324, 181);
INSERT INTO public.who_data VALUES (76694, 4, 20, 0, 1, 324, 178);
INSERT INTO public.who_data VALUES (76695, 0, 13, 0, 0, 324, 168);
INSERT INTO public.who_data VALUES (76696, 0, 0, 0, 0, 324, 160);
INSERT INTO public.who_data VALUES (76697, 1, 6, 0, 0, 324, 151);
INSERT INTO public.who_data VALUES (76698, 1083, 14543, 155, 1292, 324, 193);
INSERT INTO public.who_data VALUES (76699, 1, 18, 0, 0, 324, 18);
INSERT INTO public.who_data VALUES (76700, 51, 774, 0, 1, 324, 40);
INSERT INTO public.who_data VALUES (76701, 0, 5, 0, 1, 324, 218);
INSERT INTO public.who_data VALUES (76702, 24, 98, 0, 5, 324, 191);
INSERT INTO public.who_data VALUES (76703, 16, 190, 0, 2, 324, 156);
INSERT INTO public.who_data VALUES (76704, 0, 0, 0, 0, 324, 135);
INSERT INTO public.who_data VALUES (76705, 2, 8, 1, 1, 324, 88);
INSERT INTO public.who_data VALUES (76706, 30, 384, 0, 11, 324, 55);
INSERT INTO public.who_data VALUES (76707, 270, 4935, 10, 42, 324, 108);
INSERT INTO public.who_data VALUES (76708, 16, 171, 0, 1, 324, 48);
INSERT INTO public.who_data VALUES (76709, 21, 252, 0, 1, 324, 3);
INSERT INTO public.who_data VALUES (76710, 0, 712, 0, 11, 324, 224);
INSERT INTO public.who_data VALUES (76711, 159, 2450, 4, 35, 324, 110);
INSERT INTO public.who_data VALUES (76712, 0, 0, 0, 0, 324, 106);
INSERT INTO public.who_data VALUES (76713, 136, 1317, 2, 32, 324, 89);
INSERT INTO public.who_data VALUES (76714, 0, 1, 0, 0, 324, 121);
INSERT INTO public.who_data VALUES (76715, 8, 77, 0, 3, 324, 163);
INSERT INTO public.who_data VALUES (76716, 0, 1323, 17, 41, 324, 70);
INSERT INTO public.who_data VALUES (76717, 322, 2633, 11, 107, 324, 174);
INSERT INTO public.who_data VALUES (76718, 0, 0, 0, 0, 324, 175);
INSERT INTO public.who_data VALUES (76719, 392, 2946, 14, 57, 324, 118);
INSERT INTO public.who_data VALUES (76720, 783, 9034, 22, 209, 324, 189);
INSERT INTO public.who_data VALUES (76721, 30, 316, 1, 12, 324, 124);
INSERT INTO public.who_data VALUES (76722, 240, 1075, 1, 3, 324, 192);
INSERT INTO public.who_data VALUES (76723, 86, 10062, 5, 174, 324, 41);
INSERT INTO public.who_data VALUES (76724, 168, 591, 3, 8, 324, 95);
INSERT INTO public.who_data VALUES (76725, 27, 308, 0, 0, 324, 74);
INSERT INTO public.who_data VALUES (76726, 278, 2738, 9, 94, 324, 11);
INSERT INTO public.who_data VALUES (76727, 771, 3548, 6, 30, 324, 87);
INSERT INTO public.who_data VALUES (76728, 2, 84, 0, 0, 324, 214);
INSERT INTO public.who_data VALUES (76729, 0, 0, 0, 0, 324, 116);
INSERT INTO public.who_data VALUES (76730, 0, 6, 0, 0, 324, 157);
INSERT INTO public.who_data VALUES (76731, 0, 0, 0, 0, 324, 182);
INSERT INTO public.who_data VALUES (76732, 0, 8, 0, 0, 324, 186);
INSERT INTO public.who_data VALUES (76733, 0, 13, 0, 0, 324, 127);
INSERT INTO public.who_data VALUES (76734, 1, 22, 0, 2, 324, 232);
INSERT INTO public.who_data VALUES (76735, 0, 0, 0, 0, 324, 33);
INSERT INTO public.who_data VALUES (76736, 1, 2, 0, 0, 324, 97);
INSERT INTO public.who_data VALUES (76737, 0, 0, 0, 0, 324, 42);
INSERT INTO public.who_data VALUES (76738, 9, 245, 2, 30, 324, 198);
INSERT INTO public.who_data VALUES (76739, 0, 0, 0, 0, 324, 216);
INSERT INTO public.who_data VALUES (76740, 154, 2039, 4, 25, 324, 164);
INSERT INTO public.who_data VALUES (76741, 5, 195, 0, 1, 324, 235);
INSERT INTO public.who_data VALUES (76742, 111, 1171, 0, 13, 324, 67);
INSERT INTO public.who_data VALUES (76743, 0, 10, 0, 0, 324, 15);
INSERT INTO public.who_data VALUES (76744, 0, 2, 0, 0, 324, 180);
INSERT INTO public.who_data VALUES (76745, 49, 1049, 1, 4, 324, 237);
INSERT INTO public.who_data VALUES (76746, 0, 2, 0, 0, 324, 25);
INSERT INTO public.who_data VALUES (76747, 12, 18, 1, 1, 324, 209);
INSERT INTO public.who_data VALUES (76748, 37, 400, 0, 0, 324, 217);
INSERT INTO public.who_data VALUES (76749, 55, 897, 1, 20, 324, 79);
INSERT INTO public.who_data VALUES (76750, 0, 0, 0, 0, 324, 143);
INSERT INTO public.who_data VALUES (76751, 0, 5, 0, 0, 324, 229);
INSERT INTO public.who_data VALUES (76752, 82, 1462, 0, 5, 324, 141);
INSERT INTO public.who_data VALUES (76753, 0, 0, 0, 0, 324, 197);
INSERT INTO public.who_data VALUES (76754, 7057, 131418, 895, 11285, 324, 221);
INSERT INTO public.who_data VALUES (76755, 3, 151, 1, 4, 324, 150);
INSERT INTO public.who_data VALUES (76756, 3, 10, 0, 2, 324, 56);
INSERT INTO public.who_data VALUES (76757, 0, 8, 0, 0, 324, 167);
INSERT INTO public.who_data VALUES (76758, 486, 5320, 53, 385, 324, 23);
INSERT INTO public.who_data VALUES (76759, 877, 20930, 60, 600, 324, 222);
INSERT INTO public.who_data VALUES (76760, 6, 16, 0, 2, 324, 219);
INSERT INTO public.who_data VALUES (76761, 0, 0, 0, 0, 324, 7);
INSERT INTO public.who_data VALUES (76762, 103, 1978, 4, 19, 324, 161);
INSERT INTO public.who_data VALUES (76763, 4913, 43385, 657, 3782, 324, 149);
INSERT INTO public.who_data VALUES (76764, 0, 1, 0, 0, 324, 6);
INSERT INTO public.who_data VALUES (76765, 3, 39, 0, 2, 324, 139);
INSERT INTO public.who_data VALUES (76766, 0, 0, 0, 0, 324, 211);
INSERT INTO public.who_data VALUES (76767, 0, 0, 0, 0, 324, 14);
INSERT INTO public.who_data VALUES (76768, 1, 90, 0, 5, 324, 111);
INSERT INTO public.who_data VALUES (76769, 40, 495, 5, 18, 324, 207);
INSERT INTO public.who_data VALUES (76770, 2456, 18135, 79, 356, 324, 66);
INSERT INTO public.who_data VALUES (76771, 0, 0, 0, 0, 324, 173);
INSERT INTO public.who_data VALUES (76772, 0, 5, 0, 0, 324, 145);
INSERT INTO public.who_data VALUES (76773, 0, 0, 0, 0, 324, 65);
INSERT INTO public.who_data VALUES (76774, 1, 45, 0, 0, 324, 184);
INSERT INTO public.who_data VALUES (76775, 183, 987, 3, 23, 324, 98);
INSERT INTO public.who_data VALUES (76776, 210, 1024, 0, 8, 324, 104);
INSERT INTO public.who_data VALUES (76777, 0, 20, 0, 1, 324, 73);
INSERT INTO public.who_data VALUES (76778, 26298, 213600, 947, 4793, 324, 8);
INSERT INTO public.who_data VALUES (76779, 3, 33, 0, 0, 324, 227);
INSERT INTO public.who_data VALUES (76780, 12, 350, 2, 4, 324, 75);
INSERT INTO public.who_data VALUES (76781, 31, 221, 0, 2, 324, 45);
INSERT INTO public.who_data VALUES (76782, 0, 0, 0, 0, 324, 133);
INSERT INTO public.who_data VALUES (76783, 1, 144, 0, 3, 324, 202);
INSERT INTO public.who_data VALUES (76784, 17, 233, 0, 0, 324, 129);
INSERT INTO public.who_data VALUES (76785, 0, 0, 0, 0, 324, 36);
INSERT INTO public.who_data VALUES (76786, 0, 0, 0, 0, 324, 51);
INSERT INTO public.who_data VALUES (76787, 3, 39, 1, 1, 324, 206);
INSERT INTO public.who_data VALUES (76788, 1, 9, 0, 1, 324, 5);
INSERT INTO public.who_data VALUES (76789, 43, 235, 0, 4, 325, 103);
INSERT INTO public.who_data VALUES (76790, 0, 239, 0, 14, 325, 58);
INSERT INTO public.who_data VALUES (76791, 263, 847, 23, 58, 325, 195);
INSERT INTO public.who_data VALUES (76792, 0, 0, 0, 0, 325, 115);
INSERT INTO public.who_data VALUES (76793, 0, 396, 0, 13, 325, 99);
INSERT INTO public.who_data VALUES (76794, 1, 8, 0, 2, 325, 153);
INSERT INTO public.who_data VALUES (76795, 0, 2, 0, 0, 325, 93);
INSERT INTO public.who_data VALUES (76796, 0, 7, 0, 0, 325, 84);
INSERT INTO public.who_data VALUES (76797, 88, 1054, 3, 27, 325, 78);
INSERT INTO public.who_data VALUES (76798, 39, 548, 0, 3, 325, 170);
INSERT INTO public.who_data VALUES (76799, 0, 55, 0, 0, 325, 32);
INSERT INTO public.who_data VALUES (76800, 116, 4976, 1, 21, 325, 155);
INSERT INTO public.who_data VALUES (76801, 529, 10711, 18, 146, 325, 82);
INSERT INTO public.who_data VALUES (76802, 61, 359, 0, 5, 325, 16);
INSERT INTO public.who_data VALUES (76803, 1, 15, 0, 0, 325, 72);
INSERT INTO public.who_data VALUES (76804, 66, 635, 0, 4, 325, 43);
INSERT INTO public.who_data VALUES (76805, 2, 56, 0, 6, 325, 120);
INSERT INTO public.who_data VALUES (76806, 0, 33, 0, 0, 325, 213);
INSERT INTO public.who_data VALUES (76807, 0, 192, 0, 2, 325, 31);
INSERT INTO public.who_data VALUES (76808, 1516, 18594, 233, 1609, 325, 204);
INSERT INTO public.who_data VALUES (76809, 0, 3, 0, 0, 325, 152);
INSERT INTO public.who_data VALUES (76810, 4, 13, 0, 0, 325, 144);
INSERT INTO public.who_data VALUES (76811, 5, 32, 0, 0, 325, 96);
INSERT INTO public.who_data VALUES (76812, 1, 5, 0, 0, 325, 47);
INSERT INTO public.who_data VALUES (76813, 8, 115, 1, 7, 325, 80);
INSERT INTO public.who_data VALUES (76814, 0, 0, 0, 0, 325, 159);
INSERT INTO public.who_data VALUES (76815, 0, 464, 0, 13, 325, 27);
INSERT INTO public.who_data VALUES (76816, 0, 3, 1, 1, 325, 146);
INSERT INTO public.who_data VALUES (76817, 1138, 5717, 42, 201, 325, 71);
INSERT INTO public.who_data VALUES (76818, 0, 3, 0, 0, 325, 210);
INSERT INTO public.who_data VALUES (76819, 2, 131, 0, 1, 325, 54);
INSERT INTO public.who_data VALUES (76820, 23, 422, 2, 10, 325, 147);
INSERT INTO public.who_data VALUES (76821, 0, 261, 0, 14, 325, 2);
INSERT INTO public.who_data VALUES (76822, 0, 2, 0, 0, 325, 105);
INSERT INTO public.who_data VALUES (76823, 0, 5, 0, 1, 325, 53);
INSERT INTO public.who_data VALUES (76824, 0, 109, 0, 0, 325, 81);
INSERT INTO public.who_data VALUES (76825, 0, 139, 0, 6, 325, 223);
INSERT INTO public.who_data VALUES (76826, 1310, 9005, 16, 105, 325, 94);
INSERT INTO public.who_data VALUES (76827, 2, 14, 0, 1, 325, 154);
INSERT INTO public.who_data VALUES (76828, 2, 8, 0, 0, 325, 83);
INSERT INTO public.who_data VALUES (76829, 0, 7, 0, 0, 325, 194);
INSERT INTO public.who_data VALUES (76830, 293, 3031, 4, 16, 325, 136);
INSERT INTO public.who_data VALUES (76831, 86, 82724, 6, 3327, 325, 179);
INSERT INTO public.who_data VALUES (76832, 108, 906, 2, 16, 325, 57);
INSERT INTO public.who_data VALUES (76833, 0, 0, 0, 0, 325, 35);
INSERT INTO public.who_data VALUES (76834, 0, 22, 0, 2, 325, 228);
INSERT INTO public.who_data VALUES (76835, 0, 0, 0, 0, 325, 19);
INSERT INTO public.who_data VALUES (76836, 33, 347, 0, 2, 325, 22);
INSERT INTO public.who_data VALUES (76837, 21, 190, 1, 1, 325, 1);
INSERT INTO public.who_data VALUES (76838, 96, 963, 0, 6, 325, 21);
INSERT INTO public.who_data VALUES (76839, 26, 212, 0, 6, 325, 234);
INSERT INTO public.who_data VALUES (76840, 0, 11, 0, 1, 325, 91);
INSERT INTO public.who_data VALUES (76841, 58, 320, 1, 9, 325, 137);
INSERT INTO public.who_data VALUES (76842, 281, 3589, 8, 39, 325, 201);
INSERT INTO public.who_data VALUES (76843, 0, 0, 0, 0, 325, 171);
INSERT INTO public.who_data VALUES (76844, 14, 123, 2, 11, 325, 92);
INSERT INTO public.who_data VALUES (76845, 247, 3107, 14, 104, 325, 112);
INSERT INTO public.who_data VALUES (76846, 7, 41, 0, 0, 325, 62);
INSERT INTO public.who_data VALUES (76847, 0, 11, 0, 0, 325, 69);
INSERT INTO public.who_data VALUES (76848, 175, 1284, 6, 57, 325, 220);
INSERT INTO public.who_data VALUES (76849, 132, 2372, 71, 79, 325, 100);
INSERT INTO public.who_data VALUES (76850, 69, 779, 6, 52, 325, 187);
INSERT INTO public.who_data VALUES (76851, 2, 32, 1, 1, 325, 63);
INSERT INTO public.who_data VALUES (76852, 1, 15, 0, 0, 325, 28);
INSERT INTO public.who_data VALUES (76853, 9, 15, 0, 0, 325, 172);
INSERT INTO public.who_data VALUES (76854, 34, 779, 1, 5, 325, 17);
INSERT INTO public.who_data VALUES (76855, 0, 9, 0, 0, 325, 226);
INSERT INTO public.who_data VALUES (76856, 0, 26, 0, 0, 325, 236);
INSERT INTO public.who_data VALUES (76857, 0, 0, 0, 0, 325, 76);
INSERT INTO public.who_data VALUES (76858, 4, 173, 0, 0, 325, 30);
INSERT INTO public.who_data VALUES (76859, 0, 5, 0, 0, 325, 128);
INSERT INTO public.who_data VALUES (76860, 62, 1446, 0, 17, 325, 86);
INSERT INTO public.who_data VALUES (76861, 4784, 56261, 505, 4019, 325, 140);
INSERT INTO public.who_data VALUES (76862, 5, 51, 0, 0, 325, 44);
INSERT INTO public.who_data VALUES (76863, 0, 37, 0, 0, 325, 113);
INSERT INTO public.who_data VALUES (76864, 0, 7, 0, 1, 325, 29);
INSERT INTO public.who_data VALUES (76865, 0, 3, 0, 1, 325, 125);
INSERT INTO public.who_data VALUES (76866, 0, 121, 0, 0, 325, 131);
INSERT INTO public.who_data VALUES (76867, 6156, 73522, 140, 872, 325, 46);
INSERT INTO public.who_data VALUES (76868, 34, 195, 0, 4, 325, 10);
INSERT INTO public.who_data VALUES (76869, 0, 69, 0, 0, 325, 205);
INSERT INTO public.who_data VALUES (76870, 61, 1375, 1, 50, 325, 50);
INSERT INTO public.who_data VALUES (76871, 0, 10, 0, 0, 325, 20);
INSERT INTO public.who_data VALUES (76872, 0, 9, 0, 0, 325, 13);
INSERT INTO public.who_data VALUES (76873, 11, 125, 1, 6, 325, 148);
INSERT INTO public.who_data VALUES (76874, 8, 77, 1, 3, 325, 230);
INSERT INTO public.who_data VALUES (76875, 3, 39, 0, 1, 325, 190);
INSERT INTO public.who_data VALUES (76876, 18, 78, 0, 1, 325, 188);
INSERT INTO public.who_data VALUES (76877, 14, 30, 0, 0, 325, 123);
INSERT INTO public.who_data VALUES (76878, 0, 9, 0, 0, 325, 9);
INSERT INTO public.who_data VALUES (76879, 7, 19, 0, 2, 325, 102);
INSERT INTO public.who_data VALUES (76880, 1, 16, 0, 0, 325, 34);
INSERT INTO public.who_data VALUES (76881, 0, 6, 0, 0, 325, 212);
INSERT INTO public.who_data VALUES (76882, 33, 172, 8, 10, 325, 122);
INSERT INTO public.who_data VALUES (76883, 60, 585, 1, 21, 325, 38);
INSERT INTO public.who_data VALUES (76884, 85, 1220, 0, 2, 325, 130);
INSERT INTO public.who_data VALUES (76885, 329, 1965, 12, 50, 325, 37);
INSERT INTO public.who_data VALUES (76886, 113, 1790, 13, 170, 325, 231);
INSERT INTO public.who_data VALUES (76887, 2875, 50468, 124, 3160, 325, 107);
INSERT INTO public.who_data VALUES (76888, 78, 772, 4, 54, 325, 101);
INSERT INTO public.who_data VALUES (76889, 212, 3447, 14, 85, 325, 132);
INSERT INTO public.who_data VALUES (76890, 13, 65, 0, 0, 325, 176);
INSERT INTO public.who_data VALUES (76891, 738, 5725, 4, 21, 325, 200);
INSERT INTO public.who_data VALUES (76892, 4782, 110574, 727, 13157, 325, 169);
INSERT INTO public.who_data VALUES (76893, 2, 38, 0, 1, 325, 225);
INSERT INTO public.who_data VALUES (76894, 206, 2384, 0, 57, 325, 165);
INSERT INTO public.who_data VALUES (76895, 18, 81, 0, 2, 325, 233);
INSERT INTO public.who_data VALUES (76896, 4, 278, 0, 5, 325, 215);
INSERT INTO public.who_data VALUES (76897, 49, 435, 0, 3, 325, 177);
INSERT INTO public.who_data VALUES (76898, 22, 81, 0, 1, 325, 183);
INSERT INTO public.who_data VALUES (76899, 0, 0, 0, 0, 325, 203);
INSERT INTO public.who_data VALUES (76900, 0, 125, 0, 1, 325, 162);
INSERT INTO public.who_data VALUES (76901, 25, 342, 0, 0, 325, 12);
INSERT INTO public.who_data VALUES (76902, 4, 115, 0, 0, 325, 24);
INSERT INTO public.who_data VALUES (76903, 1, 10, 0, 0, 325, 119);
INSERT INTO public.who_data VALUES (76904, 48, 446, 0, 0, 325, 39);
INSERT INTO public.who_data VALUES (76905, 15, 494, 4, 16, 325, 26);
INSERT INTO public.who_data VALUES (76906, 0, 0, 0, 0, 325, 59);
INSERT INTO public.who_data VALUES (76907, 0, 6, 0, 0, 325, 77);
INSERT INTO public.who_data VALUES (76908, 0, 10, 0, 0, 325, 134);
INSERT INTO public.who_data VALUES (76909, 3, 76, 0, 0, 325, 4);
INSERT INTO public.who_data VALUES (76910, 67, 579, 1, 9, 325, 109);
INSERT INTO public.who_data VALUES (76911, 141, 2319, 6, 29, 325, 90);
INSERT INTO public.who_data VALUES (76912, 6, 59, 0, 0, 325, 61);
INSERT INTO public.who_data VALUES (76913, 0, 0, 0, 0, 325, 85);
INSERT INTO public.who_data VALUES (76914, 142, 2908, 2, 45, 325, 49);
INSERT INTO public.who_data VALUES (76915, 1, 19, 0, 0, 325, 208);
INSERT INTO public.who_data VALUES (76916, 10, 28, 0, 0, 325, 166);
INSERT INTO public.who_data VALUES (76917, 19, 188, 0, 0, 325, 64);
INSERT INTO public.who_data VALUES (76918, 0, 0, 0, 0, 325, 199);
INSERT INTO public.who_data VALUES (76919, 9, 128, 1, 3, 325, 114);
INSERT INTO public.who_data VALUES (76920, 0, 5, 0, 0, 325, 60);
INSERT INTO public.who_data VALUES (76921, 11, 154, 0, 5, 325, 68);
INSERT INTO public.who_data VALUES (76922, 15, 116, 2, 2, 325, 158);
INSERT INTO public.who_data VALUES (76923, 121, 1215, 1, 29, 325, 52);
INSERT INTO public.who_data VALUES (76924, 0, 0, 0, 0, 325, 117);
INSERT INTO public.who_data VALUES (76925, 3, 40, 0, 0, 325, 126);
INSERT INTO public.who_data VALUES (76926, 0, 14, 0, 0, 325, 196);
INSERT INTO public.who_data VALUES (76927, 20, 160, 0, 2, 325, 142);
INSERT INTO public.who_data VALUES (76928, 0, 5, 0, 0, 325, 185);
INSERT INTO public.who_data VALUES (76929, 38, 676, 3, 40, 325, 138);
INSERT INTO public.who_data VALUES (76930, 2, 10, 0, 0, 325, 181);
INSERT INTO public.who_data VALUES (76931, 1, 16, 0, 1, 325, 178);
INSERT INTO public.who_data VALUES (76932, 2, 13, 0, 0, 325, 168);
INSERT INTO public.who_data VALUES (76933, 0, 0, 0, 0, 325, 160);
INSERT INTO public.who_data VALUES (76934, 0, 5, 0, 0, 325, 151);
INSERT INTO public.who_data VALUES (76935, 1008, 13460, 133, 1137, 325, 193);
INSERT INTO public.who_data VALUES (76936, 1, 17, 0, 0, 325, 18);
INSERT INTO public.who_data VALUES (76937, 76, 723, 0, 1, 325, 40);
INSERT INTO public.who_data VALUES (76938, 1, 5, 0, 1, 325, 218);
INSERT INTO public.who_data VALUES (76939, 54, 74, 2, 5, 325, 191);
INSERT INTO public.who_data VALUES (76940, 35, 174, 0, 2, 325, 156);
INSERT INTO public.who_data VALUES (76941, 0, 0, 0, 0, 325, 135);
INSERT INTO public.who_data VALUES (76942, 0, 6, 0, 0, 325, 88);
INSERT INTO public.who_data VALUES (76943, 0, 354, 0, 11, 325, 55);
INSERT INTO public.who_data VALUES (76944, 218, 4665, 4, 32, 325, 108);
INSERT INTO public.who_data VALUES (76945, 21, 155, 0, 1, 325, 48);
INSERT INTO public.who_data VALUES (76946, 21, 231, 0, 1, 325, 3);
INSERT INTO public.who_data VALUES (76947, 0, 712, 0, 11, 325, 224);
INSERT INTO public.who_data VALUES (76948, 252, 2291, 5, 31, 325, 110);
INSERT INTO public.who_data VALUES (76949, 0, 0, 0, 0, 325, 106);
INSERT INTO public.who_data VALUES (76950, 192, 1181, 6, 30, 325, 89);
INSERT INTO public.who_data VALUES (76951, 0, 1, 0, 0, 325, 121);
INSERT INTO public.who_data VALUES (76952, 4, 69, 0, 3, 325, 163);
INSERT INTO public.who_data VALUES (76953, 258, 1323, 0, 24, 325, 70);
INSERT INTO public.who_data VALUES (76954, 0, 2311, 0, 96, 325, 174);
INSERT INTO public.who_data VALUES (76955, 0, 0, 0, 0, 325, 175);
INSERT INTO public.who_data VALUES (76956, 243, 2554, 10, 43, 325, 118);
INSERT INTO public.who_data VALUES (76957, 808, 8251, 27, 187, 325, 189);
INSERT INTO public.who_data VALUES (76958, 47, 286, 3, 11, 325, 124);
INSERT INTO public.who_data VALUES (76959, 54, 835, 0, 2, 325, 192);
INSERT INTO public.who_data VALUES (76960, 89, 9976, 4, 169, 325, 41);
INSERT INTO public.who_data VALUES (76961, 0, 423, 0, 5, 325, 95);
INSERT INTO public.who_data VALUES (76962, 34, 281, 0, 0, 325, 74);
INSERT INTO public.who_data VALUES (76963, 215, 2460, 16, 85, 325, 11);
INSERT INTO public.who_data VALUES (76964, 0, 2777, 0, 24, 325, 87);
INSERT INTO public.who_data VALUES (76965, 7, 82, 0, 0, 325, 214);
INSERT INTO public.who_data VALUES (76966, 0, 0, 0, 0, 325, 116);
INSERT INTO public.who_data VALUES (76967, 0, 6, 0, 0, 325, 157);
INSERT INTO public.who_data VALUES (76968, 0, 0, 0, 0, 325, 182);
INSERT INTO public.who_data VALUES (76969, 0, 8, 0, 0, 325, 186);
INSERT INTO public.who_data VALUES (76970, 4, 13, 0, 0, 325, 127);
INSERT INTO public.who_data VALUES (76971, 3, 21, 0, 2, 325, 232);
INSERT INTO public.who_data VALUES (76972, 0, 0, 0, 0, 325, 33);
INSERT INTO public.who_data VALUES (76973, 0, 1, 0, 0, 325, 97);
INSERT INTO public.who_data VALUES (76974, 0, 0, 0, 0, 325, 42);
INSERT INTO public.who_data VALUES (76975, 0, 236, 0, 28, 325, 198);
INSERT INTO public.who_data VALUES (76976, 0, 0, 0, 0, 325, 216);
INSERT INTO public.who_data VALUES (76977, 165, 1885, 5, 21, 325, 164);
INSERT INTO public.who_data VALUES (76978, 15, 190, 1, 1, 325, 235);
INSERT INTO public.who_data VALUES (76979, 160, 1060, 0, 13, 325, 67);
INSERT INTO public.who_data VALUES (76980, 2, 10, 0, 0, 325, 15);
INSERT INTO public.who_data VALUES (76981, 1, 2, 0, 0, 325, 180);
INSERT INTO public.who_data VALUES (76982, 74, 1000, 0, 3, 325, 237);
INSERT INTO public.who_data VALUES (76983, 2, 2, 0, 0, 325, 25);
INSERT INTO public.who_data VALUES (76984, 0, 6, 0, 0, 325, 209);
INSERT INTO public.who_data VALUES (76985, 27, 363, 0, 0, 325, 217);
INSERT INTO public.who_data VALUES (76986, 37, 842, 1, 19, 325, 79);
INSERT INTO public.who_data VALUES (76987, 0, 0, 0, 0, 325, 143);
INSERT INTO public.who_data VALUES (76988, 0, 5, 0, 0, 325, 229);
INSERT INTO public.who_data VALUES (76989, 27, 1380, 0, 5, 325, 141);
INSERT INTO public.who_data VALUES (76990, 0, 0, 0, 0, 325, 197);
INSERT INTO public.who_data VALUES (76991, 7926, 124361, 899, 10390, 325, 221);
INSERT INTO public.who_data VALUES (76992, 5, 148, 1, 3, 325, 150);
INSERT INTO public.who_data VALUES (76993, 0, 7, 0, 2, 325, 56);
INSERT INTO public.who_data VALUES (76994, 0, 8, 0, 0, 325, 167);
INSERT INTO public.who_data VALUES (76995, 474, 4834, 48, 332, 325, 23);
INSERT INTO public.who_data VALUES (76996, 1013, 20053, 57, 540, 325, 222);
INSERT INTO public.who_data VALUES (76997, 0, 10, 0, 2, 325, 219);
INSERT INTO public.who_data VALUES (76998, 0, 0, 0, 0, 325, 7);
INSERT INTO public.who_data VALUES (76999, 104, 1875, 3, 15, 325, 161);
INSERT INTO public.who_data VALUES (77000, 4514, 38472, 672, 3125, 325, 149);
INSERT INTO public.who_data VALUES (77001, 0, 1, 0, 0, 325, 6);
INSERT INTO public.who_data VALUES (77002, 2, 36, 1, 2, 325, 139);
INSERT INTO public.who_data VALUES (77003, 0, 0, 0, 0, 325, 211);
INSERT INTO public.who_data VALUES (77004, 0, 0, 0, 0, 325, 14);
INSERT INTO public.who_data VALUES (77005, 4, 89, 2, 5, 325, 111);
INSERT INTO public.who_data VALUES (77006, 61, 455, 3, 13, 325, 207);
INSERT INTO public.who_data VALUES (77007, 2148, 15679, 63, 277, 325, 66);
INSERT INTO public.who_data VALUES (77008, 0, 0, 0, 0, 325, 173);
INSERT INTO public.who_data VALUES (77009, 0, 5, 0, 0, 325, 145);
INSERT INTO public.who_data VALUES (77010, 0, 0, 0, 0, 325, 65);
INSERT INTO public.who_data VALUES (77011, 11, 44, 0, 0, 325, 184);
INSERT INTO public.who_data VALUES (77012, 135, 804, 3, 20, 325, 98);
INSERT INTO public.who_data VALUES (77013, 150, 814, 2, 8, 325, 104);
INSERT INTO public.who_data VALUES (77014, 0, 20, 0, 1, 325, 73);
INSERT INTO public.who_data VALUES (77015, 24103, 187302, 996, 3846, 325, 8);
INSERT INTO public.who_data VALUES (77016, 0, 30, 0, 0, 325, 227);
INSERT INTO public.who_data VALUES (77017, 18, 338, 1, 2, 325, 75);
INSERT INTO public.who_data VALUES (77018, 17, 190, 0, 2, 325, 45);
INSERT INTO public.who_data VALUES (77019, 0, 0, 0, 0, 325, 133);
INSERT INTO public.who_data VALUES (77020, 14, 143, 0, 3, 325, 202);
INSERT INTO public.who_data VALUES (77021, 4, 216, 0, 0, 325, 129);
INSERT INTO public.who_data VALUES (77022, 0, 0, 0, 0, 325, 36);
INSERT INTO public.who_data VALUES (77023, 0, 0, 0, 0, 325, 51);
INSERT INTO public.who_data VALUES (77024, 1, 36, 0, 0, 325, 206);
INSERT INTO public.who_data VALUES (77025, 0, 8, 0, 1, 325, 5);
INSERT INTO public.who_data VALUES (77026, 26, 192, 0, 4, 326, 103);
INSERT INTO public.who_data VALUES (77027, 34, 239, 2, 14, 326, 58);
INSERT INTO public.who_data VALUES (77028, 73, 584, 4, 35, 326, 195);
INSERT INTO public.who_data VALUES (77029, 0, 0, 0, 0, 326, 115);
INSERT INTO public.who_data VALUES (77030, 20, 396, 1, 13, 326, 99);
INSERT INTO public.who_data VALUES (77031, 0, 7, 1, 2, 326, 153);
INSERT INTO public.who_data VALUES (77032, 0, 2, 0, 0, 326, 93);
INSERT INTO public.who_data VALUES (77033, 0, 7, 0, 0, 326, 84);
INSERT INTO public.who_data VALUES (77034, 146, 966, 4, 24, 326, 78);
INSERT INTO public.who_data VALUES (77035, 50, 509, 0, 3, 326, 170);
INSERT INTO public.who_data VALUES (77036, 5, 55, 0, 0, 326, 32);
INSERT INTO public.who_data VALUES (77037, 303, 4860, 1, 20, 326, 155);
INSERT INTO public.who_data VALUES (77038, 564, 10182, 20, 128, 326, 82);
INSERT INTO public.who_data VALUES (77039, 25, 298, 1, 5, 326, 16);
INSERT INTO public.who_data VALUES (77040, 0, 14, 0, 0, 326, 72);
INSERT INTO public.who_data VALUES (77041, 2, 569, 0, 4, 326, 43);
INSERT INTO public.who_data VALUES (77042, 5, 54, 1, 6, 326, 120);
INSERT INTO public.who_data VALUES (77043, 0, 33, 0, 0, 326, 213);
INSERT INTO public.who_data VALUES (77044, 40, 192, 2, 2, 326, 31);
INSERT INTO public.who_data VALUES (77045, 1681, 17078, 208, 1376, 326, 204);
INSERT INTO public.who_data VALUES (77046, 0, 3, 0, 0, 326, 152);
INSERT INTO public.who_data VALUES (77047, 3, 9, 0, 0, 326, 144);
INSERT INTO public.who_data VALUES (77048, 5, 27, 0, 0, 326, 96);
INSERT INTO public.who_data VALUES (77049, 0, 4, 0, 0, 326, 47);
INSERT INTO public.who_data VALUES (77050, 10, 107, 1, 6, 326, 80);
INSERT INTO public.who_data VALUES (77051, 0, 0, 0, 0, 326, 159);
INSERT INTO public.who_data VALUES (77052, 51, 464, 1, 13, 326, 27);
INSERT INTO public.who_data VALUES (77053, 3, 3, 0, 0, 326, 146);
INSERT INTO public.who_data VALUES (77054, 323, 4579, 23, 159, 326, 71);
INSERT INTO public.who_data VALUES (77055, 1, 3, 0, 0, 326, 210);
INSERT INTO public.who_data VALUES (77056, 2, 129, 0, 1, 326, 54);
INSERT INTO public.who_data VALUES (77057, 40, 399, 0, 8, 326, 147);
INSERT INTO public.who_data VALUES (77058, 15, 261, 2, 14, 326, 2);
INSERT INTO public.who_data VALUES (77059, 2, 2, 0, 0, 326, 105);
INSERT INTO public.who_data VALUES (77060, 0, 5, 0, 1, 326, 53);
INSERT INTO public.who_data VALUES (77061, 2, 109, 0, 0, 326, 81);
INSERT INTO public.who_data VALUES (77062, 0, 139, 0, 6, 326, 223);
INSERT INTO public.who_data VALUES (77063, 1378, 7695, 23, 89, 326, 94);
INSERT INTO public.who_data VALUES (77064, 0, 12, 0, 1, 326, 154);
INSERT INTO public.who_data VALUES (77065, 0, 6, 0, 0, 326, 83);
INSERT INTO public.who_data VALUES (77066, 2, 7, 0, 0, 326, 194);
INSERT INTO public.who_data VALUES (77067, 289, 2738, 4, 12, 326, 136);
INSERT INTO public.who_data VALUES (77068, 93, 82638, 7, 3321, 326, 179);
INSERT INTO public.who_data VALUES (77069, 96, 798, 4, 14, 326, 57);
INSERT INTO public.who_data VALUES (77070, 0, 0, 0, 0, 326, 35);
INSERT INTO public.who_data VALUES (77071, 3, 22, 2, 2, 326, 228);
INSERT INTO public.who_data VALUES (77072, 0, 0, 0, 0, 326, 19);
INSERT INTO public.who_data VALUES (77073, 0, 314, 0, 2, 326, 22);
INSERT INTO public.who_data VALUES (77074, 0, 169, 0, 0, 326, 1);
INSERT INTO public.who_data VALUES (77075, 77, 867, 0, 6, 326, 21);
INSERT INTO public.who_data VALUES (77076, 16, 186, 2, 6, 326, 234);
INSERT INTO public.who_data VALUES (77077, 0, 11, 0, 1, 326, 91);
INSERT INTO public.who_data VALUES (77078, 32, 262, 1, 8, 326, 137);
INSERT INTO public.who_data VALUES (77079, 306, 3308, 7, 31, 326, 201);
INSERT INTO public.who_data VALUES (77080, 0, 0, 0, 0, 326, 171);
INSERT INTO public.who_data VALUES (77081, 11, 109, 1, 9, 326, 92);
INSERT INTO public.who_data VALUES (77082, 283, 2860, 13, 90, 326, 112);
INSERT INTO public.who_data VALUES (77083, 3, 34, 0, 0, 326, 62);
INSERT INTO public.who_data VALUES (77084, 0, 11, 0, 0, 326, 69);
INSERT INTO public.who_data VALUES (77085, 208, 1109, 9, 51, 326, 220);
INSERT INTO public.who_data VALUES (77086, 278, 2240, 0, 8, 326, 100);
INSERT INTO public.who_data VALUES (77087, 54, 710, 5, 46, 326, 187);
INSERT INTO public.who_data VALUES (77088, 0, 30, 0, 0, 326, 63);
INSERT INTO public.who_data VALUES (77089, 0, 14, 0, 0, 326, 28);
INSERT INTO public.who_data VALUES (77090, 0, 6, 0, 0, 326, 172);
INSERT INTO public.who_data VALUES (77091, 30, 745, 1, 4, 326, 17);
INSERT INTO public.who_data VALUES (77092, 0, 9, 0, 0, 326, 226);
INSERT INTO public.who_data VALUES (77093, 3, 26, 0, 0, 326, 236);
INSERT INTO public.who_data VALUES (77094, 0, 0, 0, 0, 326, 76);
INSERT INTO public.who_data VALUES (77095, 1, 169, 0, 0, 326, 30);
INSERT INTO public.who_data VALUES (77096, 0, 5, 0, 0, 326, 128);
INSERT INTO public.who_data VALUES (77097, 71, 1384, 4, 17, 326, 86);
INSERT INTO public.who_data VALUES (77098, 7500, 51477, 497, 3514, 326, 140);
INSERT INTO public.who_data VALUES (77099, 3, 46, 0, 0, 326, 44);
INSERT INTO public.who_data VALUES (77100, 1, 37, 0, 0, 326, 113);
INSERT INTO public.who_data VALUES (77101, 0, 7, 0, 1, 326, 29);
INSERT INTO public.who_data VALUES (77102, 0, 3, 0, 1, 326, 125);
INSERT INTO public.who_data VALUES (77103, 6, 121, 0, 0, 326, 131);
INSERT INTO public.who_data VALUES (77104, 5453, 67366, 149, 732, 326, 46);
INSERT INTO public.who_data VALUES (77105, 9, 161, 0, 4, 326, 10);
INSERT INTO public.who_data VALUES (77106, 0, 69, 0, 0, 326, 205);
INSERT INTO public.who_data VALUES (77107, 102, 1314, 6, 49, 326, 50);
INSERT INTO public.who_data VALUES (77108, 0, 10, 0, 0, 326, 20);
INSERT INTO public.who_data VALUES (77109, 0, 9, 0, 0, 326, 13);
INSERT INTO public.who_data VALUES (77110, 8, 114, 1, 5, 326, 148);
INSERT INTO public.who_data VALUES (77111, 11, 69, 1, 2, 326, 230);
INSERT INTO public.who_data VALUES (77112, 0, 36, 0, 1, 326, 190);
INSERT INTO public.who_data VALUES (77113, 0, 60, 0, 1, 326, 188);
INSERT INTO public.who_data VALUES (77114, 0, 16, 0, 0, 326, 123);
INSERT INTO public.who_data VALUES (77115, 1, 9, 0, 0, 326, 9);
INSERT INTO public.who_data VALUES (77116, 4, 12, 1, 2, 326, 102);
INSERT INTO public.who_data VALUES (77117, 0, 15, 0, 0, 326, 34);
INSERT INTO public.who_data VALUES (77118, 0, 6, 0, 0, 326, 212);
INSERT INTO public.who_data VALUES (77119, 0, 139, 0, 2, 326, 122);
INSERT INTO public.who_data VALUES (77120, 33, 525, 4, 20, 326, 38);
INSERT INTO public.who_data VALUES (77121, 49, 1135, 0, 2, 326, 130);
INSERT INTO public.who_data VALUES (77122, 385, 1636, 6, 38, 326, 37);
INSERT INTO public.who_data VALUES (77123, 149, 1677, 21, 157, 326, 231);
INSERT INTO public.who_data VALUES (77124, 2987, 47593, 138, 3036, 326, 107);
INSERT INTO public.who_data VALUES (77125, 64, 694, 4, 50, 326, 101);
INSERT INTO public.who_data VALUES (77126, 325, 3235, 17, 71, 326, 132);
INSERT INTO public.who_data VALUES (77127, 0, 52, 0, 0, 326, 176);
INSERT INTO public.who_data VALUES (77128, 547, 4987, 1, 17, 326, 200);
INSERT INTO public.who_data VALUES (77129, 4053, 105792, 839, 12430, 326, 169);
INSERT INTO public.who_data VALUES (77130, 0, 36, 0, 1, 326, 225);
INSERT INTO public.who_data VALUES (77131, 225, 2178, 1, 57, 326, 165);
INSERT INTO public.who_data VALUES (77132, 0, 63, 0, 2, 326, 233);
INSERT INTO public.who_data VALUES (77133, 6, 274, 0, 5, 326, 215);
INSERT INTO public.who_data VALUES (77134, 38, 386, 1, 3, 326, 177);
INSERT INTO public.who_data VALUES (77135, 9, 59, 0, 1, 326, 183);
INSERT INTO public.who_data VALUES (77136, 0, 0, 0, 0, 326, 203);
INSERT INTO public.who_data VALUES (77137, 13, 125, 0, 1, 326, 162);
INSERT INTO public.who_data VALUES (77138, 28, 317, 0, 0, 326, 12);
INSERT INTO public.who_data VALUES (77139, 4, 111, 0, 0, 326, 24);
INSERT INTO public.who_data VALUES (77140, 0, 9, 0, 0, 326, 119);
INSERT INTO public.who_data VALUES (77141, 22, 398, 0, 0, 326, 39);
INSERT INTO public.who_data VALUES (77142, 16, 479, 0, 12, 326, 26);
INSERT INTO public.who_data VALUES (77143, 0, 0, 0, 0, 326, 59);
INSERT INTO public.who_data VALUES (77144, 3, 6, 0, 0, 326, 77);
INSERT INTO public.who_data VALUES (77145, 2, 10, 0, 0, 326, 134);
INSERT INTO public.who_data VALUES (77146, 4, 73, 0, 0, 326, 4);
INSERT INTO public.who_data VALUES (77147, 44, 512, 1, 8, 326, 109);
INSERT INTO public.who_data VALUES (77148, 190, 2178, 1, 23, 326, 90);
INSERT INTO public.who_data VALUES (77149, 7, 53, 0, 0, 326, 61);
INSERT INTO public.who_data VALUES (77150, 0, 0, 0, 0, 326, 85);
INSERT INTO public.who_data VALUES (77151, 140, 2766, 6, 43, 326, 49);
INSERT INTO public.who_data VALUES (77152, 1, 18, 0, 0, 326, 208);
INSERT INTO public.who_data VALUES (77153, 0, 18, 0, 0, 326, 166);
INSERT INTO public.who_data VALUES (77154, 13, 169, 0, 0, 326, 64);
INSERT INTO public.who_data VALUES (77155, 0, 0, 0, 0, 326, 199);
INSERT INTO public.who_data VALUES (77156, 8, 119, 0, 2, 326, 114);
INSERT INTO public.who_data VALUES (77157, 0, 5, 0, 0, 326, 60);
INSERT INTO public.who_data VALUES (77158, 15, 143, 3, 5, 326, 68);
INSERT INTO public.who_data VALUES (77159, 19, 101, 0, 0, 326, 158);
INSERT INTO public.who_data VALUES (77160, 101, 1094, 8, 28, 326, 52);
INSERT INTO public.who_data VALUES (77161, 0, 0, 0, 0, 326, 117);
INSERT INTO public.who_data VALUES (77162, 1, 37, 0, 0, 326, 126);
INSERT INTO public.who_data VALUES (77163, 2, 14, 0, 0, 326, 196);
INSERT INTO public.who_data VALUES (77164, 20, 140, 0, 2, 326, 142);
INSERT INTO public.who_data VALUES (77165, 0, 5, 0, 0, 326, 185);
INSERT INTO public.who_data VALUES (77166, 64, 638, 4, 37, 326, 138);
INSERT INTO public.who_data VALUES (77167, 0, 8, 0, 0, 326, 181);
INSERT INTO public.who_data VALUES (77168, 1, 15, 1, 1, 326, 178);
INSERT INTO public.who_data VALUES (77169, 0, 11, 0, 0, 326, 168);
INSERT INTO public.who_data VALUES (77170, 0, 0, 0, 0, 326, 160);
INSERT INTO public.who_data VALUES (77171, 0, 5, 0, 0, 326, 151);
INSERT INTO public.who_data VALUES (77172, 836, 12452, 168, 1004, 326, 193);
INSERT INTO public.who_data VALUES (77173, 1, 16, 0, 0, 326, 18);
INSERT INTO public.who_data VALUES (77174, 47, 647, 0, 1, 326, 40);
INSERT INTO public.who_data VALUES (77175, 0, 4, 0, 1, 326, 218);
INSERT INTO public.who_data VALUES (77176, 0, 20, 0, 3, 326, 191);
INSERT INTO public.who_data VALUES (77177, 28, 139, 1, 2, 326, 156);
INSERT INTO public.who_data VALUES (77178, 0, 0, 0, 0, 326, 135);
INSERT INTO public.who_data VALUES (77179, 4, 6, 0, 0, 326, 88);
INSERT INTO public.who_data VALUES (77180, 25, 354, 2, 11, 326, 55);
INSERT INTO public.who_data VALUES (77181, 221, 4447, 2, 28, 326, 108);
INSERT INTO public.who_data VALUES (77182, 17, 134, 0, 1, 326, 48);
INSERT INTO public.who_data VALUES (77183, 18, 210, 1, 1, 326, 3);
INSERT INTO public.who_data VALUES (77184, 0, 712, 0, 11, 326, 224);
INSERT INTO public.who_data VALUES (77185, 174, 2039, 1, 26, 326, 110);
INSERT INTO public.who_data VALUES (77186, 0, 0, 0, 0, 326, 106);
INSERT INTO public.who_data VALUES (77187, 0, 989, 0, 24, 326, 89);
INSERT INTO public.who_data VALUES (77188, 0, 1, 0, 0, 326, 121);
INSERT INTO public.who_data VALUES (77189, 1, 65, 0, 3, 326, 163);
INSERT INTO public.who_data VALUES (77190, 213, 1065, 13, 24, 326, 70);
INSERT INTO public.who_data VALUES (77191, 765, 2311, 18, 96, 326, 174);
INSERT INTO public.who_data VALUES (77192, 0, 0, 0, 0, 326, 175);
INSERT INTO public.who_data VALUES (77193, 256, 2311, 2, 33, 326, 118);
INSERT INTO public.who_data VALUES (77194, 1035, 7443, 20, 160, 326, 189);
INSERT INTO public.who_data VALUES (77195, 65, 239, 2, 8, 326, 124);
INSERT INTO public.who_data VALUES (77196, 88, 781, 1, 2, 326, 192);
INSERT INTO public.who_data VALUES (77197, 101, 9887, 3, 165, 326, 41);
INSERT INTO public.who_data VALUES (77198, 70, 423, 2, 5, 326, 95);
INSERT INTO public.who_data VALUES (77199, 40, 247, 0, 0, 326, 74);
INSERT INTO public.who_data VALUES (77200, 293, 2245, 25, 69, 326, 11);
INSERT INTO public.who_data VALUES (77201, 440, 2777, 7, 24, 326, 87);
INSERT INTO public.who_data VALUES (77202, 5, 75, 0, 0, 326, 214);
INSERT INTO public.who_data VALUES (77203, 0, 0, 0, 0, 326, 116);
INSERT INTO public.who_data VALUES (77204, 0, 6, 0, 0, 326, 157);
INSERT INTO public.who_data VALUES (77205, 0, 0, 0, 0, 326, 182);
INSERT INTO public.who_data VALUES (77206, 6, 8, 0, 0, 326, 186);
INSERT INTO public.who_data VALUES (77207, 0, 9, 0, 0, 326, 127);
INSERT INTO public.who_data VALUES (77208, 0, 18, 1, 2, 326, 232);
INSERT INTO public.who_data VALUES (77209, 0, 0, 0, 0, 326, 33);
INSERT INTO public.who_data VALUES (77210, 0, 1, 0, 0, 326, 97);
INSERT INTO public.who_data VALUES (77211, 0, 0, 0, 0, 326, 42);
INSERT INTO public.who_data VALUES (77212, 0, 236, 2, 28, 326, 198);
INSERT INTO public.who_data VALUES (77213, 0, 0, 0, 0, 326, 216);
INSERT INTO public.who_data VALUES (77214, 157, 1720, 6, 16, 326, 164);
INSERT INTO public.who_data VALUES (77215, 13, 175, 0, 0, 326, 235);
INSERT INTO public.who_data VALUES (77216, 115, 900, 0, 13, 326, 67);
INSERT INTO public.who_data VALUES (77217, 0, 8, 0, 0, 326, 15);
INSERT INTO public.who_data VALUES (77218, 1, 1, 0, 0, 326, 180);
INSERT INTO public.who_data VALUES (77219, 47, 926, 0, 3, 326, 237);
INSERT INTO public.who_data VALUES (77220, 0, 0, 0, 0, 326, 25);
INSERT INTO public.who_data VALUES (77221, 0, 6, 0, 0, 326, 209);
INSERT INTO public.who_data VALUES (77222, 0, 336, 0, 0, 326, 217);
INSERT INTO public.who_data VALUES (77223, 48, 805, 5, 18, 326, 79);
INSERT INTO public.who_data VALUES (77224, 0, 0, 0, 0, 326, 143);
INSERT INTO public.who_data VALUES (77225, 2, 5, 0, 0, 326, 229);
INSERT INTO public.who_data VALUES (77226, 27, 1353, 2, 5, 326, 141);
INSERT INTO public.who_data VALUES (77227, 0, 0, 0, 0, 326, 197);
INSERT INTO public.who_data VALUES (77228, 8009, 116435, 913, 9491, 326, 221);
INSERT INTO public.who_data VALUES (77229, 21, 143, 0, 2, 326, 150);
INSERT INTO public.who_data VALUES (77230, 0, 7, 0, 2, 326, 56);
INSERT INTO public.who_data VALUES (77231, 0, 8, 0, 0, 326, 167);
INSERT INTO public.who_data VALUES (77232, 416, 4360, 45, 284, 326, 23);
INSERT INTO public.who_data VALUES (77233, 1134, 19040, 44, 483, 326, 222);
INSERT INTO public.who_data VALUES (77234, 0, 10, 0, 2, 326, 219);
INSERT INTO public.who_data VALUES (77235, 0, 0, 0, 0, 326, 7);
INSERT INTO public.who_data VALUES (77236, 120, 1771, 2, 12, 326, 161);
INSERT INTO public.who_data VALUES (77237, 4273, 33958, 403, 2453, 326, 149);
INSERT INTO public.who_data VALUES (77238, 0, 1, 0, 0, 326, 6);
INSERT INTO public.who_data VALUES (77239, 0, 34, 0, 1, 326, 139);
INSERT INTO public.who_data VALUES (77240, 0, 0, 0, 0, 326, 211);
INSERT INTO public.who_data VALUES (77241, 0, 0, 0, 0, 326, 14);
INSERT INTO public.who_data VALUES (77242, 3, 85, 0, 3, 326, 111);
INSERT INTO public.who_data VALUES (77243, 32, 394, 1, 10, 326, 207);
INSERT INTO public.who_data VALUES (77244, 2704, 13531, 46, 214, 326, 66);
INSERT INTO public.who_data VALUES (77245, 0, 0, 0, 0, 326, 173);
INSERT INTO public.who_data VALUES (77246, 0, 5, 0, 0, 326, 145);
INSERT INTO public.who_data VALUES (77247, 0, 0, 0, 0, 326, 65);
INSERT INTO public.who_data VALUES (77248, 0, 33, 0, 0, 326, 184);
INSERT INTO public.who_data VALUES (77249, 120, 669, 4, 17, 326, 98);
INSERT INTO public.who_data VALUES (77250, 0, 664, 0, 6, 326, 104);
INSERT INTO public.who_data VALUES (77251, 1, 20, 1, 1, 326, 73);
INSERT INTO public.who_data VALUES (77252, 22559, 163199, 452, 2850, 326, 8);
INSERT INTO public.who_data VALUES (77253, 0, 30, 0, 0, 326, 227);
INSERT INTO public.who_data VALUES (77254, 11, 320, 1, 1, 326, 75);
INSERT INTO public.who_data VALUES (77255, 6, 173, 0, 2, 326, 45);
INSERT INTO public.who_data VALUES (77256, 0, 0, 0, 0, 326, 133);
INSERT INTO public.who_data VALUES (77257, 0, 129, 0, 3, 326, 202);
INSERT INTO public.who_data VALUES (77258, 9, 212, 0, 0, 326, 129);
INSERT INTO public.who_data VALUES (77259, 0, 0, 0, 0, 326, 36);
INSERT INTO public.who_data VALUES (77260, 0, 0, 0, 0, 326, 51);
INSERT INTO public.who_data VALUES (77261, 0, 35, 0, 0, 326, 206);
INSERT INTO public.who_data VALUES (77262, 0, 8, 0, 1, 326, 5);
INSERT INTO public.who_data VALUES (77263, 52, 166, 0, 4, 327, 103);
INSERT INTO public.who_data VALUES (77264, 20, 205, 2, 12, 327, 58);
INSERT INTO public.who_data VALUES (77265, 57, 511, 2, 31, 327, 195);
INSERT INTO public.who_data VALUES (77266, 0, 0, 0, 0, 327, 115);
INSERT INTO public.who_data VALUES (77267, 6, 376, 4, 12, 327, 99);
INSERT INTO public.who_data VALUES (77268, 5, 7, 1, 1, 327, 153);
INSERT INTO public.who_data VALUES (77269, 0, 2, 0, 0, 327, 93);
INSERT INTO public.who_data VALUES (77270, 0, 7, 0, 0, 327, 84);
INSERT INTO public.who_data VALUES (77271, 75, 820, 1, 20, 327, 78);
INSERT INTO public.who_data VALUES (77272, 58, 459, 0, 3, 327, 170);
INSERT INTO public.who_data VALUES (77273, 4, 50, 0, 0, 327, 32);
INSERT INTO public.who_data VALUES (77274, 312, 4557, 1, 19, 327, 155);
INSERT INTO public.who_data VALUES (77275, 805, 9618, 22, 108, 327, 82);
INSERT INTO public.who_data VALUES (77276, 83, 273, 0, 4, 327, 16);
INSERT INTO public.who_data VALUES (77277, 4, 14, 0, 0, 327, 72);
INSERT INTO public.who_data VALUES (77278, 52, 567, 0, 4, 327, 43);
INSERT INTO public.who_data VALUES (77279, 0, 49, 0, 5, 327, 120);
INSERT INTO public.who_data VALUES (77280, 7, 33, 0, 0, 327, 213);
INSERT INTO public.who_data VALUES (77281, 58, 152, 0, 0, 327, 31);
INSERT INTO public.who_data VALUES (77282, 1738, 15397, 170, 1168, 327, 204);
INSERT INTO public.who_data VALUES (77283, 1, 3, 0, 0, 327, 152);
INSERT INTO public.who_data VALUES (77284, 0, 6, 0, 0, 327, 144);
INSERT INTO public.who_data VALUES (77285, 0, 22, 0, 0, 327, 96);
INSERT INTO public.who_data VALUES (77286, 0, 4, 0, 0, 327, 47);
INSERT INTO public.who_data VALUES (77287, 23, 97, 5, 5, 327, 80);
INSERT INTO public.who_data VALUES (77288, 0, 0, 0, 0, 327, 159);
INSERT INTO public.who_data VALUES (77289, 54, 413, 3, 12, 327, 27);
INSERT INTO public.who_data VALUES (77290, 0, 0, 0, 0, 327, 146);
INSERT INTO public.who_data VALUES (77291, 352, 4256, 22, 136, 327, 71);
INSERT INTO public.who_data VALUES (77292, 0, 2, 0, 0, 327, 210);
INSERT INTO public.who_data VALUES (77293, 1, 127, 0, 1, 327, 54);
INSERT INTO public.who_data VALUES (77294, 13, 359, 0, 8, 327, 147);
INSERT INTO public.who_data VALUES (77295, 24, 246, 0, 12, 327, 2);
INSERT INTO public.who_data VALUES (77296, 0, 0, 0, 0, 327, 105);
INSERT INTO public.who_data VALUES (77297, 0, 5, 0, 1, 327, 53);
INSERT INTO public.who_data VALUES (77298, 0, 107, 0, 0, 327, 81);
INSERT INTO public.who_data VALUES (77299, 26, 139, 4, 6, 327, 223);
INSERT INTO public.who_data VALUES (77300, 662, 6317, 5, 66, 327, 94);
INSERT INTO public.who_data VALUES (77301, 4, 12, 0, 1, 327, 154);
INSERT INTO public.who_data VALUES (77302, 0, 6, 0, 0, 327, 83);
INSERT INTO public.who_data VALUES (77303, 0, 5, 0, 0, 327, 194);
INSERT INTO public.who_data VALUES (77304, 540, 2449, 2, 8, 327, 136);
INSERT INTO public.who_data VALUES (77305, 90, 82545, 4, 3314, 327, 179);
INSERT INTO public.who_data VALUES (77306, 94, 702, 4, 10, 327, 57);
INSERT INTO public.who_data VALUES (77307, 0, 0, 0, 0, 327, 35);
INSERT INTO public.who_data VALUES (77308, 0, 19, 0, 0, 327, 228);
INSERT INTO public.who_data VALUES (77309, 0, 0, 0, 0, 327, 19);
INSERT INTO public.who_data VALUES (77310, 19, 314, 0, 2, 327, 22);
INSERT INTO public.who_data VALUES (77311, 4, 169, 0, 0, 327, 1);
INSERT INTO public.who_data VALUES (77312, 77, 790, 0, 6, 327, 21);
INSERT INTO public.who_data VALUES (77313, 51, 170, 1, 4, 327, 234);
INSERT INTO public.who_data VALUES (77314, 4, 11, 0, 1, 327, 91);
INSERT INTO public.who_data VALUES (77315, 16, 230, 1, 7, 327, 137);
INSERT INTO public.who_data VALUES (77316, 173, 3002, 8, 24, 327, 201);
INSERT INTO public.who_data VALUES (77317, 0, 0, 0, 0, 327, 171);
INSERT INTO public.who_data VALUES (77318, 17, 98, 0, 8, 327, 92);
INSERT INTO public.who_data VALUES (77319, 182, 2577, 5, 77, 327, 112);
INSERT INTO public.who_data VALUES (77320, 5, 31, 0, 0, 327, 62);
INSERT INTO public.who_data VALUES (77321, 0, 11, 0, 0, 327, 69);
INSERT INTO public.who_data VALUES (77322, 320, 901, 22, 42, 327, 220);
INSERT INTO public.who_data VALUES (77323, 127, 1962, 0, 8, 327, 100);
INSERT INTO public.who_data VALUES (77324, 47, 656, 1, 41, 327, 187);
INSERT INTO public.who_data VALUES (77325, 6, 30, 0, 0, 327, 63);
INSERT INTO public.who_data VALUES (77326, 1, 14, 0, 0, 327, 28);
INSERT INTO public.who_data VALUES (77327, 0, 6, 0, 0, 327, 172);
INSERT INTO public.who_data VALUES (77328, 36, 715, 0, 3, 327, 17);
INSERT INTO public.who_data VALUES (77329, 0, 9, 0, 0, 327, 226);
INSERT INTO public.who_data VALUES (77330, 2, 23, 0, 0, 327, 236);
INSERT INTO public.who_data VALUES (77331, 0, 0, 0, 0, 327, 76);
INSERT INTO public.who_data VALUES (77332, 9, 168, 0, 0, 327, 30);
INSERT INTO public.who_data VALUES (77333, 0, 5, 0, 0, 327, 128);
INSERT INTO public.who_data VALUES (77334, 95, 1313, 2, 13, 327, 86);
INSERT INTO public.who_data VALUES (77335, 4341, 43977, 415, 3017, 327, 140);
INSERT INTO public.who_data VALUES (77336, 12, 43, 0, 0, 327, 44);
INSERT INTO public.who_data VALUES (77337, 1, 36, 0, 0, 327, 113);
INSERT INTO public.who_data VALUES (77338, 0, 7, 0, 1, 327, 29);
INSERT INTO public.who_data VALUES (77339, 0, 3, 0, 1, 327, 125);
INSERT INTO public.who_data VALUES (77340, 12, 115, 0, 0, 327, 131);
INSERT INTO public.who_data VALUES (77341, 4615, 61913, 128, 583, 327, 46);
INSERT INTO public.who_data VALUES (77342, 0, 152, 0, 4, 327, 10);
INSERT INTO public.who_data VALUES (77343, 4, 69, 0, 0, 327, 205);
INSERT INTO public.who_data VALUES (77344, 56, 1212, 5, 43, 327, 50);
INSERT INTO public.who_data VALUES (77345, 0, 10, 0, 0, 327, 20);
INSERT INTO public.who_data VALUES (77346, 2, 9, 0, 0, 327, 13);
INSERT INTO public.who_data VALUES (77347, 10, 106, 2, 4, 327, 148);
INSERT INTO public.who_data VALUES (77348, 2, 58, 0, 1, 327, 230);
INSERT INTO public.who_data VALUES (77349, 2, 36, 0, 1, 327, 190);
INSERT INTO public.who_data VALUES (77350, 15, 60, 1, 1, 327, 188);
INSERT INTO public.who_data VALUES (77351, 0, 16, 0, 0, 327, 123);
INSERT INTO public.who_data VALUES (77352, 6, 8, 0, 0, 327, 9);
INSERT INTO public.who_data VALUES (77353, -1, 8, 0, 1, 327, 102);
INSERT INTO public.who_data VALUES (77354, 0, 15, 0, 0, 327, 34);
INSERT INTO public.who_data VALUES (77355, 0, 6, 0, 0, 327, 212);
INSERT INTO public.who_data VALUES (77356, 29, 139, 0, 2, 327, 122);
INSERT INTO public.who_data VALUES (77357, 45, 492, 1, 16, 327, 38);
INSERT INTO public.who_data VALUES (77358, 66, 1086, 0, 2, 327, 130);
INSERT INTO public.who_data VALUES (77359, 180, 1251, 3, 32, 327, 37);
INSERT INTO public.who_data VALUES (77360, 114, 1528, 14, 136, 327, 231);
INSERT INTO public.who_data VALUES (77361, 3111, 44606, 141, 2898, 327, 107);
INSERT INTO public.who_data VALUES (77362, 83, 630, 4, 46, 327, 101);
INSERT INTO public.who_data VALUES (77363, 295, 2910, 8, 54, 327, 132);
INSERT INTO public.who_data VALUES (77364, 10, 52, 0, 0, 327, 176);
INSERT INTO public.who_data VALUES (77365, 532, 4440, 3, 16, 327, 200);
INSERT INTO public.who_data VALUES (77366, 4050, 101739, 810, 11591, 327, 169);
INSERT INTO public.who_data VALUES (77367, 4, 36, 0, 1, 327, 225);
INSERT INTO public.who_data VALUES (77368, 87, 1953, 2, 56, 327, 165);
INSERT INTO public.who_data VALUES (77369, 0, 63, 0, 2, 327, 233);
INSERT INTO public.who_data VALUES (77370, 9, 268, 1, 5, 327, 215);
INSERT INTO public.who_data VALUES (77371, 36, 348, 1, 2, 327, 177);
INSERT INTO public.who_data VALUES (77372, 12, 50, 0, 1, 327, 183);
INSERT INTO public.who_data VALUES (77373, 0, 0, 0, 0, 327, 203);
INSERT INTO public.who_data VALUES (77374, 6, 112, 0, 1, 327, 162);
INSERT INTO public.who_data VALUES (77375, 23, 289, 0, 0, 327, 12);
INSERT INTO public.who_data VALUES (77376, 23, 107, 0, 0, 327, 24);
INSERT INTO public.who_data VALUES (77377, 1, 9, 0, 0, 327, 119);
INSERT INTO public.who_data VALUES (77378, 0, 376, 0, 0, 327, 39);
INSERT INTO public.who_data VALUES (77379, 17, 463, 1, 12, 327, 26);
INSERT INTO public.who_data VALUES (77380, 0, 0, 0, 0, 327, 59);
INSERT INTO public.who_data VALUES (77381, 0, 3, 0, 0, 327, 77);
INSERT INTO public.who_data VALUES (77382, 0, 8, 0, 0, 327, 134);
INSERT INTO public.who_data VALUES (77383, 4, 69, 0, 0, 327, 4);
INSERT INTO public.who_data VALUES (77384, 44, 468, 0, 7, 327, 109);
INSERT INTO public.who_data VALUES (77385, 38, 1988, 1, 22, 327, 90);
INSERT INTO public.who_data VALUES (77386, 2, 46, 0, 0, 327, 61);
INSERT INTO public.who_data VALUES (77387, 0, 0, 0, 0, 327, 85);
INSERT INTO public.who_data VALUES (77388, 156, 2626, 3, 37, 327, 49);
INSERT INTO public.who_data VALUES (77389, 0, 17, 0, 0, 327, 208);
INSERT INTO public.who_data VALUES (77390, 0, 18, 0, 0, 327, 166);
INSERT INTO public.who_data VALUES (77391, 5, 156, 0, 0, 327, 64);
INSERT INTO public.who_data VALUES (77392, 0, 0, 0, 0, 327, 199);
INSERT INTO public.who_data VALUES (77393, 6, 111, 0, 2, 327, 114);
INSERT INTO public.who_data VALUES (77394, 0, 5, 0, 0, 327, 60);
INSERT INTO public.who_data VALUES (77395, 26, 128, 0, 2, 327, 68);
INSERT INTO public.who_data VALUES (77396, 0, 82, 0, 0, 327, 158);
INSERT INTO public.who_data VALUES (77397, 145, 993, 4, 20, 327, 52);
INSERT INTO public.who_data VALUES (77398, 0, 0, 0, 0, 327, 117);
INSERT INTO public.who_data VALUES (77399, 1, 36, 0, 0, 327, 126);
INSERT INTO public.who_data VALUES (77400, 0, 12, 0, 0, 327, 196);
INSERT INTO public.who_data VALUES (77401, 15, 120, 0, 2, 327, 142);
INSERT INTO public.who_data VALUES (77402, 0, 5, 0, 0, 327, 185);
INSERT INTO public.who_data VALUES (77403, 58, 574, 4, 33, 327, 138);
INSERT INTO public.who_data VALUES (77404, 0, 8, 0, 0, 327, 181);
INSERT INTO public.who_data VALUES (77405, 4, 14, 0, 0, 327, 178);
INSERT INTO public.who_data VALUES (77406, 0, 11, 0, 0, 327, 168);
INSERT INTO public.who_data VALUES (77407, 0, 0, 0, 0, 327, 160);
INSERT INTO public.who_data VALUES (77408, 0, 5, 0, 0, 327, 151);
INSERT INTO public.who_data VALUES (77409, 874, 11616, 84, 836, 327, 193);
INSERT INTO public.who_data VALUES (77410, 0, 15, 0, 0, 327, 18);
INSERT INTO public.who_data VALUES (77411, 48, 600, 0, 1, 327, 40);
INSERT INTO public.who_data VALUES (77412, 0, 4, 0, 1, 327, 218);
INSERT INTO public.who_data VALUES (77413, 0, 20, 0, 3, 327, 191);
INSERT INTO public.who_data VALUES (77414, 46, 111, 0, 1, 327, 156);
INSERT INTO public.who_data VALUES (77415, 0, 0, 0, 0, 327, 135);
INSERT INTO public.who_data VALUES (77416, 0, 2, 0, 0, 327, 88);
INSERT INTO public.who_data VALUES (77417, 44, 329, 2, 9, 327, 55);
INSERT INTO public.who_data VALUES (77418, 124, 4226, 4, 26, 327, 108);
INSERT INTO public.who_data VALUES (77419, 2, 117, 0, 1, 327, 48);
INSERT INTO public.who_data VALUES (77420, 13, 192, 0, 0, 327, 3);
INSERT INTO public.who_data VALUES (77421, 0, 712, 1, 11, 327, 224);
INSERT INTO public.who_data VALUES (77422, 240, 1865, 7, 25, 327, 110);
INSERT INTO public.who_data VALUES (77423, 0, 0, 0, 0, 327, 106);
INSERT INTO public.who_data VALUES (77424, 88, 989, 7, 24, 327, 89);
INSERT INTO public.who_data VALUES (77425, 0, 1, 0, 0, 327, 121);
INSERT INTO public.who_data VALUES (77426, 5, 64, 0, 3, 327, 163);
INSERT INTO public.who_data VALUES (77427, 181, 852, 0, 11, 327, 70);
INSERT INTO public.who_data VALUES (77428, 0, 1546, 0, 78, 327, 174);
INSERT INTO public.who_data VALUES (77429, 0, 0, 0, 0, 327, 175);
INSERT INTO public.who_data VALUES (77430, 193, 2055, 9, 31, 327, 118);
INSERT INTO public.who_data VALUES (77431, 446, 6408, 21, 140, 327, 189);
INSERT INTO public.who_data VALUES (77432, 110, 174, 4, 6, 327, 124);
INSERT INTO public.who_data VALUES (77433, 59, 693, 0, 1, 327, 192);
INSERT INTO public.who_data VALUES (77434, 125, 9786, 4, 162, 327, 41);
INSERT INTO public.who_data VALUES (77435, 90, 353, 1, 3, 327, 95);
INSERT INTO public.who_data VALUES (77436, 0, 207, 0, 0, 327, 74);
INSERT INTO public.who_data VALUES (77437, 192, 1952, 4, 44, 327, 11);
INSERT INTO public.who_data VALUES (77438, 500, 2337, 8, 17, 327, 87);
INSERT INTO public.who_data VALUES (77439, 0, 70, 0, 0, 327, 214);
INSERT INTO public.who_data VALUES (77440, 0, 0, 0, 0, 327, 116);
INSERT INTO public.who_data VALUES (77441, 1, 6, 0, 0, 327, 157);
INSERT INTO public.who_data VALUES (77442, 0, 0, 0, 0, 327, 182);
INSERT INTO public.who_data VALUES (77443, 0, 2, 0, 0, 327, 186);
INSERT INTO public.who_data VALUES (77444, 5, 9, 0, 0, 327, 127);
INSERT INTO public.who_data VALUES (77445, 6, 18, 1, 1, 327, 232);
INSERT INTO public.who_data VALUES (77446, 0, 0, 0, 0, 327, 33);
INSERT INTO public.who_data VALUES (77447, 0, 1, 0, 0, 327, 97);
INSERT INTO public.who_data VALUES (77448, 0, 0, 0, 0, 327, 42);
INSERT INTO public.who_data VALUES (77449, 6, 236, 1, 26, 327, 198);
INSERT INTO public.who_data VALUES (77450, 0, 0, 0, 0, 327, 216);
INSERT INTO public.who_data VALUES (77451, 110, 1563, 2, 10, 327, 164);
INSERT INTO public.who_data VALUES (77452, 20, 162, 0, 0, 327, 235);
INSERT INTO public.who_data VALUES (77453, 44, 785, 0, 13, 327, 67);
INSERT INTO public.who_data VALUES (77454, 0, 8, 0, 0, 327, 15);
INSERT INTO public.who_data VALUES (77455, 0, 0, 0, 0, 327, 180);
INSERT INTO public.who_data VALUES (77456, 35, 879, 0, 3, 327, 237);
INSERT INTO public.who_data VALUES (77457, 0, 0, 0, 0, 327, 25);
INSERT INTO public.who_data VALUES (77458, 3, 6, 0, 0, 327, 209);
INSERT INTO public.who_data VALUES (77459, 41, 336, 0, 0, 327, 217);
INSERT INTO public.who_data VALUES (77460, 24, 757, 1, 13, 327, 79);
INSERT INTO public.who_data VALUES (77461, 0, 0, 0, 0, 327, 143);
INSERT INTO public.who_data VALUES (77462, 0, 3, 0, 0, 327, 229);
INSERT INTO public.who_data VALUES (77463, 46, 1326, 2, 3, 327, 141);
INSERT INTO public.who_data VALUES (77464, 0, 0, 0, 0, 327, 197);
INSERT INTO public.who_data VALUES (77465, 5090, 108426, 811, 8578, 327, 221);
INSERT INTO public.who_data VALUES (77466, 2, 122, 1, 2, 327, 150);
INSERT INTO public.who_data VALUES (77467, 1, 7, 0, 2, 327, 56);
INSERT INTO public.who_data VALUES (77468, 0, 8, 0, 0, 327, 167);
INSERT INTO public.who_data VALUES (77469, 280, 3944, 38, 239, 327, 23);
INSERT INTO public.who_data VALUES (77470, 1307, 17906, 58, 439, 327, 222);
INSERT INTO public.who_data VALUES (77471, 1, 10, 1, 2, 327, 219);
INSERT INTO public.who_data VALUES (77472, 0, 0, 0, 0, 327, 7);
INSERT INTO public.who_data VALUES (77473, 127, 1651, 1, 10, 327, 161);
INSERT INTO public.who_data VALUES (77474, 2858, 29685, 374, 2050, 327, 149);
INSERT INTO public.who_data VALUES (77475, 0, 1, 0, 0, 327, 6);
INSERT INTO public.who_data VALUES (77476, 6, 34, 0, 1, 327, 139);
INSERT INTO public.who_data VALUES (77477, 0, 0, 0, 0, 327, 211);
INSERT INTO public.who_data VALUES (77478, 0, 0, 0, 0, 327, 14);
INSERT INTO public.who_data VALUES (77479, 6, 82, 0, 3, 327, 111);
INSERT INTO public.who_data VALUES (77480, 50, 362, 1, 9, 327, 207);
INSERT INTO public.who_data VALUES (77481, 1556, 10827, 37, 168, 327, 66);
INSERT INTO public.who_data VALUES (77482, 0, 0, 0, 0, 327, 173);
INSERT INTO public.who_data VALUES (77483, 1, 5, 0, 0, 327, 145);
INSERT INTO public.who_data VALUES (77484, 0, 0, 0, 0, 327, 65);
INSERT INTO public.who_data VALUES (77485, 0, 33, 0, 0, 327, 184);
INSERT INTO public.who_data VALUES (77486, 69, 549, 2, 13, 327, 98);
INSERT INTO public.who_data VALUES (77487, 53, 664, 1, 6, 327, 104);
INSERT INTO public.who_data VALUES (77488, 0, 19, 0, 0, 327, 73);
INSERT INTO public.who_data VALUES (77489, 17987, 140640, 286, 2398, 327, 8);
INSERT INTO public.who_data VALUES (77490, 8, 30, 0, 0, 327, 227);
INSERT INTO public.who_data VALUES (77491, 6, 309, 0, 0, 327, 75);
INSERT INTO public.who_data VALUES (77492, 18, 167, 0, 2, 327, 45);
INSERT INTO public.who_data VALUES (77493, 0, 0, 0, 0, 327, 133);
INSERT INTO public.who_data VALUES (77494, 16, 129, 1, 3, 327, 202);
INSERT INTO public.who_data VALUES (77495, 9, 203, 0, 0, 327, 129);
INSERT INTO public.who_data VALUES (77496, 0, 0, 0, 0, 327, 36);
INSERT INTO public.who_data VALUES (77497, 0, 0, 0, 0, 327, 51);
INSERT INTO public.who_data VALUES (77498, 0, 35, 0, 0, 327, 206);
INSERT INTO public.who_data VALUES (77499, 3, 8, 0, 1, 327, 5);
INSERT INTO public.who_data VALUES (77500, 0, 114, 0, 4, 328, 103);
INSERT INTO public.who_data VALUES (77501, 11, 185, 1, 10, 328, 58);
INSERT INTO public.who_data VALUES (77502, 45, 454, 3, 29, 328, 195);
INSERT INTO public.who_data VALUES (77503, 0, 0, 0, 0, 328, 115);
INSERT INTO public.who_data VALUES (77504, 29, 370, 2, 8, 328, 99);
INSERT INTO public.who_data VALUES (77505, 0, 2, 0, 0, 328, 153);
INSERT INTO public.who_data VALUES (77506, 0, 2, 0, 0, 328, 93);
INSERT INTO public.who_data VALUES (77507, 0, 7, 0, 0, 328, 84);
INSERT INTO public.who_data VALUES (77508, 55, 745, 2, 19, 328, 78);
INSERT INTO public.who_data VALUES (77509, 52, 401, 2, 3, 328, 170);
INSERT INTO public.who_data VALUES (77510, 0, 46, 0, 0, 328, 32);
INSERT INTO public.who_data VALUES (77511, 279, 4245, 2, 18, 328, 155);
INSERT INTO public.who_data VALUES (77512, 522, 8813, 18, 86, 328, 82);
INSERT INTO public.who_data VALUES (77513, 26, 190, 0, 4, 328, 16);
INSERT INTO public.who_data VALUES (77514, 0, 10, 0, 0, 328, 72);
INSERT INTO public.who_data VALUES (77515, 16, 515, 0, 4, 328, 43);
INSERT INTO public.who_data VALUES (77516, 1, 49, 0, 5, 328, 120);
INSERT INTO public.who_data VALUES (77517, 2, 26, 0, 0, 328, 213);
INSERT INTO public.who_data VALUES (77518, 0, 94, 0, 0, 328, 31);
INSERT INTO public.who_data VALUES (77519, 683, 13659, 149, 998, 328, 204);
INSERT INTO public.who_data VALUES (77520, 0, 2, 0, 0, 328, 152);
INSERT INTO public.who_data VALUES (77521, 0, 6, 0, 0, 328, 144);
INSERT INTO public.who_data VALUES (77522, 5, 22, 0, 0, 328, 96);
INSERT INTO public.who_data VALUES (77523, 1, 4, 0, 0, 328, 47);
INSERT INTO public.who_data VALUES (77524, 0, 74, 0, 0, 328, 80);
INSERT INTO public.who_data VALUES (77525, 0, 0, 0, 0, 328, 159);
INSERT INTO public.who_data VALUES (77526, 34, 359, 3, 9, 328, 27);
INSERT INTO public.who_data VALUES (77527, 0, 0, 0, 0, 328, 146);
INSERT INTO public.who_data VALUES (77528, 487, 3904, 22, 114, 328, 71);
INSERT INTO public.who_data VALUES (77529, 0, 2, 0, 0, 328, 210);
INSERT INTO public.who_data VALUES (77530, 6, 126, 0, 1, 328, 54);
INSERT INTO public.who_data VALUES (77531, 15, 346, 1, 8, 328, 147);
INSERT INTO public.who_data VALUES (77532, 76, 222, 9, 12, 328, 2);
INSERT INTO public.who_data VALUES (77533, 0, 0, 0, 0, 328, 105);
INSERT INTO public.who_data VALUES (77534, 0, 5, 0, 1, 328, 53);
INSERT INTO public.who_data VALUES (77535, 5, 107, 0, 0, 328, 81);
INSERT INTO public.who_data VALUES (77536, 22, 113, 0, 2, 328, 223);
INSERT INTO public.who_data VALUES (77537, 898, 5655, 6, 61, 328, 94);
INSERT INTO public.who_data VALUES (77538, 0, 8, 0, 1, 328, 154);
INSERT INTO public.who_data VALUES (77539, 0, 6, 0, 0, 328, 83);
INSERT INTO public.who_data VALUES (77540, 0, 5, 0, 0, 328, 194);
INSERT INTO public.who_data VALUES (77541, 0, 1909, 0, 6, 328, 136);
INSERT INTO public.who_data VALUES (77542, 114, 82455, 4, 3310, 328, 179);
INSERT INTO public.who_data VALUES (77543, 69, 608, 0, 6, 328, 57);
INSERT INTO public.who_data VALUES (77544, 0, 0, 0, 0, 328, 35);
INSERT INTO public.who_data VALUES (77545, 0, 19, 0, 0, 328, 228);
INSERT INTO public.who_data VALUES (77546, 0, 0, 0, 0, 328, 19);
INSERT INTO public.who_data VALUES (77547, 32, 295, 0, 2, 328, 22);
INSERT INTO public.who_data VALUES (77548, 25, 165, 0, 0, 328, 1);
INSERT INTO public.who_data VALUES (77549, 56, 713, 1, 6, 328, 21);
INSERT INTO public.who_data VALUES (77550, 0, 119, 0, 3, 328, 234);
INSERT INTO public.who_data VALUES (77551, 0, 7, 0, 1, 328, 91);
INSERT INTO public.who_data VALUES (77552, 35, 214, 1, 6, 328, 137);
INSERT INTO public.who_data VALUES (77553, 166, 2829, 5, 16, 328, 201);
INSERT INTO public.who_data VALUES (77554, 0, 0, 0, 0, 328, 171);
INSERT INTO public.who_data VALUES (77555, 13, 81, 2, 8, 328, 92);
INSERT INTO public.who_data VALUES (77556, 194, 2395, 7, 72, 328, 112);
INSERT INTO public.who_data VALUES (77557, 7, 26, 0, 0, 328, 62);
INSERT INTO public.who_data VALUES (77558, 0, 11, 0, 0, 328, 69);
INSERT INTO public.who_data VALUES (77559, 0, 581, 0, 20, 328, 220);
INSERT INTO public.who_data VALUES (77560, 12, 1835, 0, 8, 328, 100);
INSERT INTO public.who_data VALUES (77561, 33, 609, 4, 40, 328, 187);
INSERT INTO public.who_data VALUES (77562, 5, 24, 0, 0, 328, 63);
INSERT INTO public.who_data VALUES (77563, 7, 13, 0, 0, 328, 28);
INSERT INTO public.who_data VALUES (77564, 0, 6, 0, 0, 328, 172);
INSERT INTO public.who_data VALUES (77565, 39, 679, 2, 3, 328, 17);
INSERT INTO public.who_data VALUES (77566, 0, 9, 0, 0, 328, 226);
INSERT INTO public.who_data VALUES (77567, 5, 21, 0, 0, 328, 236);
INSERT INTO public.who_data VALUES (77568, 0, 0, 0, 0, 328, 76);
INSERT INTO public.who_data VALUES (77569, 4, 159, 0, 0, 328, 30);
INSERT INTO public.who_data VALUES (77570, 0, 5, 0, 0, 328, 128);
INSERT INTO public.who_data VALUES (77571, 0, 1218, 2, 11, 328, 86);
INSERT INTO public.who_data VALUES (77572, 2491, 39636, 291, 2602, 328, 140);
INSERT INTO public.who_data VALUES (77573, 0, 31, 0, 0, 328, 44);
INSERT INTO public.who_data VALUES (77574, 1, 35, 0, 0, 328, 113);
INSERT INTO public.who_data VALUES (77575, 0, 7, 0, 1, 328, 29);
INSERT INTO public.who_data VALUES (77576, 0, 3, 0, 1, 328, 125);
INSERT INTO public.who_data VALUES (77577, 5, 103, 0, 0, 328, 131);
INSERT INTO public.who_data VALUES (77578, 4751, 57298, 66, 455, 328, 46);
INSERT INTO public.who_data VALUES (77579, 15, 152, 0, 4, 328, 10);
INSERT INTO public.who_data VALUES (77580, 9, 65, 0, 0, 328, 205);
INSERT INTO public.who_data VALUES (77581, 95, 1156, 6, 38, 328, 50);
INSERT INTO public.who_data VALUES (77582, 0, 10, 0, 0, 328, 20);
INSERT INTO public.who_data VALUES (77583, 0, 7, 0, 0, 328, 13);
INSERT INTO public.who_data VALUES (77584, 0, 96, 0, 2, 328, 148);
INSERT INTO public.who_data VALUES (77585, 0, 56, 0, 1, 328, 230);
INSERT INTO public.who_data VALUES (77586, 2, 34, 0, 1, 328, 190);
INSERT INTO public.who_data VALUES (77587, 6, 45, 0, 0, 328, 188);
INSERT INTO public.who_data VALUES (77588, 8, 16, 0, 0, 328, 123);
INSERT INTO public.who_data VALUES (77589, 0, 2, 0, 0, 328, 9);
INSERT INTO public.who_data VALUES (77590, 0, 9, 0, 1, 328, 102);
INSERT INTO public.who_data VALUES (77591, 7, 15, 0, 0, 328, 34);
INSERT INTO public.who_data VALUES (77592, 2, 6, 0, 0, 328, 212);
INSERT INTO public.who_data VALUES (77593, 43, 110, 1, 2, 328, 122);
INSERT INTO public.who_data VALUES (77594, 39, 447, 2, 15, 328, 38);
INSERT INTO public.who_data VALUES (77595, 57, 1020, 0, 2, 328, 130);
INSERT INTO public.who_data VALUES (77596, 92, 1071, 4, 29, 328, 37);
INSERT INTO public.who_data VALUES (77597, 129, 1414, 8, 122, 328, 231);
INSERT INTO public.who_data VALUES (77598, 3186, 41495, 117, 2757, 328, 107);
INSERT INTO public.who_data VALUES (77599, 0, 547, 0, 42, 328, 101);
INSERT INTO public.who_data VALUES (77600, 200, 2615, 10, 46, 328, 132);
INSERT INTO public.who_data VALUES (77601, 10, 42, 0, 0, 328, 176);
INSERT INTO public.who_data VALUES (77602, 480, 3908, 1, 13, 328, 200);
INSERT INTO public.who_data VALUES (77603, 5217, 97689, 758, 10781, 328, 169);
INSERT INTO public.who_data VALUES (77604, 2, 32, 0, 1, 328, 225);
INSERT INTO public.who_data VALUES (77605, 173, 1866, 2, 54, 328, 165);
INSERT INTO public.who_data VALUES (77606, 2, 63, 1, 2, 328, 233);
INSERT INTO public.who_data VALUES (77607, 13, 259, 3, 4, 328, 215);
INSERT INTO public.who_data VALUES (77608, 0, 312, 0, 1, 328, 177);
INSERT INTO public.who_data VALUES (77609, 13, 38, 0, 1, 328, 183);
INSERT INTO public.who_data VALUES (77610, 0, 0, 0, 0, 328, 203);
INSERT INTO public.who_data VALUES (77611, 15, 106, 0, 1, 328, 162);
INSERT INTO public.who_data VALUES (77612, 11, 266, 0, 0, 328, 12);
INSERT INTO public.who_data VALUES (77613, 0, 84, 0, 0, 328, 24);
INSERT INTO public.who_data VALUES (77614, 2, 8, 0, 0, 328, 119);
INSERT INTO public.who_data VALUES (77615, 71, 376, 0, 0, 328, 39);
INSERT INTO public.who_data VALUES (77616, 8, 446, 1, 11, 328, 26);
INSERT INTO public.who_data VALUES (77617, 0, 0, 0, 0, 328, 59);
INSERT INTO public.who_data VALUES (77618, 0, 3, 0, 0, 328, 77);
INSERT INTO public.who_data VALUES (77619, 5, 8, 0, 0, 328, 134);
INSERT INTO public.who_data VALUES (77620, 2, 65, 0, 0, 328, 4);
INSERT INTO public.who_data VALUES (77621, 46, 424, 0, 7, 328, 109);
INSERT INTO public.who_data VALUES (77622, 119, 1950, 3, 21, 328, 90);
INSERT INTO public.who_data VALUES (77623, 7, 44, 0, 0, 328, 61);
INSERT INTO public.who_data VALUES (77624, 0, 0, 0, 0, 328, 85);
INSERT INTO public.who_data VALUES (77625, 150, 2470, 7, 34, 328, 49);
INSERT INTO public.who_data VALUES (77626, 1, 17, 0, 0, 328, 208);
INSERT INTO public.who_data VALUES (77627, 0, 18, 0, 0, 328, 166);
INSERT INTO public.who_data VALUES (77628, 2, 151, 0, 0, 328, 64);
INSERT INTO public.who_data VALUES (77629, 0, 0, 0, 0, 328, 199);
INSERT INTO public.who_data VALUES (77630, 12, 105, 1, 2, 328, 114);
INSERT INTO public.who_data VALUES (77631, 0, 5, 0, 0, 328, 60);
INSERT INTO public.who_data VALUES (77632, 0, 102, 0, 2, 328, 68);
INSERT INTO public.who_data VALUES (77633, 32, 82, 0, 0, 328, 158);
INSERT INTO public.who_data VALUES (77634, 131, 848, 4, 16, 328, 52);
INSERT INTO public.who_data VALUES (77635, 0, 0, 0, 0, 328, 117);
INSERT INTO public.who_data VALUES (77636, 2, 35, 0, 0, 328, 126);
INSERT INTO public.who_data VALUES (77637, 0, 12, 0, 0, 328, 196);
INSERT INTO public.who_data VALUES (77638, 14, 105, 0, 2, 328, 142);
INSERT INTO public.who_data VALUES (77639, 0, 5, 0, 0, 328, 185);
INSERT INTO public.who_data VALUES (77640, 66, 516, 3, 29, 328, 138);
INSERT INTO public.who_data VALUES (77641, 0, 8, 0, 0, 328, 181);
INSERT INTO public.who_data VALUES (77642, 2, 10, 0, 0, 328, 178);
INSERT INTO public.who_data VALUES (77643, 0, 11, 0, 0, 328, 168);
INSERT INTO public.who_data VALUES (77644, 0, 0, 0, 0, 328, 160);
INSERT INTO public.who_data VALUES (77645, 0, 5, 0, 0, 328, 151);
INSERT INTO public.who_data VALUES (77646, 1092, 10742, 122, 752, 328, 193);
INSERT INTO public.who_data VALUES (77647, 0, 15, 0, 0, 328, 18);
INSERT INTO public.who_data VALUES (77648, 76, 552, 0, 1, 328, 40);
INSERT INTO public.who_data VALUES (77649, 0, 4, 0, 1, 328, 218);
INSERT INTO public.who_data VALUES (77650, 10, 20, 2, 3, 328, 191);
INSERT INTO public.who_data VALUES (77651, 0, 65, 0, 1, 328, 156);
INSERT INTO public.who_data VALUES (77652, 0, 0, 0, 0, 328, 135);
INSERT INTO public.who_data VALUES (77653, 0, 2, 0, 0, 328, 88);
INSERT INTO public.who_data VALUES (77654, 44, 285, 3, 7, 328, 55);
INSERT INTO public.who_data VALUES (77655, 257, 4102, 2, 22, 328, 108);
INSERT INTO public.who_data VALUES (77656, 9, 115, 0, 1, 328, 48);
INSERT INTO public.who_data VALUES (77657, 12, 179, 0, 0, 328, 3);
INSERT INTO public.who_data VALUES (77658, 0, 712, 0, 10, 328, 224);
INSERT INTO public.who_data VALUES (77659, 99, 1625, 5, 18, 328, 110);
INSERT INTO public.who_data VALUES (77660, 0, 0, 0, 0, 328, 106);
INSERT INTO public.who_data VALUES (77661, 115, 901, 3, 17, 328, 89);
INSERT INTO public.who_data VALUES (77662, 0, 1, 0, 0, 328, 121);
INSERT INTO public.who_data VALUES (77663, 3, 59, 0, 3, 328, 163);
INSERT INTO public.who_data VALUES (77664, 36, 671, 0, 11, 328, 70);
INSERT INTO public.who_data VALUES (77665, 471, 1546, 10, 78, 328, 174);
INSERT INTO public.who_data VALUES (77666, 0, 0, 0, 0, 328, 175);
INSERT INTO public.who_data VALUES (77667, 224, 1862, 4, 22, 328, 118);
INSERT INTO public.who_data VALUES (77668, 792, 5962, 19, 119, 328, 189);
INSERT INTO public.who_data VALUES (77669, 0, 64, 0, 2, 328, 124);
INSERT INTO public.who_data VALUES (77670, 44, 634, 1, 1, 328, 192);
INSERT INTO public.who_data VALUES (77671, 78, 9661, 6, 158, 328, 41);
INSERT INTO public.who_data VALUES (77672, 32, 263, 0, 2, 328, 95);
INSERT INTO public.who_data VALUES (77673, 64, 207, 0, 0, 328, 74);
INSERT INTO public.who_data VALUES (77674, 308, 1760, 11, 40, 328, 11);
INSERT INTO public.who_data VALUES (77675, 303, 1837, 1, 9, 328, 87);
INSERT INTO public.who_data VALUES (77676, 10, 70, 0, 0, 328, 214);
INSERT INTO public.who_data VALUES (77677, 0, 0, 0, 0, 328, 116);
INSERT INTO public.who_data VALUES (77678, 0, 5, 0, 0, 328, 157);
INSERT INTO public.who_data VALUES (77679, 0, 0, 0, 0, 328, 182);
INSERT INTO public.who_data VALUES (77680, 0, 2, 0, 0, 328, 186);
INSERT INTO public.who_data VALUES (77681, 1, 4, 0, 0, 328, 127);
INSERT INTO public.who_data VALUES (77682, 0, 12, 0, 0, 328, 232);
INSERT INTO public.who_data VALUES (77683, 0, 0, 0, 0, 328, 33);
INSERT INTO public.who_data VALUES (77684, 0, 1, 0, 0, 328, 97);
INSERT INTO public.who_data VALUES (77685, 0, 0, 0, 0, 328, 42);
INSERT INTO public.who_data VALUES (77686, 2, 230, 3, 25, 328, 198);
INSERT INTO public.who_data VALUES (77687, 0, 0, 0, 0, 328, 216);
INSERT INTO public.who_data VALUES (77688, 154, 1453, 0, 8, 328, 164);
INSERT INTO public.who_data VALUES (77689, 12, 142, 0, 0, 328, 235);
INSERT INTO public.who_data VALUES (77690, 82, 741, 3, 13, 328, 67);
INSERT INTO public.who_data VALUES (77691, 0, 8, 0, 0, 328, 15);
INSERT INTO public.who_data VALUES (77692, 0, 0, 0, 0, 328, 180);
INSERT INTO public.who_data VALUES (77693, 42, 844, 1, 3, 328, 237);
INSERT INTO public.who_data VALUES (77694, 0, 0, 0, 0, 328, 25);
INSERT INTO public.who_data VALUES (77695, 0, 3, 0, 0, 328, 209);
INSERT INTO public.who_data VALUES (77696, 0, 295, 0, 0, 328, 217);
INSERT INTO public.who_data VALUES (77697, 47, 733, 2, 12, 328, 79);
INSERT INTO public.who_data VALUES (77698, 0, 0, 0, 0, 328, 143);
INSERT INTO public.who_data VALUES (77699, 0, 3, 0, 0, 328, 229);
INSERT INTO public.who_data VALUES (77700, 93, 1280, 0, 1, 328, 141);
INSERT INTO public.who_data VALUES (77701, 0, 0, 0, 0, 328, 197);
INSERT INTO public.who_data VALUES (77702, 7095, 103336, 840, 7767, 328, 221);
INSERT INTO public.who_data VALUES (77703, 5, 120, 0, 1, 328, 150);
INSERT INTO public.who_data VALUES (77704, 1, 6, 1, 2, 328, 56);
INSERT INTO public.who_data VALUES (77705, 0, 8, 0, 0, 328, 167);
INSERT INTO public.who_data VALUES (77706, 300, 3664, 35, 201, 328, 23);
INSERT INTO public.who_data VALUES (77707, 432, 16599, 46, 381, 328, 222);
INSERT INTO public.who_data VALUES (77708, 0, 9, 0, 1, 328, 219);
INSERT INTO public.who_data VALUES (77709, 0, 0, 0, 0, 328, 7);
INSERT INTO public.who_data VALUES (77710, 136, 1524, 2, 9, 328, 161);
INSERT INTO public.who_data VALUES (77711, 2822, 26827, 212, 1676, 328, 149);
INSERT INTO public.who_data VALUES (77712, 0, 1, 0, 0, 328, 6);
INSERT INTO public.who_data VALUES (77713, 0, 28, 0, 1, 328, 139);
INSERT INTO public.who_data VALUES (77714, 0, 0, 0, 0, 328, 211);
INSERT INTO public.who_data VALUES (77715, 0, 0, 0, 0, 328, 14);
INSERT INTO public.who_data VALUES (77716, 2, 76, 1, 3, 328, 111);
INSERT INTO public.who_data VALUES (77717, 34, 312, 0, 8, 328, 207);
INSERT INTO public.who_data VALUES (77718, 1869, 9271, 23, 131, 328, 66);
INSERT INTO public.who_data VALUES (77719, 0, 0, 0, 0, 328, 173);
INSERT INTO public.who_data VALUES (77720, 2, 4, 0, 0, 328, 145);
INSERT INTO public.who_data VALUES (77721, 0, 0, 0, 0, 328, 65);
INSERT INTO public.who_data VALUES (77722, 3, 33, 0, 0, 328, 184);
INSERT INTO public.who_data VALUES (77723, 62, 480, 2, 11, 328, 98);
INSERT INTO public.who_data VALUES (77724, 143, 611, 3, 5, 328, 104);
INSERT INTO public.who_data VALUES (77725, 5, 19, 0, 0, 328, 73);
INSERT INTO public.who_data VALUES (77726, 19332, 122653, 444, 2112, 328, 8);
INSERT INTO public.who_data VALUES (77727, 5, 22, 0, 0, 328, 227);
INSERT INTO public.who_data VALUES (77728, 29, 303, 0, 0, 328, 75);
INSERT INTO public.who_data VALUES (77729, 5, 149, 0, 2, 328, 45);
INSERT INTO public.who_data VALUES (77730, 0, 0, 0, 0, 328, 133);
INSERT INTO public.who_data VALUES (77731, 0, 113, 0, 2, 328, 202);
INSERT INTO public.who_data VALUES (77732, 15, 194, 0, 0, 328, 129);
INSERT INTO public.who_data VALUES (77733, 0, 0, 0, 0, 328, 36);
INSERT INTO public.who_data VALUES (77734, 0, 0, 0, 0, 328, 51);
INSERT INTO public.who_data VALUES (77735, 19, 35, 0, 0, 328, 206);
INSERT INTO public.who_data VALUES (77736, 0, 5, 0, 1, 328, 5);
INSERT INTO public.who_data VALUES (77737, 8, 114, 1, 4, 329, 103);
INSERT INTO public.who_data VALUES (77738, 15, 174, 1, 9, 329, 58);
INSERT INTO public.who_data VALUES (77739, 42, 409, 1, 26, 329, 195);
INSERT INTO public.who_data VALUES (77740, 0, 0, 0, 0, 329, 115);
INSERT INTO public.who_data VALUES (77741, 20, 341, 2, 6, 329, 99);
INSERT INTO public.who_data VALUES (77742, 0, 2, 0, 0, 329, 153);
INSERT INTO public.who_data VALUES (77743, 0, 2, 0, 0, 329, 93);
INSERT INTO public.who_data VALUES (77744, 0, 7, 0, 0, 329, 84);
INSERT INTO public.who_data VALUES (77745, 101, 690, 5, 17, 329, 78);
INSERT INTO public.who_data VALUES (77746, 43, 349, 0, 1, 329, 170);
INSERT INTO public.who_data VALUES (77747, 18, 46, 0, 0, 329, 32);
INSERT INTO public.who_data VALUES (77748, 331, 3966, 2, 16, 329, 155);
INSERT INTO public.who_data VALUES (77749, 594, 8291, 0, 68, 329, 82);
INSERT INTO public.who_data VALUES (77750, 17, 164, 1, 4, 329, 16);
INSERT INTO public.who_data VALUES (77751, 1, 10, 0, 0, 329, 72);
INSERT INTO public.who_data VALUES (77752, 26, 499, 0, 4, 329, 43);
INSERT INTO public.who_data VALUES (77753, 0, 48, 0, 5, 329, 120);
INSERT INTO public.who_data VALUES (77754, 0, 24, 0, 0, 329, 213);
INSERT INTO public.who_data VALUES (77755, 0, 94, 0, 0, 329, 31);
INSERT INTO public.who_data VALUES (77756, 844, 12976, 141, 849, 329, 204);
INSERT INTO public.who_data VALUES (77757, 0, 2, 0, 0, 329, 152);
INSERT INTO public.who_data VALUES (77758, 0, 6, 0, 0, 329, 144);
INSERT INTO public.who_data VALUES (77759, 2, 17, 0, 0, 329, 96);
INSERT INTO public.who_data VALUES (77760, 0, 3, 0, 0, 329, 47);
INSERT INTO public.who_data VALUES (77761, 13, 74, 0, 0, 329, 80);
INSERT INTO public.who_data VALUES (77762, 0, 0, 0, 0, 329, 159);
INSERT INTO public.who_data VALUES (77763, 56, 325, 0, 6, 329, 27);
INSERT INTO public.who_data VALUES (77764, 0, 0, 0, 0, 329, 146);
INSERT INTO public.who_data VALUES (77765, 502, 3417, 15, 92, 329, 71);
INSERT INTO public.who_data VALUES (77766, 0, 2, 0, 0, 329, 210);
INSERT INTO public.who_data VALUES (77767, 5, 120, 0, 1, 329, 54);
INSERT INTO public.who_data VALUES (77768, 38, 331, 4, 7, 329, 147);
INSERT INTO public.who_data VALUES (77769, 0, 146, 0, 3, 329, 2);
INSERT INTO public.who_data VALUES (77770, 0, 0, 0, 0, 329, 105);
INSERT INTO public.who_data VALUES (77771, 0, 5, 0, 1, 329, 53);
INSERT INTO public.who_data VALUES (77772, 0, 102, 0, 0, 329, 81);
INSERT INTO public.who_data VALUES (77773, 16, 91, 1, 2, 329, 223);
INSERT INTO public.who_data VALUES (77774, 739, 4757, 16, 55, 329, 94);
INSERT INTO public.who_data VALUES (77775, 0, 8, 0, 1, 329, 154);
INSERT INTO public.who_data VALUES (77776, 0, 6, 0, 0, 329, 83);
INSERT INTO public.who_data VALUES (77777, 0, 5, 0, 0, 329, 194);
INSERT INTO public.who_data VALUES (77778, 299, 1909, 1, 6, 329, 136);
INSERT INTO public.who_data VALUES (77779, 128, 82341, 5, 3306, 329, 179);
INSERT INTO public.who_data VALUES (77780, 48, 539, 0, 6, 329, 57);
INSERT INTO public.who_data VALUES (77781, 0, 0, 0, 0, 329, 35);
INSERT INTO public.who_data VALUES (77782, 0, 19, 0, 0, 329, 228);
INSERT INTO public.who_data VALUES (77783, 0, 0, 0, 0, 329, 19);
INSERT INTO public.who_data VALUES (77784, 32, 263, 0, 2, 329, 22);
INSERT INTO public.who_data VALUES (77785, 48, 140, 0, 0, 329, 1);
INSERT INTO public.who_data VALUES (77786, 71, 657, 2, 5, 329, 21);
INSERT INTO public.who_data VALUES (77787, 39, 119, 1, 3, 329, 234);
INSERT INTO public.who_data VALUES (77788, 0, 7, 0, 1, 329, 91);
INSERT INTO public.who_data VALUES (77789, 17, 179, 0, 5, 329, 137);
INSERT INTO public.who_data VALUES (77790, 384, 2663, 2, 11, 329, 201);
INSERT INTO public.who_data VALUES (77791, 0, 0, 0, 0, 329, 171);
INSERT INTO public.who_data VALUES (77792, 10, 68, 1, 6, 329, 92);
INSERT INTO public.who_data VALUES (77793, 155, 2201, 13, 65, 329, 112);
INSERT INTO public.who_data VALUES (77794, 4, 19, 0, 0, 329, 62);
INSERT INTO public.who_data VALUES (77795, 0, 11, 0, 0, 329, 69);
INSERT INTO public.who_data VALUES (77796, 0, 581, 0, 20, 329, 220);
INSERT INTO public.who_data VALUES (77797, 228, 1823, 0, 8, 329, 100);
INSERT INTO public.who_data VALUES (77798, 40, 576, 6, 36, 329, 187);
INSERT INTO public.who_data VALUES (77799, 6, 19, 0, 0, 329, 63);
INSERT INTO public.who_data VALUES (77800, 0, 6, 0, 0, 329, 28);
INSERT INTO public.who_data VALUES (77801, 0, 6, 0, 0, 329, 172);
INSERT INTO public.who_data VALUES (77802, 65, 640, 0, 1, 329, 17);
INSERT INTO public.who_data VALUES (77803, 0, 9, 0, 0, 329, 226);
INSERT INTO public.who_data VALUES (77804, 0, 16, 0, 0, 329, 236);
INSERT INTO public.who_data VALUES (77805, 0, 0, 0, 0, 329, 76);
INSERT INTO public.who_data VALUES (77806, 11, 155, 0, 0, 329, 30);
INSERT INTO public.who_data VALUES (77807, 0, 5, 0, 0, 329, 128);
INSERT INTO public.who_data VALUES (77808, 193, 1218, 2, 9, 329, 86);
INSERT INTO public.who_data VALUES (77809, 4611, 37145, 319, 2311, 329, 140);
INSERT INTO public.who_data VALUES (77810, 0, 31, 0, 0, 329, 44);
INSERT INTO public.who_data VALUES (77811, 4, 34, 0, 0, 329, 113);
INSERT INTO public.who_data VALUES (77812, 0, 7, 0, 1, 329, 29);
INSERT INTO public.who_data VALUES (77813, 1, 3, 0, 1, 329, 125);
INSERT INTO public.who_data VALUES (77814, 8, 98, 0, 0, 329, 131);
INSERT INTO public.who_data VALUES (77815, 3965, 52547, 64, 389, 329, 46);
INSERT INTO public.who_data VALUES (77816, 0, 137, 0, 4, 329, 10);
INSERT INTO public.who_data VALUES (77817, 1, 56, 0, 0, 329, 205);
INSERT INTO public.who_data VALUES (77818, 95, 1061, 4, 32, 329, 50);
INSERT INTO public.who_data VALUES (77819, 1, 10, 0, 0, 329, 20);
INSERT INTO public.who_data VALUES (77820, 0, 7, 0, 0, 329, 13);
INSERT INTO public.who_data VALUES (77821, 0, 96, 0, 2, 329, 148);
INSERT INTO public.who_data VALUES (77822, 5, 56, 0, 1, 329, 230);
INSERT INTO public.who_data VALUES (77823, 7, 32, 0, 1, 329, 190);
INSERT INTO public.who_data VALUES (77824, 3, 39, 0, 0, 329, 188);
INSERT INTO public.who_data VALUES (77825, 0, 8, 0, 0, 329, 123);
INSERT INTO public.who_data VALUES (77826, 0, 2, 0, 0, 329, 9);
INSERT INTO public.who_data VALUES (77827, 0, 9, 0, 1, 329, 102);
INSERT INTO public.who_data VALUES (77828, 0, 8, 0, 0, 329, 34);
INSERT INTO public.who_data VALUES (77829, 0, 4, 0, 0, 329, 212);
INSERT INTO public.who_data VALUES (77830, 0, 67, 0, 1, 329, 122);
INSERT INTO public.who_data VALUES (77831, 65, 408, 2, 13, 329, 38);
INSERT INTO public.who_data VALUES (77832, 73, 963, 0, 2, 329, 130);
INSERT INTO public.who_data VALUES (77833, 255, 979, 8, 25, 329, 37);
INSERT INTO public.who_data VALUES (77834, 239, 1285, 27, 114, 329, 231);
INSERT INTO public.who_data VALUES (77835, 2901, 38309, 123, 2640, 329, 107);
INSERT INTO public.who_data VALUES (77836, 41, 547, 0, 42, 329, 101);
INSERT INTO public.who_data VALUES (77837, 294, 2415, 14, 36, 329, 132);
INSERT INTO public.who_data VALUES (77838, 3, 32, 0, 0, 329, 176);
INSERT INTO public.who_data VALUES (77839, 433, 3428, 2, 12, 329, 200);
INSERT INTO public.who_data VALUES (77840, 5974, 92472, 887, 10023, 329, 169);
INSERT INTO public.who_data VALUES (77841, 4, 30, 0, 1, 329, 225);
INSERT INTO public.who_data VALUES (77842, 194, 1693, 3, 52, 329, 165);
INSERT INTO public.who_data VALUES (77843, 9, 61, 0, 1, 329, 233);
INSERT INTO public.who_data VALUES (77844, 11, 246, 0, 1, 329, 215);
INSERT INTO public.who_data VALUES (77845, 28, 312, 0, 1, 329, 177);
INSERT INTO public.who_data VALUES (77846, 0, 25, 0, 1, 329, 183);
INSERT INTO public.who_data VALUES (77847, 0, 0, 0, 0, 329, 203);
INSERT INTO public.who_data VALUES (77848, 0, 91, 0, 1, 329, 162);
INSERT INTO public.who_data VALUES (77849, 20, 255, 0, 0, 329, 12);
INSERT INTO public.who_data VALUES (77850, 26, 84, 0, 0, 329, 24);
INSERT INTO public.who_data VALUES (77851, 0, 6, 0, 0, 329, 119);
INSERT INTO public.who_data VALUES (77852, 25, 305, 0, 0, 329, 39);
INSERT INTO public.who_data VALUES (77853, 26, 438, 2, 10, 329, 26);
INSERT INTO public.who_data VALUES (77854, 0, 0, 0, 0, 329, 59);
INSERT INTO public.who_data VALUES (77855, 0, 3, 0, 0, 329, 77);
INSERT INTO public.who_data VALUES (77856, 2, 3, 0, 0, 329, 134);
INSERT INTO public.who_data VALUES (77857, 1, 63, 0, 0, 329, 4);
INSERT INTO public.who_data VALUES (77858, 39, 378, 2, 7, 329, 109);
INSERT INTO public.who_data VALUES (77859, 226, 1831, 3, 18, 329, 90);
INSERT INTO public.who_data VALUES (77860, 11, 37, 0, 0, 329, 61);
INSERT INTO public.who_data VALUES (77861, 0, 0, 0, 0, 329, 85);
INSERT INTO public.who_data VALUES (77862, 159, 2320, 1, 27, 329, 49);
INSERT INTO public.who_data VALUES (77863, -1, 16, 0, 0, 329, 208);
INSERT INTO public.who_data VALUES (77864, 9, 18, 0, 0, 329, 166);
INSERT INTO public.who_data VALUES (77865, 10, 149, 0, 0, 329, 64);
INSERT INTO public.who_data VALUES (77866, 0, 0, 0, 0, 329, 199);
INSERT INTO public.who_data VALUES (77867, 0, 93, 0, 1, 329, 114);
INSERT INTO public.who_data VALUES (77868, 0, 5, 0, 0, 329, 60);
INSERT INTO public.who_data VALUES (77869, 6, 102, 0, 2, 329, 68);
INSERT INTO public.who_data VALUES (77870, 0, 50, 0, 0, 329, 158);
INSERT INTO public.who_data VALUES (77871, 128, 717, 4, 12, 329, 52);
INSERT INTO public.who_data VALUES (77872, 0, 0, 0, 0, 329, 117);
INSERT INTO public.who_data VALUES (77873, 1, 33, 0, 0, 329, 126);
INSERT INTO public.who_data VALUES (77874, 0, 12, 0, 0, 329, 196);
INSERT INTO public.who_data VALUES (77875, 6, 91, 1, 2, 329, 142);
INSERT INTO public.who_data VALUES (77876, 0, 5, 0, 0, 329, 185);
INSERT INTO public.who_data VALUES (77877, 92, 450, 3, 26, 329, 138);
INSERT INTO public.who_data VALUES (77878, 1, 8, 0, 0, 329, 181);
INSERT INTO public.who_data VALUES (77879, 3, 8, 0, 0, 329, 178);
INSERT INTO public.who_data VALUES (77880, 3, 11, 0, 0, 329, 168);
INSERT INTO public.who_data VALUES (77881, 0, 0, 0, 0, 329, 160);
INSERT INTO public.who_data VALUES (77882, 2, 5, 0, 0, 329, 151);
INSERT INTO public.who_data VALUES (77883, 1146, 9650, 89, 630, 329, 193);
INSERT INTO public.who_data VALUES (77884, 0, 15, 0, 0, 329, 18);
INSERT INTO public.who_data VALUES (77885, 60, 476, 1, 1, 329, 40);
INSERT INTO public.who_data VALUES (77886, 2, 4, 0, 1, 329, 218);
INSERT INTO public.who_data VALUES (77887, 0, 10, 0, 1, 329, 191);
INSERT INTO public.who_data VALUES (77888, 0, 65, 0, 1, 329, 156);
INSERT INTO public.who_data VALUES (77889, 0, 0, 0, 0, 329, 135);
INSERT INTO public.who_data VALUES (77890, 2, 2, 0, 0, 329, 88);
INSERT INTO public.who_data VALUES (77891, 0, 241, 0, 4, 329, 55);
INSERT INTO public.who_data VALUES (77892, 264, 3845, 4, 20, 329, 108);
INSERT INTO public.who_data VALUES (77893, 9, 106, 0, 1, 329, 48);
INSERT INTO public.who_data VALUES (77894, 15, 167, 0, 0, 329, 3);
INSERT INTO public.who_data VALUES (77895, 0, 712, 0, 10, 329, 224);
INSERT INTO public.who_data VALUES (77896, 118, 1526, 2, 13, 329, 110);
INSERT INTO public.who_data VALUES (77897, 0, 0, 0, 0, 329, 106);
INSERT INTO public.who_data VALUES (77898, 112, 786, 5, 14, 329, 89);
INSERT INTO public.who_data VALUES (77899, 0, 1, 0, 0, 329, 121);
INSERT INTO public.who_data VALUES (77900, 4, 56, 0, 3, 329, 163);
INSERT INTO public.who_data VALUES (77901, 55, 635, 2, 11, 329, 70);
INSERT INTO public.who_data VALUES (77902, 0, 1075, 0, 68, 329, 174);
INSERT INTO public.who_data VALUES (77903, 0, 0, 0, 0, 329, 175);
INSERT INTO public.who_data VALUES (77904, 249, 1638, 2, 18, 329, 118);
INSERT INTO public.who_data VALUES (77905, 902, 5170, 24, 100, 329, 189);
INSERT INTO public.who_data VALUES (77906, 0, 64, 0, 2, 329, 124);
INSERT INTO public.who_data VALUES (77907, 28, 590, 0, 0, 329, 192);
INSERT INTO public.who_data VALUES (77908, 105, 9583, 8, 152, 329, 41);
INSERT INTO public.who_data VALUES (77909, 32, 231, 0, 2, 329, 95);
INSERT INTO public.who_data VALUES (77910, 0, 143, 0, 0, 329, 74);
INSERT INTO public.who_data VALUES (77911, 160, 1452, 5, 29, 329, 11);
INSERT INTO public.who_data VALUES (77912, 270, 1534, 4, 8, 329, 87);
INSERT INTO public.who_data VALUES (77913, 6, 60, 0, 0, 329, 214);
INSERT INTO public.who_data VALUES (77914, 0, 0, 0, 0, 329, 116);
INSERT INTO public.who_data VALUES (77915, 0, 5, 0, 0, 329, 157);
INSERT INTO public.who_data VALUES (77916, 0, 0, 0, 0, 329, 182);
INSERT INTO public.who_data VALUES (77917, 0, 2, 0, 0, 329, 186);
INSERT INTO public.who_data VALUES (77918, 0, 3, 0, 0, 329, 127);
INSERT INTO public.who_data VALUES (77919, 0, 12, 0, 0, 329, 232);
INSERT INTO public.who_data VALUES (77920, 0, 0, 0, 0, 329, 33);
INSERT INTO public.who_data VALUES (77921, 0, 1, 0, 0, 329, 97);
INSERT INTO public.who_data VALUES (77922, 0, 0, 0, 0, 329, 42);
INSERT INTO public.who_data VALUES (77923, 0, 228, 0, 22, 329, 198);
INSERT INTO public.who_data VALUES (77924, 0, 0, 0, 0, 329, 216);
INSERT INTO public.who_data VALUES (77925, 96, 1299, 4, 8, 329, 164);
INSERT INTO public.who_data VALUES (77926, 11, 130, 0, 0, 329, 235);
INSERT INTO public.who_data VALUES (77927, 131, 659, 3, 10, 329, 67);
INSERT INTO public.who_data VALUES (77928, 1, 8, 0, 0, 329, 15);
INSERT INTO public.who_data VALUES (77929, 0, 0, 0, 0, 329, 180);
INSERT INTO public.who_data VALUES (77930, 70, 802, 0, 2, 329, 237);
INSERT INTO public.who_data VALUES (77931, 0, 0, 0, 0, 329, 25);
INSERT INTO public.who_data VALUES (77932, 0, 3, 0, 0, 329, 209);
INSERT INTO public.who_data VALUES (77933, 69, 295, 0, 0, 329, 217);
INSERT INTO public.who_data VALUES (77934, 52, 686, 2, 10, 329, 79);
INSERT INTO public.who_data VALUES (77935, 0, 0, 0, 0, 329, 143);
INSERT INTO public.who_data VALUES (77936, 0, 3, 0, 0, 329, 229);
INSERT INTO public.who_data VALUES (77937, 17, 1187, 0, 1, 329, 141);
INSERT INTO public.who_data VALUES (77938, 0, 0, 0, 0, 329, 197);
INSERT INTO public.who_data VALUES (77939, 9107, 96241, 909, 6927, 329, 221);
INSERT INTO public.who_data VALUES (77940, 9, 115, 1, 1, 329, 150);
INSERT INTO public.who_data VALUES (77941, 0, 5, 0, 1, 329, 56);
INSERT INTO public.who_data VALUES (77942, 0, 8, 0, 0, 329, 167);
INSERT INTO public.who_data VALUES (77943, 365, 3364, 32, 166, 329, 23);
INSERT INTO public.who_data VALUES (77944, 722, 16167, 57, 335, 329, 222);
INSERT INTO public.who_data VALUES (77945, 4, 9, 1, 1, 329, 219);
INSERT INTO public.who_data VALUES (77946, 0, 0, 0, 0, 329, 7);
INSERT INTO public.who_data VALUES (77947, 252, 1388, 2, 7, 329, 161);
INSERT INTO public.who_data VALUES (77948, 3197, 24005, 292, 1464, 329, 149);
INSERT INTO public.who_data VALUES (77949, 0, 1, 0, 0, 329, 6);
INSERT INTO public.who_data VALUES (77950, 3, 28, 1, 1, 329, 139);
INSERT INTO public.who_data VALUES (77951, 0, 0, 0, 0, 329, 211);
INSERT INTO public.who_data VALUES (77952, 0, 0, 0, 0, 329, 14);
INSERT INTO public.who_data VALUES (77953, 8, 74, 0, 2, 329, 111);
INSERT INTO public.who_data VALUES (77954, 51, 278, 2, 8, 329, 207);
INSERT INTO public.who_data VALUES (77955, 1704, 7402, 16, 108, 329, 66);
INSERT INTO public.who_data VALUES (77956, 0, 0, 0, 0, 329, 173);
INSERT INTO public.who_data VALUES (77957, 0, 2, 0, 0, 329, 145);
INSERT INTO public.who_data VALUES (77958, 0, 0, 0, 0, 329, 65);
INSERT INTO public.who_data VALUES (77959, 16, 30, 0, 0, 329, 184);
INSERT INTO public.who_data VALUES (77960, 107, 418, 1, 9, 329, 98);
INSERT INTO public.who_data VALUES (77961, 0, 468, 0, 2, 329, 104);
INSERT INTO public.who_data VALUES (77962, 1, 14, 0, 0, 329, 73);
INSERT INTO public.who_data VALUES (77963, 18093, 103321, 425, 1668, 329, 8);
INSERT INTO public.who_data VALUES (77964, 0, 17, 0, 0, 329, 227);
INSERT INTO public.who_data VALUES (77965, 36, 274, 0, 0, 329, 75);
INSERT INTO public.who_data VALUES (77966, 40, 144, 1, 2, 329, 45);
INSERT INTO public.who_data VALUES (77967, 0, 0, 0, 0, 329, 133);
INSERT INTO public.who_data VALUES (77968, 7, 113, 2, 2, 329, 202);
INSERT INTO public.who_data VALUES (77969, 10, 179, 0, 0, 329, 129);
INSERT INTO public.who_data VALUES (77970, 0, 0, 0, 0, 329, 36);
INSERT INTO public.who_data VALUES (77971, 0, 0, 0, 0, 329, 51);
INSERT INTO public.who_data VALUES (77972, 3, 16, 0, 0, 329, 206);
INSERT INTO public.who_data VALUES (77973, 0, 5, 0, 1, 329, 5);
INSERT INTO public.who_data VALUES (77974, 15, 106, 1, 3, 330, 103);
INSERT INTO public.who_data VALUES (77975, 11, 159, 1, 8, 330, 58);
INSERT INTO public.who_data VALUES (77976, 62, 367, 4, 25, 330, 195);
INSERT INTO public.who_data VALUES (77977, 0, 0, 0, 0, 330, 115);
INSERT INTO public.who_data VALUES (77978, 32, 321, 1, 4, 330, 99);
INSERT INTO public.who_data VALUES (77979, 0, 2, 0, 0, 330, 153);
INSERT INTO public.who_data VALUES (77980, 0, 2, 0, 0, 330, 93);
INSERT INTO public.who_data VALUES (77981, 4, 7, 0, 0, 330, 84);
INSERT INTO public.who_data VALUES (77982, 87, 589, 4, 12, 330, 78);
INSERT INTO public.who_data VALUES (77983, 39, 306, 0, 1, 330, 170);
INSERT INTO public.who_data VALUES (77984, 9, 28, 0, 0, 330, 32);
INSERT INTO public.who_data VALUES (77985, 650, 3635, 1, 14, 330, 155);
INSERT INTO public.who_data VALUES (77986, 668, 7697, 16, 68, 330, 82);
INSERT INTO public.who_data VALUES (77987, 25, 147, 0, 3, 330, 16);
INSERT INTO public.who_data VALUES (77988, 4, 9, 0, 0, 330, 72);
INSERT INTO public.who_data VALUES (77989, 7, 473, 0, 4, 330, 43);
INSERT INTO public.who_data VALUES (77990, 0, 48, 0, 5, 330, 120);
INSERT INTO public.who_data VALUES (77991, 6, 24, 0, 0, 330, 213);
INSERT INTO public.who_data VALUES (77992, 0, 94, 0, 0, 330, 31);
INSERT INTO public.who_data VALUES (77993, 1518, 12132, 128, 708, 330, 204);
INSERT INTO public.who_data VALUES (77994, 0, 2, 0, 0, 330, 152);
INSERT INTO public.who_data VALUES (77995, 0, 6, 0, 0, 330, 144);
INSERT INTO public.who_data VALUES (77996, 8, 15, 0, 0, 330, 96);
INSERT INTO public.who_data VALUES (77997, 0, 3, 0, 0, 330, 47);
INSERT INTO public.who_data VALUES (77998, 22, 61, 0, 0, 330, 80);
INSERT INTO public.who_data VALUES (77999, 0, 0, 0, 0, 330, 159);
INSERT INTO public.who_data VALUES (78000, 36, 269, 2, 6, 330, 27);
INSERT INTO public.who_data VALUES (78001, 0, 0, 0, 0, 330, 146);
INSERT INTO public.who_data VALUES (78002, 482, 2915, 20, 77, 330, 71);
INSERT INTO public.who_data VALUES (78003, 0, 2, 0, 0, 330, 210);
INSERT INTO public.who_data VALUES (78004, 1, 115, 1, 1, 330, 54);
INSERT INTO public.who_data VALUES (78005, 29, 293, 0, 3, 330, 147);
INSERT INTO public.who_data VALUES (78006, 0, 146, 0, 3, 330, 2);
INSERT INTO public.who_data VALUES (78007, 0, 0, 0, 0, 330, 105);
INSERT INTO public.who_data VALUES (78008, 2, 5, 1, 1, 330, 53);
INSERT INTO public.who_data VALUES (78009, 4, 102, 0, 0, 330, 81);
INSERT INTO public.who_data VALUES (78010, 0, 75, 0, 1, 330, 223);
INSERT INTO public.who_data VALUES (78011, 463, 4018, 4, 39, 330, 94);
INSERT INTO public.who_data VALUES (78012, 0, 8, 0, 1, 330, 154);
INSERT INTO public.who_data VALUES (78013, 1, 6, 0, 0, 330, 83);
INSERT INTO public.who_data VALUES (78014, 0, 5, 0, 0, 330, 194);
INSERT INTO public.who_data VALUES (78015, 304, 1610, 1, 5, 330, 136);
INSERT INTO public.who_data VALUES (78016, 120, 82213, 3, 3301, 330, 179);
INSERT INTO public.who_data VALUES (78017, 21, 491, 2, 6, 330, 57);
INSERT INTO public.who_data VALUES (78018, 0, 0, 0, 0, 330, 35);
INSERT INTO public.who_data VALUES (78019, 15, 19, 0, 0, 330, 228);
INSERT INTO public.who_data VALUES (78020, 0, 0, 0, 0, 330, 19);
INSERT INTO public.who_data VALUES (78021, 30, 231, 0, 2, 330, 22);
INSERT INTO public.who_data VALUES (78022, 12, 92, 0, 0, 330, 1);
INSERT INTO public.who_data VALUES (78023, 91, 586, 1, 3, 330, 21);
INSERT INTO public.who_data VALUES (78024, 13, 80, 1, 2, 330, 234);
INSERT INTO public.who_data VALUES (78025, 0, 7, 0, 1, 330, 91);
INSERT INTO public.who_data VALUES (78026, 16, 162, 2, 5, 330, 137);
INSERT INTO public.who_data VALUES (78027, 217, 2279, 0, 9, 330, 201);
INSERT INTO public.who_data VALUES (78028, 0, 0, 0, 0, 330, 171);
INSERT INTO public.who_data VALUES (78029, 4, 58, 1, 5, 330, 92);
INSERT INTO public.who_data VALUES (78030, 169, 2046, 11, 52, 330, 112);
INSERT INTO public.who_data VALUES (78031, 2, 15, 0, 0, 330, 62);
INSERT INTO public.who_data VALUES (78032, 0, 11, 0, 0, 330, 69);
INSERT INTO public.who_data VALUES (78033, 93, 581, 10, 20, 330, 220);
INSERT INTO public.who_data VALUES (78034, 384, 1595, 0, 8, 330, 100);
INSERT INTO public.who_data VALUES (78035, 41, 536, 6, 30, 330, 187);
INSERT INTO public.who_data VALUES (78036, 0, 13, 0, 0, 330, 63);
INSERT INTO public.who_data VALUES (78037, 0, 6, 0, 0, 330, 28);
INSERT INTO public.who_data VALUES (78038, 0, 6, 0, 0, 330, 172);
INSERT INTO public.who_data VALUES (78039, 37, 575, 0, 1, 330, 17);
INSERT INTO public.who_data VALUES (78040, 3, 9, 0, 0, 330, 226);
INSERT INTO public.who_data VALUES (78041, 4, 16, 0, 0, 330, 236);
INSERT INTO public.who_data VALUES (78042, 0, 0, 0, 0, 330, 76);
INSERT INTO public.who_data VALUES (78043, 4, 144, 0, 0, 330, 30);
INSERT INTO public.who_data VALUES (78044, 0, 5, 0, 0, 330, 128);
INSERT INTO public.who_data VALUES (78045, 67, 1025, 3, 7, 330, 86);
INSERT INTO public.who_data VALUES (78046, 3748, 32534, 297, 1992, 330, 140);
INSERT INTO public.who_data VALUES (78047, 3, 31, 0, 0, 330, 44);
INSERT INTO public.who_data VALUES (78048, 0, 30, 0, 0, 330, 113);
INSERT INTO public.who_data VALUES (78049, 1, 7, 0, 1, 330, 29);
INSERT INTO public.who_data VALUES (78050, 0, 2, 1, 1, 330, 125);
INSERT INTO public.who_data VALUES (78051, 7, 90, 0, 0, 330, 131);
INSERT INTO public.who_data VALUES (78052, 6294, 48582, 72, 325, 330, 46);
INSERT INTO public.who_data VALUES (78053, 1, 137, 1, 4, 330, 10);
INSERT INTO public.who_data VALUES (78054, 20, 55, 0, 0, 330, 205);
INSERT INTO public.who_data VALUES (78055, 74, 966, 2, 28, 330, 50);
INSERT INTO public.who_data VALUES (78056, 3, 9, 0, 0, 330, 20);
INSERT INTO public.who_data VALUES (78057, 0, 7, 0, 0, 330, 13);
INSERT INTO public.who_data VALUES (78058, 20, 96, 2, 2, 330, 148);
INSERT INTO public.who_data VALUES (78059, 6, 51, 0, 1, 330, 230);
INSERT INTO public.who_data VALUES (78060, 1, 25, 0, 1, 330, 190);
INSERT INTO public.who_data VALUES (78061, 2, 36, 0, 0, 330, 188);
INSERT INTO public.who_data VALUES (78062, 3, 8, 0, 0, 330, 123);
INSERT INTO public.who_data VALUES (78063, 0, 2, 0, 0, 330, 9);
INSERT INTO public.who_data VALUES (78064, 0, 9, 0, 1, 330, 102);
INSERT INTO public.who_data VALUES (78065, 0, 8, 0, 0, 330, 34);
INSERT INTO public.who_data VALUES (78066, 0, 4, 0, 0, 330, 212);
INSERT INTO public.who_data VALUES (78067, 15, 67, 0, 1, 330, 122);
INSERT INTO public.who_data VALUES (78068, 43, 343, 1, 11, 330, 38);
INSERT INTO public.who_data VALUES (78069, 88, 890, 0, 2, 330, 130);
INSERT INTO public.who_data VALUES (78070, 0, 724, 0, 17, 330, 37);
INSERT INTO public.who_data VALUES (78071, 0, 1046, 0, 87, 330, 231);
INSERT INTO public.who_data VALUES (78072, 3076, 35408, 139, 2517, 330, 107);
INSERT INTO public.who_data VALUES (78073, 48, 506, 2, 42, 330, 101);
INSERT INTO public.who_data VALUES (78074, 302, 2121, 3, 22, 330, 132);
INSERT INTO public.who_data VALUES (78075, 3, 29, 0, 0, 330, 176);
INSERT INTO public.who_data VALUES (78076, 520, 2995, 5, 10, 330, 200);
INSERT INTO public.who_data VALUES (78077, 5959, 86498, 971, 9136, 330, 169);
INSERT INTO public.who_data VALUES (78078, 0, 26, 0, 1, 330, 225);
INSERT INTO public.who_data VALUES (78079, 112, 1499, 3, 49, 330, 165);
INSERT INTO public.who_data VALUES (78080, 20, 52, 0, 1, 330, 233);
INSERT INTO public.who_data VALUES (78081, 23, 235, 1, 1, 330, 215);
INSERT INTO public.who_data VALUES (78082, 56, 284, 0, 1, 330, 177);
INSERT INTO public.who_data VALUES (78083, 0, 25, 0, 1, 330, 183);
INSERT INTO public.who_data VALUES (78084, 0, 0, 0, 0, 330, 203);
INSERT INTO public.who_data VALUES (78085, 3, 91, 0, 1, 330, 162);
INSERT INTO public.who_data VALUES (78086, 10, 235, 0, 0, 330, 12);
INSERT INTO public.who_data VALUES (78087, 0, 58, 0, 0, 330, 24);
INSERT INTO public.who_data VALUES (78088, 0, 6, 0, 0, 330, 119);
INSERT INTO public.who_data VALUES (78089, 36, 280, 0, 0, 330, 39);
INSERT INTO public.who_data VALUES (78090, 21, 412, 1, 8, 330, 26);
INSERT INTO public.who_data VALUES (78091, 0, 0, 0, 0, 330, 59);
INSERT INTO public.who_data VALUES (78092, 0, 3, 0, 0, 330, 77);
INSERT INTO public.who_data VALUES (78093, 0, 1, 0, 0, 330, 134);
INSERT INTO public.who_data VALUES (78094, 1, 62, 0, 0, 330, 4);
INSERT INTO public.who_data VALUES (78095, 47, 339, 0, 5, 330, 109);
INSERT INTO public.who_data VALUES (78096, 152, 1605, 6, 15, 330, 90);
INSERT INTO public.who_data VALUES (78097, 2, 26, 0, 0, 330, 61);
INSERT INTO public.who_data VALUES (78098, 0, 0, 0, 0, 330, 85);
INSERT INTO public.who_data VALUES (78099, 130, 2161, 3, 26, 330, 49);
INSERT INTO public.who_data VALUES (78100, 0, 17, 0, 0, 330, 208);
INSERT INTO public.who_data VALUES (78101, 7, 9, 0, 0, 330, 166);
INSERT INTO public.who_data VALUES (78102, 5, 139, 0, 0, 330, 64);
INSERT INTO public.who_data VALUES (78103, 0, 0, 0, 0, 330, 199);
INSERT INTO public.who_data VALUES (78104, 27, 93, 0, 1, 330, 114);
INSERT INTO public.who_data VALUES (78105, 2, 5, 0, 0, 330, 60);
INSERT INTO public.who_data VALUES (78106, 15, 96, 0, 2, 330, 68);
INSERT INTO public.who_data VALUES (78107, 0, 50, 0, 0, 330, 158);
INSERT INTO public.who_data VALUES (78108, 111, 589, 3, 8, 330, 52);
INSERT INTO public.who_data VALUES (78109, 0, 0, 0, 0, 330, 117);
INSERT INTO public.who_data VALUES (78110, 6, 32, 0, 0, 330, 126);
INSERT INTO public.who_data VALUES (78111, 1, 12, 0, 0, 330, 196);
INSERT INTO public.who_data VALUES (78112, 3, 85, 0, 1, 330, 142);
INSERT INTO public.who_data VALUES (78113, 3, 5, 0, 0, 330, 185);
INSERT INTO public.who_data VALUES (78114, 83, 358, 13, 23, 330, 138);
INSERT INTO public.who_data VALUES (78115, 2, 7, 0, 0, 330, 181);
INSERT INTO public.who_data VALUES (78116, 0, 5, 0, 0, 330, 178);
INSERT INTO public.who_data VALUES (78117, 0, 8, 0, 0, 330, 168);
INSERT INTO public.who_data VALUES (78118, 0, 0, 0, 0, 330, 160);
INSERT INTO public.who_data VALUES (78119, 0, 3, 0, 0, 330, 151);
INSERT INTO public.who_data VALUES (78120, 1167, 8504, 122, 541, 330, 193);
INSERT INTO public.who_data VALUES (78121, 1, 15, 0, 0, 330, 18);
INSERT INTO public.who_data VALUES (78122, 78, 416, 0, 0, 330, 40);
INSERT INTO public.who_data VALUES (78123, 0, 2, 1, 1, 330, 218);
INSERT INTO public.who_data VALUES (78124, 0, 10, 0, 1, 330, 191);
INSERT INTO public.who_data VALUES (78125, 0, 65, 0, 1, 330, 156);
INSERT INTO public.who_data VALUES (78126, 0, 0, 0, 0, 330, 135);
INSERT INTO public.who_data VALUES (78127, 0, 0, 0, 0, 330, 88);
INSERT INTO public.who_data VALUES (78128, 22, 241, 1, 4, 330, 55);
INSERT INTO public.who_data VALUES (78129, 425, 3581, 2, 16, 330, 108);
INSERT INTO public.who_data VALUES (78130, 6, 97, 0, 1, 330, 48);
INSERT INTO public.who_data VALUES (78131, 21, 152, 0, 0, 330, 3);
INSERT INTO public.who_data VALUES (78132, 0, 712, 0, 10, 330, 224);
INSERT INTO public.who_data VALUES (78133, 211, 1408, 2, 11, 330, 110);
INSERT INTO public.who_data VALUES (78134, 0, 0, 0, 0, 330, 106);
INSERT INTO public.who_data VALUES (78135, 116, 674, 1, 9, 330, 89);
INSERT INTO public.who_data VALUES (78136, 0, 1, 0, 0, 330, 121);
INSERT INTO public.who_data VALUES (78137, 11, 52, 0, 3, 330, 163);
INSERT INTO public.who_data VALUES (78138, 0, 580, 0, 9, 330, 70);
INSERT INTO public.who_data VALUES (78139, 368, 1075, 23, 68, 330, 174);
INSERT INTO public.who_data VALUES (78140, 0, 0, 0, 0, 330, 175);
INSERT INTO public.who_data VALUES (78141, 168, 1389, 0, 16, 330, 118);
INSERT INTO public.who_data VALUES (78142, 724, 4268, 16, 76, 330, 189);
INSERT INTO public.who_data VALUES (78143, 0, 64, 0, 2, 330, 124);
INSERT INTO public.who_data VALUES (78144, 13, 562, 0, 0, 330, 192);
INSERT INTO public.who_data VALUES (78145, 146, 9478, 5, 144, 330, 41);
INSERT INTO public.who_data VALUES (78146, 0, 199, 0, 2, 330, 95);
INSERT INTO public.who_data VALUES (78147, 8, 143, 0, 0, 330, 74);
INSERT INTO public.who_data VALUES (78148, 263, 1292, 7, 24, 330, 11);
INSERT INTO public.who_data VALUES (78149, 228, 1264, 1, 4, 330, 87);
INSERT INTO public.who_data VALUES (78150, 4, 54, 0, 0, 330, 214);
INSERT INTO public.who_data VALUES (78151, 0, 0, 0, 0, 330, 116);
INSERT INTO public.who_data VALUES (78152, 2, 5, 0, 0, 330, 157);
INSERT INTO public.who_data VALUES (78153, 0, 0, 0, 0, 330, 182);
INSERT INTO public.who_data VALUES (78154, 0, 2, 0, 0, 330, 186);
INSERT INTO public.who_data VALUES (78155, 0, 3, 0, 0, 330, 127);
INSERT INTO public.who_data VALUES (78156, 1, 12, 0, 0, 330, 232);
INSERT INTO public.who_data VALUES (78157, 0, 0, 0, 0, 330, 33);
INSERT INTO public.who_data VALUES (78158, 0, 1, 0, 0, 330, 97);
INSERT INTO public.who_data VALUES (78159, 0, 0, 0, 0, 330, 42);
INSERT INTO public.who_data VALUES (78160, 5, 228, 1, 22, 330, 198);
INSERT INTO public.who_data VALUES (78161, 0, 0, 0, 0, 330, 216);
INSERT INTO public.who_data VALUES (78162, 99, 1203, 1, 4, 330, 164);
INSERT INTO public.who_data VALUES (78163, 14, 119, 0, 0, 330, 235);
INSERT INTO public.who_data VALUES (78164, 71, 528, 0, 7, 330, 67);
INSERT INTO public.who_data VALUES (78165, 0, 7, 0, 0, 330, 15);
INSERT INTO public.who_data VALUES (78166, 0, 0, 0, 0, 330, 180);
INSERT INTO public.who_data VALUES (78167, 49, 732, 0, 2, 330, 237);
INSERT INTO public.who_data VALUES (78168, 0, 0, 0, 0, 330, 25);
INSERT INTO public.who_data VALUES (78169, 1, 3, 0, 0, 330, 209);
INSERT INTO public.who_data VALUES (78170, 10, 226, 0, 0, 330, 217);
INSERT INTO public.who_data VALUES (78171, 61, 634, 2, 8, 330, 79);
INSERT INTO public.who_data VALUES (78172, 0, 0, 0, 0, 330, 143);
INSERT INTO public.who_data VALUES (78173, 0, 3, 0, 0, 330, 229);
INSERT INTO public.who_data VALUES (78174, 243, 1170, 1, 1, 330, 141);
INSERT INTO public.who_data VALUES (78175, 0, 0, 0, 0, 330, 197);
INSERT INTO public.who_data VALUES (78176, 10114, 87134, 871, 6018, 330, 221);
INSERT INTO public.who_data VALUES (78177, 0, 106, 0, 0, 330, 150);
INSERT INTO public.who_data VALUES (78178, 2, 5, 0, 1, 330, 56);
INSERT INTO public.who_data VALUES (78179, 1, 8, 0, 0, 330, 167);
INSERT INTO public.who_data VALUES (78180, 286, 2999, 31, 134, 330, 23);
INSERT INTO public.who_data VALUES (78181, 1307, 15445, 32, 278, 330, 222);
INSERT INTO public.who_data VALUES (78182, 0, 5, 0, 0, 330, 219);
INSERT INTO public.who_data VALUES (78183, 0, 0, 0, 0, 330, 7);
INSERT INTO public.who_data VALUES (78184, 0, 1136, 0, 5, 330, 161);
INSERT INTO public.who_data VALUES (78185, 3087, 20808, 288, 1172, 330, 149);
INSERT INTO public.who_data VALUES (78186, 0, 1, 0, 0, 330, 6);
INSERT INTO public.who_data VALUES (78187, 1, 25, 0, 0, 330, 139);
INSERT INTO public.who_data VALUES (78188, 0, 0, 0, 0, 330, 211);
INSERT INTO public.who_data VALUES (78189, 0, 0, 0, 0, 330, 14);
INSERT INTO public.who_data VALUES (78190, 5, 66, 1, 2, 330, 111);
INSERT INTO public.who_data VALUES (78191, 0, 227, 0, 6, 330, 207);
INSERT INTO public.who_data VALUES (78192, 2069, 5698, 17, 92, 330, 66);
INSERT INTO public.who_data VALUES (78193, 0, 0, 0, 0, 330, 173);
INSERT INTO public.who_data VALUES (78194, 0, 2, 0, 0, 330, 145);
INSERT INTO public.who_data VALUES (78195, 0, 0, 0, 0, 330, 65);
INSERT INTO public.who_data VALUES (78196, 0, 14, 0, 0, 330, 184);
INSERT INTO public.who_data VALUES (78197, 93, 311, 3, 8, 330, 98);
INSERT INTO public.who_data VALUES (78198, 135, 468, 0, 2, 330, 104);
INSERT INTO public.who_data VALUES (78199, 0, 13, 0, 0, 330, 73);
INSERT INTO public.who_data VALUES (78200, 16894, 85228, 252, 1243, 330, 8);
INSERT INTO public.who_data VALUES (78201, 0, 17, 0, 0, 330, 227);
INSERT INTO public.who_data VALUES (78202, 21, 238, 0, 0, 330, 75);
INSERT INTO public.who_data VALUES (78203, 16, 104, 1, 1, 330, 45);
INSERT INTO public.who_data VALUES (78204, 0, 0, 0, 0, 330, 133);
INSERT INTO public.who_data VALUES (78205, 15, 106, 0, 0, 330, 202);
INSERT INTO public.who_data VALUES (78206, 16, 169, 0, 0, 330, 129);
INSERT INTO public.who_data VALUES (78207, 0, 0, 0, 0, 330, 36);
INSERT INTO public.who_data VALUES (78208, 0, 0, 0, 0, 330, 51);
INSERT INTO public.who_data VALUES (78209, 0, 13, 0, 0, 330, 206);
INSERT INTO public.who_data VALUES (78210, 0, 5, 0, 1, 330, 5);
INSERT INTO public.who_data VALUES (78211, 11, 91, 0, 2, 331, 103);
INSERT INTO public.who_data VALUES (78212, 12, 148, 2, 7, 331, 58);
INSERT INTO public.who_data VALUES (78213, 41, 305, 4, 21, 331, 195);
INSERT INTO public.who_data VALUES (78214, 0, 0, 0, 0, 331, 115);
INSERT INTO public.who_data VALUES (78215, 58, 289, 0, 3, 331, 99);
INSERT INTO public.who_data VALUES (78216, 0, 2, 0, 0, 331, 153);
INSERT INTO public.who_data VALUES (78217, 0, 2, 0, 0, 331, 93);
INSERT INTO public.who_data VALUES (78218, 0, 3, 0, 0, 331, 84);
INSERT INTO public.who_data VALUES (78219, 0, 502, 0, 8, 331, 78);
INSERT INTO public.who_data VALUES (78220, 25, 267, 1, 1, 331, 170);
INSERT INTO public.who_data VALUES (78221, 0, 19, 0, 0, 331, 32);
INSERT INTO public.who_data VALUES (78222, 186, 2985, 2, 13, 331, 155);
INSERT INTO public.who_data VALUES (78223, 1141, 7029, 18, 52, 331, 82);
INSERT INTO public.who_data VALUES (78224, 29, 122, 1, 3, 331, 16);
INSERT INTO public.who_data VALUES (78225, 0, 5, 0, 0, 331, 72);
INSERT INTO public.who_data VALUES (78226, 9, 466, 0, 4, 331, 43);
INSERT INTO public.who_data VALUES (78227, 4, 48, 0, 5, 331, 120);
INSERT INTO public.who_data VALUES (78228, 0, 18, 0, 0, 331, 213);
INSERT INTO public.who_data VALUES (78229, 8, 94, 0, 0, 331, 31);
INSERT INTO public.who_data VALUES (78230, 1363, 10614, 102, 580, 331, 204);
INSERT INTO public.who_data VALUES (78231, 0, 2, 0, 0, 331, 152);
INSERT INTO public.who_data VALUES (78232, 0, 6, 0, 0, 331, 144);
INSERT INTO public.who_data VALUES (78233, 0, 7, 0, 0, 331, 96);
INSERT INTO public.who_data VALUES (78234, 0, 3, 0, 0, 331, 47);
INSERT INTO public.who_data VALUES (78235, 0, 39, 0, 0, 331, 80);
INSERT INTO public.who_data VALUES (78236, 0, 0, 0, 0, 331, 159);
INSERT INTO public.who_data VALUES (78237, 20, 233, 1, 4, 331, 27);
INSERT INTO public.who_data VALUES (78238, 0, 0, 0, 0, 331, 146);
INSERT INTO public.who_data VALUES (78239, 0, 2433, 0, 57, 331, 71);
INSERT INTO public.who_data VALUES (78240, 0, 2, 0, 0, 331, 210);
INSERT INTO public.who_data VALUES (78241, 5, 114, 0, 0, 331, 54);
INSERT INTO public.who_data VALUES (78242, 22, 264, 0, 3, 331, 147);
INSERT INTO public.who_data VALUES (78243, 0, 146, 0, 3, 331, 2);
INSERT INTO public.who_data VALUES (78244, 0, 0, 0, 0, 331, 105);
INSERT INTO public.who_data VALUES (78245, 0, 3, 0, 0, 331, 53);
INSERT INTO public.who_data VALUES (78246, 2, 98, 0, 0, 331, 81);
INSERT INTO public.who_data VALUES (78247, 0, 75, 0, 1, 331, 223);
INSERT INTO public.who_data VALUES (78248, 0, 3555, 0, 35, 331, 94);
INSERT INTO public.who_data VALUES (78249, 0, 8, 0, 1, 331, 154);
INSERT INTO public.who_data VALUES (78250, 0, 5, 0, 0, 331, 83);
INSERT INTO public.who_data VALUES (78251, 2, 5, 0, 0, 331, 194);
INSERT INTO public.who_data VALUES (78252, 0, 1306, 0, 4, 331, 136);
INSERT INTO public.who_data VALUES (78253, 132, 82093, 5, 3298, 331, 179);
INSERT INTO public.who_data VALUES (78254, 0, 470, 0, 4, 331, 57);
INSERT INTO public.who_data VALUES (78255, 0, 0, 0, 0, 331, 35);
INSERT INTO public.who_data VALUES (78256, 0, 4, 0, 0, 331, 228);
INSERT INTO public.who_data VALUES (78257, 0, 0, 0, 0, 331, 19);
INSERT INTO public.who_data VALUES (78258, 0, 201, 0, 2, 331, 22);
INSERT INTO public.who_data VALUES (78259, 0, 80, 0, 0, 331, 1);
INSERT INTO public.who_data VALUES (78260, 77, 495, 1, 2, 331, 21);
INSERT INTO public.who_data VALUES (78261, 0, 67, 0, 1, 331, 234);
INSERT INTO public.who_data VALUES (78262, 0, 7, 0, 1, 331, 91);
INSERT INTO public.who_data VALUES (78263, 14, 146, 0, 3, 331, 137);
INSERT INTO public.who_data VALUES (78264, 408, 2062, 3, 9, 331, 201);
INSERT INTO public.who_data VALUES (78265, 0, 0, 0, 0, 331, 171);
INSERT INTO public.who_data VALUES (78266, 3, 54, 1, 4, 331, 92);
INSERT INTO public.who_data VALUES (78267, 153, 1877, 7, 41, 331, 112);
INSERT INTO public.who_data VALUES (78268, 1, 13, 0, 0, 331, 62);
INSERT INTO public.who_data VALUES (78269, 0, 11, 0, 0, 331, 69);
INSERT INTO public.who_data VALUES (78270, 0, 488, 0, 10, 331, 220);
INSERT INTO public.who_data VALUES (78271, 0, 1211, 0, 8, 331, 100);
INSERT INTO public.who_data VALUES (78272, 39, 495, 3, 24, 331, 187);
INSERT INTO public.who_data VALUES (78273, 0, 13, 0, 0, 331, 63);
INSERT INTO public.who_data VALUES (78274, 0, 6, 0, 0, 331, 28);
INSERT INTO public.who_data VALUES (78275, 2, 6, 0, 0, 331, 172);
INSERT INTO public.who_data VALUES (78276, 134, 538, 0, 1, 331, 17);
INSERT INTO public.who_data VALUES (78277, 2, 6, 0, 0, 331, 226);
INSERT INTO public.who_data VALUES (78278, 0, 12, 0, 0, 331, 236);
INSERT INTO public.who_data VALUES (78279, 0, 0, 0, 0, 331, 76);
INSERT INTO public.who_data VALUES (78280, 8, 140, 0, 0, 331, 30);
INSERT INTO public.who_data VALUES (78281, 0, 5, 0, 0, 331, 128);
INSERT INTO public.who_data VALUES (78282, 78, 958, 1, 4, 331, 86);
INSERT INTO public.who_data VALUES (78283, 3866, 28786, 365, 1695, 331, 140);
INSERT INTO public.who_data VALUES (78284, 0, 28, 0, 0, 331, 44);
INSERT INTO public.who_data VALUES (78285, 5, 30, 0, 0, 331, 113);
INSERT INTO public.who_data VALUES (78286, 0, 6, 0, 1, 331, 29);
INSERT INTO public.who_data VALUES (78287, 0, 2, 0, 0, 331, 125);
INSERT INTO public.who_data VALUES (78288, 3, 83, 0, 0, 331, 131);
INSERT INTO public.who_data VALUES (78289, 5780, 42288, 55, 253, 331, 46);
INSERT INTO public.who_data VALUES (78290, 4, 136, 1, 3, 331, 10);
INSERT INTO public.who_data VALUES (78291, 9, 35, 0, 0, 331, 205);
INSERT INTO public.who_data VALUES (78292, 71, 892, 4, 26, 331, 50);
INSERT INTO public.who_data VALUES (78293, 1, 6, 0, 0, 331, 20);
INSERT INTO public.who_data VALUES (78294, 0, 7, 0, 0, 331, 13);
INSERT INTO public.who_data VALUES (78295, 0, 76, 0, 0, 331, 148);
INSERT INTO public.who_data VALUES (78296, 8, 45, 0, 1, 331, 230);
INSERT INTO public.who_data VALUES (78297, 0, 24, 0, 1, 331, 190);
INSERT INTO public.who_data VALUES (78298, 4, 34, 0, 0, 331, 188);
INSERT INTO public.who_data VALUES (78299, 1, 5, 0, 0, 331, 123);
INSERT INTO public.who_data VALUES (78300, 0, 2, 0, 0, 331, 9);
INSERT INTO public.who_data VALUES (78301, 0, 9, 0, 1, 331, 102);
INSERT INTO public.who_data VALUES (78302, 0, 8, 0, 0, 331, 34);
INSERT INTO public.who_data VALUES (78303, 0, 4, 0, 0, 331, 212);
INSERT INTO public.who_data VALUES (78304, 0, 52, 0, 1, 331, 122);
INSERT INTO public.who_data VALUES (78305, 39, 300, 0, 10, 331, 38);
INSERT INTO public.who_data VALUES (78306, 65, 802, 0, 2, 331, 130);
INSERT INTO public.who_data VALUES (78307, 75, 724, 4, 17, 331, 37);
INSERT INTO public.who_data VALUES (78308, 153, 1046, 9, 87, 331, 231);
INSERT INTO public.who_data VALUES (78309, 2926, 32332, 144, 2378, 331, 107);
INSERT INTO public.who_data VALUES (78310, 76, 458, 4, 40, 331, 101);
INSERT INTO public.who_data VALUES (78311, 255, 1819, 10, 19, 331, 132);
INSERT INTO public.who_data VALUES (78312, 3, 26, 0, 0, 331, 176);
INSERT INTO public.who_data VALUES (78313, 425, 2475, 1, 5, 331, 200);
INSERT INTO public.who_data VALUES (78314, 6153, 80539, 660, 8165, 331, 169);
INSERT INTO public.who_data VALUES (78315, 0, 26, 0, 1, 331, 225);
INSERT INTO public.who_data VALUES (78316, 96, 1387, 1, 46, 331, 165);
INSERT INTO public.who_data VALUES (78317, 14, 32, 1, 1, 331, 233);
INSERT INTO public.who_data VALUES (78318, 40, 212, 0, 0, 331, 215);
INSERT INTO public.who_data VALUES (78319, 78, 228, 1, 1, 331, 177);
INSERT INTO public.who_data VALUES (78320, 0, 25, 1, 1, 331, 183);
INSERT INTO public.who_data VALUES (78321, 0, 0, 0, 0, 331, 203);
INSERT INTO public.who_data VALUES (78322, 9, 88, 0, 1, 331, 162);
INSERT INTO public.who_data VALUES (78323, 17, 225, 0, 0, 331, 12);
INSERT INTO public.who_data VALUES (78324, 14, 58, 0, 0, 331, 24);
INSERT INTO public.who_data VALUES (78325, 3, 6, 0, 0, 331, 119);
INSERT INTO public.who_data VALUES (78326, 23, 244, 0, 0, 331, 39);
INSERT INTO public.who_data VALUES (78327, 23, 391, 1, 7, 331, 26);
INSERT INTO public.who_data VALUES (78328, 0, 0, 0, 0, 331, 59);
INSERT INTO public.who_data VALUES (78329, 0, 3, 0, 0, 331, 77);
INSERT INTO public.who_data VALUES (78330, 0, 1, 0, 0, 331, 134);
INSERT INTO public.who_data VALUES (78331, 4, 61, 0, 0, 331, 4);
INSERT INTO public.who_data VALUES (78332, 29, 292, 1, 5, 331, 109);
INSERT INTO public.who_data VALUES (78333, 120, 1453, 1, 9, 331, 90);
INSERT INTO public.who_data VALUES (78334, 5, 24, 0, 0, 331, 61);
INSERT INTO public.who_data VALUES (78335, 0, 0, 0, 0, 331, 85);
INSERT INTO public.who_data VALUES (78336, 235, 2031, 2, 23, 331, 49);
INSERT INTO public.who_data VALUES (78337, 0, 17, 0, 0, 331, 208);
INSERT INTO public.who_data VALUES (78338, 0, 2, 0, 0, 331, 166);
INSERT INTO public.who_data VALUES (78339, 5, 134, 0, 0, 331, 64);
INSERT INTO public.who_data VALUES (78340, 0, 0, 0, 0, 331, 199);
INSERT INTO public.who_data VALUES (78341, 0, 66, 0, 1, 331, 114);
INSERT INTO public.who_data VALUES (78342, -3, 3, 0, 0, 331, 60);
INSERT INTO public.who_data VALUES (78343, 34, 81, 0, 2, 331, 68);
INSERT INTO public.who_data VALUES (78344, 15, 50, 0, 0, 331, 158);
INSERT INTO public.who_data VALUES (78345, 0, 478, 0, 5, 331, 52);
INSERT INTO public.who_data VALUES (78346, 0, 0, 0, 0, 331, 117);
INSERT INTO public.who_data VALUES (78347, 3, 26, 0, 0, 331, 126);
INSERT INTO public.who_data VALUES (78348, 0, 11, 0, 0, 331, 196);
INSERT INTO public.who_data VALUES (78349, 12, 82, 0, 1, 331, 142);
INSERT INTO public.who_data VALUES (78350, 0, 2, 0, 0, 331, 185);
INSERT INTO public.who_data VALUES (78351, 50, 275, 4, 10, 331, 138);
INSERT INTO public.who_data VALUES (78352, 0, 5, 0, 0, 331, 181);
INSERT INTO public.who_data VALUES (78353, 2, 5, 0, 0, 331, 178);
INSERT INTO public.who_data VALUES (78354, 0, 8, 0, 0, 331, 168);
INSERT INTO public.who_data VALUES (78355, 0, 0, 0, 0, 331, 160);
INSERT INTO public.who_data VALUES (78356, 0, 3, 0, 0, 331, 151);
INSERT INTO public.who_data VALUES (78357, 1007, 7337, 71, 419, 331, 193);
INSERT INTO public.who_data VALUES (78358, 0, 14, 0, 0, 331, 18);
INSERT INTO public.who_data VALUES (78359, 76, 338, 0, 0, 331, 40);
INSERT INTO public.who_data VALUES (78360, 0, 2, 0, 0, 331, 218);
INSERT INTO public.who_data VALUES (78361, 8, 10, 1, 1, 331, 191);
INSERT INTO public.who_data VALUES (78362, 19, 65, 0, 1, 331, 156);
INSERT INTO public.who_data VALUES (78363, 0, 0, 0, 0, 331, 135);
INSERT INTO public.who_data VALUES (78364, 0, 0, 0, 0, 331, 88);
INSERT INTO public.who_data VALUES (78365, 18, 219, 0, 3, 331, 55);
INSERT INTO public.who_data VALUES (78366, 240, 3156, 2, 14, 331, 108);
INSERT INTO public.who_data VALUES (78367, 7, 91, 0, 1, 331, 48);
INSERT INTO public.who_data VALUES (78368, 22, 131, 0, 0, 331, 3);
INSERT INTO public.who_data VALUES (78369, 0, 712, 0, 10, 331, 224);
INSERT INTO public.who_data VALUES (78370, 140, 1197, 1, 9, 331, 110);
INSERT INTO public.who_data VALUES (78371, 0, 0, 0, 0, 331, 106);
INSERT INTO public.who_data VALUES (78372, 0, 558, 0, 8, 331, 89);
INSERT INTO public.who_data VALUES (78373, 0, 1, 0, 0, 331, 121);
INSERT INTO public.who_data VALUES (78374, 0, 41, 0, 3, 331, 163);
INSERT INTO public.who_data VALUES (78375, 0, 580, 0, 9, 331, 70);
INSERT INTO public.who_data VALUES (78376, 0, 707, 0, 45, 331, 174);
INSERT INTO public.who_data VALUES (78377, 0, 0, 0, 0, 331, 175);
INSERT INTO public.who_data VALUES (78378, 170, 1221, 2, 16, 331, 118);
INSERT INTO public.who_data VALUES (78379, 549, 3544, 17, 60, 331, 189);
INSERT INTO public.who_data VALUES (78380, 0, 64, 0, 2, 331, 124);
INSERT INTO public.who_data VALUES (78381, 12, 549, 0, 0, 331, 192);
INSERT INTO public.who_data VALUES (78382, 91, 9332, 8, 139, 331, 41);
INSERT INTO public.who_data VALUES (78383, 50, 199, 1, 2, 331, 95);
INSERT INTO public.who_data VALUES (78384, 41, 135, 0, 0, 331, 74);
INSERT INTO public.who_data VALUES (78385, 123, 1029, 4, 17, 331, 11);
INSERT INTO public.who_data VALUES (78386, 196, 1036, 1, 3, 331, 87);
INSERT INTO public.who_data VALUES (78387, 9, 50, 0, 0, 331, 214);
INSERT INTO public.who_data VALUES (78388, 0, 0, 0, 0, 331, 116);
INSERT INTO public.who_data VALUES (78389, 0, 3, 0, 0, 331, 157);
INSERT INTO public.who_data VALUES (78390, 0, 0, 0, 0, 331, 182);
INSERT INTO public.who_data VALUES (78391, 0, 2, 0, 0, 331, 186);
INSERT INTO public.who_data VALUES (78392, 0, 3, 0, 0, 331, 127);
INSERT INTO public.who_data VALUES (78393, 0, 11, 0, 0, 331, 232);
INSERT INTO public.who_data VALUES (78394, 0, 0, 0, 0, 331, 33);
INSERT INTO public.who_data VALUES (78395, 0, 1, 0, 0, 331, 97);
INSERT INTO public.who_data VALUES (78396, 0, 0, 0, 0, 331, 42);
INSERT INTO public.who_data VALUES (78397, 5, 223, 0, 21, 331, 198);
INSERT INTO public.who_data VALUES (78398, 0, 0, 0, 0, 331, 216);
INSERT INTO public.who_data VALUES (78399, 92, 1104, 0, 3, 331, 164);
INSERT INTO public.who_data VALUES (78400, 6, 105, 0, 0, 331, 235);
INSERT INTO public.who_data VALUES (78401, 73, 457, 3, 7, 331, 67);
INSERT INTO public.who_data VALUES (78402, 0, 7, 0, 0, 331, 15);
INSERT INTO public.who_data VALUES (78403, 0, 0, 0, 0, 331, 180);
INSERT INTO public.who_data VALUES (78404, 52, 683, 0, 2, 331, 237);
INSERT INTO public.who_data VALUES (78405, 0, 0, 0, 0, 331, 25);
INSERT INTO public.who_data VALUES (78406, 0, 2, 0, 0, 331, 209);
INSERT INTO public.who_data VALUES (78407, 12, 216, 0, 0, 331, 217);
INSERT INTO public.who_data VALUES (78408, 47, 573, 0, 6, 331, 79);
INSERT INTO public.who_data VALUES (78409, 0, 0, 0, 0, 331, 143);
INSERT INTO public.who_data VALUES (78410, 1, 3, 0, 0, 331, 229);
INSERT INTO public.who_data VALUES (78411, 0, 927, 0, 0, 331, 141);
INSERT INTO public.who_data VALUES (78412, 0, 0, 0, 0, 331, 197);
INSERT INTO public.who_data VALUES (78413, 10144, 77020, 824, 5147, 331, 221);
INSERT INTO public.who_data VALUES (78414, 4, 106, 0, 0, 331, 150);
INSERT INTO public.who_data VALUES (78415, 0, 3, 0, 1, 331, 56);
INSERT INTO public.who_data VALUES (78416, 0, 7, 0, 0, 331, 167);
INSERT INTO public.who_data VALUES (78417, 314, 2713, 22, 103, 331, 23);
INSERT INTO public.who_data VALUES (78418, 1114, 14138, 38, 246, 331, 222);
INSERT INTO public.who_data VALUES (78419, 0, 5, 0, 0, 331, 219);
INSERT INTO public.who_data VALUES (78420, 0, 0, 0, 0, 331, 7);
INSERT INTO public.who_data VALUES (78421, 91, 1136, 1, 5, 331, 161);
INSERT INTO public.who_data VALUES (78422, 2692, 17721, 181, 884, 331, 149);
INSERT INTO public.who_data VALUES (78423, 0, 1, 0, 0, 331, 6);
INSERT INTO public.who_data VALUES (78424, 1, 24, 0, 0, 331, 139);
INSERT INTO public.who_data VALUES (78425, 0, 0, 0, 0, 331, 211);
INSERT INTO public.who_data VALUES (78426, 0, 0, 0, 0, 331, 14);
INSERT INTO public.who_data VALUES (78427, 0, 61, 0, 1, 331, 111);
INSERT INTO public.who_data VALUES (78428, 54, 227, 1, 6, 331, 207);
INSERT INTO public.who_data VALUES (78429, 1196, 3629, 16, 75, 331, 66);
INSERT INTO public.who_data VALUES (78430, 0, 0, 0, 0, 331, 173);
INSERT INTO public.who_data VALUES (78431, 0, 2, 0, 0, 331, 145);
INSERT INTO public.who_data VALUES (78432, 0, 0, 0, 0, 331, 65);
INSERT INTO public.who_data VALUES (78433, 0, 14, 0, 0, 331, 184);
INSERT INTO public.who_data VALUES (78434, 62, 218, 0, 5, 331, 98);
INSERT INTO public.who_data VALUES (78435, 0, 333, 0, 2, 331, 104);
INSERT INTO public.who_data VALUES (78436, 0, 13, 0, 0, 331, 73);
INSERT INTO public.who_data VALUES (78437, 0, 68334, 0, 991, 331, 8);
INSERT INTO public.who_data VALUES (78438, 0, 17, 0, 0, 331, 227);
INSERT INTO public.who_data VALUES (78439, 0, 217, 0, 0, 331, 75);
INSERT INTO public.who_data VALUES (78440, 23, 88, 0, 0, 331, 45);
INSERT INTO public.who_data VALUES (78441, 0, 0, 0, 0, 331, 133);
INSERT INTO public.who_data VALUES (78442, 0, 91, 0, 0, 331, 202);
INSERT INTO public.who_data VALUES (78443, 5, 153, 0, 0, 331, 129);
INSERT INTO public.who_data VALUES (78444, 0, 0, 0, 0, 331, 36);
INSERT INTO public.who_data VALUES (78445, 0, 0, 0, 0, 331, 51);
INSERT INTO public.who_data VALUES (78446, 10, 13, 0, 0, 331, 206);
INSERT INTO public.who_data VALUES (78447, 3, 5, 0, 1, 331, 5);
INSERT INTO public.who_data VALUES (78448, 6, 80, 1, 2, 332, 103);
INSERT INTO public.who_data VALUES (78449, 28, 136, 1, 5, 332, 58);
INSERT INTO public.who_data VALUES (78450, 0, 264, 0, 17, 332, 195);
INSERT INTO public.who_data VALUES (78451, 0, 0, 0, 0, 332, 115);
INSERT INTO public.who_data VALUES (78452, 18, 231, 0, 3, 332, 99);
INSERT INTO public.who_data VALUES (78453, 0, 2, 0, 0, 332, 153);
INSERT INTO public.who_data VALUES (78454, 2, 2, 0, 0, 332, 93);
INSERT INTO public.who_data VALUES (78455, 0, 3, 0, 0, 332, 84);
INSERT INTO public.who_data VALUES (78456, 201, 502, 4, 8, 332, 78);
INSERT INTO public.who_data VALUES (78457, 30, 242, 0, 0, 332, 170);
INSERT INTO public.who_data VALUES (78458, 7, 19, 0, 0, 332, 32);
INSERT INTO public.who_data VALUES (78459, 376, 2799, 3, 11, 332, 155);
INSERT INTO public.who_data VALUES (78460, 606, 5888, 4, 34, 332, 82);
INSERT INTO public.who_data VALUES (78461, 6, 93, 1, 2, 332, 16);
INSERT INTO public.who_data VALUES (78462, 1, 5, 0, 0, 332, 72);
INSERT INTO public.who_data VALUES (78463, 38, 457, 1, 4, 332, 43);
INSERT INTO public.who_data VALUES (78464, 5, 44, 1, 5, 332, 120);
INSERT INTO public.who_data VALUES (78465, 0, 18, 0, 0, 332, 213);
INSERT INTO public.who_data VALUES (78466, 5, 86, 0, 0, 332, 31);
INSERT INTO public.who_data VALUES (78467, 1199, 9251, 107, 478, 332, 204);
INSERT INTO public.who_data VALUES (78468, 1, 2, 0, 0, 332, 152);
INSERT INTO public.who_data VALUES (78469, 1, 6, 0, 0, 332, 144);
INSERT INTO public.who_data VALUES (78470, 1, 7, 0, 0, 332, 96);
INSERT INTO public.who_data VALUES (78471, 1, 3, 0, 0, 332, 47);
INSERT INTO public.who_data VALUES (78472, 11, 39, 0, 0, 332, 80);
INSERT INTO public.who_data VALUES (78473, 0, 0, 0, 0, 332, 159);
INSERT INTO public.who_data VALUES (78474, 40, 213, 0, 3, 332, 27);
INSERT INTO public.who_data VALUES (78475, 0, 0, 0, 0, 332, 146);
INSERT INTO public.who_data VALUES (78476, 232, 2433, 11, 57, 332, 71);
INSERT INTO public.who_data VALUES (78477, 2, 2, 0, 0, 332, 210);
INSERT INTO public.who_data VALUES (78478, 5, 109, 0, 0, 332, 54);
INSERT INTO public.who_data VALUES (78479, 22, 242, 0, 3, 332, 147);
INSERT INTO public.who_data VALUES (78480, 32, 146, 0, 3, 332, 2);
INSERT INTO public.who_data VALUES (78481, 0, 0, 0, 0, 332, 105);
INSERT INTO public.who_data VALUES (78482, 0, 3, 0, 0, 332, 53);
INSERT INTO public.who_data VALUES (78483, 5, 96, 0, 0, 332, 81);
INSERT INTO public.who_data VALUES (78484, 5, 75, 0, 1, 332, 223);
INSERT INTO public.who_data VALUES (78485, 1816, 3555, 10, 35, 332, 94);
INSERT INTO public.who_data VALUES (78486, 3, 8, 0, 1, 332, 154);
INSERT INTO public.who_data VALUES (78487, 1, 5, 0, 0, 332, 83);
INSERT INTO public.who_data VALUES (78488, 0, 3, 0, 0, 332, 194);
INSERT INTO public.who_data VALUES (78489, 384, 1306, 2, 4, 332, 136);
INSERT INTO public.who_data VALUES (78490, 92, 81961, 6, 3293, 332, 179);
INSERT INTO public.who_data VALUES (78491, 164, 470, 1, 4, 332, 57);
INSERT INTO public.who_data VALUES (78492, 0, 0, 0, 0, 332, 35);
INSERT INTO public.who_data VALUES (78493, 0, 4, 0, 0, 332, 228);
INSERT INTO public.who_data VALUES (78494, 0, 0, 0, 0, 332, 19);
INSERT INTO public.who_data VALUES (78495, 24, 201, 0, 2, 332, 22);
INSERT INTO public.who_data VALUES (78496, 8, 80, 0, 0, 332, 1);
INSERT INTO public.who_data VALUES (78497, 36, 418, 0, 1, 332, 21);
INSERT INTO public.who_data VALUES (78498, 19, 67, 0, 1, 332, 234);
INSERT INTO public.who_data VALUES (78499, 1, 7, 0, 1, 332, 91);
INSERT INTO public.who_data VALUES (78500, 8, 132, 0, 3, 332, 137);
INSERT INTO public.who_data VALUES (78501, 260, 1654, 3, 6, 332, 201);
INSERT INTO public.who_data VALUES (78502, 0, 0, 0, 0, 332, 171);
INSERT INTO public.who_data VALUES (78503, 6, 51, 1, 3, 332, 92);
INSERT INTO public.who_data VALUES (78504, 133, 1724, 2, 34, 332, 112);
INSERT INTO public.who_data VALUES (78505, 0, 12, 0, 0, 332, 62);
INSERT INTO public.who_data VALUES (78506, 9, 11, 0, 0, 332, 69);
INSERT INTO public.who_data VALUES (78507, 176, 488, 4, 10, 332, 220);
INSERT INTO public.who_data VALUES (78508, 162, 1211, 0, 8, 332, 100);
INSERT INTO public.who_data VALUES (78509, 14, 456, 0, 21, 332, 187);
INSERT INTO public.who_data VALUES (78510, 8, 13, 0, 0, 332, 63);
INSERT INTO public.who_data VALUES (78511, 0, 6, 0, 0, 332, 28);
INSERT INTO public.who_data VALUES (78512, 3, 4, 0, 0, 332, 172);
INSERT INTO public.who_data VALUES (78513, 35, 404, 1, 1, 332, 17);
INSERT INTO public.who_data VALUES (78514, 0, 4, 0, 0, 332, 226);
INSERT INTO public.who_data VALUES (78515, 0, 12, 0, 0, 332, 236);
INSERT INTO public.who_data VALUES (78516, 0, 0, 0, 0, 332, 76);
INSERT INTO public.who_data VALUES (78517, 10, 132, 0, 0, 332, 30);
INSERT INTO public.who_data VALUES (78518, 0, 5, 0, 0, 332, 128);
INSERT INTO public.who_data VALUES (78519, 88, 880, 2, 3, 332, 86);
INSERT INTO public.who_data VALUES (78520, 2895, 24920, 230, 1330, 332, 140);
INSERT INTO public.who_data VALUES (78521, 5, 28, 0, 0, 332, 44);
INSERT INTO public.who_data VALUES (78522, 0, 25, 0, 0, 332, 113);
INSERT INTO public.who_data VALUES (78523, 0, 6, 0, 1, 332, 29);
INSERT INTO public.who_data VALUES (78524, 0, 2, 0, 0, 332, 125);
INSERT INTO public.who_data VALUES (78525, 3, 80, 0, 0, 332, 131);
INSERT INTO public.who_data VALUES (78526, 4954, 36508, 49, 198, 332, 46);
INSERT INTO public.who_data VALUES (78527, 79, 132, 0, 2, 332, 10);
INSERT INTO public.who_data VALUES (78528, 11, 26, 0, 0, 332, 205);
INSERT INTO public.who_data VALUES (78529, 78, 821, 2, 22, 332, 50);
INSERT INTO public.who_data VALUES (78530, 1, 5, 0, 0, 332, 20);
INSERT INTO public.who_data VALUES (78531, 6, 7, 0, 0, 332, 13);
INSERT INTO public.who_data VALUES (78532, 3, 76, 0, 0, 332, 148);
INSERT INTO public.who_data VALUES (78533, 5, 37, 0, 1, 332, 230);
INSERT INTO public.who_data VALUES (78534, 3, 24, 0, 1, 332, 190);
INSERT INTO public.who_data VALUES (78535, 7, 30, 0, 0, 332, 188);
INSERT INTO public.who_data VALUES (78536, 0, 4, 0, 0, 332, 123);
INSERT INTO public.who_data VALUES (78537, 2, 2, 0, 0, 332, 9);
INSERT INTO public.who_data VALUES (78538, 0, 9, 0, 1, 332, 102);
INSERT INTO public.who_data VALUES (78539, 1, 8, 0, 0, 332, 34);
INSERT INTO public.who_data VALUES (78540, 3, 4, 0, 0, 332, 212);
INSERT INTO public.who_data VALUES (78541, 22, 52, 1, 1, 332, 122);
INSERT INTO public.who_data VALUES (78542, 35, 261, 0, 10, 332, 38);
INSERT INTO public.who_data VALUES (78543, 89, 737, 0, 2, 332, 130);
INSERT INTO public.who_data VALUES (78544, 43, 649, 3, 13, 332, 37);
INSERT INTO public.who_data VALUES (78545, 103, 893, 20, 78, 332, 231);
INSERT INTO public.who_data VALUES (78546, 2389, 29406, 157, 2234, 332, 107);
INSERT INTO public.who_data VALUES (78547, 36, 382, 7, 36, 332, 101);
INSERT INTO public.who_data VALUES (78548, 235, 1564, 2, 9, 332, 132);
INSERT INTO public.who_data VALUES (78549, 0, 23, 0, 0, 332, 176);
INSERT INTO public.who_data VALUES (78550, 430, 2050, 3, 4, 332, 200);
INSERT INTO public.who_data VALUES (78551, 5210, 74386, 685, 7505, 332, 169);
INSERT INTO public.who_data VALUES (78552, 5, 26, 0, 1, 332, 225);
INSERT INTO public.who_data VALUES (78553, 98, 1291, 2, 45, 332, 165);
INSERT INTO public.who_data VALUES (78554, 2, 18, 0, 0, 332, 233);
INSERT INTO public.who_data VALUES (78555, 19, 172, 0, 0, 332, 215);
INSERT INTO public.who_data VALUES (78556, 53, 150, 0, 0, 332, 177);
INSERT INTO public.who_data VALUES (78557, 0, 25, 0, 0, 332, 183);
INSERT INTO public.who_data VALUES (78558, 0, 0, 0, 0, 332, 203);
INSERT INTO public.who_data VALUES (78559, 8, 79, 0, 1, 332, 162);
INSERT INTO public.who_data VALUES (78560, 13, 208, 0, 0, 332, 12);
INSERT INTO public.who_data VALUES (78561, 2, 44, 0, 0, 332, 24);
INSERT INTO public.who_data VALUES (78562, 1, 3, 0, 0, 332, 119);
INSERT INTO public.who_data VALUES (78563, 24, 221, 0, 0, 332, 39);
INSERT INTO public.who_data VALUES (78564, 35, 368, 2, 6, 332, 26);
INSERT INTO public.who_data VALUES (78565, 0, 0, 0, 0, 332, 59);
INSERT INTO public.who_data VALUES (78566, 0, 3, 0, 0, 332, 77);
INSERT INTO public.who_data VALUES (78567, 0, 1, 0, 0, 332, 134);
INSERT INTO public.who_data VALUES (78568, 4, 57, 0, 0, 332, 4);
INSERT INTO public.who_data VALUES (78569, 55, 263, 1, 4, 332, 109);
INSERT INTO public.who_data VALUES (78570, 234, 1333, 0, 8, 332, 90);
INSERT INTO public.who_data VALUES (78571, 0, 19, 0, 0, 332, 61);
INSERT INTO public.who_data VALUES (78572, 0, 0, 0, 0, 332, 85);
INSERT INTO public.who_data VALUES (78573, 0, 1796, 5, 21, 332, 49);
INSERT INTO public.who_data VALUES (78574, 0, 17, 0, 0, 332, 208);
INSERT INTO public.who_data VALUES (78575, 2, 2, 0, 0, 332, 166);
INSERT INTO public.who_data VALUES (78576, 15, 129, 0, 0, 332, 64);
INSERT INTO public.who_data VALUES (78577, 0, 0, 0, 0, 332, 199);
INSERT INTO public.who_data VALUES (78578, 9, 66, 1, 1, 332, 114);
INSERT INTO public.who_data VALUES (78579, 0, 6, 0, 0, 332, 60);
INSERT INTO public.who_data VALUES (78580, 5, 47, 0, 2, 332, 68);
INSERT INTO public.who_data VALUES (78581, 5, 35, 0, 0, 332, 158);
INSERT INTO public.who_data VALUES (78582, 162, 478, 3, 5, 332, 52);
INSERT INTO public.who_data VALUES (78583, 0, 0, 0, 0, 332, 117);
INSERT INTO public.who_data VALUES (78584, 0, 23, 0, 0, 332, 126);
INSERT INTO public.who_data VALUES (78585, 1, 11, 0, 0, 332, 196);
INSERT INTO public.who_data VALUES (78586, 4, 70, 0, 1, 332, 142);
INSERT INTO public.who_data VALUES (78587, -3, 2, 0, 0, 332, 185);
INSERT INTO public.who_data VALUES (78588, 55, 225, 1, 6, 332, 138);
INSERT INTO public.who_data VALUES (78589, 2, 5, 0, 0, 332, 181);
INSERT INTO public.who_data VALUES (78590, 0, 3, 0, 0, 332, 178);
INSERT INTO public.who_data VALUES (78591, 4, 8, 0, 0, 332, 168);
INSERT INTO public.who_data VALUES (78592, 0, 0, 0, 0, 332, 160);
INSERT INTO public.who_data VALUES (78593, 1, 3, 0, 0, 332, 151);
INSERT INTO public.who_data VALUES (78594, 843, 6330, 76, 348, 332, 193);
INSERT INTO public.who_data VALUES (78595, 2, 14, 0, 0, 332, 18);
INSERT INTO public.who_data VALUES (78596, 73, 262, 0, 0, 332, 40);
INSERT INTO public.who_data VALUES (78597, 0, 2, 0, 0, 332, 218);
INSERT INTO public.who_data VALUES (78598, 0, 2, 0, 0, 332, 191);
INSERT INTO public.who_data VALUES (78599, 4, 46, 1, 1, 332, 156);
INSERT INTO public.who_data VALUES (78600, 0, 0, 0, 0, 332, 135);
INSERT INTO public.who_data VALUES (78601, 0, 0, 0, 0, 332, 88);
INSERT INTO public.who_data VALUES (78602, 24, 201, 1, 3, 332, 55);
INSERT INTO public.who_data VALUES (78603, 350, 2916, 2, 12, 332, 108);
INSERT INTO public.who_data VALUES (78604, 22, 84, 1, 1, 332, 48);
INSERT INTO public.who_data VALUES (78605, 10, 109, 0, 0, 332, 3);
INSERT INTO public.who_data VALUES (78606, 0, 712, 0, 10, 332, 224);
INSERT INTO public.who_data VALUES (78607, 66, 1057, 1, 8, 332, 110);
INSERT INTO public.who_data VALUES (78608, 0, 0, 0, 0, 332, 106);
INSERT INTO public.who_data VALUES (78609, 213, 558, 2, 8, 332, 89);
INSERT INTO public.who_data VALUES (78610, 0, 1, 0, 0, 332, 121);
INSERT INTO public.who_data VALUES (78611, 14, 41, 1, 3, 332, 163);
INSERT INTO public.who_data VALUES (78612, 164, 580, 4, 9, 332, 70);
INSERT INTO public.who_data VALUES (78613, 71, 707, 7, 45, 332, 174);
INSERT INTO public.who_data VALUES (78614, 0, 0, 0, 0, 332, 175);
INSERT INTO public.who_data VALUES (78615, 150, 1051, 4, 14, 332, 118);
INSERT INTO public.who_data VALUES (78616, 633, 2995, 10, 43, 332, 189);
INSERT INTO public.who_data VALUES (78617, 25, 64, 0, 2, 332, 124);
INSERT INTO public.who_data VALUES (78618, 11, 537, 0, 0, 332, 192);
INSERT INTO public.who_data VALUES (78619, 104, 9241, 5, 131, 332, 41);
INSERT INTO public.who_data VALUES (78620, 0, 149, 0, 1, 332, 95);
INSERT INTO public.who_data VALUES (78621, 11, 94, 0, 0, 332, 74);
INSERT INTO public.who_data VALUES (78622, 144, 906, 2, 13, 332, 11);
INSERT INTO public.who_data VALUES (78623, 182, 840, 2, 2, 332, 87);
INSERT INTO public.who_data VALUES (78624, 1, 41, 0, 0, 332, 214);
INSERT INTO public.who_data VALUES (78625, 0, 0, 0, 0, 332, 116);
INSERT INTO public.who_data VALUES (78626, 0, 3, 0, 0, 332, 157);
INSERT INTO public.who_data VALUES (78627, 0, 0, 0, 0, 332, 182);
INSERT INTO public.who_data VALUES (78628, 2, 2, 0, 0, 332, 186);
INSERT INTO public.who_data VALUES (78629, 0, 3, 0, 0, 332, 127);
INSERT INTO public.who_data VALUES (78630, 3, 11, 0, 0, 332, 232);
INSERT INTO public.who_data VALUES (78631, 0, 0, 0, 0, 332, 33);
INSERT INTO public.who_data VALUES (78632, 0, 1, 0, 0, 332, 97);
INSERT INTO public.who_data VALUES (78633, 0, 0, 0, 0, 332, 42);
INSERT INTO public.who_data VALUES (78634, 10, 218, 0, 21, 332, 198);
INSERT INTO public.who_data VALUES (78635, 0, 0, 0, 0, 332, 216);
INSERT INTO public.who_data VALUES (78636, 112, 1012, 1, 3, 332, 164);
INSERT INTO public.who_data VALUES (78637, 13, 99, 0, 0, 332, 235);
INSERT INTO public.who_data VALUES (78638, 0, 384, 0, 4, 332, 67);
INSERT INTO public.who_data VALUES (78639, 0, 7, 0, 0, 332, 15);
INSERT INTO public.who_data VALUES (78640, 0, 0, 0, 0, 332, 180);
INSERT INTO public.who_data VALUES (78641, 73, 631, 0, 2, 332, 237);
INSERT INTO public.who_data VALUES (78642, 0, 0, 0, 0, 332, 25);
INSERT INTO public.who_data VALUES (78643, 0, 2, 0, 0, 332, 209);
INSERT INTO public.who_data VALUES (78644, 13, 204, 0, 0, 332, 217);
INSERT INTO public.who_data VALUES (78645, 48, 526, 3, 6, 332, 79);
INSERT INTO public.who_data VALUES (78646, 0, 0, 0, 0, 332, 143);
INSERT INTO public.who_data VALUES (78647, -3, 2, 0, 0, 332, 229);
INSERT INTO public.who_data VALUES (78648, 373, 927, 0, 0, 332, 141);
INSERT INTO public.who_data VALUES (78649, 0, 0, 0, 0, 332, 197);
INSERT INTO public.who_data VALUES (78650, 9726, 66876, 723, 4323, 332, 221);
INSERT INTO public.who_data VALUES (78651, 0, 102, 0, 0, 332, 150);
INSERT INTO public.who_data VALUES (78652, 0, 3, 0, 1, 332, 56);
INSERT INTO public.who_data VALUES (78653, 1, 7, 0, 0, 332, 167);
INSERT INTO public.who_data VALUES (78654, 230, 2399, 21, 81, 332, 23);
INSERT INTO public.who_data VALUES (78655, 1069, 13024, 39, 208, 332, 222);
INSERT INTO public.who_data VALUES (78656, 4, 5, 0, 0, 332, 219);
INSERT INTO public.who_data VALUES (78657, 0, 0, 0, 0, 332, 7);
INSERT INTO public.who_data VALUES (78658, 111, 1045, 0, 4, 332, 161);
INSERT INTO public.who_data VALUES (78659, 2375, 15029, 191, 703, 332, 149);
INSERT INTO public.who_data VALUES (78660, 0, 1, 0, 0, 332, 6);
INSERT INTO public.who_data VALUES (78661, 3, 23, 0, 0, 332, 139);
INSERT INTO public.who_data VALUES (78662, 0, 0, 0, 0, 332, 211);
INSERT INTO public.who_data VALUES (78663, 0, 0, 0, 0, 332, 14);
INSERT INTO public.who_data VALUES (78664, 4, 61, 1, 1, 332, 111);
INSERT INTO public.who_data VALUES (78665, 0, 173, 0, 5, 332, 207);
INSERT INTO public.who_data VALUES (78666, 561, 2433, 15, 59, 332, 66);
INSERT INTO public.who_data VALUES (78667, 0, 0, 0, 0, 332, 173);
INSERT INTO public.who_data VALUES (78668, 1, 2, 0, 0, 332, 145);
INSERT INTO public.who_data VALUES (78669, 0, 0, 0, 0, 332, 65);
INSERT INTO public.who_data VALUES (78670, 5, 14, 0, 0, 332, 184);
INSERT INTO public.who_data VALUES (78671, 43, 156, 1, 5, 332, 98);
INSERT INTO public.who_data VALUES (78672, 0, 333, 0, 2, 332, 104);
INSERT INTO public.who_data VALUES (78673, 1, 13, 0, 0, 332, 73);
INSERT INTO public.who_data VALUES (78674, 16420, 68334, 318, 991, 332, 8);
INSERT INTO public.who_data VALUES (78675, 0, 17, 0, 0, 332, 227);
INSERT INTO public.who_data VALUES (78676, 55, 217, 0, 0, 332, 75);
INSERT INTO public.who_data VALUES (78677, 9, 65, 0, 0, 332, 45);
INSERT INTO public.who_data VALUES (78678, 0, 0, 0, 0, 332, 133);
INSERT INTO public.who_data VALUES (78679, 14, 91, 0, 0, 332, 202);
INSERT INTO public.who_data VALUES (78680, 14, 148, 0, 0, 332, 129);
INSERT INTO public.who_data VALUES (78681, 0, 0, 0, 0, 332, 36);
INSERT INTO public.who_data VALUES (78682, 0, 0, 0, 0, 332, 51);
INSERT INTO public.who_data VALUES (78683, 0, 3, 0, 0, 332, 206);
INSERT INTO public.who_data VALUES (78684, 0, 2, 0, 1, 332, 5);
INSERT INTO public.who_data VALUES (78685, 32, 74, 0, 1, 333, 103);
INSERT INTO public.who_data VALUES (78686, 23, 108, 0, 4, 333, 58);
INSERT INTO public.who_data VALUES (78687, 33, 264, 0, 17, 333, 195);
INSERT INTO public.who_data VALUES (78688, 0, 0, 0, 0, 333, 115);
INSERT INTO public.who_data VALUES (78689, 48, 213, 2, 3, 333, 99);
INSERT INTO public.who_data VALUES (78690, 0, 2, 0, 0, 333, 153);
INSERT INTO public.who_data VALUES (78691, 0, 0, 0, 0, 333, 93);
INSERT INTO public.who_data VALUES (78692, 0, 3, 0, 0, 333, 84);
INSERT INTO public.who_data VALUES (78693, 0, 301, 0, 4, 333, 78);
INSERT INTO public.who_data VALUES (78694, 41, 212, 0, 0, 333, 170);
INSERT INTO public.who_data VALUES (78695, 0, 12, 0, 0, 333, 32);
INSERT INTO public.who_data VALUES (78696, 287, 2423, 0, 8, 333, 155);
INSERT INTO public.who_data VALUES (78697, 796, 5282, 5, 30, 333, 82);
INSERT INTO public.who_data VALUES (78698, 15, 87, 0, 1, 333, 16);
INSERT INTO public.who_data VALUES (78699, 0, 4, 0, 0, 333, 72);
INSERT INTO public.who_data VALUES (78700, 29, 419, 0, 3, 333, 43);
INSERT INTO public.who_data VALUES (78701, 0, 39, 0, 4, 333, 120);
INSERT INTO public.who_data VALUES (78702, 0, 18, 0, 0, 333, 213);
INSERT INTO public.who_data VALUES (78703, 0, 81, 0, 0, 333, 31);
INSERT INTO public.who_data VALUES (78704, 1195, 8052, 77, 371, 333, 204);
INSERT INTO public.who_data VALUES (78705, 0, 1, 0, 0, 333, 152);
INSERT INTO public.who_data VALUES (78706, 0, 5, 0, 0, 333, 144);
INSERT INTO public.who_data VALUES (78707, 0, 6, 0, 0, 333, 96);
INSERT INTO public.who_data VALUES (78708, 0, 2, 0, 0, 333, 47);
INSERT INTO public.who_data VALUES (78709, 0, 28, 0, 0, 333, 80);
INSERT INTO public.who_data VALUES (78710, 0, 0, 0, 0, 333, 159);
INSERT INTO public.who_data VALUES (78711, 9, 173, 1, 3, 333, 27);
INSERT INTO public.who_data VALUES (78712, 0, 0, 0, 0, 333, 146);
INSERT INTO public.who_data VALUES (78713, 0, 2201, 0, 46, 333, 71);
INSERT INTO public.who_data VALUES (78714, 0, 0, 0, 0, 333, 210);
INSERT INTO public.who_data VALUES (78715, 13, 104, 0, 0, 333, 54);
INSERT INTO public.who_data VALUES (78716, 19, 220, 0, 3, 333, 147);
INSERT INTO public.who_data VALUES (78717, 15, 114, 0, 3, 333, 2);
INSERT INTO public.who_data VALUES (78718, 0, 0, 0, 0, 333, 105);
INSERT INTO public.who_data VALUES (78719, 0, 3, 0, 0, 333, 53);
INSERT INTO public.who_data VALUES (78720, 4, 91, 0, 0, 333, 81);
INSERT INTO public.who_data VALUES (78721, 0, 70, 1, 1, 333, 223);
INSERT INTO public.who_data VALUES (78722, 0, 1739, 0, 25, 333, 94);
INSERT INTO public.who_data VALUES (78723, 0, 5, 0, 1, 333, 154);
INSERT INTO public.who_data VALUES (78724, 0, 4, 0, 0, 333, 83);
INSERT INTO public.who_data VALUES (78725, 0, 3, 0, 0, 333, 194);
INSERT INTO public.who_data VALUES (78726, 0, 922, 0, 2, 333, 136);
INSERT INTO public.who_data VALUES (78727, 102, 81869, 4, 3287, 333, 179);
INSERT INTO public.who_data VALUES (78728, 0, 306, 0, 3, 333, 57);
INSERT INTO public.who_data VALUES (78729, 0, 0, 0, 0, 333, 35);
INSERT INTO public.who_data VALUES (78730, 0, 4, 0, 0, 333, 228);
INSERT INTO public.who_data VALUES (78731, 0, 0, 0, 0, 333, 19);
INSERT INTO public.who_data VALUES (78732, 0, 177, 0, 2, 333, 22);
INSERT INTO public.who_data VALUES (78733, 47, 72, 0, 0, 333, 1);
INSERT INTO public.who_data VALUES (78734, 76, 382, 1, 1, 333, 21);
INSERT INTO public.who_data VALUES (78735, 0, 48, 0, 1, 333, 234);
INSERT INTO public.who_data VALUES (78736, 0, 6, 0, 1, 333, 91);
INSERT INTO public.who_data VALUES (78737, 8, 124, 3, 3, 333, 137);
INSERT INTO public.who_data VALUES (78738, 158, 1394, 2, 3, 333, 201);
INSERT INTO public.who_data VALUES (78739, 0, 0, 0, 0, 333, 171);
INSERT INTO public.who_data VALUES (78740, 9, 45, 0, 2, 333, 92);
INSERT INTO public.who_data VALUES (78741, 131, 1591, 8, 32, 333, 112);
INSERT INTO public.who_data VALUES (78742, 9, 12, 0, 0, 333, 62);
INSERT INTO public.who_data VALUES (78743, 0, 2, 0, 0, 333, 69);
INSERT INTO public.who_data VALUES (78744, 0, 312, 0, 6, 333, 220);
INSERT INTO public.who_data VALUES (78745, 0, 1049, 0, 8, 333, 100);
INSERT INTO public.who_data VALUES (78746, 76, 442, 2, 21, 333, 187);
INSERT INTO public.who_data VALUES (78747, 0, 5, 0, 0, 333, 63);
INSERT INTO public.who_data VALUES (78748, 0, 6, 0, 0, 333, 28);
INSERT INTO public.who_data VALUES (78749, 0, 1, 0, 0, 333, 172);
INSERT INTO public.who_data VALUES (78750, 17, 369, 0, 0, 333, 17);
INSERT INTO public.who_data VALUES (78751, 0, 4, 0, 0, 333, 226);
INSERT INTO public.who_data VALUES (78752, 1, 12, 0, 0, 333, 236);
INSERT INTO public.who_data VALUES (78753, 0, 0, 0, 0, 333, 76);
INSERT INTO public.who_data VALUES (78754, 4, 122, 0, 0, 333, 30);
INSERT INTO public.who_data VALUES (78755, 1, 5, 0, 0, 333, 128);
INSERT INTO public.who_data VALUES (78756, 92, 792, 0, 1, 333, 86);
INSERT INTO public.who_data VALUES (78757, 2428, 22025, 240, 1100, 333, 140);
INSERT INTO public.who_data VALUES (78758, 0, 23, 0, 0, 333, 44);
INSERT INTO public.who_data VALUES (78759, 2, 25, 0, 0, 333, 113);
INSERT INTO public.who_data VALUES (78760, 0, 6, 0, 1, 333, 29);
INSERT INTO public.who_data VALUES (78761, -3, 2, 0, 0, 333, 125);
INSERT INTO public.who_data VALUES (78762, 7, 77, 0, 0, 333, 131);
INSERT INTO public.who_data VALUES (78763, 2342, 31554, 23, 149, 333, 46);
INSERT INTO public.who_data VALUES (78764, 26, 53, 0, 2, 333, 10);
INSERT INTO public.who_data VALUES (78765, 0, 15, 0, 0, 333, 205);
INSERT INTO public.who_data VALUES (78766, 48, 743, 3, 20, 333, 50);
INSERT INTO public.who_data VALUES (78767, 0, 4, 0, 0, 333, 20);
INSERT INTO public.who_data VALUES (78768, 0, 1, 0, 0, 333, 13);
INSERT INTO public.who_data VALUES (78769, 0, 73, 0, 0, 333, 148);
INSERT INTO public.who_data VALUES (78770, 3, 32, 0, 1, 333, 230);
INSERT INTO public.who_data VALUES (78771, 0, 21, 0, 1, 333, 190);
INSERT INTO public.who_data VALUES (78772, 3, 23, 0, 0, 333, 188);
INSERT INTO public.who_data VALUES (78773, 0, 4, 0, 0, 333, 123);
INSERT INTO public.who_data VALUES (78774, 0, 0, 0, 0, 333, 9);
INSERT INTO public.who_data VALUES (78775, 0, 9, 0, 1, 333, 102);
INSERT INTO public.who_data VALUES (78776, 0, 7, 0, 0, 333, 34);
INSERT INTO public.who_data VALUES (78777, 0, 1, 0, 0, 333, 212);
INSERT INTO public.who_data VALUES (78778, 0, 30, 0, 0, 333, 122);
INSERT INTO public.who_data VALUES (78779, 39, 226, 2, 10, 333, 38);
INSERT INTO public.who_data VALUES (78780, 60, 648, 0, 2, 333, 130);
INSERT INTO public.who_data VALUES (78781, 87, 606, 1, 10, 333, 37);
INSERT INTO public.who_data VALUES (78782, 211, 790, 9, 58, 333, 231);
INSERT INTO public.who_data VALUES (78783, 2206, 27017, 143, 2077, 333, 107);
INSERT INTO public.who_data VALUES (78784, 30, 346, 2, 29, 333, 101);
INSERT INTO public.who_data VALUES (78785, 204, 1329, 1, 7, 333, 132);
INSERT INTO public.who_data VALUES (78786, 10, 23, 0, 0, 333, 176);
INSERT INTO public.who_data VALUES (78787, 352, 1620, 0, 1, 333, 200);
INSERT INTO public.who_data VALUES (78788, 5249, 69176, 743, 6820, 333, 169);
INSERT INTO public.who_data VALUES (78789, 0, 21, 0, 1, 333, 225);
INSERT INTO public.who_data VALUES (78790, 65, 1193, 1, 43, 333, 165);
INSERT INTO public.who_data VALUES (78791, 0, 16, 0, 0, 333, 233);
INSERT INTO public.who_data VALUES (78792, 26, 153, 0, 0, 333, 215);
INSERT INTO public.who_data VALUES (78793, 15, 97, 0, 0, 333, 177);
INSERT INTO public.who_data VALUES (78794, 9, 25, 0, 0, 333, 183);
INSERT INTO public.who_data VALUES (78795, 0, 0, 0, 0, 333, 203);
INSERT INTO public.who_data VALUES (78796, 8, 71, 0, 1, 333, 162);
INSERT INTO public.who_data VALUES (78797, 4, 195, 0, 0, 333, 12);
INSERT INTO public.who_data VALUES (78798, 0, 42, 0, 0, 333, 24);
INSERT INTO public.who_data VALUES (78799, 0, 2, 0, 0, 333, 119);
INSERT INTO public.who_data VALUES (78800, 17, 197, 0, 0, 333, 39);
INSERT INTO public.who_data VALUES (78801, 29, 333, 0, 4, 333, 26);
INSERT INTO public.who_data VALUES (78802, 0, 0, 0, 0, 333, 59);
INSERT INTO public.who_data VALUES (78803, 0, 3, 0, 0, 333, 77);
INSERT INTO public.who_data VALUES (78804, 1, 1, 0, 0, 333, 134);
INSERT INTO public.who_data VALUES (78805, 2, 53, 0, 0, 333, 4);
INSERT INTO public.who_data VALUES (78806, 42, 208, 2, 3, 333, 109);
INSERT INTO public.who_data VALUES (78807, 224, 1099, 0, 8, 333, 90);
INSERT INTO public.who_data VALUES (78808, 6, 19, 0, 0, 333, 61);
INSERT INTO public.who_data VALUES (78809, 0, 0, 0, 0, 333, 85);
INSERT INTO public.who_data VALUES (78810, 278, 1796, 1, 16, 333, 49);
INSERT INTO public.who_data VALUES (78811, 0, 17, 0, 0, 333, 208);
INSERT INTO public.who_data VALUES (78812, 0, 0, 0, 0, 333, 166);
INSERT INTO public.who_data VALUES (78813, 7, 114, 0, 0, 333, 64);
INSERT INTO public.who_data VALUES (78814, 0, 0, 0, 0, 333, 199);
INSERT INTO public.who_data VALUES (78815, 0, 57, 0, 0, 333, 114);
INSERT INTO public.who_data VALUES (78816, 0, 6, 0, 0, 333, 60);
INSERT INTO public.who_data VALUES (78817, 6, 42, 2, 2, 333, 68);
INSERT INTO public.who_data VALUES (78818, 6, 30, 0, 0, 333, 158);
INSERT INTO public.who_data VALUES (78819, 0, 316, 0, 2, 333, 52);
INSERT INTO public.who_data VALUES (78820, 0, 0, 0, 0, 333, 117);
INSERT INTO public.who_data VALUES (78821, 1, 23, 0, 0, 333, 126);
INSERT INTO public.who_data VALUES (78822, 0, 10, 0, 0, 333, 196);
INSERT INTO public.who_data VALUES (78823, 15, 66, 0, 1, 333, 142);
INSERT INTO public.who_data VALUES (78824, 0, 5, 0, 0, 333, 185);
INSERT INTO public.who_data VALUES (78825, 27, 170, 1, 5, 333, 138);
INSERT INTO public.who_data VALUES (78826, 2, 3, 0, 0, 333, 181);
INSERT INTO public.who_data VALUES (78827, 1, 3, 0, 0, 333, 178);
INSERT INTO public.who_data VALUES (78828, -3, 4, 0, 0, 333, 168);
INSERT INTO public.who_data VALUES (78829, 0, 0, 0, 0, 333, 160);
INSERT INTO public.who_data VALUES (78830, 0, 2, 0, 0, 333, 151);
INSERT INTO public.who_data VALUES (78831, 749, 5487, 62, 272, 333, 193);
INSERT INTO public.who_data VALUES (78832, 3, 12, 0, 0, 333, 18);
INSERT INTO public.who_data VALUES (78833, 47, 189, 0, 0, 333, 40);
INSERT INTO public.who_data VALUES (78834, 0, 2, 0, 0, 333, 218);
INSERT INTO public.who_data VALUES (78835, 0, 2, 0, 0, 333, 191);
INSERT INTO public.who_data VALUES (78836, 20, 42, 0, 0, 333, 156);
INSERT INTO public.who_data VALUES (78837, 0, 0, 0, 0, 333, 135);
INSERT INTO public.who_data VALUES (78838, 0, 0, 0, 0, 333, 88);
INSERT INTO public.who_data VALUES (78839, 29, 177, 0, 2, 333, 55);
INSERT INTO public.who_data VALUES (78840, 195, 2566, 2, 10, 333, 108);
INSERT INTO public.who_data VALUES (78841, 2, 62, 0, 0, 333, 48);
INSERT INTO public.who_data VALUES (78842, 15, 99, 0, 0, 333, 3);
INSERT INTO public.who_data VALUES (78843, 0, 712, 0, 10, 333, 224);
INSERT INTO public.who_data VALUES (78844, 104, 991, 1, 7, 333, 110);
INSERT INTO public.who_data VALUES (78845, 0, 0, 0, 0, 333, 106);
INSERT INTO public.who_data VALUES (78846, 0, 345, 0, 6, 333, 89);
INSERT INTO public.who_data VALUES (78847, 0, 1, 0, 0, 333, 121);
INSERT INTO public.who_data VALUES (78848, 0, 27, 0, 2, 333, 163);
INSERT INTO public.who_data VALUES (78849, 0, 416, 0, 5, 333, 70);
INSERT INTO public.who_data VALUES (78850, 174, 636, 5, 38, 333, 174);
INSERT INTO public.who_data VALUES (78851, 0, 0, 0, 0, 333, 175);
INSERT INTO public.who_data VALUES (78852, 152, 901, 2, 10, 333, 118);
INSERT INTO public.who_data VALUES (78853, 302, 2362, 10, 33, 333, 189);
INSERT INTO public.who_data VALUES (78854, 0, 39, 0, 2, 333, 124);
INSERT INTO public.who_data VALUES (78855, 25, 526, 0, 0, 333, 192);
INSERT INTO public.who_data VALUES (78856, 100, 9137, 6, 126, 333, 41);
INSERT INTO public.who_data VALUES (78857, 40, 149, 0, 1, 333, 95);
INSERT INTO public.who_data VALUES (78858, 12, 83, 0, 0, 333, 74);
INSERT INTO public.who_data VALUES (78859, 186, 762, 4, 11, 333, 11);
INSERT INTO public.who_data VALUES (78860, 163, 658, 0, 0, 333, 87);
INSERT INTO public.who_data VALUES (78861, 4, 40, 0, 0, 333, 214);
INSERT INTO public.who_data VALUES (78862, 0, 0, 0, 0, 333, 116);
INSERT INTO public.who_data VALUES (78863, 0, 3, 0, 0, 333, 157);
INSERT INTO public.who_data VALUES (78864, 0, 0, 0, 0, 333, 182);
INSERT INTO public.who_data VALUES (78865, 0, 0, 0, 0, 333, 186);
INSERT INTO public.who_data VALUES (78866, 0, 3, 0, 0, 333, 127);
INSERT INTO public.who_data VALUES (78867, 0, 8, 0, 0, 333, 232);
INSERT INTO public.who_data VALUES (78868, 0, 0, 0, 0, 333, 33);
INSERT INTO public.who_data VALUES (78869, 0, 1, 0, 0, 333, 97);
INSERT INTO public.who_data VALUES (78870, 0, 0, 0, 0, 333, 42);
INSERT INTO public.who_data VALUES (78871, 21, 208, 0, 21, 333, 198);
INSERT INTO public.who_data VALUES (78872, 0, 0, 0, 0, 333, 216);
INSERT INTO public.who_data VALUES (78873, 133, 900, 1, 2, 333, 164);
INSERT INTO public.who_data VALUES (78874, 7, 86, 0, 0, 333, 235);
INSERT INTO public.who_data VALUES (78875, 135, 384, 2, 4, 333, 67);
INSERT INTO public.who_data VALUES (78876, 0, 7, 0, 0, 333, 15);
INSERT INTO public.who_data VALUES (78877, 0, 0, 0, 0, 333, 180);
INSERT INTO public.who_data VALUES (78878, 51, 558, 0, 2, 333, 237);
INSERT INTO public.who_data VALUES (78879, 0, 0, 0, 0, 333, 25);
INSERT INTO public.who_data VALUES (78880, 0, 2, 0, 0, 333, 209);
INSERT INTO public.who_data VALUES (78881, 6, 191, 0, 0, 333, 217);
INSERT INTO public.who_data VALUES (78882, 36, 478, 1, 3, 333, 79);
INSERT INTO public.who_data VALUES (78883, 0, 0, 0, 0, 333, 143);
INSERT INTO public.who_data VALUES (78884, 0, 5, 0, 0, 333, 229);
INSERT INTO public.who_data VALUES (78885, 152, 554, 0, 0, 333, 141);
INSERT INTO public.who_data VALUES (78886, 0, 0, 0, 0, 333, 197);
INSERT INTO public.who_data VALUES (78887, 8206, 57150, 686, 3600, 333, 221);
INSERT INTO public.who_data VALUES (78888, 5, 102, 0, 0, 333, 150);
INSERT INTO public.who_data VALUES (78889, 0, 3, 0, 1, 333, 56);
INSERT INTO public.who_data VALUES (78890, 0, 6, 0, 0, 333, 167);
INSERT INTO public.who_data VALUES (78891, 182, 2169, 11, 60, 333, 23);
INSERT INTO public.who_data VALUES (78892, 1241, 11955, 19, 169, 333, 222);
INSERT INTO public.who_data VALUES (78893, 0, 1, 0, 0, 333, 219);
INSERT INTO public.who_data VALUES (78894, 0, 0, 0, 0, 333, 7);
INSERT INTO public.who_data VALUES (78895, 107, 934, 0, 4, 333, 161);
INSERT INTO public.who_data VALUES (78896, 2338, 12654, 148, 512, 333, 149);
INSERT INTO public.who_data VALUES (78897, 0, 1, 0, 0, 333, 6);
INSERT INTO public.who_data VALUES (78898, 2, 20, 0, 0, 333, 139);
INSERT INTO public.who_data VALUES (78899, 0, 0, 0, 0, 333, 211);
INSERT INTO public.who_data VALUES (78900, 0, 0, 0, 0, 333, 14);
INSERT INTO public.who_data VALUES (78901, 0, 57, 0, 0, 333, 111);
INSERT INTO public.who_data VALUES (78902, 59, 173, 2, 5, 333, 207);
INSERT INTO public.who_data VALUES (78903, 343, 1872, 7, 44, 333, 66);
INSERT INTO public.who_data VALUES (78904, 0, 0, 0, 0, 333, 173);
INSERT INTO public.who_data VALUES (78905, 0, 1, 0, 0, 333, 145);
INSERT INTO public.who_data VALUES (78906, 0, 0, 0, 0, 333, 65);
INSERT INTO public.who_data VALUES (78907, 0, 9, 0, 0, 333, 184);
INSERT INTO public.who_data VALUES (78908, 29, 113, 1, 4, 333, 98);
INSERT INTO public.who_data VALUES (78909, 85, 333, 0, 2, 333, 104);
INSERT INTO public.who_data VALUES (78910, 0, 12, 0, 0, 333, 73);
INSERT INTO public.who_data VALUES (78911, 0, 51914, 0, 673, 333, 8);
INSERT INTO public.who_data VALUES (78912, 0, 17, 0, 0, 333, 227);
INSERT INTO public.who_data VALUES (78913, 0, 162, 0, 0, 333, 75);
INSERT INTO public.who_data VALUES (78914, 6, 56, 0, 0, 333, 45);
INSERT INTO public.who_data VALUES (78915, 0, 0, 0, 0, 333, 133);
INSERT INTO public.who_data VALUES (78916, 0, 77, 0, 0, 333, 202);
INSERT INTO public.who_data VALUES (78917, 11, 134, 0, 0, 333, 129);
INSERT INTO public.who_data VALUES (78918, 0, 0, 0, 0, 333, 36);
INSERT INTO public.who_data VALUES (78919, 0, 0, 0, 0, 333, 51);
INSERT INTO public.who_data VALUES (78920, 0, 3, 0, 0, 333, 206);
INSERT INTO public.who_data VALUES (78921, 0, 2, 0, 1, 333, 5);
INSERT INTO public.who_data VALUES (78922, 2, 42, 0, 1, 334, 103);
INSERT INTO public.who_data VALUES (78923, 19, 85, 1, 4, 334, 58);
INSERT INTO public.who_data VALUES (78924, 30, 231, 0, 17, 334, 195);
INSERT INTO public.who_data VALUES (78925, 0, 0, 0, 0, 334, 115);
INSERT INTO public.who_data VALUES (78926, 31, 165, 0, 1, 334, 99);
INSERT INTO public.who_data VALUES (78927, 0, 2, 0, 0, 334, 153);
INSERT INTO public.who_data VALUES (78928, 0, 0, 0, 0, 334, 93);
INSERT INTO public.who_data VALUES (78929, -2, 3, 0, 0, 334, 84);
INSERT INTO public.who_data VALUES (78930, 76, 301, 0, 4, 334, 78);
INSERT INTO public.who_data VALUES (78931, 4, 171, 0, 0, 334, 170);
INSERT INTO public.who_data VALUES (78932, 4, 12, 0, 0, 334, 32);
INSERT INTO public.who_data VALUES (78933, 427, 2136, 1, 8, 334, 155);
INSERT INTO public.who_data VALUES (78934, 855, 4486, 9, 25, 334, 82);
INSERT INTO public.who_data VALUES (78935, 0, 72, 0, 1, 334, 16);
INSERT INTO public.who_data VALUES (78936, 0, 4, 0, 0, 334, 72);
INSERT INTO public.who_data VALUES (78937, 51, 390, 1, 3, 334, 43);
INSERT INTO public.who_data VALUES (78938, 12, 39, 2, 4, 334, 120);
INSERT INTO public.who_data VALUES (78939, 13, 18, 0, 0, 334, 213);
INSERT INTO public.who_data VALUES (78940, 0, 81, 0, 0, 334, 31);
INSERT INTO public.who_data VALUES (78941, 1328, 6857, 78, 294, 334, 204);
INSERT INTO public.who_data VALUES (78942, 1, 1, 0, 0, 334, 152);
INSERT INTO public.who_data VALUES (78943, 3, 5, 0, 0, 334, 144);
INSERT INTO public.who_data VALUES (78944, 0, 6, 0, 0, 334, 96);
INSERT INTO public.who_data VALUES (78945, 0, 2, 0, 0, 334, 47);
INSERT INTO public.who_data VALUES (78946, 4, 28, 0, 0, 334, 80);
INSERT INTO public.who_data VALUES (78947, 0, 0, 0, 0, 334, 159);
INSERT INTO public.who_data VALUES (78948, 33, 164, 1, 2, 334, 27);
INSERT INTO public.who_data VALUES (78949, 0, 0, 0, 0, 334, 146);
INSERT INTO public.who_data VALUES (78950, 1297, 2201, 35, 46, 334, 71);
INSERT INTO public.who_data VALUES (78951, 0, 0, 0, 0, 334, 210);
INSERT INTO public.who_data VALUES (78952, 3, 91, 0, 0, 334, 54);
INSERT INTO public.who_data VALUES (78953, 16, 201, 0, 3, 334, 147);
INSERT INTO public.who_data VALUES (78954, 24, 99, 0, 3, 334, 2);
INSERT INTO public.who_data VALUES (78955, 0, 0, 0, 0, 334, 105);
INSERT INTO public.who_data VALUES (78956, 0, 3, 0, 0, 334, 53);
INSERT INTO public.who_data VALUES (78957, 1, 87, 0, 0, 334, 81);
INSERT INTO public.who_data VALUES (78958, 30, 70, 0, 0, 334, 223);
INSERT INTO public.who_data VALUES (78959, 355, 1739, 6, 25, 334, 94);
INSERT INTO public.who_data VALUES (78960, 2, 5, 0, 1, 334, 154);
INSERT INTO public.who_data VALUES (78961, 0, 4, 0, 0, 334, 83);
INSERT INTO public.who_data VALUES (78962, -2, 3, 0, 0, 334, 194);
INSERT INTO public.who_data VALUES (78963, 290, 922, 1, 2, 334, 136);
INSERT INTO public.who_data VALUES (78964, 164, 81767, 7, 3283, 334, 179);
INSERT INTO public.who_data VALUES (78965, 110, 306, 1, 3, 334, 57);
INSERT INTO public.who_data VALUES (78966, 0, 0, 0, 0, 334, 35);
INSERT INTO public.who_data VALUES (78967, 0, 4, 0, 0, 334, 228);
INSERT INTO public.who_data VALUES (78968, 0, 0, 0, 0, 334, 19);
INSERT INTO public.who_data VALUES (78969, 60, 177, 0, 2, 334, 22);
INSERT INTO public.who_data VALUES (78970, 0, 25, 0, 0, 334, 1);
INSERT INTO public.who_data VALUES (78971, 71, 306, 0, 0, 334, 21);
INSERT INTO public.who_data VALUES (78972, 32, 48, 0, 1, 334, 234);
INSERT INTO public.who_data VALUES (78973, 3, 6, 0, 1, 334, 91);
INSERT INTO public.who_data VALUES (78974, 21, 116, 0, 0, 334, 137);
INSERT INTO public.who_data VALUES (78975, 71, 1236, 0, 1, 334, 201);
INSERT INTO public.who_data VALUES (78976, 0, 0, 0, 0, 334, 171);
INSERT INTO public.who_data VALUES (78977, 6, 36, 0, 2, 334, 92);
INSERT INTO public.who_data VALUES (78978, 65, 1460, 11, 24, 334, 112);
INSERT INTO public.who_data VALUES (78979, 0, 3, 0, 0, 334, 62);
INSERT INTO public.who_data VALUES (78980, 2, 2, 0, 0, 334, 69);
INSERT INTO public.who_data VALUES (78981, 240, 312, 4, 6, 334, 220);
INSERT INTO public.who_data VALUES (78982, 517, 1049, 1, 8, 334, 100);
INSERT INTO public.who_data VALUES (78983, 39, 366, 5, 19, 334, 187);
INSERT INTO public.who_data VALUES (78984, 4, 5, 0, 0, 334, 63);
INSERT INTO public.who_data VALUES (78985, 0, 6, 0, 0, 334, 28);
INSERT INTO public.who_data VALUES (78986, 0, 1, 0, 0, 334, 172);
INSERT INTO public.who_data VALUES (78987, 26, 352, 0, 0, 334, 17);
INSERT INTO public.who_data VALUES (78988, 0, 4, 0, 0, 334, 226);
INSERT INTO public.who_data VALUES (78989, 0, 11, 0, 0, 334, 236);
INSERT INTO public.who_data VALUES (78990, 0, 0, 0, 0, 334, 76);
INSERT INTO public.who_data VALUES (78991, 3, 118, 0, 0, 334, 30);
INSERT INTO public.who_data VALUES (78992, 1, 4, 0, 0, 334, 128);
INSERT INTO public.who_data VALUES (78993, 74, 700, 0, 1, 334, 86);
INSERT INTO public.who_data VALUES (78994, 3776, 19597, 186, 860, 334, 140);
INSERT INTO public.who_data VALUES (78995, 5, 23, 0, 0, 334, 44);
INSERT INTO public.who_data VALUES (78996, 5, 23, 0, 0, 334, 113);
INSERT INTO public.who_data VALUES (78997, 0, 6, 0, 1, 334, 29);
INSERT INTO public.who_data VALUES (78998, 0, 5, 0, 0, 334, 125);
INSERT INTO public.who_data VALUES (78999, 9, 70, 0, 0, 334, 131);
INSERT INTO public.who_data VALUES (79000, 4438, 29212, 32, 126, 334, 46);
INSERT INTO public.who_data VALUES (79001, 3, 27, 2, 2, 334, 10);
INSERT INTO public.who_data VALUES (79002, 0, 15, 0, 0, 334, 205);
INSERT INTO public.who_data VALUES (79003, 71, 695, 2, 17, 334, 50);
INSERT INTO public.who_data VALUES (79004, 2, 4, 0, 0, 334, 20);
INSERT INTO public.who_data VALUES (79005, 0, 1, 0, 0, 334, 13);
INSERT INTO public.who_data VALUES (79006, 17, 73, 0, 0, 334, 148);
INSERT INTO public.who_data VALUES (79007, 2, 29, 0, 1, 334, 230);
INSERT INTO public.who_data VALUES (79008, 3, 21, 0, 1, 334, 190);
INSERT INTO public.who_data VALUES (79009, 3, 20, 0, 0, 334, 188);
INSERT INTO public.who_data VALUES (79010, -2, 4, 0, 0, 334, 123);
INSERT INTO public.who_data VALUES (79011, 0, 0, 0, 0, 334, 9);
INSERT INTO public.who_data VALUES (79012, 0, 9, 0, 1, 334, 102);
INSERT INTO public.who_data VALUES (79013, 5, 7, 0, 0, 334, 34);
INSERT INTO public.who_data VALUES (79014, 0, 1, 0, 0, 334, 212);
INSERT INTO public.who_data VALUES (79015, 4, 30, 0, 0, 334, 122);
INSERT INTO public.who_data VALUES (79016, 20, 187, 1, 8, 334, 38);
INSERT INTO public.who_data VALUES (79017, 20, 588, 1, 2, 334, 130);
INSERT INTO public.who_data VALUES (79018, 85, 519, 0, 9, 334, 37);
INSERT INTO public.who_data VALUES (79019, 0, 579, 0, 49, 334, 231);
INSERT INTO public.who_data VALUES (79020, 1762, 24811, 122, 1934, 334, 107);
INSERT INTO public.who_data VALUES (79021, 50, 316, 4, 27, 334, 101);
INSERT INTO public.who_data VALUES (79022, 219, 1125, 2, 6, 334, 132);
INSERT INTO public.who_data VALUES (79023, 11, 13, 0, 0, 334, 176);
INSERT INTO public.who_data VALUES (79024, 254, 1268, 0, 1, 334, 200);
INSERT INTO public.who_data VALUES (79025, 4789, 63927, 601, 6077, 334, 169);
INSERT INTO public.who_data VALUES (79026, 2, 21, 0, 1, 334, 225);
INSERT INTO public.who_data VALUES (79027, 39, 1128, 1, 42, 334, 165);
INSERT INTO public.who_data VALUES (79028, 1, 16, 0, 0, 334, 233);
INSERT INTO public.who_data VALUES (79029, 15, 127, 0, 0, 334, 215);
INSERT INTO public.who_data VALUES (79030, 10, 82, 0, 0, 334, 177);
INSERT INTO public.who_data VALUES (79031, 1, 16, 0, 0, 334, 183);
INSERT INTO public.who_data VALUES (79032, 0, 0, 0, 0, 334, 203);
INSERT INTO public.who_data VALUES (79033, 28, 63, 0, 1, 334, 162);
INSERT INTO public.who_data VALUES (79034, 2, 191, 0, 0, 334, 12);
INSERT INTO public.who_data VALUES (79035, 28, 42, 0, 0, 334, 24);
INSERT INTO public.who_data VALUES (79036, 2, 2, 0, 0, 334, 119);
INSERT INTO public.who_data VALUES (79037, 41, 180, 0, 0, 334, 39);
INSERT INTO public.who_data VALUES (79038, 37, 304, 0, 4, 334, 26);
INSERT INTO public.who_data VALUES (79039, 0, 0, 0, 0, 334, 59);
INSERT INTO public.who_data VALUES (79040, 0, 3, 0, 0, 334, 77);
INSERT INTO public.who_data VALUES (79041, 0, 0, 0, 0, 334, 134);
INSERT INTO public.who_data VALUES (79042, 3, 51, 0, 0, 334, 4);
INSERT INTO public.who_data VALUES (79043, 38, 166, 0, 1, 334, 109);
INSERT INTO public.who_data VALUES (79044, 77, 875, 0, 8, 334, 90);
INSERT INTO public.who_data VALUES (79045, 1, 13, 0, 0, 334, 61);
INSERT INTO public.who_data VALUES (79046, 0, 0, 0, 0, 334, 85);
INSERT INTO public.who_data VALUES (79047, 212, 1518, 4, 15, 334, 49);
INSERT INTO public.who_data VALUES (79048, 0, 17, 0, 0, 334, 208);
INSERT INTO public.who_data VALUES (79049, 0, 0, 0, 0, 334, 166);
INSERT INTO public.who_data VALUES (79050, 17, 107, 0, 0, 334, 64);
INSERT INTO public.who_data VALUES (79051, 0, 0, 0, 0, 334, 199);
INSERT INTO public.who_data VALUES (79052, 20, 57, 0, 0, 334, 114);
INSERT INTO public.who_data VALUES (79053, 0, 6, 0, 0, 334, 60);
INSERT INTO public.who_data VALUES (79054, 24, 36, 0, 0, 334, 68);
INSERT INTO public.who_data VALUES (79055, 10, 24, 0, 0, 334, 158);
INSERT INTO public.who_data VALUES (79056, 65, 316, 0, 2, 334, 52);
INSERT INTO public.who_data VALUES (79057, 0, 0, 0, 0, 334, 117);
INSERT INTO public.who_data VALUES (79058, 2, 22, 0, 0, 334, 126);
INSERT INTO public.who_data VALUES (79059, 0, 10, 0, 0, 334, 196);
INSERT INTO public.who_data VALUES (79060, 22, 51, 0, 1, 334, 142);
INSERT INTO public.who_data VALUES (79061, 0, 5, 0, 0, 334, 185);
INSERT INTO public.who_data VALUES (79062, 9, 143, 0, 4, 334, 138);
INSERT INTO public.who_data VALUES (79063, 0, 1, 0, 0, 334, 181);
INSERT INTO public.who_data VALUES (79064, 2, 2, 0, 0, 334, 178);
INSERT INTO public.who_data VALUES (79065, 0, 7, 0, 0, 334, 168);
INSERT INTO public.who_data VALUES (79066, 0, 0, 0, 0, 334, 160);
INSERT INTO public.who_data VALUES (79067, -3, 2, 0, 0, 334, 151);
INSERT INTO public.who_data VALUES (79068, 553, 4738, 32, 210, 334, 193);
INSERT INTO public.who_data VALUES (79069, 2, 9, 0, 0, 334, 18);
INSERT INTO public.who_data VALUES (79070, 40, 142, 0, 0, 334, 40);
INSERT INTO public.who_data VALUES (79071, 0, 2, 0, 0, 334, 218);
INSERT INTO public.who_data VALUES (79072, 0, 2, 0, 0, 334, 191);
INSERT INTO public.who_data VALUES (79073, 0, 22, 0, 0, 334, 156);
INSERT INTO public.who_data VALUES (79074, 0, 0, 0, 0, 334, 135);
INSERT INTO public.who_data VALUES (79075, 0, 0, 0, 0, 334, 88);
INSERT INTO public.who_data VALUES (79076, 12, 148, 0, 2, 334, 55);
INSERT INTO public.who_data VALUES (79077, 239, 2371, 1, 8, 334, 108);
INSERT INTO public.who_data VALUES (79078, 1, 60, 0, 0, 334, 48);
INSERT INTO public.who_data VALUES (79079, 18, 84, 0, 0, 334, 3);
INSERT INTO public.who_data VALUES (79080, 0, 712, 2, 10, 334, 224);
INSERT INTO public.who_data VALUES (79081, 103, 887, 1, 6, 334, 110);
INSERT INTO public.who_data VALUES (79082, 0, 0, 0, 0, 334, 106);
INSERT INTO public.who_data VALUES (79083, 100, 345, 3, 6, 334, 89);
INSERT INTO public.who_data VALUES (79084, 0, 1, 0, 0, 334, 121);
INSERT INTO public.who_data VALUES (79085, 5, 27, 1, 2, 334, 163);
INSERT INTO public.who_data VALUES (79086, 98, 416, 3, 5, 334, 70);
INSERT INTO public.who_data VALUES (79087, 66, 462, 0, 33, 334, 174);
INSERT INTO public.who_data VALUES (79088, 0, 0, 0, 0, 334, 175);
INSERT INTO public.who_data VALUES (79089, 115, 749, 1, 8, 334, 118);
INSERT INTO public.who_data VALUES (79090, 460, 2060, 9, 23, 334, 189);
INSERT INTO public.who_data VALUES (79091, 16, 39, 1, 2, 334, 124);
INSERT INTO public.who_data VALUES (79092, 7, 501, 0, 0, 334, 192);
INSERT INTO public.who_data VALUES (79093, 76, 9037, 9, 120, 334, 41);
INSERT INTO public.who_data VALUES (79094, 15, 109, 0, 1, 334, 95);
INSERT INTO public.who_data VALUES (79095, 7, 71, 0, 0, 334, 74);
INSERT INTO public.who_data VALUES (79096, 143, 576, 5, 7, 334, 11);
INSERT INTO public.who_data VALUES (79097, 57, 495, 0, 0, 334, 87);
INSERT INTO public.who_data VALUES (79098, 19, 36, 0, 0, 334, 214);
INSERT INTO public.who_data VALUES (79099, 0, 0, 0, 0, 334, 116);
INSERT INTO public.who_data VALUES (79100, 0, 3, 0, 0, 334, 157);
INSERT INTO public.who_data VALUES (79101, 0, 0, 0, 0, 334, 182);
INSERT INTO public.who_data VALUES (79102, 0, 0, 0, 0, 334, 186);
INSERT INTO public.who_data VALUES (79103, -3, 3, 0, 0, 334, 127);
INSERT INTO public.who_data VALUES (79104, 3, 8, 0, 0, 334, 232);
INSERT INTO public.who_data VALUES (79105, 0, 0, 0, 0, 334, 33);
INSERT INTO public.who_data VALUES (79106, 0, 1, 0, 0, 334, 97);
INSERT INTO public.who_data VALUES (79107, 0, 0, 0, 0, 334, 42);
INSERT INTO public.who_data VALUES (79108, 0, 187, 1, 21, 334, 198);
INSERT INTO public.who_data VALUES (79109, 0, 0, 0, 0, 334, 216);
INSERT INTO public.who_data VALUES (79110, 205, 767, 1, 1, 334, 164);
INSERT INTO public.who_data VALUES (79111, 12, 79, 0, 0, 334, 235);
INSERT INTO public.who_data VALUES (79112, 27, 249, 0, 2, 334, 67);
INSERT INTO public.who_data VALUES (79113, 0, 7, 0, 0, 334, 15);
INSERT INTO public.who_data VALUES (79114, 0, 0, 0, 0, 334, 180);
INSERT INTO public.who_data VALUES (79115, 52, 507, 0, 2, 334, 237);
INSERT INTO public.who_data VALUES (79116, 0, 0, 0, 0, 334, 25);
INSERT INTO public.who_data VALUES (79117, -3, 2, 0, 0, 334, 209);
INSERT INTO public.who_data VALUES (79118, 7, 185, 0, 0, 334, 217);
INSERT INTO public.who_data VALUES (79119, 36, 442, 1, 2, 334, 79);
INSERT INTO public.who_data VALUES (79120, 0, 0, 0, 0, 334, 143);
INSERT INTO public.who_data VALUES (79121, 0, 5, 0, 0, 334, 229);
INSERT INTO public.who_data VALUES (79122, 128, 402, 0, 0, 334, 141);
INSERT INTO public.who_data VALUES (79123, 0, 0, 0, 0, 334, 197);
INSERT INTO public.who_data VALUES (79124, 5322, 48944, 551, 2914, 334, 221);
INSERT INTO public.who_data VALUES (79125, 3, 97, 0, 0, 334, 150);
INSERT INTO public.who_data VALUES (79126, 1, 3, 0, 1, 334, 56);
INSERT INTO public.who_data VALUES (79127, 4, 6, 0, 0, 334, 167);
INSERT INTO public.who_data VALUES (79128, 118, 1987, 11, 49, 334, 23);
INSERT INTO public.who_data VALUES (79129, 1461, 10714, 23, 150, 334, 222);
INSERT INTO public.who_data VALUES (79130, 0, 1, 0, 0, 334, 219);
INSERT INTO public.who_data VALUES (79131, 0, 0, 0, 0, 334, 7);
INSERT INTO public.who_data VALUES (79132, 106, 827, 3, 4, 334, 161);
INSERT INTO public.who_data VALUES (79133, 1378, 10316, 76, 364, 334, 149);
INSERT INTO public.who_data VALUES (79134, 0, 1, 0, 0, 334, 6);
INSERT INTO public.who_data VALUES (79135, 2, 18, 0, 0, 334, 139);
INSERT INTO public.who_data VALUES (79136, 0, 0, 0, 0, 334, 211);
INSERT INTO public.who_data VALUES (79137, 0, 0, 0, 0, 334, 14);
INSERT INTO public.who_data VALUES (79138, 7, 57, 0, 0, 334, 111);
INSERT INTO public.who_data VALUES (79139, 25, 114, 0, 3, 334, 207);
INSERT INTO public.who_data VALUES (79140, 293, 1529, 7, 37, 334, 66);
INSERT INTO public.who_data VALUES (79141, 0, 0, 0, 0, 334, 173);
INSERT INTO public.who_data VALUES (79142, 1, 1, 0, 0, 334, 145);
INSERT INTO public.who_data VALUES (79143, 0, 0, 0, 0, 334, 65);
INSERT INTO public.who_data VALUES (79144, 8, 9, 0, 0, 334, 184);
INSERT INTO public.who_data VALUES (79145, 11, 84, 0, 3, 334, 98);
INSERT INTO public.who_data VALUES (79146, 50, 248, 0, 2, 334, 104);
INSERT INTO public.who_data VALUES (79147, 0, 12, 0, 0, 334, 73);
INSERT INTO public.who_data VALUES (79148, 20341, 51914, 271, 673, 334, 8);
INSERT INTO public.who_data VALUES (79149, 11, 17, 0, 0, 334, 227);
INSERT INTO public.who_data VALUES (79150, 27, 162, 0, 0, 334, 75);
INSERT INTO public.who_data VALUES (79151, 4, 50, 0, 0, 334, 45);
INSERT INTO public.who_data VALUES (79152, 0, 0, 0, 0, 334, 133);
INSERT INTO public.who_data VALUES (79153, 7, 77, 0, 0, 334, 202);
INSERT INTO public.who_data VALUES (79154, 5, 123, 0, 0, 334, 129);
INSERT INTO public.who_data VALUES (79155, 0, 0, 0, 0, 334, 36);
INSERT INTO public.who_data VALUES (79156, 0, 0, 0, 0, 334, 51);
INSERT INTO public.who_data VALUES (79157, 0, 3, 0, 0, 334, 206);
INSERT INTO public.who_data VALUES (79158, 0, 2, 1, 1, 334, 5);
INSERT INTO public.who_data VALUES (79159, 6, 40, 1, 1, 335, 103);
INSERT INTO public.who_data VALUES (79160, 15, 66, 2, 3, 335, 58);
INSERT INTO public.who_data VALUES (79161, 62, 201, 2, 17, 335, 195);
INSERT INTO public.who_data VALUES (79162, 0, 0, 0, 0, 335, 115);
INSERT INTO public.who_data VALUES (79163, 1, 134, 0, 1, 335, 99);
INSERT INTO public.who_data VALUES (79164, 0, 2, 0, 0, 335, 153);
INSERT INTO public.who_data VALUES (79165, 0, 0, 0, 0, 335, 93);
INSERT INTO public.who_data VALUES (79166, 0, 5, 0, 0, 335, 84);
INSERT INTO public.who_data VALUES (79167, 67, 225, 1, 4, 335, 78);
INSERT INTO public.who_data VALUES (79168, 30, 167, 0, 0, 335, 170);
INSERT INTO public.who_data VALUES (79169, 3, 8, 0, 0, 335, 32);
INSERT INTO public.who_data VALUES (79170, 611, 1709, 0, 7, 335, 155);
INSERT INTO public.who_data VALUES (79171, 607, 3631, 8, 16, 335, 82);
INSERT INTO public.who_data VALUES (79172, 19, 72, 0, 1, 335, 16);
INSERT INTO public.who_data VALUES (79173, 0, 4, 0, 0, 335, 72);
INSERT INTO public.who_data VALUES (79174, 5, 339, 0, 2, 335, 43);
INSERT INTO public.who_data VALUES (79175, 3, 27, 0, 2, 335, 120);
INSERT INTO public.who_data VALUES (79176, 0, 5, 0, 0, 335, 213);
INSERT INTO public.who_data VALUES (79177, 5, 81, 0, 0, 335, 31);
INSERT INTO public.who_data VALUES (79178, 486, 5529, 47, 216, 335, 204);
INSERT INTO public.who_data VALUES (79179, 0, 0, 0, 0, 335, 152);
INSERT INTO public.who_data VALUES (79180, 0, 2, 0, 0, 335, 144);
INSERT INTO public.who_data VALUES (79181, 0, 6, 0, 0, 335, 96);
INSERT INTO public.who_data VALUES (79182, 0, 2, 0, 0, 335, 47);
INSERT INTO public.who_data VALUES (79183, 5, 24, 0, 0, 335, 80);
INSERT INTO public.who_data VALUES (79184, 0, 0, 0, 0, 335, 159);
INSERT INTO public.who_data VALUES (79185, 6, 131, 0, 1, 335, 27);
INSERT INTO public.who_data VALUES (79186, 0, 0, 0, 0, 335, 146);
INSERT INTO public.who_data VALUES (79187, 0, 904, 0, 11, 335, 71);
INSERT INTO public.who_data VALUES (79188, 0, 0, 0, 0, 335, 210);
INSERT INTO public.who_data VALUES (79189, 5, 88, 0, 0, 335, 54);
INSERT INTO public.who_data VALUES (79190, 22, 185, 0, 3, 335, 147);
INSERT INTO public.who_data VALUES (79191, 0, 75, 0, 3, 335, 2);
INSERT INTO public.who_data VALUES (79192, 0, 0, 0, 0, 335, 105);
INSERT INTO public.who_data VALUES (79193, 0, 3, 0, 0, 335, 53);
INSERT INTO public.who_data VALUES (79194, 33, 86, 0, 0, 335, 81);
INSERT INTO public.who_data VALUES (79195, 13, 40, 0, 0, 335, 223);
INSERT INTO public.who_data VALUES (79196, 336, 1384, 6, 19, 335, 94);
INSERT INTO public.who_data VALUES (79197, 0, 3, 0, 1, 335, 154);
INSERT INTO public.who_data VALUES (79198, 1, 4, 0, 0, 335, 83);
INSERT INTO public.who_data VALUES (79199, 0, 5, 0, 0, 335, 194);
INSERT INTO public.who_data VALUES (79200, 198, 632, 0, 1, 335, 136);
INSERT INTO public.who_data VALUES (79201, 104, 81603, 9, 3276, 335, 179);
INSERT INTO public.who_data VALUES (79202, 0, 196, 2, 2, 335, 57);
INSERT INTO public.who_data VALUES (79203, 0, 0, 0, 0, 335, 35);
INSERT INTO public.who_data VALUES (79204, 0, 4, 0, 0, 335, 228);
INSERT INTO public.who_data VALUES (79205, 0, 0, 0, 0, 335, 19);
INSERT INTO public.who_data VALUES (79206, 4, 117, 0, 2, 335, 22);
INSERT INTO public.who_data VALUES (79207, 12, 25, 0, 0, 335, 1);
INSERT INTO public.who_data VALUES (79208, 29, 235, 0, 0, 335, 21);
INSERT INTO public.who_data VALUES (79209, 0, 16, 0, 1, 335, 234);
INSERT INTO public.who_data VALUES (79210, 0, 3, 0, 1, 335, 91);
INSERT INTO public.who_data VALUES (79211, 11, 95, 0, 0, 335, 137);
INSERT INTO public.who_data VALUES (79212, 170, 1165, 1, 1, 335, 201);
INSERT INTO public.who_data VALUES (79213, 0, 0, 0, 0, 335, 171);
INSERT INTO public.who_data VALUES (79214, 12, 30, 2, 2, 335, 92);
INSERT INTO public.who_data VALUES (79215, 69, 1395, 0, 13, 335, 112);
INSERT INTO public.who_data VALUES (79216, -2, 3, 0, 0, 335, 62);
INSERT INTO public.who_data VALUES (79217, 0, 0, 0, 0, 335, 69);
INSERT INTO public.who_data VALUES (79218, 0, 72, 0, 2, 335, 220);
INSERT INTO public.who_data VALUES (79219, 26, 532, 0, 7, 335, 100);
INSERT INTO public.who_data VALUES (79220, 33, 327, 4, 14, 335, 187);
INSERT INTO public.who_data VALUES (79221, 0, 1, 0, 0, 335, 63);
INSERT INTO public.who_data VALUES (79222, 0, 6, 0, 0, 335, 28);
INSERT INTO public.who_data VALUES (79223, 0, 1, 0, 0, 335, 172);
INSERT INTO public.who_data VALUES (79224, 20, 326, 0, 0, 335, 17);
INSERT INTO public.who_data VALUES (79225, -1, 4, 0, 0, 335, 226);
INSERT INTO public.who_data VALUES (79226, -2, 11, 0, 0, 335, 236);
INSERT INTO public.who_data VALUES (79227, 0, 0, 0, 0, 335, 76);
INSERT INTO public.who_data VALUES (79228, 23, 115, 0, 0, 335, 30);
INSERT INTO public.who_data VALUES (79229, 1, 3, 0, 0, 335, 128);
INSERT INTO public.who_data VALUES (79230, 105, 626, 0, 1, 335, 86);
INSERT INTO public.who_data VALUES (79231, 1529, 15821, 112, 674, 335, 140);
INSERT INTO public.who_data VALUES (79232, 3, 18, 0, 0, 335, 44);
INSERT INTO public.who_data VALUES (79233, 3, 18, 0, 0, 335, 113);
INSERT INTO public.who_data VALUES (79234, 0, 6, 0, 1, 335, 29);
INSERT INTO public.who_data VALUES (79235, 0, 5, 0, 0, 335, 125);
INSERT INTO public.who_data VALUES (79236, 7, 61, 0, 0, 335, 131);
INSERT INTO public.who_data VALUES (79237, 3311, 24774, 27, 94, 335, 46);
INSERT INTO public.who_data VALUES (79238, 5, 24, 0, 0, 335, 10);
INSERT INTO public.who_data VALUES (79239, 5, 15, 0, 0, 335, 205);
INSERT INTO public.who_data VALUES (79240, 94, 624, 2, 15, 335, 50);
INSERT INTO public.who_data VALUES (79241, 0, 2, 0, 0, 335, 20);
INSERT INTO public.who_data VALUES (79242, 1, 1, 0, 0, 335, 13);
INSERT INTO public.who_data VALUES (79243, 5, 56, 0, 0, 335, 148);
INSERT INTO public.who_data VALUES (79244, 12, 27, 1, 1, 335, 230);
INSERT INTO public.who_data VALUES (79245, 6, 18, 0, 1, 335, 190);
INSERT INTO public.who_data VALUES (79246, 16, 17, 0, 0, 335, 188);
INSERT INTO public.who_data VALUES (79247, 0, 6, 0, 0, 335, 123);
INSERT INTO public.who_data VALUES (79248, 0, 0, 0, 0, 335, 9);
INSERT INTO public.who_data VALUES (79249, 0, 9, 0, 1, 335, 102);
INSERT INTO public.who_data VALUES (79250, 0, 2, 0, 0, 335, 34);
INSERT INTO public.who_data VALUES (79251, 0, 1, 0, 0, 335, 212);
INSERT INTO public.who_data VALUES (79252, 2, 26, 0, 0, 335, 122);
INSERT INTO public.who_data VALUES (79253, 36, 167, 3, 7, 335, 38);
INSERT INTO public.who_data VALUES (79254, 95, 568, 0, 1, 335, 130);
INSERT INTO public.who_data VALUES (79255, 93, 434, 4, 9, 335, 37);
INSERT INTO public.who_data VALUES (79256, 65, 579, 1, 49, 335, 231);
INSERT INTO public.who_data VALUES (79257, 1411, 23049, 127, 1812, 335, 107);
INSERT INTO public.who_data VALUES (79258, 33, 266, 3, 23, 335, 101);
INSERT INTO public.who_data VALUES (79259, 121, 906, 1, 4, 335, 132);
INSERT INTO public.who_data VALUES (79260, 0, 2, 0, 0, 335, 176);
INSERT INTO public.who_data VALUES (79261, 210, 1014, 0, 1, 335, 200);
INSERT INTO public.who_data VALUES (79262, 5560, 59138, 649, 5476, 335, 169);
INSERT INTO public.who_data VALUES (79263, 3, 19, 0, 1, 335, 225);
INSERT INTO public.who_data VALUES (79264, 43, 1089, 5, 41, 335, 165);
INSERT INTO public.who_data VALUES (79265, 3, 15, 0, 0, 335, 233);
INSERT INTO public.who_data VALUES (79266, 13, 112, 0, 0, 335, 215);
INSERT INTO public.who_data VALUES (79267, 10, 72, 0, 0, 335, 177);
INSERT INTO public.who_data VALUES (79268, 4, 15, 0, 0, 335, 183);
INSERT INTO public.who_data VALUES (79269, 0, 0, 0, 0, 335, 203);
INSERT INTO public.who_data VALUES (79270, 4, 35, 0, 1, 335, 162);
INSERT INTO public.who_data VALUES (79271, 1, 189, 0, 0, 335, 12);
INSERT INTO public.who_data VALUES (79272, 0, 14, 0, 0, 335, 24);
INSERT INTO public.who_data VALUES (79273, 0, 0, 0, 0, 335, 119);
INSERT INTO public.who_data VALUES (79274, 15, 139, 0, 0, 335, 39);
INSERT INTO public.who_data VALUES (79275, 19, 267, 0, 4, 335, 26);
INSERT INTO public.who_data VALUES (79276, 0, 0, 0, 0, 335, 59);
INSERT INTO public.who_data VALUES (79277, 0, 3, 0, 0, 335, 77);
INSERT INTO public.who_data VALUES (79278, 0, 0, 0, 0, 335, 134);
INSERT INTO public.who_data VALUES (79279, 2, 48, 0, 0, 335, 4);
INSERT INTO public.who_data VALUES (79280, 31, 128, 0, 1, 335, 109);
INSERT INTO public.who_data VALUES (79281, 128, 798, 0, 8, 335, 90);
INSERT INTO public.who_data VALUES (79282, 9, 12, 0, 0, 335, 61);
INSERT INTO public.who_data VALUES (79283, 0, 0, 0, 0, 335, 85);
INSERT INTO public.who_data VALUES (79284, 123, 1306, 2, 11, 335, 49);
INSERT INTO public.who_data VALUES (79285, 0, 17, 0, 0, 335, 208);
INSERT INTO public.who_data VALUES (79286, 0, 0, 0, 0, 335, 166);
INSERT INTO public.who_data VALUES (79287, 17, 90, 0, 0, 335, 64);
INSERT INTO public.who_data VALUES (79288, 0, 0, 0, 0, 335, 199);
INSERT INTO public.who_data VALUES (79289, 5, 37, 0, 0, 335, 114);
INSERT INTO public.who_data VALUES (79290, 0, 6, 0, 0, 335, 60);
INSERT INTO public.who_data VALUES (79291, 0, 12, 0, 0, 335, 68);
INSERT INTO public.who_data VALUES (79292, 3, 14, 0, 0, 335, 158);
INSERT INTO public.who_data VALUES (79293, 87, 251, 1, 2, 335, 52);
INSERT INTO public.who_data VALUES (79294, 0, 0, 0, 0, 335, 117);
INSERT INTO public.who_data VALUES (79295, 2, 20, 0, 0, 335, 126);
INSERT INTO public.who_data VALUES (79296, 0, 10, 0, 0, 335, 196);
INSERT INTO public.who_data VALUES (79297, 7, 29, 0, 1, 335, 142);
INSERT INTO public.who_data VALUES (79298, 0, 5, 0, 0, 335, 185);
INSERT INTO public.who_data VALUES (79299, 25, 134, 1, 4, 335, 138);
INSERT INTO public.who_data VALUES (79300, 1, 1, 0, 0, 335, 181);
INSERT INTO public.who_data VALUES (79301, 0, 0, 0, 0, 335, 178);
INSERT INTO public.who_data VALUES (79302, 0, 7, 0, 0, 335, 168);
INSERT INTO public.who_data VALUES (79303, 0, 0, 0, 0, 335, 160);
INSERT INTO public.who_data VALUES (79304, 0, 5, 0, 0, 335, 151);
INSERT INTO public.who_data VALUES (79305, 605, 4185, 44, 178, 335, 193);
INSERT INTO public.who_data VALUES (79306, 3, 7, 0, 0, 335, 18);
INSERT INTO public.who_data VALUES (79307, 36, 102, 0, 0, 335, 40);
INSERT INTO public.who_data VALUES (79308, 0, 2, 0, 0, 335, 218);
INSERT INTO public.who_data VALUES (79309, -3, 2, 0, 0, 335, 191);
INSERT INTO public.who_data VALUES (79310, 0, 22, 0, 0, 335, 156);
INSERT INTO public.who_data VALUES (79311, 0, 0, 0, 0, 335, 135);
INSERT INTO public.who_data VALUES (79312, 0, 0, 0, 0, 335, 88);
INSERT INTO public.who_data VALUES (79313, 22, 136, 2, 2, 335, 55);
INSERT INTO public.who_data VALUES (79314, 206, 2132, 0, 7, 335, 108);
INSERT INTO public.who_data VALUES (79315, 0, 59, 0, 0, 335, 48);
INSERT INTO public.who_data VALUES (79316, 11, 66, 0, 0, 335, 3);
INSERT INTO public.who_data VALUES (79317, 0, 712, 0, 8, 335, 224);
INSERT INTO public.who_data VALUES (79318, 138, 784, 2, 5, 335, 110);
INSERT INTO public.who_data VALUES (79319, 0, 0, 0, 0, 335, 106);
INSERT INTO public.who_data VALUES (79320, 108, 245, 2, 3, 335, 89);
INSERT INTO public.who_data VALUES (79321, 0, 1, 0, 0, 335, 121);
INSERT INTO public.who_data VALUES (79322, 4, 22, 0, 1, 335, 163);
INSERT INTO public.who_data VALUES (79323, 0, 318, 0, 2, 335, 70);
INSERT INTO public.who_data VALUES (79324, 16, 396, 8, 33, 335, 174);
INSERT INTO public.who_data VALUES (79325, 0, 0, 0, 0, 335, 175);
INSERT INTO public.who_data VALUES (79326, 98, 634, 2, 7, 335, 118);
INSERT INTO public.who_data VALUES (79327, 320, 1600, 2, 14, 335, 189);
INSERT INTO public.who_data VALUES (79328, 2, 23, 0, 1, 335, 124);
INSERT INTO public.who_data VALUES (79329, 13, 494, 0, 0, 335, 192);
INSERT INTO public.who_data VALUES (79330, 64, 8961, 7, 111, 335, 41);
INSERT INTO public.who_data VALUES (79331, 14, 94, 0, 1, 335, 95);
INSERT INTO public.who_data VALUES (79332, 17, 64, 0, 0, 335, 74);
INSERT INTO public.who_data VALUES (79333, 66, 433, 2, 2, 335, 11);
INSERT INTO public.who_data VALUES (79334, 132, 438, 0, 0, 335, 87);
INSERT INTO public.who_data VALUES (79335, 0, 17, 0, 0, 335, 214);
INSERT INTO public.who_data VALUES (79336, 0, 0, 0, 0, 335, 116);
INSERT INTO public.who_data VALUES (79337, 0, 3, 0, 0, 335, 157);
INSERT INTO public.who_data VALUES (79338, 0, 0, 0, 0, 335, 182);
INSERT INTO public.who_data VALUES (79339, 0, 0, 0, 0, 335, 186);
INSERT INTO public.who_data VALUES (79340, 0, 6, 0, 0, 335, 127);
INSERT INTO public.who_data VALUES (79341, -3, 5, 0, 0, 335, 232);
INSERT INTO public.who_data VALUES (79342, 0, 0, 0, 0, 335, 33);
INSERT INTO public.who_data VALUES (79343, 0, 1, 0, 0, 335, 97);
INSERT INTO public.who_data VALUES (79344, 0, 0, 0, 0, 335, 42);
INSERT INTO public.who_data VALUES (79345, 12, 187, 0, 20, 335, 198);
INSERT INTO public.who_data VALUES (79346, 0, 0, 0, 0, 335, 216);
INSERT INTO public.who_data VALUES (79347, 51, 562, 0, 0, 335, 164);
INSERT INTO public.who_data VALUES (79348, 11, 67, 0, 0, 335, 235);
INSERT INTO public.who_data VALUES (79349, 3, 222, 1, 2, 335, 67);
INSERT INTO public.who_data VALUES (79350, 0, 7, 0, 0, 335, 15);
INSERT INTO public.who_data VALUES (79351, 0, 0, 0, 0, 335, 180);
INSERT INTO public.who_data VALUES (79352, 23, 455, 0, 2, 335, 237);
INSERT INTO public.who_data VALUES (79353, 0, 0, 0, 0, 335, 25);
INSERT INTO public.who_data VALUES (79354, 0, 5, 0, 0, 335, 209);
INSERT INTO public.who_data VALUES (79355, 41, 178, 0, 0, 335, 217);
INSERT INTO public.who_data VALUES (79356, 37, 406, 0, 1, 335, 79);
INSERT INTO public.who_data VALUES (79357, 0, 0, 0, 0, 335, 143);
INSERT INTO public.who_data VALUES (79358, 0, 5, 0, 0, 335, 229);
INSERT INTO public.who_data VALUES (79359, 34, 274, 0, 0, 335, 141);
INSERT INTO public.who_data VALUES (79360, 0, 0, 0, 0, 335, 197);
INSERT INTO public.who_data VALUES (79361, 5794, 43622, 506, 2363, 335, 221);
INSERT INTO public.who_data VALUES (79362, 22, 94, 0, 0, 335, 150);
INSERT INTO public.who_data VALUES (79363, 0, 2, 0, 1, 335, 56);
INSERT INTO public.who_data VALUES (79364, 0, 2, 0, 0, 335, 167);
INSERT INTO public.who_data VALUES (79365, 136, 1869, 8, 38, 335, 23);
INSERT INTO public.who_data VALUES (79366, 546, 9253, 18, 127, 335, 222);
INSERT INTO public.who_data VALUES (79367, 1, 1, 0, 0, 335, 219);
INSERT INTO public.who_data VALUES (79368, 0, 0, 0, 0, 335, 7);
INSERT INTO public.who_data VALUES (79369, 122, 721, 0, 1, 335, 161);
INSERT INTO public.who_data VALUES (79370, 1198, 8938, 36, 288, 335, 149);
INSERT INTO public.who_data VALUES (79371, 0, 1, 0, 0, 335, 6);
INSERT INTO public.who_data VALUES (79372, 1, 16, 0, 0, 335, 139);
INSERT INTO public.who_data VALUES (79373, 0, 0, 0, 0, 335, 211);
INSERT INTO public.who_data VALUES (79374, 0, 0, 0, 0, 335, 14);
INSERT INTO public.who_data VALUES (79375, 41, 50, 0, 0, 335, 111);
INSERT INTO public.who_data VALUES (79376, 14, 89, 0, 3, 335, 207);
INSERT INTO public.who_data VALUES (79377, 289, 1236, 9, 30, 335, 66);
INSERT INTO public.who_data VALUES (79378, 0, 0, 0, 0, 335, 173);
INSERT INTO public.who_data VALUES (79379, 0, 0, 0, 0, 335, 145);
INSERT INTO public.who_data VALUES (79380, 0, 0, 0, 0, 335, 65);
INSERT INTO public.who_data VALUES (79381, 0, 1, 0, 0, 335, 184);
INSERT INTO public.who_data VALUES (79382, 26, 73, 0, 3, 335, 98);
INSERT INTO public.who_data VALUES (79383, 45, 198, 0, 2, 335, 104);
INSERT INTO public.who_data VALUES (79384, 2, 12, 0, 0, 335, 73);
INSERT INTO public.who_data VALUES (79385, 16354, 31573, 201, 402, 335, 8);
INSERT INTO public.who_data VALUES (79386, 0, 6, 0, 0, 335, 227);
INSERT INTO public.who_data VALUES (79387, 41, 135, 0, 0, 335, 75);
INSERT INTO public.who_data VALUES (79388, 5, 46, 0, 0, 335, 45);
INSERT INTO public.who_data VALUES (79389, 0, 0, 0, 0, 335, 133);
INSERT INTO public.who_data VALUES (79390, 30, 70, 0, 0, 335, 202);
INSERT INTO public.who_data VALUES (79391, 24, 118, 0, 0, 335, 129);
INSERT INTO public.who_data VALUES (79392, 0, 0, 0, 0, 335, 36);
INSERT INTO public.who_data VALUES (79393, 0, 0, 0, 0, 335, 51);
INSERT INTO public.who_data VALUES (79394, -3, 3, 0, 0, 335, 206);
INSERT INTO public.who_data VALUES (79395, 0, 2, 0, 0, 335, 5);
INSERT INTO public.who_data VALUES (79396, 10, 34, 0, 0, 336, 103);
INSERT INTO public.who_data VALUES (79397, 0, 51, 0, 1, 336, 58);
INSERT INTO public.who_data VALUES (79398, 45, 139, 0, 15, 336, 195);
INSERT INTO public.who_data VALUES (79399, 0, 0, 0, 0, 336, 115);
INSERT INTO public.who_data VALUES (79400, 39, 133, 1, 1, 336, 99);
INSERT INTO public.who_data VALUES (79401, 0, 2, 0, 0, 336, 153);
INSERT INTO public.who_data VALUES (79402, 0, 0, 0, 0, 336, 93);
INSERT INTO public.who_data VALUES (79403, 0, 5, 0, 0, 336, 84);
INSERT INTO public.who_data VALUES (79404, 0, 158, 0, 3, 336, 78);
INSERT INTO public.who_data VALUES (79405, 24, 137, 0, 0, 336, 170);
INSERT INTO public.who_data VALUES (79406, 0, 5, 0, 0, 336, 32);
INSERT INTO public.who_data VALUES (79407, 17, 1098, 0, 7, 336, 155);
INSERT INTO public.who_data VALUES (79408, 375, 3024, 2, 8, 336, 82);
INSERT INTO public.who_data VALUES (79409, 0, 53, 0, 1, 336, 16);
INSERT INTO public.who_data VALUES (79410, 0, 4, 0, 0, 336, 72);
INSERT INTO public.who_data VALUES (79411, 28, 334, 1, 2, 336, 43);
INSERT INTO public.who_data VALUES (79412, 0, 24, 0, 2, 336, 120);
INSERT INTO public.who_data VALUES (79413, 0, 5, 0, 0, 336, 213);
INSERT INTO public.who_data VALUES (79414, 40, 76, 0, 0, 336, 31);
INSERT INTO public.who_data VALUES (79415, 469, 5043, 39, 169, 336, 204);
INSERT INTO public.who_data VALUES (79416, 0, 0, 0, 0, 336, 152);
INSERT INTO public.who_data VALUES (79417, 0, 2, 0, 0, 336, 144);
INSERT INTO public.who_data VALUES (79418, 0, 6, 0, 0, 336, 96);
INSERT INTO public.who_data VALUES (79419, 0, 2, 0, 0, 336, 47);
INSERT INTO public.who_data VALUES (79420, 0, 19, 0, 0, 336, 80);
INSERT INTO public.who_data VALUES (79421, 0, 0, 0, 0, 336, 159);
INSERT INTO public.who_data VALUES (79422, 33, 125, 0, 1, 336, 27);
INSERT INTO public.who_data VALUES (79423, 0, 0, 0, 0, 336, 146);
INSERT INTO public.who_data VALUES (79424, 0, 904, 0, 11, 336, 71);
INSERT INTO public.who_data VALUES (79425, 0, 0, 0, 0, 336, 210);
INSERT INTO public.who_data VALUES (79426, 0, 83, 0, 0, 336, 54);
INSERT INTO public.who_data VALUES (79427, 36, 163, 0, 3, 336, 147);
INSERT INTO public.who_data VALUES (79428, 3, 75, 0, 3, 336, 2);
INSERT INTO public.who_data VALUES (79429, 0, 0, 0, 0, 336, 105);
INSERT INTO public.who_data VALUES (79430, 0, 3, 0, 0, 336, 53);
INSERT INTO public.who_data VALUES (79431, 0, 53, 0, 0, 336, 81);
INSERT INTO public.who_data VALUES (79432, 0, 27, 0, 0, 336, 223);
INSERT INTO public.who_data VALUES (79433, 0, 1048, 0, 13, 336, 94);
INSERT INTO public.who_data VALUES (79434, 0, 3, 0, 1, 336, 154);
INSERT INTO public.who_data VALUES (79435, 0, 3, 0, 0, 336, 83);
INSERT INTO public.who_data VALUES (79436, 0, 5, 0, 0, 336, 194);
INSERT INTO public.who_data VALUES (79437, 0, 434, 0, 1, 336, 136);
INSERT INTO public.who_data VALUES (79438, 1, 81499, 0, 3267, 336, 179);
INSERT INTO public.who_data VALUES (79439, 0, 196, 0, 0, 336, 57);
INSERT INTO public.who_data VALUES (79440, 0, 0, 0, 0, 336, 35);
INSERT INTO public.who_data VALUES (79441, 0, 4, 0, 0, 336, 228);
INSERT INTO public.who_data VALUES (79442, 0, 0, 0, 0, 336, 19);
INSERT INTO public.who_data VALUES (79443, 0, 113, 0, 2, 336, 22);
INSERT INTO public.who_data VALUES (79444, 0, 13, 0, 0, 336, 1);
INSERT INTO public.who_data VALUES (79445, 80, 206, 0, 0, 336, 21);
INSERT INTO public.who_data VALUES (79446, 0, 16, 0, 1, 336, 234);
INSERT INTO public.who_data VALUES (79447, 0, 3, 0, 1, 336, 91);
INSERT INTO public.who_data VALUES (79448, 17, 84, 0, 0, 336, 137);
INSERT INTO public.who_data VALUES (79449, 91, 995, 0, 0, 336, 201);
INSERT INTO public.who_data VALUES (79450, 0, 0, 0, 0, 336, 171);
INSERT INTO public.who_data VALUES (79451, 0, 18, 0, 0, 336, 92);
INSERT INTO public.who_data VALUES (79452, 71, 1326, 4, 13, 336, 112);
INSERT INTO public.who_data VALUES (79453, 0, 5, 0, 0, 336, 62);
INSERT INTO public.who_data VALUES (79454, 0, 0, 0, 0, 336, 69);
INSERT INTO public.who_data VALUES (79455, 0, 72, 0, 2, 336, 220);
INSERT INTO public.who_data VALUES (79456, 0, 506, 0, 7, 336, 100);
INSERT INTO public.who_data VALUES (79457, 9, 294, 2, 10, 336, 187);
INSERT INTO public.who_data VALUES (79458, 0, 1, 0, 0, 336, 63);
INSERT INTO public.who_data VALUES (79459, 0, 6, 0, 0, 336, 28);
INSERT INTO public.who_data VALUES (79460, 0, 1, 0, 0, 336, 172);
INSERT INTO public.who_data VALUES (79461, 23, 306, 0, 0, 336, 17);
INSERT INTO public.who_data VALUES (79462, 0, 5, 0, 0, 336, 226);
INSERT INTO public.who_data VALUES (79463, 0, 13, 0, 0, 336, 236);
INSERT INTO public.who_data VALUES (79464, 0, 0, 0, 0, 336, 76);
INSERT INTO public.who_data VALUES (79465, 12, 92, 0, 0, 336, 30);
INSERT INTO public.who_data VALUES (79466, 0, 2, 0, 0, 336, 128);
INSERT INTO public.who_data VALUES (79467, 71, 521, 1, 1, 336, 86);
INSERT INTO public.who_data VALUES (79468, 1847, 14292, 112, 562, 336, 140);
INSERT INTO public.who_data VALUES (79469, 0, 15, 0, 0, 336, 44);
INSERT INTO public.who_data VALUES (79470, 0, 15, 0, 0, 336, 113);
INSERT INTO public.who_data VALUES (79471, 3, 6, 0, 1, 336, 29);
INSERT INTO public.who_data VALUES (79472, 0, 5, 0, 0, 336, 125);
INSERT INTO public.who_data VALUES (79473, 6, 54, 0, 0, 336, 131);
INSERT INTO public.who_data VALUES (79474, 3276, 21463, 22, 67, 336, 46);
INSERT INTO public.who_data VALUES (79475, 0, 19, 0, 0, 336, 10);
INSERT INTO public.who_data VALUES (79476, 0, 10, 0, 0, 336, 205);
INSERT INTO public.who_data VALUES (79477, 35, 530, 5, 13, 336, 50);
INSERT INTO public.who_data VALUES (79478, 0, 2, 0, 0, 336, 20);
INSERT INTO public.who_data VALUES (79479, 0, 0, 0, 0, 336, 13);
INSERT INTO public.who_data VALUES (79480, 0, 51, 0, 0, 336, 148);
INSERT INTO public.who_data VALUES (79481, 0, 15, 0, 0, 336, 230);
INSERT INTO public.who_data VALUES (79482, 0, 12, 0, 1, 336, 190);
INSERT INTO public.who_data VALUES (79483, 0, 1, 0, 0, 336, 188);
INSERT INTO public.who_data VALUES (79484, 0, 6, 0, 0, 336, 123);
INSERT INTO public.who_data VALUES (79485, 0, 0, 0, 0, 336, 9);
INSERT INTO public.who_data VALUES (79486, 0, 9, 0, 1, 336, 102);
INSERT INTO public.who_data VALUES (79487, 0, 2, 0, 0, 336, 34);
INSERT INTO public.who_data VALUES (79488, 0, 1, 0, 0, 336, 212);
INSERT INTO public.who_data VALUES (79489, 0, 24, 0, 0, 336, 122);
INSERT INTO public.who_data VALUES (79490, 28, 131, 0, 4, 336, 38);
INSERT INTO public.who_data VALUES (79491, 64, 473, 0, 1, 336, 130);
INSERT INTO public.who_data VALUES (79492, 58, 341, 1, 5, 336, 37);
INSERT INTO public.who_data VALUES (79493, 64, 514, 10, 48, 336, 231);
INSERT INTO public.who_data VALUES (79494, 1028, 21638, 129, 1685, 336, 107);
INSERT INTO public.who_data VALUES (79495, 19, 233, 3, 20, 336, 101);
INSERT INTO public.who_data VALUES (79496, 102, 785, 0, 3, 336, 132);
INSERT INTO public.who_data VALUES (79497, 1, 2, 0, 0, 336, 176);
INSERT INTO public.who_data VALUES (79498, 168, 804, 0, 1, 336, 200);
INSERT INTO public.who_data VALUES (79499, 6557, 53578, 795, 4827, 336, 169);
INSERT INTO public.who_data VALUES (79500, 0, 16, 0, 1, 336, 225);
INSERT INTO public.who_data VALUES (79501, 0, 1046, 0, 36, 336, 165);
INSERT INTO public.who_data VALUES (79502, 0, 12, 0, 0, 336, 233);
INSERT INTO public.who_data VALUES (79503, 15, 99, 0, 0, 336, 215);
INSERT INTO public.who_data VALUES (79504, 5, 62, 0, 0, 336, 177);
INSERT INTO public.who_data VALUES (79505, 0, 11, 0, 0, 336, 183);
INSERT INTO public.who_data VALUES (79506, 0, 0, 0, 0, 336, 203);
INSERT INTO public.who_data VALUES (79507, 7, 31, 1, 1, 336, 162);
INSERT INTO public.who_data VALUES (79508, 12, 188, 0, 0, 336, 12);
INSERT INTO public.who_data VALUES (79509, 11, 14, 0, 0, 336, 24);
INSERT INTO public.who_data VALUES (79510, 0, 0, 0, 0, 336, 119);
INSERT INTO public.who_data VALUES (79511, 13, 124, 0, 0, 336, 39);
INSERT INTO public.who_data VALUES (79512, 42, 248, 0, 4, 336, 26);
INSERT INTO public.who_data VALUES (79513, 0, 0, 0, 0, 336, 59);
INSERT INTO public.who_data VALUES (79514, 0, 3, 0, 0, 336, 77);
INSERT INTO public.who_data VALUES (79515, 0, 0, 0, 0, 336, 134);
INSERT INTO public.who_data VALUES (79516, 2, 46, 0, 0, 336, 4);
INSERT INTO public.who_data VALUES (79517, 28, 97, 0, 1, 336, 109);
INSERT INTO public.who_data VALUES (79518, 186, 670, 3, 8, 336, 90);
INSERT INTO public.who_data VALUES (79519, 0, 3, 0, 0, 336, 61);
INSERT INTO public.who_data VALUES (79520, 0, 0, 0, 0, 336, 85);
INSERT INTO public.who_data VALUES (79521, 0, 1183, 6, 9, 336, 49);
INSERT INTO public.who_data VALUES (79522, 0, 17, 0, 0, 336, 208);
INSERT INTO public.who_data VALUES (79523, 0, 0, 0, 0, 336, 166);
INSERT INTO public.who_data VALUES (79524, 9, 73, 0, 0, 336, 64);
INSERT INTO public.who_data VALUES (79525, 0, 0, 0, 0, 336, 199);
INSERT INTO public.who_data VALUES (79526, 0, 32, 0, 0, 336, 114);
INSERT INTO public.who_data VALUES (79527, 0, 6, 0, 0, 336, 60);
INSERT INTO public.who_data VALUES (79528, 0, 12, 0, 0, 336, 68);
INSERT INTO public.who_data VALUES (79529, 0, 11, 0, 0, 336, 158);
INSERT INTO public.who_data VALUES (79530, 0, 164, 0, 1, 336, 52);
INSERT INTO public.who_data VALUES (79531, 0, 0, 0, 0, 336, 117);
INSERT INTO public.who_data VALUES (79532, 0, 18, 0, 0, 336, 126);
INSERT INTO public.who_data VALUES (79533, 0, 10, 0, 0, 336, 196);
INSERT INTO public.who_data VALUES (79534, 6, 22, 1, 1, 336, 142);
INSERT INTO public.who_data VALUES (79535, 0, 5, 0, 0, 336, 185);
INSERT INTO public.who_data VALUES (79536, 23, 109, 0, 3, 336, 138);
INSERT INTO public.who_data VALUES (79537, 0, 0, 0, 0, 336, 181);
INSERT INTO public.who_data VALUES (79538, 0, 0, 0, 0, 336, 178);
INSERT INTO public.who_data VALUES (79539, 0, 7, 0, 0, 336, 168);
INSERT INTO public.who_data VALUES (79540, 0, 0, 0, 0, 336, 160);
INSERT INTO public.who_data VALUES (79541, 0, 5, 0, 0, 336, 151);
INSERT INTO public.who_data VALUES (79542, 637, 3580, 30, 134, 336, 193);
INSERT INTO public.who_data VALUES (79543, 0, 4, 0, 0, 336, 18);
INSERT INTO public.who_data VALUES (79544, 0, 66, 0, 0, 336, 40);
INSERT INTO public.who_data VALUES (79545, 0, 2, 0, 0, 336, 218);
INSERT INTO public.who_data VALUES (79546, 0, 5, 0, 0, 336, 191);
INSERT INTO public.who_data VALUES (79547, 0, 22, 0, 0, 336, 156);
INSERT INTO public.who_data VALUES (79548, 0, 0, 0, 0, 336, 135);
INSERT INTO public.who_data VALUES (79549, 0, 0, 0, 0, 336, 88);
INSERT INTO public.who_data VALUES (79550, 29, 114, 0, 0, 336, 55);
INSERT INTO public.who_data VALUES (79551, 184, 1926, 0, 7, 336, 108);
INSERT INTO public.who_data VALUES (79552, 7, 59, 0, 0, 336, 48);
INSERT INTO public.who_data VALUES (79553, 3, 55, 0, 0, 336, 3);
INSERT INTO public.who_data VALUES (79554, 0, 712, 0, 8, 336, 224);
INSERT INTO public.who_data VALUES (79555, 151, 646, 0, 3, 336, 110);
INSERT INTO public.who_data VALUES (79556, 0, 0, 0, 0, 336, 106);
INSERT INTO public.who_data VALUES (79557, 0, 137, 0, 1, 336, 89);
INSERT INTO public.who_data VALUES (79558, 0, 1, 0, 0, 336, 121);
INSERT INTO public.who_data VALUES (79559, 0, 18, 0, 1, 336, 163);
INSERT INTO public.who_data VALUES (79560, 0, 318, 0, 2, 336, 70);
INSERT INTO public.who_data VALUES (79561, 73, 380, 6, 25, 336, 174);
INSERT INTO public.who_data VALUES (79562, 0, 0, 0, 0, 336, 175);
INSERT INTO public.who_data VALUES (79563, 111, 536, 0, 5, 336, 118);
INSERT INTO public.who_data VALUES (79564, 260, 1280, 6, 12, 336, 189);
INSERT INTO public.who_data VALUES (79565, 0, 21, 0, 1, 336, 124);
INSERT INTO public.who_data VALUES (79566, 11, 481, 0, 0, 336, 192);
INSERT INTO public.who_data VALUES (79567, 0, 8897, 0, 104, 336, 41);
INSERT INTO public.who_data VALUES (79568, 0, 80, 0, 1, 336, 95);
INSERT INTO public.who_data VALUES (79569, 0, 47, 0, 0, 336, 74);
INSERT INTO public.who_data VALUES (79570, 59, 367, 0, 0, 336, 11);
INSERT INTO public.who_data VALUES (79571, 53, 306, 0, 0, 336, 87);
INSERT INTO public.who_data VALUES (79572, 0, 17, 0, 0, 336, 214);
INSERT INTO public.who_data VALUES (79573, 0, 0, 0, 0, 336, 116);
INSERT INTO public.who_data VALUES (79574, 0, 3, 0, 0, 336, 157);
INSERT INTO public.who_data VALUES (79575, 0, 0, 0, 0, 336, 182);
INSERT INTO public.who_data VALUES (79576, 0, 0, 0, 0, 336, 186);
INSERT INTO public.who_data VALUES (79577, 0, 6, 0, 0, 336, 127);
INSERT INTO public.who_data VALUES (79578, 0, 8, 0, 0, 336, 232);
INSERT INTO public.who_data VALUES (79579, 0, 0, 0, 0, 336, 33);
INSERT INTO public.who_data VALUES (79580, 0, 1, 0, 0, 336, 97);
INSERT INTO public.who_data VALUES (79581, 0, 0, 0, 0, 336, 42);
INSERT INTO public.who_data VALUES (79582, 24, 175, 0, 20, 336, 198);
INSERT INTO public.who_data VALUES (79583, 0, 0, 0, 0, 336, 216);
INSERT INTO public.who_data VALUES (79584, 119, 511, 0, 0, 336, 164);
INSERT INTO public.who_data VALUES (79585, 0, 56, 0, 0, 336, 235);
INSERT INTO public.who_data VALUES (79586, 46, 219, 0, 1, 336, 67);
INSERT INTO public.who_data VALUES (79587, 0, 7, 0, 0, 336, 15);
INSERT INTO public.who_data VALUES (79588, 0, 0, 0, 0, 336, 180);
INSERT INTO public.who_data VALUES (79589, 0, 432, 0, 2, 336, 237);
INSERT INTO public.who_data VALUES (79590, 0, 0, 0, 0, 336, 25);
INSERT INTO public.who_data VALUES (79591, 0, 5, 0, 0, 336, 209);
INSERT INTO public.who_data VALUES (79592, 14, 137, 0, 0, 336, 217);
INSERT INTO public.who_data VALUES (79593, 28, 369, 0, 1, 336, 79);
INSERT INTO public.who_data VALUES (79594, 0, 0, 0, 0, 336, 143);
INSERT INTO public.who_data VALUES (79595, 0, 5, 0, 0, 336, 229);
INSERT INTO public.who_data VALUES (79596, 0, 240, 0, 0, 336, 141);
INSERT INTO public.who_data VALUES (79597, 0, 0, 0, 0, 336, 197);
INSERT INTO public.who_data VALUES (79598, 6529, 37828, 433, 1857, 336, 221);
INSERT INTO public.who_data VALUES (79599, 0, 72, 0, 0, 336, 150);
INSERT INTO public.who_data VALUES (79600, 0, 2, 0, 1, 336, 56);
INSERT INTO public.who_data VALUES (79601, 0, 2, 0, 0, 336, 167);
INSERT INTO public.who_data VALUES (79602, 180, 1733, 9, 30, 336, 23);
INSERT INTO public.who_data VALUES (79603, 691, 8707, 19, 109, 336, 222);
INSERT INTO public.who_data VALUES (79604, 0, 0, 0, 0, 336, 219);
INSERT INTO public.who_data VALUES (79605, 0, 0, 0, 0, 336, 7);
INSERT INTO public.who_data VALUES (79606, 188, 599, 0, 1, 336, 161);
INSERT INTO public.who_data VALUES (79607, 1255, 7740, 58, 252, 336, 149);
INSERT INTO public.who_data VALUES (79608, 0, 1, 0, 0, 336, 6);
INSERT INTO public.who_data VALUES (79609, 0, 15, 0, 0, 336, 139);
INSERT INTO public.who_data VALUES (79610, 0, 0, 0, 0, 336, 211);
INSERT INTO public.who_data VALUES (79611, 0, 0, 0, 0, 336, 14);
INSERT INTO public.who_data VALUES (79612, 0, 9, 0, 0, 336, 111);
INSERT INTO public.who_data VALUES (79613, 15, 75, 2, 3, 336, 207);
INSERT INTO public.who_data VALUES (79614, 277, 947, 12, 21, 336, 66);
INSERT INTO public.who_data VALUES (79615, 0, 0, 0, 0, 336, 173);
INSERT INTO public.who_data VALUES (79616, 0, 0, 0, 0, 336, 145);
INSERT INTO public.who_data VALUES (79617, 0, 0, 0, 0, 336, 65);
INSERT INTO public.who_data VALUES (79618, 0, 1, 0, 0, 336, 184);
INSERT INTO public.who_data VALUES (79619, 0, 47, 0, 3, 336, 98);
INSERT INTO public.who_data VALUES (79620, 0, 153, 0, 2, 336, 104);
INSERT INTO public.who_data VALUES (79621, 0, 10, 0, 0, 336, 73);
INSERT INTO public.who_data VALUES (79622, 0, 15219, 0, 201, 336, 8);
INSERT INTO public.who_data VALUES (79623, 0, 6, 0, 0, 336, 227);
INSERT INTO public.who_data VALUES (79624, 0, 94, 0, 0, 336, 75);
INSERT INTO public.who_data VALUES (79625, 0, 41, 0, 0, 336, 45);
INSERT INTO public.who_data VALUES (79626, 0, 0, 0, 0, 336, 133);
INSERT INTO public.who_data VALUES (79627, 0, 40, 0, 0, 336, 202);
INSERT INTO public.who_data VALUES (79628, 0, 94, 0, 0, 336, 129);
INSERT INTO public.who_data VALUES (79629, 0, 0, 0, 0, 336, 36);
INSERT INTO public.who_data VALUES (79630, 0, 0, 0, 0, 336, 51);
INSERT INTO public.who_data VALUES (79631, 0, 6, 0, 0, 336, 206);
INSERT INTO public.who_data VALUES (79632, 0, 2, 0, 0, 336, 5);
INSERT INTO public.who_data VALUES (79633, 0, 24, 0, 0, 337, 103);
INSERT INTO public.who_data VALUES (79634, 19, 51, 0, 1, 337, 58);
INSERT INTO public.who_data VALUES (79635, 0, 94, 5, 15, 337, 195);
INSERT INTO public.who_data VALUES (79636, 0, 0, 0, 0, 337, 115);
INSERT INTO public.who_data VALUES (79637, 19, 94, 0, 0, 337, 99);
INSERT INTO public.who_data VALUES (79638, 2, 2, 0, 0, 337, 153);
INSERT INTO public.who_data VALUES (79639, 0, 0, 0, 0, 337, 93);
INSERT INTO public.who_data VALUES (79640, 0, 5, 0, 0, 337, 84);
INSERT INTO public.who_data VALUES (79641, 30, 158, 0, 3, 337, 78);
INSERT INTO public.who_data VALUES (79642, 21, 113, 0, 0, 337, 170);
INSERT INTO public.who_data VALUES (79643, 0, 5, 0, 0, 337, 32);
INSERT INTO public.who_data VALUES (79644, 208, 1081, 0, 7, 337, 155);
INSERT INTO public.who_data VALUES (79645, 453, 2649, 0, 6, 337, 82);
INSERT INTO public.who_data VALUES (79646, 19, 53, 0, 1, 337, 16);
INSERT INTO public.who_data VALUES (79647, 0, 4, 0, 0, 337, 72);
INSERT INTO public.who_data VALUES (79648, 21, 306, 0, 1, 337, 43);
INSERT INTO public.who_data VALUES (79649, 7, 24, 1, 2, 337, 120);
INSERT INTO public.who_data VALUES (79650, 0, 5, 0, 0, 337, 213);
INSERT INTO public.who_data VALUES (79651, 0, 36, 0, 0, 337, 31);
INSERT INTO public.who_data VALUES (79652, 662, 4574, 35, 130, 337, 204);
INSERT INTO public.who_data VALUES (79653, 0, 0, 0, 0, 337, 152);
INSERT INTO public.who_data VALUES (79654, 0, 2, 0, 0, 337, 144);
INSERT INTO public.who_data VALUES (79655, 0, 6, 0, 0, 337, 96);
INSERT INTO public.who_data VALUES (79656, 0, 2, 0, 0, 337, 47);
INSERT INTO public.who_data VALUES (79657, 3, 19, 0, 0, 337, 80);
INSERT INTO public.who_data VALUES (79658, 0, 0, 0, 0, 337, 159);
INSERT INTO public.who_data VALUES (79659, 48, 92, 1, 1, 337, 27);
INSERT INTO public.who_data VALUES (79660, 0, 0, 0, 0, 337, 146);
INSERT INTO public.who_data VALUES (79661, 283, 904, 7, 11, 337, 71);
INSERT INTO public.who_data VALUES (79662, 0, 0, 0, 0, 337, 210);
INSERT INTO public.who_data VALUES (79663, 5, 83, 0, 0, 337, 54);
INSERT INTO public.who_data VALUES (79664, 22, 127, 0, 3, 337, 147);
INSERT INTO public.who_data VALUES (79665, 28, 72, 2, 3, 337, 2);
INSERT INTO public.who_data VALUES (79666, 0, 0, 0, 0, 337, 105);
INSERT INTO public.who_data VALUES (79667, 2, 3, 0, 0, 337, 53);
INSERT INTO public.who_data VALUES (79668, 2, 53, 0, 0, 337, 81);
INSERT INTO public.who_data VALUES (79669, 5, 27, 0, 0, 337, 223);
INSERT INTO public.who_data VALUES (79670, 202, 1048, 4, 13, 337, 94);
INSERT INTO public.who_data VALUES (79671, 0, 3, 0, 1, 337, 154);
INSERT INTO public.who_data VALUES (79672, -2, 3, 0, 0, 337, 83);
INSERT INTO public.who_data VALUES (79673, 0, 5, 0, 0, 337, 194);
INSERT INTO public.who_data VALUES (79674, 0, 434, 1, 1, 337, 136);
INSERT INTO public.who_data VALUES (79675, 82, 81498, 6, 3267, 337, 179);
INSERT INTO public.who_data VALUES (79676, 51, 196, 0, 0, 337, 57);
INSERT INTO public.who_data VALUES (79677, 0, 0, 0, 0, 337, 35);
INSERT INTO public.who_data VALUES (79678, 2, 4, 0, 0, 337, 228);
INSERT INTO public.who_data VALUES (79679, 0, 0, 0, 0, 337, 19);
INSERT INTO public.who_data VALUES (79680, 0, 113, 0, 2, 337, 22);
INSERT INTO public.who_data VALUES (79681, 0, 13, 0, 0, 337, 1);
INSERT INTO public.who_data VALUES (79682, 22, 126, 0, 0, 337, 21);
INSERT INTO public.who_data VALUES (79683, 0, 16, 0, 1, 337, 234);
INSERT INTO public.who_data VALUES (79684, -4, 3, 1, 1, 337, 91);
INSERT INTO public.who_data VALUES (79685, 9, 67, 0, 0, 337, 137);
INSERT INTO public.who_data VALUES (79686, 210, 904, 0, 0, 337, 201);
INSERT INTO public.who_data VALUES (79687, 0, 0, 0, 0, 337, 171);
INSERT INTO public.who_data VALUES (79688, 0, 18, 0, 0, 337, 92);
INSERT INTO public.who_data VALUES (79689, 104, 1255, 3, 9, 337, 112);
INSERT INTO public.who_data VALUES (79690, 0, 5, 0, 0, 337, 62);
INSERT INTO public.who_data VALUES (79691, 0, 0, 0, 0, 337, 69);
INSERT INTO public.who_data VALUES (79692, 0, 72, 0, 2, 337, 220);
INSERT INTO public.who_data VALUES (79693, 139, 506, 2, 7, 337, 100);
INSERT INTO public.who_data VALUES (79694, 29, 285, 1, 8, 337, 187);
INSERT INTO public.who_data VALUES (79695, 0, 1, 0, 0, 337, 63);
INSERT INTO public.who_data VALUES (79696, -2, 6, 0, 0, 337, 28);
INSERT INTO public.who_data VALUES (79697, 1, 1, 0, 0, 337, 172);
INSERT INTO public.who_data VALUES (79698, 16, 283, 0, 0, 337, 17);
INSERT INTO public.who_data VALUES (79699, 0, 5, 0, 0, 337, 226);
INSERT INTO public.who_data VALUES (79700, 0, 13, 0, 0, 337, 236);
INSERT INTO public.who_data VALUES (79701, 0, 0, 0, 0, 337, 76);
INSERT INTO public.who_data VALUES (79702, 8, 80, 0, 0, 337, 30);
INSERT INTO public.who_data VALUES (79703, 1, 2, 0, 0, 337, 128);
INSERT INTO public.who_data VALUES (79704, 50, 450, 0, 0, 337, 86);
INSERT INTO public.who_data VALUES (79705, 1595, 12445, 78, 450, 337, 140);
INSERT INTO public.who_data VALUES (79706, 0, 15, 0, 0, 337, 44);
INSERT INTO public.who_data VALUES (79707, 4, 15, 0, 0, 337, 113);
INSERT INTO public.who_data VALUES (79708, 0, 3, 0, 1, 337, 29);
INSERT INTO public.who_data VALUES (79709, 0, 5, 0, 0, 337, 125);
INSERT INTO public.who_data VALUES (79710, 10, 48, 0, 0, 337, 131);
INSERT INTO public.who_data VALUES (79711, 4049, 18187, 2, 45, 337, 46);
INSERT INTO public.who_data VALUES (79712, 3, 19, 0, 0, 337, 10);
INSERT INTO public.who_data VALUES (79713, 0, 10, 0, 0, 337, 205);
INSERT INTO public.who_data VALUES (79714, 31, 495, 3, 8, 337, 50);
INSERT INTO public.who_data VALUES (79715, 0, 2, 0, 0, 337, 20);
INSERT INTO public.who_data VALUES (79716, 0, 0, 0, 0, 337, 13);
INSERT INTO public.who_data VALUES (79717, 0, 51, 0, 0, 337, 148);
INSERT INTO public.who_data VALUES (79718, 1, 15, 0, 0, 337, 230);
INSERT INTO public.who_data VALUES (79719, 0, 12, 0, 1, 337, 190);
INSERT INTO public.who_data VALUES (79720, 0, 1, 0, 0, 337, 188);
INSERT INTO public.who_data VALUES (79721, 0, 6, 0, 0, 337, 123);
INSERT INTO public.who_data VALUES (79722, 0, 0, 0, 0, 337, 9);
INSERT INTO public.who_data VALUES (79723, 0, 9, 0, 1, 337, 102);
INSERT INTO public.who_data VALUES (79724, 0, 2, 0, 0, 337, 34);
INSERT INTO public.who_data VALUES (79725, 0, 1, 0, 0, 337, 212);
INSERT INTO public.who_data VALUES (79726, 0, 24, 0, 0, 337, 122);
INSERT INTO public.who_data VALUES (79727, 18, 103, 3, 4, 337, 38);
INSERT INTO public.who_data VALUES (79728, 79, 409, 0, 1, 337, 130);
INSERT INTO public.who_data VALUES (79729, 88, 283, 0, 4, 337, 37);
INSERT INTO public.who_data VALUES (79730, 81, 450, 6, 38, 337, 231);
INSERT INTO public.who_data VALUES (79731, 966, 20610, 123, 1556, 337, 107);
INSERT INTO public.who_data VALUES (79732, 21, 214, 3, 17, 337, 101);
INSERT INTO public.who_data VALUES (79733, 126, 683, 0, 3, 337, 132);
INSERT INTO public.who_data VALUES (79734, 0, 1, 0, 0, 337, 176);
INSERT INTO public.who_data VALUES (79735, 136, 636, 0, 1, 337, 200);
INSERT INTO public.who_data VALUES (79736, 5986, 47021, 625, 4032, 337, 169);
INSERT INTO public.who_data VALUES (79737, 0, 16, 0, 1, 337, 225);
INSERT INTO public.who_data VALUES (79738, 50, 1046, 1, 36, 337, 165);
INSERT INTO public.who_data VALUES (79739, 7, 12, 0, 0, 337, 233);
INSERT INTO public.who_data VALUES (79740, 15, 84, 0, 0, 337, 215);
INSERT INTO public.who_data VALUES (79741, 4, 57, 0, 0, 337, 177);
INSERT INTO public.who_data VALUES (79742, 0, 11, 0, 0, 337, 183);
INSERT INTO public.who_data VALUES (79743, 0, 0, 0, 0, 337, 203);
INSERT INTO public.who_data VALUES (79744, 4, 24, 0, 0, 337, 162);
INSERT INTO public.who_data VALUES (79745, 17, 176, 0, 0, 337, 12);
INSERT INTO public.who_data VALUES (79746, 0, 3, 0, 0, 337, 24);
INSERT INTO public.who_data VALUES (79747, 0, 0, 0, 0, 337, 119);
INSERT INTO public.who_data VALUES (79748, 25, 111, 0, 0, 337, 39);
INSERT INTO public.who_data VALUES (79749, 43, 206, 0, 4, 337, 26);
INSERT INTO public.who_data VALUES (79750, 0, 0, 0, 0, 337, 59);
INSERT INTO public.who_data VALUES (79751, -3, 3, 0, 0, 337, 77);
INSERT INTO public.who_data VALUES (79752, 0, 0, 0, 0, 337, 134);
INSERT INTO public.who_data VALUES (79753, 8, 44, 0, 0, 337, 4);
INSERT INTO public.who_data VALUES (79754, 22, 69, 1, 1, 337, 109);
INSERT INTO public.who_data VALUES (79755, 139, 484, 1, 5, 337, 90);
INSERT INTO public.who_data VALUES (79756, 3, 3, 0, 0, 337, 61);
INSERT INTO public.who_data VALUES (79757, 0, 0, 0, 0, 337, 85);
INSERT INTO public.who_data VALUES (79758, 153, 1183, 0, 3, 337, 49);
INSERT INTO public.who_data VALUES (79759, 0, 17, 0, 0, 337, 208);
INSERT INTO public.who_data VALUES (79760, 0, 0, 0, 0, 337, 166);
INSERT INTO public.who_data VALUES (79761, 12, 64, 0, 0, 337, 64);
INSERT INTO public.who_data VALUES (79762, 0, 0, 0, 0, 337, 199);
INSERT INTO public.who_data VALUES (79763, 0, 32, 0, 0, 337, 114);
INSERT INTO public.who_data VALUES (79764, 0, 6, 0, 0, 337, 60);
INSERT INTO public.who_data VALUES (79765, 0, 12, 0, 0, 337, 68);
INSERT INTO public.who_data VALUES (79766, 3, 11, 0, 0, 337, 158);
INSERT INTO public.who_data VALUES (79767, 0, 164, 0, 1, 337, 52);
INSERT INTO public.who_data VALUES (79768, 0, 0, 0, 0, 337, 117);
INSERT INTO public.who_data VALUES (79769, 6, 18, 0, 0, 337, 126);
INSERT INTO public.who_data VALUES (79770, 4, 10, 0, 0, 337, 196);
INSERT INTO public.who_data VALUES (79771, 2, 16, 0, 0, 337, 142);
INSERT INTO public.who_data VALUES (79772, 0, 5, 0, 0, 337, 185);
INSERT INTO public.who_data VALUES (79773, 12, 86, 0, 3, 337, 138);
INSERT INTO public.who_data VALUES (79774, 0, 0, 0, 0, 337, 181);
INSERT INTO public.who_data VALUES (79775, 0, 0, 0, 0, 337, 178);
INSERT INTO public.who_data VALUES (79776, 0, 7, 0, 0, 337, 168);
INSERT INTO public.who_data VALUES (79777, 0, 0, 0, 0, 337, 160);
INSERT INTO public.who_data VALUES (79778, 0, 5, 0, 0, 337, 151);
INSERT INTO public.who_data VALUES (79779, 533, 2943, 28, 104, 337, 193);
INSERT INTO public.who_data VALUES (79780, 2, 4, 0, 0, 337, 18);
INSERT INTO public.who_data VALUES (79781, 13, 66, 0, 0, 337, 40);
INSERT INTO public.who_data VALUES (79782, 1, 2, 0, 0, 337, 218);
INSERT INTO public.who_data VALUES (79783, 0, 5, 0, 0, 337, 191);
INSERT INTO public.who_data VALUES (79784, 6, 22, 0, 0, 337, 156);
INSERT INTO public.who_data VALUES (79785, 0, 0, 0, 0, 337, 135);
INSERT INTO public.who_data VALUES (79786, 0, 0, 0, 0, 337, 88);
INSERT INTO public.who_data VALUES (79787, 37, 85, 0, 0, 337, 55);
INSERT INTO public.who_data VALUES (79788, 190, 1742, 1, 7, 337, 108);
INSERT INTO public.who_data VALUES (79789, 4, 52, 0, 0, 337, 48);
INSERT INTO public.who_data VALUES (79790, 4, 52, 0, 0, 337, 3);
INSERT INTO public.who_data VALUES (79791, 0, 712, 0, 8, 337, 224);
INSERT INTO public.who_data VALUES (79792, 34, 495, 1, 3, 337, 110);
INSERT INTO public.who_data VALUES (79793, 0, 0, 0, 0, 337, 106);
INSERT INTO public.who_data VALUES (79794, 0, 137, 0, 1, 337, 89);
INSERT INTO public.who_data VALUES (79795, 0, 1, 0, 0, 337, 121);
INSERT INTO public.who_data VALUES (79796, 5, 18, 1, 1, 337, 163);
INSERT INTO public.who_data VALUES (79797, 84, 318, 0, 2, 337, 70);
INSERT INTO public.who_data VALUES (79798, 77, 307, 1, 19, 337, 174);
INSERT INTO public.who_data VALUES (79799, 0, 0, 0, 0, 337, 175);
INSERT INTO public.who_data VALUES (79800, 70, 425, 0, 5, 337, 118);
INSERT INTO public.who_data VALUES (79801, 235, 1020, 3, 6, 337, 189);
INSERT INTO public.who_data VALUES (79802, 7, 21, 1, 1, 337, 124);
INSERT INTO public.who_data VALUES (79803, 10, 470, 0, 0, 337, 192);
INSERT INTO public.who_data VALUES (79804, 98, 8897, 2, 104, 337, 41);
INSERT INTO public.who_data VALUES (79805, 31, 80, 1, 1, 337, 95);
INSERT INTO public.who_data VALUES (79806, 19, 47, 0, 0, 337, 74);
INSERT INTO public.who_data VALUES (79807, 31, 308, 0, 0, 337, 11);
INSERT INTO public.who_data VALUES (79808, 54, 253, 0, 0, 337, 87);
INSERT INTO public.who_data VALUES (79809, 2, 17, 0, 0, 337, 214);
INSERT INTO public.who_data VALUES (79810, 0, 0, 0, 0, 337, 116);
INSERT INTO public.who_data VALUES (79811, 0, 3, 0, 0, 337, 157);
INSERT INTO public.who_data VALUES (79812, 0, 0, 0, 0, 337, 182);
INSERT INTO public.who_data VALUES (79813, 0, 0, 0, 0, 337, 186);
INSERT INTO public.who_data VALUES (79814, 0, 6, 0, 0, 337, 127);
INSERT INTO public.who_data VALUES (79815, 0, 8, 0, 0, 337, 232);
INSERT INTO public.who_data VALUES (79816, 0, 0, 0, 0, 337, 33);
INSERT INTO public.who_data VALUES (79817, 0, 1, 0, 0, 337, 97);
INSERT INTO public.who_data VALUES (79818, 0, 0, 0, 0, 337, 42);
INSERT INTO public.who_data VALUES (79819, 25, 151, 6, 20, 337, 198);
INSERT INTO public.who_data VALUES (79820, 0, 0, 0, 0, 337, 216);
INSERT INTO public.who_data VALUES (79821, 118, 392, 0, 0, 337, 164);
INSERT INTO public.who_data VALUES (79822, 14, 56, 0, 0, 337, 235);
INSERT INTO public.who_data VALUES (79823, 50, 173, 1, 1, 337, 67);
INSERT INTO public.who_data VALUES (79824, -3, 7, 0, 0, 337, 15);
INSERT INTO public.who_data VALUES (79825, 0, 0, 0, 0, 337, 180);
INSERT INTO public.who_data VALUES (79826, 47, 432, 0, 2, 337, 237);
INSERT INTO public.who_data VALUES (79827, 0, 0, 0, 0, 337, 25);
INSERT INTO public.who_data VALUES (79828, 0, 5, 0, 0, 337, 209);
INSERT INTO public.who_data VALUES (79829, 16, 123, 0, 0, 337, 217);
INSERT INTO public.who_data VALUES (79830, 23, 341, 0, 1, 337, 79);
INSERT INTO public.who_data VALUES (79831, 0, 0, 0, 0, 337, 143);
INSERT INTO public.who_data VALUES (79832, 0, 5, 0, 0, 337, 229);
INSERT INTO public.who_data VALUES (79833, 35, 240, 0, 0, 337, 141);
INSERT INTO public.who_data VALUES (79834, 0, 0, 0, 0, 337, 197);
INSERT INTO public.who_data VALUES (79835, 5879, 31299, 322, 1424, 337, 221);
INSERT INTO public.who_data VALUES (79836, 13, 72, 0, 0, 337, 150);
INSERT INTO public.who_data VALUES (79837, 1, 2, 0, 1, 337, 56);
INSERT INTO public.who_data VALUES (79838, 0, 2, 0, 0, 337, 167);
INSERT INTO public.who_data VALUES (79839, 143, 1553, 7, 21, 337, 23);
INSERT INTO public.who_data VALUES (79840, 1139, 8016, 21, 90, 337, 222);
INSERT INTO public.who_data VALUES (79841, 0, 0, 0, 0, 337, 219);
INSERT INTO public.who_data VALUES (79842, 0, 0, 0, 0, 337, 7);
INSERT INTO public.who_data VALUES (79843, 89, 411, 0, 1, 337, 161);
INSERT INTO public.who_data VALUES (79844, 1055, 6485, 32, 194, 337, 149);
INSERT INTO public.who_data VALUES (79845, 0, 1, 0, 0, 337, 6);
INSERT INTO public.who_data VALUES (79846, 2, 15, 0, 0, 337, 139);
INSERT INTO public.who_data VALUES (79847, 0, 0, 0, 0, 337, 211);
INSERT INTO public.who_data VALUES (79848, 0, 0, 0, 0, 337, 14);
INSERT INTO public.who_data VALUES (79849, 0, 9, 0, 0, 337, 111);
INSERT INTO public.who_data VALUES (79850, 6, 60, 0, 1, 337, 207);
INSERT INTO public.who_data VALUES (79851, 479, 670, 7, 9, 337, 66);
INSERT INTO public.who_data VALUES (79852, 0, 0, 0, 0, 337, 173);
INSERT INTO public.who_data VALUES (79853, 0, 0, 0, 0, 337, 145);
INSERT INTO public.who_data VALUES (79854, 0, 0, 0, 0, 337, 65);
INSERT INTO public.who_data VALUES (79855, 1, 1, 0, 0, 337, 184);
INSERT INTO public.who_data VALUES (79856, 31, 47, 1, 3, 337, 98);
INSERT INTO public.who_data VALUES (79857, 13, 153, 2, 2, 337, 104);
INSERT INTO public.who_data VALUES (79858, 0, 10, 0, 0, 337, 73);
INSERT INTO public.who_data VALUES (79859, 0, 15219, 0, 201, 337, 8);
INSERT INTO public.who_data VALUES (79860, -1, 6, 0, 0, 337, 227);
INSERT INTO public.who_data VALUES (79861, 0, 94, 0, 0, 337, 75);
INSERT INTO public.who_data VALUES (79862, 20, 41, 0, 0, 337, 45);
INSERT INTO public.who_data VALUES (79863, 0, 0, 0, 0, 337, 133);
INSERT INTO public.who_data VALUES (79864, 0, 40, 0, 0, 337, 202);
INSERT INTO public.who_data VALUES (79865, 3, 94, 0, 0, 337, 129);
INSERT INTO public.who_data VALUES (79866, 0, 0, 0, 0, 337, 36);
INSERT INTO public.who_data VALUES (79867, 0, 0, 0, 0, 337, 51);
INSERT INTO public.who_data VALUES (79868, 0, 6, 0, 0, 337, 206);
INSERT INTO public.who_data VALUES (79869, 1, 2, 0, 0, 337, 5);
INSERT INTO public.who_data VALUES (79870, -2, 24, 0, 0, 338, 103);
INSERT INTO public.who_data VALUES (79871, 11, 32, 0, 1, 338, 58);
INSERT INTO public.who_data VALUES (79872, 8, 94, 3, 10, 338, 195);
INSERT INTO public.who_data VALUES (79873, 0, 0, 0, 0, 338, 115);
INSERT INTO public.who_data VALUES (79874, 36, 75, 0, 0, 338, 99);
INSERT INTO public.who_data VALUES (79875, 0, 0, 0, 0, 338, 153);
INSERT INTO public.who_data VALUES (79876, 0, 0, 0, 0, 338, 93);
INSERT INTO public.who_data VALUES (79877, 0, 5, 0, 0, 338, 84);
INSERT INTO public.who_data VALUES (79878, 27, 128, 1, 3, 338, 78);
INSERT INTO public.who_data VALUES (79879, 31, 92, 0, 0, 338, 170);
INSERT INTO public.who_data VALUES (79880, 0, 5, 0, 0, 338, 32);
INSERT INTO public.who_data VALUES (79881, 164, 873, 1, 7, 338, 155);
INSERT INTO public.who_data VALUES (79882, 550, 2196, 2, 6, 338, 82);
INSERT INTO public.who_data VALUES (79883, 6, 34, 0, 1, 338, 16);
INSERT INTO public.who_data VALUES (79884, -3, 4, 0, 0, 338, 72);
INSERT INTO public.who_data VALUES (79885, 12, 285, 0, 1, 338, 43);
INSERT INTO public.who_data VALUES (79886, 0, 17, 0, 1, 338, 120);
INSERT INTO public.who_data VALUES (79887, -1, 5, 0, 0, 338, 213);
INSERT INTO public.who_data VALUES (79888, 0, 36, 0, 0, 338, 31);
INSERT INTO public.who_data VALUES (79889, 713, 3912, 33, 95, 338, 204);
INSERT INTO public.who_data VALUES (79890, 0, 0, 0, 0, 338, 152);
INSERT INTO public.who_data VALUES (79891, 0, 2, 0, 0, 338, 144);
INSERT INTO public.who_data VALUES (79892, 0, 6, 0, 0, 338, 96);
INSERT INTO public.who_data VALUES (79893, 0, 2, 0, 0, 338, 47);
INSERT INTO public.who_data VALUES (79894, 1, 16, 0, 0, 338, 80);
INSERT INTO public.who_data VALUES (79895, 0, 0, 0, 0, 338, 159);
INSERT INTO public.who_data VALUES (79896, 9, 44, 0, 0, 338, 27);
INSERT INTO public.who_data VALUES (79897, 0, 0, 0, 0, 338, 146);
INSERT INTO public.who_data VALUES (79898, 193, 621, 0, 4, 338, 71);
INSERT INTO public.who_data VALUES (79899, 0, 0, 0, 0, 338, 210);
INSERT INTO public.who_data VALUES (79900, 5, 78, 0, 0, 338, 54);
INSERT INTO public.who_data VALUES (79901, 13, 105, 1, 3, 338, 147);
INSERT INTO public.who_data VALUES (79902, 0, 44, 0, 1, 338, 2);
INSERT INTO public.who_data VALUES (79903, 0, 0, 0, 0, 338, 105);
INSERT INTO public.who_data VALUES (79904, 1, 1, 0, 0, 338, 53);
INSERT INTO public.who_data VALUES (79905, 4, 51, 0, 0, 338, 81);
INSERT INTO public.who_data VALUES (79906, 3, 22, 0, 0, 338, 223);
INSERT INTO public.who_data VALUES (79907, 110, 846, 0, 9, 338, 94);
INSERT INTO public.who_data VALUES (79908, 0, 3, 0, 1, 338, 154);
INSERT INTO public.who_data VALUES (79909, 0, 5, 0, 0, 338, 83);
INSERT INTO public.who_data VALUES (79910, 0, 5, 0, 0, 338, 194);
INSERT INTO public.who_data VALUES (79911, 92, 434, 0, 0, 338, 136);
INSERT INTO public.who_data VALUES (79912, 139, 81416, 11, 3261, 338, 179);
INSERT INTO public.who_data VALUES (79913, 37, 145, 0, 0, 338, 57);
INSERT INTO public.who_data VALUES (79914, 0, 0, 0, 0, 338, 35);
INSERT INTO public.who_data VALUES (79915, 0, 2, 0, 0, 338, 228);
INSERT INTO public.who_data VALUES (79916, 0, 0, 0, 0, 338, 19);
INSERT INTO public.who_data VALUES (79917, 26, 113, 1, 2, 338, 22);
INSERT INTO public.who_data VALUES (79918, 0, 13, 0, 0, 338, 1);
INSERT INTO public.who_data VALUES (79919, 23, 104, 0, 0, 338, 21);
INSERT INTO public.who_data VALUES (79920, 5, 16, 0, 1, 338, 234);
INSERT INTO public.who_data VALUES (79921, 0, 7, 0, 0, 338, 91);
INSERT INTO public.who_data VALUES (79922, 0, 58, 0, 0, 338, 137);
INSERT INTO public.who_data VALUES (79923, 172, 694, 0, 0, 338, 201);
INSERT INTO public.who_data VALUES (79924, 0, 0, 0, 0, 338, 171);
INSERT INTO public.who_data VALUES (79925, 0, 18, 0, 0, 338, 92);
INSERT INTO public.who_data VALUES (79926, 36, 1151, 2, 6, 338, 112);
INSERT INTO public.who_data VALUES (79927, 0, 5, 0, 0, 338, 62);
INSERT INTO public.who_data VALUES (79928, 0, 0, 0, 0, 338, 69);
INSERT INTO public.who_data VALUES (79929, 38, 72, 0, 2, 338, 220);
INSERT INTO public.who_data VALUES (79930, 168, 367, 2, 5, 338, 100);
INSERT INTO public.who_data VALUES (79931, 42, 256, 1, 7, 338, 187);
INSERT INTO public.who_data VALUES (79932, 0, 1, 0, 0, 338, 63);
INSERT INTO public.who_data VALUES (79933, 0, 8, 0, 0, 338, 28);
INSERT INTO public.who_data VALUES (79934, 0, 0, 0, 0, 338, 172);
INSERT INTO public.who_data VALUES (79935, 9, 267, 0, 0, 338, 17);
INSERT INTO public.who_data VALUES (79936, 0, 5, 0, 0, 338, 226);
INSERT INTO public.who_data VALUES (79937, 0, 13, 0, 0, 338, 236);
INSERT INTO public.who_data VALUES (79938, 0, 0, 0, 0, 338, 76);
INSERT INTO public.who_data VALUES (79939, 25, 72, 0, 0, 338, 30);
INSERT INTO public.who_data VALUES (79940, 0, 1, 0, 0, 338, 128);
INSERT INTO public.who_data VALUES (79941, 31, 400, 0, 0, 338, 86);
INSERT INTO public.who_data VALUES (79942, 1846, 10850, 128, 372, 338, 140);
INSERT INTO public.who_data VALUES (79943, 0, 15, 0, 0, 338, 44);
INSERT INTO public.who_data VALUES (79944, 0, 11, 0, 0, 338, 113);
INSERT INTO public.who_data VALUES (79945, 1, 3, 1, 1, 338, 29);
INSERT INTO public.who_data VALUES (79946, 0, 5, 0, 0, 338, 125);
INSERT INTO public.who_data VALUES (79947, 4, 38, 0, 0, 338, 131);
INSERT INTO public.who_data VALUES (79948, 5940, 14138, 30, 43, 338, 46);
INSERT INTO public.who_data VALUES (79949, 1, 16, 0, 0, 338, 10);
INSERT INTO public.who_data VALUES (79950, 7, 10, 0, 0, 338, 205);
INSERT INTO public.who_data VALUES (79951, 46, 464, 0, 5, 338, 50);
INSERT INTO public.who_data VALUES (79952, 0, 2, 0, 0, 338, 20);
INSERT INTO public.who_data VALUES (79953, 0, 0, 0, 0, 338, 13);
INSERT INTO public.who_data VALUES (79954, 6, 51, 0, 0, 338, 148);
INSERT INTO public.who_data VALUES (79955, 2, 14, 0, 0, 338, 230);
INSERT INTO public.who_data VALUES (79956, 3, 12, 0, 1, 338, 190);
INSERT INTO public.who_data VALUES (79957, 0, 1, 0, 0, 338, 188);
INSERT INTO public.who_data VALUES (79958, 0, 6, 0, 0, 338, 123);
INSERT INTO public.who_data VALUES (79959, 0, 0, 0, 0, 338, 9);
INSERT INTO public.who_data VALUES (79960, 0, 9, 0, 1, 338, 102);
INSERT INTO public.who_data VALUES (79961, 2, 2, 0, 0, 338, 34);
INSERT INTO public.who_data VALUES (79962, 0, 1, 0, 0, 338, 212);
INSERT INTO public.who_data VALUES (79963, 12, 24, 0, 0, 338, 122);
INSERT INTO public.who_data VALUES (79964, 12, 85, 0, 1, 338, 38);
INSERT INTO public.who_data VALUES (79965, 80, 330, 1, 1, 338, 130);
INSERT INTO public.who_data VALUES (79966, 0, 195, 0, 4, 338, 37);
INSERT INTO public.who_data VALUES (79967, 60, 369, 7, 32, 338, 231);
INSERT INTO public.who_data VALUES (79968, 1233, 19644, 149, 1433, 338, 107);
INSERT INTO public.who_data VALUES (79969, 12, 193, 2, 14, 338, 101);
INSERT INTO public.who_data VALUES (79970, 191, 557, 1, 3, 338, 132);
INSERT INTO public.who_data VALUES (79971, 1, 1, 0, 0, 338, 176);
INSERT INTO public.who_data VALUES (79972, 118, 500, 0, 1, 338, 200);
INSERT INTO public.who_data VALUES (79973, 5322, 41035, 429, 3407, 338, 169);
INSERT INTO public.who_data VALUES (79974, 1, 16, 0, 1, 338, 225);
INSERT INTO public.who_data VALUES (79975, 46, 996, 2, 35, 338, 165);
INSERT INTO public.who_data VALUES (79976, 0, 5, 0, 0, 338, 233);
INSERT INTO public.who_data VALUES (79977, 9, 69, 0, 0, 338, 215);
INSERT INTO public.who_data VALUES (79978, 7, 53, 0, 0, 338, 177);
INSERT INTO public.who_data VALUES (79979, 0, 11, 0, 0, 338, 183);
INSERT INTO public.who_data VALUES (79980, 0, 0, 0, 0, 338, 203);
INSERT INTO public.who_data VALUES (79981, 15, 20, 0, 0, 338, 162);
INSERT INTO public.who_data VALUES (79982, 7, 159, 0, 0, 338, 12);
INSERT INTO public.who_data VALUES (79983, 0, 3, 0, 0, 338, 24);
INSERT INTO public.who_data VALUES (79984, 0, 0, 0, 0, 338, 119);
INSERT INTO public.who_data VALUES (79985, 15, 86, 0, 0, 338, 39);
INSERT INTO public.who_data VALUES (79986, 10, 163, 0, 4, 338, 26);
INSERT INTO public.who_data VALUES (79987, 0, 0, 0, 0, 338, 59);
INSERT INTO public.who_data VALUES (79988, 0, 6, 0, 0, 338, 77);
INSERT INTO public.who_data VALUES (79989, 0, 0, 0, 0, 338, 134);
INSERT INTO public.who_data VALUES (79990, 2, 36, 0, 0, 338, 4);
INSERT INTO public.who_data VALUES (79991, 11, 47, 0, 0, 338, 109);
INSERT INTO public.who_data VALUES (79992, 135, 345, 2, 4, 338, 90);
INSERT INTO public.who_data VALUES (79993, 0, 0, 0, 0, 338, 61);
INSERT INTO public.who_data VALUES (79994, 0, 0, 0, 0, 338, 85);
INSERT INTO public.who_data VALUES (79995, 130, 1030, 1, 3, 338, 49);
INSERT INTO public.who_data VALUES (79996, 0, 17, 0, 0, 338, 208);
INSERT INTO public.who_data VALUES (79997, 0, 0, 0, 0, 338, 166);
INSERT INTO public.who_data VALUES (79998, 4, 52, 0, 0, 338, 64);
INSERT INTO public.who_data VALUES (79999, 0, 0, 0, 0, 338, 199);
INSERT INTO public.who_data VALUES (80000, 0, 32, 0, 0, 338, 114);
INSERT INTO public.who_data VALUES (80001, 0, 6, 0, 0, 338, 60);
INSERT INTO public.who_data VALUES (80002, 1, 12, 0, 0, 338, 68);
INSERT INTO public.who_data VALUES (80003, 0, 8, 0, 0, 338, 158);
INSERT INTO public.who_data VALUES (80004, 46, 164, 0, 1, 338, 52);
INSERT INTO public.who_data VALUES (80005, 0, 0, 0, 0, 338, 117);
INSERT INTO public.who_data VALUES (80006, 3, 12, 0, 0, 338, 126);
INSERT INTO public.who_data VALUES (80007, 0, 6, 0, 0, 338, 196);
INSERT INTO public.who_data VALUES (80008, 1, 14, 0, 0, 338, 142);
INSERT INTO public.who_data VALUES (80009, 0, 5, 0, 0, 338, 185);
INSERT INTO public.who_data VALUES (80010, 9, 74, 1, 3, 338, 138);
INSERT INTO public.who_data VALUES (80011, 0, 0, 0, 0, 338, 181);
INSERT INTO public.who_data VALUES (80012, 0, 0, 0, 0, 338, 178);
INSERT INTO public.who_data VALUES (80013, 0, 7, 0, 0, 338, 168);
INSERT INTO public.who_data VALUES (80014, 0, 0, 0, 0, 338, 160);
INSERT INTO public.who_data VALUES (80015, 0, 5, 0, 0, 338, 151);
INSERT INTO public.who_data VALUES (80016, 396, 2410, 23, 76, 338, 193);
INSERT INTO public.who_data VALUES (80017, 0, 2, 0, 0, 338, 18);
INSERT INTO public.who_data VALUES (80018, 14, 53, 0, 0, 338, 40);
INSERT INTO public.who_data VALUES (80019, 0, 1, 0, 0, 338, 218);
INSERT INTO public.who_data VALUES (80020, 0, 5, 0, 0, 338, 191);
INSERT INTO public.who_data VALUES (80021, 0, 16, 0, 0, 338, 156);
INSERT INTO public.who_data VALUES (80022, 0, 0, 0, 0, 338, 135);
INSERT INTO public.who_data VALUES (80023, 0, 0, 0, 0, 338, 88);
INSERT INTO public.who_data VALUES (80024, 13, 48, 0, 0, 338, 55);
INSERT INTO public.who_data VALUES (80025, 129, 1552, 3, 6, 338, 108);
INSERT INTO public.who_data VALUES (80026, -3, 48, 0, 0, 338, 48);
INSERT INTO public.who_data VALUES (80027, 5, 48, 0, 0, 338, 3);
INSERT INTO public.who_data VALUES (80028, -4, 712, 1, 8, 338, 224);
INSERT INTO public.who_data VALUES (80029, 155, 461, 0, 2, 338, 110);
INSERT INTO public.who_data VALUES (80030, 0, 0, 0, 0, 338, 106);
INSERT INTO public.who_data VALUES (80031, 28, 137, 0, 1, 338, 89);
INSERT INTO public.who_data VALUES (80032, 1, 1, 0, 0, 338, 121);
INSERT INTO public.who_data VALUES (80033, -2, 13, 0, 0, 338, 163);
INSERT INTO public.who_data VALUES (80034, 0, 234, 2, 2, 338, 70);
INSERT INTO public.who_data VALUES (80035, 13, 230, 1, 18, 338, 174);
INSERT INTO public.who_data VALUES (80036, 0, 0, 0, 0, 338, 175);
INSERT INTO public.who_data VALUES (80037, 68, 355, 0, 5, 338, 118);
INSERT INTO public.who_data VALUES (80038, 143, 785, 1, 3, 338, 189);
INSERT INTO public.who_data VALUES (80039, 8, 14, 0, 0, 338, 124);
INSERT INTO public.who_data VALUES (80040, 4, 460, 0, 0, 338, 192);
INSERT INTO public.who_data VALUES (80041, 147, 8799, 8, 102, 338, 41);
INSERT INTO public.who_data VALUES (80042, 13, 49, 0, 0, 338, 95);
INSERT INTO public.who_data VALUES (80043, 9, 28, 0, 0, 338, 74);
INSERT INTO public.who_data VALUES (80044, 17, 277, 0, 0, 338, 11);
INSERT INTO public.who_data VALUES (80045, 52, 199, 0, 0, 338, 87);
INSERT INTO public.who_data VALUES (80046, 0, 15, 0, 0, 338, 214);
INSERT INTO public.who_data VALUES (80047, 0, 0, 0, 0, 338, 116);
INSERT INTO public.who_data VALUES (80048, 0, 3, 0, 0, 338, 157);
INSERT INTO public.who_data VALUES (80049, 0, 0, 0, 0, 338, 182);
INSERT INTO public.who_data VALUES (80050, 0, 0, 0, 0, 338, 186);
INSERT INTO public.who_data VALUES (80051, 0, 6, 0, 0, 338, 127);
INSERT INTO public.who_data VALUES (80052, 0, 8, 0, 0, 338, 232);
INSERT INTO public.who_data VALUES (80053, 0, 0, 0, 0, 338, 33);
INSERT INTO public.who_data VALUES (80054, 0, 1, 0, 0, 338, 97);
INSERT INTO public.who_data VALUES (80055, 0, 0, 0, 0, 338, 42);
INSERT INTO public.who_data VALUES (80056, 17, 126, 0, 14, 338, 198);
INSERT INTO public.who_data VALUES (80057, 0, 0, 0, 0, 338, 216);
INSERT INTO public.who_data VALUES (80058, 32, 274, 0, 0, 338, 164);
INSERT INTO public.who_data VALUES (80059, 0, 42, 0, 0, 338, 235);
INSERT INTO public.who_data VALUES (80060, 29, 123, 0, 0, 338, 67);
INSERT INTO public.who_data VALUES (80061, 0, 10, 0, 0, 338, 15);
INSERT INTO public.who_data VALUES (80062, 0, 0, 0, 0, 338, 180);
INSERT INTO public.who_data VALUES (80063, 40, 385, 2, 2, 338, 237);
INSERT INTO public.who_data VALUES (80064, 0, 0, 0, 0, 338, 25);
INSERT INTO public.who_data VALUES (80065, 0, 5, 0, 0, 338, 209);
INSERT INTO public.who_data VALUES (80066, 10, 107, 0, 0, 338, 217);
INSERT INTO public.who_data VALUES (80067, 32, 318, 0, 1, 338, 79);
INSERT INTO public.who_data VALUES (80068, 0, 0, 0, 0, 338, 143);
INSERT INTO public.who_data VALUES (80069, 0, 5, 0, 0, 338, 229);
INSERT INTO public.who_data VALUES (80070, 51, 205, 0, 0, 338, 141);
INSERT INTO public.who_data VALUES (80071, 0, 0, 0, 0, 338, 197);
INSERT INTO public.who_data VALUES (80072, 4785, 25420, 246, 1102, 338, 221);
INSERT INTO public.who_data VALUES (80073, 0, 59, 0, 0, 338, 150);
INSERT INTO public.who_data VALUES (80074, 0, 1, 0, 1, 338, 56);
INSERT INTO public.who_data VALUES (80075, -3, 2, 0, 0, 338, 167);
INSERT INTO public.who_data VALUES (80076, 145, 1410, 6, 14, 338, 23);
INSERT INTO public.who_data VALUES (80077, 835, 6877, 14, 69, 338, 222);
INSERT INTO public.who_data VALUES (80078, 0, 0, 0, 0, 338, 219);
INSERT INTO public.who_data VALUES (80079, 0, 0, 0, 0, 338, 7);
INSERT INTO public.who_data VALUES (80080, 0, 322, 0, 1, 338, 161);
INSERT INTO public.who_data VALUES (80081, 1003, 5430, 46, 162, 338, 149);
INSERT INTO public.who_data VALUES (80082, 1, 1, 0, 0, 338, 6);
INSERT INTO public.who_data VALUES (80083, 0, 13, 0, 0, 338, 139);
INSERT INTO public.who_data VALUES (80084, 0, 0, 0, 0, 338, 211);
INSERT INTO public.who_data VALUES (80085, 0, 0, 0, 0, 338, 14);
INSERT INTO public.who_data VALUES (80086, 0, 9, 0, 0, 338, 111);
INSERT INTO public.who_data VALUES (80087, 15, 54, 1, 1, 338, 207);
INSERT INTO public.who_data VALUES (80088, 0, 191, 0, 2, 338, 66);
INSERT INTO public.who_data VALUES (80089, 0, 0, 0, 0, 338, 173);
INSERT INTO public.who_data VALUES (80090, 0, 0, 0, 0, 338, 145);
INSERT INTO public.who_data VALUES (80091, 0, 0, 0, 0, 338, 65);
INSERT INTO public.who_data VALUES (80092, 0, 0, 0, 0, 338, 184);
INSERT INTO public.who_data VALUES (80093, 0, 16, 0, 2, 338, 98);
INSERT INTO public.who_data VALUES (80094, 0, 140, 0, 0, 338, 104);
INSERT INTO public.who_data VALUES (80095, 0, 10, 0, 0, 338, 73);
INSERT INTO public.who_data VALUES (80096, 4777, 15219, 51, 201, 338, 8);
INSERT INTO public.who_data VALUES (80097, 0, 7, 0, 0, 338, 227);
INSERT INTO public.who_data VALUES (80098, 15, 94, 0, 0, 338, 75);
INSERT INTO public.who_data VALUES (80099, 17, 21, 0, 0, 338, 45);
INSERT INTO public.who_data VALUES (80100, 0, 0, 0, 0, 338, 133);
INSERT INTO public.who_data VALUES (80101, 0, 40, 0, 0, 338, 202);
INSERT INTO public.who_data VALUES (80102, 6, 91, 0, 0, 338, 129);
INSERT INTO public.who_data VALUES (80103, 0, 0, 0, 0, 338, 36);
INSERT INTO public.who_data VALUES (80104, 0, 0, 0, 0, 338, 51);
INSERT INTO public.who_data VALUES (80105, 0, 6, 0, 0, 338, 206);
INSERT INTO public.who_data VALUES (80106, 1, 1, 0, 0, 338, 5);
INSERT INTO public.who_data VALUES (80107, 0, 26, 0, 0, 339, 103);
INSERT INTO public.who_data VALUES (80108, 3, 21, 0, 1, 339, 58);
INSERT INTO public.who_data VALUES (80109, 10, 86, 1, 7, 339, 195);
INSERT INTO public.who_data VALUES (80110, 0, 0, 0, 0, 339, 115);
INSERT INTO public.who_data VALUES (80111, 0, 39, 0, 0, 339, 99);
INSERT INTO public.who_data VALUES (80112, 0, 0, 0, 0, 339, 153);
INSERT INTO public.who_data VALUES (80113, 0, 0, 0, 0, 339, 93);
INSERT INTO public.who_data VALUES (80114, 0, 5, 0, 0, 339, 84);
INSERT INTO public.who_data VALUES (80115, 0, 101, 0, 2, 339, 78);
INSERT INTO public.who_data VALUES (80116, 31, 61, 0, 0, 339, 170);
INSERT INTO public.who_data VALUES (80117, -3, 5, 0, 0, 339, 32);
INSERT INTO public.who_data VALUES (80118, 195, 709, 0, 6, 339, 155);
INSERT INTO public.who_data VALUES (80119, 314, 1646, 1, 4, 339, 82);
INSERT INTO public.who_data VALUES (80120, 0, 28, 1, 1, 339, 16);
INSERT INTO public.who_data VALUES (80121, 0, 7, 0, 0, 339, 72);
INSERT INTO public.who_data VALUES (80122, 13, 273, 0, 1, 339, 43);
INSERT INTO public.who_data VALUES (80123, 3, 17, 1, 1, 339, 120);
INSERT INTO public.who_data VALUES (80124, 0, 6, 0, 0, 339, 213);
INSERT INTO public.who_data VALUES (80125, 0, 36, 0, 0, 339, 31);
INSERT INTO public.who_data VALUES (80126, 534, 3199, 22, 62, 339, 204);
INSERT INTO public.who_data VALUES (80127, 0, 0, 0, 0, 339, 152);
INSERT INTO public.who_data VALUES (80128, 1, 2, 0, 0, 339, 144);
INSERT INTO public.who_data VALUES (80129, 0, 6, 0, 0, 339, 96);
INSERT INTO public.who_data VALUES (80130, 1, 2, 0, 0, 339, 47);
INSERT INTO public.who_data VALUES (80131, -1, 15, 0, 0, 339, 80);
INSERT INTO public.who_data VALUES (80132, 0, 0, 0, 0, 339, 159);
INSERT INTO public.who_data VALUES (80133, 14, 35, 0, 0, 339, 27);
INSERT INTO public.who_data VALUES (80134, 0, 0, 0, 0, 339, 146);
INSERT INTO public.who_data VALUES (80135, 133, 428, 3, 4, 339, 71);
INSERT INTO public.who_data VALUES (80136, 0, 0, 0, 0, 339, 210);
INSERT INTO public.who_data VALUES (80137, 13, 73, 0, 0, 339, 54);
INSERT INTO public.who_data VALUES (80138, 11, 92, 0, 2, 339, 147);
INSERT INTO public.who_data VALUES (80139, 14, 44, 0, 1, 339, 2);
INSERT INTO public.who_data VALUES (80140, 0, 0, 0, 0, 339, 105);
INSERT INTO public.who_data VALUES (80141, 0, 0, 0, 0, 339, 53);
INSERT INTO public.who_data VALUES (80142, 8, 47, 0, 0, 339, 81);
INSERT INTO public.who_data VALUES (80143, 5, 19, 0, 0, 339, 223);
INSERT INTO public.who_data VALUES (80144, 163, 736, 0, 9, 339, 94);
INSERT INTO public.who_data VALUES (80145, -2, 3, 0, 1, 339, 154);
INSERT INTO public.who_data VALUES (80146, 0, 5, 0, 0, 339, 83);
INSERT INTO public.who_data VALUES (80147, 5, 5, 0, 0, 339, 194);
INSERT INTO public.who_data VALUES (80148, 100, 342, 0, 0, 339, 136);
INSERT INTO public.who_data VALUES (80149, 99, 81277, 8, 3250, 339, 179);
INSERT INTO public.who_data VALUES (80150, 11, 108, 0, 0, 339, 57);
INSERT INTO public.who_data VALUES (80151, 0, 0, 0, 0, 339, 35);
INSERT INTO public.who_data VALUES (80152, 0, 2, 0, 0, 339, 228);
INSERT INTO public.who_data VALUES (80153, 0, 0, 0, 0, 339, 19);
INSERT INTO public.who_data VALUES (80154, 33, 87, 0, 1, 339, 22);
INSERT INTO public.who_data VALUES (80155, 0, 13, 0, 0, 339, 1);
INSERT INTO public.who_data VALUES (80156, 12, 81, 0, 0, 339, 21);
INSERT INTO public.who_data VALUES (80157, -3, 11, 0, 1, 339, 234);
INSERT INTO public.who_data VALUES (80158, 0, 7, 0, 0, 339, 91);
INSERT INTO public.who_data VALUES (80159, 18, 58, 0, 0, 339, 137);
INSERT INTO public.who_data VALUES (80160, 88, 522, 0, 0, 339, 201);
INSERT INTO public.who_data VALUES (80161, 0, 0, 0, 0, 339, 171);
INSERT INTO public.who_data VALUES (80162, 7, 18, 0, 0, 339, 92);
INSERT INTO public.who_data VALUES (80163, 91, 1115, 0, 4, 339, 112);
INSERT INTO public.who_data VALUES (80164, 0, 5, 0, 0, 339, 62);
INSERT INTO public.who_data VALUES (80165, 0, 0, 0, 0, 339, 69);
INSERT INTO public.who_data VALUES (80166, 9, 34, 1, 2, 339, 220);
INSERT INTO public.who_data VALUES (80167, 40, 199, 1, 3, 339, 100);
INSERT INTO public.who_data VALUES (80168, 14, 214, 0, 6, 339, 187);
INSERT INTO public.who_data VALUES (80169, 1, 1, 0, 0, 339, 63);
INSERT INTO public.who_data VALUES (80170, 1, 8, 0, 0, 339, 28);
INSERT INTO public.who_data VALUES (80171, 0, 0, 0, 0, 339, 172);
INSERT INTO public.who_data VALUES (80172, 33, 258, 0, 0, 339, 17);
INSERT INTO public.who_data VALUES (80173, 0, 5, 0, 0, 339, 226);
INSERT INTO public.who_data VALUES (80174, 3, 13, 0, 0, 339, 236);
INSERT INTO public.who_data VALUES (80175, 0, 0, 0, 0, 339, 76);
INSERT INTO public.who_data VALUES (80176, 29, 47, 0, 0, 339, 30);
INSERT INTO public.who_data VALUES (80177, 1, 1, 0, 0, 339, 128);
INSERT INTO public.who_data VALUES (80178, 50, 369, 0, 0, 339, 86);
INSERT INTO public.who_data VALUES (80179, 1387, 9004, 69, 244, 339, 140);
INSERT INTO public.who_data VALUES (80180, 0, 15, 0, 0, 339, 44);
INSERT INTO public.who_data VALUES (80181, 9, 11, 0, 0, 339, 113);
INSERT INTO public.who_data VALUES (80182, 0, 2, 0, 0, 339, 29);
INSERT INTO public.who_data VALUES (80183, 0, 5, 0, 0, 339, 125);
INSERT INTO public.who_data VALUES (80184, 0, 34, 0, 0, 339, 131);
INSERT INTO public.who_data VALUES (80185, 1042, 8198, 0, 13, 339, 46);
INSERT INTO public.who_data VALUES (80186, 2, 15, 0, 0, 339, 10);
INSERT INTO public.who_data VALUES (80187, 0, 3, 0, 0, 339, 205);
INSERT INTO public.who_data VALUES (80188, 31, 418, 0, 5, 339, 50);
INSERT INTO public.who_data VALUES (80189, 0, 2, 0, 0, 339, 20);
INSERT INTO public.who_data VALUES (80190, 0, 0, 0, 0, 339, 13);
INSERT INTO public.who_data VALUES (80191, 8, 45, 0, 0, 339, 148);
INSERT INTO public.who_data VALUES (80192, 3, 12, 0, 0, 339, 230);
INSERT INTO public.who_data VALUES (80193, -1, 9, 0, 1, 339, 190);
INSERT INTO public.who_data VALUES (80194, 0, 1, 0, 0, 339, 188);
INSERT INTO public.who_data VALUES (80195, 1, 6, 0, 0, 339, 123);
INSERT INTO public.who_data VALUES (80196, 0, 0, 0, 0, 339, 9);
INSERT INTO public.who_data VALUES (80197, 0, 9, 0, 1, 339, 102);
INSERT INTO public.who_data VALUES (80198, 0, 0, 0, 0, 339, 34);
INSERT INTO public.who_data VALUES (80199, 0, 1, 0, 0, 339, 212);
INSERT INTO public.who_data VALUES (80200, -1, 12, 0, 0, 339, 122);
INSERT INTO public.who_data VALUES (80201, 23, 73, 0, 1, 339, 38);
INSERT INTO public.who_data VALUES (80202, 3, 250, 0, 0, 339, 130);
INSERT INTO public.who_data VALUES (80203, 40, 195, 1, 4, 339, 37);
INSERT INTO public.who_data VALUES (80204, 78, 309, 6, 25, 339, 231);
INSERT INTO public.who_data VALUES (80205, 1046, 18411, 149, 1284, 339, 107);
INSERT INTO public.who_data VALUES (80206, 13, 181, 0, 12, 339, 101);
INSERT INTO public.who_data VALUES (80207, 74, 366, 0, 2, 339, 132);
INSERT INTO public.who_data VALUES (80208, 0, 0, 0, 0, 339, 176);
INSERT INTO public.who_data VALUES (80209, 94, 382, 0, 1, 339, 200);
INSERT INTO public.who_data VALUES (80210, 4207, 35713, 473, 2978, 339, 169);
INSERT INTO public.who_data VALUES (80211, -2, 15, 1, 1, 339, 225);
INSERT INTO public.who_data VALUES (80212, 73, 950, 4, 33, 339, 165);
INSERT INTO public.who_data VALUES (80213, 0, 5, 0, 0, 339, 233);
INSERT INTO public.who_data VALUES (80214, 4, 60, 0, 0, 339, 215);
INSERT INTO public.who_data VALUES (80215, 11, 46, 0, 0, 339, 177);
INSERT INTO public.who_data VALUES (80216, 0, 11, 0, 0, 339, 183);
INSERT INTO public.who_data VALUES (80217, 0, 0, 0, 0, 339, 203);
INSERT INTO public.who_data VALUES (80218, 0, 5, 0, 0, 339, 162);
INSERT INTO public.who_data VALUES (80219, 6, 152, 0, 0, 339, 12);
INSERT INTO public.who_data VALUES (80220, 0, 3, 0, 0, 339, 24);
INSERT INTO public.who_data VALUES (80221, 0, 0, 0, 0, 339, 119);
INSERT INTO public.who_data VALUES (80222, 10, 71, 0, 0, 339, 39);
INSERT INTO public.who_data VALUES (80223, 29, 153, 0, 4, 339, 26);
INSERT INTO public.who_data VALUES (80224, 0, 0, 0, 0, 339, 59);
INSERT INTO public.who_data VALUES (80225, 0, 6, 0, 0, 339, 77);
INSERT INTO public.who_data VALUES (80226, 0, 0, 0, 0, 339, 134);
INSERT INTO public.who_data VALUES (80227, 9, 34, 0, 0, 339, 4);
INSERT INTO public.who_data VALUES (80228, 9, 36, 0, 0, 339, 109);
INSERT INTO public.who_data VALUES (80229, 70, 210, 1, 2, 339, 90);
INSERT INTO public.who_data VALUES (80230, 0, 0, 0, 0, 339, 61);
INSERT INTO public.who_data VALUES (80231, 0, 0, 0, 0, 339, 85);
INSERT INTO public.who_data VALUES (80232, 223, 900, 0, 2, 339, 49);
INSERT INTO public.who_data VALUES (80233, 0, 17, 0, 0, 339, 208);
INSERT INTO public.who_data VALUES (80234, 0, 0, 0, 0, 339, 166);
INSERT INTO public.who_data VALUES (80235, 10, 48, 0, 0, 339, 64);
INSERT INTO public.who_data VALUES (80236, 0, 0, 0, 0, 339, 199);
INSERT INTO public.who_data VALUES (80237, 5, 32, 0, 0, 339, 114);
INSERT INTO public.who_data VALUES (80238, 0, 6, 0, 0, 339, 60);
INSERT INTO public.who_data VALUES (80239, 4, 11, 0, 0, 339, 68);
INSERT INTO public.who_data VALUES (80240, 1, 8, 0, 0, 339, 158);
INSERT INTO public.who_data VALUES (80241, 21, 118, 1, 1, 339, 52);
INSERT INTO public.who_data VALUES (80242, 0, 0, 0, 0, 339, 117);
INSERT INTO public.who_data VALUES (80243, 0, 9, 0, 0, 339, 126);
INSERT INTO public.who_data VALUES (80244, -3, 6, 0, 0, 339, 196);
INSERT INTO public.who_data VALUES (80245, 5, 13, 0, 0, 339, 142);
INSERT INTO public.who_data VALUES (80246, 0, 5, 0, 0, 339, 185);
INSERT INTO public.who_data VALUES (80247, 12, 65, 0, 2, 339, 138);
INSERT INTO public.who_data VALUES (80248, 0, 0, 0, 0, 339, 181);
INSERT INTO public.who_data VALUES (80249, 0, 0, 0, 0, 339, 178);
INSERT INTO public.who_data VALUES (80250, 1, 7, 0, 0, 339, 168);
INSERT INTO public.who_data VALUES (80251, 0, 0, 0, 0, 339, 160);
INSERT INTO public.who_data VALUES (80252, 0, 5, 0, 0, 339, 151);
INSERT INTO public.who_data VALUES (80253, 347, 2014, 15, 53, 339, 193);
INSERT INTO public.who_data VALUES (80254, 2, 2, 0, 0, 339, 18);
INSERT INTO public.who_data VALUES (80255, 15, 39, 0, 0, 339, 40);
INSERT INTO public.who_data VALUES (80256, 1, 1, 0, 0, 339, 218);
INSERT INTO public.who_data VALUES (80257, 5, 5, 0, 0, 339, 191);
INSERT INTO public.who_data VALUES (80258, 4, 16, 0, 0, 339, 156);
INSERT INTO public.who_data VALUES (80259, 0, 0, 0, 0, 339, 135);
INSERT INTO public.who_data VALUES (80260, 0, 0, 0, 0, 339, 88);
INSERT INTO public.who_data VALUES (80261, 4, 35, 0, 0, 339, 55);
INSERT INTO public.who_data VALUES (80262, 115, 1423, 0, 3, 339, 108);
INSERT INTO public.who_data VALUES (80263, 6, 51, 0, 0, 339, 48);
INSERT INTO public.who_data VALUES (80264, 6, 43, 0, 0, 339, 3);
INSERT INTO public.who_data VALUES (80265, 0, 716, 0, 7, 339, 224);
INSERT INTO public.who_data VALUES (80266, 61, 306, 2, 2, 339, 110);
INSERT INTO public.who_data VALUES (80267, 0, 0, 0, 0, 339, 106);
INSERT INTO public.who_data VALUES (80268, 19, 109, 0, 1, 339, 89);
INSERT INTO public.who_data VALUES (80269, 0, 0, 0, 0, 339, 121);
INSERT INTO public.who_data VALUES (80270, 0, 15, 0, 0, 339, 163);
INSERT INTO public.who_data VALUES (80271, 85, 234, 0, 0, 339, 70);
INSERT INTO public.who_data VALUES (80272, 26, 217, 3, 17, 339, 174);
INSERT INTO public.who_data VALUES (80273, 0, 0, 0, 0, 339, 175);
INSERT INTO public.who_data VALUES (80274, 49, 287, 0, 5, 339, 118);
INSERT INTO public.who_data VALUES (80275, 194, 642, 1, 2, 339, 189);
INSERT INTO public.who_data VALUES (80276, -3, 6, 0, 0, 339, 124);
INSERT INTO public.who_data VALUES (80277, 10, 456, 0, 0, 339, 192);
INSERT INTO public.who_data VALUES (80278, 235, 8652, 10, 94, 339, 41);
INSERT INTO public.who_data VALUES (80279, 6, 36, 0, 0, 339, 95);
INSERT INTO public.who_data VALUES (80280, 3, 19, 0, 0, 339, 74);
INSERT INTO public.who_data VALUES (80281, 43, 260, 0, 0, 339, 11);
INSERT INTO public.who_data VALUES (80282, 54, 147, 0, 0, 339, 87);
INSERT INTO public.who_data VALUES (80283, 0, 15, 0, 0, 339, 214);
INSERT INTO public.who_data VALUES (80284, 0, 0, 0, 0, 339, 116);
INSERT INTO public.who_data VALUES (80285, 0, 3, 0, 0, 339, 157);
INSERT INTO public.who_data VALUES (80286, 0, 0, 0, 0, 339, 182);
INSERT INTO public.who_data VALUES (80287, 0, 0, 0, 0, 339, 186);
INSERT INTO public.who_data VALUES (80288, 0, 6, 0, 0, 339, 127);
INSERT INTO public.who_data VALUES (80289, 0, 8, 0, 0, 339, 232);
INSERT INTO public.who_data VALUES (80290, 0, 0, 0, 0, 339, 33);
INSERT INTO public.who_data VALUES (80291, 0, 1, 0, 0, 339, 97);
INSERT INTO public.who_data VALUES (80292, 0, 0, 0, 0, 339, 42);
INSERT INTO public.who_data VALUES (80293, 5, 109, 3, 14, 339, 198);
INSERT INTO public.who_data VALUES (80294, 0, 0, 0, 0, 339, 216);
INSERT INTO public.who_data VALUES (80295, 0, 242, 0, 0, 339, 164);
INSERT INTO public.who_data VALUES (80296, 2, 42, 0, 0, 339, 235);
INSERT INTO public.who_data VALUES (80297, 22, 94, 0, 0, 339, 67);
INSERT INTO public.who_data VALUES (80298, 0, 10, 0, 0, 339, 15);
INSERT INTO public.who_data VALUES (80299, 0, 0, 0, 0, 339, 180);
INSERT INTO public.who_data VALUES (80300, 28, 345, 0, 0, 339, 237);
INSERT INTO public.who_data VALUES (80301, 0, 0, 0, 0, 339, 25);
INSERT INTO public.who_data VALUES (80302, 0, 5, 0, 0, 339, 209);
INSERT INTO public.who_data VALUES (80303, 13, 97, 0, 0, 339, 217);
INSERT INTO public.who_data VALUES (80304, 10, 286, 0, 1, 339, 79);
INSERT INTO public.who_data VALUES (80305, 0, 0, 0, 0, 339, 143);
INSERT INTO public.who_data VALUES (80306, 0, 5, 0, 0, 339, 229);
INSERT INTO public.who_data VALUES (80307, 34, 154, 0, 0, 339, 141);
INSERT INTO public.who_data VALUES (80308, 0, 0, 0, 0, 339, 197);
INSERT INTO public.who_data VALUES (80309, 4482, 20635, 191, 856, 339, 221);
INSERT INTO public.who_data VALUES (80310, 13, 59, 0, 0, 339, 150);
INSERT INTO public.who_data VALUES (80311, 0, 1, 0, 1, 339, 56);
INSERT INTO public.who_data VALUES (80312, 0, 5, 0, 0, 339, 167);
INSERT INTO public.who_data VALUES (80313, 119, 1265, 1, 8, 339, 23);
INSERT INTO public.who_data VALUES (80314, 1205, 6042, 8, 55, 339, 222);
INSERT INTO public.who_data VALUES (80315, 0, 0, 0, 0, 339, 219);
INSERT INTO public.who_data VALUES (80316, 0, 0, 0, 0, 339, 7);
INSERT INTO public.who_data VALUES (80317, 106, 322, 0, 1, 339, 161);
INSERT INTO public.who_data VALUES (80318, 769, 4427, 34, 116, 339, 149);
INSERT INTO public.who_data VALUES (80319, 0, 0, 0, 0, 339, 6);
INSERT INTO public.who_data VALUES (80320, 8, 13, 0, 0, 339, 139);
INSERT INTO public.who_data VALUES (80321, 0, 0, 0, 0, 339, 211);
INSERT INTO public.who_data VALUES (80322, 0, 0, 0, 0, 339, 14);
INSERT INTO public.who_data VALUES (80323, -2, 9, 0, 0, 339, 111);
INSERT INTO public.who_data VALUES (80324, 6, 39, 0, 0, 339, 207);
INSERT INTO public.who_data VALUES (80325, 93, 191, 2, 2, 339, 66);
INSERT INTO public.who_data VALUES (80326, 0, 0, 0, 0, 339, 173);
INSERT INTO public.who_data VALUES (80327, 0, 0, 0, 0, 339, 145);
INSERT INTO public.who_data VALUES (80328, 0, 0, 0, 0, 339, 65);
INSERT INTO public.who_data VALUES (80329, 0, 0, 0, 0, 339, 184);
INSERT INTO public.who_data VALUES (80330, 2, 16, 0, 2, 339, 98);
INSERT INTO public.who_data VALUES (80331, 23, 140, 0, 0, 339, 104);
INSERT INTO public.who_data VALUES (80332, 3, 10, 0, 0, 339, 73);
INSERT INTO public.who_data VALUES (80333, 3351, 10442, 50, 150, 339, 8);
INSERT INTO public.who_data VALUES (80334, 0, 7, 0, 0, 339, 227);
INSERT INTO public.who_data VALUES (80335, 46, 79, 0, 0, 339, 75);
INSERT INTO public.who_data VALUES (80336, 0, 4, 0, 0, 339, 45);
INSERT INTO public.who_data VALUES (80337, 0, 0, 0, 0, 339, 133);
INSERT INTO public.who_data VALUES (80338, 0, 40, 0, 0, 339, 202);
INSERT INTO public.who_data VALUES (80339, 15, 85, 0, 0, 339, 129);
INSERT INTO public.who_data VALUES (80340, 0, 0, 0, 0, 339, 36);
INSERT INTO public.who_data VALUES (80341, 0, 0, 0, 0, 339, 51);
INSERT INTO public.who_data VALUES (80342, 0, 6, 0, 0, 339, 206);
INSERT INTO public.who_data VALUES (80343, 0, 0, 0, 0, 339, 5);
INSERT INTO public.who_data VALUES (80344, 0, 26, 0, 0, 340, 103);
INSERT INTO public.who_data VALUES (80345, 4, 18, 0, 1, 340, 58);
INSERT INTO public.who_data VALUES (80346, 12, 76, 2, 6, 340, 195);
INSERT INTO public.who_data VALUES (80347, 0, 0, 0, 0, 340, 115);
INSERT INTO public.who_data VALUES (80348, 25, 39, 0, 0, 340, 99);
INSERT INTO public.who_data VALUES (80349, 0, 0, 0, 0, 340, 153);
INSERT INTO public.who_data VALUES (80350, 0, 0, 0, 0, 340, 93);
INSERT INTO public.who_data VALUES (80351, 0, 5, 0, 0, 340, 84);
INSERT INTO public.who_data VALUES (80352, 32, 101, 0, 2, 340, 78);
INSERT INTO public.who_data VALUES (80353, 0, 30, 0, 0, 340, 170);
INSERT INTO public.who_data VALUES (80354, 2, 8, 0, 0, 340, 32);
INSERT INTO public.who_data VALUES (80355, 96, 514, 1, 6, 340, 155);
INSERT INTO public.who_data VALUES (80356, 316, 1332, 0, 3, 340, 82);
INSERT INTO public.who_data VALUES (80357, 9, 28, 0, 0, 340, 16);
INSERT INTO public.who_data VALUES (80358, 2, 7, 0, 0, 340, 72);
INSERT INTO public.who_data VALUES (80359, 19, 260, 0, 1, 340, 43);
INSERT INTO public.who_data VALUES (80360, 2, 14, 0, 0, 340, 120);
INSERT INTO public.who_data VALUES (80361, 6, 6, 0, 0, 340, 213);
INSERT INTO public.who_data VALUES (80362, 0, 36, 0, 0, 340, 31);
INSERT INTO public.who_data VALUES (80363, 422, 2665, 10, 40, 340, 204);
INSERT INTO public.who_data VALUES (80364, 0, 0, 0, 0, 340, 152);
INSERT INTO public.who_data VALUES (80365, 0, 1, 0, 0, 340, 144);
INSERT INTO public.who_data VALUES (80366, 6, 6, 0, 0, 340, 96);
INSERT INTO public.who_data VALUES (80367, 0, 1, 0, 0, 340, 47);
INSERT INTO public.who_data VALUES (80368, 1, 16, 0, 0, 340, 80);
INSERT INTO public.who_data VALUES (80369, 0, 0, 0, 0, 340, 159);
INSERT INTO public.who_data VALUES (80370, 2, 21, 0, 0, 340, 27);
INSERT INTO public.who_data VALUES (80371, 0, 0, 0, 0, 340, 146);
INSERT INTO public.who_data VALUES (80372, 57, 295, 1, 1, 340, 71);
INSERT INTO public.who_data VALUES (80373, 0, 0, 0, 0, 340, 210);
INSERT INTO public.who_data VALUES (80374, 2, 60, 0, 0, 340, 54);
INSERT INTO public.who_data VALUES (80375, 19, 81, 0, 2, 340, 147);
INSERT INTO public.who_data VALUES (80376, 6, 30, 1, 1, 340, 2);
INSERT INTO public.who_data VALUES (80377, 0, 0, 0, 0, 340, 105);
INSERT INTO public.who_data VALUES (80378, 0, 0, 0, 0, 340, 53);
INSERT INTO public.who_data VALUES (80379, 11, 39, 0, 0, 340, 81);
INSERT INTO public.who_data VALUES (80380, 5, 14, 0, 0, 340, 223);
INSERT INTO public.who_data VALUES (80381, 145, 573, 8, 9, 340, 94);
INSERT INTO public.who_data VALUES (80382, 0, 5, 0, 1, 340, 154);
INSERT INTO public.who_data VALUES (80383, 0, 5, 0, 0, 340, 83);
INSERT INTO public.who_data VALUES (80384, 0, 0, 0, 0, 340, 194);
INSERT INTO public.who_data VALUES (80385, 82, 242, 0, 0, 340, 136);
INSERT INTO public.who_data VALUES (80386, 58, 81178, 11, 3242, 340, 179);
INSERT INTO public.who_data VALUES (80387, 48, 97, 0, 0, 340, 57);
INSERT INTO public.who_data VALUES (80388, 0, 0, 0, 0, 340, 35);
INSERT INTO public.who_data VALUES (80389, 1, 2, 0, 0, 340, 228);
INSERT INTO public.who_data VALUES (80390, 0, 0, 0, 0, 340, 19);
INSERT INTO public.who_data VALUES (80391, 9, 54, 1, 1, 340, 22);
INSERT INTO public.who_data VALUES (80392, 3, 13, 0, 0, 340, 1);
INSERT INTO public.who_data VALUES (80393, 13, 69, 0, 0, 340, 21);
INSERT INTO public.who_data VALUES (80394, 5, 14, 1, 1, 340, 234);
INSERT INTO public.who_data VALUES (80395, 0, 7, 0, 0, 340, 91);
INSERT INTO public.who_data VALUES (80396, 0, 40, 0, 0, 340, 137);
INSERT INTO public.who_data VALUES (80397, 90, 434, 0, 0, 340, 201);
INSERT INTO public.who_data VALUES (80398, 0, 0, 0, 0, 340, 171);
INSERT INTO public.who_data VALUES (80399, 4, 11, 0, 0, 340, 92);
INSERT INTO public.who_data VALUES (80400, 92, 1024, 3, 4, 340, 112);
INSERT INTO public.who_data VALUES (80401, 5, 5, 0, 0, 340, 62);
INSERT INTO public.who_data VALUES (80402, 0, 0, 0, 0, 340, 69);
INSERT INTO public.who_data VALUES (80403, 0, 25, 0, 1, 340, 220);
INSERT INTO public.who_data VALUES (80404, 97, 159, 0, 2, 340, 100);
INSERT INTO public.who_data VALUES (80405, 30, 200, 2, 6, 340, 187);
INSERT INTO public.who_data VALUES (80406, 0, 0, 0, 0, 340, 63);
INSERT INTO public.who_data VALUES (80407, 2, 7, 0, 0, 340, 28);
INSERT INTO public.who_data VALUES (80408, 0, 0, 0, 0, 340, 172);
INSERT INTO public.who_data VALUES (80409, 20, 225, 0, 0, 340, 17);
INSERT INTO public.who_data VALUES (80410, 0, 5, 0, 0, 340, 226);
INSERT INTO public.who_data VALUES (80411, 1, 10, 0, 0, 340, 236);
INSERT INTO public.who_data VALUES (80412, 0, 0, 0, 0, 340, 76);
INSERT INTO public.who_data VALUES (80413, 7, 18, 0, 0, 340, 30);
INSERT INTO public.who_data VALUES (80414, 0, 0, 0, 0, 340, 128);
INSERT INTO public.who_data VALUES (80415, 47, 319, 0, 0, 340, 86);
INSERT INTO public.who_data VALUES (80416, 1060, 7617, 27, 175, 340, 140);
INSERT INTO public.who_data VALUES (80417, 8, 15, 0, 0, 340, 44);
INSERT INTO public.who_data VALUES (80418, 0, 2, 0, 0, 340, 113);
INSERT INTO public.who_data VALUES (80419, 1, 2, 0, 0, 340, 29);
INSERT INTO public.who_data VALUES (80420, 5, 5, 0, 0, 340, 125);
INSERT INTO public.who_data VALUES (80421, 1, 34, 0, 0, 340, 131);
INSERT INTO public.who_data VALUES (80422, 1144, 7156, 0, 13, 340, 46);
INSERT INTO public.who_data VALUES (80423, 3, 13, 0, 0, 340, 10);
INSERT INTO public.who_data VALUES (80424, 0, 3, 0, 0, 340, 205);
INSERT INTO public.who_data VALUES (80425, 35, 387, 1, 5, 340, 50);
INSERT INTO public.who_data VALUES (80426, 2, 2, 0, 0, 340, 20);
INSERT INTO public.who_data VALUES (80427, 0, 0, 0, 0, 340, 13);
INSERT INTO public.who_data VALUES (80428, 15, 37, 0, 0, 340, 148);
INSERT INTO public.who_data VALUES (80429, 2, 9, 0, 0, 340, 230);
INSERT INTO public.who_data VALUES (80430, 0, 10, 0, 1, 340, 190);
INSERT INTO public.who_data VALUES (80431, 0, 1, 0, 0, 340, 188);
INSERT INTO public.who_data VALUES (80432, 0, 5, 0, 0, 340, 123);
INSERT INTO public.who_data VALUES (80433, 0, 0, 0, 0, 340, 9);
INSERT INTO public.who_data VALUES (80434, 1, 9, 0, 1, 340, 102);
INSERT INTO public.who_data VALUES (80435, 0, 0, 0, 0, 340, 34);
INSERT INTO public.who_data VALUES (80436, 0, 1, 0, 0, 340, 212);
INSERT INTO public.who_data VALUES (80437, 1, 13, 0, 0, 340, 122);
INSERT INTO public.who_data VALUES (80438, 0, 50, 0, 1, 340, 38);
INSERT INTO public.who_data VALUES (80439, 48, 247, 0, 0, 340, 130);
INSERT INTO public.who_data VALUES (80440, 14, 155, 0, 3, 340, 37);
INSERT INTO public.who_data VALUES (80441, 55, 231, 14, 19, 340, 231);
INSERT INTO public.who_data VALUES (80442, 1192, 17365, 147, 1135, 340, 107);
INSERT INTO public.who_data VALUES (80443, 10, 168, 1, 12, 340, 101);
INSERT INTO public.who_data VALUES (80444, 69, 292, 0, 2, 340, 132);
INSERT INTO public.who_data VALUES (80445, 0, 0, 0, 0, 340, 176);
INSERT INTO public.who_data VALUES (80446, 73, 288, 1, 1, 340, 200);
INSERT INTO public.who_data VALUES (80447, 3526, 31506, 347, 2505, 340, 169);
INSERT INTO public.who_data VALUES (80448, 1, 17, 0, 0, 340, 225);
INSERT INTO public.who_data VALUES (80449, 44, 877, 1, 29, 340, 165);
INSERT INTO public.who_data VALUES (80450, 3, 5, 0, 0, 340, 233);
INSERT INTO public.who_data VALUES (80451, 17, 56, 0, 0, 340, 215);
INSERT INTO public.who_data VALUES (80452, 2, 35, 0, 0, 340, 177);
INSERT INTO public.who_data VALUES (80453, 4, 11, 0, 0, 340, 183);
INSERT INTO public.who_data VALUES (80454, 0, 0, 0, 0, 340, 203);
INSERT INTO public.who_data VALUES (80455, 0, 5, 0, 0, 340, 162);
INSERT INTO public.who_data VALUES (80456, 12, 146, 0, 0, 340, 12);
INSERT INTO public.who_data VALUES (80457, 3, 3, 0, 0, 340, 24);
INSERT INTO public.who_data VALUES (80458, 0, 0, 0, 0, 340, 119);
INSERT INTO public.who_data VALUES (80459, 25, 61, 0, 0, 340, 39);
INSERT INTO public.who_data VALUES (80460, 0, 124, 1, 4, 340, 26);
INSERT INTO public.who_data VALUES (80461, 0, 0, 0, 0, 340, 59);
INSERT INTO public.who_data VALUES (80462, 1, 6, 0, 0, 340, 77);
INSERT INTO public.who_data VALUES (80463, 0, 0, 0, 0, 340, 134);
INSERT INTO public.who_data VALUES (80464, 6, 25, 0, 0, 340, 4);
INSERT INTO public.who_data VALUES (80465, 8, 27, 0, 0, 340, 109);
INSERT INTO public.who_data VALUES (80466, 59, 140, 0, 1, 340, 90);
INSERT INTO public.who_data VALUES (80467, 0, 0, 0, 0, 340, 61);
INSERT INTO public.who_data VALUES (80468, 0, 0, 0, 0, 340, 85);
INSERT INTO public.who_data VALUES (80469, 120, 677, 2, 2, 340, 49);
INSERT INTO public.who_data VALUES (80470, 0, 17, 0, 0, 340, 208);
INSERT INTO public.who_data VALUES (80471, 0, 0, 0, 0, 340, 166);
INSERT INTO public.who_data VALUES (80472, 8, 38, 0, 0, 340, 64);
INSERT INTO public.who_data VALUES (80473, 0, 0, 0, 0, 340, 199);
INSERT INTO public.who_data VALUES (80474, 7, 27, 0, 0, 340, 114);
INSERT INTO public.who_data VALUES (80475, 1, 6, 0, 0, 340, 60);
INSERT INTO public.who_data VALUES (80476, 7, 7, 0, 0, 340, 68);
INSERT INTO public.who_data VALUES (80477, 2, 7, 0, 0, 340, 158);
INSERT INTO public.who_data VALUES (80478, 11, 97, 0, 0, 340, 52);
INSERT INTO public.who_data VALUES (80479, 0, 0, 0, 0, 340, 117);
INSERT INTO public.who_data VALUES (80480, 0, 9, 0, 0, 340, 126);
INSERT INTO public.who_data VALUES (80481, 1, 9, 0, 0, 340, 196);
INSERT INTO public.who_data VALUES (80482, 6, 8, 0, 0, 340, 142);
INSERT INTO public.who_data VALUES (80483, 5, 5, 0, 0, 340, 185);
INSERT INTO public.who_data VALUES (80484, 11, 53, 0, 2, 340, 138);
INSERT INTO public.who_data VALUES (80485, 0, 0, 0, 0, 340, 181);
INSERT INTO public.who_data VALUES (80486, 0, 0, 0, 0, 340, 178);
INSERT INTO public.who_data VALUES (80487, 0, 6, 0, 0, 340, 168);
INSERT INTO public.who_data VALUES (80488, 0, 0, 0, 0, 340, 160);
INSERT INTO public.who_data VALUES (80489, 0, 5, 0, 0, 340, 151);
INSERT INTO public.who_data VALUES (80490, 288, 1667, 17, 38, 340, 193);
INSERT INTO public.who_data VALUES (80491, 0, 0, 0, 0, 340, 18);
INSERT INTO public.who_data VALUES (80492, 9, 24, 0, 0, 340, 40);
INSERT INTO public.who_data VALUES (80493, 0, 0, 0, 0, 340, 218);
INSERT INTO public.who_data VALUES (80494, 0, 0, 0, 0, 340, 191);
INSERT INTO public.who_data VALUES (80495, 6, 12, 0, 0, 340, 156);
INSERT INTO public.who_data VALUES (80496, 0, 0, 0, 0, 340, 135);
INSERT INTO public.who_data VALUES (80497, 0, 0, 0, 0, 340, 88);
INSERT INTO public.who_data VALUES (80498, 12, 31, 0, 0, 340, 55);
INSERT INTO public.who_data VALUES (80499, 139, 1308, 0, 3, 340, 108);
INSERT INTO public.who_data VALUES (80500, 0, 45, 0, 0, 340, 48);
INSERT INTO public.who_data VALUES (80501, 9, 37, 0, 0, 340, 3);
INSERT INTO public.who_data VALUES (80502, 0, 716, 0, 7, 340, 224);
INSERT INTO public.who_data VALUES (80503, 54, 245, 0, 0, 340, 110);
INSERT INTO public.who_data VALUES (80504, 0, 0, 0, 0, 340, 106);
INSERT INTO public.who_data VALUES (80505, 17, 90, 0, 1, 340, 89);
INSERT INTO public.who_data VALUES (80506, 0, 0, 0, 0, 340, 121);
INSERT INTO public.who_data VALUES (80507, 2, 15, 0, 0, 340, 163);
INSERT INTO public.who_data VALUES (80508, 59, 149, 0, 0, 340, 70);
INSERT INTO public.who_data VALUES (80509, 0, 191, 2, 14, 340, 174);
INSERT INTO public.who_data VALUES (80510, 0, 0, 0, 0, 340, 175);
INSERT INTO public.who_data VALUES (80511, 61, 238, 1, 5, 340, 118);
INSERT INTO public.who_data VALUES (80512, 117, 448, 1, 1, 340, 189);
INSERT INTO public.who_data VALUES (80513, 2, 9, 0, 0, 340, 124);
INSERT INTO public.who_data VALUES (80514, 0, 446, 0, 0, 340, 192);
INSERT INTO public.who_data VALUES (80515, 93, 8417, 3, 84, 340, 41);
INSERT INTO public.who_data VALUES (80516, 7, 30, 0, 0, 340, 95);
INSERT INTO public.who_data VALUES (80517, 3, 16, 0, 0, 340, 74);
INSERT INTO public.who_data VALUES (80518, 33, 217, 0, 0, 340, 11);
INSERT INTO public.who_data VALUES (80519, 0, 93, 0, 0, 340, 87);
INSERT INTO public.who_data VALUES (80520, 4, 15, 0, 0, 340, 214);
INSERT INTO public.who_data VALUES (80521, 0, 0, 0, 0, 340, 116);
INSERT INTO public.who_data VALUES (80522, 0, 3, 0, 0, 340, 157);
INSERT INTO public.who_data VALUES (80523, 0, 0, 0, 0, 340, 182);
INSERT INTO public.who_data VALUES (80524, 0, 0, 0, 0, 340, 186);
INSERT INTO public.who_data VALUES (80525, 0, 6, 0, 0, 340, 127);
INSERT INTO public.who_data VALUES (80526, 2, 8, 0, 0, 340, 232);
INSERT INTO public.who_data VALUES (80527, 0, 0, 0, 0, 340, 33);
INSERT INTO public.who_data VALUES (80528, 0, 1, 0, 0, 340, 97);
INSERT INTO public.who_data VALUES (80529, 0, 0, 0, 0, 340, 42);
INSERT INTO public.who_data VALUES (80530, 2, 104, 2, 11, 340, 198);
INSERT INTO public.who_data VALUES (80531, 0, 0, 0, 0, 340, 216);
INSERT INTO public.who_data VALUES (80532, 67, 242, 0, 0, 340, 164);
INSERT INTO public.who_data VALUES (80533, 9, 40, 0, 0, 340, 235);
INSERT INTO public.who_data VALUES (80534, 26, 72, 0, 0, 340, 67);
INSERT INTO public.who_data VALUES (80535, 2, 10, 0, 0, 340, 15);
INSERT INTO public.who_data VALUES (80536, 0, 0, 0, 0, 340, 180);
INSERT INTO public.who_data VALUES (80537, 47, 317, 0, 0, 340, 237);
INSERT INTO public.who_data VALUES (80538, 0, 0, 0, 0, 340, 25);
INSERT INTO public.who_data VALUES (80539, 5, 5, 0, 0, 340, 209);
INSERT INTO public.who_data VALUES (80540, 23, 84, 0, 0, 340, 217);
INSERT INTO public.who_data VALUES (80541, 26, 276, 0, 1, 340, 79);
INSERT INTO public.who_data VALUES (80542, 0, 0, 0, 0, 340, 143);
INSERT INTO public.who_data VALUES (80543, 0, 5, 0, 0, 340, 229);
INSERT INTO public.who_data VALUES (80544, 54, 120, 0, 0, 340, 141);
INSERT INTO public.who_data VALUES (80545, 0, 0, 0, 0, 340, 197);
INSERT INTO public.who_data VALUES (80546, 3262, 16153, 183, 665, 340, 221);
INSERT INTO public.who_data VALUES (80547, 13, 46, 0, 0, 340, 150);
INSERT INTO public.who_data VALUES (80548, 0, 1, 0, 1, 340, 56);
INSERT INTO public.who_data VALUES (80549, 0, 5, 0, 0, 340, 167);
INSERT INTO public.who_data VALUES (80550, 83, 1146, 2, 7, 340, 23);
INSERT INTO public.who_data VALUES (80551, 1082, 4837, 12, 47, 340, 222);
INSERT INTO public.who_data VALUES (80552, 0, 0, 0, 0, 340, 219);
INSERT INTO public.who_data VALUES (80553, 0, 0, 0, 0, 340, 7);
INSERT INTO public.who_data VALUES (80554, 35, 216, 0, 1, 340, 161);
INSERT INTO public.who_data VALUES (80555, 611, 3658, 17, 82, 340, 149);
INSERT INTO public.who_data VALUES (80556, 0, 0, 0, 0, 340, 6);
INSERT INTO public.who_data VALUES (80557, 0, 5, 0, 0, 340, 139);
INSERT INTO public.who_data VALUES (80558, 0, 0, 0, 0, 340, 211);
INSERT INTO public.who_data VALUES (80559, 0, 0, 0, 0, 340, 14);
INSERT INTO public.who_data VALUES (80560, 2, 11, 0, 0, 340, 111);
INSERT INTO public.who_data VALUES (80561, 5, 33, 0, 0, 340, 207);
INSERT INTO public.who_data VALUES (80562, 51, 98, 0, 0, 340, 66);
INSERT INTO public.who_data VALUES (80563, 0, 0, 0, 0, 340, 173);
INSERT INTO public.who_data VALUES (80564, 0, 0, 0, 0, 340, 145);
INSERT INTO public.who_data VALUES (80565, 0, 0, 0, 0, 340, 65);
INSERT INTO public.who_data VALUES (80566, 0, 0, 0, 0, 340, 184);
INSERT INTO public.who_data VALUES (80567, 11, 14, 1, 2, 340, 98);
INSERT INTO public.who_data VALUES (80568, 15, 117, 0, 0, 340, 104);
INSERT INTO public.who_data VALUES (80569, 2, 7, 0, 0, 340, 73);
INSERT INTO public.who_data VALUES (80570, 3551, 7091, 42, 100, 340, 8);
INSERT INTO public.who_data VALUES (80571, 1, 7, 0, 0, 340, 227);
INSERT INTO public.who_data VALUES (80572, 23, 33, 0, 0, 340, 75);
INSERT INTO public.who_data VALUES (80573, 0, 4, 0, 0, 340, 45);
INSERT INTO public.who_data VALUES (80574, 0, 0, 0, 0, 340, 133);
INSERT INTO public.who_data VALUES (80575, 3, 40, 0, 0, 340, 202);
INSERT INTO public.who_data VALUES (80576, 5, 70, 0, 0, 340, 129);
INSERT INTO public.who_data VALUES (80577, 0, 0, 0, 0, 340, 36);
INSERT INTO public.who_data VALUES (80578, 0, 0, 0, 0, 340, 51);
INSERT INTO public.who_data VALUES (80579, 6, 6, 0, 0, 340, 206);
INSERT INTO public.who_data VALUES (80580, 0, 0, 0, 0, 340, 5);
INSERT INTO public.who_data VALUES (80581, 1, 26, 0, 0, 341, 103);
INSERT INTO public.who_data VALUES (80582, 9, 14, 0, 1, 341, 58);
INSERT INTO public.who_data VALUES (80583, 11, 64, 0, 4, 341, 195);
INSERT INTO public.who_data VALUES (80584, 0, 0, 0, 0, 341, 115);
INSERT INTO public.who_data VALUES (80585, 12, 14, 0, 0, 341, 99);
INSERT INTO public.who_data VALUES (80586, 0, 0, 0, 0, 341, 153);
INSERT INTO public.who_data VALUES (80587, 0, 0, 0, 0, 341, 93);
INSERT INTO public.who_data VALUES (80588, 0, 5, 0, 0, 341, 84);
INSERT INTO public.who_data VALUES (80589, 9, 69, 0, 2, 341, 78);
INSERT INTO public.who_data VALUES (80590, 4, 30, 0, 0, 341, 170);
INSERT INTO public.who_data VALUES (80591, 6, 6, 0, 0, 341, 32);
INSERT INTO public.who_data VALUES (80592, 78, 418, 0, 5, 341, 155);
INSERT INTO public.who_data VALUES (80593, 156, 1016, 2, 3, 341, 82);
INSERT INTO public.who_data VALUES (80594, 0, 19, 0, 0, 341, 16);
INSERT INTO public.who_data VALUES (80595, 5, 5, 0, 0, 341, 72);
INSERT INTO public.who_data VALUES (80596, 16, 241, 0, 1, 341, 43);
INSERT INTO public.who_data VALUES (80597, 0, 12, 0, 0, 341, 120);
INSERT INTO public.who_data VALUES (80598, 0, 0, 0, 0, 341, 213);
INSERT INTO public.who_data VALUES (80599, 15, 36, 0, 0, 341, 31);
INSERT INTO public.who_data VALUES (80600, 387, 2243, 12, 30, 341, 204);
INSERT INTO public.who_data VALUES (80601, 0, 0, 0, 0, 341, 152);
INSERT INTO public.who_data VALUES (80602, 1, 1, 0, 0, 341, 144);
INSERT INTO public.who_data VALUES (80603, 0, 0, 0, 0, 341, 96);
INSERT INTO public.who_data VALUES (80604, 0, 1, 0, 0, 341, 47);
INSERT INTO public.who_data VALUES (80605, 0, 15, 0, 0, 341, 80);
INSERT INTO public.who_data VALUES (80606, 0, 0, 0, 0, 341, 159);
INSERT INTO public.who_data VALUES (80607, 1, 19, 0, 0, 341, 27);
INSERT INTO public.who_data VALUES (80608, 0, 0, 0, 0, 341, 146);
INSERT INTO public.who_data VALUES (80609, 34, 238, 0, 0, 341, 71);
INSERT INTO public.who_data VALUES (80610, 0, 0, 0, 0, 341, 210);
INSERT INTO public.who_data VALUES (80611, 4, 58, 0, 0, 341, 54);
INSERT INTO public.who_data VALUES (80612, 11, 62, 0, 2, 341, 147);
INSERT INTO public.who_data VALUES (80613, 5, 24, 0, 0, 341, 2);
INSERT INTO public.who_data VALUES (80614, 0, 0, 0, 0, 341, 105);
INSERT INTO public.who_data VALUES (80615, 0, 0, 0, 0, 341, 53);
INSERT INTO public.who_data VALUES (80616, 12, 28, 0, 0, 341, 81);
INSERT INTO public.who_data VALUES (80617, 0, 9, 0, 0, 341, 223);
INSERT INTO public.who_data VALUES (80618, 120, 428, 0, 1, 341, 94);
INSERT INTO public.who_data VALUES (80619, 0, 5, 0, 1, 341, 154);
INSERT INTO public.who_data VALUES (80620, 0, 5, 0, 0, 341, 83);
INSERT INTO public.who_data VALUES (80621, 0, 0, 0, 0, 341, 194);
INSERT INTO public.who_data VALUES (80622, 81, 160, 0, 0, 341, 136);
INSERT INTO public.who_data VALUES (80623, 39, 81120, 13, 3231, 341, 179);
INSERT INTO public.who_data VALUES (80624, 11, 49, 0, 0, 341, 57);
INSERT INTO public.who_data VALUES (80625, 0, 0, 0, 0, 341, 35);
INSERT INTO public.who_data VALUES (80626, 0, 1, 0, 0, 341, 228);
INSERT INTO public.who_data VALUES (80627, 0, 0, 0, 0, 341, 19);
INSERT INTO public.who_data VALUES (80628, 6, 45, 0, 0, 341, 22);
INSERT INTO public.who_data VALUES (80629, 3, 10, 0, 0, 341, 1);
INSERT INTO public.who_data VALUES (80630, 8, 56, 0, 0, 341, 21);
INSERT INTO public.who_data VALUES (80631, 1, 9, 0, 0, 341, 234);
INSERT INTO public.who_data VALUES (80632, 1, 7, 0, 0, 341, 91);
INSERT INTO public.who_data VALUES (80633, 10, 40, 0, 0, 341, 137);
INSERT INTO public.who_data VALUES (80634, 46, 344, 0, 0, 341, 201);
INSERT INTO public.who_data VALUES (80635, 0, 0, 0, 0, 341, 171);
INSERT INTO public.who_data VALUES (80636, 1, 7, 0, 0, 341, 92);
INSERT INTO public.who_data VALUES (80637, 57, 932, 0, 1, 341, 112);
INSERT INTO public.who_data VALUES (80638, 0, 0, 0, 0, 341, 62);
INSERT INTO public.who_data VALUES (80639, 0, 0, 0, 0, 341, 69);
INSERT INTO public.who_data VALUES (80640, 16, 25, 1, 1, 341, 220);
INSERT INTO public.who_data VALUES (80641, 21, 62, 0, 2, 341, 100);
INSERT INTO public.who_data VALUES (80642, 40, 170, 2, 4, 341, 187);
INSERT INTO public.who_data VALUES (80643, 0, 0, 0, 0, 341, 63);
INSERT INTO public.who_data VALUES (80644, 0, 5, 0, 0, 341, 28);
INSERT INTO public.who_data VALUES (80645, 0, 0, 0, 0, 341, 172);
INSERT INTO public.who_data VALUES (80646, 34, 205, 0, 0, 341, 17);
INSERT INTO public.who_data VALUES (80647, 0, 5, 0, 0, 341, 226);
INSERT INTO public.who_data VALUES (80648, 1, 9, 0, 0, 341, 236);
INSERT INTO public.who_data VALUES (80649, 0, 0, 0, 0, 341, 76);
INSERT INTO public.who_data VALUES (80650, 2, 11, 0, 0, 341, 30);
INSERT INTO public.who_data VALUES (80651, 0, 0, 0, 0, 341, 128);
INSERT INTO public.who_data VALUES (80652, 5, 272, 0, 0, 341, 86);
INSERT INTO public.who_data VALUES (80653, 1198, 6557, 21, 148, 341, 140);
INSERT INTO public.who_data VALUES (80654, 0, 7, 0, 0, 341, 44);
INSERT INTO public.who_data VALUES (80655, 0, 2, 0, 0, 341, 113);
INSERT INTO public.who_data VALUES (80656, 0, 1, 0, 0, 341, 29);
INSERT INTO public.who_data VALUES (80657, 0, 0, 0, 0, 341, 125);
INSERT INTO public.who_data VALUES (80658, 0, 33, 0, 0, 341, 131);
INSERT INTO public.who_data VALUES (80659, 1174, 6012, 1, 13, 341, 46);
INSERT INTO public.who_data VALUES (80660, 4, 10, 0, 0, 341, 10);
INSERT INTO public.who_data VALUES (80661, 2, 3, 0, 0, 341, 205);
INSERT INTO public.who_data VALUES (80662, 21, 352, 0, 4, 341, 50);
INSERT INTO public.who_data VALUES (80663, 0, 0, 0, 0, 341, 20);
INSERT INTO public.who_data VALUES (80664, 0, 0, 0, 0, 341, 13);
INSERT INTO public.who_data VALUES (80665, 12, 22, 0, 0, 341, 148);
INSERT INTO public.who_data VALUES (80666, 7, 7, 0, 0, 341, 230);
INSERT INTO public.who_data VALUES (80667, 5, 10, 0, 1, 341, 190);
INSERT INTO public.who_data VALUES (80668, 0, 1, 0, 0, 341, 188);
INSERT INTO public.who_data VALUES (80669, 0, 5, 0, 0, 341, 123);
INSERT INTO public.who_data VALUES (80670, 0, 0, 0, 0, 341, 9);
INSERT INTO public.who_data VALUES (80671, 0, 8, 0, 1, 341, 102);
INSERT INTO public.who_data VALUES (80672, 0, 0, 0, 0, 341, 34);
INSERT INTO public.who_data VALUES (80673, 0, 1, 0, 0, 341, 212);
INSERT INTO public.who_data VALUES (80674, 6, 12, 0, 0, 341, 122);
INSERT INTO public.who_data VALUES (80675, 11, 50, 0, 1, 341, 38);
INSERT INTO public.who_data VALUES (80676, 21, 199, 0, 0, 341, 130);
INSERT INTO public.who_data VALUES (80677, 23, 141, 1, 3, 341, 37);
INSERT INTO public.who_data VALUES (80678, 0, 176, 0, 5, 341, 231);
INSERT INTO public.who_data VALUES (80679, 1178, 16173, 135, 988, 341, 107);
INSERT INTO public.who_data VALUES (80680, 30, 158, 2, 11, 341, 101);
INSERT INTO public.who_data VALUES (80681, 54, 223, 0, 2, 341, 132);
INSERT INTO public.who_data VALUES (80682, 0, 0, 0, 0, 341, 176);
INSERT INTO public.who_data VALUES (80683, 39, 215, 0, 0, 341, 200);
INSERT INTO public.who_data VALUES (80684, 4000, 27980, 347, 2158, 341, 169);
INSERT INTO public.who_data VALUES (80685, 2, 16, 0, 0, 341, 225);
INSERT INTO public.who_data VALUES (80686, 15, 833, 4, 28, 341, 165);
INSERT INTO public.who_data VALUES (80687, 0, 2, 0, 0, 341, 233);
INSERT INTO public.who_data VALUES (80688, 29, 39, 0, 0, 341, 215);
INSERT INTO public.who_data VALUES (80689, 27, 33, 0, 0, 341, 177);
INSERT INTO public.who_data VALUES (80690, 0, 7, 0, 0, 341, 183);
INSERT INTO public.who_data VALUES (80691, 0, 0, 0, 0, 341, 203);
INSERT INTO public.who_data VALUES (80692, 0, 5, 0, 0, 341, 162);
INSERT INTO public.who_data VALUES (80693, 7, 134, 0, 0, 341, 12);
INSERT INTO public.who_data VALUES (80694, 0, 0, 0, 0, 341, 24);
INSERT INTO public.who_data VALUES (80695, 0, 0, 0, 0, 341, 119);
INSERT INTO public.who_data VALUES (80696, 5, 36, 0, 0, 341, 39);
INSERT INTO public.who_data VALUES (80697, 21, 124, 0, 3, 341, 26);
INSERT INTO public.who_data VALUES (80698, 0, 0, 0, 0, 341, 59);
INSERT INTO public.who_data VALUES (80699, 5, 5, 0, 0, 341, 77);
INSERT INTO public.who_data VALUES (80700, 0, 0, 0, 0, 341, 134);
INSERT INTO public.who_data VALUES (80701, 5, 19, 0, 0, 341, 4);
INSERT INTO public.who_data VALUES (80702, 7, 19, 0, 0, 341, 109);
INSERT INTO public.who_data VALUES (80703, 4, 81, 0, 1, 341, 90);
INSERT INTO public.who_data VALUES (80704, 0, 0, 0, 0, 341, 61);
INSERT INTO public.who_data VALUES (80705, 0, 0, 0, 0, 341, 85);
INSERT INTO public.who_data VALUES (80706, 0, 557, 0, 0, 341, 49);
INSERT INTO public.who_data VALUES (80707, 0, 17, 0, 0, 341, 208);
INSERT INTO public.who_data VALUES (80708, 0, 0, 0, 0, 341, 166);
INSERT INTO public.who_data VALUES (80709, 11, 30, 0, 0, 341, 64);
INSERT INTO public.who_data VALUES (80710, 0, 0, 0, 0, 341, 199);
INSERT INTO public.who_data VALUES (80711, 0, 20, 0, 0, 341, 114);
INSERT INTO public.who_data VALUES (80712, 0, 5, 0, 0, 341, 60);
INSERT INTO public.who_data VALUES (80713, 0, 0, 0, 0, 341, 68);
INSERT INTO public.who_data VALUES (80714, 0, 5, 0, 0, 341, 158);
INSERT INTO public.who_data VALUES (80715, 29, 86, 0, 0, 341, 52);
INSERT INTO public.who_data VALUES (80716, 0, 0, 0, 0, 341, 117);
INSERT INTO public.who_data VALUES (80717, 0, 9, 0, 0, 341, 126);
INSERT INTO public.who_data VALUES (80718, 0, 8, 0, 0, 341, 196);
INSERT INTO public.who_data VALUES (80719, 2, 2, 0, 0, 341, 142);
INSERT INTO public.who_data VALUES (80720, 0, 0, 0, 0, 341, 185);
INSERT INTO public.who_data VALUES (80721, 9, 42, 1, 2, 341, 138);
INSERT INTO public.who_data VALUES (80722, 0, 0, 0, 0, 341, 181);
INSERT INTO public.who_data VALUES (80723, 0, 0, 0, 0, 341, 178);
INSERT INTO public.who_data VALUES (80724, 0, 6, 0, 0, 341, 168);
INSERT INTO public.who_data VALUES (80725, 0, 0, 0, 0, 341, 160);
INSERT INTO public.who_data VALUES (80726, 0, 5, 0, 0, 341, 151);
INSERT INTO public.who_data VALUES (80727, 270, 1379, 4, 21, 341, 193);
INSERT INTO public.who_data VALUES (80728, 0, 0, 0, 0, 341, 18);
INSERT INTO public.who_data VALUES (80729, 5, 15, 0, 0, 341, 40);
INSERT INTO public.who_data VALUES (80730, 0, 0, 0, 0, 341, 218);
INSERT INTO public.who_data VALUES (80731, 0, 0, 0, 0, 341, 191);
INSERT INTO public.who_data VALUES (80732, 0, 6, 0, 0, 341, 156);
INSERT INTO public.who_data VALUES (80733, 0, 0, 0, 0, 341, 135);
INSERT INTO public.who_data VALUES (80734, 0, 0, 0, 0, 341, 88);
INSERT INTO public.who_data VALUES (80735, 6, 19, 0, 0, 341, 55);
INSERT INTO public.who_data VALUES (80736, 92, 1169, 2, 3, 341, 108);
INSERT INTO public.who_data VALUES (80737, 2, 45, 0, 0, 341, 48);
INSERT INTO public.who_data VALUES (80738, 2, 28, 0, 0, 341, 3);
INSERT INTO public.who_data VALUES (80739, 0, 716, 0, 7, 341, 224);
INSERT INTO public.who_data VALUES (80740, 134, 191, 0, 0, 341, 110);
INSERT INTO public.who_data VALUES (80741, 0, 0, 0, 0, 341, 106);
INSERT INTO public.who_data VALUES (80742, 26, 73, 0, 1, 341, 89);
INSERT INTO public.who_data VALUES (80743, 0, 0, 0, 0, 341, 121);
INSERT INTO public.who_data VALUES (80744, 1, 13, 0, 0, 341, 163);
INSERT INTO public.who_data VALUES (80745, 15, 90, 0, 0, 341, 70);
INSERT INTO public.who_data VALUES (80746, 45, 191, 0, 12, 341, 174);
INSERT INTO public.who_data VALUES (80747, 0, 0, 0, 0, 341, 175);
INSERT INTO public.who_data VALUES (80748, 52, 177, 1, 4, 341, 118);
INSERT INTO public.who_data VALUES (80749, 86, 331, 0, 0, 341, 189);
INSERT INTO public.who_data VALUES (80750, 0, 7, 0, 0, 341, 124);
INSERT INTO public.who_data VALUES (80751, 41, 446, 0, 0, 341, 192);
INSERT INTO public.who_data VALUES (80752, 84, 8324, 6, 81, 341, 41);
INSERT INTO public.who_data VALUES (80753, 0, 23, 0, 0, 341, 95);
INSERT INTO public.who_data VALUES (80754, 0, 13, 0, 0, 341, 74);
INSERT INTO public.who_data VALUES (80755, 45, 184, 0, 0, 341, 11);
INSERT INTO public.who_data VALUES (80756, 59, 93, 0, 0, 341, 87);
INSERT INTO public.who_data VALUES (80757, 2, 11, 0, 0, 341, 214);
INSERT INTO public.who_data VALUES (80758, 0, 0, 0, 0, 341, 116);
INSERT INTO public.who_data VALUES (80759, 0, 3, 0, 0, 341, 157);
INSERT INTO public.who_data VALUES (80760, 0, 0, 0, 0, 341, 182);
INSERT INTO public.who_data VALUES (80761, 0, 0, 0, 0, 341, 186);
INSERT INTO public.who_data VALUES (80762, 0, 6, 0, 0, 341, 127);
INSERT INTO public.who_data VALUES (80763, 0, 6, 0, 0, 341, 232);
INSERT INTO public.who_data VALUES (80764, 0, 0, 0, 0, 341, 33);
INSERT INTO public.who_data VALUES (80765, 0, 1, 0, 0, 341, 97);
INSERT INTO public.who_data VALUES (80766, 0, 0, 0, 0, 341, 42);
INSERT INTO public.who_data VALUES (80767, 25, 102, 4, 9, 341, 198);
INSERT INTO public.who_data VALUES (80768, 0, 0, 0, 0, 341, 216);
INSERT INTO public.who_data VALUES (80769, 38, 175, 0, 0, 341, 164);
INSERT INTO public.who_data VALUES (80770, 1, 31, 0, 0, 341, 235);
INSERT INTO public.who_data VALUES (80771, 0, 46, 0, 0, 341, 67);
INSERT INTO public.who_data VALUES (80772, 0, 8, 0, 0, 341, 15);
INSERT INTO public.who_data VALUES (80773, 0, 0, 0, 0, 341, 180);
INSERT INTO public.who_data VALUES (80774, 23, 270, 0, 0, 341, 237);
INSERT INTO public.who_data VALUES (80775, 0, 0, 0, 0, 341, 25);
INSERT INTO public.who_data VALUES (80776, 0, 0, 0, 0, 341, 209);
INSERT INTO public.who_data VALUES (80777, 17, 61, 0, 0, 341, 217);
INSERT INTO public.who_data VALUES (80778, 35, 250, 0, 1, 341, 79);
INSERT INTO public.who_data VALUES (80779, 0, 0, 0, 0, 341, 143);
INSERT INTO public.who_data VALUES (80780, 0, 5, 0, 0, 341, 229);
INSERT INTO public.who_data VALUES (80781, 11, 66, 0, 0, 341, 141);
INSERT INTO public.who_data VALUES (80782, 0, 0, 0, 0, 341, 197);
INSERT INTO public.who_data VALUES (80783, 2311, 12891, 131, 482, 341, 221);
INSERT INTO public.who_data VALUES (80784, 10, 33, 0, 0, 341, 150);
INSERT INTO public.who_data VALUES (80785, 0, 1, 0, 1, 341, 56);
INSERT INTO public.who_data VALUES (80786, 0, 5, 0, 0, 341, 167);
INSERT INTO public.who_data VALUES (80787, 69, 1063, 2, 5, 341, 23);
INSERT INTO public.who_data VALUES (80788, 1060, 3755, 7, 35, 341, 222);
INSERT INTO public.who_data VALUES (80789, 0, 0, 0, 0, 341, 219);
INSERT INTO public.who_data VALUES (80790, 0, 0, 0, 0, 341, 7);
INSERT INTO public.who_data VALUES (80791, 30, 181, 0, 1, 341, 161);
INSERT INTO public.who_data VALUES (80792, 442, 3047, 22, 65, 341, 149);
INSERT INTO public.who_data VALUES (80793, 0, 0, 0, 0, 341, 6);
INSERT INTO public.who_data VALUES (80794, 0, 5, 0, 0, 341, 139);
INSERT INTO public.who_data VALUES (80795, 0, 0, 0, 0, 341, 211);
INSERT INTO public.who_data VALUES (80796, 0, 0, 0, 0, 341, 14);
INSERT INTO public.who_data VALUES (80797, 3, 9, 0, 0, 341, 111);
INSERT INTO public.who_data VALUES (80798, 4, 28, 0, 0, 341, 207);
INSERT INTO public.who_data VALUES (80799, 29, 47, 0, 0, 341, 66);
INSERT INTO public.who_data VALUES (80800, 0, 0, 0, 0, 341, 173);
INSERT INTO public.who_data VALUES (80801, 0, 0, 0, 0, 341, 145);
INSERT INTO public.who_data VALUES (80802, 0, 0, 0, 0, 341, 65);
INSERT INTO public.who_data VALUES (80803, 0, 0, 0, 0, 341, 184);
INSERT INTO public.who_data VALUES (80804, 0, 3, 0, 1, 341, 98);
INSERT INTO public.who_data VALUES (80805, 0, 102, 0, 0, 341, 104);
INSERT INTO public.who_data VALUES (80806, 5, 5, 0, 0, 341, 73);
INSERT INTO public.who_data VALUES (80807, 1822, 3540, 17, 58, 341, 8);
INSERT INTO public.who_data VALUES (80808, 1, 6, 0, 0, 341, 227);
INSERT INTO public.who_data VALUES (80809, 2, 10, 0, 0, 341, 75);
INSERT INTO public.who_data VALUES (80810, 0, 4, 0, 0, 341, 45);
INSERT INTO public.who_data VALUES (80811, 0, 0, 0, 0, 341, 133);
INSERT INTO public.who_data VALUES (80812, 16, 37, 0, 0, 341, 202);
INSERT INTO public.who_data VALUES (80813, 4, 65, 0, 0, 341, 129);
INSERT INTO public.who_data VALUES (80814, 0, 0, 0, 0, 341, 36);
INSERT INTO public.who_data VALUES (80815, 0, 0, 0, 0, 341, 51);
INSERT INTO public.who_data VALUES (80816, 0, 0, 0, 0, 341, 206);
INSERT INTO public.who_data VALUES (80817, 0, 0, 0, 0, 341, 5);
INSERT INTO public.who_data VALUES (80818, 5, 25, 0, 0, 342, 103);
INSERT INTO public.who_data VALUES (80819, 2, 5, 0, 1, 342, 58);
INSERT INTO public.who_data VALUES (80820, 0, 53, 1, 4, 342, 195);
INSERT INTO public.who_data VALUES (80821, 0, 0, 0, 0, 342, 115);
INSERT INTO public.who_data VALUES (80822, 0, 2, 0, 0, 342, 99);
INSERT INTO public.who_data VALUES (80823, 0, 0, 0, 0, 342, 153);
INSERT INTO public.who_data VALUES (80824, 0, 0, 0, 0, 342, 93);
INSERT INTO public.who_data VALUES (80825, 0, 5, 0, 0, 342, 84);
INSERT INTO public.who_data VALUES (80826, 11, 60, 0, 2, 342, 78);
INSERT INTO public.who_data VALUES (80827, 18, 26, 0, 0, 342, 170);
INSERT INTO public.who_data VALUES (80828, 0, 0, 0, 0, 342, 32);
INSERT INTO public.who_data VALUES (80829, 38, 340, 0, 5, 342, 155);
INSERT INTO public.who_data VALUES (80830, 205, 860, 0, 1, 342, 82);
INSERT INTO public.who_data VALUES (80831, 0, 19, 0, 0, 342, 16);
INSERT INTO public.who_data VALUES (80832, 0, 0, 0, 0, 342, 72);
INSERT INTO public.who_data VALUES (80833, 7, 225, 1, 1, 342, 43);
INSERT INTO public.who_data VALUES (80834, 5, 12, 0, 0, 342, 120);
INSERT INTO public.who_data VALUES (80835, 0, 0, 0, 0, 342, 213);
INSERT INTO public.who_data VALUES (80836, 0, 21, 0, 0, 342, 31);
INSERT INTO public.who_data VALUES (80837, 214, 1856, 5, 18, 342, 204);
INSERT INTO public.who_data VALUES (80838, 0, 0, 0, 0, 342, 152);
INSERT INTO public.who_data VALUES (80839, 0, 0, 0, 0, 342, 144);
INSERT INTO public.who_data VALUES (80840, 0, 0, 0, 0, 342, 96);
INSERT INTO public.who_data VALUES (80841, 0, 1, 0, 0, 342, 47);
INSERT INTO public.who_data VALUES (80842, 8, 15, 0, 0, 342, 80);
INSERT INTO public.who_data VALUES (80843, 0, 0, 0, 0, 342, 159);
INSERT INTO public.who_data VALUES (80844, 5, 18, 0, 0, 342, 27);
INSERT INTO public.who_data VALUES (80845, 0, 0, 0, 0, 342, 146);
INSERT INTO public.who_data VALUES (80846, 79, 204, 0, 0, 342, 71);
INSERT INTO public.who_data VALUES (80847, 0, 0, 0, 0, 342, 210);
INSERT INTO public.who_data VALUES (80848, 10, 54, 0, 0, 342, 54);
INSERT INTO public.who_data VALUES (80849, 10, 51, 0, 2, 342, 147);
INSERT INTO public.who_data VALUES (80850, 12, 19, 0, 0, 342, 2);
INSERT INTO public.who_data VALUES (80851, 0, 0, 0, 0, 342, 105);
INSERT INTO public.who_data VALUES (80852, 0, 0, 0, 0, 342, 53);
INSERT INTO public.who_data VALUES (80853, 0, 16, 0, 0, 342, 81);
INSERT INTO public.who_data VALUES (80854, 2, 9, 0, 0, 342, 223);
INSERT INTO public.who_data VALUES (80855, 0, 308, 0, 1, 342, 94);
INSERT INTO public.who_data VALUES (80856, 0, 5, 1, 1, 342, 154);
INSERT INTO public.who_data VALUES (80857, 0, 5, 0, 0, 342, 83);
INSERT INTO public.who_data VALUES (80858, 0, 0, 0, 0, 342, 194);
INSERT INTO public.who_data VALUES (80859, 14, 79, 0, 0, 342, 136);
INSERT INTO public.who_data VALUES (80860, 29, 81081, 14, 3218, 342, 179);
INSERT INTO public.who_data VALUES (80861, 10, 38, 0, 0, 342, 57);
INSERT INTO public.who_data VALUES (80862, 0, 0, 0, 0, 342, 35);
INSERT INTO public.who_data VALUES (80863, 0, 1, 0, 0, 342, 228);
INSERT INTO public.who_data VALUES (80864, 0, 0, 0, 0, 342, 19);
INSERT INTO public.who_data VALUES (80865, 12, 39, 0, 0, 342, 22);
INSERT INTO public.who_data VALUES (80866, 0, 7, 0, 0, 342, 1);
INSERT INTO public.who_data VALUES (80867, 11, 48, 0, 0, 342, 21);
INSERT INTO public.who_data VALUES (80868, 0, 8, 0, 0, 342, 234);
INSERT INTO public.who_data VALUES (80869, 0, 6, 0, 0, 342, 91);
INSERT INTO public.who_data VALUES (80870, 9, 30, 0, 0, 342, 137);
INSERT INTO public.who_data VALUES (80871, 84, 298, 0, 0, 342, 201);
INSERT INTO public.who_data VALUES (80872, 0, 0, 0, 0, 342, 171);
INSERT INTO public.who_data VALUES (80873, 0, 6, 0, 0, 342, 92);
INSERT INTO public.who_data VALUES (80874, 48, 875, 1, 1, 342, 112);
INSERT INTO public.who_data VALUES (80875, 0, 0, 0, 0, 342, 62);
INSERT INTO public.who_data VALUES (80876, 0, 0, 0, 0, 342, 69);
INSERT INTO public.who_data VALUES (80877, 0, 9, 0, 0, 342, 220);
INSERT INTO public.who_data VALUES (80878, 14, 41, 2, 2, 342, 100);
INSERT INTO public.who_data VALUES (80879, 16, 130, 0, 2, 342, 187);
INSERT INTO public.who_data VALUES (80880, 0, 0, 0, 0, 342, 63);
INSERT INTO public.who_data VALUES (80881, 0, 5, 0, 0, 342, 28);
INSERT INTO public.who_data VALUES (80882, 0, 0, 0, 0, 342, 172);
INSERT INTO public.who_data VALUES (80883, 56, 171, 0, 0, 342, 17);
INSERT INTO public.who_data VALUES (80884, 0, 5, 0, 0, 342, 226);
INSERT INTO public.who_data VALUES (80885, 3, 8, 0, 0, 342, 236);
INSERT INTO public.who_data VALUES (80886, 0, 0, 0, 0, 342, 76);
INSERT INTO public.who_data VALUES (80887, 6, 9, 0, 0, 342, 30);
INSERT INTO public.who_data VALUES (80888, 0, 0, 0, 0, 342, 128);
INSERT INTO public.who_data VALUES (80889, 57, 267, 0, 0, 342, 86);
INSERT INTO public.who_data VALUES (80890, 923, 5359, 36, 127, 342, 140);
INSERT INTO public.who_data VALUES (80891, 0, 7, 0, 0, 342, 44);
INSERT INTO public.who_data VALUES (80892, 0, 2, 0, 0, 342, 113);
INSERT INTO public.who_data VALUES (80893, 0, 1, 0, 0, 342, 29);
INSERT INTO public.who_data VALUES (80894, 0, 0, 0, 0, 342, 125);
INSERT INTO public.who_data VALUES (80895, 3, 33, 0, 0, 342, 131);
INSERT INTO public.who_data VALUES (80896, 1043, 4838, 4, 12, 342, 46);
INSERT INTO public.who_data VALUES (80897, 0, 6, 0, 0, 342, 10);
INSERT INTO public.who_data VALUES (80898, 0, 1, 0, 0, 342, 205);
INSERT INTO public.who_data VALUES (80899, 103, 331, 1, 4, 342, 50);
INSERT INTO public.who_data VALUES (80900, 0, 0, 0, 0, 342, 20);
INSERT INTO public.who_data VALUES (80901, 0, 0, 0, 0, 342, 13);
INSERT INTO public.who_data VALUES (80902, 0, 10, 0, 0, 342, 148);
INSERT INTO public.who_data VALUES (80903, 0, 0, 0, 0, 342, 230);
INSERT INTO public.who_data VALUES (80904, 0, 5, 0, 1, 342, 190);
INSERT INTO public.who_data VALUES (80905, 0, 1, 0, 0, 342, 188);
INSERT INTO public.who_data VALUES (80906, 0, 5, 0, 0, 342, 123);
INSERT INTO public.who_data VALUES (80907, 0, 0, 0, 0, 342, 9);
INSERT INTO public.who_data VALUES (80908, 0, 8, 0, 1, 342, 102);
INSERT INTO public.who_data VALUES (80909, 0, 0, 0, 0, 342, 34);
INSERT INTO public.who_data VALUES (80910, 0, 1, 0, 0, 342, 212);
INSERT INTO public.who_data VALUES (80911, 0, 6, 0, 0, 342, 122);
INSERT INTO public.who_data VALUES (80912, 8, 39, 1, 1, 342, 38);
INSERT INTO public.who_data VALUES (80913, 40, 178, 0, 0, 342, 130);
INSERT INTO public.who_data VALUES (80914, 7, 118, 0, 2, 342, 37);
INSERT INTO public.who_data VALUES (80915, 55, 176, 1, 5, 342, 231);
INSERT INTO public.who_data VALUES (80916, 1008, 14995, 129, 853, 342, 107);
INSERT INTO public.who_data VALUES (80917, 0, 128, 0, 9, 342, 101);
INSERT INTO public.who_data VALUES (80918, 40, 169, 0, 2, 342, 132);
INSERT INTO public.who_data VALUES (80919, 0, 0, 0, 0, 342, 176);
INSERT INTO public.who_data VALUES (80920, 29, 176, 0, 0, 342, 200);
INSERT INTO public.who_data VALUES (80921, 2823, 23980, 370, 1811, 342, 169);
INSERT INTO public.who_data VALUES (80922, 2, 14, 0, 0, 342, 225);
INSERT INTO public.who_data VALUES (80923, 34, 818, 2, 24, 342, 165);
INSERT INTO public.who_data VALUES (80924, 0, 2, 0, 0, 342, 233);
INSERT INTO public.who_data VALUES (80925, 0, 10, 0, 0, 342, 215);
INSERT INTO public.who_data VALUES (80926, 0, 6, 0, 0, 342, 177);
INSERT INTO public.who_data VALUES (80927, 2, 7, 0, 0, 342, 183);
INSERT INTO public.who_data VALUES (80928, 0, 0, 0, 0, 342, 203);
INSERT INTO public.who_data VALUES (80929, 3, 5, 0, 0, 342, 162);
INSERT INTO public.who_data VALUES (80930, 11, 127, 0, 0, 342, 12);
INSERT INTO public.who_data VALUES (80931, 0, 0, 0, 0, 342, 24);
INSERT INTO public.who_data VALUES (80932, 0, 0, 0, 0, 342, 119);
INSERT INTO public.who_data VALUES (80933, 5, 31, 0, 0, 342, 39);
INSERT INTO public.who_data VALUES (80934, 0, 103, 0, 3, 342, 26);
INSERT INTO public.who_data VALUES (80935, 0, 0, 0, 0, 342, 59);
INSERT INTO public.who_data VALUES (80936, 0, 0, 0, 0, 342, 77);
INSERT INTO public.who_data VALUES (80937, 0, 0, 0, 0, 342, 134);
INSERT INTO public.who_data VALUES (80938, 3, 14, 0, 0, 342, 4);
INSERT INTO public.who_data VALUES (80939, 3, 12, 0, 0, 342, 109);
INSERT INTO public.who_data VALUES (80940, 39, 77, 0, 1, 342, 90);
INSERT INTO public.who_data VALUES (80941, 0, 0, 0, 0, 342, 61);
INSERT INTO public.who_data VALUES (80942, 0, 0, 0, 0, 342, 85);
INSERT INTO public.who_data VALUES (80943, 315, 557, 0, 0, 342, 49);
INSERT INTO public.who_data VALUES (80944, 0, 17, 0, 0, 342, 208);
INSERT INTO public.who_data VALUES (80945, 0, 0, 0, 0, 342, 166);
INSERT INTO public.who_data VALUES (80946, 1, 19, 0, 0, 342, 64);
INSERT INTO public.who_data VALUES (80947, 0, 0, 0, 0, 342, 199);
INSERT INTO public.who_data VALUES (80948, 1, 20, 0, 0, 342, 114);
INSERT INTO public.who_data VALUES (80949, 0, 5, 0, 0, 342, 60);
INSERT INTO public.who_data VALUES (80950, 0, 0, 0, 0, 342, 68);
INSERT INTO public.who_data VALUES (80951, 0, 5, 0, 0, 342, 158);
INSERT INTO public.who_data VALUES (80952, 12, 57, 0, 0, 342, 52);
INSERT INTO public.who_data VALUES (80953, 0, 0, 0, 0, 342, 117);
INSERT INTO public.who_data VALUES (80954, 2, 9, 0, 0, 342, 126);
INSERT INTO public.who_data VALUES (80955, 3, 8, 0, 0, 342, 196);
INSERT INTO public.who_data VALUES (80956, 0, 0, 0, 0, 342, 142);
INSERT INTO public.who_data VALUES (80957, 0, 0, 0, 0, 342, 185);
INSERT INTO public.who_data VALUES (80958, 1, 33, 0, 1, 342, 138);
INSERT INTO public.who_data VALUES (80959, 0, 0, 0, 0, 342, 181);
INSERT INTO public.who_data VALUES (80960, 0, 0, 0, 0, 342, 178);
INSERT INTO public.who_data VALUES (80961, 0, 6, 0, 0, 342, 168);
INSERT INTO public.who_data VALUES (80962, 0, 0, 0, 0, 342, 160);
INSERT INTO public.who_data VALUES (80963, 0, 5, 0, 0, 342, 151);
INSERT INTO public.who_data VALUES (80964, 173, 1109, 7, 17, 342, 193);
INSERT INTO public.who_data VALUES (80965, 0, 0, 0, 0, 342, 18);
INSERT INTO public.who_data VALUES (80966, 0, 10, 0, 0, 342, 40);
INSERT INTO public.who_data VALUES (80967, 0, 0, 0, 0, 342, 218);
INSERT INTO public.who_data VALUES (80968, 0, 0, 0, 0, 342, 191);
INSERT INTO public.who_data VALUES (80969, 0, 6, 0, 0, 342, 156);
INSERT INTO public.who_data VALUES (80970, 0, 0, 0, 0, 342, 135);
INSERT INTO public.who_data VALUES (80971, 0, 0, 0, 0, 342, 88);
INSERT INTO public.who_data VALUES (80972, 0, 13, 0, 0, 342, 55);
INSERT INTO public.who_data VALUES (80973, 170, 1077, 0, 1, 342, 108);
INSERT INTO public.who_data VALUES (80974, 1, 43, 0, 0, 342, 48);
INSERT INTO public.who_data VALUES (80975, 0, 26, 0, 0, 342, 3);
INSERT INTO public.who_data VALUES (80976, 0, 716, 0, 7, 342, 224);
INSERT INTO public.who_data VALUES (80977, 1, 57, 0, 0, 342, 110);
INSERT INTO public.who_data VALUES (80978, 0, 0, 0, 0, 342, 106);
INSERT INTO public.who_data VALUES (80979, 16, 47, 0, 1, 342, 89);
INSERT INTO public.who_data VALUES (80980, 0, 0, 0, 0, 342, 121);
INSERT INTO public.who_data VALUES (80981, 2, 12, 0, 0, 342, 163);
INSERT INTO public.who_data VALUES (80982, 28, 75, 0, 0, 342, 70);
INSERT INTO public.who_data VALUES (80983, 2, 146, 0, 12, 342, 174);
INSERT INTO public.who_data VALUES (80984, 0, 0, 0, 0, 342, 175);
INSERT INTO public.who_data VALUES (80985, 21, 125, 0, 3, 342, 118);
INSERT INTO public.who_data VALUES (80986, 76, 245, 0, 0, 342, 189);
INSERT INTO public.who_data VALUES (80987, 0, 7, 0, 0, 342, 124);
INSERT INTO public.who_data VALUES (80988, 64, 405, 0, 0, 342, 192);
INSERT INTO public.who_data VALUES (80989, 74, 8240, 0, 75, 342, 41);
INSERT INTO public.who_data VALUES (80990, 15, 23, 0, 0, 342, 95);
INSERT INTO public.who_data VALUES (80991, 0, 13, 0, 0, 342, 74);
INSERT INTO public.who_data VALUES (80992, 26, 139, 0, 0, 342, 11);
INSERT INTO public.who_data VALUES (80993, 0, 34, 0, 0, 342, 87);
INSERT INTO public.who_data VALUES (80994, 0, 9, 0, 0, 342, 214);
INSERT INTO public.who_data VALUES (80995, 0, 0, 0, 0, 342, 116);
INSERT INTO public.who_data VALUES (80996, 0, 3, 0, 0, 342, 157);
INSERT INTO public.who_data VALUES (80997, 0, 0, 0, 0, 342, 182);
INSERT INTO public.who_data VALUES (80998, 0, 0, 0, 0, 342, 186);
INSERT INTO public.who_data VALUES (80999, 0, 6, 0, 0, 342, 127);
INSERT INTO public.who_data VALUES (81000, 0, 6, 0, 0, 342, 232);
INSERT INTO public.who_data VALUES (81001, 0, 0, 0, 0, 342, 33);
INSERT INTO public.who_data VALUES (81002, 0, 1, 0, 0, 342, 97);
INSERT INTO public.who_data VALUES (81003, 0, 0, 0, 0, 342, 42);
INSERT INTO public.who_data VALUES (81004, 0, 77, 0, 5, 342, 198);
INSERT INTO public.who_data VALUES (81005, 0, 0, 0, 0, 342, 216);
INSERT INTO public.who_data VALUES (81006, 30, 137, 0, 0, 342, 164);
INSERT INTO public.who_data VALUES (81007, 0, 30, 0, 0, 342, 235);
INSERT INTO public.who_data VALUES (81008, 0, 46, 0, 0, 342, 67);
INSERT INTO public.who_data VALUES (81009, 2, 8, 0, 0, 342, 15);
INSERT INTO public.who_data VALUES (81010, 0, 0, 0, 0, 342, 180);
INSERT INTO public.who_data VALUES (81011, 17, 247, 0, 0, 342, 237);
INSERT INTO public.who_data VALUES (81012, 0, 0, 0, 0, 342, 25);
INSERT INTO public.who_data VALUES (81013, 0, 0, 0, 0, 342, 209);
INSERT INTO public.who_data VALUES (81014, 14, 44, 0, 0, 342, 217);
INSERT INTO public.who_data VALUES (81015, 36, 215, 0, 1, 342, 79);
INSERT INTO public.who_data VALUES (81016, 0, 0, 0, 0, 342, 143);
INSERT INTO public.who_data VALUES (81017, 5, 5, 0, 0, 342, 229);
INSERT INTO public.who_data VALUES (81018, 13, 55, 0, 0, 342, 141);
INSERT INTO public.who_data VALUES (81019, 0, 0, 0, 0, 342, 197);
INSERT INTO public.who_data VALUES (81020, 2032, 10580, 108, 351, 342, 221);
INSERT INTO public.who_data VALUES (81021, 8, 23, 0, 0, 342, 150);
INSERT INTO public.who_data VALUES (81022, 0, 1, 0, 1, 342, 56);
INSERT INTO public.who_data VALUES (81023, 0, 5, 0, 0, 342, 167);
INSERT INTO public.who_data VALUES (81024, 71, 994, 1, 3, 342, 23);
INSERT INTO public.who_data VALUES (81025, 325, 2695, 8, 28, 342, 222);
INSERT INTO public.who_data VALUES (81026, 0, 0, 0, 0, 342, 219);
INSERT INTO public.who_data VALUES (81027, 0, 0, 0, 0, 342, 7);
INSERT INTO public.who_data VALUES (81028, 33, 151, 0, 1, 342, 161);
INSERT INTO public.who_data VALUES (81029, 361, 2605, 14, 43, 342, 149);
INSERT INTO public.who_data VALUES (81030, 0, 0, 0, 0, 342, 6);
INSERT INTO public.who_data VALUES (81031, 0, 5, 0, 0, 342, 139);
INSERT INTO public.who_data VALUES (81032, 0, 0, 0, 0, 342, 211);
INSERT INTO public.who_data VALUES (81033, 0, 0, 0, 0, 342, 14);
INSERT INTO public.who_data VALUES (81034, 0, 6, 0, 0, 342, 111);
INSERT INTO public.who_data VALUES (81035, 2, 24, 0, 0, 342, 207);
INSERT INTO public.who_data VALUES (81036, 12, 18, 0, 0, 342, 66);
INSERT INTO public.who_data VALUES (81037, 0, 0, 0, 0, 342, 173);
INSERT INTO public.who_data VALUES (81038, 0, 0, 0, 0, 342, 145);
INSERT INTO public.who_data VALUES (81039, 0, 0, 0, 0, 342, 65);
INSERT INTO public.who_data VALUES (81040, 0, 0, 0, 0, 342, 184);
INSERT INTO public.who_data VALUES (81041, 0, 3, 0, 1, 342, 98);
INSERT INTO public.who_data VALUES (81042, 0, 102, 0, 0, 342, 104);
INSERT INTO public.who_data VALUES (81043, 0, 0, 0, 0, 342, 73);
INSERT INTO public.who_data VALUES (81044, 0, 1718, 0, 41, 342, 8);
INSERT INTO public.who_data VALUES (81045, 0, 5, 0, 0, 342, 227);
INSERT INTO public.who_data VALUES (81046, 0, 8, 0, 0, 342, 75);
INSERT INTO public.who_data VALUES (81047, 4, 4, 0, 0, 342, 45);
INSERT INTO public.who_data VALUES (81048, 0, 0, 0, 0, 342, 133);
INSERT INTO public.who_data VALUES (81049, 0, 21, 0, 0, 342, 202);
INSERT INTO public.who_data VALUES (81050, 4, 61, 0, 0, 342, 129);
INSERT INTO public.who_data VALUES (81051, 0, 0, 0, 0, 342, 36);
INSERT INTO public.who_data VALUES (81052, 0, 0, 0, 0, 342, 51);
INSERT INTO public.who_data VALUES (81053, 0, 0, 0, 0, 342, 206);
INSERT INTO public.who_data VALUES (81054, 0, 0, 0, 0, 342, 5);
INSERT INTO public.who_data VALUES (81055, 6, 20, 0, 0, 343, 103);
INSERT INTO public.who_data VALUES (81056, 0, 3, 0, 1, 343, 58);
INSERT INTO public.who_data VALUES (81057, 12, 53, 1, 3, 343, 195);
INSERT INTO public.who_data VALUES (81058, 0, 0, 0, 0, 343, 115);
INSERT INTO public.who_data VALUES (81059, 0, 2, 0, 0, 343, 99);
INSERT INTO public.who_data VALUES (81060, 0, 0, 0, 0, 343, 153);
INSERT INTO public.who_data VALUES (81061, 0, 0, 0, 0, 343, 93);
INSERT INTO public.who_data VALUES (81062, 0, 5, 0, 0, 343, 84);
INSERT INTO public.who_data VALUES (81063, 0, 49, 0, 2, 343, 78);
INSERT INTO public.who_data VALUES (81064, 0, 8, 0, 0, 343, 170);
INSERT INTO public.who_data VALUES (81065, 0, 0, 0, 0, 343, 32);
INSERT INTO public.who_data VALUES (81066, 101, 302, 2, 5, 343, 155);
INSERT INTO public.who_data VALUES (81067, 151, 655, 0, 1, 343, 82);
INSERT INTO public.who_data VALUES (81068, 8, 19, 0, 0, 343, 16);
INSERT INTO public.who_data VALUES (81069, 0, 0, 0, 0, 343, 72);
INSERT INTO public.who_data VALUES (81070, 3, 218, 0, 0, 343, 43);
INSERT INTO public.who_data VALUES (81071, 0, 7, 0, 0, 343, 120);
INSERT INTO public.who_data VALUES (81072, 0, 0, 0, 0, 343, 213);
INSERT INTO public.who_data VALUES (81073, 0, 21, 0, 0, 343, 31);
INSERT INTO public.who_data VALUES (81074, 179, 1642, 5, 13, 343, 204);
INSERT INTO public.who_data VALUES (81075, 0, 0, 0, 0, 343, 152);
INSERT INTO public.who_data VALUES (81076, 0, 0, 0, 0, 343, 144);
INSERT INTO public.who_data VALUES (81077, 0, 0, 0, 0, 343, 96);
INSERT INTO public.who_data VALUES (81078, 0, 1, 0, 0, 343, 47);
INSERT INTO public.who_data VALUES (81079, 0, 7, 0, 0, 343, 80);
INSERT INTO public.who_data VALUES (81080, 0, 0, 0, 0, 343, 159);
INSERT INTO public.who_data VALUES (81081, 0, 13, 0, 0, 343, 27);
INSERT INTO public.who_data VALUES (81082, 0, 0, 0, 0, 343, 146);
INSERT INTO public.who_data VALUES (81083, 0, 125, 0, 0, 343, 71);
INSERT INTO public.who_data VALUES (81084, 0, 0, 0, 0, 343, 210);
INSERT INTO public.who_data VALUES (81085, 15, 44, 0, 0, 343, 54);
INSERT INTO public.who_data VALUES (81086, 10, 41, 1, 2, 343, 147);
INSERT INTO public.who_data VALUES (81087, 0, 7, 0, 0, 343, 2);
INSERT INTO public.who_data VALUES (81088, 0, 0, 0, 0, 343, 105);
INSERT INTO public.who_data VALUES (81089, 0, 0, 0, 0, 343, 53);
INSERT INTO public.who_data VALUES (81090, 5, 16, 0, 0, 343, 81);
INSERT INTO public.who_data VALUES (81091, 0, 7, 0, 0, 343, 223);
INSERT INTO public.who_data VALUES (81092, 128, 308, 0, 1, 343, 94);
INSERT INTO public.who_data VALUES (81093, 0, 5, 0, 0, 343, 154);
INSERT INTO public.who_data VALUES (81094, 0, 5, 0, 0, 343, 83);
INSERT INTO public.who_data VALUES (81095, 0, 0, 0, 0, 343, 194);
INSERT INTO public.who_data VALUES (81096, 0, 65, 0, 0, 343, 136);
INSERT INTO public.who_data VALUES (81097, 27, 81052, 10, 3204, 343, 179);
INSERT INTO public.who_data VALUES (81098, 0, 28, 0, 0, 343, 57);
INSERT INTO public.who_data VALUES (81099, 0, 0, 0, 0, 343, 35);
INSERT INTO public.who_data VALUES (81100, 1, 1, 0, 0, 343, 228);
INSERT INTO public.who_data VALUES (81101, 0, 0, 0, 0, 343, 19);
INSERT INTO public.who_data VALUES (81102, 0, 27, 0, 0, 343, 22);
INSERT INTO public.who_data VALUES (81103, 0, 7, 0, 0, 343, 1);
INSERT INTO public.who_data VALUES (81104, 6, 37, 0, 0, 343, 21);
INSERT INTO public.who_data VALUES (81105, 0, 8, 0, 0, 343, 234);
INSERT INTO public.who_data VALUES (81106, 1, 6, 0, 0, 343, 91);
INSERT INTO public.who_data VALUES (81107, 7, 21, 0, 0, 343, 137);
INSERT INTO public.who_data VALUES (81108, 64, 214, 0, 0, 343, 201);
INSERT INTO public.who_data VALUES (81109, 0, 0, 0, 0, 343, 171);
INSERT INTO public.who_data VALUES (81110, 0, 6, 0, 0, 343, 92);
INSERT INTO public.who_data VALUES (81111, 23, 827, 0, 0, 343, 112);
INSERT INTO public.who_data VALUES (81112, 0, 0, 0, 0, 343, 62);
INSERT INTO public.who_data VALUES (81113, 0, 0, 0, 0, 343, 69);
INSERT INTO public.who_data VALUES (81114, 0, 9, 0, 0, 343, 220);
INSERT INTO public.who_data VALUES (81115, 0, 27, 0, 0, 343, 100);
INSERT INTO public.who_data VALUES (81116, 17, 114, 0, 2, 343, 187);
INSERT INTO public.who_data VALUES (81117, 0, 0, 0, 0, 343, 63);
INSERT INTO public.who_data VALUES (81118, 0, 5, 0, 0, 343, 28);
INSERT INTO public.who_data VALUES (81119, 0, 0, 0, 0, 343, 172);
INSERT INTO public.who_data VALUES (81120, 36, 115, 0, 0, 343, 17);
INSERT INTO public.who_data VALUES (81121, 0, 5, 0, 0, 343, 226);
INSERT INTO public.who_data VALUES (81122, 0, 5, 0, 0, 343, 236);
INSERT INTO public.who_data VALUES (81123, 0, 0, 0, 0, 343, 76);
INSERT INTO public.who_data VALUES (81124, 0, 3, 0, 0, 343, 30);
INSERT INTO public.who_data VALUES (81125, 0, 0, 0, 0, 343, 128);
INSERT INTO public.who_data VALUES (81126, 27, 210, 0, 0, 343, 86);
INSERT INTO public.who_data VALUES (81127, 825, 4436, 12, 91, 343, 140);
INSERT INTO public.who_data VALUES (81128, 0, 7, 0, 0, 343, 44);
INSERT INTO public.who_data VALUES (81129, 1, 2, 0, 0, 343, 113);
INSERT INTO public.who_data VALUES (81130, 0, 1, 0, 0, 343, 29);
INSERT INTO public.who_data VALUES (81131, 0, 0, 0, 0, 343, 125);
INSERT INTO public.who_data VALUES (81132, 5, 30, 0, 0, 343, 131);
INSERT INTO public.who_data VALUES (81133, 733, 3795, 3, 8, 343, 46);
INSERT INTO public.who_data VALUES (81134, 1, 6, 0, 0, 343, 10);
INSERT INTO public.who_data VALUES (81135, 0, 1, 0, 0, 343, 205);
INSERT INTO public.who_data VALUES (81136, 38, 228, 2, 3, 343, 50);
INSERT INTO public.who_data VALUES (81137, 0, 0, 0, 0, 343, 20);
INSERT INTO public.who_data VALUES (81138, 0, 0, 0, 0, 343, 13);
INSERT INTO public.who_data VALUES (81139, 3, 10, 0, 0, 343, 148);
INSERT INTO public.who_data VALUES (81140, 0, 0, 0, 0, 343, 230);
INSERT INTO public.who_data VALUES (81141, 5, 5, 1, 1, 343, 190);
INSERT INTO public.who_data VALUES (81142, 0, 1, 0, 0, 343, 188);
INSERT INTO public.who_data VALUES (81143, 0, 5, 0, 0, 343, 123);
INSERT INTO public.who_data VALUES (81144, 0, 0, 0, 0, 343, 9);
INSERT INTO public.who_data VALUES (81145, 3, 8, 0, 1, 343, 102);
INSERT INTO public.who_data VALUES (81146, 0, 0, 0, 0, 343, 34);
INSERT INTO public.who_data VALUES (81147, 0, 1, 0, 0, 343, 212);
INSERT INTO public.who_data VALUES (81148, 0, 6, 0, 0, 343, 122);
INSERT INTO public.who_data VALUES (81149, 6, 31, 0, 0, 343, 38);
INSERT INTO public.who_data VALUES (81150, 21, 138, 0, 0, 343, 130);
INSERT INTO public.who_data VALUES (81151, 23, 111, 0, 2, 343, 37);
INSERT INTO public.who_data VALUES (81152, 48, 121, 0, 4, 343, 231);
INSERT INTO public.who_data VALUES (81153, 1254, 13987, 116, 724, 343, 107);
INSERT INTO public.who_data VALUES (81154, 31, 128, 0, 9, 343, 101);
INSERT INTO public.who_data VALUES (81155, 38, 129, 1, 2, 343, 132);
INSERT INTO public.who_data VALUES (81156, 0, 0, 0, 0, 343, 176);
INSERT INTO public.who_data VALUES (81157, 35, 147, 0, 0, 343, 200);
INSERT INTO public.who_data VALUES (81158, 3497, 21157, 173, 1441, 343, 169);
INSERT INTO public.who_data VALUES (81159, 0, 12, 0, 0, 343, 225);
INSERT INTO public.who_data VALUES (81160, 0, 784, 0, 22, 343, 165);
INSERT INTO public.who_data VALUES (81161, 0, 2, 0, 0, 343, 233);
INSERT INTO public.who_data VALUES (81162, 5, 10, 0, 0, 343, 215);
INSERT INTO public.who_data VALUES (81163, 0, 6, 0, 0, 343, 177);
INSERT INTO public.who_data VALUES (81164, 0, 5, 0, 0, 343, 183);
INSERT INTO public.who_data VALUES (81165, 0, 0, 0, 0, 343, 203);
INSERT INTO public.who_data VALUES (81166, 0, 2, 0, 0, 343, 162);
INSERT INTO public.who_data VALUES (81167, 8, 116, 0, 0, 343, 12);
INSERT INTO public.who_data VALUES (81168, 0, 0, 0, 0, 343, 24);
INSERT INTO public.who_data VALUES (81169, 0, 0, 0, 0, 343, 119);
INSERT INTO public.who_data VALUES (81170, 7, 26, 0, 0, 343, 39);
INSERT INTO public.who_data VALUES (81171, 6, 103, 0, 3, 343, 26);
INSERT INTO public.who_data VALUES (81172, 0, 0, 0, 0, 343, 59);
INSERT INTO public.who_data VALUES (81173, 0, 0, 0, 0, 343, 77);
INSERT INTO public.who_data VALUES (81174, 0, 0, 0, 0, 343, 134);
INSERT INTO public.who_data VALUES (81175, 4, 11, 0, 0, 343, 4);
INSERT INTO public.who_data VALUES (81176, 3, 9, 0, 0, 343, 109);
INSERT INTO public.who_data VALUES (81177, 0, 38, 0, 1, 343, 90);
INSERT INTO public.who_data VALUES (81178, 0, 0, 0, 0, 343, 61);
INSERT INTO public.who_data VALUES (81179, 0, 0, 0, 0, 343, 85);
INSERT INTO public.who_data VALUES (81180, 41, 242, 0, 0, 343, 49);
INSERT INTO public.who_data VALUES (81181, 4, 17, 0, 0, 343, 208);
INSERT INTO public.who_data VALUES (81182, 0, 0, 0, 0, 343, 166);
INSERT INTO public.who_data VALUES (81183, 10, 18, 0, 0, 343, 64);
INSERT INTO public.who_data VALUES (81184, 0, 0, 0, 0, 343, 199);
INSERT INTO public.who_data VALUES (81185, 5, 19, 0, 0, 343, 114);
INSERT INTO public.who_data VALUES (81186, 0, 5, 0, 0, 343, 60);
INSERT INTO public.who_data VALUES (81187, 0, 0, 0, 0, 343, 68);
INSERT INTO public.who_data VALUES (81188, 0, 5, 0, 0, 343, 158);
INSERT INTO public.who_data VALUES (81189, 15, 45, 0, 0, 343, 52);
INSERT INTO public.who_data VALUES (81190, 0, 0, 0, 0, 343, 117);
INSERT INTO public.who_data VALUES (81191, 4, 7, 0, 0, 343, 126);
INSERT INTO public.who_data VALUES (81192, 0, 5, 0, 0, 343, 196);
INSERT INTO public.who_data VALUES (81193, 0, 0, 0, 0, 343, 142);
INSERT INTO public.who_data VALUES (81194, 0, 0, 0, 0, 343, 185);
INSERT INTO public.who_data VALUES (81195, 10, 32, 0, 1, 343, 138);
INSERT INTO public.who_data VALUES (81196, 0, 0, 0, 0, 343, 181);
INSERT INTO public.who_data VALUES (81197, 0, 0, 0, 0, 343, 178);
INSERT INTO public.who_data VALUES (81198, 0, 6, 0, 0, 343, 168);
INSERT INTO public.who_data VALUES (81199, 0, 0, 0, 0, 343, 160);
INSERT INTO public.who_data VALUES (81200, 0, 5, 0, 0, 343, 151);
INSERT INTO public.who_data VALUES (81201, 219, 936, 4, 10, 343, 193);
INSERT INTO public.who_data VALUES (81202, 0, 0, 0, 0, 343, 18);
INSERT INTO public.who_data VALUES (81203, 0, 10, 0, 0, 343, 40);
INSERT INTO public.who_data VALUES (81204, 0, 0, 0, 0, 343, 218);
INSERT INTO public.who_data VALUES (81205, 0, 0, 0, 0, 343, 191);
INSERT INTO public.who_data VALUES (81206, 0, 6, 0, 0, 343, 156);
INSERT INTO public.who_data VALUES (81207, 0, 0, 0, 0, 343, 135);
INSERT INTO public.who_data VALUES (81208, 0, 0, 0, 0, 343, 88);
INSERT INTO public.who_data VALUES (81209, 4, 13, 0, 0, 343, 55);
INSERT INTO public.who_data VALUES (81210, 286, 907, 0, 1, 343, 108);
INSERT INTO public.who_data VALUES (81211, 0, 42, 0, 0, 343, 48);
INSERT INTO public.who_data VALUES (81212, 2, 26, 0, 0, 343, 3);
INSERT INTO public.who_data VALUES (81213, 15, 716, 0, 7, 343, 224);
INSERT INTO public.who_data VALUES (81214, 24, 56, 0, 0, 343, 110);
INSERT INTO public.who_data VALUES (81215, 0, 0, 0, 0, 343, 106);
INSERT INTO public.who_data VALUES (81216, 0, 31, 0, 1, 343, 89);
INSERT INTO public.who_data VALUES (81217, 0, 0, 0, 0, 343, 121);
INSERT INTO public.who_data VALUES (81218, 0, 10, 0, 0, 343, 163);
INSERT INTO public.who_data VALUES (81219, 15, 47, 0, 0, 343, 70);
INSERT INTO public.who_data VALUES (81220, 76, 144, 10, 12, 343, 174);
INSERT INTO public.who_data VALUES (81221, 0, 0, 0, 0, 343, 175);
INSERT INTO public.who_data VALUES (81222, 36, 104, 1, 3, 343, 118);
INSERT INTO public.who_data VALUES (81223, 57, 169, 0, 0, 343, 189);
INSERT INTO public.who_data VALUES (81224, 0, 7, 0, 0, 343, 124);
INSERT INTO public.who_data VALUES (81225, 0, 341, 0, 0, 343, 192);
INSERT INTO public.who_data VALUES (81226, 76, 8166, 3, 75, 343, 41);
INSERT INTO public.who_data VALUES (81227, 0, 8, 0, 0, 343, 95);
INSERT INTO public.who_data VALUES (81228, 3, 13, 0, 0, 343, 74);
INSERT INTO public.who_data VALUES (81229, 24, 113, 0, 0, 343, 11);
INSERT INTO public.who_data VALUES (81230, 0, 34, 0, 0, 343, 87);
INSERT INTO public.who_data VALUES (81231, 9, 9, 0, 0, 343, 214);
INSERT INTO public.who_data VALUES (81232, 0, 0, 0, 0, 343, 116);
INSERT INTO public.who_data VALUES (81233, 2, 3, 0, 0, 343, 157);
INSERT INTO public.who_data VALUES (81234, 0, 0, 0, 0, 343, 182);
INSERT INTO public.who_data VALUES (81235, 0, 0, 0, 0, 343, 186);
INSERT INTO public.who_data VALUES (81236, 6, 6, 0, 0, 343, 127);
INSERT INTO public.who_data VALUES (81237, 0, 6, 0, 0, 343, 232);
INSERT INTO public.who_data VALUES (81238, 0, 0, 0, 0, 343, 33);
INSERT INTO public.who_data VALUES (81239, 0, 1, 0, 0, 343, 97);
INSERT INTO public.who_data VALUES (81240, 0, 0, 0, 0, 343, 42);
INSERT INTO public.who_data VALUES (81241, 0, 77, 0, 5, 343, 198);
INSERT INTO public.who_data VALUES (81242, 0, 0, 0, 0, 343, 216);
INSERT INTO public.who_data VALUES (81243, 0, 107, 0, 0, 343, 164);
INSERT INTO public.who_data VALUES (81244, 5, 30, 0, 0, 343, 235);
INSERT INTO public.who_data VALUES (81245, 32, 46, 0, 0, 343, 67);
INSERT INTO public.who_data VALUES (81246, 6, 6, 0, 0, 343, 15);
INSERT INTO public.who_data VALUES (81247, 0, 0, 0, 0, 343, 180);
INSERT INTO public.who_data VALUES (81248, 14, 230, 0, 0, 343, 237);
INSERT INTO public.who_data VALUES (81249, 0, 0, 0, 0, 343, 25);
INSERT INTO public.who_data VALUES (81250, 0, 0, 0, 0, 343, 209);
INSERT INTO public.who_data VALUES (81251, 9, 30, 0, 0, 343, 217);
INSERT INTO public.who_data VALUES (81252, 46, 179, 0, 1, 343, 79);
INSERT INTO public.who_data VALUES (81253, 0, 0, 0, 0, 343, 143);
INSERT INTO public.who_data VALUES (81254, 0, 0, 0, 0, 343, 229);
INSERT INTO public.who_data VALUES (81255, 0, 42, 0, 0, 343, 141);
INSERT INTO public.who_data VALUES (81256, 0, 0, 0, 0, 343, 197);
INSERT INTO public.who_data VALUES (81257, 2178, 8548, 79, 243, 343, 221);
INSERT INTO public.who_data VALUES (81258, 5, 15, 0, 0, 343, 150);
INSERT INTO public.who_data VALUES (81259, 0, 1, 1, 1, 343, 56);
INSERT INTO public.who_data VALUES (81260, 5, 5, 0, 0, 343, 167);
INSERT INTO public.who_data VALUES (81261, 152, 923, 1, 2, 343, 23);
INSERT INTO public.who_data VALUES (81262, 416, 2370, 5, 20, 343, 222);
INSERT INTO public.who_data VALUES (81263, 0, 0, 0, 0, 343, 219);
INSERT INTO public.who_data VALUES (81264, 0, 0, 0, 0, 343, 7);
INSERT INTO public.who_data VALUES (81265, 39, 118, 0, 1, 343, 161);
INSERT INTO public.who_data VALUES (81266, 478, 2244, 19, 29, 343, 149);
INSERT INTO public.who_data VALUES (81267, 0, 0, 0, 0, 343, 6);
INSERT INTO public.who_data VALUES (81268, 0, 5, 0, 0, 343, 139);
INSERT INTO public.who_data VALUES (81269, 0, 0, 0, 0, 343, 211);
INSERT INTO public.who_data VALUES (81270, 0, 0, 0, 0, 343, 14);
INSERT INTO public.who_data VALUES (81271, 1, 6, 0, 0, 343, 111);
INSERT INTO public.who_data VALUES (81272, 2, 22, 0, 0, 343, 207);
INSERT INTO public.who_data VALUES (81273, 1, 6, 0, 0, 343, 66);
INSERT INTO public.who_data VALUES (81274, 0, 0, 0, 0, 343, 173);
INSERT INTO public.who_data VALUES (81275, 0, 0, 0, 0, 343, 145);
INSERT INTO public.who_data VALUES (81276, 0, 0, 0, 0, 343, 65);
INSERT INTO public.who_data VALUES (81277, 0, 0, 0, 0, 343, 184);
INSERT INTO public.who_data VALUES (81278, 0, 3, 0, 1, 343, 98);
INSERT INTO public.who_data VALUES (81279, 13, 102, 0, 0, 343, 104);
INSERT INTO public.who_data VALUES (81280, 0, 0, 0, 0, 343, 73);
INSERT INTO public.who_data VALUES (81281, 36, 1718, 0, 41, 343, 8);
INSERT INTO public.who_data VALUES (81282, 0, 5, 0, 0, 343, 227);
INSERT INTO public.who_data VALUES (81283, 8, 8, 0, 0, 343, 75);
INSERT INTO public.who_data VALUES (81284, 0, 0, 0, 0, 343, 45);
INSERT INTO public.who_data VALUES (81285, 0, 0, 0, 0, 343, 133);
INSERT INTO public.who_data VALUES (81286, 15, 21, 0, 0, 343, 202);
INSERT INTO public.who_data VALUES (81287, 5, 57, 0, 0, 343, 129);
INSERT INTO public.who_data VALUES (81288, 0, 0, 0, 0, 343, 36);
INSERT INTO public.who_data VALUES (81289, 0, 0, 0, 0, 343, 51);
INSERT INTO public.who_data VALUES (81290, 0, 0, 0, 0, 343, 206);
INSERT INTO public.who_data VALUES (81291, 0, 0, 0, 0, 343, 5);
INSERT INTO public.who_data VALUES (81292, 3, 14, 0, 0, 344, 103);
INSERT INTO public.who_data VALUES (81293, 0, 3, 0, 1, 344, 58);
INSERT INTO public.who_data VALUES (81294, 12, 41, 1, 2, 344, 195);
INSERT INTO public.who_data VALUES (81295, 0, 0, 0, 0, 344, 115);
INSERT INTO public.who_data VALUES (81296, 1, 2, 0, 0, 344, 99);
INSERT INTO public.who_data VALUES (81297, 0, 0, 0, 0, 344, 153);
INSERT INTO public.who_data VALUES (81298, 0, 0, 0, 0, 344, 93);
INSERT INTO public.who_data VALUES (81299, 0, 5, 0, 0, 344, 84);
INSERT INTO public.who_data VALUES (81300, 14, 49, 1, 2, 344, 78);
INSERT INTO public.who_data VALUES (81301, 7, 8, 0, 0, 344, 170);
INSERT INTO public.who_data VALUES (81302, 0, 0, 0, 0, 344, 32);
INSERT INTO public.who_data VALUES (81303, 8, 201, 0, 3, 344, 155);
INSERT INTO public.who_data VALUES (81304, 143, 504, 0, 1, 344, 82);
INSERT INTO public.who_data VALUES (81305, 0, 11, 0, 0, 344, 16);
INSERT INTO public.who_data VALUES (81306, 0, 0, 0, 0, 344, 72);
INSERT INTO public.who_data VALUES (81307, 16, 215, 0, 0, 344, 43);
INSERT INTO public.who_data VALUES (81308, 0, 7, 0, 0, 344, 120);
INSERT INTO public.who_data VALUES (81309, 0, 0, 0, 0, 344, 213);
INSERT INTO public.who_data VALUES (81310, 9, 21, 0, 0, 344, 31);
INSERT INTO public.who_data VALUES (81311, 338, 1463, 3, 8, 344, 204);
INSERT INTO public.who_data VALUES (81312, 0, 0, 0, 0, 344, 152);
INSERT INTO public.who_data VALUES (81313, 0, 0, 0, 0, 344, 144);
INSERT INTO public.who_data VALUES (81314, 0, 0, 0, 0, 344, 96);
INSERT INTO public.who_data VALUES (81315, 0, 1, 0, 0, 344, 47);
INSERT INTO public.who_data VALUES (81316, 0, 7, 0, 0, 344, 80);
INSERT INTO public.who_data VALUES (81317, 0, 0, 0, 0, 344, 159);
INSERT INTO public.who_data VALUES (81318, 8, 13, 0, 0, 344, 27);
INSERT INTO public.who_data VALUES (81319, 0, 0, 0, 0, 344, 146);
INSERT INTO public.who_data VALUES (81320, 23, 125, 0, 0, 344, 71);
INSERT INTO public.who_data VALUES (81321, 0, 0, 0, 0, 344, 210);
INSERT INTO public.who_data VALUES (81322, 13, 29, 0, 0, 344, 54);
INSERT INTO public.who_data VALUES (81323, 8, 31, 0, 1, 344, 147);
INSERT INTO public.who_data VALUES (81324, 1, 7, 0, 0, 344, 2);
INSERT INTO public.who_data VALUES (81325, 0, 0, 0, 0, 344, 105);
INSERT INTO public.who_data VALUES (81326, 0, 0, 0, 0, 344, 53);
INSERT INTO public.who_data VALUES (81327, 2, 11, 0, 0, 344, 81);
INSERT INTO public.who_data VALUES (81328, 1, 7, 0, 0, 344, 223);
INSERT INTO public.who_data VALUES (81329, 24, 180, 0, 1, 344, 94);
INSERT INTO public.who_data VALUES (81330, 0, 5, 0, 0, 344, 154);
INSERT INTO public.who_data VALUES (81331, 5, 5, 0, 0, 344, 83);
INSERT INTO public.who_data VALUES (81332, 0, 0, 0, 0, 344, 194);
INSERT INTO public.who_data VALUES (81333, 18, 65, 0, 0, 344, 136);
INSERT INTO public.who_data VALUES (81334, 30, 81025, 14, 3194, 344, 179);
INSERT INTO public.who_data VALUES (81335, 8, 28, 0, 0, 344, 57);
INSERT INTO public.who_data VALUES (81336, 0, 0, 0, 0, 344, 35);
INSERT INTO public.who_data VALUES (81337, 0, 0, 0, 0, 344, 228);
INSERT INTO public.who_data VALUES (81338, 0, 0, 0, 0, 344, 19);
INSERT INTO public.who_data VALUES (81339, 0, 27, 0, 0, 344, 22);
INSERT INTO public.who_data VALUES (81340, 2, 7, 0, 0, 344, 1);
INSERT INTO public.who_data VALUES (81341, 6, 31, 0, 0, 344, 21);
INSERT INTO public.who_data VALUES (81342, 0, 8, 0, 0, 344, 234);
INSERT INTO public.who_data VALUES (81343, 0, 5, 0, 0, 344, 91);
INSERT INTO public.who_data VALUES (81344, 8, 14, 0, 0, 344, 137);
INSERT INTO public.who_data VALUES (81345, 34, 150, 0, 0, 344, 201);
INSERT INTO public.who_data VALUES (81346, 0, 0, 0, 0, 344, 171);
INSERT INTO public.who_data VALUES (81347, 1, 6, 0, 0, 344, 92);
INSERT INTO public.who_data VALUES (81348, 128, 804, 0, 0, 344, 112);
INSERT INTO public.who_data VALUES (81349, 0, 0, 0, 0, 344, 62);
INSERT INTO public.who_data VALUES (81350, 0, 0, 0, 0, 344, 69);
INSERT INTO public.who_data VALUES (81351, 0, 9, 0, 0, 344, 220);
INSERT INTO public.who_data VALUES (81352, 0, 27, 0, 0, 344, 100);
INSERT INTO public.who_data VALUES (81353, 26, 97, 1, 2, 344, 187);
INSERT INTO public.who_data VALUES (81354, 0, 0, 0, 0, 344, 63);
INSERT INTO public.who_data VALUES (81355, 5, 5, 0, 0, 344, 28);
INSERT INTO public.who_data VALUES (81356, 0, 0, 0, 0, 344, 172);
INSERT INTO public.who_data VALUES (81357, 52, 79, 0, 0, 344, 17);
INSERT INTO public.who_data VALUES (81358, 5, 5, 0, 0, 344, 226);
INSERT INTO public.who_data VALUES (81359, 5, 5, 0, 0, 344, 236);
INSERT INTO public.who_data VALUES (81360, 0, 0, 0, 0, 344, 76);
INSERT INTO public.who_data VALUES (81361, 0, 3, 0, 0, 344, 30);
INSERT INTO public.who_data VALUES (81362, 0, 0, 0, 0, 344, 128);
INSERT INTO public.who_data VALUES (81363, 28, 183, 0, 0, 344, 86);
INSERT INTO public.who_data VALUES (81364, 763, 3611, 18, 79, 344, 140);
INSERT INTO public.who_data VALUES (81365, 1, 7, 0, 0, 344, 44);
INSERT INTO public.who_data VALUES (81366, 0, 1, 0, 0, 344, 113);
INSERT INTO public.who_data VALUES (81367, 1, 1, 0, 0, 344, 29);
INSERT INTO public.who_data VALUES (81368, 0, 0, 0, 0, 344, 125);
INSERT INTO public.who_data VALUES (81369, 0, 25, 0, 0, 344, 131);
INSERT INTO public.who_data VALUES (81370, 693, 3062, 0, 5, 344, 46);
INSERT INTO public.who_data VALUES (81371, 5, 5, 0, 0, 344, 10);
INSERT INTO public.who_data VALUES (81372, 0, 1, 0, 0, 344, 205);
INSERT INTO public.who_data VALUES (81373, 57, 190, 0, 1, 344, 50);
INSERT INTO public.who_data VALUES (81374, 0, 0, 0, 0, 344, 20);
INSERT INTO public.who_data VALUES (81375, 0, 0, 0, 0, 344, 13);
INSERT INTO public.who_data VALUES (81376, 7, 7, 0, 0, 344, 148);
INSERT INTO public.who_data VALUES (81377, 0, 0, 0, 0, 344, 230);
INSERT INTO public.who_data VALUES (81378, 0, 0, 0, 0, 344, 190);
INSERT INTO public.who_data VALUES (81379, 0, 1, 0, 0, 344, 188);
INSERT INTO public.who_data VALUES (81380, 5, 5, 0, 0, 344, 123);
INSERT INTO public.who_data VALUES (81381, 0, 0, 0, 0, 344, 9);
INSERT INTO public.who_data VALUES (81382, 0, 5, 0, 1, 344, 102);
INSERT INTO public.who_data VALUES (81383, 0, 0, 0, 0, 344, 34);
INSERT INTO public.who_data VALUES (81384, 0, 1, 0, 0, 344, 212);
INSERT INTO public.who_data VALUES (81385, 0, 6, 0, 0, 344, 122);
INSERT INTO public.who_data VALUES (81386, 9, 25, 0, 0, 344, 38);
INSERT INTO public.who_data VALUES (81387, 0, 117, 0, 0, 344, 130);
INSERT INTO public.who_data VALUES (81388, 3, 88, 1, 2, 344, 37);
INSERT INTO public.who_data VALUES (81389, 0, 73, 0, 4, 344, 231);
INSERT INTO public.who_data VALUES (81390, 1365, 12733, 94, 608, 344, 107);
INSERT INTO public.who_data VALUES (81391, 23, 97, 2, 9, 344, 101);
INSERT INTO public.who_data VALUES (81392, 21, 91, 0, 1, 344, 132);
INSERT INTO public.who_data VALUES (81393, 0, 0, 0, 0, 344, 176);
INSERT INTO public.who_data VALUES (81394, 22, 112, 0, 0, 344, 200);
INSERT INTO public.who_data VALUES (81395, 2547, 17660, 252, 1268, 344, 169);
INSERT INTO public.who_data VALUES (81396, 6, 12, 0, 0, 344, 225);
INSERT INTO public.who_data VALUES (81397, 105, 784, 3, 22, 344, 165);
INSERT INTO public.who_data VALUES (81398, 0, 2, 0, 0, 344, 233);
INSERT INTO public.who_data VALUES (81399, 0, 5, 0, 0, 344, 215);
INSERT INTO public.who_data VALUES (81400, 4, 6, 0, 0, 344, 177);
INSERT INTO public.who_data VALUES (81401, 5, 5, 0, 0, 344, 183);
INSERT INTO public.who_data VALUES (81402, 0, 0, 0, 0, 344, 203);
INSERT INTO public.who_data VALUES (81403, 0, 2, 0, 0, 344, 162);
INSERT INTO public.who_data VALUES (81404, 4, 108, 0, 0, 344, 12);
INSERT INTO public.who_data VALUES (81405, 0, 0, 0, 0, 344, 24);
INSERT INTO public.who_data VALUES (81406, 0, 0, 0, 0, 344, 119);
INSERT INTO public.who_data VALUES (81407, 3, 19, 0, 0, 344, 39);
INSERT INTO public.who_data VALUES (81408, 27, 97, 0, 3, 344, 26);
INSERT INTO public.who_data VALUES (81409, 0, 0, 0, 0, 344, 59);
INSERT INTO public.who_data VALUES (81410, 0, 0, 0, 0, 344, 77);
INSERT INTO public.who_data VALUES (81411, 0, 0, 0, 0, 344, 134);
INSERT INTO public.who_data VALUES (81412, 2, 7, 0, 0, 344, 4);
INSERT INTO public.who_data VALUES (81413, 2, 6, 0, 0, 344, 109);
INSERT INTO public.who_data VALUES (81414, 12, 38, 1, 1, 344, 90);
INSERT INTO public.who_data VALUES (81415, 0, 0, 0, 0, 344, 61);
INSERT INTO public.who_data VALUES (81416, 0, 0, 0, 0, 344, 85);
INSERT INTO public.who_data VALUES (81417, 68, 201, 0, 0, 344, 49);
INSERT INTO public.who_data VALUES (81418, 1, 13, 0, 0, 344, 208);
INSERT INTO public.who_data VALUES (81419, 0, 0, 0, 0, 344, 166);
INSERT INTO public.who_data VALUES (81420, 1, 8, 0, 0, 344, 64);
INSERT INTO public.who_data VALUES (81421, 0, 0, 0, 0, 344, 199);
INSERT INTO public.who_data VALUES (81422, 6, 14, 0, 0, 344, 114);
INSERT INTO public.who_data VALUES (81423, 5, 5, 0, 0, 344, 60);
INSERT INTO public.who_data VALUES (81424, 0, 0, 0, 0, 344, 68);
INSERT INTO public.who_data VALUES (81425, 5, 5, 0, 0, 344, 158);
INSERT INTO public.who_data VALUES (81426, 14, 30, 0, 0, 344, 52);
INSERT INTO public.who_data VALUES (81427, 0, 0, 0, 0, 344, 117);
INSERT INTO public.who_data VALUES (81428, 1, 3, 0, 0, 344, 126);
INSERT INTO public.who_data VALUES (81429, 0, 5, 0, 0, 344, 196);
INSERT INTO public.who_data VALUES (81430, 0, 0, 0, 0, 344, 142);
INSERT INTO public.who_data VALUES (81431, 0, 0, 0, 0, 344, 185);
INSERT INTO public.who_data VALUES (81432, 12, 22, 0, 1, 344, 138);
INSERT INTO public.who_data VALUES (81433, 0, 0, 0, 0, 344, 181);
INSERT INTO public.who_data VALUES (81434, 0, 0, 0, 0, 344, 178);
INSERT INTO public.who_data VALUES (81435, 6, 6, 0, 0, 344, 168);
INSERT INTO public.who_data VALUES (81436, 0, 0, 0, 0, 344, 160);
INSERT INTO public.who_data VALUES (81437, 0, 5, 0, 0, 344, 151);
INSERT INTO public.who_data VALUES (81438, 113, 717, 2, 6, 344, 193);
INSERT INTO public.who_data VALUES (81439, 0, 0, 0, 0, 344, 18);
INSERT INTO public.who_data VALUES (81440, 1, 10, 0, 0, 344, 40);
INSERT INTO public.who_data VALUES (81441, 0, 0, 0, 0, 344, 218);
INSERT INTO public.who_data VALUES (81442, 0, 0, 0, 0, 344, 191);
INSERT INTO public.who_data VALUES (81443, 0, 6, 0, 0, 344, 156);
INSERT INTO public.who_data VALUES (81444, 0, 0, 0, 0, 344, 135);
INSERT INTO public.who_data VALUES (81445, 0, 0, 0, 0, 344, 88);
INSERT INTO public.who_data VALUES (81446, 2, 9, 0, 0, 344, 55);
INSERT INTO public.who_data VALUES (81447, 0, 621, 0, 1, 344, 108);
INSERT INTO public.who_data VALUES (81448, 3, 42, 0, 0, 344, 48);
INSERT INTO public.who_data VALUES (81449, 2, 24, 0, 0, 344, 3);
INSERT INTO public.who_data VALUES (81450, 0, 701, 0, 7, 344, 224);
INSERT INTO public.who_data VALUES (81451, 8, 32, 0, 0, 344, 110);
INSERT INTO public.who_data VALUES (81452, 0, 0, 0, 0, 344, 106);
INSERT INTO public.who_data VALUES (81453, 13, 31, 0, 1, 344, 89);
INSERT INTO public.who_data VALUES (81454, 0, 0, 0, 0, 344, 121);
INSERT INTO public.who_data VALUES (81455, 1, 10, 0, 0, 344, 163);
INSERT INTO public.who_data VALUES (81456, 6, 32, 0, 0, 344, 70);
INSERT INTO public.who_data VALUES (81457, 12, 68, 0, 2, 344, 174);
INSERT INTO public.who_data VALUES (81458, 0, 0, 0, 0, 344, 175);
INSERT INTO public.who_data VALUES (81459, 19, 68, 1, 2, 344, 118);
INSERT INTO public.who_data VALUES (81460, 34, 112, 0, 0, 344, 189);
INSERT INTO public.who_data VALUES (81461, 7, 7, 0, 0, 344, 124);
INSERT INTO public.who_data VALUES (81462, 75, 341, 0, 0, 344, 192);
INSERT INTO public.who_data VALUES (81463, 107, 8090, 5, 72, 344, 41);
INSERT INTO public.who_data VALUES (81464, 4, 8, 0, 0, 344, 95);
INSERT INTO public.who_data VALUES (81465, 3, 10, 0, 0, 344, 74);
INSERT INTO public.who_data VALUES (81466, 25, 89, 0, 0, 344, 11);
INSERT INTO public.who_data VALUES (81467, 0, 34, 0, 0, 344, 87);
INSERT INTO public.who_data VALUES (81468, 0, 0, 0, 0, 344, 214);
INSERT INTO public.who_data VALUES (81469, 0, 0, 0, 0, 344, 116);
INSERT INTO public.who_data VALUES (81470, 0, 1, 0, 0, 344, 157);
INSERT INTO public.who_data VALUES (81471, 0, 0, 0, 0, 344, 182);
INSERT INTO public.who_data VALUES (81472, 0, 0, 0, 0, 344, 186);
INSERT INTO public.who_data VALUES (81473, 0, 0, 0, 0, 344, 127);
INSERT INTO public.who_data VALUES (81474, 0, 6, 0, 0, 344, 232);
INSERT INTO public.who_data VALUES (81475, 0, 0, 0, 0, 344, 33);
INSERT INTO public.who_data VALUES (81476, 0, 1, 0, 0, 344, 97);
INSERT INTO public.who_data VALUES (81477, 0, 0, 0, 0, 344, 42);
INSERT INTO public.who_data VALUES (81478, 13, 77, 0, 5, 344, 198);
INSERT INTO public.who_data VALUES (81479, 0, 0, 0, 0, 344, 216);
INSERT INTO public.who_data VALUES (81480, 82, 107, 0, 0, 344, 164);
INSERT INTO public.who_data VALUES (81481, 11, 25, 0, 0, 344, 235);
INSERT INTO public.who_data VALUES (81482, 2, 14, 0, 0, 344, 67);
INSERT INTO public.who_data VALUES (81483, 0, 0, 0, 0, 344, 15);
INSERT INTO public.who_data VALUES (81484, 0, 0, 0, 0, 344, 180);
INSERT INTO public.who_data VALUES (81485, 12, 216, 0, 0, 344, 237);
INSERT INTO public.who_data VALUES (81486, 0, 0, 0, 0, 344, 25);
INSERT INTO public.who_data VALUES (81487, 0, 0, 0, 0, 344, 209);
INSERT INTO public.who_data VALUES (81488, 11, 21, 0, 0, 344, 217);
INSERT INTO public.who_data VALUES (81489, 50, 133, 1, 1, 344, 79);
INSERT INTO public.who_data VALUES (81490, 0, 0, 0, 0, 344, 143);
INSERT INTO public.who_data VALUES (81491, 0, 0, 0, 0, 344, 229);
INSERT INTO public.who_data VALUES (81492, 21, 42, 0, 0, 344, 141);
INSERT INTO public.who_data VALUES (81493, 0, 0, 0, 0, 344, 197);
INSERT INTO public.who_data VALUES (81494, 1811, 6370, 59, 164, 344, 221);
INSERT INTO public.who_data VALUES (81495, 3, 10, 0, 0, 344, 150);
INSERT INTO public.who_data VALUES (81496, 1, 1, 0, 0, 344, 56);
INSERT INTO public.who_data VALUES (81497, 0, 0, 0, 0, 344, 167);
INSERT INTO public.who_data VALUES (81498, 151, 771, 0, 1, 344, 23);
INSERT INTO public.who_data VALUES (81499, 431, 1954, 3, 15, 344, 222);
INSERT INTO public.who_data VALUES (81500, 0, 0, 0, 0, 344, 219);
INSERT INTO public.who_data VALUES (81501, 0, 0, 0, 0, 344, 7);
INSERT INTO public.who_data VALUES (81502, 0, 79, 0, 1, 344, 161);
INSERT INTO public.who_data VALUES (81503, 484, 1766, 1, 10, 344, 149);
INSERT INTO public.who_data VALUES (81504, 0, 0, 0, 0, 344, 6);
INSERT INTO public.who_data VALUES (81505, 0, 5, 0, 0, 344, 139);
INSERT INTO public.who_data VALUES (81506, 0, 0, 0, 0, 344, 211);
INSERT INTO public.who_data VALUES (81507, 0, 0, 0, 0, 344, 14);
INSERT INTO public.who_data VALUES (81508, 0, 5, 0, 0, 344, 111);
INSERT INTO public.who_data VALUES (81509, 9, 20, 0, 0, 344, 207);
INSERT INTO public.who_data VALUES (81510, 4, 5, 0, 0, 344, 66);
INSERT INTO public.who_data VALUES (81511, 0, 0, 0, 0, 344, 173);
INSERT INTO public.who_data VALUES (81512, 0, 0, 0, 0, 344, 145);
INSERT INTO public.who_data VALUES (81513, 0, 0, 0, 0, 344, 65);
INSERT INTO public.who_data VALUES (81514, 0, 0, 0, 0, 344, 184);
INSERT INTO public.who_data VALUES (81515, 0, 3, 1, 1, 344, 98);
INSERT INTO public.who_data VALUES (81516, 0, 89, 0, 0, 344, 104);
INSERT INTO public.who_data VALUES (81517, 0, 0, 0, 0, 344, 73);
INSERT INTO public.who_data VALUES (81518, 414, 1682, 5, 41, 344, 8);
INSERT INTO public.who_data VALUES (81519, 0, 5, 0, 0, 344, 227);
INSERT INTO public.who_data VALUES (81520, 0, 0, 0, 0, 344, 75);
INSERT INTO public.who_data VALUES (81521, 0, 0, 0, 0, 344, 45);
INSERT INTO public.who_data VALUES (81522, 0, 0, 0, 0, 344, 133);
INSERT INTO public.who_data VALUES (81523, 6, 6, 0, 0, 344, 202);
INSERT INTO public.who_data VALUES (81524, 9, 52, 0, 0, 344, 129);
INSERT INTO public.who_data VALUES (81525, 0, 0, 0, 0, 344, 36);
INSERT INTO public.who_data VALUES (81526, 0, 0, 0, 0, 344, 51);
INSERT INTO public.who_data VALUES (81527, 0, 0, 0, 0, 344, 206);
INSERT INTO public.who_data VALUES (81528, 0, 0, 0, 0, 344, 5);
INSERT INTO public.who_data VALUES (81529, 0, 11, 0, 0, 345, 103);
INSERT INTO public.who_data VALUES (81530, 0, 3, 0, 1, 345, 58);
INSERT INTO public.who_data VALUES (81531, 0, 29, 0, 1, 345, 195);
INSERT INTO public.who_data VALUES (81532, 0, 0, 0, 0, 345, 115);
INSERT INTO public.who_data VALUES (81533, 0, 1, 0, 0, 345, 99);
INSERT INTO public.who_data VALUES (81534, 0, 0, 0, 0, 345, 153);
INSERT INTO public.who_data VALUES (81535, 0, 0, 0, 0, 345, 93);
INSERT INTO public.who_data VALUES (81536, 5, 5, 0, 0, 345, 84);
INSERT INTO public.who_data VALUES (81537, 12, 35, 0, 1, 345, 78);
INSERT INTO public.who_data VALUES (81538, 0, 1, 0, 0, 345, 170);
INSERT INTO public.who_data VALUES (81539, 0, 0, 0, 0, 345, 32);
INSERT INTO public.who_data VALUES (81540, 49, 193, 0, 3, 345, 155);
INSERT INTO public.who_data VALUES (81541, 115, 361, 1, 1, 345, 82);
INSERT INTO public.who_data VALUES (81542, 2, 11, 0, 0, 345, 16);
INSERT INTO public.who_data VALUES (81543, 0, 0, 0, 0, 345, 72);
INSERT INTO public.who_data VALUES (81544, 0, 199, 0, 0, 345, 43);
INSERT INTO public.who_data VALUES (81545, 0, 7, 0, 0, 345, 120);
INSERT INTO public.who_data VALUES (81546, 0, 0, 0, 0, 345, 213);
INSERT INTO public.who_data VALUES (81547, 0, 12, 0, 0, 345, 31);
INSERT INTO public.who_data VALUES (81548, 250, 1125, 1, 5, 345, 204);
INSERT INTO public.who_data VALUES (81549, 0, 0, 0, 0, 345, 152);
INSERT INTO public.who_data VALUES (81550, 0, 0, 0, 0, 345, 144);
INSERT INTO public.who_data VALUES (81551, 0, 0, 0, 0, 345, 96);
INSERT INTO public.who_data VALUES (81552, 0, 1, 0, 0, 345, 47);
INSERT INTO public.who_data VALUES (81553, 1, 7, 0, 0, 345, 80);
INSERT INTO public.who_data VALUES (81554, 0, 0, 0, 0, 345, 159);
INSERT INTO public.who_data VALUES (81555, 0, 5, 0, 0, 345, 27);
INSERT INTO public.who_data VALUES (81556, 0, 0, 0, 0, 345, 146);
INSERT INTO public.who_data VALUES (81557, 46, 102, 0, 0, 345, 71);
INSERT INTO public.who_data VALUES (81558, 0, 0, 0, 0, 345, 210);
INSERT INTO public.who_data VALUES (81559, 0, 16, 0, 0, 345, 54);
INSERT INTO public.who_data VALUES (81560, 16, 23, 0, 1, 345, 147);
INSERT INTO public.who_data VALUES (81561, 0, 6, 0, 0, 345, 2);
INSERT INTO public.who_data VALUES (81562, 0, 0, 0, 0, 345, 105);
INSERT INTO public.who_data VALUES (81563, 0, 0, 0, 0, 345, 53);
INSERT INTO public.who_data VALUES (81564, 0, 9, 0, 0, 345, 81);
INSERT INTO public.who_data VALUES (81565, 0, 6, 0, 0, 345, 223);
INSERT INTO public.who_data VALUES (81566, 59, 156, 0, 1, 345, 94);
INSERT INTO public.who_data VALUES (81567, 5, 5, 0, 0, 345, 154);
INSERT INTO public.who_data VALUES (81568, 0, 0, 0, 0, 345, 83);
INSERT INTO public.who_data VALUES (81569, 0, 0, 0, 0, 345, 194);
INSERT INTO public.who_data VALUES (81570, 20, 47, 0, 0, 345, 136);
INSERT INTO public.who_data VALUES (81571, 10, 80995, 7, 3180, 345, 179);
INSERT INTO public.who_data VALUES (81572, 7, 20, 0, 0, 345, 57);
INSERT INTO public.who_data VALUES (81573, 0, 0, 0, 0, 345, 35);
INSERT INTO public.who_data VALUES (81574, 0, 0, 0, 0, 345, 228);
INSERT INTO public.who_data VALUES (81575, 0, 0, 0, 0, 345, 19);
INSERT INTO public.who_data VALUES (81576, 10, 27, 0, 0, 345, 22);
INSERT INTO public.who_data VALUES (81577, 0, 5, 0, 0, 345, 1);
INSERT INTO public.who_data VALUES (81578, 9, 25, 0, 0, 345, 21);
INSERT INTO public.who_data VALUES (81579, 8, 8, 0, 0, 345, 234);
INSERT INTO public.who_data VALUES (81580, 5, 5, 0, 0, 345, 91);
INSERT INTO public.who_data VALUES (81581, 0, 6, 0, 0, 345, 137);
INSERT INTO public.who_data VALUES (81582, 22, 116, 0, 0, 345, 201);
INSERT INTO public.who_data VALUES (81583, 0, 0, 0, 0, 345, 171);
INSERT INTO public.who_data VALUES (81584, 0, 5, 0, 0, 345, 92);
INSERT INTO public.who_data VALUES (81585, 160, 676, 0, 0, 345, 112);
INSERT INTO public.who_data VALUES (81586, 0, 0, 0, 0, 345, 62);
INSERT INTO public.who_data VALUES (81587, 0, 0, 0, 0, 345, 69);
INSERT INTO public.who_data VALUES (81588, 0, 9, 0, 0, 345, 220);
INSERT INTO public.who_data VALUES (81589, 6, 27, 0, 0, 345, 100);
INSERT INTO public.who_data VALUES (81590, 0, 71, 0, 1, 345, 187);
INSERT INTO public.who_data VALUES (81591, 0, 0, 0, 0, 345, 63);
INSERT INTO public.who_data VALUES (81592, 0, 0, 0, 0, 345, 28);
INSERT INTO public.who_data VALUES (81593, 0, 0, 0, 0, 345, 172);
INSERT INTO public.who_data VALUES (81594, 11, 27, 0, 0, 345, 17);
INSERT INTO public.who_data VALUES (81595, 0, 0, 0, 0, 345, 226);
INSERT INTO public.who_data VALUES (81596, 0, 0, 0, 0, 345, 236);
INSERT INTO public.who_data VALUES (81597, 0, 0, 0, 0, 345, 76);
INSERT INTO public.who_data VALUES (81598, 0, 3, 0, 0, 345, 30);
INSERT INTO public.who_data VALUES (81599, 0, 0, 0, 0, 345, 128);
INSERT INTO public.who_data VALUES (81600, 96, 155, 0, 0, 345, 86);
INSERT INTO public.who_data VALUES (81601, 586, 2848, 13, 61, 345, 140);
INSERT INTO public.who_data VALUES (81602, 1, 6, 0, 0, 345, 44);
INSERT INTO public.who_data VALUES (81603, 0, 1, 0, 0, 345, 113);
INSERT INTO public.who_data VALUES (81604, 0, 0, 0, 0, 345, 29);
INSERT INTO public.who_data VALUES (81605, 0, 0, 0, 0, 345, 125);
INSERT INTO public.who_data VALUES (81606, 2, 25, 0, 0, 345, 131);
INSERT INTO public.who_data VALUES (81607, 802, 2369, 2, 5, 345, 46);
INSERT INTO public.who_data VALUES (81608, 0, 0, 0, 0, 345, 10);
INSERT INTO public.who_data VALUES (81609, 0, 1, 0, 0, 345, 205);
INSERT INTO public.who_data VALUES (81610, 34, 133, 0, 1, 345, 50);
INSERT INTO public.who_data VALUES (81611, 0, 0, 0, 0, 345, 20);
INSERT INTO public.who_data VALUES (81612, 0, 0, 0, 0, 345, 13);
INSERT INTO public.who_data VALUES (81613, 0, 0, 0, 0, 345, 148);
INSERT INTO public.who_data VALUES (81614, 0, 0, 0, 0, 345, 230);
INSERT INTO public.who_data VALUES (81615, 0, 0, 0, 0, 345, 190);
INSERT INTO public.who_data VALUES (81616, 0, 1, 0, 0, 345, 188);
INSERT INTO public.who_data VALUES (81617, 0, 0, 0, 0, 345, 123);
INSERT INTO public.who_data VALUES (81618, 0, 0, 0, 0, 345, 9);
INSERT INTO public.who_data VALUES (81619, 5, 5, 1, 1, 345, 102);
INSERT INTO public.who_data VALUES (81620, 0, 0, 0, 0, 345, 34);
INSERT INTO public.who_data VALUES (81621, 0, 1, 0, 0, 345, 212);
INSERT INTO public.who_data VALUES (81622, 0, 6, 0, 0, 345, 122);
INSERT INTO public.who_data VALUES (81623, 3, 16, 0, 0, 345, 38);
INSERT INTO public.who_data VALUES (81624, 32, 117, 0, 0, 345, 130);
INSERT INTO public.who_data VALUES (81625, 7, 85, 1, 1, 345, 37);
INSERT INTO public.who_data VALUES (81626, 35, 73, 3, 4, 345, 231);
INSERT INTO public.who_data VALUES (81627, 1289, 11368, 85, 514, 345, 107);
INSERT INTO public.who_data VALUES (81628, 0, 74, 0, 7, 345, 101);
INSERT INTO public.who_data VALUES (81629, 27, 70, 0, 1, 345, 132);
INSERT INTO public.who_data VALUES (81630, 0, 0, 0, 0, 345, 176);
INSERT INTO public.who_data VALUES (81631, 19, 90, 0, 0, 345, 200);
INSERT INTO public.who_data VALUES (81632, 2651, 15113, 189, 1016, 345, 169);
INSERT INTO public.who_data VALUES (81633, 1, 6, 0, 0, 345, 225);
INSERT INTO public.who_data VALUES (81634, 55, 679, 4, 19, 345, 165);
INSERT INTO public.who_data VALUES (81635, 0, 2, 0, 0, 345, 233);
INSERT INTO public.who_data VALUES (81636, 0, 5, 0, 0, 345, 215);
INSERT INTO public.who_data VALUES (81637, 2, 2, 0, 0, 345, 177);
INSERT INTO public.who_data VALUES (81638, 0, 0, 0, 0, 345, 183);
INSERT INTO public.who_data VALUES (81639, 0, 0, 0, 0, 345, 203);
INSERT INTO public.who_data VALUES (81640, 2, 2, 0, 0, 345, 162);
INSERT INTO public.who_data VALUES (81641, 20, 104, 0, 0, 345, 12);
INSERT INTO public.who_data VALUES (81642, 0, 0, 0, 0, 345, 24);
INSERT INTO public.who_data VALUES (81643, 0, 0, 0, 0, 345, 119);
INSERT INTO public.who_data VALUES (81644, 6, 16, 0, 0, 345, 39);
INSERT INTO public.who_data VALUES (81645, 0, 70, 0, 3, 345, 26);
INSERT INTO public.who_data VALUES (81646, 0, 0, 0, 0, 345, 59);
INSERT INTO public.who_data VALUES (81647, 0, 0, 0, 0, 345, 77);
INSERT INTO public.who_data VALUES (81648, 0, 0, 0, 0, 345, 134);
INSERT INTO public.who_data VALUES (81649, 1, 5, 0, 0, 345, 4);
INSERT INTO public.who_data VALUES (81650, 1, 4, 0, 0, 345, 109);
INSERT INTO public.who_data VALUES (81651, 19, 26, 0, 0, 345, 90);
INSERT INTO public.who_data VALUES (81652, 0, 0, 0, 0, 345, 61);
INSERT INTO public.who_data VALUES (81653, 0, 0, 0, 0, 345, 85);
INSERT INTO public.who_data VALUES (81654, 0, 133, 0, 0, 345, 49);
INSERT INTO public.who_data VALUES (81655, 0, 12, 0, 0, 345, 208);
INSERT INTO public.who_data VALUES (81656, 0, 0, 0, 0, 345, 166);
INSERT INTO public.who_data VALUES (81657, 1, 7, 0, 0, 345, 64);
INSERT INTO public.who_data VALUES (81658, 0, 0, 0, 0, 345, 199);
INSERT INTO public.who_data VALUES (81659, 1, 8, 0, 0, 345, 114);
INSERT INTO public.who_data VALUES (81660, 0, 0, 0, 0, 345, 60);
INSERT INTO public.who_data VALUES (81661, 0, 0, 0, 0, 345, 68);
INSERT INTO public.who_data VALUES (81662, 0, 0, 0, 0, 345, 158);
INSERT INTO public.who_data VALUES (81663, 1, 16, 0, 0, 345, 52);
INSERT INTO public.who_data VALUES (81664, 0, 0, 0, 0, 345, 117);
INSERT INTO public.who_data VALUES (81665, 0, 2, 0, 0, 345, 126);
INSERT INTO public.who_data VALUES (81666, 0, 5, 0, 0, 345, 196);
INSERT INTO public.who_data VALUES (81667, 0, 0, 0, 0, 345, 142);
INSERT INTO public.who_data VALUES (81668, 0, 0, 0, 0, 345, 185);
INSERT INTO public.who_data VALUES (81669, 0, 10, 0, 1, 345, 138);
INSERT INTO public.who_data VALUES (81670, 0, 0, 0, 0, 345, 181);
INSERT INTO public.who_data VALUES (81671, 0, 0, 0, 0, 345, 178);
INSERT INTO public.who_data VALUES (81672, 0, 0, 0, 0, 345, 168);
INSERT INTO public.who_data VALUES (81673, 0, 0, 0, 0, 345, 160);
INSERT INTO public.who_data VALUES (81674, 0, 5, 0, 0, 345, 151);
INSERT INTO public.who_data VALUES (81675, 127, 604, 0, 4, 345, 193);
INSERT INTO public.who_data VALUES (81676, 0, 0, 0, 0, 345, 18);
INSERT INTO public.who_data VALUES (81677, 0, 9, 0, 0, 345, 40);
INSERT INTO public.who_data VALUES (81678, 0, 0, 0, 0, 345, 218);
INSERT INTO public.who_data VALUES (81679, 0, 0, 0, 0, 345, 191);
INSERT INTO public.who_data VALUES (81680, 0, 6, 0, 0, 345, 156);
INSERT INTO public.who_data VALUES (81681, 0, 0, 0, 0, 345, 135);
INSERT INTO public.who_data VALUES (81682, 0, 0, 0, 0, 345, 88);
INSERT INTO public.who_data VALUES (81683, 0, 7, 0, 0, 345, 55);
INSERT INTO public.who_data VALUES (81684, 132, 621, 1, 1, 345, 108);
INSERT INTO public.who_data VALUES (81685, 4, 39, 0, 0, 345, 48);
INSERT INTO public.who_data VALUES (81686, 0, 22, 0, 0, 345, 3);
INSERT INTO public.who_data VALUES (81687, 1, 701, 0, 7, 345, 224);
INSERT INTO public.who_data VALUES (81688, 0, 24, 0, 0, 345, 110);
INSERT INTO public.who_data VALUES (81689, 0, 0, 0, 0, 345, 106);
INSERT INTO public.who_data VALUES (81690, 4, 18, 0, 1, 345, 89);
INSERT INTO public.who_data VALUES (81691, 0, 0, 0, 0, 345, 121);
INSERT INTO public.who_data VALUES (81692, 0, 9, 0, 0, 345, 163);
INSERT INTO public.who_data VALUES (81693, 5, 26, 0, 0, 345, 70);
INSERT INTO public.who_data VALUES (81694, 0, 56, 0, 2, 345, 174);
INSERT INTO public.who_data VALUES (81695, 0, 0, 0, 0, 345, 175);
INSERT INTO public.who_data VALUES (81696, 18, 49, 1, 1, 345, 118);
INSERT INTO public.who_data VALUES (81697, 19, 78, 0, 0, 345, 189);
INSERT INTO public.who_data VALUES (81698, 0, 0, 0, 0, 345, 124);
INSERT INTO public.who_data VALUES (81699, 0, 266, 0, 0, 345, 192);
INSERT INTO public.who_data VALUES (81700, 0, 7983, 1, 67, 345, 41);
INSERT INTO public.who_data VALUES (81701, 1, 4, 0, 0, 345, 95);
INSERT INTO public.who_data VALUES (81702, 7, 7, 0, 0, 345, 74);
INSERT INTO public.who_data VALUES (81703, 19, 64, 0, 0, 345, 11);
INSERT INTO public.who_data VALUES (81704, 14, 34, 0, 0, 345, 87);
INSERT INTO public.who_data VALUES (81705, 0, 0, 0, 0, 345, 214);
INSERT INTO public.who_data VALUES (81706, 0, 0, 0, 0, 345, 116);
INSERT INTO public.who_data VALUES (81707, 0, 1, 0, 0, 345, 157);
INSERT INTO public.who_data VALUES (81708, 0, 0, 0, 0, 345, 182);
INSERT INTO public.who_data VALUES (81709, 0, 0, 0, 0, 345, 186);
INSERT INTO public.who_data VALUES (81710, 0, 0, 0, 0, 345, 127);
INSERT INTO public.who_data VALUES (81711, 0, 6, 0, 0, 345, 232);
INSERT INTO public.who_data VALUES (81712, 0, 0, 0, 0, 345, 33);
INSERT INTO public.who_data VALUES (81713, 1, 1, 0, 0, 345, 97);
INSERT INTO public.who_data VALUES (81714, 0, 0, 0, 0, 345, 42);
INSERT INTO public.who_data VALUES (81715, 4, 64, 3, 5, 345, 198);
INSERT INTO public.who_data VALUES (81716, 0, 0, 0, 0, 345, 216);
INSERT INTO public.who_data VALUES (81717, 0, 25, 0, 0, 345, 164);
INSERT INTO public.who_data VALUES (81718, 0, 14, 0, 0, 345, 235);
INSERT INTO public.who_data VALUES (81719, 0, 12, 0, 0, 345, 67);
INSERT INTO public.who_data VALUES (81720, 0, 0, 0, 0, 345, 15);
INSERT INTO public.who_data VALUES (81721, 0, 0, 0, 0, 345, 180);
INSERT INTO public.who_data VALUES (81722, 13, 204, 0, 0, 345, 237);
INSERT INTO public.who_data VALUES (81723, 0, 0, 0, 0, 345, 25);
INSERT INTO public.who_data VALUES (81724, 0, 0, 0, 0, 345, 209);
INSERT INTO public.who_data VALUES (81725, 3, 10, 0, 0, 345, 217);
INSERT INTO public.who_data VALUES (81726, 35, 83, 0, 0, 345, 79);
INSERT INTO public.who_data VALUES (81727, 0, 0, 0, 0, 345, 143);
INSERT INTO public.who_data VALUES (81728, 0, 0, 0, 0, 345, 229);
INSERT INTO public.who_data VALUES (81729, 0, 21, 0, 0, 345, 141);
INSERT INTO public.who_data VALUES (81730, 0, 0, 0, 0, 345, 197);
INSERT INTO public.who_data VALUES (81731, 1346, 4559, 35, 105, 345, 221);
INSERT INTO public.who_data VALUES (81732, 0, 7, 0, 0, 345, 150);
INSERT INTO public.who_data VALUES (81733, 0, 0, 0, 0, 345, 56);
INSERT INTO public.who_data VALUES (81734, 0, 0, 0, 0, 345, 167);
INSERT INTO public.who_data VALUES (81735, 196, 620, 0, 1, 345, 23);
INSERT INTO public.who_data VALUES (81736, 356, 1523, 4, 12, 345, 222);
INSERT INTO public.who_data VALUES (81737, 0, 0, 0, 0, 345, 219);
INSERT INTO public.who_data VALUES (81738, 0, 0, 0, 0, 345, 7);
INSERT INTO public.who_data VALUES (81739, 5, 79, 0, 1, 345, 161);
INSERT INTO public.who_data VALUES (81740, 406, 1282, 2, 9, 345, 149);
INSERT INTO public.who_data VALUES (81741, 0, 0, 0, 0, 345, 6);
INSERT INTO public.who_data VALUES (81742, 0, 5, 0, 0, 345, 139);
INSERT INTO public.who_data VALUES (81743, 0, 0, 0, 0, 345, 211);
INSERT INTO public.who_data VALUES (81744, 0, 0, 0, 0, 345, 14);
INSERT INTO public.who_data VALUES (81745, 5, 5, 0, 0, 345, 111);
INSERT INTO public.who_data VALUES (81746, 0, 11, 0, 0, 345, 207);
INSERT INTO public.who_data VALUES (81747, 0, 1, 0, 0, 345, 66);
INSERT INTO public.who_data VALUES (81748, 0, 0, 0, 0, 345, 173);
INSERT INTO public.who_data VALUES (81749, 0, 0, 0, 0, 345, 145);
INSERT INTO public.who_data VALUES (81750, 0, 0, 0, 0, 345, 65);
INSERT INTO public.who_data VALUES (81751, 0, 0, 0, 0, 345, 184);
INSERT INTO public.who_data VALUES (81752, 2, 3, 0, 0, 345, 98);
INSERT INTO public.who_data VALUES (81753, 0, 89, 0, 0, 345, 104);
INSERT INTO public.who_data VALUES (81754, 0, 0, 0, 0, 345, 73);
INSERT INTO public.who_data VALUES (81755, 277, 1268, 7, 36, 345, 8);
INSERT INTO public.who_data VALUES (81756, 5, 5, 0, 0, 345, 227);
INSERT INTO public.who_data VALUES (81757, 0, 0, 0, 0, 345, 75);
INSERT INTO public.who_data VALUES (81758, 0, 0, 0, 0, 345, 45);
INSERT INTO public.who_data VALUES (81759, 0, 0, 0, 0, 345, 133);
INSERT INTO public.who_data VALUES (81760, 0, 0, 0, 0, 345, 202);
INSERT INTO public.who_data VALUES (81761, 0, 43, 0, 0, 345, 129);
INSERT INTO public.who_data VALUES (81762, 0, 0, 0, 0, 345, 36);
INSERT INTO public.who_data VALUES (81763, 0, 0, 0, 0, 345, 51);
INSERT INTO public.who_data VALUES (81764, 0, 0, 0, 0, 345, 206);
INSERT INTO public.who_data VALUES (81765, 0, 0, 0, 0, 345, 5);
INSERT INTO public.who_data VALUES (81766, 0, 11, 0, 0, 346, 103);
INSERT INTO public.who_data VALUES (81767, 1, 3, 1, 1, 346, 58);
INSERT INTO public.who_data VALUES (81768, 5, 29, 1, 1, 346, 195);
INSERT INTO public.who_data VALUES (81769, 0, 0, 0, 0, 346, 115);
INSERT INTO public.who_data VALUES (81770, 0, 1, 0, 0, 346, 99);
INSERT INTO public.who_data VALUES (81771, 0, 0, 0, 0, 346, 153);
INSERT INTO public.who_data VALUES (81772, 0, 0, 0, 0, 346, 93);
INSERT INTO public.who_data VALUES (81773, 0, 0, 0, 0, 346, 84);
INSERT INTO public.who_data VALUES (81774, 2, 23, 0, 1, 346, 78);
INSERT INTO public.who_data VALUES (81775, 0, 1, 0, 0, 346, 170);
INSERT INTO public.who_data VALUES (81776, 0, 0, 0, 0, 346, 32);
INSERT INTO public.who_data VALUES (81777, 18, 144, 0, 3, 346, 155);
INSERT INTO public.who_data VALUES (81778, 64, 246, 0, 0, 346, 82);
INSERT INTO public.who_data VALUES (81779, 0, 9, 0, 0, 346, 16);
INSERT INTO public.who_data VALUES (81780, 0, 0, 0, 0, 346, 72);
INSERT INTO public.who_data VALUES (81781, 6, 199, 0, 0, 346, 43);
INSERT INTO public.who_data VALUES (81782, 0, 7, 0, 0, 346, 120);
INSERT INTO public.who_data VALUES (81783, 0, 0, 0, 0, 346, 213);
INSERT INTO public.who_data VALUES (81784, 3, 12, 0, 0, 346, 31);
INSERT INTO public.who_data VALUES (81785, 275, 875, 3, 4, 346, 204);
INSERT INTO public.who_data VALUES (81786, 0, 0, 0, 0, 346, 152);
INSERT INTO public.who_data VALUES (81787, 0, 0, 0, 0, 346, 144);
INSERT INTO public.who_data VALUES (81788, 0, 0, 0, 0, 346, 96);
INSERT INTO public.who_data VALUES (81789, 0, 1, 0, 0, 346, 47);
INSERT INTO public.who_data VALUES (81790, 0, 6, 0, 0, 346, 80);
INSERT INTO public.who_data VALUES (81791, 0, 0, 0, 0, 346, 159);
INSERT INTO public.who_data VALUES (81792, 3, 5, 0, 0, 346, 27);
INSERT INTO public.who_data VALUES (81793, 0, 0, 0, 0, 346, 146);
INSERT INTO public.who_data VALUES (81794, 18, 56, 0, 0, 346, 71);
INSERT INTO public.who_data VALUES (81795, 0, 0, 0, 0, 346, 210);
INSERT INTO public.who_data VALUES (81796, 0, 16, 0, 0, 346, 54);
INSERT INTO public.who_data VALUES (81797, 3, 7, 1, 1, 346, 147);
INSERT INTO public.who_data VALUES (81798, 0, 6, 0, 0, 346, 2);
INSERT INTO public.who_data VALUES (81799, 0, 0, 0, 0, 346, 105);
INSERT INTO public.who_data VALUES (81800, 0, 0, 0, 0, 346, 53);
INSERT INTO public.who_data VALUES (81801, 2, 9, 0, 0, 346, 81);
INSERT INTO public.who_data VALUES (81802, 0, 6, 0, 0, 346, 223);
INSERT INTO public.who_data VALUES (81803, 0, 97, 0, 1, 346, 94);
INSERT INTO public.who_data VALUES (81804, 0, 0, 0, 0, 346, 154);
INSERT INTO public.who_data VALUES (81805, 0, 0, 0, 0, 346, 83);
INSERT INTO public.who_data VALUES (81806, 0, 0, 0, 0, 346, 194);
INSERT INTO public.who_data VALUES (81807, 6, 27, 0, 0, 346, 136);
INSERT INTO public.who_data VALUES (81808, 26, 80985, 11, 3173, 346, 179);
INSERT INTO public.who_data VALUES (81809, 6, 13, 0, 0, 346, 57);
INSERT INTO public.who_data VALUES (81810, 0, 0, 0, 0, 346, 35);
INSERT INTO public.who_data VALUES (81811, 0, 0, 0, 0, 346, 228);
INSERT INTO public.who_data VALUES (81812, 0, 0, 0, 0, 346, 19);
INSERT INTO public.who_data VALUES (81813, 0, 17, 0, 0, 346, 22);
INSERT INTO public.who_data VALUES (81814, 5, 5, 0, 0, 346, 1);
INSERT INTO public.who_data VALUES (81815, 3, 16, 0, 0, 346, 21);
INSERT INTO public.who_data VALUES (81816, 0, 0, 0, 0, 346, 234);
INSERT INTO public.who_data VALUES (81817, 0, 0, 0, 0, 346, 91);
INSERT INTO public.who_data VALUES (81818, 4, 6, 0, 0, 346, 137);
INSERT INTO public.who_data VALUES (81819, 31, 94, 0, 0, 346, 201);
INSERT INTO public.who_data VALUES (81820, 0, 0, 0, 0, 346, 171);
INSERT INTO public.who_data VALUES (81821, 0, 5, 0, 0, 346, 92);
INSERT INTO public.who_data VALUES (81822, 252, 516, 0, 0, 346, 112);
INSERT INTO public.who_data VALUES (81823, 0, 0, 0, 0, 346, 62);
INSERT INTO public.who_data VALUES (81824, 0, 0, 0, 0, 346, 69);
INSERT INTO public.who_data VALUES (81825, 0, 9, 0, 0, 346, 220);
INSERT INTO public.who_data VALUES (81826, 2, 21, 0, 0, 346, 100);
INSERT INTO public.who_data VALUES (81827, 0, 71, 0, 1, 346, 187);
INSERT INTO public.who_data VALUES (81828, 0, 0, 0, 0, 346, 63);
INSERT INTO public.who_data VALUES (81829, 0, 0, 0, 0, 346, 28);
INSERT INTO public.who_data VALUES (81830, 0, 0, 0, 0, 346, 172);
INSERT INTO public.who_data VALUES (81831, 3, 16, 0, 0, 346, 17);
INSERT INTO public.who_data VALUES (81832, 0, 0, 0, 0, 346, 226);
INSERT INTO public.who_data VALUES (81833, 0, 0, 0, 0, 346, 236);
INSERT INTO public.who_data VALUES (81834, 0, 0, 0, 0, 346, 76);
INSERT INTO public.who_data VALUES (81835, 0, 3, 0, 0, 346, 30);
INSERT INTO public.who_data VALUES (81836, 0, 0, 0, 0, 346, 128);
INSERT INTO public.who_data VALUES (81837, 19, 59, 0, 0, 346, 86);
INSERT INTO public.who_data VALUES (81838, 497, 2262, 15, 48, 346, 140);
INSERT INTO public.who_data VALUES (81839, 0, 5, 0, 0, 346, 44);
INSERT INTO public.who_data VALUES (81840, 1, 1, 0, 0, 346, 113);
INSERT INTO public.who_data VALUES (81841, 0, 0, 0, 0, 346, 29);
INSERT INTO public.who_data VALUES (81842, 0, 0, 0, 0, 346, 125);
INSERT INTO public.who_data VALUES (81843, 0, 23, 0, 0, 346, 131);
INSERT INTO public.who_data VALUES (81844, 271, 1567, 1, 3, 346, 46);
INSERT INTO public.who_data VALUES (81845, 0, 0, 0, 0, 346, 10);
INSERT INTO public.who_data VALUES (81846, 0, 1, 0, 0, 346, 205);
INSERT INTO public.who_data VALUES (81847, 9, 99, 1, 1, 346, 50);
INSERT INTO public.who_data VALUES (81848, 0, 0, 0, 0, 346, 20);
INSERT INTO public.who_data VALUES (81849, 0, 0, 0, 0, 346, 13);
INSERT INTO public.who_data VALUES (81850, 0, 0, 0, 0, 346, 148);
INSERT INTO public.who_data VALUES (81851, 0, 0, 0, 0, 346, 230);
INSERT INTO public.who_data VALUES (81852, 0, 0, 0, 0, 346, 190);
INSERT INTO public.who_data VALUES (81853, 0, 1, 0, 0, 346, 188);
INSERT INTO public.who_data VALUES (81854, 0, 0, 0, 0, 346, 123);
INSERT INTO public.who_data VALUES (81855, 0, 0, 0, 0, 346, 9);
INSERT INTO public.who_data VALUES (81856, 0, 0, 0, 0, 346, 102);
INSERT INTO public.who_data VALUES (81857, 0, 0, 0, 0, 346, 34);
INSERT INTO public.who_data VALUES (81858, 0, 1, 0, 0, 346, 212);
INSERT INTO public.who_data VALUES (81859, 6, 6, 0, 0, 346, 122);
INSERT INTO public.who_data VALUES (81860, 1, 13, 0, 0, 346, 38);
INSERT INTO public.who_data VALUES (81861, 15, 85, 0, 0, 346, 130);
INSERT INTO public.who_data VALUES (81862, 14, 78, 0, 0, 346, 37);
INSERT INTO public.who_data VALUES (81863, 7, 38, 0, 1, 346, 231);
INSERT INTO public.who_data VALUES (81864, 1075, 10079, 75, 429, 346, 107);
INSERT INTO public.who_data VALUES (81865, 0, 74, 0, 7, 346, 101);
INSERT INTO public.who_data VALUES (81866, 8, 43, 1, 1, 346, 132);
INSERT INTO public.who_data VALUES (81867, 0, 0, 0, 0, 346, 176);
INSERT INTO public.who_data VALUES (81868, 33, 71, 0, 0, 346, 200);
INSERT INTO public.who_data VALUES (81869, 2313, 12462, 196, 827, 346, 169);
INSERT INTO public.who_data VALUES (81870, 0, 5, 0, 0, 346, 225);
INSERT INTO public.who_data VALUES (81871, 52, 624, 3, 15, 346, 165);
INSERT INTO public.who_data VALUES (81872, 2, 2, 0, 0, 346, 233);
INSERT INTO public.who_data VALUES (81873, 0, 5, 0, 0, 346, 215);
INSERT INTO public.who_data VALUES (81874, 0, 0, 0, 0, 346, 177);
INSERT INTO public.who_data VALUES (81875, 0, 0, 0, 0, 346, 183);
INSERT INTO public.who_data VALUES (81876, 0, 0, 0, 0, 346, 203);
INSERT INTO public.who_data VALUES (81877, 0, 0, 0, 0, 346, 162);
INSERT INTO public.who_data VALUES (81878, 8, 84, 0, 0, 346, 12);
INSERT INTO public.who_data VALUES (81879, 0, 0, 0, 0, 346, 24);
INSERT INTO public.who_data VALUES (81880, 0, 0, 0, 0, 346, 119);
INSERT INTO public.who_data VALUES (81881, 2, 10, 0, 0, 346, 39);
INSERT INTO public.who_data VALUES (81882, 5, 70, 2, 3, 346, 26);
INSERT INTO public.who_data VALUES (81883, 0, 0, 0, 0, 346, 59);
INSERT INTO public.who_data VALUES (81884, 0, 0, 0, 0, 346, 77);
INSERT INTO public.who_data VALUES (81885, 0, 0, 0, 0, 346, 134);
INSERT INTO public.who_data VALUES (81886, 1, 4, 0, 0, 346, 4);
INSERT INTO public.who_data VALUES (81887, 0, 3, 0, 0, 346, 109);
INSERT INTO public.who_data VALUES (81888, 0, 7, 0, 0, 346, 90);
INSERT INTO public.who_data VALUES (81889, 0, 0, 0, 0, 346, 61);
INSERT INTO public.who_data VALUES (81890, 0, 0, 0, 0, 346, 85);
INSERT INTO public.who_data VALUES (81891, 0, 133, 0, 0, 346, 49);
INSERT INTO public.who_data VALUES (81892, 0, 12, 0, 0, 346, 208);
INSERT INTO public.who_data VALUES (81893, 0, 0, 0, 0, 346, 166);
INSERT INTO public.who_data VALUES (81894, 1, 6, 0, 0, 346, 64);
INSERT INTO public.who_data VALUES (81895, 0, 0, 0, 0, 346, 199);
INSERT INTO public.who_data VALUES (81896, 0, 7, 0, 0, 346, 114);
INSERT INTO public.who_data VALUES (81897, 0, 0, 0, 0, 346, 60);
INSERT INTO public.who_data VALUES (81898, 0, 0, 0, 0, 346, 68);
INSERT INTO public.who_data VALUES (81899, 0, 0, 0, 0, 346, 158);
INSERT INTO public.who_data VALUES (81900, 4, 15, 0, 0, 346, 52);
INSERT INTO public.who_data VALUES (81901, 0, 0, 0, 0, 346, 117);
INSERT INTO public.who_data VALUES (81902, 1, 2, 0, 0, 346, 126);
INSERT INTO public.who_data VALUES (81903, 0, 5, 0, 0, 346, 196);
INSERT INTO public.who_data VALUES (81904, 0, 0, 0, 0, 346, 142);
INSERT INTO public.who_data VALUES (81905, 0, 0, 0, 0, 346, 185);
INSERT INTO public.who_data VALUES (81906, 1, 10, 0, 1, 346, 138);
INSERT INTO public.who_data VALUES (81907, 0, 0, 0, 0, 346, 181);
INSERT INTO public.who_data VALUES (81908, 0, 0, 0, 0, 346, 178);
INSERT INTO public.who_data VALUES (81909, 0, 0, 0, 0, 346, 168);
INSERT INTO public.who_data VALUES (81910, 0, 0, 0, 0, 346, 160);
INSERT INTO public.who_data VALUES (81911, 0, 5, 0, 0, 346, 151);
INSERT INTO public.who_data VALUES (81912, 123, 477, 1, 4, 346, 193);
INSERT INTO public.who_data VALUES (81913, 0, 0, 0, 0, 346, 18);
INSERT INTO public.who_data VALUES (81914, 0, 9, 0, 0, 346, 40);
INSERT INTO public.who_data VALUES (81915, 0, 0, 0, 0, 346, 218);
INSERT INTO public.who_data VALUES (81916, 0, 0, 0, 0, 346, 191);
INSERT INTO public.who_data VALUES (81917, 0, 6, 0, 0, 346, 156);
INSERT INTO public.who_data VALUES (81918, 0, 0, 0, 0, 346, 135);
INSERT INTO public.who_data VALUES (81919, 0, 0, 0, 0, 346, 88);
INSERT INTO public.who_data VALUES (81920, 0, 7, 0, 0, 346, 55);
INSERT INTO public.who_data VALUES (81921, 212, 489, 0, 0, 346, 108);
INSERT INTO public.who_data VALUES (81922, 1, 35, 0, 0, 346, 48);
INSERT INTO public.who_data VALUES (81923, 0, 22, 0, 0, 346, 3);
INSERT INTO public.who_data VALUES (81924, 0, 700, 0, 7, 346, 224);
INSERT INTO public.who_data VALUES (81925, 1, 24, 0, 0, 346, 110);
INSERT INTO public.who_data VALUES (81926, 0, 0, 0, 0, 346, 106);
INSERT INTO public.who_data VALUES (81927, 2, 14, 0, 1, 346, 89);
INSERT INTO public.who_data VALUES (81928, 0, 0, 0, 0, 346, 121);
INSERT INTO public.who_data VALUES (81929, 0, 9, 0, 0, 346, 163);
INSERT INTO public.who_data VALUES (81930, 6, 21, 0, 0, 346, 70);
INSERT INTO public.who_data VALUES (81931, 3, 56, 1, 2, 346, 174);
INSERT INTO public.who_data VALUES (81932, 0, 0, 0, 0, 346, 175);
INSERT INTO public.who_data VALUES (81933, 9, 31, 0, 0, 346, 118);
INSERT INTO public.who_data VALUES (81934, 18, 59, 0, 0, 346, 189);
INSERT INTO public.who_data VALUES (81935, 0, 0, 0, 0, 346, 124);
INSERT INTO public.who_data VALUES (81936, 0, 266, 0, 0, 346, 192);
INSERT INTO public.who_data VALUES (81937, 224, 7983, 6, 66, 346, 41);
INSERT INTO public.who_data VALUES (81938, 0, 3, 0, 0, 346, 95);
INSERT INTO public.who_data VALUES (81939, 0, 0, 0, 0, 346, 74);
INSERT INTO public.who_data VALUES (81940, 20, 45, 0, 0, 346, 11);
INSERT INTO public.who_data VALUES (81941, 13, 20, 0, 0, 346, 87);
INSERT INTO public.who_data VALUES (81942, 0, 0, 0, 0, 346, 214);
INSERT INTO public.who_data VALUES (81943, 0, 0, 0, 0, 346, 116);
INSERT INTO public.who_data VALUES (81944, 0, 1, 0, 0, 346, 157);
INSERT INTO public.who_data VALUES (81945, 0, 0, 0, 0, 346, 182);
INSERT INTO public.who_data VALUES (81946, 0, 0, 0, 0, 346, 186);
INSERT INTO public.who_data VALUES (81947, 0, 0, 0, 0, 346, 127);
INSERT INTO public.who_data VALUES (81948, 0, 6, 0, 0, 346, 232);
INSERT INTO public.who_data VALUES (81949, 0, 0, 0, 0, 346, 33);
INSERT INTO public.who_data VALUES (81950, 0, 0, 0, 0, 346, 97);
INSERT INTO public.who_data VALUES (81951, 0, 0, 0, 0, 346, 42);
INSERT INTO public.who_data VALUES (81952, 0, 60, 0, 2, 346, 198);
INSERT INTO public.who_data VALUES (81953, 0, 0, 0, 0, 346, 216);
INSERT INTO public.who_data VALUES (81954, 0, 25, 0, 0, 346, 164);
INSERT INTO public.who_data VALUES (81955, 6, 14, 0, 0, 346, 235);
INSERT INTO public.who_data VALUES (81956, 8, 12, 0, 0, 346, 67);
INSERT INTO public.who_data VALUES (81957, 0, 0, 0, 0, 346, 15);
INSERT INTO public.who_data VALUES (81958, 0, 0, 0, 0, 346, 180);
INSERT INTO public.who_data VALUES (81959, 9, 191, 0, 0, 346, 237);
INSERT INTO public.who_data VALUES (81960, 0, 0, 0, 0, 346, 25);
INSERT INTO public.who_data VALUES (81961, 0, 0, 0, 0, 346, 209);
INSERT INTO public.who_data VALUES (81962, 2, 7, 0, 0, 346, 217);
INSERT INTO public.who_data VALUES (81963, 17, 48, 0, 0, 346, 79);
INSERT INTO public.who_data VALUES (81964, 0, 0, 0, 0, 346, 143);
INSERT INTO public.who_data VALUES (81965, 0, 0, 0, 0, 346, 229);
INSERT INTO public.who_data VALUES (81966, 10, 21, 0, 0, 346, 141);
INSERT INTO public.who_data VALUES (81967, 0, 0, 0, 0, 346, 197);
INSERT INTO public.who_data VALUES (81968, 1036, 3213, 28, 70, 346, 221);
INSERT INTO public.who_data VALUES (81969, 1, 7, 0, 0, 346, 150);
INSERT INTO public.who_data VALUES (81970, 0, 0, 0, 0, 346, 56);
INSERT INTO public.who_data VALUES (81971, 0, 0, 0, 0, 346, 167);
INSERT INTO public.who_data VALUES (81972, 98, 424, 1, 1, 346, 23);
INSERT INTO public.who_data VALUES (81973, 333, 1167, 3, 8, 346, 222);
INSERT INTO public.who_data VALUES (81974, 0, 0, 0, 0, 346, 219);
INSERT INTO public.who_data VALUES (81975, 0, 0, 0, 0, 346, 7);
INSERT INTO public.who_data VALUES (81976, 11, 74, 0, 1, 346, 161);
INSERT INTO public.who_data VALUES (81977, 259, 876, 0, 7, 346, 149);
INSERT INTO public.who_data VALUES (81978, 0, 0, 0, 0, 346, 6);
INSERT INTO public.who_data VALUES (81979, 0, 5, 0, 0, 346, 139);
INSERT INTO public.who_data VALUES (81980, 0, 0, 0, 0, 346, 211);
INSERT INTO public.who_data VALUES (81981, 0, 0, 0, 0, 346, 14);
INSERT INTO public.who_data VALUES (81982, 0, 0, 0, 0, 346, 111);
INSERT INTO public.who_data VALUES (81983, 1, 11, 0, 0, 346, 207);
INSERT INTO public.who_data VALUES (81984, 0, 1, 0, 0, 346, 66);
INSERT INTO public.who_data VALUES (81985, 0, 0, 0, 0, 346, 173);
INSERT INTO public.who_data VALUES (81986, 0, 0, 0, 0, 346, 145);
INSERT INTO public.who_data VALUES (81987, 0, 0, 0, 0, 346, 65);
INSERT INTO public.who_data VALUES (81988, 0, 0, 0, 0, 346, 184);
INSERT INTO public.who_data VALUES (81989, 0, 1, 0, 0, 346, 98);
INSERT INTO public.who_data VALUES (81990, 11, 89, 0, 0, 346, 104);
INSERT INTO public.who_data VALUES (81991, 0, 0, 0, 0, 346, 73);
INSERT INTO public.who_data VALUES (81992, 291, 991, 4, 29, 346, 8);
INSERT INTO public.who_data VALUES (81993, 0, 0, 0, 0, 346, 227);
INSERT INTO public.who_data VALUES (81994, 0, 0, 0, 0, 346, 75);
INSERT INTO public.who_data VALUES (81995, 0, 0, 0, 0, 346, 45);
INSERT INTO public.who_data VALUES (81996, 0, 0, 0, 0, 346, 133);
INSERT INTO public.who_data VALUES (81997, 0, 0, 0, 0, 346, 202);
INSERT INTO public.who_data VALUES (81998, 4, 43, 0, 0, 346, 129);
INSERT INTO public.who_data VALUES (81999, 0, 0, 0, 0, 346, 36);
INSERT INTO public.who_data VALUES (82000, 0, 0, 0, 0, 346, 51);
INSERT INTO public.who_data VALUES (82001, 0, 0, 0, 0, 346, 206);
INSERT INTO public.who_data VALUES (82002, 0, 0, 0, 0, 346, 5);
INSERT INTO public.who_data VALUES (82003, 3, 11, 0, 0, 347, 103);
INSERT INTO public.who_data VALUES (82004, 0, 2, 0, 0, 347, 58);
INSERT INTO public.who_data VALUES (82005, 0, 24, 0, 0, 347, 195);
INSERT INTO public.who_data VALUES (82006, 0, 0, 0, 0, 347, 115);
INSERT INTO public.who_data VALUES (82007, 0, 1, 0, 0, 347, 99);
INSERT INTO public.who_data VALUES (82008, 0, 0, 0, 0, 347, 153);
INSERT INTO public.who_data VALUES (82009, 0, 0, 0, 0, 347, 93);
INSERT INTO public.who_data VALUES (82010, 0, 0, 0, 0, 347, 84);
INSERT INTO public.who_data VALUES (82011, 5, 21, 0, 1, 347, 78);
INSERT INTO public.who_data VALUES (82012, 0, 1, 0, 0, 347, 170);
INSERT INTO public.who_data VALUES (82013, 0, 0, 0, 0, 347, 32);
INSERT INTO public.who_data VALUES (82014, 30, 126, 0, 3, 347, 155);
INSERT INTO public.who_data VALUES (82015, 51, 182, 0, 0, 347, 82);
INSERT INTO public.who_data VALUES (82016, 0, 9, 0, 0, 347, 16);
INSERT INTO public.who_data VALUES (82017, 0, 0, 0, 0, 347, 72);
INSERT INTO public.who_data VALUES (82018, 79, 193, 0, 0, 347, 43);
INSERT INTO public.who_data VALUES (82019, 0, 7, 0, 0, 347, 120);
INSERT INTO public.who_data VALUES (82020, 0, 0, 0, 0, 347, 213);
INSERT INTO public.who_data VALUES (82021, 3, 9, 0, 0, 347, 31);
INSERT INTO public.who_data VALUES (82022, 99, 600, 0, 1, 347, 204);
INSERT INTO public.who_data VALUES (82023, 0, 0, 0, 0, 347, 152);
INSERT INTO public.who_data VALUES (82024, 0, 0, 0, 0, 347, 144);
INSERT INTO public.who_data VALUES (82025, 0, 0, 0, 0, 347, 96);
INSERT INTO public.who_data VALUES (82026, 0, 1, 0, 0, 347, 47);
INSERT INTO public.who_data VALUES (82027, 6, 6, 0, 0, 347, 80);
INSERT INTO public.who_data VALUES (82028, 0, 0, 0, 0, 347, 159);
INSERT INTO public.who_data VALUES (82029, 0, 2, 0, 0, 347, 27);
INSERT INTO public.who_data VALUES (82030, 0, 0, 0, 0, 347, 146);
INSERT INTO public.who_data VALUES (82031, 9, 38, 0, 0, 347, 71);
INSERT INTO public.who_data VALUES (82032, 0, 0, 0, 0, 347, 210);
INSERT INTO public.who_data VALUES (82033, 11, 16, 0, 0, 347, 54);
INSERT INTO public.who_data VALUES (82034, 0, 4, 0, 0, 347, 147);
INSERT INTO public.who_data VALUES (82035, 6, 6, 0, 0, 347, 2);
INSERT INTO public.who_data VALUES (82036, 0, 0, 0, 0, 347, 105);
INSERT INTO public.who_data VALUES (82037, 0, 0, 0, 0, 347, 53);
INSERT INTO public.who_data VALUES (82038, 0, 7, 0, 0, 347, 81);
INSERT INTO public.who_data VALUES (82039, 0, 6, 0, 0, 347, 223);
INSERT INTO public.who_data VALUES (82040, 16, 97, 1, 1, 347, 94);
INSERT INTO public.who_data VALUES (82041, 0, 0, 0, 0, 347, 154);
INSERT INTO public.who_data VALUES (82042, 0, 0, 0, 0, 347, 83);
INSERT INTO public.who_data VALUES (82043, 0, 0, 0, 0, 347, 194);
INSERT INTO public.who_data VALUES (82044, 4, 21, 0, 0, 347, 136);
INSERT INTO public.who_data VALUES (82045, 31, 80959, 22, 3162, 347, 179);
INSERT INTO public.who_data VALUES (82046, 0, 7, 0, 0, 347, 57);
INSERT INTO public.who_data VALUES (82047, 0, 0, 0, 0, 347, 35);
INSERT INTO public.who_data VALUES (82048, 0, 0, 0, 0, 347, 228);
INSERT INTO public.who_data VALUES (82049, 0, 0, 0, 0, 347, 19);
INSERT INTO public.who_data VALUES (82050, 4, 17, 0, 0, 347, 22);
INSERT INTO public.who_data VALUES (82051, 0, 0, 0, 0, 347, 1);
INSERT INTO public.who_data VALUES (82052, 1, 13, 0, 0, 347, 21);
INSERT INTO public.who_data VALUES (82053, 0, 0, 0, 0, 347, 234);
INSERT INTO public.who_data VALUES (82054, 0, 0, 0, 0, 347, 91);
INSERT INTO public.who_data VALUES (82055, 0, 2, 0, 0, 347, 137);
INSERT INTO public.who_data VALUES (82056, 23, 63, 0, 0, 347, 201);
INSERT INTO public.who_data VALUES (82057, 0, 0, 0, 0, 347, 171);
INSERT INTO public.who_data VALUES (82058, 5, 5, 0, 0, 347, 92);
INSERT INTO public.who_data VALUES (82059, 151, 264, 0, 0, 347, 112);
INSERT INTO public.who_data VALUES (82060, 0, 0, 0, 0, 347, 62);
INSERT INTO public.who_data VALUES (82061, 0, 0, 0, 0, 347, 69);
INSERT INTO public.who_data VALUES (82062, 0, 9, 0, 0, 347, 220);
INSERT INTO public.who_data VALUES (82063, 0, 19, 0, 0, 347, 100);
INSERT INTO public.who_data VALUES (82064, 8, 71, 0, 1, 347, 187);
INSERT INTO public.who_data VALUES (82065, 0, 0, 0, 0, 347, 63);
INSERT INTO public.who_data VALUES (82066, 0, 0, 0, 0, 347, 28);
INSERT INTO public.who_data VALUES (82067, 0, 0, 0, 0, 347, 172);
INSERT INTO public.who_data VALUES (82068, 3, 13, 0, 0, 347, 17);
INSERT INTO public.who_data VALUES (82069, 0, 0, 0, 0, 347, 226);
INSERT INTO public.who_data VALUES (82070, 0, 0, 0, 0, 347, 236);
INSERT INTO public.who_data VALUES (82071, 0, 0, 0, 0, 347, 76);
INSERT INTO public.who_data VALUES (82072, 0, 3, 0, 0, 347, 30);
INSERT INTO public.who_data VALUES (82073, 0, 0, 0, 0, 347, 128);
INSERT INTO public.who_data VALUES (82074, 0, 40, 0, 0, 347, 86);
INSERT INTO public.who_data VALUES (82075, 371, 1765, 3, 33, 347, 140);
INSERT INTO public.who_data VALUES (82076, 0, 5, 0, 0, 347, 44);
INSERT INTO public.who_data VALUES (82077, 0, 0, 0, 0, 347, 113);
INSERT INTO public.who_data VALUES (82078, 0, 0, 0, 0, 347, 29);
INSERT INTO public.who_data VALUES (82079, 0, 0, 0, 0, 347, 125);
INSERT INTO public.who_data VALUES (82080, 8, 23, 0, 0, 347, 131);
INSERT INTO public.who_data VALUES (82081, 157, 1296, 0, 2, 347, 46);
INSERT INTO public.who_data VALUES (82082, 0, 0, 0, 0, 347, 10);
INSERT INTO public.who_data VALUES (82083, 0, 1, 0, 0, 347, 205);
INSERT INTO public.who_data VALUES (82084, 6, 90, 0, 0, 347, 50);
INSERT INTO public.who_data VALUES (82085, 0, 0, 0, 0, 347, 20);
INSERT INTO public.who_data VALUES (82086, 0, 0, 0, 0, 347, 13);
INSERT INTO public.who_data VALUES (82087, 0, 0, 0, 0, 347, 148);
INSERT INTO public.who_data VALUES (82088, 0, 0, 0, 0, 347, 230);
INSERT INTO public.who_data VALUES (82089, 0, 0, 0, 0, 347, 190);
INSERT INTO public.who_data VALUES (82090, 0, 1, 0, 0, 347, 188);
INSERT INTO public.who_data VALUES (82091, 0, 0, 0, 0, 347, 123);
INSERT INTO public.who_data VALUES (82092, 0, 0, 0, 0, 347, 9);
INSERT INTO public.who_data VALUES (82093, 0, 0, 0, 0, 347, 102);
INSERT INTO public.who_data VALUES (82094, 0, 0, 0, 0, 347, 34);
INSERT INTO public.who_data VALUES (82095, 0, 1, 0, 0, 347, 212);
INSERT INTO public.who_data VALUES (82096, 0, 0, 0, 0, 347, 122);
INSERT INTO public.who_data VALUES (82097, 3, 12, 0, 0, 347, 38);
INSERT INTO public.who_data VALUES (82098, 5, 70, 0, 0, 347, 130);
INSERT INTO public.who_data VALUES (82099, 10, 64, 0, 0, 347, 37);
INSERT INTO public.who_data VALUES (82100, 8, 31, 1, 1, 347, 231);
INSERT INTO public.who_data VALUES (82101, 958, 9004, 63, 354, 347, 107);
INSERT INTO public.who_data VALUES (82102, 9, 74, 1, 7, 347, 101);
INSERT INTO public.who_data VALUES (82103, 14, 35, 0, 0, 347, 132);
INSERT INTO public.who_data VALUES (82104, 0, 0, 0, 0, 347, 176);
INSERT INTO public.who_data VALUES (82105, 4, 38, 0, 0, 347, 200);
INSERT INTO public.who_data VALUES (82106, 977, 10149, 167, 631, 347, 169);
INSERT INTO public.who_data VALUES (82107, 0, 5, 0, 0, 347, 225);
INSERT INTO public.who_data VALUES (82108, 54, 572, 3, 12, 347, 165);
INSERT INTO public.who_data VALUES (82109, 0, 0, 0, 0, 347, 233);
INSERT INTO public.who_data VALUES (82110, 0, 5, 0, 0, 347, 215);
INSERT INTO public.who_data VALUES (82111, 0, 0, 0, 0, 347, 177);
INSERT INTO public.who_data VALUES (82112, 0, 0, 0, 0, 347, 183);
INSERT INTO public.who_data VALUES (82113, 0, 0, 0, 0, 347, 203);
INSERT INTO public.who_data VALUES (82114, 0, 0, 0, 0, 347, 162);
INSERT INTO public.who_data VALUES (82115, 3, 76, 0, 0, 347, 12);
INSERT INTO public.who_data VALUES (82116, 0, 0, 0, 0, 347, 24);
INSERT INTO public.who_data VALUES (82117, 0, 0, 0, 0, 347, 119);
INSERT INTO public.who_data VALUES (82118, 2, 8, 0, 0, 347, 39);
INSERT INTO public.who_data VALUES (82119, 29, 65, 1, 1, 347, 26);
INSERT INTO public.who_data VALUES (82120, 0, 0, 0, 0, 347, 59);
INSERT INTO public.who_data VALUES (82121, 0, 0, 0, 0, 347, 77);
INSERT INTO public.who_data VALUES (82122, 0, 0, 0, 0, 347, 134);
INSERT INTO public.who_data VALUES (82123, 2, 3, 0, 0, 347, 4);
INSERT INTO public.who_data VALUES (82124, 2, 3, 0, 0, 347, 109);
INSERT INTO public.who_data VALUES (82125, 2, 7, 0, 0, 347, 90);
INSERT INTO public.who_data VALUES (82126, 0, 0, 0, 0, 347, 61);
INSERT INTO public.who_data VALUES (82127, 0, 0, 0, 0, 347, 85);
INSERT INTO public.who_data VALUES (82128, 12, 133, 0, 0, 347, 49);
INSERT INTO public.who_data VALUES (82129, 2, 12, 0, 0, 347, 208);
INSERT INTO public.who_data VALUES (82130, 0, 0, 0, 0, 347, 166);
INSERT INTO public.who_data VALUES (82131, 2, 5, 0, 0, 347, 64);
INSERT INTO public.who_data VALUES (82132, 0, 0, 0, 0, 347, 199);
INSERT INTO public.who_data VALUES (82133, 1, 7, 0, 0, 347, 114);
INSERT INTO public.who_data VALUES (82134, 0, 0, 0, 0, 347, 60);
INSERT INTO public.who_data VALUES (82135, 0, 0, 0, 0, 347, 68);
INSERT INTO public.who_data VALUES (82136, 0, 0, 0, 0, 347, 158);
INSERT INTO public.who_data VALUES (82137, 0, 11, 0, 0, 347, 52);
INSERT INTO public.who_data VALUES (82138, 0, 0, 0, 0, 347, 117);
INSERT INTO public.who_data VALUES (82139, 0, 1, 0, 0, 347, 126);
INSERT INTO public.who_data VALUES (82140, 0, 5, 0, 0, 347, 196);
INSERT INTO public.who_data VALUES (82141, 0, 0, 0, 0, 347, 142);
INSERT INTO public.who_data VALUES (82142, 0, 0, 0, 0, 347, 185);
INSERT INTO public.who_data VALUES (82143, 2, 9, 0, 1, 347, 138);
INSERT INTO public.who_data VALUES (82144, 0, 0, 0, 0, 347, 181);
INSERT INTO public.who_data VALUES (82145, 0, 0, 0, 0, 347, 178);
INSERT INTO public.who_data VALUES (82146, 0, 0, 0, 0, 347, 168);
INSERT INTO public.who_data VALUES (82147, 0, 0, 0, 0, 347, 160);
INSERT INTO public.who_data VALUES (82148, 0, 5, 0, 0, 347, 151);
INSERT INTO public.who_data VALUES (82149, 130, 354, 0, 3, 347, 193);
INSERT INTO public.who_data VALUES (82150, 0, 0, 0, 0, 347, 18);
INSERT INTO public.who_data VALUES (82151, 0, 9, 0, 0, 347, 40);
INSERT INTO public.who_data VALUES (82152, 0, 0, 0, 0, 347, 218);
INSERT INTO public.who_data VALUES (82153, 0, 0, 0, 0, 347, 191);
INSERT INTO public.who_data VALUES (82154, 0, 6, 0, 0, 347, 156);
INSERT INTO public.who_data VALUES (82155, 0, 0, 0, 0, 347, 135);
INSERT INTO public.who_data VALUES (82156, 0, 0, 0, 0, 347, 88);
INSERT INTO public.who_data VALUES (82157, 3, 7, 0, 0, 347, 55);
INSERT INTO public.who_data VALUES (82158, 85, 277, 0, 0, 347, 108);
INSERT INTO public.who_data VALUES (82159, 1, 34, 0, 0, 347, 48);
INSERT INTO public.who_data VALUES (82160, 0, 22, 0, 0, 347, 3);
INSERT INTO public.who_data VALUES (82161, 0, 700, 0, 7, 347, 224);
INSERT INTO public.who_data VALUES (82162, 3, 23, 0, 0, 347, 110);
INSERT INTO public.who_data VALUES (82163, 0, 0, 0, 0, 347, 106);
INSERT INTO public.who_data VALUES (82164, 7, 12, 1, 1, 347, 89);
INSERT INTO public.who_data VALUES (82165, 0, 0, 0, 0, 347, 121);
INSERT INTO public.who_data VALUES (82166, 4, 9, 0, 0, 347, 163);
INSERT INTO public.who_data VALUES (82167, 2, 15, 0, 0, 347, 70);
INSERT INTO public.who_data VALUES (82168, 16, 53, 0, 1, 347, 174);
INSERT INTO public.who_data VALUES (82169, 0, 0, 0, 0, 347, 175);
INSERT INTO public.who_data VALUES (82170, 5, 22, 0, 0, 347, 118);
INSERT INTO public.who_data VALUES (82171, 2, 41, 0, 0, 347, 189);
INSERT INTO public.who_data VALUES (82172, 0, 0, 0, 0, 347, 124);
INSERT INTO public.who_data VALUES (82173, 244, 266, 0, 0, 347, 192);
INSERT INTO public.who_data VALUES (82174, 242, 7759, 6, 60, 347, 41);
INSERT INTO public.who_data VALUES (82175, 2, 3, 0, 0, 347, 95);
INSERT INTO public.who_data VALUES (82176, 0, 0, 0, 0, 347, 74);
INSERT INTO public.who_data VALUES (82177, 8, 25, 0, 0, 347, 11);
INSERT INTO public.who_data VALUES (82178, 0, 7, 0, 0, 347, 87);
INSERT INTO public.who_data VALUES (82179, 0, 0, 0, 0, 347, 214);
INSERT INTO public.who_data VALUES (82180, 0, 0, 0, 0, 347, 116);
INSERT INTO public.who_data VALUES (82181, 0, 1, 0, 0, 347, 157);
INSERT INTO public.who_data VALUES (82182, 0, 0, 0, 0, 347, 182);
INSERT INTO public.who_data VALUES (82183, 0, 0, 0, 0, 347, 186);
INSERT INTO public.who_data VALUES (82184, 0, 0, 0, 0, 347, 127);
INSERT INTO public.who_data VALUES (82185, 0, 6, 0, 0, 347, 232);
INSERT INTO public.who_data VALUES (82186, 0, 0, 0, 0, 347, 33);
INSERT INTO public.who_data VALUES (82187, 0, 0, 0, 0, 347, 97);
INSERT INTO public.who_data VALUES (82188, 0, 0, 0, 0, 347, 42);
INSERT INTO public.who_data VALUES (82189, 11, 60, 0, 2, 347, 198);
INSERT INTO public.who_data VALUES (82190, 0, 0, 0, 0, 347, 216);
INSERT INTO public.who_data VALUES (82191, 1, 25, 0, 0, 347, 164);
INSERT INTO public.who_data VALUES (82192, 0, 8, 0, 0, 347, 235);
INSERT INTO public.who_data VALUES (82193, 2, 4, 0, 0, 347, 67);
INSERT INTO public.who_data VALUES (82194, 0, 0, 0, 0, 347, 15);
INSERT INTO public.who_data VALUES (82195, 0, 0, 0, 0, 347, 180);
INSERT INTO public.who_data VALUES (82196, 12, 182, 0, 0, 347, 237);
INSERT INTO public.who_data VALUES (82197, 0, 0, 0, 0, 347, 25);
INSERT INTO public.who_data VALUES (82198, 0, 0, 0, 0, 347, 209);
INSERT INTO public.who_data VALUES (82199, 0, 5, 0, 0, 347, 217);
INSERT INTO public.who_data VALUES (82200, 11, 31, 0, 0, 347, 79);
INSERT INTO public.who_data VALUES (82201, 0, 0, 0, 0, 347, 143);
INSERT INTO public.who_data VALUES (82202, 0, 0, 0, 0, 347, 229);
INSERT INTO public.who_data VALUES (82203, 0, 11, 0, 0, 347, 141);
INSERT INTO public.who_data VALUES (82204, 0, 0, 0, 0, 347, 197);
INSERT INTO public.who_data VALUES (82205, 650, 2177, 17, 42, 347, 221);
INSERT INTO public.who_data VALUES (82206, 1, 6, 0, 0, 347, 150);
INSERT INTO public.who_data VALUES (82207, 0, 0, 0, 0, 347, 56);
INSERT INTO public.who_data VALUES (82208, 0, 0, 0, 0, 347, 167);
INSERT INTO public.who_data VALUES (82209, 101, 326, 0, 0, 347, 23);
INSERT INTO public.who_data VALUES (82210, 210, 834, 2, 5, 347, 222);
INSERT INTO public.who_data VALUES (82211, 0, 0, 0, 0, 347, 219);
INSERT INTO public.who_data VALUES (82212, 0, 0, 0, 0, 347, 7);
INSERT INTO public.who_data VALUES (82213, 6, 63, 0, 1, 347, 161);
INSERT INTO public.who_data VALUES (82214, 148, 617, 4, 7, 347, 149);
INSERT INTO public.who_data VALUES (82215, 0, 0, 0, 0, 347, 6);
INSERT INTO public.who_data VALUES (82216, 0, 5, 0, 0, 347, 139);
INSERT INTO public.who_data VALUES (82217, 0, 0, 0, 0, 347, 211);
INSERT INTO public.who_data VALUES (82218, 0, 0, 0, 0, 347, 14);
INSERT INTO public.who_data VALUES (82219, 0, 0, 0, 0, 347, 111);
INSERT INTO public.who_data VALUES (82220, 0, 10, 0, 0, 347, 207);
INSERT INTO public.who_data VALUES (82221, 1, 1, 0, 0, 347, 66);
INSERT INTO public.who_data VALUES (82222, 0, 0, 0, 0, 347, 173);
INSERT INTO public.who_data VALUES (82223, 0, 0, 0, 0, 347, 145);
INSERT INTO public.who_data VALUES (82224, 0, 0, 0, 0, 347, 65);
INSERT INTO public.who_data VALUES (82225, 0, 0, 0, 0, 347, 184);
INSERT INTO public.who_data VALUES (82226, 0, 1, 0, 0, 347, 98);
INSERT INTO public.who_data VALUES (82227, 0, 78, 0, 0, 347, 104);
INSERT INTO public.who_data VALUES (82228, 0, 0, 0, 0, 347, 73);
INSERT INTO public.who_data VALUES (82229, 0, 700, 0, 25, 347, 8);
INSERT INTO public.who_data VALUES (82230, 0, 0, 0, 0, 347, 227);
INSERT INTO public.who_data VALUES (82231, 0, 0, 0, 0, 347, 75);
INSERT INTO public.who_data VALUES (82232, 0, 0, 0, 0, 347, 45);
INSERT INTO public.who_data VALUES (82233, 0, 0, 0, 0, 347, 133);
INSERT INTO public.who_data VALUES (82234, 0, 0, 0, 0, 347, 202);
INSERT INTO public.who_data VALUES (82235, 4, 39, 0, 0, 347, 129);
INSERT INTO public.who_data VALUES (82236, 0, 0, 0, 0, 347, 36);
INSERT INTO public.who_data VALUES (82237, 0, 0, 0, 0, 347, 51);
INSERT INTO public.who_data VALUES (82238, 0, 0, 0, 0, 347, 206);
INSERT INTO public.who_data VALUES (82239, 0, 0, 0, 0, 347, 5);
INSERT INTO public.who_data VALUES (82240, 0, 8, 0, 0, 348, 103);
INSERT INTO public.who_data VALUES (82241, 0, 2, 0, 0, 348, 58);
INSERT INTO public.who_data VALUES (82242, 0, 24, 0, 0, 348, 195);
INSERT INTO public.who_data VALUES (82243, 0, 0, 0, 0, 348, 115);
INSERT INTO public.who_data VALUES (82244, 0, 1, 0, 0, 348, 99);
INSERT INTO public.who_data VALUES (82245, 0, 0, 0, 0, 348, 153);
INSERT INTO public.who_data VALUES (82246, 0, 0, 0, 0, 348, 93);
INSERT INTO public.who_data VALUES (82247, 0, 0, 0, 0, 348, 84);
INSERT INTO public.who_data VALUES (82248, 0, 16, 0, 1, 348, 78);
INSERT INTO public.who_data VALUES (82249, 0, 1, 0, 0, 348, 170);
INSERT INTO public.who_data VALUES (82250, 0, 0, 0, 0, 348, 32);
INSERT INTO public.who_data VALUES (82251, 0, 96, 0, 3, 348, 155);
INSERT INTO public.who_data VALUES (82252, 29, 131, 0, 0, 348, 82);
INSERT INTO public.who_data VALUES (82253, 0, 9, 0, 0, 348, 16);
INSERT INTO public.who_data VALUES (82254, 0, 0, 0, 0, 348, 72);
INSERT INTO public.who_data VALUES (82255, 15, 114, 0, 0, 348, 43);
INSERT INTO public.who_data VALUES (82256, 0, 7, 0, 0, 348, 120);
INSERT INTO public.who_data VALUES (82257, 0, 0, 0, 0, 348, 213);
INSERT INTO public.who_data VALUES (82258, 0, 6, 0, 0, 348, 31);
INSERT INTO public.who_data VALUES (82259, 94, 501, 1, 1, 348, 204);
INSERT INTO public.who_data VALUES (82260, 0, 0, 0, 0, 348, 152);
INSERT INTO public.who_data VALUES (82261, 0, 0, 0, 0, 348, 144);
INSERT INTO public.who_data VALUES (82262, 0, 0, 0, 0, 348, 96);
INSERT INTO public.who_data VALUES (82263, 0, 1, 0, 0, 348, 47);
INSERT INTO public.who_data VALUES (82264, 0, 0, 0, 0, 348, 80);
INSERT INTO public.who_data VALUES (82265, 0, 0, 0, 0, 348, 159);
INSERT INTO public.who_data VALUES (82266, 0, 2, 0, 0, 348, 27);
INSERT INTO public.who_data VALUES (82267, 0, 0, 0, 0, 348, 146);
INSERT INTO public.who_data VALUES (82268, 0, 29, 0, 0, 348, 71);
INSERT INTO public.who_data VALUES (82269, 0, 0, 0, 0, 348, 210);
INSERT INTO public.who_data VALUES (82270, 5, 5, 0, 0, 348, 54);
INSERT INTO public.who_data VALUES (82271, 0, 4, 0, 0, 348, 147);
INSERT INTO public.who_data VALUES (82272, 0, 0, 0, 0, 348, 2);
INSERT INTO public.who_data VALUES (82273, 0, 0, 0, 0, 348, 105);
INSERT INTO public.who_data VALUES (82274, 0, 0, 0, 0, 348, 53);
INSERT INTO public.who_data VALUES (82275, 1, 7, 0, 0, 348, 81);
INSERT INTO public.who_data VALUES (82276, 0, 6, 0, 0, 348, 223);
INSERT INTO public.who_data VALUES (82277, 5, 81, 0, 0, 348, 94);
INSERT INTO public.who_data VALUES (82278, 0, 0, 0, 0, 348, 154);
INSERT INTO public.who_data VALUES (82279, 0, 0, 0, 0, 348, 83);
INSERT INTO public.who_data VALUES (82280, 0, 0, 0, 0, 348, 194);
INSERT INTO public.who_data VALUES (82281, 3, 17, 0, 0, 348, 136);
INSERT INTO public.who_data VALUES (82282, 20, 80928, 17, 3140, 348, 179);
INSERT INTO public.who_data VALUES (82283, 2, 7, 0, 0, 348, 57);
INSERT INTO public.who_data VALUES (82284, 0, 0, 0, 0, 348, 35);
INSERT INTO public.who_data VALUES (82285, 0, 0, 0, 0, 348, 228);
INSERT INTO public.who_data VALUES (82286, 0, 0, 0, 0, 348, 19);
INSERT INTO public.who_data VALUES (82287, 0, 13, 0, 0, 348, 22);
INSERT INTO public.who_data VALUES (82288, 0, 0, 0, 0, 348, 1);
INSERT INTO public.who_data VALUES (82289, 0, 12, 0, 0, 348, 21);
INSERT INTO public.who_data VALUES (82290, 0, 0, 0, 0, 348, 234);
INSERT INTO public.who_data VALUES (82291, 0, 0, 0, 0, 348, 91);
INSERT INTO public.who_data VALUES (82292, 2, 2, 0, 0, 348, 137);
INSERT INTO public.who_data VALUES (82293, 8, 40, 0, 0, 348, 201);
INSERT INTO public.who_data VALUES (82294, 0, 0, 0, 0, 348, 171);
INSERT INTO public.who_data VALUES (82295, 0, 0, 0, 0, 348, 92);
INSERT INTO public.who_data VALUES (82296, 75, 113, 0, 0, 348, 112);
INSERT INTO public.who_data VALUES (82297, 0, 0, 0, 0, 348, 62);
INSERT INTO public.who_data VALUES (82298, 0, 0, 0, 0, 348, 69);
INSERT INTO public.who_data VALUES (82299, 4, 9, 0, 0, 348, 220);
INSERT INTO public.who_data VALUES (82300, 0, 19, 0, 0, 348, 100);
INSERT INTO public.who_data VALUES (82301, 0, 63, 0, 1, 348, 187);
INSERT INTO public.who_data VALUES (82302, 0, 0, 0, 0, 348, 63);
INSERT INTO public.who_data VALUES (82303, 0, 0, 0, 0, 348, 28);
INSERT INTO public.who_data VALUES (82304, 0, 0, 0, 0, 348, 172);
INSERT INTO public.who_data VALUES (82305, 0, 10, 0, 0, 348, 17);
INSERT INTO public.who_data VALUES (82306, 0, 0, 0, 0, 348, 226);
INSERT INTO public.who_data VALUES (82307, 0, 0, 0, 0, 348, 236);
INSERT INTO public.who_data VALUES (82308, 0, 0, 0, 0, 348, 76);
INSERT INTO public.who_data VALUES (82309, 0, 3, 0, 0, 348, 30);
INSERT INTO public.who_data VALUES (82310, 0, 0, 0, 0, 348, 128);
INSERT INTO public.who_data VALUES (82311, 10, 40, 0, 0, 348, 86);
INSERT INTO public.who_data VALUES (82312, 286, 1394, 11, 30, 348, 140);
INSERT INTO public.who_data VALUES (82313, 0, 5, 0, 0, 348, 44);
INSERT INTO public.who_data VALUES (82314, 0, 0, 0, 0, 348, 113);
INSERT INTO public.who_data VALUES (82315, 0, 0, 0, 0, 348, 29);
INSERT INTO public.who_data VALUES (82316, 0, 0, 0, 0, 348, 125);
INSERT INTO public.who_data VALUES (82317, 2, 15, 0, 0, 348, 131);
INSERT INTO public.who_data VALUES (82318, 237, 1139, 2, 2, 348, 46);
INSERT INTO public.who_data VALUES (82319, 0, 0, 0, 0, 348, 10);
INSERT INTO public.who_data VALUES (82320, 0, 1, 0, 0, 348, 205);
INSERT INTO public.who_data VALUES (82321, 11, 84, 0, 0, 348, 50);
INSERT INTO public.who_data VALUES (82322, 0, 0, 0, 0, 348, 20);
INSERT INTO public.who_data VALUES (82323, 0, 0, 0, 0, 348, 13);
INSERT INTO public.who_data VALUES (82324, 0, 0, 0, 0, 348, 148);
INSERT INTO public.who_data VALUES (82325, 0, 0, 0, 0, 348, 230);
INSERT INTO public.who_data VALUES (82326, 0, 0, 0, 0, 348, 190);
INSERT INTO public.who_data VALUES (82327, 0, 1, 0, 0, 348, 188);
INSERT INTO public.who_data VALUES (82328, 0, 0, 0, 0, 348, 123);
INSERT INTO public.who_data VALUES (82329, 0, 0, 0, 0, 348, 9);
INSERT INTO public.who_data VALUES (82330, 0, 0, 0, 0, 348, 102);
INSERT INTO public.who_data VALUES (82331, 0, 0, 0, 0, 348, 34);
INSERT INTO public.who_data VALUES (82332, 0, 1, 0, 0, 348, 212);
INSERT INTO public.who_data VALUES (82333, 0, 0, 0, 0, 348, 122);
INSERT INTO public.who_data VALUES (82334, 1, 9, 0, 0, 348, 38);
INSERT INTO public.who_data VALUES (82335, 10, 65, 0, 0, 348, 130);
INSERT INTO public.who_data VALUES (82336, 6, 54, 0, 0, 348, 37);
INSERT INTO public.who_data VALUES (82337, 13, 23, 0, 0, 348, 231);
INSERT INTO public.who_data VALUES (82338, 881, 8046, 54, 291, 348, 107);
INSERT INTO public.who_data VALUES (82339, 1, 65, 2, 6, 348, 101);
INSERT INTO public.who_data VALUES (82340, 0, 21, 0, 0, 348, 132);
INSERT INTO public.who_data VALUES (82341, 0, 0, 0, 0, 348, 176);
INSERT INTO public.who_data VALUES (82342, 9, 34, 0, 0, 348, 200);
INSERT INTO public.who_data VALUES (82343, 1797, 9172, 98, 464, 348, 169);
INSERT INTO public.who_data VALUES (82344, 5, 5, 0, 0, 348, 225);
INSERT INTO public.who_data VALUES (82345, 0, 518, 0, 9, 348, 165);
INSERT INTO public.who_data VALUES (82346, 0, 0, 0, 0, 348, 233);
INSERT INTO public.who_data VALUES (82347, 0, 5, 0, 0, 348, 215);
INSERT INTO public.who_data VALUES (82348, 0, 0, 0, 0, 348, 177);
INSERT INTO public.who_data VALUES (82349, 0, 0, 0, 0, 348, 183);
INSERT INTO public.who_data VALUES (82350, 0, 0, 0, 0, 348, 203);
INSERT INTO public.who_data VALUES (82351, 0, 0, 0, 0, 348, 162);
INSERT INTO public.who_data VALUES (82352, 5, 73, 0, 0, 348, 12);
INSERT INTO public.who_data VALUES (82353, 0, 0, 0, 0, 348, 24);
INSERT INTO public.who_data VALUES (82354, 0, 0, 0, 0, 348, 119);
INSERT INTO public.who_data VALUES (82355, 3, 6, 0, 0, 348, 39);
INSERT INTO public.who_data VALUES (82356, 0, 36, 0, 0, 348, 26);
INSERT INTO public.who_data VALUES (82357, 0, 0, 0, 0, 348, 59);
INSERT INTO public.who_data VALUES (82358, 0, 0, 0, 0, 348, 77);
INSERT INTO public.who_data VALUES (82359, 0, 0, 0, 0, 348, 134);
INSERT INTO public.who_data VALUES (82360, 0, 1, 0, 0, 348, 4);
INSERT INTO public.who_data VALUES (82361, 0, 1, 0, 0, 348, 109);
INSERT INTO public.who_data VALUES (82362, 0, 5, 0, 0, 348, 90);
INSERT INTO public.who_data VALUES (82363, 0, 0, 0, 0, 348, 61);
INSERT INTO public.who_data VALUES (82364, 0, 0, 0, 0, 348, 85);
INSERT INTO public.who_data VALUES (82365, 0, 121, 0, 0, 348, 49);
INSERT INTO public.who_data VALUES (82366, 2, 10, 0, 0, 348, 208);
INSERT INTO public.who_data VALUES (82367, 0, 0, 0, 0, 348, 166);
INSERT INTO public.who_data VALUES (82368, 0, 3, 0, 0, 348, 64);
INSERT INTO public.who_data VALUES (82369, 0, 0, 0, 0, 348, 199);
INSERT INTO public.who_data VALUES (82370, 0, 6, 0, 0, 348, 114);
INSERT INTO public.who_data VALUES (82371, 0, 0, 0, 0, 348, 60);
INSERT INTO public.who_data VALUES (82372, 0, 0, 0, 0, 348, 68);
INSERT INTO public.who_data VALUES (82373, 0, 0, 0, 0, 348, 158);
INSERT INTO public.who_data VALUES (82374, 0, 11, 0, 0, 348, 52);
INSERT INTO public.who_data VALUES (82375, 0, 0, 0, 0, 348, 117);
INSERT INTO public.who_data VALUES (82376, 0, 1, 0, 0, 348, 126);
INSERT INTO public.who_data VALUES (82377, 5, 5, 0, 0, 348, 196);
INSERT INTO public.who_data VALUES (82378, 0, 0, 0, 0, 348, 142);
INSERT INTO public.who_data VALUES (82379, 0, 0, 0, 0, 348, 185);
INSERT INTO public.who_data VALUES (82380, 1, 7, 1, 1, 348, 138);
INSERT INTO public.who_data VALUES (82381, 0, 0, 0, 0, 348, 181);
INSERT INTO public.who_data VALUES (82382, 0, 0, 0, 0, 348, 178);
INSERT INTO public.who_data VALUES (82383, 0, 0, 0, 0, 348, 168);
INSERT INTO public.who_data VALUES (82384, 0, 0, 0, 0, 348, 160);
INSERT INTO public.who_data VALUES (82385, 0, 5, 0, 0, 348, 151);
INSERT INTO public.who_data VALUES (82386, 61, 224, 1, 3, 348, 193);
INSERT INTO public.who_data VALUES (82387, 0, 0, 0, 0, 348, 18);
INSERT INTO public.who_data VALUES (82388, 0, 9, 0, 0, 348, 40);
INSERT INTO public.who_data VALUES (82389, 0, 0, 0, 0, 348, 218);
INSERT INTO public.who_data VALUES (82390, 0, 0, 0, 0, 348, 191);
INSERT INTO public.who_data VALUES (82391, 0, 6, 0, 0, 348, 156);
INSERT INTO public.who_data VALUES (82392, 0, 0, 0, 0, 348, 135);
INSERT INTO public.who_data VALUES (82393, 0, 0, 0, 0, 348, 88);
INSERT INTO public.who_data VALUES (82394, 1, 4, 0, 0, 348, 55);
INSERT INTO public.who_data VALUES (82395, 23, 192, 0, 0, 348, 108);
INSERT INTO public.who_data VALUES (82396, 4, 33, 0, 0, 348, 48);
INSERT INTO public.who_data VALUES (82397, 2, 22, 0, 0, 348, 3);
INSERT INTO public.who_data VALUES (82398, 0, 700, 0, 7, 348, 224);
INSERT INTO public.who_data VALUES (82399, 10, 20, 0, 0, 348, 110);
INSERT INTO public.who_data VALUES (82400, 0, 0, 0, 0, 348, 106);
INSERT INTO public.who_data VALUES (82401, 5, 5, 0, 0, 348, 89);
INSERT INTO public.who_data VALUES (82402, 0, 0, 0, 0, 348, 121);
INSERT INTO public.who_data VALUES (82403, 0, 5, 0, 0, 348, 163);
INSERT INTO public.who_data VALUES (82404, 2, 13, 0, 0, 348, 70);
INSERT INTO public.who_data VALUES (82405, 9, 37, 0, 1, 348, 174);
INSERT INTO public.who_data VALUES (82406, 0, 0, 0, 0, 348, 175);
INSERT INTO public.who_data VALUES (82407, 6, 17, 0, 0, 348, 118);
INSERT INTO public.who_data VALUES (82408, 9, 39, 0, 0, 348, 189);
INSERT INTO public.who_data VALUES (82409, 0, 0, 0, 0, 348, 124);
INSERT INTO public.who_data VALUES (82410, 3, 22, 0, 0, 348, 192);
INSERT INTO public.who_data VALUES (82411, 131, 7517, 3, 54, 348, 41);
INSERT INTO public.who_data VALUES (82412, 0, 1, 0, 0, 348, 95);
INSERT INTO public.who_data VALUES (82413, 0, 0, 0, 0, 348, 74);
INSERT INTO public.who_data VALUES (82414, 2, 17, 0, 0, 348, 11);
INSERT INTO public.who_data VALUES (82415, 0, 7, 0, 0, 348, 87);
INSERT INTO public.who_data VALUES (82416, 0, 0, 0, 0, 348, 214);
INSERT INTO public.who_data VALUES (82417, 0, 0, 0, 0, 348, 116);
INSERT INTO public.who_data VALUES (82418, 0, 1, 0, 0, 348, 157);
INSERT INTO public.who_data VALUES (82419, 0, 0, 0, 0, 348, 182);
INSERT INTO public.who_data VALUES (82420, 0, 0, 0, 0, 348, 186);
INSERT INTO public.who_data VALUES (82421, 0, 0, 0, 0, 348, 127);
INSERT INTO public.who_data VALUES (82422, 0, 6, 0, 0, 348, 232);
INSERT INTO public.who_data VALUES (82423, 0, 0, 0, 0, 348, 33);
INSERT INTO public.who_data VALUES (82424, 0, 0, 0, 0, 348, 97);
INSERT INTO public.who_data VALUES (82425, 0, 0, 0, 0, 348, 42);
INSERT INTO public.who_data VALUES (82426, 12, 49, 1, 2, 348, 198);
INSERT INTO public.who_data VALUES (82427, 0, 0, 0, 0, 348, 216);
INSERT INTO public.who_data VALUES (82428, 5, 24, 0, 0, 348, 164);
INSERT INTO public.who_data VALUES (82429, 0, 8, 0, 0, 348, 235);
INSERT INTO public.who_data VALUES (82430, 1, 2, 0, 0, 348, 67);
INSERT INTO public.who_data VALUES (82431, 0, 0, 0, 0, 348, 15);
INSERT INTO public.who_data VALUES (82432, 0, 0, 0, 0, 348, 180);
INSERT INTO public.who_data VALUES (82433, 6, 170, 0, 0, 348, 237);
INSERT INTO public.who_data VALUES (82434, 0, 0, 0, 0, 348, 25);
INSERT INTO public.who_data VALUES (82435, 0, 0, 0, 0, 348, 209);
INSERT INTO public.who_data VALUES (82436, 2, 5, 0, 0, 348, 217);
INSERT INTO public.who_data VALUES (82437, 5, 20, 0, 0, 348, 79);
INSERT INTO public.who_data VALUES (82438, 0, 0, 0, 0, 348, 143);
INSERT INTO public.who_data VALUES (82439, 0, 0, 0, 0, 348, 229);
INSERT INTO public.who_data VALUES (82440, 4, 11, 0, 0, 348, 141);
INSERT INTO public.who_data VALUES (82441, 0, 0, 0, 0, 348, 197);
INSERT INTO public.who_data VALUES (82442, 369, 1527, 14, 25, 348, 221);
INSERT INTO public.who_data VALUES (82443, 0, 5, 0, 0, 348, 150);
INSERT INTO public.who_data VALUES (82444, 0, 0, 0, 0, 348, 56);
INSERT INTO public.who_data VALUES (82445, 0, 0, 0, 0, 348, 167);
INSERT INTO public.who_data VALUES (82446, 46, 225, 0, 0, 348, 23);
INSERT INTO public.who_data VALUES (82447, 192, 624, 0, 3, 348, 222);
INSERT INTO public.who_data VALUES (82448, 0, 0, 0, 0, 348, 219);
INSERT INTO public.who_data VALUES (82449, 0, 0, 0, 0, 348, 7);
INSERT INTO public.who_data VALUES (82450, 3, 57, 0, 1, 348, 161);
INSERT INTO public.who_data VALUES (82451, 57, 469, 1, 3, 348, 149);
INSERT INTO public.who_data VALUES (82452, 0, 0, 0, 0, 348, 6);
INSERT INTO public.who_data VALUES (82453, 0, 5, 0, 0, 348, 139);
INSERT INTO public.who_data VALUES (82454, 0, 0, 0, 0, 348, 211);
INSERT INTO public.who_data VALUES (82455, 0, 0, 0, 0, 348, 14);
INSERT INTO public.who_data VALUES (82456, 0, 0, 0, 0, 348, 111);
INSERT INTO public.who_data VALUES (82457, 4, 10, 0, 0, 348, 207);
INSERT INTO public.who_data VALUES (82458, 0, 0, 0, 0, 348, 66);
INSERT INTO public.who_data VALUES (82459, 0, 0, 0, 0, 348, 173);
INSERT INTO public.who_data VALUES (82460, 0, 0, 0, 0, 348, 145);
INSERT INTO public.who_data VALUES (82461, 0, 0, 0, 0, 348, 65);
INSERT INTO public.who_data VALUES (82462, 0, 0, 0, 0, 348, 184);
INSERT INTO public.who_data VALUES (82463, 0, 1, 0, 0, 348, 98);
INSERT INTO public.who_data VALUES (82464, 15, 78, 0, 0, 348, 104);
INSERT INTO public.who_data VALUES (82465, 0, 0, 0, 0, 348, 73);
INSERT INTO public.who_data VALUES (82466, 224, 700, 6, 25, 348, 8);
INSERT INTO public.who_data VALUES (82467, 0, 0, 0, 0, 348, 227);
INSERT INTO public.who_data VALUES (82468, 0, 0, 0, 0, 348, 75);
INSERT INTO public.who_data VALUES (82469, 0, 0, 0, 0, 348, 45);
INSERT INTO public.who_data VALUES (82470, 0, 0, 0, 0, 348, 133);
INSERT INTO public.who_data VALUES (82471, 0, 0, 0, 0, 348, 202);
INSERT INTO public.who_data VALUES (82472, 0, 35, 0, 0, 348, 129);
INSERT INTO public.who_data VALUES (82473, 0, 0, 0, 0, 348, 36);
INSERT INTO public.who_data VALUES (82474, 0, 0, 0, 0, 348, 51);
INSERT INTO public.who_data VALUES (82475, 0, 0, 0, 0, 348, 206);
INSERT INTO public.who_data VALUES (82476, 0, 0, 0, 0, 348, 5);
INSERT INTO public.who_data VALUES (82477, 0, 8, 0, 0, 349, 103);
INSERT INTO public.who_data VALUES (82478, 2, 2, 0, 0, 349, 58);
INSERT INTO public.who_data VALUES (82479, 3, 24, 0, 0, 349, 195);
INSERT INTO public.who_data VALUES (82480, 0, 0, 0, 0, 349, 115);
INSERT INTO public.who_data VALUES (82481, 0, 1, 0, 0, 349, 99);
INSERT INTO public.who_data VALUES (82482, 0, 0, 0, 0, 349, 153);
INSERT INTO public.who_data VALUES (82483, 0, 0, 0, 0, 349, 93);
INSERT INTO public.who_data VALUES (82484, 0, 0, 0, 0, 349, 84);
INSERT INTO public.who_data VALUES (82485, 0, 16, 0, 1, 349, 78);
INSERT INTO public.who_data VALUES (82486, 0, 1, 0, 0, 349, 170);
INSERT INTO public.who_data VALUES (82487, 0, 0, 0, 0, 349, 32);
INSERT INTO public.who_data VALUES (82488, 15, 96, 0, 3, 349, 155);
INSERT INTO public.who_data VALUES (82489, 3, 102, 0, 0, 349, 82);
INSERT INTO public.who_data VALUES (82490, 0, 9, 0, 0, 349, 16);
INSERT INTO public.who_data VALUES (82491, 0, 0, 0, 0, 349, 72);
INSERT INTO public.who_data VALUES (82492, 16, 99, 0, 0, 349, 43);
INSERT INTO public.who_data VALUES (82493, 0, 7, 0, 0, 349, 120);
INSERT INTO public.who_data VALUES (82494, 0, 0, 0, 0, 349, 213);
INSERT INTO public.who_data VALUES (82495, 0, 6, 0, 0, 349, 31);
INSERT INTO public.who_data VALUES (82496, 64, 407, 0, 0, 349, 204);
INSERT INTO public.who_data VALUES (82497, 0, 0, 0, 0, 349, 152);
INSERT INTO public.who_data VALUES (82498, 0, 0, 0, 0, 349, 144);
INSERT INTO public.who_data VALUES (82499, 0, 0, 0, 0, 349, 96);
INSERT INTO public.who_data VALUES (82500, 0, 1, 0, 0, 349, 47);
INSERT INTO public.who_data VALUES (82501, 0, 0, 0, 0, 349, 80);
INSERT INTO public.who_data VALUES (82502, 0, 0, 0, 0, 349, 159);
INSERT INTO public.who_data VALUES (82503, 0, 2, 0, 0, 349, 27);
INSERT INTO public.who_data VALUES (82504, 0, 0, 0, 0, 349, 146);
INSERT INTO public.who_data VALUES (82505, 6, 29, 0, 0, 349, 71);
INSERT INTO public.who_data VALUES (82506, 0, 0, 0, 0, 349, 210);
INSERT INTO public.who_data VALUES (82507, 0, 0, 0, 0, 349, 54);
INSERT INTO public.who_data VALUES (82508, 2, 4, 0, 0, 349, 147);
INSERT INTO public.who_data VALUES (82509, 0, 0, 0, 0, 349, 2);
INSERT INTO public.who_data VALUES (82510, 0, 0, 0, 0, 349, 105);
INSERT INTO public.who_data VALUES (82511, 0, 0, 0, 0, 349, 53);
INSERT INTO public.who_data VALUES (82512, 0, 6, 0, 0, 349, 81);
INSERT INTO public.who_data VALUES (82513, 0, 6, 0, 0, 349, 223);
INSERT INTO public.who_data VALUES (82514, 12, 76, 0, 0, 349, 94);
INSERT INTO public.who_data VALUES (82515, 0, 0, 0, 0, 349, 154);
INSERT INTO public.who_data VALUES (82516, 0, 0, 0, 0, 349, 83);
INSERT INTO public.who_data VALUES (82517, 0, 0, 0, 0, 349, 194);
INSERT INTO public.who_data VALUES (82518, 0, 14, 0, 0, 349, 136);
INSERT INTO public.who_data VALUES (82519, 45, 80908, 23, 3123, 349, 179);
INSERT INTO public.who_data VALUES (82520, 0, 5, 0, 0, 349, 57);
INSERT INTO public.who_data VALUES (82521, 0, 0, 0, 0, 349, 35);
INSERT INTO public.who_data VALUES (82522, 0, 0, 0, 0, 349, 228);
INSERT INTO public.who_data VALUES (82523, 0, 0, 0, 0, 349, 19);
INSERT INTO public.who_data VALUES (82524, 4, 13, 0, 0, 349, 22);
INSERT INTO public.who_data VALUES (82525, 0, 0, 0, 0, 349, 1);
INSERT INTO public.who_data VALUES (82526, 0, 12, 0, 0, 349, 21);
INSERT INTO public.who_data VALUES (82527, 0, 0, 0, 0, 349, 234);
INSERT INTO public.who_data VALUES (82528, 0, 0, 0, 0, 349, 91);
INSERT INTO public.who_data VALUES (82529, 0, 0, 0, 0, 349, 137);
INSERT INTO public.who_data VALUES (82530, 6, 32, 0, 0, 349, 201);
INSERT INTO public.who_data VALUES (82531, 0, 0, 0, 0, 349, 171);
INSERT INTO public.who_data VALUES (82532, 0, 0, 0, 0, 349, 92);
INSERT INTO public.who_data VALUES (82533, 7, 38, 0, 0, 349, 112);
INSERT INTO public.who_data VALUES (82534, 0, 0, 0, 0, 349, 62);
INSERT INTO public.who_data VALUES (82535, 0, 0, 0, 0, 349, 69);
INSERT INTO public.who_data VALUES (82536, 0, 5, 0, 0, 349, 220);
INSERT INTO public.who_data VALUES (82537, 1, 19, 0, 0, 349, 100);
INSERT INTO public.who_data VALUES (82538, 10, 63, 0, 1, 349, 187);
INSERT INTO public.who_data VALUES (82539, 0, 0, 0, 0, 349, 63);
INSERT INTO public.who_data VALUES (82540, 0, 0, 0, 0, 349, 28);
INSERT INTO public.who_data VALUES (82541, 0, 0, 0, 0, 349, 172);
INSERT INTO public.who_data VALUES (82542, 0, 10, 0, 0, 349, 17);
INSERT INTO public.who_data VALUES (82543, 0, 0, 0, 0, 349, 226);
INSERT INTO public.who_data VALUES (82544, 0, 0, 0, 0, 349, 236);
INSERT INTO public.who_data VALUES (82545, 0, 0, 0, 0, 349, 76);
INSERT INTO public.who_data VALUES (82546, 0, 3, 0, 0, 349, 30);
INSERT INTO public.who_data VALUES (82547, 0, 0, 0, 0, 349, 128);
INSERT INTO public.who_data VALUES (82548, 11, 30, 0, 0, 349, 86);
INSERT INTO public.who_data VALUES (82549, 410, 1108, 9, 19, 349, 140);
INSERT INTO public.who_data VALUES (82550, 0, 5, 0, 0, 349, 44);
INSERT INTO public.who_data VALUES (82551, 0, 0, 0, 0, 349, 113);
INSERT INTO public.who_data VALUES (82552, 0, 0, 0, 0, 349, 29);
INSERT INTO public.who_data VALUES (82553, 0, 0, 0, 0, 349, 125);
INSERT INTO public.who_data VALUES (82554, 1, 13, 0, 0, 349, 131);
INSERT INTO public.who_data VALUES (82555, 55, 902, 0, 0, 349, 46);
INSERT INTO public.who_data VALUES (82556, 0, 0, 0, 0, 349, 10);
INSERT INTO public.who_data VALUES (82557, 0, 1, 0, 0, 349, 205);
INSERT INTO public.who_data VALUES (82558, 7, 73, 0, 0, 349, 50);
INSERT INTO public.who_data VALUES (82559, 0, 0, 0, 0, 349, 20);
INSERT INTO public.who_data VALUES (82560, 0, 0, 0, 0, 349, 13);
INSERT INTO public.who_data VALUES (82561, 0, 0, 0, 0, 349, 148);
INSERT INTO public.who_data VALUES (82562, 0, 0, 0, 0, 349, 230);
INSERT INTO public.who_data VALUES (82563, 0, 0, 0, 0, 349, 190);
INSERT INTO public.who_data VALUES (82564, 1, 1, 0, 0, 349, 188);
INSERT INTO public.who_data VALUES (82565, 0, 0, 0, 0, 349, 123);
INSERT INTO public.who_data VALUES (82566, 0, 0, 0, 0, 349, 9);
INSERT INTO public.who_data VALUES (82567, 0, 0, 0, 0, 349, 102);
INSERT INTO public.who_data VALUES (82568, 0, 0, 0, 0, 349, 34);
INSERT INTO public.who_data VALUES (82569, 0, 1, 0, 0, 349, 212);
INSERT INTO public.who_data VALUES (82570, 0, 0, 0, 0, 349, 122);
INSERT INTO public.who_data VALUES (82571, 1, 8, 0, 0, 349, 38);
INSERT INTO public.who_data VALUES (82572, 2, 55, 0, 0, 349, 130);
INSERT INTO public.who_data VALUES (82573, 5, 48, 0, 0, 349, 37);
INSERT INTO public.who_data VALUES (82574, 0, 10, 0, 0, 349, 231);
INSERT INTO public.who_data VALUES (82575, 595, 7165, 43, 237, 349, 107);
INSERT INTO public.who_data VALUES (82576, 0, 64, 0, 4, 349, 101);
INSERT INTO public.who_data VALUES (82577, 2, 21, 0, 0, 349, 132);
INSERT INTO public.who_data VALUES (82578, 0, 0, 0, 0, 349, 176);
INSERT INTO public.who_data VALUES (82579, 4, 25, 0, 0, 349, 200);
INSERT INTO public.who_data VALUES (82580, 1492, 7375, 133, 366, 349, 169);
INSERT INTO public.who_data VALUES (82581, 0, 0, 0, 0, 349, 225);
INSERT INTO public.who_data VALUES (82582, 59, 518, 3, 9, 349, 165);
INSERT INTO public.who_data VALUES (82583, 0, 0, 0, 0, 349, 233);
INSERT INTO public.who_data VALUES (82584, 0, 5, 0, 0, 349, 215);
INSERT INTO public.who_data VALUES (82585, 0, 0, 0, 0, 349, 177);
INSERT INTO public.who_data VALUES (82586, 0, 0, 0, 0, 349, 183);
INSERT INTO public.who_data VALUES (82587, 0, 0, 0, 0, 349, 203);
INSERT INTO public.who_data VALUES (82588, 0, 0, 0, 0, 349, 162);
INSERT INTO public.who_data VALUES (82589, 0, 68, 0, 0, 349, 12);
INSERT INTO public.who_data VALUES (82590, 0, 0, 0, 0, 349, 24);
INSERT INTO public.who_data VALUES (82591, 0, 0, 0, 0, 349, 119);
INSERT INTO public.who_data VALUES (82592, 1, 3, 0, 0, 349, 39);
INSERT INTO public.who_data VALUES (82593, 0, 36, 0, 0, 349, 26);
INSERT INTO public.who_data VALUES (82594, 0, 0, 0, 0, 349, 59);
INSERT INTO public.who_data VALUES (82595, 0, 0, 0, 0, 349, 77);
INSERT INTO public.who_data VALUES (82596, 0, 0, 0, 0, 349, 134);
INSERT INTO public.who_data VALUES (82597, 0, 1, 0, 0, 349, 4);
INSERT INTO public.who_data VALUES (82598, 0, 1, 0, 0, 349, 109);
INSERT INTO public.who_data VALUES (82599, 2, 5, 0, 0, 349, 90);
INSERT INTO public.who_data VALUES (82600, 0, 0, 0, 0, 349, 61);
INSERT INTO public.who_data VALUES (82601, 0, 0, 0, 0, 349, 85);
INSERT INTO public.who_data VALUES (82602, 24, 121, 0, 0, 349, 49);
INSERT INTO public.who_data VALUES (82603, 0, 8, 0, 0, 349, 208);
INSERT INTO public.who_data VALUES (82604, 0, 0, 0, 0, 349, 166);
INSERT INTO public.who_data VALUES (82605, 2, 3, 0, 0, 349, 64);
INSERT INTO public.who_data VALUES (82606, 0, 0, 0, 0, 349, 199);
INSERT INTO public.who_data VALUES (82607, 0, 6, 0, 0, 349, 114);
INSERT INTO public.who_data VALUES (82608, 0, 0, 0, 0, 349, 60);
INSERT INTO public.who_data VALUES (82609, 0, 0, 0, 0, 349, 68);
INSERT INTO public.who_data VALUES (82610, 0, 0, 0, 0, 349, 158);
INSERT INTO public.who_data VALUES (82611, 0, 11, 0, 0, 349, 52);
INSERT INTO public.who_data VALUES (82612, 0, 0, 0, 0, 349, 117);
INSERT INTO public.who_data VALUES (82613, 0, 1, 0, 0, 349, 126);
INSERT INTO public.who_data VALUES (82614, 0, 0, 0, 0, 349, 196);
INSERT INTO public.who_data VALUES (82615, 0, 0, 0, 0, 349, 142);
INSERT INTO public.who_data VALUES (82616, 0, 0, 0, 0, 349, 185);
INSERT INTO public.who_data VALUES (82617, 0, 6, 0, 0, 349, 138);
INSERT INTO public.who_data VALUES (82618, 0, 0, 0, 0, 349, 181);
INSERT INTO public.who_data VALUES (82619, 0, 0, 0, 0, 349, 178);
INSERT INTO public.who_data VALUES (82620, 0, 0, 0, 0, 349, 168);
INSERT INTO public.who_data VALUES (82621, 0, 0, 0, 0, 349, 160);
INSERT INTO public.who_data VALUES (82622, 0, 5, 0, 0, 349, 151);
INSERT INTO public.who_data VALUES (82623, 32, 163, 1, 2, 349, 193);
INSERT INTO public.who_data VALUES (82624, 0, 0, 0, 0, 349, 18);
INSERT INTO public.who_data VALUES (82625, 0, 9, 0, 0, 349, 40);
INSERT INTO public.who_data VALUES (82626, 0, 0, 0, 0, 349, 218);
INSERT INTO public.who_data VALUES (82627, 0, 0, 0, 0, 349, 191);
INSERT INTO public.who_data VALUES (82628, 1, 6, 0, 0, 349, 156);
INSERT INTO public.who_data VALUES (82629, 0, 0, 0, 0, 349, 135);
INSERT INTO public.who_data VALUES (82630, 0, 0, 0, 0, 349, 88);
INSERT INTO public.who_data VALUES (82631, 0, 3, 0, 0, 349, 55);
INSERT INTO public.who_data VALUES (82632, 22, 169, 0, 0, 349, 108);
INSERT INTO public.who_data VALUES (82633, 6, 29, 0, 0, 349, 48);
INSERT INTO public.who_data VALUES (82634, 0, 20, 0, 0, 349, 3);
INSERT INTO public.who_data VALUES (82635, 0, 700, 0, 7, 349, 224);
INSERT INTO public.who_data VALUES (82636, 0, 10, 0, 0, 349, 110);
INSERT INTO public.who_data VALUES (82637, 0, 0, 0, 0, 349, 106);
INSERT INTO public.who_data VALUES (82638, 0, 0, 0, 0, 349, 89);
INSERT INTO public.who_data VALUES (82639, 0, 0, 0, 0, 349, 121);
INSERT INTO public.who_data VALUES (82640, 0, 5, 0, 0, 349, 163);
INSERT INTO public.who_data VALUES (82641, 1, 11, 0, 0, 349, 70);
INSERT INTO public.who_data VALUES (82642, 14, 28, 0, 1, 349, 174);
INSERT INTO public.who_data VALUES (82643, 0, 0, 0, 0, 349, 175);
INSERT INTO public.who_data VALUES (82644, 5, 11, 0, 0, 349, 118);
INSERT INTO public.who_data VALUES (82645, 9, 30, 0, 0, 349, 189);
INSERT INTO public.who_data VALUES (82646, 0, 0, 0, 0, 349, 124);
INSERT INTO public.who_data VALUES (82647, 3, 19, 0, 0, 349, 192);
INSERT INTO public.who_data VALUES (82648, 248, 7386, 1, 51, 349, 41);
INSERT INTO public.who_data VALUES (82649, 0, 1, 0, 0, 349, 95);
INSERT INTO public.who_data VALUES (82650, 0, 0, 0, 0, 349, 74);
INSERT INTO public.who_data VALUES (82651, 2, 15, 0, 0, 349, 11);
INSERT INTO public.who_data VALUES (82652, 0, 7, 0, 0, 349, 87);
INSERT INTO public.who_data VALUES (82653, 0, 0, 0, 0, 349, 214);
INSERT INTO public.who_data VALUES (82654, 0, 0, 0, 0, 349, 116);
INSERT INTO public.who_data VALUES (82655, 0, 1, 0, 0, 349, 157);
INSERT INTO public.who_data VALUES (82656, 0, 0, 0, 0, 349, 182);
INSERT INTO public.who_data VALUES (82657, 0, 0, 0, 0, 349, 186);
INSERT INTO public.who_data VALUES (82658, 0, 0, 0, 0, 349, 127);
INSERT INTO public.who_data VALUES (82659, 0, 6, 0, 0, 349, 232);
INSERT INTO public.who_data VALUES (82660, 0, 0, 0, 0, 349, 33);
INSERT INTO public.who_data VALUES (82661, 0, 0, 0, 0, 349, 97);
INSERT INTO public.who_data VALUES (82662, 0, 0, 0, 0, 349, 42);
INSERT INTO public.who_data VALUES (82663, 10, 37, 0, 1, 349, 198);
INSERT INTO public.who_data VALUES (82664, 0, 0, 0, 0, 349, 216);
INSERT INTO public.who_data VALUES (82665, 4, 19, 0, 0, 349, 164);
INSERT INTO public.who_data VALUES (82666, 0, 8, 0, 0, 349, 235);
INSERT INTO public.who_data VALUES (82667, 0, 1, 0, 0, 349, 67);
INSERT INTO public.who_data VALUES (82668, 0, 0, 0, 0, 349, 15);
INSERT INTO public.who_data VALUES (82669, 0, 0, 0, 0, 349, 180);
INSERT INTO public.who_data VALUES (82670, 10, 164, 0, 0, 349, 237);
INSERT INTO public.who_data VALUES (82671, 0, 0, 0, 0, 349, 25);
INSERT INTO public.who_data VALUES (82672, 0, 0, 0, 0, 349, 209);
INSERT INTO public.who_data VALUES (82673, 2, 3, 0, 0, 349, 217);
INSERT INTO public.who_data VALUES (82674, 5, 15, 0, 0, 349, 79);
INSERT INTO public.who_data VALUES (82675, 0, 0, 0, 0, 349, 143);
INSERT INTO public.who_data VALUES (82676, 0, 0, 0, 0, 349, 229);
INSERT INTO public.who_data VALUES (82677, 0, 7, 0, 0, 349, 141);
INSERT INTO public.who_data VALUES (82678, 0, 0, 0, 0, 349, 197);
INSERT INTO public.who_data VALUES (82679, 290, 1158, 3, 11, 349, 221);
INSERT INTO public.who_data VALUES (82680, 0, 5, 0, 0, 349, 150);
INSERT INTO public.who_data VALUES (82681, 0, 0, 0, 0, 349, 56);
INSERT INTO public.who_data VALUES (82682, 0, 0, 0, 0, 349, 167);
INSERT INTO public.who_data VALUES (82683, 33, 179, 0, 0, 349, 23);
INSERT INTO public.who_data VALUES (82684, 68, 432, 1, 3, 349, 222);
INSERT INTO public.who_data VALUES (82685, 0, 0, 0, 0, 349, 219);
INSERT INTO public.who_data VALUES (82686, 0, 0, 0, 0, 349, 7);
INSERT INTO public.who_data VALUES (82687, 0, 54, 0, 1, 349, 161);
INSERT INTO public.who_data VALUES (82688, 60, 412, 0, 2, 349, 149);
INSERT INTO public.who_data VALUES (82689, 0, 0, 0, 0, 349, 6);
INSERT INTO public.who_data VALUES (82690, 0, 5, 0, 0, 349, 139);
INSERT INTO public.who_data VALUES (82691, 0, 0, 0, 0, 349, 211);
INSERT INTO public.who_data VALUES (82692, 0, 0, 0, 0, 349, 14);
INSERT INTO public.who_data VALUES (82693, 0, 0, 0, 0, 349, 111);
INSERT INTO public.who_data VALUES (82694, 0, 6, 0, 0, 349, 207);
INSERT INTO public.who_data VALUES (82695, 0, 0, 0, 0, 349, 66);
INSERT INTO public.who_data VALUES (82696, 0, 0, 0, 0, 349, 173);
INSERT INTO public.who_data VALUES (82697, 0, 0, 0, 0, 349, 145);
INSERT INTO public.who_data VALUES (82698, 0, 0, 0, 0, 349, 65);
INSERT INTO public.who_data VALUES (82699, 0, 0, 0, 0, 349, 184);
INSERT INTO public.who_data VALUES (82700, 0, 1, 0, 0, 349, 98);
INSERT INTO public.who_data VALUES (82701, 14, 63, 0, 0, 349, 104);
INSERT INTO public.who_data VALUES (82702, 0, 0, 0, 0, 349, 73);
INSERT INTO public.who_data VALUES (82703, 259, 476, 8, 19, 349, 8);
INSERT INTO public.who_data VALUES (82704, 0, 0, 0, 0, 349, 227);
INSERT INTO public.who_data VALUES (82705, 0, 0, 0, 0, 349, 75);
INSERT INTO public.who_data VALUES (82706, 0, 0, 0, 0, 349, 45);
INSERT INTO public.who_data VALUES (82707, 0, 0, 0, 0, 349, 133);
INSERT INTO public.who_data VALUES (82708, 0, 0, 0, 0, 349, 202);
INSERT INTO public.who_data VALUES (82709, 1, 35, 0, 0, 349, 129);
INSERT INTO public.who_data VALUES (82710, 0, 0, 0, 0, 349, 36);
INSERT INTO public.who_data VALUES (82711, 0, 0, 0, 0, 349, 51);
INSERT INTO public.who_data VALUES (82712, 0, 0, 0, 0, 349, 206);
INSERT INTO public.who_data VALUES (82713, 0, 0, 0, 0, 349, 5);
INSERT INTO public.who_data VALUES (82714, 0, 8, 0, 0, 350, 103);
INSERT INTO public.who_data VALUES (82715, 0, 0, 0, 0, 350, 58);
INSERT INTO public.who_data VALUES (82716, 0, 21, 0, 0, 350, 195);
INSERT INTO public.who_data VALUES (82717, 0, 0, 0, 0, 350, 115);
INSERT INTO public.who_data VALUES (82718, 0, 1, 0, 0, 350, 99);
INSERT INTO public.who_data VALUES (82719, 0, 0, 0, 0, 350, 153);
INSERT INTO public.who_data VALUES (82720, 0, 0, 0, 0, 350, 93);
INSERT INTO public.who_data VALUES (82721, 0, 0, 0, 0, 350, 84);
INSERT INTO public.who_data VALUES (82722, 3, 16, 0, 1, 350, 78);
INSERT INTO public.who_data VALUES (82723, 0, 1, 0, 0, 350, 170);
INSERT INTO public.who_data VALUES (82724, 0, 0, 0, 0, 350, 32);
INSERT INTO public.who_data VALUES (82725, 7, 81, 1, 3, 350, 155);
INSERT INTO public.who_data VALUES (82726, 25, 99, 0, 0, 350, 82);
INSERT INTO public.who_data VALUES (82727, 0, 9, 0, 0, 350, 16);
INSERT INTO public.who_data VALUES (82728, 0, 0, 0, 0, 350, 72);
INSERT INTO public.who_data VALUES (82729, 23, 83, 0, 0, 350, 43);
INSERT INTO public.who_data VALUES (82730, 7, 7, 0, 0, 350, 120);
INSERT INTO public.who_data VALUES (82731, 0, 0, 0, 0, 350, 213);
INSERT INTO public.who_data VALUES (82732, 0, 6, 0, 0, 350, 31);
INSERT INTO public.who_data VALUES (82733, 27, 343, 0, 0, 350, 204);
INSERT INTO public.who_data VALUES (82734, 0, 0, 0, 0, 350, 152);
INSERT INTO public.who_data VALUES (82735, 0, 0, 0, 0, 350, 144);
INSERT INTO public.who_data VALUES (82736, 0, 0, 0, 0, 350, 96);
INSERT INTO public.who_data VALUES (82737, 0, 1, 0, 0, 350, 47);
INSERT INTO public.who_data VALUES (82738, 0, 0, 0, 0, 350, 80);
INSERT INTO public.who_data VALUES (82739, 0, 0, 0, 0, 350, 159);
INSERT INTO public.who_data VALUES (82740, 0, 2, 0, 0, 350, 27);
INSERT INTO public.who_data VALUES (82741, 0, 0, 0, 0, 350, 146);
INSERT INTO public.who_data VALUES (82742, 0, 23, 0, 0, 350, 71);
INSERT INTO public.who_data VALUES (82743, 0, 0, 0, 0, 350, 210);
INSERT INTO public.who_data VALUES (82744, 0, 0, 0, 0, 350, 54);
INSERT INTO public.who_data VALUES (82745, 2, 2, 0, 0, 350, 147);
INSERT INTO public.who_data VALUES (82746, 0, 0, 0, 0, 350, 2);
INSERT INTO public.who_data VALUES (82747, 0, 0, 0, 0, 350, 105);
INSERT INTO public.who_data VALUES (82748, 0, 0, 0, 0, 350, 53);
INSERT INTO public.who_data VALUES (82749, 0, 6, 0, 0, 350, 81);
INSERT INTO public.who_data VALUES (82750, 0, 6, 0, 0, 350, 223);
INSERT INTO public.who_data VALUES (82751, 3, 64, 0, 0, 350, 94);
INSERT INTO public.who_data VALUES (82752, 0, 0, 0, 0, 350, 154);
INSERT INTO public.who_data VALUES (82753, 0, 0, 0, 0, 350, 83);
INSERT INTO public.who_data VALUES (82754, 0, 0, 0, 0, 350, 194);
INSERT INTO public.who_data VALUES (82755, 5, 14, 0, 0, 350, 136);
INSERT INTO public.who_data VALUES (82756, 46, 80863, 27, 3100, 350, 179);
INSERT INTO public.who_data VALUES (82757, 0, 5, 0, 0, 350, 57);
INSERT INTO public.who_data VALUES (82758, 0, 0, 0, 0, 350, 35);
INSERT INTO public.who_data VALUES (82759, 0, 0, 0, 0, 350, 228);
INSERT INTO public.who_data VALUES (82760, 0, 0, 0, 0, 350, 19);
INSERT INTO public.who_data VALUES (82761, 9, 9, 0, 0, 350, 22);
INSERT INTO public.who_data VALUES (82762, 0, 0, 0, 0, 350, 1);
INSERT INTO public.who_data VALUES (82763, 1, 12, 0, 0, 350, 21);
INSERT INTO public.who_data VALUES (82764, 0, 0, 0, 0, 350, 234);
INSERT INTO public.who_data VALUES (82765, 0, 0, 0, 0, 350, 91);
INSERT INTO public.who_data VALUES (82766, 0, 0, 0, 0, 350, 137);
INSERT INTO public.who_data VALUES (82767, 7, 26, 0, 0, 350, 201);
INSERT INTO public.who_data VALUES (82768, 0, 0, 0, 0, 350, 171);
INSERT INTO public.who_data VALUES (82769, 0, 0, 0, 0, 350, 92);
INSERT INTO public.who_data VALUES (82770, 8, 31, 0, 0, 350, 112);
INSERT INTO public.who_data VALUES (82771, 0, 0, 0, 0, 350, 62);
INSERT INTO public.who_data VALUES (82772, 0, 0, 0, 0, 350, 69);
INSERT INTO public.who_data VALUES (82773, 0, 5, 0, 0, 350, 220);
INSERT INTO public.who_data VALUES (82774, 0, 18, 0, 0, 350, 100);
INSERT INTO public.who_data VALUES (82775, 1, 53, 1, 1, 350, 187);
INSERT INTO public.who_data VALUES (82776, 0, 0, 0, 0, 350, 63);
INSERT INTO public.who_data VALUES (82777, 0, 0, 0, 0, 350, 28);
INSERT INTO public.who_data VALUES (82778, 0, 0, 0, 0, 350, 172);
INSERT INTO public.who_data VALUES (82779, 0, 10, 0, 0, 350, 17);
INSERT INTO public.who_data VALUES (82780, 0, 0, 0, 0, 350, 226);
INSERT INTO public.who_data VALUES (82781, 0, 0, 0, 0, 350, 236);
INSERT INTO public.who_data VALUES (82782, 0, 0, 0, 0, 350, 76);
INSERT INTO public.who_data VALUES (82783, 1, 3, 0, 0, 350, 30);
INSERT INTO public.who_data VALUES (82784, 0, 0, 0, 0, 350, 128);
INSERT INTO public.who_data VALUES (82785, 0, 19, 0, 0, 350, 86);
INSERT INTO public.who_data VALUES (82786, 103, 698, 1, 10, 350, 140);
INSERT INTO public.who_data VALUES (82787, 0, 5, 0, 0, 350, 44);
INSERT INTO public.who_data VALUES (82788, 0, 0, 0, 0, 350, 113);
INSERT INTO public.who_data VALUES (82789, 0, 0, 0, 0, 350, 29);
INSERT INTO public.who_data VALUES (82790, 0, 0, 0, 0, 350, 125);
INSERT INTO public.who_data VALUES (82791, 3, 12, 0, 0, 350, 131);
INSERT INTO public.who_data VALUES (82792, 163, 847, 0, 0, 350, 46);
INSERT INTO public.who_data VALUES (82793, 0, 0, 0, 0, 350, 10);
INSERT INTO public.who_data VALUES (82794, 0, 1, 0, 0, 350, 205);
INSERT INTO public.who_data VALUES (82795, 21, 66, 0, 0, 350, 50);
INSERT INTO public.who_data VALUES (82796, 0, 0, 0, 0, 350, 20);
INSERT INTO public.who_data VALUES (82797, 0, 0, 0, 0, 350, 13);
INSERT INTO public.who_data VALUES (82798, 0, 0, 0, 0, 350, 148);
INSERT INTO public.who_data VALUES (82799, 0, 0, 0, 0, 350, 230);
INSERT INTO public.who_data VALUES (82800, 0, 0, 0, 0, 350, 190);
INSERT INTO public.who_data VALUES (82801, 0, 0, 0, 0, 350, 188);
INSERT INTO public.who_data VALUES (82802, 0, 0, 0, 0, 350, 123);
INSERT INTO public.who_data VALUES (82803, 0, 0, 0, 0, 350, 9);
INSERT INTO public.who_data VALUES (82804, 0, 0, 0, 0, 350, 102);
INSERT INTO public.who_data VALUES (82805, 0, 0, 0, 0, 350, 34);
INSERT INTO public.who_data VALUES (82806, 0, 1, 0, 0, 350, 212);
INSERT INTO public.who_data VALUES (82807, 0, 0, 0, 0, 350, 122);
INSERT INTO public.who_data VALUES (82808, 3, 7, 0, 0, 350, 38);
INSERT INTO public.who_data VALUES (82809, 10, 53, 0, 0, 350, 130);
INSERT INTO public.who_data VALUES (82810, 5, 43, 0, 0, 350, 37);
INSERT INTO public.who_data VALUES (82811, 2, 10, 0, 0, 350, 231);
INSERT INTO public.who_data VALUES (82812, 743, 6570, 49, 194, 350, 107);
INSERT INTO public.who_data VALUES (82813, 6, 64, 0, 4, 350, 101);
INSERT INTO public.who_data VALUES (82814, 1, 19, 0, 0, 350, 132);
INSERT INTO public.who_data VALUES (82815, 0, 0, 0, 0, 350, 176);
INSERT INTO public.who_data VALUES (82816, 4, 21, 0, 0, 350, 200);
INSERT INTO public.who_data VALUES (82817, 1247, 5883, 36, 233, 350, 169);
INSERT INTO public.who_data VALUES (82818, 0, 0, 0, 0, 350, 225);
INSERT INTO public.who_data VALUES (82819, 48, 459, 0, 6, 350, 165);
INSERT INTO public.who_data VALUES (82820, 0, 0, 0, 0, 350, 233);
INSERT INTO public.who_data VALUES (82821, 0, 5, 0, 0, 350, 215);
INSERT INTO public.who_data VALUES (82822, 0, 0, 0, 0, 350, 177);
INSERT INTO public.who_data VALUES (82823, 0, 0, 0, 0, 350, 183);
INSERT INTO public.who_data VALUES (82824, 0, 0, 0, 0, 350, 203);
INSERT INTO public.who_data VALUES (82825, 0, 0, 0, 0, 350, 162);
INSERT INTO public.who_data VALUES (82826, 3, 68, 0, 0, 350, 12);
INSERT INTO public.who_data VALUES (82827, 0, 0, 0, 0, 350, 24);
INSERT INTO public.who_data VALUES (82828, 0, 0, 0, 0, 350, 119);
INSERT INTO public.who_data VALUES (82829, 1, 2, 0, 0, 350, 39);
INSERT INTO public.who_data VALUES (82830, 10, 36, 0, 0, 350, 26);
INSERT INTO public.who_data VALUES (82831, 0, 0, 0, 0, 350, 59);
INSERT INTO public.who_data VALUES (82832, 0, 0, 0, 0, 350, 77);
INSERT INTO public.who_data VALUES (82833, 0, 0, 0, 0, 350, 134);
INSERT INTO public.who_data VALUES (82834, 0, 1, 0, 0, 350, 4);
INSERT INTO public.who_data VALUES (82835, 0, 1, 0, 0, 350, 109);
INSERT INTO public.who_data VALUES (82836, 0, 3, 0, 0, 350, 90);
INSERT INTO public.who_data VALUES (82837, 0, 0, 0, 0, 350, 61);
INSERT INTO public.who_data VALUES (82838, 0, 0, 0, 0, 350, 85);
INSERT INTO public.who_data VALUES (82839, 0, 97, 0, 0, 350, 49);
INSERT INTO public.who_data VALUES (82840, 2, 8, 0, 0, 350, 208);
INSERT INTO public.who_data VALUES (82841, 0, 0, 0, 0, 350, 166);
INSERT INTO public.who_data VALUES (82842, 0, 1, 0, 0, 350, 64);
INSERT INTO public.who_data VALUES (82843, 0, 0, 0, 0, 350, 199);
INSERT INTO public.who_data VALUES (82844, 0, 6, 0, 0, 350, 114);
INSERT INTO public.who_data VALUES (82845, 0, 0, 0, 0, 350, 60);
INSERT INTO public.who_data VALUES (82846, 0, 0, 0, 0, 350, 68);
INSERT INTO public.who_data VALUES (82847, 0, 0, 0, 0, 350, 158);
INSERT INTO public.who_data VALUES (82848, 2, 11, 0, 0, 350, 52);
INSERT INTO public.who_data VALUES (82849, 0, 0, 0, 0, 350, 117);
INSERT INTO public.who_data VALUES (82850, 0, 1, 0, 0, 350, 126);
INSERT INTO public.who_data VALUES (82851, 0, 0, 0, 0, 350, 196);
INSERT INTO public.who_data VALUES (82852, 0, 0, 0, 0, 350, 142);
INSERT INTO public.who_data VALUES (82853, 0, 0, 0, 0, 350, 185);
INSERT INTO public.who_data VALUES (82854, 0, 6, 0, 0, 350, 138);
INSERT INTO public.who_data VALUES (82855, 0, 0, 0, 0, 350, 181);
INSERT INTO public.who_data VALUES (82856, 0, 0, 0, 0, 350, 178);
INSERT INTO public.who_data VALUES (82857, 0, 0, 0, 0, 350, 168);
INSERT INTO public.who_data VALUES (82858, 0, 0, 0, 0, 350, 160);
INSERT INTO public.who_data VALUES (82859, 0, 5, 0, 0, 350, 151);
INSERT INTO public.who_data VALUES (82860, 50, 131, 0, 1, 350, 193);
INSERT INTO public.who_data VALUES (82861, 0, 0, 0, 0, 350, 18);
INSERT INTO public.who_data VALUES (82862, 0, 9, 0, 0, 350, 40);
INSERT INTO public.who_data VALUES (82863, 0, 0, 0, 0, 350, 218);
INSERT INTO public.who_data VALUES (82864, 0, 0, 0, 0, 350, 191);
INSERT INTO public.who_data VALUES (82865, 0, 5, 0, 0, 350, 156);
INSERT INTO public.who_data VALUES (82866, 0, 0, 0, 0, 350, 135);
INSERT INTO public.who_data VALUES (82867, 0, 0, 0, 0, 350, 88);
INSERT INTO public.who_data VALUES (82868, 0, 3, 0, 0, 350, 55);
INSERT INTO public.who_data VALUES (82869, 34, 147, 0, 0, 350, 108);
INSERT INTO public.who_data VALUES (82870, 3, 23, 0, 0, 350, 48);
INSERT INTO public.who_data VALUES (82871, 0, 20, 0, 0, 350, 3);
INSERT INTO public.who_data VALUES (82872, 0, 700, 1, 7, 350, 224);
INSERT INTO public.who_data VALUES (82873, 1, 10, 0, 0, 350, 110);
INSERT INTO public.who_data VALUES (82874, 0, 0, 0, 0, 350, 106);
INSERT INTO public.who_data VALUES (82875, 0, 0, 0, 0, 350, 89);
INSERT INTO public.who_data VALUES (82876, 0, 0, 0, 0, 350, 121);
INSERT INTO public.who_data VALUES (82877, 5, 5, 0, 0, 350, 163);
INSERT INTO public.who_data VALUES (82878, 0, 10, 0, 0, 350, 70);
INSERT INTO public.who_data VALUES (82879, 4, 14, 0, 1, 350, 174);
INSERT INTO public.who_data VALUES (82880, 0, 0, 0, 0, 350, 175);
INSERT INTO public.who_data VALUES (82881, 1, 6, 0, 0, 350, 118);
INSERT INTO public.who_data VALUES (82882, 8, 21, 0, 0, 350, 189);
INSERT INTO public.who_data VALUES (82883, 0, 0, 0, 0, 350, 124);
INSERT INTO public.who_data VALUES (82884, 0, 16, 0, 0, 350, 192);
INSERT INTO public.who_data VALUES (82885, 367, 7138, 6, 50, 350, 41);
INSERT INTO public.who_data VALUES (82886, 0, 1, 0, 0, 350, 95);
INSERT INTO public.who_data VALUES (82887, 0, 0, 0, 0, 350, 74);
INSERT INTO public.who_data VALUES (82888, 6, 13, 0, 0, 350, 11);
INSERT INTO public.who_data VALUES (82889, 3, 7, 0, 0, 350, 87);
INSERT INTO public.who_data VALUES (82890, 0, 0, 0, 0, 350, 214);
INSERT INTO public.who_data VALUES (82891, 0, 0, 0, 0, 350, 116);
INSERT INTO public.who_data VALUES (82892, 0, 1, 0, 0, 350, 157);
INSERT INTO public.who_data VALUES (82893, 0, 0, 0, 0, 350, 182);
INSERT INTO public.who_data VALUES (82894, 0, 0, 0, 0, 350, 186);
INSERT INTO public.who_data VALUES (82895, 0, 0, 0, 0, 350, 127);
INSERT INTO public.who_data VALUES (82896, 0, 6, 0, 0, 350, 232);
INSERT INTO public.who_data VALUES (82897, 0, 0, 0, 0, 350, 33);
INSERT INTO public.who_data VALUES (82898, 0, 0, 0, 0, 350, 97);
INSERT INTO public.who_data VALUES (82899, 0, 0, 0, 0, 350, 42);
INSERT INTO public.who_data VALUES (82900, 3, 27, 0, 1, 350, 198);
INSERT INTO public.who_data VALUES (82901, 0, 0, 0, 0, 350, 216);
INSERT INTO public.who_data VALUES (82902, 4, 15, 0, 0, 350, 164);
INSERT INTO public.who_data VALUES (82903, 0, 8, 0, 0, 350, 235);
INSERT INTO public.who_data VALUES (82904, 0, 1, 0, 0, 350, 67);
INSERT INTO public.who_data VALUES (82905, 0, 0, 0, 0, 350, 15);
INSERT INTO public.who_data VALUES (82906, 0, 0, 0, 0, 350, 180);
INSERT INTO public.who_data VALUES (82907, 12, 154, 0, 0, 350, 237);
INSERT INTO public.who_data VALUES (82908, 0, 0, 0, 0, 350, 25);
INSERT INTO public.who_data VALUES (82909, 0, 0, 0, 0, 350, 209);
INSERT INTO public.who_data VALUES (82910, 0, 1, 0, 0, 350, 217);
INSERT INTO public.who_data VALUES (82911, 4, 10, 0, 0, 350, 79);
INSERT INTO public.who_data VALUES (82912, 0, 0, 0, 0, 350, 143);
INSERT INTO public.who_data VALUES (82913, 0, 0, 0, 0, 350, 229);
INSERT INTO public.who_data VALUES (82914, 1, 7, 0, 0, 350, 141);
INSERT INTO public.who_data VALUES (82915, 0, 0, 0, 0, 350, 197);
INSERT INTO public.who_data VALUES (82916, 275, 868, 3, 8, 350, 221);
INSERT INTO public.who_data VALUES (82917, 0, 5, 0, 0, 350, 150);
INSERT INTO public.who_data VALUES (82918, 0, 0, 0, 0, 350, 56);
INSERT INTO public.who_data VALUES (82919, 0, 0, 0, 0, 350, 167);
INSERT INTO public.who_data VALUES (82920, 59, 146, 0, 0, 350, 23);
INSERT INTO public.who_data VALUES (82921, 49, 364, 0, 2, 350, 222);
INSERT INTO public.who_data VALUES (82922, 0, 0, 0, 0, 350, 219);
INSERT INTO public.who_data VALUES (82923, 0, 0, 0, 0, 350, 7);
INSERT INTO public.who_data VALUES (82924, 0, 54, 0, 1, 350, 161);
INSERT INTO public.who_data VALUES (82925, 81, 352, 1, 2, 350, 149);
INSERT INTO public.who_data VALUES (82926, 0, 0, 0, 0, 350, 6);
INSERT INTO public.who_data VALUES (82927, 0, 5, 0, 0, 350, 139);
INSERT INTO public.who_data VALUES (82928, 0, 0, 0, 0, 350, 211);
INSERT INTO public.who_data VALUES (82929, 0, 0, 0, 0, 350, 14);
INSERT INTO public.who_data VALUES (82930, 0, 0, 0, 0, 350, 111);
INSERT INTO public.who_data VALUES (82931, 1, 6, 0, 0, 350, 207);
INSERT INTO public.who_data VALUES (82932, 0, 0, 0, 0, 350, 66);
INSERT INTO public.who_data VALUES (82933, 0, 0, 0, 0, 350, 173);
INSERT INTO public.who_data VALUES (82934, 0, 0, 0, 0, 350, 145);
INSERT INTO public.who_data VALUES (82935, 0, 0, 0, 0, 350, 65);
INSERT INTO public.who_data VALUES (82936, 0, 0, 0, 0, 350, 184);
INSERT INTO public.who_data VALUES (82937, 0, 1, 0, 0, 350, 98);
INSERT INTO public.who_data VALUES (82938, 0, 49, 0, 0, 350, 104);
INSERT INTO public.who_data VALUES (82939, 0, 0, 0, 0, 350, 73);
INSERT INTO public.who_data VALUES (82940, 0, 217, 0, 11, 350, 8);
INSERT INTO public.who_data VALUES (82941, 0, 0, 0, 0, 350, 227);
INSERT INTO public.who_data VALUES (82942, 0, 0, 0, 0, 350, 75);
INSERT INTO public.who_data VALUES (82943, 0, 0, 0, 0, 350, 45);
INSERT INTO public.who_data VALUES (82944, 0, 0, 0, 0, 350, 133);
INSERT INTO public.who_data VALUES (82945, 0, 0, 0, 0, 350, 202);
INSERT INTO public.who_data VALUES (82946, 10, 34, 0, 0, 350, 129);
INSERT INTO public.who_data VALUES (82947, 0, 0, 0, 0, 350, 36);
INSERT INTO public.who_data VALUES (82948, 0, 0, 0, 0, 350, 51);
INSERT INTO public.who_data VALUES (82949, 0, 0, 0, 0, 350, 206);
INSERT INTO public.who_data VALUES (82950, 0, 0, 0, 0, 350, 5);
INSERT INTO public.who_data VALUES (82951, 3, 8, 0, 0, 351, 103);
INSERT INTO public.who_data VALUES (82952, 0, 0, 0, 0, 351, 58);
INSERT INTO public.who_data VALUES (82953, 0, 21, 0, 0, 351, 195);
INSERT INTO public.who_data VALUES (82954, 0, 0, 0, 0, 351, 115);
INSERT INTO public.who_data VALUES (82955, 0, 1, 0, 0, 351, 99);
INSERT INTO public.who_data VALUES (82956, 0, 0, 0, 0, 351, 153);
INSERT INTO public.who_data VALUES (82957, 0, 0, 0, 0, 351, 93);
INSERT INTO public.who_data VALUES (82958, 0, 0, 0, 0, 351, 84);
INSERT INTO public.who_data VALUES (82959, 7, 13, 1, 1, 351, 78);
INSERT INTO public.who_data VALUES (82960, 0, 1, 0, 0, 351, 170);
INSERT INTO public.who_data VALUES (82961, 0, 0, 0, 0, 351, 32);
INSERT INTO public.who_data VALUES (82962, 8, 74, 0, 2, 351, 155);
INSERT INTO public.who_data VALUES (82963, 33, 74, 0, 0, 351, 82);
INSERT INTO public.who_data VALUES (82964, 3, 9, 0, 0, 351, 16);
INSERT INTO public.who_data VALUES (82965, 0, 0, 0, 0, 351, 72);
INSERT INTO public.who_data VALUES (82966, 7, 60, 0, 0, 351, 43);
INSERT INTO public.who_data VALUES (82967, 0, 0, 0, 0, 351, 120);
INSERT INTO public.who_data VALUES (82968, 0, 0, 0, 0, 351, 213);
INSERT INTO public.who_data VALUES (82969, 0, 6, 0, 0, 351, 31);
INSERT INTO public.who_data VALUES (82970, 110, 316, 0, 0, 351, 204);
INSERT INTO public.who_data VALUES (82971, 0, 0, 0, 0, 351, 152);
INSERT INTO public.who_data VALUES (82972, 0, 0, 0, 0, 351, 144);
INSERT INTO public.who_data VALUES (82973, 0, 0, 0, 0, 351, 96);
INSERT INTO public.who_data VALUES (82974, 0, 1, 0, 0, 351, 47);
INSERT INTO public.who_data VALUES (82975, 0, 0, 0, 0, 351, 80);
INSERT INTO public.who_data VALUES (82976, 0, 0, 0, 0, 351, 159);
INSERT INTO public.who_data VALUES (82977, 0, 2, 0, 0, 351, 27);
INSERT INTO public.who_data VALUES (82978, 0, 0, 0, 0, 351, 146);
INSERT INTO public.who_data VALUES (82979, 11, 23, 0, 0, 351, 71);
INSERT INTO public.who_data VALUES (82980, 0, 0, 0, 0, 351, 210);
INSERT INTO public.who_data VALUES (82981, 0, 0, 0, 0, 351, 54);
INSERT INTO public.who_data VALUES (82982, 0, 0, 0, 0, 351, 147);
INSERT INTO public.who_data VALUES (82983, 0, 0, 0, 0, 351, 2);
INSERT INTO public.who_data VALUES (82984, 0, 0, 0, 0, 351, 105);
INSERT INTO public.who_data VALUES (82985, 0, 0, 0, 0, 351, 53);
INSERT INTO public.who_data VALUES (82986, 1, 6, 0, 0, 351, 81);
INSERT INTO public.who_data VALUES (82987, 0, 6, 0, 0, 351, 223);
INSERT INTO public.who_data VALUES (82988, 8, 61, 0, 0, 351, 94);
INSERT INTO public.who_data VALUES (82989, 0, 0, 0, 0, 351, 154);
INSERT INTO public.who_data VALUES (82990, 0, 0, 0, 0, 351, 83);
INSERT INTO public.who_data VALUES (82991, 0, 0, 0, 0, 351, 194);
INSERT INTO public.who_data VALUES (82992, 0, 9, 0, 0, 351, 136);
INSERT INTO public.who_data VALUES (82993, 102, 80817, 28, 3073, 351, 179);
INSERT INTO public.who_data VALUES (82994, 0, 5, 0, 0, 351, 57);
INSERT INTO public.who_data VALUES (82995, 0, 0, 0, 0, 351, 35);
INSERT INTO public.who_data VALUES (82996, 0, 0, 0, 0, 351, 228);
INSERT INTO public.who_data VALUES (82997, 0, 0, 0, 0, 351, 19);
INSERT INTO public.who_data VALUES (82998, 0, 0, 0, 0, 351, 22);
INSERT INTO public.who_data VALUES (82999, 0, 0, 0, 0, 351, 1);
INSERT INTO public.who_data VALUES (83000, 1, 11, 0, 0, 351, 21);
INSERT INTO public.who_data VALUES (83001, 0, 0, 0, 0, 351, 234);
INSERT INTO public.who_data VALUES (83002, 0, 0, 0, 0, 351, 91);
INSERT INTO public.who_data VALUES (83003, 0, 0, 0, 0, 351, 137);
INSERT INTO public.who_data VALUES (83004, 7, 19, 0, 0, 351, 201);
INSERT INTO public.who_data VALUES (83005, 0, 0, 0, 0, 351, 171);
INSERT INTO public.who_data VALUES (83006, 0, 0, 0, 0, 351, 92);
INSERT INTO public.who_data VALUES (83007, 3, 23, 0, 0, 351, 112);
INSERT INTO public.who_data VALUES (83008, 0, 0, 0, 0, 351, 62);
INSERT INTO public.who_data VALUES (83009, 0, 0, 0, 0, 351, 69);
INSERT INTO public.who_data VALUES (83010, 0, 5, 0, 0, 351, 220);
INSERT INTO public.who_data VALUES (83011, 1, 18, 0, 0, 351, 100);
INSERT INTO public.who_data VALUES (83012, 45, 52, 0, 0, 351, 187);
INSERT INTO public.who_data VALUES (83013, 0, 0, 0, 0, 351, 63);
INSERT INTO public.who_data VALUES (83014, 0, 0, 0, 0, 351, 28);
INSERT INTO public.who_data VALUES (83015, 0, 0, 0, 0, 351, 172);
INSERT INTO public.who_data VALUES (83016, 5, 10, 0, 0, 351, 17);
INSERT INTO public.who_data VALUES (83017, 0, 0, 0, 0, 351, 226);
INSERT INTO public.who_data VALUES (83018, 0, 0, 0, 0, 351, 236);
INSERT INTO public.who_data VALUES (83019, 0, 0, 0, 0, 351, 76);
INSERT INTO public.who_data VALUES (83020, 1, 2, 0, 0, 351, 30);
INSERT INTO public.who_data VALUES (83021, 0, 0, 0, 0, 351, 128);
INSERT INTO public.who_data VALUES (83022, 7, 19, 0, 0, 351, 86);
INSERT INTO public.who_data VALUES (83023, 179, 595, 2, 9, 351, 140);
INSERT INTO public.who_data VALUES (83024, 5, 5, 0, 0, 351, 44);
INSERT INTO public.who_data VALUES (83025, 0, 0, 0, 0, 351, 113);
INSERT INTO public.who_data VALUES (83026, 0, 0, 0, 0, 351, 29);
INSERT INTO public.who_data VALUES (83027, 0, 0, 0, 0, 351, 125);
INSERT INTO public.who_data VALUES (83028, 0, 9, 0, 0, 351, 131);
INSERT INTO public.who_data VALUES (83029, 284, 684, 0, 0, 351, 46);
INSERT INTO public.who_data VALUES (83030, 0, 0, 0, 0, 351, 10);
INSERT INTO public.who_data VALUES (83031, 0, 1, 0, 0, 351, 205);
INSERT INTO public.who_data VALUES (83032, 13, 45, 0, 0, 351, 50);
INSERT INTO public.who_data VALUES (83033, 0, 0, 0, 0, 351, 20);
INSERT INTO public.who_data VALUES (83034, 0, 0, 0, 0, 351, 13);
INSERT INTO public.who_data VALUES (83035, 0, 0, 0, 0, 351, 148);
INSERT INTO public.who_data VALUES (83036, 0, 0, 0, 0, 351, 230);
INSERT INTO public.who_data VALUES (83037, 0, 0, 0, 0, 351, 190);
INSERT INTO public.who_data VALUES (83038, 0, 0, 0, 0, 351, 188);
INSERT INTO public.who_data VALUES (83039, 0, 0, 0, 0, 351, 123);
INSERT INTO public.who_data VALUES (83040, 0, 0, 0, 0, 351, 9);
INSERT INTO public.who_data VALUES (83041, 0, 0, 0, 0, 351, 102);
INSERT INTO public.who_data VALUES (83042, 0, 0, 0, 0, 351, 34);
INSERT INTO public.who_data VALUES (83043, 0, 1, 0, 0, 351, 212);
INSERT INTO public.who_data VALUES (83044, 0, 0, 0, 0, 351, 122);
INSERT INTO public.who_data VALUES (83045, 2, 4, 0, 0, 351, 38);
INSERT INTO public.who_data VALUES (83046, 8, 43, 0, 0, 351, 130);
INSERT INTO public.who_data VALUES (83047, 3, 38, 0, 0, 351, 37);
INSERT INTO public.who_data VALUES (83048, 0, 8, 0, 0, 351, 231);
INSERT INTO public.who_data VALUES (83049, 1076, 5827, 21, 145, 351, 107);
INSERT INTO public.who_data VALUES (83050, 10, 58, 0, 4, 351, 101);
INSERT INTO public.who_data VALUES (83051, 5, 18, 0, 0, 351, 132);
INSERT INTO public.who_data VALUES (83052, 0, 0, 0, 0, 351, 176);
INSERT INTO public.who_data VALUES (83053, 2, 17, 0, 0, 351, 200);
INSERT INTO public.who_data VALUES (83054, 778, 4636, 49, 197, 351, 169);
INSERT INTO public.who_data VALUES (83055, 0, 0, 0, 0, 351, 225);
INSERT INTO public.who_data VALUES (83056, 58, 411, 0, 6, 351, 165);
INSERT INTO public.who_data VALUES (83057, 0, 0, 0, 0, 351, 233);
INSERT INTO public.who_data VALUES (83058, 0, 5, 0, 0, 351, 215);
INSERT INTO public.who_data VALUES (83059, 0, 0, 0, 0, 351, 177);
INSERT INTO public.who_data VALUES (83060, 0, 0, 0, 0, 351, 183);
INSERT INTO public.who_data VALUES (83061, 0, 0, 0, 0, 351, 203);
INSERT INTO public.who_data VALUES (83062, 0, 0, 0, 0, 351, 162);
INSERT INTO public.who_data VALUES (83063, 3, 65, 0, 0, 351, 12);
INSERT INTO public.who_data VALUES (83064, 0, 0, 0, 0, 351, 24);
INSERT INTO public.who_data VALUES (83065, 0, 0, 0, 0, 351, 119);
INSERT INTO public.who_data VALUES (83066, 0, 1, 0, 0, 351, 39);
INSERT INTO public.who_data VALUES (83067, 0, 26, 0, 0, 351, 26);
INSERT INTO public.who_data VALUES (83068, 0, 0, 0, 0, 351, 59);
INSERT INTO public.who_data VALUES (83069, 0, 0, 0, 0, 351, 77);
INSERT INTO public.who_data VALUES (83070, 0, 0, 0, 0, 351, 134);
INSERT INTO public.who_data VALUES (83071, 0, 1, 0, 0, 351, 4);
INSERT INTO public.who_data VALUES (83072, 0, 1, 0, 0, 351, 109);
INSERT INTO public.who_data VALUES (83073, 2, 3, 0, 0, 351, 90);
INSERT INTO public.who_data VALUES (83074, 0, 0, 0, 0, 351, 61);
INSERT INTO public.who_data VALUES (83075, 0, 0, 0, 0, 351, 85);
INSERT INTO public.who_data VALUES (83076, 10, 97, 0, 0, 351, 49);
INSERT INTO public.who_data VALUES (83077, 6, 6, 0, 0, 351, 208);
INSERT INTO public.who_data VALUES (83078, 0, 0, 0, 0, 351, 166);
INSERT INTO public.who_data VALUES (83079, 1, 1, 0, 0, 351, 64);
INSERT INTO public.who_data VALUES (83080, 0, 0, 0, 0, 351, 199);
INSERT INTO public.who_data VALUES (83081, 6, 6, 0, 0, 351, 114);
INSERT INTO public.who_data VALUES (83082, 0, 0, 0, 0, 351, 60);
INSERT INTO public.who_data VALUES (83083, 0, 0, 0, 0, 351, 68);
INSERT INTO public.who_data VALUES (83084, 0, 0, 0, 0, 351, 158);
INSERT INTO public.who_data VALUES (83085, 0, 9, 0, 0, 351, 52);
INSERT INTO public.who_data VALUES (83086, 0, 0, 0, 0, 351, 117);
INSERT INTO public.who_data VALUES (83087, 0, 1, 0, 0, 351, 126);
INSERT INTO public.who_data VALUES (83088, 0, 0, 0, 0, 351, 196);
INSERT INTO public.who_data VALUES (83089, 0, 0, 0, 0, 351, 142);
INSERT INTO public.who_data VALUES (83090, 0, 0, 0, 0, 351, 185);
INSERT INTO public.who_data VALUES (83091, 0, 6, 0, 0, 351, 138);
INSERT INTO public.who_data VALUES (83092, 0, 0, 0, 0, 351, 181);
INSERT INTO public.who_data VALUES (83093, 0, 0, 0, 0, 351, 178);
INSERT INTO public.who_data VALUES (83094, 0, 0, 0, 0, 351, 168);
INSERT INTO public.who_data VALUES (83095, 0, 0, 0, 0, 351, 160);
INSERT INTO public.who_data VALUES (83096, 0, 5, 0, 0, 351, 151);
INSERT INTO public.who_data VALUES (83097, 40, 81, 1, 1, 351, 193);
INSERT INTO public.who_data VALUES (83098, 0, 0, 0, 0, 351, 18);
INSERT INTO public.who_data VALUES (83099, 1, 9, 0, 0, 351, 40);
INSERT INTO public.who_data VALUES (83100, 0, 0, 0, 0, 351, 218);
INSERT INTO public.who_data VALUES (83101, 0, 0, 0, 0, 351, 191);
INSERT INTO public.who_data VALUES (83102, 0, 5, 0, 0, 351, 156);
INSERT INTO public.who_data VALUES (83103, 0, 0, 0, 0, 351, 135);
INSERT INTO public.who_data VALUES (83104, 0, 0, 0, 0, 351, 88);
INSERT INTO public.who_data VALUES (83105, 2, 3, 0, 0, 351, 55);
INSERT INTO public.who_data VALUES (83106, 27, 113, 0, 0, 351, 108);
INSERT INTO public.who_data VALUES (83107, 0, 20, 0, 0, 351, 48);
INSERT INTO public.who_data VALUES (83108, 0, 20, 0, 0, 351, 3);
INSERT INTO public.who_data VALUES (83109, 0, 700, 0, 6, 351, 224);
INSERT INTO public.who_data VALUES (83110, 0, 9, 0, 0, 351, 110);
INSERT INTO public.who_data VALUES (83111, 0, 0, 0, 0, 351, 106);
INSERT INTO public.who_data VALUES (83112, 0, 0, 0, 0, 351, 89);
INSERT INTO public.who_data VALUES (83113, 0, 0, 0, 0, 351, 121);
INSERT INTO public.who_data VALUES (83114, 0, 0, 0, 0, 351, 163);
INSERT INTO public.who_data VALUES (83115, 10, 10, 0, 0, 351, 70);
INSERT INTO public.who_data VALUES (83116, 1, 10, 0, 1, 351, 174);
INSERT INTO public.who_data VALUES (83117, 0, 0, 0, 0, 351, 175);
INSERT INTO public.who_data VALUES (83118, 4, 5, 0, 0, 351, 118);
INSERT INTO public.who_data VALUES (83119, 4, 13, 0, 0, 351, 189);
INSERT INTO public.who_data VALUES (83120, 0, 0, 0, 0, 351, 124);
INSERT INTO public.who_data VALUES (83121, 1, 16, 0, 0, 351, 192);
INSERT INTO public.who_data VALUES (83122, 483, 6771, 2, 44, 351, 41);
INSERT INTO public.who_data VALUES (83123, 1, 1, 0, 0, 351, 95);
INSERT INTO public.who_data VALUES (83124, 0, 0, 0, 0, 351, 74);
INSERT INTO public.who_data VALUES (83125, 1, 7, 0, 0, 351, 11);
INSERT INTO public.who_data VALUES (83126, 0, 4, 0, 0, 351, 87);
INSERT INTO public.who_data VALUES (83127, 0, 0, 0, 0, 351, 214);
INSERT INTO public.who_data VALUES (83128, 0, 0, 0, 0, 351, 116);
INSERT INTO public.who_data VALUES (83129, 0, 1, 0, 0, 351, 157);
INSERT INTO public.who_data VALUES (83130, 0, 0, 0, 0, 351, 182);
INSERT INTO public.who_data VALUES (83131, 0, 0, 0, 0, 351, 186);
INSERT INTO public.who_data VALUES (83132, 0, 0, 0, 0, 351, 127);
INSERT INTO public.who_data VALUES (83133, 0, 6, 0, 0, 351, 232);
INSERT INTO public.who_data VALUES (83134, 0, 0, 0, 0, 351, 33);
INSERT INTO public.who_data VALUES (83135, 0, 0, 0, 0, 351, 97);
INSERT INTO public.who_data VALUES (83136, 0, 0, 0, 0, 351, 42);
INSERT INTO public.who_data VALUES (83137, 2, 24, 0, 1, 351, 198);
INSERT INTO public.who_data VALUES (83138, 0, 0, 0, 0, 351, 216);
INSERT INTO public.who_data VALUES (83139, 2, 11, 0, 0, 351, 164);
INSERT INTO public.who_data VALUES (83140, 0, 8, 0, 0, 351, 235);
INSERT INTO public.who_data VALUES (83141, 0, 1, 0, 0, 351, 67);
INSERT INTO public.who_data VALUES (83142, 0, 0, 0, 0, 351, 15);
INSERT INTO public.who_data VALUES (83143, 0, 0, 0, 0, 351, 180);
INSERT INTO public.who_data VALUES (83144, 8, 142, 0, 0, 351, 237);
INSERT INTO public.who_data VALUES (83145, 0, 0, 0, 0, 351, 25);
INSERT INTO public.who_data VALUES (83146, 0, 0, 0, 0, 351, 209);
INSERT INTO public.who_data VALUES (83147, 0, 1, 0, 0, 351, 217);
INSERT INTO public.who_data VALUES (83148, 5, 6, 0, 0, 351, 79);
INSERT INTO public.who_data VALUES (83149, 0, 0, 0, 0, 351, 143);
INSERT INTO public.who_data VALUES (83150, 0, 0, 0, 0, 351, 229);
INSERT INTO public.who_data VALUES (83151, 1, 6, 0, 0, 351, 141);
INSERT INTO public.who_data VALUES (83152, 0, 0, 0, 0, 351, 197);
INSERT INTO public.who_data VALUES (83153, 190, 593, 1, 5, 351, 221);
INSERT INTO public.who_data VALUES (83154, 0, 5, 0, 0, 351, 150);
INSERT INTO public.who_data VALUES (83155, 0, 0, 0, 0, 351, 56);
INSERT INTO public.who_data VALUES (83156, 0, 0, 0, 0, 351, 167);
INSERT INTO public.who_data VALUES (83157, 25, 87, 0, 0, 351, 23);
INSERT INTO public.who_data VALUES (83158, 73, 315, 0, 2, 351, 222);
INSERT INTO public.who_data VALUES (83159, 0, 0, 0, 0, 351, 219);
INSERT INTO public.who_data VALUES (83160, 0, 0, 0, 0, 351, 7);
INSERT INTO public.who_data VALUES (83161, 2, 54, 0, 1, 351, 161);
INSERT INTO public.who_data VALUES (83162, 51, 271, 1, 1, 351, 149);
INSERT INTO public.who_data VALUES (83163, 0, 0, 0, 0, 351, 6);
INSERT INTO public.who_data VALUES (83164, 5, 5, 0, 0, 351, 139);
INSERT INTO public.who_data VALUES (83165, 0, 0, 0, 0, 351, 211);
INSERT INTO public.who_data VALUES (83166, 0, 0, 0, 0, 351, 14);
INSERT INTO public.who_data VALUES (83167, 0, 0, 0, 0, 351, 111);
INSERT INTO public.who_data VALUES (83168, 0, 5, 0, 0, 351, 207);
INSERT INTO public.who_data VALUES (83169, 0, 0, 0, 0, 351, 66);
INSERT INTO public.who_data VALUES (83170, 0, 0, 0, 0, 351, 173);
INSERT INTO public.who_data VALUES (83171, 0, 0, 0, 0, 351, 145);
INSERT INTO public.who_data VALUES (83172, 0, 0, 0, 0, 351, 65);
INSERT INTO public.who_data VALUES (83173, 0, 0, 0, 0, 351, 184);
INSERT INTO public.who_data VALUES (83174, 0, 1, 0, 0, 351, 98);
INSERT INTO public.who_data VALUES (83175, 0, 49, 0, 0, 351, 104);
INSERT INTO public.who_data VALUES (83176, 0, 0, 0, 0, 351, 73);
INSERT INTO public.who_data VALUES (83177, 0, 217, 0, 11, 351, 8);
INSERT INTO public.who_data VALUES (83178, 0, 0, 0, 0, 351, 227);
INSERT INTO public.who_data VALUES (83179, 0, 0, 0, 0, 351, 75);
INSERT INTO public.who_data VALUES (83180, 0, 0, 0, 0, 351, 45);
INSERT INTO public.who_data VALUES (83181, 0, 0, 0, 0, 351, 133);
INSERT INTO public.who_data VALUES (83182, 0, 0, 0, 0, 351, 202);
INSERT INTO public.who_data VALUES (83183, 3, 24, 0, 0, 351, 129);
INSERT INTO public.who_data VALUES (83184, 0, 0, 0, 0, 351, 36);
INSERT INTO public.who_data VALUES (83185, 0, 0, 0, 0, 351, 51);
INSERT INTO public.who_data VALUES (83186, 0, 0, 0, 0, 351, 206);
INSERT INTO public.who_data VALUES (83187, 0, 0, 0, 0, 351, 5);
INSERT INTO public.who_data VALUES (83188, 0, 5, 0, 0, 352, 103);
INSERT INTO public.who_data VALUES (83189, 0, 0, 0, 0, 352, 58);
INSERT INTO public.who_data VALUES (83190, 5, 21, 0, 0, 352, 195);
INSERT INTO public.who_data VALUES (83191, 0, 0, 0, 0, 352, 115);
INSERT INTO public.who_data VALUES (83192, 0, 1, 0, 0, 352, 99);
INSERT INTO public.who_data VALUES (83193, 0, 0, 0, 0, 352, 153);
INSERT INTO public.who_data VALUES (83194, 0, 0, 0, 0, 352, 93);
INSERT INTO public.who_data VALUES (83195, 0, 0, 0, 0, 352, 84);
INSERT INTO public.who_data VALUES (83196, 1, 6, 0, 0, 352, 78);
INSERT INTO public.who_data VALUES (83197, 0, 1, 0, 0, 352, 170);
INSERT INTO public.who_data VALUES (83198, 0, 0, 0, 0, 352, 32);
INSERT INTO public.who_data VALUES (83199, 19, 66, 1, 2, 352, 155);
INSERT INTO public.who_data VALUES (83200, 12, 41, 0, 0, 352, 82);
INSERT INTO public.who_data VALUES (83201, 3, 6, 0, 0, 352, 16);
INSERT INTO public.who_data VALUES (83202, 0, 0, 0, 0, 352, 72);
INSERT INTO public.who_data VALUES (83203, 0, 53, 0, 0, 352, 43);
INSERT INTO public.who_data VALUES (83204, 0, 0, 0, 0, 352, 120);
INSERT INTO public.who_data VALUES (83205, 0, 0, 0, 0, 352, 213);
INSERT INTO public.who_data VALUES (83206, 0, 6, 0, 0, 352, 31);
INSERT INTO public.who_data VALUES (83207, 81, 206, 0, 0, 352, 204);
INSERT INTO public.who_data VALUES (83208, 0, 0, 0, 0, 352, 152);
INSERT INTO public.who_data VALUES (83209, 0, 0, 0, 0, 352, 144);
INSERT INTO public.who_data VALUES (83210, 0, 0, 0, 0, 352, 96);
INSERT INTO public.who_data VALUES (83211, 1, 1, 0, 0, 352, 47);
INSERT INTO public.who_data VALUES (83212, 0, 0, 0, 0, 352, 80);
INSERT INTO public.who_data VALUES (83213, 0, 0, 0, 0, 352, 159);
INSERT INTO public.who_data VALUES (83214, 0, 2, 0, 0, 352, 27);
INSERT INTO public.who_data VALUES (83215, 0, 0, 0, 0, 352, 146);
INSERT INTO public.who_data VALUES (83216, 1, 12, 0, 0, 352, 71);
INSERT INTO public.who_data VALUES (83217, 0, 0, 0, 0, 352, 210);
INSERT INTO public.who_data VALUES (83218, 0, 0, 0, 0, 352, 54);
INSERT INTO public.who_data VALUES (83219, 0, 0, 0, 0, 352, 147);
INSERT INTO public.who_data VALUES (83220, 0, 0, 0, 0, 352, 2);
INSERT INTO public.who_data VALUES (83221, 0, 0, 0, 0, 352, 105);
INSERT INTO public.who_data VALUES (83222, 0, 0, 0, 0, 352, 53);
INSERT INTO public.who_data VALUES (83223, 0, 5, 0, 0, 352, 81);
INSERT INTO public.who_data VALUES (83224, 6, 6, 0, 0, 352, 223);
INSERT INTO public.who_data VALUES (83225, 4, 53, 0, 0, 352, 94);
INSERT INTO public.who_data VALUES (83226, 0, 0, 0, 0, 352, 154);
INSERT INTO public.who_data VALUES (83227, 0, 0, 0, 0, 352, 83);
INSERT INTO public.who_data VALUES (83228, 0, 0, 0, 0, 352, 194);
INSERT INTO public.who_data VALUES (83229, 4, 9, 0, 0, 352, 136);
INSERT INTO public.who_data VALUES (83230, 146, 80715, 30, 3045, 352, 179);
INSERT INTO public.who_data VALUES (83231, 5, 5, 0, 0, 352, 57);
INSERT INTO public.who_data VALUES (83232, 0, 0, 0, 0, 352, 35);
INSERT INTO public.who_data VALUES (83233, 0, 0, 0, 0, 352, 228);
INSERT INTO public.who_data VALUES (83234, 0, 0, 0, 0, 352, 19);
INSERT INTO public.who_data VALUES (83235, 0, 0, 0, 0, 352, 22);
INSERT INTO public.who_data VALUES (83236, 0, 0, 0, 0, 352, 1);
INSERT INTO public.who_data VALUES (83237, 1, 10, 0, 0, 352, 21);
INSERT INTO public.who_data VALUES (83238, 0, 0, 0, 0, 352, 234);
INSERT INTO public.who_data VALUES (83239, 0, 0, 0, 0, 352, 91);
INSERT INTO public.who_data VALUES (83240, 0, 0, 0, 0, 352, 137);
INSERT INTO public.who_data VALUES (83241, 4, 12, 0, 0, 352, 201);
INSERT INTO public.who_data VALUES (83242, 0, 0, 0, 0, 352, 171);
INSERT INTO public.who_data VALUES (83243, 0, 0, 0, 0, 352, 92);
INSERT INTO public.who_data VALUES (83244, 10, 20, 0, 0, 352, 112);
INSERT INTO public.who_data VALUES (83245, 0, 0, 0, 0, 352, 62);
INSERT INTO public.who_data VALUES (83246, 0, 0, 0, 0, 352, 69);
INSERT INTO public.who_data VALUES (83247, 0, 5, 0, 0, 352, 220);
INSERT INTO public.who_data VALUES (83248, 0, 17, 0, 0, 352, 100);
INSERT INTO public.who_data VALUES (83249, 0, 7, 0, 0, 352, 187);
INSERT INTO public.who_data VALUES (83250, 0, 0, 0, 0, 352, 63);
INSERT INTO public.who_data VALUES (83251, 0, 0, 0, 0, 352, 28);
INSERT INTO public.who_data VALUES (83252, 0, 0, 0, 0, 352, 172);
INSERT INTO public.who_data VALUES (83253, 3, 5, 0, 0, 352, 17);
INSERT INTO public.who_data VALUES (83254, 0, 0, 0, 0, 352, 226);
INSERT INTO public.who_data VALUES (83255, 0, 0, 0, 0, 352, 236);
INSERT INTO public.who_data VALUES (83256, 0, 0, 0, 0, 352, 76);
INSERT INTO public.who_data VALUES (83257, 1, 1, 0, 0, 352, 30);
INSERT INTO public.who_data VALUES (83258, 0, 0, 0, 0, 352, 128);
INSERT INTO public.who_data VALUES (83259, 5, 12, 0, 0, 352, 86);
INSERT INTO public.who_data VALUES (83260, 138, 416, 3, 7, 352, 140);
INSERT INTO public.who_data VALUES (83261, 0, 0, 0, 0, 352, 44);
INSERT INTO public.who_data VALUES (83262, 0, 0, 0, 0, 352, 113);
INSERT INTO public.who_data VALUES (83263, 0, 0, 0, 0, 352, 29);
INSERT INTO public.who_data VALUES (83264, 0, 0, 0, 0, 352, 125);
INSERT INTO public.who_data VALUES (83265, 6, 9, 0, 0, 352, 131);
INSERT INTO public.who_data VALUES (83266, 138, 400, 0, 0, 352, 46);
INSERT INTO public.who_data VALUES (83267, 0, 0, 0, 0, 352, 10);
INSERT INTO public.who_data VALUES (83268, 0, 1, 0, 0, 352, 205);
INSERT INTO public.who_data VALUES (83269, 22, 32, 0, 0, 352, 50);
INSERT INTO public.who_data VALUES (83270, 0, 0, 0, 0, 352, 20);
INSERT INTO public.who_data VALUES (83271, 0, 0, 0, 0, 352, 13);
INSERT INTO public.who_data VALUES (83272, 0, 0, 0, 0, 352, 148);
INSERT INTO public.who_data VALUES (83273, 0, 0, 0, 0, 352, 230);
INSERT INTO public.who_data VALUES (83274, 0, 0, 0, 0, 352, 190);
INSERT INTO public.who_data VALUES (83275, 0, 0, 0, 0, 352, 188);
INSERT INTO public.who_data VALUES (83276, 0, 0, 0, 0, 352, 123);
INSERT INTO public.who_data VALUES (83277, 0, 0, 0, 0, 352, 9);
INSERT INTO public.who_data VALUES (83278, 0, 0, 0, 0, 352, 102);
INSERT INTO public.who_data VALUES (83279, 0, 0, 0, 0, 352, 34);
INSERT INTO public.who_data VALUES (83280, 1, 1, 0, 0, 352, 212);
INSERT INTO public.who_data VALUES (83281, 0, 0, 0, 0, 352, 122);
INSERT INTO public.who_data VALUES (83282, 0, 2, 0, 0, 352, 38);
INSERT INTO public.who_data VALUES (83283, 9, 35, 0, 0, 352, 130);
INSERT INTO public.who_data VALUES (83284, 3, 35, 0, 0, 352, 37);
INSERT INTO public.who_data VALUES (83285, 2, 8, 0, 0, 352, 231);
INSERT INTO public.who_data VALUES (83286, 1234, 4751, 17, 124, 352, 107);
INSERT INTO public.who_data VALUES (83287, 8, 48, 2, 4, 352, 101);
INSERT INTO public.who_data VALUES (83288, 7, 13, 0, 0, 352, 132);
INSERT INTO public.who_data VALUES (83289, 0, 0, 0, 0, 352, 176);
INSERT INTO public.who_data VALUES (83290, 0, 15, 0, 0, 352, 200);
INSERT INTO public.who_data VALUES (83291, 769, 3858, 41, 148, 352, 169);
INSERT INTO public.who_data VALUES (83292, 0, 0, 0, 0, 352, 225);
INSERT INTO public.who_data VALUES (83293, 0, 353, 0, 6, 352, 165);
INSERT INTO public.who_data VALUES (83294, 0, 0, 0, 0, 352, 233);
INSERT INTO public.who_data VALUES (83295, 0, 5, 0, 0, 352, 215);
INSERT INTO public.who_data VALUES (83296, 0, 0, 0, 0, 352, 177);
INSERT INTO public.who_data VALUES (83297, 0, 0, 0, 0, 352, 183);
INSERT INTO public.who_data VALUES (83298, 0, 0, 0, 0, 352, 203);
INSERT INTO public.who_data VALUES (83299, 0, 0, 0, 0, 352, 162);
INSERT INTO public.who_data VALUES (83300, 0, 62, 0, 0, 352, 12);
INSERT INTO public.who_data VALUES (83301, 0, 0, 0, 0, 352, 24);
INSERT INTO public.who_data VALUES (83302, 0, 0, 0, 0, 352, 119);
INSERT INTO public.who_data VALUES (83303, 0, 1, 0, 0, 352, 39);
INSERT INTO public.who_data VALUES (83304, 6, 26, 0, 0, 352, 26);
INSERT INTO public.who_data VALUES (83305, 0, 0, 0, 0, 352, 59);
INSERT INTO public.who_data VALUES (83306, 0, 0, 0, 0, 352, 77);
INSERT INTO public.who_data VALUES (83307, 0, 0, 0, 0, 352, 134);
INSERT INTO public.who_data VALUES (83308, 0, 1, 0, 0, 352, 4);
INSERT INTO public.who_data VALUES (83309, 0, 1, 0, 0, 352, 109);
INSERT INTO public.who_data VALUES (83310, 0, 1, 0, 0, 352, 90);
INSERT INTO public.who_data VALUES (83311, 0, 0, 0, 0, 352, 61);
INSERT INTO public.who_data VALUES (83312, 0, 0, 0, 0, 352, 85);
INSERT INTO public.who_data VALUES (83313, 33, 87, 0, 0, 352, 49);
INSERT INTO public.who_data VALUES (83314, 0, 0, 0, 0, 352, 208);
INSERT INTO public.who_data VALUES (83315, 0, 0, 0, 0, 352, 166);
INSERT INTO public.who_data VALUES (83316, 0, 0, 0, 0, 352, 64);
INSERT INTO public.who_data VALUES (83317, 0, 0, 0, 0, 352, 199);
INSERT INTO public.who_data VALUES (83318, 0, 0, 0, 0, 352, 114);
INSERT INTO public.who_data VALUES (83319, 0, 0, 0, 0, 352, 60);
INSERT INTO public.who_data VALUES (83320, 0, 0, 0, 0, 352, 68);
INSERT INTO public.who_data VALUES (83321, 0, 0, 0, 0, 352, 158);
INSERT INTO public.who_data VALUES (83322, 0, 9, 0, 0, 352, 52);
INSERT INTO public.who_data VALUES (83323, 0, 0, 0, 0, 352, 117);
INSERT INTO public.who_data VALUES (83324, 0, 1, 0, 0, 352, 126);
INSERT INTO public.who_data VALUES (83325, 0, 0, 0, 0, 352, 196);
INSERT INTO public.who_data VALUES (83326, 0, 0, 0, 0, 352, 142);
INSERT INTO public.who_data VALUES (83327, 0, 0, 0, 0, 352, 185);
INSERT INTO public.who_data VALUES (83328, 0, 6, 0, 0, 352, 138);
INSERT INTO public.who_data VALUES (83329, 0, 0, 0, 0, 352, 181);
INSERT INTO public.who_data VALUES (83330, 0, 0, 0, 0, 352, 178);
INSERT INTO public.who_data VALUES (83331, 0, 0, 0, 0, 352, 168);
INSERT INTO public.who_data VALUES (83332, 0, 0, 0, 0, 352, 160);
INSERT INTO public.who_data VALUES (83333, 0, 5, 0, 0, 352, 151);
INSERT INTO public.who_data VALUES (83334, 17, 41, 0, 0, 352, 193);
INSERT INTO public.who_data VALUES (83335, 0, 0, 0, 0, 352, 18);
INSERT INTO public.who_data VALUES (83336, 2, 8, 0, 0, 352, 40);
INSERT INTO public.who_data VALUES (83337, 0, 0, 0, 0, 352, 218);
INSERT INTO public.who_data VALUES (83338, 0, 0, 0, 0, 352, 191);
INSERT INTO public.who_data VALUES (83339, 0, 5, 0, 0, 352, 156);
INSERT INTO public.who_data VALUES (83340, 0, 0, 0, 0, 352, 135);
INSERT INTO public.who_data VALUES (83341, 0, 0, 0, 0, 352, 88);
INSERT INTO public.who_data VALUES (83342, 0, 1, 0, 0, 352, 55);
INSERT INTO public.who_data VALUES (83343, 30, 86, 0, 0, 352, 108);
INSERT INTO public.who_data VALUES (83344, 9, 20, 0, 0, 352, 48);
INSERT INTO public.who_data VALUES (83345, 0, 20, 0, 0, 352, 3);
INSERT INTO public.who_data VALUES (83346, 0, 700, 0, 6, 352, 224);
INSERT INTO public.who_data VALUES (83347, 0, 9, 0, 0, 352, 110);
INSERT INTO public.who_data VALUES (83348, 0, 0, 0, 0, 352, 106);
INSERT INTO public.who_data VALUES (83349, 0, 0, 0, 0, 352, 89);
INSERT INTO public.who_data VALUES (83350, 0, 0, 0, 0, 352, 121);
INSERT INTO public.who_data VALUES (83351, 0, 0, 0, 0, 352, 163);
INSERT INTO public.who_data VALUES (83352, 0, 0, 0, 0, 352, 70);
INSERT INTO public.who_data VALUES (83353, 2, 9, 0, 1, 352, 174);
INSERT INTO public.who_data VALUES (83354, 0, 0, 0, 0, 352, 175);
INSERT INTO public.who_data VALUES (83355, 0, 1, 0, 0, 352, 118);
INSERT INTO public.who_data VALUES (83356, 4, 9, 0, 0, 352, 189);
INSERT INTO public.who_data VALUES (83357, 0, 0, 0, 0, 352, 124);
INSERT INTO public.who_data VALUES (83358, 3, 15, 0, 0, 352, 192);
INSERT INTO public.who_data VALUES (83359, 518, 6288, 7, 42, 352, 41);
INSERT INTO public.who_data VALUES (83360, 0, 0, 0, 0, 352, 95);
INSERT INTO public.who_data VALUES (83361, 0, 0, 0, 0, 352, 74);
INSERT INTO public.who_data VALUES (83362, 2, 6, 0, 0, 352, 11);
INSERT INTO public.who_data VALUES (83363, 1, 4, 0, 0, 352, 87);
INSERT INTO public.who_data VALUES (83364, 0, 0, 0, 0, 352, 214);
INSERT INTO public.who_data VALUES (83365, 0, 0, 0, 0, 352, 116);
INSERT INTO public.who_data VALUES (83366, 0, 1, 0, 0, 352, 157);
INSERT INTO public.who_data VALUES (83367, 0, 0, 0, 0, 352, 182);
INSERT INTO public.who_data VALUES (83368, 0, 0, 0, 0, 352, 186);
INSERT INTO public.who_data VALUES (83369, 0, 0, 0, 0, 352, 127);
INSERT INTO public.who_data VALUES (83370, 0, 6, 0, 0, 352, 232);
INSERT INTO public.who_data VALUES (83371, 0, 0, 0, 0, 352, 33);
INSERT INTO public.who_data VALUES (83372, 0, 0, 0, 0, 352, 97);
INSERT INTO public.who_data VALUES (83373, 0, 0, 0, 0, 352, 42);
INSERT INTO public.who_data VALUES (83374, 6, 22, 0, 1, 352, 198);
INSERT INTO public.who_data VALUES (83375, 0, 0, 0, 0, 352, 216);
INSERT INTO public.who_data VALUES (83376, 0, 9, 0, 0, 352, 164);
INSERT INTO public.who_data VALUES (83377, 0, 8, 0, 0, 352, 235);
INSERT INTO public.who_data VALUES (83378, 1, 1, 0, 0, 352, 67);
INSERT INTO public.who_data VALUES (83379, 0, 0, 0, 0, 352, 15);
INSERT INTO public.who_data VALUES (83380, 0, 0, 0, 0, 352, 180);
INSERT INTO public.who_data VALUES (83381, 13, 134, 0, 0, 352, 237);
INSERT INTO public.who_data VALUES (83382, 0, 0, 0, 0, 352, 25);
INSERT INTO public.who_data VALUES (83383, 0, 0, 0, 0, 352, 209);
INSERT INTO public.who_data VALUES (83384, 1, 1, 0, 0, 352, 217);
INSERT INTO public.who_data VALUES (83385, 0, 1, 0, 0, 352, 79);
INSERT INTO public.who_data VALUES (83386, 0, 0, 0, 0, 352, 143);
INSERT INTO public.who_data VALUES (83387, 0, 0, 0, 0, 352, 229);
INSERT INTO public.who_data VALUES (83388, 0, 5, 0, 0, 352, 141);
INSERT INTO public.who_data VALUES (83389, 0, 0, 0, 0, 352, 197);
INSERT INTO public.who_data VALUES (83390, 100, 403, 2, 4, 352, 221);
INSERT INTO public.who_data VALUES (83391, 0, 5, 0, 0, 352, 150);
INSERT INTO public.who_data VALUES (83392, 0, 0, 0, 0, 352, 56);
INSERT INTO public.who_data VALUES (83393, 0, 0, 0, 0, 352, 167);
INSERT INTO public.who_data VALUES (83394, 30, 62, 0, 0, 352, 23);
INSERT INTO public.who_data VALUES (83395, 62, 242, 0, 2, 352, 222);
INSERT INTO public.who_data VALUES (83396, 0, 0, 0, 0, 352, 219);
INSERT INTO public.who_data VALUES (83397, 0, 0, 0, 0, 352, 7);
INSERT INTO public.who_data VALUES (83398, 1, 52, 0, 1, 352, 161);
INSERT INTO public.who_data VALUES (83399, 56, 220, 0, 0, 352, 149);
INSERT INTO public.who_data VALUES (83400, 0, 0, 0, 0, 352, 6);
INSERT INTO public.who_data VALUES (83401, 0, 0, 0, 0, 352, 139);
INSERT INTO public.who_data VALUES (83402, 0, 0, 0, 0, 352, 211);
INSERT INTO public.who_data VALUES (83403, 0, 0, 0, 0, 352, 14);
INSERT INTO public.who_data VALUES (83404, 0, 0, 0, 0, 352, 111);
INSERT INTO public.who_data VALUES (83405, 0, 5, 0, 0, 352, 207);
INSERT INTO public.who_data VALUES (83406, 0, 0, 0, 0, 352, 66);
INSERT INTO public.who_data VALUES (83407, 0, 0, 0, 0, 352, 173);
INSERT INTO public.who_data VALUES (83408, 0, 0, 0, 0, 352, 145);
INSERT INTO public.who_data VALUES (83409, 0, 0, 0, 0, 352, 65);
INSERT INTO public.who_data VALUES (83410, 0, 0, 0, 0, 352, 184);
INSERT INTO public.who_data VALUES (83411, 0, 1, 0, 0, 352, 98);
INSERT INTO public.who_data VALUES (83412, 18, 49, 0, 0, 352, 104);
INSERT INTO public.who_data VALUES (83413, 0, 0, 0, 0, 352, 73);
INSERT INTO public.who_data VALUES (83414, 84, 217, 2, 11, 352, 8);
INSERT INTO public.who_data VALUES (83415, 0, 0, 0, 0, 352, 227);
INSERT INTO public.who_data VALUES (83416, 0, 0, 0, 0, 352, 75);
INSERT INTO public.who_data VALUES (83417, 0, 0, 0, 0, 352, 45);
INSERT INTO public.who_data VALUES (83418, 0, 0, 0, 0, 352, 133);
INSERT INTO public.who_data VALUES (83419, 0, 0, 0, 0, 352, 202);
INSERT INTO public.who_data VALUES (83420, 1, 21, 0, 0, 352, 129);
INSERT INTO public.who_data VALUES (83421, 0, 0, 0, 0, 352, 36);
INSERT INTO public.who_data VALUES (83422, 0, 0, 0, 0, 352, 51);
INSERT INTO public.who_data VALUES (83423, 0, 0, 0, 0, 352, 206);
INSERT INTO public.who_data VALUES (83424, 0, 0, 0, 0, 352, 5);
INSERT INTO public.who_data VALUES (83425, 0, 5, 0, 0, 353, 103);
INSERT INTO public.who_data VALUES (83426, 0, 0, 0, 0, 353, 58);
INSERT INTO public.who_data VALUES (83427, 0, 16, 0, 0, 353, 195);
INSERT INTO public.who_data VALUES (83428, 0, 0, 0, 0, 353, 115);
INSERT INTO public.who_data VALUES (83429, 0, 1, 0, 0, 353, 99);
INSERT INTO public.who_data VALUES (83430, 0, 0, 0, 0, 353, 153);
INSERT INTO public.who_data VALUES (83431, 0, 0, 0, 0, 353, 93);
INSERT INTO public.who_data VALUES (83432, 0, 0, 0, 0, 353, 84);
INSERT INTO public.who_data VALUES (83433, 0, 5, 0, 0, 353, 78);
INSERT INTO public.who_data VALUES (83434, 0, 1, 0, 0, 353, 170);
INSERT INTO public.who_data VALUES (83435, 0, 0, 0, 0, 353, 32);
INSERT INTO public.who_data VALUES (83436, 10, 47, 0, 1, 353, 155);
INSERT INTO public.who_data VALUES (83437, 5, 29, 0, 0, 353, 82);
INSERT INTO public.who_data VALUES (83438, 0, 3, 0, 0, 353, 16);
INSERT INTO public.who_data VALUES (83439, 0, 0, 0, 0, 353, 72);
INSERT INTO public.who_data VALUES (83440, 0, 53, 0, 0, 353, 43);
INSERT INTO public.who_data VALUES (83441, 0, 0, 0, 0, 353, 120);
INSERT INTO public.who_data VALUES (83442, 0, 0, 0, 0, 353, 213);
INSERT INTO public.who_data VALUES (83443, 5, 6, 0, 0, 353, 31);
INSERT INTO public.who_data VALUES (83444, 53, 125, 0, 0, 353, 204);
INSERT INTO public.who_data VALUES (83445, 0, 0, 0, 0, 353, 152);
INSERT INTO public.who_data VALUES (83446, 0, 0, 0, 0, 353, 144);
INSERT INTO public.who_data VALUES (83447, 0, 0, 0, 0, 353, 96);
INSERT INTO public.who_data VALUES (83448, 0, 0, 0, 0, 353, 47);
INSERT INTO public.who_data VALUES (83449, 0, 0, 0, 0, 353, 80);
INSERT INTO public.who_data VALUES (83450, 0, 0, 0, 0, 353, 159);
INSERT INTO public.who_data VALUES (83451, 2, 2, 0, 0, 353, 27);
INSERT INTO public.who_data VALUES (83452, 0, 0, 0, 0, 353, 146);
INSERT INTO public.who_data VALUES (83453, 4, 11, 0, 0, 353, 71);
INSERT INTO public.who_data VALUES (83454, 0, 0, 0, 0, 353, 210);
INSERT INTO public.who_data VALUES (83455, 0, 0, 0, 0, 353, 54);
INSERT INTO public.who_data VALUES (83456, 0, 0, 0, 0, 353, 147);
INSERT INTO public.who_data VALUES (83457, 0, 0, 0, 0, 353, 2);
INSERT INTO public.who_data VALUES (83458, 0, 0, 0, 0, 353, 105);
INSERT INTO public.who_data VALUES (83459, 0, 0, 0, 0, 353, 53);
INSERT INTO public.who_data VALUES (83460, 0, 5, 0, 0, 353, 81);
INSERT INTO public.who_data VALUES (83461, 0, 0, 0, 0, 353, 223);
INSERT INTO public.who_data VALUES (83462, 15, 49, 0, 0, 353, 94);
INSERT INTO public.who_data VALUES (83463, 0, 0, 0, 0, 353, 154);
INSERT INTO public.who_data VALUES (83464, 0, 0, 0, 0, 353, 83);
INSERT INTO public.who_data VALUES (83465, 0, 0, 0, 0, 353, 194);
INSERT INTO public.who_data VALUES (83466, 0, 5, 0, 0, 353, 136);
INSERT INTO public.who_data VALUES (83467, 143, 80569, 31, 3015, 353, 179);
INSERT INTO public.who_data VALUES (83468, 0, 0, 0, 0, 353, 57);
INSERT INTO public.who_data VALUES (83469, 0, 0, 0, 0, 353, 35);
INSERT INTO public.who_data VALUES (83470, 0, 0, 0, 0, 353, 228);
INSERT INTO public.who_data VALUES (83471, 0, 0, 0, 0, 353, 19);
INSERT INTO public.who_data VALUES (83472, 0, 0, 0, 0, 353, 22);
INSERT INTO public.who_data VALUES (83473, 0, 0, 0, 0, 353, 1);
INSERT INTO public.who_data VALUES (83474, 0, 9, 0, 0, 353, 21);
INSERT INTO public.who_data VALUES (83475, 0, 0, 0, 0, 353, 234);
INSERT INTO public.who_data VALUES (83476, 0, 0, 0, 0, 353, 91);
INSERT INTO public.who_data VALUES (83477, 0, 0, 0, 0, 353, 137);
INSERT INTO public.who_data VALUES (83478, 3, 8, 0, 0, 353, 201);
INSERT INTO public.who_data VALUES (83479, 0, 0, 0, 0, 353, 171);
INSERT INTO public.who_data VALUES (83480, 0, 0, 0, 0, 353, 92);
INSERT INTO public.who_data VALUES (83481, 2, 10, 0, 0, 353, 112);
INSERT INTO public.who_data VALUES (83482, 0, 0, 0, 0, 353, 62);
INSERT INTO public.who_data VALUES (83483, 0, 0, 0, 0, 353, 69);
INSERT INTO public.who_data VALUES (83484, 0, 5, 0, 0, 353, 220);
INSERT INTO public.who_data VALUES (83485, 6, 17, 0, 0, 353, 100);
INSERT INTO public.who_data VALUES (83486, 1, 7, 0, 0, 353, 187);
INSERT INTO public.who_data VALUES (83487, 0, 0, 0, 0, 353, 63);
INSERT INTO public.who_data VALUES (83488, 0, 0, 0, 0, 353, 28);
INSERT INTO public.who_data VALUES (83489, 0, 0, 0, 0, 353, 172);
INSERT INTO public.who_data VALUES (83490, 0, 2, 0, 0, 353, 17);
INSERT INTO public.who_data VALUES (83491, 0, 0, 0, 0, 353, 226);
INSERT INTO public.who_data VALUES (83492, 0, 0, 0, 0, 353, 236);
INSERT INTO public.who_data VALUES (83493, 0, 0, 0, 0, 353, 76);
INSERT INTO public.who_data VALUES (83494, 0, 0, 0, 0, 353, 30);
INSERT INTO public.who_data VALUES (83495, 0, 0, 0, 0, 353, 128);
INSERT INTO public.who_data VALUES (83496, 0, 7, 0, 0, 353, 86);
INSERT INTO public.who_data VALUES (83497, 73, 278, 0, 4, 353, 140);
INSERT INTO public.who_data VALUES (83498, 0, 0, 0, 0, 353, 44);
INSERT INTO public.who_data VALUES (83499, 0, 0, 0, 0, 353, 113);
INSERT INTO public.who_data VALUES (83500, 0, 0, 0, 0, 353, 29);
INSERT INTO public.who_data VALUES (83501, 0, 0, 0, 0, 353, 125);
INSERT INTO public.who_data VALUES (83502, 0, 3, 0, 0, 353, 131);
INSERT INTO public.who_data VALUES (83503, 66, 262, 0, 0, 353, 46);
INSERT INTO public.who_data VALUES (83504, 0, 0, 0, 0, 353, 10);
INSERT INTO public.who_data VALUES (83505, 0, 1, 0, 0, 353, 205);
INSERT INTO public.who_data VALUES (83506, 3, 10, 0, 0, 353, 50);
INSERT INTO public.who_data VALUES (83507, 0, 0, 0, 0, 353, 20);
INSERT INTO public.who_data VALUES (83508, 0, 0, 0, 0, 353, 13);
INSERT INTO public.who_data VALUES (83509, 0, 0, 0, 0, 353, 148);
INSERT INTO public.who_data VALUES (83510, 0, 0, 0, 0, 353, 230);
INSERT INTO public.who_data VALUES (83511, 0, 0, 0, 0, 353, 190);
INSERT INTO public.who_data VALUES (83512, 0, 0, 0, 0, 353, 188);
INSERT INTO public.who_data VALUES (83513, 0, 0, 0, 0, 353, 123);
INSERT INTO public.who_data VALUES (83514, 0, 0, 0, 0, 353, 9);
INSERT INTO public.who_data VALUES (83515, 0, 0, 0, 0, 353, 102);
INSERT INTO public.who_data VALUES (83516, 0, 0, 0, 0, 353, 34);
INSERT INTO public.who_data VALUES (83517, 0, 0, 0, 0, 353, 212);
INSERT INTO public.who_data VALUES (83518, 0, 0, 0, 0, 353, 122);
INSERT INTO public.who_data VALUES (83519, 2, 2, 0, 0, 353, 38);
INSERT INTO public.who_data VALUES (83520, 10, 26, 0, 0, 353, 130);
INSERT INTO public.who_data VALUES (83521, 1, 32, 0, 0, 353, 37);
INSERT INTO public.who_data VALUES (83522, 0, 6, 0, 0, 353, 231);
INSERT INTO public.who_data VALUES (83523, 591, 3517, 15, 107, 353, 107);
INSERT INTO public.who_data VALUES (83524, 0, 40, 0, 2, 353, 101);
INSERT INTO public.who_data VALUES (83525, 4, 6, 0, 0, 353, 132);
INSERT INTO public.who_data VALUES (83526, 0, 0, 0, 0, 353, 176);
INSERT INTO public.who_data VALUES (83527, 3, 15, 0, 0, 353, 200);
INSERT INTO public.who_data VALUES (83528, 587, 3089, 27, 107, 353, 169);
INSERT INTO public.who_data VALUES (83529, 0, 0, 0, 0, 353, 225);
INSERT INTO public.who_data VALUES (83530, 62, 353, 0, 6, 353, 165);
INSERT INTO public.who_data VALUES (83531, 0, 0, 0, 0, 353, 233);
INSERT INTO public.who_data VALUES (83532, 0, 5, 0, 0, 353, 215);
INSERT INTO public.who_data VALUES (83533, 0, 0, 0, 0, 353, 177);
INSERT INTO public.who_data VALUES (83534, 0, 0, 0, 0, 353, 183);
INSERT INTO public.who_data VALUES (83535, 0, 0, 0, 0, 353, 203);
INSERT INTO public.who_data VALUES (83536, 0, 0, 0, 0, 353, 162);
INSERT INTO public.who_data VALUES (83537, 2, 62, 0, 0, 353, 12);
INSERT INTO public.who_data VALUES (83538, 0, 0, 0, 0, 353, 24);
INSERT INTO public.who_data VALUES (83539, 0, 0, 0, 0, 353, 119);
INSERT INTO public.who_data VALUES (83540, 0, 1, 0, 0, 353, 39);
INSERT INTO public.who_data VALUES (83541, 3, 20, 0, 0, 353, 26);
INSERT INTO public.who_data VALUES (83542, 0, 0, 0, 0, 353, 59);
INSERT INTO public.who_data VALUES (83543, 0, 0, 0, 0, 353, 77);
INSERT INTO public.who_data VALUES (83544, 0, 0, 0, 0, 353, 134);
INSERT INTO public.who_data VALUES (83545, 0, 1, 0, 0, 353, 4);
INSERT INTO public.who_data VALUES (83546, 0, 1, 0, 0, 353, 109);
INSERT INTO public.who_data VALUES (83547, 0, 1, 0, 0, 353, 90);
INSERT INTO public.who_data VALUES (83548, 0, 0, 0, 0, 353, 61);
INSERT INTO public.who_data VALUES (83549, 0, 0, 0, 0, 353, 85);
INSERT INTO public.who_data VALUES (83550, 14, 54, 0, 0, 353, 49);
INSERT INTO public.who_data VALUES (83551, 0, 0, 0, 0, 353, 208);
INSERT INTO public.who_data VALUES (83552, 0, 0, 0, 0, 353, 166);
INSERT INTO public.who_data VALUES (83553, 0, 0, 0, 0, 353, 64);
INSERT INTO public.who_data VALUES (83554, 0, 0, 0, 0, 353, 199);
INSERT INTO public.who_data VALUES (83555, 0, 0, 0, 0, 353, 114);
INSERT INTO public.who_data VALUES (83556, 0, 0, 0, 0, 353, 60);
INSERT INTO public.who_data VALUES (83557, 0, 0, 0, 0, 353, 68);
INSERT INTO public.who_data VALUES (83558, 0, 0, 0, 0, 353, 158);
INSERT INTO public.who_data VALUES (83559, 0, 9, 0, 0, 353, 52);
INSERT INTO public.who_data VALUES (83560, 0, 0, 0, 0, 353, 117);
INSERT INTO public.who_data VALUES (83561, 0, 1, 0, 0, 353, 126);
INSERT INTO public.who_data VALUES (83562, 0, 0, 0, 0, 353, 196);
INSERT INTO public.who_data VALUES (83563, 0, 0, 0, 0, 353, 142);
INSERT INTO public.who_data VALUES (83564, 0, 0, 0, 0, 353, 185);
INSERT INTO public.who_data VALUES (83565, 1, 6, 0, 0, 353, 138);
INSERT INTO public.who_data VALUES (83566, 0, 0, 0, 0, 353, 181);
INSERT INTO public.who_data VALUES (83567, 0, 0, 0, 0, 353, 178);
INSERT INTO public.who_data VALUES (83568, 0, 0, 0, 0, 353, 168);
INSERT INTO public.who_data VALUES (83569, 0, 0, 0, 0, 353, 160);
INSERT INTO public.who_data VALUES (83570, 0, 5, 0, 0, 353, 151);
INSERT INTO public.who_data VALUES (83571, 10, 24, 0, 0, 353, 193);
INSERT INTO public.who_data VALUES (83572, 0, 0, 0, 0, 353, 18);
INSERT INTO public.who_data VALUES (83573, 0, 6, 0, 0, 353, 40);
INSERT INTO public.who_data VALUES (83574, 0, 0, 0, 0, 353, 218);
INSERT INTO public.who_data VALUES (83575, 0, 0, 0, 0, 353, 191);
INSERT INTO public.who_data VALUES (83576, 0, 5, 0, 0, 353, 156);
INSERT INTO public.who_data VALUES (83577, 0, 0, 0, 0, 353, 135);
INSERT INTO public.who_data VALUES (83578, 0, 0, 0, 0, 353, 88);
INSERT INTO public.who_data VALUES (83579, 0, 1, 0, 0, 353, 55);
INSERT INTO public.who_data VALUES (83580, 23, 56, 0, 0, 353, 108);
INSERT INTO public.who_data VALUES (83581, 11, 11, 0, 0, 353, 48);
INSERT INTO public.who_data VALUES (83582, 1, 20, 0, 0, 353, 3);
INSERT INTO public.who_data VALUES (83583, 0, 700, 0, 6, 353, 224);
INSERT INTO public.who_data VALUES (83584, 0, 9, 0, 0, 353, 110);
INSERT INTO public.who_data VALUES (83585, 0, 0, 0, 0, 353, 106);
INSERT INTO public.who_data VALUES (83586, 0, 0, 0, 0, 353, 89);
INSERT INTO public.who_data VALUES (83587, 0, 0, 0, 0, 353, 121);
INSERT INTO public.who_data VALUES (83588, 0, 0, 0, 0, 353, 163);
INSERT INTO public.who_data VALUES (83589, 0, 0, 0, 0, 353, 70);
INSERT INTO public.who_data VALUES (83590, 0, 7, 0, 1, 353, 174);
INSERT INTO public.who_data VALUES (83591, 0, 0, 0, 0, 353, 175);
INSERT INTO public.who_data VALUES (83592, 0, 1, 0, 0, 353, 118);
INSERT INTO public.who_data VALUES (83593, 1, 5, 0, 0, 353, 189);
INSERT INTO public.who_data VALUES (83594, 0, 0, 0, 0, 353, 124);
INSERT INTO public.who_data VALUES (83595, 0, 12, 0, 0, 353, 192);
INSERT INTO public.who_data VALUES (83596, 438, 5770, 3, 35, 353, 41);
INSERT INTO public.who_data VALUES (83597, 0, 0, 0, 0, 353, 95);
INSERT INTO public.who_data VALUES (83598, 0, 0, 0, 0, 353, 74);
INSERT INTO public.who_data VALUES (83599, 0, 4, 0, 0, 353, 11);
INSERT INTO public.who_data VALUES (83600, 0, 3, 0, 0, 353, 87);
INSERT INTO public.who_data VALUES (83601, 0, 0, 0, 0, 353, 214);
INSERT INTO public.who_data VALUES (83602, 0, 0, 0, 0, 353, 116);
INSERT INTO public.who_data VALUES (83603, 0, 1, 0, 0, 353, 157);
INSERT INTO public.who_data VALUES (83604, 0, 0, 0, 0, 353, 182);
INSERT INTO public.who_data VALUES (83605, 0, 0, 0, 0, 353, 186);
INSERT INTO public.who_data VALUES (83606, 0, 0, 0, 0, 353, 127);
INSERT INTO public.who_data VALUES (83607, 0, 6, 0, 0, 353, 232);
INSERT INTO public.who_data VALUES (83608, 0, 0, 0, 0, 353, 33);
INSERT INTO public.who_data VALUES (83609, 0, 0, 0, 0, 353, 97);
INSERT INTO public.who_data VALUES (83610, 0, 0, 0, 0, 353, 42);
INSERT INTO public.who_data VALUES (83611, 7, 16, 0, 1, 353, 198);
INSERT INTO public.who_data VALUES (83612, 0, 0, 0, 0, 353, 216);
INSERT INTO public.who_data VALUES (83613, 3, 9, 0, 0, 353, 164);
INSERT INTO public.who_data VALUES (83614, 0, 8, 0, 0, 353, 235);
INSERT INTO public.who_data VALUES (83615, 0, 0, 0, 0, 353, 67);
INSERT INTO public.who_data VALUES (83616, 0, 0, 0, 0, 353, 15);
INSERT INTO public.who_data VALUES (83617, 0, 0, 0, 0, 353, 180);
INSERT INTO public.who_data VALUES (83618, 7, 121, 0, 0, 353, 237);
INSERT INTO public.who_data VALUES (83619, 0, 0, 0, 0, 353, 25);
INSERT INTO public.who_data VALUES (83620, 0, 0, 0, 0, 353, 209);
INSERT INTO public.who_data VALUES (83621, 0, 0, 0, 0, 353, 217);
INSERT INTO public.who_data VALUES (83622, 0, 1, 0, 0, 353, 79);
INSERT INTO public.who_data VALUES (83623, 0, 0, 0, 0, 353, 143);
INSERT INTO public.who_data VALUES (83624, 0, 0, 0, 0, 353, 229);
INSERT INTO public.who_data VALUES (83625, 5, 5, 0, 0, 353, 141);
INSERT INTO public.who_data VALUES (83626, 0, 0, 0, 0, 353, 197);
INSERT INTO public.who_data VALUES (83627, 85, 303, 1, 2, 353, 221);
INSERT INTO public.who_data VALUES (83628, 0, 5, 0, 0, 353, 150);
INSERT INTO public.who_data VALUES (83629, 0, 0, 0, 0, 353, 56);
INSERT INTO public.who_data VALUES (83630, 0, 0, 0, 0, 353, 167);
INSERT INTO public.who_data VALUES (83631, 13, 32, 0, 0, 353, 23);
INSERT INTO public.who_data VALUES (83632, 61, 180, 2, 2, 353, 222);
INSERT INTO public.who_data VALUES (83633, 0, 0, 0, 0, 353, 219);
INSERT INTO public.who_data VALUES (83634, 0, 0, 0, 0, 353, 7);
INSERT INTO public.who_data VALUES (83635, 4, 51, 0, 1, 353, 161);
INSERT INTO public.who_data VALUES (83636, 55, 164, 0, 0, 353, 149);
INSERT INTO public.who_data VALUES (83637, 0, 0, 0, 0, 353, 6);
INSERT INTO public.who_data VALUES (83638, 0, 0, 0, 0, 353, 139);
INSERT INTO public.who_data VALUES (83639, 0, 0, 0, 0, 353, 211);
INSERT INTO public.who_data VALUES (83640, 0, 0, 0, 0, 353, 14);
INSERT INTO public.who_data VALUES (83641, 0, 0, 0, 0, 353, 111);
INSERT INTO public.who_data VALUES (83642, 0, 5, 0, 0, 353, 207);
INSERT INTO public.who_data VALUES (83643, 0, 0, 0, 0, 353, 66);
INSERT INTO public.who_data VALUES (83644, 0, 0, 0, 0, 353, 173);
INSERT INTO public.who_data VALUES (83645, 0, 0, 0, 0, 353, 145);
INSERT INTO public.who_data VALUES (83646, 0, 0, 0, 0, 353, 65);
INSERT INTO public.who_data VALUES (83647, 0, 0, 0, 0, 353, 184);
INSERT INTO public.who_data VALUES (83648, 0, 1, 0, 0, 353, 98);
INSERT INTO public.who_data VALUES (83649, 0, 31, 0, 0, 353, 104);
INSERT INTO public.who_data VALUES (83650, 0, 0, 0, 0, 353, 73);
INSERT INTO public.who_data VALUES (83651, 0, 133, 4, 9, 353, 8);
INSERT INTO public.who_data VALUES (83652, 0, 0, 0, 0, 353, 227);
INSERT INTO public.who_data VALUES (83653, 0, 0, 0, 0, 353, 75);
INSERT INTO public.who_data VALUES (83654, 0, 0, 0, 0, 353, 45);
INSERT INTO public.who_data VALUES (83655, 0, 0, 0, 0, 353, 133);
INSERT INTO public.who_data VALUES (83656, 0, 0, 0, 0, 353, 202);
INSERT INTO public.who_data VALUES (83657, 0, 20, 0, 0, 353, 129);
INSERT INTO public.who_data VALUES (83658, 0, 0, 0, 0, 353, 36);
INSERT INTO public.who_data VALUES (83659, 0, 0, 0, 0, 353, 51);
INSERT INTO public.who_data VALUES (83660, 0, 0, 0, 0, 353, 206);
INSERT INTO public.who_data VALUES (83661, 0, 0, 0, 0, 353, 5);
INSERT INTO public.who_data VALUES (83662, 0, 5, 0, 0, 354, 103);
INSERT INTO public.who_data VALUES (83663, 0, 0, 0, 0, 354, 58);
INSERT INTO public.who_data VALUES (83664, 7, 16, 0, 0, 354, 195);
INSERT INTO public.who_data VALUES (83665, 0, 0, 0, 0, 354, 115);
INSERT INTO public.who_data VALUES (83666, 0, 1, 0, 0, 354, 99);
INSERT INTO public.who_data VALUES (83667, 0, 0, 0, 0, 354, 153);
INSERT INTO public.who_data VALUES (83668, 0, 0, 0, 0, 354, 93);
INSERT INTO public.who_data VALUES (83669, 0, 0, 0, 0, 354, 84);
INSERT INTO public.who_data VALUES (83670, 0, 5, 0, 0, 354, 78);
INSERT INTO public.who_data VALUES (83671, 0, 1, 0, 0, 354, 170);
INSERT INTO public.who_data VALUES (83672, 0, 0, 0, 0, 354, 32);
INSERT INTO public.who_data VALUES (83673, 0, 37, 0, 1, 354, 155);
INSERT INTO public.who_data VALUES (83674, 6, 24, 0, 0, 354, 82);
INSERT INTO public.who_data VALUES (83675, 0, 3, 0, 0, 354, 16);
INSERT INTO public.who_data VALUES (83676, 0, 0, 0, 0, 354, 72);
INSERT INTO public.who_data VALUES (83677, 0, 53, 0, 0, 354, 43);
INSERT INTO public.who_data VALUES (83678, 0, 0, 0, 0, 354, 120);
INSERT INTO public.who_data VALUES (83679, 0, 0, 0, 0, 354, 213);
INSERT INTO public.who_data VALUES (83680, 0, 1, 0, 0, 354, 31);
INSERT INTO public.who_data VALUES (83681, 34, 72, 0, 0, 354, 204);
INSERT INTO public.who_data VALUES (83682, 0, 0, 0, 0, 354, 152);
INSERT INTO public.who_data VALUES (83683, 0, 0, 0, 0, 354, 144);
INSERT INTO public.who_data VALUES (83684, 0, 0, 0, 0, 354, 96);
INSERT INTO public.who_data VALUES (83685, 0, 0, 0, 0, 354, 47);
INSERT INTO public.who_data VALUES (83686, 0, 0, 0, 0, 354, 80);
INSERT INTO public.who_data VALUES (83687, 0, 0, 0, 0, 354, 159);
INSERT INTO public.who_data VALUES (83688, 0, 0, 0, 0, 354, 27);
INSERT INTO public.who_data VALUES (83689, 0, 0, 0, 0, 354, 146);
INSERT INTO public.who_data VALUES (83690, 1, 7, 0, 0, 354, 71);
INSERT INTO public.who_data VALUES (83691, 0, 0, 0, 0, 354, 210);
INSERT INTO public.who_data VALUES (83692, 0, 0, 0, 0, 354, 54);
INSERT INTO public.who_data VALUES (83693, 0, 0, 0, 0, 354, 147);
INSERT INTO public.who_data VALUES (83694, 0, 0, 0, 0, 354, 2);
INSERT INTO public.who_data VALUES (83695, 0, 0, 0, 0, 354, 105);
INSERT INTO public.who_data VALUES (83696, 0, 0, 0, 0, 354, 53);
INSERT INTO public.who_data VALUES (83697, 0, 5, 0, 0, 354, 81);
INSERT INTO public.who_data VALUES (83698, 0, 0, 0, 0, 354, 223);
INSERT INTO public.who_data VALUES (83699, 0, 34, 0, 0, 354, 94);
INSERT INTO public.who_data VALUES (83700, 0, 0, 0, 0, 354, 154);
INSERT INTO public.who_data VALUES (83701, 0, 0, 0, 0, 354, 83);
INSERT INTO public.who_data VALUES (83702, 0, 0, 0, 0, 354, 194);
INSERT INTO public.who_data VALUES (83703, 0, 5, 0, 0, 354, 136);
INSERT INTO public.who_data VALUES (83704, 120, 80426, 38, 2984, 354, 179);
INSERT INTO public.who_data VALUES (83705, 0, 0, 0, 0, 354, 57);
INSERT INTO public.who_data VALUES (83706, 0, 0, 0, 0, 354, 35);
INSERT INTO public.who_data VALUES (83707, 0, 0, 0, 0, 354, 228);
INSERT INTO public.who_data VALUES (83708, 0, 0, 0, 0, 354, 19);
INSERT INTO public.who_data VALUES (83709, 0, 0, 0, 0, 354, 22);
INSERT INTO public.who_data VALUES (83710, 0, 0, 0, 0, 354, 1);
INSERT INTO public.who_data VALUES (83711, 1, 9, 0, 0, 354, 21);
INSERT INTO public.who_data VALUES (83712, 0, 0, 0, 0, 354, 234);
INSERT INTO public.who_data VALUES (83713, 0, 0, 0, 0, 354, 91);
INSERT INTO public.who_data VALUES (83714, 0, 0, 0, 0, 354, 137);
INSERT INTO public.who_data VALUES (83715, 0, 5, 0, 0, 354, 201);
INSERT INTO public.who_data VALUES (83716, 0, 0, 0, 0, 354, 171);
INSERT INTO public.who_data VALUES (83717, 0, 0, 0, 0, 354, 92);
INSERT INTO public.who_data VALUES (83718, 3, 8, 0, 0, 354, 112);
INSERT INTO public.who_data VALUES (83719, 0, 0, 0, 0, 354, 62);
INSERT INTO public.who_data VALUES (83720, 0, 0, 0, 0, 354, 69);
INSERT INTO public.who_data VALUES (83721, 0, 5, 0, 0, 354, 220);
INSERT INTO public.who_data VALUES (83722, 0, 11, 0, 0, 354, 100);
INSERT INTO public.who_data VALUES (83723, 0, 6, 0, 0, 354, 187);
INSERT INTO public.who_data VALUES (83724, 0, 0, 0, 0, 354, 63);
INSERT INTO public.who_data VALUES (83725, 0, 0, 0, 0, 354, 28);
INSERT INTO public.who_data VALUES (83726, 0, 0, 0, 0, 354, 172);
INSERT INTO public.who_data VALUES (83727, 1, 2, 0, 0, 354, 17);
INSERT INTO public.who_data VALUES (83728, 0, 0, 0, 0, 354, 226);
INSERT INTO public.who_data VALUES (83729, 0, 0, 0, 0, 354, 236);
INSERT INTO public.who_data VALUES (83730, 0, 0, 0, 0, 354, 76);
INSERT INTO public.who_data VALUES (83731, 0, 0, 0, 0, 354, 30);
INSERT INTO public.who_data VALUES (83732, 0, 0, 0, 0, 354, 128);
INSERT INTO public.who_data VALUES (83733, 1, 7, 0, 0, 354, 86);
INSERT INTO public.who_data VALUES (83734, 34, 205, 1, 4, 354, 140);
INSERT INTO public.who_data VALUES (83735, 0, 0, 0, 0, 354, 44);
INSERT INTO public.who_data VALUES (83736, 0, 0, 0, 0, 354, 113);
INSERT INTO public.who_data VALUES (83737, 0, 0, 0, 0, 354, 29);
INSERT INTO public.who_data VALUES (83738, 0, 0, 0, 0, 354, 125);
INSERT INTO public.who_data VALUES (83739, 0, 3, 0, 0, 354, 131);
INSERT INTO public.who_data VALUES (83740, 39, 196, 0, 0, 354, 46);
INSERT INTO public.who_data VALUES (83741, 0, 0, 0, 0, 354, 10);
INSERT INTO public.who_data VALUES (83742, 0, 1, 0, 0, 354, 205);
INSERT INTO public.who_data VALUES (83743, 0, 7, 0, 0, 354, 50);
INSERT INTO public.who_data VALUES (83744, 0, 0, 0, 0, 354, 20);
INSERT INTO public.who_data VALUES (83745, 0, 0, 0, 0, 354, 13);
INSERT INTO public.who_data VALUES (83746, 0, 0, 0, 0, 354, 148);
INSERT INTO public.who_data VALUES (83747, 0, 0, 0, 0, 354, 230);
INSERT INTO public.who_data VALUES (83748, 0, 0, 0, 0, 354, 190);
INSERT INTO public.who_data VALUES (83749, 0, 0, 0, 0, 354, 188);
INSERT INTO public.who_data VALUES (83750, 0, 0, 0, 0, 354, 123);
INSERT INTO public.who_data VALUES (83751, 0, 0, 0, 0, 354, 9);
INSERT INTO public.who_data VALUES (83752, 0, 0, 0, 0, 354, 102);
INSERT INTO public.who_data VALUES (83753, 0, 0, 0, 0, 354, 34);
INSERT INTO public.who_data VALUES (83754, 0, 0, 0, 0, 354, 212);
INSERT INTO public.who_data VALUES (83755, 0, 0, 0, 0, 354, 122);
INSERT INTO public.who_data VALUES (83756, 0, 0, 0, 0, 354, 38);
INSERT INTO public.who_data VALUES (83757, 10, 16, 0, 0, 354, 130);
INSERT INTO public.who_data VALUES (83758, 22, 31, 0, 0, 354, 37);
INSERT INTO public.who_data VALUES (83759, 0, 6, 0, 0, 354, 231);
INSERT INTO public.who_data VALUES (83760, 586, 2926, 15, 92, 354, 107);
INSERT INTO public.who_data VALUES (83761, 5, 40, 2, 2, 354, 101);
INSERT INTO public.who_data VALUES (83762, 1, 2, 0, 0, 354, 132);
INSERT INTO public.who_data VALUES (83763, 0, 0, 0, 0, 354, 176);
INSERT INTO public.who_data VALUES (83764, 5, 12, 0, 0, 354, 200);
INSERT INTO public.who_data VALUES (83765, 466, 2502, 28, 80, 354, 169);
INSERT INTO public.who_data VALUES (83766, 0, 0, 0, 0, 354, 225);
INSERT INTO public.who_data VALUES (83767, 3, 291, 0, 6, 354, 165);
INSERT INTO public.who_data VALUES (83768, 0, 0, 0, 0, 354, 233);
INSERT INTO public.who_data VALUES (83769, 0, 5, 0, 0, 354, 215);
INSERT INTO public.who_data VALUES (83770, 0, 0, 0, 0, 354, 177);
INSERT INTO public.who_data VALUES (83771, 0, 0, 0, 0, 354, 183);
INSERT INTO public.who_data VALUES (83772, 0, 0, 0, 0, 354, 203);
INSERT INTO public.who_data VALUES (83773, 0, 0, 0, 0, 354, 162);
INSERT INTO public.who_data VALUES (83774, 0, 60, 0, 0, 354, 12);
INSERT INTO public.who_data VALUES (83775, 0, 0, 0, 0, 354, 24);
INSERT INTO public.who_data VALUES (83776, 0, 0, 0, 0, 354, 119);
INSERT INTO public.who_data VALUES (83777, 0, 1, 0, 0, 354, 39);
INSERT INTO public.who_data VALUES (83778, 0, 17, 0, 0, 354, 26);
INSERT INTO public.who_data VALUES (83779, 0, 0, 0, 0, 354, 59);
INSERT INTO public.who_data VALUES (83780, 0, 0, 0, 0, 354, 77);
INSERT INTO public.who_data VALUES (83781, 0, 0, 0, 0, 354, 134);
INSERT INTO public.who_data VALUES (83782, 0, 1, 0, 0, 354, 4);
INSERT INTO public.who_data VALUES (83783, 0, 1, 0, 0, 354, 109);
INSERT INTO public.who_data VALUES (83784, 0, 1, 0, 0, 354, 90);
INSERT INTO public.who_data VALUES (83785, 0, 0, 0, 0, 354, 61);
INSERT INTO public.who_data VALUES (83786, 0, 0, 0, 0, 354, 85);
INSERT INTO public.who_data VALUES (83787, 0, 40, 0, 0, 354, 49);
INSERT INTO public.who_data VALUES (83788, 0, 0, 0, 0, 354, 208);
INSERT INTO public.who_data VALUES (83789, 0, 0, 0, 0, 354, 166);
INSERT INTO public.who_data VALUES (83790, 0, 0, 0, 0, 354, 64);
INSERT INTO public.who_data VALUES (83791, 0, 0, 0, 0, 354, 199);
INSERT INTO public.who_data VALUES (83792, 0, 0, 0, 0, 354, 114);
INSERT INTO public.who_data VALUES (83793, 0, 0, 0, 0, 354, 60);
INSERT INTO public.who_data VALUES (83794, 0, 0, 0, 0, 354, 68);
INSERT INTO public.who_data VALUES (83795, 0, 0, 0, 0, 354, 158);
INSERT INTO public.who_data VALUES (83796, 0, 9, 0, 0, 354, 52);
INSERT INTO public.who_data VALUES (83797, 0, 0, 0, 0, 354, 117);
INSERT INTO public.who_data VALUES (83798, 0, 1, 0, 0, 354, 126);
INSERT INTO public.who_data VALUES (83799, 0, 0, 0, 0, 354, 196);
INSERT INTO public.who_data VALUES (83800, 0, 0, 0, 0, 354, 142);
INSERT INTO public.who_data VALUES (83801, 0, 0, 0, 0, 354, 185);
INSERT INTO public.who_data VALUES (83802, 0, 5, 0, 0, 354, 138);
INSERT INTO public.who_data VALUES (83803, 0, 0, 0, 0, 354, 181);
INSERT INTO public.who_data VALUES (83804, 0, 0, 0, 0, 354, 178);
INSERT INTO public.who_data VALUES (83805, 0, 0, 0, 0, 354, 168);
INSERT INTO public.who_data VALUES (83806, 0, 0, 0, 0, 354, 160);
INSERT INTO public.who_data VALUES (83807, 0, 5, 0, 0, 354, 151);
INSERT INTO public.who_data VALUES (83808, 4, 14, 0, 0, 354, 193);
INSERT INTO public.who_data VALUES (83809, 0, 0, 0, 0, 354, 18);
INSERT INTO public.who_data VALUES (83810, 0, 6, 0, 0, 354, 40);
INSERT INTO public.who_data VALUES (83811, 0, 0, 0, 0, 354, 218);
INSERT INTO public.who_data VALUES (83812, 0, 0, 0, 0, 354, 191);
INSERT INTO public.who_data VALUES (83813, 0, 5, 0, 0, 354, 156);
INSERT INTO public.who_data VALUES (83814, 0, 0, 0, 0, 354, 135);
INSERT INTO public.who_data VALUES (83815, 0, 0, 0, 0, 354, 88);
INSERT INTO public.who_data VALUES (83816, 0, 1, 0, 0, 354, 55);
INSERT INTO public.who_data VALUES (83817, 8, 33, 0, 0, 354, 108);
INSERT INTO public.who_data VALUES (83818, 0, 0, 0, 0, 354, 48);
INSERT INTO public.who_data VALUES (83819, 3, 19, 0, 0, 354, 3);
INSERT INTO public.who_data VALUES (83820, 0, 700, 0, 6, 354, 224);
INSERT INTO public.who_data VALUES (83821, 0, 9, 0, 0, 354, 110);
INSERT INTO public.who_data VALUES (83822, 0, 0, 0, 0, 354, 106);
INSERT INTO public.who_data VALUES (83823, 0, 0, 0, 0, 354, 89);
INSERT INTO public.who_data VALUES (83824, 0, 0, 0, 0, 354, 121);
INSERT INTO public.who_data VALUES (83825, 0, 0, 0, 0, 354, 163);
INSERT INTO public.who_data VALUES (83826, 0, 0, 0, 0, 354, 70);
INSERT INTO public.who_data VALUES (83827, 0, 7, 0, 1, 354, 174);
INSERT INTO public.who_data VALUES (83828, 0, 0, 0, 0, 354, 175);
INSERT INTO public.who_data VALUES (83829, 1, 1, 0, 0, 354, 118);
INSERT INTO public.who_data VALUES (83830, 2, 4, 0, 0, 354, 189);
INSERT INTO public.who_data VALUES (83831, 0, 0, 0, 0, 354, 124);
INSERT INTO public.who_data VALUES (83832, 0, 12, 0, 0, 354, 192);
INSERT INTO public.who_data VALUES (83833, 516, 5332, 4, 32, 354, 41);
INSERT INTO public.who_data VALUES (83834, 0, 0, 0, 0, 354, 95);
INSERT INTO public.who_data VALUES (83835, 0, 0, 0, 0, 354, 74);
INSERT INTO public.who_data VALUES (83836, 1, 4, 0, 0, 354, 11);
INSERT INTO public.who_data VALUES (83837, 0, 3, 0, 0, 354, 87);
INSERT INTO public.who_data VALUES (83838, 0, 0, 0, 0, 354, 214);
INSERT INTO public.who_data VALUES (83839, 0, 0, 0, 0, 354, 116);
INSERT INTO public.who_data VALUES (83840, 0, 1, 0, 0, 354, 157);
INSERT INTO public.who_data VALUES (83841, 0, 0, 0, 0, 354, 182);
INSERT INTO public.who_data VALUES (83842, 0, 0, 0, 0, 354, 186);
INSERT INTO public.who_data VALUES (83843, 0, 0, 0, 0, 354, 127);
INSERT INTO public.who_data VALUES (83844, 0, 6, 0, 0, 354, 232);
INSERT INTO public.who_data VALUES (83845, 0, 0, 0, 0, 354, 33);
INSERT INTO public.who_data VALUES (83846, 0, 0, 0, 0, 354, 97);
INSERT INTO public.who_data VALUES (83847, 0, 0, 0, 0, 354, 42);
INSERT INTO public.who_data VALUES (83848, 0, 9, 0, 1, 354, 198);
INSERT INTO public.who_data VALUES (83849, 0, 0, 0, 0, 354, 216);
INSERT INTO public.who_data VALUES (83850, 1, 6, 0, 0, 354, 164);
INSERT INTO public.who_data VALUES (83851, 3, 8, 0, 0, 354, 235);
INSERT INTO public.who_data VALUES (83852, 0, 0, 0, 0, 354, 67);
INSERT INTO public.who_data VALUES (83853, 0, 0, 0, 0, 354, 15);
INSERT INTO public.who_data VALUES (83854, 0, 0, 0, 0, 354, 180);
INSERT INTO public.who_data VALUES (83855, 0, 114, 0, 0, 354, 237);
INSERT INTO public.who_data VALUES (83856, 0, 0, 0, 0, 354, 25);
INSERT INTO public.who_data VALUES (83857, 0, 0, 0, 0, 354, 209);
INSERT INTO public.who_data VALUES (83858, 0, 0, 0, 0, 354, 217);
INSERT INTO public.who_data VALUES (83859, 1, 1, 0, 0, 354, 79);
INSERT INTO public.who_data VALUES (83860, 0, 0, 0, 0, 354, 143);
INSERT INTO public.who_data VALUES (83861, 0, 0, 0, 0, 354, 229);
INSERT INTO public.who_data VALUES (83862, 0, 0, 0, 0, 354, 141);
INSERT INTO public.who_data VALUES (83863, 0, 0, 0, 0, 354, 197);
INSERT INTO public.who_data VALUES (83864, 72, 218, 0, 1, 354, 221);
INSERT INTO public.who_data VALUES (83865, 0, 5, 0, 0, 354, 150);
INSERT INTO public.who_data VALUES (83866, 0, 0, 0, 0, 354, 56);
INSERT INTO public.who_data VALUES (83867, 0, 0, 0, 0, 354, 167);
INSERT INTO public.who_data VALUES (83868, 5, 19, 0, 0, 354, 23);
INSERT INTO public.who_data VALUES (83869, 33, 119, 0, 0, 354, 222);
INSERT INTO public.who_data VALUES (83870, 0, 0, 0, 0, 354, 219);
INSERT INTO public.who_data VALUES (83871, 0, 0, 0, 0, 354, 7);
INSERT INTO public.who_data VALUES (83872, 0, 47, 0, 1, 354, 161);
INSERT INTO public.who_data VALUES (83873, 40, 109, 0, 0, 354, 149);
INSERT INTO public.who_data VALUES (83874, 0, 0, 0, 0, 354, 6);
INSERT INTO public.who_data VALUES (83875, 0, 0, 0, 0, 354, 139);
INSERT INTO public.who_data VALUES (83876, 0, 0, 0, 0, 354, 211);
INSERT INTO public.who_data VALUES (83877, 0, 0, 0, 0, 354, 14);
INSERT INTO public.who_data VALUES (83878, 0, 0, 0, 0, 354, 111);
INSERT INTO public.who_data VALUES (83879, 0, 5, 0, 0, 354, 207);
INSERT INTO public.who_data VALUES (83880, 0, 0, 0, 0, 354, 66);
INSERT INTO public.who_data VALUES (83881, 0, 0, 0, 0, 354, 173);
INSERT INTO public.who_data VALUES (83882, 0, 0, 0, 0, 354, 145);
INSERT INTO public.who_data VALUES (83883, 0, 0, 0, 0, 354, 65);
INSERT INTO public.who_data VALUES (83884, 0, 0, 0, 0, 354, 184);
INSERT INTO public.who_data VALUES (83885, 0, 1, 0, 0, 354, 98);
INSERT INTO public.who_data VALUES (83886, 0, 31, 0, 0, 354, 104);
INSERT INTO public.who_data VALUES (83887, 0, 0, 0, 0, 354, 73);
INSERT INTO public.who_data VALUES (83888, 21, 133, 3, 5, 354, 8);
INSERT INTO public.who_data VALUES (83889, 0, 0, 0, 0, 354, 227);
INSERT INTO public.who_data VALUES (83890, 0, 0, 0, 0, 354, 75);
INSERT INTO public.who_data VALUES (83891, 0, 0, 0, 0, 354, 45);
INSERT INTO public.who_data VALUES (83892, 0, 0, 0, 0, 354, 133);
INSERT INTO public.who_data VALUES (83893, 0, 0, 0, 0, 354, 202);
INSERT INTO public.who_data VALUES (83894, 0, 20, 0, 0, 354, 129);
INSERT INTO public.who_data VALUES (83895, 0, 0, 0, 0, 354, 36);
INSERT INTO public.who_data VALUES (83896, 0, 0, 0, 0, 354, 51);
INSERT INTO public.who_data VALUES (83897, 0, 0, 0, 0, 354, 206);
INSERT INTO public.who_data VALUES (83898, 0, 0, 0, 0, 354, 5);
INSERT INTO public.who_data VALUES (83899, 0, 5, 0, 0, 355, 103);
INSERT INTO public.who_data VALUES (83900, 0, 0, 0, 0, 355, 58);
INSERT INTO public.who_data VALUES (83901, 2, 9, 0, 0, 355, 195);
INSERT INTO public.who_data VALUES (83902, 0, 0, 0, 0, 355, 115);
INSERT INTO public.who_data VALUES (83903, 1, 1, 0, 0, 355, 99);
INSERT INTO public.who_data VALUES (83904, 0, 0, 0, 0, 355, 153);
INSERT INTO public.who_data VALUES (83905, 0, 0, 0, 0, 355, 93);
INSERT INTO public.who_data VALUES (83906, 0, 0, 0, 0, 355, 84);
INSERT INTO public.who_data VALUES (83907, 5, 5, 0, 0, 355, 78);
INSERT INTO public.who_data VALUES (83908, 0, 1, 0, 0, 355, 170);
INSERT INTO public.who_data VALUES (83909, 0, 0, 0, 0, 355, 32);
INSERT INTO public.who_data VALUES (83910, 0, 37, 0, 1, 355, 155);
INSERT INTO public.who_data VALUES (83911, 4, 18, 0, 0, 355, 82);
INSERT INTO public.who_data VALUES (83912, 0, 3, 0, 0, 355, 16);
INSERT INTO public.who_data VALUES (83913, 0, 0, 0, 0, 355, 72);
INSERT INTO public.who_data VALUES (83914, 0, 53, 0, 0, 355, 43);
INSERT INTO public.who_data VALUES (83915, 0, 0, 0, 0, 355, 120);
INSERT INTO public.who_data VALUES (83916, 0, 0, 0, 0, 355, 213);
INSERT INTO public.who_data VALUES (83917, 0, 1, 0, 0, 355, 31);
INSERT INTO public.who_data VALUES (83918, 19, 38, 0, 0, 355, 204);
INSERT INTO public.who_data VALUES (83919, 0, 0, 0, 0, 355, 152);
INSERT INTO public.who_data VALUES (83920, 0, 0, 0, 0, 355, 144);
INSERT INTO public.who_data VALUES (83921, 0, 0, 0, 0, 355, 96);
INSERT INTO public.who_data VALUES (83922, 0, 0, 0, 0, 355, 47);
INSERT INTO public.who_data VALUES (83923, 0, 0, 0, 0, 355, 80);
INSERT INTO public.who_data VALUES (83924, 0, 0, 0, 0, 355, 159);
INSERT INTO public.who_data VALUES (83925, 0, 0, 0, 0, 355, 27);
INSERT INTO public.who_data VALUES (83926, 0, 0, 0, 0, 355, 146);
INSERT INTO public.who_data VALUES (83927, 0, 6, 0, 0, 355, 71);
INSERT INTO public.who_data VALUES (83928, 0, 0, 0, 0, 355, 210);
INSERT INTO public.who_data VALUES (83929, 0, 0, 0, 0, 355, 54);
INSERT INTO public.who_data VALUES (83930, 0, 0, 0, 0, 355, 147);
INSERT INTO public.who_data VALUES (83931, 0, 0, 0, 0, 355, 2);
INSERT INTO public.who_data VALUES (83932, 0, 0, 0, 0, 355, 105);
INSERT INTO public.who_data VALUES (83933, 0, 0, 0, 0, 355, 53);
INSERT INTO public.who_data VALUES (83934, 0, 5, 0, 0, 355, 81);
INSERT INTO public.who_data VALUES (83935, 0, 0, 0, 0, 355, 223);
INSERT INTO public.who_data VALUES (83936, 3, 34, 0, 0, 355, 94);
INSERT INTO public.who_data VALUES (83937, 0, 0, 0, 0, 355, 154);
INSERT INTO public.who_data VALUES (83938, 0, 0, 0, 0, 355, 83);
INSERT INTO public.who_data VALUES (83939, 0, 0, 0, 0, 355, 194);
INSERT INTO public.who_data VALUES (83940, 5, 5, 0, 0, 355, 136);
INSERT INTO public.who_data VALUES (83941, 128, 80306, 31, 2946, 355, 179);
INSERT INTO public.who_data VALUES (83942, 0, 0, 0, 0, 355, 57);
INSERT INTO public.who_data VALUES (83943, 0, 0, 0, 0, 355, 35);
INSERT INTO public.who_data VALUES (83944, 0, 0, 0, 0, 355, 228);
INSERT INTO public.who_data VALUES (83945, 0, 0, 0, 0, 355, 19);
INSERT INTO public.who_data VALUES (83946, 0, 0, 0, 0, 355, 22);
INSERT INTO public.who_data VALUES (83947, 0, 0, 0, 0, 355, 1);
INSERT INTO public.who_data VALUES (83948, 1, 8, 0, 0, 355, 21);
INSERT INTO public.who_data VALUES (83949, 0, 0, 0, 0, 355, 234);
INSERT INTO public.who_data VALUES (83950, 0, 0, 0, 0, 355, 91);
INSERT INTO public.who_data VALUES (83951, 0, 0, 0, 0, 355, 137);
INSERT INTO public.who_data VALUES (83952, 2, 5, 0, 0, 355, 201);
INSERT INTO public.who_data VALUES (83953, 0, 0, 0, 0, 355, 171);
INSERT INTO public.who_data VALUES (83954, 0, 0, 0, 0, 355, 92);
INSERT INTO public.who_data VALUES (83955, 1, 5, 0, 0, 355, 112);
INSERT INTO public.who_data VALUES (83956, 0, 0, 0, 0, 355, 62);
INSERT INTO public.who_data VALUES (83957, 0, 0, 0, 0, 355, 69);
INSERT INTO public.who_data VALUES (83958, 0, 5, 0, 0, 355, 220);
INSERT INTO public.who_data VALUES (83959, 1, 11, 0, 0, 355, 100);
INSERT INTO public.who_data VALUES (83960, 0, 6, 0, 0, 355, 187);
INSERT INTO public.who_data VALUES (83961, 0, 0, 0, 0, 355, 63);
INSERT INTO public.who_data VALUES (83962, 0, 0, 0, 0, 355, 28);
INSERT INTO public.who_data VALUES (83963, 0, 0, 0, 0, 355, 172);
INSERT INTO public.who_data VALUES (83964, 0, 1, 0, 0, 355, 17);
INSERT INTO public.who_data VALUES (83965, 0, 0, 0, 0, 355, 226);
INSERT INTO public.who_data VALUES (83966, 0, 0, 0, 0, 355, 236);
INSERT INTO public.who_data VALUES (83967, 0, 0, 0, 0, 355, 76);
INSERT INTO public.who_data VALUES (83968, 0, 0, 0, 0, 355, 30);
INSERT INTO public.who_data VALUES (83969, 0, 0, 0, 0, 355, 128);
INSERT INTO public.who_data VALUES (83970, 0, 6, 0, 0, 355, 86);
INSERT INTO public.who_data VALUES (83971, 48, 171, 1, 3, 355, 140);
INSERT INTO public.who_data VALUES (83972, 0, 0, 0, 0, 355, 44);
INSERT INTO public.who_data VALUES (83973, 0, 0, 0, 0, 355, 113);
INSERT INTO public.who_data VALUES (83974, 0, 0, 0, 0, 355, 29);
INSERT INTO public.who_data VALUES (83975, 0, 0, 0, 0, 355, 125);
INSERT INTO public.who_data VALUES (83976, 0, 3, 0, 0, 355, 131);
INSERT INTO public.who_data VALUES (83977, 28, 157, 0, 0, 355, 46);
INSERT INTO public.who_data VALUES (83978, 0, 0, 0, 0, 355, 10);
INSERT INTO public.who_data VALUES (83979, 1, 1, 0, 0, 355, 205);
INSERT INTO public.who_data VALUES (83980, 0, 7, 0, 0, 355, 50);
INSERT INTO public.who_data VALUES (83981, 0, 0, 0, 0, 355, 20);
INSERT INTO public.who_data VALUES (83982, 0, 0, 0, 0, 355, 13);
INSERT INTO public.who_data VALUES (83983, 0, 0, 0, 0, 355, 148);
INSERT INTO public.who_data VALUES (83984, 0, 0, 0, 0, 355, 230);
INSERT INTO public.who_data VALUES (83985, 0, 0, 0, 0, 355, 190);
INSERT INTO public.who_data VALUES (83986, 0, 0, 0, 0, 355, 188);
INSERT INTO public.who_data VALUES (83987, 0, 0, 0, 0, 355, 123);
INSERT INTO public.who_data VALUES (83988, 0, 0, 0, 0, 355, 9);
INSERT INTO public.who_data VALUES (83989, 0, 0, 0, 0, 355, 102);
INSERT INTO public.who_data VALUES (83990, 0, 0, 0, 0, 355, 34);
INSERT INTO public.who_data VALUES (83991, 0, 0, 0, 0, 355, 212);
INSERT INTO public.who_data VALUES (83992, 0, 0, 0, 0, 355, 122);
INSERT INTO public.who_data VALUES (83993, 0, 0, 0, 0, 355, 38);
INSERT INTO public.who_data VALUES (83994, 3, 6, 0, 0, 355, 130);
INSERT INTO public.who_data VALUES (83995, 0, 9, 0, 0, 355, 37);
INSERT INTO public.who_data VALUES (83996, 0, 6, 0, 0, 355, 231);
INSERT INTO public.who_data VALUES (83997, 835, 2340, 11, 77, 355, 107);
INSERT INTO public.who_data VALUES (83998, 5, 35, 0, 0, 355, 101);
INSERT INTO public.who_data VALUES (83999, 0, 1, 0, 0, 355, 132);
INSERT INTO public.who_data VALUES (84000, 0, 0, 0, 0, 355, 176);
INSERT INTO public.who_data VALUES (84001, 1, 7, 0, 0, 355, 200);
INSERT INTO public.who_data VALUES (84002, 347, 2036, 17, 52, 355, 169);
INSERT INTO public.who_data VALUES (84003, 0, 0, 0, 0, 355, 225);
INSERT INTO public.who_data VALUES (84004, 16, 288, 0, 6, 355, 165);
INSERT INTO public.who_data VALUES (84005, 0, 0, 0, 0, 355, 233);
INSERT INTO public.who_data VALUES (84006, 0, 5, 0, 0, 355, 215);
INSERT INTO public.who_data VALUES (84007, 0, 0, 0, 0, 355, 177);
INSERT INTO public.who_data VALUES (84008, 0, 0, 0, 0, 355, 183);
INSERT INTO public.who_data VALUES (84009, 0, 0, 0, 0, 355, 203);
INSERT INTO public.who_data VALUES (84010, 0, 0, 0, 0, 355, 162);
INSERT INTO public.who_data VALUES (84011, 0, 60, 0, 0, 355, 12);
INSERT INTO public.who_data VALUES (84012, 0, 0, 0, 0, 355, 24);
INSERT INTO public.who_data VALUES (84013, 0, 0, 0, 0, 355, 119);
INSERT INTO public.who_data VALUES (84014, 0, 1, 0, 0, 355, 39);
INSERT INTO public.who_data VALUES (84015, 0, 17, 0, 0, 355, 26);
INSERT INTO public.who_data VALUES (84016, 0, 0, 0, 0, 355, 59);
INSERT INTO public.who_data VALUES (84017, 0, 0, 0, 0, 355, 77);
INSERT INTO public.who_data VALUES (84018, 0, 0, 0, 0, 355, 134);
INSERT INTO public.who_data VALUES (84019, 0, 1, 0, 0, 355, 4);
INSERT INTO public.who_data VALUES (84020, 0, 1, 0, 0, 355, 109);
INSERT INTO public.who_data VALUES (84021, 0, 1, 0, 0, 355, 90);
INSERT INTO public.who_data VALUES (84022, 0, 0, 0, 0, 355, 61);
INSERT INTO public.who_data VALUES (84023, 0, 0, 0, 0, 355, 85);
INSERT INTO public.who_data VALUES (84024, 7, 40, 0, 0, 355, 49);
INSERT INTO public.who_data VALUES (84025, 0, 0, 0, 0, 355, 208);
INSERT INTO public.who_data VALUES (84026, 0, 0, 0, 0, 355, 166);
INSERT INTO public.who_data VALUES (84027, 0, 0, 0, 0, 355, 64);
INSERT INTO public.who_data VALUES (84028, 0, 0, 0, 0, 355, 199);
INSERT INTO public.who_data VALUES (84029, 0, 0, 0, 0, 355, 114);
INSERT INTO public.who_data VALUES (84030, 0, 0, 0, 0, 355, 60);
INSERT INTO public.who_data VALUES (84031, 0, 0, 0, 0, 355, 68);
INSERT INTO public.who_data VALUES (84032, 0, 0, 0, 0, 355, 158);
INSERT INTO public.who_data VALUES (84033, 0, 9, 0, 0, 355, 52);
INSERT INTO public.who_data VALUES (84034, 0, 0, 0, 0, 355, 117);
INSERT INTO public.who_data VALUES (84035, 0, 1, 0, 0, 355, 126);
INSERT INTO public.who_data VALUES (84036, 0, 0, 0, 0, 355, 196);
INSERT INTO public.who_data VALUES (84037, 0, 0, 0, 0, 355, 142);
INSERT INTO public.who_data VALUES (84038, 0, 0, 0, 0, 355, 185);
INSERT INTO public.who_data VALUES (84039, 0, 5, 0, 0, 355, 138);
INSERT INTO public.who_data VALUES (84040, 0, 0, 0, 0, 355, 181);
INSERT INTO public.who_data VALUES (84041, 0, 0, 0, 0, 355, 178);
INSERT INTO public.who_data VALUES (84042, 0, 0, 0, 0, 355, 168);
INSERT INTO public.who_data VALUES (84043, 0, 0, 0, 0, 355, 160);
INSERT INTO public.who_data VALUES (84044, 0, 5, 0, 0, 355, 151);
INSERT INTO public.who_data VALUES (84045, 5, 10, 0, 0, 355, 193);
INSERT INTO public.who_data VALUES (84046, 0, 0, 0, 0, 355, 18);
INSERT INTO public.who_data VALUES (84047, 1, 6, 0, 0, 355, 40);
INSERT INTO public.who_data VALUES (84048, 0, 0, 0, 0, 355, 218);
INSERT INTO public.who_data VALUES (84049, 0, 0, 0, 0, 355, 191);
INSERT INTO public.who_data VALUES (84050, 0, 5, 0, 0, 355, 156);
INSERT INTO public.who_data VALUES (84051, 0, 0, 0, 0, 355, 135);
INSERT INTO public.who_data VALUES (84052, 0, 0, 0, 0, 355, 88);
INSERT INTO public.who_data VALUES (84053, 0, 1, 0, 0, 355, 55);
INSERT INTO public.who_data VALUES (84054, 6, 25, 0, 0, 355, 108);
INSERT INTO public.who_data VALUES (84055, 0, 0, 0, 0, 355, 48);
INSERT INTO public.who_data VALUES (84056, 6, 16, 0, 0, 355, 3);
INSERT INTO public.who_data VALUES (84057, 0, 700, 0, 6, 355, 224);
INSERT INTO public.who_data VALUES (84058, 0, 9, 0, 0, 355, 110);
INSERT INTO public.who_data VALUES (84059, 0, 0, 0, 0, 355, 106);
INSERT INTO public.who_data VALUES (84060, 0, 0, 0, 0, 355, 89);
INSERT INTO public.who_data VALUES (84061, 0, 0, 0, 0, 355, 121);
INSERT INTO public.who_data VALUES (84062, 0, 0, 0, 0, 355, 163);
INSERT INTO public.who_data VALUES (84063, 0, 0, 0, 0, 355, 70);
INSERT INTO public.who_data VALUES (84064, 0, 7, 0, 1, 355, 174);
INSERT INTO public.who_data VALUES (84065, 0, 0, 0, 0, 355, 175);
INSERT INTO public.who_data VALUES (84066, 0, 0, 0, 0, 355, 118);
INSERT INTO public.who_data VALUES (84067, 0, 2, 0, 0, 355, 189);
INSERT INTO public.who_data VALUES (84068, 0, 0, 0, 0, 355, 124);
INSERT INTO public.who_data VALUES (84069, 1, 12, 0, 0, 355, 192);
INSERT INTO public.who_data VALUES (84070, 600, 4816, 6, 28, 355, 41);
INSERT INTO public.who_data VALUES (84071, 0, 0, 0, 0, 355, 95);
INSERT INTO public.who_data VALUES (84072, 0, 0, 0, 0, 355, 74);
INSERT INTO public.who_data VALUES (84073, 0, 3, 0, 0, 355, 11);
INSERT INTO public.who_data VALUES (84074, 1, 3, 0, 0, 355, 87);
INSERT INTO public.who_data VALUES (84075, 0, 0, 0, 0, 355, 214);
INSERT INTO public.who_data VALUES (84076, 0, 0, 0, 0, 355, 116);
INSERT INTO public.who_data VALUES (84077, 0, 1, 0, 0, 355, 157);
INSERT INTO public.who_data VALUES (84078, 0, 0, 0, 0, 355, 182);
INSERT INTO public.who_data VALUES (84079, 0, 0, 0, 0, 355, 186);
INSERT INTO public.who_data VALUES (84080, 0, 0, 0, 0, 355, 127);
INSERT INTO public.who_data VALUES (84081, 0, 6, 0, 0, 355, 232);
INSERT INTO public.who_data VALUES (84082, 0, 0, 0, 0, 355, 33);
INSERT INTO public.who_data VALUES (84083, 0, 0, 0, 0, 355, 97);
INSERT INTO public.who_data VALUES (84084, 0, 0, 0, 0, 355, 42);
INSERT INTO public.who_data VALUES (84085, 8, 9, 0, 1, 355, 198);
INSERT INTO public.who_data VALUES (84086, 0, 0, 0, 0, 355, 216);
INSERT INTO public.who_data VALUES (84087, 0, 5, 0, 0, 355, 164);
INSERT INTO public.who_data VALUES (84088, 0, 5, 0, 0, 355, 235);
INSERT INTO public.who_data VALUES (84089, 0, 0, 0, 0, 355, 67);
INSERT INTO public.who_data VALUES (84090, 0, 0, 0, 0, 355, 15);
INSERT INTO public.who_data VALUES (84091, 0, 0, 0, 0, 355, 180);
INSERT INTO public.who_data VALUES (84092, 2, 114, 0, 0, 355, 237);
INSERT INTO public.who_data VALUES (84093, 0, 0, 0, 0, 355, 25);
INSERT INTO public.who_data VALUES (84094, 0, 0, 0, 0, 355, 209);
INSERT INTO public.who_data VALUES (84095, 0, 0, 0, 0, 355, 217);
INSERT INTO public.who_data VALUES (84096, 0, 0, 0, 0, 355, 79);
INSERT INTO public.who_data VALUES (84097, 0, 0, 0, 0, 355, 143);
INSERT INTO public.who_data VALUES (84098, 0, 0, 0, 0, 355, 229);
INSERT INTO public.who_data VALUES (84099, 0, 0, 0, 0, 355, 141);
INSERT INTO public.who_data VALUES (84100, 0, 0, 0, 0, 355, 197);
INSERT INTO public.who_data VALUES (84101, 38, 146, 0, 1, 355, 221);
INSERT INTO public.who_data VALUES (84102, 0, 5, 0, 0, 355, 150);
INSERT INTO public.who_data VALUES (84103, 0, 0, 0, 0, 355, 56);
INSERT INTO public.who_data VALUES (84104, 0, 0, 0, 0, 355, 167);
INSERT INTO public.who_data VALUES (84105, 0, 14, 0, 0, 355, 23);
INSERT INTO public.who_data VALUES (84106, 30, 86, 0, 0, 355, 222);
INSERT INTO public.who_data VALUES (84107, 0, 0, 0, 0, 355, 219);
INSERT INTO public.who_data VALUES (84108, 0, 0, 0, 0, 355, 7);
INSERT INTO public.who_data VALUES (84109, 0, 47, 0, 1, 355, 161);
INSERT INTO public.who_data VALUES (84110, 22, 69, 0, 0, 355, 149);
INSERT INTO public.who_data VALUES (84111, 0, 0, 0, 0, 355, 6);
INSERT INTO public.who_data VALUES (84112, 0, 0, 0, 0, 355, 139);
INSERT INTO public.who_data VALUES (84113, 0, 0, 0, 0, 355, 211);
INSERT INTO public.who_data VALUES (84114, 0, 0, 0, 0, 355, 14);
INSERT INTO public.who_data VALUES (84115, 0, 0, 0, 0, 355, 111);
INSERT INTO public.who_data VALUES (84116, 0, 5, 0, 0, 355, 207);
INSERT INTO public.who_data VALUES (84117, 0, 0, 0, 0, 355, 66);
INSERT INTO public.who_data VALUES (84118, 0, 0, 0, 0, 355, 173);
INSERT INTO public.who_data VALUES (84119, 0, 0, 0, 0, 355, 145);
INSERT INTO public.who_data VALUES (84120, 0, 0, 0, 0, 355, 65);
INSERT INTO public.who_data VALUES (84121, 0, 0, 0, 0, 355, 184);
INSERT INTO public.who_data VALUES (84122, 1, 1, 0, 0, 355, 98);
INSERT INTO public.who_data VALUES (84123, 6, 31, 0, 0, 355, 104);
INSERT INTO public.who_data VALUES (84124, 0, 0, 0, 0, 355, 73);
INSERT INTO public.who_data VALUES (84125, 44, 112, 2, 2, 355, 8);
INSERT INTO public.who_data VALUES (84126, 0, 0, 0, 0, 355, 227);
INSERT INTO public.who_data VALUES (84127, 0, 0, 0, 0, 355, 75);
INSERT INTO public.who_data VALUES (84128, 0, 0, 0, 0, 355, 45);
INSERT INTO public.who_data VALUES (84129, 0, 0, 0, 0, 355, 133);
INSERT INTO public.who_data VALUES (84130, 0, 0, 0, 0, 355, 202);
INSERT INTO public.who_data VALUES (84131, 0, 20, 0, 0, 355, 129);
INSERT INTO public.who_data VALUES (84132, 0, 0, 0, 0, 355, 36);
INSERT INTO public.who_data VALUES (84133, 0, 0, 0, 0, 355, 51);
INSERT INTO public.who_data VALUES (84134, 0, 0, 0, 0, 355, 206);
INSERT INTO public.who_data VALUES (84135, 0, 0, 0, 0, 355, 5);
INSERT INTO public.who_data VALUES (84136, 0, 5, 0, 0, 356, 103);
INSERT INTO public.who_data VALUES (84137, 0, 0, 0, 0, 356, 58);
INSERT INTO public.who_data VALUES (84138, 2, 7, 0, 0, 356, 195);
INSERT INTO public.who_data VALUES (84139, 0, 0, 0, 0, 356, 115);
INSERT INTO public.who_data VALUES (84140, 0, 0, 0, 0, 356, 99);
INSERT INTO public.who_data VALUES (84141, 0, 0, 0, 0, 356, 153);
INSERT INTO public.who_data VALUES (84142, 0, 0, 0, 0, 356, 93);
INSERT INTO public.who_data VALUES (84143, 0, 0, 0, 0, 356, 84);
INSERT INTO public.who_data VALUES (84144, 0, 0, 0, 0, 356, 78);
INSERT INTO public.who_data VALUES (84145, 0, 1, 0, 0, 356, 170);
INSERT INTO public.who_data VALUES (84146, 0, 0, 0, 0, 356, 32);
INSERT INTO public.who_data VALUES (84147, 6, 37, 0, 1, 356, 155);
INSERT INTO public.who_data VALUES (84148, 4, 14, 0, 0, 356, 82);
INSERT INTO public.who_data VALUES (84149, 0, 3, 0, 0, 356, 16);
INSERT INTO public.who_data VALUES (84150, 0, 0, 0, 0, 356, 72);
INSERT INTO public.who_data VALUES (84151, 9, 53, 0, 0, 356, 43);
INSERT INTO public.who_data VALUES (84152, 0, 0, 0, 0, 356, 120);
INSERT INTO public.who_data VALUES (84153, 0, 0, 0, 0, 356, 213);
INSERT INTO public.who_data VALUES (84154, 0, 1, 0, 0, 356, 31);
INSERT INTO public.who_data VALUES (84155, 18, 19, 0, 0, 356, 204);
INSERT INTO public.who_data VALUES (84156, 0, 0, 0, 0, 356, 152);
INSERT INTO public.who_data VALUES (84157, 0, 0, 0, 0, 356, 144);
INSERT INTO public.who_data VALUES (84158, 0, 0, 0, 0, 356, 96);
INSERT INTO public.who_data VALUES (84159, 0, 0, 0, 0, 356, 47);
INSERT INTO public.who_data VALUES (84160, 0, 0, 0, 0, 356, 80);
INSERT INTO public.who_data VALUES (84161, 0, 0, 0, 0, 356, 159);
INSERT INTO public.who_data VALUES (84162, 0, 0, 0, 0, 356, 27);
INSERT INTO public.who_data VALUES (84163, 0, 0, 0, 0, 356, 146);
INSERT INTO public.who_data VALUES (84164, 0, 6, 0, 0, 356, 71);
INSERT INTO public.who_data VALUES (84165, 0, 0, 0, 0, 356, 210);
INSERT INTO public.who_data VALUES (84166, 0, 0, 0, 0, 356, 54);
INSERT INTO public.who_data VALUES (84167, 0, 0, 0, 0, 356, 147);
INSERT INTO public.who_data VALUES (84168, 0, 0, 0, 0, 356, 2);
INSERT INTO public.who_data VALUES (84169, 0, 0, 0, 0, 356, 105);
INSERT INTO public.who_data VALUES (84170, 0, 0, 0, 0, 356, 53);
INSERT INTO public.who_data VALUES (84171, 0, 5, 0, 0, 356, 81);
INSERT INTO public.who_data VALUES (84172, 0, 0, 0, 0, 356, 223);
INSERT INTO public.who_data VALUES (84173, 8, 31, 0, 0, 356, 94);
INSERT INTO public.who_data VALUES (84174, 0, 0, 0, 0, 356, 154);
INSERT INTO public.who_data VALUES (84175, 0, 0, 0, 0, 356, 83);
INSERT INTO public.who_data VALUES (84176, 0, 0, 0, 0, 356, 194);
INSERT INTO public.who_data VALUES (84177, 0, 0, 0, 0, 356, 136);
INSERT INTO public.who_data VALUES (84178, 206, 80178, 42, 2915, 356, 179);
INSERT INTO public.who_data VALUES (84179, 0, 0, 0, 0, 356, 57);
INSERT INTO public.who_data VALUES (84180, 0, 0, 0, 0, 356, 35);
INSERT INTO public.who_data VALUES (84181, 0, 0, 0, 0, 356, 228);
INSERT INTO public.who_data VALUES (84182, 0, 0, 0, 0, 356, 19);
INSERT INTO public.who_data VALUES (84183, 0, 0, 0, 0, 356, 22);
INSERT INTO public.who_data VALUES (84184, 0, 0, 0, 0, 356, 1);
INSERT INTO public.who_data VALUES (84185, 2, 7, 0, 0, 356, 21);
INSERT INTO public.who_data VALUES (84186, 0, 0, 0, 0, 356, 234);
INSERT INTO public.who_data VALUES (84187, 0, 0, 0, 0, 356, 91);
INSERT INTO public.who_data VALUES (84188, 0, 0, 0, 0, 356, 137);
INSERT INTO public.who_data VALUES (84189, 3, 3, 0, 0, 356, 201);
INSERT INTO public.who_data VALUES (84190, 0, 0, 0, 0, 356, 171);
INSERT INTO public.who_data VALUES (84191, 0, 0, 0, 0, 356, 92);
INSERT INTO public.who_data VALUES (84192, 1, 4, 0, 0, 356, 112);
INSERT INTO public.who_data VALUES (84193, 0, 0, 0, 0, 356, 62);
INSERT INTO public.who_data VALUES (84194, 0, 0, 0, 0, 356, 69);
INSERT INTO public.who_data VALUES (84195, 5, 5, 0, 0, 356, 220);
INSERT INTO public.who_data VALUES (84196, 5, 10, 0, 0, 356, 100);
INSERT INTO public.who_data VALUES (84197, 1, 6, 0, 0, 356, 187);
INSERT INTO public.who_data VALUES (84198, 0, 0, 0, 0, 356, 63);
INSERT INTO public.who_data VALUES (84199, 0, 0, 0, 0, 356, 28);
INSERT INTO public.who_data VALUES (84200, 0, 0, 0, 0, 356, 172);
INSERT INTO public.who_data VALUES (84201, 0, 1, 0, 0, 356, 17);
INSERT INTO public.who_data VALUES (84202, 0, 0, 0, 0, 356, 226);
INSERT INTO public.who_data VALUES (84203, 0, 0, 0, 0, 356, 236);
INSERT INTO public.who_data VALUES (84204, 0, 0, 0, 0, 356, 76);
INSERT INTO public.who_data VALUES (84205, 0, 0, 0, 0, 356, 30);
INSERT INTO public.who_data VALUES (84206, 0, 0, 0, 0, 356, 128);
INSERT INTO public.who_data VALUES (84207, 3, 6, 0, 0, 356, 86);
INSERT INTO public.who_data VALUES (84208, 23, 123, 0, 2, 356, 140);
INSERT INTO public.who_data VALUES (84209, 0, 0, 0, 0, 356, 44);
INSERT INTO public.who_data VALUES (84210, 0, 0, 0, 0, 356, 113);
INSERT INTO public.who_data VALUES (84211, 0, 0, 0, 0, 356, 29);
INSERT INTO public.who_data VALUES (84212, 0, 0, 0, 0, 356, 125);
INSERT INTO public.who_data VALUES (84213, 0, 3, 0, 0, 356, 131);
INSERT INTO public.who_data VALUES (84214, 18, 129, 0, 0, 356, 46);
INSERT INTO public.who_data VALUES (84215, 0, 0, 0, 0, 356, 10);
INSERT INTO public.who_data VALUES (84216, 0, 0, 0, 0, 356, 205);
INSERT INTO public.who_data VALUES (84217, 0, 7, 0, 0, 356, 50);
INSERT INTO public.who_data VALUES (84218, 0, 0, 0, 0, 356, 20);
INSERT INTO public.who_data VALUES (84219, 0, 0, 0, 0, 356, 13);
INSERT INTO public.who_data VALUES (84220, 0, 0, 0, 0, 356, 148);
INSERT INTO public.who_data VALUES (84221, 0, 0, 0, 0, 356, 230);
INSERT INTO public.who_data VALUES (84222, 0, 0, 0, 0, 356, 190);
INSERT INTO public.who_data VALUES (84223, 0, 0, 0, 0, 356, 188);
INSERT INTO public.who_data VALUES (84224, 0, 0, 0, 0, 356, 123);
INSERT INTO public.who_data VALUES (84225, 0, 0, 0, 0, 356, 9);
INSERT INTO public.who_data VALUES (84226, 0, 0, 0, 0, 356, 102);
INSERT INTO public.who_data VALUES (84227, 0, 0, 0, 0, 356, 34);
INSERT INTO public.who_data VALUES (84228, 0, 0, 0, 0, 356, 212);
INSERT INTO public.who_data VALUES (84229, 0, 0, 0, 0, 356, 122);
INSERT INTO public.who_data VALUES (84230, 0, 0, 0, 0, 356, 38);
INSERT INTO public.who_data VALUES (84231, 2, 3, 0, 0, 356, 130);
INSERT INTO public.who_data VALUES (84232, 2, 9, 0, 0, 356, 37);
INSERT INTO public.who_data VALUES (84233, 6, 6, 0, 0, 356, 231);
INSERT INTO public.who_data VALUES (84234, 908, 1505, 23, 66, 356, 107);
INSERT INTO public.who_data VALUES (84235, 7, 30, 0, 0, 356, 101);
INSERT INTO public.who_data VALUES (84236, 0, 1, 0, 0, 356, 132);
INSERT INTO public.who_data VALUES (84237, 0, 0, 0, 0, 356, 176);
INSERT INTO public.who_data VALUES (84238, 0, 6, 0, 0, 356, 200);
INSERT INTO public.who_data VALUES (84239, 561, 1689, 6, 35, 356, 169);
INSERT INTO public.who_data VALUES (84240, 0, 0, 0, 0, 356, 225);
INSERT INTO public.who_data VALUES (84241, 29, 272, 0, 6, 356, 165);
INSERT INTO public.who_data VALUES (84242, 0, 0, 0, 0, 356, 233);
INSERT INTO public.who_data VALUES (84243, 5, 5, 0, 0, 356, 215);
INSERT INTO public.who_data VALUES (84244, 0, 0, 0, 0, 356, 177);
INSERT INTO public.who_data VALUES (84245, 0, 0, 0, 0, 356, 183);
INSERT INTO public.who_data VALUES (84246, 0, 0, 0, 0, 356, 203);
INSERT INTO public.who_data VALUES (84247, 0, 0, 0, 0, 356, 162);
INSERT INTO public.who_data VALUES (84248, 11, 60, 0, 0, 356, 12);
INSERT INTO public.who_data VALUES (84249, 0, 0, 0, 0, 356, 24);
INSERT INTO public.who_data VALUES (84250, 0, 0, 0, 0, 356, 119);
INSERT INTO public.who_data VALUES (84251, 1, 1, 0, 0, 356, 39);
INSERT INTO public.who_data VALUES (84252, 3, 17, 0, 0, 356, 26);
INSERT INTO public.who_data VALUES (84253, 0, 0, 0, 0, 356, 59);
INSERT INTO public.who_data VALUES (84254, 0, 0, 0, 0, 356, 77);
INSERT INTO public.who_data VALUES (84255, 0, 0, 0, 0, 356, 134);
INSERT INTO public.who_data VALUES (84256, 1, 1, 0, 0, 356, 4);
INSERT INTO public.who_data VALUES (84257, 0, 1, 0, 0, 356, 109);
INSERT INTO public.who_data VALUES (84258, 0, 1, 0, 0, 356, 90);
INSERT INTO public.who_data VALUES (84259, 0, 0, 0, 0, 356, 61);
INSERT INTO public.who_data VALUES (84260, 0, 0, 0, 0, 356, 85);
INSERT INTO public.who_data VALUES (84261, 5, 33, 0, 0, 356, 49);
INSERT INTO public.who_data VALUES (84262, 0, 0, 0, 0, 356, 208);
INSERT INTO public.who_data VALUES (84263, 0, 0, 0, 0, 356, 166);
INSERT INTO public.who_data VALUES (84264, 0, 0, 0, 0, 356, 64);
INSERT INTO public.who_data VALUES (84265, 0, 0, 0, 0, 356, 199);
INSERT INTO public.who_data VALUES (84266, 0, 0, 0, 0, 356, 114);
INSERT INTO public.who_data VALUES (84267, 0, 0, 0, 0, 356, 60);
INSERT INTO public.who_data VALUES (84268, 0, 0, 0, 0, 356, 68);
INSERT INTO public.who_data VALUES (84269, 0, 0, 0, 0, 356, 158);
INSERT INTO public.who_data VALUES (84270, 3, 9, 0, 0, 356, 52);
INSERT INTO public.who_data VALUES (84271, 0, 0, 0, 0, 356, 117);
INSERT INTO public.who_data VALUES (84272, 0, 1, 0, 0, 356, 126);
INSERT INTO public.who_data VALUES (84273, 0, 0, 0, 0, 356, 196);
INSERT INTO public.who_data VALUES (84274, 0, 0, 0, 0, 356, 142);
INSERT INTO public.who_data VALUES (84275, 0, 0, 0, 0, 356, 185);
INSERT INTO public.who_data VALUES (84276, 5, 5, 0, 0, 356, 138);
INSERT INTO public.who_data VALUES (84277, 0, 0, 0, 0, 356, 181);
INSERT INTO public.who_data VALUES (84278, 0, 0, 0, 0, 356, 178);
INSERT INTO public.who_data VALUES (84279, 0, 0, 0, 0, 356, 168);
INSERT INTO public.who_data VALUES (84280, 0, 0, 0, 0, 356, 160);
INSERT INTO public.who_data VALUES (84281, 0, 5, 0, 0, 356, 151);
INSERT INTO public.who_data VALUES (84282, 3, 5, 0, 0, 356, 193);
INSERT INTO public.who_data VALUES (84283, 0, 0, 0, 0, 356, 18);
INSERT INTO public.who_data VALUES (84284, 0, 5, 0, 0, 356, 40);
INSERT INTO public.who_data VALUES (84285, 0, 0, 0, 0, 356, 218);
INSERT INTO public.who_data VALUES (84286, 0, 0, 0, 0, 356, 191);
INSERT INTO public.who_data VALUES (84287, 0, 5, 0, 0, 356, 156);
INSERT INTO public.who_data VALUES (84288, 0, 0, 0, 0, 356, 135);
INSERT INTO public.who_data VALUES (84289, 0, 0, 0, 0, 356, 88);
INSERT INTO public.who_data VALUES (84290, 0, 1, 0, 0, 356, 55);
INSERT INTO public.who_data VALUES (84291, 4, 19, 0, 0, 356, 108);
INSERT INTO public.who_data VALUES (84292, 0, 0, 0, 0, 356, 48);
INSERT INTO public.who_data VALUES (84293, 0, 10, 0, 0, 356, 3);
INSERT INTO public.who_data VALUES (84294, 0, 700, 0, 6, 356, 224);
INSERT INTO public.who_data VALUES (84295, 1, 9, 0, 0, 356, 110);
INSERT INTO public.who_data VALUES (84296, 0, 0, 0, 0, 356, 106);
INSERT INTO public.who_data VALUES (84297, 0, 0, 0, 0, 356, 89);
INSERT INTO public.who_data VALUES (84298, 0, 0, 0, 0, 356, 121);
INSERT INTO public.who_data VALUES (84299, 0, 0, 0, 0, 356, 163);
INSERT INTO public.who_data VALUES (84300, 0, 0, 0, 0, 356, 70);
INSERT INTO public.who_data VALUES (84301, 0, 7, 0, 1, 356, 174);
INSERT INTO public.who_data VALUES (84302, 0, 0, 0, 0, 356, 175);
INSERT INTO public.who_data VALUES (84303, 0, 0, 0, 0, 356, 118);
INSERT INTO public.who_data VALUES (84304, 2, 2, 0, 0, 356, 189);
INSERT INTO public.who_data VALUES (84305, 0, 0, 0, 0, 356, 124);
INSERT INTO public.who_data VALUES (84306, 4, 11, 0, 0, 356, 192);
INSERT INTO public.who_data VALUES (84307, 476, 4216, 4, 22, 356, 41);
INSERT INTO public.who_data VALUES (84308, 0, 0, 0, 0, 356, 95);
INSERT INTO public.who_data VALUES (84309, 0, 0, 0, 0, 356, 74);
INSERT INTO public.who_data VALUES (84310, 0, 3, 0, 0, 356, 11);
INSERT INTO public.who_data VALUES (84311, 0, 2, 0, 0, 356, 87);
INSERT INTO public.who_data VALUES (84312, 0, 0, 0, 0, 356, 214);
INSERT INTO public.who_data VALUES (84313, 0, 0, 0, 0, 356, 116);
INSERT INTO public.who_data VALUES (84314, 1, 1, 0, 0, 356, 157);
INSERT INTO public.who_data VALUES (84315, 0, 0, 0, 0, 356, 182);
INSERT INTO public.who_data VALUES (84316, 0, 0, 0, 0, 356, 186);
INSERT INTO public.who_data VALUES (84317, 0, 0, 0, 0, 356, 127);
INSERT INTO public.who_data VALUES (84318, 6, 6, 0, 0, 356, 232);
INSERT INTO public.who_data VALUES (84319, 0, 0, 0, 0, 356, 33);
INSERT INTO public.who_data VALUES (84320, 0, 0, 0, 0, 356, 97);
INSERT INTO public.who_data VALUES (84321, 0, 0, 0, 0, 356, 42);
INSERT INTO public.who_data VALUES (84322, 0, 1, 0, 1, 356, 198);
INSERT INTO public.who_data VALUES (84323, 0, 0, 0, 0, 356, 216);
INSERT INTO public.who_data VALUES (84324, 5, 5, 0, 0, 356, 164);
INSERT INTO public.who_data VALUES (84325, 5, 5, 0, 0, 356, 235);
INSERT INTO public.who_data VALUES (84326, 0, 0, 0, 0, 356, 67);
INSERT INTO public.who_data VALUES (84327, 0, 0, 0, 0, 356, 15);
INSERT INTO public.who_data VALUES (84328, 0, 0, 0, 0, 356, 180);
INSERT INTO public.who_data VALUES (84329, 2, 112, 0, 0, 356, 237);
INSERT INTO public.who_data VALUES (84330, 0, 0, 0, 0, 356, 25);
INSERT INTO public.who_data VALUES (84331, 0, 0, 0, 0, 356, 209);
INSERT INTO public.who_data VALUES (84332, 0, 0, 0, 0, 356, 217);
INSERT INTO public.who_data VALUES (84333, 0, 0, 0, 0, 356, 79);
INSERT INTO public.who_data VALUES (84334, 0, 0, 0, 0, 356, 143);
INSERT INTO public.who_data VALUES (84335, 0, 0, 0, 0, 356, 229);
INSERT INTO public.who_data VALUES (84336, 0, 0, 0, 0, 356, 141);
INSERT INTO public.who_data VALUES (84337, 0, 0, 0, 0, 356, 197);
INSERT INTO public.who_data VALUES (84338, 19, 108, 0, 1, 356, 221);
INSERT INTO public.who_data VALUES (84339, 0, 5, 0, 0, 356, 150);
INSERT INTO public.who_data VALUES (84340, 0, 0, 0, 0, 356, 56);
INSERT INTO public.who_data VALUES (84341, 0, 0, 0, 0, 356, 167);
INSERT INTO public.who_data VALUES (84342, 3, 14, 0, 0, 356, 23);
INSERT INTO public.who_data VALUES (84343, 11, 56, 0, 0, 356, 222);
INSERT INTO public.who_data VALUES (84344, 0, 0, 0, 0, 356, 219);
INSERT INTO public.who_data VALUES (84345, 0, 0, 0, 0, 356, 7);
INSERT INTO public.who_data VALUES (84346, 1, 47, 0, 1, 356, 161);
INSERT INTO public.who_data VALUES (84347, 5, 47, 0, 0, 356, 149);
INSERT INTO public.who_data VALUES (84348, 0, 0, 0, 0, 356, 6);
INSERT INTO public.who_data VALUES (84349, 0, 0, 0, 0, 356, 139);
INSERT INTO public.who_data VALUES (84350, 0, 0, 0, 0, 356, 211);
INSERT INTO public.who_data VALUES (84351, 0, 0, 0, 0, 356, 14);
INSERT INTO public.who_data VALUES (84352, 0, 0, 0, 0, 356, 111);
INSERT INTO public.who_data VALUES (84353, 5, 5, 0, 0, 356, 207);
INSERT INTO public.who_data VALUES (84354, 0, 0, 0, 0, 356, 66);
INSERT INTO public.who_data VALUES (84355, 0, 0, 0, 0, 356, 173);
INSERT INTO public.who_data VALUES (84356, 0, 0, 0, 0, 356, 145);
INSERT INTO public.who_data VALUES (84357, 0, 0, 0, 0, 356, 65);
INSERT INTO public.who_data VALUES (84358, 0, 0, 0, 0, 356, 184);
INSERT INTO public.who_data VALUES (84359, 0, 0, 0, 0, 356, 98);
INSERT INTO public.who_data VALUES (84360, 0, 25, 0, 0, 356, 104);
INSERT INTO public.who_data VALUES (84361, 0, 0, 0, 0, 356, 73);
INSERT INTO public.who_data VALUES (84362, 2, 68, 0, 0, 356, 8);
INSERT INTO public.who_data VALUES (84363, 0, 0, 0, 0, 356, 227);
INSERT INTO public.who_data VALUES (84364, 0, 0, 0, 0, 356, 75);
INSERT INTO public.who_data VALUES (84365, 0, 0, 0, 0, 356, 45);
INSERT INTO public.who_data VALUES (84366, 0, 0, 0, 0, 356, 133);
INSERT INTO public.who_data VALUES (84367, 0, 0, 0, 0, 356, 202);
INSERT INTO public.who_data VALUES (84368, 0, 20, 0, 0, 356, 129);
INSERT INTO public.who_data VALUES (84369, 0, 0, 0, 0, 356, 36);
INSERT INTO public.who_data VALUES (84370, 0, 0, 0, 0, 356, 51);
INSERT INTO public.who_data VALUES (84371, 0, 0, 0, 0, 356, 206);
INSERT INTO public.who_data VALUES (84372, 0, 0, 0, 0, 356, 5);
INSERT INTO public.who_data VALUES (84373, 0, 5, 0, 0, 357, 103);
INSERT INTO public.who_data VALUES (84374, 0, 0, 0, 0, 357, 58);
INSERT INTO public.who_data VALUES (84375, 0, 5, 0, 0, 357, 195);
INSERT INTO public.who_data VALUES (84376, 0, 0, 0, 0, 357, 115);
INSERT INTO public.who_data VALUES (84377, 0, 0, 0, 0, 357, 99);
INSERT INTO public.who_data VALUES (84378, 0, 0, 0, 0, 357, 153);
INSERT INTO public.who_data VALUES (84379, 0, 0, 0, 0, 357, 93);
INSERT INTO public.who_data VALUES (84380, 0, 0, 0, 0, 357, 84);
INSERT INTO public.who_data VALUES (84381, 0, 0, 0, 0, 357, 78);
INSERT INTO public.who_data VALUES (84382, 1, 1, 0, 0, 357, 170);
INSERT INTO public.who_data VALUES (84383, 0, 0, 0, 0, 357, 32);
INSERT INTO public.who_data VALUES (84384, 2, 31, 1, 1, 357, 155);
INSERT INTO public.who_data VALUES (84385, 3, 10, 0, 0, 357, 82);
INSERT INTO public.who_data VALUES (84386, 2, 3, 0, 0, 357, 16);
INSERT INTO public.who_data VALUES (84387, 0, 0, 0, 0, 357, 72);
INSERT INTO public.who_data VALUES (84388, 0, 44, 0, 0, 357, 43);
INSERT INTO public.who_data VALUES (84389, 0, 0, 0, 0, 357, 120);
INSERT INTO public.who_data VALUES (84390, 0, 0, 0, 0, 357, 213);
INSERT INTO public.who_data VALUES (84391, 0, 1, 0, 0, 357, 31);
INSERT INTO public.who_data VALUES (84392, 0, 1, 0, 0, 357, 204);
INSERT INTO public.who_data VALUES (84393, 0, 0, 0, 0, 357, 152);
INSERT INTO public.who_data VALUES (84394, 0, 0, 0, 0, 357, 144);
INSERT INTO public.who_data VALUES (84395, 0, 0, 0, 0, 357, 96);
INSERT INTO public.who_data VALUES (84396, 0, 0, 0, 0, 357, 47);
INSERT INTO public.who_data VALUES (84397, 0, 0, 0, 0, 357, 80);
INSERT INTO public.who_data VALUES (84398, 0, 0, 0, 0, 357, 159);
INSERT INTO public.who_data VALUES (84399, 0, 0, 0, 0, 357, 27);
INSERT INTO public.who_data VALUES (84400, 0, 0, 0, 0, 357, 146);
INSERT INTO public.who_data VALUES (84401, 1, 6, 0, 0, 357, 71);
INSERT INTO public.who_data VALUES (84402, 0, 0, 0, 0, 357, 210);
INSERT INTO public.who_data VALUES (84403, 0, 0, 0, 0, 357, 54);
INSERT INTO public.who_data VALUES (84404, 0, 0, 0, 0, 357, 147);
INSERT INTO public.who_data VALUES (84405, 0, 0, 0, 0, 357, 2);
INSERT INTO public.who_data VALUES (84406, 0, 0, 0, 0, 357, 105);
INSERT INTO public.who_data VALUES (84407, 0, 0, 0, 0, 357, 53);
INSERT INTO public.who_data VALUES (84408, 0, 5, 0, 0, 357, 81);
INSERT INTO public.who_data VALUES (84409, 0, 0, 0, 0, 357, 223);
INSERT INTO public.who_data VALUES (84410, 5, 23, 0, 0, 357, 94);
INSERT INTO public.who_data VALUES (84411, 0, 0, 0, 0, 357, 154);
INSERT INTO public.who_data VALUES (84412, 0, 0, 0, 0, 357, 83);
INSERT INTO public.who_data VALUES (84413, 0, 0, 0, 0, 357, 194);
INSERT INTO public.who_data VALUES (84414, 0, 0, 0, 0, 357, 136);
INSERT INTO public.who_data VALUES (84415, 579, 79972, 35, 2873, 357, 179);
INSERT INTO public.who_data VALUES (84416, 0, 0, 0, 0, 357, 57);
INSERT INTO public.who_data VALUES (84417, 0, 0, 0, 0, 357, 35);
INSERT INTO public.who_data VALUES (84418, 0, 0, 0, 0, 357, 228);
INSERT INTO public.who_data VALUES (84419, 0, 0, 0, 0, 357, 19);
INSERT INTO public.who_data VALUES (84420, 0, 0, 0, 0, 357, 22);
INSERT INTO public.who_data VALUES (84421, 0, 0, 0, 0, 357, 1);
INSERT INTO public.who_data VALUES (84422, 0, 5, 0, 0, 357, 21);
INSERT INTO public.who_data VALUES (84423, 0, 0, 0, 0, 357, 234);
INSERT INTO public.who_data VALUES (84424, 0, 0, 0, 0, 357, 91);
INSERT INTO public.who_data VALUES (84425, 0, 0, 0, 0, 357, 137);
INSERT INTO public.who_data VALUES (84426, 0, 0, 0, 0, 357, 201);
INSERT INTO public.who_data VALUES (84427, 0, 0, 0, 0, 357, 171);
INSERT INTO public.who_data VALUES (84428, 0, 0, 0, 0, 357, 92);
INSERT INTO public.who_data VALUES (84429, 1, 3, 0, 0, 357, 112);
INSERT INTO public.who_data VALUES (84430, 0, 0, 0, 0, 357, 62);
INSERT INTO public.who_data VALUES (84431, 0, 0, 0, 0, 357, 69);
INSERT INTO public.who_data VALUES (84432, 0, 0, 0, 0, 357, 220);
INSERT INTO public.who_data VALUES (84433, 0, 5, 0, 0, 357, 100);
INSERT INTO public.who_data VALUES (84434, 0, 5, 0, 0, 357, 187);
INSERT INTO public.who_data VALUES (84435, 0, 0, 0, 0, 357, 63);
INSERT INTO public.who_data VALUES (84436, 0, 0, 0, 0, 357, 28);
INSERT INTO public.who_data VALUES (84437, 0, 0, 0, 0, 357, 172);
INSERT INTO public.who_data VALUES (84438, 0, 1, 0, 0, 357, 17);
INSERT INTO public.who_data VALUES (84439, 0, 0, 0, 0, 357, 226);
INSERT INTO public.who_data VALUES (84440, 0, 0, 0, 0, 357, 236);
INSERT INTO public.who_data VALUES (84441, 0, 0, 0, 0, 357, 76);
INSERT INTO public.who_data VALUES (84442, 0, 0, 0, 0, 357, 30);
INSERT INTO public.who_data VALUES (84443, 0, 0, 0, 0, 357, 128);
INSERT INTO public.who_data VALUES (84444, 0, 3, 0, 0, 357, 86);
INSERT INTO public.who_data VALUES (84445, 43, 100, 0, 2, 357, 140);
INSERT INTO public.who_data VALUES (84446, 0, 0, 0, 0, 357, 44);
INSERT INTO public.who_data VALUES (84447, 0, 0, 0, 0, 357, 113);
INSERT INTO public.who_data VALUES (84448, 0, 0, 0, 0, 357, 29);
INSERT INTO public.who_data VALUES (84449, 0, 0, 0, 0, 357, 125);
INSERT INTO public.who_data VALUES (84450, 0, 3, 0, 0, 357, 131);
INSERT INTO public.who_data VALUES (84451, 54, 111, 0, 0, 357, 46);
INSERT INTO public.who_data VALUES (84452, 0, 0, 0, 0, 357, 10);
INSERT INTO public.who_data VALUES (84453, 0, 0, 0, 0, 357, 205);
INSERT INTO public.who_data VALUES (84454, 3, 7, 0, 0, 357, 50);
INSERT INTO public.who_data VALUES (84455, 0, 0, 0, 0, 357, 20);
INSERT INTO public.who_data VALUES (84456, 0, 0, 0, 0, 357, 13);
INSERT INTO public.who_data VALUES (84457, 0, 0, 0, 0, 357, 148);
INSERT INTO public.who_data VALUES (84458, 0, 0, 0, 0, 357, 230);
INSERT INTO public.who_data VALUES (84459, 0, 0, 0, 0, 357, 190);
INSERT INTO public.who_data VALUES (84460, 0, 0, 0, 0, 357, 188);
INSERT INTO public.who_data VALUES (84461, 0, 0, 0, 0, 357, 123);
INSERT INTO public.who_data VALUES (84462, 0, 0, 0, 0, 357, 9);
INSERT INTO public.who_data VALUES (84463, 0, 0, 0, 0, 357, 102);
INSERT INTO public.who_data VALUES (84464, 0, 0, 0, 0, 357, 34);
INSERT INTO public.who_data VALUES (84465, 0, 0, 0, 0, 357, 212);
INSERT INTO public.who_data VALUES (84466, 0, 0, 0, 0, 357, 122);
INSERT INTO public.who_data VALUES (84467, 0, 0, 0, 0, 357, 38);
INSERT INTO public.who_data VALUES (84468, 0, 1, 0, 0, 357, 130);
INSERT INTO public.who_data VALUES (84469, 0, 7, 0, 0, 357, 37);
INSERT INTO public.who_data VALUES (84470, 0, 0, 0, 0, 357, 231);
INSERT INTO public.who_data VALUES (84471, 0, 597, 0, 43, 357, 107);
INSERT INTO public.who_data VALUES (84472, 6, 23, 0, 0, 357, 101);
INSERT INTO public.who_data VALUES (84473, 1, 1, 0, 0, 357, 132);
INSERT INTO public.who_data VALUES (84474, 0, 0, 0, 0, 357, 176);
INSERT INTO public.who_data VALUES (84475, 3, 6, 0, 0, 357, 200);
INSERT INTO public.who_data VALUES (84476, 240, 1128, 8, 29, 357, 169);
INSERT INTO public.who_data VALUES (84477, 0, 0, 0, 0, 357, 225);
INSERT INTO public.who_data VALUES (84478, 0, 243, 1, 6, 357, 165);
INSERT INTO public.who_data VALUES (84479, 0, 0, 0, 0, 357, 233);
INSERT INTO public.who_data VALUES (84480, 0, 0, 0, 0, 357, 215);
INSERT INTO public.who_data VALUES (84481, 0, 0, 0, 0, 357, 177);
INSERT INTO public.who_data VALUES (84482, 0, 0, 0, 0, 357, 183);
INSERT INTO public.who_data VALUES (84483, 0, 0, 0, 0, 357, 203);
INSERT INTO public.who_data VALUES (84484, 0, 0, 0, 0, 357, 162);
INSERT INTO public.who_data VALUES (84485, 0, 49, 0, 0, 357, 12);
INSERT INTO public.who_data VALUES (84486, 0, 0, 0, 0, 357, 24);
INSERT INTO public.who_data VALUES (84487, 0, 0, 0, 0, 357, 119);
INSERT INTO public.who_data VALUES (84488, 0, 0, 0, 0, 357, 39);
INSERT INTO public.who_data VALUES (84489, 3, 14, 0, 0, 357, 26);
INSERT INTO public.who_data VALUES (84490, 0, 0, 0, 0, 357, 59);
INSERT INTO public.who_data VALUES (84491, 0, 0, 0, 0, 357, 77);
INSERT INTO public.who_data VALUES (84492, 0, 0, 0, 0, 357, 134);
INSERT INTO public.who_data VALUES (84493, 0, 0, 0, 0, 357, 4);
INSERT INTO public.who_data VALUES (84494, 0, 1, 0, 0, 357, 109);
INSERT INTO public.who_data VALUES (84495, 1, 1, 0, 0, 357, 90);
INSERT INTO public.who_data VALUES (84496, 0, 0, 0, 0, 357, 61);
INSERT INTO public.who_data VALUES (84497, 0, 0, 0, 0, 357, 85);
INSERT INTO public.who_data VALUES (84498, 0, 28, 0, 0, 357, 49);
INSERT INTO public.who_data VALUES (84499, 0, 0, 0, 0, 357, 208);
INSERT INTO public.who_data VALUES (84500, 0, 0, 0, 0, 357, 166);
INSERT INTO public.who_data VALUES (84501, 0, 0, 0, 0, 357, 64);
INSERT INTO public.who_data VALUES (84502, 0, 0, 0, 0, 357, 199);
INSERT INTO public.who_data VALUES (84503, 0, 0, 0, 0, 357, 114);
INSERT INTO public.who_data VALUES (84504, 0, 0, 0, 0, 357, 60);
INSERT INTO public.who_data VALUES (84505, 0, 0, 0, 0, 357, 68);
INSERT INTO public.who_data VALUES (84506, 0, 0, 0, 0, 357, 158);
INSERT INTO public.who_data VALUES (84507, 0, 6, 0, 0, 357, 52);
INSERT INTO public.who_data VALUES (84508, 0, 0, 0, 0, 357, 117);
INSERT INTO public.who_data VALUES (84509, 1, 1, 0, 0, 357, 126);
INSERT INTO public.who_data VALUES (84510, 0, 0, 0, 0, 357, 196);
INSERT INTO public.who_data VALUES (84511, 0, 0, 0, 0, 357, 142);
INSERT INTO public.who_data VALUES (84512, 0, 0, 0, 0, 357, 185);
INSERT INTO public.who_data VALUES (84513, 0, 0, 0, 0, 357, 138);
INSERT INTO public.who_data VALUES (84514, 0, 0, 0, 0, 357, 181);
INSERT INTO public.who_data VALUES (84515, 0, 0, 0, 0, 357, 178);
INSERT INTO public.who_data VALUES (84516, 0, 0, 0, 0, 357, 168);
INSERT INTO public.who_data VALUES (84517, 0, 0, 0, 0, 357, 160);
INSERT INTO public.who_data VALUES (84518, 0, 5, 0, 0, 357, 151);
INSERT INTO public.who_data VALUES (84519, 1, 2, 0, 0, 357, 193);
INSERT INTO public.who_data VALUES (84520, 0, 0, 0, 0, 357, 18);
INSERT INTO public.who_data VALUES (84521, 0, 5, 0, 0, 357, 40);
INSERT INTO public.who_data VALUES (84522, 0, 0, 0, 0, 357, 218);
INSERT INTO public.who_data VALUES (84523, 0, 0, 0, 0, 357, 191);
INSERT INTO public.who_data VALUES (84524, 0, 5, 0, 0, 357, 156);
INSERT INTO public.who_data VALUES (84525, 0, 0, 0, 0, 357, 135);
INSERT INTO public.who_data VALUES (84526, 0, 0, 0, 0, 357, 88);
INSERT INTO public.who_data VALUES (84527, 0, 1, 0, 0, 357, 55);
INSERT INTO public.who_data VALUES (84528, 9, 15, 0, 0, 357, 108);
INSERT INTO public.who_data VALUES (84529, 0, 0, 0, 0, 357, 48);
INSERT INTO public.who_data VALUES (84530, 0, 10, 0, 0, 357, 3);
INSERT INTO public.who_data VALUES (84531, 1, 700, 0, 6, 357, 224);
INSERT INTO public.who_data VALUES (84532, 0, 8, 0, 0, 357, 110);
INSERT INTO public.who_data VALUES (84533, 0, 0, 0, 0, 357, 106);
INSERT INTO public.who_data VALUES (84534, 0, 0, 0, 0, 357, 89);
INSERT INTO public.who_data VALUES (84535, 0, 0, 0, 0, 357, 121);
INSERT INTO public.who_data VALUES (84536, 0, 0, 0, 0, 357, 163);
INSERT INTO public.who_data VALUES (84537, 0, 0, 0, 0, 357, 70);
INSERT INTO public.who_data VALUES (84538, 0, 7, 0, 1, 357, 174);
INSERT INTO public.who_data VALUES (84539, 0, 0, 0, 0, 357, 175);
INSERT INTO public.who_data VALUES (84540, 0, 0, 0, 0, 357, 118);
INSERT INTO public.who_data VALUES (84541, 0, 0, 0, 0, 357, 189);
INSERT INTO public.who_data VALUES (84542, 0, 0, 0, 0, 357, 124);
INSERT INTO public.who_data VALUES (84543, 2, 7, 0, 0, 357, 192);
INSERT INTO public.who_data VALUES (84544, 586, 3740, 1, 18, 357, 41);
INSERT INTO public.who_data VALUES (84545, 0, 0, 0, 0, 357, 95);
INSERT INTO public.who_data VALUES (84546, 0, 0, 0, 0, 357, 74);
INSERT INTO public.who_data VALUES (84547, 0, 3, 0, 0, 357, 11);
INSERT INTO public.who_data VALUES (84548, 0, 2, 0, 0, 357, 87);
INSERT INTO public.who_data VALUES (84549, 0, 0, 0, 0, 357, 214);
INSERT INTO public.who_data VALUES (84550, 0, 0, 0, 0, 357, 116);
INSERT INTO public.who_data VALUES (84551, 0, 0, 0, 0, 357, 157);
INSERT INTO public.who_data VALUES (84552, 0, 0, 0, 0, 357, 182);
INSERT INTO public.who_data VALUES (84553, 0, 0, 0, 0, 357, 186);
INSERT INTO public.who_data VALUES (84554, 0, 0, 0, 0, 357, 127);
INSERT INTO public.who_data VALUES (84555, 0, 0, 0, 0, 357, 232);
INSERT INTO public.who_data VALUES (84556, 0, 0, 0, 0, 357, 33);
INSERT INTO public.who_data VALUES (84557, 0, 0, 0, 0, 357, 97);
INSERT INTO public.who_data VALUES (84558, 0, 0, 0, 0, 357, 42);
INSERT INTO public.who_data VALUES (84559, 0, 1, 0, 1, 357, 198);
INSERT INTO public.who_data VALUES (84560, 0, 0, 0, 0, 357, 216);
INSERT INTO public.who_data VALUES (84561, 0, 0, 0, 0, 357, 164);
INSERT INTO public.who_data VALUES (84562, 0, 0, 0, 0, 357, 235);
INSERT INTO public.who_data VALUES (84563, 0, 0, 0, 0, 357, 67);
INSERT INTO public.who_data VALUES (84564, 0, 0, 0, 0, 357, 15);
INSERT INTO public.who_data VALUES (84565, 0, 0, 0, 0, 357, 180);
INSERT INTO public.who_data VALUES (84566, 4, 110, 0, 0, 357, 237);
INSERT INTO public.who_data VALUES (84567, 0, 0, 0, 0, 357, 25);
INSERT INTO public.who_data VALUES (84568, 0, 0, 0, 0, 357, 209);
INSERT INTO public.who_data VALUES (84569, 0, 0, 0, 0, 357, 217);
INSERT INTO public.who_data VALUES (84570, 0, 0, 0, 0, 357, 79);
INSERT INTO public.who_data VALUES (84571, 0, 0, 0, 0, 357, 143);
INSERT INTO public.who_data VALUES (84572, 0, 0, 0, 0, 357, 229);
INSERT INTO public.who_data VALUES (84573, 0, 0, 0, 0, 357, 141);
INSERT INTO public.who_data VALUES (84574, 0, 0, 0, 0, 357, 197);
INSERT INTO public.who_data VALUES (84575, 24, 89, 0, 1, 357, 221);
INSERT INTO public.who_data VALUES (84576, 0, 5, 0, 0, 357, 150);
INSERT INTO public.who_data VALUES (84577, 0, 0, 0, 0, 357, 56);
INSERT INTO public.who_data VALUES (84578, 0, 0, 0, 0, 357, 167);
INSERT INTO public.who_data VALUES (84579, 8, 11, 0, 0, 357, 23);
INSERT INTO public.who_data VALUES (84580, 13, 45, 0, 0, 357, 222);
INSERT INTO public.who_data VALUES (84581, 0, 0, 0, 0, 357, 219);
INSERT INTO public.who_data VALUES (84582, 0, 0, 0, 0, 357, 7);
INSERT INTO public.who_data VALUES (84583, 0, 46, 1, 1, 357, 161);
INSERT INTO public.who_data VALUES (84584, 12, 42, 0, 0, 357, 149);
INSERT INTO public.who_data VALUES (84585, 0, 0, 0, 0, 357, 6);
INSERT INTO public.who_data VALUES (84586, 0, 0, 0, 0, 357, 139);
INSERT INTO public.who_data VALUES (84587, 0, 0, 0, 0, 357, 211);
INSERT INTO public.who_data VALUES (84588, 0, 0, 0, 0, 357, 14);
INSERT INTO public.who_data VALUES (84589, 0, 0, 0, 0, 357, 111);
INSERT INTO public.who_data VALUES (84590, 0, 0, 0, 0, 357, 207);
INSERT INTO public.who_data VALUES (84591, 0, 0, 0, 0, 357, 66);
INSERT INTO public.who_data VALUES (84592, 0, 0, 0, 0, 357, 173);
INSERT INTO public.who_data VALUES (84593, 0, 0, 0, 0, 357, 145);
INSERT INTO public.who_data VALUES (84594, 0, 0, 0, 0, 357, 65);
INSERT INTO public.who_data VALUES (84595, 0, 0, 0, 0, 357, 184);
INSERT INTO public.who_data VALUES (84596, 0, 0, 0, 0, 357, 98);
INSERT INTO public.who_data VALUES (84597, 2, 25, 0, 0, 357, 104);
INSERT INTO public.who_data VALUES (84598, 0, 0, 0, 0, 357, 73);
INSERT INTO public.who_data VALUES (84599, 0, 66, 0, 0, 357, 8);
INSERT INTO public.who_data VALUES (84600, 0, 0, 0, 0, 357, 227);
INSERT INTO public.who_data VALUES (84601, 0, 0, 0, 0, 357, 75);
INSERT INTO public.who_data VALUES (84602, 0, 0, 0, 0, 357, 45);
INSERT INTO public.who_data VALUES (84603, 0, 0, 0, 0, 357, 133);
INSERT INTO public.who_data VALUES (84604, 0, 0, 0, 0, 357, 202);
INSERT INTO public.who_data VALUES (84605, 0, 20, 0, 0, 357, 129);
INSERT INTO public.who_data VALUES (84606, 0, 0, 0, 0, 357, 36);
INSERT INTO public.who_data VALUES (84607, 0, 0, 0, 0, 357, 51);
INSERT INTO public.who_data VALUES (84608, 0, 0, 0, 0, 357, 206);
INSERT INTO public.who_data VALUES (84609, 0, 0, 0, 0, 357, 5);
INSERT INTO public.who_data VALUES (84610, 0, 5, 0, 0, 358, 103);
INSERT INTO public.who_data VALUES (84611, 0, 0, 0, 0, 358, 58);
INSERT INTO public.who_data VALUES (84612, 0, 5, 0, 0, 358, 195);
INSERT INTO public.who_data VALUES (84613, 0, 0, 0, 0, 358, 115);
INSERT INTO public.who_data VALUES (84614, 0, 0, 0, 0, 358, 99);
INSERT INTO public.who_data VALUES (84615, 0, 0, 0, 0, 358, 153);
INSERT INTO public.who_data VALUES (84616, 0, 0, 0, 0, 358, 93);
INSERT INTO public.who_data VALUES (84617, 0, 0, 0, 0, 358, 84);
INSERT INTO public.who_data VALUES (84618, 0, 0, 0, 0, 358, 78);
INSERT INTO public.who_data VALUES (84619, 0, 0, 0, 0, 358, 170);
INSERT INTO public.who_data VALUES (84620, 0, 0, 0, 0, 358, 32);
INSERT INTO public.who_data VALUES (84621, 2, 29, 0, 0, 358, 155);
INSERT INTO public.who_data VALUES (84622, 2, 7, 0, 0, 358, 82);
INSERT INTO public.who_data VALUES (84623, 1, 1, 0, 0, 358, 16);
INSERT INTO public.who_data VALUES (84624, 0, 0, 0, 0, 358, 72);
INSERT INTO public.who_data VALUES (84625, 2, 44, 0, 0, 358, 43);
INSERT INTO public.who_data VALUES (84626, 0, 0, 0, 0, 358, 120);
INSERT INTO public.who_data VALUES (84627, 0, 0, 0, 0, 358, 213);
INSERT INTO public.who_data VALUES (84628, 1, 1, 0, 0, 358, 31);
INSERT INTO public.who_data VALUES (84629, 0, 1, 0, 0, 358, 204);
INSERT INTO public.who_data VALUES (84630, 0, 0, 0, 0, 358, 152);
INSERT INTO public.who_data VALUES (84631, 0, 0, 0, 0, 358, 144);
INSERT INTO public.who_data VALUES (84632, 0, 0, 0, 0, 358, 96);
INSERT INTO public.who_data VALUES (84633, 0, 0, 0, 0, 358, 47);
INSERT INTO public.who_data VALUES (84634, 0, 0, 0, 0, 358, 80);
INSERT INTO public.who_data VALUES (84635, 0, 0, 0, 0, 358, 159);
INSERT INTO public.who_data VALUES (84636, 0, 0, 0, 0, 358, 27);
INSERT INTO public.who_data VALUES (84637, 0, 0, 0, 0, 358, 146);
INSERT INTO public.who_data VALUES (84638, 0, 5, 0, 0, 358, 71);
INSERT INTO public.who_data VALUES (84639, 0, 0, 0, 0, 358, 210);
INSERT INTO public.who_data VALUES (84640, 0, 0, 0, 0, 358, 54);
INSERT INTO public.who_data VALUES (84641, 0, 0, 0, 0, 358, 147);
INSERT INTO public.who_data VALUES (84642, 0, 0, 0, 0, 358, 2);
INSERT INTO public.who_data VALUES (84643, 0, 0, 0, 0, 358, 105);
INSERT INTO public.who_data VALUES (84644, 0, 0, 0, 0, 358, 53);
INSERT INTO public.who_data VALUES (84645, 0, 5, 0, 0, 358, 81);
INSERT INTO public.who_data VALUES (84646, 0, 0, 0, 0, 358, 223);
INSERT INTO public.who_data VALUES (84647, 0, 18, 0, 0, 358, 94);
INSERT INTO public.who_data VALUES (84648, 0, 0, 0, 0, 358, 154);
INSERT INTO public.who_data VALUES (84649, 0, 0, 0, 0, 358, 83);
INSERT INTO public.who_data VALUES (84650, 0, 0, 0, 0, 358, 194);
INSERT INTO public.who_data VALUES (84651, 0, 0, 0, 0, 358, 136);
INSERT INTO public.who_data VALUES (84652, 430, 79393, 47, 2838, 358, 179);
INSERT INTO public.who_data VALUES (84653, 0, 0, 0, 0, 358, 57);
INSERT INTO public.who_data VALUES (84654, 0, 0, 0, 0, 358, 35);
INSERT INTO public.who_data VALUES (84655, 0, 0, 0, 0, 358, 228);
INSERT INTO public.who_data VALUES (84656, 0, 0, 0, 0, 358, 19);
INSERT INTO public.who_data VALUES (84657, 0, 0, 0, 0, 358, 22);
INSERT INTO public.who_data VALUES (84658, 0, 0, 0, 0, 358, 1);
INSERT INTO public.who_data VALUES (84659, 2, 5, 0, 0, 358, 21);
INSERT INTO public.who_data VALUES (84660, 0, 0, 0, 0, 358, 234);
INSERT INTO public.who_data VALUES (84661, 0, 0, 0, 0, 358, 91);
INSERT INTO public.who_data VALUES (84662, 0, 0, 0, 0, 358, 137);
INSERT INTO public.who_data VALUES (84663, 0, 0, 0, 0, 358, 201);
INSERT INTO public.who_data VALUES (84664, 0, 0, 0, 0, 358, 171);
INSERT INTO public.who_data VALUES (84665, 0, 0, 0, 0, 358, 92);
INSERT INTO public.who_data VALUES (84666, 1, 2, 0, 0, 358, 112);
INSERT INTO public.who_data VALUES (84667, 0, 0, 0, 0, 358, 62);
INSERT INTO public.who_data VALUES (84668, 0, 0, 0, 0, 358, 69);
INSERT INTO public.who_data VALUES (84669, 0, 0, 0, 0, 358, 220);
INSERT INTO public.who_data VALUES (84670, 5, 5, 0, 0, 358, 100);
INSERT INTO public.who_data VALUES (84671, 0, 5, 0, 0, 358, 187);
INSERT INTO public.who_data VALUES (84672, 0, 0, 0, 0, 358, 63);
INSERT INTO public.who_data VALUES (84673, 0, 0, 0, 0, 358, 28);
INSERT INTO public.who_data VALUES (84674, 0, 0, 0, 0, 358, 172);
INSERT INTO public.who_data VALUES (84675, 0, 1, 0, 0, 358, 17);
INSERT INTO public.who_data VALUES (84676, 0, 0, 0, 0, 358, 226);
INSERT INTO public.who_data VALUES (84677, 0, 0, 0, 0, 358, 236);
INSERT INTO public.who_data VALUES (84678, 0, 0, 0, 0, 358, 76);
INSERT INTO public.who_data VALUES (84679, 0, 0, 0, 0, 358, 30);
INSERT INTO public.who_data VALUES (84680, 0, 0, 0, 0, 358, 128);
INSERT INTO public.who_data VALUES (84681, 1, 3, 0, 0, 358, 86);
INSERT INTO public.who_data VALUES (84682, 19, 57, 0, 2, 358, 140);
INSERT INTO public.who_data VALUES (84683, 0, 0, 0, 0, 358, 44);
INSERT INTO public.who_data VALUES (84684, 0, 0, 0, 0, 358, 113);
INSERT INTO public.who_data VALUES (84685, 0, 0, 0, 0, 358, 29);
INSERT INTO public.who_data VALUES (84686, 0, 0, 0, 0, 358, 125);
INSERT INTO public.who_data VALUES (84687, 2, 3, 0, 0, 358, 131);
INSERT INTO public.who_data VALUES (84688, 10, 57, 0, 0, 358, 46);
INSERT INTO public.who_data VALUES (84689, 0, 0, 0, 0, 358, 10);
INSERT INTO public.who_data VALUES (84690, 0, 0, 0, 0, 358, 205);
INSERT INTO public.who_data VALUES (84691, 1, 4, 0, 0, 358, 50);
INSERT INTO public.who_data VALUES (84692, 0, 0, 0, 0, 358, 20);
INSERT INTO public.who_data VALUES (84693, 0, 0, 0, 0, 358, 13);
INSERT INTO public.who_data VALUES (84694, 0, 0, 0, 0, 358, 148);
INSERT INTO public.who_data VALUES (84695, 0, 0, 0, 0, 358, 230);
INSERT INTO public.who_data VALUES (84696, 0, 0, 0, 0, 358, 190);
INSERT INTO public.who_data VALUES (84697, 0, 0, 0, 0, 358, 188);
INSERT INTO public.who_data VALUES (84698, 0, 0, 0, 0, 358, 123);
INSERT INTO public.who_data VALUES (84699, 0, 0, 0, 0, 358, 9);
INSERT INTO public.who_data VALUES (84700, 0, 0, 0, 0, 358, 102);
INSERT INTO public.who_data VALUES (84701, 0, 0, 0, 0, 358, 34);
INSERT INTO public.who_data VALUES (84702, 0, 0, 0, 0, 358, 212);
INSERT INTO public.who_data VALUES (84703, 0, 0, 0, 0, 358, 122);
INSERT INTO public.who_data VALUES (84704, 0, 0, 0, 0, 358, 38);
INSERT INTO public.who_data VALUES (84705, 1, 1, 0, 0, 358, 130);
INSERT INTO public.who_data VALUES (84706, 0, 7, 0, 0, 358, 37);
INSERT INTO public.who_data VALUES (84707, 0, 0, 0, 0, 358, 231);
INSERT INTO public.who_data VALUES (84708, 205, 597, 9, 43, 358, 107);
INSERT INTO public.who_data VALUES (84709, 5, 17, 0, 0, 358, 101);
INSERT INTO public.who_data VALUES (84710, 0, 0, 0, 0, 358, 132);
INSERT INTO public.who_data VALUES (84711, 0, 0, 0, 0, 358, 176);
INSERT INTO public.who_data VALUES (84712, 1, 3, 0, 0, 358, 200);
INSERT INTO public.who_data VALUES (84713, 238, 888, 4, 21, 358, 169);
INSERT INTO public.who_data VALUES (84714, 0, 0, 0, 0, 358, 225);
INSERT INTO public.who_data VALUES (84715, 29, 243, 0, 5, 358, 165);
INSERT INTO public.who_data VALUES (84716, 0, 0, 0, 0, 358, 233);
INSERT INTO public.who_data VALUES (84717, 0, 0, 0, 0, 358, 215);
INSERT INTO public.who_data VALUES (84718, 0, 0, 0, 0, 358, 177);
INSERT INTO public.who_data VALUES (84719, 0, 0, 0, 0, 358, 183);
INSERT INTO public.who_data VALUES (84720, 0, 0, 0, 0, 358, 203);
INSERT INTO public.who_data VALUES (84721, 0, 0, 0, 0, 358, 162);
INSERT INTO public.who_data VALUES (84722, 0, 49, 0, 0, 358, 12);
INSERT INTO public.who_data VALUES (84723, 0, 0, 0, 0, 358, 24);
INSERT INTO public.who_data VALUES (84724, 0, 0, 0, 0, 358, 119);
INSERT INTO public.who_data VALUES (84725, 0, 0, 0, 0, 358, 39);
INSERT INTO public.who_data VALUES (84726, 3, 11, 0, 0, 358, 26);
INSERT INTO public.who_data VALUES (84727, 0, 0, 0, 0, 358, 59);
INSERT INTO public.who_data VALUES (84728, 0, 0, 0, 0, 358, 77);
INSERT INTO public.who_data VALUES (84729, 0, 0, 0, 0, 358, 134);
INSERT INTO public.who_data VALUES (84730, 0, 0, 0, 0, 358, 4);
INSERT INTO public.who_data VALUES (84731, 0, 1, 0, 0, 358, 109);
INSERT INTO public.who_data VALUES (84732, 0, 0, 0, 0, 358, 90);
INSERT INTO public.who_data VALUES (84733, 0, 0, 0, 0, 358, 61);
INSERT INTO public.who_data VALUES (84734, 0, 0, 0, 0, 358, 85);
INSERT INTO public.who_data VALUES (84735, 0, 28, 0, 0, 358, 49);
INSERT INTO public.who_data VALUES (84736, 0, 0, 0, 0, 358, 208);
INSERT INTO public.who_data VALUES (84737, 0, 0, 0, 0, 358, 166);
INSERT INTO public.who_data VALUES (84738, 0, 0, 0, 0, 358, 64);
INSERT INTO public.who_data VALUES (84739, 0, 0, 0, 0, 358, 199);
INSERT INTO public.who_data VALUES (84740, 0, 0, 0, 0, 358, 114);
INSERT INTO public.who_data VALUES (84741, 0, 0, 0, 0, 358, 60);
INSERT INTO public.who_data VALUES (84742, 0, 0, 0, 0, 358, 68);
INSERT INTO public.who_data VALUES (84743, 0, 0, 0, 0, 358, 158);
INSERT INTO public.who_data VALUES (84744, 0, 6, 0, 0, 358, 52);
INSERT INTO public.who_data VALUES (84745, 0, 0, 0, 0, 358, 117);
INSERT INTO public.who_data VALUES (84746, 0, 0, 0, 0, 358, 126);
INSERT INTO public.who_data VALUES (84747, 0, 0, 0, 0, 358, 196);
INSERT INTO public.who_data VALUES (84748, 0, 0, 0, 0, 358, 142);
INSERT INTO public.who_data VALUES (84749, 0, 0, 0, 0, 358, 185);
INSERT INTO public.who_data VALUES (84750, 0, 0, 0, 0, 358, 138);
INSERT INTO public.who_data VALUES (84751, 0, 0, 0, 0, 358, 181);
INSERT INTO public.who_data VALUES (84752, 0, 0, 0, 0, 358, 178);
INSERT INTO public.who_data VALUES (84753, 0, 0, 0, 0, 358, 168);
INSERT INTO public.who_data VALUES (84754, 0, 0, 0, 0, 358, 160);
INSERT INTO public.who_data VALUES (84755, 0, 5, 0, 0, 358, 151);
INSERT INTO public.who_data VALUES (84756, 0, 1, 0, 0, 358, 193);
INSERT INTO public.who_data VALUES (84757, 0, 0, 0, 0, 358, 18);
INSERT INTO public.who_data VALUES (84758, 0, 5, 0, 0, 358, 40);
INSERT INTO public.who_data VALUES (84759, 0, 0, 0, 0, 358, 218);
INSERT INTO public.who_data VALUES (84760, 0, 0, 0, 0, 358, 191);
INSERT INTO public.who_data VALUES (84761, 0, 5, 0, 0, 358, 156);
INSERT INTO public.who_data VALUES (84762, 0, 0, 0, 0, 358, 135);
INSERT INTO public.who_data VALUES (84763, 0, 0, 0, 0, 358, 88);
INSERT INTO public.who_data VALUES (84764, 0, 1, 0, 0, 358, 55);
INSERT INTO public.who_data VALUES (84765, 2, 6, 0, 0, 358, 108);
INSERT INTO public.who_data VALUES (84766, 0, 0, 0, 0, 358, 48);
INSERT INTO public.who_data VALUES (84767, 0, 10, 0, 0, 358, 3);
INSERT INTO public.who_data VALUES (84768, 0, 699, 0, 6, 358, 224);
INSERT INTO public.who_data VALUES (84769, 2, 8, 0, 0, 358, 110);
INSERT INTO public.who_data VALUES (84770, 0, 0, 0, 0, 358, 106);
INSERT INTO public.who_data VALUES (84771, 0, 0, 0, 0, 358, 89);
INSERT INTO public.who_data VALUES (84772, 0, 0, 0, 0, 358, 121);
INSERT INTO public.who_data VALUES (84773, 0, 0, 0, 0, 358, 163);
INSERT INTO public.who_data VALUES (84774, 0, 0, 0, 0, 358, 70);
INSERT INTO public.who_data VALUES (84775, 0, 7, 0, 1, 358, 174);
INSERT INTO public.who_data VALUES (84776, 0, 0, 0, 0, 358, 175);
INSERT INTO public.who_data VALUES (84777, 0, 0, 0, 0, 358, 118);
INSERT INTO public.who_data VALUES (84778, 0, 0, 0, 0, 358, 189);
INSERT INTO public.who_data VALUES (84779, 0, 0, 0, 0, 358, 124);
INSERT INTO public.who_data VALUES (84780, 5, 5, 0, 0, 358, 192);
INSERT INTO public.who_data VALUES (84781, 813, 3154, 4, 17, 358, 41);
INSERT INTO public.who_data VALUES (84782, 0, 0, 0, 0, 358, 95);
INSERT INTO public.who_data VALUES (84783, 0, 0, 0, 0, 358, 74);
INSERT INTO public.who_data VALUES (84784, 2, 3, 0, 0, 358, 11);
INSERT INTO public.who_data VALUES (84785, 0, 2, 0, 0, 358, 87);
INSERT INTO public.who_data VALUES (84786, 0, 0, 0, 0, 358, 214);
INSERT INTO public.who_data VALUES (84787, 0, 0, 0, 0, 358, 116);
INSERT INTO public.who_data VALUES (84788, 0, 0, 0, 0, 358, 157);
INSERT INTO public.who_data VALUES (84789, 0, 0, 0, 0, 358, 182);
INSERT INTO public.who_data VALUES (84790, 0, 0, 0, 0, 358, 186);
INSERT INTO public.who_data VALUES (84791, 0, 0, 0, 0, 358, 127);
INSERT INTO public.who_data VALUES (84792, 0, 0, 0, 0, 358, 232);
INSERT INTO public.who_data VALUES (84793, 0, 0, 0, 0, 358, 33);
INSERT INTO public.who_data VALUES (84794, 0, 0, 0, 0, 358, 97);
INSERT INTO public.who_data VALUES (84795, 0, 0, 0, 0, 358, 42);
INSERT INTO public.who_data VALUES (84796, 0, 1, 1, 1, 358, 198);
INSERT INTO public.who_data VALUES (84797, 0, 0, 0, 0, 358, 216);
INSERT INTO public.who_data VALUES (84798, 0, 0, 0, 0, 358, 164);
INSERT INTO public.who_data VALUES (84799, 0, 0, 0, 0, 358, 235);
INSERT INTO public.who_data VALUES (84800, 0, 0, 0, 0, 358, 67);
INSERT INTO public.who_data VALUES (84801, 0, 0, 0, 0, 358, 15);
INSERT INTO public.who_data VALUES (84802, 0, 0, 0, 0, 358, 180);
INSERT INTO public.who_data VALUES (84803, 4, 106, 0, 0, 358, 237);
INSERT INTO public.who_data VALUES (84804, 0, 0, 0, 0, 358, 25);
INSERT INTO public.who_data VALUES (84805, 0, 0, 0, 0, 358, 209);
INSERT INTO public.who_data VALUES (84806, 0, 0, 0, 0, 358, 217);
INSERT INTO public.who_data VALUES (84807, 0, 0, 0, 0, 358, 79);
INSERT INTO public.who_data VALUES (84808, 0, 0, 0, 0, 358, 143);
INSERT INTO public.who_data VALUES (84809, 0, 0, 0, 0, 358, 229);
INSERT INTO public.who_data VALUES (84810, 0, 0, 0, 0, 358, 141);
INSERT INTO public.who_data VALUES (84811, 0, 0, 0, 0, 358, 197);
INSERT INTO public.who_data VALUES (84812, 23, 65, 0, 1, 358, 221);
INSERT INTO public.who_data VALUES (84813, 0, 5, 0, 0, 358, 150);
INSERT INTO public.who_data VALUES (84814, 0, 0, 0, 0, 358, 56);
INSERT INTO public.who_data VALUES (84815, 0, 0, 0, 0, 358, 167);
INSERT INTO public.who_data VALUES (84816, 1, 3, 0, 0, 358, 23);
INSERT INTO public.who_data VALUES (84817, 10, 32, 0, 0, 358, 222);
INSERT INTO public.who_data VALUES (84818, 0, 0, 0, 0, 358, 219);
INSERT INTO public.who_data VALUES (84819, 0, 0, 0, 0, 358, 7);
INSERT INTO public.who_data VALUES (84820, 1, 46, 0, 0, 358, 161);
INSERT INTO public.who_data VALUES (84821, 8, 30, 0, 0, 358, 149);
INSERT INTO public.who_data VALUES (84822, 0, 0, 0, 0, 358, 6);
INSERT INTO public.who_data VALUES (84823, 0, 0, 0, 0, 358, 139);
INSERT INTO public.who_data VALUES (84824, 0, 0, 0, 0, 358, 211);
INSERT INTO public.who_data VALUES (84825, 0, 0, 0, 0, 358, 14);
INSERT INTO public.who_data VALUES (84826, 0, 0, 0, 0, 358, 111);
INSERT INTO public.who_data VALUES (84827, 0, 0, 0, 0, 358, 207);
INSERT INTO public.who_data VALUES (84828, 0, 0, 0, 0, 358, 66);
INSERT INTO public.who_data VALUES (84829, 0, 0, 0, 0, 358, 173);
INSERT INTO public.who_data VALUES (84830, 0, 0, 0, 0, 358, 145);
INSERT INTO public.who_data VALUES (84831, 0, 0, 0, 0, 358, 65);
INSERT INTO public.who_data VALUES (84832, 0, 0, 0, 0, 358, 184);
INSERT INTO public.who_data VALUES (84833, 0, 0, 0, 0, 358, 98);
INSERT INTO public.who_data VALUES (84834, 0, 23, 0, 0, 358, 104);
INSERT INTO public.who_data VALUES (84835, 0, 0, 0, 0, 358, 73);
INSERT INTO public.who_data VALUES (84836, 0, 66, 0, 0, 358, 8);
INSERT INTO public.who_data VALUES (84837, 0, 0, 0, 0, 358, 227);
INSERT INTO public.who_data VALUES (84838, 0, 0, 0, 0, 358, 75);
INSERT INTO public.who_data VALUES (84839, 0, 0, 0, 0, 358, 45);
INSERT INTO public.who_data VALUES (84840, 0, 0, 0, 0, 358, 133);
INSERT INTO public.who_data VALUES (84841, 0, 0, 0, 0, 358, 202);
INSERT INTO public.who_data VALUES (84842, 0, 20, 0, 0, 358, 129);
INSERT INTO public.who_data VALUES (84843, 0, 0, 0, 0, 358, 36);
INSERT INTO public.who_data VALUES (84844, 0, 0, 0, 0, 358, 51);
INSERT INTO public.who_data VALUES (84845, 0, 0, 0, 0, 358, 206);
INSERT INTO public.who_data VALUES (84846, 0, 0, 0, 0, 358, 5);
INSERT INTO public.who_data VALUES (84847, 0, 5, 0, 0, 359, 103);
INSERT INTO public.who_data VALUES (84848, 0, 0, 0, 0, 359, 58);
INSERT INTO public.who_data VALUES (84849, 0, 5, 0, 0, 359, 195);
INSERT INTO public.who_data VALUES (84850, 0, 0, 0, 0, 359, 115);
INSERT INTO public.who_data VALUES (84851, 0, 0, 0, 0, 359, 99);
INSERT INTO public.who_data VALUES (84852, 0, 0, 0, 0, 359, 153);
INSERT INTO public.who_data VALUES (84853, 0, 0, 0, 0, 359, 93);
INSERT INTO public.who_data VALUES (84854, 0, 0, 0, 0, 359, 84);
INSERT INTO public.who_data VALUES (84855, 0, 0, 0, 0, 359, 78);
INSERT INTO public.who_data VALUES (84856, 0, 0, 0, 0, 359, 170);
INSERT INTO public.who_data VALUES (84857, 0, 0, 0, 0, 359, 32);
INSERT INTO public.who_data VALUES (84858, 0, 27, 0, 0, 359, 155);
INSERT INTO public.who_data VALUES (84859, 3, 5, 0, 0, 359, 82);
INSERT INTO public.who_data VALUES (84860, 0, 0, 0, 0, 359, 16);
INSERT INTO public.who_data VALUES (84861, 0, 0, 0, 0, 359, 72);
INSERT INTO public.who_data VALUES (84862, 5, 42, 0, 0, 359, 43);
INSERT INTO public.who_data VALUES (84863, 0, 0, 0, 0, 359, 120);
INSERT INTO public.who_data VALUES (84864, 0, 0, 0, 0, 359, 213);
INSERT INTO public.who_data VALUES (84865, 0, 0, 0, 0, 359, 31);
INSERT INTO public.who_data VALUES (84866, 0, 1, 0, 0, 359, 204);
INSERT INTO public.who_data VALUES (84867, 0, 0, 0, 0, 359, 152);
INSERT INTO public.who_data VALUES (84868, 0, 0, 0, 0, 359, 144);
INSERT INTO public.who_data VALUES (84869, 0, 0, 0, 0, 359, 96);
INSERT INTO public.who_data VALUES (84870, 0, 0, 0, 0, 359, 47);
INSERT INTO public.who_data VALUES (84871, 0, 0, 0, 0, 359, 80);
INSERT INTO public.who_data VALUES (84872, 0, 0, 0, 0, 359, 159);
INSERT INTO public.who_data VALUES (84873, 0, 0, 0, 0, 359, 27);
INSERT INTO public.who_data VALUES (84874, 0, 0, 0, 0, 359, 146);
INSERT INTO public.who_data VALUES (84875, 0, 5, 0, 0, 359, 71);
INSERT INTO public.who_data VALUES (84876, 0, 0, 0, 0, 359, 210);
INSERT INTO public.who_data VALUES (84877, 0, 0, 0, 0, 359, 54);
INSERT INTO public.who_data VALUES (84878, 0, 0, 0, 0, 359, 147);
INSERT INTO public.who_data VALUES (84879, 0, 0, 0, 0, 359, 2);
INSERT INTO public.who_data VALUES (84880, 0, 0, 0, 0, 359, 105);
INSERT INTO public.who_data VALUES (84881, 0, 0, 0, 0, 359, 53);
INSERT INTO public.who_data VALUES (84882, 0, 5, 0, 0, 359, 81);
INSERT INTO public.who_data VALUES (84883, 0, 0, 0, 0, 359, 223);
INSERT INTO public.who_data VALUES (84884, 3, 18, 0, 0, 359, 94);
INSERT INTO public.who_data VALUES (84885, 0, 0, 0, 0, 359, 154);
INSERT INTO public.who_data VALUES (84886, 0, 0, 0, 0, 359, 83);
INSERT INTO public.who_data VALUES (84887, 0, 0, 0, 0, 359, 194);
INSERT INTO public.who_data VALUES (84888, 0, 0, 0, 0, 359, 136);
INSERT INTO public.who_data VALUES (84889, 329, 78963, 44, 2791, 359, 179);
INSERT INTO public.who_data VALUES (84890, 0, 0, 0, 0, 359, 57);
INSERT INTO public.who_data VALUES (84891, 0, 0, 0, 0, 359, 35);
INSERT INTO public.who_data VALUES (84892, 0, 0, 0, 0, 359, 228);
INSERT INTO public.who_data VALUES (84893, 0, 0, 0, 0, 359, 19);
INSERT INTO public.who_data VALUES (84894, 0, 0, 0, 0, 359, 22);
INSERT INTO public.who_data VALUES (84895, 0, 0, 0, 0, 359, 1);
INSERT INTO public.who_data VALUES (84896, 1, 3, 0, 0, 359, 21);
INSERT INTO public.who_data VALUES (84897, 0, 0, 0, 0, 359, 234);
INSERT INTO public.who_data VALUES (84898, 0, 0, 0, 0, 359, 91);
INSERT INTO public.who_data VALUES (84899, 0, 0, 0, 0, 359, 137);
INSERT INTO public.who_data VALUES (84900, 0, 0, 0, 0, 359, 201);
INSERT INTO public.who_data VALUES (84901, 0, 0, 0, 0, 359, 171);
INSERT INTO public.who_data VALUES (84902, 0, 0, 0, 0, 359, 92);
INSERT INTO public.who_data VALUES (84903, 0, 1, 0, 0, 359, 112);
INSERT INTO public.who_data VALUES (84904, 0, 0, 0, 0, 359, 62);
INSERT INTO public.who_data VALUES (84905, 0, 0, 0, 0, 359, 69);
INSERT INTO public.who_data VALUES (84906, 0, 0, 0, 0, 359, 220);
INSERT INTO public.who_data VALUES (84907, 0, 0, 0, 0, 359, 100);
INSERT INTO public.who_data VALUES (84908, 0, 5, 0, 0, 359, 187);
INSERT INTO public.who_data VALUES (84909, 0, 0, 0, 0, 359, 63);
INSERT INTO public.who_data VALUES (84910, 0, 0, 0, 0, 359, 28);
INSERT INTO public.who_data VALUES (84911, 0, 0, 0, 0, 359, 172);
INSERT INTO public.who_data VALUES (84912, 0, 1, 0, 0, 359, 17);
INSERT INTO public.who_data VALUES (84913, 0, 0, 0, 0, 359, 226);
INSERT INTO public.who_data VALUES (84914, 0, 0, 0, 0, 359, 236);
INSERT INTO public.who_data VALUES (84915, 0, 0, 0, 0, 359, 76);
INSERT INTO public.who_data VALUES (84916, 0, 0, 0, 0, 359, 30);
INSERT INTO public.who_data VALUES (84917, 0, 0, 0, 0, 359, 128);
INSERT INTO public.who_data VALUES (84918, 0, 2, 0, 0, 359, 86);
INSERT INTO public.who_data VALUES (84919, 21, 38, 0, 2, 359, 140);
INSERT INTO public.who_data VALUES (84920, 0, 0, 0, 0, 359, 44);
INSERT INTO public.who_data VALUES (84921, 0, 0, 0, 0, 359, 113);
INSERT INTO public.who_data VALUES (84922, 0, 0, 0, 0, 359, 29);
INSERT INTO public.who_data VALUES (84923, 0, 0, 0, 0, 359, 125);
INSERT INTO public.who_data VALUES (84924, 0, 1, 0, 0, 359, 131);
INSERT INTO public.who_data VALUES (84925, 26, 47, 0, 0, 359, 46);
INSERT INTO public.who_data VALUES (84926, 0, 0, 0, 0, 359, 10);
INSERT INTO public.who_data VALUES (84927, 0, 0, 0, 0, 359, 205);
INSERT INTO public.who_data VALUES (84928, 2, 3, 0, 0, 359, 50);
INSERT INTO public.who_data VALUES (84929, 0, 0, 0, 0, 359, 20);
INSERT INTO public.who_data VALUES (84930, 0, 0, 0, 0, 359, 13);
INSERT INTO public.who_data VALUES (84931, 0, 0, 0, 0, 359, 148);
INSERT INTO public.who_data VALUES (84932, 0, 0, 0, 0, 359, 230);
INSERT INTO public.who_data VALUES (84933, 0, 0, 0, 0, 359, 190);
INSERT INTO public.who_data VALUES (84934, 0, 0, 0, 0, 359, 188);
INSERT INTO public.who_data VALUES (84935, 0, 0, 0, 0, 359, 123);
INSERT INTO public.who_data VALUES (84936, 0, 0, 0, 0, 359, 9);
INSERT INTO public.who_data VALUES (84937, 0, 0, 0, 0, 359, 102);
INSERT INTO public.who_data VALUES (84938, 0, 0, 0, 0, 359, 34);
INSERT INTO public.who_data VALUES (84939, 0, 0, 0, 0, 359, 212);
INSERT INTO public.who_data VALUES (84940, 0, 0, 0, 0, 359, 122);
INSERT INTO public.who_data VALUES (84941, 0, 0, 0, 0, 359, 38);
INSERT INTO public.who_data VALUES (84942, 0, 0, 0, 0, 359, 130);
INSERT INTO public.who_data VALUES (84943, 0, 7, 0, 0, 359, 37);
INSERT INTO public.who_data VALUES (84944, 0, 0, 0, 0, 359, 231);
INSERT INTO public.who_data VALUES (84945, 143, 392, 8, 34, 359, 107);
INSERT INTO public.who_data VALUES (84946, 2, 12, 0, 0, 359, 101);
INSERT INTO public.who_data VALUES (84947, 0, 0, 0, 0, 359, 132);
INSERT INTO public.who_data VALUES (84948, 0, 0, 0, 0, 359, 176);
INSERT INTO public.who_data VALUES (84949, 0, 2, 0, 0, 359, 200);
INSERT INTO public.who_data VALUES (84950, 250, 650, 5, 17, 359, 169);
INSERT INTO public.who_data VALUES (84951, 0, 0, 0, 0, 359, 225);
INSERT INTO public.who_data VALUES (84952, 23, 214, 1, 5, 359, 165);
INSERT INTO public.who_data VALUES (84953, 0, 0, 0, 0, 359, 233);
INSERT INTO public.who_data VALUES (84954, 0, 0, 0, 0, 359, 215);
INSERT INTO public.who_data VALUES (84955, 0, 0, 0, 0, 359, 177);
INSERT INTO public.who_data VALUES (84956, 0, 0, 0, 0, 359, 183);
INSERT INTO public.who_data VALUES (84957, 0, 0, 0, 0, 359, 203);
INSERT INTO public.who_data VALUES (84958, 0, 0, 0, 0, 359, 162);
INSERT INTO public.who_data VALUES (84959, 2, 49, 0, 0, 359, 12);
INSERT INTO public.who_data VALUES (84960, 0, 0, 0, 0, 359, 24);
INSERT INTO public.who_data VALUES (84961, 0, 0, 0, 0, 359, 119);
INSERT INTO public.who_data VALUES (84962, 0, 0, 0, 0, 359, 39);
INSERT INTO public.who_data VALUES (84963, 1, 8, 0, 0, 359, 26);
INSERT INTO public.who_data VALUES (84964, 0, 0, 0, 0, 359, 59);
INSERT INTO public.who_data VALUES (84965, 0, 0, 0, 0, 359, 77);
INSERT INTO public.who_data VALUES (84966, 0, 0, 0, 0, 359, 134);
INSERT INTO public.who_data VALUES (84967, 0, 0, 0, 0, 359, 4);
INSERT INTO public.who_data VALUES (84968, 1, 1, 0, 0, 359, 109);
INSERT INTO public.who_data VALUES (84969, 0, 0, 0, 0, 359, 90);
INSERT INTO public.who_data VALUES (84970, 0, 0, 0, 0, 359, 61);
INSERT INTO public.who_data VALUES (84971, 0, 0, 0, 0, 359, 85);
INSERT INTO public.who_data VALUES (84972, 0, 28, 0, 0, 359, 49);
INSERT INTO public.who_data VALUES (84973, 0, 0, 0, 0, 359, 208);
INSERT INTO public.who_data VALUES (84974, 0, 0, 0, 0, 359, 166);
INSERT INTO public.who_data VALUES (84975, 0, 0, 0, 0, 359, 64);
INSERT INTO public.who_data VALUES (84976, 0, 0, 0, 0, 359, 199);
INSERT INTO public.who_data VALUES (84977, 0, 0, 0, 0, 359, 114);
INSERT INTO public.who_data VALUES (84978, 0, 0, 0, 0, 359, 60);
INSERT INTO public.who_data VALUES (84979, 0, 0, 0, 0, 359, 68);
INSERT INTO public.who_data VALUES (84980, 0, 0, 0, 0, 359, 158);
INSERT INTO public.who_data VALUES (84981, 6, 6, 0, 0, 359, 52);
INSERT INTO public.who_data VALUES (84982, 0, 0, 0, 0, 359, 117);
INSERT INTO public.who_data VALUES (84983, 0, 0, 0, 0, 359, 126);
INSERT INTO public.who_data VALUES (84984, 0, 0, 0, 0, 359, 196);
INSERT INTO public.who_data VALUES (84985, 0, 0, 0, 0, 359, 142);
INSERT INTO public.who_data VALUES (84986, 0, 0, 0, 0, 359, 185);
INSERT INTO public.who_data VALUES (84987, 0, 0, 0, 0, 359, 138);
INSERT INTO public.who_data VALUES (84988, 0, 0, 0, 0, 359, 181);
INSERT INTO public.who_data VALUES (84989, 0, 0, 0, 0, 359, 178);
INSERT INTO public.who_data VALUES (84990, 0, 0, 0, 0, 359, 168);
INSERT INTO public.who_data VALUES (84991, 0, 0, 0, 0, 359, 160);
INSERT INTO public.who_data VALUES (84992, 0, 5, 0, 0, 359, 151);
INSERT INTO public.who_data VALUES (84993, 1, 1, 0, 0, 359, 193);
INSERT INTO public.who_data VALUES (84994, 0, 0, 0, 0, 359, 18);
INSERT INTO public.who_data VALUES (84995, 5, 5, 0, 0, 359, 40);
INSERT INTO public.who_data VALUES (84996, 0, 0, 0, 0, 359, 218);
INSERT INTO public.who_data VALUES (84997, 0, 0, 0, 0, 359, 191);
INSERT INTO public.who_data VALUES (84998, 5, 5, 0, 0, 359, 156);
INSERT INTO public.who_data VALUES (84999, 0, 0, 0, 0, 359, 135);
INSERT INTO public.who_data VALUES (85000, 0, 0, 0, 0, 359, 88);
INSERT INTO public.who_data VALUES (85001, 0, 1, 0, 0, 359, 55);
INSERT INTO public.who_data VALUES (85002, 3, 4, 0, 0, 359, 108);
INSERT INTO public.who_data VALUES (85003, 0, 0, 0, 0, 359, 48);
INSERT INTO public.who_data VALUES (85004, 0, 10, 0, 0, 359, 3);
INSERT INTO public.who_data VALUES (85005, 0, 699, 2, 6, 359, 224);
INSERT INTO public.who_data VALUES (85006, 0, 6, 0, 0, 359, 110);
INSERT INTO public.who_data VALUES (85007, 0, 0, 0, 0, 359, 106);
INSERT INTO public.who_data VALUES (85008, 0, 0, 0, 0, 359, 89);
INSERT INTO public.who_data VALUES (85009, 0, 0, 0, 0, 359, 121);
INSERT INTO public.who_data VALUES (85010, 0, 0, 0, 0, 359, 163);
INSERT INTO public.who_data VALUES (85011, 0, 0, 0, 0, 359, 70);
INSERT INTO public.who_data VALUES (85012, 0, 7, 0, 1, 359, 174);
INSERT INTO public.who_data VALUES (85013, 0, 0, 0, 0, 359, 175);
INSERT INTO public.who_data VALUES (85014, 0, 0, 0, 0, 359, 118);
INSERT INTO public.who_data VALUES (85015, 0, 0, 0, 0, 359, 189);
INSERT INTO public.who_data VALUES (85016, 0, 0, 0, 0, 359, 124);
INSERT INTO public.who_data VALUES (85017, 0, 0, 0, 0, 359, 192);
INSERT INTO public.who_data VALUES (85018, 571, 2341, 0, 13, 359, 41);
INSERT INTO public.who_data VALUES (85019, 0, 0, 0, 0, 359, 95);
INSERT INTO public.who_data VALUES (85020, 0, 0, 0, 0, 359, 74);
INSERT INTO public.who_data VALUES (85021, 0, 1, 0, 0, 359, 11);
INSERT INTO public.who_data VALUES (85022, 0, 2, 0, 0, 359, 87);
INSERT INTO public.who_data VALUES (85023, 0, 0, 0, 0, 359, 214);
INSERT INTO public.who_data VALUES (85024, 0, 0, 0, 0, 359, 116);
INSERT INTO public.who_data VALUES (85025, 0, 0, 0, 0, 359, 157);
INSERT INTO public.who_data VALUES (85026, 0, 0, 0, 0, 359, 182);
INSERT INTO public.who_data VALUES (85027, 0, 0, 0, 0, 359, 186);
INSERT INTO public.who_data VALUES (85028, 0, 0, 0, 0, 359, 127);
INSERT INTO public.who_data VALUES (85029, 0, 0, 0, 0, 359, 232);
INSERT INTO public.who_data VALUES (85030, 0, 0, 0, 0, 359, 33);
INSERT INTO public.who_data VALUES (85031, 0, 0, 0, 0, 359, 97);
INSERT INTO public.who_data VALUES (85032, 0, 0, 0, 0, 359, 42);
INSERT INTO public.who_data VALUES (85033, 1, 1, 0, 0, 359, 198);
INSERT INTO public.who_data VALUES (85034, 0, 0, 0, 0, 359, 216);
INSERT INTO public.who_data VALUES (85035, 0, 0, 0, 0, 359, 164);
INSERT INTO public.who_data VALUES (85036, 0, 0, 0, 0, 359, 235);
INSERT INTO public.who_data VALUES (85037, 0, 0, 0, 0, 359, 67);
INSERT INTO public.who_data VALUES (85038, 0, 0, 0, 0, 359, 15);
INSERT INTO public.who_data VALUES (85039, 0, 0, 0, 0, 359, 180);
INSERT INTO public.who_data VALUES (85040, 2, 102, 0, 0, 359, 237);
INSERT INTO public.who_data VALUES (85041, 0, 0, 0, 0, 359, 25);
INSERT INTO public.who_data VALUES (85042, 0, 0, 0, 0, 359, 209);
INSERT INTO public.who_data VALUES (85043, 0, 0, 0, 0, 359, 217);
INSERT INTO public.who_data VALUES (85044, 0, 0, 0, 0, 359, 79);
INSERT INTO public.who_data VALUES (85045, 0, 0, 0, 0, 359, 143);
INSERT INTO public.who_data VALUES (85046, 0, 0, 0, 0, 359, 229);
INSERT INTO public.who_data VALUES (85047, 0, 0, 0, 0, 359, 141);
INSERT INTO public.who_data VALUES (85048, 0, 0, 0, 0, 359, 197);
INSERT INTO public.who_data VALUES (85049, 7, 42, 0, 1, 359, 221);
INSERT INTO public.who_data VALUES (85050, 0, 5, 0, 0, 359, 150);
INSERT INTO public.who_data VALUES (85051, 0, 0, 0, 0, 359, 56);
INSERT INTO public.who_data VALUES (85052, 0, 0, 0, 0, 359, 167);
INSERT INTO public.who_data VALUES (85053, 1, 2, 0, 0, 359, 23);
INSERT INTO public.who_data VALUES (85054, 10, 22, 0, 0, 359, 222);
INSERT INTO public.who_data VALUES (85055, 0, 0, 0, 0, 359, 219);
INSERT INTO public.who_data VALUES (85056, 0, 0, 0, 0, 359, 7);
INSERT INTO public.who_data VALUES (85057, 1, 45, 0, 0, 359, 161);
INSERT INTO public.who_data VALUES (85058, 4, 22, 0, 0, 359, 149);
INSERT INTO public.who_data VALUES (85059, 0, 0, 0, 0, 359, 6);
INSERT INTO public.who_data VALUES (85060, 0, 0, 0, 0, 359, 139);
INSERT INTO public.who_data VALUES (85061, 0, 0, 0, 0, 359, 211);
INSERT INTO public.who_data VALUES (85062, 0, 0, 0, 0, 359, 14);
INSERT INTO public.who_data VALUES (85063, 0, 0, 0, 0, 359, 111);
INSERT INTO public.who_data VALUES (85064, 0, 0, 0, 0, 359, 207);
INSERT INTO public.who_data VALUES (85065, 0, 0, 0, 0, 359, 66);
INSERT INTO public.who_data VALUES (85066, 0, 0, 0, 0, 359, 173);
INSERT INTO public.who_data VALUES (85067, 0, 0, 0, 0, 359, 145);
INSERT INTO public.who_data VALUES (85068, 0, 0, 0, 0, 359, 65);
INSERT INTO public.who_data VALUES (85069, 0, 0, 0, 0, 359, 184);
INSERT INTO public.who_data VALUES (85070, 0, 0, 0, 0, 359, 98);
INSERT INTO public.who_data VALUES (85071, 0, 23, 0, 0, 359, 104);
INSERT INTO public.who_data VALUES (85072, 0, 0, 0, 0, 359, 73);
INSERT INTO public.who_data VALUES (85073, 3, 66, 0, 0, 359, 8);
INSERT INTO public.who_data VALUES (85074, 0, 0, 0, 0, 359, 227);
INSERT INTO public.who_data VALUES (85075, 0, 0, 0, 0, 359, 75);
INSERT INTO public.who_data VALUES (85076, 0, 0, 0, 0, 359, 45);
INSERT INTO public.who_data VALUES (85077, 0, 0, 0, 0, 359, 133);
INSERT INTO public.who_data VALUES (85078, 0, 0, 0, 0, 359, 202);
INSERT INTO public.who_data VALUES (85079, 0, 20, 0, 0, 359, 129);
INSERT INTO public.who_data VALUES (85080, 0, 0, 0, 0, 359, 36);
INSERT INTO public.who_data VALUES (85081, 0, 0, 0, 0, 359, 51);
INSERT INTO public.who_data VALUES (85082, 0, 0, 0, 0, 359, 206);
INSERT INTO public.who_data VALUES (85083, 0, 0, 0, 0, 359, 5);
INSERT INTO public.who_data VALUES (85084, 0, 5, 0, 0, 360, 103);
INSERT INTO public.who_data VALUES (85085, 0, 0, 0, 0, 360, 58);
INSERT INTO public.who_data VALUES (85086, 0, 5, 0, 0, 360, 195);
INSERT INTO public.who_data VALUES (85087, 0, 0, 0, 0, 360, 115);
INSERT INTO public.who_data VALUES (85088, 0, 0, 0, 0, 360, 99);
INSERT INTO public.who_data VALUES (85089, 0, 0, 0, 0, 360, 153);
INSERT INTO public.who_data VALUES (85090, 0, 0, 0, 0, 360, 93);
INSERT INTO public.who_data VALUES (85091, 0, 0, 0, 0, 360, 84);
INSERT INTO public.who_data VALUES (85092, 0, 0, 0, 0, 360, 78);
INSERT INTO public.who_data VALUES (85093, 0, 0, 0, 0, 360, 170);
INSERT INTO public.who_data VALUES (85094, 0, 0, 0, 0, 360, 32);
INSERT INTO public.who_data VALUES (85095, 0, 27, 0, 0, 360, 155);
INSERT INTO public.who_data VALUES (85096, 0, 2, 0, 0, 360, 82);
INSERT INTO public.who_data VALUES (85097, 0, 0, 0, 0, 360, 16);
INSERT INTO public.who_data VALUES (85098, 0, 0, 0, 0, 360, 72);
INSERT INTO public.who_data VALUES (85099, 0, 37, 0, 0, 360, 43);
INSERT INTO public.who_data VALUES (85100, 0, 0, 0, 0, 360, 120);
INSERT INTO public.who_data VALUES (85101, 0, 0, 0, 0, 360, 213);
INSERT INTO public.who_data VALUES (85102, 0, 0, 0, 0, 360, 31);
INSERT INTO public.who_data VALUES (85103, 0, 1, 0, 0, 360, 204);
INSERT INTO public.who_data VALUES (85104, 0, 0, 0, 0, 360, 152);
INSERT INTO public.who_data VALUES (85105, 0, 0, 0, 0, 360, 144);
INSERT INTO public.who_data VALUES (85106, 0, 0, 0, 0, 360, 96);
INSERT INTO public.who_data VALUES (85107, 0, 0, 0, 0, 360, 47);
INSERT INTO public.who_data VALUES (85108, 0, 0, 0, 0, 360, 80);
INSERT INTO public.who_data VALUES (85109, 0, 0, 0, 0, 360, 159);
INSERT INTO public.who_data VALUES (85110, 0, 0, 0, 0, 360, 27);
INSERT INTO public.who_data VALUES (85111, 0, 0, 0, 0, 360, 146);
INSERT INTO public.who_data VALUES (85112, 0, 5, 0, 0, 360, 71);
INSERT INTO public.who_data VALUES (85113, 0, 0, 0, 0, 360, 210);
INSERT INTO public.who_data VALUES (85114, 0, 0, 0, 0, 360, 54);
INSERT INTO public.who_data VALUES (85115, 0, 0, 0, 0, 360, 147);
INSERT INTO public.who_data VALUES (85116, 0, 0, 0, 0, 360, 2);
INSERT INTO public.who_data VALUES (85117, 0, 0, 0, 0, 360, 105);
INSERT INTO public.who_data VALUES (85118, 0, 0, 0, 0, 360, 53);
INSERT INTO public.who_data VALUES (85119, 0, 5, 0, 0, 360, 81);
INSERT INTO public.who_data VALUES (85120, 0, 0, 0, 0, 360, 223);
INSERT INTO public.who_data VALUES (85121, 0, 15, 0, 0, 360, 94);
INSERT INTO public.who_data VALUES (85122, 0, 0, 0, 0, 360, 154);
INSERT INTO public.who_data VALUES (85123, 0, 0, 0, 0, 360, 83);
INSERT INTO public.who_data VALUES (85124, 0, 0, 0, 0, 360, 194);
INSERT INTO public.who_data VALUES (85125, 0, 0, 0, 0, 360, 136);
INSERT INTO public.who_data VALUES (85126, 440, 78634, 29, 2747, 360, 179);
INSERT INTO public.who_data VALUES (85127, 0, 0, 0, 0, 360, 57);
INSERT INTO public.who_data VALUES (85128, 0, 0, 0, 0, 360, 35);
INSERT INTO public.who_data VALUES (85129, 0, 0, 0, 0, 360, 228);
INSERT INTO public.who_data VALUES (85130, 0, 0, 0, 0, 360, 19);
INSERT INTO public.who_data VALUES (85131, 0, 0, 0, 0, 360, 22);
INSERT INTO public.who_data VALUES (85132, 0, 0, 0, 0, 360, 1);
INSERT INTO public.who_data VALUES (85133, 1, 2, 0, 0, 360, 21);
INSERT INTO public.who_data VALUES (85134, 0, 0, 0, 0, 360, 234);
INSERT INTO public.who_data VALUES (85135, 0, 0, 0, 0, 360, 91);
INSERT INTO public.who_data VALUES (85136, 0, 0, 0, 0, 360, 137);
INSERT INTO public.who_data VALUES (85137, 0, 0, 0, 0, 360, 201);
INSERT INTO public.who_data VALUES (85138, 0, 0, 0, 0, 360, 171);
INSERT INTO public.who_data VALUES (85139, 0, 0, 0, 0, 360, 92);
INSERT INTO public.who_data VALUES (85140, 1, 1, 0, 0, 360, 112);
INSERT INTO public.who_data VALUES (85141, 0, 0, 0, 0, 360, 62);
INSERT INTO public.who_data VALUES (85142, 0, 0, 0, 0, 360, 69);
INSERT INTO public.who_data VALUES (85143, 0, 0, 0, 0, 360, 220);
INSERT INTO public.who_data VALUES (85144, 0, 0, 0, 0, 360, 100);
INSERT INTO public.who_data VALUES (85145, 0, 5, 0, 0, 360, 187);
INSERT INTO public.who_data VALUES (85146, 0, 0, 0, 0, 360, 63);
INSERT INTO public.who_data VALUES (85147, 0, 0, 0, 0, 360, 28);
INSERT INTO public.who_data VALUES (85148, 0, 0, 0, 0, 360, 172);
INSERT INTO public.who_data VALUES (85149, 1, 1, 0, 0, 360, 17);
INSERT INTO public.who_data VALUES (85150, 0, 0, 0, 0, 360, 226);
INSERT INTO public.who_data VALUES (85151, 0, 0, 0, 0, 360, 236);
INSERT INTO public.who_data VALUES (85152, 0, 0, 0, 0, 360, 76);
INSERT INTO public.who_data VALUES (85153, 0, 0, 0, 0, 360, 30);
INSERT INTO public.who_data VALUES (85154, 0, 0, 0, 0, 360, 128);
INSERT INTO public.who_data VALUES (85155, 1, 2, 0, 0, 360, 86);
INSERT INTO public.who_data VALUES (85156, 3, 17, 1, 2, 360, 140);
INSERT INTO public.who_data VALUES (85157, 0, 0, 0, 0, 360, 44);
INSERT INTO public.who_data VALUES (85158, 0, 0, 0, 0, 360, 113);
INSERT INTO public.who_data VALUES (85159, 0, 0, 0, 0, 360, 29);
INSERT INTO public.who_data VALUES (85160, 0, 0, 0, 0, 360, 125);
INSERT INTO public.who_data VALUES (85161, 0, 1, 0, 0, 360, 131);
INSERT INTO public.who_data VALUES (85162, 4, 21, 0, 0, 360, 46);
INSERT INTO public.who_data VALUES (85163, 0, 0, 0, 0, 360, 10);
INSERT INTO public.who_data VALUES (85164, 0, 0, 0, 0, 360, 205);
INSERT INTO public.who_data VALUES (85165, 1, 1, 0, 0, 360, 50);
INSERT INTO public.who_data VALUES (85166, 0, 0, 0, 0, 360, 20);
INSERT INTO public.who_data VALUES (85167, 0, 0, 0, 0, 360, 13);
INSERT INTO public.who_data VALUES (85168, 0, 0, 0, 0, 360, 148);
INSERT INTO public.who_data VALUES (85169, 0, 0, 0, 0, 360, 230);
INSERT INTO public.who_data VALUES (85170, 0, 0, 0, 0, 360, 190);
INSERT INTO public.who_data VALUES (85171, 0, 0, 0, 0, 360, 188);
INSERT INTO public.who_data VALUES (85172, 0, 0, 0, 0, 360, 123);
INSERT INTO public.who_data VALUES (85173, 0, 0, 0, 0, 360, 9);
INSERT INTO public.who_data VALUES (85174, 0, 0, 0, 0, 360, 102);
INSERT INTO public.who_data VALUES (85175, 0, 0, 0, 0, 360, 34);
INSERT INTO public.who_data VALUES (85176, 0, 0, 0, 0, 360, 212);
INSERT INTO public.who_data VALUES (85177, 0, 0, 0, 0, 360, 122);
INSERT INTO public.who_data VALUES (85178, 0, 0, 0, 0, 360, 38);
INSERT INTO public.who_data VALUES (85179, 0, 0, 0, 0, 360, 130);
INSERT INTO public.who_data VALUES (85180, 0, 7, 0, 0, 360, 37);
INSERT INTO public.who_data VALUES (85181, 0, 0, 0, 0, 360, 231);
INSERT INTO public.who_data VALUES (85182, 106, 249, 7, 26, 360, 107);
INSERT INTO public.who_data VALUES (85183, 1, 10, 0, 0, 360, 101);
INSERT INTO public.who_data VALUES (85184, 0, 0, 0, 0, 360, 132);
INSERT INTO public.who_data VALUES (85185, 0, 0, 0, 0, 360, 176);
INSERT INTO public.who_data VALUES (85186, 0, 2, 0, 0, 360, 200);
INSERT INTO public.who_data VALUES (85187, 78, 400, 1, 12, 360, 169);
INSERT INTO public.who_data VALUES (85188, 0, 0, 0, 0, 360, 225);
INSERT INTO public.who_data VALUES (85189, 1, 191, 1, 4, 360, 165);
INSERT INTO public.who_data VALUES (85190, 0, 0, 0, 0, 360, 233);
INSERT INTO public.who_data VALUES (85191, 0, 0, 0, 0, 360, 215);
INSERT INTO public.who_data VALUES (85192, 0, 0, 0, 0, 360, 177);
INSERT INTO public.who_data VALUES (85193, 0, 0, 0, 0, 360, 183);
INSERT INTO public.who_data VALUES (85194, 0, 0, 0, 0, 360, 203);
INSERT INTO public.who_data VALUES (85195, 0, 0, 0, 0, 360, 162);
INSERT INTO public.who_data VALUES (85196, 17, 47, 0, 0, 360, 12);
INSERT INTO public.who_data VALUES (85197, 0, 0, 0, 0, 360, 24);
INSERT INTO public.who_data VALUES (85198, 0, 0, 0, 0, 360, 119);
INSERT INTO public.who_data VALUES (85199, 0, 0, 0, 0, 360, 39);
INSERT INTO public.who_data VALUES (85200, 1, 7, 0, 0, 360, 26);
INSERT INTO public.who_data VALUES (85201, 0, 0, 0, 0, 360, 59);
INSERT INTO public.who_data VALUES (85202, 0, 0, 0, 0, 360, 77);
INSERT INTO public.who_data VALUES (85203, 0, 0, 0, 0, 360, 134);
INSERT INTO public.who_data VALUES (85204, 0, 0, 0, 0, 360, 4);
INSERT INTO public.who_data VALUES (85205, 0, 0, 0, 0, 360, 109);
INSERT INTO public.who_data VALUES (85206, 0, 0, 0, 0, 360, 90);
INSERT INTO public.who_data VALUES (85207, 0, 0, 0, 0, 360, 61);
INSERT INTO public.who_data VALUES (85208, 0, 0, 0, 0, 360, 85);
INSERT INTO public.who_data VALUES (85209, 2, 28, 0, 0, 360, 49);
INSERT INTO public.who_data VALUES (85210, 0, 0, 0, 0, 360, 208);
INSERT INTO public.who_data VALUES (85211, 0, 0, 0, 0, 360, 166);
INSERT INTO public.who_data VALUES (85212, 0, 0, 0, 0, 360, 64);
INSERT INTO public.who_data VALUES (85213, 0, 0, 0, 0, 360, 199);
INSERT INTO public.who_data VALUES (85214, 0, 0, 0, 0, 360, 114);
INSERT INTO public.who_data VALUES (85215, 0, 0, 0, 0, 360, 60);
INSERT INTO public.who_data VALUES (85216, 0, 0, 0, 0, 360, 68);
INSERT INTO public.who_data VALUES (85217, 0, 0, 0, 0, 360, 158);
INSERT INTO public.who_data VALUES (85218, 0, 0, 0, 0, 360, 52);
INSERT INTO public.who_data VALUES (85219, 0, 0, 0, 0, 360, 117);
INSERT INTO public.who_data VALUES (85220, 0, 0, 0, 0, 360, 126);
INSERT INTO public.who_data VALUES (85221, 0, 0, 0, 0, 360, 196);
INSERT INTO public.who_data VALUES (85222, 0, 0, 0, 0, 360, 142);
INSERT INTO public.who_data VALUES (85223, 0, 0, 0, 0, 360, 185);
INSERT INTO public.who_data VALUES (85224, 0, 0, 0, 0, 360, 138);
INSERT INTO public.who_data VALUES (85225, 0, 0, 0, 0, 360, 181);
INSERT INTO public.who_data VALUES (85226, 0, 0, 0, 0, 360, 178);
INSERT INTO public.who_data VALUES (85227, 0, 0, 0, 0, 360, 168);
INSERT INTO public.who_data VALUES (85228, 0, 0, 0, 0, 360, 160);
INSERT INTO public.who_data VALUES (85229, 0, 5, 0, 0, 360, 151);
INSERT INTO public.who_data VALUES (85230, 0, 0, 0, 0, 360, 193);
INSERT INTO public.who_data VALUES (85231, 0, 0, 0, 0, 360, 18);
INSERT INTO public.who_data VALUES (85232, 0, 0, 0, 0, 360, 40);
INSERT INTO public.who_data VALUES (85233, 0, 0, 0, 0, 360, 218);
INSERT INTO public.who_data VALUES (85234, 0, 0, 0, 0, 360, 191);
INSERT INTO public.who_data VALUES (85235, 0, 0, 0, 0, 360, 156);
INSERT INTO public.who_data VALUES (85236, 0, 0, 0, 0, 360, 135);
INSERT INTO public.who_data VALUES (85237, 0, 0, 0, 0, 360, 88);
INSERT INTO public.who_data VALUES (85238, 0, 1, 0, 0, 360, 55);
INSERT INTO public.who_data VALUES (85239, 0, 1, 0, 0, 360, 108);
INSERT INTO public.who_data VALUES (85240, 0, 0, 0, 0, 360, 48);
INSERT INTO public.who_data VALUES (85241, 2, 10, 0, 0, 360, 3);
INSERT INTO public.who_data VALUES (85242, 0, 699, 0, 4, 360, 224);
INSERT INTO public.who_data VALUES (85243, 0, 6, 0, 0, 360, 110);
INSERT INTO public.who_data VALUES (85244, 0, 0, 0, 0, 360, 106);
INSERT INTO public.who_data VALUES (85245, 0, 0, 0, 0, 360, 89);
INSERT INTO public.who_data VALUES (85246, 0, 0, 0, 0, 360, 121);
INSERT INTO public.who_data VALUES (85247, 0, 0, 0, 0, 360, 163);
INSERT INTO public.who_data VALUES (85248, 0, 0, 0, 0, 360, 70);
INSERT INTO public.who_data VALUES (85249, 0, 7, 0, 1, 360, 174);
INSERT INTO public.who_data VALUES (85250, 0, 0, 0, 0, 360, 175);
INSERT INTO public.who_data VALUES (85251, 0, 0, 0, 0, 360, 118);
INSERT INTO public.who_data VALUES (85252, 0, 0, 0, 0, 360, 189);
INSERT INTO public.who_data VALUES (85253, 0, 0, 0, 0, 360, 124);
INSERT INTO public.who_data VALUES (85254, 0, 0, 0, 0, 360, 192);
INSERT INTO public.who_data VALUES (85255, 505, 1770, 1, 13, 360, 41);
INSERT INTO public.who_data VALUES (85256, 0, 0, 0, 0, 360, 95);
INSERT INTO public.who_data VALUES (85257, 0, 0, 0, 0, 360, 74);
INSERT INTO public.who_data VALUES (85258, 0, 1, 0, 0, 360, 11);
INSERT INTO public.who_data VALUES (85259, 0, 2, 0, 0, 360, 87);
INSERT INTO public.who_data VALUES (85260, 0, 0, 0, 0, 360, 214);
INSERT INTO public.who_data VALUES (85261, 0, 0, 0, 0, 360, 116);
INSERT INTO public.who_data VALUES (85262, 0, 0, 0, 0, 360, 157);
INSERT INTO public.who_data VALUES (85263, 0, 0, 0, 0, 360, 182);
INSERT INTO public.who_data VALUES (85264, 0, 0, 0, 0, 360, 186);
INSERT INTO public.who_data VALUES (85265, 0, 0, 0, 0, 360, 127);
INSERT INTO public.who_data VALUES (85266, 0, 0, 0, 0, 360, 232);
INSERT INTO public.who_data VALUES (85267, 0, 0, 0, 0, 360, 33);
INSERT INTO public.who_data VALUES (85268, 0, 0, 0, 0, 360, 97);
INSERT INTO public.who_data VALUES (85269, 0, 0, 0, 0, 360, 42);
INSERT INTO public.who_data VALUES (85270, 0, 0, 0, 0, 360, 198);
INSERT INTO public.who_data VALUES (85271, 0, 0, 0, 0, 360, 216);
INSERT INTO public.who_data VALUES (85272, 0, 0, 0, 0, 360, 164);
INSERT INTO public.who_data VALUES (85273, 0, 0, 0, 0, 360, 235);
INSERT INTO public.who_data VALUES (85274, 0, 0, 0, 0, 360, 67);
INSERT INTO public.who_data VALUES (85275, 0, 0, 0, 0, 360, 15);
INSERT INTO public.who_data VALUES (85276, 0, 0, 0, 0, 360, 180);
INSERT INTO public.who_data VALUES (85277, 3, 100, 0, 0, 360, 237);
INSERT INTO public.who_data VALUES (85278, 0, 0, 0, 0, 360, 25);
INSERT INTO public.who_data VALUES (85279, 0, 0, 0, 0, 360, 209);
INSERT INTO public.who_data VALUES (85280, 0, 0, 0, 0, 360, 217);
INSERT INTO public.who_data VALUES (85281, 0, 0, 0, 0, 360, 79);
INSERT INTO public.who_data VALUES (85282, 0, 0, 0, 0, 360, 143);
INSERT INTO public.who_data VALUES (85283, 0, 0, 0, 0, 360, 229);
INSERT INTO public.who_data VALUES (85284, 0, 0, 0, 0, 360, 141);
INSERT INTO public.who_data VALUES (85285, 0, 0, 0, 0, 360, 197);
INSERT INTO public.who_data VALUES (85286, 1, 35, 0, 1, 360, 221);
INSERT INTO public.who_data VALUES (85287, 0, 5, 0, 0, 360, 150);
INSERT INTO public.who_data VALUES (85288, 0, 0, 0, 0, 360, 56);
INSERT INTO public.who_data VALUES (85289, 0, 0, 0, 0, 360, 167);
INSERT INTO public.who_data VALUES (85290, 0, 1, 0, 0, 360, 23);
INSERT INTO public.who_data VALUES (85291, 10, 12, 0, 0, 360, 222);
INSERT INTO public.who_data VALUES (85292, 0, 0, 0, 0, 360, 219);
INSERT INTO public.who_data VALUES (85293, 0, 0, 0, 0, 360, 7);
INSERT INTO public.who_data VALUES (85294, 0, 44, 0, 0, 360, 161);
INSERT INTO public.who_data VALUES (85295, 5, 18, 0, 0, 360, 149);
INSERT INTO public.who_data VALUES (85296, 0, 0, 0, 0, 360, 6);
INSERT INTO public.who_data VALUES (85297, 0, 0, 0, 0, 360, 139);
INSERT INTO public.who_data VALUES (85298, 0, 0, 0, 0, 360, 211);
INSERT INTO public.who_data VALUES (85299, 0, 0, 0, 0, 360, 14);
INSERT INTO public.who_data VALUES (85300, 0, 0, 0, 0, 360, 111);
INSERT INTO public.who_data VALUES (85301, 0, 0, 0, 0, 360, 207);
INSERT INTO public.who_data VALUES (85302, 0, 0, 0, 0, 360, 66);
INSERT INTO public.who_data VALUES (85303, 0, 0, 0, 0, 360, 173);
INSERT INTO public.who_data VALUES (85304, 0, 0, 0, 0, 360, 145);
INSERT INTO public.who_data VALUES (85305, 0, 0, 0, 0, 360, 65);
INSERT INTO public.who_data VALUES (85306, 0, 0, 0, 0, 360, 184);
INSERT INTO public.who_data VALUES (85307, 0, 0, 0, 0, 360, 98);
INSERT INTO public.who_data VALUES (85308, 6, 23, 0, 0, 360, 104);
INSERT INTO public.who_data VALUES (85309, 0, 0, 0, 0, 360, 73);
INSERT INTO public.who_data VALUES (85310, 0, 63, 0, 0, 360, 8);
INSERT INTO public.who_data VALUES (85311, 0, 0, 0, 0, 360, 227);
INSERT INTO public.who_data VALUES (85312, 0, 0, 0, 0, 360, 75);
INSERT INTO public.who_data VALUES (85313, 0, 0, 0, 0, 360, 45);
INSERT INTO public.who_data VALUES (85314, 0, 0, 0, 0, 360, 133);
INSERT INTO public.who_data VALUES (85315, 0, 0, 0, 0, 360, 202);
INSERT INTO public.who_data VALUES (85316, 0, 20, 0, 0, 360, 129);
INSERT INTO public.who_data VALUES (85317, 0, 0, 0, 0, 360, 36);
INSERT INTO public.who_data VALUES (85318, 0, 0, 0, 0, 360, 51);
INSERT INTO public.who_data VALUES (85319, 0, 0, 0, 0, 360, 206);
INSERT INTO public.who_data VALUES (85320, 0, 0, 0, 0, 360, 5);
INSERT INTO public.who_data VALUES (85321, 0, 5, 0, 0, 361, 103);
INSERT INTO public.who_data VALUES (85322, 0, 0, 0, 0, 361, 58);
INSERT INTO public.who_data VALUES (85323, 0, 5, 0, 0, 361, 195);
INSERT INTO public.who_data VALUES (85324, 0, 0, 0, 0, 361, 115);
INSERT INTO public.who_data VALUES (85325, 0, 0, 0, 0, 361, 99);
INSERT INTO public.who_data VALUES (85326, 0, 0, 0, 0, 361, 153);
INSERT INTO public.who_data VALUES (85327, 0, 0, 0, 0, 361, 93);
INSERT INTO public.who_data VALUES (85328, 0, 0, 0, 0, 361, 84);
INSERT INTO public.who_data VALUES (85329, 0, 0, 0, 0, 361, 78);
INSERT INTO public.who_data VALUES (85330, 0, 0, 0, 0, 361, 170);
INSERT INTO public.who_data VALUES (85331, 0, 0, 0, 0, 361, 32);
INSERT INTO public.who_data VALUES (85332, 0, 27, 0, 0, 361, 155);
INSERT INTO public.who_data VALUES (85333, 2, 2, 0, 0, 361, 82);
INSERT INTO public.who_data VALUES (85334, 0, 0, 0, 0, 361, 16);
INSERT INTO public.who_data VALUES (85335, 0, 0, 0, 0, 361, 72);
INSERT INTO public.who_data VALUES (85336, 16, 37, 0, 0, 361, 43);
INSERT INTO public.who_data VALUES (85337, 0, 0, 0, 0, 361, 120);
INSERT INTO public.who_data VALUES (85338, 0, 0, 0, 0, 361, 213);
INSERT INTO public.who_data VALUES (85339, 0, 0, 0, 0, 361, 31);
INSERT INTO public.who_data VALUES (85340, 0, 1, 0, 0, 361, 204);
INSERT INTO public.who_data VALUES (85341, 0, 0, 0, 0, 361, 152);
INSERT INTO public.who_data VALUES (85342, 0, 0, 0, 0, 361, 144);
INSERT INTO public.who_data VALUES (85343, 0, 0, 0, 0, 361, 96);
INSERT INTO public.who_data VALUES (85344, 0, 0, 0, 0, 361, 47);
INSERT INTO public.who_data VALUES (85345, 0, 0, 0, 0, 361, 80);
INSERT INTO public.who_data VALUES (85346, 0, 0, 0, 0, 361, 159);
INSERT INTO public.who_data VALUES (85347, 0, 0, 0, 0, 361, 27);
INSERT INTO public.who_data VALUES (85348, 0, 0, 0, 0, 361, 146);
INSERT INTO public.who_data VALUES (85349, 5, 5, 0, 0, 361, 71);
INSERT INTO public.who_data VALUES (85350, 0, 0, 0, 0, 361, 210);
INSERT INTO public.who_data VALUES (85351, 0, 0, 0, 0, 361, 54);
INSERT INTO public.who_data VALUES (85352, 0, 0, 0, 0, 361, 147);
INSERT INTO public.who_data VALUES (85353, 0, 0, 0, 0, 361, 2);
INSERT INTO public.who_data VALUES (85354, 0, 0, 0, 0, 361, 105);
INSERT INTO public.who_data VALUES (85355, 0, 0, 0, 0, 361, 53);
INSERT INTO public.who_data VALUES (85356, 0, 5, 0, 0, 361, 81);
INSERT INTO public.who_data VALUES (85357, 0, 0, 0, 0, 361, 223);
INSERT INTO public.who_data VALUES (85358, 1, 15, 0, 0, 361, 94);
INSERT INTO public.who_data VALUES (85359, 0, 0, 0, 0, 361, 154);
INSERT INTO public.who_data VALUES (85360, 0, 0, 0, 0, 361, 83);
INSERT INTO public.who_data VALUES (85361, 0, 0, 0, 0, 361, 194);
INSERT INTO public.who_data VALUES (85362, 0, 0, 0, 0, 361, 136);
INSERT INTO public.who_data VALUES (85363, 411, 78194, 52, 2718, 361, 179);
INSERT INTO public.who_data VALUES (85364, 0, 0, 0, 0, 361, 57);
INSERT INTO public.who_data VALUES (85365, 0, 0, 0, 0, 361, 35);
INSERT INTO public.who_data VALUES (85366, 0, 0, 0, 0, 361, 228);
INSERT INTO public.who_data VALUES (85367, 0, 0, 0, 0, 361, 19);
INSERT INTO public.who_data VALUES (85368, 0, 0, 0, 0, 361, 22);
INSERT INTO public.who_data VALUES (85369, 0, 0, 0, 0, 361, 1);
INSERT INTO public.who_data VALUES (85370, 1, 1, 0, 0, 361, 21);
INSERT INTO public.who_data VALUES (85371, 0, 0, 0, 0, 361, 234);
INSERT INTO public.who_data VALUES (85372, 0, 0, 0, 0, 361, 91);
INSERT INTO public.who_data VALUES (85373, 0, 0, 0, 0, 361, 137);
INSERT INTO public.who_data VALUES (85374, 0, 0, 0, 0, 361, 201);
INSERT INTO public.who_data VALUES (85375, 0, 0, 0, 0, 361, 171);
INSERT INTO public.who_data VALUES (85376, 0, 0, 0, 0, 361, 92);
INSERT INTO public.who_data VALUES (85377, 0, 0, 0, 0, 361, 112);
INSERT INTO public.who_data VALUES (85378, 0, 0, 0, 0, 361, 62);
INSERT INTO public.who_data VALUES (85379, 0, 0, 0, 0, 361, 69);
INSERT INTO public.who_data VALUES (85380, 0, 0, 0, 0, 361, 220);
INSERT INTO public.who_data VALUES (85381, 0, 0, 0, 0, 361, 100);
INSERT INTO public.who_data VALUES (85382, 0, 5, 0, 0, 361, 187);
INSERT INTO public.who_data VALUES (85383, 0, 0, 0, 0, 361, 63);
INSERT INTO public.who_data VALUES (85384, 0, 0, 0, 0, 361, 28);
INSERT INTO public.who_data VALUES (85385, 0, 0, 0, 0, 361, 172);
INSERT INTO public.who_data VALUES (85386, 0, 0, 0, 0, 361, 17);
INSERT INTO public.who_data VALUES (85387, 0, 0, 0, 0, 361, 226);
INSERT INTO public.who_data VALUES (85388, 0, 0, 0, 0, 361, 236);
INSERT INTO public.who_data VALUES (85389, 0, 0, 0, 0, 361, 76);
INSERT INTO public.who_data VALUES (85390, 0, 0, 0, 0, 361, 30);
INSERT INTO public.who_data VALUES (85391, 0, 0, 0, 0, 361, 128);
INSERT INTO public.who_data VALUES (85392, 0, 1, 0, 0, 361, 86);
INSERT INTO public.who_data VALUES (85393, 2, 14, 0, 1, 361, 140);
INSERT INTO public.who_data VALUES (85394, 0, 0, 0, 0, 361, 44);
INSERT INTO public.who_data VALUES (85395, 0, 0, 0, 0, 361, 113);
INSERT INTO public.who_data VALUES (85396, 0, 0, 0, 0, 361, 29);
INSERT INTO public.who_data VALUES (85397, 0, 0, 0, 0, 361, 125);
INSERT INTO public.who_data VALUES (85398, 1, 1, 0, 0, 361, 131);
INSERT INTO public.who_data VALUES (85399, 2, 17, 0, 0, 361, 46);
INSERT INTO public.who_data VALUES (85400, 0, 0, 0, 0, 361, 10);
INSERT INTO public.who_data VALUES (85401, 0, 0, 0, 0, 361, 205);
INSERT INTO public.who_data VALUES (85402, 0, 0, 0, 0, 361, 50);
INSERT INTO public.who_data VALUES (85403, 0, 0, 0, 0, 361, 20);
INSERT INTO public.who_data VALUES (85404, 0, 0, 0, 0, 361, 13);
INSERT INTO public.who_data VALUES (85405, 0, 0, 0, 0, 361, 148);
INSERT INTO public.who_data VALUES (85406, 0, 0, 0, 0, 361, 230);
INSERT INTO public.who_data VALUES (85407, 0, 0, 0, 0, 361, 190);
INSERT INTO public.who_data VALUES (85408, 0, 0, 0, 0, 361, 188);
INSERT INTO public.who_data VALUES (85409, 0, 0, 0, 0, 361, 123);
INSERT INTO public.who_data VALUES (85410, 0, 0, 0, 0, 361, 9);
INSERT INTO public.who_data VALUES (85411, 0, 0, 0, 0, 361, 102);
INSERT INTO public.who_data VALUES (85412, 0, 0, 0, 0, 361, 34);
INSERT INTO public.who_data VALUES (85413, 0, 0, 0, 0, 361, 212);
INSERT INTO public.who_data VALUES (85414, 0, 0, 0, 0, 361, 122);
INSERT INTO public.who_data VALUES (85415, 0, 0, 0, 0, 361, 38);
INSERT INTO public.who_data VALUES (85416, 0, 0, 0, 0, 361, 130);
INSERT INTO public.who_data VALUES (85417, 0, 7, 0, 0, 361, 37);
INSERT INTO public.who_data VALUES (85418, 0, 0, 0, 0, 361, 231);
INSERT INTO public.who_data VALUES (85419, 44, 143, 4, 19, 361, 107);
INSERT INTO public.who_data VALUES (85420, 0, 9, 0, 0, 361, 101);
INSERT INTO public.who_data VALUES (85421, 0, 0, 0, 0, 361, 132);
INSERT INTO public.who_data VALUES (85422, 0, 0, 0, 0, 361, 176);
INSERT INTO public.who_data VALUES (85423, 1, 2, 0, 0, 361, 200);
INSERT INTO public.who_data VALUES (85424, 93, 322, 5, 11, 361, 169);
INSERT INTO public.who_data VALUES (85425, 0, 0, 0, 0, 361, 225);
INSERT INTO public.who_data VALUES (85426, 29, 190, 2, 3, 361, 165);
INSERT INTO public.who_data VALUES (85427, 0, 0, 0, 0, 361, 233);
INSERT INTO public.who_data VALUES (85428, 0, 0, 0, 0, 361, 215);
INSERT INTO public.who_data VALUES (85429, 0, 0, 0, 0, 361, 177);
INSERT INTO public.who_data VALUES (85430, 0, 0, 0, 0, 361, 183);
INSERT INTO public.who_data VALUES (85431, 0, 0, 0, 0, 361, 203);
INSERT INTO public.who_data VALUES (85432, 0, 0, 0, 0, 361, 162);
INSERT INTO public.who_data VALUES (85433, 17, 30, 0, 0, 361, 12);
INSERT INTO public.who_data VALUES (85434, 0, 0, 0, 0, 361, 24);
INSERT INTO public.who_data VALUES (85435, 0, 0, 0, 0, 361, 119);
INSERT INTO public.who_data VALUES (85436, 0, 0, 0, 0, 361, 39);
INSERT INTO public.who_data VALUES (85437, 1, 6, 0, 0, 361, 26);
INSERT INTO public.who_data VALUES (85438, 0, 0, 0, 0, 361, 59);
INSERT INTO public.who_data VALUES (85439, 0, 0, 0, 0, 361, 77);
INSERT INTO public.who_data VALUES (85440, 0, 0, 0, 0, 361, 134);
INSERT INTO public.who_data VALUES (85441, 0, 0, 0, 0, 361, 4);
INSERT INTO public.who_data VALUES (85442, 0, 0, 0, 0, 361, 109);
INSERT INTO public.who_data VALUES (85443, 0, 0, 0, 0, 361, 90);
INSERT INTO public.who_data VALUES (85444, 0, 0, 0, 0, 361, 61);
INSERT INTO public.who_data VALUES (85445, 0, 0, 0, 0, 361, 85);
INSERT INTO public.who_data VALUES (85446, 0, 26, 0, 0, 361, 49);
INSERT INTO public.who_data VALUES (85447, 0, 0, 0, 0, 361, 208);
INSERT INTO public.who_data VALUES (85448, 0, 0, 0, 0, 361, 166);
INSERT INTO public.who_data VALUES (85449, 0, 0, 0, 0, 361, 64);
INSERT INTO public.who_data VALUES (85450, 0, 0, 0, 0, 361, 199);
INSERT INTO public.who_data VALUES (85451, 0, 0, 0, 0, 361, 114);
INSERT INTO public.who_data VALUES (85452, 0, 0, 0, 0, 361, 60);
INSERT INTO public.who_data VALUES (85453, 0, 0, 0, 0, 361, 68);
INSERT INTO public.who_data VALUES (85454, 0, 0, 0, 0, 361, 158);
INSERT INTO public.who_data VALUES (85455, 0, 0, 0, 0, 361, 52);
INSERT INTO public.who_data VALUES (85456, 0, 0, 0, 0, 361, 117);
INSERT INTO public.who_data VALUES (85457, 0, 0, 0, 0, 361, 126);
INSERT INTO public.who_data VALUES (85458, 0, 0, 0, 0, 361, 196);
INSERT INTO public.who_data VALUES (85459, 0, 0, 0, 0, 361, 142);
INSERT INTO public.who_data VALUES (85460, 0, 0, 0, 0, 361, 185);
INSERT INTO public.who_data VALUES (85461, 0, 0, 0, 0, 361, 138);
INSERT INTO public.who_data VALUES (85462, 0, 0, 0, 0, 361, 181);
INSERT INTO public.who_data VALUES (85463, 0, 0, 0, 0, 361, 178);
INSERT INTO public.who_data VALUES (85464, 0, 0, 0, 0, 361, 168);
INSERT INTO public.who_data VALUES (85465, 0, 0, 0, 0, 361, 160);
INSERT INTO public.who_data VALUES (85466, 0, 5, 0, 0, 361, 151);
INSERT INTO public.who_data VALUES (85467, 0, 0, 0, 0, 361, 193);
INSERT INTO public.who_data VALUES (85468, 0, 0, 0, 0, 361, 18);
INSERT INTO public.who_data VALUES (85469, 0, 0, 0, 0, 361, 40);
INSERT INTO public.who_data VALUES (85470, 0, 0, 0, 0, 361, 218);
INSERT INTO public.who_data VALUES (85471, 0, 0, 0, 0, 361, 191);
INSERT INTO public.who_data VALUES (85472, 0, 0, 0, 0, 361, 156);
INSERT INTO public.who_data VALUES (85473, 0, 0, 0, 0, 361, 135);
INSERT INTO public.who_data VALUES (85474, 0, 0, 0, 0, 361, 88);
INSERT INTO public.who_data VALUES (85475, 1, 1, 0, 0, 361, 55);
INSERT INTO public.who_data VALUES (85476, 1, 1, 0, 0, 361, 108);
INSERT INTO public.who_data VALUES (85477, 0, 0, 0, 0, 361, 48);
INSERT INTO public.who_data VALUES (85478, 0, 8, 0, 0, 361, 3);
INSERT INTO public.who_data VALUES (85479, 4, 699, 0, 4, 361, 224);
INSERT INTO public.who_data VALUES (85480, 6, 6, 0, 0, 361, 110);
INSERT INTO public.who_data VALUES (85481, 0, 0, 0, 0, 361, 106);
INSERT INTO public.who_data VALUES (85482, 0, 0, 0, 0, 361, 89);
INSERT INTO public.who_data VALUES (85483, 0, 0, 0, 0, 361, 121);
INSERT INTO public.who_data VALUES (85484, 0, 0, 0, 0, 361, 163);
INSERT INTO public.who_data VALUES (85485, 0, 0, 0, 0, 361, 70);
INSERT INTO public.who_data VALUES (85486, 0, 7, 0, 1, 361, 174);
INSERT INTO public.who_data VALUES (85487, 0, 0, 0, 0, 361, 175);
INSERT INTO public.who_data VALUES (85488, 0, 0, 0, 0, 361, 118);
INSERT INTO public.who_data VALUES (85489, 0, 0, 0, 0, 361, 189);
INSERT INTO public.who_data VALUES (85490, 0, 0, 0, 0, 361, 124);
INSERT INTO public.who_data VALUES (85491, 0, 0, 0, 0, 361, 192);
INSERT INTO public.who_data VALUES (85492, 284, 1265, 2, 12, 361, 41);
INSERT INTO public.who_data VALUES (85493, 0, 0, 0, 0, 361, 95);
INSERT INTO public.who_data VALUES (85494, 0, 0, 0, 0, 361, 74);
INSERT INTO public.who_data VALUES (85495, 1, 1, 0, 0, 361, 11);
INSERT INTO public.who_data VALUES (85496, 0, 2, 0, 0, 361, 87);
INSERT INTO public.who_data VALUES (85497, 0, 0, 0, 0, 361, 214);
INSERT INTO public.who_data VALUES (85498, 0, 0, 0, 0, 361, 116);
INSERT INTO public.who_data VALUES (85499, 0, 0, 0, 0, 361, 157);
INSERT INTO public.who_data VALUES (85500, 0, 0, 0, 0, 361, 182);
INSERT INTO public.who_data VALUES (85501, 0, 0, 0, 0, 361, 186);
INSERT INTO public.who_data VALUES (85502, 0, 0, 0, 0, 361, 127);
INSERT INTO public.who_data VALUES (85503, 0, 0, 0, 0, 361, 232);
INSERT INTO public.who_data VALUES (85504, 0, 0, 0, 0, 361, 33);
INSERT INTO public.who_data VALUES (85505, 0, 0, 0, 0, 361, 97);
INSERT INTO public.who_data VALUES (85506, 0, 0, 0, 0, 361, 42);
INSERT INTO public.who_data VALUES (85507, 0, 0, 0, 0, 361, 198);
INSERT INTO public.who_data VALUES (85508, 0, 0, 0, 0, 361, 216);
INSERT INTO public.who_data VALUES (85509, 0, 0, 0, 0, 361, 164);
INSERT INTO public.who_data VALUES (85510, 0, 0, 0, 0, 361, 235);
INSERT INTO public.who_data VALUES (85511, 0, 0, 0, 0, 361, 67);
INSERT INTO public.who_data VALUES (85512, 0, 0, 0, 0, 361, 15);
INSERT INTO public.who_data VALUES (85513, 0, 0, 0, 0, 361, 180);
INSERT INTO public.who_data VALUES (85514, 2, 97, 0, 0, 361, 237);
INSERT INTO public.who_data VALUES (85515, 0, 0, 0, 0, 361, 25);
INSERT INTO public.who_data VALUES (85516, 0, 0, 0, 0, 361, 209);
INSERT INTO public.who_data VALUES (85517, 0, 0, 0, 0, 361, 217);
INSERT INTO public.who_data VALUES (85518, 0, 0, 0, 0, 361, 79);
INSERT INTO public.who_data VALUES (85519, 0, 0, 0, 0, 361, 143);
INSERT INTO public.who_data VALUES (85520, 0, 0, 0, 0, 361, 229);
INSERT INTO public.who_data VALUES (85521, 0, 0, 0, 0, 361, 141);
INSERT INTO public.who_data VALUES (85522, 0, 0, 0, 0, 361, 197);
INSERT INTO public.who_data VALUES (85523, 2, 34, 0, 1, 361, 221);
INSERT INTO public.who_data VALUES (85524, 0, 5, 0, 0, 361, 150);
INSERT INTO public.who_data VALUES (85525, 0, 0, 0, 0, 361, 56);
INSERT INTO public.who_data VALUES (85526, 0, 0, 0, 0, 361, 167);
INSERT INTO public.who_data VALUES (85527, 0, 1, 0, 0, 361, 23);
INSERT INTO public.who_data VALUES (85528, 1, 2, 0, 0, 361, 222);
INSERT INTO public.who_data VALUES (85529, 0, 0, 0, 0, 361, 219);
INSERT INTO public.who_data VALUES (85530, 0, 0, 0, 0, 361, 7);
INSERT INTO public.who_data VALUES (85531, 3, 44, 0, 0, 361, 161);
INSERT INTO public.who_data VALUES (85532, 2, 13, 0, 0, 361, 149);
INSERT INTO public.who_data VALUES (85533, 0, 0, 0, 0, 361, 6);
INSERT INTO public.who_data VALUES (85534, 0, 0, 0, 0, 361, 139);
INSERT INTO public.who_data VALUES (85535, 0, 0, 0, 0, 361, 211);
INSERT INTO public.who_data VALUES (85536, 0, 0, 0, 0, 361, 14);
INSERT INTO public.who_data VALUES (85537, 0, 0, 0, 0, 361, 111);
INSERT INTO public.who_data VALUES (85538, 0, 0, 0, 0, 361, 207);
INSERT INTO public.who_data VALUES (85539, 0, 0, 0, 0, 361, 66);
INSERT INTO public.who_data VALUES (85540, 0, 0, 0, 0, 361, 173);
INSERT INTO public.who_data VALUES (85541, 0, 0, 0, 0, 361, 145);
INSERT INTO public.who_data VALUES (85542, 0, 0, 0, 0, 361, 65);
INSERT INTO public.who_data VALUES (85543, 0, 0, 0, 0, 361, 184);
INSERT INTO public.who_data VALUES (85544, 0, 0, 0, 0, 361, 98);
INSERT INTO public.who_data VALUES (85545, 0, 17, 0, 0, 361, 104);
INSERT INTO public.who_data VALUES (85546, 0, 0, 0, 0, 361, 73);
INSERT INTO public.who_data VALUES (85547, 6, 63, 0, 0, 361, 8);
INSERT INTO public.who_data VALUES (85548, 0, 0, 0, 0, 361, 227);
INSERT INTO public.who_data VALUES (85549, 0, 0, 0, 0, 361, 75);
INSERT INTO public.who_data VALUES (85550, 0, 0, 0, 0, 361, 45);
INSERT INTO public.who_data VALUES (85551, 0, 0, 0, 0, 361, 133);
INSERT INTO public.who_data VALUES (85552, 0, 0, 0, 0, 361, 202);
INSERT INTO public.who_data VALUES (85553, 0, 20, 0, 0, 361, 129);
INSERT INTO public.who_data VALUES (85554, 0, 0, 0, 0, 361, 36);
INSERT INTO public.who_data VALUES (85555, 0, 0, 0, 0, 361, 51);
INSERT INTO public.who_data VALUES (85556, 0, 0, 0, 0, 361, 206);
INSERT INTO public.who_data VALUES (85557, 0, 0, 0, 0, 361, 5);
INSERT INTO public.who_data VALUES (85558, 0, 5, 0, 0, 362, 103);
INSERT INTO public.who_data VALUES (85559, 0, 0, 0, 0, 362, 58);
INSERT INTO public.who_data VALUES (85560, 5, 5, 0, 0, 362, 195);
INSERT INTO public.who_data VALUES (85561, 0, 0, 0, 0, 362, 115);
INSERT INTO public.who_data VALUES (85562, 0, 0, 0, 0, 362, 99);
INSERT INTO public.who_data VALUES (85563, 0, 0, 0, 0, 362, 153);
INSERT INTO public.who_data VALUES (85564, 0, 0, 0, 0, 362, 93);
INSERT INTO public.who_data VALUES (85565, 0, 0, 0, 0, 362, 84);
INSERT INTO public.who_data VALUES (85566, 0, 0, 0, 0, 362, 78);
INSERT INTO public.who_data VALUES (85567, 0, 0, 0, 0, 362, 170);
INSERT INTO public.who_data VALUES (85568, 0, 0, 0, 0, 362, 32);
INSERT INTO public.who_data VALUES (85569, 1, 27, 0, 0, 362, 155);
INSERT INTO public.who_data VALUES (85570, 0, 0, 0, 0, 362, 82);
INSERT INTO public.who_data VALUES (85571, 0, 0, 0, 0, 362, 16);
INSERT INTO public.who_data VALUES (85572, 0, 0, 0, 0, 362, 72);
INSERT INTO public.who_data VALUES (85573, 15, 21, 0, 0, 362, 43);
INSERT INTO public.who_data VALUES (85574, 0, 0, 0, 0, 362, 120);
INSERT INTO public.who_data VALUES (85575, 0, 0, 0, 0, 362, 213);
INSERT INTO public.who_data VALUES (85576, 0, 0, 0, 0, 362, 31);
INSERT INTO public.who_data VALUES (85577, 0, 1, 0, 0, 362, 204);
INSERT INTO public.who_data VALUES (85578, 0, 0, 0, 0, 362, 152);
INSERT INTO public.who_data VALUES (85579, 0, 0, 0, 0, 362, 144);
INSERT INTO public.who_data VALUES (85580, 0, 0, 0, 0, 362, 96);
INSERT INTO public.who_data VALUES (85581, 0, 0, 0, 0, 362, 47);
INSERT INTO public.who_data VALUES (85582, 0, 0, 0, 0, 362, 80);
INSERT INTO public.who_data VALUES (85583, 0, 0, 0, 0, 362, 159);
INSERT INTO public.who_data VALUES (85584, 0, 0, 0, 0, 362, 27);
INSERT INTO public.who_data VALUES (85585, 0, 0, 0, 0, 362, 146);
INSERT INTO public.who_data VALUES (85586, 0, 0, 0, 0, 362, 71);
INSERT INTO public.who_data VALUES (85587, 0, 0, 0, 0, 362, 210);
INSERT INTO public.who_data VALUES (85588, 0, 0, 0, 0, 362, 54);
INSERT INTO public.who_data VALUES (85589, 0, 0, 0, 0, 362, 147);
INSERT INTO public.who_data VALUES (85590, 0, 0, 0, 0, 362, 2);
INSERT INTO public.who_data VALUES (85591, 0, 0, 0, 0, 362, 105);
INSERT INTO public.who_data VALUES (85592, 0, 0, 0, 0, 362, 53);
INSERT INTO public.who_data VALUES (85593, 0, 5, 0, 0, 362, 81);
INSERT INTO public.who_data VALUES (85594, 0, 0, 0, 0, 362, 223);
INSERT INTO public.who_data VALUES (85595, 0, 14, 0, 0, 362, 94);
INSERT INTO public.who_data VALUES (85596, 0, 0, 0, 0, 362, 154);
INSERT INTO public.who_data VALUES (85597, 0, 0, 0, 0, 362, 83);
INSERT INTO public.who_data VALUES (85598, 0, 0, 0, 0, 362, 194);
INSERT INTO public.who_data VALUES (85599, 0, 0, 0, 0, 362, 136);
INSERT INTO public.who_data VALUES (85600, 517, 77783, 71, 2666, 362, 179);
INSERT INTO public.who_data VALUES (85601, 0, 0, 0, 0, 362, 57);
INSERT INTO public.who_data VALUES (85602, 0, 0, 0, 0, 362, 35);
INSERT INTO public.who_data VALUES (85603, 0, 0, 0, 0, 362, 228);
INSERT INTO public.who_data VALUES (85604, 0, 0, 0, 0, 362, 19);
INSERT INTO public.who_data VALUES (85605, 0, 0, 0, 0, 362, 22);
INSERT INTO public.who_data VALUES (85606, 0, 0, 0, 0, 362, 1);
INSERT INTO public.who_data VALUES (85607, 0, 0, 0, 0, 362, 21);
INSERT INTO public.who_data VALUES (85608, 0, 0, 0, 0, 362, 234);
INSERT INTO public.who_data VALUES (85609, 0, 0, 0, 0, 362, 91);
INSERT INTO public.who_data VALUES (85610, 0, 0, 0, 0, 362, 137);
INSERT INTO public.who_data VALUES (85611, 0, 0, 0, 0, 362, 201);
INSERT INTO public.who_data VALUES (85612, 0, 0, 0, 0, 362, 171);
INSERT INTO public.who_data VALUES (85613, 0, 0, 0, 0, 362, 92);
INSERT INTO public.who_data VALUES (85614, 0, 0, 0, 0, 362, 112);
INSERT INTO public.who_data VALUES (85615, 0, 0, 0, 0, 362, 62);
INSERT INTO public.who_data VALUES (85616, 0, 0, 0, 0, 362, 69);
INSERT INTO public.who_data VALUES (85617, 0, 0, 0, 0, 362, 220);
INSERT INTO public.who_data VALUES (85618, 0, 0, 0, 0, 362, 100);
INSERT INTO public.who_data VALUES (85619, 0, 5, 0, 0, 362, 187);
INSERT INTO public.who_data VALUES (85620, 0, 0, 0, 0, 362, 63);
INSERT INTO public.who_data VALUES (85621, 0, 0, 0, 0, 362, 28);
INSERT INTO public.who_data VALUES (85622, 0, 0, 0, 0, 362, 172);
INSERT INTO public.who_data VALUES (85623, 0, 0, 0, 0, 362, 17);
INSERT INTO public.who_data VALUES (85624, 0, 0, 0, 0, 362, 226);
INSERT INTO public.who_data VALUES (85625, 0, 0, 0, 0, 362, 236);
INSERT INTO public.who_data VALUES (85626, 0, 0, 0, 0, 362, 76);
INSERT INTO public.who_data VALUES (85627, 0, 0, 0, 0, 362, 30);
INSERT INTO public.who_data VALUES (85628, 0, 0, 0, 0, 362, 128);
INSERT INTO public.who_data VALUES (85629, 0, 1, 0, 0, 362, 86);
INSERT INTO public.who_data VALUES (85630, 0, 12, 0, 1, 362, 140);
INSERT INTO public.who_data VALUES (85631, 0, 0, 0, 0, 362, 44);
INSERT INTO public.who_data VALUES (85632, 0, 0, 0, 0, 362, 113);
INSERT INTO public.who_data VALUES (85633, 0, 0, 0, 0, 362, 29);
INSERT INTO public.who_data VALUES (85634, 0, 0, 0, 0, 362, 125);
INSERT INTO public.who_data VALUES (85635, 0, 0, 0, 0, 362, 131);
INSERT INTO public.who_data VALUES (85636, 0, 15, 0, 0, 362, 46);
INSERT INTO public.who_data VALUES (85637, 0, 0, 0, 0, 362, 10);
INSERT INTO public.who_data VALUES (85638, 0, 0, 0, 0, 362, 205);
INSERT INTO public.who_data VALUES (85639, 0, 0, 0, 0, 362, 50);
INSERT INTO public.who_data VALUES (85640, 0, 0, 0, 0, 362, 20);
INSERT INTO public.who_data VALUES (85641, 0, 0, 0, 0, 362, 13);
INSERT INTO public.who_data VALUES (85642, 0, 0, 0, 0, 362, 148);
INSERT INTO public.who_data VALUES (85643, 0, 0, 0, 0, 362, 230);
INSERT INTO public.who_data VALUES (85644, 0, 0, 0, 0, 362, 190);
INSERT INTO public.who_data VALUES (85645, 0, 0, 0, 0, 362, 188);
INSERT INTO public.who_data VALUES (85646, 0, 0, 0, 0, 362, 123);
INSERT INTO public.who_data VALUES (85647, 0, 0, 0, 0, 362, 9);
INSERT INTO public.who_data VALUES (85648, 0, 0, 0, 0, 362, 102);
INSERT INTO public.who_data VALUES (85649, 0, 0, 0, 0, 362, 34);
INSERT INTO public.who_data VALUES (85650, 0, 0, 0, 0, 362, 212);
INSERT INTO public.who_data VALUES (85651, 0, 0, 0, 0, 362, 122);
INSERT INTO public.who_data VALUES (85652, 0, 0, 0, 0, 362, 38);
INSERT INTO public.who_data VALUES (85653, 0, 0, 0, 0, 362, 130);
INSERT INTO public.who_data VALUES (85654, 0, 7, 0, 0, 362, 37);
INSERT INTO public.who_data VALUES (85655, 0, 0, 0, 0, 362, 231);
INSERT INTO public.who_data VALUES (85656, 34, 99, 3, 15, 362, 107);
INSERT INTO public.who_data VALUES (85657, 4, 9, 0, 0, 362, 101);
INSERT INTO public.who_data VALUES (85658, 0, 0, 0, 0, 362, 132);
INSERT INTO public.who_data VALUES (85659, 0, 0, 0, 0, 362, 176);
INSERT INTO public.who_data VALUES (85660, 0, 1, 0, 0, 362, 200);
INSERT INTO public.who_data VALUES (85661, 97, 229, 4, 6, 362, 169);
INSERT INTO public.who_data VALUES (85662, 0, 0, 0, 0, 362, 225);
INSERT INTO public.who_data VALUES (85663, 1, 161, 0, 1, 362, 165);
INSERT INTO public.who_data VALUES (85664, 0, 0, 0, 0, 362, 233);
INSERT INTO public.who_data VALUES (85665, 0, 0, 0, 0, 362, 215);
INSERT INTO public.who_data VALUES (85666, 0, 0, 0, 0, 362, 177);
INSERT INTO public.who_data VALUES (85667, 0, 0, 0, 0, 362, 183);
INSERT INTO public.who_data VALUES (85668, 0, 0, 0, 0, 362, 203);
INSERT INTO public.who_data VALUES (85669, 0, 0, 0, 0, 362, 162);
INSERT INTO public.who_data VALUES (85670, 4, 13, 0, 0, 362, 12);
INSERT INTO public.who_data VALUES (85671, 0, 0, 0, 0, 362, 24);
INSERT INTO public.who_data VALUES (85672, 0, 0, 0, 0, 362, 119);
INSERT INTO public.who_data VALUES (85673, 0, 0, 0, 0, 362, 39);
INSERT INTO public.who_data VALUES (85674, 0, 5, 0, 0, 362, 26);
INSERT INTO public.who_data VALUES (85675, 0, 0, 0, 0, 362, 59);
INSERT INTO public.who_data VALUES (85676, 0, 0, 0, 0, 362, 77);
INSERT INTO public.who_data VALUES (85677, 0, 0, 0, 0, 362, 134);
INSERT INTO public.who_data VALUES (85678, 0, 0, 0, 0, 362, 4);
INSERT INTO public.who_data VALUES (85679, 0, 0, 0, 0, 362, 109);
INSERT INTO public.who_data VALUES (85680, 0, 0, 0, 0, 362, 90);
INSERT INTO public.who_data VALUES (85681, 0, 0, 0, 0, 362, 61);
INSERT INTO public.who_data VALUES (85682, 0, 0, 0, 0, 362, 85);
INSERT INTO public.who_data VALUES (85683, 0, 26, 0, 0, 362, 49);
INSERT INTO public.who_data VALUES (85684, 0, 0, 0, 0, 362, 208);
INSERT INTO public.who_data VALUES (85685, 0, 0, 0, 0, 362, 166);
INSERT INTO public.who_data VALUES (85686, 0, 0, 0, 0, 362, 64);
INSERT INTO public.who_data VALUES (85687, 0, 0, 0, 0, 362, 199);
INSERT INTO public.who_data VALUES (85688, 0, 0, 0, 0, 362, 114);
INSERT INTO public.who_data VALUES (85689, 0, 0, 0, 0, 362, 60);
INSERT INTO public.who_data VALUES (85690, 0, 0, 0, 0, 362, 68);
INSERT INTO public.who_data VALUES (85691, 0, 0, 0, 0, 362, 158);
INSERT INTO public.who_data VALUES (85692, 0, 0, 0, 0, 362, 52);
INSERT INTO public.who_data VALUES (85693, 0, 0, 0, 0, 362, 117);
INSERT INTO public.who_data VALUES (85694, 0, 0, 0, 0, 362, 126);
INSERT INTO public.who_data VALUES (85695, 0, 0, 0, 0, 362, 196);
INSERT INTO public.who_data VALUES (85696, 0, 0, 0, 0, 362, 142);
INSERT INTO public.who_data VALUES (85697, 0, 0, 0, 0, 362, 185);
INSERT INTO public.who_data VALUES (85698, 0, 0, 0, 0, 362, 138);
INSERT INTO public.who_data VALUES (85699, 0, 0, 0, 0, 362, 181);
INSERT INTO public.who_data VALUES (85700, 0, 0, 0, 0, 362, 178);
INSERT INTO public.who_data VALUES (85701, 0, 0, 0, 0, 362, 168);
INSERT INTO public.who_data VALUES (85702, 0, 0, 0, 0, 362, 160);
INSERT INTO public.who_data VALUES (85703, 0, 5, 0, 0, 362, 151);
INSERT INTO public.who_data VALUES (85704, 0, 0, 0, 0, 362, 193);
INSERT INTO public.who_data VALUES (85705, 0, 0, 0, 0, 362, 18);
INSERT INTO public.who_data VALUES (85706, 0, 0, 0, 0, 362, 40);
INSERT INTO public.who_data VALUES (85707, 0, 0, 0, 0, 362, 218);
INSERT INTO public.who_data VALUES (85708, 0, 0, 0, 0, 362, 191);
INSERT INTO public.who_data VALUES (85709, 0, 0, 0, 0, 362, 156);
INSERT INTO public.who_data VALUES (85710, 0, 0, 0, 0, 362, 135);
INSERT INTO public.who_data VALUES (85711, 0, 0, 0, 0, 362, 88);
INSERT INTO public.who_data VALUES (85712, 0, 0, 0, 0, 362, 55);
INSERT INTO public.who_data VALUES (85713, 0, 0, 0, 0, 362, 108);
INSERT INTO public.who_data VALUES (85714, 0, 0, 0, 0, 362, 48);
INSERT INTO public.who_data VALUES (85715, 2, 8, 0, 0, 362, 3);
INSERT INTO public.who_data VALUES (85716, 0, 695, 1, 4, 362, 224);
INSERT INTO public.who_data VALUES (85717, 0, 0, 0, 0, 362, 110);
INSERT INTO public.who_data VALUES (85718, 0, 0, 0, 0, 362, 106);
INSERT INTO public.who_data VALUES (85719, 0, 0, 0, 0, 362, 89);
INSERT INTO public.who_data VALUES (85720, 0, 0, 0, 0, 362, 121);
INSERT INTO public.who_data VALUES (85721, 0, 0, 0, 0, 362, 163);
INSERT INTO public.who_data VALUES (85722, 0, 0, 0, 0, 362, 70);
INSERT INTO public.who_data VALUES (85723, 0, 7, 0, 1, 362, 174);
INSERT INTO public.who_data VALUES (85724, 0, 0, 0, 0, 362, 175);
INSERT INTO public.who_data VALUES (85725, 0, 0, 0, 0, 362, 118);
INSERT INTO public.who_data VALUES (85726, 0, 0, 0, 0, 362, 189);
INSERT INTO public.who_data VALUES (85727, 0, 0, 0, 0, 362, 124);
INSERT INTO public.who_data VALUES (85728, 0, 0, 0, 0, 362, 192);
INSERT INTO public.who_data VALUES (85729, 144, 981, 3, 10, 362, 41);
INSERT INTO public.who_data VALUES (85730, 0, 0, 0, 0, 362, 95);
INSERT INTO public.who_data VALUES (85731, 0, 0, 0, 0, 362, 74);
INSERT INTO public.who_data VALUES (85732, 0, 0, 0, 0, 362, 11);
INSERT INTO public.who_data VALUES (85733, 0, 2, 0, 0, 362, 87);
INSERT INTO public.who_data VALUES (85734, 0, 0, 0, 0, 362, 214);
INSERT INTO public.who_data VALUES (85735, 0, 0, 0, 0, 362, 116);
INSERT INTO public.who_data VALUES (85736, 0, 0, 0, 0, 362, 157);
INSERT INTO public.who_data VALUES (85737, 0, 0, 0, 0, 362, 182);
INSERT INTO public.who_data VALUES (85738, 0, 0, 0, 0, 362, 186);
INSERT INTO public.who_data VALUES (85739, 0, 0, 0, 0, 362, 127);
INSERT INTO public.who_data VALUES (85740, 0, 0, 0, 0, 362, 232);
INSERT INTO public.who_data VALUES (85741, 0, 0, 0, 0, 362, 33);
INSERT INTO public.who_data VALUES (85742, 0, 0, 0, 0, 362, 97);
INSERT INTO public.who_data VALUES (85743, 0, 0, 0, 0, 362, 42);
INSERT INTO public.who_data VALUES (85744, 0, 0, 0, 0, 362, 198);
INSERT INTO public.who_data VALUES (85745, 0, 0, 0, 0, 362, 216);
INSERT INTO public.who_data VALUES (85746, 0, 0, 0, 0, 362, 164);
INSERT INTO public.who_data VALUES (85747, 0, 0, 0, 0, 362, 235);
INSERT INTO public.who_data VALUES (85748, 0, 0, 0, 0, 362, 67);
INSERT INTO public.who_data VALUES (85749, 0, 0, 0, 0, 362, 15);
INSERT INTO public.who_data VALUES (85750, 0, 0, 0, 0, 362, 180);
INSERT INTO public.who_data VALUES (85751, 1, 95, 0, 0, 362, 237);
INSERT INTO public.who_data VALUES (85752, 0, 0, 0, 0, 362, 25);
INSERT INTO public.who_data VALUES (85753, 0, 0, 0, 0, 362, 209);
INSERT INTO public.who_data VALUES (85754, 0, 0, 0, 0, 362, 217);
INSERT INTO public.who_data VALUES (85755, 0, 0, 0, 0, 362, 79);
INSERT INTO public.who_data VALUES (85756, 0, 0, 0, 0, 362, 143);
INSERT INTO public.who_data VALUES (85757, 0, 0, 0, 0, 362, 229);
INSERT INTO public.who_data VALUES (85758, 0, 0, 0, 0, 362, 141);
INSERT INTO public.who_data VALUES (85759, 0, 0, 0, 0, 362, 197);
INSERT INTO public.who_data VALUES (85760, 2, 32, 0, 1, 362, 221);
INSERT INTO public.who_data VALUES (85761, 0, 5, 0, 0, 362, 150);
INSERT INTO public.who_data VALUES (85762, 0, 0, 0, 0, 362, 56);
INSERT INTO public.who_data VALUES (85763, 0, 0, 0, 0, 362, 167);
INSERT INTO public.who_data VALUES (85764, 0, 1, 0, 0, 362, 23);
INSERT INTO public.who_data VALUES (85765, 0, 1, 0, 0, 362, 222);
INSERT INTO public.who_data VALUES (85766, 0, 0, 0, 0, 362, 219);
INSERT INTO public.who_data VALUES (85767, 0, 0, 0, 0, 362, 7);
INSERT INTO public.who_data VALUES (85768, 2, 41, 0, 0, 362, 161);
INSERT INTO public.who_data VALUES (85769, 0, 11, 0, 0, 362, 149);
INSERT INTO public.who_data VALUES (85770, 0, 0, 0, 0, 362, 6);
INSERT INTO public.who_data VALUES (85771, 0, 0, 0, 0, 362, 139);
INSERT INTO public.who_data VALUES (85772, 0, 0, 0, 0, 362, 211);
INSERT INTO public.who_data VALUES (85773, 0, 0, 0, 0, 362, 14);
INSERT INTO public.who_data VALUES (85774, 0, 0, 0, 0, 362, 111);
INSERT INTO public.who_data VALUES (85775, 0, 0, 0, 0, 362, 207);
INSERT INTO public.who_data VALUES (85776, 0, 0, 0, 0, 362, 66);
INSERT INTO public.who_data VALUES (85777, 0, 0, 0, 0, 362, 173);
INSERT INTO public.who_data VALUES (85778, 0, 0, 0, 0, 362, 145);
INSERT INTO public.who_data VALUES (85779, 0, 0, 0, 0, 362, 65);
INSERT INTO public.who_data VALUES (85780, 0, 0, 0, 0, 362, 184);
INSERT INTO public.who_data VALUES (85781, 0, 0, 0, 0, 362, 98);
INSERT INTO public.who_data VALUES (85782, 0, 17, 0, 0, 362, 104);
INSERT INTO public.who_data VALUES (85783, 0, 0, 0, 0, 362, 73);
INSERT INTO public.who_data VALUES (85784, 0, 57, 0, 0, 362, 8);
INSERT INTO public.who_data VALUES (85785, 0, 0, 0, 0, 362, 227);
INSERT INTO public.who_data VALUES (85786, 0, 0, 0, 0, 362, 75);
INSERT INTO public.who_data VALUES (85787, 0, 0, 0, 0, 362, 45);
INSERT INTO public.who_data VALUES (85788, 0, 0, 0, 0, 362, 133);
INSERT INTO public.who_data VALUES (85789, 0, 0, 0, 0, 362, 202);
INSERT INTO public.who_data VALUES (85790, 0, 20, 0, 0, 362, 129);
INSERT INTO public.who_data VALUES (85791, 0, 0, 0, 0, 362, 36);
INSERT INTO public.who_data VALUES (85792, 0, 0, 0, 0, 362, 51);
INSERT INTO public.who_data VALUES (85793, 0, 0, 0, 0, 362, 206);
INSERT INTO public.who_data VALUES (85794, 0, 0, 0, 0, 362, 5);
INSERT INTO public.who_data VALUES (85795, 5, 5, 0, 0, 363, 103);
INSERT INTO public.who_data VALUES (85796, 0, 0, 0, 0, 363, 58);
INSERT INTO public.who_data VALUES (85797, 0, 0, 0, 0, 363, 195);
INSERT INTO public.who_data VALUES (85798, 0, 0, 0, 0, 363, 115);
INSERT INTO public.who_data VALUES (85799, 0, 0, 0, 0, 363, 99);
INSERT INTO public.who_data VALUES (85800, 0, 0, 0, 0, 363, 153);
INSERT INTO public.who_data VALUES (85801, 0, 0, 0, 0, 363, 93);
INSERT INTO public.who_data VALUES (85802, 0, 0, 0, 0, 363, 84);
INSERT INTO public.who_data VALUES (85803, 0, 0, 0, 0, 363, 78);
INSERT INTO public.who_data VALUES (85804, 0, 0, 0, 0, 363, 170);
INSERT INTO public.who_data VALUES (85805, 0, 0, 0, 0, 363, 32);
INSERT INTO public.who_data VALUES (85806, 0, 26, 0, 0, 363, 155);
INSERT INTO public.who_data VALUES (85807, 0, 0, 0, 0, 363, 82);
INSERT INTO public.who_data VALUES (85808, 0, 0, 0, 0, 363, 16);
INSERT INTO public.who_data VALUES (85809, 0, 0, 0, 0, 363, 72);
INSERT INTO public.who_data VALUES (85810, 6, 6, 0, 0, 363, 43);
INSERT INTO public.who_data VALUES (85811, 0, 0, 0, 0, 363, 120);
INSERT INTO public.who_data VALUES (85812, 0, 0, 0, 0, 363, 213);
INSERT INTO public.who_data VALUES (85813, 0, 0, 0, 0, 363, 31);
INSERT INTO public.who_data VALUES (85814, 0, 1, 0, 0, 363, 204);
INSERT INTO public.who_data VALUES (85815, 0, 0, 0, 0, 363, 152);
INSERT INTO public.who_data VALUES (85816, 0, 0, 0, 0, 363, 144);
INSERT INTO public.who_data VALUES (85817, 0, 0, 0, 0, 363, 96);
INSERT INTO public.who_data VALUES (85818, 0, 0, 0, 0, 363, 47);
INSERT INTO public.who_data VALUES (85819, 0, 0, 0, 0, 363, 80);
INSERT INTO public.who_data VALUES (85820, 0, 0, 0, 0, 363, 159);
INSERT INTO public.who_data VALUES (85821, 0, 0, 0, 0, 363, 27);
INSERT INTO public.who_data VALUES (85822, 0, 0, 0, 0, 363, 146);
INSERT INTO public.who_data VALUES (85823, 0, 0, 0, 0, 363, 71);
INSERT INTO public.who_data VALUES (85824, 0, 0, 0, 0, 363, 210);
INSERT INTO public.who_data VALUES (85825, 0, 0, 0, 0, 363, 54);
INSERT INTO public.who_data VALUES (85826, 0, 0, 0, 0, 363, 147);
INSERT INTO public.who_data VALUES (85827, 0, 0, 0, 0, 363, 2);
INSERT INTO public.who_data VALUES (85828, 0, 0, 0, 0, 363, 105);
INSERT INTO public.who_data VALUES (85829, 0, 0, 0, 0, 363, 53);
INSERT INTO public.who_data VALUES (85830, 0, 5, 0, 0, 363, 81);
INSERT INTO public.who_data VALUES (85831, 0, 0, 0, 0, 363, 223);
INSERT INTO public.who_data VALUES (85832, 1, 14, 0, 0, 363, 94);
INSERT INTO public.who_data VALUES (85833, 0, 0, 0, 0, 363, 154);
INSERT INTO public.who_data VALUES (85834, 0, 0, 0, 0, 363, 83);
INSERT INTO public.who_data VALUES (85835, 0, 0, 0, 0, 363, 194);
INSERT INTO public.who_data VALUES (85836, 0, 0, 0, 0, 363, 136);
INSERT INTO public.who_data VALUES (85837, 221, 77266, 150, 2595, 363, 179);
INSERT INTO public.who_data VALUES (85838, 0, 0, 0, 0, 363, 57);
INSERT INTO public.who_data VALUES (85839, 0, 0, 0, 0, 363, 35);
INSERT INTO public.who_data VALUES (85840, 0, 0, 0, 0, 363, 228);
INSERT INTO public.who_data VALUES (85841, 0, 0, 0, 0, 363, 19);
INSERT INTO public.who_data VALUES (85842, 0, 0, 0, 0, 363, 22);
INSERT INTO public.who_data VALUES (85843, 0, 0, 0, 0, 363, 1);
INSERT INTO public.who_data VALUES (85844, 0, 0, 0, 0, 363, 21);
INSERT INTO public.who_data VALUES (85845, 0, 0, 0, 0, 363, 234);
INSERT INTO public.who_data VALUES (85846, 0, 0, 0, 0, 363, 91);
INSERT INTO public.who_data VALUES (85847, 0, 0, 0, 0, 363, 137);
INSERT INTO public.who_data VALUES (85848, 0, 0, 0, 0, 363, 201);
INSERT INTO public.who_data VALUES (85849, 0, 0, 0, 0, 363, 171);
INSERT INTO public.who_data VALUES (85850, 0, 0, 0, 0, 363, 92);
INSERT INTO public.who_data VALUES (85851, 0, 0, 0, 0, 363, 112);
INSERT INTO public.who_data VALUES (85852, 0, 0, 0, 0, 363, 62);
INSERT INTO public.who_data VALUES (85853, 0, 0, 0, 0, 363, 69);
INSERT INTO public.who_data VALUES (85854, 0, 0, 0, 0, 363, 220);
INSERT INTO public.who_data VALUES (85855, 0, 0, 0, 0, 363, 100);
INSERT INTO public.who_data VALUES (85856, 0, 5, 0, 0, 363, 187);
INSERT INTO public.who_data VALUES (85857, 0, 0, 0, 0, 363, 63);
INSERT INTO public.who_data VALUES (85858, 0, 0, 0, 0, 363, 28);
INSERT INTO public.who_data VALUES (85859, 0, 0, 0, 0, 363, 172);
INSERT INTO public.who_data VALUES (85860, 0, 0, 0, 0, 363, 17);
INSERT INTO public.who_data VALUES (85861, 0, 0, 0, 0, 363, 226);
INSERT INTO public.who_data VALUES (85862, 0, 0, 0, 0, 363, 236);
INSERT INTO public.who_data VALUES (85863, 0, 0, 0, 0, 363, 76);
INSERT INTO public.who_data VALUES (85864, 0, 0, 0, 0, 363, 30);
INSERT INTO public.who_data VALUES (85865, 0, 0, 0, 0, 363, 128);
INSERT INTO public.who_data VALUES (85866, 0, 1, 0, 0, 363, 86);
INSERT INTO public.who_data VALUES (85867, 0, 12, 0, 1, 363, 140);
INSERT INTO public.who_data VALUES (85868, 0, 0, 0, 0, 363, 44);
INSERT INTO public.who_data VALUES (85869, 0, 0, 0, 0, 363, 113);
INSERT INTO public.who_data VALUES (85870, 0, 0, 0, 0, 363, 29);
INSERT INTO public.who_data VALUES (85871, 0, 0, 0, 0, 363, 125);
INSERT INTO public.who_data VALUES (85872, 0, 0, 0, 0, 363, 131);
INSERT INTO public.who_data VALUES (85873, 0, 15, 0, 0, 363, 46);
INSERT INTO public.who_data VALUES (85874, 0, 0, 0, 0, 363, 10);
INSERT INTO public.who_data VALUES (85875, 0, 0, 0, 0, 363, 205);
INSERT INTO public.who_data VALUES (85876, 0, 0, 0, 0, 363, 50);
INSERT INTO public.who_data VALUES (85877, 0, 0, 0, 0, 363, 20);
INSERT INTO public.who_data VALUES (85878, 0, 0, 0, 0, 363, 13);
INSERT INTO public.who_data VALUES (85879, 0, 0, 0, 0, 363, 148);
INSERT INTO public.who_data VALUES (85880, 0, 0, 0, 0, 363, 230);
INSERT INTO public.who_data VALUES (85881, 0, 0, 0, 0, 363, 190);
INSERT INTO public.who_data VALUES (85882, 0, 0, 0, 0, 363, 188);
INSERT INTO public.who_data VALUES (85883, 0, 0, 0, 0, 363, 123);
INSERT INTO public.who_data VALUES (85884, 0, 0, 0, 0, 363, 9);
INSERT INTO public.who_data VALUES (85885, 0, 0, 0, 0, 363, 102);
INSERT INTO public.who_data VALUES (85886, 0, 0, 0, 0, 363, 34);
INSERT INTO public.who_data VALUES (85887, 0, 0, 0, 0, 363, 212);
INSERT INTO public.who_data VALUES (85888, 0, 0, 0, 0, 363, 122);
INSERT INTO public.who_data VALUES (85889, 0, 0, 0, 0, 363, 38);
INSERT INTO public.who_data VALUES (85890, 0, 0, 0, 0, 363, 130);
INSERT INTO public.who_data VALUES (85891, 0, 7, 0, 0, 363, 37);
INSERT INTO public.who_data VALUES (85892, 0, 0, 0, 0, 363, 231);
INSERT INTO public.who_data VALUES (85893, 18, 65, 4, 12, 363, 107);
INSERT INTO public.who_data VALUES (85894, 5, 5, 0, 0, 363, 101);
INSERT INTO public.who_data VALUES (85895, 0, 0, 0, 0, 363, 132);
INSERT INTO public.who_data VALUES (85896, 0, 0, 0, 0, 363, 176);
INSERT INTO public.who_data VALUES (85897, 0, 1, 0, 0, 363, 200);
INSERT INTO public.who_data VALUES (85898, 53, 132, 0, 2, 363, 169);
INSERT INTO public.who_data VALUES (85899, 0, 0, 0, 0, 363, 225);
INSERT INTO public.who_data VALUES (85900, 12, 160, 0, 1, 363, 165);
INSERT INTO public.who_data VALUES (85901, 0, 0, 0, 0, 363, 233);
INSERT INTO public.who_data VALUES (85902, 0, 0, 0, 0, 363, 215);
INSERT INTO public.who_data VALUES (85903, 0, 0, 0, 0, 363, 177);
INSERT INTO public.who_data VALUES (85904, 0, 0, 0, 0, 363, 183);
INSERT INTO public.who_data VALUES (85905, 0, 0, 0, 0, 363, 203);
INSERT INTO public.who_data VALUES (85906, 0, 0, 0, 0, 363, 162);
INSERT INTO public.who_data VALUES (85907, 9, 9, 0, 0, 363, 12);
INSERT INTO public.who_data VALUES (85908, 0, 0, 0, 0, 363, 24);
INSERT INTO public.who_data VALUES (85909, 0, 0, 0, 0, 363, 119);
INSERT INTO public.who_data VALUES (85910, 0, 0, 0, 0, 363, 39);
INSERT INTO public.who_data VALUES (85911, 0, 5, 0, 0, 363, 26);
INSERT INTO public.who_data VALUES (85912, 0, 0, 0, 0, 363, 59);
INSERT INTO public.who_data VALUES (85913, 0, 0, 0, 0, 363, 77);
INSERT INTO public.who_data VALUES (85914, 0, 0, 0, 0, 363, 134);
INSERT INTO public.who_data VALUES (85915, 0, 0, 0, 0, 363, 4);
INSERT INTO public.who_data VALUES (85916, 0, 0, 0, 0, 363, 109);
INSERT INTO public.who_data VALUES (85917, 0, 0, 0, 0, 363, 90);
INSERT INTO public.who_data VALUES (85918, 0, 0, 0, 0, 363, 61);
INSERT INTO public.who_data VALUES (85919, 0, 0, 0, 0, 363, 85);
INSERT INTO public.who_data VALUES (85920, 0, 26, 0, 0, 363, 49);
INSERT INTO public.who_data VALUES (85921, 0, 0, 0, 0, 363, 208);
INSERT INTO public.who_data VALUES (85922, 0, 0, 0, 0, 363, 166);
INSERT INTO public.who_data VALUES (85923, 0, 0, 0, 0, 363, 64);
INSERT INTO public.who_data VALUES (85924, 0, 0, 0, 0, 363, 199);
INSERT INTO public.who_data VALUES (85925, 0, 0, 0, 0, 363, 114);
INSERT INTO public.who_data VALUES (85926, 0, 0, 0, 0, 363, 60);
INSERT INTO public.who_data VALUES (85927, 0, 0, 0, 0, 363, 68);
INSERT INTO public.who_data VALUES (85928, 0, 0, 0, 0, 363, 158);
INSERT INTO public.who_data VALUES (85929, 0, 0, 0, 0, 363, 52);
INSERT INTO public.who_data VALUES (85930, 0, 0, 0, 0, 363, 117);
INSERT INTO public.who_data VALUES (85931, 0, 0, 0, 0, 363, 126);
INSERT INTO public.who_data VALUES (85932, 0, 0, 0, 0, 363, 196);
INSERT INTO public.who_data VALUES (85933, 0, 0, 0, 0, 363, 142);
INSERT INTO public.who_data VALUES (85934, 0, 0, 0, 0, 363, 185);
INSERT INTO public.who_data VALUES (85935, 0, 0, 0, 0, 363, 138);
INSERT INTO public.who_data VALUES (85936, 0, 0, 0, 0, 363, 181);
INSERT INTO public.who_data VALUES (85937, 0, 0, 0, 0, 363, 178);
INSERT INTO public.who_data VALUES (85938, 0, 0, 0, 0, 363, 168);
INSERT INTO public.who_data VALUES (85939, 0, 0, 0, 0, 363, 160);
INSERT INTO public.who_data VALUES (85940, 0, 5, 0, 0, 363, 151);
INSERT INTO public.who_data VALUES (85941, 0, 0, 0, 0, 363, 193);
INSERT INTO public.who_data VALUES (85942, 0, 0, 0, 0, 363, 18);
INSERT INTO public.who_data VALUES (85943, 0, 0, 0, 0, 363, 40);
INSERT INTO public.who_data VALUES (85944, 0, 0, 0, 0, 363, 218);
INSERT INTO public.who_data VALUES (85945, 0, 0, 0, 0, 363, 191);
INSERT INTO public.who_data VALUES (85946, 0, 0, 0, 0, 363, 156);
INSERT INTO public.who_data VALUES (85947, 0, 0, 0, 0, 363, 135);
INSERT INTO public.who_data VALUES (85948, 0, 0, 0, 0, 363, 88);
INSERT INTO public.who_data VALUES (85949, 0, 0, 0, 0, 363, 55);
INSERT INTO public.who_data VALUES (85950, 0, 0, 0, 0, 363, 108);
INSERT INTO public.who_data VALUES (85951, 0, 0, 0, 0, 363, 48);
INSERT INTO public.who_data VALUES (85952, 6, 6, 0, 0, 363, 3);
INSERT INTO public.who_data VALUES (85953, 0, 695, 0, 3, 363, 224);
INSERT INTO public.who_data VALUES (85954, 0, 0, 0, 0, 363, 110);
INSERT INTO public.who_data VALUES (85955, 0, 0, 0, 0, 363, 106);
INSERT INTO public.who_data VALUES (85956, 0, 0, 0, 0, 363, 89);
INSERT INTO public.who_data VALUES (85957, 0, 0, 0, 0, 363, 121);
INSERT INTO public.who_data VALUES (85958, 0, 0, 0, 0, 363, 163);
INSERT INTO public.who_data VALUES (85959, 0, 0, 0, 0, 363, 70);
INSERT INTO public.who_data VALUES (85960, 0, 7, 0, 1, 363, 174);
INSERT INTO public.who_data VALUES (85961, 0, 0, 0, 0, 363, 175);
INSERT INTO public.who_data VALUES (85962, 0, 0, 0, 0, 363, 118);
INSERT INTO public.who_data VALUES (85963, 0, 0, 0, 0, 363, 189);
INSERT INTO public.who_data VALUES (85964, 0, 0, 0, 0, 363, 124);
INSERT INTO public.who_data VALUES (85965, 0, 0, 0, 0, 363, 192);
INSERT INTO public.who_data VALUES (85966, 231, 837, 5, 7, 363, 41);
INSERT INTO public.who_data VALUES (85967, 0, 0, 0, 0, 363, 95);
INSERT INTO public.who_data VALUES (85968, 0, 0, 0, 0, 363, 74);
INSERT INTO public.who_data VALUES (85969, 0, 0, 0, 0, 363, 11);
INSERT INTO public.who_data VALUES (85970, 0, 2, 0, 0, 363, 87);
INSERT INTO public.who_data VALUES (85971, 0, 0, 0, 0, 363, 214);
INSERT INTO public.who_data VALUES (85972, 0, 0, 0, 0, 363, 116);
INSERT INTO public.who_data VALUES (85973, 0, 0, 0, 0, 363, 157);
INSERT INTO public.who_data VALUES (85974, 0, 0, 0, 0, 363, 182);
INSERT INTO public.who_data VALUES (85975, 0, 0, 0, 0, 363, 186);
INSERT INTO public.who_data VALUES (85976, 0, 0, 0, 0, 363, 127);
INSERT INTO public.who_data VALUES (85977, 0, 0, 0, 0, 363, 232);
INSERT INTO public.who_data VALUES (85978, 0, 0, 0, 0, 363, 33);
INSERT INTO public.who_data VALUES (85979, 0, 0, 0, 0, 363, 97);
INSERT INTO public.who_data VALUES (85980, 0, 0, 0, 0, 363, 42);
INSERT INTO public.who_data VALUES (85981, 0, 0, 0, 0, 363, 198);
INSERT INTO public.who_data VALUES (85982, 0, 0, 0, 0, 363, 216);
INSERT INTO public.who_data VALUES (85983, 0, 0, 0, 0, 363, 164);
INSERT INTO public.who_data VALUES (85984, 0, 0, 0, 0, 363, 235);
INSERT INTO public.who_data VALUES (85985, 0, 0, 0, 0, 363, 67);
INSERT INTO public.who_data VALUES (85986, 0, 0, 0, 0, 363, 15);
INSERT INTO public.who_data VALUES (85987, 0, 0, 0, 0, 363, 180);
INSERT INTO public.who_data VALUES (85988, 1, 94, 0, 0, 363, 237);
INSERT INTO public.who_data VALUES (85989, 0, 0, 0, 0, 363, 25);
INSERT INTO public.who_data VALUES (85990, 0, 0, 0, 0, 363, 209);
INSERT INTO public.who_data VALUES (85991, 0, 0, 0, 0, 363, 217);
INSERT INTO public.who_data VALUES (85992, 0, 0, 0, 0, 363, 79);
INSERT INTO public.who_data VALUES (85993, 0, 0, 0, 0, 363, 143);
INSERT INTO public.who_data VALUES (85994, 0, 0, 0, 0, 363, 229);
INSERT INTO public.who_data VALUES (85995, 0, 0, 0, 0, 363, 141);
INSERT INTO public.who_data VALUES (85996, 0, 0, 0, 0, 363, 197);
INSERT INTO public.who_data VALUES (85997, 1, 30, 0, 1, 363, 221);
INSERT INTO public.who_data VALUES (85998, 0, 5, 0, 0, 363, 150);
INSERT INTO public.who_data VALUES (85999, 0, 0, 0, 0, 363, 56);
INSERT INTO public.who_data VALUES (86000, 0, 0, 0, 0, 363, 167);
INSERT INTO public.who_data VALUES (86001, 0, 1, 0, 0, 363, 23);
INSERT INTO public.who_data VALUES (86002, 1, 1, 0, 0, 363, 222);
INSERT INTO public.who_data VALUES (86003, 0, 0, 0, 0, 363, 219);
INSERT INTO public.who_data VALUES (86004, 0, 0, 0, 0, 363, 7);
INSERT INTO public.who_data VALUES (86005, 0, 39, 0, 0, 363, 161);
INSERT INTO public.who_data VALUES (86006, 0, 11, 0, 0, 363, 149);
INSERT INTO public.who_data VALUES (86007, 0, 0, 0, 0, 363, 6);
INSERT INTO public.who_data VALUES (86008, 0, 0, 0, 0, 363, 139);
INSERT INTO public.who_data VALUES (86009, 0, 0, 0, 0, 363, 211);
INSERT INTO public.who_data VALUES (86010, 0, 0, 0, 0, 363, 14);
INSERT INTO public.who_data VALUES (86011, 0, 0, 0, 0, 363, 111);
INSERT INTO public.who_data VALUES (86012, 0, 0, 0, 0, 363, 207);
INSERT INTO public.who_data VALUES (86013, 0, 0, 0, 0, 363, 66);
INSERT INTO public.who_data VALUES (86014, 0, 0, 0, 0, 363, 173);
INSERT INTO public.who_data VALUES (86015, 0, 0, 0, 0, 363, 145);
INSERT INTO public.who_data VALUES (86016, 0, 0, 0, 0, 363, 65);
INSERT INTO public.who_data VALUES (86017, 0, 0, 0, 0, 363, 184);
INSERT INTO public.who_data VALUES (86018, 0, 0, 0, 0, 363, 98);
INSERT INTO public.who_data VALUES (86019, 0, 17, 0, 0, 363, 104);
INSERT INTO public.who_data VALUES (86020, 0, 0, 0, 0, 363, 73);
INSERT INTO public.who_data VALUES (86021, 18, 57, 0, 0, 363, 8);
INSERT INTO public.who_data VALUES (86022, 0, 0, 0, 0, 363, 227);
INSERT INTO public.who_data VALUES (86023, 0, 0, 0, 0, 363, 75);
INSERT INTO public.who_data VALUES (86024, 0, 0, 0, 0, 363, 45);
INSERT INTO public.who_data VALUES (86025, 0, 0, 0, 0, 363, 133);
INSERT INTO public.who_data VALUES (86026, 0, 0, 0, 0, 363, 202);
INSERT INTO public.who_data VALUES (86027, 0, 20, 0, 0, 363, 129);
INSERT INTO public.who_data VALUES (86028, 0, 0, 0, 0, 363, 36);
INSERT INTO public.who_data VALUES (86029, 0, 0, 0, 0, 363, 51);
INSERT INTO public.who_data VALUES (86030, 0, 0, 0, 0, 363, 206);
INSERT INTO public.who_data VALUES (86031, 0, 0, 0, 0, 363, 5);
INSERT INTO public.who_data VALUES (86032, 0, 0, 0, 0, 364, 103);
INSERT INTO public.who_data VALUES (86033, 0, 0, 0, 0, 364, 58);
INSERT INTO public.who_data VALUES (86034, 0, 0, 0, 0, 364, 195);
INSERT INTO public.who_data VALUES (86035, 0, 0, 0, 0, 364, 115);
INSERT INTO public.who_data VALUES (86036, 0, 0, 0, 0, 364, 99);
INSERT INTO public.who_data VALUES (86037, 0, 0, 0, 0, 364, 153);
INSERT INTO public.who_data VALUES (86038, 0, 0, 0, 0, 364, 93);
INSERT INTO public.who_data VALUES (86039, 0, 0, 0, 0, 364, 84);
INSERT INTO public.who_data VALUES (86040, 0, 0, 0, 0, 364, 78);
INSERT INTO public.who_data VALUES (86041, 0, 0, 0, 0, 364, 170);
INSERT INTO public.who_data VALUES (86042, 0, 0, 0, 0, 364, 32);
INSERT INTO public.who_data VALUES (86043, 1, 26, 0, 0, 364, 155);
INSERT INTO public.who_data VALUES (86044, 0, 0, 0, 0, 364, 82);
INSERT INTO public.who_data VALUES (86045, 0, 0, 0, 0, 364, 16);
INSERT INTO public.who_data VALUES (86046, 0, 0, 0, 0, 364, 72);
INSERT INTO public.who_data VALUES (86047, 0, 0, 0, 0, 364, 43);
INSERT INTO public.who_data VALUES (86048, 0, 0, 0, 0, 364, 120);
INSERT INTO public.who_data VALUES (86049, 0, 0, 0, 0, 364, 213);
INSERT INTO public.who_data VALUES (86050, 0, 0, 0, 0, 364, 31);
INSERT INTO public.who_data VALUES (86051, 0, 1, 0, 0, 364, 204);
INSERT INTO public.who_data VALUES (86052, 0, 0, 0, 0, 364, 152);
INSERT INTO public.who_data VALUES (86053, 0, 0, 0, 0, 364, 144);
INSERT INTO public.who_data VALUES (86054, 0, 0, 0, 0, 364, 96);
INSERT INTO public.who_data VALUES (86055, 0, 0, 0, 0, 364, 47);
INSERT INTO public.who_data VALUES (86056, 0, 0, 0, 0, 364, 80);
INSERT INTO public.who_data VALUES (86057, 0, 0, 0, 0, 364, 159);
INSERT INTO public.who_data VALUES (86058, 0, 0, 0, 0, 364, 27);
INSERT INTO public.who_data VALUES (86059, 0, 0, 0, 0, 364, 146);
INSERT INTO public.who_data VALUES (86060, 0, 0, 0, 0, 364, 71);
INSERT INTO public.who_data VALUES (86061, 0, 0, 0, 0, 364, 210);
INSERT INTO public.who_data VALUES (86062, 0, 0, 0, 0, 364, 54);
INSERT INTO public.who_data VALUES (86063, 0, 0, 0, 0, 364, 147);
INSERT INTO public.who_data VALUES (86064, 0, 0, 0, 0, 364, 2);
INSERT INTO public.who_data VALUES (86065, 0, 0, 0, 0, 364, 105);
INSERT INTO public.who_data VALUES (86066, 0, 0, 0, 0, 364, 53);
INSERT INTO public.who_data VALUES (86067, 0, 5, 0, 0, 364, 81);
INSERT INTO public.who_data VALUES (86068, 0, 0, 0, 0, 364, 223);
INSERT INTO public.who_data VALUES (86069, 0, 13, 0, 0, 364, 94);
INSERT INTO public.who_data VALUES (86070, 0, 0, 0, 0, 364, 154);
INSERT INTO public.who_data VALUES (86071, 0, 0, 0, 0, 364, 83);
INSERT INTO public.who_data VALUES (86072, 0, 0, 0, 0, 364, 194);
INSERT INTO public.who_data VALUES (86073, 0, 0, 0, 0, 364, 136);
INSERT INTO public.who_data VALUES (86074, 649, 77045, 97, 2445, 364, 179);
INSERT INTO public.who_data VALUES (86075, 0, 0, 0, 0, 364, 57);
INSERT INTO public.who_data VALUES (86076, 0, 0, 0, 0, 364, 35);
INSERT INTO public.who_data VALUES (86077, 0, 0, 0, 0, 364, 228);
INSERT INTO public.who_data VALUES (86078, 0, 0, 0, 0, 364, 19);
INSERT INTO public.who_data VALUES (86079, 0, 0, 0, 0, 364, 22);
INSERT INTO public.who_data VALUES (86080, 0, 0, 0, 0, 364, 1);
INSERT INTO public.who_data VALUES (86081, 0, 0, 0, 0, 364, 21);
INSERT INTO public.who_data VALUES (86082, 0, 0, 0, 0, 364, 234);
INSERT INTO public.who_data VALUES (86083, 0, 0, 0, 0, 364, 91);
INSERT INTO public.who_data VALUES (86084, 0, 0, 0, 0, 364, 137);
INSERT INTO public.who_data VALUES (86085, 0, 0, 0, 0, 364, 201);
INSERT INTO public.who_data VALUES (86086, 0, 0, 0, 0, 364, 171);
INSERT INTO public.who_data VALUES (86087, 0, 0, 0, 0, 364, 92);
INSERT INTO public.who_data VALUES (86088, 0, 0, 0, 0, 364, 112);
INSERT INTO public.who_data VALUES (86089, 0, 0, 0, 0, 364, 62);
INSERT INTO public.who_data VALUES (86090, 0, 0, 0, 0, 364, 69);
INSERT INTO public.who_data VALUES (86091, 0, 0, 0, 0, 364, 220);
INSERT INTO public.who_data VALUES (86092, 0, 0, 0, 0, 364, 100);
INSERT INTO public.who_data VALUES (86093, 0, 5, 0, 0, 364, 187);
INSERT INTO public.who_data VALUES (86094, 0, 0, 0, 0, 364, 63);
INSERT INTO public.who_data VALUES (86095, 0, 0, 0, 0, 364, 28);
INSERT INTO public.who_data VALUES (86096, 0, 0, 0, 0, 364, 172);
INSERT INTO public.who_data VALUES (86097, 0, 0, 0, 0, 364, 17);
INSERT INTO public.who_data VALUES (86098, 0, 0, 0, 0, 364, 226);
INSERT INTO public.who_data VALUES (86099, 0, 0, 0, 0, 364, 236);
INSERT INTO public.who_data VALUES (86100, 0, 0, 0, 0, 364, 76);
INSERT INTO public.who_data VALUES (86101, 0, 0, 0, 0, 364, 30);
INSERT INTO public.who_data VALUES (86102, 0, 0, 0, 0, 364, 128);
INSERT INTO public.who_data VALUES (86103, 0, 1, 0, 0, 364, 86);
INSERT INTO public.who_data VALUES (86104, 0, 12, 0, 1, 364, 140);
INSERT INTO public.who_data VALUES (86105, 0, 0, 0, 0, 364, 44);
INSERT INTO public.who_data VALUES (86106, 0, 0, 0, 0, 364, 113);
INSERT INTO public.who_data VALUES (86107, 0, 0, 0, 0, 364, 29);
INSERT INTO public.who_data VALUES (86108, 0, 0, 0, 0, 364, 125);
INSERT INTO public.who_data VALUES (86109, 0, 0, 0, 0, 364, 131);
INSERT INTO public.who_data VALUES (86110, 0, 15, 0, 0, 364, 46);
INSERT INTO public.who_data VALUES (86111, 0, 0, 0, 0, 364, 10);
INSERT INTO public.who_data VALUES (86112, 0, 0, 0, 0, 364, 205);
INSERT INTO public.who_data VALUES (86113, 0, 0, 0, 0, 364, 50);
INSERT INTO public.who_data VALUES (86114, 0, 0, 0, 0, 364, 20);
INSERT INTO public.who_data VALUES (86115, 0, 0, 0, 0, 364, 13);
INSERT INTO public.who_data VALUES (86116, 0, 0, 0, 0, 364, 148);
INSERT INTO public.who_data VALUES (86117, 0, 0, 0, 0, 364, 230);
INSERT INTO public.who_data VALUES (86118, 0, 0, 0, 0, 364, 190);
INSERT INTO public.who_data VALUES (86119, 0, 0, 0, 0, 364, 188);
INSERT INTO public.who_data VALUES (86120, 0, 0, 0, 0, 364, 123);
INSERT INTO public.who_data VALUES (86121, 0, 0, 0, 0, 364, 9);
INSERT INTO public.who_data VALUES (86122, 0, 0, 0, 0, 364, 102);
INSERT INTO public.who_data VALUES (86123, 0, 0, 0, 0, 364, 34);
INSERT INTO public.who_data VALUES (86124, 0, 0, 0, 0, 364, 212);
INSERT INTO public.who_data VALUES (86125, 0, 0, 0, 0, 364, 122);
INSERT INTO public.who_data VALUES (86126, 0, 0, 0, 0, 364, 38);
INSERT INTO public.who_data VALUES (86127, 0, 0, 0, 0, 364, 130);
INSERT INTO public.who_data VALUES (86128, 0, 7, 0, 0, 364, 37);
INSERT INTO public.who_data VALUES (86129, 0, 0, 0, 0, 364, 231);
INSERT INTO public.who_data VALUES (86130, 15, 47, 3, 8, 364, 107);
INSERT INTO public.who_data VALUES (86131, 0, 0, 0, 0, 364, 101);
INSERT INTO public.who_data VALUES (86132, 0, 0, 0, 0, 364, 132);
INSERT INTO public.who_data VALUES (86133, 0, 0, 0, 0, 364, 176);
INSERT INTO public.who_data VALUES (86134, 0, 1, 0, 0, 364, 200);
INSERT INTO public.who_data VALUES (86135, 62, 79, 2, 2, 364, 169);
INSERT INTO public.who_data VALUES (86136, 0, 0, 0, 0, 364, 225);
INSERT INTO public.who_data VALUES (86137, 12, 148, 0, 1, 364, 165);
INSERT INTO public.who_data VALUES (86138, 0, 0, 0, 0, 364, 233);
INSERT INTO public.who_data VALUES (86139, 0, 0, 0, 0, 364, 215);
INSERT INTO public.who_data VALUES (86140, 0, 0, 0, 0, 364, 177);
INSERT INTO public.who_data VALUES (86141, 0, 0, 0, 0, 364, 183);
INSERT INTO public.who_data VALUES (86142, 0, 0, 0, 0, 364, 203);
INSERT INTO public.who_data VALUES (86143, 0, 0, 0, 0, 364, 162);
INSERT INTO public.who_data VALUES (86144, 0, 0, 0, 0, 364, 12);
INSERT INTO public.who_data VALUES (86145, 0, 0, 0, 0, 364, 24);
INSERT INTO public.who_data VALUES (86146, 0, 0, 0, 0, 364, 119);
INSERT INTO public.who_data VALUES (86147, 0, 0, 0, 0, 364, 39);
INSERT INTO public.who_data VALUES (86148, 0, 5, 0, 0, 364, 26);
INSERT INTO public.who_data VALUES (86149, 0, 0, 0, 0, 364, 59);
INSERT INTO public.who_data VALUES (86150, 0, 0, 0, 0, 364, 77);
INSERT INTO public.who_data VALUES (86151, 0, 0, 0, 0, 364, 134);
INSERT INTO public.who_data VALUES (86152, 0, 0, 0, 0, 364, 4);
INSERT INTO public.who_data VALUES (86153, 0, 0, 0, 0, 364, 109);
INSERT INTO public.who_data VALUES (86154, 0, 0, 0, 0, 364, 90);
INSERT INTO public.who_data VALUES (86155, 0, 0, 0, 0, 364, 61);
INSERT INTO public.who_data VALUES (86156, 0, 0, 0, 0, 364, 85);
INSERT INTO public.who_data VALUES (86157, 0, 26, 0, 0, 364, 49);
INSERT INTO public.who_data VALUES (86158, 0, 0, 0, 0, 364, 208);
INSERT INTO public.who_data VALUES (86159, 0, 0, 0, 0, 364, 166);
INSERT INTO public.who_data VALUES (86160, 0, 0, 0, 0, 364, 64);
INSERT INTO public.who_data VALUES (86161, 0, 0, 0, 0, 364, 199);
INSERT INTO public.who_data VALUES (86162, 0, 0, 0, 0, 364, 114);
INSERT INTO public.who_data VALUES (86163, 0, 0, 0, 0, 364, 60);
INSERT INTO public.who_data VALUES (86164, 0, 0, 0, 0, 364, 68);
INSERT INTO public.who_data VALUES (86165, 0, 0, 0, 0, 364, 158);
INSERT INTO public.who_data VALUES (86166, 0, 0, 0, 0, 364, 52);
INSERT INTO public.who_data VALUES (86167, 0, 0, 0, 0, 364, 117);
INSERT INTO public.who_data VALUES (86168, 0, 0, 0, 0, 364, 126);
INSERT INTO public.who_data VALUES (86169, 0, 0, 0, 0, 364, 196);
INSERT INTO public.who_data VALUES (86170, 0, 0, 0, 0, 364, 142);
INSERT INTO public.who_data VALUES (86171, 0, 0, 0, 0, 364, 185);
INSERT INTO public.who_data VALUES (86172, 0, 0, 0, 0, 364, 138);
INSERT INTO public.who_data VALUES (86173, 0, 0, 0, 0, 364, 181);
INSERT INTO public.who_data VALUES (86174, 0, 0, 0, 0, 364, 178);
INSERT INTO public.who_data VALUES (86175, 0, 0, 0, 0, 364, 168);
INSERT INTO public.who_data VALUES (86176, 0, 0, 0, 0, 364, 160);
INSERT INTO public.who_data VALUES (86177, 0, 5, 0, 0, 364, 151);
INSERT INTO public.who_data VALUES (86178, 0, 0, 0, 0, 364, 193);
INSERT INTO public.who_data VALUES (86179, 0, 0, 0, 0, 364, 18);
INSERT INTO public.who_data VALUES (86180, 0, 0, 0, 0, 364, 40);
INSERT INTO public.who_data VALUES (86181, 0, 0, 0, 0, 364, 218);
INSERT INTO public.who_data VALUES (86182, 0, 0, 0, 0, 364, 191);
INSERT INTO public.who_data VALUES (86183, 0, 0, 0, 0, 364, 156);
INSERT INTO public.who_data VALUES (86184, 0, 0, 0, 0, 364, 135);
INSERT INTO public.who_data VALUES (86185, 0, 0, 0, 0, 364, 88);
INSERT INTO public.who_data VALUES (86186, 0, 0, 0, 0, 364, 55);
INSERT INTO public.who_data VALUES (86187, 0, 0, 0, 0, 364, 108);
INSERT INTO public.who_data VALUES (86188, 0, 0, 0, 0, 364, 48);
INSERT INTO public.who_data VALUES (86189, 0, 0, 0, 0, 364, 3);
INSERT INTO public.who_data VALUES (86190, 57, 695, 1, 3, 364, 224);
INSERT INTO public.who_data VALUES (86191, 0, 0, 0, 0, 364, 110);
INSERT INTO public.who_data VALUES (86192, 0, 0, 0, 0, 364, 106);
INSERT INTO public.who_data VALUES (86193, 0, 0, 0, 0, 364, 89);
INSERT INTO public.who_data VALUES (86194, 0, 0, 0, 0, 364, 121);
INSERT INTO public.who_data VALUES (86195, 0, 0, 0, 0, 364, 163);
INSERT INTO public.who_data VALUES (86196, 0, 0, 0, 0, 364, 70);
INSERT INTO public.who_data VALUES (86197, 0, 7, 0, 1, 364, 174);
INSERT INTO public.who_data VALUES (86198, 0, 0, 0, 0, 364, 175);
INSERT INTO public.who_data VALUES (86199, 0, 0, 0, 0, 364, 118);
INSERT INTO public.who_data VALUES (86200, 0, 0, 0, 0, 364, 189);
INSERT INTO public.who_data VALUES (86201, 0, 0, 0, 0, 364, 124);
INSERT INTO public.who_data VALUES (86202, 0, 0, 0, 0, 364, 192);
INSERT INTO public.who_data VALUES (86203, 169, 606, 0, 2, 364, 41);
INSERT INTO public.who_data VALUES (86204, 0, 0, 0, 0, 364, 95);
INSERT INTO public.who_data VALUES (86205, 0, 0, 0, 0, 364, 74);
INSERT INTO public.who_data VALUES (86206, 0, 0, 0, 0, 364, 11);
INSERT INTO public.who_data VALUES (86207, 0, 2, 0, 0, 364, 87);
INSERT INTO public.who_data VALUES (86208, 0, 0, 0, 0, 364, 214);
INSERT INTO public.who_data VALUES (86209, 0, 0, 0, 0, 364, 116);
INSERT INTO public.who_data VALUES (86210, 0, 0, 0, 0, 364, 157);
INSERT INTO public.who_data VALUES (86211, 0, 0, 0, 0, 364, 182);
INSERT INTO public.who_data VALUES (86212, 0, 0, 0, 0, 364, 186);
INSERT INTO public.who_data VALUES (86213, 0, 0, 0, 0, 364, 127);
INSERT INTO public.who_data VALUES (86214, 0, 0, 0, 0, 364, 232);
INSERT INTO public.who_data VALUES (86215, 0, 0, 0, 0, 364, 33);
INSERT INTO public.who_data VALUES (86216, 0, 0, 0, 0, 364, 97);
INSERT INTO public.who_data VALUES (86217, 0, 0, 0, 0, 364, 42);
INSERT INTO public.who_data VALUES (86218, 0, 0, 0, 0, 364, 198);
INSERT INTO public.who_data VALUES (86219, 0, 0, 0, 0, 364, 216);
INSERT INTO public.who_data VALUES (86220, 0, 0, 0, 0, 364, 164);
INSERT INTO public.who_data VALUES (86221, 0, 0, 0, 0, 364, 235);
INSERT INTO public.who_data VALUES (86222, 0, 0, 0, 0, 364, 67);
INSERT INTO public.who_data VALUES (86223, 0, 0, 0, 0, 364, 15);
INSERT INTO public.who_data VALUES (86224, 0, 0, 0, 0, 364, 180);
INSERT INTO public.who_data VALUES (86225, 0, 93, 0, 0, 364, 237);
INSERT INTO public.who_data VALUES (86226, 0, 0, 0, 0, 364, 25);
INSERT INTO public.who_data VALUES (86227, 0, 0, 0, 0, 364, 209);
INSERT INTO public.who_data VALUES (86228, 0, 0, 0, 0, 364, 217);
INSERT INTO public.who_data VALUES (86229, 0, 0, 0, 0, 364, 79);
INSERT INTO public.who_data VALUES (86230, 0, 0, 0, 0, 364, 143);
INSERT INTO public.who_data VALUES (86231, 0, 0, 0, 0, 364, 229);
INSERT INTO public.who_data VALUES (86232, 0, 0, 0, 0, 364, 141);
INSERT INTO public.who_data VALUES (86233, 0, 0, 0, 0, 364, 197);
INSERT INTO public.who_data VALUES (86234, 0, 29, 0, 1, 364, 221);
INSERT INTO public.who_data VALUES (86235, 0, 5, 0, 0, 364, 150);
INSERT INTO public.who_data VALUES (86236, 0, 0, 0, 0, 364, 56);
INSERT INTO public.who_data VALUES (86237, 0, 0, 0, 0, 364, 167);
INSERT INTO public.who_data VALUES (86238, 0, 1, 0, 0, 364, 23);
INSERT INTO public.who_data VALUES (86239, 0, 0, 0, 0, 364, 222);
INSERT INTO public.who_data VALUES (86240, 0, 0, 0, 0, 364, 219);
INSERT INTO public.who_data VALUES (86241, 0, 0, 0, 0, 364, 7);
INSERT INTO public.who_data VALUES (86242, 0, 39, 0, 0, 364, 161);
INSERT INTO public.who_data VALUES (86243, 1, 11, 0, 0, 364, 149);
INSERT INTO public.who_data VALUES (86244, 0, 0, 0, 0, 364, 6);
INSERT INTO public.who_data VALUES (86245, 0, 0, 0, 0, 364, 139);
INSERT INTO public.who_data VALUES (86246, 0, 0, 0, 0, 364, 211);
INSERT INTO public.who_data VALUES (86247, 0, 0, 0, 0, 364, 14);
INSERT INTO public.who_data VALUES (86248, 0, 0, 0, 0, 364, 111);
INSERT INTO public.who_data VALUES (86249, 0, 0, 0, 0, 364, 207);
INSERT INTO public.who_data VALUES (86250, 0, 0, 0, 0, 364, 66);
INSERT INTO public.who_data VALUES (86251, 0, 0, 0, 0, 364, 173);
INSERT INTO public.who_data VALUES (86252, 0, 0, 0, 0, 364, 145);
INSERT INTO public.who_data VALUES (86253, 0, 0, 0, 0, 364, 65);
INSERT INTO public.who_data VALUES (86254, 0, 0, 0, 0, 364, 184);
INSERT INTO public.who_data VALUES (86255, 0, 0, 0, 0, 364, 98);
INSERT INTO public.who_data VALUES (86256, 0, 17, 0, 0, 364, 104);
INSERT INTO public.who_data VALUES (86257, 0, 0, 0, 0, 364, 73);
INSERT INTO public.who_data VALUES (86258, 0, 39, 0, 0, 364, 8);
INSERT INTO public.who_data VALUES (86259, 0, 0, 0, 0, 364, 227);
INSERT INTO public.who_data VALUES (86260, 0, 0, 0, 0, 364, 75);
INSERT INTO public.who_data VALUES (86261, 0, 0, 0, 0, 364, 45);
INSERT INTO public.who_data VALUES (86262, 0, 0, 0, 0, 364, 133);
INSERT INTO public.who_data VALUES (86263, 0, 0, 0, 0, 364, 202);
INSERT INTO public.who_data VALUES (86264, 0, 20, 0, 0, 364, 129);
INSERT INTO public.who_data VALUES (86265, 0, 0, 0, 0, 364, 36);
INSERT INTO public.who_data VALUES (86266, 0, 0, 0, 0, 364, 51);
INSERT INTO public.who_data VALUES (86267, 0, 0, 0, 0, 364, 206);
INSERT INTO public.who_data VALUES (86268, 0, 0, 0, 0, 364, 5);
INSERT INTO public.who_data VALUES (86269, 0, 0, 0, 0, 365, 103);
INSERT INTO public.who_data VALUES (86270, 0, 0, 0, 0, 365, 58);
INSERT INTO public.who_data VALUES (86271, 0, 0, 0, 0, 365, 195);
INSERT INTO public.who_data VALUES (86272, 0, 0, 0, 0, 365, 115);
INSERT INTO public.who_data VALUES (86273, 0, 0, 0, 0, 365, 99);
INSERT INTO public.who_data VALUES (86274, 0, 0, 0, 0, 365, 153);
INSERT INTO public.who_data VALUES (86275, 0, 0, 0, 0, 365, 93);
INSERT INTO public.who_data VALUES (86276, 0, 0, 0, 0, 365, 84);
INSERT INTO public.who_data VALUES (86277, 0, 0, 0, 0, 365, 78);
INSERT INTO public.who_data VALUES (86278, 0, 0, 0, 0, 365, 170);
INSERT INTO public.who_data VALUES (86279, 0, 0, 0, 0, 365, 32);
INSERT INTO public.who_data VALUES (86280, 4, 25, 0, 0, 365, 155);
INSERT INTO public.who_data VALUES (86281, 0, 0, 0, 0, 365, 82);
INSERT INTO public.who_data VALUES (86282, 0, 0, 0, 0, 365, 16);
INSERT INTO public.who_data VALUES (86283, 0, 0, 0, 0, 365, 72);
INSERT INTO public.who_data VALUES (86284, 0, 0, 0, 0, 365, 43);
INSERT INTO public.who_data VALUES (86285, 0, 0, 0, 0, 365, 120);
INSERT INTO public.who_data VALUES (86286, 0, 0, 0, 0, 365, 213);
INSERT INTO public.who_data VALUES (86287, 0, 0, 0, 0, 365, 31);
INSERT INTO public.who_data VALUES (86288, 0, 1, 0, 0, 365, 204);
INSERT INTO public.who_data VALUES (86289, 0, 0, 0, 0, 365, 152);
INSERT INTO public.who_data VALUES (86290, 0, 0, 0, 0, 365, 144);
INSERT INTO public.who_data VALUES (86291, 0, 0, 0, 0, 365, 96);
INSERT INTO public.who_data VALUES (86292, 0, 0, 0, 0, 365, 47);
INSERT INTO public.who_data VALUES (86293, 0, 0, 0, 0, 365, 80);
INSERT INTO public.who_data VALUES (86294, 0, 0, 0, 0, 365, 159);
INSERT INTO public.who_data VALUES (86295, 0, 0, 0, 0, 365, 27);
INSERT INTO public.who_data VALUES (86296, 0, 0, 0, 0, 365, 146);
INSERT INTO public.who_data VALUES (86297, 0, 0, 0, 0, 365, 71);
INSERT INTO public.who_data VALUES (86298, 0, 0, 0, 0, 365, 210);
INSERT INTO public.who_data VALUES (86299, 0, 0, 0, 0, 365, 54);
INSERT INTO public.who_data VALUES (86300, 0, 0, 0, 0, 365, 147);
INSERT INTO public.who_data VALUES (86301, 0, 0, 0, 0, 365, 2);
INSERT INTO public.who_data VALUES (86302, 0, 0, 0, 0, 365, 105);
INSERT INTO public.who_data VALUES (86303, 0, 0, 0, 0, 365, 53);
INSERT INTO public.who_data VALUES (86304, 0, 5, 0, 0, 365, 81);
INSERT INTO public.who_data VALUES (86305, 0, 0, 0, 0, 365, 223);
INSERT INTO public.who_data VALUES (86306, 1, 13, 0, 0, 365, 94);
INSERT INTO public.who_data VALUES (86307, 0, 0, 0, 0, 365, 154);
INSERT INTO public.who_data VALUES (86308, 0, 0, 0, 0, 365, 83);
INSERT INTO public.who_data VALUES (86309, 0, 0, 0, 0, 365, 194);
INSERT INTO public.who_data VALUES (86310, 0, 0, 0, 0, 365, 136);
INSERT INTO public.who_data VALUES (86311, 825, 76396, 109, 2348, 365, 179);
INSERT INTO public.who_data VALUES (86312, 0, 0, 0, 0, 365, 57);
INSERT INTO public.who_data VALUES (86313, 0, 0, 0, 0, 365, 35);
INSERT INTO public.who_data VALUES (86314, 0, 0, 0, 0, 365, 228);
INSERT INTO public.who_data VALUES (86315, 0, 0, 0, 0, 365, 19);
INSERT INTO public.who_data VALUES (86316, 0, 0, 0, 0, 365, 22);
INSERT INTO public.who_data VALUES (86317, 0, 0, 0, 0, 365, 1);
INSERT INTO public.who_data VALUES (86318, 0, 0, 0, 0, 365, 21);
INSERT INTO public.who_data VALUES (86319, 0, 0, 0, 0, 365, 234);
INSERT INTO public.who_data VALUES (86320, 0, 0, 0, 0, 365, 91);
INSERT INTO public.who_data VALUES (86321, 0, 0, 0, 0, 365, 137);
INSERT INTO public.who_data VALUES (86322, 0, 0, 0, 0, 365, 201);
INSERT INTO public.who_data VALUES (86323, 0, 0, 0, 0, 365, 171);
INSERT INTO public.who_data VALUES (86324, 0, 0, 0, 0, 365, 92);
INSERT INTO public.who_data VALUES (86325, 0, 0, 0, 0, 365, 112);
INSERT INTO public.who_data VALUES (86326, 0, 0, 0, 0, 365, 62);
INSERT INTO public.who_data VALUES (86327, 0, 0, 0, 0, 365, 69);
INSERT INTO public.who_data VALUES (86328, 0, 0, 0, 0, 365, 220);
INSERT INTO public.who_data VALUES (86329, 0, 0, 0, 0, 365, 100);
INSERT INTO public.who_data VALUES (86330, 0, 5, 0, 0, 365, 187);
INSERT INTO public.who_data VALUES (86331, 0, 0, 0, 0, 365, 63);
INSERT INTO public.who_data VALUES (86332, 0, 0, 0, 0, 365, 28);
INSERT INTO public.who_data VALUES (86333, 0, 0, 0, 0, 365, 172);
INSERT INTO public.who_data VALUES (86334, 0, 0, 0, 0, 365, 17);
INSERT INTO public.who_data VALUES (86335, 0, 0, 0, 0, 365, 226);
INSERT INTO public.who_data VALUES (86336, 0, 0, 0, 0, 365, 236);
INSERT INTO public.who_data VALUES (86337, 0, 0, 0, 0, 365, 76);
INSERT INTO public.who_data VALUES (86338, 0, 0, 0, 0, 365, 30);
INSERT INTO public.who_data VALUES (86339, 0, 0, 0, 0, 365, 128);
INSERT INTO public.who_data VALUES (86340, 0, 1, 0, 0, 365, 86);
INSERT INTO public.who_data VALUES (86341, 0, 12, 0, 1, 365, 140);
INSERT INTO public.who_data VALUES (86342, 0, 0, 0, 0, 365, 44);
INSERT INTO public.who_data VALUES (86343, 0, 0, 0, 0, 365, 113);
INSERT INTO public.who_data VALUES (86344, 0, 0, 0, 0, 365, 29);
INSERT INTO public.who_data VALUES (86345, 0, 0, 0, 0, 365, 125);
INSERT INTO public.who_data VALUES (86346, 0, 0, 0, 0, 365, 131);
INSERT INTO public.who_data VALUES (86347, 0, 15, 0, 0, 365, 46);
INSERT INTO public.who_data VALUES (86348, 0, 0, 0, 0, 365, 10);
INSERT INTO public.who_data VALUES (86349, 0, 0, 0, 0, 365, 205);
INSERT INTO public.who_data VALUES (86350, 0, 0, 0, 0, 365, 50);
INSERT INTO public.who_data VALUES (86351, 0, 0, 0, 0, 365, 20);
INSERT INTO public.who_data VALUES (86352, 0, 0, 0, 0, 365, 13);
INSERT INTO public.who_data VALUES (86353, 0, 0, 0, 0, 365, 148);
INSERT INTO public.who_data VALUES (86354, 0, 0, 0, 0, 365, 230);
INSERT INTO public.who_data VALUES (86355, 0, 0, 0, 0, 365, 190);
INSERT INTO public.who_data VALUES (86356, 0, 0, 0, 0, 365, 188);
INSERT INTO public.who_data VALUES (86357, 0, 0, 0, 0, 365, 123);
INSERT INTO public.who_data VALUES (86358, 0, 0, 0, 0, 365, 9);
INSERT INTO public.who_data VALUES (86359, 0, 0, 0, 0, 365, 102);
INSERT INTO public.who_data VALUES (86360, 0, 0, 0, 0, 365, 34);
INSERT INTO public.who_data VALUES (86361, 0, 0, 0, 0, 365, 212);
INSERT INTO public.who_data VALUES (86362, 0, 0, 0, 0, 365, 122);
INSERT INTO public.who_data VALUES (86363, 0, 0, 0, 0, 365, 38);
INSERT INTO public.who_data VALUES (86364, 0, 0, 0, 0, 365, 130);
INSERT INTO public.who_data VALUES (86365, 0, 7, 0, 0, 365, 37);
INSERT INTO public.who_data VALUES (86366, 0, 0, 0, 0, 365, 231);
INSERT INTO public.who_data VALUES (86367, 10, 32, 1, 5, 365, 107);
INSERT INTO public.who_data VALUES (86368, 0, 0, 0, 0, 365, 101);
INSERT INTO public.who_data VALUES (86369, 0, 0, 0, 0, 365, 132);
INSERT INTO public.who_data VALUES (86370, 0, 0, 0, 0, 365, 176);
INSERT INTO public.who_data VALUES (86371, 0, 1, 0, 0, 365, 200);
INSERT INTO public.who_data VALUES (86372, 14, 17, 0, 0, 365, 169);
INSERT INTO public.who_data VALUES (86373, 0, 0, 0, 0, 365, 225);
INSERT INTO public.who_data VALUES (86374, 27, 136, 0, 1, 365, 165);
INSERT INTO public.who_data VALUES (86375, 0, 0, 0, 0, 365, 233);
INSERT INTO public.who_data VALUES (86376, 0, 0, 0, 0, 365, 215);
INSERT INTO public.who_data VALUES (86377, 0, 0, 0, 0, 365, 177);
INSERT INTO public.who_data VALUES (86378, 0, 0, 0, 0, 365, 183);
INSERT INTO public.who_data VALUES (86379, 0, 0, 0, 0, 365, 203);
INSERT INTO public.who_data VALUES (86380, 0, 0, 0, 0, 365, 162);
INSERT INTO public.who_data VALUES (86381, 0, 0, 0, 0, 365, 12);
INSERT INTO public.who_data VALUES (86382, 0, 0, 0, 0, 365, 24);
INSERT INTO public.who_data VALUES (86383, 0, 0, 0, 0, 365, 119);
INSERT INTO public.who_data VALUES (86384, 0, 0, 0, 0, 365, 39);
INSERT INTO public.who_data VALUES (86385, 0, 5, 0, 0, 365, 26);
INSERT INTO public.who_data VALUES (86386, 0, 0, 0, 0, 365, 59);
INSERT INTO public.who_data VALUES (86387, 0, 0, 0, 0, 365, 77);
INSERT INTO public.who_data VALUES (86388, 0, 0, 0, 0, 365, 134);
INSERT INTO public.who_data VALUES (86389, 0, 0, 0, 0, 365, 4);
INSERT INTO public.who_data VALUES (86390, 0, 0, 0, 0, 365, 109);
INSERT INTO public.who_data VALUES (86391, 0, 0, 0, 0, 365, 90);
INSERT INTO public.who_data VALUES (86392, 0, 0, 0, 0, 365, 61);
INSERT INTO public.who_data VALUES (86393, 0, 0, 0, 0, 365, 85);
INSERT INTO public.who_data VALUES (86394, 0, 26, 0, 0, 365, 49);
INSERT INTO public.who_data VALUES (86395, 0, 0, 0, 0, 365, 208);
INSERT INTO public.who_data VALUES (86396, 0, 0, 0, 0, 365, 166);
INSERT INTO public.who_data VALUES (86397, 0, 0, 0, 0, 365, 64);
INSERT INTO public.who_data VALUES (86398, 0, 0, 0, 0, 365, 199);
INSERT INTO public.who_data VALUES (86399, 0, 0, 0, 0, 365, 114);
INSERT INTO public.who_data VALUES (86400, 0, 0, 0, 0, 365, 60);
INSERT INTO public.who_data VALUES (86401, 0, 0, 0, 0, 365, 68);
INSERT INTO public.who_data VALUES (86402, 0, 0, 0, 0, 365, 158);
INSERT INTO public.who_data VALUES (86403, 0, 0, 0, 0, 365, 52);
INSERT INTO public.who_data VALUES (86404, 0, 0, 0, 0, 365, 117);
INSERT INTO public.who_data VALUES (86405, 0, 0, 0, 0, 365, 126);
INSERT INTO public.who_data VALUES (86406, 0, 0, 0, 0, 365, 196);
INSERT INTO public.who_data VALUES (86407, 0, 0, 0, 0, 365, 142);
INSERT INTO public.who_data VALUES (86408, 0, 0, 0, 0, 365, 185);
INSERT INTO public.who_data VALUES (86409, 0, 0, 0, 0, 365, 138);
INSERT INTO public.who_data VALUES (86410, 0, 0, 0, 0, 365, 181);
INSERT INTO public.who_data VALUES (86411, 0, 0, 0, 0, 365, 178);
INSERT INTO public.who_data VALUES (86412, 0, 0, 0, 0, 365, 168);
INSERT INTO public.who_data VALUES (86413, 0, 0, 0, 0, 365, 160);
INSERT INTO public.who_data VALUES (86414, 0, 5, 0, 0, 365, 151);
INSERT INTO public.who_data VALUES (86415, 0, 0, 0, 0, 365, 193);
INSERT INTO public.who_data VALUES (86416, 0, 0, 0, 0, 365, 18);
INSERT INTO public.who_data VALUES (86417, 0, 0, 0, 0, 365, 40);
INSERT INTO public.who_data VALUES (86418, 0, 0, 0, 0, 365, 218);
INSERT INTO public.who_data VALUES (86419, 0, 0, 0, 0, 365, 191);
INSERT INTO public.who_data VALUES (86420, 0, 0, 0, 0, 365, 156);
INSERT INTO public.who_data VALUES (86421, 0, 0, 0, 0, 365, 135);
INSERT INTO public.who_data VALUES (86422, 0, 0, 0, 0, 365, 88);
INSERT INTO public.who_data VALUES (86423, 0, 0, 0, 0, 365, 55);
INSERT INTO public.who_data VALUES (86424, 0, 0, 0, 0, 365, 108);
INSERT INTO public.who_data VALUES (86425, 0, 0, 0, 0, 365, 48);
INSERT INTO public.who_data VALUES (86426, 0, 0, 0, 0, 365, 3);
INSERT INTO public.who_data VALUES (86427, 0, 638, 0, 2, 365, 224);
INSERT INTO public.who_data VALUES (86428, 0, 0, 0, 0, 365, 110);
INSERT INTO public.who_data VALUES (86429, 0, 0, 0, 0, 365, 106);
INSERT INTO public.who_data VALUES (86430, 0, 0, 0, 0, 365, 89);
INSERT INTO public.who_data VALUES (86431, 0, 0, 0, 0, 365, 121);
INSERT INTO public.who_data VALUES (86432, 0, 0, 0, 0, 365, 163);
INSERT INTO public.who_data VALUES (86433, 0, 0, 0, 0, 365, 70);
INSERT INTO public.who_data VALUES (86434, 0, 7, 0, 1, 365, 174);
INSERT INTO public.who_data VALUES (86435, 0, 0, 0, 0, 365, 175);
INSERT INTO public.who_data VALUES (86436, 0, 0, 0, 0, 365, 118);
INSERT INTO public.who_data VALUES (86437, 0, 0, 0, 0, 365, 189);
INSERT INTO public.who_data VALUES (86438, 0, 0, 0, 0, 365, 124);
INSERT INTO public.who_data VALUES (86439, 0, 0, 0, 0, 365, 192);
INSERT INTO public.who_data VALUES (86440, 229, 437, 1, 2, 365, 41);
INSERT INTO public.who_data VALUES (86441, 0, 0, 0, 0, 365, 95);
INSERT INTO public.who_data VALUES (86442, 0, 0, 0, 0, 365, 74);
INSERT INTO public.who_data VALUES (86443, 0, 0, 0, 0, 365, 11);
INSERT INTO public.who_data VALUES (86444, 0, 2, 0, 0, 365, 87);
INSERT INTO public.who_data VALUES (86445, 0, 0, 0, 0, 365, 214);
INSERT INTO public.who_data VALUES (86446, 0, 0, 0, 0, 365, 116);
INSERT INTO public.who_data VALUES (86447, 0, 0, 0, 0, 365, 157);
INSERT INTO public.who_data VALUES (86448, 0, 0, 0, 0, 365, 182);
INSERT INTO public.who_data VALUES (86449, 0, 0, 0, 0, 365, 186);
INSERT INTO public.who_data VALUES (86450, 0, 0, 0, 0, 365, 127);
INSERT INTO public.who_data VALUES (86451, 0, 0, 0, 0, 365, 232);
INSERT INTO public.who_data VALUES (86452, 0, 0, 0, 0, 365, 33);
INSERT INTO public.who_data VALUES (86453, 0, 0, 0, 0, 365, 97);
INSERT INTO public.who_data VALUES (86454, 0, 0, 0, 0, 365, 42);
INSERT INTO public.who_data VALUES (86455, 0, 0, 0, 0, 365, 198);
INSERT INTO public.who_data VALUES (86456, 0, 0, 0, 0, 365, 216);
INSERT INTO public.who_data VALUES (86457, 0, 0, 0, 0, 365, 164);
INSERT INTO public.who_data VALUES (86458, 0, 0, 0, 0, 365, 235);
INSERT INTO public.who_data VALUES (86459, 0, 0, 0, 0, 365, 67);
INSERT INTO public.who_data VALUES (86460, 0, 0, 0, 0, 365, 15);
INSERT INTO public.who_data VALUES (86461, 0, 0, 0, 0, 365, 180);
INSERT INTO public.who_data VALUES (86462, 3, 93, 0, 0, 365, 237);
INSERT INTO public.who_data VALUES (86463, 0, 0, 0, 0, 365, 25);
INSERT INTO public.who_data VALUES (86464, 0, 0, 0, 0, 365, 209);
INSERT INTO public.who_data VALUES (86465, 0, 0, 0, 0, 365, 217);
INSERT INTO public.who_data VALUES (86466, 0, 0, 0, 0, 365, 79);
INSERT INTO public.who_data VALUES (86467, 0, 0, 0, 0, 365, 143);
INSERT INTO public.who_data VALUES (86468, 0, 0, 0, 0, 365, 229);
INSERT INTO public.who_data VALUES (86469, 0, 0, 0, 0, 365, 141);
INSERT INTO public.who_data VALUES (86470, 0, 0, 0, 0, 365, 197);
INSERT INTO public.who_data VALUES (86471, 0, 29, 0, 1, 365, 221);
INSERT INTO public.who_data VALUES (86472, 0, 5, 0, 0, 365, 150);
INSERT INTO public.who_data VALUES (86473, 0, 0, 0, 0, 365, 56);
INSERT INTO public.who_data VALUES (86474, 0, 0, 0, 0, 365, 167);
INSERT INTO public.who_data VALUES (86475, 0, 1, 0, 0, 365, 23);
INSERT INTO public.who_data VALUES (86476, 0, 0, 0, 0, 365, 222);
INSERT INTO public.who_data VALUES (86477, 0, 0, 0, 0, 365, 219);
INSERT INTO public.who_data VALUES (86478, 0, 0, 0, 0, 365, 7);
INSERT INTO public.who_data VALUES (86479, 0, 39, 0, 0, 365, 161);
INSERT INTO public.who_data VALUES (86480, 0, 10, 0, 0, 365, 149);
INSERT INTO public.who_data VALUES (86481, 0, 0, 0, 0, 365, 6);
INSERT INTO public.who_data VALUES (86482, 0, 0, 0, 0, 365, 139);
INSERT INTO public.who_data VALUES (86483, 0, 0, 0, 0, 365, 211);
INSERT INTO public.who_data VALUES (86484, 0, 0, 0, 0, 365, 14);
INSERT INTO public.who_data VALUES (86485, 0, 0, 0, 0, 365, 111);
INSERT INTO public.who_data VALUES (86486, 0, 0, 0, 0, 365, 207);
INSERT INTO public.who_data VALUES (86487, 0, 0, 0, 0, 365, 66);
INSERT INTO public.who_data VALUES (86488, 0, 0, 0, 0, 365, 173);
INSERT INTO public.who_data VALUES (86489, 0, 0, 0, 0, 365, 145);
INSERT INTO public.who_data VALUES (86490, 0, 0, 0, 0, 365, 65);
INSERT INTO public.who_data VALUES (86491, 0, 0, 0, 0, 365, 184);
INSERT INTO public.who_data VALUES (86492, 0, 0, 0, 0, 365, 98);
INSERT INTO public.who_data VALUES (86493, 2, 17, 0, 0, 365, 104);
INSERT INTO public.who_data VALUES (86494, 0, 0, 0, 0, 365, 73);
INSERT INTO public.who_data VALUES (86495, 1, 39, 0, 0, 365, 8);
INSERT INTO public.who_data VALUES (86496, 0, 0, 0, 0, 365, 227);
INSERT INTO public.who_data VALUES (86497, 0, 0, 0, 0, 365, 75);
INSERT INTO public.who_data VALUES (86498, 0, 0, 0, 0, 365, 45);
INSERT INTO public.who_data VALUES (86499, 0, 0, 0, 0, 365, 133);
INSERT INTO public.who_data VALUES (86500, 0, 0, 0, 0, 365, 202);
INSERT INTO public.who_data VALUES (86501, 0, 20, 0, 0, 365, 129);
INSERT INTO public.who_data VALUES (86502, 0, 0, 0, 0, 365, 36);
INSERT INTO public.who_data VALUES (86503, 0, 0, 0, 0, 365, 51);
INSERT INTO public.who_data VALUES (86504, 0, 0, 0, 0, 365, 206);
INSERT INTO public.who_data VALUES (86505, 0, 0, 0, 0, 365, 5);
INSERT INTO public.who_data VALUES (86506, 0, 0, 0, 0, 366, 103);
INSERT INTO public.who_data VALUES (86507, 0, 0, 0, 0, 366, 58);
INSERT INTO public.who_data VALUES (86508, 0, 0, 0, 0, 366, 195);
INSERT INTO public.who_data VALUES (86509, 0, 0, 0, 0, 366, 115);
INSERT INTO public.who_data VALUES (86510, 0, 0, 0, 0, 366, 99);
INSERT INTO public.who_data VALUES (86511, 0, 0, 0, 0, 366, 153);
INSERT INTO public.who_data VALUES (86512, 0, 0, 0, 0, 366, 93);
INSERT INTO public.who_data VALUES (86513, 0, 0, 0, 0, 366, 84);
INSERT INTO public.who_data VALUES (86514, 0, 0, 0, 0, 366, 78);
INSERT INTO public.who_data VALUES (86515, 0, 0, 0, 0, 366, 170);
INSERT INTO public.who_data VALUES (86516, 0, 0, 0, 0, 366, 32);
INSERT INTO public.who_data VALUES (86517, 2, 21, 0, 0, 366, 155);
INSERT INTO public.who_data VALUES (86518, 0, 0, 0, 0, 366, 82);
INSERT INTO public.who_data VALUES (86519, 0, 0, 0, 0, 366, 16);
INSERT INTO public.who_data VALUES (86520, 0, 0, 0, 0, 366, 72);
INSERT INTO public.who_data VALUES (86521, 0, 0, 0, 0, 366, 43);
INSERT INTO public.who_data VALUES (86522, 0, 0, 0, 0, 366, 120);
INSERT INTO public.who_data VALUES (86523, 0, 0, 0, 0, 366, 213);
INSERT INTO public.who_data VALUES (86524, 0, 0, 0, 0, 366, 31);
INSERT INTO public.who_data VALUES (86525, 0, 1, 0, 0, 366, 204);
INSERT INTO public.who_data VALUES (86526, 0, 0, 0, 0, 366, 152);
INSERT INTO public.who_data VALUES (86527, 0, 0, 0, 0, 366, 144);
INSERT INTO public.who_data VALUES (86528, 0, 0, 0, 0, 366, 96);
INSERT INTO public.who_data VALUES (86529, 0, 0, 0, 0, 366, 47);
INSERT INTO public.who_data VALUES (86530, 0, 0, 0, 0, 366, 80);
INSERT INTO public.who_data VALUES (86531, 0, 0, 0, 0, 366, 159);
INSERT INTO public.who_data VALUES (86532, 0, 0, 0, 0, 366, 27);
INSERT INTO public.who_data VALUES (86533, 0, 0, 0, 0, 366, 146);
INSERT INTO public.who_data VALUES (86534, 0, 0, 0, 0, 366, 71);
INSERT INTO public.who_data VALUES (86535, 0, 0, 0, 0, 366, 210);
INSERT INTO public.who_data VALUES (86536, 0, 0, 0, 0, 366, 54);
INSERT INTO public.who_data VALUES (86537, 0, 0, 0, 0, 366, 147);
INSERT INTO public.who_data VALUES (86538, 0, 0, 0, 0, 366, 2);
INSERT INTO public.who_data VALUES (86539, 0, 0, 0, 0, 366, 105);
INSERT INTO public.who_data VALUES (86540, 0, 0, 0, 0, 366, 53);
INSERT INTO public.who_data VALUES (86541, 0, 5, 0, 0, 366, 81);
INSERT INTO public.who_data VALUES (86542, 0, 0, 0, 0, 366, 223);
INSERT INTO public.who_data VALUES (86543, 0, 12, 0, 0, 366, 94);
INSERT INTO public.who_data VALUES (86544, 0, 0, 0, 0, 366, 154);
INSERT INTO public.who_data VALUES (86545, 0, 0, 0, 0, 366, 83);
INSERT INTO public.who_data VALUES (86546, 0, 0, 0, 0, 366, 194);
INSERT INTO public.who_data VALUES (86547, 0, 0, 0, 0, 366, 136);
INSERT INTO public.who_data VALUES (86548, 892, 75571, 118, 2239, 366, 179);
INSERT INTO public.who_data VALUES (86549, 0, 0, 0, 0, 366, 57);
INSERT INTO public.who_data VALUES (86550, 0, 0, 0, 0, 366, 35);
INSERT INTO public.who_data VALUES (86551, 0, 0, 0, 0, 366, 228);
INSERT INTO public.who_data VALUES (86552, 0, 0, 0, 0, 366, 19);
INSERT INTO public.who_data VALUES (86553, 0, 0, 0, 0, 366, 22);
INSERT INTO public.who_data VALUES (86554, 0, 0, 0, 0, 366, 1);
INSERT INTO public.who_data VALUES (86555, 0, 0, 0, 0, 366, 21);
INSERT INTO public.who_data VALUES (86556, 0, 0, 0, 0, 366, 234);
INSERT INTO public.who_data VALUES (86557, 0, 0, 0, 0, 366, 91);
INSERT INTO public.who_data VALUES (86558, 0, 0, 0, 0, 366, 137);
INSERT INTO public.who_data VALUES (86559, 0, 0, 0, 0, 366, 201);
INSERT INTO public.who_data VALUES (86560, 0, 0, 0, 0, 366, 171);
INSERT INTO public.who_data VALUES (86561, 0, 0, 0, 0, 366, 92);
INSERT INTO public.who_data VALUES (86562, 0, 0, 0, 0, 366, 112);
INSERT INTO public.who_data VALUES (86563, 0, 0, 0, 0, 366, 62);
INSERT INTO public.who_data VALUES (86564, 0, 0, 0, 0, 366, 69);
INSERT INTO public.who_data VALUES (86565, 0, 0, 0, 0, 366, 220);
INSERT INTO public.who_data VALUES (86566, 0, 0, 0, 0, 366, 100);
INSERT INTO public.who_data VALUES (86567, 0, 5, 0, 0, 366, 187);
INSERT INTO public.who_data VALUES (86568, 0, 0, 0, 0, 366, 63);
INSERT INTO public.who_data VALUES (86569, 0, 0, 0, 0, 366, 28);
INSERT INTO public.who_data VALUES (86570, 0, 0, 0, 0, 366, 172);
INSERT INTO public.who_data VALUES (86571, 0, 0, 0, 0, 366, 17);
INSERT INTO public.who_data VALUES (86572, 0, 0, 0, 0, 366, 226);
INSERT INTO public.who_data VALUES (86573, 0, 0, 0, 0, 366, 236);
INSERT INTO public.who_data VALUES (86574, 0, 0, 0, 0, 366, 76);
INSERT INTO public.who_data VALUES (86575, 0, 0, 0, 0, 366, 30);
INSERT INTO public.who_data VALUES (86576, 0, 0, 0, 0, 366, 128);
INSERT INTO public.who_data VALUES (86577, 0, 1, 0, 0, 366, 86);
INSERT INTO public.who_data VALUES (86578, 0, 12, 0, 1, 366, 140);
INSERT INTO public.who_data VALUES (86579, 0, 0, 0, 0, 366, 44);
INSERT INTO public.who_data VALUES (86580, 0, 0, 0, 0, 366, 113);
INSERT INTO public.who_data VALUES (86581, 0, 0, 0, 0, 366, 29);
INSERT INTO public.who_data VALUES (86582, 0, 0, 0, 0, 366, 125);
INSERT INTO public.who_data VALUES (86583, 0, 0, 0, 0, 366, 131);
INSERT INTO public.who_data VALUES (86584, 0, 15, 0, 0, 366, 46);
INSERT INTO public.who_data VALUES (86585, 0, 0, 0, 0, 366, 10);
INSERT INTO public.who_data VALUES (86586, 0, 0, 0, 0, 366, 205);
INSERT INTO public.who_data VALUES (86587, 0, 0, 0, 0, 366, 50);
INSERT INTO public.who_data VALUES (86588, 0, 0, 0, 0, 366, 20);
INSERT INTO public.who_data VALUES (86589, 0, 0, 0, 0, 366, 13);
INSERT INTO public.who_data VALUES (86590, 0, 0, 0, 0, 366, 148);
INSERT INTO public.who_data VALUES (86591, 0, 0, 0, 0, 366, 230);
INSERT INTO public.who_data VALUES (86592, 0, 0, 0, 0, 366, 190);
INSERT INTO public.who_data VALUES (86593, 0, 0, 0, 0, 366, 188);
INSERT INTO public.who_data VALUES (86594, 0, 0, 0, 0, 366, 123);
INSERT INTO public.who_data VALUES (86595, 0, 0, 0, 0, 366, 9);
INSERT INTO public.who_data VALUES (86596, 0, 0, 0, 0, 366, 102);
INSERT INTO public.who_data VALUES (86597, 0, 0, 0, 0, 366, 34);
INSERT INTO public.who_data VALUES (86598, 0, 0, 0, 0, 366, 212);
INSERT INTO public.who_data VALUES (86599, 0, 0, 0, 0, 366, 122);
INSERT INTO public.who_data VALUES (86600, 0, 0, 0, 0, 366, 38);
INSERT INTO public.who_data VALUES (86601, 0, 0, 0, 0, 366, 130);
INSERT INTO public.who_data VALUES (86602, 0, 7, 0, 0, 366, 37);
INSERT INTO public.who_data VALUES (86603, 0, 0, 0, 0, 366, 231);
INSERT INTO public.who_data VALUES (86604, 13, 22, 2, 4, 366, 107);
INSERT INTO public.who_data VALUES (86605, 0, 0, 0, 0, 366, 101);
INSERT INTO public.who_data VALUES (86606, 0, 0, 0, 0, 366, 132);
INSERT INTO public.who_data VALUES (86607, 0, 0, 0, 0, 366, 176);
INSERT INTO public.who_data VALUES (86608, 1, 1, 0, 0, 366, 200);
INSERT INTO public.who_data VALUES (86609, 0, 3, 0, 0, 366, 169);
INSERT INTO public.who_data VALUES (86610, 0, 0, 0, 0, 366, 225);
INSERT INTO public.who_data VALUES (86611, 12, 109, 0, 1, 366, 165);
INSERT INTO public.who_data VALUES (86612, 0, 0, 0, 0, 366, 233);
INSERT INTO public.who_data VALUES (86613, 0, 0, 0, 0, 366, 215);
INSERT INTO public.who_data VALUES (86614, 0, 0, 0, 0, 366, 177);
INSERT INTO public.who_data VALUES (86615, 0, 0, 0, 0, 366, 183);
INSERT INTO public.who_data VALUES (86616, 0, 0, 0, 0, 366, 203);
INSERT INTO public.who_data VALUES (86617, 0, 0, 0, 0, 366, 162);
INSERT INTO public.who_data VALUES (86618, 0, 0, 0, 0, 366, 12);
INSERT INTO public.who_data VALUES (86619, 0, 0, 0, 0, 366, 24);
INSERT INTO public.who_data VALUES (86620, 0, 0, 0, 0, 366, 119);
INSERT INTO public.who_data VALUES (86621, 0, 0, 0, 0, 366, 39);
INSERT INTO public.who_data VALUES (86622, 5, 5, 0, 0, 366, 26);
INSERT INTO public.who_data VALUES (86623, 0, 0, 0, 0, 366, 59);
INSERT INTO public.who_data VALUES (86624, 0, 0, 0, 0, 366, 77);
INSERT INTO public.who_data VALUES (86625, 0, 0, 0, 0, 366, 134);
INSERT INTO public.who_data VALUES (86626, 0, 0, 0, 0, 366, 4);
INSERT INTO public.who_data VALUES (86627, 0, 0, 0, 0, 366, 109);
INSERT INTO public.who_data VALUES (86628, 0, 0, 0, 0, 366, 90);
INSERT INTO public.who_data VALUES (86629, 0, 0, 0, 0, 366, 61);
INSERT INTO public.who_data VALUES (86630, 0, 0, 0, 0, 366, 85);
INSERT INTO public.who_data VALUES (86631, 0, 26, 0, 0, 366, 49);
INSERT INTO public.who_data VALUES (86632, 0, 0, 0, 0, 366, 208);
INSERT INTO public.who_data VALUES (86633, 0, 0, 0, 0, 366, 166);
INSERT INTO public.who_data VALUES (86634, 0, 0, 0, 0, 366, 64);
INSERT INTO public.who_data VALUES (86635, 0, 0, 0, 0, 366, 199);
INSERT INTO public.who_data VALUES (86636, 0, 0, 0, 0, 366, 114);
INSERT INTO public.who_data VALUES (86637, 0, 0, 0, 0, 366, 60);
INSERT INTO public.who_data VALUES (86638, 0, 0, 0, 0, 366, 68);
INSERT INTO public.who_data VALUES (86639, 0, 0, 0, 0, 366, 158);
INSERT INTO public.who_data VALUES (86640, 0, 0, 0, 0, 366, 52);
INSERT INTO public.who_data VALUES (86641, 0, 0, 0, 0, 366, 117);
INSERT INTO public.who_data VALUES (86642, 0, 0, 0, 0, 366, 126);
INSERT INTO public.who_data VALUES (86643, 0, 0, 0, 0, 366, 196);
INSERT INTO public.who_data VALUES (86644, 0, 0, 0, 0, 366, 142);
INSERT INTO public.who_data VALUES (86645, 0, 0, 0, 0, 366, 185);
INSERT INTO public.who_data VALUES (86646, 0, 0, 0, 0, 366, 138);
INSERT INTO public.who_data VALUES (86647, 0, 0, 0, 0, 366, 181);
INSERT INTO public.who_data VALUES (86648, 0, 0, 0, 0, 366, 178);
INSERT INTO public.who_data VALUES (86649, 0, 0, 0, 0, 366, 168);
INSERT INTO public.who_data VALUES (86650, 0, 0, 0, 0, 366, 160);
INSERT INTO public.who_data VALUES (86651, 0, 5, 0, 0, 366, 151);
INSERT INTO public.who_data VALUES (86652, 0, 0, 0, 0, 366, 193);
INSERT INTO public.who_data VALUES (86653, 0, 0, 0, 0, 366, 18);
INSERT INTO public.who_data VALUES (86654, 0, 0, 0, 0, 366, 40);
INSERT INTO public.who_data VALUES (86655, 0, 0, 0, 0, 366, 218);
INSERT INTO public.who_data VALUES (86656, 0, 0, 0, 0, 366, 191);
INSERT INTO public.who_data VALUES (86657, 0, 0, 0, 0, 366, 156);
INSERT INTO public.who_data VALUES (86658, 0, 0, 0, 0, 366, 135);
INSERT INTO public.who_data VALUES (86659, 0, 0, 0, 0, 366, 88);
INSERT INTO public.who_data VALUES (86660, 0, 0, 0, 0, 366, 55);
INSERT INTO public.who_data VALUES (86661, 0, 0, 0, 0, 366, 108);
INSERT INTO public.who_data VALUES (86662, 0, 0, 0, 0, 366, 48);
INSERT INTO public.who_data VALUES (86663, 0, 0, 0, 0, 366, 3);
INSERT INTO public.who_data VALUES (86664, 0, 638, 0, 2, 366, 224);
INSERT INTO public.who_data VALUES (86665, 0, 0, 0, 0, 366, 110);
INSERT INTO public.who_data VALUES (86666, 0, 0, 0, 0, 366, 106);
INSERT INTO public.who_data VALUES (86667, 0, 0, 0, 0, 366, 89);
INSERT INTO public.who_data VALUES (86668, 0, 0, 0, 0, 366, 121);
INSERT INTO public.who_data VALUES (86669, 0, 0, 0, 0, 366, 163);
INSERT INTO public.who_data VALUES (86670, 0, 0, 0, 0, 366, 70);
INSERT INTO public.who_data VALUES (86671, 0, 7, 0, 1, 366, 174);
INSERT INTO public.who_data VALUES (86672, 0, 0, 0, 0, 366, 175);
INSERT INTO public.who_data VALUES (86673, 0, 0, 0, 0, 366, 118);
INSERT INTO public.who_data VALUES (86674, 0, 0, 0, 0, 366, 189);
INSERT INTO public.who_data VALUES (86675, 0, 0, 0, 0, 366, 124);
INSERT INTO public.who_data VALUES (86676, 0, 0, 0, 0, 366, 192);
INSERT INTO public.who_data VALUES (86677, 100, 208, 0, 1, 366, 41);
INSERT INTO public.who_data VALUES (86678, 0, 0, 0, 0, 366, 95);
INSERT INTO public.who_data VALUES (86679, 0, 0, 0, 0, 366, 74);
INSERT INTO public.who_data VALUES (86680, 0, 0, 0, 0, 366, 11);
INSERT INTO public.who_data VALUES (86681, 0, 2, 0, 0, 366, 87);
INSERT INTO public.who_data VALUES (86682, 0, 0, 0, 0, 366, 214);
INSERT INTO public.who_data VALUES (86683, 0, 0, 0, 0, 366, 116);
INSERT INTO public.who_data VALUES (86684, 0, 0, 0, 0, 366, 157);
INSERT INTO public.who_data VALUES (86685, 0, 0, 0, 0, 366, 182);
INSERT INTO public.who_data VALUES (86686, 0, 0, 0, 0, 366, 186);
INSERT INTO public.who_data VALUES (86687, 0, 0, 0, 0, 366, 127);
INSERT INTO public.who_data VALUES (86688, 0, 0, 0, 0, 366, 232);
INSERT INTO public.who_data VALUES (86689, 0, 0, 0, 0, 366, 33);
INSERT INTO public.who_data VALUES (86690, 0, 0, 0, 0, 366, 97);
INSERT INTO public.who_data VALUES (86691, 0, 0, 0, 0, 366, 42);
INSERT INTO public.who_data VALUES (86692, 0, 0, 0, 0, 366, 198);
INSERT INTO public.who_data VALUES (86693, 0, 0, 0, 0, 366, 216);
INSERT INTO public.who_data VALUES (86694, 0, 0, 0, 0, 366, 164);
INSERT INTO public.who_data VALUES (86695, 0, 0, 0, 0, 366, 235);
INSERT INTO public.who_data VALUES (86696, 0, 0, 0, 0, 366, 67);
INSERT INTO public.who_data VALUES (86697, 0, 0, 0, 0, 366, 15);
INSERT INTO public.who_data VALUES (86698, 0, 0, 0, 0, 366, 180);
INSERT INTO public.who_data VALUES (86699, 1, 90, 0, 0, 366, 237);
INSERT INTO public.who_data VALUES (86700, 0, 0, 0, 0, 366, 25);
INSERT INTO public.who_data VALUES (86701, 0, 0, 0, 0, 366, 209);
INSERT INTO public.who_data VALUES (86702, 0, 0, 0, 0, 366, 217);
INSERT INTO public.who_data VALUES (86703, 0, 0, 0, 0, 366, 79);
INSERT INTO public.who_data VALUES (86704, 0, 0, 0, 0, 366, 143);
INSERT INTO public.who_data VALUES (86705, 0, 0, 0, 0, 366, 229);
INSERT INTO public.who_data VALUES (86706, 0, 0, 0, 0, 366, 141);
INSERT INTO public.who_data VALUES (86707, 0, 0, 0, 0, 366, 197);
INSERT INTO public.who_data VALUES (86708, 0, 29, 0, 1, 366, 221);
INSERT INTO public.who_data VALUES (86709, 0, 5, 0, 0, 366, 150);
INSERT INTO public.who_data VALUES (86710, 0, 0, 0, 0, 366, 56);
INSERT INTO public.who_data VALUES (86711, 0, 0, 0, 0, 366, 167);
INSERT INTO public.who_data VALUES (86712, 0, 1, 0, 0, 366, 23);
INSERT INTO public.who_data VALUES (86713, 0, 0, 0, 0, 366, 222);
INSERT INTO public.who_data VALUES (86714, 0, 0, 0, 0, 366, 219);
INSERT INTO public.who_data VALUES (86715, 0, 0, 0, 0, 366, 7);
INSERT INTO public.who_data VALUES (86716, 0, 39, 0, 0, 366, 161);
INSERT INTO public.who_data VALUES (86717, 0, 10, 0, 0, 366, 149);
INSERT INTO public.who_data VALUES (86718, 0, 0, 0, 0, 366, 6);
INSERT INTO public.who_data VALUES (86719, 0, 0, 0, 0, 366, 139);
INSERT INTO public.who_data VALUES (86720, 0, 0, 0, 0, 366, 211);
INSERT INTO public.who_data VALUES (86721, 0, 0, 0, 0, 366, 14);
INSERT INTO public.who_data VALUES (86722, 0, 0, 0, 0, 366, 111);
INSERT INTO public.who_data VALUES (86723, 0, 0, 0, 0, 366, 207);
INSERT INTO public.who_data VALUES (86724, 0, 0, 0, 0, 366, 66);
INSERT INTO public.who_data VALUES (86725, 0, 0, 0, 0, 366, 173);
INSERT INTO public.who_data VALUES (86726, 0, 0, 0, 0, 366, 145);
INSERT INTO public.who_data VALUES (86727, 0, 0, 0, 0, 366, 65);
INSERT INTO public.who_data VALUES (86728, 0, 0, 0, 0, 366, 184);
INSERT INTO public.who_data VALUES (86729, 0, 0, 0, 0, 366, 98);
INSERT INTO public.who_data VALUES (86730, 2, 15, 0, 0, 366, 104);
INSERT INTO public.who_data VALUES (86731, 0, 0, 0, 0, 366, 73);
INSERT INTO public.who_data VALUES (86732, 19, 38, 0, 0, 366, 8);
INSERT INTO public.who_data VALUES (86733, 0, 0, 0, 0, 366, 227);
INSERT INTO public.who_data VALUES (86734, 0, 0, 0, 0, 366, 75);
INSERT INTO public.who_data VALUES (86735, 0, 0, 0, 0, 366, 45);
INSERT INTO public.who_data VALUES (86736, 0, 0, 0, 0, 366, 133);
INSERT INTO public.who_data VALUES (86737, 0, 0, 0, 0, 366, 202);
INSERT INTO public.who_data VALUES (86738, 0, 20, 0, 0, 366, 129);
INSERT INTO public.who_data VALUES (86739, 0, 0, 0, 0, 366, 36);
INSERT INTO public.who_data VALUES (86740, 0, 0, 0, 0, 366, 51);
INSERT INTO public.who_data VALUES (86741, 0, 0, 0, 0, 366, 206);
INSERT INTO public.who_data VALUES (86742, 0, 0, 0, 0, 366, 5);
INSERT INTO public.who_data VALUES (86743, 0, 0, 0, 0, 367, 103);
INSERT INTO public.who_data VALUES (86744, 0, 0, 0, 0, 367, 58);
INSERT INTO public.who_data VALUES (86745, 0, 0, 0, 0, 367, 195);
INSERT INTO public.who_data VALUES (86746, 0, 0, 0, 0, 367, 115);
INSERT INTO public.who_data VALUES (86747, 0, 0, 0, 0, 367, 99);
INSERT INTO public.who_data VALUES (86748, 0, 0, 0, 0, 367, 153);
INSERT INTO public.who_data VALUES (86749, 0, 0, 0, 0, 367, 93);
INSERT INTO public.who_data VALUES (86750, 0, 0, 0, 0, 367, 84);
INSERT INTO public.who_data VALUES (86751, 0, 0, 0, 0, 367, 78);
INSERT INTO public.who_data VALUES (86752, 0, 0, 0, 0, 367, 170);
INSERT INTO public.who_data VALUES (86753, 0, 0, 0, 0, 367, 32);
INSERT INTO public.who_data VALUES (86754, 0, 19, 0, 0, 367, 155);
INSERT INTO public.who_data VALUES (86755, 0, 0, 0, 0, 367, 82);
INSERT INTO public.who_data VALUES (86756, 0, 0, 0, 0, 367, 16);
INSERT INTO public.who_data VALUES (86757, 0, 0, 0, 0, 367, 72);
INSERT INTO public.who_data VALUES (86758, 0, 0, 0, 0, 367, 43);
INSERT INTO public.who_data VALUES (86759, 0, 0, 0, 0, 367, 120);
INSERT INTO public.who_data VALUES (86760, 0, 0, 0, 0, 367, 213);
INSERT INTO public.who_data VALUES (86761, 0, 0, 0, 0, 367, 31);
INSERT INTO public.who_data VALUES (86762, 0, 1, 0, 0, 367, 204);
INSERT INTO public.who_data VALUES (86763, 0, 0, 0, 0, 367, 152);
INSERT INTO public.who_data VALUES (86764, 0, 0, 0, 0, 367, 144);
INSERT INTO public.who_data VALUES (86765, 0, 0, 0, 0, 367, 96);
INSERT INTO public.who_data VALUES (86766, 0, 0, 0, 0, 367, 47);
INSERT INTO public.who_data VALUES (86767, 0, 0, 0, 0, 367, 80);
INSERT INTO public.who_data VALUES (86768, 0, 0, 0, 0, 367, 159);
INSERT INTO public.who_data VALUES (86769, 0, 0, 0, 0, 367, 27);
INSERT INTO public.who_data VALUES (86770, 0, 0, 0, 0, 367, 146);
INSERT INTO public.who_data VALUES (86771, 0, 0, 0, 0, 367, 71);
INSERT INTO public.who_data VALUES (86772, 0, 0, 0, 0, 367, 210);
INSERT INTO public.who_data VALUES (86773, 0, 0, 0, 0, 367, 54);
INSERT INTO public.who_data VALUES (86774, 0, 0, 0, 0, 367, 147);
INSERT INTO public.who_data VALUES (86775, 0, 0, 0, 0, 367, 2);
INSERT INTO public.who_data VALUES (86776, 0, 0, 0, 0, 367, 105);
INSERT INTO public.who_data VALUES (86777, 0, 0, 0, 0, 367, 53);
INSERT INTO public.who_data VALUES (86778, 0, 5, 0, 0, 367, 81);
INSERT INTO public.who_data VALUES (86779, 0, 0, 0, 0, 367, 223);
INSERT INTO public.who_data VALUES (86780, 0, 12, 0, 0, 367, 94);
INSERT INTO public.who_data VALUES (86781, 0, 0, 0, 0, 367, 154);
INSERT INTO public.who_data VALUES (86782, 0, 0, 0, 0, 367, 83);
INSERT INTO public.who_data VALUES (86783, 0, 0, 0, 0, 367, 194);
INSERT INTO public.who_data VALUES (86784, 0, 0, 0, 0, 367, 136);
INSERT INTO public.who_data VALUES (86785, 396, 74679, 115, 2121, 367, 179);
INSERT INTO public.who_data VALUES (86786, 0, 0, 0, 0, 367, 57);
INSERT INTO public.who_data VALUES (86787, 0, 0, 0, 0, 367, 35);
INSERT INTO public.who_data VALUES (86788, 0, 0, 0, 0, 367, 228);
INSERT INTO public.who_data VALUES (86789, 0, 0, 0, 0, 367, 19);
INSERT INTO public.who_data VALUES (86790, 0, 0, 0, 0, 367, 22);
INSERT INTO public.who_data VALUES (86791, 0, 0, 0, 0, 367, 1);
INSERT INTO public.who_data VALUES (86792, 0, 0, 0, 0, 367, 21);
INSERT INTO public.who_data VALUES (86793, 0, 0, 0, 0, 367, 234);
INSERT INTO public.who_data VALUES (86794, 0, 0, 0, 0, 367, 91);
INSERT INTO public.who_data VALUES (86795, 0, 0, 0, 0, 367, 137);
INSERT INTO public.who_data VALUES (86796, 0, 0, 0, 0, 367, 201);
INSERT INTO public.who_data VALUES (86797, 0, 0, 0, 0, 367, 171);
INSERT INTO public.who_data VALUES (86798, 0, 0, 0, 0, 367, 92);
INSERT INTO public.who_data VALUES (86799, 0, 0, 0, 0, 367, 112);
INSERT INTO public.who_data VALUES (86800, 0, 0, 0, 0, 367, 62);
INSERT INTO public.who_data VALUES (86801, 0, 0, 0, 0, 367, 69);
INSERT INTO public.who_data VALUES (86802, 0, 0, 0, 0, 367, 220);
INSERT INTO public.who_data VALUES (86803, 0, 0, 0, 0, 367, 100);
INSERT INTO public.who_data VALUES (86804, 0, 5, 0, 0, 367, 187);
INSERT INTO public.who_data VALUES (86805, 0, 0, 0, 0, 367, 63);
INSERT INTO public.who_data VALUES (86806, 0, 0, 0, 0, 367, 28);
INSERT INTO public.who_data VALUES (86807, 0, 0, 0, 0, 367, 172);
INSERT INTO public.who_data VALUES (86808, 0, 0, 0, 0, 367, 17);
INSERT INTO public.who_data VALUES (86809, 0, 0, 0, 0, 367, 226);
INSERT INTO public.who_data VALUES (86810, 0, 0, 0, 0, 367, 236);
INSERT INTO public.who_data VALUES (86811, 0, 0, 0, 0, 367, 76);
INSERT INTO public.who_data VALUES (86812, 0, 0, 0, 0, 367, 30);
INSERT INTO public.who_data VALUES (86813, 0, 0, 0, 0, 367, 128);
INSERT INTO public.who_data VALUES (86814, 0, 1, 0, 0, 367, 86);
INSERT INTO public.who_data VALUES (86815, 0, 12, 0, 1, 367, 140);
INSERT INTO public.who_data VALUES (86816, 0, 0, 0, 0, 367, 44);
INSERT INTO public.who_data VALUES (86817, 0, 0, 0, 0, 367, 113);
INSERT INTO public.who_data VALUES (86818, 0, 0, 0, 0, 367, 29);
INSERT INTO public.who_data VALUES (86819, 0, 0, 0, 0, 367, 125);
INSERT INTO public.who_data VALUES (86820, 0, 0, 0, 0, 367, 131);
INSERT INTO public.who_data VALUES (86821, 0, 15, 0, 0, 367, 46);
INSERT INTO public.who_data VALUES (86822, 0, 0, 0, 0, 367, 10);
INSERT INTO public.who_data VALUES (86823, 0, 0, 0, 0, 367, 205);
INSERT INTO public.who_data VALUES (86824, 0, 0, 0, 0, 367, 50);
INSERT INTO public.who_data VALUES (86825, 0, 0, 0, 0, 367, 20);
INSERT INTO public.who_data VALUES (86826, 0, 0, 0, 0, 367, 13);
INSERT INTO public.who_data VALUES (86827, 0, 0, 0, 0, 367, 148);
INSERT INTO public.who_data VALUES (86828, 0, 0, 0, 0, 367, 230);
INSERT INTO public.who_data VALUES (86829, 0, 0, 0, 0, 367, 190);
INSERT INTO public.who_data VALUES (86830, 0, 0, 0, 0, 367, 188);
INSERT INTO public.who_data VALUES (86831, 0, 0, 0, 0, 367, 123);
INSERT INTO public.who_data VALUES (86832, 0, 0, 0, 0, 367, 9);
INSERT INTO public.who_data VALUES (86833, 0, 0, 0, 0, 367, 102);
INSERT INTO public.who_data VALUES (86834, 0, 0, 0, 0, 367, 34);
INSERT INTO public.who_data VALUES (86835, 0, 0, 0, 0, 367, 212);
INSERT INTO public.who_data VALUES (86836, 0, 0, 0, 0, 367, 122);
INSERT INTO public.who_data VALUES (86837, 0, 0, 0, 0, 367, 38);
INSERT INTO public.who_data VALUES (86838, 0, 0, 0, 0, 367, 130);
INSERT INTO public.who_data VALUES (86839, 0, 7, 0, 0, 367, 37);
INSERT INTO public.who_data VALUES (86840, 0, 0, 0, 0, 367, 231);
INSERT INTO public.who_data VALUES (86841, 3, 9, 0, 2, 367, 107);
INSERT INTO public.who_data VALUES (86842, 0, 0, 0, 0, 367, 101);
INSERT INTO public.who_data VALUES (86843, 0, 0, 0, 0, 367, 132);
INSERT INTO public.who_data VALUES (86844, 0, 0, 0, 0, 367, 176);
INSERT INTO public.who_data VALUES (86845, 0, 0, 0, 0, 367, 200);
INSERT INTO public.who_data VALUES (86846, 0, 3, 0, 0, 367, 169);
INSERT INTO public.who_data VALUES (86847, 0, 0, 0, 0, 367, 225);
INSERT INTO public.who_data VALUES (86848, 20, 97, 0, 1, 367, 165);
INSERT INTO public.who_data VALUES (86849, 0, 0, 0, 0, 367, 233);
INSERT INTO public.who_data VALUES (86850, 0, 0, 0, 0, 367, 215);
INSERT INTO public.who_data VALUES (86851, 0, 0, 0, 0, 367, 177);
INSERT INTO public.who_data VALUES (86852, 0, 0, 0, 0, 367, 183);
INSERT INTO public.who_data VALUES (86853, 0, 0, 0, 0, 367, 203);
INSERT INTO public.who_data VALUES (86854, 0, 0, 0, 0, 367, 162);
INSERT INTO public.who_data VALUES (86855, 0, 0, 0, 0, 367, 12);
INSERT INTO public.who_data VALUES (86856, 0, 0, 0, 0, 367, 24);
INSERT INTO public.who_data VALUES (86857, 0, 0, 0, 0, 367, 119);
INSERT INTO public.who_data VALUES (86858, 0, 0, 0, 0, 367, 39);
INSERT INTO public.who_data VALUES (86859, 0, 0, 0, 0, 367, 26);
INSERT INTO public.who_data VALUES (86860, 0, 0, 0, 0, 367, 59);
INSERT INTO public.who_data VALUES (86861, 0, 0, 0, 0, 367, 77);
INSERT INTO public.who_data VALUES (86862, 0, 0, 0, 0, 367, 134);
INSERT INTO public.who_data VALUES (86863, 0, 0, 0, 0, 367, 4);
INSERT INTO public.who_data VALUES (86864, 0, 0, 0, 0, 367, 109);
INSERT INTO public.who_data VALUES (86865, 0, 0, 0, 0, 367, 90);
INSERT INTO public.who_data VALUES (86866, 0, 0, 0, 0, 367, 61);
INSERT INTO public.who_data VALUES (86867, 0, 0, 0, 0, 367, 85);
INSERT INTO public.who_data VALUES (86868, 0, 26, 0, 0, 367, 49);
INSERT INTO public.who_data VALUES (86869, 0, 0, 0, 0, 367, 208);
INSERT INTO public.who_data VALUES (86870, 0, 0, 0, 0, 367, 166);
INSERT INTO public.who_data VALUES (86871, 0, 0, 0, 0, 367, 64);
INSERT INTO public.who_data VALUES (86872, 0, 0, 0, 0, 367, 199);
INSERT INTO public.who_data VALUES (86873, 0, 0, 0, 0, 367, 114);
INSERT INTO public.who_data VALUES (86874, 0, 0, 0, 0, 367, 60);
INSERT INTO public.who_data VALUES (86875, 0, 0, 0, 0, 367, 68);
INSERT INTO public.who_data VALUES (86876, 0, 0, 0, 0, 367, 158);
INSERT INTO public.who_data VALUES (86877, 0, 0, 0, 0, 367, 52);
INSERT INTO public.who_data VALUES (86878, 0, 0, 0, 0, 367, 117);
INSERT INTO public.who_data VALUES (86879, 0, 0, 0, 0, 367, 126);
INSERT INTO public.who_data VALUES (86880, 0, 0, 0, 0, 367, 196);
INSERT INTO public.who_data VALUES (86881, 0, 0, 0, 0, 367, 142);
INSERT INTO public.who_data VALUES (86882, 0, 0, 0, 0, 367, 185);
INSERT INTO public.who_data VALUES (86883, 0, 0, 0, 0, 367, 138);
INSERT INTO public.who_data VALUES (86884, 0, 0, 0, 0, 367, 181);
INSERT INTO public.who_data VALUES (86885, 0, 0, 0, 0, 367, 178);
INSERT INTO public.who_data VALUES (86886, 0, 0, 0, 0, 367, 168);
INSERT INTO public.who_data VALUES (86887, 0, 0, 0, 0, 367, 160);
INSERT INTO public.who_data VALUES (86888, 0, 5, 0, 0, 367, 151);
INSERT INTO public.who_data VALUES (86889, 0, 0, 0, 0, 367, 193);
INSERT INTO public.who_data VALUES (86890, 0, 0, 0, 0, 367, 18);
INSERT INTO public.who_data VALUES (86891, 0, 0, 0, 0, 367, 40);
INSERT INTO public.who_data VALUES (86892, 0, 0, 0, 0, 367, 218);
INSERT INTO public.who_data VALUES (86893, 0, 0, 0, 0, 367, 191);
INSERT INTO public.who_data VALUES (86894, 0, 0, 0, 0, 367, 156);
INSERT INTO public.who_data VALUES (86895, 0, 0, 0, 0, 367, 135);
INSERT INTO public.who_data VALUES (86896, 0, 0, 0, 0, 367, 88);
INSERT INTO public.who_data VALUES (86897, 0, 0, 0, 0, 367, 55);
INSERT INTO public.who_data VALUES (86898, 0, 0, 0, 0, 367, 108);
INSERT INTO public.who_data VALUES (86899, 0, 0, 0, 0, 367, 48);
INSERT INTO public.who_data VALUES (86900, 0, 0, 0, 0, 367, 3);
INSERT INTO public.who_data VALUES (86901, 13, 638, 2, 2, 367, 224);
INSERT INTO public.who_data VALUES (86902, 0, 0, 0, 0, 367, 110);
INSERT INTO public.who_data VALUES (86903, 0, 0, 0, 0, 367, 106);
INSERT INTO public.who_data VALUES (86904, 0, 0, 0, 0, 367, 89);
INSERT INTO public.who_data VALUES (86905, 0, 0, 0, 0, 367, 121);
INSERT INTO public.who_data VALUES (86906, 0, 0, 0, 0, 367, 163);
INSERT INTO public.who_data VALUES (86907, 0, 0, 0, 0, 367, 70);
INSERT INTO public.who_data VALUES (86908, 0, 7, 0, 1, 367, 174);
INSERT INTO public.who_data VALUES (86909, 0, 0, 0, 0, 367, 175);
INSERT INTO public.who_data VALUES (86910, 0, 0, 0, 0, 367, 118);
INSERT INTO public.who_data VALUES (86911, 0, 0, 0, 0, 367, 189);
INSERT INTO public.who_data VALUES (86912, 0, 0, 0, 0, 367, 124);
INSERT INTO public.who_data VALUES (86913, 0, 0, 0, 0, 367, 192);
INSERT INTO public.who_data VALUES (86914, 53, 108, 1, 1, 367, 41);
INSERT INTO public.who_data VALUES (86915, 0, 0, 0, 0, 367, 95);
INSERT INTO public.who_data VALUES (86916, 0, 0, 0, 0, 367, 74);
INSERT INTO public.who_data VALUES (86917, 0, 0, 0, 0, 367, 11);
INSERT INTO public.who_data VALUES (86918, 0, 2, 0, 0, 367, 87);
INSERT INTO public.who_data VALUES (86919, 0, 0, 0, 0, 367, 214);
INSERT INTO public.who_data VALUES (86920, 0, 0, 0, 0, 367, 116);
INSERT INTO public.who_data VALUES (86921, 0, 0, 0, 0, 367, 157);
INSERT INTO public.who_data VALUES (86922, 0, 0, 0, 0, 367, 182);
INSERT INTO public.who_data VALUES (86923, 0, 0, 0, 0, 367, 186);
INSERT INTO public.who_data VALUES (86924, 0, 0, 0, 0, 367, 127);
INSERT INTO public.who_data VALUES (86925, 0, 0, 0, 0, 367, 232);
INSERT INTO public.who_data VALUES (86926, 0, 0, 0, 0, 367, 33);
INSERT INTO public.who_data VALUES (86927, 0, 0, 0, 0, 367, 97);
INSERT INTO public.who_data VALUES (86928, 0, 0, 0, 0, 367, 42);
INSERT INTO public.who_data VALUES (86929, 0, 0, 0, 0, 367, 198);
INSERT INTO public.who_data VALUES (86930, 0, 0, 0, 0, 367, 216);
INSERT INTO public.who_data VALUES (86931, 0, 0, 0, 0, 367, 164);
INSERT INTO public.who_data VALUES (86932, 0, 0, 0, 0, 367, 235);
INSERT INTO public.who_data VALUES (86933, 0, 0, 0, 0, 367, 67);
INSERT INTO public.who_data VALUES (86934, 0, 0, 0, 0, 367, 15);
INSERT INTO public.who_data VALUES (86935, 0, 0, 0, 0, 367, 180);
INSERT INTO public.who_data VALUES (86936, 1, 89, 0, 0, 367, 237);
INSERT INTO public.who_data VALUES (86937, 0, 0, 0, 0, 367, 25);
INSERT INTO public.who_data VALUES (86938, 0, 0, 0, 0, 367, 209);
INSERT INTO public.who_data VALUES (86939, 0, 0, 0, 0, 367, 217);
INSERT INTO public.who_data VALUES (86940, 0, 0, 0, 0, 367, 79);
INSERT INTO public.who_data VALUES (86941, 0, 0, 0, 0, 367, 143);
INSERT INTO public.who_data VALUES (86942, 0, 0, 0, 0, 367, 229);
INSERT INTO public.who_data VALUES (86943, 0, 0, 0, 0, 367, 141);
INSERT INTO public.who_data VALUES (86944, 0, 0, 0, 0, 367, 197);
INSERT INTO public.who_data VALUES (86945, 0, 29, 0, 1, 367, 221);
INSERT INTO public.who_data VALUES (86946, 0, 5, 0, 0, 367, 150);
INSERT INTO public.who_data VALUES (86947, 0, 0, 0, 0, 367, 56);
INSERT INTO public.who_data VALUES (86948, 0, 0, 0, 0, 367, 167);
INSERT INTO public.who_data VALUES (86949, 0, 1, 0, 0, 367, 23);
INSERT INTO public.who_data VALUES (86950, 0, 0, 0, 0, 367, 222);
INSERT INTO public.who_data VALUES (86951, 0, 0, 0, 0, 367, 219);
INSERT INTO public.who_data VALUES (86952, 0, 0, 0, 0, 367, 7);
INSERT INTO public.who_data VALUES (86953, 0, 39, 0, 0, 367, 161);
INSERT INTO public.who_data VALUES (86954, 0, 10, 0, 0, 367, 149);
INSERT INTO public.who_data VALUES (86955, 0, 0, 0, 0, 367, 6);
INSERT INTO public.who_data VALUES (86956, 0, 0, 0, 0, 367, 139);
INSERT INTO public.who_data VALUES (86957, 0, 0, 0, 0, 367, 211);
INSERT INTO public.who_data VALUES (86958, 0, 0, 0, 0, 367, 14);
INSERT INTO public.who_data VALUES (86959, 0, 0, 0, 0, 367, 111);
INSERT INTO public.who_data VALUES (86960, 0, 0, 0, 0, 367, 207);
INSERT INTO public.who_data VALUES (86961, 0, 0, 0, 0, 367, 66);
INSERT INTO public.who_data VALUES (86962, 0, 0, 0, 0, 367, 173);
INSERT INTO public.who_data VALUES (86963, 0, 0, 0, 0, 367, 145);
INSERT INTO public.who_data VALUES (86964, 0, 0, 0, 0, 367, 65);
INSERT INTO public.who_data VALUES (86965, 0, 0, 0, 0, 367, 184);
INSERT INTO public.who_data VALUES (86966, 0, 0, 0, 0, 367, 98);
INSERT INTO public.who_data VALUES (86967, 0, 13, 0, 0, 367, 104);
INSERT INTO public.who_data VALUES (86968, 0, 0, 0, 0, 367, 73);
INSERT INTO public.who_data VALUES (86969, 0, 19, 0, 0, 367, 8);
INSERT INTO public.who_data VALUES (86970, 0, 0, 0, 0, 367, 227);
INSERT INTO public.who_data VALUES (86971, 0, 0, 0, 0, 367, 75);
INSERT INTO public.who_data VALUES (86972, 0, 0, 0, 0, 367, 45);
INSERT INTO public.who_data VALUES (86973, 0, 0, 0, 0, 367, 133);
INSERT INTO public.who_data VALUES (86974, 0, 0, 0, 0, 367, 202);
INSERT INTO public.who_data VALUES (86975, 0, 20, 0, 0, 367, 129);
INSERT INTO public.who_data VALUES (86976, 0, 0, 0, 0, 367, 36);
INSERT INTO public.who_data VALUES (86977, 0, 0, 0, 0, 367, 51);
INSERT INTO public.who_data VALUES (86978, 0, 0, 0, 0, 367, 206);
INSERT INTO public.who_data VALUES (86979, 0, 0, 0, 0, 367, 5);
INSERT INTO public.who_data VALUES (86980, 0, 0, 0, 0, 368, 103);
INSERT INTO public.who_data VALUES (86981, 0, 0, 0, 0, 368, 58);
INSERT INTO public.who_data VALUES (86982, 0, 0, 0, 0, 368, 195);
INSERT INTO public.who_data VALUES (86983, 0, 0, 0, 0, 368, 115);
INSERT INTO public.who_data VALUES (86984, 0, 0, 0, 0, 368, 99);
INSERT INTO public.who_data VALUES (86985, 0, 0, 0, 0, 368, 153);
INSERT INTO public.who_data VALUES (86986, 0, 0, 0, 0, 368, 93);
INSERT INTO public.who_data VALUES (86987, 0, 0, 0, 0, 368, 84);
INSERT INTO public.who_data VALUES (86988, 0, 0, 0, 0, 368, 78);
INSERT INTO public.who_data VALUES (86989, 0, 0, 0, 0, 368, 170);
INSERT INTO public.who_data VALUES (86990, 0, 0, 0, 0, 368, 32);
INSERT INTO public.who_data VALUES (86991, 0, 19, 0, 0, 368, 155);
INSERT INTO public.who_data VALUES (86992, 0, 0, 0, 0, 368, 82);
INSERT INTO public.who_data VALUES (86993, 0, 0, 0, 0, 368, 16);
INSERT INTO public.who_data VALUES (86994, 0, 0, 0, 0, 368, 72);
INSERT INTO public.who_data VALUES (86995, 0, 0, 0, 0, 368, 43);
INSERT INTO public.who_data VALUES (86996, 0, 0, 0, 0, 368, 120);
INSERT INTO public.who_data VALUES (86997, 0, 0, 0, 0, 368, 213);
INSERT INTO public.who_data VALUES (86998, 0, 0, 0, 0, 368, 31);
INSERT INTO public.who_data VALUES (86999, 0, 1, 0, 0, 368, 204);
INSERT INTO public.who_data VALUES (87000, 0, 0, 0, 0, 368, 152);
INSERT INTO public.who_data VALUES (87001, 0, 0, 0, 0, 368, 144);
INSERT INTO public.who_data VALUES (87002, 0, 0, 0, 0, 368, 96);
INSERT INTO public.who_data VALUES (87003, 0, 0, 0, 0, 368, 47);
INSERT INTO public.who_data VALUES (87004, 0, 0, 0, 0, 368, 80);
INSERT INTO public.who_data VALUES (87005, 0, 0, 0, 0, 368, 159);
INSERT INTO public.who_data VALUES (87006, 0, 0, 0, 0, 368, 27);
INSERT INTO public.who_data VALUES (87007, 0, 0, 0, 0, 368, 146);
INSERT INTO public.who_data VALUES (87008, 0, 0, 0, 0, 368, 71);
INSERT INTO public.who_data VALUES (87009, 0, 0, 0, 0, 368, 210);
INSERT INTO public.who_data VALUES (87010, 0, 0, 0, 0, 368, 54);
INSERT INTO public.who_data VALUES (87011, 0, 0, 0, 0, 368, 147);
INSERT INTO public.who_data VALUES (87012, 0, 0, 0, 0, 368, 2);
INSERT INTO public.who_data VALUES (87013, 0, 0, 0, 0, 368, 105);
INSERT INTO public.who_data VALUES (87014, 0, 0, 0, 0, 368, 53);
INSERT INTO public.who_data VALUES (87015, 0, 5, 0, 0, 368, 81);
INSERT INTO public.who_data VALUES (87016, 0, 0, 0, 0, 368, 223);
INSERT INTO public.who_data VALUES (87017, 0, 12, 0, 0, 368, 94);
INSERT INTO public.who_data VALUES (87018, 0, 0, 0, 0, 368, 154);
INSERT INTO public.who_data VALUES (87019, 0, 0, 0, 0, 368, 83);
INSERT INTO public.who_data VALUES (87020, 0, 0, 0, 0, 368, 194);
INSERT INTO public.who_data VALUES (87021, 0, 0, 0, 0, 368, 136);
INSERT INTO public.who_data VALUES (87022, 1751, 74283, 136, 2006, 368, 179);
INSERT INTO public.who_data VALUES (87023, 0, 0, 0, 0, 368, 57);
INSERT INTO public.who_data VALUES (87024, 0, 0, 0, 0, 368, 35);
INSERT INTO public.who_data VALUES (87025, 0, 0, 0, 0, 368, 228);
INSERT INTO public.who_data VALUES (87026, 0, 0, 0, 0, 368, 19);
INSERT INTO public.who_data VALUES (87027, 0, 0, 0, 0, 368, 22);
INSERT INTO public.who_data VALUES (87028, 0, 0, 0, 0, 368, 1);
INSERT INTO public.who_data VALUES (87029, 0, 0, 0, 0, 368, 21);
INSERT INTO public.who_data VALUES (87030, 0, 0, 0, 0, 368, 234);
INSERT INTO public.who_data VALUES (87031, 0, 0, 0, 0, 368, 91);
INSERT INTO public.who_data VALUES (87032, 0, 0, 0, 0, 368, 137);
INSERT INTO public.who_data VALUES (87033, 0, 0, 0, 0, 368, 201);
INSERT INTO public.who_data VALUES (87034, 0, 0, 0, 0, 368, 171);
INSERT INTO public.who_data VALUES (87035, 0, 0, 0, 0, 368, 92);
INSERT INTO public.who_data VALUES (87036, 0, 0, 0, 0, 368, 112);
INSERT INTO public.who_data VALUES (87037, 0, 0, 0, 0, 368, 62);
INSERT INTO public.who_data VALUES (87038, 0, 0, 0, 0, 368, 69);
INSERT INTO public.who_data VALUES (87039, 0, 0, 0, 0, 368, 220);
INSERT INTO public.who_data VALUES (87040, 0, 0, 0, 0, 368, 100);
INSERT INTO public.who_data VALUES (87041, 0, 5, 0, 0, 368, 187);
INSERT INTO public.who_data VALUES (87042, 0, 0, 0, 0, 368, 63);
INSERT INTO public.who_data VALUES (87043, 0, 0, 0, 0, 368, 28);
INSERT INTO public.who_data VALUES (87044, 0, 0, 0, 0, 368, 172);
INSERT INTO public.who_data VALUES (87045, 0, 0, 0, 0, 368, 17);
INSERT INTO public.who_data VALUES (87046, 0, 0, 0, 0, 368, 226);
INSERT INTO public.who_data VALUES (87047, 0, 0, 0, 0, 368, 236);
INSERT INTO public.who_data VALUES (87048, 0, 0, 0, 0, 368, 76);
INSERT INTO public.who_data VALUES (87049, 0, 0, 0, 0, 368, 30);
INSERT INTO public.who_data VALUES (87050, 0, 0, 0, 0, 368, 128);
INSERT INTO public.who_data VALUES (87051, 0, 1, 0, 0, 368, 86);
INSERT INTO public.who_data VALUES (87052, 0, 12, 0, 1, 368, 140);
INSERT INTO public.who_data VALUES (87053, 0, 0, 0, 0, 368, 44);
INSERT INTO public.who_data VALUES (87054, 0, 0, 0, 0, 368, 113);
INSERT INTO public.who_data VALUES (87055, 0, 0, 0, 0, 368, 29);
INSERT INTO public.who_data VALUES (87056, 0, 0, 0, 0, 368, 125);
INSERT INTO public.who_data VALUES (87057, 0, 0, 0, 0, 368, 131);
INSERT INTO public.who_data VALUES (87058, 0, 15, 0, 0, 368, 46);
INSERT INTO public.who_data VALUES (87059, 0, 0, 0, 0, 368, 10);
INSERT INTO public.who_data VALUES (87060, 0, 0, 0, 0, 368, 205);
INSERT INTO public.who_data VALUES (87061, 0, 0, 0, 0, 368, 50);
INSERT INTO public.who_data VALUES (87062, 0, 0, 0, 0, 368, 20);
INSERT INTO public.who_data VALUES (87063, 0, 0, 0, 0, 368, 13);
INSERT INTO public.who_data VALUES (87064, 0, 0, 0, 0, 368, 148);
INSERT INTO public.who_data VALUES (87065, 0, 0, 0, 0, 368, 230);
INSERT INTO public.who_data VALUES (87066, 0, 0, 0, 0, 368, 190);
INSERT INTO public.who_data VALUES (87067, 0, 0, 0, 0, 368, 188);
INSERT INTO public.who_data VALUES (87068, 0, 0, 0, 0, 368, 123);
INSERT INTO public.who_data VALUES (87069, 0, 0, 0, 0, 368, 9);
INSERT INTO public.who_data VALUES (87070, 0, 0, 0, 0, 368, 102);
INSERT INTO public.who_data VALUES (87071, 0, 0, 0, 0, 368, 34);
INSERT INTO public.who_data VALUES (87072, 0, 0, 0, 0, 368, 212);
INSERT INTO public.who_data VALUES (87073, 0, 0, 0, 0, 368, 122);
INSERT INTO public.who_data VALUES (87074, 0, 0, 0, 0, 368, 38);
INSERT INTO public.who_data VALUES (87075, 0, 0, 0, 0, 368, 130);
INSERT INTO public.who_data VALUES (87076, 0, 7, 0, 0, 368, 37);
INSERT INTO public.who_data VALUES (87077, 0, 0, 0, 0, 368, 231);
INSERT INTO public.who_data VALUES (87078, 6, 6, 2, 2, 368, 107);
INSERT INTO public.who_data VALUES (87079, 0, 0, 0, 0, 368, 101);
INSERT INTO public.who_data VALUES (87080, 0, 0, 0, 0, 368, 132);
INSERT INTO public.who_data VALUES (87081, 0, 0, 0, 0, 368, 176);
INSERT INTO public.who_data VALUES (87082, 0, 0, 0, 0, 368, 200);
INSERT INTO public.who_data VALUES (87083, 0, 3, 0, 0, 368, 169);
INSERT INTO public.who_data VALUES (87084, 0, 0, 0, 0, 368, 225);
INSERT INTO public.who_data VALUES (87085, 1, 77, 0, 1, 368, 165);
INSERT INTO public.who_data VALUES (87086, 0, 0, 0, 0, 368, 233);
INSERT INTO public.who_data VALUES (87087, 0, 0, 0, 0, 368, 215);
INSERT INTO public.who_data VALUES (87088, 0, 0, 0, 0, 368, 177);
INSERT INTO public.who_data VALUES (87089, 0, 0, 0, 0, 368, 183);
INSERT INTO public.who_data VALUES (87090, 0, 0, 0, 0, 368, 203);
INSERT INTO public.who_data VALUES (87091, 0, 0, 0, 0, 368, 162);
INSERT INTO public.who_data VALUES (87092, 0, 0, 0, 0, 368, 12);
INSERT INTO public.who_data VALUES (87093, 0, 0, 0, 0, 368, 24);
INSERT INTO public.who_data VALUES (87094, 0, 0, 0, 0, 368, 119);
INSERT INTO public.who_data VALUES (87095, 0, 0, 0, 0, 368, 39);
INSERT INTO public.who_data VALUES (87096, 0, 0, 0, 0, 368, 26);
INSERT INTO public.who_data VALUES (87097, 0, 0, 0, 0, 368, 59);
INSERT INTO public.who_data VALUES (87098, 0, 0, 0, 0, 368, 77);
INSERT INTO public.who_data VALUES (87099, 0, 0, 0, 0, 368, 134);
INSERT INTO public.who_data VALUES (87100, 0, 0, 0, 0, 368, 4);
INSERT INTO public.who_data VALUES (87101, 0, 0, 0, 0, 368, 109);
INSERT INTO public.who_data VALUES (87102, 0, 0, 0, 0, 368, 90);
INSERT INTO public.who_data VALUES (87103, 0, 0, 0, 0, 368, 61);
INSERT INTO public.who_data VALUES (87104, 0, 0, 0, 0, 368, 85);
INSERT INTO public.who_data VALUES (87105, 0, 26, 0, 0, 368, 49);
INSERT INTO public.who_data VALUES (87106, 0, 0, 0, 0, 368, 208);
INSERT INTO public.who_data VALUES (87107, 0, 0, 0, 0, 368, 166);
INSERT INTO public.who_data VALUES (87108, 0, 0, 0, 0, 368, 64);
INSERT INTO public.who_data VALUES (87109, 0, 0, 0, 0, 368, 199);
INSERT INTO public.who_data VALUES (87110, 0, 0, 0, 0, 368, 114);
INSERT INTO public.who_data VALUES (87111, 0, 0, 0, 0, 368, 60);
INSERT INTO public.who_data VALUES (87112, 0, 0, 0, 0, 368, 68);
INSERT INTO public.who_data VALUES (87113, 0, 0, 0, 0, 368, 158);
INSERT INTO public.who_data VALUES (87114, 0, 0, 0, 0, 368, 52);
INSERT INTO public.who_data VALUES (87115, 0, 0, 0, 0, 368, 117);
INSERT INTO public.who_data VALUES (87116, 0, 0, 0, 0, 368, 126);
INSERT INTO public.who_data VALUES (87117, 0, 0, 0, 0, 368, 196);
INSERT INTO public.who_data VALUES (87118, 0, 0, 0, 0, 368, 142);
INSERT INTO public.who_data VALUES (87119, 0, 0, 0, 0, 368, 185);
INSERT INTO public.who_data VALUES (87120, 0, 0, 0, 0, 368, 138);
INSERT INTO public.who_data VALUES (87121, 0, 0, 0, 0, 368, 181);
INSERT INTO public.who_data VALUES (87122, 0, 0, 0, 0, 368, 178);
INSERT INTO public.who_data VALUES (87123, 0, 0, 0, 0, 368, 168);
INSERT INTO public.who_data VALUES (87124, 0, 0, 0, 0, 368, 160);
INSERT INTO public.who_data VALUES (87125, 0, 5, 0, 0, 368, 151);
INSERT INTO public.who_data VALUES (87126, 0, 0, 0, 0, 368, 193);
INSERT INTO public.who_data VALUES (87127, 0, 0, 0, 0, 368, 18);
INSERT INTO public.who_data VALUES (87128, 0, 0, 0, 0, 368, 40);
INSERT INTO public.who_data VALUES (87129, 0, 0, 0, 0, 368, 218);
INSERT INTO public.who_data VALUES (87130, 0, 0, 0, 0, 368, 191);
INSERT INTO public.who_data VALUES (87131, 0, 0, 0, 0, 368, 156);
INSERT INTO public.who_data VALUES (87132, 0, 0, 0, 0, 368, 135);
INSERT INTO public.who_data VALUES (87133, 0, 0, 0, 0, 368, 88);
INSERT INTO public.who_data VALUES (87134, 0, 0, 0, 0, 368, 55);
INSERT INTO public.who_data VALUES (87135, 0, 0, 0, 0, 368, 108);
INSERT INTO public.who_data VALUES (87136, 0, 0, 0, 0, 368, 48);
INSERT INTO public.who_data VALUES (87137, 0, 0, 0, 0, 368, 3);
INSERT INTO public.who_data VALUES (87138, 79, 625, 0, 0, 368, 224);
INSERT INTO public.who_data VALUES (87139, 0, 0, 0, 0, 368, 110);
INSERT INTO public.who_data VALUES (87140, 0, 0, 0, 0, 368, 106);
INSERT INTO public.who_data VALUES (87141, 0, 0, 0, 0, 368, 89);
INSERT INTO public.who_data VALUES (87142, 0, 0, 0, 0, 368, 121);
INSERT INTO public.who_data VALUES (87143, 0, 0, 0, 0, 368, 163);
INSERT INTO public.who_data VALUES (87144, 0, 0, 0, 0, 368, 70);
INSERT INTO public.who_data VALUES (87145, 0, 7, 0, 1, 368, 174);
INSERT INTO public.who_data VALUES (87146, 0, 0, 0, 0, 368, 175);
INSERT INTO public.who_data VALUES (87147, 0, 0, 0, 0, 368, 118);
INSERT INTO public.who_data VALUES (87148, 0, 0, 0, 0, 368, 189);
INSERT INTO public.who_data VALUES (87149, 0, 0, 0, 0, 368, 124);
INSERT INTO public.who_data VALUES (87150, 0, 0, 0, 0, 368, 192);
INSERT INTO public.who_data VALUES (87151, 20, 55, 0, 0, 368, 41);
INSERT INTO public.who_data VALUES (87152, 0, 0, 0, 0, 368, 95);
INSERT INTO public.who_data VALUES (87153, 0, 0, 0, 0, 368, 74);
INSERT INTO public.who_data VALUES (87154, 0, 0, 0, 0, 368, 11);
INSERT INTO public.who_data VALUES (87155, 0, 2, 0, 0, 368, 87);
INSERT INTO public.who_data VALUES (87156, 0, 0, 0, 0, 368, 214);
INSERT INTO public.who_data VALUES (87157, 0, 0, 0, 0, 368, 116);
INSERT INTO public.who_data VALUES (87158, 0, 0, 0, 0, 368, 157);
INSERT INTO public.who_data VALUES (87159, 0, 0, 0, 0, 368, 182);
INSERT INTO public.who_data VALUES (87160, 0, 0, 0, 0, 368, 186);
INSERT INTO public.who_data VALUES (87161, 0, 0, 0, 0, 368, 127);
INSERT INTO public.who_data VALUES (87162, 0, 0, 0, 0, 368, 232);
INSERT INTO public.who_data VALUES (87163, 0, 0, 0, 0, 368, 33);
INSERT INTO public.who_data VALUES (87164, 0, 0, 0, 0, 368, 97);
INSERT INTO public.who_data VALUES (87165, 0, 0, 0, 0, 368, 42);
INSERT INTO public.who_data VALUES (87166, 0, 0, 0, 0, 368, 198);
INSERT INTO public.who_data VALUES (87167, 0, 0, 0, 0, 368, 216);
INSERT INTO public.who_data VALUES (87168, 0, 0, 0, 0, 368, 164);
INSERT INTO public.who_data VALUES (87169, 0, 0, 0, 0, 368, 235);
INSERT INTO public.who_data VALUES (87170, 0, 0, 0, 0, 368, 67);
INSERT INTO public.who_data VALUES (87171, 0, 0, 0, 0, 368, 15);
INSERT INTO public.who_data VALUES (87172, 0, 0, 0, 0, 368, 180);
INSERT INTO public.who_data VALUES (87173, 3, 88, 0, 0, 368, 237);
INSERT INTO public.who_data VALUES (87174, 0, 0, 0, 0, 368, 25);
INSERT INTO public.who_data VALUES (87175, 0, 0, 0, 0, 368, 209);
INSERT INTO public.who_data VALUES (87176, 0, 0, 0, 0, 368, 217);
INSERT INTO public.who_data VALUES (87177, 0, 0, 0, 0, 368, 79);
INSERT INTO public.who_data VALUES (87178, 0, 0, 0, 0, 368, 143);
INSERT INTO public.who_data VALUES (87179, 0, 0, 0, 0, 368, 229);
INSERT INTO public.who_data VALUES (87180, 0, 0, 0, 0, 368, 141);
INSERT INTO public.who_data VALUES (87181, 0, 0, 0, 0, 368, 197);
INSERT INTO public.who_data VALUES (87182, 0, 29, 0, 1, 368, 221);
INSERT INTO public.who_data VALUES (87183, 0, 5, 0, 0, 368, 150);
INSERT INTO public.who_data VALUES (87184, 0, 0, 0, 0, 368, 56);
INSERT INTO public.who_data VALUES (87185, 0, 0, 0, 0, 368, 167);
INSERT INTO public.who_data VALUES (87186, 0, 1, 0, 0, 368, 23);
INSERT INTO public.who_data VALUES (87187, 0, 0, 0, 0, 368, 222);
INSERT INTO public.who_data VALUES (87188, 0, 0, 0, 0, 368, 219);
INSERT INTO public.who_data VALUES (87189, 0, 0, 0, 0, 368, 7);
INSERT INTO public.who_data VALUES (87190, 0, 39, 0, 0, 368, 161);
INSERT INTO public.who_data VALUES (87191, 0, 10, 0, 0, 368, 149);
INSERT INTO public.who_data VALUES (87192, 0, 0, 0, 0, 368, 6);
INSERT INTO public.who_data VALUES (87193, 0, 0, 0, 0, 368, 139);
INSERT INTO public.who_data VALUES (87194, 0, 0, 0, 0, 368, 211);
INSERT INTO public.who_data VALUES (87195, 0, 0, 0, 0, 368, 14);
INSERT INTO public.who_data VALUES (87196, 0, 0, 0, 0, 368, 111);
INSERT INTO public.who_data VALUES (87197, 0, 0, 0, 0, 368, 207);
INSERT INTO public.who_data VALUES (87198, 0, 0, 0, 0, 368, 66);
INSERT INTO public.who_data VALUES (87199, 0, 0, 0, 0, 368, 173);
INSERT INTO public.who_data VALUES (87200, 0, 0, 0, 0, 368, 145);
INSERT INTO public.who_data VALUES (87201, 0, 0, 0, 0, 368, 65);
INSERT INTO public.who_data VALUES (87202, 0, 0, 0, 0, 368, 184);
INSERT INTO public.who_data VALUES (87203, 0, 0, 0, 0, 368, 98);
INSERT INTO public.who_data VALUES (87204, 0, 13, 0, 0, 368, 104);
INSERT INTO public.who_data VALUES (87205, 0, 0, 0, 0, 368, 73);
INSERT INTO public.who_data VALUES (87206, 0, 19, 0, 0, 368, 8);
INSERT INTO public.who_data VALUES (87207, 0, 0, 0, 0, 368, 227);
INSERT INTO public.who_data VALUES (87208, 0, 0, 0, 0, 368, 75);
INSERT INTO public.who_data VALUES (87209, 0, 0, 0, 0, 368, 45);
INSERT INTO public.who_data VALUES (87210, 0, 0, 0, 0, 368, 133);
INSERT INTO public.who_data VALUES (87211, 0, 0, 0, 0, 368, 202);
INSERT INTO public.who_data VALUES (87212, 0, 20, 0, 0, 368, 129);
INSERT INTO public.who_data VALUES (87213, 0, 0, 0, 0, 368, 36);
INSERT INTO public.who_data VALUES (87214, 0, 0, 0, 0, 368, 51);
INSERT INTO public.who_data VALUES (87215, 0, 0, 0, 0, 368, 206);
INSERT INTO public.who_data VALUES (87216, 0, 0, 0, 0, 368, 5);
INSERT INTO public.who_data VALUES (87217, 0, 0, 0, 0, 369, 103);
INSERT INTO public.who_data VALUES (87218, 0, 0, 0, 0, 369, 58);
INSERT INTO public.who_data VALUES (87219, 0, 0, 0, 0, 369, 195);
INSERT INTO public.who_data VALUES (87220, 0, 0, 0, 0, 369, 115);
INSERT INTO public.who_data VALUES (87221, 0, 0, 0, 0, 369, 99);
INSERT INTO public.who_data VALUES (87222, 0, 0, 0, 0, 369, 153);
INSERT INTO public.who_data VALUES (87223, 0, 0, 0, 0, 369, 93);
INSERT INTO public.who_data VALUES (87224, 0, 0, 0, 0, 369, 84);
INSERT INTO public.who_data VALUES (87225, 0, 0, 0, 0, 369, 78);
INSERT INTO public.who_data VALUES (87226, 0, 0, 0, 0, 369, 170);
INSERT INTO public.who_data VALUES (87227, 0, 0, 0, 0, 369, 32);
INSERT INTO public.who_data VALUES (87228, 0, 19, 0, 0, 369, 155);
INSERT INTO public.who_data VALUES (87229, 0, 0, 0, 0, 369, 82);
INSERT INTO public.who_data VALUES (87230, 0, 0, 0, 0, 369, 16);
INSERT INTO public.who_data VALUES (87231, 0, 0, 0, 0, 369, 72);
INSERT INTO public.who_data VALUES (87232, 0, 0, 0, 0, 369, 43);
INSERT INTO public.who_data VALUES (87233, 0, 0, 0, 0, 369, 120);
INSERT INTO public.who_data VALUES (87234, 0, 0, 0, 0, 369, 213);
INSERT INTO public.who_data VALUES (87235, 0, 0, 0, 0, 369, 31);
INSERT INTO public.who_data VALUES (87236, 0, 1, 0, 0, 369, 204);
INSERT INTO public.who_data VALUES (87237, 0, 0, 0, 0, 369, 152);
INSERT INTO public.who_data VALUES (87238, 0, 0, 0, 0, 369, 144);
INSERT INTO public.who_data VALUES (87239, 0, 0, 0, 0, 369, 96);
INSERT INTO public.who_data VALUES (87240, 0, 0, 0, 0, 369, 47);
INSERT INTO public.who_data VALUES (87241, 0, 0, 0, 0, 369, 80);
INSERT INTO public.who_data VALUES (87242, 0, 0, 0, 0, 369, 159);
INSERT INTO public.who_data VALUES (87243, 0, 0, 0, 0, 369, 27);
INSERT INTO public.who_data VALUES (87244, 0, 0, 0, 0, 369, 146);
INSERT INTO public.who_data VALUES (87245, 0, 0, 0, 0, 369, 71);
INSERT INTO public.who_data VALUES (87246, 0, 0, 0, 0, 369, 210);
INSERT INTO public.who_data VALUES (87247, 0, 0, 0, 0, 369, 54);
INSERT INTO public.who_data VALUES (87248, 0, 0, 0, 0, 369, 147);
INSERT INTO public.who_data VALUES (87249, 0, 0, 0, 0, 369, 2);
INSERT INTO public.who_data VALUES (87250, 0, 0, 0, 0, 369, 105);
INSERT INTO public.who_data VALUES (87251, 0, 0, 0, 0, 369, 53);
INSERT INTO public.who_data VALUES (87252, 0, 5, 0, 0, 369, 81);
INSERT INTO public.who_data VALUES (87253, 0, 0, 0, 0, 369, 223);
INSERT INTO public.who_data VALUES (87254, 0, 12, 0, 0, 369, 94);
INSERT INTO public.who_data VALUES (87255, 0, 0, 0, 0, 369, 154);
INSERT INTO public.who_data VALUES (87256, 0, 0, 0, 0, 369, 83);
INSERT INTO public.who_data VALUES (87257, 0, 0, 0, 0, 369, 194);
INSERT INTO public.who_data VALUES (87258, 0, 0, 0, 0, 369, 136);
INSERT INTO public.who_data VALUES (87259, 1893, 72532, 98, 1870, 369, 179);
INSERT INTO public.who_data VALUES (87260, 0, 0, 0, 0, 369, 57);
INSERT INTO public.who_data VALUES (87261, 0, 0, 0, 0, 369, 35);
INSERT INTO public.who_data VALUES (87262, 0, 0, 0, 0, 369, 228);
INSERT INTO public.who_data VALUES (87263, 0, 0, 0, 0, 369, 19);
INSERT INTO public.who_data VALUES (87264, 0, 0, 0, 0, 369, 22);
INSERT INTO public.who_data VALUES (87265, 0, 0, 0, 0, 369, 1);
INSERT INTO public.who_data VALUES (87266, 0, 0, 0, 0, 369, 21);
INSERT INTO public.who_data VALUES (87267, 0, 0, 0, 0, 369, 234);
INSERT INTO public.who_data VALUES (87268, 0, 0, 0, 0, 369, 91);
INSERT INTO public.who_data VALUES (87269, 0, 0, 0, 0, 369, 137);
INSERT INTO public.who_data VALUES (87270, 0, 0, 0, 0, 369, 201);
INSERT INTO public.who_data VALUES (87271, 0, 0, 0, 0, 369, 171);
INSERT INTO public.who_data VALUES (87272, 0, 0, 0, 0, 369, 92);
INSERT INTO public.who_data VALUES (87273, 0, 0, 0, 0, 369, 112);
INSERT INTO public.who_data VALUES (87274, 0, 0, 0, 0, 369, 62);
INSERT INTO public.who_data VALUES (87275, 0, 0, 0, 0, 369, 69);
INSERT INTO public.who_data VALUES (87276, 0, 0, 0, 0, 369, 220);
INSERT INTO public.who_data VALUES (87277, 0, 0, 0, 0, 369, 100);
INSERT INTO public.who_data VALUES (87278, 0, 5, 0, 0, 369, 187);
INSERT INTO public.who_data VALUES (87279, 0, 0, 0, 0, 369, 63);
INSERT INTO public.who_data VALUES (87280, 0, 0, 0, 0, 369, 28);
INSERT INTO public.who_data VALUES (87281, 0, 0, 0, 0, 369, 172);
INSERT INTO public.who_data VALUES (87282, 0, 0, 0, 0, 369, 17);
INSERT INTO public.who_data VALUES (87283, 0, 0, 0, 0, 369, 226);
INSERT INTO public.who_data VALUES (87284, 0, 0, 0, 0, 369, 236);
INSERT INTO public.who_data VALUES (87285, 0, 0, 0, 0, 369, 76);
INSERT INTO public.who_data VALUES (87286, 0, 0, 0, 0, 369, 30);
INSERT INTO public.who_data VALUES (87287, 0, 0, 0, 0, 369, 128);
INSERT INTO public.who_data VALUES (87288, 0, 1, 0, 0, 369, 86);
INSERT INTO public.who_data VALUES (87289, 0, 12, 0, 1, 369, 140);
INSERT INTO public.who_data VALUES (87290, 0, 0, 0, 0, 369, 44);
INSERT INTO public.who_data VALUES (87291, 0, 0, 0, 0, 369, 113);
INSERT INTO public.who_data VALUES (87292, 0, 0, 0, 0, 369, 29);
INSERT INTO public.who_data VALUES (87293, 0, 0, 0, 0, 369, 125);
INSERT INTO public.who_data VALUES (87294, 0, 0, 0, 0, 369, 131);
INSERT INTO public.who_data VALUES (87295, 0, 15, 0, 0, 369, 46);
INSERT INTO public.who_data VALUES (87296, 0, 0, 0, 0, 369, 10);
INSERT INTO public.who_data VALUES (87297, 0, 0, 0, 0, 369, 205);
INSERT INTO public.who_data VALUES (87298, 0, 0, 0, 0, 369, 50);
INSERT INTO public.who_data VALUES (87299, 0, 0, 0, 0, 369, 20);
INSERT INTO public.who_data VALUES (87300, 0, 0, 0, 0, 369, 13);
INSERT INTO public.who_data VALUES (87301, 0, 0, 0, 0, 369, 148);
INSERT INTO public.who_data VALUES (87302, 0, 0, 0, 0, 369, 230);
INSERT INTO public.who_data VALUES (87303, 0, 0, 0, 0, 369, 190);
INSERT INTO public.who_data VALUES (87304, 0, 0, 0, 0, 369, 188);
INSERT INTO public.who_data VALUES (87305, 0, 0, 0, 0, 369, 123);
INSERT INTO public.who_data VALUES (87306, 0, 0, 0, 0, 369, 9);
INSERT INTO public.who_data VALUES (87307, 0, 0, 0, 0, 369, 102);
INSERT INTO public.who_data VALUES (87308, 0, 0, 0, 0, 369, 34);
INSERT INTO public.who_data VALUES (87309, 0, 0, 0, 0, 369, 212);
INSERT INTO public.who_data VALUES (87310, 0, 0, 0, 0, 369, 122);
INSERT INTO public.who_data VALUES (87311, 0, 0, 0, 0, 369, 38);
INSERT INTO public.who_data VALUES (87312, 0, 0, 0, 0, 369, 130);
INSERT INTO public.who_data VALUES (87313, 0, 7, 0, 0, 369, 37);
INSERT INTO public.who_data VALUES (87314, 0, 0, 0, 0, 369, 231);
INSERT INTO public.who_data VALUES (87315, 0, 0, 0, 0, 369, 107);
INSERT INTO public.who_data VALUES (87316, 0, 0, 0, 0, 369, 101);
INSERT INTO public.who_data VALUES (87317, 0, 0, 0, 0, 369, 132);
INSERT INTO public.who_data VALUES (87318, 0, 0, 0, 0, 369, 176);
INSERT INTO public.who_data VALUES (87319, 0, 0, 0, 0, 369, 200);
INSERT INTO public.who_data VALUES (87320, 0, 3, 0, 0, 369, 169);
INSERT INTO public.who_data VALUES (87321, 0, 0, 0, 0, 369, 225);
INSERT INTO public.who_data VALUES (87322, 7, 76, 0, 1, 369, 165);
INSERT INTO public.who_data VALUES (87323, 0, 0, 0, 0, 369, 233);
INSERT INTO public.who_data VALUES (87324, 0, 0, 0, 0, 369, 215);
INSERT INTO public.who_data VALUES (87325, 0, 0, 0, 0, 369, 177);
INSERT INTO public.who_data VALUES (87326, 0, 0, 0, 0, 369, 183);
INSERT INTO public.who_data VALUES (87327, 0, 0, 0, 0, 369, 203);
INSERT INTO public.who_data VALUES (87328, 0, 0, 0, 0, 369, 162);
INSERT INTO public.who_data VALUES (87329, 0, 0, 0, 0, 369, 12);
INSERT INTO public.who_data VALUES (87330, 0, 0, 0, 0, 369, 24);
INSERT INTO public.who_data VALUES (87331, 0, 0, 0, 0, 369, 119);
INSERT INTO public.who_data VALUES (87332, 0, 0, 0, 0, 369, 39);
INSERT INTO public.who_data VALUES (87333, 0, 0, 0, 0, 369, 26);
INSERT INTO public.who_data VALUES (87334, 0, 0, 0, 0, 369, 59);
INSERT INTO public.who_data VALUES (87335, 0, 0, 0, 0, 369, 77);
INSERT INTO public.who_data VALUES (87336, 0, 0, 0, 0, 369, 134);
INSERT INTO public.who_data VALUES (87337, 0, 0, 0, 0, 369, 4);
INSERT INTO public.who_data VALUES (87338, 0, 0, 0, 0, 369, 109);
INSERT INTO public.who_data VALUES (87339, 0, 0, 0, 0, 369, 90);
INSERT INTO public.who_data VALUES (87340, 0, 0, 0, 0, 369, 61);
INSERT INTO public.who_data VALUES (87341, 0, 0, 0, 0, 369, 85);
INSERT INTO public.who_data VALUES (87342, 0, 26, 0, 0, 369, 49);
INSERT INTO public.who_data VALUES (87343, 0, 0, 0, 0, 369, 208);
INSERT INTO public.who_data VALUES (87344, 0, 0, 0, 0, 369, 166);
INSERT INTO public.who_data VALUES (87345, 0, 0, 0, 0, 369, 64);
INSERT INTO public.who_data VALUES (87346, 0, 0, 0, 0, 369, 199);
INSERT INTO public.who_data VALUES (87347, 0, 0, 0, 0, 369, 114);
INSERT INTO public.who_data VALUES (87348, 0, 0, 0, 0, 369, 60);
INSERT INTO public.who_data VALUES (87349, 0, 0, 0, 0, 369, 68);
INSERT INTO public.who_data VALUES (87350, 0, 0, 0, 0, 369, 158);
INSERT INTO public.who_data VALUES (87351, 0, 0, 0, 0, 369, 52);
INSERT INTO public.who_data VALUES (87352, 0, 0, 0, 0, 369, 117);
INSERT INTO public.who_data VALUES (87353, 0, 0, 0, 0, 369, 126);
INSERT INTO public.who_data VALUES (87354, 0, 0, 0, 0, 369, 196);
INSERT INTO public.who_data VALUES (87355, 0, 0, 0, 0, 369, 142);
INSERT INTO public.who_data VALUES (87356, 0, 0, 0, 0, 369, 185);
INSERT INTO public.who_data VALUES (87357, 0, 0, 0, 0, 369, 138);
INSERT INTO public.who_data VALUES (87358, 0, 0, 0, 0, 369, 181);
INSERT INTO public.who_data VALUES (87359, 0, 0, 0, 0, 369, 178);
INSERT INTO public.who_data VALUES (87360, 0, 0, 0, 0, 369, 168);
INSERT INTO public.who_data VALUES (87361, 0, 0, 0, 0, 369, 160);
INSERT INTO public.who_data VALUES (87362, 0, 5, 0, 0, 369, 151);
INSERT INTO public.who_data VALUES (87363, 0, 0, 0, 0, 369, 193);
INSERT INTO public.who_data VALUES (87364, 0, 0, 0, 0, 369, 18);
INSERT INTO public.who_data VALUES (87365, 0, 0, 0, 0, 369, 40);
INSERT INTO public.who_data VALUES (87366, 0, 0, 0, 0, 369, 218);
INSERT INTO public.who_data VALUES (87367, 0, 0, 0, 0, 369, 191);
INSERT INTO public.who_data VALUES (87368, 0, 0, 0, 0, 369, 156);
INSERT INTO public.who_data VALUES (87369, 0, 0, 0, 0, 369, 135);
INSERT INTO public.who_data VALUES (87370, 0, 0, 0, 0, 369, 88);
INSERT INTO public.who_data VALUES (87371, 0, 0, 0, 0, 369, 55);
INSERT INTO public.who_data VALUES (87372, 0, 0, 0, 0, 369, 108);
INSERT INTO public.who_data VALUES (87373, 0, 0, 0, 0, 369, 48);
INSERT INTO public.who_data VALUES (87374, 0, 0, 0, 0, 369, 3);
INSERT INTO public.who_data VALUES (87375, 88, 546, 0, 0, 369, 224);
INSERT INTO public.who_data VALUES (87376, 0, 0, 0, 0, 369, 110);
INSERT INTO public.who_data VALUES (87377, 0, 0, 0, 0, 369, 106);
INSERT INTO public.who_data VALUES (87378, 0, 0, 0, 0, 369, 89);
INSERT INTO public.who_data VALUES (87379, 0, 0, 0, 0, 369, 121);
INSERT INTO public.who_data VALUES (87380, 0, 0, 0, 0, 369, 163);
INSERT INTO public.who_data VALUES (87381, 0, 0, 0, 0, 369, 70);
INSERT INTO public.who_data VALUES (87382, 0, 7, 0, 1, 369, 174);
INSERT INTO public.who_data VALUES (87383, 0, 0, 0, 0, 369, 175);
INSERT INTO public.who_data VALUES (87384, 0, 0, 0, 0, 369, 118);
INSERT INTO public.who_data VALUES (87385, 0, 0, 0, 0, 369, 189);
INSERT INTO public.who_data VALUES (87386, 0, 0, 0, 0, 369, 124);
INSERT INTO public.who_data VALUES (87387, 0, 0, 0, 0, 369, 192);
INSERT INTO public.who_data VALUES (87388, 1, 35, 0, 0, 369, 41);
INSERT INTO public.who_data VALUES (87389, 0, 0, 0, 0, 369, 95);
INSERT INTO public.who_data VALUES (87390, 0, 0, 0, 0, 369, 74);
INSERT INTO public.who_data VALUES (87391, 0, 0, 0, 0, 369, 11);
INSERT INTO public.who_data VALUES (87392, 0, 2, 0, 0, 369, 87);
INSERT INTO public.who_data VALUES (87393, 0, 0, 0, 0, 369, 214);
INSERT INTO public.who_data VALUES (87394, 0, 0, 0, 0, 369, 116);
INSERT INTO public.who_data VALUES (87395, 0, 0, 0, 0, 369, 157);
INSERT INTO public.who_data VALUES (87396, 0, 0, 0, 0, 369, 182);
INSERT INTO public.who_data VALUES (87397, 0, 0, 0, 0, 369, 186);
INSERT INTO public.who_data VALUES (87398, 0, 0, 0, 0, 369, 127);
INSERT INTO public.who_data VALUES (87399, 0, 0, 0, 0, 369, 232);
INSERT INTO public.who_data VALUES (87400, 0, 0, 0, 0, 369, 33);
INSERT INTO public.who_data VALUES (87401, 0, 0, 0, 0, 369, 97);
INSERT INTO public.who_data VALUES (87402, 0, 0, 0, 0, 369, 42);
INSERT INTO public.who_data VALUES (87403, 0, 0, 0, 0, 369, 198);
INSERT INTO public.who_data VALUES (87404, 0, 0, 0, 0, 369, 216);
INSERT INTO public.who_data VALUES (87405, 0, 0, 0, 0, 369, 164);
INSERT INTO public.who_data VALUES (87406, 0, 0, 0, 0, 369, 235);
INSERT INTO public.who_data VALUES (87407, 0, 0, 0, 0, 369, 67);
INSERT INTO public.who_data VALUES (87408, 0, 0, 0, 0, 369, 15);
INSERT INTO public.who_data VALUES (87409, 0, 0, 0, 0, 369, 180);
INSERT INTO public.who_data VALUES (87410, 4, 85, 0, 0, 369, 237);
INSERT INTO public.who_data VALUES (87411, 0, 0, 0, 0, 369, 25);
INSERT INTO public.who_data VALUES (87412, 0, 0, 0, 0, 369, 209);
INSERT INTO public.who_data VALUES (87413, 0, 0, 0, 0, 369, 217);
INSERT INTO public.who_data VALUES (87414, 0, 0, 0, 0, 369, 79);
INSERT INTO public.who_data VALUES (87415, 0, 0, 0, 0, 369, 143);
INSERT INTO public.who_data VALUES (87416, 0, 0, 0, 0, 369, 229);
INSERT INTO public.who_data VALUES (87417, 0, 0, 0, 0, 369, 141);
INSERT INTO public.who_data VALUES (87418, 0, 0, 0, 0, 369, 197);
INSERT INTO public.who_data VALUES (87419, 0, 29, 0, 1, 369, 221);
INSERT INTO public.who_data VALUES (87420, 0, 5, 0, 0, 369, 150);
INSERT INTO public.who_data VALUES (87421, 0, 0, 0, 0, 369, 56);
INSERT INTO public.who_data VALUES (87422, 0, 0, 0, 0, 369, 167);
INSERT INTO public.who_data VALUES (87423, 0, 1, 0, 0, 369, 23);
INSERT INTO public.who_data VALUES (87424, 0, 0, 0, 0, 369, 222);
INSERT INTO public.who_data VALUES (87425, 0, 0, 0, 0, 369, 219);
INSERT INTO public.who_data VALUES (87426, 0, 0, 0, 0, 369, 7);
INSERT INTO public.who_data VALUES (87427, 0, 39, 0, 0, 369, 161);
INSERT INTO public.who_data VALUES (87428, 0, 10, 0, 0, 369, 149);
INSERT INTO public.who_data VALUES (87429, 0, 0, 0, 0, 369, 6);
INSERT INTO public.who_data VALUES (87430, 0, 0, 0, 0, 369, 139);
INSERT INTO public.who_data VALUES (87431, 0, 0, 0, 0, 369, 211);
INSERT INTO public.who_data VALUES (87432, 0, 0, 0, 0, 369, 14);
INSERT INTO public.who_data VALUES (87433, 0, 0, 0, 0, 369, 111);
INSERT INTO public.who_data VALUES (87434, 0, 0, 0, 0, 369, 207);
INSERT INTO public.who_data VALUES (87435, 0, 0, 0, 0, 369, 66);
INSERT INTO public.who_data VALUES (87436, 0, 0, 0, 0, 369, 173);
INSERT INTO public.who_data VALUES (87437, 0, 0, 0, 0, 369, 145);
INSERT INTO public.who_data VALUES (87438, 0, 0, 0, 0, 369, 65);
INSERT INTO public.who_data VALUES (87439, 0, 0, 0, 0, 369, 184);
INSERT INTO public.who_data VALUES (87440, 0, 0, 0, 0, 369, 98);
INSERT INTO public.who_data VALUES (87441, 0, 13, 0, 0, 369, 104);
INSERT INTO public.who_data VALUES (87442, 0, 0, 0, 0, 369, 73);
INSERT INTO public.who_data VALUES (87443, 0, 19, 0, 0, 369, 8);
INSERT INTO public.who_data VALUES (87444, 0, 0, 0, 0, 369, 227);
INSERT INTO public.who_data VALUES (87445, 0, 0, 0, 0, 369, 75);
INSERT INTO public.who_data VALUES (87446, 0, 0, 0, 0, 369, 45);
INSERT INTO public.who_data VALUES (87447, 0, 0, 0, 0, 369, 133);
INSERT INTO public.who_data VALUES (87448, 0, 0, 0, 0, 369, 202);
INSERT INTO public.who_data VALUES (87449, 0, 20, 0, 0, 369, 129);
INSERT INTO public.who_data VALUES (87450, 0, 0, 0, 0, 369, 36);
INSERT INTO public.who_data VALUES (87451, 0, 0, 0, 0, 369, 51);
INSERT INTO public.who_data VALUES (87452, 0, 0, 0, 0, 369, 206);
INSERT INTO public.who_data VALUES (87453, 0, 0, 0, 0, 369, 5);
INSERT INTO public.who_data VALUES (87454, 0, 0, 0, 0, 370, 103);
INSERT INTO public.who_data VALUES (87455, 0, 0, 0, 0, 370, 58);
INSERT INTO public.who_data VALUES (87456, 0, 0, 0, 0, 370, 195);
INSERT INTO public.who_data VALUES (87457, 0, 0, 0, 0, 370, 115);
INSERT INTO public.who_data VALUES (87458, 0, 0, 0, 0, 370, 99);
INSERT INTO public.who_data VALUES (87459, 0, 0, 0, 0, 370, 153);
INSERT INTO public.who_data VALUES (87460, 0, 0, 0, 0, 370, 93);
INSERT INTO public.who_data VALUES (87461, 0, 0, 0, 0, 370, 84);
INSERT INTO public.who_data VALUES (87462, 0, 0, 0, 0, 370, 78);
INSERT INTO public.who_data VALUES (87463, 0, 0, 0, 0, 370, 170);
INSERT INTO public.who_data VALUES (87464, 0, 0, 0, 0, 370, 32);
INSERT INTO public.who_data VALUES (87465, 0, 19, 0, 0, 370, 155);
INSERT INTO public.who_data VALUES (87466, 0, 0, 0, 0, 370, 82);
INSERT INTO public.who_data VALUES (87467, 0, 0, 0, 0, 370, 16);
INSERT INTO public.who_data VALUES (87468, 0, 0, 0, 0, 370, 72);
INSERT INTO public.who_data VALUES (87469, 0, 0, 0, 0, 370, 43);
INSERT INTO public.who_data VALUES (87470, 0, 0, 0, 0, 370, 120);
INSERT INTO public.who_data VALUES (87471, 0, 0, 0, 0, 370, 213);
INSERT INTO public.who_data VALUES (87472, 0, 0, 0, 0, 370, 31);
INSERT INTO public.who_data VALUES (87473, 0, 1, 0, 0, 370, 204);
INSERT INTO public.who_data VALUES (87474, 0, 0, 0, 0, 370, 152);
INSERT INTO public.who_data VALUES (87475, 0, 0, 0, 0, 370, 144);
INSERT INTO public.who_data VALUES (87476, 0, 0, 0, 0, 370, 96);
INSERT INTO public.who_data VALUES (87477, 0, 0, 0, 0, 370, 47);
INSERT INTO public.who_data VALUES (87478, 0, 0, 0, 0, 370, 80);
INSERT INTO public.who_data VALUES (87479, 0, 0, 0, 0, 370, 159);
INSERT INTO public.who_data VALUES (87480, 0, 0, 0, 0, 370, 27);
INSERT INTO public.who_data VALUES (87481, 0, 0, 0, 0, 370, 146);
INSERT INTO public.who_data VALUES (87482, 0, 0, 0, 0, 370, 71);
INSERT INTO public.who_data VALUES (87483, 0, 0, 0, 0, 370, 210);
INSERT INTO public.who_data VALUES (87484, 0, 0, 0, 0, 370, 54);
INSERT INTO public.who_data VALUES (87485, 0, 0, 0, 0, 370, 147);
INSERT INTO public.who_data VALUES (87486, 0, 0, 0, 0, 370, 2);
INSERT INTO public.who_data VALUES (87487, 0, 0, 0, 0, 370, 105);
INSERT INTO public.who_data VALUES (87488, 0, 0, 0, 0, 370, 53);
INSERT INTO public.who_data VALUES (87489, 0, 5, 0, 0, 370, 81);
INSERT INTO public.who_data VALUES (87490, 0, 0, 0, 0, 370, 223);
INSERT INTO public.who_data VALUES (87491, 1, 12, 0, 0, 370, 94);
INSERT INTO public.who_data VALUES (87492, 0, 0, 0, 0, 370, 154);
INSERT INTO public.who_data VALUES (87493, 0, 0, 0, 0, 370, 83);
INSERT INTO public.who_data VALUES (87494, 0, 0, 0, 0, 370, 194);
INSERT INTO public.who_data VALUES (87495, 0, 0, 0, 0, 370, 136);
INSERT INTO public.who_data VALUES (87496, 2051, 70639, 106, 1772, 370, 179);
INSERT INTO public.who_data VALUES (87497, 0, 0, 0, 0, 370, 57);
INSERT INTO public.who_data VALUES (87498, 0, 0, 0, 0, 370, 35);
INSERT INTO public.who_data VALUES (87499, 0, 0, 0, 0, 370, 228);
INSERT INTO public.who_data VALUES (87500, 0, 0, 0, 0, 370, 19);
INSERT INTO public.who_data VALUES (87501, 0, 0, 0, 0, 370, 22);
INSERT INTO public.who_data VALUES (87502, 0, 0, 0, 0, 370, 1);
INSERT INTO public.who_data VALUES (87503, 0, 0, 0, 0, 370, 21);
INSERT INTO public.who_data VALUES (87504, 0, 0, 0, 0, 370, 234);
INSERT INTO public.who_data VALUES (87505, 0, 0, 0, 0, 370, 91);
INSERT INTO public.who_data VALUES (87506, 0, 0, 0, 0, 370, 137);
INSERT INTO public.who_data VALUES (87507, 0, 0, 0, 0, 370, 201);
INSERT INTO public.who_data VALUES (87508, 0, 0, 0, 0, 370, 171);
INSERT INTO public.who_data VALUES (87509, 0, 0, 0, 0, 370, 92);
INSERT INTO public.who_data VALUES (87510, 0, 0, 0, 0, 370, 112);
INSERT INTO public.who_data VALUES (87511, 0, 0, 0, 0, 370, 62);
INSERT INTO public.who_data VALUES (87512, 0, 0, 0, 0, 370, 69);
INSERT INTO public.who_data VALUES (87513, 0, 0, 0, 0, 370, 220);
INSERT INTO public.who_data VALUES (87514, 0, 0, 0, 0, 370, 100);
INSERT INTO public.who_data VALUES (87515, 0, 5, 0, 0, 370, 187);
INSERT INTO public.who_data VALUES (87516, 0, 0, 0, 0, 370, 63);
INSERT INTO public.who_data VALUES (87517, 0, 0, 0, 0, 370, 28);
INSERT INTO public.who_data VALUES (87518, 0, 0, 0, 0, 370, 172);
INSERT INTO public.who_data VALUES (87519, 0, 0, 0, 0, 370, 17);
INSERT INTO public.who_data VALUES (87520, 0, 0, 0, 0, 370, 226);
INSERT INTO public.who_data VALUES (87521, 0, 0, 0, 0, 370, 236);
INSERT INTO public.who_data VALUES (87522, 0, 0, 0, 0, 370, 76);
INSERT INTO public.who_data VALUES (87523, 0, 0, 0, 0, 370, 30);
INSERT INTO public.who_data VALUES (87524, 0, 0, 0, 0, 370, 128);
INSERT INTO public.who_data VALUES (87525, 0, 1, 0, 0, 370, 86);
INSERT INTO public.who_data VALUES (87526, 1, 12, 0, 1, 370, 140);
INSERT INTO public.who_data VALUES (87527, 0, 0, 0, 0, 370, 44);
INSERT INTO public.who_data VALUES (87528, 0, 0, 0, 0, 370, 113);
INSERT INTO public.who_data VALUES (87529, 0, 0, 0, 0, 370, 29);
INSERT INTO public.who_data VALUES (87530, 0, 0, 0, 0, 370, 125);
INSERT INTO public.who_data VALUES (87531, 0, 0, 0, 0, 370, 131);
INSERT INTO public.who_data VALUES (87532, 0, 15, 0, 0, 370, 46);
INSERT INTO public.who_data VALUES (87533, 0, 0, 0, 0, 370, 10);
INSERT INTO public.who_data VALUES (87534, 0, 0, 0, 0, 370, 205);
INSERT INTO public.who_data VALUES (87535, 0, 0, 0, 0, 370, 50);
INSERT INTO public.who_data VALUES (87536, 0, 0, 0, 0, 370, 20);
INSERT INTO public.who_data VALUES (87537, 0, 0, 0, 0, 370, 13);
INSERT INTO public.who_data VALUES (87538, 0, 0, 0, 0, 370, 148);
INSERT INTO public.who_data VALUES (87539, 0, 0, 0, 0, 370, 230);
INSERT INTO public.who_data VALUES (87540, 0, 0, 0, 0, 370, 190);
INSERT INTO public.who_data VALUES (87541, 0, 0, 0, 0, 370, 188);
INSERT INTO public.who_data VALUES (87542, 0, 0, 0, 0, 370, 123);
INSERT INTO public.who_data VALUES (87543, 0, 0, 0, 0, 370, 9);
INSERT INTO public.who_data VALUES (87544, 0, 0, 0, 0, 370, 102);
INSERT INTO public.who_data VALUES (87545, 0, 0, 0, 0, 370, 34);
INSERT INTO public.who_data VALUES (87546, 0, 0, 0, 0, 370, 212);
INSERT INTO public.who_data VALUES (87547, 0, 0, 0, 0, 370, 122);
INSERT INTO public.who_data VALUES (87548, 0, 0, 0, 0, 370, 38);
INSERT INTO public.who_data VALUES (87549, 0, 0, 0, 0, 370, 130);
INSERT INTO public.who_data VALUES (87550, 0, 7, 0, 0, 370, 37);
INSERT INTO public.who_data VALUES (87551, 0, 0, 0, 0, 370, 231);
INSERT INTO public.who_data VALUES (87552, 0, 0, 0, 0, 370, 107);
INSERT INTO public.who_data VALUES (87553, 0, 0, 0, 0, 370, 101);
INSERT INTO public.who_data VALUES (87554, 0, 0, 0, 0, 370, 132);
INSERT INTO public.who_data VALUES (87555, 0, 0, 0, 0, 370, 176);
INSERT INTO public.who_data VALUES (87556, 0, 0, 0, 0, 370, 200);
INSERT INTO public.who_data VALUES (87557, 0, 3, 0, 0, 370, 169);
INSERT INTO public.who_data VALUES (87558, 0, 0, 0, 0, 370, 225);
INSERT INTO public.who_data VALUES (87559, 6, 69, 0, 1, 370, 165);
INSERT INTO public.who_data VALUES (87560, 0, 0, 0, 0, 370, 233);
INSERT INTO public.who_data VALUES (87561, 0, 0, 0, 0, 370, 215);
INSERT INTO public.who_data VALUES (87562, 0, 0, 0, 0, 370, 177);
INSERT INTO public.who_data VALUES (87563, 0, 0, 0, 0, 370, 183);
INSERT INTO public.who_data VALUES (87564, 0, 0, 0, 0, 370, 203);
INSERT INTO public.who_data VALUES (87565, 0, 0, 0, 0, 370, 162);
INSERT INTO public.who_data VALUES (87566, 0, 0, 0, 0, 370, 12);
INSERT INTO public.who_data VALUES (87567, 0, 0, 0, 0, 370, 24);
INSERT INTO public.who_data VALUES (87568, 0, 0, 0, 0, 370, 119);
INSERT INTO public.who_data VALUES (87569, 0, 0, 0, 0, 370, 39);
INSERT INTO public.who_data VALUES (87570, 0, 0, 0, 0, 370, 26);
INSERT INTO public.who_data VALUES (87571, 0, 0, 0, 0, 370, 59);
INSERT INTO public.who_data VALUES (87572, 0, 0, 0, 0, 370, 77);
INSERT INTO public.who_data VALUES (87573, 0, 0, 0, 0, 370, 134);
INSERT INTO public.who_data VALUES (87574, 0, 0, 0, 0, 370, 4);
INSERT INTO public.who_data VALUES (87575, 0, 0, 0, 0, 370, 109);
INSERT INTO public.who_data VALUES (87576, 0, 0, 0, 0, 370, 90);
INSERT INTO public.who_data VALUES (87577, 0, 0, 0, 0, 370, 61);
INSERT INTO public.who_data VALUES (87578, 0, 0, 0, 0, 370, 85);
INSERT INTO public.who_data VALUES (87579, 0, 26, 0, 0, 370, 49);
INSERT INTO public.who_data VALUES (87580, 0, 0, 0, 0, 370, 208);
INSERT INTO public.who_data VALUES (87581, 0, 0, 0, 0, 370, 166);
INSERT INTO public.who_data VALUES (87582, 0, 0, 0, 0, 370, 64);
INSERT INTO public.who_data VALUES (87583, 0, 0, 0, 0, 370, 199);
INSERT INTO public.who_data VALUES (87584, 0, 0, 0, 0, 370, 114);
INSERT INTO public.who_data VALUES (87585, 0, 0, 0, 0, 370, 60);
INSERT INTO public.who_data VALUES (87586, 0, 0, 0, 0, 370, 68);
INSERT INTO public.who_data VALUES (87587, 0, 0, 0, 0, 370, 158);
INSERT INTO public.who_data VALUES (87588, 0, 0, 0, 0, 370, 52);
INSERT INTO public.who_data VALUES (87589, 0, 0, 0, 0, 370, 117);
INSERT INTO public.who_data VALUES (87590, 0, 0, 0, 0, 370, 126);
INSERT INTO public.who_data VALUES (87591, 0, 0, 0, 0, 370, 196);
INSERT INTO public.who_data VALUES (87592, 0, 0, 0, 0, 370, 142);
INSERT INTO public.who_data VALUES (87593, 0, 0, 0, 0, 370, 185);
INSERT INTO public.who_data VALUES (87594, 0, 0, 0, 0, 370, 138);
INSERT INTO public.who_data VALUES (87595, 0, 0, 0, 0, 370, 181);
INSERT INTO public.who_data VALUES (87596, 0, 0, 0, 0, 370, 178);
INSERT INTO public.who_data VALUES (87597, 0, 0, 0, 0, 370, 168);
INSERT INTO public.who_data VALUES (87598, 0, 0, 0, 0, 370, 160);
INSERT INTO public.who_data VALUES (87599, 0, 5, 0, 0, 370, 151);
INSERT INTO public.who_data VALUES (87600, 0, 0, 0, 0, 370, 193);
INSERT INTO public.who_data VALUES (87601, 0, 0, 0, 0, 370, 18);
INSERT INTO public.who_data VALUES (87602, 0, 0, 0, 0, 370, 40);
INSERT INTO public.who_data VALUES (87603, 0, 0, 0, 0, 370, 218);
INSERT INTO public.who_data VALUES (87604, 0, 0, 0, 0, 370, 191);
INSERT INTO public.who_data VALUES (87605, 0, 0, 0, 0, 370, 156);
INSERT INTO public.who_data VALUES (87606, 0, 0, 0, 0, 370, 135);
INSERT INTO public.who_data VALUES (87607, 0, 0, 0, 0, 370, 88);
INSERT INTO public.who_data VALUES (87608, 0, 0, 0, 0, 370, 55);
INSERT INTO public.who_data VALUES (87609, 0, 0, 0, 0, 370, 108);
INSERT INTO public.who_data VALUES (87610, 0, 0, 0, 0, 370, 48);
INSERT INTO public.who_data VALUES (87611, 0, 0, 0, 0, 370, 3);
INSERT INTO public.who_data VALUES (87612, 99, 458, 0, 0, 370, 224);
INSERT INTO public.who_data VALUES (87613, 0, 0, 0, 0, 370, 110);
INSERT INTO public.who_data VALUES (87614, 0, 0, 0, 0, 370, 106);
INSERT INTO public.who_data VALUES (87615, 0, 0, 0, 0, 370, 89);
INSERT INTO public.who_data VALUES (87616, 0, 0, 0, 0, 370, 121);
INSERT INTO public.who_data VALUES (87617, 0, 0, 0, 0, 370, 163);
INSERT INTO public.who_data VALUES (87618, 0, 0, 0, 0, 370, 70);
INSERT INTO public.who_data VALUES (87619, 0, 7, 0, 1, 370, 174);
INSERT INTO public.who_data VALUES (87620, 0, 0, 0, 0, 370, 175);
INSERT INTO public.who_data VALUES (87621, 0, 0, 0, 0, 370, 118);
INSERT INTO public.who_data VALUES (87622, 0, 0, 0, 0, 370, 189);
INSERT INTO public.who_data VALUES (87623, 0, 0, 0, 0, 370, 124);
INSERT INTO public.who_data VALUES (87624, 0, 0, 0, 0, 370, 192);
INSERT INTO public.who_data VALUES (87625, 1, 34, 0, 0, 370, 41);
INSERT INTO public.who_data VALUES (87626, 0, 0, 0, 0, 370, 95);
INSERT INTO public.who_data VALUES (87627, 0, 0, 0, 0, 370, 74);
INSERT INTO public.who_data VALUES (87628, 0, 0, 0, 0, 370, 11);
INSERT INTO public.who_data VALUES (87629, 0, 2, 0, 0, 370, 87);
INSERT INTO public.who_data VALUES (87630, 0, 0, 0, 0, 370, 214);
INSERT INTO public.who_data VALUES (87631, 0, 0, 0, 0, 370, 116);
INSERT INTO public.who_data VALUES (87632, 0, 0, 0, 0, 370, 157);
INSERT INTO public.who_data VALUES (87633, 0, 0, 0, 0, 370, 182);
INSERT INTO public.who_data VALUES (87634, 0, 0, 0, 0, 370, 186);
INSERT INTO public.who_data VALUES (87635, 0, 0, 0, 0, 370, 127);
INSERT INTO public.who_data VALUES (87636, 0, 0, 0, 0, 370, 232);
INSERT INTO public.who_data VALUES (87637, 0, 0, 0, 0, 370, 33);
INSERT INTO public.who_data VALUES (87638, 0, 0, 0, 0, 370, 97);
INSERT INTO public.who_data VALUES (87639, 0, 0, 0, 0, 370, 42);
INSERT INTO public.who_data VALUES (87640, 0, 0, 0, 0, 370, 198);
INSERT INTO public.who_data VALUES (87641, 0, 0, 0, 0, 370, 216);
INSERT INTO public.who_data VALUES (87642, 0, 0, 0, 0, 370, 164);
INSERT INTO public.who_data VALUES (87643, 0, 0, 0, 0, 370, 235);
INSERT INTO public.who_data VALUES (87644, 0, 0, 0, 0, 370, 67);
INSERT INTO public.who_data VALUES (87645, 0, 0, 0, 0, 370, 15);
INSERT INTO public.who_data VALUES (87646, 0, 0, 0, 0, 370, 180);
INSERT INTO public.who_data VALUES (87647, 2, 81, 0, 0, 370, 237);
INSERT INTO public.who_data VALUES (87648, 0, 0, 0, 0, 370, 25);
INSERT INTO public.who_data VALUES (87649, 0, 0, 0, 0, 370, 209);
INSERT INTO public.who_data VALUES (87650, 0, 0, 0, 0, 370, 217);
INSERT INTO public.who_data VALUES (87651, 0, 0, 0, 0, 370, 79);
INSERT INTO public.who_data VALUES (87652, 0, 0, 0, 0, 370, 143);
INSERT INTO public.who_data VALUES (87653, 0, 0, 0, 0, 370, 229);
INSERT INTO public.who_data VALUES (87654, 0, 0, 0, 0, 370, 141);
INSERT INTO public.who_data VALUES (87655, 0, 0, 0, 0, 370, 197);
INSERT INTO public.who_data VALUES (87656, 0, 29, 0, 1, 370, 221);
INSERT INTO public.who_data VALUES (87657, 0, 5, 0, 0, 370, 150);
INSERT INTO public.who_data VALUES (87658, 0, 0, 0, 0, 370, 56);
INSERT INTO public.who_data VALUES (87659, 0, 0, 0, 0, 370, 167);
INSERT INTO public.who_data VALUES (87660, 0, 1, 0, 0, 370, 23);
INSERT INTO public.who_data VALUES (87661, 0, 0, 0, 0, 370, 222);
INSERT INTO public.who_data VALUES (87662, 0, 0, 0, 0, 370, 219);
INSERT INTO public.who_data VALUES (87663, 0, 0, 0, 0, 370, 7);
INSERT INTO public.who_data VALUES (87664, 1, 39, 0, 0, 370, 161);
INSERT INTO public.who_data VALUES (87665, 0, 10, 0, 0, 370, 149);
INSERT INTO public.who_data VALUES (87666, 0, 0, 0, 0, 370, 6);
INSERT INTO public.who_data VALUES (87667, 0, 0, 0, 0, 370, 139);
INSERT INTO public.who_data VALUES (87668, 0, 0, 0, 0, 370, 211);
INSERT INTO public.who_data VALUES (87669, 0, 0, 0, 0, 370, 14);
INSERT INTO public.who_data VALUES (87670, 0, 0, 0, 0, 370, 111);
INSERT INTO public.who_data VALUES (87671, 0, 0, 0, 0, 370, 207);
INSERT INTO public.who_data VALUES (87672, 0, 0, 0, 0, 370, 66);
INSERT INTO public.who_data VALUES (87673, 0, 0, 0, 0, 370, 173);
INSERT INTO public.who_data VALUES (87674, 0, 0, 0, 0, 370, 145);
INSERT INTO public.who_data VALUES (87675, 0, 0, 0, 0, 370, 65);
INSERT INTO public.who_data VALUES (87676, 0, 0, 0, 0, 370, 184);
INSERT INTO public.who_data VALUES (87677, 0, 0, 0, 0, 370, 98);
INSERT INTO public.who_data VALUES (87678, 0, 13, 0, 0, 370, 104);
INSERT INTO public.who_data VALUES (87679, 0, 0, 0, 0, 370, 73);
INSERT INTO public.who_data VALUES (87680, 0, 19, 0, 0, 370, 8);
INSERT INTO public.who_data VALUES (87681, 0, 0, 0, 0, 370, 227);
INSERT INTO public.who_data VALUES (87682, 0, 0, 0, 0, 370, 75);
INSERT INTO public.who_data VALUES (87683, 0, 0, 0, 0, 370, 45);
INSERT INTO public.who_data VALUES (87684, 0, 0, 0, 0, 370, 133);
INSERT INTO public.who_data VALUES (87685, 0, 0, 0, 0, 370, 202);
INSERT INTO public.who_data VALUES (87686, 0, 20, 0, 0, 370, 129);
INSERT INTO public.who_data VALUES (87687, 0, 0, 0, 0, 370, 36);
INSERT INTO public.who_data VALUES (87688, 0, 0, 0, 0, 370, 51);
INSERT INTO public.who_data VALUES (87689, 0, 0, 0, 0, 370, 206);
INSERT INTO public.who_data VALUES (87690, 0, 0, 0, 0, 370, 5);
INSERT INTO public.who_data VALUES (87691, 0, 0, 0, 0, 371, 103);
INSERT INTO public.who_data VALUES (87692, 0, 0, 0, 0, 371, 58);
INSERT INTO public.who_data VALUES (87693, 0, 0, 0, 0, 371, 195);
INSERT INTO public.who_data VALUES (87694, 0, 0, 0, 0, 371, 115);
INSERT INTO public.who_data VALUES (87695, 0, 0, 0, 0, 371, 99);
INSERT INTO public.who_data VALUES (87696, 0, 0, 0, 0, 371, 153);
INSERT INTO public.who_data VALUES (87697, 0, 0, 0, 0, 371, 93);
INSERT INTO public.who_data VALUES (87698, 0, 0, 0, 0, 371, 84);
INSERT INTO public.who_data VALUES (87699, 0, 0, 0, 0, 371, 78);
INSERT INTO public.who_data VALUES (87700, 0, 0, 0, 0, 371, 170);
INSERT INTO public.who_data VALUES (87701, 0, 0, 0, 0, 371, 32);
INSERT INTO public.who_data VALUES (87702, 0, 19, 0, 0, 371, 155);
INSERT INTO public.who_data VALUES (87703, 0, 0, 0, 0, 371, 82);
INSERT INTO public.who_data VALUES (87704, 0, 0, 0, 0, 371, 16);
INSERT INTO public.who_data VALUES (87705, 0, 0, 0, 0, 371, 72);
INSERT INTO public.who_data VALUES (87706, 0, 0, 0, 0, 371, 43);
INSERT INTO public.who_data VALUES (87707, 0, 0, 0, 0, 371, 120);
INSERT INTO public.who_data VALUES (87708, 0, 0, 0, 0, 371, 213);
INSERT INTO public.who_data VALUES (87709, 0, 0, 0, 0, 371, 31);
INSERT INTO public.who_data VALUES (87710, 0, 1, 0, 0, 371, 204);
INSERT INTO public.who_data VALUES (87711, 0, 0, 0, 0, 371, 152);
INSERT INTO public.who_data VALUES (87712, 0, 0, 0, 0, 371, 144);
INSERT INTO public.who_data VALUES (87713, 0, 0, 0, 0, 371, 96);
INSERT INTO public.who_data VALUES (87714, 0, 0, 0, 0, 371, 47);
INSERT INTO public.who_data VALUES (87715, 0, 0, 0, 0, 371, 80);
INSERT INTO public.who_data VALUES (87716, 0, 0, 0, 0, 371, 159);
INSERT INTO public.who_data VALUES (87717, 0, 0, 0, 0, 371, 27);
INSERT INTO public.who_data VALUES (87718, 0, 0, 0, 0, 371, 146);
INSERT INTO public.who_data VALUES (87719, 0, 0, 0, 0, 371, 71);
INSERT INTO public.who_data VALUES (87720, 0, 0, 0, 0, 371, 210);
INSERT INTO public.who_data VALUES (87721, 0, 0, 0, 0, 371, 54);
INSERT INTO public.who_data VALUES (87722, 0, 0, 0, 0, 371, 147);
INSERT INTO public.who_data VALUES (87723, 0, 0, 0, 0, 371, 2);
INSERT INTO public.who_data VALUES (87724, 0, 0, 0, 0, 371, 105);
INSERT INTO public.who_data VALUES (87725, 0, 0, 0, 0, 371, 53);
INSERT INTO public.who_data VALUES (87726, 0, 5, 0, 0, 371, 81);
INSERT INTO public.who_data VALUES (87727, 0, 0, 0, 0, 371, 223);
INSERT INTO public.who_data VALUES (87728, 0, 11, 0, 0, 371, 94);
INSERT INTO public.who_data VALUES (87729, 0, 0, 0, 0, 371, 154);
INSERT INTO public.who_data VALUES (87730, 0, 0, 0, 0, 371, 83);
INSERT INTO public.who_data VALUES (87731, 0, 0, 0, 0, 371, 194);
INSERT INTO public.who_data VALUES (87732, 0, 0, 0, 0, 371, 136);
INSERT INTO public.who_data VALUES (87733, 2008, 68588, 142, 1666, 371, 179);
INSERT INTO public.who_data VALUES (87734, 0, 0, 0, 0, 371, 57);
INSERT INTO public.who_data VALUES (87735, 0, 0, 0, 0, 371, 35);
INSERT INTO public.who_data VALUES (87736, 0, 0, 0, 0, 371, 228);
INSERT INTO public.who_data VALUES (87737, 0, 0, 0, 0, 371, 19);
INSERT INTO public.who_data VALUES (87738, 0, 0, 0, 0, 371, 22);
INSERT INTO public.who_data VALUES (87739, 0, 0, 0, 0, 371, 1);
INSERT INTO public.who_data VALUES (87740, 0, 0, 0, 0, 371, 21);
INSERT INTO public.who_data VALUES (87741, 0, 0, 0, 0, 371, 234);
INSERT INTO public.who_data VALUES (87742, 0, 0, 0, 0, 371, 91);
INSERT INTO public.who_data VALUES (87743, 0, 0, 0, 0, 371, 137);
INSERT INTO public.who_data VALUES (87744, 0, 0, 0, 0, 371, 201);
INSERT INTO public.who_data VALUES (87745, 0, 0, 0, 0, 371, 171);
INSERT INTO public.who_data VALUES (87746, 0, 0, 0, 0, 371, 92);
INSERT INTO public.who_data VALUES (87747, 0, 0, 0, 0, 371, 112);
INSERT INTO public.who_data VALUES (87748, 0, 0, 0, 0, 371, 62);
INSERT INTO public.who_data VALUES (87749, 0, 0, 0, 0, 371, 69);
INSERT INTO public.who_data VALUES (87750, 0, 0, 0, 0, 371, 220);
INSERT INTO public.who_data VALUES (87751, 0, 0, 0, 0, 371, 100);
INSERT INTO public.who_data VALUES (87752, 0, 5, 0, 0, 371, 187);
INSERT INTO public.who_data VALUES (87753, 0, 0, 0, 0, 371, 63);
INSERT INTO public.who_data VALUES (87754, 0, 0, 0, 0, 371, 28);
INSERT INTO public.who_data VALUES (87755, 0, 0, 0, 0, 371, 172);
INSERT INTO public.who_data VALUES (87756, 0, 0, 0, 0, 371, 17);
INSERT INTO public.who_data VALUES (87757, 0, 0, 0, 0, 371, 226);
INSERT INTO public.who_data VALUES (87758, 0, 0, 0, 0, 371, 236);
INSERT INTO public.who_data VALUES (87759, 0, 0, 0, 0, 371, 76);
INSERT INTO public.who_data VALUES (87760, 0, 0, 0, 0, 371, 30);
INSERT INTO public.who_data VALUES (87761, 0, 0, 0, 0, 371, 128);
INSERT INTO public.who_data VALUES (87762, 0, 1, 0, 0, 371, 86);
INSERT INTO public.who_data VALUES (87763, 0, 11, 0, 1, 371, 140);
INSERT INTO public.who_data VALUES (87764, 0, 0, 0, 0, 371, 44);
INSERT INTO public.who_data VALUES (87765, 0, 0, 0, 0, 371, 113);
INSERT INTO public.who_data VALUES (87766, 0, 0, 0, 0, 371, 29);
INSERT INTO public.who_data VALUES (87767, 0, 0, 0, 0, 371, 125);
INSERT INTO public.who_data VALUES (87768, 0, 0, 0, 0, 371, 131);
INSERT INTO public.who_data VALUES (87769, 0, 15, 0, 0, 371, 46);
INSERT INTO public.who_data VALUES (87770, 0, 0, 0, 0, 371, 10);
INSERT INTO public.who_data VALUES (87771, 0, 0, 0, 0, 371, 205);
INSERT INTO public.who_data VALUES (87772, 0, 0, 0, 0, 371, 50);
INSERT INTO public.who_data VALUES (87773, 0, 0, 0, 0, 371, 20);
INSERT INTO public.who_data VALUES (87774, 0, 0, 0, 0, 371, 13);
INSERT INTO public.who_data VALUES (87775, 0, 0, 0, 0, 371, 148);
INSERT INTO public.who_data VALUES (87776, 0, 0, 0, 0, 371, 230);
INSERT INTO public.who_data VALUES (87777, 0, 0, 0, 0, 371, 190);
INSERT INTO public.who_data VALUES (87778, 0, 0, 0, 0, 371, 188);
INSERT INTO public.who_data VALUES (87779, 0, 0, 0, 0, 371, 123);
INSERT INTO public.who_data VALUES (87780, 0, 0, 0, 0, 371, 9);
INSERT INTO public.who_data VALUES (87781, 0, 0, 0, 0, 371, 102);
INSERT INTO public.who_data VALUES (87782, 0, 0, 0, 0, 371, 34);
INSERT INTO public.who_data VALUES (87783, 0, 0, 0, 0, 371, 212);
INSERT INTO public.who_data VALUES (87784, 0, 0, 0, 0, 371, 122);
INSERT INTO public.who_data VALUES (87785, 0, 0, 0, 0, 371, 38);
INSERT INTO public.who_data VALUES (87786, 0, 0, 0, 0, 371, 130);
INSERT INTO public.who_data VALUES (87787, 0, 7, 0, 0, 371, 37);
INSERT INTO public.who_data VALUES (87788, 0, 0, 0, 0, 371, 231);
INSERT INTO public.who_data VALUES (87789, 0, 0, 0, 0, 371, 107);
INSERT INTO public.who_data VALUES (87790, 0, 0, 0, 0, 371, 101);
INSERT INTO public.who_data VALUES (87791, 0, 0, 0, 0, 371, 132);
INSERT INTO public.who_data VALUES (87792, 0, 0, 0, 0, 371, 176);
INSERT INTO public.who_data VALUES (87793, 0, 0, 0, 0, 371, 200);
INSERT INTO public.who_data VALUES (87794, 0, 3, 0, 0, 371, 169);
INSERT INTO public.who_data VALUES (87795, 0, 0, 0, 0, 371, 225);
INSERT INTO public.who_data VALUES (87796, 6, 63, 0, 1, 371, 165);
INSERT INTO public.who_data VALUES (87797, 0, 0, 0, 0, 371, 233);
INSERT INTO public.who_data VALUES (87798, 0, 0, 0, 0, 371, 215);
INSERT INTO public.who_data VALUES (87799, 0, 0, 0, 0, 371, 177);
INSERT INTO public.who_data VALUES (87800, 0, 0, 0, 0, 371, 183);
INSERT INTO public.who_data VALUES (87801, 0, 0, 0, 0, 371, 203);
INSERT INTO public.who_data VALUES (87802, 0, 0, 0, 0, 371, 162);
INSERT INTO public.who_data VALUES (87803, 0, 0, 0, 0, 371, 12);
INSERT INTO public.who_data VALUES (87804, 0, 0, 0, 0, 371, 24);
INSERT INTO public.who_data VALUES (87805, 0, 0, 0, 0, 371, 119);
INSERT INTO public.who_data VALUES (87806, 0, 0, 0, 0, 371, 39);
INSERT INTO public.who_data VALUES (87807, 0, 0, 0, 0, 371, 26);
INSERT INTO public.who_data VALUES (87808, 0, 0, 0, 0, 371, 59);
INSERT INTO public.who_data VALUES (87809, 0, 0, 0, 0, 371, 77);
INSERT INTO public.who_data VALUES (87810, 0, 0, 0, 0, 371, 134);
INSERT INTO public.who_data VALUES (87811, 0, 0, 0, 0, 371, 4);
INSERT INTO public.who_data VALUES (87812, 0, 0, 0, 0, 371, 109);
INSERT INTO public.who_data VALUES (87813, 0, 0, 0, 0, 371, 90);
INSERT INTO public.who_data VALUES (87814, 0, 0, 0, 0, 371, 61);
INSERT INTO public.who_data VALUES (87815, 0, 0, 0, 0, 371, 85);
INSERT INTO public.who_data VALUES (87816, 0, 26, 0, 0, 371, 49);
INSERT INTO public.who_data VALUES (87817, 0, 0, 0, 0, 371, 208);
INSERT INTO public.who_data VALUES (87818, 0, 0, 0, 0, 371, 166);
INSERT INTO public.who_data VALUES (87819, 0, 0, 0, 0, 371, 64);
INSERT INTO public.who_data VALUES (87820, 0, 0, 0, 0, 371, 199);
INSERT INTO public.who_data VALUES (87821, 0, 0, 0, 0, 371, 114);
INSERT INTO public.who_data VALUES (87822, 0, 0, 0, 0, 371, 60);
INSERT INTO public.who_data VALUES (87823, 0, 0, 0, 0, 371, 68);
INSERT INTO public.who_data VALUES (87824, 0, 0, 0, 0, 371, 158);
INSERT INTO public.who_data VALUES (87825, 0, 0, 0, 0, 371, 52);
INSERT INTO public.who_data VALUES (87826, 0, 0, 0, 0, 371, 117);
INSERT INTO public.who_data VALUES (87827, 0, 0, 0, 0, 371, 126);
INSERT INTO public.who_data VALUES (87828, 0, 0, 0, 0, 371, 196);
INSERT INTO public.who_data VALUES (87829, 0, 0, 0, 0, 371, 142);
INSERT INTO public.who_data VALUES (87830, 0, 0, 0, 0, 371, 185);
INSERT INTO public.who_data VALUES (87831, 0, 0, 0, 0, 371, 138);
INSERT INTO public.who_data VALUES (87832, 0, 0, 0, 0, 371, 181);
INSERT INTO public.who_data VALUES (87833, 0, 0, 0, 0, 371, 178);
INSERT INTO public.who_data VALUES (87834, 0, 0, 0, 0, 371, 168);
INSERT INTO public.who_data VALUES (87835, 0, 0, 0, 0, 371, 160);
INSERT INTO public.who_data VALUES (87836, 0, 5, 0, 0, 371, 151);
INSERT INTO public.who_data VALUES (87837, 0, 0, 0, 0, 371, 193);
INSERT INTO public.who_data VALUES (87838, 0, 0, 0, 0, 371, 18);
INSERT INTO public.who_data VALUES (87839, 0, 0, 0, 0, 371, 40);
INSERT INTO public.who_data VALUES (87840, 0, 0, 0, 0, 371, 218);
INSERT INTO public.who_data VALUES (87841, 0, 0, 0, 0, 371, 191);
INSERT INTO public.who_data VALUES (87842, 0, 0, 0, 0, 371, 156);
INSERT INTO public.who_data VALUES (87843, 0, 0, 0, 0, 371, 135);
INSERT INTO public.who_data VALUES (87844, 0, 0, 0, 0, 371, 88);
INSERT INTO public.who_data VALUES (87845, 0, 0, 0, 0, 371, 55);
INSERT INTO public.who_data VALUES (87846, 0, 0, 0, 0, 371, 108);
INSERT INTO public.who_data VALUES (87847, 0, 0, 0, 0, 371, 48);
INSERT INTO public.who_data VALUES (87848, 0, 0, 0, 0, 371, 3);
INSERT INTO public.who_data VALUES (87849, 70, 359, 0, 0, 371, 224);
INSERT INTO public.who_data VALUES (87850, 0, 0, 0, 0, 371, 110);
INSERT INTO public.who_data VALUES (87851, 0, 0, 0, 0, 371, 106);
INSERT INTO public.who_data VALUES (87852, 0, 0, 0, 0, 371, 89);
INSERT INTO public.who_data VALUES (87853, 0, 0, 0, 0, 371, 121);
INSERT INTO public.who_data VALUES (87854, 0, 0, 0, 0, 371, 163);
INSERT INTO public.who_data VALUES (87855, 0, 0, 0, 0, 371, 70);
INSERT INTO public.who_data VALUES (87856, 0, 7, 0, 1, 371, 174);
INSERT INTO public.who_data VALUES (87857, 0, 0, 0, 0, 371, 175);
INSERT INTO public.who_data VALUES (87858, 0, 0, 0, 0, 371, 118);
INSERT INTO public.who_data VALUES (87859, 0, 0, 0, 0, 371, 189);
INSERT INTO public.who_data VALUES (87860, 0, 0, 0, 0, 371, 124);
INSERT INTO public.who_data VALUES (87861, 0, 0, 0, 0, 371, 192);
INSERT INTO public.who_data VALUES (87862, 1, 33, 0, 0, 371, 41);
INSERT INTO public.who_data VALUES (87863, 0, 0, 0, 0, 371, 95);
INSERT INTO public.who_data VALUES (87864, 0, 0, 0, 0, 371, 74);
INSERT INTO public.who_data VALUES (87865, 0, 0, 0, 0, 371, 11);
INSERT INTO public.who_data VALUES (87866, 0, 2, 0, 0, 371, 87);
INSERT INTO public.who_data VALUES (87867, 0, 0, 0, 0, 371, 214);
INSERT INTO public.who_data VALUES (87868, 0, 0, 0, 0, 371, 116);
INSERT INTO public.who_data VALUES (87869, 0, 0, 0, 0, 371, 157);
INSERT INTO public.who_data VALUES (87870, 0, 0, 0, 0, 371, 182);
INSERT INTO public.who_data VALUES (87871, 0, 0, 0, 0, 371, 186);
INSERT INTO public.who_data VALUES (87872, 0, 0, 0, 0, 371, 127);
INSERT INTO public.who_data VALUES (87873, 0, 0, 0, 0, 371, 232);
INSERT INTO public.who_data VALUES (87874, 0, 0, 0, 0, 371, 33);
INSERT INTO public.who_data VALUES (87875, 0, 0, 0, 0, 371, 97);
INSERT INTO public.who_data VALUES (87876, 0, 0, 0, 0, 371, 42);
INSERT INTO public.who_data VALUES (87877, 0, 0, 0, 0, 371, 198);
INSERT INTO public.who_data VALUES (87878, 0, 0, 0, 0, 371, 216);
INSERT INTO public.who_data VALUES (87879, 0, 0, 0, 0, 371, 164);
INSERT INTO public.who_data VALUES (87880, 0, 0, 0, 0, 371, 235);
INSERT INTO public.who_data VALUES (87881, 0, 0, 0, 0, 371, 67);
INSERT INTO public.who_data VALUES (87882, 0, 0, 0, 0, 371, 15);
INSERT INTO public.who_data VALUES (87883, 0, 0, 0, 0, 371, 180);
INSERT INTO public.who_data VALUES (87884, 3, 79, 0, 0, 371, 237);
INSERT INTO public.who_data VALUES (87885, 0, 0, 0, 0, 371, 25);
INSERT INTO public.who_data VALUES (87886, 0, 0, 0, 0, 371, 209);
INSERT INTO public.who_data VALUES (87887, 0, 0, 0, 0, 371, 217);
INSERT INTO public.who_data VALUES (87888, 0, 0, 0, 0, 371, 79);
INSERT INTO public.who_data VALUES (87889, 0, 0, 0, 0, 371, 143);
INSERT INTO public.who_data VALUES (87890, 0, 0, 0, 0, 371, 229);
INSERT INTO public.who_data VALUES (87891, 0, 0, 0, 0, 371, 141);
INSERT INTO public.who_data VALUES (87892, 0, 0, 0, 0, 371, 197);
INSERT INTO public.who_data VALUES (87893, 0, 29, 0, 1, 371, 221);
INSERT INTO public.who_data VALUES (87894, 0, 5, 0, 0, 371, 150);
INSERT INTO public.who_data VALUES (87895, 0, 0, 0, 0, 371, 56);
INSERT INTO public.who_data VALUES (87896, 0, 0, 0, 0, 371, 167);
INSERT INTO public.who_data VALUES (87897, 0, 1, 0, 0, 371, 23);
INSERT INTO public.who_data VALUES (87898, 0, 0, 0, 0, 371, 222);
INSERT INTO public.who_data VALUES (87899, 0, 0, 0, 0, 371, 219);
INSERT INTO public.who_data VALUES (87900, 0, 0, 0, 0, 371, 7);
INSERT INTO public.who_data VALUES (87901, 0, 38, 0, 0, 371, 161);
INSERT INTO public.who_data VALUES (87902, 0, 10, 0, 0, 371, 149);
INSERT INTO public.who_data VALUES (87903, 0, 0, 0, 0, 371, 6);
INSERT INTO public.who_data VALUES (87904, 0, 0, 0, 0, 371, 139);
INSERT INTO public.who_data VALUES (87905, 0, 0, 0, 0, 371, 211);
INSERT INTO public.who_data VALUES (87906, 0, 0, 0, 0, 371, 14);
INSERT INTO public.who_data VALUES (87907, 0, 0, 0, 0, 371, 111);
INSERT INTO public.who_data VALUES (87908, 0, 0, 0, 0, 371, 207);
INSERT INTO public.who_data VALUES (87909, 0, 0, 0, 0, 371, 66);
INSERT INTO public.who_data VALUES (87910, 0, 0, 0, 0, 371, 173);
INSERT INTO public.who_data VALUES (87911, 0, 0, 0, 0, 371, 145);
INSERT INTO public.who_data VALUES (87912, 0, 0, 0, 0, 371, 65);
INSERT INTO public.who_data VALUES (87913, 0, 0, 0, 0, 371, 184);
INSERT INTO public.who_data VALUES (87914, 0, 0, 0, 0, 371, 98);
INSERT INTO public.who_data VALUES (87915, 1, 13, 0, 0, 371, 104);
INSERT INTO public.who_data VALUES (87916, 0, 0, 0, 0, 371, 73);
INSERT INTO public.who_data VALUES (87917, 0, 19, 0, 0, 371, 8);
INSERT INTO public.who_data VALUES (87918, 0, 0, 0, 0, 371, 227);
INSERT INTO public.who_data VALUES (87919, 0, 0, 0, 0, 371, 75);
INSERT INTO public.who_data VALUES (87920, 0, 0, 0, 0, 371, 45);
INSERT INTO public.who_data VALUES (87921, 0, 0, 0, 0, 371, 133);
INSERT INTO public.who_data VALUES (87922, 0, 0, 0, 0, 371, 202);
INSERT INTO public.who_data VALUES (87923, 0, 20, 0, 0, 371, 129);
INSERT INTO public.who_data VALUES (87924, 0, 0, 0, 0, 371, 36);
INSERT INTO public.who_data VALUES (87925, 0, 0, 0, 0, 371, 51);
INSERT INTO public.who_data VALUES (87926, 0, 0, 0, 0, 371, 206);
INSERT INTO public.who_data VALUES (87927, 0, 0, 0, 0, 371, 5);
INSERT INTO public.who_data VALUES (87928, 0, 0, 0, 0, 372, 103);
INSERT INTO public.who_data VALUES (87929, 0, 0, 0, 0, 372, 58);
INSERT INTO public.who_data VALUES (87930, 0, 0, 0, 0, 372, 195);
INSERT INTO public.who_data VALUES (87931, 0, 0, 0, 0, 372, 115);
INSERT INTO public.who_data VALUES (87932, 0, 0, 0, 0, 372, 99);
INSERT INTO public.who_data VALUES (87933, 0, 0, 0, 0, 372, 153);
INSERT INTO public.who_data VALUES (87934, 0, 0, 0, 0, 372, 93);
INSERT INTO public.who_data VALUES (87935, 0, 0, 0, 0, 372, 84);
INSERT INTO public.who_data VALUES (87936, 0, 0, 0, 0, 372, 78);
INSERT INTO public.who_data VALUES (87937, 0, 0, 0, 0, 372, 170);
INSERT INTO public.who_data VALUES (87938, 0, 0, 0, 0, 372, 32);
INSERT INTO public.who_data VALUES (87939, 0, 19, 0, 0, 372, 155);
INSERT INTO public.who_data VALUES (87940, 0, 0, 0, 0, 372, 82);
INSERT INTO public.who_data VALUES (87941, 0, 0, 0, 0, 372, 16);
INSERT INTO public.who_data VALUES (87942, 0, 0, 0, 0, 372, 72);
INSERT INTO public.who_data VALUES (87943, 0, 0, 0, 0, 372, 43);
INSERT INTO public.who_data VALUES (87944, 0, 0, 0, 0, 372, 120);
INSERT INTO public.who_data VALUES (87945, 0, 0, 0, 0, 372, 213);
INSERT INTO public.who_data VALUES (87946, 0, 0, 0, 0, 372, 31);
INSERT INTO public.who_data VALUES (87947, 0, 1, 0, 0, 372, 204);
INSERT INTO public.who_data VALUES (87948, 0, 0, 0, 0, 372, 152);
INSERT INTO public.who_data VALUES (87949, 0, 0, 0, 0, 372, 144);
INSERT INTO public.who_data VALUES (87950, 0, 0, 0, 0, 372, 96);
INSERT INTO public.who_data VALUES (87951, 0, 0, 0, 0, 372, 47);
INSERT INTO public.who_data VALUES (87952, 0, 0, 0, 0, 372, 80);
INSERT INTO public.who_data VALUES (87953, 0, 0, 0, 0, 372, 159);
INSERT INTO public.who_data VALUES (87954, 0, 0, 0, 0, 372, 27);
INSERT INTO public.who_data VALUES (87955, 0, 0, 0, 0, 372, 146);
INSERT INTO public.who_data VALUES (87956, 0, 0, 0, 0, 372, 71);
INSERT INTO public.who_data VALUES (87957, 0, 0, 0, 0, 372, 210);
INSERT INTO public.who_data VALUES (87958, 0, 0, 0, 0, 372, 54);
INSERT INTO public.who_data VALUES (87959, 0, 0, 0, 0, 372, 147);
INSERT INTO public.who_data VALUES (87960, 0, 0, 0, 0, 372, 2);
INSERT INTO public.who_data VALUES (87961, 0, 0, 0, 0, 372, 105);
INSERT INTO public.who_data VALUES (87962, 0, 0, 0, 0, 372, 53);
INSERT INTO public.who_data VALUES (87963, 0, 5, 0, 0, 372, 81);
INSERT INTO public.who_data VALUES (87964, 0, 0, 0, 0, 372, 223);
INSERT INTO public.who_data VALUES (87965, 0, 11, 0, 0, 372, 94);
INSERT INTO public.who_data VALUES (87966, 0, 0, 0, 0, 372, 154);
INSERT INTO public.who_data VALUES (87967, 0, 0, 0, 0, 372, 83);
INSERT INTO public.who_data VALUES (87968, 0, 0, 0, 0, 372, 194);
INSERT INTO public.who_data VALUES (87969, 0, 0, 0, 0, 372, 136);
INSERT INTO public.who_data VALUES (87970, 2644, 66580, 143, 1524, 372, 179);
INSERT INTO public.who_data VALUES (87971, 0, 0, 0, 0, 372, 57);
INSERT INTO public.who_data VALUES (87972, 0, 0, 0, 0, 372, 35);
INSERT INTO public.who_data VALUES (87973, 0, 0, 0, 0, 372, 228);
INSERT INTO public.who_data VALUES (87974, 0, 0, 0, 0, 372, 19);
INSERT INTO public.who_data VALUES (87975, 0, 0, 0, 0, 372, 22);
INSERT INTO public.who_data VALUES (87976, 0, 0, 0, 0, 372, 1);
INSERT INTO public.who_data VALUES (87977, 0, 0, 0, 0, 372, 21);
INSERT INTO public.who_data VALUES (87978, 0, 0, 0, 0, 372, 234);
INSERT INTO public.who_data VALUES (87979, 0, 0, 0, 0, 372, 91);
INSERT INTO public.who_data VALUES (87980, 0, 0, 0, 0, 372, 137);
INSERT INTO public.who_data VALUES (87981, 0, 0, 0, 0, 372, 201);
INSERT INTO public.who_data VALUES (87982, 0, 0, 0, 0, 372, 171);
INSERT INTO public.who_data VALUES (87983, 0, 0, 0, 0, 372, 92);
INSERT INTO public.who_data VALUES (87984, 0, 0, 0, 0, 372, 112);
INSERT INTO public.who_data VALUES (87985, 0, 0, 0, 0, 372, 62);
INSERT INTO public.who_data VALUES (87986, 0, 0, 0, 0, 372, 69);
INSERT INTO public.who_data VALUES (87987, 0, 0, 0, 0, 372, 220);
INSERT INTO public.who_data VALUES (87988, 0, 0, 0, 0, 372, 100);
INSERT INTO public.who_data VALUES (87989, 0, 5, 0, 0, 372, 187);
INSERT INTO public.who_data VALUES (87990, 0, 0, 0, 0, 372, 63);
INSERT INTO public.who_data VALUES (87991, 0, 0, 0, 0, 372, 28);
INSERT INTO public.who_data VALUES (87992, 0, 0, 0, 0, 372, 172);
INSERT INTO public.who_data VALUES (87993, 0, 0, 0, 0, 372, 17);
INSERT INTO public.who_data VALUES (87994, 0, 0, 0, 0, 372, 226);
INSERT INTO public.who_data VALUES (87995, 0, 0, 0, 0, 372, 236);
INSERT INTO public.who_data VALUES (87996, 0, 0, 0, 0, 372, 76);
INSERT INTO public.who_data VALUES (87997, 0, 0, 0, 0, 372, 30);
INSERT INTO public.who_data VALUES (87998, 0, 0, 0, 0, 372, 128);
INSERT INTO public.who_data VALUES (87999, 0, 1, 0, 0, 372, 86);
INSERT INTO public.who_data VALUES (88000, 0, 11, 1, 1, 372, 140);
INSERT INTO public.who_data VALUES (88001, 0, 0, 0, 0, 372, 44);
INSERT INTO public.who_data VALUES (88002, 0, 0, 0, 0, 372, 113);
INSERT INTO public.who_data VALUES (88003, 0, 0, 0, 0, 372, 29);
INSERT INTO public.who_data VALUES (88004, 0, 0, 0, 0, 372, 125);
INSERT INTO public.who_data VALUES (88005, 0, 0, 0, 0, 372, 131);
INSERT INTO public.who_data VALUES (88006, 0, 15, 0, 0, 372, 46);
INSERT INTO public.who_data VALUES (88007, 0, 0, 0, 0, 372, 10);
INSERT INTO public.who_data VALUES (88008, 0, 0, 0, 0, 372, 205);
INSERT INTO public.who_data VALUES (88009, 0, 0, 0, 0, 372, 50);
INSERT INTO public.who_data VALUES (88010, 0, 0, 0, 0, 372, 20);
INSERT INTO public.who_data VALUES (88011, 0, 0, 0, 0, 372, 13);
INSERT INTO public.who_data VALUES (88012, 0, 0, 0, 0, 372, 148);
INSERT INTO public.who_data VALUES (88013, 0, 0, 0, 0, 372, 230);
INSERT INTO public.who_data VALUES (88014, 0, 0, 0, 0, 372, 190);
INSERT INTO public.who_data VALUES (88015, 0, 0, 0, 0, 372, 188);
INSERT INTO public.who_data VALUES (88016, 0, 0, 0, 0, 372, 123);
INSERT INTO public.who_data VALUES (88017, 0, 0, 0, 0, 372, 9);
INSERT INTO public.who_data VALUES (88018, 0, 0, 0, 0, 372, 102);
INSERT INTO public.who_data VALUES (88019, 0, 0, 0, 0, 372, 34);
INSERT INTO public.who_data VALUES (88020, 0, 0, 0, 0, 372, 212);
INSERT INTO public.who_data VALUES (88021, 0, 0, 0, 0, 372, 122);
INSERT INTO public.who_data VALUES (88022, 0, 0, 0, 0, 372, 38);
INSERT INTO public.who_data VALUES (88023, 0, 0, 0, 0, 372, 130);
INSERT INTO public.who_data VALUES (88024, 0, 7, 0, 0, 372, 37);
INSERT INTO public.who_data VALUES (88025, 0, 0, 0, 0, 372, 231);
INSERT INTO public.who_data VALUES (88026, 0, 0, 0, 0, 372, 107);
INSERT INTO public.who_data VALUES (88027, 0, 0, 0, 0, 372, 101);
INSERT INTO public.who_data VALUES (88028, 0, 0, 0, 0, 372, 132);
INSERT INTO public.who_data VALUES (88029, 0, 0, 0, 0, 372, 176);
INSERT INTO public.who_data VALUES (88030, 0, 0, 0, 0, 372, 200);
INSERT INTO public.who_data VALUES (88031, 0, 3, 0, 0, 372, 169);
INSERT INTO public.who_data VALUES (88032, 0, 0, 0, 0, 372, 225);
INSERT INTO public.who_data VALUES (88033, 12, 57, 0, 1, 372, 165);
INSERT INTO public.who_data VALUES (88034, 0, 0, 0, 0, 372, 233);
INSERT INTO public.who_data VALUES (88035, 0, 0, 0, 0, 372, 215);
INSERT INTO public.who_data VALUES (88036, 0, 0, 0, 0, 372, 177);
INSERT INTO public.who_data VALUES (88037, 0, 0, 0, 0, 372, 183);
INSERT INTO public.who_data VALUES (88038, 0, 0, 0, 0, 372, 203);
INSERT INTO public.who_data VALUES (88039, 0, 0, 0, 0, 372, 162);
INSERT INTO public.who_data VALUES (88040, 0, 0, 0, 0, 372, 12);
INSERT INTO public.who_data VALUES (88041, 0, 0, 0, 0, 372, 24);
INSERT INTO public.who_data VALUES (88042, 0, 0, 0, 0, 372, 119);
INSERT INTO public.who_data VALUES (88043, 0, 0, 0, 0, 372, 39);
INSERT INTO public.who_data VALUES (88044, 0, 0, 0, 0, 372, 26);
INSERT INTO public.who_data VALUES (88045, 0, 0, 0, 0, 372, 59);
INSERT INTO public.who_data VALUES (88046, 0, 0, 0, 0, 372, 77);
INSERT INTO public.who_data VALUES (88047, 0, 0, 0, 0, 372, 134);
INSERT INTO public.who_data VALUES (88048, 0, 0, 0, 0, 372, 4);
INSERT INTO public.who_data VALUES (88049, 0, 0, 0, 0, 372, 109);
INSERT INTO public.who_data VALUES (88050, 0, 0, 0, 0, 372, 90);
INSERT INTO public.who_data VALUES (88051, 0, 0, 0, 0, 372, 61);
INSERT INTO public.who_data VALUES (88052, 0, 0, 0, 0, 372, 85);
INSERT INTO public.who_data VALUES (88053, 3, 26, 0, 0, 372, 49);
INSERT INTO public.who_data VALUES (88054, 0, 0, 0, 0, 372, 208);
INSERT INTO public.who_data VALUES (88055, 0, 0, 0, 0, 372, 166);
INSERT INTO public.who_data VALUES (88056, 0, 0, 0, 0, 372, 64);
INSERT INTO public.who_data VALUES (88057, 0, 0, 0, 0, 372, 199);
INSERT INTO public.who_data VALUES (88058, 0, 0, 0, 0, 372, 114);
INSERT INTO public.who_data VALUES (88059, 0, 0, 0, 0, 372, 60);
INSERT INTO public.who_data VALUES (88060, 0, 0, 0, 0, 372, 68);
INSERT INTO public.who_data VALUES (88061, 0, 0, 0, 0, 372, 158);
INSERT INTO public.who_data VALUES (88062, 0, 0, 0, 0, 372, 52);
INSERT INTO public.who_data VALUES (88063, 0, 0, 0, 0, 372, 117);
INSERT INTO public.who_data VALUES (88064, 0, 0, 0, 0, 372, 126);
INSERT INTO public.who_data VALUES (88065, 0, 0, 0, 0, 372, 196);
INSERT INTO public.who_data VALUES (88066, 0, 0, 0, 0, 372, 142);
INSERT INTO public.who_data VALUES (88067, 0, 0, 0, 0, 372, 185);
INSERT INTO public.who_data VALUES (88068, 0, 0, 0, 0, 372, 138);
INSERT INTO public.who_data VALUES (88069, 0, 0, 0, 0, 372, 181);
INSERT INTO public.who_data VALUES (88070, 0, 0, 0, 0, 372, 178);
INSERT INTO public.who_data VALUES (88071, 0, 0, 0, 0, 372, 168);
INSERT INTO public.who_data VALUES (88072, 0, 0, 0, 0, 372, 160);
INSERT INTO public.who_data VALUES (88073, 0, 5, 0, 0, 372, 151);
INSERT INTO public.who_data VALUES (88074, 0, 0, 0, 0, 372, 193);
INSERT INTO public.who_data VALUES (88075, 0, 0, 0, 0, 372, 18);
INSERT INTO public.who_data VALUES (88076, 0, 0, 0, 0, 372, 40);
INSERT INTO public.who_data VALUES (88077, 0, 0, 0, 0, 372, 218);
INSERT INTO public.who_data VALUES (88078, 0, 0, 0, 0, 372, 191);
INSERT INTO public.who_data VALUES (88079, 0, 0, 0, 0, 372, 156);
INSERT INTO public.who_data VALUES (88080, 0, 0, 0, 0, 372, 135);
INSERT INTO public.who_data VALUES (88081, 0, 0, 0, 0, 372, 88);
INSERT INTO public.who_data VALUES (88082, 0, 0, 0, 0, 372, 55);
INSERT INTO public.who_data VALUES (88083, 0, 0, 0, 0, 372, 108);
INSERT INTO public.who_data VALUES (88084, 0, 0, 0, 0, 372, 48);
INSERT INTO public.who_data VALUES (88085, 0, 0, 0, 0, 372, 3);
INSERT INTO public.who_data VALUES (88086, 67, 289, 0, 0, 372, 224);
INSERT INTO public.who_data VALUES (88087, 0, 0, 0, 0, 372, 110);
INSERT INTO public.who_data VALUES (88088, 0, 0, 0, 0, 372, 106);
INSERT INTO public.who_data VALUES (88089, 0, 0, 0, 0, 372, 89);
INSERT INTO public.who_data VALUES (88090, 0, 0, 0, 0, 372, 121);
INSERT INTO public.who_data VALUES (88091, 0, 0, 0, 0, 372, 163);
INSERT INTO public.who_data VALUES (88092, 0, 0, 0, 0, 372, 70);
INSERT INTO public.who_data VALUES (88093, 0, 7, 0, 1, 372, 174);
INSERT INTO public.who_data VALUES (88094, 0, 0, 0, 0, 372, 175);
INSERT INTO public.who_data VALUES (88095, 0, 0, 0, 0, 372, 118);
INSERT INTO public.who_data VALUES (88096, 0, 0, 0, 0, 372, 189);
INSERT INTO public.who_data VALUES (88097, 0, 0, 0, 0, 372, 124);
INSERT INTO public.who_data VALUES (88098, 0, 0, 0, 0, 372, 192);
INSERT INTO public.who_data VALUES (88099, 0, 32, 0, 0, 372, 41);
INSERT INTO public.who_data VALUES (88100, 0, 0, 0, 0, 372, 95);
INSERT INTO public.who_data VALUES (88101, 0, 0, 0, 0, 372, 74);
INSERT INTO public.who_data VALUES (88102, 0, 0, 0, 0, 372, 11);
INSERT INTO public.who_data VALUES (88103, 0, 2, 0, 0, 372, 87);
INSERT INTO public.who_data VALUES (88104, 0, 0, 0, 0, 372, 214);
INSERT INTO public.who_data VALUES (88105, 0, 0, 0, 0, 372, 116);
INSERT INTO public.who_data VALUES (88106, 0, 0, 0, 0, 372, 157);
INSERT INTO public.who_data VALUES (88107, 0, 0, 0, 0, 372, 182);
INSERT INTO public.who_data VALUES (88108, 0, 0, 0, 0, 372, 186);
INSERT INTO public.who_data VALUES (88109, 0, 0, 0, 0, 372, 127);
INSERT INTO public.who_data VALUES (88110, 0, 0, 0, 0, 372, 232);
INSERT INTO public.who_data VALUES (88111, 0, 0, 0, 0, 372, 33);
INSERT INTO public.who_data VALUES (88112, 0, 0, 0, 0, 372, 97);
INSERT INTO public.who_data VALUES (88113, 0, 0, 0, 0, 372, 42);
INSERT INTO public.who_data VALUES (88114, 0, 0, 0, 0, 372, 198);
INSERT INTO public.who_data VALUES (88115, 0, 0, 0, 0, 372, 216);
INSERT INTO public.who_data VALUES (88116, 0, 0, 0, 0, 372, 164);
INSERT INTO public.who_data VALUES (88117, 0, 0, 0, 0, 372, 235);
INSERT INTO public.who_data VALUES (88118, 0, 0, 0, 0, 372, 67);
INSERT INTO public.who_data VALUES (88119, 0, 0, 0, 0, 372, 15);
INSERT INTO public.who_data VALUES (88120, 0, 0, 0, 0, 372, 180);
INSERT INTO public.who_data VALUES (88121, 5, 76, 0, 0, 372, 237);
INSERT INTO public.who_data VALUES (88122, 0, 0, 0, 0, 372, 25);
INSERT INTO public.who_data VALUES (88123, 0, 0, 0, 0, 372, 209);
INSERT INTO public.who_data VALUES (88124, 0, 0, 0, 0, 372, 217);
INSERT INTO public.who_data VALUES (88125, 0, 0, 0, 0, 372, 79);
INSERT INTO public.who_data VALUES (88126, 0, 0, 0, 0, 372, 143);
INSERT INTO public.who_data VALUES (88127, 0, 0, 0, 0, 372, 229);
INSERT INTO public.who_data VALUES (88128, 0, 0, 0, 0, 372, 141);
INSERT INTO public.who_data VALUES (88129, 0, 0, 0, 0, 372, 197);
INSERT INTO public.who_data VALUES (88130, 0, 29, 0, 1, 372, 221);
INSERT INTO public.who_data VALUES (88131, 0, 5, 0, 0, 372, 150);
INSERT INTO public.who_data VALUES (88132, 0, 0, 0, 0, 372, 56);
INSERT INTO public.who_data VALUES (88133, 0, 0, 0, 0, 372, 167);
INSERT INTO public.who_data VALUES (88134, 0, 1, 0, 0, 372, 23);
INSERT INTO public.who_data VALUES (88135, 0, 0, 0, 0, 372, 222);
INSERT INTO public.who_data VALUES (88136, 0, 0, 0, 0, 372, 219);
INSERT INTO public.who_data VALUES (88137, 0, 0, 0, 0, 372, 7);
INSERT INTO public.who_data VALUES (88138, 1, 38, 0, 0, 372, 161);
INSERT INTO public.who_data VALUES (88139, 0, 10, 0, 0, 372, 149);
INSERT INTO public.who_data VALUES (88140, 0, 0, 0, 0, 372, 6);
INSERT INTO public.who_data VALUES (88141, 0, 0, 0, 0, 372, 139);
INSERT INTO public.who_data VALUES (88142, 0, 0, 0, 0, 372, 211);
INSERT INTO public.who_data VALUES (88143, 0, 0, 0, 0, 372, 14);
INSERT INTO public.who_data VALUES (88144, 0, 0, 0, 0, 372, 111);
INSERT INTO public.who_data VALUES (88145, 0, 0, 0, 0, 372, 207);
INSERT INTO public.who_data VALUES (88146, 0, 0, 0, 0, 372, 66);
INSERT INTO public.who_data VALUES (88147, 0, 0, 0, 0, 372, 173);
INSERT INTO public.who_data VALUES (88148, 0, 0, 0, 0, 372, 145);
INSERT INTO public.who_data VALUES (88149, 0, 0, 0, 0, 372, 65);
INSERT INTO public.who_data VALUES (88150, 0, 0, 0, 0, 372, 184);
INSERT INTO public.who_data VALUES (88151, 0, 0, 0, 0, 372, 98);
INSERT INTO public.who_data VALUES (88152, 0, 12, 0, 0, 372, 104);
INSERT INTO public.who_data VALUES (88153, 0, 0, 0, 0, 372, 73);
INSERT INTO public.who_data VALUES (88154, 0, 19, 0, 0, 372, 8);
INSERT INTO public.who_data VALUES (88155, 0, 0, 0, 0, 372, 227);
INSERT INTO public.who_data VALUES (88156, 0, 0, 0, 0, 372, 75);
INSERT INTO public.who_data VALUES (88157, 0, 0, 0, 0, 372, 45);
INSERT INTO public.who_data VALUES (88158, 0, 0, 0, 0, 372, 133);
INSERT INTO public.who_data VALUES (88159, 0, 0, 0, 0, 372, 202);
INSERT INTO public.who_data VALUES (88160, 0, 20, 0, 0, 372, 129);
INSERT INTO public.who_data VALUES (88161, 0, 0, 0, 0, 372, 36);
INSERT INTO public.who_data VALUES (88162, 0, 0, 0, 0, 372, 51);
INSERT INTO public.who_data VALUES (88163, 0, 0, 0, 0, 372, 206);
INSERT INTO public.who_data VALUES (88164, 0, 0, 0, 0, 372, 5);
INSERT INTO public.who_data VALUES (88165, 0, 0, 0, 0, 373, 103);
INSERT INTO public.who_data VALUES (88166, 0, 0, 0, 0, 373, 58);
INSERT INTO public.who_data VALUES (88167, 0, 0, 0, 0, 373, 195);
INSERT INTO public.who_data VALUES (88168, 0, 0, 0, 0, 373, 115);
INSERT INTO public.who_data VALUES (88169, 0, 0, 0, 0, 373, 99);
INSERT INTO public.who_data VALUES (88170, 0, 0, 0, 0, 373, 153);
INSERT INTO public.who_data VALUES (88171, 0, 0, 0, 0, 373, 93);
INSERT INTO public.who_data VALUES (88172, 0, 0, 0, 0, 373, 84);
INSERT INTO public.who_data VALUES (88173, 0, 0, 0, 0, 373, 78);
INSERT INTO public.who_data VALUES (88174, 0, 0, 0, 0, 373, 170);
INSERT INTO public.who_data VALUES (88175, 0, 0, 0, 0, 373, 32);
INSERT INTO public.who_data VALUES (88176, 0, 19, 0, 0, 373, 155);
INSERT INTO public.who_data VALUES (88177, 0, 0, 0, 0, 373, 82);
INSERT INTO public.who_data VALUES (88178, 0, 0, 0, 0, 373, 16);
INSERT INTO public.who_data VALUES (88179, 0, 0, 0, 0, 373, 72);
INSERT INTO public.who_data VALUES (88180, 0, 0, 0, 0, 373, 43);
INSERT INTO public.who_data VALUES (88181, 0, 0, 0, 0, 373, 120);
INSERT INTO public.who_data VALUES (88182, 0, 0, 0, 0, 373, 213);
INSERT INTO public.who_data VALUES (88183, 0, 0, 0, 0, 373, 31);
INSERT INTO public.who_data VALUES (88184, 0, 1, 0, 0, 373, 204);
INSERT INTO public.who_data VALUES (88185, 0, 0, 0, 0, 373, 152);
INSERT INTO public.who_data VALUES (88186, 0, 0, 0, 0, 373, 144);
INSERT INTO public.who_data VALUES (88187, 0, 0, 0, 0, 373, 96);
INSERT INTO public.who_data VALUES (88188, 0, 0, 0, 0, 373, 47);
INSERT INTO public.who_data VALUES (88189, 0, 0, 0, 0, 373, 80);
INSERT INTO public.who_data VALUES (88190, 0, 0, 0, 0, 373, 159);
INSERT INTO public.who_data VALUES (88191, 0, 0, 0, 0, 373, 27);
INSERT INTO public.who_data VALUES (88192, 0, 0, 0, 0, 373, 146);
INSERT INTO public.who_data VALUES (88193, 0, 0, 0, 0, 373, 71);
INSERT INTO public.who_data VALUES (88194, 0, 0, 0, 0, 373, 210);
INSERT INTO public.who_data VALUES (88195, 0, 0, 0, 0, 373, 54);
INSERT INTO public.who_data VALUES (88196, 0, 0, 0, 0, 373, 147);
INSERT INTO public.who_data VALUES (88197, 0, 0, 0, 0, 373, 2);
INSERT INTO public.who_data VALUES (88198, 0, 0, 0, 0, 373, 105);
INSERT INTO public.who_data VALUES (88199, 0, 0, 0, 0, 373, 53);
INSERT INTO public.who_data VALUES (88200, 0, 5, 0, 0, 373, 81);
INSERT INTO public.who_data VALUES (88201, 0, 0, 0, 0, 373, 223);
INSERT INTO public.who_data VALUES (88202, 0, 11, 0, 0, 373, 94);
INSERT INTO public.who_data VALUES (88203, 0, 0, 0, 0, 373, 154);
INSERT INTO public.who_data VALUES (88204, 0, 0, 0, 0, 373, 83);
INSERT INTO public.who_data VALUES (88205, 0, 0, 0, 0, 373, 194);
INSERT INTO public.who_data VALUES (88206, 0, 0, 0, 0, 373, 136);
INSERT INTO public.who_data VALUES (88207, 4050, 63936, 13, 1381, 373, 179);
INSERT INTO public.who_data VALUES (88208, 0, 0, 0, 0, 373, 57);
INSERT INTO public.who_data VALUES (88209, 0, 0, 0, 0, 373, 35);
INSERT INTO public.who_data VALUES (88210, 0, 0, 0, 0, 373, 228);
INSERT INTO public.who_data VALUES (88211, 0, 0, 0, 0, 373, 19);
INSERT INTO public.who_data VALUES (88212, 0, 0, 0, 0, 373, 22);
INSERT INTO public.who_data VALUES (88213, 0, 0, 0, 0, 373, 1);
INSERT INTO public.who_data VALUES (88214, 0, 0, 0, 0, 373, 21);
INSERT INTO public.who_data VALUES (88215, 0, 0, 0, 0, 373, 234);
INSERT INTO public.who_data VALUES (88216, 0, 0, 0, 0, 373, 91);
INSERT INTO public.who_data VALUES (88217, 0, 0, 0, 0, 373, 137);
INSERT INTO public.who_data VALUES (88218, 0, 0, 0, 0, 373, 201);
INSERT INTO public.who_data VALUES (88219, 0, 0, 0, 0, 373, 171);
INSERT INTO public.who_data VALUES (88220, 0, 0, 0, 0, 373, 92);
INSERT INTO public.who_data VALUES (88221, 0, 0, 0, 0, 373, 112);
INSERT INTO public.who_data VALUES (88222, 0, 0, 0, 0, 373, 62);
INSERT INTO public.who_data VALUES (88223, 0, 0, 0, 0, 373, 69);
INSERT INTO public.who_data VALUES (88224, 0, 0, 0, 0, 373, 220);
INSERT INTO public.who_data VALUES (88225, 0, 0, 0, 0, 373, 100);
INSERT INTO public.who_data VALUES (88226, 5, 5, 0, 0, 373, 187);
INSERT INTO public.who_data VALUES (88227, 0, 0, 0, 0, 373, 63);
INSERT INTO public.who_data VALUES (88228, 0, 0, 0, 0, 373, 28);
INSERT INTO public.who_data VALUES (88229, 0, 0, 0, 0, 373, 172);
INSERT INTO public.who_data VALUES (88230, 0, 0, 0, 0, 373, 17);
INSERT INTO public.who_data VALUES (88231, 0, 0, 0, 0, 373, 226);
INSERT INTO public.who_data VALUES (88232, 0, 0, 0, 0, 373, 236);
INSERT INTO public.who_data VALUES (88233, 0, 0, 0, 0, 373, 76);
INSERT INTO public.who_data VALUES (88234, 0, 0, 0, 0, 373, 30);
INSERT INTO public.who_data VALUES (88235, 0, 0, 0, 0, 373, 128);
INSERT INTO public.who_data VALUES (88236, 0, 1, 0, 0, 373, 86);
INSERT INTO public.who_data VALUES (88237, 0, 11, 0, 0, 373, 140);
INSERT INTO public.who_data VALUES (88238, 0, 0, 0, 0, 373, 44);
INSERT INTO public.who_data VALUES (88239, 0, 0, 0, 0, 373, 113);
INSERT INTO public.who_data VALUES (88240, 0, 0, 0, 0, 373, 29);
INSERT INTO public.who_data VALUES (88241, 0, 0, 0, 0, 373, 125);
INSERT INTO public.who_data VALUES (88242, 0, 0, 0, 0, 373, 131);
INSERT INTO public.who_data VALUES (88243, 0, 15, 0, 0, 373, 46);
INSERT INTO public.who_data VALUES (88244, 0, 0, 0, 0, 373, 10);
INSERT INTO public.who_data VALUES (88245, 0, 0, 0, 0, 373, 205);
INSERT INTO public.who_data VALUES (88246, 0, 0, 0, 0, 373, 50);
INSERT INTO public.who_data VALUES (88247, 0, 0, 0, 0, 373, 20);
INSERT INTO public.who_data VALUES (88248, 0, 0, 0, 0, 373, 13);
INSERT INTO public.who_data VALUES (88249, 0, 0, 0, 0, 373, 148);
INSERT INTO public.who_data VALUES (88250, 0, 0, 0, 0, 373, 230);
INSERT INTO public.who_data VALUES (88251, 0, 0, 0, 0, 373, 190);
INSERT INTO public.who_data VALUES (88252, 0, 0, 0, 0, 373, 188);
INSERT INTO public.who_data VALUES (88253, 0, 0, 0, 0, 373, 123);
INSERT INTO public.who_data VALUES (88254, 0, 0, 0, 0, 373, 9);
INSERT INTO public.who_data VALUES (88255, 0, 0, 0, 0, 373, 102);
INSERT INTO public.who_data VALUES (88256, 0, 0, 0, 0, 373, 34);
INSERT INTO public.who_data VALUES (88257, 0, 0, 0, 0, 373, 212);
INSERT INTO public.who_data VALUES (88258, 0, 0, 0, 0, 373, 122);
INSERT INTO public.who_data VALUES (88259, 0, 0, 0, 0, 373, 38);
INSERT INTO public.who_data VALUES (88260, 0, 0, 0, 0, 373, 130);
INSERT INTO public.who_data VALUES (88261, 0, 7, 0, 0, 373, 37);
INSERT INTO public.who_data VALUES (88262, 0, 0, 0, 0, 373, 231);
INSERT INTO public.who_data VALUES (88263, 0, 0, 0, 0, 373, 107);
INSERT INTO public.who_data VALUES (88264, 0, 0, 0, 0, 373, 101);
INSERT INTO public.who_data VALUES (88265, 0, 0, 0, 0, 373, 132);
INSERT INTO public.who_data VALUES (88266, 0, 0, 0, 0, 373, 176);
INSERT INTO public.who_data VALUES (88267, 0, 0, 0, 0, 373, 200);
INSERT INTO public.who_data VALUES (88268, 0, 3, 0, 0, 373, 169);
INSERT INTO public.who_data VALUES (88269, 0, 0, 0, 0, 373, 225);
INSERT INTO public.who_data VALUES (88270, 8, 45, 0, 1, 373, 165);
INSERT INTO public.who_data VALUES (88271, 0, 0, 0, 0, 373, 233);
INSERT INTO public.who_data VALUES (88272, 0, 0, 0, 0, 373, 215);
INSERT INTO public.who_data VALUES (88273, 0, 0, 0, 0, 373, 177);
INSERT INTO public.who_data VALUES (88274, 0, 0, 0, 0, 373, 183);
INSERT INTO public.who_data VALUES (88275, 0, 0, 0, 0, 373, 203);
INSERT INTO public.who_data VALUES (88276, 0, 0, 0, 0, 373, 162);
INSERT INTO public.who_data VALUES (88277, 0, 0, 0, 0, 373, 12);
INSERT INTO public.who_data VALUES (88278, 0, 0, 0, 0, 373, 24);
INSERT INTO public.who_data VALUES (88279, 0, 0, 0, 0, 373, 119);
INSERT INTO public.who_data VALUES (88280, 0, 0, 0, 0, 373, 39);
INSERT INTO public.who_data VALUES (88281, 0, 0, 0, 0, 373, 26);
INSERT INTO public.who_data VALUES (88282, 0, 0, 0, 0, 373, 59);
INSERT INTO public.who_data VALUES (88283, 0, 0, 0, 0, 373, 77);
INSERT INTO public.who_data VALUES (88284, 0, 0, 0, 0, 373, 134);
INSERT INTO public.who_data VALUES (88285, 0, 0, 0, 0, 373, 4);
INSERT INTO public.who_data VALUES (88286, 0, 0, 0, 0, 373, 109);
INSERT INTO public.who_data VALUES (88287, 0, 0, 0, 0, 373, 90);
INSERT INTO public.who_data VALUES (88288, 0, 0, 0, 0, 373, 61);
INSERT INTO public.who_data VALUES (88289, 0, 0, 0, 0, 373, 85);
INSERT INTO public.who_data VALUES (88290, 0, 23, 0, 0, 373, 49);
INSERT INTO public.who_data VALUES (88291, 0, 0, 0, 0, 373, 208);
INSERT INTO public.who_data VALUES (88292, 0, 0, 0, 0, 373, 166);
INSERT INTO public.who_data VALUES (88293, 0, 0, 0, 0, 373, 64);
INSERT INTO public.who_data VALUES (88294, 0, 0, 0, 0, 373, 199);
INSERT INTO public.who_data VALUES (88295, 0, 0, 0, 0, 373, 114);
INSERT INTO public.who_data VALUES (88296, 0, 0, 0, 0, 373, 60);
INSERT INTO public.who_data VALUES (88297, 0, 0, 0, 0, 373, 68);
INSERT INTO public.who_data VALUES (88298, 0, 0, 0, 0, 373, 158);
INSERT INTO public.who_data VALUES (88299, 0, 0, 0, 0, 373, 52);
INSERT INTO public.who_data VALUES (88300, 0, 0, 0, 0, 373, 117);
INSERT INTO public.who_data VALUES (88301, 0, 0, 0, 0, 373, 126);
INSERT INTO public.who_data VALUES (88302, 0, 0, 0, 0, 373, 196);
INSERT INTO public.who_data VALUES (88303, 0, 0, 0, 0, 373, 142);
INSERT INTO public.who_data VALUES (88304, 0, 0, 0, 0, 373, 185);
INSERT INTO public.who_data VALUES (88305, 0, 0, 0, 0, 373, 138);
INSERT INTO public.who_data VALUES (88306, 0, 0, 0, 0, 373, 181);
INSERT INTO public.who_data VALUES (88307, 0, 0, 0, 0, 373, 178);
INSERT INTO public.who_data VALUES (88308, 0, 0, 0, 0, 373, 168);
INSERT INTO public.who_data VALUES (88309, 0, 0, 0, 0, 373, 160);
INSERT INTO public.who_data VALUES (88310, 0, 5, 0, 0, 373, 151);
INSERT INTO public.who_data VALUES (88311, 0, 0, 0, 0, 373, 193);
INSERT INTO public.who_data VALUES (88312, 0, 0, 0, 0, 373, 18);
INSERT INTO public.who_data VALUES (88313, 0, 0, 0, 0, 373, 40);
INSERT INTO public.who_data VALUES (88314, 0, 0, 0, 0, 373, 218);
INSERT INTO public.who_data VALUES (88315, 0, 0, 0, 0, 373, 191);
INSERT INTO public.who_data VALUES (88316, 0, 0, 0, 0, 373, 156);
INSERT INTO public.who_data VALUES (88317, 0, 0, 0, 0, 373, 135);
INSERT INTO public.who_data VALUES (88318, 0, 0, 0, 0, 373, 88);
INSERT INTO public.who_data VALUES (88319, 0, 0, 0, 0, 373, 55);
INSERT INTO public.who_data VALUES (88320, 0, 0, 0, 0, 373, 108);
INSERT INTO public.who_data VALUES (88321, 0, 0, 0, 0, 373, 48);
INSERT INTO public.who_data VALUES (88322, 0, 0, 0, 0, 373, 3);
INSERT INTO public.who_data VALUES (88323, 0, 222, 0, 0, 373, 224);
INSERT INTO public.who_data VALUES (88324, 0, 0, 0, 0, 373, 110);
INSERT INTO public.who_data VALUES (88325, 0, 0, 0, 0, 373, 106);
INSERT INTO public.who_data VALUES (88326, 0, 0, 0, 0, 373, 89);
INSERT INTO public.who_data VALUES (88327, 0, 0, 0, 0, 373, 121);
INSERT INTO public.who_data VALUES (88328, 0, 0, 0, 0, 373, 163);
INSERT INTO public.who_data VALUES (88329, 0, 0, 0, 0, 373, 70);
INSERT INTO public.who_data VALUES (88330, 0, 7, 0, 1, 373, 174);
INSERT INTO public.who_data VALUES (88331, 0, 0, 0, 0, 373, 175);
INSERT INTO public.who_data VALUES (88332, 0, 0, 0, 0, 373, 118);
INSERT INTO public.who_data VALUES (88333, 0, 0, 0, 0, 373, 189);
INSERT INTO public.who_data VALUES (88334, 0, 0, 0, 0, 373, 124);
INSERT INTO public.who_data VALUES (88335, 0, 0, 0, 0, 373, 192);
INSERT INTO public.who_data VALUES (88336, 0, 32, 0, 0, 373, 41);
INSERT INTO public.who_data VALUES (88337, 0, 0, 0, 0, 373, 95);
INSERT INTO public.who_data VALUES (88338, 0, 0, 0, 0, 373, 74);
INSERT INTO public.who_data VALUES (88339, 0, 0, 0, 0, 373, 11);
INSERT INTO public.who_data VALUES (88340, 0, 2, 0, 0, 373, 87);
INSERT INTO public.who_data VALUES (88341, 0, 0, 0, 0, 373, 214);
INSERT INTO public.who_data VALUES (88342, 0, 0, 0, 0, 373, 116);
INSERT INTO public.who_data VALUES (88343, 0, 0, 0, 0, 373, 157);
INSERT INTO public.who_data VALUES (88344, 0, 0, 0, 0, 373, 182);
INSERT INTO public.who_data VALUES (88345, 0, 0, 0, 0, 373, 186);
INSERT INTO public.who_data VALUES (88346, 0, 0, 0, 0, 373, 127);
INSERT INTO public.who_data VALUES (88347, 0, 0, 0, 0, 373, 232);
INSERT INTO public.who_data VALUES (88348, 0, 0, 0, 0, 373, 33);
INSERT INTO public.who_data VALUES (88349, 0, 0, 0, 0, 373, 97);
INSERT INTO public.who_data VALUES (88350, 0, 0, 0, 0, 373, 42);
INSERT INTO public.who_data VALUES (88351, 0, 0, 0, 0, 373, 198);
INSERT INTO public.who_data VALUES (88352, 0, 0, 0, 0, 373, 216);
INSERT INTO public.who_data VALUES (88353, 0, 0, 0, 0, 373, 164);
INSERT INTO public.who_data VALUES (88354, 0, 0, 0, 0, 373, 235);
INSERT INTO public.who_data VALUES (88355, 0, 0, 0, 0, 373, 67);
INSERT INTO public.who_data VALUES (88356, 0, 0, 0, 0, 373, 15);
INSERT INTO public.who_data VALUES (88357, 0, 0, 0, 0, 373, 180);
INSERT INTO public.who_data VALUES (88358, 9, 71, 0, 0, 373, 237);
INSERT INTO public.who_data VALUES (88359, 0, 0, 0, 0, 373, 25);
INSERT INTO public.who_data VALUES (88360, 0, 0, 0, 0, 373, 209);
INSERT INTO public.who_data VALUES (88361, 0, 0, 0, 0, 373, 217);
INSERT INTO public.who_data VALUES (88362, 0, 0, 0, 0, 373, 79);
INSERT INTO public.who_data VALUES (88363, 0, 0, 0, 0, 373, 143);
INSERT INTO public.who_data VALUES (88364, 0, 0, 0, 0, 373, 229);
INSERT INTO public.who_data VALUES (88365, 0, 0, 0, 0, 373, 141);
INSERT INTO public.who_data VALUES (88366, 0, 0, 0, 0, 373, 197);
INSERT INTO public.who_data VALUES (88367, 5, 29, 0, 1, 373, 221);
INSERT INTO public.who_data VALUES (88368, 0, 5, 0, 0, 373, 150);
INSERT INTO public.who_data VALUES (88369, 0, 0, 0, 0, 373, 56);
INSERT INTO public.who_data VALUES (88370, 0, 0, 0, 0, 373, 167);
INSERT INTO public.who_data VALUES (88371, 0, 1, 0, 0, 373, 23);
INSERT INTO public.who_data VALUES (88372, 0, 0, 0, 0, 373, 222);
INSERT INTO public.who_data VALUES (88373, 0, 0, 0, 0, 373, 219);
INSERT INTO public.who_data VALUES (88374, 0, 0, 0, 0, 373, 7);
INSERT INTO public.who_data VALUES (88375, 0, 37, 0, 0, 373, 161);
INSERT INTO public.who_data VALUES (88376, 0, 10, 0, 0, 373, 149);
INSERT INTO public.who_data VALUES (88377, 0, 0, 0, 0, 373, 6);
INSERT INTO public.who_data VALUES (88378, 0, 0, 0, 0, 373, 139);
INSERT INTO public.who_data VALUES (88379, 0, 0, 0, 0, 373, 211);
INSERT INTO public.who_data VALUES (88380, 0, 0, 0, 0, 373, 14);
INSERT INTO public.who_data VALUES (88381, 0, 0, 0, 0, 373, 111);
INSERT INTO public.who_data VALUES (88382, 0, 0, 0, 0, 373, 207);
INSERT INTO public.who_data VALUES (88383, 0, 0, 0, 0, 373, 66);
INSERT INTO public.who_data VALUES (88384, 0, 0, 0, 0, 373, 173);
INSERT INTO public.who_data VALUES (88385, 0, 0, 0, 0, 373, 145);
INSERT INTO public.who_data VALUES (88386, 0, 0, 0, 0, 373, 65);
INSERT INTO public.who_data VALUES (88387, 0, 0, 0, 0, 373, 184);
INSERT INTO public.who_data VALUES (88388, 0, 0, 0, 0, 373, 98);
INSERT INTO public.who_data VALUES (88389, 0, 12, 0, 0, 373, 104);
INSERT INTO public.who_data VALUES (88390, 0, 0, 0, 0, 373, 73);
INSERT INTO public.who_data VALUES (88391, 0, 19, 0, 0, 373, 8);
INSERT INTO public.who_data VALUES (88392, 0, 0, 0, 0, 373, 227);
INSERT INTO public.who_data VALUES (88393, 0, 0, 0, 0, 373, 75);
INSERT INTO public.who_data VALUES (88394, 0, 0, 0, 0, 373, 45);
INSERT INTO public.who_data VALUES (88395, 0, 0, 0, 0, 373, 133);
INSERT INTO public.who_data VALUES (88396, 0, 0, 0, 0, 373, 202);
INSERT INTO public.who_data VALUES (88397, 0, 20, 0, 0, 373, 129);
INSERT INTO public.who_data VALUES (88398, 0, 0, 0, 0, 373, 36);
INSERT INTO public.who_data VALUES (88399, 0, 0, 0, 0, 373, 51);
INSERT INTO public.who_data VALUES (88400, 0, 0, 0, 0, 373, 206);
INSERT INTO public.who_data VALUES (88401, 0, 0, 0, 0, 373, 5);
INSERT INTO public.who_data VALUES (88402, 0, 0, 0, 0, 374, 103);
INSERT INTO public.who_data VALUES (88403, 0, 0, 0, 0, 374, 58);
INSERT INTO public.who_data VALUES (88404, 0, 0, 0, 0, 374, 195);
INSERT INTO public.who_data VALUES (88405, 0, 0, 0, 0, 374, 115);
INSERT INTO public.who_data VALUES (88406, 0, 0, 0, 0, 374, 99);
INSERT INTO public.who_data VALUES (88407, 0, 0, 0, 0, 374, 153);
INSERT INTO public.who_data VALUES (88408, 0, 0, 0, 0, 374, 93);
INSERT INTO public.who_data VALUES (88409, 0, 0, 0, 0, 374, 84);
INSERT INTO public.who_data VALUES (88410, 0, 0, 0, 0, 374, 78);
INSERT INTO public.who_data VALUES (88411, 0, 0, 0, 0, 374, 170);
INSERT INTO public.who_data VALUES (88412, 0, 0, 0, 0, 374, 32);
INSERT INTO public.who_data VALUES (88413, 0, 19, 0, 0, 374, 155);
INSERT INTO public.who_data VALUES (88414, 0, 0, 0, 0, 374, 82);
INSERT INTO public.who_data VALUES (88415, 0, 0, 0, 0, 374, 16);
INSERT INTO public.who_data VALUES (88416, 0, 0, 0, 0, 374, 72);
INSERT INTO public.who_data VALUES (88417, 0, 0, 0, 0, 374, 43);
INSERT INTO public.who_data VALUES (88418, 0, 0, 0, 0, 374, 120);
INSERT INTO public.who_data VALUES (88419, 0, 0, 0, 0, 374, 213);
INSERT INTO public.who_data VALUES (88420, 0, 0, 0, 0, 374, 31);
INSERT INTO public.who_data VALUES (88421, 0, 1, 0, 0, 374, 204);
INSERT INTO public.who_data VALUES (88422, 0, 0, 0, 0, 374, 152);
INSERT INTO public.who_data VALUES (88423, 0, 0, 0, 0, 374, 144);
INSERT INTO public.who_data VALUES (88424, 0, 0, 0, 0, 374, 96);
INSERT INTO public.who_data VALUES (88425, 0, 0, 0, 0, 374, 47);
INSERT INTO public.who_data VALUES (88426, 0, 0, 0, 0, 374, 80);
INSERT INTO public.who_data VALUES (88427, 0, 0, 0, 0, 374, 159);
INSERT INTO public.who_data VALUES (88428, 0, 0, 0, 0, 374, 27);
INSERT INTO public.who_data VALUES (88429, 0, 0, 0, 0, 374, 146);
INSERT INTO public.who_data VALUES (88430, 0, 0, 0, 0, 374, 71);
INSERT INTO public.who_data VALUES (88431, 0, 0, 0, 0, 374, 210);
INSERT INTO public.who_data VALUES (88432, 0, 0, 0, 0, 374, 54);
INSERT INTO public.who_data VALUES (88433, 0, 0, 0, 0, 374, 147);
INSERT INTO public.who_data VALUES (88434, 0, 0, 0, 0, 374, 2);
INSERT INTO public.who_data VALUES (88435, 0, 0, 0, 0, 374, 105);
INSERT INTO public.who_data VALUES (88436, 0, 0, 0, 0, 374, 53);
INSERT INTO public.who_data VALUES (88437, 0, 5, 0, 0, 374, 81);
INSERT INTO public.who_data VALUES (88438, 0, 0, 0, 0, 374, 223);
INSERT INTO public.who_data VALUES (88439, 0, 11, 0, 0, 374, 94);
INSERT INTO public.who_data VALUES (88440, 0, 0, 0, 0, 374, 154);
INSERT INTO public.who_data VALUES (88441, 0, 0, 0, 0, 374, 83);
INSERT INTO public.who_data VALUES (88442, 0, 0, 0, 0, 374, 194);
INSERT INTO public.who_data VALUES (88443, 0, 0, 0, 0, 374, 136);
INSERT INTO public.who_data VALUES (88444, 15152, 59886, 254, 1368, 374, 179);
INSERT INTO public.who_data VALUES (88445, 0, 0, 0, 0, 374, 57);
INSERT INTO public.who_data VALUES (88446, 0, 0, 0, 0, 374, 35);
INSERT INTO public.who_data VALUES (88447, 0, 0, 0, 0, 374, 228);
INSERT INTO public.who_data VALUES (88448, 0, 0, 0, 0, 374, 19);
INSERT INTO public.who_data VALUES (88449, 0, 0, 0, 0, 374, 22);
INSERT INTO public.who_data VALUES (88450, 0, 0, 0, 0, 374, 1);
INSERT INTO public.who_data VALUES (88451, 0, 0, 0, 0, 374, 21);
INSERT INTO public.who_data VALUES (88452, 0, 0, 0, 0, 374, 234);
INSERT INTO public.who_data VALUES (88453, 0, 0, 0, 0, 374, 91);
INSERT INTO public.who_data VALUES (88454, 0, 0, 0, 0, 374, 137);
INSERT INTO public.who_data VALUES (88455, 0, 0, 0, 0, 374, 201);
INSERT INTO public.who_data VALUES (88456, 0, 0, 0, 0, 374, 171);
INSERT INTO public.who_data VALUES (88457, 0, 0, 0, 0, 374, 92);
INSERT INTO public.who_data VALUES (88458, 0, 0, 0, 0, 374, 112);
INSERT INTO public.who_data VALUES (88459, 0, 0, 0, 0, 374, 62);
INSERT INTO public.who_data VALUES (88460, 0, 0, 0, 0, 374, 69);
INSERT INTO public.who_data VALUES (88461, 0, 0, 0, 0, 374, 220);
INSERT INTO public.who_data VALUES (88462, 0, 0, 0, 0, 374, 100);
INSERT INTO public.who_data VALUES (88463, 0, 0, 0, 0, 374, 187);
INSERT INTO public.who_data VALUES (88464, 0, 0, 0, 0, 374, 63);
INSERT INTO public.who_data VALUES (88465, 0, 0, 0, 0, 374, 28);
INSERT INTO public.who_data VALUES (88466, 0, 0, 0, 0, 374, 172);
INSERT INTO public.who_data VALUES (88467, 0, 0, 0, 0, 374, 17);
INSERT INTO public.who_data VALUES (88468, 0, 0, 0, 0, 374, 226);
INSERT INTO public.who_data VALUES (88469, 0, 0, 0, 0, 374, 236);
INSERT INTO public.who_data VALUES (88470, 0, 0, 0, 0, 374, 76);
INSERT INTO public.who_data VALUES (88471, 0, 0, 0, 0, 374, 30);
INSERT INTO public.who_data VALUES (88472, 0, 0, 0, 0, 374, 128);
INSERT INTO public.who_data VALUES (88473, 0, 1, 0, 0, 374, 86);
INSERT INTO public.who_data VALUES (88474, 0, 11, 0, 0, 374, 140);
INSERT INTO public.who_data VALUES (88475, 0, 0, 0, 0, 374, 44);
INSERT INTO public.who_data VALUES (88476, 0, 0, 0, 0, 374, 113);
INSERT INTO public.who_data VALUES (88477, 0, 0, 0, 0, 374, 29);
INSERT INTO public.who_data VALUES (88478, 0, 0, 0, 0, 374, 125);
INSERT INTO public.who_data VALUES (88479, 0, 0, 0, 0, 374, 131);
INSERT INTO public.who_data VALUES (88480, 0, 15, 0, 0, 374, 46);
INSERT INTO public.who_data VALUES (88481, 0, 0, 0, 0, 374, 10);
INSERT INTO public.who_data VALUES (88482, 0, 0, 0, 0, 374, 205);
INSERT INTO public.who_data VALUES (88483, 0, 0, 0, 0, 374, 50);
INSERT INTO public.who_data VALUES (88484, 0, 0, 0, 0, 374, 20);
INSERT INTO public.who_data VALUES (88485, 0, 0, 0, 0, 374, 13);
INSERT INTO public.who_data VALUES (88486, 0, 0, 0, 0, 374, 148);
INSERT INTO public.who_data VALUES (88487, 0, 0, 0, 0, 374, 230);
INSERT INTO public.who_data VALUES (88488, 0, 0, 0, 0, 374, 190);
INSERT INTO public.who_data VALUES (88489, 0, 0, 0, 0, 374, 188);
INSERT INTO public.who_data VALUES (88490, 0, 0, 0, 0, 374, 123);
INSERT INTO public.who_data VALUES (88491, 0, 0, 0, 0, 374, 9);
INSERT INTO public.who_data VALUES (88492, 0, 0, 0, 0, 374, 102);
INSERT INTO public.who_data VALUES (88493, 0, 0, 0, 0, 374, 34);
INSERT INTO public.who_data VALUES (88494, 0, 0, 0, 0, 374, 212);
INSERT INTO public.who_data VALUES (88495, 0, 0, 0, 0, 374, 122);
INSERT INTO public.who_data VALUES (88496, 0, 0, 0, 0, 374, 38);
INSERT INTO public.who_data VALUES (88497, 0, 0, 0, 0, 374, 130);
INSERT INTO public.who_data VALUES (88498, 0, 7, 0, 0, 374, 37);
INSERT INTO public.who_data VALUES (88499, 0, 0, 0, 0, 374, 231);
INSERT INTO public.who_data VALUES (88500, 0, 0, 0, 0, 374, 107);
INSERT INTO public.who_data VALUES (88501, 0, 0, 0, 0, 374, 101);
INSERT INTO public.who_data VALUES (88502, 0, 0, 0, 0, 374, 132);
INSERT INTO public.who_data VALUES (88503, 0, 0, 0, 0, 374, 176);
INSERT INTO public.who_data VALUES (88504, 0, 0, 0, 0, 374, 200);
INSERT INTO public.who_data VALUES (88505, 0, 3, 0, 0, 374, 169);
INSERT INTO public.who_data VALUES (88506, 0, 0, 0, 0, 374, 225);
INSERT INTO public.who_data VALUES (88507, 4, 37, 1, 1, 374, 165);
INSERT INTO public.who_data VALUES (88508, 0, 0, 0, 0, 374, 233);
INSERT INTO public.who_data VALUES (88509, 0, 0, 0, 0, 374, 215);
INSERT INTO public.who_data VALUES (88510, 0, 0, 0, 0, 374, 177);
INSERT INTO public.who_data VALUES (88511, 0, 0, 0, 0, 374, 183);
INSERT INTO public.who_data VALUES (88512, 0, 0, 0, 0, 374, 203);
INSERT INTO public.who_data VALUES (88513, 0, 0, 0, 0, 374, 162);
INSERT INTO public.who_data VALUES (88514, 0, 0, 0, 0, 374, 12);
INSERT INTO public.who_data VALUES (88515, 0, 0, 0, 0, 374, 24);
INSERT INTO public.who_data VALUES (88516, 0, 0, 0, 0, 374, 119);
INSERT INTO public.who_data VALUES (88517, 0, 0, 0, 0, 374, 39);
INSERT INTO public.who_data VALUES (88518, 0, 0, 0, 0, 374, 26);
INSERT INTO public.who_data VALUES (88519, 0, 0, 0, 0, 374, 59);
INSERT INTO public.who_data VALUES (88520, 0, 0, 0, 0, 374, 77);
INSERT INTO public.who_data VALUES (88521, 0, 0, 0, 0, 374, 134);
INSERT INTO public.who_data VALUES (88522, 0, 0, 0, 0, 374, 4);
INSERT INTO public.who_data VALUES (88523, 0, 0, 0, 0, 374, 109);
INSERT INTO public.who_data VALUES (88524, 0, 0, 0, 0, 374, 90);
INSERT INTO public.who_data VALUES (88525, 0, 0, 0, 0, 374, 61);
INSERT INTO public.who_data VALUES (88526, 0, 0, 0, 0, 374, 85);
INSERT INTO public.who_data VALUES (88527, 1, 23, 0, 0, 374, 49);
INSERT INTO public.who_data VALUES (88528, 0, 0, 0, 0, 374, 208);
INSERT INTO public.who_data VALUES (88529, 0, 0, 0, 0, 374, 166);
INSERT INTO public.who_data VALUES (88530, 0, 0, 0, 0, 374, 64);
INSERT INTO public.who_data VALUES (88531, 0, 0, 0, 0, 374, 199);
INSERT INTO public.who_data VALUES (88532, 0, 0, 0, 0, 374, 114);
INSERT INTO public.who_data VALUES (88533, 0, 0, 0, 0, 374, 60);
INSERT INTO public.who_data VALUES (88534, 0, 0, 0, 0, 374, 68);
INSERT INTO public.who_data VALUES (88535, 0, 0, 0, 0, 374, 158);
INSERT INTO public.who_data VALUES (88536, 0, 0, 0, 0, 374, 52);
INSERT INTO public.who_data VALUES (88537, 0, 0, 0, 0, 374, 117);
INSERT INTO public.who_data VALUES (88538, 0, 0, 0, 0, 374, 126);
INSERT INTO public.who_data VALUES (88539, 0, 0, 0, 0, 374, 196);
INSERT INTO public.who_data VALUES (88540, 0, 0, 0, 0, 374, 142);
INSERT INTO public.who_data VALUES (88541, 0, 0, 0, 0, 374, 185);
INSERT INTO public.who_data VALUES (88542, 0, 0, 0, 0, 374, 138);
INSERT INTO public.who_data VALUES (88543, 0, 0, 0, 0, 374, 181);
INSERT INTO public.who_data VALUES (88544, 0, 0, 0, 0, 374, 178);
INSERT INTO public.who_data VALUES (88545, 0, 0, 0, 0, 374, 168);
INSERT INTO public.who_data VALUES (88546, 0, 0, 0, 0, 374, 160);
INSERT INTO public.who_data VALUES (88547, 0, 5, 0, 0, 374, 151);
INSERT INTO public.who_data VALUES (88548, 0, 0, 0, 0, 374, 193);
INSERT INTO public.who_data VALUES (88549, 0, 0, 0, 0, 374, 18);
INSERT INTO public.who_data VALUES (88550, 0, 0, 0, 0, 374, 40);
INSERT INTO public.who_data VALUES (88551, 0, 0, 0, 0, 374, 218);
INSERT INTO public.who_data VALUES (88552, 0, 0, 0, 0, 374, 191);
INSERT INTO public.who_data VALUES (88553, 0, 0, 0, 0, 374, 156);
INSERT INTO public.who_data VALUES (88554, 0, 0, 0, 0, 374, 135);
INSERT INTO public.who_data VALUES (88555, 0, 0, 0, 0, 374, 88);
INSERT INTO public.who_data VALUES (88556, 0, 0, 0, 0, 374, 55);
INSERT INTO public.who_data VALUES (88557, 0, 0, 0, 0, 374, 108);
INSERT INTO public.who_data VALUES (88558, 0, 0, 0, 0, 374, 48);
INSERT INTO public.who_data VALUES (88559, 0, 0, 0, 0, 374, 3);
INSERT INTO public.who_data VALUES (88560, 44, 222, 0, 0, 374, 224);
INSERT INTO public.who_data VALUES (88561, 0, 0, 0, 0, 374, 110);
INSERT INTO public.who_data VALUES (88562, 0, 0, 0, 0, 374, 106);
INSERT INTO public.who_data VALUES (88563, 0, 0, 0, 0, 374, 89);
INSERT INTO public.who_data VALUES (88564, 0, 0, 0, 0, 374, 121);
INSERT INTO public.who_data VALUES (88565, 0, 0, 0, 0, 374, 163);
INSERT INTO public.who_data VALUES (88566, 0, 0, 0, 0, 374, 70);
INSERT INTO public.who_data VALUES (88567, 0, 7, 0, 1, 374, 174);
INSERT INTO public.who_data VALUES (88568, 0, 0, 0, 0, 374, 175);
INSERT INTO public.who_data VALUES (88569, 0, 0, 0, 0, 374, 118);
INSERT INTO public.who_data VALUES (88570, 0, 0, 0, 0, 374, 189);
INSERT INTO public.who_data VALUES (88571, 0, 0, 0, 0, 374, 124);
INSERT INTO public.who_data VALUES (88572, 0, 0, 0, 0, 374, 192);
INSERT INTO public.who_data VALUES (88573, 0, 32, 0, 0, 374, 41);
INSERT INTO public.who_data VALUES (88574, 0, 0, 0, 0, 374, 95);
INSERT INTO public.who_data VALUES (88575, 0, 0, 0, 0, 374, 74);
INSERT INTO public.who_data VALUES (88576, 0, 0, 0, 0, 374, 11);
INSERT INTO public.who_data VALUES (88577, 0, 2, 0, 0, 374, 87);
INSERT INTO public.who_data VALUES (88578, 0, 0, 0, 0, 374, 214);
INSERT INTO public.who_data VALUES (88579, 0, 0, 0, 0, 374, 116);
INSERT INTO public.who_data VALUES (88580, 0, 0, 0, 0, 374, 157);
INSERT INTO public.who_data VALUES (88581, 0, 0, 0, 0, 374, 182);
INSERT INTO public.who_data VALUES (88582, 0, 0, 0, 0, 374, 186);
INSERT INTO public.who_data VALUES (88583, 0, 0, 0, 0, 374, 127);
INSERT INTO public.who_data VALUES (88584, 0, 0, 0, 0, 374, 232);
INSERT INTO public.who_data VALUES (88585, 0, 0, 0, 0, 374, 33);
INSERT INTO public.who_data VALUES (88586, 0, 0, 0, 0, 374, 97);
INSERT INTO public.who_data VALUES (88587, 0, 0, 0, 0, 374, 42);
INSERT INTO public.who_data VALUES (88588, 0, 0, 0, 0, 374, 198);
INSERT INTO public.who_data VALUES (88589, 0, 0, 0, 0, 374, 216);
INSERT INTO public.who_data VALUES (88590, 0, 0, 0, 0, 374, 164);
INSERT INTO public.who_data VALUES (88591, 0, 0, 0, 0, 374, 235);
INSERT INTO public.who_data VALUES (88592, 0, 0, 0, 0, 374, 67);
INSERT INTO public.who_data VALUES (88593, 0, 0, 0, 0, 374, 15);
INSERT INTO public.who_data VALUES (88594, 0, 0, 0, 0, 374, 180);
INSERT INTO public.who_data VALUES (88595, 8, 62, 0, 0, 374, 237);
INSERT INTO public.who_data VALUES (88596, 0, 0, 0, 0, 374, 25);
INSERT INTO public.who_data VALUES (88597, 0, 0, 0, 0, 374, 209);
INSERT INTO public.who_data VALUES (88598, 0, 0, 0, 0, 374, 217);
INSERT INTO public.who_data VALUES (88599, 0, 0, 0, 0, 374, 79);
INSERT INTO public.who_data VALUES (88600, 0, 0, 0, 0, 374, 143);
INSERT INTO public.who_data VALUES (88601, 0, 0, 0, 0, 374, 229);
INSERT INTO public.who_data VALUES (88602, 0, 0, 0, 0, 374, 141);
INSERT INTO public.who_data VALUES (88603, 0, 0, 0, 0, 374, 197);
INSERT INTO public.who_data VALUES (88604, 0, 24, 1, 1, 374, 221);
INSERT INTO public.who_data VALUES (88605, 0, 5, 0, 0, 374, 150);
INSERT INTO public.who_data VALUES (88606, 0, 0, 0, 0, 374, 56);
INSERT INTO public.who_data VALUES (88607, 0, 0, 0, 0, 374, 167);
INSERT INTO public.who_data VALUES (88608, 0, 1, 0, 0, 374, 23);
INSERT INTO public.who_data VALUES (88609, 0, 0, 0, 0, 374, 222);
INSERT INTO public.who_data VALUES (88610, 0, 0, 0, 0, 374, 219);
INSERT INTO public.who_data VALUES (88611, 0, 0, 0, 0, 374, 7);
INSERT INTO public.who_data VALUES (88612, 0, 37, 0, 0, 374, 161);
INSERT INTO public.who_data VALUES (88613, 1, 10, 0, 0, 374, 149);
INSERT INTO public.who_data VALUES (88614, 0, 0, 0, 0, 374, 6);
INSERT INTO public.who_data VALUES (88615, 0, 0, 0, 0, 374, 139);
INSERT INTO public.who_data VALUES (88616, 0, 0, 0, 0, 374, 211);
INSERT INTO public.who_data VALUES (88617, 0, 0, 0, 0, 374, 14);
INSERT INTO public.who_data VALUES (88618, 0, 0, 0, 0, 374, 111);
INSERT INTO public.who_data VALUES (88619, 0, 0, 0, 0, 374, 207);
INSERT INTO public.who_data VALUES (88620, 0, 0, 0, 0, 374, 66);
INSERT INTO public.who_data VALUES (88621, 0, 0, 0, 0, 374, 173);
INSERT INTO public.who_data VALUES (88622, 0, 0, 0, 0, 374, 145);
INSERT INTO public.who_data VALUES (88623, 0, 0, 0, 0, 374, 65);
INSERT INTO public.who_data VALUES (88624, 0, 0, 0, 0, 374, 184);
INSERT INTO public.who_data VALUES (88625, 0, 0, 0, 0, 374, 98);
INSERT INTO public.who_data VALUES (88626, 0, 12, 0, 0, 374, 104);
INSERT INTO public.who_data VALUES (88627, 0, 0, 0, 0, 374, 73);
INSERT INTO public.who_data VALUES (88628, 2, 19, 0, 0, 374, 8);
INSERT INTO public.who_data VALUES (88629, 0, 0, 0, 0, 374, 227);
INSERT INTO public.who_data VALUES (88630, 0, 0, 0, 0, 374, 75);
INSERT INTO public.who_data VALUES (88631, 0, 0, 0, 0, 374, 45);
INSERT INTO public.who_data VALUES (88632, 0, 0, 0, 0, 374, 133);
INSERT INTO public.who_data VALUES (88633, 0, 0, 0, 0, 374, 202);
INSERT INTO public.who_data VALUES (88634, 1, 20, 0, 0, 374, 129);
INSERT INTO public.who_data VALUES (88635, 0, 0, 0, 0, 374, 36);
INSERT INTO public.who_data VALUES (88636, 0, 0, 0, 0, 374, 51);
INSERT INTO public.who_data VALUES (88637, 0, 0, 0, 0, 374, 206);
INSERT INTO public.who_data VALUES (88638, 0, 0, 0, 0, 374, 5);
INSERT INTO public.who_data VALUES (88639, 0, 0, 0, 0, 375, 103);
INSERT INTO public.who_data VALUES (88640, 0, 0, 0, 0, 375, 58);
INSERT INTO public.who_data VALUES (88641, 0, 0, 0, 0, 375, 195);
INSERT INTO public.who_data VALUES (88642, 0, 0, 0, 0, 375, 115);
INSERT INTO public.who_data VALUES (88643, 0, 0, 0, 0, 375, 99);
INSERT INTO public.who_data VALUES (88644, 0, 0, 0, 0, 375, 153);
INSERT INTO public.who_data VALUES (88645, 0, 0, 0, 0, 375, 93);
INSERT INTO public.who_data VALUES (88646, 0, 0, 0, 0, 375, 84);
INSERT INTO public.who_data VALUES (88647, 0, 0, 0, 0, 375, 78);
INSERT INTO public.who_data VALUES (88648, 0, 0, 0, 0, 375, 170);
INSERT INTO public.who_data VALUES (88649, 0, 0, 0, 0, 375, 32);
INSERT INTO public.who_data VALUES (88650, 0, 19, 0, 0, 375, 155);
INSERT INTO public.who_data VALUES (88651, 0, 0, 0, 0, 375, 82);
INSERT INTO public.who_data VALUES (88652, 0, 0, 0, 0, 375, 16);
INSERT INTO public.who_data VALUES (88653, 0, 0, 0, 0, 375, 72);
INSERT INTO public.who_data VALUES (88654, 0, 0, 0, 0, 375, 43);
INSERT INTO public.who_data VALUES (88655, 0, 0, 0, 0, 375, 120);
INSERT INTO public.who_data VALUES (88656, 0, 0, 0, 0, 375, 213);
INSERT INTO public.who_data VALUES (88657, 0, 0, 0, 0, 375, 31);
INSERT INTO public.who_data VALUES (88658, 0, 1, 0, 0, 375, 204);
INSERT INTO public.who_data VALUES (88659, 0, 0, 0, 0, 375, 152);
INSERT INTO public.who_data VALUES (88660, 0, 0, 0, 0, 375, 144);
INSERT INTO public.who_data VALUES (88661, 0, 0, 0, 0, 375, 96);
INSERT INTO public.who_data VALUES (88662, 0, 0, 0, 0, 375, 47);
INSERT INTO public.who_data VALUES (88663, 0, 0, 0, 0, 375, 80);
INSERT INTO public.who_data VALUES (88664, 0, 0, 0, 0, 375, 159);
INSERT INTO public.who_data VALUES (88665, 0, 0, 0, 0, 375, 27);
INSERT INTO public.who_data VALUES (88666, 0, 0, 0, 0, 375, 146);
INSERT INTO public.who_data VALUES (88667, 0, 0, 0, 0, 375, 71);
INSERT INTO public.who_data VALUES (88668, 0, 0, 0, 0, 375, 210);
INSERT INTO public.who_data VALUES (88669, 0, 0, 0, 0, 375, 54);
INSERT INTO public.who_data VALUES (88670, 0, 0, 0, 0, 375, 147);
INSERT INTO public.who_data VALUES (88671, 0, 0, 0, 0, 375, 2);
INSERT INTO public.who_data VALUES (88672, 0, 0, 0, 0, 375, 105);
INSERT INTO public.who_data VALUES (88673, 0, 0, 0, 0, 375, 53);
INSERT INTO public.who_data VALUES (88674, 0, 5, 0, 0, 375, 81);
INSERT INTO public.who_data VALUES (88675, 0, 0, 0, 0, 375, 223);
INSERT INTO public.who_data VALUES (88676, 0, 11, 0, 0, 375, 94);
INSERT INTO public.who_data VALUES (88677, 0, 0, 0, 0, 375, 154);
INSERT INTO public.who_data VALUES (88678, 0, 0, 0, 0, 375, 83);
INSERT INTO public.who_data VALUES (88679, 0, 0, 0, 0, 375, 194);
INSERT INTO public.who_data VALUES (88680, 0, 0, 0, 0, 375, 136);
INSERT INTO public.who_data VALUES (88681, 2022, 44734, 97, 1114, 375, 179);
INSERT INTO public.who_data VALUES (88682, 0, 0, 0, 0, 375, 57);
INSERT INTO public.who_data VALUES (88683, 0, 0, 0, 0, 375, 35);
INSERT INTO public.who_data VALUES (88684, 0, 0, 0, 0, 375, 228);
INSERT INTO public.who_data VALUES (88685, 0, 0, 0, 0, 375, 19);
INSERT INTO public.who_data VALUES (88686, 0, 0, 0, 0, 375, 22);
INSERT INTO public.who_data VALUES (88687, 0, 0, 0, 0, 375, 1);
INSERT INTO public.who_data VALUES (88688, 0, 0, 0, 0, 375, 21);
INSERT INTO public.who_data VALUES (88689, 0, 0, 0, 0, 375, 234);
INSERT INTO public.who_data VALUES (88690, 0, 0, 0, 0, 375, 91);
INSERT INTO public.who_data VALUES (88691, 0, 0, 0, 0, 375, 137);
INSERT INTO public.who_data VALUES (88692, 0, 0, 0, 0, 375, 201);
INSERT INTO public.who_data VALUES (88693, 0, 0, 0, 0, 375, 171);
INSERT INTO public.who_data VALUES (88694, 0, 0, 0, 0, 375, 92);
INSERT INTO public.who_data VALUES (88695, 0, 0, 0, 0, 375, 112);
INSERT INTO public.who_data VALUES (88696, 0, 0, 0, 0, 375, 62);
INSERT INTO public.who_data VALUES (88697, 0, 0, 0, 0, 375, 69);
INSERT INTO public.who_data VALUES (88698, 0, 0, 0, 0, 375, 220);
INSERT INTO public.who_data VALUES (88699, 0, 0, 0, 0, 375, 100);
INSERT INTO public.who_data VALUES (88700, 0, 0, 0, 0, 375, 187);
INSERT INTO public.who_data VALUES (88701, 0, 0, 0, 0, 375, 63);
INSERT INTO public.who_data VALUES (88702, 0, 0, 0, 0, 375, 28);
INSERT INTO public.who_data VALUES (88703, 0, 0, 0, 0, 375, 172);
INSERT INTO public.who_data VALUES (88704, 0, 0, 0, 0, 375, 17);
INSERT INTO public.who_data VALUES (88705, 0, 0, 0, 0, 375, 226);
INSERT INTO public.who_data VALUES (88706, 0, 0, 0, 0, 375, 236);
INSERT INTO public.who_data VALUES (88707, 0, 0, 0, 0, 375, 76);
INSERT INTO public.who_data VALUES (88708, 0, 0, 0, 0, 375, 30);
INSERT INTO public.who_data VALUES (88709, 0, 0, 0, 0, 375, 128);
INSERT INTO public.who_data VALUES (88710, 0, 1, 0, 0, 375, 86);
INSERT INTO public.who_data VALUES (88711, 0, 11, 0, 0, 375, 140);
INSERT INTO public.who_data VALUES (88712, 0, 0, 0, 0, 375, 44);
INSERT INTO public.who_data VALUES (88713, 0, 0, 0, 0, 375, 113);
INSERT INTO public.who_data VALUES (88714, 0, 0, 0, 0, 375, 29);
INSERT INTO public.who_data VALUES (88715, 0, 0, 0, 0, 375, 125);
INSERT INTO public.who_data VALUES (88716, 0, 0, 0, 0, 375, 131);
INSERT INTO public.who_data VALUES (88717, 2, 15, 0, 0, 375, 46);
INSERT INTO public.who_data VALUES (88718, 0, 0, 0, 0, 375, 10);
INSERT INTO public.who_data VALUES (88719, 0, 0, 0, 0, 375, 205);
INSERT INTO public.who_data VALUES (88720, 0, 0, 0, 0, 375, 50);
INSERT INTO public.who_data VALUES (88721, 0, 0, 0, 0, 375, 20);
INSERT INTO public.who_data VALUES (88722, 0, 0, 0, 0, 375, 13);
INSERT INTO public.who_data VALUES (88723, 0, 0, 0, 0, 375, 148);
INSERT INTO public.who_data VALUES (88724, 0, 0, 0, 0, 375, 230);
INSERT INTO public.who_data VALUES (88725, 0, 0, 0, 0, 375, 190);
INSERT INTO public.who_data VALUES (88726, 0, 0, 0, 0, 375, 188);
INSERT INTO public.who_data VALUES (88727, 0, 0, 0, 0, 375, 123);
INSERT INTO public.who_data VALUES (88728, 0, 0, 0, 0, 375, 9);
INSERT INTO public.who_data VALUES (88729, 0, 0, 0, 0, 375, 102);
INSERT INTO public.who_data VALUES (88730, 0, 0, 0, 0, 375, 34);
INSERT INTO public.who_data VALUES (88731, 0, 0, 0, 0, 375, 212);
INSERT INTO public.who_data VALUES (88732, 0, 0, 0, 0, 375, 122);
INSERT INTO public.who_data VALUES (88733, 0, 0, 0, 0, 375, 38);
INSERT INTO public.who_data VALUES (88734, 0, 0, 0, 0, 375, 130);
INSERT INTO public.who_data VALUES (88735, 0, 7, 0, 0, 375, 37);
INSERT INTO public.who_data VALUES (88736, 0, 0, 0, 0, 375, 231);
INSERT INTO public.who_data VALUES (88737, 0, 0, 0, 0, 375, 107);
INSERT INTO public.who_data VALUES (88738, 0, 0, 0, 0, 375, 101);
INSERT INTO public.who_data VALUES (88739, 0, 0, 0, 0, 375, 132);
INSERT INTO public.who_data VALUES (88740, 0, 0, 0, 0, 375, 176);
INSERT INTO public.who_data VALUES (88741, 0, 0, 0, 0, 375, 200);
INSERT INTO public.who_data VALUES (88742, 0, 3, 0, 0, 375, 169);
INSERT INTO public.who_data VALUES (88743, 0, 0, 0, 0, 375, 225);
INSERT INTO public.who_data VALUES (88744, 1, 33, 0, 0, 375, 165);
INSERT INTO public.who_data VALUES (88745, 0, 0, 0, 0, 375, 233);
INSERT INTO public.who_data VALUES (88746, 0, 0, 0, 0, 375, 215);
INSERT INTO public.who_data VALUES (88747, 0, 0, 0, 0, 375, 177);
INSERT INTO public.who_data VALUES (88748, 0, 0, 0, 0, 375, 183);
INSERT INTO public.who_data VALUES (88749, 0, 0, 0, 0, 375, 203);
INSERT INTO public.who_data VALUES (88750, 0, 0, 0, 0, 375, 162);
INSERT INTO public.who_data VALUES (88751, 0, 0, 0, 0, 375, 12);
INSERT INTO public.who_data VALUES (88752, 0, 0, 0, 0, 375, 24);
INSERT INTO public.who_data VALUES (88753, 0, 0, 0, 0, 375, 119);
INSERT INTO public.who_data VALUES (88754, 0, 0, 0, 0, 375, 39);
INSERT INTO public.who_data VALUES (88755, 0, 0, 0, 0, 375, 26);
INSERT INTO public.who_data VALUES (88756, 0, 0, 0, 0, 375, 59);
INSERT INTO public.who_data VALUES (88757, 0, 0, 0, 0, 375, 77);
INSERT INTO public.who_data VALUES (88758, 0, 0, 0, 0, 375, 134);
INSERT INTO public.who_data VALUES (88759, 0, 0, 0, 0, 375, 4);
INSERT INTO public.who_data VALUES (88760, 0, 0, 0, 0, 375, 109);
INSERT INTO public.who_data VALUES (88761, 0, 0, 0, 0, 375, 90);
INSERT INTO public.who_data VALUES (88762, 0, 0, 0, 0, 375, 61);
INSERT INTO public.who_data VALUES (88763, 0, 0, 0, 0, 375, 85);
INSERT INTO public.who_data VALUES (88764, 0, 22, 0, 0, 375, 49);
INSERT INTO public.who_data VALUES (88765, 0, 0, 0, 0, 375, 208);
INSERT INTO public.who_data VALUES (88766, 0, 0, 0, 0, 375, 166);
INSERT INTO public.who_data VALUES (88767, 0, 0, 0, 0, 375, 64);
INSERT INTO public.who_data VALUES (88768, 0, 0, 0, 0, 375, 199);
INSERT INTO public.who_data VALUES (88769, 0, 0, 0, 0, 375, 114);
INSERT INTO public.who_data VALUES (88770, 0, 0, 0, 0, 375, 60);
INSERT INTO public.who_data VALUES (88771, 0, 0, 0, 0, 375, 68);
INSERT INTO public.who_data VALUES (88772, 0, 0, 0, 0, 375, 158);
INSERT INTO public.who_data VALUES (88773, 0, 0, 0, 0, 375, 52);
INSERT INTO public.who_data VALUES (88774, 0, 0, 0, 0, 375, 117);
INSERT INTO public.who_data VALUES (88775, 0, 0, 0, 0, 375, 126);
INSERT INTO public.who_data VALUES (88776, 0, 0, 0, 0, 375, 196);
INSERT INTO public.who_data VALUES (88777, 0, 0, 0, 0, 375, 142);
INSERT INTO public.who_data VALUES (88778, 0, 0, 0, 0, 375, 185);
INSERT INTO public.who_data VALUES (88779, 0, 0, 0, 0, 375, 138);
INSERT INTO public.who_data VALUES (88780, 0, 0, 0, 0, 375, 181);
INSERT INTO public.who_data VALUES (88781, 0, 0, 0, 0, 375, 178);
INSERT INTO public.who_data VALUES (88782, 0, 0, 0, 0, 375, 168);
INSERT INTO public.who_data VALUES (88783, 0, 0, 0, 0, 375, 160);
INSERT INTO public.who_data VALUES (88784, 0, 5, 0, 0, 375, 151);
INSERT INTO public.who_data VALUES (88785, 0, 0, 0, 0, 375, 193);
INSERT INTO public.who_data VALUES (88786, 0, 0, 0, 0, 375, 18);
INSERT INTO public.who_data VALUES (88787, 0, 0, 0, 0, 375, 40);
INSERT INTO public.who_data VALUES (88788, 0, 0, 0, 0, 375, 218);
INSERT INTO public.who_data VALUES (88789, 0, 0, 0, 0, 375, 191);
INSERT INTO public.who_data VALUES (88790, 0, 0, 0, 0, 375, 156);
INSERT INTO public.who_data VALUES (88791, 0, 0, 0, 0, 375, 135);
INSERT INTO public.who_data VALUES (88792, 0, 0, 0, 0, 375, 88);
INSERT INTO public.who_data VALUES (88793, 0, 0, 0, 0, 375, 55);
INSERT INTO public.who_data VALUES (88794, 0, 0, 0, 0, 375, 108);
INSERT INTO public.who_data VALUES (88795, 0, 0, 0, 0, 375, 48);
INSERT INTO public.who_data VALUES (88796, 0, 0, 0, 0, 375, 3);
INSERT INTO public.who_data VALUES (88797, 39, 178, 0, 0, 375, 224);
INSERT INTO public.who_data VALUES (88798, 0, 0, 0, 0, 375, 110);
INSERT INTO public.who_data VALUES (88799, 0, 0, 0, 0, 375, 106);
INSERT INTO public.who_data VALUES (88800, 0, 0, 0, 0, 375, 89);
INSERT INTO public.who_data VALUES (88801, 0, 0, 0, 0, 375, 121);
INSERT INTO public.who_data VALUES (88802, 0, 0, 0, 0, 375, 163);
INSERT INTO public.who_data VALUES (88803, 0, 0, 0, 0, 375, 70);
INSERT INTO public.who_data VALUES (88804, 0, 7, 0, 1, 375, 174);
INSERT INTO public.who_data VALUES (88805, 0, 0, 0, 0, 375, 175);
INSERT INTO public.who_data VALUES (88806, 0, 0, 0, 0, 375, 118);
INSERT INTO public.who_data VALUES (88807, 0, 0, 0, 0, 375, 189);
INSERT INTO public.who_data VALUES (88808, 0, 0, 0, 0, 375, 124);
INSERT INTO public.who_data VALUES (88809, 0, 0, 0, 0, 375, 192);
INSERT INTO public.who_data VALUES (88810, 0, 32, 0, 0, 375, 41);
INSERT INTO public.who_data VALUES (88811, 0, 0, 0, 0, 375, 95);
INSERT INTO public.who_data VALUES (88812, 0, 0, 0, 0, 375, 74);
INSERT INTO public.who_data VALUES (88813, 0, 0, 0, 0, 375, 11);
INSERT INTO public.who_data VALUES (88814, 0, 2, 0, 0, 375, 87);
INSERT INTO public.who_data VALUES (88815, 0, 0, 0, 0, 375, 214);
INSERT INTO public.who_data VALUES (88816, 0, 0, 0, 0, 375, 116);
INSERT INTO public.who_data VALUES (88817, 0, 0, 0, 0, 375, 157);
INSERT INTO public.who_data VALUES (88818, 0, 0, 0, 0, 375, 182);
INSERT INTO public.who_data VALUES (88819, 0, 0, 0, 0, 375, 186);
INSERT INTO public.who_data VALUES (88820, 0, 0, 0, 0, 375, 127);
INSERT INTO public.who_data VALUES (88821, 0, 0, 0, 0, 375, 232);
INSERT INTO public.who_data VALUES (88822, 0, 0, 0, 0, 375, 33);
INSERT INTO public.who_data VALUES (88823, 0, 0, 0, 0, 375, 97);
INSERT INTO public.who_data VALUES (88824, 0, 0, 0, 0, 375, 42);
INSERT INTO public.who_data VALUES (88825, 0, 0, 0, 0, 375, 198);
INSERT INTO public.who_data VALUES (88826, 0, 0, 0, 0, 375, 216);
INSERT INTO public.who_data VALUES (88827, 0, 0, 0, 0, 375, 164);
INSERT INTO public.who_data VALUES (88828, 0, 0, 0, 0, 375, 235);
INSERT INTO public.who_data VALUES (88829, 0, 0, 0, 0, 375, 67);
INSERT INTO public.who_data VALUES (88830, 0, 0, 0, 0, 375, 15);
INSERT INTO public.who_data VALUES (88831, 0, 0, 0, 0, 375, 180);
INSERT INTO public.who_data VALUES (88832, 3, 54, 0, 0, 375, 237);
INSERT INTO public.who_data VALUES (88833, 0, 0, 0, 0, 375, 25);
INSERT INTO public.who_data VALUES (88834, 0, 0, 0, 0, 375, 209);
INSERT INTO public.who_data VALUES (88835, 0, 0, 0, 0, 375, 217);
INSERT INTO public.who_data VALUES (88836, 0, 0, 0, 0, 375, 79);
INSERT INTO public.who_data VALUES (88837, 0, 0, 0, 0, 375, 143);
INSERT INTO public.who_data VALUES (88838, 0, 0, 0, 0, 375, 229);
INSERT INTO public.who_data VALUES (88839, 0, 0, 0, 0, 375, 141);
INSERT INTO public.who_data VALUES (88840, 0, 0, 0, 0, 375, 197);
INSERT INTO public.who_data VALUES (88841, 0, 24, 0, 0, 375, 221);
INSERT INTO public.who_data VALUES (88842, 0, 5, 0, 0, 375, 150);
INSERT INTO public.who_data VALUES (88843, 0, 0, 0, 0, 375, 56);
INSERT INTO public.who_data VALUES (88844, 0, 0, 0, 0, 375, 167);
INSERT INTO public.who_data VALUES (88845, 0, 1, 0, 0, 375, 23);
INSERT INTO public.who_data VALUES (88846, 0, 0, 0, 0, 375, 222);
INSERT INTO public.who_data VALUES (88847, 0, 0, 0, 0, 375, 219);
INSERT INTO public.who_data VALUES (88848, 0, 0, 0, 0, 375, 7);
INSERT INTO public.who_data VALUES (88849, 0, 37, 0, 0, 375, 161);
INSERT INTO public.who_data VALUES (88850, 0, 9, 0, 0, 375, 149);
INSERT INTO public.who_data VALUES (88851, 0, 0, 0, 0, 375, 6);
INSERT INTO public.who_data VALUES (88852, 0, 0, 0, 0, 375, 139);
INSERT INTO public.who_data VALUES (88853, 0, 0, 0, 0, 375, 211);
INSERT INTO public.who_data VALUES (88854, 0, 0, 0, 0, 375, 14);
INSERT INTO public.who_data VALUES (88855, 0, 0, 0, 0, 375, 111);
INSERT INTO public.who_data VALUES (88856, 0, 0, 0, 0, 375, 207);
INSERT INTO public.who_data VALUES (88857, 0, 0, 0, 0, 375, 66);
INSERT INTO public.who_data VALUES (88858, 0, 0, 0, 0, 375, 173);
INSERT INTO public.who_data VALUES (88859, 0, 0, 0, 0, 375, 145);
INSERT INTO public.who_data VALUES (88860, 0, 0, 0, 0, 375, 65);
INSERT INTO public.who_data VALUES (88861, 0, 0, 0, 0, 375, 184);
INSERT INTO public.who_data VALUES (88862, 0, 0, 0, 0, 375, 98);
INSERT INTO public.who_data VALUES (88863, 0, 12, 0, 0, 375, 104);
INSERT INTO public.who_data VALUES (88864, 0, 0, 0, 0, 375, 73);
INSERT INTO public.who_data VALUES (88865, 0, 17, 0, 0, 375, 8);
INSERT INTO public.who_data VALUES (88866, 0, 0, 0, 0, 375, 227);
INSERT INTO public.who_data VALUES (88867, 0, 0, 0, 0, 375, 75);
INSERT INTO public.who_data VALUES (88868, 0, 0, 0, 0, 375, 45);
INSERT INTO public.who_data VALUES (88869, 0, 0, 0, 0, 375, 133);
INSERT INTO public.who_data VALUES (88870, 0, 0, 0, 0, 375, 202);
INSERT INTO public.who_data VALUES (88871, 0, 19, 0, 0, 375, 129);
INSERT INTO public.who_data VALUES (88872, 0, 0, 0, 0, 375, 36);
INSERT INTO public.who_data VALUES (88873, 0, 0, 0, 0, 375, 51);
INSERT INTO public.who_data VALUES (88874, 0, 0, 0, 0, 375, 206);
INSERT INTO public.who_data VALUES (88875, 0, 0, 0, 0, 375, 5);
INSERT INTO public.who_data VALUES (88876, 0, 0, 0, 0, 376, 103);
INSERT INTO public.who_data VALUES (88877, 0, 0, 0, 0, 376, 58);
INSERT INTO public.who_data VALUES (88878, 0, 0, 0, 0, 376, 195);
INSERT INTO public.who_data VALUES (88879, 0, 0, 0, 0, 376, 115);
INSERT INTO public.who_data VALUES (88880, 0, 0, 0, 0, 376, 99);
INSERT INTO public.who_data VALUES (88881, 0, 0, 0, 0, 376, 153);
INSERT INTO public.who_data VALUES (88882, 0, 0, 0, 0, 376, 93);
INSERT INTO public.who_data VALUES (88883, 0, 0, 0, 0, 376, 84);
INSERT INTO public.who_data VALUES (88884, 0, 0, 0, 0, 376, 78);
INSERT INTO public.who_data VALUES (88885, 0, 0, 0, 0, 376, 170);
INSERT INTO public.who_data VALUES (88886, 0, 0, 0, 0, 376, 32);
INSERT INTO public.who_data VALUES (88887, 0, 19, 0, 0, 376, 155);
INSERT INTO public.who_data VALUES (88888, 0, 0, 0, 0, 376, 82);
INSERT INTO public.who_data VALUES (88889, 0, 0, 0, 0, 376, 16);
INSERT INTO public.who_data VALUES (88890, 0, 0, 0, 0, 376, 72);
INSERT INTO public.who_data VALUES (88891, 0, 0, 0, 0, 376, 43);
INSERT INTO public.who_data VALUES (88892, 0, 0, 0, 0, 376, 120);
INSERT INTO public.who_data VALUES (88893, 0, 0, 0, 0, 376, 213);
INSERT INTO public.who_data VALUES (88894, 0, 0, 0, 0, 376, 31);
INSERT INTO public.who_data VALUES (88895, 0, 1, 0, 0, 376, 204);
INSERT INTO public.who_data VALUES (88896, 0, 0, 0, 0, 376, 152);
INSERT INTO public.who_data VALUES (88897, 0, 0, 0, 0, 376, 144);
INSERT INTO public.who_data VALUES (88898, 0, 0, 0, 0, 376, 96);
INSERT INTO public.who_data VALUES (88899, 0, 0, 0, 0, 376, 47);
INSERT INTO public.who_data VALUES (88900, 0, 0, 0, 0, 376, 80);
INSERT INTO public.who_data VALUES (88901, 0, 0, 0, 0, 376, 159);
INSERT INTO public.who_data VALUES (88902, 0, 0, 0, 0, 376, 27);
INSERT INTO public.who_data VALUES (88903, 0, 0, 0, 0, 376, 146);
INSERT INTO public.who_data VALUES (88904, 0, 0, 0, 0, 376, 71);
INSERT INTO public.who_data VALUES (88905, 0, 0, 0, 0, 376, 210);
INSERT INTO public.who_data VALUES (88906, 0, 0, 0, 0, 376, 54);
INSERT INTO public.who_data VALUES (88907, 0, 0, 0, 0, 376, 147);
INSERT INTO public.who_data VALUES (88908, 0, 0, 0, 0, 376, 2);
INSERT INTO public.who_data VALUES (88909, 0, 0, 0, 0, 376, 105);
INSERT INTO public.who_data VALUES (88910, 0, 0, 0, 0, 376, 53);
INSERT INTO public.who_data VALUES (88911, 0, 5, 0, 0, 376, 81);
INSERT INTO public.who_data VALUES (88912, 0, 0, 0, 0, 376, 223);
INSERT INTO public.who_data VALUES (88913, 0, 11, 0, 0, 376, 94);
INSERT INTO public.who_data VALUES (88914, 0, 0, 0, 0, 376, 154);
INSERT INTO public.who_data VALUES (88915, 0, 0, 0, 0, 376, 83);
INSERT INTO public.who_data VALUES (88916, 0, 0, 0, 0, 376, 194);
INSERT INTO public.who_data VALUES (88917, 0, 0, 0, 0, 376, 136);
INSERT INTO public.who_data VALUES (88918, 2472, 42712, 108, 1017, 376, 179);
INSERT INTO public.who_data VALUES (88919, 0, 0, 0, 0, 376, 57);
INSERT INTO public.who_data VALUES (88920, 0, 0, 0, 0, 376, 35);
INSERT INTO public.who_data VALUES (88921, 0, 0, 0, 0, 376, 228);
INSERT INTO public.who_data VALUES (88922, 0, 0, 0, 0, 376, 19);
INSERT INTO public.who_data VALUES (88923, 0, 0, 0, 0, 376, 22);
INSERT INTO public.who_data VALUES (88924, 0, 0, 0, 0, 376, 1);
INSERT INTO public.who_data VALUES (88925, 0, 0, 0, 0, 376, 21);
INSERT INTO public.who_data VALUES (88926, 0, 0, 0, 0, 376, 234);
INSERT INTO public.who_data VALUES (88927, 0, 0, 0, 0, 376, 91);
INSERT INTO public.who_data VALUES (88928, 0, 0, 0, 0, 376, 137);
INSERT INTO public.who_data VALUES (88929, 0, 0, 0, 0, 376, 201);
INSERT INTO public.who_data VALUES (88930, 0, 0, 0, 0, 376, 171);
INSERT INTO public.who_data VALUES (88931, 0, 0, 0, 0, 376, 92);
INSERT INTO public.who_data VALUES (88932, 0, 0, 0, 0, 376, 112);
INSERT INTO public.who_data VALUES (88933, 0, 0, 0, 0, 376, 62);
INSERT INTO public.who_data VALUES (88934, 0, 0, 0, 0, 376, 69);
INSERT INTO public.who_data VALUES (88935, 0, 0, 0, 0, 376, 220);
INSERT INTO public.who_data VALUES (88936, 0, 0, 0, 0, 376, 100);
INSERT INTO public.who_data VALUES (88937, 0, 0, 0, 0, 376, 187);
INSERT INTO public.who_data VALUES (88938, 0, 0, 0, 0, 376, 63);
INSERT INTO public.who_data VALUES (88939, 0, 0, 0, 0, 376, 28);
INSERT INTO public.who_data VALUES (88940, 0, 0, 0, 0, 376, 172);
INSERT INTO public.who_data VALUES (88941, 0, 0, 0, 0, 376, 17);
INSERT INTO public.who_data VALUES (88942, 0, 0, 0, 0, 376, 226);
INSERT INTO public.who_data VALUES (88943, 0, 0, 0, 0, 376, 236);
INSERT INTO public.who_data VALUES (88944, 0, 0, 0, 0, 376, 76);
INSERT INTO public.who_data VALUES (88945, 0, 0, 0, 0, 376, 30);
INSERT INTO public.who_data VALUES (88946, 0, 0, 0, 0, 376, 128);
INSERT INTO public.who_data VALUES (88947, 0, 1, 0, 0, 376, 86);
INSERT INTO public.who_data VALUES (88948, 0, 11, 0, 0, 376, 140);
INSERT INTO public.who_data VALUES (88949, 0, 0, 0, 0, 376, 44);
INSERT INTO public.who_data VALUES (88950, 0, 0, 0, 0, 376, 113);
INSERT INTO public.who_data VALUES (88951, 0, 0, 0, 0, 376, 29);
INSERT INTO public.who_data VALUES (88952, 0, 0, 0, 0, 376, 125);
INSERT INTO public.who_data VALUES (88953, 0, 0, 0, 0, 376, 131);
INSERT INTO public.who_data VALUES (88954, 0, 13, 0, 0, 376, 46);
INSERT INTO public.who_data VALUES (88955, 0, 0, 0, 0, 376, 10);
INSERT INTO public.who_data VALUES (88956, 0, 0, 0, 0, 376, 205);
INSERT INTO public.who_data VALUES (88957, 0, 0, 0, 0, 376, 50);
INSERT INTO public.who_data VALUES (88958, 0, 0, 0, 0, 376, 20);
INSERT INTO public.who_data VALUES (88959, 0, 0, 0, 0, 376, 13);
INSERT INTO public.who_data VALUES (88960, 0, 0, 0, 0, 376, 148);
INSERT INTO public.who_data VALUES (88961, 0, 0, 0, 0, 376, 230);
INSERT INTO public.who_data VALUES (88962, 0, 0, 0, 0, 376, 190);
INSERT INTO public.who_data VALUES (88963, 0, 0, 0, 0, 376, 188);
INSERT INTO public.who_data VALUES (88964, 0, 0, 0, 0, 376, 123);
INSERT INTO public.who_data VALUES (88965, 0, 0, 0, 0, 376, 9);
INSERT INTO public.who_data VALUES (88966, 0, 0, 0, 0, 376, 102);
INSERT INTO public.who_data VALUES (88967, 0, 0, 0, 0, 376, 34);
INSERT INTO public.who_data VALUES (88968, 0, 0, 0, 0, 376, 212);
INSERT INTO public.who_data VALUES (88969, 0, 0, 0, 0, 376, 122);
INSERT INTO public.who_data VALUES (88970, 0, 0, 0, 0, 376, 38);
INSERT INTO public.who_data VALUES (88971, 0, 0, 0, 0, 376, 130);
INSERT INTO public.who_data VALUES (88972, 0, 7, 0, 0, 376, 37);
INSERT INTO public.who_data VALUES (88973, 0, 0, 0, 0, 376, 231);
INSERT INTO public.who_data VALUES (88974, 0, 0, 0, 0, 376, 107);
INSERT INTO public.who_data VALUES (88975, 0, 0, 0, 0, 376, 101);
INSERT INTO public.who_data VALUES (88976, 0, 0, 0, 0, 376, 132);
INSERT INTO public.who_data VALUES (88977, 0, 0, 0, 0, 376, 176);
INSERT INTO public.who_data VALUES (88978, 0, 0, 0, 0, 376, 200);
INSERT INTO public.who_data VALUES (88979, 0, 3, 0, 0, 376, 169);
INSERT INTO public.who_data VALUES (88980, 0, 0, 0, 0, 376, 225);
INSERT INTO public.who_data VALUES (88981, 2, 32, 0, 0, 376, 165);
INSERT INTO public.who_data VALUES (88982, 0, 0, 0, 0, 376, 233);
INSERT INTO public.who_data VALUES (88983, 0, 0, 0, 0, 376, 215);
INSERT INTO public.who_data VALUES (88984, 0, 0, 0, 0, 376, 177);
INSERT INTO public.who_data VALUES (88985, 0, 0, 0, 0, 376, 183);
INSERT INTO public.who_data VALUES (88986, 0, 0, 0, 0, 376, 203);
INSERT INTO public.who_data VALUES (88987, 0, 0, 0, 0, 376, 162);
INSERT INTO public.who_data VALUES (88988, 0, 0, 0, 0, 376, 12);
INSERT INTO public.who_data VALUES (88989, 0, 0, 0, 0, 376, 24);
INSERT INTO public.who_data VALUES (88990, 0, 0, 0, 0, 376, 119);
INSERT INTO public.who_data VALUES (88991, 0, 0, 0, 0, 376, 39);
INSERT INTO public.who_data VALUES (88992, 0, 0, 0, 0, 376, 26);
INSERT INTO public.who_data VALUES (88993, 0, 0, 0, 0, 376, 59);
INSERT INTO public.who_data VALUES (88994, 0, 0, 0, 0, 376, 77);
INSERT INTO public.who_data VALUES (88995, 0, 0, 0, 0, 376, 134);
INSERT INTO public.who_data VALUES (88996, 0, 0, 0, 0, 376, 4);
INSERT INTO public.who_data VALUES (88997, 0, 0, 0, 0, 376, 109);
INSERT INTO public.who_data VALUES (88998, 0, 0, 0, 0, 376, 90);
INSERT INTO public.who_data VALUES (88999, 0, 0, 0, 0, 376, 61);
INSERT INTO public.who_data VALUES (89000, 0, 0, 0, 0, 376, 85);
INSERT INTO public.who_data VALUES (89001, 0, 22, 0, 0, 376, 49);
INSERT INTO public.who_data VALUES (89002, 0, 0, 0, 0, 376, 208);
INSERT INTO public.who_data VALUES (89003, 0, 0, 0, 0, 376, 166);
INSERT INTO public.who_data VALUES (89004, 0, 0, 0, 0, 376, 64);
INSERT INTO public.who_data VALUES (89005, 0, 0, 0, 0, 376, 199);
INSERT INTO public.who_data VALUES (89006, 0, 0, 0, 0, 376, 114);
INSERT INTO public.who_data VALUES (89007, 0, 0, 0, 0, 376, 60);
INSERT INTO public.who_data VALUES (89008, 0, 0, 0, 0, 376, 68);
INSERT INTO public.who_data VALUES (89009, 0, 0, 0, 0, 376, 158);
INSERT INTO public.who_data VALUES (89010, 0, 0, 0, 0, 376, 52);
INSERT INTO public.who_data VALUES (89011, 0, 0, 0, 0, 376, 117);
INSERT INTO public.who_data VALUES (89012, 0, 0, 0, 0, 376, 126);
INSERT INTO public.who_data VALUES (89013, 0, 0, 0, 0, 376, 196);
INSERT INTO public.who_data VALUES (89014, 0, 0, 0, 0, 376, 142);
INSERT INTO public.who_data VALUES (89015, 0, 0, 0, 0, 376, 185);
INSERT INTO public.who_data VALUES (89016, 0, 0, 0, 0, 376, 138);
INSERT INTO public.who_data VALUES (89017, 0, 0, 0, 0, 376, 181);
INSERT INTO public.who_data VALUES (89018, 0, 0, 0, 0, 376, 178);
INSERT INTO public.who_data VALUES (89019, 0, 0, 0, 0, 376, 168);
INSERT INTO public.who_data VALUES (89020, 0, 0, 0, 0, 376, 160);
INSERT INTO public.who_data VALUES (89021, 0, 5, 0, 0, 376, 151);
INSERT INTO public.who_data VALUES (89022, 0, 0, 0, 0, 376, 193);
INSERT INTO public.who_data VALUES (89023, 0, 0, 0, 0, 376, 18);
INSERT INTO public.who_data VALUES (89024, 0, 0, 0, 0, 376, 40);
INSERT INTO public.who_data VALUES (89025, 0, 0, 0, 0, 376, 218);
INSERT INTO public.who_data VALUES (89026, 0, 0, 0, 0, 376, 191);
INSERT INTO public.who_data VALUES (89027, 0, 0, 0, 0, 376, 156);
INSERT INTO public.who_data VALUES (89028, 0, 0, 0, 0, 376, 135);
INSERT INTO public.who_data VALUES (89029, 0, 0, 0, 0, 376, 88);
INSERT INTO public.who_data VALUES (89030, 0, 0, 0, 0, 376, 55);
INSERT INTO public.who_data VALUES (89031, 0, 0, 0, 0, 376, 108);
INSERT INTO public.who_data VALUES (89032, 0, 0, 0, 0, 376, 48);
INSERT INTO public.who_data VALUES (89033, 0, 0, 0, 0, 376, 3);
INSERT INTO public.who_data VALUES (89034, 0, 139, 0, 0, 376, 224);
INSERT INTO public.who_data VALUES (89035, 0, 0, 0, 0, 376, 110);
INSERT INTO public.who_data VALUES (89036, 0, 0, 0, 0, 376, 106);
INSERT INTO public.who_data VALUES (89037, 0, 0, 0, 0, 376, 89);
INSERT INTO public.who_data VALUES (89038, 0, 0, 0, 0, 376, 121);
INSERT INTO public.who_data VALUES (89039, 0, 0, 0, 0, 376, 163);
INSERT INTO public.who_data VALUES (89040, 0, 0, 0, 0, 376, 70);
INSERT INTO public.who_data VALUES (89041, 0, 7, 0, 1, 376, 174);
INSERT INTO public.who_data VALUES (89042, 0, 0, 0, 0, 376, 175);
INSERT INTO public.who_data VALUES (89043, 0, 0, 0, 0, 376, 118);
INSERT INTO public.who_data VALUES (89044, 0, 0, 0, 0, 376, 189);
INSERT INTO public.who_data VALUES (89045, 0, 0, 0, 0, 376, 124);
INSERT INTO public.who_data VALUES (89046, 0, 0, 0, 0, 376, 192);
INSERT INTO public.who_data VALUES (89047, 1, 32, 0, 0, 376, 41);
INSERT INTO public.who_data VALUES (89048, 0, 0, 0, 0, 376, 95);
INSERT INTO public.who_data VALUES (89049, 0, 0, 0, 0, 376, 74);
INSERT INTO public.who_data VALUES (89050, 0, 0, 0, 0, 376, 11);
INSERT INTO public.who_data VALUES (89051, 0, 2, 0, 0, 376, 87);
INSERT INTO public.who_data VALUES (89052, 0, 0, 0, 0, 376, 214);
INSERT INTO public.who_data VALUES (89053, 0, 0, 0, 0, 376, 116);
INSERT INTO public.who_data VALUES (89054, 0, 0, 0, 0, 376, 157);
INSERT INTO public.who_data VALUES (89055, 0, 0, 0, 0, 376, 182);
INSERT INTO public.who_data VALUES (89056, 0, 0, 0, 0, 376, 186);
INSERT INTO public.who_data VALUES (89057, 0, 0, 0, 0, 376, 127);
INSERT INTO public.who_data VALUES (89058, 0, 0, 0, 0, 376, 232);
INSERT INTO public.who_data VALUES (89059, 0, 0, 0, 0, 376, 33);
INSERT INTO public.who_data VALUES (89060, 0, 0, 0, 0, 376, 97);
INSERT INTO public.who_data VALUES (89061, 0, 0, 0, 0, 376, 42);
INSERT INTO public.who_data VALUES (89062, 0, 0, 0, 0, 376, 198);
INSERT INTO public.who_data VALUES (89063, 0, 0, 0, 0, 376, 216);
INSERT INTO public.who_data VALUES (89064, 0, 0, 0, 0, 376, 164);
INSERT INTO public.who_data VALUES (89065, 0, 0, 0, 0, 376, 235);
INSERT INTO public.who_data VALUES (89066, 0, 0, 0, 0, 376, 67);
INSERT INTO public.who_data VALUES (89067, 0, 0, 0, 0, 376, 15);
INSERT INTO public.who_data VALUES (89068, 0, 0, 0, 0, 376, 180);
INSERT INTO public.who_data VALUES (89069, 2, 51, 0, 0, 376, 237);
INSERT INTO public.who_data VALUES (89070, 0, 0, 0, 0, 376, 25);
INSERT INTO public.who_data VALUES (89071, 0, 0, 0, 0, 376, 209);
INSERT INTO public.who_data VALUES (89072, 0, 0, 0, 0, 376, 217);
INSERT INTO public.who_data VALUES (89073, 0, 0, 0, 0, 376, 79);
INSERT INTO public.who_data VALUES (89074, 0, 0, 0, 0, 376, 143);
INSERT INTO public.who_data VALUES (89075, 0, 0, 0, 0, 376, 229);
INSERT INTO public.who_data VALUES (89076, 0, 0, 0, 0, 376, 141);
INSERT INTO public.who_data VALUES (89077, 0, 0, 0, 0, 376, 197);
INSERT INTO public.who_data VALUES (89078, 1, 24, 0, 0, 376, 221);
INSERT INTO public.who_data VALUES (89079, 0, 5, 0, 0, 376, 150);
INSERT INTO public.who_data VALUES (89080, 0, 0, 0, 0, 376, 56);
INSERT INTO public.who_data VALUES (89081, 0, 0, 0, 0, 376, 167);
INSERT INTO public.who_data VALUES (89082, 0, 1, 0, 0, 376, 23);
INSERT INTO public.who_data VALUES (89083, 0, 0, 0, 0, 376, 222);
INSERT INTO public.who_data VALUES (89084, 0, 0, 0, 0, 376, 219);
INSERT INTO public.who_data VALUES (89085, 0, 0, 0, 0, 376, 7);
INSERT INTO public.who_data VALUES (89086, 1, 37, 0, 0, 376, 161);
INSERT INTO public.who_data VALUES (89087, 1, 9, 0, 0, 376, 149);
INSERT INTO public.who_data VALUES (89088, 0, 0, 0, 0, 376, 6);
INSERT INTO public.who_data VALUES (89089, 0, 0, 0, 0, 376, 139);
INSERT INTO public.who_data VALUES (89090, 0, 0, 0, 0, 376, 211);
INSERT INTO public.who_data VALUES (89091, 0, 0, 0, 0, 376, 14);
INSERT INTO public.who_data VALUES (89092, 0, 0, 0, 0, 376, 111);
INSERT INTO public.who_data VALUES (89093, 0, 0, 0, 0, 376, 207);
INSERT INTO public.who_data VALUES (89094, 0, 0, 0, 0, 376, 66);
INSERT INTO public.who_data VALUES (89095, 0, 0, 0, 0, 376, 173);
INSERT INTO public.who_data VALUES (89096, 0, 0, 0, 0, 376, 145);
INSERT INTO public.who_data VALUES (89097, 0, 0, 0, 0, 376, 65);
INSERT INTO public.who_data VALUES (89098, 0, 0, 0, 0, 376, 184);
INSERT INTO public.who_data VALUES (89099, 0, 0, 0, 0, 376, 98);
INSERT INTO public.who_data VALUES (89100, 0, 12, 0, 0, 376, 104);
INSERT INTO public.who_data VALUES (89101, 0, 0, 0, 0, 376, 73);
INSERT INTO public.who_data VALUES (89102, 1, 17, 0, 0, 376, 8);
INSERT INTO public.who_data VALUES (89103, 0, 0, 0, 0, 376, 227);
INSERT INTO public.who_data VALUES (89104, 0, 0, 0, 0, 376, 75);
INSERT INTO public.who_data VALUES (89105, 0, 0, 0, 0, 376, 45);
INSERT INTO public.who_data VALUES (89106, 0, 0, 0, 0, 376, 133);
INSERT INTO public.who_data VALUES (89107, 0, 0, 0, 0, 376, 202);
INSERT INTO public.who_data VALUES (89108, 1, 19, 0, 0, 376, 129);
INSERT INTO public.who_data VALUES (89109, 0, 0, 0, 0, 376, 36);
INSERT INTO public.who_data VALUES (89110, 0, 0, 0, 0, 376, 51);
INSERT INTO public.who_data VALUES (89111, 0, 0, 0, 0, 376, 206);
INSERT INTO public.who_data VALUES (89112, 0, 0, 0, 0, 376, 5);
INSERT INTO public.who_data VALUES (89113, 0, 0, 0, 0, 377, 103);
INSERT INTO public.who_data VALUES (89114, 0, 0, 0, 0, 377, 58);
INSERT INTO public.who_data VALUES (89115, 0, 0, 0, 0, 377, 195);
INSERT INTO public.who_data VALUES (89116, 0, 0, 0, 0, 377, 115);
INSERT INTO public.who_data VALUES (89117, 0, 0, 0, 0, 377, 99);
INSERT INTO public.who_data VALUES (89118, 0, 0, 0, 0, 377, 153);
INSERT INTO public.who_data VALUES (89119, 0, 0, 0, 0, 377, 93);
INSERT INTO public.who_data VALUES (89120, 0, 0, 0, 0, 377, 84);
INSERT INTO public.who_data VALUES (89121, 0, 0, 0, 0, 377, 78);
INSERT INTO public.who_data VALUES (89122, 0, 0, 0, 0, 377, 170);
INSERT INTO public.who_data VALUES (89123, 0, 0, 0, 0, 377, 32);
INSERT INTO public.who_data VALUES (89124, 0, 19, 0, 0, 377, 155);
INSERT INTO public.who_data VALUES (89125, 0, 0, 0, 0, 377, 82);
INSERT INTO public.who_data VALUES (89126, 0, 0, 0, 0, 377, 16);
INSERT INTO public.who_data VALUES (89127, 0, 0, 0, 0, 377, 72);
INSERT INTO public.who_data VALUES (89128, 0, 0, 0, 0, 377, 43);
INSERT INTO public.who_data VALUES (89129, 0, 0, 0, 0, 377, 120);
INSERT INTO public.who_data VALUES (89130, 0, 0, 0, 0, 377, 213);
INSERT INTO public.who_data VALUES (89131, 0, 0, 0, 0, 377, 31);
INSERT INTO public.who_data VALUES (89132, 0, 1, 0, 0, 377, 204);
INSERT INTO public.who_data VALUES (89133, 0, 0, 0, 0, 377, 152);
INSERT INTO public.who_data VALUES (89134, 0, 0, 0, 0, 377, 144);
INSERT INTO public.who_data VALUES (89135, 0, 0, 0, 0, 377, 96);
INSERT INTO public.who_data VALUES (89136, 0, 0, 0, 0, 377, 47);
INSERT INTO public.who_data VALUES (89137, 0, 0, 0, 0, 377, 80);
INSERT INTO public.who_data VALUES (89138, 0, 0, 0, 0, 377, 159);
INSERT INTO public.who_data VALUES (89139, 0, 0, 0, 0, 377, 27);
INSERT INTO public.who_data VALUES (89140, 0, 0, 0, 0, 377, 146);
INSERT INTO public.who_data VALUES (89141, 0, 0, 0, 0, 377, 71);
INSERT INTO public.who_data VALUES (89142, 0, 0, 0, 0, 377, 210);
INSERT INTO public.who_data VALUES (89143, 0, 0, 0, 0, 377, 54);
INSERT INTO public.who_data VALUES (89144, 0, 0, 0, 0, 377, 147);
INSERT INTO public.who_data VALUES (89145, 0, 0, 0, 0, 377, 2);
INSERT INTO public.who_data VALUES (89146, 0, 0, 0, 0, 377, 105);
INSERT INTO public.who_data VALUES (89147, 0, 0, 0, 0, 377, 53);
INSERT INTO public.who_data VALUES (89148, 0, 5, 0, 0, 377, 81);
INSERT INTO public.who_data VALUES (89149, 0, 0, 0, 0, 377, 223);
INSERT INTO public.who_data VALUES (89150, 0, 11, 0, 0, 377, 94);
INSERT INTO public.who_data VALUES (89151, 0, 0, 0, 0, 377, 154);
INSERT INTO public.who_data VALUES (89152, 0, 0, 0, 0, 377, 83);
INSERT INTO public.who_data VALUES (89153, 0, 0, 0, 0, 377, 194);
INSERT INTO public.who_data VALUES (89154, 0, 0, 0, 0, 377, 136);
INSERT INTO public.who_data VALUES (89155, 2985, 40240, 97, 909, 377, 179);
INSERT INTO public.who_data VALUES (89156, 0, 0, 0, 0, 377, 57);
INSERT INTO public.who_data VALUES (89157, 0, 0, 0, 0, 377, 35);
INSERT INTO public.who_data VALUES (89158, 0, 0, 0, 0, 377, 228);
INSERT INTO public.who_data VALUES (89159, 0, 0, 0, 0, 377, 19);
INSERT INTO public.who_data VALUES (89160, 0, 0, 0, 0, 377, 22);
INSERT INTO public.who_data VALUES (89161, 0, 0, 0, 0, 377, 1);
INSERT INTO public.who_data VALUES (89162, 0, 0, 0, 0, 377, 21);
INSERT INTO public.who_data VALUES (89163, 0, 0, 0, 0, 377, 234);
INSERT INTO public.who_data VALUES (89164, 0, 0, 0, 0, 377, 91);
INSERT INTO public.who_data VALUES (89165, 0, 0, 0, 0, 377, 137);
INSERT INTO public.who_data VALUES (89166, 0, 0, 0, 0, 377, 201);
INSERT INTO public.who_data VALUES (89167, 0, 0, 0, 0, 377, 171);
INSERT INTO public.who_data VALUES (89168, 0, 0, 0, 0, 377, 92);
INSERT INTO public.who_data VALUES (89169, 0, 0, 0, 0, 377, 112);
INSERT INTO public.who_data VALUES (89170, 0, 0, 0, 0, 377, 62);
INSERT INTO public.who_data VALUES (89171, 0, 0, 0, 0, 377, 69);
INSERT INTO public.who_data VALUES (89172, 0, 0, 0, 0, 377, 220);
INSERT INTO public.who_data VALUES (89173, 0, 0, 0, 0, 377, 100);
INSERT INTO public.who_data VALUES (89174, 0, 0, 0, 0, 377, 187);
INSERT INTO public.who_data VALUES (89175, 0, 0, 0, 0, 377, 63);
INSERT INTO public.who_data VALUES (89176, 0, 0, 0, 0, 377, 28);
INSERT INTO public.who_data VALUES (89177, 0, 0, 0, 0, 377, 172);
INSERT INTO public.who_data VALUES (89178, 0, 0, 0, 0, 377, 17);
INSERT INTO public.who_data VALUES (89179, 0, 0, 0, 0, 377, 226);
INSERT INTO public.who_data VALUES (89180, 0, 0, 0, 0, 377, 236);
INSERT INTO public.who_data VALUES (89181, 0, 0, 0, 0, 377, 76);
INSERT INTO public.who_data VALUES (89182, 0, 0, 0, 0, 377, 30);
INSERT INTO public.who_data VALUES (89183, 0, 0, 0, 0, 377, 128);
INSERT INTO public.who_data VALUES (89184, 0, 1, 0, 0, 377, 86);
INSERT INTO public.who_data VALUES (89185, 0, 11, 0, 0, 377, 140);
INSERT INTO public.who_data VALUES (89186, 0, 0, 0, 0, 377, 44);
INSERT INTO public.who_data VALUES (89187, 0, 0, 0, 0, 377, 113);
INSERT INTO public.who_data VALUES (89188, 0, 0, 0, 0, 377, 29);
INSERT INTO public.who_data VALUES (89189, 0, 0, 0, 0, 377, 125);
INSERT INTO public.who_data VALUES (89190, 0, 0, 0, 0, 377, 131);
INSERT INTO public.who_data VALUES (89191, 0, 13, 0, 0, 377, 46);
INSERT INTO public.who_data VALUES (89192, 0, 0, 0, 0, 377, 10);
INSERT INTO public.who_data VALUES (89193, 0, 0, 0, 0, 377, 205);
INSERT INTO public.who_data VALUES (89194, 0, 0, 0, 0, 377, 50);
INSERT INTO public.who_data VALUES (89195, 0, 0, 0, 0, 377, 20);
INSERT INTO public.who_data VALUES (89196, 0, 0, 0, 0, 377, 13);
INSERT INTO public.who_data VALUES (89197, 0, 0, 0, 0, 377, 148);
INSERT INTO public.who_data VALUES (89198, 0, 0, 0, 0, 377, 230);
INSERT INTO public.who_data VALUES (89199, 0, 0, 0, 0, 377, 190);
INSERT INTO public.who_data VALUES (89200, 0, 0, 0, 0, 377, 188);
INSERT INTO public.who_data VALUES (89201, 0, 0, 0, 0, 377, 123);
INSERT INTO public.who_data VALUES (89202, 0, 0, 0, 0, 377, 9);
INSERT INTO public.who_data VALUES (89203, 0, 0, 0, 0, 377, 102);
INSERT INTO public.who_data VALUES (89204, 0, 0, 0, 0, 377, 34);
INSERT INTO public.who_data VALUES (89205, 0, 0, 0, 0, 377, 212);
INSERT INTO public.who_data VALUES (89206, 0, 0, 0, 0, 377, 122);
INSERT INTO public.who_data VALUES (89207, 0, 0, 0, 0, 377, 38);
INSERT INTO public.who_data VALUES (89208, 0, 0, 0, 0, 377, 130);
INSERT INTO public.who_data VALUES (89209, 0, 7, 0, 0, 377, 37);
INSERT INTO public.who_data VALUES (89210, 0, 0, 0, 0, 377, 231);
INSERT INTO public.who_data VALUES (89211, 0, 0, 0, 0, 377, 107);
INSERT INTO public.who_data VALUES (89212, 0, 0, 0, 0, 377, 101);
INSERT INTO public.who_data VALUES (89213, 0, 0, 0, 0, 377, 132);
INSERT INTO public.who_data VALUES (89214, 0, 0, 0, 0, 377, 176);
INSERT INTO public.who_data VALUES (89215, 0, 0, 0, 0, 377, 200);
INSERT INTO public.who_data VALUES (89216, 0, 3, 0, 0, 377, 169);
INSERT INTO public.who_data VALUES (89217, 0, 0, 0, 0, 377, 225);
INSERT INTO public.who_data VALUES (89218, 0, 30, 0, 0, 377, 165);
INSERT INTO public.who_data VALUES (89219, 0, 0, 0, 0, 377, 233);
INSERT INTO public.who_data VALUES (89220, 0, 0, 0, 0, 377, 215);
INSERT INTO public.who_data VALUES (89221, 0, 0, 0, 0, 377, 177);
INSERT INTO public.who_data VALUES (89222, 0, 0, 0, 0, 377, 183);
INSERT INTO public.who_data VALUES (89223, 0, 0, 0, 0, 377, 203);
INSERT INTO public.who_data VALUES (89224, 0, 0, 0, 0, 377, 162);
INSERT INTO public.who_data VALUES (89225, 0, 0, 0, 0, 377, 12);
INSERT INTO public.who_data VALUES (89226, 0, 0, 0, 0, 377, 24);
INSERT INTO public.who_data VALUES (89227, 0, 0, 0, 0, 377, 119);
INSERT INTO public.who_data VALUES (89228, 0, 0, 0, 0, 377, 39);
INSERT INTO public.who_data VALUES (89229, 0, 0, 0, 0, 377, 26);
INSERT INTO public.who_data VALUES (89230, 0, 0, 0, 0, 377, 59);
INSERT INTO public.who_data VALUES (89231, 0, 0, 0, 0, 377, 77);
INSERT INTO public.who_data VALUES (89232, 0, 0, 0, 0, 377, 134);
INSERT INTO public.who_data VALUES (89233, 0, 0, 0, 0, 377, 4);
INSERT INTO public.who_data VALUES (89234, 0, 0, 0, 0, 377, 109);
INSERT INTO public.who_data VALUES (89235, 0, 0, 0, 0, 377, 90);
INSERT INTO public.who_data VALUES (89236, 0, 0, 0, 0, 377, 61);
INSERT INTO public.who_data VALUES (89237, 0, 0, 0, 0, 377, 85);
INSERT INTO public.who_data VALUES (89238, 1, 22, 0, 0, 377, 49);
INSERT INTO public.who_data VALUES (89239, 0, 0, 0, 0, 377, 208);
INSERT INTO public.who_data VALUES (89240, 0, 0, 0, 0, 377, 166);
INSERT INTO public.who_data VALUES (89241, 0, 0, 0, 0, 377, 64);
INSERT INTO public.who_data VALUES (89242, 0, 0, 0, 0, 377, 199);
INSERT INTO public.who_data VALUES (89243, 0, 0, 0, 0, 377, 114);
INSERT INTO public.who_data VALUES (89244, 0, 0, 0, 0, 377, 60);
INSERT INTO public.who_data VALUES (89245, 0, 0, 0, 0, 377, 68);
INSERT INTO public.who_data VALUES (89246, 0, 0, 0, 0, 377, 158);
INSERT INTO public.who_data VALUES (89247, 0, 0, 0, 0, 377, 52);
INSERT INTO public.who_data VALUES (89248, 0, 0, 0, 0, 377, 117);
INSERT INTO public.who_data VALUES (89249, 0, 0, 0, 0, 377, 126);
INSERT INTO public.who_data VALUES (89250, 0, 0, 0, 0, 377, 196);
INSERT INTO public.who_data VALUES (89251, 0, 0, 0, 0, 377, 142);
INSERT INTO public.who_data VALUES (89252, 0, 0, 0, 0, 377, 185);
INSERT INTO public.who_data VALUES (89253, 0, 0, 0, 0, 377, 138);
INSERT INTO public.who_data VALUES (89254, 0, 0, 0, 0, 377, 181);
INSERT INTO public.who_data VALUES (89255, 0, 0, 0, 0, 377, 178);
INSERT INTO public.who_data VALUES (89256, 0, 0, 0, 0, 377, 168);
INSERT INTO public.who_data VALUES (89257, 0, 0, 0, 0, 377, 160);
INSERT INTO public.who_data VALUES (89258, 0, 5, 0, 0, 377, 151);
INSERT INTO public.who_data VALUES (89259, 0, 0, 0, 0, 377, 193);
INSERT INTO public.who_data VALUES (89260, 0, 0, 0, 0, 377, 18);
INSERT INTO public.who_data VALUES (89261, 0, 0, 0, 0, 377, 40);
INSERT INTO public.who_data VALUES (89262, 0, 0, 0, 0, 377, 218);
INSERT INTO public.who_data VALUES (89263, 0, 0, 0, 0, 377, 191);
INSERT INTO public.who_data VALUES (89264, 0, 0, 0, 0, 377, 156);
INSERT INTO public.who_data VALUES (89265, 0, 0, 0, 0, 377, 135);
INSERT INTO public.who_data VALUES (89266, 0, 0, 0, 0, 377, 88);
INSERT INTO public.who_data VALUES (89267, 0, 0, 0, 0, 377, 55);
INSERT INTO public.who_data VALUES (89268, 0, 0, 0, 0, 377, 108);
INSERT INTO public.who_data VALUES (89269, 0, 0, 0, 0, 377, 48);
INSERT INTO public.who_data VALUES (89270, 0, 0, 0, 0, 377, 3);
INSERT INTO public.who_data VALUES (89271, 65, 139, 0, 0, 377, 224);
INSERT INTO public.who_data VALUES (89272, 0, 0, 0, 0, 377, 110);
INSERT INTO public.who_data VALUES (89273, 0, 0, 0, 0, 377, 106);
INSERT INTO public.who_data VALUES (89274, 0, 0, 0, 0, 377, 89);
INSERT INTO public.who_data VALUES (89275, 0, 0, 0, 0, 377, 121);
INSERT INTO public.who_data VALUES (89276, 0, 0, 0, 0, 377, 163);
INSERT INTO public.who_data VALUES (89277, 0, 0, 0, 0, 377, 70);
INSERT INTO public.who_data VALUES (89278, 0, 7, 0, 1, 377, 174);
INSERT INTO public.who_data VALUES (89279, 0, 0, 0, 0, 377, 175);
INSERT INTO public.who_data VALUES (89280, 0, 0, 0, 0, 377, 118);
INSERT INTO public.who_data VALUES (89281, 0, 0, 0, 0, 377, 189);
INSERT INTO public.who_data VALUES (89282, 0, 0, 0, 0, 377, 124);
INSERT INTO public.who_data VALUES (89283, 0, 0, 0, 0, 377, 192);
INSERT INTO public.who_data VALUES (89284, 0, 31, 0, 0, 377, 41);
INSERT INTO public.who_data VALUES (89285, 0, 0, 0, 0, 377, 95);
INSERT INTO public.who_data VALUES (89286, 0, 0, 0, 0, 377, 74);
INSERT INTO public.who_data VALUES (89287, 0, 0, 0, 0, 377, 11);
INSERT INTO public.who_data VALUES (89288, 0, 2, 0, 0, 377, 87);
INSERT INTO public.who_data VALUES (89289, 0, 0, 0, 0, 377, 214);
INSERT INTO public.who_data VALUES (89290, 0, 0, 0, 0, 377, 116);
INSERT INTO public.who_data VALUES (89291, 0, 0, 0, 0, 377, 157);
INSERT INTO public.who_data VALUES (89292, 0, 0, 0, 0, 377, 182);
INSERT INTO public.who_data VALUES (89293, 0, 0, 0, 0, 377, 186);
INSERT INTO public.who_data VALUES (89294, 0, 0, 0, 0, 377, 127);
INSERT INTO public.who_data VALUES (89295, 0, 0, 0, 0, 377, 232);
INSERT INTO public.who_data VALUES (89296, 0, 0, 0, 0, 377, 33);
INSERT INTO public.who_data VALUES (89297, 0, 0, 0, 0, 377, 97);
INSERT INTO public.who_data VALUES (89298, 0, 0, 0, 0, 377, 42);
INSERT INTO public.who_data VALUES (89299, 0, 0, 0, 0, 377, 198);
INSERT INTO public.who_data VALUES (89300, 0, 0, 0, 0, 377, 216);
INSERT INTO public.who_data VALUES (89301, 0, 0, 0, 0, 377, 164);
INSERT INTO public.who_data VALUES (89302, 0, 0, 0, 0, 377, 235);
INSERT INTO public.who_data VALUES (89303, 0, 0, 0, 0, 377, 67);
INSERT INTO public.who_data VALUES (89304, 0, 0, 0, 0, 377, 15);
INSERT INTO public.who_data VALUES (89305, 0, 0, 0, 0, 377, 180);
INSERT INTO public.who_data VALUES (89306, 2, 49, 0, 0, 377, 237);
INSERT INTO public.who_data VALUES (89307, 0, 0, 0, 0, 377, 25);
INSERT INTO public.who_data VALUES (89308, 0, 0, 0, 0, 377, 209);
INSERT INTO public.who_data VALUES (89309, 0, 0, 0, 0, 377, 217);
INSERT INTO public.who_data VALUES (89310, 0, 0, 0, 0, 377, 79);
INSERT INTO public.who_data VALUES (89311, 0, 0, 0, 0, 377, 143);
INSERT INTO public.who_data VALUES (89312, 0, 0, 0, 0, 377, 229);
INSERT INTO public.who_data VALUES (89313, 0, 0, 0, 0, 377, 141);
INSERT INTO public.who_data VALUES (89314, 0, 0, 0, 0, 377, 197);
INSERT INTO public.who_data VALUES (89315, 0, 23, 0, 0, 377, 221);
INSERT INTO public.who_data VALUES (89316, 0, 5, 0, 0, 377, 150);
INSERT INTO public.who_data VALUES (89317, 0, 0, 0, 0, 377, 56);
INSERT INTO public.who_data VALUES (89318, 0, 0, 0, 0, 377, 167);
INSERT INTO public.who_data VALUES (89319, 0, 1, 0, 0, 377, 23);
INSERT INTO public.who_data VALUES (89320, 0, 0, 0, 0, 377, 222);
INSERT INTO public.who_data VALUES (89321, 0, 0, 0, 0, 377, 219);
INSERT INTO public.who_data VALUES (89322, 0, 0, 0, 0, 377, 7);
INSERT INTO public.who_data VALUES (89323, 0, 36, 0, 0, 377, 161);
INSERT INTO public.who_data VALUES (89324, 4, 8, 0, 0, 377, 149);
INSERT INTO public.who_data VALUES (89325, 0, 0, 0, 0, 377, 6);
INSERT INTO public.who_data VALUES (89326, 0, 0, 0, 0, 377, 139);
INSERT INTO public.who_data VALUES (89327, 0, 0, 0, 0, 377, 211);
INSERT INTO public.who_data VALUES (89328, 0, 0, 0, 0, 377, 14);
INSERT INTO public.who_data VALUES (89329, 0, 0, 0, 0, 377, 111);
INSERT INTO public.who_data VALUES (89330, 0, 0, 0, 0, 377, 207);
INSERT INTO public.who_data VALUES (89331, 0, 0, 0, 0, 377, 66);
INSERT INTO public.who_data VALUES (89332, 0, 0, 0, 0, 377, 173);
INSERT INTO public.who_data VALUES (89333, 0, 0, 0, 0, 377, 145);
INSERT INTO public.who_data VALUES (89334, 0, 0, 0, 0, 377, 65);
INSERT INTO public.who_data VALUES (89335, 0, 0, 0, 0, 377, 184);
INSERT INTO public.who_data VALUES (89336, 0, 0, 0, 0, 377, 98);
INSERT INTO public.who_data VALUES (89337, 1, 12, 0, 0, 377, 104);
INSERT INTO public.who_data VALUES (89338, 0, 0, 0, 0, 377, 73);
INSERT INTO public.who_data VALUES (89339, 0, 16, 0, 0, 377, 8);
INSERT INTO public.who_data VALUES (89340, 0, 0, 0, 0, 377, 227);
INSERT INTO public.who_data VALUES (89341, 0, 0, 0, 0, 377, 75);
INSERT INTO public.who_data VALUES (89342, 0, 0, 0, 0, 377, 45);
INSERT INTO public.who_data VALUES (89343, 0, 0, 0, 0, 377, 133);
INSERT INTO public.who_data VALUES (89344, 0, 0, 0, 0, 377, 202);
INSERT INTO public.who_data VALUES (89345, 0, 18, 0, 0, 377, 129);
INSERT INTO public.who_data VALUES (89346, 0, 0, 0, 0, 377, 36);
INSERT INTO public.who_data VALUES (89347, 0, 0, 0, 0, 377, 51);
INSERT INTO public.who_data VALUES (89348, 0, 0, 0, 0, 377, 206);
INSERT INTO public.who_data VALUES (89349, 0, 0, 0, 0, 377, 5);
INSERT INTO public.who_data VALUES (89350, 0, 0, 0, 0, 378, 103);
INSERT INTO public.who_data VALUES (89351, 0, 0, 0, 0, 378, 58);
INSERT INTO public.who_data VALUES (89352, 0, 0, 0, 0, 378, 195);
INSERT INTO public.who_data VALUES (89353, 0, 0, 0, 0, 378, 115);
INSERT INTO public.who_data VALUES (89354, 0, 0, 0, 0, 378, 99);
INSERT INTO public.who_data VALUES (89355, 0, 0, 0, 0, 378, 153);
INSERT INTO public.who_data VALUES (89356, 0, 0, 0, 0, 378, 93);
INSERT INTO public.who_data VALUES (89357, 0, 0, 0, 0, 378, 84);
INSERT INTO public.who_data VALUES (89358, 0, 0, 0, 0, 378, 78);
INSERT INTO public.who_data VALUES (89359, 0, 0, 0, 0, 378, 170);
INSERT INTO public.who_data VALUES (89360, 0, 0, 0, 0, 378, 32);
INSERT INTO public.who_data VALUES (89361, 0, 19, 0, 0, 378, 155);
INSERT INTO public.who_data VALUES (89362, 0, 0, 0, 0, 378, 82);
INSERT INTO public.who_data VALUES (89363, 0, 0, 0, 0, 378, 16);
INSERT INTO public.who_data VALUES (89364, 0, 0, 0, 0, 378, 72);
INSERT INTO public.who_data VALUES (89365, 0, 0, 0, 0, 378, 43);
INSERT INTO public.who_data VALUES (89366, 0, 0, 0, 0, 378, 120);
INSERT INTO public.who_data VALUES (89367, 0, 0, 0, 0, 378, 213);
INSERT INTO public.who_data VALUES (89368, 0, 0, 0, 0, 378, 31);
INSERT INTO public.who_data VALUES (89369, 0, 1, 0, 0, 378, 204);
INSERT INTO public.who_data VALUES (89370, 0, 0, 0, 0, 378, 152);
INSERT INTO public.who_data VALUES (89371, 0, 0, 0, 0, 378, 144);
INSERT INTO public.who_data VALUES (89372, 0, 0, 0, 0, 378, 96);
INSERT INTO public.who_data VALUES (89373, 0, 0, 0, 0, 378, 47);
INSERT INTO public.who_data VALUES (89374, 0, 0, 0, 0, 378, 80);
INSERT INTO public.who_data VALUES (89375, 0, 0, 0, 0, 378, 159);
INSERT INTO public.who_data VALUES (89376, 0, 0, 0, 0, 378, 27);
INSERT INTO public.who_data VALUES (89377, 0, 0, 0, 0, 378, 146);
INSERT INTO public.who_data VALUES (89378, 0, 0, 0, 0, 378, 71);
INSERT INTO public.who_data VALUES (89379, 0, 0, 0, 0, 378, 210);
INSERT INTO public.who_data VALUES (89380, 0, 0, 0, 0, 378, 54);
INSERT INTO public.who_data VALUES (89381, 0, 0, 0, 0, 378, 147);
INSERT INTO public.who_data VALUES (89382, 0, 0, 0, 0, 378, 2);
INSERT INTO public.who_data VALUES (89383, 0, 0, 0, 0, 378, 105);
INSERT INTO public.who_data VALUES (89384, 0, 0, 0, 0, 378, 53);
INSERT INTO public.who_data VALUES (89385, 0, 5, 0, 0, 378, 81);
INSERT INTO public.who_data VALUES (89386, 0, 0, 0, 0, 378, 223);
INSERT INTO public.who_data VALUES (89387, 0, 11, 0, 0, 378, 94);
INSERT INTO public.who_data VALUES (89388, 0, 0, 0, 0, 378, 154);
INSERT INTO public.who_data VALUES (89389, 0, 0, 0, 0, 378, 83);
INSERT INTO public.who_data VALUES (89390, 0, 0, 0, 0, 378, 194);
INSERT INTO public.who_data VALUES (89391, 0, 0, 0, 0, 378, 136);
INSERT INTO public.who_data VALUES (89392, 2653, 37255, 89, 812, 378, 179);
INSERT INTO public.who_data VALUES (89393, 0, 0, 0, 0, 378, 57);
INSERT INTO public.who_data VALUES (89394, 0, 0, 0, 0, 378, 35);
INSERT INTO public.who_data VALUES (89395, 0, 0, 0, 0, 378, 228);
INSERT INTO public.who_data VALUES (89396, 0, 0, 0, 0, 378, 19);
INSERT INTO public.who_data VALUES (89397, 0, 0, 0, 0, 378, 22);
INSERT INTO public.who_data VALUES (89398, 0, 0, 0, 0, 378, 1);
INSERT INTO public.who_data VALUES (89399, 0, 0, 0, 0, 378, 21);
INSERT INTO public.who_data VALUES (89400, 0, 0, 0, 0, 378, 234);
INSERT INTO public.who_data VALUES (89401, 0, 0, 0, 0, 378, 91);
INSERT INTO public.who_data VALUES (89402, 0, 0, 0, 0, 378, 137);
INSERT INTO public.who_data VALUES (89403, 0, 0, 0, 0, 378, 201);
INSERT INTO public.who_data VALUES (89404, 0, 0, 0, 0, 378, 171);
INSERT INTO public.who_data VALUES (89405, 0, 0, 0, 0, 378, 92);
INSERT INTO public.who_data VALUES (89406, 0, 0, 0, 0, 378, 112);
INSERT INTO public.who_data VALUES (89407, 0, 0, 0, 0, 378, 62);
INSERT INTO public.who_data VALUES (89408, 0, 0, 0, 0, 378, 69);
INSERT INTO public.who_data VALUES (89409, 0, 0, 0, 0, 378, 220);
INSERT INTO public.who_data VALUES (89410, 0, 0, 0, 0, 378, 100);
INSERT INTO public.who_data VALUES (89411, 0, 0, 0, 0, 378, 187);
INSERT INTO public.who_data VALUES (89412, 0, 0, 0, 0, 378, 63);
INSERT INTO public.who_data VALUES (89413, 0, 0, 0, 0, 378, 28);
INSERT INTO public.who_data VALUES (89414, 0, 0, 0, 0, 378, 172);
INSERT INTO public.who_data VALUES (89415, 0, 0, 0, 0, 378, 17);
INSERT INTO public.who_data VALUES (89416, 0, 0, 0, 0, 378, 226);
INSERT INTO public.who_data VALUES (89417, 0, 0, 0, 0, 378, 236);
INSERT INTO public.who_data VALUES (89418, 0, 0, 0, 0, 378, 76);
INSERT INTO public.who_data VALUES (89419, 0, 0, 0, 0, 378, 30);
INSERT INTO public.who_data VALUES (89420, 0, 0, 0, 0, 378, 128);
INSERT INTO public.who_data VALUES (89421, 0, 1, 0, 0, 378, 86);
INSERT INTO public.who_data VALUES (89422, 0, 11, 0, 0, 378, 140);
INSERT INTO public.who_data VALUES (89423, 0, 0, 0, 0, 378, 44);
INSERT INTO public.who_data VALUES (89424, 0, 0, 0, 0, 378, 113);
INSERT INTO public.who_data VALUES (89425, 0, 0, 0, 0, 378, 29);
INSERT INTO public.who_data VALUES (89426, 0, 0, 0, 0, 378, 125);
INSERT INTO public.who_data VALUES (89427, 0, 0, 0, 0, 378, 131);
INSERT INTO public.who_data VALUES (89428, 0, 13, 0, 0, 378, 46);
INSERT INTO public.who_data VALUES (89429, 0, 0, 0, 0, 378, 10);
INSERT INTO public.who_data VALUES (89430, 0, 0, 0, 0, 378, 205);
INSERT INTO public.who_data VALUES (89431, 0, 0, 0, 0, 378, 50);
INSERT INTO public.who_data VALUES (89432, 0, 0, 0, 0, 378, 20);
INSERT INTO public.who_data VALUES (89433, 0, 0, 0, 0, 378, 13);
INSERT INTO public.who_data VALUES (89434, 0, 0, 0, 0, 378, 148);
INSERT INTO public.who_data VALUES (89435, 0, 0, 0, 0, 378, 230);
INSERT INTO public.who_data VALUES (89436, 0, 0, 0, 0, 378, 190);
INSERT INTO public.who_data VALUES (89437, 0, 0, 0, 0, 378, 188);
INSERT INTO public.who_data VALUES (89438, 0, 0, 0, 0, 378, 123);
INSERT INTO public.who_data VALUES (89439, 0, 0, 0, 0, 378, 9);
INSERT INTO public.who_data VALUES (89440, 0, 0, 0, 0, 378, 102);
INSERT INTO public.who_data VALUES (89441, 0, 0, 0, 0, 378, 34);
INSERT INTO public.who_data VALUES (89442, 0, 0, 0, 0, 378, 212);
INSERT INTO public.who_data VALUES (89443, 0, 0, 0, 0, 378, 122);
INSERT INTO public.who_data VALUES (89444, 0, 0, 0, 0, 378, 38);
INSERT INTO public.who_data VALUES (89445, 0, 0, 0, 0, 378, 130);
INSERT INTO public.who_data VALUES (89446, 0, 7, 0, 0, 378, 37);
INSERT INTO public.who_data VALUES (89447, 0, 0, 0, 0, 378, 231);
INSERT INTO public.who_data VALUES (89448, 0, 0, 0, 0, 378, 107);
INSERT INTO public.who_data VALUES (89449, 0, 0, 0, 0, 378, 101);
INSERT INTO public.who_data VALUES (89450, 0, 0, 0, 0, 378, 132);
INSERT INTO public.who_data VALUES (89451, 0, 0, 0, 0, 378, 176);
INSERT INTO public.who_data VALUES (89452, 0, 0, 0, 0, 378, 200);
INSERT INTO public.who_data VALUES (89453, 0, 3, 0, 0, 378, 169);
INSERT INTO public.who_data VALUES (89454, 0, 0, 0, 0, 378, 225);
INSERT INTO public.who_data VALUES (89455, 1, 30, 0, 0, 378, 165);
INSERT INTO public.who_data VALUES (89456, 0, 0, 0, 0, 378, 233);
INSERT INTO public.who_data VALUES (89457, 0, 0, 0, 0, 378, 215);
INSERT INTO public.who_data VALUES (89458, 0, 0, 0, 0, 378, 177);
INSERT INTO public.who_data VALUES (89459, 0, 0, 0, 0, 378, 183);
INSERT INTO public.who_data VALUES (89460, 0, 0, 0, 0, 378, 203);
INSERT INTO public.who_data VALUES (89461, 0, 0, 0, 0, 378, 162);
INSERT INTO public.who_data VALUES (89462, 0, 0, 0, 0, 378, 12);
INSERT INTO public.who_data VALUES (89463, 0, 0, 0, 0, 378, 24);
INSERT INTO public.who_data VALUES (89464, 0, 0, 0, 0, 378, 119);
INSERT INTO public.who_data VALUES (89465, 0, 0, 0, 0, 378, 39);
INSERT INTO public.who_data VALUES (89466, 0, 0, 0, 0, 378, 26);
INSERT INTO public.who_data VALUES (89467, 0, 0, 0, 0, 378, 59);
INSERT INTO public.who_data VALUES (89468, 0, 0, 0, 0, 378, 77);
INSERT INTO public.who_data VALUES (89469, 0, 0, 0, 0, 378, 134);
INSERT INTO public.who_data VALUES (89470, 0, 0, 0, 0, 378, 4);
INSERT INTO public.who_data VALUES (89471, 0, 0, 0, 0, 378, 109);
INSERT INTO public.who_data VALUES (89472, 0, 0, 0, 0, 378, 90);
INSERT INTO public.who_data VALUES (89473, 0, 0, 0, 0, 378, 61);
INSERT INTO public.who_data VALUES (89474, 0, 0, 0, 0, 378, 85);
INSERT INTO public.who_data VALUES (89475, 1, 21, 0, 0, 378, 49);
INSERT INTO public.who_data VALUES (89476, 0, 0, 0, 0, 378, 208);
INSERT INTO public.who_data VALUES (89477, 0, 0, 0, 0, 378, 166);
INSERT INTO public.who_data VALUES (89478, 0, 0, 0, 0, 378, 64);
INSERT INTO public.who_data VALUES (89479, 0, 0, 0, 0, 378, 199);
INSERT INTO public.who_data VALUES (89480, 0, 0, 0, 0, 378, 114);
INSERT INTO public.who_data VALUES (89481, 0, 0, 0, 0, 378, 60);
INSERT INTO public.who_data VALUES (89482, 0, 0, 0, 0, 378, 68);
INSERT INTO public.who_data VALUES (89483, 0, 0, 0, 0, 378, 158);
INSERT INTO public.who_data VALUES (89484, 0, 0, 0, 0, 378, 52);
INSERT INTO public.who_data VALUES (89485, 0, 0, 0, 0, 378, 117);
INSERT INTO public.who_data VALUES (89486, 0, 0, 0, 0, 378, 126);
INSERT INTO public.who_data VALUES (89487, 0, 0, 0, 0, 378, 196);
INSERT INTO public.who_data VALUES (89488, 0, 0, 0, 0, 378, 142);
INSERT INTO public.who_data VALUES (89489, 0, 0, 0, 0, 378, 185);
INSERT INTO public.who_data VALUES (89490, 0, 0, 0, 0, 378, 138);
INSERT INTO public.who_data VALUES (89491, 0, 0, 0, 0, 378, 181);
INSERT INTO public.who_data VALUES (89492, 0, 0, 0, 0, 378, 178);
INSERT INTO public.who_data VALUES (89493, 0, 0, 0, 0, 378, 168);
INSERT INTO public.who_data VALUES (89494, 0, 0, 0, 0, 378, 160);
INSERT INTO public.who_data VALUES (89495, 0, 5, 0, 0, 378, 151);
INSERT INTO public.who_data VALUES (89496, 0, 0, 0, 0, 378, 193);
INSERT INTO public.who_data VALUES (89497, 0, 0, 0, 0, 378, 18);
INSERT INTO public.who_data VALUES (89498, 0, 0, 0, 0, 378, 40);
INSERT INTO public.who_data VALUES (89499, 0, 0, 0, 0, 378, 218);
INSERT INTO public.who_data VALUES (89500, 0, 0, 0, 0, 378, 191);
INSERT INTO public.who_data VALUES (89501, 0, 0, 0, 0, 378, 156);
INSERT INTO public.who_data VALUES (89502, 0, 0, 0, 0, 378, 135);
INSERT INTO public.who_data VALUES (89503, 0, 0, 0, 0, 378, 88);
INSERT INTO public.who_data VALUES (89504, 0, 0, 0, 0, 378, 55);
INSERT INTO public.who_data VALUES (89505, 0, 0, 0, 0, 378, 108);
INSERT INTO public.who_data VALUES (89506, 0, 0, 0, 0, 378, 48);
INSERT INTO public.who_data VALUES (89507, 0, 0, 0, 0, 378, 3);
INSERT INTO public.who_data VALUES (89508, 6, 74, 0, 0, 378, 224);
INSERT INTO public.who_data VALUES (89509, 0, 0, 0, 0, 378, 110);
INSERT INTO public.who_data VALUES (89510, 0, 0, 0, 0, 378, 106);
INSERT INTO public.who_data VALUES (89511, 0, 0, 0, 0, 378, 89);
INSERT INTO public.who_data VALUES (89512, 0, 0, 0, 0, 378, 121);
INSERT INTO public.who_data VALUES (89513, 0, 0, 0, 0, 378, 163);
INSERT INTO public.who_data VALUES (89514, 0, 0, 0, 0, 378, 70);
INSERT INTO public.who_data VALUES (89515, 0, 7, 0, 1, 378, 174);
INSERT INTO public.who_data VALUES (89516, 0, 0, 0, 0, 378, 175);
INSERT INTO public.who_data VALUES (89517, 0, 0, 0, 0, 378, 118);
INSERT INTO public.who_data VALUES (89518, 0, 0, 0, 0, 378, 189);
INSERT INTO public.who_data VALUES (89519, 0, 0, 0, 0, 378, 124);
INSERT INTO public.who_data VALUES (89520, 0, 0, 0, 0, 378, 192);
INSERT INTO public.who_data VALUES (89521, 3, 31, 0, 0, 378, 41);
INSERT INTO public.who_data VALUES (89522, 0, 0, 0, 0, 378, 95);
INSERT INTO public.who_data VALUES (89523, 0, 0, 0, 0, 378, 74);
INSERT INTO public.who_data VALUES (89524, 0, 0, 0, 0, 378, 11);
INSERT INTO public.who_data VALUES (89525, 0, 2, 0, 0, 378, 87);
INSERT INTO public.who_data VALUES (89526, 0, 0, 0, 0, 378, 214);
INSERT INTO public.who_data VALUES (89527, 0, 0, 0, 0, 378, 116);
INSERT INTO public.who_data VALUES (89528, 0, 0, 0, 0, 378, 157);
INSERT INTO public.who_data VALUES (89529, 0, 0, 0, 0, 378, 182);
INSERT INTO public.who_data VALUES (89530, 0, 0, 0, 0, 378, 186);
INSERT INTO public.who_data VALUES (89531, 0, 0, 0, 0, 378, 127);
INSERT INTO public.who_data VALUES (89532, 0, 0, 0, 0, 378, 232);
INSERT INTO public.who_data VALUES (89533, 0, 0, 0, 0, 378, 33);
INSERT INTO public.who_data VALUES (89534, 0, 0, 0, 0, 378, 97);
INSERT INTO public.who_data VALUES (89535, 0, 0, 0, 0, 378, 42);
INSERT INTO public.who_data VALUES (89536, 0, 0, 0, 0, 378, 198);
INSERT INTO public.who_data VALUES (89537, 0, 0, 0, 0, 378, 216);
INSERT INTO public.who_data VALUES (89538, 0, 0, 0, 0, 378, 164);
INSERT INTO public.who_data VALUES (89539, 0, 0, 0, 0, 378, 235);
INSERT INTO public.who_data VALUES (89540, 0, 0, 0, 0, 378, 67);
INSERT INTO public.who_data VALUES (89541, 0, 0, 0, 0, 378, 15);
INSERT INTO public.who_data VALUES (89542, 0, 0, 0, 0, 378, 180);
INSERT INTO public.who_data VALUES (89543, 3, 47, 0, 0, 378, 237);
INSERT INTO public.who_data VALUES (89544, 0, 0, 0, 0, 378, 25);
INSERT INTO public.who_data VALUES (89545, 0, 0, 0, 0, 378, 209);
INSERT INTO public.who_data VALUES (89546, 0, 0, 0, 0, 378, 217);
INSERT INTO public.who_data VALUES (89547, 0, 0, 0, 0, 378, 79);
INSERT INTO public.who_data VALUES (89548, 0, 0, 0, 0, 378, 143);
INSERT INTO public.who_data VALUES (89549, 0, 0, 0, 0, 378, 229);
INSERT INTO public.who_data VALUES (89550, 0, 0, 0, 0, 378, 141);
INSERT INTO public.who_data VALUES (89551, 0, 0, 0, 0, 378, 197);
INSERT INTO public.who_data VALUES (89552, 0, 23, 0, 0, 378, 221);
INSERT INTO public.who_data VALUES (89553, 0, 5, 0, 0, 378, 150);
INSERT INTO public.who_data VALUES (89554, 0, 0, 0, 0, 378, 56);
INSERT INTO public.who_data VALUES (89555, 0, 0, 0, 0, 378, 167);
INSERT INTO public.who_data VALUES (89556, 0, 1, 0, 0, 378, 23);
INSERT INTO public.who_data VALUES (89557, 0, 0, 0, 0, 378, 222);
INSERT INTO public.who_data VALUES (89558, 0, 0, 0, 0, 378, 219);
INSERT INTO public.who_data VALUES (89559, 0, 0, 0, 0, 378, 7);
INSERT INTO public.who_data VALUES (89560, 0, 36, 0, 0, 378, 161);
INSERT INTO public.who_data VALUES (89561, 0, 4, 0, 0, 378, 149);
INSERT INTO public.who_data VALUES (89562, 0, 0, 0, 0, 378, 6);
INSERT INTO public.who_data VALUES (89563, 0, 0, 0, 0, 378, 139);
INSERT INTO public.who_data VALUES (89564, 0, 0, 0, 0, 378, 211);
INSERT INTO public.who_data VALUES (89565, 0, 0, 0, 0, 378, 14);
INSERT INTO public.who_data VALUES (89566, 0, 0, 0, 0, 378, 111);
INSERT INTO public.who_data VALUES (89567, 0, 0, 0, 0, 378, 207);
INSERT INTO public.who_data VALUES (89568, 0, 0, 0, 0, 378, 66);
INSERT INTO public.who_data VALUES (89569, 0, 0, 0, 0, 378, 173);
INSERT INTO public.who_data VALUES (89570, 0, 0, 0, 0, 378, 145);
INSERT INTO public.who_data VALUES (89571, 0, 0, 0, 0, 378, 65);
INSERT INTO public.who_data VALUES (89572, 0, 0, 0, 0, 378, 184);
INSERT INTO public.who_data VALUES (89573, 0, 0, 0, 0, 378, 98);
INSERT INTO public.who_data VALUES (89574, 0, 11, 0, 0, 378, 104);
INSERT INTO public.who_data VALUES (89575, 0, 0, 0, 0, 378, 73);
INSERT INTO public.who_data VALUES (89576, 0, 16, 0, 0, 378, 8);
INSERT INTO public.who_data VALUES (89577, 0, 0, 0, 0, 378, 227);
INSERT INTO public.who_data VALUES (89578, 0, 0, 0, 0, 378, 75);
INSERT INTO public.who_data VALUES (89579, 0, 0, 0, 0, 378, 45);
INSERT INTO public.who_data VALUES (89580, 0, 0, 0, 0, 378, 133);
INSERT INTO public.who_data VALUES (89581, 0, 0, 0, 0, 378, 202);
INSERT INTO public.who_data VALUES (89582, 1, 18, 0, 0, 378, 129);
INSERT INTO public.who_data VALUES (89583, 0, 0, 0, 0, 378, 36);
INSERT INTO public.who_data VALUES (89584, 0, 0, 0, 0, 378, 51);
INSERT INTO public.who_data VALUES (89585, 0, 0, 0, 0, 378, 206);
INSERT INTO public.who_data VALUES (89586, 0, 0, 0, 0, 378, 5);
INSERT INTO public.who_data VALUES (89587, 0, 0, 0, 0, 379, 103);
INSERT INTO public.who_data VALUES (89588, 0, 0, 0, 0, 379, 58);
INSERT INTO public.who_data VALUES (89589, 0, 0, 0, 0, 379, 195);
INSERT INTO public.who_data VALUES (89590, 0, 0, 0, 0, 379, 115);
INSERT INTO public.who_data VALUES (89591, 0, 0, 0, 0, 379, 99);
INSERT INTO public.who_data VALUES (89592, 0, 0, 0, 0, 379, 153);
INSERT INTO public.who_data VALUES (89593, 0, 0, 0, 0, 379, 93);
INSERT INTO public.who_data VALUES (89594, 0, 0, 0, 0, 379, 84);
INSERT INTO public.who_data VALUES (89595, 0, 0, 0, 0, 379, 78);
INSERT INTO public.who_data VALUES (89596, 0, 0, 0, 0, 379, 170);
INSERT INTO public.who_data VALUES (89597, 0, 0, 0, 0, 379, 32);
INSERT INTO public.who_data VALUES (89598, 0, 19, 0, 0, 379, 155);
INSERT INTO public.who_data VALUES (89599, 0, 0, 0, 0, 379, 82);
INSERT INTO public.who_data VALUES (89600, 0, 0, 0, 0, 379, 16);
INSERT INTO public.who_data VALUES (89601, 0, 0, 0, 0, 379, 72);
INSERT INTO public.who_data VALUES (89602, 0, 0, 0, 0, 379, 43);
INSERT INTO public.who_data VALUES (89603, 0, 0, 0, 0, 379, 120);
INSERT INTO public.who_data VALUES (89604, 0, 0, 0, 0, 379, 213);
INSERT INTO public.who_data VALUES (89605, 0, 0, 0, 0, 379, 31);
INSERT INTO public.who_data VALUES (89606, 0, 1, 0, 0, 379, 204);
INSERT INTO public.who_data VALUES (89607, 0, 0, 0, 0, 379, 152);
INSERT INTO public.who_data VALUES (89608, 0, 0, 0, 0, 379, 144);
INSERT INTO public.who_data VALUES (89609, 0, 0, 0, 0, 379, 96);
INSERT INTO public.who_data VALUES (89610, 0, 0, 0, 0, 379, 47);
INSERT INTO public.who_data VALUES (89611, 0, 0, 0, 0, 379, 80);
INSERT INTO public.who_data VALUES (89612, 0, 0, 0, 0, 379, 159);
INSERT INTO public.who_data VALUES (89613, 0, 0, 0, 0, 379, 27);
INSERT INTO public.who_data VALUES (89614, 0, 0, 0, 0, 379, 146);
INSERT INTO public.who_data VALUES (89615, 0, 0, 0, 0, 379, 71);
INSERT INTO public.who_data VALUES (89616, 0, 0, 0, 0, 379, 210);
INSERT INTO public.who_data VALUES (89617, 0, 0, 0, 0, 379, 54);
INSERT INTO public.who_data VALUES (89618, 0, 0, 0, 0, 379, 147);
INSERT INTO public.who_data VALUES (89619, 0, 0, 0, 0, 379, 2);
INSERT INTO public.who_data VALUES (89620, 0, 0, 0, 0, 379, 105);
INSERT INTO public.who_data VALUES (89621, 0, 0, 0, 0, 379, 53);
INSERT INTO public.who_data VALUES (89622, 0, 5, 0, 0, 379, 81);
INSERT INTO public.who_data VALUES (89623, 0, 0, 0, 0, 379, 223);
INSERT INTO public.who_data VALUES (89624, 0, 11, 0, 0, 379, 94);
INSERT INTO public.who_data VALUES (89625, 0, 0, 0, 0, 379, 154);
INSERT INTO public.who_data VALUES (89626, 0, 0, 0, 0, 379, 83);
INSERT INTO public.who_data VALUES (89627, 0, 0, 0, 0, 379, 194);
INSERT INTO public.who_data VALUES (89628, 0, 0, 0, 0, 379, 136);
INSERT INTO public.who_data VALUES (89629, 3387, 34602, 86, 723, 379, 179);
INSERT INTO public.who_data VALUES (89630, 0, 0, 0, 0, 379, 57);
INSERT INTO public.who_data VALUES (89631, 0, 0, 0, 0, 379, 35);
INSERT INTO public.who_data VALUES (89632, 0, 0, 0, 0, 379, 228);
INSERT INTO public.who_data VALUES (89633, 0, 0, 0, 0, 379, 19);
INSERT INTO public.who_data VALUES (89634, 0, 0, 0, 0, 379, 22);
INSERT INTO public.who_data VALUES (89635, 0, 0, 0, 0, 379, 1);
INSERT INTO public.who_data VALUES (89636, 0, 0, 0, 0, 379, 21);
INSERT INTO public.who_data VALUES (89637, 0, 0, 0, 0, 379, 234);
INSERT INTO public.who_data VALUES (89638, 0, 0, 0, 0, 379, 91);
INSERT INTO public.who_data VALUES (89639, 0, 0, 0, 0, 379, 137);
INSERT INTO public.who_data VALUES (89640, 0, 0, 0, 0, 379, 201);
INSERT INTO public.who_data VALUES (89641, 0, 0, 0, 0, 379, 171);
INSERT INTO public.who_data VALUES (89642, 0, 0, 0, 0, 379, 92);
INSERT INTO public.who_data VALUES (89643, 0, 0, 0, 0, 379, 112);
INSERT INTO public.who_data VALUES (89644, 0, 0, 0, 0, 379, 62);
INSERT INTO public.who_data VALUES (89645, 0, 0, 0, 0, 379, 69);
INSERT INTO public.who_data VALUES (89646, 0, 0, 0, 0, 379, 220);
INSERT INTO public.who_data VALUES (89647, 0, 0, 0, 0, 379, 100);
INSERT INTO public.who_data VALUES (89648, 0, 0, 0, 0, 379, 187);
INSERT INTO public.who_data VALUES (89649, 0, 0, 0, 0, 379, 63);
INSERT INTO public.who_data VALUES (89650, 0, 0, 0, 0, 379, 28);
INSERT INTO public.who_data VALUES (89651, 0, 0, 0, 0, 379, 172);
INSERT INTO public.who_data VALUES (89652, 0, 0, 0, 0, 379, 17);
INSERT INTO public.who_data VALUES (89653, 0, 0, 0, 0, 379, 226);
INSERT INTO public.who_data VALUES (89654, 0, 0, 0, 0, 379, 236);
INSERT INTO public.who_data VALUES (89655, 0, 0, 0, 0, 379, 76);
INSERT INTO public.who_data VALUES (89656, 0, 0, 0, 0, 379, 30);
INSERT INTO public.who_data VALUES (89657, 0, 0, 0, 0, 379, 128);
INSERT INTO public.who_data VALUES (89658, 0, 1, 0, 0, 379, 86);
INSERT INTO public.who_data VALUES (89659, 5, 11, 0, 0, 379, 140);
INSERT INTO public.who_data VALUES (89660, 0, 0, 0, 0, 379, 44);
INSERT INTO public.who_data VALUES (89661, 0, 0, 0, 0, 379, 113);
INSERT INTO public.who_data VALUES (89662, 0, 0, 0, 0, 379, 29);
INSERT INTO public.who_data VALUES (89663, 0, 0, 0, 0, 379, 125);
INSERT INTO public.who_data VALUES (89664, 0, 0, 0, 0, 379, 131);
INSERT INTO public.who_data VALUES (89665, 1, 13, 0, 0, 379, 46);
INSERT INTO public.who_data VALUES (89666, 0, 0, 0, 0, 379, 10);
INSERT INTO public.who_data VALUES (89667, 0, 0, 0, 0, 379, 205);
INSERT INTO public.who_data VALUES (89668, 0, 0, 0, 0, 379, 50);
INSERT INTO public.who_data VALUES (89669, 0, 0, 0, 0, 379, 20);
INSERT INTO public.who_data VALUES (89670, 0, 0, 0, 0, 379, 13);
INSERT INTO public.who_data VALUES (89671, 0, 0, 0, 0, 379, 148);
INSERT INTO public.who_data VALUES (89672, 0, 0, 0, 0, 379, 230);
INSERT INTO public.who_data VALUES (89673, 0, 0, 0, 0, 379, 190);
INSERT INTO public.who_data VALUES (89674, 0, 0, 0, 0, 379, 188);
INSERT INTO public.who_data VALUES (89675, 0, 0, 0, 0, 379, 123);
INSERT INTO public.who_data VALUES (89676, 0, 0, 0, 0, 379, 9);
INSERT INTO public.who_data VALUES (89677, 0, 0, 0, 0, 379, 102);
INSERT INTO public.who_data VALUES (89678, 0, 0, 0, 0, 379, 34);
INSERT INTO public.who_data VALUES (89679, 0, 0, 0, 0, 379, 212);
INSERT INTO public.who_data VALUES (89680, 0, 0, 0, 0, 379, 122);
INSERT INTO public.who_data VALUES (89681, 0, 0, 0, 0, 379, 38);
INSERT INTO public.who_data VALUES (89682, 0, 0, 0, 0, 379, 130);
INSERT INTO public.who_data VALUES (89683, 0, 7, 0, 0, 379, 37);
INSERT INTO public.who_data VALUES (89684, 0, 0, 0, 0, 379, 231);
INSERT INTO public.who_data VALUES (89685, 0, 0, 0, 0, 379, 107);
INSERT INTO public.who_data VALUES (89686, 0, 0, 0, 0, 379, 101);
INSERT INTO public.who_data VALUES (89687, 0, 0, 0, 0, 379, 132);
INSERT INTO public.who_data VALUES (89688, 0, 0, 0, 0, 379, 176);
INSERT INTO public.who_data VALUES (89689, 0, 0, 0, 0, 379, 200);
INSERT INTO public.who_data VALUES (89690, 0, 3, 0, 0, 379, 169);
INSERT INTO public.who_data VALUES (89691, 0, 0, 0, 0, 379, 225);
INSERT INTO public.who_data VALUES (89692, 0, 29, 0, 0, 379, 165);
INSERT INTO public.who_data VALUES (89693, 0, 0, 0, 0, 379, 233);
INSERT INTO public.who_data VALUES (89694, 0, 0, 0, 0, 379, 215);
INSERT INTO public.who_data VALUES (89695, 0, 0, 0, 0, 379, 177);
INSERT INTO public.who_data VALUES (89696, 0, 0, 0, 0, 379, 183);
INSERT INTO public.who_data VALUES (89697, 0, 0, 0, 0, 379, 203);
INSERT INTO public.who_data VALUES (89698, 0, 0, 0, 0, 379, 162);
INSERT INTO public.who_data VALUES (89699, 0, 0, 0, 0, 379, 12);
INSERT INTO public.who_data VALUES (89700, 0, 0, 0, 0, 379, 24);
INSERT INTO public.who_data VALUES (89701, 0, 0, 0, 0, 379, 119);
INSERT INTO public.who_data VALUES (89702, 0, 0, 0, 0, 379, 39);
INSERT INTO public.who_data VALUES (89703, 0, 0, 0, 0, 379, 26);
INSERT INTO public.who_data VALUES (89704, 0, 0, 0, 0, 379, 59);
INSERT INTO public.who_data VALUES (89705, 0, 0, 0, 0, 379, 77);
INSERT INTO public.who_data VALUES (89706, 0, 0, 0, 0, 379, 134);
INSERT INTO public.who_data VALUES (89707, 0, 0, 0, 0, 379, 4);
INSERT INTO public.who_data VALUES (89708, 0, 0, 0, 0, 379, 109);
INSERT INTO public.who_data VALUES (89709, 0, 0, 0, 0, 379, 90);
INSERT INTO public.who_data VALUES (89710, 0, 0, 0, 0, 379, 61);
INSERT INTO public.who_data VALUES (89711, 0, 0, 0, 0, 379, 85);
INSERT INTO public.who_data VALUES (89712, 1, 20, 0, 0, 379, 49);
INSERT INTO public.who_data VALUES (89713, 0, 0, 0, 0, 379, 208);
INSERT INTO public.who_data VALUES (89714, 0, 0, 0, 0, 379, 166);
INSERT INTO public.who_data VALUES (89715, 0, 0, 0, 0, 379, 64);
INSERT INTO public.who_data VALUES (89716, 0, 0, 0, 0, 379, 199);
INSERT INTO public.who_data VALUES (89717, 0, 0, 0, 0, 379, 114);
INSERT INTO public.who_data VALUES (89718, 0, 0, 0, 0, 379, 60);
INSERT INTO public.who_data VALUES (89719, 0, 0, 0, 0, 379, 68);
INSERT INTO public.who_data VALUES (89720, 0, 0, 0, 0, 379, 158);
INSERT INTO public.who_data VALUES (89721, 0, 0, 0, 0, 379, 52);
INSERT INTO public.who_data VALUES (89722, 0, 0, 0, 0, 379, 117);
INSERT INTO public.who_data VALUES (89723, 0, 0, 0, 0, 379, 126);
INSERT INTO public.who_data VALUES (89724, 0, 0, 0, 0, 379, 196);
INSERT INTO public.who_data VALUES (89725, 0, 0, 0, 0, 379, 142);
INSERT INTO public.who_data VALUES (89726, 0, 0, 0, 0, 379, 185);
INSERT INTO public.who_data VALUES (89727, 0, 0, 0, 0, 379, 138);
INSERT INTO public.who_data VALUES (89728, 0, 0, 0, 0, 379, 181);
INSERT INTO public.who_data VALUES (89729, 0, 0, 0, 0, 379, 178);
INSERT INTO public.who_data VALUES (89730, 0, 0, 0, 0, 379, 168);
INSERT INTO public.who_data VALUES (89731, 0, 0, 0, 0, 379, 160);
INSERT INTO public.who_data VALUES (89732, 0, 5, 0, 0, 379, 151);
INSERT INTO public.who_data VALUES (89733, 0, 0, 0, 0, 379, 193);
INSERT INTO public.who_data VALUES (89734, 0, 0, 0, 0, 379, 18);
INSERT INTO public.who_data VALUES (89735, 0, 0, 0, 0, 379, 40);
INSERT INTO public.who_data VALUES (89736, 0, 0, 0, 0, 379, 218);
INSERT INTO public.who_data VALUES (89737, 0, 0, 0, 0, 379, 191);
INSERT INTO public.who_data VALUES (89738, 0, 0, 0, 0, 379, 156);
INSERT INTO public.who_data VALUES (89739, 0, 0, 0, 0, 379, 135);
INSERT INTO public.who_data VALUES (89740, 0, 0, 0, 0, 379, 88);
INSERT INTO public.who_data VALUES (89741, 0, 0, 0, 0, 379, 55);
INSERT INTO public.who_data VALUES (89742, 0, 0, 0, 0, 379, 108);
INSERT INTO public.who_data VALUES (89743, 0, 0, 0, 0, 379, 48);
INSERT INTO public.who_data VALUES (89744, 0, 0, 0, 0, 379, 3);
INSERT INTO public.who_data VALUES (89745, 3, 68, 0, 0, 379, 224);
INSERT INTO public.who_data VALUES (89746, 0, 0, 0, 0, 379, 110);
INSERT INTO public.who_data VALUES (89747, 0, 0, 0, 0, 379, 106);
INSERT INTO public.who_data VALUES (89748, 0, 0, 0, 0, 379, 89);
INSERT INTO public.who_data VALUES (89749, 0, 0, 0, 0, 379, 121);
INSERT INTO public.who_data VALUES (89750, 0, 0, 0, 0, 379, 163);
INSERT INTO public.who_data VALUES (89751, 0, 0, 0, 0, 379, 70);
INSERT INTO public.who_data VALUES (89752, 0, 7, 0, 1, 379, 174);
INSERT INTO public.who_data VALUES (89753, 0, 0, 0, 0, 379, 175);
INSERT INTO public.who_data VALUES (89754, 0, 0, 0, 0, 379, 118);
INSERT INTO public.who_data VALUES (89755, 0, 0, 0, 0, 379, 189);
INSERT INTO public.who_data VALUES (89756, 0, 0, 0, 0, 379, 124);
INSERT INTO public.who_data VALUES (89757, 0, 0, 0, 0, 379, 192);
INSERT INTO public.who_data VALUES (89758, 0, 28, 0, 0, 379, 41);
INSERT INTO public.who_data VALUES (89759, 0, 0, 0, 0, 379, 95);
INSERT INTO public.who_data VALUES (89760, 0, 0, 0, 0, 379, 74);
INSERT INTO public.who_data VALUES (89761, 0, 0, 0, 0, 379, 11);
INSERT INTO public.who_data VALUES (89762, 0, 2, 0, 0, 379, 87);
INSERT INTO public.who_data VALUES (89763, 0, 0, 0, 0, 379, 214);
INSERT INTO public.who_data VALUES (89764, 0, 0, 0, 0, 379, 116);
INSERT INTO public.who_data VALUES (89765, 0, 0, 0, 0, 379, 157);
INSERT INTO public.who_data VALUES (89766, 0, 0, 0, 0, 379, 182);
INSERT INTO public.who_data VALUES (89767, 0, 0, 0, 0, 379, 186);
INSERT INTO public.who_data VALUES (89768, 0, 0, 0, 0, 379, 127);
INSERT INTO public.who_data VALUES (89769, 0, 0, 0, 0, 379, 232);
INSERT INTO public.who_data VALUES (89770, 0, 0, 0, 0, 379, 33);
INSERT INTO public.who_data VALUES (89771, 0, 0, 0, 0, 379, 97);
INSERT INTO public.who_data VALUES (89772, 0, 0, 0, 0, 379, 42);
INSERT INTO public.who_data VALUES (89773, 0, 0, 0, 0, 379, 198);
INSERT INTO public.who_data VALUES (89774, 0, 0, 0, 0, 379, 216);
INSERT INTO public.who_data VALUES (89775, 0, 0, 0, 0, 379, 164);
INSERT INTO public.who_data VALUES (89776, 0, 0, 0, 0, 379, 235);
INSERT INTO public.who_data VALUES (89777, 0, 0, 0, 0, 379, 67);
INSERT INTO public.who_data VALUES (89778, 0, 0, 0, 0, 379, 15);
INSERT INTO public.who_data VALUES (89779, 0, 0, 0, 0, 379, 180);
INSERT INTO public.who_data VALUES (89780, 7, 44, 0, 0, 379, 237);
INSERT INTO public.who_data VALUES (89781, 0, 0, 0, 0, 379, 25);
INSERT INTO public.who_data VALUES (89782, 0, 0, 0, 0, 379, 209);
INSERT INTO public.who_data VALUES (89783, 0, 0, 0, 0, 379, 217);
INSERT INTO public.who_data VALUES (89784, 0, 0, 0, 0, 379, 79);
INSERT INTO public.who_data VALUES (89785, 0, 0, 0, 0, 379, 143);
INSERT INTO public.who_data VALUES (89786, 0, 0, 0, 0, 379, 229);
INSERT INTO public.who_data VALUES (89787, 0, 0, 0, 0, 379, 141);
INSERT INTO public.who_data VALUES (89788, 0, 0, 0, 0, 379, 197);
INSERT INTO public.who_data VALUES (89789, 0, 23, 0, 0, 379, 221);
INSERT INTO public.who_data VALUES (89790, 0, 5, 0, 0, 379, 150);
INSERT INTO public.who_data VALUES (89791, 0, 0, 0, 0, 379, 56);
INSERT INTO public.who_data VALUES (89792, 0, 0, 0, 0, 379, 167);
INSERT INTO public.who_data VALUES (89793, 0, 1, 0, 0, 379, 23);
INSERT INTO public.who_data VALUES (89794, 0, 0, 0, 0, 379, 222);
INSERT INTO public.who_data VALUES (89795, 0, 0, 0, 0, 379, 219);
INSERT INTO public.who_data VALUES (89796, 0, 0, 0, 0, 379, 7);
INSERT INTO public.who_data VALUES (89797, 7, 36, 0, 0, 379, 161);
INSERT INTO public.who_data VALUES (89798, 0, 4, 0, 0, 379, 149);
INSERT INTO public.who_data VALUES (89799, 0, 0, 0, 0, 379, 6);
INSERT INTO public.who_data VALUES (89800, 0, 0, 0, 0, 379, 139);
INSERT INTO public.who_data VALUES (89801, 0, 0, 0, 0, 379, 211);
INSERT INTO public.who_data VALUES (89802, 0, 0, 0, 0, 379, 14);
INSERT INTO public.who_data VALUES (89803, 0, 0, 0, 0, 379, 111);
INSERT INTO public.who_data VALUES (89804, 0, 0, 0, 0, 379, 207);
INSERT INTO public.who_data VALUES (89805, 0, 0, 0, 0, 379, 66);
INSERT INTO public.who_data VALUES (89806, 0, 0, 0, 0, 379, 173);
INSERT INTO public.who_data VALUES (89807, 0, 0, 0, 0, 379, 145);
INSERT INTO public.who_data VALUES (89808, 0, 0, 0, 0, 379, 65);
INSERT INTO public.who_data VALUES (89809, 0, 0, 0, 0, 379, 184);
INSERT INTO public.who_data VALUES (89810, 0, 0, 0, 0, 379, 98);
INSERT INTO public.who_data VALUES (89811, 2, 11, 0, 0, 379, 104);
INSERT INTO public.who_data VALUES (89812, 0, 0, 0, 0, 379, 73);
INSERT INTO public.who_data VALUES (89813, 0, 16, 0, 0, 379, 8);
INSERT INTO public.who_data VALUES (89814, 0, 0, 0, 0, 379, 227);
INSERT INTO public.who_data VALUES (89815, 0, 0, 0, 0, 379, 75);
INSERT INTO public.who_data VALUES (89816, 0, 0, 0, 0, 379, 45);
INSERT INTO public.who_data VALUES (89817, 0, 0, 0, 0, 379, 133);
INSERT INTO public.who_data VALUES (89818, 0, 0, 0, 0, 379, 202);
INSERT INTO public.who_data VALUES (89819, 1, 17, 0, 0, 379, 129);
INSERT INTO public.who_data VALUES (89820, 0, 0, 0, 0, 379, 36);
INSERT INTO public.who_data VALUES (89821, 0, 0, 0, 0, 379, 51);
INSERT INTO public.who_data VALUES (89822, 0, 0, 0, 0, 379, 206);
INSERT INTO public.who_data VALUES (89823, 0, 0, 0, 0, 379, 5);
INSERT INTO public.who_data VALUES (89824, 0, 0, 0, 0, 380, 103);
INSERT INTO public.who_data VALUES (89825, 0, 0, 0, 0, 380, 58);
INSERT INTO public.who_data VALUES (89826, 0, 0, 0, 0, 380, 195);
INSERT INTO public.who_data VALUES (89827, 0, 0, 0, 0, 380, 115);
INSERT INTO public.who_data VALUES (89828, 0, 0, 0, 0, 380, 99);
INSERT INTO public.who_data VALUES (89829, 0, 0, 0, 0, 380, 153);
INSERT INTO public.who_data VALUES (89830, 0, 0, 0, 0, 380, 93);
INSERT INTO public.who_data VALUES (89831, 0, 0, 0, 0, 380, 84);
INSERT INTO public.who_data VALUES (89832, 0, 0, 0, 0, 380, 78);
INSERT INTO public.who_data VALUES (89833, 0, 0, 0, 0, 380, 170);
INSERT INTO public.who_data VALUES (89834, 0, 0, 0, 0, 380, 32);
INSERT INTO public.who_data VALUES (89835, 0, 19, 0, 0, 380, 155);
INSERT INTO public.who_data VALUES (89836, 0, 0, 0, 0, 380, 82);
INSERT INTO public.who_data VALUES (89837, 0, 0, 0, 0, 380, 16);
INSERT INTO public.who_data VALUES (89838, 0, 0, 0, 0, 380, 72);
INSERT INTO public.who_data VALUES (89839, 0, 0, 0, 0, 380, 43);
INSERT INTO public.who_data VALUES (89840, 0, 0, 0, 0, 380, 120);
INSERT INTO public.who_data VALUES (89841, 0, 0, 0, 0, 380, 213);
INSERT INTO public.who_data VALUES (89842, 0, 0, 0, 0, 380, 31);
INSERT INTO public.who_data VALUES (89843, 0, 1, 0, 0, 380, 204);
INSERT INTO public.who_data VALUES (89844, 0, 0, 0, 0, 380, 152);
INSERT INTO public.who_data VALUES (89845, 0, 0, 0, 0, 380, 144);
INSERT INTO public.who_data VALUES (89846, 0, 0, 0, 0, 380, 96);
INSERT INTO public.who_data VALUES (89847, 0, 0, 0, 0, 380, 47);
INSERT INTO public.who_data VALUES (89848, 0, 0, 0, 0, 380, 80);
INSERT INTO public.who_data VALUES (89849, 0, 0, 0, 0, 380, 159);
INSERT INTO public.who_data VALUES (89850, 0, 0, 0, 0, 380, 27);
INSERT INTO public.who_data VALUES (89851, 0, 0, 0, 0, 380, 146);
INSERT INTO public.who_data VALUES (89852, 0, 0, 0, 0, 380, 71);
INSERT INTO public.who_data VALUES (89853, 0, 0, 0, 0, 380, 210);
INSERT INTO public.who_data VALUES (89854, 0, 0, 0, 0, 380, 54);
INSERT INTO public.who_data VALUES (89855, 0, 0, 0, 0, 380, 147);
INSERT INTO public.who_data VALUES (89856, 0, 0, 0, 0, 380, 2);
INSERT INTO public.who_data VALUES (89857, 0, 0, 0, 0, 380, 105);
INSERT INTO public.who_data VALUES (89858, 0, 0, 0, 0, 380, 53);
INSERT INTO public.who_data VALUES (89859, 0, 5, 0, 0, 380, 81);
INSERT INTO public.who_data VALUES (89860, 0, 0, 0, 0, 380, 223);
INSERT INTO public.who_data VALUES (89861, 2, 11, 0, 0, 380, 94);
INSERT INTO public.who_data VALUES (89862, 0, 0, 0, 0, 380, 154);
INSERT INTO public.who_data VALUES (89863, 0, 0, 0, 0, 380, 83);
INSERT INTO public.who_data VALUES (89864, 0, 0, 0, 0, 380, 194);
INSERT INTO public.who_data VALUES (89865, 0, 0, 0, 0, 380, 136);
INSERT INTO public.who_data VALUES (89866, 3151, 31215, 73, 637, 380, 179);
INSERT INTO public.who_data VALUES (89867, 0, 0, 0, 0, 380, 57);
INSERT INTO public.who_data VALUES (89868, 0, 0, 0, 0, 380, 35);
INSERT INTO public.who_data VALUES (89869, 0, 0, 0, 0, 380, 228);
INSERT INTO public.who_data VALUES (89870, 0, 0, 0, 0, 380, 19);
INSERT INTO public.who_data VALUES (89871, 0, 0, 0, 0, 380, 22);
INSERT INTO public.who_data VALUES (89872, 0, 0, 0, 0, 380, 1);
INSERT INTO public.who_data VALUES (89873, 0, 0, 0, 0, 380, 21);
INSERT INTO public.who_data VALUES (89874, 0, 0, 0, 0, 380, 234);
INSERT INTO public.who_data VALUES (89875, 0, 0, 0, 0, 380, 91);
INSERT INTO public.who_data VALUES (89876, 0, 0, 0, 0, 380, 137);
INSERT INTO public.who_data VALUES (89877, 0, 0, 0, 0, 380, 201);
INSERT INTO public.who_data VALUES (89878, 0, 0, 0, 0, 380, 171);
INSERT INTO public.who_data VALUES (89879, 0, 0, 0, 0, 380, 92);
INSERT INTO public.who_data VALUES (89880, 0, 0, 0, 0, 380, 112);
INSERT INTO public.who_data VALUES (89881, 0, 0, 0, 0, 380, 62);
INSERT INTO public.who_data VALUES (89882, 0, 0, 0, 0, 380, 69);
INSERT INTO public.who_data VALUES (89883, 0, 0, 0, 0, 380, 220);
INSERT INTO public.who_data VALUES (89884, 0, 0, 0, 0, 380, 100);
INSERT INTO public.who_data VALUES (89885, 0, 0, 0, 0, 380, 187);
INSERT INTO public.who_data VALUES (89886, 0, 0, 0, 0, 380, 63);
INSERT INTO public.who_data VALUES (89887, 0, 0, 0, 0, 380, 28);
INSERT INTO public.who_data VALUES (89888, 0, 0, 0, 0, 380, 172);
INSERT INTO public.who_data VALUES (89889, 0, 0, 0, 0, 380, 17);
INSERT INTO public.who_data VALUES (89890, 0, 0, 0, 0, 380, 226);
INSERT INTO public.who_data VALUES (89891, 0, 0, 0, 0, 380, 236);
INSERT INTO public.who_data VALUES (89892, 0, 0, 0, 0, 380, 76);
INSERT INTO public.who_data VALUES (89893, 0, 0, 0, 0, 380, 30);
INSERT INTO public.who_data VALUES (89894, 0, 0, 0, 0, 380, 128);
INSERT INTO public.who_data VALUES (89895, 0, 1, 0, 0, 380, 86);
INSERT INTO public.who_data VALUES (89896, 0, 6, 0, 0, 380, 140);
INSERT INTO public.who_data VALUES (89897, 0, 0, 0, 0, 380, 44);
INSERT INTO public.who_data VALUES (89898, 0, 0, 0, 0, 380, 113);
INSERT INTO public.who_data VALUES (89899, 0, 0, 0, 0, 380, 29);
INSERT INTO public.who_data VALUES (89900, 0, 0, 0, 0, 380, 125);
INSERT INTO public.who_data VALUES (89901, 0, 0, 0, 0, 380, 131);
INSERT INTO public.who_data VALUES (89902, 1, 12, 0, 0, 380, 46);
INSERT INTO public.who_data VALUES (89903, 0, 0, 0, 0, 380, 10);
INSERT INTO public.who_data VALUES (89904, 0, 0, 0, 0, 380, 205);
INSERT INTO public.who_data VALUES (89905, 0, 0, 0, 0, 380, 50);
INSERT INTO public.who_data VALUES (89906, 0, 0, 0, 0, 380, 20);
INSERT INTO public.who_data VALUES (89907, 0, 0, 0, 0, 380, 13);
INSERT INTO public.who_data VALUES (89908, 0, 0, 0, 0, 380, 148);
INSERT INTO public.who_data VALUES (89909, 0, 0, 0, 0, 380, 230);
INSERT INTO public.who_data VALUES (89910, 0, 0, 0, 0, 380, 190);
INSERT INTO public.who_data VALUES (89911, 0, 0, 0, 0, 380, 188);
INSERT INTO public.who_data VALUES (89912, 0, 0, 0, 0, 380, 123);
INSERT INTO public.who_data VALUES (89913, 0, 0, 0, 0, 380, 9);
INSERT INTO public.who_data VALUES (89914, 0, 0, 0, 0, 380, 102);
INSERT INTO public.who_data VALUES (89915, 0, 0, 0, 0, 380, 34);
INSERT INTO public.who_data VALUES (89916, 0, 0, 0, 0, 380, 212);
INSERT INTO public.who_data VALUES (89917, 0, 0, 0, 0, 380, 122);
INSERT INTO public.who_data VALUES (89918, 0, 0, 0, 0, 380, 38);
INSERT INTO public.who_data VALUES (89919, 0, 0, 0, 0, 380, 130);
INSERT INTO public.who_data VALUES (89920, 0, 7, 0, 0, 380, 37);
INSERT INTO public.who_data VALUES (89921, 0, 0, 0, 0, 380, 231);
INSERT INTO public.who_data VALUES (89922, 0, 0, 0, 0, 380, 107);
INSERT INTO public.who_data VALUES (89923, 0, 0, 0, 0, 380, 101);
INSERT INTO public.who_data VALUES (89924, 0, 0, 0, 0, 380, 132);
INSERT INTO public.who_data VALUES (89925, 0, 0, 0, 0, 380, 176);
INSERT INTO public.who_data VALUES (89926, 0, 0, 0, 0, 380, 200);
INSERT INTO public.who_data VALUES (89927, 0, 3, 0, 0, 380, 169);
INSERT INTO public.who_data VALUES (89928, 0, 0, 0, 0, 380, 225);
INSERT INTO public.who_data VALUES (89929, 0, 29, 0, 0, 380, 165);
INSERT INTO public.who_data VALUES (89930, 0, 0, 0, 0, 380, 233);
INSERT INTO public.who_data VALUES (89931, 0, 0, 0, 0, 380, 215);
INSERT INTO public.who_data VALUES (89932, 0, 0, 0, 0, 380, 177);
INSERT INTO public.who_data VALUES (89933, 0, 0, 0, 0, 380, 183);
INSERT INTO public.who_data VALUES (89934, 0, 0, 0, 0, 380, 203);
INSERT INTO public.who_data VALUES (89935, 0, 0, 0, 0, 380, 162);
INSERT INTO public.who_data VALUES (89936, 0, 0, 0, 0, 380, 12);
INSERT INTO public.who_data VALUES (89937, 0, 0, 0, 0, 380, 24);
INSERT INTO public.who_data VALUES (89938, 0, 0, 0, 0, 380, 119);
INSERT INTO public.who_data VALUES (89939, 0, 0, 0, 0, 380, 39);
INSERT INTO public.who_data VALUES (89940, 0, 0, 0, 0, 380, 26);
INSERT INTO public.who_data VALUES (89941, 0, 0, 0, 0, 380, 59);
INSERT INTO public.who_data VALUES (89942, 0, 0, 0, 0, 380, 77);
INSERT INTO public.who_data VALUES (89943, 0, 0, 0, 0, 380, 134);
INSERT INTO public.who_data VALUES (89944, 0, 0, 0, 0, 380, 4);
INSERT INTO public.who_data VALUES (89945, 0, 0, 0, 0, 380, 109);
INSERT INTO public.who_data VALUES (89946, 0, 0, 0, 0, 380, 90);
INSERT INTO public.who_data VALUES (89947, 0, 0, 0, 0, 380, 61);
INSERT INTO public.who_data VALUES (89948, 0, 0, 0, 0, 380, 85);
INSERT INTO public.who_data VALUES (89949, 1, 19, 0, 0, 380, 49);
INSERT INTO public.who_data VALUES (89950, 0, 0, 0, 0, 380, 208);
INSERT INTO public.who_data VALUES (89951, 0, 0, 0, 0, 380, 166);
INSERT INTO public.who_data VALUES (89952, 0, 0, 0, 0, 380, 64);
INSERT INTO public.who_data VALUES (89953, 0, 0, 0, 0, 380, 199);
INSERT INTO public.who_data VALUES (89954, 0, 0, 0, 0, 380, 114);
INSERT INTO public.who_data VALUES (89955, 0, 0, 0, 0, 380, 60);
INSERT INTO public.who_data VALUES (89956, 0, 0, 0, 0, 380, 68);
INSERT INTO public.who_data VALUES (89957, 0, 0, 0, 0, 380, 158);
INSERT INTO public.who_data VALUES (89958, 0, 0, 0, 0, 380, 52);
INSERT INTO public.who_data VALUES (89959, 0, 0, 0, 0, 380, 117);
INSERT INTO public.who_data VALUES (89960, 0, 0, 0, 0, 380, 126);
INSERT INTO public.who_data VALUES (89961, 0, 0, 0, 0, 380, 196);
INSERT INTO public.who_data VALUES (89962, 0, 0, 0, 0, 380, 142);
INSERT INTO public.who_data VALUES (89963, 0, 0, 0, 0, 380, 185);
INSERT INTO public.who_data VALUES (89964, 0, 0, 0, 0, 380, 138);
INSERT INTO public.who_data VALUES (89965, 0, 0, 0, 0, 380, 181);
INSERT INTO public.who_data VALUES (89966, 0, 0, 0, 0, 380, 178);
INSERT INTO public.who_data VALUES (89967, 0, 0, 0, 0, 380, 168);
INSERT INTO public.who_data VALUES (89968, 0, 0, 0, 0, 380, 160);
INSERT INTO public.who_data VALUES (89969, 0, 5, 0, 0, 380, 151);
INSERT INTO public.who_data VALUES (89970, 0, 0, 0, 0, 380, 193);
INSERT INTO public.who_data VALUES (89971, 0, 0, 0, 0, 380, 18);
INSERT INTO public.who_data VALUES (89972, 0, 0, 0, 0, 380, 40);
INSERT INTO public.who_data VALUES (89973, 0, 0, 0, 0, 380, 218);
INSERT INTO public.who_data VALUES (89974, 0, 0, 0, 0, 380, 191);
INSERT INTO public.who_data VALUES (89975, 0, 0, 0, 0, 380, 156);
INSERT INTO public.who_data VALUES (89976, 0, 0, 0, 0, 380, 135);
INSERT INTO public.who_data VALUES (89977, 0, 0, 0, 0, 380, 88);
INSERT INTO public.who_data VALUES (89978, 0, 0, 0, 0, 380, 55);
INSERT INTO public.who_data VALUES (89979, 0, 0, 0, 0, 380, 108);
INSERT INTO public.who_data VALUES (89980, 0, 0, 0, 0, 380, 48);
INSERT INTO public.who_data VALUES (89981, 0, 0, 0, 0, 380, 3);
INSERT INTO public.who_data VALUES (89982, 41, 65, 0, 0, 380, 224);
INSERT INTO public.who_data VALUES (89983, 0, 0, 0, 0, 380, 110);
INSERT INTO public.who_data VALUES (89984, 0, 0, 0, 0, 380, 106);
INSERT INTO public.who_data VALUES (89985, 0, 0, 0, 0, 380, 89);
INSERT INTO public.who_data VALUES (89986, 0, 0, 0, 0, 380, 121);
INSERT INTO public.who_data VALUES (89987, 0, 0, 0, 0, 380, 163);
INSERT INTO public.who_data VALUES (89988, 0, 0, 0, 0, 380, 70);
INSERT INTO public.who_data VALUES (89989, 0, 7, 0, 1, 380, 174);
INSERT INTO public.who_data VALUES (89990, 0, 0, 0, 0, 380, 175);
INSERT INTO public.who_data VALUES (89991, 0, 0, 0, 0, 380, 118);
INSERT INTO public.who_data VALUES (89992, 0, 0, 0, 0, 380, 189);
INSERT INTO public.who_data VALUES (89993, 0, 0, 0, 0, 380, 124);
INSERT INTO public.who_data VALUES (89994, 0, 0, 0, 0, 380, 192);
INSERT INTO public.who_data VALUES (89995, 1, 28, 0, 0, 380, 41);
INSERT INTO public.who_data VALUES (89996, 0, 0, 0, 0, 380, 95);
INSERT INTO public.who_data VALUES (89997, 0, 0, 0, 0, 380, 74);
INSERT INTO public.who_data VALUES (89998, 0, 0, 0, 0, 380, 11);
INSERT INTO public.who_data VALUES (89999, 0, 2, 0, 0, 380, 87);
INSERT INTO public.who_data VALUES (90000, 0, 0, 0, 0, 380, 214);
INSERT INTO public.who_data VALUES (90001, 0, 0, 0, 0, 380, 116);
INSERT INTO public.who_data VALUES (90002, 0, 0, 0, 0, 380, 157);
INSERT INTO public.who_data VALUES (90003, 0, 0, 0, 0, 380, 182);
INSERT INTO public.who_data VALUES (90004, 0, 0, 0, 0, 380, 186);
INSERT INTO public.who_data VALUES (90005, 0, 0, 0, 0, 380, 127);
INSERT INTO public.who_data VALUES (90006, 0, 0, 0, 0, 380, 232);
INSERT INTO public.who_data VALUES (90007, 0, 0, 0, 0, 380, 33);
INSERT INTO public.who_data VALUES (90008, 0, 0, 0, 0, 380, 97);
INSERT INTO public.who_data VALUES (90009, 0, 0, 0, 0, 380, 42);
INSERT INTO public.who_data VALUES (90010, 0, 0, 0, 0, 380, 198);
INSERT INTO public.who_data VALUES (90011, 0, 0, 0, 0, 380, 216);
INSERT INTO public.who_data VALUES (90012, 0, 0, 0, 0, 380, 164);
INSERT INTO public.who_data VALUES (90013, 0, 0, 0, 0, 380, 235);
INSERT INTO public.who_data VALUES (90014, 0, 0, 0, 0, 380, 67);
INSERT INTO public.who_data VALUES (90015, 0, 0, 0, 0, 380, 15);
INSERT INTO public.who_data VALUES (90016, 0, 0, 0, 0, 380, 180);
INSERT INTO public.who_data VALUES (90017, 3, 37, 0, 0, 380, 237);
INSERT INTO public.who_data VALUES (90018, 0, 0, 0, 0, 380, 25);
INSERT INTO public.who_data VALUES (90019, 0, 0, 0, 0, 380, 209);
INSERT INTO public.who_data VALUES (90020, 0, 0, 0, 0, 380, 217);
INSERT INTO public.who_data VALUES (90021, 0, 0, 0, 0, 380, 79);
INSERT INTO public.who_data VALUES (90022, 0, 0, 0, 0, 380, 143);
INSERT INTO public.who_data VALUES (90023, 0, 0, 0, 0, 380, 229);
INSERT INTO public.who_data VALUES (90024, 0, 0, 0, 0, 380, 141);
INSERT INTO public.who_data VALUES (90025, 0, 0, 0, 0, 380, 197);
INSERT INTO public.who_data VALUES (90026, 0, 23, 0, 0, 380, 221);
INSERT INTO public.who_data VALUES (90027, 0, 5, 0, 0, 380, 150);
INSERT INTO public.who_data VALUES (90028, 0, 0, 0, 0, 380, 56);
INSERT INTO public.who_data VALUES (90029, 0, 0, 0, 0, 380, 167);
INSERT INTO public.who_data VALUES (90030, 0, 1, 0, 0, 380, 23);
INSERT INTO public.who_data VALUES (90031, 0, 0, 0, 0, 380, 222);
INSERT INTO public.who_data VALUES (90032, 0, 0, 0, 0, 380, 219);
INSERT INTO public.who_data VALUES (90033, 0, 0, 0, 0, 380, 7);
INSERT INTO public.who_data VALUES (90034, 0, 29, 0, 0, 380, 161);
INSERT INTO public.who_data VALUES (90035, 1, 4, 0, 0, 380, 149);
INSERT INTO public.who_data VALUES (90036, 0, 0, 0, 0, 380, 6);
INSERT INTO public.who_data VALUES (90037, 0, 0, 0, 0, 380, 139);
INSERT INTO public.who_data VALUES (90038, 0, 0, 0, 0, 380, 211);
INSERT INTO public.who_data VALUES (90039, 0, 0, 0, 0, 380, 14);
INSERT INTO public.who_data VALUES (90040, 0, 0, 0, 0, 380, 111);
INSERT INTO public.who_data VALUES (90041, 0, 0, 0, 0, 380, 207);
INSERT INTO public.who_data VALUES (90042, 0, 0, 0, 0, 380, 66);
INSERT INTO public.who_data VALUES (90043, 0, 0, 0, 0, 380, 173);
INSERT INTO public.who_data VALUES (90044, 0, 0, 0, 0, 380, 145);
INSERT INTO public.who_data VALUES (90045, 0, 0, 0, 0, 380, 65);
INSERT INTO public.who_data VALUES (90046, 0, 0, 0, 0, 380, 184);
INSERT INTO public.who_data VALUES (90047, 0, 0, 0, 0, 380, 98);
INSERT INTO public.who_data VALUES (90048, 0, 9, 0, 0, 380, 104);
INSERT INTO public.who_data VALUES (90049, 0, 0, 0, 0, 380, 73);
INSERT INTO public.who_data VALUES (90050, 0, 16, 0, 0, 380, 8);
INSERT INTO public.who_data VALUES (90051, 0, 0, 0, 0, 380, 227);
INSERT INTO public.who_data VALUES (90052, 0, 0, 0, 0, 380, 75);
INSERT INTO public.who_data VALUES (90053, 0, 0, 0, 0, 380, 45);
INSERT INTO public.who_data VALUES (90054, 0, 0, 0, 0, 380, 133);
INSERT INTO public.who_data VALUES (90055, 0, 0, 0, 0, 380, 202);
INSERT INTO public.who_data VALUES (90056, 0, 16, 0, 0, 380, 129);
INSERT INTO public.who_data VALUES (90057, 0, 0, 0, 0, 380, 36);
INSERT INTO public.who_data VALUES (90058, 0, 0, 0, 0, 380, 51);
INSERT INTO public.who_data VALUES (90059, 0, 0, 0, 0, 380, 206);
INSERT INTO public.who_data VALUES (90060, 0, 0, 0, 0, 380, 5);
INSERT INTO public.who_data VALUES (90061, 0, 0, 0, 0, 381, 103);
INSERT INTO public.who_data VALUES (90062, 0, 0, 0, 0, 381, 58);
INSERT INTO public.who_data VALUES (90063, 0, 0, 0, 0, 381, 195);
INSERT INTO public.who_data VALUES (90064, 0, 0, 0, 0, 381, 115);
INSERT INTO public.who_data VALUES (90065, 0, 0, 0, 0, 381, 99);
INSERT INTO public.who_data VALUES (90066, 0, 0, 0, 0, 381, 153);
INSERT INTO public.who_data VALUES (90067, 0, 0, 0, 0, 381, 93);
INSERT INTO public.who_data VALUES (90068, 0, 0, 0, 0, 381, 84);
INSERT INTO public.who_data VALUES (90069, 0, 0, 0, 0, 381, 78);
INSERT INTO public.who_data VALUES (90070, 0, 0, 0, 0, 381, 170);
INSERT INTO public.who_data VALUES (90071, 0, 0, 0, 0, 381, 32);
INSERT INTO public.who_data VALUES (90072, 1, 19, 0, 0, 381, 155);
INSERT INTO public.who_data VALUES (90073, 0, 0, 0, 0, 381, 82);
INSERT INTO public.who_data VALUES (90074, 0, 0, 0, 0, 381, 16);
INSERT INTO public.who_data VALUES (90075, 0, 0, 0, 0, 381, 72);
INSERT INTO public.who_data VALUES (90076, 0, 0, 0, 0, 381, 43);
INSERT INTO public.who_data VALUES (90077, 0, 0, 0, 0, 381, 120);
INSERT INTO public.who_data VALUES (90078, 0, 0, 0, 0, 381, 213);
INSERT INTO public.who_data VALUES (90079, 0, 0, 0, 0, 381, 31);
INSERT INTO public.who_data VALUES (90080, 0, 1, 0, 0, 381, 204);
INSERT INTO public.who_data VALUES (90081, 0, 0, 0, 0, 381, 152);
INSERT INTO public.who_data VALUES (90082, 0, 0, 0, 0, 381, 144);
INSERT INTO public.who_data VALUES (90083, 0, 0, 0, 0, 381, 96);
INSERT INTO public.who_data VALUES (90084, 0, 0, 0, 0, 381, 47);
INSERT INTO public.who_data VALUES (90085, 0, 0, 0, 0, 381, 80);
INSERT INTO public.who_data VALUES (90086, 0, 0, 0, 0, 381, 159);
INSERT INTO public.who_data VALUES (90087, 0, 0, 0, 0, 381, 27);
INSERT INTO public.who_data VALUES (90088, 0, 0, 0, 0, 381, 146);
INSERT INTO public.who_data VALUES (90089, 0, 0, 0, 0, 381, 71);
INSERT INTO public.who_data VALUES (90090, 0, 0, 0, 0, 381, 210);
INSERT INTO public.who_data VALUES (90091, 0, 0, 0, 0, 381, 54);
INSERT INTO public.who_data VALUES (90092, 0, 0, 0, 0, 381, 147);
INSERT INTO public.who_data VALUES (90093, 0, 0, 0, 0, 381, 2);
INSERT INTO public.who_data VALUES (90094, 0, 0, 0, 0, 381, 105);
INSERT INTO public.who_data VALUES (90095, 0, 0, 0, 0, 381, 53);
INSERT INTO public.who_data VALUES (90096, 0, 5, 0, 0, 381, 81);
INSERT INTO public.who_data VALUES (90097, 0, 0, 0, 0, 381, 223);
INSERT INTO public.who_data VALUES (90098, 0, 9, 0, 0, 381, 94);
INSERT INTO public.who_data VALUES (90099, 0, 0, 0, 0, 381, 154);
INSERT INTO public.who_data VALUES (90100, 0, 0, 0, 0, 381, 83);
INSERT INTO public.who_data VALUES (90101, 0, 0, 0, 0, 381, 194);
INSERT INTO public.who_data VALUES (90102, 0, 0, 0, 0, 381, 136);
INSERT INTO public.who_data VALUES (90103, 3697, 28064, 73, 564, 381, 179);
INSERT INTO public.who_data VALUES (90104, 0, 0, 0, 0, 381, 57);
INSERT INTO public.who_data VALUES (90105, 0, 0, 0, 0, 381, 35);
INSERT INTO public.who_data VALUES (90106, 0, 0, 0, 0, 381, 228);
INSERT INTO public.who_data VALUES (90107, 0, 0, 0, 0, 381, 19);
INSERT INTO public.who_data VALUES (90108, 0, 0, 0, 0, 381, 22);
INSERT INTO public.who_data VALUES (90109, 0, 0, 0, 0, 381, 1);
INSERT INTO public.who_data VALUES (90110, 0, 0, 0, 0, 381, 21);
INSERT INTO public.who_data VALUES (90111, 0, 0, 0, 0, 381, 234);
INSERT INTO public.who_data VALUES (90112, 0, 0, 0, 0, 381, 91);
INSERT INTO public.who_data VALUES (90113, 0, 0, 0, 0, 381, 137);
INSERT INTO public.who_data VALUES (90114, 0, 0, 0, 0, 381, 201);
INSERT INTO public.who_data VALUES (90115, 0, 0, 0, 0, 381, 171);
INSERT INTO public.who_data VALUES (90116, 0, 0, 0, 0, 381, 92);
INSERT INTO public.who_data VALUES (90117, 0, 0, 0, 0, 381, 112);
INSERT INTO public.who_data VALUES (90118, 0, 0, 0, 0, 381, 62);
INSERT INTO public.who_data VALUES (90119, 0, 0, 0, 0, 381, 69);
INSERT INTO public.who_data VALUES (90120, 0, 0, 0, 0, 381, 220);
INSERT INTO public.who_data VALUES (90121, 0, 0, 0, 0, 381, 100);
INSERT INTO public.who_data VALUES (90122, 0, 0, 0, 0, 381, 187);
INSERT INTO public.who_data VALUES (90123, 0, 0, 0, 0, 381, 63);
INSERT INTO public.who_data VALUES (90124, 0, 0, 0, 0, 381, 28);
INSERT INTO public.who_data VALUES (90125, 0, 0, 0, 0, 381, 172);
INSERT INTO public.who_data VALUES (90126, 0, 0, 0, 0, 381, 17);
INSERT INTO public.who_data VALUES (90127, 0, 0, 0, 0, 381, 226);
INSERT INTO public.who_data VALUES (90128, 0, 0, 0, 0, 381, 236);
INSERT INTO public.who_data VALUES (90129, 0, 0, 0, 0, 381, 76);
INSERT INTO public.who_data VALUES (90130, 0, 0, 0, 0, 381, 30);
INSERT INTO public.who_data VALUES (90131, 0, 0, 0, 0, 381, 128);
INSERT INTO public.who_data VALUES (90132, 0, 1, 0, 0, 381, 86);
INSERT INTO public.who_data VALUES (90133, 0, 6, 0, 0, 381, 140);
INSERT INTO public.who_data VALUES (90134, 0, 0, 0, 0, 381, 44);
INSERT INTO public.who_data VALUES (90135, 0, 0, 0, 0, 381, 113);
INSERT INTO public.who_data VALUES (90136, 0, 0, 0, 0, 381, 29);
INSERT INTO public.who_data VALUES (90137, 0, 0, 0, 0, 381, 125);
INSERT INTO public.who_data VALUES (90138, 0, 0, 0, 0, 381, 131);
INSERT INTO public.who_data VALUES (90139, 0, 11, 0, 0, 381, 46);
INSERT INTO public.who_data VALUES (90140, 0, 0, 0, 0, 381, 10);
INSERT INTO public.who_data VALUES (90141, 0, 0, 0, 0, 381, 205);
INSERT INTO public.who_data VALUES (90142, 0, 0, 0, 0, 381, 50);
INSERT INTO public.who_data VALUES (90143, 0, 0, 0, 0, 381, 20);
INSERT INTO public.who_data VALUES (90144, 0, 0, 0, 0, 381, 13);
INSERT INTO public.who_data VALUES (90145, 0, 0, 0, 0, 381, 148);
INSERT INTO public.who_data VALUES (90146, 0, 0, 0, 0, 381, 230);
INSERT INTO public.who_data VALUES (90147, 0, 0, 0, 0, 381, 190);
INSERT INTO public.who_data VALUES (90148, 0, 0, 0, 0, 381, 188);
INSERT INTO public.who_data VALUES (90149, 0, 0, 0, 0, 381, 123);
INSERT INTO public.who_data VALUES (90150, 0, 0, 0, 0, 381, 9);
INSERT INTO public.who_data VALUES (90151, 0, 0, 0, 0, 381, 102);
INSERT INTO public.who_data VALUES (90152, 0, 0, 0, 0, 381, 34);
INSERT INTO public.who_data VALUES (90153, 0, 0, 0, 0, 381, 212);
INSERT INTO public.who_data VALUES (90154, 0, 0, 0, 0, 381, 122);
INSERT INTO public.who_data VALUES (90155, 0, 0, 0, 0, 381, 38);
INSERT INTO public.who_data VALUES (90156, 0, 0, 0, 0, 381, 130);
INSERT INTO public.who_data VALUES (90157, 0, 7, 0, 0, 381, 37);
INSERT INTO public.who_data VALUES (90158, 0, 0, 0, 0, 381, 231);
INSERT INTO public.who_data VALUES (90159, 0, 0, 0, 0, 381, 107);
INSERT INTO public.who_data VALUES (90160, 0, 0, 0, 0, 381, 101);
INSERT INTO public.who_data VALUES (90161, 0, 0, 0, 0, 381, 132);
INSERT INTO public.who_data VALUES (90162, 0, 0, 0, 0, 381, 176);
INSERT INTO public.who_data VALUES (90163, 0, 0, 0, 0, 381, 200);
INSERT INTO public.who_data VALUES (90164, 0, 3, 0, 0, 381, 169);
INSERT INTO public.who_data VALUES (90165, 0, 0, 0, 0, 381, 225);
INSERT INTO public.who_data VALUES (90166, 0, 29, 0, 0, 381, 165);
INSERT INTO public.who_data VALUES (90167, 0, 0, 0, 0, 381, 233);
INSERT INTO public.who_data VALUES (90168, 0, 0, 0, 0, 381, 215);
INSERT INTO public.who_data VALUES (90169, 0, 0, 0, 0, 381, 177);
INSERT INTO public.who_data VALUES (90170, 0, 0, 0, 0, 381, 183);
INSERT INTO public.who_data VALUES (90171, 0, 0, 0, 0, 381, 203);
INSERT INTO public.who_data VALUES (90172, 0, 0, 0, 0, 381, 162);
INSERT INTO public.who_data VALUES (90173, 0, 0, 0, 0, 381, 12);
INSERT INTO public.who_data VALUES (90174, 0, 0, 0, 0, 381, 24);
INSERT INTO public.who_data VALUES (90175, 0, 0, 0, 0, 381, 119);
INSERT INTO public.who_data VALUES (90176, 0, 0, 0, 0, 381, 39);
INSERT INTO public.who_data VALUES (90177, 0, 0, 0, 0, 381, 26);
INSERT INTO public.who_data VALUES (90178, 0, 0, 0, 0, 381, 59);
INSERT INTO public.who_data VALUES (90179, 0, 0, 0, 0, 381, 77);
INSERT INTO public.who_data VALUES (90180, 0, 0, 0, 0, 381, 134);
INSERT INTO public.who_data VALUES (90181, 0, 0, 0, 0, 381, 4);
INSERT INTO public.who_data VALUES (90182, 0, 0, 0, 0, 381, 109);
INSERT INTO public.who_data VALUES (90183, 0, 0, 0, 0, 381, 90);
INSERT INTO public.who_data VALUES (90184, 0, 0, 0, 0, 381, 61);
INSERT INTO public.who_data VALUES (90185, 0, 0, 0, 0, 381, 85);
INSERT INTO public.who_data VALUES (90186, 2, 18, 0, 0, 381, 49);
INSERT INTO public.who_data VALUES (90187, 0, 0, 0, 0, 381, 208);
INSERT INTO public.who_data VALUES (90188, 0, 0, 0, 0, 381, 166);
INSERT INTO public.who_data VALUES (90189, 0, 0, 0, 0, 381, 64);
INSERT INTO public.who_data VALUES (90190, 0, 0, 0, 0, 381, 199);
INSERT INTO public.who_data VALUES (90191, 0, 0, 0, 0, 381, 114);
INSERT INTO public.who_data VALUES (90192, 0, 0, 0, 0, 381, 60);
INSERT INTO public.who_data VALUES (90193, 0, 0, 0, 0, 381, 68);
INSERT INTO public.who_data VALUES (90194, 0, 0, 0, 0, 381, 158);
INSERT INTO public.who_data VALUES (90195, 0, 0, 0, 0, 381, 52);
INSERT INTO public.who_data VALUES (90196, 0, 0, 0, 0, 381, 117);
INSERT INTO public.who_data VALUES (90197, 0, 0, 0, 0, 381, 126);
INSERT INTO public.who_data VALUES (90198, 0, 0, 0, 0, 381, 196);
INSERT INTO public.who_data VALUES (90199, 0, 0, 0, 0, 381, 142);
INSERT INTO public.who_data VALUES (90200, 0, 0, 0, 0, 381, 185);
INSERT INTO public.who_data VALUES (90201, 0, 0, 0, 0, 381, 138);
INSERT INTO public.who_data VALUES (90202, 0, 0, 0, 0, 381, 181);
INSERT INTO public.who_data VALUES (90203, 0, 0, 0, 0, 381, 178);
INSERT INTO public.who_data VALUES (90204, 0, 0, 0, 0, 381, 168);
INSERT INTO public.who_data VALUES (90205, 0, 0, 0, 0, 381, 160);
INSERT INTO public.who_data VALUES (90206, 0, 5, 0, 0, 381, 151);
INSERT INTO public.who_data VALUES (90207, 0, 0, 0, 0, 381, 193);
INSERT INTO public.who_data VALUES (90208, 0, 0, 0, 0, 381, 18);
INSERT INTO public.who_data VALUES (90209, 0, 0, 0, 0, 381, 40);
INSERT INTO public.who_data VALUES (90210, 0, 0, 0, 0, 381, 218);
INSERT INTO public.who_data VALUES (90211, 0, 0, 0, 0, 381, 191);
INSERT INTO public.who_data VALUES (90212, 0, 0, 0, 0, 381, 156);
INSERT INTO public.who_data VALUES (90213, 0, 0, 0, 0, 381, 135);
INSERT INTO public.who_data VALUES (90214, 0, 0, 0, 0, 381, 88);
INSERT INTO public.who_data VALUES (90215, 0, 0, 0, 0, 381, 55);
INSERT INTO public.who_data VALUES (90216, 0, 0, 0, 0, 381, 108);
INSERT INTO public.who_data VALUES (90217, 0, 0, 0, 0, 381, 48);
INSERT INTO public.who_data VALUES (90218, 0, 0, 0, 0, 381, 3);
INSERT INTO public.who_data VALUES (90219, 10, 24, 0, 0, 381, 224);
INSERT INTO public.who_data VALUES (90220, 0, 0, 0, 0, 381, 110);
INSERT INTO public.who_data VALUES (90221, 0, 0, 0, 0, 381, 106);
INSERT INTO public.who_data VALUES (90222, 0, 0, 0, 0, 381, 89);
INSERT INTO public.who_data VALUES (90223, 0, 0, 0, 0, 381, 121);
INSERT INTO public.who_data VALUES (90224, 0, 0, 0, 0, 381, 163);
INSERT INTO public.who_data VALUES (90225, 0, 0, 0, 0, 381, 70);
INSERT INTO public.who_data VALUES (90226, 0, 7, 0, 1, 381, 174);
INSERT INTO public.who_data VALUES (90227, 0, 0, 0, 0, 381, 175);
INSERT INTO public.who_data VALUES (90228, 0, 0, 0, 0, 381, 118);
INSERT INTO public.who_data VALUES (90229, 0, 0, 0, 0, 381, 189);
INSERT INTO public.who_data VALUES (90230, 0, 0, 0, 0, 381, 124);
INSERT INTO public.who_data VALUES (90231, 0, 0, 0, 0, 381, 192);
INSERT INTO public.who_data VALUES (90232, 5, 27, 0, 0, 381, 41);
INSERT INTO public.who_data VALUES (90233, 0, 0, 0, 0, 381, 95);
INSERT INTO public.who_data VALUES (90234, 0, 0, 0, 0, 381, 74);
INSERT INTO public.who_data VALUES (90235, 0, 0, 0, 0, 381, 11);
INSERT INTO public.who_data VALUES (90236, 0, 2, 0, 0, 381, 87);
INSERT INTO public.who_data VALUES (90237, 0, 0, 0, 0, 381, 214);
INSERT INTO public.who_data VALUES (90238, 0, 0, 0, 0, 381, 116);
INSERT INTO public.who_data VALUES (90239, 0, 0, 0, 0, 381, 157);
INSERT INTO public.who_data VALUES (90240, 0, 0, 0, 0, 381, 182);
INSERT INTO public.who_data VALUES (90241, 0, 0, 0, 0, 381, 186);
INSERT INTO public.who_data VALUES (90242, 0, 0, 0, 0, 381, 127);
INSERT INTO public.who_data VALUES (90243, 0, 0, 0, 0, 381, 232);
INSERT INTO public.who_data VALUES (90244, 0, 0, 0, 0, 381, 33);
INSERT INTO public.who_data VALUES (90245, 0, 0, 0, 0, 381, 97);
INSERT INTO public.who_data VALUES (90246, 0, 0, 0, 0, 381, 42);
INSERT INTO public.who_data VALUES (90247, 0, 0, 0, 0, 381, 198);
INSERT INTO public.who_data VALUES (90248, 0, 0, 0, 0, 381, 216);
INSERT INTO public.who_data VALUES (90249, 0, 0, 0, 0, 381, 164);
INSERT INTO public.who_data VALUES (90250, 0, 0, 0, 0, 381, 235);
INSERT INTO public.who_data VALUES (90251, 0, 0, 0, 0, 381, 67);
INSERT INTO public.who_data VALUES (90252, 0, 0, 0, 0, 381, 15);
INSERT INTO public.who_data VALUES (90253, 0, 0, 0, 0, 381, 180);
INSERT INTO public.who_data VALUES (90254, 2, 34, 0, 0, 381, 237);
INSERT INTO public.who_data VALUES (90255, 0, 0, 0, 0, 381, 25);
INSERT INTO public.who_data VALUES (90256, 0, 0, 0, 0, 381, 209);
INSERT INTO public.who_data VALUES (90257, 0, 0, 0, 0, 381, 217);
INSERT INTO public.who_data VALUES (90258, 0, 0, 0, 0, 381, 79);
INSERT INTO public.who_data VALUES (90259, 0, 0, 0, 0, 381, 143);
INSERT INTO public.who_data VALUES (90260, 0, 0, 0, 0, 381, 229);
INSERT INTO public.who_data VALUES (90261, 0, 0, 0, 0, 381, 141);
INSERT INTO public.who_data VALUES (90262, 0, 0, 0, 0, 381, 197);
INSERT INTO public.who_data VALUES (90263, 0, 23, 0, 0, 381, 221);
INSERT INTO public.who_data VALUES (90264, 0, 5, 0, 0, 381, 150);
INSERT INTO public.who_data VALUES (90265, 0, 0, 0, 0, 381, 56);
INSERT INTO public.who_data VALUES (90266, 0, 0, 0, 0, 381, 167);
INSERT INTO public.who_data VALUES (90267, 0, 1, 0, 0, 381, 23);
INSERT INTO public.who_data VALUES (90268, 0, 0, 0, 0, 381, 222);
INSERT INTO public.who_data VALUES (90269, 0, 0, 0, 0, 381, 219);
INSERT INTO public.who_data VALUES (90270, 0, 0, 0, 0, 381, 7);
INSERT INTO public.who_data VALUES (90271, 0, 29, 0, 0, 381, 161);
INSERT INTO public.who_data VALUES (90272, 0, 3, 0, 0, 381, 149);
INSERT INTO public.who_data VALUES (90273, 0, 0, 0, 0, 381, 6);
INSERT INTO public.who_data VALUES (90274, 0, 0, 0, 0, 381, 139);
INSERT INTO public.who_data VALUES (90275, 0, 0, 0, 0, 381, 211);
INSERT INTO public.who_data VALUES (90276, 0, 0, 0, 0, 381, 14);
INSERT INTO public.who_data VALUES (90277, 0, 0, 0, 0, 381, 111);
INSERT INTO public.who_data VALUES (90278, 0, 0, 0, 0, 381, 207);
INSERT INTO public.who_data VALUES (90279, 0, 0, 0, 0, 381, 66);
INSERT INTO public.who_data VALUES (90280, 0, 0, 0, 0, 381, 173);
INSERT INTO public.who_data VALUES (90281, 0, 0, 0, 0, 381, 145);
INSERT INTO public.who_data VALUES (90282, 0, 0, 0, 0, 381, 65);
INSERT INTO public.who_data VALUES (90283, 0, 0, 0, 0, 381, 184);
INSERT INTO public.who_data VALUES (90284, 0, 0, 0, 0, 381, 98);
INSERT INTO public.who_data VALUES (90285, 0, 9, 0, 0, 381, 104);
INSERT INTO public.who_data VALUES (90286, 0, 0, 0, 0, 381, 73);
INSERT INTO public.who_data VALUES (90287, 1, 16, 0, 0, 381, 8);
INSERT INTO public.who_data VALUES (90288, 0, 0, 0, 0, 381, 227);
INSERT INTO public.who_data VALUES (90289, 0, 0, 0, 0, 381, 75);
INSERT INTO public.who_data VALUES (90290, 0, 0, 0, 0, 381, 45);
INSERT INTO public.who_data VALUES (90291, 0, 0, 0, 0, 381, 133);
INSERT INTO public.who_data VALUES (90292, 0, 0, 0, 0, 381, 202);
INSERT INTO public.who_data VALUES (90293, 2, 16, 0, 0, 381, 129);
INSERT INTO public.who_data VALUES (90294, 0, 0, 0, 0, 381, 36);
INSERT INTO public.who_data VALUES (90295, 0, 0, 0, 0, 381, 51);
INSERT INTO public.who_data VALUES (90296, 0, 0, 0, 0, 381, 206);
INSERT INTO public.who_data VALUES (90297, 0, 0, 0, 0, 381, 5);
INSERT INTO public.who_data VALUES (90298, 0, 0, 0, 0, 382, 103);
INSERT INTO public.who_data VALUES (90299, 0, 0, 0, 0, 382, 58);
INSERT INTO public.who_data VALUES (90300, 0, 0, 0, 0, 382, 195);
INSERT INTO public.who_data VALUES (90301, 0, 0, 0, 0, 382, 115);
INSERT INTO public.who_data VALUES (90302, 0, 0, 0, 0, 382, 99);
INSERT INTO public.who_data VALUES (90303, 0, 0, 0, 0, 382, 153);
INSERT INTO public.who_data VALUES (90304, 0, 0, 0, 0, 382, 93);
INSERT INTO public.who_data VALUES (90305, 0, 0, 0, 0, 382, 84);
INSERT INTO public.who_data VALUES (90306, 0, 0, 0, 0, 382, 78);
INSERT INTO public.who_data VALUES (90307, 0, 0, 0, 0, 382, 170);
INSERT INTO public.who_data VALUES (90308, 0, 0, 0, 0, 382, 32);
INSERT INTO public.who_data VALUES (90309, 1, 18, 0, 0, 382, 155);
INSERT INTO public.who_data VALUES (90310, 0, 0, 0, 0, 382, 82);
INSERT INTO public.who_data VALUES (90311, 0, 0, 0, 0, 382, 16);
INSERT INTO public.who_data VALUES (90312, 0, 0, 0, 0, 382, 72);
INSERT INTO public.who_data VALUES (90313, 0, 0, 0, 0, 382, 43);
INSERT INTO public.who_data VALUES (90314, 0, 0, 0, 0, 382, 120);
INSERT INTO public.who_data VALUES (90315, 0, 0, 0, 0, 382, 213);
INSERT INTO public.who_data VALUES (90316, 0, 0, 0, 0, 382, 31);
INSERT INTO public.who_data VALUES (90317, 0, 1, 0, 0, 382, 204);
INSERT INTO public.who_data VALUES (90318, 0, 0, 0, 0, 382, 152);
INSERT INTO public.who_data VALUES (90319, 0, 0, 0, 0, 382, 144);
INSERT INTO public.who_data VALUES (90320, 0, 0, 0, 0, 382, 96);
INSERT INTO public.who_data VALUES (90321, 0, 0, 0, 0, 382, 47);
INSERT INTO public.who_data VALUES (90322, 0, 0, 0, 0, 382, 80);
INSERT INTO public.who_data VALUES (90323, 0, 0, 0, 0, 382, 159);
INSERT INTO public.who_data VALUES (90324, 0, 0, 0, 0, 382, 27);
INSERT INTO public.who_data VALUES (90325, 0, 0, 0, 0, 382, 146);
INSERT INTO public.who_data VALUES (90326, 0, 0, 0, 0, 382, 71);
INSERT INTO public.who_data VALUES (90327, 0, 0, 0, 0, 382, 210);
INSERT INTO public.who_data VALUES (90328, 0, 0, 0, 0, 382, 54);
INSERT INTO public.who_data VALUES (90329, 0, 0, 0, 0, 382, 147);
INSERT INTO public.who_data VALUES (90330, 0, 0, 0, 0, 382, 2);
INSERT INTO public.who_data VALUES (90331, 0, 0, 0, 0, 382, 105);
INSERT INTO public.who_data VALUES (90332, 0, 0, 0, 0, 382, 53);
INSERT INTO public.who_data VALUES (90333, 0, 5, 0, 0, 382, 81);
INSERT INTO public.who_data VALUES (90334, 0, 0, 0, 0, 382, 223);
INSERT INTO public.who_data VALUES (90335, 1, 9, 0, 0, 382, 94);
INSERT INTO public.who_data VALUES (90336, 0, 0, 0, 0, 382, 154);
INSERT INTO public.who_data VALUES (90337, 0, 0, 0, 0, 382, 83);
INSERT INTO public.who_data VALUES (90338, 0, 0, 0, 0, 382, 194);
INSERT INTO public.who_data VALUES (90339, 0, 0, 0, 0, 382, 136);
INSERT INTO public.who_data VALUES (90340, 3892, 24367, 66, 491, 382, 179);
INSERT INTO public.who_data VALUES (90341, 0, 0, 0, 0, 382, 57);
INSERT INTO public.who_data VALUES (90342, 0, 0, 0, 0, 382, 35);
INSERT INTO public.who_data VALUES (90343, 0, 0, 0, 0, 382, 228);
INSERT INTO public.who_data VALUES (90344, 0, 0, 0, 0, 382, 19);
INSERT INTO public.who_data VALUES (90345, 0, 0, 0, 0, 382, 22);
INSERT INTO public.who_data VALUES (90346, 0, 0, 0, 0, 382, 1);
INSERT INTO public.who_data VALUES (90347, 0, 0, 0, 0, 382, 21);
INSERT INTO public.who_data VALUES (90348, 0, 0, 0, 0, 382, 234);
INSERT INTO public.who_data VALUES (90349, 0, 0, 0, 0, 382, 91);
INSERT INTO public.who_data VALUES (90350, 0, 0, 0, 0, 382, 137);
INSERT INTO public.who_data VALUES (90351, 0, 0, 0, 0, 382, 201);
INSERT INTO public.who_data VALUES (90352, 0, 0, 0, 0, 382, 171);
INSERT INTO public.who_data VALUES (90353, 0, 0, 0, 0, 382, 92);
INSERT INTO public.who_data VALUES (90354, 0, 0, 0, 0, 382, 112);
INSERT INTO public.who_data VALUES (90355, 0, 0, 0, 0, 382, 62);
INSERT INTO public.who_data VALUES (90356, 0, 0, 0, 0, 382, 69);
INSERT INTO public.who_data VALUES (90357, 0, 0, 0, 0, 382, 220);
INSERT INTO public.who_data VALUES (90358, 0, 0, 0, 0, 382, 100);
INSERT INTO public.who_data VALUES (90359, 0, 0, 0, 0, 382, 187);
INSERT INTO public.who_data VALUES (90360, 0, 0, 0, 0, 382, 63);
INSERT INTO public.who_data VALUES (90361, 0, 0, 0, 0, 382, 28);
INSERT INTO public.who_data VALUES (90362, 0, 0, 0, 0, 382, 172);
INSERT INTO public.who_data VALUES (90363, 0, 0, 0, 0, 382, 17);
INSERT INTO public.who_data VALUES (90364, 0, 0, 0, 0, 382, 226);
INSERT INTO public.who_data VALUES (90365, 0, 0, 0, 0, 382, 236);
INSERT INTO public.who_data VALUES (90366, 0, 0, 0, 0, 382, 76);
INSERT INTO public.who_data VALUES (90367, 0, 0, 0, 0, 382, 30);
INSERT INTO public.who_data VALUES (90368, 0, 0, 0, 0, 382, 128);
INSERT INTO public.who_data VALUES (90369, 0, 1, 0, 0, 382, 86);
INSERT INTO public.who_data VALUES (90370, 0, 6, 0, 0, 382, 140);
INSERT INTO public.who_data VALUES (90371, 0, 0, 0, 0, 382, 44);
INSERT INTO public.who_data VALUES (90372, 0, 0, 0, 0, 382, 113);
INSERT INTO public.who_data VALUES (90373, 0, 0, 0, 0, 382, 29);
INSERT INTO public.who_data VALUES (90374, 0, 0, 0, 0, 382, 125);
INSERT INTO public.who_data VALUES (90375, 0, 0, 0, 0, 382, 131);
INSERT INTO public.who_data VALUES (90376, 0, 11, 0, 0, 382, 46);
INSERT INTO public.who_data VALUES (90377, 0, 0, 0, 0, 382, 10);
INSERT INTO public.who_data VALUES (90378, 0, 0, 0, 0, 382, 205);
INSERT INTO public.who_data VALUES (90379, 0, 0, 0, 0, 382, 50);
INSERT INTO public.who_data VALUES (90380, 0, 0, 0, 0, 382, 20);
INSERT INTO public.who_data VALUES (90381, 0, 0, 0, 0, 382, 13);
INSERT INTO public.who_data VALUES (90382, 0, 0, 0, 0, 382, 148);
INSERT INTO public.who_data VALUES (90383, 0, 0, 0, 0, 382, 230);
INSERT INTO public.who_data VALUES (90384, 0, 0, 0, 0, 382, 190);
INSERT INTO public.who_data VALUES (90385, 0, 0, 0, 0, 382, 188);
INSERT INTO public.who_data VALUES (90386, 0, 0, 0, 0, 382, 123);
INSERT INTO public.who_data VALUES (90387, 0, 0, 0, 0, 382, 9);
INSERT INTO public.who_data VALUES (90388, 0, 0, 0, 0, 382, 102);
INSERT INTO public.who_data VALUES (90389, 0, 0, 0, 0, 382, 34);
INSERT INTO public.who_data VALUES (90390, 0, 0, 0, 0, 382, 212);
INSERT INTO public.who_data VALUES (90391, 0, 0, 0, 0, 382, 122);
INSERT INTO public.who_data VALUES (90392, 0, 0, 0, 0, 382, 38);
INSERT INTO public.who_data VALUES (90393, 0, 0, 0, 0, 382, 130);
INSERT INTO public.who_data VALUES (90394, 0, 7, 0, 0, 382, 37);
INSERT INTO public.who_data VALUES (90395, 0, 0, 0, 0, 382, 231);
INSERT INTO public.who_data VALUES (90396, 0, 0, 0, 0, 382, 107);
INSERT INTO public.who_data VALUES (90397, 0, 0, 0, 0, 382, 101);
INSERT INTO public.who_data VALUES (90398, 0, 0, 0, 0, 382, 132);
INSERT INTO public.who_data VALUES (90399, 0, 0, 0, 0, 382, 176);
INSERT INTO public.who_data VALUES (90400, 0, 0, 0, 0, 382, 200);
INSERT INTO public.who_data VALUES (90401, 0, 3, 0, 0, 382, 169);
INSERT INTO public.who_data VALUES (90402, 0, 0, 0, 0, 382, 225);
INSERT INTO public.who_data VALUES (90403, 2, 29, 0, 0, 382, 165);
INSERT INTO public.who_data VALUES (90404, 0, 0, 0, 0, 382, 233);
INSERT INTO public.who_data VALUES (90405, 0, 0, 0, 0, 382, 215);
INSERT INTO public.who_data VALUES (90406, 0, 0, 0, 0, 382, 177);
INSERT INTO public.who_data VALUES (90407, 0, 0, 0, 0, 382, 183);
INSERT INTO public.who_data VALUES (90408, 0, 0, 0, 0, 382, 203);
INSERT INTO public.who_data VALUES (90409, 0, 0, 0, 0, 382, 162);
INSERT INTO public.who_data VALUES (90410, 0, 0, 0, 0, 382, 12);
INSERT INTO public.who_data VALUES (90411, 0, 0, 0, 0, 382, 24);
INSERT INTO public.who_data VALUES (90412, 0, 0, 0, 0, 382, 119);
INSERT INTO public.who_data VALUES (90413, 0, 0, 0, 0, 382, 39);
INSERT INTO public.who_data VALUES (90414, 0, 0, 0, 0, 382, 26);
INSERT INTO public.who_data VALUES (90415, 0, 0, 0, 0, 382, 59);
INSERT INTO public.who_data VALUES (90416, 0, 0, 0, 0, 382, 77);
INSERT INTO public.who_data VALUES (90417, 0, 0, 0, 0, 382, 134);
INSERT INTO public.who_data VALUES (90418, 0, 0, 0, 0, 382, 4);
INSERT INTO public.who_data VALUES (90419, 0, 0, 0, 0, 382, 109);
INSERT INTO public.who_data VALUES (90420, 0, 0, 0, 0, 382, 90);
INSERT INTO public.who_data VALUES (90421, 0, 0, 0, 0, 382, 61);
INSERT INTO public.who_data VALUES (90422, 0, 0, 0, 0, 382, 85);
INSERT INTO public.who_data VALUES (90423, 2, 16, 0, 0, 382, 49);
INSERT INTO public.who_data VALUES (90424, 0, 0, 0, 0, 382, 208);
INSERT INTO public.who_data VALUES (90425, 0, 0, 0, 0, 382, 166);
INSERT INTO public.who_data VALUES (90426, 0, 0, 0, 0, 382, 64);
INSERT INTO public.who_data VALUES (90427, 0, 0, 0, 0, 382, 199);
INSERT INTO public.who_data VALUES (90428, 0, 0, 0, 0, 382, 114);
INSERT INTO public.who_data VALUES (90429, 0, 0, 0, 0, 382, 60);
INSERT INTO public.who_data VALUES (90430, 0, 0, 0, 0, 382, 68);
INSERT INTO public.who_data VALUES (90431, 0, 0, 0, 0, 382, 158);
INSERT INTO public.who_data VALUES (90432, 0, 0, 0, 0, 382, 52);
INSERT INTO public.who_data VALUES (90433, 0, 0, 0, 0, 382, 117);
INSERT INTO public.who_data VALUES (90434, 0, 0, 0, 0, 382, 126);
INSERT INTO public.who_data VALUES (90435, 0, 0, 0, 0, 382, 196);
INSERT INTO public.who_data VALUES (90436, 0, 0, 0, 0, 382, 142);
INSERT INTO public.who_data VALUES (90437, 0, 0, 0, 0, 382, 185);
INSERT INTO public.who_data VALUES (90438, 0, 0, 0, 0, 382, 138);
INSERT INTO public.who_data VALUES (90439, 0, 0, 0, 0, 382, 181);
INSERT INTO public.who_data VALUES (90440, 0, 0, 0, 0, 382, 178);
INSERT INTO public.who_data VALUES (90441, 0, 0, 0, 0, 382, 168);
INSERT INTO public.who_data VALUES (90442, 0, 0, 0, 0, 382, 160);
INSERT INTO public.who_data VALUES (90443, 0, 5, 0, 0, 382, 151);
INSERT INTO public.who_data VALUES (90444, 0, 0, 0, 0, 382, 193);
INSERT INTO public.who_data VALUES (90445, 0, 0, 0, 0, 382, 18);
INSERT INTO public.who_data VALUES (90446, 0, 0, 0, 0, 382, 40);
INSERT INTO public.who_data VALUES (90447, 0, 0, 0, 0, 382, 218);
INSERT INTO public.who_data VALUES (90448, 0, 0, 0, 0, 382, 191);
INSERT INTO public.who_data VALUES (90449, 0, 0, 0, 0, 382, 156);
INSERT INTO public.who_data VALUES (90450, 0, 0, 0, 0, 382, 135);
INSERT INTO public.who_data VALUES (90451, 0, 0, 0, 0, 382, 88);
INSERT INTO public.who_data VALUES (90452, 0, 0, 0, 0, 382, 55);
INSERT INTO public.who_data VALUES (90453, 0, 0, 0, 0, 382, 108);
INSERT INTO public.who_data VALUES (90454, 0, 0, 0, 0, 382, 48);
INSERT INTO public.who_data VALUES (90455, 0, 0, 0, 0, 382, 3);
INSERT INTO public.who_data VALUES (90456, 14, 14, 0, 0, 382, 224);
INSERT INTO public.who_data VALUES (90457, 0, 0, 0, 0, 382, 110);
INSERT INTO public.who_data VALUES (90458, 0, 0, 0, 0, 382, 106);
INSERT INTO public.who_data VALUES (90459, 0, 0, 0, 0, 382, 89);
INSERT INTO public.who_data VALUES (90460, 0, 0, 0, 0, 382, 121);
INSERT INTO public.who_data VALUES (90461, 0, 0, 0, 0, 382, 163);
INSERT INTO public.who_data VALUES (90462, 0, 0, 0, 0, 382, 70);
INSERT INTO public.who_data VALUES (90463, 0, 7, 0, 1, 382, 174);
INSERT INTO public.who_data VALUES (90464, 0, 0, 0, 0, 382, 175);
INSERT INTO public.who_data VALUES (90465, 0, 0, 0, 0, 382, 118);
INSERT INTO public.who_data VALUES (90466, 0, 0, 0, 0, 382, 189);
INSERT INTO public.who_data VALUES (90467, 0, 0, 0, 0, 382, 124);
INSERT INTO public.who_data VALUES (90468, 0, 0, 0, 0, 382, 192);
INSERT INTO public.who_data VALUES (90469, 2, 22, 0, 0, 382, 41);
INSERT INTO public.who_data VALUES (90470, 0, 0, 0, 0, 382, 95);
INSERT INTO public.who_data VALUES (90471, 0, 0, 0, 0, 382, 74);
INSERT INTO public.who_data VALUES (90472, 0, 0, 0, 0, 382, 11);
INSERT INTO public.who_data VALUES (90473, 0, 2, 0, 0, 382, 87);
INSERT INTO public.who_data VALUES (90474, 0, 0, 0, 0, 382, 214);
INSERT INTO public.who_data VALUES (90475, 0, 0, 0, 0, 382, 116);
INSERT INTO public.who_data VALUES (90476, 0, 0, 0, 0, 382, 157);
INSERT INTO public.who_data VALUES (90477, 0, 0, 0, 0, 382, 182);
INSERT INTO public.who_data VALUES (90478, 0, 0, 0, 0, 382, 186);
INSERT INTO public.who_data VALUES (90479, 0, 0, 0, 0, 382, 127);
INSERT INTO public.who_data VALUES (90480, 0, 0, 0, 0, 382, 232);
INSERT INTO public.who_data VALUES (90481, 0, 0, 0, 0, 382, 33);
INSERT INTO public.who_data VALUES (90482, 0, 0, 0, 0, 382, 97);
INSERT INTO public.who_data VALUES (90483, 0, 0, 0, 0, 382, 42);
INSERT INTO public.who_data VALUES (90484, 0, 0, 0, 0, 382, 198);
INSERT INTO public.who_data VALUES (90485, 0, 0, 0, 0, 382, 216);
INSERT INTO public.who_data VALUES (90486, 0, 0, 0, 0, 382, 164);
INSERT INTO public.who_data VALUES (90487, 0, 0, 0, 0, 382, 235);
INSERT INTO public.who_data VALUES (90488, 0, 0, 0, 0, 382, 67);
INSERT INTO public.who_data VALUES (90489, 0, 0, 0, 0, 382, 15);
INSERT INTO public.who_data VALUES (90490, 0, 0, 0, 0, 382, 180);
INSERT INTO public.who_data VALUES (90491, 4, 32, 0, 0, 382, 237);
INSERT INTO public.who_data VALUES (90492, 0, 0, 0, 0, 382, 25);
INSERT INTO public.who_data VALUES (90493, 0, 0, 0, 0, 382, 209);
INSERT INTO public.who_data VALUES (90494, 0, 0, 0, 0, 382, 217);
INSERT INTO public.who_data VALUES (90495, 0, 0, 0, 0, 382, 79);
INSERT INTO public.who_data VALUES (90496, 0, 0, 0, 0, 382, 143);
INSERT INTO public.who_data VALUES (90497, 0, 0, 0, 0, 382, 229);
INSERT INTO public.who_data VALUES (90498, 0, 0, 0, 0, 382, 141);
INSERT INTO public.who_data VALUES (90499, 0, 0, 0, 0, 382, 197);
INSERT INTO public.who_data VALUES (90500, 0, 23, 0, 0, 382, 221);
INSERT INTO public.who_data VALUES (90501, 0, 5, 0, 0, 382, 150);
INSERT INTO public.who_data VALUES (90502, 0, 0, 0, 0, 382, 56);
INSERT INTO public.who_data VALUES (90503, 0, 0, 0, 0, 382, 167);
INSERT INTO public.who_data VALUES (90504, 0, 1, 0, 0, 382, 23);
INSERT INTO public.who_data VALUES (90505, 0, 0, 0, 0, 382, 222);
INSERT INTO public.who_data VALUES (90506, 0, 0, 0, 0, 382, 219);
INSERT INTO public.who_data VALUES (90507, 0, 0, 0, 0, 382, 7);
INSERT INTO public.who_data VALUES (90508, 0, 29, 0, 0, 382, 161);
INSERT INTO public.who_data VALUES (90509, 1, 3, 0, 0, 382, 149);
INSERT INTO public.who_data VALUES (90510, 0, 0, 0, 0, 382, 6);
INSERT INTO public.who_data VALUES (90511, 0, 0, 0, 0, 382, 139);
INSERT INTO public.who_data VALUES (90512, 0, 0, 0, 0, 382, 211);
INSERT INTO public.who_data VALUES (90513, 0, 0, 0, 0, 382, 14);
INSERT INTO public.who_data VALUES (90514, 0, 0, 0, 0, 382, 111);
INSERT INTO public.who_data VALUES (90515, 0, 0, 0, 0, 382, 207);
INSERT INTO public.who_data VALUES (90516, 0, 0, 0, 0, 382, 66);
INSERT INTO public.who_data VALUES (90517, 0, 0, 0, 0, 382, 173);
INSERT INTO public.who_data VALUES (90518, 0, 0, 0, 0, 382, 145);
INSERT INTO public.who_data VALUES (90519, 0, 0, 0, 0, 382, 65);
INSERT INTO public.who_data VALUES (90520, 0, 0, 0, 0, 382, 184);
INSERT INTO public.who_data VALUES (90521, 0, 0, 0, 0, 382, 98);
INSERT INTO public.who_data VALUES (90522, 0, 9, 0, 0, 382, 104);
INSERT INTO public.who_data VALUES (90523, 0, 0, 0, 0, 382, 73);
INSERT INTO public.who_data VALUES (90524, 0, 15, 0, 0, 382, 8);
INSERT INTO public.who_data VALUES (90525, 0, 0, 0, 0, 382, 227);
INSERT INTO public.who_data VALUES (90526, 0, 0, 0, 0, 382, 75);
INSERT INTO public.who_data VALUES (90527, 0, 0, 0, 0, 382, 45);
INSERT INTO public.who_data VALUES (90528, 0, 0, 0, 0, 382, 133);
INSERT INTO public.who_data VALUES (90529, 0, 0, 0, 0, 382, 202);
INSERT INTO public.who_data VALUES (90530, 0, 14, 0, 0, 382, 129);
INSERT INTO public.who_data VALUES (90531, 0, 0, 0, 0, 382, 36);
INSERT INTO public.who_data VALUES (90532, 0, 0, 0, 0, 382, 51);
INSERT INTO public.who_data VALUES (90533, 0, 0, 0, 0, 382, 206);
INSERT INTO public.who_data VALUES (90534, 0, 0, 0, 0, 382, 5);
INSERT INTO public.who_data VALUES (90535, 0, 0, 0, 0, 383, 103);
INSERT INTO public.who_data VALUES (90536, 0, 0, 0, 0, 383, 58);
INSERT INTO public.who_data VALUES (90537, 0, 0, 0, 0, 383, 195);
INSERT INTO public.who_data VALUES (90538, 0, 0, 0, 0, 383, 115);
INSERT INTO public.who_data VALUES (90539, 0, 0, 0, 0, 383, 99);
INSERT INTO public.who_data VALUES (90540, 0, 0, 0, 0, 383, 153);
INSERT INTO public.who_data VALUES (90541, 0, 0, 0, 0, 383, 93);
INSERT INTO public.who_data VALUES (90542, 0, 0, 0, 0, 383, 84);
INSERT INTO public.who_data VALUES (90543, 0, 0, 0, 0, 383, 78);
INSERT INTO public.who_data VALUES (90544, 0, 0, 0, 0, 383, 170);
INSERT INTO public.who_data VALUES (90545, 0, 0, 0, 0, 383, 32);
INSERT INTO public.who_data VALUES (90546, 1, 17, 0, 0, 383, 155);
INSERT INTO public.who_data VALUES (90547, 0, 0, 0, 0, 383, 82);
INSERT INTO public.who_data VALUES (90548, 0, 0, 0, 0, 383, 16);
INSERT INTO public.who_data VALUES (90549, 0, 0, 0, 0, 383, 72);
INSERT INTO public.who_data VALUES (90550, 0, 0, 0, 0, 383, 43);
INSERT INTO public.who_data VALUES (90551, 0, 0, 0, 0, 383, 120);
INSERT INTO public.who_data VALUES (90552, 0, 0, 0, 0, 383, 213);
INSERT INTO public.who_data VALUES (90553, 0, 0, 0, 0, 383, 31);
INSERT INTO public.who_data VALUES (90554, 1, 1, 0, 0, 383, 204);
INSERT INTO public.who_data VALUES (90555, 0, 0, 0, 0, 383, 152);
INSERT INTO public.who_data VALUES (90556, 0, 0, 0, 0, 383, 144);
INSERT INTO public.who_data VALUES (90557, 0, 0, 0, 0, 383, 96);
INSERT INTO public.who_data VALUES (90558, 0, 0, 0, 0, 383, 47);
INSERT INTO public.who_data VALUES (90559, 0, 0, 0, 0, 383, 80);
INSERT INTO public.who_data VALUES (90560, 0, 0, 0, 0, 383, 159);
INSERT INTO public.who_data VALUES (90561, 0, 0, 0, 0, 383, 27);
INSERT INTO public.who_data VALUES (90562, 0, 0, 0, 0, 383, 146);
INSERT INTO public.who_data VALUES (90563, 0, 0, 0, 0, 383, 71);
INSERT INTO public.who_data VALUES (90564, 0, 0, 0, 0, 383, 210);
INSERT INTO public.who_data VALUES (90565, 0, 0, 0, 0, 383, 54);
INSERT INTO public.who_data VALUES (90566, 0, 0, 0, 0, 383, 147);
INSERT INTO public.who_data VALUES (90567, 0, 0, 0, 0, 383, 2);
INSERT INTO public.who_data VALUES (90568, 0, 0, 0, 0, 383, 105);
INSERT INTO public.who_data VALUES (90569, 0, 0, 0, 0, 383, 53);
INSERT INTO public.who_data VALUES (90570, 0, 5, 0, 0, 383, 81);
INSERT INTO public.who_data VALUES (90571, 0, 0, 0, 0, 383, 223);
INSERT INTO public.who_data VALUES (90572, 0, 8, 0, 0, 383, 94);
INSERT INTO public.who_data VALUES (90573, 0, 0, 0, 0, 383, 154);
INSERT INTO public.who_data VALUES (90574, 0, 0, 0, 0, 383, 83);
INSERT INTO public.who_data VALUES (90575, 0, 0, 0, 0, 383, 194);
INSERT INTO public.who_data VALUES (90576, 0, 0, 0, 0, 383, 136);
INSERT INTO public.who_data VALUES (90577, 3233, 20475, 64, 425, 383, 179);
INSERT INTO public.who_data VALUES (90578, 0, 0, 0, 0, 383, 57);
INSERT INTO public.who_data VALUES (90579, 0, 0, 0, 0, 383, 35);
INSERT INTO public.who_data VALUES (90580, 0, 0, 0, 0, 383, 228);
INSERT INTO public.who_data VALUES (90581, 0, 0, 0, 0, 383, 19);
INSERT INTO public.who_data VALUES (90582, 0, 0, 0, 0, 383, 22);
INSERT INTO public.who_data VALUES (90583, 0, 0, 0, 0, 383, 1);
INSERT INTO public.who_data VALUES (90584, 0, 0, 0, 0, 383, 21);
INSERT INTO public.who_data VALUES (90585, 0, 0, 0, 0, 383, 234);
INSERT INTO public.who_data VALUES (90586, 0, 0, 0, 0, 383, 91);
INSERT INTO public.who_data VALUES (90587, 0, 0, 0, 0, 383, 137);
INSERT INTO public.who_data VALUES (90588, 0, 0, 0, 0, 383, 201);
INSERT INTO public.who_data VALUES (90589, 0, 0, 0, 0, 383, 171);
INSERT INTO public.who_data VALUES (90590, 0, 0, 0, 0, 383, 92);
INSERT INTO public.who_data VALUES (90591, 0, 0, 0, 0, 383, 112);
INSERT INTO public.who_data VALUES (90592, 0, 0, 0, 0, 383, 62);
INSERT INTO public.who_data VALUES (90593, 0, 0, 0, 0, 383, 69);
INSERT INTO public.who_data VALUES (90594, 0, 0, 0, 0, 383, 220);
INSERT INTO public.who_data VALUES (90595, 0, 0, 0, 0, 383, 100);
INSERT INTO public.who_data VALUES (90596, 0, 0, 0, 0, 383, 187);
INSERT INTO public.who_data VALUES (90597, 0, 0, 0, 0, 383, 63);
INSERT INTO public.who_data VALUES (90598, 0, 0, 0, 0, 383, 28);
INSERT INTO public.who_data VALUES (90599, 0, 0, 0, 0, 383, 172);
INSERT INTO public.who_data VALUES (90600, 0, 0, 0, 0, 383, 17);
INSERT INTO public.who_data VALUES (90601, 0, 0, 0, 0, 383, 226);
INSERT INTO public.who_data VALUES (90602, 0, 0, 0, 0, 383, 236);
INSERT INTO public.who_data VALUES (90603, 0, 0, 0, 0, 383, 76);
INSERT INTO public.who_data VALUES (90604, 0, 0, 0, 0, 383, 30);
INSERT INTO public.who_data VALUES (90605, 0, 0, 0, 0, 383, 128);
INSERT INTO public.who_data VALUES (90606, 0, 1, 0, 0, 383, 86);
INSERT INTO public.who_data VALUES (90607, 0, 6, 0, 0, 383, 140);
INSERT INTO public.who_data VALUES (90608, 0, 0, 0, 0, 383, 44);
INSERT INTO public.who_data VALUES (90609, 0, 0, 0, 0, 383, 113);
INSERT INTO public.who_data VALUES (90610, 0, 0, 0, 0, 383, 29);
INSERT INTO public.who_data VALUES (90611, 0, 0, 0, 0, 383, 125);
INSERT INTO public.who_data VALUES (90612, 0, 0, 0, 0, 383, 131);
INSERT INTO public.who_data VALUES (90613, 2, 11, 0, 0, 383, 46);
INSERT INTO public.who_data VALUES (90614, 0, 0, 0, 0, 383, 10);
INSERT INTO public.who_data VALUES (90615, 0, 0, 0, 0, 383, 205);
INSERT INTO public.who_data VALUES (90616, 0, 0, 0, 0, 383, 50);
INSERT INTO public.who_data VALUES (90617, 0, 0, 0, 0, 383, 20);
INSERT INTO public.who_data VALUES (90618, 0, 0, 0, 0, 383, 13);
INSERT INTO public.who_data VALUES (90619, 0, 0, 0, 0, 383, 148);
INSERT INTO public.who_data VALUES (90620, 0, 0, 0, 0, 383, 230);
INSERT INTO public.who_data VALUES (90621, 0, 0, 0, 0, 383, 190);
INSERT INTO public.who_data VALUES (90622, 0, 0, 0, 0, 383, 188);
INSERT INTO public.who_data VALUES (90623, 0, 0, 0, 0, 383, 123);
INSERT INTO public.who_data VALUES (90624, 0, 0, 0, 0, 383, 9);
INSERT INTO public.who_data VALUES (90625, 0, 0, 0, 0, 383, 102);
INSERT INTO public.who_data VALUES (90626, 0, 0, 0, 0, 383, 34);
INSERT INTO public.who_data VALUES (90627, 0, 0, 0, 0, 383, 212);
INSERT INTO public.who_data VALUES (90628, 0, 0, 0, 0, 383, 122);
INSERT INTO public.who_data VALUES (90629, 0, 0, 0, 0, 383, 38);
INSERT INTO public.who_data VALUES (90630, 0, 0, 0, 0, 383, 130);
INSERT INTO public.who_data VALUES (90631, 0, 7, 0, 0, 383, 37);
INSERT INTO public.who_data VALUES (90632, 0, 0, 0, 0, 383, 231);
INSERT INTO public.who_data VALUES (90633, 0, 0, 0, 0, 383, 107);
INSERT INTO public.who_data VALUES (90634, 0, 0, 0, 0, 383, 101);
INSERT INTO public.who_data VALUES (90635, 0, 0, 0, 0, 383, 132);
INSERT INTO public.who_data VALUES (90636, 0, 0, 0, 0, 383, 176);
INSERT INTO public.who_data VALUES (90637, 0, 0, 0, 0, 383, 200);
INSERT INTO public.who_data VALUES (90638, 0, 3, 0, 0, 383, 169);
INSERT INTO public.who_data VALUES (90639, 0, 0, 0, 0, 383, 225);
INSERT INTO public.who_data VALUES (90640, 3, 27, 0, 0, 383, 165);
INSERT INTO public.who_data VALUES (90641, 0, 0, 0, 0, 383, 233);
INSERT INTO public.who_data VALUES (90642, 0, 0, 0, 0, 383, 215);
INSERT INTO public.who_data VALUES (90643, 0, 0, 0, 0, 383, 177);
INSERT INTO public.who_data VALUES (90644, 0, 0, 0, 0, 383, 183);
INSERT INTO public.who_data VALUES (90645, 0, 0, 0, 0, 383, 203);
INSERT INTO public.who_data VALUES (90646, 0, 0, 0, 0, 383, 162);
INSERT INTO public.who_data VALUES (90647, 0, 0, 0, 0, 383, 12);
INSERT INTO public.who_data VALUES (90648, 0, 0, 0, 0, 383, 24);
INSERT INTO public.who_data VALUES (90649, 0, 0, 0, 0, 383, 119);
INSERT INTO public.who_data VALUES (90650, 0, 0, 0, 0, 383, 39);
INSERT INTO public.who_data VALUES (90651, 0, 0, 0, 0, 383, 26);
INSERT INTO public.who_data VALUES (90652, 0, 0, 0, 0, 383, 59);
INSERT INTO public.who_data VALUES (90653, 0, 0, 0, 0, 383, 77);
INSERT INTO public.who_data VALUES (90654, 0, 0, 0, 0, 383, 134);
INSERT INTO public.who_data VALUES (90655, 0, 0, 0, 0, 383, 4);
INSERT INTO public.who_data VALUES (90656, 0, 0, 0, 0, 383, 109);
INSERT INTO public.who_data VALUES (90657, 0, 0, 0, 0, 383, 90);
INSERT INTO public.who_data VALUES (90658, 0, 0, 0, 0, 383, 61);
INSERT INTO public.who_data VALUES (90659, 0, 0, 0, 0, 383, 85);
INSERT INTO public.who_data VALUES (90660, 2, 14, 0, 0, 383, 49);
INSERT INTO public.who_data VALUES (90661, 0, 0, 0, 0, 383, 208);
INSERT INTO public.who_data VALUES (90662, 0, 0, 0, 0, 383, 166);
INSERT INTO public.who_data VALUES (90663, 0, 0, 0, 0, 383, 64);
INSERT INTO public.who_data VALUES (90664, 0, 0, 0, 0, 383, 199);
INSERT INTO public.who_data VALUES (90665, 0, 0, 0, 0, 383, 114);
INSERT INTO public.who_data VALUES (90666, 0, 0, 0, 0, 383, 60);
INSERT INTO public.who_data VALUES (90667, 0, 0, 0, 0, 383, 68);
INSERT INTO public.who_data VALUES (90668, 0, 0, 0, 0, 383, 158);
INSERT INTO public.who_data VALUES (90669, 0, 0, 0, 0, 383, 52);
INSERT INTO public.who_data VALUES (90670, 0, 0, 0, 0, 383, 117);
INSERT INTO public.who_data VALUES (90671, 0, 0, 0, 0, 383, 126);
INSERT INTO public.who_data VALUES (90672, 0, 0, 0, 0, 383, 196);
INSERT INTO public.who_data VALUES (90673, 0, 0, 0, 0, 383, 142);
INSERT INTO public.who_data VALUES (90674, 0, 0, 0, 0, 383, 185);
INSERT INTO public.who_data VALUES (90675, 0, 0, 0, 0, 383, 138);
INSERT INTO public.who_data VALUES (90676, 0, 0, 0, 0, 383, 181);
INSERT INTO public.who_data VALUES (90677, 0, 0, 0, 0, 383, 178);
INSERT INTO public.who_data VALUES (90678, 0, 0, 0, 0, 383, 168);
INSERT INTO public.who_data VALUES (90679, 0, 0, 0, 0, 383, 160);
INSERT INTO public.who_data VALUES (90680, 0, 5, 0, 0, 383, 151);
INSERT INTO public.who_data VALUES (90681, 0, 0, 0, 0, 383, 193);
INSERT INTO public.who_data VALUES (90682, 0, 0, 0, 0, 383, 18);
INSERT INTO public.who_data VALUES (90683, 0, 0, 0, 0, 383, 40);
INSERT INTO public.who_data VALUES (90684, 0, 0, 0, 0, 383, 218);
INSERT INTO public.who_data VALUES (90685, 0, 0, 0, 0, 383, 191);
INSERT INTO public.who_data VALUES (90686, 0, 0, 0, 0, 383, 156);
INSERT INTO public.who_data VALUES (90687, 0, 0, 0, 0, 383, 135);
INSERT INTO public.who_data VALUES (90688, 0, 0, 0, 0, 383, 88);
INSERT INTO public.who_data VALUES (90689, 0, 0, 0, 0, 383, 55);
INSERT INTO public.who_data VALUES (90690, 0, 0, 0, 0, 383, 108);
INSERT INTO public.who_data VALUES (90691, 0, 0, 0, 0, 383, 48);
INSERT INTO public.who_data VALUES (90692, 0, 0, 0, 0, 383, 3);
INSERT INTO public.who_data VALUES (90693, 0, 0, 0, 0, 383, 224);
INSERT INTO public.who_data VALUES (90694, 0, 0, 0, 0, 383, 110);
INSERT INTO public.who_data VALUES (90695, 0, 0, 0, 0, 383, 106);
INSERT INTO public.who_data VALUES (90696, 0, 0, 0, 0, 383, 89);
INSERT INTO public.who_data VALUES (90697, 0, 0, 0, 0, 383, 121);
INSERT INTO public.who_data VALUES (90698, 0, 0, 0, 0, 383, 163);
INSERT INTO public.who_data VALUES (90699, 0, 0, 0, 0, 383, 70);
INSERT INTO public.who_data VALUES (90700, 1, 7, 0, 1, 383, 174);
INSERT INTO public.who_data VALUES (90701, 0, 0, 0, 0, 383, 175);
INSERT INTO public.who_data VALUES (90702, 0, 0, 0, 0, 383, 118);
INSERT INTO public.who_data VALUES (90703, 0, 0, 0, 0, 383, 189);
INSERT INTO public.who_data VALUES (90704, 0, 0, 0, 0, 383, 124);
INSERT INTO public.who_data VALUES (90705, 0, 0, 0, 0, 383, 192);
INSERT INTO public.who_data VALUES (90706, 1, 20, 0, 0, 383, 41);
INSERT INTO public.who_data VALUES (90707, 0, 0, 0, 0, 383, 95);
INSERT INTO public.who_data VALUES (90708, 0, 0, 0, 0, 383, 74);
INSERT INTO public.who_data VALUES (90709, 0, 0, 0, 0, 383, 11);
INSERT INTO public.who_data VALUES (90710, 0, 2, 0, 0, 383, 87);
INSERT INTO public.who_data VALUES (90711, 0, 0, 0, 0, 383, 214);
INSERT INTO public.who_data VALUES (90712, 0, 0, 0, 0, 383, 116);
INSERT INTO public.who_data VALUES (90713, 0, 0, 0, 0, 383, 157);
INSERT INTO public.who_data VALUES (90714, 0, 0, 0, 0, 383, 182);
INSERT INTO public.who_data VALUES (90715, 0, 0, 0, 0, 383, 186);
INSERT INTO public.who_data VALUES (90716, 0, 0, 0, 0, 383, 127);
INSERT INTO public.who_data VALUES (90717, 0, 0, 0, 0, 383, 232);
INSERT INTO public.who_data VALUES (90718, 0, 0, 0, 0, 383, 33);
INSERT INTO public.who_data VALUES (90719, 0, 0, 0, 0, 383, 97);
INSERT INTO public.who_data VALUES (90720, 0, 0, 0, 0, 383, 42);
INSERT INTO public.who_data VALUES (90721, 0, 0, 0, 0, 383, 198);
INSERT INTO public.who_data VALUES (90722, 0, 0, 0, 0, 383, 216);
INSERT INTO public.who_data VALUES (90723, 0, 0, 0, 0, 383, 164);
INSERT INTO public.who_data VALUES (90724, 0, 0, 0, 0, 383, 235);
INSERT INTO public.who_data VALUES (90725, 0, 0, 0, 0, 383, 67);
INSERT INTO public.who_data VALUES (90726, 0, 0, 0, 0, 383, 15);
INSERT INTO public.who_data VALUES (90727, 0, 0, 0, 0, 383, 180);
INSERT INTO public.who_data VALUES (90728, 6, 28, 0, 0, 383, 237);
INSERT INTO public.who_data VALUES (90729, 0, 0, 0, 0, 383, 25);
INSERT INTO public.who_data VALUES (90730, 0, 0, 0, 0, 383, 209);
INSERT INTO public.who_data VALUES (90731, 0, 0, 0, 0, 383, 217);
INSERT INTO public.who_data VALUES (90732, 0, 0, 0, 0, 383, 79);
INSERT INTO public.who_data VALUES (90733, 0, 0, 0, 0, 383, 143);
INSERT INTO public.who_data VALUES (90734, 0, 0, 0, 0, 383, 229);
INSERT INTO public.who_data VALUES (90735, 0, 0, 0, 0, 383, 141);
INSERT INTO public.who_data VALUES (90736, 0, 0, 0, 0, 383, 197);
INSERT INTO public.who_data VALUES (90737, 0, 23, 0, 0, 383, 221);
INSERT INTO public.who_data VALUES (90738, 0, 5, 0, 0, 383, 150);
INSERT INTO public.who_data VALUES (90739, 0, 0, 0, 0, 383, 56);
INSERT INTO public.who_data VALUES (90740, 0, 0, 0, 0, 383, 167);
INSERT INTO public.who_data VALUES (90741, 0, 1, 0, 0, 383, 23);
INSERT INTO public.who_data VALUES (90742, 0, 0, 0, 0, 383, 222);
INSERT INTO public.who_data VALUES (90743, 0, 0, 0, 0, 383, 219);
INSERT INTO public.who_data VALUES (90744, 0, 0, 0, 0, 383, 7);
INSERT INTO public.who_data VALUES (90745, 6, 29, 0, 0, 383, 161);
INSERT INTO public.who_data VALUES (90746, 0, 2, 0, 0, 383, 149);
INSERT INTO public.who_data VALUES (90747, 0, 0, 0, 0, 383, 6);
INSERT INTO public.who_data VALUES (90748, 0, 0, 0, 0, 383, 139);
INSERT INTO public.who_data VALUES (90749, 0, 0, 0, 0, 383, 211);
INSERT INTO public.who_data VALUES (90750, 0, 0, 0, 0, 383, 14);
INSERT INTO public.who_data VALUES (90751, 0, 0, 0, 0, 383, 111);
INSERT INTO public.who_data VALUES (90752, 0, 0, 0, 0, 383, 207);
INSERT INTO public.who_data VALUES (90753, 0, 0, 0, 0, 383, 66);
INSERT INTO public.who_data VALUES (90754, 0, 0, 0, 0, 383, 173);
INSERT INTO public.who_data VALUES (90755, 0, 0, 0, 0, 383, 145);
INSERT INTO public.who_data VALUES (90756, 0, 0, 0, 0, 383, 65);
INSERT INTO public.who_data VALUES (90757, 0, 0, 0, 0, 383, 184);
INSERT INTO public.who_data VALUES (90758, 0, 0, 0, 0, 383, 98);
INSERT INTO public.who_data VALUES (90759, 0, 9, 0, 0, 383, 104);
INSERT INTO public.who_data VALUES (90760, 0, 0, 0, 0, 383, 73);
INSERT INTO public.who_data VALUES (90761, 0, 15, 0, 0, 383, 8);
INSERT INTO public.who_data VALUES (90762, 0, 0, 0, 0, 383, 227);
INSERT INTO public.who_data VALUES (90763, 0, 0, 0, 0, 383, 75);
INSERT INTO public.who_data VALUES (90764, 0, 0, 0, 0, 383, 45);
INSERT INTO public.who_data VALUES (90765, 0, 0, 0, 0, 383, 133);
INSERT INTO public.who_data VALUES (90766, 0, 0, 0, 0, 383, 202);
INSERT INTO public.who_data VALUES (90767, 2, 14, 0, 0, 383, 129);
INSERT INTO public.who_data VALUES (90768, 0, 0, 0, 0, 383, 36);
INSERT INTO public.who_data VALUES (90769, 0, 0, 0, 0, 383, 51);
INSERT INTO public.who_data VALUES (90770, 0, 0, 0, 0, 383, 206);
INSERT INTO public.who_data VALUES (90771, 0, 0, 0, 0, 383, 5);
INSERT INTO public.who_data VALUES (90772, 0, 0, 0, 0, 384, 103);
INSERT INTO public.who_data VALUES (90773, 0, 0, 0, 0, 384, 58);
INSERT INTO public.who_data VALUES (90774, 0, 0, 0, 0, 384, 195);
INSERT INTO public.who_data VALUES (90775, 0, 0, 0, 0, 384, 115);
INSERT INTO public.who_data VALUES (90776, 0, 0, 0, 0, 384, 99);
INSERT INTO public.who_data VALUES (90777, 0, 0, 0, 0, 384, 153);
INSERT INTO public.who_data VALUES (90778, 0, 0, 0, 0, 384, 93);
INSERT INTO public.who_data VALUES (90779, 0, 0, 0, 0, 384, 84);
INSERT INTO public.who_data VALUES (90780, 0, 0, 0, 0, 384, 78);
INSERT INTO public.who_data VALUES (90781, 0, 0, 0, 0, 384, 170);
INSERT INTO public.who_data VALUES (90782, 0, 0, 0, 0, 384, 32);
INSERT INTO public.who_data VALUES (90783, 0, 16, 0, 0, 384, 155);
INSERT INTO public.who_data VALUES (90784, 0, 0, 0, 0, 384, 82);
INSERT INTO public.who_data VALUES (90785, 0, 0, 0, 0, 384, 16);
INSERT INTO public.who_data VALUES (90786, 0, 0, 0, 0, 384, 72);
INSERT INTO public.who_data VALUES (90787, 0, 0, 0, 0, 384, 43);
INSERT INTO public.who_data VALUES (90788, 0, 0, 0, 0, 384, 120);
INSERT INTO public.who_data VALUES (90789, 0, 0, 0, 0, 384, 213);
INSERT INTO public.who_data VALUES (90790, 0, 0, 0, 0, 384, 31);
INSERT INTO public.who_data VALUES (90791, 0, 0, 0, 0, 384, 204);
INSERT INTO public.who_data VALUES (90792, 0, 0, 0, 0, 384, 152);
INSERT INTO public.who_data VALUES (90793, 0, 0, 0, 0, 384, 144);
INSERT INTO public.who_data VALUES (90794, 0, 0, 0, 0, 384, 96);
INSERT INTO public.who_data VALUES (90795, 0, 0, 0, 0, 384, 47);
INSERT INTO public.who_data VALUES (90796, 0, 0, 0, 0, 384, 80);
INSERT INTO public.who_data VALUES (90797, 0, 0, 0, 0, 384, 159);
INSERT INTO public.who_data VALUES (90798, 0, 0, 0, 0, 384, 27);
INSERT INTO public.who_data VALUES (90799, 0, 0, 0, 0, 384, 146);
INSERT INTO public.who_data VALUES (90800, 0, 0, 0, 0, 384, 71);
INSERT INTO public.who_data VALUES (90801, 0, 0, 0, 0, 384, 210);
INSERT INTO public.who_data VALUES (90802, 0, 0, 0, 0, 384, 54);
INSERT INTO public.who_data VALUES (90803, 0, 0, 0, 0, 384, 147);
INSERT INTO public.who_data VALUES (90804, 0, 0, 0, 0, 384, 2);
INSERT INTO public.who_data VALUES (90805, 0, 0, 0, 0, 384, 105);
INSERT INTO public.who_data VALUES (90806, 0, 0, 0, 0, 384, 53);
INSERT INTO public.who_data VALUES (90807, 0, 5, 0, 0, 384, 81);
INSERT INTO public.who_data VALUES (90808, 0, 0, 0, 0, 384, 223);
INSERT INTO public.who_data VALUES (90809, 0, 8, 0, 0, 384, 94);
INSERT INTO public.who_data VALUES (90810, 0, 0, 0, 0, 384, 154);
INSERT INTO public.who_data VALUES (90811, 0, 0, 0, 0, 384, 83);
INSERT INTO public.who_data VALUES (90812, 0, 0, 0, 0, 384, 194);
INSERT INTO public.who_data VALUES (90813, 0, 0, 0, 0, 384, 136);
INSERT INTO public.who_data VALUES (90814, 2827, 17242, 57, 361, 384, 179);
INSERT INTO public.who_data VALUES (90815, 0, 0, 0, 0, 384, 57);
INSERT INTO public.who_data VALUES (90816, 0, 0, 0, 0, 384, 35);
INSERT INTO public.who_data VALUES (90817, 0, 0, 0, 0, 384, 228);
INSERT INTO public.who_data VALUES (90818, 0, 0, 0, 0, 384, 19);
INSERT INTO public.who_data VALUES (90819, 0, 0, 0, 0, 384, 22);
INSERT INTO public.who_data VALUES (90820, 0, 0, 0, 0, 384, 1);
INSERT INTO public.who_data VALUES (90821, 0, 0, 0, 0, 384, 21);
INSERT INTO public.who_data VALUES (90822, 0, 0, 0, 0, 384, 234);
INSERT INTO public.who_data VALUES (90823, 0, 0, 0, 0, 384, 91);
INSERT INTO public.who_data VALUES (90824, 0, 0, 0, 0, 384, 137);
INSERT INTO public.who_data VALUES (90825, 0, 0, 0, 0, 384, 201);
INSERT INTO public.who_data VALUES (90826, 0, 0, 0, 0, 384, 171);
INSERT INTO public.who_data VALUES (90827, 0, 0, 0, 0, 384, 92);
INSERT INTO public.who_data VALUES (90828, 0, 0, 0, 0, 384, 112);
INSERT INTO public.who_data VALUES (90829, 0, 0, 0, 0, 384, 62);
INSERT INTO public.who_data VALUES (90830, 0, 0, 0, 0, 384, 69);
INSERT INTO public.who_data VALUES (90831, 0, 0, 0, 0, 384, 220);
INSERT INTO public.who_data VALUES (90832, 0, 0, 0, 0, 384, 100);
INSERT INTO public.who_data VALUES (90833, 0, 0, 0, 0, 384, 187);
INSERT INTO public.who_data VALUES (90834, 0, 0, 0, 0, 384, 63);
INSERT INTO public.who_data VALUES (90835, 0, 0, 0, 0, 384, 28);
INSERT INTO public.who_data VALUES (90836, 0, 0, 0, 0, 384, 172);
INSERT INTO public.who_data VALUES (90837, 0, 0, 0, 0, 384, 17);
INSERT INTO public.who_data VALUES (90838, 0, 0, 0, 0, 384, 226);
INSERT INTO public.who_data VALUES (90839, 0, 0, 0, 0, 384, 236);
INSERT INTO public.who_data VALUES (90840, 0, 0, 0, 0, 384, 76);
INSERT INTO public.who_data VALUES (90841, 0, 0, 0, 0, 384, 30);
INSERT INTO public.who_data VALUES (90842, 0, 0, 0, 0, 384, 128);
INSERT INTO public.who_data VALUES (90843, 0, 1, 0, 0, 384, 86);
INSERT INTO public.who_data VALUES (90844, 0, 6, 0, 0, 384, 140);
INSERT INTO public.who_data VALUES (90845, 0, 0, 0, 0, 384, 44);
INSERT INTO public.who_data VALUES (90846, 0, 0, 0, 0, 384, 113);
INSERT INTO public.who_data VALUES (90847, 0, 0, 0, 0, 384, 29);
INSERT INTO public.who_data VALUES (90848, 0, 0, 0, 0, 384, 125);
INSERT INTO public.who_data VALUES (90849, 0, 0, 0, 0, 384, 131);
INSERT INTO public.who_data VALUES (90850, 1, 9, 0, 0, 384, 46);
INSERT INTO public.who_data VALUES (90851, 0, 0, 0, 0, 384, 10);
INSERT INTO public.who_data VALUES (90852, 0, 0, 0, 0, 384, 205);
INSERT INTO public.who_data VALUES (90853, 0, 0, 0, 0, 384, 50);
INSERT INTO public.who_data VALUES (90854, 0, 0, 0, 0, 384, 20);
INSERT INTO public.who_data VALUES (90855, 0, 0, 0, 0, 384, 13);
INSERT INTO public.who_data VALUES (90856, 0, 0, 0, 0, 384, 148);
INSERT INTO public.who_data VALUES (90857, 0, 0, 0, 0, 384, 230);
INSERT INTO public.who_data VALUES (90858, 0, 0, 0, 0, 384, 190);
INSERT INTO public.who_data VALUES (90859, 0, 0, 0, 0, 384, 188);
INSERT INTO public.who_data VALUES (90860, 0, 0, 0, 0, 384, 123);
INSERT INTO public.who_data VALUES (90861, 0, 0, 0, 0, 384, 9);
INSERT INTO public.who_data VALUES (90862, 0, 0, 0, 0, 384, 102);
INSERT INTO public.who_data VALUES (90863, 0, 0, 0, 0, 384, 34);
INSERT INTO public.who_data VALUES (90864, 0, 0, 0, 0, 384, 212);
INSERT INTO public.who_data VALUES (90865, 0, 0, 0, 0, 384, 122);
INSERT INTO public.who_data VALUES (90866, 0, 0, 0, 0, 384, 38);
INSERT INTO public.who_data VALUES (90867, 0, 0, 0, 0, 384, 130);
INSERT INTO public.who_data VALUES (90868, 1, 7, 0, 0, 384, 37);
INSERT INTO public.who_data VALUES (90869, 0, 0, 0, 0, 384, 231);
INSERT INTO public.who_data VALUES (90870, 0, 0, 0, 0, 384, 107);
INSERT INTO public.who_data VALUES (90871, 0, 0, 0, 0, 384, 101);
INSERT INTO public.who_data VALUES (90872, 0, 0, 0, 0, 384, 132);
INSERT INTO public.who_data VALUES (90873, 0, 0, 0, 0, 384, 176);
INSERT INTO public.who_data VALUES (90874, 0, 0, 0, 0, 384, 200);
INSERT INTO public.who_data VALUES (90875, 0, 3, 0, 0, 384, 169);
INSERT INTO public.who_data VALUES (90876, 0, 0, 0, 0, 384, 225);
INSERT INTO public.who_data VALUES (90877, 0, 24, 0, 0, 384, 165);
INSERT INTO public.who_data VALUES (90878, 0, 0, 0, 0, 384, 233);
INSERT INTO public.who_data VALUES (90879, 0, 0, 0, 0, 384, 215);
INSERT INTO public.who_data VALUES (90880, 0, 0, 0, 0, 384, 177);
INSERT INTO public.who_data VALUES (90881, 0, 0, 0, 0, 384, 183);
INSERT INTO public.who_data VALUES (90882, 0, 0, 0, 0, 384, 203);
INSERT INTO public.who_data VALUES (90883, 0, 0, 0, 0, 384, 162);
INSERT INTO public.who_data VALUES (90884, 0, 0, 0, 0, 384, 12);
INSERT INTO public.who_data VALUES (90885, 0, 0, 0, 0, 384, 24);
INSERT INTO public.who_data VALUES (90886, 0, 0, 0, 0, 384, 119);
INSERT INTO public.who_data VALUES (90887, 0, 0, 0, 0, 384, 39);
INSERT INTO public.who_data VALUES (90888, 0, 0, 0, 0, 384, 26);
INSERT INTO public.who_data VALUES (90889, 0, 0, 0, 0, 384, 59);
INSERT INTO public.who_data VALUES (90890, 0, 0, 0, 0, 384, 77);
INSERT INTO public.who_data VALUES (90891, 0, 0, 0, 0, 384, 134);
INSERT INTO public.who_data VALUES (90892, 0, 0, 0, 0, 384, 4);
INSERT INTO public.who_data VALUES (90893, 0, 0, 0, 0, 384, 109);
INSERT INTO public.who_data VALUES (90894, 0, 0, 0, 0, 384, 90);
INSERT INTO public.who_data VALUES (90895, 0, 0, 0, 0, 384, 61);
INSERT INTO public.who_data VALUES (90896, 0, 0, 0, 0, 384, 85);
INSERT INTO public.who_data VALUES (90897, 0, 12, 0, 0, 384, 49);
INSERT INTO public.who_data VALUES (90898, 0, 0, 0, 0, 384, 208);
INSERT INTO public.who_data VALUES (90899, 0, 0, 0, 0, 384, 166);
INSERT INTO public.who_data VALUES (90900, 0, 0, 0, 0, 384, 64);
INSERT INTO public.who_data VALUES (90901, 0, 0, 0, 0, 384, 199);
INSERT INTO public.who_data VALUES (90902, 0, 0, 0, 0, 384, 114);
INSERT INTO public.who_data VALUES (90903, 0, 0, 0, 0, 384, 60);
INSERT INTO public.who_data VALUES (90904, 0, 0, 0, 0, 384, 68);
INSERT INTO public.who_data VALUES (90905, 0, 0, 0, 0, 384, 158);
INSERT INTO public.who_data VALUES (90906, 0, 0, 0, 0, 384, 52);
INSERT INTO public.who_data VALUES (90907, 0, 0, 0, 0, 384, 117);
INSERT INTO public.who_data VALUES (90908, 0, 0, 0, 0, 384, 126);
INSERT INTO public.who_data VALUES (90909, 0, 0, 0, 0, 384, 196);
INSERT INTO public.who_data VALUES (90910, 0, 0, 0, 0, 384, 142);
INSERT INTO public.who_data VALUES (90911, 0, 0, 0, 0, 384, 185);
INSERT INTO public.who_data VALUES (90912, 0, 0, 0, 0, 384, 138);
INSERT INTO public.who_data VALUES (90913, 0, 0, 0, 0, 384, 181);
INSERT INTO public.who_data VALUES (90914, 0, 0, 0, 0, 384, 178);
INSERT INTO public.who_data VALUES (90915, 0, 0, 0, 0, 384, 168);
INSERT INTO public.who_data VALUES (90916, 0, 0, 0, 0, 384, 160);
INSERT INTO public.who_data VALUES (90917, 0, 5, 0, 0, 384, 151);
INSERT INTO public.who_data VALUES (90918, 0, 0, 0, 0, 384, 193);
INSERT INTO public.who_data VALUES (90919, 0, 0, 0, 0, 384, 18);
INSERT INTO public.who_data VALUES (90920, 0, 0, 0, 0, 384, 40);
INSERT INTO public.who_data VALUES (90921, 0, 0, 0, 0, 384, 218);
INSERT INTO public.who_data VALUES (90922, 0, 0, 0, 0, 384, 191);
INSERT INTO public.who_data VALUES (90923, 0, 0, 0, 0, 384, 156);
INSERT INTO public.who_data VALUES (90924, 0, 0, 0, 0, 384, 135);
INSERT INTO public.who_data VALUES (90925, 0, 0, 0, 0, 384, 88);
INSERT INTO public.who_data VALUES (90926, 0, 0, 0, 0, 384, 55);
INSERT INTO public.who_data VALUES (90927, 0, 0, 0, 0, 384, 108);
INSERT INTO public.who_data VALUES (90928, 0, 0, 0, 0, 384, 48);
INSERT INTO public.who_data VALUES (90929, 0, 0, 0, 0, 384, 3);
INSERT INTO public.who_data VALUES (90930, 0, 0, 0, 0, 384, 224);
INSERT INTO public.who_data VALUES (90931, 0, 0, 0, 0, 384, 110);
INSERT INTO public.who_data VALUES (90932, 0, 0, 0, 0, 384, 106);
INSERT INTO public.who_data VALUES (90933, 0, 0, 0, 0, 384, 89);
INSERT INTO public.who_data VALUES (90934, 0, 0, 0, 0, 384, 121);
INSERT INTO public.who_data VALUES (90935, 0, 0, 0, 0, 384, 163);
INSERT INTO public.who_data VALUES (90936, 0, 0, 0, 0, 384, 70);
INSERT INTO public.who_data VALUES (90937, 0, 6, 0, 1, 384, 174);
INSERT INTO public.who_data VALUES (90938, 0, 0, 0, 0, 384, 175);
INSERT INTO public.who_data VALUES (90939, 0, 0, 0, 0, 384, 118);
INSERT INTO public.who_data VALUES (90940, 0, 0, 0, 0, 384, 189);
INSERT INTO public.who_data VALUES (90941, 0, 0, 0, 0, 384, 124);
INSERT INTO public.who_data VALUES (90942, 0, 0, 0, 0, 384, 192);
INSERT INTO public.who_data VALUES (90943, 0, 19, 0, 0, 384, 41);
INSERT INTO public.who_data VALUES (90944, 0, 0, 0, 0, 384, 95);
INSERT INTO public.who_data VALUES (90945, 0, 0, 0, 0, 384, 74);
INSERT INTO public.who_data VALUES (90946, 0, 0, 0, 0, 384, 11);
INSERT INTO public.who_data VALUES (90947, 0, 2, 0, 0, 384, 87);
INSERT INTO public.who_data VALUES (90948, 0, 0, 0, 0, 384, 214);
INSERT INTO public.who_data VALUES (90949, 0, 0, 0, 0, 384, 116);
INSERT INTO public.who_data VALUES (90950, 0, 0, 0, 0, 384, 157);
INSERT INTO public.who_data VALUES (90951, 0, 0, 0, 0, 384, 182);
INSERT INTO public.who_data VALUES (90952, 0, 0, 0, 0, 384, 186);
INSERT INTO public.who_data VALUES (90953, 0, 0, 0, 0, 384, 127);
INSERT INTO public.who_data VALUES (90954, 0, 0, 0, 0, 384, 232);
INSERT INTO public.who_data VALUES (90955, 0, 0, 0, 0, 384, 33);
INSERT INTO public.who_data VALUES (90956, 0, 0, 0, 0, 384, 97);
INSERT INTO public.who_data VALUES (90957, 0, 0, 0, 0, 384, 42);
INSERT INTO public.who_data VALUES (90958, 0, 0, 0, 0, 384, 198);
INSERT INTO public.who_data VALUES (90959, 0, 0, 0, 0, 384, 216);
INSERT INTO public.who_data VALUES (90960, 0, 0, 0, 0, 384, 164);
INSERT INTO public.who_data VALUES (90961, 0, 0, 0, 0, 384, 235);
INSERT INTO public.who_data VALUES (90962, 0, 0, 0, 0, 384, 67);
INSERT INTO public.who_data VALUES (90963, 0, 0, 0, 0, 384, 15);
INSERT INTO public.who_data VALUES (90964, 0, 0, 0, 0, 384, 180);
INSERT INTO public.who_data VALUES (90965, 0, 22, 0, 0, 384, 237);
INSERT INTO public.who_data VALUES (90966, 0, 0, 0, 0, 384, 25);
INSERT INTO public.who_data VALUES (90967, 0, 0, 0, 0, 384, 209);
INSERT INTO public.who_data VALUES (90968, 0, 0, 0, 0, 384, 217);
INSERT INTO public.who_data VALUES (90969, 0, 0, 0, 0, 384, 79);
INSERT INTO public.who_data VALUES (90970, 0, 0, 0, 0, 384, 143);
INSERT INTO public.who_data VALUES (90971, 0, 0, 0, 0, 384, 229);
INSERT INTO public.who_data VALUES (90972, 0, 0, 0, 0, 384, 141);
INSERT INTO public.who_data VALUES (90973, 0, 0, 0, 0, 384, 197);
INSERT INTO public.who_data VALUES (90974, 0, 23, 0, 0, 384, 221);
INSERT INTO public.who_data VALUES (90975, 0, 5, 0, 0, 384, 150);
INSERT INTO public.who_data VALUES (90976, 0, 0, 0, 0, 384, 56);
INSERT INTO public.who_data VALUES (90977, 0, 0, 0, 0, 384, 167);
INSERT INTO public.who_data VALUES (90978, 0, 1, 0, 0, 384, 23);
INSERT INTO public.who_data VALUES (90979, 0, 0, 0, 0, 384, 222);
INSERT INTO public.who_data VALUES (90980, 0, 0, 0, 0, 384, 219);
INSERT INTO public.who_data VALUES (90981, 0, 0, 0, 0, 384, 7);
INSERT INTO public.who_data VALUES (90982, 0, 23, 0, 0, 384, 161);
INSERT INTO public.who_data VALUES (90983, 0, 2, 0, 0, 384, 149);
INSERT INTO public.who_data VALUES (90984, 0, 0, 0, 0, 384, 6);
INSERT INTO public.who_data VALUES (90985, 0, 0, 0, 0, 384, 139);
INSERT INTO public.who_data VALUES (90986, 0, 0, 0, 0, 384, 211);
INSERT INTO public.who_data VALUES (90987, 0, 0, 0, 0, 384, 14);
INSERT INTO public.who_data VALUES (90988, 0, 0, 0, 0, 384, 111);
INSERT INTO public.who_data VALUES (90989, 0, 0, 0, 0, 384, 207);
INSERT INTO public.who_data VALUES (90990, 0, 0, 0, 0, 384, 66);
INSERT INTO public.who_data VALUES (90991, 0, 0, 0, 0, 384, 173);
INSERT INTO public.who_data VALUES (90992, 0, 0, 0, 0, 384, 145);
INSERT INTO public.who_data VALUES (90993, 0, 0, 0, 0, 384, 65);
INSERT INTO public.who_data VALUES (90994, 0, 0, 0, 0, 384, 184);
INSERT INTO public.who_data VALUES (90995, 0, 0, 0, 0, 384, 98);
INSERT INTO public.who_data VALUES (90996, 0, 9, 0, 0, 384, 104);
INSERT INTO public.who_data VALUES (90997, 0, 0, 0, 0, 384, 73);
INSERT INTO public.who_data VALUES (90998, 3, 15, 0, 0, 384, 8);
INSERT INTO public.who_data VALUES (90999, 0, 0, 0, 0, 384, 227);
INSERT INTO public.who_data VALUES (91000, 0, 0, 0, 0, 384, 75);
INSERT INTO public.who_data VALUES (91001, 0, 0, 0, 0, 384, 45);
INSERT INTO public.who_data VALUES (91002, 0, 0, 0, 0, 384, 133);
INSERT INTO public.who_data VALUES (91003, 0, 0, 0, 0, 384, 202);
INSERT INTO public.who_data VALUES (91004, 1, 12, 0, 0, 384, 129);
INSERT INTO public.who_data VALUES (91005, 0, 0, 0, 0, 384, 36);
INSERT INTO public.who_data VALUES (91006, 0, 0, 0, 0, 384, 51);
INSERT INTO public.who_data VALUES (91007, 0, 0, 0, 0, 384, 206);
INSERT INTO public.who_data VALUES (91008, 0, 0, 0, 0, 384, 5);
INSERT INTO public.who_data VALUES (91009, 0, 0, 0, 0, 385, 103);
INSERT INTO public.who_data VALUES (91010, 0, 0, 0, 0, 385, 58);
INSERT INTO public.who_data VALUES (91011, 0, 0, 0, 0, 385, 195);
INSERT INTO public.who_data VALUES (91012, 0, 0, 0, 0, 385, 115);
INSERT INTO public.who_data VALUES (91013, 0, 0, 0, 0, 385, 99);
INSERT INTO public.who_data VALUES (91014, 0, 0, 0, 0, 385, 153);
INSERT INTO public.who_data VALUES (91015, 0, 0, 0, 0, 385, 93);
INSERT INTO public.who_data VALUES (91016, 0, 0, 0, 0, 385, 84);
INSERT INTO public.who_data VALUES (91017, 0, 0, 0, 0, 385, 78);
INSERT INTO public.who_data VALUES (91018, 0, 0, 0, 0, 385, 170);
INSERT INTO public.who_data VALUES (91019, 0, 0, 0, 0, 385, 32);
INSERT INTO public.who_data VALUES (91020, 0, 16, 0, 0, 385, 155);
INSERT INTO public.who_data VALUES (91021, 0, 0, 0, 0, 385, 82);
INSERT INTO public.who_data VALUES (91022, 0, 0, 0, 0, 385, 16);
INSERT INTO public.who_data VALUES (91023, 0, 0, 0, 0, 385, 72);
INSERT INTO public.who_data VALUES (91024, 0, 0, 0, 0, 385, 43);
INSERT INTO public.who_data VALUES (91025, 0, 0, 0, 0, 385, 120);
INSERT INTO public.who_data VALUES (91026, 0, 0, 0, 0, 385, 213);
INSERT INTO public.who_data VALUES (91027, 0, 0, 0, 0, 385, 31);
INSERT INTO public.who_data VALUES (91028, 0, 0, 0, 0, 385, 204);
INSERT INTO public.who_data VALUES (91029, 0, 0, 0, 0, 385, 152);
INSERT INTO public.who_data VALUES (91030, 0, 0, 0, 0, 385, 144);
INSERT INTO public.who_data VALUES (91031, 0, 0, 0, 0, 385, 96);
INSERT INTO public.who_data VALUES (91032, 0, 0, 0, 0, 385, 47);
INSERT INTO public.who_data VALUES (91033, 0, 0, 0, 0, 385, 80);
INSERT INTO public.who_data VALUES (91034, 0, 0, 0, 0, 385, 159);
INSERT INTO public.who_data VALUES (91035, 0, 0, 0, 0, 385, 27);
INSERT INTO public.who_data VALUES (91036, 0, 0, 0, 0, 385, 146);
INSERT INTO public.who_data VALUES (91037, 0, 0, 0, 0, 385, 71);
INSERT INTO public.who_data VALUES (91038, 0, 0, 0, 0, 385, 210);
INSERT INTO public.who_data VALUES (91039, 0, 0, 0, 0, 385, 54);
INSERT INTO public.who_data VALUES (91040, 0, 0, 0, 0, 385, 147);
INSERT INTO public.who_data VALUES (91041, 0, 0, 0, 0, 385, 2);
INSERT INTO public.who_data VALUES (91042, 0, 0, 0, 0, 385, 105);
INSERT INTO public.who_data VALUES (91043, 0, 0, 0, 0, 385, 53);
INSERT INTO public.who_data VALUES (91044, 0, 5, 0, 0, 385, 81);
INSERT INTO public.who_data VALUES (91045, 0, 0, 0, 0, 385, 223);
INSERT INTO public.who_data VALUES (91046, 0, 8, 0, 0, 385, 94);
INSERT INTO public.who_data VALUES (91047, 0, 0, 0, 0, 385, 154);
INSERT INTO public.who_data VALUES (91048, 0, 0, 0, 0, 385, 83);
INSERT INTO public.who_data VALUES (91049, 0, 0, 0, 0, 385, 194);
INSERT INTO public.who_data VALUES (91050, 0, 0, 0, 0, 385, 136);
INSERT INTO public.who_data VALUES (91051, 2590, 14415, 45, 304, 385, 179);
INSERT INTO public.who_data VALUES (91052, 0, 0, 0, 0, 385, 57);
INSERT INTO public.who_data VALUES (91053, 0, 0, 0, 0, 385, 35);
INSERT INTO public.who_data VALUES (91054, 0, 0, 0, 0, 385, 228);
INSERT INTO public.who_data VALUES (91055, 0, 0, 0, 0, 385, 19);
INSERT INTO public.who_data VALUES (91056, 0, 0, 0, 0, 385, 22);
INSERT INTO public.who_data VALUES (91057, 0, 0, 0, 0, 385, 1);
INSERT INTO public.who_data VALUES (91058, 0, 0, 0, 0, 385, 21);
INSERT INTO public.who_data VALUES (91059, 0, 0, 0, 0, 385, 234);
INSERT INTO public.who_data VALUES (91060, 0, 0, 0, 0, 385, 91);
INSERT INTO public.who_data VALUES (91061, 0, 0, 0, 0, 385, 137);
INSERT INTO public.who_data VALUES (91062, 0, 0, 0, 0, 385, 201);
INSERT INTO public.who_data VALUES (91063, 0, 0, 0, 0, 385, 171);
INSERT INTO public.who_data VALUES (91064, 0, 0, 0, 0, 385, 92);
INSERT INTO public.who_data VALUES (91065, 0, 0, 0, 0, 385, 112);
INSERT INTO public.who_data VALUES (91066, 0, 0, 0, 0, 385, 62);
INSERT INTO public.who_data VALUES (91067, 0, 0, 0, 0, 385, 69);
INSERT INTO public.who_data VALUES (91068, 0, 0, 0, 0, 385, 220);
INSERT INTO public.who_data VALUES (91069, 0, 0, 0, 0, 385, 100);
INSERT INTO public.who_data VALUES (91070, 0, 0, 0, 0, 385, 187);
INSERT INTO public.who_data VALUES (91071, 0, 0, 0, 0, 385, 63);
INSERT INTO public.who_data VALUES (91072, 0, 0, 0, 0, 385, 28);
INSERT INTO public.who_data VALUES (91073, 0, 0, 0, 0, 385, 172);
INSERT INTO public.who_data VALUES (91074, 0, 0, 0, 0, 385, 17);
INSERT INTO public.who_data VALUES (91075, 0, 0, 0, 0, 385, 226);
INSERT INTO public.who_data VALUES (91076, 0, 0, 0, 0, 385, 236);
INSERT INTO public.who_data VALUES (91077, 0, 0, 0, 0, 385, 76);
INSERT INTO public.who_data VALUES (91078, 0, 0, 0, 0, 385, 30);
INSERT INTO public.who_data VALUES (91079, 0, 0, 0, 0, 385, 128);
INSERT INTO public.who_data VALUES (91080, 0, 1, 0, 0, 385, 86);
INSERT INTO public.who_data VALUES (91081, 0, 6, 0, 0, 385, 140);
INSERT INTO public.who_data VALUES (91082, 0, 0, 0, 0, 385, 44);
INSERT INTO public.who_data VALUES (91083, 0, 0, 0, 0, 385, 113);
INSERT INTO public.who_data VALUES (91084, 0, 0, 0, 0, 385, 29);
INSERT INTO public.who_data VALUES (91085, 0, 0, 0, 0, 385, 125);
INSERT INTO public.who_data VALUES (91086, 0, 0, 0, 0, 385, 131);
INSERT INTO public.who_data VALUES (91087, 1, 8, 0, 0, 385, 46);
INSERT INTO public.who_data VALUES (91088, 0, 0, 0, 0, 385, 10);
INSERT INTO public.who_data VALUES (91089, 0, 0, 0, 0, 385, 205);
INSERT INTO public.who_data VALUES (91090, 0, 0, 0, 0, 385, 50);
INSERT INTO public.who_data VALUES (91091, 0, 0, 0, 0, 385, 20);
INSERT INTO public.who_data VALUES (91092, 0, 0, 0, 0, 385, 13);
INSERT INTO public.who_data VALUES (91093, 0, 0, 0, 0, 385, 148);
INSERT INTO public.who_data VALUES (91094, 0, 0, 0, 0, 385, 230);
INSERT INTO public.who_data VALUES (91095, 0, 0, 0, 0, 385, 190);
INSERT INTO public.who_data VALUES (91096, 0, 0, 0, 0, 385, 188);
INSERT INTO public.who_data VALUES (91097, 0, 0, 0, 0, 385, 123);
INSERT INTO public.who_data VALUES (91098, 0, 0, 0, 0, 385, 9);
INSERT INTO public.who_data VALUES (91099, 0, 0, 0, 0, 385, 102);
INSERT INTO public.who_data VALUES (91100, 0, 0, 0, 0, 385, 34);
INSERT INTO public.who_data VALUES (91101, 0, 0, 0, 0, 385, 212);
INSERT INTO public.who_data VALUES (91102, 0, 0, 0, 0, 385, 122);
INSERT INTO public.who_data VALUES (91103, 0, 0, 0, 0, 385, 38);
INSERT INTO public.who_data VALUES (91104, 0, 0, 0, 0, 385, 130);
INSERT INTO public.who_data VALUES (91105, 1, 6, 0, 0, 385, 37);
INSERT INTO public.who_data VALUES (91106, 0, 0, 0, 0, 385, 231);
INSERT INTO public.who_data VALUES (91107, 0, 0, 0, 0, 385, 107);
INSERT INTO public.who_data VALUES (91108, 0, 0, 0, 0, 385, 101);
INSERT INTO public.who_data VALUES (91109, 0, 0, 0, 0, 385, 132);
INSERT INTO public.who_data VALUES (91110, 0, 0, 0, 0, 385, 176);
INSERT INTO public.who_data VALUES (91111, 0, 0, 0, 0, 385, 200);
INSERT INTO public.who_data VALUES (91112, 0, 3, 0, 0, 385, 169);
INSERT INTO public.who_data VALUES (91113, 0, 0, 0, 0, 385, 225);
INSERT INTO public.who_data VALUES (91114, 0, 24, 0, 0, 385, 165);
INSERT INTO public.who_data VALUES (91115, 0, 0, 0, 0, 385, 233);
INSERT INTO public.who_data VALUES (91116, 0, 0, 0, 0, 385, 215);
INSERT INTO public.who_data VALUES (91117, 0, 0, 0, 0, 385, 177);
INSERT INTO public.who_data VALUES (91118, 0, 0, 0, 0, 385, 183);
INSERT INTO public.who_data VALUES (91119, 0, 0, 0, 0, 385, 203);
INSERT INTO public.who_data VALUES (91120, 0, 0, 0, 0, 385, 162);
INSERT INTO public.who_data VALUES (91121, 0, 0, 0, 0, 385, 12);
INSERT INTO public.who_data VALUES (91122, 0, 0, 0, 0, 385, 24);
INSERT INTO public.who_data VALUES (91123, 0, 0, 0, 0, 385, 119);
INSERT INTO public.who_data VALUES (91124, 0, 0, 0, 0, 385, 39);
INSERT INTO public.who_data VALUES (91125, 0, 0, 0, 0, 385, 26);
INSERT INTO public.who_data VALUES (91126, 0, 0, 0, 0, 385, 59);
INSERT INTO public.who_data VALUES (91127, 0, 0, 0, 0, 385, 77);
INSERT INTO public.who_data VALUES (91128, 0, 0, 0, 0, 385, 134);
INSERT INTO public.who_data VALUES (91129, 0, 0, 0, 0, 385, 4);
INSERT INTO public.who_data VALUES (91130, 0, 0, 0, 0, 385, 109);
INSERT INTO public.who_data VALUES (91131, 0, 0, 0, 0, 385, 90);
INSERT INTO public.who_data VALUES (91132, 0, 0, 0, 0, 385, 61);
INSERT INTO public.who_data VALUES (91133, 0, 0, 0, 0, 385, 85);
INSERT INTO public.who_data VALUES (91134, 0, 12, 0, 0, 385, 49);
INSERT INTO public.who_data VALUES (91135, 0, 0, 0, 0, 385, 208);
INSERT INTO public.who_data VALUES (91136, 0, 0, 0, 0, 385, 166);
INSERT INTO public.who_data VALUES (91137, 0, 0, 0, 0, 385, 64);
INSERT INTO public.who_data VALUES (91138, 0, 0, 0, 0, 385, 199);
INSERT INTO public.who_data VALUES (91139, 0, 0, 0, 0, 385, 114);
INSERT INTO public.who_data VALUES (91140, 0, 0, 0, 0, 385, 60);
INSERT INTO public.who_data VALUES (91141, 0, 0, 0, 0, 385, 68);
INSERT INTO public.who_data VALUES (91142, 0, 0, 0, 0, 385, 158);
INSERT INTO public.who_data VALUES (91143, 0, 0, 0, 0, 385, 52);
INSERT INTO public.who_data VALUES (91144, 0, 0, 0, 0, 385, 117);
INSERT INTO public.who_data VALUES (91145, 0, 0, 0, 0, 385, 126);
INSERT INTO public.who_data VALUES (91146, 0, 0, 0, 0, 385, 196);
INSERT INTO public.who_data VALUES (91147, 0, 0, 0, 0, 385, 142);
INSERT INTO public.who_data VALUES (91148, 0, 0, 0, 0, 385, 185);
INSERT INTO public.who_data VALUES (91149, 0, 0, 0, 0, 385, 138);
INSERT INTO public.who_data VALUES (91150, 0, 0, 0, 0, 385, 181);
INSERT INTO public.who_data VALUES (91151, 0, 0, 0, 0, 385, 178);
INSERT INTO public.who_data VALUES (91152, 0, 0, 0, 0, 385, 168);
INSERT INTO public.who_data VALUES (91153, 0, 0, 0, 0, 385, 160);
INSERT INTO public.who_data VALUES (91154, 0, 5, 0, 0, 385, 151);
INSERT INTO public.who_data VALUES (91155, 0, 0, 0, 0, 385, 193);
INSERT INTO public.who_data VALUES (91156, 0, 0, 0, 0, 385, 18);
INSERT INTO public.who_data VALUES (91157, 0, 0, 0, 0, 385, 40);
INSERT INTO public.who_data VALUES (91158, 0, 0, 0, 0, 385, 218);
INSERT INTO public.who_data VALUES (91159, 0, 0, 0, 0, 385, 191);
INSERT INTO public.who_data VALUES (91160, 0, 0, 0, 0, 385, 156);
INSERT INTO public.who_data VALUES (91161, 0, 0, 0, 0, 385, 135);
INSERT INTO public.who_data VALUES (91162, 0, 0, 0, 0, 385, 88);
INSERT INTO public.who_data VALUES (91163, 0, 0, 0, 0, 385, 55);
INSERT INTO public.who_data VALUES (91164, 0, 0, 0, 0, 385, 108);
INSERT INTO public.who_data VALUES (91165, 0, 0, 0, 0, 385, 48);
INSERT INTO public.who_data VALUES (91166, 0, 0, 0, 0, 385, 3);
INSERT INTO public.who_data VALUES (91167, 0, 0, 0, 0, 385, 224);
INSERT INTO public.who_data VALUES (91168, 0, 0, 0, 0, 385, 110);
INSERT INTO public.who_data VALUES (91169, 0, 0, 0, 0, 385, 106);
INSERT INTO public.who_data VALUES (91170, 0, 0, 0, 0, 385, 89);
INSERT INTO public.who_data VALUES (91171, 0, 0, 0, 0, 385, 121);
INSERT INTO public.who_data VALUES (91172, 0, 0, 0, 0, 385, 163);
INSERT INTO public.who_data VALUES (91173, 0, 0, 0, 0, 385, 70);
INSERT INTO public.who_data VALUES (91174, 0, 6, 1, 1, 385, 174);
INSERT INTO public.who_data VALUES (91175, 0, 0, 0, 0, 385, 175);
INSERT INTO public.who_data VALUES (91176, 0, 0, 0, 0, 385, 118);
INSERT INTO public.who_data VALUES (91177, 0, 0, 0, 0, 385, 189);
INSERT INTO public.who_data VALUES (91178, 0, 0, 0, 0, 385, 124);
INSERT INTO public.who_data VALUES (91179, 0, 0, 0, 0, 385, 192);
INSERT INTO public.who_data VALUES (91180, 3, 19, 0, 0, 385, 41);
INSERT INTO public.who_data VALUES (91181, 0, 0, 0, 0, 385, 95);
INSERT INTO public.who_data VALUES (91182, 0, 0, 0, 0, 385, 74);
INSERT INTO public.who_data VALUES (91183, 0, 0, 0, 0, 385, 11);
INSERT INTO public.who_data VALUES (91184, 0, 2, 0, 0, 385, 87);
INSERT INTO public.who_data VALUES (91185, 0, 0, 0, 0, 385, 214);
INSERT INTO public.who_data VALUES (91186, 0, 0, 0, 0, 385, 116);
INSERT INTO public.who_data VALUES (91187, 0, 0, 0, 0, 385, 157);
INSERT INTO public.who_data VALUES (91188, 0, 0, 0, 0, 385, 182);
INSERT INTO public.who_data VALUES (91189, 0, 0, 0, 0, 385, 186);
INSERT INTO public.who_data VALUES (91190, 0, 0, 0, 0, 385, 127);
INSERT INTO public.who_data VALUES (91191, 0, 0, 0, 0, 385, 232);
INSERT INTO public.who_data VALUES (91192, 0, 0, 0, 0, 385, 33);
INSERT INTO public.who_data VALUES (91193, 0, 0, 0, 0, 385, 97);
INSERT INTO public.who_data VALUES (91194, 0, 0, 0, 0, 385, 42);
INSERT INTO public.who_data VALUES (91195, 0, 0, 0, 0, 385, 198);
INSERT INTO public.who_data VALUES (91196, 0, 0, 0, 0, 385, 216);
INSERT INTO public.who_data VALUES (91197, 0, 0, 0, 0, 385, 164);
INSERT INTO public.who_data VALUES (91198, 0, 0, 0, 0, 385, 235);
INSERT INTO public.who_data VALUES (91199, 0, 0, 0, 0, 385, 67);
INSERT INTO public.who_data VALUES (91200, 0, 0, 0, 0, 385, 15);
INSERT INTO public.who_data VALUES (91201, 0, 0, 0, 0, 385, 180);
INSERT INTO public.who_data VALUES (91202, 0, 22, 0, 0, 385, 237);
INSERT INTO public.who_data VALUES (91203, 0, 0, 0, 0, 385, 25);
INSERT INTO public.who_data VALUES (91204, 0, 0, 0, 0, 385, 209);
INSERT INTO public.who_data VALUES (91205, 0, 0, 0, 0, 385, 217);
INSERT INTO public.who_data VALUES (91206, 0, 0, 0, 0, 385, 79);
INSERT INTO public.who_data VALUES (91207, 0, 0, 0, 0, 385, 143);
INSERT INTO public.who_data VALUES (91208, 0, 0, 0, 0, 385, 229);
INSERT INTO public.who_data VALUES (91209, 0, 0, 0, 0, 385, 141);
INSERT INTO public.who_data VALUES (91210, 0, 0, 0, 0, 385, 197);
INSERT INTO public.who_data VALUES (91211, 23, 23, 0, 0, 385, 221);
INSERT INTO public.who_data VALUES (91212, 0, 5, 0, 0, 385, 150);
INSERT INTO public.who_data VALUES (91213, 0, 0, 0, 0, 385, 56);
INSERT INTO public.who_data VALUES (91214, 0, 0, 0, 0, 385, 167);
INSERT INTO public.who_data VALUES (91215, 0, 1, 0, 0, 385, 23);
INSERT INTO public.who_data VALUES (91216, 0, 0, 0, 0, 385, 222);
INSERT INTO public.who_data VALUES (91217, 0, 0, 0, 0, 385, 219);
INSERT INTO public.who_data VALUES (91218, 0, 0, 0, 0, 385, 7);
INSERT INTO public.who_data VALUES (91219, 0, 23, 0, 0, 385, 161);
INSERT INTO public.who_data VALUES (91220, 0, 2, 0, 0, 385, 149);
INSERT INTO public.who_data VALUES (91221, 0, 0, 0, 0, 385, 6);
INSERT INTO public.who_data VALUES (91222, 0, 0, 0, 0, 385, 139);
INSERT INTO public.who_data VALUES (91223, 0, 0, 0, 0, 385, 211);
INSERT INTO public.who_data VALUES (91224, 0, 0, 0, 0, 385, 14);
INSERT INTO public.who_data VALUES (91225, 0, 0, 0, 0, 385, 111);
INSERT INTO public.who_data VALUES (91226, 0, 0, 0, 0, 385, 207);
INSERT INTO public.who_data VALUES (91227, 0, 0, 0, 0, 385, 66);
INSERT INTO public.who_data VALUES (91228, 0, 0, 0, 0, 385, 173);
INSERT INTO public.who_data VALUES (91229, 0, 0, 0, 0, 385, 145);
INSERT INTO public.who_data VALUES (91230, 0, 0, 0, 0, 385, 65);
INSERT INTO public.who_data VALUES (91231, 0, 0, 0, 0, 385, 184);
INSERT INTO public.who_data VALUES (91232, 0, 0, 0, 0, 385, 98);
INSERT INTO public.who_data VALUES (91233, 0, 9, 0, 0, 385, 104);
INSERT INTO public.who_data VALUES (91234, 0, 0, 0, 0, 385, 73);
INSERT INTO public.who_data VALUES (91235, 0, 12, 0, 0, 385, 8);
INSERT INTO public.who_data VALUES (91236, 0, 0, 0, 0, 385, 227);
INSERT INTO public.who_data VALUES (91237, 0, 0, 0, 0, 385, 75);
INSERT INTO public.who_data VALUES (91238, 0, 0, 0, 0, 385, 45);
INSERT INTO public.who_data VALUES (91239, 0, 0, 0, 0, 385, 133);
INSERT INTO public.who_data VALUES (91240, 0, 0, 0, 0, 385, 202);
INSERT INTO public.who_data VALUES (91241, 1, 11, 0, 0, 385, 129);
INSERT INTO public.who_data VALUES (91242, 0, 0, 0, 0, 385, 36);
INSERT INTO public.who_data VALUES (91243, 0, 0, 0, 0, 385, 51);
INSERT INTO public.who_data VALUES (91244, 0, 0, 0, 0, 385, 206);
INSERT INTO public.who_data VALUES (91245, 0, 0, 0, 0, 385, 5);
INSERT INTO public.who_data VALUES (91246, 0, 0, 0, 0, 386, 103);
INSERT INTO public.who_data VALUES (91247, 0, 0, 0, 0, 386, 58);
INSERT INTO public.who_data VALUES (91248, 0, 0, 0, 0, 386, 195);
INSERT INTO public.who_data VALUES (91249, 0, 0, 0, 0, 386, 115);
INSERT INTO public.who_data VALUES (91250, 0, 0, 0, 0, 386, 99);
INSERT INTO public.who_data VALUES (91251, 0, 0, 0, 0, 386, 153);
INSERT INTO public.who_data VALUES (91252, 0, 0, 0, 0, 386, 93);
INSERT INTO public.who_data VALUES (91253, 0, 0, 0, 0, 386, 84);
INSERT INTO public.who_data VALUES (91254, 0, 0, 0, 0, 386, 78);
INSERT INTO public.who_data VALUES (91255, 0, 0, 0, 0, 386, 170);
INSERT INTO public.who_data VALUES (91256, 0, 0, 0, 0, 386, 32);
INSERT INTO public.who_data VALUES (91257, 3, 16, 0, 0, 386, 155);
INSERT INTO public.who_data VALUES (91258, 0, 0, 0, 0, 386, 82);
INSERT INTO public.who_data VALUES (91259, 0, 0, 0, 0, 386, 16);
INSERT INTO public.who_data VALUES (91260, 0, 0, 0, 0, 386, 72);
INSERT INTO public.who_data VALUES (91261, 0, 0, 0, 0, 386, 43);
INSERT INTO public.who_data VALUES (91262, 0, 0, 0, 0, 386, 120);
INSERT INTO public.who_data VALUES (91263, 0, 0, 0, 0, 386, 213);
INSERT INTO public.who_data VALUES (91264, 0, 0, 0, 0, 386, 31);
INSERT INTO public.who_data VALUES (91265, 0, 0, 0, 0, 386, 204);
INSERT INTO public.who_data VALUES (91266, 0, 0, 0, 0, 386, 152);
INSERT INTO public.who_data VALUES (91267, 0, 0, 0, 0, 386, 144);
INSERT INTO public.who_data VALUES (91268, 0, 0, 0, 0, 386, 96);
INSERT INTO public.who_data VALUES (91269, 0, 0, 0, 0, 386, 47);
INSERT INTO public.who_data VALUES (91270, 0, 0, 0, 0, 386, 80);
INSERT INTO public.who_data VALUES (91271, 0, 0, 0, 0, 386, 159);
INSERT INTO public.who_data VALUES (91272, 0, 0, 0, 0, 386, 27);
INSERT INTO public.who_data VALUES (91273, 0, 0, 0, 0, 386, 146);
INSERT INTO public.who_data VALUES (91274, 0, 0, 0, 0, 386, 71);
INSERT INTO public.who_data VALUES (91275, 0, 0, 0, 0, 386, 210);
INSERT INTO public.who_data VALUES (91276, 0, 0, 0, 0, 386, 54);
INSERT INTO public.who_data VALUES (91277, 0, 0, 0, 0, 386, 147);
INSERT INTO public.who_data VALUES (91278, 0, 0, 0, 0, 386, 2);
INSERT INTO public.who_data VALUES (91279, 0, 0, 0, 0, 386, 105);
INSERT INTO public.who_data VALUES (91280, 0, 0, 0, 0, 386, 53);
INSERT INTO public.who_data VALUES (91281, 0, 5, 0, 0, 386, 81);
INSERT INTO public.who_data VALUES (91282, 0, 0, 0, 0, 386, 223);
INSERT INTO public.who_data VALUES (91283, 0, 8, 0, 0, 386, 94);
INSERT INTO public.who_data VALUES (91284, 0, 0, 0, 0, 386, 154);
INSERT INTO public.who_data VALUES (91285, 0, 0, 0, 0, 386, 83);
INSERT INTO public.who_data VALUES (91286, 0, 0, 0, 0, 386, 194);
INSERT INTO public.who_data VALUES (91287, 0, 0, 0, 0, 386, 136);
INSERT INTO public.who_data VALUES (91288, 2101, 11825, 46, 259, 386, 179);
INSERT INTO public.who_data VALUES (91289, 0, 0, 0, 0, 386, 57);
INSERT INTO public.who_data VALUES (91290, 0, 0, 0, 0, 386, 35);
INSERT INTO public.who_data VALUES (91291, 0, 0, 0, 0, 386, 228);
INSERT INTO public.who_data VALUES (91292, 0, 0, 0, 0, 386, 19);
INSERT INTO public.who_data VALUES (91293, 0, 0, 0, 0, 386, 22);
INSERT INTO public.who_data VALUES (91294, 0, 0, 0, 0, 386, 1);
INSERT INTO public.who_data VALUES (91295, 0, 0, 0, 0, 386, 21);
INSERT INTO public.who_data VALUES (91296, 0, 0, 0, 0, 386, 234);
INSERT INTO public.who_data VALUES (91297, 0, 0, 0, 0, 386, 91);
INSERT INTO public.who_data VALUES (91298, 0, 0, 0, 0, 386, 137);
INSERT INTO public.who_data VALUES (91299, 0, 0, 0, 0, 386, 201);
INSERT INTO public.who_data VALUES (91300, 0, 0, 0, 0, 386, 171);
INSERT INTO public.who_data VALUES (91301, 0, 0, 0, 0, 386, 92);
INSERT INTO public.who_data VALUES (91302, 0, 0, 0, 0, 386, 112);
INSERT INTO public.who_data VALUES (91303, 0, 0, 0, 0, 386, 62);
INSERT INTO public.who_data VALUES (91304, 0, 0, 0, 0, 386, 69);
INSERT INTO public.who_data VALUES (91305, 0, 0, 0, 0, 386, 220);
INSERT INTO public.who_data VALUES (91306, 0, 0, 0, 0, 386, 100);
INSERT INTO public.who_data VALUES (91307, 0, 0, 0, 0, 386, 187);
INSERT INTO public.who_data VALUES (91308, 0, 0, 0, 0, 386, 63);
INSERT INTO public.who_data VALUES (91309, 0, 0, 0, 0, 386, 28);
INSERT INTO public.who_data VALUES (91310, 0, 0, 0, 0, 386, 172);
INSERT INTO public.who_data VALUES (91311, 0, 0, 0, 0, 386, 17);
INSERT INTO public.who_data VALUES (91312, 0, 0, 0, 0, 386, 226);
INSERT INTO public.who_data VALUES (91313, 0, 0, 0, 0, 386, 236);
INSERT INTO public.who_data VALUES (91314, 0, 0, 0, 0, 386, 76);
INSERT INTO public.who_data VALUES (91315, 0, 0, 0, 0, 386, 30);
INSERT INTO public.who_data VALUES (91316, 0, 0, 0, 0, 386, 128);
INSERT INTO public.who_data VALUES (91317, 0, 1, 0, 0, 386, 86);
INSERT INTO public.who_data VALUES (91318, 0, 6, 0, 0, 386, 140);
INSERT INTO public.who_data VALUES (91319, 0, 0, 0, 0, 386, 44);
INSERT INTO public.who_data VALUES (91320, 0, 0, 0, 0, 386, 113);
INSERT INTO public.who_data VALUES (91321, 0, 0, 0, 0, 386, 29);
INSERT INTO public.who_data VALUES (91322, 0, 0, 0, 0, 386, 125);
INSERT INTO public.who_data VALUES (91323, 0, 0, 0, 0, 386, 131);
INSERT INTO public.who_data VALUES (91324, 2, 7, 0, 0, 386, 46);
INSERT INTO public.who_data VALUES (91325, 0, 0, 0, 0, 386, 10);
INSERT INTO public.who_data VALUES (91326, 0, 0, 0, 0, 386, 205);
INSERT INTO public.who_data VALUES (91327, 0, 0, 0, 0, 386, 50);
INSERT INTO public.who_data VALUES (91328, 0, 0, 0, 0, 386, 20);
INSERT INTO public.who_data VALUES (91329, 0, 0, 0, 0, 386, 13);
INSERT INTO public.who_data VALUES (91330, 0, 0, 0, 0, 386, 148);
INSERT INTO public.who_data VALUES (91331, 0, 0, 0, 0, 386, 230);
INSERT INTO public.who_data VALUES (91332, 0, 0, 0, 0, 386, 190);
INSERT INTO public.who_data VALUES (91333, 0, 0, 0, 0, 386, 188);
INSERT INTO public.who_data VALUES (91334, 0, 0, 0, 0, 386, 123);
INSERT INTO public.who_data VALUES (91335, 0, 0, 0, 0, 386, 9);
INSERT INTO public.who_data VALUES (91336, 0, 0, 0, 0, 386, 102);
INSERT INTO public.who_data VALUES (91337, 0, 0, 0, 0, 386, 34);
INSERT INTO public.who_data VALUES (91338, 0, 0, 0, 0, 386, 212);
INSERT INTO public.who_data VALUES (91339, 0, 0, 0, 0, 386, 122);
INSERT INTO public.who_data VALUES (91340, 0, 0, 0, 0, 386, 38);
INSERT INTO public.who_data VALUES (91341, 0, 0, 0, 0, 386, 130);
INSERT INTO public.who_data VALUES (91342, 0, 5, 0, 0, 386, 37);
INSERT INTO public.who_data VALUES (91343, 0, 0, 0, 0, 386, 231);
INSERT INTO public.who_data VALUES (91344, 0, 0, 0, 0, 386, 107);
INSERT INTO public.who_data VALUES (91345, 0, 0, 0, 0, 386, 101);
INSERT INTO public.who_data VALUES (91346, 0, 0, 0, 0, 386, 132);
INSERT INTO public.who_data VALUES (91347, 0, 0, 0, 0, 386, 176);
INSERT INTO public.who_data VALUES (91348, 0, 0, 0, 0, 386, 200);
INSERT INTO public.who_data VALUES (91349, 0, 3, 0, 0, 386, 169);
INSERT INTO public.who_data VALUES (91350, 0, 0, 0, 0, 386, 225);
INSERT INTO public.who_data VALUES (91351, 3, 24, 0, 0, 386, 165);
INSERT INTO public.who_data VALUES (91352, 0, 0, 0, 0, 386, 233);
INSERT INTO public.who_data VALUES (91353, 0, 0, 0, 0, 386, 215);
INSERT INTO public.who_data VALUES (91354, 0, 0, 0, 0, 386, 177);
INSERT INTO public.who_data VALUES (91355, 0, 0, 0, 0, 386, 183);
INSERT INTO public.who_data VALUES (91356, 0, 0, 0, 0, 386, 203);
INSERT INTO public.who_data VALUES (91357, 0, 0, 0, 0, 386, 162);
INSERT INTO public.who_data VALUES (91358, 0, 0, 0, 0, 386, 12);
INSERT INTO public.who_data VALUES (91359, 0, 0, 0, 0, 386, 24);
INSERT INTO public.who_data VALUES (91360, 0, 0, 0, 0, 386, 119);
INSERT INTO public.who_data VALUES (91361, 0, 0, 0, 0, 386, 39);
INSERT INTO public.who_data VALUES (91362, 0, 0, 0, 0, 386, 26);
INSERT INTO public.who_data VALUES (91363, 0, 0, 0, 0, 386, 59);
INSERT INTO public.who_data VALUES (91364, 0, 0, 0, 0, 386, 77);
INSERT INTO public.who_data VALUES (91365, 0, 0, 0, 0, 386, 134);
INSERT INTO public.who_data VALUES (91366, 0, 0, 0, 0, 386, 4);
INSERT INTO public.who_data VALUES (91367, 0, 0, 0, 0, 386, 109);
INSERT INTO public.who_data VALUES (91368, 0, 0, 0, 0, 386, 90);
INSERT INTO public.who_data VALUES (91369, 0, 0, 0, 0, 386, 61);
INSERT INTO public.who_data VALUES (91370, 0, 0, 0, 0, 386, 85);
INSERT INTO public.who_data VALUES (91371, 0, 12, 0, 0, 386, 49);
INSERT INTO public.who_data VALUES (91372, 0, 0, 0, 0, 386, 208);
INSERT INTO public.who_data VALUES (91373, 0, 0, 0, 0, 386, 166);
INSERT INTO public.who_data VALUES (91374, 0, 0, 0, 0, 386, 64);
INSERT INTO public.who_data VALUES (91375, 0, 0, 0, 0, 386, 199);
INSERT INTO public.who_data VALUES (91376, 0, 0, 0, 0, 386, 114);
INSERT INTO public.who_data VALUES (91377, 0, 0, 0, 0, 386, 60);
INSERT INTO public.who_data VALUES (91378, 0, 0, 0, 0, 386, 68);
INSERT INTO public.who_data VALUES (91379, 0, 0, 0, 0, 386, 158);
INSERT INTO public.who_data VALUES (91380, 0, 0, 0, 0, 386, 52);
INSERT INTO public.who_data VALUES (91381, 0, 0, 0, 0, 386, 117);
INSERT INTO public.who_data VALUES (91382, 0, 0, 0, 0, 386, 126);
INSERT INTO public.who_data VALUES (91383, 0, 0, 0, 0, 386, 196);
INSERT INTO public.who_data VALUES (91384, 0, 0, 0, 0, 386, 142);
INSERT INTO public.who_data VALUES (91385, 0, 0, 0, 0, 386, 185);
INSERT INTO public.who_data VALUES (91386, 0, 0, 0, 0, 386, 138);
INSERT INTO public.who_data VALUES (91387, 0, 0, 0, 0, 386, 181);
INSERT INTO public.who_data VALUES (91388, 0, 0, 0, 0, 386, 178);
INSERT INTO public.who_data VALUES (91389, 0, 0, 0, 0, 386, 168);
INSERT INTO public.who_data VALUES (91390, 0, 0, 0, 0, 386, 160);
INSERT INTO public.who_data VALUES (91391, 0, 5, 0, 0, 386, 151);
INSERT INTO public.who_data VALUES (91392, 0, 0, 0, 0, 386, 193);
INSERT INTO public.who_data VALUES (91393, 0, 0, 0, 0, 386, 18);
INSERT INTO public.who_data VALUES (91394, 0, 0, 0, 0, 386, 40);
INSERT INTO public.who_data VALUES (91395, 0, 0, 0, 0, 386, 218);
INSERT INTO public.who_data VALUES (91396, 0, 0, 0, 0, 386, 191);
INSERT INTO public.who_data VALUES (91397, 0, 0, 0, 0, 386, 156);
INSERT INTO public.who_data VALUES (91398, 0, 0, 0, 0, 386, 135);
INSERT INTO public.who_data VALUES (91399, 0, 0, 0, 0, 386, 88);
INSERT INTO public.who_data VALUES (91400, 0, 0, 0, 0, 386, 55);
INSERT INTO public.who_data VALUES (91401, 0, 0, 0, 0, 386, 108);
INSERT INTO public.who_data VALUES (91402, 0, 0, 0, 0, 386, 48);
INSERT INTO public.who_data VALUES (91403, 0, 0, 0, 0, 386, 3);
INSERT INTO public.who_data VALUES (91404, 0, 0, 0, 0, 386, 224);
INSERT INTO public.who_data VALUES (91405, 0, 0, 0, 0, 386, 110);
INSERT INTO public.who_data VALUES (91406, 0, 0, 0, 0, 386, 106);
INSERT INTO public.who_data VALUES (91407, 0, 0, 0, 0, 386, 89);
INSERT INTO public.who_data VALUES (91408, 0, 0, 0, 0, 386, 121);
INSERT INTO public.who_data VALUES (91409, 0, 0, 0, 0, 386, 163);
INSERT INTO public.who_data VALUES (91410, 0, 0, 0, 0, 386, 70);
INSERT INTO public.who_data VALUES (91411, 1, 6, 0, 0, 386, 174);
INSERT INTO public.who_data VALUES (91412, 0, 0, 0, 0, 386, 175);
INSERT INTO public.who_data VALUES (91413, 0, 0, 0, 0, 386, 118);
INSERT INTO public.who_data VALUES (91414, 0, 0, 0, 0, 386, 189);
INSERT INTO public.who_data VALUES (91415, 0, 0, 0, 0, 386, 124);
INSERT INTO public.who_data VALUES (91416, 0, 0, 0, 0, 386, 192);
INSERT INTO public.who_data VALUES (91417, 1, 16, 0, 0, 386, 41);
INSERT INTO public.who_data VALUES (91418, 0, 0, 0, 0, 386, 95);
INSERT INTO public.who_data VALUES (91419, 0, 0, 0, 0, 386, 74);
INSERT INTO public.who_data VALUES (91420, 0, 0, 0, 0, 386, 11);
INSERT INTO public.who_data VALUES (91421, 0, 2, 0, 0, 386, 87);
INSERT INTO public.who_data VALUES (91422, 0, 0, 0, 0, 386, 214);
INSERT INTO public.who_data VALUES (91423, 0, 0, 0, 0, 386, 116);
INSERT INTO public.who_data VALUES (91424, 0, 0, 0, 0, 386, 157);
INSERT INTO public.who_data VALUES (91425, 0, 0, 0, 0, 386, 182);
INSERT INTO public.who_data VALUES (91426, 0, 0, 0, 0, 386, 186);
INSERT INTO public.who_data VALUES (91427, 0, 0, 0, 0, 386, 127);
INSERT INTO public.who_data VALUES (91428, 0, 0, 0, 0, 386, 232);
INSERT INTO public.who_data VALUES (91429, 0, 0, 0, 0, 386, 33);
INSERT INTO public.who_data VALUES (91430, 0, 0, 0, 0, 386, 97);
INSERT INTO public.who_data VALUES (91431, 0, 0, 0, 0, 386, 42);
INSERT INTO public.who_data VALUES (91432, 0, 0, 0, 0, 386, 198);
INSERT INTO public.who_data VALUES (91433, 0, 0, 0, 0, 386, 216);
INSERT INTO public.who_data VALUES (91434, 0, 0, 0, 0, 386, 164);
INSERT INTO public.who_data VALUES (91435, 0, 0, 0, 0, 386, 235);
INSERT INTO public.who_data VALUES (91436, 0, 0, 0, 0, 386, 67);
INSERT INTO public.who_data VALUES (91437, 0, 0, 0, 0, 386, 15);
INSERT INTO public.who_data VALUES (91438, 0, 0, 0, 0, 386, 180);
INSERT INTO public.who_data VALUES (91439, 2, 22, 0, 0, 386, 237);
INSERT INTO public.who_data VALUES (91440, 0, 0, 0, 0, 386, 25);
INSERT INTO public.who_data VALUES (91441, 0, 0, 0, 0, 386, 209);
INSERT INTO public.who_data VALUES (91442, 0, 0, 0, 0, 386, 217);
INSERT INTO public.who_data VALUES (91443, 0, 0, 0, 0, 386, 79);
INSERT INTO public.who_data VALUES (91444, 0, 0, 0, 0, 386, 143);
INSERT INTO public.who_data VALUES (91445, 0, 0, 0, 0, 386, 229);
INSERT INTO public.who_data VALUES (91446, 0, 0, 0, 0, 386, 141);
INSERT INTO public.who_data VALUES (91447, 0, 0, 0, 0, 386, 197);
INSERT INTO public.who_data VALUES (91448, 0, 0, 0, 0, 386, 221);
INSERT INTO public.who_data VALUES (91449, 0, 5, 0, 0, 386, 150);
INSERT INTO public.who_data VALUES (91450, 0, 0, 0, 0, 386, 56);
INSERT INTO public.who_data VALUES (91451, 0, 0, 0, 0, 386, 167);
INSERT INTO public.who_data VALUES (91452, 0, 1, 0, 0, 386, 23);
INSERT INTO public.who_data VALUES (91453, 0, 0, 0, 0, 386, 222);
INSERT INTO public.who_data VALUES (91454, 0, 0, 0, 0, 386, 219);
INSERT INTO public.who_data VALUES (91455, 0, 0, 0, 0, 386, 7);
INSERT INTO public.who_data VALUES (91456, 0, 23, 0, 0, 386, 161);
INSERT INTO public.who_data VALUES (91457, 2, 2, 0, 0, 386, 149);
INSERT INTO public.who_data VALUES (91458, 0, 0, 0, 0, 386, 6);
INSERT INTO public.who_data VALUES (91459, 0, 0, 0, 0, 386, 139);
INSERT INTO public.who_data VALUES (91460, 0, 0, 0, 0, 386, 211);
INSERT INTO public.who_data VALUES (91461, 0, 0, 0, 0, 386, 14);
INSERT INTO public.who_data VALUES (91462, 0, 0, 0, 0, 386, 111);
INSERT INTO public.who_data VALUES (91463, 0, 0, 0, 0, 386, 207);
INSERT INTO public.who_data VALUES (91464, 0, 0, 0, 0, 386, 66);
INSERT INTO public.who_data VALUES (91465, 0, 0, 0, 0, 386, 173);
INSERT INTO public.who_data VALUES (91466, 0, 0, 0, 0, 386, 145);
INSERT INTO public.who_data VALUES (91467, 0, 0, 0, 0, 386, 65);
INSERT INTO public.who_data VALUES (91468, 0, 0, 0, 0, 386, 184);
INSERT INTO public.who_data VALUES (91469, 0, 0, 0, 0, 386, 98);
INSERT INTO public.who_data VALUES (91470, 1, 9, 0, 0, 386, 104);
INSERT INTO public.who_data VALUES (91471, 0, 0, 0, 0, 386, 73);
INSERT INTO public.who_data VALUES (91472, 1, 12, 0, 0, 386, 8);
INSERT INTO public.who_data VALUES (91473, 0, 0, 0, 0, 386, 227);
INSERT INTO public.who_data VALUES (91474, 0, 0, 0, 0, 386, 75);
INSERT INTO public.who_data VALUES (91475, 0, 0, 0, 0, 386, 45);
INSERT INTO public.who_data VALUES (91476, 0, 0, 0, 0, 386, 133);
INSERT INTO public.who_data VALUES (91477, 0, 0, 0, 0, 386, 202);
INSERT INTO public.who_data VALUES (91478, 1, 10, 0, 0, 386, 129);
INSERT INTO public.who_data VALUES (91479, 0, 0, 0, 0, 386, 36);
INSERT INTO public.who_data VALUES (91480, 0, 0, 0, 0, 386, 51);
INSERT INTO public.who_data VALUES (91481, 0, 0, 0, 0, 386, 206);
INSERT INTO public.who_data VALUES (91482, 0, 0, 0, 0, 386, 5);
INSERT INTO public.who_data VALUES (91483, 0, 0, 0, 0, 387, 103);
INSERT INTO public.who_data VALUES (91484, 0, 0, 0, 0, 387, 58);
INSERT INTO public.who_data VALUES (91485, 0, 0, 0, 0, 387, 195);
INSERT INTO public.who_data VALUES (91486, 0, 0, 0, 0, 387, 115);
INSERT INTO public.who_data VALUES (91487, 0, 0, 0, 0, 387, 99);
INSERT INTO public.who_data VALUES (91488, 0, 0, 0, 0, 387, 153);
INSERT INTO public.who_data VALUES (91489, 0, 0, 0, 0, 387, 93);
INSERT INTO public.who_data VALUES (91490, 0, 0, 0, 0, 387, 84);
INSERT INTO public.who_data VALUES (91491, 0, 0, 0, 0, 387, 78);
INSERT INTO public.who_data VALUES (91492, 0, 0, 0, 0, 387, 170);
INSERT INTO public.who_data VALUES (91493, 0, 0, 0, 0, 387, 32);
INSERT INTO public.who_data VALUES (91494, 0, 13, 0, 0, 387, 155);
INSERT INTO public.who_data VALUES (91495, 0, 0, 0, 0, 387, 82);
INSERT INTO public.who_data VALUES (91496, 0, 0, 0, 0, 387, 16);
INSERT INTO public.who_data VALUES (91497, 0, 0, 0, 0, 387, 72);
INSERT INTO public.who_data VALUES (91498, 0, 0, 0, 0, 387, 43);
INSERT INTO public.who_data VALUES (91499, 0, 0, 0, 0, 387, 120);
INSERT INTO public.who_data VALUES (91500, 0, 0, 0, 0, 387, 213);
INSERT INTO public.who_data VALUES (91501, 0, 0, 0, 0, 387, 31);
INSERT INTO public.who_data VALUES (91502, 0, 0, 0, 0, 387, 204);
INSERT INTO public.who_data VALUES (91503, 0, 0, 0, 0, 387, 152);
INSERT INTO public.who_data VALUES (91504, 0, 0, 0, 0, 387, 144);
INSERT INTO public.who_data VALUES (91505, 0, 0, 0, 0, 387, 96);
INSERT INTO public.who_data VALUES (91506, 0, 0, 0, 0, 387, 47);
INSERT INTO public.who_data VALUES (91507, 0, 0, 0, 0, 387, 80);
INSERT INTO public.who_data VALUES (91508, 0, 0, 0, 0, 387, 159);
INSERT INTO public.who_data VALUES (91509, 0, 0, 0, 0, 387, 27);
INSERT INTO public.who_data VALUES (91510, 0, 0, 0, 0, 387, 146);
INSERT INTO public.who_data VALUES (91511, 0, 0, 0, 0, 387, 71);
INSERT INTO public.who_data VALUES (91512, 0, 0, 0, 0, 387, 210);
INSERT INTO public.who_data VALUES (91513, 0, 0, 0, 0, 387, 54);
INSERT INTO public.who_data VALUES (91514, 0, 0, 0, 0, 387, 147);
INSERT INTO public.who_data VALUES (91515, 0, 0, 0, 0, 387, 2);
INSERT INTO public.who_data VALUES (91516, 0, 0, 0, 0, 387, 105);
INSERT INTO public.who_data VALUES (91517, 0, 0, 0, 0, 387, 53);
INSERT INTO public.who_data VALUES (91518, 0, 5, 0, 0, 387, 81);
INSERT INTO public.who_data VALUES (91519, 0, 0, 0, 0, 387, 223);
INSERT INTO public.who_data VALUES (91520, 1, 8, 0, 0, 387, 94);
INSERT INTO public.who_data VALUES (91521, 0, 0, 0, 0, 387, 154);
INSERT INTO public.who_data VALUES (91522, 0, 0, 0, 0, 387, 83);
INSERT INTO public.who_data VALUES (91523, 0, 0, 0, 0, 387, 194);
INSERT INTO public.who_data VALUES (91524, 0, 0, 0, 0, 387, 136);
INSERT INTO public.who_data VALUES (91525, 1984, 9724, 43, 213, 387, 179);
INSERT INTO public.who_data VALUES (91526, 0, 0, 0, 0, 387, 57);
INSERT INTO public.who_data VALUES (91527, 0, 0, 0, 0, 387, 35);
INSERT INTO public.who_data VALUES (91528, 0, 0, 0, 0, 387, 228);
INSERT INTO public.who_data VALUES (91529, 0, 0, 0, 0, 387, 19);
INSERT INTO public.who_data VALUES (91530, 0, 0, 0, 0, 387, 22);
INSERT INTO public.who_data VALUES (91531, 0, 0, 0, 0, 387, 1);
INSERT INTO public.who_data VALUES (91532, 0, 0, 0, 0, 387, 21);
INSERT INTO public.who_data VALUES (91533, 0, 0, 0, 0, 387, 234);
INSERT INTO public.who_data VALUES (91534, 0, 0, 0, 0, 387, 91);
INSERT INTO public.who_data VALUES (91535, 0, 0, 0, 0, 387, 137);
INSERT INTO public.who_data VALUES (91536, 0, 0, 0, 0, 387, 201);
INSERT INTO public.who_data VALUES (91537, 0, 0, 0, 0, 387, 171);
INSERT INTO public.who_data VALUES (91538, 0, 0, 0, 0, 387, 92);
INSERT INTO public.who_data VALUES (91539, 0, 0, 0, 0, 387, 112);
INSERT INTO public.who_data VALUES (91540, 0, 0, 0, 0, 387, 62);
INSERT INTO public.who_data VALUES (91541, 0, 0, 0, 0, 387, 69);
INSERT INTO public.who_data VALUES (91542, 0, 0, 0, 0, 387, 220);
INSERT INTO public.who_data VALUES (91543, 0, 0, 0, 0, 387, 100);
INSERT INTO public.who_data VALUES (91544, 0, 0, 0, 0, 387, 187);
INSERT INTO public.who_data VALUES (91545, 0, 0, 0, 0, 387, 63);
INSERT INTO public.who_data VALUES (91546, 0, 0, 0, 0, 387, 28);
INSERT INTO public.who_data VALUES (91547, 0, 0, 0, 0, 387, 172);
INSERT INTO public.who_data VALUES (91548, 0, 0, 0, 0, 387, 17);
INSERT INTO public.who_data VALUES (91549, 0, 0, 0, 0, 387, 226);
INSERT INTO public.who_data VALUES (91550, 0, 0, 0, 0, 387, 236);
INSERT INTO public.who_data VALUES (91551, 0, 0, 0, 0, 387, 76);
INSERT INTO public.who_data VALUES (91552, 0, 0, 0, 0, 387, 30);
INSERT INTO public.who_data VALUES (91553, 0, 0, 0, 0, 387, 128);
INSERT INTO public.who_data VALUES (91554, 0, 1, 0, 0, 387, 86);
INSERT INTO public.who_data VALUES (91555, 1, 6, 0, 0, 387, 140);
INSERT INTO public.who_data VALUES (91556, 0, 0, 0, 0, 387, 44);
INSERT INTO public.who_data VALUES (91557, 0, 0, 0, 0, 387, 113);
INSERT INTO public.who_data VALUES (91558, 0, 0, 0, 0, 387, 29);
INSERT INTO public.who_data VALUES (91559, 0, 0, 0, 0, 387, 125);
INSERT INTO public.who_data VALUES (91560, 0, 0, 0, 0, 387, 131);
INSERT INTO public.who_data VALUES (91561, 1, 5, 0, 0, 387, 46);
INSERT INTO public.who_data VALUES (91562, 0, 0, 0, 0, 387, 10);
INSERT INTO public.who_data VALUES (91563, 0, 0, 0, 0, 387, 205);
INSERT INTO public.who_data VALUES (91564, 0, 0, 0, 0, 387, 50);
INSERT INTO public.who_data VALUES (91565, 0, 0, 0, 0, 387, 20);
INSERT INTO public.who_data VALUES (91566, 0, 0, 0, 0, 387, 13);
INSERT INTO public.who_data VALUES (91567, 0, 0, 0, 0, 387, 148);
INSERT INTO public.who_data VALUES (91568, 0, 0, 0, 0, 387, 230);
INSERT INTO public.who_data VALUES (91569, 0, 0, 0, 0, 387, 190);
INSERT INTO public.who_data VALUES (91570, 0, 0, 0, 0, 387, 188);
INSERT INTO public.who_data VALUES (91571, 0, 0, 0, 0, 387, 123);
INSERT INTO public.who_data VALUES (91572, 0, 0, 0, 0, 387, 9);
INSERT INTO public.who_data VALUES (91573, 0, 0, 0, 0, 387, 102);
INSERT INTO public.who_data VALUES (91574, 0, 0, 0, 0, 387, 34);
INSERT INTO public.who_data VALUES (91575, 0, 0, 0, 0, 387, 212);
INSERT INTO public.who_data VALUES (91576, 0, 0, 0, 0, 387, 122);
INSERT INTO public.who_data VALUES (91577, 0, 0, 0, 0, 387, 38);
INSERT INTO public.who_data VALUES (91578, 0, 0, 0, 0, 387, 130);
INSERT INTO public.who_data VALUES (91579, 0, 5, 0, 0, 387, 37);
INSERT INTO public.who_data VALUES (91580, 0, 0, 0, 0, 387, 231);
INSERT INTO public.who_data VALUES (91581, 0, 0, 0, 0, 387, 107);
INSERT INTO public.who_data VALUES (91582, 0, 0, 0, 0, 387, 101);
INSERT INTO public.who_data VALUES (91583, 0, 0, 0, 0, 387, 132);
INSERT INTO public.who_data VALUES (91584, 0, 0, 0, 0, 387, 176);
INSERT INTO public.who_data VALUES (91585, 0, 0, 0, 0, 387, 200);
INSERT INTO public.who_data VALUES (91586, 1, 3, 0, 0, 387, 169);
INSERT INTO public.who_data VALUES (91587, 0, 0, 0, 0, 387, 225);
INSERT INTO public.who_data VALUES (91588, 7, 21, 0, 0, 387, 165);
INSERT INTO public.who_data VALUES (91589, 0, 0, 0, 0, 387, 233);
INSERT INTO public.who_data VALUES (91590, 0, 0, 0, 0, 387, 215);
INSERT INTO public.who_data VALUES (91591, 0, 0, 0, 0, 387, 177);
INSERT INTO public.who_data VALUES (91592, 0, 0, 0, 0, 387, 183);
INSERT INTO public.who_data VALUES (91593, 0, 0, 0, 0, 387, 203);
INSERT INTO public.who_data VALUES (91594, 0, 0, 0, 0, 387, 162);
INSERT INTO public.who_data VALUES (91595, 0, 0, 0, 0, 387, 12);
INSERT INTO public.who_data VALUES (91596, 0, 0, 0, 0, 387, 24);
INSERT INTO public.who_data VALUES (91597, 0, 0, 0, 0, 387, 119);
INSERT INTO public.who_data VALUES (91598, 0, 0, 0, 0, 387, 39);
INSERT INTO public.who_data VALUES (91599, 0, 0, 0, 0, 387, 26);
INSERT INTO public.who_data VALUES (91600, 0, 0, 0, 0, 387, 59);
INSERT INTO public.who_data VALUES (91601, 0, 0, 0, 0, 387, 77);
INSERT INTO public.who_data VALUES (91602, 0, 0, 0, 0, 387, 134);
INSERT INTO public.who_data VALUES (91603, 0, 0, 0, 0, 387, 4);
INSERT INTO public.who_data VALUES (91604, 0, 0, 0, 0, 387, 109);
INSERT INTO public.who_data VALUES (91605, 0, 0, 0, 0, 387, 90);
INSERT INTO public.who_data VALUES (91606, 0, 0, 0, 0, 387, 61);
INSERT INTO public.who_data VALUES (91607, 0, 0, 0, 0, 387, 85);
INSERT INTO public.who_data VALUES (91608, 0, 12, 0, 0, 387, 49);
INSERT INTO public.who_data VALUES (91609, 0, 0, 0, 0, 387, 208);
INSERT INTO public.who_data VALUES (91610, 0, 0, 0, 0, 387, 166);
INSERT INTO public.who_data VALUES (91611, 0, 0, 0, 0, 387, 64);
INSERT INTO public.who_data VALUES (91612, 0, 0, 0, 0, 387, 199);
INSERT INTO public.who_data VALUES (91613, 0, 0, 0, 0, 387, 114);
INSERT INTO public.who_data VALUES (91614, 0, 0, 0, 0, 387, 60);
INSERT INTO public.who_data VALUES (91615, 0, 0, 0, 0, 387, 68);
INSERT INTO public.who_data VALUES (91616, 0, 0, 0, 0, 387, 158);
INSERT INTO public.who_data VALUES (91617, 0, 0, 0, 0, 387, 52);
INSERT INTO public.who_data VALUES (91618, 0, 0, 0, 0, 387, 117);
INSERT INTO public.who_data VALUES (91619, 0, 0, 0, 0, 387, 126);
INSERT INTO public.who_data VALUES (91620, 0, 0, 0, 0, 387, 196);
INSERT INTO public.who_data VALUES (91621, 0, 0, 0, 0, 387, 142);
INSERT INTO public.who_data VALUES (91622, 0, 0, 0, 0, 387, 185);
INSERT INTO public.who_data VALUES (91623, 0, 0, 0, 0, 387, 138);
INSERT INTO public.who_data VALUES (91624, 0, 0, 0, 0, 387, 181);
INSERT INTO public.who_data VALUES (91625, 0, 0, 0, 0, 387, 178);
INSERT INTO public.who_data VALUES (91626, 0, 0, 0, 0, 387, 168);
INSERT INTO public.who_data VALUES (91627, 0, 0, 0, 0, 387, 160);
INSERT INTO public.who_data VALUES (91628, 0, 5, 0, 0, 387, 151);
INSERT INTO public.who_data VALUES (91629, 0, 0, 0, 0, 387, 193);
INSERT INTO public.who_data VALUES (91630, 0, 0, 0, 0, 387, 18);
INSERT INTO public.who_data VALUES (91631, 0, 0, 0, 0, 387, 40);
INSERT INTO public.who_data VALUES (91632, 0, 0, 0, 0, 387, 218);
INSERT INTO public.who_data VALUES (91633, 0, 0, 0, 0, 387, 191);
INSERT INTO public.who_data VALUES (91634, 0, 0, 0, 0, 387, 156);
INSERT INTO public.who_data VALUES (91635, 0, 0, 0, 0, 387, 135);
INSERT INTO public.who_data VALUES (91636, 0, 0, 0, 0, 387, 88);
INSERT INTO public.who_data VALUES (91637, 0, 0, 0, 0, 387, 55);
INSERT INTO public.who_data VALUES (91638, 0, 0, 0, 0, 387, 108);
INSERT INTO public.who_data VALUES (91639, 0, 0, 0, 0, 387, 48);
INSERT INTO public.who_data VALUES (91640, 0, 0, 0, 0, 387, 3);
INSERT INTO public.who_data VALUES (91641, 0, 0, 0, 0, 387, 224);
INSERT INTO public.who_data VALUES (91642, 0, 0, 0, 0, 387, 110);
INSERT INTO public.who_data VALUES (91643, 0, 0, 0, 0, 387, 106);
INSERT INTO public.who_data VALUES (91644, 0, 0, 0, 0, 387, 89);
INSERT INTO public.who_data VALUES (91645, 0, 0, 0, 0, 387, 121);
INSERT INTO public.who_data VALUES (91646, 0, 0, 0, 0, 387, 163);
INSERT INTO public.who_data VALUES (91647, 0, 0, 0, 0, 387, 70);
INSERT INTO public.who_data VALUES (91648, 0, 5, 0, 0, 387, 174);
INSERT INTO public.who_data VALUES (91649, 0, 0, 0, 0, 387, 175);
INSERT INTO public.who_data VALUES (91650, 0, 0, 0, 0, 387, 118);
INSERT INTO public.who_data VALUES (91651, 0, 0, 0, 0, 387, 189);
INSERT INTO public.who_data VALUES (91652, 0, 0, 0, 0, 387, 124);
INSERT INTO public.who_data VALUES (91653, 0, 0, 0, 0, 387, 192);
INSERT INTO public.who_data VALUES (91654, 5, 15, 0, 0, 387, 41);
INSERT INTO public.who_data VALUES (91655, 0, 0, 0, 0, 387, 95);
INSERT INTO public.who_data VALUES (91656, 0, 0, 0, 0, 387, 74);
INSERT INTO public.who_data VALUES (91657, 0, 0, 0, 0, 387, 11);
INSERT INTO public.who_data VALUES (91658, 2, 2, 0, 0, 387, 87);
INSERT INTO public.who_data VALUES (91659, 0, 0, 0, 0, 387, 214);
INSERT INTO public.who_data VALUES (91660, 0, 0, 0, 0, 387, 116);
INSERT INTO public.who_data VALUES (91661, 0, 0, 0, 0, 387, 157);
INSERT INTO public.who_data VALUES (91662, 0, 0, 0, 0, 387, 182);
INSERT INTO public.who_data VALUES (91663, 0, 0, 0, 0, 387, 186);
INSERT INTO public.who_data VALUES (91664, 0, 0, 0, 0, 387, 127);
INSERT INTO public.who_data VALUES (91665, 0, 0, 0, 0, 387, 232);
INSERT INTO public.who_data VALUES (91666, 0, 0, 0, 0, 387, 33);
INSERT INTO public.who_data VALUES (91667, 0, 0, 0, 0, 387, 97);
INSERT INTO public.who_data VALUES (91668, 0, 0, 0, 0, 387, 42);
INSERT INTO public.who_data VALUES (91669, 0, 0, 0, 0, 387, 198);
INSERT INTO public.who_data VALUES (91670, 0, 0, 0, 0, 387, 216);
INSERT INTO public.who_data VALUES (91671, 0, 0, 0, 0, 387, 164);
INSERT INTO public.who_data VALUES (91672, 0, 0, 0, 0, 387, 235);
INSERT INTO public.who_data VALUES (91673, 0, 0, 0, 0, 387, 67);
INSERT INTO public.who_data VALUES (91674, 0, 0, 0, 0, 387, 15);
INSERT INTO public.who_data VALUES (91675, 0, 0, 0, 0, 387, 180);
INSERT INTO public.who_data VALUES (91676, 3, 20, 0, 0, 387, 237);
INSERT INTO public.who_data VALUES (91677, 0, 0, 0, 0, 387, 25);
INSERT INTO public.who_data VALUES (91678, 0, 0, 0, 0, 387, 209);
INSERT INTO public.who_data VALUES (91679, 0, 0, 0, 0, 387, 217);
INSERT INTO public.who_data VALUES (91680, 0, 0, 0, 0, 387, 79);
INSERT INTO public.who_data VALUES (91681, 0, 0, 0, 0, 387, 143);
INSERT INTO public.who_data VALUES (91682, 0, 0, 0, 0, 387, 229);
INSERT INTO public.who_data VALUES (91683, 0, 0, 0, 0, 387, 141);
INSERT INTO public.who_data VALUES (91684, 0, 0, 0, 0, 387, 197);
INSERT INTO public.who_data VALUES (91685, 0, 0, 0, 0, 387, 221);
INSERT INTO public.who_data VALUES (91686, 0, 5, 0, 0, 387, 150);
INSERT INTO public.who_data VALUES (91687, 0, 0, 0, 0, 387, 56);
INSERT INTO public.who_data VALUES (91688, 0, 0, 0, 0, 387, 167);
INSERT INTO public.who_data VALUES (91689, 1, 1, 0, 0, 387, 23);
INSERT INTO public.who_data VALUES (91690, 0, 0, 0, 0, 387, 222);
INSERT INTO public.who_data VALUES (91691, 0, 0, 0, 0, 387, 219);
INSERT INTO public.who_data VALUES (91692, 0, 0, 0, 0, 387, 7);
INSERT INTO public.who_data VALUES (91693, 5, 23, 0, 0, 387, 161);
INSERT INTO public.who_data VALUES (91694, 0, 0, 0, 0, 387, 149);
INSERT INTO public.who_data VALUES (91695, 0, 0, 0, 0, 387, 6);
INSERT INTO public.who_data VALUES (91696, 0, 0, 0, 0, 387, 139);
INSERT INTO public.who_data VALUES (91697, 0, 0, 0, 0, 387, 211);
INSERT INTO public.who_data VALUES (91698, 0, 0, 0, 0, 387, 14);
INSERT INTO public.who_data VALUES (91699, 0, 0, 0, 0, 387, 111);
INSERT INTO public.who_data VALUES (91700, 0, 0, 0, 0, 387, 207);
INSERT INTO public.who_data VALUES (91701, 0, 0, 0, 0, 387, 66);
INSERT INTO public.who_data VALUES (91702, 0, 0, 0, 0, 387, 173);
INSERT INTO public.who_data VALUES (91703, 0, 0, 0, 0, 387, 145);
INSERT INTO public.who_data VALUES (91704, 0, 0, 0, 0, 387, 65);
INSERT INTO public.who_data VALUES (91705, 0, 0, 0, 0, 387, 184);
INSERT INTO public.who_data VALUES (91706, 0, 0, 0, 0, 387, 98);
INSERT INTO public.who_data VALUES (91707, 0, 8, 0, 0, 387, 104);
INSERT INTO public.who_data VALUES (91708, 0, 0, 0, 0, 387, 73);
INSERT INTO public.who_data VALUES (91709, 1, 11, 0, 0, 387, 8);
INSERT INTO public.who_data VALUES (91710, 0, 0, 0, 0, 387, 227);
INSERT INTO public.who_data VALUES (91711, 0, 0, 0, 0, 387, 75);
INSERT INTO public.who_data VALUES (91712, 0, 0, 0, 0, 387, 45);
INSERT INTO public.who_data VALUES (91713, 0, 0, 0, 0, 387, 133);
INSERT INTO public.who_data VALUES (91714, 0, 0, 0, 0, 387, 202);
INSERT INTO public.who_data VALUES (91715, 0, 9, 0, 0, 387, 129);
INSERT INTO public.who_data VALUES (91716, 0, 0, 0, 0, 387, 36);
INSERT INTO public.who_data VALUES (91717, 0, 0, 0, 0, 387, 51);
INSERT INTO public.who_data VALUES (91718, 0, 0, 0, 0, 387, 206);
INSERT INTO public.who_data VALUES (91719, 0, 0, 0, 0, 387, 5);
INSERT INTO public.who_data VALUES (91720, 0, 0, 0, 0, 388, 103);
INSERT INTO public.who_data VALUES (91721, 0, 0, 0, 0, 388, 58);
INSERT INTO public.who_data VALUES (91722, 0, 0, 0, 0, 388, 195);
INSERT INTO public.who_data VALUES (91723, 0, 0, 0, 0, 388, 115);
INSERT INTO public.who_data VALUES (91724, 0, 0, 0, 0, 388, 99);
INSERT INTO public.who_data VALUES (91725, 0, 0, 0, 0, 388, 153);
INSERT INTO public.who_data VALUES (91726, 0, 0, 0, 0, 388, 93);
INSERT INTO public.who_data VALUES (91727, 0, 0, 0, 0, 388, 84);
INSERT INTO public.who_data VALUES (91728, 0, 0, 0, 0, 388, 78);
INSERT INTO public.who_data VALUES (91729, 0, 0, 0, 0, 388, 170);
INSERT INTO public.who_data VALUES (91730, 0, 0, 0, 0, 388, 32);
INSERT INTO public.who_data VALUES (91731, 2, 13, 0, 0, 388, 155);
INSERT INTO public.who_data VALUES (91732, 0, 0, 0, 0, 388, 82);
INSERT INTO public.who_data VALUES (91733, 0, 0, 0, 0, 388, 16);
INSERT INTO public.who_data VALUES (91734, 0, 0, 0, 0, 388, 72);
INSERT INTO public.who_data VALUES (91735, 0, 0, 0, 0, 388, 43);
INSERT INTO public.who_data VALUES (91736, 0, 0, 0, 0, 388, 120);
INSERT INTO public.who_data VALUES (91737, 0, 0, 0, 0, 388, 213);
INSERT INTO public.who_data VALUES (91738, 0, 0, 0, 0, 388, 31);
INSERT INTO public.who_data VALUES (91739, 0, 0, 0, 0, 388, 204);
INSERT INTO public.who_data VALUES (91740, 0, 0, 0, 0, 388, 152);
INSERT INTO public.who_data VALUES (91741, 0, 0, 0, 0, 388, 144);
INSERT INTO public.who_data VALUES (91742, 0, 0, 0, 0, 388, 96);
INSERT INTO public.who_data VALUES (91743, 0, 0, 0, 0, 388, 47);
INSERT INTO public.who_data VALUES (91744, 0, 0, 0, 0, 388, 80);
INSERT INTO public.who_data VALUES (91745, 0, 0, 0, 0, 388, 159);
INSERT INTO public.who_data VALUES (91746, 0, 0, 0, 0, 388, 27);
INSERT INTO public.who_data VALUES (91747, 0, 0, 0, 0, 388, 146);
INSERT INTO public.who_data VALUES (91748, 0, 0, 0, 0, 388, 71);
INSERT INTO public.who_data VALUES (91749, 0, 0, 0, 0, 388, 210);
INSERT INTO public.who_data VALUES (91750, 0, 0, 0, 0, 388, 54);
INSERT INTO public.who_data VALUES (91751, 0, 0, 0, 0, 388, 147);
INSERT INTO public.who_data VALUES (91752, 0, 0, 0, 0, 388, 2);
INSERT INTO public.who_data VALUES (91753, 0, 0, 0, 0, 388, 105);
INSERT INTO public.who_data VALUES (91754, 0, 0, 0, 0, 388, 53);
INSERT INTO public.who_data VALUES (91755, 0, 5, 0, 0, 388, 81);
INSERT INTO public.who_data VALUES (91756, 0, 0, 0, 0, 388, 223);
INSERT INTO public.who_data VALUES (91757, 0, 7, 0, 0, 388, 94);
INSERT INTO public.who_data VALUES (91758, 0, 0, 0, 0, 388, 154);
INSERT INTO public.who_data VALUES (91759, 0, 0, 0, 0, 388, 83);
INSERT INTO public.who_data VALUES (91760, 0, 0, 0, 0, 388, 194);
INSERT INTO public.who_data VALUES (91761, 0, 0, 0, 0, 388, 136);
INSERT INTO public.who_data VALUES (91762, 1741, 7740, 38, 170, 388, 179);
INSERT INTO public.who_data VALUES (91763, 0, 0, 0, 0, 388, 57);
INSERT INTO public.who_data VALUES (91764, 0, 0, 0, 0, 388, 35);
INSERT INTO public.who_data VALUES (91765, 0, 0, 0, 0, 388, 228);
INSERT INTO public.who_data VALUES (91766, 0, 0, 0, 0, 388, 19);
INSERT INTO public.who_data VALUES (91767, 0, 0, 0, 0, 388, 22);
INSERT INTO public.who_data VALUES (91768, 0, 0, 0, 0, 388, 1);
INSERT INTO public.who_data VALUES (91769, 0, 0, 0, 0, 388, 21);
INSERT INTO public.who_data VALUES (91770, 0, 0, 0, 0, 388, 234);
INSERT INTO public.who_data VALUES (91771, 0, 0, 0, 0, 388, 91);
INSERT INTO public.who_data VALUES (91772, 0, 0, 0, 0, 388, 137);
INSERT INTO public.who_data VALUES (91773, 0, 0, 0, 0, 388, 201);
INSERT INTO public.who_data VALUES (91774, 0, 0, 0, 0, 388, 171);
INSERT INTO public.who_data VALUES (91775, 0, 0, 0, 0, 388, 92);
INSERT INTO public.who_data VALUES (91776, 0, 0, 0, 0, 388, 112);
INSERT INTO public.who_data VALUES (91777, 0, 0, 0, 0, 388, 62);
INSERT INTO public.who_data VALUES (91778, 0, 0, 0, 0, 388, 69);
INSERT INTO public.who_data VALUES (91779, 0, 0, 0, 0, 388, 220);
INSERT INTO public.who_data VALUES (91780, 0, 0, 0, 0, 388, 100);
INSERT INTO public.who_data VALUES (91781, 0, 0, 0, 0, 388, 187);
INSERT INTO public.who_data VALUES (91782, 0, 0, 0, 0, 388, 63);
INSERT INTO public.who_data VALUES (91783, 0, 0, 0, 0, 388, 28);
INSERT INTO public.who_data VALUES (91784, 0, 0, 0, 0, 388, 172);
INSERT INTO public.who_data VALUES (91785, 0, 0, 0, 0, 388, 17);
INSERT INTO public.who_data VALUES (91786, 0, 0, 0, 0, 388, 226);
INSERT INTO public.who_data VALUES (91787, 0, 0, 0, 0, 388, 236);
INSERT INTO public.who_data VALUES (91788, 0, 0, 0, 0, 388, 76);
INSERT INTO public.who_data VALUES (91789, 0, 0, 0, 0, 388, 30);
INSERT INTO public.who_data VALUES (91790, 0, 0, 0, 0, 388, 128);
INSERT INTO public.who_data VALUES (91791, 0, 1, 0, 0, 388, 86);
INSERT INTO public.who_data VALUES (91792, 1, 5, 0, 0, 388, 140);
INSERT INTO public.who_data VALUES (91793, 0, 0, 0, 0, 388, 44);
INSERT INTO public.who_data VALUES (91794, 0, 0, 0, 0, 388, 113);
INSERT INTO public.who_data VALUES (91795, 0, 0, 0, 0, 388, 29);
INSERT INTO public.who_data VALUES (91796, 0, 0, 0, 0, 388, 125);
INSERT INTO public.who_data VALUES (91797, 0, 0, 0, 0, 388, 131);
INSERT INTO public.who_data VALUES (91798, 0, 4, 0, 0, 388, 46);
INSERT INTO public.who_data VALUES (91799, 0, 0, 0, 0, 388, 10);
INSERT INTO public.who_data VALUES (91800, 0, 0, 0, 0, 388, 205);
INSERT INTO public.who_data VALUES (91801, 0, 0, 0, 0, 388, 50);
INSERT INTO public.who_data VALUES (91802, 0, 0, 0, 0, 388, 20);
INSERT INTO public.who_data VALUES (91803, 0, 0, 0, 0, 388, 13);
INSERT INTO public.who_data VALUES (91804, 0, 0, 0, 0, 388, 148);
INSERT INTO public.who_data VALUES (91805, 0, 0, 0, 0, 388, 230);
INSERT INTO public.who_data VALUES (91806, 0, 0, 0, 0, 388, 190);
INSERT INTO public.who_data VALUES (91807, 0, 0, 0, 0, 388, 188);
INSERT INTO public.who_data VALUES (91808, 0, 0, 0, 0, 388, 123);
INSERT INTO public.who_data VALUES (91809, 0, 0, 0, 0, 388, 9);
INSERT INTO public.who_data VALUES (91810, 0, 0, 0, 0, 388, 102);
INSERT INTO public.who_data VALUES (91811, 0, 0, 0, 0, 388, 34);
INSERT INTO public.who_data VALUES (91812, 0, 0, 0, 0, 388, 212);
INSERT INTO public.who_data VALUES (91813, 0, 0, 0, 0, 388, 122);
INSERT INTO public.who_data VALUES (91814, 0, 0, 0, 0, 388, 38);
INSERT INTO public.who_data VALUES (91815, 0, 0, 0, 0, 388, 130);
INSERT INTO public.who_data VALUES (91816, 5, 5, 0, 0, 388, 37);
INSERT INTO public.who_data VALUES (91817, 0, 0, 0, 0, 388, 231);
INSERT INTO public.who_data VALUES (91818, 0, 0, 0, 0, 388, 107);
INSERT INTO public.who_data VALUES (91819, 0, 0, 0, 0, 388, 101);
INSERT INTO public.who_data VALUES (91820, 0, 0, 0, 0, 388, 132);
INSERT INTO public.who_data VALUES (91821, 0, 0, 0, 0, 388, 176);
INSERT INTO public.who_data VALUES (91822, 0, 0, 0, 0, 388, 200);
INSERT INTO public.who_data VALUES (91823, 0, 2, 0, 0, 388, 169);
INSERT INTO public.who_data VALUES (91824, 0, 0, 0, 0, 388, 225);
INSERT INTO public.who_data VALUES (91825, 6, 14, 0, 0, 388, 165);
INSERT INTO public.who_data VALUES (91826, 0, 0, 0, 0, 388, 233);
INSERT INTO public.who_data VALUES (91827, 0, 0, 0, 0, 388, 215);
INSERT INTO public.who_data VALUES (91828, 0, 0, 0, 0, 388, 177);
INSERT INTO public.who_data VALUES (91829, 0, 0, 0, 0, 388, 183);
INSERT INTO public.who_data VALUES (91830, 0, 0, 0, 0, 388, 203);
INSERT INTO public.who_data VALUES (91831, 0, 0, 0, 0, 388, 162);
INSERT INTO public.who_data VALUES (91832, 0, 0, 0, 0, 388, 12);
INSERT INTO public.who_data VALUES (91833, 0, 0, 0, 0, 388, 24);
INSERT INTO public.who_data VALUES (91834, 0, 0, 0, 0, 388, 119);
INSERT INTO public.who_data VALUES (91835, 0, 0, 0, 0, 388, 39);
INSERT INTO public.who_data VALUES (91836, 0, 0, 0, 0, 388, 26);
INSERT INTO public.who_data VALUES (91837, 0, 0, 0, 0, 388, 59);
INSERT INTO public.who_data VALUES (91838, 0, 0, 0, 0, 388, 77);
INSERT INTO public.who_data VALUES (91839, 0, 0, 0, 0, 388, 134);
INSERT INTO public.who_data VALUES (91840, 0, 0, 0, 0, 388, 4);
INSERT INTO public.who_data VALUES (91841, 0, 0, 0, 0, 388, 109);
INSERT INTO public.who_data VALUES (91842, 0, 0, 0, 0, 388, 90);
INSERT INTO public.who_data VALUES (91843, 0, 0, 0, 0, 388, 61);
INSERT INTO public.who_data VALUES (91844, 0, 0, 0, 0, 388, 85);
INSERT INTO public.who_data VALUES (91845, 1, 12, 0, 0, 388, 49);
INSERT INTO public.who_data VALUES (91846, 0, 0, 0, 0, 388, 208);
INSERT INTO public.who_data VALUES (91847, 0, 0, 0, 0, 388, 166);
INSERT INTO public.who_data VALUES (91848, 0, 0, 0, 0, 388, 64);
INSERT INTO public.who_data VALUES (91849, 0, 0, 0, 0, 388, 199);
INSERT INTO public.who_data VALUES (91850, 0, 0, 0, 0, 388, 114);
INSERT INTO public.who_data VALUES (91851, 0, 0, 0, 0, 388, 60);
INSERT INTO public.who_data VALUES (91852, 0, 0, 0, 0, 388, 68);
INSERT INTO public.who_data VALUES (91853, 0, 0, 0, 0, 388, 158);
INSERT INTO public.who_data VALUES (91854, 0, 0, 0, 0, 388, 52);
INSERT INTO public.who_data VALUES (91855, 0, 0, 0, 0, 388, 117);
INSERT INTO public.who_data VALUES (91856, 0, 0, 0, 0, 388, 126);
INSERT INTO public.who_data VALUES (91857, 0, 0, 0, 0, 388, 196);
INSERT INTO public.who_data VALUES (91858, 0, 0, 0, 0, 388, 142);
INSERT INTO public.who_data VALUES (91859, 0, 0, 0, 0, 388, 185);
INSERT INTO public.who_data VALUES (91860, 0, 0, 0, 0, 388, 138);
INSERT INTO public.who_data VALUES (91861, 0, 0, 0, 0, 388, 181);
INSERT INTO public.who_data VALUES (91862, 0, 0, 0, 0, 388, 178);
INSERT INTO public.who_data VALUES (91863, 0, 0, 0, 0, 388, 168);
INSERT INTO public.who_data VALUES (91864, 0, 0, 0, 0, 388, 160);
INSERT INTO public.who_data VALUES (91865, 0, 5, 0, 0, 388, 151);
INSERT INTO public.who_data VALUES (91866, 0, 0, 0, 0, 388, 193);
INSERT INTO public.who_data VALUES (91867, 0, 0, 0, 0, 388, 18);
INSERT INTO public.who_data VALUES (91868, 0, 0, 0, 0, 388, 40);
INSERT INTO public.who_data VALUES (91869, 0, 0, 0, 0, 388, 218);
INSERT INTO public.who_data VALUES (91870, 0, 0, 0, 0, 388, 191);
INSERT INTO public.who_data VALUES (91871, 0, 0, 0, 0, 388, 156);
INSERT INTO public.who_data VALUES (91872, 0, 0, 0, 0, 388, 135);
INSERT INTO public.who_data VALUES (91873, 0, 0, 0, 0, 388, 88);
INSERT INTO public.who_data VALUES (91874, 0, 0, 0, 0, 388, 55);
INSERT INTO public.who_data VALUES (91875, 0, 0, 0, 0, 388, 108);
INSERT INTO public.who_data VALUES (91876, 0, 0, 0, 0, 388, 48);
INSERT INTO public.who_data VALUES (91877, 0, 0, 0, 0, 388, 3);
INSERT INTO public.who_data VALUES (91878, 0, 0, 0, 0, 388, 224);
INSERT INTO public.who_data VALUES (91879, 0, 0, 0, 0, 388, 110);
INSERT INTO public.who_data VALUES (91880, 0, 0, 0, 0, 388, 106);
INSERT INTO public.who_data VALUES (91881, 0, 0, 0, 0, 388, 89);
INSERT INTO public.who_data VALUES (91882, 0, 0, 0, 0, 388, 121);
INSERT INTO public.who_data VALUES (91883, 0, 0, 0, 0, 388, 163);
INSERT INTO public.who_data VALUES (91884, 0, 0, 0, 0, 388, 70);
INSERT INTO public.who_data VALUES (91885, 5, 5, 0, 0, 388, 174);
INSERT INTO public.who_data VALUES (91886, 0, 0, 0, 0, 388, 175);
INSERT INTO public.who_data VALUES (91887, 0, 0, 0, 0, 388, 118);
INSERT INTO public.who_data VALUES (91888, 0, 0, 0, 0, 388, 189);
INSERT INTO public.who_data VALUES (91889, 0, 0, 0, 0, 388, 124);
INSERT INTO public.who_data VALUES (91890, 0, 0, 0, 0, 388, 192);
INSERT INTO public.who_data VALUES (91891, 2, 10, 0, 0, 388, 41);
INSERT INTO public.who_data VALUES (91892, 0, 0, 0, 0, 388, 95);
INSERT INTO public.who_data VALUES (91893, 0, 0, 0, 0, 388, 74);
INSERT INTO public.who_data VALUES (91894, 0, 0, 0, 0, 388, 11);
INSERT INTO public.who_data VALUES (91895, 0, 0, 0, 0, 388, 87);
INSERT INTO public.who_data VALUES (91896, 0, 0, 0, 0, 388, 214);
INSERT INTO public.who_data VALUES (91897, 0, 0, 0, 0, 388, 116);
INSERT INTO public.who_data VALUES (91898, 0, 0, 0, 0, 388, 157);
INSERT INTO public.who_data VALUES (91899, 0, 0, 0, 0, 388, 182);
INSERT INTO public.who_data VALUES (91900, 0, 0, 0, 0, 388, 186);
INSERT INTO public.who_data VALUES (91901, 0, 0, 0, 0, 388, 127);
INSERT INTO public.who_data VALUES (91902, 0, 0, 0, 0, 388, 232);
INSERT INTO public.who_data VALUES (91903, 0, 0, 0, 0, 388, 33);
INSERT INTO public.who_data VALUES (91904, 0, 0, 0, 0, 388, 97);
INSERT INTO public.who_data VALUES (91905, 0, 0, 0, 0, 388, 42);
INSERT INTO public.who_data VALUES (91906, 0, 0, 0, 0, 388, 198);
INSERT INTO public.who_data VALUES (91907, 0, 0, 0, 0, 388, 216);
INSERT INTO public.who_data VALUES (91908, 0, 0, 0, 0, 388, 164);
INSERT INTO public.who_data VALUES (91909, 0, 0, 0, 0, 388, 235);
INSERT INTO public.who_data VALUES (91910, 0, 0, 0, 0, 388, 67);
INSERT INTO public.who_data VALUES (91911, 0, 0, 0, 0, 388, 15);
INSERT INTO public.who_data VALUES (91912, 0, 0, 0, 0, 388, 180);
INSERT INTO public.who_data VALUES (91913, 3, 17, 0, 0, 388, 237);
INSERT INTO public.who_data VALUES (91914, 0, 0, 0, 0, 388, 25);
INSERT INTO public.who_data VALUES (91915, 0, 0, 0, 0, 388, 209);
INSERT INTO public.who_data VALUES (91916, 0, 0, 0, 0, 388, 217);
INSERT INTO public.who_data VALUES (91917, 0, 0, 0, 0, 388, 79);
INSERT INTO public.who_data VALUES (91918, 0, 0, 0, 0, 388, 143);
INSERT INTO public.who_data VALUES (91919, 0, 0, 0, 0, 388, 229);
INSERT INTO public.who_data VALUES (91920, 0, 0, 0, 0, 388, 141);
INSERT INTO public.who_data VALUES (91921, 0, 0, 0, 0, 388, 197);
INSERT INTO public.who_data VALUES (91922, 0, 0, 0, 0, 388, 221);
INSERT INTO public.who_data VALUES (91923, 0, 5, 0, 0, 388, 150);
INSERT INTO public.who_data VALUES (91924, 0, 0, 0, 0, 388, 56);
INSERT INTO public.who_data VALUES (91925, 0, 0, 0, 0, 388, 167);
INSERT INTO public.who_data VALUES (91926, 0, 0, 0, 0, 388, 23);
INSERT INTO public.who_data VALUES (91927, 0, 0, 0, 0, 388, 222);
INSERT INTO public.who_data VALUES (91928, 0, 0, 0, 0, 388, 219);
INSERT INTO public.who_data VALUES (91929, 0, 0, 0, 0, 388, 7);
INSERT INTO public.who_data VALUES (91930, 0, 18, 0, 0, 388, 161);
INSERT INTO public.who_data VALUES (91931, 0, 0, 0, 0, 388, 149);
INSERT INTO public.who_data VALUES (91932, 0, 0, 0, 0, 388, 6);
INSERT INTO public.who_data VALUES (91933, 0, 0, 0, 0, 388, 139);
INSERT INTO public.who_data VALUES (91934, 0, 0, 0, 0, 388, 211);
INSERT INTO public.who_data VALUES (91935, 0, 0, 0, 0, 388, 14);
INSERT INTO public.who_data VALUES (91936, 0, 0, 0, 0, 388, 111);
INSERT INTO public.who_data VALUES (91937, 0, 0, 0, 0, 388, 207);
INSERT INTO public.who_data VALUES (91938, 0, 0, 0, 0, 388, 66);
INSERT INTO public.who_data VALUES (91939, 0, 0, 0, 0, 388, 173);
INSERT INTO public.who_data VALUES (91940, 0, 0, 0, 0, 388, 145);
INSERT INTO public.who_data VALUES (91941, 0, 0, 0, 0, 388, 65);
INSERT INTO public.who_data VALUES (91942, 0, 0, 0, 0, 388, 184);
INSERT INTO public.who_data VALUES (91943, 0, 0, 0, 0, 388, 98);
INSERT INTO public.who_data VALUES (91944, 0, 8, 0, 0, 388, 104);
INSERT INTO public.who_data VALUES (91945, 0, 0, 0, 0, 388, 73);
INSERT INTO public.who_data VALUES (91946, 1, 10, 0, 0, 388, 8);
INSERT INTO public.who_data VALUES (91947, 0, 0, 0, 0, 388, 227);
INSERT INTO public.who_data VALUES (91948, 0, 0, 0, 0, 388, 75);
INSERT INTO public.who_data VALUES (91949, 0, 0, 0, 0, 388, 45);
INSERT INTO public.who_data VALUES (91950, 0, 0, 0, 0, 388, 133);
INSERT INTO public.who_data VALUES (91951, 0, 0, 0, 0, 388, 202);
INSERT INTO public.who_data VALUES (91952, 3, 9, 0, 0, 388, 129);
INSERT INTO public.who_data VALUES (91953, 0, 0, 0, 0, 388, 36);
INSERT INTO public.who_data VALUES (91954, 0, 0, 0, 0, 388, 51);
INSERT INTO public.who_data VALUES (91955, 0, 0, 0, 0, 388, 206);
INSERT INTO public.who_data VALUES (91956, 0, 0, 0, 0, 388, 5);
INSERT INTO public.who_data VALUES (91957, 0, 0, 0, 0, 389, 103);
INSERT INTO public.who_data VALUES (91958, 0, 0, 0, 0, 389, 58);
INSERT INTO public.who_data VALUES (91959, 0, 0, 0, 0, 389, 195);
INSERT INTO public.who_data VALUES (91960, 0, 0, 0, 0, 389, 115);
INSERT INTO public.who_data VALUES (91961, 0, 0, 0, 0, 389, 99);
INSERT INTO public.who_data VALUES (91962, 0, 0, 0, 0, 389, 153);
INSERT INTO public.who_data VALUES (91963, 0, 0, 0, 0, 389, 93);
INSERT INTO public.who_data VALUES (91964, 0, 0, 0, 0, 389, 84);
INSERT INTO public.who_data VALUES (91965, 0, 0, 0, 0, 389, 78);
INSERT INTO public.who_data VALUES (91966, 0, 0, 0, 0, 389, 170);
INSERT INTO public.who_data VALUES (91967, 0, 0, 0, 0, 389, 32);
INSERT INTO public.who_data VALUES (91968, 2, 11, 0, 0, 389, 155);
INSERT INTO public.who_data VALUES (91969, 0, 0, 0, 0, 389, 82);
INSERT INTO public.who_data VALUES (91970, 0, 0, 0, 0, 389, 16);
INSERT INTO public.who_data VALUES (91971, 0, 0, 0, 0, 389, 72);
INSERT INTO public.who_data VALUES (91972, 0, 0, 0, 0, 389, 43);
INSERT INTO public.who_data VALUES (91973, 0, 0, 0, 0, 389, 120);
INSERT INTO public.who_data VALUES (91974, 0, 0, 0, 0, 389, 213);
INSERT INTO public.who_data VALUES (91975, 0, 0, 0, 0, 389, 31);
INSERT INTO public.who_data VALUES (91976, 0, 0, 0, 0, 389, 204);
INSERT INTO public.who_data VALUES (91977, 0, 0, 0, 0, 389, 152);
INSERT INTO public.who_data VALUES (91978, 0, 0, 0, 0, 389, 144);
INSERT INTO public.who_data VALUES (91979, 0, 0, 0, 0, 389, 96);
INSERT INTO public.who_data VALUES (91980, 0, 0, 0, 0, 389, 47);
INSERT INTO public.who_data VALUES (91981, 0, 0, 0, 0, 389, 80);
INSERT INTO public.who_data VALUES (91982, 0, 0, 0, 0, 389, 159);
INSERT INTO public.who_data VALUES (91983, 0, 0, 0, 0, 389, 27);
INSERT INTO public.who_data VALUES (91984, 0, 0, 0, 0, 389, 146);
INSERT INTO public.who_data VALUES (91985, 0, 0, 0, 0, 389, 71);
INSERT INTO public.who_data VALUES (91986, 0, 0, 0, 0, 389, 210);
INSERT INTO public.who_data VALUES (91987, 0, 0, 0, 0, 389, 54);
INSERT INTO public.who_data VALUES (91988, 0, 0, 0, 0, 389, 147);
INSERT INTO public.who_data VALUES (91989, 0, 0, 0, 0, 389, 2);
INSERT INTO public.who_data VALUES (91990, 0, 0, 0, 0, 389, 105);
INSERT INTO public.who_data VALUES (91991, 0, 0, 0, 0, 389, 53);
INSERT INTO public.who_data VALUES (91992, 0, 5, 0, 0, 389, 81);
INSERT INTO public.who_data VALUES (91993, 0, 0, 0, 0, 389, 223);
INSERT INTO public.who_data VALUES (91994, 0, 7, 0, 0, 389, 94);
INSERT INTO public.who_data VALUES (91995, 0, 0, 0, 0, 389, 154);
INSERT INTO public.who_data VALUES (91996, 0, 0, 0, 0, 389, 83);
INSERT INTO public.who_data VALUES (91997, 0, 0, 0, 0, 389, 194);
INSERT INTO public.who_data VALUES (91998, 0, 0, 0, 0, 389, 136);
INSERT INTO public.who_data VALUES (91999, 1462, 5999, 26, 132, 389, 179);
INSERT INTO public.who_data VALUES (92000, 0, 0, 0, 0, 389, 57);
INSERT INTO public.who_data VALUES (92001, 0, 0, 0, 0, 389, 35);
INSERT INTO public.who_data VALUES (92002, 0, 0, 0, 0, 389, 228);
INSERT INTO public.who_data VALUES (92003, 0, 0, 0, 0, 389, 19);
INSERT INTO public.who_data VALUES (92004, 0, 0, 0, 0, 389, 22);
INSERT INTO public.who_data VALUES (92005, 0, 0, 0, 0, 389, 1);
INSERT INTO public.who_data VALUES (92006, 0, 0, 0, 0, 389, 21);
INSERT INTO public.who_data VALUES (92007, 0, 0, 0, 0, 389, 234);
INSERT INTO public.who_data VALUES (92008, 0, 0, 0, 0, 389, 91);
INSERT INTO public.who_data VALUES (92009, 0, 0, 0, 0, 389, 137);
INSERT INTO public.who_data VALUES (92010, 0, 0, 0, 0, 389, 201);
INSERT INTO public.who_data VALUES (92011, 0, 0, 0, 0, 389, 171);
INSERT INTO public.who_data VALUES (92012, 0, 0, 0, 0, 389, 92);
INSERT INTO public.who_data VALUES (92013, 0, 0, 0, 0, 389, 112);
INSERT INTO public.who_data VALUES (92014, 0, 0, 0, 0, 389, 62);
INSERT INTO public.who_data VALUES (92015, 0, 0, 0, 0, 389, 69);
INSERT INTO public.who_data VALUES (92016, 0, 0, 0, 0, 389, 220);
INSERT INTO public.who_data VALUES (92017, 0, 0, 0, 0, 389, 100);
INSERT INTO public.who_data VALUES (92018, 0, 0, 0, 0, 389, 187);
INSERT INTO public.who_data VALUES (92019, 0, 0, 0, 0, 389, 63);
INSERT INTO public.who_data VALUES (92020, 0, 0, 0, 0, 389, 28);
INSERT INTO public.who_data VALUES (92021, 0, 0, 0, 0, 389, 172);
INSERT INTO public.who_data VALUES (92022, 0, 0, 0, 0, 389, 17);
INSERT INTO public.who_data VALUES (92023, 0, 0, 0, 0, 389, 226);
INSERT INTO public.who_data VALUES (92024, 0, 0, 0, 0, 389, 236);
INSERT INTO public.who_data VALUES (92025, 0, 0, 0, 0, 389, 76);
INSERT INTO public.who_data VALUES (92026, 0, 0, 0, 0, 389, 30);
INSERT INTO public.who_data VALUES (92027, 0, 0, 0, 0, 389, 128);
INSERT INTO public.who_data VALUES (92028, 1, 1, 0, 0, 389, 86);
INSERT INTO public.who_data VALUES (92029, 1, 4, 0, 0, 389, 140);
INSERT INTO public.who_data VALUES (92030, 0, 0, 0, 0, 389, 44);
INSERT INTO public.who_data VALUES (92031, 0, 0, 0, 0, 389, 113);
INSERT INTO public.who_data VALUES (92032, 0, 0, 0, 0, 389, 29);
INSERT INTO public.who_data VALUES (92033, 0, 0, 0, 0, 389, 125);
INSERT INTO public.who_data VALUES (92034, 0, 0, 0, 0, 389, 131);
INSERT INTO public.who_data VALUES (92035, 3, 4, 0, 0, 389, 46);
INSERT INTO public.who_data VALUES (92036, 0, 0, 0, 0, 389, 10);
INSERT INTO public.who_data VALUES (92037, 0, 0, 0, 0, 389, 205);
INSERT INTO public.who_data VALUES (92038, 0, 0, 0, 0, 389, 50);
INSERT INTO public.who_data VALUES (92039, 0, 0, 0, 0, 389, 20);
INSERT INTO public.who_data VALUES (92040, 0, 0, 0, 0, 389, 13);
INSERT INTO public.who_data VALUES (92041, 0, 0, 0, 0, 389, 148);
INSERT INTO public.who_data VALUES (92042, 0, 0, 0, 0, 389, 230);
INSERT INTO public.who_data VALUES (92043, 0, 0, 0, 0, 389, 190);
INSERT INTO public.who_data VALUES (92044, 0, 0, 0, 0, 389, 188);
INSERT INTO public.who_data VALUES (92045, 0, 0, 0, 0, 389, 123);
INSERT INTO public.who_data VALUES (92046, 0, 0, 0, 0, 389, 9);
INSERT INTO public.who_data VALUES (92047, 0, 0, 0, 0, 389, 102);
INSERT INTO public.who_data VALUES (92048, 0, 0, 0, 0, 389, 34);
INSERT INTO public.who_data VALUES (92049, 0, 0, 0, 0, 389, 212);
INSERT INTO public.who_data VALUES (92050, 0, 0, 0, 0, 389, 122);
INSERT INTO public.who_data VALUES (92051, 0, 0, 0, 0, 389, 38);
INSERT INTO public.who_data VALUES (92052, 0, 0, 0, 0, 389, 130);
INSERT INTO public.who_data VALUES (92053, 0, 0, 0, 0, 389, 37);
INSERT INTO public.who_data VALUES (92054, 0, 0, 0, 0, 389, 231);
INSERT INTO public.who_data VALUES (92055, 0, 0, 0, 0, 389, 107);
INSERT INTO public.who_data VALUES (92056, 0, 0, 0, 0, 389, 101);
INSERT INTO public.who_data VALUES (92057, 0, 0, 0, 0, 389, 132);
INSERT INTO public.who_data VALUES (92058, 0, 0, 0, 0, 389, 176);
INSERT INTO public.who_data VALUES (92059, 0, 0, 0, 0, 389, 200);
INSERT INTO public.who_data VALUES (92060, 2, 2, 0, 0, 389, 169);
INSERT INTO public.who_data VALUES (92061, 0, 0, 0, 0, 389, 225);
INSERT INTO public.who_data VALUES (92062, 0, 8, 0, 0, 389, 165);
INSERT INTO public.who_data VALUES (92063, 0, 0, 0, 0, 389, 233);
INSERT INTO public.who_data VALUES (92064, 0, 0, 0, 0, 389, 215);
INSERT INTO public.who_data VALUES (92065, 0, 0, 0, 0, 389, 177);
INSERT INTO public.who_data VALUES (92066, 0, 0, 0, 0, 389, 183);
INSERT INTO public.who_data VALUES (92067, 0, 0, 0, 0, 389, 203);
INSERT INTO public.who_data VALUES (92068, 0, 0, 0, 0, 389, 162);
INSERT INTO public.who_data VALUES (92069, 0, 0, 0, 0, 389, 12);
INSERT INTO public.who_data VALUES (92070, 0, 0, 0, 0, 389, 24);
INSERT INTO public.who_data VALUES (92071, 0, 0, 0, 0, 389, 119);
INSERT INTO public.who_data VALUES (92072, 0, 0, 0, 0, 389, 39);
INSERT INTO public.who_data VALUES (92073, 0, 0, 0, 0, 389, 26);
INSERT INTO public.who_data VALUES (92074, 0, 0, 0, 0, 389, 59);
INSERT INTO public.who_data VALUES (92075, 0, 0, 0, 0, 389, 77);
INSERT INTO public.who_data VALUES (92076, 0, 0, 0, 0, 389, 134);
INSERT INTO public.who_data VALUES (92077, 0, 0, 0, 0, 389, 4);
INSERT INTO public.who_data VALUES (92078, 0, 0, 0, 0, 389, 109);
INSERT INTO public.who_data VALUES (92079, 0, 0, 0, 0, 389, 90);
INSERT INTO public.who_data VALUES (92080, 0, 0, 0, 0, 389, 61);
INSERT INTO public.who_data VALUES (92081, 0, 0, 0, 0, 389, 85);
INSERT INTO public.who_data VALUES (92082, 3, 11, 0, 0, 389, 49);
INSERT INTO public.who_data VALUES (92083, 0, 0, 0, 0, 389, 208);
INSERT INTO public.who_data VALUES (92084, 0, 0, 0, 0, 389, 166);
INSERT INTO public.who_data VALUES (92085, 0, 0, 0, 0, 389, 64);
INSERT INTO public.who_data VALUES (92086, 0, 0, 0, 0, 389, 199);
INSERT INTO public.who_data VALUES (92087, 0, 0, 0, 0, 389, 114);
INSERT INTO public.who_data VALUES (92088, 0, 0, 0, 0, 389, 60);
INSERT INTO public.who_data VALUES (92089, 0, 0, 0, 0, 389, 68);
INSERT INTO public.who_data VALUES (92090, 0, 0, 0, 0, 389, 158);
INSERT INTO public.who_data VALUES (92091, 0, 0, 0, 0, 389, 52);
INSERT INTO public.who_data VALUES (92092, 0, 0, 0, 0, 389, 117);
INSERT INTO public.who_data VALUES (92093, 0, 0, 0, 0, 389, 126);
INSERT INTO public.who_data VALUES (92094, 0, 0, 0, 0, 389, 196);
INSERT INTO public.who_data VALUES (92095, 0, 0, 0, 0, 389, 142);
INSERT INTO public.who_data VALUES (92096, 0, 0, 0, 0, 389, 185);
INSERT INTO public.who_data VALUES (92097, 0, 0, 0, 0, 389, 138);
INSERT INTO public.who_data VALUES (92098, 0, 0, 0, 0, 389, 181);
INSERT INTO public.who_data VALUES (92099, 0, 0, 0, 0, 389, 178);
INSERT INTO public.who_data VALUES (92100, 0, 0, 0, 0, 389, 168);
INSERT INTO public.who_data VALUES (92101, 0, 0, 0, 0, 389, 160);
INSERT INTO public.who_data VALUES (92102, 0, 5, 0, 0, 389, 151);
INSERT INTO public.who_data VALUES (92103, 0, 0, 0, 0, 389, 193);
INSERT INTO public.who_data VALUES (92104, 0, 0, 0, 0, 389, 18);
INSERT INTO public.who_data VALUES (92105, 0, 0, 0, 0, 389, 40);
INSERT INTO public.who_data VALUES (92106, 0, 0, 0, 0, 389, 218);
INSERT INTO public.who_data VALUES (92107, 0, 0, 0, 0, 389, 191);
INSERT INTO public.who_data VALUES (92108, 0, 0, 0, 0, 389, 156);
INSERT INTO public.who_data VALUES (92109, 0, 0, 0, 0, 389, 135);
INSERT INTO public.who_data VALUES (92110, 0, 0, 0, 0, 389, 88);
INSERT INTO public.who_data VALUES (92111, 0, 0, 0, 0, 389, 55);
INSERT INTO public.who_data VALUES (92112, 0, 0, 0, 0, 389, 108);
INSERT INTO public.who_data VALUES (92113, 0, 0, 0, 0, 389, 48);
INSERT INTO public.who_data VALUES (92114, 0, 0, 0, 0, 389, 3);
INSERT INTO public.who_data VALUES (92115, 0, 0, 0, 0, 389, 224);
INSERT INTO public.who_data VALUES (92116, 0, 0, 0, 0, 389, 110);
INSERT INTO public.who_data VALUES (92117, 0, 0, 0, 0, 389, 106);
INSERT INTO public.who_data VALUES (92118, 0, 0, 0, 0, 389, 89);
INSERT INTO public.who_data VALUES (92119, 0, 0, 0, 0, 389, 121);
INSERT INTO public.who_data VALUES (92120, 0, 0, 0, 0, 389, 163);
INSERT INTO public.who_data VALUES (92121, 0, 0, 0, 0, 389, 70);
INSERT INTO public.who_data VALUES (92122, 0, 0, 0, 0, 389, 174);
INSERT INTO public.who_data VALUES (92123, 0, 0, 0, 0, 389, 175);
INSERT INTO public.who_data VALUES (92124, 0, 0, 0, 0, 389, 118);
INSERT INTO public.who_data VALUES (92125, 0, 0, 0, 0, 389, 189);
INSERT INTO public.who_data VALUES (92126, 0, 0, 0, 0, 389, 124);
INSERT INTO public.who_data VALUES (92127, 0, 0, 0, 0, 389, 192);
INSERT INTO public.who_data VALUES (92128, 0, 8, 0, 0, 389, 41);
INSERT INTO public.who_data VALUES (92129, 0, 0, 0, 0, 389, 95);
INSERT INTO public.who_data VALUES (92130, 0, 0, 0, 0, 389, 74);
INSERT INTO public.who_data VALUES (92131, 0, 0, 0, 0, 389, 11);
INSERT INTO public.who_data VALUES (92132, 0, 0, 0, 0, 389, 87);
INSERT INTO public.who_data VALUES (92133, 0, 0, 0, 0, 389, 214);
INSERT INTO public.who_data VALUES (92134, 0, 0, 0, 0, 389, 116);
INSERT INTO public.who_data VALUES (92135, 0, 0, 0, 0, 389, 157);
INSERT INTO public.who_data VALUES (92136, 0, 0, 0, 0, 389, 182);
INSERT INTO public.who_data VALUES (92137, 0, 0, 0, 0, 389, 186);
INSERT INTO public.who_data VALUES (92138, 0, 0, 0, 0, 389, 127);
INSERT INTO public.who_data VALUES (92139, 0, 0, 0, 0, 389, 232);
INSERT INTO public.who_data VALUES (92140, 0, 0, 0, 0, 389, 33);
INSERT INTO public.who_data VALUES (92141, 0, 0, 0, 0, 389, 97);
INSERT INTO public.who_data VALUES (92142, 0, 0, 0, 0, 389, 42);
INSERT INTO public.who_data VALUES (92143, 0, 0, 0, 0, 389, 198);
INSERT INTO public.who_data VALUES (92144, 0, 0, 0, 0, 389, 216);
INSERT INTO public.who_data VALUES (92145, 0, 0, 0, 0, 389, 164);
INSERT INTO public.who_data VALUES (92146, 0, 0, 0, 0, 389, 235);
INSERT INTO public.who_data VALUES (92147, 0, 0, 0, 0, 389, 67);
INSERT INTO public.who_data VALUES (92148, 0, 0, 0, 0, 389, 15);
INSERT INTO public.who_data VALUES (92149, 0, 0, 0, 0, 389, 180);
INSERT INTO public.who_data VALUES (92150, 3, 14, 0, 0, 389, 237);
INSERT INTO public.who_data VALUES (92151, 0, 0, 0, 0, 389, 25);
INSERT INTO public.who_data VALUES (92152, 0, 0, 0, 0, 389, 209);
INSERT INTO public.who_data VALUES (92153, 0, 0, 0, 0, 389, 217);
INSERT INTO public.who_data VALUES (92154, 0, 0, 0, 0, 389, 79);
INSERT INTO public.who_data VALUES (92155, 0, 0, 0, 0, 389, 143);
INSERT INTO public.who_data VALUES (92156, 0, 0, 0, 0, 389, 229);
INSERT INTO public.who_data VALUES (92157, 0, 0, 0, 0, 389, 141);
INSERT INTO public.who_data VALUES (92158, 0, 0, 0, 0, 389, 197);
INSERT INTO public.who_data VALUES (92159, 0, 0, 0, 0, 389, 221);
INSERT INTO public.who_data VALUES (92160, 0, 5, 0, 0, 389, 150);
INSERT INTO public.who_data VALUES (92161, 0, 0, 0, 0, 389, 56);
INSERT INTO public.who_data VALUES (92162, 0, 0, 0, 0, 389, 167);
INSERT INTO public.who_data VALUES (92163, 0, 0, 0, 0, 389, 23);
INSERT INTO public.who_data VALUES (92164, 0, 0, 0, 0, 389, 222);
INSERT INTO public.who_data VALUES (92165, 0, 0, 0, 0, 389, 219);
INSERT INTO public.who_data VALUES (92166, 0, 0, 0, 0, 389, 7);
INSERT INTO public.who_data VALUES (92167, 0, 18, 0, 0, 389, 161);
INSERT INTO public.who_data VALUES (92168, 0, 0, 0, 0, 389, 149);
INSERT INTO public.who_data VALUES (92169, 0, 0, 0, 0, 389, 6);
INSERT INTO public.who_data VALUES (92170, 0, 0, 0, 0, 389, 139);
INSERT INTO public.who_data VALUES (92171, 0, 0, 0, 0, 389, 211);
INSERT INTO public.who_data VALUES (92172, 0, 0, 0, 0, 389, 14);
INSERT INTO public.who_data VALUES (92173, 0, 0, 0, 0, 389, 111);
INSERT INTO public.who_data VALUES (92174, 0, 0, 0, 0, 389, 207);
INSERT INTO public.who_data VALUES (92175, 0, 0, 0, 0, 389, 66);
INSERT INTO public.who_data VALUES (92176, 0, 0, 0, 0, 389, 173);
INSERT INTO public.who_data VALUES (92177, 0, 0, 0, 0, 389, 145);
INSERT INTO public.who_data VALUES (92178, 0, 0, 0, 0, 389, 65);
INSERT INTO public.who_data VALUES (92179, 0, 0, 0, 0, 389, 184);
INSERT INTO public.who_data VALUES (92180, 0, 0, 0, 0, 389, 98);
INSERT INTO public.who_data VALUES (92181, 8, 8, 0, 0, 389, 104);
INSERT INTO public.who_data VALUES (92182, 0, 0, 0, 0, 389, 73);
INSERT INTO public.who_data VALUES (92183, 0, 9, 0, 0, 389, 8);
INSERT INTO public.who_data VALUES (92184, 0, 0, 0, 0, 389, 227);
INSERT INTO public.who_data VALUES (92185, 0, 0, 0, 0, 389, 75);
INSERT INTO public.who_data VALUES (92186, 0, 0, 0, 0, 389, 45);
INSERT INTO public.who_data VALUES (92187, 0, 0, 0, 0, 389, 133);
INSERT INTO public.who_data VALUES (92188, 0, 0, 0, 0, 389, 202);
INSERT INTO public.who_data VALUES (92189, 0, 6, 0, 0, 389, 129);
INSERT INTO public.who_data VALUES (92190, 0, 0, 0, 0, 389, 36);
INSERT INTO public.who_data VALUES (92191, 0, 0, 0, 0, 389, 51);
INSERT INTO public.who_data VALUES (92192, 0, 0, 0, 0, 389, 206);
INSERT INTO public.who_data VALUES (92193, 0, 0, 0, 0, 389, 5);
INSERT INTO public.who_data VALUES (92194, 0, 0, 0, 0, 390, 103);
INSERT INTO public.who_data VALUES (92195, 0, 0, 0, 0, 390, 58);
INSERT INTO public.who_data VALUES (92196, 0, 0, 0, 0, 390, 195);
INSERT INTO public.who_data VALUES (92197, 0, 0, 0, 0, 390, 115);
INSERT INTO public.who_data VALUES (92198, 0, 0, 0, 0, 390, 99);
INSERT INTO public.who_data VALUES (92199, 0, 0, 0, 0, 390, 153);
INSERT INTO public.who_data VALUES (92200, 0, 0, 0, 0, 390, 93);
INSERT INTO public.who_data VALUES (92201, 0, 0, 0, 0, 390, 84);
INSERT INTO public.who_data VALUES (92202, 0, 0, 0, 0, 390, 78);
INSERT INTO public.who_data VALUES (92203, 0, 0, 0, 0, 390, 170);
INSERT INTO public.who_data VALUES (92204, 0, 0, 0, 0, 390, 32);
INSERT INTO public.who_data VALUES (92205, 0, 9, 0, 0, 390, 155);
INSERT INTO public.who_data VALUES (92206, 0, 0, 0, 0, 390, 82);
INSERT INTO public.who_data VALUES (92207, 0, 0, 0, 0, 390, 16);
INSERT INTO public.who_data VALUES (92208, 0, 0, 0, 0, 390, 72);
INSERT INTO public.who_data VALUES (92209, 0, 0, 0, 0, 390, 43);
INSERT INTO public.who_data VALUES (92210, 0, 0, 0, 0, 390, 120);
INSERT INTO public.who_data VALUES (92211, 0, 0, 0, 0, 390, 213);
INSERT INTO public.who_data VALUES (92212, 0, 0, 0, 0, 390, 31);
INSERT INTO public.who_data VALUES (92213, 0, 0, 0, 0, 390, 204);
INSERT INTO public.who_data VALUES (92214, 0, 0, 0, 0, 390, 152);
INSERT INTO public.who_data VALUES (92215, 0, 0, 0, 0, 390, 144);
INSERT INTO public.who_data VALUES (92216, 0, 0, 0, 0, 390, 96);
INSERT INTO public.who_data VALUES (92217, 0, 0, 0, 0, 390, 47);
INSERT INTO public.who_data VALUES (92218, 0, 0, 0, 0, 390, 80);
INSERT INTO public.who_data VALUES (92219, 0, 0, 0, 0, 390, 159);
INSERT INTO public.who_data VALUES (92220, 0, 0, 0, 0, 390, 27);
INSERT INTO public.who_data VALUES (92221, 0, 0, 0, 0, 390, 146);
INSERT INTO public.who_data VALUES (92222, 0, 0, 0, 0, 390, 71);
INSERT INTO public.who_data VALUES (92223, 0, 0, 0, 0, 390, 210);
INSERT INTO public.who_data VALUES (92224, 0, 0, 0, 0, 390, 54);
INSERT INTO public.who_data VALUES (92225, 0, 0, 0, 0, 390, 147);
INSERT INTO public.who_data VALUES (92226, 0, 0, 0, 0, 390, 2);
INSERT INTO public.who_data VALUES (92227, 0, 0, 0, 0, 390, 105);
INSERT INTO public.who_data VALUES (92228, 0, 0, 0, 0, 390, 53);
INSERT INTO public.who_data VALUES (92229, 0, 5, 0, 0, 390, 81);
INSERT INTO public.who_data VALUES (92230, 0, 0, 0, 0, 390, 223);
INSERT INTO public.who_data VALUES (92231, 1, 7, 0, 0, 390, 94);
INSERT INTO public.who_data VALUES (92232, 0, 0, 0, 0, 390, 154);
INSERT INTO public.who_data VALUES (92233, 0, 0, 0, 0, 390, 83);
INSERT INTO public.who_data VALUES (92234, 0, 0, 0, 0, 390, 194);
INSERT INTO public.who_data VALUES (92235, 0, 0, 0, 0, 390, 136);
INSERT INTO public.who_data VALUES (92236, 1772, 4537, 26, 106, 390, 179);
INSERT INTO public.who_data VALUES (92237, 0, 0, 0, 0, 390, 57);
INSERT INTO public.who_data VALUES (92238, 0, 0, 0, 0, 390, 35);
INSERT INTO public.who_data VALUES (92239, 0, 0, 0, 0, 390, 228);
INSERT INTO public.who_data VALUES (92240, 0, 0, 0, 0, 390, 19);
INSERT INTO public.who_data VALUES (92241, 0, 0, 0, 0, 390, 22);
INSERT INTO public.who_data VALUES (92242, 0, 0, 0, 0, 390, 1);
INSERT INTO public.who_data VALUES (92243, 0, 0, 0, 0, 390, 21);
INSERT INTO public.who_data VALUES (92244, 0, 0, 0, 0, 390, 234);
INSERT INTO public.who_data VALUES (92245, 0, 0, 0, 0, 390, 91);
INSERT INTO public.who_data VALUES (92246, 0, 0, 0, 0, 390, 137);
INSERT INTO public.who_data VALUES (92247, 0, 0, 0, 0, 390, 201);
INSERT INTO public.who_data VALUES (92248, 0, 0, 0, 0, 390, 171);
INSERT INTO public.who_data VALUES (92249, 0, 0, 0, 0, 390, 92);
INSERT INTO public.who_data VALUES (92250, 0, 0, 0, 0, 390, 112);
INSERT INTO public.who_data VALUES (92251, 0, 0, 0, 0, 390, 62);
INSERT INTO public.who_data VALUES (92252, 0, 0, 0, 0, 390, 69);
INSERT INTO public.who_data VALUES (92253, 0, 0, 0, 0, 390, 220);
INSERT INTO public.who_data VALUES (92254, 0, 0, 0, 0, 390, 100);
INSERT INTO public.who_data VALUES (92255, 0, 0, 0, 0, 390, 187);
INSERT INTO public.who_data VALUES (92256, 0, 0, 0, 0, 390, 63);
INSERT INTO public.who_data VALUES (92257, 0, 0, 0, 0, 390, 28);
INSERT INTO public.who_data VALUES (92258, 0, 0, 0, 0, 390, 172);
INSERT INTO public.who_data VALUES (92259, 0, 0, 0, 0, 390, 17);
INSERT INTO public.who_data VALUES (92260, 0, 0, 0, 0, 390, 226);
INSERT INTO public.who_data VALUES (92261, 0, 0, 0, 0, 390, 236);
INSERT INTO public.who_data VALUES (92262, 0, 0, 0, 0, 390, 76);
INSERT INTO public.who_data VALUES (92263, 0, 0, 0, 0, 390, 30);
INSERT INTO public.who_data VALUES (92264, 0, 0, 0, 0, 390, 128);
INSERT INTO public.who_data VALUES (92265, 0, 0, 0, 0, 390, 86);
INSERT INTO public.who_data VALUES (92266, 0, 3, 0, 0, 390, 140);
INSERT INTO public.who_data VALUES (92267, 0, 0, 0, 0, 390, 44);
INSERT INTO public.who_data VALUES (92268, 0, 0, 0, 0, 390, 113);
INSERT INTO public.who_data VALUES (92269, 0, 0, 0, 0, 390, 29);
INSERT INTO public.who_data VALUES (92270, 0, 0, 0, 0, 390, 125);
INSERT INTO public.who_data VALUES (92271, 0, 0, 0, 0, 390, 131);
INSERT INTO public.who_data VALUES (92272, 1, 1, 0, 0, 390, 46);
INSERT INTO public.who_data VALUES (92273, 0, 0, 0, 0, 390, 10);
INSERT INTO public.who_data VALUES (92274, 0, 0, 0, 0, 390, 205);
INSERT INTO public.who_data VALUES (92275, 0, 0, 0, 0, 390, 50);
INSERT INTO public.who_data VALUES (92276, 0, 0, 0, 0, 390, 20);
INSERT INTO public.who_data VALUES (92277, 0, 0, 0, 0, 390, 13);
INSERT INTO public.who_data VALUES (92278, 0, 0, 0, 0, 390, 148);
INSERT INTO public.who_data VALUES (92279, 0, 0, 0, 0, 390, 230);
INSERT INTO public.who_data VALUES (92280, 0, 0, 0, 0, 390, 190);
INSERT INTO public.who_data VALUES (92281, 0, 0, 0, 0, 390, 188);
INSERT INTO public.who_data VALUES (92282, 0, 0, 0, 0, 390, 123);
INSERT INTO public.who_data VALUES (92283, 0, 0, 0, 0, 390, 9);
INSERT INTO public.who_data VALUES (92284, 0, 0, 0, 0, 390, 102);
INSERT INTO public.who_data VALUES (92285, 0, 0, 0, 0, 390, 34);
INSERT INTO public.who_data VALUES (92286, 0, 0, 0, 0, 390, 212);
INSERT INTO public.who_data VALUES (92287, 0, 0, 0, 0, 390, 122);
INSERT INTO public.who_data VALUES (92288, 0, 0, 0, 0, 390, 38);
INSERT INTO public.who_data VALUES (92289, 0, 0, 0, 0, 390, 130);
INSERT INTO public.who_data VALUES (92290, 0, 0, 0, 0, 390, 37);
INSERT INTO public.who_data VALUES (92291, 0, 0, 0, 0, 390, 231);
INSERT INTO public.who_data VALUES (92292, 0, 0, 0, 0, 390, 107);
INSERT INTO public.who_data VALUES (92293, 0, 0, 0, 0, 390, 101);
INSERT INTO public.who_data VALUES (92294, 0, 0, 0, 0, 390, 132);
INSERT INTO public.who_data VALUES (92295, 0, 0, 0, 0, 390, 176);
INSERT INTO public.who_data VALUES (92296, 0, 0, 0, 0, 390, 200);
INSERT INTO public.who_data VALUES (92297, 0, 0, 0, 0, 390, 169);
INSERT INTO public.who_data VALUES (92298, 0, 0, 0, 0, 390, 225);
INSERT INTO public.who_data VALUES (92299, 4, 8, 0, 0, 390, 165);
INSERT INTO public.who_data VALUES (92300, 0, 0, 0, 0, 390, 233);
INSERT INTO public.who_data VALUES (92301, 0, 0, 0, 0, 390, 215);
INSERT INTO public.who_data VALUES (92302, 0, 0, 0, 0, 390, 177);
INSERT INTO public.who_data VALUES (92303, 0, 0, 0, 0, 390, 183);
INSERT INTO public.who_data VALUES (92304, 0, 0, 0, 0, 390, 203);
INSERT INTO public.who_data VALUES (92305, 0, 0, 0, 0, 390, 162);
INSERT INTO public.who_data VALUES (92306, 0, 0, 0, 0, 390, 12);
INSERT INTO public.who_data VALUES (92307, 0, 0, 0, 0, 390, 24);
INSERT INTO public.who_data VALUES (92308, 0, 0, 0, 0, 390, 119);
INSERT INTO public.who_data VALUES (92309, 0, 0, 0, 0, 390, 39);
INSERT INTO public.who_data VALUES (92310, 0, 0, 0, 0, 390, 26);
INSERT INTO public.who_data VALUES (92311, 0, 0, 0, 0, 390, 59);
INSERT INTO public.who_data VALUES (92312, 0, 0, 0, 0, 390, 77);
INSERT INTO public.who_data VALUES (92313, 0, 0, 0, 0, 390, 134);
INSERT INTO public.who_data VALUES (92314, 0, 0, 0, 0, 390, 4);
INSERT INTO public.who_data VALUES (92315, 0, 0, 0, 0, 390, 109);
INSERT INTO public.who_data VALUES (92316, 0, 0, 0, 0, 390, 90);
INSERT INTO public.who_data VALUES (92317, 0, 0, 0, 0, 390, 61);
INSERT INTO public.who_data VALUES (92318, 0, 0, 0, 0, 390, 85);
INSERT INTO public.who_data VALUES (92319, 0, 8, 0, 0, 390, 49);
INSERT INTO public.who_data VALUES (92320, 0, 0, 0, 0, 390, 208);
INSERT INTO public.who_data VALUES (92321, 0, 0, 0, 0, 390, 166);
INSERT INTO public.who_data VALUES (92322, 0, 0, 0, 0, 390, 64);
INSERT INTO public.who_data VALUES (92323, 0, 0, 0, 0, 390, 199);
INSERT INTO public.who_data VALUES (92324, 0, 0, 0, 0, 390, 114);
INSERT INTO public.who_data VALUES (92325, 0, 0, 0, 0, 390, 60);
INSERT INTO public.who_data VALUES (92326, 0, 0, 0, 0, 390, 68);
INSERT INTO public.who_data VALUES (92327, 0, 0, 0, 0, 390, 158);
INSERT INTO public.who_data VALUES (92328, 0, 0, 0, 0, 390, 52);
INSERT INTO public.who_data VALUES (92329, 0, 0, 0, 0, 390, 117);
INSERT INTO public.who_data VALUES (92330, 0, 0, 0, 0, 390, 126);
INSERT INTO public.who_data VALUES (92331, 0, 0, 0, 0, 390, 196);
INSERT INTO public.who_data VALUES (92332, 0, 0, 0, 0, 390, 142);
INSERT INTO public.who_data VALUES (92333, 0, 0, 0, 0, 390, 185);
INSERT INTO public.who_data VALUES (92334, 0, 0, 0, 0, 390, 138);
INSERT INTO public.who_data VALUES (92335, 0, 0, 0, 0, 390, 181);
INSERT INTO public.who_data VALUES (92336, 0, 0, 0, 0, 390, 178);
INSERT INTO public.who_data VALUES (92337, 0, 0, 0, 0, 390, 168);
INSERT INTO public.who_data VALUES (92338, 0, 0, 0, 0, 390, 160);
INSERT INTO public.who_data VALUES (92339, 0, 5, 0, 0, 390, 151);
INSERT INTO public.who_data VALUES (92340, 0, 0, 0, 0, 390, 193);
INSERT INTO public.who_data VALUES (92341, 0, 0, 0, 0, 390, 18);
INSERT INTO public.who_data VALUES (92342, 0, 0, 0, 0, 390, 40);
INSERT INTO public.who_data VALUES (92343, 0, 0, 0, 0, 390, 218);
INSERT INTO public.who_data VALUES (92344, 0, 0, 0, 0, 390, 191);
INSERT INTO public.who_data VALUES (92345, 0, 0, 0, 0, 390, 156);
INSERT INTO public.who_data VALUES (92346, 0, 0, 0, 0, 390, 135);
INSERT INTO public.who_data VALUES (92347, 0, 0, 0, 0, 390, 88);
INSERT INTO public.who_data VALUES (92348, 0, 0, 0, 0, 390, 55);
INSERT INTO public.who_data VALUES (92349, 0, 0, 0, 0, 390, 108);
INSERT INTO public.who_data VALUES (92350, 0, 0, 0, 0, 390, 48);
INSERT INTO public.who_data VALUES (92351, 0, 0, 0, 0, 390, 3);
INSERT INTO public.who_data VALUES (92352, 0, 0, 0, 0, 390, 224);
INSERT INTO public.who_data VALUES (92353, 0, 0, 0, 0, 390, 110);
INSERT INTO public.who_data VALUES (92354, 0, 0, 0, 0, 390, 106);
INSERT INTO public.who_data VALUES (92355, 0, 0, 0, 0, 390, 89);
INSERT INTO public.who_data VALUES (92356, 0, 0, 0, 0, 390, 121);
INSERT INTO public.who_data VALUES (92357, 0, 0, 0, 0, 390, 163);
INSERT INTO public.who_data VALUES (92358, 0, 0, 0, 0, 390, 70);
INSERT INTO public.who_data VALUES (92359, 0, 0, 0, 0, 390, 174);
INSERT INTO public.who_data VALUES (92360, 0, 0, 0, 0, 390, 175);
INSERT INTO public.who_data VALUES (92361, 0, 0, 0, 0, 390, 118);
INSERT INTO public.who_data VALUES (92362, 0, 0, 0, 0, 390, 189);
INSERT INTO public.who_data VALUES (92363, 0, 0, 0, 0, 390, 124);
INSERT INTO public.who_data VALUES (92364, 0, 0, 0, 0, 390, 192);
INSERT INTO public.who_data VALUES (92365, 0, 8, 0, 0, 390, 41);
INSERT INTO public.who_data VALUES (92366, 0, 0, 0, 0, 390, 95);
INSERT INTO public.who_data VALUES (92367, 0, 0, 0, 0, 390, 74);
INSERT INTO public.who_data VALUES (92368, 0, 0, 0, 0, 390, 11);
INSERT INTO public.who_data VALUES (92369, 0, 0, 0, 0, 390, 87);
INSERT INTO public.who_data VALUES (92370, 0, 0, 0, 0, 390, 214);
INSERT INTO public.who_data VALUES (92371, 0, 0, 0, 0, 390, 116);
INSERT INTO public.who_data VALUES (92372, 0, 0, 0, 0, 390, 157);
INSERT INTO public.who_data VALUES (92373, 0, 0, 0, 0, 390, 182);
INSERT INTO public.who_data VALUES (92374, 0, 0, 0, 0, 390, 186);
INSERT INTO public.who_data VALUES (92375, 0, 0, 0, 0, 390, 127);
INSERT INTO public.who_data VALUES (92376, 0, 0, 0, 0, 390, 232);
INSERT INTO public.who_data VALUES (92377, 0, 0, 0, 0, 390, 33);
INSERT INTO public.who_data VALUES (92378, 0, 0, 0, 0, 390, 97);
INSERT INTO public.who_data VALUES (92379, 0, 0, 0, 0, 390, 42);
INSERT INTO public.who_data VALUES (92380, 0, 0, 0, 0, 390, 198);
INSERT INTO public.who_data VALUES (92381, 0, 0, 0, 0, 390, 216);
INSERT INTO public.who_data VALUES (92382, 0, 0, 0, 0, 390, 164);
INSERT INTO public.who_data VALUES (92383, 0, 0, 0, 0, 390, 235);
INSERT INTO public.who_data VALUES (92384, 0, 0, 0, 0, 390, 67);
INSERT INTO public.who_data VALUES (92385, 0, 0, 0, 0, 390, 15);
INSERT INTO public.who_data VALUES (92386, 0, 0, 0, 0, 390, 180);
INSERT INTO public.who_data VALUES (92387, 2, 11, 0, 0, 390, 237);
INSERT INTO public.who_data VALUES (92388, 0, 0, 0, 0, 390, 25);
INSERT INTO public.who_data VALUES (92389, 0, 0, 0, 0, 390, 209);
INSERT INTO public.who_data VALUES (92390, 0, 0, 0, 0, 390, 217);
INSERT INTO public.who_data VALUES (92391, 0, 0, 0, 0, 390, 79);
INSERT INTO public.who_data VALUES (92392, 0, 0, 0, 0, 390, 143);
INSERT INTO public.who_data VALUES (92393, 0, 0, 0, 0, 390, 229);
INSERT INTO public.who_data VALUES (92394, 0, 0, 0, 0, 390, 141);
INSERT INTO public.who_data VALUES (92395, 0, 0, 0, 0, 390, 197);
INSERT INTO public.who_data VALUES (92396, 0, 0, 0, 0, 390, 221);
INSERT INTO public.who_data VALUES (92397, 0, 5, 0, 0, 390, 150);
INSERT INTO public.who_data VALUES (92398, 0, 0, 0, 0, 390, 56);
INSERT INTO public.who_data VALUES (92399, 0, 0, 0, 0, 390, 167);
INSERT INTO public.who_data VALUES (92400, 0, 0, 0, 0, 390, 23);
INSERT INTO public.who_data VALUES (92401, 0, 0, 0, 0, 390, 222);
INSERT INTO public.who_data VALUES (92402, 0, 0, 0, 0, 390, 219);
INSERT INTO public.who_data VALUES (92403, 0, 0, 0, 0, 390, 7);
INSERT INTO public.who_data VALUES (92404, 6, 18, 0, 0, 390, 161);
INSERT INTO public.who_data VALUES (92405, 0, 0, 0, 0, 390, 149);
INSERT INTO public.who_data VALUES (92406, 0, 0, 0, 0, 390, 6);
INSERT INTO public.who_data VALUES (92407, 0, 0, 0, 0, 390, 139);
INSERT INTO public.who_data VALUES (92408, 0, 0, 0, 0, 390, 211);
INSERT INTO public.who_data VALUES (92409, 0, 0, 0, 0, 390, 14);
INSERT INTO public.who_data VALUES (92410, 0, 0, 0, 0, 390, 111);
INSERT INTO public.who_data VALUES (92411, 0, 0, 0, 0, 390, 207);
INSERT INTO public.who_data VALUES (92412, 0, 0, 0, 0, 390, 66);
INSERT INTO public.who_data VALUES (92413, 0, 0, 0, 0, 390, 173);
INSERT INTO public.who_data VALUES (92414, 0, 0, 0, 0, 390, 145);
INSERT INTO public.who_data VALUES (92415, 0, 0, 0, 0, 390, 65);
INSERT INTO public.who_data VALUES (92416, 0, 0, 0, 0, 390, 184);
INSERT INTO public.who_data VALUES (92417, 0, 0, 0, 0, 390, 98);
INSERT INTO public.who_data VALUES (92418, 0, 0, 0, 0, 390, 104);
INSERT INTO public.who_data VALUES (92419, 0, 0, 0, 0, 390, 73);
INSERT INTO public.who_data VALUES (92420, 0, 9, 0, 0, 390, 8);
INSERT INTO public.who_data VALUES (92421, 0, 0, 0, 0, 390, 227);
INSERT INTO public.who_data VALUES (92422, 0, 0, 0, 0, 390, 75);
INSERT INTO public.who_data VALUES (92423, 0, 0, 0, 0, 390, 45);
INSERT INTO public.who_data VALUES (92424, 0, 0, 0, 0, 390, 133);
INSERT INTO public.who_data VALUES (92425, 0, 0, 0, 0, 390, 202);
INSERT INTO public.who_data VALUES (92426, 0, 6, 0, 0, 390, 129);
INSERT INTO public.who_data VALUES (92427, 0, 0, 0, 0, 390, 36);
INSERT INTO public.who_data VALUES (92428, 0, 0, 0, 0, 390, 51);
INSERT INTO public.who_data VALUES (92429, 0, 0, 0, 0, 390, 206);
INSERT INTO public.who_data VALUES (92430, 0, 0, 0, 0, 390, 5);
INSERT INTO public.who_data VALUES (92431, 0, 0, 0, 0, 391, 103);
INSERT INTO public.who_data VALUES (92432, 0, 0, 0, 0, 391, 58);
INSERT INTO public.who_data VALUES (92433, 0, 0, 0, 0, 391, 195);
INSERT INTO public.who_data VALUES (92434, 0, 0, 0, 0, 391, 115);
INSERT INTO public.who_data VALUES (92435, 0, 0, 0, 0, 391, 99);
INSERT INTO public.who_data VALUES (92436, 0, 0, 0, 0, 391, 153);
INSERT INTO public.who_data VALUES (92437, 0, 0, 0, 0, 391, 93);
INSERT INTO public.who_data VALUES (92438, 0, 0, 0, 0, 391, 84);
INSERT INTO public.who_data VALUES (92439, 0, 0, 0, 0, 391, 78);
INSERT INTO public.who_data VALUES (92440, 0, 0, 0, 0, 391, 170);
INSERT INTO public.who_data VALUES (92441, 0, 0, 0, 0, 391, 32);
INSERT INTO public.who_data VALUES (92442, 1, 9, 0, 0, 391, 155);
INSERT INTO public.who_data VALUES (92443, 0, 0, 0, 0, 391, 82);
INSERT INTO public.who_data VALUES (92444, 0, 0, 0, 0, 391, 16);
INSERT INTO public.who_data VALUES (92445, 0, 0, 0, 0, 391, 72);
INSERT INTO public.who_data VALUES (92446, 0, 0, 0, 0, 391, 43);
INSERT INTO public.who_data VALUES (92447, 0, 0, 0, 0, 391, 120);
INSERT INTO public.who_data VALUES (92448, 0, 0, 0, 0, 391, 213);
INSERT INTO public.who_data VALUES (92449, 0, 0, 0, 0, 391, 31);
INSERT INTO public.who_data VALUES (92450, 0, 0, 0, 0, 391, 204);
INSERT INTO public.who_data VALUES (92451, 0, 0, 0, 0, 391, 152);
INSERT INTO public.who_data VALUES (92452, 0, 0, 0, 0, 391, 144);
INSERT INTO public.who_data VALUES (92453, 0, 0, 0, 0, 391, 96);
INSERT INTO public.who_data VALUES (92454, 0, 0, 0, 0, 391, 47);
INSERT INTO public.who_data VALUES (92455, 0, 0, 0, 0, 391, 80);
INSERT INTO public.who_data VALUES (92456, 0, 0, 0, 0, 391, 159);
INSERT INTO public.who_data VALUES (92457, 0, 0, 0, 0, 391, 27);
INSERT INTO public.who_data VALUES (92458, 0, 0, 0, 0, 391, 146);
INSERT INTO public.who_data VALUES (92459, 0, 0, 0, 0, 391, 71);
INSERT INTO public.who_data VALUES (92460, 0, 0, 0, 0, 391, 210);
INSERT INTO public.who_data VALUES (92461, 0, 0, 0, 0, 391, 54);
INSERT INTO public.who_data VALUES (92462, 0, 0, 0, 0, 391, 147);
INSERT INTO public.who_data VALUES (92463, 0, 0, 0, 0, 391, 2);
INSERT INTO public.who_data VALUES (92464, 0, 0, 0, 0, 391, 105);
INSERT INTO public.who_data VALUES (92465, 0, 0, 0, 0, 391, 53);
INSERT INTO public.who_data VALUES (92466, 5, 5, 0, 0, 391, 81);
INSERT INTO public.who_data VALUES (92467, 0, 0, 0, 0, 391, 223);
INSERT INTO public.who_data VALUES (92468, 1, 6, 0, 0, 391, 94);
INSERT INTO public.who_data VALUES (92469, 0, 0, 0, 0, 391, 154);
INSERT INTO public.who_data VALUES (92470, 0, 0, 0, 0, 391, 83);
INSERT INTO public.who_data VALUES (92471, 0, 0, 0, 0, 391, 194);
INSERT INTO public.who_data VALUES (92472, 0, 0, 0, 0, 391, 136);
INSERT INTO public.who_data VALUES (92473, 776, 2765, 24, 80, 391, 179);
INSERT INTO public.who_data VALUES (92474, 0, 0, 0, 0, 391, 57);
INSERT INTO public.who_data VALUES (92475, 0, 0, 0, 0, 391, 35);
INSERT INTO public.who_data VALUES (92476, 0, 0, 0, 0, 391, 228);
INSERT INTO public.who_data VALUES (92477, 0, 0, 0, 0, 391, 19);
INSERT INTO public.who_data VALUES (92478, 0, 0, 0, 0, 391, 22);
INSERT INTO public.who_data VALUES (92479, 0, 0, 0, 0, 391, 1);
INSERT INTO public.who_data VALUES (92480, 0, 0, 0, 0, 391, 21);
INSERT INTO public.who_data VALUES (92481, 0, 0, 0, 0, 391, 234);
INSERT INTO public.who_data VALUES (92482, 0, 0, 0, 0, 391, 91);
INSERT INTO public.who_data VALUES (92483, 0, 0, 0, 0, 391, 137);
INSERT INTO public.who_data VALUES (92484, 0, 0, 0, 0, 391, 201);
INSERT INTO public.who_data VALUES (92485, 0, 0, 0, 0, 391, 171);
INSERT INTO public.who_data VALUES (92486, 0, 0, 0, 0, 391, 92);
INSERT INTO public.who_data VALUES (92487, 0, 0, 0, 0, 391, 112);
INSERT INTO public.who_data VALUES (92488, 0, 0, 0, 0, 391, 62);
INSERT INTO public.who_data VALUES (92489, 0, 0, 0, 0, 391, 69);
INSERT INTO public.who_data VALUES (92490, 0, 0, 0, 0, 391, 220);
INSERT INTO public.who_data VALUES (92491, 0, 0, 0, 0, 391, 100);
INSERT INTO public.who_data VALUES (92492, 0, 0, 0, 0, 391, 187);
INSERT INTO public.who_data VALUES (92493, 0, 0, 0, 0, 391, 63);
INSERT INTO public.who_data VALUES (92494, 0, 0, 0, 0, 391, 28);
INSERT INTO public.who_data VALUES (92495, 0, 0, 0, 0, 391, 172);
INSERT INTO public.who_data VALUES (92496, 0, 0, 0, 0, 391, 17);
INSERT INTO public.who_data VALUES (92497, 0, 0, 0, 0, 391, 226);
INSERT INTO public.who_data VALUES (92498, 0, 0, 0, 0, 391, 236);
INSERT INTO public.who_data VALUES (92499, 0, 0, 0, 0, 391, 76);
INSERT INTO public.who_data VALUES (92500, 0, 0, 0, 0, 391, 30);
INSERT INTO public.who_data VALUES (92501, 0, 0, 0, 0, 391, 128);
INSERT INTO public.who_data VALUES (92502, 0, 0, 0, 0, 391, 86);
INSERT INTO public.who_data VALUES (92503, 0, 3, 0, 0, 391, 140);
INSERT INTO public.who_data VALUES (92504, 0, 0, 0, 0, 391, 44);
INSERT INTO public.who_data VALUES (92505, 0, 0, 0, 0, 391, 113);
INSERT INTO public.who_data VALUES (92506, 0, 0, 0, 0, 391, 29);
INSERT INTO public.who_data VALUES (92507, 0, 0, 0, 0, 391, 125);
INSERT INTO public.who_data VALUES (92508, 0, 0, 0, 0, 391, 131);
INSERT INTO public.who_data VALUES (92509, 0, 0, 0, 0, 391, 46);
INSERT INTO public.who_data VALUES (92510, 0, 0, 0, 0, 391, 10);
INSERT INTO public.who_data VALUES (92511, 0, 0, 0, 0, 391, 205);
INSERT INTO public.who_data VALUES (92512, 0, 0, 0, 0, 391, 50);
INSERT INTO public.who_data VALUES (92513, 0, 0, 0, 0, 391, 20);
INSERT INTO public.who_data VALUES (92514, 0, 0, 0, 0, 391, 13);
INSERT INTO public.who_data VALUES (92515, 0, 0, 0, 0, 391, 148);
INSERT INTO public.who_data VALUES (92516, 0, 0, 0, 0, 391, 230);
INSERT INTO public.who_data VALUES (92517, 0, 0, 0, 0, 391, 190);
INSERT INTO public.who_data VALUES (92518, 0, 0, 0, 0, 391, 188);
INSERT INTO public.who_data VALUES (92519, 0, 0, 0, 0, 391, 123);
INSERT INTO public.who_data VALUES (92520, 0, 0, 0, 0, 391, 9);
INSERT INTO public.who_data VALUES (92521, 0, 0, 0, 0, 391, 102);
INSERT INTO public.who_data VALUES (92522, 0, 0, 0, 0, 391, 34);
INSERT INTO public.who_data VALUES (92523, 0, 0, 0, 0, 391, 212);
INSERT INTO public.who_data VALUES (92524, 0, 0, 0, 0, 391, 122);
INSERT INTO public.who_data VALUES (92525, 0, 0, 0, 0, 391, 38);
INSERT INTO public.who_data VALUES (92526, 0, 0, 0, 0, 391, 130);
INSERT INTO public.who_data VALUES (92527, 0, 0, 0, 0, 391, 37);
INSERT INTO public.who_data VALUES (92528, 0, 0, 0, 0, 391, 231);
INSERT INTO public.who_data VALUES (92529, 0, 0, 0, 0, 391, 107);
INSERT INTO public.who_data VALUES (92530, 0, 0, 0, 0, 391, 101);
INSERT INTO public.who_data VALUES (92531, 0, 0, 0, 0, 391, 132);
INSERT INTO public.who_data VALUES (92532, 0, 0, 0, 0, 391, 176);
INSERT INTO public.who_data VALUES (92533, 0, 0, 0, 0, 391, 200);
INSERT INTO public.who_data VALUES (92534, 0, 0, 0, 0, 391, 169);
INSERT INTO public.who_data VALUES (92535, 0, 0, 0, 0, 391, 225);
INSERT INTO public.who_data VALUES (92536, 0, 4, 0, 0, 391, 165);
INSERT INTO public.who_data VALUES (92537, 0, 0, 0, 0, 391, 233);
INSERT INTO public.who_data VALUES (92538, 0, 0, 0, 0, 391, 215);
INSERT INTO public.who_data VALUES (92539, 0, 0, 0, 0, 391, 177);
INSERT INTO public.who_data VALUES (92540, 0, 0, 0, 0, 391, 183);
INSERT INTO public.who_data VALUES (92541, 0, 0, 0, 0, 391, 203);
INSERT INTO public.who_data VALUES (92542, 0, 0, 0, 0, 391, 162);
INSERT INTO public.who_data VALUES (92543, 0, 0, 0, 0, 391, 12);
INSERT INTO public.who_data VALUES (92544, 0, 0, 0, 0, 391, 24);
INSERT INTO public.who_data VALUES (92545, 0, 0, 0, 0, 391, 119);
INSERT INTO public.who_data VALUES (92546, 0, 0, 0, 0, 391, 39);
INSERT INTO public.who_data VALUES (92547, 0, 0, 0, 0, 391, 26);
INSERT INTO public.who_data VALUES (92548, 0, 0, 0, 0, 391, 59);
INSERT INTO public.who_data VALUES (92549, 0, 0, 0, 0, 391, 77);
INSERT INTO public.who_data VALUES (92550, 0, 0, 0, 0, 391, 134);
INSERT INTO public.who_data VALUES (92551, 0, 0, 0, 0, 391, 4);
INSERT INTO public.who_data VALUES (92552, 0, 0, 0, 0, 391, 109);
INSERT INTO public.who_data VALUES (92553, 0, 0, 0, 0, 391, 90);
INSERT INTO public.who_data VALUES (92554, 0, 0, 0, 0, 391, 61);
INSERT INTO public.who_data VALUES (92555, 0, 0, 0, 0, 391, 85);
INSERT INTO public.who_data VALUES (92556, 0, 8, 0, 0, 391, 49);
INSERT INTO public.who_data VALUES (92557, 0, 0, 0, 0, 391, 208);
INSERT INTO public.who_data VALUES (92558, 0, 0, 0, 0, 391, 166);
INSERT INTO public.who_data VALUES (92559, 0, 0, 0, 0, 391, 64);
INSERT INTO public.who_data VALUES (92560, 0, 0, 0, 0, 391, 199);
INSERT INTO public.who_data VALUES (92561, 0, 0, 0, 0, 391, 114);
INSERT INTO public.who_data VALUES (92562, 0, 0, 0, 0, 391, 60);
INSERT INTO public.who_data VALUES (92563, 0, 0, 0, 0, 391, 68);
INSERT INTO public.who_data VALUES (92564, 0, 0, 0, 0, 391, 158);
INSERT INTO public.who_data VALUES (92565, 0, 0, 0, 0, 391, 52);
INSERT INTO public.who_data VALUES (92566, 0, 0, 0, 0, 391, 117);
INSERT INTO public.who_data VALUES (92567, 0, 0, 0, 0, 391, 126);
INSERT INTO public.who_data VALUES (92568, 0, 0, 0, 0, 391, 196);
INSERT INTO public.who_data VALUES (92569, 0, 0, 0, 0, 391, 142);
INSERT INTO public.who_data VALUES (92570, 0, 0, 0, 0, 391, 185);
INSERT INTO public.who_data VALUES (92571, 0, 0, 0, 0, 391, 138);
INSERT INTO public.who_data VALUES (92572, 0, 0, 0, 0, 391, 181);
INSERT INTO public.who_data VALUES (92573, 0, 0, 0, 0, 391, 178);
INSERT INTO public.who_data VALUES (92574, 0, 0, 0, 0, 391, 168);
INSERT INTO public.who_data VALUES (92575, 0, 0, 0, 0, 391, 160);
INSERT INTO public.who_data VALUES (92576, 0, 5, 0, 0, 391, 151);
INSERT INTO public.who_data VALUES (92577, 0, 0, 0, 0, 391, 193);
INSERT INTO public.who_data VALUES (92578, 0, 0, 0, 0, 391, 18);
INSERT INTO public.who_data VALUES (92579, 0, 0, 0, 0, 391, 40);
INSERT INTO public.who_data VALUES (92580, 0, 0, 0, 0, 391, 218);
INSERT INTO public.who_data VALUES (92581, 0, 0, 0, 0, 391, 191);
INSERT INTO public.who_data VALUES (92582, 0, 0, 0, 0, 391, 156);
INSERT INTO public.who_data VALUES (92583, 0, 0, 0, 0, 391, 135);
INSERT INTO public.who_data VALUES (92584, 0, 0, 0, 0, 391, 88);
INSERT INTO public.who_data VALUES (92585, 0, 0, 0, 0, 391, 55);
INSERT INTO public.who_data VALUES (92586, 0, 0, 0, 0, 391, 108);
INSERT INTO public.who_data VALUES (92587, 0, 0, 0, 0, 391, 48);
INSERT INTO public.who_data VALUES (92588, 0, 0, 0, 0, 391, 3);
INSERT INTO public.who_data VALUES (92589, 0, 0, 0, 0, 391, 224);
INSERT INTO public.who_data VALUES (92590, 0, 0, 0, 0, 391, 110);
INSERT INTO public.who_data VALUES (92591, 0, 0, 0, 0, 391, 106);
INSERT INTO public.who_data VALUES (92592, 0, 0, 0, 0, 391, 89);
INSERT INTO public.who_data VALUES (92593, 0, 0, 0, 0, 391, 121);
INSERT INTO public.who_data VALUES (92594, 0, 0, 0, 0, 391, 163);
INSERT INTO public.who_data VALUES (92595, 0, 0, 0, 0, 391, 70);
INSERT INTO public.who_data VALUES (92596, 0, 0, 0, 0, 391, 174);
INSERT INTO public.who_data VALUES (92597, 0, 0, 0, 0, 391, 175);
INSERT INTO public.who_data VALUES (92598, 0, 0, 0, 0, 391, 118);
INSERT INTO public.who_data VALUES (92599, 0, 0, 0, 0, 391, 189);
INSERT INTO public.who_data VALUES (92600, 0, 0, 0, 0, 391, 124);
INSERT INTO public.who_data VALUES (92601, 0, 0, 0, 0, 391, 192);
INSERT INTO public.who_data VALUES (92602, 1, 8, 0, 0, 391, 41);
INSERT INTO public.who_data VALUES (92603, 0, 0, 0, 0, 391, 95);
INSERT INTO public.who_data VALUES (92604, 0, 0, 0, 0, 391, 74);
INSERT INTO public.who_data VALUES (92605, 0, 0, 0, 0, 391, 11);
INSERT INTO public.who_data VALUES (92606, 0, 0, 0, 0, 391, 87);
INSERT INTO public.who_data VALUES (92607, 0, 0, 0, 0, 391, 214);
INSERT INTO public.who_data VALUES (92608, 0, 0, 0, 0, 391, 116);
INSERT INTO public.who_data VALUES (92609, 0, 0, 0, 0, 391, 157);
INSERT INTO public.who_data VALUES (92610, 0, 0, 0, 0, 391, 182);
INSERT INTO public.who_data VALUES (92611, 0, 0, 0, 0, 391, 186);
INSERT INTO public.who_data VALUES (92612, 0, 0, 0, 0, 391, 127);
INSERT INTO public.who_data VALUES (92613, 0, 0, 0, 0, 391, 232);
INSERT INTO public.who_data VALUES (92614, 0, 0, 0, 0, 391, 33);
INSERT INTO public.who_data VALUES (92615, 0, 0, 0, 0, 391, 97);
INSERT INTO public.who_data VALUES (92616, 0, 0, 0, 0, 391, 42);
INSERT INTO public.who_data VALUES (92617, 0, 0, 0, 0, 391, 198);
INSERT INTO public.who_data VALUES (92618, 0, 0, 0, 0, 391, 216);
INSERT INTO public.who_data VALUES (92619, 0, 0, 0, 0, 391, 164);
INSERT INTO public.who_data VALUES (92620, 0, 0, 0, 0, 391, 235);
INSERT INTO public.who_data VALUES (92621, 0, 0, 0, 0, 391, 67);
INSERT INTO public.who_data VALUES (92622, 0, 0, 0, 0, 391, 15);
INSERT INTO public.who_data VALUES (92623, 0, 0, 0, 0, 391, 180);
INSERT INTO public.who_data VALUES (92624, 1, 9, 0, 0, 391, 237);
INSERT INTO public.who_data VALUES (92625, 0, 0, 0, 0, 391, 25);
INSERT INTO public.who_data VALUES (92626, 0, 0, 0, 0, 391, 209);
INSERT INTO public.who_data VALUES (92627, 0, 0, 0, 0, 391, 217);
INSERT INTO public.who_data VALUES (92628, 0, 0, 0, 0, 391, 79);
INSERT INTO public.who_data VALUES (92629, 0, 0, 0, 0, 391, 143);
INSERT INTO public.who_data VALUES (92630, 0, 0, 0, 0, 391, 229);
INSERT INTO public.who_data VALUES (92631, 0, 0, 0, 0, 391, 141);
INSERT INTO public.who_data VALUES (92632, 0, 0, 0, 0, 391, 197);
INSERT INTO public.who_data VALUES (92633, 0, 0, 0, 0, 391, 221);
INSERT INTO public.who_data VALUES (92634, 5, 5, 0, 0, 391, 150);
INSERT INTO public.who_data VALUES (92635, 0, 0, 0, 0, 391, 56);
INSERT INTO public.who_data VALUES (92636, 0, 0, 0, 0, 391, 167);
INSERT INTO public.who_data VALUES (92637, 0, 0, 0, 0, 391, 23);
INSERT INTO public.who_data VALUES (92638, 0, 0, 0, 0, 391, 222);
INSERT INTO public.who_data VALUES (92639, 0, 0, 0, 0, 391, 219);
INSERT INTO public.who_data VALUES (92640, 0, 0, 0, 0, 391, 7);
INSERT INTO public.who_data VALUES (92641, 3, 12, 0, 0, 391, 161);
INSERT INTO public.who_data VALUES (92642, 0, 0, 0, 0, 391, 149);
INSERT INTO public.who_data VALUES (92643, 0, 0, 0, 0, 391, 6);
INSERT INTO public.who_data VALUES (92644, 0, 0, 0, 0, 391, 139);
INSERT INTO public.who_data VALUES (92645, 0, 0, 0, 0, 391, 211);
INSERT INTO public.who_data VALUES (92646, 0, 0, 0, 0, 391, 14);
INSERT INTO public.who_data VALUES (92647, 0, 0, 0, 0, 391, 111);
INSERT INTO public.who_data VALUES (92648, 0, 0, 0, 0, 391, 207);
INSERT INTO public.who_data VALUES (92649, 0, 0, 0, 0, 391, 66);
INSERT INTO public.who_data VALUES (92650, 0, 0, 0, 0, 391, 173);
INSERT INTO public.who_data VALUES (92651, 0, 0, 0, 0, 391, 145);
INSERT INTO public.who_data VALUES (92652, 0, 0, 0, 0, 391, 65);
INSERT INTO public.who_data VALUES (92653, 0, 0, 0, 0, 391, 184);
INSERT INTO public.who_data VALUES (92654, 0, 0, 0, 0, 391, 98);
INSERT INTO public.who_data VALUES (92655, 0, 0, 0, 0, 391, 104);
INSERT INTO public.who_data VALUES (92656, 0, 0, 0, 0, 391, 73);
INSERT INTO public.who_data VALUES (92657, 0, 9, 0, 0, 391, 8);
INSERT INTO public.who_data VALUES (92658, 0, 0, 0, 0, 391, 227);
INSERT INTO public.who_data VALUES (92659, 0, 0, 0, 0, 391, 75);
INSERT INTO public.who_data VALUES (92660, 0, 0, 0, 0, 391, 45);
INSERT INTO public.who_data VALUES (92661, 0, 0, 0, 0, 391, 133);
INSERT INTO public.who_data VALUES (92662, 0, 0, 0, 0, 391, 202);
INSERT INTO public.who_data VALUES (92663, 0, 6, 0, 0, 391, 129);
INSERT INTO public.who_data VALUES (92664, 0, 0, 0, 0, 391, 36);
INSERT INTO public.who_data VALUES (92665, 0, 0, 0, 0, 391, 51);
INSERT INTO public.who_data VALUES (92666, 0, 0, 0, 0, 391, 206);
INSERT INTO public.who_data VALUES (92667, 0, 0, 0, 0, 391, 5);
INSERT INTO public.who_data VALUES (92668, 0, 0, 0, 0, 392, 103);
INSERT INTO public.who_data VALUES (92669, 0, 0, 0, 0, 392, 58);
INSERT INTO public.who_data VALUES (92670, 0, 0, 0, 0, 392, 195);
INSERT INTO public.who_data VALUES (92671, 0, 0, 0, 0, 392, 115);
INSERT INTO public.who_data VALUES (92672, 0, 0, 0, 0, 392, 99);
INSERT INTO public.who_data VALUES (92673, 0, 0, 0, 0, 392, 153);
INSERT INTO public.who_data VALUES (92674, 0, 0, 0, 0, 392, 93);
INSERT INTO public.who_data VALUES (92675, 0, 0, 0, 0, 392, 84);
INSERT INTO public.who_data VALUES (92676, 0, 0, 0, 0, 392, 78);
INSERT INTO public.who_data VALUES (92677, 0, 0, 0, 0, 392, 170);
INSERT INTO public.who_data VALUES (92678, 0, 0, 0, 0, 392, 32);
INSERT INTO public.who_data VALUES (92679, 1, 8, 0, 0, 392, 155);
INSERT INTO public.who_data VALUES (92680, 0, 0, 0, 0, 392, 82);
INSERT INTO public.who_data VALUES (92681, 0, 0, 0, 0, 392, 16);
INSERT INTO public.who_data VALUES (92682, 0, 0, 0, 0, 392, 72);
INSERT INTO public.who_data VALUES (92683, 0, 0, 0, 0, 392, 43);
INSERT INTO public.who_data VALUES (92684, 0, 0, 0, 0, 392, 120);
INSERT INTO public.who_data VALUES (92685, 0, 0, 0, 0, 392, 213);
INSERT INTO public.who_data VALUES (92686, 0, 0, 0, 0, 392, 31);
INSERT INTO public.who_data VALUES (92687, 0, 0, 0, 0, 392, 204);
INSERT INTO public.who_data VALUES (92688, 0, 0, 0, 0, 392, 152);
INSERT INTO public.who_data VALUES (92689, 0, 0, 0, 0, 392, 144);
INSERT INTO public.who_data VALUES (92690, 0, 0, 0, 0, 392, 96);
INSERT INTO public.who_data VALUES (92691, 0, 0, 0, 0, 392, 47);
INSERT INTO public.who_data VALUES (92692, 0, 0, 0, 0, 392, 80);
INSERT INTO public.who_data VALUES (92693, 0, 0, 0, 0, 392, 159);
INSERT INTO public.who_data VALUES (92694, 0, 0, 0, 0, 392, 27);
INSERT INTO public.who_data VALUES (92695, 0, 0, 0, 0, 392, 146);
INSERT INTO public.who_data VALUES (92696, 0, 0, 0, 0, 392, 71);
INSERT INTO public.who_data VALUES (92697, 0, 0, 0, 0, 392, 210);
INSERT INTO public.who_data VALUES (92698, 0, 0, 0, 0, 392, 54);
INSERT INTO public.who_data VALUES (92699, 0, 0, 0, 0, 392, 147);
INSERT INTO public.who_data VALUES (92700, 0, 0, 0, 0, 392, 2);
INSERT INTO public.who_data VALUES (92701, 0, 0, 0, 0, 392, 105);
INSERT INTO public.who_data VALUES (92702, 0, 0, 0, 0, 392, 53);
INSERT INTO public.who_data VALUES (92703, 0, 0, 0, 0, 392, 81);
INSERT INTO public.who_data VALUES (92704, 0, 0, 0, 0, 392, 223);
INSERT INTO public.who_data VALUES (92705, 5, 5, 0, 0, 392, 94);
INSERT INTO public.who_data VALUES (92706, 0, 0, 0, 0, 392, 154);
INSERT INTO public.who_data VALUES (92707, 0, 0, 0, 0, 392, 83);
INSERT INTO public.who_data VALUES (92708, 0, 0, 0, 0, 392, 194);
INSERT INTO public.who_data VALUES (92709, 0, 0, 0, 0, 392, 136);
INSERT INTO public.who_data VALUES (92710, 688, 1989, 15, 56, 392, 179);
INSERT INTO public.who_data VALUES (92711, 0, 0, 0, 0, 392, 57);
INSERT INTO public.who_data VALUES (92712, 0, 0, 0, 0, 392, 35);
INSERT INTO public.who_data VALUES (92713, 0, 0, 0, 0, 392, 228);
INSERT INTO public.who_data VALUES (92714, 0, 0, 0, 0, 392, 19);
INSERT INTO public.who_data VALUES (92715, 0, 0, 0, 0, 392, 22);
INSERT INTO public.who_data VALUES (92716, 0, 0, 0, 0, 392, 1);
INSERT INTO public.who_data VALUES (92717, 0, 0, 0, 0, 392, 21);
INSERT INTO public.who_data VALUES (92718, 0, 0, 0, 0, 392, 234);
INSERT INTO public.who_data VALUES (92719, 0, 0, 0, 0, 392, 91);
INSERT INTO public.who_data VALUES (92720, 0, 0, 0, 0, 392, 137);
INSERT INTO public.who_data VALUES (92721, 0, 0, 0, 0, 392, 201);
INSERT INTO public.who_data VALUES (92722, 0, 0, 0, 0, 392, 171);
INSERT INTO public.who_data VALUES (92723, 0, 0, 0, 0, 392, 92);
INSERT INTO public.who_data VALUES (92724, 0, 0, 0, 0, 392, 112);
INSERT INTO public.who_data VALUES (92725, 0, 0, 0, 0, 392, 62);
INSERT INTO public.who_data VALUES (92726, 0, 0, 0, 0, 392, 69);
INSERT INTO public.who_data VALUES (92727, 0, 0, 0, 0, 392, 220);
INSERT INTO public.who_data VALUES (92728, 0, 0, 0, 0, 392, 100);
INSERT INTO public.who_data VALUES (92729, 0, 0, 0, 0, 392, 187);
INSERT INTO public.who_data VALUES (92730, 0, 0, 0, 0, 392, 63);
INSERT INTO public.who_data VALUES (92731, 0, 0, 0, 0, 392, 28);
INSERT INTO public.who_data VALUES (92732, 0, 0, 0, 0, 392, 172);
INSERT INTO public.who_data VALUES (92733, 0, 0, 0, 0, 392, 17);
INSERT INTO public.who_data VALUES (92734, 0, 0, 0, 0, 392, 226);
INSERT INTO public.who_data VALUES (92735, 0, 0, 0, 0, 392, 236);
INSERT INTO public.who_data VALUES (92736, 0, 0, 0, 0, 392, 76);
INSERT INTO public.who_data VALUES (92737, 0, 0, 0, 0, 392, 30);
INSERT INTO public.who_data VALUES (92738, 0, 0, 0, 0, 392, 128);
INSERT INTO public.who_data VALUES (92739, 0, 0, 0, 0, 392, 86);
INSERT INTO public.who_data VALUES (92740, 0, 3, 0, 0, 392, 140);
INSERT INTO public.who_data VALUES (92741, 0, 0, 0, 0, 392, 44);
INSERT INTO public.who_data VALUES (92742, 0, 0, 0, 0, 392, 113);
INSERT INTO public.who_data VALUES (92743, 0, 0, 0, 0, 392, 29);
INSERT INTO public.who_data VALUES (92744, 0, 0, 0, 0, 392, 125);
INSERT INTO public.who_data VALUES (92745, 0, 0, 0, 0, 392, 131);
INSERT INTO public.who_data VALUES (92746, 0, 0, 0, 0, 392, 46);
INSERT INTO public.who_data VALUES (92747, 0, 0, 0, 0, 392, 10);
INSERT INTO public.who_data VALUES (92748, 0, 0, 0, 0, 392, 205);
INSERT INTO public.who_data VALUES (92749, 0, 0, 0, 0, 392, 50);
INSERT INTO public.who_data VALUES (92750, 0, 0, 0, 0, 392, 20);
INSERT INTO public.who_data VALUES (92751, 0, 0, 0, 0, 392, 13);
INSERT INTO public.who_data VALUES (92752, 0, 0, 0, 0, 392, 148);
INSERT INTO public.who_data VALUES (92753, 0, 0, 0, 0, 392, 230);
INSERT INTO public.who_data VALUES (92754, 0, 0, 0, 0, 392, 190);
INSERT INTO public.who_data VALUES (92755, 0, 0, 0, 0, 392, 188);
INSERT INTO public.who_data VALUES (92756, 0, 0, 0, 0, 392, 123);
INSERT INTO public.who_data VALUES (92757, 0, 0, 0, 0, 392, 9);
INSERT INTO public.who_data VALUES (92758, 0, 0, 0, 0, 392, 102);
INSERT INTO public.who_data VALUES (92759, 0, 0, 0, 0, 392, 34);
INSERT INTO public.who_data VALUES (92760, 0, 0, 0, 0, 392, 212);
INSERT INTO public.who_data VALUES (92761, 0, 0, 0, 0, 392, 122);
INSERT INTO public.who_data VALUES (92762, 0, 0, 0, 0, 392, 38);
INSERT INTO public.who_data VALUES (92763, 0, 0, 0, 0, 392, 130);
INSERT INTO public.who_data VALUES (92764, 0, 0, 0, 0, 392, 37);
INSERT INTO public.who_data VALUES (92765, 0, 0, 0, 0, 392, 231);
INSERT INTO public.who_data VALUES (92766, 0, 0, 0, 0, 392, 107);
INSERT INTO public.who_data VALUES (92767, 0, 0, 0, 0, 392, 101);
INSERT INTO public.who_data VALUES (92768, 0, 0, 0, 0, 392, 132);
INSERT INTO public.who_data VALUES (92769, 0, 0, 0, 0, 392, 176);
INSERT INTO public.who_data VALUES (92770, 0, 0, 0, 0, 392, 200);
INSERT INTO public.who_data VALUES (92771, 0, 0, 0, 0, 392, 169);
INSERT INTO public.who_data VALUES (92772, 0, 0, 0, 0, 392, 225);
INSERT INTO public.who_data VALUES (92773, 1, 4, 0, 0, 392, 165);
INSERT INTO public.who_data VALUES (92774, 0, 0, 0, 0, 392, 233);
INSERT INTO public.who_data VALUES (92775, 0, 0, 0, 0, 392, 215);
INSERT INTO public.who_data VALUES (92776, 0, 0, 0, 0, 392, 177);
INSERT INTO public.who_data VALUES (92777, 0, 0, 0, 0, 392, 183);
INSERT INTO public.who_data VALUES (92778, 0, 0, 0, 0, 392, 203);
INSERT INTO public.who_data VALUES (92779, 0, 0, 0, 0, 392, 162);
INSERT INTO public.who_data VALUES (92780, 0, 0, 0, 0, 392, 12);
INSERT INTO public.who_data VALUES (92781, 0, 0, 0, 0, 392, 24);
INSERT INTO public.who_data VALUES (92782, 0, 0, 0, 0, 392, 119);
INSERT INTO public.who_data VALUES (92783, 0, 0, 0, 0, 392, 39);
INSERT INTO public.who_data VALUES (92784, 0, 0, 0, 0, 392, 26);
INSERT INTO public.who_data VALUES (92785, 0, 0, 0, 0, 392, 59);
INSERT INTO public.who_data VALUES (92786, 0, 0, 0, 0, 392, 77);
INSERT INTO public.who_data VALUES (92787, 0, 0, 0, 0, 392, 134);
INSERT INTO public.who_data VALUES (92788, 0, 0, 0, 0, 392, 4);
INSERT INTO public.who_data VALUES (92789, 0, 0, 0, 0, 392, 109);
INSERT INTO public.who_data VALUES (92790, 0, 0, 0, 0, 392, 90);
INSERT INTO public.who_data VALUES (92791, 0, 0, 0, 0, 392, 61);
INSERT INTO public.who_data VALUES (92792, 0, 0, 0, 0, 392, 85);
INSERT INTO public.who_data VALUES (92793, 1, 8, 0, 0, 392, 49);
INSERT INTO public.who_data VALUES (92794, 0, 0, 0, 0, 392, 208);
INSERT INTO public.who_data VALUES (92795, 0, 0, 0, 0, 392, 166);
INSERT INTO public.who_data VALUES (92796, 0, 0, 0, 0, 392, 64);
INSERT INTO public.who_data VALUES (92797, 0, 0, 0, 0, 392, 199);
INSERT INTO public.who_data VALUES (92798, 0, 0, 0, 0, 392, 114);
INSERT INTO public.who_data VALUES (92799, 0, 0, 0, 0, 392, 60);
INSERT INTO public.who_data VALUES (92800, 0, 0, 0, 0, 392, 68);
INSERT INTO public.who_data VALUES (92801, 0, 0, 0, 0, 392, 158);
INSERT INTO public.who_data VALUES (92802, 0, 0, 0, 0, 392, 52);
INSERT INTO public.who_data VALUES (92803, 0, 0, 0, 0, 392, 117);
INSERT INTO public.who_data VALUES (92804, 0, 0, 0, 0, 392, 126);
INSERT INTO public.who_data VALUES (92805, 0, 0, 0, 0, 392, 196);
INSERT INTO public.who_data VALUES (92806, 0, 0, 0, 0, 392, 142);
INSERT INTO public.who_data VALUES (92807, 0, 0, 0, 0, 392, 185);
INSERT INTO public.who_data VALUES (92808, 0, 0, 0, 0, 392, 138);
INSERT INTO public.who_data VALUES (92809, 0, 0, 0, 0, 392, 181);
INSERT INTO public.who_data VALUES (92810, 0, 0, 0, 0, 392, 178);
INSERT INTO public.who_data VALUES (92811, 0, 0, 0, 0, 392, 168);
INSERT INTO public.who_data VALUES (92812, 0, 0, 0, 0, 392, 160);
INSERT INTO public.who_data VALUES (92813, 0, 5, 0, 0, 392, 151);
INSERT INTO public.who_data VALUES (92814, 0, 0, 0, 0, 392, 193);
INSERT INTO public.who_data VALUES (92815, 0, 0, 0, 0, 392, 18);
INSERT INTO public.who_data VALUES (92816, 0, 0, 0, 0, 392, 40);
INSERT INTO public.who_data VALUES (92817, 0, 0, 0, 0, 392, 218);
INSERT INTO public.who_data VALUES (92818, 0, 0, 0, 0, 392, 191);
INSERT INTO public.who_data VALUES (92819, 0, 0, 0, 0, 392, 156);
INSERT INTO public.who_data VALUES (92820, 0, 0, 0, 0, 392, 135);
INSERT INTO public.who_data VALUES (92821, 0, 0, 0, 0, 392, 88);
INSERT INTO public.who_data VALUES (92822, 0, 0, 0, 0, 392, 55);
INSERT INTO public.who_data VALUES (92823, 0, 0, 0, 0, 392, 108);
INSERT INTO public.who_data VALUES (92824, 0, 0, 0, 0, 392, 48);
INSERT INTO public.who_data VALUES (92825, 0, 0, 0, 0, 392, 3);
INSERT INTO public.who_data VALUES (92826, 0, 0, 0, 0, 392, 224);
INSERT INTO public.who_data VALUES (92827, 0, 0, 0, 0, 392, 110);
INSERT INTO public.who_data VALUES (92828, 0, 0, 0, 0, 392, 106);
INSERT INTO public.who_data VALUES (92829, 0, 0, 0, 0, 392, 89);
INSERT INTO public.who_data VALUES (92830, 0, 0, 0, 0, 392, 121);
INSERT INTO public.who_data VALUES (92831, 0, 0, 0, 0, 392, 163);
INSERT INTO public.who_data VALUES (92832, 0, 0, 0, 0, 392, 70);
INSERT INTO public.who_data VALUES (92833, 0, 0, 0, 0, 392, 174);
INSERT INTO public.who_data VALUES (92834, 0, 0, 0, 0, 392, 175);
INSERT INTO public.who_data VALUES (92835, 0, 0, 0, 0, 392, 118);
INSERT INTO public.who_data VALUES (92836, 0, 0, 0, 0, 392, 189);
INSERT INTO public.who_data VALUES (92837, 0, 0, 0, 0, 392, 124);
INSERT INTO public.who_data VALUES (92838, 0, 0, 0, 0, 392, 192);
INSERT INTO public.who_data VALUES (92839, 1, 7, 0, 0, 392, 41);
INSERT INTO public.who_data VALUES (92840, 0, 0, 0, 0, 392, 95);
INSERT INTO public.who_data VALUES (92841, 0, 0, 0, 0, 392, 74);
INSERT INTO public.who_data VALUES (92842, 0, 0, 0, 0, 392, 11);
INSERT INTO public.who_data VALUES (92843, 0, 0, 0, 0, 392, 87);
INSERT INTO public.who_data VALUES (92844, 0, 0, 0, 0, 392, 214);
INSERT INTO public.who_data VALUES (92845, 0, 0, 0, 0, 392, 116);
INSERT INTO public.who_data VALUES (92846, 0, 0, 0, 0, 392, 157);
INSERT INTO public.who_data VALUES (92847, 0, 0, 0, 0, 392, 182);
INSERT INTO public.who_data VALUES (92848, 0, 0, 0, 0, 392, 186);
INSERT INTO public.who_data VALUES (92849, 0, 0, 0, 0, 392, 127);
INSERT INTO public.who_data VALUES (92850, 0, 0, 0, 0, 392, 232);
INSERT INTO public.who_data VALUES (92851, 0, 0, 0, 0, 392, 33);
INSERT INTO public.who_data VALUES (92852, 0, 0, 0, 0, 392, 97);
INSERT INTO public.who_data VALUES (92853, 0, 0, 0, 0, 392, 42);
INSERT INTO public.who_data VALUES (92854, 0, 0, 0, 0, 392, 198);
INSERT INTO public.who_data VALUES (92855, 0, 0, 0, 0, 392, 216);
INSERT INTO public.who_data VALUES (92856, 0, 0, 0, 0, 392, 164);
INSERT INTO public.who_data VALUES (92857, 0, 0, 0, 0, 392, 235);
INSERT INTO public.who_data VALUES (92858, 0, 0, 0, 0, 392, 67);
INSERT INTO public.who_data VALUES (92859, 0, 0, 0, 0, 392, 15);
INSERT INTO public.who_data VALUES (92860, 0, 0, 0, 0, 392, 180);
INSERT INTO public.who_data VALUES (92861, 1, 8, 0, 0, 392, 237);
INSERT INTO public.who_data VALUES (92862, 0, 0, 0, 0, 392, 25);
INSERT INTO public.who_data VALUES (92863, 0, 0, 0, 0, 392, 209);
INSERT INTO public.who_data VALUES (92864, 0, 0, 0, 0, 392, 217);
INSERT INTO public.who_data VALUES (92865, 0, 0, 0, 0, 392, 79);
INSERT INTO public.who_data VALUES (92866, 0, 0, 0, 0, 392, 143);
INSERT INTO public.who_data VALUES (92867, 0, 0, 0, 0, 392, 229);
INSERT INTO public.who_data VALUES (92868, 0, 0, 0, 0, 392, 141);
INSERT INTO public.who_data VALUES (92869, 0, 0, 0, 0, 392, 197);
INSERT INTO public.who_data VALUES (92870, 0, 0, 0, 0, 392, 221);
INSERT INTO public.who_data VALUES (92871, 0, 0, 0, 0, 392, 150);
INSERT INTO public.who_data VALUES (92872, 0, 0, 0, 0, 392, 56);
INSERT INTO public.who_data VALUES (92873, 0, 0, 0, 0, 392, 167);
INSERT INTO public.who_data VALUES (92874, 0, 0, 0, 0, 392, 23);
INSERT INTO public.who_data VALUES (92875, 0, 0, 0, 0, 392, 222);
INSERT INTO public.who_data VALUES (92876, 0, 0, 0, 0, 392, 219);
INSERT INTO public.who_data VALUES (92877, 0, 0, 0, 0, 392, 7);
INSERT INTO public.who_data VALUES (92878, 1, 9, 0, 0, 392, 161);
INSERT INTO public.who_data VALUES (92879, 0, 0, 0, 0, 392, 149);
INSERT INTO public.who_data VALUES (92880, 0, 0, 0, 0, 392, 6);
INSERT INTO public.who_data VALUES (92881, 0, 0, 0, 0, 392, 139);
INSERT INTO public.who_data VALUES (92882, 0, 0, 0, 0, 392, 211);
INSERT INTO public.who_data VALUES (92883, 0, 0, 0, 0, 392, 14);
INSERT INTO public.who_data VALUES (92884, 0, 0, 0, 0, 392, 111);
INSERT INTO public.who_data VALUES (92885, 0, 0, 0, 0, 392, 207);
INSERT INTO public.who_data VALUES (92886, 0, 0, 0, 0, 392, 66);
INSERT INTO public.who_data VALUES (92887, 0, 0, 0, 0, 392, 173);
INSERT INTO public.who_data VALUES (92888, 0, 0, 0, 0, 392, 145);
INSERT INTO public.who_data VALUES (92889, 0, 0, 0, 0, 392, 65);
INSERT INTO public.who_data VALUES (92890, 0, 0, 0, 0, 392, 184);
INSERT INTO public.who_data VALUES (92891, 0, 0, 0, 0, 392, 98);
INSERT INTO public.who_data VALUES (92892, 0, 0, 0, 0, 392, 104);
INSERT INTO public.who_data VALUES (92893, 0, 0, 0, 0, 392, 73);
INSERT INTO public.who_data VALUES (92894, 3, 9, 0, 0, 392, 8);
INSERT INTO public.who_data VALUES (92895, 0, 0, 0, 0, 392, 227);
INSERT INTO public.who_data VALUES (92896, 0, 0, 0, 0, 392, 75);
INSERT INTO public.who_data VALUES (92897, 0, 0, 0, 0, 392, 45);
INSERT INTO public.who_data VALUES (92898, 0, 0, 0, 0, 392, 133);
INSERT INTO public.who_data VALUES (92899, 0, 0, 0, 0, 392, 202);
INSERT INTO public.who_data VALUES (92900, 0, 6, 0, 0, 392, 129);
INSERT INTO public.who_data VALUES (92901, 0, 0, 0, 0, 392, 36);
INSERT INTO public.who_data VALUES (92902, 0, 0, 0, 0, 392, 51);
INSERT INTO public.who_data VALUES (92903, 0, 0, 0, 0, 392, 206);
INSERT INTO public.who_data VALUES (92904, 0, 0, 0, 0, 392, 5);
INSERT INTO public.who_data VALUES (92905, 0, 0, 0, 0, 393, 103);
INSERT INTO public.who_data VALUES (92906, 0, 0, 0, 0, 393, 58);
INSERT INTO public.who_data VALUES (92907, 0, 0, 0, 0, 393, 195);
INSERT INTO public.who_data VALUES (92908, 0, 0, 0, 0, 393, 115);
INSERT INTO public.who_data VALUES (92909, 0, 0, 0, 0, 393, 99);
INSERT INTO public.who_data VALUES (92910, 0, 0, 0, 0, 393, 153);
INSERT INTO public.who_data VALUES (92911, 0, 0, 0, 0, 393, 93);
INSERT INTO public.who_data VALUES (92912, 0, 0, 0, 0, 393, 84);
INSERT INTO public.who_data VALUES (92913, 0, 0, 0, 0, 393, 78);
INSERT INTO public.who_data VALUES (92914, 0, 0, 0, 0, 393, 170);
INSERT INTO public.who_data VALUES (92915, 0, 0, 0, 0, 393, 32);
INSERT INTO public.who_data VALUES (92916, 7, 7, 0, 0, 393, 155);
INSERT INTO public.who_data VALUES (92917, 0, 0, 0, 0, 393, 82);
INSERT INTO public.who_data VALUES (92918, 0, 0, 0, 0, 393, 16);
INSERT INTO public.who_data VALUES (92919, 0, 0, 0, 0, 393, 72);
INSERT INTO public.who_data VALUES (92920, 0, 0, 0, 0, 393, 43);
INSERT INTO public.who_data VALUES (92921, 0, 0, 0, 0, 393, 120);
INSERT INTO public.who_data VALUES (92922, 0, 0, 0, 0, 393, 213);
INSERT INTO public.who_data VALUES (92923, 0, 0, 0, 0, 393, 31);
INSERT INTO public.who_data VALUES (92924, 0, 0, 0, 0, 393, 204);
INSERT INTO public.who_data VALUES (92925, 0, 0, 0, 0, 393, 152);
INSERT INTO public.who_data VALUES (92926, 0, 0, 0, 0, 393, 144);
INSERT INTO public.who_data VALUES (92927, 0, 0, 0, 0, 393, 96);
INSERT INTO public.who_data VALUES (92928, 0, 0, 0, 0, 393, 47);
INSERT INTO public.who_data VALUES (92929, 0, 0, 0, 0, 393, 80);
INSERT INTO public.who_data VALUES (92930, 0, 0, 0, 0, 393, 159);
INSERT INTO public.who_data VALUES (92931, 0, 0, 0, 0, 393, 27);
INSERT INTO public.who_data VALUES (92932, 0, 0, 0, 0, 393, 146);
INSERT INTO public.who_data VALUES (92933, 0, 0, 0, 0, 393, 71);
INSERT INTO public.who_data VALUES (92934, 0, 0, 0, 0, 393, 210);
INSERT INTO public.who_data VALUES (92935, 0, 0, 0, 0, 393, 54);
INSERT INTO public.who_data VALUES (92936, 0, 0, 0, 0, 393, 147);
INSERT INTO public.who_data VALUES (92937, 0, 0, 0, 0, 393, 2);
INSERT INTO public.who_data VALUES (92938, 0, 0, 0, 0, 393, 105);
INSERT INTO public.who_data VALUES (92939, 0, 0, 0, 0, 393, 53);
INSERT INTO public.who_data VALUES (92940, 0, 0, 0, 0, 393, 81);
INSERT INTO public.who_data VALUES (92941, 0, 0, 0, 0, 393, 223);
INSERT INTO public.who_data VALUES (92942, 0, 0, 0, 0, 393, 94);
INSERT INTO public.who_data VALUES (92943, 0, 0, 0, 0, 393, 154);
INSERT INTO public.who_data VALUES (92944, 0, 0, 0, 0, 393, 83);
INSERT INTO public.who_data VALUES (92945, 0, 0, 0, 0, 393, 194);
INSERT INTO public.who_data VALUES (92946, 0, 0, 0, 0, 393, 136);
INSERT INTO public.who_data VALUES (92947, 462, 1301, 16, 41, 393, 179);
INSERT INTO public.who_data VALUES (92948, 0, 0, 0, 0, 393, 57);
INSERT INTO public.who_data VALUES (92949, 0, 0, 0, 0, 393, 35);
INSERT INTO public.who_data VALUES (92950, 0, 0, 0, 0, 393, 228);
INSERT INTO public.who_data VALUES (92951, 0, 0, 0, 0, 393, 19);
INSERT INTO public.who_data VALUES (92952, 0, 0, 0, 0, 393, 22);
INSERT INTO public.who_data VALUES (92953, 0, 0, 0, 0, 393, 1);
INSERT INTO public.who_data VALUES (92954, 0, 0, 0, 0, 393, 21);
INSERT INTO public.who_data VALUES (92955, 0, 0, 0, 0, 393, 234);
INSERT INTO public.who_data VALUES (92956, 0, 0, 0, 0, 393, 91);
INSERT INTO public.who_data VALUES (92957, 0, 0, 0, 0, 393, 137);
INSERT INTO public.who_data VALUES (92958, 0, 0, 0, 0, 393, 201);
INSERT INTO public.who_data VALUES (92959, 0, 0, 0, 0, 393, 171);
INSERT INTO public.who_data VALUES (92960, 0, 0, 0, 0, 393, 92);
INSERT INTO public.who_data VALUES (92961, 0, 0, 0, 0, 393, 112);
INSERT INTO public.who_data VALUES (92962, 0, 0, 0, 0, 393, 62);
INSERT INTO public.who_data VALUES (92963, 0, 0, 0, 0, 393, 69);
INSERT INTO public.who_data VALUES (92964, 0, 0, 0, 0, 393, 220);
INSERT INTO public.who_data VALUES (92965, 0, 0, 0, 0, 393, 100);
INSERT INTO public.who_data VALUES (92966, 0, 0, 0, 0, 393, 187);
INSERT INTO public.who_data VALUES (92967, 0, 0, 0, 0, 393, 63);
INSERT INTO public.who_data VALUES (92968, 0, 0, 0, 0, 393, 28);
INSERT INTO public.who_data VALUES (92969, 0, 0, 0, 0, 393, 172);
INSERT INTO public.who_data VALUES (92970, 0, 0, 0, 0, 393, 17);
INSERT INTO public.who_data VALUES (92971, 0, 0, 0, 0, 393, 226);
INSERT INTO public.who_data VALUES (92972, 0, 0, 0, 0, 393, 236);
INSERT INTO public.who_data VALUES (92973, 0, 0, 0, 0, 393, 76);
INSERT INTO public.who_data VALUES (92974, 0, 0, 0, 0, 393, 30);
INSERT INTO public.who_data VALUES (92975, 0, 0, 0, 0, 393, 128);
INSERT INTO public.who_data VALUES (92976, 0, 0, 0, 0, 393, 86);
INSERT INTO public.who_data VALUES (92977, 0, 3, 0, 0, 393, 140);
INSERT INTO public.who_data VALUES (92978, 0, 0, 0, 0, 393, 44);
INSERT INTO public.who_data VALUES (92979, 0, 0, 0, 0, 393, 113);
INSERT INTO public.who_data VALUES (92980, 0, 0, 0, 0, 393, 29);
INSERT INTO public.who_data VALUES (92981, 0, 0, 0, 0, 393, 125);
INSERT INTO public.who_data VALUES (92982, 0, 0, 0, 0, 393, 131);
INSERT INTO public.who_data VALUES (92983, 0, 0, 0, 0, 393, 46);
INSERT INTO public.who_data VALUES (92984, 0, 0, 0, 0, 393, 10);
INSERT INTO public.who_data VALUES (92985, 0, 0, 0, 0, 393, 205);
INSERT INTO public.who_data VALUES (92986, 0, 0, 0, 0, 393, 50);
INSERT INTO public.who_data VALUES (92987, 0, 0, 0, 0, 393, 20);
INSERT INTO public.who_data VALUES (92988, 0, 0, 0, 0, 393, 13);
INSERT INTO public.who_data VALUES (92989, 0, 0, 0, 0, 393, 148);
INSERT INTO public.who_data VALUES (92990, 0, 0, 0, 0, 393, 230);
INSERT INTO public.who_data VALUES (92991, 0, 0, 0, 0, 393, 190);
INSERT INTO public.who_data VALUES (92992, 0, 0, 0, 0, 393, 188);
INSERT INTO public.who_data VALUES (92993, 0, 0, 0, 0, 393, 123);
INSERT INTO public.who_data VALUES (92994, 0, 0, 0, 0, 393, 9);
INSERT INTO public.who_data VALUES (92995, 0, 0, 0, 0, 393, 102);
INSERT INTO public.who_data VALUES (92996, 0, 0, 0, 0, 393, 34);
INSERT INTO public.who_data VALUES (92997, 0, 0, 0, 0, 393, 212);
INSERT INTO public.who_data VALUES (92998, 0, 0, 0, 0, 393, 122);
INSERT INTO public.who_data VALUES (92999, 0, 0, 0, 0, 393, 38);
INSERT INTO public.who_data VALUES (93000, 0, 0, 0, 0, 393, 130);
INSERT INTO public.who_data VALUES (93001, 0, 0, 0, 0, 393, 37);
INSERT INTO public.who_data VALUES (93002, 0, 0, 0, 0, 393, 231);
INSERT INTO public.who_data VALUES (93003, 0, 0, 0, 0, 393, 107);
INSERT INTO public.who_data VALUES (93004, 0, 0, 0, 0, 393, 101);
INSERT INTO public.who_data VALUES (93005, 0, 0, 0, 0, 393, 132);
INSERT INTO public.who_data VALUES (93006, 0, 0, 0, 0, 393, 176);
INSERT INTO public.who_data VALUES (93007, 0, 0, 0, 0, 393, 200);
INSERT INTO public.who_data VALUES (93008, 0, 0, 0, 0, 393, 169);
INSERT INTO public.who_data VALUES (93009, 0, 0, 0, 0, 393, 225);
INSERT INTO public.who_data VALUES (93010, 1, 3, 0, 0, 393, 165);
INSERT INTO public.who_data VALUES (93011, 0, 0, 0, 0, 393, 233);
INSERT INTO public.who_data VALUES (93012, 0, 0, 0, 0, 393, 215);
INSERT INTO public.who_data VALUES (93013, 0, 0, 0, 0, 393, 177);
INSERT INTO public.who_data VALUES (93014, 0, 0, 0, 0, 393, 183);
INSERT INTO public.who_data VALUES (93015, 0, 0, 0, 0, 393, 203);
INSERT INTO public.who_data VALUES (93016, 0, 0, 0, 0, 393, 162);
INSERT INTO public.who_data VALUES (93017, 0, 0, 0, 0, 393, 12);
INSERT INTO public.who_data VALUES (93018, 0, 0, 0, 0, 393, 24);
INSERT INTO public.who_data VALUES (93019, 0, 0, 0, 0, 393, 119);
INSERT INTO public.who_data VALUES (93020, 0, 0, 0, 0, 393, 39);
INSERT INTO public.who_data VALUES (93021, 0, 0, 0, 0, 393, 26);
INSERT INTO public.who_data VALUES (93022, 0, 0, 0, 0, 393, 59);
INSERT INTO public.who_data VALUES (93023, 0, 0, 0, 0, 393, 77);
INSERT INTO public.who_data VALUES (93024, 0, 0, 0, 0, 393, 134);
INSERT INTO public.who_data VALUES (93025, 0, 0, 0, 0, 393, 4);
INSERT INTO public.who_data VALUES (93026, 0, 0, 0, 0, 393, 109);
INSERT INTO public.who_data VALUES (93027, 0, 0, 0, 0, 393, 90);
INSERT INTO public.who_data VALUES (93028, 0, 0, 0, 0, 393, 61);
INSERT INTO public.who_data VALUES (93029, 0, 0, 0, 0, 393, 85);
INSERT INTO public.who_data VALUES (93030, 7, 7, 0, 0, 393, 49);
INSERT INTO public.who_data VALUES (93031, 0, 0, 0, 0, 393, 208);
INSERT INTO public.who_data VALUES (93032, 0, 0, 0, 0, 393, 166);
INSERT INTO public.who_data VALUES (93033, 0, 0, 0, 0, 393, 64);
INSERT INTO public.who_data VALUES (93034, 0, 0, 0, 0, 393, 199);
INSERT INTO public.who_data VALUES (93035, 0, 0, 0, 0, 393, 114);
INSERT INTO public.who_data VALUES (93036, 0, 0, 0, 0, 393, 60);
INSERT INTO public.who_data VALUES (93037, 0, 0, 0, 0, 393, 68);
INSERT INTO public.who_data VALUES (93038, 0, 0, 0, 0, 393, 158);
INSERT INTO public.who_data VALUES (93039, 0, 0, 0, 0, 393, 52);
INSERT INTO public.who_data VALUES (93040, 0, 0, 0, 0, 393, 117);
INSERT INTO public.who_data VALUES (93041, 0, 0, 0, 0, 393, 126);
INSERT INTO public.who_data VALUES (93042, 0, 0, 0, 0, 393, 196);
INSERT INTO public.who_data VALUES (93043, 0, 0, 0, 0, 393, 142);
INSERT INTO public.who_data VALUES (93044, 0, 0, 0, 0, 393, 185);
INSERT INTO public.who_data VALUES (93045, 0, 0, 0, 0, 393, 138);
INSERT INTO public.who_data VALUES (93046, 0, 0, 0, 0, 393, 181);
INSERT INTO public.who_data VALUES (93047, 0, 0, 0, 0, 393, 178);
INSERT INTO public.who_data VALUES (93048, 0, 0, 0, 0, 393, 168);
INSERT INTO public.who_data VALUES (93049, 0, 0, 0, 0, 393, 160);
INSERT INTO public.who_data VALUES (93050, 0, 5, 0, 0, 393, 151);
INSERT INTO public.who_data VALUES (93051, 0, 0, 0, 0, 393, 193);
INSERT INTO public.who_data VALUES (93052, 0, 0, 0, 0, 393, 18);
INSERT INTO public.who_data VALUES (93053, 0, 0, 0, 0, 393, 40);
INSERT INTO public.who_data VALUES (93054, 0, 0, 0, 0, 393, 218);
INSERT INTO public.who_data VALUES (93055, 0, 0, 0, 0, 393, 191);
INSERT INTO public.who_data VALUES (93056, 0, 0, 0, 0, 393, 156);
INSERT INTO public.who_data VALUES (93057, 0, 0, 0, 0, 393, 135);
INSERT INTO public.who_data VALUES (93058, 0, 0, 0, 0, 393, 88);
INSERT INTO public.who_data VALUES (93059, 0, 0, 0, 0, 393, 55);
INSERT INTO public.who_data VALUES (93060, 0, 0, 0, 0, 393, 108);
INSERT INTO public.who_data VALUES (93061, 0, 0, 0, 0, 393, 48);
INSERT INTO public.who_data VALUES (93062, 0, 0, 0, 0, 393, 3);
INSERT INTO public.who_data VALUES (93063, 0, 0, 0, 0, 393, 224);
INSERT INTO public.who_data VALUES (93064, 0, 0, 0, 0, 393, 110);
INSERT INTO public.who_data VALUES (93065, 0, 0, 0, 0, 393, 106);
INSERT INTO public.who_data VALUES (93066, 0, 0, 0, 0, 393, 89);
INSERT INTO public.who_data VALUES (93067, 0, 0, 0, 0, 393, 121);
INSERT INTO public.who_data VALUES (93068, 0, 0, 0, 0, 393, 163);
INSERT INTO public.who_data VALUES (93069, 0, 0, 0, 0, 393, 70);
INSERT INTO public.who_data VALUES (93070, 0, 0, 0, 0, 393, 174);
INSERT INTO public.who_data VALUES (93071, 0, 0, 0, 0, 393, 175);
INSERT INTO public.who_data VALUES (93072, 0, 0, 0, 0, 393, 118);
INSERT INTO public.who_data VALUES (93073, 0, 0, 0, 0, 393, 189);
INSERT INTO public.who_data VALUES (93074, 0, 0, 0, 0, 393, 124);
INSERT INTO public.who_data VALUES (93075, 0, 0, 0, 0, 393, 192);
INSERT INTO public.who_data VALUES (93076, 0, 6, 0, 0, 393, 41);
INSERT INTO public.who_data VALUES (93077, 0, 0, 0, 0, 393, 95);
INSERT INTO public.who_data VALUES (93078, 0, 0, 0, 0, 393, 74);
INSERT INTO public.who_data VALUES (93079, 0, 0, 0, 0, 393, 11);
INSERT INTO public.who_data VALUES (93080, 0, 0, 0, 0, 393, 87);
INSERT INTO public.who_data VALUES (93081, 0, 0, 0, 0, 393, 214);
INSERT INTO public.who_data VALUES (93082, 0, 0, 0, 0, 393, 116);
INSERT INTO public.who_data VALUES (93083, 0, 0, 0, 0, 393, 157);
INSERT INTO public.who_data VALUES (93084, 0, 0, 0, 0, 393, 182);
INSERT INTO public.who_data VALUES (93085, 0, 0, 0, 0, 393, 186);
INSERT INTO public.who_data VALUES (93086, 0, 0, 0, 0, 393, 127);
INSERT INTO public.who_data VALUES (93087, 0, 0, 0, 0, 393, 232);
INSERT INTO public.who_data VALUES (93088, 0, 0, 0, 0, 393, 33);
INSERT INTO public.who_data VALUES (93089, 0, 0, 0, 0, 393, 97);
INSERT INTO public.who_data VALUES (93090, 0, 0, 0, 0, 393, 42);
INSERT INTO public.who_data VALUES (93091, 0, 0, 0, 0, 393, 198);
INSERT INTO public.who_data VALUES (93092, 0, 0, 0, 0, 393, 216);
INSERT INTO public.who_data VALUES (93093, 0, 0, 0, 0, 393, 164);
INSERT INTO public.who_data VALUES (93094, 0, 0, 0, 0, 393, 235);
INSERT INTO public.who_data VALUES (93095, 0, 0, 0, 0, 393, 67);
INSERT INTO public.who_data VALUES (93096, 0, 0, 0, 0, 393, 15);
INSERT INTO public.who_data VALUES (93097, 0, 0, 0, 0, 393, 180);
INSERT INTO public.who_data VALUES (93098, 0, 7, 0, 0, 393, 237);
INSERT INTO public.who_data VALUES (93099, 0, 0, 0, 0, 393, 25);
INSERT INTO public.who_data VALUES (93100, 0, 0, 0, 0, 393, 209);
INSERT INTO public.who_data VALUES (93101, 0, 0, 0, 0, 393, 217);
INSERT INTO public.who_data VALUES (93102, 0, 0, 0, 0, 393, 79);
INSERT INTO public.who_data VALUES (93103, 0, 0, 0, 0, 393, 143);
INSERT INTO public.who_data VALUES (93104, 0, 0, 0, 0, 393, 229);
INSERT INTO public.who_data VALUES (93105, 0, 0, 0, 0, 393, 141);
INSERT INTO public.who_data VALUES (93106, 0, 0, 0, 0, 393, 197);
INSERT INTO public.who_data VALUES (93107, 0, 0, 0, 0, 393, 221);
INSERT INTO public.who_data VALUES (93108, 0, 0, 0, 0, 393, 150);
INSERT INTO public.who_data VALUES (93109, 0, 0, 0, 0, 393, 56);
INSERT INTO public.who_data VALUES (93110, 0, 0, 0, 0, 393, 167);
INSERT INTO public.who_data VALUES (93111, 0, 0, 0, 0, 393, 23);
INSERT INTO public.who_data VALUES (93112, 0, 0, 0, 0, 393, 222);
INSERT INTO public.who_data VALUES (93113, 0, 0, 0, 0, 393, 219);
INSERT INTO public.who_data VALUES (93114, 0, 0, 0, 0, 393, 7);
INSERT INTO public.who_data VALUES (93115, 0, 8, 0, 0, 393, 161);
INSERT INTO public.who_data VALUES (93116, 0, 0, 0, 0, 393, 149);
INSERT INTO public.who_data VALUES (93117, 0, 0, 0, 0, 393, 6);
INSERT INTO public.who_data VALUES (93118, 0, 0, 0, 0, 393, 139);
INSERT INTO public.who_data VALUES (93119, 0, 0, 0, 0, 393, 211);
INSERT INTO public.who_data VALUES (93120, 0, 0, 0, 0, 393, 14);
INSERT INTO public.who_data VALUES (93121, 0, 0, 0, 0, 393, 111);
INSERT INTO public.who_data VALUES (93122, 0, 0, 0, 0, 393, 207);
INSERT INTO public.who_data VALUES (93123, 0, 0, 0, 0, 393, 66);
INSERT INTO public.who_data VALUES (93124, 0, 0, 0, 0, 393, 173);
INSERT INTO public.who_data VALUES (93125, 0, 0, 0, 0, 393, 145);
INSERT INTO public.who_data VALUES (93126, 0, 0, 0, 0, 393, 65);
INSERT INTO public.who_data VALUES (93127, 0, 0, 0, 0, 393, 184);
INSERT INTO public.who_data VALUES (93128, 0, 0, 0, 0, 393, 98);
INSERT INTO public.who_data VALUES (93129, 0, 0, 0, 0, 393, 104);
INSERT INTO public.who_data VALUES (93130, 0, 0, 0, 0, 393, 73);
INSERT INTO public.who_data VALUES (93131, 0, 6, 0, 0, 393, 8);
INSERT INTO public.who_data VALUES (93132, 0, 0, 0, 0, 393, 227);
INSERT INTO public.who_data VALUES (93133, 0, 0, 0, 0, 393, 75);
INSERT INTO public.who_data VALUES (93134, 0, 0, 0, 0, 393, 45);
INSERT INTO public.who_data VALUES (93135, 0, 0, 0, 0, 393, 133);
INSERT INTO public.who_data VALUES (93136, 0, 0, 0, 0, 393, 202);
INSERT INTO public.who_data VALUES (93137, 0, 6, 0, 0, 393, 129);
INSERT INTO public.who_data VALUES (93138, 0, 0, 0, 0, 393, 36);
INSERT INTO public.who_data VALUES (93139, 0, 0, 0, 0, 393, 51);
INSERT INTO public.who_data VALUES (93140, 0, 0, 0, 0, 393, 206);
INSERT INTO public.who_data VALUES (93141, 0, 0, 0, 0, 393, 5);
INSERT INTO public.who_data VALUES (93142, 0, 0, 0, 0, 394, 103);
INSERT INTO public.who_data VALUES (93143, 0, 0, 0, 0, 394, 58);
INSERT INTO public.who_data VALUES (93144, 0, 0, 0, 0, 394, 195);
INSERT INTO public.who_data VALUES (93145, 0, 0, 0, 0, 394, 115);
INSERT INTO public.who_data VALUES (93146, 0, 0, 0, 0, 394, 99);
INSERT INTO public.who_data VALUES (93147, 0, 0, 0, 0, 394, 153);
INSERT INTO public.who_data VALUES (93148, 0, 0, 0, 0, 394, 93);
INSERT INTO public.who_data VALUES (93149, 0, 0, 0, 0, 394, 84);
INSERT INTO public.who_data VALUES (93150, 0, 0, 0, 0, 394, 78);
INSERT INTO public.who_data VALUES (93151, 0, 0, 0, 0, 394, 170);
INSERT INTO public.who_data VALUES (93152, 0, 0, 0, 0, 394, 32);
INSERT INTO public.who_data VALUES (93153, 0, 0, 0, 0, 394, 155);
INSERT INTO public.who_data VALUES (93154, 0, 0, 0, 0, 394, 82);
INSERT INTO public.who_data VALUES (93155, 0, 0, 0, 0, 394, 16);
INSERT INTO public.who_data VALUES (93156, 0, 0, 0, 0, 394, 72);
INSERT INTO public.who_data VALUES (93157, 0, 0, 0, 0, 394, 43);
INSERT INTO public.who_data VALUES (93158, 0, 0, 0, 0, 394, 120);
INSERT INTO public.who_data VALUES (93159, 0, 0, 0, 0, 394, 213);
INSERT INTO public.who_data VALUES (93160, 0, 0, 0, 0, 394, 31);
INSERT INTO public.who_data VALUES (93161, 0, 0, 0, 0, 394, 204);
INSERT INTO public.who_data VALUES (93162, 0, 0, 0, 0, 394, 152);
INSERT INTO public.who_data VALUES (93163, 0, 0, 0, 0, 394, 144);
INSERT INTO public.who_data VALUES (93164, 0, 0, 0, 0, 394, 96);
INSERT INTO public.who_data VALUES (93165, 0, 0, 0, 0, 394, 47);
INSERT INTO public.who_data VALUES (93166, 0, 0, 0, 0, 394, 80);
INSERT INTO public.who_data VALUES (93167, 0, 0, 0, 0, 394, 159);
INSERT INTO public.who_data VALUES (93168, 0, 0, 0, 0, 394, 27);
INSERT INTO public.who_data VALUES (93169, 0, 0, 0, 0, 394, 146);
INSERT INTO public.who_data VALUES (93170, 0, 0, 0, 0, 394, 71);
INSERT INTO public.who_data VALUES (93171, 0, 0, 0, 0, 394, 210);
INSERT INTO public.who_data VALUES (93172, 0, 0, 0, 0, 394, 54);
INSERT INTO public.who_data VALUES (93173, 0, 0, 0, 0, 394, 147);
INSERT INTO public.who_data VALUES (93174, 0, 0, 0, 0, 394, 2);
INSERT INTO public.who_data VALUES (93175, 0, 0, 0, 0, 394, 105);
INSERT INTO public.who_data VALUES (93176, 0, 0, 0, 0, 394, 53);
INSERT INTO public.who_data VALUES (93177, 0, 0, 0, 0, 394, 81);
INSERT INTO public.who_data VALUES (93178, 0, 0, 0, 0, 394, 223);
INSERT INTO public.who_data VALUES (93179, 0, 0, 0, 0, 394, 94);
INSERT INTO public.who_data VALUES (93180, 0, 0, 0, 0, 394, 154);
INSERT INTO public.who_data VALUES (93181, 0, 0, 0, 0, 394, 83);
INSERT INTO public.who_data VALUES (93182, 0, 0, 0, 0, 394, 194);
INSERT INTO public.who_data VALUES (93183, 0, 0, 0, 0, 394, 136);
INSERT INTO public.who_data VALUES (93184, 261, 839, 8, 25, 394, 179);
INSERT INTO public.who_data VALUES (93185, 0, 0, 0, 0, 394, 57);
INSERT INTO public.who_data VALUES (93186, 0, 0, 0, 0, 394, 35);
INSERT INTO public.who_data VALUES (93187, 0, 0, 0, 0, 394, 228);
INSERT INTO public.who_data VALUES (93188, 0, 0, 0, 0, 394, 19);
INSERT INTO public.who_data VALUES (93189, 0, 0, 0, 0, 394, 22);
INSERT INTO public.who_data VALUES (93190, 0, 0, 0, 0, 394, 1);
INSERT INTO public.who_data VALUES (93191, 0, 0, 0, 0, 394, 21);
INSERT INTO public.who_data VALUES (93192, 0, 0, 0, 0, 394, 234);
INSERT INTO public.who_data VALUES (93193, 0, 0, 0, 0, 394, 91);
INSERT INTO public.who_data VALUES (93194, 0, 0, 0, 0, 394, 137);
INSERT INTO public.who_data VALUES (93195, 0, 0, 0, 0, 394, 201);
INSERT INTO public.who_data VALUES (93196, 0, 0, 0, 0, 394, 171);
INSERT INTO public.who_data VALUES (93197, 0, 0, 0, 0, 394, 92);
INSERT INTO public.who_data VALUES (93198, 0, 0, 0, 0, 394, 112);
INSERT INTO public.who_data VALUES (93199, 0, 0, 0, 0, 394, 62);
INSERT INTO public.who_data VALUES (93200, 0, 0, 0, 0, 394, 69);
INSERT INTO public.who_data VALUES (93201, 0, 0, 0, 0, 394, 220);
INSERT INTO public.who_data VALUES (93202, 0, 0, 0, 0, 394, 100);
INSERT INTO public.who_data VALUES (93203, 0, 0, 0, 0, 394, 187);
INSERT INTO public.who_data VALUES (93204, 0, 0, 0, 0, 394, 63);
INSERT INTO public.who_data VALUES (93205, 0, 0, 0, 0, 394, 28);
INSERT INTO public.who_data VALUES (93206, 0, 0, 0, 0, 394, 172);
INSERT INTO public.who_data VALUES (93207, 0, 0, 0, 0, 394, 17);
INSERT INTO public.who_data VALUES (93208, 0, 0, 0, 0, 394, 226);
INSERT INTO public.who_data VALUES (93209, 0, 0, 0, 0, 394, 236);
INSERT INTO public.who_data VALUES (93210, 0, 0, 0, 0, 394, 76);
INSERT INTO public.who_data VALUES (93211, 0, 0, 0, 0, 394, 30);
INSERT INTO public.who_data VALUES (93212, 0, 0, 0, 0, 394, 128);
INSERT INTO public.who_data VALUES (93213, 0, 0, 0, 0, 394, 86);
INSERT INTO public.who_data VALUES (93214, 3, 3, 0, 0, 394, 140);
INSERT INTO public.who_data VALUES (93215, 0, 0, 0, 0, 394, 44);
INSERT INTO public.who_data VALUES (93216, 0, 0, 0, 0, 394, 113);
INSERT INTO public.who_data VALUES (93217, 0, 0, 0, 0, 394, 29);
INSERT INTO public.who_data VALUES (93218, 0, 0, 0, 0, 394, 125);
INSERT INTO public.who_data VALUES (93219, 0, 0, 0, 0, 394, 131);
INSERT INTO public.who_data VALUES (93220, 0, 0, 0, 0, 394, 46);
INSERT INTO public.who_data VALUES (93221, 0, 0, 0, 0, 394, 10);
INSERT INTO public.who_data VALUES (93222, 0, 0, 0, 0, 394, 205);
INSERT INTO public.who_data VALUES (93223, 0, 0, 0, 0, 394, 50);
INSERT INTO public.who_data VALUES (93224, 0, 0, 0, 0, 394, 20);
INSERT INTO public.who_data VALUES (93225, 0, 0, 0, 0, 394, 13);
INSERT INTO public.who_data VALUES (93226, 0, 0, 0, 0, 394, 148);
INSERT INTO public.who_data VALUES (93227, 0, 0, 0, 0, 394, 230);
INSERT INTO public.who_data VALUES (93228, 0, 0, 0, 0, 394, 190);
INSERT INTO public.who_data VALUES (93229, 0, 0, 0, 0, 394, 188);
INSERT INTO public.who_data VALUES (93230, 0, 0, 0, 0, 394, 123);
INSERT INTO public.who_data VALUES (93231, 0, 0, 0, 0, 394, 9);
INSERT INTO public.who_data VALUES (93232, 0, 0, 0, 0, 394, 102);
INSERT INTO public.who_data VALUES (93233, 0, 0, 0, 0, 394, 34);
INSERT INTO public.who_data VALUES (93234, 0, 0, 0, 0, 394, 212);
INSERT INTO public.who_data VALUES (93235, 0, 0, 0, 0, 394, 122);
INSERT INTO public.who_data VALUES (93236, 0, 0, 0, 0, 394, 38);
INSERT INTO public.who_data VALUES (93237, 0, 0, 0, 0, 394, 130);
INSERT INTO public.who_data VALUES (93238, 0, 0, 0, 0, 394, 37);
INSERT INTO public.who_data VALUES (93239, 0, 0, 0, 0, 394, 231);
INSERT INTO public.who_data VALUES (93240, 0, 0, 0, 0, 394, 107);
INSERT INTO public.who_data VALUES (93241, 0, 0, 0, 0, 394, 101);
INSERT INTO public.who_data VALUES (93242, 0, 0, 0, 0, 394, 132);
INSERT INTO public.who_data VALUES (93243, 0, 0, 0, 0, 394, 176);
INSERT INTO public.who_data VALUES (93244, 0, 0, 0, 0, 394, 200);
INSERT INTO public.who_data VALUES (93245, 0, 0, 0, 0, 394, 169);
INSERT INTO public.who_data VALUES (93246, 0, 0, 0, 0, 394, 225);
INSERT INTO public.who_data VALUES (93247, 1, 2, 0, 0, 394, 165);
INSERT INTO public.who_data VALUES (93248, 0, 0, 0, 0, 394, 233);
INSERT INTO public.who_data VALUES (93249, 0, 0, 0, 0, 394, 215);
INSERT INTO public.who_data VALUES (93250, 0, 0, 0, 0, 394, 177);
INSERT INTO public.who_data VALUES (93251, 0, 0, 0, 0, 394, 183);
INSERT INTO public.who_data VALUES (93252, 0, 0, 0, 0, 394, 203);
INSERT INTO public.who_data VALUES (93253, 0, 0, 0, 0, 394, 162);
INSERT INTO public.who_data VALUES (93254, 0, 0, 0, 0, 394, 12);
INSERT INTO public.who_data VALUES (93255, 0, 0, 0, 0, 394, 24);
INSERT INTO public.who_data VALUES (93256, 0, 0, 0, 0, 394, 119);
INSERT INTO public.who_data VALUES (93257, 0, 0, 0, 0, 394, 39);
INSERT INTO public.who_data VALUES (93258, 0, 0, 0, 0, 394, 26);
INSERT INTO public.who_data VALUES (93259, 0, 0, 0, 0, 394, 59);
INSERT INTO public.who_data VALUES (93260, 0, 0, 0, 0, 394, 77);
INSERT INTO public.who_data VALUES (93261, 0, 0, 0, 0, 394, 134);
INSERT INTO public.who_data VALUES (93262, 0, 0, 0, 0, 394, 4);
INSERT INTO public.who_data VALUES (93263, 0, 0, 0, 0, 394, 109);
INSERT INTO public.who_data VALUES (93264, 0, 0, 0, 0, 394, 90);
INSERT INTO public.who_data VALUES (93265, 0, 0, 0, 0, 394, 61);
INSERT INTO public.who_data VALUES (93266, 0, 0, 0, 0, 394, 85);
INSERT INTO public.who_data VALUES (93267, 0, 0, 0, 0, 394, 49);
INSERT INTO public.who_data VALUES (93268, 0, 0, 0, 0, 394, 208);
INSERT INTO public.who_data VALUES (93269, 0, 0, 0, 0, 394, 166);
INSERT INTO public.who_data VALUES (93270, 0, 0, 0, 0, 394, 64);
INSERT INTO public.who_data VALUES (93271, 0, 0, 0, 0, 394, 199);
INSERT INTO public.who_data VALUES (93272, 0, 0, 0, 0, 394, 114);
INSERT INTO public.who_data VALUES (93273, 0, 0, 0, 0, 394, 60);
INSERT INTO public.who_data VALUES (93274, 0, 0, 0, 0, 394, 68);
INSERT INTO public.who_data VALUES (93275, 0, 0, 0, 0, 394, 158);
INSERT INTO public.who_data VALUES (93276, 0, 0, 0, 0, 394, 52);
INSERT INTO public.who_data VALUES (93277, 0, 0, 0, 0, 394, 117);
INSERT INTO public.who_data VALUES (93278, 0, 0, 0, 0, 394, 126);
INSERT INTO public.who_data VALUES (93279, 0, 0, 0, 0, 394, 196);
INSERT INTO public.who_data VALUES (93280, 0, 0, 0, 0, 394, 142);
INSERT INTO public.who_data VALUES (93281, 0, 0, 0, 0, 394, 185);
INSERT INTO public.who_data VALUES (93282, 0, 0, 0, 0, 394, 138);
INSERT INTO public.who_data VALUES (93283, 0, 0, 0, 0, 394, 181);
INSERT INTO public.who_data VALUES (93284, 0, 0, 0, 0, 394, 178);
INSERT INTO public.who_data VALUES (93285, 0, 0, 0, 0, 394, 168);
INSERT INTO public.who_data VALUES (93286, 0, 0, 0, 0, 394, 160);
INSERT INTO public.who_data VALUES (93287, 0, 5, 0, 0, 394, 151);
INSERT INTO public.who_data VALUES (93288, 0, 0, 0, 0, 394, 193);
INSERT INTO public.who_data VALUES (93289, 0, 0, 0, 0, 394, 18);
INSERT INTO public.who_data VALUES (93290, 0, 0, 0, 0, 394, 40);
INSERT INTO public.who_data VALUES (93291, 0, 0, 0, 0, 394, 218);
INSERT INTO public.who_data VALUES (93292, 0, 0, 0, 0, 394, 191);
INSERT INTO public.who_data VALUES (93293, 0, 0, 0, 0, 394, 156);
INSERT INTO public.who_data VALUES (93294, 0, 0, 0, 0, 394, 135);
INSERT INTO public.who_data VALUES (93295, 0, 0, 0, 0, 394, 88);
INSERT INTO public.who_data VALUES (93296, 0, 0, 0, 0, 394, 55);
INSERT INTO public.who_data VALUES (93297, 0, 0, 0, 0, 394, 108);
INSERT INTO public.who_data VALUES (93298, 0, 0, 0, 0, 394, 48);
INSERT INTO public.who_data VALUES (93299, 0, 0, 0, 0, 394, 3);
INSERT INTO public.who_data VALUES (93300, 0, 0, 0, 0, 394, 224);
INSERT INTO public.who_data VALUES (93301, 0, 0, 0, 0, 394, 110);
INSERT INTO public.who_data VALUES (93302, 0, 0, 0, 0, 394, 106);
INSERT INTO public.who_data VALUES (93303, 0, 0, 0, 0, 394, 89);
INSERT INTO public.who_data VALUES (93304, 0, 0, 0, 0, 394, 121);
INSERT INTO public.who_data VALUES (93305, 0, 0, 0, 0, 394, 163);
INSERT INTO public.who_data VALUES (93306, 0, 0, 0, 0, 394, 70);
INSERT INTO public.who_data VALUES (93307, 0, 0, 0, 0, 394, 174);
INSERT INTO public.who_data VALUES (93308, 0, 0, 0, 0, 394, 175);
INSERT INTO public.who_data VALUES (93309, 0, 0, 0, 0, 394, 118);
INSERT INTO public.who_data VALUES (93310, 0, 0, 0, 0, 394, 189);
INSERT INTO public.who_data VALUES (93311, 0, 0, 0, 0, 394, 124);
INSERT INTO public.who_data VALUES (93312, 0, 0, 0, 0, 394, 192);
INSERT INTO public.who_data VALUES (93313, 1, 6, 0, 0, 394, 41);
INSERT INTO public.who_data VALUES (93314, 0, 0, 0, 0, 394, 95);
INSERT INTO public.who_data VALUES (93315, 0, 0, 0, 0, 394, 74);
INSERT INTO public.who_data VALUES (93316, 0, 0, 0, 0, 394, 11);
INSERT INTO public.who_data VALUES (93317, 0, 0, 0, 0, 394, 87);
INSERT INTO public.who_data VALUES (93318, 0, 0, 0, 0, 394, 214);
INSERT INTO public.who_data VALUES (93319, 0, 0, 0, 0, 394, 116);
INSERT INTO public.who_data VALUES (93320, 0, 0, 0, 0, 394, 157);
INSERT INTO public.who_data VALUES (93321, 0, 0, 0, 0, 394, 182);
INSERT INTO public.who_data VALUES (93322, 0, 0, 0, 0, 394, 186);
INSERT INTO public.who_data VALUES (93323, 0, 0, 0, 0, 394, 127);
INSERT INTO public.who_data VALUES (93324, 0, 0, 0, 0, 394, 232);
INSERT INTO public.who_data VALUES (93325, 0, 0, 0, 0, 394, 33);
INSERT INTO public.who_data VALUES (93326, 0, 0, 0, 0, 394, 97);
INSERT INTO public.who_data VALUES (93327, 0, 0, 0, 0, 394, 42);
INSERT INTO public.who_data VALUES (93328, 0, 0, 0, 0, 394, 198);
INSERT INTO public.who_data VALUES (93329, 0, 0, 0, 0, 394, 216);
INSERT INTO public.who_data VALUES (93330, 0, 0, 0, 0, 394, 164);
INSERT INTO public.who_data VALUES (93331, 0, 0, 0, 0, 394, 235);
INSERT INTO public.who_data VALUES (93332, 0, 0, 0, 0, 394, 67);
INSERT INTO public.who_data VALUES (93333, 0, 0, 0, 0, 394, 15);
INSERT INTO public.who_data VALUES (93334, 0, 0, 0, 0, 394, 180);
INSERT INTO public.who_data VALUES (93335, 2, 7, 0, 0, 394, 237);
INSERT INTO public.who_data VALUES (93336, 0, 0, 0, 0, 394, 25);
INSERT INTO public.who_data VALUES (93337, 0, 0, 0, 0, 394, 209);
INSERT INTO public.who_data VALUES (93338, 0, 0, 0, 0, 394, 217);
INSERT INTO public.who_data VALUES (93339, 0, 0, 0, 0, 394, 79);
INSERT INTO public.who_data VALUES (93340, 0, 0, 0, 0, 394, 143);
INSERT INTO public.who_data VALUES (93341, 0, 0, 0, 0, 394, 229);
INSERT INTO public.who_data VALUES (93342, 0, 0, 0, 0, 394, 141);
INSERT INTO public.who_data VALUES (93343, 0, 0, 0, 0, 394, 197);
INSERT INTO public.who_data VALUES (93344, 0, 0, 0, 0, 394, 221);
INSERT INTO public.who_data VALUES (93345, 0, 0, 0, 0, 394, 150);
INSERT INTO public.who_data VALUES (93346, 0, 0, 0, 0, 394, 56);
INSERT INTO public.who_data VALUES (93347, 0, 0, 0, 0, 394, 167);
INSERT INTO public.who_data VALUES (93348, 0, 0, 0, 0, 394, 23);
INSERT INTO public.who_data VALUES (93349, 0, 0, 0, 0, 394, 222);
INSERT INTO public.who_data VALUES (93350, 0, 0, 0, 0, 394, 219);
INSERT INTO public.who_data VALUES (93351, 0, 0, 0, 0, 394, 7);
INSERT INTO public.who_data VALUES (93352, 0, 8, 0, 0, 394, 161);
INSERT INTO public.who_data VALUES (93353, 0, 0, 0, 0, 394, 149);
INSERT INTO public.who_data VALUES (93354, 0, 0, 0, 0, 394, 6);
INSERT INTO public.who_data VALUES (93355, 0, 0, 0, 0, 394, 139);
INSERT INTO public.who_data VALUES (93356, 0, 0, 0, 0, 394, 211);
INSERT INTO public.who_data VALUES (93357, 0, 0, 0, 0, 394, 14);
INSERT INTO public.who_data VALUES (93358, 0, 0, 0, 0, 394, 111);
INSERT INTO public.who_data VALUES (93359, 0, 0, 0, 0, 394, 207);
INSERT INTO public.who_data VALUES (93360, 0, 0, 0, 0, 394, 66);
INSERT INTO public.who_data VALUES (93361, 0, 0, 0, 0, 394, 173);
INSERT INTO public.who_data VALUES (93362, 0, 0, 0, 0, 394, 145);
INSERT INTO public.who_data VALUES (93363, 0, 0, 0, 0, 394, 65);
INSERT INTO public.who_data VALUES (93364, 0, 0, 0, 0, 394, 184);
INSERT INTO public.who_data VALUES (93365, 0, 0, 0, 0, 394, 98);
INSERT INTO public.who_data VALUES (93366, 0, 0, 0, 0, 394, 104);
INSERT INTO public.who_data VALUES (93367, 0, 0, 0, 0, 394, 73);
INSERT INTO public.who_data VALUES (93368, 1, 6, 0, 0, 394, 8);
INSERT INTO public.who_data VALUES (93369, 0, 0, 0, 0, 394, 227);
INSERT INTO public.who_data VALUES (93370, 0, 0, 0, 0, 394, 75);
INSERT INTO public.who_data VALUES (93371, 0, 0, 0, 0, 394, 45);
INSERT INTO public.who_data VALUES (93372, 0, 0, 0, 0, 394, 133);
INSERT INTO public.who_data VALUES (93373, 0, 0, 0, 0, 394, 202);
INSERT INTO public.who_data VALUES (93374, 6, 6, 0, 0, 394, 129);
INSERT INTO public.who_data VALUES (93375, 0, 0, 0, 0, 394, 36);
INSERT INTO public.who_data VALUES (93376, 0, 0, 0, 0, 394, 51);
INSERT INTO public.who_data VALUES (93377, 0, 0, 0, 0, 394, 206);
INSERT INTO public.who_data VALUES (93378, 0, 0, 0, 0, 394, 5);
INSERT INTO public.who_data VALUES (93379, 0, 0, 0, 0, 395, 103);
INSERT INTO public.who_data VALUES (93380, 0, 0, 0, 0, 395, 58);
INSERT INTO public.who_data VALUES (93381, 0, 0, 0, 0, 395, 195);
INSERT INTO public.who_data VALUES (93382, 0, 0, 0, 0, 395, 115);
INSERT INTO public.who_data VALUES (93383, 0, 0, 0, 0, 395, 99);
INSERT INTO public.who_data VALUES (93384, 0, 0, 0, 0, 395, 153);
INSERT INTO public.who_data VALUES (93385, 0, 0, 0, 0, 395, 93);
INSERT INTO public.who_data VALUES (93386, 0, 0, 0, 0, 395, 84);
INSERT INTO public.who_data VALUES (93387, 0, 0, 0, 0, 395, 78);
INSERT INTO public.who_data VALUES (93388, 0, 0, 0, 0, 395, 170);
INSERT INTO public.who_data VALUES (93389, 0, 0, 0, 0, 395, 32);
INSERT INTO public.who_data VALUES (93390, 0, 0, 0, 0, 395, 155);
INSERT INTO public.who_data VALUES (93391, 0, 0, 0, 0, 395, 82);
INSERT INTO public.who_data VALUES (93392, 0, 0, 0, 0, 395, 16);
INSERT INTO public.who_data VALUES (93393, 0, 0, 0, 0, 395, 72);
INSERT INTO public.who_data VALUES (93394, 0, 0, 0, 0, 395, 43);
INSERT INTO public.who_data VALUES (93395, 0, 0, 0, 0, 395, 120);
INSERT INTO public.who_data VALUES (93396, 0, 0, 0, 0, 395, 213);
INSERT INTO public.who_data VALUES (93397, 0, 0, 0, 0, 395, 31);
INSERT INTO public.who_data VALUES (93398, 0, 0, 0, 0, 395, 204);
INSERT INTO public.who_data VALUES (93399, 0, 0, 0, 0, 395, 152);
INSERT INTO public.who_data VALUES (93400, 0, 0, 0, 0, 395, 144);
INSERT INTO public.who_data VALUES (93401, 0, 0, 0, 0, 395, 96);
INSERT INTO public.who_data VALUES (93402, 0, 0, 0, 0, 395, 47);
INSERT INTO public.who_data VALUES (93403, 0, 0, 0, 0, 395, 80);
INSERT INTO public.who_data VALUES (93404, 0, 0, 0, 0, 395, 159);
INSERT INTO public.who_data VALUES (93405, 0, 0, 0, 0, 395, 27);
INSERT INTO public.who_data VALUES (93406, 0, 0, 0, 0, 395, 146);
INSERT INTO public.who_data VALUES (93407, 0, 0, 0, 0, 395, 71);
INSERT INTO public.who_data VALUES (93408, 0, 0, 0, 0, 395, 210);
INSERT INTO public.who_data VALUES (93409, 0, 0, 0, 0, 395, 54);
INSERT INTO public.who_data VALUES (93410, 0, 0, 0, 0, 395, 147);
INSERT INTO public.who_data VALUES (93411, 0, 0, 0, 0, 395, 2);
INSERT INTO public.who_data VALUES (93412, 0, 0, 0, 0, 395, 105);
INSERT INTO public.who_data VALUES (93413, 0, 0, 0, 0, 395, 53);
INSERT INTO public.who_data VALUES (93414, 0, 0, 0, 0, 395, 81);
INSERT INTO public.who_data VALUES (93415, 0, 0, 0, 0, 395, 223);
INSERT INTO public.who_data VALUES (93416, 0, 0, 0, 0, 395, 94);
INSERT INTO public.who_data VALUES (93417, 0, 0, 0, 0, 395, 154);
INSERT INTO public.who_data VALUES (93418, 0, 0, 0, 0, 395, 83);
INSERT INTO public.who_data VALUES (93419, 0, 0, 0, 0, 395, 194);
INSERT INTO public.who_data VALUES (93420, 0, 0, 0, 0, 395, 136);
INSERT INTO public.who_data VALUES (93421, 131, 578, 8, 17, 395, 179);
INSERT INTO public.who_data VALUES (93422, 0, 0, 0, 0, 395, 57);
INSERT INTO public.who_data VALUES (93423, 0, 0, 0, 0, 395, 35);
INSERT INTO public.who_data VALUES (93424, 0, 0, 0, 0, 395, 228);
INSERT INTO public.who_data VALUES (93425, 0, 0, 0, 0, 395, 19);
INSERT INTO public.who_data VALUES (93426, 0, 0, 0, 0, 395, 22);
INSERT INTO public.who_data VALUES (93427, 0, 0, 0, 0, 395, 1);
INSERT INTO public.who_data VALUES (93428, 0, 0, 0, 0, 395, 21);
INSERT INTO public.who_data VALUES (93429, 0, 0, 0, 0, 395, 234);
INSERT INTO public.who_data VALUES (93430, 0, 0, 0, 0, 395, 91);
INSERT INTO public.who_data VALUES (93431, 0, 0, 0, 0, 395, 137);
INSERT INTO public.who_data VALUES (93432, 0, 0, 0, 0, 395, 201);
INSERT INTO public.who_data VALUES (93433, 0, 0, 0, 0, 395, 171);
INSERT INTO public.who_data VALUES (93434, 0, 0, 0, 0, 395, 92);
INSERT INTO public.who_data VALUES (93435, 0, 0, 0, 0, 395, 112);
INSERT INTO public.who_data VALUES (93436, 0, 0, 0, 0, 395, 62);
INSERT INTO public.who_data VALUES (93437, 0, 0, 0, 0, 395, 69);
INSERT INTO public.who_data VALUES (93438, 0, 0, 0, 0, 395, 220);
INSERT INTO public.who_data VALUES (93439, 0, 0, 0, 0, 395, 100);
INSERT INTO public.who_data VALUES (93440, 0, 0, 0, 0, 395, 187);
INSERT INTO public.who_data VALUES (93441, 0, 0, 0, 0, 395, 63);
INSERT INTO public.who_data VALUES (93442, 0, 0, 0, 0, 395, 28);
INSERT INTO public.who_data VALUES (93443, 0, 0, 0, 0, 395, 172);
INSERT INTO public.who_data VALUES (93444, 0, 0, 0, 0, 395, 17);
INSERT INTO public.who_data VALUES (93445, 0, 0, 0, 0, 395, 226);
INSERT INTO public.who_data VALUES (93446, 0, 0, 0, 0, 395, 236);
INSERT INTO public.who_data VALUES (93447, 0, 0, 0, 0, 395, 76);
INSERT INTO public.who_data VALUES (93448, 0, 0, 0, 0, 395, 30);
INSERT INTO public.who_data VALUES (93449, 0, 0, 0, 0, 395, 128);
INSERT INTO public.who_data VALUES (93450, 0, 0, 0, 0, 395, 86);
INSERT INTO public.who_data VALUES (93451, 0, 0, 0, 0, 395, 140);
INSERT INTO public.who_data VALUES (93452, 0, 0, 0, 0, 395, 44);
INSERT INTO public.who_data VALUES (93453, 0, 0, 0, 0, 395, 113);
INSERT INTO public.who_data VALUES (93454, 0, 0, 0, 0, 395, 29);
INSERT INTO public.who_data VALUES (93455, 0, 0, 0, 0, 395, 125);
INSERT INTO public.who_data VALUES (93456, 0, 0, 0, 0, 395, 131);
INSERT INTO public.who_data VALUES (93457, 0, 0, 0, 0, 395, 46);
INSERT INTO public.who_data VALUES (93458, 0, 0, 0, 0, 395, 10);
INSERT INTO public.who_data VALUES (93459, 0, 0, 0, 0, 395, 205);
INSERT INTO public.who_data VALUES (93460, 0, 0, 0, 0, 395, 50);
INSERT INTO public.who_data VALUES (93461, 0, 0, 0, 0, 395, 20);
INSERT INTO public.who_data VALUES (93462, 0, 0, 0, 0, 395, 13);
INSERT INTO public.who_data VALUES (93463, 0, 0, 0, 0, 395, 148);
INSERT INTO public.who_data VALUES (93464, 0, 0, 0, 0, 395, 230);
INSERT INTO public.who_data VALUES (93465, 0, 0, 0, 0, 395, 190);
INSERT INTO public.who_data VALUES (93466, 0, 0, 0, 0, 395, 188);
INSERT INTO public.who_data VALUES (93467, 0, 0, 0, 0, 395, 123);
INSERT INTO public.who_data VALUES (93468, 0, 0, 0, 0, 395, 9);
INSERT INTO public.who_data VALUES (93469, 0, 0, 0, 0, 395, 102);
INSERT INTO public.who_data VALUES (93470, 0, 0, 0, 0, 395, 34);
INSERT INTO public.who_data VALUES (93471, 0, 0, 0, 0, 395, 212);
INSERT INTO public.who_data VALUES (93472, 0, 0, 0, 0, 395, 122);
INSERT INTO public.who_data VALUES (93473, 0, 0, 0, 0, 395, 38);
INSERT INTO public.who_data VALUES (93474, 0, 0, 0, 0, 395, 130);
INSERT INTO public.who_data VALUES (93475, 0, 0, 0, 0, 395, 37);
INSERT INTO public.who_data VALUES (93476, 0, 0, 0, 0, 395, 231);
INSERT INTO public.who_data VALUES (93477, 0, 0, 0, 0, 395, 107);
INSERT INTO public.who_data VALUES (93478, 0, 0, 0, 0, 395, 101);
INSERT INTO public.who_data VALUES (93479, 0, 0, 0, 0, 395, 132);
INSERT INTO public.who_data VALUES (93480, 0, 0, 0, 0, 395, 176);
INSERT INTO public.who_data VALUES (93481, 0, 0, 0, 0, 395, 200);
INSERT INTO public.who_data VALUES (93482, 0, 0, 0, 0, 395, 169);
INSERT INTO public.who_data VALUES (93483, 0, 0, 0, 0, 395, 225);
INSERT INTO public.who_data VALUES (93484, 0, 1, 0, 0, 395, 165);
INSERT INTO public.who_data VALUES (93485, 0, 0, 0, 0, 395, 233);
INSERT INTO public.who_data VALUES (93486, 0, 0, 0, 0, 395, 215);
INSERT INTO public.who_data VALUES (93487, 0, 0, 0, 0, 395, 177);
INSERT INTO public.who_data VALUES (93488, 0, 0, 0, 0, 395, 183);
INSERT INTO public.who_data VALUES (93489, 0, 0, 0, 0, 395, 203);
INSERT INTO public.who_data VALUES (93490, 0, 0, 0, 0, 395, 162);
INSERT INTO public.who_data VALUES (93491, 0, 0, 0, 0, 395, 12);
INSERT INTO public.who_data VALUES (93492, 0, 0, 0, 0, 395, 24);
INSERT INTO public.who_data VALUES (93493, 0, 0, 0, 0, 395, 119);
INSERT INTO public.who_data VALUES (93494, 0, 0, 0, 0, 395, 39);
INSERT INTO public.who_data VALUES (93495, 0, 0, 0, 0, 395, 26);
INSERT INTO public.who_data VALUES (93496, 0, 0, 0, 0, 395, 59);
INSERT INTO public.who_data VALUES (93497, 0, 0, 0, 0, 395, 77);
INSERT INTO public.who_data VALUES (93498, 0, 0, 0, 0, 395, 134);
INSERT INTO public.who_data VALUES (93499, 0, 0, 0, 0, 395, 4);
INSERT INTO public.who_data VALUES (93500, 0, 0, 0, 0, 395, 109);
INSERT INTO public.who_data VALUES (93501, 0, 0, 0, 0, 395, 90);
INSERT INTO public.who_data VALUES (93502, 0, 0, 0, 0, 395, 61);
INSERT INTO public.who_data VALUES (93503, 0, 0, 0, 0, 395, 85);
INSERT INTO public.who_data VALUES (93504, 0, 0, 0, 0, 395, 49);
INSERT INTO public.who_data VALUES (93505, 0, 0, 0, 0, 395, 208);
INSERT INTO public.who_data VALUES (93506, 0, 0, 0, 0, 395, 166);
INSERT INTO public.who_data VALUES (93507, 0, 0, 0, 0, 395, 64);
INSERT INTO public.who_data VALUES (93508, 0, 0, 0, 0, 395, 199);
INSERT INTO public.who_data VALUES (93509, 0, 0, 0, 0, 395, 114);
INSERT INTO public.who_data VALUES (93510, 0, 0, 0, 0, 395, 60);
INSERT INTO public.who_data VALUES (93511, 0, 0, 0, 0, 395, 68);
INSERT INTO public.who_data VALUES (93512, 0, 0, 0, 0, 395, 158);
INSERT INTO public.who_data VALUES (93513, 0, 0, 0, 0, 395, 52);
INSERT INTO public.who_data VALUES (93514, 0, 0, 0, 0, 395, 117);
INSERT INTO public.who_data VALUES (93515, 0, 0, 0, 0, 395, 126);
INSERT INTO public.who_data VALUES (93516, 0, 0, 0, 0, 395, 196);
INSERT INTO public.who_data VALUES (93517, 0, 0, 0, 0, 395, 142);
INSERT INTO public.who_data VALUES (93518, 0, 0, 0, 0, 395, 185);
INSERT INTO public.who_data VALUES (93519, 0, 0, 0, 0, 395, 138);
INSERT INTO public.who_data VALUES (93520, 0, 0, 0, 0, 395, 181);
INSERT INTO public.who_data VALUES (93521, 0, 0, 0, 0, 395, 178);
INSERT INTO public.who_data VALUES (93522, 0, 0, 0, 0, 395, 168);
INSERT INTO public.who_data VALUES (93523, 0, 0, 0, 0, 395, 160);
INSERT INTO public.who_data VALUES (93524, 5, 5, 0, 0, 395, 151);
INSERT INTO public.who_data VALUES (93525, 0, 0, 0, 0, 395, 193);
INSERT INTO public.who_data VALUES (93526, 0, 0, 0, 0, 395, 18);
INSERT INTO public.who_data VALUES (93527, 0, 0, 0, 0, 395, 40);
INSERT INTO public.who_data VALUES (93528, 0, 0, 0, 0, 395, 218);
INSERT INTO public.who_data VALUES (93529, 0, 0, 0, 0, 395, 191);
INSERT INTO public.who_data VALUES (93530, 0, 0, 0, 0, 395, 156);
INSERT INTO public.who_data VALUES (93531, 0, 0, 0, 0, 395, 135);
INSERT INTO public.who_data VALUES (93532, 0, 0, 0, 0, 395, 88);
INSERT INTO public.who_data VALUES (93533, 0, 0, 0, 0, 395, 55);
INSERT INTO public.who_data VALUES (93534, 0, 0, 0, 0, 395, 108);
INSERT INTO public.who_data VALUES (93535, 0, 0, 0, 0, 395, 48);
INSERT INTO public.who_data VALUES (93536, 0, 0, 0, 0, 395, 3);
INSERT INTO public.who_data VALUES (93537, 0, 0, 0, 0, 395, 224);
INSERT INTO public.who_data VALUES (93538, 0, 0, 0, 0, 395, 110);
INSERT INTO public.who_data VALUES (93539, 0, 0, 0, 0, 395, 106);
INSERT INTO public.who_data VALUES (93540, 0, 0, 0, 0, 395, 89);
INSERT INTO public.who_data VALUES (93541, 0, 0, 0, 0, 395, 121);
INSERT INTO public.who_data VALUES (93542, 0, 0, 0, 0, 395, 163);
INSERT INTO public.who_data VALUES (93543, 0, 0, 0, 0, 395, 70);
INSERT INTO public.who_data VALUES (93544, 0, 0, 0, 0, 395, 174);
INSERT INTO public.who_data VALUES (93545, 0, 0, 0, 0, 395, 175);
INSERT INTO public.who_data VALUES (93546, 0, 0, 0, 0, 395, 118);
INSERT INTO public.who_data VALUES (93547, 0, 0, 0, 0, 395, 189);
INSERT INTO public.who_data VALUES (93548, 0, 0, 0, 0, 395, 124);
INSERT INTO public.who_data VALUES (93549, 0, 0, 0, 0, 395, 192);
INSERT INTO public.who_data VALUES (93550, 0, 5, 0, 0, 395, 41);
INSERT INTO public.who_data VALUES (93551, 0, 0, 0, 0, 395, 95);
INSERT INTO public.who_data VALUES (93552, 0, 0, 0, 0, 395, 74);
INSERT INTO public.who_data VALUES (93553, 0, 0, 0, 0, 395, 11);
INSERT INTO public.who_data VALUES (93554, 0, 0, 0, 0, 395, 87);
INSERT INTO public.who_data VALUES (93555, 0, 0, 0, 0, 395, 214);
INSERT INTO public.who_data VALUES (93556, 0, 0, 0, 0, 395, 116);
INSERT INTO public.who_data VALUES (93557, 0, 0, 0, 0, 395, 157);
INSERT INTO public.who_data VALUES (93558, 0, 0, 0, 0, 395, 182);
INSERT INTO public.who_data VALUES (93559, 0, 0, 0, 0, 395, 186);
INSERT INTO public.who_data VALUES (93560, 0, 0, 0, 0, 395, 127);
INSERT INTO public.who_data VALUES (93561, 0, 0, 0, 0, 395, 232);
INSERT INTO public.who_data VALUES (93562, 0, 0, 0, 0, 395, 33);
INSERT INTO public.who_data VALUES (93563, 0, 0, 0, 0, 395, 97);
INSERT INTO public.who_data VALUES (93564, 0, 0, 0, 0, 395, 42);
INSERT INTO public.who_data VALUES (93565, 0, 0, 0, 0, 395, 198);
INSERT INTO public.who_data VALUES (93566, 0, 0, 0, 0, 395, 216);
INSERT INTO public.who_data VALUES (93567, 0, 0, 0, 0, 395, 164);
INSERT INTO public.who_data VALUES (93568, 0, 0, 0, 0, 395, 235);
INSERT INTO public.who_data VALUES (93569, 0, 0, 0, 0, 395, 67);
INSERT INTO public.who_data VALUES (93570, 0, 0, 0, 0, 395, 15);
INSERT INTO public.who_data VALUES (93571, 0, 0, 0, 0, 395, 180);
INSERT INTO public.who_data VALUES (93572, 5, 5, 0, 0, 395, 237);
INSERT INTO public.who_data VALUES (93573, 0, 0, 0, 0, 395, 25);
INSERT INTO public.who_data VALUES (93574, 0, 0, 0, 0, 395, 209);
INSERT INTO public.who_data VALUES (93575, 0, 0, 0, 0, 395, 217);
INSERT INTO public.who_data VALUES (93576, 0, 0, 0, 0, 395, 79);
INSERT INTO public.who_data VALUES (93577, 0, 0, 0, 0, 395, 143);
INSERT INTO public.who_data VALUES (93578, 0, 0, 0, 0, 395, 229);
INSERT INTO public.who_data VALUES (93579, 0, 0, 0, 0, 395, 141);
INSERT INTO public.who_data VALUES (93580, 0, 0, 0, 0, 395, 197);
INSERT INTO public.who_data VALUES (93581, 0, 0, 0, 0, 395, 221);
INSERT INTO public.who_data VALUES (93582, 0, 0, 0, 0, 395, 150);
INSERT INTO public.who_data VALUES (93583, 0, 0, 0, 0, 395, 56);
INSERT INTO public.who_data VALUES (93584, 0, 0, 0, 0, 395, 167);
INSERT INTO public.who_data VALUES (93585, 0, 0, 0, 0, 395, 23);
INSERT INTO public.who_data VALUES (93586, 0, 0, 0, 0, 395, 222);
INSERT INTO public.who_data VALUES (93587, 0, 0, 0, 0, 395, 219);
INSERT INTO public.who_data VALUES (93588, 0, 0, 0, 0, 395, 7);
INSERT INTO public.who_data VALUES (93589, 0, 8, 0, 0, 395, 161);
INSERT INTO public.who_data VALUES (93590, 0, 0, 0, 0, 395, 149);
INSERT INTO public.who_data VALUES (93591, 0, 0, 0, 0, 395, 6);
INSERT INTO public.who_data VALUES (93592, 0, 0, 0, 0, 395, 139);
INSERT INTO public.who_data VALUES (93593, 0, 0, 0, 0, 395, 211);
INSERT INTO public.who_data VALUES (93594, 0, 0, 0, 0, 395, 14);
INSERT INTO public.who_data VALUES (93595, 0, 0, 0, 0, 395, 111);
INSERT INTO public.who_data VALUES (93596, 0, 0, 0, 0, 395, 207);
INSERT INTO public.who_data VALUES (93597, 0, 0, 0, 0, 395, 66);
INSERT INTO public.who_data VALUES (93598, 0, 0, 0, 0, 395, 173);
INSERT INTO public.who_data VALUES (93599, 0, 0, 0, 0, 395, 145);
INSERT INTO public.who_data VALUES (93600, 0, 0, 0, 0, 395, 65);
INSERT INTO public.who_data VALUES (93601, 0, 0, 0, 0, 395, 184);
INSERT INTO public.who_data VALUES (93602, 0, 0, 0, 0, 395, 98);
INSERT INTO public.who_data VALUES (93603, 0, 0, 0, 0, 395, 104);
INSERT INTO public.who_data VALUES (93604, 0, 0, 0, 0, 395, 73);
INSERT INTO public.who_data VALUES (93605, 0, 5, 0, 0, 395, 8);
INSERT INTO public.who_data VALUES (93606, 0, 0, 0, 0, 395, 227);
INSERT INTO public.who_data VALUES (93607, 0, 0, 0, 0, 395, 75);
INSERT INTO public.who_data VALUES (93608, 0, 0, 0, 0, 395, 45);
INSERT INTO public.who_data VALUES (93609, 0, 0, 0, 0, 395, 133);
INSERT INTO public.who_data VALUES (93610, 0, 0, 0, 0, 395, 202);
INSERT INTO public.who_data VALUES (93611, 0, 0, 0, 0, 395, 129);
INSERT INTO public.who_data VALUES (93612, 0, 0, 0, 0, 395, 36);
INSERT INTO public.who_data VALUES (93613, 0, 0, 0, 0, 395, 51);
INSERT INTO public.who_data VALUES (93614, 0, 0, 0, 0, 395, 206);
INSERT INTO public.who_data VALUES (93615, 0, 0, 0, 0, 395, 5);
INSERT INTO public.who_data VALUES (93616, 0, 0, 0, 0, 396, 103);
INSERT INTO public.who_data VALUES (93617, 0, 0, 0, 0, 396, 58);
INSERT INTO public.who_data VALUES (93618, 0, 0, 0, 0, 396, 195);
INSERT INTO public.who_data VALUES (93619, 0, 0, 0, 0, 396, 115);
INSERT INTO public.who_data VALUES (93620, 0, 0, 0, 0, 396, 99);
INSERT INTO public.who_data VALUES (93621, 0, 0, 0, 0, 396, 153);
INSERT INTO public.who_data VALUES (93622, 0, 0, 0, 0, 396, 93);
INSERT INTO public.who_data VALUES (93623, 0, 0, 0, 0, 396, 84);
INSERT INTO public.who_data VALUES (93624, 0, 0, 0, 0, 396, 78);
INSERT INTO public.who_data VALUES (93625, 0, 0, 0, 0, 396, 170);
INSERT INTO public.who_data VALUES (93626, 0, 0, 0, 0, 396, 32);
INSERT INTO public.who_data VALUES (93627, 0, 0, 0, 0, 396, 155);
INSERT INTO public.who_data VALUES (93628, 0, 0, 0, 0, 396, 82);
INSERT INTO public.who_data VALUES (93629, 0, 0, 0, 0, 396, 16);
INSERT INTO public.who_data VALUES (93630, 0, 0, 0, 0, 396, 72);
INSERT INTO public.who_data VALUES (93631, 0, 0, 0, 0, 396, 43);
INSERT INTO public.who_data VALUES (93632, 0, 0, 0, 0, 396, 120);
INSERT INTO public.who_data VALUES (93633, 0, 0, 0, 0, 396, 213);
INSERT INTO public.who_data VALUES (93634, 0, 0, 0, 0, 396, 31);
INSERT INTO public.who_data VALUES (93635, 0, 0, 0, 0, 396, 204);
INSERT INTO public.who_data VALUES (93636, 0, 0, 0, 0, 396, 152);
INSERT INTO public.who_data VALUES (93637, 0, 0, 0, 0, 396, 144);
INSERT INTO public.who_data VALUES (93638, 0, 0, 0, 0, 396, 96);
INSERT INTO public.who_data VALUES (93639, 0, 0, 0, 0, 396, 47);
INSERT INTO public.who_data VALUES (93640, 0, 0, 0, 0, 396, 80);
INSERT INTO public.who_data VALUES (93641, 0, 0, 0, 0, 396, 159);
INSERT INTO public.who_data VALUES (93642, 0, 0, 0, 0, 396, 27);
INSERT INTO public.who_data VALUES (93643, 0, 0, 0, 0, 396, 146);
INSERT INTO public.who_data VALUES (93644, 0, 0, 0, 0, 396, 71);
INSERT INTO public.who_data VALUES (93645, 0, 0, 0, 0, 396, 210);
INSERT INTO public.who_data VALUES (93646, 0, 0, 0, 0, 396, 54);
INSERT INTO public.who_data VALUES (93647, 0, 0, 0, 0, 396, 147);
INSERT INTO public.who_data VALUES (93648, 0, 0, 0, 0, 396, 2);
INSERT INTO public.who_data VALUES (93649, 0, 0, 0, 0, 396, 105);
INSERT INTO public.who_data VALUES (93650, 0, 0, 0, 0, 396, 53);
INSERT INTO public.who_data VALUES (93651, 0, 0, 0, 0, 396, 81);
INSERT INTO public.who_data VALUES (93652, 0, 0, 0, 0, 396, 223);
INSERT INTO public.who_data VALUES (93653, 0, 0, 0, 0, 396, 94);
INSERT INTO public.who_data VALUES (93654, 0, 0, 0, 0, 396, 154);
INSERT INTO public.who_data VALUES (93655, 0, 0, 0, 0, 396, 83);
INSERT INTO public.who_data VALUES (93656, 0, 0, 0, 0, 396, 194);
INSERT INTO public.who_data VALUES (93657, 0, 0, 0, 0, 396, 136);
INSERT INTO public.who_data VALUES (93658, 152, 447, 3, 9, 396, 179);
INSERT INTO public.who_data VALUES (93659, 0, 0, 0, 0, 396, 57);
INSERT INTO public.who_data VALUES (93660, 0, 0, 0, 0, 396, 35);
INSERT INTO public.who_data VALUES (93661, 0, 0, 0, 0, 396, 228);
INSERT INTO public.who_data VALUES (93662, 0, 0, 0, 0, 396, 19);
INSERT INTO public.who_data VALUES (93663, 0, 0, 0, 0, 396, 22);
INSERT INTO public.who_data VALUES (93664, 0, 0, 0, 0, 396, 1);
INSERT INTO public.who_data VALUES (93665, 0, 0, 0, 0, 396, 21);
INSERT INTO public.who_data VALUES (93666, 0, 0, 0, 0, 396, 234);
INSERT INTO public.who_data VALUES (93667, 0, 0, 0, 0, 396, 91);
INSERT INTO public.who_data VALUES (93668, 0, 0, 0, 0, 396, 137);
INSERT INTO public.who_data VALUES (93669, 0, 0, 0, 0, 396, 201);
INSERT INTO public.who_data VALUES (93670, 0, 0, 0, 0, 396, 171);
INSERT INTO public.who_data VALUES (93671, 0, 0, 0, 0, 396, 92);
INSERT INTO public.who_data VALUES (93672, 0, 0, 0, 0, 396, 112);
INSERT INTO public.who_data VALUES (93673, 0, 0, 0, 0, 396, 62);
INSERT INTO public.who_data VALUES (93674, 0, 0, 0, 0, 396, 69);
INSERT INTO public.who_data VALUES (93675, 0, 0, 0, 0, 396, 220);
INSERT INTO public.who_data VALUES (93676, 0, 0, 0, 0, 396, 100);
INSERT INTO public.who_data VALUES (93677, 0, 0, 0, 0, 396, 187);
INSERT INTO public.who_data VALUES (93678, 0, 0, 0, 0, 396, 63);
INSERT INTO public.who_data VALUES (93679, 0, 0, 0, 0, 396, 28);
INSERT INTO public.who_data VALUES (93680, 0, 0, 0, 0, 396, 172);
INSERT INTO public.who_data VALUES (93681, 0, 0, 0, 0, 396, 17);
INSERT INTO public.who_data VALUES (93682, 0, 0, 0, 0, 396, 226);
INSERT INTO public.who_data VALUES (93683, 0, 0, 0, 0, 396, 236);
INSERT INTO public.who_data VALUES (93684, 0, 0, 0, 0, 396, 76);
INSERT INTO public.who_data VALUES (93685, 0, 0, 0, 0, 396, 30);
INSERT INTO public.who_data VALUES (93686, 0, 0, 0, 0, 396, 128);
INSERT INTO public.who_data VALUES (93687, 0, 0, 0, 0, 396, 86);
INSERT INTO public.who_data VALUES (93688, 0, 0, 0, 0, 396, 140);
INSERT INTO public.who_data VALUES (93689, 0, 0, 0, 0, 396, 44);
INSERT INTO public.who_data VALUES (93690, 0, 0, 0, 0, 396, 113);
INSERT INTO public.who_data VALUES (93691, 0, 0, 0, 0, 396, 29);
INSERT INTO public.who_data VALUES (93692, 0, 0, 0, 0, 396, 125);
INSERT INTO public.who_data VALUES (93693, 0, 0, 0, 0, 396, 131);
INSERT INTO public.who_data VALUES (93694, 0, 0, 0, 0, 396, 46);
INSERT INTO public.who_data VALUES (93695, 0, 0, 0, 0, 396, 10);
INSERT INTO public.who_data VALUES (93696, 0, 0, 0, 0, 396, 205);
INSERT INTO public.who_data VALUES (93697, 0, 0, 0, 0, 396, 50);
INSERT INTO public.who_data VALUES (93698, 0, 0, 0, 0, 396, 20);
INSERT INTO public.who_data VALUES (93699, 0, 0, 0, 0, 396, 13);
INSERT INTO public.who_data VALUES (93700, 0, 0, 0, 0, 396, 148);
INSERT INTO public.who_data VALUES (93701, 0, 0, 0, 0, 396, 230);
INSERT INTO public.who_data VALUES (93702, 0, 0, 0, 0, 396, 190);
INSERT INTO public.who_data VALUES (93703, 0, 0, 0, 0, 396, 188);
INSERT INTO public.who_data VALUES (93704, 0, 0, 0, 0, 396, 123);
INSERT INTO public.who_data VALUES (93705, 0, 0, 0, 0, 396, 9);
INSERT INTO public.who_data VALUES (93706, 0, 0, 0, 0, 396, 102);
INSERT INTO public.who_data VALUES (93707, 0, 0, 0, 0, 396, 34);
INSERT INTO public.who_data VALUES (93708, 0, 0, 0, 0, 396, 212);
INSERT INTO public.who_data VALUES (93709, 0, 0, 0, 0, 396, 122);
INSERT INTO public.who_data VALUES (93710, 0, 0, 0, 0, 396, 38);
INSERT INTO public.who_data VALUES (93711, 0, 0, 0, 0, 396, 130);
INSERT INTO public.who_data VALUES (93712, 0, 0, 0, 0, 396, 37);
INSERT INTO public.who_data VALUES (93713, 0, 0, 0, 0, 396, 231);
INSERT INTO public.who_data VALUES (93714, 0, 0, 0, 0, 396, 107);
INSERT INTO public.who_data VALUES (93715, 0, 0, 0, 0, 396, 101);
INSERT INTO public.who_data VALUES (93716, 0, 0, 0, 0, 396, 132);
INSERT INTO public.who_data VALUES (93717, 0, 0, 0, 0, 396, 176);
INSERT INTO public.who_data VALUES (93718, 0, 0, 0, 0, 396, 200);
INSERT INTO public.who_data VALUES (93719, 0, 0, 0, 0, 396, 169);
INSERT INTO public.who_data VALUES (93720, 0, 0, 0, 0, 396, 225);
INSERT INTO public.who_data VALUES (93721, 0, 1, 0, 0, 396, 165);
INSERT INTO public.who_data VALUES (93722, 0, 0, 0, 0, 396, 233);
INSERT INTO public.who_data VALUES (93723, 0, 0, 0, 0, 396, 215);
INSERT INTO public.who_data VALUES (93724, 0, 0, 0, 0, 396, 177);
INSERT INTO public.who_data VALUES (93725, 0, 0, 0, 0, 396, 183);
INSERT INTO public.who_data VALUES (93726, 0, 0, 0, 0, 396, 203);
INSERT INTO public.who_data VALUES (93727, 0, 0, 0, 0, 396, 162);
INSERT INTO public.who_data VALUES (93728, 0, 0, 0, 0, 396, 12);
INSERT INTO public.who_data VALUES (93729, 0, 0, 0, 0, 396, 24);
INSERT INTO public.who_data VALUES (93730, 0, 0, 0, 0, 396, 119);
INSERT INTO public.who_data VALUES (93731, 0, 0, 0, 0, 396, 39);
INSERT INTO public.who_data VALUES (93732, 0, 0, 0, 0, 396, 26);
INSERT INTO public.who_data VALUES (93733, 0, 0, 0, 0, 396, 59);
INSERT INTO public.who_data VALUES (93734, 0, 0, 0, 0, 396, 77);
INSERT INTO public.who_data VALUES (93735, 0, 0, 0, 0, 396, 134);
INSERT INTO public.who_data VALUES (93736, 0, 0, 0, 0, 396, 4);
INSERT INTO public.who_data VALUES (93737, 0, 0, 0, 0, 396, 109);
INSERT INTO public.who_data VALUES (93738, 0, 0, 0, 0, 396, 90);
INSERT INTO public.who_data VALUES (93739, 0, 0, 0, 0, 396, 61);
INSERT INTO public.who_data VALUES (93740, 0, 0, 0, 0, 396, 85);
INSERT INTO public.who_data VALUES (93741, 0, 0, 0, 0, 396, 49);
INSERT INTO public.who_data VALUES (93742, 0, 0, 0, 0, 396, 208);
INSERT INTO public.who_data VALUES (93743, 0, 0, 0, 0, 396, 166);
INSERT INTO public.who_data VALUES (93744, 0, 0, 0, 0, 396, 64);
INSERT INTO public.who_data VALUES (93745, 0, 0, 0, 0, 396, 199);
INSERT INTO public.who_data VALUES (93746, 0, 0, 0, 0, 396, 114);
INSERT INTO public.who_data VALUES (93747, 0, 0, 0, 0, 396, 60);
INSERT INTO public.who_data VALUES (93748, 0, 0, 0, 0, 396, 68);
INSERT INTO public.who_data VALUES (93749, 0, 0, 0, 0, 396, 158);
INSERT INTO public.who_data VALUES (93750, 0, 0, 0, 0, 396, 52);
INSERT INTO public.who_data VALUES (93751, 0, 0, 0, 0, 396, 117);
INSERT INTO public.who_data VALUES (93752, 0, 0, 0, 0, 396, 126);
INSERT INTO public.who_data VALUES (93753, 0, 0, 0, 0, 396, 196);
INSERT INTO public.who_data VALUES (93754, 0, 0, 0, 0, 396, 142);
INSERT INTO public.who_data VALUES (93755, 0, 0, 0, 0, 396, 185);
INSERT INTO public.who_data VALUES (93756, 0, 0, 0, 0, 396, 138);
INSERT INTO public.who_data VALUES (93757, 0, 0, 0, 0, 396, 181);
INSERT INTO public.who_data VALUES (93758, 0, 0, 0, 0, 396, 178);
INSERT INTO public.who_data VALUES (93759, 0, 0, 0, 0, 396, 168);
INSERT INTO public.who_data VALUES (93760, 0, 0, 0, 0, 396, 160);
INSERT INTO public.who_data VALUES (93761, 0, 0, 0, 0, 396, 151);
INSERT INTO public.who_data VALUES (93762, 0, 0, 0, 0, 396, 193);
INSERT INTO public.who_data VALUES (93763, 0, 0, 0, 0, 396, 18);
INSERT INTO public.who_data VALUES (93764, 0, 0, 0, 0, 396, 40);
INSERT INTO public.who_data VALUES (93765, 0, 0, 0, 0, 396, 218);
INSERT INTO public.who_data VALUES (93766, 0, 0, 0, 0, 396, 191);
INSERT INTO public.who_data VALUES (93767, 0, 0, 0, 0, 396, 156);
INSERT INTO public.who_data VALUES (93768, 0, 0, 0, 0, 396, 135);
INSERT INTO public.who_data VALUES (93769, 0, 0, 0, 0, 396, 88);
INSERT INTO public.who_data VALUES (93770, 0, 0, 0, 0, 396, 55);
INSERT INTO public.who_data VALUES (93771, 0, 0, 0, 0, 396, 108);
INSERT INTO public.who_data VALUES (93772, 0, 0, 0, 0, 396, 48);
INSERT INTO public.who_data VALUES (93773, 0, 0, 0, 0, 396, 3);
INSERT INTO public.who_data VALUES (93774, 0, 0, 0, 0, 396, 224);
INSERT INTO public.who_data VALUES (93775, 0, 0, 0, 0, 396, 110);
INSERT INTO public.who_data VALUES (93776, 0, 0, 0, 0, 396, 106);
INSERT INTO public.who_data VALUES (93777, 0, 0, 0, 0, 396, 89);
INSERT INTO public.who_data VALUES (93778, 0, 0, 0, 0, 396, 121);
INSERT INTO public.who_data VALUES (93779, 0, 0, 0, 0, 396, 163);
INSERT INTO public.who_data VALUES (93780, 0, 0, 0, 0, 396, 70);
INSERT INTO public.who_data VALUES (93781, 0, 0, 0, 0, 396, 174);
INSERT INTO public.who_data VALUES (93782, 0, 0, 0, 0, 396, 175);
INSERT INTO public.who_data VALUES (93783, 0, 0, 0, 0, 396, 118);
INSERT INTO public.who_data VALUES (93784, 0, 0, 0, 0, 396, 189);
INSERT INTO public.who_data VALUES (93785, 0, 0, 0, 0, 396, 124);
INSERT INTO public.who_data VALUES (93786, 0, 0, 0, 0, 396, 192);
INSERT INTO public.who_data VALUES (93787, 0, 5, 0, 0, 396, 41);
INSERT INTO public.who_data VALUES (93788, 0, 0, 0, 0, 396, 95);
INSERT INTO public.who_data VALUES (93789, 0, 0, 0, 0, 396, 74);
INSERT INTO public.who_data VALUES (93790, 0, 0, 0, 0, 396, 11);
INSERT INTO public.who_data VALUES (93791, 0, 0, 0, 0, 396, 87);
INSERT INTO public.who_data VALUES (93792, 0, 0, 0, 0, 396, 214);
INSERT INTO public.who_data VALUES (93793, 0, 0, 0, 0, 396, 116);
INSERT INTO public.who_data VALUES (93794, 0, 0, 0, 0, 396, 157);
INSERT INTO public.who_data VALUES (93795, 0, 0, 0, 0, 396, 182);
INSERT INTO public.who_data VALUES (93796, 0, 0, 0, 0, 396, 186);
INSERT INTO public.who_data VALUES (93797, 0, 0, 0, 0, 396, 127);
INSERT INTO public.who_data VALUES (93798, 0, 0, 0, 0, 396, 232);
INSERT INTO public.who_data VALUES (93799, 0, 0, 0, 0, 396, 33);
INSERT INTO public.who_data VALUES (93800, 0, 0, 0, 0, 396, 97);
INSERT INTO public.who_data VALUES (93801, 0, 0, 0, 0, 396, 42);
INSERT INTO public.who_data VALUES (93802, 0, 0, 0, 0, 396, 198);
INSERT INTO public.who_data VALUES (93803, 0, 0, 0, 0, 396, 216);
INSERT INTO public.who_data VALUES (93804, 0, 0, 0, 0, 396, 164);
INSERT INTO public.who_data VALUES (93805, 0, 0, 0, 0, 396, 235);
INSERT INTO public.who_data VALUES (93806, 0, 0, 0, 0, 396, 67);
INSERT INTO public.who_data VALUES (93807, 0, 0, 0, 0, 396, 15);
INSERT INTO public.who_data VALUES (93808, 0, 0, 0, 0, 396, 180);
INSERT INTO public.who_data VALUES (93809, 0, 0, 0, 0, 396, 237);
INSERT INTO public.who_data VALUES (93810, 0, 0, 0, 0, 396, 25);
INSERT INTO public.who_data VALUES (93811, 0, 0, 0, 0, 396, 209);
INSERT INTO public.who_data VALUES (93812, 0, 0, 0, 0, 396, 217);
INSERT INTO public.who_data VALUES (93813, 0, 0, 0, 0, 396, 79);
INSERT INTO public.who_data VALUES (93814, 0, 0, 0, 0, 396, 143);
INSERT INTO public.who_data VALUES (93815, 0, 0, 0, 0, 396, 229);
INSERT INTO public.who_data VALUES (93816, 0, 0, 0, 0, 396, 141);
INSERT INTO public.who_data VALUES (93817, 0, 0, 0, 0, 396, 197);
INSERT INTO public.who_data VALUES (93818, 0, 0, 0, 0, 396, 221);
INSERT INTO public.who_data VALUES (93819, 0, 0, 0, 0, 396, 150);
INSERT INTO public.who_data VALUES (93820, 0, 0, 0, 0, 396, 56);
INSERT INTO public.who_data VALUES (93821, 0, 0, 0, 0, 396, 167);
INSERT INTO public.who_data VALUES (93822, 0, 0, 0, 0, 396, 23);
INSERT INTO public.who_data VALUES (93823, 0, 0, 0, 0, 396, 222);
INSERT INTO public.who_data VALUES (93824, 0, 0, 0, 0, 396, 219);
INSERT INTO public.who_data VALUES (93825, 0, 0, 0, 0, 396, 7);
INSERT INTO public.who_data VALUES (93826, 2, 8, 0, 0, 396, 161);
INSERT INTO public.who_data VALUES (93827, 0, 0, 0, 0, 396, 149);
INSERT INTO public.who_data VALUES (93828, 0, 0, 0, 0, 396, 6);
INSERT INTO public.who_data VALUES (93829, 0, 0, 0, 0, 396, 139);
INSERT INTO public.who_data VALUES (93830, 0, 0, 0, 0, 396, 211);
INSERT INTO public.who_data VALUES (93831, 0, 0, 0, 0, 396, 14);
INSERT INTO public.who_data VALUES (93832, 0, 0, 0, 0, 396, 111);
INSERT INTO public.who_data VALUES (93833, 0, 0, 0, 0, 396, 207);
INSERT INTO public.who_data VALUES (93834, 0, 0, 0, 0, 396, 66);
INSERT INTO public.who_data VALUES (93835, 0, 0, 0, 0, 396, 173);
INSERT INTO public.who_data VALUES (93836, 0, 0, 0, 0, 396, 145);
INSERT INTO public.who_data VALUES (93837, 0, 0, 0, 0, 396, 65);
INSERT INTO public.who_data VALUES (93838, 0, 0, 0, 0, 396, 184);
INSERT INTO public.who_data VALUES (93839, 0, 0, 0, 0, 396, 98);
INSERT INTO public.who_data VALUES (93840, 0, 0, 0, 0, 396, 104);
INSERT INTO public.who_data VALUES (93841, 0, 0, 0, 0, 396, 73);
INSERT INTO public.who_data VALUES (93842, 0, 5, 0, 0, 396, 8);
INSERT INTO public.who_data VALUES (93843, 0, 0, 0, 0, 396, 227);
INSERT INTO public.who_data VALUES (93844, 0, 0, 0, 0, 396, 75);
INSERT INTO public.who_data VALUES (93845, 0, 0, 0, 0, 396, 45);
INSERT INTO public.who_data VALUES (93846, 0, 0, 0, 0, 396, 133);
INSERT INTO public.who_data VALUES (93847, 0, 0, 0, 0, 396, 202);
INSERT INTO public.who_data VALUES (93848, 0, 0, 0, 0, 396, 129);
INSERT INTO public.who_data VALUES (93849, 0, 0, 0, 0, 396, 36);
INSERT INTO public.who_data VALUES (93850, 0, 0, 0, 0, 396, 51);
INSERT INTO public.who_data VALUES (93851, 0, 0, 0, 0, 396, 206);
INSERT INTO public.who_data VALUES (93852, 0, 0, 0, 0, 396, 5);
INSERT INTO public.who_data VALUES (93853, 0, 0, 0, 0, 397, 103);
INSERT INTO public.who_data VALUES (93854, 0, 0, 0, 0, 397, 58);
INSERT INTO public.who_data VALUES (93855, 0, 0, 0, 0, 397, 195);
INSERT INTO public.who_data VALUES (93856, 0, 0, 0, 0, 397, 115);
INSERT INTO public.who_data VALUES (93857, 0, 0, 0, 0, 397, 99);
INSERT INTO public.who_data VALUES (93858, 0, 0, 0, 0, 397, 153);
INSERT INTO public.who_data VALUES (93859, 0, 0, 0, 0, 397, 93);
INSERT INTO public.who_data VALUES (93860, 0, 0, 0, 0, 397, 84);
INSERT INTO public.who_data VALUES (93861, 0, 0, 0, 0, 397, 78);
INSERT INTO public.who_data VALUES (93862, 0, 0, 0, 0, 397, 170);
INSERT INTO public.who_data VALUES (93863, 0, 0, 0, 0, 397, 32);
INSERT INTO public.who_data VALUES (93864, 0, 0, 0, 0, 397, 155);
INSERT INTO public.who_data VALUES (93865, 0, 0, 0, 0, 397, 82);
INSERT INTO public.who_data VALUES (93866, 0, 0, 0, 0, 397, 16);
INSERT INTO public.who_data VALUES (93867, 0, 0, 0, 0, 397, 72);
INSERT INTO public.who_data VALUES (93868, 0, 0, 0, 0, 397, 43);
INSERT INTO public.who_data VALUES (93869, 0, 0, 0, 0, 397, 120);
INSERT INTO public.who_data VALUES (93870, 0, 0, 0, 0, 397, 213);
INSERT INTO public.who_data VALUES (93871, 0, 0, 0, 0, 397, 31);
INSERT INTO public.who_data VALUES (93872, 0, 0, 0, 0, 397, 204);
INSERT INTO public.who_data VALUES (93873, 0, 0, 0, 0, 397, 152);
INSERT INTO public.who_data VALUES (93874, 0, 0, 0, 0, 397, 144);
INSERT INTO public.who_data VALUES (93875, 0, 0, 0, 0, 397, 96);
INSERT INTO public.who_data VALUES (93876, 0, 0, 0, 0, 397, 47);
INSERT INTO public.who_data VALUES (93877, 0, 0, 0, 0, 397, 80);
INSERT INTO public.who_data VALUES (93878, 0, 0, 0, 0, 397, 159);
INSERT INTO public.who_data VALUES (93879, 0, 0, 0, 0, 397, 27);
INSERT INTO public.who_data VALUES (93880, 0, 0, 0, 0, 397, 146);
INSERT INTO public.who_data VALUES (93881, 0, 0, 0, 0, 397, 71);
INSERT INTO public.who_data VALUES (93882, 0, 0, 0, 0, 397, 210);
INSERT INTO public.who_data VALUES (93883, 0, 0, 0, 0, 397, 54);
INSERT INTO public.who_data VALUES (93884, 0, 0, 0, 0, 397, 147);
INSERT INTO public.who_data VALUES (93885, 0, 0, 0, 0, 397, 2);
INSERT INTO public.who_data VALUES (93886, 0, 0, 0, 0, 397, 105);
INSERT INTO public.who_data VALUES (93887, 0, 0, 0, 0, 397, 53);
INSERT INTO public.who_data VALUES (93888, 0, 0, 0, 0, 397, 81);
INSERT INTO public.who_data VALUES (93889, 0, 0, 0, 0, 397, 223);
INSERT INTO public.who_data VALUES (93890, 0, 0, 0, 0, 397, 94);
INSERT INTO public.who_data VALUES (93891, 0, 0, 0, 0, 397, 154);
INSERT INTO public.who_data VALUES (93892, 0, 0, 0, 0, 397, 83);
INSERT INTO public.who_data VALUES (93893, 0, 0, 0, 0, 397, 194);
INSERT INTO public.who_data VALUES (93894, 0, 0, 0, 0, 397, 136);
INSERT INTO public.who_data VALUES (93895, 93, 295, 2, 6, 397, 179);
INSERT INTO public.who_data VALUES (93896, 0, 0, 0, 0, 397, 57);
INSERT INTO public.who_data VALUES (93897, 0, 0, 0, 0, 397, 35);
INSERT INTO public.who_data VALUES (93898, 0, 0, 0, 0, 397, 228);
INSERT INTO public.who_data VALUES (93899, 0, 0, 0, 0, 397, 19);
INSERT INTO public.who_data VALUES (93900, 0, 0, 0, 0, 397, 22);
INSERT INTO public.who_data VALUES (93901, 0, 0, 0, 0, 397, 1);
INSERT INTO public.who_data VALUES (93902, 0, 0, 0, 0, 397, 21);
INSERT INTO public.who_data VALUES (93903, 0, 0, 0, 0, 397, 234);
INSERT INTO public.who_data VALUES (93904, 0, 0, 0, 0, 397, 91);
INSERT INTO public.who_data VALUES (93905, 0, 0, 0, 0, 397, 137);
INSERT INTO public.who_data VALUES (93906, 0, 0, 0, 0, 397, 201);
INSERT INTO public.who_data VALUES (93907, 0, 0, 0, 0, 397, 171);
INSERT INTO public.who_data VALUES (93908, 0, 0, 0, 0, 397, 92);
INSERT INTO public.who_data VALUES (93909, 0, 0, 0, 0, 397, 112);
INSERT INTO public.who_data VALUES (93910, 0, 0, 0, 0, 397, 62);
INSERT INTO public.who_data VALUES (93911, 0, 0, 0, 0, 397, 69);
INSERT INTO public.who_data VALUES (93912, 0, 0, 0, 0, 397, 220);
INSERT INTO public.who_data VALUES (93913, 0, 0, 0, 0, 397, 100);
INSERT INTO public.who_data VALUES (93914, 0, 0, 0, 0, 397, 187);
INSERT INTO public.who_data VALUES (93915, 0, 0, 0, 0, 397, 63);
INSERT INTO public.who_data VALUES (93916, 0, 0, 0, 0, 397, 28);
INSERT INTO public.who_data VALUES (93917, 0, 0, 0, 0, 397, 172);
INSERT INTO public.who_data VALUES (93918, 0, 0, 0, 0, 397, 17);
INSERT INTO public.who_data VALUES (93919, 0, 0, 0, 0, 397, 226);
INSERT INTO public.who_data VALUES (93920, 0, 0, 0, 0, 397, 236);
INSERT INTO public.who_data VALUES (93921, 0, 0, 0, 0, 397, 76);
INSERT INTO public.who_data VALUES (93922, 0, 0, 0, 0, 397, 30);
INSERT INTO public.who_data VALUES (93923, 0, 0, 0, 0, 397, 128);
INSERT INTO public.who_data VALUES (93924, 0, 0, 0, 0, 397, 86);
INSERT INTO public.who_data VALUES (93925, 0, 0, 0, 0, 397, 140);
INSERT INTO public.who_data VALUES (93926, 0, 0, 0, 0, 397, 44);
INSERT INTO public.who_data VALUES (93927, 0, 0, 0, 0, 397, 113);
INSERT INTO public.who_data VALUES (93928, 0, 0, 0, 0, 397, 29);
INSERT INTO public.who_data VALUES (93929, 0, 0, 0, 0, 397, 125);
INSERT INTO public.who_data VALUES (93930, 0, 0, 0, 0, 397, 131);
INSERT INTO public.who_data VALUES (93931, 0, 0, 0, 0, 397, 46);
INSERT INTO public.who_data VALUES (93932, 0, 0, 0, 0, 397, 10);
INSERT INTO public.who_data VALUES (93933, 0, 0, 0, 0, 397, 205);
INSERT INTO public.who_data VALUES (93934, 0, 0, 0, 0, 397, 50);
INSERT INTO public.who_data VALUES (93935, 0, 0, 0, 0, 397, 20);
INSERT INTO public.who_data VALUES (93936, 0, 0, 0, 0, 397, 13);
INSERT INTO public.who_data VALUES (93937, 0, 0, 0, 0, 397, 148);
INSERT INTO public.who_data VALUES (93938, 0, 0, 0, 0, 397, 230);
INSERT INTO public.who_data VALUES (93939, 0, 0, 0, 0, 397, 190);
INSERT INTO public.who_data VALUES (93940, 0, 0, 0, 0, 397, 188);
INSERT INTO public.who_data VALUES (93941, 0, 0, 0, 0, 397, 123);
INSERT INTO public.who_data VALUES (93942, 0, 0, 0, 0, 397, 9);
INSERT INTO public.who_data VALUES (93943, 0, 0, 0, 0, 397, 102);
INSERT INTO public.who_data VALUES (93944, 0, 0, 0, 0, 397, 34);
INSERT INTO public.who_data VALUES (93945, 0, 0, 0, 0, 397, 212);
INSERT INTO public.who_data VALUES (93946, 0, 0, 0, 0, 397, 122);
INSERT INTO public.who_data VALUES (93947, 0, 0, 0, 0, 397, 38);
INSERT INTO public.who_data VALUES (93948, 0, 0, 0, 0, 397, 130);
INSERT INTO public.who_data VALUES (93949, 0, 0, 0, 0, 397, 37);
INSERT INTO public.who_data VALUES (93950, 0, 0, 0, 0, 397, 231);
INSERT INTO public.who_data VALUES (93951, 0, 0, 0, 0, 397, 107);
INSERT INTO public.who_data VALUES (93952, 0, 0, 0, 0, 397, 101);
INSERT INTO public.who_data VALUES (93953, 0, 0, 0, 0, 397, 132);
INSERT INTO public.who_data VALUES (93954, 0, 0, 0, 0, 397, 176);
INSERT INTO public.who_data VALUES (93955, 0, 0, 0, 0, 397, 200);
INSERT INTO public.who_data VALUES (93956, 0, 0, 0, 0, 397, 169);
INSERT INTO public.who_data VALUES (93957, 0, 0, 0, 0, 397, 225);
INSERT INTO public.who_data VALUES (93958, 0, 1, 0, 0, 397, 165);
INSERT INTO public.who_data VALUES (93959, 0, 0, 0, 0, 397, 233);
INSERT INTO public.who_data VALUES (93960, 0, 0, 0, 0, 397, 215);
INSERT INTO public.who_data VALUES (93961, 0, 0, 0, 0, 397, 177);
INSERT INTO public.who_data VALUES (93962, 0, 0, 0, 0, 397, 183);
INSERT INTO public.who_data VALUES (93963, 0, 0, 0, 0, 397, 203);
INSERT INTO public.who_data VALUES (93964, 0, 0, 0, 0, 397, 162);
INSERT INTO public.who_data VALUES (93965, 0, 0, 0, 0, 397, 12);
INSERT INTO public.who_data VALUES (93966, 0, 0, 0, 0, 397, 24);
INSERT INTO public.who_data VALUES (93967, 0, 0, 0, 0, 397, 119);
INSERT INTO public.who_data VALUES (93968, 0, 0, 0, 0, 397, 39);
INSERT INTO public.who_data VALUES (93969, 0, 0, 0, 0, 397, 26);
INSERT INTO public.who_data VALUES (93970, 0, 0, 0, 0, 397, 59);
INSERT INTO public.who_data VALUES (93971, 0, 0, 0, 0, 397, 77);
INSERT INTO public.who_data VALUES (93972, 0, 0, 0, 0, 397, 134);
INSERT INTO public.who_data VALUES (93973, 0, 0, 0, 0, 397, 4);
INSERT INTO public.who_data VALUES (93974, 0, 0, 0, 0, 397, 109);
INSERT INTO public.who_data VALUES (93975, 0, 0, 0, 0, 397, 90);
INSERT INTO public.who_data VALUES (93976, 0, 0, 0, 0, 397, 61);
INSERT INTO public.who_data VALUES (93977, 0, 0, 0, 0, 397, 85);
INSERT INTO public.who_data VALUES (93978, 0, 0, 0, 0, 397, 49);
INSERT INTO public.who_data VALUES (93979, 0, 0, 0, 0, 397, 208);
INSERT INTO public.who_data VALUES (93980, 0, 0, 0, 0, 397, 166);
INSERT INTO public.who_data VALUES (93981, 0, 0, 0, 0, 397, 64);
INSERT INTO public.who_data VALUES (93982, 0, 0, 0, 0, 397, 199);
INSERT INTO public.who_data VALUES (93983, 0, 0, 0, 0, 397, 114);
INSERT INTO public.who_data VALUES (93984, 0, 0, 0, 0, 397, 60);
INSERT INTO public.who_data VALUES (93985, 0, 0, 0, 0, 397, 68);
INSERT INTO public.who_data VALUES (93986, 0, 0, 0, 0, 397, 158);
INSERT INTO public.who_data VALUES (93987, 0, 0, 0, 0, 397, 52);
INSERT INTO public.who_data VALUES (93988, 0, 0, 0, 0, 397, 117);
INSERT INTO public.who_data VALUES (93989, 0, 0, 0, 0, 397, 126);
INSERT INTO public.who_data VALUES (93990, 0, 0, 0, 0, 397, 196);
INSERT INTO public.who_data VALUES (93991, 0, 0, 0, 0, 397, 142);
INSERT INTO public.who_data VALUES (93992, 0, 0, 0, 0, 397, 185);
INSERT INTO public.who_data VALUES (93993, 0, 0, 0, 0, 397, 138);
INSERT INTO public.who_data VALUES (93994, 0, 0, 0, 0, 397, 181);
INSERT INTO public.who_data VALUES (93995, 0, 0, 0, 0, 397, 178);
INSERT INTO public.who_data VALUES (93996, 0, 0, 0, 0, 397, 168);
INSERT INTO public.who_data VALUES (93997, 0, 0, 0, 0, 397, 160);
INSERT INTO public.who_data VALUES (93998, 0, 0, 0, 0, 397, 151);
INSERT INTO public.who_data VALUES (93999, 0, 0, 0, 0, 397, 193);
INSERT INTO public.who_data VALUES (94000, 0, 0, 0, 0, 397, 18);
INSERT INTO public.who_data VALUES (94001, 0, 0, 0, 0, 397, 40);
INSERT INTO public.who_data VALUES (94002, 0, 0, 0, 0, 397, 218);
INSERT INTO public.who_data VALUES (94003, 0, 0, 0, 0, 397, 191);
INSERT INTO public.who_data VALUES (94004, 0, 0, 0, 0, 397, 156);
INSERT INTO public.who_data VALUES (94005, 0, 0, 0, 0, 397, 135);
INSERT INTO public.who_data VALUES (94006, 0, 0, 0, 0, 397, 88);
INSERT INTO public.who_data VALUES (94007, 0, 0, 0, 0, 397, 55);
INSERT INTO public.who_data VALUES (94008, 0, 0, 0, 0, 397, 108);
INSERT INTO public.who_data VALUES (94009, 0, 0, 0, 0, 397, 48);
INSERT INTO public.who_data VALUES (94010, 0, 0, 0, 0, 397, 3);
INSERT INTO public.who_data VALUES (94011, 0, 0, 0, 0, 397, 224);
INSERT INTO public.who_data VALUES (94012, 0, 0, 0, 0, 397, 110);
INSERT INTO public.who_data VALUES (94013, 0, 0, 0, 0, 397, 106);
INSERT INTO public.who_data VALUES (94014, 0, 0, 0, 0, 397, 89);
INSERT INTO public.who_data VALUES (94015, 0, 0, 0, 0, 397, 121);
INSERT INTO public.who_data VALUES (94016, 0, 0, 0, 0, 397, 163);
INSERT INTO public.who_data VALUES (94017, 0, 0, 0, 0, 397, 70);
INSERT INTO public.who_data VALUES (94018, 0, 0, 0, 0, 397, 174);
INSERT INTO public.who_data VALUES (94019, 0, 0, 0, 0, 397, 175);
INSERT INTO public.who_data VALUES (94020, 0, 0, 0, 0, 397, 118);
INSERT INTO public.who_data VALUES (94021, 0, 0, 0, 0, 397, 189);
INSERT INTO public.who_data VALUES (94022, 0, 0, 0, 0, 397, 124);
INSERT INTO public.who_data VALUES (94023, 0, 0, 0, 0, 397, 192);
INSERT INTO public.who_data VALUES (94024, 0, 5, 0, 0, 397, 41);
INSERT INTO public.who_data VALUES (94025, 0, 0, 0, 0, 397, 95);
INSERT INTO public.who_data VALUES (94026, 0, 0, 0, 0, 397, 74);
INSERT INTO public.who_data VALUES (94027, 0, 0, 0, 0, 397, 11);
INSERT INTO public.who_data VALUES (94028, 0, 0, 0, 0, 397, 87);
INSERT INTO public.who_data VALUES (94029, 0, 0, 0, 0, 397, 214);
INSERT INTO public.who_data VALUES (94030, 0, 0, 0, 0, 397, 116);
INSERT INTO public.who_data VALUES (94031, 0, 0, 0, 0, 397, 157);
INSERT INTO public.who_data VALUES (94032, 0, 0, 0, 0, 397, 182);
INSERT INTO public.who_data VALUES (94033, 0, 0, 0, 0, 397, 186);
INSERT INTO public.who_data VALUES (94034, 0, 0, 0, 0, 397, 127);
INSERT INTO public.who_data VALUES (94035, 0, 0, 0, 0, 397, 232);
INSERT INTO public.who_data VALUES (94036, 0, 0, 0, 0, 397, 33);
INSERT INTO public.who_data VALUES (94037, 0, 0, 0, 0, 397, 97);
INSERT INTO public.who_data VALUES (94038, 0, 0, 0, 0, 397, 42);
INSERT INTO public.who_data VALUES (94039, 0, 0, 0, 0, 397, 198);
INSERT INTO public.who_data VALUES (94040, 0, 0, 0, 0, 397, 216);
INSERT INTO public.who_data VALUES (94041, 0, 0, 0, 0, 397, 164);
INSERT INTO public.who_data VALUES (94042, 0, 0, 0, 0, 397, 235);
INSERT INTO public.who_data VALUES (94043, 0, 0, 0, 0, 397, 67);
INSERT INTO public.who_data VALUES (94044, 0, 0, 0, 0, 397, 15);
INSERT INTO public.who_data VALUES (94045, 0, 0, 0, 0, 397, 180);
INSERT INTO public.who_data VALUES (94046, 0, 0, 0, 0, 397, 237);
INSERT INTO public.who_data VALUES (94047, 0, 0, 0, 0, 397, 25);
INSERT INTO public.who_data VALUES (94048, 0, 0, 0, 0, 397, 209);
INSERT INTO public.who_data VALUES (94049, 0, 0, 0, 0, 397, 217);
INSERT INTO public.who_data VALUES (94050, 0, 0, 0, 0, 397, 79);
INSERT INTO public.who_data VALUES (94051, 0, 0, 0, 0, 397, 143);
INSERT INTO public.who_data VALUES (94052, 0, 0, 0, 0, 397, 229);
INSERT INTO public.who_data VALUES (94053, 0, 0, 0, 0, 397, 141);
INSERT INTO public.who_data VALUES (94054, 0, 0, 0, 0, 397, 197);
INSERT INTO public.who_data VALUES (94055, 0, 0, 0, 0, 397, 221);
INSERT INTO public.who_data VALUES (94056, 0, 0, 0, 0, 397, 150);
INSERT INTO public.who_data VALUES (94057, 0, 0, 0, 0, 397, 56);
INSERT INTO public.who_data VALUES (94058, 0, 0, 0, 0, 397, 167);
INSERT INTO public.who_data VALUES (94059, 0, 0, 0, 0, 397, 23);
INSERT INTO public.who_data VALUES (94060, 0, 0, 0, 0, 397, 222);
INSERT INTO public.who_data VALUES (94061, 0, 0, 0, 0, 397, 219);
INSERT INTO public.who_data VALUES (94062, 0, 0, 0, 0, 397, 7);
INSERT INTO public.who_data VALUES (94063, 0, 6, 0, 0, 397, 161);
INSERT INTO public.who_data VALUES (94064, 0, 0, 0, 0, 397, 149);
INSERT INTO public.who_data VALUES (94065, 0, 0, 0, 0, 397, 6);
INSERT INTO public.who_data VALUES (94066, 0, 0, 0, 0, 397, 139);
INSERT INTO public.who_data VALUES (94067, 0, 0, 0, 0, 397, 211);
INSERT INTO public.who_data VALUES (94068, 0, 0, 0, 0, 397, 14);
INSERT INTO public.who_data VALUES (94069, 0, 0, 0, 0, 397, 111);
INSERT INTO public.who_data VALUES (94070, 0, 0, 0, 0, 397, 207);
INSERT INTO public.who_data VALUES (94071, 0, 0, 0, 0, 397, 66);
INSERT INTO public.who_data VALUES (94072, 0, 0, 0, 0, 397, 173);
INSERT INTO public.who_data VALUES (94073, 0, 0, 0, 0, 397, 145);
INSERT INTO public.who_data VALUES (94074, 0, 0, 0, 0, 397, 65);
INSERT INTO public.who_data VALUES (94075, 0, 0, 0, 0, 397, 184);
INSERT INTO public.who_data VALUES (94076, 0, 0, 0, 0, 397, 98);
INSERT INTO public.who_data VALUES (94077, 0, 0, 0, 0, 397, 104);
INSERT INTO public.who_data VALUES (94078, 0, 0, 0, 0, 397, 73);
INSERT INTO public.who_data VALUES (94079, 0, 5, 0, 0, 397, 8);
INSERT INTO public.who_data VALUES (94080, 0, 0, 0, 0, 397, 227);
INSERT INTO public.who_data VALUES (94081, 0, 0, 0, 0, 397, 75);
INSERT INTO public.who_data VALUES (94082, 0, 0, 0, 0, 397, 45);
INSERT INTO public.who_data VALUES (94083, 0, 0, 0, 0, 397, 133);
INSERT INTO public.who_data VALUES (94084, 0, 0, 0, 0, 397, 202);
INSERT INTO public.who_data VALUES (94085, 0, 0, 0, 0, 397, 129);
INSERT INTO public.who_data VALUES (94086, 0, 0, 0, 0, 397, 36);
INSERT INTO public.who_data VALUES (94087, 0, 0, 0, 0, 397, 51);
INSERT INTO public.who_data VALUES (94088, 0, 0, 0, 0, 397, 206);
INSERT INTO public.who_data VALUES (94089, 0, 0, 0, 0, 397, 5);
INSERT INTO public.who_data VALUES (94090, 0, 0, 0, 0, 398, 103);
INSERT INTO public.who_data VALUES (94091, 0, 0, 0, 0, 398, 58);
INSERT INTO public.who_data VALUES (94092, 0, 0, 0, 0, 398, 195);
INSERT INTO public.who_data VALUES (94093, 0, 0, 0, 0, 398, 115);
INSERT INTO public.who_data VALUES (94094, 0, 0, 0, 0, 398, 99);
INSERT INTO public.who_data VALUES (94095, 0, 0, 0, 0, 398, 153);
INSERT INTO public.who_data VALUES (94096, 0, 0, 0, 0, 398, 93);
INSERT INTO public.who_data VALUES (94097, 0, 0, 0, 0, 398, 84);
INSERT INTO public.who_data VALUES (94098, 0, 0, 0, 0, 398, 78);
INSERT INTO public.who_data VALUES (94099, 0, 0, 0, 0, 398, 170);
INSERT INTO public.who_data VALUES (94100, 0, 0, 0, 0, 398, 32);
INSERT INTO public.who_data VALUES (94101, 0, 0, 0, 0, 398, 155);
INSERT INTO public.who_data VALUES (94102, 0, 0, 0, 0, 398, 82);
INSERT INTO public.who_data VALUES (94103, 0, 0, 0, 0, 398, 16);
INSERT INTO public.who_data VALUES (94104, 0, 0, 0, 0, 398, 72);
INSERT INTO public.who_data VALUES (94105, 0, 0, 0, 0, 398, 43);
INSERT INTO public.who_data VALUES (94106, 0, 0, 0, 0, 398, 120);
INSERT INTO public.who_data VALUES (94107, 0, 0, 0, 0, 398, 213);
INSERT INTO public.who_data VALUES (94108, 0, 0, 0, 0, 398, 31);
INSERT INTO public.who_data VALUES (94109, 0, 0, 0, 0, 398, 204);
INSERT INTO public.who_data VALUES (94110, 0, 0, 0, 0, 398, 152);
INSERT INTO public.who_data VALUES (94111, 0, 0, 0, 0, 398, 144);
INSERT INTO public.who_data VALUES (94112, 0, 0, 0, 0, 398, 96);
INSERT INTO public.who_data VALUES (94113, 0, 0, 0, 0, 398, 47);
INSERT INTO public.who_data VALUES (94114, 0, 0, 0, 0, 398, 80);
INSERT INTO public.who_data VALUES (94115, 0, 0, 0, 0, 398, 159);
INSERT INTO public.who_data VALUES (94116, 0, 0, 0, 0, 398, 27);
INSERT INTO public.who_data VALUES (94117, 0, 0, 0, 0, 398, 146);
INSERT INTO public.who_data VALUES (94118, 0, 0, 0, 0, 398, 71);
INSERT INTO public.who_data VALUES (94119, 0, 0, 0, 0, 398, 210);
INSERT INTO public.who_data VALUES (94120, 0, 0, 0, 0, 398, 54);
INSERT INTO public.who_data VALUES (94121, 0, 0, 0, 0, 398, 147);
INSERT INTO public.who_data VALUES (94122, 0, 0, 0, 0, 398, 2);
INSERT INTO public.who_data VALUES (94123, 0, 0, 0, 0, 398, 105);
INSERT INTO public.who_data VALUES (94124, 0, 0, 0, 0, 398, 53);
INSERT INTO public.who_data VALUES (94125, 0, 0, 0, 0, 398, 81);
INSERT INTO public.who_data VALUES (94126, 0, 0, 0, 0, 398, 223);
INSERT INTO public.who_data VALUES (94127, 0, 0, 0, 0, 398, 94);
INSERT INTO public.who_data VALUES (94128, 0, 0, 0, 0, 398, 154);
INSERT INTO public.who_data VALUES (94129, 0, 0, 0, 0, 398, 83);
INSERT INTO public.who_data VALUES (94130, 0, 0, 0, 0, 398, 194);
INSERT INTO public.who_data VALUES (94131, 0, 0, 0, 0, 398, 136);
INSERT INTO public.who_data VALUES (94132, 77, 202, 1, 4, 398, 179);
INSERT INTO public.who_data VALUES (94133, 0, 0, 0, 0, 398, 57);
INSERT INTO public.who_data VALUES (94134, 0, 0, 0, 0, 398, 35);
INSERT INTO public.who_data VALUES (94135, 0, 0, 0, 0, 398, 228);
INSERT INTO public.who_data VALUES (94136, 0, 0, 0, 0, 398, 19);
INSERT INTO public.who_data VALUES (94137, 0, 0, 0, 0, 398, 22);
INSERT INTO public.who_data VALUES (94138, 0, 0, 0, 0, 398, 1);
INSERT INTO public.who_data VALUES (94139, 0, 0, 0, 0, 398, 21);
INSERT INTO public.who_data VALUES (94140, 0, 0, 0, 0, 398, 234);
INSERT INTO public.who_data VALUES (94141, 0, 0, 0, 0, 398, 91);
INSERT INTO public.who_data VALUES (94142, 0, 0, 0, 0, 398, 137);
INSERT INTO public.who_data VALUES (94143, 0, 0, 0, 0, 398, 201);
INSERT INTO public.who_data VALUES (94144, 0, 0, 0, 0, 398, 171);
INSERT INTO public.who_data VALUES (94145, 0, 0, 0, 0, 398, 92);
INSERT INTO public.who_data VALUES (94146, 0, 0, 0, 0, 398, 112);
INSERT INTO public.who_data VALUES (94147, 0, 0, 0, 0, 398, 62);
INSERT INTO public.who_data VALUES (94148, 0, 0, 0, 0, 398, 69);
INSERT INTO public.who_data VALUES (94149, 0, 0, 0, 0, 398, 220);
INSERT INTO public.who_data VALUES (94150, 0, 0, 0, 0, 398, 100);
INSERT INTO public.who_data VALUES (94151, 0, 0, 0, 0, 398, 187);
INSERT INTO public.who_data VALUES (94152, 0, 0, 0, 0, 398, 63);
INSERT INTO public.who_data VALUES (94153, 0, 0, 0, 0, 398, 28);
INSERT INTO public.who_data VALUES (94154, 0, 0, 0, 0, 398, 172);
INSERT INTO public.who_data VALUES (94155, 0, 0, 0, 0, 398, 17);
INSERT INTO public.who_data VALUES (94156, 0, 0, 0, 0, 398, 226);
INSERT INTO public.who_data VALUES (94157, 0, 0, 0, 0, 398, 236);
INSERT INTO public.who_data VALUES (94158, 0, 0, 0, 0, 398, 76);
INSERT INTO public.who_data VALUES (94159, 0, 0, 0, 0, 398, 30);
INSERT INTO public.who_data VALUES (94160, 0, 0, 0, 0, 398, 128);
INSERT INTO public.who_data VALUES (94161, 0, 0, 0, 0, 398, 86);
INSERT INTO public.who_data VALUES (94162, 0, 0, 0, 0, 398, 140);
INSERT INTO public.who_data VALUES (94163, 0, 0, 0, 0, 398, 44);
INSERT INTO public.who_data VALUES (94164, 0, 0, 0, 0, 398, 113);
INSERT INTO public.who_data VALUES (94165, 0, 0, 0, 0, 398, 29);
INSERT INTO public.who_data VALUES (94166, 0, 0, 0, 0, 398, 125);
INSERT INTO public.who_data VALUES (94167, 0, 0, 0, 0, 398, 131);
INSERT INTO public.who_data VALUES (94168, 0, 0, 0, 0, 398, 46);
INSERT INTO public.who_data VALUES (94169, 0, 0, 0, 0, 398, 10);
INSERT INTO public.who_data VALUES (94170, 0, 0, 0, 0, 398, 205);
INSERT INTO public.who_data VALUES (94171, 0, 0, 0, 0, 398, 50);
INSERT INTO public.who_data VALUES (94172, 0, 0, 0, 0, 398, 20);
INSERT INTO public.who_data VALUES (94173, 0, 0, 0, 0, 398, 13);
INSERT INTO public.who_data VALUES (94174, 0, 0, 0, 0, 398, 148);
INSERT INTO public.who_data VALUES (94175, 0, 0, 0, 0, 398, 230);
INSERT INTO public.who_data VALUES (94176, 0, 0, 0, 0, 398, 190);
INSERT INTO public.who_data VALUES (94177, 0, 0, 0, 0, 398, 188);
INSERT INTO public.who_data VALUES (94178, 0, 0, 0, 0, 398, 123);
INSERT INTO public.who_data VALUES (94179, 0, 0, 0, 0, 398, 9);
INSERT INTO public.who_data VALUES (94180, 0, 0, 0, 0, 398, 102);
INSERT INTO public.who_data VALUES (94181, 0, 0, 0, 0, 398, 34);
INSERT INTO public.who_data VALUES (94182, 0, 0, 0, 0, 398, 212);
INSERT INTO public.who_data VALUES (94183, 0, 0, 0, 0, 398, 122);
INSERT INTO public.who_data VALUES (94184, 0, 0, 0, 0, 398, 38);
INSERT INTO public.who_data VALUES (94185, 0, 0, 0, 0, 398, 130);
INSERT INTO public.who_data VALUES (94186, 0, 0, 0, 0, 398, 37);
INSERT INTO public.who_data VALUES (94187, 0, 0, 0, 0, 398, 231);
INSERT INTO public.who_data VALUES (94188, 0, 0, 0, 0, 398, 107);
INSERT INTO public.who_data VALUES (94189, 0, 0, 0, 0, 398, 101);
INSERT INTO public.who_data VALUES (94190, 0, 0, 0, 0, 398, 132);
INSERT INTO public.who_data VALUES (94191, 0, 0, 0, 0, 398, 176);
INSERT INTO public.who_data VALUES (94192, 0, 0, 0, 0, 398, 200);
INSERT INTO public.who_data VALUES (94193, 0, 0, 0, 0, 398, 169);
INSERT INTO public.who_data VALUES (94194, 0, 0, 0, 0, 398, 225);
INSERT INTO public.who_data VALUES (94195, 0, 1, 0, 0, 398, 165);
INSERT INTO public.who_data VALUES (94196, 0, 0, 0, 0, 398, 233);
INSERT INTO public.who_data VALUES (94197, 0, 0, 0, 0, 398, 215);
INSERT INTO public.who_data VALUES (94198, 0, 0, 0, 0, 398, 177);
INSERT INTO public.who_data VALUES (94199, 0, 0, 0, 0, 398, 183);
INSERT INTO public.who_data VALUES (94200, 0, 0, 0, 0, 398, 203);
INSERT INTO public.who_data VALUES (94201, 0, 0, 0, 0, 398, 162);
INSERT INTO public.who_data VALUES (94202, 0, 0, 0, 0, 398, 12);
INSERT INTO public.who_data VALUES (94203, 0, 0, 0, 0, 398, 24);
INSERT INTO public.who_data VALUES (94204, 0, 0, 0, 0, 398, 119);
INSERT INTO public.who_data VALUES (94205, 0, 0, 0, 0, 398, 39);
INSERT INTO public.who_data VALUES (94206, 0, 0, 0, 0, 398, 26);
INSERT INTO public.who_data VALUES (94207, 0, 0, 0, 0, 398, 59);
INSERT INTO public.who_data VALUES (94208, 0, 0, 0, 0, 398, 77);
INSERT INTO public.who_data VALUES (94209, 0, 0, 0, 0, 398, 134);
INSERT INTO public.who_data VALUES (94210, 0, 0, 0, 0, 398, 4);
INSERT INTO public.who_data VALUES (94211, 0, 0, 0, 0, 398, 109);
INSERT INTO public.who_data VALUES (94212, 0, 0, 0, 0, 398, 90);
INSERT INTO public.who_data VALUES (94213, 0, 0, 0, 0, 398, 61);
INSERT INTO public.who_data VALUES (94214, 0, 0, 0, 0, 398, 85);
INSERT INTO public.who_data VALUES (94215, 0, 0, 0, 0, 398, 49);
INSERT INTO public.who_data VALUES (94216, 0, 0, 0, 0, 398, 208);
INSERT INTO public.who_data VALUES (94217, 0, 0, 0, 0, 398, 166);
INSERT INTO public.who_data VALUES (94218, 0, 0, 0, 0, 398, 64);
INSERT INTO public.who_data VALUES (94219, 0, 0, 0, 0, 398, 199);
INSERT INTO public.who_data VALUES (94220, 0, 0, 0, 0, 398, 114);
INSERT INTO public.who_data VALUES (94221, 0, 0, 0, 0, 398, 60);
INSERT INTO public.who_data VALUES (94222, 0, 0, 0, 0, 398, 68);
INSERT INTO public.who_data VALUES (94223, 0, 0, 0, 0, 398, 158);
INSERT INTO public.who_data VALUES (94224, 0, 0, 0, 0, 398, 52);
INSERT INTO public.who_data VALUES (94225, 0, 0, 0, 0, 398, 117);
INSERT INTO public.who_data VALUES (94226, 0, 0, 0, 0, 398, 126);
INSERT INTO public.who_data VALUES (94227, 0, 0, 0, 0, 398, 196);
INSERT INTO public.who_data VALUES (94228, 0, 0, 0, 0, 398, 142);
INSERT INTO public.who_data VALUES (94229, 0, 0, 0, 0, 398, 185);
INSERT INTO public.who_data VALUES (94230, 0, 0, 0, 0, 398, 138);
INSERT INTO public.who_data VALUES (94231, 0, 0, 0, 0, 398, 181);
INSERT INTO public.who_data VALUES (94232, 0, 0, 0, 0, 398, 178);
INSERT INTO public.who_data VALUES (94233, 0, 0, 0, 0, 398, 168);
INSERT INTO public.who_data VALUES (94234, 0, 0, 0, 0, 398, 160);
INSERT INTO public.who_data VALUES (94235, 0, 0, 0, 0, 398, 151);
INSERT INTO public.who_data VALUES (94236, 0, 0, 0, 0, 398, 193);
INSERT INTO public.who_data VALUES (94237, 0, 0, 0, 0, 398, 18);
INSERT INTO public.who_data VALUES (94238, 0, 0, 0, 0, 398, 40);
INSERT INTO public.who_data VALUES (94239, 0, 0, 0, 0, 398, 218);
INSERT INTO public.who_data VALUES (94240, 0, 0, 0, 0, 398, 191);
INSERT INTO public.who_data VALUES (94241, 0, 0, 0, 0, 398, 156);
INSERT INTO public.who_data VALUES (94242, 0, 0, 0, 0, 398, 135);
INSERT INTO public.who_data VALUES (94243, 0, 0, 0, 0, 398, 88);
INSERT INTO public.who_data VALUES (94244, 0, 0, 0, 0, 398, 55);
INSERT INTO public.who_data VALUES (94245, 0, 0, 0, 0, 398, 108);
INSERT INTO public.who_data VALUES (94246, 0, 0, 0, 0, 398, 48);
INSERT INTO public.who_data VALUES (94247, 0, 0, 0, 0, 398, 3);
INSERT INTO public.who_data VALUES (94248, 0, 0, 0, 0, 398, 224);
INSERT INTO public.who_data VALUES (94249, 0, 0, 0, 0, 398, 110);
INSERT INTO public.who_data VALUES (94250, 0, 0, 0, 0, 398, 106);
INSERT INTO public.who_data VALUES (94251, 0, 0, 0, 0, 398, 89);
INSERT INTO public.who_data VALUES (94252, 0, 0, 0, 0, 398, 121);
INSERT INTO public.who_data VALUES (94253, 0, 0, 0, 0, 398, 163);
INSERT INTO public.who_data VALUES (94254, 0, 0, 0, 0, 398, 70);
INSERT INTO public.who_data VALUES (94255, 0, 0, 0, 0, 398, 174);
INSERT INTO public.who_data VALUES (94256, 0, 0, 0, 0, 398, 175);
INSERT INTO public.who_data VALUES (94257, 0, 0, 0, 0, 398, 118);
INSERT INTO public.who_data VALUES (94258, 0, 0, 0, 0, 398, 189);
INSERT INTO public.who_data VALUES (94259, 0, 0, 0, 0, 398, 124);
INSERT INTO public.who_data VALUES (94260, 0, 0, 0, 0, 398, 192);
INSERT INTO public.who_data VALUES (94261, 0, 5, 0, 0, 398, 41);
INSERT INTO public.who_data VALUES (94262, 0, 0, 0, 0, 398, 95);
INSERT INTO public.who_data VALUES (94263, 0, 0, 0, 0, 398, 74);
INSERT INTO public.who_data VALUES (94264, 0, 0, 0, 0, 398, 11);
INSERT INTO public.who_data VALUES (94265, 0, 0, 0, 0, 398, 87);
INSERT INTO public.who_data VALUES (94266, 0, 0, 0, 0, 398, 214);
INSERT INTO public.who_data VALUES (94267, 0, 0, 0, 0, 398, 116);
INSERT INTO public.who_data VALUES (94268, 0, 0, 0, 0, 398, 157);
INSERT INTO public.who_data VALUES (94269, 0, 0, 0, 0, 398, 182);
INSERT INTO public.who_data VALUES (94270, 0, 0, 0, 0, 398, 186);
INSERT INTO public.who_data VALUES (94271, 0, 0, 0, 0, 398, 127);
INSERT INTO public.who_data VALUES (94272, 0, 0, 0, 0, 398, 232);
INSERT INTO public.who_data VALUES (94273, 0, 0, 0, 0, 398, 33);
INSERT INTO public.who_data VALUES (94274, 0, 0, 0, 0, 398, 97);
INSERT INTO public.who_data VALUES (94275, 0, 0, 0, 0, 398, 42);
INSERT INTO public.who_data VALUES (94276, 0, 0, 0, 0, 398, 198);
INSERT INTO public.who_data VALUES (94277, 0, 0, 0, 0, 398, 216);
INSERT INTO public.who_data VALUES (94278, 0, 0, 0, 0, 398, 164);
INSERT INTO public.who_data VALUES (94279, 0, 0, 0, 0, 398, 235);
INSERT INTO public.who_data VALUES (94280, 0, 0, 0, 0, 398, 67);
INSERT INTO public.who_data VALUES (94281, 0, 0, 0, 0, 398, 15);
INSERT INTO public.who_data VALUES (94282, 0, 0, 0, 0, 398, 180);
INSERT INTO public.who_data VALUES (94283, 0, 0, 0, 0, 398, 237);
INSERT INTO public.who_data VALUES (94284, 0, 0, 0, 0, 398, 25);
INSERT INTO public.who_data VALUES (94285, 0, 0, 0, 0, 398, 209);
INSERT INTO public.who_data VALUES (94286, 0, 0, 0, 0, 398, 217);
INSERT INTO public.who_data VALUES (94287, 0, 0, 0, 0, 398, 79);
INSERT INTO public.who_data VALUES (94288, 0, 0, 0, 0, 398, 143);
INSERT INTO public.who_data VALUES (94289, 0, 0, 0, 0, 398, 229);
INSERT INTO public.who_data VALUES (94290, 0, 0, 0, 0, 398, 141);
INSERT INTO public.who_data VALUES (94291, 0, 0, 0, 0, 398, 197);
INSERT INTO public.who_data VALUES (94292, 0, 0, 0, 0, 398, 221);
INSERT INTO public.who_data VALUES (94293, 0, 0, 0, 0, 398, 150);
INSERT INTO public.who_data VALUES (94294, 0, 0, 0, 0, 398, 56);
INSERT INTO public.who_data VALUES (94295, 0, 0, 0, 0, 398, 167);
INSERT INTO public.who_data VALUES (94296, 0, 0, 0, 0, 398, 23);
INSERT INTO public.who_data VALUES (94297, 0, 0, 0, 0, 398, 222);
INSERT INTO public.who_data VALUES (94298, 0, 0, 0, 0, 398, 219);
INSERT INTO public.who_data VALUES (94299, 0, 0, 0, 0, 398, 7);
INSERT INTO public.who_data VALUES (94300, 0, 6, 0, 0, 398, 161);
INSERT INTO public.who_data VALUES (94301, 0, 0, 0, 0, 398, 149);
INSERT INTO public.who_data VALUES (94302, 0, 0, 0, 0, 398, 6);
INSERT INTO public.who_data VALUES (94303, 0, 0, 0, 0, 398, 139);
INSERT INTO public.who_data VALUES (94304, 0, 0, 0, 0, 398, 211);
INSERT INTO public.who_data VALUES (94305, 0, 0, 0, 0, 398, 14);
INSERT INTO public.who_data VALUES (94306, 0, 0, 0, 0, 398, 111);
INSERT INTO public.who_data VALUES (94307, 0, 0, 0, 0, 398, 207);
INSERT INTO public.who_data VALUES (94308, 0, 0, 0, 0, 398, 66);
INSERT INTO public.who_data VALUES (94309, 0, 0, 0, 0, 398, 173);
INSERT INTO public.who_data VALUES (94310, 0, 0, 0, 0, 398, 145);
INSERT INTO public.who_data VALUES (94311, 0, 0, 0, 0, 398, 65);
INSERT INTO public.who_data VALUES (94312, 0, 0, 0, 0, 398, 184);
INSERT INTO public.who_data VALUES (94313, 0, 0, 0, 0, 398, 98);
INSERT INTO public.who_data VALUES (94314, 0, 0, 0, 0, 398, 104);
INSERT INTO public.who_data VALUES (94315, 0, 0, 0, 0, 398, 73);
INSERT INTO public.who_data VALUES (94316, 5, 5, 0, 0, 398, 8);
INSERT INTO public.who_data VALUES (94317, 0, 0, 0, 0, 398, 227);
INSERT INTO public.who_data VALUES (94318, 0, 0, 0, 0, 398, 75);
INSERT INTO public.who_data VALUES (94319, 0, 0, 0, 0, 398, 45);
INSERT INTO public.who_data VALUES (94320, 0, 0, 0, 0, 398, 133);
INSERT INTO public.who_data VALUES (94321, 0, 0, 0, 0, 398, 202);
INSERT INTO public.who_data VALUES (94322, 0, 0, 0, 0, 398, 129);
INSERT INTO public.who_data VALUES (94323, 0, 0, 0, 0, 398, 36);
INSERT INTO public.who_data VALUES (94324, 0, 0, 0, 0, 398, 51);
INSERT INTO public.who_data VALUES (94325, 0, 0, 0, 0, 398, 206);
INSERT INTO public.who_data VALUES (94326, 0, 0, 0, 0, 398, 5);
INSERT INTO public.who_data VALUES (94327, 0, 0, 0, 0, 399, 103);
INSERT INTO public.who_data VALUES (94328, 0, 0, 0, 0, 399, 58);
INSERT INTO public.who_data VALUES (94329, 0, 0, 0, 0, 399, 195);
INSERT INTO public.who_data VALUES (94330, 0, 0, 0, 0, 399, 115);
INSERT INTO public.who_data VALUES (94331, 0, 0, 0, 0, 399, 99);
INSERT INTO public.who_data VALUES (94332, 0, 0, 0, 0, 399, 153);
INSERT INTO public.who_data VALUES (94333, 0, 0, 0, 0, 399, 93);
INSERT INTO public.who_data VALUES (94334, 0, 0, 0, 0, 399, 84);
INSERT INTO public.who_data VALUES (94335, 0, 0, 0, 0, 399, 78);
INSERT INTO public.who_data VALUES (94336, 0, 0, 0, 0, 399, 170);
INSERT INTO public.who_data VALUES (94337, 0, 0, 0, 0, 399, 32);
INSERT INTO public.who_data VALUES (94338, 0, 0, 0, 0, 399, 155);
INSERT INTO public.who_data VALUES (94339, 0, 0, 0, 0, 399, 82);
INSERT INTO public.who_data VALUES (94340, 0, 0, 0, 0, 399, 16);
INSERT INTO public.who_data VALUES (94341, 0, 0, 0, 0, 399, 72);
INSERT INTO public.who_data VALUES (94342, 0, 0, 0, 0, 399, 43);
INSERT INTO public.who_data VALUES (94343, 0, 0, 0, 0, 399, 120);
INSERT INTO public.who_data VALUES (94344, 0, 0, 0, 0, 399, 213);
INSERT INTO public.who_data VALUES (94345, 0, 0, 0, 0, 399, 31);
INSERT INTO public.who_data VALUES (94346, 0, 0, 0, 0, 399, 204);
INSERT INTO public.who_data VALUES (94347, 0, 0, 0, 0, 399, 152);
INSERT INTO public.who_data VALUES (94348, 0, 0, 0, 0, 399, 144);
INSERT INTO public.who_data VALUES (94349, 0, 0, 0, 0, 399, 96);
INSERT INTO public.who_data VALUES (94350, 0, 0, 0, 0, 399, 47);
INSERT INTO public.who_data VALUES (94351, 0, 0, 0, 0, 399, 80);
INSERT INTO public.who_data VALUES (94352, 0, 0, 0, 0, 399, 159);
INSERT INTO public.who_data VALUES (94353, 0, 0, 0, 0, 399, 27);
INSERT INTO public.who_data VALUES (94354, 0, 0, 0, 0, 399, 146);
INSERT INTO public.who_data VALUES (94355, 0, 0, 0, 0, 399, 71);
INSERT INTO public.who_data VALUES (94356, 0, 0, 0, 0, 399, 210);
INSERT INTO public.who_data VALUES (94357, 0, 0, 0, 0, 399, 54);
INSERT INTO public.who_data VALUES (94358, 0, 0, 0, 0, 399, 147);
INSERT INTO public.who_data VALUES (94359, 0, 0, 0, 0, 399, 2);
INSERT INTO public.who_data VALUES (94360, 0, 0, 0, 0, 399, 105);
INSERT INTO public.who_data VALUES (94361, 0, 0, 0, 0, 399, 53);
INSERT INTO public.who_data VALUES (94362, 0, 0, 0, 0, 399, 81);
INSERT INTO public.who_data VALUES (94363, 0, 0, 0, 0, 399, 223);
INSERT INTO public.who_data VALUES (94364, 0, 0, 0, 0, 399, 94);
INSERT INTO public.who_data VALUES (94365, 0, 0, 0, 0, 399, 154);
INSERT INTO public.who_data VALUES (94366, 0, 0, 0, 0, 399, 83);
INSERT INTO public.who_data VALUES (94367, 0, 0, 0, 0, 399, 194);
INSERT INTO public.who_data VALUES (94368, 0, 0, 0, 0, 399, 136);
INSERT INTO public.who_data VALUES (94369, 59, 125, 1, 3, 399, 179);
INSERT INTO public.who_data VALUES (94370, 0, 0, 0, 0, 399, 57);
INSERT INTO public.who_data VALUES (94371, 0, 0, 0, 0, 399, 35);
INSERT INTO public.who_data VALUES (94372, 0, 0, 0, 0, 399, 228);
INSERT INTO public.who_data VALUES (94373, 0, 0, 0, 0, 399, 19);
INSERT INTO public.who_data VALUES (94374, 0, 0, 0, 0, 399, 22);
INSERT INTO public.who_data VALUES (94375, 0, 0, 0, 0, 399, 1);
INSERT INTO public.who_data VALUES (94376, 0, 0, 0, 0, 399, 21);
INSERT INTO public.who_data VALUES (94377, 0, 0, 0, 0, 399, 234);
INSERT INTO public.who_data VALUES (94378, 0, 0, 0, 0, 399, 91);
INSERT INTO public.who_data VALUES (94379, 0, 0, 0, 0, 399, 137);
INSERT INTO public.who_data VALUES (94380, 0, 0, 0, 0, 399, 201);
INSERT INTO public.who_data VALUES (94381, 0, 0, 0, 0, 399, 171);
INSERT INTO public.who_data VALUES (94382, 0, 0, 0, 0, 399, 92);
INSERT INTO public.who_data VALUES (94383, 0, 0, 0, 0, 399, 112);
INSERT INTO public.who_data VALUES (94384, 0, 0, 0, 0, 399, 62);
INSERT INTO public.who_data VALUES (94385, 0, 0, 0, 0, 399, 69);
INSERT INTO public.who_data VALUES (94386, 0, 0, 0, 0, 399, 220);
INSERT INTO public.who_data VALUES (94387, 0, 0, 0, 0, 399, 100);
INSERT INTO public.who_data VALUES (94388, 0, 0, 0, 0, 399, 187);
INSERT INTO public.who_data VALUES (94389, 0, 0, 0, 0, 399, 63);
INSERT INTO public.who_data VALUES (94390, 0, 0, 0, 0, 399, 28);
INSERT INTO public.who_data VALUES (94391, 0, 0, 0, 0, 399, 172);
INSERT INTO public.who_data VALUES (94392, 0, 0, 0, 0, 399, 17);
INSERT INTO public.who_data VALUES (94393, 0, 0, 0, 0, 399, 226);
INSERT INTO public.who_data VALUES (94394, 0, 0, 0, 0, 399, 236);
INSERT INTO public.who_data VALUES (94395, 0, 0, 0, 0, 399, 76);
INSERT INTO public.who_data VALUES (94396, 0, 0, 0, 0, 399, 30);
INSERT INTO public.who_data VALUES (94397, 0, 0, 0, 0, 399, 128);
INSERT INTO public.who_data VALUES (94398, 0, 0, 0, 0, 399, 86);
INSERT INTO public.who_data VALUES (94399, 0, 0, 0, 0, 399, 140);
INSERT INTO public.who_data VALUES (94400, 0, 0, 0, 0, 399, 44);
INSERT INTO public.who_data VALUES (94401, 0, 0, 0, 0, 399, 113);
INSERT INTO public.who_data VALUES (94402, 0, 0, 0, 0, 399, 29);
INSERT INTO public.who_data VALUES (94403, 0, 0, 0, 0, 399, 125);
INSERT INTO public.who_data VALUES (94404, 0, 0, 0, 0, 399, 131);
INSERT INTO public.who_data VALUES (94405, 0, 0, 0, 0, 399, 46);
INSERT INTO public.who_data VALUES (94406, 0, 0, 0, 0, 399, 10);
INSERT INTO public.who_data VALUES (94407, 0, 0, 0, 0, 399, 205);
INSERT INTO public.who_data VALUES (94408, 0, 0, 0, 0, 399, 50);
INSERT INTO public.who_data VALUES (94409, 0, 0, 0, 0, 399, 20);
INSERT INTO public.who_data VALUES (94410, 0, 0, 0, 0, 399, 13);
INSERT INTO public.who_data VALUES (94411, 0, 0, 0, 0, 399, 148);
INSERT INTO public.who_data VALUES (94412, 0, 0, 0, 0, 399, 230);
INSERT INTO public.who_data VALUES (94413, 0, 0, 0, 0, 399, 190);
INSERT INTO public.who_data VALUES (94414, 0, 0, 0, 0, 399, 188);
INSERT INTO public.who_data VALUES (94415, 0, 0, 0, 0, 399, 123);
INSERT INTO public.who_data VALUES (94416, 0, 0, 0, 0, 399, 9);
INSERT INTO public.who_data VALUES (94417, 0, 0, 0, 0, 399, 102);
INSERT INTO public.who_data VALUES (94418, 0, 0, 0, 0, 399, 34);
INSERT INTO public.who_data VALUES (94419, 0, 0, 0, 0, 399, 212);
INSERT INTO public.who_data VALUES (94420, 0, 0, 0, 0, 399, 122);
INSERT INTO public.who_data VALUES (94421, 0, 0, 0, 0, 399, 38);
INSERT INTO public.who_data VALUES (94422, 0, 0, 0, 0, 399, 130);
INSERT INTO public.who_data VALUES (94423, 0, 0, 0, 0, 399, 37);
INSERT INTO public.who_data VALUES (94424, 0, 0, 0, 0, 399, 231);
INSERT INTO public.who_data VALUES (94425, 0, 0, 0, 0, 399, 107);
INSERT INTO public.who_data VALUES (94426, 0, 0, 0, 0, 399, 101);
INSERT INTO public.who_data VALUES (94427, 0, 0, 0, 0, 399, 132);
INSERT INTO public.who_data VALUES (94428, 0, 0, 0, 0, 399, 176);
INSERT INTO public.who_data VALUES (94429, 0, 0, 0, 0, 399, 200);
INSERT INTO public.who_data VALUES (94430, 0, 0, 0, 0, 399, 169);
INSERT INTO public.who_data VALUES (94431, 0, 0, 0, 0, 399, 225);
INSERT INTO public.who_data VALUES (94432, 0, 1, 0, 0, 399, 165);
INSERT INTO public.who_data VALUES (94433, 0, 0, 0, 0, 399, 233);
INSERT INTO public.who_data VALUES (94434, 0, 0, 0, 0, 399, 215);
INSERT INTO public.who_data VALUES (94435, 0, 0, 0, 0, 399, 177);
INSERT INTO public.who_data VALUES (94436, 0, 0, 0, 0, 399, 183);
INSERT INTO public.who_data VALUES (94437, 0, 0, 0, 0, 399, 203);
INSERT INTO public.who_data VALUES (94438, 0, 0, 0, 0, 399, 162);
INSERT INTO public.who_data VALUES (94439, 0, 0, 0, 0, 399, 12);
INSERT INTO public.who_data VALUES (94440, 0, 0, 0, 0, 399, 24);
INSERT INTO public.who_data VALUES (94441, 0, 0, 0, 0, 399, 119);
INSERT INTO public.who_data VALUES (94442, 0, 0, 0, 0, 399, 39);
INSERT INTO public.who_data VALUES (94443, 0, 0, 0, 0, 399, 26);
INSERT INTO public.who_data VALUES (94444, 0, 0, 0, 0, 399, 59);
INSERT INTO public.who_data VALUES (94445, 0, 0, 0, 0, 399, 77);
INSERT INTO public.who_data VALUES (94446, 0, 0, 0, 0, 399, 134);
INSERT INTO public.who_data VALUES (94447, 0, 0, 0, 0, 399, 4);
INSERT INTO public.who_data VALUES (94448, 0, 0, 0, 0, 399, 109);
INSERT INTO public.who_data VALUES (94449, 0, 0, 0, 0, 399, 90);
INSERT INTO public.who_data VALUES (94450, 0, 0, 0, 0, 399, 61);
INSERT INTO public.who_data VALUES (94451, 0, 0, 0, 0, 399, 85);
INSERT INTO public.who_data VALUES (94452, 0, 0, 0, 0, 399, 49);
INSERT INTO public.who_data VALUES (94453, 0, 0, 0, 0, 399, 208);
INSERT INTO public.who_data VALUES (94454, 0, 0, 0, 0, 399, 166);
INSERT INTO public.who_data VALUES (94455, 0, 0, 0, 0, 399, 64);
INSERT INTO public.who_data VALUES (94456, 0, 0, 0, 0, 399, 199);
INSERT INTO public.who_data VALUES (94457, 0, 0, 0, 0, 399, 114);
INSERT INTO public.who_data VALUES (94458, 0, 0, 0, 0, 399, 60);
INSERT INTO public.who_data VALUES (94459, 0, 0, 0, 0, 399, 68);
INSERT INTO public.who_data VALUES (94460, 0, 0, 0, 0, 399, 158);
INSERT INTO public.who_data VALUES (94461, 0, 0, 0, 0, 399, 52);
INSERT INTO public.who_data VALUES (94462, 0, 0, 0, 0, 399, 117);
INSERT INTO public.who_data VALUES (94463, 0, 0, 0, 0, 399, 126);
INSERT INTO public.who_data VALUES (94464, 0, 0, 0, 0, 399, 196);
INSERT INTO public.who_data VALUES (94465, 0, 0, 0, 0, 399, 142);
INSERT INTO public.who_data VALUES (94466, 0, 0, 0, 0, 399, 185);
INSERT INTO public.who_data VALUES (94467, 0, 0, 0, 0, 399, 138);
INSERT INTO public.who_data VALUES (94468, 0, 0, 0, 0, 399, 181);
INSERT INTO public.who_data VALUES (94469, 0, 0, 0, 0, 399, 178);
INSERT INTO public.who_data VALUES (94470, 0, 0, 0, 0, 399, 168);
INSERT INTO public.who_data VALUES (94471, 0, 0, 0, 0, 399, 160);
INSERT INTO public.who_data VALUES (94472, 0, 0, 0, 0, 399, 151);
INSERT INTO public.who_data VALUES (94473, 0, 0, 0, 0, 399, 193);
INSERT INTO public.who_data VALUES (94474, 0, 0, 0, 0, 399, 18);
INSERT INTO public.who_data VALUES (94475, 0, 0, 0, 0, 399, 40);
INSERT INTO public.who_data VALUES (94476, 0, 0, 0, 0, 399, 218);
INSERT INTO public.who_data VALUES (94477, 0, 0, 0, 0, 399, 191);
INSERT INTO public.who_data VALUES (94478, 0, 0, 0, 0, 399, 156);
INSERT INTO public.who_data VALUES (94479, 0, 0, 0, 0, 399, 135);
INSERT INTO public.who_data VALUES (94480, 0, 0, 0, 0, 399, 88);
INSERT INTO public.who_data VALUES (94481, 0, 0, 0, 0, 399, 55);
INSERT INTO public.who_data VALUES (94482, 0, 0, 0, 0, 399, 108);
INSERT INTO public.who_data VALUES (94483, 0, 0, 0, 0, 399, 48);
INSERT INTO public.who_data VALUES (94484, 0, 0, 0, 0, 399, 3);
INSERT INTO public.who_data VALUES (94485, 0, 0, 0, 0, 399, 224);
INSERT INTO public.who_data VALUES (94486, 0, 0, 0, 0, 399, 110);
INSERT INTO public.who_data VALUES (94487, 0, 0, 0, 0, 399, 106);
INSERT INTO public.who_data VALUES (94488, 0, 0, 0, 0, 399, 89);
INSERT INTO public.who_data VALUES (94489, 0, 0, 0, 0, 399, 121);
INSERT INTO public.who_data VALUES (94490, 0, 0, 0, 0, 399, 163);
INSERT INTO public.who_data VALUES (94491, 0, 0, 0, 0, 399, 70);
INSERT INTO public.who_data VALUES (94492, 0, 0, 0, 0, 399, 174);
INSERT INTO public.who_data VALUES (94493, 0, 0, 0, 0, 399, 175);
INSERT INTO public.who_data VALUES (94494, 0, 0, 0, 0, 399, 118);
INSERT INTO public.who_data VALUES (94495, 0, 0, 0, 0, 399, 189);
INSERT INTO public.who_data VALUES (94496, 0, 0, 0, 0, 399, 124);
INSERT INTO public.who_data VALUES (94497, 0, 0, 0, 0, 399, 192);
INSERT INTO public.who_data VALUES (94498, 5, 5, 0, 0, 399, 41);
INSERT INTO public.who_data VALUES (94499, 0, 0, 0, 0, 399, 95);
INSERT INTO public.who_data VALUES (94500, 0, 0, 0, 0, 399, 74);
INSERT INTO public.who_data VALUES (94501, 0, 0, 0, 0, 399, 11);
INSERT INTO public.who_data VALUES (94502, 0, 0, 0, 0, 399, 87);
INSERT INTO public.who_data VALUES (94503, 0, 0, 0, 0, 399, 214);
INSERT INTO public.who_data VALUES (94504, 0, 0, 0, 0, 399, 116);
INSERT INTO public.who_data VALUES (94505, 0, 0, 0, 0, 399, 157);
INSERT INTO public.who_data VALUES (94506, 0, 0, 0, 0, 399, 182);
INSERT INTO public.who_data VALUES (94507, 0, 0, 0, 0, 399, 186);
INSERT INTO public.who_data VALUES (94508, 0, 0, 0, 0, 399, 127);
INSERT INTO public.who_data VALUES (94509, 0, 0, 0, 0, 399, 232);
INSERT INTO public.who_data VALUES (94510, 0, 0, 0, 0, 399, 33);
INSERT INTO public.who_data VALUES (94511, 0, 0, 0, 0, 399, 97);
INSERT INTO public.who_data VALUES (94512, 0, 0, 0, 0, 399, 42);
INSERT INTO public.who_data VALUES (94513, 0, 0, 0, 0, 399, 198);
INSERT INTO public.who_data VALUES (94514, 0, 0, 0, 0, 399, 216);
INSERT INTO public.who_data VALUES (94515, 0, 0, 0, 0, 399, 164);
INSERT INTO public.who_data VALUES (94516, 0, 0, 0, 0, 399, 235);
INSERT INTO public.who_data VALUES (94517, 0, 0, 0, 0, 399, 67);
INSERT INTO public.who_data VALUES (94518, 0, 0, 0, 0, 399, 15);
INSERT INTO public.who_data VALUES (94519, 0, 0, 0, 0, 399, 180);
INSERT INTO public.who_data VALUES (94520, 0, 0, 0, 0, 399, 237);
INSERT INTO public.who_data VALUES (94521, 0, 0, 0, 0, 399, 25);
INSERT INTO public.who_data VALUES (94522, 0, 0, 0, 0, 399, 209);
INSERT INTO public.who_data VALUES (94523, 0, 0, 0, 0, 399, 217);
INSERT INTO public.who_data VALUES (94524, 0, 0, 0, 0, 399, 79);
INSERT INTO public.who_data VALUES (94525, 0, 0, 0, 0, 399, 143);
INSERT INTO public.who_data VALUES (94526, 0, 0, 0, 0, 399, 229);
INSERT INTO public.who_data VALUES (94527, 0, 0, 0, 0, 399, 141);
INSERT INTO public.who_data VALUES (94528, 0, 0, 0, 0, 399, 197);
INSERT INTO public.who_data VALUES (94529, 0, 0, 0, 0, 399, 221);
INSERT INTO public.who_data VALUES (94530, 0, 0, 0, 0, 399, 150);
INSERT INTO public.who_data VALUES (94531, 0, 0, 0, 0, 399, 56);
INSERT INTO public.who_data VALUES (94532, 0, 0, 0, 0, 399, 167);
INSERT INTO public.who_data VALUES (94533, 0, 0, 0, 0, 399, 23);
INSERT INTO public.who_data VALUES (94534, 0, 0, 0, 0, 399, 222);
INSERT INTO public.who_data VALUES (94535, 0, 0, 0, 0, 399, 219);
INSERT INTO public.who_data VALUES (94536, 0, 0, 0, 0, 399, 7);
INSERT INTO public.who_data VALUES (94537, 0, 6, 0, 0, 399, 161);
INSERT INTO public.who_data VALUES (94538, 0, 0, 0, 0, 399, 149);
INSERT INTO public.who_data VALUES (94539, 0, 0, 0, 0, 399, 6);
INSERT INTO public.who_data VALUES (94540, 0, 0, 0, 0, 399, 139);
INSERT INTO public.who_data VALUES (94541, 0, 0, 0, 0, 399, 211);
INSERT INTO public.who_data VALUES (94542, 0, 0, 0, 0, 399, 14);
INSERT INTO public.who_data VALUES (94543, 0, 0, 0, 0, 399, 111);
INSERT INTO public.who_data VALUES (94544, 0, 0, 0, 0, 399, 207);
INSERT INTO public.who_data VALUES (94545, 0, 0, 0, 0, 399, 66);
INSERT INTO public.who_data VALUES (94546, 0, 0, 0, 0, 399, 173);
INSERT INTO public.who_data VALUES (94547, 0, 0, 0, 0, 399, 145);
INSERT INTO public.who_data VALUES (94548, 0, 0, 0, 0, 399, 65);
INSERT INTO public.who_data VALUES (94549, 0, 0, 0, 0, 399, 184);
INSERT INTO public.who_data VALUES (94550, 0, 0, 0, 0, 399, 98);
INSERT INTO public.who_data VALUES (94551, 0, 0, 0, 0, 399, 104);
INSERT INTO public.who_data VALUES (94552, 0, 0, 0, 0, 399, 73);
INSERT INTO public.who_data VALUES (94553, 0, 0, 0, 0, 399, 8);
INSERT INTO public.who_data VALUES (94554, 0, 0, 0, 0, 399, 227);
INSERT INTO public.who_data VALUES (94555, 0, 0, 0, 0, 399, 75);
INSERT INTO public.who_data VALUES (94556, 0, 0, 0, 0, 399, 45);
INSERT INTO public.who_data VALUES (94557, 0, 0, 0, 0, 399, 133);
INSERT INTO public.who_data VALUES (94558, 0, 0, 0, 0, 399, 202);
INSERT INTO public.who_data VALUES (94559, 0, 0, 0, 0, 399, 129);
INSERT INTO public.who_data VALUES (94560, 0, 0, 0, 0, 399, 36);
INSERT INTO public.who_data VALUES (94561, 0, 0, 0, 0, 399, 51);
INSERT INTO public.who_data VALUES (94562, 0, 0, 0, 0, 399, 206);
INSERT INTO public.who_data VALUES (94563, 0, 0, 0, 0, 399, 5);
INSERT INTO public.who_data VALUES (94564, 0, 0, 0, 0, 400, 103);
INSERT INTO public.who_data VALUES (94565, 0, 0, 0, 0, 400, 58);
INSERT INTO public.who_data VALUES (94566, 0, 0, 0, 0, 400, 195);
INSERT INTO public.who_data VALUES (94567, 0, 0, 0, 0, 400, 115);
INSERT INTO public.who_data VALUES (94568, 0, 0, 0, 0, 400, 99);
INSERT INTO public.who_data VALUES (94569, 0, 0, 0, 0, 400, 153);
INSERT INTO public.who_data VALUES (94570, 0, 0, 0, 0, 400, 93);
INSERT INTO public.who_data VALUES (94571, 0, 0, 0, 0, 400, 84);
INSERT INTO public.who_data VALUES (94572, 0, 0, 0, 0, 400, 78);
INSERT INTO public.who_data VALUES (94573, 0, 0, 0, 0, 400, 170);
INSERT INTO public.who_data VALUES (94574, 0, 0, 0, 0, 400, 32);
INSERT INTO public.who_data VALUES (94575, 0, 0, 0, 0, 400, 155);
INSERT INTO public.who_data VALUES (94576, 0, 0, 0, 0, 400, 82);
INSERT INTO public.who_data VALUES (94577, 0, 0, 0, 0, 400, 16);
INSERT INTO public.who_data VALUES (94578, 0, 0, 0, 0, 400, 72);
INSERT INTO public.who_data VALUES (94579, 0, 0, 0, 0, 400, 43);
INSERT INTO public.who_data VALUES (94580, 0, 0, 0, 0, 400, 120);
INSERT INTO public.who_data VALUES (94581, 0, 0, 0, 0, 400, 213);
INSERT INTO public.who_data VALUES (94582, 0, 0, 0, 0, 400, 31);
INSERT INTO public.who_data VALUES (94583, 0, 0, 0, 0, 400, 204);
INSERT INTO public.who_data VALUES (94584, 0, 0, 0, 0, 400, 152);
INSERT INTO public.who_data VALUES (94585, 0, 0, 0, 0, 400, 144);
INSERT INTO public.who_data VALUES (94586, 0, 0, 0, 0, 400, 96);
INSERT INTO public.who_data VALUES (94587, 0, 0, 0, 0, 400, 47);
INSERT INTO public.who_data VALUES (94588, 0, 0, 0, 0, 400, 80);
INSERT INTO public.who_data VALUES (94589, 0, 0, 0, 0, 400, 159);
INSERT INTO public.who_data VALUES (94590, 0, 0, 0, 0, 400, 27);
INSERT INTO public.who_data VALUES (94591, 0, 0, 0, 0, 400, 146);
INSERT INTO public.who_data VALUES (94592, 0, 0, 0, 0, 400, 71);
INSERT INTO public.who_data VALUES (94593, 0, 0, 0, 0, 400, 210);
INSERT INTO public.who_data VALUES (94594, 0, 0, 0, 0, 400, 54);
INSERT INTO public.who_data VALUES (94595, 0, 0, 0, 0, 400, 147);
INSERT INTO public.who_data VALUES (94596, 0, 0, 0, 0, 400, 2);
INSERT INTO public.who_data VALUES (94597, 0, 0, 0, 0, 400, 105);
INSERT INTO public.who_data VALUES (94598, 0, 0, 0, 0, 400, 53);
INSERT INTO public.who_data VALUES (94599, 0, 0, 0, 0, 400, 81);
INSERT INTO public.who_data VALUES (94600, 0, 0, 0, 0, 400, 223);
INSERT INTO public.who_data VALUES (94601, 0, 0, 0, 0, 400, 94);
INSERT INTO public.who_data VALUES (94602, 0, 0, 0, 0, 400, 154);
INSERT INTO public.who_data VALUES (94603, 0, 0, 0, 0, 400, 83);
INSERT INTO public.who_data VALUES (94604, 0, 0, 0, 0, 400, 194);
INSERT INTO public.who_data VALUES (94605, 0, 0, 0, 0, 400, 136);
INSERT INTO public.who_data VALUES (94606, 17, 66, 0, 2, 400, 179);
INSERT INTO public.who_data VALUES (94607, 0, 0, 0, 0, 400, 57);
INSERT INTO public.who_data VALUES (94608, 0, 0, 0, 0, 400, 35);
INSERT INTO public.who_data VALUES (94609, 0, 0, 0, 0, 400, 228);
INSERT INTO public.who_data VALUES (94610, 0, 0, 0, 0, 400, 19);
INSERT INTO public.who_data VALUES (94611, 0, 0, 0, 0, 400, 22);
INSERT INTO public.who_data VALUES (94612, 0, 0, 0, 0, 400, 1);
INSERT INTO public.who_data VALUES (94613, 0, 0, 0, 0, 400, 21);
INSERT INTO public.who_data VALUES (94614, 0, 0, 0, 0, 400, 234);
INSERT INTO public.who_data VALUES (94615, 0, 0, 0, 0, 400, 91);
INSERT INTO public.who_data VALUES (94616, 0, 0, 0, 0, 400, 137);
INSERT INTO public.who_data VALUES (94617, 0, 0, 0, 0, 400, 201);
INSERT INTO public.who_data VALUES (94618, 0, 0, 0, 0, 400, 171);
INSERT INTO public.who_data VALUES (94619, 0, 0, 0, 0, 400, 92);
INSERT INTO public.who_data VALUES (94620, 0, 0, 0, 0, 400, 112);
INSERT INTO public.who_data VALUES (94621, 0, 0, 0, 0, 400, 62);
INSERT INTO public.who_data VALUES (94622, 0, 0, 0, 0, 400, 69);
INSERT INTO public.who_data VALUES (94623, 0, 0, 0, 0, 400, 220);
INSERT INTO public.who_data VALUES (94624, 0, 0, 0, 0, 400, 100);
INSERT INTO public.who_data VALUES (94625, 0, 0, 0, 0, 400, 187);
INSERT INTO public.who_data VALUES (94626, 0, 0, 0, 0, 400, 63);
INSERT INTO public.who_data VALUES (94627, 0, 0, 0, 0, 400, 28);
INSERT INTO public.who_data VALUES (94628, 0, 0, 0, 0, 400, 172);
INSERT INTO public.who_data VALUES (94629, 0, 0, 0, 0, 400, 17);
INSERT INTO public.who_data VALUES (94630, 0, 0, 0, 0, 400, 226);
INSERT INTO public.who_data VALUES (94631, 0, 0, 0, 0, 400, 236);
INSERT INTO public.who_data VALUES (94632, 0, 0, 0, 0, 400, 76);
INSERT INTO public.who_data VALUES (94633, 0, 0, 0, 0, 400, 30);
INSERT INTO public.who_data VALUES (94634, 0, 0, 0, 0, 400, 128);
INSERT INTO public.who_data VALUES (94635, 0, 0, 0, 0, 400, 86);
INSERT INTO public.who_data VALUES (94636, 0, 0, 0, 0, 400, 140);
INSERT INTO public.who_data VALUES (94637, 0, 0, 0, 0, 400, 44);
INSERT INTO public.who_data VALUES (94638, 0, 0, 0, 0, 400, 113);
INSERT INTO public.who_data VALUES (94639, 0, 0, 0, 0, 400, 29);
INSERT INTO public.who_data VALUES (94640, 0, 0, 0, 0, 400, 125);
INSERT INTO public.who_data VALUES (94641, 0, 0, 0, 0, 400, 131);
INSERT INTO public.who_data VALUES (94642, 0, 0, 0, 0, 400, 46);
INSERT INTO public.who_data VALUES (94643, 0, 0, 0, 0, 400, 10);
INSERT INTO public.who_data VALUES (94644, 0, 0, 0, 0, 400, 205);
INSERT INTO public.who_data VALUES (94645, 0, 0, 0, 0, 400, 50);
INSERT INTO public.who_data VALUES (94646, 0, 0, 0, 0, 400, 20);
INSERT INTO public.who_data VALUES (94647, 0, 0, 0, 0, 400, 13);
INSERT INTO public.who_data VALUES (94648, 0, 0, 0, 0, 400, 148);
INSERT INTO public.who_data VALUES (94649, 0, 0, 0, 0, 400, 230);
INSERT INTO public.who_data VALUES (94650, 0, 0, 0, 0, 400, 190);
INSERT INTO public.who_data VALUES (94651, 0, 0, 0, 0, 400, 188);
INSERT INTO public.who_data VALUES (94652, 0, 0, 0, 0, 400, 123);
INSERT INTO public.who_data VALUES (94653, 0, 0, 0, 0, 400, 9);
INSERT INTO public.who_data VALUES (94654, 0, 0, 0, 0, 400, 102);
INSERT INTO public.who_data VALUES (94655, 0, 0, 0, 0, 400, 34);
INSERT INTO public.who_data VALUES (94656, 0, 0, 0, 0, 400, 212);
INSERT INTO public.who_data VALUES (94657, 0, 0, 0, 0, 400, 122);
INSERT INTO public.who_data VALUES (94658, 0, 0, 0, 0, 400, 38);
INSERT INTO public.who_data VALUES (94659, 0, 0, 0, 0, 400, 130);
INSERT INTO public.who_data VALUES (94660, 0, 0, 0, 0, 400, 37);
INSERT INTO public.who_data VALUES (94661, 0, 0, 0, 0, 400, 231);
INSERT INTO public.who_data VALUES (94662, 0, 0, 0, 0, 400, 107);
INSERT INTO public.who_data VALUES (94663, 0, 0, 0, 0, 400, 101);
INSERT INTO public.who_data VALUES (94664, 0, 0, 0, 0, 400, 132);
INSERT INTO public.who_data VALUES (94665, 0, 0, 0, 0, 400, 176);
INSERT INTO public.who_data VALUES (94666, 0, 0, 0, 0, 400, 200);
INSERT INTO public.who_data VALUES (94667, 0, 0, 0, 0, 400, 169);
INSERT INTO public.who_data VALUES (94668, 0, 0, 0, 0, 400, 225);
INSERT INTO public.who_data VALUES (94669, 0, 1, 0, 0, 400, 165);
INSERT INTO public.who_data VALUES (94670, 0, 0, 0, 0, 400, 233);
INSERT INTO public.who_data VALUES (94671, 0, 0, 0, 0, 400, 215);
INSERT INTO public.who_data VALUES (94672, 0, 0, 0, 0, 400, 177);
INSERT INTO public.who_data VALUES (94673, 0, 0, 0, 0, 400, 183);
INSERT INTO public.who_data VALUES (94674, 0, 0, 0, 0, 400, 203);
INSERT INTO public.who_data VALUES (94675, 0, 0, 0, 0, 400, 162);
INSERT INTO public.who_data VALUES (94676, 0, 0, 0, 0, 400, 12);
INSERT INTO public.who_data VALUES (94677, 0, 0, 0, 0, 400, 24);
INSERT INTO public.who_data VALUES (94678, 0, 0, 0, 0, 400, 119);
INSERT INTO public.who_data VALUES (94679, 0, 0, 0, 0, 400, 39);
INSERT INTO public.who_data VALUES (94680, 0, 0, 0, 0, 400, 26);
INSERT INTO public.who_data VALUES (94681, 0, 0, 0, 0, 400, 59);
INSERT INTO public.who_data VALUES (94682, 0, 0, 0, 0, 400, 77);
INSERT INTO public.who_data VALUES (94683, 0, 0, 0, 0, 400, 134);
INSERT INTO public.who_data VALUES (94684, 0, 0, 0, 0, 400, 4);
INSERT INTO public.who_data VALUES (94685, 0, 0, 0, 0, 400, 109);
INSERT INTO public.who_data VALUES (94686, 0, 0, 0, 0, 400, 90);
INSERT INTO public.who_data VALUES (94687, 0, 0, 0, 0, 400, 61);
INSERT INTO public.who_data VALUES (94688, 0, 0, 0, 0, 400, 85);
INSERT INTO public.who_data VALUES (94689, 0, 0, 0, 0, 400, 49);
INSERT INTO public.who_data VALUES (94690, 0, 0, 0, 0, 400, 208);
INSERT INTO public.who_data VALUES (94691, 0, 0, 0, 0, 400, 166);
INSERT INTO public.who_data VALUES (94692, 0, 0, 0, 0, 400, 64);
INSERT INTO public.who_data VALUES (94693, 0, 0, 0, 0, 400, 199);
INSERT INTO public.who_data VALUES (94694, 0, 0, 0, 0, 400, 114);
INSERT INTO public.who_data VALUES (94695, 0, 0, 0, 0, 400, 60);
INSERT INTO public.who_data VALUES (94696, 0, 0, 0, 0, 400, 68);
INSERT INTO public.who_data VALUES (94697, 0, 0, 0, 0, 400, 158);
INSERT INTO public.who_data VALUES (94698, 0, 0, 0, 0, 400, 52);
INSERT INTO public.who_data VALUES (94699, 0, 0, 0, 0, 400, 117);
INSERT INTO public.who_data VALUES (94700, 0, 0, 0, 0, 400, 126);
INSERT INTO public.who_data VALUES (94701, 0, 0, 0, 0, 400, 196);
INSERT INTO public.who_data VALUES (94702, 0, 0, 0, 0, 400, 142);
INSERT INTO public.who_data VALUES (94703, 0, 0, 0, 0, 400, 185);
INSERT INTO public.who_data VALUES (94704, 0, 0, 0, 0, 400, 138);
INSERT INTO public.who_data VALUES (94705, 0, 0, 0, 0, 400, 181);
INSERT INTO public.who_data VALUES (94706, 0, 0, 0, 0, 400, 178);
INSERT INTO public.who_data VALUES (94707, 0, 0, 0, 0, 400, 168);
INSERT INTO public.who_data VALUES (94708, 0, 0, 0, 0, 400, 160);
INSERT INTO public.who_data VALUES (94709, 0, 0, 0, 0, 400, 151);
INSERT INTO public.who_data VALUES (94710, 0, 0, 0, 0, 400, 193);
INSERT INTO public.who_data VALUES (94711, 0, 0, 0, 0, 400, 18);
INSERT INTO public.who_data VALUES (94712, 0, 0, 0, 0, 400, 40);
INSERT INTO public.who_data VALUES (94713, 0, 0, 0, 0, 400, 218);
INSERT INTO public.who_data VALUES (94714, 0, 0, 0, 0, 400, 191);
INSERT INTO public.who_data VALUES (94715, 0, 0, 0, 0, 400, 156);
INSERT INTO public.who_data VALUES (94716, 0, 0, 0, 0, 400, 135);
INSERT INTO public.who_data VALUES (94717, 0, 0, 0, 0, 400, 88);
INSERT INTO public.who_data VALUES (94718, 0, 0, 0, 0, 400, 55);
INSERT INTO public.who_data VALUES (94719, 0, 0, 0, 0, 400, 108);
INSERT INTO public.who_data VALUES (94720, 0, 0, 0, 0, 400, 48);
INSERT INTO public.who_data VALUES (94721, 0, 0, 0, 0, 400, 3);
INSERT INTO public.who_data VALUES (94722, 0, 0, 0, 0, 400, 224);
INSERT INTO public.who_data VALUES (94723, 0, 0, 0, 0, 400, 110);
INSERT INTO public.who_data VALUES (94724, 0, 0, 0, 0, 400, 106);
INSERT INTO public.who_data VALUES (94725, 0, 0, 0, 0, 400, 89);
INSERT INTO public.who_data VALUES (94726, 0, 0, 0, 0, 400, 121);
INSERT INTO public.who_data VALUES (94727, 0, 0, 0, 0, 400, 163);
INSERT INTO public.who_data VALUES (94728, 0, 0, 0, 0, 400, 70);
INSERT INTO public.who_data VALUES (94729, 0, 0, 0, 0, 400, 174);
INSERT INTO public.who_data VALUES (94730, 0, 0, 0, 0, 400, 175);
INSERT INTO public.who_data VALUES (94731, 0, 0, 0, 0, 400, 118);
INSERT INTO public.who_data VALUES (94732, 0, 0, 0, 0, 400, 189);
INSERT INTO public.who_data VALUES (94733, 0, 0, 0, 0, 400, 124);
INSERT INTO public.who_data VALUES (94734, 0, 0, 0, 0, 400, 192);
INSERT INTO public.who_data VALUES (94735, 0, 0, 0, 0, 400, 41);
INSERT INTO public.who_data VALUES (94736, 0, 0, 0, 0, 400, 95);
INSERT INTO public.who_data VALUES (94737, 0, 0, 0, 0, 400, 74);
INSERT INTO public.who_data VALUES (94738, 0, 0, 0, 0, 400, 11);
INSERT INTO public.who_data VALUES (94739, 0, 0, 0, 0, 400, 87);
INSERT INTO public.who_data VALUES (94740, 0, 0, 0, 0, 400, 214);
INSERT INTO public.who_data VALUES (94741, 0, 0, 0, 0, 400, 116);
INSERT INTO public.who_data VALUES (94742, 0, 0, 0, 0, 400, 157);
INSERT INTO public.who_data VALUES (94743, 0, 0, 0, 0, 400, 182);
INSERT INTO public.who_data VALUES (94744, 0, 0, 0, 0, 400, 186);
INSERT INTO public.who_data VALUES (94745, 0, 0, 0, 0, 400, 127);
INSERT INTO public.who_data VALUES (94746, 0, 0, 0, 0, 400, 232);
INSERT INTO public.who_data VALUES (94747, 0, 0, 0, 0, 400, 33);
INSERT INTO public.who_data VALUES (94748, 0, 0, 0, 0, 400, 97);
INSERT INTO public.who_data VALUES (94749, 0, 0, 0, 0, 400, 42);
INSERT INTO public.who_data VALUES (94750, 0, 0, 0, 0, 400, 198);
INSERT INTO public.who_data VALUES (94751, 0, 0, 0, 0, 400, 216);
INSERT INTO public.who_data VALUES (94752, 0, 0, 0, 0, 400, 164);
INSERT INTO public.who_data VALUES (94753, 0, 0, 0, 0, 400, 235);
INSERT INTO public.who_data VALUES (94754, 0, 0, 0, 0, 400, 67);
INSERT INTO public.who_data VALUES (94755, 0, 0, 0, 0, 400, 15);
INSERT INTO public.who_data VALUES (94756, 0, 0, 0, 0, 400, 180);
INSERT INTO public.who_data VALUES (94757, 0, 0, 0, 0, 400, 237);
INSERT INTO public.who_data VALUES (94758, 0, 0, 0, 0, 400, 25);
INSERT INTO public.who_data VALUES (94759, 0, 0, 0, 0, 400, 209);
INSERT INTO public.who_data VALUES (94760, 0, 0, 0, 0, 400, 217);
INSERT INTO public.who_data VALUES (94761, 0, 0, 0, 0, 400, 79);
INSERT INTO public.who_data VALUES (94762, 0, 0, 0, 0, 400, 143);
INSERT INTO public.who_data VALUES (94763, 0, 0, 0, 0, 400, 229);
INSERT INTO public.who_data VALUES (94764, 0, 0, 0, 0, 400, 141);
INSERT INTO public.who_data VALUES (94765, 0, 0, 0, 0, 400, 197);
INSERT INTO public.who_data VALUES (94766, 0, 0, 0, 0, 400, 221);
INSERT INTO public.who_data VALUES (94767, 0, 0, 0, 0, 400, 150);
INSERT INTO public.who_data VALUES (94768, 0, 0, 0, 0, 400, 56);
INSERT INTO public.who_data VALUES (94769, 0, 0, 0, 0, 400, 167);
INSERT INTO public.who_data VALUES (94770, 0, 0, 0, 0, 400, 23);
INSERT INTO public.who_data VALUES (94771, 0, 0, 0, 0, 400, 222);
INSERT INTO public.who_data VALUES (94772, 0, 0, 0, 0, 400, 219);
INSERT INTO public.who_data VALUES (94773, 0, 0, 0, 0, 400, 7);
INSERT INTO public.who_data VALUES (94774, 0, 6, 0, 0, 400, 161);
INSERT INTO public.who_data VALUES (94775, 0, 0, 0, 0, 400, 149);
INSERT INTO public.who_data VALUES (94776, 0, 0, 0, 0, 400, 6);
INSERT INTO public.who_data VALUES (94777, 0, 0, 0, 0, 400, 139);
INSERT INTO public.who_data VALUES (94778, 0, 0, 0, 0, 400, 211);
INSERT INTO public.who_data VALUES (94779, 0, 0, 0, 0, 400, 14);
INSERT INTO public.who_data VALUES (94780, 0, 0, 0, 0, 400, 111);
INSERT INTO public.who_data VALUES (94781, 0, 0, 0, 0, 400, 207);
INSERT INTO public.who_data VALUES (94782, 0, 0, 0, 0, 400, 66);
INSERT INTO public.who_data VALUES (94783, 0, 0, 0, 0, 400, 173);
INSERT INTO public.who_data VALUES (94784, 0, 0, 0, 0, 400, 145);
INSERT INTO public.who_data VALUES (94785, 0, 0, 0, 0, 400, 65);
INSERT INTO public.who_data VALUES (94786, 0, 0, 0, 0, 400, 184);
INSERT INTO public.who_data VALUES (94787, 0, 0, 0, 0, 400, 98);
INSERT INTO public.who_data VALUES (94788, 0, 0, 0, 0, 400, 104);
INSERT INTO public.who_data VALUES (94789, 0, 0, 0, 0, 400, 73);
INSERT INTO public.who_data VALUES (94790, 0, 0, 0, 0, 400, 8);
INSERT INTO public.who_data VALUES (94791, 0, 0, 0, 0, 400, 227);
INSERT INTO public.who_data VALUES (94792, 0, 0, 0, 0, 400, 75);
INSERT INTO public.who_data VALUES (94793, 0, 0, 0, 0, 400, 45);
INSERT INTO public.who_data VALUES (94794, 0, 0, 0, 0, 400, 133);
INSERT INTO public.who_data VALUES (94795, 0, 0, 0, 0, 400, 202);
INSERT INTO public.who_data VALUES (94796, 0, 0, 0, 0, 400, 129);
INSERT INTO public.who_data VALUES (94797, 0, 0, 0, 0, 400, 36);
INSERT INTO public.who_data VALUES (94798, 0, 0, 0, 0, 400, 51);
INSERT INTO public.who_data VALUES (94799, 0, 0, 0, 0, 400, 206);
INSERT INTO public.who_data VALUES (94800, 0, 0, 0, 0, 400, 5);
INSERT INTO public.who_data VALUES (94801, 0, 0, 0, 0, 401, 103);
INSERT INTO public.who_data VALUES (94802, 0, 0, 0, 0, 401, 58);
INSERT INTO public.who_data VALUES (94803, 0, 0, 0, 0, 401, 195);
INSERT INTO public.who_data VALUES (94804, 0, 0, 0, 0, 401, 115);
INSERT INTO public.who_data VALUES (94805, 0, 0, 0, 0, 401, 99);
INSERT INTO public.who_data VALUES (94806, 0, 0, 0, 0, 401, 153);
INSERT INTO public.who_data VALUES (94807, 0, 0, 0, 0, 401, 93);
INSERT INTO public.who_data VALUES (94808, 0, 0, 0, 0, 401, 84);
INSERT INTO public.who_data VALUES (94809, 0, 0, 0, 0, 401, 78);
INSERT INTO public.who_data VALUES (94810, 0, 0, 0, 0, 401, 170);
INSERT INTO public.who_data VALUES (94811, 0, 0, 0, 0, 401, 32);
INSERT INTO public.who_data VALUES (94812, 0, 0, 0, 0, 401, 155);
INSERT INTO public.who_data VALUES (94813, 0, 0, 0, 0, 401, 82);
INSERT INTO public.who_data VALUES (94814, 0, 0, 0, 0, 401, 16);
INSERT INTO public.who_data VALUES (94815, 0, 0, 0, 0, 401, 72);
INSERT INTO public.who_data VALUES (94816, 0, 0, 0, 0, 401, 43);
INSERT INTO public.who_data VALUES (94817, 0, 0, 0, 0, 401, 120);
INSERT INTO public.who_data VALUES (94818, 0, 0, 0, 0, 401, 213);
INSERT INTO public.who_data VALUES (94819, 0, 0, 0, 0, 401, 31);
INSERT INTO public.who_data VALUES (94820, 0, 0, 0, 0, 401, 204);
INSERT INTO public.who_data VALUES (94821, 0, 0, 0, 0, 401, 152);
INSERT INTO public.who_data VALUES (94822, 0, 0, 0, 0, 401, 144);
INSERT INTO public.who_data VALUES (94823, 0, 0, 0, 0, 401, 96);
INSERT INTO public.who_data VALUES (94824, 0, 0, 0, 0, 401, 47);
INSERT INTO public.who_data VALUES (94825, 0, 0, 0, 0, 401, 80);
INSERT INTO public.who_data VALUES (94826, 0, 0, 0, 0, 401, 159);
INSERT INTO public.who_data VALUES (94827, 0, 0, 0, 0, 401, 27);
INSERT INTO public.who_data VALUES (94828, 0, 0, 0, 0, 401, 146);
INSERT INTO public.who_data VALUES (94829, 0, 0, 0, 0, 401, 71);
INSERT INTO public.who_data VALUES (94830, 0, 0, 0, 0, 401, 210);
INSERT INTO public.who_data VALUES (94831, 0, 0, 0, 0, 401, 54);
INSERT INTO public.who_data VALUES (94832, 0, 0, 0, 0, 401, 147);
INSERT INTO public.who_data VALUES (94833, 0, 0, 0, 0, 401, 2);
INSERT INTO public.who_data VALUES (94834, 0, 0, 0, 0, 401, 105);
INSERT INTO public.who_data VALUES (94835, 0, 0, 0, 0, 401, 53);
INSERT INTO public.who_data VALUES (94836, 0, 0, 0, 0, 401, 81);
INSERT INTO public.who_data VALUES (94837, 0, 0, 0, 0, 401, 223);
INSERT INTO public.who_data VALUES (94838, 0, 0, 0, 0, 401, 94);
INSERT INTO public.who_data VALUES (94839, 0, 0, 0, 0, 401, 154);
INSERT INTO public.who_data VALUES (94840, 0, 0, 0, 0, 401, 83);
INSERT INTO public.who_data VALUES (94841, 0, 0, 0, 0, 401, 194);
INSERT INTO public.who_data VALUES (94842, 0, 0, 0, 0, 401, 136);
INSERT INTO public.who_data VALUES (94843, 4, 49, 1, 2, 401, 179);
INSERT INTO public.who_data VALUES (94844, 0, 0, 0, 0, 401, 57);
INSERT INTO public.who_data VALUES (94845, 0, 0, 0, 0, 401, 35);
INSERT INTO public.who_data VALUES (94846, 0, 0, 0, 0, 401, 228);
INSERT INTO public.who_data VALUES (94847, 0, 0, 0, 0, 401, 19);
INSERT INTO public.who_data VALUES (94848, 0, 0, 0, 0, 401, 22);
INSERT INTO public.who_data VALUES (94849, 0, 0, 0, 0, 401, 1);
INSERT INTO public.who_data VALUES (94850, 0, 0, 0, 0, 401, 21);
INSERT INTO public.who_data VALUES (94851, 0, 0, 0, 0, 401, 234);
INSERT INTO public.who_data VALUES (94852, 0, 0, 0, 0, 401, 91);
INSERT INTO public.who_data VALUES (94853, 0, 0, 0, 0, 401, 137);
INSERT INTO public.who_data VALUES (94854, 0, 0, 0, 0, 401, 201);
INSERT INTO public.who_data VALUES (94855, 0, 0, 0, 0, 401, 171);
INSERT INTO public.who_data VALUES (94856, 0, 0, 0, 0, 401, 92);
INSERT INTO public.who_data VALUES (94857, 0, 0, 0, 0, 401, 112);
INSERT INTO public.who_data VALUES (94858, 0, 0, 0, 0, 401, 62);
INSERT INTO public.who_data VALUES (94859, 0, 0, 0, 0, 401, 69);
INSERT INTO public.who_data VALUES (94860, 0, 0, 0, 0, 401, 220);
INSERT INTO public.who_data VALUES (94861, 0, 0, 0, 0, 401, 100);
INSERT INTO public.who_data VALUES (94862, 0, 0, 0, 0, 401, 187);
INSERT INTO public.who_data VALUES (94863, 0, 0, 0, 0, 401, 63);
INSERT INTO public.who_data VALUES (94864, 0, 0, 0, 0, 401, 28);
INSERT INTO public.who_data VALUES (94865, 0, 0, 0, 0, 401, 172);
INSERT INTO public.who_data VALUES (94866, 0, 0, 0, 0, 401, 17);
INSERT INTO public.who_data VALUES (94867, 0, 0, 0, 0, 401, 226);
INSERT INTO public.who_data VALUES (94868, 0, 0, 0, 0, 401, 236);
INSERT INTO public.who_data VALUES (94869, 0, 0, 0, 0, 401, 76);
INSERT INTO public.who_data VALUES (94870, 0, 0, 0, 0, 401, 30);
INSERT INTO public.who_data VALUES (94871, 0, 0, 0, 0, 401, 128);
INSERT INTO public.who_data VALUES (94872, 0, 0, 0, 0, 401, 86);
INSERT INTO public.who_data VALUES (94873, 0, 0, 0, 0, 401, 140);
INSERT INTO public.who_data VALUES (94874, 0, 0, 0, 0, 401, 44);
INSERT INTO public.who_data VALUES (94875, 0, 0, 0, 0, 401, 113);
INSERT INTO public.who_data VALUES (94876, 0, 0, 0, 0, 401, 29);
INSERT INTO public.who_data VALUES (94877, 0, 0, 0, 0, 401, 125);
INSERT INTO public.who_data VALUES (94878, 0, 0, 0, 0, 401, 131);
INSERT INTO public.who_data VALUES (94879, 0, 0, 0, 0, 401, 46);
INSERT INTO public.who_data VALUES (94880, 0, 0, 0, 0, 401, 10);
INSERT INTO public.who_data VALUES (94881, 0, 0, 0, 0, 401, 205);
INSERT INTO public.who_data VALUES (94882, 0, 0, 0, 0, 401, 50);
INSERT INTO public.who_data VALUES (94883, 0, 0, 0, 0, 401, 20);
INSERT INTO public.who_data VALUES (94884, 0, 0, 0, 0, 401, 13);
INSERT INTO public.who_data VALUES (94885, 0, 0, 0, 0, 401, 148);
INSERT INTO public.who_data VALUES (94886, 0, 0, 0, 0, 401, 230);
INSERT INTO public.who_data VALUES (94887, 0, 0, 0, 0, 401, 190);
INSERT INTO public.who_data VALUES (94888, 0, 0, 0, 0, 401, 188);
INSERT INTO public.who_data VALUES (94889, 0, 0, 0, 0, 401, 123);
INSERT INTO public.who_data VALUES (94890, 0, 0, 0, 0, 401, 9);
INSERT INTO public.who_data VALUES (94891, 0, 0, 0, 0, 401, 102);
INSERT INTO public.who_data VALUES (94892, 0, 0, 0, 0, 401, 34);
INSERT INTO public.who_data VALUES (94893, 0, 0, 0, 0, 401, 212);
INSERT INTO public.who_data VALUES (94894, 0, 0, 0, 0, 401, 122);
INSERT INTO public.who_data VALUES (94895, 0, 0, 0, 0, 401, 38);
INSERT INTO public.who_data VALUES (94896, 0, 0, 0, 0, 401, 130);
INSERT INTO public.who_data VALUES (94897, 0, 0, 0, 0, 401, 37);
INSERT INTO public.who_data VALUES (94898, 0, 0, 0, 0, 401, 231);
INSERT INTO public.who_data VALUES (94899, 0, 0, 0, 0, 401, 107);
INSERT INTO public.who_data VALUES (94900, 0, 0, 0, 0, 401, 101);
INSERT INTO public.who_data VALUES (94901, 0, 0, 0, 0, 401, 132);
INSERT INTO public.who_data VALUES (94902, 0, 0, 0, 0, 401, 176);
INSERT INTO public.who_data VALUES (94903, 0, 0, 0, 0, 401, 200);
INSERT INTO public.who_data VALUES (94904, 0, 0, 0, 0, 401, 169);
INSERT INTO public.who_data VALUES (94905, 0, 0, 0, 0, 401, 225);
INSERT INTO public.who_data VALUES (94906, 0, 1, 0, 0, 401, 165);
INSERT INTO public.who_data VALUES (94907, 0, 0, 0, 0, 401, 233);
INSERT INTO public.who_data VALUES (94908, 0, 0, 0, 0, 401, 215);
INSERT INTO public.who_data VALUES (94909, 0, 0, 0, 0, 401, 177);
INSERT INTO public.who_data VALUES (94910, 0, 0, 0, 0, 401, 183);
INSERT INTO public.who_data VALUES (94911, 0, 0, 0, 0, 401, 203);
INSERT INTO public.who_data VALUES (94912, 0, 0, 0, 0, 401, 162);
INSERT INTO public.who_data VALUES (94913, 0, 0, 0, 0, 401, 12);
INSERT INTO public.who_data VALUES (94914, 0, 0, 0, 0, 401, 24);
INSERT INTO public.who_data VALUES (94915, 0, 0, 0, 0, 401, 119);
INSERT INTO public.who_data VALUES (94916, 0, 0, 0, 0, 401, 39);
INSERT INTO public.who_data VALUES (94917, 0, 0, 0, 0, 401, 26);
INSERT INTO public.who_data VALUES (94918, 0, 0, 0, 0, 401, 59);
INSERT INTO public.who_data VALUES (94919, 0, 0, 0, 0, 401, 77);
INSERT INTO public.who_data VALUES (94920, 0, 0, 0, 0, 401, 134);
INSERT INTO public.who_data VALUES (94921, 0, 0, 0, 0, 401, 4);
INSERT INTO public.who_data VALUES (94922, 0, 0, 0, 0, 401, 109);
INSERT INTO public.who_data VALUES (94923, 0, 0, 0, 0, 401, 90);
INSERT INTO public.who_data VALUES (94924, 0, 0, 0, 0, 401, 61);
INSERT INTO public.who_data VALUES (94925, 0, 0, 0, 0, 401, 85);
INSERT INTO public.who_data VALUES (94926, 0, 0, 0, 0, 401, 49);
INSERT INTO public.who_data VALUES (94927, 0, 0, 0, 0, 401, 208);
INSERT INTO public.who_data VALUES (94928, 0, 0, 0, 0, 401, 166);
INSERT INTO public.who_data VALUES (94929, 0, 0, 0, 0, 401, 64);
INSERT INTO public.who_data VALUES (94930, 0, 0, 0, 0, 401, 199);
INSERT INTO public.who_data VALUES (94931, 0, 0, 0, 0, 401, 114);
INSERT INTO public.who_data VALUES (94932, 0, 0, 0, 0, 401, 60);
INSERT INTO public.who_data VALUES (94933, 0, 0, 0, 0, 401, 68);
INSERT INTO public.who_data VALUES (94934, 0, 0, 0, 0, 401, 158);
INSERT INTO public.who_data VALUES (94935, 0, 0, 0, 0, 401, 52);
INSERT INTO public.who_data VALUES (94936, 0, 0, 0, 0, 401, 117);
INSERT INTO public.who_data VALUES (94937, 0, 0, 0, 0, 401, 126);
INSERT INTO public.who_data VALUES (94938, 0, 0, 0, 0, 401, 196);
INSERT INTO public.who_data VALUES (94939, 0, 0, 0, 0, 401, 142);
INSERT INTO public.who_data VALUES (94940, 0, 0, 0, 0, 401, 185);
INSERT INTO public.who_data VALUES (94941, 0, 0, 0, 0, 401, 138);
INSERT INTO public.who_data VALUES (94942, 0, 0, 0, 0, 401, 181);
INSERT INTO public.who_data VALUES (94943, 0, 0, 0, 0, 401, 178);
INSERT INTO public.who_data VALUES (94944, 0, 0, 0, 0, 401, 168);
INSERT INTO public.who_data VALUES (94945, 0, 0, 0, 0, 401, 160);
INSERT INTO public.who_data VALUES (94946, 0, 0, 0, 0, 401, 151);
INSERT INTO public.who_data VALUES (94947, 0, 0, 0, 0, 401, 193);
INSERT INTO public.who_data VALUES (94948, 0, 0, 0, 0, 401, 18);
INSERT INTO public.who_data VALUES (94949, 0, 0, 0, 0, 401, 40);
INSERT INTO public.who_data VALUES (94950, 0, 0, 0, 0, 401, 218);
INSERT INTO public.who_data VALUES (94951, 0, 0, 0, 0, 401, 191);
INSERT INTO public.who_data VALUES (94952, 0, 0, 0, 0, 401, 156);
INSERT INTO public.who_data VALUES (94953, 0, 0, 0, 0, 401, 135);
INSERT INTO public.who_data VALUES (94954, 0, 0, 0, 0, 401, 88);
INSERT INTO public.who_data VALUES (94955, 0, 0, 0, 0, 401, 55);
INSERT INTO public.who_data VALUES (94956, 0, 0, 0, 0, 401, 108);
INSERT INTO public.who_data VALUES (94957, 0, 0, 0, 0, 401, 48);
INSERT INTO public.who_data VALUES (94958, 0, 0, 0, 0, 401, 3);
INSERT INTO public.who_data VALUES (94959, 0, 0, 0, 0, 401, 224);
INSERT INTO public.who_data VALUES (94960, 0, 0, 0, 0, 401, 110);
INSERT INTO public.who_data VALUES (94961, 0, 0, 0, 0, 401, 106);
INSERT INTO public.who_data VALUES (94962, 0, 0, 0, 0, 401, 89);
INSERT INTO public.who_data VALUES (94963, 0, 0, 0, 0, 401, 121);
INSERT INTO public.who_data VALUES (94964, 0, 0, 0, 0, 401, 163);
INSERT INTO public.who_data VALUES (94965, 0, 0, 0, 0, 401, 70);
INSERT INTO public.who_data VALUES (94966, 0, 0, 0, 0, 401, 174);
INSERT INTO public.who_data VALUES (94967, 0, 0, 0, 0, 401, 175);
INSERT INTO public.who_data VALUES (94968, 0, 0, 0, 0, 401, 118);
INSERT INTO public.who_data VALUES (94969, 0, 0, 0, 0, 401, 189);
INSERT INTO public.who_data VALUES (94970, 0, 0, 0, 0, 401, 124);
INSERT INTO public.who_data VALUES (94971, 0, 0, 0, 0, 401, 192);
INSERT INTO public.who_data VALUES (94972, 0, 0, 0, 0, 401, 41);
INSERT INTO public.who_data VALUES (94973, 0, 0, 0, 0, 401, 95);
INSERT INTO public.who_data VALUES (94974, 0, 0, 0, 0, 401, 74);
INSERT INTO public.who_data VALUES (94975, 0, 0, 0, 0, 401, 11);
INSERT INTO public.who_data VALUES (94976, 0, 0, 0, 0, 401, 87);
INSERT INTO public.who_data VALUES (94977, 0, 0, 0, 0, 401, 214);
INSERT INTO public.who_data VALUES (94978, 0, 0, 0, 0, 401, 116);
INSERT INTO public.who_data VALUES (94979, 0, 0, 0, 0, 401, 157);
INSERT INTO public.who_data VALUES (94980, 0, 0, 0, 0, 401, 182);
INSERT INTO public.who_data VALUES (94981, 0, 0, 0, 0, 401, 186);
INSERT INTO public.who_data VALUES (94982, 0, 0, 0, 0, 401, 127);
INSERT INTO public.who_data VALUES (94983, 0, 0, 0, 0, 401, 232);
INSERT INTO public.who_data VALUES (94984, 0, 0, 0, 0, 401, 33);
INSERT INTO public.who_data VALUES (94985, 0, 0, 0, 0, 401, 97);
INSERT INTO public.who_data VALUES (94986, 0, 0, 0, 0, 401, 42);
INSERT INTO public.who_data VALUES (94987, 0, 0, 0, 0, 401, 198);
INSERT INTO public.who_data VALUES (94988, 0, 0, 0, 0, 401, 216);
INSERT INTO public.who_data VALUES (94989, 0, 0, 0, 0, 401, 164);
INSERT INTO public.who_data VALUES (94990, 0, 0, 0, 0, 401, 235);
INSERT INTO public.who_data VALUES (94991, 0, 0, 0, 0, 401, 67);
INSERT INTO public.who_data VALUES (94992, 0, 0, 0, 0, 401, 15);
INSERT INTO public.who_data VALUES (94993, 0, 0, 0, 0, 401, 180);
INSERT INTO public.who_data VALUES (94994, 0, 0, 0, 0, 401, 237);
INSERT INTO public.who_data VALUES (94995, 0, 0, 0, 0, 401, 25);
INSERT INTO public.who_data VALUES (94996, 0, 0, 0, 0, 401, 209);
INSERT INTO public.who_data VALUES (94997, 0, 0, 0, 0, 401, 217);
INSERT INTO public.who_data VALUES (94998, 0, 0, 0, 0, 401, 79);
INSERT INTO public.who_data VALUES (94999, 0, 0, 0, 0, 401, 143);
INSERT INTO public.who_data VALUES (95000, 0, 0, 0, 0, 401, 229);
INSERT INTO public.who_data VALUES (95001, 0, 0, 0, 0, 401, 141);
INSERT INTO public.who_data VALUES (95002, 0, 0, 0, 0, 401, 197);
INSERT INTO public.who_data VALUES (95003, 0, 0, 0, 0, 401, 221);
INSERT INTO public.who_data VALUES (95004, 0, 0, 0, 0, 401, 150);
INSERT INTO public.who_data VALUES (95005, 0, 0, 0, 0, 401, 56);
INSERT INTO public.who_data VALUES (95006, 0, 0, 0, 0, 401, 167);
INSERT INTO public.who_data VALUES (95007, 0, 0, 0, 0, 401, 23);
INSERT INTO public.who_data VALUES (95008, 0, 0, 0, 0, 401, 222);
INSERT INTO public.who_data VALUES (95009, 0, 0, 0, 0, 401, 219);
INSERT INTO public.who_data VALUES (95010, 0, 0, 0, 0, 401, 7);
INSERT INTO public.who_data VALUES (95011, 1, 6, 0, 0, 401, 161);
INSERT INTO public.who_data VALUES (95012, 0, 0, 0, 0, 401, 149);
INSERT INTO public.who_data VALUES (95013, 0, 0, 0, 0, 401, 6);
INSERT INTO public.who_data VALUES (95014, 0, 0, 0, 0, 401, 139);
INSERT INTO public.who_data VALUES (95015, 0, 0, 0, 0, 401, 211);
INSERT INTO public.who_data VALUES (95016, 0, 0, 0, 0, 401, 14);
INSERT INTO public.who_data VALUES (95017, 0, 0, 0, 0, 401, 111);
INSERT INTO public.who_data VALUES (95018, 0, 0, 0, 0, 401, 207);
INSERT INTO public.who_data VALUES (95019, 0, 0, 0, 0, 401, 66);
INSERT INTO public.who_data VALUES (95020, 0, 0, 0, 0, 401, 173);
INSERT INTO public.who_data VALUES (95021, 0, 0, 0, 0, 401, 145);
INSERT INTO public.who_data VALUES (95022, 0, 0, 0, 0, 401, 65);
INSERT INTO public.who_data VALUES (95023, 0, 0, 0, 0, 401, 184);
INSERT INTO public.who_data VALUES (95024, 0, 0, 0, 0, 401, 98);
INSERT INTO public.who_data VALUES (95025, 0, 0, 0, 0, 401, 104);
INSERT INTO public.who_data VALUES (95026, 0, 0, 0, 0, 401, 73);
INSERT INTO public.who_data VALUES (95027, 0, 0, 0, 0, 401, 8);
INSERT INTO public.who_data VALUES (95028, 0, 0, 0, 0, 401, 227);
INSERT INTO public.who_data VALUES (95029, 0, 0, 0, 0, 401, 75);
INSERT INTO public.who_data VALUES (95030, 0, 0, 0, 0, 401, 45);
INSERT INTO public.who_data VALUES (95031, 0, 0, 0, 0, 401, 133);
INSERT INTO public.who_data VALUES (95032, 0, 0, 0, 0, 401, 202);
INSERT INTO public.who_data VALUES (95033, 0, 0, 0, 0, 401, 129);
INSERT INTO public.who_data VALUES (95034, 0, 0, 0, 0, 401, 36);
INSERT INTO public.who_data VALUES (95035, 0, 0, 0, 0, 401, 51);
INSERT INTO public.who_data VALUES (95036, 0, 0, 0, 0, 401, 206);
INSERT INTO public.who_data VALUES (95037, 0, 0, 0, 0, 401, 5);
INSERT INTO public.who_data VALUES (95038, 0, 0, 0, 0, 402, 103);
INSERT INTO public.who_data VALUES (95039, 0, 0, 0, 0, 402, 58);
INSERT INTO public.who_data VALUES (95040, 0, 0, 0, 0, 402, 195);
INSERT INTO public.who_data VALUES (95041, 0, 0, 0, 0, 402, 115);
INSERT INTO public.who_data VALUES (95042, 0, 0, 0, 0, 402, 99);
INSERT INTO public.who_data VALUES (95043, 0, 0, 0, 0, 402, 153);
INSERT INTO public.who_data VALUES (95044, 0, 0, 0, 0, 402, 93);
INSERT INTO public.who_data VALUES (95045, 0, 0, 0, 0, 402, 84);
INSERT INTO public.who_data VALUES (95046, 0, 0, 0, 0, 402, 78);
INSERT INTO public.who_data VALUES (95047, 0, 0, 0, 0, 402, 170);
INSERT INTO public.who_data VALUES (95048, 0, 0, 0, 0, 402, 32);
INSERT INTO public.who_data VALUES (95049, 0, 0, 0, 0, 402, 155);
INSERT INTO public.who_data VALUES (95050, 0, 0, 0, 0, 402, 82);
INSERT INTO public.who_data VALUES (95051, 0, 0, 0, 0, 402, 16);
INSERT INTO public.who_data VALUES (95052, 0, 0, 0, 0, 402, 72);
INSERT INTO public.who_data VALUES (95053, 0, 0, 0, 0, 402, 43);
INSERT INTO public.who_data VALUES (95054, 0, 0, 0, 0, 402, 120);
INSERT INTO public.who_data VALUES (95055, 0, 0, 0, 0, 402, 213);
INSERT INTO public.who_data VALUES (95056, 0, 0, 0, 0, 402, 31);
INSERT INTO public.who_data VALUES (95057, 0, 0, 0, 0, 402, 204);
INSERT INTO public.who_data VALUES (95058, 0, 0, 0, 0, 402, 152);
INSERT INTO public.who_data VALUES (95059, 0, 0, 0, 0, 402, 144);
INSERT INTO public.who_data VALUES (95060, 0, 0, 0, 0, 402, 96);
INSERT INTO public.who_data VALUES (95061, 0, 0, 0, 0, 402, 47);
INSERT INTO public.who_data VALUES (95062, 0, 0, 0, 0, 402, 80);
INSERT INTO public.who_data VALUES (95063, 0, 0, 0, 0, 402, 159);
INSERT INTO public.who_data VALUES (95064, 0, 0, 0, 0, 402, 27);
INSERT INTO public.who_data VALUES (95065, 0, 0, 0, 0, 402, 146);
INSERT INTO public.who_data VALUES (95066, 0, 0, 0, 0, 402, 71);
INSERT INTO public.who_data VALUES (95067, 0, 0, 0, 0, 402, 210);
INSERT INTO public.who_data VALUES (95068, 0, 0, 0, 0, 402, 54);
INSERT INTO public.who_data VALUES (95069, 0, 0, 0, 0, 402, 147);
INSERT INTO public.who_data VALUES (95070, 0, 0, 0, 0, 402, 2);
INSERT INTO public.who_data VALUES (95071, 0, 0, 0, 0, 402, 105);
INSERT INTO public.who_data VALUES (95072, 0, 0, 0, 0, 402, 53);
INSERT INTO public.who_data VALUES (95073, 0, 0, 0, 0, 402, 81);
INSERT INTO public.who_data VALUES (95074, 0, 0, 0, 0, 402, 223);
INSERT INTO public.who_data VALUES (95075, 0, 0, 0, 0, 402, 94);
INSERT INTO public.who_data VALUES (95076, 0, 0, 0, 0, 402, 154);
INSERT INTO public.who_data VALUES (95077, 0, 0, 0, 0, 402, 83);
INSERT INTO public.who_data VALUES (95078, 0, 0, 0, 0, 402, 194);
INSERT INTO public.who_data VALUES (95079, 0, 0, 0, 0, 402, 136);
INSERT INTO public.who_data VALUES (95080, 0, 45, 0, 1, 402, 179);
INSERT INTO public.who_data VALUES (95081, 0, 0, 0, 0, 402, 57);
INSERT INTO public.who_data VALUES (95082, 0, 0, 0, 0, 402, 35);
INSERT INTO public.who_data VALUES (95083, 0, 0, 0, 0, 402, 228);
INSERT INTO public.who_data VALUES (95084, 0, 0, 0, 0, 402, 19);
INSERT INTO public.who_data VALUES (95085, 0, 0, 0, 0, 402, 22);
INSERT INTO public.who_data VALUES (95086, 0, 0, 0, 0, 402, 1);
INSERT INTO public.who_data VALUES (95087, 0, 0, 0, 0, 402, 21);
INSERT INTO public.who_data VALUES (95088, 0, 0, 0, 0, 402, 234);
INSERT INTO public.who_data VALUES (95089, 0, 0, 0, 0, 402, 91);
INSERT INTO public.who_data VALUES (95090, 0, 0, 0, 0, 402, 137);
INSERT INTO public.who_data VALUES (95091, 0, 0, 0, 0, 402, 201);
INSERT INTO public.who_data VALUES (95092, 0, 0, 0, 0, 402, 171);
INSERT INTO public.who_data VALUES (95093, 0, 0, 0, 0, 402, 92);
INSERT INTO public.who_data VALUES (95094, 0, 0, 0, 0, 402, 112);
INSERT INTO public.who_data VALUES (95095, 0, 0, 0, 0, 402, 62);
INSERT INTO public.who_data VALUES (95096, 0, 0, 0, 0, 402, 69);
INSERT INTO public.who_data VALUES (95097, 0, 0, 0, 0, 402, 220);
INSERT INTO public.who_data VALUES (95098, 0, 0, 0, 0, 402, 100);
INSERT INTO public.who_data VALUES (95099, 0, 0, 0, 0, 402, 187);
INSERT INTO public.who_data VALUES (95100, 0, 0, 0, 0, 402, 63);
INSERT INTO public.who_data VALUES (95101, 0, 0, 0, 0, 402, 28);
INSERT INTO public.who_data VALUES (95102, 0, 0, 0, 0, 402, 172);
INSERT INTO public.who_data VALUES (95103, 0, 0, 0, 0, 402, 17);
INSERT INTO public.who_data VALUES (95104, 0, 0, 0, 0, 402, 226);
INSERT INTO public.who_data VALUES (95105, 0, 0, 0, 0, 402, 236);
INSERT INTO public.who_data VALUES (95106, 0, 0, 0, 0, 402, 76);
INSERT INTO public.who_data VALUES (95107, 0, 0, 0, 0, 402, 30);
INSERT INTO public.who_data VALUES (95108, 0, 0, 0, 0, 402, 128);
INSERT INTO public.who_data VALUES (95109, 0, 0, 0, 0, 402, 86);
INSERT INTO public.who_data VALUES (95110, 0, 0, 0, 0, 402, 140);
INSERT INTO public.who_data VALUES (95111, 0, 0, 0, 0, 402, 44);
INSERT INTO public.who_data VALUES (95112, 0, 0, 0, 0, 402, 113);
INSERT INTO public.who_data VALUES (95113, 0, 0, 0, 0, 402, 29);
INSERT INTO public.who_data VALUES (95114, 0, 0, 0, 0, 402, 125);
INSERT INTO public.who_data VALUES (95115, 0, 0, 0, 0, 402, 131);
INSERT INTO public.who_data VALUES (95116, 0, 0, 0, 0, 402, 46);
INSERT INTO public.who_data VALUES (95117, 0, 0, 0, 0, 402, 10);
INSERT INTO public.who_data VALUES (95118, 0, 0, 0, 0, 402, 205);
INSERT INTO public.who_data VALUES (95119, 0, 0, 0, 0, 402, 50);
INSERT INTO public.who_data VALUES (95120, 0, 0, 0, 0, 402, 20);
INSERT INTO public.who_data VALUES (95121, 0, 0, 0, 0, 402, 13);
INSERT INTO public.who_data VALUES (95122, 0, 0, 0, 0, 402, 148);
INSERT INTO public.who_data VALUES (95123, 0, 0, 0, 0, 402, 230);
INSERT INTO public.who_data VALUES (95124, 0, 0, 0, 0, 402, 190);
INSERT INTO public.who_data VALUES (95125, 0, 0, 0, 0, 402, 188);
INSERT INTO public.who_data VALUES (95126, 0, 0, 0, 0, 402, 123);
INSERT INTO public.who_data VALUES (95127, 0, 0, 0, 0, 402, 9);
INSERT INTO public.who_data VALUES (95128, 0, 0, 0, 0, 402, 102);
INSERT INTO public.who_data VALUES (95129, 0, 0, 0, 0, 402, 34);
INSERT INTO public.who_data VALUES (95130, 0, 0, 0, 0, 402, 212);
INSERT INTO public.who_data VALUES (95131, 0, 0, 0, 0, 402, 122);
INSERT INTO public.who_data VALUES (95132, 0, 0, 0, 0, 402, 38);
INSERT INTO public.who_data VALUES (95133, 0, 0, 0, 0, 402, 130);
INSERT INTO public.who_data VALUES (95134, 0, 0, 0, 0, 402, 37);
INSERT INTO public.who_data VALUES (95135, 0, 0, 0, 0, 402, 231);
INSERT INTO public.who_data VALUES (95136, 0, 0, 0, 0, 402, 107);
INSERT INTO public.who_data VALUES (95137, 0, 0, 0, 0, 402, 101);
INSERT INTO public.who_data VALUES (95138, 0, 0, 0, 0, 402, 132);
INSERT INTO public.who_data VALUES (95139, 0, 0, 0, 0, 402, 176);
INSERT INTO public.who_data VALUES (95140, 0, 0, 0, 0, 402, 200);
INSERT INTO public.who_data VALUES (95141, 0, 0, 0, 0, 402, 169);
INSERT INTO public.who_data VALUES (95142, 0, 0, 0, 0, 402, 225);
INSERT INTO public.who_data VALUES (95143, 0, 1, 0, 0, 402, 165);
INSERT INTO public.who_data VALUES (95144, 0, 0, 0, 0, 402, 233);
INSERT INTO public.who_data VALUES (95145, 0, 0, 0, 0, 402, 215);
INSERT INTO public.who_data VALUES (95146, 0, 0, 0, 0, 402, 177);
INSERT INTO public.who_data VALUES (95147, 0, 0, 0, 0, 402, 183);
INSERT INTO public.who_data VALUES (95148, 0, 0, 0, 0, 402, 203);
INSERT INTO public.who_data VALUES (95149, 0, 0, 0, 0, 402, 162);
INSERT INTO public.who_data VALUES (95150, 0, 0, 0, 0, 402, 12);
INSERT INTO public.who_data VALUES (95151, 0, 0, 0, 0, 402, 24);
INSERT INTO public.who_data VALUES (95152, 0, 0, 0, 0, 402, 119);
INSERT INTO public.who_data VALUES (95153, 0, 0, 0, 0, 402, 39);
INSERT INTO public.who_data VALUES (95154, 0, 0, 0, 0, 402, 26);
INSERT INTO public.who_data VALUES (95155, 0, 0, 0, 0, 402, 59);
INSERT INTO public.who_data VALUES (95156, 0, 0, 0, 0, 402, 77);
INSERT INTO public.who_data VALUES (95157, 0, 0, 0, 0, 402, 134);
INSERT INTO public.who_data VALUES (95158, 0, 0, 0, 0, 402, 4);
INSERT INTO public.who_data VALUES (95159, 0, 0, 0, 0, 402, 109);
INSERT INTO public.who_data VALUES (95160, 0, 0, 0, 0, 402, 90);
INSERT INTO public.who_data VALUES (95161, 0, 0, 0, 0, 402, 61);
INSERT INTO public.who_data VALUES (95162, 0, 0, 0, 0, 402, 85);
INSERT INTO public.who_data VALUES (95163, 0, 0, 0, 0, 402, 49);
INSERT INTO public.who_data VALUES (95164, 0, 0, 0, 0, 402, 208);
INSERT INTO public.who_data VALUES (95165, 0, 0, 0, 0, 402, 166);
INSERT INTO public.who_data VALUES (95166, 0, 0, 0, 0, 402, 64);
INSERT INTO public.who_data VALUES (95167, 0, 0, 0, 0, 402, 199);
INSERT INTO public.who_data VALUES (95168, 0, 0, 0, 0, 402, 114);
INSERT INTO public.who_data VALUES (95169, 0, 0, 0, 0, 402, 60);
INSERT INTO public.who_data VALUES (95170, 0, 0, 0, 0, 402, 68);
INSERT INTO public.who_data VALUES (95171, 0, 0, 0, 0, 402, 158);
INSERT INTO public.who_data VALUES (95172, 0, 0, 0, 0, 402, 52);
INSERT INTO public.who_data VALUES (95173, 0, 0, 0, 0, 402, 117);
INSERT INTO public.who_data VALUES (95174, 0, 0, 0, 0, 402, 126);
INSERT INTO public.who_data VALUES (95175, 0, 0, 0, 0, 402, 196);
INSERT INTO public.who_data VALUES (95176, 0, 0, 0, 0, 402, 142);
INSERT INTO public.who_data VALUES (95177, 0, 0, 0, 0, 402, 185);
INSERT INTO public.who_data VALUES (95178, 0, 0, 0, 0, 402, 138);
INSERT INTO public.who_data VALUES (95179, 0, 0, 0, 0, 402, 181);
INSERT INTO public.who_data VALUES (95180, 0, 0, 0, 0, 402, 178);
INSERT INTO public.who_data VALUES (95181, 0, 0, 0, 0, 402, 168);
INSERT INTO public.who_data VALUES (95182, 0, 0, 0, 0, 402, 160);
INSERT INTO public.who_data VALUES (95183, 0, 0, 0, 0, 402, 151);
INSERT INTO public.who_data VALUES (95184, 0, 0, 0, 0, 402, 193);
INSERT INTO public.who_data VALUES (95185, 0, 0, 0, 0, 402, 18);
INSERT INTO public.who_data VALUES (95186, 0, 0, 0, 0, 402, 40);
INSERT INTO public.who_data VALUES (95187, 0, 0, 0, 0, 402, 218);
INSERT INTO public.who_data VALUES (95188, 0, 0, 0, 0, 402, 191);
INSERT INTO public.who_data VALUES (95189, 0, 0, 0, 0, 402, 156);
INSERT INTO public.who_data VALUES (95190, 0, 0, 0, 0, 402, 135);
INSERT INTO public.who_data VALUES (95191, 0, 0, 0, 0, 402, 88);
INSERT INTO public.who_data VALUES (95192, 0, 0, 0, 0, 402, 55);
INSERT INTO public.who_data VALUES (95193, 0, 0, 0, 0, 402, 108);
INSERT INTO public.who_data VALUES (95194, 0, 0, 0, 0, 402, 48);
INSERT INTO public.who_data VALUES (95195, 0, 0, 0, 0, 402, 3);
INSERT INTO public.who_data VALUES (95196, 0, 0, 0, 0, 402, 224);
INSERT INTO public.who_data VALUES (95197, 0, 0, 0, 0, 402, 110);
INSERT INTO public.who_data VALUES (95198, 0, 0, 0, 0, 402, 106);
INSERT INTO public.who_data VALUES (95199, 0, 0, 0, 0, 402, 89);
INSERT INTO public.who_data VALUES (95200, 0, 0, 0, 0, 402, 121);
INSERT INTO public.who_data VALUES (95201, 0, 0, 0, 0, 402, 163);
INSERT INTO public.who_data VALUES (95202, 0, 0, 0, 0, 402, 70);
INSERT INTO public.who_data VALUES (95203, 0, 0, 0, 0, 402, 174);
INSERT INTO public.who_data VALUES (95204, 0, 0, 0, 0, 402, 175);
INSERT INTO public.who_data VALUES (95205, 0, 0, 0, 0, 402, 118);
INSERT INTO public.who_data VALUES (95206, 0, 0, 0, 0, 402, 189);
INSERT INTO public.who_data VALUES (95207, 0, 0, 0, 0, 402, 124);
INSERT INTO public.who_data VALUES (95208, 0, 0, 0, 0, 402, 192);
INSERT INTO public.who_data VALUES (95209, 0, 0, 0, 0, 402, 41);
INSERT INTO public.who_data VALUES (95210, 0, 0, 0, 0, 402, 95);
INSERT INTO public.who_data VALUES (95211, 0, 0, 0, 0, 402, 74);
INSERT INTO public.who_data VALUES (95212, 0, 0, 0, 0, 402, 11);
INSERT INTO public.who_data VALUES (95213, 0, 0, 0, 0, 402, 87);
INSERT INTO public.who_data VALUES (95214, 0, 0, 0, 0, 402, 214);
INSERT INTO public.who_data VALUES (95215, 0, 0, 0, 0, 402, 116);
INSERT INTO public.who_data VALUES (95216, 0, 0, 0, 0, 402, 157);
INSERT INTO public.who_data VALUES (95217, 0, 0, 0, 0, 402, 182);
INSERT INTO public.who_data VALUES (95218, 0, 0, 0, 0, 402, 186);
INSERT INTO public.who_data VALUES (95219, 0, 0, 0, 0, 402, 127);
INSERT INTO public.who_data VALUES (95220, 0, 0, 0, 0, 402, 232);
INSERT INTO public.who_data VALUES (95221, 0, 0, 0, 0, 402, 33);
INSERT INTO public.who_data VALUES (95222, 0, 0, 0, 0, 402, 97);
INSERT INTO public.who_data VALUES (95223, 0, 0, 0, 0, 402, 42);
INSERT INTO public.who_data VALUES (95224, 0, 0, 0, 0, 402, 198);
INSERT INTO public.who_data VALUES (95225, 0, 0, 0, 0, 402, 216);
INSERT INTO public.who_data VALUES (95226, 0, 0, 0, 0, 402, 164);
INSERT INTO public.who_data VALUES (95227, 0, 0, 0, 0, 402, 235);
INSERT INTO public.who_data VALUES (95228, 0, 0, 0, 0, 402, 67);
INSERT INTO public.who_data VALUES (95229, 0, 0, 0, 0, 402, 15);
INSERT INTO public.who_data VALUES (95230, 0, 0, 0, 0, 402, 180);
INSERT INTO public.who_data VALUES (95231, 0, 0, 0, 0, 402, 237);
INSERT INTO public.who_data VALUES (95232, 0, 0, 0, 0, 402, 25);
INSERT INTO public.who_data VALUES (95233, 0, 0, 0, 0, 402, 209);
INSERT INTO public.who_data VALUES (95234, 0, 0, 0, 0, 402, 217);
INSERT INTO public.who_data VALUES (95235, 0, 0, 0, 0, 402, 79);
INSERT INTO public.who_data VALUES (95236, 0, 0, 0, 0, 402, 143);
INSERT INTO public.who_data VALUES (95237, 0, 0, 0, 0, 402, 229);
INSERT INTO public.who_data VALUES (95238, 0, 0, 0, 0, 402, 141);
INSERT INTO public.who_data VALUES (95239, 0, 0, 0, 0, 402, 197);
INSERT INTO public.who_data VALUES (95240, 0, 0, 0, 0, 402, 221);
INSERT INTO public.who_data VALUES (95241, 0, 0, 0, 0, 402, 150);
INSERT INTO public.who_data VALUES (95242, 0, 0, 0, 0, 402, 56);
INSERT INTO public.who_data VALUES (95243, 0, 0, 0, 0, 402, 167);
INSERT INTO public.who_data VALUES (95244, 0, 0, 0, 0, 402, 23);
INSERT INTO public.who_data VALUES (95245, 0, 0, 0, 0, 402, 222);
INSERT INTO public.who_data VALUES (95246, 0, 0, 0, 0, 402, 219);
INSERT INTO public.who_data VALUES (95247, 0, 0, 0, 0, 402, 7);
INSERT INTO public.who_data VALUES (95248, 0, 5, 0, 0, 402, 161);
INSERT INTO public.who_data VALUES (95249, 0, 0, 0, 0, 402, 149);
INSERT INTO public.who_data VALUES (95250, 0, 0, 0, 0, 402, 6);
INSERT INTO public.who_data VALUES (95251, 0, 0, 0, 0, 402, 139);
INSERT INTO public.who_data VALUES (95252, 0, 0, 0, 0, 402, 211);
INSERT INTO public.who_data VALUES (95253, 0, 0, 0, 0, 402, 14);
INSERT INTO public.who_data VALUES (95254, 0, 0, 0, 0, 402, 111);
INSERT INTO public.who_data VALUES (95255, 0, 0, 0, 0, 402, 207);
INSERT INTO public.who_data VALUES (95256, 0, 0, 0, 0, 402, 66);
INSERT INTO public.who_data VALUES (95257, 0, 0, 0, 0, 402, 173);
INSERT INTO public.who_data VALUES (95258, 0, 0, 0, 0, 402, 145);
INSERT INTO public.who_data VALUES (95259, 0, 0, 0, 0, 402, 65);
INSERT INTO public.who_data VALUES (95260, 0, 0, 0, 0, 402, 184);
INSERT INTO public.who_data VALUES (95261, 0, 0, 0, 0, 402, 98);
INSERT INTO public.who_data VALUES (95262, 0, 0, 0, 0, 402, 104);
INSERT INTO public.who_data VALUES (95263, 0, 0, 0, 0, 402, 73);
INSERT INTO public.who_data VALUES (95264, 0, 0, 0, 0, 402, 8);
INSERT INTO public.who_data VALUES (95265, 0, 0, 0, 0, 402, 227);
INSERT INTO public.who_data VALUES (95266, 0, 0, 0, 0, 402, 75);
INSERT INTO public.who_data VALUES (95267, 0, 0, 0, 0, 402, 45);
INSERT INTO public.who_data VALUES (95268, 0, 0, 0, 0, 402, 133);
INSERT INTO public.who_data VALUES (95269, 0, 0, 0, 0, 402, 202);
INSERT INTO public.who_data VALUES (95270, 0, 0, 0, 0, 402, 129);
INSERT INTO public.who_data VALUES (95271, 0, 0, 0, 0, 402, 36);
INSERT INTO public.who_data VALUES (95272, 0, 0, 0, 0, 402, 51);
INSERT INTO public.who_data VALUES (95273, 0, 0, 0, 0, 402, 206);
INSERT INTO public.who_data VALUES (95274, 0, 0, 0, 0, 402, 5);
INSERT INTO public.who_data VALUES (95275, 0, 0, 0, 0, 403, 103);
INSERT INTO public.who_data VALUES (95276, 0, 0, 0, 0, 403, 58);
INSERT INTO public.who_data VALUES (95277, 0, 0, 0, 0, 403, 195);
INSERT INTO public.who_data VALUES (95278, 0, 0, 0, 0, 403, 115);
INSERT INTO public.who_data VALUES (95279, 0, 0, 0, 0, 403, 99);
INSERT INTO public.who_data VALUES (95280, 0, 0, 0, 0, 403, 153);
INSERT INTO public.who_data VALUES (95281, 0, 0, 0, 0, 403, 93);
INSERT INTO public.who_data VALUES (95282, 0, 0, 0, 0, 403, 84);
INSERT INTO public.who_data VALUES (95283, 0, 0, 0, 0, 403, 78);
INSERT INTO public.who_data VALUES (95284, 0, 0, 0, 0, 403, 170);
INSERT INTO public.who_data VALUES (95285, 0, 0, 0, 0, 403, 32);
INSERT INTO public.who_data VALUES (95286, 0, 0, 0, 0, 403, 155);
INSERT INTO public.who_data VALUES (95287, 0, 0, 0, 0, 403, 82);
INSERT INTO public.who_data VALUES (95288, 0, 0, 0, 0, 403, 16);
INSERT INTO public.who_data VALUES (95289, 0, 0, 0, 0, 403, 72);
INSERT INTO public.who_data VALUES (95290, 0, 0, 0, 0, 403, 43);
INSERT INTO public.who_data VALUES (95291, 0, 0, 0, 0, 403, 120);
INSERT INTO public.who_data VALUES (95292, 0, 0, 0, 0, 403, 213);
INSERT INTO public.who_data VALUES (95293, 0, 0, 0, 0, 403, 31);
INSERT INTO public.who_data VALUES (95294, 0, 0, 0, 0, 403, 204);
INSERT INTO public.who_data VALUES (95295, 0, 0, 0, 0, 403, 152);
INSERT INTO public.who_data VALUES (95296, 0, 0, 0, 0, 403, 144);
INSERT INTO public.who_data VALUES (95297, 0, 0, 0, 0, 403, 96);
INSERT INTO public.who_data VALUES (95298, 0, 0, 0, 0, 403, 47);
INSERT INTO public.who_data VALUES (95299, 0, 0, 0, 0, 403, 80);
INSERT INTO public.who_data VALUES (95300, 0, 0, 0, 0, 403, 159);
INSERT INTO public.who_data VALUES (95301, 0, 0, 0, 0, 403, 27);
INSERT INTO public.who_data VALUES (95302, 0, 0, 0, 0, 403, 146);
INSERT INTO public.who_data VALUES (95303, 0, 0, 0, 0, 403, 71);
INSERT INTO public.who_data VALUES (95304, 0, 0, 0, 0, 403, 210);
INSERT INTO public.who_data VALUES (95305, 0, 0, 0, 0, 403, 54);
INSERT INTO public.who_data VALUES (95306, 0, 0, 0, 0, 403, 147);
INSERT INTO public.who_data VALUES (95307, 0, 0, 0, 0, 403, 2);
INSERT INTO public.who_data VALUES (95308, 0, 0, 0, 0, 403, 105);
INSERT INTO public.who_data VALUES (95309, 0, 0, 0, 0, 403, 53);
INSERT INTO public.who_data VALUES (95310, 0, 0, 0, 0, 403, 81);
INSERT INTO public.who_data VALUES (95311, 0, 0, 0, 0, 403, 223);
INSERT INTO public.who_data VALUES (95312, 0, 0, 0, 0, 403, 94);
INSERT INTO public.who_data VALUES (95313, 0, 0, 0, 0, 403, 154);
INSERT INTO public.who_data VALUES (95314, 0, 0, 0, 0, 403, 83);
INSERT INTO public.who_data VALUES (95315, 0, 0, 0, 0, 403, 194);
INSERT INTO public.who_data VALUES (95316, 0, 0, 0, 0, 403, 136);
INSERT INTO public.who_data VALUES (95317, 0, 45, 0, 1, 403, 179);
INSERT INTO public.who_data VALUES (95318, 0, 0, 0, 0, 403, 57);
INSERT INTO public.who_data VALUES (95319, 0, 0, 0, 0, 403, 35);
INSERT INTO public.who_data VALUES (95320, 0, 0, 0, 0, 403, 228);
INSERT INTO public.who_data VALUES (95321, 0, 0, 0, 0, 403, 19);
INSERT INTO public.who_data VALUES (95322, 0, 0, 0, 0, 403, 22);
INSERT INTO public.who_data VALUES (95323, 0, 0, 0, 0, 403, 1);
INSERT INTO public.who_data VALUES (95324, 0, 0, 0, 0, 403, 21);
INSERT INTO public.who_data VALUES (95325, 0, 0, 0, 0, 403, 234);
INSERT INTO public.who_data VALUES (95326, 0, 0, 0, 0, 403, 91);
INSERT INTO public.who_data VALUES (95327, 0, 0, 0, 0, 403, 137);
INSERT INTO public.who_data VALUES (95328, 0, 0, 0, 0, 403, 201);
INSERT INTO public.who_data VALUES (95329, 0, 0, 0, 0, 403, 171);
INSERT INTO public.who_data VALUES (95330, 0, 0, 0, 0, 403, 92);
INSERT INTO public.who_data VALUES (95331, 0, 0, 0, 0, 403, 112);
INSERT INTO public.who_data VALUES (95332, 0, 0, 0, 0, 403, 62);
INSERT INTO public.who_data VALUES (95333, 0, 0, 0, 0, 403, 69);
INSERT INTO public.who_data VALUES (95334, 0, 0, 0, 0, 403, 220);
INSERT INTO public.who_data VALUES (95335, 0, 0, 0, 0, 403, 100);
INSERT INTO public.who_data VALUES (95336, 0, 0, 0, 0, 403, 187);
INSERT INTO public.who_data VALUES (95337, 0, 0, 0, 0, 403, 63);
INSERT INTO public.who_data VALUES (95338, 0, 0, 0, 0, 403, 28);
INSERT INTO public.who_data VALUES (95339, 0, 0, 0, 0, 403, 172);
INSERT INTO public.who_data VALUES (95340, 0, 0, 0, 0, 403, 17);
INSERT INTO public.who_data VALUES (95341, 0, 0, 0, 0, 403, 226);
INSERT INTO public.who_data VALUES (95342, 0, 0, 0, 0, 403, 236);
INSERT INTO public.who_data VALUES (95343, 0, 0, 0, 0, 403, 76);
INSERT INTO public.who_data VALUES (95344, 0, 0, 0, 0, 403, 30);
INSERT INTO public.who_data VALUES (95345, 0, 0, 0, 0, 403, 128);
INSERT INTO public.who_data VALUES (95346, 0, 0, 0, 0, 403, 86);
INSERT INTO public.who_data VALUES (95347, 0, 0, 0, 0, 403, 140);
INSERT INTO public.who_data VALUES (95348, 0, 0, 0, 0, 403, 44);
INSERT INTO public.who_data VALUES (95349, 0, 0, 0, 0, 403, 113);
INSERT INTO public.who_data VALUES (95350, 0, 0, 0, 0, 403, 29);
INSERT INTO public.who_data VALUES (95351, 0, 0, 0, 0, 403, 125);
INSERT INTO public.who_data VALUES (95352, 0, 0, 0, 0, 403, 131);
INSERT INTO public.who_data VALUES (95353, 0, 0, 0, 0, 403, 46);
INSERT INTO public.who_data VALUES (95354, 0, 0, 0, 0, 403, 10);
INSERT INTO public.who_data VALUES (95355, 0, 0, 0, 0, 403, 205);
INSERT INTO public.who_data VALUES (95356, 0, 0, 0, 0, 403, 50);
INSERT INTO public.who_data VALUES (95357, 0, 0, 0, 0, 403, 20);
INSERT INTO public.who_data VALUES (95358, 0, 0, 0, 0, 403, 13);
INSERT INTO public.who_data VALUES (95359, 0, 0, 0, 0, 403, 148);
INSERT INTO public.who_data VALUES (95360, 0, 0, 0, 0, 403, 230);
INSERT INTO public.who_data VALUES (95361, 0, 0, 0, 0, 403, 190);
INSERT INTO public.who_data VALUES (95362, 0, 0, 0, 0, 403, 188);
INSERT INTO public.who_data VALUES (95363, 0, 0, 0, 0, 403, 123);
INSERT INTO public.who_data VALUES (95364, 0, 0, 0, 0, 403, 9);
INSERT INTO public.who_data VALUES (95365, 0, 0, 0, 0, 403, 102);
INSERT INTO public.who_data VALUES (95366, 0, 0, 0, 0, 403, 34);
INSERT INTO public.who_data VALUES (95367, 0, 0, 0, 0, 403, 212);
INSERT INTO public.who_data VALUES (95368, 0, 0, 0, 0, 403, 122);
INSERT INTO public.who_data VALUES (95369, 0, 0, 0, 0, 403, 38);
INSERT INTO public.who_data VALUES (95370, 0, 0, 0, 0, 403, 130);
INSERT INTO public.who_data VALUES (95371, 0, 0, 0, 0, 403, 37);
INSERT INTO public.who_data VALUES (95372, 0, 0, 0, 0, 403, 231);
INSERT INTO public.who_data VALUES (95373, 0, 0, 0, 0, 403, 107);
INSERT INTO public.who_data VALUES (95374, 0, 0, 0, 0, 403, 101);
INSERT INTO public.who_data VALUES (95375, 0, 0, 0, 0, 403, 132);
INSERT INTO public.who_data VALUES (95376, 0, 0, 0, 0, 403, 176);
INSERT INTO public.who_data VALUES (95377, 0, 0, 0, 0, 403, 200);
INSERT INTO public.who_data VALUES (95378, 0, 0, 0, 0, 403, 169);
INSERT INTO public.who_data VALUES (95379, 0, 0, 0, 0, 403, 225);
INSERT INTO public.who_data VALUES (95380, 0, 1, 0, 0, 403, 165);
INSERT INTO public.who_data VALUES (95381, 0, 0, 0, 0, 403, 233);
INSERT INTO public.who_data VALUES (95382, 0, 0, 0, 0, 403, 215);
INSERT INTO public.who_data VALUES (95383, 0, 0, 0, 0, 403, 177);
INSERT INTO public.who_data VALUES (95384, 0, 0, 0, 0, 403, 183);
INSERT INTO public.who_data VALUES (95385, 0, 0, 0, 0, 403, 203);
INSERT INTO public.who_data VALUES (95386, 0, 0, 0, 0, 403, 162);
INSERT INTO public.who_data VALUES (95387, 0, 0, 0, 0, 403, 12);
INSERT INTO public.who_data VALUES (95388, 0, 0, 0, 0, 403, 24);
INSERT INTO public.who_data VALUES (95389, 0, 0, 0, 0, 403, 119);
INSERT INTO public.who_data VALUES (95390, 0, 0, 0, 0, 403, 39);
INSERT INTO public.who_data VALUES (95391, 0, 0, 0, 0, 403, 26);
INSERT INTO public.who_data VALUES (95392, 0, 0, 0, 0, 403, 59);
INSERT INTO public.who_data VALUES (95393, 0, 0, 0, 0, 403, 77);
INSERT INTO public.who_data VALUES (95394, 0, 0, 0, 0, 403, 134);
INSERT INTO public.who_data VALUES (95395, 0, 0, 0, 0, 403, 4);
INSERT INTO public.who_data VALUES (95396, 0, 0, 0, 0, 403, 109);
INSERT INTO public.who_data VALUES (95397, 0, 0, 0, 0, 403, 90);
INSERT INTO public.who_data VALUES (95398, 0, 0, 0, 0, 403, 61);
INSERT INTO public.who_data VALUES (95399, 0, 0, 0, 0, 403, 85);
INSERT INTO public.who_data VALUES (95400, 0, 0, 0, 0, 403, 49);
INSERT INTO public.who_data VALUES (95401, 0, 0, 0, 0, 403, 208);
INSERT INTO public.who_data VALUES (95402, 0, 0, 0, 0, 403, 166);
INSERT INTO public.who_data VALUES (95403, 0, 0, 0, 0, 403, 64);
INSERT INTO public.who_data VALUES (95404, 0, 0, 0, 0, 403, 199);
INSERT INTO public.who_data VALUES (95405, 0, 0, 0, 0, 403, 114);
INSERT INTO public.who_data VALUES (95406, 0, 0, 0, 0, 403, 60);
INSERT INTO public.who_data VALUES (95407, 0, 0, 0, 0, 403, 68);
INSERT INTO public.who_data VALUES (95408, 0, 0, 0, 0, 403, 158);
INSERT INTO public.who_data VALUES (95409, 0, 0, 0, 0, 403, 52);
INSERT INTO public.who_data VALUES (95410, 0, 0, 0, 0, 403, 117);
INSERT INTO public.who_data VALUES (95411, 0, 0, 0, 0, 403, 126);
INSERT INTO public.who_data VALUES (95412, 0, 0, 0, 0, 403, 196);
INSERT INTO public.who_data VALUES (95413, 0, 0, 0, 0, 403, 142);
INSERT INTO public.who_data VALUES (95414, 0, 0, 0, 0, 403, 185);
INSERT INTO public.who_data VALUES (95415, 0, 0, 0, 0, 403, 138);
INSERT INTO public.who_data VALUES (95416, 0, 0, 0, 0, 403, 181);
INSERT INTO public.who_data VALUES (95417, 0, 0, 0, 0, 403, 178);
INSERT INTO public.who_data VALUES (95418, 0, 0, 0, 0, 403, 168);
INSERT INTO public.who_data VALUES (95419, 0, 0, 0, 0, 403, 160);
INSERT INTO public.who_data VALUES (95420, 0, 0, 0, 0, 403, 151);
INSERT INTO public.who_data VALUES (95421, 0, 0, 0, 0, 403, 193);
INSERT INTO public.who_data VALUES (95422, 0, 0, 0, 0, 403, 18);
INSERT INTO public.who_data VALUES (95423, 0, 0, 0, 0, 403, 40);
INSERT INTO public.who_data VALUES (95424, 0, 0, 0, 0, 403, 218);
INSERT INTO public.who_data VALUES (95425, 0, 0, 0, 0, 403, 191);
INSERT INTO public.who_data VALUES (95426, 0, 0, 0, 0, 403, 156);
INSERT INTO public.who_data VALUES (95427, 0, 0, 0, 0, 403, 135);
INSERT INTO public.who_data VALUES (95428, 0, 0, 0, 0, 403, 88);
INSERT INTO public.who_data VALUES (95429, 0, 0, 0, 0, 403, 55);
INSERT INTO public.who_data VALUES (95430, 0, 0, 0, 0, 403, 108);
INSERT INTO public.who_data VALUES (95431, 0, 0, 0, 0, 403, 48);
INSERT INTO public.who_data VALUES (95432, 0, 0, 0, 0, 403, 3);
INSERT INTO public.who_data VALUES (95433, 0, 0, 0, 0, 403, 224);
INSERT INTO public.who_data VALUES (95434, 0, 0, 0, 0, 403, 110);
INSERT INTO public.who_data VALUES (95435, 0, 0, 0, 0, 403, 106);
INSERT INTO public.who_data VALUES (95436, 0, 0, 0, 0, 403, 89);
INSERT INTO public.who_data VALUES (95437, 0, 0, 0, 0, 403, 121);
INSERT INTO public.who_data VALUES (95438, 0, 0, 0, 0, 403, 163);
INSERT INTO public.who_data VALUES (95439, 0, 0, 0, 0, 403, 70);
INSERT INTO public.who_data VALUES (95440, 0, 0, 0, 0, 403, 174);
INSERT INTO public.who_data VALUES (95441, 0, 0, 0, 0, 403, 175);
INSERT INTO public.who_data VALUES (95442, 0, 0, 0, 0, 403, 118);
INSERT INTO public.who_data VALUES (95443, 0, 0, 0, 0, 403, 189);
INSERT INTO public.who_data VALUES (95444, 0, 0, 0, 0, 403, 124);
INSERT INTO public.who_data VALUES (95445, 0, 0, 0, 0, 403, 192);
INSERT INTO public.who_data VALUES (95446, 0, 0, 0, 0, 403, 41);
INSERT INTO public.who_data VALUES (95447, 0, 0, 0, 0, 403, 95);
INSERT INTO public.who_data VALUES (95448, 0, 0, 0, 0, 403, 74);
INSERT INTO public.who_data VALUES (95449, 0, 0, 0, 0, 403, 11);
INSERT INTO public.who_data VALUES (95450, 0, 0, 0, 0, 403, 87);
INSERT INTO public.who_data VALUES (95451, 0, 0, 0, 0, 403, 214);
INSERT INTO public.who_data VALUES (95452, 0, 0, 0, 0, 403, 116);
INSERT INTO public.who_data VALUES (95453, 0, 0, 0, 0, 403, 157);
INSERT INTO public.who_data VALUES (95454, 0, 0, 0, 0, 403, 182);
INSERT INTO public.who_data VALUES (95455, 0, 0, 0, 0, 403, 186);
INSERT INTO public.who_data VALUES (95456, 0, 0, 0, 0, 403, 127);
INSERT INTO public.who_data VALUES (95457, 0, 0, 0, 0, 403, 232);
INSERT INTO public.who_data VALUES (95458, 0, 0, 0, 0, 403, 33);
INSERT INTO public.who_data VALUES (95459, 0, 0, 0, 0, 403, 97);
INSERT INTO public.who_data VALUES (95460, 0, 0, 0, 0, 403, 42);
INSERT INTO public.who_data VALUES (95461, 0, 0, 0, 0, 403, 198);
INSERT INTO public.who_data VALUES (95462, 0, 0, 0, 0, 403, 216);
INSERT INTO public.who_data VALUES (95463, 0, 0, 0, 0, 403, 164);
INSERT INTO public.who_data VALUES (95464, 0, 0, 0, 0, 403, 235);
INSERT INTO public.who_data VALUES (95465, 0, 0, 0, 0, 403, 67);
INSERT INTO public.who_data VALUES (95466, 0, 0, 0, 0, 403, 15);
INSERT INTO public.who_data VALUES (95467, 0, 0, 0, 0, 403, 180);
INSERT INTO public.who_data VALUES (95468, 0, 0, 0, 0, 403, 237);
INSERT INTO public.who_data VALUES (95469, 0, 0, 0, 0, 403, 25);
INSERT INTO public.who_data VALUES (95470, 0, 0, 0, 0, 403, 209);
INSERT INTO public.who_data VALUES (95471, 0, 0, 0, 0, 403, 217);
INSERT INTO public.who_data VALUES (95472, 0, 0, 0, 0, 403, 79);
INSERT INTO public.who_data VALUES (95473, 0, 0, 0, 0, 403, 143);
INSERT INTO public.who_data VALUES (95474, 0, 0, 0, 0, 403, 229);
INSERT INTO public.who_data VALUES (95475, 0, 0, 0, 0, 403, 141);
INSERT INTO public.who_data VALUES (95476, 0, 0, 0, 0, 403, 197);
INSERT INTO public.who_data VALUES (95477, 0, 0, 0, 0, 403, 221);
INSERT INTO public.who_data VALUES (95478, 0, 0, 0, 0, 403, 150);
INSERT INTO public.who_data VALUES (95479, 0, 0, 0, 0, 403, 56);
INSERT INTO public.who_data VALUES (95480, 0, 0, 0, 0, 403, 167);
INSERT INTO public.who_data VALUES (95481, 0, 0, 0, 0, 403, 23);
INSERT INTO public.who_data VALUES (95482, 0, 0, 0, 0, 403, 222);
INSERT INTO public.who_data VALUES (95483, 0, 0, 0, 0, 403, 219);
INSERT INTO public.who_data VALUES (95484, 0, 0, 0, 0, 403, 7);
INSERT INTO public.who_data VALUES (95485, 0, 5, 0, 0, 403, 161);
INSERT INTO public.who_data VALUES (95486, 0, 0, 0, 0, 403, 149);
INSERT INTO public.who_data VALUES (95487, 0, 0, 0, 0, 403, 6);
INSERT INTO public.who_data VALUES (95488, 0, 0, 0, 0, 403, 139);
INSERT INTO public.who_data VALUES (95489, 0, 0, 0, 0, 403, 211);
INSERT INTO public.who_data VALUES (95490, 0, 0, 0, 0, 403, 14);
INSERT INTO public.who_data VALUES (95491, 0, 0, 0, 0, 403, 111);
INSERT INTO public.who_data VALUES (95492, 0, 0, 0, 0, 403, 207);
INSERT INTO public.who_data VALUES (95493, 0, 0, 0, 0, 403, 66);
INSERT INTO public.who_data VALUES (95494, 0, 0, 0, 0, 403, 173);
INSERT INTO public.who_data VALUES (95495, 0, 0, 0, 0, 403, 145);
INSERT INTO public.who_data VALUES (95496, 0, 0, 0, 0, 403, 65);
INSERT INTO public.who_data VALUES (95497, 0, 0, 0, 0, 403, 184);
INSERT INTO public.who_data VALUES (95498, 0, 0, 0, 0, 403, 98);
INSERT INTO public.who_data VALUES (95499, 0, 0, 0, 0, 403, 104);
INSERT INTO public.who_data VALUES (95500, 0, 0, 0, 0, 403, 73);
INSERT INTO public.who_data VALUES (95501, 0, 0, 0, 0, 403, 8);
INSERT INTO public.who_data VALUES (95502, 0, 0, 0, 0, 403, 227);
INSERT INTO public.who_data VALUES (95503, 0, 0, 0, 0, 403, 75);
INSERT INTO public.who_data VALUES (95504, 0, 0, 0, 0, 403, 45);
INSERT INTO public.who_data VALUES (95505, 0, 0, 0, 0, 403, 133);
INSERT INTO public.who_data VALUES (95506, 0, 0, 0, 0, 403, 202);
INSERT INTO public.who_data VALUES (95507, 0, 0, 0, 0, 403, 129);
INSERT INTO public.who_data VALUES (95508, 0, 0, 0, 0, 403, 36);
INSERT INTO public.who_data VALUES (95509, 0, 0, 0, 0, 403, 51);
INSERT INTO public.who_data VALUES (95510, 0, 0, 0, 0, 403, 206);
INSERT INTO public.who_data VALUES (95511, 0, 0, 0, 0, 403, 5);
INSERT INTO public.who_data VALUES (95512, 0, 0, 0, 0, 404, 103);
INSERT INTO public.who_data VALUES (95513, 0, 0, 0, 0, 404, 58);
INSERT INTO public.who_data VALUES (95514, 0, 0, 0, 0, 404, 195);
INSERT INTO public.who_data VALUES (95515, 0, 0, 0, 0, 404, 115);
INSERT INTO public.who_data VALUES (95516, 0, 0, 0, 0, 404, 99);
INSERT INTO public.who_data VALUES (95517, 0, 0, 0, 0, 404, 153);
INSERT INTO public.who_data VALUES (95518, 0, 0, 0, 0, 404, 93);
INSERT INTO public.who_data VALUES (95519, 0, 0, 0, 0, 404, 84);
INSERT INTO public.who_data VALUES (95520, 0, 0, 0, 0, 404, 78);
INSERT INTO public.who_data VALUES (95521, 0, 0, 0, 0, 404, 170);
INSERT INTO public.who_data VALUES (95522, 0, 0, 0, 0, 404, 32);
INSERT INTO public.who_data VALUES (95523, 0, 0, 0, 0, 404, 155);
INSERT INTO public.who_data VALUES (95524, 0, 0, 0, 0, 404, 82);
INSERT INTO public.who_data VALUES (95525, 0, 0, 0, 0, 404, 16);
INSERT INTO public.who_data VALUES (95526, 0, 0, 0, 0, 404, 72);
INSERT INTO public.who_data VALUES (95527, 0, 0, 0, 0, 404, 43);
INSERT INTO public.who_data VALUES (95528, 0, 0, 0, 0, 404, 120);
INSERT INTO public.who_data VALUES (95529, 0, 0, 0, 0, 404, 213);
INSERT INTO public.who_data VALUES (95530, 0, 0, 0, 0, 404, 31);
INSERT INTO public.who_data VALUES (95531, 0, 0, 0, 0, 404, 204);
INSERT INTO public.who_data VALUES (95532, 0, 0, 0, 0, 404, 152);
INSERT INTO public.who_data VALUES (95533, 0, 0, 0, 0, 404, 144);
INSERT INTO public.who_data VALUES (95534, 0, 0, 0, 0, 404, 96);
INSERT INTO public.who_data VALUES (95535, 0, 0, 0, 0, 404, 47);
INSERT INTO public.who_data VALUES (95536, 0, 0, 0, 0, 404, 80);
INSERT INTO public.who_data VALUES (95537, 0, 0, 0, 0, 404, 159);
INSERT INTO public.who_data VALUES (95538, 0, 0, 0, 0, 404, 27);
INSERT INTO public.who_data VALUES (95539, 0, 0, 0, 0, 404, 146);
INSERT INTO public.who_data VALUES (95540, 0, 0, 0, 0, 404, 71);
INSERT INTO public.who_data VALUES (95541, 0, 0, 0, 0, 404, 210);
INSERT INTO public.who_data VALUES (95542, 0, 0, 0, 0, 404, 54);
INSERT INTO public.who_data VALUES (95543, 0, 0, 0, 0, 404, 147);
INSERT INTO public.who_data VALUES (95544, 0, 0, 0, 0, 404, 2);
INSERT INTO public.who_data VALUES (95545, 0, 0, 0, 0, 404, 105);
INSERT INTO public.who_data VALUES (95546, 0, 0, 0, 0, 404, 53);
INSERT INTO public.who_data VALUES (95547, 0, 0, 0, 0, 404, 81);
INSERT INTO public.who_data VALUES (95548, 0, 0, 0, 0, 404, 223);
INSERT INTO public.who_data VALUES (95549, 0, 0, 0, 0, 404, 94);
INSERT INTO public.who_data VALUES (95550, 0, 0, 0, 0, 404, 154);
INSERT INTO public.who_data VALUES (95551, 0, 0, 0, 0, 404, 83);
INSERT INTO public.who_data VALUES (95552, 0, 0, 0, 0, 404, 194);
INSERT INTO public.who_data VALUES (95553, 0, 0, 0, 0, 404, 136);
INSERT INTO public.who_data VALUES (95554, 0, 45, 0, 1, 404, 179);
INSERT INTO public.who_data VALUES (95555, 0, 0, 0, 0, 404, 57);
INSERT INTO public.who_data VALUES (95556, 0, 0, 0, 0, 404, 35);
INSERT INTO public.who_data VALUES (95557, 0, 0, 0, 0, 404, 228);
INSERT INTO public.who_data VALUES (95558, 0, 0, 0, 0, 404, 19);
INSERT INTO public.who_data VALUES (95559, 0, 0, 0, 0, 404, 22);
INSERT INTO public.who_data VALUES (95560, 0, 0, 0, 0, 404, 1);
INSERT INTO public.who_data VALUES (95561, 0, 0, 0, 0, 404, 21);
INSERT INTO public.who_data VALUES (95562, 0, 0, 0, 0, 404, 234);
INSERT INTO public.who_data VALUES (95563, 0, 0, 0, 0, 404, 91);
INSERT INTO public.who_data VALUES (95564, 0, 0, 0, 0, 404, 137);
INSERT INTO public.who_data VALUES (95565, 0, 0, 0, 0, 404, 201);
INSERT INTO public.who_data VALUES (95566, 0, 0, 0, 0, 404, 171);
INSERT INTO public.who_data VALUES (95567, 0, 0, 0, 0, 404, 92);
INSERT INTO public.who_data VALUES (95568, 0, 0, 0, 0, 404, 112);
INSERT INTO public.who_data VALUES (95569, 0, 0, 0, 0, 404, 62);
INSERT INTO public.who_data VALUES (95570, 0, 0, 0, 0, 404, 69);
INSERT INTO public.who_data VALUES (95571, 0, 0, 0, 0, 404, 220);
INSERT INTO public.who_data VALUES (95572, 0, 0, 0, 0, 404, 100);
INSERT INTO public.who_data VALUES (95573, 0, 0, 0, 0, 404, 187);
INSERT INTO public.who_data VALUES (95574, 0, 0, 0, 0, 404, 63);
INSERT INTO public.who_data VALUES (95575, 0, 0, 0, 0, 404, 28);
INSERT INTO public.who_data VALUES (95576, 0, 0, 0, 0, 404, 172);
INSERT INTO public.who_data VALUES (95577, 0, 0, 0, 0, 404, 17);
INSERT INTO public.who_data VALUES (95578, 0, 0, 0, 0, 404, 226);
INSERT INTO public.who_data VALUES (95579, 0, 0, 0, 0, 404, 236);
INSERT INTO public.who_data VALUES (95580, 0, 0, 0, 0, 404, 76);
INSERT INTO public.who_data VALUES (95581, 0, 0, 0, 0, 404, 30);
INSERT INTO public.who_data VALUES (95582, 0, 0, 0, 0, 404, 128);
INSERT INTO public.who_data VALUES (95583, 0, 0, 0, 0, 404, 86);
INSERT INTO public.who_data VALUES (95584, 0, 0, 0, 0, 404, 140);
INSERT INTO public.who_data VALUES (95585, 0, 0, 0, 0, 404, 44);
INSERT INTO public.who_data VALUES (95586, 0, 0, 0, 0, 404, 113);
INSERT INTO public.who_data VALUES (95587, 0, 0, 0, 0, 404, 29);
INSERT INTO public.who_data VALUES (95588, 0, 0, 0, 0, 404, 125);
INSERT INTO public.who_data VALUES (95589, 0, 0, 0, 0, 404, 131);
INSERT INTO public.who_data VALUES (95590, 0, 0, 0, 0, 404, 46);
INSERT INTO public.who_data VALUES (95591, 0, 0, 0, 0, 404, 10);
INSERT INTO public.who_data VALUES (95592, 0, 0, 0, 0, 404, 205);
INSERT INTO public.who_data VALUES (95593, 0, 0, 0, 0, 404, 50);
INSERT INTO public.who_data VALUES (95594, 0, 0, 0, 0, 404, 20);
INSERT INTO public.who_data VALUES (95595, 0, 0, 0, 0, 404, 13);
INSERT INTO public.who_data VALUES (95596, 0, 0, 0, 0, 404, 148);
INSERT INTO public.who_data VALUES (95597, 0, 0, 0, 0, 404, 230);
INSERT INTO public.who_data VALUES (95598, 0, 0, 0, 0, 404, 190);
INSERT INTO public.who_data VALUES (95599, 0, 0, 0, 0, 404, 188);
INSERT INTO public.who_data VALUES (95600, 0, 0, 0, 0, 404, 123);
INSERT INTO public.who_data VALUES (95601, 0, 0, 0, 0, 404, 9);
INSERT INTO public.who_data VALUES (95602, 0, 0, 0, 0, 404, 102);
INSERT INTO public.who_data VALUES (95603, 0, 0, 0, 0, 404, 34);
INSERT INTO public.who_data VALUES (95604, 0, 0, 0, 0, 404, 212);
INSERT INTO public.who_data VALUES (95605, 0, 0, 0, 0, 404, 122);
INSERT INTO public.who_data VALUES (95606, 0, 0, 0, 0, 404, 38);
INSERT INTO public.who_data VALUES (95607, 0, 0, 0, 0, 404, 130);
INSERT INTO public.who_data VALUES (95608, 0, 0, 0, 0, 404, 37);
INSERT INTO public.who_data VALUES (95609, 0, 0, 0, 0, 404, 231);
INSERT INTO public.who_data VALUES (95610, 0, 0, 0, 0, 404, 107);
INSERT INTO public.who_data VALUES (95611, 0, 0, 0, 0, 404, 101);
INSERT INTO public.who_data VALUES (95612, 0, 0, 0, 0, 404, 132);
INSERT INTO public.who_data VALUES (95613, 0, 0, 0, 0, 404, 176);
INSERT INTO public.who_data VALUES (95614, 0, 0, 0, 0, 404, 200);
INSERT INTO public.who_data VALUES (95615, 0, 0, 0, 0, 404, 169);
INSERT INTO public.who_data VALUES (95616, 0, 0, 0, 0, 404, 225);
INSERT INTO public.who_data VALUES (95617, 1, 1, 0, 0, 404, 165);
INSERT INTO public.who_data VALUES (95618, 0, 0, 0, 0, 404, 233);
INSERT INTO public.who_data VALUES (95619, 0, 0, 0, 0, 404, 215);
INSERT INTO public.who_data VALUES (95620, 0, 0, 0, 0, 404, 177);
INSERT INTO public.who_data VALUES (95621, 0, 0, 0, 0, 404, 183);
INSERT INTO public.who_data VALUES (95622, 0, 0, 0, 0, 404, 203);
INSERT INTO public.who_data VALUES (95623, 0, 0, 0, 0, 404, 162);
INSERT INTO public.who_data VALUES (95624, 0, 0, 0, 0, 404, 12);
INSERT INTO public.who_data VALUES (95625, 0, 0, 0, 0, 404, 24);
INSERT INTO public.who_data VALUES (95626, 0, 0, 0, 0, 404, 119);
INSERT INTO public.who_data VALUES (95627, 0, 0, 0, 0, 404, 39);
INSERT INTO public.who_data VALUES (95628, 0, 0, 0, 0, 404, 26);
INSERT INTO public.who_data VALUES (95629, 0, 0, 0, 0, 404, 59);
INSERT INTO public.who_data VALUES (95630, 0, 0, 0, 0, 404, 77);
INSERT INTO public.who_data VALUES (95631, 0, 0, 0, 0, 404, 134);
INSERT INTO public.who_data VALUES (95632, 0, 0, 0, 0, 404, 4);
INSERT INTO public.who_data VALUES (95633, 0, 0, 0, 0, 404, 109);
INSERT INTO public.who_data VALUES (95634, 0, 0, 0, 0, 404, 90);
INSERT INTO public.who_data VALUES (95635, 0, 0, 0, 0, 404, 61);
INSERT INTO public.who_data VALUES (95636, 0, 0, 0, 0, 404, 85);
INSERT INTO public.who_data VALUES (95637, 0, 0, 0, 0, 404, 49);
INSERT INTO public.who_data VALUES (95638, 0, 0, 0, 0, 404, 208);
INSERT INTO public.who_data VALUES (95639, 0, 0, 0, 0, 404, 166);
INSERT INTO public.who_data VALUES (95640, 0, 0, 0, 0, 404, 64);
INSERT INTO public.who_data VALUES (95641, 0, 0, 0, 0, 404, 199);
INSERT INTO public.who_data VALUES (95642, 0, 0, 0, 0, 404, 114);
INSERT INTO public.who_data VALUES (95643, 0, 0, 0, 0, 404, 60);
INSERT INTO public.who_data VALUES (95644, 0, 0, 0, 0, 404, 68);
INSERT INTO public.who_data VALUES (95645, 0, 0, 0, 0, 404, 158);
INSERT INTO public.who_data VALUES (95646, 0, 0, 0, 0, 404, 52);
INSERT INTO public.who_data VALUES (95647, 0, 0, 0, 0, 404, 117);
INSERT INTO public.who_data VALUES (95648, 0, 0, 0, 0, 404, 126);
INSERT INTO public.who_data VALUES (95649, 0, 0, 0, 0, 404, 196);
INSERT INTO public.who_data VALUES (95650, 0, 0, 0, 0, 404, 142);
INSERT INTO public.who_data VALUES (95651, 0, 0, 0, 0, 404, 185);
INSERT INTO public.who_data VALUES (95652, 0, 0, 0, 0, 404, 138);
INSERT INTO public.who_data VALUES (95653, 0, 0, 0, 0, 404, 181);
INSERT INTO public.who_data VALUES (95654, 0, 0, 0, 0, 404, 178);
INSERT INTO public.who_data VALUES (95655, 0, 0, 0, 0, 404, 168);
INSERT INTO public.who_data VALUES (95656, 0, 0, 0, 0, 404, 160);
INSERT INTO public.who_data VALUES (95657, 0, 0, 0, 0, 404, 151);
INSERT INTO public.who_data VALUES (95658, 0, 0, 0, 0, 404, 193);
INSERT INTO public.who_data VALUES (95659, 0, 0, 0, 0, 404, 18);
INSERT INTO public.who_data VALUES (95660, 0, 0, 0, 0, 404, 40);
INSERT INTO public.who_data VALUES (95661, 0, 0, 0, 0, 404, 218);
INSERT INTO public.who_data VALUES (95662, 0, 0, 0, 0, 404, 191);
INSERT INTO public.who_data VALUES (95663, 0, 0, 0, 0, 404, 156);
INSERT INTO public.who_data VALUES (95664, 0, 0, 0, 0, 404, 135);
INSERT INTO public.who_data VALUES (95665, 0, 0, 0, 0, 404, 88);
INSERT INTO public.who_data VALUES (95666, 0, 0, 0, 0, 404, 55);
INSERT INTO public.who_data VALUES (95667, 0, 0, 0, 0, 404, 108);
INSERT INTO public.who_data VALUES (95668, 0, 0, 0, 0, 404, 48);
INSERT INTO public.who_data VALUES (95669, 0, 0, 0, 0, 404, 3);
INSERT INTO public.who_data VALUES (95670, 0, 0, 0, 0, 404, 224);
INSERT INTO public.who_data VALUES (95671, 0, 0, 0, 0, 404, 110);
INSERT INTO public.who_data VALUES (95672, 0, 0, 0, 0, 404, 106);
INSERT INTO public.who_data VALUES (95673, 0, 0, 0, 0, 404, 89);
INSERT INTO public.who_data VALUES (95674, 0, 0, 0, 0, 404, 121);
INSERT INTO public.who_data VALUES (95675, 0, 0, 0, 0, 404, 163);
INSERT INTO public.who_data VALUES (95676, 0, 0, 0, 0, 404, 70);
INSERT INTO public.who_data VALUES (95677, 0, 0, 0, 0, 404, 174);
INSERT INTO public.who_data VALUES (95678, 0, 0, 0, 0, 404, 175);
INSERT INTO public.who_data VALUES (95679, 0, 0, 0, 0, 404, 118);
INSERT INTO public.who_data VALUES (95680, 0, 0, 0, 0, 404, 189);
INSERT INTO public.who_data VALUES (95681, 0, 0, 0, 0, 404, 124);
INSERT INTO public.who_data VALUES (95682, 0, 0, 0, 0, 404, 192);
INSERT INTO public.who_data VALUES (95683, 0, 0, 0, 0, 404, 41);
INSERT INTO public.who_data VALUES (95684, 0, 0, 0, 0, 404, 95);
INSERT INTO public.who_data VALUES (95685, 0, 0, 0, 0, 404, 74);
INSERT INTO public.who_data VALUES (95686, 0, 0, 0, 0, 404, 11);
INSERT INTO public.who_data VALUES (95687, 0, 0, 0, 0, 404, 87);
INSERT INTO public.who_data VALUES (95688, 0, 0, 0, 0, 404, 214);
INSERT INTO public.who_data VALUES (95689, 0, 0, 0, 0, 404, 116);
INSERT INTO public.who_data VALUES (95690, 0, 0, 0, 0, 404, 157);
INSERT INTO public.who_data VALUES (95691, 0, 0, 0, 0, 404, 182);
INSERT INTO public.who_data VALUES (95692, 0, 0, 0, 0, 404, 186);
INSERT INTO public.who_data VALUES (95693, 0, 0, 0, 0, 404, 127);
INSERT INTO public.who_data VALUES (95694, 0, 0, 0, 0, 404, 232);
INSERT INTO public.who_data VALUES (95695, 0, 0, 0, 0, 404, 33);
INSERT INTO public.who_data VALUES (95696, 0, 0, 0, 0, 404, 97);
INSERT INTO public.who_data VALUES (95697, 0, 0, 0, 0, 404, 42);
INSERT INTO public.who_data VALUES (95698, 0, 0, 0, 0, 404, 198);
INSERT INTO public.who_data VALUES (95699, 0, 0, 0, 0, 404, 216);
INSERT INTO public.who_data VALUES (95700, 0, 0, 0, 0, 404, 164);
INSERT INTO public.who_data VALUES (95701, 0, 0, 0, 0, 404, 235);
INSERT INTO public.who_data VALUES (95702, 0, 0, 0, 0, 404, 67);
INSERT INTO public.who_data VALUES (95703, 0, 0, 0, 0, 404, 15);
INSERT INTO public.who_data VALUES (95704, 0, 0, 0, 0, 404, 180);
INSERT INTO public.who_data VALUES (95705, 0, 0, 0, 0, 404, 237);
INSERT INTO public.who_data VALUES (95706, 0, 0, 0, 0, 404, 25);
INSERT INTO public.who_data VALUES (95707, 0, 0, 0, 0, 404, 209);
INSERT INTO public.who_data VALUES (95708, 0, 0, 0, 0, 404, 217);
INSERT INTO public.who_data VALUES (95709, 0, 0, 0, 0, 404, 79);
INSERT INTO public.who_data VALUES (95710, 0, 0, 0, 0, 404, 143);
INSERT INTO public.who_data VALUES (95711, 0, 0, 0, 0, 404, 229);
INSERT INTO public.who_data VALUES (95712, 0, 0, 0, 0, 404, 141);
INSERT INTO public.who_data VALUES (95713, 0, 0, 0, 0, 404, 197);
INSERT INTO public.who_data VALUES (95714, 0, 0, 0, 0, 404, 221);
INSERT INTO public.who_data VALUES (95715, 0, 0, 0, 0, 404, 150);
INSERT INTO public.who_data VALUES (95716, 0, 0, 0, 0, 404, 56);
INSERT INTO public.who_data VALUES (95717, 0, 0, 0, 0, 404, 167);
INSERT INTO public.who_data VALUES (95718, 0, 0, 0, 0, 404, 23);
INSERT INTO public.who_data VALUES (95719, 0, 0, 0, 0, 404, 222);
INSERT INTO public.who_data VALUES (95720, 0, 0, 0, 0, 404, 219);
INSERT INTO public.who_data VALUES (95721, 0, 0, 0, 0, 404, 7);
INSERT INTO public.who_data VALUES (95722, 0, 5, 0, 0, 404, 161);
INSERT INTO public.who_data VALUES (95723, 0, 0, 0, 0, 404, 149);
INSERT INTO public.who_data VALUES (95724, 0, 0, 0, 0, 404, 6);
INSERT INTO public.who_data VALUES (95725, 0, 0, 0, 0, 404, 139);
INSERT INTO public.who_data VALUES (95726, 0, 0, 0, 0, 404, 211);
INSERT INTO public.who_data VALUES (95727, 0, 0, 0, 0, 404, 14);
INSERT INTO public.who_data VALUES (95728, 0, 0, 0, 0, 404, 111);
INSERT INTO public.who_data VALUES (95729, 0, 0, 0, 0, 404, 207);
INSERT INTO public.who_data VALUES (95730, 0, 0, 0, 0, 404, 66);
INSERT INTO public.who_data VALUES (95731, 0, 0, 0, 0, 404, 173);
INSERT INTO public.who_data VALUES (95732, 0, 0, 0, 0, 404, 145);
INSERT INTO public.who_data VALUES (95733, 0, 0, 0, 0, 404, 65);
INSERT INTO public.who_data VALUES (95734, 0, 0, 0, 0, 404, 184);
INSERT INTO public.who_data VALUES (95735, 0, 0, 0, 0, 404, 98);
INSERT INTO public.who_data VALUES (95736, 0, 0, 0, 0, 404, 104);
INSERT INTO public.who_data VALUES (95737, 0, 0, 0, 0, 404, 73);
INSERT INTO public.who_data VALUES (95738, 0, 0, 0, 0, 404, 8);
INSERT INTO public.who_data VALUES (95739, 0, 0, 0, 0, 404, 227);
INSERT INTO public.who_data VALUES (95740, 0, 0, 0, 0, 404, 75);
INSERT INTO public.who_data VALUES (95741, 0, 0, 0, 0, 404, 45);
INSERT INTO public.who_data VALUES (95742, 0, 0, 0, 0, 404, 133);
INSERT INTO public.who_data VALUES (95743, 0, 0, 0, 0, 404, 202);
INSERT INTO public.who_data VALUES (95744, 0, 0, 0, 0, 404, 129);
INSERT INTO public.who_data VALUES (95745, 0, 0, 0, 0, 404, 36);
INSERT INTO public.who_data VALUES (95746, 0, 0, 0, 0, 404, 51);
INSERT INTO public.who_data VALUES (95747, 0, 0, 0, 0, 404, 206);
INSERT INTO public.who_data VALUES (95748, 0, 0, 0, 0, 404, 5);
INSERT INTO public.who_data VALUES (95749, 0, 0, 0, 0, 405, 103);
INSERT INTO public.who_data VALUES (95750, 0, 0, 0, 0, 405, 58);
INSERT INTO public.who_data VALUES (95751, 0, 0, 0, 0, 405, 195);
INSERT INTO public.who_data VALUES (95752, 0, 0, 0, 0, 405, 115);
INSERT INTO public.who_data VALUES (95753, 0, 0, 0, 0, 405, 99);
INSERT INTO public.who_data VALUES (95754, 0, 0, 0, 0, 405, 153);
INSERT INTO public.who_data VALUES (95755, 0, 0, 0, 0, 405, 93);
INSERT INTO public.who_data VALUES (95756, 0, 0, 0, 0, 405, 84);
INSERT INTO public.who_data VALUES (95757, 0, 0, 0, 0, 405, 78);
INSERT INTO public.who_data VALUES (95758, 0, 0, 0, 0, 405, 170);
INSERT INTO public.who_data VALUES (95759, 0, 0, 0, 0, 405, 32);
INSERT INTO public.who_data VALUES (95760, 0, 0, 0, 0, 405, 155);
INSERT INTO public.who_data VALUES (95761, 0, 0, 0, 0, 405, 82);
INSERT INTO public.who_data VALUES (95762, 0, 0, 0, 0, 405, 16);
INSERT INTO public.who_data VALUES (95763, 0, 0, 0, 0, 405, 72);
INSERT INTO public.who_data VALUES (95764, 0, 0, 0, 0, 405, 43);
INSERT INTO public.who_data VALUES (95765, 0, 0, 0, 0, 405, 120);
INSERT INTO public.who_data VALUES (95766, 0, 0, 0, 0, 405, 213);
INSERT INTO public.who_data VALUES (95767, 0, 0, 0, 0, 405, 31);
INSERT INTO public.who_data VALUES (95768, 0, 0, 0, 0, 405, 204);
INSERT INTO public.who_data VALUES (95769, 0, 0, 0, 0, 405, 152);
INSERT INTO public.who_data VALUES (95770, 0, 0, 0, 0, 405, 144);
INSERT INTO public.who_data VALUES (95771, 0, 0, 0, 0, 405, 96);
INSERT INTO public.who_data VALUES (95772, 0, 0, 0, 0, 405, 47);
INSERT INTO public.who_data VALUES (95773, 0, 0, 0, 0, 405, 80);
INSERT INTO public.who_data VALUES (95774, 0, 0, 0, 0, 405, 159);
INSERT INTO public.who_data VALUES (95775, 0, 0, 0, 0, 405, 27);
INSERT INTO public.who_data VALUES (95776, 0, 0, 0, 0, 405, 146);
INSERT INTO public.who_data VALUES (95777, 0, 0, 0, 0, 405, 71);
INSERT INTO public.who_data VALUES (95778, 0, 0, 0, 0, 405, 210);
INSERT INTO public.who_data VALUES (95779, 0, 0, 0, 0, 405, 54);
INSERT INTO public.who_data VALUES (95780, 0, 0, 0, 0, 405, 147);
INSERT INTO public.who_data VALUES (95781, 0, 0, 0, 0, 405, 2);
INSERT INTO public.who_data VALUES (95782, 0, 0, 0, 0, 405, 105);
INSERT INTO public.who_data VALUES (95783, 0, 0, 0, 0, 405, 53);
INSERT INTO public.who_data VALUES (95784, 0, 0, 0, 0, 405, 81);
INSERT INTO public.who_data VALUES (95785, 0, 0, 0, 0, 405, 223);
INSERT INTO public.who_data VALUES (95786, 0, 0, 0, 0, 405, 94);
INSERT INTO public.who_data VALUES (95787, 0, 0, 0, 0, 405, 154);
INSERT INTO public.who_data VALUES (95788, 0, 0, 0, 0, 405, 83);
INSERT INTO public.who_data VALUES (95789, 0, 0, 0, 0, 405, 194);
INSERT INTO public.who_data VALUES (95790, 0, 0, 0, 0, 405, 136);
INSERT INTO public.who_data VALUES (95791, 0, 45, 0, 1, 405, 179);
INSERT INTO public.who_data VALUES (95792, 0, 0, 0, 0, 405, 57);
INSERT INTO public.who_data VALUES (95793, 0, 0, 0, 0, 405, 35);
INSERT INTO public.who_data VALUES (95794, 0, 0, 0, 0, 405, 228);
INSERT INTO public.who_data VALUES (95795, 0, 0, 0, 0, 405, 19);
INSERT INTO public.who_data VALUES (95796, 0, 0, 0, 0, 405, 22);
INSERT INTO public.who_data VALUES (95797, 0, 0, 0, 0, 405, 1);
INSERT INTO public.who_data VALUES (95798, 0, 0, 0, 0, 405, 21);
INSERT INTO public.who_data VALUES (95799, 0, 0, 0, 0, 405, 234);
INSERT INTO public.who_data VALUES (95800, 0, 0, 0, 0, 405, 91);
INSERT INTO public.who_data VALUES (95801, 0, 0, 0, 0, 405, 137);
INSERT INTO public.who_data VALUES (95802, 0, 0, 0, 0, 405, 201);
INSERT INTO public.who_data VALUES (95803, 0, 0, 0, 0, 405, 171);
INSERT INTO public.who_data VALUES (95804, 0, 0, 0, 0, 405, 92);
INSERT INTO public.who_data VALUES (95805, 0, 0, 0, 0, 405, 112);
INSERT INTO public.who_data VALUES (95806, 0, 0, 0, 0, 405, 62);
INSERT INTO public.who_data VALUES (95807, 0, 0, 0, 0, 405, 69);
INSERT INTO public.who_data VALUES (95808, 0, 0, 0, 0, 405, 220);
INSERT INTO public.who_data VALUES (95809, 0, 0, 0, 0, 405, 100);
INSERT INTO public.who_data VALUES (95810, 0, 0, 0, 0, 405, 187);
INSERT INTO public.who_data VALUES (95811, 0, 0, 0, 0, 405, 63);
INSERT INTO public.who_data VALUES (95812, 0, 0, 0, 0, 405, 28);
INSERT INTO public.who_data VALUES (95813, 0, 0, 0, 0, 405, 172);
INSERT INTO public.who_data VALUES (95814, 0, 0, 0, 0, 405, 17);
INSERT INTO public.who_data VALUES (95815, 0, 0, 0, 0, 405, 226);
INSERT INTO public.who_data VALUES (95816, 0, 0, 0, 0, 405, 236);
INSERT INTO public.who_data VALUES (95817, 0, 0, 0, 0, 405, 76);
INSERT INTO public.who_data VALUES (95818, 0, 0, 0, 0, 405, 30);
INSERT INTO public.who_data VALUES (95819, 0, 0, 0, 0, 405, 128);
INSERT INTO public.who_data VALUES (95820, 0, 0, 0, 0, 405, 86);
INSERT INTO public.who_data VALUES (95821, 0, 0, 0, 0, 405, 140);
INSERT INTO public.who_data VALUES (95822, 0, 0, 0, 0, 405, 44);
INSERT INTO public.who_data VALUES (95823, 0, 0, 0, 0, 405, 113);
INSERT INTO public.who_data VALUES (95824, 0, 0, 0, 0, 405, 29);
INSERT INTO public.who_data VALUES (95825, 0, 0, 0, 0, 405, 125);
INSERT INTO public.who_data VALUES (95826, 0, 0, 0, 0, 405, 131);
INSERT INTO public.who_data VALUES (95827, 0, 0, 0, 0, 405, 46);
INSERT INTO public.who_data VALUES (95828, 0, 0, 0, 0, 405, 10);
INSERT INTO public.who_data VALUES (95829, 0, 0, 0, 0, 405, 205);
INSERT INTO public.who_data VALUES (95830, 0, 0, 0, 0, 405, 50);
INSERT INTO public.who_data VALUES (95831, 0, 0, 0, 0, 405, 20);
INSERT INTO public.who_data VALUES (95832, 0, 0, 0, 0, 405, 13);
INSERT INTO public.who_data VALUES (95833, 0, 0, 0, 0, 405, 148);
INSERT INTO public.who_data VALUES (95834, 0, 0, 0, 0, 405, 230);
INSERT INTO public.who_data VALUES (95835, 0, 0, 0, 0, 405, 190);
INSERT INTO public.who_data VALUES (95836, 0, 0, 0, 0, 405, 188);
INSERT INTO public.who_data VALUES (95837, 0, 0, 0, 0, 405, 123);
INSERT INTO public.who_data VALUES (95838, 0, 0, 0, 0, 405, 9);
INSERT INTO public.who_data VALUES (95839, 0, 0, 0, 0, 405, 102);
INSERT INTO public.who_data VALUES (95840, 0, 0, 0, 0, 405, 34);
INSERT INTO public.who_data VALUES (95841, 0, 0, 0, 0, 405, 212);
INSERT INTO public.who_data VALUES (95842, 0, 0, 0, 0, 405, 122);
INSERT INTO public.who_data VALUES (95843, 0, 0, 0, 0, 405, 38);
INSERT INTO public.who_data VALUES (95844, 0, 0, 0, 0, 405, 130);
INSERT INTO public.who_data VALUES (95845, 0, 0, 0, 0, 405, 37);
INSERT INTO public.who_data VALUES (95846, 0, 0, 0, 0, 405, 231);
INSERT INTO public.who_data VALUES (95847, 0, 0, 0, 0, 405, 107);
INSERT INTO public.who_data VALUES (95848, 0, 0, 0, 0, 405, 101);
INSERT INTO public.who_data VALUES (95849, 0, 0, 0, 0, 405, 132);
INSERT INTO public.who_data VALUES (95850, 0, 0, 0, 0, 405, 176);
INSERT INTO public.who_data VALUES (95851, 0, 0, 0, 0, 405, 200);
INSERT INTO public.who_data VALUES (95852, 0, 0, 0, 0, 405, 169);
INSERT INTO public.who_data VALUES (95853, 0, 0, 0, 0, 405, 225);
INSERT INTO public.who_data VALUES (95854, 0, 0, 0, 0, 405, 165);
INSERT INTO public.who_data VALUES (95855, 0, 0, 0, 0, 405, 233);
INSERT INTO public.who_data VALUES (95856, 0, 0, 0, 0, 405, 215);
INSERT INTO public.who_data VALUES (95857, 0, 0, 0, 0, 405, 177);
INSERT INTO public.who_data VALUES (95858, 0, 0, 0, 0, 405, 183);
INSERT INTO public.who_data VALUES (95859, 0, 0, 0, 0, 405, 203);
INSERT INTO public.who_data VALUES (95860, 0, 0, 0, 0, 405, 162);
INSERT INTO public.who_data VALUES (95861, 0, 0, 0, 0, 405, 12);
INSERT INTO public.who_data VALUES (95862, 0, 0, 0, 0, 405, 24);
INSERT INTO public.who_data VALUES (95863, 0, 0, 0, 0, 405, 119);
INSERT INTO public.who_data VALUES (95864, 0, 0, 0, 0, 405, 39);
INSERT INTO public.who_data VALUES (95865, 0, 0, 0, 0, 405, 26);
INSERT INTO public.who_data VALUES (95866, 0, 0, 0, 0, 405, 59);
INSERT INTO public.who_data VALUES (95867, 0, 0, 0, 0, 405, 77);
INSERT INTO public.who_data VALUES (95868, 0, 0, 0, 0, 405, 134);
INSERT INTO public.who_data VALUES (95869, 0, 0, 0, 0, 405, 4);
INSERT INTO public.who_data VALUES (95870, 0, 0, 0, 0, 405, 109);
INSERT INTO public.who_data VALUES (95871, 0, 0, 0, 0, 405, 90);
INSERT INTO public.who_data VALUES (95872, 0, 0, 0, 0, 405, 61);
INSERT INTO public.who_data VALUES (95873, 0, 0, 0, 0, 405, 85);
INSERT INTO public.who_data VALUES (95874, 0, 0, 0, 0, 405, 49);
INSERT INTO public.who_data VALUES (95875, 0, 0, 0, 0, 405, 208);
INSERT INTO public.who_data VALUES (95876, 0, 0, 0, 0, 405, 166);
INSERT INTO public.who_data VALUES (95877, 0, 0, 0, 0, 405, 64);
INSERT INTO public.who_data VALUES (95878, 0, 0, 0, 0, 405, 199);
INSERT INTO public.who_data VALUES (95879, 0, 0, 0, 0, 405, 114);
INSERT INTO public.who_data VALUES (95880, 0, 0, 0, 0, 405, 60);
INSERT INTO public.who_data VALUES (95881, 0, 0, 0, 0, 405, 68);
INSERT INTO public.who_data VALUES (95882, 0, 0, 0, 0, 405, 158);
INSERT INTO public.who_data VALUES (95883, 0, 0, 0, 0, 405, 52);
INSERT INTO public.who_data VALUES (95884, 0, 0, 0, 0, 405, 117);
INSERT INTO public.who_data VALUES (95885, 0, 0, 0, 0, 405, 126);
INSERT INTO public.who_data VALUES (95886, 0, 0, 0, 0, 405, 196);
INSERT INTO public.who_data VALUES (95887, 0, 0, 0, 0, 405, 142);
INSERT INTO public.who_data VALUES (95888, 0, 0, 0, 0, 405, 185);
INSERT INTO public.who_data VALUES (95889, 0, 0, 0, 0, 405, 138);
INSERT INTO public.who_data VALUES (95890, 0, 0, 0, 0, 405, 181);
INSERT INTO public.who_data VALUES (95891, 0, 0, 0, 0, 405, 178);
INSERT INTO public.who_data VALUES (95892, 0, 0, 0, 0, 405, 168);
INSERT INTO public.who_data VALUES (95893, 0, 0, 0, 0, 405, 160);
INSERT INTO public.who_data VALUES (95894, 0, 0, 0, 0, 405, 151);
INSERT INTO public.who_data VALUES (95895, 0, 0, 0, 0, 405, 193);
INSERT INTO public.who_data VALUES (95896, 0, 0, 0, 0, 405, 18);
INSERT INTO public.who_data VALUES (95897, 0, 0, 0, 0, 405, 40);
INSERT INTO public.who_data VALUES (95898, 0, 0, 0, 0, 405, 218);
INSERT INTO public.who_data VALUES (95899, 0, 0, 0, 0, 405, 191);
INSERT INTO public.who_data VALUES (95900, 0, 0, 0, 0, 405, 156);
INSERT INTO public.who_data VALUES (95901, 0, 0, 0, 0, 405, 135);
INSERT INTO public.who_data VALUES (95902, 0, 0, 0, 0, 405, 88);
INSERT INTO public.who_data VALUES (95903, 0, 0, 0, 0, 405, 55);
INSERT INTO public.who_data VALUES (95904, 0, 0, 0, 0, 405, 108);
INSERT INTO public.who_data VALUES (95905, 0, 0, 0, 0, 405, 48);
INSERT INTO public.who_data VALUES (95906, 0, 0, 0, 0, 405, 3);
INSERT INTO public.who_data VALUES (95907, 0, 0, 0, 0, 405, 224);
INSERT INTO public.who_data VALUES (95908, 0, 0, 0, 0, 405, 110);
INSERT INTO public.who_data VALUES (95909, 0, 0, 0, 0, 405, 106);
INSERT INTO public.who_data VALUES (95910, 0, 0, 0, 0, 405, 89);
INSERT INTO public.who_data VALUES (95911, 0, 0, 0, 0, 405, 121);
INSERT INTO public.who_data VALUES (95912, 0, 0, 0, 0, 405, 163);
INSERT INTO public.who_data VALUES (95913, 0, 0, 0, 0, 405, 70);
INSERT INTO public.who_data VALUES (95914, 0, 0, 0, 0, 405, 174);
INSERT INTO public.who_data VALUES (95915, 0, 0, 0, 0, 405, 175);
INSERT INTO public.who_data VALUES (95916, 0, 0, 0, 0, 405, 118);
INSERT INTO public.who_data VALUES (95917, 0, 0, 0, 0, 405, 189);
INSERT INTO public.who_data VALUES (95918, 0, 0, 0, 0, 405, 124);
INSERT INTO public.who_data VALUES (95919, 0, 0, 0, 0, 405, 192);
INSERT INTO public.who_data VALUES (95920, 0, 0, 0, 0, 405, 41);
INSERT INTO public.who_data VALUES (95921, 0, 0, 0, 0, 405, 95);
INSERT INTO public.who_data VALUES (95922, 0, 0, 0, 0, 405, 74);
INSERT INTO public.who_data VALUES (95923, 0, 0, 0, 0, 405, 11);
INSERT INTO public.who_data VALUES (95924, 0, 0, 0, 0, 405, 87);
INSERT INTO public.who_data VALUES (95925, 0, 0, 0, 0, 405, 214);
INSERT INTO public.who_data VALUES (95926, 0, 0, 0, 0, 405, 116);
INSERT INTO public.who_data VALUES (95927, 0, 0, 0, 0, 405, 157);
INSERT INTO public.who_data VALUES (95928, 0, 0, 0, 0, 405, 182);
INSERT INTO public.who_data VALUES (95929, 0, 0, 0, 0, 405, 186);
INSERT INTO public.who_data VALUES (95930, 0, 0, 0, 0, 405, 127);
INSERT INTO public.who_data VALUES (95931, 0, 0, 0, 0, 405, 232);
INSERT INTO public.who_data VALUES (95932, 0, 0, 0, 0, 405, 33);
INSERT INTO public.who_data VALUES (95933, 0, 0, 0, 0, 405, 97);
INSERT INTO public.who_data VALUES (95934, 0, 0, 0, 0, 405, 42);
INSERT INTO public.who_data VALUES (95935, 0, 0, 0, 0, 405, 198);
INSERT INTO public.who_data VALUES (95936, 0, 0, 0, 0, 405, 216);
INSERT INTO public.who_data VALUES (95937, 0, 0, 0, 0, 405, 164);
INSERT INTO public.who_data VALUES (95938, 0, 0, 0, 0, 405, 235);
INSERT INTO public.who_data VALUES (95939, 0, 0, 0, 0, 405, 67);
INSERT INTO public.who_data VALUES (95940, 0, 0, 0, 0, 405, 15);
INSERT INTO public.who_data VALUES (95941, 0, 0, 0, 0, 405, 180);
INSERT INTO public.who_data VALUES (95942, 0, 0, 0, 0, 405, 237);
INSERT INTO public.who_data VALUES (95943, 0, 0, 0, 0, 405, 25);
INSERT INTO public.who_data VALUES (95944, 0, 0, 0, 0, 405, 209);
INSERT INTO public.who_data VALUES (95945, 0, 0, 0, 0, 405, 217);
INSERT INTO public.who_data VALUES (95946, 0, 0, 0, 0, 405, 79);
INSERT INTO public.who_data VALUES (95947, 0, 0, 0, 0, 405, 143);
INSERT INTO public.who_data VALUES (95948, 0, 0, 0, 0, 405, 229);
INSERT INTO public.who_data VALUES (95949, 0, 0, 0, 0, 405, 141);
INSERT INTO public.who_data VALUES (95950, 0, 0, 0, 0, 405, 197);
INSERT INTO public.who_data VALUES (95951, 0, 0, 0, 0, 405, 221);
INSERT INTO public.who_data VALUES (95952, 0, 0, 0, 0, 405, 150);
INSERT INTO public.who_data VALUES (95953, 0, 0, 0, 0, 405, 56);
INSERT INTO public.who_data VALUES (95954, 0, 0, 0, 0, 405, 167);
INSERT INTO public.who_data VALUES (95955, 0, 0, 0, 0, 405, 23);
INSERT INTO public.who_data VALUES (95956, 0, 0, 0, 0, 405, 222);
INSERT INTO public.who_data VALUES (95957, 0, 0, 0, 0, 405, 219);
INSERT INTO public.who_data VALUES (95958, 0, 0, 0, 0, 405, 7);
INSERT INTO public.who_data VALUES (95959, 5, 5, 0, 0, 405, 161);
INSERT INTO public.who_data VALUES (95960, 0, 0, 0, 0, 405, 149);
INSERT INTO public.who_data VALUES (95961, 0, 0, 0, 0, 405, 6);
INSERT INTO public.who_data VALUES (95962, 0, 0, 0, 0, 405, 139);
INSERT INTO public.who_data VALUES (95963, 0, 0, 0, 0, 405, 211);
INSERT INTO public.who_data VALUES (95964, 0, 0, 0, 0, 405, 14);
INSERT INTO public.who_data VALUES (95965, 0, 0, 0, 0, 405, 111);
INSERT INTO public.who_data VALUES (95966, 0, 0, 0, 0, 405, 207);
INSERT INTO public.who_data VALUES (95967, 0, 0, 0, 0, 405, 66);
INSERT INTO public.who_data VALUES (95968, 0, 0, 0, 0, 405, 173);
INSERT INTO public.who_data VALUES (95969, 0, 0, 0, 0, 405, 145);
INSERT INTO public.who_data VALUES (95970, 0, 0, 0, 0, 405, 65);
INSERT INTO public.who_data VALUES (95971, 0, 0, 0, 0, 405, 184);
INSERT INTO public.who_data VALUES (95972, 0, 0, 0, 0, 405, 98);
INSERT INTO public.who_data VALUES (95973, 0, 0, 0, 0, 405, 104);
INSERT INTO public.who_data VALUES (95974, 0, 0, 0, 0, 405, 73);
INSERT INTO public.who_data VALUES (95975, 0, 0, 0, 0, 405, 8);
INSERT INTO public.who_data VALUES (95976, 0, 0, 0, 0, 405, 227);
INSERT INTO public.who_data VALUES (95977, 0, 0, 0, 0, 405, 75);
INSERT INTO public.who_data VALUES (95978, 0, 0, 0, 0, 405, 45);
INSERT INTO public.who_data VALUES (95979, 0, 0, 0, 0, 405, 133);
INSERT INTO public.who_data VALUES (95980, 0, 0, 0, 0, 405, 202);
INSERT INTO public.who_data VALUES (95981, 0, 0, 0, 0, 405, 129);
INSERT INTO public.who_data VALUES (95982, 0, 0, 0, 0, 405, 36);
INSERT INTO public.who_data VALUES (95983, 0, 0, 0, 0, 405, 51);
INSERT INTO public.who_data VALUES (95984, 0, 0, 0, 0, 405, 206);
INSERT INTO public.who_data VALUES (95985, 0, 0, 0, 0, 405, 5);
INSERT INTO public.who_data VALUES (95986, 0, 0, 0, 0, 406, 103);
INSERT INTO public.who_data VALUES (95987, 0, 0, 0, 0, 406, 58);
INSERT INTO public.who_data VALUES (95988, 0, 0, 0, 0, 406, 195);
INSERT INTO public.who_data VALUES (95989, 0, 0, 0, 0, 406, 115);
INSERT INTO public.who_data VALUES (95990, 0, 0, 0, 0, 406, 99);
INSERT INTO public.who_data VALUES (95991, 0, 0, 0, 0, 406, 153);
INSERT INTO public.who_data VALUES (95992, 0, 0, 0, 0, 406, 93);
INSERT INTO public.who_data VALUES (95993, 0, 0, 0, 0, 406, 84);
INSERT INTO public.who_data VALUES (95994, 0, 0, 0, 0, 406, 78);
INSERT INTO public.who_data VALUES (95995, 0, 0, 0, 0, 406, 170);
INSERT INTO public.who_data VALUES (95996, 0, 0, 0, 0, 406, 32);
INSERT INTO public.who_data VALUES (95997, 0, 0, 0, 0, 406, 155);
INSERT INTO public.who_data VALUES (95998, 0, 0, 0, 0, 406, 82);
INSERT INTO public.who_data VALUES (95999, 0, 0, 0, 0, 406, 16);
INSERT INTO public.who_data VALUES (96000, 0, 0, 0, 0, 406, 72);
INSERT INTO public.who_data VALUES (96001, 0, 0, 0, 0, 406, 43);
INSERT INTO public.who_data VALUES (96002, 0, 0, 0, 0, 406, 120);
INSERT INTO public.who_data VALUES (96003, 0, 0, 0, 0, 406, 213);
INSERT INTO public.who_data VALUES (96004, 0, 0, 0, 0, 406, 31);
INSERT INTO public.who_data VALUES (96005, 0, 0, 0, 0, 406, 204);
INSERT INTO public.who_data VALUES (96006, 0, 0, 0, 0, 406, 152);
INSERT INTO public.who_data VALUES (96007, 0, 0, 0, 0, 406, 144);
INSERT INTO public.who_data VALUES (96008, 0, 0, 0, 0, 406, 96);
INSERT INTO public.who_data VALUES (96009, 0, 0, 0, 0, 406, 47);
INSERT INTO public.who_data VALUES (96010, 0, 0, 0, 0, 406, 80);
INSERT INTO public.who_data VALUES (96011, 0, 0, 0, 0, 406, 159);
INSERT INTO public.who_data VALUES (96012, 0, 0, 0, 0, 406, 27);
INSERT INTO public.who_data VALUES (96013, 0, 0, 0, 0, 406, 146);
INSERT INTO public.who_data VALUES (96014, 0, 0, 0, 0, 406, 71);
INSERT INTO public.who_data VALUES (96015, 0, 0, 0, 0, 406, 210);
INSERT INTO public.who_data VALUES (96016, 0, 0, 0, 0, 406, 54);
INSERT INTO public.who_data VALUES (96017, 0, 0, 0, 0, 406, 147);
INSERT INTO public.who_data VALUES (96018, 0, 0, 0, 0, 406, 2);
INSERT INTO public.who_data VALUES (96019, 0, 0, 0, 0, 406, 105);
INSERT INTO public.who_data VALUES (96020, 0, 0, 0, 0, 406, 53);
INSERT INTO public.who_data VALUES (96021, 0, 0, 0, 0, 406, 81);
INSERT INTO public.who_data VALUES (96022, 0, 0, 0, 0, 406, 223);
INSERT INTO public.who_data VALUES (96023, 0, 0, 0, 0, 406, 94);
INSERT INTO public.who_data VALUES (96024, 0, 0, 0, 0, 406, 154);
INSERT INTO public.who_data VALUES (96025, 0, 0, 0, 0, 406, 83);
INSERT INTO public.who_data VALUES (96026, 0, 0, 0, 0, 406, 194);
INSERT INTO public.who_data VALUES (96027, 0, 0, 0, 0, 406, 136);
INSERT INTO public.who_data VALUES (96028, 0, 45, 0, 1, 406, 179);
INSERT INTO public.who_data VALUES (96029, 0, 0, 0, 0, 406, 57);
INSERT INTO public.who_data VALUES (96030, 0, 0, 0, 0, 406, 35);
INSERT INTO public.who_data VALUES (96031, 0, 0, 0, 0, 406, 228);
INSERT INTO public.who_data VALUES (96032, 0, 0, 0, 0, 406, 19);
INSERT INTO public.who_data VALUES (96033, 0, 0, 0, 0, 406, 22);
INSERT INTO public.who_data VALUES (96034, 0, 0, 0, 0, 406, 1);
INSERT INTO public.who_data VALUES (96035, 0, 0, 0, 0, 406, 21);
INSERT INTO public.who_data VALUES (96036, 0, 0, 0, 0, 406, 234);
INSERT INTO public.who_data VALUES (96037, 0, 0, 0, 0, 406, 91);
INSERT INTO public.who_data VALUES (96038, 0, 0, 0, 0, 406, 137);
INSERT INTO public.who_data VALUES (96039, 0, 0, 0, 0, 406, 201);
INSERT INTO public.who_data VALUES (96040, 0, 0, 0, 0, 406, 171);
INSERT INTO public.who_data VALUES (96041, 0, 0, 0, 0, 406, 92);
INSERT INTO public.who_data VALUES (96042, 0, 0, 0, 0, 406, 112);
INSERT INTO public.who_data VALUES (96043, 0, 0, 0, 0, 406, 62);
INSERT INTO public.who_data VALUES (96044, 0, 0, 0, 0, 406, 69);
INSERT INTO public.who_data VALUES (96045, 0, 0, 0, 0, 406, 220);
INSERT INTO public.who_data VALUES (96046, 0, 0, 0, 0, 406, 100);
INSERT INTO public.who_data VALUES (96047, 0, 0, 0, 0, 406, 187);
INSERT INTO public.who_data VALUES (96048, 0, 0, 0, 0, 406, 63);
INSERT INTO public.who_data VALUES (96049, 0, 0, 0, 0, 406, 28);
INSERT INTO public.who_data VALUES (96050, 0, 0, 0, 0, 406, 172);
INSERT INTO public.who_data VALUES (96051, 0, 0, 0, 0, 406, 17);
INSERT INTO public.who_data VALUES (96052, 0, 0, 0, 0, 406, 226);
INSERT INTO public.who_data VALUES (96053, 0, 0, 0, 0, 406, 236);
INSERT INTO public.who_data VALUES (96054, 0, 0, 0, 0, 406, 76);
INSERT INTO public.who_data VALUES (96055, 0, 0, 0, 0, 406, 30);
INSERT INTO public.who_data VALUES (96056, 0, 0, 0, 0, 406, 128);
INSERT INTO public.who_data VALUES (96057, 0, 0, 0, 0, 406, 86);
INSERT INTO public.who_data VALUES (96058, 0, 0, 0, 0, 406, 140);
INSERT INTO public.who_data VALUES (96059, 0, 0, 0, 0, 406, 44);
INSERT INTO public.who_data VALUES (96060, 0, 0, 0, 0, 406, 113);
INSERT INTO public.who_data VALUES (96061, 0, 0, 0, 0, 406, 29);
INSERT INTO public.who_data VALUES (96062, 0, 0, 0, 0, 406, 125);
INSERT INTO public.who_data VALUES (96063, 0, 0, 0, 0, 406, 131);
INSERT INTO public.who_data VALUES (96064, 0, 0, 0, 0, 406, 46);
INSERT INTO public.who_data VALUES (96065, 0, 0, 0, 0, 406, 10);
INSERT INTO public.who_data VALUES (96066, 0, 0, 0, 0, 406, 205);
INSERT INTO public.who_data VALUES (96067, 0, 0, 0, 0, 406, 50);
INSERT INTO public.who_data VALUES (96068, 0, 0, 0, 0, 406, 20);
INSERT INTO public.who_data VALUES (96069, 0, 0, 0, 0, 406, 13);
INSERT INTO public.who_data VALUES (96070, 0, 0, 0, 0, 406, 148);
INSERT INTO public.who_data VALUES (96071, 0, 0, 0, 0, 406, 230);
INSERT INTO public.who_data VALUES (96072, 0, 0, 0, 0, 406, 190);
INSERT INTO public.who_data VALUES (96073, 0, 0, 0, 0, 406, 188);
INSERT INTO public.who_data VALUES (96074, 0, 0, 0, 0, 406, 123);
INSERT INTO public.who_data VALUES (96075, 0, 0, 0, 0, 406, 9);
INSERT INTO public.who_data VALUES (96076, 0, 0, 0, 0, 406, 102);
INSERT INTO public.who_data VALUES (96077, 0, 0, 0, 0, 406, 34);
INSERT INTO public.who_data VALUES (96078, 0, 0, 0, 0, 406, 212);
INSERT INTO public.who_data VALUES (96079, 0, 0, 0, 0, 406, 122);
INSERT INTO public.who_data VALUES (96080, 0, 0, 0, 0, 406, 38);
INSERT INTO public.who_data VALUES (96081, 0, 0, 0, 0, 406, 130);
INSERT INTO public.who_data VALUES (96082, 0, 0, 0, 0, 406, 37);
INSERT INTO public.who_data VALUES (96083, 0, 0, 0, 0, 406, 231);
INSERT INTO public.who_data VALUES (96084, 0, 0, 0, 0, 406, 107);
INSERT INTO public.who_data VALUES (96085, 0, 0, 0, 0, 406, 101);
INSERT INTO public.who_data VALUES (96086, 0, 0, 0, 0, 406, 132);
INSERT INTO public.who_data VALUES (96087, 0, 0, 0, 0, 406, 176);
INSERT INTO public.who_data VALUES (96088, 0, 0, 0, 0, 406, 200);
INSERT INTO public.who_data VALUES (96089, 0, 0, 0, 0, 406, 169);
INSERT INTO public.who_data VALUES (96090, 0, 0, 0, 0, 406, 225);
INSERT INTO public.who_data VALUES (96091, 0, 0, 0, 0, 406, 165);
INSERT INTO public.who_data VALUES (96092, 0, 0, 0, 0, 406, 233);
INSERT INTO public.who_data VALUES (96093, 0, 0, 0, 0, 406, 215);
INSERT INTO public.who_data VALUES (96094, 0, 0, 0, 0, 406, 177);
INSERT INTO public.who_data VALUES (96095, 0, 0, 0, 0, 406, 183);
INSERT INTO public.who_data VALUES (96096, 0, 0, 0, 0, 406, 203);
INSERT INTO public.who_data VALUES (96097, 0, 0, 0, 0, 406, 162);
INSERT INTO public.who_data VALUES (96098, 0, 0, 0, 0, 406, 12);
INSERT INTO public.who_data VALUES (96099, 0, 0, 0, 0, 406, 24);
INSERT INTO public.who_data VALUES (96100, 0, 0, 0, 0, 406, 119);
INSERT INTO public.who_data VALUES (96101, 0, 0, 0, 0, 406, 39);
INSERT INTO public.who_data VALUES (96102, 0, 0, 0, 0, 406, 26);
INSERT INTO public.who_data VALUES (96103, 0, 0, 0, 0, 406, 59);
INSERT INTO public.who_data VALUES (96104, 0, 0, 0, 0, 406, 77);
INSERT INTO public.who_data VALUES (96105, 0, 0, 0, 0, 406, 134);
INSERT INTO public.who_data VALUES (96106, 0, 0, 0, 0, 406, 4);
INSERT INTO public.who_data VALUES (96107, 0, 0, 0, 0, 406, 109);
INSERT INTO public.who_data VALUES (96108, 0, 0, 0, 0, 406, 90);
INSERT INTO public.who_data VALUES (96109, 0, 0, 0, 0, 406, 61);
INSERT INTO public.who_data VALUES (96110, 0, 0, 0, 0, 406, 85);
INSERT INTO public.who_data VALUES (96111, 0, 0, 0, 0, 406, 49);
INSERT INTO public.who_data VALUES (96112, 0, 0, 0, 0, 406, 208);
INSERT INTO public.who_data VALUES (96113, 0, 0, 0, 0, 406, 166);
INSERT INTO public.who_data VALUES (96114, 0, 0, 0, 0, 406, 64);
INSERT INTO public.who_data VALUES (96115, 0, 0, 0, 0, 406, 199);
INSERT INTO public.who_data VALUES (96116, 0, 0, 0, 0, 406, 114);
INSERT INTO public.who_data VALUES (96117, 0, 0, 0, 0, 406, 60);
INSERT INTO public.who_data VALUES (96118, 0, 0, 0, 0, 406, 68);
INSERT INTO public.who_data VALUES (96119, 0, 0, 0, 0, 406, 158);
INSERT INTO public.who_data VALUES (96120, 0, 0, 0, 0, 406, 52);
INSERT INTO public.who_data VALUES (96121, 0, 0, 0, 0, 406, 117);
INSERT INTO public.who_data VALUES (96122, 0, 0, 0, 0, 406, 126);
INSERT INTO public.who_data VALUES (96123, 0, 0, 0, 0, 406, 196);
INSERT INTO public.who_data VALUES (96124, 0, 0, 0, 0, 406, 142);
INSERT INTO public.who_data VALUES (96125, 0, 0, 0, 0, 406, 185);
INSERT INTO public.who_data VALUES (96126, 0, 0, 0, 0, 406, 138);
INSERT INTO public.who_data VALUES (96127, 0, 0, 0, 0, 406, 181);
INSERT INTO public.who_data VALUES (96128, 0, 0, 0, 0, 406, 178);
INSERT INTO public.who_data VALUES (96129, 0, 0, 0, 0, 406, 168);
INSERT INTO public.who_data VALUES (96130, 0, 0, 0, 0, 406, 160);
INSERT INTO public.who_data VALUES (96131, 0, 0, 0, 0, 406, 151);
INSERT INTO public.who_data VALUES (96132, 0, 0, 0, 0, 406, 193);
INSERT INTO public.who_data VALUES (96133, 0, 0, 0, 0, 406, 18);
INSERT INTO public.who_data VALUES (96134, 0, 0, 0, 0, 406, 40);
INSERT INTO public.who_data VALUES (96135, 0, 0, 0, 0, 406, 218);
INSERT INTO public.who_data VALUES (96136, 0, 0, 0, 0, 406, 191);
INSERT INTO public.who_data VALUES (96137, 0, 0, 0, 0, 406, 156);
INSERT INTO public.who_data VALUES (96138, 0, 0, 0, 0, 406, 135);
INSERT INTO public.who_data VALUES (96139, 0, 0, 0, 0, 406, 88);
INSERT INTO public.who_data VALUES (96140, 0, 0, 0, 0, 406, 55);
INSERT INTO public.who_data VALUES (96141, 0, 0, 0, 0, 406, 108);
INSERT INTO public.who_data VALUES (96142, 0, 0, 0, 0, 406, 48);
INSERT INTO public.who_data VALUES (96143, 0, 0, 0, 0, 406, 3);
INSERT INTO public.who_data VALUES (96144, 0, 0, 0, 0, 406, 224);
INSERT INTO public.who_data VALUES (96145, 0, 0, 0, 0, 406, 110);
INSERT INTO public.who_data VALUES (96146, 0, 0, 0, 0, 406, 106);
INSERT INTO public.who_data VALUES (96147, 0, 0, 0, 0, 406, 89);
INSERT INTO public.who_data VALUES (96148, 0, 0, 0, 0, 406, 121);
INSERT INTO public.who_data VALUES (96149, 0, 0, 0, 0, 406, 163);
INSERT INTO public.who_data VALUES (96150, 0, 0, 0, 0, 406, 70);
INSERT INTO public.who_data VALUES (96151, 0, 0, 0, 0, 406, 174);
INSERT INTO public.who_data VALUES (96152, 0, 0, 0, 0, 406, 175);
INSERT INTO public.who_data VALUES (96153, 0, 0, 0, 0, 406, 118);
INSERT INTO public.who_data VALUES (96154, 0, 0, 0, 0, 406, 189);
INSERT INTO public.who_data VALUES (96155, 0, 0, 0, 0, 406, 124);
INSERT INTO public.who_data VALUES (96156, 0, 0, 0, 0, 406, 192);
INSERT INTO public.who_data VALUES (96157, 0, 0, 0, 0, 406, 41);
INSERT INTO public.who_data VALUES (96158, 0, 0, 0, 0, 406, 95);
INSERT INTO public.who_data VALUES (96159, 0, 0, 0, 0, 406, 74);
INSERT INTO public.who_data VALUES (96160, 0, 0, 0, 0, 406, 11);
INSERT INTO public.who_data VALUES (96161, 0, 0, 0, 0, 406, 87);
INSERT INTO public.who_data VALUES (96162, 0, 0, 0, 0, 406, 214);
INSERT INTO public.who_data VALUES (96163, 0, 0, 0, 0, 406, 116);
INSERT INTO public.who_data VALUES (96164, 0, 0, 0, 0, 406, 157);
INSERT INTO public.who_data VALUES (96165, 0, 0, 0, 0, 406, 182);
INSERT INTO public.who_data VALUES (96166, 0, 0, 0, 0, 406, 186);
INSERT INTO public.who_data VALUES (96167, 0, 0, 0, 0, 406, 127);
INSERT INTO public.who_data VALUES (96168, 0, 0, 0, 0, 406, 232);
INSERT INTO public.who_data VALUES (96169, 0, 0, 0, 0, 406, 33);
INSERT INTO public.who_data VALUES (96170, 0, 0, 0, 0, 406, 97);
INSERT INTO public.who_data VALUES (96171, 0, 0, 0, 0, 406, 42);
INSERT INTO public.who_data VALUES (96172, 0, 0, 0, 0, 406, 198);
INSERT INTO public.who_data VALUES (96173, 0, 0, 0, 0, 406, 216);
INSERT INTO public.who_data VALUES (96174, 0, 0, 0, 0, 406, 164);
INSERT INTO public.who_data VALUES (96175, 0, 0, 0, 0, 406, 235);
INSERT INTO public.who_data VALUES (96176, 0, 0, 0, 0, 406, 67);
INSERT INTO public.who_data VALUES (96177, 0, 0, 0, 0, 406, 15);
INSERT INTO public.who_data VALUES (96178, 0, 0, 0, 0, 406, 180);
INSERT INTO public.who_data VALUES (96179, 0, 0, 0, 0, 406, 237);
INSERT INTO public.who_data VALUES (96180, 0, 0, 0, 0, 406, 25);
INSERT INTO public.who_data VALUES (96181, 0, 0, 0, 0, 406, 209);
INSERT INTO public.who_data VALUES (96182, 0, 0, 0, 0, 406, 217);
INSERT INTO public.who_data VALUES (96183, 0, 0, 0, 0, 406, 79);
INSERT INTO public.who_data VALUES (96184, 0, 0, 0, 0, 406, 143);
INSERT INTO public.who_data VALUES (96185, 0, 0, 0, 0, 406, 229);
INSERT INTO public.who_data VALUES (96186, 0, 0, 0, 0, 406, 141);
INSERT INTO public.who_data VALUES (96187, 0, 0, 0, 0, 406, 197);
INSERT INTO public.who_data VALUES (96188, 0, 0, 0, 0, 406, 221);
INSERT INTO public.who_data VALUES (96189, 0, 0, 0, 0, 406, 150);
INSERT INTO public.who_data VALUES (96190, 0, 0, 0, 0, 406, 56);
INSERT INTO public.who_data VALUES (96191, 0, 0, 0, 0, 406, 167);
INSERT INTO public.who_data VALUES (96192, 0, 0, 0, 0, 406, 23);
INSERT INTO public.who_data VALUES (96193, 0, 0, 0, 0, 406, 222);
INSERT INTO public.who_data VALUES (96194, 0, 0, 0, 0, 406, 219);
INSERT INTO public.who_data VALUES (96195, 0, 0, 0, 0, 406, 7);
INSERT INTO public.who_data VALUES (96196, 0, 0, 0, 0, 406, 161);
INSERT INTO public.who_data VALUES (96197, 0, 0, 0, 0, 406, 149);
INSERT INTO public.who_data VALUES (96198, 0, 0, 0, 0, 406, 6);
INSERT INTO public.who_data VALUES (96199, 0, 0, 0, 0, 406, 139);
INSERT INTO public.who_data VALUES (96200, 0, 0, 0, 0, 406, 211);
INSERT INTO public.who_data VALUES (96201, 0, 0, 0, 0, 406, 14);
INSERT INTO public.who_data VALUES (96202, 0, 0, 0, 0, 406, 111);
INSERT INTO public.who_data VALUES (96203, 0, 0, 0, 0, 406, 207);
INSERT INTO public.who_data VALUES (96204, 0, 0, 0, 0, 406, 66);
INSERT INTO public.who_data VALUES (96205, 0, 0, 0, 0, 406, 173);
INSERT INTO public.who_data VALUES (96206, 0, 0, 0, 0, 406, 145);
INSERT INTO public.who_data VALUES (96207, 0, 0, 0, 0, 406, 65);
INSERT INTO public.who_data VALUES (96208, 0, 0, 0, 0, 406, 184);
INSERT INTO public.who_data VALUES (96209, 0, 0, 0, 0, 406, 98);
INSERT INTO public.who_data VALUES (96210, 0, 0, 0, 0, 406, 104);
INSERT INTO public.who_data VALUES (96211, 0, 0, 0, 0, 406, 73);
INSERT INTO public.who_data VALUES (96212, 0, 0, 0, 0, 406, 8);
INSERT INTO public.who_data VALUES (96213, 0, 0, 0, 0, 406, 227);
INSERT INTO public.who_data VALUES (96214, 0, 0, 0, 0, 406, 75);
INSERT INTO public.who_data VALUES (96215, 0, 0, 0, 0, 406, 45);
INSERT INTO public.who_data VALUES (96216, 0, 0, 0, 0, 406, 133);
INSERT INTO public.who_data VALUES (96217, 0, 0, 0, 0, 406, 202);
INSERT INTO public.who_data VALUES (96218, 0, 0, 0, 0, 406, 129);
INSERT INTO public.who_data VALUES (96219, 0, 0, 0, 0, 406, 36);
INSERT INTO public.who_data VALUES (96220, 0, 0, 0, 0, 406, 51);
INSERT INTO public.who_data VALUES (96221, 0, 0, 0, 0, 406, 206);
INSERT INTO public.who_data VALUES (96222, 0, 0, 0, 0, 406, 5);
INSERT INTO public.who_data VALUES (96223, 0, 0, 0, 0, 407, 103);
INSERT INTO public.who_data VALUES (96224, 0, 0, 0, 0, 407, 58);
INSERT INTO public.who_data VALUES (96225, 0, 0, 0, 0, 407, 195);
INSERT INTO public.who_data VALUES (96226, 0, 0, 0, 0, 407, 115);
INSERT INTO public.who_data VALUES (96227, 0, 0, 0, 0, 407, 99);
INSERT INTO public.who_data VALUES (96228, 0, 0, 0, 0, 407, 153);
INSERT INTO public.who_data VALUES (96229, 0, 0, 0, 0, 407, 93);
INSERT INTO public.who_data VALUES (96230, 0, 0, 0, 0, 407, 84);
INSERT INTO public.who_data VALUES (96231, 0, 0, 0, 0, 407, 78);
INSERT INTO public.who_data VALUES (96232, 0, 0, 0, 0, 407, 170);
INSERT INTO public.who_data VALUES (96233, 0, 0, 0, 0, 407, 32);
INSERT INTO public.who_data VALUES (96234, 0, 0, 0, 0, 407, 155);
INSERT INTO public.who_data VALUES (96235, 0, 0, 0, 0, 407, 82);
INSERT INTO public.who_data VALUES (96236, 0, 0, 0, 0, 407, 16);
INSERT INTO public.who_data VALUES (96237, 0, 0, 0, 0, 407, 72);
INSERT INTO public.who_data VALUES (96238, 0, 0, 0, 0, 407, 43);
INSERT INTO public.who_data VALUES (96239, 0, 0, 0, 0, 407, 120);
INSERT INTO public.who_data VALUES (96240, 0, 0, 0, 0, 407, 213);
INSERT INTO public.who_data VALUES (96241, 0, 0, 0, 0, 407, 31);
INSERT INTO public.who_data VALUES (96242, 0, 0, 0, 0, 407, 204);
INSERT INTO public.who_data VALUES (96243, 0, 0, 0, 0, 407, 152);
INSERT INTO public.who_data VALUES (96244, 0, 0, 0, 0, 407, 144);
INSERT INTO public.who_data VALUES (96245, 0, 0, 0, 0, 407, 96);
INSERT INTO public.who_data VALUES (96246, 0, 0, 0, 0, 407, 47);
INSERT INTO public.who_data VALUES (96247, 0, 0, 0, 0, 407, 80);
INSERT INTO public.who_data VALUES (96248, 0, 0, 0, 0, 407, 159);
INSERT INTO public.who_data VALUES (96249, 0, 0, 0, 0, 407, 27);
INSERT INTO public.who_data VALUES (96250, 0, 0, 0, 0, 407, 146);
INSERT INTO public.who_data VALUES (96251, 0, 0, 0, 0, 407, 71);
INSERT INTO public.who_data VALUES (96252, 0, 0, 0, 0, 407, 210);
INSERT INTO public.who_data VALUES (96253, 0, 0, 0, 0, 407, 54);
INSERT INTO public.who_data VALUES (96254, 0, 0, 0, 0, 407, 147);
INSERT INTO public.who_data VALUES (96255, 0, 0, 0, 0, 407, 2);
INSERT INTO public.who_data VALUES (96256, 0, 0, 0, 0, 407, 105);
INSERT INTO public.who_data VALUES (96257, 0, 0, 0, 0, 407, 53);
INSERT INTO public.who_data VALUES (96258, 0, 0, 0, 0, 407, 81);
INSERT INTO public.who_data VALUES (96259, 0, 0, 0, 0, 407, 223);
INSERT INTO public.who_data VALUES (96260, 0, 0, 0, 0, 407, 94);
INSERT INTO public.who_data VALUES (96261, 0, 0, 0, 0, 407, 154);
INSERT INTO public.who_data VALUES (96262, 0, 0, 0, 0, 407, 83);
INSERT INTO public.who_data VALUES (96263, 0, 0, 0, 0, 407, 194);
INSERT INTO public.who_data VALUES (96264, 0, 0, 0, 0, 407, 136);
INSERT INTO public.who_data VALUES (96265, 41, 45, 1, 1, 407, 179);
INSERT INTO public.who_data VALUES (96266, 0, 0, 0, 0, 407, 57);
INSERT INTO public.who_data VALUES (96267, 0, 0, 0, 0, 407, 35);
INSERT INTO public.who_data VALUES (96268, 0, 0, 0, 0, 407, 228);
INSERT INTO public.who_data VALUES (96269, 0, 0, 0, 0, 407, 19);
INSERT INTO public.who_data VALUES (96270, 0, 0, 0, 0, 407, 22);
INSERT INTO public.who_data VALUES (96271, 0, 0, 0, 0, 407, 1);
INSERT INTO public.who_data VALUES (96272, 0, 0, 0, 0, 407, 21);
INSERT INTO public.who_data VALUES (96273, 0, 0, 0, 0, 407, 234);
INSERT INTO public.who_data VALUES (96274, 0, 0, 0, 0, 407, 91);
INSERT INTO public.who_data VALUES (96275, 0, 0, 0, 0, 407, 137);
INSERT INTO public.who_data VALUES (96276, 0, 0, 0, 0, 407, 201);
INSERT INTO public.who_data VALUES (96277, 0, 0, 0, 0, 407, 171);
INSERT INTO public.who_data VALUES (96278, 0, 0, 0, 0, 407, 92);
INSERT INTO public.who_data VALUES (96279, 0, 0, 0, 0, 407, 112);
INSERT INTO public.who_data VALUES (96280, 0, 0, 0, 0, 407, 62);
INSERT INTO public.who_data VALUES (96281, 0, 0, 0, 0, 407, 69);
INSERT INTO public.who_data VALUES (96282, 0, 0, 0, 0, 407, 220);
INSERT INTO public.who_data VALUES (96283, 0, 0, 0, 0, 407, 100);
INSERT INTO public.who_data VALUES (96284, 0, 0, 0, 0, 407, 187);
INSERT INTO public.who_data VALUES (96285, 0, 0, 0, 0, 407, 63);
INSERT INTO public.who_data VALUES (96286, 0, 0, 0, 0, 407, 28);
INSERT INTO public.who_data VALUES (96287, 0, 0, 0, 0, 407, 172);
INSERT INTO public.who_data VALUES (96288, 0, 0, 0, 0, 407, 17);
INSERT INTO public.who_data VALUES (96289, 0, 0, 0, 0, 407, 226);
INSERT INTO public.who_data VALUES (96290, 0, 0, 0, 0, 407, 236);
INSERT INTO public.who_data VALUES (96291, 0, 0, 0, 0, 407, 76);
INSERT INTO public.who_data VALUES (96292, 0, 0, 0, 0, 407, 30);
INSERT INTO public.who_data VALUES (96293, 0, 0, 0, 0, 407, 128);
INSERT INTO public.who_data VALUES (96294, 0, 0, 0, 0, 407, 86);
INSERT INTO public.who_data VALUES (96295, 0, 0, 0, 0, 407, 140);
INSERT INTO public.who_data VALUES (96296, 0, 0, 0, 0, 407, 44);
INSERT INTO public.who_data VALUES (96297, 0, 0, 0, 0, 407, 113);
INSERT INTO public.who_data VALUES (96298, 0, 0, 0, 0, 407, 29);
INSERT INTO public.who_data VALUES (96299, 0, 0, 0, 0, 407, 125);
INSERT INTO public.who_data VALUES (96300, 0, 0, 0, 0, 407, 131);
INSERT INTO public.who_data VALUES (96301, 0, 0, 0, 0, 407, 46);
INSERT INTO public.who_data VALUES (96302, 0, 0, 0, 0, 407, 10);
INSERT INTO public.who_data VALUES (96303, 0, 0, 0, 0, 407, 205);
INSERT INTO public.who_data VALUES (96304, 0, 0, 0, 0, 407, 50);
INSERT INTO public.who_data VALUES (96305, 0, 0, 0, 0, 407, 20);
INSERT INTO public.who_data VALUES (96306, 0, 0, 0, 0, 407, 13);
INSERT INTO public.who_data VALUES (96307, 0, 0, 0, 0, 407, 148);
INSERT INTO public.who_data VALUES (96308, 0, 0, 0, 0, 407, 230);
INSERT INTO public.who_data VALUES (96309, 0, 0, 0, 0, 407, 190);
INSERT INTO public.who_data VALUES (96310, 0, 0, 0, 0, 407, 188);
INSERT INTO public.who_data VALUES (96311, 0, 0, 0, 0, 407, 123);
INSERT INTO public.who_data VALUES (96312, 0, 0, 0, 0, 407, 9);
INSERT INTO public.who_data VALUES (96313, 0, 0, 0, 0, 407, 102);
INSERT INTO public.who_data VALUES (96314, 0, 0, 0, 0, 407, 34);
INSERT INTO public.who_data VALUES (96315, 0, 0, 0, 0, 407, 212);
INSERT INTO public.who_data VALUES (96316, 0, 0, 0, 0, 407, 122);
INSERT INTO public.who_data VALUES (96317, 0, 0, 0, 0, 407, 38);
INSERT INTO public.who_data VALUES (96318, 0, 0, 0, 0, 407, 130);
INSERT INTO public.who_data VALUES (96319, 0, 0, 0, 0, 407, 37);
INSERT INTO public.who_data VALUES (96320, 0, 0, 0, 0, 407, 231);
INSERT INTO public.who_data VALUES (96321, 0, 0, 0, 0, 407, 107);
INSERT INTO public.who_data VALUES (96322, 0, 0, 0, 0, 407, 101);
INSERT INTO public.who_data VALUES (96323, 0, 0, 0, 0, 407, 132);
INSERT INTO public.who_data VALUES (96324, 0, 0, 0, 0, 407, 176);
INSERT INTO public.who_data VALUES (96325, 0, 0, 0, 0, 407, 200);
INSERT INTO public.who_data VALUES (96326, 0, 0, 0, 0, 407, 169);
INSERT INTO public.who_data VALUES (96327, 0, 0, 0, 0, 407, 225);
INSERT INTO public.who_data VALUES (96328, 0, 0, 0, 0, 407, 165);
INSERT INTO public.who_data VALUES (96329, 0, 0, 0, 0, 407, 233);
INSERT INTO public.who_data VALUES (96330, 0, 0, 0, 0, 407, 215);
INSERT INTO public.who_data VALUES (96331, 0, 0, 0, 0, 407, 177);
INSERT INTO public.who_data VALUES (96332, 0, 0, 0, 0, 407, 183);
INSERT INTO public.who_data VALUES (96333, 0, 0, 0, 0, 407, 203);
INSERT INTO public.who_data VALUES (96334, 0, 0, 0, 0, 407, 162);
INSERT INTO public.who_data VALUES (96335, 0, 0, 0, 0, 407, 12);
INSERT INTO public.who_data VALUES (96336, 0, 0, 0, 0, 407, 24);
INSERT INTO public.who_data VALUES (96337, 0, 0, 0, 0, 407, 119);
INSERT INTO public.who_data VALUES (96338, 0, 0, 0, 0, 407, 39);
INSERT INTO public.who_data VALUES (96339, 0, 0, 0, 0, 407, 26);
INSERT INTO public.who_data VALUES (96340, 0, 0, 0, 0, 407, 59);
INSERT INTO public.who_data VALUES (96341, 0, 0, 0, 0, 407, 77);
INSERT INTO public.who_data VALUES (96342, 0, 0, 0, 0, 407, 134);
INSERT INTO public.who_data VALUES (96343, 0, 0, 0, 0, 407, 4);
INSERT INTO public.who_data VALUES (96344, 0, 0, 0, 0, 407, 109);
INSERT INTO public.who_data VALUES (96345, 0, 0, 0, 0, 407, 90);
INSERT INTO public.who_data VALUES (96346, 0, 0, 0, 0, 407, 61);
INSERT INTO public.who_data VALUES (96347, 0, 0, 0, 0, 407, 85);
INSERT INTO public.who_data VALUES (96348, 0, 0, 0, 0, 407, 49);
INSERT INTO public.who_data VALUES (96349, 0, 0, 0, 0, 407, 208);
INSERT INTO public.who_data VALUES (96350, 0, 0, 0, 0, 407, 166);
INSERT INTO public.who_data VALUES (96351, 0, 0, 0, 0, 407, 64);
INSERT INTO public.who_data VALUES (96352, 0, 0, 0, 0, 407, 199);
INSERT INTO public.who_data VALUES (96353, 0, 0, 0, 0, 407, 114);
INSERT INTO public.who_data VALUES (96354, 0, 0, 0, 0, 407, 60);
INSERT INTO public.who_data VALUES (96355, 0, 0, 0, 0, 407, 68);
INSERT INTO public.who_data VALUES (96356, 0, 0, 0, 0, 407, 158);
INSERT INTO public.who_data VALUES (96357, 0, 0, 0, 0, 407, 52);
INSERT INTO public.who_data VALUES (96358, 0, 0, 0, 0, 407, 117);
INSERT INTO public.who_data VALUES (96359, 0, 0, 0, 0, 407, 126);
INSERT INTO public.who_data VALUES (96360, 0, 0, 0, 0, 407, 196);
INSERT INTO public.who_data VALUES (96361, 0, 0, 0, 0, 407, 142);
INSERT INTO public.who_data VALUES (96362, 0, 0, 0, 0, 407, 185);
INSERT INTO public.who_data VALUES (96363, 0, 0, 0, 0, 407, 138);
INSERT INTO public.who_data VALUES (96364, 0, 0, 0, 0, 407, 181);
INSERT INTO public.who_data VALUES (96365, 0, 0, 0, 0, 407, 178);
INSERT INTO public.who_data VALUES (96366, 0, 0, 0, 0, 407, 168);
INSERT INTO public.who_data VALUES (96367, 0, 0, 0, 0, 407, 160);
INSERT INTO public.who_data VALUES (96368, 0, 0, 0, 0, 407, 151);
INSERT INTO public.who_data VALUES (96369, 0, 0, 0, 0, 407, 193);
INSERT INTO public.who_data VALUES (96370, 0, 0, 0, 0, 407, 18);
INSERT INTO public.who_data VALUES (96371, 0, 0, 0, 0, 407, 40);
INSERT INTO public.who_data VALUES (96372, 0, 0, 0, 0, 407, 218);
INSERT INTO public.who_data VALUES (96373, 0, 0, 0, 0, 407, 191);
INSERT INTO public.who_data VALUES (96374, 0, 0, 0, 0, 407, 156);
INSERT INTO public.who_data VALUES (96375, 0, 0, 0, 0, 407, 135);
INSERT INTO public.who_data VALUES (96376, 0, 0, 0, 0, 407, 88);
INSERT INTO public.who_data VALUES (96377, 0, 0, 0, 0, 407, 55);
INSERT INTO public.who_data VALUES (96378, 0, 0, 0, 0, 407, 108);
INSERT INTO public.who_data VALUES (96379, 0, 0, 0, 0, 407, 48);
INSERT INTO public.who_data VALUES (96380, 0, 0, 0, 0, 407, 3);
INSERT INTO public.who_data VALUES (96381, 0, 0, 0, 0, 407, 224);
INSERT INTO public.who_data VALUES (96382, 0, 0, 0, 0, 407, 110);
INSERT INTO public.who_data VALUES (96383, 0, 0, 0, 0, 407, 106);
INSERT INTO public.who_data VALUES (96384, 0, 0, 0, 0, 407, 89);
INSERT INTO public.who_data VALUES (96385, 0, 0, 0, 0, 407, 121);
INSERT INTO public.who_data VALUES (96386, 0, 0, 0, 0, 407, 163);
INSERT INTO public.who_data VALUES (96387, 0, 0, 0, 0, 407, 70);
INSERT INTO public.who_data VALUES (96388, 0, 0, 0, 0, 407, 174);
INSERT INTO public.who_data VALUES (96389, 0, 0, 0, 0, 407, 175);
INSERT INTO public.who_data VALUES (96390, 0, 0, 0, 0, 407, 118);
INSERT INTO public.who_data VALUES (96391, 0, 0, 0, 0, 407, 189);
INSERT INTO public.who_data VALUES (96392, 0, 0, 0, 0, 407, 124);
INSERT INTO public.who_data VALUES (96393, 0, 0, 0, 0, 407, 192);
INSERT INTO public.who_data VALUES (96394, 0, 0, 0, 0, 407, 41);
INSERT INTO public.who_data VALUES (96395, 0, 0, 0, 0, 407, 95);
INSERT INTO public.who_data VALUES (96396, 0, 0, 0, 0, 407, 74);
INSERT INTO public.who_data VALUES (96397, 0, 0, 0, 0, 407, 11);
INSERT INTO public.who_data VALUES (96398, 0, 0, 0, 0, 407, 87);
INSERT INTO public.who_data VALUES (96399, 0, 0, 0, 0, 407, 214);
INSERT INTO public.who_data VALUES (96400, 0, 0, 0, 0, 407, 116);
INSERT INTO public.who_data VALUES (96401, 0, 0, 0, 0, 407, 157);
INSERT INTO public.who_data VALUES (96402, 0, 0, 0, 0, 407, 182);
INSERT INTO public.who_data VALUES (96403, 0, 0, 0, 0, 407, 186);
INSERT INTO public.who_data VALUES (96404, 0, 0, 0, 0, 407, 127);
INSERT INTO public.who_data VALUES (96405, 0, 0, 0, 0, 407, 232);
INSERT INTO public.who_data VALUES (96406, 0, 0, 0, 0, 407, 33);
INSERT INTO public.who_data VALUES (96407, 0, 0, 0, 0, 407, 97);
INSERT INTO public.who_data VALUES (96408, 0, 0, 0, 0, 407, 42);
INSERT INTO public.who_data VALUES (96409, 0, 0, 0, 0, 407, 198);
INSERT INTO public.who_data VALUES (96410, 0, 0, 0, 0, 407, 216);
INSERT INTO public.who_data VALUES (96411, 0, 0, 0, 0, 407, 164);
INSERT INTO public.who_data VALUES (96412, 0, 0, 0, 0, 407, 235);
INSERT INTO public.who_data VALUES (96413, 0, 0, 0, 0, 407, 67);
INSERT INTO public.who_data VALUES (96414, 0, 0, 0, 0, 407, 15);
INSERT INTO public.who_data VALUES (96415, 0, 0, 0, 0, 407, 180);
INSERT INTO public.who_data VALUES (96416, 0, 0, 0, 0, 407, 237);
INSERT INTO public.who_data VALUES (96417, 0, 0, 0, 0, 407, 25);
INSERT INTO public.who_data VALUES (96418, 0, 0, 0, 0, 407, 209);
INSERT INTO public.who_data VALUES (96419, 0, 0, 0, 0, 407, 217);
INSERT INTO public.who_data VALUES (96420, 0, 0, 0, 0, 407, 79);
INSERT INTO public.who_data VALUES (96421, 0, 0, 0, 0, 407, 143);
INSERT INTO public.who_data VALUES (96422, 0, 0, 0, 0, 407, 229);
INSERT INTO public.who_data VALUES (96423, 0, 0, 0, 0, 407, 141);
INSERT INTO public.who_data VALUES (96424, 0, 0, 0, 0, 407, 197);
INSERT INTO public.who_data VALUES (96425, 0, 0, 0, 0, 407, 221);
INSERT INTO public.who_data VALUES (96426, 0, 0, 0, 0, 407, 150);
INSERT INTO public.who_data VALUES (96427, 0, 0, 0, 0, 407, 56);
INSERT INTO public.who_data VALUES (96428, 0, 0, 0, 0, 407, 167);
INSERT INTO public.who_data VALUES (96429, 0, 0, 0, 0, 407, 23);
INSERT INTO public.who_data VALUES (96430, 0, 0, 0, 0, 407, 222);
INSERT INTO public.who_data VALUES (96431, 0, 0, 0, 0, 407, 219);
INSERT INTO public.who_data VALUES (96432, 0, 0, 0, 0, 407, 7);
INSERT INTO public.who_data VALUES (96433, 0, 0, 0, 0, 407, 161);
INSERT INTO public.who_data VALUES (96434, 0, 0, 0, 0, 407, 149);
INSERT INTO public.who_data VALUES (96435, 0, 0, 0, 0, 407, 6);
INSERT INTO public.who_data VALUES (96436, 0, 0, 0, 0, 407, 139);
INSERT INTO public.who_data VALUES (96437, 0, 0, 0, 0, 407, 211);
INSERT INTO public.who_data VALUES (96438, 0, 0, 0, 0, 407, 14);
INSERT INTO public.who_data VALUES (96439, 0, 0, 0, 0, 407, 111);
INSERT INTO public.who_data VALUES (96440, 0, 0, 0, 0, 407, 207);
INSERT INTO public.who_data VALUES (96441, 0, 0, 0, 0, 407, 66);
INSERT INTO public.who_data VALUES (96442, 0, 0, 0, 0, 407, 173);
INSERT INTO public.who_data VALUES (96443, 0, 0, 0, 0, 407, 145);
INSERT INTO public.who_data VALUES (96444, 0, 0, 0, 0, 407, 65);
INSERT INTO public.who_data VALUES (96445, 0, 0, 0, 0, 407, 184);
INSERT INTO public.who_data VALUES (96446, 0, 0, 0, 0, 407, 98);
INSERT INTO public.who_data VALUES (96447, 0, 0, 0, 0, 407, 104);
INSERT INTO public.who_data VALUES (96448, 0, 0, 0, 0, 407, 73);
INSERT INTO public.who_data VALUES (96449, 0, 0, 0, 0, 407, 8);
INSERT INTO public.who_data VALUES (96450, 0, 0, 0, 0, 407, 227);
INSERT INTO public.who_data VALUES (96451, 0, 0, 0, 0, 407, 75);
INSERT INTO public.who_data VALUES (96452, 0, 0, 0, 0, 407, 45);
INSERT INTO public.who_data VALUES (96453, 0, 0, 0, 0, 407, 133);
INSERT INTO public.who_data VALUES (96454, 0, 0, 0, 0, 407, 202);
INSERT INTO public.who_data VALUES (96455, 0, 0, 0, 0, 407, 129);
INSERT INTO public.who_data VALUES (96456, 0, 0, 0, 0, 407, 36);
INSERT INTO public.who_data VALUES (96457, 0, 0, 0, 0, 407, 51);
INSERT INTO public.who_data VALUES (96458, 0, 0, 0, 0, 407, 206);
INSERT INTO public.who_data VALUES (96459, 0, 0, 0, 0, 407, 5);
INSERT INTO public.who_data VALUES (96460, 0, 0, 0, 0, 408, 103);
INSERT INTO public.who_data VALUES (96461, 0, 0, 0, 0, 408, 58);
INSERT INTO public.who_data VALUES (96462, 0, 0, 0, 0, 408, 195);
INSERT INTO public.who_data VALUES (96463, 0, 0, 0, 0, 408, 115);
INSERT INTO public.who_data VALUES (96464, 0, 0, 0, 0, 408, 99);
INSERT INTO public.who_data VALUES (96465, 0, 0, 0, 0, 408, 153);
INSERT INTO public.who_data VALUES (96466, 0, 0, 0, 0, 408, 93);
INSERT INTO public.who_data VALUES (96467, 0, 0, 0, 0, 408, 84);
INSERT INTO public.who_data VALUES (96468, 0, 0, 0, 0, 408, 78);
INSERT INTO public.who_data VALUES (96469, 0, 0, 0, 0, 408, 170);
INSERT INTO public.who_data VALUES (96470, 0, 0, 0, 0, 408, 32);
INSERT INTO public.who_data VALUES (96471, 0, 0, 0, 0, 408, 155);
INSERT INTO public.who_data VALUES (96472, 0, 0, 0, 0, 408, 82);
INSERT INTO public.who_data VALUES (96473, 0, 0, 0, 0, 408, 16);
INSERT INTO public.who_data VALUES (96474, 0, 0, 0, 0, 408, 72);
INSERT INTO public.who_data VALUES (96475, 0, 0, 0, 0, 408, 43);
INSERT INTO public.who_data VALUES (96476, 0, 0, 0, 0, 408, 120);
INSERT INTO public.who_data VALUES (96477, 0, 0, 0, 0, 408, 213);
INSERT INTO public.who_data VALUES (96478, 0, 0, 0, 0, 408, 31);
INSERT INTO public.who_data VALUES (96479, 0, 0, 0, 0, 408, 204);
INSERT INTO public.who_data VALUES (96480, 0, 0, 0, 0, 408, 152);
INSERT INTO public.who_data VALUES (96481, 0, 0, 0, 0, 408, 144);
INSERT INTO public.who_data VALUES (96482, 0, 0, 0, 0, 408, 96);
INSERT INTO public.who_data VALUES (96483, 0, 0, 0, 0, 408, 47);
INSERT INTO public.who_data VALUES (96484, 0, 0, 0, 0, 408, 80);
INSERT INTO public.who_data VALUES (96485, 0, 0, 0, 0, 408, 159);
INSERT INTO public.who_data VALUES (96486, 0, 0, 0, 0, 408, 27);
INSERT INTO public.who_data VALUES (96487, 0, 0, 0, 0, 408, 146);
INSERT INTO public.who_data VALUES (96488, 0, 0, 0, 0, 408, 71);
INSERT INTO public.who_data VALUES (96489, 0, 0, 0, 0, 408, 210);
INSERT INTO public.who_data VALUES (96490, 0, 0, 0, 0, 408, 54);
INSERT INTO public.who_data VALUES (96491, 0, 0, 0, 0, 408, 147);
INSERT INTO public.who_data VALUES (96492, 0, 0, 0, 0, 408, 2);
INSERT INTO public.who_data VALUES (96493, 0, 0, 0, 0, 408, 105);
INSERT INTO public.who_data VALUES (96494, 0, 0, 0, 0, 408, 53);
INSERT INTO public.who_data VALUES (96495, 0, 0, 0, 0, 408, 81);
INSERT INTO public.who_data VALUES (96496, 0, 0, 0, 0, 408, 223);
INSERT INTO public.who_data VALUES (96497, 0, 0, 0, 0, 408, 94);
INSERT INTO public.who_data VALUES (96498, 0, 0, 0, 0, 408, 154);
INSERT INTO public.who_data VALUES (96499, 0, 0, 0, 0, 408, 83);
INSERT INTO public.who_data VALUES (96500, 0, 0, 0, 0, 408, 194);
INSERT INTO public.who_data VALUES (96501, 0, 0, 0, 0, 408, 136);
INSERT INTO public.who_data VALUES (96502, 0, 4, 0, 0, 408, 179);
INSERT INTO public.who_data VALUES (96503, 0, 0, 0, 0, 408, 57);
INSERT INTO public.who_data VALUES (96504, 0, 0, 0, 0, 408, 35);
INSERT INTO public.who_data VALUES (96505, 0, 0, 0, 0, 408, 228);
INSERT INTO public.who_data VALUES (96506, 0, 0, 0, 0, 408, 19);
INSERT INTO public.who_data VALUES (96507, 0, 0, 0, 0, 408, 22);
INSERT INTO public.who_data VALUES (96508, 0, 0, 0, 0, 408, 1);
INSERT INTO public.who_data VALUES (96509, 0, 0, 0, 0, 408, 21);
INSERT INTO public.who_data VALUES (96510, 0, 0, 0, 0, 408, 234);
INSERT INTO public.who_data VALUES (96511, 0, 0, 0, 0, 408, 91);
INSERT INTO public.who_data VALUES (96512, 0, 0, 0, 0, 408, 137);
INSERT INTO public.who_data VALUES (96513, 0, 0, 0, 0, 408, 201);
INSERT INTO public.who_data VALUES (96514, 0, 0, 0, 0, 408, 171);
INSERT INTO public.who_data VALUES (96515, 0, 0, 0, 0, 408, 92);
INSERT INTO public.who_data VALUES (96516, 0, 0, 0, 0, 408, 112);
INSERT INTO public.who_data VALUES (96517, 0, 0, 0, 0, 408, 62);
INSERT INTO public.who_data VALUES (96518, 0, 0, 0, 0, 408, 69);
INSERT INTO public.who_data VALUES (96519, 0, 0, 0, 0, 408, 220);
INSERT INTO public.who_data VALUES (96520, 0, 0, 0, 0, 408, 100);
INSERT INTO public.who_data VALUES (96521, 0, 0, 0, 0, 408, 187);
INSERT INTO public.who_data VALUES (96522, 0, 0, 0, 0, 408, 63);
INSERT INTO public.who_data VALUES (96523, 0, 0, 0, 0, 408, 28);
INSERT INTO public.who_data VALUES (96524, 0, 0, 0, 0, 408, 172);
INSERT INTO public.who_data VALUES (96525, 0, 0, 0, 0, 408, 17);
INSERT INTO public.who_data VALUES (96526, 0, 0, 0, 0, 408, 226);
INSERT INTO public.who_data VALUES (96527, 0, 0, 0, 0, 408, 236);
INSERT INTO public.who_data VALUES (96528, 0, 0, 0, 0, 408, 76);
INSERT INTO public.who_data VALUES (96529, 0, 0, 0, 0, 408, 30);
INSERT INTO public.who_data VALUES (96530, 0, 0, 0, 0, 408, 128);
INSERT INTO public.who_data VALUES (96531, 0, 0, 0, 0, 408, 86);
INSERT INTO public.who_data VALUES (96532, 0, 0, 0, 0, 408, 140);
INSERT INTO public.who_data VALUES (96533, 0, 0, 0, 0, 408, 44);
INSERT INTO public.who_data VALUES (96534, 0, 0, 0, 0, 408, 113);
INSERT INTO public.who_data VALUES (96535, 0, 0, 0, 0, 408, 29);
INSERT INTO public.who_data VALUES (96536, 0, 0, 0, 0, 408, 125);
INSERT INTO public.who_data VALUES (96537, 0, 0, 0, 0, 408, 131);
INSERT INTO public.who_data VALUES (96538, 0, 0, 0, 0, 408, 46);
INSERT INTO public.who_data VALUES (96539, 0, 0, 0, 0, 408, 10);
INSERT INTO public.who_data VALUES (96540, 0, 0, 0, 0, 408, 205);
INSERT INTO public.who_data VALUES (96541, 0, 0, 0, 0, 408, 50);
INSERT INTO public.who_data VALUES (96542, 0, 0, 0, 0, 408, 20);
INSERT INTO public.who_data VALUES (96543, 0, 0, 0, 0, 408, 13);
INSERT INTO public.who_data VALUES (96544, 0, 0, 0, 0, 408, 148);
INSERT INTO public.who_data VALUES (96545, 0, 0, 0, 0, 408, 230);
INSERT INTO public.who_data VALUES (96546, 0, 0, 0, 0, 408, 190);
INSERT INTO public.who_data VALUES (96547, 0, 0, 0, 0, 408, 188);
INSERT INTO public.who_data VALUES (96548, 0, 0, 0, 0, 408, 123);
INSERT INTO public.who_data VALUES (96549, 0, 0, 0, 0, 408, 9);
INSERT INTO public.who_data VALUES (96550, 0, 0, 0, 0, 408, 102);
INSERT INTO public.who_data VALUES (96551, 0, 0, 0, 0, 408, 34);
INSERT INTO public.who_data VALUES (96552, 0, 0, 0, 0, 408, 212);
INSERT INTO public.who_data VALUES (96553, 0, 0, 0, 0, 408, 122);
INSERT INTO public.who_data VALUES (96554, 0, 0, 0, 0, 408, 38);
INSERT INTO public.who_data VALUES (96555, 0, 0, 0, 0, 408, 130);
INSERT INTO public.who_data VALUES (96556, 0, 0, 0, 0, 408, 37);
INSERT INTO public.who_data VALUES (96557, 0, 0, 0, 0, 408, 231);
INSERT INTO public.who_data VALUES (96558, 0, 0, 0, 0, 408, 107);
INSERT INTO public.who_data VALUES (96559, 0, 0, 0, 0, 408, 101);
INSERT INTO public.who_data VALUES (96560, 0, 0, 0, 0, 408, 132);
INSERT INTO public.who_data VALUES (96561, 0, 0, 0, 0, 408, 176);
INSERT INTO public.who_data VALUES (96562, 0, 0, 0, 0, 408, 200);
INSERT INTO public.who_data VALUES (96563, 0, 0, 0, 0, 408, 169);
INSERT INTO public.who_data VALUES (96564, 0, 0, 0, 0, 408, 225);
INSERT INTO public.who_data VALUES (96565, 0, 0, 0, 0, 408, 165);
INSERT INTO public.who_data VALUES (96566, 0, 0, 0, 0, 408, 233);
INSERT INTO public.who_data VALUES (96567, 0, 0, 0, 0, 408, 215);
INSERT INTO public.who_data VALUES (96568, 0, 0, 0, 0, 408, 177);
INSERT INTO public.who_data VALUES (96569, 0, 0, 0, 0, 408, 183);
INSERT INTO public.who_data VALUES (96570, 0, 0, 0, 0, 408, 203);
INSERT INTO public.who_data VALUES (96571, 0, 0, 0, 0, 408, 162);
INSERT INTO public.who_data VALUES (96572, 0, 0, 0, 0, 408, 12);
INSERT INTO public.who_data VALUES (96573, 0, 0, 0, 0, 408, 24);
INSERT INTO public.who_data VALUES (96574, 0, 0, 0, 0, 408, 119);
INSERT INTO public.who_data VALUES (96575, 0, 0, 0, 0, 408, 39);
INSERT INTO public.who_data VALUES (96576, 0, 0, 0, 0, 408, 26);
INSERT INTO public.who_data VALUES (96577, 0, 0, 0, 0, 408, 59);
INSERT INTO public.who_data VALUES (96578, 0, 0, 0, 0, 408, 77);
INSERT INTO public.who_data VALUES (96579, 0, 0, 0, 0, 408, 134);
INSERT INTO public.who_data VALUES (96580, 0, 0, 0, 0, 408, 4);
INSERT INTO public.who_data VALUES (96581, 0, 0, 0, 0, 408, 109);
INSERT INTO public.who_data VALUES (96582, 0, 0, 0, 0, 408, 90);
INSERT INTO public.who_data VALUES (96583, 0, 0, 0, 0, 408, 61);
INSERT INTO public.who_data VALUES (96584, 0, 0, 0, 0, 408, 85);
INSERT INTO public.who_data VALUES (96585, 0, 0, 0, 0, 408, 49);
INSERT INTO public.who_data VALUES (96586, 0, 0, 0, 0, 408, 208);
INSERT INTO public.who_data VALUES (96587, 0, 0, 0, 0, 408, 166);
INSERT INTO public.who_data VALUES (96588, 0, 0, 0, 0, 408, 64);
INSERT INTO public.who_data VALUES (96589, 0, 0, 0, 0, 408, 199);
INSERT INTO public.who_data VALUES (96590, 0, 0, 0, 0, 408, 114);
INSERT INTO public.who_data VALUES (96591, 0, 0, 0, 0, 408, 60);
INSERT INTO public.who_data VALUES (96592, 0, 0, 0, 0, 408, 68);
INSERT INTO public.who_data VALUES (96593, 0, 0, 0, 0, 408, 158);
INSERT INTO public.who_data VALUES (96594, 0, 0, 0, 0, 408, 52);
INSERT INTO public.who_data VALUES (96595, 0, 0, 0, 0, 408, 117);
INSERT INTO public.who_data VALUES (96596, 0, 0, 0, 0, 408, 126);
INSERT INTO public.who_data VALUES (96597, 0, 0, 0, 0, 408, 196);
INSERT INTO public.who_data VALUES (96598, 0, 0, 0, 0, 408, 142);
INSERT INTO public.who_data VALUES (96599, 0, 0, 0, 0, 408, 185);
INSERT INTO public.who_data VALUES (96600, 0, 0, 0, 0, 408, 138);
INSERT INTO public.who_data VALUES (96601, 0, 0, 0, 0, 408, 181);
INSERT INTO public.who_data VALUES (96602, 0, 0, 0, 0, 408, 178);
INSERT INTO public.who_data VALUES (96603, 0, 0, 0, 0, 408, 168);
INSERT INTO public.who_data VALUES (96604, 0, 0, 0, 0, 408, 160);
INSERT INTO public.who_data VALUES (96605, 0, 0, 0, 0, 408, 151);
INSERT INTO public.who_data VALUES (96606, 0, 0, 0, 0, 408, 193);
INSERT INTO public.who_data VALUES (96607, 0, 0, 0, 0, 408, 18);
INSERT INTO public.who_data VALUES (96608, 0, 0, 0, 0, 408, 40);
INSERT INTO public.who_data VALUES (96609, 0, 0, 0, 0, 408, 218);
INSERT INTO public.who_data VALUES (96610, 0, 0, 0, 0, 408, 191);
INSERT INTO public.who_data VALUES (96611, 0, 0, 0, 0, 408, 156);
INSERT INTO public.who_data VALUES (96612, 0, 0, 0, 0, 408, 135);
INSERT INTO public.who_data VALUES (96613, 0, 0, 0, 0, 408, 88);
INSERT INTO public.who_data VALUES (96614, 0, 0, 0, 0, 408, 55);
INSERT INTO public.who_data VALUES (96615, 0, 0, 0, 0, 408, 108);
INSERT INTO public.who_data VALUES (96616, 0, 0, 0, 0, 408, 48);
INSERT INTO public.who_data VALUES (96617, 0, 0, 0, 0, 408, 3);
INSERT INTO public.who_data VALUES (96618, 0, 0, 0, 0, 408, 224);
INSERT INTO public.who_data VALUES (96619, 0, 0, 0, 0, 408, 110);
INSERT INTO public.who_data VALUES (96620, 0, 0, 0, 0, 408, 106);
INSERT INTO public.who_data VALUES (96621, 0, 0, 0, 0, 408, 89);
INSERT INTO public.who_data VALUES (96622, 0, 0, 0, 0, 408, 121);
INSERT INTO public.who_data VALUES (96623, 0, 0, 0, 0, 408, 163);
INSERT INTO public.who_data VALUES (96624, 0, 0, 0, 0, 408, 70);
INSERT INTO public.who_data VALUES (96625, 0, 0, 0, 0, 408, 174);
INSERT INTO public.who_data VALUES (96626, 0, 0, 0, 0, 408, 175);
INSERT INTO public.who_data VALUES (96627, 0, 0, 0, 0, 408, 118);
INSERT INTO public.who_data VALUES (96628, 0, 0, 0, 0, 408, 189);
INSERT INTO public.who_data VALUES (96629, 0, 0, 0, 0, 408, 124);
INSERT INTO public.who_data VALUES (96630, 0, 0, 0, 0, 408, 192);
INSERT INTO public.who_data VALUES (96631, 0, 0, 0, 0, 408, 41);
INSERT INTO public.who_data VALUES (96632, 0, 0, 0, 0, 408, 95);
INSERT INTO public.who_data VALUES (96633, 0, 0, 0, 0, 408, 74);
INSERT INTO public.who_data VALUES (96634, 0, 0, 0, 0, 408, 11);
INSERT INTO public.who_data VALUES (96635, 0, 0, 0, 0, 408, 87);
INSERT INTO public.who_data VALUES (96636, 0, 0, 0, 0, 408, 214);
INSERT INTO public.who_data VALUES (96637, 0, 0, 0, 0, 408, 116);
INSERT INTO public.who_data VALUES (96638, 0, 0, 0, 0, 408, 157);
INSERT INTO public.who_data VALUES (96639, 0, 0, 0, 0, 408, 182);
INSERT INTO public.who_data VALUES (96640, 0, 0, 0, 0, 408, 186);
INSERT INTO public.who_data VALUES (96641, 0, 0, 0, 0, 408, 127);
INSERT INTO public.who_data VALUES (96642, 0, 0, 0, 0, 408, 232);
INSERT INTO public.who_data VALUES (96643, 0, 0, 0, 0, 408, 33);
INSERT INTO public.who_data VALUES (96644, 0, 0, 0, 0, 408, 97);
INSERT INTO public.who_data VALUES (96645, 0, 0, 0, 0, 408, 42);
INSERT INTO public.who_data VALUES (96646, 0, 0, 0, 0, 408, 198);
INSERT INTO public.who_data VALUES (96647, 0, 0, 0, 0, 408, 216);
INSERT INTO public.who_data VALUES (96648, 0, 0, 0, 0, 408, 164);
INSERT INTO public.who_data VALUES (96649, 0, 0, 0, 0, 408, 235);
INSERT INTO public.who_data VALUES (96650, 0, 0, 0, 0, 408, 67);
INSERT INTO public.who_data VALUES (96651, 0, 0, 0, 0, 408, 15);
INSERT INTO public.who_data VALUES (96652, 0, 0, 0, 0, 408, 180);
INSERT INTO public.who_data VALUES (96653, 0, 0, 0, 0, 408, 237);
INSERT INTO public.who_data VALUES (96654, 0, 0, 0, 0, 408, 25);
INSERT INTO public.who_data VALUES (96655, 0, 0, 0, 0, 408, 209);
INSERT INTO public.who_data VALUES (96656, 0, 0, 0, 0, 408, 217);
INSERT INTO public.who_data VALUES (96657, 0, 0, 0, 0, 408, 79);
INSERT INTO public.who_data VALUES (96658, 0, 0, 0, 0, 408, 143);
INSERT INTO public.who_data VALUES (96659, 0, 0, 0, 0, 408, 229);
INSERT INTO public.who_data VALUES (96660, 0, 0, 0, 0, 408, 141);
INSERT INTO public.who_data VALUES (96661, 0, 0, 0, 0, 408, 197);
INSERT INTO public.who_data VALUES (96662, 0, 0, 0, 0, 408, 221);
INSERT INTO public.who_data VALUES (96663, 0, 0, 0, 0, 408, 150);
INSERT INTO public.who_data VALUES (96664, 0, 0, 0, 0, 408, 56);
INSERT INTO public.who_data VALUES (96665, 0, 0, 0, 0, 408, 167);
INSERT INTO public.who_data VALUES (96666, 0, 0, 0, 0, 408, 23);
INSERT INTO public.who_data VALUES (96667, 0, 0, 0, 0, 408, 222);
INSERT INTO public.who_data VALUES (96668, 0, 0, 0, 0, 408, 219);
INSERT INTO public.who_data VALUES (96669, 0, 0, 0, 0, 408, 7);
INSERT INTO public.who_data VALUES (96670, 0, 0, 0, 0, 408, 161);
INSERT INTO public.who_data VALUES (96671, 0, 0, 0, 0, 408, 149);
INSERT INTO public.who_data VALUES (96672, 0, 0, 0, 0, 408, 6);
INSERT INTO public.who_data VALUES (96673, 0, 0, 0, 0, 408, 139);
INSERT INTO public.who_data VALUES (96674, 0, 0, 0, 0, 408, 211);
INSERT INTO public.who_data VALUES (96675, 0, 0, 0, 0, 408, 14);
INSERT INTO public.who_data VALUES (96676, 0, 0, 0, 0, 408, 111);
INSERT INTO public.who_data VALUES (96677, 0, 0, 0, 0, 408, 207);
INSERT INTO public.who_data VALUES (96678, 0, 0, 0, 0, 408, 66);
INSERT INTO public.who_data VALUES (96679, 0, 0, 0, 0, 408, 173);
INSERT INTO public.who_data VALUES (96680, 0, 0, 0, 0, 408, 145);
INSERT INTO public.who_data VALUES (96681, 0, 0, 0, 0, 408, 65);
INSERT INTO public.who_data VALUES (96682, 0, 0, 0, 0, 408, 184);
INSERT INTO public.who_data VALUES (96683, 0, 0, 0, 0, 408, 98);
INSERT INTO public.who_data VALUES (96684, 0, 0, 0, 0, 408, 104);
INSERT INTO public.who_data VALUES (96685, 0, 0, 0, 0, 408, 73);
INSERT INTO public.who_data VALUES (96686, 0, 0, 0, 0, 408, 8);
INSERT INTO public.who_data VALUES (96687, 0, 0, 0, 0, 408, 227);
INSERT INTO public.who_data VALUES (96688, 0, 0, 0, 0, 408, 75);
INSERT INTO public.who_data VALUES (96689, 0, 0, 0, 0, 408, 45);
INSERT INTO public.who_data VALUES (96690, 0, 0, 0, 0, 408, 133);
INSERT INTO public.who_data VALUES (96691, 0, 0, 0, 0, 408, 202);
INSERT INTO public.who_data VALUES (96692, 0, 0, 0, 0, 408, 129);
INSERT INTO public.who_data VALUES (96693, 0, 0, 0, 0, 408, 36);
INSERT INTO public.who_data VALUES (96694, 0, 0, 0, 0, 408, 51);
INSERT INTO public.who_data VALUES (96695, 0, 0, 0, 0, 408, 206);
INSERT INTO public.who_data VALUES (96696, 0, 0, 0, 0, 408, 5);
INSERT INTO public.who_data VALUES (96697, 0, 0, 0, 0, 409, 103);
INSERT INTO public.who_data VALUES (96698, 0, 0, 0, 0, 409, 58);
INSERT INTO public.who_data VALUES (96699, 0, 0, 0, 0, 409, 195);
INSERT INTO public.who_data VALUES (96700, 0, 0, 0, 0, 409, 115);
INSERT INTO public.who_data VALUES (96701, 0, 0, 0, 0, 409, 99);
INSERT INTO public.who_data VALUES (96702, 0, 0, 0, 0, 409, 153);
INSERT INTO public.who_data VALUES (96703, 0, 0, 0, 0, 409, 93);
INSERT INTO public.who_data VALUES (96704, 0, 0, 0, 0, 409, 84);
INSERT INTO public.who_data VALUES (96705, 0, 0, 0, 0, 409, 78);
INSERT INTO public.who_data VALUES (96706, 0, 0, 0, 0, 409, 170);
INSERT INTO public.who_data VALUES (96707, 0, 0, 0, 0, 409, 32);
INSERT INTO public.who_data VALUES (96708, 0, 0, 0, 0, 409, 155);
INSERT INTO public.who_data VALUES (96709, 0, 0, 0, 0, 409, 82);
INSERT INTO public.who_data VALUES (96710, 0, 0, 0, 0, 409, 16);
INSERT INTO public.who_data VALUES (96711, 0, 0, 0, 0, 409, 72);
INSERT INTO public.who_data VALUES (96712, 0, 0, 0, 0, 409, 43);
INSERT INTO public.who_data VALUES (96713, 0, 0, 0, 0, 409, 120);
INSERT INTO public.who_data VALUES (96714, 0, 0, 0, 0, 409, 213);
INSERT INTO public.who_data VALUES (96715, 0, 0, 0, 0, 409, 31);
INSERT INTO public.who_data VALUES (96716, 0, 0, 0, 0, 409, 204);
INSERT INTO public.who_data VALUES (96717, 0, 0, 0, 0, 409, 152);
INSERT INTO public.who_data VALUES (96718, 0, 0, 0, 0, 409, 144);
INSERT INTO public.who_data VALUES (96719, 0, 0, 0, 0, 409, 96);
INSERT INTO public.who_data VALUES (96720, 0, 0, 0, 0, 409, 47);
INSERT INTO public.who_data VALUES (96721, 0, 0, 0, 0, 409, 80);
INSERT INTO public.who_data VALUES (96722, 0, 0, 0, 0, 409, 159);
INSERT INTO public.who_data VALUES (96723, 0, 0, 0, 0, 409, 27);
INSERT INTO public.who_data VALUES (96724, 0, 0, 0, 0, 409, 146);
INSERT INTO public.who_data VALUES (96725, 0, 0, 0, 0, 409, 71);
INSERT INTO public.who_data VALUES (96726, 0, 0, 0, 0, 409, 210);
INSERT INTO public.who_data VALUES (96727, 0, 0, 0, 0, 409, 54);
INSERT INTO public.who_data VALUES (96728, 0, 0, 0, 0, 409, 147);
INSERT INTO public.who_data VALUES (96729, 0, 0, 0, 0, 409, 2);
INSERT INTO public.who_data VALUES (96730, 0, 0, 0, 0, 409, 105);
INSERT INTO public.who_data VALUES (96731, 0, 0, 0, 0, 409, 53);
INSERT INTO public.who_data VALUES (96732, 0, 0, 0, 0, 409, 81);
INSERT INTO public.who_data VALUES (96733, 0, 0, 0, 0, 409, 223);
INSERT INTO public.who_data VALUES (96734, 0, 0, 0, 0, 409, 94);
INSERT INTO public.who_data VALUES (96735, 0, 0, 0, 0, 409, 154);
INSERT INTO public.who_data VALUES (96736, 0, 0, 0, 0, 409, 83);
INSERT INTO public.who_data VALUES (96737, 0, 0, 0, 0, 409, 194);
INSERT INTO public.who_data VALUES (96738, 0, 0, 0, 0, 409, 136);
INSERT INTO public.who_data VALUES (96739, 0, 4, 0, 0, 409, 179);
INSERT INTO public.who_data VALUES (96740, 0, 0, 0, 0, 409, 57);
INSERT INTO public.who_data VALUES (96741, 0, 0, 0, 0, 409, 35);
INSERT INTO public.who_data VALUES (96742, 0, 0, 0, 0, 409, 228);
INSERT INTO public.who_data VALUES (96743, 0, 0, 0, 0, 409, 19);
INSERT INTO public.who_data VALUES (96744, 0, 0, 0, 0, 409, 22);
INSERT INTO public.who_data VALUES (96745, 0, 0, 0, 0, 409, 1);
INSERT INTO public.who_data VALUES (96746, 0, 0, 0, 0, 409, 21);
INSERT INTO public.who_data VALUES (96747, 0, 0, 0, 0, 409, 234);
INSERT INTO public.who_data VALUES (96748, 0, 0, 0, 0, 409, 91);
INSERT INTO public.who_data VALUES (96749, 0, 0, 0, 0, 409, 137);
INSERT INTO public.who_data VALUES (96750, 0, 0, 0, 0, 409, 201);
INSERT INTO public.who_data VALUES (96751, 0, 0, 0, 0, 409, 171);
INSERT INTO public.who_data VALUES (96752, 0, 0, 0, 0, 409, 92);
INSERT INTO public.who_data VALUES (96753, 0, 0, 0, 0, 409, 112);
INSERT INTO public.who_data VALUES (96754, 0, 0, 0, 0, 409, 62);
INSERT INTO public.who_data VALUES (96755, 0, 0, 0, 0, 409, 69);
INSERT INTO public.who_data VALUES (96756, 0, 0, 0, 0, 409, 220);
INSERT INTO public.who_data VALUES (96757, 0, 0, 0, 0, 409, 100);
INSERT INTO public.who_data VALUES (96758, 0, 0, 0, 0, 409, 187);
INSERT INTO public.who_data VALUES (96759, 0, 0, 0, 0, 409, 63);
INSERT INTO public.who_data VALUES (96760, 0, 0, 0, 0, 409, 28);
INSERT INTO public.who_data VALUES (96761, 0, 0, 0, 0, 409, 172);
INSERT INTO public.who_data VALUES (96762, 0, 0, 0, 0, 409, 17);
INSERT INTO public.who_data VALUES (96763, 0, 0, 0, 0, 409, 226);
INSERT INTO public.who_data VALUES (96764, 0, 0, 0, 0, 409, 236);
INSERT INTO public.who_data VALUES (96765, 0, 0, 0, 0, 409, 76);
INSERT INTO public.who_data VALUES (96766, 0, 0, 0, 0, 409, 30);
INSERT INTO public.who_data VALUES (96767, 0, 0, 0, 0, 409, 128);
INSERT INTO public.who_data VALUES (96768, 0, 0, 0, 0, 409, 86);
INSERT INTO public.who_data VALUES (96769, 0, 0, 0, 0, 409, 140);
INSERT INTO public.who_data VALUES (96770, 0, 0, 0, 0, 409, 44);
INSERT INTO public.who_data VALUES (96771, 0, 0, 0, 0, 409, 113);
INSERT INTO public.who_data VALUES (96772, 0, 0, 0, 0, 409, 29);
INSERT INTO public.who_data VALUES (96773, 0, 0, 0, 0, 409, 125);
INSERT INTO public.who_data VALUES (96774, 0, 0, 0, 0, 409, 131);
INSERT INTO public.who_data VALUES (96775, 0, 0, 0, 0, 409, 46);
INSERT INTO public.who_data VALUES (96776, 0, 0, 0, 0, 409, 10);
INSERT INTO public.who_data VALUES (96777, 0, 0, 0, 0, 409, 205);
INSERT INTO public.who_data VALUES (96778, 0, 0, 0, 0, 409, 50);
INSERT INTO public.who_data VALUES (96779, 0, 0, 0, 0, 409, 20);
INSERT INTO public.who_data VALUES (96780, 0, 0, 0, 0, 409, 13);
INSERT INTO public.who_data VALUES (96781, 0, 0, 0, 0, 409, 148);
INSERT INTO public.who_data VALUES (96782, 0, 0, 0, 0, 409, 230);
INSERT INTO public.who_data VALUES (96783, 0, 0, 0, 0, 409, 190);
INSERT INTO public.who_data VALUES (96784, 0, 0, 0, 0, 409, 188);
INSERT INTO public.who_data VALUES (96785, 0, 0, 0, 0, 409, 123);
INSERT INTO public.who_data VALUES (96786, 0, 0, 0, 0, 409, 9);
INSERT INTO public.who_data VALUES (96787, 0, 0, 0, 0, 409, 102);
INSERT INTO public.who_data VALUES (96788, 0, 0, 0, 0, 409, 34);
INSERT INTO public.who_data VALUES (96789, 0, 0, 0, 0, 409, 212);
INSERT INTO public.who_data VALUES (96790, 0, 0, 0, 0, 409, 122);
INSERT INTO public.who_data VALUES (96791, 0, 0, 0, 0, 409, 38);
INSERT INTO public.who_data VALUES (96792, 0, 0, 0, 0, 409, 130);
INSERT INTO public.who_data VALUES (96793, 0, 0, 0, 0, 409, 37);
INSERT INTO public.who_data VALUES (96794, 0, 0, 0, 0, 409, 231);
INSERT INTO public.who_data VALUES (96795, 0, 0, 0, 0, 409, 107);
INSERT INTO public.who_data VALUES (96796, 0, 0, 0, 0, 409, 101);
INSERT INTO public.who_data VALUES (96797, 0, 0, 0, 0, 409, 132);
INSERT INTO public.who_data VALUES (96798, 0, 0, 0, 0, 409, 176);
INSERT INTO public.who_data VALUES (96799, 0, 0, 0, 0, 409, 200);
INSERT INTO public.who_data VALUES (96800, 0, 0, 0, 0, 409, 169);
INSERT INTO public.who_data VALUES (96801, 0, 0, 0, 0, 409, 225);
INSERT INTO public.who_data VALUES (96802, 0, 0, 0, 0, 409, 165);
INSERT INTO public.who_data VALUES (96803, 0, 0, 0, 0, 409, 233);
INSERT INTO public.who_data VALUES (96804, 0, 0, 0, 0, 409, 215);
INSERT INTO public.who_data VALUES (96805, 0, 0, 0, 0, 409, 177);
INSERT INTO public.who_data VALUES (96806, 0, 0, 0, 0, 409, 183);
INSERT INTO public.who_data VALUES (96807, 0, 0, 0, 0, 409, 203);
INSERT INTO public.who_data VALUES (96808, 0, 0, 0, 0, 409, 162);
INSERT INTO public.who_data VALUES (96809, 0, 0, 0, 0, 409, 12);
INSERT INTO public.who_data VALUES (96810, 0, 0, 0, 0, 409, 24);
INSERT INTO public.who_data VALUES (96811, 0, 0, 0, 0, 409, 119);
INSERT INTO public.who_data VALUES (96812, 0, 0, 0, 0, 409, 39);
INSERT INTO public.who_data VALUES (96813, 0, 0, 0, 0, 409, 26);
INSERT INTO public.who_data VALUES (96814, 0, 0, 0, 0, 409, 59);
INSERT INTO public.who_data VALUES (96815, 0, 0, 0, 0, 409, 77);
INSERT INTO public.who_data VALUES (96816, 0, 0, 0, 0, 409, 134);
INSERT INTO public.who_data VALUES (96817, 0, 0, 0, 0, 409, 4);
INSERT INTO public.who_data VALUES (96818, 0, 0, 0, 0, 409, 109);
INSERT INTO public.who_data VALUES (96819, 0, 0, 0, 0, 409, 90);
INSERT INTO public.who_data VALUES (96820, 0, 0, 0, 0, 409, 61);
INSERT INTO public.who_data VALUES (96821, 0, 0, 0, 0, 409, 85);
INSERT INTO public.who_data VALUES (96822, 0, 0, 0, 0, 409, 49);
INSERT INTO public.who_data VALUES (96823, 0, 0, 0, 0, 409, 208);
INSERT INTO public.who_data VALUES (96824, 0, 0, 0, 0, 409, 166);
INSERT INTO public.who_data VALUES (96825, 0, 0, 0, 0, 409, 64);
INSERT INTO public.who_data VALUES (96826, 0, 0, 0, 0, 409, 199);
INSERT INTO public.who_data VALUES (96827, 0, 0, 0, 0, 409, 114);
INSERT INTO public.who_data VALUES (96828, 0, 0, 0, 0, 409, 60);
INSERT INTO public.who_data VALUES (96829, 0, 0, 0, 0, 409, 68);
INSERT INTO public.who_data VALUES (96830, 0, 0, 0, 0, 409, 158);
INSERT INTO public.who_data VALUES (96831, 0, 0, 0, 0, 409, 52);
INSERT INTO public.who_data VALUES (96832, 0, 0, 0, 0, 409, 117);
INSERT INTO public.who_data VALUES (96833, 0, 0, 0, 0, 409, 126);
INSERT INTO public.who_data VALUES (96834, 0, 0, 0, 0, 409, 196);
INSERT INTO public.who_data VALUES (96835, 0, 0, 0, 0, 409, 142);
INSERT INTO public.who_data VALUES (96836, 0, 0, 0, 0, 409, 185);
INSERT INTO public.who_data VALUES (96837, 0, 0, 0, 0, 409, 138);
INSERT INTO public.who_data VALUES (96838, 0, 0, 0, 0, 409, 181);
INSERT INTO public.who_data VALUES (96839, 0, 0, 0, 0, 409, 178);
INSERT INTO public.who_data VALUES (96840, 0, 0, 0, 0, 409, 168);
INSERT INTO public.who_data VALUES (96841, 0, 0, 0, 0, 409, 160);
INSERT INTO public.who_data VALUES (96842, 0, 0, 0, 0, 409, 151);
INSERT INTO public.who_data VALUES (96843, 0, 0, 0, 0, 409, 193);
INSERT INTO public.who_data VALUES (96844, 0, 0, 0, 0, 409, 18);
INSERT INTO public.who_data VALUES (96845, 0, 0, 0, 0, 409, 40);
INSERT INTO public.who_data VALUES (96846, 0, 0, 0, 0, 409, 218);
INSERT INTO public.who_data VALUES (96847, 0, 0, 0, 0, 409, 191);
INSERT INTO public.who_data VALUES (96848, 0, 0, 0, 0, 409, 156);
INSERT INTO public.who_data VALUES (96849, 0, 0, 0, 0, 409, 135);
INSERT INTO public.who_data VALUES (96850, 0, 0, 0, 0, 409, 88);
INSERT INTO public.who_data VALUES (96851, 0, 0, 0, 0, 409, 55);
INSERT INTO public.who_data VALUES (96852, 0, 0, 0, 0, 409, 108);
INSERT INTO public.who_data VALUES (96853, 0, 0, 0, 0, 409, 48);
INSERT INTO public.who_data VALUES (96854, 0, 0, 0, 0, 409, 3);
INSERT INTO public.who_data VALUES (96855, 0, 0, 0, 0, 409, 224);
INSERT INTO public.who_data VALUES (96856, 0, 0, 0, 0, 409, 110);
INSERT INTO public.who_data VALUES (96857, 0, 0, 0, 0, 409, 106);
INSERT INTO public.who_data VALUES (96858, 0, 0, 0, 0, 409, 89);
INSERT INTO public.who_data VALUES (96859, 0, 0, 0, 0, 409, 121);
INSERT INTO public.who_data VALUES (96860, 0, 0, 0, 0, 409, 163);
INSERT INTO public.who_data VALUES (96861, 0, 0, 0, 0, 409, 70);
INSERT INTO public.who_data VALUES (96862, 0, 0, 0, 0, 409, 174);
INSERT INTO public.who_data VALUES (96863, 0, 0, 0, 0, 409, 175);
INSERT INTO public.who_data VALUES (96864, 0, 0, 0, 0, 409, 118);
INSERT INTO public.who_data VALUES (96865, 0, 0, 0, 0, 409, 189);
INSERT INTO public.who_data VALUES (96866, 0, 0, 0, 0, 409, 124);
INSERT INTO public.who_data VALUES (96867, 0, 0, 0, 0, 409, 192);
INSERT INTO public.who_data VALUES (96868, 0, 0, 0, 0, 409, 41);
INSERT INTO public.who_data VALUES (96869, 0, 0, 0, 0, 409, 95);
INSERT INTO public.who_data VALUES (96870, 0, 0, 0, 0, 409, 74);
INSERT INTO public.who_data VALUES (96871, 0, 0, 0, 0, 409, 11);
INSERT INTO public.who_data VALUES (96872, 0, 0, 0, 0, 409, 87);
INSERT INTO public.who_data VALUES (96873, 0, 0, 0, 0, 409, 214);
INSERT INTO public.who_data VALUES (96874, 0, 0, 0, 0, 409, 116);
INSERT INTO public.who_data VALUES (96875, 0, 0, 0, 0, 409, 157);
INSERT INTO public.who_data VALUES (96876, 0, 0, 0, 0, 409, 182);
INSERT INTO public.who_data VALUES (96877, 0, 0, 0, 0, 409, 186);
INSERT INTO public.who_data VALUES (96878, 0, 0, 0, 0, 409, 127);
INSERT INTO public.who_data VALUES (96879, 0, 0, 0, 0, 409, 232);
INSERT INTO public.who_data VALUES (96880, 0, 0, 0, 0, 409, 33);
INSERT INTO public.who_data VALUES (96881, 0, 0, 0, 0, 409, 97);
INSERT INTO public.who_data VALUES (96882, 0, 0, 0, 0, 409, 42);
INSERT INTO public.who_data VALUES (96883, 0, 0, 0, 0, 409, 198);
INSERT INTO public.who_data VALUES (96884, 0, 0, 0, 0, 409, 216);
INSERT INTO public.who_data VALUES (96885, 0, 0, 0, 0, 409, 164);
INSERT INTO public.who_data VALUES (96886, 0, 0, 0, 0, 409, 235);
INSERT INTO public.who_data VALUES (96887, 0, 0, 0, 0, 409, 67);
INSERT INTO public.who_data VALUES (96888, 0, 0, 0, 0, 409, 15);
INSERT INTO public.who_data VALUES (96889, 0, 0, 0, 0, 409, 180);
INSERT INTO public.who_data VALUES (96890, 0, 0, 0, 0, 409, 237);
INSERT INTO public.who_data VALUES (96891, 0, 0, 0, 0, 409, 25);
INSERT INTO public.who_data VALUES (96892, 0, 0, 0, 0, 409, 209);
INSERT INTO public.who_data VALUES (96893, 0, 0, 0, 0, 409, 217);
INSERT INTO public.who_data VALUES (96894, 0, 0, 0, 0, 409, 79);
INSERT INTO public.who_data VALUES (96895, 0, 0, 0, 0, 409, 143);
INSERT INTO public.who_data VALUES (96896, 0, 0, 0, 0, 409, 229);
INSERT INTO public.who_data VALUES (96897, 0, 0, 0, 0, 409, 141);
INSERT INTO public.who_data VALUES (96898, 0, 0, 0, 0, 409, 197);
INSERT INTO public.who_data VALUES (96899, 0, 0, 0, 0, 409, 221);
INSERT INTO public.who_data VALUES (96900, 0, 0, 0, 0, 409, 150);
INSERT INTO public.who_data VALUES (96901, 0, 0, 0, 0, 409, 56);
INSERT INTO public.who_data VALUES (96902, 0, 0, 0, 0, 409, 167);
INSERT INTO public.who_data VALUES (96903, 0, 0, 0, 0, 409, 23);
INSERT INTO public.who_data VALUES (96904, 0, 0, 0, 0, 409, 222);
INSERT INTO public.who_data VALUES (96905, 0, 0, 0, 0, 409, 219);
INSERT INTO public.who_data VALUES (96906, 0, 0, 0, 0, 409, 7);
INSERT INTO public.who_data VALUES (96907, 0, 0, 0, 0, 409, 161);
INSERT INTO public.who_data VALUES (96908, 0, 0, 0, 0, 409, 149);
INSERT INTO public.who_data VALUES (96909, 0, 0, 0, 0, 409, 6);
INSERT INTO public.who_data VALUES (96910, 0, 0, 0, 0, 409, 139);
INSERT INTO public.who_data VALUES (96911, 0, 0, 0, 0, 409, 211);
INSERT INTO public.who_data VALUES (96912, 0, 0, 0, 0, 409, 14);
INSERT INTO public.who_data VALUES (96913, 0, 0, 0, 0, 409, 111);
INSERT INTO public.who_data VALUES (96914, 0, 0, 0, 0, 409, 207);
INSERT INTO public.who_data VALUES (96915, 0, 0, 0, 0, 409, 66);
INSERT INTO public.who_data VALUES (96916, 0, 0, 0, 0, 409, 173);
INSERT INTO public.who_data VALUES (96917, 0, 0, 0, 0, 409, 145);
INSERT INTO public.who_data VALUES (96918, 0, 0, 0, 0, 409, 65);
INSERT INTO public.who_data VALUES (96919, 0, 0, 0, 0, 409, 184);
INSERT INTO public.who_data VALUES (96920, 0, 0, 0, 0, 409, 98);
INSERT INTO public.who_data VALUES (96921, 0, 0, 0, 0, 409, 104);
INSERT INTO public.who_data VALUES (96922, 0, 0, 0, 0, 409, 73);
INSERT INTO public.who_data VALUES (96923, 0, 0, 0, 0, 409, 8);
INSERT INTO public.who_data VALUES (96924, 0, 0, 0, 0, 409, 227);
INSERT INTO public.who_data VALUES (96925, 0, 0, 0, 0, 409, 75);
INSERT INTO public.who_data VALUES (96926, 0, 0, 0, 0, 409, 45);
INSERT INTO public.who_data VALUES (96927, 0, 0, 0, 0, 409, 133);
INSERT INTO public.who_data VALUES (96928, 0, 0, 0, 0, 409, 202);
INSERT INTO public.who_data VALUES (96929, 0, 0, 0, 0, 409, 129);
INSERT INTO public.who_data VALUES (96930, 0, 0, 0, 0, 409, 36);
INSERT INTO public.who_data VALUES (96931, 0, 0, 0, 0, 409, 51);
INSERT INTO public.who_data VALUES (96932, 0, 0, 0, 0, 409, 206);
INSERT INTO public.who_data VALUES (96933, 0, 0, 0, 0, 409, 5);
INSERT INTO public.who_data VALUES (96934, 0, 0, 0, 0, 410, 103);
INSERT INTO public.who_data VALUES (96935, 0, 0, 0, 0, 410, 58);
INSERT INTO public.who_data VALUES (96936, 0, 0, 0, 0, 410, 195);
INSERT INTO public.who_data VALUES (96937, 0, 0, 0, 0, 410, 115);
INSERT INTO public.who_data VALUES (96938, 0, 0, 0, 0, 410, 99);
INSERT INTO public.who_data VALUES (96939, 0, 0, 0, 0, 410, 153);
INSERT INTO public.who_data VALUES (96940, 0, 0, 0, 0, 410, 93);
INSERT INTO public.who_data VALUES (96941, 0, 0, 0, 0, 410, 84);
INSERT INTO public.who_data VALUES (96942, 0, 0, 0, 0, 410, 78);
INSERT INTO public.who_data VALUES (96943, 0, 0, 0, 0, 410, 170);
INSERT INTO public.who_data VALUES (96944, 0, 0, 0, 0, 410, 32);
INSERT INTO public.who_data VALUES (96945, 0, 0, 0, 0, 410, 155);
INSERT INTO public.who_data VALUES (96946, 0, 0, 0, 0, 410, 82);
INSERT INTO public.who_data VALUES (96947, 0, 0, 0, 0, 410, 16);
INSERT INTO public.who_data VALUES (96948, 0, 0, 0, 0, 410, 72);
INSERT INTO public.who_data VALUES (96949, 0, 0, 0, 0, 410, 43);
INSERT INTO public.who_data VALUES (96950, 0, 0, 0, 0, 410, 120);
INSERT INTO public.who_data VALUES (96951, 0, 0, 0, 0, 410, 213);
INSERT INTO public.who_data VALUES (96952, 0, 0, 0, 0, 410, 31);
INSERT INTO public.who_data VALUES (96953, 0, 0, 0, 0, 410, 204);
INSERT INTO public.who_data VALUES (96954, 0, 0, 0, 0, 410, 152);
INSERT INTO public.who_data VALUES (96955, 0, 0, 0, 0, 410, 144);
INSERT INTO public.who_data VALUES (96956, 0, 0, 0, 0, 410, 96);
INSERT INTO public.who_data VALUES (96957, 0, 0, 0, 0, 410, 47);
INSERT INTO public.who_data VALUES (96958, 0, 0, 0, 0, 410, 80);
INSERT INTO public.who_data VALUES (96959, 0, 0, 0, 0, 410, 159);
INSERT INTO public.who_data VALUES (96960, 0, 0, 0, 0, 410, 27);
INSERT INTO public.who_data VALUES (96961, 0, 0, 0, 0, 410, 146);
INSERT INTO public.who_data VALUES (96962, 0, 0, 0, 0, 410, 71);
INSERT INTO public.who_data VALUES (96963, 0, 0, 0, 0, 410, 210);
INSERT INTO public.who_data VALUES (96964, 0, 0, 0, 0, 410, 54);
INSERT INTO public.who_data VALUES (96965, 0, 0, 0, 0, 410, 147);
INSERT INTO public.who_data VALUES (96966, 0, 0, 0, 0, 410, 2);
INSERT INTO public.who_data VALUES (96967, 0, 0, 0, 0, 410, 105);
INSERT INTO public.who_data VALUES (96968, 0, 0, 0, 0, 410, 53);
INSERT INTO public.who_data VALUES (96969, 0, 0, 0, 0, 410, 81);
INSERT INTO public.who_data VALUES (96970, 0, 0, 0, 0, 410, 223);
INSERT INTO public.who_data VALUES (96971, 0, 0, 0, 0, 410, 94);
INSERT INTO public.who_data VALUES (96972, 0, 0, 0, 0, 410, 154);
INSERT INTO public.who_data VALUES (96973, 0, 0, 0, 0, 410, 83);
INSERT INTO public.who_data VALUES (96974, 0, 0, 0, 0, 410, 194);
INSERT INTO public.who_data VALUES (96975, 0, 0, 0, 0, 410, 136);
INSERT INTO public.who_data VALUES (96976, 0, 4, 0, 0, 410, 179);
INSERT INTO public.who_data VALUES (96977, 0, 0, 0, 0, 410, 57);
INSERT INTO public.who_data VALUES (96978, 0, 0, 0, 0, 410, 35);
INSERT INTO public.who_data VALUES (96979, 0, 0, 0, 0, 410, 228);
INSERT INTO public.who_data VALUES (96980, 0, 0, 0, 0, 410, 19);
INSERT INTO public.who_data VALUES (96981, 0, 0, 0, 0, 410, 22);
INSERT INTO public.who_data VALUES (96982, 0, 0, 0, 0, 410, 1);
INSERT INTO public.who_data VALUES (96983, 0, 0, 0, 0, 410, 21);
INSERT INTO public.who_data VALUES (96984, 0, 0, 0, 0, 410, 234);
INSERT INTO public.who_data VALUES (96985, 0, 0, 0, 0, 410, 91);
INSERT INTO public.who_data VALUES (96986, 0, 0, 0, 0, 410, 137);
INSERT INTO public.who_data VALUES (96987, 0, 0, 0, 0, 410, 201);
INSERT INTO public.who_data VALUES (96988, 0, 0, 0, 0, 410, 171);
INSERT INTO public.who_data VALUES (96989, 0, 0, 0, 0, 410, 92);
INSERT INTO public.who_data VALUES (96990, 0, 0, 0, 0, 410, 112);
INSERT INTO public.who_data VALUES (96991, 0, 0, 0, 0, 410, 62);
INSERT INTO public.who_data VALUES (96992, 0, 0, 0, 0, 410, 69);
INSERT INTO public.who_data VALUES (96993, 0, 0, 0, 0, 410, 220);
INSERT INTO public.who_data VALUES (96994, 0, 0, 0, 0, 410, 100);
INSERT INTO public.who_data VALUES (96995, 0, 0, 0, 0, 410, 187);
INSERT INTO public.who_data VALUES (96996, 0, 0, 0, 0, 410, 63);
INSERT INTO public.who_data VALUES (96997, 0, 0, 0, 0, 410, 28);
INSERT INTO public.who_data VALUES (96998, 0, 0, 0, 0, 410, 172);
INSERT INTO public.who_data VALUES (96999, 0, 0, 0, 0, 410, 17);
INSERT INTO public.who_data VALUES (97000, 0, 0, 0, 0, 410, 226);
INSERT INTO public.who_data VALUES (97001, 0, 0, 0, 0, 410, 236);
INSERT INTO public.who_data VALUES (97002, 0, 0, 0, 0, 410, 76);
INSERT INTO public.who_data VALUES (97003, 0, 0, 0, 0, 410, 30);
INSERT INTO public.who_data VALUES (97004, 0, 0, 0, 0, 410, 128);
INSERT INTO public.who_data VALUES (97005, 0, 0, 0, 0, 410, 86);
INSERT INTO public.who_data VALUES (97006, 0, 0, 0, 0, 410, 140);
INSERT INTO public.who_data VALUES (97007, 0, 0, 0, 0, 410, 44);
INSERT INTO public.who_data VALUES (97008, 0, 0, 0, 0, 410, 113);
INSERT INTO public.who_data VALUES (97009, 0, 0, 0, 0, 410, 29);
INSERT INTO public.who_data VALUES (97010, 0, 0, 0, 0, 410, 125);
INSERT INTO public.who_data VALUES (97011, 0, 0, 0, 0, 410, 131);
INSERT INTO public.who_data VALUES (97012, 0, 0, 0, 0, 410, 46);
INSERT INTO public.who_data VALUES (97013, 0, 0, 0, 0, 410, 10);
INSERT INTO public.who_data VALUES (97014, 0, 0, 0, 0, 410, 205);
INSERT INTO public.who_data VALUES (97015, 0, 0, 0, 0, 410, 50);
INSERT INTO public.who_data VALUES (97016, 0, 0, 0, 0, 410, 20);
INSERT INTO public.who_data VALUES (97017, 0, 0, 0, 0, 410, 13);
INSERT INTO public.who_data VALUES (97018, 0, 0, 0, 0, 410, 148);
INSERT INTO public.who_data VALUES (97019, 0, 0, 0, 0, 410, 230);
INSERT INTO public.who_data VALUES (97020, 0, 0, 0, 0, 410, 190);
INSERT INTO public.who_data VALUES (97021, 0, 0, 0, 0, 410, 188);
INSERT INTO public.who_data VALUES (97022, 0, 0, 0, 0, 410, 123);
INSERT INTO public.who_data VALUES (97023, 0, 0, 0, 0, 410, 9);
INSERT INTO public.who_data VALUES (97024, 0, 0, 0, 0, 410, 102);
INSERT INTO public.who_data VALUES (97025, 0, 0, 0, 0, 410, 34);
INSERT INTO public.who_data VALUES (97026, 0, 0, 0, 0, 410, 212);
INSERT INTO public.who_data VALUES (97027, 0, 0, 0, 0, 410, 122);
INSERT INTO public.who_data VALUES (97028, 0, 0, 0, 0, 410, 38);
INSERT INTO public.who_data VALUES (97029, 0, 0, 0, 0, 410, 130);
INSERT INTO public.who_data VALUES (97030, 0, 0, 0, 0, 410, 37);
INSERT INTO public.who_data VALUES (97031, 0, 0, 0, 0, 410, 231);
INSERT INTO public.who_data VALUES (97032, 0, 0, 0, 0, 410, 107);
INSERT INTO public.who_data VALUES (97033, 0, 0, 0, 0, 410, 101);
INSERT INTO public.who_data VALUES (97034, 0, 0, 0, 0, 410, 132);
INSERT INTO public.who_data VALUES (97035, 0, 0, 0, 0, 410, 176);
INSERT INTO public.who_data VALUES (97036, 0, 0, 0, 0, 410, 200);
INSERT INTO public.who_data VALUES (97037, 0, 0, 0, 0, 410, 169);
INSERT INTO public.who_data VALUES (97038, 0, 0, 0, 0, 410, 225);
INSERT INTO public.who_data VALUES (97039, 0, 0, 0, 0, 410, 165);
INSERT INTO public.who_data VALUES (97040, 0, 0, 0, 0, 410, 233);
INSERT INTO public.who_data VALUES (97041, 0, 0, 0, 0, 410, 215);
INSERT INTO public.who_data VALUES (97042, 0, 0, 0, 0, 410, 177);
INSERT INTO public.who_data VALUES (97043, 0, 0, 0, 0, 410, 183);
INSERT INTO public.who_data VALUES (97044, 0, 0, 0, 0, 410, 203);
INSERT INTO public.who_data VALUES (97045, 0, 0, 0, 0, 410, 162);
INSERT INTO public.who_data VALUES (97046, 0, 0, 0, 0, 410, 12);
INSERT INTO public.who_data VALUES (97047, 0, 0, 0, 0, 410, 24);
INSERT INTO public.who_data VALUES (97048, 0, 0, 0, 0, 410, 119);
INSERT INTO public.who_data VALUES (97049, 0, 0, 0, 0, 410, 39);
INSERT INTO public.who_data VALUES (97050, 0, 0, 0, 0, 410, 26);
INSERT INTO public.who_data VALUES (97051, 0, 0, 0, 0, 410, 59);
INSERT INTO public.who_data VALUES (97052, 0, 0, 0, 0, 410, 77);
INSERT INTO public.who_data VALUES (97053, 0, 0, 0, 0, 410, 134);
INSERT INTO public.who_data VALUES (97054, 0, 0, 0, 0, 410, 4);
INSERT INTO public.who_data VALUES (97055, 0, 0, 0, 0, 410, 109);
INSERT INTO public.who_data VALUES (97056, 0, 0, 0, 0, 410, 90);
INSERT INTO public.who_data VALUES (97057, 0, 0, 0, 0, 410, 61);
INSERT INTO public.who_data VALUES (97058, 0, 0, 0, 0, 410, 85);
INSERT INTO public.who_data VALUES (97059, 0, 0, 0, 0, 410, 49);
INSERT INTO public.who_data VALUES (97060, 0, 0, 0, 0, 410, 208);
INSERT INTO public.who_data VALUES (97061, 0, 0, 0, 0, 410, 166);
INSERT INTO public.who_data VALUES (97062, 0, 0, 0, 0, 410, 64);
INSERT INTO public.who_data VALUES (97063, 0, 0, 0, 0, 410, 199);
INSERT INTO public.who_data VALUES (97064, 0, 0, 0, 0, 410, 114);
INSERT INTO public.who_data VALUES (97065, 0, 0, 0, 0, 410, 60);
INSERT INTO public.who_data VALUES (97066, 0, 0, 0, 0, 410, 68);
INSERT INTO public.who_data VALUES (97067, 0, 0, 0, 0, 410, 158);
INSERT INTO public.who_data VALUES (97068, 0, 0, 0, 0, 410, 52);
INSERT INTO public.who_data VALUES (97069, 0, 0, 0, 0, 410, 117);
INSERT INTO public.who_data VALUES (97070, 0, 0, 0, 0, 410, 126);
INSERT INTO public.who_data VALUES (97071, 0, 0, 0, 0, 410, 196);
INSERT INTO public.who_data VALUES (97072, 0, 0, 0, 0, 410, 142);
INSERT INTO public.who_data VALUES (97073, 0, 0, 0, 0, 410, 185);
INSERT INTO public.who_data VALUES (97074, 0, 0, 0, 0, 410, 138);
INSERT INTO public.who_data VALUES (97075, 0, 0, 0, 0, 410, 181);
INSERT INTO public.who_data VALUES (97076, 0, 0, 0, 0, 410, 178);
INSERT INTO public.who_data VALUES (97077, 0, 0, 0, 0, 410, 168);
INSERT INTO public.who_data VALUES (97078, 0, 0, 0, 0, 410, 160);
INSERT INTO public.who_data VALUES (97079, 0, 0, 0, 0, 410, 151);
INSERT INTO public.who_data VALUES (97080, 0, 0, 0, 0, 410, 193);
INSERT INTO public.who_data VALUES (97081, 0, 0, 0, 0, 410, 18);
INSERT INTO public.who_data VALUES (97082, 0, 0, 0, 0, 410, 40);
INSERT INTO public.who_data VALUES (97083, 0, 0, 0, 0, 410, 218);
INSERT INTO public.who_data VALUES (97084, 0, 0, 0, 0, 410, 191);
INSERT INTO public.who_data VALUES (97085, 0, 0, 0, 0, 410, 156);
INSERT INTO public.who_data VALUES (97086, 0, 0, 0, 0, 410, 135);
INSERT INTO public.who_data VALUES (97087, 0, 0, 0, 0, 410, 88);
INSERT INTO public.who_data VALUES (97088, 0, 0, 0, 0, 410, 55);
INSERT INTO public.who_data VALUES (97089, 0, 0, 0, 0, 410, 108);
INSERT INTO public.who_data VALUES (97090, 0, 0, 0, 0, 410, 48);
INSERT INTO public.who_data VALUES (97091, 0, 0, 0, 0, 410, 3);
INSERT INTO public.who_data VALUES (97092, 0, 0, 0, 0, 410, 224);
INSERT INTO public.who_data VALUES (97093, 0, 0, 0, 0, 410, 110);
INSERT INTO public.who_data VALUES (97094, 0, 0, 0, 0, 410, 106);
INSERT INTO public.who_data VALUES (97095, 0, 0, 0, 0, 410, 89);
INSERT INTO public.who_data VALUES (97096, 0, 0, 0, 0, 410, 121);
INSERT INTO public.who_data VALUES (97097, 0, 0, 0, 0, 410, 163);
INSERT INTO public.who_data VALUES (97098, 0, 0, 0, 0, 410, 70);
INSERT INTO public.who_data VALUES (97099, 0, 0, 0, 0, 410, 174);
INSERT INTO public.who_data VALUES (97100, 0, 0, 0, 0, 410, 175);
INSERT INTO public.who_data VALUES (97101, 0, 0, 0, 0, 410, 118);
INSERT INTO public.who_data VALUES (97102, 0, 0, 0, 0, 410, 189);
INSERT INTO public.who_data VALUES (97103, 0, 0, 0, 0, 410, 124);
INSERT INTO public.who_data VALUES (97104, 0, 0, 0, 0, 410, 192);
INSERT INTO public.who_data VALUES (97105, 0, 0, 0, 0, 410, 41);
INSERT INTO public.who_data VALUES (97106, 0, 0, 0, 0, 410, 95);
INSERT INTO public.who_data VALUES (97107, 0, 0, 0, 0, 410, 74);
INSERT INTO public.who_data VALUES (97108, 0, 0, 0, 0, 410, 11);
INSERT INTO public.who_data VALUES (97109, 0, 0, 0, 0, 410, 87);
INSERT INTO public.who_data VALUES (97110, 0, 0, 0, 0, 410, 214);
INSERT INTO public.who_data VALUES (97111, 0, 0, 0, 0, 410, 116);
INSERT INTO public.who_data VALUES (97112, 0, 0, 0, 0, 410, 157);
INSERT INTO public.who_data VALUES (97113, 0, 0, 0, 0, 410, 182);
INSERT INTO public.who_data VALUES (97114, 0, 0, 0, 0, 410, 186);
INSERT INTO public.who_data VALUES (97115, 0, 0, 0, 0, 410, 127);
INSERT INTO public.who_data VALUES (97116, 0, 0, 0, 0, 410, 232);
INSERT INTO public.who_data VALUES (97117, 0, 0, 0, 0, 410, 33);
INSERT INTO public.who_data VALUES (97118, 0, 0, 0, 0, 410, 97);
INSERT INTO public.who_data VALUES (97119, 0, 0, 0, 0, 410, 42);
INSERT INTO public.who_data VALUES (97120, 0, 0, 0, 0, 410, 198);
INSERT INTO public.who_data VALUES (97121, 0, 0, 0, 0, 410, 216);
INSERT INTO public.who_data VALUES (97122, 0, 0, 0, 0, 410, 164);
INSERT INTO public.who_data VALUES (97123, 0, 0, 0, 0, 410, 235);
INSERT INTO public.who_data VALUES (97124, 0, 0, 0, 0, 410, 67);
INSERT INTO public.who_data VALUES (97125, 0, 0, 0, 0, 410, 15);
INSERT INTO public.who_data VALUES (97126, 0, 0, 0, 0, 410, 180);
INSERT INTO public.who_data VALUES (97127, 0, 0, 0, 0, 410, 237);
INSERT INTO public.who_data VALUES (97128, 0, 0, 0, 0, 410, 25);
INSERT INTO public.who_data VALUES (97129, 0, 0, 0, 0, 410, 209);
INSERT INTO public.who_data VALUES (97130, 0, 0, 0, 0, 410, 217);
INSERT INTO public.who_data VALUES (97131, 0, 0, 0, 0, 410, 79);
INSERT INTO public.who_data VALUES (97132, 0, 0, 0, 0, 410, 143);
INSERT INTO public.who_data VALUES (97133, 0, 0, 0, 0, 410, 229);
INSERT INTO public.who_data VALUES (97134, 0, 0, 0, 0, 410, 141);
INSERT INTO public.who_data VALUES (97135, 0, 0, 0, 0, 410, 197);
INSERT INTO public.who_data VALUES (97136, 0, 0, 0, 0, 410, 221);
INSERT INTO public.who_data VALUES (97137, 0, 0, 0, 0, 410, 150);
INSERT INTO public.who_data VALUES (97138, 0, 0, 0, 0, 410, 56);
INSERT INTO public.who_data VALUES (97139, 0, 0, 0, 0, 410, 167);
INSERT INTO public.who_data VALUES (97140, 0, 0, 0, 0, 410, 23);
INSERT INTO public.who_data VALUES (97141, 0, 0, 0, 0, 410, 222);
INSERT INTO public.who_data VALUES (97142, 0, 0, 0, 0, 410, 219);
INSERT INTO public.who_data VALUES (97143, 0, 0, 0, 0, 410, 7);
INSERT INTO public.who_data VALUES (97144, 0, 0, 0, 0, 410, 161);
INSERT INTO public.who_data VALUES (97145, 0, 0, 0, 0, 410, 149);
INSERT INTO public.who_data VALUES (97146, 0, 0, 0, 0, 410, 6);
INSERT INTO public.who_data VALUES (97147, 0, 0, 0, 0, 410, 139);
INSERT INTO public.who_data VALUES (97148, 0, 0, 0, 0, 410, 211);
INSERT INTO public.who_data VALUES (97149, 0, 0, 0, 0, 410, 14);
INSERT INTO public.who_data VALUES (97150, 0, 0, 0, 0, 410, 111);
INSERT INTO public.who_data VALUES (97151, 0, 0, 0, 0, 410, 207);
INSERT INTO public.who_data VALUES (97152, 0, 0, 0, 0, 410, 66);
INSERT INTO public.who_data VALUES (97153, 0, 0, 0, 0, 410, 173);
INSERT INTO public.who_data VALUES (97154, 0, 0, 0, 0, 410, 145);
INSERT INTO public.who_data VALUES (97155, 0, 0, 0, 0, 410, 65);
INSERT INTO public.who_data VALUES (97156, 0, 0, 0, 0, 410, 184);
INSERT INTO public.who_data VALUES (97157, 0, 0, 0, 0, 410, 98);
INSERT INTO public.who_data VALUES (97158, 0, 0, 0, 0, 410, 104);
INSERT INTO public.who_data VALUES (97159, 0, 0, 0, 0, 410, 73);
INSERT INTO public.who_data VALUES (97160, 0, 0, 0, 0, 410, 8);
INSERT INTO public.who_data VALUES (97161, 0, 0, 0, 0, 410, 227);
INSERT INTO public.who_data VALUES (97162, 0, 0, 0, 0, 410, 75);
INSERT INTO public.who_data VALUES (97163, 0, 0, 0, 0, 410, 45);
INSERT INTO public.who_data VALUES (97164, 0, 0, 0, 0, 410, 133);
INSERT INTO public.who_data VALUES (97165, 0, 0, 0, 0, 410, 202);
INSERT INTO public.who_data VALUES (97166, 0, 0, 0, 0, 410, 129);
INSERT INTO public.who_data VALUES (97167, 0, 0, 0, 0, 410, 36);
INSERT INTO public.who_data VALUES (97168, 0, 0, 0, 0, 410, 51);
INSERT INTO public.who_data VALUES (97169, 0, 0, 0, 0, 410, 206);
INSERT INTO public.who_data VALUES (97170, 0, 0, 0, 0, 410, 5);
INSERT INTO public.who_data VALUES (97171, 0, 0, 0, 0, 411, 103);
INSERT INTO public.who_data VALUES (97172, 0, 0, 0, 0, 411, 58);
INSERT INTO public.who_data VALUES (97173, 0, 0, 0, 0, 411, 195);
INSERT INTO public.who_data VALUES (97174, 0, 0, 0, 0, 411, 115);
INSERT INTO public.who_data VALUES (97175, 0, 0, 0, 0, 411, 99);
INSERT INTO public.who_data VALUES (97176, 0, 0, 0, 0, 411, 153);
INSERT INTO public.who_data VALUES (97177, 0, 0, 0, 0, 411, 93);
INSERT INTO public.who_data VALUES (97178, 0, 0, 0, 0, 411, 84);
INSERT INTO public.who_data VALUES (97179, 0, 0, 0, 0, 411, 78);
INSERT INTO public.who_data VALUES (97180, 0, 0, 0, 0, 411, 170);
INSERT INTO public.who_data VALUES (97181, 0, 0, 0, 0, 411, 32);
INSERT INTO public.who_data VALUES (97182, 0, 0, 0, 0, 411, 155);
INSERT INTO public.who_data VALUES (97183, 0, 0, 0, 0, 411, 82);
INSERT INTO public.who_data VALUES (97184, 0, 0, 0, 0, 411, 16);
INSERT INTO public.who_data VALUES (97185, 0, 0, 0, 0, 411, 72);
INSERT INTO public.who_data VALUES (97186, 0, 0, 0, 0, 411, 43);
INSERT INTO public.who_data VALUES (97187, 0, 0, 0, 0, 411, 120);
INSERT INTO public.who_data VALUES (97188, 0, 0, 0, 0, 411, 213);
INSERT INTO public.who_data VALUES (97189, 0, 0, 0, 0, 411, 31);
INSERT INTO public.who_data VALUES (97190, 0, 0, 0, 0, 411, 204);
INSERT INTO public.who_data VALUES (97191, 0, 0, 0, 0, 411, 152);
INSERT INTO public.who_data VALUES (97192, 0, 0, 0, 0, 411, 144);
INSERT INTO public.who_data VALUES (97193, 0, 0, 0, 0, 411, 96);
INSERT INTO public.who_data VALUES (97194, 0, 0, 0, 0, 411, 47);
INSERT INTO public.who_data VALUES (97195, 0, 0, 0, 0, 411, 80);
INSERT INTO public.who_data VALUES (97196, 0, 0, 0, 0, 411, 159);
INSERT INTO public.who_data VALUES (97197, 0, 0, 0, 0, 411, 27);
INSERT INTO public.who_data VALUES (97198, 0, 0, 0, 0, 411, 146);
INSERT INTO public.who_data VALUES (97199, 0, 0, 0, 0, 411, 71);
INSERT INTO public.who_data VALUES (97200, 0, 0, 0, 0, 411, 210);
INSERT INTO public.who_data VALUES (97201, 0, 0, 0, 0, 411, 54);
INSERT INTO public.who_data VALUES (97202, 0, 0, 0, 0, 411, 147);
INSERT INTO public.who_data VALUES (97203, 0, 0, 0, 0, 411, 2);
INSERT INTO public.who_data VALUES (97204, 0, 0, 0, 0, 411, 105);
INSERT INTO public.who_data VALUES (97205, 0, 0, 0, 0, 411, 53);
INSERT INTO public.who_data VALUES (97206, 0, 0, 0, 0, 411, 81);
INSERT INTO public.who_data VALUES (97207, 0, 0, 0, 0, 411, 223);
INSERT INTO public.who_data VALUES (97208, 0, 0, 0, 0, 411, 94);
INSERT INTO public.who_data VALUES (97209, 0, 0, 0, 0, 411, 154);
INSERT INTO public.who_data VALUES (97210, 0, 0, 0, 0, 411, 83);
INSERT INTO public.who_data VALUES (97211, 0, 0, 0, 0, 411, 194);
INSERT INTO public.who_data VALUES (97212, 0, 0, 0, 0, 411, 136);
INSERT INTO public.who_data VALUES (97213, 0, 4, 0, 0, 411, 179);
INSERT INTO public.who_data VALUES (97214, 0, 0, 0, 0, 411, 57);
INSERT INTO public.who_data VALUES (97215, 0, 0, 0, 0, 411, 35);
INSERT INTO public.who_data VALUES (97216, 0, 0, 0, 0, 411, 228);
INSERT INTO public.who_data VALUES (97217, 0, 0, 0, 0, 411, 19);
INSERT INTO public.who_data VALUES (97218, 0, 0, 0, 0, 411, 22);
INSERT INTO public.who_data VALUES (97219, 0, 0, 0, 0, 411, 1);
INSERT INTO public.who_data VALUES (97220, 0, 0, 0, 0, 411, 21);
INSERT INTO public.who_data VALUES (97221, 0, 0, 0, 0, 411, 234);
INSERT INTO public.who_data VALUES (97222, 0, 0, 0, 0, 411, 91);
INSERT INTO public.who_data VALUES (97223, 0, 0, 0, 0, 411, 137);
INSERT INTO public.who_data VALUES (97224, 0, 0, 0, 0, 411, 201);
INSERT INTO public.who_data VALUES (97225, 0, 0, 0, 0, 411, 171);
INSERT INTO public.who_data VALUES (97226, 0, 0, 0, 0, 411, 92);
INSERT INTO public.who_data VALUES (97227, 0, 0, 0, 0, 411, 112);
INSERT INTO public.who_data VALUES (97228, 0, 0, 0, 0, 411, 62);
INSERT INTO public.who_data VALUES (97229, 0, 0, 0, 0, 411, 69);
INSERT INTO public.who_data VALUES (97230, 0, 0, 0, 0, 411, 220);
INSERT INTO public.who_data VALUES (97231, 0, 0, 0, 0, 411, 100);
INSERT INTO public.who_data VALUES (97232, 0, 0, 0, 0, 411, 187);
INSERT INTO public.who_data VALUES (97233, 0, 0, 0, 0, 411, 63);
INSERT INTO public.who_data VALUES (97234, 0, 0, 0, 0, 411, 28);
INSERT INTO public.who_data VALUES (97235, 0, 0, 0, 0, 411, 172);
INSERT INTO public.who_data VALUES (97236, 0, 0, 0, 0, 411, 17);
INSERT INTO public.who_data VALUES (97237, 0, 0, 0, 0, 411, 226);
INSERT INTO public.who_data VALUES (97238, 0, 0, 0, 0, 411, 236);
INSERT INTO public.who_data VALUES (97239, 0, 0, 0, 0, 411, 76);
INSERT INTO public.who_data VALUES (97240, 0, 0, 0, 0, 411, 30);
INSERT INTO public.who_data VALUES (97241, 0, 0, 0, 0, 411, 128);
INSERT INTO public.who_data VALUES (97242, 0, 0, 0, 0, 411, 86);
INSERT INTO public.who_data VALUES (97243, 0, 0, 0, 0, 411, 140);
INSERT INTO public.who_data VALUES (97244, 0, 0, 0, 0, 411, 44);
INSERT INTO public.who_data VALUES (97245, 0, 0, 0, 0, 411, 113);
INSERT INTO public.who_data VALUES (97246, 0, 0, 0, 0, 411, 29);
INSERT INTO public.who_data VALUES (97247, 0, 0, 0, 0, 411, 125);
INSERT INTO public.who_data VALUES (97248, 0, 0, 0, 0, 411, 131);
INSERT INTO public.who_data VALUES (97249, 0, 0, 0, 0, 411, 46);
INSERT INTO public.who_data VALUES (97250, 0, 0, 0, 0, 411, 10);
INSERT INTO public.who_data VALUES (97251, 0, 0, 0, 0, 411, 205);
INSERT INTO public.who_data VALUES (97252, 0, 0, 0, 0, 411, 50);
INSERT INTO public.who_data VALUES (97253, 0, 0, 0, 0, 411, 20);
INSERT INTO public.who_data VALUES (97254, 0, 0, 0, 0, 411, 13);
INSERT INTO public.who_data VALUES (97255, 0, 0, 0, 0, 411, 148);
INSERT INTO public.who_data VALUES (97256, 0, 0, 0, 0, 411, 230);
INSERT INTO public.who_data VALUES (97257, 0, 0, 0, 0, 411, 190);
INSERT INTO public.who_data VALUES (97258, 0, 0, 0, 0, 411, 188);
INSERT INTO public.who_data VALUES (97259, 0, 0, 0, 0, 411, 123);
INSERT INTO public.who_data VALUES (97260, 0, 0, 0, 0, 411, 9);
INSERT INTO public.who_data VALUES (97261, 0, 0, 0, 0, 411, 102);
INSERT INTO public.who_data VALUES (97262, 0, 0, 0, 0, 411, 34);
INSERT INTO public.who_data VALUES (97263, 0, 0, 0, 0, 411, 212);
INSERT INTO public.who_data VALUES (97264, 0, 0, 0, 0, 411, 122);
INSERT INTO public.who_data VALUES (97265, 0, 0, 0, 0, 411, 38);
INSERT INTO public.who_data VALUES (97266, 0, 0, 0, 0, 411, 130);
INSERT INTO public.who_data VALUES (97267, 0, 0, 0, 0, 411, 37);
INSERT INTO public.who_data VALUES (97268, 0, 0, 0, 0, 411, 231);
INSERT INTO public.who_data VALUES (97269, 0, 0, 0, 0, 411, 107);
INSERT INTO public.who_data VALUES (97270, 0, 0, 0, 0, 411, 101);
INSERT INTO public.who_data VALUES (97271, 0, 0, 0, 0, 411, 132);
INSERT INTO public.who_data VALUES (97272, 0, 0, 0, 0, 411, 176);
INSERT INTO public.who_data VALUES (97273, 0, 0, 0, 0, 411, 200);
INSERT INTO public.who_data VALUES (97274, 0, 0, 0, 0, 411, 169);
INSERT INTO public.who_data VALUES (97275, 0, 0, 0, 0, 411, 225);
INSERT INTO public.who_data VALUES (97276, 0, 0, 0, 0, 411, 165);
INSERT INTO public.who_data VALUES (97277, 0, 0, 0, 0, 411, 233);
INSERT INTO public.who_data VALUES (97278, 0, 0, 0, 0, 411, 215);
INSERT INTO public.who_data VALUES (97279, 0, 0, 0, 0, 411, 177);
INSERT INTO public.who_data VALUES (97280, 0, 0, 0, 0, 411, 183);
INSERT INTO public.who_data VALUES (97281, 0, 0, 0, 0, 411, 203);
INSERT INTO public.who_data VALUES (97282, 0, 0, 0, 0, 411, 162);
INSERT INTO public.who_data VALUES (97283, 0, 0, 0, 0, 411, 12);
INSERT INTO public.who_data VALUES (97284, 0, 0, 0, 0, 411, 24);
INSERT INTO public.who_data VALUES (97285, 0, 0, 0, 0, 411, 119);
INSERT INTO public.who_data VALUES (97286, 0, 0, 0, 0, 411, 39);
INSERT INTO public.who_data VALUES (97287, 0, 0, 0, 0, 411, 26);
INSERT INTO public.who_data VALUES (97288, 0, 0, 0, 0, 411, 59);
INSERT INTO public.who_data VALUES (97289, 0, 0, 0, 0, 411, 77);
INSERT INTO public.who_data VALUES (97290, 0, 0, 0, 0, 411, 134);
INSERT INTO public.who_data VALUES (97291, 0, 0, 0, 0, 411, 4);
INSERT INTO public.who_data VALUES (97292, 0, 0, 0, 0, 411, 109);
INSERT INTO public.who_data VALUES (97293, 0, 0, 0, 0, 411, 90);
INSERT INTO public.who_data VALUES (97294, 0, 0, 0, 0, 411, 61);
INSERT INTO public.who_data VALUES (97295, 0, 0, 0, 0, 411, 85);
INSERT INTO public.who_data VALUES (97296, 0, 0, 0, 0, 411, 49);
INSERT INTO public.who_data VALUES (97297, 0, 0, 0, 0, 411, 208);
INSERT INTO public.who_data VALUES (97298, 0, 0, 0, 0, 411, 166);
INSERT INTO public.who_data VALUES (97299, 0, 0, 0, 0, 411, 64);
INSERT INTO public.who_data VALUES (97300, 0, 0, 0, 0, 411, 199);
INSERT INTO public.who_data VALUES (97301, 0, 0, 0, 0, 411, 114);
INSERT INTO public.who_data VALUES (97302, 0, 0, 0, 0, 411, 60);
INSERT INTO public.who_data VALUES (97303, 0, 0, 0, 0, 411, 68);
INSERT INTO public.who_data VALUES (97304, 0, 0, 0, 0, 411, 158);
INSERT INTO public.who_data VALUES (97305, 0, 0, 0, 0, 411, 52);
INSERT INTO public.who_data VALUES (97306, 0, 0, 0, 0, 411, 117);
INSERT INTO public.who_data VALUES (97307, 0, 0, 0, 0, 411, 126);
INSERT INTO public.who_data VALUES (97308, 0, 0, 0, 0, 411, 196);
INSERT INTO public.who_data VALUES (97309, 0, 0, 0, 0, 411, 142);
INSERT INTO public.who_data VALUES (97310, 0, 0, 0, 0, 411, 185);
INSERT INTO public.who_data VALUES (97311, 0, 0, 0, 0, 411, 138);
INSERT INTO public.who_data VALUES (97312, 0, 0, 0, 0, 411, 181);
INSERT INTO public.who_data VALUES (97313, 0, 0, 0, 0, 411, 178);
INSERT INTO public.who_data VALUES (97314, 0, 0, 0, 0, 411, 168);
INSERT INTO public.who_data VALUES (97315, 0, 0, 0, 0, 411, 160);
INSERT INTO public.who_data VALUES (97316, 0, 0, 0, 0, 411, 151);
INSERT INTO public.who_data VALUES (97317, 0, 0, 0, 0, 411, 193);
INSERT INTO public.who_data VALUES (97318, 0, 0, 0, 0, 411, 18);
INSERT INTO public.who_data VALUES (97319, 0, 0, 0, 0, 411, 40);
INSERT INTO public.who_data VALUES (97320, 0, 0, 0, 0, 411, 218);
INSERT INTO public.who_data VALUES (97321, 0, 0, 0, 0, 411, 191);
INSERT INTO public.who_data VALUES (97322, 0, 0, 0, 0, 411, 156);
INSERT INTO public.who_data VALUES (97323, 0, 0, 0, 0, 411, 135);
INSERT INTO public.who_data VALUES (97324, 0, 0, 0, 0, 411, 88);
INSERT INTO public.who_data VALUES (97325, 0, 0, 0, 0, 411, 55);
INSERT INTO public.who_data VALUES (97326, 0, 0, 0, 0, 411, 108);
INSERT INTO public.who_data VALUES (97327, 0, 0, 0, 0, 411, 48);
INSERT INTO public.who_data VALUES (97328, 0, 0, 0, 0, 411, 3);
INSERT INTO public.who_data VALUES (97329, 0, 0, 0, 0, 411, 224);
INSERT INTO public.who_data VALUES (97330, 0, 0, 0, 0, 411, 110);
INSERT INTO public.who_data VALUES (97331, 0, 0, 0, 0, 411, 106);
INSERT INTO public.who_data VALUES (97332, 0, 0, 0, 0, 411, 89);
INSERT INTO public.who_data VALUES (97333, 0, 0, 0, 0, 411, 121);
INSERT INTO public.who_data VALUES (97334, 0, 0, 0, 0, 411, 163);
INSERT INTO public.who_data VALUES (97335, 0, 0, 0, 0, 411, 70);
INSERT INTO public.who_data VALUES (97336, 0, 0, 0, 0, 411, 174);
INSERT INTO public.who_data VALUES (97337, 0, 0, 0, 0, 411, 175);
INSERT INTO public.who_data VALUES (97338, 0, 0, 0, 0, 411, 118);
INSERT INTO public.who_data VALUES (97339, 0, 0, 0, 0, 411, 189);
INSERT INTO public.who_data VALUES (97340, 0, 0, 0, 0, 411, 124);
INSERT INTO public.who_data VALUES (97341, 0, 0, 0, 0, 411, 192);
INSERT INTO public.who_data VALUES (97342, 0, 0, 0, 0, 411, 41);
INSERT INTO public.who_data VALUES (97343, 0, 0, 0, 0, 411, 95);
INSERT INTO public.who_data VALUES (97344, 0, 0, 0, 0, 411, 74);
INSERT INTO public.who_data VALUES (97345, 0, 0, 0, 0, 411, 11);
INSERT INTO public.who_data VALUES (97346, 0, 0, 0, 0, 411, 87);
INSERT INTO public.who_data VALUES (97347, 0, 0, 0, 0, 411, 214);
INSERT INTO public.who_data VALUES (97348, 0, 0, 0, 0, 411, 116);
INSERT INTO public.who_data VALUES (97349, 0, 0, 0, 0, 411, 157);
INSERT INTO public.who_data VALUES (97350, 0, 0, 0, 0, 411, 182);
INSERT INTO public.who_data VALUES (97351, 0, 0, 0, 0, 411, 186);
INSERT INTO public.who_data VALUES (97352, 0, 0, 0, 0, 411, 127);
INSERT INTO public.who_data VALUES (97353, 0, 0, 0, 0, 411, 232);
INSERT INTO public.who_data VALUES (97354, 0, 0, 0, 0, 411, 33);
INSERT INTO public.who_data VALUES (97355, 0, 0, 0, 0, 411, 97);
INSERT INTO public.who_data VALUES (97356, 0, 0, 0, 0, 411, 42);
INSERT INTO public.who_data VALUES (97357, 0, 0, 0, 0, 411, 198);
INSERT INTO public.who_data VALUES (97358, 0, 0, 0, 0, 411, 216);
INSERT INTO public.who_data VALUES (97359, 0, 0, 0, 0, 411, 164);
INSERT INTO public.who_data VALUES (97360, 0, 0, 0, 0, 411, 235);
INSERT INTO public.who_data VALUES (97361, 0, 0, 0, 0, 411, 67);
INSERT INTO public.who_data VALUES (97362, 0, 0, 0, 0, 411, 15);
INSERT INTO public.who_data VALUES (97363, 0, 0, 0, 0, 411, 180);
INSERT INTO public.who_data VALUES (97364, 0, 0, 0, 0, 411, 237);
INSERT INTO public.who_data VALUES (97365, 0, 0, 0, 0, 411, 25);
INSERT INTO public.who_data VALUES (97366, 0, 0, 0, 0, 411, 209);
INSERT INTO public.who_data VALUES (97367, 0, 0, 0, 0, 411, 217);
INSERT INTO public.who_data VALUES (97368, 0, 0, 0, 0, 411, 79);
INSERT INTO public.who_data VALUES (97369, 0, 0, 0, 0, 411, 143);
INSERT INTO public.who_data VALUES (97370, 0, 0, 0, 0, 411, 229);
INSERT INTO public.who_data VALUES (97371, 0, 0, 0, 0, 411, 141);
INSERT INTO public.who_data VALUES (97372, 0, 0, 0, 0, 411, 197);
INSERT INTO public.who_data VALUES (97373, 0, 0, 0, 0, 411, 221);
INSERT INTO public.who_data VALUES (97374, 0, 0, 0, 0, 411, 150);
INSERT INTO public.who_data VALUES (97375, 0, 0, 0, 0, 411, 56);
INSERT INTO public.who_data VALUES (97376, 0, 0, 0, 0, 411, 167);
INSERT INTO public.who_data VALUES (97377, 0, 0, 0, 0, 411, 23);
INSERT INTO public.who_data VALUES (97378, 0, 0, 0, 0, 411, 222);
INSERT INTO public.who_data VALUES (97379, 0, 0, 0, 0, 411, 219);
INSERT INTO public.who_data VALUES (97380, 0, 0, 0, 0, 411, 7);
INSERT INTO public.who_data VALUES (97381, 0, 0, 0, 0, 411, 161);
INSERT INTO public.who_data VALUES (97382, 0, 0, 0, 0, 411, 149);
INSERT INTO public.who_data VALUES (97383, 0, 0, 0, 0, 411, 6);
INSERT INTO public.who_data VALUES (97384, 0, 0, 0, 0, 411, 139);
INSERT INTO public.who_data VALUES (97385, 0, 0, 0, 0, 411, 211);
INSERT INTO public.who_data VALUES (97386, 0, 0, 0, 0, 411, 14);
INSERT INTO public.who_data VALUES (97387, 0, 0, 0, 0, 411, 111);
INSERT INTO public.who_data VALUES (97388, 0, 0, 0, 0, 411, 207);
INSERT INTO public.who_data VALUES (97389, 0, 0, 0, 0, 411, 66);
INSERT INTO public.who_data VALUES (97390, 0, 0, 0, 0, 411, 173);
INSERT INTO public.who_data VALUES (97391, 0, 0, 0, 0, 411, 145);
INSERT INTO public.who_data VALUES (97392, 0, 0, 0, 0, 411, 65);
INSERT INTO public.who_data VALUES (97393, 0, 0, 0, 0, 411, 184);
INSERT INTO public.who_data VALUES (97394, 0, 0, 0, 0, 411, 98);
INSERT INTO public.who_data VALUES (97395, 0, 0, 0, 0, 411, 104);
INSERT INTO public.who_data VALUES (97396, 0, 0, 0, 0, 411, 73);
INSERT INTO public.who_data VALUES (97397, 0, 0, 0, 0, 411, 8);
INSERT INTO public.who_data VALUES (97398, 0, 0, 0, 0, 411, 227);
INSERT INTO public.who_data VALUES (97399, 0, 0, 0, 0, 411, 75);
INSERT INTO public.who_data VALUES (97400, 0, 0, 0, 0, 411, 45);
INSERT INTO public.who_data VALUES (97401, 0, 0, 0, 0, 411, 133);
INSERT INTO public.who_data VALUES (97402, 0, 0, 0, 0, 411, 202);
INSERT INTO public.who_data VALUES (97403, 0, 0, 0, 0, 411, 129);
INSERT INTO public.who_data VALUES (97404, 0, 0, 0, 0, 411, 36);
INSERT INTO public.who_data VALUES (97405, 0, 0, 0, 0, 411, 51);
INSERT INTO public.who_data VALUES (97406, 0, 0, 0, 0, 411, 206);
INSERT INTO public.who_data VALUES (97407, 0, 0, 0, 0, 411, 5);
INSERT INTO public.who_data VALUES (97408, 0, 0, 0, 0, 412, 103);
INSERT INTO public.who_data VALUES (97409, 0, 0, 0, 0, 412, 58);
INSERT INTO public.who_data VALUES (97410, 0, 0, 0, 0, 412, 195);
INSERT INTO public.who_data VALUES (97411, 0, 0, 0, 0, 412, 115);
INSERT INTO public.who_data VALUES (97412, 0, 0, 0, 0, 412, 99);
INSERT INTO public.who_data VALUES (97413, 0, 0, 0, 0, 412, 153);
INSERT INTO public.who_data VALUES (97414, 0, 0, 0, 0, 412, 93);
INSERT INTO public.who_data VALUES (97415, 0, 0, 0, 0, 412, 84);
INSERT INTO public.who_data VALUES (97416, 0, 0, 0, 0, 412, 78);
INSERT INTO public.who_data VALUES (97417, 0, 0, 0, 0, 412, 170);
INSERT INTO public.who_data VALUES (97418, 0, 0, 0, 0, 412, 32);
INSERT INTO public.who_data VALUES (97419, 0, 0, 0, 0, 412, 155);
INSERT INTO public.who_data VALUES (97420, 0, 0, 0, 0, 412, 82);
INSERT INTO public.who_data VALUES (97421, 0, 0, 0, 0, 412, 16);
INSERT INTO public.who_data VALUES (97422, 0, 0, 0, 0, 412, 72);
INSERT INTO public.who_data VALUES (97423, 0, 0, 0, 0, 412, 43);
INSERT INTO public.who_data VALUES (97424, 0, 0, 0, 0, 412, 120);
INSERT INTO public.who_data VALUES (97425, 0, 0, 0, 0, 412, 213);
INSERT INTO public.who_data VALUES (97426, 0, 0, 0, 0, 412, 31);
INSERT INTO public.who_data VALUES (97427, 0, 0, 0, 0, 412, 204);
INSERT INTO public.who_data VALUES (97428, 0, 0, 0, 0, 412, 152);
INSERT INTO public.who_data VALUES (97429, 0, 0, 0, 0, 412, 144);
INSERT INTO public.who_data VALUES (97430, 0, 0, 0, 0, 412, 96);
INSERT INTO public.who_data VALUES (97431, 0, 0, 0, 0, 412, 47);
INSERT INTO public.who_data VALUES (97432, 0, 0, 0, 0, 412, 80);
INSERT INTO public.who_data VALUES (97433, 0, 0, 0, 0, 412, 159);
INSERT INTO public.who_data VALUES (97434, 0, 0, 0, 0, 412, 27);
INSERT INTO public.who_data VALUES (97435, 0, 0, 0, 0, 412, 146);
INSERT INTO public.who_data VALUES (97436, 0, 0, 0, 0, 412, 71);
INSERT INTO public.who_data VALUES (97437, 0, 0, 0, 0, 412, 210);
INSERT INTO public.who_data VALUES (97438, 0, 0, 0, 0, 412, 54);
INSERT INTO public.who_data VALUES (97439, 0, 0, 0, 0, 412, 147);
INSERT INTO public.who_data VALUES (97440, 0, 0, 0, 0, 412, 2);
INSERT INTO public.who_data VALUES (97441, 0, 0, 0, 0, 412, 105);
INSERT INTO public.who_data VALUES (97442, 0, 0, 0, 0, 412, 53);
INSERT INTO public.who_data VALUES (97443, 0, 0, 0, 0, 412, 81);
INSERT INTO public.who_data VALUES (97444, 0, 0, 0, 0, 412, 223);
INSERT INTO public.who_data VALUES (97445, 0, 0, 0, 0, 412, 94);
INSERT INTO public.who_data VALUES (97446, 0, 0, 0, 0, 412, 154);
INSERT INTO public.who_data VALUES (97447, 0, 0, 0, 0, 412, 83);
INSERT INTO public.who_data VALUES (97448, 0, 0, 0, 0, 412, 194);
INSERT INTO public.who_data VALUES (97449, 0, 0, 0, 0, 412, 136);
INSERT INTO public.who_data VALUES (97450, 3, 4, 0, 0, 412, 179);
INSERT INTO public.who_data VALUES (97451, 0, 0, 0, 0, 412, 57);
INSERT INTO public.who_data VALUES (97452, 0, 0, 0, 0, 412, 35);
INSERT INTO public.who_data VALUES (97453, 0, 0, 0, 0, 412, 228);
INSERT INTO public.who_data VALUES (97454, 0, 0, 0, 0, 412, 19);
INSERT INTO public.who_data VALUES (97455, 0, 0, 0, 0, 412, 22);
INSERT INTO public.who_data VALUES (97456, 0, 0, 0, 0, 412, 1);
INSERT INTO public.who_data VALUES (97457, 0, 0, 0, 0, 412, 21);
INSERT INTO public.who_data VALUES (97458, 0, 0, 0, 0, 412, 234);
INSERT INTO public.who_data VALUES (97459, 0, 0, 0, 0, 412, 91);
INSERT INTO public.who_data VALUES (97460, 0, 0, 0, 0, 412, 137);
INSERT INTO public.who_data VALUES (97461, 0, 0, 0, 0, 412, 201);
INSERT INTO public.who_data VALUES (97462, 0, 0, 0, 0, 412, 171);
INSERT INTO public.who_data VALUES (97463, 0, 0, 0, 0, 412, 92);
INSERT INTO public.who_data VALUES (97464, 0, 0, 0, 0, 412, 112);
INSERT INTO public.who_data VALUES (97465, 0, 0, 0, 0, 412, 62);
INSERT INTO public.who_data VALUES (97466, 0, 0, 0, 0, 412, 69);
INSERT INTO public.who_data VALUES (97467, 0, 0, 0, 0, 412, 220);
INSERT INTO public.who_data VALUES (97468, 0, 0, 0, 0, 412, 100);
INSERT INTO public.who_data VALUES (97469, 0, 0, 0, 0, 412, 187);
INSERT INTO public.who_data VALUES (97470, 0, 0, 0, 0, 412, 63);
INSERT INTO public.who_data VALUES (97471, 0, 0, 0, 0, 412, 28);
INSERT INTO public.who_data VALUES (97472, 0, 0, 0, 0, 412, 172);
INSERT INTO public.who_data VALUES (97473, 0, 0, 0, 0, 412, 17);
INSERT INTO public.who_data VALUES (97474, 0, 0, 0, 0, 412, 226);
INSERT INTO public.who_data VALUES (97475, 0, 0, 0, 0, 412, 236);
INSERT INTO public.who_data VALUES (97476, 0, 0, 0, 0, 412, 76);
INSERT INTO public.who_data VALUES (97477, 0, 0, 0, 0, 412, 30);
INSERT INTO public.who_data VALUES (97478, 0, 0, 0, 0, 412, 128);
INSERT INTO public.who_data VALUES (97479, 0, 0, 0, 0, 412, 86);
INSERT INTO public.who_data VALUES (97480, 0, 0, 0, 0, 412, 140);
INSERT INTO public.who_data VALUES (97481, 0, 0, 0, 0, 412, 44);
INSERT INTO public.who_data VALUES (97482, 0, 0, 0, 0, 412, 113);
INSERT INTO public.who_data VALUES (97483, 0, 0, 0, 0, 412, 29);
INSERT INTO public.who_data VALUES (97484, 0, 0, 0, 0, 412, 125);
INSERT INTO public.who_data VALUES (97485, 0, 0, 0, 0, 412, 131);
INSERT INTO public.who_data VALUES (97486, 0, 0, 0, 0, 412, 46);
INSERT INTO public.who_data VALUES (97487, 0, 0, 0, 0, 412, 10);
INSERT INTO public.who_data VALUES (97488, 0, 0, 0, 0, 412, 205);
INSERT INTO public.who_data VALUES (97489, 0, 0, 0, 0, 412, 50);
INSERT INTO public.who_data VALUES (97490, 0, 0, 0, 0, 412, 20);
INSERT INTO public.who_data VALUES (97491, 0, 0, 0, 0, 412, 13);
INSERT INTO public.who_data VALUES (97492, 0, 0, 0, 0, 412, 148);
INSERT INTO public.who_data VALUES (97493, 0, 0, 0, 0, 412, 230);
INSERT INTO public.who_data VALUES (97494, 0, 0, 0, 0, 412, 190);
INSERT INTO public.who_data VALUES (97495, 0, 0, 0, 0, 412, 188);
INSERT INTO public.who_data VALUES (97496, 0, 0, 0, 0, 412, 123);
INSERT INTO public.who_data VALUES (97497, 0, 0, 0, 0, 412, 9);
INSERT INTO public.who_data VALUES (97498, 0, 0, 0, 0, 412, 102);
INSERT INTO public.who_data VALUES (97499, 0, 0, 0, 0, 412, 34);
INSERT INTO public.who_data VALUES (97500, 0, 0, 0, 0, 412, 212);
INSERT INTO public.who_data VALUES (97501, 0, 0, 0, 0, 412, 122);
INSERT INTO public.who_data VALUES (97502, 0, 0, 0, 0, 412, 38);
INSERT INTO public.who_data VALUES (97503, 0, 0, 0, 0, 412, 130);
INSERT INTO public.who_data VALUES (97504, 0, 0, 0, 0, 412, 37);
INSERT INTO public.who_data VALUES (97505, 0, 0, 0, 0, 412, 231);
INSERT INTO public.who_data VALUES (97506, 0, 0, 0, 0, 412, 107);
INSERT INTO public.who_data VALUES (97507, 0, 0, 0, 0, 412, 101);
INSERT INTO public.who_data VALUES (97508, 0, 0, 0, 0, 412, 132);
INSERT INTO public.who_data VALUES (97509, 0, 0, 0, 0, 412, 176);
INSERT INTO public.who_data VALUES (97510, 0, 0, 0, 0, 412, 200);
INSERT INTO public.who_data VALUES (97511, 0, 0, 0, 0, 412, 169);
INSERT INTO public.who_data VALUES (97512, 0, 0, 0, 0, 412, 225);
INSERT INTO public.who_data VALUES (97513, 0, 0, 0, 0, 412, 165);
INSERT INTO public.who_data VALUES (97514, 0, 0, 0, 0, 412, 233);
INSERT INTO public.who_data VALUES (97515, 0, 0, 0, 0, 412, 215);
INSERT INTO public.who_data VALUES (97516, 0, 0, 0, 0, 412, 177);
INSERT INTO public.who_data VALUES (97517, 0, 0, 0, 0, 412, 183);
INSERT INTO public.who_data VALUES (97518, 0, 0, 0, 0, 412, 203);
INSERT INTO public.who_data VALUES (97519, 0, 0, 0, 0, 412, 162);
INSERT INTO public.who_data VALUES (97520, 0, 0, 0, 0, 412, 12);
INSERT INTO public.who_data VALUES (97521, 0, 0, 0, 0, 412, 24);
INSERT INTO public.who_data VALUES (97522, 0, 0, 0, 0, 412, 119);
INSERT INTO public.who_data VALUES (97523, 0, 0, 0, 0, 412, 39);
INSERT INTO public.who_data VALUES (97524, 0, 0, 0, 0, 412, 26);
INSERT INTO public.who_data VALUES (97525, 0, 0, 0, 0, 412, 59);
INSERT INTO public.who_data VALUES (97526, 0, 0, 0, 0, 412, 77);
INSERT INTO public.who_data VALUES (97527, 0, 0, 0, 0, 412, 134);
INSERT INTO public.who_data VALUES (97528, 0, 0, 0, 0, 412, 4);
INSERT INTO public.who_data VALUES (97529, 0, 0, 0, 0, 412, 109);
INSERT INTO public.who_data VALUES (97530, 0, 0, 0, 0, 412, 90);
INSERT INTO public.who_data VALUES (97531, 0, 0, 0, 0, 412, 61);
INSERT INTO public.who_data VALUES (97532, 0, 0, 0, 0, 412, 85);
INSERT INTO public.who_data VALUES (97533, 0, 0, 0, 0, 412, 49);
INSERT INTO public.who_data VALUES (97534, 0, 0, 0, 0, 412, 208);
INSERT INTO public.who_data VALUES (97535, 0, 0, 0, 0, 412, 166);
INSERT INTO public.who_data VALUES (97536, 0, 0, 0, 0, 412, 64);
INSERT INTO public.who_data VALUES (97537, 0, 0, 0, 0, 412, 199);
INSERT INTO public.who_data VALUES (97538, 0, 0, 0, 0, 412, 114);
INSERT INTO public.who_data VALUES (97539, 0, 0, 0, 0, 412, 60);
INSERT INTO public.who_data VALUES (97540, 0, 0, 0, 0, 412, 68);
INSERT INTO public.who_data VALUES (97541, 0, 0, 0, 0, 412, 158);
INSERT INTO public.who_data VALUES (97542, 0, 0, 0, 0, 412, 52);
INSERT INTO public.who_data VALUES (97543, 0, 0, 0, 0, 412, 117);
INSERT INTO public.who_data VALUES (97544, 0, 0, 0, 0, 412, 126);
INSERT INTO public.who_data VALUES (97545, 0, 0, 0, 0, 412, 196);
INSERT INTO public.who_data VALUES (97546, 0, 0, 0, 0, 412, 142);
INSERT INTO public.who_data VALUES (97547, 0, 0, 0, 0, 412, 185);
INSERT INTO public.who_data VALUES (97548, 0, 0, 0, 0, 412, 138);
INSERT INTO public.who_data VALUES (97549, 0, 0, 0, 0, 412, 181);
INSERT INTO public.who_data VALUES (97550, 0, 0, 0, 0, 412, 178);
INSERT INTO public.who_data VALUES (97551, 0, 0, 0, 0, 412, 168);
INSERT INTO public.who_data VALUES (97552, 0, 0, 0, 0, 412, 160);
INSERT INTO public.who_data VALUES (97553, 0, 0, 0, 0, 412, 151);
INSERT INTO public.who_data VALUES (97554, 0, 0, 0, 0, 412, 193);
INSERT INTO public.who_data VALUES (97555, 0, 0, 0, 0, 412, 18);
INSERT INTO public.who_data VALUES (97556, 0, 0, 0, 0, 412, 40);
INSERT INTO public.who_data VALUES (97557, 0, 0, 0, 0, 412, 218);
INSERT INTO public.who_data VALUES (97558, 0, 0, 0, 0, 412, 191);
INSERT INTO public.who_data VALUES (97559, 0, 0, 0, 0, 412, 156);
INSERT INTO public.who_data VALUES (97560, 0, 0, 0, 0, 412, 135);
INSERT INTO public.who_data VALUES (97561, 0, 0, 0, 0, 412, 88);
INSERT INTO public.who_data VALUES (97562, 0, 0, 0, 0, 412, 55);
INSERT INTO public.who_data VALUES (97563, 0, 0, 0, 0, 412, 108);
INSERT INTO public.who_data VALUES (97564, 0, 0, 0, 0, 412, 48);
INSERT INTO public.who_data VALUES (97565, 0, 0, 0, 0, 412, 3);
INSERT INTO public.who_data VALUES (97566, 0, 0, 0, 0, 412, 224);
INSERT INTO public.who_data VALUES (97567, 0, 0, 0, 0, 412, 110);
INSERT INTO public.who_data VALUES (97568, 0, 0, 0, 0, 412, 106);
INSERT INTO public.who_data VALUES (97569, 0, 0, 0, 0, 412, 89);
INSERT INTO public.who_data VALUES (97570, 0, 0, 0, 0, 412, 121);
INSERT INTO public.who_data VALUES (97571, 0, 0, 0, 0, 412, 163);
INSERT INTO public.who_data VALUES (97572, 0, 0, 0, 0, 412, 70);
INSERT INTO public.who_data VALUES (97573, 0, 0, 0, 0, 412, 174);
INSERT INTO public.who_data VALUES (97574, 0, 0, 0, 0, 412, 175);
INSERT INTO public.who_data VALUES (97575, 0, 0, 0, 0, 412, 118);
INSERT INTO public.who_data VALUES (97576, 0, 0, 0, 0, 412, 189);
INSERT INTO public.who_data VALUES (97577, 0, 0, 0, 0, 412, 124);
INSERT INTO public.who_data VALUES (97578, 0, 0, 0, 0, 412, 192);
INSERT INTO public.who_data VALUES (97579, 0, 0, 0, 0, 412, 41);
INSERT INTO public.who_data VALUES (97580, 0, 0, 0, 0, 412, 95);
INSERT INTO public.who_data VALUES (97581, 0, 0, 0, 0, 412, 74);
INSERT INTO public.who_data VALUES (97582, 0, 0, 0, 0, 412, 11);
INSERT INTO public.who_data VALUES (97583, 0, 0, 0, 0, 412, 87);
INSERT INTO public.who_data VALUES (97584, 0, 0, 0, 0, 412, 214);
INSERT INTO public.who_data VALUES (97585, 0, 0, 0, 0, 412, 116);
INSERT INTO public.who_data VALUES (97586, 0, 0, 0, 0, 412, 157);
INSERT INTO public.who_data VALUES (97587, 0, 0, 0, 0, 412, 182);
INSERT INTO public.who_data VALUES (97588, 0, 0, 0, 0, 412, 186);
INSERT INTO public.who_data VALUES (97589, 0, 0, 0, 0, 412, 127);
INSERT INTO public.who_data VALUES (97590, 0, 0, 0, 0, 412, 232);
INSERT INTO public.who_data VALUES (97591, 0, 0, 0, 0, 412, 33);
INSERT INTO public.who_data VALUES (97592, 0, 0, 0, 0, 412, 97);
INSERT INTO public.who_data VALUES (97593, 0, 0, 0, 0, 412, 42);
INSERT INTO public.who_data VALUES (97594, 0, 0, 0, 0, 412, 198);
INSERT INTO public.who_data VALUES (97595, 0, 0, 0, 0, 412, 216);
INSERT INTO public.who_data VALUES (97596, 0, 0, 0, 0, 412, 164);
INSERT INTO public.who_data VALUES (97597, 0, 0, 0, 0, 412, 235);
INSERT INTO public.who_data VALUES (97598, 0, 0, 0, 0, 412, 67);
INSERT INTO public.who_data VALUES (97599, 0, 0, 0, 0, 412, 15);
INSERT INTO public.who_data VALUES (97600, 0, 0, 0, 0, 412, 180);
INSERT INTO public.who_data VALUES (97601, 0, 0, 0, 0, 412, 237);
INSERT INTO public.who_data VALUES (97602, 0, 0, 0, 0, 412, 25);
INSERT INTO public.who_data VALUES (97603, 0, 0, 0, 0, 412, 209);
INSERT INTO public.who_data VALUES (97604, 0, 0, 0, 0, 412, 217);
INSERT INTO public.who_data VALUES (97605, 0, 0, 0, 0, 412, 79);
INSERT INTO public.who_data VALUES (97606, 0, 0, 0, 0, 412, 143);
INSERT INTO public.who_data VALUES (97607, 0, 0, 0, 0, 412, 229);
INSERT INTO public.who_data VALUES (97608, 0, 0, 0, 0, 412, 141);
INSERT INTO public.who_data VALUES (97609, 0, 0, 0, 0, 412, 197);
INSERT INTO public.who_data VALUES (97610, 0, 0, 0, 0, 412, 221);
INSERT INTO public.who_data VALUES (97611, 0, 0, 0, 0, 412, 150);
INSERT INTO public.who_data VALUES (97612, 0, 0, 0, 0, 412, 56);
INSERT INTO public.who_data VALUES (97613, 0, 0, 0, 0, 412, 167);
INSERT INTO public.who_data VALUES (97614, 0, 0, 0, 0, 412, 23);
INSERT INTO public.who_data VALUES (97615, 0, 0, 0, 0, 412, 222);
INSERT INTO public.who_data VALUES (97616, 0, 0, 0, 0, 412, 219);
INSERT INTO public.who_data VALUES (97617, 0, 0, 0, 0, 412, 7);
INSERT INTO public.who_data VALUES (97618, 0, 0, 0, 0, 412, 161);
INSERT INTO public.who_data VALUES (97619, 0, 0, 0, 0, 412, 149);
INSERT INTO public.who_data VALUES (97620, 0, 0, 0, 0, 412, 6);
INSERT INTO public.who_data VALUES (97621, 0, 0, 0, 0, 412, 139);
INSERT INTO public.who_data VALUES (97622, 0, 0, 0, 0, 412, 211);
INSERT INTO public.who_data VALUES (97623, 0, 0, 0, 0, 412, 14);
INSERT INTO public.who_data VALUES (97624, 0, 0, 0, 0, 412, 111);
INSERT INTO public.who_data VALUES (97625, 0, 0, 0, 0, 412, 207);
INSERT INTO public.who_data VALUES (97626, 0, 0, 0, 0, 412, 66);
INSERT INTO public.who_data VALUES (97627, 0, 0, 0, 0, 412, 173);
INSERT INTO public.who_data VALUES (97628, 0, 0, 0, 0, 412, 145);
INSERT INTO public.who_data VALUES (97629, 0, 0, 0, 0, 412, 65);
INSERT INTO public.who_data VALUES (97630, 0, 0, 0, 0, 412, 184);
INSERT INTO public.who_data VALUES (97631, 0, 0, 0, 0, 412, 98);
INSERT INTO public.who_data VALUES (97632, 0, 0, 0, 0, 412, 104);
INSERT INTO public.who_data VALUES (97633, 0, 0, 0, 0, 412, 73);
INSERT INTO public.who_data VALUES (97634, 0, 0, 0, 0, 412, 8);
INSERT INTO public.who_data VALUES (97635, 0, 0, 0, 0, 412, 227);
INSERT INTO public.who_data VALUES (97636, 0, 0, 0, 0, 412, 75);
INSERT INTO public.who_data VALUES (97637, 0, 0, 0, 0, 412, 45);
INSERT INTO public.who_data VALUES (97638, 0, 0, 0, 0, 412, 133);
INSERT INTO public.who_data VALUES (97639, 0, 0, 0, 0, 412, 202);
INSERT INTO public.who_data VALUES (97640, 0, 0, 0, 0, 412, 129);
INSERT INTO public.who_data VALUES (97641, 0, 0, 0, 0, 412, 36);
INSERT INTO public.who_data VALUES (97642, 0, 0, 0, 0, 412, 51);
INSERT INTO public.who_data VALUES (97643, 0, 0, 0, 0, 412, 206);
INSERT INTO public.who_data VALUES (97644, 0, 0, 0, 0, 412, 5);
INSERT INTO public.who_data VALUES (97645, 0, 0, 0, 0, 413, 103);
INSERT INTO public.who_data VALUES (97646, 0, 0, 0, 0, 413, 58);
INSERT INTO public.who_data VALUES (97647, 0, 0, 0, 0, 413, 195);
INSERT INTO public.who_data VALUES (97648, 0, 0, 0, 0, 413, 115);
INSERT INTO public.who_data VALUES (97649, 0, 0, 0, 0, 413, 99);
INSERT INTO public.who_data VALUES (97650, 0, 0, 0, 0, 413, 153);
INSERT INTO public.who_data VALUES (97651, 0, 0, 0, 0, 413, 93);
INSERT INTO public.who_data VALUES (97652, 0, 0, 0, 0, 413, 84);
INSERT INTO public.who_data VALUES (97653, 0, 0, 0, 0, 413, 78);
INSERT INTO public.who_data VALUES (97654, 0, 0, 0, 0, 413, 170);
INSERT INTO public.who_data VALUES (97655, 0, 0, 0, 0, 413, 32);
INSERT INTO public.who_data VALUES (97656, 0, 0, 0, 0, 413, 155);
INSERT INTO public.who_data VALUES (97657, 0, 0, 0, 0, 413, 82);
INSERT INTO public.who_data VALUES (97658, 0, 0, 0, 0, 413, 16);
INSERT INTO public.who_data VALUES (97659, 0, 0, 0, 0, 413, 72);
INSERT INTO public.who_data VALUES (97660, 0, 0, 0, 0, 413, 43);
INSERT INTO public.who_data VALUES (97661, 0, 0, 0, 0, 413, 120);
INSERT INTO public.who_data VALUES (97662, 0, 0, 0, 0, 413, 213);
INSERT INTO public.who_data VALUES (97663, 0, 0, 0, 0, 413, 31);
INSERT INTO public.who_data VALUES (97664, 0, 0, 0, 0, 413, 204);
INSERT INTO public.who_data VALUES (97665, 0, 0, 0, 0, 413, 152);
INSERT INTO public.who_data VALUES (97666, 0, 0, 0, 0, 413, 144);
INSERT INTO public.who_data VALUES (97667, 0, 0, 0, 0, 413, 96);
INSERT INTO public.who_data VALUES (97668, 0, 0, 0, 0, 413, 47);
INSERT INTO public.who_data VALUES (97669, 0, 0, 0, 0, 413, 80);
INSERT INTO public.who_data VALUES (97670, 0, 0, 0, 0, 413, 159);
INSERT INTO public.who_data VALUES (97671, 0, 0, 0, 0, 413, 27);
INSERT INTO public.who_data VALUES (97672, 0, 0, 0, 0, 413, 146);
INSERT INTO public.who_data VALUES (97673, 0, 0, 0, 0, 413, 71);
INSERT INTO public.who_data VALUES (97674, 0, 0, 0, 0, 413, 210);
INSERT INTO public.who_data VALUES (97675, 0, 0, 0, 0, 413, 54);
INSERT INTO public.who_data VALUES (97676, 0, 0, 0, 0, 413, 147);
INSERT INTO public.who_data VALUES (97677, 0, 0, 0, 0, 413, 2);
INSERT INTO public.who_data VALUES (97678, 0, 0, 0, 0, 413, 105);
INSERT INTO public.who_data VALUES (97679, 0, 0, 0, 0, 413, 53);
INSERT INTO public.who_data VALUES (97680, 0, 0, 0, 0, 413, 81);
INSERT INTO public.who_data VALUES (97681, 0, 0, 0, 0, 413, 223);
INSERT INTO public.who_data VALUES (97682, 0, 0, 0, 0, 413, 94);
INSERT INTO public.who_data VALUES (97683, 0, 0, 0, 0, 413, 154);
INSERT INTO public.who_data VALUES (97684, 0, 0, 0, 0, 413, 83);
INSERT INTO public.who_data VALUES (97685, 0, 0, 0, 0, 413, 194);
INSERT INTO public.who_data VALUES (97686, 0, 0, 0, 0, 413, 136);
INSERT INTO public.who_data VALUES (97687, 0, 1, 0, 0, 413, 179);
INSERT INTO public.who_data VALUES (97688, 0, 0, 0, 0, 413, 57);
INSERT INTO public.who_data VALUES (97689, 0, 0, 0, 0, 413, 35);
INSERT INTO public.who_data VALUES (97690, 0, 0, 0, 0, 413, 228);
INSERT INTO public.who_data VALUES (97691, 0, 0, 0, 0, 413, 19);
INSERT INTO public.who_data VALUES (97692, 0, 0, 0, 0, 413, 22);
INSERT INTO public.who_data VALUES (97693, 0, 0, 0, 0, 413, 1);
INSERT INTO public.who_data VALUES (97694, 0, 0, 0, 0, 413, 21);
INSERT INTO public.who_data VALUES (97695, 0, 0, 0, 0, 413, 234);
INSERT INTO public.who_data VALUES (97696, 0, 0, 0, 0, 413, 91);
INSERT INTO public.who_data VALUES (97697, 0, 0, 0, 0, 413, 137);
INSERT INTO public.who_data VALUES (97698, 0, 0, 0, 0, 413, 201);
INSERT INTO public.who_data VALUES (97699, 0, 0, 0, 0, 413, 171);
INSERT INTO public.who_data VALUES (97700, 0, 0, 0, 0, 413, 92);
INSERT INTO public.who_data VALUES (97701, 0, 0, 0, 0, 413, 112);
INSERT INTO public.who_data VALUES (97702, 0, 0, 0, 0, 413, 62);
INSERT INTO public.who_data VALUES (97703, 0, 0, 0, 0, 413, 69);
INSERT INTO public.who_data VALUES (97704, 0, 0, 0, 0, 413, 220);
INSERT INTO public.who_data VALUES (97705, 0, 0, 0, 0, 413, 100);
INSERT INTO public.who_data VALUES (97706, 0, 0, 0, 0, 413, 187);
INSERT INTO public.who_data VALUES (97707, 0, 0, 0, 0, 413, 63);
INSERT INTO public.who_data VALUES (97708, 0, 0, 0, 0, 413, 28);
INSERT INTO public.who_data VALUES (97709, 0, 0, 0, 0, 413, 172);
INSERT INTO public.who_data VALUES (97710, 0, 0, 0, 0, 413, 17);
INSERT INTO public.who_data VALUES (97711, 0, 0, 0, 0, 413, 226);
INSERT INTO public.who_data VALUES (97712, 0, 0, 0, 0, 413, 236);
INSERT INTO public.who_data VALUES (97713, 0, 0, 0, 0, 413, 76);
INSERT INTO public.who_data VALUES (97714, 0, 0, 0, 0, 413, 30);
INSERT INTO public.who_data VALUES (97715, 0, 0, 0, 0, 413, 128);
INSERT INTO public.who_data VALUES (97716, 0, 0, 0, 0, 413, 86);
INSERT INTO public.who_data VALUES (97717, 0, 0, 0, 0, 413, 140);
INSERT INTO public.who_data VALUES (97718, 0, 0, 0, 0, 413, 44);
INSERT INTO public.who_data VALUES (97719, 0, 0, 0, 0, 413, 113);
INSERT INTO public.who_data VALUES (97720, 0, 0, 0, 0, 413, 29);
INSERT INTO public.who_data VALUES (97721, 0, 0, 0, 0, 413, 125);
INSERT INTO public.who_data VALUES (97722, 0, 0, 0, 0, 413, 131);
INSERT INTO public.who_data VALUES (97723, 0, 0, 0, 0, 413, 46);
INSERT INTO public.who_data VALUES (97724, 0, 0, 0, 0, 413, 10);
INSERT INTO public.who_data VALUES (97725, 0, 0, 0, 0, 413, 205);
INSERT INTO public.who_data VALUES (97726, 0, 0, 0, 0, 413, 50);
INSERT INTO public.who_data VALUES (97727, 0, 0, 0, 0, 413, 20);
INSERT INTO public.who_data VALUES (97728, 0, 0, 0, 0, 413, 13);
INSERT INTO public.who_data VALUES (97729, 0, 0, 0, 0, 413, 148);
INSERT INTO public.who_data VALUES (97730, 0, 0, 0, 0, 413, 230);
INSERT INTO public.who_data VALUES (97731, 0, 0, 0, 0, 413, 190);
INSERT INTO public.who_data VALUES (97732, 0, 0, 0, 0, 413, 188);
INSERT INTO public.who_data VALUES (97733, 0, 0, 0, 0, 413, 123);
INSERT INTO public.who_data VALUES (97734, 0, 0, 0, 0, 413, 9);
INSERT INTO public.who_data VALUES (97735, 0, 0, 0, 0, 413, 102);
INSERT INTO public.who_data VALUES (97736, 0, 0, 0, 0, 413, 34);
INSERT INTO public.who_data VALUES (97737, 0, 0, 0, 0, 413, 212);
INSERT INTO public.who_data VALUES (97738, 0, 0, 0, 0, 413, 122);
INSERT INTO public.who_data VALUES (97739, 0, 0, 0, 0, 413, 38);
INSERT INTO public.who_data VALUES (97740, 0, 0, 0, 0, 413, 130);
INSERT INTO public.who_data VALUES (97741, 0, 0, 0, 0, 413, 37);
INSERT INTO public.who_data VALUES (97742, 0, 0, 0, 0, 413, 231);
INSERT INTO public.who_data VALUES (97743, 0, 0, 0, 0, 413, 107);
INSERT INTO public.who_data VALUES (97744, 0, 0, 0, 0, 413, 101);
INSERT INTO public.who_data VALUES (97745, 0, 0, 0, 0, 413, 132);
INSERT INTO public.who_data VALUES (97746, 0, 0, 0, 0, 413, 176);
INSERT INTO public.who_data VALUES (97747, 0, 0, 0, 0, 413, 200);
INSERT INTO public.who_data VALUES (97748, 0, 0, 0, 0, 413, 169);
INSERT INTO public.who_data VALUES (97749, 0, 0, 0, 0, 413, 225);
INSERT INTO public.who_data VALUES (97750, 0, 0, 0, 0, 413, 165);
INSERT INTO public.who_data VALUES (97751, 0, 0, 0, 0, 413, 233);
INSERT INTO public.who_data VALUES (97752, 0, 0, 0, 0, 413, 215);
INSERT INTO public.who_data VALUES (97753, 0, 0, 0, 0, 413, 177);
INSERT INTO public.who_data VALUES (97754, 0, 0, 0, 0, 413, 183);
INSERT INTO public.who_data VALUES (97755, 0, 0, 0, 0, 413, 203);
INSERT INTO public.who_data VALUES (97756, 0, 0, 0, 0, 413, 162);
INSERT INTO public.who_data VALUES (97757, 0, 0, 0, 0, 413, 12);
INSERT INTO public.who_data VALUES (97758, 0, 0, 0, 0, 413, 24);
INSERT INTO public.who_data VALUES (97759, 0, 0, 0, 0, 413, 119);
INSERT INTO public.who_data VALUES (97760, 0, 0, 0, 0, 413, 39);
INSERT INTO public.who_data VALUES (97761, 0, 0, 0, 0, 413, 26);
INSERT INTO public.who_data VALUES (97762, 0, 0, 0, 0, 413, 59);
INSERT INTO public.who_data VALUES (97763, 0, 0, 0, 0, 413, 77);
INSERT INTO public.who_data VALUES (97764, 0, 0, 0, 0, 413, 134);
INSERT INTO public.who_data VALUES (97765, 0, 0, 0, 0, 413, 4);
INSERT INTO public.who_data VALUES (97766, 0, 0, 0, 0, 413, 109);
INSERT INTO public.who_data VALUES (97767, 0, 0, 0, 0, 413, 90);
INSERT INTO public.who_data VALUES (97768, 0, 0, 0, 0, 413, 61);
INSERT INTO public.who_data VALUES (97769, 0, 0, 0, 0, 413, 85);
INSERT INTO public.who_data VALUES (97770, 0, 0, 0, 0, 413, 49);
INSERT INTO public.who_data VALUES (97771, 0, 0, 0, 0, 413, 208);
INSERT INTO public.who_data VALUES (97772, 0, 0, 0, 0, 413, 166);
INSERT INTO public.who_data VALUES (97773, 0, 0, 0, 0, 413, 64);
INSERT INTO public.who_data VALUES (97774, 0, 0, 0, 0, 413, 199);
INSERT INTO public.who_data VALUES (97775, 0, 0, 0, 0, 413, 114);
INSERT INTO public.who_data VALUES (97776, 0, 0, 0, 0, 413, 60);
INSERT INTO public.who_data VALUES (97777, 0, 0, 0, 0, 413, 68);
INSERT INTO public.who_data VALUES (97778, 0, 0, 0, 0, 413, 158);
INSERT INTO public.who_data VALUES (97779, 0, 0, 0, 0, 413, 52);
INSERT INTO public.who_data VALUES (97780, 0, 0, 0, 0, 413, 117);
INSERT INTO public.who_data VALUES (97781, 0, 0, 0, 0, 413, 126);
INSERT INTO public.who_data VALUES (97782, 0, 0, 0, 0, 413, 196);
INSERT INTO public.who_data VALUES (97783, 0, 0, 0, 0, 413, 142);
INSERT INTO public.who_data VALUES (97784, 0, 0, 0, 0, 413, 185);
INSERT INTO public.who_data VALUES (97785, 0, 0, 0, 0, 413, 138);
INSERT INTO public.who_data VALUES (97786, 0, 0, 0, 0, 413, 181);
INSERT INTO public.who_data VALUES (97787, 0, 0, 0, 0, 413, 178);
INSERT INTO public.who_data VALUES (97788, 0, 0, 0, 0, 413, 168);
INSERT INTO public.who_data VALUES (97789, 0, 0, 0, 0, 413, 160);
INSERT INTO public.who_data VALUES (97790, 0, 0, 0, 0, 413, 151);
INSERT INTO public.who_data VALUES (97791, 0, 0, 0, 0, 413, 193);
INSERT INTO public.who_data VALUES (97792, 0, 0, 0, 0, 413, 18);
INSERT INTO public.who_data VALUES (97793, 0, 0, 0, 0, 413, 40);
INSERT INTO public.who_data VALUES (97794, 0, 0, 0, 0, 413, 218);
INSERT INTO public.who_data VALUES (97795, 0, 0, 0, 0, 413, 191);
INSERT INTO public.who_data VALUES (97796, 0, 0, 0, 0, 413, 156);
INSERT INTO public.who_data VALUES (97797, 0, 0, 0, 0, 413, 135);
INSERT INTO public.who_data VALUES (97798, 0, 0, 0, 0, 413, 88);
INSERT INTO public.who_data VALUES (97799, 0, 0, 0, 0, 413, 55);
INSERT INTO public.who_data VALUES (97800, 0, 0, 0, 0, 413, 108);
INSERT INTO public.who_data VALUES (97801, 0, 0, 0, 0, 413, 48);
INSERT INTO public.who_data VALUES (97802, 0, 0, 0, 0, 413, 3);
INSERT INTO public.who_data VALUES (97803, 0, 0, 0, 0, 413, 224);
INSERT INTO public.who_data VALUES (97804, 0, 0, 0, 0, 413, 110);
INSERT INTO public.who_data VALUES (97805, 0, 0, 0, 0, 413, 106);
INSERT INTO public.who_data VALUES (97806, 0, 0, 0, 0, 413, 89);
INSERT INTO public.who_data VALUES (97807, 0, 0, 0, 0, 413, 121);
INSERT INTO public.who_data VALUES (97808, 0, 0, 0, 0, 413, 163);
INSERT INTO public.who_data VALUES (97809, 0, 0, 0, 0, 413, 70);
INSERT INTO public.who_data VALUES (97810, 0, 0, 0, 0, 413, 174);
INSERT INTO public.who_data VALUES (97811, 0, 0, 0, 0, 413, 175);
INSERT INTO public.who_data VALUES (97812, 0, 0, 0, 0, 413, 118);
INSERT INTO public.who_data VALUES (97813, 0, 0, 0, 0, 413, 189);
INSERT INTO public.who_data VALUES (97814, 0, 0, 0, 0, 413, 124);
INSERT INTO public.who_data VALUES (97815, 0, 0, 0, 0, 413, 192);
INSERT INTO public.who_data VALUES (97816, 0, 0, 0, 0, 413, 41);
INSERT INTO public.who_data VALUES (97817, 0, 0, 0, 0, 413, 95);
INSERT INTO public.who_data VALUES (97818, 0, 0, 0, 0, 413, 74);
INSERT INTO public.who_data VALUES (97819, 0, 0, 0, 0, 413, 11);
INSERT INTO public.who_data VALUES (97820, 0, 0, 0, 0, 413, 87);
INSERT INTO public.who_data VALUES (97821, 0, 0, 0, 0, 413, 214);
INSERT INTO public.who_data VALUES (97822, 0, 0, 0, 0, 413, 116);
INSERT INTO public.who_data VALUES (97823, 0, 0, 0, 0, 413, 157);
INSERT INTO public.who_data VALUES (97824, 0, 0, 0, 0, 413, 182);
INSERT INTO public.who_data VALUES (97825, 0, 0, 0, 0, 413, 186);
INSERT INTO public.who_data VALUES (97826, 0, 0, 0, 0, 413, 127);
INSERT INTO public.who_data VALUES (97827, 0, 0, 0, 0, 413, 232);
INSERT INTO public.who_data VALUES (97828, 0, 0, 0, 0, 413, 33);
INSERT INTO public.who_data VALUES (97829, 0, 0, 0, 0, 413, 97);
INSERT INTO public.who_data VALUES (97830, 0, 0, 0, 0, 413, 42);
INSERT INTO public.who_data VALUES (97831, 0, 0, 0, 0, 413, 198);
INSERT INTO public.who_data VALUES (97832, 0, 0, 0, 0, 413, 216);
INSERT INTO public.who_data VALUES (97833, 0, 0, 0, 0, 413, 164);
INSERT INTO public.who_data VALUES (97834, 0, 0, 0, 0, 413, 235);
INSERT INTO public.who_data VALUES (97835, 0, 0, 0, 0, 413, 67);
INSERT INTO public.who_data VALUES (97836, 0, 0, 0, 0, 413, 15);
INSERT INTO public.who_data VALUES (97837, 0, 0, 0, 0, 413, 180);
INSERT INTO public.who_data VALUES (97838, 0, 0, 0, 0, 413, 237);
INSERT INTO public.who_data VALUES (97839, 0, 0, 0, 0, 413, 25);
INSERT INTO public.who_data VALUES (97840, 0, 0, 0, 0, 413, 209);
INSERT INTO public.who_data VALUES (97841, 0, 0, 0, 0, 413, 217);
INSERT INTO public.who_data VALUES (97842, 0, 0, 0, 0, 413, 79);
INSERT INTO public.who_data VALUES (97843, 0, 0, 0, 0, 413, 143);
INSERT INTO public.who_data VALUES (97844, 0, 0, 0, 0, 413, 229);
INSERT INTO public.who_data VALUES (97845, 0, 0, 0, 0, 413, 141);
INSERT INTO public.who_data VALUES (97846, 0, 0, 0, 0, 413, 197);
INSERT INTO public.who_data VALUES (97847, 0, 0, 0, 0, 413, 221);
INSERT INTO public.who_data VALUES (97848, 0, 0, 0, 0, 413, 150);
INSERT INTO public.who_data VALUES (97849, 0, 0, 0, 0, 413, 56);
INSERT INTO public.who_data VALUES (97850, 0, 0, 0, 0, 413, 167);
INSERT INTO public.who_data VALUES (97851, 0, 0, 0, 0, 413, 23);
INSERT INTO public.who_data VALUES (97852, 0, 0, 0, 0, 413, 222);
INSERT INTO public.who_data VALUES (97853, 0, 0, 0, 0, 413, 219);
INSERT INTO public.who_data VALUES (97854, 0, 0, 0, 0, 413, 7);
INSERT INTO public.who_data VALUES (97855, 0, 0, 0, 0, 413, 161);
INSERT INTO public.who_data VALUES (97856, 0, 0, 0, 0, 413, 149);
INSERT INTO public.who_data VALUES (97857, 0, 0, 0, 0, 413, 6);
INSERT INTO public.who_data VALUES (97858, 0, 0, 0, 0, 413, 139);
INSERT INTO public.who_data VALUES (97859, 0, 0, 0, 0, 413, 211);
INSERT INTO public.who_data VALUES (97860, 0, 0, 0, 0, 413, 14);
INSERT INTO public.who_data VALUES (97861, 0, 0, 0, 0, 413, 111);
INSERT INTO public.who_data VALUES (97862, 0, 0, 0, 0, 413, 207);
INSERT INTO public.who_data VALUES (97863, 0, 0, 0, 0, 413, 66);
INSERT INTO public.who_data VALUES (97864, 0, 0, 0, 0, 413, 173);
INSERT INTO public.who_data VALUES (97865, 0, 0, 0, 0, 413, 145);
INSERT INTO public.who_data VALUES (97866, 0, 0, 0, 0, 413, 65);
INSERT INTO public.who_data VALUES (97867, 0, 0, 0, 0, 413, 184);
INSERT INTO public.who_data VALUES (97868, 0, 0, 0, 0, 413, 98);
INSERT INTO public.who_data VALUES (97869, 0, 0, 0, 0, 413, 104);
INSERT INTO public.who_data VALUES (97870, 0, 0, 0, 0, 413, 73);
INSERT INTO public.who_data VALUES (97871, 0, 0, 0, 0, 413, 8);
INSERT INTO public.who_data VALUES (97872, 0, 0, 0, 0, 413, 227);
INSERT INTO public.who_data VALUES (97873, 0, 0, 0, 0, 413, 75);
INSERT INTO public.who_data VALUES (97874, 0, 0, 0, 0, 413, 45);
INSERT INTO public.who_data VALUES (97875, 0, 0, 0, 0, 413, 133);
INSERT INTO public.who_data VALUES (97876, 0, 0, 0, 0, 413, 202);
INSERT INTO public.who_data VALUES (97877, 0, 0, 0, 0, 413, 129);
INSERT INTO public.who_data VALUES (97878, 0, 0, 0, 0, 413, 36);
INSERT INTO public.who_data VALUES (97879, 0, 0, 0, 0, 413, 51);
INSERT INTO public.who_data VALUES (97880, 0, 0, 0, 0, 413, 206);
INSERT INTO public.who_data VALUES (97881, 0, 0, 0, 0, 413, 5);
INSERT INTO public.who_data VALUES (97882, 0, 0, 0, 0, 414, 103);
INSERT INTO public.who_data VALUES (97883, 0, 0, 0, 0, 414, 58);
INSERT INTO public.who_data VALUES (97884, 0, 0, 0, 0, 414, 195);
INSERT INTO public.who_data VALUES (97885, 0, 0, 0, 0, 414, 115);
INSERT INTO public.who_data VALUES (97886, 0, 0, 0, 0, 414, 99);
INSERT INTO public.who_data VALUES (97887, 0, 0, 0, 0, 414, 153);
INSERT INTO public.who_data VALUES (97888, 0, 0, 0, 0, 414, 93);
INSERT INTO public.who_data VALUES (97889, 0, 0, 0, 0, 414, 84);
INSERT INTO public.who_data VALUES (97890, 0, 0, 0, 0, 414, 78);
INSERT INTO public.who_data VALUES (97891, 0, 0, 0, 0, 414, 170);
INSERT INTO public.who_data VALUES (97892, 0, 0, 0, 0, 414, 32);
INSERT INTO public.who_data VALUES (97893, 0, 0, 0, 0, 414, 155);
INSERT INTO public.who_data VALUES (97894, 0, 0, 0, 0, 414, 82);
INSERT INTO public.who_data VALUES (97895, 0, 0, 0, 0, 414, 16);
INSERT INTO public.who_data VALUES (97896, 0, 0, 0, 0, 414, 72);
INSERT INTO public.who_data VALUES (97897, 0, 0, 0, 0, 414, 43);
INSERT INTO public.who_data VALUES (97898, 0, 0, 0, 0, 414, 120);
INSERT INTO public.who_data VALUES (97899, 0, 0, 0, 0, 414, 213);
INSERT INTO public.who_data VALUES (97900, 0, 0, 0, 0, 414, 31);
INSERT INTO public.who_data VALUES (97901, 0, 0, 0, 0, 414, 204);
INSERT INTO public.who_data VALUES (97902, 0, 0, 0, 0, 414, 152);
INSERT INTO public.who_data VALUES (97903, 0, 0, 0, 0, 414, 144);
INSERT INTO public.who_data VALUES (97904, 0, 0, 0, 0, 414, 96);
INSERT INTO public.who_data VALUES (97905, 0, 0, 0, 0, 414, 47);
INSERT INTO public.who_data VALUES (97906, 0, 0, 0, 0, 414, 80);
INSERT INTO public.who_data VALUES (97907, 0, 0, 0, 0, 414, 159);
INSERT INTO public.who_data VALUES (97908, 0, 0, 0, 0, 414, 27);
INSERT INTO public.who_data VALUES (97909, 0, 0, 0, 0, 414, 146);
INSERT INTO public.who_data VALUES (97910, 0, 0, 0, 0, 414, 71);
INSERT INTO public.who_data VALUES (97911, 0, 0, 0, 0, 414, 210);
INSERT INTO public.who_data VALUES (97912, 0, 0, 0, 0, 414, 54);
INSERT INTO public.who_data VALUES (97913, 0, 0, 0, 0, 414, 147);
INSERT INTO public.who_data VALUES (97914, 0, 0, 0, 0, 414, 2);
INSERT INTO public.who_data VALUES (97915, 0, 0, 0, 0, 414, 105);
INSERT INTO public.who_data VALUES (97916, 0, 0, 0, 0, 414, 53);
INSERT INTO public.who_data VALUES (97917, 0, 0, 0, 0, 414, 81);
INSERT INTO public.who_data VALUES (97918, 0, 0, 0, 0, 414, 223);
INSERT INTO public.who_data VALUES (97919, 0, 0, 0, 0, 414, 94);
INSERT INTO public.who_data VALUES (97920, 0, 0, 0, 0, 414, 154);
INSERT INTO public.who_data VALUES (97921, 0, 0, 0, 0, 414, 83);
INSERT INTO public.who_data VALUES (97922, 0, 0, 0, 0, 414, 194);
INSERT INTO public.who_data VALUES (97923, 0, 0, 0, 0, 414, 136);
INSERT INTO public.who_data VALUES (97924, 1, 1, 0, 0, 414, 179);
INSERT INTO public.who_data VALUES (97925, 0, 0, 0, 0, 414, 57);
INSERT INTO public.who_data VALUES (97926, 0, 0, 0, 0, 414, 35);
INSERT INTO public.who_data VALUES (97927, 0, 0, 0, 0, 414, 228);
INSERT INTO public.who_data VALUES (97928, 0, 0, 0, 0, 414, 19);
INSERT INTO public.who_data VALUES (97929, 0, 0, 0, 0, 414, 22);
INSERT INTO public.who_data VALUES (97930, 0, 0, 0, 0, 414, 1);
INSERT INTO public.who_data VALUES (97931, 0, 0, 0, 0, 414, 21);
INSERT INTO public.who_data VALUES (97932, 0, 0, 0, 0, 414, 234);
INSERT INTO public.who_data VALUES (97933, 0, 0, 0, 0, 414, 91);
INSERT INTO public.who_data VALUES (97934, 0, 0, 0, 0, 414, 137);
INSERT INTO public.who_data VALUES (97935, 0, 0, 0, 0, 414, 201);
INSERT INTO public.who_data VALUES (97936, 0, 0, 0, 0, 414, 171);
INSERT INTO public.who_data VALUES (97937, 0, 0, 0, 0, 414, 92);
INSERT INTO public.who_data VALUES (97938, 0, 0, 0, 0, 414, 112);
INSERT INTO public.who_data VALUES (97939, 0, 0, 0, 0, 414, 62);
INSERT INTO public.who_data VALUES (97940, 0, 0, 0, 0, 414, 69);
INSERT INTO public.who_data VALUES (97941, 0, 0, 0, 0, 414, 220);
INSERT INTO public.who_data VALUES (97942, 0, 0, 0, 0, 414, 100);
INSERT INTO public.who_data VALUES (97943, 0, 0, 0, 0, 414, 187);
INSERT INTO public.who_data VALUES (97944, 0, 0, 0, 0, 414, 63);
INSERT INTO public.who_data VALUES (97945, 0, 0, 0, 0, 414, 28);
INSERT INTO public.who_data VALUES (97946, 0, 0, 0, 0, 414, 172);
INSERT INTO public.who_data VALUES (97947, 0, 0, 0, 0, 414, 17);
INSERT INTO public.who_data VALUES (97948, 0, 0, 0, 0, 414, 226);
INSERT INTO public.who_data VALUES (97949, 0, 0, 0, 0, 414, 236);
INSERT INTO public.who_data VALUES (97950, 0, 0, 0, 0, 414, 76);
INSERT INTO public.who_data VALUES (97951, 0, 0, 0, 0, 414, 30);
INSERT INTO public.who_data VALUES (97952, 0, 0, 0, 0, 414, 128);
INSERT INTO public.who_data VALUES (97953, 0, 0, 0, 0, 414, 86);
INSERT INTO public.who_data VALUES (97954, 0, 0, 0, 0, 414, 140);
INSERT INTO public.who_data VALUES (97955, 0, 0, 0, 0, 414, 44);
INSERT INTO public.who_data VALUES (97956, 0, 0, 0, 0, 414, 113);
INSERT INTO public.who_data VALUES (97957, 0, 0, 0, 0, 414, 29);
INSERT INTO public.who_data VALUES (97958, 0, 0, 0, 0, 414, 125);
INSERT INTO public.who_data VALUES (97959, 0, 0, 0, 0, 414, 131);
INSERT INTO public.who_data VALUES (97960, 0, 0, 0, 0, 414, 46);
INSERT INTO public.who_data VALUES (97961, 0, 0, 0, 0, 414, 10);
INSERT INTO public.who_data VALUES (97962, 0, 0, 0, 0, 414, 205);
INSERT INTO public.who_data VALUES (97963, 0, 0, 0, 0, 414, 50);
INSERT INTO public.who_data VALUES (97964, 0, 0, 0, 0, 414, 20);
INSERT INTO public.who_data VALUES (97965, 0, 0, 0, 0, 414, 13);
INSERT INTO public.who_data VALUES (97966, 0, 0, 0, 0, 414, 148);
INSERT INTO public.who_data VALUES (97967, 0, 0, 0, 0, 414, 230);
INSERT INTO public.who_data VALUES (97968, 0, 0, 0, 0, 414, 190);
INSERT INTO public.who_data VALUES (97969, 0, 0, 0, 0, 414, 188);
INSERT INTO public.who_data VALUES (97970, 0, 0, 0, 0, 414, 123);
INSERT INTO public.who_data VALUES (97971, 0, 0, 0, 0, 414, 9);
INSERT INTO public.who_data VALUES (97972, 0, 0, 0, 0, 414, 102);
INSERT INTO public.who_data VALUES (97973, 0, 0, 0, 0, 414, 34);
INSERT INTO public.who_data VALUES (97974, 0, 0, 0, 0, 414, 212);
INSERT INTO public.who_data VALUES (97975, 0, 0, 0, 0, 414, 122);
INSERT INTO public.who_data VALUES (97976, 0, 0, 0, 0, 414, 38);
INSERT INTO public.who_data VALUES (97977, 0, 0, 0, 0, 414, 130);
INSERT INTO public.who_data VALUES (97978, 0, 0, 0, 0, 414, 37);
INSERT INTO public.who_data VALUES (97979, 0, 0, 0, 0, 414, 231);
INSERT INTO public.who_data VALUES (97980, 0, 0, 0, 0, 414, 107);
INSERT INTO public.who_data VALUES (97981, 0, 0, 0, 0, 414, 101);
INSERT INTO public.who_data VALUES (97982, 0, 0, 0, 0, 414, 132);
INSERT INTO public.who_data VALUES (97983, 0, 0, 0, 0, 414, 176);
INSERT INTO public.who_data VALUES (97984, 0, 0, 0, 0, 414, 200);
INSERT INTO public.who_data VALUES (97985, 0, 0, 0, 0, 414, 169);
INSERT INTO public.who_data VALUES (97986, 0, 0, 0, 0, 414, 225);
INSERT INTO public.who_data VALUES (97987, 0, 0, 0, 0, 414, 165);
INSERT INTO public.who_data VALUES (97988, 0, 0, 0, 0, 414, 233);
INSERT INTO public.who_data VALUES (97989, 0, 0, 0, 0, 414, 215);
INSERT INTO public.who_data VALUES (97990, 0, 0, 0, 0, 414, 177);
INSERT INTO public.who_data VALUES (97991, 0, 0, 0, 0, 414, 183);
INSERT INTO public.who_data VALUES (97992, 0, 0, 0, 0, 414, 203);
INSERT INTO public.who_data VALUES (97993, 0, 0, 0, 0, 414, 162);
INSERT INTO public.who_data VALUES (97994, 0, 0, 0, 0, 414, 12);
INSERT INTO public.who_data VALUES (97995, 0, 0, 0, 0, 414, 24);
INSERT INTO public.who_data VALUES (97996, 0, 0, 0, 0, 414, 119);
INSERT INTO public.who_data VALUES (97997, 0, 0, 0, 0, 414, 39);
INSERT INTO public.who_data VALUES (97998, 0, 0, 0, 0, 414, 26);
INSERT INTO public.who_data VALUES (97999, 0, 0, 0, 0, 414, 59);
INSERT INTO public.who_data VALUES (98000, 0, 0, 0, 0, 414, 77);
INSERT INTO public.who_data VALUES (98001, 0, 0, 0, 0, 414, 134);
INSERT INTO public.who_data VALUES (98002, 0, 0, 0, 0, 414, 4);
INSERT INTO public.who_data VALUES (98003, 0, 0, 0, 0, 414, 109);
INSERT INTO public.who_data VALUES (98004, 0, 0, 0, 0, 414, 90);
INSERT INTO public.who_data VALUES (98005, 0, 0, 0, 0, 414, 61);
INSERT INTO public.who_data VALUES (98006, 0, 0, 0, 0, 414, 85);
INSERT INTO public.who_data VALUES (98007, 0, 0, 0, 0, 414, 49);
INSERT INTO public.who_data VALUES (98008, 0, 0, 0, 0, 414, 208);
INSERT INTO public.who_data VALUES (98009, 0, 0, 0, 0, 414, 166);
INSERT INTO public.who_data VALUES (98010, 0, 0, 0, 0, 414, 64);
INSERT INTO public.who_data VALUES (98011, 0, 0, 0, 0, 414, 199);
INSERT INTO public.who_data VALUES (98012, 0, 0, 0, 0, 414, 114);
INSERT INTO public.who_data VALUES (98013, 0, 0, 0, 0, 414, 60);
INSERT INTO public.who_data VALUES (98014, 0, 0, 0, 0, 414, 68);
INSERT INTO public.who_data VALUES (98015, 0, 0, 0, 0, 414, 158);
INSERT INTO public.who_data VALUES (98016, 0, 0, 0, 0, 414, 52);
INSERT INTO public.who_data VALUES (98017, 0, 0, 0, 0, 414, 117);
INSERT INTO public.who_data VALUES (98018, 0, 0, 0, 0, 414, 126);
INSERT INTO public.who_data VALUES (98019, 0, 0, 0, 0, 414, 196);
INSERT INTO public.who_data VALUES (98020, 0, 0, 0, 0, 414, 142);
INSERT INTO public.who_data VALUES (98021, 0, 0, 0, 0, 414, 185);
INSERT INTO public.who_data VALUES (98022, 0, 0, 0, 0, 414, 138);
INSERT INTO public.who_data VALUES (98023, 0, 0, 0, 0, 414, 181);
INSERT INTO public.who_data VALUES (98024, 0, 0, 0, 0, 414, 178);
INSERT INTO public.who_data VALUES (98025, 0, 0, 0, 0, 414, 168);
INSERT INTO public.who_data VALUES (98026, 0, 0, 0, 0, 414, 160);
INSERT INTO public.who_data VALUES (98027, 0, 0, 0, 0, 414, 151);
INSERT INTO public.who_data VALUES (98028, 0, 0, 0, 0, 414, 193);
INSERT INTO public.who_data VALUES (98029, 0, 0, 0, 0, 414, 18);
INSERT INTO public.who_data VALUES (98030, 0, 0, 0, 0, 414, 40);
INSERT INTO public.who_data VALUES (98031, 0, 0, 0, 0, 414, 218);
INSERT INTO public.who_data VALUES (98032, 0, 0, 0, 0, 414, 191);
INSERT INTO public.who_data VALUES (98033, 0, 0, 0, 0, 414, 156);
INSERT INTO public.who_data VALUES (98034, 0, 0, 0, 0, 414, 135);
INSERT INTO public.who_data VALUES (98035, 0, 0, 0, 0, 414, 88);
INSERT INTO public.who_data VALUES (98036, 0, 0, 0, 0, 414, 55);
INSERT INTO public.who_data VALUES (98037, 0, 0, 0, 0, 414, 108);
INSERT INTO public.who_data VALUES (98038, 0, 0, 0, 0, 414, 48);
INSERT INTO public.who_data VALUES (98039, 0, 0, 0, 0, 414, 3);
INSERT INTO public.who_data VALUES (98040, 0, 0, 0, 0, 414, 224);
INSERT INTO public.who_data VALUES (98041, 0, 0, 0, 0, 414, 110);
INSERT INTO public.who_data VALUES (98042, 0, 0, 0, 0, 414, 106);
INSERT INTO public.who_data VALUES (98043, 0, 0, 0, 0, 414, 89);
INSERT INTO public.who_data VALUES (98044, 0, 0, 0, 0, 414, 121);
INSERT INTO public.who_data VALUES (98045, 0, 0, 0, 0, 414, 163);
INSERT INTO public.who_data VALUES (98046, 0, 0, 0, 0, 414, 70);
INSERT INTO public.who_data VALUES (98047, 0, 0, 0, 0, 414, 174);
INSERT INTO public.who_data VALUES (98048, 0, 0, 0, 0, 414, 175);
INSERT INTO public.who_data VALUES (98049, 0, 0, 0, 0, 414, 118);
INSERT INTO public.who_data VALUES (98050, 0, 0, 0, 0, 414, 189);
INSERT INTO public.who_data VALUES (98051, 0, 0, 0, 0, 414, 124);
INSERT INTO public.who_data VALUES (98052, 0, 0, 0, 0, 414, 192);
INSERT INTO public.who_data VALUES (98053, 0, 0, 0, 0, 414, 41);
INSERT INTO public.who_data VALUES (98054, 0, 0, 0, 0, 414, 95);
INSERT INTO public.who_data VALUES (98055, 0, 0, 0, 0, 414, 74);
INSERT INTO public.who_data VALUES (98056, 0, 0, 0, 0, 414, 11);
INSERT INTO public.who_data VALUES (98057, 0, 0, 0, 0, 414, 87);
INSERT INTO public.who_data VALUES (98058, 0, 0, 0, 0, 414, 214);
INSERT INTO public.who_data VALUES (98059, 0, 0, 0, 0, 414, 116);
INSERT INTO public.who_data VALUES (98060, 0, 0, 0, 0, 414, 157);
INSERT INTO public.who_data VALUES (98061, 0, 0, 0, 0, 414, 182);
INSERT INTO public.who_data VALUES (98062, 0, 0, 0, 0, 414, 186);
INSERT INTO public.who_data VALUES (98063, 0, 0, 0, 0, 414, 127);
INSERT INTO public.who_data VALUES (98064, 0, 0, 0, 0, 414, 232);
INSERT INTO public.who_data VALUES (98065, 0, 0, 0, 0, 414, 33);
INSERT INTO public.who_data VALUES (98066, 0, 0, 0, 0, 414, 97);
INSERT INTO public.who_data VALUES (98067, 0, 0, 0, 0, 414, 42);
INSERT INTO public.who_data VALUES (98068, 0, 0, 0, 0, 414, 198);
INSERT INTO public.who_data VALUES (98069, 0, 0, 0, 0, 414, 216);
INSERT INTO public.who_data VALUES (98070, 0, 0, 0, 0, 414, 164);
INSERT INTO public.who_data VALUES (98071, 0, 0, 0, 0, 414, 235);
INSERT INTO public.who_data VALUES (98072, 0, 0, 0, 0, 414, 67);
INSERT INTO public.who_data VALUES (98073, 0, 0, 0, 0, 414, 15);
INSERT INTO public.who_data VALUES (98074, 0, 0, 0, 0, 414, 180);
INSERT INTO public.who_data VALUES (98075, 0, 0, 0, 0, 414, 237);
INSERT INTO public.who_data VALUES (98076, 0, 0, 0, 0, 414, 25);
INSERT INTO public.who_data VALUES (98077, 0, 0, 0, 0, 414, 209);
INSERT INTO public.who_data VALUES (98078, 0, 0, 0, 0, 414, 217);
INSERT INTO public.who_data VALUES (98079, 0, 0, 0, 0, 414, 79);
INSERT INTO public.who_data VALUES (98080, 0, 0, 0, 0, 414, 143);
INSERT INTO public.who_data VALUES (98081, 0, 0, 0, 0, 414, 229);
INSERT INTO public.who_data VALUES (98082, 0, 0, 0, 0, 414, 141);
INSERT INTO public.who_data VALUES (98083, 0, 0, 0, 0, 414, 197);
INSERT INTO public.who_data VALUES (98084, 0, 0, 0, 0, 414, 221);
INSERT INTO public.who_data VALUES (98085, 0, 0, 0, 0, 414, 150);
INSERT INTO public.who_data VALUES (98086, 0, 0, 0, 0, 414, 56);
INSERT INTO public.who_data VALUES (98087, 0, 0, 0, 0, 414, 167);
INSERT INTO public.who_data VALUES (98088, 0, 0, 0, 0, 414, 23);
INSERT INTO public.who_data VALUES (98089, 0, 0, 0, 0, 414, 222);
INSERT INTO public.who_data VALUES (98090, 0, 0, 0, 0, 414, 219);
INSERT INTO public.who_data VALUES (98091, 0, 0, 0, 0, 414, 7);
INSERT INTO public.who_data VALUES (98092, 0, 0, 0, 0, 414, 161);
INSERT INTO public.who_data VALUES (98093, 0, 0, 0, 0, 414, 149);
INSERT INTO public.who_data VALUES (98094, 0, 0, 0, 0, 414, 6);
INSERT INTO public.who_data VALUES (98095, 0, 0, 0, 0, 414, 139);
INSERT INTO public.who_data VALUES (98096, 0, 0, 0, 0, 414, 211);
INSERT INTO public.who_data VALUES (98097, 0, 0, 0, 0, 414, 14);
INSERT INTO public.who_data VALUES (98098, 0, 0, 0, 0, 414, 111);
INSERT INTO public.who_data VALUES (98099, 0, 0, 0, 0, 414, 207);
INSERT INTO public.who_data VALUES (98100, 0, 0, 0, 0, 414, 66);
INSERT INTO public.who_data VALUES (98101, 0, 0, 0, 0, 414, 173);
INSERT INTO public.who_data VALUES (98102, 0, 0, 0, 0, 414, 145);
INSERT INTO public.who_data VALUES (98103, 0, 0, 0, 0, 414, 65);
INSERT INTO public.who_data VALUES (98104, 0, 0, 0, 0, 414, 184);
INSERT INTO public.who_data VALUES (98105, 0, 0, 0, 0, 414, 98);
INSERT INTO public.who_data VALUES (98106, 0, 0, 0, 0, 414, 104);
INSERT INTO public.who_data VALUES (98107, 0, 0, 0, 0, 414, 73);
INSERT INTO public.who_data VALUES (98108, 0, 0, 0, 0, 414, 8);
INSERT INTO public.who_data VALUES (98109, 0, 0, 0, 0, 414, 227);
INSERT INTO public.who_data VALUES (98110, 0, 0, 0, 0, 414, 75);
INSERT INTO public.who_data VALUES (98111, 0, 0, 0, 0, 414, 45);
INSERT INTO public.who_data VALUES (98112, 0, 0, 0, 0, 414, 133);
INSERT INTO public.who_data VALUES (98113, 0, 0, 0, 0, 414, 202);
INSERT INTO public.who_data VALUES (98114, 0, 0, 0, 0, 414, 129);
INSERT INTO public.who_data VALUES (98115, 0, 0, 0, 0, 414, 36);
INSERT INTO public.who_data VALUES (98116, 0, 0, 0, 0, 414, 51);
INSERT INTO public.who_data VALUES (98117, 0, 0, 0, 0, 414, 206);
INSERT INTO public.who_data VALUES (98118, 0, 0, 0, 0, 414, 5);
INSERT INTO public.who_data VALUES (98119, 0, 0, 0, 0, 415, 103);
INSERT INTO public.who_data VALUES (98120, 0, 0, 0, 0, 415, 58);
INSERT INTO public.who_data VALUES (98121, 0, 0, 0, 0, 415, 195);
INSERT INTO public.who_data VALUES (98122, 0, 0, 0, 0, 415, 115);
INSERT INTO public.who_data VALUES (98123, 0, 0, 0, 0, 415, 99);
INSERT INTO public.who_data VALUES (98124, 0, 0, 0, 0, 415, 153);
INSERT INTO public.who_data VALUES (98125, 0, 0, 0, 0, 415, 93);
INSERT INTO public.who_data VALUES (98126, 0, 0, 0, 0, 415, 84);
INSERT INTO public.who_data VALUES (98127, 0, 0, 0, 0, 415, 78);
INSERT INTO public.who_data VALUES (98128, 0, 0, 0, 0, 415, 170);
INSERT INTO public.who_data VALUES (98129, 0, 0, 0, 0, 415, 32);
INSERT INTO public.who_data VALUES (98130, 0, 0, 0, 0, 415, 155);
INSERT INTO public.who_data VALUES (98131, 0, 0, 0, 0, 415, 82);
INSERT INTO public.who_data VALUES (98132, 0, 0, 0, 0, 415, 16);
INSERT INTO public.who_data VALUES (98133, 0, 0, 0, 0, 415, 72);
INSERT INTO public.who_data VALUES (98134, 0, 0, 0, 0, 415, 43);
INSERT INTO public.who_data VALUES (98135, 0, 0, 0, 0, 415, 120);
INSERT INTO public.who_data VALUES (98136, 0, 0, 0, 0, 415, 213);
INSERT INTO public.who_data VALUES (98137, 0, 0, 0, 0, 415, 31);
INSERT INTO public.who_data VALUES (98138, 0, 0, 0, 0, 415, 204);
INSERT INTO public.who_data VALUES (98139, 0, 0, 0, 0, 415, 152);
INSERT INTO public.who_data VALUES (98140, 0, 0, 0, 0, 415, 144);
INSERT INTO public.who_data VALUES (98141, 0, 0, 0, 0, 415, 96);
INSERT INTO public.who_data VALUES (98142, 0, 0, 0, 0, 415, 47);
INSERT INTO public.who_data VALUES (98143, 0, 0, 0, 0, 415, 80);
INSERT INTO public.who_data VALUES (98144, 0, 0, 0, 0, 415, 159);
INSERT INTO public.who_data VALUES (98145, 0, 0, 0, 0, 415, 27);
INSERT INTO public.who_data VALUES (98146, 0, 0, 0, 0, 415, 146);
INSERT INTO public.who_data VALUES (98147, 0, 0, 0, 0, 415, 71);
INSERT INTO public.who_data VALUES (98148, 0, 0, 0, 0, 415, 210);
INSERT INTO public.who_data VALUES (98149, 0, 0, 0, 0, 415, 54);
INSERT INTO public.who_data VALUES (98150, 0, 0, 0, 0, 415, 147);
INSERT INTO public.who_data VALUES (98151, 0, 0, 0, 0, 415, 2);
INSERT INTO public.who_data VALUES (98152, 0, 0, 0, 0, 415, 105);
INSERT INTO public.who_data VALUES (98153, 0, 0, 0, 0, 415, 53);
INSERT INTO public.who_data VALUES (98154, 0, 0, 0, 0, 415, 81);
INSERT INTO public.who_data VALUES (98155, 0, 0, 0, 0, 415, 223);
INSERT INTO public.who_data VALUES (98156, 0, 0, 0, 0, 415, 94);
INSERT INTO public.who_data VALUES (98157, 0, 0, 0, 0, 415, 154);
INSERT INTO public.who_data VALUES (98158, 0, 0, 0, 0, 415, 83);
INSERT INTO public.who_data VALUES (98159, 0, 0, 0, 0, 415, 194);
INSERT INTO public.who_data VALUES (98160, 0, 0, 0, 0, 415, 136);
INSERT INTO public.who_data VALUES (98161, 0, 0, 0, 0, 415, 179);
INSERT INTO public.who_data VALUES (98162, 0, 0, 0, 0, 415, 57);
INSERT INTO public.who_data VALUES (98163, 0, 0, 0, 0, 415, 35);
INSERT INTO public.who_data VALUES (98164, 0, 0, 0, 0, 415, 228);
INSERT INTO public.who_data VALUES (98165, 0, 0, 0, 0, 415, 19);
INSERT INTO public.who_data VALUES (98166, 0, 0, 0, 0, 415, 22);
INSERT INTO public.who_data VALUES (98167, 0, 0, 0, 0, 415, 1);
INSERT INTO public.who_data VALUES (98168, 0, 0, 0, 0, 415, 21);
INSERT INTO public.who_data VALUES (98169, 0, 0, 0, 0, 415, 234);
INSERT INTO public.who_data VALUES (98170, 0, 0, 0, 0, 415, 91);
INSERT INTO public.who_data VALUES (98171, 0, 0, 0, 0, 415, 137);
INSERT INTO public.who_data VALUES (98172, 0, 0, 0, 0, 415, 201);
INSERT INTO public.who_data VALUES (98173, 0, 0, 0, 0, 415, 171);
INSERT INTO public.who_data VALUES (98174, 0, 0, 0, 0, 415, 92);
INSERT INTO public.who_data VALUES (98175, 0, 0, 0, 0, 415, 112);
INSERT INTO public.who_data VALUES (98176, 0, 0, 0, 0, 415, 62);
INSERT INTO public.who_data VALUES (98177, 0, 0, 0, 0, 415, 69);
INSERT INTO public.who_data VALUES (98178, 0, 0, 0, 0, 415, 220);
INSERT INTO public.who_data VALUES (98179, 0, 0, 0, 0, 415, 100);
INSERT INTO public.who_data VALUES (98180, 0, 0, 0, 0, 415, 187);
INSERT INTO public.who_data VALUES (98181, 0, 0, 0, 0, 415, 63);
INSERT INTO public.who_data VALUES (98182, 0, 0, 0, 0, 415, 28);
INSERT INTO public.who_data VALUES (98183, 0, 0, 0, 0, 415, 172);
INSERT INTO public.who_data VALUES (98184, 0, 0, 0, 0, 415, 17);
INSERT INTO public.who_data VALUES (98185, 0, 0, 0, 0, 415, 226);
INSERT INTO public.who_data VALUES (98186, 0, 0, 0, 0, 415, 236);
INSERT INTO public.who_data VALUES (98187, 0, 0, 0, 0, 415, 76);
INSERT INTO public.who_data VALUES (98188, 0, 0, 0, 0, 415, 30);
INSERT INTO public.who_data VALUES (98189, 0, 0, 0, 0, 415, 128);
INSERT INTO public.who_data VALUES (98190, 0, 0, 0, 0, 415, 86);
INSERT INTO public.who_data VALUES (98191, 0, 0, 0, 0, 415, 140);
INSERT INTO public.who_data VALUES (98192, 0, 0, 0, 0, 415, 44);
INSERT INTO public.who_data VALUES (98193, 0, 0, 0, 0, 415, 113);
INSERT INTO public.who_data VALUES (98194, 0, 0, 0, 0, 415, 29);
INSERT INTO public.who_data VALUES (98195, 0, 0, 0, 0, 415, 125);
INSERT INTO public.who_data VALUES (98196, 0, 0, 0, 0, 415, 131);
INSERT INTO public.who_data VALUES (98197, 0, 0, 0, 0, 415, 46);
INSERT INTO public.who_data VALUES (98198, 0, 0, 0, 0, 415, 10);
INSERT INTO public.who_data VALUES (98199, 0, 0, 0, 0, 415, 205);
INSERT INTO public.who_data VALUES (98200, 0, 0, 0, 0, 415, 50);
INSERT INTO public.who_data VALUES (98201, 0, 0, 0, 0, 415, 20);
INSERT INTO public.who_data VALUES (98202, 0, 0, 0, 0, 415, 13);
INSERT INTO public.who_data VALUES (98203, 0, 0, 0, 0, 415, 148);
INSERT INTO public.who_data VALUES (98204, 0, 0, 0, 0, 415, 230);
INSERT INTO public.who_data VALUES (98205, 0, 0, 0, 0, 415, 190);
INSERT INTO public.who_data VALUES (98206, 0, 0, 0, 0, 415, 188);
INSERT INTO public.who_data VALUES (98207, 0, 0, 0, 0, 415, 123);
INSERT INTO public.who_data VALUES (98208, 0, 0, 0, 0, 415, 9);
INSERT INTO public.who_data VALUES (98209, 0, 0, 0, 0, 415, 102);
INSERT INTO public.who_data VALUES (98210, 0, 0, 0, 0, 415, 34);
INSERT INTO public.who_data VALUES (98211, 0, 0, 0, 0, 415, 212);
INSERT INTO public.who_data VALUES (98212, 0, 0, 0, 0, 415, 122);
INSERT INTO public.who_data VALUES (98213, 0, 0, 0, 0, 415, 38);
INSERT INTO public.who_data VALUES (98214, 0, 0, 0, 0, 415, 130);
INSERT INTO public.who_data VALUES (98215, 0, 0, 0, 0, 415, 37);
INSERT INTO public.who_data VALUES (98216, 0, 0, 0, 0, 415, 231);
INSERT INTO public.who_data VALUES (98217, 0, 0, 0, 0, 415, 107);
INSERT INTO public.who_data VALUES (98218, 0, 0, 0, 0, 415, 101);
INSERT INTO public.who_data VALUES (98219, 0, 0, 0, 0, 415, 132);
INSERT INTO public.who_data VALUES (98220, 0, 0, 0, 0, 415, 176);
INSERT INTO public.who_data VALUES (98221, 0, 0, 0, 0, 415, 200);
INSERT INTO public.who_data VALUES (98222, 0, 0, 0, 0, 415, 169);
INSERT INTO public.who_data VALUES (98223, 0, 0, 0, 0, 415, 225);
INSERT INTO public.who_data VALUES (98224, 0, 0, 0, 0, 415, 165);
INSERT INTO public.who_data VALUES (98225, 0, 0, 0, 0, 415, 233);
INSERT INTO public.who_data VALUES (98226, 0, 0, 0, 0, 415, 215);
INSERT INTO public.who_data VALUES (98227, 0, 0, 0, 0, 415, 177);
INSERT INTO public.who_data VALUES (98228, 0, 0, 0, 0, 415, 183);
INSERT INTO public.who_data VALUES (98229, 0, 0, 0, 0, 415, 203);
INSERT INTO public.who_data VALUES (98230, 0, 0, 0, 0, 415, 162);
INSERT INTO public.who_data VALUES (98231, 0, 0, 0, 0, 415, 12);
INSERT INTO public.who_data VALUES (98232, 0, 0, 0, 0, 415, 24);
INSERT INTO public.who_data VALUES (98233, 0, 0, 0, 0, 415, 119);
INSERT INTO public.who_data VALUES (98234, 0, 0, 0, 0, 415, 39);
INSERT INTO public.who_data VALUES (98235, 0, 0, 0, 0, 415, 26);
INSERT INTO public.who_data VALUES (98236, 0, 0, 0, 0, 415, 59);
INSERT INTO public.who_data VALUES (98237, 0, 0, 0, 0, 415, 77);
INSERT INTO public.who_data VALUES (98238, 0, 0, 0, 0, 415, 134);
INSERT INTO public.who_data VALUES (98239, 0, 0, 0, 0, 415, 4);
INSERT INTO public.who_data VALUES (98240, 0, 0, 0, 0, 415, 109);
INSERT INTO public.who_data VALUES (98241, 0, 0, 0, 0, 415, 90);
INSERT INTO public.who_data VALUES (98242, 0, 0, 0, 0, 415, 61);
INSERT INTO public.who_data VALUES (98243, 0, 0, 0, 0, 415, 85);
INSERT INTO public.who_data VALUES (98244, 0, 0, 0, 0, 415, 49);
INSERT INTO public.who_data VALUES (98245, 0, 0, 0, 0, 415, 208);
INSERT INTO public.who_data VALUES (98246, 0, 0, 0, 0, 415, 166);
INSERT INTO public.who_data VALUES (98247, 0, 0, 0, 0, 415, 64);
INSERT INTO public.who_data VALUES (98248, 0, 0, 0, 0, 415, 199);
INSERT INTO public.who_data VALUES (98249, 0, 0, 0, 0, 415, 114);
INSERT INTO public.who_data VALUES (98250, 0, 0, 0, 0, 415, 60);
INSERT INTO public.who_data VALUES (98251, 0, 0, 0, 0, 415, 68);
INSERT INTO public.who_data VALUES (98252, 0, 0, 0, 0, 415, 158);
INSERT INTO public.who_data VALUES (98253, 0, 0, 0, 0, 415, 52);
INSERT INTO public.who_data VALUES (98254, 0, 0, 0, 0, 415, 117);
INSERT INTO public.who_data VALUES (98255, 0, 0, 0, 0, 415, 126);
INSERT INTO public.who_data VALUES (98256, 0, 0, 0, 0, 415, 196);
INSERT INTO public.who_data VALUES (98257, 0, 0, 0, 0, 415, 142);
INSERT INTO public.who_data VALUES (98258, 0, 0, 0, 0, 415, 185);
INSERT INTO public.who_data VALUES (98259, 0, 0, 0, 0, 415, 138);
INSERT INTO public.who_data VALUES (98260, 0, 0, 0, 0, 415, 181);
INSERT INTO public.who_data VALUES (98261, 0, 0, 0, 0, 415, 178);
INSERT INTO public.who_data VALUES (98262, 0, 0, 0, 0, 415, 168);
INSERT INTO public.who_data VALUES (98263, 0, 0, 0, 0, 415, 160);
INSERT INTO public.who_data VALUES (98264, 0, 0, 0, 0, 415, 151);
INSERT INTO public.who_data VALUES (98265, 0, 0, 0, 0, 415, 193);
INSERT INTO public.who_data VALUES (98266, 0, 0, 0, 0, 415, 18);
INSERT INTO public.who_data VALUES (98267, 0, 0, 0, 0, 415, 40);
INSERT INTO public.who_data VALUES (98268, 0, 0, 0, 0, 415, 218);
INSERT INTO public.who_data VALUES (98269, 0, 0, 0, 0, 415, 191);
INSERT INTO public.who_data VALUES (98270, 0, 0, 0, 0, 415, 156);
INSERT INTO public.who_data VALUES (98271, 0, 0, 0, 0, 415, 135);
INSERT INTO public.who_data VALUES (98272, 0, 0, 0, 0, 415, 88);
INSERT INTO public.who_data VALUES (98273, 0, 0, 0, 0, 415, 55);
INSERT INTO public.who_data VALUES (98274, 0, 0, 0, 0, 415, 108);
INSERT INTO public.who_data VALUES (98275, 0, 0, 0, 0, 415, 48);
INSERT INTO public.who_data VALUES (98276, 0, 0, 0, 0, 415, 3);
INSERT INTO public.who_data VALUES (98277, 0, 0, 0, 0, 415, 224);
INSERT INTO public.who_data VALUES (98278, 0, 0, 0, 0, 415, 110);
INSERT INTO public.who_data VALUES (98279, 0, 0, 0, 0, 415, 106);
INSERT INTO public.who_data VALUES (98280, 0, 0, 0, 0, 415, 89);
INSERT INTO public.who_data VALUES (98281, 0, 0, 0, 0, 415, 121);
INSERT INTO public.who_data VALUES (98282, 0, 0, 0, 0, 415, 163);
INSERT INTO public.who_data VALUES (98283, 0, 0, 0, 0, 415, 70);
INSERT INTO public.who_data VALUES (98284, 0, 0, 0, 0, 415, 174);
INSERT INTO public.who_data VALUES (98285, 0, 0, 0, 0, 415, 175);
INSERT INTO public.who_data VALUES (98286, 0, 0, 0, 0, 415, 118);
INSERT INTO public.who_data VALUES (98287, 0, 0, 0, 0, 415, 189);
INSERT INTO public.who_data VALUES (98288, 0, 0, 0, 0, 415, 124);
INSERT INTO public.who_data VALUES (98289, 0, 0, 0, 0, 415, 192);
INSERT INTO public.who_data VALUES (98290, 0, 0, 0, 0, 415, 41);
INSERT INTO public.who_data VALUES (98291, 0, 0, 0, 0, 415, 95);
INSERT INTO public.who_data VALUES (98292, 0, 0, 0, 0, 415, 74);
INSERT INTO public.who_data VALUES (98293, 0, 0, 0, 0, 415, 11);
INSERT INTO public.who_data VALUES (98294, 0, 0, 0, 0, 415, 87);
INSERT INTO public.who_data VALUES (98295, 0, 0, 0, 0, 415, 214);
INSERT INTO public.who_data VALUES (98296, 0, 0, 0, 0, 415, 116);
INSERT INTO public.who_data VALUES (98297, 0, 0, 0, 0, 415, 157);
INSERT INTO public.who_data VALUES (98298, 0, 0, 0, 0, 415, 182);
INSERT INTO public.who_data VALUES (98299, 0, 0, 0, 0, 415, 186);
INSERT INTO public.who_data VALUES (98300, 0, 0, 0, 0, 415, 127);
INSERT INTO public.who_data VALUES (98301, 0, 0, 0, 0, 415, 232);
INSERT INTO public.who_data VALUES (98302, 0, 0, 0, 0, 415, 33);
INSERT INTO public.who_data VALUES (98303, 0, 0, 0, 0, 415, 97);
INSERT INTO public.who_data VALUES (98304, 0, 0, 0, 0, 415, 42);
INSERT INTO public.who_data VALUES (98305, 0, 0, 0, 0, 415, 198);
INSERT INTO public.who_data VALUES (98306, 0, 0, 0, 0, 415, 216);
INSERT INTO public.who_data VALUES (98307, 0, 0, 0, 0, 415, 164);
INSERT INTO public.who_data VALUES (98308, 0, 0, 0, 0, 415, 235);
INSERT INTO public.who_data VALUES (98309, 0, 0, 0, 0, 415, 67);
INSERT INTO public.who_data VALUES (98310, 0, 0, 0, 0, 415, 15);
INSERT INTO public.who_data VALUES (98311, 0, 0, 0, 0, 415, 180);
INSERT INTO public.who_data VALUES (98312, 0, 0, 0, 0, 415, 237);
INSERT INTO public.who_data VALUES (98313, 0, 0, 0, 0, 415, 25);
INSERT INTO public.who_data VALUES (98314, 0, 0, 0, 0, 415, 209);
INSERT INTO public.who_data VALUES (98315, 0, 0, 0, 0, 415, 217);
INSERT INTO public.who_data VALUES (98316, 0, 0, 0, 0, 415, 79);
INSERT INTO public.who_data VALUES (98317, 0, 0, 0, 0, 415, 143);
INSERT INTO public.who_data VALUES (98318, 0, 0, 0, 0, 415, 229);
INSERT INTO public.who_data VALUES (98319, 0, 0, 0, 0, 415, 141);
INSERT INTO public.who_data VALUES (98320, 0, 0, 0, 0, 415, 197);
INSERT INTO public.who_data VALUES (98321, 0, 0, 0, 0, 415, 221);
INSERT INTO public.who_data VALUES (98322, 0, 0, 0, 0, 415, 150);
INSERT INTO public.who_data VALUES (98323, 0, 0, 0, 0, 415, 56);
INSERT INTO public.who_data VALUES (98324, 0, 0, 0, 0, 415, 167);
INSERT INTO public.who_data VALUES (98325, 0, 0, 0, 0, 415, 23);
INSERT INTO public.who_data VALUES (98326, 0, 0, 0, 0, 415, 222);
INSERT INTO public.who_data VALUES (98327, 0, 0, 0, 0, 415, 219);
INSERT INTO public.who_data VALUES (98328, 0, 0, 0, 0, 415, 7);
INSERT INTO public.who_data VALUES (98329, 0, 0, 0, 0, 415, 161);
INSERT INTO public.who_data VALUES (98330, 0, 0, 0, 0, 415, 149);
INSERT INTO public.who_data VALUES (98331, 0, 0, 0, 0, 415, 6);
INSERT INTO public.who_data VALUES (98332, 0, 0, 0, 0, 415, 139);
INSERT INTO public.who_data VALUES (98333, 0, 0, 0, 0, 415, 211);
INSERT INTO public.who_data VALUES (98334, 0, 0, 0, 0, 415, 14);
INSERT INTO public.who_data VALUES (98335, 0, 0, 0, 0, 415, 111);
INSERT INTO public.who_data VALUES (98336, 0, 0, 0, 0, 415, 207);
INSERT INTO public.who_data VALUES (98337, 0, 0, 0, 0, 415, 66);
INSERT INTO public.who_data VALUES (98338, 0, 0, 0, 0, 415, 173);
INSERT INTO public.who_data VALUES (98339, 0, 0, 0, 0, 415, 145);
INSERT INTO public.who_data VALUES (98340, 0, 0, 0, 0, 415, 65);
INSERT INTO public.who_data VALUES (98341, 0, 0, 0, 0, 415, 184);
INSERT INTO public.who_data VALUES (98342, 0, 0, 0, 0, 415, 98);
INSERT INTO public.who_data VALUES (98343, 0, 0, 0, 0, 415, 104);
INSERT INTO public.who_data VALUES (98344, 0, 0, 0, 0, 415, 73);
INSERT INTO public.who_data VALUES (98345, 0, 0, 0, 0, 415, 8);
INSERT INTO public.who_data VALUES (98346, 0, 0, 0, 0, 415, 227);
INSERT INTO public.who_data VALUES (98347, 0, 0, 0, 0, 415, 75);
INSERT INTO public.who_data VALUES (98348, 0, 0, 0, 0, 415, 45);
INSERT INTO public.who_data VALUES (98349, 0, 0, 0, 0, 415, 133);
INSERT INTO public.who_data VALUES (98350, 0, 0, 0, 0, 415, 202);
INSERT INTO public.who_data VALUES (98351, 0, 0, 0, 0, 415, 129);
INSERT INTO public.who_data VALUES (98352, 0, 0, 0, 0, 415, 36);
INSERT INTO public.who_data VALUES (98353, 0, 0, 0, 0, 415, 51);
INSERT INTO public.who_data VALUES (98354, 0, 0, 0, 0, 415, 206);
INSERT INTO public.who_data VALUES (98355, 0, 0, 0, 0, 415, 5);


--
-- Data for Name: who_date_reported; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.who_date_reported VALUES (1, '2021-02-20', '2021-07', '2021-02-20', 2021, 2, 20, 6, 7);
INSERT INTO public.who_date_reported VALUES (2, '2021-02-19', '2021-07', '2021-02-19', 2021, 2, 19, 5, 7);
INSERT INTO public.who_date_reported VALUES (3, '2021-02-18', '2021-07', '2021-02-18', 2021, 2, 18, 4, 7);
INSERT INTO public.who_date_reported VALUES (4, '2021-02-17', '2021-07', '2021-02-17', 2021, 2, 17, 3, 7);
INSERT INTO public.who_date_reported VALUES (5, '2021-02-16', '2021-07', '2021-02-16', 2021, 2, 16, 2, 7);
INSERT INTO public.who_date_reported VALUES (6, '2021-02-15', '2021-07', '2021-02-15', 2021, 2, 15, 1, 7);
INSERT INTO public.who_date_reported VALUES (7, '2021-02-14', '2021-06', '2021-02-14', 2021, 2, 14, 7, 6);
INSERT INTO public.who_date_reported VALUES (8, '2021-02-13', '2021-06', '2021-02-13', 2021, 2, 13, 6, 6);
INSERT INTO public.who_date_reported VALUES (9, '2021-02-12', '2021-06', '2021-02-12', 2021, 2, 12, 5, 6);
INSERT INTO public.who_date_reported VALUES (10, '2021-02-11', '2021-06', '2021-02-11', 2021, 2, 11, 4, 6);
INSERT INTO public.who_date_reported VALUES (11, '2021-02-10', '2021-06', '2021-02-10', 2021, 2, 10, 3, 6);
INSERT INTO public.who_date_reported VALUES (12, '2021-02-09', '2021-06', '2021-02-09', 2021, 2, 9, 2, 6);
INSERT INTO public.who_date_reported VALUES (13, '2021-02-08', '2021-06', '2021-02-08', 2021, 2, 8, 1, 6);
INSERT INTO public.who_date_reported VALUES (14, '2021-02-07', '2021-05', '2021-02-07', 2021, 2, 7, 7, 5);
INSERT INTO public.who_date_reported VALUES (15, '2021-02-06', '2021-05', '2021-02-06', 2021, 2, 6, 6, 5);
INSERT INTO public.who_date_reported VALUES (16, '2021-02-05', '2021-05', '2021-02-05', 2021, 2, 5, 5, 5);
INSERT INTO public.who_date_reported VALUES (17, '2021-02-04', '2021-05', '2021-02-04', 2021, 2, 4, 4, 5);
INSERT INTO public.who_date_reported VALUES (18, '2021-02-03', '2021-05', '2021-02-03', 2021, 2, 3, 3, 5);
INSERT INTO public.who_date_reported VALUES (19, '2021-02-02', '2021-05', '2021-02-02', 2021, 2, 2, 2, 5);
INSERT INTO public.who_date_reported VALUES (20, '2021-02-01', '2021-05', '2021-02-01', 2021, 2, 1, 1, 5);
INSERT INTO public.who_date_reported VALUES (21, '2021-01-31', '2021-04', '2021-01-31', 2021, 1, 31, 7, 4);
INSERT INTO public.who_date_reported VALUES (22, '2021-01-30', '2021-04', '2021-01-30', 2021, 1, 30, 6, 4);
INSERT INTO public.who_date_reported VALUES (23, '2021-01-29', '2021-04', '2021-01-29', 2021, 1, 29, 5, 4);
INSERT INTO public.who_date_reported VALUES (24, '2021-01-28', '2021-04', '2021-01-28', 2021, 1, 28, 4, 4);
INSERT INTO public.who_date_reported VALUES (25, '2021-01-27', '2021-04', '2021-01-27', 2021, 1, 27, 3, 4);
INSERT INTO public.who_date_reported VALUES (26, '2021-01-26', '2021-04', '2021-01-26', 2021, 1, 26, 2, 4);
INSERT INTO public.who_date_reported VALUES (27, '2021-01-25', '2021-04', '2021-01-25', 2021, 1, 25, 1, 4);
INSERT INTO public.who_date_reported VALUES (28, '2021-01-24', '2021-03', '2021-01-24', 2021, 1, 24, 7, 3);
INSERT INTO public.who_date_reported VALUES (29, '2021-01-23', '2021-03', '2021-01-23', 2021, 1, 23, 6, 3);
INSERT INTO public.who_date_reported VALUES (30, '2021-01-22', '2021-03', '2021-01-22', 2021, 1, 22, 5, 3);
INSERT INTO public.who_date_reported VALUES (31, '2021-01-21', '2021-03', '2021-01-21', 2021, 1, 21, 4, 3);
INSERT INTO public.who_date_reported VALUES (32, '2021-01-20', '2021-03', '2021-01-20', 2021, 1, 20, 3, 3);
INSERT INTO public.who_date_reported VALUES (33, '2021-01-19', '2021-03', '2021-01-19', 2021, 1, 19, 2, 3);
INSERT INTO public.who_date_reported VALUES (34, '2021-01-18', '2021-03', '2021-01-18', 2021, 1, 18, 1, 3);
INSERT INTO public.who_date_reported VALUES (35, '2021-01-17', '2021-02', '2021-01-17', 2021, 1, 17, 7, 2);
INSERT INTO public.who_date_reported VALUES (36, '2021-01-16', '2021-02', '2021-01-16', 2021, 1, 16, 6, 2);
INSERT INTO public.who_date_reported VALUES (37, '2021-01-15', '2021-02', '2021-01-15', 2021, 1, 15, 5, 2);
INSERT INTO public.who_date_reported VALUES (38, '2021-01-14', '2021-02', '2021-01-14', 2021, 1, 14, 4, 2);
INSERT INTO public.who_date_reported VALUES (39, '2021-01-13', '2021-02', '2021-01-13', 2021, 1, 13, 3, 2);
INSERT INTO public.who_date_reported VALUES (40, '2021-01-12', '2021-02', '2021-01-12', 2021, 1, 12, 2, 2);
INSERT INTO public.who_date_reported VALUES (41, '2021-01-11', '2021-02', '2021-01-11', 2021, 1, 11, 1, 2);
INSERT INTO public.who_date_reported VALUES (42, '2021-01-10', '2021-01', '2021-01-10', 2021, 1, 10, 7, 1);
INSERT INTO public.who_date_reported VALUES (43, '2021-01-09', '2021-01', '2021-01-09', 2021, 1, 9, 6, 1);
INSERT INTO public.who_date_reported VALUES (44, '2021-01-08', '2021-01', '2021-01-08', 2021, 1, 8, 5, 1);
INSERT INTO public.who_date_reported VALUES (45, '2021-01-07', '2021-01', '2021-01-07', 2021, 1, 7, 4, 1);
INSERT INTO public.who_date_reported VALUES (46, '2021-01-06', '2021-01', '2021-01-06', 2021, 1, 6, 3, 1);
INSERT INTO public.who_date_reported VALUES (47, '2021-01-05', '2021-01', '2021-01-05', 2021, 1, 5, 2, 1);
INSERT INTO public.who_date_reported VALUES (48, '2021-01-04', '2021-01', '2021-01-04', 2021, 1, 4, 1, 1);
INSERT INTO public.who_date_reported VALUES (49, '2021-01-03', '2020-53', '2021-01-03', 2021, 1, 3, 7, 53);
INSERT INTO public.who_date_reported VALUES (50, '2021-01-02', '2020-53', '2021-01-02', 2021, 1, 2, 6, 53);
INSERT INTO public.who_date_reported VALUES (51, '2021-01-01', '2020-53', '2021-01-01', 2021, 1, 1, 5, 53);
INSERT INTO public.who_date_reported VALUES (52, '2020-12-31', '2020-53', '2020-12-31', 2020, 12, 31, 4, 53);
INSERT INTO public.who_date_reported VALUES (53, '2020-12-30', '2020-53', '2020-12-30', 2020, 12, 30, 3, 53);
INSERT INTO public.who_date_reported VALUES (54, '2020-12-29', '2020-53', '2020-12-29', 2020, 12, 29, 2, 53);
INSERT INTO public.who_date_reported VALUES (55, '2020-12-28', '2020-53', '2020-12-28', 2020, 12, 28, 1, 53);
INSERT INTO public.who_date_reported VALUES (56, '2020-12-27', '2020-52', '2020-12-27', 2020, 12, 27, 7, 52);
INSERT INTO public.who_date_reported VALUES (57, '2020-12-26', '2020-52', '2020-12-26', 2020, 12, 26, 6, 52);
INSERT INTO public.who_date_reported VALUES (58, '2020-12-25', '2020-52', '2020-12-25', 2020, 12, 25, 5, 52);
INSERT INTO public.who_date_reported VALUES (59, '2020-12-24', '2020-52', '2020-12-24', 2020, 12, 24, 4, 52);
INSERT INTO public.who_date_reported VALUES (60, '2020-12-23', '2020-52', '2020-12-23', 2020, 12, 23, 3, 52);
INSERT INTO public.who_date_reported VALUES (61, '2020-12-22', '2020-52', '2020-12-22', 2020, 12, 22, 2, 52);
INSERT INTO public.who_date_reported VALUES (62, '2020-12-21', '2020-52', '2020-12-21', 2020, 12, 21, 1, 52);
INSERT INTO public.who_date_reported VALUES (63, '2020-12-20', '2020-51', '2020-12-20', 2020, 12, 20, 7, 51);
INSERT INTO public.who_date_reported VALUES (64, '2020-12-19', '2020-51', '2020-12-19', 2020, 12, 19, 6, 51);
INSERT INTO public.who_date_reported VALUES (65, '2020-12-18', '2020-51', '2020-12-18', 2020, 12, 18, 5, 51);
INSERT INTO public.who_date_reported VALUES (66, '2020-12-17', '2020-51', '2020-12-17', 2020, 12, 17, 4, 51);
INSERT INTO public.who_date_reported VALUES (67, '2020-12-16', '2020-51', '2020-12-16', 2020, 12, 16, 3, 51);
INSERT INTO public.who_date_reported VALUES (68, '2020-12-15', '2020-51', '2020-12-15', 2020, 12, 15, 2, 51);
INSERT INTO public.who_date_reported VALUES (69, '2020-12-14', '2020-51', '2020-12-14', 2020, 12, 14, 1, 51);
INSERT INTO public.who_date_reported VALUES (70, '2020-12-13', '2020-50', '2020-12-13', 2020, 12, 13, 7, 50);
INSERT INTO public.who_date_reported VALUES (71, '2020-12-12', '2020-50', '2020-12-12', 2020, 12, 12, 6, 50);
INSERT INTO public.who_date_reported VALUES (72, '2020-12-11', '2020-50', '2020-12-11', 2020, 12, 11, 5, 50);
INSERT INTO public.who_date_reported VALUES (73, '2020-12-10', '2020-50', '2020-12-10', 2020, 12, 10, 4, 50);
INSERT INTO public.who_date_reported VALUES (74, '2020-12-09', '2020-50', '2020-12-09', 2020, 12, 9, 3, 50);
INSERT INTO public.who_date_reported VALUES (75, '2020-12-08', '2020-50', '2020-12-08', 2020, 12, 8, 2, 50);
INSERT INTO public.who_date_reported VALUES (76, '2020-12-07', '2020-50', '2020-12-07', 2020, 12, 7, 1, 50);
INSERT INTO public.who_date_reported VALUES (77, '2020-12-06', '2020-49', '2020-12-06', 2020, 12, 6, 7, 49);
INSERT INTO public.who_date_reported VALUES (78, '2020-12-05', '2020-49', '2020-12-05', 2020, 12, 5, 6, 49);
INSERT INTO public.who_date_reported VALUES (79, '2020-12-04', '2020-49', '2020-12-04', 2020, 12, 4, 5, 49);
INSERT INTO public.who_date_reported VALUES (80, '2020-12-03', '2020-49', '2020-12-03', 2020, 12, 3, 4, 49);
INSERT INTO public.who_date_reported VALUES (81, '2020-12-02', '2020-49', '2020-12-02', 2020, 12, 2, 3, 49);
INSERT INTO public.who_date_reported VALUES (82, '2020-12-01', '2020-49', '2020-12-01', 2020, 12, 1, 2, 49);
INSERT INTO public.who_date_reported VALUES (83, '2020-11-30', '2020-49', '2020-11-30', 2020, 11, 30, 1, 49);
INSERT INTO public.who_date_reported VALUES (84, '2020-11-29', '2020-48', '2020-11-29', 2020, 11, 29, 7, 48);
INSERT INTO public.who_date_reported VALUES (85, '2020-11-28', '2020-48', '2020-11-28', 2020, 11, 28, 6, 48);
INSERT INTO public.who_date_reported VALUES (86, '2020-11-27', '2020-48', '2020-11-27', 2020, 11, 27, 5, 48);
INSERT INTO public.who_date_reported VALUES (87, '2020-11-26', '2020-48', '2020-11-26', 2020, 11, 26, 4, 48);
INSERT INTO public.who_date_reported VALUES (88, '2020-11-25', '2020-48', '2020-11-25', 2020, 11, 25, 3, 48);
INSERT INTO public.who_date_reported VALUES (89, '2020-11-24', '2020-48', '2020-11-24', 2020, 11, 24, 2, 48);
INSERT INTO public.who_date_reported VALUES (90, '2020-11-23', '2020-48', '2020-11-23', 2020, 11, 23, 1, 48);
INSERT INTO public.who_date_reported VALUES (91, '2020-11-22', '2020-47', '2020-11-22', 2020, 11, 22, 7, 47);
INSERT INTO public.who_date_reported VALUES (92, '2020-11-21', '2020-47', '2020-11-21', 2020, 11, 21, 6, 47);
INSERT INTO public.who_date_reported VALUES (93, '2020-11-20', '2020-47', '2020-11-20', 2020, 11, 20, 5, 47);
INSERT INTO public.who_date_reported VALUES (94, '2020-11-19', '2020-47', '2020-11-19', 2020, 11, 19, 4, 47);
INSERT INTO public.who_date_reported VALUES (95, '2020-11-18', '2020-47', '2020-11-18', 2020, 11, 18, 3, 47);
INSERT INTO public.who_date_reported VALUES (96, '2020-11-17', '2020-47', '2020-11-17', 2020, 11, 17, 2, 47);
INSERT INTO public.who_date_reported VALUES (97, '2020-11-16', '2020-47', '2020-11-16', 2020, 11, 16, 1, 47);
INSERT INTO public.who_date_reported VALUES (98, '2020-11-15', '2020-46', '2020-11-15', 2020, 11, 15, 7, 46);
INSERT INTO public.who_date_reported VALUES (99, '2020-11-14', '2020-46', '2020-11-14', 2020, 11, 14, 6, 46);
INSERT INTO public.who_date_reported VALUES (100, '2020-11-13', '2020-46', '2020-11-13', 2020, 11, 13, 5, 46);
INSERT INTO public.who_date_reported VALUES (101, '2020-11-12', '2020-46', '2020-11-12', 2020, 11, 12, 4, 46);
INSERT INTO public.who_date_reported VALUES (102, '2020-11-11', '2020-46', '2020-11-11', 2020, 11, 11, 3, 46);
INSERT INTO public.who_date_reported VALUES (103, '2020-11-10', '2020-46', '2020-11-10', 2020, 11, 10, 2, 46);
INSERT INTO public.who_date_reported VALUES (104, '2020-11-09', '2020-46', '2020-11-09', 2020, 11, 9, 1, 46);
INSERT INTO public.who_date_reported VALUES (105, '2020-11-08', '2020-45', '2020-11-08', 2020, 11, 8, 7, 45);
INSERT INTO public.who_date_reported VALUES (106, '2020-11-07', '2020-45', '2020-11-07', 2020, 11, 7, 6, 45);
INSERT INTO public.who_date_reported VALUES (107, '2020-11-06', '2020-45', '2020-11-06', 2020, 11, 6, 5, 45);
INSERT INTO public.who_date_reported VALUES (108, '2020-11-05', '2020-45', '2020-11-05', 2020, 11, 5, 4, 45);
INSERT INTO public.who_date_reported VALUES (109, '2020-11-04', '2020-45', '2020-11-04', 2020, 11, 4, 3, 45);
INSERT INTO public.who_date_reported VALUES (110, '2020-11-03', '2020-45', '2020-11-03', 2020, 11, 3, 2, 45);
INSERT INTO public.who_date_reported VALUES (111, '2020-11-02', '2020-45', '2020-11-02', 2020, 11, 2, 1, 45);
INSERT INTO public.who_date_reported VALUES (112, '2020-11-01', '2020-44', '2020-11-01', 2020, 11, 1, 7, 44);
INSERT INTO public.who_date_reported VALUES (113, '2020-10-31', '2020-44', '2020-10-31', 2020, 10, 31, 6, 44);
INSERT INTO public.who_date_reported VALUES (114, '2020-10-30', '2020-44', '2020-10-30', 2020, 10, 30, 5, 44);
INSERT INTO public.who_date_reported VALUES (115, '2020-10-29', '2020-44', '2020-10-29', 2020, 10, 29, 4, 44);
INSERT INTO public.who_date_reported VALUES (116, '2020-10-28', '2020-44', '2020-10-28', 2020, 10, 28, 3, 44);
INSERT INTO public.who_date_reported VALUES (117, '2020-10-27', '2020-44', '2020-10-27', 2020, 10, 27, 2, 44);
INSERT INTO public.who_date_reported VALUES (118, '2020-10-26', '2020-44', '2020-10-26', 2020, 10, 26, 1, 44);
INSERT INTO public.who_date_reported VALUES (119, '2020-10-25', '2020-43', '2020-10-25', 2020, 10, 25, 7, 43);
INSERT INTO public.who_date_reported VALUES (120, '2020-10-24', '2020-43', '2020-10-24', 2020, 10, 24, 6, 43);
INSERT INTO public.who_date_reported VALUES (121, '2020-10-23', '2020-43', '2020-10-23', 2020, 10, 23, 5, 43);
INSERT INTO public.who_date_reported VALUES (122, '2020-10-22', '2020-43', '2020-10-22', 2020, 10, 22, 4, 43);
INSERT INTO public.who_date_reported VALUES (123, '2020-10-21', '2020-43', '2020-10-21', 2020, 10, 21, 3, 43);
INSERT INTO public.who_date_reported VALUES (124, '2020-10-20', '2020-43', '2020-10-20', 2020, 10, 20, 2, 43);
INSERT INTO public.who_date_reported VALUES (125, '2020-10-19', '2020-43', '2020-10-19', 2020, 10, 19, 1, 43);
INSERT INTO public.who_date_reported VALUES (126, '2020-10-18', '2020-42', '2020-10-18', 2020, 10, 18, 7, 42);
INSERT INTO public.who_date_reported VALUES (127, '2020-10-17', '2020-42', '2020-10-17', 2020, 10, 17, 6, 42);
INSERT INTO public.who_date_reported VALUES (128, '2020-10-16', '2020-42', '2020-10-16', 2020, 10, 16, 5, 42);
INSERT INTO public.who_date_reported VALUES (129, '2020-10-15', '2020-42', '2020-10-15', 2020, 10, 15, 4, 42);
INSERT INTO public.who_date_reported VALUES (130, '2020-10-14', '2020-42', '2020-10-14', 2020, 10, 14, 3, 42);
INSERT INTO public.who_date_reported VALUES (131, '2020-10-13', '2020-42', '2020-10-13', 2020, 10, 13, 2, 42);
INSERT INTO public.who_date_reported VALUES (132, '2020-10-12', '2020-42', '2020-10-12', 2020, 10, 12, 1, 42);
INSERT INTO public.who_date_reported VALUES (133, '2020-10-11', '2020-41', '2020-10-11', 2020, 10, 11, 7, 41);
INSERT INTO public.who_date_reported VALUES (134, '2020-10-10', '2020-41', '2020-10-10', 2020, 10, 10, 6, 41);
INSERT INTO public.who_date_reported VALUES (135, '2020-10-09', '2020-41', '2020-10-09', 2020, 10, 9, 5, 41);
INSERT INTO public.who_date_reported VALUES (136, '2020-10-08', '2020-41', '2020-10-08', 2020, 10, 8, 4, 41);
INSERT INTO public.who_date_reported VALUES (137, '2020-10-07', '2020-41', '2020-10-07', 2020, 10, 7, 3, 41);
INSERT INTO public.who_date_reported VALUES (138, '2020-10-06', '2020-41', '2020-10-06', 2020, 10, 6, 2, 41);
INSERT INTO public.who_date_reported VALUES (139, '2020-10-05', '2020-41', '2020-10-05', 2020, 10, 5, 1, 41);
INSERT INTO public.who_date_reported VALUES (140, '2020-10-04', '2020-40', '2020-10-04', 2020, 10, 4, 7, 40);
INSERT INTO public.who_date_reported VALUES (141, '2020-10-03', '2020-40', '2020-10-03', 2020, 10, 3, 6, 40);
INSERT INTO public.who_date_reported VALUES (142, '2020-10-02', '2020-40', '2020-10-02', 2020, 10, 2, 5, 40);
INSERT INTO public.who_date_reported VALUES (143, '2020-10-01', '2020-40', '2020-10-01', 2020, 10, 1, 4, 40);
INSERT INTO public.who_date_reported VALUES (144, '2020-09-30', '2020-40', '2020-09-30', 2020, 9, 30, 3, 40);
INSERT INTO public.who_date_reported VALUES (145, '2020-09-29', '2020-40', '2020-09-29', 2020, 9, 29, 2, 40);
INSERT INTO public.who_date_reported VALUES (146, '2020-09-28', '2020-40', '2020-09-28', 2020, 9, 28, 1, 40);
INSERT INTO public.who_date_reported VALUES (147, '2020-09-27', '2020-39', '2020-09-27', 2020, 9, 27, 7, 39);
INSERT INTO public.who_date_reported VALUES (148, '2020-09-26', '2020-39', '2020-09-26', 2020, 9, 26, 6, 39);
INSERT INTO public.who_date_reported VALUES (149, '2020-09-25', '2020-39', '2020-09-25', 2020, 9, 25, 5, 39);
INSERT INTO public.who_date_reported VALUES (150, '2020-09-24', '2020-39', '2020-09-24', 2020, 9, 24, 4, 39);
INSERT INTO public.who_date_reported VALUES (151, '2020-09-23', '2020-39', '2020-09-23', 2020, 9, 23, 3, 39);
INSERT INTO public.who_date_reported VALUES (152, '2020-09-22', '2020-39', '2020-09-22', 2020, 9, 22, 2, 39);
INSERT INTO public.who_date_reported VALUES (153, '2020-09-21', '2020-39', '2020-09-21', 2020, 9, 21, 1, 39);
INSERT INTO public.who_date_reported VALUES (154, '2020-09-20', '2020-38', '2020-09-20', 2020, 9, 20, 7, 38);
INSERT INTO public.who_date_reported VALUES (155, '2020-09-19', '2020-38', '2020-09-19', 2020, 9, 19, 6, 38);
INSERT INTO public.who_date_reported VALUES (156, '2020-09-18', '2020-38', '2020-09-18', 2020, 9, 18, 5, 38);
INSERT INTO public.who_date_reported VALUES (157, '2020-09-17', '2020-38', '2020-09-17', 2020, 9, 17, 4, 38);
INSERT INTO public.who_date_reported VALUES (158, '2020-09-16', '2020-38', '2020-09-16', 2020, 9, 16, 3, 38);
INSERT INTO public.who_date_reported VALUES (159, '2020-09-15', '2020-38', '2020-09-15', 2020, 9, 15, 2, 38);
INSERT INTO public.who_date_reported VALUES (160, '2020-09-14', '2020-38', '2020-09-14', 2020, 9, 14, 1, 38);
INSERT INTO public.who_date_reported VALUES (161, '2020-09-13', '2020-37', '2020-09-13', 2020, 9, 13, 7, 37);
INSERT INTO public.who_date_reported VALUES (162, '2020-09-12', '2020-37', '2020-09-12', 2020, 9, 12, 6, 37);
INSERT INTO public.who_date_reported VALUES (163, '2020-09-11', '2020-37', '2020-09-11', 2020, 9, 11, 5, 37);
INSERT INTO public.who_date_reported VALUES (164, '2020-09-10', '2020-37', '2020-09-10', 2020, 9, 10, 4, 37);
INSERT INTO public.who_date_reported VALUES (165, '2020-09-09', '2020-37', '2020-09-09', 2020, 9, 9, 3, 37);
INSERT INTO public.who_date_reported VALUES (166, '2020-09-08', '2020-37', '2020-09-08', 2020, 9, 8, 2, 37);
INSERT INTO public.who_date_reported VALUES (167, '2020-09-07', '2020-37', '2020-09-07', 2020, 9, 7, 1, 37);
INSERT INTO public.who_date_reported VALUES (168, '2020-09-06', '2020-36', '2020-09-06', 2020, 9, 6, 7, 36);
INSERT INTO public.who_date_reported VALUES (169, '2020-09-05', '2020-36', '2020-09-05', 2020, 9, 5, 6, 36);
INSERT INTO public.who_date_reported VALUES (170, '2020-09-04', '2020-36', '2020-09-04', 2020, 9, 4, 5, 36);
INSERT INTO public.who_date_reported VALUES (171, '2020-09-03', '2020-36', '2020-09-03', 2020, 9, 3, 4, 36);
INSERT INTO public.who_date_reported VALUES (172, '2020-09-02', '2020-36', '2020-09-02', 2020, 9, 2, 3, 36);
INSERT INTO public.who_date_reported VALUES (173, '2020-09-01', '2020-36', '2020-09-01', 2020, 9, 1, 2, 36);
INSERT INTO public.who_date_reported VALUES (174, '2020-08-31', '2020-36', '2020-08-31', 2020, 8, 31, 1, 36);
INSERT INTO public.who_date_reported VALUES (175, '2020-08-30', '2020-35', '2020-08-30', 2020, 8, 30, 7, 35);
INSERT INTO public.who_date_reported VALUES (176, '2020-08-29', '2020-35', '2020-08-29', 2020, 8, 29, 6, 35);
INSERT INTO public.who_date_reported VALUES (177, '2020-08-28', '2020-35', '2020-08-28', 2020, 8, 28, 5, 35);
INSERT INTO public.who_date_reported VALUES (178, '2020-08-27', '2020-35', '2020-08-27', 2020, 8, 27, 4, 35);
INSERT INTO public.who_date_reported VALUES (179, '2020-08-26', '2020-35', '2020-08-26', 2020, 8, 26, 3, 35);
INSERT INTO public.who_date_reported VALUES (180, '2020-08-25', '2020-35', '2020-08-25', 2020, 8, 25, 2, 35);
INSERT INTO public.who_date_reported VALUES (181, '2020-08-24', '2020-35', '2020-08-24', 2020, 8, 24, 1, 35);
INSERT INTO public.who_date_reported VALUES (182, '2020-08-23', '2020-34', '2020-08-23', 2020, 8, 23, 7, 34);
INSERT INTO public.who_date_reported VALUES (183, '2020-08-22', '2020-34', '2020-08-22', 2020, 8, 22, 6, 34);
INSERT INTO public.who_date_reported VALUES (184, '2020-08-21', '2020-34', '2020-08-21', 2020, 8, 21, 5, 34);
INSERT INTO public.who_date_reported VALUES (185, '2020-08-20', '2020-34', '2020-08-20', 2020, 8, 20, 4, 34);
INSERT INTO public.who_date_reported VALUES (186, '2020-08-19', '2020-34', '2020-08-19', 2020, 8, 19, 3, 34);
INSERT INTO public.who_date_reported VALUES (187, '2020-08-18', '2020-34', '2020-08-18', 2020, 8, 18, 2, 34);
INSERT INTO public.who_date_reported VALUES (188, '2020-08-17', '2020-34', '2020-08-17', 2020, 8, 17, 1, 34);
INSERT INTO public.who_date_reported VALUES (189, '2020-08-16', '2020-33', '2020-08-16', 2020, 8, 16, 7, 33);
INSERT INTO public.who_date_reported VALUES (190, '2020-08-15', '2020-33', '2020-08-15', 2020, 8, 15, 6, 33);
INSERT INTO public.who_date_reported VALUES (191, '2020-08-14', '2020-33', '2020-08-14', 2020, 8, 14, 5, 33);
INSERT INTO public.who_date_reported VALUES (192, '2020-08-13', '2020-33', '2020-08-13', 2020, 8, 13, 4, 33);
INSERT INTO public.who_date_reported VALUES (193, '2020-08-12', '2020-33', '2020-08-12', 2020, 8, 12, 3, 33);
INSERT INTO public.who_date_reported VALUES (194, '2020-08-11', '2020-33', '2020-08-11', 2020, 8, 11, 2, 33);
INSERT INTO public.who_date_reported VALUES (195, '2020-08-10', '2020-33', '2020-08-10', 2020, 8, 10, 1, 33);
INSERT INTO public.who_date_reported VALUES (196, '2020-08-09', '2020-32', '2020-08-09', 2020, 8, 9, 7, 32);
INSERT INTO public.who_date_reported VALUES (197, '2020-08-08', '2020-32', '2020-08-08', 2020, 8, 8, 6, 32);
INSERT INTO public.who_date_reported VALUES (198, '2020-08-07', '2020-32', '2020-08-07', 2020, 8, 7, 5, 32);
INSERT INTO public.who_date_reported VALUES (199, '2020-08-06', '2020-32', '2020-08-06', 2020, 8, 6, 4, 32);
INSERT INTO public.who_date_reported VALUES (200, '2020-08-05', '2020-32', '2020-08-05', 2020, 8, 5, 3, 32);
INSERT INTO public.who_date_reported VALUES (201, '2020-08-04', '2020-32', '2020-08-04', 2020, 8, 4, 2, 32);
INSERT INTO public.who_date_reported VALUES (202, '2020-08-03', '2020-32', '2020-08-03', 2020, 8, 3, 1, 32);
INSERT INTO public.who_date_reported VALUES (203, '2020-08-02', '2020-31', '2020-08-02', 2020, 8, 2, 7, 31);
INSERT INTO public.who_date_reported VALUES (204, '2020-08-01', '2020-31', '2020-08-01', 2020, 8, 1, 6, 31);
INSERT INTO public.who_date_reported VALUES (205, '2020-07-31', '2020-31', '2020-07-31', 2020, 7, 31, 5, 31);
INSERT INTO public.who_date_reported VALUES (206, '2020-07-30', '2020-31', '2020-07-30', 2020, 7, 30, 4, 31);
INSERT INTO public.who_date_reported VALUES (207, '2020-07-29', '2020-31', '2020-07-29', 2020, 7, 29, 3, 31);
INSERT INTO public.who_date_reported VALUES (208, '2020-07-28', '2020-31', '2020-07-28', 2020, 7, 28, 2, 31);
INSERT INTO public.who_date_reported VALUES (209, '2020-07-27', '2020-31', '2020-07-27', 2020, 7, 27, 1, 31);
INSERT INTO public.who_date_reported VALUES (210, '2020-07-26', '2020-30', '2020-07-26', 2020, 7, 26, 7, 30);
INSERT INTO public.who_date_reported VALUES (211, '2020-07-25', '2020-30', '2020-07-25', 2020, 7, 25, 6, 30);
INSERT INTO public.who_date_reported VALUES (212, '2020-07-24', '2020-30', '2020-07-24', 2020, 7, 24, 5, 30);
INSERT INTO public.who_date_reported VALUES (213, '2020-07-23', '2020-30', '2020-07-23', 2020, 7, 23, 4, 30);
INSERT INTO public.who_date_reported VALUES (214, '2020-07-22', '2020-30', '2020-07-22', 2020, 7, 22, 3, 30);
INSERT INTO public.who_date_reported VALUES (215, '2020-07-21', '2020-30', '2020-07-21', 2020, 7, 21, 2, 30);
INSERT INTO public.who_date_reported VALUES (216, '2020-07-20', '2020-30', '2020-07-20', 2020, 7, 20, 1, 30);
INSERT INTO public.who_date_reported VALUES (217, '2020-07-19', '2020-29', '2020-07-19', 2020, 7, 19, 7, 29);
INSERT INTO public.who_date_reported VALUES (218, '2020-07-18', '2020-29', '2020-07-18', 2020, 7, 18, 6, 29);
INSERT INTO public.who_date_reported VALUES (219, '2020-07-17', '2020-29', '2020-07-17', 2020, 7, 17, 5, 29);
INSERT INTO public.who_date_reported VALUES (220, '2020-07-16', '2020-29', '2020-07-16', 2020, 7, 16, 4, 29);
INSERT INTO public.who_date_reported VALUES (221, '2020-07-15', '2020-29', '2020-07-15', 2020, 7, 15, 3, 29);
INSERT INTO public.who_date_reported VALUES (222, '2020-07-14', '2020-29', '2020-07-14', 2020, 7, 14, 2, 29);
INSERT INTO public.who_date_reported VALUES (223, '2020-07-13', '2020-29', '2020-07-13', 2020, 7, 13, 1, 29);
INSERT INTO public.who_date_reported VALUES (224, '2020-07-12', '2020-28', '2020-07-12', 2020, 7, 12, 7, 28);
INSERT INTO public.who_date_reported VALUES (225, '2020-07-11', '2020-28', '2020-07-11', 2020, 7, 11, 6, 28);
INSERT INTO public.who_date_reported VALUES (226, '2020-07-10', '2020-28', '2020-07-10', 2020, 7, 10, 5, 28);
INSERT INTO public.who_date_reported VALUES (227, '2020-07-09', '2020-28', '2020-07-09', 2020, 7, 9, 4, 28);
INSERT INTO public.who_date_reported VALUES (228, '2020-07-08', '2020-28', '2020-07-08', 2020, 7, 8, 3, 28);
INSERT INTO public.who_date_reported VALUES (229, '2020-07-07', '2020-28', '2020-07-07', 2020, 7, 7, 2, 28);
INSERT INTO public.who_date_reported VALUES (230, '2020-07-06', '2020-28', '2020-07-06', 2020, 7, 6, 1, 28);
INSERT INTO public.who_date_reported VALUES (231, '2020-07-05', '2020-27', '2020-07-05', 2020, 7, 5, 7, 27);
INSERT INTO public.who_date_reported VALUES (232, '2020-07-04', '2020-27', '2020-07-04', 2020, 7, 4, 6, 27);
INSERT INTO public.who_date_reported VALUES (233, '2020-07-03', '2020-27', '2020-07-03', 2020, 7, 3, 5, 27);
INSERT INTO public.who_date_reported VALUES (234, '2020-07-02', '2020-27', '2020-07-02', 2020, 7, 2, 4, 27);
INSERT INTO public.who_date_reported VALUES (235, '2020-07-01', '2020-27', '2020-07-01', 2020, 7, 1, 3, 27);
INSERT INTO public.who_date_reported VALUES (236, '2020-06-30', '2020-27', '2020-06-30', 2020, 6, 30, 2, 27);
INSERT INTO public.who_date_reported VALUES (237, '2020-06-29', '2020-27', '2020-06-29', 2020, 6, 29, 1, 27);
INSERT INTO public.who_date_reported VALUES (238, '2020-06-28', '2020-26', '2020-06-28', 2020, 6, 28, 7, 26);
INSERT INTO public.who_date_reported VALUES (239, '2020-06-27', '2020-26', '2020-06-27', 2020, 6, 27, 6, 26);
INSERT INTO public.who_date_reported VALUES (240, '2020-06-26', '2020-26', '2020-06-26', 2020, 6, 26, 5, 26);
INSERT INTO public.who_date_reported VALUES (241, '2020-06-25', '2020-26', '2020-06-25', 2020, 6, 25, 4, 26);
INSERT INTO public.who_date_reported VALUES (242, '2020-06-24', '2020-26', '2020-06-24', 2020, 6, 24, 3, 26);
INSERT INTO public.who_date_reported VALUES (243, '2020-06-23', '2020-26', '2020-06-23', 2020, 6, 23, 2, 26);
INSERT INTO public.who_date_reported VALUES (244, '2020-06-22', '2020-26', '2020-06-22', 2020, 6, 22, 1, 26);
INSERT INTO public.who_date_reported VALUES (245, '2020-06-21', '2020-25', '2020-06-21', 2020, 6, 21, 7, 25);
INSERT INTO public.who_date_reported VALUES (246, '2020-06-20', '2020-25', '2020-06-20', 2020, 6, 20, 6, 25);
INSERT INTO public.who_date_reported VALUES (247, '2020-06-19', '2020-25', '2020-06-19', 2020, 6, 19, 5, 25);
INSERT INTO public.who_date_reported VALUES (248, '2020-06-18', '2020-25', '2020-06-18', 2020, 6, 18, 4, 25);
INSERT INTO public.who_date_reported VALUES (249, '2020-06-17', '2020-25', '2020-06-17', 2020, 6, 17, 3, 25);
INSERT INTO public.who_date_reported VALUES (250, '2020-06-16', '2020-25', '2020-06-16', 2020, 6, 16, 2, 25);
INSERT INTO public.who_date_reported VALUES (251, '2020-06-15', '2020-25', '2020-06-15', 2020, 6, 15, 1, 25);
INSERT INTO public.who_date_reported VALUES (252, '2020-06-14', '2020-24', '2020-06-14', 2020, 6, 14, 7, 24);
INSERT INTO public.who_date_reported VALUES (253, '2020-06-13', '2020-24', '2020-06-13', 2020, 6, 13, 6, 24);
INSERT INTO public.who_date_reported VALUES (254, '2020-06-12', '2020-24', '2020-06-12', 2020, 6, 12, 5, 24);
INSERT INTO public.who_date_reported VALUES (255, '2020-06-11', '2020-24', '2020-06-11', 2020, 6, 11, 4, 24);
INSERT INTO public.who_date_reported VALUES (256, '2020-06-10', '2020-24', '2020-06-10', 2020, 6, 10, 3, 24);
INSERT INTO public.who_date_reported VALUES (257, '2020-06-09', '2020-24', '2020-06-09', 2020, 6, 9, 2, 24);
INSERT INTO public.who_date_reported VALUES (258, '2020-06-08', '2020-24', '2020-06-08', 2020, 6, 8, 1, 24);
INSERT INTO public.who_date_reported VALUES (259, '2020-06-07', '2020-23', '2020-06-07', 2020, 6, 7, 7, 23);
INSERT INTO public.who_date_reported VALUES (260, '2020-06-06', '2020-23', '2020-06-06', 2020, 6, 6, 6, 23);
INSERT INTO public.who_date_reported VALUES (261, '2020-06-05', '2020-23', '2020-06-05', 2020, 6, 5, 5, 23);
INSERT INTO public.who_date_reported VALUES (262, '2020-06-04', '2020-23', '2020-06-04', 2020, 6, 4, 4, 23);
INSERT INTO public.who_date_reported VALUES (263, '2020-06-03', '2020-23', '2020-06-03', 2020, 6, 3, 3, 23);
INSERT INTO public.who_date_reported VALUES (264, '2020-06-02', '2020-23', '2020-06-02', 2020, 6, 2, 2, 23);
INSERT INTO public.who_date_reported VALUES (265, '2020-06-01', '2020-23', '2020-06-01', 2020, 6, 1, 1, 23);
INSERT INTO public.who_date_reported VALUES (266, '2020-05-31', '2020-22', '2020-05-31', 2020, 5, 31, 7, 22);
INSERT INTO public.who_date_reported VALUES (267, '2020-05-30', '2020-22', '2020-05-30', 2020, 5, 30, 6, 22);
INSERT INTO public.who_date_reported VALUES (268, '2020-05-29', '2020-22', '2020-05-29', 2020, 5, 29, 5, 22);
INSERT INTO public.who_date_reported VALUES (269, '2020-05-28', '2020-22', '2020-05-28', 2020, 5, 28, 4, 22);
INSERT INTO public.who_date_reported VALUES (270, '2020-05-27', '2020-22', '2020-05-27', 2020, 5, 27, 3, 22);
INSERT INTO public.who_date_reported VALUES (271, '2020-05-26', '2020-22', '2020-05-26', 2020, 5, 26, 2, 22);
INSERT INTO public.who_date_reported VALUES (272, '2020-05-25', '2020-22', '2020-05-25', 2020, 5, 25, 1, 22);
INSERT INTO public.who_date_reported VALUES (273, '2020-05-24', '2020-21', '2020-05-24', 2020, 5, 24, 7, 21);
INSERT INTO public.who_date_reported VALUES (274, '2020-05-23', '2020-21', '2020-05-23', 2020, 5, 23, 6, 21);
INSERT INTO public.who_date_reported VALUES (275, '2020-05-22', '2020-21', '2020-05-22', 2020, 5, 22, 5, 21);
INSERT INTO public.who_date_reported VALUES (276, '2020-05-21', '2020-21', '2020-05-21', 2020, 5, 21, 4, 21);
INSERT INTO public.who_date_reported VALUES (277, '2020-05-20', '2020-21', '2020-05-20', 2020, 5, 20, 3, 21);
INSERT INTO public.who_date_reported VALUES (278, '2020-05-19', '2020-21', '2020-05-19', 2020, 5, 19, 2, 21);
INSERT INTO public.who_date_reported VALUES (279, '2020-05-18', '2020-21', '2020-05-18', 2020, 5, 18, 1, 21);
INSERT INTO public.who_date_reported VALUES (280, '2020-05-17', '2020-20', '2020-05-17', 2020, 5, 17, 7, 20);
INSERT INTO public.who_date_reported VALUES (281, '2020-05-16', '2020-20', '2020-05-16', 2020, 5, 16, 6, 20);
INSERT INTO public.who_date_reported VALUES (282, '2020-05-15', '2020-20', '2020-05-15', 2020, 5, 15, 5, 20);
INSERT INTO public.who_date_reported VALUES (283, '2020-05-14', '2020-20', '2020-05-14', 2020, 5, 14, 4, 20);
INSERT INTO public.who_date_reported VALUES (284, '2020-05-13', '2020-20', '2020-05-13', 2020, 5, 13, 3, 20);
INSERT INTO public.who_date_reported VALUES (285, '2020-05-12', '2020-20', '2020-05-12', 2020, 5, 12, 2, 20);
INSERT INTO public.who_date_reported VALUES (286, '2020-05-11', '2020-20', '2020-05-11', 2020, 5, 11, 1, 20);
INSERT INTO public.who_date_reported VALUES (287, '2020-05-10', '2020-19', '2020-05-10', 2020, 5, 10, 7, 19);
INSERT INTO public.who_date_reported VALUES (288, '2020-05-09', '2020-19', '2020-05-09', 2020, 5, 9, 6, 19);
INSERT INTO public.who_date_reported VALUES (289, '2020-05-08', '2020-19', '2020-05-08', 2020, 5, 8, 5, 19);
INSERT INTO public.who_date_reported VALUES (290, '2020-05-07', '2020-19', '2020-05-07', 2020, 5, 7, 4, 19);
INSERT INTO public.who_date_reported VALUES (291, '2020-05-06', '2020-19', '2020-05-06', 2020, 5, 6, 3, 19);
INSERT INTO public.who_date_reported VALUES (292, '2020-05-05', '2020-19', '2020-05-05', 2020, 5, 5, 2, 19);
INSERT INTO public.who_date_reported VALUES (293, '2020-05-04', '2020-19', '2020-05-04', 2020, 5, 4, 1, 19);
INSERT INTO public.who_date_reported VALUES (294, '2020-05-03', '2020-18', '2020-05-03', 2020, 5, 3, 7, 18);
INSERT INTO public.who_date_reported VALUES (295, '2020-05-02', '2020-18', '2020-05-02', 2020, 5, 2, 6, 18);
INSERT INTO public.who_date_reported VALUES (296, '2020-05-01', '2020-18', '2020-05-01', 2020, 5, 1, 5, 18);
INSERT INTO public.who_date_reported VALUES (297, '2020-04-30', '2020-18', '2020-04-30', 2020, 4, 30, 4, 18);
INSERT INTO public.who_date_reported VALUES (298, '2020-04-29', '2020-18', '2020-04-29', 2020, 4, 29, 3, 18);
INSERT INTO public.who_date_reported VALUES (299, '2020-04-28', '2020-18', '2020-04-28', 2020, 4, 28, 2, 18);
INSERT INTO public.who_date_reported VALUES (300, '2020-04-27', '2020-18', '2020-04-27', 2020, 4, 27, 1, 18);
INSERT INTO public.who_date_reported VALUES (301, '2020-04-26', '2020-17', '2020-04-26', 2020, 4, 26, 7, 17);
INSERT INTO public.who_date_reported VALUES (302, '2020-04-25', '2020-17', '2020-04-25', 2020, 4, 25, 6, 17);
INSERT INTO public.who_date_reported VALUES (303, '2020-04-24', '2020-17', '2020-04-24', 2020, 4, 24, 5, 17);
INSERT INTO public.who_date_reported VALUES (304, '2020-04-23', '2020-17', '2020-04-23', 2020, 4, 23, 4, 17);
INSERT INTO public.who_date_reported VALUES (305, '2020-04-22', '2020-17', '2020-04-22', 2020, 4, 22, 3, 17);
INSERT INTO public.who_date_reported VALUES (306, '2020-04-21', '2020-17', '2020-04-21', 2020, 4, 21, 2, 17);
INSERT INTO public.who_date_reported VALUES (307, '2020-04-20', '2020-17', '2020-04-20', 2020, 4, 20, 1, 17);
INSERT INTO public.who_date_reported VALUES (308, '2020-04-19', '2020-16', '2020-04-19', 2020, 4, 19, 7, 16);
INSERT INTO public.who_date_reported VALUES (309, '2020-04-18', '2020-16', '2020-04-18', 2020, 4, 18, 6, 16);
INSERT INTO public.who_date_reported VALUES (310, '2020-04-17', '2020-16', '2020-04-17', 2020, 4, 17, 5, 16);
INSERT INTO public.who_date_reported VALUES (311, '2020-04-16', '2020-16', '2020-04-16', 2020, 4, 16, 4, 16);
INSERT INTO public.who_date_reported VALUES (312, '2020-04-15', '2020-16', '2020-04-15', 2020, 4, 15, 3, 16);
INSERT INTO public.who_date_reported VALUES (313, '2020-04-14', '2020-16', '2020-04-14', 2020, 4, 14, 2, 16);
INSERT INTO public.who_date_reported VALUES (314, '2020-04-13', '2020-16', '2020-04-13', 2020, 4, 13, 1, 16);
INSERT INTO public.who_date_reported VALUES (315, '2020-04-12', '2020-15', '2020-04-12', 2020, 4, 12, 7, 15);
INSERT INTO public.who_date_reported VALUES (316, '2020-04-11', '2020-15', '2020-04-11', 2020, 4, 11, 6, 15);
INSERT INTO public.who_date_reported VALUES (317, '2020-04-10', '2020-15', '2020-04-10', 2020, 4, 10, 5, 15);
INSERT INTO public.who_date_reported VALUES (318, '2020-04-09', '2020-15', '2020-04-09', 2020, 4, 9, 4, 15);
INSERT INTO public.who_date_reported VALUES (319, '2020-04-08', '2020-15', '2020-04-08', 2020, 4, 8, 3, 15);
INSERT INTO public.who_date_reported VALUES (320, '2020-04-07', '2020-15', '2020-04-07', 2020, 4, 7, 2, 15);
INSERT INTO public.who_date_reported VALUES (321, '2020-04-06', '2020-15', '2020-04-06', 2020, 4, 6, 1, 15);
INSERT INTO public.who_date_reported VALUES (322, '2020-04-05', '2020-14', '2020-04-05', 2020, 4, 5, 7, 14);
INSERT INTO public.who_date_reported VALUES (323, '2020-04-04', '2020-14', '2020-04-04', 2020, 4, 4, 6, 14);
INSERT INTO public.who_date_reported VALUES (324, '2020-04-03', '2020-14', '2020-04-03', 2020, 4, 3, 5, 14);
INSERT INTO public.who_date_reported VALUES (325, '2020-04-02', '2020-14', '2020-04-02', 2020, 4, 2, 4, 14);
INSERT INTO public.who_date_reported VALUES (326, '2020-04-01', '2020-14', '2020-04-01', 2020, 4, 1, 3, 14);
INSERT INTO public.who_date_reported VALUES (327, '2020-03-31', '2020-14', '2020-03-31', 2020, 3, 31, 2, 14);
INSERT INTO public.who_date_reported VALUES (328, '2020-03-30', '2020-14', '2020-03-30', 2020, 3, 30, 1, 14);
INSERT INTO public.who_date_reported VALUES (329, '2020-03-29', '2020-13', '2020-03-29', 2020, 3, 29, 7, 13);
INSERT INTO public.who_date_reported VALUES (330, '2020-03-28', '2020-13', '2020-03-28', 2020, 3, 28, 6, 13);
INSERT INTO public.who_date_reported VALUES (331, '2020-03-27', '2020-13', '2020-03-27', 2020, 3, 27, 5, 13);
INSERT INTO public.who_date_reported VALUES (332, '2020-03-26', '2020-13', '2020-03-26', 2020, 3, 26, 4, 13);
INSERT INTO public.who_date_reported VALUES (333, '2020-03-25', '2020-13', '2020-03-25', 2020, 3, 25, 3, 13);
INSERT INTO public.who_date_reported VALUES (334, '2020-03-24', '2020-13', '2020-03-24', 2020, 3, 24, 2, 13);
INSERT INTO public.who_date_reported VALUES (335, '2020-03-23', '2020-13', '2020-03-23', 2020, 3, 23, 1, 13);
INSERT INTO public.who_date_reported VALUES (336, '2020-03-22', '2020-12', '2020-03-22', 2020, 3, 22, 7, 12);
INSERT INTO public.who_date_reported VALUES (337, '2020-03-21', '2020-12', '2020-03-21', 2020, 3, 21, 6, 12);
INSERT INTO public.who_date_reported VALUES (338, '2020-03-20', '2020-12', '2020-03-20', 2020, 3, 20, 5, 12);
INSERT INTO public.who_date_reported VALUES (339, '2020-03-19', '2020-12', '2020-03-19', 2020, 3, 19, 4, 12);
INSERT INTO public.who_date_reported VALUES (340, '2020-03-18', '2020-12', '2020-03-18', 2020, 3, 18, 3, 12);
INSERT INTO public.who_date_reported VALUES (341, '2020-03-17', '2020-12', '2020-03-17', 2020, 3, 17, 2, 12);
INSERT INTO public.who_date_reported VALUES (342, '2020-03-16', '2020-12', '2020-03-16', 2020, 3, 16, 1, 12);
INSERT INTO public.who_date_reported VALUES (343, '2020-03-15', '2020-11', '2020-03-15', 2020, 3, 15, 7, 11);
INSERT INTO public.who_date_reported VALUES (344, '2020-03-14', '2020-11', '2020-03-14', 2020, 3, 14, 6, 11);
INSERT INTO public.who_date_reported VALUES (345, '2020-03-13', '2020-11', '2020-03-13', 2020, 3, 13, 5, 11);
INSERT INTO public.who_date_reported VALUES (346, '2020-03-12', '2020-11', '2020-03-12', 2020, 3, 12, 4, 11);
INSERT INTO public.who_date_reported VALUES (347, '2020-03-11', '2020-11', '2020-03-11', 2020, 3, 11, 3, 11);
INSERT INTO public.who_date_reported VALUES (348, '2020-03-10', '2020-11', '2020-03-10', 2020, 3, 10, 2, 11);
INSERT INTO public.who_date_reported VALUES (349, '2020-03-09', '2020-11', '2020-03-09', 2020, 3, 9, 1, 11);
INSERT INTO public.who_date_reported VALUES (350, '2020-03-08', '2020-10', '2020-03-08', 2020, 3, 8, 7, 10);
INSERT INTO public.who_date_reported VALUES (351, '2020-03-07', '2020-10', '2020-03-07', 2020, 3, 7, 6, 10);
INSERT INTO public.who_date_reported VALUES (352, '2020-03-06', '2020-10', '2020-03-06', 2020, 3, 6, 5, 10);
INSERT INTO public.who_date_reported VALUES (353, '2020-03-05', '2020-10', '2020-03-05', 2020, 3, 5, 4, 10);
INSERT INTO public.who_date_reported VALUES (354, '2020-03-04', '2020-10', '2020-03-04', 2020, 3, 4, 3, 10);
INSERT INTO public.who_date_reported VALUES (355, '2020-03-03', '2020-10', '2020-03-03', 2020, 3, 3, 2, 10);
INSERT INTO public.who_date_reported VALUES (356, '2020-03-02', '2020-10', '2020-03-02', 2020, 3, 2, 1, 10);
INSERT INTO public.who_date_reported VALUES (357, '2020-03-01', '2020-09', '2020-03-01', 2020, 3, 1, 7, 9);
INSERT INTO public.who_date_reported VALUES (358, '2020-02-29', '2020-09', '2020-02-29', 2020, 2, 29, 6, 9);
INSERT INTO public.who_date_reported VALUES (359, '2020-02-28', '2020-09', '2020-02-28', 2020, 2, 28, 5, 9);
INSERT INTO public.who_date_reported VALUES (360, '2020-02-27', '2020-09', '2020-02-27', 2020, 2, 27, 4, 9);
INSERT INTO public.who_date_reported VALUES (361, '2020-02-26', '2020-09', '2020-02-26', 2020, 2, 26, 3, 9);
INSERT INTO public.who_date_reported VALUES (362, '2020-02-25', '2020-09', '2020-02-25', 2020, 2, 25, 2, 9);
INSERT INTO public.who_date_reported VALUES (363, '2020-02-24', '2020-09', '2020-02-24', 2020, 2, 24, 1, 9);
INSERT INTO public.who_date_reported VALUES (364, '2020-02-23', '2020-08', '2020-02-23', 2020, 2, 23, 7, 8);
INSERT INTO public.who_date_reported VALUES (365, '2020-02-22', '2020-08', '2020-02-22', 2020, 2, 22, 6, 8);
INSERT INTO public.who_date_reported VALUES (366, '2020-02-21', '2020-08', '2020-02-21', 2020, 2, 21, 5, 8);
INSERT INTO public.who_date_reported VALUES (367, '2020-02-20', '2020-08', '2020-02-20', 2020, 2, 20, 4, 8);
INSERT INTO public.who_date_reported VALUES (368, '2020-02-19', '2020-08', '2020-02-19', 2020, 2, 19, 3, 8);
INSERT INTO public.who_date_reported VALUES (369, '2020-02-18', '2020-08', '2020-02-18', 2020, 2, 18, 2, 8);
INSERT INTO public.who_date_reported VALUES (370, '2020-02-17', '2020-08', '2020-02-17', 2020, 2, 17, 1, 8);
INSERT INTO public.who_date_reported VALUES (371, '2020-02-16', '2020-07', '2020-02-16', 2020, 2, 16, 7, 7);
INSERT INTO public.who_date_reported VALUES (372, '2020-02-15', '2020-07', '2020-02-15', 2020, 2, 15, 6, 7);
INSERT INTO public.who_date_reported VALUES (373, '2020-02-14', '2020-07', '2020-02-14', 2020, 2, 14, 5, 7);
INSERT INTO public.who_date_reported VALUES (374, '2020-02-13', '2020-07', '2020-02-13', 2020, 2, 13, 4, 7);
INSERT INTO public.who_date_reported VALUES (375, '2020-02-12', '2020-07', '2020-02-12', 2020, 2, 12, 3, 7);
INSERT INTO public.who_date_reported VALUES (376, '2020-02-11', '2020-07', '2020-02-11', 2020, 2, 11, 2, 7);
INSERT INTO public.who_date_reported VALUES (377, '2020-02-10', '2020-07', '2020-02-10', 2020, 2, 10, 1, 7);
INSERT INTO public.who_date_reported VALUES (378, '2020-02-09', '2020-06', '2020-02-09', 2020, 2, 9, 7, 6);
INSERT INTO public.who_date_reported VALUES (379, '2020-02-08', '2020-06', '2020-02-08', 2020, 2, 8, 6, 6);
INSERT INTO public.who_date_reported VALUES (380, '2020-02-07', '2020-06', '2020-02-07', 2020, 2, 7, 5, 6);
INSERT INTO public.who_date_reported VALUES (381, '2020-02-06', '2020-06', '2020-02-06', 2020, 2, 6, 4, 6);
INSERT INTO public.who_date_reported VALUES (382, '2020-02-05', '2020-06', '2020-02-05', 2020, 2, 5, 3, 6);
INSERT INTO public.who_date_reported VALUES (383, '2020-02-04', '2020-06', '2020-02-04', 2020, 2, 4, 2, 6);
INSERT INTO public.who_date_reported VALUES (384, '2020-02-03', '2020-06', '2020-02-03', 2020, 2, 3, 1, 6);
INSERT INTO public.who_date_reported VALUES (385, '2020-02-02', '2020-05', '2020-02-02', 2020, 2, 2, 7, 5);
INSERT INTO public.who_date_reported VALUES (386, '2020-02-01', '2020-05', '2020-02-01', 2020, 2, 1, 6, 5);
INSERT INTO public.who_date_reported VALUES (387, '2020-01-31', '2020-05', '2020-01-31', 2020, 1, 31, 5, 5);
INSERT INTO public.who_date_reported VALUES (388, '2020-01-30', '2020-05', '2020-01-30', 2020, 1, 30, 4, 5);
INSERT INTO public.who_date_reported VALUES (389, '2020-01-29', '2020-05', '2020-01-29', 2020, 1, 29, 3, 5);
INSERT INTO public.who_date_reported VALUES (390, '2020-01-28', '2020-05', '2020-01-28', 2020, 1, 28, 2, 5);
INSERT INTO public.who_date_reported VALUES (391, '2020-01-27', '2020-05', '2020-01-27', 2020, 1, 27, 1, 5);
INSERT INTO public.who_date_reported VALUES (392, '2020-01-26', '2020-04', '2020-01-26', 2020, 1, 26, 7, 4);
INSERT INTO public.who_date_reported VALUES (393, '2020-01-25', '2020-04', '2020-01-25', 2020, 1, 25, 6, 4);
INSERT INTO public.who_date_reported VALUES (394, '2020-01-24', '2020-04', '2020-01-24', 2020, 1, 24, 5, 4);
INSERT INTO public.who_date_reported VALUES (395, '2020-01-23', '2020-04', '2020-01-23', 2020, 1, 23, 4, 4);
INSERT INTO public.who_date_reported VALUES (396, '2020-01-22', '2020-04', '2020-01-22', 2020, 1, 22, 3, 4);
INSERT INTO public.who_date_reported VALUES (397, '2020-01-21', '2020-04', '2020-01-21', 2020, 1, 21, 2, 4);
INSERT INTO public.who_date_reported VALUES (398, '2020-01-20', '2020-04', '2020-01-20', 2020, 1, 20, 1, 4);
INSERT INTO public.who_date_reported VALUES (399, '2020-01-19', '2020-03', '2020-01-19', 2020, 1, 19, 7, 3);
INSERT INTO public.who_date_reported VALUES (400, '2020-01-18', '2020-03', '2020-01-18', 2020, 1, 18, 6, 3);
INSERT INTO public.who_date_reported VALUES (401, '2020-01-17', '2020-03', '2020-01-17', 2020, 1, 17, 5, 3);
INSERT INTO public.who_date_reported VALUES (402, '2020-01-16', '2020-03', '2020-01-16', 2020, 1, 16, 4, 3);
INSERT INTO public.who_date_reported VALUES (403, '2020-01-15', '2020-03', '2020-01-15', 2020, 1, 15, 3, 3);
INSERT INTO public.who_date_reported VALUES (404, '2020-01-14', '2020-03', '2020-01-14', 2020, 1, 14, 2, 3);
INSERT INTO public.who_date_reported VALUES (405, '2020-01-13', '2020-03', '2020-01-13', 2020, 1, 13, 1, 3);
INSERT INTO public.who_date_reported VALUES (406, '2020-01-12', '2020-02', '2020-01-12', 2020, 1, 12, 7, 2);
INSERT INTO public.who_date_reported VALUES (407, '2020-01-11', '2020-02', '2020-01-11', 2020, 1, 11, 6, 2);
INSERT INTO public.who_date_reported VALUES (408, '2020-01-10', '2020-02', '2020-01-10', 2020, 1, 10, 5, 2);
INSERT INTO public.who_date_reported VALUES (409, '2020-01-09', '2020-02', '2020-01-09', 2020, 1, 9, 4, 2);
INSERT INTO public.who_date_reported VALUES (410, '2020-01-08', '2020-02', '2020-01-08', 2020, 1, 8, 3, 2);
INSERT INTO public.who_date_reported VALUES (411, '2020-01-07', '2020-02', '2020-01-07', 2020, 1, 7, 2, 2);
INSERT INTO public.who_date_reported VALUES (412, '2020-01-06', '2020-02', '2020-01-06', 2020, 1, 6, 1, 2);
INSERT INTO public.who_date_reported VALUES (413, '2020-01-05', '2020-01', '2020-01-05', 2020, 1, 5, 7, 1);
INSERT INTO public.who_date_reported VALUES (414, '2020-01-04', '2020-01', '2020-01-04', 2020, 1, 4, 6, 1);
INSERT INTO public.who_date_reported VALUES (415, '2020-01-03', '2020-01', '2020-01-03', 2020, 1, 3, 5, 1);


--
-- Data for Name: who_import; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.who_import VALUES (1, '2020-01-03', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2, '2020-01-04', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3, '2020-01-05', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4, '2020-01-06', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5, '2020-01-07', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6, '2020-01-08', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7, '2020-01-09', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8, '2020-01-10', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9, '2020-01-11', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10, '2020-01-12', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11, '2020-01-13', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12, '2020-01-14', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13, '2020-01-15', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14, '2020-01-16', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15, '2020-01-17', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16, '2020-01-18', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17, '2020-01-19', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18, '2020-01-20', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19, '2020-01-21', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20, '2020-01-22', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21, '2020-01-23', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22, '2020-01-24', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23, '2020-01-25', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24, '2020-01-26', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25, '2020-01-27', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26, '2020-01-28', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27, '2020-01-29', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28, '2020-01-30', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29, '2020-01-31', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30, '2020-02-01', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31, '2020-02-02', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32, '2020-02-03', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33, '2020-02-04', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34, '2020-02-05', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35, '2020-02-06', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36, '2020-02-07', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37, '2020-02-08', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38, '2020-02-09', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39, '2020-02-10', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40, '2020-02-11', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41, '2020-02-12', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42, '2020-02-13', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43, '2020-02-14', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44, '2020-02-15', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45, '2020-02-16', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46, '2020-02-17', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47, '2020-02-18', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48, '2020-02-19', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49, '2020-02-20', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50, '2020-02-21', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51, '2020-02-22', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52, '2020-02-23', 'AF', 'Afghanistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53, '2020-02-24', 'AF', 'Afghanistan', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (54, '2020-02-25', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (55, '2020-02-26', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (56, '2020-02-27', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57, '2020-02-28', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (58, '2020-02-29', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (59, '2020-03-01', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60, '2020-03-02', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (61, '2020-03-03', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62, '2020-03-04', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (63, '2020-03-05', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (64, '2020-03-06', 'AF', 'Afghanistan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (65, '2020-03-07', 'AF', 'Afghanistan', 'EMRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (66, '2020-03-08', 'AF', 'Afghanistan', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67, '2020-03-09', 'AF', 'Afghanistan', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (68, '2020-03-10', 'AF', 'Afghanistan', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (69, '2020-03-11', 'AF', 'Afghanistan', 'EMRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (70, '2020-03-12', 'AF', 'Afghanistan', 'EMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (71, '2020-03-13', 'AF', 'Afghanistan', 'EMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (72, '2020-03-14', 'AF', 'Afghanistan', 'EMRO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (73, '2020-03-15', 'AF', 'Afghanistan', 'EMRO', '6', '20', '0', '0');
INSERT INTO public.who_import VALUES (74, '2020-03-16', 'AF', 'Afghanistan', 'EMRO', '5', '25', '0', '0');
INSERT INTO public.who_import VALUES (75, '2020-03-17', 'AF', 'Afghanistan', 'EMRO', '1', '26', '0', '0');
INSERT INTO public.who_import VALUES (76, '2020-03-18', 'AF', 'Afghanistan', 'EMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (77, '2020-03-19', 'AF', 'Afghanistan', 'EMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (78, '2020-03-20', 'AF', 'Afghanistan', 'EMRO', '-2', '24', '0', '0');
INSERT INTO public.who_import VALUES (79, '2020-03-21', 'AF', 'Afghanistan', 'EMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (80, '2020-03-22', 'AF', 'Afghanistan', 'EMRO', '10', '34', '0', '0');
INSERT INTO public.who_import VALUES (81, '2020-03-23', 'AF', 'Afghanistan', 'EMRO', '6', '40', '1', '1');
INSERT INTO public.who_import VALUES (82, '2020-03-24', 'AF', 'Afghanistan', 'EMRO', '2', '42', '0', '1');
INSERT INTO public.who_import VALUES (83, '2020-03-25', 'AF', 'Afghanistan', 'EMRO', '32', '74', '0', '1');
INSERT INTO public.who_import VALUES (84, '2020-03-26', 'AF', 'Afghanistan', 'EMRO', '6', '80', '1', '2');
INSERT INTO public.who_import VALUES (85, '2020-03-27', 'AF', 'Afghanistan', 'EMRO', '11', '91', '0', '2');
INSERT INTO public.who_import VALUES (86, '2020-03-28', 'AF', 'Afghanistan', 'EMRO', '15', '106', '1', '3');
INSERT INTO public.who_import VALUES (87, '2020-03-29', 'AF', 'Afghanistan', 'EMRO', '8', '114', '1', '4');
INSERT INTO public.who_import VALUES (88, '2020-03-30', 'AF', 'Afghanistan', 'EMRO', '0', '114', '0', '4');
INSERT INTO public.who_import VALUES (89, '2020-03-31', 'AF', 'Afghanistan', 'EMRO', '52', '166', '0', '4');
INSERT INTO public.who_import VALUES (90, '2020-04-01', 'AF', 'Afghanistan', 'EMRO', '26', '192', '0', '4');
INSERT INTO public.who_import VALUES (91, '2020-04-02', 'AF', 'Afghanistan', 'EMRO', '43', '235', '0', '4');
INSERT INTO public.who_import VALUES (92, '2020-04-03', 'AF', 'Afghanistan', 'EMRO', '34', '269', '1', '5');
INSERT INTO public.who_import VALUES (93, '2020-04-04', 'AF', 'Afghanistan', 'EMRO', '1', '270', '0', '5');
INSERT INTO public.who_import VALUES (94, '2020-04-05', 'AF', 'Afghanistan', 'EMRO', '29', '299', '2', '7');
INSERT INTO public.who_import VALUES (95, '2020-04-06', 'AF', 'Afghanistan', 'EMRO', '38', '337', '0', '7');
INSERT INTO public.who_import VALUES (96, '2020-04-07', 'AF', 'Afghanistan', 'EMRO', '30', '367', '4', '11');
INSERT INTO public.who_import VALUES (97, '2020-04-08', 'AF', 'Afghanistan', 'EMRO', '56', '423', '3', '14');
INSERT INTO public.who_import VALUES (98, '2020-04-09', 'AF', 'Afghanistan', 'EMRO', '61', '484', '1', '15');
INSERT INTO public.who_import VALUES (99, '2020-04-10', 'AF', 'Afghanistan', 'EMRO', '37', '521', '0', '15');
INSERT INTO public.who_import VALUES (100, '2020-04-11', 'AF', 'Afghanistan', 'EMRO', '0', '521', '0', '15');
INSERT INTO public.who_import VALUES (101, '2020-04-12', 'AF', 'Afghanistan', 'EMRO', '34', '555', '3', '18');
INSERT INTO public.who_import VALUES (102, '2020-04-13', 'AF', 'Afghanistan', 'EMRO', '110', '665', '3', '21');
INSERT INTO public.who_import VALUES (103, '2020-04-14', 'AF', 'Afghanistan', 'EMRO', '49', '714', '2', '23');
INSERT INTO public.who_import VALUES (104, '2020-04-15', 'AF', 'Afghanistan', 'EMRO', '70', '784', '2', '25');
INSERT INTO public.who_import VALUES (105, '2020-04-16', 'AF', 'Afghanistan', 'EMRO', '10', '794', '4', '29');
INSERT INTO public.who_import VALUES (106, '2020-04-17', 'AF', 'Afghanistan', 'EMRO', '51', '845', '1', '30');
INSERT INTO public.who_import VALUES (107, '2020-04-18', 'AF', 'Afghanistan', 'EMRO', '63', '908', '0', '30');
INSERT INTO public.who_import VALUES (108, '2020-04-19', 'AF', 'Afghanistan', 'EMRO', '88', '996', '3', '33');
INSERT INTO public.who_import VALUES (109, '2020-04-20', 'AF', 'Afghanistan', 'EMRO', '0', '996', '0', '33');
INSERT INTO public.who_import VALUES (110, '2020-04-21', 'AF', 'Afghanistan', 'EMRO', '96', '1092', '3', '36');
INSERT INTO public.who_import VALUES (111, '2020-04-22', 'AF', 'Afghanistan', 'EMRO', '84', '1176', '4', '40');
INSERT INTO public.who_import VALUES (112, '2020-04-23', 'AF', 'Afghanistan', 'EMRO', '0', '1176', '0', '40');
INSERT INTO public.who_import VALUES (113, '2020-04-24', 'AF', 'Afghanistan', 'EMRO', '50', '1226', '0', '40');
INSERT INTO public.who_import VALUES (114, '2020-04-25', 'AF', 'Afghanistan', 'EMRO', '237', '1463', '7', '47');
INSERT INTO public.who_import VALUES (115, '2020-04-26', 'AF', 'Afghanistan', 'EMRO', '0', '1463', '2', '49');
INSERT INTO public.who_import VALUES (116, '2020-04-27', 'AF', 'Afghanistan', 'EMRO', '240', '1703', '8', '57');
INSERT INTO public.who_import VALUES (117, '2020-04-28', 'AF', 'Afghanistan', 'EMRO', '124', '1827', '3', '60');
INSERT INTO public.who_import VALUES (118, '2020-04-29', 'AF', 'Afghanistan', 'EMRO', '0', '1827', '0', '60');
INSERT INTO public.who_import VALUES (119, '2020-04-30', 'AF', 'Afghanistan', 'EMRO', '344', '2171', '4', '64');
INSERT INTO public.who_import VALUES (120, '2020-05-01', 'AF', 'Afghanistan', 'EMRO', '0', '2171', '0', '64');
INSERT INTO public.who_import VALUES (121, '2020-05-02', 'AF', 'Afghanistan', 'EMRO', '298', '2469', '8', '72');
INSERT INTO public.who_import VALUES (122, '2020-05-03', 'AF', 'Afghanistan', 'EMRO', '0', '2469', '0', '72');
INSERT INTO public.who_import VALUES (123, '2020-05-04', 'AF', 'Afghanistan', 'EMRO', '0', '2469', '0', '72');
INSERT INTO public.who_import VALUES (124, '2020-05-05', 'AF', 'Afghanistan', 'EMRO', '755', '3224', '23', '95');
INSERT INTO public.who_import VALUES (125, '2020-05-06', 'AF', 'Afghanistan', 'EMRO', '168', '3392', '9', '104');
INSERT INTO public.who_import VALUES (126, '2020-05-07', 'AF', 'Afghanistan', 'EMRO', '171', '3563', '1', '105');
INSERT INTO public.who_import VALUES (127, '2020-05-08', 'AF', 'Afghanistan', 'EMRO', '0', '3563', '0', '105');
INSERT INTO public.who_import VALUES (128, '2020-05-09', 'AF', 'Afghanistan', 'EMRO', '478', '4041', '10', '115');
INSERT INTO public.who_import VALUES (129, '2020-05-10', 'AF', 'Afghanistan', 'EMRO', '361', '4402', '4', '119');
INSERT INTO public.who_import VALUES (130, '2020-05-11', 'AF', 'Afghanistan', 'EMRO', '262', '4664', '2', '121');
INSERT INTO public.who_import VALUES (131, '2020-05-12', 'AF', 'Afghanistan', 'EMRO', '303', '4967', '6', '127');
INSERT INTO public.who_import VALUES (132, '2020-05-13', 'AF', 'Afghanistan', 'EMRO', '259', '5226', '3', '130');
INSERT INTO public.who_import VALUES (133, '2020-05-14', 'AF', 'Afghanistan', 'EMRO', '113', '5339', '6', '136');
INSERT INTO public.who_import VALUES (134, '2020-05-15', 'AF', 'Afghanistan', 'EMRO', '714', '6053', '17', '153');
INSERT INTO public.who_import VALUES (135, '2020-05-16', 'AF', 'Afghanistan', 'EMRO', '349', '6402', '15', '168');
INSERT INTO public.who_import VALUES (136, '2020-05-17', 'AF', 'Afghanistan', 'EMRO', '262', '6664', '1', '169');
INSERT INTO public.who_import VALUES (137, '2020-05-18', 'AF', 'Afghanistan', 'EMRO', '408', '7072', '4', '173');
INSERT INTO public.who_import VALUES (138, '2020-05-19', 'AF', 'Afghanistan', 'EMRO', '583', '7655', '4', '177');
INSERT INTO public.who_import VALUES (139, '2020-05-20', 'AF', 'Afghanistan', 'EMRO', '490', '8145', '10', '187');
INSERT INTO public.who_import VALUES (140, '2020-05-21', 'AF', 'Afghanistan', 'EMRO', '531', '8676', '6', '193');
INSERT INTO public.who_import VALUES (141, '2020-05-22', 'AF', 'Afghanistan', 'EMRO', '540', '9216', '12', '205');
INSERT INTO public.who_import VALUES (142, '2020-05-23', 'AF', 'Afghanistan', 'EMRO', '736', '9952', '10', '215');
INSERT INTO public.who_import VALUES (143, '2020-05-24', 'AF', 'Afghanistan', 'EMRO', '716', '10668', '7', '222');
INSERT INTO public.who_import VALUES (144, '2020-05-25', 'AF', 'Afghanistan', 'EMRO', '512', '11180', '1', '223');
INSERT INTO public.who_import VALUES (145, '2020-05-26', 'AF', 'Afghanistan', 'EMRO', '737', '11917', '1', '224');
INSERT INTO public.who_import VALUES (146, '2020-05-27', 'AF', 'Afghanistan', 'EMRO', '548', '12465', '6', '230');
INSERT INTO public.who_import VALUES (147, '2020-05-28', 'AF', 'Afghanistan', 'EMRO', '637', '13102', '9', '239');
INSERT INTO public.who_import VALUES (148, '2020-05-29', 'AF', 'Afghanistan', 'EMRO', '643', '13745', '11', '250');
INSERT INTO public.who_import VALUES (149, '2020-05-30', 'AF', 'Afghanistan', 'EMRO', '784', '14529', '2', '252');
INSERT INTO public.who_import VALUES (150, '2020-05-31', 'AF', 'Afghanistan', 'EMRO', '651', '15180', '2', '254');
INSERT INTO public.who_import VALUES (151, '2020-06-01', 'AF', 'Afghanistan', 'EMRO', '656', '15836', '15', '269');
INSERT INTO public.who_import VALUES (152, '2020-06-02', 'AF', 'Afghanistan', 'EMRO', '742', '16578', '5', '274');
INSERT INTO public.who_import VALUES (153, '2020-06-03', 'AF', 'Afghanistan', 'EMRO', '775', '17353', '24', '298');
INSERT INTO public.who_import VALUES (154, '2020-06-04', 'AF', 'Afghanistan', 'EMRO', '624', '17977', '5', '303');
INSERT INTO public.who_import VALUES (155, '2020-06-05', 'AF', 'Afghanistan', 'EMRO', '1078', '19055', '10', '313');
INSERT INTO public.who_import VALUES (156, '2020-06-06', 'AF', 'Afghanistan', 'EMRO', '582', '19637', '18', '331');
INSERT INTO public.who_import VALUES (157, '2020-06-07', 'AF', 'Afghanistan', 'EMRO', '791', '20428', '30', '361');
INSERT INTO public.who_import VALUES (158, '2020-06-08', 'AF', 'Afghanistan', 'EMRO', '575', '21003', '12', '373');
INSERT INTO public.who_import VALUES (159, '2020-06-09', 'AF', 'Afghanistan', 'EMRO', '305', '21308', '7', '380');
INSERT INTO public.who_import VALUES (160, '2020-06-10', 'AF', 'Afghanistan', 'EMRO', '920', '22228', '29', '409');
INSERT INTO public.who_import VALUES (161, '2020-06-11', 'AF', 'Afghanistan', 'EMRO', '748', '22976', '21', '430');
INSERT INTO public.who_import VALUES (162, '2020-06-12', 'AF', 'Afghanistan', 'EMRO', '656', '23632', '20', '450');
INSERT INTO public.who_import VALUES (163, '2020-06-13', 'AF', 'Afghanistan', 'EMRO', '556', '24188', '5', '455');
INSERT INTO public.who_import VALUES (164, '2020-06-14', 'AF', 'Afghanistan', 'EMRO', '664', '24852', '20', '475');
INSERT INTO public.who_import VALUES (165, '2020-06-15', 'AF', 'Afghanistan', 'EMRO', '761', '25613', '5', '480');
INSERT INTO public.who_import VALUES (166, '2020-06-16', 'AF', 'Afghanistan', 'EMRO', '106', '25719', '8', '488');
INSERT INTO public.who_import VALUES (167, '2020-06-17', 'AF', 'Afghanistan', 'EMRO', '1241', '26960', '20', '508');
INSERT INTO public.who_import VALUES (168, '2020-06-18', 'AF', 'Afghanistan', 'EMRO', '463', '27423', '42', '550');
INSERT INTO public.who_import VALUES (169, '2020-06-19', 'AF', 'Afghanistan', 'EMRO', '541', '27964', '2', '552');
INSERT INTO public.who_import VALUES (170, '2020-06-20', 'AF', 'Afghanistan', 'EMRO', '419', '28383', '0', '552');
INSERT INTO public.who_import VALUES (171, '2020-06-21', 'AF', 'Afghanistan', 'EMRO', '536', '28919', '33', '585');
INSERT INTO public.who_import VALUES (172, '2020-06-22', 'AF', 'Afghanistan', 'EMRO', '310', '29229', '17', '602');
INSERT INTO public.who_import VALUES (173, '2020-06-23', 'AF', 'Afghanistan', 'EMRO', '338', '29567', '20', '622');
INSERT INTO public.who_import VALUES (174, '2020-06-24', 'AF', 'Afghanistan', 'EMRO', '159', '29726', '21', '643');
INSERT INTO public.who_import VALUES (175, '2020-06-25', 'AF', 'Afghanistan', 'EMRO', '535', '30261', '36', '679');
INSERT INTO public.who_import VALUES (176, '2020-06-26', 'AF', 'Afghanistan', 'EMRO', '85', '30346', '5', '684');
INSERT INTO public.who_import VALUES (177, '2020-06-27', 'AF', 'Afghanistan', 'EMRO', '356', '30702', '23', '707');
INSERT INTO public.who_import VALUES (178, '2020-06-28', 'AF', 'Afghanistan', 'EMRO', '351', '31053', '26', '733');
INSERT INTO public.who_import VALUES (179, '2020-06-29', 'AF', 'Afghanistan', 'EMRO', '271', '31324', '4', '737');
INSERT INTO public.who_import VALUES (180, '2020-06-30', 'AF', 'Afghanistan', 'EMRO', '121', '31445', '2', '739');
INSERT INTO public.who_import VALUES (181, '2020-07-01', 'AF', 'Afghanistan', 'EMRO', '403', '31848', '39', '778');
INSERT INTO public.who_import VALUES (182, '2020-07-02', 'AF', 'Afghanistan', 'EMRO', '260', '32108', '33', '811');
INSERT INTO public.who_import VALUES (183, '2020-07-03', 'AF', 'Afghanistan', 'EMRO', '302', '32410', '12', '823');
INSERT INTO public.who_import VALUES (184, '2020-07-04', 'AF', 'Afghanistan', 'EMRO', '348', '32758', '7', '830');
INSERT INTO public.who_import VALUES (185, '2020-07-05', 'AF', 'Afghanistan', 'EMRO', '279', '33037', '38', '868');
INSERT INTO public.who_import VALUES (186, '2020-07-06', 'AF', 'Afghanistan', 'EMRO', '113', '33150', '23', '891');
INSERT INTO public.who_import VALUES (187, '2020-07-07', 'AF', 'Afghanistan', 'EMRO', '320', '33470', '33', '924');
INSERT INTO public.who_import VALUES (188, '2020-07-08', 'AF', 'Afghanistan', 'EMRO', '210', '33680', '16', '940');
INSERT INTO public.who_import VALUES (189, '2020-07-09', 'AF', 'Afghanistan', 'EMRO', '59', '33739', '1', '941');
INSERT INTO public.who_import VALUES (190, '2020-07-10', 'AF', 'Afghanistan', 'EMRO', '541', '34280', '34', '975');
INSERT INTO public.who_import VALUES (191, '2020-07-11', 'AF', 'Afghanistan', 'EMRO', '157', '34437', '4', '979');
INSERT INTO public.who_import VALUES (192, '2020-07-12', 'AF', 'Afghanistan', 'EMRO', '100', '34537', '35', '1014');
INSERT INTO public.who_import VALUES (193, '2020-07-13', 'AF', 'Afghanistan', 'EMRO', '4', '34541', '2', '1016');
INSERT INTO public.who_import VALUES (194, '2020-07-14', 'AF', 'Afghanistan', 'EMRO', '285', '34826', '33', '1049');
INSERT INTO public.who_import VALUES (195, '2020-07-15', 'AF', 'Afghanistan', 'EMRO', '200', '35026', '49', '1098');
INSERT INTO public.who_import VALUES (196, '2020-07-16', 'AF', 'Afghanistan', 'EMRO', '130', '35156', '19', '1117');
INSERT INTO public.who_import VALUES (197, '2020-07-17', 'AF', 'Afghanistan', 'EMRO', '159', '35315', '34', '1151');
INSERT INTO public.who_import VALUES (198, '2020-07-18', 'AF', 'Afghanistan', 'EMRO', '60', '35375', '0', '1151');
INSERT INTO public.who_import VALUES (199, '2020-07-19', 'AF', 'Afghanistan', 'EMRO', '186', '35561', '34', '1185');
INSERT INTO public.who_import VALUES (200, '2020-07-20', 'AF', 'Afghanistan', 'EMRO', '34', '35595', '2', '1187');
INSERT INTO public.who_import VALUES (201, '2020-07-21', 'AF', 'Afghanistan', 'EMRO', '106', '35701', '1', '1188');
INSERT INTO public.who_import VALUES (202, '2020-07-22', 'AF', 'Afghanistan', 'EMRO', '112', '35813', '6', '1194');
INSERT INTO public.who_import VALUES (203, '2020-07-23', 'AF', 'Afghanistan', 'EMRO', '188', '36001', '21', '1215');
INSERT INTO public.who_import VALUES (204, '2020-07-24', 'AF', 'Afghanistan', 'EMRO', '66', '36067', '14', '1229');
INSERT INTO public.who_import VALUES (205, '2020-07-25', 'AF', 'Afghanistan', 'EMRO', '55', '36122', '21', '1250');
INSERT INTO public.who_import VALUES (206, '2020-07-26', 'AF', 'Afghanistan', 'EMRO', '121', '36243', '13', '1263');
INSERT INTO public.who_import VALUES (207, '2020-07-27', 'AF', 'Afghanistan', 'EMRO', '106', '36349', '10', '1273');
INSERT INTO public.who_import VALUES (208, '2020-07-28', 'AF', 'Afghanistan', 'EMRO', '105', '36454', '1', '1274');
INSERT INTO public.who_import VALUES (209, '2020-07-29', 'AF', 'Afghanistan', 'EMRO', '103', '36557', '1', '1275');
INSERT INTO public.who_import VALUES (210, '2020-07-30', 'AF', 'Afghanistan', 'EMRO', '71', '36628', '0', '1275');
INSERT INTO public.who_import VALUES (211, '2020-07-31', 'AF', 'Afghanistan', 'EMRO', '0', '36628', '0', '1275');
INSERT INTO public.who_import VALUES (212, '2020-08-01', 'AF', 'Afghanistan', 'EMRO', '168', '36796', '12', '1287');
INSERT INTO public.who_import VALUES (213, '2020-08-02', 'AF', 'Afghanistan', 'EMRO', '0', '36796', '0', '1287');
INSERT INTO public.who_import VALUES (214, '2020-08-03', 'AF', 'Afghanistan', 'EMRO', '0', '36796', '0', '1287');
INSERT INTO public.who_import VALUES (215, '2020-08-04', 'AF', 'Afghanistan', 'EMRO', '37', '36833', '5', '1292');
INSERT INTO public.who_import VALUES (216, '2020-08-05', 'AF', 'Afghanistan', 'EMRO', '82', '36915', '6', '1298');
INSERT INTO public.who_import VALUES (217, '2020-08-06', 'AF', 'Afghanistan', 'EMRO', '67', '36982', '4', '1302');
INSERT INTO public.who_import VALUES (218, '2020-08-07', 'AF', 'Afghanistan', 'EMRO', '41', '37023', '0', '1302');
INSERT INTO public.who_import VALUES (219, '2020-08-08', 'AF', 'Afghanistan', 'EMRO', '78', '37101', '9', '1311');
INSERT INTO public.who_import VALUES (220, '2020-08-09', 'AF', 'Afghanistan', 'EMRO', '39', '37140', '5', '1316');
INSERT INTO public.who_import VALUES (221, '2020-08-10', 'AF', 'Afghanistan', 'EMRO', '0', '37140', '0', '1316');
INSERT INTO public.who_import VALUES (222, '2020-08-11', 'AF', 'Afghanistan', 'EMRO', '215', '37355', '32', '1348');
INSERT INTO public.who_import VALUES (223, '2020-08-12', 'AF', 'Afghanistan', 'EMRO', '76', '37431', '10', '1358');
INSERT INTO public.who_import VALUES (224, '2020-08-13', 'AF', 'Afghanistan', 'EMRO', '79', '37510', '9', '1367');
INSERT INTO public.who_import VALUES (225, '2020-08-14', 'AF', 'Afghanistan', 'EMRO', '7', '37517', '0', '1367');
INSERT INTO public.who_import VALUES (226, '2020-08-15', 'AF', 'Afghanistan', 'EMRO', '120', '37637', '7', '1374');
INSERT INTO public.who_import VALUES (227, '2020-08-16', 'AF', 'Afghanistan', 'EMRO', '45', '37682', '5', '1379');
INSERT INTO public.who_import VALUES (228, '2020-08-17', 'AF', 'Afghanistan', 'EMRO', '0', '37682', '0', '1379');
INSERT INTO public.who_import VALUES (229, '2020-08-18', 'AF', 'Afghanistan', 'EMRO', '3', '37685', '0', '1379');
INSERT INTO public.who_import VALUES (230, '2020-08-19', 'AF', 'Afghanistan', 'EMRO', '0', '37685', '0', '1379');
INSERT INTO public.who_import VALUES (231, '2020-08-20', 'AF', 'Afghanistan', 'EMRO', '160', '37845', '8', '1387');
INSERT INTO public.who_import VALUES (232, '2020-08-21', 'AF', 'Afghanistan', 'EMRO', '97', '37942', '2', '1389');
INSERT INTO public.who_import VALUES (233, '2020-08-22', 'AF', 'Afghanistan', 'EMRO', '38', '37980', '0', '1389');
INSERT INTO public.who_import VALUES (234, '2020-08-23', 'AF', 'Afghanistan', 'EMRO', '59', '38039', '0', '1389');
INSERT INTO public.who_import VALUES (235, '2020-08-24', 'AF', 'Afghanistan', 'EMRO', '46', '38085', '2', '1391');
INSERT INTO public.who_import VALUES (236, '2020-08-25', 'AF', 'Afghanistan', 'EMRO', '71', '38156', '10', '1401');
INSERT INTO public.who_import VALUES (237, '2020-08-26', 'AF', 'Afghanistan', 'EMRO', '43', '38199', '4', '1405');
INSERT INTO public.who_import VALUES (238, '2020-08-27', 'AF', 'Afghanistan', 'EMRO', '16', '38215', '0', '1405');
INSERT INTO public.who_import VALUES (239, '2020-08-28', 'AF', 'Afghanistan', 'EMRO', '11', '38226', '1', '1406');
INSERT INTO public.who_import VALUES (240, '2020-08-29', 'AF', 'Afghanistan', 'EMRO', '3', '38229', '0', '1406');
INSERT INTO public.who_import VALUES (241, '2020-08-30', 'AF', 'Afghanistan', 'EMRO', '0', '38229', '0', '1406');
INSERT INTO public.who_import VALUES (242, '2020-08-31', 'AF', 'Afghanistan', 'EMRO', '19', '38248', '0', '1406');
INSERT INTO public.who_import VALUES (243, '2020-09-01', 'AF', 'Afghanistan', 'EMRO', '34', '38282', '4', '1410');
INSERT INTO public.who_import VALUES (244, '2020-09-02', 'AF', 'Afghanistan', 'EMRO', '47', '38329', '3', '1413');
INSERT INTO public.who_import VALUES (245, '2020-09-03', 'AF', 'Afghanistan', 'EMRO', '45', '38374', '0', '1413');
INSERT INTO public.who_import VALUES (246, '2020-09-04', 'AF', 'Afghanistan', 'EMRO', '0', '38374', '0', '1413');
INSERT INTO public.who_import VALUES (247, '2020-09-05', 'AF', 'Afghanistan', 'EMRO', '16', '38390', '0', '1413');
INSERT INTO public.who_import VALUES (248, '2020-09-06', 'AF', 'Afghanistan', 'EMRO', '94', '38484', '3', '1416');
INSERT INTO public.who_import VALUES (249, '2020-09-07', 'AF', 'Afghanistan', 'EMRO', '96', '38580', '3', '1419');
INSERT INTO public.who_import VALUES (250, '2020-09-08', 'AF', 'Afghanistan', 'EMRO', '26', '38606', '3', '1422');
INSERT INTO public.who_import VALUES (251, '2020-09-09', 'AF', 'Afghanistan', 'EMRO', '24', '38630', '2', '1424');
INSERT INTO public.who_import VALUES (252, '2020-09-10', 'AF', 'Afghanistan', 'EMRO', '28', '38658', '0', '1424');
INSERT INTO public.who_import VALUES (253, '2020-09-11', 'AF', 'Afghanistan', 'EMRO', '34', '38692', '0', '1424');
INSERT INTO public.who_import VALUES (254, '2020-09-12', 'AF', 'Afghanistan', 'EMRO', '35', '38727', '0', '1424');
INSERT INTO public.who_import VALUES (255, '2020-09-13', 'AF', 'Afghanistan', 'EMRO', '75', '38802', '0', '1424');
INSERT INTO public.who_import VALUES (256, '2020-09-14', 'AF', 'Afghanistan', 'EMRO', '56', '38858', '5', '1429');
INSERT INTO public.who_import VALUES (257, '2020-09-15', 'AF', 'Afghanistan', 'EMRO', '43', '38901', '1', '1430');
INSERT INTO public.who_import VALUES (258, '2020-09-16', 'AF', 'Afghanistan', 'EMRO', '40', '38941', '10', '1440');
INSERT INTO public.who_import VALUES (259, '2020-09-17', 'AF', 'Afghanistan', 'EMRO', '17', '38958', '0', '1440');
INSERT INTO public.who_import VALUES (260, '2020-09-18', 'AF', 'Afghanistan', 'EMRO', '11', '38969', '1', '1441');
INSERT INTO public.who_import VALUES (261, '2020-09-19', 'AF', 'Afghanistan', 'EMRO', '36', '39005', '0', '1441');
INSERT INTO public.who_import VALUES (262, '2020-09-20', 'AF', 'Afghanistan', 'EMRO', '125', '39130', '4', '1445');
INSERT INTO public.who_import VALUES (263, '2020-09-21', 'AF', 'Afghanistan', 'EMRO', '30', '39160', '3', '1448');
INSERT INTO public.who_import VALUES (264, '2020-09-22', 'AF', 'Afghanistan', 'EMRO', '22', '39182', '1', '1449');
INSERT INTO public.who_import VALUES (265, '2020-09-23', 'AF', 'Afghanistan', 'EMRO', '49', '39231', '1', '1450');
INSERT INTO public.who_import VALUES (266, '2020-09-24', 'AF', 'Afghanistan', 'EMRO', '25', '39256', '5', '1455');
INSERT INTO public.who_import VALUES (267, '2020-09-25', 'AF', 'Afghanistan', 'EMRO', '16', '39272', '0', '1455');
INSERT INTO public.who_import VALUES (268, '2020-09-26', 'AF', 'Afghanistan', 'EMRO', '6', '39278', '2', '1457');
INSERT INTO public.who_import VALUES (269, '2020-09-27', 'AF', 'Afghanistan', 'EMRO', '35', '39313', '0', '1457');
INSERT INTO public.who_import VALUES (270, '2020-09-28', 'AF', 'Afghanistan', 'EMRO', '12', '39325', '3', '1460');
INSERT INTO public.who_import VALUES (271, '2020-09-29', 'AF', 'Afghanistan', 'EMRO', '15', '39340', '2', '1462');
INSERT INTO public.who_import VALUES (272, '2020-09-30', 'AF', 'Afghanistan', 'EMRO', '14', '39354', '0', '1462');
INSERT INTO public.who_import VALUES (273, '2020-10-01', 'AF', 'Afghanistan', 'EMRO', '17', '39371', '0', '1462');
INSERT INTO public.who_import VALUES (274, '2020-10-02', 'AF', 'Afghanistan', 'EMRO', '5', '39376', '0', '1462');
INSERT INTO public.who_import VALUES (275, '2020-10-03', 'AF', 'Afghanistan', 'EMRO', '7', '39383', '4', '1466');
INSERT INTO public.who_import VALUES (276, '2020-10-04', 'AF', 'Afghanistan', 'EMRO', '44', '39427', '0', '1466');
INSERT INTO public.who_import VALUES (277, '2020-10-05', 'AF', 'Afghanistan', 'EMRO', '81', '39508', '4', '1470');
INSERT INTO public.who_import VALUES (278, '2020-10-06', 'AF', 'Afghanistan', 'EMRO', '64', '39572', '1', '1471');
INSERT INTO public.who_import VALUES (279, '2020-10-07', 'AF', 'Afghanistan', 'EMRO', '62', '39634', '2', '1473');
INSERT INTO public.who_import VALUES (280, '2020-10-08', 'AF', 'Afghanistan', 'EMRO', '68', '39702', '1', '1474');
INSERT INTO public.who_import VALUES (281, '2020-10-09', 'AF', 'Afghanistan', 'EMRO', '77', '39779', '2', '1476');
INSERT INTO public.who_import VALUES (282, '2020-10-10', 'AF', 'Afghanistan', 'EMRO', '10', '39789', '1', '1477');
INSERT INTO public.who_import VALUES (283, '2020-10-11', 'AF', 'Afghanistan', 'EMRO', '96', '39885', '4', '1481');
INSERT INTO public.who_import VALUES (284, '2020-10-12', 'AF', 'Afghanistan', 'EMRO', '71', '39956', '2', '1483');
INSERT INTO public.who_import VALUES (285, '2020-10-13', 'AF', 'Afghanistan', 'EMRO', '58', '40014', '1', '1484');
INSERT INTO public.who_import VALUES (286, '2020-10-14', 'AF', 'Afghanistan', 'EMRO', '66', '40080', '1', '1485');
INSERT INTO public.who_import VALUES (287, '2020-10-15', 'AF', 'Afghanistan', 'EMRO', '32', '40112', '0', '1485');
INSERT INTO public.who_import VALUES (288, '2020-10-16', 'AF', 'Afghanistan', 'EMRO', '47', '40159', '4', '1489');
INSERT INTO public.who_import VALUES (289, '2020-10-17', 'AF', 'Afghanistan', 'EMRO', '68', '40227', '3', '1492');
INSERT INTO public.who_import VALUES (290, '2020-10-18', 'AF', 'Afghanistan', 'EMRO', '59', '40286', '4', '1496');
INSERT INTO public.who_import VALUES (291, '2020-10-19', 'AF', 'Afghanistan', 'EMRO', '87', '40373', '5', '1501');
INSERT INTO public.who_import VALUES (292, '2020-10-20', 'AF', 'Afghanistan', 'EMRO', '88', '40461', '2', '1503');
INSERT INTO public.who_import VALUES (293, '2020-10-21', 'AF', 'Afghanistan', 'EMRO', '0', '40461', '0', '1503');
INSERT INTO public.who_import VALUES (294, '2020-10-22', 'AF', 'Afghanistan', 'EMRO', '49', '40510', '0', '1503');
INSERT INTO public.who_import VALUES (295, '2020-10-23', 'AF', 'Afghanistan', 'EMRO', '116', '40626', '2', '1505');
INSERT INTO public.who_import VALUES (296, '2020-10-24', 'AF', 'Afghanistan', 'EMRO', '61', '40687', '2', '1507');
INSERT INTO public.who_import VALUES (297, '2020-10-25', 'AF', 'Afghanistan', 'EMRO', '81', '40768', '4', '1511');
INSERT INTO public.who_import VALUES (298, '2020-10-26', 'AF', 'Afghanistan', 'EMRO', '65', '40833', '3', '1514');
INSERT INTO public.who_import VALUES (299, '2020-10-27', 'AF', 'Afghanistan', 'EMRO', '104', '40937', '4', '1518');
INSERT INTO public.who_import VALUES (300, '2020-10-28', 'AF', 'Afghanistan', 'EMRO', '95', '41032', '5', '1523');
INSERT INTO public.who_import VALUES (301, '2020-10-29', 'AF', 'Afghanistan', 'EMRO', '113', '41145', '6', '1529');
INSERT INTO public.who_import VALUES (302, '2020-10-30', 'AF', 'Afghanistan', 'EMRO', '123', '41268', '3', '1532');
INSERT INTO public.who_import VALUES (303, '2020-10-31', 'AF', 'Afghanistan', 'EMRO', '66', '41334', '1', '1533');
INSERT INTO public.who_import VALUES (304, '2020-11-01', 'AF', 'Afghanistan', 'EMRO', '91', '41425', '3', '1536');
INSERT INTO public.who_import VALUES (305, '2020-11-02', 'AF', 'Afghanistan', 'EMRO', '76', '41501', '0', '1536');
INSERT INTO public.who_import VALUES (306, '2020-11-03', 'AF', 'Afghanistan', 'EMRO', '132', '41633', '5', '1541');
INSERT INTO public.who_import VALUES (307, '2020-11-04', 'AF', 'Afghanistan', 'EMRO', '95', '41728', '3', '1544');
INSERT INTO public.who_import VALUES (308, '2020-11-05', 'AF', 'Afghanistan', 'EMRO', '86', '41814', '4', '1548');
INSERT INTO public.who_import VALUES (309, '2020-11-06', 'AF', 'Afghanistan', 'EMRO', '121', '41935', '6', '1554');
INSERT INTO public.who_import VALUES (310, '2020-11-07', 'AF', 'Afghanistan', 'EMRO', '40', '41975', '0', '1554');
INSERT INTO public.who_import VALUES (311, '2020-11-08', 'AF', 'Afghanistan', 'EMRO', '58', '42033', '2', '1556');
INSERT INTO public.who_import VALUES (312, '2020-11-09', 'AF', 'Afghanistan', 'EMRO', '126', '42159', '6', '1562');
INSERT INTO public.who_import VALUES (313, '2020-11-10', 'AF', 'Afghanistan', 'EMRO', '138', '42297', '12', '1574');
INSERT INTO public.who_import VALUES (314, '2020-11-11', 'AF', 'Afghanistan', 'EMRO', '166', '42463', '3', '1577');
INSERT INTO public.who_import VALUES (315, '2020-11-12', 'AF', 'Afghanistan', 'EMRO', '146', '42609', '4', '1581');
INSERT INTO public.who_import VALUES (316, '2020-11-13', 'AF', 'Afghanistan', 'EMRO', '186', '42795', '10', '1591');
INSERT INTO public.who_import VALUES (317, '2020-11-14', 'AF', 'Afghanistan', 'EMRO', '174', '42969', '4', '1595');
INSERT INTO public.who_import VALUES (318, '2020-11-15', 'AF', 'Afghanistan', 'EMRO', '66', '43035', '10', '1605');
INSERT INTO public.who_import VALUES (319, '2020-11-16', 'AF', 'Afghanistan', 'EMRO', '205', '43240', '12', '1617');
INSERT INTO public.who_import VALUES (320, '2020-11-17', 'AF', 'Afghanistan', 'EMRO', '163', '43403', '9', '1626');
INSERT INTO public.who_import VALUES (321, '2020-11-18', 'AF', 'Afghanistan', 'EMRO', '225', '43628', '12', '1638');
INSERT INTO public.who_import VALUES (322, '2020-11-19', 'AF', 'Afghanistan', 'EMRO', '223', '43851', '7', '1645');
INSERT INTO public.who_import VALUES (323, '2020-11-20', 'AF', 'Afghanistan', 'EMRO', '377', '44228', '5', '1650');
INSERT INTO public.who_import VALUES (324, '2020-11-21', 'AF', 'Afghanistan', 'EMRO', '215', '44443', '11', '1661');
INSERT INTO public.who_import VALUES (325, '2020-11-22', 'AF', 'Afghanistan', 'EMRO', '60', '44503', '14', '1675');
INSERT INTO public.who_import VALUES (326, '2020-11-23', 'AF', 'Afghanistan', 'EMRO', '203', '44706', '12', '1687');
INSERT INTO public.who_import VALUES (327, '2020-11-24', 'AF', 'Afghanistan', 'EMRO', '282', '44988', '8', '1695');
INSERT INTO public.who_import VALUES (328, '2020-11-25', 'AF', 'Afghanistan', 'EMRO', '290', '45278', '17', '1712');
INSERT INTO public.who_import VALUES (329, '2020-11-26', 'AF', 'Afghanistan', 'EMRO', '212', '45490', '13', '1725');
INSERT INTO public.who_import VALUES (330, '2020-11-27', 'AF', 'Afghanistan', 'EMRO', '226', '45716', '12', '1737');
INSERT INTO public.who_import VALUES (331, '2020-11-28', 'AF', 'Afghanistan', 'EMRO', '123', '45839', '3', '1740');
INSERT INTO public.who_import VALUES (332, '2020-11-29', 'AF', 'Afghanistan', 'EMRO', '127', '45966', '12', '1752');
INSERT INTO public.who_import VALUES (333, '2020-11-30', 'AF', 'Afghanistan', 'EMRO', '249', '46215', '11', '1763');
INSERT INTO public.who_import VALUES (334, '2020-12-01', 'AF', 'Afghanistan', 'EMRO', '283', '46498', '11', '1774');
INSERT INTO public.who_import VALUES (335, '2020-12-02', 'AF', 'Afghanistan', 'EMRO', '219', '46717', '21', '1795');
INSERT INTO public.who_import VALUES (336, '2020-12-03', 'AF', 'Afghanistan', 'EMRO', '263', '46980', '27', '1822');
INSERT INTO public.who_import VALUES (337, '2020-12-04', 'AF', 'Afghanistan', 'EMRO', '278', '47258', '19', '1841');
INSERT INTO public.who_import VALUES (338, '2020-12-05', 'AF', 'Afghanistan', 'EMRO', '130', '47388', '6', '1847');
INSERT INTO public.who_import VALUES (339, '2020-12-06', 'AF', 'Afghanistan', 'EMRO', '253', '47641', '18', '1865');
INSERT INTO public.who_import VALUES (340, '2020-12-07', 'AF', 'Afghanistan', 'EMRO', '260', '47901', '10', '1875');
INSERT INTO public.who_import VALUES (341, '2020-12-08', 'AF', 'Afghanistan', 'EMRO', '235', '48136', '27', '1902');
INSERT INTO public.who_import VALUES (342, '2020-12-09', 'AF', 'Afghanistan', 'EMRO', '230', '48366', '6', '1908');
INSERT INTO public.who_import VALUES (343, '2020-12-10', 'AF', 'Afghanistan', 'EMRO', '174', '48540', '13', '1921');
INSERT INTO public.who_import VALUES (344, '2020-12-11', 'AF', 'Afghanistan', 'EMRO', '213', '48753', '18', '1939');
INSERT INTO public.who_import VALUES (345, '2020-12-12', 'AF', 'Afghanistan', 'EMRO', '73', '48826', '10', '1949');
INSERT INTO public.who_import VALUES (346, '2020-12-13', 'AF', 'Afghanistan', 'EMRO', '126', '48952', '11', '1960');
INSERT INTO public.who_import VALUES (347, '2020-12-14', 'AF', 'Afghanistan', 'EMRO', '321', '49273', '11', '1971');
INSERT INTO public.who_import VALUES (348, '2020-12-15', 'AF', 'Afghanistan', 'EMRO', '211', '49484', '4', '1975');
INSERT INTO public.who_import VALUES (349, '2020-12-16', 'AF', 'Afghanistan', 'EMRO', '219', '49703', '26', '2001');
INSERT INTO public.who_import VALUES (350, '2020-12-17', 'AF', 'Afghanistan', 'EMRO', '224', '49927', '16', '2017');
INSERT INTO public.who_import VALUES (351, '2020-12-18', 'AF', 'Afghanistan', 'EMRO', '275', '50202', '15', '2032');
INSERT INTO public.who_import VALUES (352, '2020-12-19', 'AF', 'Afghanistan', 'EMRO', '254', '50456', '5', '2037');
INSERT INTO public.who_import VALUES (353, '2020-12-20', 'AF', 'Afghanistan', 'EMRO', '80', '50536', '17', '2054');
INSERT INTO public.who_import VALUES (354, '2020-12-21', 'AF', 'Afghanistan', 'EMRO', '142', '50678', '20', '2074');
INSERT INTO public.who_import VALUES (355, '2020-12-22', 'AF', 'Afghanistan', 'EMRO', '210', '50888', '15', '2089');
INSERT INTO public.who_import VALUES (356, '2020-12-23', 'AF', 'Afghanistan', 'EMRO', '182', '51070', '16', '2105');
INSERT INTO public.who_import VALUES (357, '2020-12-24', 'AF', 'Afghanistan', 'EMRO', '287', '51357', '21', '2126');
INSERT INTO public.who_import VALUES (358, '2020-12-25', 'AF', 'Afghanistan', 'EMRO', '238', '51595', '9', '2135');
INSERT INTO public.who_import VALUES (359, '2020-12-26', 'AF', 'Afghanistan', 'EMRO', '169', '51764', '13', '2148');
INSERT INTO public.who_import VALUES (360, '2020-12-27', 'AF', 'Afghanistan', 'EMRO', '84', '51848', '10', '2158');
INSERT INTO public.who_import VALUES (361, '2020-12-28', 'AF', 'Afghanistan', 'EMRO', '159', '52007', '12', '2170');
INSERT INTO public.who_import VALUES (362, '2020-12-29', 'AF', 'Afghanistan', 'EMRO', '140', '52147', '12', '2182');
INSERT INTO public.who_import VALUES (363, '2020-12-30', 'AF', 'Afghanistan', 'EMRO', '183', '52330', '7', '2189');
INSERT INTO public.who_import VALUES (364, '2020-12-31', 'AF', 'Afghanistan', 'EMRO', '0', '52330', '0', '2189');
INSERT INTO public.who_import VALUES (365, '2021-01-01', 'AF', 'Afghanistan', 'EMRO', '183', '52513', '12', '2201');
INSERT INTO public.who_import VALUES (366, '2021-01-02', 'AF', 'Afghanistan', 'EMRO', '73', '52586', '10', '2211');
INSERT INTO public.who_import VALUES (367, '2021-01-03', 'AF', 'Afghanistan', 'EMRO', '123', '52709', '10', '2221');
INSERT INTO public.who_import VALUES (368, '2021-01-04', 'AF', 'Afghanistan', 'EMRO', '200', '52909', '9', '2230');
INSERT INTO public.who_import VALUES (369, '2021-01-05', 'AF', 'Afghanistan', 'EMRO', '102', '53011', '7', '2237');
INSERT INTO public.who_import VALUES (370, '2021-01-06', 'AF', 'Afghanistan', 'EMRO', '94', '53105', '7', '2244');
INSERT INTO public.who_import VALUES (371, '2021-01-07', 'AF', 'Afghanistan', 'EMRO', '102', '53207', '9', '2253');
INSERT INTO public.who_import VALUES (372, '2021-01-08', 'AF', 'Afghanistan', 'EMRO', '125', '53332', '4', '2257');
INSERT INTO public.who_import VALUES (373, '2021-01-09', 'AF', 'Afghanistan', 'EMRO', '68', '53400', '7', '2264');
INSERT INTO public.who_import VALUES (374, '2021-01-10', 'AF', 'Afghanistan', 'EMRO', '89', '53489', '13', '2277');
INSERT INTO public.who_import VALUES (375, '2021-01-11', 'AF', 'Afghanistan', 'EMRO', '49', '53538', '11', '2288');
INSERT INTO public.who_import VALUES (376, '2021-01-12', 'AF', 'Afghanistan', 'EMRO', '46', '53584', '13', '2301');
INSERT INTO public.who_import VALUES (377, '2021-01-13', 'AF', 'Afghanistan', 'EMRO', '106', '53690', '7', '2308');
INSERT INTO public.who_import VALUES (378, '2021-01-14', 'AF', 'Afghanistan', 'EMRO', '85', '53775', '6', '2314');
INSERT INTO public.who_import VALUES (379, '2021-01-15', 'AF', 'Afghanistan', 'EMRO', '56', '53831', '10', '2324');
INSERT INTO public.who_import VALUES (380, '2021-01-16', 'AF', 'Afghanistan', 'EMRO', '107', '53938', '12', '2336');
INSERT INTO public.who_import VALUES (381, '2021-01-17', 'AF', 'Afghanistan', 'EMRO', '46', '53984', '3', '2339');
INSERT INTO public.who_import VALUES (382, '2021-01-18', 'AF', 'Afghanistan', 'EMRO', '78', '54062', '4', '2343');
INSERT INTO public.who_import VALUES (383, '2021-01-19', 'AF', 'Afghanistan', 'EMRO', '79', '54141', '3', '2346');
INSERT INTO public.who_import VALUES (384, '2021-01-20', 'AF', 'Afghanistan', 'EMRO', '137', '54278', '8', '2354');
INSERT INTO public.who_import VALUES (385, '2021-01-21', 'AF', 'Afghanistan', 'EMRO', '125', '54403', '9', '2363');
INSERT INTO public.who_import VALUES (386, '2021-01-22', 'AF', 'Afghanistan', 'EMRO', '80', '54483', '7', '2370');
INSERT INTO public.who_import VALUES (387, '2021-01-23', 'AF', 'Afghanistan', 'EMRO', '76', '54559', '3', '2373');
INSERT INTO public.who_import VALUES (388, '2021-01-24', 'AF', 'Afghanistan', 'EMRO', '36', '54595', '5', '2378');
INSERT INTO public.who_import VALUES (389, '2021-01-25', 'AF', 'Afghanistan', 'EMRO', '77', '54672', '7', '2385');
INSERT INTO public.who_import VALUES (390, '2021-01-26', 'AF', 'Afghanistan', 'EMRO', '78', '54750', '4', '2389');
INSERT INTO public.who_import VALUES (391, '2021-01-27', 'AF', 'Afghanistan', 'EMRO', '104', '54854', '0', '2389');
INSERT INTO public.who_import VALUES (392, '2021-01-28', 'AF', 'Afghanistan', 'EMRO', '37', '54891', '8', '2397');
INSERT INTO public.who_import VALUES (393, '2021-01-29', 'AF', 'Afghanistan', 'EMRO', '48', '54939', '2', '2399');
INSERT INTO public.who_import VALUES (394, '2021-01-30', 'AF', 'Afghanistan', 'EMRO', '69', '55008', '1', '2400');
INSERT INTO public.who_import VALUES (395, '2021-01-31', 'AF', 'Afghanistan', 'EMRO', '15', '55023', '0', '2400');
INSERT INTO public.who_import VALUES (396, '2021-02-01', 'AF', 'Afghanistan', 'EMRO', '36', '55059', '4', '2404');
INSERT INTO public.who_import VALUES (397, '2021-02-02', 'AF', 'Afghanistan', 'EMRO', '62', '55121', '1', '2405');
INSERT INTO public.who_import VALUES (398, '2021-02-03', 'AF', 'Afghanistan', 'EMRO', '53', '55174', '1', '2406');
INSERT INTO public.who_import VALUES (399, '2021-02-04', 'AF', 'Afghanistan', 'EMRO', '57', '55231', '1', '2407');
INSERT INTO public.who_import VALUES (400, '2021-02-05', 'AF', 'Afghanistan', 'EMRO', '34', '55265', '0', '2407');
INSERT INTO public.who_import VALUES (401, '2021-02-06', 'AF', 'Afghanistan', 'EMRO', '65', '55330', '1', '2408');
INSERT INTO public.who_import VALUES (402, '2021-02-07', 'AF', 'Afghanistan', 'EMRO', '5', '55335', '2', '2410');
INSERT INTO public.who_import VALUES (403, '2021-02-08', 'AF', 'Afghanistan', 'EMRO', '24', '55359', '3', '2413');
INSERT INTO public.who_import VALUES (404, '2021-02-09', 'AF', 'Afghanistan', 'EMRO', '25', '55384', '1', '2414');
INSERT INTO public.who_import VALUES (405, '2021-02-10', 'AF', 'Afghanistan', 'EMRO', '18', '55402', '4', '2418');
INSERT INTO public.who_import VALUES (406, '2021-02-11', 'AF', 'Afghanistan', 'EMRO', '18', '55420', '1', '2419');
INSERT INTO public.who_import VALUES (407, '2021-02-12', 'AF', 'Afghanistan', 'EMRO', '25', '55445', '5', '2424');
INSERT INTO public.who_import VALUES (408, '2021-02-13', 'AF', 'Afghanistan', 'EMRO', '28', '55473', '3', '2427');
INSERT INTO public.who_import VALUES (409, '2021-02-14', 'AF', 'Afghanistan', 'EMRO', '19', '55492', '0', '2427');
INSERT INTO public.who_import VALUES (410, '2021-02-15', 'AF', 'Afghanistan', 'EMRO', '22', '55514', '0', '2427');
INSERT INTO public.who_import VALUES (411, '2021-02-16', 'AF', 'Afghanistan', 'EMRO', '4', '55518', '1', '2428');
INSERT INTO public.who_import VALUES (412, '2021-02-17', 'AF', 'Afghanistan', 'EMRO', '22', '55540', '0', '2428');
INSERT INTO public.who_import VALUES (413, '2021-02-18', 'AF', 'Afghanistan', 'EMRO', '17', '55557', '2', '2430');
INSERT INTO public.who_import VALUES (414, '2021-02-19', 'AF', 'Afghanistan', 'EMRO', '18', '55575', '0', '2430');
INSERT INTO public.who_import VALUES (415, '2021-02-20', 'AF', 'Afghanistan', 'EMRO', '5', '55580', '0', '2430');
INSERT INTO public.who_import VALUES (416, '2020-01-03', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (417, '2020-01-04', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (418, '2020-01-05', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (419, '2020-01-06', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (420, '2020-01-07', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (421, '2020-01-08', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (422, '2020-01-09', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (423, '2020-01-10', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (424, '2020-01-11', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (425, '2020-01-12', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (426, '2020-01-13', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (427, '2020-01-14', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (428, '2020-01-15', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (429, '2020-01-16', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (430, '2020-01-17', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (431, '2020-01-18', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (432, '2020-01-19', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (433, '2020-01-20', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (434, '2020-01-21', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (435, '2020-01-22', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (436, '2020-01-23', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (437, '2020-01-24', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (438, '2020-01-25', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (439, '2020-01-26', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (440, '2020-01-27', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (441, '2020-01-28', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (442, '2020-01-29', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (443, '2020-01-30', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (444, '2020-01-31', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (445, '2020-02-01', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (446, '2020-02-02', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (447, '2020-02-03', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (448, '2020-02-04', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (449, '2020-02-05', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (450, '2020-02-06', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (451, '2020-02-07', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (452, '2020-02-08', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (453, '2020-02-09', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (454, '2020-02-10', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (455, '2020-02-11', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (456, '2020-02-12', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (457, '2020-02-13', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (458, '2020-02-14', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (459, '2020-02-15', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (460, '2020-02-16', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (461, '2020-02-17', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (462, '2020-02-18', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (463, '2020-02-19', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (464, '2020-02-20', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (465, '2020-02-21', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (466, '2020-02-22', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (467, '2020-02-23', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (468, '2020-02-24', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (469, '2020-02-25', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (470, '2020-02-26', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (471, '2020-02-27', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (472, '2020-02-28', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (473, '2020-02-29', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (474, '2020-03-01', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (475, '2020-03-02', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (476, '2020-03-03', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (477, '2020-03-04', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (478, '2020-03-05', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (479, '2020-03-06', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (480, '2020-03-07', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (481, '2020-03-08', 'AL', 'Albania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (482, '2020-03-09', 'AL', 'Albania', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (483, '2020-03-10', 'AL', 'Albania', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (484, '2020-03-11', 'AL', 'Albania', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (485, '2020-03-12', 'AL', 'Albania', 'EURO', '1', '3', '1', '1');
INSERT INTO public.who_import VALUES (486, '2020-03-13', 'AL', 'Albania', 'EURO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (487, '2020-03-14', 'AL', 'Albania', 'EURO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (488, '2020-03-15', 'AL', 'Albania', 'EURO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (489, '2020-03-16', 'AL', 'Albania', 'EURO', '2', '5', '0', '1');
INSERT INTO public.who_import VALUES (490, '2020-03-17', 'AL', 'Albania', 'EURO', '9', '14', '0', '1');
INSERT INTO public.who_import VALUES (491, '2020-03-18', 'AL', 'Albania', 'EURO', '4', '18', '0', '1');
INSERT INTO public.who_import VALUES (492, '2020-03-19', 'AL', 'Albania', 'EURO', '3', '21', '0', '1');
INSERT INTO public.who_import VALUES (493, '2020-03-20', 'AL', 'Albania', 'EURO', '11', '32', '0', '1');
INSERT INTO public.who_import VALUES (494, '2020-03-21', 'AL', 'Albania', 'EURO', '19', '51', '0', '1');
INSERT INTO public.who_import VALUES (495, '2020-03-22', 'AL', 'Albania', 'EURO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (496, '2020-03-23', 'AL', 'Albania', 'EURO', '15', '66', '2', '3');
INSERT INTO public.who_import VALUES (497, '2020-03-24', 'AL', 'Albania', 'EURO', '19', '85', '1', '4');
INSERT INTO public.who_import VALUES (498, '2020-03-25', 'AL', 'Albania', 'EURO', '23', '108', '0', '4');
INSERT INTO public.who_import VALUES (499, '2020-03-26', 'AL', 'Albania', 'EURO', '28', '136', '1', '5');
INSERT INTO public.who_import VALUES (500, '2020-03-27', 'AL', 'Albania', 'EURO', '12', '148', '2', '7');
INSERT INTO public.who_import VALUES (501, '2020-03-28', 'AL', 'Albania', 'EURO', '11', '159', '1', '8');
INSERT INTO public.who_import VALUES (502, '2020-03-29', 'AL', 'Albania', 'EURO', '15', '174', '1', '9');
INSERT INTO public.who_import VALUES (503, '2020-03-30', 'AL', 'Albania', 'EURO', '11', '185', '1', '10');
INSERT INTO public.who_import VALUES (504, '2020-03-31', 'AL', 'Albania', 'EURO', '20', '205', '2', '12');
INSERT INTO public.who_import VALUES (505, '2020-04-01', 'AL', 'Albania', 'EURO', '34', '239', '2', '14');
INSERT INTO public.who_import VALUES (506, '2020-04-02', 'AL', 'Albania', 'EURO', '0', '239', '0', '14');
INSERT INTO public.who_import VALUES (507, '2020-04-03', 'AL', 'Albania', 'EURO', '0', '239', '1', '15');
INSERT INTO public.who_import VALUES (508, '2020-04-04', 'AL', 'Albania', 'EURO', '56', '295', '1', '16');
INSERT INTO public.who_import VALUES (509, '2020-04-05', 'AL', 'Albania', 'EURO', '0', '295', '1', '17');
INSERT INTO public.who_import VALUES (510, '2020-04-06', 'AL', 'Albania', 'EURO', '44', '339', '3', '20');
INSERT INTO public.who_import VALUES (511, '2020-04-07', 'AL', 'Albania', 'EURO', '0', '339', '1', '21');
INSERT INTO public.who_import VALUES (512, '2020-04-08', 'AL', 'Albania', 'EURO', '23', '362', '0', '21');
INSERT INTO public.who_import VALUES (513, '2020-04-09', 'AL', 'Albania', 'EURO', '9', '371', '0', '21');
INSERT INTO public.who_import VALUES (514, '2020-04-10', 'AL', 'Albania', 'EURO', '7', '378', '1', '22');
INSERT INTO public.who_import VALUES (515, '2020-04-11', 'AL', 'Albania', 'EURO', '0', '378', '0', '22');
INSERT INTO public.who_import VALUES (516, '2020-04-12', 'AL', 'Albania', 'EURO', '30', '408', '0', '22');
INSERT INTO public.who_import VALUES (517, '2020-04-13', 'AL', 'Albania', 'EURO', '0', '408', '0', '22');
INSERT INTO public.who_import VALUES (518, '2020-04-14', 'AL', 'Albania', 'EURO', '29', '437', '0', '22');
INSERT INTO public.who_import VALUES (519, '2020-04-15', 'AL', 'Albania', 'EURO', '0', '437', '1', '23');
INSERT INTO public.who_import VALUES (520, '2020-04-16', 'AL', 'Albania', 'EURO', '19', '456', '1', '24');
INSERT INTO public.who_import VALUES (521, '2020-04-17', 'AL', 'Albania', 'EURO', '24', '480', '1', '25');
INSERT INTO public.who_import VALUES (522, '2020-04-18', 'AL', 'Albania', 'EURO', '30', '510', '0', '25');
INSERT INTO public.who_import VALUES (523, '2020-04-19', 'AL', 'Albania', 'EURO', '0', '510', '0', '25');
INSERT INTO public.who_import VALUES (524, '2020-04-20', 'AL', 'Albania', 'EURO', '14', '524', '0', '25');
INSERT INTO public.who_import VALUES (525, '2020-04-21', 'AL', 'Albania', 'EURO', '47', '571', '0', '25');
INSERT INTO public.who_import VALUES (526, '2020-04-22', 'AL', 'Albania', 'EURO', '25', '596', '0', '25');
INSERT INTO public.who_import VALUES (527, '2020-04-23', 'AL', 'Albania', 'EURO', '0', '596', '1', '26');
INSERT INTO public.who_import VALUES (528, '2020-04-24', 'AL', 'Albania', 'EURO', '44', '640', '0', '26');
INSERT INTO public.who_import VALUES (529, '2020-04-25', 'AL', 'Albania', 'EURO', '0', '640', '0', '26');
INSERT INTO public.who_import VALUES (530, '2020-04-26', 'AL', 'Albania', 'EURO', '34', '674', '0', '26');
INSERT INTO public.who_import VALUES (531, '2020-04-27', 'AL', 'Albania', 'EURO', '14', '688', '1', '27');
INSERT INTO public.who_import VALUES (532, '2020-04-28', 'AL', 'Albania', 'EURO', '10', '698', '0', '27');
INSERT INTO public.who_import VALUES (533, '2020-04-29', 'AL', 'Albania', 'EURO', '30', '728', '2', '29');
INSERT INTO public.who_import VALUES (534, '2020-04-30', 'AL', 'Albania', 'EURO', '7', '735', '1', '30');
INSERT INTO public.who_import VALUES (535, '2020-05-01', 'AL', 'Albania', 'EURO', '0', '735', '0', '30');
INSERT INTO public.who_import VALUES (536, '2020-05-02', 'AL', 'Albania', 'EURO', '16', '751', '0', '30');
INSERT INTO public.who_import VALUES (537, '2020-05-03', 'AL', 'Albania', 'EURO', '6', '757', '0', '30');
INSERT INTO public.who_import VALUES (538, '2020-05-04', 'AL', 'Albania', 'EURO', '8', '765', '0', '30');
INSERT INTO public.who_import VALUES (539, '2020-05-05', 'AL', 'Albania', 'EURO', '17', '782', '0', '30');
INSERT INTO public.who_import VALUES (540, '2020-05-06', 'AL', 'Albania', 'EURO', '12', '794', '0', '30');
INSERT INTO public.who_import VALUES (541, '2020-05-07', 'AL', 'Albania', 'EURO', '0', '794', '0', '30');
INSERT INTO public.who_import VALUES (542, '2020-05-08', 'AL', 'Albania', 'EURO', '18', '812', '0', '30');
INSERT INTO public.who_import VALUES (543, '2020-05-09', 'AL', 'Albania', 'EURO', '6', '818', '0', '30');
INSERT INTO public.who_import VALUES (544, '2020-05-10', 'AL', 'Albania', 'EURO', '12', '830', '0', '30');
INSERT INTO public.who_import VALUES (545, '2020-05-11', 'AL', 'Albania', 'EURO', '0', '830', '0', '30');
INSERT INTO public.who_import VALUES (546, '2020-05-12', 'AL', 'Albania', 'EURO', '4', '834', '0', '30');
INSERT INTO public.who_import VALUES (547, '2020-05-13', 'AL', 'Albania', 'EURO', '4', '838', '0', '30');
INSERT INTO public.who_import VALUES (548, '2020-05-14', 'AL', 'Albania', 'EURO', '4', '842', '0', '30');
INSERT INTO public.who_import VALUES (549, '2020-05-15', 'AL', 'Albania', 'EURO', '18', '860', '0', '30');
INSERT INTO public.who_import VALUES (550, '2020-05-16', 'AL', 'Albania', 'EURO', '35', '895', '0', '30');
INSERT INTO public.who_import VALUES (551, '2020-05-17', 'AL', 'Albania', 'EURO', '13', '908', '0', '30');
INSERT INTO public.who_import VALUES (552, '2020-05-18', 'AL', 'Albania', 'EURO', '2', '910', '0', '30');
INSERT INTO public.who_import VALUES (553, '2020-05-19', 'AL', 'Albania', 'EURO', '0', '910', '0', '30');
INSERT INTO public.who_import VALUES (554, '2020-05-20', 'AL', 'Albania', 'EURO', '16', '926', '0', '30');
INSERT INTO public.who_import VALUES (555, '2020-05-21', 'AL', 'Albania', 'EURO', '5', '931', '0', '30');
INSERT INTO public.who_import VALUES (556, '2020-05-22', 'AL', 'Albania', 'EURO', '0', '931', '0', '30');
INSERT INTO public.who_import VALUES (557, '2020-05-23', 'AL', 'Albania', 'EURO', '12', '943', '0', '30');
INSERT INTO public.who_import VALUES (558, '2020-05-24', 'AL', 'Albania', 'EURO', '8', '951', '1', '31');
INSERT INTO public.who_import VALUES (559, '2020-05-25', 'AL', 'Albania', 'EURO', '15', '966', '0', '31');
INSERT INTO public.who_import VALUES (560, '2020-05-26', 'AL', 'Albania', 'EURO', '25', '991', '1', '32');
INSERT INTO public.who_import VALUES (561, '2020-05-27', 'AL', 'Albania', 'EURO', '21', '1012', '0', '32');
INSERT INTO public.who_import VALUES (562, '2020-05-28', 'AL', 'Albania', 'EURO', '26', '1038', '0', '32');
INSERT INTO public.who_import VALUES (563, '2020-05-29', 'AL', 'Albania', 'EURO', '23', '1061', '0', '32');
INSERT INTO public.who_import VALUES (564, '2020-05-30', 'AL', 'Albania', 'EURO', '23', '1084', '0', '32');
INSERT INTO public.who_import VALUES (565, '2020-05-31', 'AL', 'Albania', 'EURO', '14', '1098', '0', '32');
INSERT INTO public.who_import VALUES (566, '2020-06-01', 'AL', 'Albania', 'EURO', '7', '1105', '0', '32');
INSERT INTO public.who_import VALUES (567, '2020-06-02', 'AL', 'Albania', 'EURO', '36', '1141', '0', '32');
INSERT INTO public.who_import VALUES (568, '2020-06-03', 'AL', 'Albania', 'EURO', '20', '1161', '1', '33');
INSERT INTO public.who_import VALUES (569, '2020-06-04', 'AL', 'Albania', 'EURO', '36', '1197', '0', '33');
INSERT INTO public.who_import VALUES (570, '2020-06-05', 'AL', 'Albania', 'EURO', '15', '1212', '0', '33');
INSERT INTO public.who_import VALUES (571, '2020-06-06', 'AL', 'Albania', 'EURO', '20', '1232', '1', '34');
INSERT INTO public.who_import VALUES (572, '2020-06-07', 'AL', 'Albania', 'EURO', '14', '1246', '0', '34');
INSERT INTO public.who_import VALUES (573, '2020-06-08', 'AL', 'Albania', 'EURO', '17', '1263', '0', '34');
INSERT INTO public.who_import VALUES (574, '2020-06-09', 'AL', 'Albania', 'EURO', '36', '1299', '0', '34');
INSERT INTO public.who_import VALUES (575, '2020-06-10', 'AL', 'Albania', 'EURO', '42', '1341', '0', '34');
INSERT INTO public.who_import VALUES (576, '2020-06-11', 'AL', 'Albania', 'EURO', '44', '1385', '0', '34');
INSERT INTO public.who_import VALUES (577, '2020-06-12', 'AL', 'Albania', 'EURO', '31', '1416', '2', '36');
INSERT INTO public.who_import VALUES (578, '2020-06-13', 'AL', 'Albania', 'EURO', '48', '1464', '0', '36');
INSERT INTO public.who_import VALUES (579, '2020-06-14', 'AL', 'Albania', 'EURO', '57', '1521', '0', '36');
INSERT INTO public.who_import VALUES (580, '2020-06-15', 'AL', 'Albania', 'EURO', '69', '1590', '0', '36');
INSERT INTO public.who_import VALUES (581, '2020-06-16', 'AL', 'Albania', 'EURO', '82', '1672', '1', '37');
INSERT INTO public.who_import VALUES (582, '2020-06-17', 'AL', 'Albania', 'EURO', '50', '1722', '1', '38');
INSERT INTO public.who_import VALUES (583, '2020-06-18', 'AL', 'Albania', 'EURO', '66', '1788', '1', '39');
INSERT INTO public.who_import VALUES (584, '2020-06-19', 'AL', 'Albania', 'EURO', '50', '1838', '3', '42');
INSERT INTO public.who_import VALUES (585, '2020-06-20', 'AL', 'Albania', 'EURO', '0', '1838', '0', '42');
INSERT INTO public.who_import VALUES (586, '2020-06-21', 'AL', 'Albania', 'EURO', '53', '1891', '1', '43');
INSERT INTO public.who_import VALUES (587, '2020-06-22', 'AL', 'Albania', 'EURO', '104', '1995', '1', '44');
INSERT INTO public.who_import VALUES (588, '2020-06-23', 'AL', 'Albania', 'EURO', '52', '2047', '1', '45');
INSERT INTO public.who_import VALUES (589, '2020-06-24', 'AL', 'Albania', 'EURO', '67', '2114', '2', '47');
INSERT INTO public.who_import VALUES (590, '2020-06-25', 'AL', 'Albania', 'EURO', '78', '2192', '1', '48');
INSERT INTO public.who_import VALUES (591, '2020-06-26', 'AL', 'Albania', 'EURO', '77', '2269', '3', '51');
INSERT INTO public.who_import VALUES (592, '2020-06-27', 'AL', 'Albania', 'EURO', '61', '2330', '2', '53');
INSERT INTO public.who_import VALUES (593, '2020-06-28', 'AL', 'Albania', 'EURO', '72', '2402', '2', '55');
INSERT INTO public.who_import VALUES (594, '2020-06-29', 'AL', 'Albania', 'EURO', '64', '2466', '3', '58');
INSERT INTO public.who_import VALUES (595, '2020-06-30', 'AL', 'Albania', 'EURO', '69', '2535', '4', '62');
INSERT INTO public.who_import VALUES (596, '2020-07-01', 'AL', 'Albania', 'EURO', '45', '2580', '3', '65');
INSERT INTO public.who_import VALUES (597, '2020-07-02', 'AL', 'Albania', 'EURO', '82', '2662', '4', '69');
INSERT INTO public.who_import VALUES (598, '2020-07-03', 'AL', 'Albania', 'EURO', '90', '2752', '3', '72');
INSERT INTO public.who_import VALUES (599, '2020-07-04', 'AL', 'Albania', 'EURO', '67', '2819', '2', '74');
INSERT INTO public.who_import VALUES (600, '2020-07-05', 'AL', 'Albania', 'EURO', '74', '2893', '2', '76');
INSERT INTO public.who_import VALUES (601, '2020-07-06', 'AL', 'Albania', 'EURO', '71', '2964', '3', '79');
INSERT INTO public.who_import VALUES (602, '2020-07-07', 'AL', 'Albania', 'EURO', '74', '3038', '2', '81');
INSERT INTO public.who_import VALUES (603, '2020-07-08', 'AL', 'Albania', 'EURO', '68', '3106', '2', '83');
INSERT INTO public.who_import VALUES (604, '2020-07-09', 'AL', 'Albania', 'EURO', '82', '3188', '0', '83');
INSERT INTO public.who_import VALUES (605, '2020-07-10', 'AL', 'Albania', 'EURO', '90', '3278', '2', '85');
INSERT INTO public.who_import VALUES (606, '2020-07-11', 'AL', 'Albania', 'EURO', '93', '3371', '4', '89');
INSERT INTO public.who_import VALUES (607, '2020-07-12', 'AL', 'Albania', 'EURO', '83', '3454', '4', '93');
INSERT INTO public.who_import VALUES (608, '2020-07-13', 'AL', 'Albania', 'EURO', '117', '3571', '2', '95');
INSERT INTO public.who_import VALUES (609, '2020-07-14', 'AL', 'Albania', 'EURO', '96', '3667', '2', '97');
INSERT INTO public.who_import VALUES (610, '2020-07-15', 'AL', 'Albania', 'EURO', '85', '3752', '4', '101');
INSERT INTO public.who_import VALUES (611, '2020-07-16', 'AL', 'Albania', 'EURO', '99', '3851', '3', '104');
INSERT INTO public.who_import VALUES (612, '2020-07-17', 'AL', 'Albania', 'EURO', '55', '3906', '3', '107');
INSERT INTO public.who_import VALUES (613, '2020-07-18', 'AL', 'Albania', 'EURO', '0', '3906', '0', '107');
INSERT INTO public.who_import VALUES (614, '2020-07-19', 'AL', 'Albania', 'EURO', '102', '4008', '4', '111');
INSERT INTO public.who_import VALUES (615, '2020-07-20', 'AL', 'Albania', 'EURO', '82', '4090', '1', '112');
INSERT INTO public.who_import VALUES (616, '2020-07-21', 'AL', 'Albania', 'EURO', '81', '4171', '1', '113');
INSERT INTO public.who_import VALUES (617, '2020-07-22', 'AL', 'Albania', 'EURO', '119', '4290', '4', '117');
INSERT INTO public.who_import VALUES (618, '2020-07-23', 'AL', 'Albania', 'EURO', '68', '4358', '3', '120');
INSERT INTO public.who_import VALUES (619, '2020-07-24', 'AL', 'Albania', 'EURO', '108', '4466', '3', '123');
INSERT INTO public.who_import VALUES (620, '2020-07-25', 'AL', 'Albania', 'EURO', '104', '4570', '5', '128');
INSERT INTO public.who_import VALUES (621, '2020-07-26', 'AL', 'Albania', 'EURO', '67', '4637', '6', '134');
INSERT INTO public.who_import VALUES (622, '2020-07-27', 'AL', 'Albania', 'EURO', '126', '4763', '4', '138');
INSERT INTO public.who_import VALUES (623, '2020-07-28', 'AL', 'Albania', 'EURO', '117', '4880', '6', '144');
INSERT INTO public.who_import VALUES (624, '2020-07-29', 'AL', 'Albania', 'EURO', '117', '4997', '4', '148');
INSERT INTO public.who_import VALUES (625, '2020-07-30', 'AL', 'Albania', 'EURO', '108', '5105', '2', '150');
INSERT INTO public.who_import VALUES (626, '2020-07-31', 'AL', 'Albania', 'EURO', '92', '5197', '4', '154');
INSERT INTO public.who_import VALUES (627, '2020-08-01', 'AL', 'Albania', 'EURO', '79', '5276', '3', '157');
INSERT INTO public.who_import VALUES (628, '2020-08-02', 'AL', 'Albania', 'EURO', '120', '5396', '4', '161');
INSERT INTO public.who_import VALUES (629, '2020-08-03', 'AL', 'Albania', 'EURO', '123', '5519', '5', '166');
INSERT INTO public.who_import VALUES (630, '2020-08-04', 'AL', 'Albania', 'EURO', '101', '5620', '6', '172');
INSERT INTO public.who_import VALUES (631, '2020-08-05', 'AL', 'Albania', 'EURO', '130', '5750', '4', '176');
INSERT INTO public.who_import VALUES (632, '2020-08-06', 'AL', 'Albania', 'EURO', '139', '5889', '6', '182');
INSERT INTO public.who_import VALUES (633, '2020-08-07', 'AL', 'Albania', 'EURO', '127', '6016', '6', '188');
INSERT INTO public.who_import VALUES (634, '2020-08-08', 'AL', 'Albania', 'EURO', '135', '6151', '1', '189');
INSERT INTO public.who_import VALUES (635, '2020-08-09', 'AL', 'Albania', 'EURO', '124', '6275', '4', '193');
INSERT INTO public.who_import VALUES (636, '2020-08-10', 'AL', 'Albania', 'EURO', '136', '6411', '6', '199');
INSERT INTO public.who_import VALUES (637, '2020-08-11', 'AL', 'Albania', 'EURO', '125', '6536', '1', '200');
INSERT INTO public.who_import VALUES (638, '2020-08-12', 'AL', 'Albania', 'EURO', '140', '6676', '5', '205');
INSERT INTO public.who_import VALUES (639, '2020-08-13', 'AL', 'Albania', 'EURO', '141', '6817', '3', '208');
INSERT INTO public.who_import VALUES (640, '2020-08-14', 'AL', 'Albania', 'EURO', '154', '6971', '5', '213');
INSERT INTO public.who_import VALUES (641, '2020-08-15', 'AL', 'Albania', 'EURO', '146', '7117', '6', '219');
INSERT INTO public.who_import VALUES (642, '2020-08-16', 'AL', 'Albania', 'EURO', '143', '7260', '6', '225');
INSERT INTO public.who_import VALUES (643, '2020-08-17', 'AL', 'Albania', 'EURO', '120', '7380', '3', '228');
INSERT INTO public.who_import VALUES (644, '2020-08-18', 'AL', 'Albania', 'EURO', '119', '7499', '2', '230');
INSERT INTO public.who_import VALUES (645, '2020-08-19', 'AL', 'Albania', 'EURO', '155', '7654', '2', '232');
INSERT INTO public.who_import VALUES (646, '2020-08-20', 'AL', 'Albania', 'EURO', '158', '7812', '2', '234');
INSERT INTO public.who_import VALUES (647, '2020-08-21', 'AL', 'Albania', 'EURO', '155', '7967', '4', '238');
INSERT INTO public.who_import VALUES (648, '2020-08-22', 'AL', 'Albania', 'EURO', '152', '8119', '2', '240');
INSERT INTO public.who_import VALUES (649, '2020-08-23', 'AL', 'Albania', 'EURO', '156', '8275', '5', '245');
INSERT INTO public.who_import VALUES (650, '2020-08-24', 'AL', 'Albania', 'EURO', '152', '8427', '5', '250');
INSERT INTO public.who_import VALUES (651, '2020-08-25', 'AL', 'Albania', 'EURO', '178', '8605', '4', '254');
INSERT INTO public.who_import VALUES (652, '2020-08-26', 'AL', 'Albania', 'EURO', '154', '8759', '5', '259');
INSERT INTO public.who_import VALUES (653, '2020-08-27', 'AL', 'Albania', 'EURO', '168', '8927', '4', '263');
INSERT INTO public.who_import VALUES (654, '2020-08-28', 'AL', 'Albania', 'EURO', '156', '9083', '3', '266');
INSERT INTO public.who_import VALUES (655, '2020-08-29', 'AL', 'Albania', 'EURO', '112', '9195', '5', '271');
INSERT INTO public.who_import VALUES (656, '2020-08-30', 'AL', 'Albania', 'EURO', '84', '9279', '4', '275');
INSERT INTO public.who_import VALUES (657, '2020-08-31', 'AL', 'Albania', 'EURO', '101', '9380', '5', '280');
INSERT INTO public.who_import VALUES (658, '2020-09-01', 'AL', 'Albania', 'EURO', '133', '9513', '4', '284');
INSERT INTO public.who_import VALUES (659, '2020-09-02', 'AL', 'Albania', 'EURO', '93', '9606', '6', '290');
INSERT INTO public.who_import VALUES (660, '2020-09-03', 'AL', 'Albania', 'EURO', '122', '9728', '6', '296');
INSERT INTO public.who_import VALUES (661, '2020-09-04', 'AL', 'Albania', 'EURO', '116', '9844', '5', '301');
INSERT INTO public.who_import VALUES (662, '2020-09-05', 'AL', 'Albania', 'EURO', '123', '9967', '5', '306');
INSERT INTO public.who_import VALUES (663, '2020-09-06', 'AL', 'Albania', 'EURO', '135', '10102', '6', '312');
INSERT INTO public.who_import VALUES (664, '2020-09-07', 'AL', 'Albania', 'EURO', '153', '10255', '4', '316');
INSERT INTO public.who_import VALUES (665, '2020-09-08', 'AL', 'Albania', 'EURO', '151', '10406', '3', '319');
INSERT INTO public.who_import VALUES (666, '2020-09-09', 'AL', 'Albania', 'EURO', '147', '10553', '2', '321');
INSERT INTO public.who_import VALUES (667, '2020-09-10', 'AL', 'Albania', 'EURO', '151', '10704', '1', '322');
INSERT INTO public.who_import VALUES (668, '2020-09-11', 'AL', 'Albania', 'EURO', '156', '10860', '2', '324');
INSERT INTO public.who_import VALUES (669, '2020-09-12', 'AL', 'Albania', 'EURO', '161', '11021', '3', '327');
INSERT INTO public.who_import VALUES (670, '2020-09-13', 'AL', 'Albania', 'EURO', '164', '11185', '3', '330');
INSERT INTO public.who_import VALUES (671, '2020-09-14', 'AL', 'Albania', 'EURO', '168', '11353', '4', '334');
INSERT INTO public.who_import VALUES (672, '2020-09-15', 'AL', 'Albania', 'EURO', '167', '11520', '4', '338');
INSERT INTO public.who_import VALUES (673, '2020-09-16', 'AL', 'Albania', 'EURO', '152', '11672', '2', '340');
INSERT INTO public.who_import VALUES (674, '2020-09-17', 'AL', 'Albania', 'EURO', '144', '11816', '3', '343');
INSERT INTO public.who_import VALUES (675, '2020-09-18', 'AL', 'Albania', 'EURO', '132', '11948', '4', '347');
INSERT INTO public.who_import VALUES (676, '2020-09-19', 'AL', 'Albania', 'EURO', '125', '12073', '6', '353');
INSERT INTO public.who_import VALUES (677, '2020-09-20', 'AL', 'Albania', 'EURO', '153', '12226', '5', '358');
INSERT INTO public.who_import VALUES (678, '2020-09-21', 'AL', 'Albania', 'EURO', '159', '12385', '4', '362');
INSERT INTO public.who_import VALUES (679, '2020-09-22', 'AL', 'Albania', 'EURO', '150', '12535', '2', '364');
INSERT INTO public.who_import VALUES (680, '2020-09-23', 'AL', 'Albania', 'EURO', '131', '12666', '3', '367');
INSERT INTO public.who_import VALUES (681, '2020-09-24', 'AL', 'Albania', 'EURO', '121', '12787', '3', '370');
INSERT INTO public.who_import VALUES (682, '2020-09-25', 'AL', 'Albania', 'EURO', '134', '12921', '0', '370');
INSERT INTO public.who_import VALUES (683, '2020-09-26', 'AL', 'Albania', 'EURO', '124', '13045', '3', '373');
INSERT INTO public.who_import VALUES (684, '2020-09-27', 'AL', 'Albania', 'EURO', '108', '13153', '2', '375');
INSERT INTO public.who_import VALUES (685, '2020-09-28', 'AL', 'Albania', 'EURO', '106', '13259', '2', '377');
INSERT INTO public.who_import VALUES (686, '2020-09-29', 'AL', 'Albania', 'EURO', '132', '13391', '3', '380');
INSERT INTO public.who_import VALUES (687, '2020-09-30', 'AL', 'Albania', 'EURO', '127', '13518', '4', '384');
INSERT INTO public.who_import VALUES (688, '2020-10-01', 'AL', 'Albania', 'EURO', '131', '13649', '3', '387');
INSERT INTO public.who_import VALUES (689, '2020-10-02', 'AL', 'Albania', 'EURO', '157', '13806', '1', '388');
INSERT INTO public.who_import VALUES (690, '2020-10-03', 'AL', 'Albania', 'EURO', '159', '13965', '1', '389');
INSERT INTO public.who_import VALUES (691, '2020-10-04', 'AL', 'Albania', 'EURO', '152', '14117', '3', '392');
INSERT INTO public.who_import VALUES (692, '2020-10-05', 'AL', 'Albania', 'EURO', '149', '14266', '4', '396');
INSERT INTO public.who_import VALUES (693, '2020-10-06', 'AL', 'Albania', 'EURO', '144', '14410', '4', '400');
INSERT INTO public.who_import VALUES (694, '2020-10-07', 'AL', 'Albania', 'EURO', '158', '14568', '3', '403');
INSERT INTO public.who_import VALUES (695, '2020-10-08', 'AL', 'Albania', 'EURO', '162', '14730', '4', '407');
INSERT INTO public.who_import VALUES (696, '2020-10-09', 'AL', 'Albania', 'EURO', '169', '14899', '4', '411');
INSERT INTO public.who_import VALUES (697, '2020-10-10', 'AL', 'Albania', 'EURO', '167', '15066', '2', '413');
INSERT INTO public.who_import VALUES (698, '2020-10-11', 'AL', 'Albania', 'EURO', '165', '15231', '3', '416');
INSERT INTO public.who_import VALUES (699, '2020-10-12', 'AL', 'Albania', 'EURO', '168', '15399', '4', '420');
INSERT INTO public.who_import VALUES (700, '2020-10-13', 'AL', 'Albania', 'EURO', '171', '15570', '4', '424');
INSERT INTO public.who_import VALUES (701, '2020-10-14', 'AL', 'Albania', 'EURO', '182', '15752', '5', '429');
INSERT INTO public.who_import VALUES (702, '2020-10-15', 'AL', 'Albania', 'EURO', '203', '15955', '5', '434');
INSERT INTO public.who_import VALUES (703, '2020-10-16', 'AL', 'Albania', 'EURO', '257', '16212', '5', '439');
INSERT INTO public.who_import VALUES (704, '2020-10-17', 'AL', 'Albania', 'EURO', '289', '16501', '4', '443');
INSERT INTO public.who_import VALUES (705, '2020-10-18', 'AL', 'Albania', 'EURO', '273', '16774', '5', '448');
INSERT INTO public.who_import VALUES (706, '2020-10-19', 'AL', 'Albania', 'EURO', '281', '17055', '3', '451');
INSERT INTO public.who_import VALUES (707, '2020-10-20', 'AL', 'Albania', 'EURO', '295', '17350', '3', '454');
INSERT INTO public.who_import VALUES (708, '2020-10-21', 'AL', 'Albania', 'EURO', '301', '17651', '4', '458');
INSERT INTO public.who_import VALUES (709, '2020-10-22', 'AL', 'Albania', 'EURO', '297', '17948', '4', '462');
INSERT INTO public.who_import VALUES (710, '2020-10-23', 'AL', 'Albania', 'EURO', '302', '18250', '3', '465');
INSERT INTO public.who_import VALUES (711, '2020-10-24', 'AL', 'Albania', 'EURO', '306', '18556', '4', '469');
INSERT INTO public.who_import VALUES (712, '2020-10-25', 'AL', 'Albania', 'EURO', '302', '18858', '4', '473');
INSERT INTO public.who_import VALUES (713, '2020-10-26', 'AL', 'Albania', 'EURO', '299', '19157', '4', '477');
INSERT INTO public.who_import VALUES (714, '2020-10-27', 'AL', 'Albania', 'EURO', '288', '19445', '3', '480');
INSERT INTO public.who_import VALUES (715, '2020-10-28', 'AL', 'Albania', 'EURO', '284', '19729', '7', '487');
INSERT INTO public.who_import VALUES (716, '2020-10-29', 'AL', 'Albania', 'EURO', '311', '20040', '6', '493');
INSERT INTO public.who_import VALUES (717, '2020-10-30', 'AL', 'Albania', 'EURO', '275', '20315', '6', '499');
INSERT INTO public.who_import VALUES (718, '2020-10-31', 'AL', 'Albania', 'EURO', '319', '20634', '3', '502');
INSERT INTO public.who_import VALUES (719, '2020-11-01', 'AL', 'Albania', 'EURO', '241', '20875', '7', '509');
INSERT INTO public.who_import VALUES (720, '2020-11-02', 'AL', 'Albania', 'EURO', '327', '21202', '9', '518');
INSERT INTO public.who_import VALUES (721, '2020-11-03', 'AL', 'Albania', 'EURO', '321', '21523', '9', '527');
INSERT INTO public.who_import VALUES (722, '2020-11-04', 'AL', 'Albania', 'EURO', '381', '21904', '5', '532');
INSERT INTO public.who_import VALUES (723, '2020-11-05', 'AL', 'Albania', 'EURO', '396', '22300', '4', '536');
INSERT INTO public.who_import VALUES (724, '2020-11-06', 'AL', 'Albania', 'EURO', '421', '22721', '7', '543');
INSERT INTO public.who_import VALUES (725, '2020-11-07', 'AL', 'Albania', 'EURO', '489', '23210', '6', '549');
INSERT INTO public.who_import VALUES (726, '2020-11-08', 'AL', 'Albania', 'EURO', '495', '23705', '8', '557');
INSERT INTO public.who_import VALUES (727, '2020-11-09', 'AL', 'Albania', 'EURO', '501', '24206', '2', '559');
INSERT INTO public.who_import VALUES (728, '2020-11-10', 'AL', 'Albania', 'EURO', '525', '24731', '12', '571');
INSERT INTO public.who_import VALUES (729, '2020-11-11', 'AL', 'Albania', 'EURO', '563', '25294', '8', '579');
INSERT INTO public.who_import VALUES (730, '2020-11-12', 'AL', 'Albania', 'EURO', '507', '25801', '11', '590');
INSERT INTO public.who_import VALUES (731, '2020-11-13', 'AL', 'Albania', 'EURO', '410', '26211', '8', '598');
INSERT INTO public.who_import VALUES (732, '2020-11-14', 'AL', 'Albania', 'EURO', '490', '26701', '7', '605');
INSERT INTO public.who_import VALUES (733, '2020-11-15', 'AL', 'Albania', 'EURO', '532', '27233', '7', '612');
INSERT INTO public.who_import VALUES (734, '2020-11-16', 'AL', 'Albania', 'EURO', '597', '27830', '11', '623');
INSERT INTO public.who_import VALUES (735, '2020-11-17', 'AL', 'Albania', 'EURO', '602', '28432', '8', '631');
INSERT INTO public.who_import VALUES (736, '2020-11-18', 'AL', 'Albania', 'EURO', '694', '29126', '6', '637');
INSERT INTO public.who_import VALUES (737, '2020-11-19', 'AL', 'Albania', 'EURO', '711', '29837', '9', '646');
INSERT INTO public.who_import VALUES (738, '2020-11-20', 'AL', 'Albania', 'EURO', '786', '30623', '11', '657');
INSERT INTO public.who_import VALUES (739, '2020-11-21', 'AL', 'Albania', 'EURO', '836', '31459', '15', '672');
INSERT INTO public.who_import VALUES (740, '2020-11-22', 'AL', 'Albania', 'EURO', '737', '32196', '13', '685');
INSERT INTO public.who_import VALUES (741, '2020-11-23', 'AL', 'Albania', 'EURO', '565', '32761', '14', '699');
INSERT INTO public.who_import VALUES (742, '2020-11-24', 'AL', 'Albania', 'EURO', '795', '33556', '17', '716');
INSERT INTO public.who_import VALUES (743, '2020-11-25', 'AL', 'Albania', 'EURO', '744', '34300', '19', '735');
INSERT INTO public.who_import VALUES (744, '2020-11-26', 'AL', 'Albania', 'EURO', '644', '34944', '8', '743');
INSERT INTO public.who_import VALUES (745, '2020-11-27', 'AL', 'Albania', 'EURO', '656', '35600', '10', '753');
INSERT INTO public.who_import VALUES (746, '2020-11-28', 'AL', 'Albania', 'EURO', '645', '36245', '18', '771');
INSERT INTO public.who_import VALUES (747, '2020-11-29', 'AL', 'Albania', 'EURO', '545', '36790', '16', '787');
INSERT INTO public.who_import VALUES (748, '2020-11-30', 'AL', 'Albania', 'EURO', '835', '37625', '11', '798');
INSERT INTO public.who_import VALUES (749, '2020-12-01', 'AL', 'Albania', 'EURO', '557', '38182', '12', '810');
INSERT INTO public.who_import VALUES (750, '2020-12-02', 'AL', 'Albania', 'EURO', '832', '39014', '12', '822');
INSERT INTO public.who_import VALUES (751, '2020-12-03', 'AL', 'Albania', 'EURO', '705', '39719', '17', '839');
INSERT INTO public.who_import VALUES (752, '2020-12-04', 'AL', 'Albania', 'EURO', '782', '40501', '13', '852');
INSERT INTO public.who_import VALUES (753, '2020-12-05', 'AL', 'Albania', 'EURO', '801', '41302', '18', '870');
INSERT INTO public.who_import VALUES (754, '2020-12-06', 'AL', 'Albania', 'EURO', '846', '42148', '19', '889');
INSERT INTO public.who_import VALUES (755, '2020-12-07', 'AL', 'Albania', 'EURO', '840', '42988', '16', '905');
INSERT INTO public.who_import VALUES (756, '2020-12-08', 'AL', 'Albania', 'EURO', '695', '43683', '17', '922');
INSERT INTO public.who_import VALUES (757, '2020-12-09', 'AL', 'Albania', 'EURO', '753', '44436', '14', '936');
INSERT INTO public.who_import VALUES (758, '2020-12-10', 'AL', 'Albania', 'EURO', '752', '45188', '15', '951');
INSERT INTO public.who_import VALUES (759, '2020-12-11', 'AL', 'Albania', 'EURO', '873', '46061', '14', '965');
INSERT INTO public.who_import VALUES (760, '2020-12-12', 'AL', 'Albania', 'EURO', '802', '46863', '12', '977');
INSERT INTO public.who_import VALUES (761, '2020-12-13', 'AL', 'Albania', 'EURO', '879', '47742', '12', '989');
INSERT INTO public.who_import VALUES (762, '2020-12-14', 'AL', 'Albania', 'EURO', '788', '48530', '14', '1003');
INSERT INTO public.who_import VALUES (763, '2020-12-15', 'AL', 'Albania', 'EURO', '661', '49191', '13', '1016');
INSERT INTO public.who_import VALUES (764, '2020-12-16', 'AL', 'Albania', 'EURO', '809', '50000', '12', '1028');
INSERT INTO public.who_import VALUES (765, '2020-12-17', 'AL', 'Albania', 'EURO', '637', '50637', '12', '1040');
INSERT INTO public.who_import VALUES (766, '2020-12-18', 'AL', 'Albania', 'EURO', '787', '51424', '15', '1055');
INSERT INTO public.who_import VALUES (767, '2020-12-19', 'AL', 'Albania', 'EURO', '580', '52004', '11', '1066');
INSERT INTO public.who_import VALUES (768, '2020-12-20', 'AL', 'Albania', 'EURO', '538', '52542', '8', '1074');
INSERT INTO public.who_import VALUES (769, '2020-12-21', 'AL', 'Albania', 'EURO', '461', '53003', '14', '1088');
INSERT INTO public.who_import VALUES (770, '2020-12-22', 'AL', 'Albania', 'EURO', '422', '53425', '10', '1098');
INSERT INTO public.who_import VALUES (771, '2020-12-23', 'AL', 'Albania', 'EURO', '389', '53814', '13', '1111');
INSERT INTO public.who_import VALUES (772, '2020-12-24', 'AL', 'Albania', 'EURO', '503', '54317', '6', '1117');
INSERT INTO public.who_import VALUES (773, '2020-12-25', 'AL', 'Albania', 'EURO', '510', '54827', '8', '1125');
INSERT INTO public.who_import VALUES (774, '2020-12-26', 'AL', 'Albania', 'EURO', '553', '55380', '9', '1134');
INSERT INTO public.who_import VALUES (775, '2020-12-27', 'AL', 'Albania', 'EURO', '375', '55755', '9', '1143');
INSERT INTO public.who_import VALUES (776, '2020-12-28', 'AL', 'Albania', 'EURO', '499', '56254', '10', '1153');
INSERT INTO public.who_import VALUES (777, '2020-12-29', 'AL', 'Albania', 'EURO', '318', '56572', '11', '1164');
INSERT INTO public.who_import VALUES (778, '2020-12-30', 'AL', 'Albania', 'EURO', '574', '57146', '6', '1170');
INSERT INTO public.who_import VALUES (779, '2020-12-31', 'AL', 'Albania', 'EURO', '581', '57727', '4', '1174');
INSERT INTO public.who_import VALUES (780, '2021-01-01', 'AL', 'Albania', 'EURO', '589', '58316', '7', '1181');
INSERT INTO public.who_import VALUES (781, '2021-01-02', 'AL', 'Albania', 'EURO', '407', '58723', '5', '1186');
INSERT INTO public.who_import VALUES (782, '2021-01-03', 'AL', 'Albania', 'EURO', '268', '58991', '4', '1190');
INSERT INTO public.who_import VALUES (783, '2021-01-04', 'AL', 'Albania', 'EURO', '447', '59438', '3', '1193');
INSERT INTO public.who_import VALUES (784, '2021-01-05', 'AL', 'Albania', 'EURO', '185', '59623', '6', '1199');
INSERT INTO public.who_import VALUES (785, '2021-01-06', 'AL', 'Albania', 'EURO', '660', '60283', '11', '1210');
INSERT INTO public.who_import VALUES (786, '2021-01-07', 'AL', 'Albania', 'EURO', '725', '61008', '7', '1217');
INSERT INTO public.who_import VALUES (787, '2021-01-08', 'AL', 'Albania', 'EURO', '697', '61705', '6', '1223');
INSERT INTO public.who_import VALUES (788, '2021-01-09', 'AL', 'Albania', 'EURO', '673', '62378', '7', '1230');
INSERT INTO public.who_import VALUES (789, '2021-01-10', 'AL', 'Albania', 'EURO', '655', '63033', '3', '1233');
INSERT INTO public.who_import VALUES (790, '2021-01-11', 'AL', 'Albania', 'EURO', '562', '63595', '8', '1241');
INSERT INTO public.who_import VALUES (791, '2021-01-12', 'AL', 'Albania', 'EURO', '376', '63971', '6', '1247');
INSERT INTO public.who_import VALUES (792, '2021-01-13', 'AL', 'Albania', 'EURO', '656', '64627', '5', '1252');
INSERT INTO public.who_import VALUES (793, '2021-01-14', 'AL', 'Albania', 'EURO', '707', '65334', '4', '1256');
INSERT INTO public.who_import VALUES (794, '2021-01-15', 'AL', 'Albania', 'EURO', '660', '65994', '5', '1261');
INSERT INTO public.who_import VALUES (795, '2021-01-16', 'AL', 'Albania', 'EURO', '641', '66635', '4', '1265');
INSERT INTO public.who_import VALUES (796, '2021-01-17', 'AL', 'Albania', 'EURO', '581', '67216', '5', '1270');
INSERT INTO public.who_import VALUES (797, '2021-01-18', 'AL', 'Albania', 'EURO', '474', '67690', '7', '1277');
INSERT INTO public.who_import VALUES (798, '2021-01-19', 'AL', 'Albania', 'EURO', '292', '67982', '4', '1281');
INSERT INTO public.who_import VALUES (799, '2021-01-20', 'AL', 'Albania', 'EURO', '586', '68568', '6', '1287');
INSERT INTO public.who_import VALUES (800, '2021-01-21', 'AL', 'Albania', 'EURO', '670', '69238', '4', '1291');
INSERT INTO public.who_import VALUES (801, '2021-01-22', 'AL', 'Albania', 'EURO', '678', '69916', '5', '1296');
INSERT INTO public.who_import VALUES (802, '2021-01-23', 'AL', 'Albania', 'EURO', '739', '70655', '7', '1303');
INSERT INTO public.who_import VALUES (803, '2021-01-24', 'AL', 'Albania', 'EURO', '786', '71441', '7', '1310');
INSERT INTO public.who_import VALUES (804, '2021-01-25', 'AL', 'Albania', 'EURO', '833', '72274', '5', '1315');
INSERT INTO public.who_import VALUES (805, '2021-01-26', 'AL', 'Albania', 'EURO', '538', '72812', '9', '1324');
INSERT INTO public.who_import VALUES (806, '2021-01-27', 'AL', 'Albania', 'EURO', '879', '73691', '8', '1332');
INSERT INTO public.who_import VALUES (807, '2021-01-28', 'AL', 'Albania', 'EURO', '876', '74567', '7', '1339');
INSERT INTO public.who_import VALUES (808, '2021-01-29', 'AL', 'Albania', 'EURO', '887', '75454', '11', '1350');
INSERT INTO public.who_import VALUES (809, '2021-01-30', 'AL', 'Albania', 'EURO', '896', '76350', '8', '1358');
INSERT INTO public.who_import VALUES (810, '2021-01-31', 'AL', 'Albania', 'EURO', '901', '77251', '11', '1369');
INSERT INTO public.who_import VALUES (811, '2021-02-01', 'AL', 'Albania', 'EURO', '876', '78127', '11', '1380');
INSERT INTO public.who_import VALUES (812, '2021-02-02', 'AL', 'Albania', 'EURO', '865', '78992', '13', '1393');
INSERT INTO public.who_import VALUES (813, '2021-02-03', 'AL', 'Albania', 'EURO', '942', '79934', '5', '1398');
INSERT INTO public.who_import VALUES (814, '2021-02-04', 'AL', 'Albania', 'EURO', '1007', '80941', '6', '1404');
INSERT INTO public.who_import VALUES (815, '2021-02-05', 'AL', 'Albania', 'EURO', '1052', '81993', '14', '1418');
INSERT INTO public.who_import VALUES (816, '2021-02-06', 'AL', 'Albania', 'EURO', '1089', '83082', '15', '1433');
INSERT INTO public.who_import VALUES (817, '2021-02-07', 'AL', 'Albania', 'EURO', '1130', '84212', '13', '1446');
INSERT INTO public.who_import VALUES (818, '2021-02-08', 'AL', 'Albania', 'EURO', '1124', '85336', '14', '1460');
INSERT INTO public.who_import VALUES (819, '2021-02-09', 'AL', 'Albania', 'EURO', '953', '86289', '12', '1472');
INSERT INTO public.who_import VALUES (820, '2021-02-10', 'AL', 'Albania', 'EURO', '1239', '87528', '16', '1488');
INSERT INTO public.who_import VALUES (821, '2021-02-11', 'AL', 'Albania', 'EURO', '1143', '88671', '15', '1503');
INSERT INTO public.who_import VALUES (822, '2021-02-12', 'AL', 'Albania', 'EURO', '1105', '89776', '14', '1517');
INSERT INTO public.who_import VALUES (823, '2021-02-13', 'AL', 'Albania', 'EURO', '1059', '90835', '14', '1531');
INSERT INTO public.who_import VALUES (824, '2021-02-14', 'AL', 'Albania', 'EURO', '1152', '91987', '12', '1543');
INSERT INTO public.who_import VALUES (825, '2021-02-15', 'AL', 'Albania', 'EURO', '1088', '93075', '12', '1555');
INSERT INTO public.who_import VALUES (826, '2021-02-16', 'AL', 'Albania', 'EURO', '775', '93850', '12', '1567');
INSERT INTO public.who_import VALUES (827, '2021-02-17', 'AL', 'Albania', 'EURO', '801', '94651', '15', '1582');
INSERT INTO public.who_import VALUES (828, '2021-02-18', 'AL', 'Albania', 'EURO', '1075', '95726', '18', '1600');
INSERT INTO public.who_import VALUES (829, '2021-02-19', 'AL', 'Albania', 'EURO', '1112', '96838', '17', '1617');
INSERT INTO public.who_import VALUES (830, '2021-02-20', 'AL', 'Albania', 'EURO', '1071', '97909', '19', '1636');
INSERT INTO public.who_import VALUES (831, '2020-01-03', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (832, '2020-01-04', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (833, '2020-01-05', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (834, '2020-01-06', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (835, '2020-01-07', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (836, '2020-01-08', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (837, '2020-01-09', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (838, '2020-01-10', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (839, '2020-01-11', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (840, '2020-01-12', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (841, '2020-01-13', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (842, '2020-01-14', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (843, '2020-01-15', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (844, '2020-01-16', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (845, '2020-01-17', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (846, '2020-01-18', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (847, '2020-01-19', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (848, '2020-01-20', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (849, '2020-01-21', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (850, '2020-01-22', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (851, '2020-01-23', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (852, '2020-01-24', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (853, '2020-01-25', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (854, '2020-01-26', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (855, '2020-01-27', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (856, '2020-01-28', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (857, '2020-01-29', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (858, '2020-01-30', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (859, '2020-01-31', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (860, '2020-02-01', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (861, '2020-02-02', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (862, '2020-02-03', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (863, '2020-02-04', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (864, '2020-02-05', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (865, '2020-02-06', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (866, '2020-02-07', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (867, '2020-02-08', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (868, '2020-02-09', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (869, '2020-02-10', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (870, '2020-02-11', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (871, '2020-02-12', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (872, '2020-02-13', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (873, '2020-02-14', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (874, '2020-02-15', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (875, '2020-02-16', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (876, '2020-02-17', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (877, '2020-02-18', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (878, '2020-02-19', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (879, '2020-02-20', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (880, '2020-02-21', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (881, '2020-02-22', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (882, '2020-02-23', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (883, '2020-02-24', 'DZ', 'Algeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (884, '2020-02-25', 'DZ', 'Algeria', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (885, '2020-02-26', 'DZ', 'Algeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (886, '2020-02-27', 'DZ', 'Algeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (887, '2020-02-28', 'DZ', 'Algeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (888, '2020-02-29', 'DZ', 'Algeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (889, '2020-03-01', 'DZ', 'Algeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (890, '2020-03-02', 'DZ', 'Algeria', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (891, '2020-03-03', 'DZ', 'Algeria', 'AFRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (892, '2020-03-04', 'DZ', 'Algeria', 'AFRO', '7', '16', '0', '0');
INSERT INTO public.who_import VALUES (893, '2020-03-05', 'DZ', 'Algeria', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (894, '2020-03-06', 'DZ', 'Algeria', 'AFRO', '5', '21', '0', '0');
INSERT INTO public.who_import VALUES (895, '2020-03-07', 'DZ', 'Algeria', 'AFRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (896, '2020-03-08', 'DZ', 'Algeria', 'AFRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (897, '2020-03-09', 'DZ', 'Algeria', 'AFRO', '3', '24', '0', '0');
INSERT INTO public.who_import VALUES (898, '2020-03-10', 'DZ', 'Algeria', 'AFRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (899, '2020-03-11', 'DZ', 'Algeria', 'AFRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (900, '2020-03-12', 'DZ', 'Algeria', 'AFRO', '5', '29', '1', '1');
INSERT INTO public.who_import VALUES (901, '2020-03-13', 'DZ', 'Algeria', 'AFRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (902, '2020-03-14', 'DZ', 'Algeria', 'AFRO', '12', '41', '1', '2');
INSERT INTO public.who_import VALUES (903, '2020-03-15', 'DZ', 'Algeria', 'AFRO', '12', '53', '1', '3');
INSERT INTO public.who_import VALUES (904, '2020-03-16', 'DZ', 'Algeria', 'AFRO', '0', '53', '1', '4');
INSERT INTO public.who_import VALUES (905, '2020-03-17', 'DZ', 'Algeria', 'AFRO', '11', '64', '0', '4');
INSERT INTO public.who_import VALUES (906, '2020-03-18', 'DZ', 'Algeria', 'AFRO', '12', '76', '2', '6');
INSERT INTO public.who_import VALUES (907, '2020-03-19', 'DZ', 'Algeria', 'AFRO', '10', '86', '1', '7');
INSERT INTO public.who_import VALUES (908, '2020-03-20', 'DZ', 'Algeria', 'AFRO', '8', '94', '3', '10');
INSERT INTO public.who_import VALUES (909, '2020-03-21', 'DZ', 'Algeria', 'AFRO', '0', '94', '5', '15');
INSERT INTO public.who_import VALUES (910, '2020-03-22', 'DZ', 'Algeria', 'AFRO', '45', '139', '0', '15');
INSERT INTO public.who_import VALUES (911, '2020-03-23', 'DZ', 'Algeria', 'AFRO', '62', '201', '2', '17');
INSERT INTO public.who_import VALUES (912, '2020-03-24', 'DZ', 'Algeria', 'AFRO', '30', '231', '0', '17');
INSERT INTO public.who_import VALUES (913, '2020-03-25', 'DZ', 'Algeria', 'AFRO', '33', '264', '0', '17');
INSERT INTO public.who_import VALUES (914, '2020-03-26', 'DZ', 'Algeria', 'AFRO', '0', '264', '0', '17');
INSERT INTO public.who_import VALUES (915, '2020-03-27', 'DZ', 'Algeria', 'AFRO', '41', '305', '4', '21');
INSERT INTO public.who_import VALUES (916, '2020-03-28', 'DZ', 'Algeria', 'AFRO', '62', '367', '4', '25');
INSERT INTO public.who_import VALUES (917, '2020-03-29', 'DZ', 'Algeria', 'AFRO', '42', '409', '1', '26');
INSERT INTO public.who_import VALUES (918, '2020-03-30', 'DZ', 'Algeria', 'AFRO', '45', '454', '3', '29');
INSERT INTO public.who_import VALUES (919, '2020-03-31', 'DZ', 'Algeria', 'AFRO', '57', '511', '2', '31');
INSERT INTO public.who_import VALUES (920, '2020-04-01', 'DZ', 'Algeria', 'AFRO', '73', '584', '4', '35');
INSERT INTO public.who_import VALUES (921, '2020-04-02', 'DZ', 'Algeria', 'AFRO', '263', '847', '23', '58');
INSERT INTO public.who_import VALUES (922, '2020-04-03', 'DZ', 'Algeria', 'AFRO', '139', '986', '25', '83');
INSERT INTO public.who_import VALUES (923, '2020-04-04', 'DZ', 'Algeria', 'AFRO', '185', '1171', '22', '105');
INSERT INTO public.who_import VALUES (924, '2020-04-05', 'DZ', 'Algeria', 'AFRO', '80', '1251', '25', '130');
INSERT INTO public.who_import VALUES (925, '2020-04-06', 'DZ', 'Algeria', 'AFRO', '0', '1251', '0', '130');
INSERT INTO public.who_import VALUES (926, '2020-04-07', 'DZ', 'Algeria', 'AFRO', '172', '1423', '43', '173');
INSERT INTO public.who_import VALUES (927, '2020-04-08', 'DZ', 'Algeria', 'AFRO', '45', '1468', '21', '194');
INSERT INTO public.who_import VALUES (928, '2020-04-09', 'DZ', 'Algeria', 'AFRO', '104', '1572', '11', '205');
INSERT INTO public.who_import VALUES (929, '2020-04-10', 'DZ', 'Algeria', 'AFRO', '94', '1666', '30', '235');
INSERT INTO public.who_import VALUES (930, '2020-04-11', 'DZ', 'Algeria', 'AFRO', '95', '1761', '21', '256');
INSERT INTO public.who_import VALUES (931, '2020-04-12', 'DZ', 'Algeria', 'AFRO', '64', '1825', '19', '275');
INSERT INTO public.who_import VALUES (932, '2020-04-13', 'DZ', 'Algeria', 'AFRO', '89', '1914', '18', '293');
INSERT INTO public.who_import VALUES (933, '2020-04-14', 'DZ', 'Algeria', 'AFRO', '69', '1983', '20', '313');
INSERT INTO public.who_import VALUES (934, '2020-04-15', 'DZ', 'Algeria', 'AFRO', '87', '2070', '13', '326');
INSERT INTO public.who_import VALUES (935, '2020-04-16', 'DZ', 'Algeria', 'AFRO', '90', '2160', '10', '336');
INSERT INTO public.who_import VALUES (936, '2020-04-17', 'DZ', 'Algeria', 'AFRO', '108', '2268', '12', '348');
INSERT INTO public.who_import VALUES (937, '2020-04-18', 'DZ', 'Algeria', 'AFRO', '150', '2418', '16', '364');
INSERT INTO public.who_import VALUES (938, '2020-04-19', 'DZ', 'Algeria', 'AFRO', '116', '2534', '3', '367');
INSERT INTO public.who_import VALUES (939, '2020-04-20', 'DZ', 'Algeria', 'AFRO', '95', '2629', '8', '375');
INSERT INTO public.who_import VALUES (940, '2020-04-21', 'DZ', 'Algeria', 'AFRO', '89', '2718', '9', '384');
INSERT INTO public.who_import VALUES (941, '2020-04-22', 'DZ', 'Algeria', 'AFRO', '93', '2811', '8', '392');
INSERT INTO public.who_import VALUES (942, '2020-04-23', 'DZ', 'Algeria', 'AFRO', '99', '2910', '10', '402');
INSERT INTO public.who_import VALUES (943, '2020-04-24', 'DZ', 'Algeria', 'AFRO', '97', '3007', '5', '407');
INSERT INTO public.who_import VALUES (944, '2020-04-25', 'DZ', 'Algeria', 'AFRO', '120', '3127', '8', '415');
INSERT INTO public.who_import VALUES (945, '2020-04-26', 'DZ', 'Algeria', 'AFRO', '129', '3256', '4', '419');
INSERT INTO public.who_import VALUES (1685, '2020-01-27', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (946, '2020-04-27', 'DZ', 'Algeria', 'AFRO', '126', '3382', '6', '425');
INSERT INTO public.who_import VALUES (947, '2020-04-28', 'DZ', 'Algeria', 'AFRO', '135', '3517', '7', '432');
INSERT INTO public.who_import VALUES (948, '2020-04-29', 'DZ', 'Algeria', 'AFRO', '132', '3649', '5', '437');
INSERT INTO public.who_import VALUES (949, '2020-04-30', 'DZ', 'Algeria', 'AFRO', '199', '3848', '7', '444');
INSERT INTO public.who_import VALUES (950, '2020-05-01', 'DZ', 'Algeria', 'AFRO', '158', '4006', '6', '450');
INSERT INTO public.who_import VALUES (951, '2020-05-02', 'DZ', 'Algeria', 'AFRO', '148', '4154', '3', '453');
INSERT INTO public.who_import VALUES (952, '2020-05-03', 'DZ', 'Algeria', 'AFRO', '141', '4295', '6', '459');
INSERT INTO public.who_import VALUES (953, '2020-05-04', 'DZ', 'Algeria', 'AFRO', '179', '4474', '4', '463');
INSERT INTO public.who_import VALUES (954, '2020-05-05', 'DZ', 'Algeria', 'AFRO', '174', '4648', '2', '465');
INSERT INTO public.who_import VALUES (955, '2020-05-06', 'DZ', 'Algeria', 'AFRO', '190', '4838', '5', '470');
INSERT INTO public.who_import VALUES (956, '2020-05-07', 'DZ', 'Algeria', 'AFRO', '159', '4997', '6', '476');
INSERT INTO public.who_import VALUES (957, '2020-05-08', 'DZ', 'Algeria', 'AFRO', '185', '5182', '7', '483');
INSERT INTO public.who_import VALUES (958, '2020-05-09', 'DZ', 'Algeria', 'AFRO', '187', '5369', '5', '488');
INSERT INTO public.who_import VALUES (959, '2020-05-10', 'DZ', 'Algeria', 'AFRO', '189', '5558', '6', '494');
INSERT INTO public.who_import VALUES (960, '2020-05-11', 'DZ', 'Algeria', 'AFRO', '165', '5723', '8', '502');
INSERT INTO public.who_import VALUES (961, '2020-05-12', 'DZ', 'Algeria', 'AFRO', '168', '5891', '5', '507');
INSERT INTO public.who_import VALUES (962, '2020-05-13', 'DZ', 'Algeria', 'AFRO', '176', '6067', '8', '515');
INSERT INTO public.who_import VALUES (963, '2020-05-14', 'DZ', 'Algeria', 'AFRO', '186', '6253', '7', '522');
INSERT INTO public.who_import VALUES (964, '2020-05-15', 'DZ', 'Algeria', 'AFRO', '189', '6442', '7', '529');
INSERT INTO public.who_import VALUES (965, '2020-05-16', 'DZ', 'Algeria', 'AFRO', '188', '6630', '7', '536');
INSERT INTO public.who_import VALUES (966, '2020-05-17', 'DZ', 'Algeria', 'AFRO', '191', '6821', '6', '542');
INSERT INTO public.who_import VALUES (967, '2020-05-18', 'DZ', 'Algeria', 'AFRO', '198', '7019', '6', '548');
INSERT INTO public.who_import VALUES (968, '2020-05-19', 'DZ', 'Algeria', 'AFRO', '182', '7201', '7', '555');
INSERT INTO public.who_import VALUES (969, '2020-05-20', 'DZ', 'Algeria', 'AFRO', '176', '7377', '6', '561');
INSERT INTO public.who_import VALUES (970, '2020-05-21', 'DZ', 'Algeria', 'AFRO', '165', '7542', '7', '568');
INSERT INTO public.who_import VALUES (971, '2020-05-22', 'DZ', 'Algeria', 'AFRO', '186', '7728', '7', '575');
INSERT INTO public.who_import VALUES (972, '2020-05-23', 'DZ', 'Algeria', 'AFRO', '190', '7918', '7', '582');
INSERT INTO public.who_import VALUES (973, '2020-05-24', 'DZ', 'Algeria', 'AFRO', '195', '8113', '10', '592');
INSERT INTO public.who_import VALUES (974, '2020-05-25', 'DZ', 'Algeria', 'AFRO', '193', '8306', '8', '600');
INSERT INTO public.who_import VALUES (975, '2020-05-26', 'DZ', 'Algeria', 'AFRO', '197', '8503', '9', '609');
INSERT INTO public.who_import VALUES (976, '2020-05-27', 'DZ', 'Algeria', 'AFRO', '194', '8697', '8', '617');
INSERT INTO public.who_import VALUES (977, '2020-05-28', 'DZ', 'Algeria', 'AFRO', '160', '8857', '6', '623');
INSERT INTO public.who_import VALUES (978, '2020-05-29', 'DZ', 'Algeria', 'AFRO', '140', '8997', '7', '630');
INSERT INTO public.who_import VALUES (979, '2020-05-30', 'DZ', 'Algeria', 'AFRO', '137', '9134', '8', '638');
INSERT INTO public.who_import VALUES (980, '2020-05-31', 'DZ', 'Algeria', 'AFRO', '133', '9267', '8', '646');
INSERT INTO public.who_import VALUES (981, '2020-06-01', 'DZ', 'Algeria', 'AFRO', '127', '9394', '7', '653');
INSERT INTO public.who_import VALUES (982, '2020-06-02', 'DZ', 'Algeria', 'AFRO', '119', '9513', '8', '661');
INSERT INTO public.who_import VALUES (983, '2020-06-03', 'DZ', 'Algeria', 'AFRO', '113', '9626', '6', '667');
INSERT INTO public.who_import VALUES (984, '2020-06-04', 'DZ', 'Algeria', 'AFRO', '107', '9733', '6', '673');
INSERT INTO public.who_import VALUES (985, '2020-06-05', 'DZ', 'Algeria', 'AFRO', '98', '9831', '8', '681');
INSERT INTO public.who_import VALUES (986, '2020-06-06', 'DZ', 'Algeria', 'AFRO', '104', '9935', '9', '690');
INSERT INTO public.who_import VALUES (987, '2020-06-07', 'DZ', 'Algeria', 'AFRO', '115', '10050', '8', '698');
INSERT INTO public.who_import VALUES (988, '2020-06-08', 'DZ', 'Algeria', 'AFRO', '104', '10154', '9', '707');
INSERT INTO public.who_import VALUES (989, '2020-06-09', 'DZ', 'Algeria', 'AFRO', '111', '10265', '8', '715');
INSERT INTO public.who_import VALUES (990, '2020-06-10', 'DZ', 'Algeria', 'AFRO', '117', '10382', '9', '724');
INSERT INTO public.who_import VALUES (991, '2020-06-11', 'DZ', 'Algeria', 'AFRO', '102', '10484', '8', '732');
INSERT INTO public.who_import VALUES (992, '2020-06-12', 'DZ', 'Algeria', 'AFRO', '105', '10589', '9', '741');
INSERT INTO public.who_import VALUES (993, '2020-06-13', 'DZ', 'Algeria', 'AFRO', '109', '10698', '10', '751');
INSERT INTO public.who_import VALUES (994, '2020-06-14', 'DZ', 'Algeria', 'AFRO', '112', '10810', '9', '760');
INSERT INTO public.who_import VALUES (995, '2020-06-15', 'DZ', 'Algeria', 'AFRO', '109', '10919', '7', '767');
INSERT INTO public.who_import VALUES (996, '2020-06-16', 'DZ', 'Algeria', 'AFRO', '112', '11031', '10', '777');
INSERT INTO public.who_import VALUES (997, '2020-06-17', 'DZ', 'Algeria', 'AFRO', '116', '11147', '11', '788');
INSERT INTO public.who_import VALUES (998, '2020-06-18', 'DZ', 'Algeria', 'AFRO', '121', '11268', '11', '799');
INSERT INTO public.who_import VALUES (999, '2020-06-19', 'DZ', 'Algeria', 'AFRO', '117', '11385', '12', '811');
INSERT INTO public.who_import VALUES (1000, '2020-06-20', 'DZ', 'Algeria', 'AFRO', '119', '11504', '14', '825');
INSERT INTO public.who_import VALUES (1001, '2020-06-21', 'DZ', 'Algeria', 'AFRO', '127', '11631', '12', '837');
INSERT INTO public.who_import VALUES (1002, '2020-06-22', 'DZ', 'Algeria', 'AFRO', '140', '11771', '8', '845');
INSERT INTO public.who_import VALUES (1003, '2020-06-23', 'DZ', 'Algeria', 'AFRO', '149', '11920', '7', '852');
INSERT INTO public.who_import VALUES (1004, '2020-06-24', 'DZ', 'Algeria', 'AFRO', '156', '12076', '9', '861');
INSERT INTO public.who_import VALUES (1005, '2020-06-25', 'DZ', 'Algeria', 'AFRO', '172', '12248', '8', '869');
INSERT INTO public.who_import VALUES (1006, '2020-06-26', 'DZ', 'Algeria', 'AFRO', '197', '12445', '9', '878');
INSERT INTO public.who_import VALUES (1007, '2020-06-27', 'DZ', 'Algeria', 'AFRO', '240', '12685', '7', '885');
INSERT INTO public.who_import VALUES (1008, '2020-06-28', 'DZ', 'Algeria', 'AFRO', '283', '12968', '7', '892');
INSERT INTO public.who_import VALUES (1009, '2020-06-29', 'DZ', 'Algeria', 'AFRO', '305', '13273', '5', '897');
INSERT INTO public.who_import VALUES (1010, '2020-06-30', 'DZ', 'Algeria', 'AFRO', '298', '13571', '8', '905');
INSERT INTO public.who_import VALUES (1011, '2020-07-01', 'DZ', 'Algeria', 'AFRO', '336', '13907', '7', '912');
INSERT INTO public.who_import VALUES (1012, '2020-07-02', 'DZ', 'Algeria', 'AFRO', '365', '14272', '8', '920');
INSERT INTO public.who_import VALUES (1013, '2020-07-03', 'DZ', 'Algeria', 'AFRO', '385', '14657', '8', '928');
INSERT INTO public.who_import VALUES (1014, '2020-07-04', 'DZ', 'Algeria', 'AFRO', '413', '15070', '9', '937');
INSERT INTO public.who_import VALUES (1015, '2020-07-05', 'DZ', 'Algeria', 'AFRO', '430', '15500', '9', '946');
INSERT INTO public.who_import VALUES (1016, '2020-07-06', 'DZ', 'Algeria', 'AFRO', '441', '15941', '6', '952');
INSERT INTO public.who_import VALUES (1017, '2020-07-07', 'DZ', 'Algeria', 'AFRO', '463', '16404', '7', '959');
INSERT INTO public.who_import VALUES (1018, '2020-07-08', 'DZ', 'Algeria', 'AFRO', '475', '16879', '9', '968');
INSERT INTO public.who_import VALUES (1019, '2020-07-09', 'DZ', 'Algeria', 'AFRO', '469', '17348', '10', '978');
INSERT INTO public.who_import VALUES (1020, '2020-07-10', 'DZ', 'Algeria', 'AFRO', '460', '17808', '10', '988');
INSERT INTO public.who_import VALUES (1021, '2020-07-11', 'DZ', 'Algeria', 'AFRO', '434', '18242', '8', '996');
INSERT INTO public.who_import VALUES (1022, '2020-07-12', 'DZ', 'Algeria', 'AFRO', '470', '18712', '8', '1004');
INSERT INTO public.who_import VALUES (1023, '2020-07-13', 'DZ', 'Algeria', 'AFRO', '483', '19195', '7', '1011');
INSERT INTO public.who_import VALUES (1024, '2020-07-14', 'DZ', 'Algeria', 'AFRO', '494', '19689', '7', '1018');
INSERT INTO public.who_import VALUES (1025, '2020-07-15', 'DZ', 'Algeria', 'AFRO', '527', '20216', '10', '1028');
INSERT INTO public.who_import VALUES (1026, '2020-07-16', 'DZ', 'Algeria', 'AFRO', '554', '20770', '12', '1040');
INSERT INTO public.who_import VALUES (1027, '2020-07-17', 'DZ', 'Algeria', 'AFRO', '585', '21355', '12', '1052');
INSERT INTO public.who_import VALUES (1028, '2020-07-18', 'DZ', 'Algeria', 'AFRO', '593', '21948', '5', '1057');
INSERT INTO public.who_import VALUES (1029, '2020-07-19', 'DZ', 'Algeria', 'AFRO', '601', '22549', '11', '1068');
INSERT INTO public.who_import VALUES (1030, '2020-07-20', 'DZ', 'Algeria', 'AFRO', '535', '23084', '10', '1078');
INSERT INTO public.who_import VALUES (1031, '2020-07-21', 'DZ', 'Algeria', 'AFRO', '607', '23691', '9', '1087');
INSERT INTO public.who_import VALUES (1032, '2020-07-22', 'DZ', 'Algeria', 'AFRO', '587', '24278', '13', '1100');
INSERT INTO public.who_import VALUES (1033, '2020-07-23', 'DZ', 'Algeria', 'AFRO', '594', '24872', '11', '1111');
INSERT INTO public.who_import VALUES (1034, '2020-07-24', 'DZ', 'Algeria', 'AFRO', '612', '25484', '13', '1124');
INSERT INTO public.who_import VALUES (1035, '2020-07-25', 'DZ', 'Algeria', 'AFRO', '675', '26159', '12', '1136');
INSERT INTO public.who_import VALUES (1036, '2020-07-26', 'DZ', 'Algeria', 'AFRO', '0', '26159', '0', '1136');
INSERT INTO public.who_import VALUES (1037, '2020-07-27', 'DZ', 'Algeria', 'AFRO', '1198', '27357', '19', '1155');
INSERT INTO public.who_import VALUES (1038, '2020-07-28', 'DZ', 'Algeria', 'AFRO', '616', '27973', '8', '1163');
INSERT INTO public.who_import VALUES (1039, '2020-07-29', 'DZ', 'Algeria', 'AFRO', '642', '28615', '11', '1174');
INSERT INTO public.who_import VALUES (1040, '2020-07-30', 'DZ', 'Algeria', 'AFRO', '614', '29229', '12', '1186');
INSERT INTO public.who_import VALUES (1041, '2020-07-31', 'DZ', 'Algeria', 'AFRO', '602', '29831', '14', '1200');
INSERT INTO public.who_import VALUES (1042, '2020-08-01', 'DZ', 'Algeria', 'AFRO', '563', '30394', '10', '1210');
INSERT INTO public.who_import VALUES (1043, '2020-08-02', 'DZ', 'Algeria', 'AFRO', '556', '30950', '13', '1223');
INSERT INTO public.who_import VALUES (1044, '2020-08-03', 'DZ', 'Algeria', 'AFRO', '515', '31465', '8', '1231');
INSERT INTO public.who_import VALUES (1045, '2020-08-04', 'DZ', 'Algeria', 'AFRO', '507', '31972', '-2', '1229');
INSERT INTO public.who_import VALUES (1046, '2020-08-05', 'DZ', 'Algeria', 'AFRO', '532', '32504', '19', '1248');
INSERT INTO public.who_import VALUES (1047, '2020-08-06', 'DZ', 'Algeria', 'AFRO', '551', '33055', '13', '1261');
INSERT INTO public.who_import VALUES (1048, '2020-08-07', 'DZ', 'Algeria', 'AFRO', '571', '33626', '12', '1273');
INSERT INTO public.who_import VALUES (1049, '2020-08-08', 'DZ', 'Algeria', 'AFRO', '529', '34155', '9', '1282');
INSERT INTO public.who_import VALUES (1050, '2020-08-09', 'DZ', 'Algeria', 'AFRO', '538', '34693', '11', '1293');
INSERT INTO public.who_import VALUES (1051, '2020-08-10', 'DZ', 'Algeria', 'AFRO', '521', '35214', '9', '1302');
INSERT INTO public.who_import VALUES (1052, '2020-08-11', 'DZ', 'Algeria', 'AFRO', '498', '35712', '10', '1312');
INSERT INTO public.who_import VALUES (1053, '2020-08-12', 'DZ', 'Algeria', 'AFRO', '492', '36204', '10', '1322');
INSERT INTO public.who_import VALUES (1054, '2020-08-13', 'DZ', 'Algeria', 'AFRO', '495', '36699', '11', '1333');
INSERT INTO public.who_import VALUES (1055, '2020-08-14', 'DZ', 'Algeria', 'AFRO', '488', '37187', '8', '1341');
INSERT INTO public.who_import VALUES (1056, '2020-08-15', 'DZ', 'Algeria', 'AFRO', '477', '37664', '10', '1351');
INSERT INTO public.who_import VALUES (1057, '2020-08-16', 'DZ', 'Algeria', 'AFRO', '469', '38133', '9', '1360');
INSERT INTO public.who_import VALUES (1058, '2020-08-17', 'DZ', 'Algeria', 'AFRO', '450', '38583', '10', '1370');
INSERT INTO public.who_import VALUES (1059, '2020-08-18', 'DZ', 'Algeria', 'AFRO', '442', '39025', '9', '1379');
INSERT INTO public.who_import VALUES (1060, '2020-08-19', 'DZ', 'Algeria', 'AFRO', '0', '39025', '0', '1379');
INSERT INTO public.who_import VALUES (1061, '2020-08-20', 'DZ', 'Algeria', 'AFRO', '822', '39847', '23', '1402');
INSERT INTO public.who_import VALUES (1062, '2020-08-21', 'DZ', 'Algeria', 'AFRO', '411', '40258', '9', '1411');
INSERT INTO public.who_import VALUES (1063, '2020-08-22', 'DZ', 'Algeria', 'AFRO', '0', '40258', '0', '1411');
INSERT INTO public.who_import VALUES (1064, '2020-08-23', 'DZ', 'Algeria', 'AFRO', '810', '41068', '13', '1424');
INSERT INTO public.who_import VALUES (1065, '2020-08-24', 'DZ', 'Algeria', 'AFRO', '392', '41460', '1', '1425');
INSERT INTO public.who_import VALUES (1066, '2020-08-25', 'DZ', 'Algeria', 'AFRO', '398', '41858', '21', '1446');
INSERT INTO public.who_import VALUES (1067, '2020-08-26', 'DZ', 'Algeria', 'AFRO', '370', '42228', '10', '1456');
INSERT INTO public.who_import VALUES (1068, '2020-08-27', 'DZ', 'Algeria', 'AFRO', '391', '42619', '9', '1465');
INSERT INTO public.who_import VALUES (1069, '2020-08-28', 'DZ', 'Algeria', 'AFRO', '397', '43016', '10', '1475');
INSERT INTO public.who_import VALUES (1070, '2020-08-29', 'DZ', 'Algeria', 'AFRO', '387', '43403', '8', '1483');
INSERT INTO public.who_import VALUES (1071, '2020-08-30', 'DZ', 'Algeria', 'AFRO', '379', '43782', '8', '1491');
INSERT INTO public.who_import VALUES (1072, '2020-08-31', 'DZ', 'Algeria', 'AFRO', '364', '44146', '10', '1501');
INSERT INTO public.who_import VALUES (1073, '2020-09-01', 'DZ', 'Algeria', 'AFRO', '348', '44494', '9', '1510');
INSERT INTO public.who_import VALUES (1074, '2020-09-02', 'DZ', 'Algeria', 'AFRO', '339', '44833', '8', '1518');
INSERT INTO public.who_import VALUES (1075, '2020-09-03', 'DZ', 'Algeria', 'AFRO', '325', '45158', '7', '1525');
INSERT INTO public.who_import VALUES (1076, '2020-09-04', 'DZ', 'Algeria', 'AFRO', '311', '45469', '6', '1531');
INSERT INTO public.who_import VALUES (1077, '2020-09-05', 'DZ', 'Algeria', 'AFRO', '304', '45773', '8', '1539');
INSERT INTO public.who_import VALUES (1078, '2020-09-06', 'DZ', 'Algeria', 'AFRO', '298', '46071', '10', '1549');
INSERT INTO public.who_import VALUES (1079, '2020-09-07', 'DZ', 'Algeria', 'AFRO', '293', '46364', '7', '1556');
INSERT INTO public.who_import VALUES (1080, '2020-09-08', 'DZ', 'Algeria', 'AFRO', '289', '46653', '6', '1562');
INSERT INTO public.who_import VALUES (1081, '2020-09-09', 'DZ', 'Algeria', 'AFRO', '285', '46938', '9', '1571');
INSERT INTO public.who_import VALUES (1082, '2020-09-10', 'DZ', 'Algeria', 'AFRO', '278', '47216', '10', '1581');
INSERT INTO public.who_import VALUES (1083, '2020-09-11', 'DZ', 'Algeria', 'AFRO', '272', '47488', '10', '1591');
INSERT INTO public.who_import VALUES (1084, '2020-09-12', 'DZ', 'Algeria', 'AFRO', '264', '47752', '8', '1599');
INSERT INTO public.who_import VALUES (1085, '2020-09-13', 'DZ', 'Algeria', 'AFRO', '255', '48007', '6', '1605');
INSERT INTO public.who_import VALUES (1086, '2020-09-14', 'DZ', 'Algeria', 'AFRO', '0', '48007', '0', '1605');
INSERT INTO public.who_import VALUES (1087, '2020-09-15', 'DZ', 'Algeria', 'AFRO', '489', '48496', '15', '1620');
INSERT INTO public.who_import VALUES (1088, '2020-09-16', 'DZ', 'Algeria', 'AFRO', '238', '48734', '12', '1632');
INSERT INTO public.who_import VALUES (1089, '2020-09-17', 'DZ', 'Algeria', 'AFRO', '232', '48966', '13', '1645');
INSERT INTO public.who_import VALUES (1090, '2020-09-18', 'DZ', 'Algeria', 'AFRO', '228', '49194', '9', '1654');
INSERT INTO public.who_import VALUES (1091, '2020-09-19', 'DZ', 'Algeria', 'AFRO', '219', '49413', '5', '1659');
INSERT INTO public.who_import VALUES (1092, '2020-09-20', 'DZ', 'Algeria', 'AFRO', '210', '49623', '6', '1665');
INSERT INTO public.who_import VALUES (1093, '2020-09-21', 'DZ', 'Algeria', 'AFRO', '203', '49826', '7', '1672');
INSERT INTO public.who_import VALUES (1094, '2020-09-22', 'DZ', 'Algeria', 'AFRO', '197', '50023', '7', '1679');
INSERT INTO public.who_import VALUES (1095, '2020-09-23', 'DZ', 'Algeria', 'AFRO', '191', '50214', '10', '1689');
INSERT INTO public.who_import VALUES (1096, '2020-09-24', 'DZ', 'Algeria', 'AFRO', '186', '50400', '9', '1698');
INSERT INTO public.who_import VALUES (1097, '2020-09-25', 'DZ', 'Algeria', 'AFRO', '0', '50400', '0', '1698');
INSERT INTO public.who_import VALUES (1098, '2020-09-26', 'DZ', 'Algeria', 'AFRO', '354', '50754', '9', '1707');
INSERT INTO public.who_import VALUES (1099, '2020-09-27', 'DZ', 'Algeria', 'AFRO', '160', '50914', '4', '1711');
INSERT INTO public.who_import VALUES (1100, '2020-09-28', 'DZ', 'Algeria', 'AFRO', '153', '51067', '3', '1714');
INSERT INTO public.who_import VALUES (1101, '2020-09-29', 'DZ', 'Algeria', 'AFRO', '146', '51213', '5', '1719');
INSERT INTO public.who_import VALUES (1102, '2020-09-30', 'DZ', 'Algeria', 'AFRO', '155', '51368', '7', '1726');
INSERT INTO public.who_import VALUES (1103, '2020-10-01', 'DZ', 'Algeria', 'AFRO', '162', '51530', '10', '1736');
INSERT INTO public.who_import VALUES (1104, '2020-10-02', 'DZ', 'Algeria', 'AFRO', '160', '51690', '5', '1741');
INSERT INTO public.who_import VALUES (1105, '2020-10-03', 'DZ', 'Algeria', 'AFRO', '157', '51847', '8', '1749');
INSERT INTO public.who_import VALUES (1106, '2020-10-04', 'DZ', 'Algeria', 'AFRO', '148', '51995', '7', '1756');
INSERT INTO public.who_import VALUES (1107, '2020-10-05', 'DZ', 'Algeria', 'AFRO', '141', '52136', '4', '1760');
INSERT INTO public.who_import VALUES (1108, '2020-10-06', 'DZ', 'Algeria', 'AFRO', '134', '52270', '8', '1768');
INSERT INTO public.who_import VALUES (1109, '2020-10-07', 'DZ', 'Algeria', 'AFRO', '129', '52399', '5', '1773');
INSERT INTO public.who_import VALUES (1110, '2020-10-08', 'DZ', 'Algeria', 'AFRO', '121', '52520', '6', '1779');
INSERT INTO public.who_import VALUES (1111, '2020-10-09', 'DZ', 'Algeria', 'AFRO', '138', '52658', '4', '1783');
INSERT INTO public.who_import VALUES (1112, '2020-10-10', 'DZ', 'Algeria', 'AFRO', '146', '52804', '6', '1789');
INSERT INTO public.who_import VALUES (1113, '2020-10-11', 'DZ', 'Algeria', 'AFRO', '136', '52940', '6', '1795');
INSERT INTO public.who_import VALUES (1114, '2020-10-12', 'DZ', 'Algeria', 'AFRO', '132', '53072', '6', '1801');
INSERT INTO public.who_import VALUES (1115, '2020-10-13', 'DZ', 'Algeria', 'AFRO', '153', '53225', '8', '1809');
INSERT INTO public.who_import VALUES (1116, '2020-10-14', 'DZ', 'Algeria', 'AFRO', '174', '53399', '9', '1818');
INSERT INTO public.who_import VALUES (1117, '2020-10-15', 'DZ', 'Algeria', 'AFRO', '0', '53399', '0', '1818');
INSERT INTO public.who_import VALUES (1118, '2020-10-16', 'DZ', 'Algeria', 'AFRO', '378', '53777', '18', '1836');
INSERT INTO public.who_import VALUES (1119, '2020-10-17', 'DZ', 'Algeria', 'AFRO', '221', '53998', '5', '1841');
INSERT INTO public.who_import VALUES (1120, '2020-10-18', 'DZ', 'Algeria', 'AFRO', '205', '54203', '5', '1846');
INSERT INTO public.who_import VALUES (1121, '2020-10-19', 'DZ', 'Algeria', 'AFRO', '199', '54402', '10', '1856');
INSERT INTO public.who_import VALUES (1122, '2020-10-20', 'DZ', 'Algeria', 'AFRO', '214', '54616', '9', '1865');
INSERT INTO public.who_import VALUES (1123, '2020-10-21', 'DZ', 'Algeria', 'AFRO', '223', '54839', '8', '1873');
INSERT INTO public.who_import VALUES (1124, '2020-10-22', 'DZ', 'Algeria', 'AFRO', '252', '55091', '7', '1880');
INSERT INTO public.who_import VALUES (1125, '2020-10-23', 'DZ', 'Algeria', 'AFRO', '266', '55357', '8', '1888');
INSERT INTO public.who_import VALUES (1126, '2020-10-24', 'DZ', 'Algeria', 'AFRO', '273', '55630', '9', '1897');
INSERT INTO public.who_import VALUES (1127, '2020-10-25', 'DZ', 'Algeria', 'AFRO', '0', '55630', '0', '1897');
INSERT INTO public.who_import VALUES (1128, '2020-10-26', 'DZ', 'Algeria', 'AFRO', '0', '55630', '0', '1897');
INSERT INTO public.who_import VALUES (1129, '2020-10-27', 'DZ', 'Algeria', 'AFRO', '0', '55630', '0', '1897');
INSERT INTO public.who_import VALUES (1130, '2020-10-28', 'DZ', 'Algeria', 'AFRO', '789', '56419', '25', '1922');
INSERT INTO public.who_import VALUES (1131, '2020-10-29', 'DZ', 'Algeria', 'AFRO', '287', '56706', '9', '1931');
INSERT INTO public.who_import VALUES (1132, '2020-10-30', 'DZ', 'Algeria', 'AFRO', '320', '57026', '10', '1941');
INSERT INTO public.who_import VALUES (1133, '2020-10-31', 'DZ', 'Algeria', 'AFRO', '306', '57332', '8', '1949');
INSERT INTO public.who_import VALUES (1134, '2020-11-01', 'DZ', 'Algeria', 'AFRO', '319', '57651', '7', '1956');
INSERT INTO public.who_import VALUES (1135, '2020-11-02', 'DZ', 'Algeria', 'AFRO', '291', '57942', '8', '1964');
INSERT INTO public.who_import VALUES (1136, '2020-11-03', 'DZ', 'Algeria', 'AFRO', '0', '57942', '0', '1964');
INSERT INTO public.who_import VALUES (1137, '2020-11-04', 'DZ', 'Algeria', 'AFRO', '0', '57942', '0', '1964');
INSERT INTO public.who_import VALUES (1138, '2020-11-05', 'DZ', 'Algeria', 'AFRO', '0', '57942', '0', '1964');
INSERT INTO public.who_import VALUES (1139, '2020-11-06', 'DZ', 'Algeria', 'AFRO', '330', '58272', '9', '1973');
INSERT INTO public.who_import VALUES (1140, '2020-11-07', 'DZ', 'Algeria', 'AFRO', '1897', '60169', '38', '2011');
INSERT INTO public.who_import VALUES (1141, '2020-11-08', 'DZ', 'Algeria', 'AFRO', '0', '60169', '0', '2011');
INSERT INTO public.who_import VALUES (1142, '2020-11-09', 'DZ', 'Algeria', 'AFRO', '0', '60169', '0', '2011');
INSERT INTO public.who_import VALUES (1143, '2020-11-10', 'DZ', 'Algeria', 'AFRO', '2524', '62693', '51', '2062');
INSERT INTO public.who_import VALUES (1144, '2020-11-11', 'DZ', 'Algeria', 'AFRO', '753', '63446', '15', '2077');
INSERT INTO public.who_import VALUES (1145, '2020-11-12', 'DZ', 'Algeria', 'AFRO', '811', '64257', '16', '2093');
INSERT INTO public.who_import VALUES (1146, '2020-11-13', 'DZ', 'Algeria', 'AFRO', '851', '65108', '18', '2111');
INSERT INTO public.who_import VALUES (1147, '2020-11-14', 'DZ', 'Algeria', 'AFRO', '867', '65975', '14', '2125');
INSERT INTO public.who_import VALUES (1148, '2020-11-15', 'DZ', 'Algeria', 'AFRO', '0', '65975', '0', '2125');
INSERT INTO public.who_import VALUES (1149, '2020-11-16', 'DZ', 'Algeria', 'AFRO', '1704', '67679', '29', '2154');
INSERT INTO public.who_import VALUES (1150, '2020-11-17', 'DZ', 'Algeria', 'AFRO', '910', '68589', '14', '2168');
INSERT INTO public.who_import VALUES (1151, '2020-11-18', 'DZ', 'Algeria', 'AFRO', '1002', '69591', '18', '2186');
INSERT INTO public.who_import VALUES (1152, '2020-11-19', 'DZ', 'Algeria', 'AFRO', '1038', '70629', '20', '2206');
INSERT INTO public.who_import VALUES (1153, '2020-11-20', 'DZ', 'Algeria', 'AFRO', '1023', '71652', '18', '2224');
INSERT INTO public.who_import VALUES (1686, '2020-01-28', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1154, '2020-11-21', 'DZ', 'Algeria', 'AFRO', '1103', '72755', '15', '2239');
INSERT INTO public.who_import VALUES (1155, '2020-11-22', 'DZ', 'Algeria', 'AFRO', '1019', '73774', '19', '2258');
INSERT INTO public.who_import VALUES (1156, '2020-11-23', 'DZ', 'Algeria', 'AFRO', '1088', '74862', '17', '2275');
INSERT INTO public.who_import VALUES (1157, '2020-11-24', 'DZ', 'Algeria', 'AFRO', '1005', '75867', '19', '2294');
INSERT INTO public.who_import VALUES (1158, '2020-11-25', 'DZ', 'Algeria', 'AFRO', '1133', '77000', '15', '2309');
INSERT INTO public.who_import VALUES (1159, '2020-11-26', 'DZ', 'Algeria', 'AFRO', '1025', '78025', '20', '2329');
INSERT INTO public.who_import VALUES (1160, '2020-11-27', 'DZ', 'Algeria', 'AFRO', '1085', '79110', '23', '2352');
INSERT INTO public.who_import VALUES (1161, '2020-11-28', 'DZ', 'Algeria', 'AFRO', '1058', '80168', '20', '2372');
INSERT INTO public.who_import VALUES (1162, '2020-11-29', 'DZ', 'Algeria', 'AFRO', '1044', '81212', '21', '2393');
INSERT INTO public.who_import VALUES (1163, '2020-11-30', 'DZ', 'Algeria', 'AFRO', '0', '81212', '0', '2393');
INSERT INTO public.who_import VALUES (1164, '2020-12-01', 'DZ', 'Algeria', 'AFRO', '1987', '83199', '38', '2431');
INSERT INTO public.who_import VALUES (1165, '2020-12-02', 'DZ', 'Algeria', 'AFRO', '953', '84152', '16', '2447');
INSERT INTO public.who_import VALUES (1166, '2020-12-03', 'DZ', 'Algeria', 'AFRO', '932', '85084', '17', '2464');
INSERT INTO public.who_import VALUES (1167, '2020-12-04', 'DZ', 'Algeria', 'AFRO', '843', '85927', '16', '2480');
INSERT INTO public.who_import VALUES (1168, '2020-12-05', 'DZ', 'Algeria', 'AFRO', '803', '86730', '12', '2492');
INSERT INTO public.who_import VALUES (1169, '2020-12-06', 'DZ', 'Algeria', 'AFRO', '772', '87502', '9', '2501');
INSERT INTO public.who_import VALUES (1170, '2020-12-07', 'DZ', 'Algeria', 'AFRO', '750', '88252', '15', '2516');
INSERT INTO public.who_import VALUES (1171, '2020-12-08', 'DZ', 'Algeria', 'AFRO', '573', '88825', '11', '2527');
INSERT INTO public.who_import VALUES (1172, '2020-12-09', 'DZ', 'Algeria', 'AFRO', '591', '89416', '12', '2539');
INSERT INTO public.who_import VALUES (1173, '2020-12-10', 'DZ', 'Algeria', 'AFRO', '598', '90014', '15', '2554');
INSERT INTO public.who_import VALUES (1174, '2020-12-11', 'DZ', 'Algeria', 'AFRO', '565', '90579', '10', '2564');
INSERT INTO public.who_import VALUES (1175, '2020-12-12', 'DZ', 'Algeria', 'AFRO', '542', '91121', '11', '2575');
INSERT INTO public.who_import VALUES (1176, '2020-12-13', 'DZ', 'Algeria', 'AFRO', '517', '91638', '9', '2584');
INSERT INTO public.who_import VALUES (1177, '2020-12-14', 'DZ', 'Algeria', 'AFRO', '464', '92102', '12', '2596');
INSERT INTO public.who_import VALUES (1178, '2020-12-15', 'DZ', 'Algeria', 'AFRO', '495', '92597', '13', '2609');
INSERT INTO public.who_import VALUES (1179, '2020-12-16', 'DZ', 'Algeria', 'AFRO', '468', '93065', '14', '2623');
INSERT INTO public.who_import VALUES (1180, '2020-12-17', 'DZ', 'Algeria', 'AFRO', '442', '93507', '8', '2631');
INSERT INTO public.who_import VALUES (1181, '2020-12-18', 'DZ', 'Algeria', 'AFRO', '426', '93933', '9', '2640');
INSERT INTO public.who_import VALUES (1182, '2020-12-19', 'DZ', 'Algeria', 'AFRO', '438', '94371', '7', '2647');
INSERT INTO public.who_import VALUES (1183, '2020-12-20', 'DZ', 'Algeria', 'AFRO', '410', '94781', '12', '2659');
INSERT INTO public.who_import VALUES (1184, '2020-12-21', 'DZ', 'Algeria', 'AFRO', '422', '95203', '7', '2666');
INSERT INTO public.who_import VALUES (1185, '2020-12-22', 'DZ', 'Algeria', 'AFRO', '456', '95659', '9', '2675');
INSERT INTO public.who_import VALUES (1186, '2020-12-23', 'DZ', 'Algeria', 'AFRO', '410', '96069', '12', '2687');
INSERT INTO public.who_import VALUES (1187, '2020-12-24', 'DZ', 'Algeria', 'AFRO', '480', '96549', '9', '2696');
INSERT INTO public.who_import VALUES (1188, '2020-12-25', 'DZ', 'Algeria', 'AFRO', '458', '97007', '9', '2705');
INSERT INTO public.who_import VALUES (1189, '2020-12-26', 'DZ', 'Algeria', 'AFRO', '434', '97441', '11', '2716');
INSERT INTO public.who_import VALUES (1190, '2020-12-27', 'DZ', 'Algeria', 'AFRO', '416', '97857', '6', '2722');
INSERT INTO public.who_import VALUES (1191, '2020-12-28', 'DZ', 'Algeria', 'AFRO', '392', '98249', '6', '2728');
INSERT INTO public.who_import VALUES (1192, '2020-12-29', 'DZ', 'Algeria', 'AFRO', '0', '98249', '0', '2728');
INSERT INTO public.who_import VALUES (1193, '2020-12-30', 'DZ', 'Algeria', 'AFRO', '357', '98606', '8', '2736');
INSERT INTO public.who_import VALUES (1194, '2020-12-31', 'DZ', 'Algeria', 'AFRO', '705', '99311', '15', '2751');
INSERT INTO public.who_import VALUES (1195, '2021-01-01', 'DZ', 'Algeria', 'AFRO', '299', '99610', '5', '2756');
INSERT INTO public.who_import VALUES (1196, '2021-01-02', 'DZ', 'Algeria', 'AFRO', '0', '99610', '0', '2756');
INSERT INTO public.who_import VALUES (1197, '2021-01-03', 'DZ', 'Algeria', 'AFRO', '549', '100159', '13', '2769');
INSERT INTO public.who_import VALUES (1198, '2021-01-04', 'DZ', 'Algeria', 'AFRO', '0', '100159', '0', '2769');
INSERT INTO public.who_import VALUES (1199, '2021-01-05', 'DZ', 'Algeria', 'AFRO', '486', '100645', '8', '2777');
INSERT INTO public.who_import VALUES (1200, '2021-01-06', 'DZ', 'Algeria', 'AFRO', '0', '100645', '0', '2777');
INSERT INTO public.who_import VALUES (1201, '2021-01-07', 'DZ', 'Algeria', 'AFRO', '475', '101120', '9', '2786');
INSERT INTO public.who_import VALUES (1202, '2021-01-08', 'DZ', 'Algeria', 'AFRO', '0', '101120', '0', '2786');
INSERT INTO public.who_import VALUES (1203, '2021-01-09', 'DZ', 'Algeria', 'AFRO', '537', '101657', '12', '2798');
INSERT INTO public.who_import VALUES (1204, '2021-01-10', 'DZ', 'Algeria', 'AFRO', '256', '101913', '5', '2803');
INSERT INTO public.who_import VALUES (1205, '2021-01-11', 'DZ', 'Algeria', 'AFRO', '231', '102144', '4', '2807');
INSERT INTO public.who_import VALUES (1206, '2021-01-12', 'DZ', 'Algeria', 'AFRO', '225', '102369', '5', '2812');
INSERT INTO public.who_import VALUES (1207, '2021-01-13', 'DZ', 'Algeria', 'AFRO', '272', '102641', '4', '2816');
INSERT INTO public.who_import VALUES (1208, '2021-01-14', 'DZ', 'Algeria', 'AFRO', '0', '102641', '0', '2816');
INSERT INTO public.who_import VALUES (1209, '2021-01-15', 'DZ', 'Algeria', 'AFRO', '219', '102860', '3', '2819');
INSERT INTO public.who_import VALUES (1210, '2021-01-16', 'DZ', 'Algeria', 'AFRO', '0', '102860', '0', '2819');
INSERT INTO public.who_import VALUES (1211, '2021-01-17', 'DZ', 'Algeria', 'AFRO', '751', '103611', '12', '2831');
INSERT INTO public.who_import VALUES (1212, '2021-01-18', 'DZ', 'Algeria', 'AFRO', '222', '103833', '10', '2841');
INSERT INTO public.who_import VALUES (1213, '2021-01-19', 'DZ', 'Algeria', 'AFRO', '259', '104092', '4', '2845');
INSERT INTO public.who_import VALUES (1214, '2021-01-20', 'DZ', 'Algeria', 'AFRO', '249', '104341', '3', '2848');
INSERT INTO public.who_import VALUES (1215, '2021-01-21', 'DZ', 'Algeria', 'AFRO', '265', '104606', '6', '2854');
INSERT INTO public.who_import VALUES (1216, '2021-01-22', 'DZ', 'Algeria', 'AFRO', '246', '104852', '0', '2854');
INSERT INTO public.who_import VALUES (1217, '2021-01-23', 'DZ', 'Algeria', 'AFRO', '272', '105124', '2', '2856');
INSERT INTO public.who_import VALUES (1218, '2021-01-24', 'DZ', 'Algeria', 'AFRO', '245', '105369', '5', '2861');
INSERT INTO public.who_import VALUES (1219, '2021-01-25', 'DZ', 'Algeria', 'AFRO', '227', '105596', '2', '2863');
INSERT INTO public.who_import VALUES (1220, '2021-01-26', 'DZ', 'Algeria', 'AFRO', '258', '105854', '3', '2866');
INSERT INTO public.who_import VALUES (1221, '2021-01-27', 'DZ', 'Algeria', 'AFRO', '243', '106097', '5', '2871');
INSERT INTO public.who_import VALUES (1222, '2021-01-28', 'DZ', 'Algeria', 'AFRO', '262', '106359', '6', '2877');
INSERT INTO public.who_import VALUES (1223, '2021-01-29', 'DZ', 'Algeria', 'AFRO', '251', '106610', '4', '2881');
INSERT INTO public.who_import VALUES (1224, '2021-01-30', 'DZ', 'Algeria', 'AFRO', '277', '106887', '3', '2884');
INSERT INTO public.who_import VALUES (1225, '2021-01-31', 'DZ', 'Algeria', 'AFRO', '235', '107122', '4', '2888');
INSERT INTO public.who_import VALUES (1226, '2021-02-01', 'DZ', 'Algeria', 'AFRO', '217', '107339', '3', '2891');
INSERT INTO public.who_import VALUES (1227, '2021-02-02', 'DZ', 'Algeria', 'AFRO', '239', '107578', '3', '2894');
INSERT INTO public.who_import VALUES (1228, '2021-02-03', 'DZ', 'Algeria', 'AFRO', '263', '107841', '4', '2898');
INSERT INTO public.who_import VALUES (1229, '2021-02-04', 'DZ', 'Algeria', 'AFRO', '275', '108116', '2', '2900');
INSERT INTO public.who_import VALUES (1230, '2021-02-05', 'DZ', 'Algeria', 'AFRO', '265', '108381', '4', '2904');
INSERT INTO public.who_import VALUES (1231, '2021-02-06', 'DZ', 'Algeria', 'AFRO', '248', '108629', '5', '2909');
INSERT INTO public.who_import VALUES (1232, '2021-02-07', 'DZ', 'Algeria', 'AFRO', '223', '108852', '2', '2911');
INSERT INTO public.who_import VALUES (1233, '2021-02-08', 'DZ', 'Algeria', 'AFRO', '236', '109088', '3', '2914');
INSERT INTO public.who_import VALUES (1234, '2021-02-09', 'DZ', 'Algeria', 'AFRO', '225', '109313', '4', '2918');
INSERT INTO public.who_import VALUES (1235, '2021-02-10', 'DZ', 'Algeria', 'AFRO', '246', '109559', '6', '2924');
INSERT INTO public.who_import VALUES (1236, '2021-02-11', 'DZ', 'Algeria', 'AFRO', '223', '109782', '2', '2926');
INSERT INTO public.who_import VALUES (1237, '2021-02-12', 'DZ', 'Algeria', 'AFRO', '267', '110049', '4', '2930');
INSERT INTO public.who_import VALUES (1238, '2021-02-13', 'DZ', 'Algeria', 'AFRO', '254', '110303', '2', '2932');
INSERT INTO public.who_import VALUES (1239, '2021-02-14', 'DZ', 'Algeria', 'AFRO', '210', '110513', '3', '2935');
INSERT INTO public.who_import VALUES (1240, '2021-02-15', 'DZ', 'Algeria', 'AFRO', '198', '110711', '4', '2939');
INSERT INTO public.who_import VALUES (1241, '2021-02-16', 'DZ', 'Algeria', 'AFRO', '183', '110894', '4', '2943');
INSERT INTO public.who_import VALUES (1242, '2021-02-17', 'DZ', 'Algeria', 'AFRO', '175', '111069', '2', '2945');
INSERT INTO public.who_import VALUES (1243, '2021-02-18', 'DZ', 'Algeria', 'AFRO', '178', '111247', '2', '2947');
INSERT INTO public.who_import VALUES (1244, '2021-02-19', 'DZ', 'Algeria', 'AFRO', '171', '111418', '3', '2950');
INSERT INTO public.who_import VALUES (1245, '2021-02-20', 'DZ', 'Algeria', 'AFRO', '182', '111600', '4', '2954');
INSERT INTO public.who_import VALUES (1246, '2020-01-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1247, '2020-01-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1248, '2020-01-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1249, '2020-01-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1250, '2020-01-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1251, '2020-01-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1252, '2020-01-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1253, '2020-01-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1254, '2020-01-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1255, '2020-01-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1256, '2020-01-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1257, '2020-01-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1258, '2020-01-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1259, '2020-01-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1260, '2020-01-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1261, '2020-01-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1262, '2020-01-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1263, '2020-01-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1264, '2020-01-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1265, '2020-01-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1266, '2020-01-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1267, '2020-01-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1268, '2020-01-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1269, '2020-01-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1270, '2020-01-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1271, '2020-01-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1272, '2020-01-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1273, '2020-01-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1274, '2020-01-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1275, '2020-02-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1276, '2020-02-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1277, '2020-02-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1278, '2020-02-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1279, '2020-02-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1280, '2020-02-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1281, '2020-02-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1282, '2020-02-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1283, '2020-02-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1284, '2020-02-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1285, '2020-02-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1286, '2020-02-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1287, '2020-02-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1288, '2020-02-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1289, '2020-02-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1290, '2020-02-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1291, '2020-02-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1292, '2020-02-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1293, '2020-02-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1294, '2020-02-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1295, '2020-02-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1296, '2020-02-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1297, '2020-02-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1298, '2020-02-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1299, '2020-02-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1300, '2020-02-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1301, '2020-02-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1302, '2020-02-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1303, '2020-02-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1304, '2020-03-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1305, '2020-03-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1306, '2020-03-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1307, '2020-03-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1308, '2020-03-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1309, '2020-03-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1310, '2020-03-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1311, '2020-03-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1312, '2020-03-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1313, '2020-03-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1314, '2020-03-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1315, '2020-03-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1316, '2020-03-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1317, '2020-03-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1318, '2020-03-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1319, '2020-03-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1320, '2020-03-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1321, '2020-03-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1322, '2020-03-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1323, '2020-03-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1324, '2020-03-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1325, '2020-03-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1326, '2020-03-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1327, '2020-03-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1328, '2020-03-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1329, '2020-03-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1330, '2020-03-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1331, '2020-03-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1332, '2020-03-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1333, '2020-03-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1334, '2020-03-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1335, '2020-04-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1336, '2020-04-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1337, '2020-04-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1338, '2020-04-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1339, '2020-04-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1340, '2020-04-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1341, '2020-04-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1342, '2020-04-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1343, '2020-04-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1344, '2020-04-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1345, '2020-04-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1346, '2020-04-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1347, '2020-04-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1348, '2020-04-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1349, '2020-04-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1350, '2020-04-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1351, '2020-04-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1352, '2020-04-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1353, '2020-04-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1354, '2020-04-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1355, '2020-04-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1356, '2020-04-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1357, '2020-04-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1358, '2020-04-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1359, '2020-04-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1360, '2020-04-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1361, '2020-04-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1362, '2020-04-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1363, '2020-04-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1364, '2020-04-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1365, '2020-05-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1366, '2020-05-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1367, '2020-05-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1368, '2020-05-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1369, '2020-05-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1370, '2020-05-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1371, '2020-05-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1372, '2020-05-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1373, '2020-05-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1374, '2020-05-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1375, '2020-05-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1376, '2020-05-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1377, '2020-05-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1378, '2020-05-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1379, '2020-05-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1380, '2020-05-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1381, '2020-05-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1382, '2020-05-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1383, '2020-05-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1384, '2020-05-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1385, '2020-05-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1386, '2020-05-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1387, '2020-05-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1388, '2020-05-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1389, '2020-05-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1390, '2020-05-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1391, '2020-05-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1392, '2020-05-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1393, '2020-05-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1394, '2020-05-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1395, '2020-05-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1396, '2020-06-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1397, '2020-06-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1398, '2020-06-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1399, '2020-06-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1400, '2020-06-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1401, '2020-06-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1402, '2020-06-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1403, '2020-06-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1404, '2020-06-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1405, '2020-06-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1406, '2020-06-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1407, '2020-06-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1408, '2020-06-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1409, '2020-06-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1410, '2020-06-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1411, '2020-06-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1412, '2020-06-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1413, '2020-06-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1414, '2020-06-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1415, '2020-06-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1416, '2020-06-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1417, '2020-06-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1418, '2020-06-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1419, '2020-06-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1420, '2020-06-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1421, '2020-06-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1422, '2020-06-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1423, '2020-06-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1424, '2020-06-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1425, '2020-06-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1426, '2020-07-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1427, '2020-07-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1428, '2020-07-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1429, '2020-07-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1430, '2020-07-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1431, '2020-07-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1432, '2020-07-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1433, '2020-07-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1434, '2020-07-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1435, '2020-07-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1436, '2020-07-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1437, '2020-07-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1438, '2020-07-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1439, '2020-07-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1440, '2020-07-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1441, '2020-07-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1442, '2020-07-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1443, '2020-07-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1444, '2020-07-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1445, '2020-07-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1446, '2020-07-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1447, '2020-07-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1448, '2020-07-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1449, '2020-07-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1450, '2020-07-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1451, '2020-07-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1452, '2020-07-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1453, '2020-07-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1454, '2020-07-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1455, '2020-07-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1456, '2020-07-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1457, '2020-08-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1458, '2020-08-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1459, '2020-08-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1460, '2020-08-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1461, '2020-08-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1462, '2020-08-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1463, '2020-08-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1464, '2020-08-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1465, '2020-08-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1466, '2020-08-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1467, '2020-08-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1468, '2020-08-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1469, '2020-08-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1470, '2020-08-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1471, '2020-08-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1472, '2020-08-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1473, '2020-08-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1474, '2020-08-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1475, '2020-08-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1476, '2020-08-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1477, '2020-08-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1478, '2020-08-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1479, '2020-08-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1480, '2020-08-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1481, '2020-08-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1482, '2020-08-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1483, '2020-08-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1484, '2020-08-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1485, '2020-08-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1486, '2020-08-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1487, '2020-08-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1488, '2020-09-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1489, '2020-09-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1490, '2020-09-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1491, '2020-09-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1492, '2020-09-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1493, '2020-09-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1494, '2020-09-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1495, '2020-09-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1496, '2020-09-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1497, '2020-09-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1498, '2020-09-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1499, '2020-09-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1500, '2020-09-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1501, '2020-09-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1502, '2020-09-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1503, '2020-09-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1504, '2020-09-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1505, '2020-09-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1506, '2020-09-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1507, '2020-09-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1508, '2020-09-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1509, '2020-09-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1510, '2020-09-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1511, '2020-09-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1512, '2020-09-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1513, '2020-09-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1514, '2020-09-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1515, '2020-09-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1516, '2020-09-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1517, '2020-09-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1518, '2020-10-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1519, '2020-10-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1520, '2020-10-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1521, '2020-10-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1522, '2020-10-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1523, '2020-10-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1524, '2020-10-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1525, '2020-10-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1526, '2020-10-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1527, '2020-10-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1528, '2020-10-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1529, '2020-10-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1530, '2020-10-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1531, '2020-10-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1532, '2020-10-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1533, '2020-10-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1534, '2020-10-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1535, '2020-10-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1536, '2020-10-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1537, '2020-10-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1538, '2020-10-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1539, '2020-10-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1540, '2020-10-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1541, '2020-10-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1542, '2020-10-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1543, '2020-10-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1544, '2020-10-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1545, '2020-10-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1546, '2020-10-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1547, '2020-10-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1548, '2020-10-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1549, '2020-11-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1550, '2020-11-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1551, '2020-11-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1552, '2020-11-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1553, '2020-11-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1554, '2020-11-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1555, '2020-11-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1556, '2020-11-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1557, '2020-11-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1558, '2020-11-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1559, '2020-11-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1560, '2020-11-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1561, '2020-11-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1562, '2020-11-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1563, '2020-11-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1564, '2020-11-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1565, '2020-11-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1566, '2020-11-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1567, '2020-11-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1568, '2020-11-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1569, '2020-11-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1570, '2020-11-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1571, '2020-11-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1572, '2020-11-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1573, '2020-11-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1574, '2020-11-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1575, '2020-11-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1576, '2020-11-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1577, '2020-11-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1578, '2020-11-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1579, '2020-12-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1580, '2020-12-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1581, '2020-12-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1582, '2020-12-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1583, '2020-12-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1584, '2020-12-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1585, '2020-12-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1586, '2020-12-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1587, '2020-12-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1588, '2020-12-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1589, '2020-12-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1590, '2020-12-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1591, '2020-12-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1592, '2020-12-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1593, '2020-12-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1594, '2020-12-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1595, '2020-12-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1596, '2020-12-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1597, '2020-12-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1598, '2020-12-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1599, '2020-12-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1600, '2020-12-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1601, '2020-12-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1602, '2020-12-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1603, '2020-12-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1604, '2020-12-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1605, '2020-12-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1606, '2020-12-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1607, '2020-12-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1608, '2020-12-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1609, '2020-12-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1610, '2021-01-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1611, '2021-01-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1612, '2021-01-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1613, '2021-01-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1614, '2021-01-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1615, '2021-01-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1616, '2021-01-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1617, '2021-01-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1618, '2021-01-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1619, '2021-01-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1620, '2021-01-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1621, '2021-01-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1622, '2021-01-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1623, '2021-01-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1624, '2021-01-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1625, '2021-01-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1626, '2021-01-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1627, '2021-01-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1628, '2021-01-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1629, '2021-01-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1630, '2021-01-21', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1631, '2021-01-22', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1632, '2021-01-23', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1633, '2021-01-24', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1634, '2021-01-25', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1635, '2021-01-26', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1636, '2021-01-27', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1637, '2021-01-28', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1638, '2021-01-29', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1639, '2021-01-30', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1640, '2021-01-31', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1641, '2021-02-01', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1642, '2021-02-02', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1643, '2021-02-03', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1644, '2021-02-04', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1645, '2021-02-05', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1646, '2021-02-06', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1647, '2021-02-07', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1648, '2021-02-08', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1649, '2021-02-09', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1650, '2021-02-10', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1651, '2021-02-11', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1652, '2021-02-12', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1653, '2021-02-13', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1654, '2021-02-14', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1655, '2021-02-15', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1656, '2021-02-16', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1657, '2021-02-17', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1658, '2021-02-18', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1659, '2021-02-19', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1660, '2021-02-20', 'AS', 'American Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1661, '2020-01-03', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1662, '2020-01-04', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1663, '2020-01-05', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1664, '2020-01-06', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1665, '2020-01-07', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1666, '2020-01-08', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1667, '2020-01-09', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1668, '2020-01-10', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1669, '2020-01-11', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1670, '2020-01-12', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1671, '2020-01-13', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1672, '2020-01-14', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1673, '2020-01-15', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1674, '2020-01-16', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1675, '2020-01-17', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1676, '2020-01-18', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1677, '2020-01-19', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1678, '2020-01-20', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1679, '2020-01-21', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1680, '2020-01-22', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1681, '2020-01-23', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1682, '2020-01-24', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1683, '2020-01-25', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1684, '2020-01-26', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1687, '2020-01-29', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1688, '2020-01-30', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1689, '2020-01-31', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1690, '2020-02-01', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1691, '2020-02-02', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1692, '2020-02-03', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1693, '2020-02-04', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1694, '2020-02-05', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1695, '2020-02-06', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1696, '2020-02-07', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1697, '2020-02-08', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1698, '2020-02-09', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1699, '2020-02-10', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1700, '2020-02-11', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1701, '2020-02-12', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1702, '2020-02-13', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1703, '2020-02-14', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1704, '2020-02-15', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1705, '2020-02-16', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1706, '2020-02-17', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1707, '2020-02-18', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1708, '2020-02-19', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1709, '2020-02-20', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1710, '2020-02-21', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1711, '2020-02-22', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1712, '2020-02-23', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1713, '2020-02-24', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1714, '2020-02-25', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1715, '2020-02-26', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1716, '2020-02-27', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1717, '2020-02-28', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1718, '2020-02-29', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1719, '2020-03-01', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1720, '2020-03-02', 'AD', 'Andorra', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (1721, '2020-03-03', 'AD', 'Andorra', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (1722, '2020-03-04', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1723, '2020-03-05', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1724, '2020-03-06', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1725, '2020-03-07', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1726, '2020-03-08', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1727, '2020-03-09', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1728, '2020-03-10', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1729, '2020-03-11', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1730, '2020-03-12', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1731, '2020-03-13', 'AD', 'Andorra', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (1732, '2020-03-14', 'AD', 'Andorra', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (1733, '2020-03-15', 'AD', 'Andorra', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (1734, '2020-03-16', 'AD', 'Andorra', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (1735, '2020-03-17', 'AD', 'Andorra', 'EURO', '12', '14', '0', '0');
INSERT INTO public.who_import VALUES (1736, '2020-03-18', 'AD', 'Andorra', 'EURO', '25', '39', '0', '0');
INSERT INTO public.who_import VALUES (1737, '2020-03-19', 'AD', 'Andorra', 'EURO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (1738, '2020-03-20', 'AD', 'Andorra', 'EURO', '36', '75', '0', '0');
INSERT INTO public.who_import VALUES (1739, '2020-03-21', 'AD', 'Andorra', 'EURO', '19', '94', '0', '0');
INSERT INTO public.who_import VALUES (1740, '2020-03-22', 'AD', 'Andorra', 'EURO', '39', '133', '1', '1');
INSERT INTO public.who_import VALUES (1741, '2020-03-23', 'AD', 'Andorra', 'EURO', '1', '134', '0', '1');
INSERT INTO public.who_import VALUES (1742, '2020-03-24', 'AD', 'Andorra', 'EURO', '31', '165', '0', '1');
INSERT INTO public.who_import VALUES (1743, '2020-03-25', 'AD', 'Andorra', 'EURO', '48', '213', '2', '3');
INSERT INTO public.who_import VALUES (1744, '2020-03-26', 'AD', 'Andorra', 'EURO', '18', '231', '0', '3');
INSERT INTO public.who_import VALUES (1745, '2020-03-27', 'AD', 'Andorra', 'EURO', '58', '289', '0', '3');
INSERT INTO public.who_import VALUES (1746, '2020-03-28', 'AD', 'Andorra', 'EURO', '32', '321', '1', '4');
INSERT INTO public.who_import VALUES (1747, '2020-03-29', 'AD', 'Andorra', 'EURO', '20', '341', '2', '6');
INSERT INTO public.who_import VALUES (1748, '2020-03-30', 'AD', 'Andorra', 'EURO', '29', '370', '2', '8');
INSERT INTO public.who_import VALUES (1749, '2020-03-31', 'AD', 'Andorra', 'EURO', '6', '376', '4', '12');
INSERT INTO public.who_import VALUES (1750, '2020-04-01', 'AD', 'Andorra', 'EURO', '20', '396', '1', '13');
INSERT INTO public.who_import VALUES (1751, '2020-04-02', 'AD', 'Andorra', 'EURO', '0', '396', '0', '13');
INSERT INTO public.who_import VALUES (1752, '2020-04-03', 'AD', 'Andorra', 'EURO', '33', '429', '2', '15');
INSERT INTO public.who_import VALUES (1753, '2020-04-04', 'AD', 'Andorra', 'EURO', '13', '442', '1', '16');
INSERT INTO public.who_import VALUES (1754, '2020-04-05', 'AD', 'Andorra', 'EURO', '24', '466', '1', '17');
INSERT INTO public.who_import VALUES (1755, '2020-04-06', 'AD', 'Andorra', 'EURO', '57', '523', '0', '17');
INSERT INTO public.who_import VALUES (1756, '2020-04-07', 'AD', 'Andorra', 'EURO', '17', '540', '4', '21');
INSERT INTO public.who_import VALUES (1757, '2020-04-08', 'AD', 'Andorra', 'EURO', '11', '551', '1', '22');
INSERT INTO public.who_import VALUES (1758, '2020-04-09', 'AD', 'Andorra', 'EURO', '15', '566', '2', '24');
INSERT INTO public.who_import VALUES (1759, '2020-04-10', 'AD', 'Andorra', 'EURO', '23', '589', '2', '26');
INSERT INTO public.who_import VALUES (1760, '2020-04-11', 'AD', 'Andorra', 'EURO', '13', '602', '0', '26');
INSERT INTO public.who_import VALUES (1761, '2020-04-12', 'AD', 'Andorra', 'EURO', '20', '622', '2', '28');
INSERT INTO public.who_import VALUES (1762, '2020-04-13', 'AD', 'Andorra', 'EURO', '17', '639', '1', '29');
INSERT INTO public.who_import VALUES (1763, '2020-04-14', 'AD', 'Andorra', 'EURO', '12', '651', '0', '29');
INSERT INTO public.who_import VALUES (1764, '2020-04-15', 'AD', 'Andorra', 'EURO', '8', '659', '2', '31');
INSERT INTO public.who_import VALUES (1765, '2020-04-16', 'AD', 'Andorra', 'EURO', '14', '673', '2', '33');
INSERT INTO public.who_import VALUES (1766, '2020-04-17', 'AD', 'Andorra', 'EURO', '21', '694', '1', '34');
INSERT INTO public.who_import VALUES (1767, '2020-04-18', 'AD', 'Andorra', 'EURO', '9', '703', '1', '35');
INSERT INTO public.who_import VALUES (1768, '2020-04-19', 'AD', 'Andorra', 'EURO', '1', '704', '0', '35');
INSERT INTO public.who_import VALUES (1769, '2020-04-20', 'AD', 'Andorra', 'EURO', '13', '717', '1', '36');
INSERT INTO public.who_import VALUES (1770, '2020-04-21', 'AD', 'Andorra', 'EURO', '1', '718', '0', '36');
INSERT INTO public.who_import VALUES (1771, '2020-04-22', 'AD', 'Andorra', 'EURO', '5', '723', '1', '37');
INSERT INTO public.who_import VALUES (1772, '2020-04-23', 'AD', 'Andorra', 'EURO', '1', '724', '0', '37');
INSERT INTO public.who_import VALUES (1773, '2020-04-24', 'AD', 'Andorra', 'EURO', '2', '726', '1', '38');
INSERT INTO public.who_import VALUES (1774, '2020-04-25', 'AD', 'Andorra', 'EURO', '7', '733', '2', '40');
INSERT INTO public.who_import VALUES (1775, '2020-04-26', 'AD', 'Andorra', 'EURO', '5', '738', '0', '40');
INSERT INTO public.who_import VALUES (1776, '2020-04-27', 'AD', 'Andorra', 'EURO', '2', '740', '0', '40');
INSERT INTO public.who_import VALUES (1777, '2020-04-28', 'AD', 'Andorra', 'EURO', '1', '741', '1', '41');
INSERT INTO public.who_import VALUES (1778, '2020-04-29', 'AD', 'Andorra', 'EURO', '1', '742', '1', '42');
INSERT INTO public.who_import VALUES (1779, '2020-04-30', 'AD', 'Andorra', 'EURO', '2', '744', '0', '42');
INSERT INTO public.who_import VALUES (1780, '2020-05-01', 'AD', 'Andorra', 'EURO', '2', '746', '0', '42');
INSERT INTO public.who_import VALUES (1781, '2020-05-02', 'AD', 'Andorra', 'EURO', '0', '746', '1', '43');
INSERT INTO public.who_import VALUES (1782, '2020-05-03', 'AD', 'Andorra', 'EURO', '1', '747', '1', '44');
INSERT INTO public.who_import VALUES (1783, '2020-05-04', 'AD', 'Andorra', 'EURO', '2', '749', '1', '45');
INSERT INTO public.who_import VALUES (1784, '2020-05-05', 'AD', 'Andorra', 'EURO', '2', '751', '0', '45');
INSERT INTO public.who_import VALUES (1785, '2020-05-06', 'AD', 'Andorra', 'EURO', '0', '751', '1', '46');
INSERT INTO public.who_import VALUES (1786, '2020-05-07', 'AD', 'Andorra', 'EURO', '1', '752', '1', '47');
INSERT INTO public.who_import VALUES (1787, '2020-05-08', 'AD', 'Andorra', 'EURO', '0', '752', '0', '47');
INSERT INTO public.who_import VALUES (1788, '2020-05-09', 'AD', 'Andorra', 'EURO', '2', '754', '0', '47');
INSERT INTO public.who_import VALUES (1789, '2020-05-10', 'AD', 'Andorra', 'EURO', '0', '754', '1', '48');
INSERT INTO public.who_import VALUES (1790, '2020-05-11', 'AD', 'Andorra', 'EURO', '2', '756', '0', '48');
INSERT INTO public.who_import VALUES (1791, '2020-05-12', 'AD', 'Andorra', 'EURO', '0', '756', '0', '48');
INSERT INTO public.who_import VALUES (1792, '2020-05-13', 'AD', 'Andorra', 'EURO', '3', '759', '0', '48');
INSERT INTO public.who_import VALUES (1793, '2020-05-14', 'AD', 'Andorra', 'EURO', '2', '761', '1', '49');
INSERT INTO public.who_import VALUES (1794, '2020-05-15', 'AD', 'Andorra', 'EURO', '0', '761', '0', '49');
INSERT INTO public.who_import VALUES (1795, '2020-05-16', 'AD', 'Andorra', 'EURO', '0', '761', '0', '49');
INSERT INTO public.who_import VALUES (1796, '2020-05-17', 'AD', 'Andorra', 'EURO', '0', '761', '2', '51');
INSERT INTO public.who_import VALUES (1797, '2020-05-18', 'AD', 'Andorra', 'EURO', '0', '761', '0', '51');
INSERT INTO public.who_import VALUES (1798, '2020-05-19', 'AD', 'Andorra', 'EURO', '0', '761', '0', '51');
INSERT INTO public.who_import VALUES (1799, '2020-05-20', 'AD', 'Andorra', 'EURO', '0', '761', '0', '51');
INSERT INTO public.who_import VALUES (1800, '2020-05-21', 'AD', 'Andorra', 'EURO', '1', '762', '0', '51');
INSERT INTO public.who_import VALUES (1801, '2020-05-22', 'AD', 'Andorra', 'EURO', '0', '762', '0', '51');
INSERT INTO public.who_import VALUES (1802, '2020-05-23', 'AD', 'Andorra', 'EURO', '0', '762', '0', '51');
INSERT INTO public.who_import VALUES (1803, '2020-05-24', 'AD', 'Andorra', 'EURO', '1', '763', '0', '51');
INSERT INTO public.who_import VALUES (1804, '2020-05-25', 'AD', 'Andorra', 'EURO', '0', '763', '0', '51');
INSERT INTO public.who_import VALUES (1805, '2020-05-26', 'AD', 'Andorra', 'EURO', '0', '763', '0', '51');
INSERT INTO public.who_import VALUES (1806, '2020-05-27', 'AD', 'Andorra', 'EURO', '0', '763', '0', '51');
INSERT INTO public.who_import VALUES (1807, '2020-05-28', 'AD', 'Andorra', 'EURO', '0', '763', '0', '51');
INSERT INTO public.who_import VALUES (1808, '2020-05-29', 'AD', 'Andorra', 'EURO', '1', '764', '0', '51');
INSERT INTO public.who_import VALUES (1809, '2020-05-30', 'AD', 'Andorra', 'EURO', '0', '764', '0', '51');
INSERT INTO public.who_import VALUES (1810, '2020-05-31', 'AD', 'Andorra', 'EURO', '0', '764', '0', '51');
INSERT INTO public.who_import VALUES (1811, '2020-06-01', 'AD', 'Andorra', 'EURO', '0', '764', '0', '51');
INSERT INTO public.who_import VALUES (1812, '2020-06-02', 'AD', 'Andorra', 'EURO', '1', '765', '0', '51');
INSERT INTO public.who_import VALUES (1813, '2020-06-03', 'AD', 'Andorra', 'EURO', '79', '844', '0', '51');
INSERT INTO public.who_import VALUES (1814, '2020-06-04', 'AD', 'Andorra', 'EURO', '7', '851', '0', '51');
INSERT INTO public.who_import VALUES (1815, '2020-06-05', 'AD', 'Andorra', 'EURO', '1', '852', '0', '51');
INSERT INTO public.who_import VALUES (1816, '2020-06-06', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1817, '2020-06-07', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1818, '2020-06-08', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1819, '2020-06-09', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1820, '2020-06-10', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1821, '2020-06-11', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1822, '2020-06-12', 'AD', 'Andorra', 'EURO', '0', '852', '0', '51');
INSERT INTO public.who_import VALUES (1823, '2020-06-13', 'AD', 'Andorra', 'EURO', '1', '853', '0', '51');
INSERT INTO public.who_import VALUES (1824, '2020-06-14', 'AD', 'Andorra', 'EURO', '0', '853', '0', '51');
INSERT INTO public.who_import VALUES (1825, '2020-06-15', 'AD', 'Andorra', 'EURO', '0', '853', '0', '51');
INSERT INTO public.who_import VALUES (1826, '2020-06-16', 'AD', 'Andorra', 'EURO', '0', '853', '0', '51');
INSERT INTO public.who_import VALUES (1827, '2020-06-17', 'AD', 'Andorra', 'EURO', '1', '854', '1', '52');
INSERT INTO public.who_import VALUES (1828, '2020-06-18', 'AD', 'Andorra', 'EURO', '0', '854', '0', '52');
INSERT INTO public.who_import VALUES (1829, '2020-06-19', 'AD', 'Andorra', 'EURO', '1', '855', '0', '52');
INSERT INTO public.who_import VALUES (1830, '2020-06-20', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1831, '2020-06-21', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1832, '2020-06-22', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1833, '2020-06-23', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1834, '2020-06-24', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1835, '2020-06-25', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1836, '2020-06-26', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1837, '2020-06-27', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1838, '2020-06-28', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1839, '2020-06-29', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1840, '2020-06-30', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1841, '2020-07-01', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1842, '2020-07-02', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1843, '2020-07-03', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1844, '2020-07-04', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1845, '2020-07-05', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1846, '2020-07-06', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1847, '2020-07-07', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1848, '2020-07-08', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1849, '2020-07-09', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1850, '2020-07-10', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1851, '2020-07-11', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1852, '2020-07-12', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1853, '2020-07-13', 'AD', 'Andorra', 'EURO', '0', '855', '0', '52');
INSERT INTO public.who_import VALUES (1854, '2020-07-14', 'AD', 'Andorra', 'EURO', '3', '858', '0', '52');
INSERT INTO public.who_import VALUES (1855, '2020-07-15', 'AD', 'Andorra', 'EURO', '3', '861', '0', '52');
INSERT INTO public.who_import VALUES (1856, '2020-07-16', 'AD', 'Andorra', 'EURO', '1', '862', '0', '52');
INSERT INTO public.who_import VALUES (1857, '2020-07-17', 'AD', 'Andorra', 'EURO', '15', '877', '0', '52');
INSERT INTO public.who_import VALUES (1858, '2020-07-18', 'AD', 'Andorra', 'EURO', '3', '880', '0', '52');
INSERT INTO public.who_import VALUES (1859, '2020-07-19', 'AD', 'Andorra', 'EURO', '0', '880', '0', '52');
INSERT INTO public.who_import VALUES (1860, '2020-07-20', 'AD', 'Andorra', 'EURO', '0', '880', '0', '52');
INSERT INTO public.who_import VALUES (1861, '2020-07-21', 'AD', 'Andorra', 'EURO', '4', '884', '0', '52');
INSERT INTO public.who_import VALUES (1862, '2020-07-22', 'AD', 'Andorra', 'EURO', '0', '884', '0', '52');
INSERT INTO public.who_import VALUES (1863, '2020-07-23', 'AD', 'Andorra', 'EURO', '5', '889', '0', '52');
INSERT INTO public.who_import VALUES (1864, '2020-07-24', 'AD', 'Andorra', 'EURO', '0', '889', '0', '52');
INSERT INTO public.who_import VALUES (1865, '2020-07-25', 'AD', 'Andorra', 'EURO', '8', '897', '0', '52');
INSERT INTO public.who_import VALUES (1866, '2020-07-26', 'AD', 'Andorra', 'EURO', '0', '897', '0', '52');
INSERT INTO public.who_import VALUES (1867, '2020-07-27', 'AD', 'Andorra', 'EURO', '7', '904', '0', '52');
INSERT INTO public.who_import VALUES (1868, '2020-07-28', 'AD', 'Andorra', 'EURO', '3', '907', '0', '52');
INSERT INTO public.who_import VALUES (1869, '2020-07-29', 'AD', 'Andorra', 'EURO', '4', '911', '0', '52');
INSERT INTO public.who_import VALUES (1870, '2020-07-30', 'AD', 'Andorra', 'EURO', '7', '918', '0', '52');
INSERT INTO public.who_import VALUES (1871, '2020-07-31', 'AD', 'Andorra', 'EURO', '4', '922', '0', '52');
INSERT INTO public.who_import VALUES (1872, '2020-08-01', 'AD', 'Andorra', 'EURO', '3', '925', '0', '52');
INSERT INTO public.who_import VALUES (1873, '2020-08-02', 'AD', 'Andorra', 'EURO', '5', '930', '0', '52');
INSERT INTO public.who_import VALUES (1874, '2020-08-03', 'AD', 'Andorra', 'EURO', '6', '936', '0', '52');
INSERT INTO public.who_import VALUES (1875, '2020-08-04', 'AD', 'Andorra', 'EURO', '1', '937', '0', '52');
INSERT INTO public.who_import VALUES (1876, '2020-08-05', 'AD', 'Andorra', 'EURO', '2', '939', '0', '52');
INSERT INTO public.who_import VALUES (1877, '2020-08-06', 'AD', 'Andorra', 'EURO', '0', '939', '0', '52');
INSERT INTO public.who_import VALUES (1878, '2020-08-07', 'AD', 'Andorra', 'EURO', '6', '945', '0', '52');
INSERT INTO public.who_import VALUES (1879, '2020-08-08', 'AD', 'Andorra', 'EURO', '11', '956', '0', '52');
INSERT INTO public.who_import VALUES (1880, '2020-08-09', 'AD', 'Andorra', 'EURO', '0', '956', '0', '52');
INSERT INTO public.who_import VALUES (1881, '2020-08-10', 'AD', 'Andorra', 'EURO', '0', '956', '0', '52');
INSERT INTO public.who_import VALUES (1882, '2020-08-11', 'AD', 'Andorra', 'EURO', '7', '963', '0', '52');
INSERT INTO public.who_import VALUES (1883, '2020-08-12', 'AD', 'Andorra', 'EURO', '10', '973', '0', '52');
INSERT INTO public.who_import VALUES (1884, '2020-08-13', 'AD', 'Andorra', 'EURO', '4', '977', '1', '53');
INSERT INTO public.who_import VALUES (1885, '2020-08-14', 'AD', 'Andorra', 'EURO', '4', '981', '0', '53');
INSERT INTO public.who_import VALUES (1886, '2020-08-15', 'AD', 'Andorra', 'EURO', '8', '989', '0', '53');
INSERT INTO public.who_import VALUES (1887, '2020-08-16', 'AD', 'Andorra', 'EURO', '8', '997', '0', '53');
INSERT INTO public.who_import VALUES (1888, '2020-08-17', 'AD', 'Andorra', 'EURO', '0', '997', '0', '53');
INSERT INTO public.who_import VALUES (1889, '2020-08-18', 'AD', 'Andorra', 'EURO', '8', '1005', '0', '53');
INSERT INTO public.who_import VALUES (1890, '2020-08-19', 'AD', 'Andorra', 'EURO', '7', '1012', '0', '53');
INSERT INTO public.who_import VALUES (1891, '2020-08-20', 'AD', 'Andorra', 'EURO', '12', '1024', '0', '53');
INSERT INTO public.who_import VALUES (1892, '2020-08-21', 'AD', 'Andorra', 'EURO', '12', '1036', '0', '53');
INSERT INTO public.who_import VALUES (1893, '2020-08-22', 'AD', 'Andorra', 'EURO', '11', '1047', '0', '53');
INSERT INTO public.who_import VALUES (1894, '2020-08-23', 'AD', 'Andorra', 'EURO', '0', '1047', '0', '53');
INSERT INTO public.who_import VALUES (1895, '2020-08-24', 'AD', 'Andorra', 'EURO', '0', '1047', '0', '53');
INSERT INTO public.who_import VALUES (1896, '2020-08-25', 'AD', 'Andorra', 'EURO', '13', '1060', '0', '53');
INSERT INTO public.who_import VALUES (1897, '2020-08-26', 'AD', 'Andorra', 'EURO', '0', '1060', '0', '53');
INSERT INTO public.who_import VALUES (1898, '2020-08-27', 'AD', 'Andorra', 'EURO', '38', '1098', '0', '53');
INSERT INTO public.who_import VALUES (1899, '2020-08-28', 'AD', 'Andorra', 'EURO', '13', '1111', '0', '53');
INSERT INTO public.who_import VALUES (1900, '2020-08-29', 'AD', 'Andorra', 'EURO', '13', '1124', '0', '53');
INSERT INTO public.who_import VALUES (1901, '2020-08-30', 'AD', 'Andorra', 'EURO', '0', '1124', '0', '53');
INSERT INTO public.who_import VALUES (1902, '2020-08-31', 'AD', 'Andorra', 'EURO', '0', '1124', '0', '53');
INSERT INTO public.who_import VALUES (1903, '2020-09-01', 'AD', 'Andorra', 'EURO', '52', '1176', '0', '53');
INSERT INTO public.who_import VALUES (1904, '2020-09-02', 'AD', 'Andorra', 'EURO', '8', '1184', '0', '53');
INSERT INTO public.who_import VALUES (1905, '2020-09-03', 'AD', 'Andorra', 'EURO', '15', '1199', '0', '53');
INSERT INTO public.who_import VALUES (1906, '2020-09-04', 'AD', 'Andorra', 'EURO', '9', '1208', '0', '53');
INSERT INTO public.who_import VALUES (1907, '2020-09-05', 'AD', 'Andorra', 'EURO', '7', '1215', '0', '53');
INSERT INTO public.who_import VALUES (1908, '2020-09-06', 'AD', 'Andorra', 'EURO', '0', '1215', '0', '53');
INSERT INTO public.who_import VALUES (1909, '2020-09-07', 'AD', 'Andorra', 'EURO', '0', '1215', '0', '53');
INSERT INTO public.who_import VALUES (1910, '2020-09-08', 'AD', 'Andorra', 'EURO', '46', '1261', '0', '53');
INSERT INTO public.who_import VALUES (1911, '2020-09-09', 'AD', 'Andorra', 'EURO', '0', '1261', '0', '53');
INSERT INTO public.who_import VALUES (1912, '2020-09-10', 'AD', 'Andorra', 'EURO', '40', '1301', '0', '53');
INSERT INTO public.who_import VALUES (1913, '2020-09-11', 'AD', 'Andorra', 'EURO', '0', '1301', '0', '53');
INSERT INTO public.who_import VALUES (1914, '2020-09-12', 'AD', 'Andorra', 'EURO', '43', '1344', '0', '53');
INSERT INTO public.who_import VALUES (1915, '2020-09-13', 'AD', 'Andorra', 'EURO', '0', '1344', '0', '53');
INSERT INTO public.who_import VALUES (1916, '2020-09-14', 'AD', 'Andorra', 'EURO', '0', '1344', '0', '53');
INSERT INTO public.who_import VALUES (1917, '2020-09-15', 'AD', 'Andorra', 'EURO', '94', '1438', '0', '53');
INSERT INTO public.who_import VALUES (1918, '2020-09-16', 'AD', 'Andorra', 'EURO', '0', '1438', '0', '53');
INSERT INTO public.who_import VALUES (1919, '2020-09-17', 'AD', 'Andorra', 'EURO', '45', '1483', '0', '53');
INSERT INTO public.who_import VALUES (1920, '2020-09-18', 'AD', 'Andorra', 'EURO', '0', '1483', '0', '53');
INSERT INTO public.who_import VALUES (1921, '2020-09-19', 'AD', 'Andorra', 'EURO', '81', '1564', '0', '53');
INSERT INTO public.who_import VALUES (1922, '2020-09-20', 'AD', 'Andorra', 'EURO', '0', '1564', '0', '53');
INSERT INTO public.who_import VALUES (1923, '2020-09-21', 'AD', 'Andorra', 'EURO', '0', '1564', '0', '53');
INSERT INTO public.who_import VALUES (1924, '2020-09-22', 'AD', 'Andorra', 'EURO', '117', '1681', '0', '53');
INSERT INTO public.who_import VALUES (1925, '2020-09-23', 'AD', 'Andorra', 'EURO', '0', '1681', '0', '53');
INSERT INTO public.who_import VALUES (1926, '2020-09-24', 'AD', 'Andorra', 'EURO', '72', '1753', '0', '53');
INSERT INTO public.who_import VALUES (1927, '2020-09-25', 'AD', 'Andorra', 'EURO', '0', '1753', '0', '53');
INSERT INTO public.who_import VALUES (1928, '2020-09-26', 'AD', 'Andorra', 'EURO', '83', '1836', '0', '53');
INSERT INTO public.who_import VALUES (1929, '2020-09-27', 'AD', 'Andorra', 'EURO', '0', '1836', '0', '53');
INSERT INTO public.who_import VALUES (1930, '2020-09-28', 'AD', 'Andorra', 'EURO', '0', '1836', '0', '53');
INSERT INTO public.who_import VALUES (1931, '2020-09-29', 'AD', 'Andorra', 'EURO', '130', '1966', '0', '53');
INSERT INTO public.who_import VALUES (1932, '2020-09-30', 'AD', 'Andorra', 'EURO', '0', '1966', '0', '53');
INSERT INTO public.who_import VALUES (1933, '2020-10-01', 'AD', 'Andorra', 'EURO', '84', '2050', '0', '53');
INSERT INTO public.who_import VALUES (1934, '2020-10-02', 'AD', 'Andorra', 'EURO', '0', '2050', '0', '53');
INSERT INTO public.who_import VALUES (1935, '2020-10-03', 'AD', 'Andorra', 'EURO', '60', '2110', '0', '53');
INSERT INTO public.who_import VALUES (1936, '2020-10-04', 'AD', 'Andorra', 'EURO', '0', '2110', '0', '53');
INSERT INTO public.who_import VALUES (1937, '2020-10-05', 'AD', 'Andorra', 'EURO', '0', '2110', '0', '53');
INSERT INTO public.who_import VALUES (1938, '2020-10-06', 'AD', 'Andorra', 'EURO', '260', '2370', '0', '53');
INSERT INTO public.who_import VALUES (1939, '2020-10-07', 'AD', 'Andorra', 'EURO', '0', '2370', '0', '53');
INSERT INTO public.who_import VALUES (1940, '2020-10-08', 'AD', 'Andorra', 'EURO', '198', '2568', '0', '53');
INSERT INTO public.who_import VALUES (1941, '2020-10-09', 'AD', 'Andorra', 'EURO', '0', '2568', '1', '54');
INSERT INTO public.who_import VALUES (1942, '2020-10-10', 'AD', 'Andorra', 'EURO', '128', '2696', '1', '55');
INSERT INTO public.who_import VALUES (1943, '2020-10-11', 'AD', 'Andorra', 'EURO', '0', '2696', '0', '55');
INSERT INTO public.who_import VALUES (1944, '2020-10-12', 'AD', 'Andorra', 'EURO', '0', '2696', '0', '55');
INSERT INTO public.who_import VALUES (1945, '2020-10-13', 'AD', 'Andorra', 'EURO', '299', '2995', '2', '57');
INSERT INTO public.who_import VALUES (1946, '2020-10-14', 'AD', 'Andorra', 'EURO', '0', '2995', '0', '57');
INSERT INTO public.who_import VALUES (1947, '2020-10-15', 'AD', 'Andorra', 'EURO', '195', '3190', '2', '59');
INSERT INTO public.who_import VALUES (1948, '2020-10-16', 'AD', 'Andorra', 'EURO', '0', '3190', '0', '59');
INSERT INTO public.who_import VALUES (1949, '2020-10-17', 'AD', 'Andorra', 'EURO', '187', '3377', '0', '59');
INSERT INTO public.who_import VALUES (1950, '2020-10-18', 'AD', 'Andorra', 'EURO', '0', '3377', '0', '59');
INSERT INTO public.who_import VALUES (1951, '2020-10-19', 'AD', 'Andorra', 'EURO', '0', '3377', '0', '59');
INSERT INTO public.who_import VALUES (1952, '2020-10-20', 'AD', 'Andorra', 'EURO', '246', '3623', '3', '62');
INSERT INTO public.who_import VALUES (1953, '2020-10-21', 'AD', 'Andorra', 'EURO', '0', '3623', '0', '62');
INSERT INTO public.who_import VALUES (1954, '2020-10-22', 'AD', 'Andorra', 'EURO', '188', '3811', '1', '63');
INSERT INTO public.who_import VALUES (1955, '2020-10-23', 'AD', 'Andorra', 'EURO', '0', '3811', '0', '63');
INSERT INTO public.who_import VALUES (1956, '2020-10-24', 'AD', 'Andorra', 'EURO', '227', '4038', '6', '69');
INSERT INTO public.who_import VALUES (1957, '2020-10-25', 'AD', 'Andorra', 'EURO', '0', '4038', '0', '69');
INSERT INTO public.who_import VALUES (1958, '2020-10-26', 'AD', 'Andorra', 'EURO', '0', '4038', '0', '69');
INSERT INTO public.who_import VALUES (1959, '2020-10-27', 'AD', 'Andorra', 'EURO', '287', '4325', '3', '72');
INSERT INTO public.who_import VALUES (1960, '2020-10-28', 'AD', 'Andorra', 'EURO', '85', '4410', '0', '72');
INSERT INTO public.who_import VALUES (1961, '2020-10-29', 'AD', 'Andorra', 'EURO', '107', '4517', '0', '72');
INSERT INTO public.who_import VALUES (1962, '2020-10-30', 'AD', 'Andorra', 'EURO', '50', '4567', '1', '73');
INSERT INTO public.who_import VALUES (1963, '2020-10-31', 'AD', 'Andorra', 'EURO', '98', '4665', '2', '75');
INSERT INTO public.who_import VALUES (1964, '2020-11-01', 'AD', 'Andorra', 'EURO', '91', '4756', '0', '75');
INSERT INTO public.who_import VALUES (1965, '2020-11-02', 'AD', 'Andorra', 'EURO', '69', '4825', '0', '75');
INSERT INTO public.who_import VALUES (1966, '2020-11-03', 'AD', 'Andorra', 'EURO', '63', '4888', '0', '75');
INSERT INTO public.who_import VALUES (1967, '2020-11-04', 'AD', 'Andorra', 'EURO', '22', '4910', '0', '75');
INSERT INTO public.who_import VALUES (1968, '2020-11-05', 'AD', 'Andorra', 'EURO', '135', '5045', '0', '75');
INSERT INTO public.who_import VALUES (1969, '2020-11-06', 'AD', 'Andorra', 'EURO', '90', '5135', '0', '75');
INSERT INTO public.who_import VALUES (1970, '2020-11-07', 'AD', 'Andorra', 'EURO', '0', '5135', '0', '75');
INSERT INTO public.who_import VALUES (1971, '2020-11-08', 'AD', 'Andorra', 'EURO', '184', '5319', '0', '75');
INSERT INTO public.who_import VALUES (1972, '2020-11-09', 'AD', 'Andorra', 'EURO', '64', '5383', '0', '75');
INSERT INTO public.who_import VALUES (1973, '2020-11-10', 'AD', 'Andorra', 'EURO', '54', '5437', '0', '75');
INSERT INTO public.who_import VALUES (1974, '2020-11-11', 'AD', 'Andorra', 'EURO', '40', '5477', '0', '75');
INSERT INTO public.who_import VALUES (1975, '2020-11-12', 'AD', 'Andorra', 'EURO', '90', '5567', '0', '75');
INSERT INTO public.who_import VALUES (1976, '2020-11-13', 'AD', 'Andorra', 'EURO', '49', '5616', '0', '75');
INSERT INTO public.who_import VALUES (1977, '2020-11-14', 'AD', 'Andorra', 'EURO', '109', '5725', '0', '75');
INSERT INTO public.who_import VALUES (1978, '2020-11-15', 'AD', 'Andorra', 'EURO', '0', '5725', '0', '75');
INSERT INTO public.who_import VALUES (1979, '2020-11-16', 'AD', 'Andorra', 'EURO', '147', '5872', '1', '76');
INSERT INTO public.who_import VALUES (1980, '2020-11-17', 'AD', 'Andorra', 'EURO', '42', '5914', '0', '76');
INSERT INTO public.who_import VALUES (1981, '2020-11-18', 'AD', 'Andorra', 'EURO', '37', '5951', '0', '76');
INSERT INTO public.who_import VALUES (1982, '2020-11-19', 'AD', 'Andorra', 'EURO', '67', '6018', '0', '76');
INSERT INTO public.who_import VALUES (1983, '2020-11-20', 'AD', 'Andorra', 'EURO', '48', '6066', '0', '76');
INSERT INTO public.who_import VALUES (1984, '2020-11-21', 'AD', 'Andorra', 'EURO', '76', '6142', '0', '76');
INSERT INTO public.who_import VALUES (1985, '2020-11-22', 'AD', 'Andorra', 'EURO', '65', '6207', '0', '76');
INSERT INTO public.who_import VALUES (1986, '2020-11-23', 'AD', 'Andorra', 'EURO', '49', '6256', '0', '76');
INSERT INTO public.who_import VALUES (1987, '2020-11-24', 'AD', 'Andorra', 'EURO', '48', '6304', '0', '76');
INSERT INTO public.who_import VALUES (1988, '2020-11-25', 'AD', 'Andorra', 'EURO', '47', '6351', '0', '76');
INSERT INTO public.who_import VALUES (1989, '2020-11-26', 'AD', 'Andorra', 'EURO', '77', '6428', '0', '76');
INSERT INTO public.who_import VALUES (1990, '2020-11-27', 'AD', 'Andorra', 'EURO', '106', '6534', '0', '76');
INSERT INTO public.who_import VALUES (1991, '2020-11-28', 'AD', 'Andorra', 'EURO', '76', '6610', '0', '76');
INSERT INTO public.who_import VALUES (1992, '2020-11-29', 'AD', 'Andorra', 'EURO', '0', '6610', '0', '76');
INSERT INTO public.who_import VALUES (1993, '2020-11-30', 'AD', 'Andorra', 'EURO', '102', '6712', '0', '76');
INSERT INTO public.who_import VALUES (1994, '2020-12-01', 'AD', 'Andorra', 'EURO', '33', '6745', '0', '76');
INSERT INTO public.who_import VALUES (1995, '2020-12-02', 'AD', 'Andorra', 'EURO', '45', '6790', '0', '76');
INSERT INTO public.who_import VALUES (1996, '2020-12-03', 'AD', 'Andorra', 'EURO', '52', '6842', '0', '76');
INSERT INTO public.who_import VALUES (1997, '2020-12-04', 'AD', 'Andorra', 'EURO', '62', '6904', '1', '77');
INSERT INTO public.who_import VALUES (1998, '2020-12-05', 'AD', 'Andorra', 'EURO', '51', '6955', '0', '77');
INSERT INTO public.who_import VALUES (1999, '2020-12-06', 'AD', 'Andorra', 'EURO', '50', '7005', '1', '78');
INSERT INTO public.who_import VALUES (2000, '2020-12-07', 'AD', 'Andorra', 'EURO', '45', '7050', '0', '78');
INSERT INTO public.who_import VALUES (2001, '2020-12-08', 'AD', 'Andorra', 'EURO', '34', '7084', '0', '78');
INSERT INTO public.who_import VALUES (2002, '2020-12-09', 'AD', 'Andorra', 'EURO', '43', '7127', '0', '78');
INSERT INTO public.who_import VALUES (2003, '2020-12-10', 'AD', 'Andorra', 'EURO', '35', '7162', '0', '78');
INSERT INTO public.who_import VALUES (2004, '2020-12-11', 'AD', 'Andorra', 'EURO', '28', '7190', '0', '78');
INSERT INTO public.who_import VALUES (2005, '2020-12-12', 'AD', 'Andorra', 'EURO', '46', '7236', '0', '78');
INSERT INTO public.who_import VALUES (2006, '2020-12-13', 'AD', 'Andorra', 'EURO', '52', '7288', '0', '78');
INSERT INTO public.who_import VALUES (2007, '2020-12-14', 'AD', 'Andorra', 'EURO', '50', '7338', '1', '79');
INSERT INTO public.who_import VALUES (2008, '2020-12-15', 'AD', 'Andorra', 'EURO', '44', '7382', '0', '79');
INSERT INTO public.who_import VALUES (2009, '2020-12-16', 'AD', 'Andorra', 'EURO', '32', '7414', '0', '79');
INSERT INTO public.who_import VALUES (2010, '2020-12-17', 'AD', 'Andorra', 'EURO', '32', '7446', '0', '79');
INSERT INTO public.who_import VALUES (2011, '2020-12-18', 'AD', 'Andorra', 'EURO', '20', '7466', '0', '79');
INSERT INTO public.who_import VALUES (2012, '2020-12-19', 'AD', 'Andorra', 'EURO', '53', '7519', '1', '80');
INSERT INTO public.who_import VALUES (2013, '2020-12-20', 'AD', 'Andorra', 'EURO', '41', '7560', '0', '80');
INSERT INTO public.who_import VALUES (2014, '2020-12-21', 'AD', 'Andorra', 'EURO', '17', '7577', '1', '81');
INSERT INTO public.who_import VALUES (2015, '2020-12-22', 'AD', 'Andorra', 'EURO', '25', '7602', '0', '81');
INSERT INTO public.who_import VALUES (2016, '2020-12-23', 'AD', 'Andorra', 'EURO', '31', '7633', '1', '82');
INSERT INTO public.who_import VALUES (2017, '2020-12-24', 'AD', 'Andorra', 'EURO', '36', '7669', '0', '82');
INSERT INTO public.who_import VALUES (2018, '2020-12-25', 'AD', 'Andorra', 'EURO', '30', '7699', '1', '83');
INSERT INTO public.who_import VALUES (2019, '2020-12-26', 'AD', 'Andorra', 'EURO', '57', '7756', '0', '83');
INSERT INTO public.who_import VALUES (2020, '2020-12-27', 'AD', 'Andorra', 'EURO', '50', '7806', '0', '83');
INSERT INTO public.who_import VALUES (2021, '2020-12-28', 'AD', 'Andorra', 'EURO', '15', '7821', '0', '83');
INSERT INTO public.who_import VALUES (2022, '2020-12-29', 'AD', 'Andorra', 'EURO', '54', '7875', '0', '83');
INSERT INTO public.who_import VALUES (2023, '2020-12-30', 'AD', 'Andorra', 'EURO', '44', '7919', '1', '84');
INSERT INTO public.who_import VALUES (2024, '2020-12-31', 'AD', 'Andorra', 'EURO', '64', '7983', '0', '84');
INSERT INTO public.who_import VALUES (2025, '2021-01-01', 'AD', 'Andorra', 'EURO', '66', '8049', '0', '84');
INSERT INTO public.who_import VALUES (2026, '2021-01-02', 'AD', 'Andorra', 'EURO', '68', '8117', '0', '84');
INSERT INTO public.who_import VALUES (2027, '2021-01-03', 'AD', 'Andorra', 'EURO', '49', '8166', '0', '84');
INSERT INTO public.who_import VALUES (2028, '2021-01-04', 'AD', 'Andorra', 'EURO', '26', '8192', '0', '84');
INSERT INTO public.who_import VALUES (2029, '2021-01-05', 'AD', 'Andorra', 'EURO', '57', '8249', '0', '84');
INSERT INTO public.who_import VALUES (2030, '2021-01-06', 'AD', 'Andorra', 'EURO', '59', '8308', '0', '84');
INSERT INTO public.who_import VALUES (2031, '2021-01-07', 'AD', 'Andorra', 'EURO', '40', '8348', '0', '84');
INSERT INTO public.who_import VALUES (2032, '2021-01-08', 'AD', 'Andorra', 'EURO', '0', '8348', '0', '84');
INSERT INTO public.who_import VALUES (2033, '2021-01-09', 'AD', 'Andorra', 'EURO', '141', '8489', '0', '84');
INSERT INTO public.who_import VALUES (2034, '2021-01-10', 'AD', 'Andorra', 'EURO', '97', '8586', '1', '85');
INSERT INTO public.who_import VALUES (2035, '2021-01-11', 'AD', 'Andorra', 'EURO', '0', '8586', '0', '85');
INSERT INTO public.who_import VALUES (2036, '2021-01-12', 'AD', 'Andorra', 'EURO', '96', '8682', '1', '86');
INSERT INTO public.who_import VALUES (2037, '2021-01-13', 'AD', 'Andorra', 'EURO', '63', '8745', '1', '87');
INSERT INTO public.who_import VALUES (2038, '2021-01-14', 'AD', 'Andorra', 'EURO', '73', '8818', '0', '87');
INSERT INTO public.who_import VALUES (2039, '2021-01-15', 'AD', 'Andorra', 'EURO', '50', '8868', '1', '88');
INSERT INTO public.who_import VALUES (2040, '2021-01-16', 'AD', 'Andorra', 'EURO', '78', '8946', '0', '88');
INSERT INTO public.who_import VALUES (2041, '2021-01-17', 'AD', 'Andorra', 'EURO', '92', '9038', '3', '91');
INSERT INTO public.who_import VALUES (2042, '2021-01-18', 'AD', 'Andorra', 'EURO', '0', '9038', '0', '91');
INSERT INTO public.who_import VALUES (2043, '2021-01-19', 'AD', 'Andorra', 'EURO', '45', '9083', '0', '91');
INSERT INTO public.who_import VALUES (2044, '2021-01-20', 'AD', 'Andorra', 'EURO', '111', '9194', '1', '92');
INSERT INTO public.who_import VALUES (2045, '2021-01-21', 'AD', 'Andorra', 'EURO', '114', '9308', '0', '92');
INSERT INTO public.who_import VALUES (2046, '2021-01-22', 'AD', 'Andorra', 'EURO', '71', '9379', '1', '93');
INSERT INTO public.who_import VALUES (2047, '2021-01-23', 'AD', 'Andorra', 'EURO', '37', '9416', '0', '93');
INSERT INTO public.who_import VALUES (2048, '2021-01-24', 'AD', 'Andorra', 'EURO', '83', '9499', '3', '96');
INSERT INTO public.who_import VALUES (2049, '2021-01-25', 'AD', 'Andorra', 'EURO', '50', '9549', '0', '96');
INSERT INTO public.who_import VALUES (2050, '2021-01-26', 'AD', 'Andorra', 'EURO', '47', '9596', '1', '97');
INSERT INTO public.who_import VALUES (2051, '2021-01-27', 'AD', 'Andorra', 'EURO', '42', '9638', '0', '97');
INSERT INTO public.who_import VALUES (2052, '2021-01-28', 'AD', 'Andorra', 'EURO', '78', '9716', '1', '98');
INSERT INTO public.who_import VALUES (2053, '2021-01-29', 'AD', 'Andorra', 'EURO', '63', '9779', '2', '100');
INSERT INTO public.who_import VALUES (2054, '2021-01-30', 'AD', 'Andorra', 'EURO', '58', '9837', '0', '100');
INSERT INTO public.who_import VALUES (2055, '2021-01-31', 'AD', 'Andorra', 'EURO', '48', '9885', '1', '101');
INSERT INTO public.who_import VALUES (2056, '2021-02-01', 'AD', 'Andorra', 'EURO', '52', '9937', '0', '101');
INSERT INTO public.who_import VALUES (2057, '2021-02-02', 'AD', 'Andorra', 'EURO', '35', '9972', '0', '101');
INSERT INTO public.who_import VALUES (2058, '2021-02-03', 'AD', 'Andorra', 'EURO', '45', '10017', '1', '102');
INSERT INTO public.who_import VALUES (2059, '2021-02-04', 'AD', 'Andorra', 'EURO', '53', '10070', '1', '103');
INSERT INTO public.who_import VALUES (2060, '2021-02-05', 'AD', 'Andorra', 'EURO', '67', '10137', '0', '103');
INSERT INTO public.who_import VALUES (2061, '2021-02-06', 'AD', 'Andorra', 'EURO', '35', '10172', '1', '104');
INSERT INTO public.who_import VALUES (2062, '2021-02-07', 'AD', 'Andorra', 'EURO', '34', '10206', '1', '105');
INSERT INTO public.who_import VALUES (2063, '2021-02-08', 'AD', 'Andorra', 'EURO', '45', '10251', '1', '106');
INSERT INTO public.who_import VALUES (2064, '2021-02-09', 'AD', 'Andorra', 'EURO', '24', '10275', '0', '106');
INSERT INTO public.who_import VALUES (2065, '2021-02-10', 'AD', 'Andorra', 'EURO', '37', '10312', '0', '106');
INSERT INTO public.who_import VALUES (2066, '2021-02-11', 'AD', 'Andorra', 'EURO', '40', '10352', '0', '106');
INSERT INTO public.who_import VALUES (2067, '2021-02-12', 'AD', 'Andorra', 'EURO', '39', '10391', '0', '106');
INSERT INTO public.who_import VALUES (2068, '2021-02-13', 'AD', 'Andorra', 'EURO', '36', '10427', '0', '106');
INSERT INTO public.who_import VALUES (2069, '2021-02-14', 'AD', 'Andorra', 'EURO', '36', '10463', '1', '107');
INSERT INTO public.who_import VALUES (2070, '2021-02-15', 'AD', 'Andorra', 'EURO', '40', '10503', '0', '107');
INSERT INTO public.who_import VALUES (2071, '2021-02-16', 'AD', 'Andorra', 'EURO', '35', '10538', '0', '107');
INSERT INTO public.who_import VALUES (2072, '2021-02-17', 'AD', 'Andorra', 'EURO', '17', '10555', '0', '107');
INSERT INTO public.who_import VALUES (2073, '2021-02-18', 'AD', 'Andorra', 'EURO', '28', '10583', '0', '107');
INSERT INTO public.who_import VALUES (2074, '2021-02-19', 'AD', 'Andorra', 'EURO', '27', '10610', '0', '107');
INSERT INTO public.who_import VALUES (2075, '2021-02-20', 'AD', 'Andorra', 'EURO', '35', '10645', '0', '107');
INSERT INTO public.who_import VALUES (2076, '2020-01-03', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2077, '2020-01-04', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2078, '2020-01-05', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2079, '2020-01-06', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2080, '2020-01-07', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2081, '2020-01-08', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2082, '2020-01-09', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2083, '2020-01-10', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2084, '2020-01-11', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2085, '2020-01-12', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2086, '2020-01-13', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2087, '2020-01-14', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2088, '2020-01-15', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2089, '2020-01-16', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2090, '2020-01-17', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2091, '2020-01-18', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2092, '2020-01-19', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2093, '2020-01-20', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2094, '2020-01-21', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2095, '2020-01-22', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2096, '2020-01-23', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2097, '2020-01-24', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2098, '2020-01-25', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2099, '2020-01-26', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2100, '2020-01-27', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2101, '2020-01-28', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2102, '2020-01-29', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2103, '2020-01-30', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2104, '2020-01-31', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2105, '2020-02-01', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2106, '2020-02-02', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2107, '2020-02-03', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2108, '2020-02-04', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2109, '2020-02-05', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2110, '2020-02-06', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2111, '2020-02-07', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2112, '2020-02-08', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2113, '2020-02-09', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2114, '2020-02-10', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2115, '2020-02-11', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2116, '2020-02-12', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2117, '2020-02-13', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2118, '2020-02-14', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2119, '2020-02-15', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2120, '2020-02-16', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2121, '2020-02-17', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2122, '2020-02-18', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2123, '2020-02-19', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2124, '2020-02-20', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2125, '2020-02-21', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2126, '2020-02-22', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2127, '2020-02-23', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2128, '2020-02-24', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2129, '2020-02-25', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2130, '2020-02-26', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2131, '2020-02-27', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2132, '2020-02-28', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2133, '2020-02-29', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2134, '2020-03-01', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2135, '2020-03-02', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2136, '2020-03-03', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2137, '2020-03-04', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2138, '2020-03-05', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2139, '2020-03-06', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2140, '2020-03-07', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2141, '2020-03-08', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2142, '2020-03-09', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2143, '2020-03-10', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2144, '2020-03-11', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2145, '2020-03-12', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2146, '2020-03-13', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2147, '2020-03-14', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2148, '2020-03-15', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2149, '2020-03-16', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2150, '2020-03-17', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2151, '2020-03-18', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2152, '2020-03-19', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2153, '2020-03-20', 'AO', 'Angola', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2154, '2020-03-21', 'AO', 'Angola', 'AFRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (2155, '2020-03-22', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2156, '2020-03-23', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2157, '2020-03-24', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2158, '2020-03-25', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2159, '2020-03-26', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2160, '2020-03-27', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2161, '2020-03-28', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2162, '2020-03-29', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2163, '2020-03-30', 'AO', 'Angola', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2164, '2020-03-31', 'AO', 'Angola', 'AFRO', '5', '7', '1', '1');
INSERT INTO public.who_import VALUES (2165, '2020-04-01', 'AO', 'Angola', 'AFRO', '0', '7', '1', '2');
INSERT INTO public.who_import VALUES (2166, '2020-04-02', 'AO', 'Angola', 'AFRO', '1', '8', '0', '2');
INSERT INTO public.who_import VALUES (2167, '2020-04-03', 'AO', 'Angola', 'AFRO', '0', '8', '0', '2');
INSERT INTO public.who_import VALUES (2168, '2020-04-04', 'AO', 'Angola', 'AFRO', '2', '10', '0', '2');
INSERT INTO public.who_import VALUES (2169, '2020-04-05', 'AO', 'Angola', 'AFRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (2170, '2020-04-06', 'AO', 'Angola', 'AFRO', '4', '14', '0', '2');
INSERT INTO public.who_import VALUES (2171, '2020-04-07', 'AO', 'Angola', 'AFRO', '2', '16', '0', '2');
INSERT INTO public.who_import VALUES (2172, '2020-04-08', 'AO', 'Angola', 'AFRO', '1', '17', '0', '2');
INSERT INTO public.who_import VALUES (2173, '2020-04-09', 'AO', 'Angola', 'AFRO', '2', '19', '0', '2');
INSERT INTO public.who_import VALUES (2174, '2020-04-10', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2175, '2020-04-11', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2176, '2020-04-12', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2177, '2020-04-13', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2178, '2020-04-14', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2179, '2020-04-15', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2180, '2020-04-16', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2181, '2020-04-17', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2182, '2020-04-18', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2183, '2020-04-19', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2184, '2020-04-20', 'AO', 'Angola', 'AFRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (2185, '2020-04-21', 'AO', 'Angola', 'AFRO', '5', '24', '0', '2');
INSERT INTO public.who_import VALUES (2186, '2020-04-22', 'AO', 'Angola', 'AFRO', '0', '24', '0', '2');
INSERT INTO public.who_import VALUES (2187, '2020-04-23', 'AO', 'Angola', 'AFRO', '0', '24', '0', '2');
INSERT INTO public.who_import VALUES (2188, '2020-04-24', 'AO', 'Angola', 'AFRO', '1', '25', '0', '2');
INSERT INTO public.who_import VALUES (2189, '2020-04-25', 'AO', 'Angola', 'AFRO', '0', '25', '0', '2');
INSERT INTO public.who_import VALUES (2190, '2020-04-26', 'AO', 'Angola', 'AFRO', '0', '25', '0', '2');
INSERT INTO public.who_import VALUES (2191, '2020-04-27', 'AO', 'Angola', 'AFRO', '1', '26', '0', '2');
INSERT INTO public.who_import VALUES (2192, '2020-04-28', 'AO', 'Angola', 'AFRO', '1', '27', '0', '2');
INSERT INTO public.who_import VALUES (2193, '2020-04-29', 'AO', 'Angola', 'AFRO', '0', '27', '0', '2');
INSERT INTO public.who_import VALUES (2194, '2020-04-30', 'AO', 'Angola', 'AFRO', '0', '27', '0', '2');
INSERT INTO public.who_import VALUES (2195, '2020-05-01', 'AO', 'Angola', 'AFRO', '0', '27', '0', '2');
INSERT INTO public.who_import VALUES (2196, '2020-05-02', 'AO', 'Angola', 'AFRO', '2', '29', '0', '2');
INSERT INTO public.who_import VALUES (2197, '2020-05-03', 'AO', 'Angola', 'AFRO', '6', '35', '0', '2');
INSERT INTO public.who_import VALUES (2198, '2020-05-04', 'AO', 'Angola', 'AFRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (2199, '2020-05-05', 'AO', 'Angola', 'AFRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (2200, '2020-05-06', 'AO', 'Angola', 'AFRO', '1', '36', '0', '2');
INSERT INTO public.who_import VALUES (2201, '2020-05-07', 'AO', 'Angola', 'AFRO', '0', '36', '0', '2');
INSERT INTO public.who_import VALUES (2202, '2020-05-08', 'AO', 'Angola', 'AFRO', '0', '36', '0', '2');
INSERT INTO public.who_import VALUES (2203, '2020-05-09', 'AO', 'Angola', 'AFRO', '0', '36', '0', '2');
INSERT INTO public.who_import VALUES (2204, '2020-05-10', 'AO', 'Angola', 'AFRO', '7', '43', '0', '2');
INSERT INTO public.who_import VALUES (2205, '2020-05-11', 'AO', 'Angola', 'AFRO', '2', '45', '0', '2');
INSERT INTO public.who_import VALUES (2206, '2020-05-12', 'AO', 'Angola', 'AFRO', '0', '45', '0', '2');
INSERT INTO public.who_import VALUES (2207, '2020-05-13', 'AO', 'Angola', 'AFRO', '0', '45', '0', '2');
INSERT INTO public.who_import VALUES (2208, '2020-05-14', 'AO', 'Angola', 'AFRO', '0', '45', '0', '2');
INSERT INTO public.who_import VALUES (2209, '2020-05-15', 'AO', 'Angola', 'AFRO', '3', '48', '0', '2');
INSERT INTO public.who_import VALUES (2210, '2020-05-16', 'AO', 'Angola', 'AFRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (2211, '2020-05-17', 'AO', 'Angola', 'AFRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (2212, '2020-05-18', 'AO', 'Angola', 'AFRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (2213, '2020-05-19', 'AO', 'Angola', 'AFRO', '2', '50', '0', '2');
INSERT INTO public.who_import VALUES (2214, '2020-05-20', 'AO', 'Angola', 'AFRO', '2', '52', '1', '3');
INSERT INTO public.who_import VALUES (2215, '2020-05-21', 'AO', 'Angola', 'AFRO', '6', '58', '0', '3');
INSERT INTO public.who_import VALUES (2216, '2020-05-22', 'AO', 'Angola', 'AFRO', '2', '60', '0', '3');
INSERT INTO public.who_import VALUES (2217, '2020-05-23', 'AO', 'Angola', 'AFRO', '0', '60', '0', '3');
INSERT INTO public.who_import VALUES (2218, '2020-05-24', 'AO', 'Angola', 'AFRO', '0', '60', '0', '3');
INSERT INTO public.who_import VALUES (2219, '2020-05-25', 'AO', 'Angola', 'AFRO', '9', '69', '1', '4');
INSERT INTO public.who_import VALUES (2220, '2020-05-26', 'AO', 'Angola', 'AFRO', '0', '69', '0', '4');
INSERT INTO public.who_import VALUES (2221, '2020-05-27', 'AO', 'Angola', 'AFRO', '2', '71', '0', '4');
INSERT INTO public.who_import VALUES (2222, '2020-05-28', 'AO', 'Angola', 'AFRO', '0', '71', '0', '4');
INSERT INTO public.who_import VALUES (2223, '2020-05-29', 'AO', 'Angola', 'AFRO', '2', '73', '0', '4');
INSERT INTO public.who_import VALUES (2224, '2020-05-30', 'AO', 'Angola', 'AFRO', '8', '81', '0', '4');
INSERT INTO public.who_import VALUES (2225, '2020-05-31', 'AO', 'Angola', 'AFRO', '3', '84', '0', '4');
INSERT INTO public.who_import VALUES (2226, '2020-06-01', 'AO', 'Angola', 'AFRO', '2', '86', '0', '4');
INSERT INTO public.who_import VALUES (2227, '2020-06-02', 'AO', 'Angola', 'AFRO', '0', '86', '0', '4');
INSERT INTO public.who_import VALUES (2228, '2020-06-03', 'AO', 'Angola', 'AFRO', '0', '86', '0', '4');
INSERT INTO public.who_import VALUES (2229, '2020-06-04', 'AO', 'Angola', 'AFRO', '0', '86', '0', '4');
INSERT INTO public.who_import VALUES (2230, '2020-06-05', 'AO', 'Angola', 'AFRO', '0', '86', '0', '4');
INSERT INTO public.who_import VALUES (2231, '2020-06-06', 'AO', 'Angola', 'AFRO', '0', '86', '0', '4');
INSERT INTO public.who_import VALUES (2232, '2020-06-07', 'AO', 'Angola', 'AFRO', '0', '86', '0', '4');
INSERT INTO public.who_import VALUES (2233, '2020-06-08', 'AO', 'Angola', 'AFRO', '5', '91', '0', '4');
INSERT INTO public.who_import VALUES (2234, '2020-06-09', 'AO', 'Angola', 'AFRO', '1', '92', '0', '4');
INSERT INTO public.who_import VALUES (2235, '2020-06-10', 'AO', 'Angola', 'AFRO', '4', '96', '0', '4');
INSERT INTO public.who_import VALUES (2236, '2020-06-11', 'AO', 'Angola', 'AFRO', '17', '113', '0', '4');
INSERT INTO public.who_import VALUES (2237, '2020-06-12', 'AO', 'Angola', 'AFRO', '5', '118', '1', '5');
INSERT INTO public.who_import VALUES (2238, '2020-06-13', 'AO', 'Angola', 'AFRO', '12', '130', '0', '5');
INSERT INTO public.who_import VALUES (2239, '2020-06-14', 'AO', 'Angola', 'AFRO', '8', '138', '1', '6');
INSERT INTO public.who_import VALUES (2240, '2020-06-15', 'AO', 'Angola', 'AFRO', '2', '140', '0', '6');
INSERT INTO public.who_import VALUES (2241, '2020-06-16', 'AO', 'Angola', 'AFRO', '2', '142', '0', '6');
INSERT INTO public.who_import VALUES (2242, '2020-06-17', 'AO', 'Angola', 'AFRO', '0', '142', '0', '6');
INSERT INTO public.who_import VALUES (2243, '2020-06-18', 'AO', 'Angola', 'AFRO', '13', '155', '1', '7');
INSERT INTO public.who_import VALUES (2244, '2020-06-19', 'AO', 'Angola', 'AFRO', '11', '166', '1', '8');
INSERT INTO public.who_import VALUES (2245, '2020-06-20', 'AO', 'Angola', 'AFRO', '0', '166', '0', '8');
INSERT INTO public.who_import VALUES (2246, '2020-06-21', 'AO', 'Angola', 'AFRO', '6', '172', '0', '8');
INSERT INTO public.who_import VALUES (2247, '2020-06-22', 'AO', 'Angola', 'AFRO', '4', '176', '1', '9');
INSERT INTO public.who_import VALUES (2248, '2020-06-23', 'AO', 'Angola', 'AFRO', '7', '183', '0', '9');
INSERT INTO public.who_import VALUES (2249, '2020-06-24', 'AO', 'Angola', 'AFRO', '6', '189', '1', '10');
INSERT INTO public.who_import VALUES (2250, '2020-06-25', 'AO', 'Angola', 'AFRO', '8', '197', '0', '10');
INSERT INTO public.who_import VALUES (2251, '2020-06-26', 'AO', 'Angola', 'AFRO', '15', '212', '0', '10');
INSERT INTO public.who_import VALUES (2252, '2020-06-27', 'AO', 'Angola', 'AFRO', '0', '212', '0', '10');
INSERT INTO public.who_import VALUES (2253, '2020-06-28', 'AO', 'Angola', 'AFRO', '47', '259', '0', '10');
INSERT INTO public.who_import VALUES (2254, '2020-06-29', 'AO', 'Angola', 'AFRO', '8', '267', '1', '11');
INSERT INTO public.who_import VALUES (2255, '2020-06-30', 'AO', 'Angola', 'AFRO', '9', '276', '0', '11');
INSERT INTO public.who_import VALUES (2256, '2020-07-01', 'AO', 'Angola', 'AFRO', '8', '284', '2', '13');
INSERT INTO public.who_import VALUES (2257, '2020-07-02', 'AO', 'Angola', 'AFRO', '7', '291', '2', '15');
INSERT INTO public.who_import VALUES (2258, '2020-07-03', 'AO', 'Angola', 'AFRO', '24', '315', '2', '17');
INSERT INTO public.who_import VALUES (2259, '2020-07-04', 'AO', 'Angola', 'AFRO', '13', '328', '1', '18');
INSERT INTO public.who_import VALUES (2260, '2020-07-05', 'AO', 'Angola', 'AFRO', '18', '346', '1', '19');
INSERT INTO public.who_import VALUES (2261, '2020-07-06', 'AO', 'Angola', 'AFRO', '7', '353', '0', '19');
INSERT INTO public.who_import VALUES (2262, '2020-07-07', 'AO', 'Angola', 'AFRO', '0', '353', '0', '19');
INSERT INTO public.who_import VALUES (2263, '2020-07-08', 'AO', 'Angola', 'AFRO', '33', '386', '2', '21');
INSERT INTO public.who_import VALUES (2264, '2020-07-09', 'AO', 'Angola', 'AFRO', '10', '396', '1', '22');
INSERT INTO public.who_import VALUES (2265, '2020-07-10', 'AO', 'Angola', 'AFRO', '62', '458', '1', '23');
INSERT INTO public.who_import VALUES (2266, '2020-07-11', 'AO', 'Angola', 'AFRO', '4', '462', '0', '23');
INSERT INTO public.who_import VALUES (2267, '2020-07-12', 'AO', 'Angola', 'AFRO', '21', '483', '2', '25');
INSERT INTO public.who_import VALUES (2268, '2020-07-13', 'AO', 'Angola', 'AFRO', '23', '506', '1', '26');
INSERT INTO public.who_import VALUES (2269, '2020-07-14', 'AO', 'Angola', 'AFRO', '19', '525', '0', '26');
INSERT INTO public.who_import VALUES (2270, '2020-07-15', 'AO', 'Angola', 'AFRO', '16', '541', '0', '26');
INSERT INTO public.who_import VALUES (2271, '2020-07-16', 'AO', 'Angola', 'AFRO', '35', '576', '1', '27');
INSERT INTO public.who_import VALUES (2272, '2020-07-17', 'AO', 'Angola', 'AFRO', '31', '607', '1', '28');
INSERT INTO public.who_import VALUES (2273, '2020-07-18', 'AO', 'Angola', 'AFRO', '31', '638', '1', '29');
INSERT INTO public.who_import VALUES (2274, '2020-07-19', 'AO', 'Angola', 'AFRO', '49', '687', '0', '29');
INSERT INTO public.who_import VALUES (2275, '2020-07-20', 'AO', 'Angola', 'AFRO', '18', '705', '0', '29');
INSERT INTO public.who_import VALUES (2276, '2020-07-21', 'AO', 'Angola', 'AFRO', '44', '749', '0', '29');
INSERT INTO public.who_import VALUES (2277, '2020-07-22', 'AO', 'Angola', 'AFRO', '30', '779', '1', '30');
INSERT INTO public.who_import VALUES (2278, '2020-07-23', 'AO', 'Angola', 'AFRO', '33', '812', '3', '33');
INSERT INTO public.who_import VALUES (2279, '2020-07-24', 'AO', 'Angola', 'AFRO', '39', '851', '0', '33');
INSERT INTO public.who_import VALUES (2280, '2020-07-25', 'AO', 'Angola', 'AFRO', '29', '880', '2', '35');
INSERT INTO public.who_import VALUES (2281, '2020-07-26', 'AO', 'Angola', 'AFRO', '36', '916', '4', '39');
INSERT INTO public.who_import VALUES (2282, '2020-07-27', 'AO', 'Angola', 'AFRO', '16', '932', '1', '40');
INSERT INTO public.who_import VALUES (2283, '2020-07-28', 'AO', 'Angola', 'AFRO', '18', '950', '1', '41');
INSERT INTO public.who_import VALUES (2284, '2020-07-29', 'AO', 'Angola', 'AFRO', '50', '1000', '6', '47');
INSERT INTO public.who_import VALUES (2285, '2020-07-30', 'AO', 'Angola', 'AFRO', '78', '1078', '1', '48');
INSERT INTO public.who_import VALUES (2286, '2020-07-31', 'AO', 'Angola', 'AFRO', '31', '1109', '3', '51');
INSERT INTO public.who_import VALUES (2287, '2020-08-01', 'AO', 'Angola', 'AFRO', '0', '1109', '0', '51');
INSERT INTO public.who_import VALUES (2288, '2020-08-02', 'AO', 'Angola', 'AFRO', '39', '1148', '1', '52');
INSERT INTO public.who_import VALUES (2289, '2020-08-03', 'AO', 'Angola', 'AFRO', '16', '1164', '2', '54');
INSERT INTO public.who_import VALUES (2290, '2020-08-04', 'AO', 'Angola', 'AFRO', '116', '1280', '4', '58');
INSERT INTO public.who_import VALUES (2291, '2020-08-05', 'AO', 'Angola', 'AFRO', '64', '1344', '1', '59');
INSERT INTO public.who_import VALUES (2292, '2020-08-06', 'AO', 'Angola', 'AFRO', '51', '1395', '3', '62');
INSERT INTO public.who_import VALUES (2293, '2020-08-07', 'AO', 'Angola', 'AFRO', '88', '1483', '2', '64');
INSERT INTO public.who_import VALUES (2294, '2020-08-08', 'AO', 'Angola', 'AFRO', '55', '1538', '3', '67');
INSERT INTO public.who_import VALUES (2295, '2020-08-09', 'AO', 'Angola', 'AFRO', '34', '1572', '3', '70');
INSERT INTO public.who_import VALUES (2296, '2020-08-10', 'AO', 'Angola', 'AFRO', '100', '1672', '5', '75');
INSERT INTO public.who_import VALUES (2297, '2020-08-11', 'AO', 'Angola', 'AFRO', '7', '1679', '3', '78');
INSERT INTO public.who_import VALUES (2298, '2020-08-12', 'AO', 'Angola', 'AFRO', '56', '1735', '2', '80');
INSERT INTO public.who_import VALUES (2299, '2020-08-13', 'AO', 'Angola', 'AFRO', '27', '1762', '0', '80');
INSERT INTO public.who_import VALUES (2300, '2020-08-14', 'AO', 'Angola', 'AFRO', '53', '1815', '3', '83');
INSERT INTO public.who_import VALUES (2301, '2020-08-15', 'AO', 'Angola', 'AFRO', '37', '1852', '3', '86');
INSERT INTO public.who_import VALUES (2302, '2020-08-16', 'AO', 'Angola', 'AFRO', '27', '1879', '0', '86');
INSERT INTO public.who_import VALUES (2303, '2020-08-17', 'AO', 'Angola', 'AFRO', '27', '1906', '2', '88');
INSERT INTO public.who_import VALUES (2304, '2020-08-18', 'AO', 'Angola', 'AFRO', '29', '1935', '0', '88');
INSERT INTO public.who_import VALUES (2305, '2020-08-19', 'AO', 'Angola', 'AFRO', '31', '1966', '2', '90');
INSERT INTO public.who_import VALUES (2306, '2020-08-20', 'AO', 'Angola', 'AFRO', '49', '2015', '2', '92');
INSERT INTO public.who_import VALUES (2307, '2020-08-21', 'AO', 'Angola', 'AFRO', '29', '2044', '1', '93');
INSERT INTO public.who_import VALUES (2308, '2020-08-22', 'AO', 'Angola', 'AFRO', '24', '2068', '1', '94');
INSERT INTO public.who_import VALUES (2309, '2020-08-23', 'AO', 'Angola', 'AFRO', '66', '2134', '0', '94');
INSERT INTO public.who_import VALUES (2310, '2020-08-24', 'AO', 'Angola', 'AFRO', '37', '2171', '2', '96');
INSERT INTO public.who_import VALUES (2311, '2020-08-25', 'AO', 'Angola', 'AFRO', '51', '2222', '4', '100');
INSERT INTO public.who_import VALUES (2312, '2020-08-26', 'AO', 'Angola', 'AFRO', '61', '2283', '2', '102');
INSERT INTO public.who_import VALUES (2313, '2020-08-27', 'AO', 'Angola', 'AFRO', '49', '2332', '1', '103');
INSERT INTO public.who_import VALUES (2314, '2020-08-28', 'AO', 'Angola', 'AFRO', '83', '2415', '2', '105');
INSERT INTO public.who_import VALUES (2315, '2020-08-29', 'AO', 'Angola', 'AFRO', '56', '2471', '1', '106');
INSERT INTO public.who_import VALUES (2316, '2020-08-30', 'AO', 'Angola', 'AFRO', '80', '2551', '1', '107');
INSERT INTO public.who_import VALUES (2317, '2020-08-31', 'AO', 'Angola', 'AFRO', '73', '2624', '0', '107');
INSERT INTO public.who_import VALUES (2318, '2020-09-01', 'AO', 'Angola', 'AFRO', '30', '2654', '1', '108');
INSERT INTO public.who_import VALUES (2319, '2020-09-02', 'AO', 'Angola', 'AFRO', '75', '2729', '1', '109');
INSERT INTO public.who_import VALUES (2320, '2020-09-03', 'AO', 'Angola', 'AFRO', '48', '2777', '3', '112');
INSERT INTO public.who_import VALUES (2321, '2020-09-04', 'AO', 'Angola', 'AFRO', '28', '2805', '1', '113');
INSERT INTO public.who_import VALUES (2322, '2020-09-05', 'AO', 'Angola', 'AFRO', '71', '2876', '2', '115');
INSERT INTO public.who_import VALUES (2323, '2020-09-06', 'AO', 'Angola', 'AFRO', '59', '2935', '2', '117');
INSERT INTO public.who_import VALUES (2324, '2020-09-07', 'AO', 'Angola', 'AFRO', '30', '2965', '0', '117');
INSERT INTO public.who_import VALUES (2325, '2020-09-08', 'AO', 'Angola', 'AFRO', '16', '2981', '3', '120');
INSERT INTO public.who_import VALUES (2326, '2020-09-09', 'AO', 'Angola', 'AFRO', '52', '3033', '4', '124');
INSERT INTO public.who_import VALUES (2327, '2020-09-10', 'AO', 'Angola', 'AFRO', '59', '3092', '2', '126');
INSERT INTO public.who_import VALUES (2328, '2020-09-11', 'AO', 'Angola', 'AFRO', '125', '3217', '4', '130');
INSERT INTO public.who_import VALUES (2329, '2020-09-12', 'AO', 'Angola', 'AFRO', '62', '3279', '1', '131');
INSERT INTO public.who_import VALUES (2330, '2020-09-13', 'AO', 'Angola', 'AFRO', '56', '3335', '1', '132');
INSERT INTO public.who_import VALUES (2331, '2020-09-14', 'AO', 'Angola', 'AFRO', '53', '3388', '2', '134');
INSERT INTO public.who_import VALUES (2332, '2020-09-15', 'AO', 'Angola', 'AFRO', '51', '3439', '0', '134');
INSERT INTO public.who_import VALUES (2333, '2020-09-16', 'AO', 'Angola', 'AFRO', '130', '3569', '5', '139');
INSERT INTO public.who_import VALUES (2334, '2020-09-17', 'AO', 'Angola', 'AFRO', '106', '3675', '4', '143');
INSERT INTO public.who_import VALUES (2335, '2020-09-18', 'AO', 'Angola', 'AFRO', '114', '3789', '1', '144');
INSERT INTO public.who_import VALUES (2336, '2020-09-19', 'AO', 'Angola', 'AFRO', '59', '3848', '3', '147');
INSERT INTO public.who_import VALUES (2337, '2020-09-20', 'AO', 'Angola', 'AFRO', '53', '3901', '0', '147');
INSERT INTO public.who_import VALUES (2338, '2020-09-21', 'AO', 'Angola', 'AFRO', '90', '3991', '5', '152');
INSERT INTO public.who_import VALUES (2339, '2020-09-22', 'AO', 'Angola', 'AFRO', '0', '3991', '0', '152');
INSERT INTO public.who_import VALUES (2340, '2020-09-23', 'AO', 'Angola', 'AFRO', '245', '4236', '3', '155');
INSERT INTO public.who_import VALUES (2341, '2020-09-24', 'AO', 'Angola', 'AFRO', '127', '4363', '4', '159');
INSERT INTO public.who_import VALUES (2342, '2020-09-25', 'AO', 'Angola', 'AFRO', '112', '4475', '3', '162');
INSERT INTO public.who_import VALUES (2343, '2020-09-26', 'AO', 'Angola', 'AFRO', '115', '4590', '5', '167');
INSERT INTO public.who_import VALUES (2344, '2020-09-27', 'AO', 'Angola', 'AFRO', '82', '4672', '4', '171');
INSERT INTO public.who_import VALUES (2345, '2020-09-28', 'AO', 'Angola', 'AFRO', '46', '4718', '3', '174');
INSERT INTO public.who_import VALUES (2346, '2020-09-29', 'AO', 'Angola', 'AFRO', '79', '4797', '2', '176');
INSERT INTO public.who_import VALUES (2347, '2020-09-30', 'AO', 'Angola', 'AFRO', '108', '4905', '3', '179');
INSERT INTO public.who_import VALUES (2348, '2020-10-01', 'AO', 'Angola', 'AFRO', '67', '4972', '4', '183');
INSERT INTO public.who_import VALUES (2349, '2020-10-02', 'AO', 'Angola', 'AFRO', '142', '5114', '2', '185');
INSERT INTO public.who_import VALUES (2350, '2020-10-03', 'AO', 'Angola', 'AFRO', '97', '5211', '4', '189');
INSERT INTO public.who_import VALUES (2574, '2020-03-26', 'AI', 'Anguilla', 'AMRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (2351, '2020-10-04', 'AO', 'Angola', 'AFRO', '159', '5370', '0', '189');
INSERT INTO public.who_import VALUES (2352, '2020-10-05', 'AO', 'Angola', 'AFRO', '0', '5370', '-4', '185');
INSERT INTO public.who_import VALUES (2353, '2020-10-06', 'AO', 'Angola', 'AFRO', '160', '5530', '7', '192');
INSERT INTO public.who_import VALUES (2354, '2020-10-07', 'AO', 'Angola', 'AFRO', '0', '5530', '0', '192');
INSERT INTO public.who_import VALUES (2355, '2020-10-08', 'AO', 'Angola', 'AFRO', '333', '5863', '14', '206');
INSERT INTO public.who_import VALUES (2356, '2020-10-09', 'AO', 'Angola', 'AFRO', '95', '5958', '2', '208');
INSERT INTO public.who_import VALUES (2357, '2020-10-10', 'AO', 'Angola', 'AFRO', '73', '6031', '4', '212');
INSERT INTO public.who_import VALUES (2358, '2020-10-11', 'AO', 'Angola', 'AFRO', '215', '6246', '6', '218');
INSERT INTO public.who_import VALUES (2359, '2020-10-12', 'AO', 'Angola', 'AFRO', '120', '6366', '0', '218');
INSERT INTO public.who_import VALUES (2360, '2020-10-13', 'AO', 'Angola', 'AFRO', '122', '6488', '1', '219');
INSERT INTO public.who_import VALUES (2361, '2020-10-14', 'AO', 'Angola', 'AFRO', '192', '6680', '3', '222');
INSERT INTO public.who_import VALUES (2362, '2020-10-15', 'AO', 'Angola', 'AFRO', '166', '6846', '5', '227');
INSERT INTO public.who_import VALUES (2363, '2020-10-16', 'AO', 'Angola', 'AFRO', '250', '7096', '1', '228');
INSERT INTO public.who_import VALUES (2364, '2020-10-17', 'AO', 'Angola', 'AFRO', '126', '7222', '6', '234');
INSERT INTO public.who_import VALUES (2365, '2020-10-18', 'AO', 'Angola', 'AFRO', '240', '7462', '7', '241');
INSERT INTO public.who_import VALUES (2366, '2020-10-19', 'AO', 'Angola', 'AFRO', '160', '7622', '6', '247');
INSERT INTO public.who_import VALUES (2367, '2020-10-20', 'AO', 'Angola', 'AFRO', '207', '7829', '1', '248');
INSERT INTO public.who_import VALUES (2368, '2020-10-21', 'AO', 'Angola', 'AFRO', '220', '8049', '3', '251');
INSERT INTO public.who_import VALUES (2369, '2020-10-22', 'AO', 'Angola', 'AFRO', '289', '8338', '4', '255');
INSERT INTO public.who_import VALUES (2370, '2020-10-23', 'AO', 'Angola', 'AFRO', '244', '8582', '5', '260');
INSERT INTO public.who_import VALUES (2371, '2020-10-24', 'AO', 'Angola', 'AFRO', '247', '8829', '5', '265');
INSERT INTO public.who_import VALUES (2372, '2020-10-25', 'AO', 'Angola', 'AFRO', '197', '9026', '2', '267');
INSERT INTO public.who_import VALUES (2373, '2020-10-26', 'AO', 'Angola', 'AFRO', '355', '9381', '1', '268');
INSERT INTO public.who_import VALUES (2374, '2020-10-27', 'AO', 'Angola', 'AFRO', '263', '9644', '2', '270');
INSERT INTO public.who_import VALUES (2375, '2020-10-28', 'AO', 'Angola', 'AFRO', '227', '9871', '1', '271');
INSERT INTO public.who_import VALUES (2376, '2020-10-29', 'AO', 'Angola', 'AFRO', '203', '10074', '4', '275');
INSERT INTO public.who_import VALUES (2377, '2020-10-30', 'AO', 'Angola', 'AFRO', '195', '10269', '0', '275');
INSERT INTO public.who_import VALUES (2378, '2020-10-31', 'AO', 'Angola', 'AFRO', '289', '10558', '4', '279');
INSERT INTO public.who_import VALUES (2379, '2020-11-01', 'AO', 'Angola', 'AFRO', '247', '10805', '5', '284');
INSERT INTO public.who_import VALUES (2380, '2020-11-02', 'AO', 'Angola', 'AFRO', '230', '11035', '2', '286');
INSERT INTO public.who_import VALUES (2381, '2020-11-03', 'AO', 'Angola', 'AFRO', '193', '11228', '3', '289');
INSERT INTO public.who_import VALUES (2382, '2020-11-04', 'AO', 'Angola', 'AFRO', '349', '11577', '2', '291');
INSERT INTO public.who_import VALUES (2383, '2020-11-05', 'AO', 'Angola', 'AFRO', '236', '11813', '5', '296');
INSERT INTO public.who_import VALUES (2384, '2020-11-06', 'AO', 'Angola', 'AFRO', '289', '12102', '3', '299');
INSERT INTO public.who_import VALUES (2385, '2020-11-07', 'AO', 'Angola', 'AFRO', '121', '12223', '1', '300');
INSERT INTO public.who_import VALUES (2386, '2020-11-08', 'AO', 'Angola', 'AFRO', '112', '12335', '3', '303');
INSERT INTO public.who_import VALUES (2387, '2020-11-09', 'AO', 'Angola', 'AFRO', '98', '12433', '4', '307');
INSERT INTO public.who_import VALUES (2388, '2020-11-10', 'AO', 'Angola', 'AFRO', '247', '12680', '1', '308');
INSERT INTO public.who_import VALUES (2389, '2020-11-11', 'AO', 'Angola', 'AFRO', '136', '12816', '0', '308');
INSERT INTO public.who_import VALUES (2390, '2020-11-12', 'AO', 'Angola', 'AFRO', '137', '12953', '4', '312');
INSERT INTO public.who_import VALUES (2391, '2020-11-13', 'AO', 'Angola', 'AFRO', '104', '13057', '3', '315');
INSERT INTO public.who_import VALUES (2392, '2020-11-14', 'AO', 'Angola', 'AFRO', '171', '13228', '2', '317');
INSERT INTO public.who_import VALUES (2393, '2020-11-15', 'AO', 'Angola', 'AFRO', '146', '13374', '5', '322');
INSERT INTO public.who_import VALUES (2394, '2020-11-16', 'AO', 'Angola', 'AFRO', '77', '13451', '0', '322');
INSERT INTO public.who_import VALUES (2395, '2020-11-17', 'AO', 'Angola', 'AFRO', '164', '13615', '2', '324');
INSERT INTO public.who_import VALUES (2396, '2020-11-18', 'AO', 'Angola', 'AFRO', '203', '13818', '4', '328');
INSERT INTO public.who_import VALUES (2397, '2020-11-19', 'AO', 'Angola', 'AFRO', '104', '13922', '4', '332');
INSERT INTO public.who_import VALUES (2398, '2020-11-20', 'AO', 'Angola', 'AFRO', '212', '14134', '1', '333');
INSERT INTO public.who_import VALUES (2399, '2020-11-21', 'AO', 'Angola', 'AFRO', '133', '14267', '1', '334');
INSERT INTO public.who_import VALUES (2400, '2020-11-22', 'AO', 'Angola', 'AFRO', '146', '14413', '2', '336');
INSERT INTO public.who_import VALUES (2401, '2020-11-23', 'AO', 'Angola', 'AFRO', '80', '14493', '1', '337');
INSERT INTO public.who_import VALUES (2402, '2020-11-24', 'AO', 'Angola', 'AFRO', '141', '14634', '0', '337');
INSERT INTO public.who_import VALUES (2403, '2020-11-25', 'AO', 'Angola', 'AFRO', '108', '14742', '1', '338');
INSERT INTO public.who_import VALUES (2404, '2020-11-26', 'AO', 'Angola', 'AFRO', '79', '14821', '2', '340');
INSERT INTO public.who_import VALUES (2405, '2020-11-27', 'AO', 'Angola', 'AFRO', '99', '14920', '1', '341');
INSERT INTO public.who_import VALUES (2406, '2020-11-28', 'AO', 'Angola', 'AFRO', '88', '15008', '1', '342');
INSERT INTO public.who_import VALUES (2407, '2020-11-29', 'AO', 'Angola', 'AFRO', '79', '15087', '3', '345');
INSERT INTO public.who_import VALUES (2408, '2020-11-30', 'AO', 'Angola', 'AFRO', '16', '15103', '1', '346');
INSERT INTO public.who_import VALUES (2409, '2020-12-01', 'AO', 'Angola', 'AFRO', '36', '15139', '2', '348');
INSERT INTO public.who_import VALUES (2410, '2020-12-02', 'AO', 'Angola', 'AFRO', '112', '15251', '2', '350');
INSERT INTO public.who_import VALUES (2411, '2020-12-03', 'AO', 'Angola', 'AFRO', '68', '15319', '1', '351');
INSERT INTO public.who_import VALUES (2412, '2020-12-04', 'AO', 'Angola', 'AFRO', '42', '15361', '1', '352');
INSERT INTO public.who_import VALUES (2413, '2020-12-05', 'AO', 'Angola', 'AFRO', '132', '15493', '1', '353');
INSERT INTO public.who_import VALUES (2414, '2020-12-06', 'AO', 'Angola', 'AFRO', '43', '15536', '1', '354');
INSERT INTO public.who_import VALUES (2415, '2020-12-07', 'AO', 'Angola', 'AFRO', '0', '15536', '0', '354');
INSERT INTO public.who_import VALUES (2416, '2020-12-08', 'AO', 'Angola', 'AFRO', '112', '15648', '0', '354');
INSERT INTO public.who_import VALUES (2417, '2020-12-09', 'AO', 'Angola', 'AFRO', '81', '15729', '1', '355');
INSERT INTO public.who_import VALUES (2418, '2020-12-10', 'AO', 'Angola', 'AFRO', '75', '15804', '3', '358');
INSERT INTO public.who_import VALUES (2419, '2020-12-11', 'AO', 'Angola', 'AFRO', '121', '15925', '4', '362');
INSERT INTO public.who_import VALUES (2420, '2020-12-12', 'AO', 'Angola', 'AFRO', '136', '16061', '3', '365');
INSERT INTO public.who_import VALUES (2421, '2020-12-13', 'AO', 'Angola', 'AFRO', '100', '16161', '1', '366');
INSERT INTO public.who_import VALUES (2422, '2020-12-14', 'AO', 'Angola', 'AFRO', '27', '16188', '5', '371');
INSERT INTO public.who_import VALUES (2423, '2020-12-15', 'AO', 'Angola', 'AFRO', '89', '16277', '1', '372');
INSERT INTO public.who_import VALUES (2424, '2020-12-16', 'AO', 'Angola', 'AFRO', '85', '16362', '0', '372');
INSERT INTO public.who_import VALUES (2425, '2020-12-17', 'AO', 'Angola', 'AFRO', '45', '16407', '7', '379');
INSERT INTO public.who_import VALUES (2426, '2020-12-18', 'AO', 'Angola', 'AFRO', '77', '16484', '3', '382');
INSERT INTO public.who_import VALUES (2427, '2020-12-19', 'AO', 'Angola', 'AFRO', '78', '16562', '2', '384');
INSERT INTO public.who_import VALUES (2428, '2020-12-20', 'AO', 'Angola', 'AFRO', '64', '16626', '2', '386');
INSERT INTO public.who_import VALUES (2429, '2020-12-21', 'AO', 'Angola', 'AFRO', '18', '16644', '1', '387');
INSERT INTO public.who_import VALUES (2430, '2020-12-22', 'AO', 'Angola', 'AFRO', '42', '16686', '3', '390');
INSERT INTO public.who_import VALUES (2431, '2020-12-23', 'AO', 'Angola', 'AFRO', '116', '16802', '3', '393');
INSERT INTO public.who_import VALUES (2432, '2020-12-24', 'AO', 'Angola', 'AFRO', '129', '16931', '1', '394');
INSERT INTO public.who_import VALUES (2433, '2020-12-25', 'AO', 'Angola', 'AFRO', '98', '17029', '1', '395');
INSERT INTO public.who_import VALUES (2434, '2020-12-26', 'AO', 'Angola', 'AFRO', '70', '17099', '1', '396');
INSERT INTO public.who_import VALUES (2435, '2020-12-27', 'AO', 'Angola', 'AFRO', '50', '17149', '3', '399');
INSERT INTO public.who_import VALUES (2436, '2020-12-28', 'AO', 'Angola', 'AFRO', '91', '17240', '0', '399');
INSERT INTO public.who_import VALUES (2437, '2020-12-29', 'AO', 'Angola', 'AFRO', '0', '17240', '0', '399');
INSERT INTO public.who_import VALUES (2438, '2020-12-30', 'AO', 'Angola', 'AFRO', '131', '17371', '0', '399');
INSERT INTO public.who_import VALUES (2439, '2020-12-31', 'AO', 'Angola', 'AFRO', '0', '17371', '0', '399');
INSERT INTO public.who_import VALUES (2440, '2021-01-01', 'AO', 'Angola', 'AFRO', '182', '17553', '6', '405');
INSERT INTO public.who_import VALUES (2441, '2021-01-02', 'AO', 'Angola', 'AFRO', '0', '17553', '0', '405');
INSERT INTO public.who_import VALUES (2442, '2021-01-03', 'AO', 'Angola', 'AFRO', '55', '17608', '2', '407');
INSERT INTO public.who_import VALUES (2443, '2021-01-04', 'AO', 'Angola', 'AFRO', '34', '17642', '1', '408');
INSERT INTO public.who_import VALUES (2444, '2021-01-05', 'AO', 'Angola', 'AFRO', '42', '17684', '0', '408');
INSERT INTO public.who_import VALUES (2445, '2021-01-06', 'AO', 'Angola', 'AFRO', '0', '17684', '0', '408');
INSERT INTO public.who_import VALUES (2446, '2021-01-07', 'AO', 'Angola', 'AFRO', '180', '17864', '5', '413');
INSERT INTO public.who_import VALUES (2447, '2021-01-08', 'AO', 'Angola', 'AFRO', '110', '17974', '0', '413');
INSERT INTO public.who_import VALUES (2448, '2021-01-09', 'AO', 'Angola', 'AFRO', '92', '18066', '2', '415');
INSERT INTO public.who_import VALUES (2449, '2021-01-10', 'AO', 'Angola', 'AFRO', '90', '18156', '1', '416');
INSERT INTO public.who_import VALUES (2450, '2021-01-11', 'AO', 'Angola', 'AFRO', '37', '18193', '0', '416');
INSERT INTO public.who_import VALUES (2451, '2021-01-12', 'AO', 'Angola', 'AFRO', '61', '18254', '4', '420');
INSERT INTO public.who_import VALUES (2452, '2021-01-13', 'AO', 'Angola', 'AFRO', '89', '18343', '2', '422');
INSERT INTO public.who_import VALUES (2453, '2021-01-14', 'AO', 'Angola', 'AFRO', '82', '18425', '2', '424');
INSERT INTO public.who_import VALUES (2454, '2021-01-15', 'AO', 'Angola', 'AFRO', '188', '18613', '1', '425');
INSERT INTO public.who_import VALUES (2455, '2021-01-16', 'AO', 'Angola', 'AFRO', '0', '18613', '0', '425');
INSERT INTO public.who_import VALUES (2456, '2021-01-17', 'AO', 'Angola', 'AFRO', '152', '18765', '6', '431');
INSERT INTO public.who_import VALUES (2457, '2021-01-18', 'AO', 'Angola', 'AFRO', '110', '18875', '5', '436');
INSERT INTO public.who_import VALUES (2458, '2021-01-19', 'AO', 'Angola', 'AFRO', '51', '18926', '3', '439');
INSERT INTO public.who_import VALUES (2459, '2021-01-20', 'AO', 'Angola', 'AFRO', '85', '19011', '3', '442');
INSERT INTO public.who_import VALUES (2460, '2021-01-21', 'AO', 'Angola', 'AFRO', '82', '19093', '2', '444');
INSERT INTO public.who_import VALUES (2461, '2021-01-22', 'AO', 'Angola', 'AFRO', '84', '19177', '4', '448');
INSERT INTO public.who_import VALUES (2462, '2021-01-23', 'AO', 'Angola', 'AFRO', '92', '19269', '4', '452');
INSERT INTO public.who_import VALUES (2463, '2021-01-24', 'AO', 'Angola', 'AFRO', '98', '19367', '5', '457');
INSERT INTO public.who_import VALUES (2464, '2021-01-25', 'AO', 'Angola', 'AFRO', '32', '19399', '2', '459');
INSERT INTO public.who_import VALUES (2465, '2021-01-26', 'AO', 'Angola', 'AFRO', '77', '19476', '2', '461');
INSERT INTO public.who_import VALUES (2466, '2021-01-27', 'AO', 'Angola', 'AFRO', '77', '19553', '1', '462');
INSERT INTO public.who_import VALUES (2467, '2021-01-28', 'AO', 'Angola', 'AFRO', '27', '19580', '0', '462');
INSERT INTO public.who_import VALUES (2468, '2021-01-29', 'AO', 'Angola', 'AFRO', '92', '19672', '2', '464');
INSERT INTO public.who_import VALUES (2469, '2021-01-30', 'AO', 'Angola', 'AFRO', '51', '19723', '0', '464');
INSERT INTO public.who_import VALUES (2470, '2021-01-31', 'AO', 'Angola', 'AFRO', '59', '19782', '0', '464');
INSERT INTO public.who_import VALUES (2471, '2021-02-01', 'AO', 'Angola', 'AFRO', '14', '19796', '2', '466');
INSERT INTO public.who_import VALUES (2472, '2021-02-02', 'AO', 'Angola', 'AFRO', '33', '19829', '0', '466');
INSERT INTO public.who_import VALUES (2473, '2021-02-03', 'AO', 'Angola', 'AFRO', '71', '19900', '2', '468');
INSERT INTO public.who_import VALUES (2474, '2021-02-04', 'AO', 'Angola', 'AFRO', '37', '19937', '2', '470');
INSERT INTO public.who_import VALUES (2475, '2021-02-05', 'AO', 'Angola', 'AFRO', '59', '19996', '3', '473');
INSERT INTO public.who_import VALUES (2476, '2021-02-06', 'AO', 'Angola', 'AFRO', '34', '20030', '1', '474');
INSERT INTO public.who_import VALUES (2477, '2021-02-07', 'AO', 'Angola', 'AFRO', '32', '20062', '1', '475');
INSERT INTO public.who_import VALUES (2478, '2021-02-08', 'AO', 'Angola', 'AFRO', '24', '20086', '0', '475');
INSERT INTO public.who_import VALUES (2479, '2021-02-09', 'AO', 'Angola', 'AFRO', '26', '20112', '0', '475');
INSERT INTO public.who_import VALUES (2480, '2021-02-10', 'AO', 'Angola', 'AFRO', '51', '20163', '3', '478');
INSERT INTO public.who_import VALUES (2481, '2021-02-11', 'AO', 'Angola', 'AFRO', '47', '20210', '9', '487');
INSERT INTO public.who_import VALUES (2482, '2021-02-12', 'AO', 'Angola', 'AFRO', '51', '20261', '0', '487');
INSERT INTO public.who_import VALUES (2483, '2021-02-13', 'AO', 'Angola', 'AFRO', '33', '20294', '3', '490');
INSERT INTO public.who_import VALUES (2484, '2021-02-14', 'AO', 'Angola', 'AFRO', '35', '20329', '1', '491');
INSERT INTO public.who_import VALUES (2485, '2021-02-15', 'AO', 'Angola', 'AFRO', '37', '20366', '1', '492');
INSERT INTO public.who_import VALUES (2486, '2021-02-16', 'AO', 'Angola', 'AFRO', '15', '20381', '1', '493');
INSERT INTO public.who_import VALUES (2487, '2021-02-17', 'AO', 'Angola', 'AFRO', '8', '20389', '1', '494');
INSERT INTO public.who_import VALUES (2488, '2021-02-18', 'AO', 'Angola', 'AFRO', '11', '20400', '0', '494');
INSERT INTO public.who_import VALUES (2489, '2021-02-19', 'AO', 'Angola', 'AFRO', '52', '20452', '4', '498');
INSERT INTO public.who_import VALUES (2490, '2021-02-20', 'AO', 'Angola', 'AFRO', '26', '20478', '0', '498');
INSERT INTO public.who_import VALUES (2491, '2020-01-03', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2492, '2020-01-04', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2493, '2020-01-05', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2494, '2020-01-06', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2495, '2020-01-07', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2496, '2020-01-08', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2497, '2020-01-09', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2498, '2020-01-10', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2499, '2020-01-11', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2500, '2020-01-12', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2501, '2020-01-13', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2502, '2020-01-14', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2503, '2020-01-15', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2504, '2020-01-16', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2505, '2020-01-17', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2506, '2020-01-18', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2507, '2020-01-19', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2508, '2020-01-20', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2509, '2020-01-21', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2510, '2020-01-22', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2511, '2020-01-23', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2512, '2020-01-24', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2513, '2020-01-25', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2514, '2020-01-26', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2515, '2020-01-27', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2516, '2020-01-28', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2517, '2020-01-29', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2518, '2020-01-30', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2519, '2020-01-31', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2520, '2020-02-01', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2521, '2020-02-02', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2522, '2020-02-03', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2523, '2020-02-04', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2524, '2020-02-05', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2525, '2020-02-06', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2526, '2020-02-07', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2527, '2020-02-08', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2528, '2020-02-09', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2529, '2020-02-10', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2530, '2020-02-11', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2531, '2020-02-12', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2532, '2020-02-13', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2533, '2020-02-14', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2534, '2020-02-15', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2535, '2020-02-16', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2536, '2020-02-17', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2537, '2020-02-18', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2538, '2020-02-19', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2539, '2020-02-20', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2540, '2020-02-21', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2541, '2020-02-22', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2542, '2020-02-23', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2543, '2020-02-24', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2544, '2020-02-25', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2545, '2020-02-26', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2546, '2020-02-27', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2547, '2020-02-28', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2548, '2020-02-29', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2549, '2020-03-01', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2550, '2020-03-02', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2551, '2020-03-03', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2552, '2020-03-04', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2553, '2020-03-05', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2554, '2020-03-06', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2555, '2020-03-07', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2556, '2020-03-08', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2557, '2020-03-09', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2558, '2020-03-10', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2559, '2020-03-11', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2560, '2020-03-12', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2561, '2020-03-13', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2562, '2020-03-14', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2563, '2020-03-15', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2564, '2020-03-16', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2565, '2020-03-17', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2566, '2020-03-18', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2567, '2020-03-19', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2568, '2020-03-20', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2569, '2020-03-21', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2570, '2020-03-22', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2571, '2020-03-23', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2572, '2020-03-24', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2573, '2020-03-25', 'AI', 'Anguilla', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2575, '2020-03-27', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2576, '2020-03-28', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2577, '2020-03-29', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2578, '2020-03-30', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2579, '2020-03-31', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2580, '2020-04-01', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2581, '2020-04-02', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2582, '2020-04-03', 'AI', 'Anguilla', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (2583, '2020-04-04', 'AI', 'Anguilla', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (2584, '2020-04-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2585, '2020-04-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2586, '2020-04-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2587, '2020-04-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2588, '2020-04-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2589, '2020-04-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2590, '2020-04-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2591, '2020-04-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2592, '2020-04-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2593, '2020-04-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2594, '2020-04-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2595, '2020-04-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2596, '2020-04-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2597, '2020-04-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2598, '2020-04-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2599, '2020-04-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2600, '2020-04-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2601, '2020-04-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2602, '2020-04-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2603, '2020-04-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2604, '2020-04-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2605, '2020-04-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2606, '2020-04-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2607, '2020-04-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2608, '2020-04-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2609, '2020-04-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2610, '2020-05-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2611, '2020-05-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2612, '2020-05-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2613, '2020-05-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2614, '2020-05-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2615, '2020-05-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2616, '2020-05-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2617, '2020-05-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2618, '2020-05-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2619, '2020-05-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2620, '2020-05-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2621, '2020-05-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2622, '2020-05-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2623, '2020-05-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2624, '2020-05-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2625, '2020-05-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2626, '2020-05-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2627, '2020-05-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2628, '2020-05-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2629, '2020-05-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2630, '2020-05-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2631, '2020-05-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2632, '2020-05-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2633, '2020-05-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2634, '2020-05-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2635, '2020-05-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2636, '2020-05-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2637, '2020-05-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2638, '2020-05-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2639, '2020-05-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2640, '2020-05-31', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2641, '2020-06-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2642, '2020-06-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2643, '2020-06-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2644, '2020-06-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2645, '2020-06-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2646, '2020-06-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2647, '2020-06-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2648, '2020-06-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2649, '2020-06-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2650, '2020-06-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2651, '2020-06-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2652, '2020-06-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2653, '2020-06-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2654, '2020-06-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2655, '2020-06-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2656, '2020-06-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2657, '2020-06-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2658, '2020-06-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2659, '2020-06-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2660, '2020-06-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2661, '2020-06-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2662, '2020-06-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2663, '2020-06-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2664, '2020-06-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2665, '2020-06-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2666, '2020-06-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2667, '2020-06-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2668, '2020-06-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2669, '2020-06-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2670, '2020-06-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2671, '2020-07-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2672, '2020-07-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2673, '2020-07-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2674, '2020-07-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2675, '2020-07-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2676, '2020-07-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2677, '2020-07-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2678, '2020-07-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2679, '2020-07-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2680, '2020-07-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2681, '2020-07-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2682, '2020-07-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2683, '2020-07-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2684, '2020-07-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2685, '2020-07-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2686, '2020-07-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2687, '2020-07-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2688, '2020-07-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2689, '2020-07-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2690, '2020-07-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2691, '2020-07-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2692, '2020-07-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2693, '2020-07-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2694, '2020-07-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2695, '2020-07-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2696, '2020-07-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2697, '2020-07-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2698, '2020-07-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2699, '2020-07-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2700, '2020-07-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2701, '2020-07-31', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2702, '2020-08-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2703, '2020-08-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2704, '2020-08-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2705, '2020-08-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2706, '2020-08-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2707, '2020-08-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2708, '2020-08-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2709, '2020-08-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2710, '2020-08-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2711, '2020-08-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2712, '2020-08-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2713, '2020-08-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2714, '2020-08-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2715, '2020-08-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2716, '2020-08-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2717, '2020-08-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2718, '2020-08-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2719, '2020-08-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2720, '2020-08-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2721, '2020-08-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2722, '2020-08-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2723, '2020-08-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2724, '2020-08-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2725, '2020-08-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2726, '2020-08-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2727, '2020-08-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2728, '2020-08-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2729, '2020-08-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2730, '2020-08-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2731, '2020-08-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2732, '2020-08-31', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2733, '2020-09-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2734, '2020-09-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2735, '2020-09-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2736, '2020-09-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2737, '2020-09-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2738, '2020-09-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2739, '2020-09-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2740, '2020-09-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2741, '2020-09-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2742, '2020-09-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2743, '2020-09-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2744, '2020-09-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2745, '2020-09-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2746, '2020-09-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2747, '2020-09-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2748, '2020-09-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2749, '2020-09-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2750, '2020-09-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2751, '2020-09-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2752, '2020-09-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2753, '2020-09-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2754, '2020-09-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2755, '2020-09-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2756, '2020-09-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2757, '2020-09-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2758, '2020-09-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2759, '2020-09-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2760, '2020-09-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2761, '2020-09-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2762, '2020-09-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2763, '2020-10-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2764, '2020-10-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2765, '2020-10-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2766, '2020-10-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2767, '2020-10-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2768, '2020-10-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2769, '2020-10-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2770, '2020-10-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2771, '2020-10-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2772, '2020-10-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2773, '2020-10-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2774, '2020-10-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2775, '2020-10-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2776, '2020-10-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2777, '2020-10-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2778, '2020-10-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2779, '2020-10-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2780, '2020-10-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2781, '2020-10-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2782, '2020-10-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2783, '2020-10-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2784, '2020-10-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2785, '2020-10-23', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2786, '2020-10-24', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2787, '2020-10-25', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2788, '2020-10-26', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2789, '2020-10-27', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2790, '2020-10-28', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2791, '2020-10-29', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2792, '2020-10-30', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2793, '2020-10-31', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2794, '2020-11-01', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2795, '2020-11-02', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2796, '2020-11-03', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2797, '2020-11-04', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2798, '2020-11-05', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2799, '2020-11-06', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2800, '2020-11-07', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2801, '2020-11-08', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2802, '2020-11-09', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2803, '2020-11-10', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2804, '2020-11-11', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2805, '2020-11-12', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2806, '2020-11-13', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2807, '2020-11-14', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2808, '2020-11-15', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2809, '2020-11-16', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2810, '2020-11-17', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2811, '2020-11-18', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2812, '2020-11-19', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2813, '2020-11-20', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2814, '2020-11-21', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2815, '2020-11-22', 'AI', 'Anguilla', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2816, '2020-11-23', 'AI', 'Anguilla', 'AMRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (2817, '2020-11-24', 'AI', 'Anguilla', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (2818, '2020-11-25', 'AI', 'Anguilla', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (2819, '2020-11-26', 'AI', 'Anguilla', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (2820, '2020-11-27', 'AI', 'Anguilla', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (2821, '2020-11-28', 'AI', 'Anguilla', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (2822, '2020-11-29', 'AI', 'Anguilla', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (2823, '2020-11-30', 'AI', 'Anguilla', 'AMRO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (2824, '2020-12-01', 'AI', 'Anguilla', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (2825, '2020-12-02', 'AI', 'Anguilla', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (2826, '2020-12-03', 'AI', 'Anguilla', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (2827, '2020-12-04', 'AI', 'Anguilla', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (2828, '2020-12-05', 'AI', 'Anguilla', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (2829, '2020-12-06', 'AI', 'Anguilla', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2830, '2020-12-07', 'AI', 'Anguilla', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2831, '2020-12-08', 'AI', 'Anguilla', 'AMRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (2832, '2020-12-09', 'AI', 'Anguilla', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (2833, '2020-12-10', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2834, '2020-12-11', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2835, '2020-12-12', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2836, '2020-12-13', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2837, '2020-12-14', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2838, '2020-12-15', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2839, '2020-12-16', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2840, '2020-12-17', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2841, '2020-12-18', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2842, '2020-12-19', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2843, '2020-12-20', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2844, '2020-12-21', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2845, '2020-12-22', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2846, '2020-12-23', 'AI', 'Anguilla', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (2847, '2020-12-24', 'AI', 'Anguilla', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (2848, '2020-12-25', 'AI', 'Anguilla', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (2849, '2020-12-26', 'AI', 'Anguilla', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (2850, '2020-12-27', 'AI', 'Anguilla', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (2851, '2020-12-28', 'AI', 'Anguilla', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (2852, '2020-12-29', 'AI', 'Anguilla', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (2853, '2020-12-30', 'AI', 'Anguilla', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (2854, '2020-12-31', 'AI', 'Anguilla', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (2855, '2021-01-01', 'AI', 'Anguilla', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (2856, '2021-01-02', 'AI', 'Anguilla', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (2857, '2021-01-03', 'AI', 'Anguilla', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (2858, '2021-01-04', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2859, '2021-01-05', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2860, '2021-01-06', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2861, '2021-01-07', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2862, '2021-01-08', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2863, '2021-01-09', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2864, '2021-01-10', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2865, '2021-01-11', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2866, '2021-01-12', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2867, '2021-01-13', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2868, '2021-01-14', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2869, '2021-01-15', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2870, '2021-01-16', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2871, '2021-01-17', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2872, '2021-01-18', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2873, '2021-01-19', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2874, '2021-01-20', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2875, '2021-01-21', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2876, '2021-01-22', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2877, '2021-01-23', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2878, '2021-01-24', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2879, '2021-01-25', 'AI', 'Anguilla', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (2880, '2021-01-26', 'AI', 'Anguilla', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (2881, '2021-01-27', 'AI', 'Anguilla', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (2882, '2021-01-28', 'AI', 'Anguilla', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (2883, '2021-01-29', 'AI', 'Anguilla', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (2884, '2021-01-30', 'AI', 'Anguilla', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (2885, '2021-01-31', 'AI', 'Anguilla', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (2886, '2021-02-01', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2887, '2021-02-02', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2888, '2021-02-03', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2889, '2021-02-04', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2890, '2021-02-05', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2891, '2021-02-06', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2892, '2021-02-07', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2893, '2021-02-08', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2894, '2021-02-09', 'AI', 'Anguilla', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (2895, '2021-02-10', 'AI', 'Anguilla', 'AMRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (2896, '2021-02-11', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2897, '2021-02-12', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2898, '2021-02-13', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2899, '2021-02-14', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2900, '2021-02-15', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2901, '2021-02-16', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2902, '2021-02-17', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2903, '2021-02-18', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2904, '2021-02-19', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2905, '2021-02-20', 'AI', 'Anguilla', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (2906, '2020-01-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2907, '2020-01-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2908, '2020-01-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2909, '2020-01-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2910, '2020-01-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2911, '2020-01-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2912, '2020-01-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2913, '2020-01-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2914, '2020-01-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2915, '2020-01-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2916, '2020-01-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2917, '2020-01-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2918, '2020-01-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2919, '2020-01-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2920, '2020-01-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2921, '2020-01-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2922, '2020-01-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2923, '2020-01-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2924, '2020-01-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2925, '2020-01-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2926, '2020-01-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2927, '2020-01-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2928, '2020-01-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2929, '2020-01-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2930, '2020-01-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2931, '2020-01-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2932, '2020-01-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2933, '2020-01-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2934, '2020-01-31', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2935, '2020-02-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2936, '2020-02-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2937, '2020-02-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2938, '2020-02-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2939, '2020-02-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2940, '2020-02-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2941, '2020-02-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2942, '2020-02-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2943, '2020-02-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2944, '2020-02-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2945, '2020-02-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2946, '2020-02-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2947, '2020-02-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2948, '2020-02-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2949, '2020-02-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2950, '2020-02-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2951, '2020-02-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2952, '2020-02-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2953, '2020-02-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2954, '2020-02-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2955, '2020-02-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2956, '2020-02-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2957, '2020-02-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2958, '2020-02-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2959, '2020-02-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2960, '2020-02-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2961, '2020-02-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2962, '2020-02-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2963, '2020-02-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2964, '2020-03-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2965, '2020-03-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2966, '2020-03-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2967, '2020-03-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2968, '2020-03-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2969, '2020-03-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2970, '2020-03-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2971, '2020-03-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2972, '2020-03-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2973, '2020-03-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2974, '2020-03-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2975, '2020-03-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (2976, '2020-03-13', 'AG', 'Antigua and Barbuda', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (2977, '2020-03-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2978, '2020-03-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2979, '2020-03-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2980, '2020-03-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2981, '2020-03-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2982, '2020-03-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2983, '2020-03-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2984, '2020-03-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2985, '2020-03-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2986, '2020-03-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (2987, '2020-03-24', 'AG', 'Antigua and Barbuda', 'AMRO', '-2', '3', '0', '0');
INSERT INTO public.who_import VALUES (2988, '2020-03-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2989, '2020-03-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2990, '2020-03-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (2991, '2020-03-28', 'AG', 'Antigua and Barbuda', 'AMRO', '4', '7', '0', '0');
INSERT INTO public.who_import VALUES (2992, '2020-03-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2993, '2020-03-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2994, '2020-03-31', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2995, '2020-04-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2996, '2020-04-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2997, '2020-04-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2998, '2020-04-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (2999, '2020-04-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (3000, '2020-04-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (3001, '2020-04-07', 'AG', 'Antigua and Barbuda', 'AMRO', '8', '15', '0', '0');
INSERT INTO public.who_import VALUES (3002, '2020-04-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (3003, '2020-04-09', 'AG', 'Antigua and Barbuda', 'AMRO', '4', '19', '2', '2');
INSERT INTO public.who_import VALUES (3004, '2020-04-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (3005, '2020-04-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (3006, '2020-04-12', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '21', '0', '2');
INSERT INTO public.who_import VALUES (3007, '2020-04-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (3008, '2020-04-14', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '23', '0', '2');
INSERT INTO public.who_import VALUES (3009, '2020-04-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (3010, '2020-04-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (3011, '2020-04-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (3012, '2020-04-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (3013, '2020-04-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (3014, '2020-04-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '1', '3');
INSERT INTO public.who_import VALUES (3015, '2020-04-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '3');
INSERT INTO public.who_import VALUES (3016, '2020-04-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '23', '0', '3');
INSERT INTO public.who_import VALUES (3017, '2020-04-23', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '24', '0', '3');
INSERT INTO public.who_import VALUES (3018, '2020-04-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3019, '2020-04-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3020, '2020-04-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3021, '2020-04-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3022, '2020-04-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3023, '2020-04-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3024, '2020-04-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3025, '2020-05-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3026, '2020-05-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3027, '2020-05-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (3028, '2020-05-04', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '25', '0', '3');
INSERT INTO public.who_import VALUES (3029, '2020-05-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3030, '2020-05-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3031, '2020-05-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3032, '2020-05-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3033, '2020-05-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3034, '2020-05-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3035, '2020-05-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3036, '2020-05-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3037, '2020-05-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3038, '2020-05-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3039, '2020-05-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3040, '2020-05-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3041, '2020-05-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3042, '2020-05-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3043, '2020-05-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3044, '2020-05-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3045, '2020-05-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3046, '2020-05-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3047, '2020-05-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3048, '2020-05-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3049, '2020-05-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3050, '2020-05-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3051, '2020-05-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3052, '2020-05-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3053, '2020-05-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3054, '2020-05-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3055, '2020-05-31', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3056, '2020-06-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3057, '2020-06-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3058, '2020-06-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3059, '2020-06-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3060, '2020-06-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3061, '2020-06-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3062, '2020-06-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3063, '2020-06-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3064, '2020-06-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3065, '2020-06-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3066, '2020-06-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3067, '2020-06-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3068, '2020-06-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (3069, '2020-06-14', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '26', '0', '3');
INSERT INTO public.who_import VALUES (3070, '2020-06-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3071, '2020-06-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3072, '2020-06-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3073, '2020-06-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3074, '2020-06-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3075, '2020-06-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3076, '2020-06-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3077, '2020-06-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3078, '2020-06-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3079, '2020-06-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3080, '2020-06-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3081, '2020-06-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3082, '2020-06-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3083, '2020-06-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '26', '0', '3');
INSERT INTO public.who_import VALUES (3084, '2020-06-29', 'AG', 'Antigua and Barbuda', 'AMRO', '39', '65', '0', '3');
INSERT INTO public.who_import VALUES (3085, '2020-06-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '65', '0', '3');
INSERT INTO public.who_import VALUES (3086, '2020-07-01', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '66', '0', '3');
INSERT INTO public.who_import VALUES (3087, '2020-07-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '66', '0', '3');
INSERT INTO public.who_import VALUES (3088, '2020-07-03', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '68', '0', '3');
INSERT INTO public.who_import VALUES (3089, '2020-07-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '68', '0', '3');
INSERT INTO public.who_import VALUES (3090, '2020-07-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '68', '0', '3');
INSERT INTO public.who_import VALUES (3091, '2020-07-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '68', '0', '3');
INSERT INTO public.who_import VALUES (3092, '2020-07-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '68', '0', '3');
INSERT INTO public.who_import VALUES (3093, '2020-07-08', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '70', '0', '3');
INSERT INTO public.who_import VALUES (3094, '2020-07-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '70', '0', '3');
INSERT INTO public.who_import VALUES (3095, '2020-07-10', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '73', '0', '3');
INSERT INTO public.who_import VALUES (3096, '2020-07-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '73', '0', '3');
INSERT INTO public.who_import VALUES (3097, '2020-07-12', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '74', '0', '3');
INSERT INTO public.who_import VALUES (3098, '2020-07-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '74', '0', '3');
INSERT INTO public.who_import VALUES (3099, '2020-07-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '74', '0', '3');
INSERT INTO public.who_import VALUES (3100, '2020-07-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '74', '0', '3');
INSERT INTO public.who_import VALUES (3101, '2020-07-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '74', '0', '3');
INSERT INTO public.who_import VALUES (3102, '2020-07-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '74', '0', '3');
INSERT INTO public.who_import VALUES (3103, '2020-07-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '74', '0', '3');
INSERT INTO public.who_import VALUES (3104, '2020-07-19', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '76', '0', '3');
INSERT INTO public.who_import VALUES (3105, '2020-07-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (3106, '2020-07-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (3107, '2020-07-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (3108, '2020-07-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (3109, '2020-07-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (3110, '2020-07-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (3111, '2020-07-26', 'AG', 'Antigua and Barbuda', 'AMRO', '6', '82', '0', '3');
INSERT INTO public.who_import VALUES (3112, '2020-07-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '82', '0', '3');
INSERT INTO public.who_import VALUES (3113, '2020-07-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '82', '0', '3');
INSERT INTO public.who_import VALUES (3114, '2020-07-29', 'AG', 'Antigua and Barbuda', 'AMRO', '4', '86', '0', '3');
INSERT INTO public.who_import VALUES (3115, '2020-07-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '86', '0', '3');
INSERT INTO public.who_import VALUES (3116, '2020-07-31', 'AG', 'Antigua and Barbuda', 'AMRO', '5', '91', '0', '3');
INSERT INTO public.who_import VALUES (3117, '2020-08-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '91', '0', '3');
INSERT INTO public.who_import VALUES (3118, '2020-08-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '91', '0', '3');
INSERT INTO public.who_import VALUES (3119, '2020-08-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '91', '0', '3');
INSERT INTO public.who_import VALUES (3120, '2020-08-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '91', '0', '3');
INSERT INTO public.who_import VALUES (3121, '2020-08-05', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '92', '0', '3');
INSERT INTO public.who_import VALUES (3122, '2020-08-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3123, '2020-08-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3124, '2020-08-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3125, '2020-08-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3126, '2020-08-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3127, '2020-08-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3128, '2020-08-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3129, '2020-08-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3130, '2020-08-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '92', '0', '3');
INSERT INTO public.who_import VALUES (3131, '2020-08-15', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '93', '0', '3');
INSERT INTO public.who_import VALUES (3132, '2020-08-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '93', '0', '3');
INSERT INTO public.who_import VALUES (3133, '2020-08-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '93', '0', '3');
INSERT INTO public.who_import VALUES (3134, '2020-08-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '93', '0', '3');
INSERT INTO public.who_import VALUES (3135, '2020-08-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '93', '0', '3');
INSERT INTO public.who_import VALUES (3136, '2020-08-20', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '94', '0', '3');
INSERT INTO public.who_import VALUES (3137, '2020-08-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3138, '2020-08-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3139, '2020-08-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3140, '2020-08-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3141, '2020-08-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3142, '2020-08-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3143, '2020-08-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3144, '2020-08-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3145, '2020-08-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3146, '2020-08-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3147, '2020-08-31', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3148, '2020-09-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3149, '2020-09-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3150, '2020-09-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '94', '0', '3');
INSERT INTO public.who_import VALUES (3151, '2020-09-04', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '95', '0', '3');
INSERT INTO public.who_import VALUES (3152, '2020-09-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3153, '2020-09-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3154, '2020-09-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3155, '2020-09-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3156, '2020-09-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3157, '2020-09-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3158, '2020-09-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3159, '2020-09-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3160, '2020-09-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3161, '2020-09-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3162, '2020-09-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3163, '2020-09-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3164, '2020-09-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3165, '2020-09-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3166, '2020-09-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3167, '2020-09-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '95', '0', '3');
INSERT INTO public.who_import VALUES (3168, '2020-09-21', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '96', '0', '3');
INSERT INTO public.who_import VALUES (3169, '2020-09-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '96', '0', '3');
INSERT INTO public.who_import VALUES (3170, '2020-09-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '96', '0', '3');
INSERT INTO public.who_import VALUES (3171, '2020-09-24', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '97', '0', '3');
INSERT INTO public.who_import VALUES (3172, '2020-09-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '97', '0', '3');
INSERT INTO public.who_import VALUES (3173, '2020-09-26', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '98', '0', '3');
INSERT INTO public.who_import VALUES (3174, '2020-09-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '98', '0', '3');
INSERT INTO public.who_import VALUES (3175, '2020-09-28', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '101', '0', '3');
INSERT INTO public.who_import VALUES (3176, '2020-09-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (3177, '2020-09-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (3178, '2020-10-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (3179, '2020-10-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (3180, '2020-10-03', 'AG', 'Antigua and Barbuda', 'AMRO', '5', '106', '0', '3');
INSERT INTO public.who_import VALUES (3181, '2020-10-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '106', '0', '3');
INSERT INTO public.who_import VALUES (3182, '2020-10-05', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '107', '0', '3');
INSERT INTO public.who_import VALUES (3183, '2020-10-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '107', '0', '3');
INSERT INTO public.who_import VALUES (3184, '2020-10-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '107', '0', '3');
INSERT INTO public.who_import VALUES (3185, '2020-10-08', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '108', '0', '3');
INSERT INTO public.who_import VALUES (3186, '2020-10-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '108', '0', '3');
INSERT INTO public.who_import VALUES (3187, '2020-10-10', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '111', '0', '3');
INSERT INTO public.who_import VALUES (3188, '2020-10-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '111', '0', '3');
INSERT INTO public.who_import VALUES (3189, '2020-10-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '111', '0', '3');
INSERT INTO public.who_import VALUES (3190, '2020-10-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '111', '0', '3');
INSERT INTO public.who_import VALUES (3191, '2020-10-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '111', '0', '3');
INSERT INTO public.who_import VALUES (3192, '2020-10-15', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '112', '0', '3');
INSERT INTO public.who_import VALUES (3193, '2020-10-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '112', '0', '3');
INSERT INTO public.who_import VALUES (3194, '2020-10-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '112', '0', '3');
INSERT INTO public.who_import VALUES (3195, '2020-10-18', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '113', '0', '3');
INSERT INTO public.who_import VALUES (3196, '2020-10-19', 'AG', 'Antigua and Barbuda', 'AMRO', '6', '119', '0', '3');
INSERT INTO public.who_import VALUES (3197, '2020-10-20', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '119', '0', '3');
INSERT INTO public.who_import VALUES (3198, '2020-10-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '119', '0', '3');
INSERT INTO public.who_import VALUES (3199, '2020-10-22', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '122', '0', '3');
INSERT INTO public.who_import VALUES (3200, '2020-10-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '122', '0', '3');
INSERT INTO public.who_import VALUES (3201, '2020-10-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '122', '0', '3');
INSERT INTO public.who_import VALUES (3202, '2020-10-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '122', '0', '3');
INSERT INTO public.who_import VALUES (3203, '2020-10-26', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '124', '0', '3');
INSERT INTO public.who_import VALUES (3204, '2020-10-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '124', '0', '3');
INSERT INTO public.who_import VALUES (3205, '2020-10-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '124', '0', '3');
INSERT INTO public.who_import VALUES (3206, '2020-10-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '124', '0', '3');
INSERT INTO public.who_import VALUES (3207, '2020-10-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '124', '0', '3');
INSERT INTO public.who_import VALUES (3208, '2020-10-31', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '127', '0', '3');
INSERT INTO public.who_import VALUES (3209, '2020-11-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '127', '0', '3');
INSERT INTO public.who_import VALUES (3210, '2020-11-02', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '128', '0', '3');
INSERT INTO public.who_import VALUES (3211, '2020-11-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '128', '0', '3');
INSERT INTO public.who_import VALUES (3212, '2020-11-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '128', '0', '3');
INSERT INTO public.who_import VALUES (3213, '2020-11-05', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '130', '0', '3');
INSERT INTO public.who_import VALUES (3214, '2020-11-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '130', '0', '3');
INSERT INTO public.who_import VALUES (3215, '2020-11-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '130', '0', '3');
INSERT INTO public.who_import VALUES (3216, '2020-11-08', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '130', '0', '3');
INSERT INTO public.who_import VALUES (3217, '2020-11-09', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '131', '0', '3');
INSERT INTO public.who_import VALUES (3218, '2020-11-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (3219, '2020-11-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (3220, '2020-11-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (3221, '2020-11-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (3222, '2020-11-14', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '133', '0', '3');
INSERT INTO public.who_import VALUES (3223, '2020-11-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '133', '1', '4');
INSERT INTO public.who_import VALUES (3224, '2020-11-16', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '134', '0', '4');
INSERT INTO public.who_import VALUES (3225, '2020-11-17', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '134', '0', '4');
INSERT INTO public.who_import VALUES (3226, '2020-11-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '134', '0', '4');
INSERT INTO public.who_import VALUES (3227, '2020-11-19', 'AG', 'Antigua and Barbuda', 'AMRO', '4', '138', '0', '4');
INSERT INTO public.who_import VALUES (3228, '2020-11-20', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '139', '0', '4');
INSERT INTO public.who_import VALUES (3229, '2020-11-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '139', '0', '4');
INSERT INTO public.who_import VALUES (3230, '2020-11-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '139', '0', '4');
INSERT INTO public.who_import VALUES (3231, '2020-11-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '139', '0', '4');
INSERT INTO public.who_import VALUES (3232, '2020-11-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '139', '0', '4');
INSERT INTO public.who_import VALUES (3233, '2020-11-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '139', '0', '4');
INSERT INTO public.who_import VALUES (3234, '2020-11-26', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '140', '0', '4');
INSERT INTO public.who_import VALUES (3235, '2020-11-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '140', '0', '4');
INSERT INTO public.who_import VALUES (3236, '2020-11-28', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '141', '0', '4');
INSERT INTO public.who_import VALUES (3237, '2020-11-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '141', '0', '4');
INSERT INTO public.who_import VALUES (3238, '2020-11-30', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '141', '0', '4');
INSERT INTO public.who_import VALUES (3239, '2020-12-01', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '141', '0', '4');
INSERT INTO public.who_import VALUES (3240, '2020-12-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '141', '0', '4');
INSERT INTO public.who_import VALUES (3241, '2020-12-03', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '142', '0', '4');
INSERT INTO public.who_import VALUES (3242, '2020-12-04', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '144', '0', '4');
INSERT INTO public.who_import VALUES (3243, '2020-12-05', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '144', '0', '4');
INSERT INTO public.who_import VALUES (3244, '2020-12-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '144', '0', '4');
INSERT INTO public.who_import VALUES (3245, '2020-12-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '144', '0', '4');
INSERT INTO public.who_import VALUES (3246, '2020-12-08', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '146', '0', '4');
INSERT INTO public.who_import VALUES (3247, '2020-12-09', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '146', '0', '4');
INSERT INTO public.who_import VALUES (3248, '2020-12-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '146', '0', '4');
INSERT INTO public.who_import VALUES (3249, '2020-12-11', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '146', '0', '4');
INSERT INTO public.who_import VALUES (3250, '2020-12-12', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '147', '0', '4');
INSERT INTO public.who_import VALUES (3251, '2020-12-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '147', '0', '4');
INSERT INTO public.who_import VALUES (3252, '2020-12-14', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '148', '0', '4');
INSERT INTO public.who_import VALUES (3253, '2020-12-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '148', '1', '5');
INSERT INTO public.who_import VALUES (3254, '2020-12-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '148', '0', '5');
INSERT INTO public.who_import VALUES (3255, '2020-12-17', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '151', '0', '5');
INSERT INTO public.who_import VALUES (3256, '2020-12-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '151', '0', '5');
INSERT INTO public.who_import VALUES (3257, '2020-12-19', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '151', '0', '5');
INSERT INTO public.who_import VALUES (3258, '2020-12-20', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '152', '0', '5');
INSERT INTO public.who_import VALUES (3259, '2020-12-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '152', '0', '5');
INSERT INTO public.who_import VALUES (3260, '2020-12-22', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '153', '0', '5');
INSERT INTO public.who_import VALUES (3261, '2020-12-23', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '153', '0', '5');
INSERT INTO public.who_import VALUES (3262, '2020-12-24', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '153', '0', '5');
INSERT INTO public.who_import VALUES (3263, '2020-12-25', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '154', '0', '5');
INSERT INTO public.who_import VALUES (3264, '2020-12-26', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '154', '0', '5');
INSERT INTO public.who_import VALUES (3265, '2020-12-27', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '155', '0', '5');
INSERT INTO public.who_import VALUES (3266, '2020-12-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '155', '0', '5');
INSERT INTO public.who_import VALUES (3267, '2020-12-29', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '155', '0', '5');
INSERT INTO public.who_import VALUES (3268, '2020-12-30', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '158', '0', '5');
INSERT INTO public.who_import VALUES (3269, '2020-12-31', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '158', '0', '5');
INSERT INTO public.who_import VALUES (3270, '2021-01-01', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '159', '0', '5');
INSERT INTO public.who_import VALUES (3271, '2021-01-02', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '159', '0', '5');
INSERT INTO public.who_import VALUES (3272, '2021-01-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '159', '0', '5');
INSERT INTO public.who_import VALUES (3273, '2021-01-04', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '159', '0', '5');
INSERT INTO public.who_import VALUES (3274, '2021-01-05', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '160', '0', '5');
INSERT INTO public.who_import VALUES (3275, '2021-01-06', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '160', '0', '5');
INSERT INTO public.who_import VALUES (3276, '2021-01-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '160', '0', '5');
INSERT INTO public.who_import VALUES (3277, '2021-01-08', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '163', '0', '5');
INSERT INTO public.who_import VALUES (3278, '2021-01-09', 'AG', 'Antigua and Barbuda', 'AMRO', '4', '167', '0', '5');
INSERT INTO public.who_import VALUES (3279, '2021-01-10', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '169', '0', '5');
INSERT INTO public.who_import VALUES (3280, '2021-01-11', 'AG', 'Antigua and Barbuda', 'AMRO', '7', '176', '0', '5');
INSERT INTO public.who_import VALUES (3281, '2021-01-12', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (3282, '2021-01-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (3283, '2021-01-14', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (3284, '2021-01-15', 'AG', 'Antigua and Barbuda', 'AMRO', '8', '184', '1', '6');
INSERT INTO public.who_import VALUES (3285, '2021-01-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '184', '0', '6');
INSERT INTO public.who_import VALUES (3286, '2021-01-17', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '187', '0', '6');
INSERT INTO public.who_import VALUES (3287, '2021-01-18', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '187', '0', '6');
INSERT INTO public.who_import VALUES (3288, '2021-01-19', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '189', '0', '6');
INSERT INTO public.who_import VALUES (3289, '2021-01-20', 'AG', 'Antigua and Barbuda', 'AMRO', '1', '190', '0', '6');
INSERT INTO public.who_import VALUES (3290, '2021-01-21', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '190', '0', '6');
INSERT INTO public.who_import VALUES (3291, '2021-01-22', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '190', '0', '6');
INSERT INTO public.who_import VALUES (3292, '2021-01-23', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '192', '0', '6');
INSERT INTO public.who_import VALUES (3293, '2021-01-24', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '195', '0', '6');
INSERT INTO public.who_import VALUES (3294, '2021-01-25', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '195', '0', '6');
INSERT INTO public.who_import VALUES (3295, '2021-01-26', 'AG', 'Antigua and Barbuda', 'AMRO', '6', '201', '0', '6');
INSERT INTO public.who_import VALUES (3296, '2021-01-27', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '201', '0', '6');
INSERT INTO public.who_import VALUES (3297, '2021-01-28', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '201', '0', '6');
INSERT INTO public.who_import VALUES (3298, '2021-01-29', 'AG', 'Antigua and Barbuda', 'AMRO', '14', '215', '0', '6');
INSERT INTO public.who_import VALUES (3299, '2021-01-30', 'AG', 'Antigua and Barbuda', 'AMRO', '3', '218', '0', '6');
INSERT INTO public.who_import VALUES (3300, '2021-01-31', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '218', '1', '7');
INSERT INTO public.who_import VALUES (3301, '2021-02-01', 'AG', 'Antigua and Barbuda', 'AMRO', '2', '220', '0', '7');
INSERT INTO public.who_import VALUES (3302, '2021-02-02', 'AG', 'Antigua and Barbuda', 'AMRO', '14', '234', '0', '7');
INSERT INTO public.who_import VALUES (3303, '2021-02-03', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '234', '0', '7');
INSERT INTO public.who_import VALUES (3304, '2021-02-04', 'AG', 'Antigua and Barbuda', 'AMRO', '15', '249', '0', '7');
INSERT INTO public.who_import VALUES (3305, '2021-02-05', 'AG', 'Antigua and Barbuda', 'AMRO', '19', '268', '0', '7');
INSERT INTO public.who_import VALUES (3306, '2021-02-06', 'AG', 'Antigua and Barbuda', 'AMRO', '9', '277', '0', '7');
INSERT INTO public.who_import VALUES (3307, '2021-02-07', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '277', '0', '7');
INSERT INTO public.who_import VALUES (3308, '2021-02-08', 'AG', 'Antigua and Barbuda', 'AMRO', '22', '299', '0', '7');
INSERT INTO public.who_import VALUES (3309, '2021-02-09', 'AG', 'Antigua and Barbuda', 'AMRO', '17', '316', '0', '7');
INSERT INTO public.who_import VALUES (3310, '2021-02-10', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '316', '1', '8');
INSERT INTO public.who_import VALUES (3311, '2021-02-11', 'AG', 'Antigua and Barbuda', 'AMRO', '34', '350', '1', '9');
INSERT INTO public.who_import VALUES (3312, '2021-02-12', 'AG', 'Antigua and Barbuda', 'AMRO', '31', '381', '0', '9');
INSERT INTO public.who_import VALUES (3313, '2021-02-13', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '381', '0', '9');
INSERT INTO public.who_import VALUES (3314, '2021-02-14', 'AG', 'Antigua and Barbuda', 'AMRO', '46', '427', '0', '9');
INSERT INTO public.who_import VALUES (3315, '2021-02-15', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '427', '0', '9');
INSERT INTO public.who_import VALUES (3316, '2021-02-16', 'AG', 'Antigua and Barbuda', 'AMRO', '0', '427', '0', '9');
INSERT INTO public.who_import VALUES (3317, '2021-02-17', 'AG', 'Antigua and Barbuda', 'AMRO', '16', '443', '0', '9');
INSERT INTO public.who_import VALUES (3318, '2021-02-18', 'AG', 'Antigua and Barbuda', 'AMRO', '43', '486', '1', '10');
INSERT INTO public.who_import VALUES (3319, '2021-02-19', 'AG', 'Antigua and Barbuda', 'AMRO', '39', '525', '0', '10');
INSERT INTO public.who_import VALUES (3320, '2021-02-20', 'AG', 'Antigua and Barbuda', 'AMRO', '23', '548', '0', '10');
INSERT INTO public.who_import VALUES (3321, '2020-01-03', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3322, '2020-01-04', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3323, '2020-01-05', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3324, '2020-01-06', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3325, '2020-01-07', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3326, '2020-01-08', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3327, '2020-01-09', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3328, '2020-01-10', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3329, '2020-01-11', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3330, '2020-01-12', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3331, '2020-01-13', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3332, '2020-01-14', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3333, '2020-01-15', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3334, '2020-01-16', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3335, '2020-01-17', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3336, '2020-01-18', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3337, '2020-01-19', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3338, '2020-01-20', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3339, '2020-01-21', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3340, '2020-01-22', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3341, '2020-01-23', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3342, '2020-01-24', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3343, '2020-01-25', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3344, '2020-01-26', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3345, '2020-01-27', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3346, '2020-01-28', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3347, '2020-01-29', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3348, '2020-01-30', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3349, '2020-01-31', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3350, '2020-02-01', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3351, '2020-02-02', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3352, '2020-02-03', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3353, '2020-02-04', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3354, '2020-02-05', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3355, '2020-02-06', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3356, '2020-02-07', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3357, '2020-02-08', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3358, '2020-02-09', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3359, '2020-02-10', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3360, '2020-02-11', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3361, '2020-02-12', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3362, '2020-02-13', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3363, '2020-02-14', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3364, '2020-02-15', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3365, '2020-02-16', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3366, '2020-02-17', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3367, '2020-02-18', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3368, '2020-02-19', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3369, '2020-02-20', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3370, '2020-02-21', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3371, '2020-02-22', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3372, '2020-02-23', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3373, '2020-02-24', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3374, '2020-02-25', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3375, '2020-02-26', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3376, '2020-02-27', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3377, '2020-02-28', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3378, '2020-02-29', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3379, '2020-03-01', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3380, '2020-03-02', 'AR', 'Argentina', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3381, '2020-03-03', 'AR', 'Argentina', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (3382, '2020-03-04', 'AR', 'Argentina', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (3383, '2020-03-05', 'AR', 'Argentina', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (3384, '2020-03-06', 'AR', 'Argentina', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (3385, '2020-03-07', 'AR', 'Argentina', 'AMRO', '7', '13', '1', '1');
INSERT INTO public.who_import VALUES (3386, '2020-03-08', 'AR', 'Argentina', 'AMRO', '3', '16', '0', '1');
INSERT INTO public.who_import VALUES (3387, '2020-03-09', 'AR', 'Argentina', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (3388, '2020-03-10', 'AR', 'Argentina', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (3389, '2020-03-11', 'AR', 'Argentina', 'AMRO', '5', '21', '0', '1');
INSERT INTO public.who_import VALUES (3390, '2020-03-12', 'AR', 'Argentina', 'AMRO', '2', '23', '0', '1');
INSERT INTO public.who_import VALUES (3391, '2020-03-13', 'AR', 'Argentina', 'AMRO', '12', '35', '0', '1');
INSERT INTO public.who_import VALUES (3392, '2020-03-14', 'AR', 'Argentina', 'AMRO', '14', '49', '1', '2');
INSERT INTO public.who_import VALUES (3393, '2020-03-15', 'AR', 'Argentina', 'AMRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (3394, '2020-03-16', 'AR', 'Argentina', 'AMRO', '11', '60', '0', '2');
INSERT INTO public.who_import VALUES (3395, '2020-03-17', 'AR', 'Argentina', 'AMRO', '9', '69', '0', '2');
INSERT INTO public.who_import VALUES (3396, '2020-03-18', 'AR', 'Argentina', 'AMRO', '32', '101', '0', '2');
INSERT INTO public.who_import VALUES (3397, '2020-03-19', 'AR', 'Argentina', 'AMRO', '0', '101', '0', '2');
INSERT INTO public.who_import VALUES (3398, '2020-03-20', 'AR', 'Argentina', 'AMRO', '27', '128', '1', '3');
INSERT INTO public.who_import VALUES (3399, '2020-03-21', 'AR', 'Argentina', 'AMRO', '30', '158', '0', '3');
INSERT INTO public.who_import VALUES (3400, '2020-03-22', 'AR', 'Argentina', 'AMRO', '0', '158', '0', '3');
INSERT INTO public.who_import VALUES (3401, '2020-03-23', 'AR', 'Argentina', 'AMRO', '67', '225', '1', '4');
INSERT INTO public.who_import VALUES (3402, '2020-03-24', 'AR', 'Argentina', 'AMRO', '76', '301', '0', '4');
INSERT INTO public.who_import VALUES (3403, '2020-03-25', 'AR', 'Argentina', 'AMRO', '0', '301', '0', '4');
INSERT INTO public.who_import VALUES (3404, '2020-03-26', 'AR', 'Argentina', 'AMRO', '201', '502', '4', '8');
INSERT INTO public.who_import VALUES (3405, '2020-03-27', 'AR', 'Argentina', 'AMRO', '0', '502', '0', '8');
INSERT INTO public.who_import VALUES (3406, '2020-03-28', 'AR', 'Argentina', 'AMRO', '87', '589', '4', '12');
INSERT INTO public.who_import VALUES (3407, '2020-03-29', 'AR', 'Argentina', 'AMRO', '101', '690', '5', '17');
INSERT INTO public.who_import VALUES (3408, '2020-03-30', 'AR', 'Argentina', 'AMRO', '55', '745', '2', '19');
INSERT INTO public.who_import VALUES (3409, '2020-03-31', 'AR', 'Argentina', 'AMRO', '75', '820', '1', '20');
INSERT INTO public.who_import VALUES (3410, '2020-04-01', 'AR', 'Argentina', 'AMRO', '146', '966', '4', '24');
INSERT INTO public.who_import VALUES (3411, '2020-04-02', 'AR', 'Argentina', 'AMRO', '88', '1054', '3', '27');
INSERT INTO public.who_import VALUES (3412, '2020-04-03', 'AR', 'Argentina', 'AMRO', '79', '1133', '4', '31');
INSERT INTO public.who_import VALUES (3413, '2020-04-04', 'AR', 'Argentina', 'AMRO', '132', '1265', '6', '37');
INSERT INTO public.who_import VALUES (3414, '2020-04-05', 'AR', 'Argentina', 'AMRO', '88', '1353', '5', '42');
INSERT INTO public.who_import VALUES (3415, '2020-04-06', 'AR', 'Argentina', 'AMRO', '98', '1451', '2', '44');
INSERT INTO public.who_import VALUES (3416, '2020-04-07', 'AR', 'Argentina', 'AMRO', '103', '1554', '2', '46');
INSERT INTO public.who_import VALUES (3417, '2020-04-08', 'AR', 'Argentina', 'AMRO', '74', '1628', '7', '53');
INSERT INTO public.who_import VALUES (3418, '2020-04-09', 'AR', 'Argentina', 'AMRO', '87', '1715', '7', '60');
INSERT INTO public.who_import VALUES (3419, '2020-04-10', 'AR', 'Argentina', 'AMRO', '80', '1795', '7', '67');
INSERT INTO public.who_import VALUES (3420, '2020-04-11', 'AR', 'Argentina', 'AMRO', '134', '1929', '12', '79');
INSERT INTO public.who_import VALUES (3421, '2020-04-12', 'AR', 'Argentina', 'AMRO', '46', '1975', '3', '82');
INSERT INTO public.who_import VALUES (3422, '2020-04-13', 'AR', 'Argentina', 'AMRO', '0', '1975', '0', '82');
INSERT INTO public.who_import VALUES (3423, '2020-04-14', 'AR', 'Argentina', 'AMRO', '277', '2252', '13', '95');
INSERT INTO public.who_import VALUES (3424, '2020-04-15', 'AR', 'Argentina', 'AMRO', '84', '2336', '6', '101');
INSERT INTO public.who_import VALUES (3425, '2020-04-16', 'AR', 'Argentina', 'AMRO', '141', '2477', '7', '108');
INSERT INTO public.who_import VALUES (3426, '2020-04-17', 'AR', 'Argentina', 'AMRO', '121', '2598', '7', '115');
INSERT INTO public.who_import VALUES (3427, '2020-04-18', 'AR', 'Argentina', 'AMRO', '96', '2694', '7', '122');
INSERT INTO public.who_import VALUES (3428, '2020-04-19', 'AR', 'Argentina', 'AMRO', '90', '2784', '7', '129');
INSERT INTO public.who_import VALUES (3429, '2020-04-20', 'AR', 'Argentina', 'AMRO', '55', '2839', '3', '132');
INSERT INTO public.who_import VALUES (3430, '2020-04-21', 'AR', 'Argentina', 'AMRO', '121', '2960', '4', '136');
INSERT INTO public.who_import VALUES (3431, '2020-04-22', 'AR', 'Argentina', 'AMRO', '113', '3073', '9', '145');
INSERT INTO public.who_import VALUES (3432, '2020-04-23', 'AR', 'Argentina', 'AMRO', '124', '3197', '7', '152');
INSERT INTO public.who_import VALUES (3433, '2020-04-24', 'AR', 'Argentina', 'AMRO', '143', '3340', '7', '159');
INSERT INTO public.who_import VALUES (3434, '2020-04-25', 'AR', 'Argentina', 'AMRO', '139', '3479', '8', '167');
INSERT INTO public.who_import VALUES (3435, '2020-04-26', 'AR', 'Argentina', 'AMRO', '222', '3701', '12', '179');
INSERT INTO public.who_import VALUES (3436, '2020-04-27', 'AR', 'Argentina', 'AMRO', '137', '3838', '0', '179');
INSERT INTO public.who_import VALUES (3437, '2020-04-28', 'AR', 'Argentina', 'AMRO', '54', '3892', '13', '192');
INSERT INTO public.who_import VALUES (3438, '2020-04-29', 'AR', 'Argentina', 'AMRO', '127', '4019', '5', '197');
INSERT INTO public.who_import VALUES (3439, '2020-04-30', 'AR', 'Argentina', 'AMRO', '182', '4201', '10', '207');
INSERT INTO public.who_import VALUES (3440, '2020-05-01', 'AR', 'Argentina', 'AMRO', '103', '4304', '8', '215');
INSERT INTO public.who_import VALUES (3441, '2020-05-02', 'AR', 'Argentina', 'AMRO', '172', '4476', '5', '220');
INSERT INTO public.who_import VALUES (3442, '2020-05-03', 'AR', 'Argentina', 'AMRO', '56', '4532', '9', '229');
INSERT INTO public.who_import VALUES (3443, '2020-05-04', 'AR', 'Argentina', 'AMRO', '149', '4681', '12', '241');
INSERT INTO public.who_import VALUES (3444, '2020-05-05', 'AR', 'Argentina', 'AMRO', '118', '4799', '9', '250');
INSERT INTO public.who_import VALUES (3445, '2020-05-06', 'AR', 'Argentina', 'AMRO', '123', '4922', '12', '262');
INSERT INTO public.who_import VALUES (3446, '2020-05-07', 'AR', 'Argentina', 'AMRO', '154', '5076', '2', '264');
INSERT INTO public.who_import VALUES (3447, '2020-05-08', 'AR', 'Argentina', 'AMRO', '229', '5305', '11', '275');
INSERT INTO public.who_import VALUES (3448, '2020-05-09', 'AR', 'Argentina', 'AMRO', '225', '5530', '14', '289');
INSERT INTO public.who_import VALUES (3449, '2020-05-10', 'AR', 'Argentina', 'AMRO', '150', '5680', '8', '297');
INSERT INTO public.who_import VALUES (3450, '2020-05-11', 'AR', 'Argentina', 'AMRO', '244', '5924', '3', '300');
INSERT INTO public.who_import VALUES (3451, '2020-05-12', 'AR', 'Argentina', 'AMRO', '110', '6034', '5', '305');
INSERT INTO public.who_import VALUES (3452, '2020-05-13', 'AR', 'Argentina', 'AMRO', '244', '6278', '12', '317');
INSERT INTO public.who_import VALUES (3453, '2020-05-14', 'AR', 'Argentina', 'AMRO', '285', '6563', '4', '321');
INSERT INTO public.who_import VALUES (3454, '2020-05-15', 'AR', 'Argentina', 'AMRO', '410', '6973', '24', '345');
INSERT INTO public.who_import VALUES (3455, '2020-05-16', 'AR', 'Argentina', 'AMRO', '161', '7134', '8', '353');
INSERT INTO public.who_import VALUES (3456, '2020-05-17', 'AR', 'Argentina', 'AMRO', '345', '7479', '10', '363');
INSERT INTO public.who_import VALUES (3457, '2020-05-18', 'AR', 'Argentina', 'AMRO', '326', '7805', '3', '366');
INSERT INTO public.who_import VALUES (3458, '2020-05-19', 'AR', 'Argentina', 'AMRO', '263', '8068', '7', '373');
INSERT INTO public.who_import VALUES (3459, '2020-05-20', 'AR', 'Argentina', 'AMRO', '303', '8371', '9', '382');
INSERT INTO public.who_import VALUES (3460, '2020-05-21', 'AR', 'Argentina', 'AMRO', '438', '8809', '11', '393');
INSERT INTO public.who_import VALUES (3461, '2020-05-22', 'AR', 'Argentina', 'AMRO', '474', '9283', '10', '403');
INSERT INTO public.who_import VALUES (3462, '2020-05-23', 'AR', 'Argentina', 'AMRO', '648', '9931', '16', '419');
INSERT INTO public.who_import VALUES (3463, '2020-05-24', 'AR', 'Argentina', 'AMRO', '718', '10649', '20', '439');
INSERT INTO public.who_import VALUES (3464, '2020-05-25', 'AR', 'Argentina', 'AMRO', '704', '11353', '6', '445');
INSERT INTO public.who_import VALUES (3465, '2020-05-26', 'AR', 'Argentina', 'AMRO', '723', '12076', '7', '452');
INSERT INTO public.who_import VALUES (3466, '2020-05-27', 'AR', 'Argentina', 'AMRO', '552', '12628', '19', '471');
INSERT INTO public.who_import VALUES (3467, '2020-05-28', 'AR', 'Argentina', 'AMRO', '600', '13228', '21', '492');
INSERT INTO public.who_import VALUES (3468, '2020-05-29', 'AR', 'Argentina', 'AMRO', '705', '13933', '9', '501');
INSERT INTO public.who_import VALUES (3469, '2020-05-30', 'AR', 'Argentina', 'AMRO', '769', '14702', '9', '510');
INSERT INTO public.who_import VALUES (3470, '2020-05-31', 'AR', 'Argentina', 'AMRO', '0', '14702', '0', '510');
INSERT INTO public.who_import VALUES (3471, '2020-06-01', 'AR', 'Argentina', 'AMRO', '1512', '16214', '20', '530');
INSERT INTO public.who_import VALUES (3472, '2020-06-02', 'AR', 'Argentina', 'AMRO', '637', '16851', '11', '541');
INSERT INTO public.who_import VALUES (3473, '2020-06-03', 'AR', 'Argentina', 'AMRO', '564', '17415', '19', '560');
INSERT INTO public.who_import VALUES (3474, '2020-06-04', 'AR', 'Argentina', 'AMRO', '904', '18319', '10', '570');
INSERT INTO public.who_import VALUES (3475, '2020-06-05', 'AR', 'Argentina', 'AMRO', '949', '19268', '18', '588');
INSERT INTO public.who_import VALUES (3476, '2020-06-06', 'AR', 'Argentina', 'AMRO', '929', '20197', '27', '615');
INSERT INTO public.who_import VALUES (3477, '2020-06-07', 'AR', 'Argentina', 'AMRO', '840', '21037', '27', '642');
INSERT INTO public.who_import VALUES (3478, '2020-06-08', 'AR', 'Argentina', 'AMRO', '983', '22020', '14', '656');
INSERT INTO public.who_import VALUES (3479, '2020-06-09', 'AR', 'Argentina', 'AMRO', '774', '22794', '14', '670');
INSERT INTO public.who_import VALUES (3480, '2020-06-10', 'AR', 'Argentina', 'AMRO', '826', '23620', '28', '698');
INSERT INTO public.who_import VALUES (3481, '2020-06-11', 'AR', 'Argentina', 'AMRO', '1141', '24761', '19', '717');
INSERT INTO public.who_import VALUES (3482, '2020-06-12', 'AR', 'Argentina', 'AMRO', '1226', '25987', '24', '741');
INSERT INTO public.who_import VALUES (3483, '2020-06-13', 'AR', 'Argentina', 'AMRO', '1386', '27373', '31', '772');
INSERT INTO public.who_import VALUES (3484, '2020-06-14', 'AR', 'Argentina', 'AMRO', '1391', '28764', '30', '802');
INSERT INTO public.who_import VALUES (3485, '2020-06-15', 'AR', 'Argentina', 'AMRO', '1531', '30295', '17', '819');
INSERT INTO public.who_import VALUES (3486, '2020-06-16', 'AR', 'Argentina', 'AMRO', '1282', '31577', '23', '842');
INSERT INTO public.who_import VALUES (3487, '2020-06-17', 'AR', 'Argentina', 'AMRO', '1208', '32785', '20', '862');
INSERT INTO public.who_import VALUES (3488, '2020-06-18', 'AR', 'Argentina', 'AMRO', '1374', '34159', '24', '886');
INSERT INTO public.who_import VALUES (3489, '2020-06-19', 'AR', 'Argentina', 'AMRO', '1393', '35552', '43', '929');
INSERT INTO public.who_import VALUES (3490, '2020-06-20', 'AR', 'Argentina', 'AMRO', '1958', '37510', '25', '954');
INSERT INTO public.who_import VALUES (3491, '2020-06-21', 'AR', 'Argentina', 'AMRO', '2060', '39570', '25', '979');
INSERT INTO public.who_import VALUES (3492, '2020-06-22', 'AR', 'Argentina', 'AMRO', '1634', '41204', '13', '992');
INSERT INTO public.who_import VALUES (3493, '2020-06-23', 'AR', 'Argentina', 'AMRO', '1581', '42785', '24', '1016');
INSERT INTO public.who_import VALUES (3494, '2020-06-24', 'AR', 'Argentina', 'AMRO', '2146', '44931', '33', '1049');
INSERT INTO public.who_import VALUES (3495, '2020-06-25', 'AR', 'Argentina', 'AMRO', '2285', '47216', '36', '1085');
INSERT INTO public.who_import VALUES (3496, '2020-06-26', 'AR', 'Argentina', 'AMRO', '2635', '49851', '39', '1124');
INSERT INTO public.who_import VALUES (3497, '2020-06-27', 'AR', 'Argentina', 'AMRO', '2606', '52457', '43', '1167');
INSERT INTO public.who_import VALUES (3498, '2020-06-28', 'AR', 'Argentina', 'AMRO', '2886', '55343', '25', '1192');
INSERT INTO public.who_import VALUES (3499, '2020-06-29', 'AR', 'Argentina', 'AMRO', '2401', '57744', '25', '1217');
INSERT INTO public.who_import VALUES (3500, '2020-06-30', 'AR', 'Argentina', 'AMRO', '2189', '59933', '28', '1245');
INSERT INTO public.who_import VALUES (3501, '2020-07-01', 'AR', 'Argentina', 'AMRO', '2335', '62268', '38', '1283');
INSERT INTO public.who_import VALUES (3502, '2020-07-02', 'AR', 'Argentina', 'AMRO', '2262', '64530', '27', '1310');
INSERT INTO public.who_import VALUES (3503, '2020-07-03', 'AR', 'Argentina', 'AMRO', '2667', '67197', '53', '1363');
INSERT INTO public.who_import VALUES (3504, '2020-07-04', 'AR', 'Argentina', 'AMRO', '2744', '69941', '40', '1403');
INSERT INTO public.who_import VALUES (3505, '2020-07-05', 'AR', 'Argentina', 'AMRO', '2845', '72786', '50', '1453');
INSERT INTO public.who_import VALUES (3506, '2020-07-06', 'AR', 'Argentina', 'AMRO', '2590', '75376', '37', '1490');
INSERT INTO public.who_import VALUES (3507, '2020-07-07', 'AR', 'Argentina', 'AMRO', '2439', '77815', '33', '1523');
INSERT INTO public.who_import VALUES (3508, '2020-07-08', 'AR', 'Argentina', 'AMRO', '2632', '80447', '79', '1602');
INSERT INTO public.who_import VALUES (3509, '2020-07-09', 'AR', 'Argentina', 'AMRO', '2979', '83426', '52', '1654');
INSERT INTO public.who_import VALUES (3510, '2020-07-10', 'AR', 'Argentina', 'AMRO', '3604', '87030', '53', '1707');
INSERT INTO public.who_import VALUES (3511, '2020-07-11', 'AR', 'Argentina', 'AMRO', '3663', '90693', '42', '1749');
INSERT INTO public.who_import VALUES (3512, '2020-07-12', 'AR', 'Argentina', 'AMRO', '3367', '94060', '38', '1787');
INSERT INTO public.who_import VALUES (3513, '2020-07-13', 'AR', 'Argentina', 'AMRO', '3449', '97509', '31', '1818');
INSERT INTO public.who_import VALUES (3514, '2020-07-14', 'AR', 'Argentina', 'AMRO', '2657', '100166', '41', '1859');
INSERT INTO public.who_import VALUES (3515, '2020-07-15', 'AR', 'Argentina', 'AMRO', '3099', '103265', '67', '1926');
INSERT INTO public.who_import VALUES (3516, '2020-07-16', 'AR', 'Argentina', 'AMRO', '3645', '106910', '61', '1987');
INSERT INTO public.who_import VALUES (3517, '2020-07-17', 'AR', 'Argentina', 'AMRO', '4250', '111160', '85', '2072');
INSERT INTO public.who_import VALUES (3518, '2020-07-18', 'AR', 'Argentina', 'AMRO', '3623', '114783', '61', '2133');
INSERT INTO public.who_import VALUES (3519, '2020-07-19', 'AR', 'Argentina', 'AMRO', '4518', '119301', '71', '2204');
INSERT INTO public.who_import VALUES (3520, '2020-07-20', 'AR', 'Argentina', 'AMRO', '3223', '122524', '42', '2246');
INSERT INTO public.who_import VALUES (3521, '2020-07-21', 'AR', 'Argentina', 'AMRO', '4231', '126755', '35', '2281');
INSERT INTO public.who_import VALUES (3522, '2020-07-22', 'AR', 'Argentina', 'AMRO', '4019', '130774', '145', '2426');
INSERT INTO public.who_import VALUES (3523, '2020-07-23', 'AR', 'Argentina', 'AMRO', '5344', '136118', '80', '2506');
INSERT INTO public.who_import VALUES (3524, '2020-07-24', 'AR', 'Argentina', 'AMRO', '5782', '141900', '111', '2617');
INSERT INTO public.who_import VALUES (3525, '2020-07-25', 'AR', 'Argentina', 'AMRO', '6127', '148027', '105', '2722');
INSERT INTO public.who_import VALUES (3526, '2020-07-26', 'AR', 'Argentina', 'AMRO', '5493', '153520', '125', '2847');
INSERT INTO public.who_import VALUES (3527, '2020-07-27', 'AR', 'Argentina', 'AMRO', '4801', '158321', '66', '2913');
INSERT INTO public.who_import VALUES (3528, '2020-07-28', 'AR', 'Argentina', 'AMRO', '4205', '162526', '43', '2956');
INSERT INTO public.who_import VALUES (3529, '2020-07-29', 'AR', 'Argentina', 'AMRO', '4890', '167416', '126', '3082');
INSERT INTO public.who_import VALUES (3530, '2020-07-30', 'AR', 'Argentina', 'AMRO', '5939', '173355', '118', '3200');
INSERT INTO public.who_import VALUES (3531, '2020-07-31', 'AR', 'Argentina', 'AMRO', '5641', '178996', '111', '3311');
INSERT INTO public.who_import VALUES (3532, '2020-08-01', 'AR', 'Argentina', 'AMRO', '6377', '185373', '155', '3466');
INSERT INTO public.who_import VALUES (3533, '2020-08-02', 'AR', 'Argentina', 'AMRO', '5929', '191302', '77', '3543');
INSERT INTO public.who_import VALUES (3534, '2020-08-03', 'AR', 'Argentina', 'AMRO', '5241', '196543', '69', '3612');
INSERT INTO public.who_import VALUES (3535, '2020-08-04', 'AR', 'Argentina', 'AMRO', '5376', '201919', '55', '3667');
INSERT INTO public.who_import VALUES (3536, '2020-08-05', 'AR', 'Argentina', 'AMRO', '4824', '206743', '196', '3863');
INSERT INTO public.who_import VALUES (3537, '2020-08-06', 'AR', 'Argentina', 'AMRO', '6792', '213535', '146', '4009');
INSERT INTO public.who_import VALUES (3538, '2020-08-07', 'AR', 'Argentina', 'AMRO', '7147', '220682', '126', '4135');
INSERT INTO public.who_import VALUES (3539, '2020-08-08', 'AR', 'Argentina', 'AMRO', '7513', '228195', '156', '4291');
INSERT INTO public.who_import VALUES (3540, '2020-08-09', 'AR', 'Argentina', 'AMRO', '7482', '235677', '159', '4450');
INSERT INTO public.who_import VALUES (3541, '2020-08-10', 'AR', 'Argentina', 'AMRO', '6134', '241811', '106', '4556');
INSERT INTO public.who_import VALUES (3542, '2020-08-11', 'AR', 'Argentina', 'AMRO', '4688', '246499', '78', '4634');
INSERT INTO public.who_import VALUES (3543, '2020-08-12', 'AR', 'Argentina', 'AMRO', '7369', '253868', '151', '4785');
INSERT INTO public.who_import VALUES (3544, '2020-08-13', 'AR', 'Argentina', 'AMRO', '7043', '260911', '303', '5088');
INSERT INTO public.who_import VALUES (3545, '2020-08-14', 'AR', 'Argentina', 'AMRO', '7663', '268574', '158', '5246');
INSERT INTO public.who_import VALUES (3546, '2020-08-15', 'AR', 'Argentina', 'AMRO', '7498', '276072', '182', '5428');
INSERT INTO public.who_import VALUES (3547, '2020-08-16', 'AR', 'Argentina', 'AMRO', '6365', '282437', '137', '5565');
INSERT INTO public.who_import VALUES (3548, '2020-08-17', 'AR', 'Argentina', 'AMRO', '6663', '289100', '92', '5657');
INSERT INTO public.who_import VALUES (3549, '2020-08-18', 'AR', 'Argentina', 'AMRO', '5469', '294569', '93', '5750');
INSERT INTO public.who_import VALUES (3550, '2020-08-19', 'AR', 'Argentina', 'AMRO', '4557', '299126', '127', '5877');
INSERT INTO public.who_import VALUES (3551, '2020-08-20', 'AR', 'Argentina', 'AMRO', '6840', '305966', '237', '6114');
INSERT INTO public.who_import VALUES (3552, '2020-08-21', 'AR', 'Argentina', 'AMRO', '6693', '312659', '292', '6406');
INSERT INTO public.who_import VALUES (3553, '2020-08-22', 'AR', 'Argentina', 'AMRO', '8225', '320884', '161', '6567');
INSERT INTO public.who_import VALUES (3554, '2020-08-23', 'AR', 'Argentina', 'AMRO', '8159', '329043', '228', '6795');
INSERT INTO public.who_import VALUES (3555, '2020-08-24', 'AR', 'Argentina', 'AMRO', '7759', '336802', '152', '6947');
INSERT INTO public.who_import VALUES (3556, '2020-08-25', 'AR', 'Argentina', 'AMRO', '5352', '342154', '132', '7079');
INSERT INTO public.who_import VALUES (3557, '2020-08-26', 'AR', 'Argentina', 'AMRO', '8713', '350867', '323', '7402');
INSERT INTO public.who_import VALUES (3558, '2020-08-27', 'AR', 'Argentina', 'AMRO', '8771', '359638', '259', '7661');
INSERT INTO public.who_import VALUES (3559, '2020-08-28', 'AR', 'Argentina', 'AMRO', '10550', '370188', '283', '7944');
INSERT INTO public.who_import VALUES (3560, '2020-08-29', 'AR', 'Argentina', 'AMRO', '10104', '380292', '185', '8129');
INSERT INTO public.who_import VALUES (3561, '2020-08-30', 'AR', 'Argentina', 'AMRO', '11717', '392009', '176', '8305');
INSERT INTO public.who_import VALUES (3562, '2020-08-31', 'AR', 'Argentina', 'AMRO', '9230', '401239', '96', '8401');
INSERT INTO public.who_import VALUES (3563, '2020-09-01', 'AR', 'Argentina', 'AMRO', '7187', '408426', '97', '8498');
INSERT INTO public.who_import VALUES (3564, '2020-09-02', 'AR', 'Argentina', 'AMRO', '9309', '417735', '232', '8730');
INSERT INTO public.who_import VALUES (3565, '2020-09-03', 'AR', 'Argentina', 'AMRO', '10504', '428239', '241', '8971');
INSERT INTO public.who_import VALUES (3566, '2020-09-04', 'AR', 'Argentina', 'AMRO', '10933', '439172', '184', '9155');
INSERT INTO public.who_import VALUES (3567, '2020-09-05', 'AR', 'Argentina', 'AMRO', '12026', '451198', '313', '9468');
INSERT INTO public.who_import VALUES (3568, '2020-09-06', 'AR', 'Argentina', 'AMRO', '10684', '461882', '217', '9685');
INSERT INTO public.who_import VALUES (3569, '2020-09-07', 'AR', 'Argentina', 'AMRO', '9924', '471806', '122', '9807');
INSERT INTO public.who_import VALUES (3570, '2020-09-08', 'AR', 'Argentina', 'AMRO', '6986', '478792', '105', '9912');
INSERT INTO public.who_import VALUES (3571, '2020-09-09', 'AR', 'Argentina', 'AMRO', '9215', '488007', '267', '10179');
INSERT INTO public.who_import VALUES (3572, '2020-09-10', 'AR', 'Argentina', 'AMRO', '12027', '500034', '278', '10457');
INSERT INTO public.who_import VALUES (3573, '2020-09-11', 'AR', 'Argentina', 'AMRO', '12259', '512293', '256', '10713');
INSERT INTO public.who_import VALUES (3574, '2020-09-12', 'AR', 'Argentina', 'AMRO', '11905', '524198', '281', '10994');
INSERT INTO public.who_import VALUES (3575, '2020-09-13', 'AR', 'Argentina', 'AMRO', '11507', '535705', '212', '11206');
INSERT INTO public.who_import VALUES (3576, '2020-09-14', 'AR', 'Argentina', 'AMRO', '10776', '546481', '101', '11307');
INSERT INTO public.who_import VALUES (3577, '2020-09-15', 'AR', 'Argentina', 'AMRO', '9056', '555537', '105', '11412');
INSERT INTO public.who_import VALUES (3578, '2020-09-16', 'AR', 'Argentina', 'AMRO', '9909', '565446', '298', '11710');
INSERT INTO public.who_import VALUES (3579, '2020-09-17', 'AR', 'Argentina', 'AMRO', '11892', '577338', '200', '11910');
INSERT INTO public.who_import VALUES (3580, '2020-09-18', 'AR', 'Argentina', 'AMRO', '11674', '589012', '319', '12229');
INSERT INTO public.who_import VALUES (3581, '2020-09-19', 'AR', 'Argentina', 'AMRO', '12701', '601713', '262', '12491');
INSERT INTO public.who_import VALUES (3582, '2020-09-20', 'AR', 'Argentina', 'AMRO', '11945', '613658', '214', '12705');
INSERT INTO public.who_import VALUES (3583, '2020-09-21', 'AR', 'Argentina', 'AMRO', '9276', '622934', '204', '12909');
INSERT INTO public.who_import VALUES (3584, '2020-09-22', 'AR', 'Argentina', 'AMRO', '8431', '631365', '144', '13053');
INSERT INTO public.who_import VALUES (3585, '2020-09-23', 'AR', 'Argentina', 'AMRO', '8782', '640147', '429', '13482');
INSERT INTO public.who_import VALUES (3586, '2020-09-24', 'AR', 'Argentina', 'AMRO', '12027', '652174', '470', '13952');
INSERT INTO public.who_import VALUES (3587, '2020-09-25', 'AR', 'Argentina', 'AMRO', '12625', '664799', '424', '14376');
INSERT INTO public.who_import VALUES (3588, '2020-09-26', 'AR', 'Argentina', 'AMRO', '13467', '678266', '390', '14766');
INSERT INTO public.who_import VALUES (3589, '2020-09-27', 'AR', 'Argentina', 'AMRO', '12969', '691235', '442', '15208');
INSERT INTO public.who_import VALUES (3590, '2020-09-28', 'AR', 'Argentina', 'AMRO', '11249', '702484', '335', '15543');
INSERT INTO public.who_import VALUES (3591, '2020-09-29', 'AR', 'Argentina', 'AMRO', '8841', '711325', '206', '15749');
INSERT INTO public.who_import VALUES (3592, '2020-09-30', 'AR', 'Argentina', 'AMRO', '11807', '723132', '364', '16113');
INSERT INTO public.who_import VALUES (3593, '2020-10-01', 'AR', 'Argentina', 'AMRO', '13477', '736609', '406', '16519');
INSERT INTO public.who_import VALUES (3594, '2020-10-02', 'AR', 'Argentina', 'AMRO', '14392', '751001', '418', '16937');
INSERT INTO public.who_import VALUES (3595, '2020-10-03', 'AR', 'Argentina', 'AMRO', '14001', '765002', '3351', '20288');
INSERT INTO public.who_import VALUES (3596, '2020-10-04', 'AR', 'Argentina', 'AMRO', '14687', '779689', '311', '20599');
INSERT INTO public.who_import VALUES (3597, '2020-10-05', 'AR', 'Argentina', 'AMRO', '11129', '790818', '196', '20795');
INSERT INTO public.who_import VALUES (3598, '2020-10-06', 'AR', 'Argentina', 'AMRO', '7668', '798486', '223', '21018');
INSERT INTO public.who_import VALUES (3599, '2020-10-07', 'AR', 'Argentina', 'AMRO', '11242', '809728', '450', '21468');
INSERT INTO public.who_import VALUES (3600, '2020-10-08', 'AR', 'Argentina', 'AMRO', '14740', '824468', '359', '21827');
INSERT INTO public.who_import VALUES (3601, '2020-10-09', 'AR', 'Argentina', 'AMRO', '16447', '840915', '399', '22226');
INSERT INTO public.who_import VALUES (3602, '2020-10-10', 'AR', 'Argentina', 'AMRO', '15454', '856369', '484', '22710');
INSERT INTO public.who_import VALUES (3603, '2020-10-11', 'AR', 'Argentina', 'AMRO', '15099', '871468', '515', '23225');
INSERT INTO public.who_import VALUES (3604, '2020-10-12', 'AR', 'Argentina', 'AMRO', '12414', '883882', '356', '23581');
INSERT INTO public.who_import VALUES (3605, '2020-10-13', 'AR', 'Argentina', 'AMRO', '10324', '894206', '287', '23868');
INSERT INTO public.who_import VALUES (3606, '2020-10-14', 'AR', 'Argentina', 'AMRO', '9524', '903730', '318', '24186');
INSERT INTO public.who_import VALUES (3607, '2020-10-15', 'AR', 'Argentina', 'AMRO', '13305', '917035', '386', '24572');
INSERT INTO public.who_import VALUES (3608, '2020-10-16', 'AR', 'Argentina', 'AMRO', '14932', '931967', '349', '24921');
INSERT INTO public.who_import VALUES (3609, '2020-10-17', 'AR', 'Argentina', 'AMRO', '17096', '949063', '421', '25342');
INSERT INTO public.who_import VALUES (3610, '2020-10-18', 'AR', 'Argentina', 'AMRO', '16546', '965609', '381', '25723');
INSERT INTO public.who_import VALUES (3611, '2020-10-19', 'AR', 'Argentina', 'AMRO', '13510', '979119', '384', '26107');
INSERT INTO public.who_import VALUES (3612, '2020-10-20', 'AR', 'Argentina', 'AMRO', '10561', '989680', '160', '26267');
INSERT INTO public.who_import VALUES (3613, '2020-10-21', 'AR', 'Argentina', 'AMRO', '12982', '1002662', '449', '26716');
INSERT INTO public.who_import VALUES (3614, '2020-10-22', 'AR', 'Argentina', 'AMRO', '18735', '1021397', '459', '27175');
INSERT INTO public.who_import VALUES (3615, '2020-10-23', 'AR', 'Argentina', 'AMRO', '15928', '1037325', '344', '27519');
INSERT INTO public.who_import VALUES (3616, '2020-10-24', 'AR', 'Argentina', 'AMRO', '16325', '1053650', '438', '27957');
INSERT INTO public.who_import VALUES (3617, '2020-10-25', 'AR', 'Argentina', 'AMRO', '15718', '1069368', '381', '28338');
INSERT INTO public.who_import VALUES (3618, '2020-10-26', 'AR', 'Argentina', 'AMRO', '11968', '1081336', '275', '28613');
INSERT INTO public.who_import VALUES (3619, '2020-10-27', 'AR', 'Argentina', 'AMRO', '9253', '1090589', '283', '28896');
INSERT INTO public.who_import VALUES (3620, '2020-10-28', 'AR', 'Argentina', 'AMRO', '11712', '1102301', '405', '29301');
INSERT INTO public.who_import VALUES (3621, '2020-10-29', 'AR', 'Argentina', 'AMRO', '14308', '1116609', '429', '29730');
INSERT INTO public.who_import VALUES (3622, '2020-10-30', 'AR', 'Argentina', 'AMRO', '13924', '1130533', '341', '30071');
INSERT INTO public.who_import VALUES (3623, '2020-10-31', 'AR', 'Argentina', 'AMRO', '13267', '1143800', '371', '30442');
INSERT INTO public.who_import VALUES (3624, '2020-11-01', 'AR', 'Argentina', 'AMRO', '13379', '1157179', '350', '30792');
INSERT INTO public.who_import VALUES (3625, '2020-11-02', 'AR', 'Argentina', 'AMRO', '9745', '1166924', '210', '31002');
INSERT INTO public.who_import VALUES (3626, '2020-11-03', 'AR', 'Argentina', 'AMRO', '6609', '1173533', '138', '31140');
INSERT INTO public.who_import VALUES (3627, '2020-11-04', 'AR', 'Argentina', 'AMRO', '9598', '1183131', '483', '31623');
INSERT INTO public.who_import VALUES (3628, '2020-11-05', 'AR', 'Argentina', 'AMRO', '13281', '1196412', '429', '32052');
INSERT INTO public.who_import VALUES (3629, '2020-11-06', 'AR', 'Argentina', 'AMRO', '9516', '1205928', '468', '32520');
INSERT INTO public.who_import VALUES (3630, '2020-11-07', 'AR', 'Argentina', 'AMRO', '11100', '1217028', '246', '32766');
INSERT INTO public.who_import VALUES (3631, '2020-11-08', 'AR', 'Argentina', 'AMRO', '11786', '1228814', '370', '33136');
INSERT INTO public.who_import VALUES (3632, '2020-11-09', 'AR', 'Argentina', 'AMRO', '8037', '1236851', '212', '33348');
INSERT INTO public.who_import VALUES (3633, '2020-11-10', 'AR', 'Argentina', 'AMRO', '5331', '1242182', '212', '33560');
INSERT INTO public.who_import VALUES (3634, '2020-11-11', 'AR', 'Argentina', 'AMRO', '8317', '1250499', '347', '33907');
INSERT INTO public.who_import VALUES (3635, '2020-11-12', 'AR', 'Argentina', 'AMRO', '11977', '1262476', '276', '34183');
INSERT INTO public.who_import VALUES (3636, '2020-11-13', 'AR', 'Argentina', 'AMRO', '10880', '1273356', '348', '34531');
INSERT INTO public.who_import VALUES (3637, '2020-11-14', 'AR', 'Argentina', 'AMRO', '11163', '1284519', '251', '34782');
INSERT INTO public.who_import VALUES (3638, '2020-11-15', 'AR', 'Argentina', 'AMRO', '11859', '1296378', '263', '35045');
INSERT INTO public.who_import VALUES (3639, '2020-11-16', 'AR', 'Argentina', 'AMRO', '8468', '1304846', '262', '35307');
INSERT INTO public.who_import VALUES (3640, '2020-11-17', 'AR', 'Argentina', 'AMRO', '5645', '1310491', '129', '35436');
INSERT INTO public.who_import VALUES (3641, '2020-11-18', 'AR', 'Argentina', 'AMRO', '7893', '1318384', '291', '35727');
INSERT INTO public.who_import VALUES (3642, '2020-11-19', 'AR', 'Argentina', 'AMRO', '10621', '1329005', '379', '36106');
INSERT INTO public.who_import VALUES (3643, '2020-11-20', 'AR', 'Argentina', 'AMRO', '10332', '1339337', '241', '36347');
INSERT INTO public.who_import VALUES (3644, '2020-11-21', 'AR', 'Argentina', 'AMRO', '10097', '1349434', '185', '36532');
INSERT INTO public.who_import VALUES (3645, '2020-11-22', 'AR', 'Argentina', 'AMRO', '9608', '1359042', '258', '36790');
INSERT INTO public.who_import VALUES (3646, '2020-11-23', 'AR', 'Argentina', 'AMRO', '7140', '1366182', '212', '37002');
INSERT INTO public.who_import VALUES (3647, '2020-11-24', 'AR', 'Argentina', 'AMRO', '4184', '1370366', '0', '37002');
INSERT INTO public.who_import VALUES (3648, '2020-11-25', 'AR', 'Argentina', 'AMRO', '4265', '1374631', '120', '37122');
INSERT INTO public.who_import VALUES (3649, '2020-11-26', 'AR', 'Argentina', 'AMRO', '7164', '1381795', '310', '37432');
INSERT INTO public.who_import VALUES (3650, '2020-11-27', 'AR', 'Argentina', 'AMRO', '8593', '1390388', '282', '37714');
INSERT INTO public.who_import VALUES (3651, '2020-11-28', 'AR', 'Argentina', 'AMRO', '9043', '1399431', '227', '37941');
INSERT INTO public.who_import VALUES (3652, '2020-11-29', 'AR', 'Argentina', 'AMRO', '7846', '1407277', '275', '38216');
INSERT INTO public.who_import VALUES (3653, '2020-11-30', 'AR', 'Argentina', 'AMRO', '6098', '1413375', '106', '38322');
INSERT INTO public.who_import VALUES (3654, '2020-12-01', 'AR', 'Argentina', 'AMRO', '5432', '1418807', '151', '38473');
INSERT INTO public.who_import VALUES (3655, '2020-12-02', 'AR', 'Argentina', 'AMRO', '5726', '1424533', '257', '38730');
INSERT INTO public.who_import VALUES (3656, '2020-12-03', 'AR', 'Argentina', 'AMRO', '8037', '1432570', '198', '38928');
INSERT INTO public.who_import VALUES (3657, '2020-12-04', 'AR', 'Argentina', 'AMRO', '7533', '1440103', '228', '39156');
INSERT INTO public.who_import VALUES (3658, '2020-12-05', 'AR', 'Argentina', 'AMRO', '7629', '1447732', '149', '39305');
INSERT INTO public.who_import VALUES (3659, '2020-12-06', 'AR', 'Argentina', 'AMRO', '6899', '1454631', '207', '39512');
INSERT INTO public.who_import VALUES (3660, '2020-12-07', 'AR', 'Argentina', 'AMRO', '5201', '1459832', '120', '39632');
INSERT INTO public.who_import VALUES (3661, '2020-12-08', 'AR', 'Argentina', 'AMRO', '3278', '1463110', '138', '39770');
INSERT INTO public.who_import VALUES (3662, '2020-12-09', 'AR', 'Argentina', 'AMRO', '3199', '1466309', '118', '39888');
INSERT INTO public.who_import VALUES (3663, '2020-12-10', 'AR', 'Argentina', 'AMRO', '3610', '1469919', '121', '40009');
INSERT INTO public.who_import VALUES (3664, '2020-12-11', 'AR', 'Argentina', 'AMRO', '5303', '1475222', '213', '40222');
INSERT INTO public.who_import VALUES (3665, '2020-12-12', 'AR', 'Argentina', 'AMRO', '8154', '1483376', '220', '40442');
INSERT INTO public.who_import VALUES (3666, '2020-12-13', 'AR', 'Argentina', 'AMRO', '5952', '1489328', '164', '40606');
INSERT INTO public.who_import VALUES (3667, '2020-12-14', 'AR', 'Argentina', 'AMRO', '5274', '1494602', '62', '40668');
INSERT INTO public.who_import VALUES (3668, '2020-12-15', 'AR', 'Argentina', 'AMRO', '3558', '1498160', '98', '40766');
INSERT INTO public.who_import VALUES (3669, '2020-12-16', 'AR', 'Argentina', 'AMRO', '5062', '1503222', '275', '41041');
INSERT INTO public.who_import VALUES (3670, '2020-12-17', 'AR', 'Argentina', 'AMRO', '6981', '1510203', '163', '41204');
INSERT INTO public.who_import VALUES (3671, '2020-12-18', 'AR', 'Argentina', 'AMRO', '6843', '1517046', '161', '41365');
INSERT INTO public.who_import VALUES (3672, '2020-12-19', 'AR', 'Argentina', 'AMRO', '7326', '1524372', '169', '41534');
INSERT INTO public.who_import VALUES (3673, '2020-12-20', 'AR', 'Argentina', 'AMRO', '7002', '1531374', '138', '41672');
INSERT INTO public.who_import VALUES (3674, '2020-12-21', 'AR', 'Argentina', 'AMRO', '5795', '1537169', '91', '41763');
INSERT INTO public.who_import VALUES (3675, '2020-12-22', 'AR', 'Argentina', 'AMRO', '4116', '1541285', '50', '41813');
INSERT INTO public.who_import VALUES (3676, '2020-12-23', 'AR', 'Argentina', 'AMRO', '5853', '1547138', '184', '41997');
INSERT INTO public.who_import VALUES (3677, '2020-12-24', 'AR', 'Argentina', 'AMRO', '8141', '1555279', '257', '42254');
INSERT INTO public.who_import VALUES (3678, '2020-12-25', 'AR', 'Argentina', 'AMRO', '8586', '1563865', '60', '42314');
INSERT INTO public.who_import VALUES (3679, '2020-12-26', 'AR', 'Argentina', 'AMRO', '7815', '1571680', '78', '42392');
INSERT INTO public.who_import VALUES (3680, '2020-12-27', 'AR', 'Argentina', 'AMRO', '2874', '1574554', '30', '42422');
INSERT INTO public.who_import VALUES (3681, '2020-12-28', 'AR', 'Argentina', 'AMRO', '3713', '1578267', '79', '42501');
INSERT INTO public.who_import VALUES (3682, '2020-12-29', 'AR', 'Argentina', 'AMRO', '5660', '1583927', '149', '42650');
INSERT INTO public.who_import VALUES (3683, '2020-12-30', 'AR', 'Argentina', 'AMRO', '6586', '1590513', '218', '42868');
INSERT INTO public.who_import VALUES (3684, '2020-12-31', 'AR', 'Argentina', 'AMRO', '11650', '1602163', '150', '43018');
INSERT INTO public.who_import VALUES (3685, '2021-01-01', 'AR', 'Argentina', 'AMRO', '11765', '1613928', '145', '43163');
INSERT INTO public.who_import VALUES (3686, '2021-01-02', 'AR', 'Argentina', 'AMRO', '11586', '1625514', '82', '43245');
INSERT INTO public.who_import VALUES (3687, '2021-01-03', 'AR', 'Argentina', 'AMRO', '4080', '1629594', '74', '43319');
INSERT INTO public.who_import VALUES (3688, '2021-01-04', 'AR', 'Argentina', 'AMRO', '5240', '1634834', '56', '43375');
INSERT INTO public.who_import VALUES (3689, '2021-01-05', 'AR', 'Argentina', 'AMRO', '5884', '1640718', '107', '43482');
INSERT INTO public.who_import VALUES (3690, '2021-01-06', 'AR', 'Argentina', 'AMRO', '8222', '1648940', '152', '43634');
INSERT INTO public.who_import VALUES (3691, '2021-01-07', 'AR', 'Argentina', 'AMRO', '13790', '1662730', '151', '43785');
INSERT INTO public.who_import VALUES (3692, '2021-01-08', 'AR', 'Argentina', 'AMRO', '13441', '1676171', '191', '43976');
INSERT INTO public.who_import VALUES (3693, '2021-01-09', 'AR', 'Argentina', 'AMRO', '13835', '1690006', '146', '44122');
INSERT INTO public.who_import VALUES (3694, '2021-01-10', 'AR', 'Argentina', 'AMRO', '13346', '1703352', '151', '44273');
INSERT INTO public.who_import VALUES (3695, '2021-01-11', 'AR', 'Argentina', 'AMRO', '11057', '1714409', '144', '44417');
INSERT INTO public.who_import VALUES (3696, '2021-01-12', 'AR', 'Argentina', 'AMRO', '7808', '1722217', '78', '44495');
INSERT INTO public.who_import VALUES (3697, '2021-01-13', 'AR', 'Argentina', 'AMRO', '8704', '1730921', '159', '44654');
INSERT INTO public.who_import VALUES (3698, '2021-01-14', 'AR', 'Argentina', 'AMRO', '13783', '1744704', '194', '44848');
INSERT INTO public.who_import VALUES (3699, '2021-01-15', 'AR', 'Argentina', 'AMRO', '12725', '1757429', '135', '44983');
INSERT INTO public.who_import VALUES (3700, '2021-01-16', 'AR', 'Argentina', 'AMRO', '13286', '1770715', '142', '45125');
INSERT INTO public.who_import VALUES (3701, '2021-01-17', 'AR', 'Argentina', 'AMRO', '12332', '1783047', '102', '45227');
INSERT INTO public.who_import VALUES (3702, '2021-01-18', 'AR', 'Argentina', 'AMRO', '8932', '1791979', '68', '45295');
INSERT INTO public.who_import VALUES (3703, '2021-01-19', 'AR', 'Argentina', 'AMRO', '7264', '1799243', '112', '45407');
INSERT INTO public.who_import VALUES (3704, '2021-01-20', 'AR', 'Argentina', 'AMRO', '8185', '1807428', '425', '45832');
INSERT INTO public.who_import VALUES (3705, '2021-01-21', 'AR', 'Argentina', 'AMRO', '12141', '1819569', '234', '46066');
INSERT INTO public.who_import VALUES (3706, '2021-01-22', 'AR', 'Argentina', 'AMRO', '12112', '1831681', '150', '46216');
INSERT INTO public.who_import VALUES (3707, '2021-01-23', 'AR', 'Argentina', 'AMRO', '11396', '1843077', '139', '46355');
INSERT INTO public.who_import VALUES (3708, '2021-01-24', 'AR', 'Argentina', 'AMRO', '10753', '1853830', '220', '46575');
INSERT INTO public.who_import VALUES (3709, '2021-01-25', 'AR', 'Argentina', 'AMRO', '8362', '1862192', '162', '46737');
INSERT INTO public.who_import VALUES (3710, '2021-01-26', 'AR', 'Argentina', 'AMRO', '5031', '1867223', '90', '46827');
INSERT INTO public.who_import VALUES (3711, '2021-01-27', 'AR', 'Argentina', 'AMRO', '7578', '1874801', '207', '47034');
INSERT INTO public.who_import VALUES (3712, '2021-01-28', 'AR', 'Argentina', 'AMRO', '10409', '1885210', '219', '47253');
INSERT INTO public.who_import VALUES (3713, '2021-01-29', 'AR', 'Argentina', 'AMRO', '10843', '1896053', '182', '47435');
INSERT INTO public.who_import VALUES (3714, '2021-01-30', 'AR', 'Argentina', 'AMRO', '9471', '1905524', '166', '47601');
INSERT INTO public.who_import VALUES (3715, '2021-01-31', 'AR', 'Argentina', 'AMRO', '9838', '1915362', '174', '47775');
INSERT INTO public.who_import VALUES (3716, '2021-02-01', 'AR', 'Argentina', 'AMRO', '6902', '1922264', '156', '47931');
INSERT INTO public.who_import VALUES (3717, '2021-02-02', 'AR', 'Argentina', 'AMRO', '4975', '1927239', '43', '47974');
INSERT INTO public.who_import VALUES (3718, '2021-02-03', 'AR', 'Argentina', 'AMRO', '6614', '1933853', '275', '48249');
INSERT INTO public.who_import VALUES (3719, '2021-02-04', 'AR', 'Argentina', 'AMRO', '9695', '1943548', '177', '48426');
INSERT INTO public.who_import VALUES (3720, '2021-02-05', 'AR', 'Argentina', 'AMRO', '9196', '1952744', '113', '48539');
INSERT INTO public.who_import VALUES (3721, '2021-02-06', 'AR', 'Argentina', 'AMRO', '8891', '1961635', '161', '48700');
INSERT INTO public.who_import VALUES (3722, '2021-02-07', 'AR', 'Argentina', 'AMRO', '8374', '1970009', '285', '48985');
INSERT INTO public.who_import VALUES (3723, '2021-02-08', 'AR', 'Argentina', 'AMRO', '6680', '1976689', '125', '49110');
INSERT INTO public.who_import VALUES (3724, '2021-02-09', 'AR', 'Argentina', 'AMRO', '3658', '1980347', '61', '49171');
INSERT INTO public.who_import VALUES (3725, '2021-02-10', 'AR', 'Argentina', 'AMRO', '5154', '1985501', '227', '49398');
INSERT INTO public.who_import VALUES (3726, '2021-02-11', 'AR', 'Argentina', 'AMRO', '7794', '1993295', '158', '49556');
INSERT INTO public.who_import VALUES (3727, '2021-02-12', 'AR', 'Argentina', 'AMRO', '7739', '2001034', '118', '49674');
INSERT INTO public.who_import VALUES (3728, '2021-02-13', 'AR', 'Argentina', 'AMRO', '7311', '2008345', '200', '49874');
INSERT INTO public.who_import VALUES (3729, '2021-02-14', 'AR', 'Argentina', 'AMRO', '13208', '2021553', '314', '50188');
INSERT INTO public.who_import VALUES (3730, '2021-02-15', 'AR', 'Argentina', 'AMRO', '4245', '2025798', '48', '50236');
INSERT INTO public.who_import VALUES (3731, '2021-02-16', 'AR', 'Argentina', 'AMRO', '0', '2025798', '0', '50236');
INSERT INTO public.who_import VALUES (3732, '2021-02-17', 'AR', 'Argentina', 'AMRO', '3259', '2029057', '91', '50327');
INSERT INTO public.who_import VALUES (3733, '2021-02-18', 'AR', 'Argentina', 'AMRO', '4003', '2033060', '105', '50432');
INSERT INTO public.who_import VALUES (3734, '2021-02-19', 'AR', 'Argentina', 'AMRO', '6064', '2039124', '184', '50616');
INSERT INTO public.who_import VALUES (3735, '2021-02-20', 'AR', 'Argentina', 'AMRO', '7671', '2046795', '241', '50857');
INSERT INTO public.who_import VALUES (3736, '2020-01-03', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3737, '2020-01-04', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3738, '2020-01-05', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3739, '2020-01-06', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3740, '2020-01-07', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3741, '2020-01-08', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3742, '2020-01-09', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3743, '2020-01-10', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3744, '2020-01-11', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3745, '2020-01-12', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3746, '2020-01-13', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3747, '2020-01-14', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3748, '2020-01-15', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3749, '2020-01-16', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3750, '2020-01-17', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3751, '2020-01-18', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3752, '2020-01-19', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3753, '2020-01-20', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3754, '2020-01-21', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3755, '2020-01-22', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3756, '2020-01-23', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3757, '2020-01-24', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3758, '2020-01-25', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3759, '2020-01-26', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3760, '2020-01-27', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3761, '2020-01-28', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3762, '2020-01-29', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3763, '2020-01-30', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3764, '2020-01-31', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3765, '2020-02-01', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3766, '2020-02-02', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3767, '2020-02-03', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3768, '2020-02-04', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3769, '2020-02-05', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3770, '2020-02-06', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3771, '2020-02-07', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3772, '2020-02-08', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3773, '2020-02-09', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3774, '2020-02-10', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3775, '2020-02-11', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3776, '2020-02-12', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3777, '2020-02-13', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3778, '2020-02-14', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3779, '2020-02-15', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3780, '2020-02-16', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3781, '2020-02-17', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3782, '2020-02-18', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3783, '2020-02-19', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3784, '2020-02-20', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3785, '2020-02-21', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3786, '2020-02-22', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3787, '2020-02-23', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3788, '2020-02-24', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3789, '2020-02-25', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3790, '2020-02-26', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3791, '2020-02-27', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3792, '2020-02-28', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3793, '2020-02-29', 'AM', 'Armenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (3794, '2020-03-01', 'AM', 'Armenia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (3795, '2020-03-02', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3796, '2020-03-03', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3797, '2020-03-04', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3798, '2020-03-05', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3799, '2020-03-06', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3800, '2020-03-07', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3801, '2020-03-08', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3802, '2020-03-09', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3803, '2020-03-10', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3804, '2020-03-11', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3805, '2020-03-12', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3806, '2020-03-13', 'AM', 'Armenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (3807, '2020-03-14', 'AM', 'Armenia', 'EURO', '7', '8', '0', '0');
INSERT INTO public.who_import VALUES (3808, '2020-03-15', 'AM', 'Armenia', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (3809, '2020-03-16', 'AM', 'Armenia', 'EURO', '18', '26', '0', '0');
INSERT INTO public.who_import VALUES (3810, '2020-03-17', 'AM', 'Armenia', 'EURO', '4', '30', '0', '0');
INSERT INTO public.who_import VALUES (3811, '2020-03-18', 'AM', 'Armenia', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (3812, '2020-03-19', 'AM', 'Armenia', 'EURO', '31', '61', '0', '0');
INSERT INTO public.who_import VALUES (3813, '2020-03-20', 'AM', 'Armenia', 'EURO', '31', '92', '0', '0');
INSERT INTO public.who_import VALUES (3814, '2020-03-21', 'AM', 'Armenia', 'EURO', '21', '113', '0', '0');
INSERT INTO public.who_import VALUES (3815, '2020-03-22', 'AM', 'Armenia', 'EURO', '24', '137', '0', '0');
INSERT INTO public.who_import VALUES (3816, '2020-03-23', 'AM', 'Armenia', 'EURO', '30', '167', '0', '0');
INSERT INTO public.who_import VALUES (3817, '2020-03-24', 'AM', 'Armenia', 'EURO', '4', '171', '0', '0');
INSERT INTO public.who_import VALUES (3818, '2020-03-25', 'AM', 'Armenia', 'EURO', '41', '212', '0', '0');
INSERT INTO public.who_import VALUES (3819, '2020-03-26', 'AM', 'Armenia', 'EURO', '30', '242', '0', '0');
INSERT INTO public.who_import VALUES (3820, '2020-03-27', 'AM', 'Armenia', 'EURO', '25', '267', '1', '1');
INSERT INTO public.who_import VALUES (3821, '2020-03-28', 'AM', 'Armenia', 'EURO', '39', '306', '0', '1');
INSERT INTO public.who_import VALUES (3822, '2020-03-29', 'AM', 'Armenia', 'EURO', '43', '349', '0', '1');
INSERT INTO public.who_import VALUES (3823, '2020-03-30', 'AM', 'Armenia', 'EURO', '52', '401', '2', '3');
INSERT INTO public.who_import VALUES (3824, '2020-03-31', 'AM', 'Armenia', 'EURO', '58', '459', '0', '3');
INSERT INTO public.who_import VALUES (3825, '2020-04-01', 'AM', 'Armenia', 'EURO', '50', '509', '0', '3');
INSERT INTO public.who_import VALUES (3826, '2020-04-02', 'AM', 'Armenia', 'EURO', '39', '548', '0', '3');
INSERT INTO public.who_import VALUES (3827, '2020-04-03', 'AM', 'Armenia', 'EURO', '92', '640', '1', '4');
INSERT INTO public.who_import VALUES (3828, '2020-04-04', 'AM', 'Armenia', 'EURO', '72', '712', '3', '7');
INSERT INTO public.who_import VALUES (3829, '2020-04-05', 'AM', 'Armenia', 'EURO', '34', '746', '0', '7');
INSERT INTO public.who_import VALUES (3830, '2020-04-06', 'AM', 'Armenia', 'EURO', '52', '798', '0', '7');
INSERT INTO public.who_import VALUES (3831, '2020-04-07', 'AM', 'Armenia', 'EURO', '11', '809', '1', '8');
INSERT INTO public.who_import VALUES (3832, '2020-04-08', 'AM', 'Armenia', 'EURO', '20', '829', '0', '8');
INSERT INTO public.who_import VALUES (3833, '2020-04-09', 'AM', 'Armenia', 'EURO', '28', '857', '1', '9');
INSERT INTO public.who_import VALUES (3834, '2020-04-10', 'AM', 'Armenia', 'EURO', '40', '897', '1', '10');
INSERT INTO public.who_import VALUES (3835, '2020-04-11', 'AM', 'Armenia', 'EURO', '16', '913', '1', '11');
INSERT INTO public.who_import VALUES (3836, '2020-04-12', 'AM', 'Armenia', 'EURO', '30', '943', '2', '13');
INSERT INTO public.who_import VALUES (3837, '2020-04-13', 'AM', 'Armenia', 'EURO', '46', '989', '0', '13');
INSERT INTO public.who_import VALUES (3838, '2020-04-14', 'AM', 'Armenia', 'EURO', '26', '1015', '1', '14');
INSERT INTO public.who_import VALUES (3839, '2020-04-15', 'AM', 'Armenia', 'EURO', '28', '1043', '2', '16');
INSERT INTO public.who_import VALUES (3840, '2020-04-16', 'AM', 'Armenia', 'EURO', '44', '1087', '1', '17');
INSERT INTO public.who_import VALUES (3841, '2020-04-17', 'AM', 'Armenia', 'EURO', '48', '1135', '1', '18');
INSERT INTO public.who_import VALUES (3842, '2020-04-18', 'AM', 'Armenia', 'EURO', '42', '1177', '1', '19');
INSERT INTO public.who_import VALUES (3843, '2020-04-19', 'AM', 'Armenia', 'EURO', '47', '1224', '1', '20');
INSERT INTO public.who_import VALUES (3844, '2020-04-20', 'AM', 'Armenia', 'EURO', '43', '1267', '0', '20');
INSERT INTO public.who_import VALUES (3845, '2020-04-21', 'AM', 'Armenia', 'EURO', '48', '1315', '2', '22');
INSERT INTO public.who_import VALUES (3846, '2020-04-22', 'AM', 'Armenia', 'EURO', '62', '1377', '2', '24');
INSERT INTO public.who_import VALUES (3847, '2020-04-23', 'AM', 'Armenia', 'EURO', '72', '1449', '0', '24');
INSERT INTO public.who_import VALUES (3848, '2020-04-24', 'AM', 'Armenia', 'EURO', '50', '1499', '0', '24');
INSERT INTO public.who_import VALUES (3849, '2020-04-25', 'AM', 'Armenia', 'EURO', '73', '1572', '3', '27');
INSERT INTO public.who_import VALUES (3850, '2020-04-26', 'AM', 'Armenia', 'EURO', '81', '1653', '1', '28');
INSERT INTO public.who_import VALUES (3851, '2020-04-27', 'AM', 'Armenia', 'EURO', '69', '1722', '0', '28');
INSERT INTO public.who_import VALUES (3852, '2020-04-28', 'AM', 'Armenia', 'EURO', '62', '1784', '1', '29');
INSERT INTO public.who_import VALUES (3853, '2020-04-29', 'AM', 'Armenia', 'EURO', '59', '1843', '1', '30');
INSERT INTO public.who_import VALUES (3854, '2020-04-30', 'AM', 'Armenia', 'EURO', '65', '1908', '0', '30');
INSERT INTO public.who_import VALUES (3855, '2020-05-01', 'AM', 'Armenia', 'EURO', '134', '2042', '2', '32');
INSERT INTO public.who_import VALUES (3856, '2020-05-02', 'AM', 'Armenia', 'EURO', '82', '2124', '1', '33');
INSERT INTO public.who_import VALUES (3857, '2020-05-03', 'AM', 'Armenia', 'EURO', '125', '2249', '0', '33');
INSERT INTO public.who_import VALUES (3858, '2020-05-04', 'AM', 'Armenia', 'EURO', '113', '2362', '2', '35');
INSERT INTO public.who_import VALUES (3859, '2020-05-05', 'AM', 'Armenia', 'EURO', '121', '2483', '4', '39');
INSERT INTO public.who_import VALUES (3860, '2020-05-06', 'AM', 'Armenia', 'EURO', '112', '2595', '1', '40');
INSERT INTO public.who_import VALUES (3861, '2020-05-07', 'AM', 'Armenia', 'EURO', '163', '2758', '0', '40');
INSERT INTO public.who_import VALUES (3862, '2020-05-08', 'AM', 'Armenia', 'EURO', '102', '2860', '2', '42');
INSERT INTO public.who_import VALUES (3863, '2020-05-09', 'AM', 'Armenia', 'EURO', '145', '3005', '1', '43');
INSERT INTO public.who_import VALUES (3864, '2020-05-10', 'AM', 'Armenia', 'EURO', '146', '3151', '1', '44');
INSERT INTO public.who_import VALUES (3865, '2020-05-11', 'AM', 'Armenia', 'EURO', '138', '3289', '1', '45');
INSERT INTO public.who_import VALUES (3866, '2020-05-12', 'AM', 'Armenia', 'EURO', '79', '3368', '1', '46');
INSERT INTO public.who_import VALUES (3867, '2020-05-13', 'AM', 'Armenia', 'EURO', '146', '3514', '1', '47');
INSERT INTO public.who_import VALUES (3868, '2020-05-14', 'AM', 'Armenia', 'EURO', '180', '3694', '1', '48');
INSERT INTO public.who_import VALUES (3869, '2020-05-15', 'AM', 'Armenia', 'EURO', '142', '3836', '1', '49');
INSERT INTO public.who_import VALUES (3870, '2020-05-16', 'AM', 'Armenia', 'EURO', '184', '4020', '3', '52');
INSERT INTO public.who_import VALUES (3871, '2020-05-17', 'AM', 'Armenia', 'EURO', '239', '4259', '3', '55');
INSERT INTO public.who_import VALUES (3872, '2020-05-18', 'AM', 'Armenia', 'EURO', '189', '4448', '5', '60');
INSERT INTO public.who_import VALUES (3873, '2020-05-19', 'AM', 'Armenia', 'EURO', '351', '4799', '1', '61');
INSERT INTO public.who_import VALUES (3874, '2020-05-20', 'AM', 'Armenia', 'EURO', '218', '5017', '3', '64');
INSERT INTO public.who_import VALUES (3875, '2020-05-21', 'AM', 'Armenia', 'EURO', '230', '5247', '3', '67');
INSERT INTO public.who_import VALUES (3876, '2020-05-22', 'AM', 'Armenia', 'EURO', '335', '5582', '3', '70');
INSERT INTO public.who_import VALUES (3877, '2020-05-23', 'AM', 'Armenia', 'EURO', '322', '5904', '4', '74');
INSERT INTO public.who_import VALUES (3878, '2020-05-24', 'AM', 'Armenia', 'EURO', '374', '6278', '3', '77');
INSERT INTO public.who_import VALUES (3879, '2020-05-25', 'AM', 'Armenia', 'EURO', '359', '6637', '4', '81');
INSERT INTO public.who_import VALUES (3880, '2020-05-26', 'AM', 'Armenia', 'EURO', '452', '7089', '6', '87');
INSERT INTO public.who_import VALUES (3881, '2020-05-27', 'AM', 'Armenia', 'EURO', '289', '7378', '4', '91');
INSERT INTO public.who_import VALUES (3882, '2020-05-28', 'AM', 'Armenia', 'EURO', '372', '7750', '7', '98');
INSERT INTO public.who_import VALUES (3883, '2020-05-29', 'AM', 'Armenia', 'EURO', '442', '8192', '15', '113');
INSERT INTO public.who_import VALUES (3884, '2020-05-30', 'AM', 'Armenia', 'EURO', '460', '8652', '7', '120');
INSERT INTO public.who_import VALUES (3885, '2020-05-31', 'AM', 'Armenia', 'EURO', '251', '8903', '7', '127');
INSERT INTO public.who_import VALUES (3886, '2020-06-01', 'AM', 'Armenia', 'EURO', '355', '9258', '4', '131');
INSERT INTO public.who_import VALUES (3887, '2020-06-02', 'AM', 'Armenia', 'EURO', '210', '9468', '8', '139');
INSERT INTO public.who_import VALUES (3888, '2020-06-03', 'AM', 'Armenia', 'EURO', '517', '9985', '19', '158');
INSERT INTO public.who_import VALUES (3889, '2020-06-04', 'AM', 'Armenia', 'EURO', '515', '10500', '12', '170');
INSERT INTO public.who_import VALUES (3890, '2020-06-05', 'AM', 'Armenia', 'EURO', '697', '11197', '6', '176');
INSERT INTO public.who_import VALUES (3891, '2020-06-06', 'AM', 'Armenia', 'EURO', '596', '11793', '7', '183');
INSERT INTO public.who_import VALUES (3892, '2020-06-07', 'AM', 'Armenia', 'EURO', '547', '12340', '7', '190');
INSERT INTO public.who_import VALUES (3893, '2020-06-08', 'AM', 'Armenia', 'EURO', '766', '13106', '10', '200');
INSERT INTO public.who_import VALUES (3894, '2020-06-09', 'AM', 'Armenia', 'EURO', '195', '13301', '11', '211');
INSERT INTO public.who_import VALUES (3895, '2020-06-10', 'AM', 'Armenia', 'EURO', '350', '13651', '6', '217');
INSERT INTO public.who_import VALUES (3896, '2020-06-11', 'AM', 'Armenia', 'EURO', '428', '14079', '10', '227');
INSERT INTO public.who_import VALUES (3897, '2020-06-12', 'AM', 'Armenia', 'EURO', '566', '14645', '18', '245');
INSERT INTO public.who_import VALUES (3898, '2020-06-13', 'AM', 'Armenia', 'EURO', '612', '15257', '13', '258');
INSERT INTO public.who_import VALUES (3899, '2020-06-14', 'AM', 'Armenia', 'EURO', '723', '15980', '6', '264');
INSERT INTO public.who_import VALUES (3900, '2020-06-15', 'AM', 'Armenia', 'EURO', '397', '16377', '16', '280');
INSERT INTO public.who_import VALUES (3901, '2020-06-16', 'AM', 'Armenia', 'EURO', '425', '16802', '8', '288');
INSERT INTO public.who_import VALUES (3902, '2020-06-17', 'AM', 'Armenia', 'EURO', '544', '17346', '9', '297');
INSERT INTO public.who_import VALUES (3903, '2020-06-18', 'AM', 'Armenia', 'EURO', '665', '18011', '7', '304');
INSERT INTO public.who_import VALUES (3904, '2020-06-19', 'AM', 'Armenia', 'EURO', '459', '18470', '10', '314');
INSERT INTO public.who_import VALUES (3905, '2020-06-20', 'AM', 'Armenia', 'EURO', '551', '19021', '13', '327');
INSERT INTO public.who_import VALUES (3906, '2020-06-21', 'AM', 'Armenia', 'EURO', '560', '19581', '18', '345');
INSERT INTO public.who_import VALUES (3907, '2020-06-22', 'AM', 'Armenia', 'EURO', '320', '19901', '10', '355');
INSERT INTO public.who_import VALUES (3908, '2020-06-23', 'AM', 'Armenia', 'EURO', '418', '20319', '12', '367');
INSERT INTO public.who_import VALUES (3909, '2020-06-24', 'AM', 'Armenia', 'EURO', '711', '21030', '14', '381');
INSERT INTO public.who_import VALUES (3910, '2020-06-25', 'AM', 'Armenia', 'EURO', '771', '21801', '11', '392');
INSERT INTO public.who_import VALUES (3911, '2020-06-26', 'AM', 'Armenia', 'EURO', '759', '22560', '13', '405');
INSERT INTO public.who_import VALUES (3912, '2020-06-27', 'AM', 'Armenia', 'EURO', '662', '23222', '10', '415');
INSERT INTO public.who_import VALUES (3913, '2020-06-28', 'AM', 'Armenia', 'EURO', '736', '23958', '6', '421');
INSERT INTO public.who_import VALUES (3914, '2020-06-29', 'AM', 'Armenia', 'EURO', '482', '24440', '7', '428');
INSERT INTO public.who_import VALUES (3915, '2020-06-30', 'AM', 'Armenia', 'EURO', '415', '24855', '10', '438');
INSERT INTO public.who_import VALUES (3916, '2020-07-01', 'AM', 'Armenia', 'EURO', '523', '25378', '10', '448');
INSERT INTO public.who_import VALUES (3917, '2020-07-02', 'AM', 'Armenia', 'EURO', '593', '25971', '6', '454');
INSERT INTO public.who_import VALUES (3918, '2020-07-03', 'AM', 'Armenia', 'EURO', '662', '26633', '10', '464');
INSERT INTO public.who_import VALUES (3919, '2020-07-04', 'AM', 'Armenia', 'EURO', '580', '27213', '8', '472');
INSERT INTO public.who_import VALUES (3920, '2020-07-05', 'AM', 'Armenia', 'EURO', '706', '27919', '7', '479');
INSERT INTO public.who_import VALUES (3921, '2020-07-06', 'AM', 'Armenia', 'EURO', '330', '28249', '7', '486');
INSERT INTO public.who_import VALUES (3922, '2020-07-07', 'AM', 'Armenia', 'EURO', '349', '28598', '12', '498');
INSERT INTO public.who_import VALUES (3923, '2020-07-08', 'AM', 'Armenia', 'EURO', '535', '29133', '18', '516');
INSERT INTO public.who_import VALUES (3924, '2020-07-09', 'AM', 'Armenia', 'EURO', '526', '29659', '14', '530');
INSERT INTO public.who_import VALUES (3925, '2020-07-10', 'AM', 'Armenia', 'EURO', '557', '30216', '11', '541');
INSERT INTO public.who_import VALUES (3926, '2020-07-11', 'AM', 'Armenia', 'EURO', '489', '30705', '13', '554');
INSERT INTO public.who_import VALUES (3927, '2020-07-12', 'AM', 'Armenia', 'EURO', '577', '31282', '6', '560');
INSERT INTO public.who_import VALUES (3928, '2020-07-13', 'AM', 'Armenia', 'EURO', '182', '31464', '8', '568');
INSERT INTO public.who_import VALUES (3929, '2020-07-14', 'AM', 'Armenia', 'EURO', '339', '31803', '8', '576');
INSERT INTO public.who_import VALUES (3930, '2020-07-15', 'AM', 'Armenia', 'EURO', '515', '32318', '11', '587');
INSERT INTO public.who_import VALUES (3931, '2020-07-16', 'AM', 'Armenia', 'EURO', '554', '32872', '15', '602');
INSERT INTO public.who_import VALUES (3932, '2020-07-17', 'AM', 'Armenia', 'EURO', '442', '33314', '13', '615');
INSERT INTO public.who_import VALUES (3933, '2020-07-18', 'AM', 'Armenia', 'EURO', '461', '33775', '11', '626');
INSERT INTO public.who_import VALUES (3934, '2020-07-19', 'AM', 'Armenia', 'EURO', '415', '34190', '10', '636');
INSERT INTO public.who_import VALUES (3935, '2020-07-20', 'AM', 'Armenia', 'EURO', '104', '34294', '9', '645');
INSERT INTO public.who_import VALUES (3936, '2020-07-21', 'AM', 'Armenia', 'EURO', '273', '34567', '12', '657');
INSERT INTO public.who_import VALUES (3937, '2020-07-22', 'AM', 'Armenia', 'EURO', '439', '35006', '16', '673');
INSERT INTO public.who_import VALUES (3938, '2020-07-23', 'AM', 'Armenia', 'EURO', '469', '35475', '10', '683');
INSERT INTO public.who_import VALUES (3939, '2020-07-24', 'AM', 'Armenia', 'EURO', '451', '35926', '4', '687');
INSERT INTO public.who_import VALUES (3940, '2020-07-25', 'AM', 'Armenia', 'EURO', '383', '36309', '8', '695');
INSERT INTO public.who_import VALUES (3941, '2020-07-26', 'AM', 'Armenia', 'EURO', '321', '36630', '5', '700');
INSERT INTO public.who_import VALUES (3942, '2020-07-27', 'AM', 'Armenia', 'EURO', '73', '36703', '6', '706');
INSERT INTO public.who_import VALUES (3943, '2020-07-28', 'AM', 'Armenia', 'EURO', '239', '36942', '8', '714');
INSERT INTO public.who_import VALUES (3944, '2020-07-29', 'AM', 'Armenia', 'EURO', '308', '37250', '4', '718');
INSERT INTO public.who_import VALUES (3945, '2020-07-30', 'AM', 'Armenia', 'EURO', '259', '37509', '5', '723');
INSERT INTO public.who_import VALUES (3946, '2020-07-31', 'AM', 'Armenia', 'EURO', '354', '37863', '10', '733');
INSERT INTO public.who_import VALUES (3947, '2020-08-01', 'AM', 'Armenia', 'EURO', '291', '38154', '11', '744');
INSERT INTO public.who_import VALUES (3948, '2020-08-02', 'AM', 'Armenia', 'EURO', '209', '38363', '5', '749');
INSERT INTO public.who_import VALUES (3949, '2020-08-03', 'AM', 'Armenia', 'EURO', '52', '38415', '8', '757');
INSERT INTO public.who_import VALUES (3950, '2020-08-04', 'AM', 'Armenia', 'EURO', '196', '38611', '6', '763');
INSERT INTO public.who_import VALUES (3951, '2020-08-05', 'AM', 'Armenia', 'EURO', '288', '38899', '2', '765');
INSERT INTO public.who_import VALUES (3952, '2020-08-06', 'AM', 'Armenia', 'EURO', '233', '39132', '2', '767');
INSERT INTO public.who_import VALUES (3953, '2020-08-07', 'AM', 'Armenia', 'EURO', '166', '39298', '5', '772');
INSERT INTO public.who_import VALUES (3954, '2020-08-08', 'AM', 'Armenia', 'EURO', '200', '39498', '8', '780');
INSERT INTO public.who_import VALUES (3955, '2020-08-09', 'AM', 'Armenia', 'EURO', '225', '39723', '6', '786');
INSERT INTO public.who_import VALUES (3956, '2020-08-10', 'AM', 'Armenia', 'EURO', '23', '39746', '5', '791');
INSERT INTO public.who_import VALUES (3957, '2020-08-11', 'AM', 'Armenia', 'EURO', '160', '39906', '7', '798');
INSERT INTO public.who_import VALUES (3958, '2020-08-12', 'AM', 'Armenia', 'EURO', '201', '40107', '3', '801');
INSERT INTO public.who_import VALUES (3959, '2020-08-13', 'AM', 'Armenia', 'EURO', '229', '40336', '3', '804');
INSERT INTO public.who_import VALUES (3960, '2020-08-14', 'AM', 'Armenia', 'EURO', '276', '40612', '5', '809');
INSERT INTO public.who_import VALUES (3961, '2020-08-15', 'AM', 'Armenia', 'EURO', '196', '40808', '3', '812');
INSERT INTO public.who_import VALUES (3962, '2020-08-16', 'AM', 'Armenia', 'EURO', '168', '40976', '1', '813');
INSERT INTO public.who_import VALUES (3963, '2020-08-17', 'AM', 'Armenia', 'EURO', '38', '41014', '6', '819');
INSERT INTO public.who_import VALUES (3964, '2020-08-18', 'AM', 'Armenia', 'EURO', '145', '41159', '8', '827');
INSERT INTO public.who_import VALUES (3965, '2020-08-19', 'AM', 'Armenia', 'EURO', '210', '41369', '1', '828');
INSERT INTO public.who_import VALUES (3966, '2020-08-20', 'AM', 'Armenia', 'EURO', '263', '41632', '3', '831');
INSERT INTO public.who_import VALUES (3967, '2020-08-21', 'AM', 'Armenia', 'EURO', '158', '41790', '6', '837');
INSERT INTO public.who_import VALUES (3968, '2020-08-22', 'AM', 'Armenia', 'EURO', '139', '41929', '8', '845');
INSERT INTO public.who_import VALUES (3969, '2020-08-23', 'AM', 'Armenia', 'EURO', '176', '42105', '2', '847');
INSERT INTO public.who_import VALUES (3970, '2020-08-24', 'AM', 'Armenia', 'EURO', '33', '42138', '2', '849');
INSERT INTO public.who_import VALUES (3971, '2020-08-25', 'AM', 'Armenia', 'EURO', '111', '42249', '4', '853');
INSERT INTO public.who_import VALUES (3972, '2020-08-26', 'AM', 'Armenia', 'EURO', '131', '42380', '3', '856');
INSERT INTO public.who_import VALUES (3973, '2020-08-27', 'AM', 'Armenia', 'EURO', '203', '42583', '3', '859');
INSERT INTO public.who_import VALUES (3974, '2020-08-28', 'AM', 'Armenia', 'EURO', '181', '42764', '5', '864');
INSERT INTO public.who_import VALUES (3975, '2020-08-29', 'AM', 'Armenia', 'EURO', '175', '42939', '3', '867');
INSERT INTO public.who_import VALUES (3976, '2020-08-30', 'AM', 'Armenia', 'EURO', '124', '43063', '5', '872');
INSERT INTO public.who_import VALUES (3977, '2020-08-31', 'AM', 'Armenia', 'EURO', '31', '43094', '2', '874');
INSERT INTO public.who_import VALUES (3978, '2020-09-01', 'AM', 'Armenia', 'EURO', '97', '43191', '2', '876');
INSERT INTO public.who_import VALUES (3979, '2020-09-02', 'AM', 'Armenia', 'EURO', '197', '43388', '3', '879');
INSERT INTO public.who_import VALUES (3980, '2020-09-03', 'AM', 'Armenia', 'EURO', '196', '43584', '3', '882');
INSERT INTO public.who_import VALUES (3981, '2020-09-04', 'AM', 'Armenia', 'EURO', '190', '43774', '4', '886');
INSERT INTO public.who_import VALUES (3982, '2020-09-05', 'AM', 'Armenia', 'EURO', '188', '43962', '4', '890');
INSERT INTO public.who_import VALUES (3983, '2020-09-06', 'AM', 'Armenia', 'EURO', '134', '44096', '2', '892');
INSERT INTO public.who_import VALUES (3984, '2020-09-07', 'AM', 'Armenia', 'EURO', '62', '44158', '3', '895');
INSERT INTO public.who_import VALUES (3985, '2020-09-08', 'AM', 'Armenia', 'EURO', '108', '44266', '3', '898');
INSERT INTO public.who_import VALUES (3986, '2020-09-09', 'AM', 'Armenia', 'EURO', '199', '44465', '2', '900');
INSERT INTO public.who_import VALUES (3987, '2020-09-10', 'AM', 'Armenia', 'EURO', '174', '44639', '1', '901');
INSERT INTO public.who_import VALUES (3988, '2020-09-11', 'AM', 'Armenia', 'EURO', '177', '44816', '3', '904');
INSERT INTO public.who_import VALUES (3989, '2020-09-12', 'AM', 'Armenia', 'EURO', '172', '44988', '2', '906');
INSERT INTO public.who_import VALUES (3990, '2020-09-13', 'AM', 'Armenia', 'EURO', '187', '45175', '5', '911');
INSERT INTO public.who_import VALUES (3991, '2020-09-14', 'AM', 'Armenia', 'EURO', '107', '45282', '3', '914');
INSERT INTO public.who_import VALUES (3992, '2020-09-15', 'AM', 'Armenia', 'EURO', '150', '45432', '1', '915');
INSERT INTO public.who_import VALUES (3993, '2020-09-16', 'AM', 'Armenia', 'EURO', '257', '45689', '3', '918');
INSERT INTO public.who_import VALUES (3994, '2020-09-17', 'AM', 'Armenia', 'EURO', '295', '45984', '2', '920');
INSERT INTO public.who_import VALUES (3995, '2020-09-18', 'AM', 'Armenia', 'EURO', '239', '46223', '1', '921');
INSERT INTO public.who_import VALUES (3996, '2020-09-19', 'AM', 'Armenia', 'EURO', '244', '46467', '2', '923');
INSERT INTO public.who_import VALUES (3997, '2020-09-20', 'AM', 'Armenia', 'EURO', '277', '46744', '2', '925');
INSERT INTO public.who_import VALUES (3998, '2020-09-21', 'AM', 'Armenia', 'EURO', '121', '46865', '6', '931');
INSERT INTO public.who_import VALUES (3999, '2020-09-22', 'AM', 'Armenia', 'EURO', '115', '46980', '2', '933');
INSERT INTO public.who_import VALUES (4000, '2020-09-23', 'AM', 'Armenia', 'EURO', '210', '47190', '4', '937');
INSERT INTO public.who_import VALUES (4001, '2020-09-24', 'AM', 'Armenia', 'EURO', '374', '47564', '3', '940');
INSERT INTO public.who_import VALUES (4002, '2020-09-25', 'AM', 'Armenia', 'EURO', '392', '47956', '2', '942');
INSERT INTO public.who_import VALUES (4003, '2020-09-26', 'AM', 'Armenia', 'EURO', '429', '48385', '1', '943');
INSERT INTO public.who_import VALUES (4004, '2020-09-27', 'AM', 'Armenia', 'EURO', '328', '48713', '3', '946');
INSERT INTO public.who_import VALUES (4005, '2020-09-28', 'AM', 'Armenia', 'EURO', '174', '48887', '6', '952');
INSERT INTO public.who_import VALUES (4006, '2020-09-29', 'AM', 'Armenia', 'EURO', '327', '49214', '1', '953');
INSERT INTO public.who_import VALUES (4007, '2020-09-30', 'AM', 'Armenia', 'EURO', '458', '49672', '1', '954');
INSERT INTO public.who_import VALUES (4008, '2020-10-01', 'AM', 'Armenia', 'EURO', '491', '50163', '4', '958');
INSERT INTO public.who_import VALUES (4009, '2020-10-02', 'AM', 'Armenia', 'EURO', '532', '50695', '3', '961');
INSERT INTO public.who_import VALUES (4010, '2020-10-03', 'AM', 'Armenia', 'EURO', '543', '51238', '6', '967');
INSERT INTO public.who_import VALUES (4011, '2020-10-04', 'AM', 'Armenia', 'EURO', '571', '51809', '5', '972');
INSERT INTO public.who_import VALUES (4012, '2020-10-05', 'AM', 'Armenia', 'EURO', '181', '51990', '7', '979');
INSERT INTO public.who_import VALUES (4013, '2020-10-06', 'AM', 'Armenia', 'EURO', '406', '52396', '6', '985');
INSERT INTO public.who_import VALUES (4014, '2020-10-07', 'AM', 'Armenia', 'EURO', '672', '53068', '5', '990');
INSERT INTO public.who_import VALUES (4015, '2020-10-08', 'AM', 'Armenia', 'EURO', '718', '53786', '9', '999');
INSERT INTO public.who_import VALUES (4016, '2020-10-09', 'AM', 'Armenia', 'EURO', '614', '54400', '6', '1005');
INSERT INTO public.who_import VALUES (4017, '2020-10-10', 'AM', 'Armenia', 'EURO', '649', '55049', '6', '1011');
INSERT INTO public.who_import VALUES (4018, '2020-10-11', 'AM', 'Armenia', 'EURO', '715', '55764', '4', '1015');
INSERT INTO public.who_import VALUES (4019, '2020-10-12', 'AM', 'Armenia', 'EURO', '370', '56134', '6', '1021');
INSERT INTO public.who_import VALUES (4020, '2020-10-13', 'AM', 'Armenia', 'EURO', '745', '56879', '6', '1027');
INSERT INTO public.who_import VALUES (4021, '2020-10-14', 'AM', 'Armenia', 'EURO', '1058', '57937', '7', '1034');
INSERT INTO public.who_import VALUES (4022, '2020-10-15', 'AM', 'Armenia', 'EURO', '1371', '59308', '7', '1041');
INSERT INTO public.who_import VALUES (4023, '2020-10-16', 'AM', 'Armenia', 'EURO', '1465', '60773', '10', '1051');
INSERT INTO public.who_import VALUES (4024, '2020-10-17', 'AM', 'Armenia', 'EURO', '1540', '62313', '11', '1062');
INSERT INTO public.who_import VALUES (4025, '2020-10-18', 'AM', 'Armenia', 'EURO', '1694', '64007', '14', '1076');
INSERT INTO public.who_import VALUES (4026, '2020-10-19', 'AM', 'Armenia', 'EURO', '766', '64773', '10', '1086');
INSERT INTO public.who_import VALUES (4027, '2020-10-20', 'AM', 'Armenia', 'EURO', '1234', '66007', '10', '1096');
INSERT INTO public.who_import VALUES (4028, '2020-10-21', 'AM', 'Armenia', 'EURO', '1836', '67843', '20', '1116');
INSERT INTO public.who_import VALUES (4029, '2020-10-22', 'AM', 'Armenia', 'EURO', '2306', '70149', '10', '1126');
INSERT INTO public.who_import VALUES (4030, '2020-10-23', 'AM', 'Armenia', 'EURO', '2474', '72623', '14', '1140');
INSERT INTO public.who_import VALUES (4031, '2020-10-24', 'AM', 'Armenia', 'EURO', '2213', '74836', '12', '1152');
INSERT INTO public.who_import VALUES (4032, '2020-10-25', 'AM', 'Armenia', 'EURO', '2314', '77150', '23', '1175');
INSERT INTO public.who_import VALUES (4033, '2020-10-26', 'AM', 'Armenia', 'EURO', '973', '78123', '16', '1191');
INSERT INTO public.who_import VALUES (4034, '2020-10-27', 'AM', 'Armenia', 'EURO', '1600', '79723', '26', '1217');
INSERT INTO public.who_import VALUES (4035, '2020-10-28', 'AM', 'Armenia', 'EURO', '2241', '81964', '21', '1238');
INSERT INTO public.who_import VALUES (4036, '2020-10-29', 'AM', 'Armenia', 'EURO', '2383', '84347', '29', '1267');
INSERT INTO public.who_import VALUES (4037, '2020-10-30', 'AM', 'Armenia', 'EURO', '2398', '86745', '28', '1295');
INSERT INTO public.who_import VALUES (4038, '2020-10-31', 'AM', 'Armenia', 'EURO', '2381', '89126', '41', '1336');
INSERT INTO public.who_import VALUES (4039, '2020-11-01', 'AM', 'Armenia', 'EURO', '2441', '91567', '22', '1358');
INSERT INTO public.who_import VALUES (4040, '2020-11-02', 'AM', 'Armenia', 'EURO', '1194', '92761', '28', '1386');
INSERT INTO public.who_import VALUES (4041, '2020-11-03', 'AM', 'Armenia', 'EURO', '1328', '94089', '22', '1408');
INSERT INTO public.who_import VALUES (4042, '2020-11-04', 'AM', 'Armenia', 'EURO', '2374', '96463', '35', '1443');
INSERT INTO public.who_import VALUES (4043, '2020-11-05', 'AM', 'Armenia', 'EURO', '2413', '98876', '28', '1471');
INSERT INTO public.who_import VALUES (4044, '2020-11-06', 'AM', 'Armenia', 'EURO', '2210', '101086', '30', '1501');
INSERT INTO public.who_import VALUES (4045, '2020-11-07', 'AM', 'Armenia', 'EURO', '2476', '103562', '27', '1528');
INSERT INTO public.who_import VALUES (4046, '2020-11-08', 'AM', 'Armenia', 'EURO', '2175', '105737', '26', '1554');
INSERT INTO public.who_import VALUES (4047, '2020-11-09', 'AM', 'Armenia', 'EURO', '1042', '106779', '21', '1575');
INSERT INTO public.who_import VALUES (4048, '2020-11-10', 'AM', 'Armenia', 'EURO', '1221', '108000', '29', '1604');
INSERT INTO public.who_import VALUES (4049, '2020-11-11', 'AM', 'Armenia', 'EURO', '1861', '109861', '27', '1631');
INSERT INTO public.who_import VALUES (4050, '2020-11-12', 'AM', 'Armenia', 'EURO', '2132', '111993', '32', '1663');
INSERT INTO public.who_import VALUES (4051, '2020-11-13', 'AM', 'Armenia', 'EURO', '1703', '113696', '29', '1692');
INSERT INTO public.who_import VALUES (4052, '2020-11-14', 'AM', 'Armenia', 'EURO', '1472', '115168', '41', '1733');
INSERT INTO public.who_import VALUES (4053, '2020-11-15', 'AM', 'Armenia', 'EURO', '1482', '116650', '25', '1758');
INSERT INTO public.who_import VALUES (4054, '2020-11-16', 'AM', 'Armenia', 'EURO', '549', '117199', '25', '1783');
INSERT INTO public.who_import VALUES (4055, '2020-11-17', 'AM', 'Armenia', 'EURO', '984', '118183', '23', '1806');
INSERT INTO public.who_import VALUES (4056, '2020-11-18', 'AM', 'Armenia', 'EURO', '1589', '119772', '28', '1834');
INSERT INTO public.who_import VALUES (4057, '2020-11-19', 'AM', 'Armenia', 'EURO', '1520', '121292', '31', '1865');
INSERT INTO public.who_import VALUES (4058, '2020-11-20', 'AM', 'Armenia', 'EURO', '1667', '122959', '30', '1895');
INSERT INTO public.who_import VALUES (4059, '2020-11-21', 'AM', 'Armenia', 'EURO', '1193', '124152', '31', '1926');
INSERT INTO public.who_import VALUES (4060, '2020-11-22', 'AM', 'Armenia', 'EURO', '1385', '125537', '21', '1947');
INSERT INTO public.who_import VALUES (4061, '2020-11-23', 'AM', 'Armenia', 'EURO', '485', '126022', '24', '1971');
INSERT INTO public.who_import VALUES (4062, '2020-11-24', 'AM', 'Armenia', 'EURO', '813', '126835', '26', '1997');
INSERT INTO public.who_import VALUES (4063, '2020-11-25', 'AM', 'Armenia', 'EURO', '1563', '128398', '38', '2035');
INSERT INTO public.who_import VALUES (4064, '2020-11-26', 'AM', 'Armenia', 'EURO', '1785', '130183', '28', '2063');
INSERT INTO public.who_import VALUES (4065, '2020-11-27', 'AM', 'Armenia', 'EURO', '1476', '131659', '22', '2085');
INSERT INTO public.who_import VALUES (4066, '2020-11-28', 'AM', 'Armenia', 'EURO', '1248', '132907', '31', '2116');
INSERT INTO public.who_import VALUES (4067, '2020-11-29', 'AM', 'Armenia', 'EURO', '1174', '134081', '21', '2137');
INSERT INTO public.who_import VALUES (4068, '2020-11-30', 'AM', 'Armenia', 'EURO', '356', '134437', '22', '2159');
INSERT INTO public.who_import VALUES (4069, '2020-12-01', 'AM', 'Armenia', 'EURO', '843', '135280', '29', '2188');
INSERT INTO public.who_import VALUES (4070, '2020-12-02', 'AM', 'Armenia', 'EURO', '1264', '136544', '35', '2223');
INSERT INTO public.who_import VALUES (4071, '2020-12-03', 'AM', 'Armenia', 'EURO', '1277', '137821', '26', '2249');
INSERT INTO public.who_import VALUES (4072, '2020-12-04', 'AM', 'Armenia', 'EURO', '1184', '139005', '23', '2272');
INSERT INTO public.who_import VALUES (4073, '2020-12-05', 'AM', 'Armenia', 'EURO', '1267', '140272', '32', '2304');
INSERT INTO public.who_import VALUES (4074, '2020-12-06', 'AM', 'Armenia', 'EURO', '978', '141250', '17', '2321');
INSERT INTO public.who_import VALUES (4075, '2020-12-07', 'AM', 'Armenia', 'EURO', '407', '141657', '18', '2339');
INSERT INTO public.who_import VALUES (4076, '2020-12-08', 'AM', 'Armenia', 'EURO', '584', '142241', '28', '2367');
INSERT INTO public.who_import VALUES (4077, '2020-12-09', 'AM', 'Armenia', 'EURO', '1138', '143379', '21', '2388');
INSERT INTO public.who_import VALUES (4078, '2020-12-10', 'AM', 'Armenia', 'EURO', '1174', '144553', '23', '2411');
INSERT INTO public.who_import VALUES (4079, '2020-12-11', 'AM', 'Armenia', 'EURO', '1077', '145630', '29', '2440');
INSERT INTO public.who_import VALUES (4080, '2020-12-12', 'AM', 'Armenia', 'EURO', '995', '146625', '17', '2457');
INSERT INTO public.who_import VALUES (4081, '2020-12-13', 'AM', 'Armenia', 'EURO', '1013', '147638', '24', '2481');
INSERT INTO public.who_import VALUES (4082, '2020-12-14', 'AM', 'Armenia', 'EURO', '357', '147995', '17', '2498');
INSERT INTO public.who_import VALUES (4083, '2020-12-15', 'AM', 'Armenia', 'EURO', '438', '148433', '26', '2524');
INSERT INTO public.who_import VALUES (4084, '2020-12-16', 'AM', 'Armenia', 'EURO', '1098', '149531', '27', '2551');
INSERT INTO public.who_import VALUES (4085, '2020-12-17', 'AM', 'Armenia', 'EURO', '1174', '150705', '25', '2576');
INSERT INTO public.who_import VALUES (4086, '2020-12-18', 'AM', 'Armenia', 'EURO', '861', '151566', '15', '2591');
INSERT INTO public.who_import VALUES (4087, '2020-12-19', 'AM', 'Armenia', 'EURO', '920', '152486', '20', '2611');
INSERT INTO public.who_import VALUES (4088, '2020-12-20', 'AM', 'Armenia', 'EURO', '652', '153138', '14', '2625');
INSERT INTO public.who_import VALUES (4089, '2020-12-21', 'AM', 'Armenia', 'EURO', '240', '153378', '26', '2651');
INSERT INTO public.who_import VALUES (4090, '2020-12-22', 'AM', 'Armenia', 'EURO', '537', '153915', '17', '2668');
INSERT INTO public.who_import VALUES (4091, '2020-12-23', 'AM', 'Armenia', 'EURO', '838', '154753', '18', '2686');
INSERT INTO public.who_import VALUES (4092, '2020-12-24', 'AM', 'Armenia', 'EURO', '702', '155455', '23', '2709');
INSERT INTO public.who_import VALUES (4093, '2020-12-25', 'AM', 'Armenia', 'EURO', '621', '156076', '19', '2728');
INSERT INTO public.who_import VALUES (4094, '2020-12-26', 'AM', 'Armenia', 'EURO', '586', '156662', '19', '2747');
INSERT INTO public.who_import VALUES (4095, '2020-12-27', 'AM', 'Armenia', 'EURO', '485', '157147', '16', '2763');
INSERT INTO public.who_import VALUES (4096, '2020-12-28', 'AM', 'Armenia', 'EURO', '114', '157261', '7', '2770');
INSERT INTO public.who_import VALUES (4097, '2020-12-29', 'AM', 'Armenia', 'EURO', '348', '157609', '22', '2792');
INSERT INTO public.who_import VALUES (4098, '2020-12-30', 'AM', 'Armenia', 'EURO', '0', '157609', '0', '2792');
INSERT INTO public.who_import VALUES (4099, '2020-12-31', 'AM', 'Armenia', 'EURO', '582', '158191', '10', '2802');
INSERT INTO public.who_import VALUES (4100, '2021-01-01', 'AM', 'Armenia', 'EURO', '531', '158722', '16', '2818');
INSERT INTO public.who_import VALUES (4101, '2021-01-02', 'AM', 'Armenia', 'EURO', '1016', '159738', '10', '2828');
INSERT INTO public.who_import VALUES (4102, '2021-01-03', 'AM', 'Armenia', 'EURO', '289', '160027', '22', '2850');
INSERT INTO public.who_import VALUES (4103, '2021-01-04', 'AM', 'Armenia', 'EURO', '193', '160220', '14', '2864');
INSERT INTO public.who_import VALUES (4104, '2021-01-05', 'AM', 'Armenia', 'EURO', '324', '160544', '14', '2878');
INSERT INTO public.who_import VALUES (4105, '2021-01-06', 'AM', 'Armenia', 'EURO', '309', '160853', '12', '2890');
INSERT INTO public.who_import VALUES (4106, '2021-01-07', 'AM', 'Armenia', 'EURO', '201', '161054', '11', '2901');
INSERT INTO public.who_import VALUES (4107, '2021-01-08', 'AM', 'Armenia', 'EURO', '361', '161415', '7', '2908');
INSERT INTO public.who_import VALUES (4108, '2021-01-09', 'AM', 'Armenia', 'EURO', '379', '161794', '14', '2922');
INSERT INTO public.who_import VALUES (4109, '2021-01-10', 'AM', 'Armenia', 'EURO', '337', '162131', '7', '2929');
INSERT INTO public.who_import VALUES (4110, '2021-01-11', 'AM', 'Armenia', 'EURO', '757', '162888', '2', '2931');
INSERT INTO public.who_import VALUES (4111, '2021-01-12', 'AM', 'Armenia', 'EURO', '0', '162888', '0', '2931');
INSERT INTO public.who_import VALUES (4112, '2021-01-13', 'AM', 'Armenia', 'EURO', '240', '163128', '20', '2951');
INSERT INTO public.who_import VALUES (4113, '2021-01-14', 'AM', 'Armenia', 'EURO', '448', '163576', '12', '2963');
INSERT INTO public.who_import VALUES (4114, '2021-01-15', 'AM', 'Armenia', 'EURO', '396', '163972', '11', '2974');
INSERT INTO public.who_import VALUES (4115, '2021-01-16', 'AM', 'Armenia', 'EURO', '263', '164235', '13', '2987');
INSERT INTO public.who_import VALUES (4116, '2021-01-17', 'AM', 'Armenia', 'EURO', '351', '164586', '5', '2992');
INSERT INTO public.who_import VALUES (4117, '2021-01-18', 'AM', 'Armenia', 'EURO', '90', '164676', '6', '2998');
INSERT INTO public.who_import VALUES (4118, '2021-01-19', 'AM', 'Armenia', 'EURO', '236', '164912', '9', '3007');
INSERT INTO public.who_import VALUES (4119, '2021-01-20', 'AM', 'Armenia', 'EURO', '309', '165221', '9', '3016');
INSERT INTO public.who_import VALUES (4120, '2021-01-21', 'AM', 'Armenia', 'EURO', '307', '165528', '5', '3021');
INSERT INTO public.who_import VALUES (4121, '2021-01-22', 'AM', 'Armenia', 'EURO', '183', '165711', '9', '3030');
INSERT INTO public.who_import VALUES (4122, '2021-01-23', 'AM', 'Armenia', 'EURO', '198', '165909', '4', '3034');
INSERT INTO public.who_import VALUES (4123, '2021-01-24', 'AM', 'Armenia', 'EURO', '127', '166036', '5', '3039');
INSERT INTO public.who_import VALUES (4124, '2021-01-25', 'AM', 'Armenia', 'EURO', '58', '166094', '8', '3047');
INSERT INTO public.who_import VALUES (4125, '2021-01-26', 'AM', 'Armenia', 'EURO', '138', '166232', '5', '3052');
INSERT INTO public.who_import VALUES (4126, '2021-01-27', 'AM', 'Armenia', 'EURO', '195', '166427', '4', '3056');
INSERT INTO public.who_import VALUES (4127, '2021-01-28', 'AM', 'Armenia', 'EURO', '242', '166669', '11', '3067');
INSERT INTO public.who_import VALUES (4128, '2021-01-29', 'AM', 'Armenia', 'EURO', '59', '166728', '2', '3069');
INSERT INTO public.who_import VALUES (4129, '2021-01-30', 'AM', 'Armenia', 'EURO', '173', '166901', '2', '3071');
INSERT INTO public.who_import VALUES (4130, '2021-01-31', 'AM', 'Armenia', 'EURO', '125', '167026', '9', '3080');
INSERT INTO public.who_import VALUES (4131, '2021-02-01', 'AM', 'Armenia', 'EURO', '62', '167088', '4', '3084');
INSERT INTO public.who_import VALUES (4132, '2021-02-02', 'AM', 'Armenia', 'EURO', '143', '167231', '5', '3089');
INSERT INTO public.who_import VALUES (4133, '2021-02-03', 'AM', 'Armenia', 'EURO', '190', '167421', '7', '3096');
INSERT INTO public.who_import VALUES (4134, '2021-02-04', 'AM', 'Armenia', 'EURO', '147', '167568', '11', '3107');
INSERT INTO public.who_import VALUES (4135, '2021-02-05', 'AM', 'Armenia', 'EURO', '158', '167726', '2', '3109');
INSERT INTO public.who_import VALUES (4136, '2021-02-06', 'AM', 'Armenia', 'EURO', '211', '167937', '5', '3114');
INSERT INTO public.who_import VALUES (4137, '2021-02-07', 'AM', 'Armenia', 'EURO', '151', '168088', '3', '3117');
INSERT INTO public.who_import VALUES (4138, '2021-02-08', 'AM', 'Armenia', 'EURO', '89', '168177', '6', '3123');
INSERT INTO public.who_import VALUES (4139, '2021-02-09', 'AM', 'Armenia', 'EURO', '123', '168300', '3', '3126');
INSERT INTO public.who_import VALUES (4140, '2021-02-10', 'AM', 'Armenia', 'EURO', '196', '168496', '4', '3130');
INSERT INTO public.who_import VALUES (4141, '2021-02-11', 'AM', 'Armenia', 'EURO', '180', '168676', '5', '3135');
INSERT INTO public.who_import VALUES (4142, '2021-02-12', 'AM', 'Armenia', 'EURO', '154', '168830', '3', '3138');
INSERT INTO public.who_import VALUES (4143, '2021-02-13', 'AM', 'Armenia', 'EURO', '192', '169022', '2', '3140');
INSERT INTO public.who_import VALUES (4144, '2021-02-14', 'AM', 'Armenia', 'EURO', '145', '169167', '1', '3141');
INSERT INTO public.who_import VALUES (4145, '2021-02-15', 'AM', 'Armenia', 'EURO', '88', '169255', '6', '3147');
INSERT INTO public.who_import VALUES (4146, '2021-02-16', 'AM', 'Armenia', 'EURO', '136', '169391', '3', '3150');
INSERT INTO public.who_import VALUES (4147, '2021-02-17', 'AM', 'Armenia', 'EURO', '206', '169597', '5', '3155');
INSERT INTO public.who_import VALUES (4148, '2021-02-18', 'AM', 'Armenia', 'EURO', '223', '169820', '1', '3156');
INSERT INTO public.who_import VALUES (4149, '2021-02-19', 'AM', 'Armenia', 'EURO', '191', '170011', '2', '3158');
INSERT INTO public.who_import VALUES (4150, '2021-02-20', 'AM', 'Armenia', 'EURO', '223', '170234', '1', '3159');
INSERT INTO public.who_import VALUES (4151, '2020-01-03', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4152, '2020-01-04', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4153, '2020-01-05', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4154, '2020-01-06', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4155, '2020-01-07', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4156, '2020-01-08', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4157, '2020-01-09', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4158, '2020-01-10', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4159, '2020-01-11', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4160, '2020-01-12', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4161, '2020-01-13', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4162, '2020-01-14', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4163, '2020-01-15', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4164, '2020-01-16', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4165, '2020-01-17', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4166, '2020-01-18', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4167, '2020-01-19', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4168, '2020-01-20', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4169, '2020-01-21', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4170, '2020-01-22', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4171, '2020-01-23', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4172, '2020-01-24', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4173, '2020-01-25', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4174, '2020-01-26', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4175, '2020-01-27', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4176, '2020-01-28', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4177, '2020-01-29', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4178, '2020-01-30', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4179, '2020-01-31', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4180, '2020-02-01', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4181, '2020-02-02', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4182, '2020-02-03', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4183, '2020-02-04', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4184, '2020-02-05', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4185, '2020-02-06', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4186, '2020-02-07', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4187, '2020-02-08', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4188, '2020-02-09', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4189, '2020-02-10', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4190, '2020-02-11', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4191, '2020-02-12', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4192, '2020-02-13', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4193, '2020-02-14', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4194, '2020-02-15', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4195, '2020-02-16', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4196, '2020-02-17', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4197, '2020-02-18', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4198, '2020-02-19', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4199, '2020-02-20', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4200, '2020-02-21', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4201, '2020-02-22', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4202, '2020-02-23', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4203, '2020-02-24', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4204, '2020-02-25', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4205, '2020-02-26', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4206, '2020-02-27', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4207, '2020-02-28', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4208, '2020-02-29', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4209, '2020-03-01', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4210, '2020-03-02', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4211, '2020-03-03', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4212, '2020-03-04', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4213, '2020-03-05', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4214, '2020-03-06', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4215, '2020-03-07', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4216, '2020-03-08', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4217, '2020-03-09', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4218, '2020-03-10', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4219, '2020-03-11', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4220, '2020-03-12', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4221, '2020-03-13', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4222, '2020-03-14', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4223, '2020-03-15', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4224, '2020-03-16', 'AW', 'Aruba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4225, '2020-03-17', 'AW', 'Aruba', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (4226, '2020-03-18', 'AW', 'Aruba', 'AMRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (4227, '2020-03-19', 'AW', 'Aruba', 'AMRO', '-3', '5', '0', '0');
INSERT INTO public.who_import VALUES (4228, '2020-03-20', 'AW', 'Aruba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (4229, '2020-03-21', 'AW', 'Aruba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (4230, '2020-03-22', 'AW', 'Aruba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (4231, '2020-03-23', 'AW', 'Aruba', 'AMRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (4232, '2020-03-24', 'AW', 'Aruba', 'AMRO', '4', '12', '0', '0');
INSERT INTO public.who_import VALUES (4233, '2020-03-25', 'AW', 'Aruba', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (4234, '2020-03-26', 'AW', 'Aruba', 'AMRO', '7', '19', '0', '0');
INSERT INTO public.who_import VALUES (4235, '2020-03-27', 'AW', 'Aruba', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4236, '2020-03-28', 'AW', 'Aruba', 'AMRO', '9', '28', '0', '0');
INSERT INTO public.who_import VALUES (4237, '2020-03-29', 'AW', 'Aruba', 'AMRO', '18', '46', '0', '0');
INSERT INTO public.who_import VALUES (4238, '2020-03-30', 'AW', 'Aruba', 'AMRO', '0', '46', '0', '0');
INSERT INTO public.who_import VALUES (4239, '2020-03-31', 'AW', 'Aruba', 'AMRO', '4', '50', '0', '0');
INSERT INTO public.who_import VALUES (4240, '2020-04-01', 'AW', 'Aruba', 'AMRO', '5', '55', '0', '0');
INSERT INTO public.who_import VALUES (4241, '2020-04-02', 'AW', 'Aruba', 'AMRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (4242, '2020-04-03', 'AW', 'Aruba', 'AMRO', '5', '60', '0', '0');
INSERT INTO public.who_import VALUES (4243, '2020-04-04', 'AW', 'Aruba', 'AMRO', '2', '62', '0', '0');
INSERT INTO public.who_import VALUES (4244, '2020-04-05', 'AW', 'Aruba', 'AMRO', '2', '64', '0', '0');
INSERT INTO public.who_import VALUES (4245, '2020-04-06', 'AW', 'Aruba', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (4246, '2020-04-07', 'AW', 'Aruba', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (4247, '2020-04-08', 'AW', 'Aruba', 'AMRO', '7', '71', '0', '0');
INSERT INTO public.who_import VALUES (4248, '2020-04-09', 'AW', 'Aruba', 'AMRO', '3', '74', '0', '0');
INSERT INTO public.who_import VALUES (4249, '2020-04-10', 'AW', 'Aruba', 'AMRO', '8', '82', '0', '0');
INSERT INTO public.who_import VALUES (4250, '2020-04-11', 'AW', 'Aruba', 'AMRO', '4', '86', '0', '0');
INSERT INTO public.who_import VALUES (4251, '2020-04-12', 'AW', 'Aruba', 'AMRO', '6', '92', '0', '0');
INSERT INTO public.who_import VALUES (4252, '2020-04-13', 'AW', 'Aruba', 'AMRO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (4253, '2020-04-14', 'AW', 'Aruba', 'AMRO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (4254, '2020-04-15', 'AW', 'Aruba', 'AMRO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (4255, '2020-04-16', 'AW', 'Aruba', 'AMRO', '1', '93', '1', '1');
INSERT INTO public.who_import VALUES (4256, '2020-04-17', 'AW', 'Aruba', 'AMRO', '2', '95', '1', '2');
INSERT INTO public.who_import VALUES (4257, '2020-04-18', 'AW', 'Aruba', 'AMRO', '1', '96', '0', '2');
INSERT INTO public.who_import VALUES (4258, '2020-04-19', 'AW', 'Aruba', 'AMRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (4259, '2020-04-20', 'AW', 'Aruba', 'AMRO', '1', '97', '0', '2');
INSERT INTO public.who_import VALUES (4260, '2020-04-21', 'AW', 'Aruba', 'AMRO', '0', '97', '0', '2');
INSERT INTO public.who_import VALUES (4261, '2020-04-22', 'AW', 'Aruba', 'AMRO', '0', '97', '0', '2');
INSERT INTO public.who_import VALUES (4262, '2020-04-23', 'AW', 'Aruba', 'AMRO', '3', '100', '0', '2');
INSERT INTO public.who_import VALUES (4263, '2020-04-24', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4264, '2020-04-25', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4265, '2020-04-26', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4266, '2020-04-27', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4267, '2020-04-28', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4268, '2020-04-29', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4269, '2020-04-30', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4270, '2020-05-01', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4271, '2020-05-02', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4272, '2020-05-03', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4273, '2020-05-04', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4274, '2020-05-05', 'AW', 'Aruba', 'AMRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (4275, '2020-05-06', 'AW', 'Aruba', 'AMRO', '1', '101', '0', '2');
INSERT INTO public.who_import VALUES (4276, '2020-05-07', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '2');
INSERT INTO public.who_import VALUES (4277, '2020-05-08', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '2');
INSERT INTO public.who_import VALUES (4278, '2020-05-09', 'AW', 'Aruba', 'AMRO', '0', '101', '1', '3');
INSERT INTO public.who_import VALUES (4279, '2020-05-10', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4280, '2020-05-11', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4281, '2020-05-12', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4282, '2020-05-13', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4283, '2020-05-14', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4284, '2020-05-15', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4285, '2020-05-16', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4286, '2020-05-17', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4287, '2020-05-18', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4288, '2020-05-19', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4289, '2020-05-20', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4290, '2020-05-21', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4291, '2020-05-22', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4292, '2020-05-23', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4293, '2020-05-24', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4294, '2020-05-25', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4295, '2020-05-26', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4296, '2020-05-27', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4297, '2020-05-28', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4298, '2020-05-29', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4299, '2020-05-30', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4300, '2020-05-31', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4301, '2020-06-01', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4302, '2020-06-02', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4303, '2020-06-03', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4304, '2020-06-04', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4305, '2020-06-05', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4306, '2020-06-06', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4307, '2020-06-07', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4308, '2020-06-08', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4309, '2020-06-09', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4310, '2020-06-10', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4311, '2020-06-11', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4312, '2020-06-12', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4313, '2020-06-13', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4314, '2020-06-14', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4315, '2020-06-15', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4316, '2020-06-16', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4317, '2020-06-17', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4318, '2020-06-18', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4319, '2020-06-19', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4320, '2020-06-20', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4321, '2020-06-21', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4322, '2020-06-22', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4323, '2020-06-23', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4324, '2020-06-24', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4325, '2020-06-25', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4326, '2020-06-26', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4327, '2020-06-27', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4328, '2020-06-28', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4329, '2020-06-29', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4330, '2020-06-30', 'AW', 'Aruba', 'AMRO', '0', '101', '0', '3');
INSERT INTO public.who_import VALUES (4331, '2020-07-01', 'AW', 'Aruba', 'AMRO', '2', '103', '0', '3');
INSERT INTO public.who_import VALUES (4332, '2020-07-02', 'AW', 'Aruba', 'AMRO', '0', '103', '0', '3');
INSERT INTO public.who_import VALUES (4333, '2020-07-03', 'AW', 'Aruba', 'AMRO', '0', '103', '0', '3');
INSERT INTO public.who_import VALUES (4334, '2020-07-04', 'AW', 'Aruba', 'AMRO', '1', '104', '0', '3');
INSERT INTO public.who_import VALUES (4335, '2020-07-05', 'AW', 'Aruba', 'AMRO', '0', '104', '0', '3');
INSERT INTO public.who_import VALUES (4336, '2020-07-06', 'AW', 'Aruba', 'AMRO', '0', '104', '0', '3');
INSERT INTO public.who_import VALUES (4337, '2020-07-07', 'AW', 'Aruba', 'AMRO', '1', '105', '0', '3');
INSERT INTO public.who_import VALUES (4338, '2020-07-08', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4339, '2020-07-09', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4340, '2020-07-10', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4341, '2020-07-11', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4342, '2020-07-12', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4343, '2020-07-13', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4344, '2020-07-14', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4345, '2020-07-15', 'AW', 'Aruba', 'AMRO', '0', '105', '0', '3');
INSERT INTO public.who_import VALUES (4346, '2020-07-16', 'AW', 'Aruba', 'AMRO', '1', '106', '0', '3');
INSERT INTO public.who_import VALUES (4347, '2020-07-17', 'AW', 'Aruba', 'AMRO', '0', '106', '0', '3');
INSERT INTO public.who_import VALUES (4348, '2020-07-18', 'AW', 'Aruba', 'AMRO', '2', '108', '0', '3');
INSERT INTO public.who_import VALUES (4349, '2020-07-19', 'AW', 'Aruba', 'AMRO', '0', '108', '0', '3');
INSERT INTO public.who_import VALUES (4350, '2020-07-20', 'AW', 'Aruba', 'AMRO', '0', '108', '0', '3');
INSERT INTO public.who_import VALUES (4351, '2020-07-21', 'AW', 'Aruba', 'AMRO', '5', '113', '0', '3');
INSERT INTO public.who_import VALUES (4352, '2020-07-22', 'AW', 'Aruba', 'AMRO', '2', '115', '0', '3');
INSERT INTO public.who_import VALUES (4353, '2020-07-23', 'AW', 'Aruba', 'AMRO', '2', '117', '0', '3');
INSERT INTO public.who_import VALUES (4354, '2020-07-24', 'AW', 'Aruba', 'AMRO', '0', '117', '0', '3');
INSERT INTO public.who_import VALUES (4355, '2020-07-25', 'AW', 'Aruba', 'AMRO', '0', '117', '0', '3');
INSERT INTO public.who_import VALUES (4356, '2020-07-26', 'AW', 'Aruba', 'AMRO', '0', '117', '0', '3');
INSERT INTO public.who_import VALUES (4357, '2020-07-27', 'AW', 'Aruba', 'AMRO', '0', '117', '0', '3');
INSERT INTO public.who_import VALUES (4358, '2020-07-28', 'AW', 'Aruba', 'AMRO', '2', '119', '0', '3');
INSERT INTO public.who_import VALUES (4359, '2020-07-29', 'AW', 'Aruba', 'AMRO', '0', '119', '0', '3');
INSERT INTO public.who_import VALUES (4360, '2020-07-30', 'AW', 'Aruba', 'AMRO', '0', '119', '0', '3');
INSERT INTO public.who_import VALUES (4361, '2020-07-31', 'AW', 'Aruba', 'AMRO', '0', '119', '0', '3');
INSERT INTO public.who_import VALUES (4362, '2020-08-01', 'AW', 'Aruba', 'AMRO', '1', '120', '0', '3');
INSERT INTO public.who_import VALUES (4363, '2020-08-02', 'AW', 'Aruba', 'AMRO', '0', '120', '0', '3');
INSERT INTO public.who_import VALUES (4364, '2020-08-03', 'AW', 'Aruba', 'AMRO', '0', '120', '0', '3');
INSERT INTO public.who_import VALUES (4365, '2020-08-04', 'AW', 'Aruba', 'AMRO', '2', '122', '0', '3');
INSERT INTO public.who_import VALUES (4366, '2020-08-05', 'AW', 'Aruba', 'AMRO', '2', '124', '0', '3');
INSERT INTO public.who_import VALUES (4367, '2020-08-06', 'AW', 'Aruba', 'AMRO', '8', '132', '0', '3');
INSERT INTO public.who_import VALUES (4368, '2020-08-07', 'AW', 'Aruba', 'AMRO', '39', '171', '0', '3');
INSERT INTO public.who_import VALUES (4369, '2020-08-08', 'AW', 'Aruba', 'AMRO', '92', '263', '0', '3');
INSERT INTO public.who_import VALUES (4370, '2020-08-09', 'AW', 'Aruba', 'AMRO', '0', '263', '0', '3');
INSERT INTO public.who_import VALUES (4371, '2020-08-10', 'AW', 'Aruba', 'AMRO', '0', '263', '0', '3');
INSERT INTO public.who_import VALUES (4372, '2020-08-11', 'AW', 'Aruba', 'AMRO', '300', '563', '0', '3');
INSERT INTO public.who_import VALUES (4373, '2020-08-12', 'AW', 'Aruba', 'AMRO', '67', '630', '0', '3');
INSERT INTO public.who_import VALUES (4374, '2020-08-13', 'AW', 'Aruba', 'AMRO', '87', '717', '0', '3');
INSERT INTO public.who_import VALUES (4375, '2020-08-14', 'AW', 'Aruba', 'AMRO', '81', '798', '0', '3');
INSERT INTO public.who_import VALUES (4376, '2020-08-15', 'AW', 'Aruba', 'AMRO', '96', '894', '1', '4');
INSERT INTO public.who_import VALUES (4377, '2020-08-16', 'AW', 'Aruba', 'AMRO', '0', '894', '0', '4');
INSERT INTO public.who_import VALUES (4378, '2020-08-17', 'AW', 'Aruba', 'AMRO', '0', '894', '0', '4');
INSERT INTO public.who_import VALUES (4379, '2020-08-18', 'AW', 'Aruba', 'AMRO', '208', '1102', '0', '4');
INSERT INTO public.who_import VALUES (4380, '2020-08-19', 'AW', 'Aruba', 'AMRO', '19', '1121', '0', '4');
INSERT INTO public.who_import VALUES (4381, '2020-08-20', 'AW', 'Aruba', 'AMRO', '84', '1205', '0', '4');
INSERT INTO public.who_import VALUES (4382, '2020-08-21', 'AW', 'Aruba', 'AMRO', '91', '1296', '1', '5');
INSERT INTO public.who_import VALUES (4383, '2020-08-22', 'AW', 'Aruba', 'AMRO', '91', '1387', '1', '6');
INSERT INTO public.who_import VALUES (4384, '2020-08-23', 'AW', 'Aruba', 'AMRO', '0', '1387', '0', '6');
INSERT INTO public.who_import VALUES (4385, '2020-08-24', 'AW', 'Aruba', 'AMRO', '0', '1387', '0', '6');
INSERT INTO public.who_import VALUES (4386, '2020-08-25', 'AW', 'Aruba', 'AMRO', '181', '1568', '1', '7');
INSERT INTO public.who_import VALUES (4387, '2020-08-26', 'AW', 'Aruba', 'AMRO', '60', '1628', '0', '7');
INSERT INTO public.who_import VALUES (4388, '2020-08-27', 'AW', 'Aruba', 'AMRO', '42', '1670', '1', '8');
INSERT INTO public.who_import VALUES (4389, '2020-08-28', 'AW', 'Aruba', 'AMRO', '90', '1760', '0', '8');
INSERT INTO public.who_import VALUES (4390, '2020-08-29', 'AW', 'Aruba', 'AMRO', '88', '1848', '0', '8');
INSERT INTO public.who_import VALUES (4391, '2020-08-30', 'AW', 'Aruba', 'AMRO', '0', '1848', '0', '8');
INSERT INTO public.who_import VALUES (4392, '2020-08-31', 'AW', 'Aruba', 'AMRO', '0', '1848', '0', '8');
INSERT INTO public.who_import VALUES (4393, '2020-09-01', 'AW', 'Aruba', 'AMRO', '149', '1997', '2', '10');
INSERT INTO public.who_import VALUES (4394, '2020-09-02', 'AW', 'Aruba', 'AMRO', '9', '2006', '0', '10');
INSERT INTO public.who_import VALUES (4395, '2020-09-03', 'AW', 'Aruba', 'AMRO', '98', '2104', '0', '10');
INSERT INTO public.who_import VALUES (4396, '2020-09-04', 'AW', 'Aruba', 'AMRO', '107', '2211', '2', '12');
INSERT INTO public.who_import VALUES (4397, '2020-09-05', 'AW', 'Aruba', 'AMRO', '81', '2292', '1', '13');
INSERT INTO public.who_import VALUES (4398, '2020-09-06', 'AW', 'Aruba', 'AMRO', '0', '2292', '0', '13');
INSERT INTO public.who_import VALUES (4399, '2020-09-07', 'AW', 'Aruba', 'AMRO', '0', '2292', '0', '13');
INSERT INTO public.who_import VALUES (4400, '2020-09-08', 'AW', 'Aruba', 'AMRO', '157', '2449', '1', '14');
INSERT INTO public.who_import VALUES (4401, '2020-09-09', 'AW', 'Aruba', 'AMRO', '33', '2482', '1', '15');
INSERT INTO public.who_import VALUES (4402, '2020-09-10', 'AW', 'Aruba', 'AMRO', '107', '2589', '0', '15');
INSERT INTO public.who_import VALUES (4403, '2020-09-11', 'AW', 'Aruba', 'AMRO', '141', '2730', '0', '15');
INSERT INTO public.who_import VALUES (4404, '2020-09-12', 'AW', 'Aruba', 'AMRO', '89', '2819', '1', '16');
INSERT INTO public.who_import VALUES (4405, '2020-09-13', 'AW', 'Aruba', 'AMRO', '0', '2819', '0', '16');
INSERT INTO public.who_import VALUES (4406, '2020-09-14', 'AW', 'Aruba', 'AMRO', '0', '2819', '0', '16');
INSERT INTO public.who_import VALUES (4407, '2020-09-15', 'AW', 'Aruba', 'AMRO', '227', '3046', '2', '18');
INSERT INTO public.who_import VALUES (4408, '2020-09-16', 'AW', 'Aruba', 'AMRO', '14', '3060', '2', '20');
INSERT INTO public.who_import VALUES (4409, '2020-09-17', 'AW', 'Aruba', 'AMRO', '92', '3152', '2', '22');
INSERT INTO public.who_import VALUES (4410, '2020-09-18', 'AW', 'Aruba', 'AMRO', '176', '3328', '0', '22');
INSERT INTO public.who_import VALUES (4411, '2020-09-19', 'AW', 'Aruba', 'AMRO', '54', '3382', '1', '23');
INSERT INTO public.who_import VALUES (4412, '2020-09-20', 'AW', 'Aruba', 'AMRO', '0', '3382', '0', '23');
INSERT INTO public.who_import VALUES (4413, '2020-09-21', 'AW', 'Aruba', 'AMRO', '0', '3382', '0', '23');
INSERT INTO public.who_import VALUES (4414, '2020-09-22', 'AW', 'Aruba', 'AMRO', '169', '3551', '0', '23');
INSERT INTO public.who_import VALUES (4415, '2020-09-23', 'AW', 'Aruba', 'AMRO', '36', '3587', '1', '24');
INSERT INTO public.who_import VALUES (4416, '2020-09-24', 'AW', 'Aruba', 'AMRO', '78', '3665', '1', '25');
INSERT INTO public.who_import VALUES (4417, '2020-09-25', 'AW', 'Aruba', 'AMRO', '56', '3721', '0', '25');
INSERT INTO public.who_import VALUES (4418, '2020-09-26', 'AW', 'Aruba', 'AMRO', '35', '3756', '0', '25');
INSERT INTO public.who_import VALUES (4419, '2020-09-27', 'AW', 'Aruba', 'AMRO', '0', '3756', '0', '25');
INSERT INTO public.who_import VALUES (4420, '2020-09-28', 'AW', 'Aruba', 'AMRO', '0', '3756', '0', '25');
INSERT INTO public.who_import VALUES (4421, '2020-09-29', 'AW', 'Aruba', 'AMRO', '88', '3844', '0', '25');
INSERT INTO public.who_import VALUES (4422, '2020-09-30', 'AW', 'Aruba', 'AMRO', '28', '3872', '0', '25');
INSERT INTO public.who_import VALUES (4423, '2020-10-01', 'AW', 'Aruba', 'AMRO', '62', '3934', '1', '26');
INSERT INTO public.who_import VALUES (4424, '2020-10-02', 'AW', 'Aruba', 'AMRO', '29', '3963', '1', '27');
INSERT INTO public.who_import VALUES (4425, '2020-10-03', 'AW', 'Aruba', 'AMRO', '35', '3998', '0', '27');
INSERT INTO public.who_import VALUES (4426, '2020-10-04', 'AW', 'Aruba', 'AMRO', '0', '3998', '0', '27');
INSERT INTO public.who_import VALUES (4427, '2020-10-05', 'AW', 'Aruba', 'AMRO', '0', '3998', '0', '27');
INSERT INTO public.who_import VALUES (4428, '2020-10-06', 'AW', 'Aruba', 'AMRO', '81', '4079', '3', '30');
INSERT INTO public.who_import VALUES (4429, '2020-10-07', 'AW', 'Aruba', 'AMRO', '15', '4094', '1', '31');
INSERT INTO public.who_import VALUES (4430, '2020-10-08', 'AW', 'Aruba', 'AMRO', '14', '4108', '0', '31');
INSERT INTO public.who_import VALUES (4431, '2020-10-09', 'AW', 'Aruba', 'AMRO', '25', '4133', '0', '31');
INSERT INTO public.who_import VALUES (4432, '2020-10-10', 'AW', 'Aruba', 'AMRO', '17', '4150', '0', '31');
INSERT INTO public.who_import VALUES (4433, '2020-10-11', 'AW', 'Aruba', 'AMRO', '0', '4150', '0', '31');
INSERT INTO public.who_import VALUES (4434, '2020-10-12', 'AW', 'Aruba', 'AMRO', '0', '4150', '0', '31');
INSERT INTO public.who_import VALUES (4435, '2020-10-13', 'AW', 'Aruba', 'AMRO', '44', '4194', '1', '32');
INSERT INTO public.who_import VALUES (4436, '2020-10-14', 'AW', 'Aruba', 'AMRO', '3', '4197', '0', '32');
INSERT INTO public.who_import VALUES (4437, '2020-10-15', 'AW', 'Aruba', 'AMRO', '32', '4229', '0', '32');
INSERT INTO public.who_import VALUES (4438, '2020-10-16', 'AW', 'Aruba', 'AMRO', '26', '4255', '0', '32');
INSERT INTO public.who_import VALUES (4439, '2020-10-17', 'AW', 'Aruba', 'AMRO', '30', '4285', '0', '32');
INSERT INTO public.who_import VALUES (4440, '2020-10-18', 'AW', 'Aruba', 'AMRO', '0', '4285', '0', '32');
INSERT INTO public.who_import VALUES (4441, '2020-10-19', 'AW', 'Aruba', 'AMRO', '0', '4285', '0', '32');
INSERT INTO public.who_import VALUES (4442, '2020-10-20', 'AW', 'Aruba', 'AMRO', '37', '4322', '2', '34');
INSERT INTO public.who_import VALUES (4443, '2020-10-21', 'AW', 'Aruba', 'AMRO', '12', '4334', '0', '34');
INSERT INTO public.who_import VALUES (4444, '2020-10-22', 'AW', 'Aruba', 'AMRO', '21', '4355', '0', '34');
INSERT INTO public.who_import VALUES (4445, '2020-10-23', 'AW', 'Aruba', 'AMRO', '14', '4369', '1', '35');
INSERT INTO public.who_import VALUES (4446, '2020-10-24', 'AW', 'Aruba', 'AMRO', '20', '4389', '1', '36');
INSERT INTO public.who_import VALUES (4447, '2020-10-25', 'AW', 'Aruba', 'AMRO', '0', '4389', '0', '36');
INSERT INTO public.who_import VALUES (4448, '2020-10-26', 'AW', 'Aruba', 'AMRO', '0', '4389', '0', '36');
INSERT INTO public.who_import VALUES (4449, '2020-10-27', 'AW', 'Aruba', 'AMRO', '31', '4420', '0', '36');
INSERT INTO public.who_import VALUES (4450, '2020-10-28', 'AW', 'Aruba', 'AMRO', '2', '4422', '0', '36');
INSERT INTO public.who_import VALUES (4451, '2020-10-29', 'AW', 'Aruba', 'AMRO', '15', '4437', '0', '36');
INSERT INTO public.who_import VALUES (4452, '2020-10-30', 'AW', 'Aruba', 'AMRO', '18', '4455', '1', '37');
INSERT INTO public.who_import VALUES (4453, '2020-10-31', 'AW', 'Aruba', 'AMRO', '17', '4472', '0', '37');
INSERT INTO public.who_import VALUES (4454, '2020-11-01', 'AW', 'Aruba', 'AMRO', '0', '4472', '0', '37');
INSERT INTO public.who_import VALUES (4455, '2020-11-02', 'AW', 'Aruba', 'AMRO', '0', '4472', '0', '37');
INSERT INTO public.who_import VALUES (4456, '2020-11-03', 'AW', 'Aruba', 'AMRO', '47', '4519', '1', '38');
INSERT INTO public.who_import VALUES (4457, '2020-11-04', 'AW', 'Aruba', 'AMRO', '5', '4524', '0', '38');
INSERT INTO public.who_import VALUES (4458, '2020-11-05', 'AW', 'Aruba', 'AMRO', '14', '4538', '0', '38');
INSERT INTO public.who_import VALUES (4459, '2020-11-06', 'AW', 'Aruba', 'AMRO', '15', '4553', '1', '39');
INSERT INTO public.who_import VALUES (4460, '2020-11-07', 'AW', 'Aruba', 'AMRO', '11', '4564', '0', '39');
INSERT INTO public.who_import VALUES (4461, '2020-11-08', 'AW', 'Aruba', 'AMRO', '0', '4564', '0', '39');
INSERT INTO public.who_import VALUES (4462, '2020-11-09', 'AW', 'Aruba', 'AMRO', '0', '4564', '0', '39');
INSERT INTO public.who_import VALUES (4463, '2020-11-10', 'AW', 'Aruba', 'AMRO', '36', '4600', '1', '40');
INSERT INTO public.who_import VALUES (4464, '2020-11-11', 'AW', 'Aruba', 'AMRO', '6', '4606', '1', '41');
INSERT INTO public.who_import VALUES (4465, '2020-11-12', 'AW', 'Aruba', 'AMRO', '16', '4622', '1', '42');
INSERT INTO public.who_import VALUES (4466, '2020-11-13', 'AW', 'Aruba', 'AMRO', '9', '4631', '1', '43');
INSERT INTO public.who_import VALUES (4467, '2020-11-14', 'AW', 'Aruba', 'AMRO', '8', '4639', '0', '43');
INSERT INTO public.who_import VALUES (4468, '2020-11-15', 'AW', 'Aruba', 'AMRO', '0', '4639', '0', '43');
INSERT INTO public.who_import VALUES (4469, '2020-11-16', 'AW', 'Aruba', 'AMRO', '0', '4639', '0', '43');
INSERT INTO public.who_import VALUES (4470, '2020-11-17', 'AW', 'Aruba', 'AMRO', '23', '4662', '1', '44');
INSERT INTO public.who_import VALUES (4471, '2020-11-18', 'AW', 'Aruba', 'AMRO', '6', '4668', '0', '44');
INSERT INTO public.who_import VALUES (4472, '2020-11-19', 'AW', 'Aruba', 'AMRO', '8', '4676', '0', '44');
INSERT INTO public.who_import VALUES (4473, '2020-11-20', 'AW', 'Aruba', 'AMRO', '9', '4685', '1', '45');
INSERT INTO public.who_import VALUES (4474, '2020-11-21', 'AW', 'Aruba', 'AMRO', '8', '4693', '0', '45');
INSERT INTO public.who_import VALUES (4475, '2020-11-22', 'AW', 'Aruba', 'AMRO', '0', '4693', '0', '45');
INSERT INTO public.who_import VALUES (4476, '2020-11-23', 'AW', 'Aruba', 'AMRO', '0', '4693', '0', '45');
INSERT INTO public.who_import VALUES (4477, '2020-11-24', 'AW', 'Aruba', 'AMRO', '38', '4731', '0', '45');
INSERT INTO public.who_import VALUES (4478, '2020-11-25', 'AW', 'Aruba', 'AMRO', '6', '4737', '0', '45');
INSERT INTO public.who_import VALUES (4479, '2020-11-26', 'AW', 'Aruba', 'AMRO', '14', '4751', '0', '45');
INSERT INTO public.who_import VALUES (4480, '2020-11-27', 'AW', 'Aruba', 'AMRO', '27', '4778', '0', '45');
INSERT INTO public.who_import VALUES (4481, '2020-11-28', 'AW', 'Aruba', 'AMRO', '13', '4791', '0', '45');
INSERT INTO public.who_import VALUES (4482, '2020-11-29', 'AW', 'Aruba', 'AMRO', '0', '4791', '0', '45');
INSERT INTO public.who_import VALUES (4483, '2020-11-30', 'AW', 'Aruba', 'AMRO', '0', '4791', '0', '45');
INSERT INTO public.who_import VALUES (4484, '2020-12-01', 'AW', 'Aruba', 'AMRO', '47', '4838', '0', '45');
INSERT INTO public.who_import VALUES (4485, '2020-12-02', 'AW', 'Aruba', 'AMRO', '7', '4845', '0', '45');
INSERT INTO public.who_import VALUES (4486, '2020-12-03', 'AW', 'Aruba', 'AMRO', '27', '4872', '0', '45');
INSERT INTO public.who_import VALUES (4487, '2020-12-04', 'AW', 'Aruba', 'AMRO', '30', '4902', '0', '45');
INSERT INTO public.who_import VALUES (4488, '2020-12-05', 'AW', 'Aruba', 'AMRO', '21', '4923', '0', '45');
INSERT INTO public.who_import VALUES (4489, '2020-12-06', 'AW', 'Aruba', 'AMRO', '0', '4923', '0', '45');
INSERT INTO public.who_import VALUES (4490, '2020-12-07', 'AW', 'Aruba', 'AMRO', '0', '4923', '0', '45');
INSERT INTO public.who_import VALUES (4491, '2020-12-08', 'AW', 'Aruba', 'AMRO', '42', '4965', '0', '45');
INSERT INTO public.who_import VALUES (4492, '2020-12-09', 'AW', 'Aruba', 'AMRO', '1', '4966', '0', '45');
INSERT INTO public.who_import VALUES (4493, '2020-12-10', 'AW', 'Aruba', 'AMRO', '18', '4984', '0', '45');
INSERT INTO public.who_import VALUES (4494, '2020-12-11', 'AW', 'Aruba', 'AMRO', '12', '4996', '1', '46');
INSERT INTO public.who_import VALUES (4495, '2020-12-12', 'AW', 'Aruba', 'AMRO', '15', '5011', '0', '46');
INSERT INTO public.who_import VALUES (4496, '2020-12-13', 'AW', 'Aruba', 'AMRO', '0', '5011', '0', '46');
INSERT INTO public.who_import VALUES (4497, '2020-12-14', 'AW', 'Aruba', 'AMRO', '0', '5011', '0', '46');
INSERT INTO public.who_import VALUES (4498, '2020-12-15', 'AW', 'Aruba', 'AMRO', '38', '5049', '0', '46');
INSERT INTO public.who_import VALUES (4499, '2020-12-16', 'AW', 'Aruba', 'AMRO', '7', '5056', '0', '46');
INSERT INTO public.who_import VALUES (4500, '2020-12-17', 'AW', 'Aruba', 'AMRO', '23', '5079', '0', '46');
INSERT INTO public.who_import VALUES (4501, '2020-12-18', 'AW', 'Aruba', 'AMRO', '27', '5106', '1', '47');
INSERT INTO public.who_import VALUES (4502, '2020-12-19', 'AW', 'Aruba', 'AMRO', '18', '5124', '0', '47');
INSERT INTO public.who_import VALUES (4503, '2020-12-20', 'AW', 'Aruba', 'AMRO', '0', '5124', '0', '47');
INSERT INTO public.who_import VALUES (4504, '2020-12-21', 'AW', 'Aruba', 'AMRO', '0', '5124', '0', '47');
INSERT INTO public.who_import VALUES (4505, '2020-12-22', 'AW', 'Aruba', 'AMRO', '39', '5163', '0', '47');
INSERT INTO public.who_import VALUES (4506, '2020-12-23', 'AW', 'Aruba', 'AMRO', '13', '5176', '0', '47');
INSERT INTO public.who_import VALUES (4507, '2020-12-24', 'AW', 'Aruba', 'AMRO', '23', '5199', '0', '47');
INSERT INTO public.who_import VALUES (4508, '2020-12-25', 'AW', 'Aruba', 'AMRO', '29', '5228', '0', '47');
INSERT INTO public.who_import VALUES (4509, '2020-12-26', 'AW', 'Aruba', 'AMRO', '0', '5228', '0', '47');
INSERT INTO public.who_import VALUES (4510, '2020-12-27', 'AW', 'Aruba', 'AMRO', '0', '5228', '0', '47');
INSERT INTO public.who_import VALUES (4511, '2020-12-28', 'AW', 'Aruba', 'AMRO', '0', '5228', '0', '47');
INSERT INTO public.who_import VALUES (4512, '2020-12-29', 'AW', 'Aruba', 'AMRO', '77', '5305', '2', '49');
INSERT INTO public.who_import VALUES (4513, '2020-12-30', 'AW', 'Aruba', 'AMRO', '18', '5323', '0', '49');
INSERT INTO public.who_import VALUES (4514, '2020-12-31', 'AW', 'Aruba', 'AMRO', '50', '5373', '0', '49');
INSERT INTO public.who_import VALUES (4515, '2021-01-01', 'AW', 'Aruba', 'AMRO', '69', '5442', '0', '49');
INSERT INTO public.who_import VALUES (4516, '2021-01-02', 'AW', 'Aruba', 'AMRO', '0', '5442', '0', '49');
INSERT INTO public.who_import VALUES (4517, '2021-01-03', 'AW', 'Aruba', 'AMRO', '0', '5442', '0', '49');
INSERT INTO public.who_import VALUES (4518, '2021-01-04', 'AW', 'Aruba', 'AMRO', '0', '5442', '0', '49');
INSERT INTO public.who_import VALUES (4519, '2021-01-05', 'AW', 'Aruba', 'AMRO', '122', '5564', '0', '49');
INSERT INTO public.who_import VALUES (4520, '2021-01-06', 'AW', 'Aruba', 'AMRO', '42', '5606', '0', '49');
INSERT INTO public.who_import VALUES (4521, '2021-01-07', 'AW', 'Aruba', 'AMRO', '110', '5716', '1', '50');
INSERT INTO public.who_import VALUES (4522, '2021-01-08', 'AW', 'Aruba', 'AMRO', '95', '5811', '0', '50');
INSERT INTO public.who_import VALUES (4523, '2021-01-09', 'AW', 'Aruba', 'AMRO', '72', '5883', '0', '50');
INSERT INTO public.who_import VALUES (4524, '2021-01-10', 'AW', 'Aruba', 'AMRO', '0', '5883', '0', '50');
INSERT INTO public.who_import VALUES (4525, '2021-01-11', 'AW', 'Aruba', 'AMRO', '0', '5883', '0', '50');
INSERT INTO public.who_import VALUES (4526, '2021-01-12', 'AW', 'Aruba', 'AMRO', '159', '6042', '1', '51');
INSERT INTO public.who_import VALUES (4527, '2021-01-13', 'AW', 'Aruba', 'AMRO', '26', '6068', '1', '52');
INSERT INTO public.who_import VALUES (4528, '2021-01-14', 'AW', 'Aruba', 'AMRO', '86', '6154', '0', '52');
INSERT INTO public.who_import VALUES (4529, '2021-01-15', 'AW', 'Aruba', 'AMRO', '74', '6228', '0', '52');
INSERT INTO public.who_import VALUES (4530, '2021-01-16', 'AW', 'Aruba', 'AMRO', '68', '6296', '0', '52');
INSERT INTO public.who_import VALUES (4531, '2021-01-17', 'AW', 'Aruba', 'AMRO', '0', '6296', '0', '52');
INSERT INTO public.who_import VALUES (4532, '2021-01-18', 'AW', 'Aruba', 'AMRO', '0', '6296', '0', '52');
INSERT INTO public.who_import VALUES (4533, '2021-01-19', 'AW', 'Aruba', 'AMRO', '139', '6435', '0', '52');
INSERT INTO public.who_import VALUES (4534, '2021-01-20', 'AW', 'Aruba', 'AMRO', '16', '6451', '0', '52');
INSERT INTO public.who_import VALUES (4535, '2021-01-21', 'AW', 'Aruba', 'AMRO', '72', '6523', '0', '52');
INSERT INTO public.who_import VALUES (4536, '2021-01-22', 'AW', 'Aruba', 'AMRO', '39', '6562', '0', '52');
INSERT INTO public.who_import VALUES (4537, '2021-01-23', 'AW', 'Aruba', 'AMRO', '61', '6623', '0', '52');
INSERT INTO public.who_import VALUES (4538, '2021-01-24', 'AW', 'Aruba', 'AMRO', '0', '6623', '0', '52');
INSERT INTO public.who_import VALUES (4539, '2021-01-25', 'AW', 'Aruba', 'AMRO', '0', '6623', '0', '52');
INSERT INTO public.who_import VALUES (4540, '2021-01-26', 'AW', 'Aruba', 'AMRO', '100', '6723', '4', '56');
INSERT INTO public.who_import VALUES (4541, '2021-01-27', 'AW', 'Aruba', 'AMRO', '19', '6742', '1', '57');
INSERT INTO public.who_import VALUES (4542, '2021-01-28', 'AW', 'Aruba', 'AMRO', '26', '6768', '0', '57');
INSERT INTO public.who_import VALUES (4543, '2021-01-29', 'AW', 'Aruba', 'AMRO', '41', '6809', '1', '58');
INSERT INTO public.who_import VALUES (4544, '2021-01-30', 'AW', 'Aruba', 'AMRO', '49', '6858', '0', '58');
INSERT INTO public.who_import VALUES (4545, '2021-01-31', 'AW', 'Aruba', 'AMRO', '0', '6858', '0', '58');
INSERT INTO public.who_import VALUES (4546, '2021-02-01', 'AW', 'Aruba', 'AMRO', '0', '6858', '0', '58');
INSERT INTO public.who_import VALUES (4547, '2021-02-02', 'AW', 'Aruba', 'AMRO', '108', '6966', '1', '59');
INSERT INTO public.who_import VALUES (4548, '2021-02-03', 'AW', 'Aruba', 'AMRO', '20', '6986', '0', '59');
INSERT INTO public.who_import VALUES (4549, '2021-02-04', 'AW', 'Aruba', 'AMRO', '42', '7028', '0', '59');
INSERT INTO public.who_import VALUES (4550, '2021-02-05', 'AW', 'Aruba', 'AMRO', '55', '7083', '2', '61');
INSERT INTO public.who_import VALUES (4551, '2021-02-06', 'AW', 'Aruba', 'AMRO', '51', '7134', '0', '61');
INSERT INTO public.who_import VALUES (4552, '2021-02-07', 'AW', 'Aruba', 'AMRO', '0', '7134', '0', '61');
INSERT INTO public.who_import VALUES (4553, '2021-02-08', 'AW', 'Aruba', 'AMRO', '0', '7134', '0', '61');
INSERT INTO public.who_import VALUES (4554, '2021-02-09', 'AW', 'Aruba', 'AMRO', '89', '7223', '1', '62');
INSERT INTO public.who_import VALUES (4555, '2021-02-10', 'AW', 'Aruba', 'AMRO', '15', '7238', '2', '64');
INSERT INTO public.who_import VALUES (4556, '2021-02-11', 'AW', 'Aruba', 'AMRO', '48', '7286', '2', '66');
INSERT INTO public.who_import VALUES (4557, '2021-02-12', 'AW', 'Aruba', 'AMRO', '33', '7319', '2', '68');
INSERT INTO public.who_import VALUES (4558, '2021-02-13', 'AW', 'Aruba', 'AMRO', '19', '7338', '0', '68');
INSERT INTO public.who_import VALUES (4559, '2021-02-14', 'AW', 'Aruba', 'AMRO', '0', '7338', '0', '68');
INSERT INTO public.who_import VALUES (4560, '2021-02-15', 'AW', 'Aruba', 'AMRO', '0', '7338', '0', '68');
INSERT INTO public.who_import VALUES (4561, '2021-02-16', 'AW', 'Aruba', 'AMRO', '75', '7413', '0', '68');
INSERT INTO public.who_import VALUES (4562, '2021-02-17', 'AW', 'Aruba', 'AMRO', '25', '7438', '0', '68');
INSERT INTO public.who_import VALUES (4563, '2021-02-18', 'AW', 'Aruba', 'AMRO', '23', '7461', '1', '69');
INSERT INTO public.who_import VALUES (4564, '2021-02-19', 'AW', 'Aruba', 'AMRO', '52', '7513', '0', '69');
INSERT INTO public.who_import VALUES (4565, '2021-02-20', 'AW', 'Aruba', 'AMRO', '40', '7553', '1', '70');
INSERT INTO public.who_import VALUES (4566, '2020-01-03', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4567, '2020-01-04', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4568, '2020-01-05', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4569, '2020-01-06', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4570, '2020-01-07', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4571, '2020-01-08', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4572, '2020-01-09', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4573, '2020-01-10', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4574, '2020-01-11', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4575, '2020-01-12', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4576, '2020-01-13', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4577, '2020-01-14', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4578, '2020-01-15', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4579, '2020-01-16', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4580, '2020-01-17', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4581, '2020-01-18', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4582, '2020-01-19', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4583, '2020-01-20', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4584, '2020-01-21', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4585, '2020-01-22', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4586, '2020-01-23', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4587, '2020-01-24', 'AU', 'Australia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4588, '2020-01-25', 'AU', 'Australia', 'WPRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (4589, '2020-01-26', 'AU', 'Australia', 'WPRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (4590, '2020-01-27', 'AU', 'Australia', 'WPRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (4591, '2020-01-28', 'AU', 'Australia', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (4592, '2020-01-29', 'AU', 'Australia', 'WPRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (4593, '2020-01-30', 'AU', 'Australia', 'WPRO', '2', '13', '0', '0');
INSERT INTO public.who_import VALUES (4594, '2020-01-31', 'AU', 'Australia', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (4595, '2020-02-01', 'AU', 'Australia', 'WPRO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (4596, '2020-02-02', 'AU', 'Australia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (4597, '2020-02-03', 'AU', 'Australia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (4598, '2020-02-04', 'AU', 'Australia', 'WPRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (4599, '2020-02-05', 'AU', 'Australia', 'WPRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (4600, '2020-02-06', 'AU', 'Australia', 'WPRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (4601, '2020-02-07', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4602, '2020-02-08', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4603, '2020-02-09', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4604, '2020-02-10', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4605, '2020-02-11', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4606, '2020-02-12', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4607, '2020-02-13', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4608, '2020-02-14', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4609, '2020-02-15', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4610, '2020-02-16', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4611, '2020-02-17', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4612, '2020-02-18', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4613, '2020-02-19', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4614, '2020-02-20', 'AU', 'Australia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (4615, '2020-02-21', 'AU', 'Australia', 'WPRO', '2', '21', '0', '0');
INSERT INTO public.who_import VALUES (4616, '2020-02-22', 'AU', 'Australia', 'WPRO', '4', '25', '0', '0');
INSERT INTO public.who_import VALUES (4617, '2020-02-23', 'AU', 'Australia', 'WPRO', '1', '26', '0', '0');
INSERT INTO public.who_import VALUES (4618, '2020-02-24', 'AU', 'Australia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (4619, '2020-02-25', 'AU', 'Australia', 'WPRO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (4620, '2020-02-26', 'AU', 'Australia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (4621, '2020-02-27', 'AU', 'Australia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (4622, '2020-02-28', 'AU', 'Australia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (4623, '2020-02-29', 'AU', 'Australia', 'WPRO', '2', '29', '0', '0');
INSERT INTO public.who_import VALUES (4624, '2020-03-01', 'AU', 'Australia', 'WPRO', '2', '31', '1', '1');
INSERT INTO public.who_import VALUES (4625, '2020-03-02', 'AU', 'Australia', 'WPRO', '6', '37', '0', '1');
INSERT INTO public.who_import VALUES (4626, '2020-03-03', 'AU', 'Australia', 'WPRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (4627, '2020-03-04', 'AU', 'Australia', 'WPRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (4628, '2020-03-05', 'AU', 'Australia', 'WPRO', '10', '47', '0', '1');
INSERT INTO public.who_import VALUES (4629, '2020-03-06', 'AU', 'Australia', 'WPRO', '19', '66', '1', '2');
INSERT INTO public.who_import VALUES (4630, '2020-03-07', 'AU', 'Australia', 'WPRO', '8', '74', '0', '2');
INSERT INTO public.who_import VALUES (4631, '2020-03-08', 'AU', 'Australia', 'WPRO', '7', '81', '1', '3');
INSERT INTO public.who_import VALUES (4632, '2020-03-09', 'AU', 'Australia', 'WPRO', '15', '96', '0', '3');
INSERT INTO public.who_import VALUES (4633, '2020-03-10', 'AU', 'Australia', 'WPRO', '0', '96', '0', '3');
INSERT INTO public.who_import VALUES (4634, '2020-03-11', 'AU', 'Australia', 'WPRO', '30', '126', '0', '3');
INSERT INTO public.who_import VALUES (4635, '2020-03-12', 'AU', 'Australia', 'WPRO', '18', '144', '0', '3');
INSERT INTO public.who_import VALUES (4636, '2020-03-13', 'AU', 'Australia', 'WPRO', '49', '193', '0', '3');
INSERT INTO public.who_import VALUES (4637, '2020-03-14', 'AU', 'Australia', 'WPRO', '8', '201', '0', '3');
INSERT INTO public.who_import VALUES (4638, '2020-03-15', 'AU', 'Australia', 'WPRO', '101', '302', '2', '5');
INSERT INTO public.who_import VALUES (4639, '2020-03-16', 'AU', 'Australia', 'WPRO', '38', '340', '0', '5');
INSERT INTO public.who_import VALUES (4640, '2020-03-17', 'AU', 'Australia', 'WPRO', '78', '418', '0', '5');
INSERT INTO public.who_import VALUES (4641, '2020-03-18', 'AU', 'Australia', 'WPRO', '96', '514', '1', '6');
INSERT INTO public.who_import VALUES (4642, '2020-03-19', 'AU', 'Australia', 'WPRO', '195', '709', '0', '6');
INSERT INTO public.who_import VALUES (4643, '2020-03-20', 'AU', 'Australia', 'WPRO', '164', '873', '1', '7');
INSERT INTO public.who_import VALUES (4644, '2020-03-21', 'AU', 'Australia', 'WPRO', '208', '1081', '0', '7');
INSERT INTO public.who_import VALUES (4645, '2020-03-22', 'AU', 'Australia', 'WPRO', '17', '1098', '0', '7');
INSERT INTO public.who_import VALUES (4646, '2020-03-23', 'AU', 'Australia', 'WPRO', '611', '1709', '0', '7');
INSERT INTO public.who_import VALUES (4647, '2020-03-24', 'AU', 'Australia', 'WPRO', '427', '2136', '1', '8');
INSERT INTO public.who_import VALUES (4648, '2020-03-25', 'AU', 'Australia', 'WPRO', '287', '2423', '0', '8');
INSERT INTO public.who_import VALUES (4649, '2020-03-26', 'AU', 'Australia', 'WPRO', '376', '2799', '3', '11');
INSERT INTO public.who_import VALUES (4650, '2020-03-27', 'AU', 'Australia', 'WPRO', '186', '2985', '2', '13');
INSERT INTO public.who_import VALUES (4651, '2020-03-28', 'AU', 'Australia', 'WPRO', '650', '3635', '1', '14');
INSERT INTO public.who_import VALUES (4652, '2020-03-29', 'AU', 'Australia', 'WPRO', '331', '3966', '2', '16');
INSERT INTO public.who_import VALUES (4653, '2020-03-30', 'AU', 'Australia', 'WPRO', '279', '4245', '2', '18');
INSERT INTO public.who_import VALUES (4654, '2020-03-31', 'AU', 'Australia', 'WPRO', '312', '4557', '1', '19');
INSERT INTO public.who_import VALUES (4655, '2020-04-01', 'AU', 'Australia', 'WPRO', '303', '4860', '1', '20');
INSERT INTO public.who_import VALUES (4656, '2020-04-02', 'AU', 'Australia', 'WPRO', '116', '4976', '1', '21');
INSERT INTO public.who_import VALUES (4657, '2020-04-03', 'AU', 'Australia', 'WPRO', '374', '5350', '5', '26');
INSERT INTO public.who_import VALUES (4658, '2020-04-04', 'AU', 'Australia', 'WPRO', '104', '5454', '2', '28');
INSERT INTO public.who_import VALUES (4659, '2020-04-05', 'AU', 'Australia', 'WPRO', '181', '5635', '6', '34');
INSERT INTO public.who_import VALUES (4660, '2020-04-06', 'AU', 'Australia', 'WPRO', '160', '5795', '5', '39');
INSERT INTO public.who_import VALUES (4661, '2020-04-07', 'AU', 'Australia', 'WPRO', '49', '5844', '3', '42');
INSERT INTO public.who_import VALUES (4662, '2020-04-08', 'AU', 'Australia', 'WPRO', '112', '5956', '3', '45');
INSERT INTO public.who_import VALUES (4663, '2020-04-09', 'AU', 'Australia', 'WPRO', '96', '6052', '5', '50');
INSERT INTO public.who_import VALUES (4664, '2020-04-10', 'AU', 'Australia', 'WPRO', '100', '6152', '2', '52');
INSERT INTO public.who_import VALUES (4665, '2020-04-11', 'AU', 'Australia', 'WPRO', '137', '6289', '4', '56');
INSERT INTO public.who_import VALUES (4666, '2020-04-12', 'AU', 'Australia', 'WPRO', '24', '6313', '3', '59');
INSERT INTO public.who_import VALUES (4667, '2020-04-13', 'AU', 'Australia', 'WPRO', '9', '6322', '2', '61');
INSERT INTO public.who_import VALUES (4668, '2020-04-14', 'AU', 'Australia', 'WPRO', '44', '6366', '0', '61');
INSERT INTO public.who_import VALUES (4669, '2020-04-15', 'AU', 'Australia', 'WPRO', '50', '6416', '0', '61');
INSERT INTO public.who_import VALUES (4670, '2020-04-16', 'AU', 'Australia', 'WPRO', '42', '6458', '2', '63');
INSERT INTO public.who_import VALUES (4671, '2020-04-17', 'AU', 'Australia', 'WPRO', '10', '6468', '0', '63');
INSERT INTO public.who_import VALUES (4672, '2020-04-18', 'AU', 'Australia', 'WPRO', '65', '6533', '4', '67');
INSERT INTO public.who_import VALUES (4673, '2020-04-19', 'AU', 'Australia', 'WPRO', '73', '6606', '3', '70');
INSERT INTO public.who_import VALUES (4674, '2020-04-20', 'AU', 'Australia', 'WPRO', '6', '6612', '0', '70');
INSERT INTO public.who_import VALUES (4675, '2020-04-21', 'AU', 'Australia', 'WPRO', '13', '6625', '1', '71');
INSERT INTO public.who_import VALUES (4676, '2020-04-22', 'AU', 'Australia', 'WPRO', '22', '6647', '3', '74');
INSERT INTO public.who_import VALUES (4677, '2020-04-23', 'AU', 'Australia', 'WPRO', '14', '6661', '1', '75');
INSERT INTO public.who_import VALUES (4678, '2020-04-24', 'AU', 'Australia', 'WPRO', '6', '6667', '1', '76');
INSERT INTO public.who_import VALUES (4679, '2020-04-25', 'AU', 'Australia', 'WPRO', '20', '6687', '3', '79');
INSERT INTO public.who_import VALUES (4680, '2020-04-26', 'AU', 'Australia', 'WPRO', '16', '6703', '2', '81');
INSERT INTO public.who_import VALUES (4681, '2020-04-27', 'AU', 'Australia', 'WPRO', '10', '6713', '2', '83');
INSERT INTO public.who_import VALUES (4682, '2020-04-28', 'AU', 'Australia', 'WPRO', '12', '6725', '1', '84');
INSERT INTO public.who_import VALUES (4683, '2020-04-29', 'AU', 'Australia', 'WPRO', '13', '6738', '4', '88');
INSERT INTO public.who_import VALUES (4684, '2020-04-30', 'AU', 'Australia', 'WPRO', '8', '6746', '2', '90');
INSERT INTO public.who_import VALUES (4685, '2020-05-01', 'AU', 'Australia', 'WPRO', '16', '6762', '2', '92');
INSERT INTO public.who_import VALUES (4686, '2020-05-02', 'AU', 'Australia', 'WPRO', '5', '6767', '1', '93');
INSERT INTO public.who_import VALUES (4687, '2020-05-03', 'AU', 'Australia', 'WPRO', '16', '6783', '0', '93');
INSERT INTO public.who_import VALUES (4688, '2020-05-04', 'AU', 'Australia', 'WPRO', '18', '6801', '2', '95');
INSERT INTO public.who_import VALUES (4689, '2020-05-05', 'AU', 'Australia', 'WPRO', '24', '6825', '0', '95');
INSERT INTO public.who_import VALUES (4690, '2020-05-06', 'AU', 'Australia', 'WPRO', '24', '6849', '1', '96');
INSERT INTO public.who_import VALUES (4691, '2020-05-07', 'AU', 'Australia', 'WPRO', '26', '6875', '1', '97');
INSERT INTO public.who_import VALUES (4692, '2020-05-08', 'AU', 'Australia', 'WPRO', '21', '6896', '0', '97');
INSERT INTO public.who_import VALUES (4693, '2020-05-09', 'AU', 'Australia', 'WPRO', '18', '6914', '0', '97');
INSERT INTO public.who_import VALUES (4694, '2020-05-10', 'AU', 'Australia', 'WPRO', '15', '6929', '0', '97');
INSERT INTO public.who_import VALUES (4695, '2020-05-11', 'AU', 'Australia', 'WPRO', '12', '6941', '0', '97');
INSERT INTO public.who_import VALUES (4696, '2020-05-12', 'AU', 'Australia', 'WPRO', '7', '6948', '0', '97');
INSERT INTO public.who_import VALUES (4697, '2020-05-13', 'AU', 'Australia', 'WPRO', '16', '6964', '0', '97');
INSERT INTO public.who_import VALUES (4698, '2020-05-14', 'AU', 'Australia', 'WPRO', '11', '6975', '1', '98');
INSERT INTO public.who_import VALUES (4699, '2020-05-15', 'AU', 'Australia', 'WPRO', '14', '6989', '0', '98');
INSERT INTO public.who_import VALUES (4700, '2020-05-16', 'AU', 'Australia', 'WPRO', '30', '7019', '0', '98');
INSERT INTO public.who_import VALUES (4701, '2020-05-17', 'AU', 'Australia', 'WPRO', '17', '7036', '0', '98');
INSERT INTO public.who_import VALUES (4702, '2020-05-18', 'AU', 'Australia', 'WPRO', '9', '7045', '0', '98');
INSERT INTO public.who_import VALUES (4703, '2020-05-19', 'AU', 'Australia', 'WPRO', '15', '7060', '1', '99');
INSERT INTO public.who_import VALUES (4704, '2020-05-20', 'AU', 'Australia', 'WPRO', '8', '7068', '0', '99');
INSERT INTO public.who_import VALUES (4705, '2020-05-21', 'AU', 'Australia', 'WPRO', '11', '7079', '1', '100');
INSERT INTO public.who_import VALUES (4706, '2020-05-22', 'AU', 'Australia', 'WPRO', '2', '7081', '0', '100');
INSERT INTO public.who_import VALUES (4707, '2020-05-23', 'AU', 'Australia', 'WPRO', '14', '7095', '1', '101');
INSERT INTO public.who_import VALUES (4708, '2020-05-24', 'AU', 'Australia', 'WPRO', '11', '7106', '1', '102');
INSERT INTO public.who_import VALUES (4709, '2020-05-25', 'AU', 'Australia', 'WPRO', '3', '7109', '0', '102');
INSERT INTO public.who_import VALUES (4710, '2020-05-26', 'AU', 'Australia', 'WPRO', '9', '7118', '0', '102');
INSERT INTO public.who_import VALUES (4711, '2020-05-27', 'AU', 'Australia', 'WPRO', '15', '7133', '0', '102');
INSERT INTO public.who_import VALUES (4712, '2020-05-28', 'AU', 'Australia', 'WPRO', '6', '7139', '1', '103');
INSERT INTO public.who_import VALUES (4713, '2020-05-29', 'AU', 'Australia', 'WPRO', '11', '7150', '0', '103');
INSERT INTO public.who_import VALUES (4714, '2020-05-30', 'AU', 'Australia', 'WPRO', '23', '7173', '0', '103');
INSERT INTO public.who_import VALUES (4715, '2020-05-31', 'AU', 'Australia', 'WPRO', '12', '7185', '0', '103');
INSERT INTO public.who_import VALUES (4716, '2020-06-01', 'AU', 'Australia', 'WPRO', '10', '7195', '0', '103');
INSERT INTO public.who_import VALUES (4717, '2020-06-02', 'AU', 'Australia', 'WPRO', '9', '7204', '0', '103');
INSERT INTO public.who_import VALUES (4718, '2020-06-03', 'AU', 'Australia', 'WPRO', '17', '7221', '0', '103');
INSERT INTO public.who_import VALUES (4719, '2020-06-04', 'AU', 'Australia', 'WPRO', '8', '7229', '-1', '102');
INSERT INTO public.who_import VALUES (4720, '2020-06-05', 'AU', 'Australia', 'WPRO', '11', '7240', '0', '102');
INSERT INTO public.who_import VALUES (4721, '2020-06-06', 'AU', 'Australia', 'WPRO', '11', '7251', '0', '102');
INSERT INTO public.who_import VALUES (4722, '2020-06-07', 'AU', 'Australia', 'WPRO', '4', '7255', '0', '102');
INSERT INTO public.who_import VALUES (4723, '2020-06-08', 'AU', 'Australia', 'WPRO', '5', '7260', '0', '102');
INSERT INTO public.who_import VALUES (4724, '2020-06-09', 'AU', 'Australia', 'WPRO', '5', '7265', '0', '102');
INSERT INTO public.who_import VALUES (4725, '2020-06-10', 'AU', 'Australia', 'WPRO', '2', '7267', '0', '102');
INSERT INTO public.who_import VALUES (4726, '2020-06-11', 'AU', 'Australia', 'WPRO', '0', '7267', '0', '102');
INSERT INTO public.who_import VALUES (4727, '2020-06-12', 'AU', 'Australia', 'WPRO', '18', '7285', '0', '102');
INSERT INTO public.who_import VALUES (4728, '2020-06-13', 'AU', 'Australia', 'WPRO', '5', '7290', '0', '102');
INSERT INTO public.who_import VALUES (4729, '2020-06-14', 'AU', 'Australia', 'WPRO', '12', '7302', '0', '102');
INSERT INTO public.who_import VALUES (4730, '2020-06-15', 'AU', 'Australia', 'WPRO', '18', '7320', '0', '102');
INSERT INTO public.who_import VALUES (4731, '2020-06-16', 'AU', 'Australia', 'WPRO', '15', '7335', '0', '102');
INSERT INTO public.who_import VALUES (4732, '2020-06-17', 'AU', 'Australia', 'WPRO', '12', '7347', '0', '102');
INSERT INTO public.who_import VALUES (4733, '2020-06-18', 'AU', 'Australia', 'WPRO', '23', '7370', '0', '102');
INSERT INTO public.who_import VALUES (4734, '2020-06-19', 'AU', 'Australia', 'WPRO', '21', '7391', '0', '102');
INSERT INTO public.who_import VALUES (4735, '2020-06-20', 'AU', 'Australia', 'WPRO', '18', '7409', '0', '102');
INSERT INTO public.who_import VALUES (4736, '2020-06-21', 'AU', 'Australia', 'WPRO', '27', '7436', '0', '102');
INSERT INTO public.who_import VALUES (4737, '2020-06-22', 'AU', 'Australia', 'WPRO', '25', '7461', '0', '102');
INSERT INTO public.who_import VALUES (4738, '2020-06-23', 'AU', 'Australia', 'WPRO', '13', '7474', '0', '102');
INSERT INTO public.who_import VALUES (4739, '2020-06-24', 'AU', 'Australia', 'WPRO', '18', '7492', '0', '102');
INSERT INTO public.who_import VALUES (4740, '2020-06-25', 'AU', 'Australia', 'WPRO', '29', '7521', '1', '103');
INSERT INTO public.who_import VALUES (4741, '2020-06-26', 'AU', 'Australia', 'WPRO', '37', '7558', '1', '104');
INSERT INTO public.who_import VALUES (4742, '2020-06-27', 'AU', 'Australia', 'WPRO', '37', '7595', '0', '104');
INSERT INTO public.who_import VALUES (4743, '2020-06-28', 'AU', 'Australia', 'WPRO', '46', '7641', '0', '104');
INSERT INTO public.who_import VALUES (4744, '2020-06-29', 'AU', 'Australia', 'WPRO', '45', '7686', '0', '104');
INSERT INTO public.who_import VALUES (4745, '2020-06-30', 'AU', 'Australia', 'WPRO', '81', '7767', '0', '104');
INSERT INTO public.who_import VALUES (4746, '2020-07-01', 'AU', 'Australia', 'WPRO', '67', '7834', '0', '104');
INSERT INTO public.who_import VALUES (4747, '2020-07-02', 'AU', 'Australia', 'WPRO', '86', '7920', '0', '104');
INSERT INTO public.who_import VALUES (4748, '2020-07-03', 'AU', 'Australia', 'WPRO', '81', '8001', '0', '104');
INSERT INTO public.who_import VALUES (4749, '2020-07-04', 'AU', 'Australia', 'WPRO', '254', '8255', '0', '104');
INSERT INTO public.who_import VALUES (4750, '2020-07-05', 'AU', 'Australia', 'WPRO', '107', '8362', '0', '104');
INSERT INTO public.who_import VALUES (4751, '2020-07-06', 'AU', 'Australia', 'WPRO', '87', '8449', '0', '104');
INSERT INTO public.who_import VALUES (4752, '2020-07-07', 'AU', 'Australia', 'WPRO', '137', '8586', '2', '106');
INSERT INTO public.who_import VALUES (4753, '2020-07-08', 'AU', 'Australia', 'WPRO', '169', '8755', '0', '106');
INSERT INTO public.who_import VALUES (4754, '2020-07-09', 'AU', 'Australia', 'WPRO', '131', '8886', '0', '106');
INSERT INTO public.who_import VALUES (4755, '2020-07-10', 'AU', 'Australia', 'WPRO', '173', '9059', '0', '106');
INSERT INTO public.who_import VALUES (4756, '2020-07-11', 'AU', 'Australia', 'WPRO', '300', '9359', '0', '106');
INSERT INTO public.who_import VALUES (4757, '2020-07-12', 'AU', 'Australia', 'WPRO', '194', '9553', '1', '107');
INSERT INTO public.who_import VALUES (4758, '2020-07-13', 'AU', 'Australia', 'WPRO', '244', '9797', '1', '108');
INSERT INTO public.who_import VALUES (4759, '2020-07-14', 'AU', 'Australia', 'WPRO', '183', '9980', '0', '108');
INSERT INTO public.who_import VALUES (4760, '2020-07-15', 'AU', 'Australia', 'WPRO', '271', '10251', '0', '108');
INSERT INTO public.who_import VALUES (4761, '2020-07-16', 'AU', 'Australia', 'WPRO', '244', '10495', '3', '111');
INSERT INTO public.who_import VALUES (4762, '2020-07-17', 'AU', 'Australia', 'WPRO', '315', '10810', '2', '113');
INSERT INTO public.who_import VALUES (4763, '2020-07-18', 'AU', 'Australia', 'WPRO', '425', '11235', '3', '116');
INSERT INTO public.who_import VALUES (4764, '2020-07-19', 'AU', 'Australia', 'WPRO', '206', '11441', '2', '118');
INSERT INTO public.who_import VALUES (4765, '2020-07-20', 'AU', 'Australia', 'WPRO', '361', '11802', '4', '122');
INSERT INTO public.who_import VALUES (4766, '2020-07-21', 'AU', 'Australia', 'WPRO', '267', '12069', '1', '123');
INSERT INTO public.who_import VALUES (4767, '2020-07-22', 'AU', 'Australia', 'WPRO', '359', '12428', '3', '126');
INSERT INTO public.who_import VALUES (4768, '2020-07-23', 'AU', 'Australia', 'WPRO', '468', '12896', '2', '128');
INSERT INTO public.who_import VALUES (4769, '2020-07-24', 'AU', 'Australia', 'WPRO', '410', '13306', '5', '133');
INSERT INTO public.who_import VALUES (4770, '2020-07-25', 'AU', 'Australia', 'WPRO', '289', '13595', '6', '139');
INSERT INTO public.who_import VALUES (4771, '2020-07-26', 'AU', 'Australia', 'WPRO', '355', '13950', '6', '145');
INSERT INTO public.who_import VALUES (4772, '2020-07-27', 'AU', 'Australia', 'WPRO', '453', '14403', '10', '155');
INSERT INTO public.who_import VALUES (4773, '2020-07-28', 'AU', 'Australia', 'WPRO', '532', '14935', '6', '161');
INSERT INTO public.who_import VALUES (4774, '2020-07-29', 'AU', 'Australia', 'WPRO', '369', '15304', '6', '167');
INSERT INTO public.who_import VALUES (4775, '2020-07-30', 'AU', 'Australia', 'WPRO', '278', '15582', '9', '176');
INSERT INTO public.who_import VALUES (4776, '2020-07-31', 'AU', 'Australia', 'WPRO', '721', '16303', '13', '189');
INSERT INTO public.who_import VALUES (4777, '2020-08-01', 'AU', 'Australia', 'WPRO', '602', '16905', '7', '196');
INSERT INTO public.who_import VALUES (4778, '2020-08-02', 'AU', 'Australia', 'WPRO', '377', '17282', '4', '200');
INSERT INTO public.who_import VALUES (4779, '2020-08-03', 'AU', 'Australia', 'WPRO', '641', '17923', '8', '208');
INSERT INTO public.who_import VALUES (4780, '2020-08-04', 'AU', 'Australia', 'WPRO', '395', '18318', '13', '221');
INSERT INTO public.who_import VALUES (4781, '2020-08-05', 'AU', 'Australia', 'WPRO', '411', '18729', '11', '232');
INSERT INTO public.who_import VALUES (4782, '2020-08-06', 'AU', 'Australia', 'WPRO', '715', '19444', '15', '247');
INSERT INTO public.who_import VALUES (4783, '2020-08-07', 'AU', 'Australia', 'WPRO', '418', '19862', '8', '255');
INSERT INTO public.who_import VALUES (4784, '2020-08-08', 'AU', 'Australia', 'WPRO', '410', '20272', '11', '266');
INSERT INTO public.who_import VALUES (4785, '2020-08-09', 'AU', 'Australia', 'WPRO', '426', '20698', '12', '278');
INSERT INTO public.who_import VALUES (4786, '2020-08-10', 'AU', 'Australia', 'WPRO', '386', '21084', '17', '295');
INSERT INTO public.who_import VALUES (4787, '2020-08-11', 'AU', 'Australia', 'WPRO', '313', '21397', '18', '313');
INSERT INTO public.who_import VALUES (4788, '2020-08-12', 'AU', 'Australia', 'WPRO', '316', '21713', '18', '331');
INSERT INTO public.who_import VALUES (4789, '2020-08-13', 'AU', 'Australia', 'WPRO', '414', '22127', '21', '352');
INSERT INTO public.who_import VALUES (4790, '2020-08-14', 'AU', 'Australia', 'WPRO', '231', '22358', '9', '361');
INSERT INTO public.who_import VALUES (4791, '2020-08-15', 'AU', 'Australia', 'WPRO', '385', '22743', '14', '375');
INSERT INTO public.who_import VALUES (4792, '2020-08-16', 'AU', 'Australia', 'WPRO', '292', '23035', '4', '379');
INSERT INTO public.who_import VALUES (4793, '2020-08-17', 'AU', 'Australia', 'WPRO', '253', '23288', '17', '396');
INSERT INTO public.who_import VALUES (4794, '2020-08-18', 'AU', 'Australia', 'WPRO', '271', '23559', '25', '421');
INSERT INTO public.who_import VALUES (4795, '2020-08-19', 'AU', 'Australia', 'WPRO', '214', '23773', '17', '438');
INSERT INTO public.who_import VALUES (4796, '2020-08-20', 'AU', 'Australia', 'WPRO', '220', '23993', '12', '450');
INSERT INTO public.who_import VALUES (4797, '2020-08-21', 'AU', 'Australia', 'WPRO', '243', '24236', '13', '463');
INSERT INTO public.who_import VALUES (4798, '2020-08-22', 'AU', 'Australia', 'WPRO', '171', '24407', '9', '472');
INSERT INTO public.who_import VALUES (4799, '2020-08-23', 'AU', 'Australia', 'WPRO', '195', '24602', '13', '485');
INSERT INTO public.who_import VALUES (4800, '2020-08-24', 'AU', 'Australia', 'WPRO', '210', '24812', '17', '502');
INSERT INTO public.who_import VALUES (4801, '2020-08-25', 'AU', 'Australia', 'WPRO', '104', '24916', '15', '517');
INSERT INTO public.who_import VALUES (4802, '2020-08-26', 'AU', 'Australia', 'WPRO', '137', '25053', '8', '525');
INSERT INTO public.who_import VALUES (4803, '2020-08-27', 'AU', 'Australia', 'WPRO', '152', '25205', '24', '549');
INSERT INTO public.who_import VALUES (4804, '2020-08-28', 'AU', 'Australia', 'WPRO', '117', '25322', '23', '572');
INSERT INTO public.who_import VALUES (4805, '2020-08-29', 'AU', 'Australia', 'WPRO', '126', '25448', '11', '583');
INSERT INTO public.who_import VALUES (4806, '2020-08-30', 'AU', 'Australia', 'WPRO', '99', '25547', '17', '600');
INSERT INTO public.who_import VALUES (4807, '2020-08-31', 'AU', 'Australia', 'WPRO', '123', '25670', '11', '611');
INSERT INTO public.who_import VALUES (4808, '2020-09-01', 'AU', 'Australia', 'WPRO', '76', '25746', '41', '652');
INSERT INTO public.who_import VALUES (4809, '2020-09-02', 'AU', 'Australia', 'WPRO', '73', '25819', '5', '657');
INSERT INTO public.who_import VALUES (4810, '2020-09-03', 'AU', 'Australia', 'WPRO', '104', '25923', '6', '663');
INSERT INTO public.who_import VALUES (4811, '2020-09-04', 'AU', 'Australia', 'WPRO', '126', '26049', '15', '678');
INSERT INTO public.who_import VALUES (4812, '2020-09-05', 'AU', 'Australia', 'WPRO', '87', '26136', '59', '737');
INSERT INTO public.who_import VALUES (4813, '2020-09-06', 'AU', 'Australia', 'WPRO', '71', '26207', '11', '748');
INSERT INTO public.who_import VALUES (4814, '2020-09-07', 'AU', 'Australia', 'WPRO', '72', '26279', '5', '753');
INSERT INTO public.who_import VALUES (4815, '2020-09-08', 'AU', 'Australia', 'WPRO', '43', '26322', '9', '762');
INSERT INTO public.who_import VALUES (4816, '2020-09-09', 'AU', 'Australia', 'WPRO', '52', '26374', '8', '770');
INSERT INTO public.who_import VALUES (4817, '2020-09-10', 'AU', 'Australia', 'WPRO', '91', '26465', '11', '781');
INSERT INTO public.who_import VALUES (4818, '2020-09-11', 'AU', 'Australia', 'WPRO', '48', '26513', '7', '788');
INSERT INTO public.who_import VALUES (4819, '2020-09-12', 'AU', 'Australia', 'WPRO', '52', '26565', '9', '797');
INSERT INTO public.who_import VALUES (4820, '2020-09-13', 'AU', 'Australia', 'WPRO', '42', '26607', '6', '803');
INSERT INTO public.who_import VALUES (4821, '2020-09-14', 'AU', 'Australia', 'WPRO', '44', '26651', '7', '810');
INSERT INTO public.who_import VALUES (4822, '2020-09-15', 'AU', 'Australia', 'WPRO', '41', '26692', '6', '816');
INSERT INTO public.who_import VALUES (4823, '2020-09-16', 'AU', 'Australia', 'WPRO', '46', '26738', '0', '816');
INSERT INTO public.who_import VALUES (4824, '2020-09-17', 'AU', 'Australia', 'WPRO', '41', '26779', '8', '824');
INSERT INTO public.who_import VALUES (4825, '2020-09-18', 'AU', 'Australia', 'WPRO', '34', '26813', '8', '832');
INSERT INTO public.who_import VALUES (4826, '2020-09-19', 'AU', 'Australia', 'WPRO', '48', '26861', '5', '837');
INSERT INTO public.who_import VALUES (4827, '2020-09-20', 'AU', 'Australia', 'WPRO', '24', '26885', '7', '844');
INSERT INTO public.who_import VALUES (4828, '2020-09-21', 'AU', 'Australia', 'WPRO', '13', '26898', '5', '849');
INSERT INTO public.who_import VALUES (4829, '2020-09-22', 'AU', 'Australia', 'WPRO', '14', '26912', '2', '851');
INSERT INTO public.who_import VALUES (4830, '2020-09-23', 'AU', 'Australia', 'WPRO', '30', '26942', '3', '854');
INSERT INTO public.who_import VALUES (4831, '2020-09-24', 'AU', 'Australia', 'WPRO', '31', '26973', '5', '859');
INSERT INTO public.who_import VALUES (4832, '2020-09-25', 'AU', 'Australia', 'WPRO', '10', '26983', '2', '861');
INSERT INTO public.who_import VALUES (4833, '2020-09-26', 'AU', 'Australia', 'WPRO', '17', '27000', '8', '869');
INSERT INTO public.who_import VALUES (4834, '2020-09-27', 'AU', 'Australia', 'WPRO', '16', '27016', '1', '870');
INSERT INTO public.who_import VALUES (4835, '2020-09-28', 'AU', 'Australia', 'WPRO', '24', '27040', '2', '872');
INSERT INTO public.who_import VALUES (4836, '2020-09-29', 'AU', 'Australia', 'WPRO', '4', '27044', '3', '875');
INSERT INTO public.who_import VALUES (4837, '2020-09-30', 'AU', 'Australia', 'WPRO', '19', '27063', '7', '882');
INSERT INTO public.who_import VALUES (4838, '2020-10-01', 'AU', 'Australia', 'WPRO', '15', '27078', '4', '886');
INSERT INTO public.who_import VALUES (4839, '2020-10-02', 'AU', 'Australia', 'WPRO', '18', '27096', '2', '888');
INSERT INTO public.who_import VALUES (4840, '2020-10-03', 'AU', 'Australia', 'WPRO', '17', '27113', '2', '890');
INSERT INTO public.who_import VALUES (4841, '2020-10-04', 'AU', 'Australia', 'WPRO', '8', '27121', '3', '893');
INSERT INTO public.who_import VALUES (4842, '2020-10-05', 'AU', 'Australia', 'WPRO', '15', '27136', '1', '894');
INSERT INTO public.who_import VALUES (4843, '2020-10-06', 'AU', 'Australia', 'WPRO', '13', '27149', '0', '894');
INSERT INTO public.who_import VALUES (4844, '2020-10-07', 'AU', 'Australia', 'WPRO', '25', '27174', '1', '895');
INSERT INTO public.who_import VALUES (4845, '2020-10-08', 'AU', 'Australia', 'WPRO', '8', '27182', '2', '897');
INSERT INTO public.who_import VALUES (4846, '2020-10-09', 'AU', 'Australia', 'WPRO', '24', '27206', '0', '897');
INSERT INTO public.who_import VALUES (4847, '2020-10-10', 'AU', 'Australia', 'WPRO', '23', '27229', '0', '897');
INSERT INTO public.who_import VALUES (4848, '2020-10-11', 'AU', 'Australia', 'WPRO', '15', '27244', '0', '897');
INSERT INTO public.who_import VALUES (4849, '2020-10-12', 'AU', 'Australia', 'WPRO', '20', '27264', '1', '898');
INSERT INTO public.who_import VALUES (4850, '2020-10-13', 'AU', 'Australia', 'WPRO', '22', '27286', '0', '898');
INSERT INTO public.who_import VALUES (4851, '2020-10-14', 'AU', 'Australia', 'WPRO', '31', '27317', '1', '899');
INSERT INTO public.who_import VALUES (4852, '2020-10-15', 'AU', 'Australia', 'WPRO', '24', '27341', '5', '904');
INSERT INTO public.who_import VALUES (4853, '2020-10-16', 'AU', 'Australia', 'WPRO', '21', '27362', '0', '904');
INSERT INTO public.who_import VALUES (4854, '2020-10-17', 'AU', 'Australia', 'WPRO', '9', '27371', '0', '904');
INSERT INTO public.who_import VALUES (4855, '2020-10-18', 'AU', 'Australia', 'WPRO', '12', '27383', '0', '904');
INSERT INTO public.who_import VALUES (4856, '2020-10-19', 'AU', 'Australia', 'WPRO', '7', '27390', '0', '904');
INSERT INTO public.who_import VALUES (4857, '2020-10-20', 'AU', 'Australia', 'WPRO', '9', '27399', '1', '905');
INSERT INTO public.who_import VALUES (4858, '2020-10-21', 'AU', 'Australia', 'WPRO', '31', '27430', '0', '905');
INSERT INTO public.who_import VALUES (4859, '2020-10-22', 'AU', 'Australia', 'WPRO', '14', '27444', '0', '905');
INSERT INTO public.who_import VALUES (4860, '2020-10-23', 'AU', 'Australia', 'WPRO', '22', '27466', '0', '905');
INSERT INTO public.who_import VALUES (4861, '2020-10-24', 'AU', 'Australia', 'WPRO', '18', '27484', '0', '905');
INSERT INTO public.who_import VALUES (4862, '2020-10-25', 'AU', 'Australia', 'WPRO', '15', '27499', '0', '905');
INSERT INTO public.who_import VALUES (4863, '2020-10-26', 'AU', 'Australia', 'WPRO', '21', '27520', '0', '905');
INSERT INTO public.who_import VALUES (4864, '2020-10-27', 'AU', 'Australia', 'WPRO', '7', '27527', '0', '905');
INSERT INTO public.who_import VALUES (4865, '2020-10-28', 'AU', 'Australia', 'WPRO', '14', '27541', '0', '905');
INSERT INTO public.who_import VALUES (4866, '2020-10-29', 'AU', 'Australia', 'WPRO', '13', '27554', '2', '907');
INSERT INTO public.who_import VALUES (4867, '2020-10-30', 'AU', 'Australia', 'WPRO', '15', '27569', '0', '907');
INSERT INTO public.who_import VALUES (4868, '2020-10-31', 'AU', 'Australia', 'WPRO', '13', '27582', '0', '907');
INSERT INTO public.who_import VALUES (4869, '2020-11-01', 'AU', 'Australia', 'WPRO', '8', '27590', '0', '907');
INSERT INTO public.who_import VALUES (4870, '2020-11-02', 'AU', 'Australia', 'WPRO', '5', '27595', '0', '907');
INSERT INTO public.who_import VALUES (4871, '2020-11-03', 'AU', 'Australia', 'WPRO', '7', '27602', '0', '907');
INSERT INTO public.who_import VALUES (4872, '2020-11-04', 'AU', 'Australia', 'WPRO', '8', '27610', '0', '907');
INSERT INTO public.who_import VALUES (4873, '2020-11-05', 'AU', 'Australia', 'WPRO', '12', '27622', '0', '907');
INSERT INTO public.who_import VALUES (4874, '2020-11-06', 'AU', 'Australia', 'WPRO', '11', '27633', '0', '907');
INSERT INTO public.who_import VALUES (4875, '2020-11-07', 'AU', 'Australia', 'WPRO', '12', '27645', '0', '907');
INSERT INTO public.who_import VALUES (4876, '2020-11-08', 'AU', 'Australia', 'WPRO', '7', '27652', '0', '907');
INSERT INTO public.who_import VALUES (4877, '2020-11-09', 'AU', 'Australia', 'WPRO', '6', '27658', '0', '907');
INSERT INTO public.who_import VALUES (4878, '2020-11-10', 'AU', 'Australia', 'WPRO', '10', '27668', '0', '907');
INSERT INTO public.who_import VALUES (4879, '2020-11-11', 'AU', 'Australia', 'WPRO', '10', '27678', '0', '907');
INSERT INTO public.who_import VALUES (4880, '2020-11-12', 'AU', 'Australia', 'WPRO', '8', '27686', '0', '907');
INSERT INTO public.who_import VALUES (4881, '2020-11-13', 'AU', 'Australia', 'WPRO', '12', '27698', '0', '907');
INSERT INTO public.who_import VALUES (4882, '2020-11-14', 'AU', 'Australia', 'WPRO', '5', '27703', '0', '907');
INSERT INTO public.who_import VALUES (4883, '2020-11-15', 'AU', 'Australia', 'WPRO', '8', '27711', '0', '907');
INSERT INTO public.who_import VALUES (4884, '2020-11-16', 'AU', 'Australia', 'WPRO', '14', '27725', '0', '907');
INSERT INTO public.who_import VALUES (4885, '2020-11-17', 'AU', 'Australia', 'WPRO', '25', '27750', '0', '907');
INSERT INTO public.who_import VALUES (4886, '2020-11-18', 'AU', 'Australia', 'WPRO', '6', '27756', '0', '907');
INSERT INTO public.who_import VALUES (4887, '2020-11-19', 'AU', 'Australia', 'WPRO', '21', '27777', '0', '907');
INSERT INTO public.who_import VALUES (4888, '2020-11-20', 'AU', 'Australia', 'WPRO', '7', '27784', '0', '907');
INSERT INTO public.who_import VALUES (4889, '2020-11-21', 'AU', 'Australia', 'WPRO', '5', '27789', '0', '907');
INSERT INTO public.who_import VALUES (4890, '2020-11-22', 'AU', 'Australia', 'WPRO', '18', '27807', '0', '907');
INSERT INTO public.who_import VALUES (4891, '2020-11-23', 'AU', 'Australia', 'WPRO', '14', '27821', '0', '907');
INSERT INTO public.who_import VALUES (4892, '2020-11-24', 'AU', 'Australia', 'WPRO', '14', '27835', '0', '907');
INSERT INTO public.who_import VALUES (4893, '2020-11-25', 'AU', 'Australia', 'WPRO', '13', '27848', '0', '907');
INSERT INTO public.who_import VALUES (5003, '2020-01-25', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4894, '2020-11-26', 'AU', 'Australia', 'WPRO', '6', '27854', '0', '907');
INSERT INTO public.who_import VALUES (4895, '2020-11-27', 'AU', 'Australia', 'WPRO', '13', '27867', '0', '907');
INSERT INTO public.who_import VALUES (4896, '2020-11-28', 'AU', 'Australia', 'WPRO', '7', '27874', '0', '907');
INSERT INTO public.who_import VALUES (4897, '2020-11-29', 'AU', 'Australia', 'WPRO', '11', '27885', '0', '907');
INSERT INTO public.who_import VALUES (4898, '2020-11-30', 'AU', 'Australia', 'WPRO', '8', '27893', '0', '907');
INSERT INTO public.who_import VALUES (4899, '2020-12-01', 'AU', 'Australia', 'WPRO', '11', '27904', '1', '908');
INSERT INTO public.who_import VALUES (4900, '2020-12-02', 'AU', 'Australia', 'WPRO', '8', '27912', '0', '908');
INSERT INTO public.who_import VALUES (4901, '2020-12-03', 'AU', 'Australia', 'WPRO', '11', '27923', '0', '908');
INSERT INTO public.who_import VALUES (4902, '2020-12-04', 'AU', 'Australia', 'WPRO', '16', '27939', '0', '908');
INSERT INTO public.who_import VALUES (4903, '2020-12-05', 'AU', 'Australia', 'WPRO', '10', '27949', '0', '908');
INSERT INTO public.who_import VALUES (4904, '2020-12-06', 'AU', 'Australia', 'WPRO', '7', '27956', '0', '908');
INSERT INTO public.who_import VALUES (4905, '2020-12-07', 'AU', 'Australia', 'WPRO', '9', '27965', '0', '908');
INSERT INTO public.who_import VALUES (4906, '2020-12-08', 'AU', 'Australia', 'WPRO', '7', '27972', '0', '908');
INSERT INTO public.who_import VALUES (4907, '2020-12-09', 'AU', 'Australia', 'WPRO', '15', '27987', '0', '908');
INSERT INTO public.who_import VALUES (4908, '2020-12-10', 'AU', 'Australia', 'WPRO', '6', '27993', '0', '908');
INSERT INTO public.who_import VALUES (4909, '2020-12-11', 'AU', 'Australia', 'WPRO', '7', '28000', '0', '908');
INSERT INTO public.who_import VALUES (4910, '2020-12-12', 'AU', 'Australia', 'WPRO', '12', '28012', '0', '908');
INSERT INTO public.who_import VALUES (4911, '2020-12-13', 'AU', 'Australia', 'WPRO', '13', '28025', '0', '908');
INSERT INTO public.who_import VALUES (4912, '2020-12-14', 'AU', 'Australia', 'WPRO', '6', '28031', '0', '908');
INSERT INTO public.who_import VALUES (4913, '2020-12-15', 'AU', 'Australia', 'WPRO', '8', '28039', '0', '908');
INSERT INTO public.who_import VALUES (4914, '2020-12-16', 'AU', 'Australia', 'WPRO', '8', '28047', '0', '908');
INSERT INTO public.who_import VALUES (4915, '2020-12-17', 'AU', 'Australia', 'WPRO', '12', '28059', '0', '908');
INSERT INTO public.who_import VALUES (4916, '2020-12-18', 'AU', 'Australia', 'WPRO', '13', '28072', '0', '908');
INSERT INTO public.who_import VALUES (4917, '2020-12-19', 'AU', 'Australia', 'WPRO', '22', '28094', '0', '908');
INSERT INTO public.who_import VALUES (4918, '2020-12-20', 'AU', 'Australia', 'WPRO', '34', '28128', '0', '908');
INSERT INTO public.who_import VALUES (4919, '2020-12-21', 'AU', 'Australia', 'WPRO', '43', '28171', '0', '908');
INSERT INTO public.who_import VALUES (4920, '2020-12-22', 'AU', 'Australia', 'WPRO', '27', '28198', '0', '908');
INSERT INTO public.who_import VALUES (4921, '2020-12-23', 'AU', 'Australia', 'WPRO', '21', '28219', '0', '908');
INSERT INTO public.who_import VALUES (4922, '2020-12-24', 'AU', 'Australia', 'WPRO', '19', '28238', '0', '908');
INSERT INTO public.who_import VALUES (4923, '2020-12-25', 'AU', 'Australia', 'WPRO', '24', '28262', '0', '908');
INSERT INTO public.who_import VALUES (4924, '2020-12-26', 'AU', 'Australia', 'WPRO', '0', '28262', '0', '908');
INSERT INTO public.who_import VALUES (4925, '2020-12-27', 'AU', 'Australia', 'WPRO', '34', '28296', '0', '908');
INSERT INTO public.who_import VALUES (4926, '2020-12-28', 'AU', 'Australia', 'WPRO', '16', '28312', '0', '908');
INSERT INTO public.who_import VALUES (4927, '2020-12-29', 'AU', 'Australia', 'WPRO', '25', '28337', '1', '909');
INSERT INTO public.who_import VALUES (4928, '2020-12-30', 'AU', 'Australia', 'WPRO', '13', '28350', '0', '909');
INSERT INTO public.who_import VALUES (4929, '2020-12-31', 'AU', 'Australia', 'WPRO', '31', '28381', '0', '909');
INSERT INTO public.who_import VALUES (4930, '2021-01-01', 'AU', 'Australia', 'WPRO', '27', '28408', '0', '909');
INSERT INTO public.who_import VALUES (4931, '2021-01-02', 'AU', 'Australia', 'WPRO', '19', '28427', '0', '909');
INSERT INTO public.who_import VALUES (4932, '2021-01-03', 'AU', 'Australia', 'WPRO', '35', '28462', '0', '909');
INSERT INTO public.who_import VALUES (4933, '2021-01-04', 'AU', 'Australia', 'WPRO', '21', '28483', '0', '909');
INSERT INTO public.who_import VALUES (4934, '2021-01-05', 'AU', 'Australia', 'WPRO', '21', '28504', '0', '909');
INSERT INTO public.who_import VALUES (4935, '2021-01-06', 'AU', 'Australia', 'WPRO', '15', '28519', '0', '909');
INSERT INTO public.who_import VALUES (4936, '2021-01-07', 'AU', 'Australia', 'WPRO', '17', '28536', '0', '909');
INSERT INTO public.who_import VALUES (4937, '2021-01-08', 'AU', 'Australia', 'WPRO', '11', '28547', '0', '909');
INSERT INTO public.who_import VALUES (4938, '2021-01-09', 'AU', 'Australia', 'WPRO', '24', '28571', '0', '909');
INSERT INTO public.who_import VALUES (4939, '2021-01-10', 'AU', 'Australia', 'WPRO', '11', '28582', '0', '909');
INSERT INTO public.who_import VALUES (4940, '2021-01-11', 'AU', 'Australia', 'WPRO', '13', '28595', '0', '909');
INSERT INTO public.who_import VALUES (4941, '2021-01-12', 'AU', 'Australia', 'WPRO', '19', '28614', '0', '909');
INSERT INTO public.who_import VALUES (4942, '2021-01-13', 'AU', 'Australia', 'WPRO', '20', '28634', '0', '909');
INSERT INTO public.who_import VALUES (4943, '2021-01-14', 'AU', 'Australia', 'WPRO', '16', '28650', '0', '909');
INSERT INTO public.who_import VALUES (4944, '2021-01-15', 'AU', 'Australia', 'WPRO', '8', '28658', '0', '909');
INSERT INTO public.who_import VALUES (4945, '2021-01-16', 'AU', 'Australia', 'WPRO', '11', '28669', '0', '909');
INSERT INTO public.who_import VALUES (4946, '2021-01-17', 'AU', 'Australia', 'WPRO', '20', '28689', '0', '909');
INSERT INTO public.who_import VALUES (4947, '2021-01-18', 'AU', 'Australia', 'WPRO', '19', '28708', '0', '909');
INSERT INTO public.who_import VALUES (4948, '2021-01-19', 'AU', 'Australia', 'WPRO', '13', '28721', '0', '909');
INSERT INTO public.who_import VALUES (4949, '2021-01-20', 'AU', 'Australia', 'WPRO', '9', '28730', '0', '909');
INSERT INTO public.who_import VALUES (4950, '2021-01-21', 'AU', 'Australia', 'WPRO', '10', '28740', '0', '909');
INSERT INTO public.who_import VALUES (4951, '2021-01-22', 'AU', 'Australia', 'WPRO', '10', '28750', '0', '909');
INSERT INTO public.who_import VALUES (4952, '2021-01-23', 'AU', 'Australia', 'WPRO', '5', '28755', '0', '909');
INSERT INTO public.who_import VALUES (4953, '2021-01-24', 'AU', 'Australia', 'WPRO', '6', '28761', '0', '909');
INSERT INTO public.who_import VALUES (4954, '2021-01-25', 'AU', 'Australia', 'WPRO', '5', '28766', '0', '909');
INSERT INTO public.who_import VALUES (4955, '2021-01-26', 'AU', 'Australia', 'WPRO', '11', '28777', '0', '909');
INSERT INTO public.who_import VALUES (4956, '2021-01-27', 'AU', 'Australia', 'WPRO', '3', '28780', '0', '909');
INSERT INTO public.who_import VALUES (4957, '2021-01-28', 'AU', 'Australia', 'WPRO', '6', '28786', '0', '909');
INSERT INTO public.who_import VALUES (4958, '2021-01-29', 'AU', 'Australia', 'WPRO', '8', '28794', '0', '909');
INSERT INTO public.who_import VALUES (4959, '2021-01-30', 'AU', 'Australia', 'WPRO', '6', '28800', '0', '909');
INSERT INTO public.who_import VALUES (4960, '2021-01-31', 'AU', 'Australia', 'WPRO', '6', '28806', '0', '909');
INSERT INTO public.who_import VALUES (4961, '2021-02-01', 'AU', 'Australia', 'WPRO', '5', '28811', '0', '909');
INSERT INTO public.who_import VALUES (4962, '2021-02-02', 'AU', 'Australia', 'WPRO', '7', '28818', '0', '909');
INSERT INTO public.who_import VALUES (4963, '2021-02-03', 'AU', 'Australia', 'WPRO', '6', '28824', '0', '909');
INSERT INTO public.who_import VALUES (4964, '2021-02-04', 'AU', 'Australia', 'WPRO', '5', '28829', '0', '909');
INSERT INTO public.who_import VALUES (4965, '2021-02-05', 'AU', 'Australia', 'WPRO', '9', '28838', '0', '909');
INSERT INTO public.who_import VALUES (4966, '2021-02-06', 'AU', 'Australia', 'WPRO', '4', '28842', '0', '909');
INSERT INTO public.who_import VALUES (4967, '2021-02-07', 'AU', 'Australia', 'WPRO', '6', '28848', '0', '909');
INSERT INTO public.who_import VALUES (4968, '2021-02-08', 'AU', 'Australia', 'WPRO', '2', '28850', '0', '909');
INSERT INTO public.who_import VALUES (4969, '2021-02-09', 'AU', 'Australia', 'WPRO', '7', '28857', '0', '909');
INSERT INTO public.who_import VALUES (4970, '2021-02-10', 'AU', 'Australia', 'WPRO', '3', '28860', '0', '909');
INSERT INTO public.who_import VALUES (4971, '2021-02-11', 'AU', 'Australia', 'WPRO', '11', '28871', '0', '909');
INSERT INTO public.who_import VALUES (4972, '2021-02-12', 'AU', 'Australia', 'WPRO', '8', '28879', '0', '909');
INSERT INTO public.who_import VALUES (4973, '2021-02-13', 'AU', 'Australia', 'WPRO', '7', '28886', '0', '909');
INSERT INTO public.who_import VALUES (4974, '2021-02-14', 'AU', 'Australia', 'WPRO', '6', '28892', '0', '909');
INSERT INTO public.who_import VALUES (4975, '2021-02-15', 'AU', 'Australia', 'WPRO', '6', '28898', '0', '909');
INSERT INTO public.who_import VALUES (4976, '2021-02-16', 'AU', 'Australia', 'WPRO', '2', '28900', '0', '909');
INSERT INTO public.who_import VALUES (4977, '2021-02-17', 'AU', 'Australia', 'WPRO', '5', '28905', '0', '909');
INSERT INTO public.who_import VALUES (4978, '2021-02-18', 'AU', 'Australia', 'WPRO', '6', '28911', '0', '909');
INSERT INTO public.who_import VALUES (4979, '2021-02-19', 'AU', 'Australia', 'WPRO', '1', '28912', '0', '909');
INSERT INTO public.who_import VALUES (4980, '2021-02-20', 'AU', 'Australia', 'WPRO', '6', '28918', '0', '909');
INSERT INTO public.who_import VALUES (4981, '2020-01-03', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4982, '2020-01-04', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4983, '2020-01-05', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4984, '2020-01-06', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4985, '2020-01-07', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4986, '2020-01-08', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4987, '2020-01-09', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4988, '2020-01-10', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4989, '2020-01-11', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4990, '2020-01-12', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4991, '2020-01-13', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4992, '2020-01-14', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4993, '2020-01-15', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4994, '2020-01-16', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4995, '2020-01-17', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4996, '2020-01-18', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4997, '2020-01-19', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4998, '2020-01-20', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (4999, '2020-01-21', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5000, '2020-01-22', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5001, '2020-01-23', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5002, '2020-01-24', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5004, '2020-01-26', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5005, '2020-01-27', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5006, '2020-01-28', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5007, '2020-01-29', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5008, '2020-01-30', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5009, '2020-01-31', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5010, '2020-02-01', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5011, '2020-02-02', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5012, '2020-02-03', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5013, '2020-02-04', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5014, '2020-02-05', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5015, '2020-02-06', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5016, '2020-02-07', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5017, '2020-02-08', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5018, '2020-02-09', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5019, '2020-02-10', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5020, '2020-02-11', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5021, '2020-02-12', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5022, '2020-02-13', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5023, '2020-02-14', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5024, '2020-02-15', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5025, '2020-02-16', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5026, '2020-02-17', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5027, '2020-02-18', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5028, '2020-02-19', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5029, '2020-02-20', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5030, '2020-02-21', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5031, '2020-02-22', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5032, '2020-02-23', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5033, '2020-02-24', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5034, '2020-02-25', 'AT', 'Austria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5035, '2020-02-26', 'AT', 'Austria', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (5036, '2020-02-27', 'AT', 'Austria', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (5037, '2020-02-28', 'AT', 'Austria', 'EURO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (5038, '2020-02-29', 'AT', 'Austria', 'EURO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (5039, '2020-03-01', 'AT', 'Austria', 'EURO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (5040, '2020-03-02', 'AT', 'Austria', 'EURO', '4', '14', '0', '0');
INSERT INTO public.who_import VALUES (5041, '2020-03-03', 'AT', 'Austria', 'EURO', '4', '18', '0', '0');
INSERT INTO public.who_import VALUES (5042, '2020-03-04', 'AT', 'Austria', 'EURO', '6', '24', '0', '0');
INSERT INTO public.who_import VALUES (5043, '2020-03-05', 'AT', 'Austria', 'EURO', '5', '29', '0', '0');
INSERT INTO public.who_import VALUES (5044, '2020-03-06', 'AT', 'Austria', 'EURO', '12', '41', '0', '0');
INSERT INTO public.who_import VALUES (5045, '2020-03-07', 'AT', 'Austria', 'EURO', '33', '74', '0', '0');
INSERT INTO public.who_import VALUES (5046, '2020-03-08', 'AT', 'Austria', 'EURO', '25', '99', '0', '0');
INSERT INTO public.who_import VALUES (5047, '2020-03-09', 'AT', 'Austria', 'EURO', '3', '102', '0', '0');
INSERT INTO public.who_import VALUES (5048, '2020-03-10', 'AT', 'Austria', 'EURO', '29', '131', '0', '0');
INSERT INTO public.who_import VALUES (5049, '2020-03-11', 'AT', 'Austria', 'EURO', '51', '182', '0', '0');
INSERT INTO public.who_import VALUES (5050, '2020-03-12', 'AT', 'Austria', 'EURO', '64', '246', '0', '0');
INSERT INTO public.who_import VALUES (5051, '2020-03-13', 'AT', 'Austria', 'EURO', '115', '361', '1', '1');
INSERT INTO public.who_import VALUES (5052, '2020-03-14', 'AT', 'Austria', 'EURO', '143', '504', '0', '1');
INSERT INTO public.who_import VALUES (5053, '2020-03-15', 'AT', 'Austria', 'EURO', '151', '655', '0', '1');
INSERT INTO public.who_import VALUES (5054, '2020-03-16', 'AT', 'Austria', 'EURO', '205', '860', '0', '1');
INSERT INTO public.who_import VALUES (5055, '2020-03-17', 'AT', 'Austria', 'EURO', '156', '1016', '2', '3');
INSERT INTO public.who_import VALUES (5056, '2020-03-18', 'AT', 'Austria', 'EURO', '316', '1332', '0', '3');
INSERT INTO public.who_import VALUES (5057, '2020-03-19', 'AT', 'Austria', 'EURO', '314', '1646', '1', '4');
INSERT INTO public.who_import VALUES (5058, '2020-03-20', 'AT', 'Austria', 'EURO', '550', '2196', '2', '6');
INSERT INTO public.who_import VALUES (5059, '2020-03-21', 'AT', 'Austria', 'EURO', '453', '2649', '0', '6');
INSERT INTO public.who_import VALUES (5060, '2020-03-22', 'AT', 'Austria', 'EURO', '375', '3024', '2', '8');
INSERT INTO public.who_import VALUES (5061, '2020-03-23', 'AT', 'Austria', 'EURO', '607', '3631', '8', '16');
INSERT INTO public.who_import VALUES (5062, '2020-03-24', 'AT', 'Austria', 'EURO', '855', '4486', '9', '25');
INSERT INTO public.who_import VALUES (5063, '2020-03-25', 'AT', 'Austria', 'EURO', '796', '5282', '5', '30');
INSERT INTO public.who_import VALUES (5064, '2020-03-26', 'AT', 'Austria', 'EURO', '606', '5888', '4', '34');
INSERT INTO public.who_import VALUES (5065, '2020-03-27', 'AT', 'Austria', 'EURO', '1141', '7029', '18', '52');
INSERT INTO public.who_import VALUES (5066, '2020-03-28', 'AT', 'Austria', 'EURO', '668', '7697', '16', '68');
INSERT INTO public.who_import VALUES (5067, '2020-03-29', 'AT', 'Austria', 'EURO', '594', '8291', '0', '68');
INSERT INTO public.who_import VALUES (5068, '2020-03-30', 'AT', 'Austria', 'EURO', '522', '8813', '18', '86');
INSERT INTO public.who_import VALUES (5069, '2020-03-31', 'AT', 'Austria', 'EURO', '805', '9618', '22', '108');
INSERT INTO public.who_import VALUES (5070, '2020-04-01', 'AT', 'Austria', 'EURO', '564', '10182', '20', '128');
INSERT INTO public.who_import VALUES (5071, '2020-04-02', 'AT', 'Austria', 'EURO', '529', '10711', '18', '146');
INSERT INTO public.who_import VALUES (5072, '2020-04-03', 'AT', 'Austria', 'EURO', '418', '11129', '12', '158');
INSERT INTO public.who_import VALUES (5073, '2020-04-04', 'AT', 'Austria', 'EURO', '396', '11525', '10', '168');
INSERT INTO public.who_import VALUES (5074, '2020-04-05', 'AT', 'Austria', 'EURO', '241', '11766', '18', '186');
INSERT INTO public.who_import VALUES (5075, '2020-04-06', 'AT', 'Austria', 'EURO', '217', '11983', '18', '204');
INSERT INTO public.who_import VALUES (5076, '2020-04-07', 'AT', 'Austria', 'EURO', '314', '12297', '16', '220');
INSERT INTO public.who_import VALUES (5077, '2020-04-08', 'AT', 'Austria', 'EURO', '343', '12640', '23', '243');
INSERT INTO public.who_import VALUES (5078, '2020-04-09', 'AT', 'Austria', 'EURO', '329', '12969', '30', '273');
INSERT INTO public.who_import VALUES (5079, '2020-04-10', 'AT', 'Austria', 'EURO', '279', '13248', '22', '295');
INSERT INTO public.who_import VALUES (5080, '2020-04-11', 'AT', 'Austria', 'EURO', '312', '13560', '24', '319');
INSERT INTO public.who_import VALUES (5081, '2020-04-12', 'AT', 'Austria', 'EURO', '247', '13807', '18', '337');
INSERT INTO public.who_import VALUES (5082, '2020-04-13', 'AT', 'Austria', 'EURO', '130', '13937', '13', '350');
INSERT INTO public.who_import VALUES (5083, '2020-04-14', 'AT', 'Austria', 'EURO', '106', '14043', '18', '368');
INSERT INTO public.who_import VALUES (5084, '2020-04-15', 'AT', 'Austria', 'EURO', '191', '14234', '16', '384');
INSERT INTO public.who_import VALUES (5085, '2020-04-16', 'AT', 'Austria', 'EURO', '136', '14370', '9', '393');
INSERT INTO public.who_import VALUES (5086, '2020-04-17', 'AT', 'Austria', 'EURO', '78', '14448', '17', '410');
INSERT INTO public.who_import VALUES (5087, '2020-04-18', 'AT', 'Austria', 'EURO', '155', '14603', '21', '431');
INSERT INTO public.who_import VALUES (5088, '2020-04-19', 'AT', 'Austria', 'EURO', '59', '14662', '12', '443');
INSERT INTO public.who_import VALUES (5089, '2020-04-20', 'AT', 'Austria', 'EURO', '48', '14710', '9', '452');
INSERT INTO public.who_import VALUES (5090, '2020-04-21', 'AT', 'Austria', 'EURO', '73', '14783', '10', '462');
INSERT INTO public.who_import VALUES (5091, '2020-04-22', 'AT', 'Austria', 'EURO', '50', '14833', '1', '463');
INSERT INTO public.who_import VALUES (5092, '2020-04-23', 'AT', 'Austria', 'EURO', '91', '14924', '31', '494');
INSERT INTO public.who_import VALUES (5093, '2020-04-24', 'AT', 'Austria', 'EURO', '61', '14985', '14', '508');
INSERT INTO public.who_import VALUES (5094, '2020-04-25', 'AT', 'Austria', 'EURO', '83', '15068', '5', '513');
INSERT INTO public.who_import VALUES (5095, '2020-04-26', 'AT', 'Austria', 'EURO', '66', '15134', '23', '536');
INSERT INTO public.who_import VALUES (5096, '2020-04-27', 'AT', 'Austria', 'EURO', '55', '15189', '6', '542');
INSERT INTO public.who_import VALUES (5097, '2020-04-28', 'AT', 'Austria', 'EURO', '67', '15256', '7', '549');
INSERT INTO public.who_import VALUES (5098, '2020-04-29', 'AT', 'Austria', 'EURO', '58', '15314', '20', '569');
INSERT INTO public.who_import VALUES (5099, '2020-04-30', 'AT', 'Austria', 'EURO', '50', '15364', '11', '580');
INSERT INTO public.who_import VALUES (5100, '2020-05-01', 'AT', 'Austria', 'EURO', '60', '15424', '4', '584');
INSERT INTO public.who_import VALUES (5101, '2020-05-02', 'AT', 'Austria', 'EURO', '34', '15458', '5', '589');
INSERT INTO public.who_import VALUES (5102, '2020-05-03', 'AT', 'Austria', 'EURO', '12', '15470', '7', '596');
INSERT INTO public.who_import VALUES (5103, '2020-05-04', 'AT', 'Austria', 'EURO', '68', '15538', '2', '598');
INSERT INTO public.who_import VALUES (5104, '2020-05-05', 'AT', 'Austria', 'EURO', '31', '15569', '2', '600');
INSERT INTO public.who_import VALUES (5105, '2020-05-06', 'AT', 'Austria', 'EURO', '17', '15586', '6', '606');
INSERT INTO public.who_import VALUES (5106, '2020-05-07', 'AT', 'Austria', 'EURO', '65', '15651', '2', '608');
INSERT INTO public.who_import VALUES (5107, '2020-05-08', 'AT', 'Austria', 'EURO', '22', '15673', '1', '609');
INSERT INTO public.who_import VALUES (5108, '2020-05-09', 'AT', 'Austria', 'EURO', '62', '15735', '5', '614');
INSERT INTO public.who_import VALUES (5109, '2020-05-10', 'AT', 'Austria', 'EURO', '42', '15777', '1', '615');
INSERT INTO public.who_import VALUES (5110, '2020-05-11', 'AT', 'Austria', 'EURO', '10', '15787', '3', '618');
INSERT INTO public.who_import VALUES (5111, '2020-05-12', 'AT', 'Austria', 'EURO', '87', '15874', '2', '620');
INSERT INTO public.who_import VALUES (5112, '2020-05-13', 'AT', 'Austria', 'EURO', '36', '15910', '3', '623');
INSERT INTO public.who_import VALUES (5113, '2020-05-14', 'AT', 'Austria', 'EURO', '54', '15964', '1', '624');
INSERT INTO public.who_import VALUES (5114, '2020-05-15', 'AT', 'Austria', 'EURO', '41', '16005', '2', '626');
INSERT INTO public.who_import VALUES (5115, '2020-05-16', 'AT', 'Austria', 'EURO', '63', '16068', '2', '628');
INSERT INTO public.who_import VALUES (5116, '2020-05-17', 'AT', 'Austria', 'EURO', '72', '16140', '0', '628');
INSERT INTO public.who_import VALUES (5117, '2020-05-18', 'AT', 'Austria', 'EURO', '14', '16154', '1', '629');
INSERT INTO public.who_import VALUES (5118, '2020-05-19', 'AT', 'Austria', 'EURO', '25', '16179', '0', '629');
INSERT INTO public.who_import VALUES (5119, '2020-05-20', 'AT', 'Austria', 'EURO', '78', '16257', '3', '632');
INSERT INTO public.who_import VALUES (5120, '2020-05-21', 'AT', 'Austria', 'EURO', '18', '16275', '1', '633');
INSERT INTO public.who_import VALUES (5121, '2020-05-22', 'AT', 'Austria', 'EURO', '57', '16332', '0', '633');
INSERT INTO public.who_import VALUES (5122, '2020-05-23', 'AT', 'Austria', 'EURO', '29', '16361', '2', '635');
INSERT INTO public.who_import VALUES (5123, '2020-05-24', 'AT', 'Austria', 'EURO', '46', '16407', '4', '639');
INSERT INTO public.who_import VALUES (5124, '2020-05-25', 'AT', 'Austria', 'EURO', '32', '16439', '1', '640');
INSERT INTO public.who_import VALUES (5125, '2020-05-26', 'AT', 'Austria', 'EURO', '20', '16459', '1', '641');
INSERT INTO public.who_import VALUES (5126, '2020-05-27', 'AT', 'Austria', 'EURO', '38', '16497', '2', '643');
INSERT INTO public.who_import VALUES (5127, '2020-05-28', 'AT', 'Austria', 'EURO', '18', '16515', '2', '645');
INSERT INTO public.who_import VALUES (5128, '2020-05-29', 'AT', 'Austria', 'EURO', '28', '16543', '23', '668');
INSERT INTO public.who_import VALUES (5129, '2020-05-30', 'AT', 'Austria', 'EURO', '51', '16594', '0', '668');
INSERT INTO public.who_import VALUES (5130, '2020-05-31', 'AT', 'Austria', 'EURO', '44', '16638', '0', '668');
INSERT INTO public.who_import VALUES (5131, '2020-06-01', 'AT', 'Austria', 'EURO', '4', '16642', '0', '668');
INSERT INTO public.who_import VALUES (5132, '2020-06-02', 'AT', 'Austria', 'EURO', '21', '16663', '0', '668');
INSERT INTO public.who_import VALUES (5133, '2020-06-03', 'AT', 'Austria', 'EURO', '11', '16674', '1', '669');
INSERT INTO public.who_import VALUES (5134, '2020-06-04', 'AT', 'Austria', 'EURO', '31', '16705', '1', '670');
INSERT INTO public.who_import VALUES (5135, '2020-06-05', 'AT', 'Austria', 'EURO', '36', '16741', '0', '670');
INSERT INTO public.who_import VALUES (5136, '2020-06-06', 'AT', 'Austria', 'EURO', '62', '16803', '2', '672');
INSERT INTO public.who_import VALUES (5137, '2020-06-07', 'AT', 'Austria', 'EURO', '19', '16822', '0', '672');
INSERT INTO public.who_import VALUES (5138, '2020-06-08', 'AT', 'Austria', 'EURO', '46', '16868', '0', '672');
INSERT INTO public.who_import VALUES (5139, '2020-06-09', 'AT', 'Austria', 'EURO', '21', '16889', '0', '672');
INSERT INTO public.who_import VALUES (5140, '2020-06-10', 'AT', 'Austria', 'EURO', '13', '16902', '0', '672');
INSERT INTO public.who_import VALUES (5141, '2020-06-11', 'AT', 'Austria', 'EURO', '34', '16936', '1', '673');
INSERT INTO public.who_import VALUES (5142, '2020-06-12', 'AT', 'Austria', 'EURO', '28', '16964', '1', '674');
INSERT INTO public.who_import VALUES (5143, '2020-06-13', 'AT', 'Austria', 'EURO', '30', '16994', '1', '675');
INSERT INTO public.who_import VALUES (5144, '2020-06-14', 'AT', 'Austria', 'EURO', '20', '17014', '2', '677');
INSERT INTO public.who_import VALUES (5145, '2020-06-15', 'AT', 'Austria', 'EURO', '24', '17038', '0', '677');
INSERT INTO public.who_import VALUES (5146, '2020-06-16', 'AT', 'Austria', 'EURO', '27', '17065', '1', '678');
INSERT INTO public.who_import VALUES (5147, '2020-06-17', 'AT', 'Austria', 'EURO', '33', '17098', '3', '681');
INSERT INTO public.who_import VALUES (5148, '2020-06-18', 'AT', 'Austria', 'EURO', '17', '17115', '6', '687');
INSERT INTO public.who_import VALUES (5149, '2020-06-19', 'AT', 'Austria', 'EURO', '40', '17155', '1', '688');
INSERT INTO public.who_import VALUES (5150, '2020-06-20', 'AT', 'Austria', 'EURO', '30', '17185', '0', '688');
INSERT INTO public.who_import VALUES (5151, '2020-06-21', 'AT', 'Austria', 'EURO', '62', '17247', '0', '688');
INSERT INTO public.who_import VALUES (5152, '2020-06-22', 'AT', 'Austria', 'EURO', '38', '17285', '2', '690');
INSERT INTO public.who_import VALUES (5153, '2020-06-23', 'AT', 'Austria', 'EURO', '35', '17320', '0', '690');
INSERT INTO public.who_import VALUES (5154, '2020-06-24', 'AT', 'Austria', 'EURO', '31', '17351', '3', '693');
INSERT INTO public.who_import VALUES (5155, '2020-06-25', 'AT', 'Austria', 'EURO', '33', '17384', '0', '693');
INSERT INTO public.who_import VALUES (5156, '2020-06-26', 'AT', 'Austria', 'EURO', '47', '17431', '5', '698');
INSERT INTO public.who_import VALUES (5157, '2020-06-27', 'AT', 'Austria', 'EURO', '67', '17498', '0', '698');
INSERT INTO public.who_import VALUES (5158, '2020-06-28', 'AT', 'Austria', 'EURO', '64', '17562', '2', '700');
INSERT INTO public.who_import VALUES (5159, '2020-06-29', 'AT', 'Austria', 'EURO', '63', '17625', '2', '702');
INSERT INTO public.who_import VALUES (5160, '2020-06-30', 'AT', 'Austria', 'EURO', '41', '17666', '1', '703');
INSERT INTO public.who_import VALUES (5161, '2020-07-01', 'AT', 'Austria', 'EURO', '111', '17777', '2', '705');
INSERT INTO public.who_import VALUES (5162, '2020-07-02', 'AT', 'Austria', 'EURO', '37', '17814', '0', '705');
INSERT INTO public.who_import VALUES (5163, '2020-07-03', 'AT', 'Austria', 'EURO', '138', '17952', '0', '705');
INSERT INTO public.who_import VALUES (5164, '2020-07-04', 'AT', 'Austria', 'EURO', '121', '18073', '0', '705');
INSERT INTO public.who_import VALUES (5165, '2020-07-05', 'AT', 'Austria', 'EURO', '123', '18196', '0', '705');
INSERT INTO public.who_import VALUES (5166, '2020-07-06', 'AT', 'Austria', 'EURO', '73', '18269', '1', '706');
INSERT INTO public.who_import VALUES (5167, '2020-07-07', 'AT', 'Austria', 'EURO', '57', '18326', '0', '706');
INSERT INTO public.who_import VALUES (5168, '2020-07-08', 'AT', 'Austria', 'EURO', '89', '18415', '0', '706');
INSERT INTO public.who_import VALUES (5169, '2020-07-09', 'AT', 'Austria', 'EURO', '101', '18516', '0', '706');
INSERT INTO public.who_import VALUES (5170, '2020-07-10', 'AT', 'Austria', 'EURO', '97', '18613', '0', '706');
INSERT INTO public.who_import VALUES (5171, '2020-07-11', 'AT', 'Austria', 'EURO', '74', '18687', '0', '706');
INSERT INTO public.who_import VALUES (5172, '2020-07-12', 'AT', 'Austria', 'EURO', '108', '18795', '0', '706');
INSERT INTO public.who_import VALUES (5173, '2020-07-13', 'AT', 'Austria', 'EURO', '52', '18847', '2', '708');
INSERT INTO public.who_import VALUES (5174, '2020-07-14', 'AT', 'Austria', 'EURO', '12', '18859', '0', '708');
INSERT INTO public.who_import VALUES (5175, '2020-07-15', 'AT', 'Austria', 'EURO', '201', '19060', '1', '709');
INSERT INTO public.who_import VALUES (5176, '2020-07-16', 'AT', 'Austria', 'EURO', '55', '19115', '1', '710');
INSERT INTO public.who_import VALUES (5177, '2020-07-17', 'AT', 'Austria', 'EURO', '153', '19268', '0', '710');
INSERT INTO public.who_import VALUES (5178, '2020-07-18', 'AT', 'Austria', 'EURO', '138', '19406', '0', '710');
INSERT INTO public.who_import VALUES (5179, '2020-07-19', 'AT', 'Austria', 'EURO', '102', '19508', '0', '710');
INSERT INTO public.who_import VALUES (5180, '2020-07-20', 'AT', 'Austria', 'EURO', '63', '19571', '0', '710');
INSERT INTO public.who_import VALUES (5181, '2020-07-21', 'AT', 'Austria', 'EURO', '108', '19679', '0', '710');
INSERT INTO public.who_import VALUES (5182, '2020-07-22', 'AT', 'Austria', 'EURO', '139', '19818', '0', '710');
INSERT INTO public.who_import VALUES (5183, '2020-07-23', 'AT', 'Austria', 'EURO', '140', '19958', '1', '711');
INSERT INTO public.who_import VALUES (5184, '2020-07-24', 'AT', 'Austria', 'EURO', '164', '20122', '0', '711');
INSERT INTO public.who_import VALUES (5185, '2020-07-25', 'AT', 'Austria', 'EURO', '107', '20229', '0', '711');
INSERT INTO public.who_import VALUES (5186, '2020-07-26', 'AT', 'Austria', 'EURO', '120', '20349', '1', '712');
INSERT INTO public.who_import VALUES (5187, '2020-07-27', 'AT', 'Austria', 'EURO', '137', '20486', '0', '712');
INSERT INTO public.who_import VALUES (5188, '2020-07-28', 'AT', 'Austria', 'EURO', '64', '20550', '1', '713');
INSERT INTO public.who_import VALUES (5189, '2020-07-29', 'AT', 'Austria', 'EURO', '132', '20682', '0', '713');
INSERT INTO public.who_import VALUES (5190, '2020-07-30', 'AT', 'Austria', 'EURO', '164', '20846', '3', '716');
INSERT INTO public.who_import VALUES (5191, '2020-07-31', 'AT', 'Austria', 'EURO', '163', '21009', '2', '718');
INSERT INTO public.who_import VALUES (5192, '2020-08-01', 'AT', 'Austria', 'EURO', '89', '21098', '0', '718');
INSERT INTO public.who_import VALUES (5193, '2020-08-02', 'AT', 'Austria', 'EURO', '126', '21224', '0', '718');
INSERT INTO public.who_import VALUES (5194, '2020-08-03', 'AT', 'Austria', 'EURO', '85', '21309', '0', '718');
INSERT INTO public.who_import VALUES (5195, '2020-08-04', 'AT', 'Austria', 'EURO', '32', '21341', '0', '718');
INSERT INTO public.who_import VALUES (5196, '2020-08-05', 'AT', 'Austria', 'EURO', '131', '21472', '1', '719');
INSERT INTO public.who_import VALUES (5197, '2020-08-06', 'AT', 'Austria', 'EURO', '103', '21575', '0', '719');
INSERT INTO public.who_import VALUES (5198, '2020-08-07', 'AT', 'Austria', 'EURO', '114', '21689', '0', '719');
INSERT INTO public.who_import VALUES (5199, '2020-08-08', 'AT', 'Austria', 'EURO', '130', '21819', '1', '720');
INSERT INTO public.who_import VALUES (5200, '2020-08-09', 'AT', 'Austria', 'EURO', '116', '21935', '1', '721');
INSERT INTO public.who_import VALUES (5201, '2020-08-10', 'AT', 'Austria', 'EURO', '76', '22011', '0', '721');
INSERT INTO public.who_import VALUES (5202, '2020-08-11', 'AT', 'Austria', 'EURO', '111', '22122', '2', '723');
INSERT INTO public.who_import VALUES (5203, '2020-08-12', 'AT', 'Austria', 'EURO', '138', '22260', '0', '723');
INSERT INTO public.who_import VALUES (5204, '2020-08-13', 'AT', 'Austria', 'EURO', '241', '22501', '1', '724');
INSERT INTO public.who_import VALUES (5205, '2020-08-14', 'AT', 'Austria', 'EURO', '229', '22730', '1', '725');
INSERT INTO public.who_import VALUES (5206, '2020-08-15', 'AT', 'Austria', 'EURO', '221', '22951', '0', '725');
INSERT INTO public.who_import VALUES (5207, '2020-08-16', 'AT', 'Austria', 'EURO', '260', '23211', '3', '728');
INSERT INTO public.who_import VALUES (5208, '2020-08-17', 'AT', 'Austria', 'EURO', '162', '23373', '0', '728');
INSERT INTO public.who_import VALUES (5209, '2020-08-18', 'AT', 'Austria', 'EURO', '344', '23717', '1', '729');
INSERT INTO public.who_import VALUES (5210, '2020-08-19', 'AT', 'Austria', 'EURO', '158', '23875', '0', '729');
INSERT INTO public.who_import VALUES (5211, '2020-08-20', 'AT', 'Austria', 'EURO', '425', '24300', '0', '729');
INSERT INTO public.who_import VALUES (5212, '2020-08-21', 'AT', 'Austria', 'EURO', '308', '24608', '0', '729');
INSERT INTO public.who_import VALUES (5213, '2020-08-22', 'AT', 'Austria', 'EURO', '275', '24883', '1', '730');
INSERT INTO public.who_import VALUES (5214, '2020-08-23', 'AT', 'Austria', 'EURO', '216', '25099', '2', '732');
INSERT INTO public.who_import VALUES (5215, '2020-08-24', 'AT', 'Austria', 'EURO', '140', '25239', '0', '732');
INSERT INTO public.who_import VALUES (5216, '2020-08-25', 'AT', 'Austria', 'EURO', '308', '25547', '1', '733');
INSERT INTO public.who_import VALUES (5217, '2020-08-26', 'AT', 'Austria', 'EURO', '291', '25838', '0', '733');
INSERT INTO public.who_import VALUES (5218, '2020-08-27', 'AT', 'Austria', 'EURO', '316', '26154', '0', '733');
INSERT INTO public.who_import VALUES (5219, '2020-08-28', 'AT', 'Austria', 'EURO', '227', '26381', '0', '733');
INSERT INTO public.who_import VALUES (5220, '2020-08-29', 'AT', 'Austria', 'EURO', '382', '26763', '0', '733');
INSERT INTO public.who_import VALUES (5221, '2020-08-30', 'AT', 'Austria', 'EURO', '174', '26937', '0', '733');
INSERT INTO public.who_import VALUES (5222, '2020-08-31', 'AT', 'Austria', 'EURO', '281', '27218', '0', '733');
INSERT INTO public.who_import VALUES (5223, '2020-09-01', 'AT', 'Austria', 'EURO', '186', '27404', '0', '733');
INSERT INTO public.who_import VALUES (5224, '2020-09-02', 'AT', 'Austria', 'EURO', '337', '27741', '1', '734');
INSERT INTO public.who_import VALUES (5225, '2020-09-03', 'AT', 'Austria', 'EURO', '442', '28183', '0', '734');
INSERT INTO public.who_import VALUES (5226, '2020-09-04', 'AT', 'Austria', 'EURO', '312', '28495', '1', '735');
INSERT INTO public.who_import VALUES (5227, '2020-09-05', 'AT', 'Austria', 'EURO', '271', '28766', '0', '735');
INSERT INTO public.who_import VALUES (5228, '2020-09-06', 'AT', 'Austria', 'EURO', '208', '28974', '0', '735');
INSERT INTO public.who_import VALUES (5229, '2020-09-07', 'AT', 'Austria', 'EURO', '220', '29194', '1', '736');
INSERT INTO public.who_import VALUES (5230, '2020-09-08', 'AT', 'Austria', 'EURO', '511', '29705', '10', '746');
INSERT INTO public.who_import VALUES (5231, '2020-09-09', 'AT', 'Austria', 'EURO', '495', '30200', '1', '747');
INSERT INTO public.who_import VALUES (5232, '2020-09-10', 'AT', 'Austria', 'EURO', '754', '30954', '0', '747');
INSERT INTO public.who_import VALUES (5233, '2020-09-11', 'AT', 'Austria', 'EURO', '497', '31451', '1', '748');
INSERT INTO public.who_import VALUES (5234, '2020-09-12', 'AT', 'Austria', 'EURO', '1005', '32456', '2', '750');
INSERT INTO public.who_import VALUES (5235, '2020-09-13', 'AT', 'Austria', 'EURO', '495', '32951', '4', '754');
INSERT INTO public.who_import VALUES (5236, '2020-09-14', 'AT', 'Austria', 'EURO', '384', '33335', '2', '756');
INSERT INTO public.who_import VALUES (5237, '2020-09-15', 'AT', 'Austria', 'EURO', '549', '33884', '1', '757');
INSERT INTO public.who_import VALUES (5238, '2020-09-16', 'AT', 'Austria', 'EURO', '860', '34744', '0', '757');
INSERT INTO public.who_import VALUES (5239, '2020-09-17', 'AT', 'Austria', 'EURO', '704', '35448', '1', '758');
INSERT INTO public.who_import VALUES (5240, '2020-09-18', 'AT', 'Austria', 'EURO', '922', '36370', '0', '758');
INSERT INTO public.who_import VALUES (5241, '2020-09-19', 'AT', 'Austria', 'EURO', '821', '37191', '5', '763');
INSERT INTO public.who_import VALUES (5242, '2020-09-20', 'AT', 'Austria', 'EURO', '757', '37948', '2', '765');
INSERT INTO public.who_import VALUES (5243, '2020-09-21', 'AT', 'Austria', 'EURO', '609', '38557', '1', '766');
INSERT INTO public.who_import VALUES (5244, '2020-09-22', 'AT', 'Austria', 'EURO', '593', '39150', '1', '767');
INSERT INTO public.who_import VALUES (5245, '2020-09-23', 'AT', 'Austria', 'EURO', '747', '39897', '4', '771');
INSERT INTO public.who_import VALUES (5246, '2020-09-24', 'AT', 'Austria', 'EURO', '661', '40558', '6', '777');
INSERT INTO public.who_import VALUES (5247, '2020-09-25', 'AT', 'Austria', 'EURO', '688', '41246', '6', '783');
INSERT INTO public.who_import VALUES (5248, '2020-09-26', 'AT', 'Austria', 'EURO', '1071', '42317', '3', '786');
INSERT INTO public.who_import VALUES (5249, '2020-09-27', 'AT', 'Austria', 'EURO', '623', '42940', '1', '787');
INSERT INTO public.who_import VALUES (5250, '2020-09-28', 'AT', 'Austria', 'EURO', '526', '43466', '0', '787');
INSERT INTO public.who_import VALUES (5251, '2020-09-29', 'AT', 'Austria', 'EURO', '419', '43885', '3', '790');
INSERT INTO public.who_import VALUES (5252, '2020-09-30', 'AT', 'Austria', 'EURO', '722', '44607', '6', '796');
INSERT INTO public.who_import VALUES (5253, '2020-10-01', 'AT', 'Austria', 'EURO', '1146', '45753', '3', '799');
INSERT INTO public.who_import VALUES (5254, '2020-10-02', 'AT', 'Austria', 'EURO', '564', '46317', '3', '802');
INSERT INTO public.who_import VALUES (5255, '2020-10-03', 'AT', 'Austria', 'EURO', '872', '47189', '1', '803');
INSERT INTO public.who_import VALUES (5256, '2020-10-04', 'AT', 'Austria', 'EURO', '830', '48019', '6', '809');
INSERT INTO public.who_import VALUES (5257, '2020-10-05', 'AT', 'Austria', 'EURO', '599', '48618', '4', '813');
INSERT INTO public.who_import VALUES (5258, '2020-10-06', 'AT', 'Austria', 'EURO', '1268', '49886', '5', '818');
INSERT INTO public.who_import VALUES (5259, '2020-10-07', 'AT', 'Austria', 'EURO', '549', '50435', '22', '840');
INSERT INTO public.who_import VALUES (5260, '2020-10-08', 'AT', 'Austria', 'EURO', '947', '51382', '4', '844');
INSERT INTO public.who_import VALUES (5261, '2020-10-09', 'AT', 'Austria', 'EURO', '1221', '52603', '9', '853');
INSERT INTO public.who_import VALUES (5262, '2020-10-10', 'AT', 'Austria', 'EURO', '1181', '53784', '4', '857');
INSERT INTO public.who_import VALUES (5263, '2020-10-11', 'AT', 'Austria', 'EURO', '901', '54685', '1', '858');
INSERT INTO public.who_import VALUES (5264, '2020-10-12', 'AT', 'Austria', 'EURO', '1298', '55983', '6', '864');
INSERT INTO public.who_import VALUES (5265, '2020-10-13', 'AT', 'Austria', 'EURO', '608', '56591', '5', '869');
INSERT INTO public.who_import VALUES (5266, '2020-10-14', 'AT', 'Austria', 'EURO', '1171', '57762', '10', '879');
INSERT INTO public.who_import VALUES (5267, '2020-10-15', 'AT', 'Austria', 'EURO', '1606', '59368', '9', '888');
INSERT INTO public.who_import VALUES (5268, '2020-10-16', 'AT', 'Austria', 'EURO', '1396', '60764', '6', '894');
INSERT INTO public.who_import VALUES (5269, '2020-10-17', 'AT', 'Austria', 'EURO', '1691', '62455', '7', '901');
INSERT INTO public.who_import VALUES (5270, '2020-10-18', 'AT', 'Austria', 'EURO', '2040', '64495', '6', '907');
INSERT INTO public.who_import VALUES (5271, '2020-10-19', 'AT', 'Austria', 'EURO', '1062', '65557', '3', '910');
INSERT INTO public.who_import VALUES (5272, '2020-10-20', 'AT', 'Austria', 'EURO', '1054', '66611', '9', '919');
INSERT INTO public.who_import VALUES (5273, '2020-10-21', 'AT', 'Austria', 'EURO', '1803', '68414', '8', '927');
INSERT INTO public.who_import VALUES (5274, '2020-10-22', 'AT', 'Austria', 'EURO', '2355', '70769', '13', '940');
INSERT INTO public.who_import VALUES (5275, '2020-10-23', 'AT', 'Austria', 'EURO', '2570', '73339', '17', '957');
INSERT INTO public.who_import VALUES (5276, '2020-10-24', 'AT', 'Austria', 'EURO', '3442', '76781', '15', '972');
INSERT INTO public.who_import VALUES (5277, '2020-10-25', 'AT', 'Austria', 'EURO', '2989', '79770', '6', '978');
INSERT INTO public.who_import VALUES (5278, '2020-10-26', 'AT', 'Austria', 'EURO', '2766', '82536', '6', '984');
INSERT INTO public.who_import VALUES (5279, '2020-10-27', 'AT', 'Austria', 'EURO', '2512', '85048', '4', '988');
INSERT INTO public.who_import VALUES (5280, '2020-10-28', 'AT', 'Austria', 'EURO', '2698', '87746', '18', '1006');
INSERT INTO public.who_import VALUES (5281, '2020-10-29', 'AT', 'Austria', 'EURO', '4149', '91895', '34', '1040');
INSERT INTO public.who_import VALUES (5282, '2020-10-30', 'AT', 'Austria', 'EURO', '4305', '96200', '24', '1064');
INSERT INTO public.who_import VALUES (5283, '2020-10-31', 'AT', 'Austria', 'EURO', '5243', '101443', '15', '1079');
INSERT INTO public.who_import VALUES (5284, '2020-11-01', 'AT', 'Austria', 'EURO', '5141', '106584', '18', '1097');
INSERT INTO public.who_import VALUES (5285, '2020-11-02', 'AT', 'Austria', 'EURO', '4526', '111110', '17', '1114');
INSERT INTO public.who_import VALUES (5286, '2020-11-03', 'AT', 'Austria', 'EURO', '3160', '114270', '21', '1135');
INSERT INTO public.who_import VALUES (5287, '2020-11-04', 'AT', 'Austria', 'EURO', '4445', '118715', '34', '1169');
INSERT INTO public.who_import VALUES (5288, '2020-11-05', 'AT', 'Austria', 'EURO', '6514', '125229', '35', '1204');
INSERT INTO public.who_import VALUES (5289, '2020-11-06', 'AT', 'Austria', 'EURO', '7051', '132280', '47', '1251');
INSERT INTO public.who_import VALUES (5290, '2020-11-07', 'AT', 'Austria', 'EURO', '6324', '138604', '44', '1295');
INSERT INTO public.who_import VALUES (5291, '2020-11-08', 'AT', 'Austria', 'EURO', '7898', '146502', '23', '1318');
INSERT INTO public.who_import VALUES (5292, '2020-11-09', 'AT', 'Austria', 'EURO', '6006', '152508', '17', '1335');
INSERT INTO public.who_import VALUES (5293, '2020-11-10', 'AT', 'Austria', 'EURO', '5704', '158212', '48', '1383');
INSERT INTO public.who_import VALUES (5294, '2020-11-11', 'AT', 'Austria', 'EURO', '3839', '162051', '35', '1418');
INSERT INTO public.who_import VALUES (5295, '2020-11-12', 'AT', 'Austria', 'EURO', '9643', '171694', '55', '1473');
INSERT INTO public.who_import VALUES (5296, '2020-11-13', 'AT', 'Austria', 'EURO', '10368', '182062', '37', '1510');
INSERT INTO public.who_import VALUES (5297, '2020-11-14', 'AT', 'Austria', 'EURO', '8962', '191024', '64', '1574');
INSERT INTO public.who_import VALUES (5298, '2020-11-15', 'AT', 'Austria', 'EURO', '7192', '198216', '55', '1629');
INSERT INTO public.who_import VALUES (5299, '2020-11-16', 'AT', 'Austria', 'EURO', '5278', '203494', '50', '1679');
INSERT INTO public.who_import VALUES (5300, '2020-11-17', 'AT', 'Austria', 'EURO', '4304', '207798', '62', '1741');
INSERT INTO public.who_import VALUES (5301, '2020-11-18', 'AT', 'Austria', 'EURO', '5664', '213462', '74', '1815');
INSERT INTO public.who_import VALUES (5302, '2020-11-19', 'AT', 'Austria', 'EURO', '7766', '221228', '113', '1928');
INSERT INTO public.who_import VALUES (5303, '2020-11-20', 'AT', 'Austria', 'EURO', '6830', '228058', '90', '2018');
INSERT INTO public.who_import VALUES (5304, '2020-11-21', 'AT', 'Austria', 'EURO', '6612', '234670', '79', '2097');
INSERT INTO public.who_import VALUES (5305, '2020-11-22', 'AT', 'Austria', 'EURO', '6239', '240909', '58', '2155');
INSERT INTO public.who_import VALUES (5306, '2020-11-23', 'AT', 'Austria', 'EURO', '5215', '246124', '44', '2199');
INSERT INTO public.who_import VALUES (5307, '2020-11-24', 'AT', 'Austria', 'EURO', '3090', '249214', '94', '2293');
INSERT INTO public.who_import VALUES (5308, '2020-11-25', 'AT', 'Austria', 'EURO', '4135', '253349', '115', '2408');
INSERT INTO public.who_import VALUES (5309, '2020-11-26', 'AT', 'Austria', 'EURO', '5896', '259245', '94', '2502');
INSERT INTO public.who_import VALUES (5310, '2020-11-27', 'AT', 'Austria', 'EURO', '5447', '264692', '114', '2616');
INSERT INTO public.who_import VALUES (5311, '2020-11-28', 'AT', 'Austria', 'EURO', '4818', '269510', '148', '2764');
INSERT INTO public.who_import VALUES (5312, '2020-11-29', 'AT', 'Austria', 'EURO', '4765', '274275', '58', '2822');
INSERT INTO public.who_import VALUES (5313, '2020-11-30', 'AT', 'Austria', 'EURO', '3907', '278182', '82', '2904');
INSERT INTO public.who_import VALUES (5314, '2020-12-01', 'AT', 'Austria', 'EURO', '2348', '280530', '79', '2983');
INSERT INTO public.who_import VALUES (5315, '2020-12-02', 'AT', 'Austria', 'EURO', '3464', '283994', '213', '3196');
INSERT INTO public.who_import VALUES (5316, '2020-12-03', 'AT', 'Austria', 'EURO', '3660', '287654', '133', '3329');
INSERT INTO public.who_import VALUES (5317, '2020-12-04', 'AT', 'Austria', 'EURO', '3783', '291437', '118', '3447');
INSERT INTO public.who_import VALUES (5318, '2020-12-05', 'AT', 'Austria', 'EURO', '3634', '295071', '140', '3587');
INSERT INTO public.who_import VALUES (5319, '2020-12-06', 'AT', 'Austria', 'EURO', '3160', '298231', '87', '3674');
INSERT INTO public.who_import VALUES (5320, '2020-12-07', 'AT', 'Austria', 'EURO', '2745', '300976', '58', '3732');
INSERT INTO public.who_import VALUES (5321, '2020-12-08', 'AT', 'Austria', 'EURO', '2181', '303157', '95', '3827');
INSERT INTO public.who_import VALUES (5322, '2020-12-09', 'AT', 'Austria', 'EURO', '2531', '305688', '80', '3907');
INSERT INTO public.who_import VALUES (5323, '2020-12-10', 'AT', 'Austria', 'EURO', '2913', '308601', '126', '4033');
INSERT INTO public.who_import VALUES (5324, '2020-12-11', 'AT', 'Austria', 'EURO', '2466', '311067', '125', '4158');
INSERT INTO public.who_import VALUES (5325, '2020-12-12', 'AT', 'Austria', 'EURO', '3026', '314093', '101', '4259');
INSERT INTO public.who_import VALUES (5326, '2020-12-13', 'AT', 'Austria', 'EURO', '2938', '317031', '96', '4355');
INSERT INTO public.who_import VALUES (5327, '2020-12-14', 'AT', 'Austria', 'EURO', '3005', '320036', '45', '4400');
INSERT INTO public.who_import VALUES (5328, '2020-12-15', 'AT', 'Austria', 'EURO', '2521', '322557', '110', '4510');
INSERT INTO public.who_import VALUES (5329, '2020-12-16', 'AT', 'Austria', 'EURO', '2954', '325511', '141', '4651');
INSERT INTO public.who_import VALUES (5330, '2020-12-17', 'AT', 'Austria', 'EURO', '2766', '328277', '127', '4778');
INSERT INTO public.who_import VALUES (5331, '2020-12-18', 'AT', 'Austria', 'EURO', '2180', '330457', '108', '4886');
INSERT INTO public.who_import VALUES (5332, '2020-12-19', 'AT', 'Austria', 'EURO', '1914', '332371', '131', '5017');
INSERT INTO public.who_import VALUES (5333, '2020-12-20', 'AT', 'Austria', 'EURO', '2258', '334629', '110', '5127');
INSERT INTO public.who_import VALUES (5334, '2020-12-21', 'AT', 'Austria', 'EURO', '1593', '336222', '89', '5216');
INSERT INTO public.who_import VALUES (5335, '2020-12-22', 'AT', 'Austria', 'EURO', '1218', '337440', '140', '5356');
INSERT INTO public.who_import VALUES (5336, '2020-12-23', 'AT', 'Austria', 'EURO', '2493', '339933', '114', '5470');
INSERT INTO public.who_import VALUES (5337, '2020-12-24', 'AT', 'Austria', 'EURO', '2600', '342533', '141', '5611');
INSERT INTO public.who_import VALUES (5338, '2020-12-25', 'AT', 'Austria', 'EURO', '2818', '345351', '61', '5672');
INSERT INTO public.who_import VALUES (5339, '2020-12-26', 'AT', 'Austria', 'EURO', '1750', '347101', '38', '5710');
INSERT INTO public.who_import VALUES (5340, '2020-12-27', 'AT', 'Austria', 'EURO', '1258', '348359', '42', '5752');
INSERT INTO public.who_import VALUES (5341, '2020-12-28', 'AT', 'Austria', 'EURO', '1376', '349735', '42', '5794');
INSERT INTO public.who_import VALUES (5342, '2020-12-29', 'AT', 'Austria', 'EURO', '1651', '351386', '78', '5872');
INSERT INTO public.who_import VALUES (5343, '2020-12-30', 'AT', 'Austria', 'EURO', '1836', '353222', '133', '6005');
INSERT INTO public.who_import VALUES (5344, '2020-12-31', 'AT', 'Austria', 'EURO', '3129', '356351', '81', '6086');
INSERT INTO public.who_import VALUES (5345, '2021-01-01', 'AT', 'Austria', 'EURO', '3011', '359362', '45', '6131');
INSERT INTO public.who_import VALUES (5346, '2021-01-02', 'AT', 'Austria', 'EURO', '2110', '361472', '46', '6177');
INSERT INTO public.who_import VALUES (5347, '2021-01-03', 'AT', 'Austria', 'EURO', '1491', '362963', '37', '6214');
INSERT INTO public.who_import VALUES (5348, '2021-01-04', 'AT', 'Austria', 'EURO', '1611', '364574', '39', '6253');
INSERT INTO public.who_import VALUES (5349, '2021-01-05', 'AT', 'Austria', 'EURO', '1951', '366525', '73', '6326');
INSERT INTO public.who_import VALUES (5350, '2021-01-06', 'AT', 'Austria', 'EURO', '2255', '368780', '77', '6403');
INSERT INTO public.who_import VALUES (5351, '2021-01-07', 'AT', 'Austria', 'EURO', '2877', '371657', '51', '6454');
INSERT INTO public.who_import VALUES (5352, '2021-01-08', 'AT', 'Austria', 'EURO', '2006', '373663', '50', '6504');
INSERT INTO public.who_import VALUES (5353, '2021-01-09', 'AT', 'Austria', 'EURO', '2001', '375664', '68', '6572');
INSERT INTO public.who_import VALUES (5354, '2021-01-10', 'AT', 'Austria', 'EURO', '2446', '378110', '42', '6614');
INSERT INTO public.who_import VALUES (5355, '2021-01-11', 'AT', 'Austria', 'EURO', '1597', '379707', '17', '6631');
INSERT INTO public.who_import VALUES (5356, '2021-01-12', 'AT', 'Austria', 'EURO', '1328', '381035', '71', '6702');
INSERT INTO public.who_import VALUES (5357, '2021-01-13', 'AT', 'Austria', 'EURO', '1728', '382763', '80', '6782');
INSERT INTO public.who_import VALUES (5358, '2021-01-14', 'AT', 'Austria', 'EURO', '2246', '385009', '44', '6826');
INSERT INTO public.who_import VALUES (5359, '2021-01-15', 'AT', 'Austria', 'EURO', '1514', '386523', '54', '6880');
INSERT INTO public.who_import VALUES (5360, '2021-01-16', 'AT', 'Austria', 'EURO', '1472', '387995', '51', '6931');
INSERT INTO public.who_import VALUES (5361, '2021-01-17', 'AT', 'Austria', 'EURO', '1757', '389752', '33', '6964');
INSERT INTO public.who_import VALUES (5362, '2021-01-18', 'AT', 'Austria', 'EURO', '1361', '391113', '50', '7014');
INSERT INTO public.who_import VALUES (5363, '2021-01-19', 'AT', 'Austria', 'EURO', '868', '391981', '55', '7069');
INSERT INTO public.who_import VALUES (5364, '2021-01-20', 'AT', 'Austria', 'EURO', '1463', '393444', '58', '7127');
INSERT INTO public.who_import VALUES (5365, '2021-01-21', 'AT', 'Austria', 'EURO', '1634', '395078', '38', '7165');
INSERT INTO public.who_import VALUES (5366, '2021-01-22', 'AT', 'Austria', 'EURO', '1779', '396857', '57', '7222');
INSERT INTO public.who_import VALUES (5367, '2021-01-23', 'AT', 'Austria', 'EURO', '1779', '398636', '66', '7288');
INSERT INTO public.who_import VALUES (5368, '2021-01-24', 'AT', 'Austria', 'EURO', '1551', '400187', '30', '7318');
INSERT INTO public.who_import VALUES (5369, '2021-01-25', 'AT', 'Austria', 'EURO', '1347', '401534', '44', '7362');
INSERT INTO public.who_import VALUES (5370, '2021-01-26', 'AT', 'Austria', 'EURO', '944', '402478', '54', '7416');
INSERT INTO public.who_import VALUES (5371, '2021-01-27', 'AT', 'Austria', 'EURO', '1445', '403923', '46', '7462');
INSERT INTO public.who_import VALUES (5372, '2021-01-28', 'AT', 'Austria', 'EURO', '1606', '405529', '53', '7515');
INSERT INTO public.who_import VALUES (5373, '2021-01-29', 'AT', 'Austria', 'EURO', '1238', '406767', '43', '7558');
INSERT INTO public.who_import VALUES (5374, '2021-01-30', 'AT', 'Austria', 'EURO', '1606', '408373', '47', '7605');
INSERT INTO public.who_import VALUES (5375, '2021-01-31', 'AT', 'Austria', 'EURO', '1519', '409892', '31', '7636');
INSERT INTO public.who_import VALUES (5376, '2021-02-01', 'AT', 'Austria', 'EURO', '1093', '410985', '17', '7653');
INSERT INTO public.who_import VALUES (5377, '2021-02-02', 'AT', 'Austria', 'EURO', '936', '411921', '57', '7710');
INSERT INTO public.who_import VALUES (5378, '2021-02-03', 'AT', 'Austria', 'EURO', '1318', '413239', '39', '7749');
INSERT INTO public.who_import VALUES (5379, '2021-02-04', 'AT', 'Austria', 'EURO', '1686', '414925', '51', '7800');
INSERT INTO public.who_import VALUES (5380, '2021-02-05', 'AT', 'Austria', 'EURO', '1444', '416369', '28', '7828');
INSERT INTO public.who_import VALUES (5381, '2021-02-06', 'AT', 'Austria', 'EURO', '1501', '417870', '35', '7863');
INSERT INTO public.who_import VALUES (5382, '2021-02-07', 'AT', 'Austria', 'EURO', '1437', '419307', '21', '7884');
INSERT INTO public.who_import VALUES (5383, '2021-02-08', 'AT', 'Austria', 'EURO', '1337', '420644', '22', '7906');
INSERT INTO public.who_import VALUES (5384, '2021-02-09', 'AT', 'Austria', 'EURO', '808', '421452', '34', '7940');
INSERT INTO public.who_import VALUES (5385, '2021-02-10', 'AT', 'Austria', 'EURO', '1120', '422572', '44', '7984');
INSERT INTO public.who_import VALUES (5386, '2021-02-11', 'AT', 'Austria', 'EURO', '1433', '424005', '29', '8013');
INSERT INTO public.who_import VALUES (5387, '2021-02-12', 'AT', 'Austria', 'EURO', '1654', '425659', '36', '8049');
INSERT INTO public.who_import VALUES (5388, '2021-02-13', 'AT', 'Austria', 'EURO', '1708', '427367', '27', '8076');
INSERT INTO public.who_import VALUES (5389, '2021-02-14', 'AT', 'Austria', 'EURO', '1325', '428692', '12', '8088');
INSERT INTO public.who_import VALUES (5390, '2021-02-15', 'AT', 'Austria', 'EURO', '1202', '429894', '13', '8101');
INSERT INTO public.who_import VALUES (5391, '2021-02-16', 'AT', 'Austria', 'EURO', '1193', '431087', '27', '8128');
INSERT INTO public.who_import VALUES (5392, '2021-02-17', 'AT', 'Austria', 'EURO', '1382', '432469', '36', '8164');
INSERT INTO public.who_import VALUES (5393, '2021-02-18', 'AT', 'Austria', 'EURO', '1648', '434117', '20', '8184');
INSERT INTO public.who_import VALUES (5394, '2021-02-19', 'AT', 'Austria', 'EURO', '1983', '436100', '26', '8210');
INSERT INTO public.who_import VALUES (5395, '2021-02-20', 'AT', 'Austria', 'EURO', '1799', '437899', '23', '8233');
INSERT INTO public.who_import VALUES (5396, '2020-01-03', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5397, '2020-01-04', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5398, '2020-01-05', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5399, '2020-01-06', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5400, '2020-01-07', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5401, '2020-01-08', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5402, '2020-01-09', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5403, '2020-01-10', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5404, '2020-01-11', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5405, '2020-01-12', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5406, '2020-01-13', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5407, '2020-01-14', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5408, '2020-01-15', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5409, '2020-01-16', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5410, '2020-01-17', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5411, '2020-01-18', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5412, '2020-01-19', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5413, '2020-01-20', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5414, '2020-01-21', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5415, '2020-01-22', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5416, '2020-01-23', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5417, '2020-01-24', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5418, '2020-01-25', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5419, '2020-01-26', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5420, '2020-01-27', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5421, '2020-01-28', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5422, '2020-01-29', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5826, '2020-01-18', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5423, '2020-01-30', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5424, '2020-01-31', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5425, '2020-02-01', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5426, '2020-02-02', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5427, '2020-02-03', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5428, '2020-02-04', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5429, '2020-02-05', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5430, '2020-02-06', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5431, '2020-02-07', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5432, '2020-02-08', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5433, '2020-02-09', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5434, '2020-02-10', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5435, '2020-02-11', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5436, '2020-02-12', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5437, '2020-02-13', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5438, '2020-02-14', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5439, '2020-02-15', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5440, '2020-02-16', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5441, '2020-02-17', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5442, '2020-02-18', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5443, '2020-02-19', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5444, '2020-02-20', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5445, '2020-02-21', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5446, '2020-02-22', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5447, '2020-02-23', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5448, '2020-02-24', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5449, '2020-02-25', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5450, '2020-02-26', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5451, '2020-02-27', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5452, '2020-02-28', 'AZ', 'Azerbaijan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5453, '2020-02-29', 'AZ', 'Azerbaijan', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (5454, '2020-03-01', 'AZ', 'Azerbaijan', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (5455, '2020-03-02', 'AZ', 'Azerbaijan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (5456, '2020-03-03', 'AZ', 'Azerbaijan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (5457, '2020-03-04', 'AZ', 'Azerbaijan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (5458, '2020-03-05', 'AZ', 'Azerbaijan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (5459, '2020-03-06', 'AZ', 'Azerbaijan', 'EURO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (5460, '2020-03-07', 'AZ', 'Azerbaijan', 'EURO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (5461, '2020-03-08', 'AZ', 'Azerbaijan', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (5462, '2020-03-09', 'AZ', 'Azerbaijan', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (5463, '2020-03-10', 'AZ', 'Azerbaijan', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (5464, '2020-03-11', 'AZ', 'Azerbaijan', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (5465, '2020-03-12', 'AZ', 'Azerbaijan', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (5466, '2020-03-13', 'AZ', 'Azerbaijan', 'EURO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (5467, '2020-03-14', 'AZ', 'Azerbaijan', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (5468, '2020-03-15', 'AZ', 'Azerbaijan', 'EURO', '8', '19', '0', '0');
INSERT INTO public.who_import VALUES (5469, '2020-03-16', 'AZ', 'Azerbaijan', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (5470, '2020-03-17', 'AZ', 'Azerbaijan', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (5471, '2020-03-18', 'AZ', 'Azerbaijan', 'EURO', '9', '28', '0', '0');
INSERT INTO public.who_import VALUES (5472, '2020-03-19', 'AZ', 'Azerbaijan', 'EURO', '0', '28', '1', '1');
INSERT INTO public.who_import VALUES (5473, '2020-03-20', 'AZ', 'Azerbaijan', 'EURO', '6', '34', '0', '1');
INSERT INTO public.who_import VALUES (5474, '2020-03-21', 'AZ', 'Azerbaijan', 'EURO', '19', '53', '0', '1');
INSERT INTO public.who_import VALUES (5475, '2020-03-22', 'AZ', 'Azerbaijan', 'EURO', '0', '53', '0', '1');
INSERT INTO public.who_import VALUES (5476, '2020-03-23', 'AZ', 'Azerbaijan', 'EURO', '19', '72', '0', '1');
INSERT INTO public.who_import VALUES (5477, '2020-03-24', 'AZ', 'Azerbaijan', 'EURO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (5478, '2020-03-25', 'AZ', 'Azerbaijan', 'EURO', '15', '87', '0', '1');
INSERT INTO public.who_import VALUES (5479, '2020-03-26', 'AZ', 'Azerbaijan', 'EURO', '6', '93', '1', '2');
INSERT INTO public.who_import VALUES (5480, '2020-03-27', 'AZ', 'Azerbaijan', 'EURO', '29', '122', '1', '3');
INSERT INTO public.who_import VALUES (5481, '2020-03-28', 'AZ', 'Azerbaijan', 'EURO', '25', '147', '0', '3');
INSERT INTO public.who_import VALUES (5482, '2020-03-29', 'AZ', 'Azerbaijan', 'EURO', '17', '164', '1', '4');
INSERT INTO public.who_import VALUES (5483, '2020-03-30', 'AZ', 'Azerbaijan', 'EURO', '26', '190', '0', '4');
INSERT INTO public.who_import VALUES (5484, '2020-03-31', 'AZ', 'Azerbaijan', 'EURO', '83', '273', '0', '4');
INSERT INTO public.who_import VALUES (5485, '2020-04-01', 'AZ', 'Azerbaijan', 'EURO', '25', '298', '1', '5');
INSERT INTO public.who_import VALUES (5486, '2020-04-02', 'AZ', 'Azerbaijan', 'EURO', '61', '359', '0', '5');
INSERT INTO public.who_import VALUES (5487, '2020-04-03', 'AZ', 'Azerbaijan', 'EURO', '41', '400', '0', '5');
INSERT INTO public.who_import VALUES (5488, '2020-04-04', 'AZ', 'Azerbaijan', 'EURO', '43', '443', '0', '5');
INSERT INTO public.who_import VALUES (5489, '2020-04-05', 'AZ', 'Azerbaijan', 'EURO', '69', '512', '0', '5');
INSERT INTO public.who_import VALUES (5490, '2020-04-06', 'AZ', 'Azerbaijan', 'EURO', '72', '584', '0', '5');
INSERT INTO public.who_import VALUES (5491, '2020-04-07', 'AZ', 'Azerbaijan', 'EURO', '57', '641', '2', '7');
INSERT INTO public.who_import VALUES (5492, '2020-04-08', 'AZ', 'Azerbaijan', 'EURO', '76', '717', '1', '8');
INSERT INTO public.who_import VALUES (5493, '2020-04-09', 'AZ', 'Azerbaijan', 'EURO', '105', '822', '0', '8');
INSERT INTO public.who_import VALUES (5494, '2020-04-10', 'AZ', 'Azerbaijan', 'EURO', '104', '926', '1', '9');
INSERT INTO public.who_import VALUES (5495, '2020-04-11', 'AZ', 'Azerbaijan', 'EURO', '65', '991', '1', '10');
INSERT INTO public.who_import VALUES (5496, '2020-04-12', 'AZ', 'Azerbaijan', 'EURO', '67', '1058', '1', '11');
INSERT INTO public.who_import VALUES (5497, '2020-04-13', 'AZ', 'Azerbaijan', 'EURO', '40', '1098', '0', '11');
INSERT INTO public.who_import VALUES (5498, '2020-04-14', 'AZ', 'Azerbaijan', 'EURO', '50', '1148', '1', '12');
INSERT INTO public.who_import VALUES (5499, '2020-04-15', 'AZ', 'Azerbaijan', 'EURO', '49', '1197', '1', '13');
INSERT INTO public.who_import VALUES (5500, '2020-04-16', 'AZ', 'Azerbaijan', 'EURO', '56', '1253', '0', '13');
INSERT INTO public.who_import VALUES (5501, '2020-04-17', 'AZ', 'Azerbaijan', 'EURO', '30', '1283', '2', '15');
INSERT INTO public.who_import VALUES (5502, '2020-04-18', 'AZ', 'Azerbaijan', 'EURO', '57', '1340', '0', '15');
INSERT INTO public.who_import VALUES (5503, '2020-04-19', 'AZ', 'Azerbaijan', 'EURO', '33', '1373', '3', '18');
INSERT INTO public.who_import VALUES (5504, '2020-04-20', 'AZ', 'Azerbaijan', 'EURO', '25', '1398', '1', '19');
INSERT INTO public.who_import VALUES (5505, '2020-04-21', 'AZ', 'Azerbaijan', 'EURO', '38', '1436', '0', '19');
INSERT INTO public.who_import VALUES (5506, '2020-04-22', 'AZ', 'Azerbaijan', 'EURO', '44', '1480', '1', '20');
INSERT INTO public.who_import VALUES (5507, '2020-04-23', 'AZ', 'Azerbaijan', 'EURO', '38', '1518', '0', '20');
INSERT INTO public.who_import VALUES (5508, '2020-04-24', 'AZ', 'Azerbaijan', 'EURO', '30', '1548', '0', '20');
INSERT INTO public.who_import VALUES (5509, '2020-04-25', 'AZ', 'Azerbaijan', 'EURO', '44', '1592', '1', '21');
INSERT INTO public.who_import VALUES (5510, '2020-04-26', 'AZ', 'Azerbaijan', 'EURO', '25', '1617', '0', '21');
INSERT INTO public.who_import VALUES (5511, '2020-04-27', 'AZ', 'Azerbaijan', 'EURO', '28', '1645', '0', '21');
INSERT INTO public.who_import VALUES (5512, '2020-04-28', 'AZ', 'Azerbaijan', 'EURO', '33', '1678', '1', '22');
INSERT INTO public.who_import VALUES (5513, '2020-04-29', 'AZ', 'Azerbaijan', 'EURO', '39', '1717', '0', '22');
INSERT INTO public.who_import VALUES (5514, '2020-04-30', 'AZ', 'Azerbaijan', 'EURO', '49', '1766', '1', '23');
INSERT INTO public.who_import VALUES (5515, '2020-05-01', 'AZ', 'Azerbaijan', 'EURO', '38', '1804', '1', '24');
INSERT INTO public.who_import VALUES (5516, '2020-05-02', 'AZ', 'Azerbaijan', 'EURO', '50', '1854', '1', '25');
INSERT INTO public.who_import VALUES (5517, '2020-05-03', 'AZ', 'Azerbaijan', 'EURO', '40', '1894', '0', '25');
INSERT INTO public.who_import VALUES (5518, '2020-05-04', 'AZ', 'Azerbaijan', 'EURO', '38', '1932', '0', '25');
INSERT INTO public.who_import VALUES (5519, '2020-05-05', 'AZ', 'Azerbaijan', 'EURO', '52', '1984', '1', '26');
INSERT INTO public.who_import VALUES (5520, '2020-05-06', 'AZ', 'Azerbaijan', 'EURO', '76', '2060', '0', '26');
INSERT INTO public.who_import VALUES (5521, '2020-05-07', 'AZ', 'Azerbaijan', 'EURO', '67', '2127', '2', '28');
INSERT INTO public.who_import VALUES (5522, '2020-05-08', 'AZ', 'Azerbaijan', 'EURO', '77', '2204', '0', '28');
INSERT INTO public.who_import VALUES (5523, '2020-05-09', 'AZ', 'Azerbaijan', 'EURO', '75', '2279', '0', '28');
INSERT INTO public.who_import VALUES (5524, '2020-05-10', 'AZ', 'Azerbaijan', 'EURO', '143', '2422', '3', '31');
INSERT INTO public.who_import VALUES (5525, '2020-05-11', 'AZ', 'Azerbaijan', 'EURO', '97', '2519', '1', '32');
INSERT INTO public.who_import VALUES (5526, '2020-05-12', 'AZ', 'Azerbaijan', 'EURO', '70', '2589', '0', '32');
INSERT INTO public.who_import VALUES (5527, '2020-05-13', 'AZ', 'Azerbaijan', 'EURO', '104', '2693', '1', '33');
INSERT INTO public.who_import VALUES (5528, '2020-05-14', 'AZ', 'Azerbaijan', 'EURO', '65', '2758', '2', '35');
INSERT INTO public.who_import VALUES (5529, '2020-05-15', 'AZ', 'Azerbaijan', 'EURO', '121', '2879', '0', '35');
INSERT INTO public.who_import VALUES (5530, '2020-05-16', 'AZ', 'Azerbaijan', 'EURO', '101', '2980', '1', '36');
INSERT INTO public.who_import VALUES (5531, '2020-05-17', 'AZ', 'Azerbaijan', 'EURO', '158', '3138', '0', '36');
INSERT INTO public.who_import VALUES (5532, '2020-05-18', 'AZ', 'Azerbaijan', 'EURO', '136', '3274', '3', '39');
INSERT INTO public.who_import VALUES (5533, '2020-05-19', 'AZ', 'Azerbaijan', 'EURO', '113', '3387', '1', '40');
INSERT INTO public.who_import VALUES (5534, '2020-05-20', 'AZ', 'Azerbaijan', 'EURO', '131', '3518', '1', '41');
INSERT INTO public.who_import VALUES (5535, '2020-05-21', 'AZ', 'Azerbaijan', 'EURO', '113', '3631', '2', '43');
INSERT INTO public.who_import VALUES (5536, '2020-05-22', 'AZ', 'Azerbaijan', 'EURO', '118', '3749', '1', '44');
INSERT INTO public.who_import VALUES (5537, '2020-05-23', 'AZ', 'Azerbaijan', 'EURO', '106', '3855', '2', '46');
INSERT INTO public.who_import VALUES (5538, '2020-05-24', 'AZ', 'Azerbaijan', 'EURO', '127', '3982', '3', '49');
INSERT INTO public.who_import VALUES (5539, '2020-05-25', 'AZ', 'Azerbaijan', 'EURO', '140', '4122', '0', '49');
INSERT INTO public.who_import VALUES (5540, '2020-05-26', 'AZ', 'Azerbaijan', 'EURO', '149', '4271', '2', '51');
INSERT INTO public.who_import VALUES (5541, '2020-05-27', 'AZ', 'Azerbaijan', 'EURO', '132', '4403', '1', '52');
INSERT INTO public.who_import VALUES (5542, '2020-05-28', 'AZ', 'Azerbaijan', 'EURO', '165', '4568', '2', '54');
INSERT INTO public.who_import VALUES (5543, '2020-05-29', 'AZ', 'Azerbaijan', 'EURO', '191', '4759', '2', '56');
INSERT INTO public.who_import VALUES (5544, '2020-05-30', 'AZ', 'Azerbaijan', 'EURO', '230', '4989', '2', '58');
INSERT INTO public.who_import VALUES (5545, '2020-05-31', 'AZ', 'Azerbaijan', 'EURO', '257', '5246', '3', '61');
INSERT INTO public.who_import VALUES (5546, '2020-06-01', 'AZ', 'Azerbaijan', 'EURO', '248', '5494', '2', '63');
INSERT INTO public.who_import VALUES (5547, '2020-06-02', 'AZ', 'Azerbaijan', 'EURO', '168', '5662', '5', '68');
INSERT INTO public.who_import VALUES (5548, '2020-06-03', 'AZ', 'Azerbaijan', 'EURO', '273', '5935', '3', '71');
INSERT INTO public.who_import VALUES (5549, '2020-06-04', 'AZ', 'Azerbaijan', 'EURO', '325', '6260', '5', '76');
INSERT INTO public.who_import VALUES (5550, '2020-06-05', 'AZ', 'Azerbaijan', 'EURO', '262', '6522', '2', '78');
INSERT INTO public.who_import VALUES (5551, '2020-06-06', 'AZ', 'Azerbaijan', 'EURO', '338', '6860', '4', '82');
INSERT INTO public.who_import VALUES (5552, '2020-06-07', 'AZ', 'Azerbaijan', 'EURO', '379', '7239', '2', '84');
INSERT INTO public.who_import VALUES (5553, '2020-06-08', 'AZ', 'Azerbaijan', 'EURO', '314', '7553', '4', '88');
INSERT INTO public.who_import VALUES (5554, '2020-06-09', 'AZ', 'Azerbaijan', 'EURO', '323', '7876', '5', '93');
INSERT INTO public.who_import VALUES (5555, '2020-06-10', 'AZ', 'Azerbaijan', 'EURO', '315', '8191', '5', '98');
INSERT INTO public.who_import VALUES (5556, '2020-06-11', 'AZ', 'Azerbaijan', 'EURO', '339', '8530', '4', '102');
INSERT INTO public.who_import VALUES (5557, '2020-06-12', 'AZ', 'Azerbaijan', 'EURO', '352', '8882', '6', '108');
INSERT INTO public.who_import VALUES (5558, '2020-06-13', 'AZ', 'Azerbaijan', 'EURO', '336', '9218', '5', '113');
INSERT INTO public.who_import VALUES (5559, '2020-06-14', 'AZ', 'Azerbaijan', 'EURO', '352', '9570', '2', '115');
INSERT INTO public.who_import VALUES (5560, '2020-06-15', 'AZ', 'Azerbaijan', 'EURO', '387', '9957', '4', '119');
INSERT INTO public.who_import VALUES (5561, '2020-06-16', 'AZ', 'Azerbaijan', 'EURO', '367', '10324', '3', '122');
INSERT INTO public.who_import VALUES (5562, '2020-06-17', 'AZ', 'Azerbaijan', 'EURO', '338', '10662', '4', '126');
INSERT INTO public.who_import VALUES (5563, '2020-06-18', 'AZ', 'Azerbaijan', 'EURO', '329', '10991', '7', '133');
INSERT INTO public.who_import VALUES (5564, '2020-06-19', 'AZ', 'Azerbaijan', 'EURO', '338', '11329', '6', '139');
INSERT INTO public.who_import VALUES (5565, '2020-06-20', 'AZ', 'Azerbaijan', 'EURO', '438', '11767', '4', '143');
INSERT INTO public.who_import VALUES (5566, '2020-06-21', 'AZ', 'Azerbaijan', 'EURO', '471', '12238', '5', '148');
INSERT INTO public.who_import VALUES (5567, '2020-06-22', 'AZ', 'Azerbaijan', 'EURO', '491', '12729', '6', '154');
INSERT INTO public.who_import VALUES (5568, '2020-06-23', 'AZ', 'Azerbaijan', 'EURO', '478', '13207', '7', '161');
INSERT INTO public.who_import VALUES (5569, '2020-06-24', 'AZ', 'Azerbaijan', 'EURO', '508', '13715', '6', '167');
INSERT INTO public.who_import VALUES (5570, '2020-06-25', 'AZ', 'Azerbaijan', 'EURO', '590', '14305', '7', '174');
INSERT INTO public.who_import VALUES (5571, '2020-06-26', 'AZ', 'Azerbaijan', 'EURO', '547', '14852', '6', '180');
INSERT INTO public.who_import VALUES (5572, '2020-06-27', 'AZ', 'Azerbaijan', 'EURO', '517', '15369', '7', '187');
INSERT INTO public.who_import VALUES (5573, '2020-06-28', 'AZ', 'Azerbaijan', 'EURO', '521', '15890', '6', '193');
INSERT INTO public.who_import VALUES (5574, '2020-06-29', 'AZ', 'Azerbaijan', 'EURO', '534', '16424', '5', '198');
INSERT INTO public.who_import VALUES (5575, '2020-06-30', 'AZ', 'Azerbaijan', 'EURO', '544', '16968', '8', '206');
INSERT INTO public.who_import VALUES (5576, '2020-07-01', 'AZ', 'Azerbaijan', 'EURO', '556', '17524', '7', '213');
INSERT INTO public.who_import VALUES (5577, '2020-07-02', 'AZ', 'Azerbaijan', 'EURO', '588', '18112', '7', '220');
INSERT INTO public.who_import VALUES (5578, '2020-07-03', 'AZ', 'Azerbaijan', 'EURO', '572', '18684', '8', '228');
INSERT INTO public.who_import VALUES (5579, '2020-07-04', 'AZ', 'Azerbaijan', 'EURO', '583', '19267', '7', '235');
INSERT INTO public.who_import VALUES (5580, '2020-07-05', 'AZ', 'Azerbaijan', 'EURO', '534', '19801', '6', '241');
INSERT INTO public.who_import VALUES (5581, '2020-07-06', 'AZ', 'Azerbaijan', 'EURO', '523', '20324', '9', '250');
INSERT INTO public.who_import VALUES (5582, '2020-07-07', 'AZ', 'Azerbaijan', 'EURO', '513', '20837', '8', '258');
INSERT INTO public.who_import VALUES (5583, '2020-07-08', 'AZ', 'Azerbaijan', 'EURO', '537', '21374', '7', '265');
INSERT INTO public.who_import VALUES (5584, '2020-07-09', 'AZ', 'Azerbaijan', 'EURO', '542', '21916', '9', '274');
INSERT INTO public.who_import VALUES (5585, '2020-07-10', 'AZ', 'Azerbaijan', 'EURO', '548', '22464', '10', '284');
INSERT INTO public.who_import VALUES (5586, '2020-07-11', 'AZ', 'Azerbaijan', 'EURO', '526', '22990', '8', '292');
INSERT INTO public.who_import VALUES (5587, '2020-07-12', 'AZ', 'Azerbaijan', 'EURO', '531', '23521', '6', '298');
INSERT INTO public.who_import VALUES (5588, '2020-07-13', 'AZ', 'Azerbaijan', 'EURO', '520', '24041', '8', '306');
INSERT INTO public.who_import VALUES (5589, '2020-07-14', 'AZ', 'Azerbaijan', 'EURO', '529', '24570', '7', '313');
INSERT INTO public.who_import VALUES (5590, '2020-07-15', 'AZ', 'Azerbaijan', 'EURO', '543', '25113', '6', '319');
INSERT INTO public.who_import VALUES (5591, '2020-07-16', 'AZ', 'Azerbaijan', 'EURO', '559', '25672', '7', '326');
INSERT INTO public.who_import VALUES (5592, '2020-07-17', 'AZ', 'Azerbaijan', 'EURO', '493', '26165', '8', '334');
INSERT INTO public.who_import VALUES (5593, '2020-07-18', 'AZ', 'Azerbaijan', 'EURO', '471', '26636', '7', '341');
INSERT INTO public.who_import VALUES (5594, '2020-07-19', 'AZ', 'Azerbaijan', 'EURO', '497', '27133', '8', '349');
INSERT INTO public.who_import VALUES (5595, '2020-07-20', 'AZ', 'Azerbaijan', 'EURO', '388', '27521', '5', '354');
INSERT INTO public.who_import VALUES (5596, '2020-07-21', 'AZ', 'Azerbaijan', 'EURO', '369', '27890', '9', '363');
INSERT INTO public.who_import VALUES (5597, '2020-07-22', 'AZ', 'Azerbaijan', 'EURO', '352', '28242', '13', '376');
INSERT INTO public.who_import VALUES (5598, '2020-07-23', 'AZ', 'Azerbaijan', 'EURO', '391', '28633', '9', '385');
INSERT INTO public.who_import VALUES (5599, '2020-07-24', 'AZ', 'Azerbaijan', 'EURO', '347', '28980', '6', '391');
INSERT INTO public.who_import VALUES (5600, '2020-07-25', 'AZ', 'Azerbaijan', 'EURO', '332', '29312', '9', '400');
INSERT INTO public.who_import VALUES (5601, '2020-07-26', 'AZ', 'Azerbaijan', 'EURO', '321', '29633', '8', '408');
INSERT INTO public.who_import VALUES (5602, '2020-07-27', 'AZ', 'Azerbaijan', 'EURO', '417', '30050', '9', '417');
INSERT INTO public.who_import VALUES (5603, '2020-07-28', 'AZ', 'Azerbaijan', 'EURO', '396', '30446', '6', '423');
INSERT INTO public.who_import VALUES (5604, '2020-07-29', 'AZ', 'Azerbaijan', 'EURO', '412', '30858', '7', '430');
INSERT INTO public.who_import VALUES (5605, '2020-07-30', 'AZ', 'Azerbaijan', 'EURO', '363', '31221', '8', '438');
INSERT INTO public.who_import VALUES (5606, '2020-07-31', 'AZ', 'Azerbaijan', 'EURO', '339', '31560', '3', '441');
INSERT INTO public.who_import VALUES (5607, '2020-08-01', 'AZ', 'Azerbaijan', 'EURO', '318', '31878', '7', '448');
INSERT INTO public.who_import VALUES (5608, '2020-08-02', 'AZ', 'Azerbaijan', 'EURO', '279', '32157', '6', '454');
INSERT INTO public.who_import VALUES (5609, '2020-08-03', 'AZ', 'Azerbaijan', 'EURO', '286', '32443', '8', '462');
INSERT INTO public.who_import VALUES (5610, '2020-08-04', 'AZ', 'Azerbaijan', 'EURO', '241', '32684', '6', '468');
INSERT INTO public.who_import VALUES (5611, '2020-08-05', 'AZ', 'Azerbaijan', 'EURO', '226', '32910', '5', '473');
INSERT INTO public.who_import VALUES (5612, '2020-08-06', 'AZ', 'Azerbaijan', 'EURO', '193', '33103', '3', '476');
INSERT INTO public.who_import VALUES (5613, '2020-08-07', 'AZ', 'Azerbaijan', 'EURO', '144', '33247', '3', '479');
INSERT INTO public.who_import VALUES (5614, '2020-08-08', 'AZ', 'Azerbaijan', 'EURO', '129', '33376', '4', '483');
INSERT INTO public.who_import VALUES (5615, '2020-08-09', 'AZ', 'Azerbaijan', 'EURO', '105', '33481', '5', '488');
INSERT INTO public.who_import VALUES (5616, '2020-08-10', 'AZ', 'Azerbaijan', 'EURO', '87', '33568', '2', '490');
INSERT INTO public.who_import VALUES (5617, '2020-08-11', 'AZ', 'Azerbaijan', 'EURO', '79', '33647', '2', '492');
INSERT INTO public.who_import VALUES (5618, '2020-08-12', 'AZ', 'Azerbaijan', 'EURO', '84', '33731', '3', '495');
INSERT INTO public.who_import VALUES (5619, '2020-08-13', 'AZ', 'Azerbaijan', 'EURO', '93', '33824', '2', '497');
INSERT INTO public.who_import VALUES (5620, '2020-08-14', 'AZ', 'Azerbaijan', 'EURO', '91', '33915', '3', '500');
INSERT INTO public.who_import VALUES (5621, '2020-08-15', 'AZ', 'Azerbaijan', 'EURO', '103', '34018', '4', '504');
INSERT INTO public.who_import VALUES (5622, '2020-08-16', 'AZ', 'Azerbaijan', 'EURO', '89', '34107', '2', '506');
INSERT INTO public.who_import VALUES (5623, '2020-08-17', 'AZ', 'Azerbaijan', 'EURO', '112', '34219', '0', '506');
INSERT INTO public.who_import VALUES (5624, '2020-08-18', 'AZ', 'Azerbaijan', 'EURO', '124', '34343', '2', '508');
INSERT INTO public.who_import VALUES (5625, '2020-08-19', 'AZ', 'Azerbaijan', 'EURO', '131', '34474', '1', '509');
INSERT INTO public.who_import VALUES (5626, '2020-08-20', 'AZ', 'Azerbaijan', 'EURO', '146', '34620', '1', '510');
INSERT INTO public.who_import VALUES (5627, '2020-08-21', 'AZ', 'Azerbaijan', 'EURO', '139', '34759', '0', '510');
INSERT INTO public.who_import VALUES (5628, '2020-08-22', 'AZ', 'Azerbaijan', 'EURO', '162', '34921', '2', '512');
INSERT INTO public.who_import VALUES (5629, '2020-08-23', 'AZ', 'Azerbaijan', 'EURO', '184', '35105', '3', '515');
INSERT INTO public.who_import VALUES (5630, '2020-08-24', 'AZ', 'Azerbaijan', 'EURO', '169', '35274', '3', '518');
INSERT INTO public.who_import VALUES (5631, '2020-08-25', 'AZ', 'Azerbaijan', 'EURO', '152', '35426', '1', '519');
INSERT INTO public.who_import VALUES (5632, '2020-08-26', 'AZ', 'Azerbaijan', 'EURO', '133', '35559', '2', '521');
INSERT INTO public.who_import VALUES (5633, '2020-08-27', 'AZ', 'Azerbaijan', 'EURO', '148', '35707', '1', '522');
INSERT INTO public.who_import VALUES (5634, '2020-08-28', 'AZ', 'Azerbaijan', 'EURO', '137', '35844', '2', '524');
INSERT INTO public.who_import VALUES (5635, '2020-08-29', 'AZ', 'Azerbaijan', 'EURO', '142', '35986', '3', '527');
INSERT INTO public.who_import VALUES (5636, '2020-08-30', 'AZ', 'Azerbaijan', 'EURO', '188', '36174', '2', '529');
INSERT INTO public.who_import VALUES (5637, '2020-08-31', 'AZ', 'Azerbaijan', 'EURO', '135', '36309', '2', '531');
INSERT INTO public.who_import VALUES (5638, '2020-09-01', 'AZ', 'Azerbaijan', 'EURO', '126', '36435', '3', '534');
INSERT INTO public.who_import VALUES (5639, '2020-09-02', 'AZ', 'Azerbaijan', 'EURO', '143', '36578', '2', '536');
INSERT INTO public.who_import VALUES (5640, '2020-09-03', 'AZ', 'Azerbaijan', 'EURO', '154', '36732', '2', '538');
INSERT INTO public.who_import VALUES (5641, '2020-09-04', 'AZ', 'Azerbaijan', 'EURO', '167', '36899', '3', '541');
INSERT INTO public.who_import VALUES (5642, '2020-09-05', 'AZ', 'Azerbaijan', 'EURO', '132', '37031', '2', '543');
INSERT INTO public.who_import VALUES (5643, '2020-09-06', 'AZ', 'Azerbaijan', 'EURO', '161', '37192', '2', '545');
INSERT INTO public.who_import VALUES (5644, '2020-09-07', 'AZ', 'Azerbaijan', 'EURO', '137', '37329', '3', '548');
INSERT INTO public.who_import VALUES (5645, '2020-09-08', 'AZ', 'Azerbaijan', 'EURO', '89', '37418', '3', '551');
INSERT INTO public.who_import VALUES (5646, '2020-09-09', 'AZ', 'Azerbaijan', 'EURO', '139', '37557', '1', '552');
INSERT INTO public.who_import VALUES (5647, '2020-09-10', 'AZ', 'Azerbaijan', 'EURO', '175', '37732', '3', '555');
INSERT INTO public.who_import VALUES (5648, '2020-09-11', 'AZ', 'Azerbaijan', 'EURO', '142', '37874', '1', '556');
INSERT INTO public.who_import VALUES (5649, '2020-09-12', 'AZ', 'Azerbaijan', 'EURO', '163', '38037', '1', '557');
INSERT INTO public.who_import VALUES (5650, '2020-09-13', 'AZ', 'Azerbaijan', 'EURO', '135', '38172', '2', '559');
INSERT INTO public.who_import VALUES (5651, '2020-09-14', 'AZ', 'Azerbaijan', 'EURO', '155', '38327', '3', '562');
INSERT INTO public.who_import VALUES (5652, '2020-09-15', 'AZ', 'Azerbaijan', 'EURO', '76', '38403', '2', '564');
INSERT INTO public.who_import VALUES (5653, '2020-09-16', 'AZ', 'Azerbaijan', 'EURO', '114', '38517', '2', '566');
INSERT INTO public.who_import VALUES (5654, '2020-09-17', 'AZ', 'Azerbaijan', 'EURO', '141', '38658', '3', '569');
INSERT INTO public.who_import VALUES (5655, '2020-09-18', 'AZ', 'Azerbaijan', 'EURO', '119', '38777', '2', '571');
INSERT INTO public.who_import VALUES (5656, '2020-09-19', 'AZ', 'Azerbaijan', 'EURO', '117', '38894', '1', '572');
INSERT INTO public.who_import VALUES (5657, '2020-09-20', 'AZ', 'Azerbaijan', 'EURO', '148', '39042', '2', '574');
INSERT INTO public.who_import VALUES (5658, '2020-09-21', 'AZ', 'Azerbaijan', 'EURO', '146', '39188', '1', '575');
INSERT INTO public.who_import VALUES (5659, '2020-09-22', 'AZ', 'Azerbaijan', 'EURO', '92', '39280', '1', '576');
INSERT INTO public.who_import VALUES (5660, '2020-09-23', 'AZ', 'Azerbaijan', 'EURO', '98', '39378', '2', '578');
INSERT INTO public.who_import VALUES (5661, '2020-09-24', 'AZ', 'Azerbaijan', 'EURO', '146', '39524', '2', '580');
INSERT INTO public.who_import VALUES (5662, '2020-09-25', 'AZ', 'Azerbaijan', 'EURO', '162', '39686', '1', '581');
INSERT INTO public.who_import VALUES (5663, '2020-09-26', 'AZ', 'Azerbaijan', 'EURO', '101', '39787', '2', '583');
INSERT INTO public.who_import VALUES (5664, '2020-09-27', 'AZ', 'Azerbaijan', 'EURO', '108', '39895', '2', '585');
INSERT INTO public.who_import VALUES (5665, '2020-09-28', 'AZ', 'Azerbaijan', 'EURO', '128', '40023', '1', '586');
INSERT INTO public.who_import VALUES (5666, '2020-09-29', 'AZ', 'Azerbaijan', 'EURO', '38', '40061', '2', '588');
INSERT INTO public.who_import VALUES (5667, '2020-09-30', 'AZ', 'Azerbaijan', 'EURO', '58', '40119', '2', '590');
INSERT INTO public.who_import VALUES (5668, '2020-10-01', 'AZ', 'Azerbaijan', 'EURO', '110', '40229', '1', '591');
INSERT INTO public.who_import VALUES (5669, '2020-10-02', 'AZ', 'Azerbaijan', 'EURO', '80', '40309', '2', '593');
INSERT INTO public.who_import VALUES (5670, '2020-10-03', 'AZ', 'Azerbaijan', 'EURO', '144', '40453', '1', '594');
INSERT INTO public.who_import VALUES (5671, '2020-10-04', 'AZ', 'Azerbaijan', 'EURO', '108', '40561', '1', '595');
INSERT INTO public.who_import VALUES (5672, '2020-10-05', 'AZ', 'Azerbaijan', 'EURO', '130', '40691', '1', '596');
INSERT INTO public.who_import VALUES (5673, '2020-10-06', 'AZ', 'Azerbaijan', 'EURO', '97', '40788', '2', '598');
INSERT INTO public.who_import VALUES (5674, '2020-10-07', 'AZ', 'Azerbaijan', 'EURO', '143', '40931', '2', '600');
INSERT INTO public.who_import VALUES (5675, '2020-10-08', 'AZ', 'Azerbaijan', 'EURO', '182', '41113', '2', '602');
INSERT INTO public.who_import VALUES (5676, '2020-10-09', 'AZ', 'Azerbaijan', 'EURO', '191', '41304', '1', '603');
INSERT INTO public.who_import VALUES (5677, '2020-10-10', 'AZ', 'Azerbaijan', 'EURO', '215', '41519', '2', '605');
INSERT INTO public.who_import VALUES (5678, '2020-10-11', 'AZ', 'Azerbaijan', 'EURO', '233', '41752', '3', '608');
INSERT INTO public.who_import VALUES (5679, '2020-10-12', 'AZ', 'Azerbaijan', 'EURO', '230', '41982', '1', '609');
INSERT INTO public.who_import VALUES (5680, '2020-10-13', 'AZ', 'Azerbaijan', 'EURO', '122', '42104', '0', '609');
INSERT INTO public.who_import VALUES (5681, '2020-10-14', 'AZ', 'Azerbaijan', 'EURO', '277', '42381', '3', '612');
INSERT INTO public.who_import VALUES (5682, '2020-10-15', 'AZ', 'Azerbaijan', 'EURO', '369', '42750', '4', '616');
INSERT INTO public.who_import VALUES (5683, '2020-10-16', 'AZ', 'Azerbaijan', 'EURO', '530', '43280', '3', '619');
INSERT INTO public.who_import VALUES (5684, '2020-10-17', 'AZ', 'Azerbaijan', 'EURO', '509', '43789', '2', '621');
INSERT INTO public.who_import VALUES (5685, '2020-10-18', 'AZ', 'Azerbaijan', 'EURO', '528', '44317', '2', '623');
INSERT INTO public.who_import VALUES (5686, '2020-10-19', 'AZ', 'Azerbaijan', 'EURO', '647', '44964', '3', '626');
INSERT INTO public.who_import VALUES (5687, '2020-10-20', 'AZ', 'Azerbaijan', 'EURO', '331', '45295', '4', '630');
INSERT INTO public.who_import VALUES (5688, '2020-10-21', 'AZ', 'Azerbaijan', 'EURO', '584', '45879', '5', '635');
INSERT INTO public.who_import VALUES (5689, '2020-10-22', 'AZ', 'Azerbaijan', 'EURO', '714', '46593', '7', '642');
INSERT INTO public.who_import VALUES (5690, '2020-10-23', 'AZ', 'Azerbaijan', 'EURO', '825', '47418', '6', '648');
INSERT INTO public.who_import VALUES (5691, '2020-10-24', 'AZ', 'Azerbaijan', 'EURO', '803', '48221', '8', '656');
INSERT INTO public.who_import VALUES (5692, '2020-10-25', 'AZ', 'Azerbaijan', 'EURO', '792', '49013', '8', '664');
INSERT INTO public.who_import VALUES (5693, '2020-10-26', 'AZ', 'Azerbaijan', 'EURO', '946', '49959', '7', '671');
INSERT INTO public.who_import VALUES (5694, '2020-10-27', 'AZ', 'Azerbaijan', 'EURO', '527', '50486', '8', '679');
INSERT INTO public.who_import VALUES (5695, '2020-10-28', 'AZ', 'Azerbaijan', 'EURO', '663', '51149', '9', '688');
INSERT INTO public.who_import VALUES (5696, '2020-10-29', 'AZ', 'Azerbaijan', 'EURO', '988', '52137', '11', '699');
INSERT INTO public.who_import VALUES (5697, '2020-10-30', 'AZ', 'Azerbaijan', 'EURO', '1015', '53152', '9', '708');
INSERT INTO public.who_import VALUES (5698, '2020-10-31', 'AZ', 'Azerbaijan', 'EURO', '1022', '54174', '10', '718');
INSERT INTO public.who_import VALUES (5699, '2020-11-01', 'AZ', 'Azerbaijan', 'EURO', '1095', '55269', '12', '730');
INSERT INTO public.who_import VALUES (5700, '2020-11-02', 'AZ', 'Azerbaijan', 'EURO', '1175', '56444', '10', '740');
INSERT INTO public.who_import VALUES (5701, '2020-11-03', 'AZ', 'Azerbaijan', 'EURO', '596', '57040', '13', '753');
INSERT INTO public.who_import VALUES (5702, '2020-11-04', 'AZ', 'Azerbaijan', 'EURO', '1242', '58282', '15', '768');
INSERT INTO public.who_import VALUES (5703, '2020-11-05', 'AZ', 'Azerbaijan', 'EURO', '1227', '59509', '12', '780');
INSERT INTO public.who_import VALUES (5704, '2020-11-06', 'AZ', 'Azerbaijan', 'EURO', '1364', '60873', '14', '794');
INSERT INTO public.who_import VALUES (5705, '2020-11-07', 'AZ', 'Azerbaijan', 'EURO', '1465', '62338', '17', '811');
INSERT INTO public.who_import VALUES (5706, '2020-11-08', 'AZ', 'Azerbaijan', 'EURO', '1410', '63748', '13', '824');
INSERT INTO public.who_import VALUES (5707, '2020-11-09', 'AZ', 'Azerbaijan', 'EURO', '1663', '65411', '16', '840');
INSERT INTO public.who_import VALUES (5708, '2020-11-10', 'AZ', 'Azerbaijan', 'EURO', '635', '66046', '12', '852');
INSERT INTO public.who_import VALUES (5709, '2020-11-11', 'AZ', 'Azerbaijan', 'EURO', '1346', '67392', '15', '867');
INSERT INTO public.who_import VALUES (5710, '2020-11-12', 'AZ', 'Azerbaijan', 'EURO', '1202', '68594', '18', '885');
INSERT INTO public.who_import VALUES (5711, '2020-11-13', 'AZ', 'Azerbaijan', 'EURO', '1622', '70216', '20', '905');
INSERT INTO public.who_import VALUES (5712, '2020-11-14', 'AZ', 'Azerbaijan', 'EURO', '1364', '71580', '22', '927');
INSERT INTO public.who_import VALUES (5713, '2020-11-15', 'AZ', 'Azerbaijan', 'EURO', '1849', '73429', '19', '946');
INSERT INTO public.who_import VALUES (5714, '2020-11-16', 'AZ', 'Azerbaijan', 'EURO', '2259', '75688', '21', '967');
INSERT INTO public.who_import VALUES (5715, '2020-11-17', 'AZ', 'Azerbaijan', 'EURO', '1395', '77083', '18', '985');
INSERT INTO public.who_import VALUES (5716, '2020-11-18', 'AZ', 'Azerbaijan', 'EURO', '2075', '79158', '20', '1005');
INSERT INTO public.who_import VALUES (5717, '2020-11-19', 'AZ', 'Azerbaijan', 'EURO', '2239', '81397', '25', '1030');
INSERT INTO public.who_import VALUES (5718, '2020-11-20', 'AZ', 'Azerbaijan', 'EURO', '2597', '83994', '23', '1053');
INSERT INTO public.who_import VALUES (5719, '2020-11-21', 'AZ', 'Azerbaijan', 'EURO', '3169', '87163', '26', '1079');
INSERT INTO public.who_import VALUES (5720, '2020-11-22', 'AZ', 'Azerbaijan', 'EURO', '2735', '89898', '28', '1107');
INSERT INTO public.who_import VALUES (5721, '2020-11-23', 'AZ', 'Azerbaijan', 'EURO', '3196', '93094', '24', '1131');
INSERT INTO public.who_import VALUES (5722, '2020-11-24', 'AZ', 'Azerbaijan', 'EURO', '2187', '95281', '29', '1160');
INSERT INTO public.who_import VALUES (5723, '2020-11-25', 'AZ', 'Azerbaijan', 'EURO', '3646', '98927', '34', '1194');
INSERT INTO public.who_import VALUES (5724, '2020-11-26', 'AZ', 'Azerbaijan', 'EURO', '3469', '102396', '30', '1224');
INSERT INTO public.who_import VALUES (5725, '2020-11-27', 'AZ', 'Azerbaijan', 'EURO', '3705', '106101', '32', '1256');
INSERT INTO public.who_import VALUES (5726, '2020-11-28', 'AZ', 'Azerbaijan', 'EURO', '3712', '109813', '35', '1291');
INSERT INTO public.who_import VALUES (5727, '2020-11-29', 'AZ', 'Azerbaijan', 'EURO', '4212', '114025', '32', '1323');
INSERT INTO public.who_import VALUES (5728, '2020-11-30', 'AZ', 'Azerbaijan', 'EURO', '4170', '118195', '38', '1361');
INSERT INTO public.who_import VALUES (5729, '2020-12-01', 'AZ', 'Azerbaijan', 'EURO', '2981', '121176', '31', '1392');
INSERT INTO public.who_import VALUES (5730, '2020-12-02', 'AZ', 'Azerbaijan', 'EURO', '4426', '125602', '41', '1433');
INSERT INTO public.who_import VALUES (5731, '2020-12-03', 'AZ', 'Azerbaijan', 'EURO', '3942', '129544', '37', '1470');
INSERT INTO public.who_import VALUES (5732, '2020-12-04', 'AZ', 'Azerbaijan', 'EURO', '4189', '133733', '40', '1510');
INSERT INTO public.who_import VALUES (5733, '2020-12-05', 'AZ', 'Azerbaijan', 'EURO', '4267', '138000', '41', '1551');
INSERT INTO public.who_import VALUES (5734, '2020-12-06', 'AZ', 'Azerbaijan', 'EURO', '4323', '142323', '42', '1593');
INSERT INTO public.who_import VALUES (5735, '2020-12-07', 'AZ', 'Azerbaijan', 'EURO', '4356', '146679', '39', '1632');
INSERT INTO public.who_import VALUES (5736, '2020-12-08', 'AZ', 'Azerbaijan', 'EURO', '3086', '149765', '43', '1675');
INSERT INTO public.who_import VALUES (5737, '2020-12-09', 'AZ', 'Azerbaijan', 'EURO', '4387', '154152', '38', '1713');
INSERT INTO public.who_import VALUES (5738, '2020-12-10', 'AZ', 'Azerbaijan', 'EURO', '4403', '158555', '42', '1755');
INSERT INTO public.who_import VALUES (5739, '2020-12-11', 'AZ', 'Azerbaijan', 'EURO', '4219', '162774', '38', '1793');
INSERT INTO public.who_import VALUES (5740, '2020-12-12', 'AZ', 'Azerbaijan', 'EURO', '4381', '167155', '47', '1840');
INSERT INTO public.who_import VALUES (5741, '2020-12-13', 'AZ', 'Azerbaijan', 'EURO', '4268', '171423', '43', '1883');
INSERT INTO public.who_import VALUES (5742, '2020-12-14', 'AZ', 'Azerbaijan', 'EURO', '4451', '175874', '39', '1922');
INSERT INTO public.who_import VALUES (5743, '2020-12-15', 'AZ', 'Azerbaijan', 'EURO', '3112', '178986', '44', '1966');
INSERT INTO public.who_import VALUES (5744, '2020-12-16', 'AZ', 'Azerbaijan', 'EURO', '4273', '183259', '41', '2007');
INSERT INTO public.who_import VALUES (5745, '2020-12-17', 'AZ', 'Azerbaijan', 'EURO', '4077', '187336', '43', '2050');
INSERT INTO public.who_import VALUES (5746, '2020-12-18', 'AZ', 'Azerbaijan', 'EURO', '4124', '191460', '38', '2088');
INSERT INTO public.who_import VALUES (5747, '2020-12-19', 'AZ', 'Azerbaijan', 'EURO', '3962', '195422', '45', '2133');
INSERT INTO public.who_import VALUES (5748, '2020-12-20', 'AZ', 'Azerbaijan', 'EURO', '3705', '199127', '42', '2175');
INSERT INTO public.who_import VALUES (5749, '2020-12-21', 'AZ', 'Azerbaijan', 'EURO', '2961', '202088', '35', '2210');
INSERT INTO public.who_import VALUES (5750, '2020-12-22', 'AZ', 'Azerbaijan', 'EURO', '1505', '203593', '43', '2253');
INSERT INTO public.who_import VALUES (5751, '2020-12-23', 'AZ', 'Azerbaijan', 'EURO', '2284', '205877', '41', '2294');
INSERT INTO public.who_import VALUES (5752, '2020-12-24', 'AZ', 'Azerbaijan', 'EURO', '2334', '208211', '46', '2340');
INSERT INTO public.who_import VALUES (5753, '2020-12-25', 'AZ', 'Azerbaijan', 'EURO', '1850', '210061', '40', '2380');
INSERT INTO public.who_import VALUES (5754, '2020-12-26', 'AZ', 'Azerbaijan', 'EURO', '1703', '211764', '36', '2416');
INSERT INTO public.who_import VALUES (5755, '2020-12-27', 'AZ', 'Azerbaijan', 'EURO', '1428', '213192', '38', '2454');
INSERT INTO public.who_import VALUES (5756, '2020-12-28', 'AZ', 'Azerbaijan', 'EURO', '1519', '214711', '45', '2499');
INSERT INTO public.who_import VALUES (5757, '2020-12-29', 'AZ', 'Azerbaijan', 'EURO', '772', '215483', '39', '2538');
INSERT INTO public.who_import VALUES (5758, '2020-12-30', 'AZ', 'Azerbaijan', 'EURO', '1101', '216584', '37', '2575');
INSERT INTO public.who_import VALUES (5759, '2020-12-31', 'AZ', 'Azerbaijan', 'EURO', '1052', '217636', '34', '2609');
INSERT INTO public.who_import VALUES (5760, '2021-01-01', 'AZ', 'Azerbaijan', 'EURO', '1064', '218700', '32', '2641');
INSERT INTO public.who_import VALUES (5761, '2021-01-02', 'AZ', 'Azerbaijan', 'EURO', '341', '219041', '29', '2670');
INSERT INTO public.who_import VALUES (5762, '2021-01-03', 'AZ', 'Azerbaijan', 'EURO', '421', '219462', '33', '2703');
INSERT INTO public.who_import VALUES (5763, '2021-01-04', 'AZ', 'Azerbaijan', 'EURO', '803', '220265', '30', '2733');
INSERT INTO public.who_import VALUES (5764, '2021-01-05', 'AZ', 'Azerbaijan', 'EURO', '334', '220599', '28', '2761');
INSERT INTO public.who_import VALUES (5765, '2021-01-06', 'AZ', 'Azerbaijan', 'EURO', '802', '221401', '31', '2792');
INSERT INTO public.who_import VALUES (5766, '2021-01-07', 'AZ', 'Azerbaijan', 'EURO', '799', '222200', '26', '2818');
INSERT INTO public.who_import VALUES (5767, '2021-01-08', 'AZ', 'Azerbaijan', 'EURO', '685', '222885', '27', '2845');
INSERT INTO public.who_import VALUES (5768, '2021-01-09', 'AZ', 'Azerbaijan', 'EURO', '532', '223417', '24', '2869');
INSERT INTO public.who_import VALUES (5769, '2021-01-10', 'AZ', 'Azerbaijan', 'EURO', '633', '224050', '21', '2890');
INSERT INTO public.who_import VALUES (5770, '2021-01-11', 'AZ', 'Azerbaijan', 'EURO', '601', '224651', '19', '2909');
INSERT INTO public.who_import VALUES (5771, '2021-01-12', 'AZ', 'Azerbaijan', 'EURO', '176', '224827', '17', '2926');
INSERT INTO public.who_import VALUES (5772, '2021-01-13', 'AZ', 'Azerbaijan', 'EURO', '519', '225346', '15', '2941');
INSERT INTO public.who_import VALUES (5773, '2021-01-14', 'AZ', 'Azerbaijan', 'EURO', '474', '225820', '16', '2957');
INSERT INTO public.who_import VALUES (5774, '2021-01-15', 'AZ', 'Azerbaijan', 'EURO', '380', '226200', '14', '2971');
INSERT INTO public.who_import VALUES (5775, '2021-01-16', 'AZ', 'Azerbaijan', 'EURO', '349', '226549', '12', '2983');
INSERT INTO public.who_import VALUES (5776, '2021-01-17', 'AZ', 'Azerbaijan', 'EURO', '402', '226951', '15', '2998');
INSERT INTO public.who_import VALUES (5777, '2021-01-18', 'AZ', 'Azerbaijan', 'EURO', '322', '227273', '11', '3009');
INSERT INTO public.who_import VALUES (5778, '2021-01-19', 'AZ', 'Azerbaijan', 'EURO', '118', '227391', '13', '3022');
INSERT INTO public.who_import VALUES (5779, '2021-01-20', 'AZ', 'Azerbaijan', 'EURO', '305', '227696', '10', '3032');
INSERT INTO public.who_import VALUES (5780, '2021-01-21', 'AZ', 'Azerbaijan', 'EURO', '332', '228028', '12', '3044');
INSERT INTO public.who_import VALUES (5781, '2021-01-22', 'AZ', 'Azerbaijan', 'EURO', '218', '228246', '9', '3053');
INSERT INTO public.who_import VALUES (5782, '2021-01-23', 'AZ', 'Azerbaijan', 'EURO', '280', '228526', '11', '3064');
INSERT INTO public.who_import VALUES (5783, '2021-01-24', 'AZ', 'Azerbaijan', 'EURO', '162', '228688', '8', '3072');
INSERT INTO public.who_import VALUES (5784, '2021-01-25', 'AZ', 'Azerbaijan', 'EURO', '287', '228975', '10', '3082');
INSERT INTO public.who_import VALUES (5785, '2021-01-26', 'AZ', 'Azerbaijan', 'EURO', '57', '229032', '11', '3093');
INSERT INTO public.who_import VALUES (5786, '2021-01-27', 'AZ', 'Azerbaijan', 'EURO', '326', '229358', '7', '3100');
INSERT INTO public.who_import VALUES (5787, '2021-01-28', 'AZ', 'Azerbaijan', 'EURO', '226', '229584', '5', '3105');
INSERT INTO public.who_import VALUES (5788, '2021-01-29', 'AZ', 'Azerbaijan', 'EURO', '209', '229793', '8', '3113');
INSERT INTO public.who_import VALUES (5789, '2021-01-30', 'AZ', 'Azerbaijan', 'EURO', '142', '229935', '6', '3119');
INSERT INTO public.who_import VALUES (5790, '2021-01-31', 'AZ', 'Azerbaijan', 'EURO', '131', '230066', '7', '3126');
INSERT INTO public.who_import VALUES (5791, '2021-02-01', 'AZ', 'Azerbaijan', 'EURO', '153', '230219', '6', '3132');
INSERT INTO public.who_import VALUES (5792, '2021-02-02', 'AZ', 'Azerbaijan', 'EURO', '77', '230296', '4', '3136');
INSERT INTO public.who_import VALUES (5793, '2021-02-03', 'AZ', 'Azerbaijan', 'EURO', '159', '230455', '5', '3141');
INSERT INTO public.who_import VALUES (5794, '2021-02-04', 'AZ', 'Azerbaijan', 'EURO', '162', '230617', '4', '3145');
INSERT INTO public.who_import VALUES (5795, '2021-02-05', 'AZ', 'Azerbaijan', 'EURO', '152', '230769', '3', '3148');
INSERT INTO public.who_import VALUES (5796, '2021-02-06', 'AZ', 'Azerbaijan', 'EURO', '138', '230907', '5', '3153');
INSERT INTO public.who_import VALUES (5797, '2021-02-07', 'AZ', 'Azerbaijan', 'EURO', '115', '231022', '3', '3156');
INSERT INTO public.who_import VALUES (5798, '2021-02-08', 'AZ', 'Azerbaijan', 'EURO', '132', '231154', '2', '3158');
INSERT INTO public.who_import VALUES (5799, '2021-02-09', 'AZ', 'Azerbaijan', 'EURO', '44', '231198', '3', '3161');
INSERT INTO public.who_import VALUES (5800, '2021-02-10', 'AZ', 'Azerbaijan', 'EURO', '164', '231362', '2', '3163');
INSERT INTO public.who_import VALUES (5801, '2021-02-11', 'AZ', 'Azerbaijan', 'EURO', '147', '231509', '4', '3167');
INSERT INTO public.who_import VALUES (5802, '2021-02-12', 'AZ', 'Azerbaijan', 'EURO', '140', '231649', '3', '3170');
INSERT INTO public.who_import VALUES (5803, '2021-02-13', 'AZ', 'Azerbaijan', 'EURO', '191', '231840', '3', '3173');
INSERT INTO public.who_import VALUES (5804, '2021-02-14', 'AZ', 'Azerbaijan', 'EURO', '155', '231995', '5', '3178');
INSERT INTO public.who_import VALUES (5805, '2021-02-15', 'AZ', 'Azerbaijan', 'EURO', '128', '232123', '2', '3180');
INSERT INTO public.who_import VALUES (5806, '2021-02-16', 'AZ', 'Azerbaijan', 'EURO', '74', '232197', '3', '3183');
INSERT INTO public.who_import VALUES (5807, '2021-02-17', 'AZ', 'Azerbaijan', 'EURO', '140', '232337', '2', '3185');
INSERT INTO public.who_import VALUES (5808, '2021-02-18', 'AZ', 'Azerbaijan', 'EURO', '154', '232491', '2', '3187');
INSERT INTO public.who_import VALUES (5809, '2021-02-19', 'AZ', 'Azerbaijan', 'EURO', '145', '232636', '3', '3190');
INSERT INTO public.who_import VALUES (5810, '2021-02-20', 'AZ', 'Azerbaijan', 'EURO', '193', '232829', '3', '3193');
INSERT INTO public.who_import VALUES (5811, '2020-01-03', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5812, '2020-01-04', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5813, '2020-01-05', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5814, '2020-01-06', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5815, '2020-01-07', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5816, '2020-01-08', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5817, '2020-01-09', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5818, '2020-01-10', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5819, '2020-01-11', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5820, '2020-01-12', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5821, '2020-01-13', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5822, '2020-01-14', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5823, '2020-01-15', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5824, '2020-01-16', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5825, '2020-01-17', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5827, '2020-01-19', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5828, '2020-01-20', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5829, '2020-01-21', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5830, '2020-01-22', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5831, '2020-01-23', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5832, '2020-01-24', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5833, '2020-01-25', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5834, '2020-01-26', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5835, '2020-01-27', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5836, '2020-01-28', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5837, '2020-01-29', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5838, '2020-01-30', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5839, '2020-01-31', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5840, '2020-02-01', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5841, '2020-02-02', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5842, '2020-02-03', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5843, '2020-02-04', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5844, '2020-02-05', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5845, '2020-02-06', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5846, '2020-02-07', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5847, '2020-02-08', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5848, '2020-02-09', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5849, '2020-02-10', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5850, '2020-02-11', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5851, '2020-02-12', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5852, '2020-02-13', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5853, '2020-02-14', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5854, '2020-02-15', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5855, '2020-02-16', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5856, '2020-02-17', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5857, '2020-02-18', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5858, '2020-02-19', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5859, '2020-02-20', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5860, '2020-02-21', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5861, '2020-02-22', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5862, '2020-02-23', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5863, '2020-02-24', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5864, '2020-02-25', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5865, '2020-02-26', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5866, '2020-02-27', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5867, '2020-02-28', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5868, '2020-02-29', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5869, '2020-03-01', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5870, '2020-03-02', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5871, '2020-03-03', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5872, '2020-03-04', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5873, '2020-03-05', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5874, '2020-03-06', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5875, '2020-03-07', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5876, '2020-03-08', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5877, '2020-03-09', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5878, '2020-03-10', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5879, '2020-03-11', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5880, '2020-03-12', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5881, '2020-03-13', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5882, '2020-03-14', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5883, '2020-03-15', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5884, '2020-03-16', 'BS', 'Bahamas', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (5885, '2020-03-17', 'BS', 'Bahamas', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (5886, '2020-03-18', 'BS', 'Bahamas', 'AMRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (5887, '2020-03-19', 'BS', 'Bahamas', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (5888, '2020-03-20', 'BS', 'Bahamas', 'AMRO', '-3', '4', '0', '0');
INSERT INTO public.who_import VALUES (5889, '2020-03-21', 'BS', 'Bahamas', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (5890, '2020-03-22', 'BS', 'Bahamas', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (5891, '2020-03-23', 'BS', 'Bahamas', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (5892, '2020-03-24', 'BS', 'Bahamas', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (5893, '2020-03-25', 'BS', 'Bahamas', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (5894, '2020-03-26', 'BS', 'Bahamas', 'AMRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (5895, '2020-03-27', 'BS', 'Bahamas', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (5896, '2020-03-28', 'BS', 'Bahamas', 'AMRO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (5897, '2020-03-29', 'BS', 'Bahamas', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (5898, '2020-03-30', 'BS', 'Bahamas', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (5899, '2020-03-31', 'BS', 'Bahamas', 'AMRO', '4', '14', '0', '0');
INSERT INTO public.who_import VALUES (5900, '2020-04-01', 'BS', 'Bahamas', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (5901, '2020-04-02', 'BS', 'Bahamas', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (5902, '2020-04-03', 'BS', 'Bahamas', 'AMRO', '6', '21', '1', '1');
INSERT INTO public.who_import VALUES (5903, '2020-04-04', 'BS', 'Bahamas', 'AMRO', '3', '24', '2', '3');
INSERT INTO public.who_import VALUES (5904, '2020-04-05', 'BS', 'Bahamas', 'AMRO', '0', '24', '0', '3');
INSERT INTO public.who_import VALUES (5905, '2020-04-06', 'BS', 'Bahamas', 'AMRO', '4', '28', '1', '4');
INSERT INTO public.who_import VALUES (5906, '2020-04-07', 'BS', 'Bahamas', 'AMRO', '1', '29', '1', '5');
INSERT INTO public.who_import VALUES (5907, '2020-04-08', 'BS', 'Bahamas', 'AMRO', '4', '33', '0', '5');
INSERT INTO public.who_import VALUES (5908, '2020-04-09', 'BS', 'Bahamas', 'AMRO', '3', '36', '1', '6');
INSERT INTO public.who_import VALUES (5909, '2020-04-10', 'BS', 'Bahamas', 'AMRO', '4', '40', '1', '7');
INSERT INTO public.who_import VALUES (5910, '2020-04-11', 'BS', 'Bahamas', 'AMRO', '1', '41', '1', '8');
INSERT INTO public.who_import VALUES (5911, '2020-04-12', 'BS', 'Bahamas', 'AMRO', '1', '42', '0', '8');
INSERT INTO public.who_import VALUES (5912, '2020-04-13', 'BS', 'Bahamas', 'AMRO', '0', '42', '0', '8');
INSERT INTO public.who_import VALUES (5913, '2020-04-14', 'BS', 'Bahamas', 'AMRO', '5', '47', '0', '8');
INSERT INTO public.who_import VALUES (5914, '2020-04-15', 'BS', 'Bahamas', 'AMRO', '2', '49', '0', '8');
INSERT INTO public.who_import VALUES (5915, '2020-04-16', 'BS', 'Bahamas', 'AMRO', '0', '49', '0', '8');
INSERT INTO public.who_import VALUES (5916, '2020-04-17', 'BS', 'Bahamas', 'AMRO', '4', '53', '0', '8');
INSERT INTO public.who_import VALUES (5917, '2020-04-18', 'BS', 'Bahamas', 'AMRO', '1', '54', '1', '9');
INSERT INTO public.who_import VALUES (5918, '2020-04-19', 'BS', 'Bahamas', 'AMRO', '0', '54', '0', '9');
INSERT INTO public.who_import VALUES (5919, '2020-04-20', 'BS', 'Bahamas', 'AMRO', '4', '58', '0', '9');
INSERT INTO public.who_import VALUES (5920, '2020-04-21', 'BS', 'Bahamas', 'AMRO', '2', '60', '0', '9');
INSERT INTO public.who_import VALUES (5921, '2020-04-22', 'BS', 'Bahamas', 'AMRO', '4', '64', '0', '9');
INSERT INTO public.who_import VALUES (5922, '2020-04-23', 'BS', 'Bahamas', 'AMRO', '1', '65', '0', '9');
INSERT INTO public.who_import VALUES (5923, '2020-04-24', 'BS', 'Bahamas', 'AMRO', '5', '70', '0', '9');
INSERT INTO public.who_import VALUES (5924, '2020-04-25', 'BS', 'Bahamas', 'AMRO', '2', '72', '2', '11');
INSERT INTO public.who_import VALUES (5925, '2020-04-26', 'BS', 'Bahamas', 'AMRO', '0', '72', '0', '11');
INSERT INTO public.who_import VALUES (5926, '2020-04-27', 'BS', 'Bahamas', 'AMRO', '6', '78', '0', '11');
INSERT INTO public.who_import VALUES (5927, '2020-04-28', 'BS', 'Bahamas', 'AMRO', '2', '80', '0', '11');
INSERT INTO public.who_import VALUES (5928, '2020-04-29', 'BS', 'Bahamas', 'AMRO', '0', '80', '0', '11');
INSERT INTO public.who_import VALUES (5929, '2020-04-30', 'BS', 'Bahamas', 'AMRO', '0', '80', '0', '11');
INSERT INTO public.who_import VALUES (5930, '2020-05-01', 'BS', 'Bahamas', 'AMRO', '0', '80', '0', '11');
INSERT INTO public.who_import VALUES (5931, '2020-05-02', 'BS', 'Bahamas', 'AMRO', '1', '81', '0', '11');
INSERT INTO public.who_import VALUES (5932, '2020-05-03', 'BS', 'Bahamas', 'AMRO', '1', '82', '0', '11');
INSERT INTO public.who_import VALUES (5933, '2020-05-04', 'BS', 'Bahamas', 'AMRO', '0', '82', '0', '11');
INSERT INTO public.who_import VALUES (5934, '2020-05-05', 'BS', 'Bahamas', 'AMRO', '1', '83', '0', '11');
INSERT INTO public.who_import VALUES (5935, '2020-05-06', 'BS', 'Bahamas', 'AMRO', '1', '84', '0', '11');
INSERT INTO public.who_import VALUES (5936, '2020-05-07', 'BS', 'Bahamas', 'AMRO', '5', '89', '0', '11');
INSERT INTO public.who_import VALUES (5937, '2020-05-08', 'BS', 'Bahamas', 'AMRO', '3', '92', '0', '11');
INSERT INTO public.who_import VALUES (5938, '2020-05-09', 'BS', 'Bahamas', 'AMRO', '0', '92', '0', '11');
INSERT INTO public.who_import VALUES (5939, '2020-05-10', 'BS', 'Bahamas', 'AMRO', '0', '92', '0', '11');
INSERT INTO public.who_import VALUES (5940, '2020-05-11', 'BS', 'Bahamas', 'AMRO', '0', '92', '0', '11');
INSERT INTO public.who_import VALUES (5941, '2020-05-12', 'BS', 'Bahamas', 'AMRO', '0', '92', '0', '11');
INSERT INTO public.who_import VALUES (5942, '2020-05-13', 'BS', 'Bahamas', 'AMRO', '1', '93', '0', '11');
INSERT INTO public.who_import VALUES (5943, '2020-05-14', 'BS', 'Bahamas', 'AMRO', '0', '93', '0', '11');
INSERT INTO public.who_import VALUES (5944, '2020-05-15', 'BS', 'Bahamas', 'AMRO', '1', '94', '0', '11');
INSERT INTO public.who_import VALUES (5945, '2020-05-16', 'BS', 'Bahamas', 'AMRO', '2', '96', '0', '11');
INSERT INTO public.who_import VALUES (5946, '2020-05-17', 'BS', 'Bahamas', 'AMRO', '0', '96', '0', '11');
INSERT INTO public.who_import VALUES (5947, '2020-05-18', 'BS', 'Bahamas', 'AMRO', '0', '96', '0', '11');
INSERT INTO public.who_import VALUES (5948, '2020-05-19', 'BS', 'Bahamas', 'AMRO', '0', '96', '0', '11');
INSERT INTO public.who_import VALUES (5949, '2020-05-20', 'BS', 'Bahamas', 'AMRO', '0', '96', '0', '11');
INSERT INTO public.who_import VALUES (5950, '2020-05-21', 'BS', 'Bahamas', 'AMRO', '0', '96', '0', '11');
INSERT INTO public.who_import VALUES (5951, '2020-05-22', 'BS', 'Bahamas', 'AMRO', '1', '97', '0', '11');
INSERT INTO public.who_import VALUES (5952, '2020-05-23', 'BS', 'Bahamas', 'AMRO', '0', '97', '0', '11');
INSERT INTO public.who_import VALUES (5953, '2020-05-24', 'BS', 'Bahamas', 'AMRO', '0', '97', '0', '11');
INSERT INTO public.who_import VALUES (5954, '2020-05-25', 'BS', 'Bahamas', 'AMRO', '3', '100', '0', '11');
INSERT INTO public.who_import VALUES (5955, '2020-05-26', 'BS', 'Bahamas', 'AMRO', '0', '100', '0', '11');
INSERT INTO public.who_import VALUES (5956, '2020-05-27', 'BS', 'Bahamas', 'AMRO', '0', '100', '0', '11');
INSERT INTO public.who_import VALUES (5957, '2020-05-28', 'BS', 'Bahamas', 'AMRO', '0', '100', '0', '11');
INSERT INTO public.who_import VALUES (5958, '2020-05-29', 'BS', 'Bahamas', 'AMRO', '0', '100', '0', '11');
INSERT INTO public.who_import VALUES (5959, '2020-05-30', 'BS', 'Bahamas', 'AMRO', '1', '101', '0', '11');
INSERT INTO public.who_import VALUES (5960, '2020-05-31', 'BS', 'Bahamas', 'AMRO', '0', '101', '0', '11');
INSERT INTO public.who_import VALUES (5961, '2020-06-01', 'BS', 'Bahamas', 'AMRO', '0', '101', '0', '11');
INSERT INTO public.who_import VALUES (5962, '2020-06-02', 'BS', 'Bahamas', 'AMRO', '1', '102', '0', '11');
INSERT INTO public.who_import VALUES (5963, '2020-06-03', 'BS', 'Bahamas', 'AMRO', '0', '102', '0', '11');
INSERT INTO public.who_import VALUES (5964, '2020-06-04', 'BS', 'Bahamas', 'AMRO', '0', '102', '0', '11');
INSERT INTO public.who_import VALUES (5965, '2020-06-05', 'BS', 'Bahamas', 'AMRO', '0', '102', '0', '11');
INSERT INTO public.who_import VALUES (5966, '2020-06-06', 'BS', 'Bahamas', 'AMRO', '0', '102', '0', '11');
INSERT INTO public.who_import VALUES (5967, '2020-06-07', 'BS', 'Bahamas', 'AMRO', '1', '103', '0', '11');
INSERT INTO public.who_import VALUES (5968, '2020-06-08', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5969, '2020-06-09', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5970, '2020-06-10', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5971, '2020-06-11', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5972, '2020-06-12', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5973, '2020-06-13', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5974, '2020-06-14', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5975, '2020-06-15', 'BS', 'Bahamas', 'AMRO', '0', '103', '0', '11');
INSERT INTO public.who_import VALUES (5976, '2020-06-16', 'BS', 'Bahamas', 'AMRO', '1', '104', '0', '11');
INSERT INTO public.who_import VALUES (5977, '2020-06-17', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5978, '2020-06-18', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5979, '2020-06-19', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5980, '2020-06-20', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5981, '2020-06-21', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5982, '2020-06-22', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5983, '2020-06-23', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5984, '2020-06-24', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5985, '2020-06-25', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5986, '2020-06-26', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5987, '2020-06-27', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5988, '2020-06-28', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5989, '2020-06-29', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5990, '2020-06-30', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5991, '2020-07-01', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5992, '2020-07-02', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5993, '2020-07-03', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5994, '2020-07-04', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5995, '2020-07-05', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5996, '2020-07-06', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5997, '2020-07-07', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5998, '2020-07-08', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (5999, '2020-07-09', 'BS', 'Bahamas', 'AMRO', '0', '104', '0', '11');
INSERT INTO public.who_import VALUES (6000, '2020-07-10', 'BS', 'Bahamas', 'AMRO', '2', '106', '0', '11');
INSERT INTO public.who_import VALUES (6001, '2020-07-11', 'BS', 'Bahamas', 'AMRO', '1', '107', '0', '11');
INSERT INTO public.who_import VALUES (6002, '2020-07-12', 'BS', 'Bahamas', 'AMRO', '1', '108', '0', '11');
INSERT INTO public.who_import VALUES (6003, '2020-07-13', 'BS', 'Bahamas', 'AMRO', '3', '111', '0', '11');
INSERT INTO public.who_import VALUES (6004, '2020-07-14', 'BS', 'Bahamas', 'AMRO', '0', '111', '0', '11');
INSERT INTO public.who_import VALUES (6005, '2020-07-15', 'BS', 'Bahamas', 'AMRO', '2', '113', '0', '11');
INSERT INTO public.who_import VALUES (6006, '2020-07-16', 'BS', 'Bahamas', 'AMRO', '3', '116', '0', '11');
INSERT INTO public.who_import VALUES (6007, '2020-07-17', 'BS', 'Bahamas', 'AMRO', '3', '119', '0', '11');
INSERT INTO public.who_import VALUES (6008, '2020-07-18', 'BS', 'Bahamas', 'AMRO', '5', '124', '0', '11');
INSERT INTO public.who_import VALUES (6009, '2020-07-19', 'BS', 'Bahamas', 'AMRO', '5', '129', '0', '11');
INSERT INTO public.who_import VALUES (6010, '2020-07-20', 'BS', 'Bahamas', 'AMRO', '9', '138', '0', '11');
INSERT INTO public.who_import VALUES (6011, '2020-07-21', 'BS', 'Bahamas', 'AMRO', '15', '153', '0', '11');
INSERT INTO public.who_import VALUES (6012, '2020-07-22', 'BS', 'Bahamas', 'AMRO', '21', '174', '0', '11');
INSERT INTO public.who_import VALUES (6013, '2020-07-23', 'BS', 'Bahamas', 'AMRO', '20', '194', '0', '11');
INSERT INTO public.who_import VALUES (6014, '2020-07-24', 'BS', 'Bahamas', 'AMRO', '25', '219', '0', '11');
INSERT INTO public.who_import VALUES (6015, '2020-07-25', 'BS', 'Bahamas', 'AMRO', '55', '274', '0', '11');
INSERT INTO public.who_import VALUES (6016, '2020-07-26', 'BS', 'Bahamas', 'AMRO', '42', '316', '0', '11');
INSERT INTO public.who_import VALUES (6017, '2020-07-27', 'BS', 'Bahamas', 'AMRO', '10', '326', '0', '11');
INSERT INTO public.who_import VALUES (6018, '2020-07-28', 'BS', 'Bahamas', 'AMRO', '16', '342', '0', '11');
INSERT INTO public.who_import VALUES (6019, '2020-07-29', 'BS', 'Bahamas', 'AMRO', '40', '382', '0', '11');
INSERT INTO public.who_import VALUES (6020, '2020-07-30', 'BS', 'Bahamas', 'AMRO', '65', '447', '0', '11');
INSERT INTO public.who_import VALUES (6021, '2020-07-31', 'BS', 'Bahamas', 'AMRO', '37', '484', '0', '11');
INSERT INTO public.who_import VALUES (6022, '2020-08-01', 'BS', 'Bahamas', 'AMRO', '24', '508', '3', '14');
INSERT INTO public.who_import VALUES (6023, '2020-08-02', 'BS', 'Bahamas', 'AMRO', '0', '508', '0', '14');
INSERT INTO public.who_import VALUES (6024, '2020-08-03', 'BS', 'Bahamas', 'AMRO', '66', '574', '0', '14');
INSERT INTO public.who_import VALUES (6025, '2020-08-04', 'BS', 'Bahamas', 'AMRO', '74', '648', '0', '14');
INSERT INTO public.who_import VALUES (6026, '2020-08-05', 'BS', 'Bahamas', 'AMRO', '31', '679', '0', '14');
INSERT INTO public.who_import VALUES (6027, '2020-08-06', 'BS', 'Bahamas', 'AMRO', '36', '715', '0', '14');
INSERT INTO public.who_import VALUES (6028, '2020-08-07', 'BS', 'Bahamas', 'AMRO', '36', '751', '0', '14');
INSERT INTO public.who_import VALUES (6029, '2020-08-08', 'BS', 'Bahamas', 'AMRO', '10', '761', '0', '14');
INSERT INTO public.who_import VALUES (6030, '2020-08-09', 'BS', 'Bahamas', 'AMRO', '69', '830', '0', '14');
INSERT INTO public.who_import VALUES (6031, '2020-08-10', 'BS', 'Bahamas', 'AMRO', '48', '878', '0', '14');
INSERT INTO public.who_import VALUES (6032, '2020-08-11', 'BS', 'Bahamas', 'AMRO', '20', '898', '1', '15');
INSERT INTO public.who_import VALUES (6033, '2020-08-12', 'BS', 'Bahamas', 'AMRO', '47', '945', '0', '15');
INSERT INTO public.who_import VALUES (6034, '2020-08-13', 'BS', 'Bahamas', 'AMRO', '44', '989', '0', '15');
INSERT INTO public.who_import VALUES (6035, '2020-08-14', 'BS', 'Bahamas', 'AMRO', '47', '1036', '0', '15');
INSERT INTO public.who_import VALUES (6036, '2020-08-15', 'BS', 'Bahamas', 'AMRO', '53', '1089', '0', '15');
INSERT INTO public.who_import VALUES (6037, '2020-08-16', 'BS', 'Bahamas', 'AMRO', '30', '1119', '2', '17');
INSERT INTO public.who_import VALUES (6038, '2020-08-17', 'BS', 'Bahamas', 'AMRO', '133', '1252', '0', '17');
INSERT INTO public.who_import VALUES (6039, '2020-08-18', 'BS', 'Bahamas', 'AMRO', '63', '1315', '1', '18');
INSERT INTO public.who_import VALUES (6040, '2020-08-19', 'BS', 'Bahamas', 'AMRO', '14', '1329', '1', '19');
INSERT INTO public.who_import VALUES (6041, '2020-08-20', 'BS', 'Bahamas', 'AMRO', '95', '1424', '1', '20');
INSERT INTO public.who_import VALUES (6042, '2020-08-21', 'BS', 'Bahamas', 'AMRO', '107', '1531', '2', '22');
INSERT INTO public.who_import VALUES (6043, '2020-08-22', 'BS', 'Bahamas', 'AMRO', '79', '1610', '1', '23');
INSERT INTO public.who_import VALUES (6044, '2020-08-23', 'BS', 'Bahamas', 'AMRO', '93', '1703', '4', '27');
INSERT INTO public.who_import VALUES (6045, '2020-08-24', 'BS', 'Bahamas', 'AMRO', '62', '1765', '2', '29');
INSERT INTO public.who_import VALUES (6046, '2020-08-25', 'BS', 'Bahamas', 'AMRO', '0', '1765', '0', '29');
INSERT INTO public.who_import VALUES (6047, '2020-08-26', 'BS', 'Bahamas', 'AMRO', '33', '1798', '17', '46');
INSERT INTO public.who_import VALUES (6048, '2020-08-27', 'BS', 'Bahamas', 'AMRO', '15', '1813', '2', '48');
INSERT INTO public.who_import VALUES (6049, '2020-08-28', 'BS', 'Bahamas', 'AMRO', '110', '1923', '0', '48');
INSERT INTO public.who_import VALUES (6050, '2020-08-29', 'BS', 'Bahamas', 'AMRO', '97', '2020', '2', '50');
INSERT INTO public.who_import VALUES (6051, '2020-08-30', 'BS', 'Bahamas', 'AMRO', '37', '2057', '-10', '40');
INSERT INTO public.who_import VALUES (6052, '2020-08-31', 'BS', 'Bahamas', 'AMRO', '78', '2135', '3', '43');
INSERT INTO public.who_import VALUES (6053, '2020-09-01', 'BS', 'Bahamas', 'AMRO', '32', '2167', '0', '43');
INSERT INTO public.who_import VALUES (6054, '2020-09-02', 'BS', 'Bahamas', 'AMRO', '50', '2217', '1', '44');
INSERT INTO public.who_import VALUES (6055, '2020-09-03', 'BS', 'Bahamas', 'AMRO', '59', '2276', '2', '46');
INSERT INTO public.who_import VALUES (6056, '2020-09-04', 'BS', 'Bahamas', 'AMRO', '61', '2337', '1', '47');
INSERT INTO public.who_import VALUES (6057, '2020-09-05', 'BS', 'Bahamas', 'AMRO', '49', '2386', '3', '50');
INSERT INTO public.who_import VALUES (6058, '2020-09-06', 'BS', 'Bahamas', 'AMRO', '90', '2476', '5', '55');
INSERT INTO public.who_import VALUES (6059, '2020-09-07', 'BS', 'Bahamas', 'AMRO', '0', '2476', '0', '55');
INSERT INTO public.who_import VALUES (6060, '2020-09-08', 'BS', 'Bahamas', 'AMRO', '70', '2546', '3', '58');
INSERT INTO public.who_import VALUES (6061, '2020-09-09', 'BS', 'Bahamas', 'AMRO', '39', '2585', '1', '59');
INSERT INTO public.who_import VALUES (6062, '2020-09-10', 'BS', 'Bahamas', 'AMRO', '72', '2657', '4', '63');
INSERT INTO public.who_import VALUES (6063, '2020-09-11', 'BS', 'Bahamas', 'AMRO', '64', '2721', '0', '63');
INSERT INTO public.who_import VALUES (6064, '2020-09-12', 'BS', 'Bahamas', 'AMRO', '93', '2814', '2', '65');
INSERT INTO public.who_import VALUES (6065, '2020-09-13', 'BS', 'Bahamas', 'AMRO', '60', '2874', '2', '67');
INSERT INTO public.who_import VALUES (6066, '2020-09-14', 'BS', 'Bahamas', 'AMRO', '54', '2928', '0', '67');
INSERT INTO public.who_import VALUES (6067, '2020-09-15', 'BS', 'Bahamas', 'AMRO', '46', '2974', '0', '67');
INSERT INTO public.who_import VALUES (6068, '2020-09-16', 'BS', 'Bahamas', 'AMRO', '34', '3008', '1', '68');
INSERT INTO public.who_import VALUES (6069, '2020-09-17', 'BS', 'Bahamas', 'AMRO', '24', '3032', '1', '69');
INSERT INTO public.who_import VALUES (6070, '2020-09-18', 'BS', 'Bahamas', 'AMRO', '55', '3087', '0', '69');
INSERT INTO public.who_import VALUES (6071, '2020-09-19', 'BS', 'Bahamas', 'AMRO', '90', '3177', '0', '69');
INSERT INTO public.who_import VALUES (6072, '2020-09-20', 'BS', 'Bahamas', 'AMRO', '0', '3177', '0', '69');
INSERT INTO public.who_import VALUES (6073, '2020-09-21', 'BS', 'Bahamas', 'AMRO', '138', '3315', '5', '74');
INSERT INTO public.who_import VALUES (6074, '2020-09-22', 'BS', 'Bahamas', 'AMRO', '55', '3370', '0', '74');
INSERT INTO public.who_import VALUES (6075, '2020-09-23', 'BS', 'Bahamas', 'AMRO', '48', '3418', '1', '75');
INSERT INTO public.who_import VALUES (6076, '2020-09-24', 'BS', 'Bahamas', 'AMRO', '49', '3467', '2', '77');
INSERT INTO public.who_import VALUES (6077, '2020-09-25', 'BS', 'Bahamas', 'AMRO', '151', '3618', '3', '80');
INSERT INTO public.who_import VALUES (6078, '2020-09-26', 'BS', 'Bahamas', 'AMRO', '81', '3699', '6', '86');
INSERT INTO public.who_import VALUES (6079, '2020-09-27', 'BS', 'Bahamas', 'AMRO', '91', '3790', '3', '89');
INSERT INTO public.who_import VALUES (6080, '2020-09-28', 'BS', 'Bahamas', 'AMRO', '48', '3838', '0', '89');
INSERT INTO public.who_import VALUES (6081, '2020-09-29', 'BS', 'Bahamas', 'AMRO', '0', '3838', '0', '89');
INSERT INTO public.who_import VALUES (6082, '2020-09-30', 'BS', 'Bahamas', 'AMRO', '65', '3903', '2', '91');
INSERT INTO public.who_import VALUES (6083, '2020-10-01', 'BS', 'Bahamas', 'AMRO', '119', '4022', '4', '95');
INSERT INTO public.who_import VALUES (6084, '2020-10-02', 'BS', 'Bahamas', 'AMRO', '101', '4123', '1', '96');
INSERT INTO public.who_import VALUES (6085, '2020-10-03', 'BS', 'Bahamas', 'AMRO', '97', '4220', '0', '96');
INSERT INTO public.who_import VALUES (6086, '2020-10-04', 'BS', 'Bahamas', 'AMRO', '112', '4332', '0', '96');
INSERT INTO public.who_import VALUES (6087, '2020-10-05', 'BS', 'Bahamas', 'AMRO', '77', '4409', '0', '96');
INSERT INTO public.who_import VALUES (6088, '2020-10-06', 'BS', 'Bahamas', 'AMRO', '43', '4452', '0', '96');
INSERT INTO public.who_import VALUES (6089, '2020-10-07', 'BS', 'Bahamas', 'AMRO', '107', '4559', '4', '100');
INSERT INTO public.who_import VALUES (6090, '2020-10-08', 'BS', 'Bahamas', 'AMRO', '73', '4632', '2', '102');
INSERT INTO public.who_import VALUES (6091, '2020-10-09', 'BS', 'Bahamas', 'AMRO', '81', '4713', '0', '102');
INSERT INTO public.who_import VALUES (6092, '2020-10-10', 'BS', 'Bahamas', 'AMRO', '151', '4864', '0', '102');
INSERT INTO public.who_import VALUES (6093, '2020-10-11', 'BS', 'Bahamas', 'AMRO', '91', '4955', '4', '106');
INSERT INTO public.who_import VALUES (6094, '2020-10-12', 'BS', 'Bahamas', 'AMRO', '68', '5023', '0', '106');
INSERT INTO public.who_import VALUES (6095, '2020-10-13', 'BS', 'Bahamas', 'AMRO', '55', '5078', '1', '107');
INSERT INTO public.who_import VALUES (6096, '2020-10-14', 'BS', 'Bahamas', 'AMRO', '85', '5163', '1', '108');
INSERT INTO public.who_import VALUES (6097, '2020-10-15', 'BS', 'Bahamas', 'AMRO', '28', '5191', '1', '109');
INSERT INTO public.who_import VALUES (6098, '2020-10-16', 'BS', 'Bahamas', 'AMRO', '194', '5385', '3', '112');
INSERT INTO public.who_import VALUES (6099, '2020-10-17', 'BS', 'Bahamas', 'AMRO', '132', '5517', '2', '114');
INSERT INTO public.who_import VALUES (6100, '2020-10-18', 'BS', 'Bahamas', 'AMRO', '111', '5628', '2', '116');
INSERT INTO public.who_import VALUES (6101, '2020-10-19', 'BS', 'Bahamas', 'AMRO', '75', '5703', '6', '122');
INSERT INTO public.who_import VALUES (6102, '2020-10-20', 'BS', 'Bahamas', 'AMRO', '70', '5773', '1', '123');
INSERT INTO public.who_import VALUES (6103, '2020-10-21', 'BS', 'Bahamas', 'AMRO', '150', '5923', '1', '124');
INSERT INTO public.who_import VALUES (6104, '2020-10-22', 'BS', 'Bahamas', 'AMRO', '128', '6051', '3', '127');
INSERT INTO public.who_import VALUES (6105, '2020-10-23', 'BS', 'Bahamas', 'AMRO', '84', '6135', '3', '130');
INSERT INTO public.who_import VALUES (6106, '2020-10-24', 'BS', 'Bahamas', 'AMRO', '133', '6268', '0', '130');
INSERT INTO public.who_import VALUES (6107, '2020-10-25', 'BS', 'Bahamas', 'AMRO', '0', '6268', '0', '130');
INSERT INTO public.who_import VALUES (6108, '2020-10-26', 'BS', 'Bahamas', 'AMRO', '142', '6410', '2', '132');
INSERT INTO public.who_import VALUES (6109, '2020-10-27', 'BS', 'Bahamas', 'AMRO', '56', '6466', '0', '132');
INSERT INTO public.who_import VALUES (6110, '2020-10-28', 'BS', 'Bahamas', 'AMRO', '36', '6502', '4', '136');
INSERT INTO public.who_import VALUES (6111, '2020-10-29', 'BS', 'Bahamas', 'AMRO', '47', '6549', '0', '136');
INSERT INTO public.who_import VALUES (6112, '2020-10-30', 'BS', 'Bahamas', 'AMRO', '58', '6607', '2', '138');
INSERT INTO public.who_import VALUES (6113, '2020-10-31', 'BS', 'Bahamas', 'AMRO', '37', '6644', '4', '142');
INSERT INTO public.who_import VALUES (6114, '2020-11-01', 'BS', 'Bahamas', 'AMRO', '0', '6644', '0', '142');
INSERT INTO public.who_import VALUES (6115, '2020-11-02', 'BS', 'Bahamas', 'AMRO', '91', '6735', '4', '146');
INSERT INTO public.who_import VALUES (6116, '2020-11-03', 'BS', 'Bahamas', 'AMRO', '24', '6759', '2', '148');
INSERT INTO public.who_import VALUES (6117, '2020-11-04', 'BS', 'Bahamas', 'AMRO', '31', '6790', '1', '149');
INSERT INTO public.who_import VALUES (6118, '2020-11-05', 'BS', 'Bahamas', 'AMRO', '53', '6843', '1', '150');
INSERT INTO public.who_import VALUES (6119, '2020-11-06', 'BS', 'Bahamas', 'AMRO', '39', '6882', '0', '150');
INSERT INTO public.who_import VALUES (6120, '2020-11-07', 'BS', 'Bahamas', 'AMRO', '34', '6916', '1', '151');
INSERT INTO public.who_import VALUES (6121, '2020-11-08', 'BS', 'Bahamas', 'AMRO', '0', '6916', '0', '151');
INSERT INTO public.who_import VALUES (6122, '2020-11-09', 'BS', 'Bahamas', 'AMRO', '31', '6947', '1', '152');
INSERT INTO public.who_import VALUES (6123, '2020-11-10', 'BS', 'Bahamas', 'AMRO', '37', '6984', '2', '154');
INSERT INTO public.who_import VALUES (6124, '2020-11-11', 'BS', 'Bahamas', 'AMRO', '28', '7012', '0', '154');
INSERT INTO public.who_import VALUES (6125, '2020-11-12', 'BS', 'Bahamas', 'AMRO', '48', '7060', '0', '154');
INSERT INTO public.who_import VALUES (6126, '2020-11-13', 'BS', 'Bahamas', 'AMRO', '64', '7124', '1', '155');
INSERT INTO public.who_import VALUES (6127, '2020-11-14', 'BS', 'Bahamas', 'AMRO', '39', '7163', '0', '155');
INSERT INTO public.who_import VALUES (6128, '2020-11-15', 'BS', 'Bahamas', 'AMRO', '0', '7163', '0', '155');
INSERT INTO public.who_import VALUES (6129, '2020-11-16', 'BS', 'Bahamas', 'AMRO', '0', '7163', '0', '155');
INSERT INTO public.who_import VALUES (6130, '2020-11-17', 'BS', 'Bahamas', 'AMRO', '93', '7256', '8', '163');
INSERT INTO public.who_import VALUES (6131, '2020-11-18', 'BS', 'Bahamas', 'AMRO', '56', '7312', '0', '163');
INSERT INTO public.who_import VALUES (6132, '2020-11-19', 'BS', 'Bahamas', 'AMRO', '11', '7323', '0', '163');
INSERT INTO public.who_import VALUES (6133, '2020-11-20', 'BS', 'Bahamas', 'AMRO', '25', '7348', '0', '163');
INSERT INTO public.who_import VALUES (6134, '2020-11-21', 'BS', 'Bahamas', 'AMRO', '19', '7367', '0', '163');
INSERT INTO public.who_import VALUES (6135, '2020-11-22', 'BS', 'Bahamas', 'AMRO', '0', '7367', '0', '163');
INSERT INTO public.who_import VALUES (6136, '2020-11-23', 'BS', 'Bahamas', 'AMRO', '46', '7413', '0', '163');
INSERT INTO public.who_import VALUES (6137, '2020-11-24', 'BS', 'Bahamas', 'AMRO', '18', '7431', '0', '163');
INSERT INTO public.who_import VALUES (6138, '2020-11-25', 'BS', 'Bahamas', 'AMRO', '29', '7460', '0', '163');
INSERT INTO public.who_import VALUES (6139, '2020-11-26', 'BS', 'Bahamas', 'AMRO', '9', '7469', '0', '163');
INSERT INTO public.who_import VALUES (6140, '2020-11-27', 'BS', 'Bahamas', 'AMRO', '13', '7482', '0', '163');
INSERT INTO public.who_import VALUES (6141, '2020-11-28', 'BS', 'Bahamas', 'AMRO', '14', '7496', '0', '163');
INSERT INTO public.who_import VALUES (6142, '2020-11-29', 'BS', 'Bahamas', 'AMRO', '0', '7496', '0', '163');
INSERT INTO public.who_import VALUES (6143, '2020-11-30', 'BS', 'Bahamas', 'AMRO', '7', '7503', '0', '163');
INSERT INTO public.who_import VALUES (6144, '2020-12-01', 'BS', 'Bahamas', 'AMRO', '14', '7517', '0', '163');
INSERT INTO public.who_import VALUES (6145, '2020-12-02', 'BS', 'Bahamas', 'AMRO', '24', '7541', '0', '163');
INSERT INTO public.who_import VALUES (6146, '2020-12-03', 'BS', 'Bahamas', 'AMRO', '2', '7543', '0', '163');
INSERT INTO public.who_import VALUES (6147, '2020-12-04', 'BS', 'Bahamas', 'AMRO', '6', '7549', '0', '163');
INSERT INTO public.who_import VALUES (6148, '2020-12-05', 'BS', 'Bahamas', 'AMRO', '16', '7565', '0', '163');
INSERT INTO public.who_import VALUES (6149, '2020-12-06', 'BS', 'Bahamas', 'AMRO', '5', '7570', '0', '163');
INSERT INTO public.who_import VALUES (6150, '2020-12-07', 'BS', 'Bahamas', 'AMRO', '5', '7575', '0', '163');
INSERT INTO public.who_import VALUES (6151, '2020-12-08', 'BS', 'Bahamas', 'AMRO', '4', '7579', '0', '163');
INSERT INTO public.who_import VALUES (6152, '2020-12-09', 'BS', 'Bahamas', 'AMRO', '1', '7580', '0', '163');
INSERT INTO public.who_import VALUES (6153, '2020-12-10', 'BS', 'Bahamas', 'AMRO', '5', '7585', '0', '163');
INSERT INTO public.who_import VALUES (6154, '2020-12-11', 'BS', 'Bahamas', 'AMRO', '38', '7623', '0', '163');
INSERT INTO public.who_import VALUES (6155, '2020-12-12', 'BS', 'Bahamas', 'AMRO', '0', '7623', '0', '163');
INSERT INTO public.who_import VALUES (6156, '2020-12-13', 'BS', 'Bahamas', 'AMRO', '36', '7659', '0', '163');
INSERT INTO public.who_import VALUES (6157, '2020-12-14', 'BS', 'Bahamas', 'AMRO', '15', '7674', '0', '163');
INSERT INTO public.who_import VALUES (6158, '2020-12-15', 'BS', 'Bahamas', 'AMRO', '16', '7690', '0', '163');
INSERT INTO public.who_import VALUES (6159, '2020-12-16', 'BS', 'Bahamas', 'AMRO', '8', '7698', '1', '164');
INSERT INTO public.who_import VALUES (6160, '2020-12-17', 'BS', 'Bahamas', 'AMRO', '16', '7714', '0', '164');
INSERT INTO public.who_import VALUES (6161, '2020-12-18', 'BS', 'Bahamas', 'AMRO', '11', '7725', '0', '164');
INSERT INTO public.who_import VALUES (6162, '2020-12-19', 'BS', 'Bahamas', 'AMRO', '8', '7733', '0', '164');
INSERT INTO public.who_import VALUES (6163, '2020-12-20', 'BS', 'Bahamas', 'AMRO', '0', '7733', '0', '164');
INSERT INTO public.who_import VALUES (6164, '2020-12-21', 'BS', 'Bahamas', 'AMRO', '32', '7765', '0', '164');
INSERT INTO public.who_import VALUES (6165, '2020-12-22', 'BS', 'Bahamas', 'AMRO', '3', '7768', '0', '164');
INSERT INTO public.who_import VALUES (6166, '2020-12-23', 'BS', 'Bahamas', 'AMRO', '4', '7772', '5', '169');
INSERT INTO public.who_import VALUES (6167, '2020-12-24', 'BS', 'Bahamas', 'AMRO', '6', '7778', '0', '169');
INSERT INTO public.who_import VALUES (6168, '2020-12-25', 'BS', 'Bahamas', 'AMRO', '10', '7788', '0', '169');
INSERT INTO public.who_import VALUES (6169, '2020-12-26', 'BS', 'Bahamas', 'AMRO', '0', '7788', '0', '169');
INSERT INTO public.who_import VALUES (6170, '2020-12-27', 'BS', 'Bahamas', 'AMRO', '0', '7788', '0', '169');
INSERT INTO public.who_import VALUES (6171, '2020-12-28', 'BS', 'Bahamas', 'AMRO', '0', '7788', '0', '169');
INSERT INTO public.who_import VALUES (6172, '2020-12-29', 'BS', 'Bahamas', 'AMRO', '46', '7834', '1', '170');
INSERT INTO public.who_import VALUES (6173, '2020-12-30', 'BS', 'Bahamas', 'AMRO', '12', '7846', '0', '170');
INSERT INTO public.who_import VALUES (6174, '2020-12-31', 'BS', 'Bahamas', 'AMRO', '11', '7857', '0', '170');
INSERT INTO public.who_import VALUES (6175, '2021-01-01', 'BS', 'Bahamas', 'AMRO', '14', '7871', '0', '170');
INSERT INTO public.who_import VALUES (6176, '2021-01-02', 'BS', 'Bahamas', 'AMRO', '16', '7887', '1', '171');
INSERT INTO public.who_import VALUES (6177, '2021-01-03', 'BS', 'Bahamas', 'AMRO', '12', '7899', '0', '171');
INSERT INTO public.who_import VALUES (6178, '2021-01-04', 'BS', 'Bahamas', 'AMRO', '15', '7914', '4', '175');
INSERT INTO public.who_import VALUES (6179, '2021-01-05', 'BS', 'Bahamas', 'AMRO', '10', '7924', '0', '175');
INSERT INTO public.who_import VALUES (6180, '2021-01-06', 'BS', 'Bahamas', 'AMRO', '4', '7928', '0', '175');
INSERT INTO public.who_import VALUES (6181, '2021-01-07', 'BS', 'Bahamas', 'AMRO', '17', '7945', '0', '175');
INSERT INTO public.who_import VALUES (6182, '2021-01-08', 'BS', 'Bahamas', 'AMRO', '14', '7959', '0', '175');
INSERT INTO public.who_import VALUES (6183, '2021-01-09', 'BS', 'Bahamas', 'AMRO', '10', '7969', '0', '175');
INSERT INTO public.who_import VALUES (6184, '2021-01-10', 'BS', 'Bahamas', 'AMRO', '8', '7977', '0', '175');
INSERT INTO public.who_import VALUES (6185, '2021-01-11', 'BS', 'Bahamas', 'AMRO', '18', '7995', '0', '175');
INSERT INTO public.who_import VALUES (6186, '2021-01-12', 'BS', 'Bahamas', 'AMRO', '9', '8004', '0', '175');
INSERT INTO public.who_import VALUES (6187, '2021-01-13', 'BS', 'Bahamas', 'AMRO', '0', '8004', '0', '175');
INSERT INTO public.who_import VALUES (6188, '2021-01-14', 'BS', 'Bahamas', 'AMRO', '0', '8004', '0', '175');
INSERT INTO public.who_import VALUES (6189, '2021-01-15', 'BS', 'Bahamas', 'AMRO', '17', '8021', '0', '175');
INSERT INTO public.who_import VALUES (6190, '2021-01-16', 'BS', 'Bahamas', 'AMRO', '11', '8032', '0', '175');
INSERT INTO public.who_import VALUES (6191, '2021-01-17', 'BS', 'Bahamas', 'AMRO', '0', '8032', '0', '175');
INSERT INTO public.who_import VALUES (6192, '2021-01-18', 'BS', 'Bahamas', 'AMRO', '0', '8032', '0', '175');
INSERT INTO public.who_import VALUES (6193, '2021-01-19', 'BS', 'Bahamas', 'AMRO', '35', '8067', '0', '175');
INSERT INTO public.who_import VALUES (6194, '2021-01-20', 'BS', 'Bahamas', 'AMRO', '1', '8068', '0', '175');
INSERT INTO public.who_import VALUES (6195, '2021-01-21', 'BS', 'Bahamas', 'AMRO', '7', '8075', '0', '175');
INSERT INTO public.who_import VALUES (6196, '2021-01-22', 'BS', 'Bahamas', 'AMRO', '13', '8088', '0', '175');
INSERT INTO public.who_import VALUES (6197, '2021-01-23', 'BS', 'Bahamas', 'AMRO', '13', '8101', '0', '175');
INSERT INTO public.who_import VALUES (6198, '2021-01-24', 'BS', 'Bahamas', 'AMRO', '9', '8110', '0', '175');
INSERT INTO public.who_import VALUES (6199, '2021-01-25', 'BS', 'Bahamas', 'AMRO', '17', '8127', '0', '175');
INSERT INTO public.who_import VALUES (6200, '2021-01-26', 'BS', 'Bahamas', 'AMRO', '6', '8133', '0', '175');
INSERT INTO public.who_import VALUES (6201, '2021-01-27', 'BS', 'Bahamas', 'AMRO', '7', '8140', '0', '175');
INSERT INTO public.who_import VALUES (6202, '2021-01-28', 'BS', 'Bahamas', 'AMRO', '21', '8161', '0', '175');
INSERT INTO public.who_import VALUES (6203, '2021-01-29', 'BS', 'Bahamas', 'AMRO', '6', '8167', '0', '175');
INSERT INTO public.who_import VALUES (6204, '2021-01-30', 'BS', 'Bahamas', 'AMRO', '0', '8167', '0', '175');
INSERT INTO public.who_import VALUES (6205, '2021-01-31', 'BS', 'Bahamas', 'AMRO', '7', '8174', '1', '176');
INSERT INTO public.who_import VALUES (6206, '2021-02-01', 'BS', 'Bahamas', 'AMRO', '9', '8183', '0', '176');
INSERT INTO public.who_import VALUES (6207, '2021-02-02', 'BS', 'Bahamas', 'AMRO', '24', '8207', '0', '176');
INSERT INTO public.who_import VALUES (6208, '2021-02-03', 'BS', 'Bahamas', 'AMRO', '18', '8225', '0', '176');
INSERT INTO public.who_import VALUES (6209, '2021-02-04', 'BS', 'Bahamas', 'AMRO', '6', '8231', '0', '176');
INSERT INTO public.who_import VALUES (6210, '2021-02-05', 'BS', 'Bahamas', 'AMRO', '16', '8247', '0', '176');
INSERT INTO public.who_import VALUES (6211, '2021-02-06', 'BS', 'Bahamas', 'AMRO', '9', '8256', '0', '176');
INSERT INTO public.who_import VALUES (6212, '2021-02-07', 'BS', 'Bahamas', 'AMRO', '14', '8270', '0', '176');
INSERT INTO public.who_import VALUES (6213, '2021-02-08', 'BS', 'Bahamas', 'AMRO', '17', '8287', '0', '176');
INSERT INTO public.who_import VALUES (6214, '2021-02-09', 'BS', 'Bahamas', 'AMRO', '2', '8289', '0', '176');
INSERT INTO public.who_import VALUES (6215, '2021-02-10', 'BS', 'Bahamas', 'AMRO', '2', '8291', '0', '176');
INSERT INTO public.who_import VALUES (6216, '2021-02-11', 'BS', 'Bahamas', 'AMRO', '41', '8332', '2', '178');
INSERT INTO public.who_import VALUES (6217, '2021-02-12', 'BS', 'Bahamas', 'AMRO', '0', '8332', '0', '178');
INSERT INTO public.who_import VALUES (6218, '2021-02-13', 'BS', 'Bahamas', 'AMRO', '27', '8359', '1', '179');
INSERT INTO public.who_import VALUES (6219, '2021-02-14', 'BS', 'Bahamas', 'AMRO', '11', '8370', '0', '179');
INSERT INTO public.who_import VALUES (6220, '2021-02-15', 'BS', 'Bahamas', 'AMRO', '6', '8376', '0', '179');
INSERT INTO public.who_import VALUES (6221, '2021-02-16', 'BS', 'Bahamas', 'AMRO', '0', '8376', '0', '179');
INSERT INTO public.who_import VALUES (6222, '2021-02-17', 'BS', 'Bahamas', 'AMRO', '17', '8393', '0', '179');
INSERT INTO public.who_import VALUES (6223, '2021-02-18', 'BS', 'Bahamas', 'AMRO', '0', '8393', '0', '179');
INSERT INTO public.who_import VALUES (6224, '2021-02-19', 'BS', 'Bahamas', 'AMRO', '10', '8403', '0', '179');
INSERT INTO public.who_import VALUES (6225, '2021-02-20', 'BS', 'Bahamas', 'AMRO', '0', '8403', '0', '179');
INSERT INTO public.who_import VALUES (6226, '2020-01-03', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6227, '2020-01-04', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6228, '2020-01-05', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6229, '2020-01-06', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6230, '2020-01-07', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6231, '2020-01-08', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6232, '2020-01-09', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6233, '2020-01-10', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6234, '2020-01-11', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6235, '2020-01-12', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6236, '2020-01-13', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6237, '2020-01-14', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6238, '2020-01-15', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6239, '2020-01-16', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6240, '2020-01-17', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6241, '2020-01-18', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6242, '2020-01-19', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6243, '2020-01-20', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6244, '2020-01-21', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6245, '2020-01-22', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6246, '2020-01-23', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6247, '2020-01-24', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6248, '2020-01-25', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6249, '2020-01-26', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6250, '2020-01-27', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6251, '2020-01-28', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6252, '2020-01-29', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6253, '2020-01-30', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6254, '2020-01-31', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6255, '2020-02-01', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6256, '2020-02-02', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6257, '2020-02-03', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6258, '2020-02-04', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6259, '2020-02-05', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6260, '2020-02-06', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6261, '2020-02-07', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6262, '2020-02-08', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6263, '2020-02-09', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6264, '2020-02-10', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6265, '2020-02-11', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6266, '2020-02-12', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6267, '2020-02-13', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6268, '2020-02-14', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6269, '2020-02-15', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6270, '2020-02-16', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6271, '2020-02-17', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6272, '2020-02-18', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6273, '2020-02-19', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6274, '2020-02-20', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6275, '2020-02-21', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6276, '2020-02-22', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6277, '2020-02-23', 'BH', 'Bahrain', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6278, '2020-02-24', 'BH', 'Bahrain', 'EMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (6279, '2020-02-25', 'BH', 'Bahrain', 'EMRO', '15', '21', '0', '0');
INSERT INTO public.who_import VALUES (6280, '2020-02-26', 'BH', 'Bahrain', 'EMRO', '16', '37', '0', '0');
INSERT INTO public.who_import VALUES (6281, '2020-02-27', 'BH', 'Bahrain', 'EMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (6282, '2020-02-28', 'BH', 'Bahrain', 'EMRO', '5', '42', '0', '0');
INSERT INTO public.who_import VALUES (6283, '2020-02-29', 'BH', 'Bahrain', 'EMRO', '2', '44', '0', '0');
INSERT INTO public.who_import VALUES (6284, '2020-03-01', 'BH', 'Bahrain', 'EMRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (6285, '2020-03-02', 'BH', 'Bahrain', 'EMRO', '9', '53', '0', '0');
INSERT INTO public.who_import VALUES (6286, '2020-03-03', 'BH', 'Bahrain', 'EMRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (6287, '2020-03-04', 'BH', 'Bahrain', 'EMRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (6288, '2020-03-05', 'BH', 'Bahrain', 'EMRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (6289, '2020-03-06', 'BH', 'Bahrain', 'EMRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (6290, '2020-03-07', 'BH', 'Bahrain', 'EMRO', '7', '60', '0', '0');
INSERT INTO public.who_import VALUES (6291, '2020-03-08', 'BH', 'Bahrain', 'EMRO', '23', '83', '0', '0');
INSERT INTO public.who_import VALUES (6292, '2020-03-09', 'BH', 'Bahrain', 'EMRO', '16', '99', '0', '0');
INSERT INTO public.who_import VALUES (6293, '2020-03-10', 'BH', 'Bahrain', 'EMRO', '15', '114', '0', '0');
INSERT INTO public.who_import VALUES (6294, '2020-03-11', 'BH', 'Bahrain', 'EMRO', '79', '193', '0', '0');
INSERT INTO public.who_import VALUES (6295, '2020-03-12', 'BH', 'Bahrain', 'EMRO', '6', '199', '0', '0');
INSERT INTO public.who_import VALUES (6296, '2020-03-13', 'BH', 'Bahrain', 'EMRO', '0', '199', '0', '0');
INSERT INTO public.who_import VALUES (6297, '2020-03-14', 'BH', 'Bahrain', 'EMRO', '16', '215', '0', '0');
INSERT INTO public.who_import VALUES (6298, '2020-03-15', 'BH', 'Bahrain', 'EMRO', '3', '218', '0', '0');
INSERT INTO public.who_import VALUES (6299, '2020-03-16', 'BH', 'Bahrain', 'EMRO', '7', '225', '1', '1');
INSERT INTO public.who_import VALUES (6300, '2020-03-17', 'BH', 'Bahrain', 'EMRO', '16', '241', '0', '1');
INSERT INTO public.who_import VALUES (6301, '2020-03-18', 'BH', 'Bahrain', 'EMRO', '19', '260', '0', '1');
INSERT INTO public.who_import VALUES (6302, '2020-03-19', 'BH', 'Bahrain', 'EMRO', '13', '273', '0', '1');
INSERT INTO public.who_import VALUES (6303, '2020-03-20', 'BH', 'Bahrain', 'EMRO', '12', '285', '0', '1');
INSERT INTO public.who_import VALUES (6304, '2020-03-21', 'BH', 'Bahrain', 'EMRO', '21', '306', '0', '1');
INSERT INTO public.who_import VALUES (6305, '2020-03-22', 'BH', 'Bahrain', 'EMRO', '28', '334', '1', '2');
INSERT INTO public.who_import VALUES (6306, '2020-03-23', 'BH', 'Bahrain', 'EMRO', '5', '339', '0', '2');
INSERT INTO public.who_import VALUES (6307, '2020-03-24', 'BH', 'Bahrain', 'EMRO', '51', '390', '1', '3');
INSERT INTO public.who_import VALUES (6308, '2020-03-25', 'BH', 'Bahrain', 'EMRO', '29', '419', '0', '3');
INSERT INTO public.who_import VALUES (6309, '2020-03-26', 'BH', 'Bahrain', 'EMRO', '38', '457', '1', '4');
INSERT INTO public.who_import VALUES (6310, '2020-03-27', 'BH', 'Bahrain', 'EMRO', '9', '466', '0', '4');
INSERT INTO public.who_import VALUES (6311, '2020-03-28', 'BH', 'Bahrain', 'EMRO', '7', '473', '0', '4');
INSERT INTO public.who_import VALUES (6312, '2020-03-29', 'BH', 'Bahrain', 'EMRO', '26', '499', '0', '4');
INSERT INTO public.who_import VALUES (6313, '2020-03-30', 'BH', 'Bahrain', 'EMRO', '16', '515', '0', '4');
INSERT INTO public.who_import VALUES (6314, '2020-03-31', 'BH', 'Bahrain', 'EMRO', '52', '567', '0', '4');
INSERT INTO public.who_import VALUES (6315, '2020-04-01', 'BH', 'Bahrain', 'EMRO', '2', '569', '0', '4');
INSERT INTO public.who_import VALUES (6316, '2020-04-02', 'BH', 'Bahrain', 'EMRO', '66', '635', '0', '4');
INSERT INTO public.who_import VALUES (6317, '2020-04-03', 'BH', 'Bahrain', 'EMRO', '37', '672', '0', '4');
INSERT INTO public.who_import VALUES (6318, '2020-04-04', 'BH', 'Bahrain', 'EMRO', '16', '688', '0', '4');
INSERT INTO public.who_import VALUES (6319, '2020-04-05', 'BH', 'Bahrain', 'EMRO', '10', '698', '0', '4');
INSERT INTO public.who_import VALUES (6320, '2020-04-06', 'BH', 'Bahrain', 'EMRO', '25', '723', '0', '4');
INSERT INTO public.who_import VALUES (6321, '2020-04-07', 'BH', 'Bahrain', 'EMRO', '88', '811', '0', '4');
INSERT INTO public.who_import VALUES (6322, '2020-04-08', 'BH', 'Bahrain', 'EMRO', '10', '821', '1', '5');
INSERT INTO public.who_import VALUES (6323, '2020-04-09', 'BH', 'Bahrain', 'EMRO', '34', '855', '0', '5');
INSERT INTO public.who_import VALUES (6324, '2020-04-10', 'BH', 'Bahrain', 'EMRO', '58', '913', '1', '6');
INSERT INTO public.who_import VALUES (6325, '2020-04-11', 'BH', 'Bahrain', 'EMRO', '103', '1016', '0', '6');
INSERT INTO public.who_import VALUES (6326, '2020-04-12', 'BH', 'Bahrain', 'EMRO', '71', '1087', '0', '6');
INSERT INTO public.who_import VALUES (6327, '2020-04-13', 'BH', 'Bahrain', 'EMRO', '261', '1348', '0', '6');
INSERT INTO public.who_import VALUES (6328, '2020-04-14', 'BH', 'Bahrain', 'EMRO', '180', '1528', '1', '7');
INSERT INTO public.who_import VALUES (6329, '2020-04-15', 'BH', 'Bahrain', 'EMRO', '143', '1671', '0', '7');
INSERT INTO public.who_import VALUES (6330, '2020-04-16', 'BH', 'Bahrain', 'EMRO', '27', '1698', '0', '7');
INSERT INTO public.who_import VALUES (6331, '2020-04-17', 'BH', 'Bahrain', 'EMRO', '42', '1740', '0', '7');
INSERT INTO public.who_import VALUES (6332, '2020-04-18', 'BH', 'Bahrain', 'EMRO', '27', '1767', '0', '7');
INSERT INTO public.who_import VALUES (6333, '2020-04-19', 'BH', 'Bahrain', 'EMRO', '106', '1873', '0', '7');
INSERT INTO public.who_import VALUES (6334, '2020-04-20', 'BH', 'Bahrain', 'EMRO', '22', '1895', '0', '7');
INSERT INTO public.who_import VALUES (6335, '2020-04-21', 'BH', 'Bahrain', 'EMRO', '57', '1952', '0', '7');
INSERT INTO public.who_import VALUES (6336, '2020-04-22', 'BH', 'Bahrain', 'EMRO', '55', '2007', '0', '7');
INSERT INTO public.who_import VALUES (6337, '2020-04-23', 'BH', 'Bahrain', 'EMRO', '91', '2098', '1', '8');
INSERT INTO public.who_import VALUES (6338, '2020-04-24', 'BH', 'Bahrain', 'EMRO', '408', '2506', '0', '8');
INSERT INTO public.who_import VALUES (6339, '2020-04-25', 'BH', 'Bahrain', 'EMRO', '82', '2588', '0', '8');
INSERT INTO public.who_import VALUES (6340, '2020-04-26', 'BH', 'Bahrain', 'EMRO', '45', '2633', '0', '8');
INSERT INTO public.who_import VALUES (6341, '2020-04-27', 'BH', 'Bahrain', 'EMRO', '75', '2708', '0', '8');
INSERT INTO public.who_import VALUES (6342, '2020-04-28', 'BH', 'Bahrain', 'EMRO', '102', '2810', '0', '8');
INSERT INTO public.who_import VALUES (6343, '2020-04-29', 'BH', 'Bahrain', 'EMRO', '59', '2869', '0', '8');
INSERT INTO public.who_import VALUES (6344, '2020-04-30', 'BH', 'Bahrain', 'EMRO', '168', '3037', '0', '8');
INSERT INTO public.who_import VALUES (6345, '2020-05-01', 'BH', 'Bahrain', 'EMRO', '132', '3169', '0', '8');
INSERT INTO public.who_import VALUES (6346, '2020-05-02', 'BH', 'Bahrain', 'EMRO', '104', '3273', '0', '8');
INSERT INTO public.who_import VALUES (6347, '2020-05-03', 'BH', 'Bahrain', 'EMRO', '83', '3356', '0', '8');
INSERT INTO public.who_import VALUES (6348, '2020-05-04', 'BH', 'Bahrain', 'EMRO', '108', '3464', '0', '8');
INSERT INTO public.who_import VALUES (6349, '2020-05-05', 'BH', 'Bahrain', 'EMRO', '215', '3679', '0', '8');
INSERT INTO public.who_import VALUES (6350, '2020-05-06', 'BH', 'Bahrain', 'EMRO', '163', '3842', '0', '8');
INSERT INTO public.who_import VALUES (6351, '2020-05-07', 'BH', 'Bahrain', 'EMRO', '289', '4131', '0', '8');
INSERT INTO public.who_import VALUES (6352, '2020-05-08', 'BH', 'Bahrain', 'EMRO', '273', '4404', '0', '8');
INSERT INTO public.who_import VALUES (6353, '2020-05-09', 'BH', 'Bahrain', 'EMRO', '191', '4595', '0', '8');
INSERT INTO public.who_import VALUES (6354, '2020-05-10', 'BH', 'Bahrain', 'EMRO', '261', '4856', '0', '8');
INSERT INTO public.who_import VALUES (6355, '2020-05-11', 'BH', 'Bahrain', 'EMRO', '301', '5157', '0', '8');
INSERT INTO public.who_import VALUES (6356, '2020-05-12', 'BH', 'Bahrain', 'EMRO', '252', '5409', '1', '9');
INSERT INTO public.who_import VALUES (6357, '2020-05-13', 'BH', 'Bahrain', 'EMRO', '371', '5780', '0', '9');
INSERT INTO public.who_import VALUES (6358, '2020-05-14', 'BH', 'Bahrain', 'EMRO', '289', '6069', '1', '10');
INSERT INTO public.who_import VALUES (6359, '2020-05-15', 'BH', 'Bahrain', 'EMRO', '349', '6418', '0', '10');
INSERT INTO public.who_import VALUES (6360, '2020-05-16', 'BH', 'Bahrain', 'EMRO', '237', '6655', '2', '12');
INSERT INTO public.who_import VALUES (6361, '2020-05-17', 'BH', 'Bahrain', 'EMRO', '275', '6930', '0', '12');
INSERT INTO public.who_import VALUES (6362, '2020-05-18', 'BH', 'Bahrain', 'EMRO', '226', '7156', '0', '12');
INSERT INTO public.who_import VALUES (6363, '2020-05-19', 'BH', 'Bahrain', 'EMRO', '218', '7374', '0', '12');
INSERT INTO public.who_import VALUES (6364, '2020-05-20', 'BH', 'Bahrain', 'EMRO', '158', '7532', '0', '12');
INSERT INTO public.who_import VALUES (6365, '2020-05-21', 'BH', 'Bahrain', 'EMRO', '507', '8039', '0', '12');
INSERT INTO public.who_import VALUES (6366, '2020-05-22', 'BH', 'Bahrain', 'EMRO', '135', '8174', '0', '12');
INSERT INTO public.who_import VALUES (6367, '2020-05-23', 'BH', 'Bahrain', 'EMRO', '240', '8414', '0', '12');
INSERT INTO public.who_import VALUES (6368, '2020-05-24', 'BH', 'Bahrain', 'EMRO', '388', '8802', '1', '13');
INSERT INTO public.who_import VALUES (6369, '2020-05-25', 'BH', 'Bahrain', 'EMRO', '336', '9138', '0', '13');
INSERT INTO public.who_import VALUES (6370, '2020-05-26', 'BH', 'Bahrain', 'EMRO', '33', '9171', '1', '14');
INSERT INTO public.who_import VALUES (6371, '2020-05-27', 'BH', 'Bahrain', 'EMRO', '195', '9366', '0', '14');
INSERT INTO public.who_import VALUES (6372, '2020-05-28', 'BH', 'Bahrain', 'EMRO', '326', '9692', '1', '15');
INSERT INTO public.who_import VALUES (6373, '2020-05-29', 'BH', 'Bahrain', 'EMRO', '360', '10052', '0', '15');
INSERT INTO public.who_import VALUES (6374, '2020-05-30', 'BH', 'Bahrain', 'EMRO', '397', '10449', '0', '15');
INSERT INTO public.who_import VALUES (6375, '2020-05-31', 'BH', 'Bahrain', 'EMRO', '344', '10793', '2', '17');
INSERT INTO public.who_import VALUES (6376, '2020-06-01', 'BH', 'Bahrain', 'EMRO', '605', '11398', '2', '19');
INSERT INTO public.who_import VALUES (6377, '2020-06-02', 'BH', 'Bahrain', 'EMRO', '473', '11871', '0', '19');
INSERT INTO public.who_import VALUES (6378, '2020-06-03', 'BH', 'Bahrain', 'EMRO', '440', '12311', '0', '19');
INSERT INTO public.who_import VALUES (6379, '2020-06-04', 'BH', 'Bahrain', 'EMRO', '504', '12815', '1', '20');
INSERT INTO public.who_import VALUES (6380, '2020-06-05', 'BH', 'Bahrain', 'EMRO', '481', '13296', '1', '21');
INSERT INTO public.who_import VALUES (6381, '2020-06-06', 'BH', 'Bahrain', 'EMRO', '539', '13835', '1', '22');
INSERT INTO public.who_import VALUES (6382, '2020-06-07', 'BH', 'Bahrain', 'EMRO', '548', '14383', '2', '24');
INSERT INTO public.who_import VALUES (6383, '2020-06-08', 'BH', 'Bahrain', 'EMRO', '379', '14762', '2', '26');
INSERT INTO public.who_import VALUES (6384, '2020-06-09', 'BH', 'Bahrain', 'EMRO', '654', '15416', '1', '27');
INSERT INTO public.who_import VALUES (6385, '2020-06-10', 'BH', 'Bahrain', 'EMRO', '783', '16199', '2', '29');
INSERT INTO public.who_import VALUES (6386, '2020-06-11', 'BH', 'Bahrain', 'EMRO', '468', '16667', '3', '32');
INSERT INTO public.who_import VALUES (6387, '2020-06-12', 'BH', 'Bahrain', 'EMRO', '602', '17269', '4', '36');
INSERT INTO public.who_import VALUES (6388, '2020-06-13', 'BH', 'Bahrain', 'EMRO', '444', '17713', '0', '36');
INSERT INTO public.who_import VALUES (6389, '2020-06-14', 'BH', 'Bahrain', 'EMRO', '514', '18227', '3', '39');
INSERT INTO public.who_import VALUES (6390, '2020-06-15', 'BH', 'Bahrain', 'EMRO', '317', '18544', '4', '43');
INSERT INTO public.who_import VALUES (6391, '2020-06-16', 'BH', 'Bahrain', 'EMRO', '469', '19013', '3', '46');
INSERT INTO public.who_import VALUES (6392, '2020-06-17', 'BH', 'Bahrain', 'EMRO', '540', '19553', '1', '47');
INSERT INTO public.who_import VALUES (6393, '2020-06-18', 'BH', 'Bahrain', 'EMRO', '408', '19961', '2', '49');
INSERT INTO public.who_import VALUES (6394, '2020-06-19', 'BH', 'Bahrain', 'EMRO', '469', '20430', '6', '55');
INSERT INTO public.who_import VALUES (6395, '2020-06-20', 'BH', 'Bahrain', 'EMRO', '486', '20916', '2', '57');
INSERT INTO public.who_import VALUES (6396, '2020-06-21', 'BH', 'Bahrain', 'EMRO', '415', '21331', '3', '60');
INSERT INTO public.who_import VALUES (6397, '2020-06-22', 'BH', 'Bahrain', 'EMRO', '433', '21764', '3', '63');
INSERT INTO public.who_import VALUES (6398, '2020-06-23', 'BH', 'Bahrain', 'EMRO', '643', '22407', '2', '65');
INSERT INTO public.who_import VALUES (6399, '2020-06-24', 'BH', 'Bahrain', 'EMRO', '655', '23062', '2', '67');
INSERT INTO public.who_import VALUES (6400, '2020-06-25', 'BH', 'Bahrain', 'EMRO', '508', '23570', '2', '69');
INSERT INTO public.who_import VALUES (6401, '2020-06-26', 'BH', 'Bahrain', 'EMRO', '511', '24081', '2', '71');
INSERT INTO public.who_import VALUES (6402, '2020-06-27', 'BH', 'Bahrain', 'EMRO', '724', '24805', '2', '73');
INSERT INTO public.who_import VALUES (6403, '2020-06-28', 'BH', 'Bahrain', 'EMRO', '462', '25267', '5', '78');
INSERT INTO public.who_import VALUES (6404, '2020-06-29', 'BH', 'Bahrain', 'EMRO', '438', '25705', '5', '83');
INSERT INTO public.who_import VALUES (6405, '2020-06-30', 'BH', 'Bahrain', 'EMRO', '534', '26239', '1', '84');
INSERT INTO public.who_import VALUES (6406, '2020-07-01', 'BH', 'Bahrain', 'EMRO', '519', '26758', '3', '87');
INSERT INTO public.who_import VALUES (6407, '2020-07-02', 'BH', 'Bahrain', 'EMRO', '656', '27414', '5', '92');
INSERT INTO public.who_import VALUES (6408, '2020-07-03', 'BH', 'Bahrain', 'EMRO', '423', '27837', '2', '94');
INSERT INTO public.who_import VALUES (6409, '2020-07-04', 'BH', 'Bahrain', 'EMRO', '573', '28410', '1', '95');
INSERT INTO public.who_import VALUES (6410, '2020-07-05', 'BH', 'Bahrain', 'EMRO', '447', '28857', '1', '96');
INSERT INTO public.who_import VALUES (6411, '2020-07-06', 'BH', 'Bahrain', 'EMRO', '510', '29367', '1', '97');
INSERT INTO public.who_import VALUES (6412, '2020-07-07', 'BH', 'Bahrain', 'EMRO', '454', '29821', '1', '98');
INSERT INTO public.who_import VALUES (6413, '2020-07-08', 'BH', 'Bahrain', 'EMRO', '500', '30321', '0', '98');
INSERT INTO public.who_import VALUES (6414, '2020-07-09', 'BH', 'Bahrain', 'EMRO', '610', '30931', '0', '98');
INSERT INTO public.who_import VALUES (6415, '2020-07-10', 'BH', 'Bahrain', 'EMRO', '597', '31528', '5', '103');
INSERT INTO public.who_import VALUES (6416, '2020-07-11', 'BH', 'Bahrain', 'EMRO', '511', '32039', '1', '104');
INSERT INTO public.who_import VALUES (6417, '2020-07-12', 'BH', 'Bahrain', 'EMRO', '431', '32470', '0', '104');
INSERT INTO public.who_import VALUES (6418, '2020-07-13', 'BH', 'Bahrain', 'EMRO', '471', '32941', '4', '108');
INSERT INTO public.who_import VALUES (6419, '2020-07-14', 'BH', 'Bahrain', 'EMRO', '535', '33476', '1', '109');
INSERT INTO public.who_import VALUES (6420, '2020-07-15', 'BH', 'Bahrain', 'EMRO', '602', '34078', '2', '111');
INSERT INTO public.who_import VALUES (6421, '2020-07-16', 'BH', 'Bahrain', 'EMRO', '482', '34560', '6', '117');
INSERT INTO public.who_import VALUES (6422, '2020-07-17', 'BH', 'Bahrain', 'EMRO', '524', '35084', '4', '121');
INSERT INTO public.who_import VALUES (6423, '2020-07-18', 'BH', 'Bahrain', 'EMRO', '389', '35473', '3', '124');
INSERT INTO public.who_import VALUES (6424, '2020-07-19', 'BH', 'Bahrain', 'EMRO', '531', '36004', '0', '124');
INSERT INTO public.who_import VALUES (6425, '2020-07-20', 'BH', 'Bahrain', 'EMRO', '418', '36422', '2', '126');
INSERT INTO public.who_import VALUES (6426, '2020-07-21', 'BH', 'Bahrain', 'EMRO', '514', '36936', '2', '128');
INSERT INTO public.who_import VALUES (6427, '2020-07-22', 'BH', 'Bahrain', 'EMRO', '380', '37316', '1', '129');
INSERT INTO public.who_import VALUES (6428, '2020-07-23', 'BH', 'Bahrain', 'EMRO', '321', '37637', '1', '130');
INSERT INTO public.who_import VALUES (6429, '2020-07-24', 'BH', 'Bahrain', 'EMRO', '359', '37996', '4', '134');
INSERT INTO public.who_import VALUES (6430, '2020-07-25', 'BH', 'Bahrain', 'EMRO', '462', '38458', '2', '136');
INSERT INTO public.who_import VALUES (6431, '2020-07-26', 'BH', 'Bahrain', 'EMRO', '289', '38747', '1', '137');
INSERT INTO public.who_import VALUES (6432, '2020-07-27', 'BH', 'Bahrain', 'EMRO', '384', '39131', '4', '141');
INSERT INTO public.who_import VALUES (6433, '2020-07-28', 'BH', 'Bahrain', 'EMRO', '351', '39482', '0', '141');
INSERT INTO public.who_import VALUES (6434, '2020-07-29', 'BH', 'Bahrain', 'EMRO', '439', '39921', '0', '141');
INSERT INTO public.who_import VALUES (6435, '2020-07-30', 'BH', 'Bahrain', 'EMRO', '390', '40311', '3', '144');
INSERT INTO public.who_import VALUES (6436, '2020-07-31', 'BH', 'Bahrain', 'EMRO', '444', '40755', '2', '146');
INSERT INTO public.who_import VALUES (6437, '2020-08-01', 'BH', 'Bahrain', 'EMRO', '227', '40982', '1', '147');
INSERT INTO public.who_import VALUES (6438, '2020-08-02', 'BH', 'Bahrain', 'EMRO', '208', '41190', '0', '147');
INSERT INTO public.who_import VALUES (6439, '2020-08-03', 'BH', 'Bahrain', 'EMRO', '346', '41536', '0', '147');
INSERT INTO public.who_import VALUES (6440, '2020-08-04', 'BH', 'Bahrain', 'EMRO', '299', '41835', '3', '150');
INSERT INTO public.who_import VALUES (6441, '2020-08-05', 'BH', 'Bahrain', 'EMRO', '297', '42132', '2', '152');
INSERT INTO public.who_import VALUES (6442, '2020-08-06', 'BH', 'Bahrain', 'EMRO', '382', '42514', '4', '156');
INSERT INTO public.who_import VALUES (6443, '2020-08-07', 'BH', 'Bahrain', 'EMRO', '375', '42889', '0', '156');
INSERT INTO public.who_import VALUES (6444, '2020-08-08', 'BH', 'Bahrain', 'EMRO', '418', '43307', '3', '159');
INSERT INTO public.who_import VALUES (6445, '2020-08-09', 'BH', 'Bahrain', 'EMRO', '322', '43629', '2', '161');
INSERT INTO public.who_import VALUES (6446, '2020-08-10', 'BH', 'Bahrain', 'EMRO', '382', '44011', '1', '162');
INSERT INTO public.who_import VALUES (6447, '2020-08-11', 'BH', 'Bahrain', 'EMRO', '386', '44397', '1', '163');
INSERT INTO public.who_import VALUES (6448, '2020-08-12', 'BH', 'Bahrain', 'EMRO', '407', '44804', '2', '165');
INSERT INTO public.who_import VALUES (6449, '2020-08-13', 'BH', 'Bahrain', 'EMRO', '460', '45264', '1', '166');
INSERT INTO public.who_import VALUES (6450, '2020-08-14', 'BH', 'Bahrain', 'EMRO', '462', '45726', '1', '167');
INSERT INTO public.who_import VALUES (6451, '2020-08-15', 'BH', 'Bahrain', 'EMRO', '326', '46052', '1', '168');
INSERT INTO public.who_import VALUES (6452, '2020-08-16', 'BH', 'Bahrain', 'EMRO', '378', '46430', '2', '170');
INSERT INTO public.who_import VALUES (6453, '2020-08-17', 'BH', 'Bahrain', 'EMRO', '405', '46835', '0', '170');
INSERT INTO public.who_import VALUES (6454, '2020-08-18', 'BH', 'Bahrain', 'EMRO', '350', '47185', '3', '173');
INSERT INTO public.who_import VALUES (6455, '2020-08-19', 'BH', 'Bahrain', 'EMRO', '396', '47581', '2', '175');
INSERT INTO public.who_import VALUES (6456, '2020-08-20', 'BH', 'Bahrain', 'EMRO', '369', '47950', '3', '178');
INSERT INTO public.who_import VALUES (6457, '2020-08-21', 'BH', 'Bahrain', 'EMRO', '353', '48303', '1', '179');
INSERT INTO public.who_import VALUES (6458, '2020-08-22', 'BH', 'Bahrain', 'EMRO', '358', '48661', '2', '181');
INSERT INTO public.who_import VALUES (6459, '2020-08-23', 'BH', 'Bahrain', 'EMRO', '377', '49038', '2', '183');
INSERT INTO public.who_import VALUES (6460, '2020-08-24', 'BH', 'Bahrain', 'EMRO', '292', '49330', '1', '184');
INSERT INTO public.who_import VALUES (6461, '2020-08-25', 'BH', 'Bahrain', 'EMRO', '389', '49719', '1', '185');
INSERT INTO public.who_import VALUES (6462, '2020-08-26', 'BH', 'Bahrain', 'EMRO', '357', '50076', '1', '186');
INSERT INTO public.who_import VALUES (6463, '2020-08-27', 'BH', 'Bahrain', 'EMRO', '317', '50393', '0', '186');
INSERT INTO public.who_import VALUES (6464, '2020-08-28', 'BH', 'Bahrain', 'EMRO', '363', '50756', '2', '188');
INSERT INTO public.who_import VALUES (6465, '2020-08-29', 'BH', 'Bahrain', 'EMRO', '357', '51113', '1', '189');
INSERT INTO public.who_import VALUES (6466, '2020-08-30', 'BH', 'Bahrain', 'EMRO', '278', '51391', '0', '189');
INSERT INTO public.who_import VALUES (6467, '2020-08-31', 'BH', 'Bahrain', 'EMRO', '183', '51574', '0', '189');
INSERT INTO public.who_import VALUES (6468, '2020-09-01', 'BH', 'Bahrain', 'EMRO', '398', '51972', '1', '190');
INSERT INTO public.who_import VALUES (6469, '2020-09-02', 'BH', 'Bahrain', 'EMRO', '468', '52440', '0', '190');
INSERT INTO public.who_import VALUES (6470, '2020-09-03', 'BH', 'Bahrain', 'EMRO', '367', '52807', '0', '190');
INSERT INTO public.who_import VALUES (6471, '2020-09-04', 'BH', 'Bahrain', 'EMRO', '626', '53433', '0', '190');
INSERT INTO public.who_import VALUES (6472, '2020-09-05', 'BH', 'Bahrain', 'EMRO', '662', '54095', '5', '195');
INSERT INTO public.who_import VALUES (6473, '2020-09-06', 'BH', 'Bahrain', 'EMRO', '676', '54771', '1', '196');
INSERT INTO public.who_import VALUES (6474, '2020-09-07', 'BH', 'Bahrain', 'EMRO', '644', '55415', '3', '199');
INSERT INTO public.who_import VALUES (6475, '2020-09-08', 'BH', 'Bahrain', 'EMRO', '661', '56076', '1', '200');
INSERT INTO public.who_import VALUES (6476, '2020-09-09', 'BH', 'Bahrain', 'EMRO', '702', '56778', '2', '202');
INSERT INTO public.who_import VALUES (6477, '2020-09-10', 'BH', 'Bahrain', 'EMRO', '672', '57450', '1', '203');
INSERT INTO public.who_import VALUES (6478, '2020-09-11', 'BH', 'Bahrain', 'EMRO', '757', '58207', '4', '207');
INSERT INTO public.who_import VALUES (6479, '2020-09-12', 'BH', 'Bahrain', 'EMRO', '632', '58839', '1', '208');
INSERT INTO public.who_import VALUES (6480, '2020-09-13', 'BH', 'Bahrain', 'EMRO', '747', '59586', '4', '212');
INSERT INTO public.who_import VALUES (6481, '2020-09-14', 'BH', 'Bahrain', 'EMRO', '721', '60307', '1', '213');
INSERT INTO public.who_import VALUES (6482, '2020-09-15', 'BH', 'Bahrain', 'EMRO', '658', '60965', '0', '213');
INSERT INTO public.who_import VALUES (6483, '2020-09-16', 'BH', 'Bahrain', 'EMRO', '678', '61643', '0', '213');
INSERT INTO public.who_import VALUES (6484, '2020-09-17', 'BH', 'Bahrain', 'EMRO', '841', '62484', '3', '216');
INSERT INTO public.who_import VALUES (6485, '2020-09-18', 'BH', 'Bahrain', 'EMRO', '705', '63189', '1', '217');
INSERT INTO public.who_import VALUES (6486, '2020-09-19', 'BH', 'Bahrain', 'EMRO', '690', '63879', '3', '220');
INSERT INTO public.who_import VALUES (6487, '2020-09-20', 'BH', 'Bahrain', 'EMRO', '620', '64499', '1', '221');
INSERT INTO public.who_import VALUES (6488, '2020-09-21', 'BH', 'Bahrain', 'EMRO', '540', '65039', '0', '221');
INSERT INTO public.who_import VALUES (6489, '2020-09-22', 'BH', 'Bahrain', 'EMRO', '713', '65752', '3', '224');
INSERT INTO public.who_import VALUES (6490, '2020-09-23', 'BH', 'Bahrain', 'EMRO', '650', '66402', '3', '227');
INSERT INTO public.who_import VALUES (6491, '2020-09-24', 'BH', 'Bahrain', 'EMRO', '612', '67014', '4', '231');
INSERT INTO public.who_import VALUES (6492, '2020-09-25', 'BH', 'Bahrain', 'EMRO', '687', '67701', '0', '231');
INSERT INTO public.who_import VALUES (6493, '2020-09-26', 'BH', 'Bahrain', 'EMRO', '489', '68190', '5', '236');
INSERT INTO public.who_import VALUES (6494, '2020-09-27', 'BH', 'Bahrain', 'EMRO', '585', '68775', '3', '239');
INSERT INTO public.who_import VALUES (6495, '2020-09-28', 'BH', 'Bahrain', 'EMRO', '586', '69361', '3', '242');
INSERT INTO public.who_import VALUES (6496, '2020-09-29', 'BH', 'Bahrain', 'EMRO', '487', '69848', '3', '245');
INSERT INTO public.who_import VALUES (6497, '2020-09-30', 'BH', 'Bahrain', 'EMRO', '574', '70422', '1', '246');
INSERT INTO public.who_import VALUES (6498, '2020-10-01', 'BH', 'Bahrain', 'EMRO', '442', '70864', '5', '251');
INSERT INTO public.who_import VALUES (6499, '2020-10-02', 'BH', 'Bahrain', 'EMRO', '510', '71374', '3', '254');
INSERT INTO public.who_import VALUES (6500, '2020-10-03', 'BH', 'Bahrain', 'EMRO', '429', '71803', '1', '255');
INSERT INTO public.who_import VALUES (6501, '2020-10-04', 'BH', 'Bahrain', 'EMRO', '507', '72310', '3', '258');
INSERT INTO public.who_import VALUES (6502, '2020-10-05', 'BH', 'Bahrain', 'EMRO', '352', '72662', '2', '260');
INSERT INTO public.who_import VALUES (6503, '2020-10-06', 'BH', 'Bahrain', 'EMRO', '454', '73116', '1', '261');
INSERT INTO public.who_import VALUES (6504, '2020-10-07', 'BH', 'Bahrain', 'EMRO', '360', '73476', '1', '262');
INSERT INTO public.who_import VALUES (6505, '2020-10-08', 'BH', 'Bahrain', 'EMRO', '456', '73932', '0', '262');
INSERT INTO public.who_import VALUES (6506, '2020-10-09', 'BH', 'Bahrain', 'EMRO', '490', '74422', '2', '264');
INSERT INTO public.who_import VALUES (6507, '2020-10-10', 'BH', 'Bahrain', 'EMRO', '438', '74860', '7', '271');
INSERT INTO public.who_import VALUES (6508, '2020-10-11', 'BH', 'Bahrain', 'EMRO', '427', '75287', '2', '273');
INSERT INTO public.who_import VALUES (6509, '2020-10-12', 'BH', 'Bahrain', 'EMRO', '327', '75614', '2', '275');
INSERT INTO public.who_import VALUES (6510, '2020-10-13', 'BH', 'Bahrain', 'EMRO', '334', '75948', '5', '280');
INSERT INTO public.who_import VALUES (6511, '2020-10-14', 'BH', 'Bahrain', 'EMRO', '324', '76272', '5', '285');
INSERT INTO public.who_import VALUES (6512, '2020-10-15', 'BH', 'Bahrain', 'EMRO', '349', '76621', '2', '287');
INSERT INTO public.who_import VALUES (6513, '2020-10-16', 'BH', 'Bahrain', 'EMRO', '333', '76954', '2', '289');
INSERT INTO public.who_import VALUES (6514, '2020-10-17', 'BH', 'Bahrain', 'EMRO', '371', '77325', '3', '292');
INSERT INTO public.who_import VALUES (6515, '2020-10-18', 'BH', 'Bahrain', 'EMRO', '246', '77571', '1', '293');
INSERT INTO public.who_import VALUES (6516, '2020-10-19', 'BH', 'Bahrain', 'EMRO', '331', '77902', '7', '300');
INSERT INTO public.who_import VALUES (6517, '2020-10-20', 'BH', 'Bahrain', 'EMRO', '322', '78224', '2', '302');
INSERT INTO public.who_import VALUES (6518, '2020-10-21', 'BH', 'Bahrain', 'EMRO', '309', '78533', '3', '305');
INSERT INTO public.who_import VALUES (6519, '2020-10-22', 'BH', 'Bahrain', 'EMRO', '374', '78907', '3', '308');
INSERT INTO public.who_import VALUES (6520, '2020-10-23', 'BH', 'Bahrain', 'EMRO', '304', '79211', '0', '308');
INSERT INTO public.who_import VALUES (6521, '2020-10-24', 'BH', 'Bahrain', 'EMRO', '363', '79574', '3', '311');
INSERT INTO public.who_import VALUES (6522, '2020-10-25', 'BH', 'Bahrain', 'EMRO', '401', '79975', '1', '312');
INSERT INTO public.who_import VALUES (6523, '2020-10-26', 'BH', 'Bahrain', 'EMRO', '280', '80255', '0', '312');
INSERT INTO public.who_import VALUES (6524, '2020-10-27', 'BH', 'Bahrain', 'EMRO', '278', '80533', '4', '316');
INSERT INTO public.who_import VALUES (6525, '2020-10-28', 'BH', 'Bahrain', 'EMRO', '232', '80765', '0', '316');
INSERT INTO public.who_import VALUES (6526, '2020-10-29', 'BH', 'Bahrain', 'EMRO', '257', '81022', '1', '317');
INSERT INTO public.who_import VALUES (6527, '2020-10-30', 'BH', 'Bahrain', 'EMRO', '240', '81262', '0', '317');
INSERT INTO public.who_import VALUES (6528, '2020-10-31', 'BH', 'Bahrain', 'EMRO', '204', '81466', '2', '319');
INSERT INTO public.who_import VALUES (6529, '2020-11-01', 'BH', 'Bahrain', 'EMRO', '179', '81645', '2', '321');
INSERT INTO public.who_import VALUES (6530, '2020-11-02', 'BH', 'Bahrain', 'EMRO', '278', '81923', '0', '321');
INSERT INTO public.who_import VALUES (6531, '2020-11-03', 'BH', 'Bahrain', 'EMRO', '210', '82133', '1', '322');
INSERT INTO public.who_import VALUES (6532, '2020-11-04', 'BH', 'Bahrain', 'EMRO', '230', '82363', '2', '324');
INSERT INTO public.who_import VALUES (6533, '2020-11-05', 'BH', 'Bahrain', 'EMRO', '261', '82624', '3', '327');
INSERT INTO public.who_import VALUES (6534, '2020-11-06', 'BH', 'Bahrain', 'EMRO', '162', '82786', '1', '328');
INSERT INTO public.who_import VALUES (6535, '2020-11-07', 'BH', 'Bahrain', 'EMRO', '237', '83023', '0', '328');
INSERT INTO public.who_import VALUES (6536, '2020-11-08', 'BH', 'Bahrain', 'EMRO', '241', '83264', '1', '329');
INSERT INTO public.who_import VALUES (6537, '2020-11-09', 'BH', 'Bahrain', 'EMRO', '192', '83456', '0', '329');
INSERT INTO public.who_import VALUES (6538, '2020-11-10', 'BH', 'Bahrain', 'EMRO', '176', '83632', '0', '329');
INSERT INTO public.who_import VALUES (6539, '2020-11-11', 'BH', 'Bahrain', 'EMRO', '179', '83811', '2', '331');
INSERT INTO public.who_import VALUES (6540, '2020-11-12', 'BH', 'Bahrain', 'EMRO', '231', '84042', '1', '332');
INSERT INTO public.who_import VALUES (6541, '2020-11-13', 'BH', 'Bahrain', 'EMRO', '150', '84192', '0', '332');
INSERT INTO public.who_import VALUES (6542, '2020-11-14', 'BH', 'Bahrain', 'EMRO', '157', '84349', '0', '332');
INSERT INTO public.who_import VALUES (6543, '2020-11-15', 'BH', 'Bahrain', 'EMRO', '174', '84523', '1', '333');
INSERT INTO public.who_import VALUES (6544, '2020-11-16', 'BH', 'Bahrain', 'EMRO', '180', '84703', '1', '334');
INSERT INTO public.who_import VALUES (6545, '2020-11-17', 'BH', 'Bahrain', 'EMRO', '179', '84882', '3', '337');
INSERT INTO public.who_import VALUES (6546, '2020-11-18', 'BH', 'Bahrain', 'EMRO', '126', '85008', '0', '337');
INSERT INTO public.who_import VALUES (6547, '2020-11-19', 'BH', 'Bahrain', 'EMRO', '174', '85182', '0', '337');
INSERT INTO public.who_import VALUES (6548, '2020-11-20', 'BH', 'Bahrain', 'EMRO', '135', '85317', '0', '337');
INSERT INTO public.who_import VALUES (6549, '2020-11-21', 'BH', 'Bahrain', 'EMRO', '150', '85467', '1', '338');
INSERT INTO public.who_import VALUES (6550, '2020-11-22', 'BH', 'Bahrain', 'EMRO', '124', '85591', '0', '338');
INSERT INTO public.who_import VALUES (6551, '2020-11-23', 'BH', 'Bahrain', 'EMRO', '114', '85705', '0', '338');
INSERT INTO public.who_import VALUES (6552, '2020-11-24', 'BH', 'Bahrain', 'EMRO', '181', '85886', '1', '339');
INSERT INTO public.who_import VALUES (6553, '2020-11-25', 'BH', 'Bahrain', 'EMRO', '130', '86016', '1', '340');
INSERT INTO public.who_import VALUES (6554, '2020-11-26', 'BH', 'Bahrain', 'EMRO', '169', '86185', '0', '340');
INSERT INTO public.who_import VALUES (6555, '2020-11-27', 'BH', 'Bahrain', 'EMRO', '162', '86347', '1', '341');
INSERT INTO public.who_import VALUES (6556, '2020-11-28', 'BH', 'Bahrain', 'EMRO', '168', '86515', '0', '341');
INSERT INTO public.who_import VALUES (6557, '2020-11-29', 'BH', 'Bahrain', 'EMRO', '130', '86645', '0', '341');
INSERT INTO public.who_import VALUES (6558, '2020-11-30', 'BH', 'Bahrain', 'EMRO', '142', '86787', '0', '341');
INSERT INTO public.who_import VALUES (6559, '2020-12-01', 'BH', 'Bahrain', 'EMRO', '169', '86956', '0', '341');
INSERT INTO public.who_import VALUES (6560, '2020-12-02', 'BH', 'Bahrain', 'EMRO', '181', '87137', '0', '341');
INSERT INTO public.who_import VALUES (6561, '2020-12-03', 'BH', 'Bahrain', 'EMRO', '133', '87270', '0', '341');
INSERT INTO public.who_import VALUES (6562, '2020-12-04', 'BH', 'Bahrain', 'EMRO', '162', '87432', '0', '341');
INSERT INTO public.who_import VALUES (6563, '2020-12-05', 'BH', 'Bahrain', 'EMRO', '167', '87599', '0', '341');
INSERT INTO public.who_import VALUES (6564, '2020-12-06', 'BH', 'Bahrain', 'EMRO', '132', '87731', '0', '341');
INSERT INTO public.who_import VALUES (6565, '2020-12-07', 'BH', 'Bahrain', 'EMRO', '198', '87929', '0', '341');
INSERT INTO public.who_import VALUES (6566, '2020-12-08', 'BH', 'Bahrain', 'EMRO', '181', '88110', '0', '341');
INSERT INTO public.who_import VALUES (6567, '2020-12-09', 'BH', 'Bahrain', 'EMRO', '183', '88293', '2', '343');
INSERT INTO public.who_import VALUES (6568, '2020-12-10', 'BH', 'Bahrain', 'EMRO', '201', '88494', '4', '347');
INSERT INTO public.who_import VALUES (6569, '2020-12-11', 'BH', 'Bahrain', 'EMRO', '137', '88631', '0', '347');
INSERT INTO public.who_import VALUES (6570, '2020-12-12', 'BH', 'Bahrain', 'EMRO', '188', '88819', '0', '347');
INSERT INTO public.who_import VALUES (6571, '2020-12-13', 'BH', 'Bahrain', 'EMRO', '145', '88964', '1', '348');
INSERT INTO public.who_import VALUES (6572, '2020-12-14', 'BH', 'Bahrain', 'EMRO', '178', '89142', '0', '348');
INSERT INTO public.who_import VALUES (6573, '2020-12-15', 'BH', 'Bahrain', 'EMRO', '125', '89267', '0', '348');
INSERT INTO public.who_import VALUES (6574, '2020-12-16', 'BH', 'Bahrain', 'EMRO', '177', '89444', '0', '348');
INSERT INTO public.who_import VALUES (6575, '2020-12-17', 'BH', 'Bahrain', 'EMRO', '156', '89600', '1', '349');
INSERT INTO public.who_import VALUES (6576, '2020-12-18', 'BH', 'Bahrain', 'EMRO', '143', '89743', '0', '349');
INSERT INTO public.who_import VALUES (6577, '2020-12-19', 'BH', 'Bahrain', 'EMRO', '140', '89883', '0', '349');
INSERT INTO public.who_import VALUES (6578, '2020-12-20', 'BH', 'Bahrain', 'EMRO', '179', '90062', '0', '349');
INSERT INTO public.who_import VALUES (6579, '2020-12-21', 'BH', 'Bahrain', 'EMRO', '220', '90282', '0', '349');
INSERT INTO public.who_import VALUES (6580, '2020-12-22', 'BH', 'Bahrain', 'EMRO', '168', '90450', '1', '350');
INSERT INTO public.who_import VALUES (6581, '2020-12-23', 'BH', 'Bahrain', 'EMRO', '184', '90634', '0', '350');
INSERT INTO public.who_import VALUES (6582, '2020-12-24', 'BH', 'Bahrain', 'EMRO', '183', '90817', '0', '350');
INSERT INTO public.who_import VALUES (6583, '2020-12-25', 'BH', 'Bahrain', 'EMRO', '253', '91070', '0', '350');
INSERT INTO public.who_import VALUES (6584, '2020-12-26', 'BH', 'Bahrain', 'EMRO', '234', '91304', '1', '351');
INSERT INTO public.who_import VALUES (6585, '2020-12-27', 'BH', 'Bahrain', 'EMRO', '214', '91518', '0', '351');
INSERT INTO public.who_import VALUES (6586, '2020-12-28', 'BH', 'Bahrain', 'EMRO', '215', '91733', '0', '351');
INSERT INTO public.who_import VALUES (6587, '2020-12-29', 'BH', 'Bahrain', 'EMRO', '202', '91935', '0', '351');
INSERT INTO public.who_import VALUES (6588, '2020-12-30', 'BH', 'Bahrain', 'EMRO', '234', '92169', '0', '351');
INSERT INTO public.who_import VALUES (6589, '2020-12-31', 'BH', 'Bahrain', 'EMRO', '256', '92425', '1', '352');
INSERT INTO public.who_import VALUES (6590, '2021-01-01', 'BH', 'Bahrain', 'EMRO', '250', '92675', '0', '352');
INSERT INTO public.who_import VALUES (6591, '2021-01-02', 'BH', 'Bahrain', 'EMRO', '238', '92913', '0', '352');
INSERT INTO public.who_import VALUES (6592, '2021-01-03', 'BH', 'Bahrain', 'EMRO', '271', '93184', '0', '352');
INSERT INTO public.who_import VALUES (6593, '2021-01-04', 'BH', 'Bahrain', 'EMRO', '294', '93478', '0', '352');
INSERT INTO public.who_import VALUES (6594, '2021-01-05', 'BH', 'Bahrain', 'EMRO', '288', '93766', '0', '352');
INSERT INTO public.who_import VALUES (6595, '2021-01-06', 'BH', 'Bahrain', 'EMRO', '229', '93995', '0', '352');
INSERT INTO public.who_import VALUES (6596, '2021-01-07', 'BH', 'Bahrain', 'EMRO', '289', '94284', '1', '353');
INSERT INTO public.who_import VALUES (6597, '2021-01-08', 'BH', 'Bahrain', 'EMRO', '349', '94633', '0', '353');
INSERT INTO public.who_import VALUES (6598, '2021-01-09', 'BH', 'Bahrain', 'EMRO', '397', '95030', '1', '354');
INSERT INTO public.who_import VALUES (6599, '2021-01-10', 'BH', 'Bahrain', 'EMRO', '287', '95317', '1', '355');
INSERT INTO public.who_import VALUES (6600, '2021-01-11', 'BH', 'Bahrain', 'EMRO', '241', '95558', '1', '356');
INSERT INTO public.who_import VALUES (6601, '2021-01-12', 'BH', 'Bahrain', 'EMRO', '321', '95879', '0', '356');
INSERT INTO public.who_import VALUES (6602, '2021-01-13', 'BH', 'Bahrain', 'EMRO', '316', '96195', '0', '356');
INSERT INTO public.who_import VALUES (6603, '2021-01-14', 'BH', 'Bahrain', 'EMRO', '275', '96470', '0', '356');
INSERT INTO public.who_import VALUES (6604, '2021-01-15', 'BH', 'Bahrain', 'EMRO', '342', '96812', '0', '356');
INSERT INTO public.who_import VALUES (6605, '2021-01-16', 'BH', 'Bahrain', 'EMRO', '209', '97021', '1', '357');
INSERT INTO public.who_import VALUES (6606, '2021-01-17', 'BH', 'Bahrain', 'EMRO', '247', '97268', '1', '358');
INSERT INTO public.who_import VALUES (6607, '2021-01-18', 'BH', 'Bahrain', 'EMRO', '339', '97607', '2', '360');
INSERT INTO public.who_import VALUES (6608, '2021-01-19', 'BH', 'Bahrain', 'EMRO', '333', '97940', '0', '360');
INSERT INTO public.who_import VALUES (6609, '2021-01-20', 'BH', 'Bahrain', 'EMRO', '320', '98260', '2', '362');
INSERT INTO public.who_import VALUES (6610, '2021-01-21', 'BH', 'Bahrain', 'EMRO', '313', '98573', '4', '366');
INSERT INTO public.who_import VALUES (6611, '2021-01-22', 'BH', 'Bahrain', 'EMRO', '305', '98878', '0', '366');
INSERT INTO public.who_import VALUES (6612, '2021-01-23', 'BH', 'Bahrain', 'EMRO', '332', '99210', '0', '366');
INSERT INTO public.who_import VALUES (6613, '2021-01-24', 'BH', 'Bahrain', 'EMRO', '246', '99456', '1', '367');
INSERT INTO public.who_import VALUES (6614, '2021-01-25', 'BH', 'Bahrain', 'EMRO', '361', '99817', '0', '367');
INSERT INTO public.who_import VALUES (6615, '2021-01-26', 'BH', 'Bahrain', 'EMRO', '413', '100230', '2', '369');
INSERT INTO public.who_import VALUES (6616, '2021-01-27', 'BH', 'Bahrain', 'EMRO', '459', '100689', '1', '370');
INSERT INTO public.who_import VALUES (6617, '2021-01-28', 'BH', 'Bahrain', 'EMRO', '427', '101116', '1', '371');
INSERT INTO public.who_import VALUES (6618, '2021-01-29', 'BH', 'Bahrain', 'EMRO', '387', '101503', '1', '372');
INSERT INTO public.who_import VALUES (6619, '2021-01-30', 'BH', 'Bahrain', 'EMRO', '468', '101971', '0', '372');
INSERT INTO public.who_import VALUES (6620, '2021-01-31', 'BH', 'Bahrain', 'EMRO', '655', '102626', '0', '372');
INSERT INTO public.who_import VALUES (6621, '2021-02-01', 'BH', 'Bahrain', 'EMRO', '431', '103057', '3', '375');
INSERT INTO public.who_import VALUES (6622, '2021-02-02', 'BH', 'Bahrain', 'EMRO', '525', '103582', '1', '376');
INSERT INTO public.who_import VALUES (6623, '2021-02-03', 'BH', 'Bahrain', 'EMRO', '657', '104239', '0', '376');
INSERT INTO public.who_import VALUES (6624, '2021-02-04', 'BH', 'Bahrain', 'EMRO', '553', '104792', '0', '376');
INSERT INTO public.who_import VALUES (6625, '2021-02-05', 'BH', 'Bahrain', 'EMRO', '704', '105496', '1', '377');
INSERT INTO public.who_import VALUES (6626, '2021-02-06', 'BH', 'Bahrain', 'EMRO', '702', '106198', '0', '377');
INSERT INTO public.who_import VALUES (6627, '2021-02-07', 'BH', 'Bahrain', 'EMRO', '515', '106713', '2', '379');
INSERT INTO public.who_import VALUES (6628, '2021-02-08', 'BH', 'Bahrain', 'EMRO', '616', '107329', '1', '380');
INSERT INTO public.who_import VALUES (6629, '2021-02-09', 'BH', 'Bahrain', 'EMRO', '719', '108048', '3', '383');
INSERT INTO public.who_import VALUES (6630, '2021-02-10', 'BH', 'Bahrain', 'EMRO', '759', '108807', '4', '387');
INSERT INTO public.who_import VALUES (6631, '2021-02-11', 'BH', 'Bahrain', 'EMRO', '797', '109604', '4', '391');
INSERT INTO public.who_import VALUES (6632, '2021-02-12', 'BH', 'Bahrain', 'EMRO', '812', '110416', '2', '393');
INSERT INTO public.who_import VALUES (6633, '2021-02-13', 'BH', 'Bahrain', 'EMRO', '896', '111312', '2', '395');
INSERT INTO public.who_import VALUES (6634, '2021-02-14', 'BH', 'Bahrain', 'EMRO', '790', '112102', '3', '398');
INSERT INTO public.who_import VALUES (6635, '2021-02-15', 'BH', 'Bahrain', 'EMRO', '640', '112742', '5', '403');
INSERT INTO public.who_import VALUES (6636, '2021-02-16', 'BH', 'Bahrain', 'EMRO', '848', '113590', '3', '406');
INSERT INTO public.who_import VALUES (6637, '2021-02-17', 'BH', 'Bahrain', 'EMRO', '771', '114361', '4', '410');
INSERT INTO public.who_import VALUES (6638, '2021-02-18', 'BH', 'Bahrain', 'EMRO', '696', '115057', '0', '410');
INSERT INTO public.who_import VALUES (6639, '2021-02-19', 'BH', 'Bahrain', 'EMRO', '648', '115705', '4', '414');
INSERT INTO public.who_import VALUES (6640, '2021-02-20', 'BH', 'Bahrain', 'EMRO', '777', '116482', '4', '418');
INSERT INTO public.who_import VALUES (6641, '2020-01-03', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6642, '2020-01-04', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6643, '2020-01-05', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6644, '2020-01-06', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6645, '2020-01-07', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6646, '2020-01-08', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6647, '2020-01-09', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6648, '2020-01-10', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6649, '2020-01-11', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6650, '2020-01-12', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6651, '2020-01-13', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6652, '2020-01-14', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6653, '2020-01-15', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6654, '2020-01-16', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6655, '2020-01-17', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6656, '2020-01-18', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6657, '2020-01-19', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6658, '2020-01-20', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6659, '2020-01-21', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6660, '2020-01-22', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6661, '2020-01-23', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6662, '2020-01-24', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6663, '2020-01-25', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6664, '2020-01-26', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6665, '2020-01-27', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6666, '2020-01-28', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6667, '2020-01-29', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6668, '2020-01-30', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6669, '2020-01-31', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6670, '2020-02-01', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6671, '2020-02-02', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6672, '2020-02-03', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6673, '2020-02-04', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6674, '2020-02-05', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6675, '2020-02-06', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6676, '2020-02-07', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6677, '2020-02-08', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6678, '2020-02-09', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6679, '2020-02-10', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6680, '2020-02-11', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6681, '2020-02-12', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6682, '2020-02-13', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6683, '2020-02-14', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6684, '2020-02-15', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6685, '2020-02-16', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6686, '2020-02-17', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6687, '2020-02-18', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6688, '2020-02-19', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6689, '2020-02-20', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6690, '2020-02-21', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6691, '2020-02-22', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6692, '2020-02-23', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6693, '2020-02-24', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6694, '2020-02-25', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6695, '2020-02-26', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6696, '2020-02-27', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6697, '2020-02-28', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6698, '2020-02-29', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6699, '2020-03-01', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6700, '2020-03-02', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6701, '2020-03-03', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6702, '2020-03-04', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6703, '2020-03-05', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6704, '2020-03-06', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6705, '2020-03-07', 'BD', 'Bangladesh', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (6706, '2020-03-08', 'BD', 'Bangladesh', 'SEARO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (6707, '2020-03-09', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6708, '2020-03-10', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6709, '2020-03-11', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6710, '2020-03-12', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6711, '2020-03-13', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6712, '2020-03-14', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6713, '2020-03-15', 'BD', 'Bangladesh', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (6714, '2020-03-16', 'BD', 'Bangladesh', 'SEARO', '5', '12', '0', '0');
INSERT INTO public.who_import VALUES (6715, '2020-03-17', 'BD', 'Bangladesh', 'SEARO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (6716, '2020-03-18', 'BD', 'Bangladesh', 'SEARO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (6717, '2020-03-19', 'BD', 'Bangladesh', 'SEARO', '3', '17', '1', '1');
INSERT INTO public.who_import VALUES (6718, '2020-03-20', 'BD', 'Bangladesh', 'SEARO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (6719, '2020-03-21', 'BD', 'Bangladesh', 'SEARO', '7', '24', '1', '2');
INSERT INTO public.who_import VALUES (6720, '2020-03-22', 'BD', 'Bangladesh', 'SEARO', '0', '24', '0', '2');
INSERT INTO public.who_import VALUES (6721, '2020-03-23', 'BD', 'Bangladesh', 'SEARO', '3', '27', '0', '2');
INSERT INTO public.who_import VALUES (6722, '2020-03-24', 'BD', 'Bangladesh', 'SEARO', '12', '39', '2', '4');
INSERT INTO public.who_import VALUES (6723, '2020-03-25', 'BD', 'Bangladesh', 'SEARO', '0', '39', '0', '4');
INSERT INTO public.who_import VALUES (6724, '2020-03-26', 'BD', 'Bangladesh', 'SEARO', '5', '44', '1', '5');
INSERT INTO public.who_import VALUES (6725, '2020-03-27', 'BD', 'Bangladesh', 'SEARO', '4', '48', '0', '5');
INSERT INTO public.who_import VALUES (6726, '2020-03-28', 'BD', 'Bangladesh', 'SEARO', '0', '48', '0', '5');
INSERT INTO public.who_import VALUES (6727, '2020-03-29', 'BD', 'Bangladesh', 'SEARO', '0', '48', '0', '5');
INSERT INTO public.who_import VALUES (6728, '2020-03-30', 'BD', 'Bangladesh', 'SEARO', '1', '49', '0', '5');
INSERT INTO public.who_import VALUES (6729, '2020-03-31', 'BD', 'Bangladesh', 'SEARO', '0', '49', '0', '5');
INSERT INTO public.who_import VALUES (6730, '2020-04-01', 'BD', 'Bangladesh', 'SEARO', '5', '54', '1', '6');
INSERT INTO public.who_import VALUES (6731, '2020-04-02', 'BD', 'Bangladesh', 'SEARO', '2', '56', '0', '6');
INSERT INTO public.who_import VALUES (6732, '2020-04-03', 'BD', 'Bangladesh', 'SEARO', '5', '61', '0', '6');
INSERT INTO public.who_import VALUES (6733, '2020-04-04', 'BD', 'Bangladesh', 'SEARO', '9', '70', '2', '8');
INSERT INTO public.who_import VALUES (6734, '2020-04-05', 'BD', 'Bangladesh', 'SEARO', '18', '88', '0', '8');
INSERT INTO public.who_import VALUES (6735, '2020-04-06', 'BD', 'Bangladesh', 'SEARO', '35', '123', '4', '12');
INSERT INTO public.who_import VALUES (6736, '2020-04-07', 'BD', 'Bangladesh', 'SEARO', '41', '164', '5', '17');
INSERT INTO public.who_import VALUES (6737, '2020-04-08', 'BD', 'Bangladesh', 'SEARO', '54', '218', '3', '20');
INSERT INTO public.who_import VALUES (6738, '2020-04-09', 'BD', 'Bangladesh', 'SEARO', '112', '330', '1', '21');
INSERT INTO public.who_import VALUES (6739, '2020-04-10', 'BD', 'Bangladesh', 'SEARO', '94', '424', '6', '27');
INSERT INTO public.who_import VALUES (6740, '2020-04-11', 'BD', 'Bangladesh', 'SEARO', '58', '482', '3', '30');
INSERT INTO public.who_import VALUES (6741, '2020-04-12', 'BD', 'Bangladesh', 'SEARO', '139', '621', '4', '34');
INSERT INTO public.who_import VALUES (6742, '2020-04-13', 'BD', 'Bangladesh', 'SEARO', '182', '803', '5', '39');
INSERT INTO public.who_import VALUES (6743, '2020-04-14', 'BD', 'Bangladesh', 'SEARO', '209', '1012', '7', '46');
INSERT INTO public.who_import VALUES (6744, '2020-04-15', 'BD', 'Bangladesh', 'SEARO', '219', '1231', '4', '50');
INSERT INTO public.who_import VALUES (6745, '2020-04-16', 'BD', 'Bangladesh', 'SEARO', '341', '1572', '10', '60');
INSERT INTO public.who_import VALUES (6746, '2020-04-17', 'BD', 'Bangladesh', 'SEARO', '266', '1838', '15', '75');
INSERT INTO public.who_import VALUES (6747, '2020-04-18', 'BD', 'Bangladesh', 'SEARO', '306', '2144', '9', '84');
INSERT INTO public.who_import VALUES (6748, '2020-04-19', 'BD', 'Bangladesh', 'SEARO', '312', '2456', '7', '91');
INSERT INTO public.who_import VALUES (6749, '2020-04-20', 'BD', 'Bangladesh', 'SEARO', '492', '2948', '10', '101');
INSERT INTO public.who_import VALUES (6750, '2020-04-21', 'BD', 'Bangladesh', 'SEARO', '434', '3382', '9', '110');
INSERT INTO public.who_import VALUES (6751, '2020-04-22', 'BD', 'Bangladesh', 'SEARO', '390', '3772', '10', '120');
INSERT INTO public.who_import VALUES (6752, '2020-04-23', 'BD', 'Bangladesh', 'SEARO', '414', '4186', '7', '127');
INSERT INTO public.who_import VALUES (6753, '2020-04-24', 'BD', 'Bangladesh', 'SEARO', '503', '4689', '4', '131');
INSERT INTO public.who_import VALUES (6754, '2020-04-25', 'BD', 'Bangladesh', 'SEARO', '309', '4998', '9', '140');
INSERT INTO public.who_import VALUES (6755, '2020-04-26', 'BD', 'Bangladesh', 'SEARO', '418', '5416', '5', '145');
INSERT INTO public.who_import VALUES (6756, '2020-04-27', 'BD', 'Bangladesh', 'SEARO', '497', '5913', '7', '152');
INSERT INTO public.who_import VALUES (6757, '2020-04-28', 'BD', 'Bangladesh', 'SEARO', '549', '6462', '3', '155');
INSERT INTO public.who_import VALUES (6758, '2020-04-29', 'BD', 'Bangladesh', 'SEARO', '641', '7103', '8', '163');
INSERT INTO public.who_import VALUES (6759, '2020-04-30', 'BD', 'Bangladesh', 'SEARO', '564', '7667', '5', '168');
INSERT INTO public.who_import VALUES (6760, '2020-05-01', 'BD', 'Bangladesh', 'SEARO', '571', '8238', '2', '170');
INSERT INTO public.who_import VALUES (6761, '2020-05-02', 'BD', 'Bangladesh', 'SEARO', '552', '8790', '5', '175');
INSERT INTO public.who_import VALUES (6762, '2020-05-03', 'BD', 'Bangladesh', 'SEARO', '665', '9455', '2', '177');
INSERT INTO public.who_import VALUES (6763, '2020-05-04', 'BD', 'Bangladesh', 'SEARO', '688', '10143', '5', '182');
INSERT INTO public.who_import VALUES (6764, '2020-05-05', 'BD', 'Bangladesh', 'SEARO', '786', '10929', '1', '183');
INSERT INTO public.who_import VALUES (6765, '2020-05-06', 'BD', 'Bangladesh', 'SEARO', '790', '11719', '3', '186');
INSERT INTO public.who_import VALUES (6766, '2020-05-07', 'BD', 'Bangladesh', 'SEARO', '706', '12425', '0', '186');
INSERT INTO public.who_import VALUES (6767, '2020-05-08', 'BD', 'Bangladesh', 'SEARO', '709', '13134', '20', '206');
INSERT INTO public.who_import VALUES (6768, '2020-05-09', 'BD', 'Bangladesh', 'SEARO', '636', '13770', '8', '214');
INSERT INTO public.who_import VALUES (6769, '2020-05-10', 'BD', 'Bangladesh', 'SEARO', '887', '14657', '14', '228');
INSERT INTO public.who_import VALUES (6770, '2020-05-11', 'BD', 'Bangladesh', 'SEARO', '1034', '15691', '11', '239');
INSERT INTO public.who_import VALUES (6771, '2020-05-12', 'BD', 'Bangladesh', 'SEARO', '969', '16660', '11', '250');
INSERT INTO public.who_import VALUES (6772, '2020-05-13', 'BD', 'Bangladesh', 'SEARO', '1162', '17822', '19', '269');
INSERT INTO public.who_import VALUES (6773, '2020-05-14', 'BD', 'Bangladesh', 'SEARO', '1041', '18863', '14', '283');
INSERT INTO public.who_import VALUES (6774, '2020-05-15', 'BD', 'Bangladesh', 'SEARO', '1202', '20065', '15', '298');
INSERT INTO public.who_import VALUES (6775, '2020-05-16', 'BD', 'Bangladesh', 'SEARO', '930', '20995', '16', '314');
INSERT INTO public.who_import VALUES (6776, '2020-05-17', 'BD', 'Bangladesh', 'SEARO', '0', '20995', '0', '314');
INSERT INTO public.who_import VALUES (6777, '2020-05-18', 'BD', 'Bangladesh', 'SEARO', '2875', '23870', '35', '349');
INSERT INTO public.who_import VALUES (6778, '2020-05-19', 'BD', 'Bangladesh', 'SEARO', '1251', '25121', '21', '370');
INSERT INTO public.who_import VALUES (6779, '2020-05-20', 'BD', 'Bangladesh', 'SEARO', '1617', '26738', '16', '386');
INSERT INTO public.who_import VALUES (6780, '2020-05-21', 'BD', 'Bangladesh', 'SEARO', '1773', '28511', '22', '408');
INSERT INTO public.who_import VALUES (6781, '2020-05-22', 'BD', 'Bangladesh', 'SEARO', '1694', '30205', '24', '432');
INSERT INTO public.who_import VALUES (6782, '2020-05-23', 'BD', 'Bangladesh', 'SEARO', '1873', '32078', '20', '452');
INSERT INTO public.who_import VALUES (6783, '2020-05-24', 'BD', 'Bangladesh', 'SEARO', '1532', '33610', '28', '480');
INSERT INTO public.who_import VALUES (6784, '2020-05-25', 'BD', 'Bangladesh', 'SEARO', '1975', '35585', '21', '501');
INSERT INTO public.who_import VALUES (6785, '2020-05-26', 'BD', 'Bangladesh', 'SEARO', '1166', '36751', '21', '522');
INSERT INTO public.who_import VALUES (6786, '2020-05-27', 'BD', 'Bangladesh', 'SEARO', '1541', '38292', '22', '544');
INSERT INTO public.who_import VALUES (6787, '2020-05-28', 'BD', 'Bangladesh', 'SEARO', '2029', '40321', '15', '559');
INSERT INTO public.who_import VALUES (6788, '2020-05-29', 'BD', 'Bangladesh', 'SEARO', '2523', '42844', '23', '582');
INSERT INTO public.who_import VALUES (6789, '2020-05-30', 'BD', 'Bangladesh', 'SEARO', '1764', '44608', '28', '610');
INSERT INTO public.who_import VALUES (6790, '2020-05-31', 'BD', 'Bangladesh', 'SEARO', '2545', '47153', '40', '650');
INSERT INTO public.who_import VALUES (6791, '2020-06-01', 'BD', 'Bangladesh', 'SEARO', '0', '47153', '0', '650');
INSERT INTO public.who_import VALUES (6792, '2020-06-02', 'BD', 'Bangladesh', 'SEARO', '2381', '49534', '22', '672');
INSERT INTO public.who_import VALUES (6793, '2020-06-03', 'BD', 'Bangladesh', 'SEARO', '2911', '52445', '37', '709');
INSERT INTO public.who_import VALUES (6794, '2020-06-04', 'BD', 'Bangladesh', 'SEARO', '2695', '55140', '37', '746');
INSERT INTO public.who_import VALUES (6795, '2020-06-05', 'BD', 'Bangladesh', 'SEARO', '2423', '57563', '35', '781');
INSERT INTO public.who_import VALUES (6796, '2020-06-06', 'BD', 'Bangladesh', 'SEARO', '2828', '60391', '30', '811');
INSERT INTO public.who_import VALUES (6797, '2020-06-07', 'BD', 'Bangladesh', 'SEARO', '2635', '63026', '35', '846');
INSERT INTO public.who_import VALUES (6798, '2020-06-08', 'BD', 'Bangladesh', 'SEARO', '2743', '65769', '42', '888');
INSERT INTO public.who_import VALUES (6799, '2020-06-09', 'BD', 'Bangladesh', 'SEARO', '2735', '68504', '42', '930');
INSERT INTO public.who_import VALUES (6800, '2020-06-10', 'BD', 'Bangladesh', 'SEARO', '3171', '71675', '45', '975');
INSERT INTO public.who_import VALUES (6801, '2020-06-11', 'BD', 'Bangladesh', 'SEARO', '3190', '74865', '37', '1012');
INSERT INTO public.who_import VALUES (6802, '2020-06-12', 'BD', 'Bangladesh', 'SEARO', '3187', '78052', '37', '1049');
INSERT INTO public.who_import VALUES (6803, '2020-06-13', 'BD', 'Bangladesh', 'SEARO', '3471', '81523', '46', '1095');
INSERT INTO public.who_import VALUES (6804, '2020-06-14', 'BD', 'Bangladesh', 'SEARO', '2856', '84379', '44', '1139');
INSERT INTO public.who_import VALUES (6805, '2020-06-15', 'BD', 'Bangladesh', 'SEARO', '3141', '87520', '32', '1171');
INSERT INTO public.who_import VALUES (6806, '2020-06-16', 'BD', 'Bangladesh', 'SEARO', '3099', '90619', '38', '1209');
INSERT INTO public.who_import VALUES (6807, '2020-06-17', 'BD', 'Bangladesh', 'SEARO', '3862', '94481', '53', '1262');
INSERT INTO public.who_import VALUES (6808, '2020-06-18', 'BD', 'Bangladesh', 'SEARO', '4008', '98489', '43', '1305');
INSERT INTO public.who_import VALUES (6809, '2020-06-19', 'BD', 'Bangladesh', 'SEARO', '3803', '102292', '38', '1343');
INSERT INTO public.who_import VALUES (6810, '2020-06-20', 'BD', 'Bangladesh', 'SEARO', '3243', '105535', '45', '1388');
INSERT INTO public.who_import VALUES (6811, '2020-06-21', 'BD', 'Bangladesh', 'SEARO', '3240', '108775', '37', '1425');
INSERT INTO public.who_import VALUES (6812, '2020-06-22', 'BD', 'Bangladesh', 'SEARO', '3531', '112306', '39', '1464');
INSERT INTO public.who_import VALUES (6813, '2020-06-23', 'BD', 'Bangladesh', 'SEARO', '3480', '115786', '38', '1502');
INSERT INTO public.who_import VALUES (6814, '2020-06-24', 'BD', 'Bangladesh', 'SEARO', '3412', '119198', '43', '1545');
INSERT INTO public.who_import VALUES (6815, '2020-06-25', 'BD', 'Bangladesh', 'SEARO', '3462', '122660', '37', '1582');
INSERT INTO public.who_import VALUES (6816, '2020-06-26', 'BD', 'Bangladesh', 'SEARO', '3946', '126606', '39', '1621');
INSERT INTO public.who_import VALUES (6817, '2020-06-27', 'BD', 'Bangladesh', 'SEARO', '3868', '130474', '40', '1661');
INSERT INTO public.who_import VALUES (6818, '2020-06-28', 'BD', 'Bangladesh', 'SEARO', '3504', '133978', '34', '1695');
INSERT INTO public.who_import VALUES (6819, '2020-06-29', 'BD', 'Bangladesh', 'SEARO', '3809', '137787', '43', '1738');
INSERT INTO public.who_import VALUES (6820, '2020-06-30', 'BD', 'Bangladesh', 'SEARO', '4014', '141801', '45', '1783');
INSERT INTO public.who_import VALUES (6821, '2020-07-01', 'BD', 'Bangladesh', 'SEARO', '3682', '145483', '64', '1847');
INSERT INTO public.who_import VALUES (6822, '2020-07-02', 'BD', 'Bangladesh', 'SEARO', '3775', '149258', '41', '1888');
INSERT INTO public.who_import VALUES (6823, '2020-07-03', 'BD', 'Bangladesh', 'SEARO', '4019', '153277', '38', '1926');
INSERT INTO public.who_import VALUES (6824, '2020-07-04', 'BD', 'Bangladesh', 'SEARO', '3114', '156391', '42', '1968');
INSERT INTO public.who_import VALUES (6825, '2020-07-05', 'BD', 'Bangladesh', 'SEARO', '3288', '159679', '29', '1997');
INSERT INTO public.who_import VALUES (6826, '2020-07-06', 'BD', 'Bangladesh', 'SEARO', '2738', '162417', '55', '2052');
INSERT INTO public.who_import VALUES (6827, '2020-07-07', 'BD', 'Bangladesh', 'SEARO', '3201', '165618', '44', '2096');
INSERT INTO public.who_import VALUES (6828, '2020-07-08', 'BD', 'Bangladesh', 'SEARO', '3027', '168645', '55', '2151');
INSERT INTO public.who_import VALUES (6829, '2020-07-09', 'BD', 'Bangladesh', 'SEARO', '3489', '172134', '46', '2197');
INSERT INTO public.who_import VALUES (6830, '2020-07-10', 'BD', 'Bangladesh', 'SEARO', '3360', '175494', '41', '2238');
INSERT INTO public.who_import VALUES (6831, '2020-07-11', 'BD', 'Bangladesh', 'SEARO', '2949', '178443', '37', '2275');
INSERT INTO public.who_import VALUES (6832, '2020-07-12', 'BD', 'Bangladesh', 'SEARO', '2686', '181129', '30', '2305');
INSERT INTO public.who_import VALUES (6833, '2020-07-13', 'BD', 'Bangladesh', 'SEARO', '2666', '183795', '47', '2352');
INSERT INTO public.who_import VALUES (6834, '2020-07-14', 'BD', 'Bangladesh', 'SEARO', '3099', '186894', '39', '2391');
INSERT INTO public.who_import VALUES (6835, '2020-07-15', 'BD', 'Bangladesh', 'SEARO', '3163', '190057', '33', '2424');
INSERT INTO public.who_import VALUES (6836, '2020-07-16', 'BD', 'Bangladesh', 'SEARO', '3533', '193590', '33', '2457');
INSERT INTO public.who_import VALUES (6837, '2020-07-17', 'BD', 'Bangladesh', 'SEARO', '2733', '196323', '39', '2496');
INSERT INTO public.who_import VALUES (6838, '2020-07-18', 'BD', 'Bangladesh', 'SEARO', '3034', '199357', '51', '2547');
INSERT INTO public.who_import VALUES (6839, '2020-07-19', 'BD', 'Bangladesh', 'SEARO', '2709', '202066', '34', '2581');
INSERT INTO public.who_import VALUES (6840, '2020-07-20', 'BD', 'Bangladesh', 'SEARO', '2459', '204525', '37', '2618');
INSERT INTO public.who_import VALUES (6841, '2020-07-21', 'BD', 'Bangladesh', 'SEARO', '2928', '207453', '50', '2668');
INSERT INTO public.who_import VALUES (6842, '2020-07-22', 'BD', 'Bangladesh', 'SEARO', '3057', '210510', '41', '2709');
INSERT INTO public.who_import VALUES (6843, '2020-07-23', 'BD', 'Bangladesh', 'SEARO', '2744', '213254', '42', '2751');
INSERT INTO public.who_import VALUES (6844, '2020-07-24', 'BD', 'Bangladesh', 'SEARO', '2856', '216110', '50', '2801');
INSERT INTO public.who_import VALUES (6845, '2020-07-25', 'BD', 'Bangladesh', 'SEARO', '2548', '218658', '35', '2836');
INSERT INTO public.who_import VALUES (6846, '2020-07-26', 'BD', 'Bangladesh', 'SEARO', '2520', '221178', '38', '2874');
INSERT INTO public.who_import VALUES (6847, '2020-07-27', 'BD', 'Bangladesh', 'SEARO', '2275', '223453', '54', '2928');
INSERT INTO public.who_import VALUES (6848, '2020-07-28', 'BD', 'Bangladesh', 'SEARO', '2772', '226225', '37', '2965');
INSERT INTO public.who_import VALUES (6849, '2020-07-29', 'BD', 'Bangladesh', 'SEARO', '2960', '229185', '35', '3000');
INSERT INTO public.who_import VALUES (6850, '2020-07-30', 'BD', 'Bangladesh', 'SEARO', '3009', '232194', '35', '3035');
INSERT INTO public.who_import VALUES (6851, '2020-07-31', 'BD', 'Bangladesh', 'SEARO', '2695', '234889', '48', '3083');
INSERT INTO public.who_import VALUES (6852, '2020-08-01', 'BD', 'Bangladesh', 'SEARO', '2772', '237661', '28', '3111');
INSERT INTO public.who_import VALUES (6853, '2020-08-02', 'BD', 'Bangladesh', 'SEARO', '2199', '239860', '21', '3132');
INSERT INTO public.who_import VALUES (6854, '2020-08-03', 'BD', 'Bangladesh', 'SEARO', '886', '240746', '22', '3154');
INSERT INTO public.who_import VALUES (6855, '2020-08-04', 'BD', 'Bangladesh', 'SEARO', '1356', '242102', '30', '3184');
INSERT INTO public.who_import VALUES (6856, '2020-08-05', 'BD', 'Bangladesh', 'SEARO', '1918', '244020', '50', '3234');
INSERT INTO public.who_import VALUES (6857, '2020-08-06', 'BD', 'Bangladesh', 'SEARO', '2654', '246674', '33', '3267');
INSERT INTO public.who_import VALUES (6858, '2020-08-07', 'BD', 'Bangladesh', 'SEARO', '2977', '249651', '39', '3306');
INSERT INTO public.who_import VALUES (6859, '2020-08-08', 'BD', 'Bangladesh', 'SEARO', '2851', '252502', '27', '3333');
INSERT INTO public.who_import VALUES (6860, '2020-08-09', 'BD', 'Bangladesh', 'SEARO', '2611', '255113', '32', '3365');
INSERT INTO public.who_import VALUES (6861, '2020-08-10', 'BD', 'Bangladesh', 'SEARO', '2487', '257600', '34', '3399');
INSERT INTO public.who_import VALUES (6862, '2020-08-11', 'BD', 'Bangladesh', 'SEARO', '2907', '260507', '39', '3438');
INSERT INTO public.who_import VALUES (6863, '2020-08-12', 'BD', 'Bangladesh', 'SEARO', '2996', '263503', '33', '3471');
INSERT INTO public.who_import VALUES (6864, '2020-08-13', 'BD', 'Bangladesh', 'SEARO', '2995', '266498', '42', '3513');
INSERT INTO public.who_import VALUES (6865, '2020-08-14', 'BD', 'Bangladesh', 'SEARO', '2617', '269115', '44', '3557');
INSERT INTO public.who_import VALUES (6866, '2020-08-15', 'BD', 'Bangladesh', 'SEARO', '2766', '271881', '34', '3591');
INSERT INTO public.who_import VALUES (6867, '2020-08-16', 'BD', 'Bangladesh', 'SEARO', '2644', '274525', '34', '3625');
INSERT INTO public.who_import VALUES (6868, '2020-08-17', 'BD', 'Bangladesh', 'SEARO', '2024', '276549', '32', '3657');
INSERT INTO public.who_import VALUES (6869, '2020-08-18', 'BD', 'Bangladesh', 'SEARO', '2595', '279144', '37', '3694');
INSERT INTO public.who_import VALUES (6870, '2020-08-19', 'BD', 'Bangladesh', 'SEARO', '3200', '282344', '46', '3740');
INSERT INTO public.who_import VALUES (6871, '2020-08-20', 'BD', 'Bangladesh', 'SEARO', '2747', '285091', '41', '3781');
INSERT INTO public.who_import VALUES (6872, '2020-08-21', 'BD', 'Bangladesh', 'SEARO', '2868', '287959', '41', '3822');
INSERT INTO public.who_import VALUES (6873, '2020-08-22', 'BD', 'Bangladesh', 'SEARO', '2401', '290360', '39', '3861');
INSERT INTO public.who_import VALUES (6874, '2020-08-23', 'BD', 'Bangladesh', 'SEARO', '2265', '292625', '46', '3907');
INSERT INTO public.who_import VALUES (6875, '2020-08-24', 'BD', 'Bangladesh', 'SEARO', '1973', '294598', '34', '3941');
INSERT INTO public.who_import VALUES (6876, '2020-08-25', 'BD', 'Bangladesh', 'SEARO', '2485', '297083', '42', '3983');
INSERT INTO public.who_import VALUES (6877, '2020-08-26', 'BD', 'Bangladesh', 'SEARO', '2545', '299628', '45', '4028');
INSERT INTO public.who_import VALUES (6878, '2020-08-27', 'BD', 'Bangladesh', 'SEARO', '2519', '302147', '54', '4082');
INSERT INTO public.who_import VALUES (6879, '2020-08-28', 'BD', 'Bangladesh', 'SEARO', '2436', '304583', '45', '4127');
INSERT INTO public.who_import VALUES (6880, '2020-08-29', 'BD', 'Bangladesh', 'SEARO', '2211', '306794', '47', '4174');
INSERT INTO public.who_import VALUES (6881, '2020-08-30', 'BD', 'Bangladesh', 'SEARO', '2131', '308925', '32', '4206');
INSERT INTO public.who_import VALUES (6882, '2020-08-31', 'BD', 'Bangladesh', 'SEARO', '1897', '310822', '42', '4248');
INSERT INTO public.who_import VALUES (6883, '2020-09-01', 'BD', 'Bangladesh', 'SEARO', '2174', '312996', '33', '4281');
INSERT INTO public.who_import VALUES (6884, '2020-09-02', 'BD', 'Bangladesh', 'SEARO', '1950', '314946', '35', '4316');
INSERT INTO public.who_import VALUES (6885, '2020-09-03', 'BD', 'Bangladesh', 'SEARO', '2582', '317528', '35', '4351');
INSERT INTO public.who_import VALUES (6886, '2020-09-04', 'BD', 'Bangladesh', 'SEARO', '2158', '319686', '32', '4383');
INSERT INTO public.who_import VALUES (6887, '2020-09-05', 'BD', 'Bangladesh', 'SEARO', '1929', '321615', '29', '4412');
INSERT INTO public.who_import VALUES (6888, '2020-09-06', 'BD', 'Bangladesh', 'SEARO', '1950', '323565', '35', '4447');
INSERT INTO public.who_import VALUES (6889, '2020-09-07', 'BD', 'Bangladesh', 'SEARO', '1592', '325157', '32', '4479');
INSERT INTO public.who_import VALUES (6890, '2020-09-08', 'BD', 'Bangladesh', 'SEARO', '2202', '327359', '37', '4516');
INSERT INTO public.who_import VALUES (6891, '2020-09-09', 'BD', 'Bangladesh', 'SEARO', '1892', '329251', '36', '4552');
INSERT INTO public.who_import VALUES (6892, '2020-09-10', 'BD', 'Bangladesh', 'SEARO', '1827', '331078', '41', '4593');
INSERT INTO public.who_import VALUES (6893, '2020-09-11', 'BD', 'Bangladesh', 'SEARO', '1892', '332970', '41', '4634');
INSERT INTO public.who_import VALUES (6894, '2020-09-12', 'BD', 'Bangladesh', 'SEARO', '1792', '334762', '34', '4668');
INSERT INTO public.who_import VALUES (6895, '2020-09-13', 'BD', 'Bangladesh', 'SEARO', '1282', '336044', '34', '4702');
INSERT INTO public.who_import VALUES (6896, '2020-09-14', 'BD', 'Bangladesh', 'SEARO', '1476', '337520', '31', '4733');
INSERT INTO public.who_import VALUES (6897, '2020-09-15', 'BD', 'Bangladesh', 'SEARO', '1812', '339332', '26', '4759');
INSERT INTO public.who_import VALUES (6898, '2020-09-16', 'BD', 'Bangladesh', 'SEARO', '1724', '341056', '43', '4802');
INSERT INTO public.who_import VALUES (6899, '2020-09-17', 'BD', 'Bangladesh', 'SEARO', '1615', '342671', '21', '4823');
INSERT INTO public.who_import VALUES (6900, '2020-09-18', 'BD', 'Bangladesh', 'SEARO', '1593', '344264', '36', '4859');
INSERT INTO public.who_import VALUES (6901, '2020-09-19', 'BD', 'Bangladesh', 'SEARO', '1541', '345805', '22', '4881');
INSERT INTO public.who_import VALUES (6902, '2020-09-20', 'BD', 'Bangladesh', 'SEARO', '1567', '347372', '32', '4913');
INSERT INTO public.who_import VALUES (6903, '2020-09-21', 'BD', 'Bangladesh', 'SEARO', '1544', '348916', '26', '4939');
INSERT INTO public.who_import VALUES (6904, '2020-09-22', 'BD', 'Bangladesh', 'SEARO', '1705', '350621', '40', '4979');
INSERT INTO public.who_import VALUES (6905, '2020-09-23', 'BD', 'Bangladesh', 'SEARO', '1557', '352178', '28', '5007');
INSERT INTO public.who_import VALUES (6906, '2020-09-24', 'BD', 'Bangladesh', 'SEARO', '1666', '353844', '37', '5044');
INSERT INTO public.who_import VALUES (6907, '2020-09-25', 'BD', 'Bangladesh', 'SEARO', '1540', '355384', '28', '5072');
INSERT INTO public.who_import VALUES (6908, '2020-09-26', 'BD', 'Bangladesh', 'SEARO', '1383', '356767', '21', '5093');
INSERT INTO public.who_import VALUES (6909, '2020-09-27', 'BD', 'Bangladesh', 'SEARO', '1106', '357873', '36', '5129');
INSERT INTO public.who_import VALUES (6910, '2020-09-28', 'BD', 'Bangladesh', 'SEARO', '1275', '359148', '32', '5161');
INSERT INTO public.who_import VALUES (6911, '2020-09-29', 'BD', 'Bangladesh', 'SEARO', '1407', '360555', '32', '5193');
INSERT INTO public.who_import VALUES (6912, '2020-09-30', 'BD', 'Bangladesh', 'SEARO', '1488', '362043', '26', '5219');
INSERT INTO public.who_import VALUES (6913, '2020-10-01', 'BD', 'Bangladesh', 'SEARO', '1436', '363479', '32', '5251');
INSERT INTO public.who_import VALUES (6914, '2020-10-02', 'BD', 'Bangladesh', 'SEARO', '1508', '364987', '21', '5272');
INSERT INTO public.who_import VALUES (6915, '2020-10-03', 'BD', 'Bangladesh', 'SEARO', '1396', '366383', '33', '5305');
INSERT INTO public.who_import VALUES (6916, '2020-10-04', 'BD', 'Bangladesh', 'SEARO', '1182', '367565', '20', '5325');
INSERT INTO public.who_import VALUES (6917, '2020-10-05', 'BD', 'Bangladesh', 'SEARO', '1125', '368690', '23', '5348');
INSERT INTO public.who_import VALUES (6918, '2020-10-06', 'BD', 'Bangladesh', 'SEARO', '1442', '370132', '27', '5375');
INSERT INTO public.who_import VALUES (6919, '2020-10-07', 'BD', 'Bangladesh', 'SEARO', '1499', '371631', '30', '5405');
INSERT INTO public.who_import VALUES (6920, '2020-10-08', 'BD', 'Bangladesh', 'SEARO', '1520', '373151', '35', '5440');
INSERT INTO public.who_import VALUES (6921, '2020-10-09', 'BD', 'Bangladesh', 'SEARO', '1441', '374592', '20', '5460');
INSERT INTO public.who_import VALUES (6922, '2020-10-10', 'BD', 'Bangladesh', 'SEARO', '1278', '375870', '17', '5477');
INSERT INTO public.who_import VALUES (6923, '2020-10-11', 'BD', 'Bangladesh', 'SEARO', '1203', '377073', '23', '5500');
INSERT INTO public.who_import VALUES (6924, '2020-10-12', 'BD', 'Bangladesh', 'SEARO', '1193', '378266', '24', '5524');
INSERT INTO public.who_import VALUES (6925, '2020-10-13', 'BD', 'Bangladesh', 'SEARO', '1472', '379738', '31', '5555');
INSERT INTO public.who_import VALUES (6926, '2020-10-14', 'BD', 'Bangladesh', 'SEARO', '1537', '381275', '22', '5577');
INSERT INTO public.who_import VALUES (6927, '2020-10-15', 'BD', 'Bangladesh', 'SEARO', '1684', '382959', '16', '5593');
INSERT INTO public.who_import VALUES (6928, '2020-10-16', 'BD', 'Bangladesh', 'SEARO', '1600', '384559', '15', '5608');
INSERT INTO public.who_import VALUES (6929, '2020-10-17', 'BD', 'Bangladesh', 'SEARO', '1527', '386086', '15', '5623');
INSERT INTO public.who_import VALUES (6930, '2020-10-18', 'BD', 'Bangladesh', 'SEARO', '1209', '387295', '23', '5646');
INSERT INTO public.who_import VALUES (6931, '2020-10-19', 'BD', 'Bangladesh', 'SEARO', '1274', '388569', '14', '5660');
INSERT INTO public.who_import VALUES (6932, '2020-10-20', 'BD', 'Bangladesh', 'SEARO', '1637', '390206', '21', '5681');
INSERT INTO public.who_import VALUES (6933, '2020-10-21', 'BD', 'Bangladesh', 'SEARO', '1380', '391586', '18', '5699');
INSERT INTO public.who_import VALUES (6934, '2020-10-22', 'BD', 'Bangladesh', 'SEARO', '1545', '393131', '24', '5723');
INSERT INTO public.who_import VALUES (6935, '2020-10-23', 'BD', 'Bangladesh', 'SEARO', '1696', '394827', '24', '5747');
INSERT INTO public.who_import VALUES (6936, '2020-10-24', 'BD', 'Bangladesh', 'SEARO', '1586', '396413', '14', '5761');
INSERT INTO public.who_import VALUES (6937, '2020-10-25', 'BD', 'Bangladesh', 'SEARO', '1094', '397507', '19', '5780');
INSERT INTO public.who_import VALUES (6938, '2020-10-26', 'BD', 'Bangladesh', 'SEARO', '1308', '398815', '23', '5803');
INSERT INTO public.who_import VALUES (6939, '2020-10-27', 'BD', 'Bangladesh', 'SEARO', '1436', '400251', '15', '5818');
INSERT INTO public.who_import VALUES (6940, '2020-10-28', 'BD', 'Bangladesh', 'SEARO', '1335', '401586', '20', '5838');
INSERT INTO public.who_import VALUES (6941, '2020-10-29', 'BD', 'Bangladesh', 'SEARO', '1493', '403079', '23', '5861');
INSERT INTO public.who_import VALUES (6942, '2020-10-30', 'BD', 'Bangladesh', 'SEARO', '1681', '404760', '25', '5886');
INSERT INTO public.who_import VALUES (6943, '2020-10-31', 'BD', 'Bangladesh', 'SEARO', '1604', '406364', '19', '5905');
INSERT INTO public.who_import VALUES (6944, '2020-11-01', 'BD', 'Bangladesh', 'SEARO', '1320', '407684', '18', '5923');
INSERT INTO public.who_import VALUES (6945, '2020-11-02', 'BD', 'Bangladesh', 'SEARO', '1568', '409252', '18', '5941');
INSERT INTO public.who_import VALUES (6946, '2020-11-03', 'BD', 'Bangladesh', 'SEARO', '1736', '410988', '25', '5966');
INSERT INTO public.who_import VALUES (6947, '2020-11-04', 'BD', 'Bangladesh', 'SEARO', '1659', '412647', '17', '5983');
INSERT INTO public.who_import VALUES (6948, '2020-11-05', 'BD', 'Bangladesh', 'SEARO', '1517', '414164', '21', '6004');
INSERT INTO public.who_import VALUES (6949, '2020-11-06', 'BD', 'Bangladesh', 'SEARO', '1842', '416006', '17', '6021');
INSERT INTO public.who_import VALUES (6950, '2020-11-07', 'BD', 'Bangladesh', 'SEARO', '1469', '417475', '15', '6036');
INSERT INTO public.who_import VALUES (6951, '2020-11-08', 'BD', 'Bangladesh', 'SEARO', '1289', '418764', '13', '6049');
INSERT INTO public.who_import VALUES (6952, '2020-11-09', 'BD', 'Bangladesh', 'SEARO', '1474', '420238', '18', '6067');
INSERT INTO public.who_import VALUES (6953, '2020-11-10', 'BD', 'Bangladesh', 'SEARO', '1683', '421921', '25', '6092');
INSERT INTO public.who_import VALUES (6954, '2020-11-11', 'BD', 'Bangladesh', 'SEARO', '1699', '423620', '16', '6108');
INSERT INTO public.who_import VALUES (6955, '2020-11-12', 'BD', 'Bangladesh', 'SEARO', '1733', '425353', '19', '6127');
INSERT INTO public.who_import VALUES (6956, '2020-11-13', 'BD', 'Bangladesh', 'SEARO', '1845', '427198', '13', '6140');
INSERT INTO public.who_import VALUES (6957, '2020-11-14', 'BD', 'Bangladesh', 'SEARO', '1767', '428965', '19', '6159');
INSERT INTO public.who_import VALUES (6958, '2020-11-15', 'BD', 'Bangladesh', 'SEARO', '1531', '430496', '14', '6173');
INSERT INTO public.who_import VALUES (6959, '2020-11-16', 'BD', 'Bangladesh', 'SEARO', '1837', '432333', '21', '6194');
INSERT INTO public.who_import VALUES (6960, '2020-11-17', 'BD', 'Bangladesh', 'SEARO', '2139', '434472', '21', '6215');
INSERT INTO public.who_import VALUES (6961, '2020-11-18', 'BD', 'Bangladesh', 'SEARO', '2212', '436684', '39', '6254');
INSERT INTO public.who_import VALUES (6962, '2020-11-19', 'BD', 'Bangladesh', 'SEARO', '2111', '438795', '21', '6275');
INSERT INTO public.who_import VALUES (6963, '2020-11-20', 'BD', 'Bangladesh', 'SEARO', '2364', '441159', '30', '6305');
INSERT INTO public.who_import VALUES (6964, '2020-11-21', 'BD', 'Bangladesh', 'SEARO', '2275', '443434', '17', '6322');
INSERT INTO public.who_import VALUES (6965, '2020-11-22', 'BD', 'Bangladesh', 'SEARO', '1847', '445281', '28', '6350');
INSERT INTO public.who_import VALUES (6966, '2020-11-23', 'BD', 'Bangladesh', 'SEARO', '2060', '447341', '38', '6388');
INSERT INTO public.who_import VALUES (6967, '2020-11-24', 'BD', 'Bangladesh', 'SEARO', '2419', '449760', '28', '6416');
INSERT INTO public.who_import VALUES (6968, '2020-11-25', 'BD', 'Bangladesh', 'SEARO', '2230', '451990', '32', '6448');
INSERT INTO public.who_import VALUES (6969, '2020-11-26', 'BD', 'Bangladesh', 'SEARO', '2156', '454146', '39', '6487');
INSERT INTO public.who_import VALUES (6970, '2020-11-27', 'BD', 'Bangladesh', 'SEARO', '2292', '456438', '37', '6524');
INSERT INTO public.who_import VALUES (6971, '2020-11-28', 'BD', 'Bangladesh', 'SEARO', '2273', '458711', '20', '6544');
INSERT INTO public.who_import VALUES (6972, '2020-11-29', 'BD', 'Bangladesh', 'SEARO', '1908', '460619', '36', '6580');
INSERT INTO public.who_import VALUES (6973, '2020-11-30', 'BD', 'Bangladesh', 'SEARO', '1788', '462407', '29', '6609');
INSERT INTO public.who_import VALUES (6974, '2020-12-01', 'BD', 'Bangladesh', 'SEARO', '2525', '464932', '35', '6644');
INSERT INTO public.who_import VALUES (6975, '2020-12-02', 'BD', 'Bangladesh', 'SEARO', '2293', '467225', '31', '6675');
INSERT INTO public.who_import VALUES (6976, '2020-12-03', 'BD', 'Bangladesh', 'SEARO', '2198', '469423', '38', '6713');
INSERT INTO public.who_import VALUES (6977, '2020-12-04', 'BD', 'Bangladesh', 'SEARO', '2316', '471739', '35', '6748');
INSERT INTO public.who_import VALUES (6978, '2020-12-05', 'BD', 'Bangladesh', 'SEARO', '2252', '473991', '24', '6772');
INSERT INTO public.who_import VALUES (6979, '2020-12-06', 'BD', 'Bangladesh', 'SEARO', '1888', '475879', '35', '6807');
INSERT INTO public.who_import VALUES (6980, '2020-12-07', 'BD', 'Bangladesh', 'SEARO', '1666', '477545', '31', '6838');
INSERT INTO public.who_import VALUES (6981, '2020-12-08', 'BD', 'Bangladesh', 'SEARO', '2198', '479743', '36', '6874');
INSERT INTO public.who_import VALUES (6982, '2020-12-09', 'BD', 'Bangladesh', 'SEARO', '2202', '481945', '32', '6906');
INSERT INTO public.who_import VALUES (6983, '2020-12-10', 'BD', 'Bangladesh', 'SEARO', '2159', '484104', '24', '6930');
INSERT INTO public.who_import VALUES (6984, '2020-12-11', 'BD', 'Bangladesh', 'SEARO', '1861', '485965', '37', '6967');
INSERT INTO public.who_import VALUES (6985, '2020-12-12', 'BD', 'Bangladesh', 'SEARO', '1884', '487849', '19', '6986');
INSERT INTO public.who_import VALUES (6986, '2020-12-13', 'BD', 'Bangladesh', 'SEARO', '1329', '489178', '34', '7020');
INSERT INTO public.who_import VALUES (6987, '2020-12-14', 'BD', 'Bangladesh', 'SEARO', '1355', '490533', '32', '7052');
INSERT INTO public.who_import VALUES (6988, '2020-12-15', 'BD', 'Bangladesh', 'SEARO', '1799', '492332', '37', '7089');
INSERT INTO public.who_import VALUES (6989, '2020-12-16', 'BD', 'Bangladesh', 'SEARO', '1877', '494209', '40', '7129');
INSERT INTO public.who_import VALUES (6990, '2020-12-17', 'BD', 'Bangladesh', 'SEARO', '1632', '495841', '27', '7156');
INSERT INTO public.who_import VALUES (6991, '2020-12-18', 'BD', 'Bangladesh', 'SEARO', '1134', '496975', '36', '7192');
INSERT INTO public.who_import VALUES (6992, '2020-12-19', 'BD', 'Bangladesh', 'SEARO', '1318', '498293', '25', '7217');
INSERT INTO public.who_import VALUES (6993, '2020-12-20', 'BD', 'Bangladesh', 'SEARO', '1267', '499560', '25', '7242');
INSERT INTO public.who_import VALUES (6994, '2020-12-21', 'BD', 'Bangladesh', 'SEARO', '1153', '500713', '38', '7280');
INSERT INTO public.who_import VALUES (6995, '2020-12-22', 'BD', 'Bangladesh', 'SEARO', '1470', '502183', '32', '7312');
INSERT INTO public.who_import VALUES (6996, '2020-12-23', 'BD', 'Bangladesh', 'SEARO', '1318', '503501', '17', '7329');
INSERT INTO public.who_import VALUES (6997, '2020-12-24', 'BD', 'Bangladesh', 'SEARO', '1367', '504868', '30', '7359');
INSERT INTO public.who_import VALUES (6998, '2020-12-25', 'BD', 'Bangladesh', 'SEARO', '1234', '506102', '19', '7378');
INSERT INTO public.who_import VALUES (6999, '2020-12-26', 'BD', 'Bangladesh', 'SEARO', '1163', '507265', '20', '7398');
INSERT INTO public.who_import VALUES (7000, '2020-12-27', 'BD', 'Bangladesh', 'SEARO', '834', '508099', '30', '7428');
INSERT INTO public.who_import VALUES (7001, '2020-12-28', 'BD', 'Bangladesh', 'SEARO', '1049', '509148', '24', '7452');
INSERT INTO public.who_import VALUES (7002, '2020-12-29', 'BD', 'Bangladesh', 'SEARO', '932', '510080', '27', '7479');
INSERT INTO public.who_import VALUES (7003, '2020-12-30', 'BD', 'Bangladesh', 'SEARO', '1181', '511261', '30', '7509');
INSERT INTO public.who_import VALUES (7004, '2020-12-31', 'BD', 'Bangladesh', 'SEARO', '1235', '512496', '22', '7531');
INSERT INTO public.who_import VALUES (7005, '2021-01-01', 'BD', 'Bangladesh', 'SEARO', '1014', '513510', '28', '7559');
INSERT INTO public.who_import VALUES (7006, '2021-01-02', 'BD', 'Bangladesh', 'SEARO', '990', '514500', '17', '7576');
INSERT INTO public.who_import VALUES (7007, '2021-01-03', 'BD', 'Bangladesh', 'SEARO', '684', '515184', '23', '7599');
INSERT INTO public.who_import VALUES (7008, '2021-01-04', 'BD', 'Bangladesh', 'SEARO', '835', '516019', '27', '7626');
INSERT INTO public.who_import VALUES (7009, '2021-01-05', 'BD', 'Bangladesh', 'SEARO', '910', '516929', '24', '7650');
INSERT INTO public.who_import VALUES (7010, '2021-01-06', 'BD', 'Bangladesh', 'SEARO', '991', '517920', '20', '7670');
INSERT INTO public.who_import VALUES (7011, '2021-01-07', 'BD', 'Bangladesh', 'SEARO', '978', '518898', '17', '7687');
INSERT INTO public.who_import VALUES (7012, '2021-01-08', 'BD', 'Bangladesh', 'SEARO', '1007', '519905', '31', '7718');
INSERT INTO public.who_import VALUES (7013, '2021-01-09', 'BD', 'Bangladesh', 'SEARO', '785', '520690', '16', '7734');
INSERT INTO public.who_import VALUES (7014, '2021-01-10', 'BD', 'Bangladesh', 'SEARO', '692', '521382', '22', '7756');
INSERT INTO public.who_import VALUES (7015, '2021-01-11', 'BD', 'Bangladesh', 'SEARO', '1071', '522453', '25', '7781');
INSERT INTO public.who_import VALUES (7016, '2021-01-12', 'BD', 'Bangladesh', 'SEARO', '849', '523302', '22', '7803');
INSERT INTO public.who_import VALUES (7017, '2021-01-13', 'BD', 'Bangladesh', 'SEARO', '718', '524020', '16', '7819');
INSERT INTO public.who_import VALUES (7018, '2021-01-14', 'BD', 'Bangladesh', 'SEARO', '890', '524910', '14', '7833');
INSERT INTO public.who_import VALUES (7019, '2021-01-15', 'BD', 'Bangladesh', 'SEARO', '813', '525723', '16', '7849');
INSERT INTO public.who_import VALUES (7020, '2021-01-16', 'BD', 'Bangladesh', 'SEARO', '762', '526485', '13', '7862');
INSERT INTO public.who_import VALUES (7021, '2021-01-17', 'BD', 'Bangladesh', 'SEARO', '578', '527063', '21', '7883');
INSERT INTO public.who_import VALUES (7022, '2021-01-18', 'BD', 'Bangladesh', 'SEARO', '569', '527632', '23', '7906');
INSERT INTO public.who_import VALUES (7023, '2021-01-19', 'BD', 'Bangladesh', 'SEARO', '697', '528329', '16', '7922');
INSERT INTO public.who_import VALUES (7024, '2021-01-20', 'BD', 'Bangladesh', 'SEARO', '702', '529031', '20', '7942');
INSERT INTO public.who_import VALUES (7025, '2021-01-21', 'BD', 'Bangladesh', 'SEARO', '656', '529687', '8', '7950');
INSERT INTO public.who_import VALUES (7026, '2021-01-22', 'BD', 'Bangladesh', 'SEARO', '584', '530271', '16', '7966');
INSERT INTO public.who_import VALUES (7027, '2021-01-23', 'BD', 'Bangladesh', 'SEARO', '619', '530890', '15', '7981');
INSERT INTO public.who_import VALUES (7028, '2021-01-24', 'BD', 'Bangladesh', 'SEARO', '436', '531326', '22', '8003');
INSERT INTO public.who_import VALUES (7029, '2021-01-25', 'BD', 'Bangladesh', 'SEARO', '473', '531799', '20', '8023');
INSERT INTO public.who_import VALUES (7030, '2021-01-26', 'BD', 'Bangladesh', 'SEARO', '602', '532401', '18', '8041');
INSERT INTO public.who_import VALUES (7031, '2021-01-27', 'BD', 'Bangladesh', 'SEARO', '515', '532916', '14', '8055');
INSERT INTO public.who_import VALUES (7032, '2021-01-28', 'BD', 'Bangladesh', 'SEARO', '528', '533444', '17', '8072');
INSERT INTO public.who_import VALUES (7033, '2021-01-29', 'BD', 'Bangladesh', 'SEARO', '509', '533953', '15', '8087');
INSERT INTO public.who_import VALUES (7034, '2021-01-30', 'BD', 'Bangladesh', 'SEARO', '454', '534407', '7', '8094');
INSERT INTO public.who_import VALUES (7035, '2021-01-31', 'BD', 'Bangladesh', 'SEARO', '363', '534770', '17', '8111');
INSERT INTO public.who_import VALUES (7036, '2021-02-01', 'BD', 'Bangladesh', 'SEARO', '369', '535139', '16', '8127');
INSERT INTO public.who_import VALUES (7037, '2021-02-02', 'BD', 'Bangladesh', 'SEARO', '443', '535582', '10', '8137');
INSERT INTO public.who_import VALUES (7038, '2021-02-03', 'BD', 'Bangladesh', 'SEARO', '525', '536107', '12', '8149');
INSERT INTO public.who_import VALUES (7039, '2021-02-04', 'BD', 'Bangladesh', 'SEARO', '438', '536545', '13', '8162');
INSERT INTO public.who_import VALUES (7040, '2021-02-05', 'BD', 'Bangladesh', 'SEARO', '485', '537030', '13', '8175');
INSERT INTO public.who_import VALUES (7041, '2021-02-06', 'BD', 'Bangladesh', 'SEARO', '435', '537465', '7', '8182');
INSERT INTO public.who_import VALUES (7042, '2021-02-07', 'BD', 'Bangladesh', 'SEARO', '305', '537770', '8', '8190');
INSERT INTO public.who_import VALUES (7043, '2021-02-08', 'BD', 'Bangladesh', 'SEARO', '292', '538062', '15', '8205');
INSERT INTO public.who_import VALUES (7044, '2021-02-09', 'BD', 'Bangladesh', 'SEARO', '316', '538378', '16', '8221');
INSERT INTO public.who_import VALUES (7045, '2021-02-10', 'BD', 'Bangladesh', 'SEARO', '387', '538765', '8', '8229');
INSERT INTO public.who_import VALUES (7046, '2021-02-11', 'BD', 'Bangladesh', 'SEARO', '388', '539153', '10', '8239');
INSERT INTO public.who_import VALUES (7047, '2021-02-12', 'BD', 'Bangladesh', 'SEARO', '418', '539571', '9', '8248');
INSERT INTO public.who_import VALUES (7048, '2021-02-13', 'BD', 'Bangladesh', 'SEARO', '404', '539975', '5', '8253');
INSERT INTO public.who_import VALUES (7049, '2021-02-14', 'BD', 'Bangladesh', 'SEARO', '291', '540266', '13', '8266');
INSERT INTO public.who_import VALUES (7050, '2021-02-15', 'BD', 'Bangladesh', 'SEARO', '772', '541038', '19', '8285');
INSERT INTO public.who_import VALUES (7051, '2021-02-16', 'BD', 'Bangladesh', 'SEARO', '0', '541038', '0', '8285');
INSERT INTO public.who_import VALUES (7052, '2021-02-17', 'BD', 'Bangladesh', 'SEARO', '396', '541434', '13', '8298');
INSERT INTO public.who_import VALUES (7053, '2021-02-18', 'BD', 'Bangladesh', 'SEARO', '443', '541877', '16', '8314');
INSERT INTO public.who_import VALUES (7054, '2021-02-19', 'BD', 'Bangladesh', 'SEARO', '391', '542268', '15', '8329');
INSERT INTO public.who_import VALUES (7055, '2021-02-20', 'BD', 'Bangladesh', 'SEARO', '406', '542674', '8', '8337');
INSERT INTO public.who_import VALUES (7056, '2020-01-03', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7057, '2020-01-04', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7058, '2020-01-05', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7059, '2020-01-06', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7060, '2020-01-07', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7061, '2020-01-08', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7062, '2020-01-09', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7063, '2020-01-10', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7064, '2020-01-11', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7065, '2020-01-12', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7066, '2020-01-13', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7067, '2020-01-14', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7068, '2020-01-15', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7069, '2020-01-16', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7070, '2020-01-17', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7071, '2020-01-18', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7072, '2020-01-19', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7073, '2020-01-20', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7074, '2020-01-21', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7075, '2020-01-22', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7076, '2020-01-23', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7077, '2020-01-24', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7078, '2020-01-25', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7079, '2020-01-26', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7080, '2020-01-27', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7081, '2020-01-28', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7082, '2020-01-29', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7083, '2020-01-30', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7084, '2020-01-31', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7085, '2020-02-01', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7086, '2020-02-02', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7087, '2020-02-03', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7088, '2020-02-04', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7089, '2020-02-05', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7090, '2020-02-06', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7091, '2020-02-07', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7092, '2020-02-08', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7093, '2020-02-09', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7094, '2020-02-10', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7095, '2020-02-11', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7096, '2020-02-12', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7097, '2020-02-13', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7098, '2020-02-14', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7099, '2020-02-15', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7100, '2020-02-16', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7101, '2020-02-17', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7102, '2020-02-18', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7103, '2020-02-19', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7104, '2020-02-20', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7105, '2020-02-21', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7106, '2020-02-22', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7107, '2020-02-23', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7108, '2020-02-24', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7109, '2020-02-25', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7110, '2020-02-26', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7111, '2020-02-27', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7112, '2020-02-28', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7113, '2020-02-29', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7114, '2020-03-01', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7115, '2020-03-02', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7116, '2020-03-03', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7117, '2020-03-04', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7118, '2020-03-05', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7119, '2020-03-06', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7120, '2020-03-07', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7121, '2020-03-08', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7122, '2020-03-09', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7123, '2020-03-10', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7124, '2020-03-11', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7125, '2020-03-12', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7126, '2020-03-13', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7127, '2020-03-14', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7128, '2020-03-15', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7129, '2020-03-16', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7130, '2020-03-17', 'BB', 'Barbados', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7131, '2020-03-18', 'BB', 'Barbados', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (7132, '2020-03-19', 'BB', 'Barbados', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (7133, '2020-03-20', 'BB', 'Barbados', 'AMRO', '-1', '5', '0', '0');
INSERT INTO public.who_import VALUES (7134, '2020-03-21', 'BB', 'Barbados', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (7135, '2020-03-22', 'BB', 'Barbados', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (7136, '2020-03-23', 'BB', 'Barbados', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (7137, '2020-03-24', 'BB', 'Barbados', 'AMRO', '13', '18', '0', '0');
INSERT INTO public.who_import VALUES (7138, '2020-03-25', 'BB', 'Barbados', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (7139, '2020-03-26', 'BB', 'Barbados', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (7140, '2020-03-27', 'BB', 'Barbados', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (7141, '2020-03-28', 'BB', 'Barbados', 'AMRO', '6', '24', '0', '0');
INSERT INTO public.who_import VALUES (7142, '2020-03-29', 'BB', 'Barbados', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (7143, '2020-03-30', 'BB', 'Barbados', 'AMRO', '2', '26', '0', '0');
INSERT INTO public.who_import VALUES (7144, '2020-03-31', 'BB', 'Barbados', 'AMRO', '7', '33', '0', '0');
INSERT INTO public.who_import VALUES (7145, '2020-04-01', 'BB', 'Barbados', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (7146, '2020-04-02', 'BB', 'Barbados', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (7147, '2020-04-03', 'BB', 'Barbados', 'AMRO', '12', '45', '0', '0');
INSERT INTO public.who_import VALUES (7148, '2020-04-04', 'BB', 'Barbados', 'AMRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (7149, '2020-04-05', 'BB', 'Barbados', 'AMRO', '6', '51', '0', '0');
INSERT INTO public.who_import VALUES (7150, '2020-04-06', 'BB', 'Barbados', 'AMRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (7151, '2020-04-07', 'BB', 'Barbados', 'AMRO', '5', '56', '1', '1');
INSERT INTO public.who_import VALUES (7152, '2020-04-08', 'BB', 'Barbados', 'AMRO', '4', '60', '1', '2');
INSERT INTO public.who_import VALUES (7153, '2020-04-09', 'BB', 'Barbados', 'AMRO', '3', '63', '1', '3');
INSERT INTO public.who_import VALUES (7154, '2020-04-10', 'BB', 'Barbados', 'AMRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (7155, '2020-04-11', 'BB', 'Barbados', 'AMRO', '3', '66', '1', '4');
INSERT INTO public.who_import VALUES (7156, '2020-04-12', 'BB', 'Barbados', 'AMRO', '1', '67', '0', '4');
INSERT INTO public.who_import VALUES (7157, '2020-04-13', 'BB', 'Barbados', 'AMRO', '1', '68', '0', '4');
INSERT INTO public.who_import VALUES (7158, '2020-04-14', 'BB', 'Barbados', 'AMRO', '3', '71', '0', '4');
INSERT INTO public.who_import VALUES (7159, '2020-04-15', 'BB', 'Barbados', 'AMRO', '1', '72', '0', '4');
INSERT INTO public.who_import VALUES (7160, '2020-04-16', 'BB', 'Barbados', 'AMRO', '1', '73', '1', '5');
INSERT INTO public.who_import VALUES (7161, '2020-04-17', 'BB', 'Barbados', 'AMRO', '2', '75', '0', '5');
INSERT INTO public.who_import VALUES (7162, '2020-04-18', 'BB', 'Barbados', 'AMRO', '0', '75', '0', '5');
INSERT INTO public.who_import VALUES (7163, '2020-04-19', 'BB', 'Barbados', 'AMRO', '0', '75', '0', '5');
INSERT INTO public.who_import VALUES (7164, '2020-04-20', 'BB', 'Barbados', 'AMRO', '0', '75', '0', '5');
INSERT INTO public.who_import VALUES (7165, '2020-04-21', 'BB', 'Barbados', 'AMRO', '0', '75', '0', '5');
INSERT INTO public.who_import VALUES (7166, '2020-04-22', 'BB', 'Barbados', 'AMRO', '0', '75', '0', '5');
INSERT INTO public.who_import VALUES (7167, '2020-04-23', 'BB', 'Barbados', 'AMRO', '0', '75', '0', '5');
INSERT INTO public.who_import VALUES (7168, '2020-04-24', 'BB', 'Barbados', 'AMRO', '1', '76', '1', '6');
INSERT INTO public.who_import VALUES (7169, '2020-04-25', 'BB', 'Barbados', 'AMRO', '0', '76', '0', '6');
INSERT INTO public.who_import VALUES (7170, '2020-04-26', 'BB', 'Barbados', 'AMRO', '1', '77', '0', '6');
INSERT INTO public.who_import VALUES (7171, '2020-04-27', 'BB', 'Barbados', 'AMRO', '2', '79', '0', '6');
INSERT INTO public.who_import VALUES (7172, '2020-04-28', 'BB', 'Barbados', 'AMRO', '0', '79', '0', '6');
INSERT INTO public.who_import VALUES (7173, '2020-04-29', 'BB', 'Barbados', 'AMRO', '1', '80', '0', '6');
INSERT INTO public.who_import VALUES (7174, '2020-04-30', 'BB', 'Barbados', 'AMRO', '0', '80', '0', '6');
INSERT INTO public.who_import VALUES (7175, '2020-05-01', 'BB', 'Barbados', 'AMRO', '0', '80', '1', '7');
INSERT INTO public.who_import VALUES (7176, '2020-05-02', 'BB', 'Barbados', 'AMRO', '1', '81', '0', '7');
INSERT INTO public.who_import VALUES (7177, '2020-05-03', 'BB', 'Barbados', 'AMRO', '0', '81', '0', '7');
INSERT INTO public.who_import VALUES (7178, '2020-05-04', 'BB', 'Barbados', 'AMRO', '0', '81', '0', '7');
INSERT INTO public.who_import VALUES (7179, '2020-05-05', 'BB', 'Barbados', 'AMRO', '1', '82', '0', '7');
INSERT INTO public.who_import VALUES (7180, '2020-05-06', 'BB', 'Barbados', 'AMRO', '0', '82', '0', '7');
INSERT INTO public.who_import VALUES (7181, '2020-05-07', 'BB', 'Barbados', 'AMRO', '0', '82', '0', '7');
INSERT INTO public.who_import VALUES (7182, '2020-05-08', 'BB', 'Barbados', 'AMRO', '0', '82', '0', '7');
INSERT INTO public.who_import VALUES (7183, '2020-05-09', 'BB', 'Barbados', 'AMRO', '0', '82', '0', '7');
INSERT INTO public.who_import VALUES (7184, '2020-05-10', 'BB', 'Barbados', 'AMRO', '0', '82', '0', '7');
INSERT INTO public.who_import VALUES (7185, '2020-05-11', 'BB', 'Barbados', 'AMRO', '2', '84', '0', '7');
INSERT INTO public.who_import VALUES (7186, '2020-05-12', 'BB', 'Barbados', 'AMRO', '0', '84', '0', '7');
INSERT INTO public.who_import VALUES (7187, '2020-05-13', 'BB', 'Barbados', 'AMRO', '0', '84', '0', '7');
INSERT INTO public.who_import VALUES (7188, '2020-05-14', 'BB', 'Barbados', 'AMRO', '1', '85', '0', '7');
INSERT INTO public.who_import VALUES (7189, '2020-05-15', 'BB', 'Barbados', 'AMRO', '0', '85', '0', '7');
INSERT INTO public.who_import VALUES (7190, '2020-05-16', 'BB', 'Barbados', 'AMRO', '0', '85', '0', '7');
INSERT INTO public.who_import VALUES (7191, '2020-05-17', 'BB', 'Barbados', 'AMRO', '0', '85', '0', '7');
INSERT INTO public.who_import VALUES (7192, '2020-05-18', 'BB', 'Barbados', 'AMRO', '1', '86', '0', '7');
INSERT INTO public.who_import VALUES (7193, '2020-05-19', 'BB', 'Barbados', 'AMRO', '2', '88', '0', '7');
INSERT INTO public.who_import VALUES (7194, '2020-05-20', 'BB', 'Barbados', 'AMRO', '0', '88', '0', '7');
INSERT INTO public.who_import VALUES (7195, '2020-05-21', 'BB', 'Barbados', 'AMRO', '2', '90', '0', '7');
INSERT INTO public.who_import VALUES (7196, '2020-05-22', 'BB', 'Barbados', 'AMRO', '0', '90', '0', '7');
INSERT INTO public.who_import VALUES (7197, '2020-05-23', 'BB', 'Barbados', 'AMRO', '0', '90', '0', '7');
INSERT INTO public.who_import VALUES (7198, '2020-05-24', 'BB', 'Barbados', 'AMRO', '0', '90', '0', '7');
INSERT INTO public.who_import VALUES (7199, '2020-05-25', 'BB', 'Barbados', 'AMRO', '2', '92', '0', '7');
INSERT INTO public.who_import VALUES (7200, '2020-05-26', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7201, '2020-05-27', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7202, '2020-05-28', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7203, '2020-05-29', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7204, '2020-05-30', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7205, '2020-05-31', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7206, '2020-06-01', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7207, '2020-06-02', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7208, '2020-06-03', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7209, '2020-06-04', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7210, '2020-06-05', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7211, '2020-06-06', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7212, '2020-06-07', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7213, '2020-06-08', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7214, '2020-06-09', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7215, '2020-06-10', 'BB', 'Barbados', 'AMRO', '0', '92', '0', '7');
INSERT INTO public.who_import VALUES (7216, '2020-06-11', 'BB', 'Barbados', 'AMRO', '4', '96', '0', '7');
INSERT INTO public.who_import VALUES (7217, '2020-06-12', 'BB', 'Barbados', 'AMRO', '0', '96', '0', '7');
INSERT INTO public.who_import VALUES (7218, '2020-06-13', 'BB', 'Barbados', 'AMRO', '0', '96', '0', '7');
INSERT INTO public.who_import VALUES (7219, '2020-06-14', 'BB', 'Barbados', 'AMRO', '0', '96', '0', '7');
INSERT INTO public.who_import VALUES (7220, '2020-06-15', 'BB', 'Barbados', 'AMRO', '0', '96', '0', '7');
INSERT INTO public.who_import VALUES (7221, '2020-06-16', 'BB', 'Barbados', 'AMRO', '1', '97', '0', '7');
INSERT INTO public.who_import VALUES (7222, '2020-06-17', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7223, '2020-06-18', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7224, '2020-06-19', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7225, '2020-06-20', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7226, '2020-06-21', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7227, '2020-06-22', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7228, '2020-06-23', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7229, '2020-06-24', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7230, '2020-06-25', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7231, '2020-06-26', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7232, '2020-06-27', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7233, '2020-06-28', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7234, '2020-06-29', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7235, '2020-06-30', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7236, '2020-07-01', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7237, '2020-07-02', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7238, '2020-07-03', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7239, '2020-07-04', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7240, '2020-07-05', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7241, '2020-07-06', 'BB', 'Barbados', 'AMRO', '0', '97', '0', '7');
INSERT INTO public.who_import VALUES (7242, '2020-07-07', 'BB', 'Barbados', 'AMRO', '1', '98', '0', '7');
INSERT INTO public.who_import VALUES (7243, '2020-07-08', 'BB', 'Barbados', 'AMRO', '0', '98', '0', '7');
INSERT INTO public.who_import VALUES (7244, '2020-07-09', 'BB', 'Barbados', 'AMRO', '0', '98', '0', '7');
INSERT INTO public.who_import VALUES (7245, '2020-07-10', 'BB', 'Barbados', 'AMRO', '0', '98', '0', '7');
INSERT INTO public.who_import VALUES (7246, '2020-07-11', 'BB', 'Barbados', 'AMRO', '0', '98', '0', '7');
INSERT INTO public.who_import VALUES (7247, '2020-07-12', 'BB', 'Barbados', 'AMRO', '0', '98', '0', '7');
INSERT INTO public.who_import VALUES (7248, '2020-07-13', 'BB', 'Barbados', 'AMRO', '5', '103', '0', '7');
INSERT INTO public.who_import VALUES (7249, '2020-07-14', 'BB', 'Barbados', 'AMRO', '0', '103', '0', '7');
INSERT INTO public.who_import VALUES (7250, '2020-07-15', 'BB', 'Barbados', 'AMRO', '0', '103', '0', '7');
INSERT INTO public.who_import VALUES (7251, '2020-07-16', 'BB', 'Barbados', 'AMRO', '0', '103', '0', '7');
INSERT INTO public.who_import VALUES (7252, '2020-07-17', 'BB', 'Barbados', 'AMRO', '1', '104', '0', '7');
INSERT INTO public.who_import VALUES (7253, '2020-07-18', 'BB', 'Barbados', 'AMRO', '0', '104', '0', '7');
INSERT INTO public.who_import VALUES (7254, '2020-07-19', 'BB', 'Barbados', 'AMRO', '0', '104', '0', '7');
INSERT INTO public.who_import VALUES (7255, '2020-07-20', 'BB', 'Barbados', 'AMRO', '1', '105', '0', '7');
INSERT INTO public.who_import VALUES (7256, '2020-07-21', 'BB', 'Barbados', 'AMRO', '0', '105', '0', '7');
INSERT INTO public.who_import VALUES (7257, '2020-07-22', 'BB', 'Barbados', 'AMRO', '1', '106', '0', '7');
INSERT INTO public.who_import VALUES (7258, '2020-07-23', 'BB', 'Barbados', 'AMRO', '0', '106', '0', '7');
INSERT INTO public.who_import VALUES (7259, '2020-07-24', 'BB', 'Barbados', 'AMRO', '0', '106', '0', '7');
INSERT INTO public.who_import VALUES (7260, '2020-07-25', 'BB', 'Barbados', 'AMRO', '0', '106', '0', '7');
INSERT INTO public.who_import VALUES (7261, '2020-07-26', 'BB', 'Barbados', 'AMRO', '2', '108', '0', '7');
INSERT INTO public.who_import VALUES (7262, '2020-07-27', 'BB', 'Barbados', 'AMRO', '0', '108', '0', '7');
INSERT INTO public.who_import VALUES (7263, '2020-07-28', 'BB', 'Barbados', 'AMRO', '2', '110', '0', '7');
INSERT INTO public.who_import VALUES (7264, '2020-07-29', 'BB', 'Barbados', 'AMRO', '0', '110', '0', '7');
INSERT INTO public.who_import VALUES (7265, '2020-07-30', 'BB', 'Barbados', 'AMRO', '0', '110', '0', '7');
INSERT INTO public.who_import VALUES (7266, '2020-07-31', 'BB', 'Barbados', 'AMRO', '0', '110', '0', '7');
INSERT INTO public.who_import VALUES (7267, '2020-08-01', 'BB', 'Barbados', 'AMRO', '0', '110', '0', '7');
INSERT INTO public.who_import VALUES (7268, '2020-08-02', 'BB', 'Barbados', 'AMRO', '0', '110', '0', '7');
INSERT INTO public.who_import VALUES (7269, '2020-08-03', 'BB', 'Barbados', 'AMRO', '12', '122', '0', '7');
INSERT INTO public.who_import VALUES (7270, '2020-08-04', 'BB', 'Barbados', 'AMRO', '10', '132', '0', '7');
INSERT INTO public.who_import VALUES (7271, '2020-08-05', 'BB', 'Barbados', 'AMRO', '0', '132', '0', '7');
INSERT INTO public.who_import VALUES (7272, '2020-08-06', 'BB', 'Barbados', 'AMRO', '1', '133', '0', '7');
INSERT INTO public.who_import VALUES (7273, '2020-08-07', 'BB', 'Barbados', 'AMRO', '0', '133', '0', '7');
INSERT INTO public.who_import VALUES (7274, '2020-08-08', 'BB', 'Barbados', 'AMRO', '0', '133', '0', '7');
INSERT INTO public.who_import VALUES (7275, '2020-08-09', 'BB', 'Barbados', 'AMRO', '5', '138', '0', '7');
INSERT INTO public.who_import VALUES (7276, '2020-08-10', 'BB', 'Barbados', 'AMRO', '4', '142', '0', '7');
INSERT INTO public.who_import VALUES (7277, '2020-08-11', 'BB', 'Barbados', 'AMRO', '0', '142', '0', '7');
INSERT INTO public.who_import VALUES (7278, '2020-08-12', 'BB', 'Barbados', 'AMRO', '1', '143', '0', '7');
INSERT INTO public.who_import VALUES (7279, '2020-08-13', 'BB', 'Barbados', 'AMRO', '0', '143', '0', '7');
INSERT INTO public.who_import VALUES (7280, '2020-08-14', 'BB', 'Barbados', 'AMRO', '1', '144', '0', '7');
INSERT INTO public.who_import VALUES (7281, '2020-08-15', 'BB', 'Barbados', 'AMRO', '0', '144', '0', '7');
INSERT INTO public.who_import VALUES (7282, '2020-08-16', 'BB', 'Barbados', 'AMRO', '4', '148', '0', '7');
INSERT INTO public.who_import VALUES (7283, '2020-08-17', 'BB', 'Barbados', 'AMRO', '3', '151', '0', '7');
INSERT INTO public.who_import VALUES (7284, '2020-08-18', 'BB', 'Barbados', 'AMRO', '1', '152', '0', '7');
INSERT INTO public.who_import VALUES (7285, '2020-08-19', 'BB', 'Barbados', 'AMRO', '0', '152', '0', '7');
INSERT INTO public.who_import VALUES (7286, '2020-08-20', 'BB', 'Barbados', 'AMRO', '3', '155', '0', '7');
INSERT INTO public.who_import VALUES (7287, '2020-08-21', 'BB', 'Barbados', 'AMRO', '0', '155', '0', '7');
INSERT INTO public.who_import VALUES (7288, '2020-08-22', 'BB', 'Barbados', 'AMRO', '2', '157', '0', '7');
INSERT INTO public.who_import VALUES (7289, '2020-08-23', 'BB', 'Barbados', 'AMRO', '0', '157', '0', '7');
INSERT INTO public.who_import VALUES (7290, '2020-08-24', 'BB', 'Barbados', 'AMRO', '4', '161', '0', '7');
INSERT INTO public.who_import VALUES (7291, '2020-08-25', 'BB', 'Barbados', 'AMRO', '0', '161', '0', '7');
INSERT INTO public.who_import VALUES (7292, '2020-08-26', 'BB', 'Barbados', 'AMRO', '0', '161', '0', '7');
INSERT INTO public.who_import VALUES (7293, '2020-08-27', 'BB', 'Barbados', 'AMRO', '3', '164', '0', '7');
INSERT INTO public.who_import VALUES (7294, '2020-08-28', 'BB', 'Barbados', 'AMRO', '1', '165', '0', '7');
INSERT INTO public.who_import VALUES (7295, '2020-08-29', 'BB', 'Barbados', 'AMRO', '0', '165', '0', '7');
INSERT INTO public.who_import VALUES (7296, '2020-08-30', 'BB', 'Barbados', 'AMRO', '1', '166', '0', '7');
INSERT INTO public.who_import VALUES (7297, '2020-08-31', 'BB', 'Barbados', 'AMRO', '7', '173', '0', '7');
INSERT INTO public.who_import VALUES (7298, '2020-09-01', 'BB', 'Barbados', 'AMRO', '0', '173', '0', '7');
INSERT INTO public.who_import VALUES (7299, '2020-09-02', 'BB', 'Barbados', 'AMRO', '1', '174', '0', '7');
INSERT INTO public.who_import VALUES (7300, '2020-09-03', 'BB', 'Barbados', 'AMRO', '2', '176', '0', '7');
INSERT INTO public.who_import VALUES (7301, '2020-09-04', 'BB', 'Barbados', 'AMRO', '1', '177', '0', '7');
INSERT INTO public.who_import VALUES (7302, '2020-09-05', 'BB', 'Barbados', 'AMRO', '0', '177', '0', '7');
INSERT INTO public.who_import VALUES (7303, '2020-09-06', 'BB', 'Barbados', 'AMRO', '1', '178', '0', '7');
INSERT INTO public.who_import VALUES (7304, '2020-09-07', 'BB', 'Barbados', 'AMRO', '1', '179', '0', '7');
INSERT INTO public.who_import VALUES (7305, '2020-09-08', 'BB', 'Barbados', 'AMRO', '0', '179', '0', '7');
INSERT INTO public.who_import VALUES (7306, '2020-09-09', 'BB', 'Barbados', 'AMRO', '1', '180', '0', '7');
INSERT INTO public.who_import VALUES (7307, '2020-09-10', 'BB', 'Barbados', 'AMRO', '0', '180', '0', '7');
INSERT INTO public.who_import VALUES (7308, '2020-09-11', 'BB', 'Barbados', 'AMRO', '0', '180', '0', '7');
INSERT INTO public.who_import VALUES (7309, '2020-09-12', 'BB', 'Barbados', 'AMRO', '0', '180', '0', '7');
INSERT INTO public.who_import VALUES (7310, '2020-09-13', 'BB', 'Barbados', 'AMRO', '0', '180', '0', '7');
INSERT INTO public.who_import VALUES (7311, '2020-09-14', 'BB', 'Barbados', 'AMRO', '1', '181', '0', '7');
INSERT INTO public.who_import VALUES (7312, '2020-09-15', 'BB', 'Barbados', 'AMRO', '2', '183', '0', '7');
INSERT INTO public.who_import VALUES (7313, '2020-09-16', 'BB', 'Barbados', 'AMRO', '0', '183', '0', '7');
INSERT INTO public.who_import VALUES (7314, '2020-09-17', 'BB', 'Barbados', 'AMRO', '1', '184', '0', '7');
INSERT INTO public.who_import VALUES (7315, '2020-09-18', 'BB', 'Barbados', 'AMRO', '1', '185', '0', '7');
INSERT INTO public.who_import VALUES (7316, '2020-09-19', 'BB', 'Barbados', 'AMRO', '0', '185', '0', '7');
INSERT INTO public.who_import VALUES (7317, '2020-09-20', 'BB', 'Barbados', 'AMRO', '0', '185', '0', '7');
INSERT INTO public.who_import VALUES (7318, '2020-09-21', 'BB', 'Barbados', 'AMRO', '0', '185', '0', '7');
INSERT INTO public.who_import VALUES (7319, '2020-09-22', 'BB', 'Barbados', 'AMRO', '4', '189', '0', '7');
INSERT INTO public.who_import VALUES (7320, '2020-09-23', 'BB', 'Barbados', 'AMRO', '0', '189', '0', '7');
INSERT INTO public.who_import VALUES (7321, '2020-09-24', 'BB', 'Barbados', 'AMRO', '0', '189', '0', '7');
INSERT INTO public.who_import VALUES (7322, '2020-09-25', 'BB', 'Barbados', 'AMRO', '0', '189', '0', '7');
INSERT INTO public.who_import VALUES (7323, '2020-09-26', 'BB', 'Barbados', 'AMRO', '0', '189', '0', '7');
INSERT INTO public.who_import VALUES (7324, '2020-09-27', 'BB', 'Barbados', 'AMRO', '1', '190', '0', '7');
INSERT INTO public.who_import VALUES (7325, '2020-09-28', 'BB', 'Barbados', 'AMRO', '0', '190', '0', '7');
INSERT INTO public.who_import VALUES (7326, '2020-09-29', 'BB', 'Barbados', 'AMRO', '0', '190', '0', '7');
INSERT INTO public.who_import VALUES (7327, '2020-09-30', 'BB', 'Barbados', 'AMRO', '0', '190', '0', '7');
INSERT INTO public.who_import VALUES (7328, '2020-10-01', 'BB', 'Barbados', 'AMRO', '0', '190', '0', '7');
INSERT INTO public.who_import VALUES (7329, '2020-10-02', 'BB', 'Barbados', 'AMRO', '0', '190', '0', '7');
INSERT INTO public.who_import VALUES (7330, '2020-10-03', 'BB', 'Barbados', 'AMRO', '3', '193', '0', '7');
INSERT INTO public.who_import VALUES (7331, '2020-10-04', 'BB', 'Barbados', 'AMRO', '3', '196', '0', '7');
INSERT INTO public.who_import VALUES (7332, '2020-10-05', 'BB', 'Barbados', 'AMRO', '0', '196', '0', '7');
INSERT INTO public.who_import VALUES (7333, '2020-10-06', 'BB', 'Barbados', 'AMRO', '3', '199', '0', '7');
INSERT INTO public.who_import VALUES (7334, '2020-10-07', 'BB', 'Barbados', 'AMRO', '1', '200', '0', '7');
INSERT INTO public.who_import VALUES (7335, '2020-10-08', 'BB', 'Barbados', 'AMRO', '3', '203', '0', '7');
INSERT INTO public.who_import VALUES (7336, '2020-10-09', 'BB', 'Barbados', 'AMRO', '0', '203', '0', '7');
INSERT INTO public.who_import VALUES (7337, '2020-10-10', 'BB', 'Barbados', 'AMRO', '0', '203', '0', '7');
INSERT INTO public.who_import VALUES (7338, '2020-10-11', 'BB', 'Barbados', 'AMRO', '2', '205', '0', '7');
INSERT INTO public.who_import VALUES (7339, '2020-10-12', 'BB', 'Barbados', 'AMRO', '1', '206', '0', '7');
INSERT INTO public.who_import VALUES (7340, '2020-10-13', 'BB', 'Barbados', 'AMRO', '2', '208', '0', '7');
INSERT INTO public.who_import VALUES (7341, '2020-10-14', 'BB', 'Barbados', 'AMRO', '0', '208', '0', '7');
INSERT INTO public.who_import VALUES (7342, '2020-10-15', 'BB', 'Barbados', 'AMRO', '2', '210', '0', '7');
INSERT INTO public.who_import VALUES (7343, '2020-10-16', 'BB', 'Barbados', 'AMRO', '5', '215', '0', '7');
INSERT INTO public.who_import VALUES (7344, '2020-10-17', 'BB', 'Barbados', 'AMRO', '3', '218', '0', '7');
INSERT INTO public.who_import VALUES (7345, '2020-10-18', 'BB', 'Barbados', 'AMRO', '1', '219', '0', '7');
INSERT INTO public.who_import VALUES (7346, '2020-10-19', 'BB', 'Barbados', 'AMRO', '0', '219', '0', '7');
INSERT INTO public.who_import VALUES (7347, '2020-10-20', 'BB', 'Barbados', 'AMRO', '3', '222', '0', '7');
INSERT INTO public.who_import VALUES (7348, '2020-10-21', 'BB', 'Barbados', 'AMRO', '0', '222', '0', '7');
INSERT INTO public.who_import VALUES (7349, '2020-10-22', 'BB', 'Barbados', 'AMRO', '0', '222', '0', '7');
INSERT INTO public.who_import VALUES (7350, '2020-10-23', 'BB', 'Barbados', 'AMRO', '2', '224', '0', '7');
INSERT INTO public.who_import VALUES (7351, '2020-10-24', 'BB', 'Barbados', 'AMRO', '0', '224', '0', '7');
INSERT INTO public.who_import VALUES (7352, '2020-10-25', 'BB', 'Barbados', 'AMRO', '3', '227', '0', '7');
INSERT INTO public.who_import VALUES (7353, '2020-10-26', 'BB', 'Barbados', 'AMRO', '3', '230', '0', '7');
INSERT INTO public.who_import VALUES (7354, '2020-10-27', 'BB', 'Barbados', 'AMRO', '3', '233', '0', '7');
INSERT INTO public.who_import VALUES (7355, '2020-10-28', 'BB', 'Barbados', 'AMRO', '0', '233', '0', '7');
INSERT INTO public.who_import VALUES (7356, '2020-10-29', 'BB', 'Barbados', 'AMRO', '0', '233', '0', '7');
INSERT INTO public.who_import VALUES (7357, '2020-10-30', 'BB', 'Barbados', 'AMRO', '2', '235', '0', '7');
INSERT INTO public.who_import VALUES (7358, '2020-10-31', 'BB', 'Barbados', 'AMRO', '1', '236', '0', '7');
INSERT INTO public.who_import VALUES (7359, '2020-11-01', 'BB', 'Barbados', 'AMRO', '0', '236', '0', '7');
INSERT INTO public.who_import VALUES (7360, '2020-11-02', 'BB', 'Barbados', 'AMRO', '1', '237', '0', '7');
INSERT INTO public.who_import VALUES (7361, '2020-11-03', 'BB', 'Barbados', 'AMRO', '0', '237', '0', '7');
INSERT INTO public.who_import VALUES (7362, '2020-11-04', 'BB', 'Barbados', 'AMRO', '1', '238', '0', '7');
INSERT INTO public.who_import VALUES (7363, '2020-11-05', 'BB', 'Barbados', 'AMRO', '0', '238', '0', '7');
INSERT INTO public.who_import VALUES (7364, '2020-11-06', 'BB', 'Barbados', 'AMRO', '1', '239', '0', '7');
INSERT INTO public.who_import VALUES (7365, '2020-11-07', 'BB', 'Barbados', 'AMRO', '0', '239', '0', '7');
INSERT INTO public.who_import VALUES (7366, '2020-11-08', 'BB', 'Barbados', 'AMRO', '3', '242', '0', '7');
INSERT INTO public.who_import VALUES (7367, '2020-11-09', 'BB', 'Barbados', 'AMRO', '1', '243', '0', '7');
INSERT INTO public.who_import VALUES (7368, '2020-11-10', 'BB', 'Barbados', 'AMRO', '0', '243', '0', '7');
INSERT INTO public.who_import VALUES (7369, '2020-11-11', 'BB', 'Barbados', 'AMRO', '0', '243', '0', '7');
INSERT INTO public.who_import VALUES (7370, '2020-11-12', 'BB', 'Barbados', 'AMRO', '0', '243', '0', '7');
INSERT INTO public.who_import VALUES (7371, '2020-11-13', 'BB', 'Barbados', 'AMRO', '6', '249', '0', '7');
INSERT INTO public.who_import VALUES (7372, '2020-11-14', 'BB', 'Barbados', 'AMRO', '0', '249', '0', '7');
INSERT INTO public.who_import VALUES (7373, '2020-11-15', 'BB', 'Barbados', 'AMRO', '0', '249', '0', '7');
INSERT INTO public.who_import VALUES (7374, '2020-11-16', 'BB', 'Barbados', 'AMRO', '0', '249', '0', '7');
INSERT INTO public.who_import VALUES (7375, '2020-11-17', 'BB', 'Barbados', 'AMRO', '1', '250', '0', '7');
INSERT INTO public.who_import VALUES (7376, '2020-11-18', 'BB', 'Barbados', 'AMRO', '0', '250', '0', '7');
INSERT INTO public.who_import VALUES (7377, '2020-11-19', 'BB', 'Barbados', 'AMRO', '0', '250', '0', '7');
INSERT INTO public.who_import VALUES (7378, '2020-11-20', 'BB', 'Barbados', 'AMRO', '3', '253', '0', '7');
INSERT INTO public.who_import VALUES (7379, '2020-11-21', 'BB', 'Barbados', 'AMRO', '0', '253', '0', '7');
INSERT INTO public.who_import VALUES (7380, '2020-11-22', 'BB', 'Barbados', 'AMRO', '2', '255', '0', '7');
INSERT INTO public.who_import VALUES (7381, '2020-11-23', 'BB', 'Barbados', 'AMRO', '4', '259', '0', '7');
INSERT INTO public.who_import VALUES (7382, '2020-11-24', 'BB', 'Barbados', 'AMRO', '0', '259', '0', '7');
INSERT INTO public.who_import VALUES (7383, '2020-11-25', 'BB', 'Barbados', 'AMRO', '1', '260', '0', '7');
INSERT INTO public.who_import VALUES (7384, '2020-11-26', 'BB', 'Barbados', 'AMRO', '2', '262', '0', '7');
INSERT INTO public.who_import VALUES (7385, '2020-11-27', 'BB', 'Barbados', 'AMRO', '4', '266', '0', '7');
INSERT INTO public.who_import VALUES (7386, '2020-11-28', 'BB', 'Barbados', 'AMRO', '4', '270', '0', '7');
INSERT INTO public.who_import VALUES (7387, '2020-11-29', 'BB', 'Barbados', 'AMRO', '0', '270', '0', '7');
INSERT INTO public.who_import VALUES (7388, '2020-11-30', 'BB', 'Barbados', 'AMRO', '5', '275', '0', '7');
INSERT INTO public.who_import VALUES (7389, '2020-12-01', 'BB', 'Barbados', 'AMRO', '1', '276', '0', '7');
INSERT INTO public.who_import VALUES (7390, '2020-12-02', 'BB', 'Barbados', 'AMRO', '2', '278', '0', '7');
INSERT INTO public.who_import VALUES (7391, '2020-12-03', 'BB', 'Barbados', 'AMRO', '0', '278', '0', '7');
INSERT INTO public.who_import VALUES (7392, '2020-12-04', 'BB', 'Barbados', 'AMRO', '1', '279', '0', '7');
INSERT INTO public.who_import VALUES (7393, '2020-12-05', 'BB', 'Barbados', 'AMRO', '2', '281', '0', '7');
INSERT INTO public.who_import VALUES (7394, '2020-12-06', 'BB', 'Barbados', 'AMRO', '4', '285', '0', '7');
INSERT INTO public.who_import VALUES (7395, '2020-12-07', 'BB', 'Barbados', 'AMRO', '0', '285', '0', '7');
INSERT INTO public.who_import VALUES (7396, '2020-12-08', 'BB', 'Barbados', 'AMRO', '2', '287', '0', '7');
INSERT INTO public.who_import VALUES (7397, '2020-12-09', 'BB', 'Barbados', 'AMRO', '2', '289', '0', '7');
INSERT INTO public.who_import VALUES (7398, '2020-12-10', 'BB', 'Barbados', 'AMRO', '1', '290', '0', '7');
INSERT INTO public.who_import VALUES (7399, '2020-12-11', 'BB', 'Barbados', 'AMRO', '0', '290', '0', '7');
INSERT INTO public.who_import VALUES (7400, '2020-12-12', 'BB', 'Barbados', 'AMRO', '1', '291', '0', '7');
INSERT INTO public.who_import VALUES (7401, '2020-12-13', 'BB', 'Barbados', 'AMRO', '1', '292', '0', '7');
INSERT INTO public.who_import VALUES (7402, '2020-12-14', 'BB', 'Barbados', 'AMRO', '0', '292', '0', '7');
INSERT INTO public.who_import VALUES (7403, '2020-12-15', 'BB', 'Barbados', 'AMRO', '4', '296', '0', '7');
INSERT INTO public.who_import VALUES (7404, '2020-12-16', 'BB', 'Barbados', 'AMRO', '1', '297', '0', '7');
INSERT INTO public.who_import VALUES (7405, '2020-12-17', 'BB', 'Barbados', 'AMRO', '4', '301', '0', '7');
INSERT INTO public.who_import VALUES (7406, '2020-12-18', 'BB', 'Barbados', 'AMRO', '0', '301', '0', '7');
INSERT INTO public.who_import VALUES (7407, '2020-12-19', 'BB', 'Barbados', 'AMRO', '4', '305', '0', '7');
INSERT INTO public.who_import VALUES (7408, '2020-12-20', 'BB', 'Barbados', 'AMRO', '2', '307', '0', '7');
INSERT INTO public.who_import VALUES (7409, '2020-12-21', 'BB', 'Barbados', 'AMRO', '0', '307', '0', '7');
INSERT INTO public.who_import VALUES (7410, '2020-12-22', 'BB', 'Barbados', 'AMRO', '14', '321', '0', '7');
INSERT INTO public.who_import VALUES (7411, '2020-12-23', 'BB', 'Barbados', 'AMRO', '1', '322', '0', '7');
INSERT INTO public.who_import VALUES (7412, '2020-12-24', 'BB', 'Barbados', 'AMRO', '5', '327', '0', '7');
INSERT INTO public.who_import VALUES (7413, '2020-12-25', 'BB', 'Barbados', 'AMRO', '2', '329', '0', '7');
INSERT INTO public.who_import VALUES (7414, '2020-12-26', 'BB', 'Barbados', 'AMRO', '16', '345', '0', '7');
INSERT INTO public.who_import VALUES (7415, '2020-12-27', 'BB', 'Barbados', 'AMRO', '2', '347', '0', '7');
INSERT INTO public.who_import VALUES (7416, '2020-12-28', 'BB', 'Barbados', 'AMRO', '9', '356', '0', '7');
INSERT INTO public.who_import VALUES (7417, '2020-12-29', 'BB', 'Barbados', 'AMRO', '0', '356', '0', '7');
INSERT INTO public.who_import VALUES (7418, '2020-12-30', 'BB', 'Barbados', 'AMRO', '9', '365', '0', '7');
INSERT INTO public.who_import VALUES (7419, '2020-12-31', 'BB', 'Barbados', 'AMRO', '7', '372', '0', '7');
INSERT INTO public.who_import VALUES (7420, '2021-01-01', 'BB', 'Barbados', 'AMRO', '0', '372', '0', '7');
INSERT INTO public.who_import VALUES (7421, '2021-01-02', 'BB', 'Barbados', 'AMRO', '11', '383', '0', '7');
INSERT INTO public.who_import VALUES (7422, '2021-01-03', 'BB', 'Barbados', 'AMRO', '12', '395', '0', '7');
INSERT INTO public.who_import VALUES (7423, '2021-01-04', 'BB', 'Barbados', 'AMRO', '0', '395', '0', '7');
INSERT INTO public.who_import VALUES (7424, '2021-01-05', 'BB', 'Barbados', 'AMRO', '211', '606', '0', '7');
INSERT INTO public.who_import VALUES (7425, '2021-01-06', 'BB', 'Barbados', 'AMRO', '37', '643', '0', '7');
INSERT INTO public.who_import VALUES (7426, '2021-01-07', 'BB', 'Barbados', 'AMRO', '49', '692', '0', '7');
INSERT INTO public.who_import VALUES (7427, '2021-01-08', 'BB', 'Barbados', 'AMRO', '51', '743', '0', '7');
INSERT INTO public.who_import VALUES (7428, '2021-01-09', 'BB', 'Barbados', 'AMRO', '37', '780', '0', '7');
INSERT INTO public.who_import VALUES (7429, '2021-01-10', 'BB', 'Barbados', 'AMRO', '28', '808', '0', '7');
INSERT INTO public.who_import VALUES (7430, '2021-01-11', 'BB', 'Barbados', 'AMRO', '70', '878', '0', '7');
INSERT INTO public.who_import VALUES (7431, '2021-01-12', 'BB', 'Barbados', 'AMRO', '0', '878', '0', '7');
INSERT INTO public.who_import VALUES (7432, '2021-01-13', 'BB', 'Barbados', 'AMRO', '6', '884', '0', '7');
INSERT INTO public.who_import VALUES (7433, '2021-01-14', 'BB', 'Barbados', 'AMRO', '84', '968', '0', '7');
INSERT INTO public.who_import VALUES (7434, '2021-01-15', 'BB', 'Barbados', 'AMRO', '39', '1007', '0', '7');
INSERT INTO public.who_import VALUES (7435, '2021-01-16', 'BB', 'Barbados', 'AMRO', '29', '1036', '0', '7');
INSERT INTO public.who_import VALUES (7436, '2021-01-17', 'BB', 'Barbados', 'AMRO', '0', '1036', '0', '7');
INSERT INTO public.who_import VALUES (7437, '2021-01-18', 'BB', 'Barbados', 'AMRO', '59', '1095', '0', '7');
INSERT INTO public.who_import VALUES (7438, '2021-01-19', 'BB', 'Barbados', 'AMRO', '0', '1095', '0', '7');
INSERT INTO public.who_import VALUES (7439, '2021-01-20', 'BB', 'Barbados', 'AMRO', '0', '1095', '0', '7');
INSERT INTO public.who_import VALUES (7440, '2021-01-21', 'BB', 'Barbados', 'AMRO', '61', '1156', '2', '9');
INSERT INTO public.who_import VALUES (7441, '2021-01-22', 'BB', 'Barbados', 'AMRO', '0', '1156', '0', '9');
INSERT INTO public.who_import VALUES (7442, '2021-01-23', 'BB', 'Barbados', 'AMRO', '0', '1156', '0', '9');
INSERT INTO public.who_import VALUES (7443, '2021-01-24', 'BB', 'Barbados', 'AMRO', '87', '1243', '0', '9');
INSERT INTO public.who_import VALUES (7444, '2021-01-25', 'BB', 'Barbados', 'AMRO', '98', '1341', '0', '9');
INSERT INTO public.who_import VALUES (7445, '2021-01-26', 'BB', 'Barbados', 'AMRO', '46', '1387', '1', '10');
INSERT INTO public.who_import VALUES (7446, '2021-01-27', 'BB', 'Barbados', 'AMRO', '14', '1401', '0', '10');
INSERT INTO public.who_import VALUES (7447, '2021-01-28', 'BB', 'Barbados', 'AMRO', '26', '1427', '0', '10');
INSERT INTO public.who_import VALUES (7448, '2021-01-29', 'BB', 'Barbados', 'AMRO', '16', '1443', '1', '11');
INSERT INTO public.who_import VALUES (7449, '2021-01-30', 'BB', 'Barbados', 'AMRO', '4', '1447', '0', '11');
INSERT INTO public.who_import VALUES (7450, '2021-01-31', 'BB', 'Barbados', 'AMRO', '51', '1498', '1', '12');
INSERT INTO public.who_import VALUES (7451, '2021-02-01', 'BB', 'Barbados', 'AMRO', '47', '1545', '0', '12');
INSERT INTO public.who_import VALUES (7452, '2021-02-02', 'BB', 'Barbados', 'AMRO', '0', '1545', '2', '14');
INSERT INTO public.who_import VALUES (7453, '2021-02-03', 'BB', 'Barbados', 'AMRO', '13', '1558', '0', '14');
INSERT INTO public.who_import VALUES (7454, '2021-02-04', 'BB', 'Barbados', 'AMRO', '28', '1586', '0', '14');
INSERT INTO public.who_import VALUES (7455, '2021-02-05', 'BB', 'Barbados', 'AMRO', '25', '1611', '1', '15');
INSERT INTO public.who_import VALUES (7456, '2021-02-06', 'BB', 'Barbados', 'AMRO', '45', '1656', '3', '18');
INSERT INTO public.who_import VALUES (7457, '2021-02-07', 'BB', 'Barbados', 'AMRO', '20', '1676', '0', '18');
INSERT INTO public.who_import VALUES (7458, '2021-02-08', 'BB', 'Barbados', 'AMRO', '0', '1676', '0', '18');
INSERT INTO public.who_import VALUES (7459, '2021-02-09', 'BB', 'Barbados', 'AMRO', '33', '1709', '0', '18');
INSERT INTO public.who_import VALUES (7460, '2021-02-10', 'BB', 'Barbados', 'AMRO', '23', '1732', '0', '18');
INSERT INTO public.who_import VALUES (7461, '2021-02-11', 'BB', 'Barbados', 'AMRO', '82', '1814', '2', '20');
INSERT INTO public.who_import VALUES (7462, '2021-02-12', 'BB', 'Barbados', 'AMRO', '43', '1857', '0', '20');
INSERT INTO public.who_import VALUES (7463, '2021-02-13', 'BB', 'Barbados', 'AMRO', '47', '1904', '1', '21');
INSERT INTO public.who_import VALUES (7464, '2021-02-14', 'BB', 'Barbados', 'AMRO', '43', '1947', '2', '23');
INSERT INTO public.who_import VALUES (7465, '2021-02-15', 'BB', 'Barbados', 'AMRO', '114', '2061', '0', '23');
INSERT INTO public.who_import VALUES (7466, '2021-02-16', 'BB', 'Barbados', 'AMRO', '207', '2268', '1', '24');
INSERT INTO public.who_import VALUES (7467, '2021-02-17', 'BB', 'Barbados', 'AMRO', '63', '2331', '1', '25');
INSERT INTO public.who_import VALUES (7468, '2021-02-18', 'BB', 'Barbados', 'AMRO', '126', '2457', '3', '28');
INSERT INTO public.who_import VALUES (7469, '2021-02-19', 'BB', 'Barbados', 'AMRO', '151', '2608', '1', '29');
INSERT INTO public.who_import VALUES (7470, '2021-02-20', 'BB', 'Barbados', 'AMRO', '39', '2647', '0', '29');
INSERT INTO public.who_import VALUES (7471, '2020-01-03', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7472, '2020-01-04', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7473, '2020-01-05', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7474, '2020-01-06', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7475, '2020-01-07', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7476, '2020-01-08', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7477, '2020-01-09', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7478, '2020-01-10', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7479, '2020-01-11', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7480, '2020-01-12', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7481, '2020-01-13', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7482, '2020-01-14', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7483, '2020-01-15', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7484, '2020-01-16', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7485, '2020-01-17', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7486, '2020-01-18', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7487, '2020-01-19', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7488, '2020-01-20', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7489, '2020-01-21', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7490, '2020-01-22', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7491, '2020-01-23', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7492, '2020-01-24', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7493, '2020-01-25', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7494, '2020-01-26', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7495, '2020-01-27', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7496, '2020-01-28', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7497, '2020-01-29', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7498, '2020-01-30', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7499, '2020-01-31', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7500, '2020-02-01', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7501, '2020-02-02', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7502, '2020-02-03', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7503, '2020-02-04', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7504, '2020-02-05', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7505, '2020-02-06', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7506, '2020-02-07', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7507, '2020-02-08', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7508, '2020-02-09', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7509, '2020-02-10', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7510, '2020-02-11', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7511, '2020-02-12', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7512, '2020-02-13', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7513, '2020-02-14', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7514, '2020-02-15', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7515, '2020-02-16', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7516, '2020-02-17', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7517, '2020-02-18', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7518, '2020-02-19', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7519, '2020-02-20', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7520, '2020-02-21', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7521, '2020-02-22', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7522, '2020-02-23', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7523, '2020-02-24', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7524, '2020-02-25', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7525, '2020-02-26', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7526, '2020-02-27', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7527, '2020-02-28', 'BY', 'Belarus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7528, '2020-02-29', 'BY', 'Belarus', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (7529, '2020-03-01', 'BY', 'Belarus', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7530, '2020-03-02', 'BY', 'Belarus', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7531, '2020-03-03', 'BY', 'Belarus', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7532, '2020-03-04', 'BY', 'Belarus', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7533, '2020-03-05', 'BY', 'Belarus', 'EURO', '5', '6', '0', '0');
INSERT INTO public.who_import VALUES (7534, '2020-03-06', 'BY', 'Belarus', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (7535, '2020-03-07', 'BY', 'Belarus', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (7536, '2020-03-08', 'BY', 'Belarus', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (7537, '2020-03-09', 'BY', 'Belarus', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (7538, '2020-03-10', 'BY', 'Belarus', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (7539, '2020-03-11', 'BY', 'Belarus', 'EURO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (7540, '2020-03-12', 'BY', 'Belarus', 'EURO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (7541, '2020-03-13', 'BY', 'Belarus', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (7542, '2020-03-14', 'BY', 'Belarus', 'EURO', '9', '21', '0', '0');
INSERT INTO public.who_import VALUES (7543, '2020-03-15', 'BY', 'Belarus', 'EURO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (7544, '2020-03-16', 'BY', 'Belarus', 'EURO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (7545, '2020-03-17', 'BY', 'Belarus', 'EURO', '15', '36', '0', '0');
INSERT INTO public.who_import VALUES (7546, '2020-03-18', 'BY', 'Belarus', 'EURO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (7547, '2020-03-19', 'BY', 'Belarus', 'EURO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (7548, '2020-03-20', 'BY', 'Belarus', 'EURO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (7549, '2020-03-21', 'BY', 'Belarus', 'EURO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (7550, '2020-03-22', 'BY', 'Belarus', 'EURO', '40', '76', '0', '0');
INSERT INTO public.who_import VALUES (7551, '2020-03-23', 'BY', 'Belarus', 'EURO', '5', '81', '0', '0');
INSERT INTO public.who_import VALUES (7552, '2020-03-24', 'BY', 'Belarus', 'EURO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (7553, '2020-03-25', 'BY', 'Belarus', 'EURO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (7554, '2020-03-26', 'BY', 'Belarus', 'EURO', '5', '86', '0', '0');
INSERT INTO public.who_import VALUES (7555, '2020-03-27', 'BY', 'Belarus', 'EURO', '8', '94', '0', '0');
INSERT INTO public.who_import VALUES (7556, '2020-03-28', 'BY', 'Belarus', 'EURO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (7557, '2020-03-29', 'BY', 'Belarus', 'EURO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (7558, '2020-03-30', 'BY', 'Belarus', 'EURO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (7559, '2020-03-31', 'BY', 'Belarus', 'EURO', '58', '152', '0', '0');
INSERT INTO public.who_import VALUES (7560, '2020-04-01', 'BY', 'Belarus', 'EURO', '40', '192', '2', '2');
INSERT INTO public.who_import VALUES (7561, '2020-04-02', 'BY', 'Belarus', 'EURO', '0', '192', '0', '2');
INSERT INTO public.who_import VALUES (7562, '2020-04-03', 'BY', 'Belarus', 'EURO', '62', '254', '2', '4');
INSERT INTO public.who_import VALUES (7563, '2020-04-04', 'BY', 'Belarus', 'EURO', '0', '254', '0', '4');
INSERT INTO public.who_import VALUES (7564, '2020-04-05', 'BY', 'Belarus', 'EURO', '186', '440', '0', '4');
INSERT INTO public.who_import VALUES (7565, '2020-04-06', 'BY', 'Belarus', 'EURO', '122', '562', '4', '8');
INSERT INTO public.who_import VALUES (7566, '2020-04-07', 'BY', 'Belarus', 'EURO', '138', '700', '5', '13');
INSERT INTO public.who_import VALUES (7567, '2020-04-08', 'BY', 'Belarus', 'EURO', '161', '861', '0', '13');
INSERT INTO public.who_import VALUES (7568, '2020-04-09', 'BY', 'Belarus', 'EURO', '205', '1066', '0', '13');
INSERT INTO public.who_import VALUES (7569, '2020-04-10', 'BY', 'Belarus', 'EURO', '0', '1066', '0', '13');
INSERT INTO public.who_import VALUES (7570, '2020-04-11', 'BY', 'Belarus', 'EURO', '915', '1981', '6', '19');
INSERT INTO public.who_import VALUES (7571, '2020-04-12', 'BY', 'Belarus', 'EURO', '245', '2226', '4', '23');
INSERT INTO public.who_import VALUES (7572, '2020-04-13', 'BY', 'Belarus', 'EURO', '352', '2578', '3', '26');
INSERT INTO public.who_import VALUES (7573, '2020-04-14', 'BY', 'Belarus', 'EURO', '341', '2919', '3', '29');
INSERT INTO public.who_import VALUES (7574, '2020-04-15', 'BY', 'Belarus', 'EURO', '362', '3281', '4', '33');
INSERT INTO public.who_import VALUES (7575, '2020-04-16', 'BY', 'Belarus', 'EURO', '447', '3728', '3', '36');
INSERT INTO public.who_import VALUES (7576, '2020-04-17', 'BY', 'Belarus', 'EURO', '476', '4204', '4', '40');
INSERT INTO public.who_import VALUES (7577, '2020-04-18', 'BY', 'Belarus', 'EURO', '575', '4779', '3', '43');
INSERT INTO public.who_import VALUES (7578, '2020-04-19', 'BY', 'Belarus', 'EURO', '510', '5289', '2', '45');
INSERT INTO public.who_import VALUES (7579, '2020-04-20', 'BY', 'Belarus', 'EURO', '518', '5807', '2', '47');
INSERT INTO public.who_import VALUES (7580, '2020-04-21', 'BY', 'Belarus', 'EURO', '457', '6264', '4', '51');
INSERT INTO public.who_import VALUES (7581, '2020-04-22', 'BY', 'Belarus', 'EURO', '459', '6723', '4', '55');
INSERT INTO public.who_import VALUES (7582, '2020-04-23', 'BY', 'Belarus', 'EURO', '558', '7281', '5', '60');
INSERT INTO public.who_import VALUES (7583, '2020-04-24', 'BY', 'Belarus', 'EURO', '741', '8022', '0', '60');
INSERT INTO public.who_import VALUES (7584, '2020-04-25', 'BY', 'Belarus', 'EURO', '751', '8773', '3', '63');
INSERT INTO public.who_import VALUES (7585, '2020-04-26', 'BY', 'Belarus', 'EURO', '817', '9590', '4', '67');
INSERT INTO public.who_import VALUES (7586, '2020-04-27', 'BY', 'Belarus', 'EURO', '873', '10463', '5', '72');
INSERT INTO public.who_import VALUES (7587, '2020-04-28', 'BY', 'Belarus', 'EURO', '1745', '12208', '7', '79');
INSERT INTO public.who_import VALUES (7588, '2020-04-29', 'BY', 'Belarus', 'EURO', '0', '12208', '0', '79');
INSERT INTO public.who_import VALUES (7589, '2020-04-30', 'BY', 'Belarus', 'EURO', '973', '13181', '5', '84');
INSERT INTO public.who_import VALUES (7590, '2020-05-01', 'BY', 'Belarus', 'EURO', '846', '14027', '5', '89');
INSERT INTO public.who_import VALUES (7591, '2020-05-02', 'BY', 'Belarus', 'EURO', '890', '14917', '4', '93');
INSERT INTO public.who_import VALUES (7592, '2020-05-03', 'BY', 'Belarus', 'EURO', '911', '15828', '4', '97');
INSERT INTO public.who_import VALUES (7593, '2020-05-04', 'BY', 'Belarus', 'EURO', '1661', '17489', '6', '103');
INSERT INTO public.who_import VALUES (7594, '2020-05-05', 'BY', 'Belarus', 'EURO', '0', '17489', '0', '103');
INSERT INTO public.who_import VALUES (7595, '2020-05-06', 'BY', 'Belarus', 'EURO', '1766', '19255', '9', '112');
INSERT INTO public.who_import VALUES (7596, '2020-05-07', 'BY', 'Belarus', 'EURO', '0', '19255', '0', '112');
INSERT INTO public.who_import VALUES (7597, '2020-05-08', 'BY', 'Belarus', 'EURO', '913', '20168', '4', '116');
INSERT INTO public.who_import VALUES (7598, '2020-05-09', 'BY', 'Belarus', 'EURO', '933', '21101', '5', '121');
INSERT INTO public.who_import VALUES (7599, '2020-05-10', 'BY', 'Belarus', 'EURO', '1872', '22973', '10', '131');
INSERT INTO public.who_import VALUES (7600, '2020-05-11', 'BY', 'Belarus', 'EURO', '933', '23906', '4', '135');
INSERT INTO public.who_import VALUES (7601, '2020-05-12', 'BY', 'Belarus', 'EURO', '0', '23906', '0', '135');
INSERT INTO public.who_import VALUES (7602, '2020-05-13', 'BY', 'Belarus', 'EURO', '1934', '25840', '14', '149');
INSERT INTO public.who_import VALUES (7603, '2020-05-14', 'BY', 'Belarus', 'EURO', '0', '25840', '0', '149');
INSERT INTO public.who_import VALUES (7604, '2020-05-15', 'BY', 'Belarus', 'EURO', '932', '26772', '2', '151');
INSERT INTO public.who_import VALUES (7605, '2020-05-16', 'BY', 'Belarus', 'EURO', '958', '27730', '5', '156');
INSERT INTO public.who_import VALUES (7606, '2020-05-17', 'BY', 'Belarus', 'EURO', '951', '28681', '4', '160');
INSERT INTO public.who_import VALUES (7607, '2020-05-18', 'BY', 'Belarus', 'EURO', '969', '29650', '5', '165');
INSERT INTO public.who_import VALUES (7608, '2020-05-19', 'BY', 'Belarus', 'EURO', '922', '30572', '6', '171');
INSERT INTO public.who_import VALUES (7609, '2020-05-20', 'BY', 'Belarus', 'EURO', '936', '31508', '4', '175');
INSERT INTO public.who_import VALUES (7610, '2020-05-21', 'BY', 'Belarus', 'EURO', '1863', '33371', '10', '185');
INSERT INTO public.who_import VALUES (7611, '2020-05-22', 'BY', 'Belarus', 'EURO', '932', '34303', '5', '190');
INSERT INTO public.who_import VALUES (7612, '2020-05-23', 'BY', 'Belarus', 'EURO', '0', '34303', '0', '190');
INSERT INTO public.who_import VALUES (7613, '2020-05-24', 'BY', 'Belarus', 'EURO', '941', '35244', '4', '194');
INSERT INTO public.who_import VALUES (7614, '2020-05-25', 'BY', 'Belarus', 'EURO', '954', '36198', '5', '199');
INSERT INTO public.who_import VALUES (7615, '2020-05-26', 'BY', 'Belarus', 'EURO', '946', '37144', '5', '204');
INSERT INTO public.who_import VALUES (7616, '2020-05-27', 'BY', 'Belarus', 'EURO', '915', '38059', '4', '208');
INSERT INTO public.who_import VALUES (7617, '2020-05-28', 'BY', 'Belarus', 'EURO', '897', '38956', '6', '214');
INSERT INTO public.who_import VALUES (7618, '2020-05-29', 'BY', 'Belarus', 'EURO', '902', '39858', '5', '219');
INSERT INTO public.who_import VALUES (7619, '2020-05-30', 'BY', 'Belarus', 'EURO', '906', '40764', '5', '224');
INSERT INTO public.who_import VALUES (7620, '2020-05-31', 'BY', 'Belarus', 'EURO', '894', '41658', '5', '229');
INSERT INTO public.who_import VALUES (7621, '2020-06-01', 'BY', 'Belarus', 'EURO', '898', '42556', '6', '235');
INSERT INTO public.who_import VALUES (7622, '2020-06-02', 'BY', 'Belarus', 'EURO', '847', '43403', '5', '240');
INSERT INTO public.who_import VALUES (7623, '2020-06-03', 'BY', 'Belarus', 'EURO', '852', '44255', '3', '243');
INSERT INTO public.who_import VALUES (7624, '2020-06-04', 'BY', 'Belarus', 'EURO', '861', '45116', '5', '248');
INSERT INTO public.who_import VALUES (7625, '2020-06-05', 'BY', 'Belarus', 'EURO', '865', '45981', '5', '253');
INSERT INTO public.who_import VALUES (7626, '2020-06-06', 'BY', 'Belarus', 'EURO', '887', '46868', '6', '259');
INSERT INTO public.who_import VALUES (7627, '2020-06-07', 'BY', 'Belarus', 'EURO', '0', '46868', '0', '259');
INSERT INTO public.who_import VALUES (7628, '2020-06-08', 'BY', 'Belarus', 'EURO', '1762', '48630', '10', '269');
INSERT INTO public.who_import VALUES (7629, '2020-06-09', 'BY', 'Belarus', 'EURO', '823', '49453', '7', '276');
INSERT INTO public.who_import VALUES (7630, '2020-06-10', 'BY', 'Belarus', 'EURO', '812', '50265', '6', '282');
INSERT INTO public.who_import VALUES (7631, '2020-06-11', 'BY', 'Belarus', 'EURO', '801', '51066', '6', '288');
INSERT INTO public.who_import VALUES (7632, '2020-06-12', 'BY', 'Belarus', 'EURO', '750', '51816', '5', '293');
INSERT INTO public.who_import VALUES (7633, '2020-06-13', 'BY', 'Belarus', 'EURO', '704', '52520', '5', '298');
INSERT INTO public.who_import VALUES (7634, '2020-06-14', 'BY', 'Belarus', 'EURO', '721', '53241', '5', '303');
INSERT INTO public.who_import VALUES (7635, '2020-06-15', 'BY', 'Belarus', 'EURO', '732', '53973', '5', '308');
INSERT INTO public.who_import VALUES (7636, '2020-06-16', 'BY', 'Belarus', 'EURO', '707', '54680', '4', '312');
INSERT INTO public.who_import VALUES (7637, '2020-06-17', 'BY', 'Belarus', 'EURO', '689', '55369', '6', '318');
INSERT INTO public.who_import VALUES (7638, '2020-06-18', 'BY', 'Belarus', 'EURO', '663', '56032', '6', '324');
INSERT INTO public.who_import VALUES (7639, '2020-06-19', 'BY', 'Belarus', 'EURO', '625', '56657', '7', '331');
INSERT INTO public.who_import VALUES (7640, '2020-06-20', 'BY', 'Belarus', 'EURO', '676', '57333', '6', '337');
INSERT INTO public.who_import VALUES (7641, '2020-06-21', 'BY', 'Belarus', 'EURO', '603', '57936', '6', '343');
INSERT INTO public.who_import VALUES (7642, '2020-06-22', 'BY', 'Belarus', 'EURO', '569', '58505', '3', '346');
INSERT INTO public.who_import VALUES (7643, '2020-06-23', 'BY', 'Belarus', 'EURO', '518', '59023', '5', '351');
INSERT INTO public.who_import VALUES (7644, '2020-06-24', 'BY', 'Belarus', 'EURO', '464', '59487', '6', '357');
INSERT INTO public.who_import VALUES (7645, '2020-06-25', 'BY', 'Belarus', 'EURO', '458', '59945', '5', '362');
INSERT INTO public.who_import VALUES (7646, '2020-06-26', 'BY', 'Belarus', 'EURO', '437', '60382', '5', '367');
INSERT INTO public.who_import VALUES (8374, '2020-03-16', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7647, '2020-06-27', 'BY', 'Belarus', 'EURO', '331', '60713', '6', '373');
INSERT INTO public.who_import VALUES (7648, '2020-06-28', 'BY', 'Belarus', 'EURO', '382', '61095', '4', '377');
INSERT INTO public.who_import VALUES (7649, '2020-06-29', 'BY', 'Belarus', 'EURO', '380', '61475', '6', '383');
INSERT INTO public.who_import VALUES (7650, '2020-06-30', 'BY', 'Belarus', 'EURO', '315', '61790', '4', '387');
INSERT INTO public.who_import VALUES (7651, '2020-07-01', 'BY', 'Belarus', 'EURO', '328', '62118', '5', '392');
INSERT INTO public.who_import VALUES (7652, '2020-07-02', 'BY', 'Belarus', 'EURO', '306', '62424', '6', '398');
INSERT INTO public.who_import VALUES (7653, '2020-07-03', 'BY', 'Belarus', 'EURO', '274', '62698', '7', '405');
INSERT INTO public.who_import VALUES (7654, '2020-07-04', 'BY', 'Belarus', 'EURO', '299', '62997', '7', '412');
INSERT INTO public.who_import VALUES (7655, '2020-07-05', 'BY', 'Belarus', 'EURO', '273', '63270', '6', '418');
INSERT INTO public.who_import VALUES (7656, '2020-07-06', 'BY', 'Belarus', 'EURO', '284', '63554', '5', '423');
INSERT INTO public.who_import VALUES (7657, '2020-07-07', 'BY', 'Belarus', 'EURO', '250', '63804', '6', '429');
INSERT INTO public.who_import VALUES (7658, '2020-07-08', 'BY', 'Belarus', 'EURO', '199', '64003', '7', '436');
INSERT INTO public.who_import VALUES (7659, '2020-07-09', 'BY', 'Belarus', 'EURO', '221', '64224', '7', '443');
INSERT INTO public.who_import VALUES (7660, '2020-07-10', 'BY', 'Belarus', 'EURO', '187', '64411', '6', '449');
INSERT INTO public.who_import VALUES (7661, '2020-07-11', 'BY', 'Belarus', 'EURO', '193', '64604', '5', '454');
INSERT INTO public.who_import VALUES (7662, '2020-07-12', 'BY', 'Belarus', 'EURO', '160', '64764', '5', '459');
INSERT INTO public.who_import VALUES (7663, '2020-07-13', 'BY', 'Belarus', 'EURO', '168', '64932', '5', '464');
INSERT INTO public.who_import VALUES (7664, '2020-07-14', 'BY', 'Belarus', 'EURO', '182', '65114', '4', '468');
INSERT INTO public.who_import VALUES (7665, '2020-07-15', 'BY', 'Belarus', 'EURO', '155', '65269', '6', '474');
INSERT INTO public.who_import VALUES (7666, '2020-07-16', 'BY', 'Belarus', 'EURO', '174', '65443', '6', '480');
INSERT INTO public.who_import VALUES (7667, '2020-07-17', 'BY', 'Belarus', 'EURO', '180', '65623', '5', '485');
INSERT INTO public.who_import VALUES (7668, '2020-07-18', 'BY', 'Belarus', 'EURO', '159', '65782', '6', '491');
INSERT INTO public.who_import VALUES (7669, '2020-07-19', 'BY', 'Belarus', 'EURO', '171', '65953', '4', '495');
INSERT INTO public.who_import VALUES (7670, '2020-07-20', 'BY', 'Belarus', 'EURO', '142', '66095', '4', '499');
INSERT INTO public.who_import VALUES (7671, '2020-07-21', 'BY', 'Belarus', 'EURO', '118', '66213', '4', '503');
INSERT INTO public.who_import VALUES (7672, '2020-07-22', 'BY', 'Belarus', 'EURO', '135', '66348', '4', '507');
INSERT INTO public.who_import VALUES (7673, '2020-07-23', 'BY', 'Belarus', 'EURO', '173', '66521', '6', '513');
INSERT INTO public.who_import VALUES (7674, '2020-07-24', 'BY', 'Belarus', 'EURO', '167', '66688', '6', '519');
INSERT INTO public.who_import VALUES (7675, '2020-07-25', 'BY', 'Belarus', 'EURO', '158', '66846', '5', '524');
INSERT INTO public.who_import VALUES (7676, '2020-07-26', 'BY', 'Belarus', 'EURO', '156', '67002', '6', '530');
INSERT INTO public.who_import VALUES (7677, '2020-07-27', 'BY', 'Belarus', 'EURO', '130', '67132', '4', '534');
INSERT INTO public.who_import VALUES (7678, '2020-07-28', 'BY', 'Belarus', 'EURO', '234', '67366', '9', '543');
INSERT INTO public.who_import VALUES (7679, '2020-07-29', 'BY', 'Belarus', 'EURO', '152', '67518', '5', '548');
INSERT INTO public.who_import VALUES (7680, '2020-07-30', 'BY', 'Belarus', 'EURO', '147', '67665', '5', '553');
INSERT INTO public.who_import VALUES (7681, '2020-07-31', 'BY', 'Belarus', 'EURO', '143', '67808', '6', '559');
INSERT INTO public.who_import VALUES (7682, '2020-08-01', 'BY', 'Belarus', 'EURO', '0', '67808', '0', '559');
INSERT INTO public.who_import VALUES (7683, '2020-08-02', 'BY', 'Belarus', 'EURO', '138', '67946', '4', '563');
INSERT INTO public.who_import VALUES (7684, '2020-08-03', 'BY', 'Belarus', 'EURO', '121', '68067', '4', '567');
INSERT INTO public.who_import VALUES (7685, '2020-08-04', 'BY', 'Belarus', 'EURO', '99', '68166', '4', '571');
INSERT INTO public.who_import VALUES (7686, '2020-08-05', 'BY', 'Belarus', 'EURO', '84', '68250', '3', '574');
INSERT INTO public.who_import VALUES (7687, '2020-08-06', 'BY', 'Belarus', 'EURO', '126', '68376', '3', '577');
INSERT INTO public.who_import VALUES (7688, '2020-08-07', 'BY', 'Belarus', 'EURO', '127', '68503', '3', '580');
INSERT INTO public.who_import VALUES (7689, '2020-08-08', 'BY', 'Belarus', 'EURO', '111', '68614', '3', '583');
INSERT INTO public.who_import VALUES (7690, '2020-08-09', 'BY', 'Belarus', 'EURO', '124', '68738', '2', '585');
INSERT INTO public.who_import VALUES (7691, '2020-08-10', 'BY', 'Belarus', 'EURO', '112', '68850', '2', '587');
INSERT INTO public.who_import VALUES (7692, '2020-08-11', 'BY', 'Belarus', 'EURO', '97', '68947', '2', '589');
INSERT INTO public.who_import VALUES (7693, '2020-08-12', 'BY', 'Belarus', 'EURO', '58', '69005', '3', '592');
INSERT INTO public.who_import VALUES (7694, '2020-08-13', 'BY', 'Belarus', 'EURO', '97', '69102', '3', '595');
INSERT INTO public.who_import VALUES (7695, '2020-08-14', 'BY', 'Belarus', 'EURO', '101', '69203', '4', '599');
INSERT INTO public.who_import VALUES (7696, '2020-08-15', 'BY', 'Belarus', 'EURO', '105', '69308', '4', '603');
INSERT INTO public.who_import VALUES (7697, '2020-08-16', 'BY', 'Belarus', 'EURO', '116', '69424', '4', '607');
INSERT INTO public.who_import VALUES (7698, '2020-08-17', 'BY', 'Belarus', 'EURO', '92', '69516', '3', '610');
INSERT INTO public.who_import VALUES (7699, '2020-08-18', 'BY', 'Belarus', 'EURO', '73', '69589', '3', '613');
INSERT INTO public.who_import VALUES (7700, '2020-08-19', 'BY', 'Belarus', 'EURO', '84', '69673', '4', '617');
INSERT INTO public.who_import VALUES (7701, '2020-08-20', 'BY', 'Belarus', 'EURO', '128', '69801', '5', '622');
INSERT INTO public.who_import VALUES (7702, '2020-08-21', 'BY', 'Belarus', 'EURO', '149', '69950', '5', '627');
INSERT INTO public.who_import VALUES (7703, '2020-08-22', 'BY', 'Belarus', 'EURO', '161', '70111', '5', '632');
INSERT INTO public.who_import VALUES (7704, '2020-08-23', 'BY', 'Belarus', 'EURO', '174', '70285', '5', '637');
INSERT INTO public.who_import VALUES (7705, '2020-08-24', 'BY', 'Belarus', 'EURO', '183', '70468', '5', '642');
INSERT INTO public.who_import VALUES (7706, '2020-08-25', 'BY', 'Belarus', 'EURO', '177', '70645', '4', '646');
INSERT INTO public.who_import VALUES (7707, '2020-08-26', 'BY', 'Belarus', 'EURO', '82', '70727', '6', '652');
INSERT INTO public.who_import VALUES (7708, '2020-08-27', 'BY', 'Belarus', 'EURO', '247', '70974', '5', '657');
INSERT INTO public.who_import VALUES (7709, '2020-08-28', 'BY', 'Belarus', 'EURO', '191', '71165', '5', '662');
INSERT INTO public.who_import VALUES (7710, '2020-08-29', 'BY', 'Belarus', 'EURO', '181', '71346', '5', '667');
INSERT INTO public.who_import VALUES (7711, '2020-08-30', 'BY', 'Belarus', 'EURO', '177', '71523', '4', '671');
INSERT INTO public.who_import VALUES (7712, '2020-08-31', 'BY', 'Belarus', 'EURO', '164', '71687', '5', '676');
INSERT INTO public.who_import VALUES (7713, '2020-09-01', 'BY', 'Belarus', 'EURO', '156', '71843', '5', '681');
INSERT INTO public.who_import VALUES (7714, '2020-09-02', 'BY', 'Belarus', 'EURO', '119', '71962', '5', '686');
INSERT INTO public.who_import VALUES (7715, '2020-09-03', 'BY', 'Belarus', 'EURO', '179', '72141', '5', '691');
INSERT INTO public.who_import VALUES (7716, '2020-09-04', 'BY', 'Belarus', 'EURO', '161', '72302', '5', '696');
INSERT INTO public.who_import VALUES (7717, '2020-09-05', 'BY', 'Belarus', 'EURO', '183', '72485', '5', '701');
INSERT INTO public.who_import VALUES (7718, '2020-09-06', 'BY', 'Belarus', 'EURO', '178', '72663', '4', '705');
INSERT INTO public.who_import VALUES (7719, '2020-09-07', 'BY', 'Belarus', 'EURO', '196', '72859', '6', '711');
INSERT INTO public.who_import VALUES (7720, '2020-09-08', 'BY', 'Belarus', 'EURO', '172', '73031', '5', '716');
INSERT INTO public.who_import VALUES (7721, '2020-09-09', 'BY', 'Belarus', 'EURO', '177', '73208', '5', '721');
INSERT INTO public.who_import VALUES (7722, '2020-09-10', 'BY', 'Belarus', 'EURO', '194', '73402', '5', '726');
INSERT INTO public.who_import VALUES (7723, '2020-09-11', 'BY', 'Belarus', 'EURO', '189', '73591', '6', '732');
INSERT INTO public.who_import VALUES (7724, '2020-09-12', 'BY', 'Belarus', 'EURO', '193', '73784', '6', '738');
INSERT INTO public.who_import VALUES (7725, '2020-09-13', 'BY', 'Belarus', 'EURO', '191', '73975', '6', '744');
INSERT INTO public.who_import VALUES (7726, '2020-09-14', 'BY', 'Belarus', 'EURO', '198', '74173', '6', '750');
INSERT INTO public.who_import VALUES (7727, '2020-09-15', 'BY', 'Belarus', 'EURO', '187', '74360', '6', '756');
INSERT INTO public.who_import VALUES (7728, '2020-09-16', 'BY', 'Belarus', 'EURO', '192', '74552', '5', '761');
INSERT INTO public.who_import VALUES (7729, '2020-09-17', 'BY', 'Belarus', 'EURO', '211', '74763', '6', '767');
INSERT INTO public.who_import VALUES (7730, '2020-09-18', 'BY', 'Belarus', 'EURO', '224', '74987', '4', '771');
INSERT INTO public.who_import VALUES (7731, '2020-09-19', 'BY', 'Belarus', 'EURO', '243', '75230', '2', '773');
INSERT INTO public.who_import VALUES (7732, '2020-09-20', 'BY', 'Belarus', 'EURO', '231', '75461', '3', '776');
INSERT INTO public.who_import VALUES (7733, '2020-09-21', 'BY', 'Belarus', 'EURO', '213', '75674', '4', '780');
INSERT INTO public.who_import VALUES (7734, '2020-09-22', 'BY', 'Belarus', 'EURO', '224', '75898', '5', '785');
INSERT INTO public.who_import VALUES (7735, '2020-09-23', 'BY', 'Belarus', 'EURO', '206', '76104', '6', '791');
INSERT INTO public.who_import VALUES (7736, '2020-09-24', 'BY', 'Belarus', 'EURO', '253', '76357', '5', '796');
INSERT INTO public.who_import VALUES (7737, '2020-09-25', 'BY', 'Belarus', 'EURO', '294', '76651', '6', '802');
INSERT INTO public.who_import VALUES (7738, '2020-09-26', 'BY', 'Belarus', 'EURO', '306', '76957', '5', '807');
INSERT INTO public.who_import VALUES (7739, '2020-09-27', 'BY', 'Belarus', 'EURO', '332', '77289', '6', '813');
INSERT INTO public.who_import VALUES (7740, '2020-09-28', 'BY', 'Belarus', 'EURO', '320', '77609', '5', '818');
INSERT INTO public.who_import VALUES (7741, '2020-09-29', 'BY', 'Belarus', 'EURO', '337', '77946', '4', '822');
INSERT INTO public.who_import VALUES (7742, '2020-09-30', 'BY', 'Belarus', 'EURO', '314', '78260', '6', '828');
INSERT INTO public.who_import VALUES (7743, '2020-10-01', 'BY', 'Belarus', 'EURO', '371', '78631', '5', '833');
INSERT INTO public.who_import VALUES (7744, '2020-10-02', 'BY', 'Belarus', 'EURO', '388', '79019', '6', '839');
INSERT INTO public.who_import VALUES (7745, '2020-10-03', 'BY', 'Belarus', 'EURO', '402', '79421', '5', '844');
INSERT INTO public.who_import VALUES (7746, '2020-10-04', 'BY', 'Belarus', 'EURO', '431', '79852', '7', '851');
INSERT INTO public.who_import VALUES (7747, '2020-10-05', 'BY', 'Belarus', 'EURO', '443', '80295', '6', '857');
INSERT INTO public.who_import VALUES (7748, '2020-10-06', 'BY', 'Belarus', 'EURO', '401', '80696', '5', '862');
INSERT INTO public.who_import VALUES (7749, '2020-10-07', 'BY', 'Belarus', 'EURO', '394', '81090', '6', '868');
INSERT INTO public.who_import VALUES (7750, '2020-10-08', 'BY', 'Belarus', 'EURO', '415', '81505', '6', '874');
INSERT INTO public.who_import VALUES (7751, '2020-10-09', 'BY', 'Belarus', 'EURO', '477', '81982', '6', '880');
INSERT INTO public.who_import VALUES (7752, '2020-10-10', 'BY', 'Belarus', 'EURO', '489', '82471', '5', '885');
INSERT INTO public.who_import VALUES (7753, '2020-10-11', 'BY', 'Belarus', 'EURO', '552', '83023', '6', '891');
INSERT INTO public.who_import VALUES (7754, '2020-10-12', 'BY', 'Belarus', 'EURO', '511', '83534', '5', '896');
INSERT INTO public.who_import VALUES (7755, '2020-10-13', 'BY', 'Belarus', 'EURO', '464', '83998', '5', '901');
INSERT INTO public.who_import VALUES (7756, '2020-10-14', 'BY', 'Belarus', 'EURO', '526', '84524', '5', '906');
INSERT INTO public.who_import VALUES (7757, '2020-10-15', 'BY', 'Belarus', 'EURO', '597', '85121', '5', '911');
INSERT INTO public.who_import VALUES (7758, '2020-10-16', 'BY', 'Belarus', 'EURO', '613', '85734', '5', '916');
INSERT INTO public.who_import VALUES (7759, '2020-10-17', 'BY', 'Belarus', 'EURO', '658', '86392', '5', '921');
INSERT INTO public.who_import VALUES (7760, '2020-10-18', 'BY', 'Belarus', 'EURO', '671', '87063', '4', '925');
INSERT INTO public.who_import VALUES (7761, '2020-10-19', 'BY', 'Belarus', 'EURO', '635', '87698', '4', '929');
INSERT INTO public.who_import VALUES (7762, '2020-10-20', 'BY', 'Belarus', 'EURO', '592', '88290', '4', '933');
INSERT INTO public.who_import VALUES (7763, '2020-10-21', 'BY', 'Belarus', 'EURO', '619', '88909', '4', '937');
INSERT INTO public.who_import VALUES (7764, '2020-10-22', 'BY', 'Belarus', 'EURO', '733', '89642', '4', '941');
INSERT INTO public.who_import VALUES (7765, '2020-10-23', 'BY', 'Belarus', 'EURO', '738', '90380', '4', '945');
INSERT INTO public.who_import VALUES (7766, '2020-10-24', 'BY', 'Belarus', 'EURO', '787', '91167', '0', '945');
INSERT INTO public.who_import VALUES (7767, '2020-10-25', 'BY', 'Belarus', 'EURO', '0', '91167', '0', '945');
INSERT INTO public.who_import VALUES (7768, '2020-10-26', 'BY', 'Belarus', 'EURO', '1656', '92823', '12', '957');
INSERT INTO public.who_import VALUES (7769, '2020-10-27', 'BY', 'Belarus', 'EURO', '884', '93707', '4', '961');
INSERT INTO public.who_import VALUES (7770, '2020-10-28', 'BY', 'Belarus', 'EURO', '902', '94609', '4', '965');
INSERT INTO public.who_import VALUES (7771, '2020-10-29', 'BY', 'Belarus', 'EURO', '936', '95545', '4', '969');
INSERT INTO public.who_import VALUES (7772, '2020-10-30', 'BY', 'Belarus', 'EURO', '984', '96529', '4', '973');
INSERT INTO public.who_import VALUES (7773, '2020-10-31', 'BY', 'Belarus', 'EURO', '970', '97499', '4', '977');
INSERT INTO public.who_import VALUES (7774, '2020-11-01', 'BY', 'Belarus', 'EURO', '1960', '99459', '8', '985');
INSERT INTO public.who_import VALUES (7775, '2020-11-02', 'BY', 'Belarus', 'EURO', '0', '99459', '0', '985');
INSERT INTO public.who_import VALUES (7776, '2020-11-03', 'BY', 'Belarus', 'EURO', '941', '100400', '4', '989');
INSERT INTO public.who_import VALUES (7777, '2020-11-04', 'BY', 'Belarus', 'EURO', '929', '101329', '3', '992');
INSERT INTO public.who_import VALUES (7778, '2020-11-05', 'BY', 'Belarus', 'EURO', '984', '102313', '3', '995');
INSERT INTO public.who_import VALUES (7779, '2020-11-06', 'BY', 'Belarus', 'EURO', '982', '103295', '3', '998');
INSERT INTO public.who_import VALUES (7780, '2020-11-07', 'BY', 'Belarus', 'EURO', '1988', '105283', '6', '1004');
INSERT INTO public.who_import VALUES (7781, '2020-11-08', 'BY', 'Belarus', 'EURO', '0', '105283', '0', '1004');
INSERT INTO public.who_import VALUES (7782, '2020-11-09', 'BY', 'Belarus', 'EURO', '996', '106279', '3', '1007');
INSERT INTO public.who_import VALUES (7783, '2020-11-10', 'BY', 'Belarus', 'EURO', '983', '107262', '4', '1011');
INSERT INTO public.who_import VALUES (7784, '2020-11-11', 'BY', 'Belarus', 'EURO', '1038', '108300', '5', '1016');
INSERT INTO public.who_import VALUES (7785, '2020-11-12', 'BY', 'Belarus', 'EURO', '1057', '109357', '6', '1022');
INSERT INTO public.who_import VALUES (7786, '2020-11-13', 'BY', 'Belarus', 'EURO', '1098', '110455', '5', '1027');
INSERT INTO public.who_import VALUES (7787, '2020-11-14', 'BY', 'Belarus', 'EURO', '1167', '111622', '6', '1033');
INSERT INTO public.who_import VALUES (7788, '2020-11-15', 'BY', 'Belarus', 'EURO', '1248', '112870', '6', '1039');
INSERT INTO public.who_import VALUES (7789, '2020-11-16', 'BY', 'Belarus', 'EURO', '1315', '114185', '7', '1046');
INSERT INTO public.who_import VALUES (7790, '2020-11-17', 'BY', 'Belarus', 'EURO', '1263', '115448', '7', '1053');
INSERT INTO public.who_import VALUES (7791, '2020-11-18', 'BY', 'Belarus', 'EURO', '1251', '116699', '7', '1060');
INSERT INTO public.who_import VALUES (7792, '2020-11-19', 'BY', 'Belarus', 'EURO', '1309', '118008', '7', '1067');
INSERT INTO public.who_import VALUES (7793, '2020-11-20', 'BY', 'Belarus', 'EURO', '1382', '119390', '7', '1074');
INSERT INTO public.who_import VALUES (7794, '2020-11-21', 'BY', 'Belarus', 'EURO', '1457', '120847', '7', '1081');
INSERT INTO public.who_import VALUES (7795, '2020-11-22', 'BY', 'Belarus', 'EURO', '1588', '122435', '8', '1089');
INSERT INTO public.who_import VALUES (7796, '2020-11-23', 'BY', 'Belarus', 'EURO', '1564', '123999', '7', '1096');
INSERT INTO public.who_import VALUES (7797, '2020-11-24', 'BY', 'Belarus', 'EURO', '1483', '125482', '8', '1104');
INSERT INTO public.who_import VALUES (7798, '2020-11-25', 'BY', 'Belarus', 'EURO', '1471', '126953', '8', '1112');
INSERT INTO public.who_import VALUES (7799, '2020-11-26', 'BY', 'Belarus', 'EURO', '1496', '128449', '7', '1119');
INSERT INTO public.who_import VALUES (7800, '2020-11-27', 'BY', 'Belarus', 'EURO', '1563', '130012', '9', '1128');
INSERT INTO public.who_import VALUES (7801, '2020-11-28', 'BY', 'Belarus', 'EURO', '1621', '131633', '8', '1136');
INSERT INTO public.who_import VALUES (7802, '2020-11-29', 'BY', 'Belarus', 'EURO', '1691', '133324', '7', '1143');
INSERT INTO public.who_import VALUES (7803, '2020-11-30', 'BY', 'Belarus', 'EURO', '1684', '135008', '8', '1151');
INSERT INTO public.who_import VALUES (7804, '2020-12-01', 'BY', 'Belarus', 'EURO', '1639', '136647', '7', '1158');
INSERT INTO public.who_import VALUES (7805, '2020-12-02', 'BY', 'Belarus', 'EURO', '1572', '138219', '8', '1166');
INSERT INTO public.who_import VALUES (7806, '2020-12-03', 'BY', 'Belarus', 'EURO', '1689', '139908', '8', '1174');
INSERT INTO public.who_import VALUES (7807, '2020-12-04', 'BY', 'Belarus', 'EURO', '1701', '141609', '7', '1181');
INSERT INTO public.who_import VALUES (7808, '2020-12-05', 'BY', 'Belarus', 'EURO', '1774', '143383', '9', '1190');
INSERT INTO public.who_import VALUES (7809, '2020-12-06', 'BY', 'Belarus', 'EURO', '1896', '145279', '8', '1198');
INSERT INTO public.who_import VALUES (7810, '2020-12-07', 'BY', 'Belarus', 'EURO', '1878', '147157', '9', '1207');
INSERT INTO public.who_import VALUES (7811, '2020-12-08', 'BY', 'Belarus', 'EURO', '1796', '148953', '8', '1215');
INSERT INTO public.who_import VALUES (7812, '2020-12-09', 'BY', 'Belarus', 'EURO', '1649', '150602', '7', '1222');
INSERT INTO public.who_import VALUES (7813, '2020-12-10', 'BY', 'Belarus', 'EURO', '1851', '152453', '8', '1230');
INSERT INTO public.who_import VALUES (7814, '2020-12-11', 'BY', 'Belarus', 'EURO', '1939', '154392', '8', '1238');
INSERT INTO public.who_import VALUES (7815, '2020-12-12', 'BY', 'Belarus', 'EURO', '1967', '156359', '8', '1246');
INSERT INTO public.who_import VALUES (7816, '2020-12-13', 'BY', 'Belarus', 'EURO', '1975', '158334', '8', '1254');
INSERT INTO public.who_import VALUES (7817, '2020-12-14', 'BY', 'Belarus', 'EURO', '1961', '160295', '9', '1263');
INSERT INTO public.who_import VALUES (7818, '2020-12-15', 'BY', 'Belarus', 'EURO', '1853', '162148', '10', '1273');
INSERT INTO public.who_import VALUES (7819, '2020-12-16', 'BY', 'Belarus', 'EURO', '1911', '164059', '9', '1282');
INSERT INTO public.who_import VALUES (7820, '2020-12-17', 'BY', 'Belarus', 'EURO', '1838', '165897', '9', '1291');
INSERT INTO public.who_import VALUES (7821, '2020-12-18', 'BY', 'Belarus', 'EURO', '1834', '167731', '8', '1299');
INSERT INTO public.who_import VALUES (7822, '2020-12-19', 'BY', 'Belarus', 'EURO', '1917', '169648', '9', '1308');
INSERT INTO public.who_import VALUES (7823, '2020-12-20', 'BY', 'Belarus', 'EURO', '1931', '171579', '8', '1316');
INSERT INTO public.who_import VALUES (7824, '2020-12-21', 'BY', 'Belarus', 'EURO', '1944', '173523', '8', '1324');
INSERT INTO public.who_import VALUES (7825, '2020-12-22', 'BY', 'Belarus', 'EURO', '1893', '175416', '9', '1333');
INSERT INTO public.who_import VALUES (7826, '2020-12-23', 'BY', 'Belarus', 'EURO', '1858', '177274', '8', '1341');
INSERT INTO public.who_import VALUES (7827, '2020-12-24', 'BY', 'Belarus', 'EURO', '1922', '179196', '8', '1349');
INSERT INTO public.who_import VALUES (7828, '2020-12-25', 'BY', 'Belarus', 'EURO', '1917', '181113', '9', '1358');
INSERT INTO public.who_import VALUES (7829, '2020-12-26', 'BY', 'Belarus', 'EURO', '1893', '183006', '9', '1367');
INSERT INTO public.who_import VALUES (7830, '2020-12-27', 'BY', 'Belarus', 'EURO', '1916', '184922', '9', '1376');
INSERT INTO public.who_import VALUES (7831, '2020-12-28', 'BY', 'Belarus', 'EURO', '1825', '186747', '9', '1385');
INSERT INTO public.who_import VALUES (7832, '2020-12-29', 'BY', 'Belarus', 'EURO', '1841', '188588', '9', '1394');
INSERT INTO public.who_import VALUES (7833, '2020-12-30', 'BY', 'Belarus', 'EURO', '1816', '190404', '10', '1404');
INSERT INTO public.who_import VALUES (7834, '2020-12-31', 'BY', 'Belarus', 'EURO', '1957', '192361', '10', '1414');
INSERT INTO public.who_import VALUES (7835, '2021-01-01', 'BY', 'Belarus', 'EURO', '1923', '194284', '10', '1424');
INSERT INTO public.who_import VALUES (7836, '2021-01-02', 'BY', 'Belarus', 'EURO', '1939', '196223', '9', '1433');
INSERT INTO public.who_import VALUES (7837, '2021-01-03', 'BY', 'Belarus', 'EURO', '1902', '198125', '9', '1442');
INSERT INTO public.who_import VALUES (7838, '2021-01-04', 'BY', 'Belarus', 'EURO', '1837', '199962', '9', '1451');
INSERT INTO public.who_import VALUES (7839, '2021-01-05', 'BY', 'Belarus', 'EURO', '1869', '201831', '10', '1461');
INSERT INTO public.who_import VALUES (7840, '2021-01-06', 'BY', 'Belarus', 'EURO', '1273', '203104', '10', '1471');
INSERT INTO public.who_import VALUES (7841, '2021-01-07', 'BY', 'Belarus', 'EURO', '1854', '204958', '9', '1480');
INSERT INTO public.who_import VALUES (7842, '2021-01-08', 'BY', 'Belarus', 'EURO', '1838', '206796', '9', '1489');
INSERT INTO public.who_import VALUES (7843, '2021-01-09', 'BY', 'Belarus', 'EURO', '1805', '208601', '9', '1498');
INSERT INTO public.who_import VALUES (7844, '2021-01-10', 'BY', 'Belarus', 'EURO', '1767', '210368', '9', '1507');
INSERT INTO public.who_import VALUES (7845, '2021-01-11', 'BY', 'Belarus', 'EURO', '1833', '212201', '10', '1517');
INSERT INTO public.who_import VALUES (7846, '2021-01-12', 'BY', 'Belarus', 'EURO', '1792', '213993', '9', '1526');
INSERT INTO public.who_import VALUES (7847, '2021-01-13', 'BY', 'Belarus', 'EURO', '1731', '215724', '9', '1535');
INSERT INTO public.who_import VALUES (7848, '2021-01-14', 'BY', 'Belarus', 'EURO', '1972', '217696', '9', '1544');
INSERT INTO public.who_import VALUES (7849, '2021-01-15', 'BY', 'Belarus', 'EURO', '1967', '219663', '10', '1554');
INSERT INTO public.who_import VALUES (7850, '2021-01-16', 'BY', 'Belarus', 'EURO', '1941', '221604', '10', '1564');
INSERT INTO public.who_import VALUES (7851, '2021-01-17', 'BY', 'Belarus', 'EURO', '1933', '223537', '9', '1573');
INSERT INTO public.who_import VALUES (7852, '2021-01-18', 'BY', 'Belarus', 'EURO', '1924', '225461', '9', '1582');
INSERT INTO public.who_import VALUES (7853, '2021-01-19', 'BY', 'Belarus', 'EURO', '1899', '227360', '9', '1591');
INSERT INTO public.who_import VALUES (7854, '2021-01-20', 'BY', 'Belarus', 'EURO', '1356', '228716', '10', '1601');
INSERT INTO public.who_import VALUES (7855, '2021-01-21', 'BY', 'Belarus', 'EURO', '1778', '230494', '9', '1610');
INSERT INTO public.who_import VALUES (7856, '2021-01-22', 'BY', 'Belarus', 'EURO', '1804', '232298', '9', '1619');
INSERT INTO public.who_import VALUES (7857, '2021-01-23', 'BY', 'Belarus', 'EURO', '1813', '234111', '9', '1628');
INSERT INTO public.who_import VALUES (7858, '2021-01-24', 'BY', 'Belarus', 'EURO', '1748', '235859', '11', '1639');
INSERT INTO public.who_import VALUES (7859, '2021-01-25', 'BY', 'Belarus', 'EURO', '1752', '237611', '10', '1649');
INSERT INTO public.who_import VALUES (7860, '2021-01-26', 'BY', 'Belarus', 'EURO', '1024', '238635', '9', '1658');
INSERT INTO public.who_import VALUES (7861, '2021-01-27', 'BY', 'Belarus', 'EURO', '847', '239482', '10', '1668');
INSERT INTO public.who_import VALUES (7862, '2021-01-28', 'BY', 'Belarus', 'EURO', '1651', '241133', '10', '1678');
INSERT INTO public.who_import VALUES (7863, '2021-01-29', 'BY', 'Belarus', 'EURO', '1718', '242851', '10', '1688');
INSERT INTO public.who_import VALUES (7864, '2021-01-30', 'BY', 'Belarus', 'EURO', '1867', '244718', '10', '1698');
INSERT INTO public.who_import VALUES (7865, '2021-01-31', 'BY', 'Belarus', 'EURO', '1852', '246570', '10', '1708');
INSERT INTO public.who_import VALUES (7866, '2021-02-01', 'BY', 'Belarus', 'EURO', '1766', '248336', '10', '1718');
INSERT INTO public.who_import VALUES (7867, '2021-02-02', 'BY', 'Belarus', 'EURO', '959', '249295', '10', '1728');
INSERT INTO public.who_import VALUES (7868, '2021-02-03', 'BY', 'Belarus', 'EURO', '699', '249994', '9', '1737');
INSERT INTO public.who_import VALUES (7869, '2021-02-04', 'BY', 'Belarus', 'EURO', '1711', '251705', '9', '1746');
INSERT INTO public.who_import VALUES (7870, '2021-02-05', 'BY', 'Belarus', 'EURO', '1708', '253413', '9', '1755');
INSERT INTO public.who_import VALUES (7871, '2021-02-06', 'BY', 'Belarus', 'EURO', '1759', '255172', '9', '1764');
INSERT INTO public.who_import VALUES (7872, '2021-02-07', 'BY', 'Belarus', 'EURO', '1787', '256959', '9', '1773');
INSERT INTO public.who_import VALUES (7873, '2021-02-08', 'BY', 'Belarus', 'EURO', '1732', '258691', '10', '1783');
INSERT INTO public.who_import VALUES (7874, '2021-02-09', 'BY', 'Belarus', 'EURO', '808', '259499', '9', '1792');
INSERT INTO public.who_import VALUES (7875, '2021-02-10', 'BY', 'Belarus', 'EURO', '561', '260060', '9', '1801');
INSERT INTO public.who_import VALUES (7876, '2021-02-11', 'BY', 'Belarus', 'EURO', '1799', '261859', '10', '1811');
INSERT INTO public.who_import VALUES (7877, '2021-02-12', 'BY', 'Belarus', 'EURO', '1692', '263551', '9', '1820');
INSERT INTO public.who_import VALUES (7878, '2021-02-13', 'BY', 'Belarus', 'EURO', '1733', '265284', '10', '1830');
INSERT INTO public.who_import VALUES (7879, '2021-02-14', 'BY', 'Belarus', 'EURO', '1745', '267029', '10', '1840');
INSERT INTO public.who_import VALUES (7880, '2021-02-15', 'BY', 'Belarus', 'EURO', '1658', '268687', '9', '1849');
INSERT INTO public.who_import VALUES (7881, '2021-02-16', 'BY', 'Belarus', 'EURO', '1100', '269787', '9', '1858');
INSERT INTO public.who_import VALUES (7882, '2021-02-17', 'BY', 'Belarus', 'EURO', '1134', '270921', '9', '1867');
INSERT INTO public.who_import VALUES (7883, '2021-02-18', 'BY', 'Belarus', 'EURO', '1352', '272273', '9', '1876');
INSERT INTO public.who_import VALUES (7884, '2021-02-19', 'BY', 'Belarus', 'EURO', '1386', '273659', '9', '1885');
INSERT INTO public.who_import VALUES (7885, '2021-02-20', 'BY', 'Belarus', 'EURO', '1663', '275322', '9', '1894');
INSERT INTO public.who_import VALUES (7886, '2020-01-03', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7887, '2020-01-04', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7888, '2020-01-05', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7889, '2020-01-06', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7890, '2020-01-07', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7891, '2020-01-08', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7892, '2020-01-09', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7893, '2020-01-10', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7894, '2020-01-11', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7895, '2020-01-12', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7896, '2020-01-13', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7897, '2020-01-14', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7898, '2020-01-15', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7899, '2020-01-16', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7900, '2020-01-17', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7901, '2020-01-18', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7902, '2020-01-19', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7903, '2020-01-20', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7904, '2020-01-21', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7905, '2020-01-22', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7906, '2020-01-23', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7907, '2020-01-24', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7908, '2020-01-25', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7909, '2020-01-26', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7910, '2020-01-27', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7911, '2020-01-28', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7912, '2020-01-29', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7913, '2020-01-30', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7914, '2020-01-31', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7915, '2020-02-01', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7916, '2020-02-02', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7917, '2020-02-03', 'BE', 'Belgium', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (7918, '2020-02-04', 'BE', 'Belgium', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (7919, '2020-02-05', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7920, '2020-02-06', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7921, '2020-02-07', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7922, '2020-02-08', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7923, '2020-02-09', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7924, '2020-02-10', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7925, '2020-02-11', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7926, '2020-02-12', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7927, '2020-02-13', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7928, '2020-02-14', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7929, '2020-02-15', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7930, '2020-02-16', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7931, '2020-02-17', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7932, '2020-02-18', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7933, '2020-02-19', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7934, '2020-02-20', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7935, '2020-02-21', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7936, '2020-02-22', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7937, '2020-02-23', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7938, '2020-02-24', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7939, '2020-02-25', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7940, '2020-02-26', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7941, '2020-02-27', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7942, '2020-02-28', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7943, '2020-02-29', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7944, '2020-03-01', 'BE', 'Belgium', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (7945, '2020-03-02', 'BE', 'Belgium', 'EURO', '18', '19', '0', '0');
INSERT INTO public.who_import VALUES (7946, '2020-03-03', 'BE', 'Belgium', 'EURO', '19', '38', '0', '0');
INSERT INTO public.who_import VALUES (7947, '2020-03-04', 'BE', 'Belgium', 'EURO', '34', '72', '0', '0');
INSERT INTO public.who_import VALUES (7948, '2020-03-05', 'BE', 'Belgium', 'EURO', '53', '125', '0', '0');
INSERT INTO public.who_import VALUES (7949, '2020-03-06', 'BE', 'Belgium', 'EURO', '81', '206', '0', '0');
INSERT INTO public.who_import VALUES (7950, '2020-03-07', 'BE', 'Belgium', 'EURO', '110', '316', '0', '0');
INSERT INTO public.who_import VALUES (7951, '2020-03-08', 'BE', 'Belgium', 'EURO', '27', '343', '0', '0');
INSERT INTO public.who_import VALUES (7952, '2020-03-09', 'BE', 'Belgium', 'EURO', '64', '407', '0', '0');
INSERT INTO public.who_import VALUES (7953, '2020-03-10', 'BE', 'Belgium', 'EURO', '94', '501', '1', '1');
INSERT INTO public.who_import VALUES (7954, '2020-03-11', 'BE', 'Belgium', 'EURO', '99', '600', '0', '1');
INSERT INTO public.who_import VALUES (7955, '2020-03-12', 'BE', 'Belgium', 'EURO', '275', '875', '3', '4');
INSERT INTO public.who_import VALUES (7956, '2020-03-13', 'BE', 'Belgium', 'EURO', '250', '1125', '1', '5');
INSERT INTO public.who_import VALUES (7957, '2020-03-14', 'BE', 'Belgium', 'EURO', '338', '1463', '3', '8');
INSERT INTO public.who_import VALUES (7958, '2020-03-15', 'BE', 'Belgium', 'EURO', '179', '1642', '5', '13');
INSERT INTO public.who_import VALUES (7959, '2020-03-16', 'BE', 'Belgium', 'EURO', '214', '1856', '5', '18');
INSERT INTO public.who_import VALUES (7960, '2020-03-17', 'BE', 'Belgium', 'EURO', '387', '2243', '12', '30');
INSERT INTO public.who_import VALUES (7961, '2020-03-18', 'BE', 'Belgium', 'EURO', '422', '2665', '10', '40');
INSERT INTO public.who_import VALUES (7962, '2020-03-19', 'BE', 'Belgium', 'EURO', '534', '3199', '22', '62');
INSERT INTO public.who_import VALUES (7963, '2020-03-20', 'BE', 'Belgium', 'EURO', '713', '3912', '33', '95');
INSERT INTO public.who_import VALUES (7964, '2020-03-21', 'BE', 'Belgium', 'EURO', '662', '4574', '35', '130');
INSERT INTO public.who_import VALUES (7965, '2020-03-22', 'BE', 'Belgium', 'EURO', '469', '5043', '39', '169');
INSERT INTO public.who_import VALUES (7966, '2020-03-23', 'BE', 'Belgium', 'EURO', '486', '5529', '47', '216');
INSERT INTO public.who_import VALUES (7967, '2020-03-24', 'BE', 'Belgium', 'EURO', '1328', '6857', '78', '294');
INSERT INTO public.who_import VALUES (7968, '2020-03-25', 'BE', 'Belgium', 'EURO', '1195', '8052', '77', '371');
INSERT INTO public.who_import VALUES (7969, '2020-03-26', 'BE', 'Belgium', 'EURO', '1199', '9251', '107', '478');
INSERT INTO public.who_import VALUES (7970, '2020-03-27', 'BE', 'Belgium', 'EURO', '1363', '10614', '102', '580');
INSERT INTO public.who_import VALUES (7971, '2020-03-28', 'BE', 'Belgium', 'EURO', '1518', '12132', '128', '708');
INSERT INTO public.who_import VALUES (7972, '2020-03-29', 'BE', 'Belgium', 'EURO', '844', '12976', '141', '849');
INSERT INTO public.who_import VALUES (7973, '2020-03-30', 'BE', 'Belgium', 'EURO', '683', '13659', '149', '998');
INSERT INTO public.who_import VALUES (7974, '2020-03-31', 'BE', 'Belgium', 'EURO', '1738', '15397', '170', '1168');
INSERT INTO public.who_import VALUES (7975, '2020-04-01', 'BE', 'Belgium', 'EURO', '1681', '17078', '208', '1376');
INSERT INTO public.who_import VALUES (7976, '2020-04-02', 'BE', 'Belgium', 'EURO', '1516', '18594', '233', '1609');
INSERT INTO public.who_import VALUES (7977, '2020-04-03', 'BE', 'Belgium', 'EURO', '1478', '20072', '219', '1828');
INSERT INTO public.who_import VALUES (7978, '2020-04-04', 'BE', 'Belgium', 'EURO', '1694', '21766', '236', '2064');
INSERT INTO public.who_import VALUES (7979, '2020-04-05', 'BE', 'Belgium', 'EURO', '922', '22688', '271', '2335');
INSERT INTO public.who_import VALUES (7980, '2020-04-06', 'BE', 'Belgium', 'EURO', '665', '23353', '247', '2582');
INSERT INTO public.who_import VALUES (7981, '2020-04-07', 'BE', 'Belgium', 'EURO', '1934', '25287', '257', '2839');
INSERT INTO public.who_import VALUES (7982, '2020-04-08', 'BE', 'Belgium', 'EURO', '1515', '26802', '277', '3116');
INSERT INTO public.who_import VALUES (7983, '2020-04-09', 'BE', 'Belgium', 'EURO', '1598', '28400', '322', '3438');
INSERT INTO public.who_import VALUES (7984, '2020-04-10', 'BE', 'Belgium', 'EURO', '2239', '30639', '272', '3710');
INSERT INTO public.who_import VALUES (7985, '2020-04-11', 'BE', 'Belgium', 'EURO', '2336', '32975', '302', '4012');
INSERT INTO public.who_import VALUES (7986, '2020-04-12', 'BE', 'Belgium', 'EURO', '1029', '34004', '284', '4296');
INSERT INTO public.who_import VALUES (7987, '2020-04-13', 'BE', 'Belgium', 'EURO', '524', '34528', '265', '4561');
INSERT INTO public.who_import VALUES (7988, '2020-04-14', 'BE', 'Belgium', 'EURO', '537', '35065', '277', '4838');
INSERT INTO public.who_import VALUES (7989, '2020-04-15', 'BE', 'Belgium', 'EURO', '1560', '36625', '261', '5099');
INSERT INTO public.who_import VALUES (7990, '2020-04-16', 'BE', 'Belgium', 'EURO', '1633', '38258', '280', '5379');
INSERT INTO public.who_import VALUES (7991, '2020-04-17', 'BE', 'Belgium', 'EURO', '1674', '39932', '246', '5625');
INSERT INTO public.who_import VALUES (7992, '2020-04-18', 'BE', 'Belgium', 'EURO', '1394', '41326', '205', '5830');
INSERT INTO public.who_import VALUES (7993, '2020-04-19', 'BE', 'Belgium', 'EURO', '722', '42048', '208', '6038');
INSERT INTO public.who_import VALUES (7994, '2020-04-20', 'BE', 'Belgium', 'EURO', '443', '42491', '190', '6228');
INSERT INTO public.who_import VALUES (7995, '2020-04-21', 'BE', 'Belgium', 'EURO', '1276', '43767', '206', '6434');
INSERT INTO public.who_import VALUES (7996, '2020-04-22', 'BE', 'Belgium', 'EURO', '1270', '45037', '203', '6637');
INSERT INTO public.who_import VALUES (7997, '2020-04-23', 'BE', 'Belgium', 'EURO', '777', '45814', '181', '6818');
INSERT INTO public.who_import VALUES (7998, '2020-04-24', 'BE', 'Belgium', 'EURO', '976', '46790', '155', '6973');
INSERT INTO public.who_import VALUES (7999, '2020-04-25', 'BE', 'Belgium', 'EURO', '811', '47601', '155', '7128');
INSERT INTO public.who_import VALUES (8000, '2020-04-26', 'BE', 'Belgium', 'EURO', '388', '47989', '142', '7270');
INSERT INTO public.who_import VALUES (8001, '2020-04-27', 'BE', 'Belgium', 'EURO', '205', '48194', '153', '7423');
INSERT INTO public.who_import VALUES (8002, '2020-04-28', 'BE', 'Belgium', 'EURO', '755', '48949', '134', '7557');
INSERT INTO public.who_import VALUES (8003, '2020-04-29', 'BE', 'Belgium', 'EURO', '569', '49518', '110', '7667');
INSERT INTO public.who_import VALUES (8004, '2020-04-30', 'BE', 'Belgium', 'EURO', '522', '50040', '106', '7773');
INSERT INTO public.who_import VALUES (8005, '2020-05-01', 'BE', 'Belgium', 'EURO', '586', '50626', '87', '7860');
INSERT INTO public.who_import VALUES (8006, '2020-05-02', 'BE', 'Belgium', 'EURO', '237', '50863', '93', '7953');
INSERT INTO public.who_import VALUES (8007, '2020-05-03', 'BE', 'Belgium', 'EURO', '286', '51149', '75', '8028');
INSERT INTO public.who_import VALUES (8008, '2020-05-04', 'BE', 'Belgium', 'EURO', '140', '51289', '93', '8121');
INSERT INTO public.who_import VALUES (8009, '2020-05-05', 'BE', 'Belgium', 'EURO', '670', '51959', '93', '8214');
INSERT INTO public.who_import VALUES (8010, '2020-05-06', 'BE', 'Belgium', 'EURO', '546', '52505', '81', '8295');
INSERT INTO public.who_import VALUES (8011, '2020-05-07', 'BE', 'Belgium', 'EURO', '552', '53057', '75', '8370');
INSERT INTO public.who_import VALUES (8012, '2020-05-08', 'BE', 'Belgium', 'EURO', '442', '53499', '70', '8440');
INSERT INTO public.who_import VALUES (8013, '2020-05-09', 'BE', 'Belgium', 'EURO', '483', '53982', '73', '8513');
INSERT INTO public.who_import VALUES (8014, '2020-05-10', 'BE', 'Belgium', 'EURO', '240', '54222', '71', '8584');
INSERT INTO public.who_import VALUES (8015, '2020-05-11', 'BE', 'Belgium', 'EURO', '118', '54340', '72', '8656');
INSERT INTO public.who_import VALUES (8016, '2020-05-12', 'BE', 'Belgium', 'EURO', '476', '54816', '65', '8721');
INSERT INTO public.who_import VALUES (8017, '2020-05-13', 'BE', 'Belgium', 'EURO', '395', '55211', '45', '8766');
INSERT INTO public.who_import VALUES (8018, '2020-05-14', 'BE', 'Belgium', 'EURO', '321', '55532', '56', '8822');
INSERT INTO public.who_import VALUES (8019, '2020-05-15', 'BE', 'Belgium', 'EURO', '305', '55837', '43', '8865');
INSERT INTO public.who_import VALUES (8020, '2020-05-16', 'BE', 'Belgium', 'EURO', '346', '56183', '45', '8910');
INSERT INTO public.who_import VALUES (8021, '2020-05-17', 'BE', 'Belgium', 'EURO', '147', '56330', '29', '8939');
INSERT INTO public.who_import VALUES (8022, '2020-05-18', 'BE', 'Belgium', 'EURO', '81', '56411', '31', '8970');
INSERT INTO public.who_import VALUES (8023, '2020-05-19', 'BE', 'Belgium', 'EURO', '317', '56728', '35', '9005');
INSERT INTO public.who_import VALUES (8024, '2020-05-20', 'BE', 'Belgium', 'EURO', '292', '57020', '32', '9037');
INSERT INTO public.who_import VALUES (8025, '2020-05-21', 'BE', 'Belgium', 'EURO', '385', '57405', '30', '9067');
INSERT INTO public.who_import VALUES (8026, '2020-05-22', 'BE', 'Belgium', 'EURO', '70', '57475', '34', '9101');
INSERT INTO public.who_import VALUES (8027, '2020-05-23', 'BE', 'Belgium', 'EURO', '248', '57723', '41', '9142');
INSERT INTO public.who_import VALUES (8028, '2020-05-24', 'BE', 'Belgium', 'EURO', '123', '57846', '25', '9167');
INSERT INTO public.who_import VALUES (8029, '2020-05-25', 'BE', 'Belgium', 'EURO', '75', '57921', '33', '9200');
INSERT INTO public.who_import VALUES (8030, '2020-05-26', 'BE', 'Belgium', 'EURO', '314', '58235', '26', '9226');
INSERT INTO public.who_import VALUES (8031, '2020-05-27', 'BE', 'Belgium', 'EURO', '202', '58437', '24', '9250');
INSERT INTO public.who_import VALUES (8032, '2020-05-28', 'BE', 'Belgium', 'EURO', '182', '58619', '24', '9274');
INSERT INTO public.who_import VALUES (8033, '2020-05-29', 'BE', 'Belgium', 'EURO', '171', '58790', '26', '9300');
INSERT INTO public.who_import VALUES (8034, '2020-05-30', 'BE', 'Belgium', 'EURO', '165', '58955', '16', '9316');
INSERT INTO public.who_import VALUES (8035, '2020-05-31', 'BE', 'Belgium', 'EURO', '61', '59016', '22', '9338');
INSERT INTO public.who_import VALUES (8036, '2020-06-01', 'BE', 'Belgium', 'EURO', '49', '59065', '22', '9360');
INSERT INTO public.who_import VALUES (8037, '2020-06-02', 'BE', 'Belgium', 'EURO', '59', '59124', '21', '9381');
INSERT INTO public.who_import VALUES (8038, '2020-06-03', 'BE', 'Belgium', 'EURO', '181', '59305', '23', '9404');
INSERT INTO public.who_import VALUES (8039, '2020-06-04', 'BE', 'Belgium', 'EURO', '159', '59464', '20', '9424');
INSERT INTO public.who_import VALUES (8040, '2020-06-05', 'BE', 'Belgium', 'EURO', '172', '59636', '14', '9438');
INSERT INTO public.who_import VALUES (8041, '2020-06-06', 'BE', 'Belgium', 'EURO', '154', '59790', '12', '9450');
INSERT INTO public.who_import VALUES (8042, '2020-06-07', 'BE', 'Belgium', 'EURO', '69', '59859', '11', '9461');
INSERT INTO public.who_import VALUES (8043, '2020-06-08', 'BE', 'Belgium', 'EURO', '53', '59912', '12', '9473');
INSERT INTO public.who_import VALUES (8044, '2020-06-09', 'BE', 'Belgium', 'EURO', '152', '60064', '9', '9482');
INSERT INTO public.who_import VALUES (8045, '2020-06-10', 'BE', 'Belgium', 'EURO', '145', '60209', '12', '9494');
INSERT INTO public.who_import VALUES (8046, '2020-06-11', 'BE', 'Belgium', 'EURO', '119', '60328', '12', '9506');
INSERT INTO public.who_import VALUES (8047, '2020-06-12', 'BE', 'Belgium', 'EURO', '95', '60423', '7', '9513');
INSERT INTO public.who_import VALUES (8048, '2020-06-13', 'BE', 'Belgium', 'EURO', '89', '60512', '10', '9523');
INSERT INTO public.who_import VALUES (8049, '2020-06-14', 'BE', 'Belgium', 'EURO', '49', '60561', '5', '9528');
INSERT INTO public.who_import VALUES (8050, '2020-06-15', 'BE', 'Belgium', 'EURO', '22', '60583', '3', '9531');
INSERT INTO public.who_import VALUES (8051, '2020-06-16', 'BE', 'Belgium', 'EURO', '147', '60730', '8', '9539');
INSERT INTO public.who_import VALUES (8052, '2020-06-17', 'BE', 'Belgium', 'EURO', '99', '60829', '7', '9546');
INSERT INTO public.who_import VALUES (8053, '2020-06-18', 'BE', 'Belgium', 'EURO', '123', '60952', '7', '9553');
INSERT INTO public.who_import VALUES (8054, '2020-06-19', 'BE', 'Belgium', 'EURO', '108', '61060', '5', '9558');
INSERT INTO public.who_import VALUES (8055, '2020-06-20', 'BE', 'Belgium', 'EURO', '121', '61181', '4', '9562');
INSERT INTO public.who_import VALUES (8056, '2020-06-21', 'BE', 'Belgium', 'EURO', '50', '61231', '3', '9565');
INSERT INTO public.who_import VALUES (8057, '2020-06-22', 'BE', 'Belgium', 'EURO', '20', '61251', '9', '9574');
INSERT INTO public.who_import VALUES (8058, '2020-06-23', 'BE', 'Belgium', 'EURO', '143', '61394', '12', '9586');
INSERT INTO public.who_import VALUES (8059, '2020-06-24', 'BE', 'Belgium', 'EURO', '110', '61504', '4', '9590');
INSERT INTO public.who_import VALUES (8060, '2020-06-25', 'BE', 'Belgium', 'EURO', '100', '61604', '3', '9593');
INSERT INTO public.who_import VALUES (8061, '2020-06-26', 'BE', 'Belgium', 'EURO', '76', '61680', '5', '9598');
INSERT INTO public.who_import VALUES (8062, '2020-06-27', 'BE', 'Belgium', 'EURO', '113', '61793', '2', '9600');
INSERT INTO public.who_import VALUES (8063, '2020-06-28', 'BE', 'Belgium', 'EURO', '41', '61834', '8', '9608');
INSERT INTO public.who_import VALUES (8064, '2020-06-29', 'BE', 'Belgium', 'EURO', '24', '61858', '5', '9613');
INSERT INTO public.who_import VALUES (8065, '2020-06-30', 'BE', 'Belgium', 'EURO', '127', '61985', '3', '9616');
INSERT INTO public.who_import VALUES (8066, '2020-07-01', 'BE', 'Belgium', 'EURO', '100', '62085', '8', '9624');
INSERT INTO public.who_import VALUES (8067, '2020-07-02', 'BE', 'Belgium', 'EURO', '135', '62220', '2', '9626');
INSERT INTO public.who_import VALUES (8068, '2020-07-03', 'BE', 'Belgium', 'EURO', '93', '62313', '5', '9631');
INSERT INTO public.who_import VALUES (8069, '2020-07-04', 'BE', 'Belgium', 'EURO', '94', '62407', '2', '9633');
INSERT INTO public.who_import VALUES (8070, '2020-07-05', 'BE', 'Belgium', 'EURO', '64', '62471', '3', '9636');
INSERT INTO public.who_import VALUES (8071, '2020-07-06', 'BE', 'Belgium', 'EURO', '24', '62495', '2', '9638');
INSERT INTO public.who_import VALUES (8072, '2020-07-07', 'BE', 'Belgium', 'EURO', '112', '62607', '1', '9639');
INSERT INTO public.who_import VALUES (8073, '2020-07-08', 'BE', 'Belgium', 'EURO', '99', '62706', '3', '9642');
INSERT INTO public.who_import VALUES (8074, '2020-07-09', 'BE', 'Belgium', 'EURO', '137', '62843', '1', '9643');
INSERT INTO public.who_import VALUES (8075, '2020-07-10', 'BE', 'Belgium', 'EURO', '124', '62967', '2', '9645');
INSERT INTO public.who_import VALUES (8076, '2020-07-11', 'BE', 'Belgium', 'EURO', '127', '63094', '0', '9645');
INSERT INTO public.who_import VALUES (8077, '2020-07-12', 'BE', 'Belgium', 'EURO', '62', '63156', '2', '9647');
INSERT INTO public.who_import VALUES (8078, '2020-07-13', 'BE', 'Belgium', 'EURO', '43', '63199', '4', '9651');
INSERT INTO public.who_import VALUES (8079, '2020-07-14', 'BE', 'Belgium', 'EURO', '224', '63423', '0', '9651');
INSERT INTO public.who_import VALUES (8080, '2020-07-15', 'BE', 'Belgium', 'EURO', '207', '63630', '3', '9654');
INSERT INTO public.who_import VALUES (8081, '2020-07-16', 'BE', 'Belgium', 'EURO', '260', '63890', '5', '9659');
INSERT INTO public.who_import VALUES (8082, '2020-07-17', 'BE', 'Belgium', 'EURO', '226', '64116', '5', '9664');
INSERT INTO public.who_import VALUES (8083, '2020-07-18', 'BE', 'Belgium', 'EURO', '274', '64390', '2', '9666');
INSERT INTO public.who_import VALUES (8084, '2020-07-19', 'BE', 'Belgium', 'EURO', '130', '64520', '3', '9669');
INSERT INTO public.who_import VALUES (8085, '2020-07-20', 'BE', 'Belgium', 'EURO', '64', '64584', '1', '9670');
INSERT INTO public.who_import VALUES (8086, '2020-07-21', 'BE', 'Belgium', 'EURO', '443', '65027', '2', '9672');
INSERT INTO public.who_import VALUES (8087, '2020-07-22', 'BE', 'Belgium', 'EURO', '145', '65172', '1', '9673');
INSERT INTO public.who_import VALUES (8088, '2020-07-23', 'BE', 'Belgium', 'EURO', '553', '65725', '2', '9675');
INSERT INTO public.who_import VALUES (8089, '2020-07-24', 'BE', 'Belgium', 'EURO', '439', '66164', '2', '9677');
INSERT INTO public.who_import VALUES (8090, '2020-07-25', 'BE', 'Belgium', 'EURO', '496', '66660', '5', '9682');
INSERT INTO public.who_import VALUES (8091, '2020-07-26', 'BE', 'Belgium', 'EURO', '229', '66889', '1', '9683');
INSERT INTO public.who_import VALUES (8092, '2020-07-27', 'BE', 'Belgium', 'EURO', '184', '67073', '2', '9685');
INSERT INTO public.who_import VALUES (8093, '2020-07-28', 'BE', 'Belgium', 'EURO', '595', '67668', '4', '9689');
INSERT INTO public.who_import VALUES (8094, '2020-07-29', 'BE', 'Belgium', 'EURO', '685', '68353', '1', '9690');
INSERT INTO public.who_import VALUES (8095, '2020-07-30', 'BE', 'Belgium', 'EURO', '703', '69056', '3', '9693');
INSERT INTO public.who_import VALUES (8096, '2020-07-31', 'BE', 'Belgium', 'EURO', '635', '69691', '2', '9695');
INSERT INTO public.who_import VALUES (8097, '2020-08-01', 'BE', 'Belgium', 'EURO', '684', '70375', '3', '9698');
INSERT INTO public.who_import VALUES (8098, '2020-08-02', 'BE', 'Belgium', 'EURO', '309', '70684', '2', '9700');
INSERT INTO public.who_import VALUES (8099, '2020-08-03', 'BE', 'Belgium', 'EURO', '148', '70832', '5', '9705');
INSERT INTO public.who_import VALUES (8100, '2020-08-04', 'BE', 'Belgium', 'EURO', '794', '71626', '3', '9708');
INSERT INTO public.who_import VALUES (8101, '2020-08-05', 'BE', 'Belgium', 'EURO', '813', '72439', '5', '9713');
INSERT INTO public.who_import VALUES (8102, '2020-08-06', 'BE', 'Belgium', 'EURO', '767', '73206', '5', '9718');
INSERT INTO public.who_import VALUES (8103, '2020-08-07', 'BE', 'Belgium', 'EURO', '769', '73975', '4', '9722');
INSERT INTO public.who_import VALUES (8104, '2020-08-08', 'BE', 'Belgium', 'EURO', '771', '74746', '6', '9728');
INSERT INTO public.who_import VALUES (8105, '2020-08-09', 'BE', 'Belgium', 'EURO', '304', '75050', '2', '9730');
INSERT INTO public.who_import VALUES (8106, '2020-08-10', 'BE', 'Belgium', 'EURO', '122', '75172', '5', '9735');
INSERT INTO public.who_import VALUES (8107, '2020-08-11', 'BE', 'Belgium', 'EURO', '873', '76045', '11', '9746');
INSERT INTO public.who_import VALUES (8108, '2020-08-12', 'BE', 'Belgium', 'EURO', '718', '76763', '13', '9759');
INSERT INTO public.who_import VALUES (8109, '2020-08-13', 'BE', 'Belgium', 'EURO', '609', '77372', '11', '9770');
INSERT INTO public.who_import VALUES (8110, '2020-08-14', 'BE', 'Belgium', 'EURO', '669', '78041', '12', '9782');
INSERT INTO public.who_import VALUES (8111, '2020-08-15', 'BE', 'Belgium', 'EURO', '587', '78628', '12', '9794');
INSERT INTO public.who_import VALUES (8112, '2020-08-16', 'BE', 'Belgium', 'EURO', '163', '78791', '9', '9803');
INSERT INTO public.who_import VALUES (8113, '2020-08-17', 'BE', 'Belgium', 'EURO', '132', '78923', '7', '9810');
INSERT INTO public.who_import VALUES (8114, '2020-08-18', 'BE', 'Belgium', 'EURO', '707', '79630', '7', '9817');
INSERT INTO public.who_import VALUES (8115, '2020-08-19', 'BE', 'Belgium', 'EURO', '725', '80355', '11', '9828');
INSERT INTO public.who_import VALUES (8116, '2020-08-20', 'BE', 'Belgium', 'EURO', '612', '80967', '9', '9837');
INSERT INTO public.who_import VALUES (8117, '2020-08-21', 'BE', 'Belgium', 'EURO', '581', '81548', '4', '9841');
INSERT INTO public.who_import VALUES (8118, '2020-08-22', 'BE', 'Belgium', 'EURO', '510', '82058', '3', '9844');
INSERT INTO public.who_import VALUES (8119, '2020-08-23', 'BE', 'Belgium', 'EURO', '203', '82261', '5', '9849');
INSERT INTO public.who_import VALUES (8120, '2020-08-24', 'BE', 'Belgium', 'EURO', '115', '82376', '3', '9852');
INSERT INTO public.who_import VALUES (8121, '2020-08-25', 'BE', 'Belgium', 'EURO', '607', '82983', '5', '9857');
INSERT INTO public.who_import VALUES (8122, '2020-08-26', 'BE', 'Belgium', 'EURO', '527', '83510', '5', '9862');
INSERT INTO public.who_import VALUES (8123, '2020-08-27', 'BE', 'Belgium', 'EURO', '526', '84036', '4', '9866');
INSERT INTO public.who_import VALUES (8124, '2020-08-28', 'BE', 'Belgium', 'EURO', '535', '84571', '3', '9869');
INSERT INTO public.who_import VALUES (8125, '2020-08-29', 'BE', 'Belgium', 'EURO', '614', '85185', '4', '9873');
INSERT INTO public.who_import VALUES (8126, '2020-08-30', 'BE', 'Belgium', 'EURO', '195', '85380', '6', '9879');
INSERT INTO public.who_import VALUES (8127, '2020-08-31', 'BE', 'Belgium', 'EURO', '117', '85497', '1', '9880');
INSERT INTO public.who_import VALUES (8128, '2020-09-01', 'BE', 'Belgium', 'EURO', '634', '86131', '3', '9883');
INSERT INTO public.who_import VALUES (8129, '2020-09-02', 'BE', 'Belgium', 'EURO', '565', '86696', '3', '9886');
INSERT INTO public.who_import VALUES (8130, '2020-09-03', 'BE', 'Belgium', 'EURO', '574', '87270', '2', '9888');
INSERT INTO public.who_import VALUES (8131, '2020-09-04', 'BE', 'Belgium', 'EURO', '677', '87947', '4', '9892');
INSERT INTO public.who_import VALUES (8132, '2020-09-05', 'BE', 'Belgium', 'EURO', '728', '88675', '2', '9894');
INSERT INTO public.who_import VALUES (8133, '2020-09-06', 'BE', 'Belgium', 'EURO', '322', '88997', '1', '9895');
INSERT INTO public.who_import VALUES (8134, '2020-09-07', 'BE', 'Belgium', 'EURO', '155', '89152', '2', '9897');
INSERT INTO public.who_import VALUES (8135, '2020-09-08', 'BE', 'Belgium', 'EURO', '918', '90070', '4', '9901');
INSERT INTO public.who_import VALUES (8136, '2020-09-09', 'BE', 'Belgium', 'EURO', '871', '90941', '3', '9904');
INSERT INTO public.who_import VALUES (8137, '2020-09-10', 'BE', 'Belgium', 'EURO', '1024', '91965', '2', '9906');
INSERT INTO public.who_import VALUES (8138, '2020-09-11', 'BE', 'Belgium', 'EURO', '1143', '93108', '3', '9909');
INSERT INTO public.who_import VALUES (8139, '2020-09-12', 'BE', 'Belgium', 'EURO', '1284', '94392', '5', '9914');
INSERT INTO public.who_import VALUES (8140, '2020-09-13', 'BE', 'Belgium', 'EURO', '617', '95009', '1', '9915');
INSERT INTO public.who_import VALUES (8141, '2020-09-14', 'BE', 'Belgium', 'EURO', '301', '95310', '1', '9916');
INSERT INTO public.who_import VALUES (8142, '2020-09-15', 'BE', 'Belgium', 'EURO', '1724', '97034', '4', '9920');
INSERT INTO public.who_import VALUES (8143, '2020-09-16', 'BE', 'Belgium', 'EURO', '1628', '98662', '3', '9923');
INSERT INTO public.who_import VALUES (8144, '2020-09-17', 'BE', 'Belgium', 'EURO', '1942', '100604', '2', '9925');
INSERT INTO public.who_import VALUES (8145, '2020-09-18', 'BE', 'Belgium', 'EURO', '1750', '102354', '1', '9926');
INSERT INTO public.who_import VALUES (8146, '2020-09-19', 'BE', 'Belgium', 'EURO', '1709', '104063', '6', '9932');
INSERT INTO public.who_import VALUES (8147, '2020-09-20', 'BE', 'Belgium', 'EURO', '894', '104957', '8', '9940');
INSERT INTO public.who_import VALUES (8148, '2020-09-21', 'BE', 'Belgium', 'EURO', '461', '105418', '3', '9943');
INSERT INTO public.who_import VALUES (8149, '2020-09-22', 'BE', 'Belgium', 'EURO', '2202', '107620', '3', '9946');
INSERT INTO public.who_import VALUES (8150, '2020-09-23', 'BE', 'Belgium', 'EURO', '2074', '109694', '1', '9947');
INSERT INTO public.who_import VALUES (8151, '2020-09-24', 'BE', 'Belgium', 'EURO', '2096', '111790', '8', '9955');
INSERT INTO public.who_import VALUES (8152, '2020-09-25', 'BE', 'Belgium', 'EURO', '1795', '113585', '4', '9959');
INSERT INTO public.who_import VALUES (8153, '2020-09-26', 'BE', 'Belgium', 'EURO', '1623', '115208', '5', '9964');
INSERT INTO public.who_import VALUES (8154, '2020-09-27', 'BE', 'Belgium', 'EURO', '944', '116152', '6', '9970');
INSERT INTO public.who_import VALUES (8155, '2020-09-28', 'BE', 'Belgium', 'EURO', '540', '116692', '12', '9982');
INSERT INTO public.who_import VALUES (8156, '2020-09-29', 'BE', 'Belgium', 'EURO', '2782', '119474', '13', '9995');
INSERT INTO public.who_import VALUES (8157, '2020-09-30', 'BE', 'Belgium', 'EURO', '2984', '122458', '10', '10005');
INSERT INTO public.who_import VALUES (8158, '2020-10-01', 'BE', 'Belgium', 'EURO', '3243', '125701', '6', '10011');
INSERT INTO public.who_import VALUES (8159, '2020-10-02', 'BE', 'Belgium', 'EURO', '3410', '129111', '15', '10026');
INSERT INTO public.who_import VALUES (8160, '2020-10-03', 'BE', 'Belgium', 'EURO', '3721', '132832', '11', '10037');
INSERT INTO public.who_import VALUES (8161, '2020-10-04', 'BE', 'Belgium', 'EURO', '1709', '134541', '15', '10052');
INSERT INTO public.who_import VALUES (8162, '2020-10-05', 'BE', 'Belgium', 'EURO', '1035', '135576', '14', '10066');
INSERT INTO public.who_import VALUES (8163, '2020-10-06', 'BE', 'Belgium', 'EURO', '5249', '140825', '14', '10080');
INSERT INTO public.who_import VALUES (8164, '2020-10-07', 'BE', 'Belgium', 'EURO', '5687', '146512', '18', '10098');
INSERT INTO public.who_import VALUES (8165, '2020-10-08', 'BE', 'Belgium', 'EURO', '6803', '153315', '20', '10118');
INSERT INTO public.who_import VALUES (8375, '2020-03-17', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8166, '2020-10-09', 'BE', 'Belgium', 'EURO', '6588', '159903', '20', '10138');
INSERT INTO public.who_import VALUES (8167, '2020-10-10', 'BE', 'Belgium', 'EURO', '7791', '167694', '19', '10157');
INSERT INTO public.who_import VALUES (8168, '2020-10-11', 'BE', 'Belgium', 'EURO', '4310', '172004', '22', '10179');
INSERT INTO public.who_import VALUES (8169, '2020-10-12', 'BE', 'Belgium', 'EURO', '2403', '174407', '26', '10205');
INSERT INTO public.who_import VALUES (8170, '2020-10-13', 'BE', 'Belgium', 'EURO', '9737', '184144', '36', '10241');
INSERT INTO public.who_import VALUES (8171, '2020-10-14', 'BE', 'Belgium', 'EURO', '12579', '196723', '34', '10275');
INSERT INTO public.who_import VALUES (8172, '2020-10-15', 'BE', 'Belgium', 'EURO', '12304', '209027', '41', '10316');
INSERT INTO public.who_import VALUES (8173, '2020-10-16', 'BE', 'Belgium', 'EURO', '11818', '220845', '35', '10351');
INSERT INTO public.who_import VALUES (8174, '2020-10-17', 'BE', 'Belgium', 'EURO', '13477', '234322', '36', '10387');
INSERT INTO public.who_import VALUES (8175, '2020-10-18', 'BE', 'Belgium', 'EURO', '7996', '242318', '23', '10410');
INSERT INTO public.who_import VALUES (8176, '2020-10-19', 'BE', 'Belgium', 'EURO', '4289', '246607', '31', '10441');
INSERT INTO public.who_import VALUES (8177, '2020-10-20', 'BE', 'Belgium', 'EURO', '15562', '262169', '52', '10493');
INSERT INTO public.who_import VALUES (8178, '2020-10-21', 'BE', 'Belgium', 'EURO', '19265', '281434', '52', '10545');
INSERT INTO public.who_import VALUES (8179, '2020-10-22', 'BE', 'Belgium', 'EURO', '17487', '298921', '61', '10606');
INSERT INTO public.who_import VALUES (8180, '2020-10-23', 'BE', 'Belgium', 'EURO', '17688', '316609', '55', '10661');
INSERT INTO public.who_import VALUES (8181, '2020-10-24', 'BE', 'Belgium', 'EURO', '18877', '335486', '93', '10754');
INSERT INTO public.who_import VALUES (8182, '2020-10-25', 'BE', 'Belgium', 'EURO', '11559', '347045', '94', '10848');
INSERT INTO public.who_import VALUES (8183, '2020-10-26', 'BE', 'Belgium', 'EURO', '4895', '351940', '95', '10943');
INSERT INTO public.who_import VALUES (8184, '2020-10-27', 'BE', 'Belgium', 'EURO', '19868', '371808', '121', '11064');
INSERT INTO public.who_import VALUES (8185, '2020-10-28', 'BE', 'Belgium', 'EURO', '22213', '394021', '130', '11194');
INSERT INTO public.who_import VALUES (8186, '2020-10-29', 'BE', 'Belgium', 'EURO', '17999', '412020', '142', '11336');
INSERT INTO public.who_import VALUES (8187, '2020-10-30', 'BE', 'Belgium', 'EURO', '15090', '427110', '140', '11476');
INSERT INTO public.who_import VALUES (8188, '2020-10-31', 'BE', 'Belgium', 'EURO', '15403', '442513', '184', '11660');
INSERT INTO public.who_import VALUES (8189, '2020-11-01', 'BE', 'Belgium', 'EURO', '6308', '448821', '176', '11836');
INSERT INTO public.who_import VALUES (8190, '2020-11-02', 'BE', 'Belgium', 'EURO', '2667', '451488', '163', '11999');
INSERT INTO public.who_import VALUES (8191, '2020-11-03', 'BE', 'Belgium', 'EURO', '13858', '465346', '207', '12206');
INSERT INTO public.who_import VALUES (8192, '2020-11-04', 'BE', 'Belgium', 'EURO', '12103', '477449', '173', '12379');
INSERT INTO public.who_import VALUES (8193, '2020-11-05', 'BE', 'Belgium', 'EURO', '9230', '486679', '196', '12575');
INSERT INTO public.who_import VALUES (8194, '2020-11-06', 'BE', 'Belgium', 'EURO', '7660', '494339', '207', '12782');
INSERT INTO public.who_import VALUES (8195, '2020-11-07', 'BE', 'Belgium', 'EURO', '6648', '500987', '211', '12993');
INSERT INTO public.who_import VALUES (8196, '2020-11-08', 'BE', 'Belgium', 'EURO', '3046', '504033', '208', '13201');
INSERT INTO public.who_import VALUES (8197, '2020-11-09', 'BE', 'Belgium', 'EURO', '1449', '505482', '209', '13410');
INSERT INTO public.who_import VALUES (8198, '2020-11-10', 'BE', 'Belgium', 'EURO', '8636', '514118', '194', '13604');
INSERT INTO public.who_import VALUES (8199, '2020-11-11', 'BE', 'Belgium', 'EURO', '7701', '521819', '217', '13821');
INSERT INTO public.who_import VALUES (8200, '2020-11-12', 'BE', 'Belgium', 'EURO', '2004', '523823', '194', '14015');
INSERT INTO public.who_import VALUES (8201, '2020-11-13', 'BE', 'Belgium', 'EURO', '6482', '530305', '172', '14187');
INSERT INTO public.who_import VALUES (8202, '2020-11-14', 'BE', 'Belgium', 'EURO', '5711', '536016', '183', '14370');
INSERT INTO public.who_import VALUES (8203, '2020-11-15', 'BE', 'Belgium', 'EURO', '2371', '538387', '176', '14546');
INSERT INTO public.who_import VALUES (8204, '2020-11-16', 'BE', 'Belgium', 'EURO', '1057', '539444', '192', '14738');
INSERT INTO public.who_import VALUES (8205, '2020-11-17', 'BE', 'Belgium', 'EURO', '5821', '545265', '194', '14932');
INSERT INTO public.who_import VALUES (8206, '2020-11-18', 'BE', 'Belgium', 'EURO', '4829', '550094', '156', '15088');
INSERT INTO public.who_import VALUES (8207, '2020-11-19', 'BE', 'Belgium', 'EURO', '3703', '553797', '158', '15246');
INSERT INTO public.who_import VALUES (8208, '2020-11-20', 'BE', 'Belgium', 'EURO', '3019', '556816', '172', '15418');
INSERT INTO public.who_import VALUES (8209, '2020-11-21', 'BE', 'Belgium', 'EURO', '3082', '559898', '169', '15587');
INSERT INTO public.who_import VALUES (8210, '2020-11-22', 'BE', 'Belgium', 'EURO', '1263', '561161', '139', '15726');
INSERT INTO public.who_import VALUES (8211, '2020-11-23', 'BE', 'Belgium', 'EURO', '589', '561750', '135', '15861');
INSERT INTO public.who_import VALUES (8212, '2020-11-24', 'BE', 'Belgium', 'EURO', '3958', '565708', '139', '16000');
INSERT INTO public.who_import VALUES (8213, '2020-11-25', 'BE', 'Belgium', 'EURO', '2877', '568585', '121', '16121');
INSERT INTO public.who_import VALUES (8214, '2020-11-26', 'BE', 'Belgium', 'EURO', '2684', '571269', '138', '16259');
INSERT INTO public.who_import VALUES (8215, '2020-11-27', 'BE', 'Belgium', 'EURO', '2428', '573697', '118', '16377');
INSERT INTO public.who_import VALUES (8216, '2020-11-28', 'BE', 'Belgium', 'EURO', '2741', '576438', '125', '16502');
INSERT INTO public.who_import VALUES (8217, '2020-11-29', 'BE', 'Belgium', 'EURO', '1006', '577444', '115', '16617');
INSERT INTO public.who_import VALUES (8218, '2020-11-30', 'BE', 'Belgium', 'EURO', '560', '578004', '118', '16735');
INSERT INTO public.who_import VALUES (8219, '2020-12-01', 'BE', 'Belgium', 'EURO', '3304', '581308', '99', '16834');
INSERT INTO public.who_import VALUES (8220, '2020-12-02', 'BE', 'Belgium', 'EURO', '2698', '584006', '109', '16943');
INSERT INTO public.who_import VALUES (8221, '2020-12-03', 'BE', 'Belgium', 'EURO', '2619', '586625', '117', '17060');
INSERT INTO public.who_import VALUES (8222, '2020-12-04', 'BE', 'Belgium', 'EURO', '2386', '589011', '94', '17154');
INSERT INTO public.who_import VALUES (8223, '2020-12-05', 'BE', 'Belgium', 'EURO', '2567', '591578', '109', '17263');
INSERT INTO public.who_import VALUES (8224, '2020-12-06', 'BE', 'Belgium', 'EURO', '1101', '592679', '87', '17350');
INSERT INTO public.who_import VALUES (8225, '2020-12-07', 'BE', 'Belgium', 'EURO', '601', '593280', '84', '17434');
INSERT INTO public.who_import VALUES (8226, '2020-12-08', 'BE', 'Belgium', 'EURO', '3371', '596651', '97', '17531');
INSERT INTO public.who_import VALUES (8227, '2020-12-09', 'BE', 'Belgium', 'EURO', '2723', '599374', '94', '17625');
INSERT INTO public.who_import VALUES (8228, '2020-12-10', 'BE', 'Belgium', 'EURO', '2769', '602143', '88', '17713');
INSERT INTO public.who_import VALUES (8229, '2020-12-11', 'BE', 'Belgium', 'EURO', '2676', '604819', '94', '17807');
INSERT INTO public.who_import VALUES (8230, '2020-12-12', 'BE', 'Belgium', 'EURO', '2918', '607737', '114', '17921');
INSERT INTO public.who_import VALUES (8231, '2020-12-13', 'BE', 'Belgium', 'EURO', '1595', '609332', '87', '18008');
INSERT INTO public.who_import VALUES (8232, '2020-12-14', 'BE', 'Belgium', 'EURO', '742', '610074', '92', '18100');
INSERT INTO public.who_import VALUES (8233, '2020-12-15', 'BE', 'Belgium', 'EURO', '3843', '613917', '100', '18200');
INSERT INTO public.who_import VALUES (8234, '2020-12-16', 'BE', 'Belgium', 'EURO', '3239', '617156', '103', '18303');
INSERT INTO public.who_import VALUES (8235, '2020-12-17', 'BE', 'Belgium', 'EURO', '2856', '620012', '97', '18400');
INSERT INTO public.who_import VALUES (8236, '2020-12-18', 'BE', 'Belgium', 'EURO', '2794', '622806', '89', '18489');
INSERT INTO public.who_import VALUES (8237, '2020-12-19', 'BE', 'Belgium', 'EURO', '2835', '625641', '83', '18572');
INSERT INTO public.who_import VALUES (8238, '2020-12-20', 'BE', 'Belgium', 'EURO', '1462', '627103', '93', '18665');
INSERT INTO public.who_import VALUES (8239, '2020-12-21', 'BE', 'Belgium', 'EURO', '655', '627758', '89', '18754');
INSERT INTO public.who_import VALUES (8240, '2020-12-22', 'BE', 'Belgium', 'EURO', '3395', '631153', '69', '18823');
INSERT INTO public.who_import VALUES (8241, '2020-12-23', 'BE', 'Belgium', 'EURO', '2707', '633860', '102', '18925');
INSERT INTO public.who_import VALUES (8242, '2020-12-24', 'BE', 'Belgium', 'EURO', '2462', '636322', '92', '19017');
INSERT INTO public.who_import VALUES (8243, '2020-12-25', 'BE', 'Belgium', 'EURO', '1783', '638105', '81', '19098');
INSERT INTO public.who_import VALUES (8244, '2020-12-26', 'BE', 'Belgium', 'EURO', '520', '638625', '67', '19165');
INSERT INTO public.who_import VALUES (8245, '2020-12-27', 'BE', 'Belgium', 'EURO', '1160', '639785', '62', '19227');
INSERT INTO public.who_import VALUES (8246, '2020-12-28', 'BE', 'Belgium', 'EURO', '558', '640343', '61', '19288');
INSERT INTO public.who_import VALUES (8247, '2020-12-29', 'BE', 'Belgium', 'EURO', '2749', '643092', '63', '19351');
INSERT INTO public.who_import VALUES (8248, '2020-12-30', 'BE', 'Belgium', 'EURO', '2420', '645512', '76', '19427');
INSERT INTO public.who_import VALUES (8249, '2020-12-31', 'BE', 'Belgium', 'EURO', '2081', '647593', '74', '19501');
INSERT INTO public.who_import VALUES (8250, '2021-01-01', 'BE', 'Belgium', 'EURO', '1721', '649314', '87', '19588');
INSERT INTO public.who_import VALUES (8251, '2021-01-02', 'BE', 'Belgium', 'EURO', '471', '649785', '50', '19638');
INSERT INTO public.who_import VALUES (8252, '2021-01-03', 'BE', 'Belgium', 'EURO', '1121', '650906', '64', '19702');
INSERT INTO public.who_import VALUES (8253, '2021-01-04', 'BE', 'Belgium', 'EURO', '821', '651727', '42', '19744');
INSERT INTO public.who_import VALUES (8254, '2021-01-05', 'BE', 'Belgium', 'EURO', '3122', '654849', '58', '19802');
INSERT INTO public.who_import VALUES (8255, '2021-01-06', 'BE', 'Belgium', 'EURO', '2823', '657672', '63', '19865');
INSERT INTO public.who_import VALUES (8256, '2021-01-07', 'BE', 'Belgium', 'EURO', '2518', '660190', '55', '19920');
INSERT INTO public.who_import VALUES (8257, '2021-01-08', 'BE', 'Belgium', 'EURO', '1981', '662171', '53', '19973');
INSERT INTO public.who_import VALUES (8258, '2021-01-09', 'BE', 'Belgium', 'EURO', '2052', '664223', '48', '20021');
INSERT INTO public.who_import VALUES (8259, '2021-01-10', 'BE', 'Belgium', 'EURO', '1394', '665617', '51', '20072');
INSERT INTO public.who_import VALUES (8260, '2021-01-11', 'BE', 'Belgium', 'EURO', '858', '666475', '56', '20128');
INSERT INTO public.who_import VALUES (8261, '2021-01-12', 'BE', 'Belgium', 'EURO', '3082', '669557', '53', '20181');
INSERT INTO public.who_import VALUES (8262, '2021-01-13', 'BE', 'Belgium', 'EURO', '2489', '672046', '51', '20232');
INSERT INTO public.who_import VALUES (8263, '2021-01-14', 'BE', 'Belgium', 'EURO', '2219', '674265', '42', '20274');
INSERT INTO public.who_import VALUES (8264, '2021-01-15', 'BE', 'Belgium', 'EURO', '2193', '676458', '62', '20336');
INSERT INTO public.who_import VALUES (8265, '2021-01-16', 'BE', 'Belgium', 'EURO', '2177', '678635', '48', '20384');
INSERT INTO public.who_import VALUES (8266, '2021-01-17', 'BE', 'Belgium', 'EURO', '1191', '679826', '45', '20429');
INSERT INTO public.who_import VALUES (8267, '2021-01-18', 'BE', 'Belgium', 'EURO', '722', '680548', '44', '20473');
INSERT INTO public.who_import VALUES (8268, '2021-01-19', 'BE', 'Belgium', 'EURO', '3049', '683597', '57', '20530');
INSERT INTO public.who_import VALUES (8269, '2021-01-20', 'BE', 'Belgium', 'EURO', '2485', '686082', '60', '20590');
INSERT INTO public.who_import VALUES (8270, '2021-01-21', 'BE', 'Belgium', 'EURO', '2542', '688624', '49', '20639');
INSERT INTO public.who_import VALUES (8271, '2021-01-22', 'BE', 'Belgium', 'EURO', '2392', '691016', '51', '20690');
INSERT INTO public.who_import VALUES (8272, '2021-01-23', 'BE', 'Belgium', 'EURO', '2635', '693651', '49', '20739');
INSERT INTO public.who_import VALUES (8273, '2021-01-24', 'BE', 'Belgium', 'EURO', '1398', '695049', '67', '20806');
INSERT INTO public.who_import VALUES (8274, '2021-01-25', 'BE', 'Belgium', 'EURO', '822', '695871', '39', '20845');
INSERT INTO public.who_import VALUES (8275, '2021-01-26', 'BE', 'Belgium', 'EURO', '3438', '699309', '44', '20889');
INSERT INTO public.who_import VALUES (8276, '2021-01-27', 'BE', 'Belgium', 'EURO', '2779', '702088', '52', '20941');
INSERT INTO public.who_import VALUES (8277, '2021-01-28', 'BE', 'Belgium', 'EURO', '2604', '704692', '41', '20982');
INSERT INTO public.who_import VALUES (8278, '2021-01-29', 'BE', 'Belgium', 'EURO', '2606', '707298', '55', '21037');
INSERT INTO public.who_import VALUES (8279, '2021-01-30', 'BE', 'Belgium', 'EURO', '3034', '710332', '44', '21081');
INSERT INTO public.who_import VALUES (8280, '2021-01-31', 'BE', 'Belgium', 'EURO', '1573', '711905', '29', '21110');
INSERT INTO public.who_import VALUES (8281, '2021-02-01', 'BE', 'Belgium', 'EURO', '862', '712767', '32', '21142');
INSERT INTO public.who_import VALUES (8282, '2021-02-02', 'BE', 'Belgium', 'EURO', '3383', '716150', '38', '21180');
INSERT INTO public.who_import VALUES (8283, '2021-02-03', 'BE', 'Belgium', 'EURO', '2683', '718833', '52', '21232');
INSERT INTO public.who_import VALUES (8284, '2021-02-04', 'BE', 'Belgium', 'EURO', '2416', '721249', '42', '21274');
INSERT INTO public.who_import VALUES (8285, '2021-02-05', 'BE', 'Belgium', 'EURO', '2413', '723662', '34', '21308');
INSERT INTO public.who_import VALUES (8286, '2021-02-06', 'BE', 'Belgium', 'EURO', '2484', '726146', '54', '21362');
INSERT INTO public.who_import VALUES (8287, '2021-02-07', 'BE', 'Belgium', 'EURO', '1271', '727417', '41', '21403');
INSERT INTO public.who_import VALUES (8288, '2021-02-08', 'BE', 'Belgium', 'EURO', '601', '728018', '41', '21444');
INSERT INTO public.who_import VALUES (8289, '2021-02-09', 'BE', 'Belgium', 'EURO', '2608', '730626', '37', '21481');
INSERT INTO public.who_import VALUES (8290, '2021-02-10', 'BE', 'Belgium', 'EURO', '2156', '732782', '41', '21522');
INSERT INTO public.who_import VALUES (8291, '2021-02-11', 'BE', 'Belgium', 'EURO', '2157', '734939', '42', '21564');
INSERT INTO public.who_import VALUES (8292, '2021-02-12', 'BE', 'Belgium', 'EURO', '2095', '737034', '34', '21598');
INSERT INTO public.who_import VALUES (8293, '2021-02-13', 'BE', 'Belgium', 'EURO', '2043', '739077', '43', '21641');
INSERT INTO public.who_import VALUES (8294, '2021-02-14', 'BE', 'Belgium', 'EURO', '1135', '740212', '31', '21672');
INSERT INTO public.who_import VALUES (8295, '2021-02-15', 'BE', 'Belgium', 'EURO', '610', '740822', '51', '21723');
INSERT INTO public.who_import VALUES (8296, '2021-02-16', 'BE', 'Belgium', 'EURO', '2783', '743605', '36', '21759');
INSERT INTO public.who_import VALUES (8297, '2021-02-17', 'BE', 'Belgium', 'EURO', '2382', '745987', '39', '21798');
INSERT INTO public.who_import VALUES (8298, '2021-02-18', 'BE', 'Belgium', 'EURO', '2386', '748373', '28', '21826');
INSERT INTO public.who_import VALUES (8299, '2021-02-19', 'BE', 'Belgium', 'EURO', '1365', '749738', '29', '21855');
INSERT INTO public.who_import VALUES (8300, '2021-02-20', 'BE', 'Belgium', 'EURO', '1', '749739', '4', '21859');
INSERT INTO public.who_import VALUES (8301, '2020-01-03', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8302, '2020-01-04', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8303, '2020-01-05', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8304, '2020-01-06', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8305, '2020-01-07', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8306, '2020-01-08', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8307, '2020-01-09', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8308, '2020-01-10', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8309, '2020-01-11', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8310, '2020-01-12', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8311, '2020-01-13', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8312, '2020-01-14', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8313, '2020-01-15', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8314, '2020-01-16', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8315, '2020-01-17', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8316, '2020-01-18', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8317, '2020-01-19', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8318, '2020-01-20', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8319, '2020-01-21', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8320, '2020-01-22', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8321, '2020-01-23', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8322, '2020-01-24', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8323, '2020-01-25', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8324, '2020-01-26', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8325, '2020-01-27', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8326, '2020-01-28', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8327, '2020-01-29', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8328, '2020-01-30', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8329, '2020-01-31', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8330, '2020-02-01', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8331, '2020-02-02', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8332, '2020-02-03', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8333, '2020-02-04', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8334, '2020-02-05', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8335, '2020-02-06', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8336, '2020-02-07', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8337, '2020-02-08', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8338, '2020-02-09', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8339, '2020-02-10', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8340, '2020-02-11', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8341, '2020-02-12', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8342, '2020-02-13', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8343, '2020-02-14', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8344, '2020-02-15', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8345, '2020-02-16', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8346, '2020-02-17', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8347, '2020-02-18', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8348, '2020-02-19', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8349, '2020-02-20', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8350, '2020-02-21', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8351, '2020-02-22', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8352, '2020-02-23', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8353, '2020-02-24', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8354, '2020-02-25', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8355, '2020-02-26', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8356, '2020-02-27', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8357, '2020-02-28', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8358, '2020-02-29', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8359, '2020-03-01', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8360, '2020-03-02', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8361, '2020-03-03', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8362, '2020-03-04', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8363, '2020-03-05', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8364, '2020-03-06', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8365, '2020-03-07', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8366, '2020-03-08', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8367, '2020-03-09', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8368, '2020-03-10', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8369, '2020-03-11', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8370, '2020-03-12', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8371, '2020-03-13', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8372, '2020-03-14', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8373, '2020-03-15', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8376, '2020-03-18', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8377, '2020-03-19', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8378, '2020-03-20', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8379, '2020-03-21', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8380, '2020-03-22', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8381, '2020-03-23', 'BZ', 'Belize', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8382, '2020-03-24', 'BZ', 'Belize', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (8383, '2020-03-25', 'BZ', 'Belize', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (8384, '2020-03-26', 'BZ', 'Belize', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (8385, '2020-03-27', 'BZ', 'Belize', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8386, '2020-03-28', 'BZ', 'Belize', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8387, '2020-03-29', 'BZ', 'Belize', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8388, '2020-03-30', 'BZ', 'Belize', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8389, '2020-03-31', 'BZ', 'Belize', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (8390, '2020-04-01', 'BZ', 'Belize', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (8391, '2020-04-02', 'BZ', 'Belize', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (8392, '2020-04-03', 'BZ', 'Belize', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (8393, '2020-04-04', 'BZ', 'Belize', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (8394, '2020-04-05', 'BZ', 'Belize', 'AMRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (8395, '2020-04-06', 'BZ', 'Belize', 'AMRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (8396, '2020-04-07', 'BZ', 'Belize', 'AMRO', '2', '7', '1', '1');
INSERT INTO public.who_import VALUES (8397, '2020-04-08', 'BZ', 'Belize', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (8398, '2020-04-09', 'BZ', 'Belize', 'AMRO', '1', '8', '0', '1');
INSERT INTO public.who_import VALUES (8399, '2020-04-10', 'BZ', 'Belize', 'AMRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (8400, '2020-04-11', 'BZ', 'Belize', 'AMRO', '1', '10', '0', '1');
INSERT INTO public.who_import VALUES (8401, '2020-04-12', 'BZ', 'Belize', 'AMRO', '0', '10', '1', '2');
INSERT INTO public.who_import VALUES (8402, '2020-04-13', 'BZ', 'Belize', 'AMRO', '3', '13', '0', '2');
INSERT INTO public.who_import VALUES (8403, '2020-04-14', 'BZ', 'Belize', 'AMRO', '1', '14', '0', '2');
INSERT INTO public.who_import VALUES (8404, '2020-04-15', 'BZ', 'Belize', 'AMRO', '4', '18', '0', '2');
INSERT INTO public.who_import VALUES (8405, '2020-04-16', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8406, '2020-04-17', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8407, '2020-04-18', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8408, '2020-04-19', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8409, '2020-04-20', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8410, '2020-04-21', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8411, '2020-04-22', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8412, '2020-04-23', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8413, '2020-04-24', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8414, '2020-04-25', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8415, '2020-04-26', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8416, '2020-04-27', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8417, '2020-04-28', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8418, '2020-04-29', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8419, '2020-04-30', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8420, '2020-05-01', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8421, '2020-05-02', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8422, '2020-05-03', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8423, '2020-05-04', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8424, '2020-05-05', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8425, '2020-05-06', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8426, '2020-05-07', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8427, '2020-05-08', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8428, '2020-05-09', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8429, '2020-05-10', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8430, '2020-05-11', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8431, '2020-05-12', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8432, '2020-05-13', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8433, '2020-05-14', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8434, '2020-05-15', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8435, '2020-05-16', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8436, '2020-05-17', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8437, '2020-05-18', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8438, '2020-05-19', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8439, '2020-05-20', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8440, '2020-05-21', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8441, '2020-05-22', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8442, '2020-05-23', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8443, '2020-05-24', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8444, '2020-05-25', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8445, '2020-05-26', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8446, '2020-05-27', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8447, '2020-05-28', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8448, '2020-05-29', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8449, '2020-05-30', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8450, '2020-05-31', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8451, '2020-06-01', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8452, '2020-06-02', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8453, '2020-06-03', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8454, '2020-06-04', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8455, '2020-06-05', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8456, '2020-06-06', 'BZ', 'Belize', 'AMRO', '0', '18', '0', '2');
INSERT INTO public.who_import VALUES (8457, '2020-06-07', 'BZ', 'Belize', 'AMRO', '1', '19', '0', '2');
INSERT INTO public.who_import VALUES (8458, '2020-06-08', 'BZ', 'Belize', 'AMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (8459, '2020-06-09', 'BZ', 'Belize', 'AMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (8460, '2020-06-10', 'BZ', 'Belize', 'AMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (8461, '2020-06-11', 'BZ', 'Belize', 'AMRO', '1', '20', '0', '2');
INSERT INTO public.who_import VALUES (8462, '2020-06-12', 'BZ', 'Belize', 'AMRO', '0', '20', '0', '2');
INSERT INTO public.who_import VALUES (8463, '2020-06-13', 'BZ', 'Belize', 'AMRO', '0', '20', '0', '2');
INSERT INTO public.who_import VALUES (8464, '2020-06-14', 'BZ', 'Belize', 'AMRO', '0', '20', '0', '2');
INSERT INTO public.who_import VALUES (8465, '2020-06-15', 'BZ', 'Belize', 'AMRO', '1', '21', '0', '2');
INSERT INTO public.who_import VALUES (8466, '2020-06-16', 'BZ', 'Belize', 'AMRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (8467, '2020-06-17', 'BZ', 'Belize', 'AMRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (8468, '2020-06-18', 'BZ', 'Belize', 'AMRO', '1', '22', '0', '2');
INSERT INTO public.who_import VALUES (8469, '2020-06-19', 'BZ', 'Belize', 'AMRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (8470, '2020-06-20', 'BZ', 'Belize', 'AMRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (8471, '2020-06-21', 'BZ', 'Belize', 'AMRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (8472, '2020-06-22', 'BZ', 'Belize', 'AMRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (8473, '2020-06-23', 'BZ', 'Belize', 'AMRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (8474, '2020-06-24', 'BZ', 'Belize', 'AMRO', '1', '23', '0', '2');
INSERT INTO public.who_import VALUES (8475, '2020-06-25', 'BZ', 'Belize', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (8476, '2020-06-26', 'BZ', 'Belize', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (8477, '2020-06-27', 'BZ', 'Belize', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (8478, '2020-06-28', 'BZ', 'Belize', 'AMRO', '1', '24', '0', '2');
INSERT INTO public.who_import VALUES (8479, '2020-06-29', 'BZ', 'Belize', 'AMRO', '0', '24', '0', '2');
INSERT INTO public.who_import VALUES (8480, '2020-06-30', 'BZ', 'Belize', 'AMRO', '0', '24', '0', '2');
INSERT INTO public.who_import VALUES (8481, '2020-07-01', 'BZ', 'Belize', 'AMRO', '0', '24', '0', '2');
INSERT INTO public.who_import VALUES (8482, '2020-07-02', 'BZ', 'Belize', 'AMRO', '4', '28', '0', '2');
INSERT INTO public.who_import VALUES (8483, '2020-07-03', 'BZ', 'Belize', 'AMRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (8484, '2020-07-04', 'BZ', 'Belize', 'AMRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (8485, '2020-07-05', 'BZ', 'Belize', 'AMRO', '2', '30', '0', '2');
INSERT INTO public.who_import VALUES (8486, '2020-07-06', 'BZ', 'Belize', 'AMRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (8487, '2020-07-07', 'BZ', 'Belize', 'AMRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (8488, '2020-07-08', 'BZ', 'Belize', 'AMRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (8489, '2020-07-09', 'BZ', 'Belize', 'AMRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (8490, '2020-07-10', 'BZ', 'Belize', 'AMRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (8491, '2020-07-11', 'BZ', 'Belize', 'AMRO', '3', '33', '0', '2');
INSERT INTO public.who_import VALUES (8492, '2020-07-12', 'BZ', 'Belize', 'AMRO', '4', '37', '0', '2');
INSERT INTO public.who_import VALUES (8493, '2020-07-13', 'BZ', 'Belize', 'AMRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (8494, '2020-07-14', 'BZ', 'Belize', 'AMRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (8495, '2020-07-15', 'BZ', 'Belize', 'AMRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (8496, '2020-07-16', 'BZ', 'Belize', 'AMRO', '2', '39', '0', '2');
INSERT INTO public.who_import VALUES (8497, '2020-07-17', 'BZ', 'Belize', 'AMRO', '0', '39', '0', '2');
INSERT INTO public.who_import VALUES (8498, '2020-07-18', 'BZ', 'Belize', 'AMRO', '1', '40', '0', '2');
INSERT INTO public.who_import VALUES (8499, '2020-07-19', 'BZ', 'Belize', 'AMRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (8500, '2020-07-20', 'BZ', 'Belize', 'AMRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (8501, '2020-07-21', 'BZ', 'Belize', 'AMRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (8502, '2020-07-22', 'BZ', 'Belize', 'AMRO', '2', '42', '0', '2');
INSERT INTO public.who_import VALUES (8503, '2020-07-23', 'BZ', 'Belize', 'AMRO', '1', '43', '0', '2');
INSERT INTO public.who_import VALUES (8504, '2020-07-24', 'BZ', 'Belize', 'AMRO', '0', '43', '0', '2');
INSERT INTO public.who_import VALUES (8505, '2020-07-25', 'BZ', 'Belize', 'AMRO', '4', '47', '0', '2');
INSERT INTO public.who_import VALUES (8506, '2020-07-26', 'BZ', 'Belize', 'AMRO', '1', '48', '0', '2');
INSERT INTO public.who_import VALUES (8507, '2020-07-27', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8508, '2020-07-28', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8509, '2020-07-29', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8510, '2020-07-30', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8511, '2020-07-31', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8512, '2020-08-01', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8513, '2020-08-02', 'BZ', 'Belize', 'AMRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (8514, '2020-08-03', 'BZ', 'Belize', 'AMRO', '8', '56', '0', '2');
INSERT INTO public.who_import VALUES (8515, '2020-08-04', 'BZ', 'Belize', 'AMRO', '1', '57', '0', '2');
INSERT INTO public.who_import VALUES (8516, '2020-08-05', 'BZ', 'Belize', 'AMRO', '0', '57', '0', '2');
INSERT INTO public.who_import VALUES (8517, '2020-08-06', 'BZ', 'Belize', 'AMRO', '10', '67', '0', '2');
INSERT INTO public.who_import VALUES (8518, '2020-08-07', 'BZ', 'Belize', 'AMRO', '19', '86', '0', '2');
INSERT INTO public.who_import VALUES (8519, '2020-08-08', 'BZ', 'Belize', 'AMRO', '28', '114', '0', '2');
INSERT INTO public.who_import VALUES (8520, '2020-08-09', 'BZ', 'Belize', 'AMRO', '32', '146', '0', '2');
INSERT INTO public.who_import VALUES (8521, '2020-08-10', 'BZ', 'Belize', 'AMRO', '7', '153', '0', '2');
INSERT INTO public.who_import VALUES (8522, '2020-08-11', 'BZ', 'Belize', 'AMRO', '1', '154', '0', '2');
INSERT INTO public.who_import VALUES (8523, '2020-08-12', 'BZ', 'Belize', 'AMRO', '23', '177', '0', '2');
INSERT INTO public.who_import VALUES (8524, '2020-08-13', 'BZ', 'Belize', 'AMRO', '33', '210', '0', '2');
INSERT INTO public.who_import VALUES (8525, '2020-08-14', 'BZ', 'Belize', 'AMRO', '86', '296', '0', '2');
INSERT INTO public.who_import VALUES (8526, '2020-08-15', 'BZ', 'Belize', 'AMRO', '60', '356', '0', '2');
INSERT INTO public.who_import VALUES (8527, '2020-08-16', 'BZ', 'Belize', 'AMRO', '32', '388', '1', '3');
INSERT INTO public.who_import VALUES (8528, '2020-08-17', 'BZ', 'Belize', 'AMRO', '64', '452', '0', '3');
INSERT INTO public.who_import VALUES (8529, '2020-08-18', 'BZ', 'Belize', 'AMRO', '0', '452', '0', '3');
INSERT INTO public.who_import VALUES (8530, '2020-08-19', 'BZ', 'Belize', 'AMRO', '23', '475', '1', '4');
INSERT INTO public.who_import VALUES (8531, '2020-08-20', 'BZ', 'Belize', 'AMRO', '78', '553', '0', '4');
INSERT INTO public.who_import VALUES (8532, '2020-08-21', 'BZ', 'Belize', 'AMRO', '0', '553', '1', '5');
INSERT INTO public.who_import VALUES (8533, '2020-08-22', 'BZ', 'Belize', 'AMRO', '52', '605', '0', '5');
INSERT INTO public.who_import VALUES (8534, '2020-08-23', 'BZ', 'Belize', 'AMRO', '43', '648', '0', '5');
INSERT INTO public.who_import VALUES (8535, '2020-08-24', 'BZ', 'Belize', 'AMRO', '20', '668', '1', '6');
INSERT INTO public.who_import VALUES (8536, '2020-08-25', 'BZ', 'Belize', 'AMRO', '18', '686', '0', '6');
INSERT INTO public.who_import VALUES (8537, '2020-08-26', 'BZ', 'Belize', 'AMRO', '27', '713', '4', '10');
INSERT INTO public.who_import VALUES (8538, '2020-08-27', 'BZ', 'Belize', 'AMRO', '17', '730', '0', '10');
INSERT INTO public.who_import VALUES (8539, '2020-08-28', 'BZ', 'Belize', 'AMRO', '30', '760', '1', '11');
INSERT INTO public.who_import VALUES (8540, '2020-08-29', 'BZ', 'Belize', 'AMRO', '58', '818', '1', '12');
INSERT INTO public.who_import VALUES (8541, '2020-08-30', 'BZ', 'Belize', 'AMRO', '52', '870', '0', '12');
INSERT INTO public.who_import VALUES (8542, '2020-08-31', 'BZ', 'Belize', 'AMRO', '94', '964', '1', '13');
INSERT INTO public.who_import VALUES (8543, '2020-09-01', 'BZ', 'Belize', 'AMRO', '29', '993', '0', '13');
INSERT INTO public.who_import VALUES (8544, '2020-09-02', 'BZ', 'Belize', 'AMRO', '14', '1007', '0', '13');
INSERT INTO public.who_import VALUES (8545, '2020-09-03', 'BZ', 'Belize', 'AMRO', '43', '1050', '0', '13');
INSERT INTO public.who_import VALUES (8546, '2020-09-04', 'BZ', 'Belize', 'AMRO', '51', '1101', '0', '13');
INSERT INTO public.who_import VALUES (8547, '2020-09-05', 'BZ', 'Belize', 'AMRO', '17', '1118', '0', '13');
INSERT INTO public.who_import VALUES (8548, '2020-09-06', 'BZ', 'Belize', 'AMRO', '34', '1152', '2', '15');
INSERT INTO public.who_import VALUES (8549, '2020-09-07', 'BZ', 'Belize', 'AMRO', '42', '1194', '0', '15');
INSERT INTO public.who_import VALUES (8550, '2020-09-08', 'BZ', 'Belize', 'AMRO', '67', '1261', '0', '15');
INSERT INTO public.who_import VALUES (8551, '2020-09-09', 'BZ', 'Belize', 'AMRO', '46', '1307', '1', '16');
INSERT INTO public.who_import VALUES (8552, '2020-09-10', 'BZ', 'Belize', 'AMRO', '54', '1361', '0', '16');
INSERT INTO public.who_import VALUES (8553, '2020-09-11', 'BZ', 'Belize', 'AMRO', '4', '1365', '2', '18');
INSERT INTO public.who_import VALUES (8554, '2020-09-12', 'BZ', 'Belize', 'AMRO', '34', '1399', '1', '19');
INSERT INTO public.who_import VALUES (8555, '2020-09-13', 'BZ', 'Belize', 'AMRO', '36', '1435', '0', '19');
INSERT INTO public.who_import VALUES (8556, '2020-09-14', 'BZ', 'Belize', 'AMRO', '23', '1458', '0', '19');
INSERT INTO public.who_import VALUES (8557, '2020-09-15', 'BZ', 'Belize', 'AMRO', '22', '1480', '0', '19');
INSERT INTO public.who_import VALUES (8558, '2020-09-16', 'BZ', 'Belize', 'AMRO', '21', '1501', '0', '19');
INSERT INTO public.who_import VALUES (8559, '2020-09-17', 'BZ', 'Belize', 'AMRO', '27', '1528', '0', '19');
INSERT INTO public.who_import VALUES (8560, '2020-09-18', 'BZ', 'Belize', 'AMRO', '8', '1536', '0', '19');
INSERT INTO public.who_import VALUES (8561, '2020-09-19', 'BZ', 'Belize', 'AMRO', '31', '1567', '0', '19');
INSERT INTO public.who_import VALUES (8562, '2020-09-20', 'BZ', 'Belize', 'AMRO', '23', '1590', '1', '20');
INSERT INTO public.who_import VALUES (8563, '2020-09-21', 'BZ', 'Belize', 'AMRO', '16', '1606', '0', '20');
INSERT INTO public.who_import VALUES (8564, '2020-09-22', 'BZ', 'Belize', 'AMRO', '21', '1627', '1', '21');
INSERT INTO public.who_import VALUES (8565, '2020-09-23', 'BZ', 'Belize', 'AMRO', '8', '1635', '0', '21');
INSERT INTO public.who_import VALUES (8566, '2020-09-24', 'BZ', 'Belize', 'AMRO', '34', '1669', '0', '21');
INSERT INTO public.who_import VALUES (8567, '2020-09-25', 'BZ', 'Belize', 'AMRO', '37', '1706', '1', '22');
INSERT INTO public.who_import VALUES (8568, '2020-09-26', 'BZ', 'Belize', 'AMRO', '52', '1758', '0', '22');
INSERT INTO public.who_import VALUES (8569, '2020-09-27', 'BZ', 'Belize', 'AMRO', '50', '1808', '1', '23');
INSERT INTO public.who_import VALUES (8570, '2020-09-28', 'BZ', 'Belize', 'AMRO', '17', '1825', '1', '24');
INSERT INTO public.who_import VALUES (8571, '2020-09-29', 'BZ', 'Belize', 'AMRO', '29', '1854', '0', '24');
INSERT INTO public.who_import VALUES (8572, '2020-09-30', 'BZ', 'Belize', 'AMRO', '37', '1891', '0', '24');
INSERT INTO public.who_import VALUES (8573, '2020-10-01', 'BZ', 'Belize', 'AMRO', '52', '1943', '2', '26');
INSERT INTO public.who_import VALUES (8574, '2020-10-02', 'BZ', 'Belize', 'AMRO', '49', '1992', '1', '27');
INSERT INTO public.who_import VALUES (8575, '2020-10-03', 'BZ', 'Belize', 'AMRO', '34', '2026', '0', '27');
INSERT INTO public.who_import VALUES (8576, '2020-10-04', 'BZ', 'Belize', 'AMRO', '54', '2080', '1', '28');
INSERT INTO public.who_import VALUES (8577, '2020-10-05', 'BZ', 'Belize', 'AMRO', '51', '2131', '1', '29');
INSERT INTO public.who_import VALUES (8578, '2020-10-06', 'BZ', 'Belize', 'AMRO', '65', '2196', '1', '30');
INSERT INTO public.who_import VALUES (8579, '2020-10-07', 'BZ', 'Belize', 'AMRO', '8', '2204', '0', '30');
INSERT INTO public.who_import VALUES (8580, '2020-10-08', 'BZ', 'Belize', 'AMRO', '39', '2243', '4', '34');
INSERT INTO public.who_import VALUES (8581, '2020-10-09', 'BZ', 'Belize', 'AMRO', '67', '2310', '0', '34');
INSERT INTO public.who_import VALUES (8582, '2020-10-10', 'BZ', 'Belize', 'AMRO', '63', '2373', '0', '34');
INSERT INTO public.who_import VALUES (8583, '2020-10-11', 'BZ', 'Belize', 'AMRO', '54', '2427', '1', '35');
INSERT INTO public.who_import VALUES (8584, '2020-10-12', 'BZ', 'Belize', 'AMRO', '69', '2496', '1', '36');
INSERT INTO public.who_import VALUES (8585, '2020-10-13', 'BZ', 'Belize', 'AMRO', '35', '2531', '1', '37');
INSERT INTO public.who_import VALUES (8586, '2020-10-14', 'BZ', 'Belize', 'AMRO', '38', '2569', '0', '37');
INSERT INTO public.who_import VALUES (8587, '2020-10-15', 'BZ', 'Belize', 'AMRO', '16', '2585', '2', '39');
INSERT INTO public.who_import VALUES (8588, '2020-10-16', 'BZ', 'Belize', 'AMRO', '34', '2619', '1', '40');
INSERT INTO public.who_import VALUES (8589, '2020-10-17', 'BZ', 'Belize', 'AMRO', '63', '2682', '1', '41');
INSERT INTO public.who_import VALUES (8590, '2020-10-18', 'BZ', 'Belize', 'AMRO', '46', '2728', '2', '43');
INSERT INTO public.who_import VALUES (8591, '2020-10-19', 'BZ', 'Belize', 'AMRO', '47', '2775', '0', '43');
INSERT INTO public.who_import VALUES (8592, '2020-10-20', 'BZ', 'Belize', 'AMRO', '38', '2813', '1', '44');
INSERT INTO public.who_import VALUES (8593, '2020-10-21', 'BZ', 'Belize', 'AMRO', '20', '2833', '1', '45');
INSERT INTO public.who_import VALUES (8594, '2020-10-22', 'BZ', 'Belize', 'AMRO', '53', '2886', '0', '45');
INSERT INTO public.who_import VALUES (8595, '2020-10-23', 'BZ', 'Belize', 'AMRO', '51', '2937', '1', '46');
INSERT INTO public.who_import VALUES (8596, '2020-10-24', 'BZ', 'Belize', 'AMRO', '58', '2995', '0', '46');
INSERT INTO public.who_import VALUES (8597, '2020-10-25', 'BZ', 'Belize', 'AMRO', '55', '3050', '1', '47');
INSERT INTO public.who_import VALUES (8598, '2020-10-26', 'BZ', 'Belize', 'AMRO', '56', '3106', '1', '48');
INSERT INTO public.who_import VALUES (8599, '2020-10-27', 'BZ', 'Belize', 'AMRO', '39', '3145', '2', '50');
INSERT INTO public.who_import VALUES (8600, '2020-10-28', 'BZ', 'Belize', 'AMRO', '55', '3200', '1', '51');
INSERT INTO public.who_import VALUES (8601, '2020-10-29', 'BZ', 'Belize', 'AMRO', '32', '3232', '0', '51');
INSERT INTO public.who_import VALUES (8602, '2020-10-30', 'BZ', 'Belize', 'AMRO', '29', '3261', '1', '52');
INSERT INTO public.who_import VALUES (8603, '2020-10-31', 'BZ', 'Belize', 'AMRO', '121', '3382', '4', '56');
INSERT INTO public.who_import VALUES (8604, '2020-11-01', 'BZ', 'Belize', 'AMRO', '80', '3462', '2', '58');
INSERT INTO public.who_import VALUES (8605, '2020-11-02', 'BZ', 'Belize', 'AMRO', '25', '3487', '1', '59');
INSERT INTO public.who_import VALUES (8606, '2020-11-03', 'BZ', 'Belize', 'AMRO', '90', '3577', '0', '59');
INSERT INTO public.who_import VALUES (8607, '2020-11-04', 'BZ', 'Belize', 'AMRO', '47', '3624', '0', '59');
INSERT INTO public.who_import VALUES (8608, '2020-11-05', 'BZ', 'Belize', 'AMRO', '166', '3790', '2', '61');
INSERT INTO public.who_import VALUES (8609, '2020-11-06', 'BZ', 'Belize', 'AMRO', '115', '3905', '3', '64');
INSERT INTO public.who_import VALUES (8610, '2020-11-07', 'BZ', 'Belize', 'AMRO', '72', '3977', '2', '66');
INSERT INTO public.who_import VALUES (8611, '2020-11-08', 'BZ', 'Belize', 'AMRO', '39', '4016', '1', '67');
INSERT INTO public.who_import VALUES (8612, '2020-11-09', 'BZ', 'Belize', 'AMRO', '60', '4076', '1', '68');
INSERT INTO public.who_import VALUES (8613, '2020-11-10', 'BZ', 'Belize', 'AMRO', '100', '4176', '2', '70');
INSERT INTO public.who_import VALUES (8614, '2020-11-11', 'BZ', 'Belize', 'AMRO', '54', '4230', '1', '71');
INSERT INTO public.who_import VALUES (8615, '2020-11-12', 'BZ', 'Belize', 'AMRO', '184', '4414', '2', '73');
INSERT INTO public.who_import VALUES (8616, '2020-11-13', 'BZ', 'Belize', 'AMRO', '106', '4520', '2', '75');
INSERT INTO public.who_import VALUES (8617, '2020-11-14', 'BZ', 'Belize', 'AMRO', '76', '4596', '0', '75');
INSERT INTO public.who_import VALUES (8618, '2020-11-15', 'BZ', 'Belize', 'AMRO', '119', '4715', '10', '85');
INSERT INTO public.who_import VALUES (8619, '2020-11-16', 'BZ', 'Belize', 'AMRO', '68', '4783', '3', '88');
INSERT INTO public.who_import VALUES (8620, '2020-11-17', 'BZ', 'Belize', 'AMRO', '78', '4861', '2', '90');
INSERT INTO public.who_import VALUES (8621, '2020-11-18', 'BZ', 'Belize', 'AMRO', '22', '4883', '4', '94');
INSERT INTO public.who_import VALUES (8622, '2020-11-19', 'BZ', 'Belize', 'AMRO', '37', '4920', '2', '96');
INSERT INTO public.who_import VALUES (8623, '2020-11-20', 'BZ', 'Belize', 'AMRO', '38', '4958', '4', '100');
INSERT INTO public.who_import VALUES (8624, '2020-11-21', 'BZ', 'Belize', 'AMRO', '60', '5018', '2', '102');
INSERT INTO public.who_import VALUES (8625, '2020-11-22', 'BZ', 'Belize', 'AMRO', '38', '5056', '5', '107');
INSERT INTO public.who_import VALUES (8626, '2020-11-23', 'BZ', 'Belize', 'AMRO', '54', '5110', '5', '112');
INSERT INTO public.who_import VALUES (8627, '2020-11-24', 'BZ', 'Belize', 'AMRO', '73', '5183', '4', '116');
INSERT INTO public.who_import VALUES (8628, '2020-11-25', 'BZ', 'Belize', 'AMRO', '66', '5249', '4', '120');
INSERT INTO public.who_import VALUES (8629, '2020-11-26', 'BZ', 'Belize', 'AMRO', '86', '5335', '5', '125');
INSERT INTO public.who_import VALUES (8630, '2020-11-27', 'BZ', 'Belize', 'AMRO', '88', '5423', '4', '129');
INSERT INTO public.who_import VALUES (8631, '2020-11-28', 'BZ', 'Belize', 'AMRO', '92', '5515', '2', '131');
INSERT INTO public.who_import VALUES (8632, '2020-11-29', 'BZ', 'Belize', 'AMRO', '72', '5587', '10', '141');
INSERT INTO public.who_import VALUES (8633, '2020-11-30', 'BZ', 'Belize', 'AMRO', '60', '5647', '3', '144');
INSERT INTO public.who_import VALUES (8634, '2020-12-01', 'BZ', 'Belize', 'AMRO', '96', '5743', '3', '147');
INSERT INTO public.who_import VALUES (8635, '2020-12-02', 'BZ', 'Belize', 'AMRO', '111', '5854', '1', '148');
INSERT INTO public.who_import VALUES (8636, '2020-12-03', 'BZ', 'Belize', 'AMRO', '0', '5854', '0', '148');
INSERT INTO public.who_import VALUES (8637, '2020-12-04', 'BZ', 'Belize', 'AMRO', '1141', '6995', '12', '160');
INSERT INTO public.who_import VALUES (8638, '2020-12-05', 'BZ', 'Belize', 'AMRO', '241', '7236', '4', '164');
INSERT INTO public.who_import VALUES (8639, '2020-12-06', 'BZ', 'Belize', 'AMRO', '147', '7383', '6', '170');
INSERT INTO public.who_import VALUES (8640, '2020-12-07', 'BZ', 'Belize', 'AMRO', '218', '7601', '2', '172');
INSERT INTO public.who_import VALUES (8641, '2020-12-08', 'BZ', 'Belize', 'AMRO', '168', '7769', '1', '173');
INSERT INTO public.who_import VALUES (8642, '2020-12-09', 'BZ', 'Belize', 'AMRO', '184', '7953', '3', '176');
INSERT INTO public.who_import VALUES (8643, '2020-12-10', 'BZ', 'Belize', 'AMRO', '60', '8013', '3', '179');
INSERT INTO public.who_import VALUES (8644, '2020-12-11', 'BZ', 'Belize', 'AMRO', '506', '8519', '4', '183');
INSERT INTO public.who_import VALUES (8645, '2020-12-12', 'BZ', 'Belize', 'AMRO', '286', '8805', '0', '183');
INSERT INTO public.who_import VALUES (8646, '2020-12-13', 'BZ', 'Belize', 'AMRO', '160', '8965', '2', '185');
INSERT INTO public.who_import VALUES (8647, '2020-12-14', 'BZ', 'Belize', 'AMRO', '208', '9173', '7', '192');
INSERT INTO public.who_import VALUES (8648, '2020-12-15', 'BZ', 'Belize', 'AMRO', '122', '9295', '3', '195');
INSERT INTO public.who_import VALUES (8649, '2020-12-16', 'BZ', 'Belize', 'AMRO', '82', '9377', '2', '197');
INSERT INTO public.who_import VALUES (8650, '2020-12-17', 'BZ', 'Belize', 'AMRO', '134', '9511', '14', '211');
INSERT INTO public.who_import VALUES (8651, '2020-12-18', 'BZ', 'Belize', 'AMRO', '161', '9672', '1', '212');
INSERT INTO public.who_import VALUES (8652, '2020-12-19', 'BZ', 'Belize', 'AMRO', '119', '9791', '1', '213');
INSERT INTO public.who_import VALUES (8653, '2020-12-20', 'BZ', 'Belize', 'AMRO', '138', '9929', '2', '215');
INSERT INTO public.who_import VALUES (8654, '2020-12-21', 'BZ', 'Belize', 'AMRO', '94', '10023', '1', '216');
INSERT INTO public.who_import VALUES (8655, '2020-12-22', 'BZ', 'Belize', 'AMRO', '72', '10095', '4', '220');
INSERT INTO public.who_import VALUES (8656, '2020-12-23', 'BZ', 'Belize', 'AMRO', '50', '10145', '4', '224');
INSERT INTO public.who_import VALUES (8657, '2020-12-24', 'BZ', 'Belize', 'AMRO', '112', '10257', '2', '226');
INSERT INTO public.who_import VALUES (8658, '2020-12-25', 'BZ', 'Belize', 'AMRO', '113', '10370', '0', '226');
INSERT INTO public.who_import VALUES (8659, '2020-12-26', 'BZ', 'Belize', 'AMRO', '120', '10490', '2', '228');
INSERT INTO public.who_import VALUES (8660, '2020-12-27', 'BZ', 'Belize', 'AMRO', '0', '10490', '0', '228');
INSERT INTO public.who_import VALUES (8661, '2020-12-28', 'BZ', 'Belize', 'AMRO', '0', '10490', '0', '228');
INSERT INTO public.who_import VALUES (8662, '2020-12-29', 'BZ', 'Belize', 'AMRO', '71', '10561', '5', '233');
INSERT INTO public.who_import VALUES (8663, '2020-12-30', 'BZ', 'Belize', 'AMRO', '30', '10591', '3', '236');
INSERT INTO public.who_import VALUES (8664, '2020-12-31', 'BZ', 'Belize', 'AMRO', '77', '10668', '5', '241');
INSERT INTO public.who_import VALUES (8665, '2021-01-01', 'BZ', 'Belize', 'AMRO', '56', '10724', '1', '242');
INSERT INTO public.who_import VALUES (8666, '2021-01-02', 'BZ', 'Belize', 'AMRO', '52', '10776', '6', '248');
INSERT INTO public.who_import VALUES (8667, '2021-01-03', 'BZ', 'Belize', 'AMRO', '31', '10807', '1', '249');
INSERT INTO public.who_import VALUES (8668, '2021-01-04', 'BZ', 'Belize', 'AMRO', '0', '10807', '0', '249');
INSERT INTO public.who_import VALUES (8669, '2021-01-05', 'BZ', 'Belize', 'AMRO', '94', '10901', '1', '250');
INSERT INTO public.who_import VALUES (8670, '2021-01-06', 'BZ', 'Belize', 'AMRO', '37', '10938', '7', '257');
INSERT INTO public.who_import VALUES (8671, '2021-01-07', 'BZ', 'Belize', 'AMRO', '80', '11018', '1', '258');
INSERT INTO public.who_import VALUES (8672, '2021-01-08', 'BZ', 'Belize', 'AMRO', '90', '11108', '2', '260');
INSERT INTO public.who_import VALUES (8673, '2021-01-09', 'BZ', 'Belize', 'AMRO', '44', '11152', '7', '267');
INSERT INTO public.who_import VALUES (8674, '2021-01-10', 'BZ', 'Belize', 'AMRO', '50', '11202', '4', '271');
INSERT INTO public.who_import VALUES (8675, '2021-01-11', 'BZ', 'Belize', 'AMRO', '64', '11266', '0', '271');
INSERT INTO public.who_import VALUES (8676, '2021-01-12', 'BZ', 'Belize', 'AMRO', '37', '11303', '3', '274');
INSERT INTO public.who_import VALUES (8677, '2021-01-13', 'BZ', 'Belize', 'AMRO', '29', '11332', '1', '275');
INSERT INTO public.who_import VALUES (8678, '2021-01-14', 'BZ', 'Belize', 'AMRO', '34', '11366', '2', '277');
INSERT INTO public.who_import VALUES (8679, '2021-01-15', 'BZ', 'Belize', 'AMRO', '53', '11419', '1', '278');
INSERT INTO public.who_import VALUES (8680, '2021-01-16', 'BZ', 'Belize', 'AMRO', '37', '11456', '2', '280');
INSERT INTO public.who_import VALUES (8681, '2021-01-17', 'BZ', 'Belize', 'AMRO', '73', '11529', '1', '281');
INSERT INTO public.who_import VALUES (8682, '2021-01-18', 'BZ', 'Belize', 'AMRO', '0', '11529', '0', '281');
INSERT INTO public.who_import VALUES (8683, '2021-01-19', 'BZ', 'Belize', 'AMRO', '51', '11580', '0', '281');
INSERT INTO public.who_import VALUES (8684, '2021-01-20', 'BZ', 'Belize', 'AMRO', '12', '11592', '1', '282');
INSERT INTO public.who_import VALUES (8685, '2021-01-21', 'BZ', 'Belize', 'AMRO', '23', '11615', '1', '283');
INSERT INTO public.who_import VALUES (8686, '2021-01-22', 'BZ', 'Belize', 'AMRO', '27', '11642', '3', '286');
INSERT INTO public.who_import VALUES (8687, '2021-01-23', 'BZ', 'Belize', 'AMRO', '34', '11676', '3', '289');
INSERT INTO public.who_import VALUES (8688, '2021-01-24', 'BZ', 'Belize', 'AMRO', '24', '11700', '1', '290');
INSERT INTO public.who_import VALUES (8689, '2021-01-25', 'BZ', 'Belize', 'AMRO', '22', '11722', '0', '290');
INSERT INTO public.who_import VALUES (8690, '2021-01-26', 'BZ', 'Belize', 'AMRO', '28', '11750', '0', '290');
INSERT INTO public.who_import VALUES (8691, '2021-01-27', 'BZ', 'Belize', 'AMRO', '20', '11770', '3', '293');
INSERT INTO public.who_import VALUES (8692, '2021-01-28', 'BZ', 'Belize', 'AMRO', '18', '11788', '0', '293');
INSERT INTO public.who_import VALUES (8693, '2021-01-29', 'BZ', 'Belize', 'AMRO', '28', '11816', '1', '294');
INSERT INTO public.who_import VALUES (8694, '2021-01-30', 'BZ', 'Belize', 'AMRO', '29', '11845', '4', '298');
INSERT INTO public.who_import VALUES (8695, '2021-01-31', 'BZ', 'Belize', 'AMRO', '32', '11877', '3', '301');
INSERT INTO public.who_import VALUES (8696, '2021-02-01', 'BZ', 'Belize', 'AMRO', '31', '11908', '0', '301');
INSERT INTO public.who_import VALUES (8697, '2021-02-02', 'BZ', 'Belize', 'AMRO', '0', '11908', '0', '301');
INSERT INTO public.who_import VALUES (8698, '2021-02-03', 'BZ', 'Belize', 'AMRO', '37', '11945', '1', '302');
INSERT INTO public.who_import VALUES (8699, '2021-02-04', 'BZ', 'Belize', 'AMRO', '12', '11957', '1', '303');
INSERT INTO public.who_import VALUES (8700, '2021-02-05', 'BZ', 'Belize', 'AMRO', '21', '11978', '3', '306');
INSERT INTO public.who_import VALUES (8701, '2021-02-06', 'BZ', 'Belize', 'AMRO', '30', '12008', '0', '306');
INSERT INTO public.who_import VALUES (8702, '2021-02-07', 'BZ', 'Belize', 'AMRO', '5', '12013', '0', '306');
INSERT INTO public.who_import VALUES (8703, '2021-02-08', 'BZ', 'Belize', 'AMRO', '24', '12037', '0', '306');
INSERT INTO public.who_import VALUES (8704, '2021-02-09', 'BZ', 'Belize', 'AMRO', '0', '12037', '0', '306');
INSERT INTO public.who_import VALUES (8705, '2021-02-10', 'BZ', 'Belize', 'AMRO', '33', '12070', '1', '307');
INSERT INTO public.who_import VALUES (8706, '2021-02-11', 'BZ', 'Belize', 'AMRO', '9', '12079', '3', '310');
INSERT INTO public.who_import VALUES (8707, '2021-02-12', 'BZ', 'Belize', 'AMRO', '28', '12107', '3', '313');
INSERT INTO public.who_import VALUES (8708, '2021-02-13', 'BZ', 'Belize', 'AMRO', '7', '12114', '0', '313');
INSERT INTO public.who_import VALUES (8709, '2021-02-14', 'BZ', 'Belize', 'AMRO', '20', '12134', '0', '313');
INSERT INTO public.who_import VALUES (8710, '2021-02-15', 'BZ', 'Belize', 'AMRO', '11', '12145', '0', '313');
INSERT INTO public.who_import VALUES (8711, '2021-02-16', 'BZ', 'Belize', 'AMRO', '0', '12145', '0', '313');
INSERT INTO public.who_import VALUES (8712, '2021-02-17', 'BZ', 'Belize', 'AMRO', '30', '12175', '0', '313');
INSERT INTO public.who_import VALUES (8713, '2021-02-18', 'BZ', 'Belize', 'AMRO', '13', '12188', '0', '313');
INSERT INTO public.who_import VALUES (8714, '2021-02-19', 'BZ', 'Belize', 'AMRO', '7', '12195', '1', '314');
INSERT INTO public.who_import VALUES (8715, '2021-02-20', 'BZ', 'Belize', 'AMRO', '12', '12207', '0', '314');
INSERT INTO public.who_import VALUES (8716, '2020-01-03', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8717, '2020-01-04', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8718, '2020-01-05', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8719, '2020-01-06', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8720, '2020-01-07', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8721, '2020-01-08', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8722, '2020-01-09', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8723, '2020-01-10', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8724, '2020-01-11', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8725, '2020-01-12', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8726, '2020-01-13', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8727, '2020-01-14', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8728, '2020-01-15', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8729, '2020-01-16', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8730, '2020-01-17', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8731, '2020-01-18', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8732, '2020-01-19', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8733, '2020-01-20', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8734, '2020-01-21', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8735, '2020-01-22', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8736, '2020-01-23', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8737, '2020-01-24', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8738, '2020-01-25', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8739, '2020-01-26', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8740, '2020-01-27', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8741, '2020-01-28', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8742, '2020-01-29', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8743, '2020-01-30', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8744, '2020-01-31', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8745, '2020-02-01', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8746, '2020-02-02', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8747, '2020-02-03', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8748, '2020-02-04', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8749, '2020-02-05', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8750, '2020-02-06', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8751, '2020-02-07', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8752, '2020-02-08', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8753, '2020-02-09', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8754, '2020-02-10', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8755, '2020-02-11', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8756, '2020-02-12', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8757, '2020-02-13', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8758, '2020-02-14', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8759, '2020-02-15', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8760, '2020-02-16', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8761, '2020-02-17', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8762, '2020-02-18', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8763, '2020-02-19', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8764, '2020-02-20', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8765, '2020-02-21', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8766, '2020-02-22', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8767, '2020-02-23', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8768, '2020-02-24', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8769, '2020-02-25', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8770, '2020-02-26', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8771, '2020-02-27', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8772, '2020-02-28', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8773, '2020-02-29', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8774, '2020-03-01', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8775, '2020-03-02', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8776, '2020-03-03', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8777, '2020-03-04', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8778, '2020-03-05', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8779, '2020-03-06', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8780, '2020-03-07', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8781, '2020-03-08', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8782, '2020-03-09', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8783, '2020-03-10', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8784, '2020-03-11', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8785, '2020-03-12', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8786, '2020-03-13', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8787, '2020-03-14', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8788, '2020-03-15', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8789, '2020-03-16', 'BJ', 'Benin', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (8790, '2020-03-17', 'BJ', 'Benin', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (8791, '2020-03-18', 'BJ', 'Benin', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (8792, '2020-03-19', 'BJ', 'Benin', 'AFRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (8793, '2020-03-20', 'BJ', 'Benin', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8794, '2020-03-21', 'BJ', 'Benin', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8795, '2020-03-22', 'BJ', 'Benin', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8796, '2020-03-23', 'BJ', 'Benin', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (8797, '2020-03-24', 'BJ', 'Benin', 'AFRO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (8798, '2020-03-25', 'BJ', 'Benin', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (8799, '2020-03-26', 'BJ', 'Benin', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (8800, '2020-03-27', 'BJ', 'Benin', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (8801, '2020-03-28', 'BJ', 'Benin', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (8802, '2020-03-29', 'BJ', 'Benin', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (8803, '2020-03-30', 'BJ', 'Benin', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (8804, '2020-03-31', 'BJ', 'Benin', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (8805, '2020-04-01', 'BJ', 'Benin', 'AFRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (8806, '2020-04-02', 'BJ', 'Benin', 'AFRO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (8807, '2020-04-03', 'BJ', 'Benin', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (8808, '2020-04-04', 'BJ', 'Benin', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (8809, '2020-04-05', 'BJ', 'Benin', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (8810, '2020-04-06', 'BJ', 'Benin', 'AFRO', '9', '22', '0', '0');
INSERT INTO public.who_import VALUES (8811, '2020-04-07', 'BJ', 'Benin', 'AFRO', '1', '23', '1', '1');
INSERT INTO public.who_import VALUES (8812, '2020-04-08', 'BJ', 'Benin', 'AFRO', '3', '26', '0', '1');
INSERT INTO public.who_import VALUES (8813, '2020-04-09', 'BJ', 'Benin', 'AFRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (8814, '2020-04-10', 'BJ', 'Benin', 'AFRO', '4', '30', '0', '1');
INSERT INTO public.who_import VALUES (8815, '2020-04-11', 'BJ', 'Benin', 'AFRO', '0', '30', '0', '1');
INSERT INTO public.who_import VALUES (8816, '2020-04-12', 'BJ', 'Benin', 'AFRO', '5', '35', '0', '1');
INSERT INTO public.who_import VALUES (8817, '2020-04-13', 'BJ', 'Benin', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (8818, '2020-04-14', 'BJ', 'Benin', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (8819, '2020-04-15', 'BJ', 'Benin', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (8820, '2020-04-16', 'BJ', 'Benin', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (8821, '2020-04-17', 'BJ', 'Benin', 'AFRO', '2', '37', '0', '1');
INSERT INTO public.who_import VALUES (8822, '2020-04-18', 'BJ', 'Benin', 'AFRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (8823, '2020-04-19', 'BJ', 'Benin', 'AFRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (8824, '2020-04-20', 'BJ', 'Benin', 'AFRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (8825, '2020-04-21', 'BJ', 'Benin', 'AFRO', '17', '54', '0', '1');
INSERT INTO public.who_import VALUES (8826, '2020-04-22', 'BJ', 'Benin', 'AFRO', '0', '54', '0', '1');
INSERT INTO public.who_import VALUES (8827, '2020-04-23', 'BJ', 'Benin', 'AFRO', '0', '54', '0', '1');
INSERT INTO public.who_import VALUES (8828, '2020-04-24', 'BJ', 'Benin', 'AFRO', '4', '58', '0', '1');
INSERT INTO public.who_import VALUES (8829, '2020-04-25', 'BJ', 'Benin', 'AFRO', '0', '58', '0', '1');
INSERT INTO public.who_import VALUES (8830, '2020-04-26', 'BJ', 'Benin', 'AFRO', '0', '58', '0', '1');
INSERT INTO public.who_import VALUES (8831, '2020-04-27', 'BJ', 'Benin', 'AFRO', '6', '64', '0', '1');
INSERT INTO public.who_import VALUES (8832, '2020-04-28', 'BJ', 'Benin', 'AFRO', '0', '64', '0', '1');
INSERT INTO public.who_import VALUES (8833, '2020-04-29', 'BJ', 'Benin', 'AFRO', '0', '64', '0', '1');
INSERT INTO public.who_import VALUES (8834, '2020-04-30', 'BJ', 'Benin', 'AFRO', '5', '69', '1', '2');
INSERT INTO public.who_import VALUES (8835, '2020-05-01', 'BJ', 'Benin', 'AFRO', '15', '84', '0', '2');
INSERT INTO public.who_import VALUES (8836, '2020-05-02', 'BJ', 'Benin', 'AFRO', '6', '90', '0', '2');
INSERT INTO public.who_import VALUES (8837, '2020-05-03', 'BJ', 'Benin', 'AFRO', '0', '90', '0', '2');
INSERT INTO public.who_import VALUES (8838, '2020-05-04', 'BJ', 'Benin', 'AFRO', '0', '90', '0', '2');
INSERT INTO public.who_import VALUES (8839, '2020-05-05', 'BJ', 'Benin', 'AFRO', '6', '96', '0', '2');
INSERT INTO public.who_import VALUES (8840, '2020-05-06', 'BJ', 'Benin', 'AFRO', '6', '102', '0', '2');
INSERT INTO public.who_import VALUES (8841, '2020-05-07', 'BJ', 'Benin', 'AFRO', '0', '102', '0', '2');
INSERT INTO public.who_import VALUES (8842, '2020-05-08', 'BJ', 'Benin', 'AFRO', '38', '140', '0', '2');
INSERT INTO public.who_import VALUES (8843, '2020-05-09', 'BJ', 'Benin', 'AFRO', '102', '242', '0', '2');
INSERT INTO public.who_import VALUES (8844, '2020-05-10', 'BJ', 'Benin', 'AFRO', '42', '284', '0', '2');
INSERT INTO public.who_import VALUES (8845, '2020-05-11', 'BJ', 'Benin', 'AFRO', '35', '319', '0', '2');
INSERT INTO public.who_import VALUES (8846, '2020-05-12', 'BJ', 'Benin', 'AFRO', '0', '319', '0', '2');
INSERT INTO public.who_import VALUES (8847, '2020-05-13', 'BJ', 'Benin', 'AFRO', '8', '327', '0', '2');
INSERT INTO public.who_import VALUES (8848, '2020-05-14', 'BJ', 'Benin', 'AFRO', '0', '327', '0', '2');
INSERT INTO public.who_import VALUES (8849, '2020-05-15', 'BJ', 'Benin', 'AFRO', '12', '339', '0', '2');
INSERT INTO public.who_import VALUES (8850, '2020-05-16', 'BJ', 'Benin', 'AFRO', '0', '339', '0', '2');
INSERT INTO public.who_import VALUES (8851, '2020-05-17', 'BJ', 'Benin', 'AFRO', '0', '339', '0', '2');
INSERT INTO public.who_import VALUES (8852, '2020-05-18', 'BJ', 'Benin', 'AFRO', '0', '339', '0', '2');
INSERT INTO public.who_import VALUES (8853, '2020-05-19', 'BJ', 'Benin', 'AFRO', '-210', '129', '0', '2');
INSERT INTO public.who_import VALUES (8854, '2020-05-20', 'BJ', 'Benin', 'AFRO', '1', '130', '0', '2');
INSERT INTO public.who_import VALUES (8855, '2020-05-21', 'BJ', 'Benin', 'AFRO', '0', '130', '0', '2');
INSERT INTO public.who_import VALUES (8856, '2020-05-22', 'BJ', 'Benin', 'AFRO', '5', '135', '1', '3');
INSERT INTO public.who_import VALUES (8857, '2020-05-23', 'BJ', 'Benin', 'AFRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (8858, '2020-05-24', 'BJ', 'Benin', 'AFRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (8859, '2020-05-25', 'BJ', 'Benin', 'AFRO', '56', '191', '0', '3');
INSERT INTO public.who_import VALUES (8860, '2020-05-26', 'BJ', 'Benin', 'AFRO', '0', '191', '0', '3');
INSERT INTO public.who_import VALUES (8861, '2020-05-27', 'BJ', 'Benin', 'AFRO', '17', '208', '0', '3');
INSERT INTO public.who_import VALUES (8862, '2020-05-28', 'BJ', 'Benin', 'AFRO', '2', '210', '0', '3');
INSERT INTO public.who_import VALUES (8863, '2020-05-29', 'BJ', 'Benin', 'AFRO', '8', '218', '0', '3');
INSERT INTO public.who_import VALUES (8864, '2020-05-30', 'BJ', 'Benin', 'AFRO', '0', '218', '0', '3');
INSERT INTO public.who_import VALUES (8865, '2020-05-31', 'BJ', 'Benin', 'AFRO', '14', '232', '0', '3');
INSERT INTO public.who_import VALUES (8866, '2020-06-01', 'BJ', 'Benin', 'AFRO', '0', '232', '0', '3');
INSERT INTO public.who_import VALUES (8867, '2020-06-02', 'BJ', 'Benin', 'AFRO', '11', '243', '0', '3');
INSERT INTO public.who_import VALUES (8868, '2020-06-03', 'BJ', 'Benin', 'AFRO', '1', '244', '0', '3');
INSERT INTO public.who_import VALUES (8869, '2020-06-04', 'BJ', 'Benin', 'AFRO', '0', '244', '0', '3');
INSERT INTO public.who_import VALUES (8870, '2020-06-05', 'BJ', 'Benin', 'AFRO', '17', '261', '0', '3');
INSERT INTO public.who_import VALUES (8871, '2020-06-06', 'BJ', 'Benin', 'AFRO', '0', '261', '0', '3');
INSERT INTO public.who_import VALUES (8872, '2020-06-07', 'BJ', 'Benin', 'AFRO', '7', '268', '1', '4');
INSERT INTO public.who_import VALUES (8873, '2020-06-08', 'BJ', 'Benin', 'AFRO', '0', '268', '0', '4');
INSERT INTO public.who_import VALUES (8874, '2020-06-09', 'BJ', 'Benin', 'AFRO', '37', '305', '0', '4');
INSERT INTO public.who_import VALUES (8875, '2020-06-10', 'BJ', 'Benin', 'AFRO', '34', '339', '0', '4');
INSERT INTO public.who_import VALUES (8876, '2020-06-11', 'BJ', 'Benin', 'AFRO', '0', '339', '0', '4');
INSERT INTO public.who_import VALUES (8877, '2020-06-12', 'BJ', 'Benin', 'AFRO', '51', '390', '1', '5');
INSERT INTO public.who_import VALUES (8878, '2020-06-13', 'BJ', 'Benin', 'AFRO', '22', '412', '1', '6');
INSERT INTO public.who_import VALUES (8879, '2020-06-14', 'BJ', 'Benin', 'AFRO', '0', '412', '0', '6');
INSERT INTO public.who_import VALUES (8880, '2020-06-15', 'BJ', 'Benin', 'AFRO', '58', '470', '1', '7');
INSERT INTO public.who_import VALUES (8881, '2020-06-16', 'BJ', 'Benin', 'AFRO', '13', '483', '2', '9');
INSERT INTO public.who_import VALUES (8882, '2020-06-17', 'BJ', 'Benin', 'AFRO', '49', '532', '0', '9');
INSERT INTO public.who_import VALUES (8883, '2020-06-18', 'BJ', 'Benin', 'AFRO', '40', '572', '0', '9');
INSERT INTO public.who_import VALUES (8884, '2020-06-19', 'BJ', 'Benin', 'AFRO', '25', '597', '2', '11');
INSERT INTO public.who_import VALUES (8885, '2020-06-20', 'BJ', 'Benin', 'AFRO', '53', '650', '0', '11');
INSERT INTO public.who_import VALUES (8886, '2020-06-21', 'BJ', 'Benin', 'AFRO', '0', '650', '0', '11');
INSERT INTO public.who_import VALUES (8887, '2020-06-22', 'BJ', 'Benin', 'AFRO', '115', '765', '2', '13');
INSERT INTO public.who_import VALUES (8888, '2020-06-23', 'BJ', 'Benin', 'AFRO', '42', '807', '0', '13');
INSERT INTO public.who_import VALUES (8889, '2020-06-24', 'BJ', 'Benin', 'AFRO', '43', '850', '0', '13');
INSERT INTO public.who_import VALUES (8890, '2020-06-25', 'BJ', 'Benin', 'AFRO', '52', '902', '0', '13');
INSERT INTO public.who_import VALUES (8891, '2020-06-26', 'BJ', 'Benin', 'AFRO', '115', '1017', '1', '14');
INSERT INTO public.who_import VALUES (8892, '2020-06-27', 'BJ', 'Benin', 'AFRO', '36', '1053', '0', '14');
INSERT INTO public.who_import VALUES (8893, '2020-06-28', 'BJ', 'Benin', 'AFRO', '71', '1124', '0', '14');
INSERT INTO public.who_import VALUES (8894, '2020-06-29', 'BJ', 'Benin', 'AFRO', '25', '1149', '2', '16');
INSERT INTO public.who_import VALUES (8895, '2020-06-30', 'BJ', 'Benin', 'AFRO', '38', '1187', '3', '19');
INSERT INTO public.who_import VALUES (8896, '2020-07-01', 'BJ', 'Benin', 'AFRO', '12', '1199', '2', '21');
INSERT INTO public.who_import VALUES (8897, '2020-07-02', 'BJ', 'Benin', 'AFRO', '0', '1199', '0', '21');
INSERT INTO public.who_import VALUES (8898, '2020-07-03', 'BJ', 'Benin', 'AFRO', '0', '1199', '0', '21');
INSERT INTO public.who_import VALUES (8899, '2020-07-04', 'BJ', 'Benin', 'AFRO', '0', '1199', '0', '21');
INSERT INTO public.who_import VALUES (8900, '2020-07-05', 'BJ', 'Benin', 'AFRO', '0', '1199', '0', '21');
INSERT INTO public.who_import VALUES (8901, '2020-07-06', 'BJ', 'Benin', 'AFRO', '0', '1199', '0', '21');
INSERT INTO public.who_import VALUES (8902, '2020-07-07', 'BJ', 'Benin', 'AFRO', '0', '1199', '0', '21');
INSERT INTO public.who_import VALUES (8903, '2020-07-08', 'BJ', 'Benin', 'AFRO', '86', '1285', '2', '23');
INSERT INTO public.who_import VALUES (8904, '2020-07-09', 'BJ', 'Benin', 'AFRO', '0', '1285', '0', '23');
INSERT INTO public.who_import VALUES (8905, '2020-07-10', 'BJ', 'Benin', 'AFRO', '0', '1285', '0', '23');
INSERT INTO public.who_import VALUES (8906, '2020-07-11', 'BJ', 'Benin', 'AFRO', '0', '1285', '0', '23');
INSERT INTO public.who_import VALUES (8907, '2020-07-12', 'BJ', 'Benin', 'AFRO', '93', '1378', '3', '26');
INSERT INTO public.who_import VALUES (8908, '2020-07-13', 'BJ', 'Benin', 'AFRO', '0', '1378', '0', '26');
INSERT INTO public.who_import VALUES (8909, '2020-07-14', 'BJ', 'Benin', 'AFRO', '0', '1378', '0', '26');
INSERT INTO public.who_import VALUES (8910, '2020-07-15', 'BJ', 'Benin', 'AFRO', '85', '1463', '2', '28');
INSERT INTO public.who_import VALUES (8911, '2020-07-16', 'BJ', 'Benin', 'AFRO', '0', '1463', '0', '28');
INSERT INTO public.who_import VALUES (8912, '2020-07-17', 'BJ', 'Benin', 'AFRO', '0', '1463', '0', '28');
INSERT INTO public.who_import VALUES (8913, '2020-07-18', 'BJ', 'Benin', 'AFRO', '139', '1602', '3', '31');
INSERT INTO public.who_import VALUES (8914, '2020-07-19', 'BJ', 'Benin', 'AFRO', '0', '1602', '0', '31');
INSERT INTO public.who_import VALUES (8915, '2020-07-20', 'BJ', 'Benin', 'AFRO', '0', '1602', '0', '31');
INSERT INTO public.who_import VALUES (8916, '2020-07-21', 'BJ', 'Benin', 'AFRO', '0', '1602', '0', '31');
INSERT INTO public.who_import VALUES (8917, '2020-07-22', 'BJ', 'Benin', 'AFRO', '88', '1690', '3', '34');
INSERT INTO public.who_import VALUES (8918, '2020-07-23', 'BJ', 'Benin', 'AFRO', '0', '1690', '0', '34');
INSERT INTO public.who_import VALUES (8919, '2020-07-24', 'BJ', 'Benin', 'AFRO', '4', '1694', '0', '34');
INSERT INTO public.who_import VALUES (8920, '2020-07-25', 'BJ', 'Benin', 'AFRO', '0', '1694', '0', '34');
INSERT INTO public.who_import VALUES (8921, '2020-07-26', 'BJ', 'Benin', 'AFRO', '0', '1694', '0', '34');
INSERT INTO public.who_import VALUES (8922, '2020-07-27', 'BJ', 'Benin', 'AFRO', '76', '1770', '1', '35');
INSERT INTO public.who_import VALUES (8923, '2020-07-28', 'BJ', 'Benin', 'AFRO', '0', '1770', '0', '35');
INSERT INTO public.who_import VALUES (8924, '2020-07-29', 'BJ', 'Benin', 'AFRO', '35', '1805', '1', '36');
INSERT INTO public.who_import VALUES (8925, '2020-07-30', 'BJ', 'Benin', 'AFRO', '0', '1805', '0', '36');
INSERT INTO public.who_import VALUES (8926, '2020-07-31', 'BJ', 'Benin', 'AFRO', '0', '1805', '0', '36');
INSERT INTO public.who_import VALUES (8927, '2020-08-01', 'BJ', 'Benin', 'AFRO', '0', '1805', '0', '36');
INSERT INTO public.who_import VALUES (8928, '2020-08-02', 'BJ', 'Benin', 'AFRO', '0', '1805', '0', '36');
INSERT INTO public.who_import VALUES (8929, '2020-08-03', 'BJ', 'Benin', 'AFRO', '0', '1805', '0', '36');
INSERT INTO public.who_import VALUES (8930, '2020-08-04', 'BJ', 'Benin', 'AFRO', '109', '1914', '2', '38');
INSERT INTO public.who_import VALUES (8931, '2020-08-05', 'BJ', 'Benin', 'AFRO', '22', '1936', '0', '38');
INSERT INTO public.who_import VALUES (8932, '2020-08-06', 'BJ', 'Benin', 'AFRO', '0', '1936', '0', '38');
INSERT INTO public.who_import VALUES (8933, '2020-08-07', 'BJ', 'Benin', 'AFRO', '0', '1936', '0', '38');
INSERT INTO public.who_import VALUES (8934, '2020-08-08', 'BJ', 'Benin', 'AFRO', '0', '1936', '0', '38');
INSERT INTO public.who_import VALUES (8935, '2020-08-09', 'BJ', 'Benin', 'AFRO', '0', '1936', '0', '38');
INSERT INTO public.who_import VALUES (8936, '2020-08-10', 'BJ', 'Benin', 'AFRO', '0', '1936', '0', '38');
INSERT INTO public.who_import VALUES (8937, '2020-08-11', 'BJ', 'Benin', 'AFRO', '65', '2001', '0', '38');
INSERT INTO public.who_import VALUES (8938, '2020-08-12', 'BJ', 'Benin', 'AFRO', '13', '2014', '0', '38');
INSERT INTO public.who_import VALUES (8939, '2020-08-13', 'BJ', 'Benin', 'AFRO', '0', '2014', '0', '38');
INSERT INTO public.who_import VALUES (8940, '2020-08-14', 'BJ', 'Benin', 'AFRO', '0', '2014', '0', '38');
INSERT INTO public.who_import VALUES (8941, '2020-08-15', 'BJ', 'Benin', 'AFRO', '0', '2014', '0', '38');
INSERT INTO public.who_import VALUES (8942, '2020-08-16', 'BJ', 'Benin', 'AFRO', '49', '2063', '1', '39');
INSERT INTO public.who_import VALUES (8943, '2020-08-17', 'BJ', 'Benin', 'AFRO', '0', '2063', '0', '39');
INSERT INTO public.who_import VALUES (8944, '2020-08-18', 'BJ', 'Benin', 'AFRO', '0', '2063', '0', '39');
INSERT INTO public.who_import VALUES (8945, '2020-08-19', 'BJ', 'Benin', 'AFRO', '32', '2095', '0', '39');
INSERT INTO public.who_import VALUES (8946, '2020-08-20', 'BJ', 'Benin', 'AFRO', '0', '2095', '0', '39');
INSERT INTO public.who_import VALUES (8947, '2020-08-21', 'BJ', 'Benin', 'AFRO', '0', '2095', '0', '39');
INSERT INTO public.who_import VALUES (8948, '2020-08-22', 'BJ', 'Benin', 'AFRO', '20', '2115', '0', '39');
INSERT INTO public.who_import VALUES (8949, '2020-08-23', 'BJ', 'Benin', 'AFRO', '0', '2115', '0', '39');
INSERT INTO public.who_import VALUES (8950, '2020-08-24', 'BJ', 'Benin', 'AFRO', '0', '2115', '0', '39');
INSERT INTO public.who_import VALUES (8951, '2020-08-25', 'BJ', 'Benin', 'AFRO', '0', '2115', '0', '39');
INSERT INTO public.who_import VALUES (8952, '2020-08-26', 'BJ', 'Benin', 'AFRO', '30', '2145', '1', '40');
INSERT INTO public.who_import VALUES (8953, '2020-08-27', 'BJ', 'Benin', 'AFRO', '0', '2145', '0', '40');
INSERT INTO public.who_import VALUES (8954, '2020-08-28', 'BJ', 'Benin', 'AFRO', '0', '2145', '0', '40');
INSERT INTO public.who_import VALUES (8955, '2020-08-29', 'BJ', 'Benin', 'AFRO', '0', '2145', '0', '40');
INSERT INTO public.who_import VALUES (8956, '2020-08-30', 'BJ', 'Benin', 'AFRO', '0', '2145', '0', '40');
INSERT INTO public.who_import VALUES (8957, '2020-08-31', 'BJ', 'Benin', 'AFRO', '0', '2145', '0', '40');
INSERT INTO public.who_import VALUES (8958, '2020-09-01', 'BJ', 'Benin', 'AFRO', '0', '2145', '0', '40');
INSERT INTO public.who_import VALUES (8959, '2020-09-02', 'BJ', 'Benin', 'AFRO', '49', '2194', '0', '40');
INSERT INTO public.who_import VALUES (8960, '2020-09-03', 'BJ', 'Benin', 'AFRO', '0', '2194', '0', '40');
INSERT INTO public.who_import VALUES (8961, '2020-09-04', 'BJ', 'Benin', 'AFRO', '0', '2194', '0', '40');
INSERT INTO public.who_import VALUES (8962, '2020-09-05', 'BJ', 'Benin', 'AFRO', '19', '2213', '0', '40');
INSERT INTO public.who_import VALUES (8963, '2020-09-06', 'BJ', 'Benin', 'AFRO', '0', '2213', '0', '40');
INSERT INTO public.who_import VALUES (8964, '2020-09-07', 'BJ', 'Benin', 'AFRO', '0', '2213', '0', '40');
INSERT INTO public.who_import VALUES (8965, '2020-09-08', 'BJ', 'Benin', 'AFRO', '0', '2213', '0', '40');
INSERT INTO public.who_import VALUES (8966, '2020-09-09', 'BJ', 'Benin', 'AFRO', '29', '2242', '0', '40');
INSERT INTO public.who_import VALUES (8967, '2020-09-10', 'BJ', 'Benin', 'AFRO', '0', '2242', '0', '40');
INSERT INTO public.who_import VALUES (8968, '2020-09-11', 'BJ', 'Benin', 'AFRO', '0', '2242', '0', '40');
INSERT INTO public.who_import VALUES (8969, '2020-09-12', 'BJ', 'Benin', 'AFRO', '0', '2242', '0', '40');
INSERT INTO public.who_import VALUES (8970, '2020-09-13', 'BJ', 'Benin', 'AFRO', '0', '2242', '0', '40');
INSERT INTO public.who_import VALUES (8971, '2020-09-14', 'BJ', 'Benin', 'AFRO', '25', '2267', '0', '40');
INSERT INTO public.who_import VALUES (8972, '2020-09-15', 'BJ', 'Benin', 'AFRO', '0', '2267', '0', '40');
INSERT INTO public.who_import VALUES (8973, '2020-09-16', 'BJ', 'Benin', 'AFRO', '13', '2280', '0', '40');
INSERT INTO public.who_import VALUES (8974, '2020-09-17', 'BJ', 'Benin', 'AFRO', '0', '2280', '0', '40');
INSERT INTO public.who_import VALUES (8975, '2020-09-18', 'BJ', 'Benin', 'AFRO', '0', '2280', '0', '40');
INSERT INTO public.who_import VALUES (8976, '2020-09-19', 'BJ', 'Benin', 'AFRO', '0', '2280', '0', '40');
INSERT INTO public.who_import VALUES (8977, '2020-09-20', 'BJ', 'Benin', 'AFRO', '0', '2280', '0', '40');
INSERT INTO public.who_import VALUES (8978, '2020-09-21', 'BJ', 'Benin', 'AFRO', '0', '2280', '0', '40');
INSERT INTO public.who_import VALUES (8979, '2020-09-22', 'BJ', 'Benin', 'AFRO', '14', '2294', '0', '40');
INSERT INTO public.who_import VALUES (8980, '2020-09-23', 'BJ', 'Benin', 'AFRO', '31', '2325', '0', '40');
INSERT INTO public.who_import VALUES (8981, '2020-09-24', 'BJ', 'Benin', 'AFRO', '0', '2325', '0', '40');
INSERT INTO public.who_import VALUES (8982, '2020-09-25', 'BJ', 'Benin', 'AFRO', '0', '2325', '0', '40');
INSERT INTO public.who_import VALUES (8983, '2020-09-26', 'BJ', 'Benin', 'AFRO', '0', '2325', '0', '40');
INSERT INTO public.who_import VALUES (8984, '2020-09-27', 'BJ', 'Benin', 'AFRO', '0', '2325', '0', '40');
INSERT INTO public.who_import VALUES (8985, '2020-09-28', 'BJ', 'Benin', 'AFRO', '15', '2340', '0', '40');
INSERT INTO public.who_import VALUES (8986, '2020-09-29', 'BJ', 'Benin', 'AFRO', '0', '2340', '0', '40');
INSERT INTO public.who_import VALUES (8987, '2020-09-30', 'BJ', 'Benin', 'AFRO', '17', '2357', '1', '41');
INSERT INTO public.who_import VALUES (8988, '2020-10-01', 'BJ', 'Benin', 'AFRO', '0', '2357', '0', '41');
INSERT INTO public.who_import VALUES (8989, '2020-10-02', 'BJ', 'Benin', 'AFRO', '0', '2357', '0', '41');
INSERT INTO public.who_import VALUES (8990, '2020-10-03', 'BJ', 'Benin', 'AFRO', '0', '2357', '0', '41');
INSERT INTO public.who_import VALUES (8991, '2020-10-04', 'BJ', 'Benin', 'AFRO', '0', '2357', '0', '41');
INSERT INTO public.who_import VALUES (8992, '2020-10-05', 'BJ', 'Benin', 'AFRO', '0', '2357', '0', '41');
INSERT INTO public.who_import VALUES (8993, '2020-10-06', 'BJ', 'Benin', 'AFRO', '0', '2357', '0', '41');
INSERT INTO public.who_import VALUES (8994, '2020-10-07', 'BJ', 'Benin', 'AFRO', '54', '2411', '0', '41');
INSERT INTO public.who_import VALUES (8995, '2020-10-08', 'BJ', 'Benin', 'AFRO', '0', '2411', '0', '41');
INSERT INTO public.who_import VALUES (8996, '2020-10-09', 'BJ', 'Benin', 'AFRO', '0', '2411', '0', '41');
INSERT INTO public.who_import VALUES (8997, '2020-10-10', 'BJ', 'Benin', 'AFRO', '0', '2411', '0', '41');
INSERT INTO public.who_import VALUES (8998, '2020-10-11', 'BJ', 'Benin', 'AFRO', '0', '2411', '0', '41');
INSERT INTO public.who_import VALUES (8999, '2020-10-12', 'BJ', 'Benin', 'AFRO', '0', '2411', '0', '41');
INSERT INTO public.who_import VALUES (9000, '2020-10-13', 'BJ', 'Benin', 'AFRO', '0', '2411', '0', '41');
INSERT INTO public.who_import VALUES (9001, '2020-10-14', 'BJ', 'Benin', 'AFRO', '85', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9002, '2020-10-15', 'BJ', 'Benin', 'AFRO', '0', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9003, '2020-10-16', 'BJ', 'Benin', 'AFRO', '0', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9004, '2020-10-17', 'BJ', 'Benin', 'AFRO', '0', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9005, '2020-10-18', 'BJ', 'Benin', 'AFRO', '0', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9006, '2020-10-19', 'BJ', 'Benin', 'AFRO', '0', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9007, '2020-10-20', 'BJ', 'Benin', 'AFRO', '0', '2496', '0', '41');
INSERT INTO public.who_import VALUES (9008, '2020-10-21', 'BJ', 'Benin', 'AFRO', '61', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9009, '2020-10-22', 'BJ', 'Benin', 'AFRO', '0', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9010, '2020-10-23', 'BJ', 'Benin', 'AFRO', '0', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9011, '2020-10-24', 'BJ', 'Benin', 'AFRO', '0', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9012, '2020-10-25', 'BJ', 'Benin', 'AFRO', '0', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9013, '2020-10-26', 'BJ', 'Benin', 'AFRO', '0', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9014, '2020-10-27', 'BJ', 'Benin', 'AFRO', '0', '2557', '0', '41');
INSERT INTO public.who_import VALUES (9015, '2020-10-28', 'BJ', 'Benin', 'AFRO', '86', '2643', '0', '41');
INSERT INTO public.who_import VALUES (9016, '2020-10-29', 'BJ', 'Benin', 'AFRO', '0', '2643', '0', '41');
INSERT INTO public.who_import VALUES (9017, '2020-10-30', 'BJ', 'Benin', 'AFRO', '0', '2643', '0', '41');
INSERT INTO public.who_import VALUES (9018, '2020-10-31', 'BJ', 'Benin', 'AFRO', '0', '2643', '0', '41');
INSERT INTO public.who_import VALUES (9019, '2020-11-01', 'BJ', 'Benin', 'AFRO', '0', '2643', '0', '41');
INSERT INTO public.who_import VALUES (9020, '2020-11-02', 'BJ', 'Benin', 'AFRO', '40', '2683', '0', '41');
INSERT INTO public.who_import VALUES (9021, '2020-11-03', 'BJ', 'Benin', 'AFRO', '0', '2683', '0', '41');
INSERT INTO public.who_import VALUES (9022, '2020-11-04', 'BJ', 'Benin', 'AFRO', '62', '2745', '2', '43');
INSERT INTO public.who_import VALUES (9023, '2020-11-05', 'BJ', 'Benin', 'AFRO', '0', '2745', '0', '43');
INSERT INTO public.who_import VALUES (9024, '2020-11-06', 'BJ', 'Benin', 'AFRO', '0', '2745', '0', '43');
INSERT INTO public.who_import VALUES (9025, '2020-11-07', 'BJ', 'Benin', 'AFRO', '0', '2745', '0', '43');
INSERT INTO public.who_import VALUES (9026, '2020-11-08', 'BJ', 'Benin', 'AFRO', '0', '2745', '0', '43');
INSERT INTO public.who_import VALUES (9027, '2020-11-09', 'BJ', 'Benin', 'AFRO', '0', '2745', '0', '43');
INSERT INTO public.who_import VALUES (9028, '2020-11-10', 'BJ', 'Benin', 'AFRO', '36', '2781', '0', '43');
INSERT INTO public.who_import VALUES (9029, '2020-11-11', 'BJ', 'Benin', 'AFRO', '63', '2844', '0', '43');
INSERT INTO public.who_import VALUES (9030, '2020-11-12', 'BJ', 'Benin', 'AFRO', '0', '2844', '0', '43');
INSERT INTO public.who_import VALUES (9031, '2020-11-13', 'BJ', 'Benin', 'AFRO', '0', '2844', '0', '43');
INSERT INTO public.who_import VALUES (9032, '2020-11-14', 'BJ', 'Benin', 'AFRO', '0', '2844', '0', '43');
INSERT INTO public.who_import VALUES (9033, '2020-11-15', 'BJ', 'Benin', 'AFRO', '0', '2844', '0', '43');
INSERT INTO public.who_import VALUES (9034, '2020-11-16', 'BJ', 'Benin', 'AFRO', '0', '2844', '0', '43');
INSERT INTO public.who_import VALUES (9035, '2020-11-17', 'BJ', 'Benin', 'AFRO', '40', '2884', '0', '43');
INSERT INTO public.who_import VALUES (9036, '2020-11-18', 'BJ', 'Benin', 'AFRO', '32', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9037, '2020-11-19', 'BJ', 'Benin', 'AFRO', '0', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9038, '2020-11-20', 'BJ', 'Benin', 'AFRO', '0', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9039, '2020-11-21', 'BJ', 'Benin', 'AFRO', '0', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9040, '2020-11-22', 'BJ', 'Benin', 'AFRO', '0', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9041, '2020-11-23', 'BJ', 'Benin', 'AFRO', '0', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9042, '2020-11-24', 'BJ', 'Benin', 'AFRO', '0', '2916', '0', '43');
INSERT INTO public.who_import VALUES (9043, '2020-11-25', 'BJ', 'Benin', 'AFRO', '58', '2974', '0', '43');
INSERT INTO public.who_import VALUES (9044, '2020-11-26', 'BJ', 'Benin', 'AFRO', '0', '2974', '0', '43');
INSERT INTO public.who_import VALUES (9045, '2020-11-27', 'BJ', 'Benin', 'AFRO', '0', '2974', '0', '43');
INSERT INTO public.who_import VALUES (9046, '2020-11-28', 'BJ', 'Benin', 'AFRO', '0', '2974', '0', '43');
INSERT INTO public.who_import VALUES (9047, '2020-11-29', 'BJ', 'Benin', 'AFRO', '0', '2974', '0', '43');
INSERT INTO public.who_import VALUES (9048, '2020-11-30', 'BJ', 'Benin', 'AFRO', '0', '2974', '0', '43');
INSERT INTO public.who_import VALUES (9049, '2020-12-01', 'BJ', 'Benin', 'AFRO', '41', '3015', '0', '43');
INSERT INTO public.who_import VALUES (9050, '2020-12-02', 'BJ', 'Benin', 'AFRO', '40', '3055', '1', '44');
INSERT INTO public.who_import VALUES (9051, '2020-12-03', 'BJ', 'Benin', 'AFRO', '0', '3055', '0', '44');
INSERT INTO public.who_import VALUES (9052, '2020-12-04', 'BJ', 'Benin', 'AFRO', '0', '3055', '0', '44');
INSERT INTO public.who_import VALUES (9053, '2020-12-05', 'BJ', 'Benin', 'AFRO', '0', '3055', '0', '44');
INSERT INTO public.who_import VALUES (9054, '2020-12-06', 'BJ', 'Benin', 'AFRO', '0', '3055', '0', '44');
INSERT INTO public.who_import VALUES (9055, '2020-12-07', 'BJ', 'Benin', 'AFRO', '0', '3055', '0', '44');
INSERT INTO public.who_import VALUES (9056, '2020-12-08', 'BJ', 'Benin', 'AFRO', '18', '3073', '0', '44');
INSERT INTO public.who_import VALUES (9057, '2020-12-09', 'BJ', 'Benin', 'AFRO', '17', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9058, '2020-12-10', 'BJ', 'Benin', 'AFRO', '0', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9059, '2020-12-11', 'BJ', 'Benin', 'AFRO', '0', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9060, '2020-12-12', 'BJ', 'Benin', 'AFRO', '0', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9061, '2020-12-13', 'BJ', 'Benin', 'AFRO', '0', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9062, '2020-12-14', 'BJ', 'Benin', 'AFRO', '0', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9063, '2020-12-15', 'BJ', 'Benin', 'AFRO', '0', '3090', '0', '44');
INSERT INTO public.who_import VALUES (9064, '2020-12-16', 'BJ', 'Benin', 'AFRO', '62', '3152', '0', '44');
INSERT INTO public.who_import VALUES (9065, '2020-12-17', 'BJ', 'Benin', 'AFRO', '0', '3152', '0', '44');
INSERT INTO public.who_import VALUES (9066, '2020-12-18', 'BJ', 'Benin', 'AFRO', '0', '3152', '0', '44');
INSERT INTO public.who_import VALUES (9067, '2020-12-19', 'BJ', 'Benin', 'AFRO', '0', '3152', '0', '44');
INSERT INTO public.who_import VALUES (9068, '2020-12-20', 'BJ', 'Benin', 'AFRO', '0', '3152', '0', '44');
INSERT INTO public.who_import VALUES (9069, '2020-12-21', 'BJ', 'Benin', 'AFRO', '15', '3167', '0', '44');
INSERT INTO public.who_import VALUES (9070, '2020-12-22', 'BJ', 'Benin', 'AFRO', '0', '3167', '0', '44');
INSERT INTO public.who_import VALUES (9071, '2020-12-23', 'BJ', 'Benin', 'AFRO', '38', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9072, '2020-12-24', 'BJ', 'Benin', 'AFRO', '0', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9073, '2020-12-25', 'BJ', 'Benin', 'AFRO', '0', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9074, '2020-12-26', 'BJ', 'Benin', 'AFRO', '0', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9075, '2020-12-27', 'BJ', 'Benin', 'AFRO', '0', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9076, '2020-12-28', 'BJ', 'Benin', 'AFRO', '0', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9077, '2020-12-29', 'BJ', 'Benin', 'AFRO', '0', '3205', '0', '44');
INSERT INTO public.who_import VALUES (9078, '2020-12-30', 'BJ', 'Benin', 'AFRO', '46', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9079, '2020-12-31', 'BJ', 'Benin', 'AFRO', '0', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9080, '2021-01-01', 'BJ', 'Benin', 'AFRO', '0', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9081, '2021-01-02', 'BJ', 'Benin', 'AFRO', '0', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9082, '2021-01-03', 'BJ', 'Benin', 'AFRO', '0', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9083, '2021-01-04', 'BJ', 'Benin', 'AFRO', '0', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9084, '2021-01-05', 'BJ', 'Benin', 'AFRO', '0', '3251', '0', '44');
INSERT INTO public.who_import VALUES (9085, '2021-01-06', 'BJ', 'Benin', 'AFRO', '53', '3304', '0', '44');
INSERT INTO public.who_import VALUES (9086, '2021-01-07', 'BJ', 'Benin', 'AFRO', '0', '3304', '0', '44');
INSERT INTO public.who_import VALUES (9087, '2021-01-08', 'BJ', 'Benin', 'AFRO', '0', '3304', '0', '44');
INSERT INTO public.who_import VALUES (9088, '2021-01-09', 'BJ', 'Benin', 'AFRO', '0', '3304', '0', '44');
INSERT INTO public.who_import VALUES (9089, '2021-01-10', 'BJ', 'Benin', 'AFRO', '0', '3304', '0', '44');
INSERT INTO public.who_import VALUES (9090, '2021-01-11', 'BJ', 'Benin', 'AFRO', '0', '3304', '0', '44');
INSERT INTO public.who_import VALUES (9091, '2021-01-12', 'BJ', 'Benin', 'AFRO', '59', '3363', '2', '46');
INSERT INTO public.who_import VALUES (9092, '2021-01-13', 'BJ', 'Benin', 'AFRO', '50', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9093, '2021-01-14', 'BJ', 'Benin', 'AFRO', '0', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9094, '2021-01-15', 'BJ', 'Benin', 'AFRO', '0', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9095, '2021-01-16', 'BJ', 'Benin', 'AFRO', '0', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9096, '2021-01-17', 'BJ', 'Benin', 'AFRO', '0', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9097, '2021-01-18', 'BJ', 'Benin', 'AFRO', '0', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9098, '2021-01-19', 'BJ', 'Benin', 'AFRO', '0', '3413', '0', '46');
INSERT INTO public.who_import VALUES (9099, '2021-01-20', 'BJ', 'Benin', 'AFRO', '169', '3582', '2', '48');
INSERT INTO public.who_import VALUES (9100, '2021-01-21', 'BJ', 'Benin', 'AFRO', '0', '3582', '0', '48');
INSERT INTO public.who_import VALUES (9101, '2021-01-22', 'BJ', 'Benin', 'AFRO', '0', '3582', '0', '48');
INSERT INTO public.who_import VALUES (9102, '2021-01-23', 'BJ', 'Benin', 'AFRO', '61', '3643', '0', '48');
INSERT INTO public.who_import VALUES (9103, '2021-01-24', 'BJ', 'Benin', 'AFRO', '0', '3643', '0', '48');
INSERT INTO public.who_import VALUES (9104, '2021-01-25', 'BJ', 'Benin', 'AFRO', '0', '3643', '0', '48');
INSERT INTO public.who_import VALUES (9105, '2021-01-26', 'BJ', 'Benin', 'AFRO', '0', '3643', '0', '48');
INSERT INTO public.who_import VALUES (9106, '2021-01-27', 'BJ', 'Benin', 'AFRO', '143', '3786', '0', '48');
INSERT INTO public.who_import VALUES (9107, '2021-01-28', 'BJ', 'Benin', 'AFRO', '0', '3786', '0', '48');
INSERT INTO public.who_import VALUES (9108, '2021-01-29', 'BJ', 'Benin', 'AFRO', '0', '3786', '0', '48');
INSERT INTO public.who_import VALUES (9109, '2021-01-30', 'BJ', 'Benin', 'AFRO', '0', '3786', '0', '48');
INSERT INTO public.who_import VALUES (9110, '2021-01-31', 'BJ', 'Benin', 'AFRO', '0', '3786', '0', '48');
INSERT INTO public.who_import VALUES (9111, '2021-02-01', 'BJ', 'Benin', 'AFRO', '107', '3893', '4', '52');
INSERT INTO public.who_import VALUES (9112, '2021-02-02', 'BJ', 'Benin', 'AFRO', '0', '3893', '0', '52');
INSERT INTO public.who_import VALUES (9113, '2021-02-03', 'BJ', 'Benin', 'AFRO', '226', '4119', '2', '54');
INSERT INTO public.who_import VALUES (9114, '2021-02-04', 'BJ', 'Benin', 'AFRO', '0', '4119', '0', '54');
INSERT INTO public.who_import VALUES (9115, '2021-02-05', 'BJ', 'Benin', 'AFRO', '0', '4119', '0', '54');
INSERT INTO public.who_import VALUES (9116, '2021-02-06', 'BJ', 'Benin', 'AFRO', '74', '4193', '1', '55');
INSERT INTO public.who_import VALUES (9117, '2021-02-07', 'BJ', 'Benin', 'AFRO', '0', '4193', '0', '55');
INSERT INTO public.who_import VALUES (9118, '2021-02-08', 'BJ', 'Benin', 'AFRO', '0', '4193', '0', '55');
INSERT INTO public.who_import VALUES (9119, '2021-02-09', 'BJ', 'Benin', 'AFRO', '0', '4193', '0', '55');
INSERT INTO public.who_import VALUES (9120, '2021-02-10', 'BJ', 'Benin', 'AFRO', '367', '4560', '1', '56');
INSERT INTO public.who_import VALUES (9121, '2021-02-11', 'BJ', 'Benin', 'AFRO', '0', '4560', '0', '56');
INSERT INTO public.who_import VALUES (9122, '2021-02-12', 'BJ', 'Benin', 'AFRO', '0', '4560', '0', '56');
INSERT INTO public.who_import VALUES (9123, '2021-02-13', 'BJ', 'Benin', 'AFRO', '0', '4560', '0', '56');
INSERT INTO public.who_import VALUES (9124, '2021-02-14', 'BJ', 'Benin', 'AFRO', '0', '4560', '0', '56');
INSERT INTO public.who_import VALUES (9125, '2021-02-15', 'BJ', 'Benin', 'AFRO', '0', '4560', '0', '56');
INSERT INTO public.who_import VALUES (9126, '2021-02-16', 'BJ', 'Benin', 'AFRO', '479', '5039', '6', '62');
INSERT INTO public.who_import VALUES (9127, '2021-02-17', 'BJ', 'Benin', 'AFRO', '0', '5039', '0', '62');
INSERT INTO public.who_import VALUES (9128, '2021-02-18', 'BJ', 'Benin', 'AFRO', '104', '5143', '3', '65');
INSERT INTO public.who_import VALUES (9129, '2021-02-19', 'BJ', 'Benin', 'AFRO', '0', '5143', '0', '65');
INSERT INTO public.who_import VALUES (9130, '2021-02-20', 'BJ', 'Benin', 'AFRO', '0', '5143', '0', '65');
INSERT INTO public.who_import VALUES (9131, '2020-01-03', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9132, '2020-01-04', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9133, '2020-01-05', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9134, '2020-01-06', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9135, '2020-01-07', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9136, '2020-01-08', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9137, '2020-01-09', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9138, '2020-01-10', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9139, '2020-01-11', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9140, '2020-01-12', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9141, '2020-01-13', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9142, '2020-01-14', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9143, '2020-01-15', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9144, '2020-01-16', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9145, '2020-01-17', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9146, '2020-01-18', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9147, '2020-01-19', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9148, '2020-01-20', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9149, '2020-01-21', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9150, '2020-01-22', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9151, '2020-01-23', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9152, '2020-01-24', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9153, '2020-01-25', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9154, '2020-01-26', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9155, '2020-01-27', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9156, '2020-01-28', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9157, '2020-01-29', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9158, '2020-01-30', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9159, '2020-01-31', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9160, '2020-02-01', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9161, '2020-02-02', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9162, '2020-02-03', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9163, '2020-02-04', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9164, '2020-02-05', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9165, '2020-02-06', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9166, '2020-02-07', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9167, '2020-02-08', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9168, '2020-02-09', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9169, '2020-02-10', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9170, '2020-02-11', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9171, '2020-02-12', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9172, '2020-02-13', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9173, '2020-02-14', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9174, '2020-02-15', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9175, '2020-02-16', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9176, '2020-02-17', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9177, '2020-02-18', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9178, '2020-02-19', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9179, '2020-02-20', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9180, '2020-02-21', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9181, '2020-02-22', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9182, '2020-02-23', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9183, '2020-02-24', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9184, '2020-02-25', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9185, '2020-02-26', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9186, '2020-02-27', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9187, '2020-02-28', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9188, '2020-02-29', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9189, '2020-03-01', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9190, '2020-03-02', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9191, '2020-03-03', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9192, '2020-03-04', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9193, '2020-03-05', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9194, '2020-03-06', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9195, '2020-03-07', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9196, '2020-03-08', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9197, '2020-03-09', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9198, '2020-03-10', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9199, '2020-03-11', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9200, '2020-03-12', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9201, '2020-03-13', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9202, '2020-03-14', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9203, '2020-03-15', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9204, '2020-03-16', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9205, '2020-03-17', 'BM', 'Bermuda', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9206, '2020-03-18', 'BM', 'Bermuda', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (9207, '2020-03-19', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9208, '2020-03-20', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9209, '2020-03-21', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9210, '2020-03-22', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9211, '2020-03-23', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9212, '2020-03-24', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9213, '2020-03-25', 'BM', 'Bermuda', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9214, '2020-03-26', 'BM', 'Bermuda', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (9215, '2020-03-27', 'BM', 'Bermuda', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9216, '2020-03-28', 'BM', 'Bermuda', 'AMRO', '8', '15', '0', '0');
INSERT INTO public.who_import VALUES (9217, '2020-03-29', 'BM', 'Bermuda', 'AMRO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (9218, '2020-03-30', 'BM', 'Bermuda', 'AMRO', '5', '22', '0', '0');
INSERT INTO public.who_import VALUES (9219, '2020-03-31', 'BM', 'Bermuda', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (9220, '2020-04-01', 'BM', 'Bermuda', 'AMRO', '5', '27', '0', '0');
INSERT INTO public.who_import VALUES (9221, '2020-04-02', 'BM', 'Bermuda', 'AMRO', '5', '32', '0', '0');
INSERT INTO public.who_import VALUES (9222, '2020-04-03', 'BM', 'Bermuda', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (9223, '2020-04-04', 'BM', 'Bermuda', 'AMRO', '3', '35', '0', '0');
INSERT INTO public.who_import VALUES (9224, '2020-04-05', 'BM', 'Bermuda', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (9225, '2020-04-06', 'BM', 'Bermuda', 'AMRO', '2', '37', '0', '0');
INSERT INTO public.who_import VALUES (9226, '2020-04-07', 'BM', 'Bermuda', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (9227, '2020-04-08', 'BM', 'Bermuda', 'AMRO', '2', '39', '2', '2');
INSERT INTO public.who_import VALUES (9228, '2020-04-09', 'BM', 'Bermuda', 'AMRO', '0', '39', '0', '2');
INSERT INTO public.who_import VALUES (9229, '2020-04-10', 'BM', 'Bermuda', 'AMRO', '0', '39', '1', '3');
INSERT INTO public.who_import VALUES (9230, '2020-04-11', 'BM', 'Bermuda', 'AMRO', '9', '48', '1', '4');
INSERT INTO public.who_import VALUES (9231, '2020-04-12', 'BM', 'Bermuda', 'AMRO', '0', '48', '0', '4');
INSERT INTO public.who_import VALUES (9232, '2020-04-13', 'BM', 'Bermuda', 'AMRO', '2', '50', '0', '4');
INSERT INTO public.who_import VALUES (9233, '2020-04-14', 'BM', 'Bermuda', 'AMRO', '7', '57', '0', '4');
INSERT INTO public.who_import VALUES (9234, '2020-04-15', 'BM', 'Bermuda', 'AMRO', '0', '57', '1', '5');
INSERT INTO public.who_import VALUES (9235, '2020-04-16', 'BM', 'Bermuda', 'AMRO', '0', '57', '0', '5');
INSERT INTO public.who_import VALUES (9236, '2020-04-17', 'BM', 'Bermuda', 'AMRO', '24', '81', '0', '5');
INSERT INTO public.who_import VALUES (9237, '2020-04-18', 'BM', 'Bermuda', 'AMRO', '2', '83', '0', '5');
INSERT INTO public.who_import VALUES (9238, '2020-04-19', 'BM', 'Bermuda', 'AMRO', '0', '83', '0', '5');
INSERT INTO public.who_import VALUES (9239, '2020-04-20', 'BM', 'Bermuda', 'AMRO', '3', '86', '0', '5');
INSERT INTO public.who_import VALUES (9240, '2020-04-21', 'BM', 'Bermuda', 'AMRO', '0', '86', '0', '5');
INSERT INTO public.who_import VALUES (9241, '2020-04-22', 'BM', 'Bermuda', 'AMRO', '0', '86', '0', '5');
INSERT INTO public.who_import VALUES (9242, '2020-04-23', 'BM', 'Bermuda', 'AMRO', '12', '98', '0', '5');
INSERT INTO public.who_import VALUES (9243, '2020-04-24', 'BM', 'Bermuda', 'AMRO', '1', '99', '0', '5');
INSERT INTO public.who_import VALUES (9244, '2020-04-25', 'BM', 'Bermuda', 'AMRO', '0', '99', '0', '5');
INSERT INTO public.who_import VALUES (9245, '2020-04-26', 'BM', 'Bermuda', 'AMRO', '0', '99', '0', '5');
INSERT INTO public.who_import VALUES (9246, '2020-04-27', 'BM', 'Bermuda', 'AMRO', '10', '109', '0', '5');
INSERT INTO public.who_import VALUES (9247, '2020-04-28', 'BM', 'Bermuda', 'AMRO', '0', '109', '1', '6');
INSERT INTO public.who_import VALUES (9248, '2020-04-29', 'BM', 'Bermuda', 'AMRO', '1', '110', '0', '6');
INSERT INTO public.who_import VALUES (9249, '2020-04-30', 'BM', 'Bermuda', 'AMRO', '1', '111', '0', '6');
INSERT INTO public.who_import VALUES (9250, '2020-05-01', 'BM', 'Bermuda', 'AMRO', '0', '111', '0', '6');
INSERT INTO public.who_import VALUES (9251, '2020-05-02', 'BM', 'Bermuda', 'AMRO', '3', '114', '0', '6');
INSERT INTO public.who_import VALUES (9252, '2020-05-03', 'BM', 'Bermuda', 'AMRO', '0', '114', '0', '6');
INSERT INTO public.who_import VALUES (9253, '2020-05-04', 'BM', 'Bermuda', 'AMRO', '1', '115', '1', '7');
INSERT INTO public.who_import VALUES (9254, '2020-05-05', 'BM', 'Bermuda', 'AMRO', '0', '115', '0', '7');
INSERT INTO public.who_import VALUES (9255, '2020-05-06', 'BM', 'Bermuda', 'AMRO', '0', '115', '0', '7');
INSERT INTO public.who_import VALUES (9256, '2020-05-07', 'BM', 'Bermuda', 'AMRO', '0', '115', '0', '7');
INSERT INTO public.who_import VALUES (9257, '2020-05-08', 'BM', 'Bermuda', 'AMRO', '3', '118', '0', '7');
INSERT INTO public.who_import VALUES (9258, '2020-05-09', 'BM', 'Bermuda', 'AMRO', '0', '118', '0', '7');
INSERT INTO public.who_import VALUES (9259, '2020-05-10', 'BM', 'Bermuda', 'AMRO', '0', '118', '0', '7');
INSERT INTO public.who_import VALUES (9260, '2020-05-11', 'BM', 'Bermuda', 'AMRO', '0', '118', '0', '7');
INSERT INTO public.who_import VALUES (9261, '2020-05-12', 'BM', 'Bermuda', 'AMRO', '0', '118', '0', '7');
INSERT INTO public.who_import VALUES (9262, '2020-05-13', 'BM', 'Bermuda', 'AMRO', '1', '119', '1', '8');
INSERT INTO public.who_import VALUES (9263, '2020-05-14', 'BM', 'Bermuda', 'AMRO', '2', '121', '0', '8');
INSERT INTO public.who_import VALUES (9264, '2020-05-15', 'BM', 'Bermuda', 'AMRO', '0', '121', '0', '8');
INSERT INTO public.who_import VALUES (9265, '2020-05-16', 'BM', 'Bermuda', 'AMRO', '1', '122', '1', '9');
INSERT INTO public.who_import VALUES (9266, '2020-05-17', 'BM', 'Bermuda', 'AMRO', '1', '123', '0', '9');
INSERT INTO public.who_import VALUES (9267, '2020-05-18', 'BM', 'Bermuda', 'AMRO', '0', '123', '0', '9');
INSERT INTO public.who_import VALUES (9268, '2020-05-19', 'BM', 'Bermuda', 'AMRO', '0', '123', '0', '9');
INSERT INTO public.who_import VALUES (9269, '2020-05-20', 'BM', 'Bermuda', 'AMRO', '2', '125', '0', '9');
INSERT INTO public.who_import VALUES (9270, '2020-05-21', 'BM', 'Bermuda', 'AMRO', '0', '125', '0', '9');
INSERT INTO public.who_import VALUES (9271, '2020-05-22', 'BM', 'Bermuda', 'AMRO', '0', '125', '0', '9');
INSERT INTO public.who_import VALUES (9272, '2020-05-23', 'BM', 'Bermuda', 'AMRO', '0', '125', '0', '9');
INSERT INTO public.who_import VALUES (9273, '2020-05-24', 'BM', 'Bermuda', 'AMRO', '3', '128', '0', '9');
INSERT INTO public.who_import VALUES (9274, '2020-05-25', 'BM', 'Bermuda', 'AMRO', '5', '133', '0', '9');
INSERT INTO public.who_import VALUES (9275, '2020-05-26', 'BM', 'Bermuda', 'AMRO', '0', '133', '0', '9');
INSERT INTO public.who_import VALUES (9276, '2020-05-27', 'BM', 'Bermuda', 'AMRO', '0', '133', '0', '9');
INSERT INTO public.who_import VALUES (9277, '2020-05-28', 'BM', 'Bermuda', 'AMRO', '6', '139', '0', '9');
INSERT INTO public.who_import VALUES (9278, '2020-05-29', 'BM', 'Bermuda', 'AMRO', '0', '139', '0', '9');
INSERT INTO public.who_import VALUES (9279, '2020-05-30', 'BM', 'Bermuda', 'AMRO', '1', '140', '0', '9');
INSERT INTO public.who_import VALUES (9280, '2020-05-31', 'BM', 'Bermuda', 'AMRO', '0', '140', '0', '9');
INSERT INTO public.who_import VALUES (9281, '2020-06-01', 'BM', 'Bermuda', 'AMRO', '0', '140', '0', '9');
INSERT INTO public.who_import VALUES (9282, '2020-06-02', 'BM', 'Bermuda', 'AMRO', '0', '140', '0', '9');
INSERT INTO public.who_import VALUES (9283, '2020-06-03', 'BM', 'Bermuda', 'AMRO', '1', '141', '0', '9');
INSERT INTO public.who_import VALUES (9284, '2020-06-04', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9285, '2020-06-05', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9286, '2020-06-06', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9287, '2020-06-07', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9288, '2020-06-08', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9289, '2020-06-09', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9290, '2020-06-10', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9291, '2020-06-11', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9292, '2020-06-12', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9293, '2020-06-13', 'BM', 'Bermuda', 'AMRO', '0', '141', '0', '9');
INSERT INTO public.who_import VALUES (9294, '2020-06-14', 'BM', 'Bermuda', 'AMRO', '1', '142', '0', '9');
INSERT INTO public.who_import VALUES (9295, '2020-06-15', 'BM', 'Bermuda', 'AMRO', '2', '144', '0', '9');
INSERT INTO public.who_import VALUES (9296, '2020-06-16', 'BM', 'Bermuda', 'AMRO', '0', '144', '0', '9');
INSERT INTO public.who_import VALUES (9297, '2020-06-17', 'BM', 'Bermuda', 'AMRO', '0', '144', '0', '9');
INSERT INTO public.who_import VALUES (9298, '2020-06-18', 'BM', 'Bermuda', 'AMRO', '0', '144', '0', '9');
INSERT INTO public.who_import VALUES (9299, '2020-06-19', 'BM', 'Bermuda', 'AMRO', '0', '144', '0', '9');
INSERT INTO public.who_import VALUES (9300, '2020-06-20', 'BM', 'Bermuda', 'AMRO', '0', '144', '0', '9');
INSERT INTO public.who_import VALUES (9301, '2020-06-21', 'BM', 'Bermuda', 'AMRO', '2', '146', '0', '9');
INSERT INTO public.who_import VALUES (9302, '2020-06-22', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9303, '2020-06-23', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9304, '2020-06-24', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9305, '2020-06-25', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9306, '2020-06-26', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9307, '2020-06-27', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9308, '2020-06-28', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9309, '2020-06-29', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9310, '2020-06-30', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9311, '2020-07-01', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9312, '2020-07-02', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9313, '2020-07-03', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9314, '2020-07-04', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9315, '2020-07-05', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9316, '2020-07-06', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9317, '2020-07-07', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9318, '2020-07-08', 'BM', 'Bermuda', 'AMRO', '0', '146', '0', '9');
INSERT INTO public.who_import VALUES (9319, '2020-07-09', 'BM', 'Bermuda', 'AMRO', '3', '149', '0', '9');
INSERT INTO public.who_import VALUES (9320, '2020-07-10', 'BM', 'Bermuda', 'AMRO', '0', '149', '0', '9');
INSERT INTO public.who_import VALUES (9321, '2020-07-11', 'BM', 'Bermuda', 'AMRO', '0', '149', '0', '9');
INSERT INTO public.who_import VALUES (9322, '2020-07-12', 'BM', 'Bermuda', 'AMRO', '1', '150', '0', '9');
INSERT INTO public.who_import VALUES (9323, '2020-07-13', 'BM', 'Bermuda', 'AMRO', '0', '150', '0', '9');
INSERT INTO public.who_import VALUES (9324, '2020-07-14', 'BM', 'Bermuda', 'AMRO', '0', '150', '0', '9');
INSERT INTO public.who_import VALUES (9325, '2020-07-15', 'BM', 'Bermuda', 'AMRO', '0', '150', '0', '9');
INSERT INTO public.who_import VALUES (9326, '2020-07-16', 'BM', 'Bermuda', 'AMRO', '0', '150', '0', '9');
INSERT INTO public.who_import VALUES (9327, '2020-07-17', 'BM', 'Bermuda', 'AMRO', '0', '150', '0', '9');
INSERT INTO public.who_import VALUES (9328, '2020-07-18', 'BM', 'Bermuda', 'AMRO', '2', '152', '0', '9');
INSERT INTO public.who_import VALUES (9329, '2020-07-19', 'BM', 'Bermuda', 'AMRO', '0', '152', '0', '9');
INSERT INTO public.who_import VALUES (9330, '2020-07-20', 'BM', 'Bermuda', 'AMRO', '1', '153', '0', '9');
INSERT INTO public.who_import VALUES (9331, '2020-07-21', 'BM', 'Bermuda', 'AMRO', '0', '153', '0', '9');
INSERT INTO public.who_import VALUES (9332, '2020-07-22', 'BM', 'Bermuda', 'AMRO', '0', '153', '0', '9');
INSERT INTO public.who_import VALUES (9333, '2020-07-23', 'BM', 'Bermuda', 'AMRO', '0', '153', '0', '9');
INSERT INTO public.who_import VALUES (9334, '2020-07-24', 'BM', 'Bermuda', 'AMRO', '0', '153', '0', '9');
INSERT INTO public.who_import VALUES (9335, '2020-07-25', 'BM', 'Bermuda', 'AMRO', '0', '153', '0', '9');
INSERT INTO public.who_import VALUES (9336, '2020-07-26', 'BM', 'Bermuda', 'AMRO', '0', '153', '0', '9');
INSERT INTO public.who_import VALUES (9337, '2020-07-27', 'BM', 'Bermuda', 'AMRO', '1', '154', '0', '9');
INSERT INTO public.who_import VALUES (9338, '2020-07-28', 'BM', 'Bermuda', 'AMRO', '0', '154', '0', '9');
INSERT INTO public.who_import VALUES (9339, '2020-07-29', 'BM', 'Bermuda', 'AMRO', '0', '154', '0', '9');
INSERT INTO public.who_import VALUES (9340, '2020-07-30', 'BM', 'Bermuda', 'AMRO', '2', '156', '0', '9');
INSERT INTO public.who_import VALUES (9341, '2020-07-31', 'BM', 'Bermuda', 'AMRO', '0', '156', '0', '9');
INSERT INTO public.who_import VALUES (9342, '2020-08-01', 'BM', 'Bermuda', 'AMRO', '0', '156', '0', '9');
INSERT INTO public.who_import VALUES (9343, '2020-08-02', 'BM', 'Bermuda', 'AMRO', '0', '156', '0', '9');
INSERT INTO public.who_import VALUES (9344, '2020-08-03', 'BM', 'Bermuda', 'AMRO', '0', '156', '0', '9');
INSERT INTO public.who_import VALUES (9345, '2020-08-04', 'BM', 'Bermuda', 'AMRO', '1', '157', '0', '9');
INSERT INTO public.who_import VALUES (9346, '2020-08-05', 'BM', 'Bermuda', 'AMRO', '0', '157', '0', '9');
INSERT INTO public.who_import VALUES (9347, '2020-08-06', 'BM', 'Bermuda', 'AMRO', '0', '157', '0', '9');
INSERT INTO public.who_import VALUES (9348, '2020-08-07', 'BM', 'Bermuda', 'AMRO', '0', '157', '0', '9');
INSERT INTO public.who_import VALUES (9349, '2020-08-08', 'BM', 'Bermuda', 'AMRO', '0', '157', '0', '9');
INSERT INTO public.who_import VALUES (9350, '2020-08-09', 'BM', 'Bermuda', 'AMRO', '1', '158', '0', '9');
INSERT INTO public.who_import VALUES (9351, '2020-08-10', 'BM', 'Bermuda', 'AMRO', '0', '158', '0', '9');
INSERT INTO public.who_import VALUES (9352, '2020-08-11', 'BM', 'Bermuda', 'AMRO', '0', '158', '0', '9');
INSERT INTO public.who_import VALUES (9353, '2020-08-12', 'BM', 'Bermuda', 'AMRO', '1', '159', '0', '9');
INSERT INTO public.who_import VALUES (9354, '2020-08-13', 'BM', 'Bermuda', 'AMRO', '0', '159', '0', '9');
INSERT INTO public.who_import VALUES (9355, '2020-08-14', 'BM', 'Bermuda', 'AMRO', '0', '159', '0', '9');
INSERT INTO public.who_import VALUES (9356, '2020-08-15', 'BM', 'Bermuda', 'AMRO', '0', '159', '0', '9');
INSERT INTO public.who_import VALUES (9357, '2020-08-16', 'BM', 'Bermuda', 'AMRO', '0', '159', '0', '9');
INSERT INTO public.who_import VALUES (9358, '2020-08-17', 'BM', 'Bermuda', 'AMRO', '3', '162', '0', '9');
INSERT INTO public.who_import VALUES (9359, '2020-08-18', 'BM', 'Bermuda', 'AMRO', '0', '162', '0', '9');
INSERT INTO public.who_import VALUES (9360, '2020-08-19', 'BM', 'Bermuda', 'AMRO', '4', '166', '0', '9');
INSERT INTO public.who_import VALUES (9361, '2020-08-20', 'BM', 'Bermuda', 'AMRO', '0', '166', '0', '9');
INSERT INTO public.who_import VALUES (9362, '2020-08-21', 'BM', 'Bermuda', 'AMRO', '0', '166', '0', '9');
INSERT INTO public.who_import VALUES (9363, '2020-08-22', 'BM', 'Bermuda', 'AMRO', '0', '166', '0', '9');
INSERT INTO public.who_import VALUES (9364, '2020-08-23', 'BM', 'Bermuda', 'AMRO', '1', '167', '0', '9');
INSERT INTO public.who_import VALUES (9365, '2020-08-24', 'BM', 'Bermuda', 'AMRO', '0', '167', '0', '9');
INSERT INTO public.who_import VALUES (9366, '2020-08-25', 'BM', 'Bermuda', 'AMRO', '0', '167', '0', '9');
INSERT INTO public.who_import VALUES (9367, '2020-08-26', 'BM', 'Bermuda', 'AMRO', '1', '168', '0', '9');
INSERT INTO public.who_import VALUES (9368, '2020-08-27', 'BM', 'Bermuda', 'AMRO', '0', '168', '0', '9');
INSERT INTO public.who_import VALUES (9369, '2020-08-28', 'BM', 'Bermuda', 'AMRO', '0', '168', '0', '9');
INSERT INTO public.who_import VALUES (9370, '2020-08-29', 'BM', 'Bermuda', 'AMRO', '0', '168', '0', '9');
INSERT INTO public.who_import VALUES (9371, '2020-08-30', 'BM', 'Bermuda', 'AMRO', '0', '168', '0', '9');
INSERT INTO public.who_import VALUES (9372, '2020-08-31', 'BM', 'Bermuda', 'AMRO', '1', '169', '0', '9');
INSERT INTO public.who_import VALUES (9373, '2020-09-01', 'BM', 'Bermuda', 'AMRO', '0', '169', '0', '9');
INSERT INTO public.who_import VALUES (9374, '2020-09-02', 'BM', 'Bermuda', 'AMRO', '3', '172', '0', '9');
INSERT INTO public.who_import VALUES (9375, '2020-09-03', 'BM', 'Bermuda', 'AMRO', '0', '172', '0', '9');
INSERT INTO public.who_import VALUES (9376, '2020-09-04', 'BM', 'Bermuda', 'AMRO', '0', '172', '0', '9');
INSERT INTO public.who_import VALUES (9377, '2020-09-05', 'BM', 'Bermuda', 'AMRO', '2', '174', '0', '9');
INSERT INTO public.who_import VALUES (9378, '2020-09-06', 'BM', 'Bermuda', 'AMRO', '1', '175', '0', '9');
INSERT INTO public.who_import VALUES (9379, '2020-09-07', 'BM', 'Bermuda', 'AMRO', '0', '175', '0', '9');
INSERT INTO public.who_import VALUES (9380, '2020-09-08', 'BM', 'Bermuda', 'AMRO', '0', '175', '0', '9');
INSERT INTO public.who_import VALUES (9381, '2020-09-09', 'BM', 'Bermuda', 'AMRO', '0', '175', '0', '9');
INSERT INTO public.who_import VALUES (9382, '2020-09-10', 'BM', 'Bermuda', 'AMRO', '2', '177', '0', '9');
INSERT INTO public.who_import VALUES (9383, '2020-09-11', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9384, '2020-09-12', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9385, '2020-09-13', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9386, '2020-09-14', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9387, '2020-09-15', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9388, '2020-09-16', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9389, '2020-09-17', 'BM', 'Bermuda', 'AMRO', '0', '177', '0', '9');
INSERT INTO public.who_import VALUES (9390, '2020-09-18', 'BM', 'Bermuda', 'AMRO', '1', '178', '0', '9');
INSERT INTO public.who_import VALUES (9391, '2020-09-19', 'BM', 'Bermuda', 'AMRO', '0', '178', '0', '9');
INSERT INTO public.who_import VALUES (9392, '2020-09-20', 'BM', 'Bermuda', 'AMRO', '0', '178', '0', '9');
INSERT INTO public.who_import VALUES (9393, '2020-09-21', 'BM', 'Bermuda', 'AMRO', '2', '180', '0', '9');
INSERT INTO public.who_import VALUES (9394, '2020-09-22', 'BM', 'Bermuda', 'AMRO', '0', '180', '0', '9');
INSERT INTO public.who_import VALUES (9395, '2020-09-23', 'BM', 'Bermuda', 'AMRO', '0', '180', '0', '9');
INSERT INTO public.who_import VALUES (9396, '2020-09-24', 'BM', 'Bermuda', 'AMRO', '0', '180', '0', '9');
INSERT INTO public.who_import VALUES (9397, '2020-09-25', 'BM', 'Bermuda', 'AMRO', '1', '181', '0', '9');
INSERT INTO public.who_import VALUES (9398, '2020-09-26', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9399, '2020-09-27', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9400, '2020-09-28', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9401, '2020-09-29', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9402, '2020-09-30', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9403, '2020-10-01', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9404, '2020-10-02', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9405, '2020-10-03', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9406, '2020-10-04', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9407, '2020-10-05', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9408, '2020-10-06', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9409, '2020-10-07', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9410, '2020-10-08', 'BM', 'Bermuda', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (9411, '2020-10-09', 'BM', 'Bermuda', 'AMRO', '1', '182', '0', '9');
INSERT INTO public.who_import VALUES (9412, '2020-10-10', 'BM', 'Bermuda', 'AMRO', '2', '184', '0', '9');
INSERT INTO public.who_import VALUES (9413, '2020-10-11', 'BM', 'Bermuda', 'AMRO', '0', '184', '0', '9');
INSERT INTO public.who_import VALUES (9414, '2020-10-12', 'BM', 'Bermuda', 'AMRO', '0', '184', '0', '9');
INSERT INTO public.who_import VALUES (9415, '2020-10-13', 'BM', 'Bermuda', 'AMRO', '0', '184', '0', '9');
INSERT INTO public.who_import VALUES (9416, '2020-10-14', 'BM', 'Bermuda', 'AMRO', '0', '184', '0', '9');
INSERT INTO public.who_import VALUES (9417, '2020-10-15', 'BM', 'Bermuda', 'AMRO', '1', '185', '0', '9');
INSERT INTO public.who_import VALUES (9418, '2020-10-16', 'BM', 'Bermuda', 'AMRO', '0', '185', '0', '9');
INSERT INTO public.who_import VALUES (9419, '2020-10-17', 'BM', 'Bermuda', 'AMRO', '0', '185', '0', '9');
INSERT INTO public.who_import VALUES (9420, '2020-10-18', 'BM', 'Bermuda', 'AMRO', '0', '185', '0', '9');
INSERT INTO public.who_import VALUES (9421, '2020-10-19', 'BM', 'Bermuda', 'AMRO', '0', '185', '0', '9');
INSERT INTO public.who_import VALUES (9422, '2020-10-20', 'BM', 'Bermuda', 'AMRO', '0', '185', '0', '9');
INSERT INTO public.who_import VALUES (9423, '2020-10-21', 'BM', 'Bermuda', 'AMRO', '3', '188', '0', '9');
INSERT INTO public.who_import VALUES (9424, '2020-10-22', 'BM', 'Bermuda', 'AMRO', '0', '188', '0', '9');
INSERT INTO public.who_import VALUES (9425, '2020-10-23', 'BM', 'Bermuda', 'AMRO', '0', '188', '0', '9');
INSERT INTO public.who_import VALUES (9426, '2020-10-24', 'BM', 'Bermuda', 'AMRO', '2', '190', '0', '9');
INSERT INTO public.who_import VALUES (9427, '2020-10-25', 'BM', 'Bermuda', 'AMRO', '0', '190', '0', '9');
INSERT INTO public.who_import VALUES (9428, '2020-10-26', 'BM', 'Bermuda', 'AMRO', '0', '190', '0', '9');
INSERT INTO public.who_import VALUES (9429, '2020-10-27', 'BM', 'Bermuda', 'AMRO', '0', '190', '0', '9');
INSERT INTO public.who_import VALUES (9430, '2020-10-28', 'BM', 'Bermuda', 'AMRO', '3', '193', '0', '9');
INSERT INTO public.who_import VALUES (9431, '2020-10-29', 'BM', 'Bermuda', 'AMRO', '1', '194', '0', '9');
INSERT INTO public.who_import VALUES (9432, '2020-10-30', 'BM', 'Bermuda', 'AMRO', '4', '198', '0', '9');
INSERT INTO public.who_import VALUES (9433, '2020-10-31', 'BM', 'Bermuda', 'AMRO', '1', '199', '0', '9');
INSERT INTO public.who_import VALUES (9434, '2020-11-01', 'BM', 'Bermuda', 'AMRO', '0', '199', '0', '9');
INSERT INTO public.who_import VALUES (9435, '2020-11-02', 'BM', 'Bermuda', 'AMRO', '0', '199', '0', '9');
INSERT INTO public.who_import VALUES (9436, '2020-11-03', 'BM', 'Bermuda', 'AMRO', '7', '206', '0', '9');
INSERT INTO public.who_import VALUES (9437, '2020-11-04', 'BM', 'Bermuda', 'AMRO', '0', '206', '0', '9');
INSERT INTO public.who_import VALUES (9438, '2020-11-05', 'BM', 'Bermuda', 'AMRO', '0', '206', '0', '9');
INSERT INTO public.who_import VALUES (9439, '2020-11-06', 'BM', 'Bermuda', 'AMRO', '0', '206', '0', '9');
INSERT INTO public.who_import VALUES (9440, '2020-11-07', 'BM', 'Bermuda', 'AMRO', '1', '207', '0', '9');
INSERT INTO public.who_import VALUES (9441, '2020-11-08', 'BM', 'Bermuda', 'AMRO', '2', '209', '0', '9');
INSERT INTO public.who_import VALUES (9442, '2020-11-09', 'BM', 'Bermuda', 'AMRO', '0', '209', '0', '9');
INSERT INTO public.who_import VALUES (9443, '2020-11-10', 'BM', 'Bermuda', 'AMRO', '5', '214', '0', '9');
INSERT INTO public.who_import VALUES (9444, '2020-11-11', 'BM', 'Bermuda', 'AMRO', '0', '214', '0', '9');
INSERT INTO public.who_import VALUES (9445, '2020-11-12', 'BM', 'Bermuda', 'AMRO', '1', '215', '0', '9');
INSERT INTO public.who_import VALUES (9446, '2020-11-13', 'BM', 'Bermuda', 'AMRO', '5', '220', '0', '9');
INSERT INTO public.who_import VALUES (9447, '2020-11-14', 'BM', 'Bermuda', 'AMRO', '2', '222', '0', '9');
INSERT INTO public.who_import VALUES (9448, '2020-11-15', 'BM', 'Bermuda', 'AMRO', '0', '222', '0', '9');
INSERT INTO public.who_import VALUES (9449, '2020-11-16', 'BM', 'Bermuda', 'AMRO', '0', '222', '0', '9');
INSERT INTO public.who_import VALUES (9450, '2020-11-17', 'BM', 'Bermuda', 'AMRO', '0', '222', '0', '9');
INSERT INTO public.who_import VALUES (9451, '2020-11-18', 'BM', 'Bermuda', 'AMRO', '1', '223', '0', '9');
INSERT INTO public.who_import VALUES (9452, '2020-11-19', 'BM', 'Bermuda', 'AMRO', '0', '223', '0', '9');
INSERT INTO public.who_import VALUES (9453, '2020-11-20', 'BM', 'Bermuda', 'AMRO', '1', '224', '0', '9');
INSERT INTO public.who_import VALUES (9454, '2020-11-21', 'BM', 'Bermuda', 'AMRO', '3', '227', '0', '9');
INSERT INTO public.who_import VALUES (9455, '2020-11-22', 'BM', 'Bermuda', 'AMRO', '0', '227', '0', '9');
INSERT INTO public.who_import VALUES (9456, '2020-11-23', 'BM', 'Bermuda', 'AMRO', '0', '227', '0', '9');
INSERT INTO public.who_import VALUES (9457, '2020-11-24', 'BM', 'Bermuda', 'AMRO', '0', '227', '0', '9');
INSERT INTO public.who_import VALUES (9458, '2020-11-25', 'BM', 'Bermuda', 'AMRO', '8', '235', '0', '9');
INSERT INTO public.who_import VALUES (9459, '2020-11-26', 'BM', 'Bermuda', 'AMRO', '4', '239', '0', '9');
INSERT INTO public.who_import VALUES (9460, '2020-11-27', 'BM', 'Bermuda', 'AMRO', '2', '241', '0', '9');
INSERT INTO public.who_import VALUES (9461, '2020-11-28', 'BM', 'Bermuda', 'AMRO', '1', '242', '0', '9');
INSERT INTO public.who_import VALUES (9462, '2020-11-29', 'BM', 'Bermuda', 'AMRO', '5', '247', '0', '9');
INSERT INTO public.who_import VALUES (9463, '2020-11-30', 'BM', 'Bermuda', 'AMRO', '4', '251', '0', '9');
INSERT INTO public.who_import VALUES (9464, '2020-12-01', 'BM', 'Bermuda', 'AMRO', '9', '260', '0', '9');
INSERT INTO public.who_import VALUES (9465, '2020-12-02', 'BM', 'Bermuda', 'AMRO', '0', '260', '0', '9');
INSERT INTO public.who_import VALUES (9466, '2020-12-03', 'BM', 'Bermuda', 'AMRO', '7', '267', '0', '9');
INSERT INTO public.who_import VALUES (9467, '2020-12-04', 'BM', 'Bermuda', 'AMRO', '5', '272', '0', '9');
INSERT INTO public.who_import VALUES (9468, '2020-12-05', 'BM', 'Bermuda', 'AMRO', '6', '278', '0', '9');
INSERT INTO public.who_import VALUES (9469, '2020-12-06', 'BM', 'Bermuda', 'AMRO', '10', '288', '0', '9');
INSERT INTO public.who_import VALUES (9470, '2020-12-07', 'BM', 'Bermuda', 'AMRO', '0', '288', '0', '9');
INSERT INTO public.who_import VALUES (9471, '2020-12-08', 'BM', 'Bermuda', 'AMRO', '18', '306', '0', '9');
INSERT INTO public.who_import VALUES (9472, '2020-12-09', 'BM', 'Bermuda', 'AMRO', '0', '306', '0', '9');
INSERT INTO public.who_import VALUES (9473, '2020-12-10', 'BM', 'Bermuda', 'AMRO', '34', '340', '0', '9');
INSERT INTO public.who_import VALUES (9474, '2020-12-11', 'BM', 'Bermuda', 'AMRO', '24', '364', '0', '9');
INSERT INTO public.who_import VALUES (9475, '2020-12-12', 'BM', 'Bermuda', 'AMRO', '0', '364', '0', '9');
INSERT INTO public.who_import VALUES (9476, '2020-12-13', 'BM', 'Bermuda', 'AMRO', '27', '391', '0', '9');
INSERT INTO public.who_import VALUES (9477, '2020-12-14', 'BM', 'Bermuda', 'AMRO', '0', '391', '0', '9');
INSERT INTO public.who_import VALUES (9478, '2020-12-15', 'BM', 'Bermuda', 'AMRO', '40', '431', '0', '9');
INSERT INTO public.who_import VALUES (9479, '2020-12-16', 'BM', 'Bermuda', 'AMRO', '25', '456', '0', '9');
INSERT INTO public.who_import VALUES (9480, '2020-12-17', 'BM', 'Bermuda', 'AMRO', '11', '467', '0', '9');
INSERT INTO public.who_import VALUES (9481, '2020-12-18', 'BM', 'Bermuda', 'AMRO', '18', '485', '0', '9');
INSERT INTO public.who_import VALUES (9482, '2020-12-19', 'BM', 'Bermuda', 'AMRO', '12', '497', '0', '9');
INSERT INTO public.who_import VALUES (9483, '2020-12-20', 'BM', 'Bermuda', 'AMRO', '19', '516', '0', '9');
INSERT INTO public.who_import VALUES (9484, '2020-12-21', 'BM', 'Bermuda', 'AMRO', '11', '527', '0', '9');
INSERT INTO public.who_import VALUES (9485, '2020-12-22', 'BM', 'Bermuda', 'AMRO', '0', '527', '0', '9');
INSERT INTO public.who_import VALUES (9486, '2020-12-23', 'BM', 'Bermuda', 'AMRO', '20', '547', '0', '9');
INSERT INTO public.who_import VALUES (9487, '2020-12-24', 'BM', 'Bermuda', 'AMRO', '6', '553', '0', '9');
INSERT INTO public.who_import VALUES (9488, '2020-12-25', 'BM', 'Bermuda', 'AMRO', '8', '561', '0', '9');
INSERT INTO public.who_import VALUES (9489, '2020-12-26', 'BM', 'Bermuda', 'AMRO', '0', '561', '0', '9');
INSERT INTO public.who_import VALUES (9490, '2020-12-27', 'BM', 'Bermuda', 'AMRO', '0', '561', '0', '9');
INSERT INTO public.who_import VALUES (9491, '2020-12-28', 'BM', 'Bermuda', 'AMRO', '20', '581', '1', '10');
INSERT INTO public.who_import VALUES (9492, '2020-12-29', 'BM', 'Bermuda', 'AMRO', '0', '581', '0', '10');
INSERT INTO public.who_import VALUES (9493, '2020-12-30', 'BM', 'Bermuda', 'AMRO', '0', '581', '0', '10');
INSERT INTO public.who_import VALUES (9494, '2020-12-31', 'BM', 'Bermuda', 'AMRO', '14', '595', '0', '10');
INSERT INTO public.who_import VALUES (9495, '2021-01-01', 'BM', 'Bermuda', 'AMRO', '9', '604', '0', '10');
INSERT INTO public.who_import VALUES (9496, '2021-01-02', 'BM', 'Bermuda', 'AMRO', '0', '604', '0', '10');
INSERT INTO public.who_import VALUES (9497, '2021-01-03', 'BM', 'Bermuda', 'AMRO', '0', '604', '0', '10');
INSERT INTO public.who_import VALUES (9498, '2021-01-04', 'BM', 'Bermuda', 'AMRO', '18', '622', '0', '10');
INSERT INTO public.who_import VALUES (9499, '2021-01-05', 'BM', 'Bermuda', 'AMRO', '0', '622', '0', '10');
INSERT INTO public.who_import VALUES (9500, '2021-01-06', 'BM', 'Bermuda', 'AMRO', '2', '624', '0', '10');
INSERT INTO public.who_import VALUES (9501, '2021-01-07', 'BM', 'Bermuda', 'AMRO', '8', '632', '1', '11');
INSERT INTO public.who_import VALUES (9502, '2021-01-08', 'BM', 'Bermuda', 'AMRO', '4', '636', '0', '11');
INSERT INTO public.who_import VALUES (9503, '2021-01-09', 'BM', 'Bermuda', 'AMRO', '5', '641', '1', '12');
INSERT INTO public.who_import VALUES (9504, '2021-01-10', 'BM', 'Bermuda', 'AMRO', '5', '646', '0', '12');
INSERT INTO public.who_import VALUES (9505, '2021-01-11', 'BM', 'Bermuda', 'AMRO', '6', '652', '0', '12');
INSERT INTO public.who_import VALUES (9506, '2021-01-12', 'BM', 'Bermuda', 'AMRO', '0', '652', '0', '12');
INSERT INTO public.who_import VALUES (9507, '2021-01-13', 'BM', 'Bermuda', 'AMRO', '4', '656', '0', '12');
INSERT INTO public.who_import VALUES (9508, '2021-01-14', 'BM', 'Bermuda', 'AMRO', '5', '661', '0', '12');
INSERT INTO public.who_import VALUES (9509, '2021-01-15', 'BM', 'Bermuda', 'AMRO', '3', '664', '0', '12');
INSERT INTO public.who_import VALUES (9510, '2021-01-16', 'BM', 'Bermuda', 'AMRO', '3', '667', '0', '12');
INSERT INTO public.who_import VALUES (9511, '2021-01-17', 'BM', 'Bermuda', 'AMRO', '3', '670', '0', '12');
INSERT INTO public.who_import VALUES (9512, '2021-01-18', 'BM', 'Bermuda', 'AMRO', '0', '670', '0', '12');
INSERT INTO public.who_import VALUES (9513, '2021-01-19', 'BM', 'Bermuda', 'AMRO', '0', '670', '0', '12');
INSERT INTO public.who_import VALUES (9514, '2021-01-20', 'BM', 'Bermuda', 'AMRO', '13', '683', '0', '12');
INSERT INTO public.who_import VALUES (9515, '2021-01-21', 'BM', 'Bermuda', 'AMRO', '1', '684', '0', '12');
INSERT INTO public.who_import VALUES (9516, '2021-01-22', 'BM', 'Bermuda', 'AMRO', '0', '684', '0', '12');
INSERT INTO public.who_import VALUES (9517, '2021-01-23', 'BM', 'Bermuda', 'AMRO', '2', '686', '0', '12');
INSERT INTO public.who_import VALUES (9518, '2021-01-24', 'BM', 'Bermuda', 'AMRO', '0', '686', '0', '12');
INSERT INTO public.who_import VALUES (9519, '2021-01-25', 'BM', 'Bermuda', 'AMRO', '0', '686', '0', '12');
INSERT INTO public.who_import VALUES (9520, '2021-01-26', 'BM', 'Bermuda', 'AMRO', '0', '686', '0', '12');
INSERT INTO public.who_import VALUES (9521, '2021-01-27', 'BM', 'Bermuda', 'AMRO', '0', '686', '0', '12');
INSERT INTO public.who_import VALUES (9522, '2021-01-28', 'BM', 'Bermuda', 'AMRO', '2', '688', '0', '12');
INSERT INTO public.who_import VALUES (9523, '2021-01-29', 'BM', 'Bermuda', 'AMRO', '1', '689', '0', '12');
INSERT INTO public.who_import VALUES (9524, '2021-01-30', 'BM', 'Bermuda', 'AMRO', '1', '690', '0', '12');
INSERT INTO public.who_import VALUES (9525, '2021-01-31', 'BM', 'Bermuda', 'AMRO', '1', '691', '0', '12');
INSERT INTO public.who_import VALUES (9526, '2021-02-01', 'BM', 'Bermuda', 'AMRO', '0', '691', '0', '12');
INSERT INTO public.who_import VALUES (9527, '2021-02-02', 'BM', 'Bermuda', 'AMRO', '0', '691', '0', '12');
INSERT INTO public.who_import VALUES (9528, '2021-02-03', 'BM', 'Bermuda', 'AMRO', '1', '692', '0', '12');
INSERT INTO public.who_import VALUES (9529, '2021-02-04', 'BM', 'Bermuda', 'AMRO', '0', '692', '0', '12');
INSERT INTO public.who_import VALUES (9530, '2021-02-05', 'BM', 'Bermuda', 'AMRO', '0', '692', '0', '12');
INSERT INTO public.who_import VALUES (9531, '2021-02-06', 'BM', 'Bermuda', 'AMRO', '0', '692', '0', '12');
INSERT INTO public.who_import VALUES (9532, '2021-02-07', 'BM', 'Bermuda', 'AMRO', '0', '692', '0', '12');
INSERT INTO public.who_import VALUES (9533, '2021-02-08', 'BM', 'Bermuda', 'AMRO', '0', '692', '0', '12');
INSERT INTO public.who_import VALUES (9534, '2021-02-09', 'BM', 'Bermuda', 'AMRO', '0', '692', '0', '12');
INSERT INTO public.who_import VALUES (9535, '2021-02-10', 'BM', 'Bermuda', 'AMRO', '2', '694', '0', '12');
INSERT INTO public.who_import VALUES (9536, '2021-02-11', 'BM', 'Bermuda', 'AMRO', '0', '694', '0', '12');
INSERT INTO public.who_import VALUES (9537, '2021-02-12', 'BM', 'Bermuda', 'AMRO', '0', '694', '0', '12');
INSERT INTO public.who_import VALUES (9538, '2021-02-13', 'BM', 'Bermuda', 'AMRO', '0', '694', '0', '12');
INSERT INTO public.who_import VALUES (9539, '2021-02-14', 'BM', 'Bermuda', 'AMRO', '0', '694', '0', '12');
INSERT INTO public.who_import VALUES (9540, '2021-02-15', 'BM', 'Bermuda', 'AMRO', '0', '694', '0', '12');
INSERT INTO public.who_import VALUES (9541, '2021-02-16', 'BM', 'Bermuda', 'AMRO', '1', '695', '0', '12');
INSERT INTO public.who_import VALUES (9542, '2021-02-17', 'BM', 'Bermuda', 'AMRO', '0', '695', '0', '12');
INSERT INTO public.who_import VALUES (9543, '2021-02-18', 'BM', 'Bermuda', 'AMRO', '0', '695', '0', '12');
INSERT INTO public.who_import VALUES (9544, '2021-02-19', 'BM', 'Bermuda', 'AMRO', '2', '697', '0', '12');
INSERT INTO public.who_import VALUES (9545, '2021-02-20', 'BM', 'Bermuda', 'AMRO', '2', '699', '0', '12');
INSERT INTO public.who_import VALUES (9546, '2020-01-03', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9547, '2020-01-04', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9548, '2020-01-05', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9549, '2020-01-06', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9550, '2020-01-07', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9551, '2020-01-08', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9552, '2020-01-09', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9553, '2020-01-10', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9554, '2020-01-11', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9555, '2020-01-12', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9556, '2020-01-13', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9557, '2020-01-14', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9558, '2020-01-15', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9559, '2020-01-16', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9560, '2020-01-17', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9561, '2020-01-18', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9562, '2020-01-19', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9563, '2020-01-20', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9564, '2020-01-21', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9565, '2020-01-22', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9566, '2020-01-23', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9567, '2020-01-24', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9568, '2020-01-25', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9569, '2020-01-26', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9570, '2020-01-27', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9571, '2020-01-28', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9572, '2020-01-29', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9573, '2020-01-30', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9574, '2020-01-31', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9575, '2020-02-01', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9576, '2020-02-02', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9577, '2020-02-03', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9578, '2020-02-04', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9579, '2020-02-05', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9580, '2020-02-06', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9581, '2020-02-07', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9582, '2020-02-08', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9583, '2020-02-09', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9584, '2020-02-10', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9585, '2020-02-11', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9586, '2020-02-12', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9587, '2020-02-13', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9588, '2020-02-14', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9589, '2020-02-15', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9590, '2020-02-16', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9591, '2020-02-17', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9592, '2020-02-18', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9593, '2020-02-19', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9594, '2020-02-20', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9595, '2020-02-21', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9596, '2020-02-22', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9597, '2020-02-23', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9598, '2020-02-24', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9599, '2020-02-25', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9600, '2020-02-26', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9601, '2020-02-27', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9602, '2020-02-28', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9603, '2020-02-29', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9604, '2020-03-01', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9605, '2020-03-02', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9606, '2020-03-03', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9607, '2020-03-04', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9608, '2020-03-05', 'BT', 'Bhutan', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9609, '2020-03-06', 'BT', 'Bhutan', 'SEARO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (9610, '2020-03-07', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9611, '2020-03-08', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9612, '2020-03-09', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9613, '2020-03-10', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9614, '2020-03-11', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9615, '2020-03-12', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9616, '2020-03-13', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9617, '2020-03-14', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9618, '2020-03-15', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9619, '2020-03-16', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9620, '2020-03-17', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9621, '2020-03-18', 'BT', 'Bhutan', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (9622, '2020-03-19', 'BT', 'Bhutan', 'SEARO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (9623, '2020-03-20', 'BT', 'Bhutan', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (9624, '2020-03-21', 'BT', 'Bhutan', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (9625, '2020-03-22', 'BT', 'Bhutan', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (9626, '2020-03-23', 'BT', 'Bhutan', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (9627, '2020-03-24', 'BT', 'Bhutan', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (9628, '2020-03-25', 'BT', 'Bhutan', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (9629, '2020-03-26', 'BT', 'Bhutan', 'SEARO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (9630, '2020-03-27', 'BT', 'Bhutan', 'SEARO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (9631, '2020-03-28', 'BT', 'Bhutan', 'SEARO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (9632, '2020-03-29', 'BT', 'Bhutan', 'SEARO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (9633, '2020-03-30', 'BT', 'Bhutan', 'SEARO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (9634, '2020-03-31', 'BT', 'Bhutan', 'SEARO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (9635, '2020-04-01', 'BT', 'Bhutan', 'SEARO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (9636, '2020-04-02', 'BT', 'Bhutan', 'SEARO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (9637, '2020-04-03', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9638, '2020-04-04', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9639, '2020-04-05', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9640, '2020-04-06', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9641, '2020-04-07', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9642, '2020-04-08', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9643, '2020-04-09', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9644, '2020-04-10', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9645, '2020-04-11', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9646, '2020-04-12', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9647, '2020-04-13', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9648, '2020-04-14', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9649, '2020-04-15', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9650, '2020-04-16', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9651, '2020-04-17', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9652, '2020-04-18', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9653, '2020-04-19', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9654, '2020-04-20', 'BT', 'Bhutan', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (9655, '2020-04-21', 'BT', 'Bhutan', 'SEARO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (9656, '2020-04-22', 'BT', 'Bhutan', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (9657, '2020-04-23', 'BT', 'Bhutan', 'SEARO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (9658, '2020-04-24', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9659, '2020-04-25', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9660, '2020-04-26', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9661, '2020-04-27', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9662, '2020-04-28', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9663, '2020-04-29', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9664, '2020-04-30', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9665, '2020-05-01', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9666, '2020-05-02', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9667, '2020-05-03', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9668, '2020-05-04', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9669, '2020-05-05', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9670, '2020-05-06', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9671, '2020-05-07', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9672, '2020-05-08', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9673, '2020-05-09', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9674, '2020-05-10', 'BT', 'Bhutan', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (9675, '2020-05-11', 'BT', 'Bhutan', 'SEARO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (9676, '2020-05-12', 'BT', 'Bhutan', 'SEARO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (9677, '2020-05-13', 'BT', 'Bhutan', 'SEARO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (9678, '2020-05-14', 'BT', 'Bhutan', 'SEARO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (9679, '2020-05-15', 'BT', 'Bhutan', 'SEARO', '5', '20', '0', '0');
INSERT INTO public.who_import VALUES (9680, '2020-05-16', 'BT', 'Bhutan', 'SEARO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (9681, '2020-05-17', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9682, '2020-05-18', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9683, '2020-05-19', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9684, '2020-05-20', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9685, '2020-05-21', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9686, '2020-05-22', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9687, '2020-05-23', 'BT', 'Bhutan', 'SEARO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (9688, '2020-05-24', 'BT', 'Bhutan', 'SEARO', '3', '24', '0', '0');
INSERT INTO public.who_import VALUES (9689, '2020-05-25', 'BT', 'Bhutan', 'SEARO', '3', '27', '0', '0');
INSERT INTO public.who_import VALUES (9690, '2020-05-26', 'BT', 'Bhutan', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (9691, '2020-05-27', 'BT', 'Bhutan', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (9692, '2020-05-28', 'BT', 'Bhutan', 'SEARO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (9693, '2020-05-29', 'BT', 'Bhutan', 'SEARO', '3', '31', '0', '0');
INSERT INTO public.who_import VALUES (9694, '2020-05-30', 'BT', 'Bhutan', 'SEARO', '2', '33', '0', '0');
INSERT INTO public.who_import VALUES (9695, '2020-05-31', 'BT', 'Bhutan', 'SEARO', '10', '43', '0', '0');
INSERT INTO public.who_import VALUES (9696, '2020-06-01', 'BT', 'Bhutan', 'SEARO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (9697, '2020-06-02', 'BT', 'Bhutan', 'SEARO', '4', '47', '0', '0');
INSERT INTO public.who_import VALUES (9698, '2020-06-03', 'BT', 'Bhutan', 'SEARO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (9699, '2020-06-04', 'BT', 'Bhutan', 'SEARO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (9700, '2020-06-05', 'BT', 'Bhutan', 'SEARO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (9701, '2020-06-06', 'BT', 'Bhutan', 'SEARO', '1', '48', '0', '0');
INSERT INTO public.who_import VALUES (9702, '2020-06-07', 'BT', 'Bhutan', 'SEARO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (9703, '2020-06-08', 'BT', 'Bhutan', 'SEARO', '11', '59', '0', '0');
INSERT INTO public.who_import VALUES (9704, '2020-06-09', 'BT', 'Bhutan', 'SEARO', '0', '59', '0', '0');
INSERT INTO public.who_import VALUES (9705, '2020-06-10', 'BT', 'Bhutan', 'SEARO', '0', '59', '0', '0');
INSERT INTO public.who_import VALUES (9706, '2020-06-11', 'BT', 'Bhutan', 'SEARO', '3', '62', '0', '0');
INSERT INTO public.who_import VALUES (9707, '2020-06-12', 'BT', 'Bhutan', 'SEARO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (9708, '2020-06-13', 'BT', 'Bhutan', 'SEARO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (9709, '2020-06-14', 'BT', 'Bhutan', 'SEARO', '4', '66', '0', '0');
INSERT INTO public.who_import VALUES (9710, '2020-06-15', 'BT', 'Bhutan', 'SEARO', '0', '66', '0', '0');
INSERT INTO public.who_import VALUES (9711, '2020-06-16', 'BT', 'Bhutan', 'SEARO', '1', '67', '0', '0');
INSERT INTO public.who_import VALUES (9712, '2020-06-17', 'BT', 'Bhutan', 'SEARO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (9713, '2020-06-18', 'BT', 'Bhutan', 'SEARO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (9714, '2020-06-19', 'BT', 'Bhutan', 'SEARO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (9715, '2020-06-20', 'BT', 'Bhutan', 'SEARO', '1', '68', '0', '0');
INSERT INTO public.who_import VALUES (9716, '2020-06-21', 'BT', 'Bhutan', 'SEARO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (9717, '2020-06-22', 'BT', 'Bhutan', 'SEARO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (9718, '2020-06-23', 'BT', 'Bhutan', 'SEARO', '1', '69', '0', '0');
INSERT INTO public.who_import VALUES (9719, '2020-06-24', 'BT', 'Bhutan', 'SEARO', '1', '70', '0', '0');
INSERT INTO public.who_import VALUES (9720, '2020-06-25', 'BT', 'Bhutan', 'SEARO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (9721, '2020-06-26', 'BT', 'Bhutan', 'SEARO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (9722, '2020-06-27', 'BT', 'Bhutan', 'SEARO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (9723, '2020-06-28', 'BT', 'Bhutan', 'SEARO', '6', '76', '0', '0');
INSERT INTO public.who_import VALUES (9724, '2020-06-29', 'BT', 'Bhutan', 'SEARO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (9725, '2020-06-30', 'BT', 'Bhutan', 'SEARO', '1', '77', '0', '0');
INSERT INTO public.who_import VALUES (9726, '2020-07-01', 'BT', 'Bhutan', 'SEARO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (9727, '2020-07-02', 'BT', 'Bhutan', 'SEARO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (9728, '2020-07-03', 'BT', 'Bhutan', 'SEARO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (9729, '2020-07-04', 'BT', 'Bhutan', 'SEARO', '1', '78', '0', '0');
INSERT INTO public.who_import VALUES (9730, '2020-07-05', 'BT', 'Bhutan', 'SEARO', '0', '78', '0', '0');
INSERT INTO public.who_import VALUES (9731, '2020-07-06', 'BT', 'Bhutan', 'SEARO', '2', '80', '0', '0');
INSERT INTO public.who_import VALUES (9732, '2020-07-07', 'BT', 'Bhutan', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (9733, '2020-07-08', 'BT', 'Bhutan', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (9734, '2020-07-09', 'BT', 'Bhutan', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (9735, '2020-07-10', 'BT', 'Bhutan', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (9736, '2020-07-11', 'BT', 'Bhutan', 'SEARO', '2', '82', '0', '0');
INSERT INTO public.who_import VALUES (9737, '2020-07-12', 'BT', 'Bhutan', 'SEARO', '0', '82', '0', '0');
INSERT INTO public.who_import VALUES (9738, '2020-07-13', 'BT', 'Bhutan', 'SEARO', '2', '84', '0', '0');
INSERT INTO public.who_import VALUES (9739, '2020-07-14', 'BT', 'Bhutan', 'SEARO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (9740, '2020-07-15', 'BT', 'Bhutan', 'SEARO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (9741, '2020-07-16', 'BT', 'Bhutan', 'SEARO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (9742, '2020-07-17', 'BT', 'Bhutan', 'SEARO', '2', '86', '0', '0');
INSERT INTO public.who_import VALUES (9743, '2020-07-18', 'BT', 'Bhutan', 'SEARO', '1', '87', '0', '0');
INSERT INTO public.who_import VALUES (9744, '2020-07-19', 'BT', 'Bhutan', 'SEARO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (9745, '2020-07-20', 'BT', 'Bhutan', 'SEARO', '2', '89', '0', '0');
INSERT INTO public.who_import VALUES (9746, '2020-07-21', 'BT', 'Bhutan', 'SEARO', '1', '90', '0', '0');
INSERT INTO public.who_import VALUES (9747, '2020-07-22', 'BT', 'Bhutan', 'SEARO', '2', '92', '0', '0');
INSERT INTO public.who_import VALUES (9748, '2020-07-23', 'BT', 'Bhutan', 'SEARO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (9749, '2020-07-24', 'BT', 'Bhutan', 'SEARO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (9750, '2020-07-25', 'BT', 'Bhutan', 'SEARO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (9751, '2020-07-26', 'BT', 'Bhutan', 'SEARO', '1', '93', '0', '0');
INSERT INTO public.who_import VALUES (9752, '2020-07-27', 'BT', 'Bhutan', 'SEARO', '2', '95', '0', '0');
INSERT INTO public.who_import VALUES (9753, '2020-07-28', 'BT', 'Bhutan', 'SEARO', '4', '99', '0', '0');
INSERT INTO public.who_import VALUES (9754, '2020-07-29', 'BT', 'Bhutan', 'SEARO', '0', '99', '0', '0');
INSERT INTO public.who_import VALUES (9755, '2020-07-30', 'BT', 'Bhutan', 'SEARO', '2', '101', '0', '0');
INSERT INTO public.who_import VALUES (9756, '2020-07-31', 'BT', 'Bhutan', 'SEARO', '0', '101', '0', '0');
INSERT INTO public.who_import VALUES (9757, '2020-08-01', 'BT', 'Bhutan', 'SEARO', '0', '101', '0', '0');
INSERT INTO public.who_import VALUES (9758, '2020-08-02', 'BT', 'Bhutan', 'SEARO', '1', '102', '0', '0');
INSERT INTO public.who_import VALUES (9759, '2020-08-03', 'BT', 'Bhutan', 'SEARO', '1', '103', '0', '0');
INSERT INTO public.who_import VALUES (9760, '2020-08-04', 'BT', 'Bhutan', 'SEARO', '0', '103', '0', '0');
INSERT INTO public.who_import VALUES (9761, '2020-08-05', 'BT', 'Bhutan', 'SEARO', '2', '105', '0', '0');
INSERT INTO public.who_import VALUES (9762, '2020-08-06', 'BT', 'Bhutan', 'SEARO', '0', '105', '0', '0');
INSERT INTO public.who_import VALUES (9763, '2020-08-07', 'BT', 'Bhutan', 'SEARO', '3', '108', '0', '0');
INSERT INTO public.who_import VALUES (9764, '2020-08-08', 'BT', 'Bhutan', 'SEARO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (9765, '2020-08-09', 'BT', 'Bhutan', 'SEARO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (9766, '2020-08-10', 'BT', 'Bhutan', 'SEARO', '2', '110', '0', '0');
INSERT INTO public.who_import VALUES (9767, '2020-08-11', 'BT', 'Bhutan', 'SEARO', '3', '113', '0', '0');
INSERT INTO public.who_import VALUES (9768, '2020-08-12', 'BT', 'Bhutan', 'SEARO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (9769, '2020-08-13', 'BT', 'Bhutan', 'SEARO', '15', '128', '0', '0');
INSERT INTO public.who_import VALUES (9770, '2020-08-14', 'BT', 'Bhutan', 'SEARO', '3', '131', '0', '0');
INSERT INTO public.who_import VALUES (9771, '2020-08-15', 'BT', 'Bhutan', 'SEARO', '2', '133', '0', '0');
INSERT INTO public.who_import VALUES (9772, '2020-08-16', 'BT', 'Bhutan', 'SEARO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (9773, '2020-08-17', 'BT', 'Bhutan', 'SEARO', '8', '141', '0', '0');
INSERT INTO public.who_import VALUES (9774, '2020-08-18', 'BT', 'Bhutan', 'SEARO', '5', '146', '0', '0');
INSERT INTO public.who_import VALUES (9775, '2020-08-19', 'BT', 'Bhutan', 'SEARO', '1', '147', '0', '0');
INSERT INTO public.who_import VALUES (9776, '2020-08-20', 'BT', 'Bhutan', 'SEARO', '3', '150', '0', '0');
INSERT INTO public.who_import VALUES (9777, '2020-08-21', 'BT', 'Bhutan', 'SEARO', '3', '153', '0', '0');
INSERT INTO public.who_import VALUES (9778, '2020-08-22', 'BT', 'Bhutan', 'SEARO', '1', '154', '0', '0');
INSERT INTO public.who_import VALUES (9779, '2020-08-23', 'BT', 'Bhutan', 'SEARO', '1', '155', '0', '0');
INSERT INTO public.who_import VALUES (9780, '2020-08-24', 'BT', 'Bhutan', 'SEARO', '0', '155', '0', '0');
INSERT INTO public.who_import VALUES (9781, '2020-08-25', 'BT', 'Bhutan', 'SEARO', '1', '156', '0', '0');
INSERT INTO public.who_import VALUES (9782, '2020-08-26', 'BT', 'Bhutan', 'SEARO', '17', '173', '0', '0');
INSERT INTO public.who_import VALUES (9783, '2020-08-27', 'BT', 'Bhutan', 'SEARO', '10', '183', '0', '0');
INSERT INTO public.who_import VALUES (9784, '2020-08-28', 'BT', 'Bhutan', 'SEARO', '1', '184', '0', '0');
INSERT INTO public.who_import VALUES (9785, '2020-08-29', 'BT', 'Bhutan', 'SEARO', '11', '195', '0', '0');
INSERT INTO public.who_import VALUES (9786, '2020-08-30', 'BT', 'Bhutan', 'SEARO', '0', '195', '0', '0');
INSERT INTO public.who_import VALUES (9787, '2020-08-31', 'BT', 'Bhutan', 'SEARO', '29', '224', '0', '0');
INSERT INTO public.who_import VALUES (9788, '2020-09-01', 'BT', 'Bhutan', 'SEARO', '1', '225', '0', '0');
INSERT INTO public.who_import VALUES (9789, '2020-09-02', 'BT', 'Bhutan', 'SEARO', '2', '227', '0', '0');
INSERT INTO public.who_import VALUES (9790, '2020-09-03', 'BT', 'Bhutan', 'SEARO', '0', '227', '0', '0');
INSERT INTO public.who_import VALUES (9791, '2020-09-04', 'BT', 'Bhutan', 'SEARO', '0', '227', '0', '0');
INSERT INTO public.who_import VALUES (9792, '2020-09-05', 'BT', 'Bhutan', 'SEARO', '1', '228', '0', '0');
INSERT INTO public.who_import VALUES (9793, '2020-09-06', 'BT', 'Bhutan', 'SEARO', '0', '228', '0', '0');
INSERT INTO public.who_import VALUES (9794, '2020-09-07', 'BT', 'Bhutan', 'SEARO', '2', '230', '0', '0');
INSERT INTO public.who_import VALUES (9795, '2020-09-08', 'BT', 'Bhutan', 'SEARO', '3', '233', '0', '0');
INSERT INTO public.who_import VALUES (9796, '2020-09-09', 'BT', 'Bhutan', 'SEARO', '1', '234', '0', '0');
INSERT INTO public.who_import VALUES (9797, '2020-09-10', 'BT', 'Bhutan', 'SEARO', '0', '234', '0', '0');
INSERT INTO public.who_import VALUES (9798, '2020-09-11', 'BT', 'Bhutan', 'SEARO', '4', '238', '0', '0');
INSERT INTO public.who_import VALUES (9799, '2020-09-12', 'BT', 'Bhutan', 'SEARO', '3', '241', '0', '0');
INSERT INTO public.who_import VALUES (9800, '2020-09-13', 'BT', 'Bhutan', 'SEARO', '3', '244', '0', '0');
INSERT INTO public.who_import VALUES (9801, '2020-09-14', 'BT', 'Bhutan', 'SEARO', '1', '245', '0', '0');
INSERT INTO public.who_import VALUES (9802, '2020-09-15', 'BT', 'Bhutan', 'SEARO', '1', '246', '0', '0');
INSERT INTO public.who_import VALUES (9803, '2020-09-16', 'BT', 'Bhutan', 'SEARO', '0', '246', '0', '0');
INSERT INTO public.who_import VALUES (9804, '2020-09-17', 'BT', 'Bhutan', 'SEARO', '0', '246', '0', '0');
INSERT INTO public.who_import VALUES (9805, '2020-09-18', 'BT', 'Bhutan', 'SEARO', '6', '252', '0', '0');
INSERT INTO public.who_import VALUES (9806, '2020-09-19', 'BT', 'Bhutan', 'SEARO', '6', '258', '0', '0');
INSERT INTO public.who_import VALUES (9807, '2020-09-20', 'BT', 'Bhutan', 'SEARO', '1', '259', '0', '0');
INSERT INTO public.who_import VALUES (9808, '2020-09-21', 'BT', 'Bhutan', 'SEARO', '2', '261', '0', '0');
INSERT INTO public.who_import VALUES (9809, '2020-09-22', 'BT', 'Bhutan', 'SEARO', '0', '261', '0', '0');
INSERT INTO public.who_import VALUES (9810, '2020-09-23', 'BT', 'Bhutan', 'SEARO', '0', '261', '0', '0');
INSERT INTO public.who_import VALUES (9811, '2020-09-24', 'BT', 'Bhutan', 'SEARO', '0', '261', '0', '0');
INSERT INTO public.who_import VALUES (9812, '2020-09-25', 'BT', 'Bhutan', 'SEARO', '2', '263', '0', '0');
INSERT INTO public.who_import VALUES (9813, '2020-09-26', 'BT', 'Bhutan', 'SEARO', '0', '263', '0', '0');
INSERT INTO public.who_import VALUES (9814, '2020-09-27', 'BT', 'Bhutan', 'SEARO', '8', '271', '0', '0');
INSERT INTO public.who_import VALUES (9815, '2020-09-28', 'BT', 'Bhutan', 'SEARO', '2', '273', '0', '0');
INSERT INTO public.who_import VALUES (9816, '2020-09-29', 'BT', 'Bhutan', 'SEARO', '7', '280', '0', '0');
INSERT INTO public.who_import VALUES (9817, '2020-09-30', 'BT', 'Bhutan', 'SEARO', '1', '281', '0', '0');
INSERT INTO public.who_import VALUES (9818, '2020-10-01', 'BT', 'Bhutan', 'SEARO', '1', '282', '0', '0');
INSERT INTO public.who_import VALUES (9819, '2020-10-02', 'BT', 'Bhutan', 'SEARO', '0', '282', '0', '0');
INSERT INTO public.who_import VALUES (9820, '2020-10-03', 'BT', 'Bhutan', 'SEARO', '1', '283', '0', '0');
INSERT INTO public.who_import VALUES (9821, '2020-10-04', 'BT', 'Bhutan', 'SEARO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (9822, '2020-10-05', 'BT', 'Bhutan', 'SEARO', '15', '298', '0', '0');
INSERT INTO public.who_import VALUES (9823, '2020-10-06', 'BT', 'Bhutan', 'SEARO', '1', '299', '0', '0');
INSERT INTO public.who_import VALUES (9824, '2020-10-07', 'BT', 'Bhutan', 'SEARO', '1', '300', '0', '0');
INSERT INTO public.who_import VALUES (9825, '2020-10-08', 'BT', 'Bhutan', 'SEARO', '4', '304', '0', '0');
INSERT INTO public.who_import VALUES (9826, '2020-10-09', 'BT', 'Bhutan', 'SEARO', '0', '304', '0', '0');
INSERT INTO public.who_import VALUES (9827, '2020-10-10', 'BT', 'Bhutan', 'SEARO', '2', '306', '0', '0');
INSERT INTO public.who_import VALUES (9828, '2020-10-11', 'BT', 'Bhutan', 'SEARO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (9829, '2020-10-12', 'BT', 'Bhutan', 'SEARO', '3', '309', '0', '0');
INSERT INTO public.who_import VALUES (9830, '2020-10-13', 'BT', 'Bhutan', 'SEARO', '0', '309', '0', '0');
INSERT INTO public.who_import VALUES (9831, '2020-10-14', 'BT', 'Bhutan', 'SEARO', '4', '313', '0', '0');
INSERT INTO public.who_import VALUES (9832, '2020-10-15', 'BT', 'Bhutan', 'SEARO', '3', '316', '0', '0');
INSERT INTO public.who_import VALUES (9833, '2020-10-16', 'BT', 'Bhutan', 'SEARO', '0', '316', '0', '0');
INSERT INTO public.who_import VALUES (9834, '2020-10-17', 'BT', 'Bhutan', 'SEARO', '0', '316', '0', '0');
INSERT INTO public.who_import VALUES (9835, '2020-10-18', 'BT', 'Bhutan', 'SEARO', '9', '325', '0', '0');
INSERT INTO public.who_import VALUES (9836, '2020-10-19', 'BT', 'Bhutan', 'SEARO', '2', '327', '0', '0');
INSERT INTO public.who_import VALUES (9837, '2020-10-20', 'BT', 'Bhutan', 'SEARO', '3', '330', '0', '0');
INSERT INTO public.who_import VALUES (9838, '2020-10-21', 'BT', 'Bhutan', 'SEARO', '1', '331', '0', '0');
INSERT INTO public.who_import VALUES (9839, '2020-10-22', 'BT', 'Bhutan', 'SEARO', '1', '332', '0', '0');
INSERT INTO public.who_import VALUES (9840, '2020-10-23', 'BT', 'Bhutan', 'SEARO', '4', '336', '0', '0');
INSERT INTO public.who_import VALUES (9841, '2020-10-24', 'BT', 'Bhutan', 'SEARO', '0', '336', '0', '0');
INSERT INTO public.who_import VALUES (9842, '2020-10-25', 'BT', 'Bhutan', 'SEARO', '4', '340', '0', '0');
INSERT INTO public.who_import VALUES (9843, '2020-10-26', 'BT', 'Bhutan', 'SEARO', '2', '342', '0', '0');
INSERT INTO public.who_import VALUES (9844, '2020-10-27', 'BT', 'Bhutan', 'SEARO', '0', '342', '0', '0');
INSERT INTO public.who_import VALUES (9845, '2020-10-28', 'BT', 'Bhutan', 'SEARO', '3', '345', '0', '0');
INSERT INTO public.who_import VALUES (9846, '2020-10-29', 'BT', 'Bhutan', 'SEARO', '1', '346', '0', '0');
INSERT INTO public.who_import VALUES (9847, '2020-10-30', 'BT', 'Bhutan', 'SEARO', '0', '346', '0', '0');
INSERT INTO public.who_import VALUES (9848, '2020-10-31', 'BT', 'Bhutan', 'SEARO', '2', '348', '0', '0');
INSERT INTO public.who_import VALUES (9849, '2020-11-01', 'BT', 'Bhutan', 'SEARO', '1', '349', '0', '0');
INSERT INTO public.who_import VALUES (9850, '2020-11-02', 'BT', 'Bhutan', 'SEARO', '5', '354', '0', '0');
INSERT INTO public.who_import VALUES (9851, '2020-11-03', 'BT', 'Bhutan', 'SEARO', '2', '356', '0', '0');
INSERT INTO public.who_import VALUES (9852, '2020-11-04', 'BT', 'Bhutan', 'SEARO', '2', '358', '0', '0');
INSERT INTO public.who_import VALUES (9853, '2020-11-05', 'BT', 'Bhutan', 'SEARO', '0', '358', '0', '0');
INSERT INTO public.who_import VALUES (9854, '2020-11-06', 'BT', 'Bhutan', 'SEARO', '0', '358', '0', '0');
INSERT INTO public.who_import VALUES (9855, '2020-11-07', 'BT', 'Bhutan', 'SEARO', '0', '358', '0', '0');
INSERT INTO public.who_import VALUES (9856, '2020-11-08', 'BT', 'Bhutan', 'SEARO', '1', '359', '0', '0');
INSERT INTO public.who_import VALUES (9857, '2020-11-09', 'BT', 'Bhutan', 'SEARO', '0', '359', '0', '0');
INSERT INTO public.who_import VALUES (9858, '2020-11-10', 'BT', 'Bhutan', 'SEARO', '5', '364', '0', '0');
INSERT INTO public.who_import VALUES (9859, '2020-11-11', 'BT', 'Bhutan', 'SEARO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (9860, '2020-11-12', 'BT', 'Bhutan', 'SEARO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (9861, '2020-11-13', 'BT', 'Bhutan', 'SEARO', '5', '369', '0', '0');
INSERT INTO public.who_import VALUES (9862, '2020-11-14', 'BT', 'Bhutan', 'SEARO', '0', '369', '0', '0');
INSERT INTO public.who_import VALUES (9863, '2020-11-15', 'BT', 'Bhutan', 'SEARO', '6', '375', '0', '0');
INSERT INTO public.who_import VALUES (9864, '2020-11-16', 'BT', 'Bhutan', 'SEARO', '0', '375', '0', '0');
INSERT INTO public.who_import VALUES (9865, '2020-11-17', 'BT', 'Bhutan', 'SEARO', '2', '377', '0', '0');
INSERT INTO public.who_import VALUES (9866, '2020-11-18', 'BT', 'Bhutan', 'SEARO', '1', '378', '0', '0');
INSERT INTO public.who_import VALUES (9867, '2020-11-19', 'BT', 'Bhutan', 'SEARO', '0', '378', '0', '0');
INSERT INTO public.who_import VALUES (9868, '2020-11-20', 'BT', 'Bhutan', 'SEARO', '0', '378', '0', '0');
INSERT INTO public.who_import VALUES (9869, '2020-11-21', 'BT', 'Bhutan', 'SEARO', '0', '378', '0', '0');
INSERT INTO public.who_import VALUES (9870, '2020-11-22', 'BT', 'Bhutan', 'SEARO', '1', '379', '0', '0');
INSERT INTO public.who_import VALUES (9871, '2020-11-23', 'BT', 'Bhutan', 'SEARO', '3', '382', '0', '0');
INSERT INTO public.who_import VALUES (9872, '2020-11-24', 'BT', 'Bhutan', 'SEARO', '4', '386', '0', '0');
INSERT INTO public.who_import VALUES (9873, '2020-11-25', 'BT', 'Bhutan', 'SEARO', '0', '386', '0', '0');
INSERT INTO public.who_import VALUES (9874, '2020-11-26', 'BT', 'Bhutan', 'SEARO', '0', '386', '0', '0');
INSERT INTO public.who_import VALUES (9875, '2020-11-27', 'BT', 'Bhutan', 'SEARO', '3', '389', '0', '0');
INSERT INTO public.who_import VALUES (9876, '2020-11-28', 'BT', 'Bhutan', 'SEARO', '6', '395', '0', '0');
INSERT INTO public.who_import VALUES (9877, '2020-11-29', 'BT', 'Bhutan', 'SEARO', '1', '396', '0', '0');
INSERT INTO public.who_import VALUES (9878, '2020-11-30', 'BT', 'Bhutan', 'SEARO', '0', '396', '0', '0');
INSERT INTO public.who_import VALUES (9879, '2020-12-01', 'BT', 'Bhutan', 'SEARO', '14', '410', '0', '0');
INSERT INTO public.who_import VALUES (9880, '2020-12-02', 'BT', 'Bhutan', 'SEARO', '4', '414', '0', '0');
INSERT INTO public.who_import VALUES (9881, '2020-12-03', 'BT', 'Bhutan', 'SEARO', '1', '415', '0', '0');
INSERT INTO public.who_import VALUES (9882, '2020-12-04', 'BT', 'Bhutan', 'SEARO', '3', '418', '0', '0');
INSERT INTO public.who_import VALUES (9883, '2020-12-05', 'BT', 'Bhutan', 'SEARO', '6', '424', '0', '0');
INSERT INTO public.who_import VALUES (9884, '2020-12-06', 'BT', 'Bhutan', 'SEARO', '2', '426', '0', '0');
INSERT INTO public.who_import VALUES (9885, '2020-12-07', 'BT', 'Bhutan', 'SEARO', '4', '430', '0', '0');
INSERT INTO public.who_import VALUES (9886, '2020-12-08', 'BT', 'Bhutan', 'SEARO', '2', '432', '0', '0');
INSERT INTO public.who_import VALUES (9887, '2020-12-09', 'BT', 'Bhutan', 'SEARO', '1', '433', '0', '0');
INSERT INTO public.who_import VALUES (9888, '2020-12-10', 'BT', 'Bhutan', 'SEARO', '0', '433', '0', '0');
INSERT INTO public.who_import VALUES (9889, '2020-12-11', 'BT', 'Bhutan', 'SEARO', '1', '434', '0', '0');
INSERT INTO public.who_import VALUES (9890, '2020-12-12', 'BT', 'Bhutan', 'SEARO', '2', '436', '0', '0');
INSERT INTO public.who_import VALUES (9891, '2020-12-13', 'BT', 'Bhutan', 'SEARO', '1', '437', '0', '0');
INSERT INTO public.who_import VALUES (9892, '2020-12-14', 'BT', 'Bhutan', 'SEARO', '1', '438', '0', '0');
INSERT INTO public.who_import VALUES (9893, '2020-12-15', 'BT', 'Bhutan', 'SEARO', '0', '438', '0', '0');
INSERT INTO public.who_import VALUES (9894, '2020-12-16', 'BT', 'Bhutan', 'SEARO', '1', '439', '0', '0');
INSERT INTO public.who_import VALUES (9895, '2020-12-17', 'BT', 'Bhutan', 'SEARO', '1', '440', '0', '0');
INSERT INTO public.who_import VALUES (9896, '2020-12-18', 'BT', 'Bhutan', 'SEARO', '2', '442', '0', '0');
INSERT INTO public.who_import VALUES (9897, '2020-12-19', 'BT', 'Bhutan', 'SEARO', '1', '443', '0', '0');
INSERT INTO public.who_import VALUES (9898, '2020-12-20', 'BT', 'Bhutan', 'SEARO', '3', '446', '0', '0');
INSERT INTO public.who_import VALUES (9899, '2020-12-21', 'BT', 'Bhutan', 'SEARO', '21', '467', '0', '0');
INSERT INTO public.who_import VALUES (9900, '2020-12-22', 'BT', 'Bhutan', 'SEARO', '12', '479', '0', '0');
INSERT INTO public.who_import VALUES (9901, '2020-12-23', 'BT', 'Bhutan', 'SEARO', '3', '482', '0', '0');
INSERT INTO public.who_import VALUES (9902, '2020-12-24', 'BT', 'Bhutan', 'SEARO', '37', '519', '0', '0');
INSERT INTO public.who_import VALUES (9903, '2020-12-25', 'BT', 'Bhutan', 'SEARO', '22', '541', '0', '0');
INSERT INTO public.who_import VALUES (9904, '2020-12-26', 'BT', 'Bhutan', 'SEARO', '35', '576', '0', '0');
INSERT INTO public.who_import VALUES (9905, '2020-12-27', 'BT', 'Bhutan', 'SEARO', '21', '597', '0', '0');
INSERT INTO public.who_import VALUES (9906, '2020-12-28', 'BT', 'Bhutan', 'SEARO', '26', '623', '0', '0');
INSERT INTO public.who_import VALUES (9907, '2020-12-29', 'BT', 'Bhutan', 'SEARO', '0', '623', '0', '0');
INSERT INTO public.who_import VALUES (9908, '2020-12-30', 'BT', 'Bhutan', 'SEARO', '13', '636', '0', '0');
INSERT INTO public.who_import VALUES (9909, '2020-12-31', 'BT', 'Bhutan', 'SEARO', '19', '655', '0', '0');
INSERT INTO public.who_import VALUES (9910, '2021-01-01', 'BT', 'Bhutan', 'SEARO', '15', '670', '0', '0');
INSERT INTO public.who_import VALUES (9911, '2021-01-02', 'BT', 'Bhutan', 'SEARO', '19', '689', '0', '0');
INSERT INTO public.who_import VALUES (9912, '2021-01-03', 'BT', 'Bhutan', 'SEARO', '21', '710', '0', '0');
INSERT INTO public.who_import VALUES (9913, '2021-01-04', 'BT', 'Bhutan', 'SEARO', '6', '716', '0', '0');
INSERT INTO public.who_import VALUES (9914, '2021-01-05', 'BT', 'Bhutan', 'SEARO', '18', '734', '0', '0');
INSERT INTO public.who_import VALUES (9915, '2021-01-06', 'BT', 'Bhutan', 'SEARO', '0', '734', '0', '0');
INSERT INTO public.who_import VALUES (9916, '2021-01-07', 'BT', 'Bhutan', 'SEARO', '21', '755', '0', '0');
INSERT INTO public.who_import VALUES (9917, '2021-01-08', 'BT', 'Bhutan', 'SEARO', '12', '767', '0', '0');
INSERT INTO public.who_import VALUES (9918, '2021-01-09', 'BT', 'Bhutan', 'SEARO', '4', '771', '1', '1');
INSERT INTO public.who_import VALUES (9919, '2021-01-10', 'BT', 'Bhutan', 'SEARO', '39', '810', '0', '1');
INSERT INTO public.who_import VALUES (9920, '2021-01-11', 'BT', 'Bhutan', 'SEARO', '3', '813', '0', '1');
INSERT INTO public.who_import VALUES (9921, '2021-01-12', 'BT', 'Bhutan', 'SEARO', '12', '825', '0', '1');
INSERT INTO public.who_import VALUES (9922, '2021-01-13', 'BT', 'Bhutan', 'SEARO', '6', '831', '0', '1');
INSERT INTO public.who_import VALUES (9923, '2021-01-14', 'BT', 'Bhutan', 'SEARO', '2', '833', '0', '1');
INSERT INTO public.who_import VALUES (9924, '2021-01-15', 'BT', 'Bhutan', 'SEARO', '1', '834', '0', '1');
INSERT INTO public.who_import VALUES (9925, '2021-01-16', 'BT', 'Bhutan', 'SEARO', '3', '837', '0', '1');
INSERT INTO public.who_import VALUES (9926, '2021-01-17', 'BT', 'Bhutan', 'SEARO', '5', '842', '0', '1');
INSERT INTO public.who_import VALUES (9927, '2021-01-18', 'BT', 'Bhutan', 'SEARO', '0', '842', '0', '1');
INSERT INTO public.who_import VALUES (9928, '2021-01-19', 'BT', 'Bhutan', 'SEARO', '1', '843', '0', '1');
INSERT INTO public.who_import VALUES (9929, '2021-01-20', 'BT', 'Bhutan', 'SEARO', '5', '848', '0', '1');
INSERT INTO public.who_import VALUES (9930, '2021-01-21', 'BT', 'Bhutan', 'SEARO', '2', '850', '0', '1');
INSERT INTO public.who_import VALUES (9931, '2021-01-22', 'BT', 'Bhutan', 'SEARO', '1', '851', '0', '1');
INSERT INTO public.who_import VALUES (9932, '2021-01-23', 'BT', 'Bhutan', 'SEARO', '0', '851', '0', '1');
INSERT INTO public.who_import VALUES (9933, '2021-01-24', 'BT', 'Bhutan', 'SEARO', '3', '854', '0', '1');
INSERT INTO public.who_import VALUES (9934, '2021-01-25', 'BT', 'Bhutan', 'SEARO', '1', '855', '0', '1');
INSERT INTO public.who_import VALUES (9935, '2021-01-26', 'BT', 'Bhutan', 'SEARO', '1', '856', '0', '1');
INSERT INTO public.who_import VALUES (9936, '2021-01-27', 'BT', 'Bhutan', 'SEARO', '0', '856', '0', '1');
INSERT INTO public.who_import VALUES (9937, '2021-01-28', 'BT', 'Bhutan', 'SEARO', '0', '856', '0', '1');
INSERT INTO public.who_import VALUES (9938, '2021-01-29', 'BT', 'Bhutan', 'SEARO', '1', '857', '0', '1');
INSERT INTO public.who_import VALUES (9939, '2021-01-30', 'BT', 'Bhutan', 'SEARO', '1', '858', '0', '1');
INSERT INTO public.who_import VALUES (9940, '2021-01-31', 'BT', 'Bhutan', 'SEARO', '0', '858', '0', '1');
INSERT INTO public.who_import VALUES (9941, '2021-02-01', 'BT', 'Bhutan', 'SEARO', '1', '859', '0', '1');
INSERT INTO public.who_import VALUES (9942, '2021-02-02', 'BT', 'Bhutan', 'SEARO', '0', '859', '0', '1');
INSERT INTO public.who_import VALUES (9943, '2021-02-03', 'BT', 'Bhutan', 'SEARO', '0', '859', '0', '1');
INSERT INTO public.who_import VALUES (9944, '2021-02-04', 'BT', 'Bhutan', 'SEARO', '0', '859', '0', '1');
INSERT INTO public.who_import VALUES (9945, '2021-02-05', 'BT', 'Bhutan', 'SEARO', '0', '859', '0', '1');
INSERT INTO public.who_import VALUES (9946, '2021-02-06', 'BT', 'Bhutan', 'SEARO', '2', '861', '0', '1');
INSERT INTO public.who_import VALUES (9947, '2021-02-07', 'BT', 'Bhutan', 'SEARO', '0', '861', '0', '1');
INSERT INTO public.who_import VALUES (9948, '2021-02-08', 'BT', 'Bhutan', 'SEARO', '0', '861', '0', '1');
INSERT INTO public.who_import VALUES (9949, '2021-02-09', 'BT', 'Bhutan', 'SEARO', '0', '861', '0', '1');
INSERT INTO public.who_import VALUES (9950, '2021-02-10', 'BT', 'Bhutan', 'SEARO', '0', '861', '0', '1');
INSERT INTO public.who_import VALUES (9951, '2021-02-11', 'BT', 'Bhutan', 'SEARO', '0', '861', '0', '1');
INSERT INTO public.who_import VALUES (9952, '2021-02-12', 'BT', 'Bhutan', 'SEARO', '0', '861', '0', '1');
INSERT INTO public.who_import VALUES (9953, '2021-02-13', 'BT', 'Bhutan', 'SEARO', '2', '863', '0', '1');
INSERT INTO public.who_import VALUES (9954, '2021-02-14', 'BT', 'Bhutan', 'SEARO', '0', '863', '0', '1');
INSERT INTO public.who_import VALUES (9955, '2021-02-15', 'BT', 'Bhutan', 'SEARO', '1', '864', '0', '1');
INSERT INTO public.who_import VALUES (9956, '2021-02-16', 'BT', 'Bhutan', 'SEARO', '2', '866', '0', '1');
INSERT INTO public.who_import VALUES (9957, '2021-02-17', 'BT', 'Bhutan', 'SEARO', '0', '866', '0', '1');
INSERT INTO public.who_import VALUES (9958, '2021-02-18', 'BT', 'Bhutan', 'SEARO', '0', '866', '0', '1');
INSERT INTO public.who_import VALUES (9959, '2021-02-19', 'BT', 'Bhutan', 'SEARO', '0', '866', '0', '1');
INSERT INTO public.who_import VALUES (9960, '2021-02-20', 'BT', 'Bhutan', 'SEARO', '0', '866', '0', '1');
INSERT INTO public.who_import VALUES (9961, '2020-01-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9962, '2020-01-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9963, '2020-01-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9964, '2020-01-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9965, '2020-01-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9966, '2020-01-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9967, '2020-01-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9968, '2020-01-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9969, '2020-01-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9970, '2020-01-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9971, '2020-01-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9972, '2020-01-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9973, '2020-01-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9974, '2020-01-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9975, '2020-01-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9976, '2020-01-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9977, '2020-01-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9978, '2020-01-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9979, '2020-01-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9980, '2020-01-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9981, '2020-01-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9982, '2020-01-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9983, '2020-01-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9984, '2020-01-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9985, '2020-01-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9986, '2020-01-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9987, '2020-01-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9988, '2020-01-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9989, '2020-01-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9990, '2020-02-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9991, '2020-02-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9992, '2020-02-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9993, '2020-02-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9994, '2020-02-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9995, '2020-02-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9996, '2020-02-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9997, '2020-02-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9998, '2020-02-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (9999, '2020-02-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10000, '2020-02-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10001, '2020-02-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10002, '2020-02-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10003, '2020-02-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10004, '2020-02-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10005, '2020-02-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10006, '2020-02-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10007, '2020-02-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10008, '2020-02-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10009, '2020-02-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10010, '2020-02-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10011, '2020-02-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10012, '2020-02-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10013, '2020-02-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10014, '2020-02-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10015, '2020-02-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10016, '2020-02-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10017, '2020-02-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10018, '2020-02-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10019, '2020-03-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10020, '2020-03-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10021, '2020-03-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10022, '2020-03-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10023, '2020-03-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10024, '2020-03-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10025, '2020-03-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10026, '2020-03-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10027, '2020-03-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10028, '2020-03-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10029, '2020-03-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (10030, '2020-03-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (10031, '2020-03-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (10032, '2020-03-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (10033, '2020-03-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (10034, '2020-03-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '8', '15', '0', '0');
INSERT INTO public.who_import VALUES (10035, '2020-03-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (10036, '2020-03-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (10037, '2020-03-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '-1', '15', '0', '0');
INSERT INTO public.who_import VALUES (10038, '2020-03-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (10039, '2020-03-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (10040, '2020-03-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (10041, '2020-03-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (10042, '2020-03-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '4', '28', '0', '0');
INSERT INTO public.who_import VALUES (10043, '2020-03-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (10044, '2020-03-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '11', '39', '0', '0');
INSERT INTO public.who_import VALUES (10045, '2020-03-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (10046, '2020-03-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '22', '61', '0', '0');
INSERT INTO public.who_import VALUES (10047, '2020-03-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '13', '74', '0', '0');
INSERT INTO public.who_import VALUES (10048, '2020-03-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '74', '0', '0');
INSERT INTO public.who_import VALUES (10049, '2020-03-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '23', '97', '5', '5');
INSERT INTO public.who_import VALUES (10050, '2020-04-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '10', '107', '1', '6');
INSERT INTO public.who_import VALUES (10051, '2020-04-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '8', '115', '1', '7');
INSERT INTO public.who_import VALUES (10052, '2020-04-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '8', '123', '1', '8');
INSERT INTO public.who_import VALUES (10053, '2020-04-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '9', '132', '1', '9');
INSERT INTO public.who_import VALUES (10054, '2020-04-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '7', '139', '1', '10');
INSERT INTO public.who_import VALUES (10055, '2020-04-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '18', '157', '0', '10');
INSERT INTO public.who_import VALUES (10056, '2020-04-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '26', '183', '1', '11');
INSERT INTO public.who_import VALUES (10057, '2020-04-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '11', '194', '3', '14');
INSERT INTO public.who_import VALUES (10058, '2020-04-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '16', '210', '1', '15');
INSERT INTO public.who_import VALUES (10059, '2020-04-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '54', '264', '3', '18');
INSERT INTO public.who_import VALUES (10060, '2020-04-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '4', '268', '1', '19');
INSERT INTO public.who_import VALUES (10061, '2020-04-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '7', '275', '1', '20');
INSERT INTO public.who_import VALUES (10062, '2020-04-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '25', '300', '4', '24');
INSERT INTO public.who_import VALUES (10063, '2020-04-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '30', '330', '3', '27');
INSERT INTO public.who_import VALUES (10064, '2020-04-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '24', '354', '1', '28');
INSERT INTO public.who_import VALUES (10065, '2020-04-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '43', '397', '0', '28');
INSERT INTO public.who_import VALUES (10066, '2020-04-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '44', '441', '1', '29');
INSERT INTO public.who_import VALUES (10067, '2020-04-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '24', '465', '2', '31');
INSERT INTO public.who_import VALUES (10068, '2020-04-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '28', '493', '0', '31');
INSERT INTO public.who_import VALUES (10069, '2020-04-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '27', '520', '1', '32');
INSERT INTO public.who_import VALUES (10070, '2020-04-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '44', '564', '1', '33');
INSERT INTO public.who_import VALUES (10071, '2020-04-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '34', '598', '1', '34');
INSERT INTO public.who_import VALUES (10072, '2020-04-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '11', '609', '3', '37');
INSERT INTO public.who_import VALUES (10073, '2020-04-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '63', '672', '3', '40');
INSERT INTO public.who_import VALUES (10074, '2020-04-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '31', '703', '3', '43');
INSERT INTO public.who_import VALUES (10075, '2020-04-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '104', '807', '1', '44');
INSERT INTO public.who_import VALUES (10076, '2020-04-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '59', '866', '2', '46');
INSERT INTO public.who_import VALUES (10077, '2020-04-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '84', '950', '4', '50');
INSERT INTO public.who_import VALUES (10078, '2020-04-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '64', '1014', '3', '53');
INSERT INTO public.who_import VALUES (10079, '2020-04-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '39', '1053', '2', '55');
INSERT INTO public.who_import VALUES (10080, '2020-05-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '57', '1110', '4', '59');
INSERT INTO public.who_import VALUES (10081, '2020-05-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '57', '1167', '3', '62');
INSERT INTO public.who_import VALUES (10082, '2020-05-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '62', '1229', '4', '66');
INSERT INTO public.who_import VALUES (10083, '2020-05-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '241', '1470', '5', '71');
INSERT INTO public.who_import VALUES (10084, '2020-05-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '124', '1594', '5', '76');
INSERT INTO public.who_import VALUES (10085, '2020-05-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '87', '1681', '6', '82');
INSERT INTO public.who_import VALUES (10086, '2020-05-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '121', '1802', '4', '86');
INSERT INTO public.who_import VALUES (10087, '2020-05-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '84', '1886', '5', '91');
INSERT INTO public.who_import VALUES (10088, '2020-05-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '195', '2081', '11', '102');
INSERT INTO public.who_import VALUES (10089, '2020-05-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '185', '2266', '4', '106');
INSERT INTO public.who_import VALUES (10090, '2020-05-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '171', '2437', '8', '114');
INSERT INTO public.who_import VALUES (10091, '2020-05-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '119', '2556', '4', '118');
INSERT INTO public.who_import VALUES (10092, '2020-05-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '275', '2831', '4', '122');
INSERT INTO public.who_import VALUES (10093, '2020-05-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '133', '2964', '6', '128');
INSERT INTO public.who_import VALUES (10094, '2020-05-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '184', '3148', '14', '142');
INSERT INTO public.who_import VALUES (10095, '2020-05-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '224', '3372', '10', '152');
INSERT INTO public.who_import VALUES (10096, '2020-05-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '205', '3577', '12', '164');
INSERT INTO public.who_import VALUES (10097, '2020-05-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '249', '3826', '1', '165');
INSERT INTO public.who_import VALUES (10098, '2020-05-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '262', '4088', '4', '169');
INSERT INTO public.who_import VALUES (10099, '2020-05-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '175', '4263', '5', '174');
INSERT INTO public.who_import VALUES (10100, '2020-05-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '218', '4481', '15', '189');
INSERT INTO public.who_import VALUES (10101, '2020-05-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '438', '4919', '10', '199');
INSERT INTO public.who_import VALUES (10102, '2020-05-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '268', '5187', '16', '215');
INSERT INTO public.who_import VALUES (10103, '2020-05-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '392', '5579', '15', '230');
INSERT INTO public.who_import VALUES (10104, '2020-05-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '336', '5915', '10', '240');
INSERT INTO public.who_import VALUES (10105, '2020-05-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '348', '6263', '10', '250');
INSERT INTO public.who_import VALUES (10106, '2020-05-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '397', '6660', '11', '261');
INSERT INTO public.who_import VALUES (10107, '2020-05-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '476', '7136', '13', '274');
INSERT INTO public.who_import VALUES (10108, '2020-05-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '632', '7768', '6', '280');
INSERT INTO public.who_import VALUES (10109, '2020-05-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '619', '8387', '13', '293');
INSERT INTO public.who_import VALUES (10110, '2020-05-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '344', '8731', '7', '300');
INSERT INTO public.who_import VALUES (10111, '2020-06-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '861', '9592', '10', '310');
INSERT INTO public.who_import VALUES (10112, '2020-06-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '390', '9982', '3', '313');
INSERT INTO public.who_import VALUES (10435, '2020-03-02', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10113, '2020-06-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '549', '10531', '30', '343');
INSERT INTO public.who_import VALUES (10114, '2020-06-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '460', '10991', '33', '376');
INSERT INTO public.who_import VALUES (10115, '2020-06-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '647', '11638', '24', '400');
INSERT INTO public.who_import VALUES (10116, '2020-06-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '607', '12245', '15', '415');
INSERT INTO public.who_import VALUES (10117, '2020-06-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '483', '12728', '12', '427');
INSERT INTO public.who_import VALUES (10118, '2020-06-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '630', '13358', '27', '454');
INSERT INTO public.who_import VALUES (10119, '2020-06-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '285', '13643', '11', '465');
INSERT INTO public.who_import VALUES (10120, '2020-06-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '306', '13949', '10', '475');
INSERT INTO public.who_import VALUES (10121, '2020-06-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '695', '14644', '12', '487');
INSERT INTO public.who_import VALUES (10122, '2020-06-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '637', '15281', '25', '512');
INSERT INTO public.who_import VALUES (10123, '2020-06-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '884', '16165', '21', '533');
INSERT INTO public.who_import VALUES (10124, '2020-06-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '764', '16929', '26', '559');
INSERT INTO public.who_import VALUES (10125, '2020-06-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '913', '17842', '26', '585');
INSERT INTO public.who_import VALUES (10126, '2020-06-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '617', '18459', '26', '611');
INSERT INTO public.who_import VALUES (10127, '2020-06-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '614', '19073', '21', '632');
INSERT INTO public.who_import VALUES (10128, '2020-06-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '810', '19883', '27', '659');
INSERT INTO public.who_import VALUES (10129, '2020-06-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '802', '20685', '20', '679');
INSERT INTO public.who_import VALUES (10130, '2020-06-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '814', '21499', '18', '697');
INSERT INTO public.who_import VALUES (10131, '2020-06-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '977', '22476', '18', '715');
INSERT INTO public.who_import VALUES (10132, '2020-06-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1036', '23512', '25', '740');
INSERT INTO public.who_import VALUES (10133, '2020-06-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '876', '24388', '33', '773');
INSERT INTO public.who_import VALUES (10134, '2020-06-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1105', '25493', '47', '820');
INSERT INTO public.who_import VALUES (10135, '2020-06-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '896', '26389', '26', '846');
INSERT INTO public.who_import VALUES (10136, '2020-06-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1098', '27487', '30', '876');
INSERT INTO public.who_import VALUES (10137, '2020-06-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1016', '28503', '37', '913');
INSERT INTO public.who_import VALUES (10138, '2020-06-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '920', '29423', '21', '934');
INSERT INTO public.who_import VALUES (10139, '2020-06-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1253', '30676', '36', '970');
INSERT INTO public.who_import VALUES (10140, '2020-06-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '848', '31524', '44', '1014');
INSERT INTO public.who_import VALUES (10141, '2020-07-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '601', '32125', '57', '1071');
INSERT INTO public.who_import VALUES (10142, '2020-07-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1094', '33219', '52', '1123');
INSERT INTO public.who_import VALUES (10143, '2020-07-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1008', '34227', '78', '1201');
INSERT INTO public.who_import VALUES (10144, '2020-07-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1301', '35528', '70', '1271');
INSERT INTO public.who_import VALUES (10145, '2020-07-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1290', '36818', '49', '1320');
INSERT INTO public.who_import VALUES (10146, '2020-07-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1253', '38071', '58', '1378');
INSERT INTO public.who_import VALUES (10147, '2020-07-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1226', '39297', '56', '1434');
INSERT INTO public.who_import VALUES (10148, '2020-07-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1212', '40509', '42', '1476');
INSERT INTO public.who_import VALUES (10149, '2020-07-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1036', '41545', '54', '1530');
INSERT INTO public.who_import VALUES (10150, '2020-07-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1439', '42984', '47', '1577');
INSERT INTO public.who_import VALUES (10151, '2020-07-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1129', '44113', '61', '1638');
INSERT INTO public.who_import VALUES (10152, '2020-07-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1452', '45565', '64', '1702');
INSERT INTO public.who_import VALUES (10153, '2020-07-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1635', '47200', '52', '1754');
INSERT INTO public.who_import VALUES (10154, '2020-07-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '987', '48187', '53', '1807');
INSERT INTO public.who_import VALUES (10155, '2020-07-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1063', '49250', '59', '1866');
INSERT INTO public.who_import VALUES (10156, '2020-07-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1617', '50867', '32', '1898');
INSERT INTO public.who_import VALUES (10157, '2020-07-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1351', '52218', '44', '1942');
INSERT INTO public.who_import VALUES (10158, '2020-07-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1938', '54156', '42', '1984');
INSERT INTO public.who_import VALUES (10159, '2020-07-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1946', '56102', '65', '2049');
INSERT INTO public.who_import VALUES (10160, '2020-07-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2036', '58138', '57', '2106');
INSERT INTO public.who_import VALUES (10161, '2020-07-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1444', '59582', '45', '2151');
INSERT INTO public.who_import VALUES (10162, '2020-07-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1409', '60991', '67', '2218');
INSERT INTO public.who_import VALUES (10163, '2020-07-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1366', '62357', '55', '2273');
INSERT INTO public.who_import VALUES (10164, '2020-07-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1778', '64135', '55', '2328');
INSERT INTO public.who_import VALUES (10165, '2020-07-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1117', '65252', '79', '2407');
INSERT INTO public.who_import VALUES (10166, '2020-07-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1204', '66456', '66', '2473');
INSERT INTO public.who_import VALUES (10167, '2020-07-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1825', '68281', '62', '2535');
INSERT INTO public.who_import VALUES (10168, '2020-07-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1148', '69429', '48', '2583');
INSERT INTO public.who_import VALUES (10169, '2020-07-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1752', '71181', '64', '2647');
INSERT INTO public.who_import VALUES (10170, '2020-07-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1146', '72327', '73', '2720');
INSERT INTO public.who_import VALUES (10171, '2020-07-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1207', '73534', '88', '2808');
INSERT INTO public.who_import VALUES (10172, '2020-08-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1700', '75234', '86', '2894');
INSERT INTO public.who_import VALUES (10173, '2020-08-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1555', '76789', '83', '2977');
INSERT INTO public.who_import VALUES (10174, '2020-08-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2004', '78793', '87', '3064');
INSERT INTO public.who_import VALUES (10175, '2020-08-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1360', '80153', '89', '3153');
INSERT INTO public.who_import VALUES (10176, '2020-08-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1693', '81846', '75', '3228');
INSERT INTO public.who_import VALUES (10177, '2020-08-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1515', '83361', '92', '3320');
INSERT INTO public.who_import VALUES (10178, '2020-08-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1780', '85141', '65', '3385');
INSERT INTO public.who_import VALUES (10179, '2020-08-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1282', '86423', '80', '3465');
INSERT INTO public.who_import VALUES (10180, '2020-08-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1468', '87891', '59', '3524');
INSERT INTO public.who_import VALUES (10181, '2020-08-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1164', '89055', '63', '3587');
INSERT INTO public.who_import VALUES (10182, '2020-08-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '944', '89999', '53', '3640');
INSERT INTO public.who_import VALUES (10183, '2020-08-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1636', '91635', '72', '3712');
INSERT INTO public.who_import VALUES (10184, '2020-08-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1693', '93328', '49', '3761');
INSERT INTO public.who_import VALUES (10185, '2020-08-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1743', '95071', '66', '3827');
INSERT INTO public.who_import VALUES (10186, '2020-08-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1388', '96459', '57', '3884');
INSERT INTO public.who_import VALUES (10187, '2020-08-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1491', '97950', '55', '3939');
INSERT INTO public.who_import VALUES (10436, '2020-03-03', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10188, '2020-08-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1196', '99146', '64', '4003');
INSERT INTO public.who_import VALUES (10189, '2020-08-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1198', '100344', '45', '4048');
INSERT INTO public.who_import VALUES (10190, '2020-08-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '879', '101223', '75', '4123');
INSERT INTO public.who_import VALUES (10191, '2020-08-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1796', '103019', '49', '4172');
INSERT INTO public.who_import VALUES (10192, '2020-08-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2031', '105050', '61', '4233');
INSERT INTO public.who_import VALUES (10193, '2020-08-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1015', '106065', '72', '4305');
INSERT INTO public.who_import VALUES (10194, '2020-08-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1370', '107435', '61', '4366');
INSERT INTO public.who_import VALUES (10195, '2020-08-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '992', '108427', '76', '4442');
INSERT INTO public.who_import VALUES (10196, '2020-08-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '722', '109149', '67', '4509');
INSERT INTO public.who_import VALUES (10197, '2020-08-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '999', '110148', '69', '4578');
INSERT INTO public.who_import VALUES (10198, '2020-08-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '851', '110999', '86', '4664');
INSERT INTO public.who_import VALUES (10199, '2020-08-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1095', '112094', '62', '4726');
INSERT INTO public.who_import VALUES (10200, '2020-08-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1035', '113129', '65', '4791');
INSERT INTO public.who_import VALUES (10201, '2020-08-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1280', '114409', '55', '4846');
INSERT INTO public.who_import VALUES (10202, '2020-08-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '945', '115354', '92', '4938');
INSERT INTO public.who_import VALUES (10203, '2020-09-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '614', '115968', '28', '4966');
INSERT INTO public.who_import VALUES (10204, '2020-09-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '630', '116598', '61', '5027');
INSERT INTO public.who_import VALUES (10205, '2020-09-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '669', '117267', '74', '5101');
INSERT INTO public.who_import VALUES (10206, '2020-09-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '661', '117928', '102', '5203');
INSERT INTO public.who_import VALUES (10207, '2020-09-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '853', '118781', '85', '5288');
INSERT INTO public.who_import VALUES (10208, '2020-09-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '799', '119580', '55', '5343');
INSERT INTO public.who_import VALUES (10209, '2020-09-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '661', '120241', '55', '5398');
INSERT INTO public.who_import VALUES (10210, '2020-09-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '528', '120769', '1610', '7008');
INSERT INTO public.who_import VALUES (10211, '2020-09-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '835', '121604', '46', '7054');
INSERT INTO public.who_import VALUES (10212, '2020-09-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '704', '122308', '43', '7097');
INSERT INTO public.who_import VALUES (10213, '2020-09-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1037', '123345', '49', '7146');
INSERT INTO public.who_import VALUES (10214, '2020-09-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '860', '124205', '47', '7193');
INSERT INTO public.who_import VALUES (10215, '2020-09-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '967', '125172', '57', '7250');
INSERT INTO public.who_import VALUES (10216, '2020-09-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '810', '125982', '47', '7297');
INSERT INTO public.who_import VALUES (10217, '2020-09-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '809', '126791', '47', '7344');
INSERT INTO public.who_import VALUES (10218, '2020-09-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '828', '127619', '50', '7394');
INSERT INTO public.who_import VALUES (10219, '2020-09-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '667', '128286', '53', '7447');
INSERT INTO public.who_import VALUES (10220, '2020-09-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '586', '128872', '31', '7478');
INSERT INTO public.who_import VALUES (10221, '2020-09-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '547', '129419', '33', '7511');
INSERT INTO public.who_import VALUES (10222, '2020-09-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '632', '130051', '39', '7550');
INSERT INTO public.who_import VALUES (10223, '2020-09-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '419', '130470', '36', '7586');
INSERT INTO public.who_import VALUES (10224, '2020-09-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '206', '130676', '31', '7617');
INSERT INTO public.who_import VALUES (10225, '2020-09-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '310', '130986', '37', '7654');
INSERT INTO public.who_import VALUES (10226, '2020-09-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '467', '131453', '39', '7693');
INSERT INTO public.who_import VALUES (10227, '2020-09-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '537', '131990', '38', '7731');
INSERT INTO public.who_import VALUES (10228, '2020-09-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '628', '132618', '34', '7765');
INSERT INTO public.who_import VALUES (10229, '2020-09-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '604', '133222', '35', '7800');
INSERT INTO public.who_import VALUES (10230, '2020-09-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '370', '133592', '28', '7828');
INSERT INTO public.who_import VALUES (10231, '2020-09-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '309', '133901', '30', '7858');
INSERT INTO public.who_import VALUES (10232, '2020-09-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '322', '134223', '42', '7900');
INSERT INTO public.who_import VALUES (10233, '2020-10-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '418', '134641', '31', '7931');
INSERT INTO public.who_import VALUES (10234, '2020-10-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '670', '135311', '34', '7965');
INSERT INTO public.who_import VALUES (10235, '2020-10-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '405', '135716', '36', '8001');
INSERT INTO public.who_import VALUES (10236, '2020-10-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '503', '136219', '44', '8045');
INSERT INTO public.who_import VALUES (10237, '2020-10-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '350', '136569', '28', '8073');
INSERT INTO public.who_import VALUES (10238, '2020-10-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '299', '136868', '28', '8101');
INSERT INTO public.who_import VALUES (10239, '2020-10-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '239', '137107', '28', '8129');
INSERT INTO public.who_import VALUES (10240, '2020-10-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '361', '137468', '27', '8156');
INSERT INTO public.who_import VALUES (10241, '2020-10-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '238', '137706', '36', '8192');
INSERT INTO public.who_import VALUES (10242, '2020-10-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '263', '137969', '36', '8228');
INSERT INTO public.who_import VALUES (10243, '2020-10-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '257', '138226', '34', '8262');
INSERT INTO public.who_import VALUES (10244, '2020-10-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '237', '138463', '30', '8292');
INSERT INTO public.who_import VALUES (10245, '2020-10-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '111', '138574', '16', '8308');
INSERT INTO public.who_import VALUES (10246, '2020-10-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '121', '138695', '18', '8326');
INSERT INTO public.who_import VALUES (10247, '2020-10-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '227', '138922', '25', '8351');
INSERT INTO public.who_import VALUES (10248, '2020-10-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '219', '139141', '26', '8377');
INSERT INTO public.who_import VALUES (10249, '2020-10-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '178', '139319', '30', '8407');
INSERT INTO public.who_import VALUES (10250, '2020-10-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '243', '139562', '32', '8439');
INSERT INTO public.who_import VALUES (10251, '2020-10-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '148', '139710', '24', '8463');
INSERT INTO public.who_import VALUES (10252, '2020-10-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '61', '139771', '18', '8481');
INSERT INTO public.who_import VALUES (10253, '2020-10-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '119', '139890', '21', '8502');
INSERT INTO public.who_import VALUES (10254, '2020-10-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '147', '140037', '24', '8526');
INSERT INTO public.who_import VALUES (10255, '2020-10-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '191', '140228', '32', '8558');
INSERT INTO public.who_import VALUES (10256, '2020-10-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '217', '140445', '26', '8584');
INSERT INTO public.who_import VALUES (10257, '2020-10-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '167', '140612', '24', '8608');
INSERT INTO public.who_import VALUES (10258, '2020-10-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '167', '140779', '19', '8627');
INSERT INTO public.who_import VALUES (10259, '2020-10-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '74', '140853', '18', '8645');
INSERT INTO public.who_import VALUES (10260, '2020-10-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '99', '140952', '13', '8658');
INSERT INTO public.who_import VALUES (10261, '2020-10-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '172', '141124', '14', '8672');
INSERT INTO public.who_import VALUES (10262, '2020-10-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '197', '141321', '22', '8694');
INSERT INTO public.who_import VALUES (10437, '2020-03-04', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10263, '2020-10-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '163', '141484', '11', '8705');
INSERT INTO public.who_import VALUES (10264, '2020-11-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '147', '141631', '10', '8715');
INSERT INTO public.who_import VALUES (10265, '2020-11-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '126', '141757', '10', '8725');
INSERT INTO public.who_import VALUES (10266, '2020-11-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '76', '141833', '6', '8731');
INSERT INTO public.who_import VALUES (10267, '2020-11-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '34', '141867', '10', '8741');
INSERT INTO public.who_import VALUES (10268, '2020-11-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '69', '141936', '10', '8751');
INSERT INTO public.who_import VALUES (10269, '2020-11-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '126', '142062', '7', '8758');
INSERT INTO public.who_import VALUES (10270, '2020-11-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '139', '142201', '10', '8768');
INSERT INTO public.who_import VALUES (10271, '2020-11-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '142', '142343', '13', '8781');
INSERT INTO public.who_import VALUES (10272, '2020-11-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '84', '142427', '9', '8790');
INSERT INTO public.who_import VALUES (10273, '2020-11-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '48', '142475', '5', '8795');
INSERT INTO public.who_import VALUES (10274, '2020-11-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '86', '142561', '7', '8802');
INSERT INTO public.who_import VALUES (10275, '2020-11-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '103', '142664', '6', '8808');
INSERT INTO public.who_import VALUES (10276, '2020-11-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '112', '142776', '10', '8818');
INSERT INTO public.who_import VALUES (10277, '2020-11-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '113', '142889', '7', '8825');
INSERT INTO public.who_import VALUES (10278, '2020-11-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '180', '143069', '10', '8835');
INSERT INTO public.who_import VALUES (10279, '2020-11-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '112', '143181', '6', '8841');
INSERT INTO public.who_import VALUES (10280, '2020-11-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '65', '143246', '8', '8849');
INSERT INTO public.who_import VALUES (10281, '2020-11-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '125', '143371', '10', '8859');
INSERT INTO public.who_import VALUES (10282, '2020-11-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '102', '143473', '7', '8866');
INSERT INTO public.who_import VALUES (10283, '2020-11-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '96', '143569', '9', '8875');
INSERT INTO public.who_import VALUES (10284, '2020-11-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '187', '143756', '14', '8889');
INSERT INTO public.who_import VALUES (10285, '2020-11-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '98', '143854', '11', '8900');
INSERT INTO public.who_import VALUES (10286, '2020-11-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '68', '143922', '4', '8904');
INSERT INTO public.who_import VALUES (10287, '2020-11-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '56', '143978', '3', '8907');
INSERT INTO public.who_import VALUES (10288, '2020-11-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '56', '144034', '9', '8916');
INSERT INTO public.who_import VALUES (10289, '2020-11-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '113', '144147', '12', '8928');
INSERT INTO public.who_import VALUES (10290, '2020-11-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '129', '144276', '5', '8933');
INSERT INTO public.who_import VALUES (10291, '2020-11-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '114', '144390', '6', '8939');
INSERT INTO public.who_import VALUES (10292, '2020-11-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '104', '144494', '4', '8943');
INSERT INTO public.who_import VALUES (10293, '2020-11-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '98', '144592', '6', '8949');
INSERT INTO public.who_import VALUES (10294, '2020-12-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '30', '144622', '3', '8952');
INSERT INTO public.who_import VALUES (10295, '2020-12-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '86', '144708', '5', '8957');
INSERT INTO public.who_import VALUES (10296, '2020-12-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '102', '144810', '6', '8963');
INSERT INTO public.who_import VALUES (10297, '2020-12-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '184', '144994', '9', '8972');
INSERT INTO public.who_import VALUES (10298, '2020-12-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '192', '145186', '10', '8982');
INSERT INTO public.who_import VALUES (10299, '2020-12-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '139', '145325', '5', '8987');
INSERT INTO public.who_import VALUES (10300, '2020-12-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '167', '145492', '5', '8992');
INSERT INTO public.who_import VALUES (10301, '2020-12-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '68', '145560', '3', '8995');
INSERT INTO public.who_import VALUES (10302, '2020-12-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '97', '145657', '2', '8997');
INSERT INTO public.who_import VALUES (10303, '2020-12-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '189', '145846', '5', '9002');
INSERT INTO public.who_import VALUES (10304, '2020-12-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '214', '146060', '2', '9004');
INSERT INTO public.who_import VALUES (10305, '2020-12-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '325', '146385', '4', '9008');
INSERT INTO public.who_import VALUES (10306, '2020-12-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '312', '146697', '5', '9013');
INSERT INTO public.who_import VALUES (10307, '2020-12-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '333', '147030', '1', '9014');
INSERT INTO public.who_import VALUES (10308, '2020-12-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '120', '147150', '4', '9018');
INSERT INTO public.who_import VALUES (10309, '2020-12-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '195', '147345', '6', '9024');
INSERT INTO public.who_import VALUES (10310, '2020-12-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '371', '147716', '2', '9026');
INSERT INTO public.who_import VALUES (10311, '2020-12-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '498', '148214', '3', '9029');
INSERT INTO public.who_import VALUES (10312, '2020-12-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '451', '148665', '2', '9031');
INSERT INTO public.who_import VALUES (10313, '2020-12-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '484', '149149', '2', '9033');
INSERT INTO public.who_import VALUES (10314, '2020-12-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '621', '149770', '2', '9035');
INSERT INTO public.who_import VALUES (10315, '2020-12-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '253', '150023', '1', '9036');
INSERT INTO public.who_import VALUES (10316, '2020-12-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '362', '150385', '7', '9043');
INSERT INTO public.who_import VALUES (10317, '2020-12-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '674', '151059', '9', '9052');
INSERT INTO public.who_import VALUES (10318, '2020-12-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1005', '152064', '13', '9065');
INSERT INTO public.who_import VALUES (10319, '2020-12-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1057', '153121', '11', '9076');
INSERT INTO public.who_import VALUES (10320, '2020-12-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '469', '153590', '7', '9083');
INSERT INTO public.who_import VALUES (10321, '2020-12-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '759', '154349', '10', '9093');
INSERT INTO public.who_import VALUES (10322, '2020-12-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '494', '154843', '5', '9098');
INSERT INTO public.who_import VALUES (10323, '2020-12-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '751', '155594', '8', '9106');
INSERT INTO public.who_import VALUES (10324, '2020-12-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1293', '156887', '29', '9135');
INSERT INTO public.who_import VALUES (10325, '2021-01-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1485', '158372', '14', '9149');
INSERT INTO public.who_import VALUES (10326, '2021-01-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1752', '160124', '16', '9165');
INSERT INTO public.who_import VALUES (10327, '2021-01-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1931', '162055', '21', '9186');
INSERT INTO public.who_import VALUES (10328, '2021-01-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '0', '162055', '0', '9186');
INSERT INTO public.who_import VALUES (10329, '2021-01-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '606', '162661', '15', '9201');
INSERT INTO public.who_import VALUES (10330, '2021-01-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1010', '163671', '18', '9219');
INSERT INTO public.who_import VALUES (10331, '2021-01-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1597', '165268', '22', '9241');
INSERT INTO public.who_import VALUES (10332, '2021-01-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1713', '166981', '46', '9287');
INSERT INTO public.who_import VALUES (10333, '2021-01-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1910', '168891', '17', '9304');
INSERT INTO public.who_import VALUES (10334, '2021-01-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2263', '171154', '24', '9328');
INSERT INTO public.who_import VALUES (10335, '2021-01-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1644', '172798', '23', '9351');
INSERT INTO public.who_import VALUES (10336, '2021-01-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1098', '173896', '25', '9376');
INSERT INTO public.who_import VALUES (10337, '2021-01-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1392', '175288', '39', '9415');
INSERT INTO public.who_import VALUES (10438, '2020-03-05', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10338, '2021-01-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1473', '176761', '39', '9454');
INSERT INTO public.who_import VALUES (10339, '2021-01-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2057', '178818', '39', '9493');
INSERT INTO public.who_import VALUES (10340, '2021-01-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2198', '181016', '37', '9530');
INSERT INTO public.who_import VALUES (10341, '2021-01-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2573', '183589', '41', '9571');
INSERT INTO public.who_import VALUES (10342, '2021-01-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2091', '185680', '25', '9596');
INSERT INTO public.who_import VALUES (10343, '2021-01-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1503', '187183', '40', '9636');
INSERT INTO public.who_import VALUES (10344, '2021-01-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1550', '188733', '44', '9680');
INSERT INTO public.who_import VALUES (10345, '2021-01-21', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2357', '191090', '42', '9722');
INSERT INTO public.who_import VALUES (10346, '2021-01-22', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2655', '193745', '42', '9764');
INSERT INTO public.who_import VALUES (10347, '2021-01-23', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2648', '196393', '54', '9818');
INSERT INTO public.who_import VALUES (10348, '2021-01-24', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1864', '198257', '53', '9871');
INSERT INTO public.who_import VALUES (10349, '2021-01-25', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1732', '199989', '56', '9927');
INSERT INTO public.who_import VALUES (10350, '2021-01-26', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1048', '201037', '58', '9985');
INSERT INTO public.who_import VALUES (10351, '2021-01-27', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1781', '202818', '66', '10051');
INSERT INTO public.who_import VALUES (10352, '2021-01-28', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2390', '205208', '54', '10105');
INSERT INTO public.who_import VALUES (10353, '2021-01-29', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2866', '208074', '62', '10167');
INSERT INTO public.who_import VALUES (10354, '2021-01-30', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2652', '210726', '59', '10226');
INSERT INTO public.who_import VALUES (10355, '2021-01-31', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2666', '213392', '0', '10226');
INSERT INTO public.who_import VALUES (10356, '2021-02-01', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2005', '215397', '104', '10330');
INSERT INTO public.who_import VALUES (10357, '2021-02-02', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1438', '216835', '49', '10379');
INSERT INTO public.who_import VALUES (10358, '2021-02-03', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1464', '218299', '60', '10439');
INSERT INTO public.who_import VALUES (10359, '2021-02-04', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2127', '220426', '74', '10513');
INSERT INTO public.who_import VALUES (10360, '2021-02-05', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '2021', '222447', '58', '10571');
INSERT INTO public.who_import VALUES (10361, '2021-02-06', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1787', '224234', '62', '10633');
INSERT INTO public.who_import VALUES (10362, '2021-02-07', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1676', '225910', '54', '10687');
INSERT INTO public.who_import VALUES (10363, '2021-02-08', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1218', '227128', '66', '10753');
INSERT INTO public.who_import VALUES (10364, '2021-02-09', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '839', '227967', '43', '10796');
INSERT INTO public.who_import VALUES (10365, '2021-02-10', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1220', '229187', '68', '10864');
INSERT INTO public.who_import VALUES (10366, '2021-02-11', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1544', '230731', '65', '10929');
INSERT INTO public.who_import VALUES (10367, '2021-02-12', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1771', '232502', '67', '10996');
INSERT INTO public.who_import VALUES (10368, '2021-02-13', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1352', '233854', '48', '11044');
INSERT INTO public.who_import VALUES (10369, '2021-02-14', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1244', '235098', '63', '11107');
INSERT INTO public.who_import VALUES (10370, '2021-02-15', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '938', '236036', '48', '11155');
INSERT INTO public.who_import VALUES (10371, '2021-02-16', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '696', '236732', '47', '11202');
INSERT INTO public.who_import VALUES (10372, '2021-02-17', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '412', '237144', '32', '11234');
INSERT INTO public.who_import VALUES (10373, '2021-02-18', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '562', '237706', '40', '11274');
INSERT INTO public.who_import VALUES (10374, '2021-02-19', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '789', '238495', '29', '11303');
INSERT INTO public.who_import VALUES (10375, '2021-02-20', 'BO', 'Bolivia (Plurinational State of)', 'AMRO', '1029', '239524', '50', '11353');
INSERT INTO public.who_import VALUES (10376, '2020-01-03', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10377, '2020-01-04', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10378, '2020-01-05', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10379, '2020-01-06', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10380, '2020-01-07', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10381, '2020-01-08', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10382, '2020-01-09', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10383, '2020-01-10', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10384, '2020-01-11', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10385, '2020-01-12', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10386, '2020-01-13', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10387, '2020-01-14', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10388, '2020-01-15', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10389, '2020-01-16', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10390, '2020-01-17', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10391, '2020-01-18', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10392, '2020-01-19', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10393, '2020-01-20', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10394, '2020-01-21', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10395, '2020-01-22', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10396, '2020-01-23', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10397, '2020-01-24', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10398, '2020-01-25', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10399, '2020-01-26', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10400, '2020-01-27', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10401, '2020-01-28', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10402, '2020-01-29', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10403, '2020-01-30', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10404, '2020-01-31', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10405, '2020-02-01', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10406, '2020-02-02', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10407, '2020-02-03', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10408, '2020-02-04', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10409, '2020-02-05', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10410, '2020-02-06', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10411, '2020-02-07', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10412, '2020-02-08', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10413, '2020-02-09', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10414, '2020-02-10', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10415, '2020-02-11', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10416, '2020-02-12', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10417, '2020-02-13', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10418, '2020-02-14', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10419, '2020-02-15', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10420, '2020-02-16', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10421, '2020-02-17', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10422, '2020-02-18', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10423, '2020-02-19', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10424, '2020-02-20', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10425, '2020-02-21', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10426, '2020-02-22', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10427, '2020-02-23', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10428, '2020-02-24', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10429, '2020-02-25', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10430, '2020-02-26', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10431, '2020-02-27', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10432, '2020-02-28', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10433, '2020-02-29', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10434, '2020-03-01', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10439, '2020-03-06', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10440, '2020-03-07', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10441, '2020-03-08', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10442, '2020-03-09', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10443, '2020-03-10', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10444, '2020-03-11', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10445, '2020-03-12', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10446, '2020-03-13', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10447, '2020-03-14', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10448, '2020-03-15', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10449, '2020-03-16', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10450, '2020-03-17', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10451, '2020-03-18', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10452, '2020-03-19', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10453, '2020-03-20', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10454, '2020-03-21', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10455, '2020-03-22', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10456, '2020-03-23', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10457, '2020-03-24', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10458, '2020-03-25', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10459, '2020-03-26', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10460, '2020-03-27', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10461, '2020-03-28', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10462, '2020-03-29', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10463, '2020-03-30', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10464, '2020-03-31', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10465, '2020-04-01', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10466, '2020-04-02', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10467, '2020-04-03', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10468, '2020-04-04', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10469, '2020-04-05', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10470, '2020-04-06', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10471, '2020-04-07', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10472, '2020-04-08', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10473, '2020-04-09', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10474, '2020-04-10', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10475, '2020-04-11', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10476, '2020-04-12', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10477, '2020-04-13', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10478, '2020-04-14', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10479, '2020-04-15', 'XA', 'Bonaire', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10480, '2020-04-16', 'XA', 'Bonaire', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (10481, '2020-04-17', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10482, '2020-04-18', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10483, '2020-04-19', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10484, '2020-04-20', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10485, '2020-04-21', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10486, '2020-04-22', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10487, '2020-04-23', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10488, '2020-04-24', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10489, '2020-04-25', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10490, '2020-04-26', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10491, '2020-04-27', 'XA', 'Bonaire', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (10492, '2020-04-28', 'XA', 'Bonaire', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (10493, '2020-04-29', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10494, '2020-04-30', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10495, '2020-05-01', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10496, '2020-05-02', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10497, '2020-05-03', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10498, '2020-05-04', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10499, '2020-05-05', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10500, '2020-05-06', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10501, '2020-05-07', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10502, '2020-05-08', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10503, '2020-05-09', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10504, '2020-05-10', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10505, '2020-05-11', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10506, '2020-05-12', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10507, '2020-05-13', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10508, '2020-05-14', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10509, '2020-05-15', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10510, '2020-05-16', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10511, '2020-05-17', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10512, '2020-05-18', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10513, '2020-05-19', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10514, '2020-05-20', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10515, '2020-05-21', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10516, '2020-05-22', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10517, '2020-05-23', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10518, '2020-05-24', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10519, '2020-05-25', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10520, '2020-05-26', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10521, '2020-05-27', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10522, '2020-05-28', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10523, '2020-05-29', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10524, '2020-05-30', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10525, '2020-05-31', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10526, '2020-06-01', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10527, '2020-06-02', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10528, '2020-06-03', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10529, '2020-06-04', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10530, '2020-06-05', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10531, '2020-06-06', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10532, '2020-06-07', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10533, '2020-06-08', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10534, '2020-06-09', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10535, '2020-06-10', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10536, '2020-06-11', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10537, '2020-06-12', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10538, '2020-06-13', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10539, '2020-06-14', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10540, '2020-06-15', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10541, '2020-06-16', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10542, '2020-06-17', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10543, '2020-06-18', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10544, '2020-06-19', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10545, '2020-06-20', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10546, '2020-06-21', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10547, '2020-06-22', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10548, '2020-06-23', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10549, '2020-06-24', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10550, '2020-06-25', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10551, '2020-06-26', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10552, '2020-06-27', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10553, '2020-06-28', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10554, '2020-06-29', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10555, '2020-06-30', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10556, '2020-07-01', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10557, '2020-07-02', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10558, '2020-07-03', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10559, '2020-07-04', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10560, '2020-07-05', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10561, '2020-07-06', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10562, '2020-07-07', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10563, '2020-07-08', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10564, '2020-07-09', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10565, '2020-07-10', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10566, '2020-07-11', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10567, '2020-07-12', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10568, '2020-07-13', 'XA', 'Bonaire', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10569, '2020-07-14', 'XA', 'Bonaire', 'AMRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (10570, '2020-07-15', 'XA', 'Bonaire', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (10571, '2020-07-16', 'XA', 'Bonaire', 'AMRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (10572, '2020-07-17', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10573, '2020-07-18', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10574, '2020-07-19', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10575, '2020-07-20', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10576, '2020-07-21', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10577, '2020-07-22', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10578, '2020-07-23', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10579, '2020-07-24', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10580, '2020-07-25', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10581, '2020-07-26', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10582, '2020-07-27', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10583, '2020-07-28', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10584, '2020-07-29', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10585, '2020-07-30', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10586, '2020-07-31', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10587, '2020-08-01', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10588, '2020-08-02', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10589, '2020-08-03', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10590, '2020-08-04', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10591, '2020-08-05', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10592, '2020-08-06', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10593, '2020-08-07', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10594, '2020-08-08', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10595, '2020-08-09', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10596, '2020-08-10', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10597, '2020-08-11', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10598, '2020-08-12', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10599, '2020-08-13', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10600, '2020-08-14', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10601, '2020-08-15', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10602, '2020-08-16', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10603, '2020-08-17', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10604, '2020-08-18', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10605, '2020-08-19', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10606, '2020-08-20', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10607, '2020-08-21', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10608, '2020-08-22', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10609, '2020-08-23', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10610, '2020-08-24', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10611, '2020-08-25', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10612, '2020-08-26', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10613, '2020-08-27', 'XA', 'Bonaire', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10614, '2020-08-28', 'XA', 'Bonaire', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (10615, '2020-08-29', 'XA', 'Bonaire', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (10616, '2020-08-30', 'XA', 'Bonaire', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (10617, '2020-08-31', 'XA', 'Bonaire', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (10618, '2020-09-01', 'XA', 'Bonaire', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (10619, '2020-09-02', 'XA', 'Bonaire', 'AMRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (10620, '2020-09-03', 'XA', 'Bonaire', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (10621, '2020-09-04', 'XA', 'Bonaire', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (10622, '2020-09-05', 'XA', 'Bonaire', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (10623, '2020-09-06', 'XA', 'Bonaire', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (10624, '2020-09-07', 'XA', 'Bonaire', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (10625, '2020-09-08', 'XA', 'Bonaire', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (10626, '2020-09-09', 'XA', 'Bonaire', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (10627, '2020-09-10', 'XA', 'Bonaire', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (10628, '2020-09-11', 'XA', 'Bonaire', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (10629, '2020-09-12', 'XA', 'Bonaire', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (10630, '2020-09-13', 'XA', 'Bonaire', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (10631, '2020-09-14', 'XA', 'Bonaire', 'AMRO', '1', '11', '1', '1');
INSERT INTO public.who_import VALUES (10632, '2020-09-15', 'XA', 'Bonaire', 'AMRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (10633, '2020-09-16', 'XA', 'Bonaire', 'AMRO', '4', '16', '0', '1');
INSERT INTO public.who_import VALUES (10634, '2020-09-17', 'XA', 'Bonaire', 'AMRO', '4', '20', '0', '1');
INSERT INTO public.who_import VALUES (10635, '2020-09-18', 'XA', 'Bonaire', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (10636, '2020-09-19', 'XA', 'Bonaire', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (10637, '2020-09-20', 'XA', 'Bonaire', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (10638, '2020-09-21', 'XA', 'Bonaire', 'AMRO', '20', '40', '0', '1');
INSERT INTO public.who_import VALUES (10639, '2020-09-22', 'XA', 'Bonaire', 'AMRO', '7', '47', '0', '1');
INSERT INTO public.who_import VALUES (10640, '2020-09-23', 'XA', 'Bonaire', 'AMRO', '5', '52', '0', '1');
INSERT INTO public.who_import VALUES (10641, '2020-09-24', 'XA', 'Bonaire', 'AMRO', '8', '60', '0', '1');
INSERT INTO public.who_import VALUES (10642, '2020-09-25', 'XA', 'Bonaire', 'AMRO', '7', '67', '0', '1');
INSERT INTO public.who_import VALUES (10643, '2020-09-26', 'XA', 'Bonaire', 'AMRO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (10644, '2020-09-27', 'XA', 'Bonaire', 'AMRO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (10645, '2020-09-28', 'XA', 'Bonaire', 'AMRO', '21', '88', '0', '1');
INSERT INTO public.who_import VALUES (10646, '2020-09-29', 'XA', 'Bonaire', 'AMRO', '9', '97', '0', '1');
INSERT INTO public.who_import VALUES (10647, '2020-09-30', 'XA', 'Bonaire', 'AMRO', '1', '98', '0', '1');
INSERT INTO public.who_import VALUES (10648, '2020-10-01', 'XA', 'Bonaire', 'AMRO', '5', '103', '0', '1');
INSERT INTO public.who_import VALUES (10649, '2020-10-02', 'XA', 'Bonaire', 'AMRO', '0', '103', '0', '1');
INSERT INTO public.who_import VALUES (10650, '2020-10-03', 'XA', 'Bonaire', 'AMRO', '0', '103', '0', '1');
INSERT INTO public.who_import VALUES (10651, '2020-10-04', 'XA', 'Bonaire', 'AMRO', '0', '103', '0', '1');
INSERT INTO public.who_import VALUES (10652, '2020-10-05', 'XA', 'Bonaire', 'AMRO', '10', '113', '1', '2');
INSERT INTO public.who_import VALUES (10653, '2020-10-06', 'XA', 'Bonaire', 'AMRO', '10', '123', '0', '2');
INSERT INTO public.who_import VALUES (10654, '2020-10-07', 'XA', 'Bonaire', 'AMRO', '4', '127', '0', '2');
INSERT INTO public.who_import VALUES (10655, '2020-10-08', 'XA', 'Bonaire', 'AMRO', '2', '129', '0', '2');
INSERT INTO public.who_import VALUES (10656, '2020-10-09', 'XA', 'Bonaire', 'AMRO', '1', '130', '0', '2');
INSERT INTO public.who_import VALUES (10657, '2020-10-10', 'XA', 'Bonaire', 'AMRO', '0', '130', '0', '2');
INSERT INTO public.who_import VALUES (10658, '2020-10-11', 'XA', 'Bonaire', 'AMRO', '0', '130', '0', '2');
INSERT INTO public.who_import VALUES (10659, '2020-10-12', 'XA', 'Bonaire', 'AMRO', '1', '131', '0', '2');
INSERT INTO public.who_import VALUES (10660, '2020-10-13', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '2');
INSERT INTO public.who_import VALUES (10661, '2020-10-14', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '2');
INSERT INTO public.who_import VALUES (10662, '2020-10-15', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '2');
INSERT INTO public.who_import VALUES (10663, '2020-10-16', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '2');
INSERT INTO public.who_import VALUES (10664, '2020-10-17', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '2');
INSERT INTO public.who_import VALUES (10665, '2020-10-18', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '2');
INSERT INTO public.who_import VALUES (10666, '2020-10-19', 'XA', 'Bonaire', 'AMRO', '0', '131', '1', '3');
INSERT INTO public.who_import VALUES (10667, '2020-10-20', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10668, '2020-10-21', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10669, '2020-10-22', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10670, '2020-10-23', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10671, '2020-10-24', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10672, '2020-10-25', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10673, '2020-10-26', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10674, '2020-10-27', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10675, '2020-10-28', 'XA', 'Bonaire', 'AMRO', '0', '131', '0', '3');
INSERT INTO public.who_import VALUES (10676, '2020-10-29', 'XA', 'Bonaire', 'AMRO', '3', '134', '0', '3');
INSERT INTO public.who_import VALUES (10677, '2020-10-30', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10678, '2020-10-31', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10679, '2020-11-01', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10680, '2020-11-02', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10681, '2020-11-03', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10682, '2020-11-04', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10683, '2020-11-05', 'XA', 'Bonaire', 'AMRO', '0', '134', '0', '3');
INSERT INTO public.who_import VALUES (10684, '2020-11-06', 'XA', 'Bonaire', 'AMRO', '1', '135', '0', '3');
INSERT INTO public.who_import VALUES (10685, '2020-11-07', 'XA', 'Bonaire', 'AMRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (10686, '2020-11-08', 'XA', 'Bonaire', 'AMRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (10687, '2020-11-09', 'XA', 'Bonaire', 'AMRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (10688, '2020-11-10', 'XA', 'Bonaire', 'AMRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (10689, '2020-11-11', 'XA', 'Bonaire', 'AMRO', '0', '135', '0', '3');
INSERT INTO public.who_import VALUES (10690, '2020-11-12', 'XA', 'Bonaire', 'AMRO', '1', '136', '0', '3');
INSERT INTO public.who_import VALUES (10691, '2020-11-13', 'XA', 'Bonaire', 'AMRO', '0', '136', '0', '3');
INSERT INTO public.who_import VALUES (10692, '2020-11-14', 'XA', 'Bonaire', 'AMRO', '0', '136', '0', '3');
INSERT INTO public.who_import VALUES (10693, '2020-11-15', 'XA', 'Bonaire', 'AMRO', '0', '136', '0', '3');
INSERT INTO public.who_import VALUES (10694, '2020-11-16', 'XA', 'Bonaire', 'AMRO', '0', '136', '0', '3');
INSERT INTO public.who_import VALUES (10695, '2020-11-17', 'XA', 'Bonaire', 'AMRO', '2', '138', '0', '3');
INSERT INTO public.who_import VALUES (10696, '2020-11-18', 'XA', 'Bonaire', 'AMRO', '0', '138', '0', '3');
INSERT INTO public.who_import VALUES (10697, '2020-11-19', 'XA', 'Bonaire', 'AMRO', '1', '139', '0', '3');
INSERT INTO public.who_import VALUES (10698, '2020-11-20', 'XA', 'Bonaire', 'AMRO', '0', '139', '0', '3');
INSERT INTO public.who_import VALUES (10699, '2020-11-21', 'XA', 'Bonaire', 'AMRO', '0', '139', '0', '3');
INSERT INTO public.who_import VALUES (10700, '2020-11-22', 'XA', 'Bonaire', 'AMRO', '0', '139', '0', '3');
INSERT INTO public.who_import VALUES (10701, '2020-11-23', 'XA', 'Bonaire', 'AMRO', '0', '139', '0', '3');
INSERT INTO public.who_import VALUES (10702, '2020-11-24', 'XA', 'Bonaire', 'AMRO', '3', '142', '0', '3');
INSERT INTO public.who_import VALUES (10703, '2020-11-25', 'XA', 'Bonaire', 'AMRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (10704, '2020-11-26', 'XA', 'Bonaire', 'AMRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (10705, '2020-11-27', 'XA', 'Bonaire', 'AMRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (10706, '2020-11-28', 'XA', 'Bonaire', 'AMRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (10707, '2020-11-29', 'XA', 'Bonaire', 'AMRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (10708, '2020-11-30', 'XA', 'Bonaire', 'AMRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (10709, '2020-12-01', 'XA', 'Bonaire', 'AMRO', '1', '143', '0', '3');
INSERT INTO public.who_import VALUES (10710, '2020-12-02', 'XA', 'Bonaire', 'AMRO', '0', '143', '0', '3');
INSERT INTO public.who_import VALUES (10711, '2020-12-03', 'XA', 'Bonaire', 'AMRO', '1', '144', '0', '3');
INSERT INTO public.who_import VALUES (10712, '2020-12-04', 'XA', 'Bonaire', 'AMRO', '1', '145', '0', '3');
INSERT INTO public.who_import VALUES (10713, '2020-12-05', 'XA', 'Bonaire', 'AMRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (10714, '2020-12-06', 'XA', 'Bonaire', 'AMRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (10715, '2020-12-07', 'XA', 'Bonaire', 'AMRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (10716, '2020-12-08', 'XA', 'Bonaire', 'AMRO', '1', '146', '0', '3');
INSERT INTO public.who_import VALUES (10717, '2020-12-09', 'XA', 'Bonaire', 'AMRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (10718, '2020-12-10', 'XA', 'Bonaire', 'AMRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (10719, '2020-12-11', 'XA', 'Bonaire', 'AMRO', '3', '149', '0', '3');
INSERT INTO public.who_import VALUES (10720, '2020-12-12', 'XA', 'Bonaire', 'AMRO', '1', '150', '0', '3');
INSERT INTO public.who_import VALUES (10721, '2020-12-13', 'XA', 'Bonaire', 'AMRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (10722, '2020-12-14', 'XA', 'Bonaire', 'AMRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (10723, '2020-12-15', 'XA', 'Bonaire', 'AMRO', '4', '154', '0', '3');
INSERT INTO public.who_import VALUES (10724, '2020-12-16', 'XA', 'Bonaire', 'AMRO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (10725, '2020-12-17', 'XA', 'Bonaire', 'AMRO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (10726, '2020-12-18', 'XA', 'Bonaire', 'AMRO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (10727, '2020-12-19', 'XA', 'Bonaire', 'AMRO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (10728, '2020-12-20', 'XA', 'Bonaire', 'AMRO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (10729, '2020-12-21', 'XA', 'Bonaire', 'AMRO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (10730, '2020-12-22', 'XA', 'Bonaire', 'AMRO', '1', '155', '0', '3');
INSERT INTO public.who_import VALUES (10731, '2020-12-23', 'XA', 'Bonaire', 'AMRO', '0', '155', '0', '3');
INSERT INTO public.who_import VALUES (10732, '2020-12-24', 'XA', 'Bonaire', 'AMRO', '1', '156', '0', '3');
INSERT INTO public.who_import VALUES (10733, '2020-12-25', 'XA', 'Bonaire', 'AMRO', '2', '158', '0', '3');
INSERT INTO public.who_import VALUES (10734, '2020-12-26', 'XA', 'Bonaire', 'AMRO', '0', '158', '0', '3');
INSERT INTO public.who_import VALUES (10735, '2020-12-27', 'XA', 'Bonaire', 'AMRO', '0', '158', '0', '3');
INSERT INTO public.who_import VALUES (10736, '2020-12-28', 'XA', 'Bonaire', 'AMRO', '0', '158', '0', '3');
INSERT INTO public.who_import VALUES (10737, '2020-12-29', 'XA', 'Bonaire', 'AMRO', '1', '159', '0', '3');
INSERT INTO public.who_import VALUES (10738, '2020-12-30', 'XA', 'Bonaire', 'AMRO', '0', '159', '0', '3');
INSERT INTO public.who_import VALUES (10739, '2020-12-31', 'XA', 'Bonaire', 'AMRO', '3', '162', '0', '3');
INSERT INTO public.who_import VALUES (10740, '2021-01-01', 'XA', 'Bonaire', 'AMRO', '3', '165', '0', '3');
INSERT INTO public.who_import VALUES (10741, '2021-01-02', 'XA', 'Bonaire', 'AMRO', '0', '165', '0', '3');
INSERT INTO public.who_import VALUES (10742, '2021-01-03', 'XA', 'Bonaire', 'AMRO', '0', '165', '0', '3');
INSERT INTO public.who_import VALUES (10743, '2021-01-04', 'XA', 'Bonaire', 'AMRO', '0', '165', '0', '3');
INSERT INTO public.who_import VALUES (10744, '2021-01-05', 'XA', 'Bonaire', 'AMRO', '52', '217', '0', '3');
INSERT INTO public.who_import VALUES (10745, '2021-01-06', 'XA', 'Bonaire', 'AMRO', '8', '225', '0', '3');
INSERT INTO public.who_import VALUES (10746, '2021-01-07', 'XA', 'Bonaire', 'AMRO', '12', '237', '0', '3');
INSERT INTO public.who_import VALUES (10747, '2021-01-08', 'XA', 'Bonaire', 'AMRO', '12', '249', '0', '3');
INSERT INTO public.who_import VALUES (10748, '2021-01-09', 'XA', 'Bonaire', 'AMRO', '5', '254', '0', '3');
INSERT INTO public.who_import VALUES (10749, '2021-01-10', 'XA', 'Bonaire', 'AMRO', '0', '254', '0', '3');
INSERT INTO public.who_import VALUES (10750, '2021-01-11', 'XA', 'Bonaire', 'AMRO', '0', '254', '0', '3');
INSERT INTO public.who_import VALUES (10751, '2021-01-12', 'XA', 'Bonaire', 'AMRO', '31', '285', '0', '3');
INSERT INTO public.who_import VALUES (10752, '2021-01-13', 'XA', 'Bonaire', 'AMRO', '25', '310', '0', '3');
INSERT INTO public.who_import VALUES (10753, '2021-01-14', 'XA', 'Bonaire', 'AMRO', '5', '315', '0', '3');
INSERT INTO public.who_import VALUES (10754, '2021-01-15', 'XA', 'Bonaire', 'AMRO', '3', '318', '0', '3');
INSERT INTO public.who_import VALUES (10755, '2021-01-16', 'XA', 'Bonaire', 'AMRO', '11', '329', '0', '3');
INSERT INTO public.who_import VALUES (10756, '2021-01-17', 'XA', 'Bonaire', 'AMRO', '0', '329', '0', '3');
INSERT INTO public.who_import VALUES (10757, '2021-01-18', 'XA', 'Bonaire', 'AMRO', '0', '329', '0', '3');
INSERT INTO public.who_import VALUES (10758, '2021-01-19', 'XA', 'Bonaire', 'AMRO', '11', '340', '0', '3');
INSERT INTO public.who_import VALUES (10759, '2021-01-20', 'XA', 'Bonaire', 'AMRO', '6', '346', '0', '3');
INSERT INTO public.who_import VALUES (10760, '2021-01-21', 'XA', 'Bonaire', 'AMRO', '2', '348', '0', '3');
INSERT INTO public.who_import VALUES (10761, '2021-01-22', 'XA', 'Bonaire', 'AMRO', '1', '349', '0', '3');
INSERT INTO public.who_import VALUES (10762, '2021-01-23', 'XA', 'Bonaire', 'AMRO', '1', '350', '0', '3');
INSERT INTO public.who_import VALUES (10763, '2021-01-24', 'XA', 'Bonaire', 'AMRO', '0', '350', '0', '3');
INSERT INTO public.who_import VALUES (10764, '2021-01-25', 'XA', 'Bonaire', 'AMRO', '0', '350', '0', '3');
INSERT INTO public.who_import VALUES (10765, '2021-01-26', 'XA', 'Bonaire', 'AMRO', '4', '354', '0', '3');
INSERT INTO public.who_import VALUES (10766, '2021-01-27', 'XA', 'Bonaire', 'AMRO', '2', '356', '0', '3');
INSERT INTO public.who_import VALUES (10767, '2021-01-28', 'XA', 'Bonaire', 'AMRO', '4', '360', '0', '3');
INSERT INTO public.who_import VALUES (10768, '2021-01-29', 'XA', 'Bonaire', 'AMRO', '2', '362', '0', '3');
INSERT INTO public.who_import VALUES (10769, '2021-01-30', 'XA', 'Bonaire', 'AMRO', '0', '362', '0', '3');
INSERT INTO public.who_import VALUES (10770, '2021-01-31', 'XA', 'Bonaire', 'AMRO', '0', '362', '0', '3');
INSERT INTO public.who_import VALUES (10771, '2021-02-01', 'XA', 'Bonaire', 'AMRO', '0', '362', '0', '3');
INSERT INTO public.who_import VALUES (10772, '2021-02-02', 'XA', 'Bonaire', 'AMRO', '4', '366', '0', '3');
INSERT INTO public.who_import VALUES (10773, '2021-02-03', 'XA', 'Bonaire', 'AMRO', '0', '366', '0', '3');
INSERT INTO public.who_import VALUES (10774, '2021-02-04', 'XA', 'Bonaire', 'AMRO', '0', '366', '0', '3');
INSERT INTO public.who_import VALUES (10775, '2021-02-05', 'XA', 'Bonaire', 'AMRO', '0', '366', '0', '3');
INSERT INTO public.who_import VALUES (10776, '2021-02-06', 'XA', 'Bonaire', 'AMRO', '0', '366', '0', '3');
INSERT INTO public.who_import VALUES (10777, '2021-02-07', 'XA', 'Bonaire', 'AMRO', '0', '366', '0', '3');
INSERT INTO public.who_import VALUES (10778, '2021-02-08', 'XA', 'Bonaire', 'AMRO', '0', '366', '0', '3');
INSERT INTO public.who_import VALUES (10779, '2021-02-09', 'XA', 'Bonaire', 'AMRO', '2', '368', '0', '3');
INSERT INTO public.who_import VALUES (10780, '2021-02-10', 'XA', 'Bonaire', 'AMRO', '0', '368', '0', '3');
INSERT INTO public.who_import VALUES (10781, '2021-02-11', 'XA', 'Bonaire', 'AMRO', '0', '368', '1', '4');
INSERT INTO public.who_import VALUES (10782, '2021-02-12', 'XA', 'Bonaire', 'AMRO', '1', '369', '0', '4');
INSERT INTO public.who_import VALUES (10783, '2021-02-13', 'XA', 'Bonaire', 'AMRO', '3', '372', '0', '4');
INSERT INTO public.who_import VALUES (10784, '2021-02-14', 'XA', 'Bonaire', 'AMRO', '0', '372', '0', '4');
INSERT INTO public.who_import VALUES (10785, '2021-02-15', 'XA', 'Bonaire', 'AMRO', '0', '372', '0', '4');
INSERT INTO public.who_import VALUES (10786, '2021-02-16', 'XA', 'Bonaire', 'AMRO', '6', '378', '0', '4');
INSERT INTO public.who_import VALUES (10787, '2021-02-17', 'XA', 'Bonaire', 'AMRO', '0', '378', '0', '4');
INSERT INTO public.who_import VALUES (10788, '2021-02-18', 'XA', 'Bonaire', 'AMRO', '2', '380', '0', '4');
INSERT INTO public.who_import VALUES (10789, '2021-02-19', 'XA', 'Bonaire', 'AMRO', '1', '381', '0', '4');
INSERT INTO public.who_import VALUES (10790, '2021-02-20', 'XA', 'Bonaire', 'AMRO', '6', '387', '0', '4');
INSERT INTO public.who_import VALUES (10791, '2020-01-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10792, '2020-01-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10793, '2020-01-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10794, '2020-01-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10795, '2020-01-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10796, '2020-01-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10797, '2020-01-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10798, '2020-01-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10799, '2020-01-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10800, '2020-01-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10801, '2020-01-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10802, '2020-01-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10803, '2020-01-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10804, '2020-01-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10805, '2020-01-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10806, '2020-01-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10807, '2020-01-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10808, '2020-01-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10809, '2020-01-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10810, '2020-01-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10811, '2020-01-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10812, '2020-01-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10813, '2020-01-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10814, '2020-01-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10815, '2020-01-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10816, '2020-01-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10817, '2020-01-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10818, '2020-01-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10819, '2020-01-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10820, '2020-02-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10821, '2020-02-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10822, '2020-02-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10823, '2020-02-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10824, '2020-02-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10825, '2020-02-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10826, '2020-02-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10827, '2020-02-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10828, '2020-02-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10829, '2020-02-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10830, '2020-02-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10831, '2020-02-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10832, '2020-02-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10833, '2020-02-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10834, '2020-02-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10835, '2020-02-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10836, '2020-02-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10837, '2020-02-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10838, '2020-02-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10839, '2020-02-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10840, '2020-02-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10841, '2020-02-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10842, '2020-02-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10843, '2020-02-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10844, '2020-02-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10845, '2020-02-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10846, '2020-02-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10847, '2020-02-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10848, '2020-02-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10849, '2020-03-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10850, '2020-03-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10851, '2020-03-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10852, '2020-03-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10853, '2020-03-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (10854, '2020-03-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10855, '2020-03-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10856, '2020-03-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10857, '2020-03-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10858, '2020-03-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10859, '2020-03-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (10860, '2020-03-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (10861, '2020-03-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (10862, '2020-03-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '8', '13', '0', '0');
INSERT INTO public.who_import VALUES (10863, '2020-03-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (10864, '2020-03-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '5', '18', '0', '0');
INSERT INTO public.who_import VALUES (10865, '2020-03-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (10866, '2020-03-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '2', '21', '0', '0');
INSERT INTO public.who_import VALUES (10867, '2020-03-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '14', '35', '0', '0');
INSERT INTO public.who_import VALUES (10868, '2020-03-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '9', '44', '0', '0');
INSERT INTO public.who_import VALUES (10869, '2020-03-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '48', '92', '1', '1');
INSERT INTO public.who_import VALUES (10870, '2020-03-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '33', '125', '0', '1');
INSERT INTO public.who_import VALUES (10871, '2020-03-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '6', '131', '0', '1');
INSERT INTO public.who_import VALUES (10872, '2020-03-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '33', '164', '1', '2');
INSERT INTO public.who_import VALUES (10873, '2020-03-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '9', '173', '1', '3');
INSERT INTO public.who_import VALUES (10874, '2020-03-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '40', '213', '0', '3');
INSERT INTO public.who_import VALUES (10875, '2020-03-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '20', '233', '1', '4');
INSERT INTO public.who_import VALUES (10876, '2020-03-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '36', '269', '2', '6');
INSERT INTO public.who_import VALUES (10877, '2020-03-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '56', '325', '0', '6');
INSERT INTO public.who_import VALUES (10878, '2020-03-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '34', '359', '3', '9');
INSERT INTO public.who_import VALUES (10879, '2020-03-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '54', '413', '3', '12');
INSERT INTO public.who_import VALUES (10880, '2020-04-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '51', '464', '1', '13');
INSERT INTO public.who_import VALUES (10881, '2020-04-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '464', '0', '13');
INSERT INTO public.who_import VALUES (10882, '2020-04-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '57', '521', '3', '16');
INSERT INTO public.who_import VALUES (10883, '2020-04-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '65', '586', '2', '18');
INSERT INTO public.who_import VALUES (10884, '2020-04-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '46', '632', '3', '21');
INSERT INTO public.who_import VALUES (10885, '2020-04-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '30', '662', '0', '21');
INSERT INTO public.who_import VALUES (10886, '2020-04-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '33', '695', '7', '28');
INSERT INTO public.who_import VALUES (10887, '2020-04-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '86', '781', '4', '32');
INSERT INTO public.who_import VALUES (10888, '2020-04-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '35', '816', '3', '35');
INSERT INTO public.who_import VALUES (10889, '2020-04-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '59', '875', '1', '36');
INSERT INTO public.who_import VALUES (10890, '2020-04-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '26', '901', '1', '37');
INSERT INTO public.who_import VALUES (10891, '2020-04-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '47', '948', '0', '37');
INSERT INTO public.who_import VALUES (10892, '2020-04-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '59', '1007', '1', '38');
INSERT INTO public.who_import VALUES (10893, '2020-04-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '27', '1034', '0', '38');
INSERT INTO public.who_import VALUES (10894, '2020-04-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '52', '1086', '2', '40');
INSERT INTO public.who_import VALUES (10895, '2020-04-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '30', '1116', '1', '41');
INSERT INTO public.who_import VALUES (10896, '2020-04-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '53', '1169', '1', '42');
INSERT INTO public.who_import VALUES (10897, '2020-04-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '41', '1210', '2', '44');
INSERT INTO public.who_import VALUES (10898, '2020-04-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '58', '1268', '2', '46');
INSERT INTO public.who_import VALUES (10899, '2020-04-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '18', '1286', '0', '46');
INSERT INTO public.who_import VALUES (10900, '2020-04-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '14', '1300', '3', '49');
INSERT INTO public.who_import VALUES (10901, '2020-04-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '40', '1340', '1', '50');
INSERT INTO public.who_import VALUES (10902, '2020-04-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '27', '1367', '2', '52');
INSERT INTO public.who_import VALUES (10903, '2020-04-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '46', '1413', '1', '53');
INSERT INTO public.who_import VALUES (10904, '2020-04-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '15', '1428', '1', '54');
INSERT INTO public.who_import VALUES (10905, '2020-04-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '57', '1485', '2', '56');
INSERT INTO public.who_import VALUES (10906, '2020-04-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '31', '1516', '2', '58');
INSERT INTO public.who_import VALUES (10907, '2020-04-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '48', '1564', '2', '60');
INSERT INTO public.who_import VALUES (10908, '2020-04-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '24', '1588', '2', '62');
INSERT INTO public.who_import VALUES (10909, '2020-04-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '101', '1689', '2', '64');
INSERT INTO public.who_import VALUES (10910, '2020-05-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '93', '1782', '5', '69');
INSERT INTO public.who_import VALUES (10911, '2020-05-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '58', '1840', '2', '71');
INSERT INTO public.who_import VALUES (10912, '2020-05-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '1840', '0', '71');
INSERT INTO public.who_import VALUES (10913, '2020-05-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '17', '1857', '5', '76');
INSERT INTO public.who_import VALUES (10914, '2020-05-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '69', '1926', '1', '77');
INSERT INTO public.who_import VALUES (10915, '2020-05-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '42', '1968', '5', '82');
INSERT INTO public.who_import VALUES (10916, '2020-05-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '49', '2017', '5', '87');
INSERT INTO public.who_import VALUES (10917, '2020-05-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '10', '2027', '2', '89');
INSERT INTO public.who_import VALUES (10918, '2020-05-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '43', '2070', '8', '97');
INSERT INTO public.who_import VALUES (10919, '2020-05-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2070', '0', '97');
INSERT INTO public.who_import VALUES (10920, '2020-05-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '28', '2098', '6', '103');
INSERT INTO public.who_import VALUES (10921, '2020-05-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '44', '2142', '9', '112');
INSERT INTO public.who_import VALUES (10922, '2020-05-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '20', '2162', '4', '116');
INSERT INTO public.who_import VALUES (10923, '2020-05-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '19', '2181', '3', '119');
INSERT INTO public.who_import VALUES (10924, '2020-05-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '35', '2216', '4', '123');
INSERT INTO public.who_import VALUES (10925, '2020-05-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '21', '2237', '4', '127');
INSERT INTO public.who_import VALUES (10926, '2020-05-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '28', '2265', '4', '131');
INSERT INTO public.who_import VALUES (10927, '2020-05-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '24', '2289', '1', '132');
INSERT INTO public.who_import VALUES (10928, '2020-05-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '14', '2303', '0', '132');
INSERT INTO public.who_import VALUES (10929, '2020-05-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '16', '2319', '1', '133');
INSERT INTO public.who_import VALUES (10930, '2020-05-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '15', '2334', '2', '135');
INSERT INTO public.who_import VALUES (10931, '2020-05-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '18', '2352', '4', '139');
INSERT INTO public.who_import VALUES (10932, '2020-05-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '19', '2371', '1', '140');
INSERT INTO public.who_import VALUES (10933, '2020-05-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2371', '0', '140');
INSERT INTO public.who_import VALUES (10934, '2020-05-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '20', '2391', '1', '141');
INSERT INTO public.who_import VALUES (10935, '2020-05-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '14', '2405', '4', '145');
INSERT INTO public.who_import VALUES (10936, '2020-05-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '10', '2415', '4', '149');
INSERT INTO public.who_import VALUES (10937, '2020-05-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2415', '0', '149');
INSERT INTO public.who_import VALUES (10938, '2020-05-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '47', '2462', '3', '152');
INSERT INTO public.who_import VALUES (10939, '2020-05-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '22', '2484', '0', '152');
INSERT INTO public.who_import VALUES (10940, '2020-05-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '9', '2493', '0', '152');
INSERT INTO public.who_import VALUES (10941, '2020-06-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '16', '2509', '0', '152');
INSERT INTO public.who_import VALUES (10942, '2020-06-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '14', '2523', '1', '153');
INSERT INTO public.who_import VALUES (10943, '2020-06-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '11', '2534', '3', '156');
INSERT INTO public.who_import VALUES (10944, '2020-06-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '16', '2550', '0', '156');
INSERT INTO public.who_import VALUES (10945, '2020-06-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '43', '2593', '2', '158');
INSERT INTO public.who_import VALUES (10946, '2020-06-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '12', '2605', '0', '158');
INSERT INTO public.who_import VALUES (10947, '2020-06-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '40', '2645', '0', '158');
INSERT INTO public.who_import VALUES (10948, '2020-06-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '28', '2673', '1', '159');
INSERT INTO public.who_import VALUES (10949, '2020-06-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '30', '2703', '0', '159');
INSERT INTO public.who_import VALUES (10950, '2020-06-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '24', '2727', '0', '159');
INSERT INTO public.who_import VALUES (10951, '2020-06-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '49', '2776', '1', '160');
INSERT INTO public.who_import VALUES (10952, '2020-06-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '55', '2831', '0', '160');
INSERT INTO public.who_import VALUES (10953, '2020-06-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '61', '2892', '2', '162');
INSERT INTO public.who_import VALUES (10954, '2020-06-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '2892', '0', '162');
INSERT INTO public.who_import VALUES (10955, '2020-06-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '109', '3001', '1', '163');
INSERT INTO public.who_import VALUES (10956, '2020-06-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '38', '3039', '1', '164');
INSERT INTO public.who_import VALUES (10957, '2020-06-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '45', '3084', '3', '167');
INSERT INTO public.who_import VALUES (10958, '2020-06-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '60', '3144', '0', '167');
INSERT INTO public.who_import VALUES (10959, '2020-06-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '58', '3202', '0', '167');
INSERT INTO public.who_import VALUES (10960, '2020-06-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '86', '3288', '1', '168');
INSERT INTO public.who_import VALUES (10961, '2020-06-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '66', '3354', '1', '169');
INSERT INTO public.who_import VALUES (10962, '2020-06-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '77', '3431', '0', '169');
INSERT INTO public.who_import VALUES (10963, '2020-06-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '93', '3524', '1', '170');
INSERT INTO public.who_import VALUES (10964, '2020-06-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '63', '3587', '1', '171');
INSERT INTO public.who_import VALUES (10965, '2020-06-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '88', '3675', '1', '172');
INSERT INTO public.who_import VALUES (10966, '2020-06-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '119', '3794', '2', '174');
INSERT INTO public.who_import VALUES (11229, '2020-01-26', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (10967, '2020-06-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '140', '3934', '3', '177');
INSERT INTO public.who_import VALUES (10968, '2020-06-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '173', '4107', '2', '179');
INSERT INTO public.who_import VALUES (10969, '2020-06-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '108', '4215', '3', '182');
INSERT INTO public.who_import VALUES (10970, '2020-06-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '128', '4343', '1', '183');
INSERT INTO public.who_import VALUES (10971, '2020-07-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '110', '4453', '2', '185');
INSERT INTO public.who_import VALUES (10972, '2020-07-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '153', '4606', '2', '187');
INSERT INTO public.who_import VALUES (10973, '2020-07-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '182', '4788', '1', '188');
INSERT INTO public.who_import VALUES (10974, '2020-07-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '172', '4960', '2', '190');
INSERT INTO public.who_import VALUES (10975, '2020-07-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '289', '5249', '0', '190');
INSERT INTO public.who_import VALUES (10976, '2020-07-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '144', '5393', '3', '193');
INSERT INTO public.who_import VALUES (10977, '2020-07-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '64', '5457', '3', '196');
INSERT INTO public.who_import VALUES (10978, '2020-07-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '161', '5618', '10', '206');
INSERT INTO public.who_import VALUES (10979, '2020-07-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '250', '5868', '1', '207');
INSERT INTO public.who_import VALUES (10980, '2020-07-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '219', '6087', '6', '213');
INSERT INTO public.who_import VALUES (10981, '2020-07-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '315', '6402', '2', '215');
INSERT INTO public.who_import VALUES (10982, '2020-07-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '318', '6720', '3', '218');
INSERT INTO public.who_import VALUES (10983, '2020-07-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '164', '6884', '2', '220');
INSERT INTO public.who_import VALUES (10984, '2020-07-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '95', '6979', '4', '224');
INSERT INTO public.who_import VALUES (10985, '2020-07-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '197', '7176', '5', '229');
INSERT INTO public.who_import VALUES (10986, '2020-07-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '231', '7407', '4', '233');
INSERT INTO public.who_import VALUES (10987, '2020-07-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '274', '7681', '6', '239');
INSERT INTO public.who_import VALUES (10988, '2020-07-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '227', '7908', '4', '243');
INSERT INTO public.who_import VALUES (10989, '2020-07-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '256', '8164', '2', '245');
INSERT INTO public.who_import VALUES (10990, '2020-07-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '288', '8452', '5', '250');
INSERT INTO public.who_import VALUES (10991, '2020-07-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '139', '8591', '6', '256');
INSERT INTO public.who_import VALUES (10992, '2020-07-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '195', '8786', '5', '261');
INSERT INTO public.who_import VALUES (10993, '2020-07-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '330', '9116', '6', '267');
INSERT INTO public.who_import VALUES (10994, '2020-07-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '344', '9460', '5', '272');
INSERT INTO public.who_import VALUES (10995, '2020-07-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '304', '9764', '6', '278');
INSERT INTO public.who_import VALUES (10996, '2020-07-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '305', '10069', '5', '283');
INSERT INTO public.who_import VALUES (10997, '2020-07-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '263', '10332', '2', '285');
INSERT INTO public.who_import VALUES (10998, '2020-07-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '183', '10515', '7', '292');
INSERT INTO public.who_import VALUES (10999, '2020-07-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '232', '10747', '3', '295');
INSERT INTO public.who_import VALUES (11000, '2020-07-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '382', '11129', '17', '312');
INSERT INTO public.who_import VALUES (11001, '2020-07-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '313', '11442', '12', '324');
INSERT INTO public.who_import VALUES (11002, '2020-08-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '11442', '0', '324');
INSERT INTO public.who_import VALUES (11003, '2020-08-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '666', '12108', '19', '343');
INSERT INTO public.who_import VALUES (11004, '2020-08-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '188', '12296', '4', '347');
INSERT INTO public.who_import VALUES (11005, '2020-08-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '181', '12477', '11', '358');
INSERT INTO public.who_import VALUES (11006, '2020-08-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '381', '12858', '10', '368');
INSERT INTO public.who_import VALUES (11007, '2020-08-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '288', '13146', '6', '374');
INSERT INTO public.who_import VALUES (11008, '2020-08-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '251', '13397', '5', '379');
INSERT INTO public.who_import VALUES (11009, '2020-08-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '287', '13684', '9', '388');
INSERT INTO public.who_import VALUES (11010, '2020-08-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '405', '14089', '8', '396');
INSERT INTO public.who_import VALUES (11011, '2020-08-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '236', '14325', '6', '402');
INSERT INTO public.who_import VALUES (11012, '2020-08-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '173', '14498', '18', '420');
INSERT INTO public.who_import VALUES (11013, '2020-08-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '208', '14706', '22', '442');
INSERT INTO public.who_import VALUES (11014, '2020-08-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '254', '14960', '6', '448');
INSERT INTO public.who_import VALUES (11015, '2020-08-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '227', '15187', '5', '453');
INSERT INTO public.who_import VALUES (11016, '2020-08-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '347', '15534', '11', '464');
INSERT INTO public.who_import VALUES (11017, '2020-08-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '268', '15802', '2', '466');
INSERT INTO public.who_import VALUES (11018, '2020-08-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '233', '16035', '9', '475');
INSERT INTO public.who_import VALUES (11019, '2020-08-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '102', '16137', '6', '481');
INSERT INTO public.who_import VALUES (11020, '2020-08-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '210', '16347', '9', '490');
INSERT INTO public.who_import VALUES (11021, '2020-08-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '344', '16691', '12', '502');
INSERT INTO public.who_import VALUES (11022, '2020-08-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '335', '17026', '8', '510');
INSERT INTO public.who_import VALUES (11023, '2020-08-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '366', '17392', '10', '520');
INSERT INTO public.who_import VALUES (11024, '2020-08-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '320', '17712', '6', '526');
INSERT INTO public.who_import VALUES (11025, '2020-08-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '188', '17900', '3', '529');
INSERT INTO public.who_import VALUES (11026, '2020-08-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '127', '18027', '11', '540');
INSERT INTO public.who_import VALUES (11027, '2020-08-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '297', '18324', '14', '554');
INSERT INTO public.who_import VALUES (11028, '2020-08-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '284', '18608', '11', '565');
INSERT INTO public.who_import VALUES (11029, '2020-08-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '310', '18918', '11', '576');
INSERT INTO public.who_import VALUES (11030, '2020-08-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '294', '19212', '9', '585');
INSERT INTO public.who_import VALUES (11031, '2020-08-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '334', '19546', '3', '588');
INSERT INTO public.who_import VALUES (11032, '2020-08-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '243', '19789', '4', '592');
INSERT INTO public.who_import VALUES (11033, '2020-09-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '231', '20020', '11', '603');
INSERT INTO public.who_import VALUES (11034, '2020-09-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '271', '20291', '11', '614');
INSERT INTO public.who_import VALUES (11035, '2020-09-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '283', '20574', '7', '621');
INSERT INTO public.who_import VALUES (11036, '2020-09-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '287', '20861', '9', '630');
INSERT INTO public.who_import VALUES (11037, '2020-09-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '337', '21198', '2', '632');
INSERT INTO public.who_import VALUES (11038, '2020-09-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '236', '21434', '12', '644');
INSERT INTO public.who_import VALUES (11039, '2020-09-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '122', '21556', '4', '648');
INSERT INTO public.who_import VALUES (11040, '2020-09-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '100', '21656', '9', '657');
INSERT INTO public.who_import VALUES (11041, '2020-09-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '303', '21959', '5', '662');
INSERT INTO public.who_import VALUES (11042, '2020-09-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '295', '22254', '6', '668');
INSERT INTO public.who_import VALUES (11043, '2020-09-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '285', '22539', '5', '673');
INSERT INTO public.who_import VALUES (11044, '2020-09-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '290', '22829', '6', '679');
INSERT INTO public.who_import VALUES (11045, '2020-09-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '305', '23134', '4', '683');
INSERT INTO public.who_import VALUES (11046, '2020-09-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '328', '23462', '6', '689');
INSERT INTO public.who_import VALUES (11047, '2020-09-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '168', '23630', '9', '698');
INSERT INTO public.who_import VALUES (11048, '2020-09-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '294', '23924', '20', '718');
INSERT INTO public.who_import VALUES (11049, '2020-09-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '282', '24206', '11', '729');
INSERT INTO public.who_import VALUES (11050, '2020-09-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '394', '24600', '12', '741');
INSERT INTO public.who_import VALUES (11051, '2020-09-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '292', '24892', '5', '746');
INSERT INTO public.who_import VALUES (11052, '2020-09-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '320', '25212', '6', '752');
INSERT INTO public.who_import VALUES (11053, '2020-09-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '212', '25424', '5', '757');
INSERT INTO public.who_import VALUES (11054, '2020-09-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '92', '25516', '6', '763');
INSERT INTO public.who_import VALUES (11230, '2020-01-27', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11055, '2020-09-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '216', '25732', '8', '771');
INSERT INTO public.who_import VALUES (11056, '2020-09-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '344', '26076', '12', '783');
INSERT INTO public.who_import VALUES (11057, '2020-09-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '237', '26313', '12', '795');
INSERT INTO public.who_import VALUES (11058, '2020-09-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '247', '26560', '6', '801');
INSERT INTO public.who_import VALUES (11059, '2020-09-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '235', '26795', '7', '808');
INSERT INTO public.who_import VALUES (11060, '2020-09-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '122', '26917', '2', '810');
INSERT INTO public.who_import VALUES (11061, '2020-09-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '80', '26997', '12', '822');
INSERT INTO public.who_import VALUES (11062, '2020-09-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '225', '27222', '14', '836');
INSERT INTO public.who_import VALUES (11063, '2020-10-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '243', '27465', '13', '849');
INSERT INTO public.who_import VALUES (11064, '2020-10-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '280', '27745', '5', '854');
INSERT INTO public.who_import VALUES (11065, '2020-10-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '226', '27971', '10', '864');
INSERT INTO public.who_import VALUES (11066, '2020-10-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '263', '28234', '6', '870');
INSERT INTO public.who_import VALUES (11067, '2020-10-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '68', '28302', '2', '872');
INSERT INTO public.who_import VALUES (11068, '2020-10-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '144', '28446', '9', '881');
INSERT INTO public.who_import VALUES (11069, '2020-10-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '261', '28707', '15', '896');
INSERT INTO public.who_import VALUES (11070, '2020-10-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '364', '29071', '5', '901');
INSERT INTO public.who_import VALUES (11071, '2020-10-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '454', '29525', '5', '906');
INSERT INTO public.who_import VALUES (11072, '2020-10-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '390', '29915', '13', '919');
INSERT INTO public.who_import VALUES (11073, '2020-10-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '428', '30343', '1', '920');
INSERT INTO public.who_import VALUES (11074, '2020-10-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '302', '30645', '1', '921');
INSERT INTO public.who_import VALUES (11075, '2020-10-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '189', '30834', '9', '930');
INSERT INTO public.who_import VALUES (11076, '2020-10-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '339', '31173', '13', '943');
INSERT INTO public.who_import VALUES (11077, '2020-10-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '479', '31652', '12', '955');
INSERT INTO public.who_import VALUES (11078, '2020-10-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '578', '32230', '15', '970');
INSERT INTO public.who_import VALUES (11079, '2020-10-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '618', '32848', '8', '978');
INSERT INTO public.who_import VALUES (11080, '2020-10-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '713', '33561', '2', '980');
INSERT INTO public.who_import VALUES (11081, '2020-10-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '559', '34120', '4', '984');
INSERT INTO public.who_import VALUES (11082, '2020-10-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '545', '34665', '13', '997');
INSERT INTO public.who_import VALUES (11083, '2020-10-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '726', '35391', '20', '1017');
INSERT INTO public.who_import VALUES (11084, '2020-10-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '928', '36319', '14', '1031');
INSERT INTO public.who_import VALUES (11085, '2020-10-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '1003', '37322', '20', '1051');
INSERT INTO public.who_import VALUES (11086, '2020-10-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '1178', '38500', '14', '1065');
INSERT INTO public.who_import VALUES (11087, '2020-10-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '1258', '39758', '10', '1075');
INSERT INTO public.who_import VALUES (11088, '2020-10-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '1136', '40894', '11', '1086');
INSERT INTO public.who_import VALUES (11089, '2020-10-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '722', '41616', '18', '1104');
INSERT INTO public.who_import VALUES (11090, '2020-10-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '1558', '43174', '21', '1125');
INSERT INTO public.who_import VALUES (11091, '2020-10-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '1584', '44758', '36', '1161');
INSERT INTO public.who_import VALUES (11092, '2020-10-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '1910', '46668', '21', '1182');
INSERT INTO public.who_import VALUES (11093, '2020-10-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '1485', '48153', '30', '1212');
INSERT INTO public.who_import VALUES (11094, '2020-11-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '1937', '50090', '22', '1234');
INSERT INTO public.who_import VALUES (11095, '2020-11-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '1415', '51505', '14', '1248');
INSERT INTO public.who_import VALUES (11096, '2020-11-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '764', '52269', '32', '1280');
INSERT INTO public.who_import VALUES (11097, '2020-11-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '1580', '53849', '38', '1318');
INSERT INTO public.who_import VALUES (11098, '2020-11-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '1753', '55602', '41', '1359');
INSERT INTO public.who_import VALUES (11099, '2020-11-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '1919', '57521', '43', '1402');
INSERT INTO public.who_import VALUES (11100, '2020-11-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '1907', '59428', '55', '1457');
INSERT INTO public.who_import VALUES (11101, '2020-11-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '1784', '61212', '33', '1490');
INSERT INTO public.who_import VALUES (11102, '2020-11-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '1211', '62423', '20', '1510');
INSERT INTO public.who_import VALUES (11103, '2020-11-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '997', '63420', '73', '1583');
INSERT INTO public.who_import VALUES (11104, '2020-11-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '1605', '65025', '46', '1629');
INSERT INTO public.who_import VALUES (11105, '2020-11-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '1540', '66565', '72', '1701');
INSERT INTO public.who_import VALUES (11106, '2020-11-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '1728', '68293', '49', '1750');
INSERT INTO public.who_import VALUES (11107, '2020-11-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '1332', '69625', '58', '1808');
INSERT INTO public.who_import VALUES (11108, '2020-11-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '1275', '70900', '49', '1857');
INSERT INTO public.who_import VALUES (11109, '2020-11-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '1059', '71959', '41', '1898');
INSERT INTO public.who_import VALUES (11110, '2020-11-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '730', '72689', '75', '1973');
INSERT INTO public.who_import VALUES (11111, '2020-11-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '1255', '73944', '69', '2042');
INSERT INTO public.who_import VALUES (11112, '2020-11-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '1633', '75577', '47', '2089');
INSERT INTO public.who_import VALUES (11113, '2020-11-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '1180', '76757', '64', '2153');
INSERT INTO public.who_import VALUES (11114, '2020-11-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '1237', '77994', '56', '2209');
INSERT INTO public.who_import VALUES (11115, '2020-11-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '1315', '79309', '37', '2246');
INSERT INTO public.who_import VALUES (11116, '2020-11-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '698', '80007', '30', '2276');
INSERT INTO public.who_import VALUES (11117, '2020-11-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '546', '80553', '66', '2342');
INSERT INTO public.who_import VALUES (11118, '2020-11-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '1186', '81739', '52', '2394');
INSERT INTO public.who_import VALUES (11119, '2020-11-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '1589', '83328', '35', '2429');
INSERT INTO public.who_import VALUES (11120, '2020-11-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '924', '84252', '51', '2480');
INSERT INTO public.who_import VALUES (11121, '2020-11-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '1179', '85431', '62', '2542');
INSERT INTO public.who_import VALUES (11122, '2020-11-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '1279', '86710', '34', '2576');
INSERT INTO public.who_import VALUES (11123, '2020-11-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '664', '87374', '44', '2620');
INSERT INTO public.who_import VALUES (11124, '2020-12-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '527', '87901', '61', '2681');
INSERT INTO public.who_import VALUES (11125, '2020-12-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '1184', '89085', '46', '2727');
INSERT INTO public.who_import VALUES (11126, '2020-12-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '1293', '90378', '46', '2773');
INSERT INTO public.who_import VALUES (11127, '2020-12-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '1161', '91539', '39', '2812');
INSERT INTO public.who_import VALUES (11128, '2020-12-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '1254', '92793', '53', '2865');
INSERT INTO public.who_import VALUES (11129, '2020-12-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '975', '93768', '57', '2922');
INSERT INTO public.who_import VALUES (11130, '2020-12-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '739', '94507', '30', '2952');
INSERT INTO public.who_import VALUES (11131, '2020-12-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '437', '94944', '60', '3012');
INSERT INTO public.who_import VALUES (11132, '2020-12-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '1077', '96021', '69', '3081');
INSERT INTO public.who_import VALUES (11133, '2020-12-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '1296', '97317', '70', '3151');
INSERT INTO public.who_import VALUES (11134, '2020-12-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '1286', '98603', '48', '3199');
INSERT INTO public.who_import VALUES (11135, '2020-12-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '0', '98603', '0', '3199');
INSERT INTO public.who_import VALUES (11136, '2020-12-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '1703', '100306', '99', '3298');
INSERT INTO public.who_import VALUES (11137, '2020-12-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '811', '101117', '38', '3336');
INSERT INTO public.who_import VALUES (11138, '2020-12-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '344', '101461', '55', '3391');
INSERT INTO public.who_import VALUES (11139, '2020-12-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '869', '102330', '66', '3457');
INSERT INTO public.who_import VALUES (11140, '2020-12-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '902', '103232', '54', '3511');
INSERT INTO public.who_import VALUES (11141, '2020-12-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '865', '104097', '38', '3549');
INSERT INTO public.who_import VALUES (11142, '2020-12-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '784', '104881', '34', '3583');
INSERT INTO public.who_import VALUES (11143, '2020-12-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '643', '105524', '42', '3625');
INSERT INTO public.who_import VALUES (11144, '2020-12-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '482', '106006', '28', '3653');
INSERT INTO public.who_import VALUES (11145, '2020-12-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '216', '106222', '53', '3706');
INSERT INTO public.who_import VALUES (11146, '2020-12-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '764', '106986', '86', '3792');
INSERT INTO public.who_import VALUES (11147, '2020-12-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '584', '107570', '46', '3838');
INSERT INTO public.who_import VALUES (11148, '2020-12-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '728', '108298', '40', '3878');
INSERT INTO public.who_import VALUES (11149, '2020-12-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '593', '108891', '23', '3901');
INSERT INTO public.who_import VALUES (11150, '2020-12-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '439', '109330', '22', '3923');
INSERT INTO public.who_import VALUES (11151, '2020-12-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '361', '109691', '30', '3953');
INSERT INTO public.who_import VALUES (11152, '2020-12-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '220', '109911', '23', '3976');
INSERT INTO public.who_import VALUES (11153, '2020-12-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '543', '110454', '48', '4024');
INSERT INTO public.who_import VALUES (11154, '2020-12-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '531', '110985', '26', '4050');
INSERT INTO public.who_import VALUES (11155, '2021-01-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '658', '111643', '22', '4072');
INSERT INTO public.who_import VALUES (11156, '2021-01-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '500', '112143', '14', '4086');
INSERT INTO public.who_import VALUES (11157, '2021-01-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '202', '112345', '14', '4100');
INSERT INTO public.who_import VALUES (11158, '2021-01-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '300', '112645', '31', '4131');
INSERT INTO public.who_import VALUES (11159, '2021-01-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '183', '112828', '48', '4179');
INSERT INTO public.who_import VALUES (11160, '2021-01-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '564', '113392', '32', '4211');
INSERT INTO public.who_import VALUES (11161, '2021-01-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '760', '114152', '37', '4248');
INSERT INTO public.who_import VALUES (11162, '2021-01-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '250', '114402', '16', '4264');
INSERT INTO public.who_import VALUES (11163, '2021-01-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '518', '114920', '21', '4285');
INSERT INTO public.who_import VALUES (11164, '2021-01-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '459', '115379', '20', '4305');
INSERT INTO public.who_import VALUES (11165, '2021-01-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '256', '115635', '25', '4330');
INSERT INTO public.who_import VALUES (11166, '2021-01-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '123', '115758', '28', '4358');
INSERT INTO public.who_import VALUES (11167, '2021-01-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '442', '116200', '15', '4373');
INSERT INTO public.who_import VALUES (11168, '2021-01-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '468', '116668', '26', '4399');
INSERT INTO public.who_import VALUES (11169, '2021-01-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '343', '117011', '12', '4411');
INSERT INTO public.who_import VALUES (11170, '2021-01-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '320', '117331', '18', '4429');
INSERT INTO public.who_import VALUES (11171, '2021-01-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '462', '117793', '20', '4449');
INSERT INTO public.who_import VALUES (11172, '2021-01-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '180', '117973', '23', '4472');
INSERT INTO public.who_import VALUES (11173, '2021-01-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '110', '118083', '14', '4486');
INSERT INTO public.who_import VALUES (11174, '2021-01-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '300', '118383', '23', '4509');
INSERT INTO public.who_import VALUES (11175, '2021-01-21', 'BA', 'Bosnia and Herzegovina', 'EURO', '334', '118717', '12', '4521');
INSERT INTO public.who_import VALUES (11176, '2021-01-22', 'BA', 'Bosnia and Herzegovina', 'EURO', '489', '119206', '15', '4536');
INSERT INTO public.who_import VALUES (11177, '2021-01-23', 'BA', 'Bosnia and Herzegovina', 'EURO', '214', '119420', '19', '4555');
INSERT INTO public.who_import VALUES (11178, '2021-01-24', 'BA', 'Bosnia and Herzegovina', 'EURO', '420', '119840', '14', '4569');
INSERT INTO public.who_import VALUES (11179, '2021-01-25', 'BA', 'Bosnia and Herzegovina', 'EURO', '203', '120043', '5', '4574');
INSERT INTO public.who_import VALUES (11180, '2021-01-26', 'BA', 'Bosnia and Herzegovina', 'EURO', '100', '120143', '19', '4593');
INSERT INTO public.who_import VALUES (11181, '2021-01-27', 'BA', 'Bosnia and Herzegovina', 'EURO', '389', '120532', '28', '4621');
INSERT INTO public.who_import VALUES (11182, '2021-01-28', 'BA', 'Bosnia and Herzegovina', 'EURO', '332', '120864', '22', '4643');
INSERT INTO public.who_import VALUES (11183, '2021-01-29', 'BA', 'Bosnia and Herzegovina', 'EURO', '330', '121194', '16', '4659');
INSERT INTO public.who_import VALUES (11184, '2021-01-30', 'BA', 'Bosnia and Herzegovina', 'EURO', '303', '121497', '20', '4679');
INSERT INTO public.who_import VALUES (11185, '2021-01-31', 'BA', 'Bosnia and Herzegovina', 'EURO', '394', '121891', '17', '4696');
INSERT INTO public.who_import VALUES (11186, '2021-02-01', 'BA', 'Bosnia and Herzegovina', 'EURO', '195', '122086', '9', '4705');
INSERT INTO public.who_import VALUES (11187, '2021-02-02', 'BA', 'Bosnia and Herzegovina', 'EURO', '113', '122199', '19', '4724');
INSERT INTO public.who_import VALUES (11188, '2021-02-03', 'BA', 'Bosnia and Herzegovina', 'EURO', '262', '122461', '13', '4737');
INSERT INTO public.who_import VALUES (11189, '2021-02-04', 'BA', 'Bosnia and Herzegovina', 'EURO', '367', '122828', '8', '4745');
INSERT INTO public.who_import VALUES (11190, '2021-02-05', 'BA', 'Bosnia and Herzegovina', 'EURO', '314', '123142', '16', '4761');
INSERT INTO public.who_import VALUES (11191, '2021-02-06', 'BA', 'Bosnia and Herzegovina', 'EURO', '292', '123434', '14', '4775');
INSERT INTO public.who_import VALUES (11192, '2021-02-07', 'BA', 'Bosnia and Herzegovina', 'EURO', '270', '123704', '16', '4791');
INSERT INTO public.who_import VALUES (11193, '2021-02-08', 'BA', 'Bosnia and Herzegovina', 'EURO', '240', '123944', '9', '4800');
INSERT INTO public.who_import VALUES (11194, '2021-02-09', 'BA', 'Bosnia and Herzegovina', 'EURO', '157', '124101', '13', '4813');
INSERT INTO public.who_import VALUES (11195, '2021-02-10', 'BA', 'Bosnia and Herzegovina', 'EURO', '342', '124443', '21', '4834');
INSERT INTO public.who_import VALUES (11196, '2021-02-11', 'BA', 'Bosnia and Herzegovina', 'EURO', '253', '124696', '19', '4853');
INSERT INTO public.who_import VALUES (11197, '2021-02-12', 'BA', 'Bosnia and Herzegovina', 'EURO', '427', '125123', '15', '4868');
INSERT INTO public.who_import VALUES (11198, '2021-02-13', 'BA', 'Bosnia and Herzegovina', 'EURO', '279', '125402', '13', '4881');
INSERT INTO public.who_import VALUES (11199, '2021-02-14', 'BA', 'Bosnia and Herzegovina', 'EURO', '240', '125642', '11', '4892');
INSERT INTO public.who_import VALUES (11200, '2021-02-15', 'BA', 'Bosnia and Herzegovina', 'EURO', '381', '126023', '4', '4896');
INSERT INTO public.who_import VALUES (11201, '2021-02-16', 'BA', 'Bosnia and Herzegovina', 'EURO', '116', '126139', '20', '4916');
INSERT INTO public.who_import VALUES (11202, '2021-02-17', 'BA', 'Bosnia and Herzegovina', 'EURO', '274', '126413', '19', '4935');
INSERT INTO public.who_import VALUES (11203, '2021-02-18', 'BA', 'Bosnia and Herzegovina', 'EURO', '368', '126781', '14', '4949');
INSERT INTO public.who_import VALUES (11204, '2021-02-19', 'BA', 'Bosnia and Herzegovina', 'EURO', '354', '127135', '13', '4962');
INSERT INTO public.who_import VALUES (11205, '2021-02-20', 'BA', 'Bosnia and Herzegovina', 'EURO', '402', '127537', '17', '4979');
INSERT INTO public.who_import VALUES (11206, '2020-01-03', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11207, '2020-01-04', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11208, '2020-01-05', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11209, '2020-01-06', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11210, '2020-01-07', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11211, '2020-01-08', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11212, '2020-01-09', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11213, '2020-01-10', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11214, '2020-01-11', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11215, '2020-01-12', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11216, '2020-01-13', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11217, '2020-01-14', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11218, '2020-01-15', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11219, '2020-01-16', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11220, '2020-01-17', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11221, '2020-01-18', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11222, '2020-01-19', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11223, '2020-01-20', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11224, '2020-01-21', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11225, '2020-01-22', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11226, '2020-01-23', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11227, '2020-01-24', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11228, '2020-01-25', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11231, '2020-01-28', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11232, '2020-01-29', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11233, '2020-01-30', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11234, '2020-01-31', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11235, '2020-02-01', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11236, '2020-02-02', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11237, '2020-02-03', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11238, '2020-02-04', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11239, '2020-02-05', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11240, '2020-02-06', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11241, '2020-02-07', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11242, '2020-02-08', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11243, '2020-02-09', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11244, '2020-02-10', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11245, '2020-02-11', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11246, '2020-02-12', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11247, '2020-02-13', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11248, '2020-02-14', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11249, '2020-02-15', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11250, '2020-02-16', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11251, '2020-02-17', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11252, '2020-02-18', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11253, '2020-02-19', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11254, '2020-02-20', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11255, '2020-02-21', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11256, '2020-02-22', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11257, '2020-02-23', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11258, '2020-02-24', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11259, '2020-02-25', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11260, '2020-02-26', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11261, '2020-02-27', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11262, '2020-02-28', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11263, '2020-02-29', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11264, '2020-03-01', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11265, '2020-03-02', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11266, '2020-03-03', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11267, '2020-03-04', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11268, '2020-03-05', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11269, '2020-03-06', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11270, '2020-03-07', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11271, '2020-03-08', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11272, '2020-03-09', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11273, '2020-03-10', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11274, '2020-03-11', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11275, '2020-03-12', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11276, '2020-03-13', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11277, '2020-03-14', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11278, '2020-03-15', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11279, '2020-03-16', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11280, '2020-03-17', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11281, '2020-03-18', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11282, '2020-03-19', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11283, '2020-03-20', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11284, '2020-03-21', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11285, '2020-03-22', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11286, '2020-03-23', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11287, '2020-03-24', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11288, '2020-03-25', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11289, '2020-03-26', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11290, '2020-03-27', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11291, '2020-03-28', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11292, '2020-03-29', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11293, '2020-03-30', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11294, '2020-03-31', 'BW', 'Botswana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11295, '2020-04-01', 'BW', 'Botswana', 'AFRO', '3', '3', '0', '0');
INSERT INTO public.who_import VALUES (11296, '2020-04-02', 'BW', 'Botswana', 'AFRO', '0', '3', '1', '1');
INSERT INTO public.who_import VALUES (11297, '2020-04-03', 'BW', 'Botswana', 'AFRO', '1', '4', '0', '1');
INSERT INTO public.who_import VALUES (11298, '2020-04-04', 'BW', 'Botswana', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (11299, '2020-04-05', 'BW', 'Botswana', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (11300, '2020-04-06', 'BW', 'Botswana', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (11301, '2020-04-07', 'BW', 'Botswana', 'AFRO', '2', '6', '0', '1');
INSERT INTO public.who_import VALUES (11302, '2020-04-08', 'BW', 'Botswana', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (11303, '2020-04-09', 'BW', 'Botswana', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (11304, '2020-04-10', 'BW', 'Botswana', 'AFRO', '7', '13', '0', '1');
INSERT INTO public.who_import VALUES (11305, '2020-04-11', 'BW', 'Botswana', 'AFRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (11306, '2020-04-12', 'BW', 'Botswana', 'AFRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (11307, '2020-04-13', 'BW', 'Botswana', 'AFRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (11308, '2020-04-14', 'BW', 'Botswana', 'AFRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (11309, '2020-04-15', 'BW', 'Botswana', 'AFRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (11310, '2020-04-16', 'BW', 'Botswana', 'AFRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (11311, '2020-04-17', 'BW', 'Botswana', 'AFRO', '2', '15', '0', '1');
INSERT INTO public.who_import VALUES (11312, '2020-04-18', 'BW', 'Botswana', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (11313, '2020-04-19', 'BW', 'Botswana', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (11314, '2020-04-20', 'BW', 'Botswana', 'AFRO', '5', '20', '0', '1');
INSERT INTO public.who_import VALUES (11315, '2020-04-21', 'BW', 'Botswana', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (11316, '2020-04-22', 'BW', 'Botswana', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (11317, '2020-04-23', 'BW', 'Botswana', 'AFRO', '2', '22', '0', '1');
INSERT INTO public.who_import VALUES (11318, '2020-04-24', 'BW', 'Botswana', 'AFRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (11319, '2020-04-25', 'BW', 'Botswana', 'AFRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (11320, '2020-04-26', 'BW', 'Botswana', 'AFRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (11321, '2020-04-27', 'BW', 'Botswana', 'AFRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (11322, '2020-04-28', 'BW', 'Botswana', 'AFRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (11323, '2020-04-29', 'BW', 'Botswana', 'AFRO', '1', '23', '0', '1');
INSERT INTO public.who_import VALUES (11324, '2020-04-30', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11325, '2020-05-01', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11326, '2020-05-02', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11327, '2020-05-03', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11328, '2020-05-04', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11329, '2020-05-05', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11330, '2020-05-06', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11331, '2020-05-07', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11332, '2020-05-08', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11333, '2020-05-09', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11334, '2020-05-10', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11335, '2020-05-11', 'BW', 'Botswana', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (11336, '2020-05-12', 'BW', 'Botswana', 'AFRO', '1', '24', '0', '1');
INSERT INTO public.who_import VALUES (11337, '2020-05-13', 'BW', 'Botswana', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (11338, '2020-05-14', 'BW', 'Botswana', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (11339, '2020-05-15', 'BW', 'Botswana', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (11340, '2020-05-16', 'BW', 'Botswana', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (11341, '2020-05-17', 'BW', 'Botswana', 'AFRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (11342, '2020-05-18', 'BW', 'Botswana', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (11343, '2020-05-19', 'BW', 'Botswana', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (11344, '2020-05-20', 'BW', 'Botswana', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (11345, '2020-05-21', 'BW', 'Botswana', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (11346, '2020-05-22', 'BW', 'Botswana', 'AFRO', '4', '29', '0', '1');
INSERT INTO public.who_import VALUES (11347, '2020-05-23', 'BW', 'Botswana', 'AFRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (11348, '2020-05-24', 'BW', 'Botswana', 'AFRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (11349, '2020-05-25', 'BW', 'Botswana', 'AFRO', '6', '35', '0', '1');
INSERT INTO public.who_import VALUES (11350, '2020-05-26', 'BW', 'Botswana', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (11351, '2020-05-27', 'BW', 'Botswana', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (11352, '2020-05-28', 'BW', 'Botswana', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (11353, '2020-05-29', 'BW', 'Botswana', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (11354, '2020-05-30', 'BW', 'Botswana', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (11355, '2020-05-31', 'BW', 'Botswana', 'AFRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (11356, '2020-06-01', 'BW', 'Botswana', 'AFRO', '3', '38', '0', '1');
INSERT INTO public.who_import VALUES (11357, '2020-06-02', 'BW', 'Botswana', 'AFRO', '0', '38', '0', '1');
INSERT INTO public.who_import VALUES (11358, '2020-06-03', 'BW', 'Botswana', 'AFRO', '2', '40', '0', '1');
INSERT INTO public.who_import VALUES (11359, '2020-06-04', 'BW', 'Botswana', 'AFRO', '0', '40', '0', '1');
INSERT INTO public.who_import VALUES (11360, '2020-06-05', 'BW', 'Botswana', 'AFRO', '0', '40', '0', '1');
INSERT INTO public.who_import VALUES (11361, '2020-06-06', 'BW', 'Botswana', 'AFRO', '0', '40', '0', '1');
INSERT INTO public.who_import VALUES (11362, '2020-06-07', 'BW', 'Botswana', 'AFRO', '0', '40', '0', '1');
INSERT INTO public.who_import VALUES (11363, '2020-06-08', 'BW', 'Botswana', 'AFRO', '0', '40', '0', '1');
INSERT INTO public.who_import VALUES (11364, '2020-06-09', 'BW', 'Botswana', 'AFRO', '2', '42', '0', '1');
INSERT INTO public.who_import VALUES (11365, '2020-06-10', 'BW', 'Botswana', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (11366, '2020-06-11', 'BW', 'Botswana', 'AFRO', '6', '48', '0', '1');
INSERT INTO public.who_import VALUES (11367, '2020-06-12', 'BW', 'Botswana', 'AFRO', '0', '48', '0', '1');
INSERT INTO public.who_import VALUES (11368, '2020-06-13', 'BW', 'Botswana', 'AFRO', '12', '60', '0', '1');
INSERT INTO public.who_import VALUES (11369, '2020-06-14', 'BW', 'Botswana', 'AFRO', '0', '60', '0', '1');
INSERT INTO public.who_import VALUES (11370, '2020-06-15', 'BW', 'Botswana', 'AFRO', '0', '60', '0', '1');
INSERT INTO public.who_import VALUES (11371, '2020-06-16', 'BW', 'Botswana', 'AFRO', '0', '60', '0', '1');
INSERT INTO public.who_import VALUES (11372, '2020-06-17', 'BW', 'Botswana', 'AFRO', '0', '60', '0', '1');
INSERT INTO public.who_import VALUES (11373, '2020-06-18', 'BW', 'Botswana', 'AFRO', '19', '79', '0', '1');
INSERT INTO public.who_import VALUES (11374, '2020-06-19', 'BW', 'Botswana', 'AFRO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (11375, '2020-06-20', 'BW', 'Botswana', 'AFRO', '10', '89', '0', '1');
INSERT INTO public.who_import VALUES (11376, '2020-06-21', 'BW', 'Botswana', 'AFRO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (11377, '2020-06-22', 'BW', 'Botswana', 'AFRO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (11378, '2020-06-23', 'BW', 'Botswana', 'AFRO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (11379, '2020-06-24', 'BW', 'Botswana', 'AFRO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (11380, '2020-06-25', 'BW', 'Botswana', 'AFRO', '36', '125', '0', '1');
INSERT INTO public.who_import VALUES (11381, '2020-06-26', 'BW', 'Botswana', 'AFRO', '0', '125', '0', '1');
INSERT INTO public.who_import VALUES (11382, '2020-06-27', 'BW', 'Botswana', 'AFRO', '0', '125', '0', '1');
INSERT INTO public.who_import VALUES (11383, '2020-06-28', 'BW', 'Botswana', 'AFRO', '0', '125', '0', '1');
INSERT INTO public.who_import VALUES (11384, '2020-06-29', 'BW', 'Botswana', 'AFRO', '50', '175', '0', '1');
INSERT INTO public.who_import VALUES (11385, '2020-06-30', 'BW', 'Botswana', 'AFRO', '0', '175', '0', '1');
INSERT INTO public.who_import VALUES (11386, '2020-07-01', 'BW', 'Botswana', 'AFRO', '52', '227', '0', '1');
INSERT INTO public.who_import VALUES (11387, '2020-07-02', 'BW', 'Botswana', 'AFRO', '0', '227', '0', '1');
INSERT INTO public.who_import VALUES (11388, '2020-07-03', 'BW', 'Botswana', 'AFRO', '0', '227', '0', '1');
INSERT INTO public.who_import VALUES (11389, '2020-07-04', 'BW', 'Botswana', 'AFRO', '48', '275', '0', '1');
INSERT INTO public.who_import VALUES (11390, '2020-07-05', 'BW', 'Botswana', 'AFRO', '0', '275', '0', '1');
INSERT INTO public.who_import VALUES (11391, '2020-07-06', 'BW', 'Botswana', 'AFRO', '0', '275', '0', '1');
INSERT INTO public.who_import VALUES (11392, '2020-07-07', 'BW', 'Botswana', 'AFRO', '39', '314', '0', '1');
INSERT INTO public.who_import VALUES (11393, '2020-07-08', 'BW', 'Botswana', 'AFRO', '0', '314', '0', '1');
INSERT INTO public.who_import VALUES (11394, '2020-07-09', 'BW', 'Botswana', 'AFRO', '0', '314', '0', '1');
INSERT INTO public.who_import VALUES (11395, '2020-07-10', 'BW', 'Botswana', 'AFRO', '0', '314', '0', '1');
INSERT INTO public.who_import VALUES (11396, '2020-07-11', 'BW', 'Botswana', 'AFRO', '0', '314', '0', '1');
INSERT INTO public.who_import VALUES (11397, '2020-07-12', 'BW', 'Botswana', 'AFRO', '0', '314', '0', '1');
INSERT INTO public.who_import VALUES (11398, '2020-07-13', 'BW', 'Botswana', 'AFRO', '85', '399', '0', '1');
INSERT INTO public.who_import VALUES (11399, '2020-07-14', 'BW', 'Botswana', 'AFRO', '0', '399', '0', '1');
INSERT INTO public.who_import VALUES (11400, '2020-07-15', 'BW', 'Botswana', 'AFRO', '0', '399', '0', '1');
INSERT INTO public.who_import VALUES (11401, '2020-07-16', 'BW', 'Botswana', 'AFRO', '0', '399', '0', '1');
INSERT INTO public.who_import VALUES (11402, '2020-07-17', 'BW', 'Botswana', 'AFRO', '123', '522', '0', '1');
INSERT INTO public.who_import VALUES (11403, '2020-07-18', 'BW', 'Botswana', 'AFRO', '0', '522', '0', '1');
INSERT INTO public.who_import VALUES (11404, '2020-07-19', 'BW', 'Botswana', 'AFRO', '0', '522', '0', '1');
INSERT INTO public.who_import VALUES (11405, '2020-07-20', 'BW', 'Botswana', 'AFRO', '0', '522', '0', '1');
INSERT INTO public.who_import VALUES (11406, '2020-07-21', 'BW', 'Botswana', 'AFRO', '0', '522', '0', '1');
INSERT INTO public.who_import VALUES (11407, '2020-07-22', 'BW', 'Botswana', 'AFRO', '0', '522', '0', '1');
INSERT INTO public.who_import VALUES (11408, '2020-07-23', 'BW', 'Botswana', 'AFRO', '100', '622', '0', '1');
INSERT INTO public.who_import VALUES (11409, '2020-07-24', 'BW', 'Botswana', 'AFRO', '0', '622', '0', '1');
INSERT INTO public.who_import VALUES (11410, '2020-07-25', 'BW', 'Botswana', 'AFRO', '64', '686', '0', '1');
INSERT INTO public.who_import VALUES (11411, '2020-07-26', 'BW', 'Botswana', 'AFRO', '0', '686', '0', '1');
INSERT INTO public.who_import VALUES (11412, '2020-07-27', 'BW', 'Botswana', 'AFRO', '0', '686', '0', '1');
INSERT INTO public.who_import VALUES (11413, '2020-07-28', 'BW', 'Botswana', 'AFRO', '53', '739', '1', '2');
INSERT INTO public.who_import VALUES (11414, '2020-07-29', 'BW', 'Botswana', 'AFRO', '0', '739', '0', '2');
INSERT INTO public.who_import VALUES (11415, '2020-07-30', 'BW', 'Botswana', 'AFRO', '65', '804', '0', '2');
INSERT INTO public.who_import VALUES (11416, '2020-07-31', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11417, '2020-08-01', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11418, '2020-08-02', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11419, '2020-08-03', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11420, '2020-08-04', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11421, '2020-08-05', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11422, '2020-08-06', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11423, '2020-08-07', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11424, '2020-08-08', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11425, '2020-08-09', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11426, '2020-08-10', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11427, '2020-08-11', 'BW', 'Botswana', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (11428, '2020-08-12', 'BW', 'Botswana', 'AFRO', '262', '1066', '0', '2');
INSERT INTO public.who_import VALUES (11429, '2020-08-13', 'BW', 'Botswana', 'AFRO', '0', '1066', '0', '2');
INSERT INTO public.who_import VALUES (11430, '2020-08-14', 'BW', 'Botswana', 'AFRO', '148', '1214', '1', '3');
INSERT INTO public.who_import VALUES (11431, '2020-08-15', 'BW', 'Botswana', 'AFRO', '0', '1214', '0', '3');
INSERT INTO public.who_import VALUES (11432, '2020-08-16', 'BW', 'Botswana', 'AFRO', '0', '1214', '0', '3');
INSERT INTO public.who_import VALUES (11433, '2020-08-17', 'BW', 'Botswana', 'AFRO', '0', '1214', '0', '3');
INSERT INTO public.who_import VALUES (11434, '2020-08-18', 'BW', 'Botswana', 'AFRO', '94', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11435, '2020-08-19', 'BW', 'Botswana', 'AFRO', '0', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11436, '2020-08-20', 'BW', 'Botswana', 'AFRO', '0', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11437, '2020-08-21', 'BW', 'Botswana', 'AFRO', '0', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11438, '2020-08-22', 'BW', 'Botswana', 'AFRO', '0', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11439, '2020-08-23', 'BW', 'Botswana', 'AFRO', '0', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11440, '2020-08-24', 'BW', 'Botswana', 'AFRO', '0', '1308', '0', '3');
INSERT INTO public.who_import VALUES (11441, '2020-08-25', 'BW', 'Botswana', 'AFRO', '254', '1562', '0', '3');
INSERT INTO public.who_import VALUES (11442, '2020-08-26', 'BW', 'Botswana', 'AFRO', '0', '1562', '0', '3');
INSERT INTO public.who_import VALUES (11443, '2020-08-27', 'BW', 'Botswana', 'AFRO', '71', '1633', '3', '6');
INSERT INTO public.who_import VALUES (11444, '2020-08-28', 'BW', 'Botswana', 'AFRO', '0', '1633', '0', '6');
INSERT INTO public.who_import VALUES (11445, '2020-08-29', 'BW', 'Botswana', 'AFRO', '0', '1633', '0', '6');
INSERT INTO public.who_import VALUES (11446, '2020-08-30', 'BW', 'Botswana', 'AFRO', '0', '1633', '0', '6');
INSERT INTO public.who_import VALUES (11447, '2020-08-31', 'BW', 'Botswana', 'AFRO', '0', '1633', '0', '6');
INSERT INTO public.who_import VALUES (11448, '2020-09-01', 'BW', 'Botswana', 'AFRO', '91', '1724', '0', '6');
INSERT INTO public.who_import VALUES (11449, '2020-09-02', 'BW', 'Botswana', 'AFRO', '0', '1724', '0', '6');
INSERT INTO public.who_import VALUES (11450, '2020-09-03', 'BW', 'Botswana', 'AFRO', '0', '1724', '0', '6');
INSERT INTO public.who_import VALUES (11451, '2020-09-04', 'BW', 'Botswana', 'AFRO', '0', '1724', '0', '6');
INSERT INTO public.who_import VALUES (11452, '2020-09-05', 'BW', 'Botswana', 'AFRO', '278', '2002', '2', '8');
INSERT INTO public.who_import VALUES (11453, '2020-09-06', 'BW', 'Botswana', 'AFRO', '0', '2002', '0', '8');
INSERT INTO public.who_import VALUES (11454, '2020-09-07', 'BW', 'Botswana', 'AFRO', '0', '2002', '0', '8');
INSERT INTO public.who_import VALUES (11455, '2020-09-08', 'BW', 'Botswana', 'AFRO', '124', '2126', '1', '9');
INSERT INTO public.who_import VALUES (11456, '2020-09-09', 'BW', 'Botswana', 'AFRO', '0', '2126', '0', '9');
INSERT INTO public.who_import VALUES (11457, '2020-09-10', 'BW', 'Botswana', 'AFRO', '0', '2126', '0', '9');
INSERT INTO public.who_import VALUES (11458, '2020-09-11', 'BW', 'Botswana', 'AFRO', '0', '2126', '0', '9');
INSERT INTO public.who_import VALUES (11459, '2020-09-12', 'BW', 'Botswana', 'AFRO', '0', '2126', '0', '9');
INSERT INTO public.who_import VALUES (11460, '2020-09-13', 'BW', 'Botswana', 'AFRO', '126', '2252', '1', '10');
INSERT INTO public.who_import VALUES (11461, '2020-09-14', 'BW', 'Botswana', 'AFRO', '0', '2252', '0', '10');
INSERT INTO public.who_import VALUES (11462, '2020-09-15', 'BW', 'Botswana', 'AFRO', '0', '2252', '0', '10');
INSERT INTO public.who_import VALUES (11463, '2020-09-16', 'BW', 'Botswana', 'AFRO', '211', '2463', '1', '11');
INSERT INTO public.who_import VALUES (11464, '2020-09-17', 'BW', 'Botswana', 'AFRO', '0', '2463', '0', '11');
INSERT INTO public.who_import VALUES (11465, '2020-09-18', 'BW', 'Botswana', 'AFRO', '104', '2567', '2', '13');
INSERT INTO public.who_import VALUES (11466, '2020-09-19', 'BW', 'Botswana', 'AFRO', '0', '2567', '0', '13');
INSERT INTO public.who_import VALUES (11467, '2020-09-20', 'BW', 'Botswana', 'AFRO', '0', '2567', '0', '13');
INSERT INTO public.who_import VALUES (11468, '2020-09-21', 'BW', 'Botswana', 'AFRO', '0', '2567', '0', '13');
INSERT INTO public.who_import VALUES (11469, '2020-09-22', 'BW', 'Botswana', 'AFRO', '0', '2567', '0', '13');
INSERT INTO public.who_import VALUES (11470, '2020-09-23', 'BW', 'Botswana', 'AFRO', '0', '2567', '0', '13');
INSERT INTO public.who_import VALUES (11471, '2020-09-24', 'BW', 'Botswana', 'AFRO', '0', '2567', '0', '13');
INSERT INTO public.who_import VALUES (11472, '2020-09-25', 'BW', 'Botswana', 'AFRO', '354', '2921', '0', '13');
INSERT INTO public.who_import VALUES (11473, '2020-09-26', 'BW', 'Botswana', 'AFRO', '0', '2921', '0', '13');
INSERT INTO public.who_import VALUES (11474, '2020-09-27', 'BW', 'Botswana', 'AFRO', '0', '2921', '0', '13');
INSERT INTO public.who_import VALUES (11475, '2020-09-28', 'BW', 'Botswana', 'AFRO', '0', '2921', '0', '13');
INSERT INTO public.who_import VALUES (11476, '2020-09-29', 'BW', 'Botswana', 'AFRO', '251', '3172', '3', '16');
INSERT INTO public.who_import VALUES (11477, '2020-09-30', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11478, '2020-10-01', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11479, '2020-10-02', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11480, '2020-10-03', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11481, '2020-10-04', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11482, '2020-10-05', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11483, '2020-10-06', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11484, '2020-10-07', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11485, '2020-10-08', 'BW', 'Botswana', 'AFRO', '0', '3172', '0', '16');
INSERT INTO public.who_import VALUES (11486, '2020-10-09', 'BW', 'Botswana', 'AFRO', '47', '3219', '2', '18');
INSERT INTO public.who_import VALUES (11487, '2020-10-10', 'BW', 'Botswana', 'AFRO', '0', '3219', '0', '18');
INSERT INTO public.who_import VALUES (11488, '2020-10-11', 'BW', 'Botswana', 'AFRO', '0', '3219', '0', '18');
INSERT INTO public.who_import VALUES (11489, '2020-10-12', 'BW', 'Botswana', 'AFRO', '0', '3219', '0', '18');
INSERT INTO public.who_import VALUES (11490, '2020-10-13', 'BW', 'Botswana', 'AFRO', '1820', '5039', '2', '20');
INSERT INTO public.who_import VALUES (11491, '2020-10-14', 'BW', 'Botswana', 'AFRO', '0', '5039', '0', '20');
INSERT INTO public.who_import VALUES (11492, '2020-10-15', 'BW', 'Botswana', 'AFRO', '0', '5039', '0', '20');
INSERT INTO public.who_import VALUES (11493, '2020-10-16', 'BW', 'Botswana', 'AFRO', '203', '5242', '0', '20');
INSERT INTO public.who_import VALUES (11494, '2020-10-17', 'BW', 'Botswana', 'AFRO', '0', '5242', '0', '20');
INSERT INTO public.who_import VALUES (11495, '2020-10-18', 'BW', 'Botswana', 'AFRO', '0', '5242', '0', '20');
INSERT INTO public.who_import VALUES (11496, '2020-10-19', 'BW', 'Botswana', 'AFRO', '0', '5242', '0', '20');
INSERT INTO public.who_import VALUES (11497, '2020-10-20', 'BW', 'Botswana', 'AFRO', '0', '5242', '0', '20');
INSERT INTO public.who_import VALUES (11498, '2020-10-21', 'BW', 'Botswana', 'AFRO', '367', '5609', '1', '21');
INSERT INTO public.who_import VALUES (11499, '2020-10-22', 'BW', 'Botswana', 'AFRO', '0', '5609', '0', '21');
INSERT INTO public.who_import VALUES (11500, '2020-10-23', 'BW', 'Botswana', 'AFRO', '0', '5609', '0', '21');
INSERT INTO public.who_import VALUES (11501, '2020-10-24', 'BW', 'Botswana', 'AFRO', '314', '5923', '0', '21');
INSERT INTO public.who_import VALUES (11502, '2020-10-25', 'BW', 'Botswana', 'AFRO', '0', '5923', '0', '21');
INSERT INTO public.who_import VALUES (11503, '2020-10-26', 'BW', 'Botswana', 'AFRO', '0', '5923', '0', '21');
INSERT INTO public.who_import VALUES (11504, '2020-10-27', 'BW', 'Botswana', 'AFRO', '0', '5923', '0', '21');
INSERT INTO public.who_import VALUES (11505, '2020-10-28', 'BW', 'Botswana', 'AFRO', '360', '6283', '0', '21');
INSERT INTO public.who_import VALUES (11506, '2020-10-29', 'BW', 'Botswana', 'AFRO', '0', '6283', '0', '21');
INSERT INTO public.who_import VALUES (11507, '2020-10-30', 'BW', 'Botswana', 'AFRO', '359', '6642', '3', '24');
INSERT INTO public.who_import VALUES (11508, '2020-10-31', 'BW', 'Botswana', 'AFRO', '0', '6642', '0', '24');
INSERT INTO public.who_import VALUES (11509, '2020-11-01', 'BW', 'Botswana', 'AFRO', '0', '6642', '0', '24');
INSERT INTO public.who_import VALUES (11510, '2020-11-02', 'BW', 'Botswana', 'AFRO', '0', '6642', '0', '24');
INSERT INTO public.who_import VALUES (11511, '2020-11-03', 'BW', 'Botswana', 'AFRO', '0', '6642', '0', '24');
INSERT INTO public.who_import VALUES (11512, '2020-11-04', 'BW', 'Botswana', 'AFRO', '0', '6642', '0', '24');
INSERT INTO public.who_import VALUES (11513, '2020-11-05', 'BW', 'Botswana', 'AFRO', '0', '6642', '0', '24');
INSERT INTO public.who_import VALUES (11514, '2020-11-06', 'BW', 'Botswana', 'AFRO', '1193', '7835', '3', '27');
INSERT INTO public.who_import VALUES (11515, '2020-11-07', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11516, '2020-11-08', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11517, '2020-11-09', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11518, '2020-11-10', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11519, '2020-11-11', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11520, '2020-11-12', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11521, '2020-11-13', 'BW', 'Botswana', 'AFRO', '0', '7835', '0', '27');
INSERT INTO public.who_import VALUES (11522, '2020-11-14', 'BW', 'Botswana', 'AFRO', '390', '8225', '0', '27');
INSERT INTO public.who_import VALUES (11523, '2020-11-15', 'BW', 'Botswana', 'AFRO', '0', '8225', '0', '27');
INSERT INTO public.who_import VALUES (11524, '2020-11-16', 'BW', 'Botswana', 'AFRO', '0', '8225', '0', '27');
INSERT INTO public.who_import VALUES (11525, '2020-11-17', 'BW', 'Botswana', 'AFRO', '0', '8225', '0', '27');
INSERT INTO public.who_import VALUES (11526, '2020-11-18', 'BW', 'Botswana', 'AFRO', '878', '9103', '2', '29');
INSERT INTO public.who_import VALUES (11527, '2020-11-19', 'BW', 'Botswana', 'AFRO', '0', '9103', '0', '29');
INSERT INTO public.who_import VALUES (11528, '2020-11-20', 'BW', 'Botswana', 'AFRO', '491', '9594', '2', '31');
INSERT INTO public.who_import VALUES (11529, '2020-11-21', 'BW', 'Botswana', 'AFRO', '0', '9594', '0', '31');
INSERT INTO public.who_import VALUES (11530, '2020-11-22', 'BW', 'Botswana', 'AFRO', '0', '9594', '0', '31');
INSERT INTO public.who_import VALUES (11531, '2020-11-23', 'BW', 'Botswana', 'AFRO', '0', '9594', '0', '31');
INSERT INTO public.who_import VALUES (11532, '2020-11-24', 'BW', 'Botswana', 'AFRO', '0', '9594', '0', '31');
INSERT INTO public.who_import VALUES (11533, '2020-11-25', 'BW', 'Botswana', 'AFRO', '398', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11534, '2020-11-26', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11535, '2020-11-27', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11536, '2020-11-28', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11537, '2020-11-29', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11538, '2020-11-30', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11539, '2020-12-01', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11540, '2020-12-02', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11541, '2020-12-03', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11542, '2020-12-04', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11543, '2020-12-05', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11544, '2020-12-06', 'BW', 'Botswana', 'AFRO', '0', '9992', '0', '31');
INSERT INTO public.who_import VALUES (11545, '2020-12-07', 'BW', 'Botswana', 'AFRO', '1225', '11217', '3', '34');
INSERT INTO public.who_import VALUES (11546, '2020-12-08', 'BW', 'Botswana', 'AFRO', '314', '11531', '0', '34');
INSERT INTO public.who_import VALUES (11547, '2020-12-09', 'BW', 'Botswana', 'AFRO', '527', '12058', '0', '34');
INSERT INTO public.who_import VALUES (11548, '2020-12-10', 'BW', 'Botswana', 'AFRO', '0', '12058', '0', '34');
INSERT INTO public.who_import VALUES (11549, '2020-12-11', 'BW', 'Botswana', 'AFRO', '0', '12058', '0', '34');
INSERT INTO public.who_import VALUES (11550, '2020-12-12', 'BW', 'Botswana', 'AFRO', '443', '12501', '3', '37');
INSERT INTO public.who_import VALUES (11551, '2020-12-13', 'BW', 'Botswana', 'AFRO', '0', '12501', '0', '37');
INSERT INTO public.who_import VALUES (11552, '2020-12-14', 'BW', 'Botswana', 'AFRO', '0', '12501', '0', '37');
INSERT INTO public.who_import VALUES (11553, '2020-12-15', 'BW', 'Botswana', 'AFRO', '0', '12501', '0', '37');
INSERT INTO public.who_import VALUES (11554, '2020-12-16', 'BW', 'Botswana', 'AFRO', '372', '12873', '1', '38');
INSERT INTO public.who_import VALUES (11555, '2020-12-17', 'BW', 'Botswana', 'AFRO', '0', '12873', '0', '38');
INSERT INTO public.who_import VALUES (11556, '2020-12-18', 'BW', 'Botswana', 'AFRO', '0', '12873', '0', '38');
INSERT INTO public.who_import VALUES (11557, '2020-12-19', 'BW', 'Botswana', 'AFRO', '0', '12873', '0', '38');
INSERT INTO public.who_import VALUES (11558, '2020-12-20', 'BW', 'Botswana', 'AFRO', '0', '12873', '0', '38');
INSERT INTO public.who_import VALUES (11559, '2020-12-21', 'BW', 'Botswana', 'AFRO', '0', '12873', '0', '38');
INSERT INTO public.who_import VALUES (11560, '2020-12-22', 'BW', 'Botswana', 'AFRO', '480', '13353', '0', '38');
INSERT INTO public.who_import VALUES (11561, '2020-12-23', 'BW', 'Botswana', 'AFRO', '0', '13353', '0', '38');
INSERT INTO public.who_import VALUES (11562, '2020-12-24', 'BW', 'Botswana', 'AFRO', '0', '13353', '0', '38');
INSERT INTO public.who_import VALUES (11563, '2020-12-25', 'BW', 'Botswana', 'AFRO', '269', '13622', '0', '38');
INSERT INTO public.who_import VALUES (11564, '2020-12-26', 'BW', 'Botswana', 'AFRO', '0', '13622', '0', '38');
INSERT INTO public.who_import VALUES (11565, '2020-12-27', 'BW', 'Botswana', 'AFRO', '0', '13622', '0', '38');
INSERT INTO public.who_import VALUES (11566, '2020-12-28', 'BW', 'Botswana', 'AFRO', '0', '13622', '0', '38');
INSERT INTO public.who_import VALUES (11567, '2020-12-29', 'BW', 'Botswana', 'AFRO', '0', '13622', '0', '38');
INSERT INTO public.who_import VALUES (11568, '2020-12-30', 'BW', 'Botswana', 'AFRO', '403', '14025', '2', '40');
INSERT INTO public.who_import VALUES (11569, '2020-12-31', 'BW', 'Botswana', 'AFRO', '0', '14025', '0', '40');
INSERT INTO public.who_import VALUES (11570, '2021-01-01', 'BW', 'Botswana', 'AFRO', '0', '14025', '0', '40');
INSERT INTO public.who_import VALUES (11571, '2021-01-02', 'BW', 'Botswana', 'AFRO', '0', '14025', '0', '40');
INSERT INTO public.who_import VALUES (11572, '2021-01-03', 'BW', 'Botswana', 'AFRO', '780', '14805', '2', '42');
INSERT INTO public.who_import VALUES (11573, '2021-01-04', 'BW', 'Botswana', 'AFRO', '0', '14805', '0', '42');
INSERT INTO public.who_import VALUES (11574, '2021-01-05', 'BW', 'Botswana', 'AFRO', '0', '14805', '0', '42');
INSERT INTO public.who_import VALUES (11575, '2021-01-06', 'BW', 'Botswana', 'AFRO', '0', '14805', '0', '42');
INSERT INTO public.who_import VALUES (11576, '2021-01-07', 'BW', 'Botswana', 'AFRO', '0', '14805', '0', '42');
INSERT INTO public.who_import VALUES (11577, '2021-01-08', 'BW', 'Botswana', 'AFRO', '635', '15440', '3', '45');
INSERT INTO public.who_import VALUES (11578, '2021-01-09', 'BW', 'Botswana', 'AFRO', '611', '16051', '3', '48');
INSERT INTO public.who_import VALUES (11579, '2021-01-10', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11580, '2021-01-11', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11581, '2021-01-12', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11582, '2021-01-13', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11583, '2021-01-14', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11584, '2021-01-15', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11585, '2021-01-16', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11586, '2021-01-17', 'BW', 'Botswana', 'AFRO', '0', '16051', '0', '48');
INSERT INTO public.who_import VALUES (11587, '2021-01-18', 'BW', 'Botswana', 'AFRO', '597', '16648', '23', '71');
INSERT INTO public.who_import VALUES (11588, '2021-01-19', 'BW', 'Botswana', 'AFRO', '1982', '18630', '17', '88');
INSERT INTO public.who_import VALUES (11589, '2021-01-20', 'BW', 'Botswana', 'AFRO', '0', '18630', '0', '88');
INSERT INTO public.who_import VALUES (11590, '2021-01-21', 'BW', 'Botswana', 'AFRO', '0', '18630', '0', '88');
INSERT INTO public.who_import VALUES (11591, '2021-01-22', 'BW', 'Botswana', 'AFRO', '0', '18630', '0', '88');
INSERT INTO public.who_import VALUES (11592, '2021-01-23', 'BW', 'Botswana', 'AFRO', '0', '18630', '0', '88');
INSERT INTO public.who_import VALUES (11593, '2021-01-24', 'BW', 'Botswana', 'AFRO', '0', '18630', '0', '88');
INSERT INTO public.who_import VALUES (11594, '2021-01-25', 'BW', 'Botswana', 'AFRO', '0', '18630', '0', '88');
INSERT INTO public.who_import VALUES (11595, '2021-01-26', 'BW', 'Botswana', 'AFRO', '1024', '19654', '17', '105');
INSERT INTO public.who_import VALUES (11596, '2021-01-27', 'BW', 'Botswana', 'AFRO', '1004', '20658', '19', '124');
INSERT INTO public.who_import VALUES (11597, '2021-01-28', 'BW', 'Botswana', 'AFRO', '0', '20658', '0', '124');
INSERT INTO public.who_import VALUES (11598, '2021-01-29', 'BW', 'Botswana', 'AFRO', '0', '20658', '0', '124');
INSERT INTO public.who_import VALUES (11599, '2021-01-30', 'BW', 'Botswana', 'AFRO', '635', '21293', '10', '134');
INSERT INTO public.who_import VALUES (11600, '2021-01-31', 'BW', 'Botswana', 'AFRO', '0', '21293', '0', '134');
INSERT INTO public.who_import VALUES (11601, '2021-02-01', 'BW', 'Botswana', 'AFRO', '0', '21293', '0', '134');
INSERT INTO public.who_import VALUES (11602, '2021-02-02', 'BW', 'Botswana', 'AFRO', '0', '21293', '0', '134');
INSERT INTO public.who_import VALUES (11603, '2021-02-03', 'BW', 'Botswana', 'AFRO', '0', '21293', '14', '148');
INSERT INTO public.who_import VALUES (11604, '2021-02-04', 'BW', 'Botswana', 'AFRO', '1445', '22738', '0', '148');
INSERT INTO public.who_import VALUES (11605, '2021-02-05', 'BW', 'Botswana', 'AFRO', '0', '22738', '0', '148');
INSERT INTO public.who_import VALUES (11606, '2021-02-06', 'BW', 'Botswana', 'AFRO', '765', '23503', '15', '163');
INSERT INTO public.who_import VALUES (11607, '2021-02-07', 'BW', 'Botswana', 'AFRO', '0', '23503', '0', '163');
INSERT INTO public.who_import VALUES (11608, '2021-02-08', 'BW', 'Botswana', 'AFRO', '0', '23503', '0', '163');
INSERT INTO public.who_import VALUES (11609, '2021-02-09', 'BW', 'Botswana', 'AFRO', '932', '24435', '16', '179');
INSERT INTO public.who_import VALUES (11610, '2021-02-10', 'BW', 'Botswana', 'AFRO', '0', '24435', '0', '179');
INSERT INTO public.who_import VALUES (11611, '2021-02-11', 'BW', 'Botswana', 'AFRO', '0', '24435', '0', '179');
INSERT INTO public.who_import VALUES (11612, '2021-02-12', 'BW', 'Botswana', 'AFRO', '0', '24435', '0', '179');
INSERT INTO public.who_import VALUES (11613, '2021-02-13', 'BW', 'Botswana', 'AFRO', '491', '24926', '23', '202');
INSERT INTO public.who_import VALUES (11614, '2021-02-14', 'BW', 'Botswana', 'AFRO', '0', '24926', '0', '202');
INSERT INTO public.who_import VALUES (11615, '2021-02-15', 'BW', 'Botswana', 'AFRO', '0', '24926', '0', '202');
INSERT INTO public.who_import VALUES (11616, '2021-02-16', 'BW', 'Botswana', 'AFRO', '876', '25802', '24', '226');
INSERT INTO public.who_import VALUES (11617, '2021-02-17', 'BW', 'Botswana', 'AFRO', '0', '25802', '0', '226');
INSERT INTO public.who_import VALUES (11618, '2021-02-18', 'BW', 'Botswana', 'AFRO', '10', '25812', '0', '226');
INSERT INTO public.who_import VALUES (11619, '2021-02-19', 'BW', 'Botswana', 'AFRO', '0', '25812', '0', '226');
INSERT INTO public.who_import VALUES (11620, '2021-02-20', 'BW', 'Botswana', 'AFRO', '712', '26524', '28', '254');
INSERT INTO public.who_import VALUES (11621, '2020-01-03', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11622, '2020-01-04', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11623, '2020-01-05', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11624, '2020-01-06', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11625, '2020-01-07', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11626, '2020-01-08', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11627, '2020-01-09', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11628, '2020-01-10', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11629, '2020-01-11', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11630, '2020-01-12', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11631, '2020-01-13', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11632, '2020-01-14', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11633, '2020-01-15', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11634, '2020-01-16', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11635, '2020-01-17', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11636, '2020-01-18', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11637, '2020-01-19', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11638, '2020-01-20', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11639, '2020-01-21', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11640, '2020-01-22', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11641, '2020-01-23', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11642, '2020-01-24', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11643, '2020-01-25', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11644, '2020-01-26', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11645, '2020-01-27', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11646, '2020-01-28', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11647, '2020-01-29', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11648, '2020-01-30', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11649, '2020-01-31', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11650, '2020-02-01', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11651, '2020-02-02', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11652, '2020-02-03', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11653, '2020-02-04', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11654, '2020-02-05', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11655, '2020-02-06', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11656, '2020-02-07', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11657, '2020-02-08', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11658, '2020-02-09', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11659, '2020-02-10', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11660, '2020-02-11', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11661, '2020-02-12', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11662, '2020-02-13', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11663, '2020-02-14', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11664, '2020-02-15', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11665, '2020-02-16', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11666, '2020-02-17', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11667, '2020-02-18', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11668, '2020-02-19', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11669, '2020-02-20', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11670, '2020-02-21', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11671, '2020-02-22', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11672, '2020-02-23', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11673, '2020-02-24', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11674, '2020-02-25', 'BR', 'Brazil', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (11675, '2020-02-26', 'BR', 'Brazil', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (11676, '2020-02-27', 'BR', 'Brazil', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (11677, '2020-02-28', 'BR', 'Brazil', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (11678, '2020-02-29', 'BR', 'Brazil', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (11679, '2020-03-01', 'BR', 'Brazil', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (11680, '2020-03-02', 'BR', 'Brazil', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (11681, '2020-03-03', 'BR', 'Brazil', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (11682, '2020-03-04', 'BR', 'Brazil', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (11683, '2020-03-05', 'BR', 'Brazil', 'AMRO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (11684, '2020-03-06', 'BR', 'Brazil', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (11685, '2020-03-07', 'BR', 'Brazil', 'AMRO', '11', '23', '0', '0');
INSERT INTO public.who_import VALUES (11686, '2020-03-08', 'BR', 'Brazil', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (11687, '2020-03-09', 'BR', 'Brazil', 'AMRO', '6', '29', '0', '0');
INSERT INTO public.who_import VALUES (11688, '2020-03-10', 'BR', 'Brazil', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (11689, '2020-03-11', 'BR', 'Brazil', 'AMRO', '9', '38', '0', '0');
INSERT INTO public.who_import VALUES (11690, '2020-03-12', 'BR', 'Brazil', 'AMRO', '18', '56', '0', '0');
INSERT INTO public.who_import VALUES (11691, '2020-03-13', 'BR', 'Brazil', 'AMRO', '46', '102', '0', '0');
INSERT INTO public.who_import VALUES (11692, '2020-03-14', 'BR', 'Brazil', 'AMRO', '23', '125', '0', '0');
INSERT INTO public.who_import VALUES (11693, '2020-03-15', 'BR', 'Brazil', 'AMRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (11694, '2020-03-16', 'BR', 'Brazil', 'AMRO', '79', '204', '0', '0');
INSERT INTO public.who_import VALUES (11695, '2020-03-17', 'BR', 'Brazil', 'AMRO', '34', '238', '0', '0');
INSERT INTO public.who_import VALUES (11696, '2020-03-18', 'BR', 'Brazil', 'AMRO', '57', '295', '1', '1');
INSERT INTO public.who_import VALUES (11697, '2020-03-19', 'BR', 'Brazil', 'AMRO', '133', '428', '3', '4');
INSERT INTO public.who_import VALUES (11698, '2020-03-20', 'BR', 'Brazil', 'AMRO', '193', '621', '0', '4');
INSERT INTO public.who_import VALUES (11699, '2020-03-21', 'BR', 'Brazil', 'AMRO', '283', '904', '7', '11');
INSERT INTO public.who_import VALUES (11700, '2020-03-22', 'BR', 'Brazil', 'AMRO', '0', '904', '0', '11');
INSERT INTO public.who_import VALUES (11701, '2020-03-23', 'BR', 'Brazil', 'AMRO', '0', '904', '0', '11');
INSERT INTO public.who_import VALUES (11702, '2020-03-24', 'BR', 'Brazil', 'AMRO', '1297', '2201', '35', '46');
INSERT INTO public.who_import VALUES (11703, '2020-03-25', 'BR', 'Brazil', 'AMRO', '0', '2201', '0', '46');
INSERT INTO public.who_import VALUES (11704, '2020-03-26', 'BR', 'Brazil', 'AMRO', '232', '2433', '11', '57');
INSERT INTO public.who_import VALUES (11705, '2020-03-27', 'BR', 'Brazil', 'AMRO', '0', '2433', '0', '57');
INSERT INTO public.who_import VALUES (11706, '2020-03-28', 'BR', 'Brazil', 'AMRO', '482', '2915', '20', '77');
INSERT INTO public.who_import VALUES (11707, '2020-03-29', 'BR', 'Brazil', 'AMRO', '502', '3417', '15', '92');
INSERT INTO public.who_import VALUES (11708, '2020-03-30', 'BR', 'Brazil', 'AMRO', '487', '3904', '22', '114');
INSERT INTO public.who_import VALUES (11709, '2020-03-31', 'BR', 'Brazil', 'AMRO', '352', '4256', '22', '136');
INSERT INTO public.who_import VALUES (11710, '2020-04-01', 'BR', 'Brazil', 'AMRO', '323', '4579', '23', '159');
INSERT INTO public.who_import VALUES (11711, '2020-04-02', 'BR', 'Brazil', 'AMRO', '1138', '5717', '42', '201');
INSERT INTO public.who_import VALUES (11712, '2020-04-03', 'BR', 'Brazil', 'AMRO', '1119', '6836', '40', '241');
INSERT INTO public.who_import VALUES (11713, '2020-04-04', 'BR', 'Brazil', 'AMRO', '1074', '7910', '58', '299');
INSERT INTO public.who_import VALUES (11714, '2020-04-05', 'BR', 'Brazil', 'AMRO', '1146', '9056', '60', '359');
INSERT INTO public.who_import VALUES (11715, '2020-04-06', 'BR', 'Brazil', 'AMRO', '1222', '10278', '73', '432');
INSERT INTO public.who_import VALUES (11716, '2020-04-07', 'BR', 'Brazil', 'AMRO', '852', '11130', '54', '486');
INSERT INTO public.who_import VALUES (11717, '2020-04-08', 'BR', 'Brazil', 'AMRO', '926', '12056', '67', '553');
INSERT INTO public.who_import VALUES (11718, '2020-04-09', 'BR', 'Brazil', 'AMRO', '1661', '13717', '114', '667');
INSERT INTO public.who_import VALUES (11719, '2020-04-10', 'BR', 'Brazil', 'AMRO', '2210', '15927', '133', '800');
INSERT INTO public.who_import VALUES (11720, '2020-04-11', 'BR', 'Brazil', 'AMRO', '1930', '17857', '141', '941');
INSERT INTO public.who_import VALUES (11721, '2020-04-12', 'BR', 'Brazil', 'AMRO', '1781', '19638', '115', '1056');
INSERT INTO public.who_import VALUES (11722, '2020-04-13', 'BR', 'Brazil', 'AMRO', '1089', '20727', '68', '1124');
INSERT INTO public.who_import VALUES (11723, '2020-04-14', 'BR', 'Brazil', 'AMRO', '1442', '22169', '99', '1223');
INSERT INTO public.who_import VALUES (11724, '2020-04-15', 'BR', 'Brazil', 'AMRO', '1261', '23430', '105', '1328');
INSERT INTO public.who_import VALUES (11725, '2020-04-16', 'BR', 'Brazil', 'AMRO', '1832', '25262', '204', '1532');
INSERT INTO public.who_import VALUES (11726, '2020-04-17', 'BR', 'Brazil', 'AMRO', '3058', '28320', '204', '1736');
INSERT INTO public.who_import VALUES (11727, '2020-04-18', 'BR', 'Brazil', 'AMRO', '2105', '30425', '188', '1924');
INSERT INTO public.who_import VALUES (11728, '2020-04-19', 'BR', 'Brazil', 'AMRO', '3257', '33682', '217', '2141');
INSERT INTO public.who_import VALUES (11729, '2020-04-20', 'BR', 'Brazil', 'AMRO', '2917', '36599', '206', '2347');
INSERT INTO public.who_import VALUES (11730, '2020-04-21', 'BR', 'Brazil', 'AMRO', '2055', '38654', '115', '2462');
INSERT INTO public.who_import VALUES (11731, '2020-04-22', 'BR', 'Brazil', 'AMRO', '1927', '40581', '113', '2575');
INSERT INTO public.who_import VALUES (11732, '2020-04-23', 'BR', 'Brazil', 'AMRO', '2498', '43079', '166', '2741');
INSERT INTO public.who_import VALUES (11733, '2020-04-24', 'BR', 'Brazil', 'AMRO', '2678', '45757', '165', '2906');
INSERT INTO public.who_import VALUES (11734, '2020-04-25', 'BR', 'Brazil', 'AMRO', '3735', '49492', '407', '3313');
INSERT INTO public.who_import VALUES (11735, '2020-04-26', 'BR', 'Brazil', 'AMRO', '3503', '52995', '357', '3670');
INSERT INTO public.who_import VALUES (11736, '2020-04-27', 'BR', 'Brazil', 'AMRO', '5514', '58509', '346', '4016');
INSERT INTO public.who_import VALUES (11737, '2020-04-28', 'BR', 'Brazil', 'AMRO', '3379', '61888', '189', '4205');
INSERT INTO public.who_import VALUES (11738, '2020-04-29', 'BR', 'Brazil', 'AMRO', '4613', '66501', '338', '4543');
INSERT INTO public.who_import VALUES (11739, '2020-04-30', 'BR', 'Brazil', 'AMRO', '5385', '71886', '474', '5017');
INSERT INTO public.who_import VALUES (11740, '2020-05-01', 'BR', 'Brazil', 'AMRO', '6276', '78162', '449', '5466');
INSERT INTO public.who_import VALUES (11741, '2020-05-02', 'BR', 'Brazil', 'AMRO', '7218', '85380', '435', '5901');
INSERT INTO public.who_import VALUES (11742, '2020-05-03', 'BR', 'Brazil', 'AMRO', '6209', '91589', '428', '6329');
INSERT INTO public.who_import VALUES (11743, '2020-05-04', 'BR', 'Brazil', 'AMRO', '4970', '96559', '421', '6750');
INSERT INTO public.who_import VALUES (11744, '2020-05-05', 'BR', 'Brazil', 'AMRO', '4588', '101147', '275', '7025');
INSERT INTO public.who_import VALUES (11745, '2020-05-06', 'BR', 'Brazil', 'AMRO', '6633', '107780', '296', '7321');
INSERT INTO public.who_import VALUES (11746, '2020-05-07', 'BR', 'Brazil', 'AMRO', '6935', '114715', '600', '7921');
INSERT INTO public.who_import VALUES (11747, '2020-05-08', 'BR', 'Brazil', 'AMRO', '10503', '125218', '615', '8536');
INSERT INTO public.who_import VALUES (11748, '2020-05-09', 'BR', 'Brazil', 'AMRO', '9888', '135106', '610', '9146');
INSERT INTO public.who_import VALUES (11749, '2020-05-10', 'BR', 'Brazil', 'AMRO', '10222', '145328', '751', '9897');
INSERT INTO public.who_import VALUES (11750, '2020-05-11', 'BR', 'Brazil', 'AMRO', '10611', '155939', '730', '10627');
INSERT INTO public.who_import VALUES (11751, '2020-05-12', 'BR', 'Brazil', 'AMRO', '6760', '162699', '496', '11123');
INSERT INTO public.who_import VALUES (11752, '2020-05-13', 'BR', 'Brazil', 'AMRO', '5632', '168331', '396', '11519');
INSERT INTO public.who_import VALUES (11753, '2020-05-14', 'BR', 'Brazil', 'AMRO', '9258', '177589', '881', '12400');
INSERT INTO public.who_import VALUES (11754, '2020-05-15', 'BR', 'Brazil', 'AMRO', '11385', '188974', '749', '13149');
INSERT INTO public.who_import VALUES (11755, '2020-05-16', 'BR', 'Brazil', 'AMRO', '13944', '202918', '844', '13993');
INSERT INTO public.who_import VALUES (11756, '2020-05-17', 'BR', 'Brazil', 'AMRO', '15305', '218223', '824', '14817');
INSERT INTO public.who_import VALUES (11757, '2020-05-18', 'BR', 'Brazil', 'AMRO', '14919', '233142', '816', '15633');
INSERT INTO public.who_import VALUES (11758, '2020-05-19', 'BR', 'Brazil', 'AMRO', '7938', '241080', '485', '16118');
INSERT INTO public.who_import VALUES (11759, '2020-05-20', 'BR', 'Brazil', 'AMRO', '13140', '254220', '674', '16792');
INSERT INTO public.who_import VALUES (11760, '2020-05-21', 'BR', 'Brazil', 'AMRO', '17408', '271628', '1179', '17971');
INSERT INTO public.who_import VALUES (11761, '2020-05-22', 'BR', 'Brazil', 'AMRO', '19951', '291579', '888', '18859');
INSERT INTO public.who_import VALUES (11762, '2020-05-23', 'BR', 'Brazil', 'AMRO', '18508', '310087', '1188', '20047');
INSERT INTO public.who_import VALUES (11763, '2020-05-24', 'BR', 'Brazil', 'AMRO', '20803', '330890', '1001', '21048');
INSERT INTO public.who_import VALUES (11764, '2020-05-25', 'BR', 'Brazil', 'AMRO', '16508', '347398', '965', '22013');
INSERT INTO public.who_import VALUES (11765, '2020-05-26', 'BR', 'Brazil', 'AMRO', '15813', '363211', '653', '22666');
INSERT INTO public.who_import VALUES (11766, '2020-05-27', 'BR', 'Brazil', 'AMRO', '11687', '374898', '807', '23473');
INSERT INTO public.who_import VALUES (11767, '2020-05-28', 'BR', 'Brazil', 'AMRO', '16324', '391222', '1039', '24512');
INSERT INTO public.who_import VALUES (11768, '2020-05-29', 'BR', 'Brazil', 'AMRO', '20599', '411821', '1086', '25598');
INSERT INTO public.who_import VALUES (11769, '2020-05-30', 'BR', 'Brazil', 'AMRO', '26417', '438238', '1156', '26754');
INSERT INTO public.who_import VALUES (11770, '2020-05-31', 'BR', 'Brazil', 'AMRO', '26928', '465166', '1124', '27878');
INSERT INTO public.who_import VALUES (11771, '2020-06-01', 'BR', 'Brazil', 'AMRO', '33274', '498440', '956', '28834');
INSERT INTO public.who_import VALUES (11772, '2020-06-02', 'BR', 'Brazil', 'AMRO', '16409', '514849', '480', '29314');
INSERT INTO public.who_import VALUES (11773, '2020-06-03', 'BR', 'Brazil', 'AMRO', '11598', '526447', '623', '29937');
INSERT INTO public.who_import VALUES (11774, '2020-06-04', 'BR', 'Brazil', 'AMRO', '28936', '555383', '1262', '31199');
INSERT INTO public.who_import VALUES (11775, '2020-06-05', 'BR', 'Brazil', 'AMRO', '28633', '584016', '1349', '32548');
INSERT INTO public.who_import VALUES (11776, '2020-06-06', 'BR', 'Brazil', 'AMRO', '30925', '614941', '1473', '34021');
INSERT INTO public.who_import VALUES (11777, '2020-06-07', 'BR', 'Brazil', 'AMRO', '30830', '645771', '1005', '35026');
INSERT INTO public.who_import VALUES (11778, '2020-06-08', 'BR', 'Brazil', 'AMRO', '27075', '672846', '904', '35930');
INSERT INTO public.who_import VALUES (11779, '2020-06-09', 'BR', 'Brazil', 'AMRO', '18912', '691758', '525', '36455');
INSERT INTO public.who_import VALUES (11780, '2020-06-10', 'BR', 'Brazil', 'AMRO', '15654', '707412', '679', '37134');
INSERT INTO public.who_import VALUES (11781, '2020-06-11', 'BR', 'Brazil', 'AMRO', '32091', '739503', '1272', '38406');
INSERT INTO public.who_import VALUES (11782, '2020-06-12', 'BR', 'Brazil', 'AMRO', '32913', '772416', '1274', '39680');
INSERT INTO public.who_import VALUES (11783, '2020-06-13', 'BR', 'Brazil', 'AMRO', '30412', '802828', '1239', '40919');
INSERT INTO public.who_import VALUES (11784, '2020-06-14', 'BR', 'Brazil', 'AMRO', '25982', '828810', '909', '41828');
INSERT INTO public.who_import VALUES (11785, '2020-06-15', 'BR', 'Brazil', 'AMRO', '21704', '850514', '892', '42720');
INSERT INTO public.who_import VALUES (11786, '2020-06-16', 'BR', 'Brazil', 'AMRO', '17110', '867624', '612', '43332');
INSERT INTO public.who_import VALUES (11787, '2020-06-17', 'BR', 'Brazil', 'AMRO', '20647', '888271', '627', '43959');
INSERT INTO public.who_import VALUES (11788, '2020-06-18', 'BR', 'Brazil', 'AMRO', '34918', '923189', '1282', '45241');
INSERT INTO public.who_import VALUES (11789, '2020-06-19', 'BR', 'Brazil', 'AMRO', '32188', '955377', '1269', '46510');
INSERT INTO public.who_import VALUES (11790, '2020-06-20', 'BR', 'Brazil', 'AMRO', '22765', '978142', '1238', '47748');
INSERT INTO public.who_import VALUES (11791, '2020-06-21', 'BR', 'Brazil', 'AMRO', '54771', '1032913', '1206', '48954');
INSERT INTO public.who_import VALUES (11792, '2020-06-22', 'BR', 'Brazil', 'AMRO', '34666', '1067579', '1022', '49976');
INSERT INTO public.who_import VALUES (11793, '2020-06-23', 'BR', 'Brazil', 'AMRO', '17459', '1085038', '641', '50617');
INSERT INTO public.who_import VALUES (11794, '2020-06-24', 'BR', 'Brazil', 'AMRO', '21432', '1106470', '654', '51271');
INSERT INTO public.who_import VALUES (11795, '2020-06-25', 'BR', 'Brazil', 'AMRO', '39436', '1145906', '1374', '52645');
INSERT INTO public.who_import VALUES (11796, '2020-06-26', 'BR', 'Brazil', 'AMRO', '42725', '1188631', '1185', '53830');
INSERT INTO public.who_import VALUES (11797, '2020-06-27', 'BR', 'Brazil', 'AMRO', '39483', '1228114', '1141', '54971');
INSERT INTO public.who_import VALUES (11798, '2020-06-28', 'BR', 'Brazil', 'AMRO', '46860', '1274974', '990', '55961');
INSERT INTO public.who_import VALUES (11799, '2020-06-29', 'BR', 'Brazil', 'AMRO', '38693', '1313667', '1109', '57070');
INSERT INTO public.who_import VALUES (11800, '2020-06-30', 'BR', 'Brazil', 'AMRO', '30476', '1344143', '552', '57622');
INSERT INTO public.who_import VALUES (11801, '2020-07-01', 'BR', 'Brazil', 'AMRO', '24052', '1368195', '692', '58314');
INSERT INTO public.who_import VALUES (11802, '2020-07-02', 'BR', 'Brazil', 'AMRO', '33846', '1402041', '1280', '59594');
INSERT INTO public.who_import VALUES (11803, '2020-07-03', 'BR', 'Brazil', 'AMRO', '46712', '1448753', '1038', '60632');
INSERT INTO public.who_import VALUES (11804, '2020-07-04', 'BR', 'Brazil', 'AMRO', '48105', '1496858', '1252', '61884');
INSERT INTO public.who_import VALUES (11805, '2020-07-05', 'BR', 'Brazil', 'AMRO', '42223', '1539081', '1290', '63174');
INSERT INTO public.who_import VALUES (11806, '2020-07-06', 'BR', 'Brazil', 'AMRO', '37923', '1577004', '1091', '64265');
INSERT INTO public.who_import VALUES (11807, '2020-07-07', 'BR', 'Brazil', 'AMRO', '26051', '1603055', '602', '64867');
INSERT INTO public.who_import VALUES (11808, '2020-07-08', 'BR', 'Brazil', 'AMRO', '20229', '1623284', '620', '65487');
INSERT INTO public.who_import VALUES (11809, '2020-07-09', 'BR', 'Brazil', 'AMRO', '45305', '1668589', '1254', '66741');
INSERT INTO public.who_import VALUES (11810, '2020-07-10', 'BR', 'Brazil', 'AMRO', '44571', '1713160', '1223', '67964');
INSERT INTO public.who_import VALUES (11811, '2020-07-11', 'BR', 'Brazil', 'AMRO', '42619', '1755779', '1220', '69184');
INSERT INTO public.who_import VALUES (11812, '2020-07-12', 'BR', 'Brazil', 'AMRO', '45048', '1800827', '1214', '70398');
INSERT INTO public.who_import VALUES (11813, '2020-07-13', 'BR', 'Brazil', 'AMRO', '39023', '1839850', '1071', '71469');
INSERT INTO public.who_import VALUES (11814, '2020-07-14', 'BR', 'Brazil', 'AMRO', '24831', '1864681', '631', '72100');
INSERT INTO public.who_import VALUES (11815, '2020-07-15', 'BR', 'Brazil', 'AMRO', '20286', '1884967', '733', '72833');
INSERT INTO public.who_import VALUES (11816, '2020-07-16', 'BR', 'Brazil', 'AMRO', '41857', '1926824', '1300', '74133');
INSERT INTO public.who_import VALUES (11817, '2020-07-17', 'BR', 'Brazil', 'AMRO', '39924', '1966748', '1233', '75366');
INSERT INTO public.who_import VALUES (11818, '2020-07-18', 'BR', 'Brazil', 'AMRO', '45403', '2012151', '1322', '76688');
INSERT INTO public.who_import VALUES (11819, '2020-07-19', 'BR', 'Brazil', 'AMRO', '34177', '2046328', '1163', '77851');
INSERT INTO public.who_import VALUES (11820, '2020-07-20', 'BR', 'Brazil', 'AMRO', '28532', '2074860', '921', '78772');
INSERT INTO public.who_import VALUES (11821, '2020-07-21', 'BR', 'Brazil', 'AMRO', '23529', '2098389', '716', '79488');
INSERT INTO public.who_import VALUES (11822, '2020-07-22', 'BR', 'Brazil', 'AMRO', '20257', '2118646', '632', '80120');
INSERT INTO public.who_import VALUES (11823, '2020-07-23', 'BR', 'Brazil', 'AMRO', '41008', '2159654', '1367', '81487');
INSERT INTO public.who_import VALUES (11824, '2020-07-24', 'BR', 'Brazil', 'AMRO', '67860', '2227514', '1284', '82771');
INSERT INTO public.who_import VALUES (11825, '2020-07-25', 'BR', 'Brazil', 'AMRO', '59961', '2287475', '1311', '84082');
INSERT INTO public.who_import VALUES (11826, '2020-07-26', 'BR', 'Brazil', 'AMRO', '55891', '2343366', '1156', '85238');
INSERT INTO public.who_import VALUES (11827, '2020-07-27', 'BR', 'Brazil', 'AMRO', '51147', '2394513', '1211', '86449');
INSERT INTO public.who_import VALUES (11828, '2020-07-28', 'BR', 'Brazil', 'AMRO', '24578', '2419091', '555', '87004');
INSERT INTO public.who_import VALUES (11829, '2020-07-29', 'BR', 'Brazil', 'AMRO', '23284', '2442375', '614', '87618');
INSERT INTO public.who_import VALUES (11830, '2020-07-30', 'BR', 'Brazil', 'AMRO', '40816', '2483191', '921', '88539');
INSERT INTO public.who_import VALUES (11831, '2020-07-31', 'BR', 'Brazil', 'AMRO', '69074', '2552265', '1595', '90134');
INSERT INTO public.who_import VALUES (11832, '2020-08-01', 'BR', 'Brazil', 'AMRO', '57837', '2610102', '1129', '91263');
INSERT INTO public.who_import VALUES (11833, '2020-08-02', 'BR', 'Brazil', 'AMRO', '52383', '2662485', '1212', '92475');
INSERT INTO public.who_import VALUES (11834, '2020-08-03', 'BR', 'Brazil', 'AMRO', '45392', '2707877', '1088', '93563');
INSERT INTO public.who_import VALUES (11835, '2020-08-04', 'BR', 'Brazil', 'AMRO', '25800', '2733677', '541', '94104');
INSERT INTO public.who_import VALUES (11836, '2020-08-05', 'BR', 'Brazil', 'AMRO', '16641', '2750318', '561', '94665');
INSERT INTO public.who_import VALUES (11837, '2020-08-06', 'BR', 'Brazil', 'AMRO', '51603', '2801921', '1154', '95819');
INSERT INTO public.who_import VALUES (11838, '2020-08-07', 'BR', 'Brazil', 'AMRO', '57152', '2859073', '1437', '97256');
INSERT INTO public.who_import VALUES (11839, '2020-08-08', 'BR', 'Brazil', 'AMRO', '53139', '2912212', '1237', '98493');
INSERT INTO public.who_import VALUES (11840, '2020-08-09', 'BR', 'Brazil', 'AMRO', '50230', '2962442', '1079', '99572');
INSERT INTO public.who_import VALUES (11841, '2020-08-10', 'BR', 'Brazil', 'AMRO', '49970', '3012412', '905', '100477');
INSERT INTO public.who_import VALUES (11842, '2020-08-11', 'BR', 'Brazil', 'AMRO', '23010', '3035422', '572', '101049');
INSERT INTO public.who_import VALUES (11843, '2020-08-12', 'BR', 'Brazil', 'AMRO', '22048', '3057470', '703', '101752');
INSERT INTO public.who_import VALUES (11844, '2020-08-13', 'BR', 'Brazil', 'AMRO', '52160', '3109630', '1274', '103026');
INSERT INTO public.who_import VALUES (11845, '2020-08-14', 'BR', 'Brazil', 'AMRO', '55155', '3164785', '1175', '104201');
INSERT INTO public.who_import VALUES (11846, '2020-08-15', 'BR', 'Brazil', 'AMRO', '60091', '3224876', '1262', '105463');
INSERT INTO public.who_import VALUES (11847, '2020-08-16', 'BR', 'Brazil', 'AMRO', '50644', '3275520', '1060', '106523');
INSERT INTO public.who_import VALUES (11848, '2020-08-17', 'BR', 'Brazil', 'AMRO', '41576', '3317096', '709', '107232');
INSERT INTO public.who_import VALUES (11849, '2020-08-18', 'BR', 'Brazil', 'AMRO', '23101', '3340197', '620', '107852');
INSERT INTO public.who_import VALUES (11850, '2020-08-19', 'BR', 'Brazil', 'AMRO', '19373', '3359570', '684', '108536');
INSERT INTO public.who_import VALUES (11851, '2020-08-20', 'BR', 'Brazil', 'AMRO', '47784', '3407354', '1352', '109888');
INSERT INTO public.who_import VALUES (11852, '2020-08-21', 'BR', 'Brazil', 'AMRO', '49298', '3456652', '1212', '111100');
INSERT INTO public.who_import VALUES (11853, '2020-08-22', 'BR', 'Brazil', 'AMRO', '45323', '3501975', '1204', '112304');
INSERT INTO public.who_import VALUES (11854, '2020-08-23', 'BR', 'Brazil', 'AMRO', '30355', '3532330', '1054', '113358');
INSERT INTO public.who_import VALUES (11855, '2020-08-24', 'BR', 'Brazil', 'AMRO', '50032', '3582362', '892', '114250');
INSERT INTO public.who_import VALUES (11856, '2020-08-25', 'BR', 'Brazil', 'AMRO', '23421', '3605783', '494', '114744');
INSERT INTO public.who_import VALUES (11857, '2020-08-26', 'BR', 'Brazil', 'AMRO', '17078', '3622861', '565', '115309');
INSERT INTO public.who_import VALUES (11858, '2020-08-27', 'BR', 'Brazil', 'AMRO', '47134', '3669995', '1271', '116580');
INSERT INTO public.who_import VALUES (11859, '2020-08-28', 'BR', 'Brazil', 'AMRO', '47161', '3717156', '1085', '117665');
INSERT INTO public.who_import VALUES (11860, '2020-08-29', 'BR', 'Brazil', 'AMRO', '44235', '3761391', '984', '118649');
INSERT INTO public.who_import VALUES (11861, '2020-08-30', 'BR', 'Brazil', 'AMRO', '43412', '3804803', '855', '119504');
INSERT INTO public.who_import VALUES (11862, '2020-08-31', 'BR', 'Brazil', 'AMRO', '41350', '3846153', '958', '120462');
INSERT INTO public.who_import VALUES (11863, '2020-09-01', 'BR', 'Brazil', 'AMRO', '16158', '3862311', '366', '120828');
INSERT INTO public.who_import VALUES (11864, '2020-09-02', 'BR', 'Brazil', 'AMRO', '45961', '3908272', '553', '121381');
INSERT INTO public.who_import VALUES (11865, '2020-09-03', 'BR', 'Brazil', 'AMRO', '42659', '3950931', '1215', '122596');
INSERT INTO public.who_import VALUES (11866, '2020-09-04', 'BR', 'Brazil', 'AMRO', '46934', '3997865', '1184', '123780');
INSERT INTO public.who_import VALUES (11867, '2020-09-05', 'BR', 'Brazil', 'AMRO', '43773', '4041638', '834', '124614');
INSERT INTO public.who_import VALUES (11868, '2020-09-06', 'BR', 'Brazil', 'AMRO', '51194', '4092832', '907', '125521');
INSERT INTO public.who_import VALUES (11869, '2020-09-07', 'BR', 'Brazil', 'AMRO', '30168', '4123000', '682', '126203');
INSERT INTO public.who_import VALUES (11870, '2020-09-08', 'BR', 'Brazil', 'AMRO', '14521', '4137521', '447', '126650');
INSERT INTO public.who_import VALUES (11871, '2020-09-09', 'BR', 'Brazil', 'AMRO', '10273', '4147794', '310', '126960');
INSERT INTO public.who_import VALUES (11872, '2020-09-10', 'BR', 'Brazil', 'AMRO', '14279', '4162073', '504', '127464');
INSERT INTO public.who_import VALUES (11873, '2020-09-11', 'BR', 'Brazil', 'AMRO', '35816', '4197889', '1075', '128539');
INSERT INTO public.who_import VALUES (11874, '2020-09-12', 'BR', 'Brazil', 'AMRO', '40557', '4238446', '983', '129522');
INSERT INTO public.who_import VALUES (11875, '2020-09-13', 'BR', 'Brazil', 'AMRO', '43718', '4282164', '874', '130396');
INSERT INTO public.who_import VALUES (11876, '2020-09-14', 'BR', 'Brazil', 'AMRO', '33523', '4315687', '814', '131210');
INSERT INTO public.who_import VALUES (11877, '2020-09-15', 'BR', 'Brazil', 'AMRO', '14768', '4330455', '415', '131625');
INSERT INTO public.who_import VALUES (11878, '2020-09-16', 'BR', 'Brazil', 'AMRO', '15155', '4345610', '381', '132006');
INSERT INTO public.who_import VALUES (11879, '2020-09-17', 'BR', 'Brazil', 'AMRO', '36653', '4382263', '1113', '133119');
INSERT INTO public.who_import VALUES (11880, '2020-09-18', 'BR', 'Brazil', 'AMRO', '36820', '4419083', '987', '134106');
INSERT INTO public.who_import VALUES (11881, '2020-09-19', 'BR', 'Brazil', 'AMRO', '36303', '4455386', '829', '134935');
INSERT INTO public.who_import VALUES (11882, '2020-09-20', 'BR', 'Brazil', 'AMRO', '39797', '4495183', '858', '135793');
INSERT INTO public.who_import VALUES (11883, '2020-09-21', 'BR', 'Brazil', 'AMRO', '33057', '4528240', '739', '136532');
INSERT INTO public.who_import VALUES (11884, '2020-09-22', 'BR', 'Brazil', 'AMRO', '16389', '4544629', '363', '136895');
INSERT INTO public.who_import VALUES (11885, '2020-09-23', 'BR', 'Brazil', 'AMRO', '13439', '4558068', '377', '137272');
INSERT INTO public.who_import VALUES (11886, '2020-09-24', 'BR', 'Brazil', 'AMRO', '33536', '4591604', '836', '138108');
INSERT INTO public.who_import VALUES (11887, '2020-09-25', 'BR', 'Brazil', 'AMRO', '33281', '4624885', '869', '138977');
INSERT INTO public.who_import VALUES (11888, '2020-09-26', 'BR', 'Brazil', 'AMRO', '32817', '4657702', '831', '139808');
INSERT INTO public.who_import VALUES (11889, '2020-09-27', 'BR', 'Brazil', 'AMRO', '31911', '4689613', '729', '140537');
INSERT INTO public.who_import VALUES (11890, '2020-09-28', 'BR', 'Brazil', 'AMRO', '28378', '4717991', '869', '141406');
INSERT INTO public.who_import VALUES (11891, '2020-09-29', 'BR', 'Brazil', 'AMRO', '14318', '4732309', '335', '141741');
INSERT INTO public.who_import VALUES (11892, '2020-09-30', 'BR', 'Brazil', 'AMRO', '13155', '4745464', '317', '142058');
INSERT INTO public.who_import VALUES (11893, '2020-10-01', 'BR', 'Brazil', 'AMRO', '32058', '4777522', '863', '142921');
INSERT INTO public.who_import VALUES (11894, '2020-10-02', 'BR', 'Brazil', 'AMRO', '33413', '4810935', '1031', '143952');
INSERT INTO public.who_import VALUES (11895, '2020-10-03', 'BR', 'Brazil', 'AMRO', '36157', '4847092', '728', '144680');
INSERT INTO public.who_import VALUES (11896, '2020-10-04', 'BR', 'Brazil', 'AMRO', '33431', '4880523', '708', '145388');
INSERT INTO public.who_import VALUES (11897, '2020-10-05', 'BR', 'Brazil', 'AMRO', '26310', '4906833', '599', '145987');
INSERT INTO public.who_import VALUES (11898, '2020-10-06', 'BR', 'Brazil', 'AMRO', '8456', '4915289', '365', '146352');
INSERT INTO public.who_import VALUES (11899, '2020-10-07', 'BR', 'Brazil', 'AMRO', '11946', '4927235', '323', '146675');
INSERT INTO public.who_import VALUES (11900, '2020-10-08', 'BR', 'Brazil', 'AMRO', '41906', '4969141', '819', '147494');
INSERT INTO public.who_import VALUES (11901, '2020-10-09', 'BR', 'Brazil', 'AMRO', '31553', '5000694', '734', '148228');
INSERT INTO public.who_import VALUES (11902, '2020-10-10', 'BR', 'Brazil', 'AMRO', '27750', '5028444', '729', '148957');
INSERT INTO public.who_import VALUES (11903, '2020-10-11', 'BR', 'Brazil', 'AMRO', '27444', '5055888', '682', '149639');
INSERT INTO public.who_import VALUES (11904, '2020-10-12', 'BR', 'Brazil', 'AMRO', '26749', '5082637', '559', '150198');
INSERT INTO public.who_import VALUES (11905, '2020-10-13', 'BR', 'Brazil', 'AMRO', '12342', '5094979', '290', '150488');
INSERT INTO public.who_import VALUES (11906, '2020-10-14', 'BR', 'Brazil', 'AMRO', '8429', '5103408', '201', '150689');
INSERT INTO public.who_import VALUES (11907, '2020-10-15', 'BR', 'Brazil', 'AMRO', '10220', '5113628', '309', '150998');
INSERT INTO public.who_import VALUES (11908, '2020-10-16', 'BR', 'Brazil', 'AMRO', '27235', '5140863', '749', '151747');
INSERT INTO public.who_import VALUES (11909, '2020-10-17', 'BR', 'Brazil', 'AMRO', '28523', '5169386', '713', '152460');
INSERT INTO public.who_import VALUES (11910, '2020-10-18', 'BR', 'Brazil', 'AMRO', '30914', '5200300', '754', '153214');
INSERT INTO public.who_import VALUES (11911, '2020-10-19', 'BR', 'Brazil', 'AMRO', '24062', '5224362', '461', '153675');
INSERT INTO public.who_import VALUES (11912, '2020-10-20', 'BR', 'Brazil', 'AMRO', '10982', '5235344', '230', '153905');
INSERT INTO public.who_import VALUES (11913, '2020-10-21', 'BR', 'Brazil', 'AMRO', '15383', '5250727', '271', '154176');
INSERT INTO public.who_import VALUES (11914, '2020-10-22', 'BR', 'Brazil', 'AMRO', '23227', '5273954', '661', '154837');
INSERT INTO public.who_import VALUES (11915, '2020-10-23', 'BR', 'Brazil', 'AMRO', '24818', '5298772', '566', '155403');
INSERT INTO public.who_import VALUES (11916, '2020-10-24', 'BR', 'Brazil', 'AMRO', '24858', '5323630', '497', '155900');
INSERT INTO public.who_import VALUES (11917, '2020-10-25', 'BR', 'Brazil', 'AMRO', '30026', '5353656', '571', '156471');
INSERT INTO public.who_import VALUES (11918, '2020-10-26', 'BR', 'Brazil', 'AMRO', '26979', '5380635', '432', '156903');
INSERT INTO public.who_import VALUES (11919, '2020-10-27', 'BR', 'Brazil', 'AMRO', '13493', '5394128', '231', '157134');
INSERT INTO public.who_import VALUES (11920, '2020-10-28', 'BR', 'Brazil', 'AMRO', '15726', '5409854', '263', '157397');
INSERT INTO public.who_import VALUES (11921, '2020-10-29', 'BR', 'Brazil', 'AMRO', '29787', '5439641', '549', '157946');
INSERT INTO public.who_import VALUES (11922, '2020-10-30', 'BR', 'Brazil', 'AMRO', '28629', '5468270', '510', '158456');
INSERT INTO public.who_import VALUES (11923, '2020-10-31', 'BR', 'Brazil', 'AMRO', '26106', '5494376', '513', '158969');
INSERT INTO public.who_import VALUES (11924, '2020-11-01', 'BR', 'Brazil', 'AMRO', '22282', '5516658', '508', '159477');
INSERT INTO public.who_import VALUES (11925, '2020-11-02', 'BR', 'Brazil', 'AMRO', '18947', '5535605', '407', '159884');
INSERT INTO public.who_import VALUES (11926, '2020-11-03', 'BR', 'Brazil', 'AMRO', '10100', '5545705', '190', '160074');
INSERT INTO public.who_import VALUES (11927, '2020-11-04', 'BR', 'Brazil', 'AMRO', '8501', '5554206', '179', '160253');
INSERT INTO public.who_import VALUES (11928, '2020-11-05', 'BR', 'Brazil', 'AMRO', '11843', '5566049', '243', '160496');
INSERT INTO public.who_import VALUES (11929, '2020-11-06', 'BR', 'Brazil', 'AMRO', '23976', '5590025', '610', '161106');
INSERT INTO public.who_import VALUES (11930, '2020-11-07', 'BR', 'Brazil', 'AMRO', '22294', '5612319', '630', '161736');
INSERT INTO public.who_import VALUES (11931, '2020-11-08', 'BR', 'Brazil', 'AMRO', '18862', '5631181', '279', '162015');
INSERT INTO public.who_import VALUES (11932, '2020-11-09', 'BR', 'Brazil', 'AMRO', '22380', '5653561', '254', '162269');
INSERT INTO public.who_import VALUES (11933, '2020-11-10', 'BR', 'Brazil', 'AMRO', '10554', '5664115', '128', '162397');
INSERT INTO public.who_import VALUES (11934, '2020-11-11', 'BR', 'Brazil', 'AMRO', '10917', '5675032', '231', '162628');
INSERT INTO public.who_import VALUES (11935, '2020-11-12', 'BR', 'Brazil', 'AMRO', '25012', '5700044', '201', '162829');
INSERT INTO public.who_import VALUES (11936, '2020-11-13', 'BR', 'Brazil', 'AMRO', '48331', '5748375', '544', '163373');
INSERT INTO public.who_import VALUES (11937, '2020-11-14', 'BR', 'Brazil', 'AMRO', '33207', '5781582', '908', '164281');
INSERT INTO public.who_import VALUES (11938, '2020-11-15', 'BR', 'Brazil', 'AMRO', '29070', '5810652', '456', '164737');
INSERT INTO public.who_import VALUES (11939, '2020-11-16', 'BR', 'Brazil', 'AMRO', '38307', '5848959', '921', '165658');
INSERT INTO public.who_import VALUES (11940, '2020-11-17', 'BR', 'Brazil', 'AMRO', '14134', '5863093', '140', '165798');
INSERT INTO public.who_import VALUES (11941, '2020-11-18', 'BR', 'Brazil', 'AMRO', '13371', '5876464', '216', '166014');
INSERT INTO public.who_import VALUES (11942, '2020-11-19', 'BR', 'Brazil', 'AMRO', '35294', '5911758', '685', '166699');
INSERT INTO public.who_import VALUES (11943, '2020-11-20', 'BR', 'Brazil', 'AMRO', '34091', '5945849', '756', '167455');
INSERT INTO public.who_import VALUES (11944, '2020-11-21', 'BR', 'Brazil', 'AMRO', '35918', '5981767', '606', '168061');
INSERT INTO public.who_import VALUES (11945, '2020-11-22', 'BR', 'Brazil', 'AMRO', '38397', '6020164', '552', '168613');
INSERT INTO public.who_import VALUES (11946, '2020-11-23', 'BR', 'Brazil', 'AMRO', '32622', '6052786', '376', '168989');
INSERT INTO public.who_import VALUES (11947, '2020-11-24', 'BR', 'Brazil', 'AMRO', '18615', '6071401', '194', '169183');
INSERT INTO public.who_import VALUES (11948, '2020-11-25', 'BR', 'Brazil', 'AMRO', '16207', '6087608', '302', '169485');
INSERT INTO public.who_import VALUES (11949, '2020-11-26', 'BR', 'Brazil', 'AMRO', '31100', '6118708', '630', '170115');
INSERT INTO public.who_import VALUES (11950, '2020-11-27', 'BR', 'Brazil', 'AMRO', '47898', '6166606', '654', '170769');
INSERT INTO public.who_import VALUES (11951, '2020-11-28', 'BR', 'Brazil', 'AMRO', '37614', '6204220', '691', '171460');
INSERT INTO public.who_import VALUES (11952, '2020-11-29', 'BR', 'Brazil', 'AMRO', '34130', '6238350', '514', '171974');
INSERT INTO public.who_import VALUES (11953, '2020-11-30', 'BR', 'Brazil', 'AMRO', '51922', '6290272', '587', '172561');
INSERT INTO public.who_import VALUES (11954, '2020-12-01', 'BR', 'Brazil', 'AMRO', '24468', '6314740', '272', '172833');
INSERT INTO public.who_import VALUES (11955, '2020-12-02', 'BR', 'Brazil', 'AMRO', '21138', '6335878', '287', '173120');
INSERT INTO public.who_import VALUES (11956, '2020-12-03', 'BR', 'Brazil', 'AMRO', '50909', '6386787', '697', '173817');
INSERT INTO public.who_import VALUES (11957, '2020-12-04', 'BR', 'Brazil', 'AMRO', '49863', '6436650', '698', '174515');
INSERT INTO public.who_import VALUES (11958, '2020-12-05', 'BR', 'Brazil', 'AMRO', '50434', '6487084', '755', '175270');
INSERT INTO public.who_import VALUES (11959, '2020-12-06', 'BR', 'Brazil', 'AMRO', '46884', '6533968', '694', '175964');
INSERT INTO public.who_import VALUES (11960, '2020-12-07', 'BR', 'Brazil', 'AMRO', '43209', '6577177', '664', '176628');
INSERT INTO public.who_import VALUES (11961, '2020-12-08', 'BR', 'Brazil', 'AMRO', '26363', '6603540', '313', '176941');
INSERT INTO public.who_import VALUES (11962, '2020-12-09', 'BR', 'Brazil', 'AMRO', '20371', '6623911', '376', '177317');
INSERT INTO public.who_import VALUES (11963, '2020-12-10', 'BR', 'Brazil', 'AMRO', '51088', '6674999', '842', '178159');
INSERT INTO public.who_import VALUES (11964, '2020-12-11', 'BR', 'Brazil', 'AMRO', '53453', '6728452', '836', '178995');
INSERT INTO public.who_import VALUES (11965, '2020-12-12', 'BR', 'Brazil', 'AMRO', '53347', '6781799', '770', '179765');
INSERT INTO public.who_import VALUES (11966, '2020-12-13', 'BR', 'Brazil', 'AMRO', '54428', '6836227', '672', '180437');
INSERT INTO public.who_import VALUES (11967, '2020-12-14', 'BR', 'Brazil', 'AMRO', '43900', '6880127', '686', '181123');
INSERT INTO public.who_import VALUES (11968, '2020-12-15', 'BR', 'Brazil', 'AMRO', '21825', '6901952', '279', '181402');
INSERT INTO public.who_import VALUES (11969, '2020-12-16', 'BR', 'Brazil', 'AMRO', '25193', '6927145', '433', '181835');
INSERT INTO public.who_import VALUES (11970, '2020-12-17', 'BR', 'Brazil', 'AMRO', '42889', '6970034', '964', '182799');
INSERT INTO public.who_import VALUES (11971, '2020-12-18', 'BR', 'Brazil', 'AMRO', '70574', '7040608', '936', '183735');
INSERT INTO public.who_import VALUES (11972, '2020-12-19', 'BR', 'Brazil', 'AMRO', '69826', '7110434', '1092', '184827');
INSERT INTO public.who_import VALUES (11973, '2020-12-20', 'BR', 'Brazil', 'AMRO', '52544', '7162978', '823', '185650');
INSERT INTO public.who_import VALUES (11974, '2020-12-21', 'BR', 'Brazil', 'AMRO', '50177', '7213155', '706', '186356');
INSERT INTO public.who_import VALUES (11975, '2020-12-22', 'BR', 'Brazil', 'AMRO', '25445', '7238600', '408', '186764');
INSERT INTO public.who_import VALUES (11976, '2020-12-23', 'BR', 'Brazil', 'AMRO', '25019', '7263619', '527', '187291');
INSERT INTO public.who_import VALUES (11977, '2020-12-24', 'BR', 'Brazil', 'AMRO', '55202', '7318821', '968', '188259');
INSERT INTO public.who_import VALUES (11978, '2020-12-25', 'BR', 'Brazil', 'AMRO', '46696', '7365517', '961', '189220');
INSERT INTO public.who_import VALUES (11979, '2020-12-26', 'BR', 'Brazil', 'AMRO', '60076', '7425593', '786', '190006');
INSERT INTO public.who_import VALUES (11980, '2020-12-27', 'BR', 'Brazil', 'AMRO', '22967', '7448560', '482', '190488');
INSERT INTO public.who_import VALUES (11981, '2020-12-28', 'BR', 'Brazil', 'AMRO', '17246', '7465806', '307', '190795');
INSERT INTO public.who_import VALUES (11982, '2020-12-29', 'BR', 'Brazil', 'AMRO', '18479', '7484285', '344', '191139');
INSERT INTO public.who_import VALUES (11983, '2020-12-30', 'BR', 'Brazil', 'AMRO', '20548', '7504833', '431', '191570');
INSERT INTO public.who_import VALUES (11984, '2020-12-31', 'BR', 'Brazil', 'AMRO', '58718', '7563551', '1111', '192681');
INSERT INTO public.who_import VALUES (11985, '2021-01-01', 'BR', 'Brazil', 'AMRO', '55649', '7619200', '1194', '193875');
INSERT INTO public.who_import VALUES (11986, '2021-01-02', 'BR', 'Brazil', 'AMRO', '56773', '7675973', '1074', '194949');
INSERT INTO public.who_import VALUES (11987, '2021-01-03', 'BR', 'Brazil', 'AMRO', '24605', '7700578', '462', '195411');
INSERT INTO public.who_import VALUES (11988, '2021-01-04', 'BR', 'Brazil', 'AMRO', '15827', '7716405', '314', '195725');
INSERT INTO public.who_import VALUES (11989, '2021-01-05', 'BR', 'Brazil', 'AMRO', '17341', '7733746', '293', '196018');
INSERT INTO public.who_import VALUES (11990, '2021-01-06', 'BR', 'Brazil', 'AMRO', '20006', '7753752', '543', '196561');
INSERT INTO public.who_import VALUES (11991, '2021-01-07', 'BR', 'Brazil', 'AMRO', '56648', '7810400', '1171', '197732');
INSERT INTO public.who_import VALUES (11992, '2021-01-08', 'BR', 'Brazil', 'AMRO', '63430', '7873830', '1242', '198974');
INSERT INTO public.who_import VALUES (11993, '2021-01-09', 'BR', 'Brazil', 'AMRO', '87843', '7961673', '1524', '200498');
INSERT INTO public.who_import VALUES (11994, '2021-01-10', 'BR', 'Brazil', 'AMRO', '52035', '8013708', '962', '201460');
INSERT INTO public.who_import VALUES (11995, '2021-01-11', 'BR', 'Brazil', 'AMRO', '62290', '8075998', '1171', '202631');
INSERT INTO public.who_import VALUES (11996, '2021-01-12', 'BR', 'Brazil', 'AMRO', '29792', '8105790', '469', '203100');
INSERT INTO public.who_import VALUES (11997, '2021-01-13', 'BR', 'Brazil', 'AMRO', '25822', '8131612', '480', '203580');
INSERT INTO public.who_import VALUES (11998, '2021-01-14', 'BR', 'Brazil', 'AMRO', '64025', '8195637', '1110', '204690');
INSERT INTO public.who_import VALUES (11999, '2021-01-15', 'BR', 'Brazil', 'AMRO', '60899', '8256536', '1274', '205964');
INSERT INTO public.who_import VALUES (12000, '2021-01-16', 'BR', 'Brazil', 'AMRO', '67758', '8324294', '1131', '207095');
INSERT INTO public.who_import VALUES (12001, '2021-01-17', 'BR', 'Brazil', 'AMRO', '69198', '8393492', '1151', '208246');
INSERT INTO public.who_import VALUES (12002, '2021-01-18', 'BR', 'Brazil', 'AMRO', '61567', '8455059', '1050', '209296');
INSERT INTO public.who_import VALUES (12003, '2021-01-19', 'BR', 'Brazil', 'AMRO', '33040', '8488099', '551', '209847');
INSERT INTO public.who_import VALUES (12004, '2021-01-20', 'BR', 'Brazil', 'AMRO', '23671', '8511770', '452', '210299');
INSERT INTO public.who_import VALUES (12005, '2021-01-21', 'BR', 'Brazil', 'AMRO', '62094', '8573864', '1192', '211491');
INSERT INTO public.who_import VALUES (12006, '2021-01-22', 'BR', 'Brazil', 'AMRO', '64385', '8638249', '1340', '212831');
INSERT INTO public.who_import VALUES (12007, '2021-01-23', 'BR', 'Brazil', 'AMRO', '59119', '8697368', '1316', '214147');
INSERT INTO public.who_import VALUES (12008, '2021-01-24', 'BR', 'Brazil', 'AMRO', '56552', '8753920', '1096', '215243');
INSERT INTO public.who_import VALUES (12009, '2021-01-25', 'BR', 'Brazil', 'AMRO', '62334', '8816254', '1202', '216445');
INSERT INTO public.who_import VALUES (12010, '2021-01-26', 'BR', 'Brazil', 'AMRO', '28323', '8844577', '592', '217037');
INSERT INTO public.who_import VALUES (12011, '2021-01-27', 'BR', 'Brazil', 'AMRO', '26816', '8871393', '627', '217664');
INSERT INTO public.who_import VALUES (12012, '2021-01-28', 'BR', 'Brazil', 'AMRO', '61963', '8933356', '1214', '218878');
INSERT INTO public.who_import VALUES (12013, '2021-01-29', 'BR', 'Brazil', 'AMRO', '63520', '8996876', '1283', '220161');
INSERT INTO public.who_import VALUES (12014, '2021-01-30', 'BR', 'Brazil', 'AMRO', '61811', '9058687', '1386', '221547');
INSERT INTO public.who_import VALUES (12015, '2021-01-31', 'BR', 'Brazil', 'AMRO', '59826', '9118513', '1119', '222666');
INSERT INTO public.who_import VALUES (12016, '2021-02-01', 'BR', 'Brazil', 'AMRO', '58462', '9176975', '1279', '223945');
INSERT INTO public.who_import VALUES (12017, '2021-02-02', 'BR', 'Brazil', 'AMRO', '27756', '9204731', '559', '224504');
INSERT INTO public.who_import VALUES (12018, '2021-02-03', 'BR', 'Brazil', 'AMRO', '24591', '9229322', '595', '225099');
INSERT INTO public.who_import VALUES (12019, '2021-02-04', 'BR', 'Brazil', 'AMRO', '54096', '9283418', '1210', '226309');
INSERT INTO public.who_import VALUES (12020, '2021-02-05', 'BR', 'Brazil', 'AMRO', '56002', '9339420', '1254', '227563');
INSERT INTO public.who_import VALUES (12021, '2021-02-06', 'BR', 'Brazil', 'AMRO', '56873', '9396293', '1232', '228795');
INSERT INTO public.who_import VALUES (12022, '2021-02-07', 'BR', 'Brazil', 'AMRO', '50872', '9447165', '1239', '230034');
INSERT INTO public.who_import VALUES (12023, '2021-02-08', 'BR', 'Brazil', 'AMRO', '50630', '9497795', '978', '231012');
INSERT INTO public.who_import VALUES (12024, '2021-02-09', 'BR', 'Brazil', 'AMRO', '26845', '9524640', '522', '231534');
INSERT INTO public.who_import VALUES (12025, '2021-02-10', 'BR', 'Brazil', 'AMRO', '23439', '9548079', '636', '232170');
INSERT INTO public.who_import VALUES (12026, '2021-02-11', 'BR', 'Brazil', 'AMRO', '51486', '9599565', '1350', '233520');
INSERT INTO public.who_import VALUES (12027, '2021-02-12', 'BR', 'Brazil', 'AMRO', '59602', '9659167', '1330', '234850');
INSERT INTO public.who_import VALUES (12028, '2021-02-13', 'BR', 'Brazil', 'AMRO', '54742', '9713909', '1351', '236201');
INSERT INTO public.who_import VALUES (12029, '2021-02-14', 'BR', 'Brazil', 'AMRO', '51546', '9765455', '1288', '237489');
INSERT INTO public.who_import VALUES (12030, '2021-02-15', 'BR', 'Brazil', 'AMRO', '44299', '9809754', '1043', '238532');
INSERT INTO public.who_import VALUES (12031, '2021-02-16', 'BR', 'Brazil', 'AMRO', '24759', '9834513', '713', '239245');
INSERT INTO public.who_import VALUES (12032, '2021-02-17', 'BR', 'Brazil', 'AMRO', '32197', '9866710', '528', '239773');
INSERT INTO public.who_import VALUES (12033, '2021-02-18', 'BR', 'Brazil', 'AMRO', '55271', '9921981', '1167', '240940');
INSERT INTO public.who_import VALUES (12034, '2021-02-19', 'BR', 'Brazil', 'AMRO', '56766', '9978747', '1150', '242090');
INSERT INTO public.who_import VALUES (12035, '2021-02-20', 'BR', 'Brazil', 'AMRO', '51879', '10030626', '1367', '243457');
INSERT INTO public.who_import VALUES (12036, '2020-01-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12037, '2020-01-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12038, '2020-01-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12039, '2020-01-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12040, '2020-01-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12041, '2020-01-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12042, '2020-01-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12043, '2020-01-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12044, '2020-01-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12045, '2020-01-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12046, '2020-01-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12047, '2020-01-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12048, '2020-01-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12049, '2020-01-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12050, '2020-01-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12051, '2020-01-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12052, '2020-01-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12053, '2020-01-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12054, '2020-01-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12055, '2020-01-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12056, '2020-01-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12057, '2020-01-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12058, '2020-01-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12059, '2020-01-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12060, '2020-01-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12061, '2020-01-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12062, '2020-01-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12063, '2020-01-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12064, '2020-01-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12065, '2020-02-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12066, '2020-02-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12067, '2020-02-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12068, '2020-02-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12069, '2020-02-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12070, '2020-02-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12071, '2020-02-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12072, '2020-02-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12073, '2020-02-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12074, '2020-02-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12075, '2020-02-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12076, '2020-02-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12077, '2020-02-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12078, '2020-02-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12079, '2020-02-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12080, '2020-02-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12081, '2020-02-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12082, '2020-02-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12083, '2020-02-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12084, '2020-02-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12085, '2020-02-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12086, '2020-02-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12087, '2020-02-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12088, '2020-02-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12089, '2020-02-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12090, '2020-02-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12091, '2020-02-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12092, '2020-02-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12093, '2020-02-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12094, '2020-03-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12095, '2020-03-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12096, '2020-03-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12097, '2020-03-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12098, '2020-03-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12099, '2020-03-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12100, '2020-03-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12101, '2020-03-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12102, '2020-03-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12103, '2020-03-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12104, '2020-03-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12105, '2020-03-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12106, '2020-03-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12107, '2020-03-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12108, '2020-03-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12109, '2020-03-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12110, '2020-03-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12111, '2020-03-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12112, '2020-03-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12113, '2020-03-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12114, '2020-03-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12115, '2020-03-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12116, '2020-03-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12117, '2020-03-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12118, '2020-03-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12119, '2020-03-26', 'VG', 'British Virgin Islands', 'AMRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (12120, '2020-03-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (12121, '2020-03-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (12122, '2020-03-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (12123, '2020-03-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (12124, '2020-03-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (12125, '2020-04-01', 'VG', 'British Virgin Islands', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (12126, '2020-04-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12127, '2020-04-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12128, '2020-04-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12129, '2020-04-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12130, '2020-04-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12131, '2020-04-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12132, '2020-04-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12133, '2020-04-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12134, '2020-04-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12135, '2020-04-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12136, '2020-04-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12137, '2020-04-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12138, '2020-04-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12139, '2020-04-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12140, '2020-04-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12141, '2020-04-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12142, '2020-04-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12143, '2020-04-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (12144, '2020-04-20', 'VG', 'British Virgin Islands', 'AMRO', '1', '4', '1', '1');
INSERT INTO public.who_import VALUES (12145, '2020-04-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (12146, '2020-04-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (12147, '2020-04-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (12148, '2020-04-24', 'VG', 'British Virgin Islands', 'AMRO', '1', '5', '0', '1');
INSERT INTO public.who_import VALUES (12149, '2020-04-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (12150, '2020-04-26', 'VG', 'British Virgin Islands', 'AMRO', '1', '6', '0', '1');
INSERT INTO public.who_import VALUES (12151, '2020-04-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12152, '2020-04-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12153, '2020-04-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12154, '2020-04-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12155, '2020-05-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12156, '2020-05-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12157, '2020-05-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12158, '2020-05-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12159, '2020-05-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (12160, '2020-05-06', 'VG', 'British Virgin Islands', 'AMRO', '1', '7', '0', '1');
INSERT INTO public.who_import VALUES (12161, '2020-05-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12162, '2020-05-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12163, '2020-05-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12164, '2020-05-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12165, '2020-05-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12166, '2020-05-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12167, '2020-05-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12168, '2020-05-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12169, '2020-05-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (12170, '2020-05-16', 'VG', 'British Virgin Islands', 'AMRO', '1', '8', '0', '1');
INSERT INTO public.who_import VALUES (12171, '2020-05-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12172, '2020-05-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12173, '2020-05-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12174, '2020-05-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12175, '2020-05-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12176, '2020-05-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12177, '2020-05-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12178, '2020-05-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12179, '2020-05-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12180, '2020-05-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12181, '2020-05-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12182, '2020-05-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12183, '2020-05-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12184, '2020-05-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12185, '2020-05-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12186, '2020-06-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12187, '2020-06-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12188, '2020-06-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12189, '2020-06-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12190, '2020-06-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12191, '2020-06-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12192, '2020-06-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12193, '2020-06-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12194, '2020-06-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12195, '2020-06-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12196, '2020-06-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12197, '2020-06-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12198, '2020-06-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12199, '2020-06-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12200, '2020-06-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12201, '2020-06-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12202, '2020-06-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12203, '2020-06-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12204, '2020-06-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12205, '2020-06-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12206, '2020-06-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12207, '2020-06-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12208, '2020-06-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12209, '2020-06-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12210, '2020-06-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12211, '2020-06-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12212, '2020-06-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12213, '2020-06-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12214, '2020-06-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12215, '2020-06-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12216, '2020-07-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12217, '2020-07-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12218, '2020-07-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12219, '2020-07-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12220, '2020-07-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12221, '2020-07-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12222, '2020-07-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12223, '2020-07-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12224, '2020-07-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12225, '2020-07-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12226, '2020-07-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12227, '2020-07-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12228, '2020-07-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12229, '2020-07-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12230, '2020-07-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12231, '2020-07-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12232, '2020-07-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12233, '2020-07-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12234, '2020-07-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12235, '2020-07-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12236, '2020-07-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12237, '2020-07-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12238, '2020-07-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12239, '2020-07-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12240, '2020-07-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12241, '2020-07-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12242, '2020-07-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12243, '2020-07-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12244, '2020-07-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12245, '2020-07-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12246, '2020-07-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12247, '2020-08-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12248, '2020-08-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12249, '2020-08-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12250, '2020-08-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (12251, '2020-08-05', 'VG', 'British Virgin Islands', 'AMRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (12252, '2020-08-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12253, '2020-08-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12254, '2020-08-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12255, '2020-08-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12256, '2020-08-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12257, '2020-08-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12258, '2020-08-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12259, '2020-08-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12260, '2020-08-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12261, '2020-08-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12262, '2020-08-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12263, '2020-08-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12264, '2020-08-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (12265, '2020-08-19', 'VG', 'British Virgin Islands', 'AMRO', '2', '11', '0', '1');
INSERT INTO public.who_import VALUES (12266, '2020-08-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (12267, '2020-08-21', 'VG', 'British Virgin Islands', 'AMRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (12268, '2020-08-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (12269, '2020-08-23', 'VG', 'British Virgin Islands', 'AMRO', '9', '21', '0', '1');
INSERT INTO public.who_import VALUES (12270, '2020-08-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (12271, '2020-08-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (12272, '2020-08-26', 'VG', 'British Virgin Islands', 'AMRO', '5', '26', '0', '1');
INSERT INTO public.who_import VALUES (12273, '2020-08-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (12274, '2020-08-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (12275, '2020-08-29', 'VG', 'British Virgin Islands', 'AMRO', '9', '35', '0', '1');
INSERT INTO public.who_import VALUES (12276, '2020-08-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (12277, '2020-08-31', 'VG', 'British Virgin Islands', 'AMRO', '2', '37', '0', '1');
INSERT INTO public.who_import VALUES (12278, '2020-09-01', 'VG', 'British Virgin Islands', 'AMRO', '10', '47', '0', '1');
INSERT INTO public.who_import VALUES (12279, '2020-09-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '47', '0', '1');
INSERT INTO public.who_import VALUES (12280, '2020-09-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '47', '0', '1');
INSERT INTO public.who_import VALUES (12281, '2020-09-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '47', '0', '1');
INSERT INTO public.who_import VALUES (12282, '2020-09-05', 'VG', 'British Virgin Islands', 'AMRO', '16', '63', '0', '1');
INSERT INTO public.who_import VALUES (12283, '2020-09-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (12284, '2020-09-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (12285, '2020-09-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (12286, '2020-09-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (12287, '2020-09-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (12288, '2020-09-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (12289, '2020-09-12', 'VG', 'British Virgin Islands', 'AMRO', '1', '64', '0', '1');
INSERT INTO public.who_import VALUES (12290, '2020-09-13', 'VG', 'British Virgin Islands', 'AMRO', '2', '66', '0', '1');
INSERT INTO public.who_import VALUES (12291, '2020-09-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (12292, '2020-09-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (12293, '2020-09-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (12294, '2020-09-17', 'VG', 'British Virgin Islands', 'AMRO', '3', '69', '0', '1');
INSERT INTO public.who_import VALUES (12295, '2020-09-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '69', '0', '1');
INSERT INTO public.who_import VALUES (12296, '2020-09-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '69', '0', '1');
INSERT INTO public.who_import VALUES (12297, '2020-09-20', 'VG', 'British Virgin Islands', 'AMRO', '2', '71', '0', '1');
INSERT INTO public.who_import VALUES (12298, '2020-09-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12299, '2020-09-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12300, '2020-09-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12301, '2020-09-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12302, '2020-09-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12303, '2020-09-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12304, '2020-09-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12305, '2020-09-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12306, '2020-09-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12307, '2020-09-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12308, '2020-10-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12309, '2020-10-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12310, '2020-10-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12311, '2020-10-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12312, '2020-10-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12313, '2020-10-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12314, '2020-10-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12315, '2020-10-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12316, '2020-10-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12317, '2020-10-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12318, '2020-10-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12319, '2020-10-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12320, '2020-10-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12321, '2020-10-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (12322, '2020-10-15', 'VG', 'British Virgin Islands', 'AMRO', '1', '72', '0', '1');
INSERT INTO public.who_import VALUES (12323, '2020-10-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12324, '2020-10-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12325, '2020-10-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12326, '2020-10-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12327, '2020-10-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12328, '2020-10-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12329, '2020-10-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12330, '2020-10-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12331, '2020-10-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12332, '2020-10-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12333, '2020-10-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12334, '2020-10-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12335, '2020-10-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12336, '2020-10-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12337, '2020-10-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12338, '2020-10-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12339, '2020-11-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12340, '2020-11-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12341, '2020-11-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12342, '2020-11-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12343, '2020-11-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12344, '2020-11-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12345, '2020-11-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12346, '2020-11-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12347, '2020-11-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12348, '2020-11-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12349, '2020-11-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12350, '2020-11-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12351, '2020-11-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12352, '2020-11-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12353, '2020-11-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12354, '2020-11-16', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12355, '2020-11-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12356, '2020-11-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12357, '2020-11-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12358, '2020-11-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12359, '2020-11-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12360, '2020-11-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12361, '2020-11-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12362, '2020-11-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12363, '2020-11-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12364, '2020-11-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12365, '2020-11-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12366, '2020-11-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12367, '2020-11-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (12368, '2020-11-30', 'VG', 'British Virgin Islands', 'AMRO', '1', '73', '0', '1');
INSERT INTO public.who_import VALUES (12369, '2020-12-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12370, '2020-12-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12371, '2020-12-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12372, '2020-12-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12373, '2020-12-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12374, '2020-12-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12375, '2020-12-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12376, '2020-12-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12377, '2020-12-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (12378, '2020-12-10', 'VG', 'British Virgin Islands', 'AMRO', '2', '75', '0', '1');
INSERT INTO public.who_import VALUES (12379, '2020-12-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '75', '0', '1');
INSERT INTO public.who_import VALUES (12380, '2020-12-12', 'VG', 'British Virgin Islands', 'AMRO', '1', '76', '0', '1');
INSERT INTO public.who_import VALUES (12381, '2020-12-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '76', '0', '1');
INSERT INTO public.who_import VALUES (12382, '2020-12-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '76', '0', '1');
INSERT INTO public.who_import VALUES (12383, '2020-12-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '76', '0', '1');
INSERT INTO public.who_import VALUES (12384, '2020-12-16', 'VG', 'British Virgin Islands', 'AMRO', '4', '80', '0', '1');
INSERT INTO public.who_import VALUES (12385, '2020-12-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '80', '0', '1');
INSERT INTO public.who_import VALUES (12386, '2020-12-18', 'VG', 'British Virgin Islands', 'AMRO', '3', '83', '0', '1');
INSERT INTO public.who_import VALUES (12387, '2020-12-19', 'VG', 'British Virgin Islands', 'AMRO', '3', '86', '0', '1');
INSERT INTO public.who_import VALUES (12388, '2020-12-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '86', '0', '1');
INSERT INTO public.who_import VALUES (12389, '2020-12-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '86', '0', '1');
INSERT INTO public.who_import VALUES (12390, '2020-12-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '86', '0', '1');
INSERT INTO public.who_import VALUES (12391, '2020-12-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '86', '0', '1');
INSERT INTO public.who_import VALUES (12392, '2020-12-24', 'VG', 'British Virgin Islands', 'AMRO', '0', '86', '0', '1');
INSERT INTO public.who_import VALUES (12393, '2020-12-25', 'VG', 'British Virgin Islands', 'AMRO', '7', '93', '0', '1');
INSERT INTO public.who_import VALUES (12394, '2020-12-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12395, '2020-12-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12396, '2020-12-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12397, '2020-12-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12398, '2020-12-30', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12399, '2020-12-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12400, '2021-01-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12401, '2021-01-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12402, '2021-01-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12403, '2021-01-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (12404, '2021-01-05', 'VG', 'British Virgin Islands', 'AMRO', '4', '97', '0', '1');
INSERT INTO public.who_import VALUES (12405, '2021-01-06', 'VG', 'British Virgin Islands', 'AMRO', '10', '107', '0', '1');
INSERT INTO public.who_import VALUES (12406, '2021-01-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '107', '0', '1');
INSERT INTO public.who_import VALUES (12407, '2021-01-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '107', '0', '1');
INSERT INTO public.who_import VALUES (12408, '2021-01-09', 'VG', 'British Virgin Islands', 'AMRO', '7', '114', '0', '1');
INSERT INTO public.who_import VALUES (12409, '2021-01-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '114', '0', '1');
INSERT INTO public.who_import VALUES (12410, '2021-01-11', 'VG', 'British Virgin Islands', 'AMRO', '0', '114', '0', '1');
INSERT INTO public.who_import VALUES (12411, '2021-01-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '114', '0', '1');
INSERT INTO public.who_import VALUES (12412, '2021-01-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '114', '0', '1');
INSERT INTO public.who_import VALUES (12413, '2021-01-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '114', '0', '1');
INSERT INTO public.who_import VALUES (12414, '2021-01-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '114', '0', '1');
INSERT INTO public.who_import VALUES (12415, '2021-01-16', 'VG', 'British Virgin Islands', 'AMRO', '7', '121', '0', '1');
INSERT INTO public.who_import VALUES (12416, '2021-01-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12417, '2021-01-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12418, '2021-01-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12419, '2021-01-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12420, '2021-01-21', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12421, '2021-01-22', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12422, '2021-01-23', 'VG', 'British Virgin Islands', 'AMRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (12423, '2021-01-24', 'VG', 'British Virgin Islands', 'AMRO', '16', '137', '0', '1');
INSERT INTO public.who_import VALUES (12424, '2021-01-25', 'VG', 'British Virgin Islands', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (12425, '2021-01-26', 'VG', 'British Virgin Islands', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (12426, '2021-01-27', 'VG', 'British Virgin Islands', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (12427, '2021-01-28', 'VG', 'British Virgin Islands', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (12428, '2021-01-29', 'VG', 'British Virgin Islands', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (12429, '2021-01-30', 'VG', 'British Virgin Islands', 'AMRO', '4', '141', '0', '1');
INSERT INTO public.who_import VALUES (12430, '2021-01-31', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12431, '2021-02-01', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12432, '2021-02-02', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12433, '2021-02-03', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12434, '2021-02-04', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12435, '2021-02-05', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12436, '2021-02-06', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12437, '2021-02-07', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12438, '2021-02-08', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12439, '2021-02-09', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12440, '2021-02-10', 'VG', 'British Virgin Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12441, '2021-02-11', 'VG', 'British Virgin Islands', 'AMRO', '10', '151', '0', '1');
INSERT INTO public.who_import VALUES (12442, '2021-02-12', 'VG', 'British Virgin Islands', 'AMRO', '0', '151', '0', '1');
INSERT INTO public.who_import VALUES (12443, '2021-02-13', 'VG', 'British Virgin Islands', 'AMRO', '0', '151', '0', '1');
INSERT INTO public.who_import VALUES (12444, '2021-02-14', 'VG', 'British Virgin Islands', 'AMRO', '0', '151', '0', '1');
INSERT INTO public.who_import VALUES (12445, '2021-02-15', 'VG', 'British Virgin Islands', 'AMRO', '0', '151', '0', '1');
INSERT INTO public.who_import VALUES (12446, '2021-02-16', 'VG', 'British Virgin Islands', 'AMRO', '2', '153', '0', '1');
INSERT INTO public.who_import VALUES (12447, '2021-02-17', 'VG', 'British Virgin Islands', 'AMRO', '0', '153', '0', '1');
INSERT INTO public.who_import VALUES (12448, '2021-02-18', 'VG', 'British Virgin Islands', 'AMRO', '0', '153', '0', '1');
INSERT INTO public.who_import VALUES (12449, '2021-02-19', 'VG', 'British Virgin Islands', 'AMRO', '0', '153', '0', '1');
INSERT INTO public.who_import VALUES (12450, '2021-02-20', 'VG', 'British Virgin Islands', 'AMRO', '0', '153', '0', '1');
INSERT INTO public.who_import VALUES (12451, '2020-01-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13787, '2020-04-03', 'BI', 'Burundi', 'AFRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (12452, '2020-01-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12453, '2020-01-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12454, '2020-01-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12455, '2020-01-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12456, '2020-01-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12457, '2020-01-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12458, '2020-01-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12459, '2020-01-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12460, '2020-01-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12461, '2020-01-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12462, '2020-01-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12463, '2020-01-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12464, '2020-01-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12465, '2020-01-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12466, '2020-01-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12467, '2020-01-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12468, '2020-01-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12469, '2020-01-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12470, '2020-01-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12471, '2020-01-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12472, '2020-01-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12473, '2020-01-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12474, '2020-01-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12475, '2020-01-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12476, '2020-01-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12477, '2020-01-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12478, '2020-01-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12479, '2020-01-31', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12480, '2020-02-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12481, '2020-02-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12482, '2020-02-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12483, '2020-02-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12484, '2020-02-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12485, '2020-02-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12486, '2020-02-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12487, '2020-02-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12488, '2020-02-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12489, '2020-02-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12490, '2020-02-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12491, '2020-02-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12492, '2020-02-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12493, '2020-02-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12494, '2020-02-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12495, '2020-02-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12496, '2020-02-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12497, '2020-02-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12498, '2020-02-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12499, '2020-02-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12500, '2020-02-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12501, '2020-02-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12502, '2020-02-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12503, '2020-02-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12504, '2020-02-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12505, '2020-02-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12506, '2020-02-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12507, '2020-02-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12508, '2020-02-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12509, '2020-03-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12510, '2020-03-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12511, '2020-03-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12512, '2020-03-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12513, '2020-03-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12514, '2020-03-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12515, '2020-03-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12516, '2020-03-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12517, '2020-03-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12518, '2020-03-10', 'BN', 'Brunei Darussalam', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (12519, '2020-03-11', 'BN', 'Brunei Darussalam', 'WPRO', '11', '16', '0', '0');
INSERT INTO public.who_import VALUES (12520, '2020-03-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (12521, '2020-03-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (12522, '2020-03-14', 'BN', 'Brunei Darussalam', 'WPRO', '13', '29', '0', '0');
INSERT INTO public.who_import VALUES (12523, '2020-03-15', 'BN', 'Brunei Darussalam', 'WPRO', '15', '44', '0', '0');
INSERT INTO public.who_import VALUES (12524, '2020-03-16', 'BN', 'Brunei Darussalam', 'WPRO', '10', '54', '0', '0');
INSERT INTO public.who_import VALUES (12525, '2020-03-17', 'BN', 'Brunei Darussalam', 'WPRO', '4', '58', '0', '0');
INSERT INTO public.who_import VALUES (12526, '2020-03-18', 'BN', 'Brunei Darussalam', 'WPRO', '2', '60', '0', '0');
INSERT INTO public.who_import VALUES (12527, '2020-03-19', 'BN', 'Brunei Darussalam', 'WPRO', '13', '73', '0', '0');
INSERT INTO public.who_import VALUES (12528, '2020-03-20', 'BN', 'Brunei Darussalam', 'WPRO', '5', '78', '0', '0');
INSERT INTO public.who_import VALUES (12529, '2020-03-21', 'BN', 'Brunei Darussalam', 'WPRO', '5', '83', '0', '0');
INSERT INTO public.who_import VALUES (12530, '2020-03-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '83', '0', '0');
INSERT INTO public.who_import VALUES (12531, '2020-03-23', 'BN', 'Brunei Darussalam', 'WPRO', '5', '88', '0', '0');
INSERT INTO public.who_import VALUES (12532, '2020-03-24', 'BN', 'Brunei Darussalam', 'WPRO', '3', '91', '0', '0');
INSERT INTO public.who_import VALUES (12533, '2020-03-25', 'BN', 'Brunei Darussalam', 'WPRO', '13', '104', '0', '0');
INSERT INTO public.who_import VALUES (12534, '2020-03-26', 'BN', 'Brunei Darussalam', 'WPRO', '5', '109', '0', '0');
INSERT INTO public.who_import VALUES (12535, '2020-03-27', 'BN', 'Brunei Darussalam', 'WPRO', '5', '114', '0', '0');
INSERT INTO public.who_import VALUES (12536, '2020-03-28', 'BN', 'Brunei Darussalam', 'WPRO', '1', '115', '1', '1');
INSERT INTO public.who_import VALUES (12537, '2020-03-29', 'BN', 'Brunei Darussalam', 'WPRO', '5', '120', '0', '1');
INSERT INTO public.who_import VALUES (12538, '2020-03-30', 'BN', 'Brunei Darussalam', 'WPRO', '6', '126', '0', '1');
INSERT INTO public.who_import VALUES (12539, '2020-03-31', 'BN', 'Brunei Darussalam', 'WPRO', '1', '127', '0', '1');
INSERT INTO public.who_import VALUES (12540, '2020-04-01', 'BN', 'Brunei Darussalam', 'WPRO', '2', '129', '0', '1');
INSERT INTO public.who_import VALUES (12541, '2020-04-02', 'BN', 'Brunei Darussalam', 'WPRO', '2', '131', '0', '1');
INSERT INTO public.who_import VALUES (12542, '2020-04-03', 'BN', 'Brunei Darussalam', 'WPRO', '2', '133', '0', '1');
INSERT INTO public.who_import VALUES (12543, '2020-04-04', 'BN', 'Brunei Darussalam', 'WPRO', '1', '134', '0', '1');
INSERT INTO public.who_import VALUES (12544, '2020-04-05', 'BN', 'Brunei Darussalam', 'WPRO', '1', '135', '0', '1');
INSERT INTO public.who_import VALUES (12545, '2020-04-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (12546, '2020-04-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (12547, '2020-04-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (12548, '2020-04-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (12549, '2020-04-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (12550, '2020-04-11', 'BN', 'Brunei Darussalam', 'WPRO', '1', '136', '0', '1');
INSERT INTO public.who_import VALUES (12551, '2020-04-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12552, '2020-04-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12553, '2020-04-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12554, '2020-04-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12555, '2020-04-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12556, '2020-04-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12557, '2020-04-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '136', '0', '1');
INSERT INTO public.who_import VALUES (12558, '2020-04-19', 'BN', 'Brunei Darussalam', 'WPRO', '1', '137', '0', '1');
INSERT INTO public.who_import VALUES (12559, '2020-04-20', 'BN', 'Brunei Darussalam', 'WPRO', '1', '138', '0', '1');
INSERT INTO public.who_import VALUES (12560, '2020-04-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12561, '2020-04-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12562, '2020-04-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12563, '2020-04-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12564, '2020-04-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12565, '2020-04-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12566, '2020-04-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12567, '2020-04-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12568, '2020-04-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12569, '2020-04-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12570, '2020-05-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12571, '2020-05-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12572, '2020-05-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12573, '2020-05-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12574, '2020-05-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12575, '2020-05-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (12576, '2020-05-07', 'BN', 'Brunei Darussalam', 'WPRO', '1', '139', '0', '1');
INSERT INTO public.who_import VALUES (12577, '2020-05-08', 'BN', 'Brunei Darussalam', 'WPRO', '2', '141', '0', '1');
INSERT INTO public.who_import VALUES (12578, '2020-05-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12579, '2020-05-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12580, '2020-05-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12581, '2020-05-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12582, '2020-05-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12583, '2020-05-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12584, '2020-05-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12585, '2020-05-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12586, '2020-05-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12587, '2020-05-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12588, '2020-05-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12589, '2020-05-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12590, '2020-05-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12591, '2020-05-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12592, '2020-05-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12593, '2020-05-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12594, '2020-05-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12595, '2020-05-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12596, '2020-05-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (12597, '2020-05-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '1', '2');
INSERT INTO public.who_import VALUES (12598, '2020-05-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12599, '2020-05-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12600, '2020-05-31', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12601, '2020-06-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12602, '2020-06-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12603, '2020-06-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12604, '2020-06-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12605, '2020-06-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12606, '2020-06-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12607, '2020-06-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12608, '2020-06-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12609, '2020-06-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12610, '2020-06-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12611, '2020-06-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12612, '2020-06-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12613, '2020-06-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12614, '2020-06-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12615, '2020-06-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12616, '2020-06-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '2');
INSERT INTO public.who_import VALUES (12617, '2020-06-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '1', '3');
INSERT INTO public.who_import VALUES (12618, '2020-06-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12619, '2020-06-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12620, '2020-06-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12621, '2020-06-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12622, '2020-06-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12623, '2020-06-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12624, '2020-06-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12625, '2020-06-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12626, '2020-06-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12627, '2020-06-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12628, '2020-06-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12629, '2020-06-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12630, '2020-06-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12631, '2020-07-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12632, '2020-07-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12633, '2020-07-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12634, '2020-07-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12635, '2020-07-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12636, '2020-07-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12637, '2020-07-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12638, '2020-07-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12639, '2020-07-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12640, '2020-07-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12641, '2020-07-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12642, '2020-07-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12643, '2020-07-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12644, '2020-07-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12645, '2020-07-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12646, '2020-07-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12647, '2020-07-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12648, '2020-07-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12649, '2020-07-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12650, '2020-07-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12651, '2020-07-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12652, '2020-07-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12653, '2020-07-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12654, '2020-07-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12655, '2020-07-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12656, '2020-07-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12657, '2020-07-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12658, '2020-07-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12659, '2020-07-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12660, '2020-07-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12661, '2020-07-31', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12662, '2020-08-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12663, '2020-08-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12664, '2020-08-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12665, '2020-08-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12666, '2020-08-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12667, '2020-08-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12668, '2020-08-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '141', '0', '3');
INSERT INTO public.who_import VALUES (12669, '2020-08-08', 'BN', 'Brunei Darussalam', 'WPRO', '1', '142', '0', '3');
INSERT INTO public.who_import VALUES (12670, '2020-08-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12671, '2020-08-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12672, '2020-08-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12673, '2020-08-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12674, '2020-08-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12675, '2020-08-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12676, '2020-08-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12677, '2020-08-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12678, '2020-08-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12679, '2020-08-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12680, '2020-08-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '142', '0', '3');
INSERT INTO public.who_import VALUES (12681, '2020-08-20', 'BN', 'Brunei Darussalam', 'WPRO', '1', '143', '0', '3');
INSERT INTO public.who_import VALUES (12682, '2020-08-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '143', '0', '3');
INSERT INTO public.who_import VALUES (12683, '2020-08-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '143', '0', '3');
INSERT INTO public.who_import VALUES (12684, '2020-08-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '143', '0', '3');
INSERT INTO public.who_import VALUES (12685, '2020-08-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '143', '0', '3');
INSERT INTO public.who_import VALUES (12686, '2020-08-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '143', '0', '3');
INSERT INTO public.who_import VALUES (12687, '2020-08-26', 'BN', 'Brunei Darussalam', 'WPRO', '1', '144', '0', '3');
INSERT INTO public.who_import VALUES (12688, '2020-08-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12689, '2020-08-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12690, '2020-08-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12691, '2020-08-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12692, '2020-08-31', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12693, '2020-09-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12694, '2020-09-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12695, '2020-09-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (12696, '2020-09-04', 'BN', 'Brunei Darussalam', 'WPRO', '1', '145', '0', '3');
INSERT INTO public.who_import VALUES (12697, '2020-09-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12698, '2020-09-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12699, '2020-09-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12700, '2020-09-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12701, '2020-09-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12702, '2020-09-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12703, '2020-09-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12704, '2020-09-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12705, '2020-09-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12706, '2020-09-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12707, '2020-09-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12708, '2020-09-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12709, '2020-09-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12710, '2020-09-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12711, '2020-09-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12712, '2020-09-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12713, '2020-09-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12714, '2020-09-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12715, '2020-09-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12716, '2020-09-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (12717, '2020-09-25', 'BN', 'Brunei Darussalam', 'WPRO', '1', '146', '0', '3');
INSERT INTO public.who_import VALUES (12718, '2020-09-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12719, '2020-09-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12720, '2020-09-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12721, '2020-09-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12722, '2020-09-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12723, '2020-10-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12724, '2020-10-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12725, '2020-10-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12726, '2020-10-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12727, '2020-10-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12728, '2020-10-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12729, '2020-10-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12730, '2020-10-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12731, '2020-10-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12732, '2020-10-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12733, '2020-10-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12734, '2020-10-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12735, '2020-10-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12736, '2020-10-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (12737, '2020-10-15', 'BN', 'Brunei Darussalam', 'WPRO', '1', '147', '0', '3');
INSERT INTO public.who_import VALUES (12738, '2020-10-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12739, '2020-10-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12740, '2020-10-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12741, '2020-10-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12742, '2020-10-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12743, '2020-10-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12744, '2020-10-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '147', '0', '3');
INSERT INTO public.who_import VALUES (12745, '2020-10-23', 'BN', 'Brunei Darussalam', 'WPRO', '1', '148', '0', '3');
INSERT INTO public.who_import VALUES (12746, '2020-10-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12747, '2020-10-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12748, '2020-10-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12749, '2020-10-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12750, '2020-10-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12751, '2020-10-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12752, '2020-10-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12753, '2020-10-31', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12754, '2020-11-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12755, '2020-11-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12756, '2020-11-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12757, '2020-11-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12758, '2020-11-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12759, '2020-11-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12760, '2020-11-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12761, '2020-11-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12762, '2020-11-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12763, '2020-11-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12764, '2020-11-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12765, '2020-11-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12766, '2020-11-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12767, '2020-11-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12768, '2020-11-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12769, '2020-11-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12770, '2020-11-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12771, '2020-11-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12772, '2020-11-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12773, '2020-11-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12774, '2020-11-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12775, '2020-11-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12776, '2020-11-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '148', '0', '3');
INSERT INTO public.who_import VALUES (12777, '2020-11-24', 'BN', 'Brunei Darussalam', 'WPRO', '1', '149', '0', '3');
INSERT INTO public.who_import VALUES (12778, '2020-11-25', 'BN', 'Brunei Darussalam', 'WPRO', '1', '150', '0', '3');
INSERT INTO public.who_import VALUES (12779, '2020-11-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (12780, '2020-11-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (12781, '2020-11-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (12782, '2020-11-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (12783, '2020-11-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (12784, '2020-12-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '150', '0', '3');
INSERT INTO public.who_import VALUES (12785, '2020-12-02', 'BN', 'Brunei Darussalam', 'WPRO', '1', '151', '0', '3');
INSERT INTO public.who_import VALUES (12786, '2020-12-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '151', '0', '3');
INSERT INTO public.who_import VALUES (12787, '2020-12-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '151', '0', '3');
INSERT INTO public.who_import VALUES (12788, '2020-12-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '151', '0', '3');
INSERT INTO public.who_import VALUES (12789, '2020-12-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '151', '0', '3');
INSERT INTO public.who_import VALUES (12790, '2020-12-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '151', '0', '3');
INSERT INTO public.who_import VALUES (12791, '2020-12-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '151', '0', '3');
INSERT INTO public.who_import VALUES (12792, '2020-12-09', 'BN', 'Brunei Darussalam', 'WPRO', '1', '152', '0', '3');
INSERT INTO public.who_import VALUES (12793, '2020-12-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12794, '2020-12-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12795, '2020-12-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12796, '2020-12-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12797, '2020-12-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12798, '2020-12-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12799, '2020-12-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12800, '2020-12-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12801, '2020-12-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12802, '2020-12-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12803, '2020-12-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12804, '2020-12-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12805, '2020-12-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12806, '2020-12-23', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12807, '2020-12-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12808, '2020-12-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12809, '2020-12-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12810, '2020-12-27', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12811, '2020-12-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12812, '2020-12-29', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12813, '2020-12-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '152', '0', '3');
INSERT INTO public.who_import VALUES (12814, '2020-12-31', 'BN', 'Brunei Darussalam', 'WPRO', '5', '157', '0', '3');
INSERT INTO public.who_import VALUES (12815, '2021-01-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '157', '0', '3');
INSERT INTO public.who_import VALUES (12816, '2021-01-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '157', '0', '3');
INSERT INTO public.who_import VALUES (12817, '2021-01-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '157', '0', '3');
INSERT INTO public.who_import VALUES (12818, '2021-01-04', 'BN', 'Brunei Darussalam', 'WPRO', '15', '172', '0', '3');
INSERT INTO public.who_import VALUES (12819, '2021-01-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '172', '0', '3');
INSERT INTO public.who_import VALUES (12820, '2021-01-06', 'BN', 'Brunei Darussalam', 'WPRO', '0', '172', '0', '3');
INSERT INTO public.who_import VALUES (12821, '2021-01-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '172', '0', '3');
INSERT INTO public.who_import VALUES (12822, '2021-01-08', 'BN', 'Brunei Darussalam', 'WPRO', '1', '173', '0', '3');
INSERT INTO public.who_import VALUES (12823, '2021-01-09', 'BN', 'Brunei Darussalam', 'WPRO', '0', '173', '0', '3');
INSERT INTO public.who_import VALUES (12824, '2021-01-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '173', '0', '3');
INSERT INTO public.who_import VALUES (12825, '2021-01-11', 'BN', 'Brunei Darussalam', 'WPRO', '0', '173', '0', '3');
INSERT INTO public.who_import VALUES (12826, '2021-01-12', 'BN', 'Brunei Darussalam', 'WPRO', '0', '173', '0', '3');
INSERT INTO public.who_import VALUES (12827, '2021-01-13', 'BN', 'Brunei Darussalam', 'WPRO', '1', '174', '0', '3');
INSERT INTO public.who_import VALUES (12828, '2021-01-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12829, '2021-01-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12830, '2021-01-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12831, '2021-01-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12832, '2021-01-18', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12833, '2021-01-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12834, '2021-01-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12835, '2021-01-21', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12836, '2021-01-22', 'BN', 'Brunei Darussalam', 'WPRO', '0', '174', '0', '3');
INSERT INTO public.who_import VALUES (12837, '2021-01-23', 'BN', 'Brunei Darussalam', 'WPRO', '1', '175', '0', '3');
INSERT INTO public.who_import VALUES (12838, '2021-01-24', 'BN', 'Brunei Darussalam', 'WPRO', '0', '175', '0', '3');
INSERT INTO public.who_import VALUES (12839, '2021-01-25', 'BN', 'Brunei Darussalam', 'WPRO', '0', '175', '0', '3');
INSERT INTO public.who_import VALUES (12840, '2021-01-26', 'BN', 'Brunei Darussalam', 'WPRO', '0', '175', '0', '3');
INSERT INTO public.who_import VALUES (12841, '2021-01-27', 'BN', 'Brunei Darussalam', 'WPRO', '1', '176', '0', '3');
INSERT INTO public.who_import VALUES (12842, '2021-01-28', 'BN', 'Brunei Darussalam', 'WPRO', '0', '176', '0', '3');
INSERT INTO public.who_import VALUES (12843, '2021-01-29', 'BN', 'Brunei Darussalam', 'WPRO', '4', '180', '0', '3');
INSERT INTO public.who_import VALUES (12844, '2021-01-30', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12845, '2021-01-31', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12846, '2021-02-01', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12847, '2021-02-02', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12848, '2021-02-03', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12849, '2021-02-04', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12850, '2021-02-05', 'BN', 'Brunei Darussalam', 'WPRO', '0', '180', '0', '3');
INSERT INTO public.who_import VALUES (12851, '2021-02-06', 'BN', 'Brunei Darussalam', 'WPRO', '1', '181', '0', '3');
INSERT INTO public.who_import VALUES (12852, '2021-02-07', 'BN', 'Brunei Darussalam', 'WPRO', '0', '181', '0', '3');
INSERT INTO public.who_import VALUES (12853, '2021-02-08', 'BN', 'Brunei Darussalam', 'WPRO', '0', '181', '0', '3');
INSERT INTO public.who_import VALUES (12854, '2021-02-09', 'BN', 'Brunei Darussalam', 'WPRO', '1', '182', '0', '3');
INSERT INTO public.who_import VALUES (12855, '2021-02-10', 'BN', 'Brunei Darussalam', 'WPRO', '0', '182', '0', '3');
INSERT INTO public.who_import VALUES (12856, '2021-02-11', 'BN', 'Brunei Darussalam', 'WPRO', '1', '183', '0', '3');
INSERT INTO public.who_import VALUES (12857, '2021-02-12', 'BN', 'Brunei Darussalam', 'WPRO', '1', '184', '0', '3');
INSERT INTO public.who_import VALUES (12858, '2021-02-13', 'BN', 'Brunei Darussalam', 'WPRO', '0', '184', '0', '3');
INSERT INTO public.who_import VALUES (12859, '2021-02-14', 'BN', 'Brunei Darussalam', 'WPRO', '0', '184', '0', '3');
INSERT INTO public.who_import VALUES (12860, '2021-02-15', 'BN', 'Brunei Darussalam', 'WPRO', '0', '184', '0', '3');
INSERT INTO public.who_import VALUES (12861, '2021-02-16', 'BN', 'Brunei Darussalam', 'WPRO', '0', '184', '0', '3');
INSERT INTO public.who_import VALUES (12862, '2021-02-17', 'BN', 'Brunei Darussalam', 'WPRO', '0', '184', '0', '3');
INSERT INTO public.who_import VALUES (12863, '2021-02-18', 'BN', 'Brunei Darussalam', 'WPRO', '1', '185', '0', '3');
INSERT INTO public.who_import VALUES (12864, '2021-02-19', 'BN', 'Brunei Darussalam', 'WPRO', '0', '185', '0', '3');
INSERT INTO public.who_import VALUES (12865, '2021-02-20', 'BN', 'Brunei Darussalam', 'WPRO', '0', '185', '0', '3');
INSERT INTO public.who_import VALUES (12866, '2020-01-03', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12867, '2020-01-04', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12868, '2020-01-05', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12869, '2020-01-06', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12870, '2020-01-07', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12871, '2020-01-08', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12872, '2020-01-09', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12873, '2020-01-10', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12874, '2020-01-11', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12875, '2020-01-12', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12876, '2020-01-13', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12877, '2020-01-14', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12878, '2020-01-15', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12879, '2020-01-16', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12880, '2020-01-17', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12881, '2020-01-18', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12882, '2020-01-19', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12883, '2020-01-20', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12884, '2020-01-21', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12885, '2020-01-22', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12886, '2020-01-23', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12887, '2020-01-24', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12888, '2020-01-25', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12889, '2020-01-26', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12890, '2020-01-27', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12891, '2020-01-28', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12892, '2020-01-29', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12893, '2020-01-30', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12894, '2020-01-31', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12895, '2020-02-01', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12896, '2020-02-02', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12897, '2020-02-03', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12898, '2020-02-04', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12899, '2020-02-05', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12900, '2020-02-06', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12901, '2020-02-07', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12902, '2020-02-08', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12903, '2020-02-09', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12904, '2020-02-10', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12905, '2020-02-11', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12906, '2020-02-12', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12907, '2020-02-13', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12908, '2020-02-14', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12909, '2020-02-15', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12910, '2020-02-16', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12911, '2020-02-17', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12912, '2020-02-18', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12913, '2020-02-19', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12914, '2020-02-20', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12915, '2020-02-21', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12916, '2020-02-22', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12917, '2020-02-23', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12918, '2020-02-24', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12919, '2020-02-25', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12920, '2020-02-26', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12921, '2020-02-27', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12922, '2020-02-28', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12923, '2020-02-29', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12924, '2020-03-01', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12925, '2020-03-02', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12926, '2020-03-03', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12927, '2020-03-04', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12928, '2020-03-05', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12929, '2020-03-06', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12930, '2020-03-07', 'BG', 'Bulgaria', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (12931, '2020-03-08', 'BG', 'Bulgaria', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (12932, '2020-03-09', 'BG', 'Bulgaria', 'EURO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (12933, '2020-03-10', 'BG', 'Bulgaria', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (12934, '2020-03-11', 'BG', 'Bulgaria', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (12935, '2020-03-12', 'BG', 'Bulgaria', 'EURO', '3', '7', '1', '1');
INSERT INTO public.who_import VALUES (12936, '2020-03-13', 'BG', 'Bulgaria', 'EURO', '16', '23', '0', '1');
INSERT INTO public.who_import VALUES (12937, '2020-03-14', 'BG', 'Bulgaria', 'EURO', '8', '31', '0', '1');
INSERT INTO public.who_import VALUES (12938, '2020-03-15', 'BG', 'Bulgaria', 'EURO', '10', '41', '1', '2');
INSERT INTO public.who_import VALUES (12939, '2020-03-16', 'BG', 'Bulgaria', 'EURO', '10', '51', '0', '2');
INSERT INTO public.who_import VALUES (12940, '2020-03-17', 'BG', 'Bulgaria', 'EURO', '11', '62', '0', '2');
INSERT INTO public.who_import VALUES (12941, '2020-03-18', 'BG', 'Bulgaria', 'EURO', '19', '81', '0', '2');
INSERT INTO public.who_import VALUES (12942, '2020-03-19', 'BG', 'Bulgaria', 'EURO', '11', '92', '0', '2');
INSERT INTO public.who_import VALUES (12943, '2020-03-20', 'BG', 'Bulgaria', 'EURO', '13', '105', '1', '3');
INSERT INTO public.who_import VALUES (12944, '2020-03-21', 'BG', 'Bulgaria', 'EURO', '22', '127', '0', '3');
INSERT INTO public.who_import VALUES (12945, '2020-03-22', 'BG', 'Bulgaria', 'EURO', '36', '163', '0', '3');
INSERT INTO public.who_import VALUES (12946, '2020-03-23', 'BG', 'Bulgaria', 'EURO', '22', '185', '0', '3');
INSERT INTO public.who_import VALUES (12947, '2020-03-24', 'BG', 'Bulgaria', 'EURO', '16', '201', '0', '3');
INSERT INTO public.who_import VALUES (12948, '2020-03-25', 'BG', 'Bulgaria', 'EURO', '19', '220', '0', '3');
INSERT INTO public.who_import VALUES (12949, '2020-03-26', 'BG', 'Bulgaria', 'EURO', '22', '242', '0', '3');
INSERT INTO public.who_import VALUES (12950, '2020-03-27', 'BG', 'Bulgaria', 'EURO', '22', '264', '0', '3');
INSERT INTO public.who_import VALUES (12951, '2020-03-28', 'BG', 'Bulgaria', 'EURO', '29', '293', '0', '3');
INSERT INTO public.who_import VALUES (12952, '2020-03-29', 'BG', 'Bulgaria', 'EURO', '38', '331', '4', '7');
INSERT INTO public.who_import VALUES (12953, '2020-03-30', 'BG', 'Bulgaria', 'EURO', '15', '346', '1', '8');
INSERT INTO public.who_import VALUES (12954, '2020-03-31', 'BG', 'Bulgaria', 'EURO', '13', '359', '0', '8');
INSERT INTO public.who_import VALUES (12955, '2020-04-01', 'BG', 'Bulgaria', 'EURO', '40', '399', '0', '8');
INSERT INTO public.who_import VALUES (12956, '2020-04-02', 'BG', 'Bulgaria', 'EURO', '23', '422', '2', '10');
INSERT INTO public.who_import VALUES (12957, '2020-04-03', 'BG', 'Bulgaria', 'EURO', '35', '457', '0', '10');
INSERT INTO public.who_import VALUES (12958, '2020-04-04', 'BG', 'Bulgaria', 'EURO', '28', '485', '4', '14');
INSERT INTO public.who_import VALUES (12959, '2020-04-05', 'BG', 'Bulgaria', 'EURO', '18', '503', '3', '17');
INSERT INTO public.who_import VALUES (12960, '2020-04-06', 'BG', 'Bulgaria', 'EURO', '28', '531', '3', '20');
INSERT INTO public.who_import VALUES (12961, '2020-04-07', 'BG', 'Bulgaria', 'EURO', '18', '549', '2', '22');
INSERT INTO public.who_import VALUES (12962, '2020-04-08', 'BG', 'Bulgaria', 'EURO', '28', '577', '1', '23');
INSERT INTO public.who_import VALUES (12963, '2020-04-09', 'BG', 'Bulgaria', 'EURO', '16', '593', '1', '24');
INSERT INTO public.who_import VALUES (12964, '2020-04-10', 'BG', 'Bulgaria', 'EURO', '31', '624', '0', '24');
INSERT INTO public.who_import VALUES (12965, '2020-04-11', 'BG', 'Bulgaria', 'EURO', '11', '635', '1', '25');
INSERT INTO public.who_import VALUES (12966, '2020-04-12', 'BG', 'Bulgaria', 'EURO', '26', '661', '3', '28');
INSERT INTO public.who_import VALUES (12967, '2020-04-13', 'BG', 'Bulgaria', 'EURO', '14', '675', '1', '29');
INSERT INTO public.who_import VALUES (12968, '2020-04-14', 'BG', 'Bulgaria', 'EURO', '10', '685', '3', '32');
INSERT INTO public.who_import VALUES (12969, '2020-04-15', 'BG', 'Bulgaria', 'EURO', '28', '713', '3', '35');
INSERT INTO public.who_import VALUES (12970, '2020-04-16', 'BG', 'Bulgaria', 'EURO', '34', '747', '1', '36');
INSERT INTO public.who_import VALUES (12971, '2020-04-17', 'BG', 'Bulgaria', 'EURO', '53', '800', '2', '38');
INSERT INTO public.who_import VALUES (12972, '2020-04-18', 'BG', 'Bulgaria', 'EURO', '46', '846', '3', '41');
INSERT INTO public.who_import VALUES (12973, '2020-04-19', 'BG', 'Bulgaria', 'EURO', '32', '878', '0', '41');
INSERT INTO public.who_import VALUES (12974, '2020-04-20', 'BG', 'Bulgaria', 'EURO', '37', '915', '2', '43');
INSERT INTO public.who_import VALUES (12975, '2020-04-21', 'BG', 'Bulgaria', 'EURO', '14', '929', '0', '43');
INSERT INTO public.who_import VALUES (12976, '2020-04-22', 'BG', 'Bulgaria', 'EURO', '46', '975', '2', '45');
INSERT INTO public.who_import VALUES (12977, '2020-04-23', 'BG', 'Bulgaria', 'EURO', '49', '1024', '4', '49');
INSERT INTO public.who_import VALUES (12978, '2020-04-24', 'BG', 'Bulgaria', 'EURO', '73', '1097', '3', '52');
INSERT INTO public.who_import VALUES (12979, '2020-04-25', 'BG', 'Bulgaria', 'EURO', '91', '1188', '2', '54');
INSERT INTO public.who_import VALUES (12980, '2020-04-26', 'BG', 'Bulgaria', 'EURO', '59', '1247', '1', '55');
INSERT INTO public.who_import VALUES (12981, '2020-04-27', 'BG', 'Bulgaria', 'EURO', '53', '1300', '1', '56');
INSERT INTO public.who_import VALUES (12982, '2020-04-28', 'BG', 'Bulgaria', 'EURO', '63', '1363', '2', '58');
INSERT INTO public.who_import VALUES (12983, '2020-04-29', 'BG', 'Bulgaria', 'EURO', '36', '1399', '0', '58');
INSERT INTO public.who_import VALUES (12984, '2020-04-30', 'BG', 'Bulgaria', 'EURO', '48', '1447', '6', '64');
INSERT INTO public.who_import VALUES (12985, '2020-05-01', 'BG', 'Bulgaria', 'EURO', '59', '1506', '2', '66');
INSERT INTO public.who_import VALUES (12986, '2020-05-02', 'BG', 'Bulgaria', 'EURO', '82', '1588', '3', '69');
INSERT INTO public.who_import VALUES (12987, '2020-05-03', 'BG', 'Bulgaria', 'EURO', '6', '1594', '3', '72');
INSERT INTO public.who_import VALUES (12988, '2020-05-04', 'BG', 'Bulgaria', 'EURO', '24', '1618', '1', '73');
INSERT INTO public.who_import VALUES (12989, '2020-05-05', 'BG', 'Bulgaria', 'EURO', '34', '1652', '5', '78');
INSERT INTO public.who_import VALUES (12990, '2020-05-06', 'BG', 'Bulgaria', 'EURO', '37', '1689', '0', '78');
INSERT INTO public.who_import VALUES (12991, '2020-05-07', 'BG', 'Bulgaria', 'EURO', '89', '1778', '6', '84');
INSERT INTO public.who_import VALUES (12992, '2020-05-08', 'BG', 'Bulgaria', 'EURO', '51', '1829', '0', '84');
INSERT INTO public.who_import VALUES (12993, '2020-05-09', 'BG', 'Bulgaria', 'EURO', '82', '1911', '4', '88');
INSERT INTO public.who_import VALUES (12994, '2020-05-10', 'BG', 'Bulgaria', 'EURO', '44', '1955', '2', '90');
INSERT INTO public.who_import VALUES (12995, '2020-05-11', 'BG', 'Bulgaria', 'EURO', '10', '1965', '1', '91');
INSERT INTO public.who_import VALUES (12996, '2020-05-12', 'BG', 'Bulgaria', 'EURO', '25', '1990', '2', '93');
INSERT INTO public.who_import VALUES (12997, '2020-05-13', 'BG', 'Bulgaria', 'EURO', '33', '2023', '2', '95');
INSERT INTO public.who_import VALUES (12998, '2020-05-14', 'BG', 'Bulgaria', 'EURO', '46', '2069', '1', '96');
INSERT INTO public.who_import VALUES (12999, '2020-05-15', 'BG', 'Bulgaria', 'EURO', '31', '2100', '3', '99');
INSERT INTO public.who_import VALUES (13000, '2020-05-16', 'BG', 'Bulgaria', 'EURO', '38', '2138', '3', '102');
INSERT INTO public.who_import VALUES (13001, '2020-05-17', 'BG', 'Bulgaria', 'EURO', '73', '2211', '6', '108');
INSERT INTO public.who_import VALUES (13002, '2020-05-18', 'BG', 'Bulgaria', 'EURO', '24', '2235', '2', '110');
INSERT INTO public.who_import VALUES (13003, '2020-05-19', 'BG', 'Bulgaria', 'EURO', '24', '2259', '2', '112');
INSERT INTO public.who_import VALUES (13004, '2020-05-20', 'BG', 'Bulgaria', 'EURO', '33', '2292', '4', '116');
INSERT INTO public.who_import VALUES (13005, '2020-05-21', 'BG', 'Bulgaria', 'EURO', '39', '2331', '4', '120');
INSERT INTO public.who_import VALUES (13006, '2020-05-22', 'BG', 'Bulgaria', 'EURO', '41', '2372', '5', '125');
INSERT INTO public.who_import VALUES (13007, '2020-05-23', 'BG', 'Bulgaria', 'EURO', '36', '2408', '1', '126');
INSERT INTO public.who_import VALUES (13008, '2020-05-24', 'BG', 'Bulgaria', 'EURO', '0', '2408', '0', '126');
INSERT INTO public.who_import VALUES (13009, '2020-05-25', 'BG', 'Bulgaria', 'EURO', '25', '2433', '4', '130');
INSERT INTO public.who_import VALUES (13010, '2020-05-26', 'BG', 'Bulgaria', 'EURO', '0', '2433', '0', '130');
INSERT INTO public.who_import VALUES (13011, '2020-05-27', 'BG', 'Bulgaria', 'EURO', '27', '2460', '3', '133');
INSERT INTO public.who_import VALUES (13012, '2020-05-28', 'BG', 'Bulgaria', 'EURO', '0', '2460', '0', '133');
INSERT INTO public.who_import VALUES (13013, '2020-05-29', 'BG', 'Bulgaria', 'EURO', '25', '2485', '3', '136');
INSERT INTO public.who_import VALUES (13014, '2020-05-30', 'BG', 'Bulgaria', 'EURO', '14', '2499', '3', '139');
INSERT INTO public.who_import VALUES (13015, '2020-05-31', 'BG', 'Bulgaria', 'EURO', '14', '2513', '1', '140');
INSERT INTO public.who_import VALUES (13016, '2020-06-01', 'BG', 'Bulgaria', 'EURO', '0', '2513', '0', '140');
INSERT INTO public.who_import VALUES (13017, '2020-06-02', 'BG', 'Bulgaria', 'EURO', '0', '2513', '4', '144');
INSERT INTO public.who_import VALUES (13018, '2020-06-03', 'BG', 'Bulgaria', 'EURO', '25', '2538', '0', '144');
INSERT INTO public.who_import VALUES (13019, '2020-06-04', 'BG', 'Bulgaria', 'EURO', '47', '2585', '3', '147');
INSERT INTO public.who_import VALUES (13020, '2020-06-05', 'BG', 'Bulgaria', 'EURO', '0', '2585', '0', '147');
INSERT INTO public.who_import VALUES (13021, '2020-06-06', 'BG', 'Bulgaria', 'EURO', '83', '2668', '13', '160');
INSERT INTO public.who_import VALUES (13022, '2020-06-07', 'BG', 'Bulgaria', 'EURO', '43', '2711', '0', '160');
INSERT INTO public.who_import VALUES (13023, '2020-06-08', 'BG', 'Bulgaria', 'EURO', '16', '2727', '0', '160');
INSERT INTO public.who_import VALUES (13024, '2020-06-09', 'BG', 'Bulgaria', 'EURO', '83', '2810', '4', '164');
INSERT INTO public.who_import VALUES (13025, '2020-06-10', 'BG', 'Bulgaria', 'EURO', '79', '2889', '3', '167');
INSERT INTO public.who_import VALUES (13026, '2020-06-11', 'BG', 'Bulgaria', 'EURO', '104', '2993', '0', '167');
INSERT INTO public.who_import VALUES (13027, '2020-06-12', 'BG', 'Bulgaria', 'EURO', '93', '3086', '1', '168');
INSERT INTO public.who_import VALUES (13028, '2020-06-13', 'BG', 'Bulgaria', 'EURO', '105', '3191', '4', '172');
INSERT INTO public.who_import VALUES (13029, '2020-06-14', 'BG', 'Bulgaria', 'EURO', '75', '3266', '0', '172');
INSERT INTO public.who_import VALUES (13030, '2020-06-15', 'BG', 'Bulgaria', 'EURO', '24', '3290', '2', '174');
INSERT INTO public.who_import VALUES (13031, '2020-06-16', 'BG', 'Bulgaria', 'EURO', '51', '3341', '2', '176');
INSERT INTO public.who_import VALUES (13032, '2020-06-17', 'BG', 'Bulgaria', 'EURO', '112', '3453', '5', '181');
INSERT INTO public.who_import VALUES (13033, '2020-06-18', 'BG', 'Bulgaria', 'EURO', '89', '3542', '3', '184');
INSERT INTO public.who_import VALUES (13034, '2020-06-19', 'BG', 'Bulgaria', 'EURO', '132', '3674', '6', '190');
INSERT INTO public.who_import VALUES (13035, '2020-06-20', 'BG', 'Bulgaria', 'EURO', '81', '3755', '3', '193');
INSERT INTO public.who_import VALUES (13036, '2020-06-21', 'BG', 'Bulgaria', 'EURO', '117', '3872', '6', '199');
INSERT INTO public.who_import VALUES (13037, '2020-06-22', 'BG', 'Bulgaria', 'EURO', '33', '3905', '0', '199');
INSERT INTO public.who_import VALUES (13038, '2020-06-23', 'BG', 'Bulgaria', 'EURO', '79', '3984', '8', '207');
INSERT INTO public.who_import VALUES (13039, '2020-06-24', 'BG', 'Bulgaria', 'EURO', '130', '4114', '1', '208');
INSERT INTO public.who_import VALUES (13040, '2020-06-25', 'BG', 'Bulgaria', 'EURO', '128', '4242', '1', '209');
INSERT INTO public.who_import VALUES (13041, '2020-06-26', 'BG', 'Bulgaria', 'EURO', '166', '4408', '2', '211');
INSERT INTO public.who_import VALUES (13042, '2020-06-27', 'BG', 'Bulgaria', 'EURO', '105', '4513', '4', '215');
INSERT INTO public.who_import VALUES (13043, '2020-06-28', 'BG', 'Bulgaria', 'EURO', '112', '4625', '1', '216');
INSERT INTO public.who_import VALUES (13044, '2020-06-29', 'BG', 'Bulgaria', 'EURO', '66', '4691', '3', '219');
INSERT INTO public.who_import VALUES (13045, '2020-06-30', 'BG', 'Bulgaria', 'EURO', '140', '4831', '4', '223');
INSERT INTO public.who_import VALUES (13046, '2020-07-01', 'BG', 'Bulgaria', 'EURO', '158', '4989', '7', '230');
INSERT INTO public.who_import VALUES (13047, '2020-07-02', 'BG', 'Bulgaria', 'EURO', '165', '5154', '2', '232');
INSERT INTO public.who_import VALUES (13048, '2020-07-03', 'BG', 'Bulgaria', 'EURO', '161', '5315', '0', '232');
INSERT INTO public.who_import VALUES (13049, '2020-07-04', 'BG', 'Bulgaria', 'EURO', '182', '5497', '7', '239');
INSERT INTO public.who_import VALUES (13050, '2020-07-05', 'BG', 'Bulgaria', 'EURO', '180', '5677', '2', '241');
INSERT INTO public.who_import VALUES (13051, '2020-07-06', 'BG', 'Bulgaria', 'EURO', '63', '5740', '5', '246');
INSERT INTO public.who_import VALUES (13052, '2020-07-07', 'BG', 'Bulgaria', 'EURO', '174', '5914', '4', '250');
INSERT INTO public.who_import VALUES (13053, '2020-07-08', 'BG', 'Bulgaria', 'EURO', '188', '6102', '4', '254');
INSERT INTO public.who_import VALUES (13054, '2020-07-09', 'BG', 'Bulgaria', 'EURO', '240', '6342', '5', '259');
INSERT INTO public.who_import VALUES (13055, '2020-07-10', 'BG', 'Bulgaria', 'EURO', '330', '6672', '3', '262');
INSERT INTO public.who_import VALUES (13056, '2020-07-11', 'BG', 'Bulgaria', 'EURO', '292', '6964', '0', '262');
INSERT INTO public.who_import VALUES (13057, '2020-07-12', 'BG', 'Bulgaria', 'EURO', '211', '7175', '0', '262');
INSERT INTO public.who_import VALUES (13058, '2020-07-13', 'BG', 'Bulgaria', 'EURO', '77', '7252', '6', '268');
INSERT INTO public.who_import VALUES (13059, '2020-07-14', 'BG', 'Bulgaria', 'EURO', '159', '7411', '8', '276');
INSERT INTO public.who_import VALUES (13060, '2020-07-15', 'BG', 'Bulgaria', 'EURO', '234', '7645', '7', '283');
INSERT INTO public.who_import VALUES (13061, '2020-07-16', 'BG', 'Bulgaria', 'EURO', '232', '7877', '6', '289');
INSERT INTO public.who_import VALUES (13062, '2020-07-17', 'BG', 'Bulgaria', 'EURO', '267', '8144', '4', '293');
INSERT INTO public.who_import VALUES (13063, '2020-07-18', 'BG', 'Bulgaria', 'EURO', '298', '8442', '4', '297');
INSERT INTO public.who_import VALUES (13064, '2020-07-19', 'BG', 'Bulgaria', 'EURO', '196', '8638', '2', '299');
INSERT INTO public.who_import VALUES (13065, '2020-07-20', 'BG', 'Bulgaria', 'EURO', '95', '8733', '1', '300');
INSERT INTO public.who_import VALUES (13066, '2020-07-21', 'BG', 'Bulgaria', 'EURO', '196', '8929', '8', '308');
INSERT INTO public.who_import VALUES (13067, '2020-07-22', 'BG', 'Bulgaria', 'EURO', '325', '9254', '5', '313');
INSERT INTO public.who_import VALUES (13068, '2020-07-23', 'BG', 'Bulgaria', 'EURO', '330', '9584', '8', '321');
INSERT INTO public.who_import VALUES (13069, '2020-07-24', 'BG', 'Bulgaria', 'EURO', '269', '9853', '8', '329');
INSERT INTO public.who_import VALUES (13070, '2020-07-25', 'BG', 'Bulgaria', 'EURO', '270', '10123', '8', '337');
INSERT INTO public.who_import VALUES (13071, '2020-07-26', 'BG', 'Bulgaria', 'EURO', '189', '10312', '1', '338');
INSERT INTO public.who_import VALUES (13072, '2020-07-27', 'BG', 'Bulgaria', 'EURO', '115', '10427', '2', '340');
INSERT INTO public.who_import VALUES (13073, '2020-07-28', 'BG', 'Bulgaria', 'EURO', '194', '10621', '7', '347');
INSERT INTO public.who_import VALUES (13074, '2020-07-29', 'BG', 'Bulgaria', 'EURO', '250', '10871', '8', '355');
INSERT INTO public.who_import VALUES (13075, '2020-07-30', 'BG', 'Bulgaria', 'EURO', '284', '11155', '13', '368');
INSERT INTO public.who_import VALUES (13076, '2020-07-31', 'BG', 'Bulgaria', 'EURO', '265', '11420', '6', '374');
INSERT INTO public.who_import VALUES (13077, '2020-08-01', 'BG', 'Bulgaria', 'EURO', '270', '11690', '9', '383');
INSERT INTO public.who_import VALUES (13078, '2020-08-02', 'BG', 'Bulgaria', 'EURO', '146', '11836', '2', '385');
INSERT INTO public.who_import VALUES (13079, '2020-08-03', 'BG', 'Bulgaria', 'EURO', '119', '11955', '3', '388');
INSERT INTO public.who_import VALUES (13080, '2020-08-04', 'BG', 'Bulgaria', 'EURO', '0', '11955', '0', '388');
INSERT INTO public.who_import VALUES (13081, '2020-08-05', 'BG', 'Bulgaria', 'EURO', '204', '12159', '16', '404');
INSERT INTO public.who_import VALUES (13082, '2020-08-06', 'BG', 'Bulgaria', 'EURO', '255', '12414', '11', '415');
INSERT INTO public.who_import VALUES (13083, '2020-08-07', 'BG', 'Bulgaria', 'EURO', '303', '12717', '9', '424');
INSERT INTO public.who_import VALUES (13084, '2020-08-08', 'BG', 'Bulgaria', 'EURO', '297', '13014', '11', '435');
INSERT INTO public.who_import VALUES (13085, '2020-08-09', 'BG', 'Bulgaria', 'EURO', '329', '13343', '10', '445');
INSERT INTO public.who_import VALUES (13086, '2020-08-10', 'BG', 'Bulgaria', 'EURO', '53', '13396', '2', '447');
INSERT INTO public.who_import VALUES (13087, '2020-08-11', 'BG', 'Bulgaria', 'EURO', '116', '13512', '12', '459');
INSERT INTO public.who_import VALUES (13088, '2020-08-12', 'BG', 'Bulgaria', 'EURO', '210', '13722', '12', '471');
INSERT INTO public.who_import VALUES (13089, '2020-08-13', 'BG', 'Bulgaria', 'EURO', '171', '13893', '11', '482');
INSERT INTO public.who_import VALUES (13090, '2020-08-14', 'BG', 'Bulgaria', 'EURO', '176', '14069', '2', '484');
INSERT INTO public.who_import VALUES (13091, '2020-08-15', 'BG', 'Bulgaria', 'EURO', '174', '14243', '8', '492');
INSERT INTO public.who_import VALUES (13092, '2020-08-16', 'BG', 'Bulgaria', 'EURO', '90', '14333', '3', '495');
INSERT INTO public.who_import VALUES (13093, '2020-08-17', 'BG', 'Bulgaria', 'EURO', '32', '14365', '3', '498');
INSERT INTO public.who_import VALUES (13094, '2020-08-18', 'BG', 'Bulgaria', 'EURO', '135', '14500', '14', '512');
INSERT INTO public.who_import VALUES (13095, '2020-08-19', 'BG', 'Bulgaria', 'EURO', '169', '14669', '7', '519');
INSERT INTO public.who_import VALUES (13096, '2020-08-20', 'BG', 'Bulgaria', 'EURO', '151', '14820', '8', '527');
INSERT INTO public.who_import VALUES (13097, '2020-08-21', 'BG', 'Bulgaria', 'EURO', '142', '14962', '5', '532');
INSERT INTO public.who_import VALUES (13098, '2020-08-22', 'BG', 'Bulgaria', 'EURO', '169', '15131', '7', '539');
INSERT INTO public.who_import VALUES (13099, '2020-08-23', 'BG', 'Bulgaria', 'EURO', '96', '15227', '6', '545');
INSERT INTO public.who_import VALUES (13100, '2020-08-24', 'BG', 'Bulgaria', 'EURO', '60', '15287', '0', '545');
INSERT INTO public.who_import VALUES (13101, '2020-08-25', 'BG', 'Bulgaria', 'EURO', '99', '15386', '18', '563');
INSERT INTO public.who_import VALUES (13102, '2020-08-26', 'BG', 'Bulgaria', 'EURO', '203', '15589', '9', '572');
INSERT INTO public.who_import VALUES (13103, '2020-08-27', 'BG', 'Bulgaria', 'EURO', '162', '15751', '14', '586');
INSERT INTO public.who_import VALUES (13104, '2020-08-28', 'BG', 'Bulgaria', 'EURO', '157', '15908', '8', '594');
INSERT INTO public.who_import VALUES (13105, '2020-08-29', 'BG', 'Bulgaria', 'EURO', '157', '16065', '9', '603');
INSERT INTO public.who_import VALUES (13106, '2020-08-30', 'BG', 'Bulgaria', 'EURO', '99', '16164', '2', '605');
INSERT INTO public.who_import VALUES (13107, '2020-08-31', 'BG', 'Bulgaria', 'EURO', '26', '16190', '8', '613');
INSERT INTO public.who_import VALUES (13108, '2020-09-01', 'BG', 'Bulgaria', 'EURO', '76', '16266', '16', '629');
INSERT INTO public.who_import VALUES (13109, '2020-09-02', 'BG', 'Bulgaria', 'EURO', '0', '16266', '0', '629');
INSERT INTO public.who_import VALUES (13110, '2020-09-03', 'BG', 'Bulgaria', 'EURO', '188', '16454', '13', '642');
INSERT INTO public.who_import VALUES (13111, '2020-09-04', 'BG', 'Bulgaria', 'EURO', '163', '16617', '6', '648');
INSERT INTO public.who_import VALUES (13112, '2020-09-05', 'BG', 'Bulgaria', 'EURO', '158', '16775', '10', '658');
INSERT INTO public.who_import VALUES (13113, '2020-09-06', 'BG', 'Bulgaria', 'EURO', '179', '16954', '7', '665');
INSERT INTO public.who_import VALUES (13114, '2020-09-07', 'BG', 'Bulgaria', 'EURO', '96', '17050', '6', '671');
INSERT INTO public.who_import VALUES (13115, '2020-09-08', 'BG', 'Bulgaria', 'EURO', '96', '17146', '6', '677');
INSERT INTO public.who_import VALUES (13116, '2020-09-09', 'BG', 'Bulgaria', 'EURO', '167', '17313', '15', '692');
INSERT INTO public.who_import VALUES (13117, '2020-09-10', 'BG', 'Bulgaria', 'EURO', '122', '17435', '10', '702');
INSERT INTO public.who_import VALUES (13118, '2020-09-11', 'BG', 'Bulgaria', 'EURO', '163', '17598', '4', '706');
INSERT INTO public.who_import VALUES (13119, '2020-09-12', 'BG', 'Bulgaria', 'EURO', '201', '17799', '7', '713');
INSERT INTO public.who_import VALUES (13120, '2020-09-13', 'BG', 'Bulgaria', 'EURO', '92', '17891', '4', '717');
INSERT INTO public.who_import VALUES (13121, '2020-09-14', 'BG', 'Bulgaria', 'EURO', '27', '17918', '3', '720');
INSERT INTO public.who_import VALUES (13122, '2020-09-15', 'BG', 'Bulgaria', 'EURO', '143', '18061', '10', '730');
INSERT INTO public.who_import VALUES (13123, '2020-09-16', 'BG', 'Bulgaria', 'EURO', '155', '18216', '6', '736');
INSERT INTO public.who_import VALUES (13124, '2020-09-17', 'BG', 'Bulgaria', 'EURO', '174', '18390', '8', '744');
INSERT INTO public.who_import VALUES (13125, '2020-09-18', 'BG', 'Bulgaria', 'EURO', '154', '18544', '0', '744');
INSERT INTO public.who_import VALUES (13126, '2020-09-19', 'BG', 'Bulgaria', 'EURO', '189', '18733', '9', '753');
INSERT INTO public.who_import VALUES (13127, '2020-09-20', 'BG', 'Bulgaria', 'EURO', '86', '18819', '2', '755');
INSERT INTO public.who_import VALUES (13128, '2020-09-21', 'BG', 'Bulgaria', 'EURO', '44', '18863', '6', '761');
INSERT INTO public.who_import VALUES (13129, '2020-09-22', 'BG', 'Bulgaria', 'EURO', '151', '19014', '4', '765');
INSERT INTO public.who_import VALUES (13130, '2020-09-23', 'BG', 'Bulgaria', 'EURO', '109', '19123', '2', '767');
INSERT INTO public.who_import VALUES (13131, '2020-09-24', 'BG', 'Bulgaria', 'EURO', '160', '19283', '12', '779');
INSERT INTO public.who_import VALUES (13132, '2020-09-25', 'BG', 'Bulgaria', 'EURO', '290', '19573', '6', '785');
INSERT INTO public.who_import VALUES (13133, '2020-09-26', 'BG', 'Bulgaria', 'EURO', '255', '19828', '4', '789');
INSERT INTO public.who_import VALUES (13134, '2020-09-27', 'BG', 'Bulgaria', 'EURO', '169', '19997', '0', '789');
INSERT INTO public.who_import VALUES (13135, '2020-09-28', 'BG', 'Bulgaria', 'EURO', '58', '20055', '7', '796');
INSERT INTO public.who_import VALUES (13136, '2020-09-29', 'BG', 'Bulgaria', 'EURO', '216', '20271', '11', '807');
INSERT INTO public.who_import VALUES (13137, '2020-09-30', 'BG', 'Bulgaria', 'EURO', '276', '20547', '7', '814');
INSERT INTO public.who_import VALUES (13138, '2020-10-01', 'BG', 'Bulgaria', 'EURO', '286', '20833', '11', '825');
INSERT INTO public.who_import VALUES (13139, '2020-10-02', 'BG', 'Bulgaria', 'EURO', '263', '21096', '7', '832');
INSERT INTO public.who_import VALUES (13140, '2020-10-03', 'BG', 'Bulgaria', 'EURO', '240', '21336', '6', '838');
INSERT INTO public.who_import VALUES (13141, '2020-10-04', 'BG', 'Bulgaria', 'EURO', '182', '21518', '3', '841');
INSERT INTO public.who_import VALUES (13142, '2020-10-05', 'BG', 'Bulgaria', 'EURO', '69', '21587', '3', '844');
INSERT INTO public.who_import VALUES (13143, '2020-10-06', 'BG', 'Bulgaria', 'EURO', '283', '21870', '10', '854');
INSERT INTO public.who_import VALUES (13144, '2020-10-07', 'BG', 'Bulgaria', 'EURO', '436', '22306', '8', '862');
INSERT INTO public.who_import VALUES (13145, '2020-10-08', 'BG', 'Bulgaria', 'EURO', '437', '22743', '11', '873');
INSERT INTO public.who_import VALUES (13146, '2020-10-09', 'BG', 'Bulgaria', 'EURO', '516', '23259', '7', '880');
INSERT INTO public.who_import VALUES (13147, '2020-10-10', 'BG', 'Bulgaria', 'EURO', '612', '23871', '7', '887');
INSERT INTO public.who_import VALUES (13148, '2020-10-11', 'BG', 'Bulgaria', 'EURO', '0', '23871', '0', '887');
INSERT INTO public.who_import VALUES (13149, '2020-10-12', 'BG', 'Bulgaria', 'EURO', '531', '24402', '5', '892');
INSERT INTO public.who_import VALUES (13150, '2020-10-13', 'BG', 'Bulgaria', 'EURO', '587', '24989', '23', '915');
INSERT INTO public.who_import VALUES (13151, '2020-10-14', 'BG', 'Bulgaria', 'EURO', '785', '25774', '8', '923');
INSERT INTO public.who_import VALUES (13152, '2020-10-15', 'BG', 'Bulgaria', 'EURO', '819', '26593', '6', '929');
INSERT INTO public.who_import VALUES (13153, '2020-10-16', 'BG', 'Bulgaria', 'EURO', '914', '27507', '15', '944');
INSERT INTO public.who_import VALUES (13154, '2020-10-17', 'BG', 'Bulgaria', 'EURO', '998', '28505', '14', '958');
INSERT INTO public.who_import VALUES (13155, '2020-10-18', 'BG', 'Bulgaria', 'EURO', '603', '29108', '10', '968');
INSERT INTO public.who_import VALUES (13156, '2020-10-19', 'BG', 'Bulgaria', 'EURO', '395', '29503', '18', '986');
INSERT INTO public.who_import VALUES (13157, '2020-10-20', 'BG', 'Bulgaria', 'EURO', '1024', '30527', '22', '1008');
INSERT INTO public.who_import VALUES (13158, '2020-10-21', 'BG', 'Bulgaria', 'EURO', '1336', '31863', '11', '1019');
INSERT INTO public.who_import VALUES (13159, '2020-10-22', 'BG', 'Bulgaria', 'EURO', '1472', '33335', '29', '1048');
INSERT INTO public.who_import VALUES (13160, '2020-10-23', 'BG', 'Bulgaria', 'EURO', '1595', '34930', '16', '1064');
INSERT INTO public.who_import VALUES (13161, '2020-10-24', 'BG', 'Bulgaria', 'EURO', '1589', '36519', '13', '1077');
INSERT INTO public.who_import VALUES (13162, '2020-10-25', 'BG', 'Bulgaria', 'EURO', '1043', '37562', '7', '1084');
INSERT INTO public.who_import VALUES (13163, '2020-10-26', 'BG', 'Bulgaria', 'EURO', '327', '37889', '10', '1094');
INSERT INTO public.who_import VALUES (13164, '2020-10-27', 'BG', 'Bulgaria', 'EURO', '2243', '40132', '42', '1136');
INSERT INTO public.who_import VALUES (13165, '2020-10-28', 'BG', 'Bulgaria', 'EURO', '2569', '42701', '25', '1161');
INSERT INTO public.who_import VALUES (13166, '2020-10-29', 'BG', 'Bulgaria', 'EURO', '2760', '45461', '36', '1197');
INSERT INTO public.who_import VALUES (13167, '2020-10-30', 'BG', 'Bulgaria', 'EURO', '2689', '48150', '28', '1225');
INSERT INTO public.who_import VALUES (13168, '2020-10-31', 'BG', 'Bulgaria', 'EURO', '2891', '51041', '29', '1254');
INSERT INTO public.who_import VALUES (13169, '2020-11-01', 'BG', 'Bulgaria', 'EURO', '1803', '52844', '25', '1279');
INSERT INTO public.who_import VALUES (13170, '2020-11-02', 'BG', 'Bulgaria', 'EURO', '1225', '54069', '19', '1298');
INSERT INTO public.who_import VALUES (13171, '2020-11-03', 'BG', 'Bulgaria', 'EURO', '2427', '56496', '51', '1349');
INSERT INTO public.who_import VALUES (13172, '2020-11-04', 'BG', 'Bulgaria', 'EURO', '4041', '60537', '63', '1412');
INSERT INTO public.who_import VALUES (13173, '2020-11-05', 'BG', 'Bulgaria', 'EURO', '4054', '64591', '54', '1466');
INSERT INTO public.who_import VALUES (13174, '2020-11-06', 'BG', 'Bulgaria', 'EURO', '3754', '68345', '52', '1518');
INSERT INTO public.who_import VALUES (13175, '2020-11-07', 'BG', 'Bulgaria', 'EURO', '3839', '72184', '58', '1576');
INSERT INTO public.who_import VALUES (13176, '2020-11-08', 'BG', 'Bulgaria', 'EURO', '2301', '74485', '56', '1632');
INSERT INTO public.who_import VALUES (13177, '2020-11-09', 'BG', 'Bulgaria', 'EURO', '675', '75160', '33', '1665');
INSERT INTO public.who_import VALUES (13178, '2020-11-10', 'BG', 'Bulgaria', 'EURO', '3816', '78976', '106', '1771');
INSERT INTO public.who_import VALUES (13179, '2020-11-11', 'BG', 'Bulgaria', 'EURO', '4390', '83366', '80', '1851');
INSERT INTO public.who_import VALUES (13180, '2020-11-12', 'BG', 'Bulgaria', 'EURO', '3945', '87311', '47', '1898');
INSERT INTO public.who_import VALUES (13181, '2020-11-13', 'BG', 'Bulgaria', 'EURO', '3414', '90725', '72', '1970');
INSERT INTO public.who_import VALUES (13182, '2020-11-14', 'BG', 'Bulgaria', 'EURO', '4212', '94937', '85', '2055');
INSERT INTO public.who_import VALUES (13183, '2020-11-15', 'BG', 'Bulgaria', 'EURO', '2498', '97435', '36', '2091');
INSERT INTO public.who_import VALUES (13184, '2020-11-16', 'BG', 'Bulgaria', 'EURO', '816', '98251', '39', '2130');
INSERT INTO public.who_import VALUES (13185, '2020-11-17', 'BG', 'Bulgaria', 'EURO', '3519', '101770', '152', '2282');
INSERT INTO public.who_import VALUES (13186, '2020-11-18', 'BG', 'Bulgaria', 'EURO', '4828', '106598', '131', '2413');
INSERT INTO public.who_import VALUES (13187, '2020-11-19', 'BG', 'Bulgaria', 'EURO', '3938', '110536', '117', '2530');
INSERT INTO public.who_import VALUES (13188, '2020-11-20', 'BG', 'Bulgaria', 'EURO', '3899', '114435', '119', '2649');
INSERT INTO public.who_import VALUES (13189, '2020-11-21', 'BG', 'Bulgaria', 'EURO', '3983', '118418', '129', '2778');
INSERT INTO public.who_import VALUES (13190, '2020-11-22', 'BG', 'Bulgaria', 'EURO', '2279', '120697', '42', '2820');
INSERT INTO public.who_import VALUES (13191, '2020-11-23', 'BG', 'Bulgaria', 'EURO', '1123', '121820', '60', '2880');
INSERT INTO public.who_import VALUES (13192, '2020-11-24', 'BG', 'Bulgaria', 'EURO', '3146', '124966', '189', '3069');
INSERT INTO public.who_import VALUES (13193, '2020-11-25', 'BG', 'Bulgaria', 'EURO', '4382', '129348', '157', '3226');
INSERT INTO public.who_import VALUES (13194, '2020-11-26', 'BG', 'Bulgaria', 'EURO', '3712', '133060', '141', '3367');
INSERT INTO public.who_import VALUES (13195, '2020-11-27', 'BG', 'Bulgaria', 'EURO', '3568', '136628', '162', '3529');
INSERT INTO public.who_import VALUES (13196, '2020-11-28', 'BG', 'Bulgaria', 'EURO', '3327', '139955', '151', '3680');
INSERT INTO public.who_import VALUES (13197, '2020-11-29', 'BG', 'Bulgaria', 'EURO', '1792', '141747', '69', '3749');
INSERT INTO public.who_import VALUES (13198, '2020-11-30', 'BG', 'Bulgaria', 'EURO', '739', '142486', '65', '3814');
INSERT INTO public.who_import VALUES (13199, '2020-12-01', 'BG', 'Bulgaria', 'EURO', '2814', '145300', '221', '4035');
INSERT INTO public.who_import VALUES (13200, '2020-12-02', 'BG', 'Bulgaria', 'EURO', '3475', '148775', '153', '4188');
INSERT INTO public.who_import VALUES (13201, '2020-12-03', 'BG', 'Bulgaria', 'EURO', '3138', '151913', '159', '4347');
INSERT INTO public.who_import VALUES (13202, '2020-12-04', 'BG', 'Bulgaria', 'EURO', '3280', '155193', '156', '4503');
INSERT INTO public.who_import VALUES (13203, '2020-12-05', 'BG', 'Bulgaria', 'EURO', '3614', '158807', '147', '4650');
INSERT INTO public.who_import VALUES (13204, '2020-12-06', 'BG', 'Bulgaria', 'EURO', '2037', '160844', '79', '4729');
INSERT INTO public.who_import VALUES (13205, '2020-12-07', 'BG', 'Bulgaria', 'EURO', '577', '161421', '68', '4797');
INSERT INTO public.who_import VALUES (13206, '2020-12-08', 'BG', 'Bulgaria', 'EURO', '2764', '164185', '213', '5010');
INSERT INTO public.who_import VALUES (13207, '2020-12-09', 'BG', 'Bulgaria', 'EURO', '3980', '168165', '146', '5156');
INSERT INTO public.who_import VALUES (13208, '2020-12-10', 'BG', 'Bulgaria', 'EURO', '3328', '171493', '127', '5283');
INSERT INTO public.who_import VALUES (13209, '2020-12-11', 'BG', 'Bulgaria', 'EURO', '3075', '174568', '122', '5405');
INSERT INTO public.who_import VALUES (13210, '2020-12-12', 'BG', 'Bulgaria', 'EURO', '3097', '177665', '157', '5562');
INSERT INTO public.who_import VALUES (13211, '2020-12-13', 'BG', 'Bulgaria', 'EURO', '1287', '178952', '64', '5626');
INSERT INTO public.who_import VALUES (13212, '2020-12-14', 'BG', 'Bulgaria', 'EURO', '497', '179449', '62', '5688');
INSERT INTO public.who_import VALUES (13213, '2020-12-15', 'BG', 'Bulgaria', 'EURO', '2095', '181544', '150', '5838');
INSERT INTO public.who_import VALUES (13214, '2020-12-16', 'BG', 'Bulgaria', 'EURO', '2743', '184287', '167', '6005');
INSERT INTO public.who_import VALUES (13215, '2020-12-17', 'BG', 'Bulgaria', 'EURO', '1959', '186246', '191', '6196');
INSERT INTO public.who_import VALUES (13216, '2020-12-18', 'BG', 'Bulgaria', 'EURO', '2042', '188288', '143', '6339');
INSERT INTO public.who_import VALUES (13217, '2020-12-19', 'BG', 'Bulgaria', 'EURO', '1739', '190027', '157', '6496');
INSERT INTO public.who_import VALUES (13218, '2020-12-20', 'BG', 'Bulgaria', 'EURO', '1002', '191029', '55', '6551');
INSERT INTO public.who_import VALUES (13219, '2020-12-21', 'BG', 'Bulgaria', 'EURO', '166', '191195', '58', '6609');
INSERT INTO public.who_import VALUES (13220, '2020-12-22', 'BG', 'Bulgaria', 'EURO', '1277', '192472', '156', '6765');
INSERT INTO public.who_import VALUES (13221, '2020-12-23', 'BG', 'Bulgaria', 'EURO', '1799', '194271', '114', '6879');
INSERT INTO public.who_import VALUES (13222, '2020-12-24', 'BG', 'Bulgaria', 'EURO', '1615', '195886', '99', '6978');
INSERT INTO public.who_import VALUES (13223, '2020-12-25', 'BG', 'Bulgaria', 'EURO', '772', '196658', '45', '7023');
INSERT INTO public.who_import VALUES (13224, '2020-12-26', 'BG', 'Bulgaria', 'EURO', '257', '196915', '50', '7073');
INSERT INTO public.who_import VALUES (13225, '2020-12-27', 'BG', 'Bulgaria', 'EURO', '469', '197384', '50', '7123');
INSERT INTO public.who_import VALUES (13226, '2020-12-28', 'BG', 'Bulgaria', 'EURO', '332', '197716', '41', '7164');
INSERT INTO public.who_import VALUES (13227, '2020-12-29', 'BG', 'Bulgaria', 'EURO', '337', '198053', '87', '7251');
INSERT INTO public.who_import VALUES (13228, '2020-12-30', 'BG', 'Bulgaria', 'EURO', '1438', '199491', '154', '7405');
INSERT INTO public.who_import VALUES (13229, '2020-12-31', 'BG', 'Bulgaria', 'EURO', '1729', '201220', '110', '7515');
INSERT INTO public.who_import VALUES (13230, '2021-01-01', 'BG', 'Bulgaria', 'EURO', '1046', '202266', '61', '7576');
INSERT INTO public.who_import VALUES (13231, '2021-01-02', 'BG', 'Bulgaria', 'EURO', '274', '202540', '28', '7604');
INSERT INTO public.who_import VALUES (13232, '2021-01-03', 'BG', 'Bulgaria', 'EURO', '340', '202880', '40', '7644');
INSERT INTO public.who_import VALUES (13233, '2021-01-04', 'BG', 'Bulgaria', 'EURO', '171', '203051', '34', '7678');
INSERT INTO public.who_import VALUES (13234, '2021-01-05', 'BG', 'Bulgaria', 'EURO', '1029', '204080', '157', '7835');
INSERT INTO public.who_import VALUES (13235, '2021-01-06', 'BG', 'Bulgaria', 'EURO', '1310', '205390', '67', '7902');
INSERT INTO public.who_import VALUES (13236, '2021-01-07', 'BG', 'Bulgaria', 'EURO', '1002', '206392', '59', '7961');
INSERT INTO public.who_import VALUES (13237, '2021-01-08', 'BG', 'Bulgaria', 'EURO', '867', '207259', '56', '8017');
INSERT INTO public.who_import VALUES (13238, '2021-01-09', 'BG', 'Bulgaria', 'EURO', '753', '208012', '61', '8078');
INSERT INTO public.who_import VALUES (13239, '2021-01-10', 'BG', 'Bulgaria', 'EURO', '394', '208406', '19', '8097');
INSERT INTO public.who_import VALUES (13240, '2021-01-11', 'BG', 'Bulgaria', 'EURO', '105', '208511', '29', '8126');
INSERT INTO public.who_import VALUES (13241, '2021-01-12', 'BG', 'Bulgaria', 'EURO', '620', '209131', '106', '8232');
INSERT INTO public.who_import VALUES (13242, '2021-01-13', 'BG', 'Bulgaria', 'EURO', '750', '209881', '47', '8279');
INSERT INTO public.who_import VALUES (13243, '2021-01-14', 'BG', 'Bulgaria', 'EURO', '535', '210416', '70', '8349');
INSERT INTO public.who_import VALUES (13244, '2021-01-15', 'BG', 'Bulgaria', 'EURO', '535', '210951', '47', '8396');
INSERT INTO public.who_import VALUES (13245, '2021-01-16', 'BG', 'Bulgaria', 'EURO', '552', '211503', '61', '8457');
INSERT INTO public.who_import VALUES (13246, '2021-01-17', 'BG', 'Bulgaria', 'EURO', '233', '211736', '17', '8474');
INSERT INTO public.who_import VALUES (13247, '2021-01-18', 'BG', 'Bulgaria', 'EURO', '77', '211813', '9', '8483');
INSERT INTO public.who_import VALUES (13248, '2021-01-19', 'BG', 'Bulgaria', 'EURO', '570', '212383', '82', '8565');
INSERT INTO public.who_import VALUES (13249, '2021-01-20', 'BG', 'Bulgaria', 'EURO', '544', '212927', '49', '8614');
INSERT INTO public.who_import VALUES (13250, '2021-01-21', 'BG', 'Bulgaria', 'EURO', '482', '213409', '37', '8651');
INSERT INTO public.who_import VALUES (13251, '2021-01-22', 'BG', 'Bulgaria', 'EURO', '455', '213864', '90', '8741');
INSERT INTO public.who_import VALUES (13252, '2021-01-23', 'BG', 'Bulgaria', 'EURO', '566', '214430', '58', '8799');
INSERT INTO public.who_import VALUES (13253, '2021-01-24', 'BG', 'Bulgaria', 'EURO', '266', '214696', '12', '8811');
INSERT INTO public.who_import VALUES (13254, '2021-01-25', 'BG', 'Bulgaria', 'EURO', '121', '214817', '9', '8820');
INSERT INTO public.who_import VALUES (13255, '2021-01-26', 'BG', 'Bulgaria', 'EURO', '772', '215589', '60', '8880');
INSERT INTO public.who_import VALUES (13256, '2021-01-27', 'BG', 'Bulgaria', 'EURO', '827', '216416', '36', '8916');
INSERT INTO public.who_import VALUES (13257, '2021-01-28', 'BG', 'Bulgaria', 'EURO', '598', '217014', '28', '8944');
INSERT INTO public.who_import VALUES (13258, '2021-01-29', 'BG', 'Bulgaria', 'EURO', '560', '217574', '29', '8973');
INSERT INTO public.who_import VALUES (13259, '2021-01-30', 'BG', 'Bulgaria', 'EURO', '695', '218269', '35', '9008');
INSERT INTO public.who_import VALUES (13260, '2021-01-31', 'BG', 'Bulgaria', 'EURO', '349', '218618', '20', '9028');
INSERT INTO public.who_import VALUES (13261, '2021-02-01', 'BG', 'Bulgaria', 'EURO', '130', '218748', '17', '9045');
INSERT INTO public.who_import VALUES (13262, '2021-02-02', 'BG', 'Bulgaria', 'EURO', '832', '219580', '97', '9142');
INSERT INTO public.who_import VALUES (13263, '2021-02-03', 'BG', 'Bulgaria', 'EURO', '967', '220547', '36', '9178');
INSERT INTO public.who_import VALUES (13264, '2021-02-04', 'BG', 'Bulgaria', 'EURO', '719', '221266', '40', '9218');
INSERT INTO public.who_import VALUES (13265, '2021-02-05', 'BG', 'Bulgaria', 'EURO', '883', '222149', '54', '9272');
INSERT INTO public.who_import VALUES (13266, '2021-02-06', 'BG', 'Bulgaria', 'EURO', '910', '223059', '30', '9302');
INSERT INTO public.who_import VALUES (13267, '2021-02-07', 'BG', 'Bulgaria', 'EURO', '493', '223552', '9', '9311');
INSERT INTO public.who_import VALUES (13268, '2021-02-08', 'BG', 'Bulgaria', 'EURO', '182', '223734', '20', '9331');
INSERT INTO public.who_import VALUES (13269, '2021-02-09', 'BG', 'Bulgaria', 'EURO', '1115', '224849', '89', '9420');
INSERT INTO public.who_import VALUES (13270, '2021-02-10', 'BG', 'Bulgaria', 'EURO', '1212', '226061', '62', '9482');
INSERT INTO public.who_import VALUES (13271, '2021-02-11', 'BG', 'Bulgaria', 'EURO', '913', '226974', '45', '9527');
INSERT INTO public.who_import VALUES (13272, '2021-02-12', 'BG', 'Bulgaria', 'EURO', '1070', '228044', '34', '9561');
INSERT INTO public.who_import VALUES (13273, '2021-02-13', 'BG', 'Bulgaria', 'EURO', '966', '229010', '33', '9594');
INSERT INTO public.who_import VALUES (13274, '2021-02-14', 'BG', 'Bulgaria', 'EURO', '506', '229516', '14', '9608');
INSERT INTO public.who_import VALUES (13275, '2021-02-15', 'BG', 'Bulgaria', 'EURO', '181', '229697', '16', '9624');
INSERT INTO public.who_import VALUES (13276, '2021-02-16', 'BG', 'Bulgaria', 'EURO', '1050', '230747', '47', '9671');
INSERT INTO public.who_import VALUES (13277, '2021-02-17', 'BG', 'Bulgaria', 'EURO', '1349', '232096', '32', '9703');
INSERT INTO public.who_import VALUES (13278, '2021-02-18', 'BG', 'Bulgaria', 'EURO', '1146', '233242', '41', '9744');
INSERT INTO public.who_import VALUES (13279, '2021-02-19', 'BG', 'Bulgaria', 'EURO', '1186', '234428', '42', '9786');
INSERT INTO public.who_import VALUES (13280, '2021-02-20', 'BG', 'Bulgaria', 'EURO', '1463', '235891', '35', '9821');
INSERT INTO public.who_import VALUES (13281, '2020-01-03', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13282, '2020-01-04', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13283, '2020-01-05', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13284, '2020-01-06', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13285, '2020-01-07', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13286, '2020-01-08', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13287, '2020-01-09', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13288, '2020-01-10', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13289, '2020-01-11', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13290, '2020-01-12', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13291, '2020-01-13', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13292, '2020-01-14', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13293, '2020-01-15', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13294, '2020-01-16', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13295, '2020-01-17', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13296, '2020-01-18', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13297, '2020-01-19', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13298, '2020-01-20', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13299, '2020-01-21', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13300, '2020-01-22', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13301, '2020-01-23', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13302, '2020-01-24', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13303, '2020-01-25', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13304, '2020-01-26', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13305, '2020-01-27', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13306, '2020-01-28', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13307, '2020-01-29', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13308, '2020-01-30', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13309, '2020-01-31', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13310, '2020-02-01', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13311, '2020-02-02', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13312, '2020-02-03', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13313, '2020-02-04', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13314, '2020-02-05', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13315, '2020-02-06', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13316, '2020-02-07', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13317, '2020-02-08', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13318, '2020-02-09', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13319, '2020-02-10', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13320, '2020-02-11', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13321, '2020-02-12', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13322, '2020-02-13', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13323, '2020-02-14', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13324, '2020-02-15', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13325, '2020-02-16', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13326, '2020-02-17', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13327, '2020-02-18', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13328, '2020-02-19', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13329, '2020-02-20', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13330, '2020-02-21', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13331, '2020-02-22', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13332, '2020-02-23', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13333, '2020-02-24', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13334, '2020-02-25', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13335, '2020-02-26', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13336, '2020-02-27', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13337, '2020-02-28', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13338, '2020-02-29', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13339, '2020-03-01', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13340, '2020-03-02', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13341, '2020-03-03', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13342, '2020-03-04', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13343, '2020-03-05', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13344, '2020-03-06', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13345, '2020-03-07', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13346, '2020-03-08', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13347, '2020-03-09', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13348, '2020-03-10', 'BF', 'Burkina Faso', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13349, '2020-03-11', 'BF', 'Burkina Faso', 'AFRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (13350, '2020-03-12', 'BF', 'Burkina Faso', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (13351, '2020-03-13', 'BF', 'Burkina Faso', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (13352, '2020-03-14', 'BF', 'Burkina Faso', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (13353, '2020-03-15', 'BF', 'Burkina Faso', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (13354, '2020-03-16', 'BF', 'Burkina Faso', 'AFRO', '12', '19', '0', '0');
INSERT INTO public.who_import VALUES (13355, '2020-03-17', 'BF', 'Burkina Faso', 'AFRO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (13356, '2020-03-18', 'BF', 'Burkina Faso', 'AFRO', '6', '30', '1', '1');
INSERT INTO public.who_import VALUES (13357, '2020-03-19', 'BF', 'Burkina Faso', 'AFRO', '14', '44', '0', '1');
INSERT INTO public.who_import VALUES (13358, '2020-03-20', 'BF', 'Burkina Faso', 'AFRO', '0', '44', '0', '1');
INSERT INTO public.who_import VALUES (13359, '2020-03-21', 'BF', 'Burkina Faso', 'AFRO', '28', '72', '2', '3');
INSERT INTO public.who_import VALUES (13360, '2020-03-22', 'BF', 'Burkina Faso', 'AFRO', '3', '75', '0', '3');
INSERT INTO public.who_import VALUES (13361, '2020-03-23', 'BF', 'Burkina Faso', 'AFRO', '0', '75', '0', '3');
INSERT INTO public.who_import VALUES (13362, '2020-03-24', 'BF', 'Burkina Faso', 'AFRO', '24', '99', '0', '3');
INSERT INTO public.who_import VALUES (13363, '2020-03-25', 'BF', 'Burkina Faso', 'AFRO', '15', '114', '0', '3');
INSERT INTO public.who_import VALUES (13364, '2020-03-26', 'BF', 'Burkina Faso', 'AFRO', '32', '146', '0', '3');
INSERT INTO public.who_import VALUES (13365, '2020-03-27', 'BF', 'Burkina Faso', 'AFRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (13366, '2020-03-28', 'BF', 'Burkina Faso', 'AFRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (13367, '2020-03-29', 'BF', 'Burkina Faso', 'AFRO', '0', '146', '0', '3');
INSERT INTO public.who_import VALUES (13368, '2020-03-30', 'BF', 'Burkina Faso', 'AFRO', '76', '222', '9', '12');
INSERT INTO public.who_import VALUES (13369, '2020-03-31', 'BF', 'Burkina Faso', 'AFRO', '24', '246', '0', '12');
INSERT INTO public.who_import VALUES (13370, '2020-04-01', 'BF', 'Burkina Faso', 'AFRO', '15', '261', '2', '14');
INSERT INTO public.who_import VALUES (13371, '2020-04-02', 'BF', 'Burkina Faso', 'AFRO', '0', '261', '0', '14');
INSERT INTO public.who_import VALUES (13372, '2020-04-03', 'BF', 'Burkina Faso', 'AFRO', '0', '261', '1', '15');
INSERT INTO public.who_import VALUES (13373, '2020-04-04', 'BF', 'Burkina Faso', 'AFRO', '41', '302', '0', '15');
INSERT INTO public.who_import VALUES (13374, '2020-04-05', 'BF', 'Burkina Faso', 'AFRO', '0', '302', '0', '15');
INSERT INTO public.who_import VALUES (13375, '2020-04-06', 'BF', 'Burkina Faso', 'AFRO', '43', '345', '2', '17');
INSERT INTO public.who_import VALUES (13376, '2020-04-07', 'BF', 'Burkina Faso', 'AFRO', '0', '345', '0', '17');
INSERT INTO public.who_import VALUES (13377, '2020-04-08', 'BF', 'Burkina Faso', 'AFRO', '39', '384', '1', '18');
INSERT INTO public.who_import VALUES (13378, '2020-04-09', 'BF', 'Burkina Faso', 'AFRO', '0', '384', '1', '19');
INSERT INTO public.who_import VALUES (13379, '2020-04-10', 'BF', 'Burkina Faso', 'AFRO', '30', '414', '0', '19');
INSERT INTO public.who_import VALUES (13380, '2020-04-11', 'BF', 'Burkina Faso', 'AFRO', '29', '443', '0', '19');
INSERT INTO public.who_import VALUES (13381, '2020-04-12', 'BF', 'Burkina Faso', 'AFRO', '0', '443', '0', '19');
INSERT INTO public.who_import VALUES (13382, '2020-04-13', 'BF', 'Burkina Faso', 'AFRO', '0', '443', '0', '19');
INSERT INTO public.who_import VALUES (13383, '2020-04-14', 'BF', 'Burkina Faso', 'AFRO', '54', '497', '8', '27');
INSERT INTO public.who_import VALUES (13384, '2020-04-15', 'BF', 'Burkina Faso', 'AFRO', '18', '515', '1', '28');
INSERT INTO public.who_import VALUES (13385, '2020-04-16', 'BF', 'Burkina Faso', 'AFRO', '13', '528', '0', '28');
INSERT INTO public.who_import VALUES (13386, '2020-04-17', 'BF', 'Burkina Faso', 'AFRO', '15', '543', '4', '32');
INSERT INTO public.who_import VALUES (13387, '2020-04-18', 'BF', 'Burkina Faso', 'AFRO', '4', '547', '0', '32');
INSERT INTO public.who_import VALUES (13388, '2020-04-19', 'BF', 'Burkina Faso', 'AFRO', '0', '547', '0', '32');
INSERT INTO public.who_import VALUES (13389, '2020-04-20', 'BF', 'Burkina Faso', 'AFRO', '18', '565', '4', '36');
INSERT INTO public.who_import VALUES (13390, '2020-04-21', 'BF', 'Burkina Faso', 'AFRO', '11', '576', '0', '36');
INSERT INTO public.who_import VALUES (13391, '2020-04-22', 'BF', 'Burkina Faso', 'AFRO', '5', '581', '2', '38');
INSERT INTO public.who_import VALUES (13392, '2020-04-23', 'BF', 'Burkina Faso', 'AFRO', '19', '600', '0', '38');
INSERT INTO public.who_import VALUES (13393, '2020-04-24', 'BF', 'Burkina Faso', 'AFRO', '0', '600', '0', '38');
INSERT INTO public.who_import VALUES (13394, '2020-04-25', 'BF', 'Burkina Faso', 'AFRO', '16', '616', '3', '41');
INSERT INTO public.who_import VALUES (13395, '2020-04-26', 'BF', 'Burkina Faso', 'AFRO', '13', '629', '0', '41');
INSERT INTO public.who_import VALUES (13396, '2020-04-27', 'BF', 'Burkina Faso', 'AFRO', '3', '632', '1', '42');
INSERT INTO public.who_import VALUES (13397, '2020-04-28', 'BF', 'Burkina Faso', 'AFRO', '0', '632', '0', '42');
INSERT INTO public.who_import VALUES (13398, '2020-04-29', 'BF', 'Burkina Faso', 'AFRO', '6', '638', '0', '42');
INSERT INTO public.who_import VALUES (13399, '2020-04-30', 'BF', 'Burkina Faso', 'AFRO', '0', '638', '0', '42');
INSERT INTO public.who_import VALUES (13400, '2020-05-01', 'BF', 'Burkina Faso', 'AFRO', '7', '645', '1', '43');
INSERT INTO public.who_import VALUES (13401, '2020-05-02', 'BF', 'Burkina Faso', 'AFRO', '4', '649', '1', '44');
INSERT INTO public.who_import VALUES (13402, '2020-05-03', 'BF', 'Burkina Faso', 'AFRO', '3', '652', '0', '44');
INSERT INTO public.who_import VALUES (13403, '2020-05-04', 'BF', 'Burkina Faso', 'AFRO', '10', '662', '1', '45');
INSERT INTO public.who_import VALUES (13404, '2020-05-05', 'BF', 'Burkina Faso', 'AFRO', '10', '672', '1', '46');
INSERT INTO public.who_import VALUES (13405, '2020-05-06', 'BF', 'Burkina Faso', 'AFRO', '17', '689', '2', '48');
INSERT INTO public.who_import VALUES (13406, '2020-05-07', 'BF', 'Burkina Faso', 'AFRO', '40', '729', '0', '48');
INSERT INTO public.who_import VALUES (13407, '2020-05-08', 'BF', 'Burkina Faso', 'AFRO', '7', '736', '0', '48');
INSERT INTO public.who_import VALUES (13408, '2020-05-09', 'BF', 'Burkina Faso', 'AFRO', '0', '736', '0', '48');
INSERT INTO public.who_import VALUES (13409, '2020-05-10', 'BF', 'Burkina Faso', 'AFRO', '12', '748', '0', '48');
INSERT INTO public.who_import VALUES (13410, '2020-05-11', 'BF', 'Burkina Faso', 'AFRO', '3', '751', '1', '49');
INSERT INTO public.who_import VALUES (13411, '2020-05-12', 'BF', 'Burkina Faso', 'AFRO', '9', '760', '1', '50');
INSERT INTO public.who_import VALUES (13412, '2020-05-13', 'BF', 'Burkina Faso', 'AFRO', '6', '766', '1', '51');
INSERT INTO public.who_import VALUES (13413, '2020-05-14', 'BF', 'Burkina Faso', 'AFRO', '7', '773', '0', '51');
INSERT INTO public.who_import VALUES (13414, '2020-05-15', 'BF', 'Burkina Faso', 'AFRO', '0', '773', '0', '51');
INSERT INTO public.who_import VALUES (13415, '2020-05-16', 'BF', 'Burkina Faso', 'AFRO', '7', '780', '0', '51');
INSERT INTO public.who_import VALUES (13416, '2020-05-17', 'BF', 'Burkina Faso', 'AFRO', '2', '782', '0', '51');
INSERT INTO public.who_import VALUES (13417, '2020-05-18', 'BF', 'Burkina Faso', 'AFRO', '14', '796', '0', '51');
INSERT INTO public.who_import VALUES (13418, '2020-05-19', 'BF', 'Burkina Faso', 'AFRO', '0', '796', '0', '51');
INSERT INTO public.who_import VALUES (13419, '2020-05-20', 'BF', 'Burkina Faso', 'AFRO', '10', '806', '1', '52');
INSERT INTO public.who_import VALUES (13420, '2020-05-21', 'BF', 'Burkina Faso', 'AFRO', '3', '809', '0', '52');
INSERT INTO public.who_import VALUES (13421, '2020-05-22', 'BF', 'Burkina Faso', 'AFRO', '3', '812', '0', '52');
INSERT INTO public.who_import VALUES (13422, '2020-05-23', 'BF', 'Burkina Faso', 'AFRO', '2', '814', '0', '52');
INSERT INTO public.who_import VALUES (13423, '2020-05-24', 'BF', 'Burkina Faso', 'AFRO', '17', '831', '0', '52');
INSERT INTO public.who_import VALUES (13424, '2020-05-25', 'BF', 'Burkina Faso', 'AFRO', '1', '832', '0', '52');
INSERT INTO public.who_import VALUES (13425, '2020-05-26', 'BF', 'Burkina Faso', 'AFRO', '9', '841', '0', '52');
INSERT INTO public.who_import VALUES (13426, '2020-05-27', 'BF', 'Burkina Faso', 'AFRO', '4', '845', '1', '53');
INSERT INTO public.who_import VALUES (13427, '2020-05-28', 'BF', 'Burkina Faso', 'AFRO', '0', '845', '0', '53');
INSERT INTO public.who_import VALUES (13428, '2020-05-29', 'BF', 'Burkina Faso', 'AFRO', '2', '847', '0', '53');
INSERT INTO public.who_import VALUES (13429, '2020-05-30', 'BF', 'Burkina Faso', 'AFRO', '0', '847', '0', '53');
INSERT INTO public.who_import VALUES (13430, '2020-05-31', 'BF', 'Burkina Faso', 'AFRO', '6', '853', '0', '53');
INSERT INTO public.who_import VALUES (13431, '2020-06-01', 'BF', 'Burkina Faso', 'AFRO', '28', '881', '0', '53');
INSERT INTO public.who_import VALUES (13432, '2020-06-02', 'BF', 'Burkina Faso', 'AFRO', '2', '883', '0', '53');
INSERT INTO public.who_import VALUES (13433, '2020-06-03', 'BF', 'Burkina Faso', 'AFRO', '1', '884', '0', '53');
INSERT INTO public.who_import VALUES (13434, '2020-06-04', 'BF', 'Burkina Faso', 'AFRO', '0', '884', '0', '53');
INSERT INTO public.who_import VALUES (13435, '2020-06-05', 'BF', 'Burkina Faso', 'AFRO', '1', '885', '0', '53');
INSERT INTO public.who_import VALUES (13436, '2020-06-06', 'BF', 'Burkina Faso', 'AFRO', '0', '885', '0', '53');
INSERT INTO public.who_import VALUES (13437, '2020-06-07', 'BF', 'Burkina Faso', 'AFRO', '3', '888', '0', '53');
INSERT INTO public.who_import VALUES (13438, '2020-06-08', 'BF', 'Burkina Faso', 'AFRO', '0', '888', '0', '53');
INSERT INTO public.who_import VALUES (13439, '2020-06-09', 'BF', 'Burkina Faso', 'AFRO', '2', '890', '0', '53');
INSERT INTO public.who_import VALUES (13440, '2020-06-10', 'BF', 'Burkina Faso', 'AFRO', '1', '891', '0', '53');
INSERT INTO public.who_import VALUES (13441, '2020-06-11', 'BF', 'Burkina Faso', 'AFRO', '0', '891', '0', '53');
INSERT INTO public.who_import VALUES (13442, '2020-06-12', 'BF', 'Burkina Faso', 'AFRO', '0', '891', '0', '53');
INSERT INTO public.who_import VALUES (13443, '2020-06-13', 'BF', 'Burkina Faso', 'AFRO', '1', '892', '0', '53');
INSERT INTO public.who_import VALUES (13444, '2020-06-14', 'BF', 'Burkina Faso', 'AFRO', '0', '892', '0', '53');
INSERT INTO public.who_import VALUES (13445, '2020-06-15', 'BF', 'Burkina Faso', 'AFRO', '2', '894', '0', '53');
INSERT INTO public.who_import VALUES (13446, '2020-06-16', 'BF', 'Burkina Faso', 'AFRO', '0', '894', '0', '53');
INSERT INTO public.who_import VALUES (13447, '2020-06-17', 'BF', 'Burkina Faso', 'AFRO', '1', '895', '0', '53');
INSERT INTO public.who_import VALUES (13448, '2020-06-18', 'BF', 'Burkina Faso', 'AFRO', '4', '899', '0', '53');
INSERT INTO public.who_import VALUES (13449, '2020-06-19', 'BF', 'Burkina Faso', 'AFRO', '0', '899', '0', '53');
INSERT INTO public.who_import VALUES (13450, '2020-06-20', 'BF', 'Burkina Faso', 'AFRO', '2', '901', '0', '53');
INSERT INTO public.who_import VALUES (13451, '2020-06-21', 'BF', 'Burkina Faso', 'AFRO', '0', '901', '0', '53');
INSERT INTO public.who_import VALUES (13452, '2020-06-22', 'BF', 'Burkina Faso', 'AFRO', '0', '901', '0', '53');
INSERT INTO public.who_import VALUES (13453, '2020-06-23', 'BF', 'Burkina Faso', 'AFRO', '2', '903', '0', '53');
INSERT INTO public.who_import VALUES (13454, '2020-06-24', 'BF', 'Burkina Faso', 'AFRO', '0', '903', '0', '53');
INSERT INTO public.who_import VALUES (13455, '2020-06-25', 'BF', 'Burkina Faso', 'AFRO', '31', '934', '0', '53');
INSERT INTO public.who_import VALUES (13456, '2020-06-26', 'BF', 'Burkina Faso', 'AFRO', '0', '934', '0', '53');
INSERT INTO public.who_import VALUES (13457, '2020-06-27', 'BF', 'Burkina Faso', 'AFRO', '0', '934', '0', '53');
INSERT INTO public.who_import VALUES (13458, '2020-06-28', 'BF', 'Burkina Faso', 'AFRO', '20', '954', '0', '53');
INSERT INTO public.who_import VALUES (13459, '2020-06-29', 'BF', 'Burkina Faso', 'AFRO', '5', '959', '0', '53');
INSERT INTO public.who_import VALUES (13460, '2020-06-30', 'BF', 'Burkina Faso', 'AFRO', '0', '959', '0', '53');
INSERT INTO public.who_import VALUES (13461, '2020-07-01', 'BF', 'Burkina Faso', 'AFRO', '3', '962', '0', '53');
INSERT INTO public.who_import VALUES (13462, '2020-07-02', 'BF', 'Burkina Faso', 'AFRO', '0', '962', '0', '53');
INSERT INTO public.who_import VALUES (13463, '2020-07-03', 'BF', 'Burkina Faso', 'AFRO', '5', '967', '0', '53');
INSERT INTO public.who_import VALUES (13464, '2020-07-04', 'BF', 'Burkina Faso', 'AFRO', '13', '980', '0', '53');
INSERT INTO public.who_import VALUES (13465, '2020-07-05', 'BF', 'Burkina Faso', 'AFRO', '7', '987', '0', '53');
INSERT INTO public.who_import VALUES (13466, '2020-07-06', 'BF', 'Burkina Faso', 'AFRO', '13', '1000', '0', '53');
INSERT INTO public.who_import VALUES (13467, '2020-07-07', 'BF', 'Burkina Faso', 'AFRO', '0', '1000', '0', '53');
INSERT INTO public.who_import VALUES (13468, '2020-07-08', 'BF', 'Burkina Faso', 'AFRO', '3', '1003', '0', '53');
INSERT INTO public.who_import VALUES (13469, '2020-07-09', 'BF', 'Burkina Faso', 'AFRO', '0', '1003', '0', '53');
INSERT INTO public.who_import VALUES (13470, '2020-07-10', 'BF', 'Burkina Faso', 'AFRO', '2', '1005', '0', '53');
INSERT INTO public.who_import VALUES (13471, '2020-07-11', 'BF', 'Burkina Faso', 'AFRO', '15', '1020', '1', '54');
INSERT INTO public.who_import VALUES (13472, '2020-07-12', 'BF', 'Burkina Faso', 'AFRO', '0', '1020', '0', '54');
INSERT INTO public.who_import VALUES (13473, '2020-07-13', 'BF', 'Burkina Faso', 'AFRO', '13', '1033', '-1', '53');
INSERT INTO public.who_import VALUES (13474, '2020-07-14', 'BF', 'Burkina Faso', 'AFRO', '3', '1036', '0', '53');
INSERT INTO public.who_import VALUES (13475, '2020-07-15', 'BF', 'Burkina Faso', 'AFRO', '1', '1037', '0', '53');
INSERT INTO public.who_import VALUES (13476, '2020-07-16', 'BF', 'Burkina Faso', 'AFRO', '1', '1038', '0', '53');
INSERT INTO public.who_import VALUES (13477, '2020-07-17', 'BF', 'Burkina Faso', 'AFRO', '0', '1038', '0', '53');
INSERT INTO public.who_import VALUES (13478, '2020-07-18', 'BF', 'Burkina Faso', 'AFRO', '7', '1045', '0', '53');
INSERT INTO public.who_import VALUES (13479, '2020-07-19', 'BF', 'Burkina Faso', 'AFRO', '2', '1047', '0', '53');
INSERT INTO public.who_import VALUES (13480, '2020-07-20', 'BF', 'Burkina Faso', 'AFRO', '18', '1065', '0', '53');
INSERT INTO public.who_import VALUES (13481, '2020-07-21', 'BF', 'Burkina Faso', 'AFRO', '0', '1065', '0', '53');
INSERT INTO public.who_import VALUES (13482, '2020-07-22', 'BF', 'Burkina Faso', 'AFRO', '0', '1065', '0', '53');
INSERT INTO public.who_import VALUES (13483, '2020-07-23', 'BF', 'Burkina Faso', 'AFRO', '1', '1066', '0', '53');
INSERT INTO public.who_import VALUES (13484, '2020-07-24', 'BF', 'Burkina Faso', 'AFRO', '4', '1070', '0', '53');
INSERT INTO public.who_import VALUES (13485, '2020-07-25', 'BF', 'Burkina Faso', 'AFRO', '5', '1075', '0', '53');
INSERT INTO public.who_import VALUES (13486, '2020-07-26', 'BF', 'Burkina Faso', 'AFRO', '6', '1081', '0', '53');
INSERT INTO public.who_import VALUES (13487, '2020-07-27', 'BF', 'Burkina Faso', 'AFRO', '5', '1086', '0', '53');
INSERT INTO public.who_import VALUES (13488, '2020-07-28', 'BF', 'Burkina Faso', 'AFRO', '14', '1100', '0', '53');
INSERT INTO public.who_import VALUES (13489, '2020-07-29', 'BF', 'Burkina Faso', 'AFRO', '5', '1105', '0', '53');
INSERT INTO public.who_import VALUES (13490, '2020-07-30', 'BF', 'Burkina Faso', 'AFRO', '1', '1106', '0', '53');
INSERT INTO public.who_import VALUES (13491, '2020-07-31', 'BF', 'Burkina Faso', 'AFRO', '11', '1117', '0', '53');
INSERT INTO public.who_import VALUES (13492, '2020-08-01', 'BF', 'Burkina Faso', 'AFRO', '21', '1138', '0', '53');
INSERT INTO public.who_import VALUES (13493, '2020-08-02', 'BF', 'Burkina Faso', 'AFRO', '5', '1143', '0', '53');
INSERT INTO public.who_import VALUES (13494, '2020-08-03', 'BF', 'Burkina Faso', 'AFRO', '6', '1149', '0', '53');
INSERT INTO public.who_import VALUES (13495, '2020-08-04', 'BF', 'Burkina Faso', 'AFRO', '1', '1150', '0', '53');
INSERT INTO public.who_import VALUES (13496, '2020-08-05', 'BF', 'Burkina Faso', 'AFRO', '3', '1153', '1', '54');
INSERT INTO public.who_import VALUES (13497, '2020-08-06', 'BF', 'Burkina Faso', 'AFRO', '3', '1156', '0', '54');
INSERT INTO public.who_import VALUES (13498, '2020-08-07', 'BF', 'Burkina Faso', 'AFRO', '2', '1158', '0', '54');
INSERT INTO public.who_import VALUES (13499, '2020-08-08', 'BF', 'Burkina Faso', 'AFRO', '4', '1162', '0', '54');
INSERT INTO public.who_import VALUES (13500, '2020-08-09', 'BF', 'Burkina Faso', 'AFRO', '13', '1175', '0', '54');
INSERT INTO public.who_import VALUES (13501, '2020-08-10', 'BF', 'Burkina Faso', 'AFRO', '5', '1180', '0', '54');
INSERT INTO public.who_import VALUES (13502, '2020-08-11', 'BF', 'Burkina Faso', 'AFRO', '24', '1204', '0', '54');
INSERT INTO public.who_import VALUES (13503, '2020-08-12', 'BF', 'Burkina Faso', 'AFRO', '7', '1211', '0', '54');
INSERT INTO public.who_import VALUES (13504, '2020-08-13', 'BF', 'Burkina Faso', 'AFRO', '2', '1213', '0', '54');
INSERT INTO public.who_import VALUES (13505, '2020-08-14', 'BF', 'Burkina Faso', 'AFRO', '15', '1228', '0', '54');
INSERT INTO public.who_import VALUES (13506, '2020-08-15', 'BF', 'Burkina Faso', 'AFRO', '10', '1238', '0', '54');
INSERT INTO public.who_import VALUES (13507, '2020-08-16', 'BF', 'Burkina Faso', 'AFRO', '2', '1240', '0', '54');
INSERT INTO public.who_import VALUES (13508, '2020-08-17', 'BF', 'Burkina Faso', 'AFRO', '9', '1249', '0', '54');
INSERT INTO public.who_import VALUES (13509, '2020-08-18', 'BF', 'Burkina Faso', 'AFRO', '18', '1267', '1', '55');
INSERT INTO public.who_import VALUES (13510, '2020-08-19', 'BF', 'Burkina Faso', 'AFRO', '13', '1280', '0', '55');
INSERT INTO public.who_import VALUES (13511, '2020-08-20', 'BF', 'Burkina Faso', 'AFRO', '5', '1285', '0', '55');
INSERT INTO public.who_import VALUES (13512, '2020-08-21', 'BF', 'Burkina Faso', 'AFRO', '7', '1292', '0', '55');
INSERT INTO public.who_import VALUES (13513, '2020-08-22', 'BF', 'Burkina Faso', 'AFRO', '5', '1297', '0', '55');
INSERT INTO public.who_import VALUES (13514, '2020-08-23', 'BF', 'Burkina Faso', 'AFRO', '0', '1297', '0', '55');
INSERT INTO public.who_import VALUES (13515, '2020-08-24', 'BF', 'Burkina Faso', 'AFRO', '31', '1328', '0', '55');
INSERT INTO public.who_import VALUES (13516, '2020-08-25', 'BF', 'Burkina Faso', 'AFRO', '0', '1328', '0', '55');
INSERT INTO public.who_import VALUES (13517, '2020-08-26', 'BF', 'Burkina Faso', 'AFRO', '10', '1338', '0', '55');
INSERT INTO public.who_import VALUES (13518, '2020-08-27', 'BF', 'Burkina Faso', 'AFRO', '14', '1352', '0', '55');
INSERT INTO public.who_import VALUES (13519, '2020-08-28', 'BF', 'Burkina Faso', 'AFRO', '0', '1352', '0', '55');
INSERT INTO public.who_import VALUES (13520, '2020-08-29', 'BF', 'Burkina Faso', 'AFRO', '5', '1357', '0', '55');
INSERT INTO public.who_import VALUES (13521, '2020-08-30', 'BF', 'Burkina Faso', 'AFRO', '0', '1357', '0', '55');
INSERT INTO public.who_import VALUES (13522, '2020-08-31', 'BF', 'Burkina Faso', 'AFRO', '11', '1368', '0', '55');
INSERT INTO public.who_import VALUES (13523, '2020-09-01', 'BF', 'Burkina Faso', 'AFRO', '0', '1368', '0', '55');
INSERT INTO public.who_import VALUES (13524, '2020-09-02', 'BF', 'Burkina Faso', 'AFRO', '2', '1370', '0', '55');
INSERT INTO public.who_import VALUES (13525, '2020-09-03', 'BF', 'Burkina Faso', 'AFRO', '5', '1375', '0', '55');
INSERT INTO public.who_import VALUES (13526, '2020-09-04', 'BF', 'Burkina Faso', 'AFRO', '3', '1378', '0', '55');
INSERT INTO public.who_import VALUES (13527, '2020-09-05', 'BF', 'Burkina Faso', 'AFRO', '8', '1386', '0', '55');
INSERT INTO public.who_import VALUES (13528, '2020-09-06', 'BF', 'Burkina Faso', 'AFRO', '22', '1408', '0', '55');
INSERT INTO public.who_import VALUES (13529, '2020-09-07', 'BF', 'Burkina Faso', 'AFRO', '39', '1447', '0', '55');
INSERT INTO public.who_import VALUES (13530, '2020-09-08', 'BF', 'Burkina Faso', 'AFRO', '5', '1452', '0', '55');
INSERT INTO public.who_import VALUES (13531, '2020-09-09', 'BF', 'Burkina Faso', 'AFRO', '11', '1463', '1', '56');
INSERT INTO public.who_import VALUES (13532, '2020-09-10', 'BF', 'Burkina Faso', 'AFRO', '3', '1466', '0', '56');
INSERT INTO public.who_import VALUES (13533, '2020-09-11', 'BF', 'Burkina Faso', 'AFRO', '10', '1476', '0', '56');
INSERT INTO public.who_import VALUES (13534, '2020-09-12', 'BF', 'Burkina Faso', 'AFRO', '10', '1486', '0', '56');
INSERT INTO public.who_import VALUES (13535, '2020-09-13', 'BF', 'Burkina Faso', 'AFRO', '13', '1499', '0', '56');
INSERT INTO public.who_import VALUES (13536, '2020-09-14', 'BF', 'Burkina Faso', 'AFRO', '0', '1499', '0', '56');
INSERT INTO public.who_import VALUES (13537, '2020-09-15', 'BF', 'Burkina Faso', 'AFRO', '193', '1692', '0', '56');
INSERT INTO public.who_import VALUES (13538, '2020-09-16', 'BF', 'Burkina Faso', 'AFRO', '25', '1717', '0', '56');
INSERT INTO public.who_import VALUES (13539, '2020-09-17', 'BF', 'Burkina Faso', 'AFRO', '16', '1733', '0', '56');
INSERT INTO public.who_import VALUES (13540, '2020-09-18', 'BF', 'Burkina Faso', 'AFRO', '15', '1748', '0', '56');
INSERT INTO public.who_import VALUES (13541, '2020-09-19', 'BF', 'Burkina Faso', 'AFRO', '19', '1767', '0', '56');
INSERT INTO public.who_import VALUES (13542, '2020-09-20', 'BF', 'Burkina Faso', 'AFRO', '30', '1797', '0', '56');
INSERT INTO public.who_import VALUES (13543, '2020-09-21', 'BF', 'Burkina Faso', 'AFRO', '19', '1816', '0', '56');
INSERT INTO public.who_import VALUES (13544, '2020-09-22', 'BF', 'Burkina Faso', 'AFRO', '80', '1896', '0', '56');
INSERT INTO public.who_import VALUES (13545, '2020-09-23', 'BF', 'Burkina Faso', 'AFRO', '0', '1896', '0', '56');
INSERT INTO public.who_import VALUES (13546, '2020-09-24', 'BF', 'Burkina Faso', 'AFRO', '11', '1907', '0', '56');
INSERT INTO public.who_import VALUES (13547, '2020-09-25', 'BF', 'Burkina Faso', 'AFRO', '22', '1929', '0', '56');
INSERT INTO public.who_import VALUES (13548, '2020-09-26', 'BF', 'Burkina Faso', 'AFRO', '0', '1929', '0', '56');
INSERT INTO public.who_import VALUES (13549, '2020-09-27', 'BF', 'Burkina Faso', 'AFRO', '0', '1929', '0', '56');
INSERT INTO public.who_import VALUES (13550, '2020-09-28', 'BF', 'Burkina Faso', 'AFRO', '0', '1929', '0', '56');
INSERT INTO public.who_import VALUES (13551, '2020-09-29', 'BF', 'Burkina Faso', 'AFRO', '0', '1929', '0', '56');
INSERT INTO public.who_import VALUES (13552, '2020-09-30', 'BF', 'Burkina Faso', 'AFRO', '99', '2028', '1', '57');
INSERT INTO public.who_import VALUES (13553, '2020-10-01', 'BF', 'Burkina Faso', 'AFRO', '0', '2028', '0', '57');
INSERT INTO public.who_import VALUES (13554, '2020-10-02', 'BF', 'Burkina Faso', 'AFRO', '28', '2056', '1', '58');
INSERT INTO public.who_import VALUES (13555, '2020-10-03', 'BF', 'Burkina Faso', 'AFRO', '32', '2088', '0', '58');
INSERT INTO public.who_import VALUES (13556, '2020-10-04', 'BF', 'Burkina Faso', 'AFRO', '0', '2088', '0', '58');
INSERT INTO public.who_import VALUES (13557, '2020-10-05', 'BF', 'Burkina Faso', 'AFRO', '66', '2154', '1', '59');
INSERT INTO public.who_import VALUES (13558, '2020-10-06', 'BF', 'Burkina Faso', 'AFRO', '13', '2167', '0', '59');
INSERT INTO public.who_import VALUES (13559, '2020-10-07', 'BF', 'Burkina Faso', 'AFRO', '0', '2167', '0', '59');
INSERT INTO public.who_import VALUES (13560, '2020-10-08', 'BF', 'Burkina Faso', 'AFRO', '30', '2197', '0', '59');
INSERT INTO public.who_import VALUES (13561, '2020-10-09', 'BF', 'Burkina Faso', 'AFRO', '25', '2222', '0', '59');
INSERT INTO public.who_import VALUES (13562, '2020-10-10', 'BF', 'Burkina Faso', 'AFRO', '19', '2241', '1', '60');
INSERT INTO public.who_import VALUES (13563, '2020-10-11', 'BF', 'Burkina Faso', 'AFRO', '0', '2241', '0', '60');
INSERT INTO public.who_import VALUES (13564, '2020-10-12', 'BF', 'Burkina Faso', 'AFRO', '0', '2241', '0', '60');
INSERT INTO public.who_import VALUES (13565, '2020-10-13', 'BF', 'Burkina Faso', 'AFRO', '39', '2280', '3', '63');
INSERT INTO public.who_import VALUES (13566, '2020-10-14', 'BF', 'Burkina Faso', 'AFRO', '0', '2280', '0', '63');
INSERT INTO public.who_import VALUES (13567, '2020-10-15', 'BF', 'Burkina Faso', 'AFRO', '14', '2294', '0', '63');
INSERT INTO public.who_import VALUES (13568, '2020-10-16', 'BF', 'Burkina Faso', 'AFRO', '41', '2335', '2', '65');
INSERT INTO public.who_import VALUES (13569, '2020-10-17', 'BF', 'Burkina Faso', 'AFRO', '8', '2343', '0', '65');
INSERT INTO public.who_import VALUES (13570, '2020-10-18', 'BF', 'Burkina Faso', 'AFRO', '31', '2374', '0', '65');
INSERT INTO public.who_import VALUES (13571, '2020-10-19', 'BF', 'Burkina Faso', 'AFRO', '7', '2381', '0', '65');
INSERT INTO public.who_import VALUES (13572, '2020-10-20', 'BF', 'Burkina Faso', 'AFRO', '6', '2387', '0', '65');
INSERT INTO public.who_import VALUES (13573, '2020-10-21', 'BF', 'Burkina Faso', 'AFRO', '19', '2406', '0', '65');
INSERT INTO public.who_import VALUES (13574, '2020-10-22', 'BF', 'Burkina Faso', 'AFRO', '0', '2406', '0', '65');
INSERT INTO public.who_import VALUES (13575, '2020-10-23', 'BF', 'Burkina Faso', 'AFRO', '15', '2421', '0', '65');
INSERT INTO public.who_import VALUES (13576, '2020-10-24', 'BF', 'Burkina Faso', 'AFRO', '12', '2433', '0', '65');
INSERT INTO public.who_import VALUES (13577, '2020-10-25', 'BF', 'Burkina Faso', 'AFRO', '11', '2444', '0', '65');
INSERT INTO public.who_import VALUES (13578, '2020-10-26', 'BF', 'Burkina Faso', 'AFRO', '7', '2451', '0', '65');
INSERT INTO public.who_import VALUES (13579, '2020-10-27', 'BF', 'Burkina Faso', 'AFRO', '8', '2459', '2', '67');
INSERT INTO public.who_import VALUES (13580, '2020-10-28', 'BF', 'Burkina Faso', 'AFRO', '7', '2466', '0', '67');
INSERT INTO public.who_import VALUES (13581, '2020-10-29', 'BF', 'Burkina Faso', 'AFRO', '0', '2466', '0', '67');
INSERT INTO public.who_import VALUES (13582, '2020-10-30', 'BF', 'Burkina Faso', 'AFRO', '11', '2477', '0', '67');
INSERT INTO public.who_import VALUES (13583, '2020-10-31', 'BF', 'Burkina Faso', 'AFRO', '0', '2477', '0', '67');
INSERT INTO public.who_import VALUES (13584, '2020-11-01', 'BF', 'Burkina Faso', 'AFRO', '23', '2500', '0', '67');
INSERT INTO public.who_import VALUES (13585, '2020-11-02', 'BF', 'Burkina Faso', 'AFRO', '0', '2500', '0', '67');
INSERT INTO public.who_import VALUES (13586, '2020-11-03', 'BF', 'Burkina Faso', 'AFRO', '17', '2517', '0', '67');
INSERT INTO public.who_import VALUES (13587, '2020-11-04', 'BF', 'Burkina Faso', 'AFRO', '13', '2530', '0', '67');
INSERT INTO public.who_import VALUES (13588, '2020-11-05', 'BF', 'Burkina Faso', 'AFRO', '9', '2539', '0', '67');
INSERT INTO public.who_import VALUES (13589, '2020-11-06', 'BF', 'Burkina Faso', 'AFRO', '11', '2550', '0', '67');
INSERT INTO public.who_import VALUES (13590, '2020-11-07', 'BF', 'Burkina Faso', 'AFRO', '12', '2562', '0', '67');
INSERT INTO public.who_import VALUES (13591, '2020-11-08', 'BF', 'Burkina Faso', 'AFRO', '3', '2565', '0', '67');
INSERT INTO public.who_import VALUES (13592, '2020-11-09', 'BF', 'Burkina Faso', 'AFRO', '4', '2569', '0', '67');
INSERT INTO public.who_import VALUES (13593, '2020-11-10', 'BF', 'Burkina Faso', 'AFRO', '12', '2581', '0', '67');
INSERT INTO public.who_import VALUES (13594, '2020-11-11', 'BF', 'Burkina Faso', 'AFRO', '1', '2582', '0', '67');
INSERT INTO public.who_import VALUES (13595, '2020-11-12', 'BF', 'Burkina Faso', 'AFRO', '4', '2586', '0', '67');
INSERT INTO public.who_import VALUES (13596, '2020-11-13', 'BF', 'Burkina Faso', 'AFRO', '0', '2586', '0', '67');
INSERT INTO public.who_import VALUES (13597, '2020-11-14', 'BF', 'Burkina Faso', 'AFRO', '23', '2609', '1', '68');
INSERT INTO public.who_import VALUES (13598, '2020-11-15', 'BF', 'Burkina Faso', 'AFRO', '26', '2635', '0', '68');
INSERT INTO public.who_import VALUES (13599, '2020-11-16', 'BF', 'Burkina Faso', 'AFRO', '6', '2641', '0', '68');
INSERT INTO public.who_import VALUES (13600, '2020-11-17', 'BF', 'Burkina Faso', 'AFRO', '11', '2652', '0', '68');
INSERT INTO public.who_import VALUES (13601, '2020-11-18', 'BF', 'Burkina Faso', 'AFRO', '0', '2652', '0', '68');
INSERT INTO public.who_import VALUES (13602, '2020-11-19', 'BF', 'Burkina Faso', 'AFRO', '18', '2670', '0', '68');
INSERT INTO public.who_import VALUES (13603, '2020-11-20', 'BF', 'Burkina Faso', 'AFRO', '16', '2686', '0', '68');
INSERT INTO public.who_import VALUES (13604, '2020-11-21', 'BF', 'Burkina Faso', 'AFRO', '0', '2686', '0', '68');
INSERT INTO public.who_import VALUES (13605, '2020-11-22', 'BF', 'Burkina Faso', 'AFRO', '17', '2703', '0', '68');
INSERT INTO public.who_import VALUES (13606, '2020-11-23', 'BF', 'Burkina Faso', 'AFRO', '32', '2735', '0', '68');
INSERT INTO public.who_import VALUES (13607, '2020-11-24', 'BF', 'Burkina Faso', 'AFRO', '19', '2754', '0', '68');
INSERT INTO public.who_import VALUES (13608, '2020-11-25', 'BF', 'Burkina Faso', 'AFRO', '3', '2757', '0', '68');
INSERT INTO public.who_import VALUES (13609, '2020-11-26', 'BF', 'Burkina Faso', 'AFRO', '20', '2777', '0', '68');
INSERT INTO public.who_import VALUES (13610, '2020-11-27', 'BF', 'Burkina Faso', 'AFRO', '0', '2777', '0', '68');
INSERT INTO public.who_import VALUES (13611, '2020-11-28', 'BF', 'Burkina Faso', 'AFRO', '39', '2816', '0', '68');
INSERT INTO public.who_import VALUES (13612, '2020-11-29', 'BF', 'Burkina Faso', 'AFRO', '0', '2816', '0', '68');
INSERT INTO public.who_import VALUES (13613, '2020-11-30', 'BF', 'Burkina Faso', 'AFRO', '40', '2856', '0', '68');
INSERT INTO public.who_import VALUES (13614, '2020-12-01', 'BF', 'Burkina Faso', 'AFRO', '30', '2886', '0', '68');
INSERT INTO public.who_import VALUES (13615, '2020-12-02', 'BF', 'Burkina Faso', 'AFRO', '45', '2931', '0', '68');
INSERT INTO public.who_import VALUES (13616, '2020-12-03', 'BF', 'Burkina Faso', 'AFRO', '79', '3010', '0', '68');
INSERT INTO public.who_import VALUES (13617, '2020-12-04', 'BF', 'Burkina Faso', 'AFRO', '52', '3062', '0', '68');
INSERT INTO public.who_import VALUES (13618, '2020-12-05', 'BF', 'Burkina Faso', 'AFRO', '29', '3091', '0', '68');
INSERT INTO public.who_import VALUES (13619, '2020-12-06', 'BF', 'Burkina Faso', 'AFRO', '65', '3156', '0', '68');
INSERT INTO public.who_import VALUES (13620, '2020-12-07', 'BF', 'Burkina Faso', 'AFRO', '56', '3212', '0', '68');
INSERT INTO public.who_import VALUES (13621, '2020-12-08', 'BF', 'Burkina Faso', 'AFRO', '103', '3315', '0', '68');
INSERT INTO public.who_import VALUES (13622, '2020-12-09', 'BF', 'Burkina Faso', 'AFRO', '154', '3469', '1', '69');
INSERT INTO public.who_import VALUES (13623, '2020-12-10', 'BF', 'Burkina Faso', 'AFRO', '0', '3469', '0', '69');
INSERT INTO public.who_import VALUES (13624, '2020-12-11', 'BF', 'Burkina Faso', 'AFRO', '110', '3579', '0', '69');
INSERT INTO public.who_import VALUES (13625, '2020-12-12', 'BF', 'Burkina Faso', 'AFRO', '0', '3579', '0', '69');
INSERT INTO public.who_import VALUES (13626, '2020-12-13', 'BF', 'Burkina Faso', 'AFRO', '315', '3894', '2', '71');
INSERT INTO public.who_import VALUES (13627, '2020-12-14', 'BF', 'Burkina Faso', 'AFRO', '136', '4030', '0', '71');
INSERT INTO public.who_import VALUES (13628, '2020-12-15', 'BF', 'Burkina Faso', 'AFRO', '179', '4209', '0', '71');
INSERT INTO public.who_import VALUES (13629, '2020-12-16', 'BF', 'Burkina Faso', 'AFRO', '91', '4300', '2', '73');
INSERT INTO public.who_import VALUES (13630, '2020-12-17', 'BF', 'Burkina Faso', 'AFRO', '149', '4449', '0', '73');
INSERT INTO public.who_import VALUES (13631, '2020-12-18', 'BF', 'Burkina Faso', 'AFRO', '162', '4611', '0', '73');
INSERT INTO public.who_import VALUES (13632, '2020-12-19', 'BF', 'Burkina Faso', 'AFRO', '221', '4832', '1', '74');
INSERT INTO public.who_import VALUES (13633, '2020-12-20', 'BF', 'Burkina Faso', 'AFRO', '122', '4954', '0', '74');
INSERT INTO public.who_import VALUES (13634, '2020-12-21', 'BF', 'Burkina Faso', 'AFRO', '206', '5160', '2', '76');
INSERT INTO public.who_import VALUES (13635, '2020-12-22', 'BF', 'Burkina Faso', 'AFRO', '141', '5301', '0', '76');
INSERT INTO public.who_import VALUES (13636, '2020-12-23', 'BF', 'Burkina Faso', 'AFRO', '160', '5461', '1', '77');
INSERT INTO public.who_import VALUES (13637, '2020-12-24', 'BF', 'Burkina Faso', 'AFRO', '188', '5649', '0', '77');
INSERT INTO public.who_import VALUES (13638, '2020-12-25', 'BF', 'Burkina Faso', 'AFRO', '292', '5941', '0', '77');
INSERT INTO public.who_import VALUES (13639, '2020-12-26', 'BF', 'Burkina Faso', 'AFRO', '193', '6134', '0', '77');
INSERT INTO public.who_import VALUES (13640, '2020-12-27', 'BF', 'Burkina Faso', 'AFRO', '121', '6255', '0', '77');
INSERT INTO public.who_import VALUES (13641, '2020-12-28', 'BF', 'Burkina Faso', 'AFRO', '89', '6344', '1', '78');
INSERT INTO public.who_import VALUES (13642, '2020-12-29', 'BF', 'Burkina Faso', 'AFRO', '0', '6344', '0', '78');
INSERT INTO public.who_import VALUES (13643, '2020-12-30', 'BF', 'Burkina Faso', 'AFRO', '193', '6537', '4', '82');
INSERT INTO public.who_import VALUES (13644, '2020-12-31', 'BF', 'Burkina Faso', 'AFRO', '0', '6537', '0', '82');
INSERT INTO public.who_import VALUES (13645, '2021-01-01', 'BF', 'Burkina Faso', 'AFRO', '170', '6707', '3', '85');
INSERT INTO public.who_import VALUES (13646, '2021-01-02', 'BF', 'Burkina Faso', 'AFRO', '0', '6707', '0', '85');
INSERT INTO public.who_import VALUES (13647, '2021-01-03', 'BF', 'Burkina Faso', 'AFRO', '233', '6940', '1', '86');
INSERT INTO public.who_import VALUES (13648, '2021-01-04', 'BF', 'Burkina Faso', 'AFRO', '111', '7051', '0', '86');
INSERT INTO public.who_import VALUES (13649, '2021-01-05', 'BF', 'Burkina Faso', 'AFRO', '75', '7126', '0', '86');
INSERT INTO public.who_import VALUES (13650, '2021-01-06', 'BF', 'Burkina Faso', 'AFRO', '0', '7126', '0', '86');
INSERT INTO public.who_import VALUES (13651, '2021-01-07', 'BF', 'Burkina Faso', 'AFRO', '437', '7563', '3', '89');
INSERT INTO public.who_import VALUES (13652, '2021-01-08', 'BF', 'Burkina Faso', 'AFRO', '150', '7713', '0', '89');
INSERT INTO public.who_import VALUES (13653, '2021-01-09', 'BF', 'Burkina Faso', 'AFRO', '153', '7866', '0', '89');
INSERT INTO public.who_import VALUES (13654, '2021-01-10', 'BF', 'Burkina Faso', 'AFRO', '0', '7866', '0', '89');
INSERT INTO public.who_import VALUES (13655, '2021-01-11', 'BF', 'Burkina Faso', 'AFRO', '216', '8082', '0', '89');
INSERT INTO public.who_import VALUES (13656, '2021-01-12', 'BF', 'Burkina Faso', 'AFRO', '197', '8279', '0', '89');
INSERT INTO public.who_import VALUES (13657, '2021-01-13', 'BF', 'Burkina Faso', 'AFRO', '184', '8463', '3', '92');
INSERT INTO public.who_import VALUES (13658, '2021-01-14', 'BF', 'Burkina Faso', 'AFRO', '83', '8546', '1', '93');
INSERT INTO public.who_import VALUES (13659, '2021-01-15', 'BF', 'Burkina Faso', 'AFRO', '263', '8809', '4', '97');
INSERT INTO public.who_import VALUES (13660, '2021-01-16', 'BF', 'Burkina Faso', 'AFRO', '0', '8809', '0', '97');
INSERT INTO public.who_import VALUES (13661, '2021-01-17', 'BF', 'Burkina Faso', 'AFRO', '191', '9000', '4', '101');
INSERT INTO public.who_import VALUES (13662, '2021-01-18', 'BF', 'Burkina Faso', 'AFRO', '188', '9188', '1', '102');
INSERT INTO public.who_import VALUES (13663, '2021-01-19', 'BF', 'Burkina Faso', 'AFRO', '164', '9352', '3', '105');
INSERT INTO public.who_import VALUES (13664, '2021-01-20', 'BF', 'Burkina Faso', 'AFRO', '0', '9352', '0', '105');
INSERT INTO public.who_import VALUES (13665, '2021-01-21', 'BF', 'Burkina Faso', 'AFRO', '201', '9553', '1', '106');
INSERT INTO public.who_import VALUES (13666, '2021-01-22', 'BF', 'Burkina Faso', 'AFRO', '166', '9719', '0', '106');
INSERT INTO public.who_import VALUES (13667, '2021-01-23', 'BF', 'Burkina Faso', 'AFRO', '138', '9857', '1', '107');
INSERT INTO public.who_import VALUES (13668, '2021-01-24', 'BF', 'Burkina Faso', 'AFRO', '110', '9967', '2', '109');
INSERT INTO public.who_import VALUES (13669, '2021-01-25', 'BF', 'Burkina Faso', 'AFRO', '71', '10038', '3', '112');
INSERT INTO public.who_import VALUES (13670, '2021-01-26', 'BF', 'Burkina Faso', 'AFRO', '65', '10103', '5', '117');
INSERT INTO public.who_import VALUES (13671, '2021-01-27', 'BF', 'Burkina Faso', 'AFRO', '54', '10157', '1', '118');
INSERT INTO public.who_import VALUES (13672, '2021-01-28', 'BF', 'Burkina Faso', 'AFRO', '60', '10217', '2', '120');
INSERT INTO public.who_import VALUES (13788, '2020-04-04', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13673, '2021-01-29', 'BF', 'Burkina Faso', 'AFRO', '160', '10377', '0', '120');
INSERT INTO public.who_import VALUES (13674, '2021-01-30', 'BF', 'Burkina Faso', 'AFRO', '46', '10423', '0', '120');
INSERT INTO public.who_import VALUES (13675, '2021-01-31', 'BF', 'Burkina Faso', 'AFRO', '157', '10580', '0', '120');
INSERT INTO public.who_import VALUES (13676, '2021-02-01', 'BF', 'Burkina Faso', 'AFRO', '102', '10682', '0', '120');
INSERT INTO public.who_import VALUES (13677, '2021-02-02', 'BF', 'Burkina Faso', 'AFRO', '86', '10768', '1', '121');
INSERT INTO public.who_import VALUES (13678, '2021-02-03', 'BF', 'Burkina Faso', 'AFRO', '136', '10904', '5', '126');
INSERT INTO public.who_import VALUES (13679, '2021-02-04', 'BF', 'Burkina Faso', 'AFRO', '54', '10958', '1', '127');
INSERT INTO public.who_import VALUES (13680, '2021-02-05', 'BF', 'Burkina Faso', 'AFRO', '95', '11053', '5', '132');
INSERT INTO public.who_import VALUES (13681, '2021-02-06', 'BF', 'Burkina Faso', 'AFRO', '90', '11143', '0', '132');
INSERT INTO public.who_import VALUES (13682, '2021-02-07', 'BF', 'Burkina Faso', 'AFRO', '84', '11227', '2', '134');
INSERT INTO public.who_import VALUES (13683, '2021-02-08', 'BF', 'Burkina Faso', 'AFRO', '58', '11285', '0', '134');
INSERT INTO public.who_import VALUES (13684, '2021-02-09', 'BF', 'Burkina Faso', 'AFRO', '24', '11309', '0', '134');
INSERT INTO public.who_import VALUES (13685, '2021-02-10', 'BF', 'Burkina Faso', 'AFRO', '58', '11367', '0', '134');
INSERT INTO public.who_import VALUES (13686, '2021-02-11', 'BF', 'Burkina Faso', 'AFRO', '59', '11426', '0', '134');
INSERT INTO public.who_import VALUES (13687, '2021-02-12', 'BF', 'Burkina Faso', 'AFRO', '0', '11426', '0', '134');
INSERT INTO public.who_import VALUES (13688, '2021-02-13', 'BF', 'Burkina Faso', 'AFRO', '112', '11538', '3', '137');
INSERT INTO public.who_import VALUES (13689, '2021-02-14', 'BF', 'Burkina Faso', 'AFRO', '50', '11588', '1', '138');
INSERT INTO public.who_import VALUES (13690, '2021-02-15', 'BF', 'Burkina Faso', 'AFRO', '0', '11588', '0', '138');
INSERT INTO public.who_import VALUES (13691, '2021-02-16', 'BF', 'Burkina Faso', 'AFRO', '42', '11630', '0', '138');
INSERT INTO public.who_import VALUES (13692, '2021-02-17', 'BF', 'Burkina Faso', 'AFRO', '0', '11630', '0', '138');
INSERT INTO public.who_import VALUES (13693, '2021-02-18', 'BF', 'Burkina Faso', 'AFRO', '42', '11672', '0', '138');
INSERT INTO public.who_import VALUES (13694, '2021-02-19', 'BF', 'Burkina Faso', 'AFRO', '31', '11703', '1', '139');
INSERT INTO public.who_import VALUES (13695, '2021-02-20', 'BF', 'Burkina Faso', 'AFRO', '60', '11763', '0', '139');
INSERT INTO public.who_import VALUES (13696, '2020-01-03', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13697, '2020-01-04', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13698, '2020-01-05', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13699, '2020-01-06', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13700, '2020-01-07', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13701, '2020-01-08', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13702, '2020-01-09', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13703, '2020-01-10', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13704, '2020-01-11', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13705, '2020-01-12', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13706, '2020-01-13', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13707, '2020-01-14', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13708, '2020-01-15', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13709, '2020-01-16', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13710, '2020-01-17', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13711, '2020-01-18', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13712, '2020-01-19', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13713, '2020-01-20', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13714, '2020-01-21', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13715, '2020-01-22', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13716, '2020-01-23', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13717, '2020-01-24', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13718, '2020-01-25', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13719, '2020-01-26', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13720, '2020-01-27', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13721, '2020-01-28', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13722, '2020-01-29', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13723, '2020-01-30', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13724, '2020-01-31', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13725, '2020-02-01', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13726, '2020-02-02', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13727, '2020-02-03', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13728, '2020-02-04', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13729, '2020-02-05', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13730, '2020-02-06', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13731, '2020-02-07', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13732, '2020-02-08', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13733, '2020-02-09', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13734, '2020-02-10', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13735, '2020-02-11', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13736, '2020-02-12', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13737, '2020-02-13', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13738, '2020-02-14', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13739, '2020-02-15', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13740, '2020-02-16', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13741, '2020-02-17', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13742, '2020-02-18', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13743, '2020-02-19', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13744, '2020-02-20', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13745, '2020-02-21', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13746, '2020-02-22', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13747, '2020-02-23', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13748, '2020-02-24', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13749, '2020-02-25', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13750, '2020-02-26', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13751, '2020-02-27', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13752, '2020-02-28', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13753, '2020-02-29', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13754, '2020-03-01', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13755, '2020-03-02', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13756, '2020-03-03', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13757, '2020-03-04', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13758, '2020-03-05', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13759, '2020-03-06', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13760, '2020-03-07', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13761, '2020-03-08', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13762, '2020-03-09', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13763, '2020-03-10', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13764, '2020-03-11', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13765, '2020-03-12', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13766, '2020-03-13', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13767, '2020-03-14', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13768, '2020-03-15', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13769, '2020-03-16', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13770, '2020-03-17', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13771, '2020-03-18', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13772, '2020-03-19', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13773, '2020-03-20', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13774, '2020-03-21', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13775, '2020-03-22', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13776, '2020-03-23', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13777, '2020-03-24', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13778, '2020-03-25', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13779, '2020-03-26', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13780, '2020-03-27', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13781, '2020-03-28', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13782, '2020-03-29', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13783, '2020-03-30', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13784, '2020-03-31', 'BI', 'Burundi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (13785, '2020-04-01', 'BI', 'Burundi', 'AFRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (13786, '2020-04-02', 'BI', 'Burundi', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (13789, '2020-04-05', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13790, '2020-04-06', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13791, '2020-04-07', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13792, '2020-04-08', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13793, '2020-04-09', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13794, '2020-04-10', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13795, '2020-04-11', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13796, '2020-04-12', 'BI', 'Burundi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (13797, '2020-04-13', 'BI', 'Burundi', 'AFRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (13798, '2020-04-14', 'BI', 'Burundi', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (13799, '2020-04-15', 'BI', 'Burundi', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (13800, '2020-04-16', 'BI', 'Burundi', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (13801, '2020-04-17', 'BI', 'Burundi', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (13802, '2020-04-18', 'BI', 'Burundi', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (13803, '2020-04-19', 'BI', 'Burundi', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (13804, '2020-04-20', 'BI', 'Burundi', 'AFRO', '1', '6', '1', '1');
INSERT INTO public.who_import VALUES (13805, '2020-04-21', 'BI', 'Burundi', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (13806, '2020-04-22', 'BI', 'Burundi', 'AFRO', '5', '11', '0', '1');
INSERT INTO public.who_import VALUES (13807, '2020-04-23', 'BI', 'Burundi', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (13808, '2020-04-24', 'BI', 'Burundi', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (13809, '2020-04-25', 'BI', 'Burundi', 'AFRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (13810, '2020-04-26', 'BI', 'Burundi', 'AFRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (13811, '2020-04-27', 'BI', 'Burundi', 'AFRO', '3', '15', '0', '1');
INSERT INTO public.who_import VALUES (13812, '2020-04-28', 'BI', 'Burundi', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (13813, '2020-04-29', 'BI', 'Burundi', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (13814, '2020-04-30', 'BI', 'Burundi', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (13815, '2020-05-01', 'BI', 'Burundi', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (13816, '2020-05-02', 'BI', 'Burundi', 'AFRO', '0', '15', '0', '1');
INSERT INTO public.who_import VALUES (13817, '2020-05-03', 'BI', 'Burundi', 'AFRO', '4', '19', '0', '1');
INSERT INTO public.who_import VALUES (13818, '2020-05-04', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13819, '2020-05-05', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13820, '2020-05-06', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13821, '2020-05-07', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13822, '2020-05-08', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13823, '2020-05-09', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13824, '2020-05-10', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13825, '2020-05-11', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13826, '2020-05-12', 'BI', 'Burundi', 'AFRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (13827, '2020-05-13', 'BI', 'Burundi', 'AFRO', '8', '27', '0', '1');
INSERT INTO public.who_import VALUES (13828, '2020-05-14', 'BI', 'Burundi', 'AFRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (13829, '2020-05-15', 'BI', 'Burundi', 'AFRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (13830, '2020-05-16', 'BI', 'Burundi', 'AFRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (13831, '2020-05-17', 'BI', 'Burundi', 'AFRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (13832, '2020-05-18', 'BI', 'Burundi', 'AFRO', '15', '42', '0', '1');
INSERT INTO public.who_import VALUES (13833, '2020-05-19', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13834, '2020-05-20', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13835, '2020-05-21', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13836, '2020-05-22', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13837, '2020-05-23', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13838, '2020-05-24', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13839, '2020-05-25', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13840, '2020-05-26', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13841, '2020-05-27', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13842, '2020-05-28', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13843, '2020-05-29', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13844, '2020-05-30', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13845, '2020-05-31', 'BI', 'Burundi', 'AFRO', '0', '42', '0', '1');
INSERT INTO public.who_import VALUES (13846, '2020-06-01', 'BI', 'Burundi', 'AFRO', '21', '63', '0', '1');
INSERT INTO public.who_import VALUES (13847, '2020-06-02', 'BI', 'Burundi', 'AFRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (13848, '2020-06-03', 'BI', 'Burundi', 'AFRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (13849, '2020-06-04', 'BI', 'Burundi', 'AFRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (13850, '2020-06-05', 'BI', 'Burundi', 'AFRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (13851, '2020-06-06', 'BI', 'Burundi', 'AFRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (13852, '2020-06-07', 'BI', 'Burundi', 'AFRO', '20', '83', '0', '1');
INSERT INTO public.who_import VALUES (13853, '2020-06-08', 'BI', 'Burundi', 'AFRO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (13854, '2020-06-09', 'BI', 'Burundi', 'AFRO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (13855, '2020-06-10', 'BI', 'Burundi', 'AFRO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (13856, '2020-06-11', 'BI', 'Burundi', 'AFRO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (13857, '2020-06-12', 'BI', 'Burundi', 'AFRO', '11', '94', '0', '1');
INSERT INTO public.who_import VALUES (13858, '2020-06-13', 'BI', 'Burundi', 'AFRO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (13859, '2020-06-14', 'BI', 'Burundi', 'AFRO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (13860, '2020-06-15', 'BI', 'Burundi', 'AFRO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (13861, '2020-06-16', 'BI', 'Burundi', 'AFRO', '10', '104', '0', '1');
INSERT INTO public.who_import VALUES (13862, '2020-06-17', 'BI', 'Burundi', 'AFRO', '0', '104', '0', '1');
INSERT INTO public.who_import VALUES (13863, '2020-06-18', 'BI', 'Burundi', 'AFRO', '0', '104', '0', '1');
INSERT INTO public.who_import VALUES (13864, '2020-06-19', 'BI', 'Burundi', 'AFRO', '0', '104', '0', '1');
INSERT INTO public.who_import VALUES (13865, '2020-06-20', 'BI', 'Burundi', 'AFRO', '0', '104', '0', '1');
INSERT INTO public.who_import VALUES (13866, '2020-06-21', 'BI', 'Burundi', 'AFRO', '40', '144', '0', '1');
INSERT INTO public.who_import VALUES (13867, '2020-06-22', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13868, '2020-06-23', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13869, '2020-06-24', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13870, '2020-06-25', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13871, '2020-06-26', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13872, '2020-06-27', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13873, '2020-06-28', 'BI', 'Burundi', 'AFRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (13874, '2020-06-29', 'BI', 'Burundi', 'AFRO', '26', '170', '0', '1');
INSERT INTO public.who_import VALUES (13875, '2020-06-30', 'BI', 'Burundi', 'AFRO', '0', '170', '0', '1');
INSERT INTO public.who_import VALUES (13876, '2020-07-01', 'BI', 'Burundi', 'AFRO', '0', '170', '0', '1');
INSERT INTO public.who_import VALUES (13877, '2020-07-02', 'BI', 'Burundi', 'AFRO', '0', '170', '0', '1');
INSERT INTO public.who_import VALUES (13878, '2020-07-03', 'BI', 'Burundi', 'AFRO', '0', '170', '0', '1');
INSERT INTO public.who_import VALUES (13879, '2020-07-04', 'BI', 'Burundi', 'AFRO', '21', '191', '0', '1');
INSERT INTO public.who_import VALUES (13880, '2020-07-05', 'BI', 'Burundi', 'AFRO', '0', '191', '0', '1');
INSERT INTO public.who_import VALUES (13881, '2020-07-06', 'BI', 'Burundi', 'AFRO', '0', '191', '0', '1');
INSERT INTO public.who_import VALUES (13882, '2020-07-07', 'BI', 'Burundi', 'AFRO', '0', '191', '0', '1');
INSERT INTO public.who_import VALUES (13883, '2020-07-08', 'BI', 'Burundi', 'AFRO', '0', '191', '0', '1');
INSERT INTO public.who_import VALUES (13884, '2020-07-09', 'BI', 'Burundi', 'AFRO', '28', '219', '0', '1');
INSERT INTO public.who_import VALUES (13885, '2020-07-10', 'BI', 'Burundi', 'AFRO', '0', '219', '0', '1');
INSERT INTO public.who_import VALUES (13886, '2020-07-11', 'BI', 'Burundi', 'AFRO', '31', '250', '0', '1');
INSERT INTO public.who_import VALUES (13887, '2020-07-12', 'BI', 'Burundi', 'AFRO', '0', '250', '0', '1');
INSERT INTO public.who_import VALUES (13888, '2020-07-13', 'BI', 'Burundi', 'AFRO', '8', '258', '0', '1');
INSERT INTO public.who_import VALUES (13889, '2020-07-14', 'BI', 'Burundi', 'AFRO', '11', '269', '0', '1');
INSERT INTO public.who_import VALUES (13890, '2020-07-15', 'BI', 'Burundi', 'AFRO', '0', '269', '0', '1');
INSERT INTO public.who_import VALUES (13891, '2020-07-16', 'BI', 'Burundi', 'AFRO', '34', '303', '0', '1');
INSERT INTO public.who_import VALUES (13892, '2020-07-17', 'BI', 'Burundi', 'AFRO', '7', '310', '0', '1');
INSERT INTO public.who_import VALUES (13893, '2020-07-18', 'BI', 'Burundi', 'AFRO', '0', '310', '0', '1');
INSERT INTO public.who_import VALUES (13894, '2020-07-19', 'BI', 'Burundi', 'AFRO', '0', '310', '0', '1');
INSERT INTO public.who_import VALUES (13895, '2020-07-20', 'BI', 'Burundi', 'AFRO', '12', '322', '0', '1');
INSERT INTO public.who_import VALUES (13896, '2020-07-21', 'BI', 'Burundi', 'AFRO', '6', '328', '0', '1');
INSERT INTO public.who_import VALUES (13897, '2020-07-22', 'BI', 'Burundi', 'AFRO', '0', '328', '0', '1');
INSERT INTO public.who_import VALUES (13898, '2020-07-23', 'BI', 'Burundi', 'AFRO', '10', '338', '0', '1');
INSERT INTO public.who_import VALUES (13899, '2020-07-24', 'BI', 'Burundi', 'AFRO', '7', '345', '0', '1');
INSERT INTO public.who_import VALUES (13900, '2020-07-25', 'BI', 'Burundi', 'AFRO', '0', '345', '0', '1');
INSERT INTO public.who_import VALUES (13901, '2020-07-26', 'BI', 'Burundi', 'AFRO', '0', '345', '0', '1');
INSERT INTO public.who_import VALUES (13902, '2020-07-27', 'BI', 'Burundi', 'AFRO', '16', '361', '0', '1');
INSERT INTO public.who_import VALUES (13903, '2020-07-28', 'BI', 'Burundi', 'AFRO', '17', '378', '0', '1');
INSERT INTO public.who_import VALUES (13904, '2020-07-29', 'BI', 'Burundi', 'AFRO', '0', '378', '0', '1');
INSERT INTO public.who_import VALUES (13905, '2020-07-30', 'BI', 'Burundi', 'AFRO', '0', '378', '0', '1');
INSERT INTO public.who_import VALUES (13906, '2020-07-31', 'BI', 'Burundi', 'AFRO', '9', '387', '0', '1');
INSERT INTO public.who_import VALUES (13907, '2020-08-01', 'BI', 'Burundi', 'AFRO', '0', '387', '0', '1');
INSERT INTO public.who_import VALUES (13908, '2020-08-02', 'BI', 'Burundi', 'AFRO', '0', '387', '0', '1');
INSERT INTO public.who_import VALUES (13909, '2020-08-03', 'BI', 'Burundi', 'AFRO', '8', '395', '0', '1');
INSERT INTO public.who_import VALUES (13910, '2020-08-04', 'BI', 'Burundi', 'AFRO', '0', '395', '0', '1');
INSERT INTO public.who_import VALUES (13911, '2020-08-05', 'BI', 'Burundi', 'AFRO', '0', '395', '0', '1');
INSERT INTO public.who_import VALUES (13912, '2020-08-06', 'BI', 'Burundi', 'AFRO', '5', '400', '0', '1');
INSERT INTO public.who_import VALUES (13913, '2020-08-07', 'BI', 'Burundi', 'AFRO', '1', '401', '0', '1');
INSERT INTO public.who_import VALUES (13914, '2020-08-08', 'BI', 'Burundi', 'AFRO', '0', '401', '0', '1');
INSERT INTO public.who_import VALUES (13915, '2020-08-09', 'BI', 'Burundi', 'AFRO', '4', '405', '0', '1');
INSERT INTO public.who_import VALUES (13916, '2020-08-10', 'BI', 'Burundi', 'AFRO', '3', '408', '0', '1');
INSERT INTO public.who_import VALUES (13917, '2020-08-11', 'BI', 'Burundi', 'AFRO', '0', '408', '0', '1');
INSERT INTO public.who_import VALUES (13918, '2020-08-12', 'BI', 'Burundi', 'AFRO', '1', '409', '0', '1');
INSERT INTO public.who_import VALUES (13919, '2020-08-13', 'BI', 'Burundi', 'AFRO', '1', '410', '0', '1');
INSERT INTO public.who_import VALUES (13920, '2020-08-14', 'BI', 'Burundi', 'AFRO', '2', '412', '0', '1');
INSERT INTO public.who_import VALUES (13921, '2020-08-15', 'BI', 'Burundi', 'AFRO', '0', '412', '0', '1');
INSERT INTO public.who_import VALUES (13922, '2020-08-16', 'BI', 'Burundi', 'AFRO', '1', '413', '0', '1');
INSERT INTO public.who_import VALUES (13923, '2020-08-17', 'BI', 'Burundi', 'AFRO', '0', '413', '0', '1');
INSERT INTO public.who_import VALUES (13924, '2020-08-18', 'BI', 'Burundi', 'AFRO', '3', '416', '0', '1');
INSERT INTO public.who_import VALUES (13925, '2020-08-19', 'BI', 'Burundi', 'AFRO', '6', '422', '0', '1');
INSERT INTO public.who_import VALUES (13926, '2020-08-20', 'BI', 'Burundi', 'AFRO', '0', '422', '0', '1');
INSERT INTO public.who_import VALUES (13927, '2020-08-21', 'BI', 'Burundi', 'AFRO', '4', '426', '0', '1');
INSERT INTO public.who_import VALUES (13928, '2020-08-22', 'BI', 'Burundi', 'AFRO', '3', '429', '0', '1');
INSERT INTO public.who_import VALUES (13929, '2020-08-23', 'BI', 'Burundi', 'AFRO', '1', '430', '0', '1');
INSERT INTO public.who_import VALUES (13930, '2020-08-24', 'BI', 'Burundi', 'AFRO', '0', '430', '0', '1');
INSERT INTO public.who_import VALUES (13931, '2020-08-25', 'BI', 'Burundi', 'AFRO', '0', '430', '0', '1');
INSERT INTO public.who_import VALUES (13932, '2020-08-26', 'BI', 'Burundi', 'AFRO', '0', '430', '0', '1');
INSERT INTO public.who_import VALUES (13933, '2020-08-27', 'BI', 'Burundi', 'AFRO', '1', '431', '0', '1');
INSERT INTO public.who_import VALUES (13934, '2020-08-28', 'BI', 'Burundi', 'AFRO', '2', '433', '0', '1');
INSERT INTO public.who_import VALUES (13935, '2020-08-29', 'BI', 'Burundi', 'AFRO', '6', '439', '0', '1');
INSERT INTO public.who_import VALUES (13936, '2020-08-30', 'BI', 'Burundi', 'AFRO', '6', '445', '0', '1');
INSERT INTO public.who_import VALUES (13937, '2020-08-31', 'BI', 'Burundi', 'AFRO', '0', '445', '0', '1');
INSERT INTO public.who_import VALUES (13938, '2020-09-01', 'BI', 'Burundi', 'AFRO', '0', '445', '0', '1');
INSERT INTO public.who_import VALUES (13939, '2020-09-02', 'BI', 'Burundi', 'AFRO', '3', '448', '0', '1');
INSERT INTO public.who_import VALUES (13940, '2020-09-03', 'BI', 'Burundi', 'AFRO', '0', '448', '0', '1');
INSERT INTO public.who_import VALUES (13941, '2020-09-04', 'BI', 'Burundi', 'AFRO', '3', '451', '0', '1');
INSERT INTO public.who_import VALUES (13942, '2020-09-05', 'BI', 'Burundi', 'AFRO', '9', '460', '0', '1');
INSERT INTO public.who_import VALUES (13943, '2020-09-06', 'BI', 'Burundi', 'AFRO', '2', '462', '0', '1');
INSERT INTO public.who_import VALUES (13944, '2020-09-07', 'BI', 'Burundi', 'AFRO', '0', '462', '0', '1');
INSERT INTO public.who_import VALUES (13945, '2020-09-08', 'BI', 'Burundi', 'AFRO', '4', '466', '0', '1');
INSERT INTO public.who_import VALUES (13946, '2020-09-09', 'BI', 'Burundi', 'AFRO', '0', '466', '0', '1');
INSERT INTO public.who_import VALUES (13947, '2020-09-10', 'BI', 'Burundi', 'AFRO', '3', '469', '0', '1');
INSERT INTO public.who_import VALUES (13948, '2020-09-11', 'BI', 'Burundi', 'AFRO', '0', '469', '0', '1');
INSERT INTO public.who_import VALUES (13949, '2020-09-12', 'BI', 'Burundi', 'AFRO', '2', '471', '0', '1');
INSERT INTO public.who_import VALUES (13950, '2020-09-13', 'BI', 'Burundi', 'AFRO', '1', '472', '0', '1');
INSERT INTO public.who_import VALUES (13951, '2020-09-14', 'BI', 'Burundi', 'AFRO', '0', '472', '0', '1');
INSERT INTO public.who_import VALUES (13952, '2020-09-15', 'BI', 'Burundi', 'AFRO', '0', '472', '0', '1');
INSERT INTO public.who_import VALUES (13953, '2020-09-16', 'BI', 'Burundi', 'AFRO', '0', '472', '0', '1');
INSERT INTO public.who_import VALUES (13954, '2020-09-17', 'BI', 'Burundi', 'AFRO', '1', '473', '0', '1');
INSERT INTO public.who_import VALUES (13955, '2020-09-18', 'BI', 'Burundi', 'AFRO', '0', '473', '0', '1');
INSERT INTO public.who_import VALUES (13956, '2020-09-19', 'BI', 'Burundi', 'AFRO', '0', '473', '0', '1');
INSERT INTO public.who_import VALUES (13957, '2020-09-20', 'BI', 'Burundi', 'AFRO', '0', '473', '0', '1');
INSERT INTO public.who_import VALUES (13958, '2020-09-21', 'BI', 'Burundi', 'AFRO', '1', '474', '0', '1');
INSERT INTO public.who_import VALUES (13959, '2020-09-22', 'BI', 'Burundi', 'AFRO', '0', '474', '0', '1');
INSERT INTO public.who_import VALUES (13960, '2020-09-23', 'BI', 'Burundi', 'AFRO', '2', '476', '0', '1');
INSERT INTO public.who_import VALUES (13961, '2020-09-24', 'BI', 'Burundi', 'AFRO', '1', '477', '0', '1');
INSERT INTO public.who_import VALUES (13962, '2020-09-25', 'BI', 'Burundi', 'AFRO', '6', '483', '0', '1');
INSERT INTO public.who_import VALUES (13963, '2020-09-26', 'BI', 'Burundi', 'AFRO', '1', '484', '0', '1');
INSERT INTO public.who_import VALUES (13964, '2020-09-27', 'BI', 'Burundi', 'AFRO', '0', '484', '0', '1');
INSERT INTO public.who_import VALUES (13965, '2020-09-28', 'BI', 'Burundi', 'AFRO', '18', '502', '0', '1');
INSERT INTO public.who_import VALUES (13966, '2020-09-29', 'BI', 'Burundi', 'AFRO', '4', '506', '0', '1');
INSERT INTO public.who_import VALUES (13967, '2020-09-30', 'BI', 'Burundi', 'AFRO', '2', '508', '0', '1');
INSERT INTO public.who_import VALUES (13968, '2020-10-01', 'BI', 'Burundi', 'AFRO', '2', '510', '0', '1');
INSERT INTO public.who_import VALUES (13969, '2020-10-02', 'BI', 'Burundi', 'AFRO', '3', '513', '0', '1');
INSERT INTO public.who_import VALUES (13970, '2020-10-03', 'BI', 'Burundi', 'AFRO', '0', '513', '0', '1');
INSERT INTO public.who_import VALUES (13971, '2020-10-04', 'BI', 'Burundi', 'AFRO', '0', '513', '0', '1');
INSERT INTO public.who_import VALUES (13972, '2020-10-05', 'BI', 'Burundi', 'AFRO', '1', '514', '0', '1');
INSERT INTO public.who_import VALUES (13973, '2020-10-06', 'BI', 'Burundi', 'AFRO', '0', '514', '0', '1');
INSERT INTO public.who_import VALUES (13974, '2020-10-07', 'BI', 'Burundi', 'AFRO', '1', '515', '0', '1');
INSERT INTO public.who_import VALUES (13975, '2020-10-08', 'BI', 'Burundi', 'AFRO', '0', '515', '0', '1');
INSERT INTO public.who_import VALUES (13976, '2020-10-09', 'BI', 'Burundi', 'AFRO', '0', '515', '0', '1');
INSERT INTO public.who_import VALUES (13977, '2020-10-10', 'BI', 'Burundi', 'AFRO', '2', '517', '0', '1');
INSERT INTO public.who_import VALUES (13978, '2020-10-11', 'BI', 'Burundi', 'AFRO', '7', '524', '0', '1');
INSERT INTO public.who_import VALUES (13979, '2020-10-12', 'BI', 'Burundi', 'AFRO', '1', '525', '0', '1');
INSERT INTO public.who_import VALUES (13980, '2020-10-13', 'BI', 'Burundi', 'AFRO', '4', '529', '0', '1');
INSERT INTO public.who_import VALUES (13981, '2020-10-14', 'BI', 'Burundi', 'AFRO', '0', '529', '0', '1');
INSERT INTO public.who_import VALUES (13982, '2020-10-15', 'BI', 'Burundi', 'AFRO', '0', '529', '0', '1');
INSERT INTO public.who_import VALUES (13983, '2020-10-16', 'BI', 'Burundi', 'AFRO', '2', '531', '0', '1');
INSERT INTO public.who_import VALUES (13984, '2020-10-17', 'BI', 'Burundi', 'AFRO', '5', '536', '0', '1');
INSERT INTO public.who_import VALUES (13985, '2020-10-18', 'BI', 'Burundi', 'AFRO', '6', '542', '0', '1');
INSERT INTO public.who_import VALUES (13986, '2020-10-19', 'BI', 'Burundi', 'AFRO', '7', '549', '0', '1');
INSERT INTO public.who_import VALUES (13987, '2020-10-20', 'BI', 'Burundi', 'AFRO', '1', '550', '0', '1');
INSERT INTO public.who_import VALUES (13988, '2020-10-21', 'BI', 'Burundi', 'AFRO', '0', '550', '0', '1');
INSERT INTO public.who_import VALUES (13989, '2020-10-22', 'BI', 'Burundi', 'AFRO', '1', '551', '0', '1');
INSERT INTO public.who_import VALUES (13990, '2020-10-23', 'BI', 'Burundi', 'AFRO', '2', '553', '0', '1');
INSERT INTO public.who_import VALUES (13991, '2020-10-24', 'BI', 'Burundi', 'AFRO', '2', '555', '0', '1');
INSERT INTO public.who_import VALUES (13992, '2020-10-25', 'BI', 'Burundi', 'AFRO', '1', '556', '0', '1');
INSERT INTO public.who_import VALUES (13993, '2020-10-26', 'BI', 'Burundi', 'AFRO', '1', '557', '0', '1');
INSERT INTO public.who_import VALUES (13994, '2020-10-27', 'BI', 'Burundi', 'AFRO', '1', '558', '0', '1');
INSERT INTO public.who_import VALUES (13995, '2020-10-28', 'BI', 'Burundi', 'AFRO', '1', '559', '0', '1');
INSERT INTO public.who_import VALUES (13996, '2020-10-29', 'BI', 'Burundi', 'AFRO', '1', '560', '0', '1');
INSERT INTO public.who_import VALUES (13997, '2020-10-30', 'BI', 'Burundi', 'AFRO', '22', '582', '0', '1');
INSERT INTO public.who_import VALUES (13998, '2020-10-31', 'BI', 'Burundi', 'AFRO', '3', '585', '0', '1');
INSERT INTO public.who_import VALUES (13999, '2020-11-01', 'BI', 'Burundi', 'AFRO', '4', '589', '0', '1');
INSERT INTO public.who_import VALUES (14000, '2020-11-02', 'BI', 'Burundi', 'AFRO', '0', '589', '0', '1');
INSERT INTO public.who_import VALUES (14001, '2020-11-03', 'BI', 'Burundi', 'AFRO', '8', '597', '0', '1');
INSERT INTO public.who_import VALUES (14002, '2020-11-04', 'BI', 'Burundi', 'AFRO', '9', '606', '0', '1');
INSERT INTO public.who_import VALUES (14003, '2020-11-05', 'BI', 'Burundi', 'AFRO', '-6', '600', '0', '1');
INSERT INTO public.who_import VALUES (14004, '2020-11-06', 'BI', 'Burundi', 'AFRO', '5', '605', '0', '1');
INSERT INTO public.who_import VALUES (14005, '2020-11-07', 'BI', 'Burundi', 'AFRO', '7', '612', '0', '1');
INSERT INTO public.who_import VALUES (14006, '2020-11-08', 'BI', 'Burundi', 'AFRO', '2', '614', '0', '1');
INSERT INTO public.who_import VALUES (14007, '2020-11-09', 'BI', 'Burundi', 'AFRO', '0', '614', '0', '1');
INSERT INTO public.who_import VALUES (14008, '2020-11-10', 'BI', 'Burundi', 'AFRO', '1', '615', '0', '1');
INSERT INTO public.who_import VALUES (14009, '2020-11-11', 'BI', 'Burundi', 'AFRO', '5', '620', '0', '1');
INSERT INTO public.who_import VALUES (14010, '2020-11-12', 'BI', 'Burundi', 'AFRO', '3', '623', '0', '1');
INSERT INTO public.who_import VALUES (14011, '2020-11-13', 'BI', 'Burundi', 'AFRO', '1', '624', '0', '1');
INSERT INTO public.who_import VALUES (14012, '2020-11-14', 'BI', 'Burundi', 'AFRO', '3', '627', '0', '1');
INSERT INTO public.who_import VALUES (14013, '2020-11-15', 'BI', 'Burundi', 'AFRO', '1', '628', '0', '1');
INSERT INTO public.who_import VALUES (14014, '2020-11-16', 'BI', 'Burundi', 'AFRO', '2', '630', '0', '1');
INSERT INTO public.who_import VALUES (14015, '2020-11-17', 'BI', 'Burundi', 'AFRO', '1', '631', '0', '1');
INSERT INTO public.who_import VALUES (14016, '2020-11-18', 'BI', 'Burundi', 'AFRO', '11', '642', '0', '1');
INSERT INTO public.who_import VALUES (14017, '2020-11-19', 'BI', 'Burundi', 'AFRO', '0', '642', '0', '1');
INSERT INTO public.who_import VALUES (14018, '2020-11-20', 'BI', 'Burundi', 'AFRO', '7', '649', '0', '1');
INSERT INTO public.who_import VALUES (14019, '2020-11-21', 'BI', 'Burundi', 'AFRO', '7', '656', '0', '1');
INSERT INTO public.who_import VALUES (14020, '2020-11-22', 'BI', 'Burundi', 'AFRO', '6', '662', '0', '1');
INSERT INTO public.who_import VALUES (14021, '2020-11-23', 'BI', 'Burundi', 'AFRO', '2', '664', '0', '1');
INSERT INTO public.who_import VALUES (14022, '2020-11-24', 'BI', 'Burundi', 'AFRO', '9', '673', '0', '1');
INSERT INTO public.who_import VALUES (14023, '2020-11-25', 'BI', 'Burundi', 'AFRO', '0', '673', '0', '1');
INSERT INTO public.who_import VALUES (14024, '2020-11-26', 'BI', 'Burundi', 'AFRO', '4', '677', '0', '1');
INSERT INTO public.who_import VALUES (14025, '2020-11-27', 'BI', 'Burundi', 'AFRO', '4', '681', '0', '1');
INSERT INTO public.who_import VALUES (14026, '2020-11-28', 'BI', 'Burundi', 'AFRO', '0', '681', '0', '1');
INSERT INTO public.who_import VALUES (14027, '2020-11-29', 'BI', 'Burundi', 'AFRO', '0', '681', '0', '1');
INSERT INTO public.who_import VALUES (14028, '2020-11-30', 'BI', 'Burundi', 'AFRO', '7', '688', '0', '1');
INSERT INTO public.who_import VALUES (14029, '2020-12-01', 'BI', 'Burundi', 'AFRO', '1', '689', '0', '1');
INSERT INTO public.who_import VALUES (14030, '2020-12-02', 'BI', 'Burundi', 'AFRO', '0', '689', '0', '1');
INSERT INTO public.who_import VALUES (14031, '2020-12-03', 'BI', 'Burundi', 'AFRO', '3', '692', '0', '1');
INSERT INTO public.who_import VALUES (14032, '2020-12-04', 'BI', 'Burundi', 'AFRO', '0', '692', '0', '1');
INSERT INTO public.who_import VALUES (14033, '2020-12-05', 'BI', 'Burundi', 'AFRO', '2', '694', '0', '1');
INSERT INTO public.who_import VALUES (14034, '2020-12-06', 'BI', 'Burundi', 'AFRO', '0', '694', '0', '1');
INSERT INTO public.who_import VALUES (14035, '2020-12-07', 'BI', 'Burundi', 'AFRO', '4', '698', '0', '1');
INSERT INTO public.who_import VALUES (14036, '2020-12-08', 'BI', 'Burundi', 'AFRO', '18', '716', '0', '1');
INSERT INTO public.who_import VALUES (14037, '2020-12-09', 'BI', 'Burundi', 'AFRO', '4', '720', '0', '1');
INSERT INTO public.who_import VALUES (14038, '2020-12-10', 'BI', 'Burundi', 'AFRO', '1', '721', '0', '1');
INSERT INTO public.who_import VALUES (14039, '2020-12-11', 'BI', 'Burundi', 'AFRO', '2', '723', '0', '1');
INSERT INTO public.who_import VALUES (14040, '2020-12-12', 'BI', 'Burundi', 'AFRO', '5', '728', '0', '1');
INSERT INTO public.who_import VALUES (14041, '2020-12-13', 'BI', 'Burundi', 'AFRO', '1', '729', '0', '1');
INSERT INTO public.who_import VALUES (14042, '2020-12-14', 'BI', 'Burundi', 'AFRO', '0', '729', '0', '1');
INSERT INTO public.who_import VALUES (14043, '2020-12-15', 'BI', 'Burundi', 'AFRO', '6', '735', '0', '1');
INSERT INTO public.who_import VALUES (14044, '2020-12-16', 'BI', 'Burundi', 'AFRO', '6', '741', '0', '1');
INSERT INTO public.who_import VALUES (14045, '2020-12-17', 'BI', 'Burundi', 'AFRO', '10', '751', '0', '1');
INSERT INTO public.who_import VALUES (14046, '2020-12-18', 'BI', 'Burundi', 'AFRO', '5', '756', '0', '1');
INSERT INTO public.who_import VALUES (14047, '2020-12-19', 'BI', 'Burundi', 'AFRO', '5', '761', '0', '1');
INSERT INTO public.who_import VALUES (14048, '2020-12-20', 'BI', 'Burundi', 'AFRO', '0', '761', '1', '2');
INSERT INTO public.who_import VALUES (14049, '2020-12-21', 'BI', 'Burundi', 'AFRO', '1', '762', '0', '2');
INSERT INTO public.who_import VALUES (14050, '2020-12-22', 'BI', 'Burundi', 'AFRO', '0', '762', '0', '2');
INSERT INTO public.who_import VALUES (14051, '2020-12-23', 'BI', 'Burundi', 'AFRO', '11', '773', '0', '2');
INSERT INTO public.who_import VALUES (14052, '2020-12-24', 'BI', 'Burundi', 'AFRO', '0', '773', '0', '2');
INSERT INTO public.who_import VALUES (14053, '2020-12-25', 'BI', 'Burundi', 'AFRO', '13', '786', '0', '2');
INSERT INTO public.who_import VALUES (14054, '2020-12-26', 'BI', 'Burundi', 'AFRO', '0', '786', '0', '2');
INSERT INTO public.who_import VALUES (14055, '2020-12-27', 'BI', 'Burundi', 'AFRO', '18', '804', '0', '2');
INSERT INTO public.who_import VALUES (14056, '2020-12-28', 'BI', 'Burundi', 'AFRO', '0', '804', '0', '2');
INSERT INTO public.who_import VALUES (14057, '2020-12-29', 'BI', 'Burundi', 'AFRO', '5', '809', '0', '2');
INSERT INTO public.who_import VALUES (14058, '2020-12-30', 'BI', 'Burundi', 'AFRO', '0', '809', '0', '2');
INSERT INTO public.who_import VALUES (14059, '2020-12-31', 'BI', 'Burundi', 'AFRO', '9', '818', '0', '2');
INSERT INTO public.who_import VALUES (14060, '2021-01-01', 'BI', 'Burundi', 'AFRO', '4', '822', '0', '2');
INSERT INTO public.who_import VALUES (14061, '2021-01-02', 'BI', 'Burundi', 'AFRO', '0', '822', '0', '2');
INSERT INTO public.who_import VALUES (14062, '2021-01-03', 'BI', 'Burundi', 'AFRO', '11', '833', '0', '2');
INSERT INTO public.who_import VALUES (14063, '2021-01-04', 'BI', 'Burundi', 'AFRO', '9', '842', '0', '2');
INSERT INTO public.who_import VALUES (14064, '2021-01-05', 'BI', 'Burundi', 'AFRO', '0', '842', '0', '2');
INSERT INTO public.who_import VALUES (14065, '2021-01-06', 'BI', 'Burundi', 'AFRO', '0', '842', '0', '2');
INSERT INTO public.who_import VALUES (14066, '2021-01-07', 'BI', 'Burundi', 'AFRO', '43', '885', '0', '2');
INSERT INTO public.who_import VALUES (14067, '2021-01-08', 'BI', 'Burundi', 'AFRO', '0', '885', '0', '2');
INSERT INTO public.who_import VALUES (14068, '2021-01-09', 'BI', 'Burundi', 'AFRO', '0', '885', '0', '2');
INSERT INTO public.who_import VALUES (14069, '2021-01-10', 'BI', 'Burundi', 'AFRO', '101', '986', '0', '2');
INSERT INTO public.who_import VALUES (14070, '2021-01-11', 'BI', 'Burundi', 'AFRO', '33', '1019', '0', '2');
INSERT INTO public.who_import VALUES (14071, '2021-01-12', 'BI', 'Burundi', 'AFRO', '0', '1019', '0', '2');
INSERT INTO public.who_import VALUES (14072, '2021-01-13', 'BI', 'Burundi', 'AFRO', '43', '1062', '0', '2');
INSERT INTO public.who_import VALUES (14073, '2021-01-14', 'BI', 'Burundi', 'AFRO', '41', '1103', '0', '2');
INSERT INTO public.who_import VALUES (14074, '2021-01-15', 'BI', 'Burundi', 'AFRO', '47', '1150', '0', '2');
INSERT INTO public.who_import VALUES (14075, '2021-01-16', 'BI', 'Burundi', 'AFRO', '35', '1185', '0', '2');
INSERT INTO public.who_import VALUES (14076, '2021-01-17', 'BI', 'Burundi', 'AFRO', '51', '1236', '0', '2');
INSERT INTO public.who_import VALUES (14077, '2021-01-18', 'BI', 'Burundi', 'AFRO', '9', '1245', '0', '2');
INSERT INTO public.who_import VALUES (14078, '2021-01-19', 'BI', 'Burundi', 'AFRO', '8', '1253', '0', '2');
INSERT INTO public.who_import VALUES (14079, '2021-01-20', 'BI', 'Burundi', 'AFRO', '69', '1322', '0', '2');
INSERT INTO public.who_import VALUES (14080, '2021-01-21', 'BI', 'Burundi', 'AFRO', '36', '1358', '0', '2');
INSERT INTO public.who_import VALUES (14081, '2021-01-22', 'BI', 'Burundi', 'AFRO', '22', '1380', '0', '2');
INSERT INTO public.who_import VALUES (14082, '2021-01-23', 'BI', 'Burundi', 'AFRO', '58', '1438', '0', '2');
INSERT INTO public.who_import VALUES (14083, '2021-01-24', 'BI', 'Burundi', 'AFRO', '34', '1472', '0', '2');
INSERT INTO public.who_import VALUES (14084, '2021-01-25', 'BI', 'Burundi', 'AFRO', '7', '1479', '0', '2');
INSERT INTO public.who_import VALUES (14085, '2021-01-26', 'BI', 'Burundi', 'AFRO', '2', '1481', '0', '2');
INSERT INTO public.who_import VALUES (14086, '2021-01-27', 'BI', 'Burundi', 'AFRO', '61', '1542', '0', '2');
INSERT INTO public.who_import VALUES (14087, '2021-01-28', 'BI', 'Burundi', 'AFRO', '42', '1584', '0', '2');
INSERT INTO public.who_import VALUES (14088, '2021-01-29', 'BI', 'Burundi', 'AFRO', '20', '1604', '0', '2');
INSERT INTO public.who_import VALUES (14089, '2021-01-30', 'BI', 'Burundi', 'AFRO', '9', '1613', '0', '2');
INSERT INTO public.who_import VALUES (14090, '2021-01-31', 'BI', 'Burundi', 'AFRO', '19', '1632', '0', '2');
INSERT INTO public.who_import VALUES (14091, '2021-02-01', 'BI', 'Burundi', 'AFRO', '3', '1635', '0', '2');
INSERT INTO public.who_import VALUES (14092, '2021-02-02', 'BI', 'Burundi', 'AFRO', '6', '1641', '0', '2');
INSERT INTO public.who_import VALUES (14093, '2021-02-03', 'BI', 'Burundi', 'AFRO', '23', '1664', '0', '2');
INSERT INTO public.who_import VALUES (14094, '2021-02-04', 'BI', 'Burundi', 'AFRO', '22', '1686', '0', '2');
INSERT INTO public.who_import VALUES (14095, '2021-02-05', 'BI', 'Burundi', 'AFRO', '12', '1698', '1', '3');
INSERT INTO public.who_import VALUES (14096, '2021-02-06', 'BI', 'Burundi', 'AFRO', '19', '1717', '0', '3');
INSERT INTO public.who_import VALUES (14097, '2021-02-07', 'BI', 'Burundi', 'AFRO', '6', '1723', '0', '3');
INSERT INTO public.who_import VALUES (14098, '2021-02-08', 'BI', 'Burundi', 'AFRO', '5', '1728', '0', '3');
INSERT INTO public.who_import VALUES (14099, '2021-02-09', 'BI', 'Burundi', 'AFRO', '2', '1730', '0', '3');
INSERT INTO public.who_import VALUES (14100, '2021-02-10', 'BI', 'Burundi', 'AFRO', '21', '1751', '0', '3');
INSERT INTO public.who_import VALUES (14101, '2021-02-11', 'BI', 'Burundi', 'AFRO', '20', '1771', '0', '3');
INSERT INTO public.who_import VALUES (14102, '2021-02-12', 'BI', 'Burundi', 'AFRO', '26', '1797', '0', '3');
INSERT INTO public.who_import VALUES (14103, '2021-02-13', 'BI', 'Burundi', 'AFRO', '27', '1824', '0', '3');
INSERT INTO public.who_import VALUES (14104, '2021-02-14', 'BI', 'Burundi', 'AFRO', '0', '1824', '0', '3');
INSERT INTO public.who_import VALUES (14105, '2021-02-15', 'BI', 'Burundi', 'AFRO', '25', '1849', '0', '3');
INSERT INTO public.who_import VALUES (14106, '2021-02-16', 'BI', 'Burundi', 'AFRO', '6', '1855', '0', '3');
INSERT INTO public.who_import VALUES (14107, '2021-02-17', 'BI', 'Burundi', 'AFRO', '40', '1895', '0', '3');
INSERT INTO public.who_import VALUES (14108, '2021-02-18', 'BI', 'Burundi', 'AFRO', '33', '1928', '0', '3');
INSERT INTO public.who_import VALUES (14109, '2021-02-19', 'BI', 'Burundi', 'AFRO', '27', '1955', '0', '3');
INSERT INTO public.who_import VALUES (14110, '2021-02-20', 'BI', 'Burundi', 'AFRO', '28', '1983', '0', '3');
INSERT INTO public.who_import VALUES (14111, '2020-01-03', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14112, '2020-01-04', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14113, '2020-01-05', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14114, '2020-01-06', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14115, '2020-01-07', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14116, '2020-01-08', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14117, '2020-01-09', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14118, '2020-01-10', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14119, '2020-01-11', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14120, '2020-01-12', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14121, '2020-01-13', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14122, '2020-01-14', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14123, '2020-01-15', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14124, '2020-01-16', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14125, '2020-01-17', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14126, '2020-01-18', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14127, '2020-01-19', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14128, '2020-01-20', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14129, '2020-01-21', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14130, '2020-01-22', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14131, '2020-01-23', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14132, '2020-01-24', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14133, '2020-01-25', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14134, '2020-01-26', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14135, '2020-01-27', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14136, '2020-01-28', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14137, '2020-01-29', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14138, '2020-01-30', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14139, '2020-01-31', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14140, '2020-02-01', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14141, '2020-02-02', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14142, '2020-02-03', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14143, '2020-02-04', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14144, '2020-02-05', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14145, '2020-02-06', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14146, '2020-02-07', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14147, '2020-02-08', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14148, '2020-02-09', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14149, '2020-02-10', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14150, '2020-02-11', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14151, '2020-02-12', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14152, '2020-02-13', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14153, '2020-02-14', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14154, '2020-02-15', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14155, '2020-02-16', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14156, '2020-02-17', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14157, '2020-02-18', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14158, '2020-02-19', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14159, '2020-02-20', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14160, '2020-02-21', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14161, '2020-02-22', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14162, '2020-02-23', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14163, '2020-02-24', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14164, '2020-02-25', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14165, '2020-02-26', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14166, '2020-02-27', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14167, '2020-02-28', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14168, '2020-02-29', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14169, '2020-03-01', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14170, '2020-03-02', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14171, '2020-03-03', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14172, '2020-03-04', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14173, '2020-03-05', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14174, '2020-03-06', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14175, '2020-03-07', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14176, '2020-03-08', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14177, '2020-03-09', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14178, '2020-03-10', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14179, '2020-03-11', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14180, '2020-03-12', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14181, '2020-03-13', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14182, '2020-03-14', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14183, '2020-03-15', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14184, '2020-03-16', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14185, '2020-03-17', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14186, '2020-03-18', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14187, '2020-03-19', 'CV', 'Cabo Verde', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14188, '2020-03-20', 'CV', 'Cabo Verde', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (14189, '2020-03-21', 'CV', 'Cabo Verde', 'AFRO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (14190, '2020-03-22', 'CV', 'Cabo Verde', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (14191, '2020-03-23', 'CV', 'Cabo Verde', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (14192, '2020-03-24', 'CV', 'Cabo Verde', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (14193, '2020-03-25', 'CV', 'Cabo Verde', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (14194, '2020-03-26', 'CV', 'Cabo Verde', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (14195, '2020-03-27', 'CV', 'Cabo Verde', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (14196, '2020-03-28', 'CV', 'Cabo Verde', 'AFRO', '2', '5', '1', '1');
INSERT INTO public.who_import VALUES (14197, '2020-03-29', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14198, '2020-03-30', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14199, '2020-03-31', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14200, '2020-04-01', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14201, '2020-04-02', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14202, '2020-04-03', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14203, '2020-04-04', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14204, '2020-04-05', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14205, '2020-04-06', 'CV', 'Cabo Verde', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (14206, '2020-04-07', 'CV', 'Cabo Verde', 'AFRO', '2', '7', '0', '1');
INSERT INTO public.who_import VALUES (14207, '2020-04-08', 'CV', 'Cabo Verde', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (14208, '2020-04-09', 'CV', 'Cabo Verde', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (14209, '2020-04-10', 'CV', 'Cabo Verde', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (14210, '2020-04-11', 'CV', 'Cabo Verde', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (14211, '2020-04-12', 'CV', 'Cabo Verde', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (14212, '2020-04-13', 'CV', 'Cabo Verde', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (14213, '2020-04-14', 'CV', 'Cabo Verde', 'AFRO', '3', '10', '0', '1');
INSERT INTO public.who_import VALUES (14214, '2020-04-15', 'CV', 'Cabo Verde', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (14215, '2020-04-16', 'CV', 'Cabo Verde', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (14216, '2020-04-17', 'CV', 'Cabo Verde', 'AFRO', '45', '55', '0', '1');
INSERT INTO public.who_import VALUES (14217, '2020-04-18', 'CV', 'Cabo Verde', 'AFRO', '0', '55', '0', '1');
INSERT INTO public.who_import VALUES (14218, '2020-04-19', 'CV', 'Cabo Verde', 'AFRO', '0', '55', '0', '1');
INSERT INTO public.who_import VALUES (14219, '2020-04-20', 'CV', 'Cabo Verde', 'AFRO', '0', '55', '0', '1');
INSERT INTO public.who_import VALUES (14220, '2020-04-21', 'CV', 'Cabo Verde', 'AFRO', '0', '55', '0', '1');
INSERT INTO public.who_import VALUES (14221, '2020-04-22', 'CV', 'Cabo Verde', 'AFRO', '12', '67', '0', '1');
INSERT INTO public.who_import VALUES (14222, '2020-04-23', 'CV', 'Cabo Verde', 'AFRO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (14223, '2020-04-24', 'CV', 'Cabo Verde', 'AFRO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (14224, '2020-04-25', 'CV', 'Cabo Verde', 'AFRO', '21', '88', '0', '1');
INSERT INTO public.who_import VALUES (14225, '2020-04-26', 'CV', 'Cabo Verde', 'AFRO', '2', '90', '0', '1');
INSERT INTO public.who_import VALUES (14226, '2020-04-27', 'CV', 'Cabo Verde', 'AFRO', '16', '106', '0', '1');
INSERT INTO public.who_import VALUES (14227, '2020-04-28', 'CV', 'Cabo Verde', 'AFRO', '0', '106', '0', '1');
INSERT INTO public.who_import VALUES (14228, '2020-04-29', 'CV', 'Cabo Verde', 'AFRO', '7', '113', '0', '1');
INSERT INTO public.who_import VALUES (14229, '2020-04-30', 'CV', 'Cabo Verde', 'AFRO', '0', '113', '0', '1');
INSERT INTO public.who_import VALUES (14230, '2020-05-01', 'CV', 'Cabo Verde', 'AFRO', '8', '121', '0', '1');
INSERT INTO public.who_import VALUES (14231, '2020-05-02', 'CV', 'Cabo Verde', 'AFRO', '0', '121', '0', '1');
INSERT INTO public.who_import VALUES (14232, '2020-05-03', 'CV', 'Cabo Verde', 'AFRO', '31', '152', '1', '2');
INSERT INTO public.who_import VALUES (14233, '2020-05-04', 'CV', 'Cabo Verde', 'AFRO', '13', '165', '0', '2');
INSERT INTO public.who_import VALUES (14234, '2020-05-05', 'CV', 'Cabo Verde', 'AFRO', '0', '165', '0', '2');
INSERT INTO public.who_import VALUES (14235, '2020-05-06', 'CV', 'Cabo Verde', 'AFRO', '21', '186', '0', '2');
INSERT INTO public.who_import VALUES (14236, '2020-05-07', 'CV', 'Cabo Verde', 'AFRO', '5', '191', '0', '2');
INSERT INTO public.who_import VALUES (14237, '2020-05-08', 'CV', 'Cabo Verde', 'AFRO', '27', '218', '0', '2');
INSERT INTO public.who_import VALUES (14238, '2020-05-09', 'CV', 'Cabo Verde', 'AFRO', '12', '230', '0', '2');
INSERT INTO public.who_import VALUES (14239, '2020-05-10', 'CV', 'Cabo Verde', 'AFRO', '6', '236', '0', '2');
INSERT INTO public.who_import VALUES (14240, '2020-05-11', 'CV', 'Cabo Verde', 'AFRO', '10', '246', '0', '2');
INSERT INTO public.who_import VALUES (14241, '2020-05-12', 'CV', 'Cabo Verde', 'AFRO', '14', '260', '0', '2');
INSERT INTO public.who_import VALUES (14242, '2020-05-13', 'CV', 'Cabo Verde', 'AFRO', '10', '270', '0', '2');
INSERT INTO public.who_import VALUES (14243, '2020-05-14', 'CV', 'Cabo Verde', 'AFRO', '19', '289', '0', '2');
INSERT INTO public.who_import VALUES (14244, '2020-05-15', 'CV', 'Cabo Verde', 'AFRO', '26', '315', '0', '2');
INSERT INTO public.who_import VALUES (14245, '2020-05-16', 'CV', 'Cabo Verde', 'AFRO', '11', '326', '0', '2');
INSERT INTO public.who_import VALUES (14246, '2020-05-17', 'CV', 'Cabo Verde', 'AFRO', '2', '328', '1', '3');
INSERT INTO public.who_import VALUES (14247, '2020-05-18', 'CV', 'Cabo Verde', 'AFRO', '0', '328', '0', '3');
INSERT INTO public.who_import VALUES (14248, '2020-05-19', 'CV', 'Cabo Verde', 'AFRO', '0', '328', '0', '3');
INSERT INTO public.who_import VALUES (14249, '2020-05-20', 'CV', 'Cabo Verde', 'AFRO', '7', '335', '0', '3');
INSERT INTO public.who_import VALUES (14250, '2020-05-21', 'CV', 'Cabo Verde', 'AFRO', '14', '349', '0', '3');
INSERT INTO public.who_import VALUES (14251, '2020-05-22', 'CV', 'Cabo Verde', 'AFRO', '7', '356', '0', '3');
INSERT INTO public.who_import VALUES (14252, '2020-05-23', 'CV', 'Cabo Verde', 'AFRO', '6', '362', '0', '3');
INSERT INTO public.who_import VALUES (14253, '2020-05-24', 'CV', 'Cabo Verde', 'AFRO', '9', '371', '0', '3');
INSERT INTO public.who_import VALUES (14254, '2020-05-25', 'CV', 'Cabo Verde', 'AFRO', '9', '380', '0', '3');
INSERT INTO public.who_import VALUES (14255, '2020-05-26', 'CV', 'Cabo Verde', 'AFRO', '10', '390', '0', '3');
INSERT INTO public.who_import VALUES (14256, '2020-05-27', 'CV', 'Cabo Verde', 'AFRO', '0', '390', '1', '4');
INSERT INTO public.who_import VALUES (14257, '2020-05-28', 'CV', 'Cabo Verde', 'AFRO', '0', '390', '0', '4');
INSERT INTO public.who_import VALUES (14258, '2020-05-29', 'CV', 'Cabo Verde', 'AFRO', '0', '390', '0', '4');
INSERT INTO public.who_import VALUES (14259, '2020-05-30', 'CV', 'Cabo Verde', 'AFRO', '15', '405', '0', '4');
INSERT INTO public.who_import VALUES (14260, '2020-05-31', 'CV', 'Cabo Verde', 'AFRO', '16', '421', '0', '4');
INSERT INTO public.who_import VALUES (14261, '2020-06-01', 'CV', 'Cabo Verde', 'AFRO', '14', '435', '0', '4');
INSERT INTO public.who_import VALUES (14262, '2020-06-02', 'CV', 'Cabo Verde', 'AFRO', '23', '458', '0', '4');
INSERT INTO public.who_import VALUES (14263, '2020-06-03', 'CV', 'Cabo Verde', 'AFRO', '8', '466', '1', '5');
INSERT INTO public.who_import VALUES (14264, '2020-06-04', 'CV', 'Cabo Verde', 'AFRO', '11', '477', '0', '5');
INSERT INTO public.who_import VALUES (14265, '2020-06-05', 'CV', 'Cabo Verde', 'AFRO', '25', '502', '0', '5');
INSERT INTO public.who_import VALUES (14266, '2020-06-06', 'CV', 'Cabo Verde', 'AFRO', '34', '536', '0', '5');
INSERT INTO public.who_import VALUES (14267, '2020-06-07', 'CV', 'Cabo Verde', 'AFRO', '6', '542', '0', '5');
INSERT INTO public.who_import VALUES (14268, '2020-06-08', 'CV', 'Cabo Verde', 'AFRO', '12', '554', '0', '5');
INSERT INTO public.who_import VALUES (14269, '2020-06-09', 'CV', 'Cabo Verde', 'AFRO', '13', '567', '0', '5');
INSERT INTO public.who_import VALUES (14270, '2020-06-10', 'CV', 'Cabo Verde', 'AFRO', '18', '585', '0', '5');
INSERT INTO public.who_import VALUES (14271, '2020-06-11', 'CV', 'Cabo Verde', 'AFRO', '31', '616', '0', '5');
INSERT INTO public.who_import VALUES (14272, '2020-06-12', 'CV', 'Cabo Verde', 'AFRO', '41', '657', '1', '6');
INSERT INTO public.who_import VALUES (14273, '2020-06-13', 'CV', 'Cabo Verde', 'AFRO', '40', '697', '0', '6');
INSERT INTO public.who_import VALUES (14274, '2020-06-14', 'CV', 'Cabo Verde', 'AFRO', '29', '726', '0', '6');
INSERT INTO public.who_import VALUES (14275, '2020-06-15', 'CV', 'Cabo Verde', 'AFRO', '24', '750', '0', '6');
INSERT INTO public.who_import VALUES (14276, '2020-06-16', 'CV', 'Cabo Verde', 'AFRO', '10', '760', '1', '7');
INSERT INTO public.who_import VALUES (14277, '2020-06-17', 'CV', 'Cabo Verde', 'AFRO', '21', '781', '0', '7');
INSERT INTO public.who_import VALUES (14278, '2020-06-18', 'CV', 'Cabo Verde', 'AFRO', '11', '792', '0', '7');
INSERT INTO public.who_import VALUES (14279, '2020-06-19', 'CV', 'Cabo Verde', 'AFRO', '31', '823', '0', '7');
INSERT INTO public.who_import VALUES (14280, '2020-06-20', 'CV', 'Cabo Verde', 'AFRO', '25', '848', '1', '8');
INSERT INTO public.who_import VALUES (14281, '2020-06-21', 'CV', 'Cabo Verde', 'AFRO', '15', '863', '0', '8');
INSERT INTO public.who_import VALUES (14282, '2020-06-22', 'CV', 'Cabo Verde', 'AFRO', '27', '890', '0', '8');
INSERT INTO public.who_import VALUES (14283, '2020-06-23', 'CV', 'Cabo Verde', 'AFRO', '54', '944', '0', '8');
INSERT INTO public.who_import VALUES (14284, '2020-06-24', 'CV', 'Cabo Verde', 'AFRO', '39', '983', '0', '8');
INSERT INTO public.who_import VALUES (14285, '2020-06-25', 'CV', 'Cabo Verde', 'AFRO', '16', '999', '0', '8');
INSERT INTO public.who_import VALUES (14286, '2020-06-26', 'CV', 'Cabo Verde', 'AFRO', '4', '1003', '0', '8');
INSERT INTO public.who_import VALUES (14287, '2020-06-27', 'CV', 'Cabo Verde', 'AFRO', '24', '1027', '2', '10');
INSERT INTO public.who_import VALUES (14288, '2020-06-28', 'CV', 'Cabo Verde', 'AFRO', '64', '1091', '2', '12');
INSERT INTO public.who_import VALUES (14289, '2020-06-29', 'CV', 'Cabo Verde', 'AFRO', '64', '1155', '0', '12');
INSERT INTO public.who_import VALUES (14290, '2020-06-30', 'CV', 'Cabo Verde', 'AFRO', '10', '1165', '0', '12');
INSERT INTO public.who_import VALUES (14291, '2020-07-01', 'CV', 'Cabo Verde', 'AFRO', '62', '1227', '3', '15');
INSERT INTO public.who_import VALUES (14292, '2020-07-02', 'CV', 'Cabo Verde', 'AFRO', '40', '1267', '0', '15');
INSERT INTO public.who_import VALUES (14293, '2020-07-03', 'CV', 'Cabo Verde', 'AFRO', '34', '1301', '0', '15');
INSERT INTO public.who_import VALUES (14294, '2020-07-04', 'CV', 'Cabo Verde', 'AFRO', '81', '1382', '0', '15');
INSERT INTO public.who_import VALUES (14295, '2020-07-05', 'CV', 'Cabo Verde', 'AFRO', '38', '1420', '1', '16');
INSERT INTO public.who_import VALUES (14296, '2020-07-06', 'CV', 'Cabo Verde', 'AFRO', '31', '1451', '1', '17');
INSERT INTO public.who_import VALUES (14297, '2020-07-07', 'CV', 'Cabo Verde', 'AFRO', '12', '1463', '0', '17');
INSERT INTO public.who_import VALUES (14298, '2020-07-08', 'CV', 'Cabo Verde', 'AFRO', '36', '1499', '1', '18');
INSERT INTO public.who_import VALUES (14299, '2020-07-09', 'CV', 'Cabo Verde', 'AFRO', '43', '1542', '0', '18');
INSERT INTO public.who_import VALUES (14300, '2020-07-10', 'CV', 'Cabo Verde', 'AFRO', '11', '1553', '1', '19');
INSERT INTO public.who_import VALUES (14301, '2020-07-11', 'CV', 'Cabo Verde', 'AFRO', '38', '1591', '0', '19');
INSERT INTO public.who_import VALUES (14302, '2020-07-12', 'CV', 'Cabo Verde', 'AFRO', '32', '1623', '0', '19');
INSERT INTO public.who_import VALUES (14303, '2020-07-13', 'CV', 'Cabo Verde', 'AFRO', '75', '1698', '0', '19');
INSERT INTO public.who_import VALUES (14304, '2020-07-14', 'CV', 'Cabo Verde', 'AFRO', '24', '1722', '0', '19');
INSERT INTO public.who_import VALUES (14305, '2020-07-15', 'CV', 'Cabo Verde', 'AFRO', '58', '1780', '0', '19');
INSERT INTO public.who_import VALUES (14306, '2020-07-16', 'CV', 'Cabo Verde', 'AFRO', '57', '1837', '0', '19');
INSERT INTO public.who_import VALUES (14307, '2020-07-17', 'CV', 'Cabo Verde', 'AFRO', '57', '1894', '0', '19');
INSERT INTO public.who_import VALUES (14308, '2020-07-18', 'CV', 'Cabo Verde', 'AFRO', '45', '1939', '1', '20');
INSERT INTO public.who_import VALUES (14309, '2020-07-19', 'CV', 'Cabo Verde', 'AFRO', '75', '2014', '1', '21');
INSERT INTO public.who_import VALUES (14310, '2020-07-20', 'CV', 'Cabo Verde', 'AFRO', '29', '2043', '0', '21');
INSERT INTO public.who_import VALUES (14311, '2020-07-21', 'CV', 'Cabo Verde', 'AFRO', '28', '2071', '0', '21');
INSERT INTO public.who_import VALUES (14312, '2020-07-22', 'CV', 'Cabo Verde', 'AFRO', '36', '2107', '0', '21');
INSERT INTO public.who_import VALUES (14313, '2020-07-23', 'CV', 'Cabo Verde', 'AFRO', '47', '2154', '0', '21');
INSERT INTO public.who_import VALUES (14314, '2020-07-24', 'CV', 'Cabo Verde', 'AFRO', '36', '2190', '0', '21');
INSERT INTO public.who_import VALUES (14315, '2020-07-25', 'CV', 'Cabo Verde', 'AFRO', '30', '2220', '1', '22');
INSERT INTO public.who_import VALUES (14316, '2020-07-26', 'CV', 'Cabo Verde', 'AFRO', '38', '2258', '0', '22');
INSERT INTO public.who_import VALUES (14317, '2020-07-27', 'CV', 'Cabo Verde', 'AFRO', '49', '2307', '0', '22');
INSERT INTO public.who_import VALUES (14318, '2020-07-28', 'CV', 'Cabo Verde', 'AFRO', '21', '2328', '0', '22');
INSERT INTO public.who_import VALUES (14319, '2020-07-29', 'CV', 'Cabo Verde', 'AFRO', '26', '2354', '0', '22');
INSERT INTO public.who_import VALUES (14320, '2020-07-30', 'CV', 'Cabo Verde', 'AFRO', '19', '2373', '1', '23');
INSERT INTO public.who_import VALUES (14321, '2020-07-31', 'CV', 'Cabo Verde', 'AFRO', '45', '2418', '0', '23');
INSERT INTO public.who_import VALUES (14322, '2020-08-01', 'CV', 'Cabo Verde', 'AFRO', '33', '2451', '0', '23');
INSERT INTO public.who_import VALUES (14323, '2020-08-02', 'CV', 'Cabo Verde', 'AFRO', '29', '2480', '1', '24');
INSERT INTO public.who_import VALUES (14324, '2020-08-03', 'CV', 'Cabo Verde', 'AFRO', '67', '2547', '0', '24');
INSERT INTO public.who_import VALUES (14325, '2020-08-04', 'CV', 'Cabo Verde', 'AFRO', '36', '2583', '1', '25');
INSERT INTO public.who_import VALUES (14326, '2020-08-05', 'CV', 'Cabo Verde', 'AFRO', '48', '2631', '1', '26');
INSERT INTO public.who_import VALUES (14327, '2020-08-06', 'CV', 'Cabo Verde', 'AFRO', '58', '2689', '1', '27');
INSERT INTO public.who_import VALUES (14328, '2020-08-07', 'CV', 'Cabo Verde', 'AFRO', '45', '2734', '0', '27');
INSERT INTO public.who_import VALUES (14329, '2020-08-08', 'CV', 'Cabo Verde', 'AFRO', '46', '2780', '2', '29');
INSERT INTO public.who_import VALUES (14330, '2020-08-09', 'CV', 'Cabo Verde', 'AFRO', '55', '2835', '3', '32');
INSERT INTO public.who_import VALUES (14331, '2020-08-10', 'CV', 'Cabo Verde', 'AFRO', '23', '2858', '0', '32');
INSERT INTO public.who_import VALUES (14332, '2020-08-11', 'CV', 'Cabo Verde', 'AFRO', '25', '2883', '0', '32');
INSERT INTO public.who_import VALUES (14333, '2020-08-12', 'CV', 'Cabo Verde', 'AFRO', '37', '2920', '1', '33');
INSERT INTO public.who_import VALUES (14334, '2020-08-13', 'CV', 'Cabo Verde', 'AFRO', '80', '3000', '0', '33');
INSERT INTO public.who_import VALUES (14335, '2020-08-14', 'CV', 'Cabo Verde', 'AFRO', '73', '3073', '0', '33');
INSERT INTO public.who_import VALUES (14336, '2020-08-15', 'CV', 'Cabo Verde', 'AFRO', '63', '3136', '0', '33');
INSERT INTO public.who_import VALUES (14337, '2020-08-16', 'CV', 'Cabo Verde', 'AFRO', '27', '3163', '1', '34');
INSERT INTO public.who_import VALUES (14338, '2020-08-17', 'CV', 'Cabo Verde', 'AFRO', '16', '3179', '1', '35');
INSERT INTO public.who_import VALUES (14339, '2020-08-18', 'CV', 'Cabo Verde', 'AFRO', '24', '3203', '1', '36');
INSERT INTO public.who_import VALUES (14340, '2020-08-19', 'CV', 'Cabo Verde', 'AFRO', '50', '3253', '0', '36');
INSERT INTO public.who_import VALUES (14341, '2020-08-20', 'CV', 'Cabo Verde', 'AFRO', '68', '3321', '0', '36');
INSERT INTO public.who_import VALUES (14342, '2020-08-21', 'CV', 'Cabo Verde', 'AFRO', '47', '3368', '1', '37');
INSERT INTO public.who_import VALUES (14343, '2020-08-22', 'CV', 'Cabo Verde', 'AFRO', '44', '3412', '0', '37');
INSERT INTO public.who_import VALUES (14344, '2020-08-23', 'CV', 'Cabo Verde', 'AFRO', '43', '3455', '0', '37');
INSERT INTO public.who_import VALUES (14345, '2020-08-24', 'CV', 'Cabo Verde', 'AFRO', '54', '3509', '0', '37');
INSERT INTO public.who_import VALUES (14346, '2020-08-25', 'CV', 'Cabo Verde', 'AFRO', '23', '3532', '0', '37');
INSERT INTO public.who_import VALUES (14347, '2020-08-26', 'CV', 'Cabo Verde', 'AFRO', '36', '3568', '0', '37');
INSERT INTO public.who_import VALUES (14348, '2020-08-27', 'CV', 'Cabo Verde', 'AFRO', '62', '3630', '1', '38');
INSERT INTO public.who_import VALUES (14349, '2020-08-28', 'CV', 'Cabo Verde', 'AFRO', '69', '3699', '0', '38');
INSERT INTO public.who_import VALUES (14350, '2020-08-29', 'CV', 'Cabo Verde', 'AFRO', '46', '3745', '0', '38');
INSERT INTO public.who_import VALUES (14351, '2020-08-30', 'CV', 'Cabo Verde', 'AFRO', '33', '3778', '1', '39');
INSERT INTO public.who_import VALUES (14352, '2020-08-31', 'CV', 'Cabo Verde', 'AFRO', '74', '3852', '1', '40');
INSERT INTO public.who_import VALUES (14353, '2020-09-01', 'CV', 'Cabo Verde', 'AFRO', '32', '3884', '0', '40');
INSERT INTO public.who_import VALUES (14354, '2020-09-02', 'CV', 'Cabo Verde', 'AFRO', '86', '3970', '0', '40');
INSERT INTO public.who_import VALUES (14355, '2020-09-03', 'CV', 'Cabo Verde', 'AFRO', '78', '4048', '1', '41');
INSERT INTO public.who_import VALUES (14356, '2020-09-04', 'CV', 'Cabo Verde', 'AFRO', '77', '4125', '0', '41');
INSERT INTO public.who_import VALUES (14357, '2020-09-05', 'CV', 'Cabo Verde', 'AFRO', '75', '4200', '0', '41');
INSERT INTO public.who_import VALUES (14358, '2020-09-06', 'CV', 'Cabo Verde', 'AFRO', '75', '4275', '1', '42');
INSERT INTO public.who_import VALUES (14359, '2020-09-07', 'CV', 'Cabo Verde', 'AFRO', '55', '4330', '0', '42');
INSERT INTO public.who_import VALUES (14360, '2020-09-08', 'CV', 'Cabo Verde', 'AFRO', '28', '4358', '0', '42');
INSERT INTO public.who_import VALUES (14361, '2020-09-09', 'CV', 'Cabo Verde', 'AFRO', '42', '4400', '0', '42');
INSERT INTO public.who_import VALUES (14362, '2020-09-10', 'CV', 'Cabo Verde', 'AFRO', '73', '4473', '1', '43');
INSERT INTO public.who_import VALUES (14363, '2020-09-11', 'CV', 'Cabo Verde', 'AFRO', '84', '4557', '0', '43');
INSERT INTO public.who_import VALUES (14364, '2020-09-12', 'CV', 'Cabo Verde', 'AFRO', '94', '4651', '1', '44');
INSERT INTO public.who_import VALUES (14365, '2020-09-13', 'CV', 'Cabo Verde', 'AFRO', '60', '4711', '0', '44');
INSERT INTO public.who_import VALUES (14366, '2020-09-14', 'CV', 'Cabo Verde', 'AFRO', '102', '4813', '0', '44');
INSERT INTO public.who_import VALUES (14367, '2020-09-15', 'CV', 'Cabo Verde', 'AFRO', '26', '4839', '1', '45');
INSERT INTO public.who_import VALUES (14368, '2020-09-16', 'CV', 'Cabo Verde', 'AFRO', '65', '4904', '1', '46');
INSERT INTO public.who_import VALUES (14369, '2020-09-17', 'CV', 'Cabo Verde', 'AFRO', '74', '4978', '1', '47');
INSERT INTO public.who_import VALUES (14370, '2020-09-18', 'CV', 'Cabo Verde', 'AFRO', '85', '5063', '2', '49');
INSERT INTO public.who_import VALUES (14371, '2020-09-19', 'CV', 'Cabo Verde', 'AFRO', '78', '5141', '1', '50');
INSERT INTO public.who_import VALUES (14372, '2020-09-20', 'CV', 'Cabo Verde', 'AFRO', '45', '5186', '0', '50');
INSERT INTO public.who_import VALUES (14373, '2020-09-21', 'CV', 'Cabo Verde', 'AFRO', '71', '5257', '1', '51');
INSERT INTO public.who_import VALUES (14374, '2020-09-22', 'CV', 'Cabo Verde', 'AFRO', '24', '5281', '1', '52');
INSERT INTO public.who_import VALUES (14375, '2020-09-23', 'CV', 'Cabo Verde', 'AFRO', '56', '5337', '0', '52');
INSERT INTO public.who_import VALUES (14376, '2020-09-24', 'CV', 'Cabo Verde', 'AFRO', '75', '5412', '2', '54');
INSERT INTO public.who_import VALUES (14377, '2020-09-25', 'CV', 'Cabo Verde', 'AFRO', '67', '5479', '1', '55');
INSERT INTO public.who_import VALUES (14378, '2020-09-26', 'CV', 'Cabo Verde', 'AFRO', '149', '5628', '0', '55');
INSERT INTO public.who_import VALUES (14379, '2020-09-27', 'CV', 'Cabo Verde', 'AFRO', '73', '5701', '1', '56');
INSERT INTO public.who_import VALUES (14380, '2020-09-28', 'CV', 'Cabo Verde', 'AFRO', '70', '5771', '1', '57');
INSERT INTO public.who_import VALUES (14381, '2020-09-29', 'CV', 'Cabo Verde', 'AFRO', '46', '5817', '2', '59');
INSERT INTO public.who_import VALUES (14382, '2020-09-30', 'CV', 'Cabo Verde', 'AFRO', '83', '5900', '0', '59');
INSERT INTO public.who_import VALUES (14383, '2020-10-01', 'CV', 'Cabo Verde', 'AFRO', '124', '6024', '1', '60');
INSERT INTO public.who_import VALUES (14384, '2020-10-02', 'CV', 'Cabo Verde', 'AFRO', '102', '6126', '1', '61');
INSERT INTO public.who_import VALUES (14385, '2020-10-03', 'CV', 'Cabo Verde', 'AFRO', '79', '6205', '1', '62');
INSERT INTO public.who_import VALUES (14386, '2020-10-04', 'CV', 'Cabo Verde', 'AFRO', '91', '6296', '0', '62');
INSERT INTO public.who_import VALUES (14387, '2020-10-05', 'CV', 'Cabo Verde', 'AFRO', '64', '6360', '3', '65');
INSERT INTO public.who_import VALUES (14388, '2020-10-06', 'CV', 'Cabo Verde', 'AFRO', '73', '6433', '3', '68');
INSERT INTO public.who_import VALUES (14389, '2020-10-07', 'CV', 'Cabo Verde', 'AFRO', '85', '6518', '1', '69');
INSERT INTO public.who_import VALUES (14390, '2020-10-08', 'CV', 'Cabo Verde', 'AFRO', '106', '6624', '2', '71');
INSERT INTO public.who_import VALUES (14391, '2020-10-09', 'CV', 'Cabo Verde', 'AFRO', '93', '6717', '0', '71');
INSERT INTO public.who_import VALUES (14392, '2020-10-10', 'CV', 'Cabo Verde', 'AFRO', '92', '6809', '2', '73');
INSERT INTO public.who_import VALUES (14393, '2020-10-11', 'CV', 'Cabo Verde', 'AFRO', '104', '6913', '1', '74');
INSERT INTO public.who_import VALUES (14394, '2020-10-12', 'CV', 'Cabo Verde', 'AFRO', '159', '7072', '1', '75');
INSERT INTO public.who_import VALUES (14395, '2020-10-13', 'CV', 'Cabo Verde', 'AFRO', '83', '7155', '0', '75');
INSERT INTO public.who_import VALUES (14396, '2020-10-14', 'CV', 'Cabo Verde', 'AFRO', '99', '7254', '2', '77');
INSERT INTO public.who_import VALUES (14397, '2020-10-15', 'CV', 'Cabo Verde', 'AFRO', '117', '7371', '2', '79');
INSERT INTO public.who_import VALUES (14398, '2020-10-16', 'CV', 'Cabo Verde', 'AFRO', '73', '7444', '0', '79');
INSERT INTO public.who_import VALUES (14399, '2020-10-17', 'CV', 'Cabo Verde', 'AFRO', '82', '7526', '3', '82');
INSERT INTO public.who_import VALUES (14400, '2020-10-18', 'CV', 'Cabo Verde', 'AFRO', '112', '7638', '3', '85');
INSERT INTO public.who_import VALUES (14401, '2020-10-19', 'CV', 'Cabo Verde', 'AFRO', '114', '7752', '1', '86');
INSERT INTO public.who_import VALUES (14402, '2020-10-20', 'CV', 'Cabo Verde', 'AFRO', '48', '7800', '1', '87');
INSERT INTO public.who_import VALUES (14403, '2020-10-21', 'CV', 'Cabo Verde', 'AFRO', '101', '7901', '0', '87');
INSERT INTO public.who_import VALUES (14404, '2020-10-22', 'CV', 'Cabo Verde', 'AFRO', '132', '8033', '3', '90');
INSERT INTO public.who_import VALUES (14405, '2020-10-23', 'CV', 'Cabo Verde', 'AFRO', '89', '8122', '1', '91');
INSERT INTO public.who_import VALUES (14406, '2020-10-24', 'CV', 'Cabo Verde', 'AFRO', '76', '8198', '3', '94');
INSERT INTO public.who_import VALUES (14407, '2020-10-25', 'CV', 'Cabo Verde', 'AFRO', '124', '8322', '0', '94');
INSERT INTO public.who_import VALUES (14408, '2020-10-26', 'CV', 'Cabo Verde', 'AFRO', '74', '8396', '0', '94');
INSERT INTO public.who_import VALUES (14409, '2020-10-27', 'CV', 'Cabo Verde', 'AFRO', '27', '8423', '0', '94');
INSERT INTO public.who_import VALUES (14410, '2020-10-28', 'CV', 'Cabo Verde', 'AFRO', '49', '8472', '0', '94');
INSERT INTO public.who_import VALUES (14411, '2020-10-29', 'CV', 'Cabo Verde', 'AFRO', '76', '8548', '0', '94');
INSERT INTO public.who_import VALUES (14412, '2020-10-30', 'CV', 'Cabo Verde', 'AFRO', '55', '8603', '1', '95');
INSERT INTO public.who_import VALUES (14413, '2020-10-31', 'CV', 'Cabo Verde', 'AFRO', '91', '8694', '0', '95');
INSERT INTO public.who_import VALUES (14414, '2020-11-01', 'CV', 'Cabo Verde', 'AFRO', '99', '8793', '0', '95');
INSERT INTO public.who_import VALUES (14415, '2020-11-02', 'CV', 'Cabo Verde', 'AFRO', '55', '8848', '0', '95');
INSERT INTO public.who_import VALUES (14416, '2020-11-03', 'CV', 'Cabo Verde', 'AFRO', '34', '8882', '0', '95');
INSERT INTO public.who_import VALUES (14417, '2020-11-04', 'CV', 'Cabo Verde', 'AFRO', '62', '8944', '0', '95');
INSERT INTO public.who_import VALUES (14418, '2020-11-05', 'CV', 'Cabo Verde', 'AFRO', '109', '9053', '0', '95');
INSERT INTO public.who_import VALUES (14419, '2020-11-06', 'CV', 'Cabo Verde', 'AFRO', '96', '9149', '2', '97');
INSERT INTO public.who_import VALUES (14420, '2020-11-07', 'CV', 'Cabo Verde', 'AFRO', '75', '9224', '3', '100');
INSERT INTO public.who_import VALUES (14421, '2020-11-08', 'CV', 'Cabo Verde', 'AFRO', '67', '9291', '0', '100');
INSERT INTO public.who_import VALUES (14422, '2020-11-09', 'CV', 'Cabo Verde', 'AFRO', '78', '9369', '0', '100');
INSERT INTO public.who_import VALUES (14423, '2020-11-10', 'CV', 'Cabo Verde', 'AFRO', '50', '9419', '0', '100');
INSERT INTO public.who_import VALUES (14424, '2020-11-11', 'CV', 'Cabo Verde', 'AFRO', '80', '9499', '1', '101');
INSERT INTO public.who_import VALUES (14425, '2020-11-12', 'CV', 'Cabo Verde', 'AFRO', '61', '9560', '1', '102');
INSERT INTO public.who_import VALUES (14426, '2020-11-13', 'CV', 'Cabo Verde', 'AFRO', '134', '9694', '0', '102');
INSERT INTO public.who_import VALUES (14427, '2020-11-14', 'CV', 'Cabo Verde', 'AFRO', '47', '9741', '0', '102');
INSERT INTO public.who_import VALUES (14428, '2020-11-15', 'CV', 'Cabo Verde', 'AFRO', '39', '9780', '0', '102');
INSERT INTO public.who_import VALUES (14429, '2020-11-16', 'CV', 'Cabo Verde', 'AFRO', '42', '9822', '1', '103');
INSERT INTO public.who_import VALUES (14430, '2020-11-17', 'CV', 'Cabo Verde', 'AFRO', '18', '9840', '0', '103');
INSERT INTO public.who_import VALUES (14431, '2020-11-18', 'CV', 'Cabo Verde', 'AFRO', '120', '9960', '0', '103');
INSERT INTO public.who_import VALUES (14432, '2020-11-19', 'CV', 'Cabo Verde', 'AFRO', '40', '10000', '1', '104');
INSERT INTO public.who_import VALUES (14433, '2020-11-20', 'CV', 'Cabo Verde', 'AFRO', '82', '10082', '0', '104');
INSERT INTO public.who_import VALUES (14434, '2020-11-21', 'CV', 'Cabo Verde', 'AFRO', '70', '10152', '0', '104');
INSERT INTO public.who_import VALUES (14435, '2020-11-22', 'CV', 'Cabo Verde', 'AFRO', '82', '10234', '0', '104');
INSERT INTO public.who_import VALUES (14436, '2020-11-23', 'CV', 'Cabo Verde', 'AFRO', '42', '10276', '0', '104');
INSERT INTO public.who_import VALUES (14437, '2020-11-24', 'CV', 'Cabo Verde', 'AFRO', '26', '10302', '0', '104');
INSERT INTO public.who_import VALUES (14438, '2020-11-25', 'CV', 'Cabo Verde', 'AFRO', '98', '10400', '0', '104');
INSERT INTO public.who_import VALUES (14439, '2020-11-26', 'CV', 'Cabo Verde', 'AFRO', '126', '10526', '0', '104');
INSERT INTO public.who_import VALUES (14440, '2020-11-27', 'CV', 'Cabo Verde', 'AFRO', '0', '10526', '0', '104');
INSERT INTO public.who_import VALUES (14441, '2020-11-28', 'CV', 'Cabo Verde', 'AFRO', '0', '10526', '0', '104');
INSERT INTO public.who_import VALUES (14442, '2020-11-29', 'CV', 'Cabo Verde', 'AFRO', '0', '10526', '0', '104');
INSERT INTO public.who_import VALUES (14443, '2020-11-30', 'CV', 'Cabo Verde', 'AFRO', '0', '10526', '0', '104');
INSERT INTO public.who_import VALUES (14444, '2020-12-01', 'CV', 'Cabo Verde', 'AFRO', '0', '10526', '0', '104');
INSERT INTO public.who_import VALUES (14445, '2020-12-02', 'CV', 'Cabo Verde', 'AFRO', '100', '10626', '1', '105');
INSERT INTO public.who_import VALUES (14446, '2020-12-03', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14447, '2020-12-04', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14448, '2020-12-05', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14449, '2020-12-06', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14450, '2020-12-07', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14451, '2020-12-08', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14452, '2020-12-09', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14453, '2020-12-10', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14454, '2020-12-11', 'CV', 'Cabo Verde', 'AFRO', '0', '10626', '0', '105');
INSERT INTO public.who_import VALUES (14455, '2020-12-12', 'CV', 'Cabo Verde', 'AFRO', '636', '11262', '5', '110');
INSERT INTO public.who_import VALUES (14456, '2020-12-13', 'CV', 'Cabo Verde', 'AFRO', '40', '11302', '0', '110');
INSERT INTO public.who_import VALUES (14457, '2020-12-14', 'CV', 'Cabo Verde', 'AFRO', '55', '11357', '0', '110');
INSERT INTO public.who_import VALUES (14458, '2020-12-15', 'CV', 'Cabo Verde', 'AFRO', '4', '11361', '0', '110');
INSERT INTO public.who_import VALUES (14459, '2020-12-16', 'CV', 'Cabo Verde', 'AFRO', '34', '11395', '0', '110');
INSERT INTO public.who_import VALUES (14460, '2020-12-17', 'CV', 'Cabo Verde', 'AFRO', '63', '11458', '0', '110');
INSERT INTO public.who_import VALUES (14461, '2020-12-18', 'CV', 'Cabo Verde', 'AFRO', '44', '11502', '0', '110');
INSERT INTO public.who_import VALUES (14462, '2020-12-19', 'CV', 'Cabo Verde', 'AFRO', '24', '11526', '0', '110');
INSERT INTO public.who_import VALUES (14463, '2020-12-20', 'CV', 'Cabo Verde', 'AFRO', '41', '11567', '1', '111');
INSERT INTO public.who_import VALUES (14464, '2020-12-21', 'CV', 'Cabo Verde', 'AFRO', '12', '11579', '0', '111');
INSERT INTO public.who_import VALUES (14465, '2020-12-22', 'CV', 'Cabo Verde', 'AFRO', '21', '11600', '0', '111');
INSERT INTO public.who_import VALUES (14466, '2020-12-23', 'CV', 'Cabo Verde', 'AFRO', '36', '11636', '1', '112');
INSERT INTO public.who_import VALUES (14467, '2020-12-24', 'CV', 'Cabo Verde', 'AFRO', '32', '11668', '0', '112');
INSERT INTO public.who_import VALUES (14468, '2020-12-25', 'CV', 'Cabo Verde', 'AFRO', '0', '11668', '0', '112');
INSERT INTO public.who_import VALUES (14469, '2020-12-26', 'CV', 'Cabo Verde', 'AFRO', '28', '11696', '0', '112');
INSERT INTO public.who_import VALUES (14470, '2020-12-27', 'CV', 'Cabo Verde', 'AFRO', '2', '11698', '0', '112');
INSERT INTO public.who_import VALUES (14471, '2020-12-28', 'CV', 'Cabo Verde', 'AFRO', '16', '11714', '0', '112');
INSERT INTO public.who_import VALUES (14472, '2020-12-29', 'CV', 'Cabo Verde', 'AFRO', '9', '11723', '0', '112');
INSERT INTO public.who_import VALUES (14473, '2020-12-30', 'CV', 'Cabo Verde', 'AFRO', '29', '11752', '0', '112');
INSERT INTO public.who_import VALUES (14474, '2020-12-31', 'CV', 'Cabo Verde', 'AFRO', '41', '11793', '0', '112');
INSERT INTO public.who_import VALUES (14475, '2021-01-01', 'CV', 'Cabo Verde', 'AFRO', '47', '11840', '1', '113');
INSERT INTO public.who_import VALUES (14476, '2021-01-02', 'CV', 'Cabo Verde', 'AFRO', '0', '11840', '0', '113');
INSERT INTO public.who_import VALUES (14477, '2021-01-03', 'CV', 'Cabo Verde', 'AFRO', '43', '11883', '0', '113');
INSERT INTO public.who_import VALUES (14478, '2021-01-04', 'CV', 'Cabo Verde', 'AFRO', '37', '11920', '0', '113');
INSERT INTO public.who_import VALUES (14479, '2021-01-05', 'CV', 'Cabo Verde', 'AFRO', '29', '11949', '0', '113');
INSERT INTO public.who_import VALUES (14480, '2021-01-06', 'CV', 'Cabo Verde', 'AFRO', '34', '11983', '0', '113');
INSERT INTO public.who_import VALUES (14481, '2021-01-07', 'CV', 'Cabo Verde', 'AFRO', '69', '12052', '0', '113');
INSERT INTO public.who_import VALUES (14482, '2021-01-08', 'CV', 'Cabo Verde', 'AFRO', '94', '12146', '0', '113');
INSERT INTO public.who_import VALUES (14483, '2021-01-09', 'CV', 'Cabo Verde', 'AFRO', '91', '12237', '1', '114');
INSERT INTO public.who_import VALUES (14484, '2021-01-10', 'CV', 'Cabo Verde', 'AFRO', '0', '12237', '0', '114');
INSERT INTO public.who_import VALUES (14485, '2021-01-11', 'CV', 'Cabo Verde', 'AFRO', '155', '12392', '0', '114');
INSERT INTO public.who_import VALUES (14486, '2021-01-12', 'CV', 'Cabo Verde', 'AFRO', '41', '12433', '1', '115');
INSERT INTO public.who_import VALUES (14487, '2021-01-13', 'CV', 'Cabo Verde', 'AFRO', '73', '12506', '0', '115');
INSERT INTO public.who_import VALUES (14488, '2021-01-14', 'CV', 'Cabo Verde', 'AFRO', '86', '12592', '0', '115');
INSERT INTO public.who_import VALUES (14489, '2021-01-15', 'CV', 'Cabo Verde', 'AFRO', '72', '12664', '0', '115');
INSERT INTO public.who_import VALUES (14490, '2021-01-16', 'CV', 'Cabo Verde', 'AFRO', '112', '12776', '3', '118');
INSERT INTO public.who_import VALUES (14491, '2021-01-17', 'CV', 'Cabo Verde', 'AFRO', '125', '12901', '1', '119');
INSERT INTO public.who_import VALUES (14492, '2021-01-18', 'CV', 'Cabo Verde', 'AFRO', '92', '12993', '0', '119');
INSERT INTO public.who_import VALUES (14493, '2021-01-19', 'CV', 'Cabo Verde', 'AFRO', '53', '13046', '1', '120');
INSERT INTO public.who_import VALUES (14494, '2021-01-20', 'CV', 'Cabo Verde', 'AFRO', '93', '13139', '0', '120');
INSERT INTO public.who_import VALUES (14495, '2021-01-21', 'CV', 'Cabo Verde', 'AFRO', '85', '13224', '1', '121');
INSERT INTO public.who_import VALUES (14496, '2021-01-22', 'CV', 'Cabo Verde', 'AFRO', '83', '13307', '1', '122');
INSERT INTO public.who_import VALUES (14497, '2021-01-23', 'CV', 'Cabo Verde', 'AFRO', '74', '13381', '0', '122');
INSERT INTO public.who_import VALUES (14498, '2021-01-24', 'CV', 'Cabo Verde', 'AFRO', '33', '13414', '2', '124');
INSERT INTO public.who_import VALUES (14499, '2021-01-25', 'CV', 'Cabo Verde', 'AFRO', '75', '13489', '3', '127');
INSERT INTO public.who_import VALUES (14500, '2021-01-26', 'CV', 'Cabo Verde', 'AFRO', '68', '13557', '0', '127');
INSERT INTO public.who_import VALUES (14501, '2021-01-27', 'CV', 'Cabo Verde', 'AFRO', '62', '13619', '2', '129');
INSERT INTO public.who_import VALUES (14502, '2021-01-28', 'CV', 'Cabo Verde', 'AFRO', '103', '13722', '0', '129');
INSERT INTO public.who_import VALUES (14503, '2021-01-29', 'CV', 'Cabo Verde', 'AFRO', '62', '13784', '2', '131');
INSERT INTO public.who_import VALUES (14504, '2021-01-30', 'CV', 'Cabo Verde', 'AFRO', '113', '13897', '0', '131');
INSERT INTO public.who_import VALUES (14505, '2021-01-31', 'CV', 'Cabo Verde', 'AFRO', '84', '13981', '2', '133');
INSERT INTO public.who_import VALUES (14506, '2021-02-01', 'CV', 'Cabo Verde', 'AFRO', '89', '14070', '1', '134');
INSERT INTO public.who_import VALUES (14507, '2021-02-02', 'CV', 'Cabo Verde', 'AFRO', '28', '14098', '0', '134');
INSERT INTO public.who_import VALUES (14508, '2021-02-03', 'CV', 'Cabo Verde', 'AFRO', '54', '14152', '0', '134');
INSERT INTO public.who_import VALUES (14509, '2021-02-04', 'CV', 'Cabo Verde', 'AFRO', '0', '14152', '0', '134');
INSERT INTO public.who_import VALUES (14510, '2021-02-05', 'CV', 'Cabo Verde', 'AFRO', '138', '14290', '1', '135');
INSERT INTO public.who_import VALUES (14511, '2021-02-06', 'CV', 'Cabo Verde', 'AFRO', '16', '14306', '0', '135');
INSERT INTO public.who_import VALUES (14512, '2021-02-07', 'CV', 'Cabo Verde', 'AFRO', '74', '14380', '0', '135');
INSERT INTO public.who_import VALUES (14513, '2021-02-08', 'CV', 'Cabo Verde', 'AFRO', '0', '14380', '0', '135');
INSERT INTO public.who_import VALUES (14514, '2021-02-09', 'CV', 'Cabo Verde', 'AFRO', '71', '14451', '1', '136');
INSERT INTO public.who_import VALUES (14515, '2021-02-10', 'CV', 'Cabo Verde', 'AFRO', '28', '14479', '1', '137');
INSERT INTO public.who_import VALUES (14516, '2021-02-11', 'CV', 'Cabo Verde', 'AFRO', '64', '14543', '1', '138');
INSERT INTO public.who_import VALUES (14517, '2021-02-12', 'CV', 'Cabo Verde', 'AFRO', '58', '14601', '0', '138');
INSERT INTO public.who_import VALUES (14518, '2021-02-13', 'CV', 'Cabo Verde', 'AFRO', '46', '14647', '1', '139');
INSERT INTO public.who_import VALUES (14519, '2021-02-14', 'CV', 'Cabo Verde', 'AFRO', '53', '14700', '0', '139');
INSERT INTO public.who_import VALUES (14520, '2021-02-15', 'CV', 'Cabo Verde', 'AFRO', '41', '14741', '0', '139');
INSERT INTO public.who_import VALUES (14521, '2021-02-16', 'CV', 'Cabo Verde', 'AFRO', '20', '14761', '0', '139');
INSERT INTO public.who_import VALUES (14522, '2021-02-17', 'CV', 'Cabo Verde', 'AFRO', '24', '14785', '1', '140');
INSERT INTO public.who_import VALUES (14523, '2021-02-18', 'CV', 'Cabo Verde', 'AFRO', '63', '14848', '1', '141');
INSERT INTO public.who_import VALUES (14524, '2021-02-19', 'CV', 'Cabo Verde', 'AFRO', '37', '14885', '1', '142');
INSERT INTO public.who_import VALUES (14525, '2021-02-20', 'CV', 'Cabo Verde', 'AFRO', '63', '14948', '0', '142');
INSERT INTO public.who_import VALUES (14526, '2020-01-03', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14527, '2020-01-04', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14528, '2020-01-05', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14529, '2020-01-06', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14530, '2020-01-07', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14531, '2020-01-08', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14532, '2020-01-09', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14533, '2020-01-10', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14534, '2020-01-11', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14535, '2020-01-12', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14536, '2020-01-13', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14537, '2020-01-14', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14538, '2020-01-15', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14539, '2020-01-16', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14540, '2020-01-17', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14541, '2020-01-18', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14542, '2020-01-19', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14543, '2020-01-20', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14544, '2020-01-21', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14545, '2020-01-22', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14546, '2020-01-23', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14547, '2020-01-24', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14548, '2020-01-25', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14549, '2020-01-26', 'KH', 'Cambodia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14550, '2020-01-27', 'KH', 'Cambodia', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (14551, '2020-01-28', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14552, '2020-01-29', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14553, '2020-01-30', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14554, '2020-01-31', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14555, '2020-02-01', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14556, '2020-02-02', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14557, '2020-02-03', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14558, '2020-02-04', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14559, '2020-02-05', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14560, '2020-02-06', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14561, '2020-02-07', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14562, '2020-02-08', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14563, '2020-02-09', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14564, '2020-02-10', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14565, '2020-02-11', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14566, '2020-02-12', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14567, '2020-02-13', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14568, '2020-02-14', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14569, '2020-02-15', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14570, '2020-02-16', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14571, '2020-02-17', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14572, '2020-02-18', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14573, '2020-02-19', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14574, '2020-02-20', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14575, '2020-02-21', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14576, '2020-02-22', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14577, '2020-02-23', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14578, '2020-02-24', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14579, '2020-02-25', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14580, '2020-02-26', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14581, '2020-02-27', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14582, '2020-02-28', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14583, '2020-02-29', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14584, '2020-03-01', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14585, '2020-03-02', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14586, '2020-03-03', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14587, '2020-03-04', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14588, '2020-03-05', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14589, '2020-03-06', 'KH', 'Cambodia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (14590, '2020-03-07', 'KH', 'Cambodia', 'WPRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (14591, '2020-03-08', 'KH', 'Cambodia', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (14592, '2020-03-09', 'KH', 'Cambodia', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (14593, '2020-03-10', 'KH', 'Cambodia', 'WPRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (14594, '2020-03-11', 'KH', 'Cambodia', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (14595, '2020-03-12', 'KH', 'Cambodia', 'WPRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (14596, '2020-03-13', 'KH', 'Cambodia', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (14597, '2020-03-14', 'KH', 'Cambodia', 'WPRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (14598, '2020-03-15', 'KH', 'Cambodia', 'WPRO', '5', '16', '0', '0');
INSERT INTO public.who_import VALUES (14599, '2020-03-16', 'KH', 'Cambodia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (14600, '2020-03-17', 'KH', 'Cambodia', 'WPRO', '12', '28', '0', '0');
INSERT INTO public.who_import VALUES (14601, '2020-03-18', 'KH', 'Cambodia', 'WPRO', '11', '39', '0', '0');
INSERT INTO public.who_import VALUES (14602, '2020-03-19', 'KH', 'Cambodia', 'WPRO', '8', '47', '0', '0');
INSERT INTO public.who_import VALUES (14603, '2020-03-20', 'KH', 'Cambodia', 'WPRO', '4', '51', '0', '0');
INSERT INTO public.who_import VALUES (14604, '2020-03-21', 'KH', 'Cambodia', 'WPRO', '2', '53', '0', '0');
INSERT INTO public.who_import VALUES (14605, '2020-03-22', 'KH', 'Cambodia', 'WPRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (14606, '2020-03-23', 'KH', 'Cambodia', 'WPRO', '33', '86', '0', '0');
INSERT INTO public.who_import VALUES (14607, '2020-03-24', 'KH', 'Cambodia', 'WPRO', '1', '87', '0', '0');
INSERT INTO public.who_import VALUES (14608, '2020-03-25', 'KH', 'Cambodia', 'WPRO', '4', '91', '0', '0');
INSERT INTO public.who_import VALUES (14609, '2020-03-26', 'KH', 'Cambodia', 'WPRO', '5', '96', '0', '0');
INSERT INTO public.who_import VALUES (14610, '2020-03-27', 'KH', 'Cambodia', 'WPRO', '2', '98', '0', '0');
INSERT INTO public.who_import VALUES (14611, '2020-03-28', 'KH', 'Cambodia', 'WPRO', '4', '102', '0', '0');
INSERT INTO public.who_import VALUES (14612, '2020-03-29', 'KH', 'Cambodia', 'WPRO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (14613, '2020-03-30', 'KH', 'Cambodia', 'WPRO', '5', '107', '0', '0');
INSERT INTO public.who_import VALUES (14614, '2020-03-31', 'KH', 'Cambodia', 'WPRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (14615, '2020-04-01', 'KH', 'Cambodia', 'WPRO', '2', '109', '0', '0');
INSERT INTO public.who_import VALUES (14616, '2020-04-02', 'KH', 'Cambodia', 'WPRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (14617, '2020-04-03', 'KH', 'Cambodia', 'WPRO', '1', '110', '0', '0');
INSERT INTO public.who_import VALUES (14618, '2020-04-04', 'KH', 'Cambodia', 'WPRO', '4', '114', '0', '0');
INSERT INTO public.who_import VALUES (14619, '2020-04-05', 'KH', 'Cambodia', 'WPRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (14620, '2020-04-06', 'KH', 'Cambodia', 'WPRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (14621, '2020-04-07', 'KH', 'Cambodia', 'WPRO', '1', '115', '0', '0');
INSERT INTO public.who_import VALUES (14622, '2020-04-08', 'KH', 'Cambodia', 'WPRO', '2', '117', '0', '0');
INSERT INTO public.who_import VALUES (14623, '2020-04-09', 'KH', 'Cambodia', 'WPRO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (14624, '2020-04-10', 'KH', 'Cambodia', 'WPRO', '1', '118', '0', '0');
INSERT INTO public.who_import VALUES (14625, '2020-04-11', 'KH', 'Cambodia', 'WPRO', '2', '120', '0', '0');
INSERT INTO public.who_import VALUES (14626, '2020-04-12', 'KH', 'Cambodia', 'WPRO', '2', '122', '0', '0');
INSERT INTO public.who_import VALUES (14627, '2020-04-13', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14628, '2020-04-14', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14629, '2020-04-15', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14630, '2020-04-16', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14631, '2020-04-17', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14632, '2020-04-18', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14633, '2020-04-19', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14634, '2020-04-20', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14635, '2020-04-21', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14636, '2020-04-22', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14637, '2020-04-23', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14638, '2020-04-24', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14639, '2020-04-25', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14640, '2020-04-26', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14641, '2020-04-27', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14642, '2020-04-28', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14643, '2020-04-29', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14644, '2020-04-30', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14645, '2020-05-01', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14646, '2020-05-02', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14647, '2020-05-03', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14648, '2020-05-04', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14649, '2020-05-05', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14650, '2020-05-06', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14651, '2020-05-07', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14652, '2020-05-08', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14653, '2020-05-09', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14654, '2020-05-10', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14655, '2020-05-11', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14656, '2020-05-12', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14657, '2020-05-13', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14658, '2020-05-14', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14659, '2020-05-15', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14660, '2020-05-16', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14661, '2020-05-17', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14662, '2020-05-18', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14663, '2020-05-19', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14664, '2020-05-20', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14665, '2020-05-21', 'KH', 'Cambodia', 'WPRO', '0', '122', '0', '0');
INSERT INTO public.who_import VALUES (14666, '2020-05-22', 'KH', 'Cambodia', 'WPRO', '1', '123', '0', '0');
INSERT INTO public.who_import VALUES (14667, '2020-05-23', 'KH', 'Cambodia', 'WPRO', '1', '124', '0', '0');
INSERT INTO public.who_import VALUES (14668, '2020-05-24', 'KH', 'Cambodia', 'WPRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (14669, '2020-05-25', 'KH', 'Cambodia', 'WPRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (14670, '2020-05-26', 'KH', 'Cambodia', 'WPRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (14671, '2020-05-27', 'KH', 'Cambodia', 'WPRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (14672, '2020-05-28', 'KH', 'Cambodia', 'WPRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (14673, '2020-05-29', 'KH', 'Cambodia', 'WPRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (14674, '2020-05-30', 'KH', 'Cambodia', 'WPRO', '1', '125', '0', '0');
INSERT INTO public.who_import VALUES (14675, '2020-05-31', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14676, '2020-06-01', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14677, '2020-06-02', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14678, '2020-06-03', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14679, '2020-06-04', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14680, '2020-06-05', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14681, '2020-06-06', 'KH', 'Cambodia', 'WPRO', '0', '125', '0', '0');
INSERT INTO public.who_import VALUES (14682, '2020-06-07', 'KH', 'Cambodia', 'WPRO', '1', '126', '0', '0');
INSERT INTO public.who_import VALUES (14683, '2020-06-08', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14684, '2020-06-09', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14685, '2020-06-10', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14686, '2020-06-11', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14687, '2020-06-12', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14688, '2020-06-13', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14689, '2020-06-14', 'KH', 'Cambodia', 'WPRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (14690, '2020-06-15', 'KH', 'Cambodia', 'WPRO', '2', '128', '0', '0');
INSERT INTO public.who_import VALUES (14691, '2020-06-16', 'KH', 'Cambodia', 'WPRO', '0', '128', '0', '0');
INSERT INTO public.who_import VALUES (14692, '2020-06-17', 'KH', 'Cambodia', 'WPRO', '0', '128', '0', '0');
INSERT INTO public.who_import VALUES (14693, '2020-06-18', 'KH', 'Cambodia', 'WPRO', '1', '129', '0', '0');
INSERT INTO public.who_import VALUES (14694, '2020-06-19', 'KH', 'Cambodia', 'WPRO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (14695, '2020-06-20', 'KH', 'Cambodia', 'WPRO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (14696, '2020-06-21', 'KH', 'Cambodia', 'WPRO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (14697, '2020-06-22', 'KH', 'Cambodia', 'WPRO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (14698, '2020-06-23', 'KH', 'Cambodia', 'WPRO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (14699, '2020-06-24', 'KH', 'Cambodia', 'WPRO', '1', '130', '0', '0');
INSERT INTO public.who_import VALUES (14700, '2020-06-25', 'KH', 'Cambodia', 'WPRO', '0', '130', '0', '0');
INSERT INTO public.who_import VALUES (14701, '2020-06-26', 'KH', 'Cambodia', 'WPRO', '0', '130', '0', '0');
INSERT INTO public.who_import VALUES (14702, '2020-06-27', 'KH', 'Cambodia', 'WPRO', '9', '139', '0', '0');
INSERT INTO public.who_import VALUES (14703, '2020-06-28', 'KH', 'Cambodia', 'WPRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (14704, '2020-06-29', 'KH', 'Cambodia', 'WPRO', '2', '141', '0', '0');
INSERT INTO public.who_import VALUES (14705, '2020-06-30', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14706, '2020-07-01', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14707, '2020-07-02', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14708, '2020-07-03', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14709, '2020-07-04', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14710, '2020-07-05', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14711, '2020-07-06', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14712, '2020-07-07', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14713, '2020-07-08', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14714, '2020-07-09', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14715, '2020-07-10', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14716, '2020-07-11', 'KH', 'Cambodia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (14717, '2020-07-12', 'KH', 'Cambodia', 'WPRO', '15', '156', '0', '0');
INSERT INTO public.who_import VALUES (14718, '2020-07-13', 'KH', 'Cambodia', 'WPRO', '0', '156', '0', '0');
INSERT INTO public.who_import VALUES (14719, '2020-07-14', 'KH', 'Cambodia', 'WPRO', '9', '165', '0', '0');
INSERT INTO public.who_import VALUES (14720, '2020-07-15', 'KH', 'Cambodia', 'WPRO', '0', '165', '0', '0');
INSERT INTO public.who_import VALUES (14721, '2020-07-16', 'KH', 'Cambodia', 'WPRO', '1', '166', '0', '0');
INSERT INTO public.who_import VALUES (14722, '2020-07-17', 'KH', 'Cambodia', 'WPRO', '0', '166', '0', '0');
INSERT INTO public.who_import VALUES (14723, '2020-07-18', 'KH', 'Cambodia', 'WPRO', '5', '171', '0', '0');
INSERT INTO public.who_import VALUES (14724, '2020-07-19', 'KH', 'Cambodia', 'WPRO', '0', '171', '0', '0');
INSERT INTO public.who_import VALUES (14725, '2020-07-20', 'KH', 'Cambodia', 'WPRO', '0', '171', '0', '0');
INSERT INTO public.who_import VALUES (14726, '2020-07-21', 'KH', 'Cambodia', 'WPRO', '0', '171', '0', '0');
INSERT INTO public.who_import VALUES (14727, '2020-07-22', 'KH', 'Cambodia', 'WPRO', '26', '197', '0', '0');
INSERT INTO public.who_import VALUES (14728, '2020-07-23', 'KH', 'Cambodia', 'WPRO', '1', '198', '0', '0');
INSERT INTO public.who_import VALUES (14729, '2020-07-24', 'KH', 'Cambodia', 'WPRO', '4', '202', '0', '0');
INSERT INTO public.who_import VALUES (14730, '2020-07-25', 'KH', 'Cambodia', 'WPRO', '0', '202', '0', '0');
INSERT INTO public.who_import VALUES (14731, '2020-07-26', 'KH', 'Cambodia', 'WPRO', '23', '225', '0', '0');
INSERT INTO public.who_import VALUES (14732, '2020-07-27', 'KH', 'Cambodia', 'WPRO', '0', '225', '0', '0');
INSERT INTO public.who_import VALUES (14733, '2020-07-28', 'KH', 'Cambodia', 'WPRO', '1', '226', '0', '0');
INSERT INTO public.who_import VALUES (14734, '2020-07-29', 'KH', 'Cambodia', 'WPRO', '0', '226', '0', '0');
INSERT INTO public.who_import VALUES (14735, '2020-07-30', 'KH', 'Cambodia', 'WPRO', '8', '234', '0', '0');
INSERT INTO public.who_import VALUES (14736, '2020-07-31', 'KH', 'Cambodia', 'WPRO', '0', '234', '0', '0');
INSERT INTO public.who_import VALUES (14737, '2020-08-01', 'KH', 'Cambodia', 'WPRO', '5', '239', '0', '0');
INSERT INTO public.who_import VALUES (14738, '2020-08-02', 'KH', 'Cambodia', 'WPRO', '1', '240', '0', '0');
INSERT INTO public.who_import VALUES (14739, '2020-08-03', 'KH', 'Cambodia', 'WPRO', '0', '240', '0', '0');
INSERT INTO public.who_import VALUES (14740, '2020-08-04', 'KH', 'Cambodia', 'WPRO', '1', '241', '0', '0');
INSERT INTO public.who_import VALUES (14741, '2020-08-05', 'KH', 'Cambodia', 'WPRO', '2', '243', '0', '0');
INSERT INTO public.who_import VALUES (14742, '2020-08-06', 'KH', 'Cambodia', 'WPRO', '0', '243', '0', '0');
INSERT INTO public.who_import VALUES (14743, '2020-08-07', 'KH', 'Cambodia', 'WPRO', '0', '243', '0', '0');
INSERT INTO public.who_import VALUES (14744, '2020-08-08', 'KH', 'Cambodia', 'WPRO', '3', '246', '0', '0');
INSERT INTO public.who_import VALUES (14745, '2020-08-09', 'KH', 'Cambodia', 'WPRO', '2', '248', '0', '0');
INSERT INTO public.who_import VALUES (14746, '2020-08-10', 'KH', 'Cambodia', 'WPRO', '3', '251', '0', '0');
INSERT INTO public.who_import VALUES (14747, '2020-08-11', 'KH', 'Cambodia', 'WPRO', '15', '266', '0', '0');
INSERT INTO public.who_import VALUES (14748, '2020-08-12', 'KH', 'Cambodia', 'WPRO', '2', '268', '0', '0');
INSERT INTO public.who_import VALUES (14749, '2020-08-13', 'KH', 'Cambodia', 'WPRO', '4', '272', '0', '0');
INSERT INTO public.who_import VALUES (14750, '2020-08-14', 'KH', 'Cambodia', 'WPRO', '1', '273', '0', '0');
INSERT INTO public.who_import VALUES (14751, '2020-08-15', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14752, '2020-08-16', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14753, '2020-08-17', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14754, '2020-08-18', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14755, '2020-08-19', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14756, '2020-08-20', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14757, '2020-08-21', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14758, '2020-08-22', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14759, '2020-08-23', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14760, '2020-08-24', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14761, '2020-08-25', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14762, '2020-08-26', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14763, '2020-08-27', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14764, '2020-08-28', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14765, '2020-08-29', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14766, '2020-08-30', 'KH', 'Cambodia', 'WPRO', '0', '273', '0', '0');
INSERT INTO public.who_import VALUES (14767, '2020-08-31', 'KH', 'Cambodia', 'WPRO', '1', '274', '0', '0');
INSERT INTO public.who_import VALUES (14768, '2020-09-01', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14769, '2020-09-02', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14770, '2020-09-03', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14771, '2020-09-04', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14772, '2020-09-05', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14773, '2020-09-06', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14774, '2020-09-07', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14775, '2020-09-08', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14776, '2020-09-09', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14777, '2020-09-10', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14778, '2020-09-11', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14779, '2020-09-12', 'KH', 'Cambodia', 'WPRO', '0', '274', '0', '0');
INSERT INTO public.who_import VALUES (14780, '2020-09-13', 'KH', 'Cambodia', 'WPRO', '1', '275', '0', '0');
INSERT INTO public.who_import VALUES (14781, '2020-09-14', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14782, '2020-09-15', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14783, '2020-09-16', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14784, '2020-09-17', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14785, '2020-09-18', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14786, '2020-09-19', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14787, '2020-09-20', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14788, '2020-09-21', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14789, '2020-09-22', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14790, '2020-09-23', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14791, '2020-09-24', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14792, '2020-09-25', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14793, '2020-09-26', 'KH', 'Cambodia', 'WPRO', '0', '275', '0', '0');
INSERT INTO public.who_import VALUES (14794, '2020-09-27', 'KH', 'Cambodia', 'WPRO', '1', '276', '0', '0');
INSERT INTO public.who_import VALUES (14795, '2020-09-28', 'KH', 'Cambodia', 'WPRO', '0', '276', '0', '0');
INSERT INTO public.who_import VALUES (14796, '2020-09-29', 'KH', 'Cambodia', 'WPRO', '1', '277', '0', '0');
INSERT INTO public.who_import VALUES (14797, '2020-09-30', 'KH', 'Cambodia', 'WPRO', '0', '277', '0', '0');
INSERT INTO public.who_import VALUES (14798, '2020-10-01', 'KH', 'Cambodia', 'WPRO', '0', '277', '0', '0');
INSERT INTO public.who_import VALUES (14799, '2020-10-02', 'KH', 'Cambodia', 'WPRO', '1', '278', '0', '0');
INSERT INTO public.who_import VALUES (14800, '2020-10-03', 'KH', 'Cambodia', 'WPRO', '0', '278', '0', '0');
INSERT INTO public.who_import VALUES (14801, '2020-10-04', 'KH', 'Cambodia', 'WPRO', '0', '278', '0', '0');
INSERT INTO public.who_import VALUES (14802, '2020-10-05', 'KH', 'Cambodia', 'WPRO', '2', '280', '0', '0');
INSERT INTO public.who_import VALUES (14803, '2020-10-06', 'KH', 'Cambodia', 'WPRO', '0', '280', '0', '0');
INSERT INTO public.who_import VALUES (14804, '2020-10-07', 'KH', 'Cambodia', 'WPRO', '0', '280', '0', '0');
INSERT INTO public.who_import VALUES (14805, '2020-10-08', 'KH', 'Cambodia', 'WPRO', '1', '281', '0', '0');
INSERT INTO public.who_import VALUES (14806, '2020-10-09', 'KH', 'Cambodia', 'WPRO', '1', '282', '0', '0');
INSERT INTO public.who_import VALUES (14807, '2020-10-10', 'KH', 'Cambodia', 'WPRO', '1', '283', '0', '0');
INSERT INTO public.who_import VALUES (14808, '2020-10-11', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14809, '2020-10-12', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14810, '2020-10-13', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14811, '2020-10-14', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14812, '2020-10-15', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14813, '2020-10-16', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14814, '2020-10-17', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14815, '2020-10-18', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14816, '2020-10-19', 'KH', 'Cambodia', 'WPRO', '0', '283', '0', '0');
INSERT INTO public.who_import VALUES (14817, '2020-10-20', 'KH', 'Cambodia', 'WPRO', '2', '285', '0', '0');
INSERT INTO public.who_import VALUES (14818, '2020-10-21', 'KH', 'Cambodia', 'WPRO', '1', '286', '0', '0');
INSERT INTO public.who_import VALUES (14819, '2020-10-22', 'KH', 'Cambodia', 'WPRO', '0', '286', '0', '0');
INSERT INTO public.who_import VALUES (14820, '2020-10-23', 'KH', 'Cambodia', 'WPRO', '0', '286', '0', '0');
INSERT INTO public.who_import VALUES (14821, '2020-10-24', 'KH', 'Cambodia', 'WPRO', '1', '287', '0', '0');
INSERT INTO public.who_import VALUES (14822, '2020-10-25', 'KH', 'Cambodia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (14823, '2020-10-26', 'KH', 'Cambodia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (14824, '2020-10-27', 'KH', 'Cambodia', 'WPRO', '1', '288', '0', '0');
INSERT INTO public.who_import VALUES (14825, '2020-10-28', 'KH', 'Cambodia', 'WPRO', '2', '290', '0', '0');
INSERT INTO public.who_import VALUES (14826, '2020-10-29', 'KH', 'Cambodia', 'WPRO', '0', '290', '0', '0');
INSERT INTO public.who_import VALUES (14827, '2020-10-30', 'KH', 'Cambodia', 'WPRO', '1', '291', '0', '0');
INSERT INTO public.who_import VALUES (14828, '2020-10-31', 'KH', 'Cambodia', 'WPRO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (14829, '2020-11-01', 'KH', 'Cambodia', 'WPRO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (14830, '2020-11-02', 'KH', 'Cambodia', 'WPRO', '1', '292', '0', '0');
INSERT INTO public.who_import VALUES (14831, '2020-11-03', 'KH', 'Cambodia', 'WPRO', '0', '292', '0', '0');
INSERT INTO public.who_import VALUES (14832, '2020-11-04', 'KH', 'Cambodia', 'WPRO', '0', '292', '0', '0');
INSERT INTO public.who_import VALUES (14833, '2020-11-05', 'KH', 'Cambodia', 'WPRO', '0', '292', '0', '0');
INSERT INTO public.who_import VALUES (14834, '2020-11-06', 'KH', 'Cambodia', 'WPRO', '0', '292', '0', '0');
INSERT INTO public.who_import VALUES (14835, '2020-11-07', 'KH', 'Cambodia', 'WPRO', '2', '294', '0', '0');
INSERT INTO public.who_import VALUES (14836, '2020-11-08', 'KH', 'Cambodia', 'WPRO', '1', '295', '0', '0');
INSERT INTO public.who_import VALUES (14837, '2020-11-09', 'KH', 'Cambodia', 'WPRO', '2', '297', '0', '0');
INSERT INTO public.who_import VALUES (14838, '2020-11-10', 'KH', 'Cambodia', 'WPRO', '3', '300', '0', '0');
INSERT INTO public.who_import VALUES (14839, '2020-11-11', 'KH', 'Cambodia', 'WPRO', '1', '301', '0', '0');
INSERT INTO public.who_import VALUES (14840, '2020-11-12', 'KH', 'Cambodia', 'WPRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (14841, '2020-11-13', 'KH', 'Cambodia', 'WPRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (14842, '2020-11-14', 'KH', 'Cambodia', 'WPRO', '1', '302', '0', '0');
INSERT INTO public.who_import VALUES (14843, '2020-11-15', 'KH', 'Cambodia', 'WPRO', '0', '302', '0', '0');
INSERT INTO public.who_import VALUES (14844, '2020-11-16', 'KH', 'Cambodia', 'WPRO', '0', '302', '0', '0');
INSERT INTO public.who_import VALUES (14845, '2020-11-17', 'KH', 'Cambodia', 'WPRO', '1', '303', '0', '0');
INSERT INTO public.who_import VALUES (14846, '2020-11-18', 'KH', 'Cambodia', 'WPRO', '1', '304', '0', '0');
INSERT INTO public.who_import VALUES (14847, '2020-11-19', 'KH', 'Cambodia', 'WPRO', '0', '304', '0', '0');
INSERT INTO public.who_import VALUES (14848, '2020-11-20', 'KH', 'Cambodia', 'WPRO', '0', '304', '0', '0');
INSERT INTO public.who_import VALUES (14849, '2020-11-21', 'KH', 'Cambodia', 'WPRO', '1', '305', '0', '0');
INSERT INTO public.who_import VALUES (14850, '2020-11-22', 'KH', 'Cambodia', 'WPRO', '1', '306', '0', '0');
INSERT INTO public.who_import VALUES (14851, '2020-11-23', 'KH', 'Cambodia', 'WPRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (14852, '2020-11-24', 'KH', 'Cambodia', 'WPRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (14853, '2020-11-25', 'KH', 'Cambodia', 'WPRO', '1', '307', '0', '0');
INSERT INTO public.who_import VALUES (14854, '2020-11-26', 'KH', 'Cambodia', 'WPRO', '0', '307', '0', '0');
INSERT INTO public.who_import VALUES (14855, '2020-11-27', 'KH', 'Cambodia', 'WPRO', '0', '307', '0', '0');
INSERT INTO public.who_import VALUES (14856, '2020-11-28', 'KH', 'Cambodia', 'WPRO', '1', '308', '0', '0');
INSERT INTO public.who_import VALUES (14857, '2020-11-29', 'KH', 'Cambodia', 'WPRO', '7', '315', '0', '0');
INSERT INTO public.who_import VALUES (14858, '2020-11-30', 'KH', 'Cambodia', 'WPRO', '8', '323', '0', '0');
INSERT INTO public.who_import VALUES (14859, '2020-12-01', 'KH', 'Cambodia', 'WPRO', '3', '326', '0', '0');
INSERT INTO public.who_import VALUES (14860, '2020-12-02', 'KH', 'Cambodia', 'WPRO', '3', '329', '0', '0');
INSERT INTO public.who_import VALUES (14861, '2020-12-03', 'KH', 'Cambodia', 'WPRO', '2', '331', '0', '0');
INSERT INTO public.who_import VALUES (14862, '2020-12-04', 'KH', 'Cambodia', 'WPRO', '4', '335', '0', '0');
INSERT INTO public.who_import VALUES (14863, '2020-12-05', 'KH', 'Cambodia', 'WPRO', '10', '345', '0', '0');
INSERT INTO public.who_import VALUES (14864, '2020-12-06', 'KH', 'Cambodia', 'WPRO', '1', '346', '0', '0');
INSERT INTO public.who_import VALUES (14865, '2020-12-07', 'KH', 'Cambodia', 'WPRO', '2', '348', '0', '0');
INSERT INTO public.who_import VALUES (14866, '2020-12-08', 'KH', 'Cambodia', 'WPRO', '2', '350', '0', '0');
INSERT INTO public.who_import VALUES (14867, '2020-12-09', 'KH', 'Cambodia', 'WPRO', '4', '354', '0', '0');
INSERT INTO public.who_import VALUES (14868, '2020-12-10', 'KH', 'Cambodia', 'WPRO', '2', '356', '0', '0');
INSERT INTO public.who_import VALUES (14869, '2020-12-11', 'KH', 'Cambodia', 'WPRO', '1', '357', '0', '0');
INSERT INTO public.who_import VALUES (14870, '2020-12-12', 'KH', 'Cambodia', 'WPRO', '0', '357', '0', '0');
INSERT INTO public.who_import VALUES (14871, '2020-12-13', 'KH', 'Cambodia', 'WPRO', '2', '359', '0', '0');
INSERT INTO public.who_import VALUES (14872, '2020-12-14', 'KH', 'Cambodia', 'WPRO', '0', '359', '0', '0');
INSERT INTO public.who_import VALUES (14873, '2020-12-15', 'KH', 'Cambodia', 'WPRO', '3', '362', '0', '0');
INSERT INTO public.who_import VALUES (14874, '2020-12-16', 'KH', 'Cambodia', 'WPRO', '0', '362', '0', '0');
INSERT INTO public.who_import VALUES (14875, '2020-12-17', 'KH', 'Cambodia', 'WPRO', '0', '362', '0', '0');
INSERT INTO public.who_import VALUES (14876, '2020-12-18', 'KH', 'Cambodia', 'WPRO', '0', '362', '0', '0');
INSERT INTO public.who_import VALUES (14877, '2020-12-19', 'KH', 'Cambodia', 'WPRO', '0', '362', '0', '0');
INSERT INTO public.who_import VALUES (14878, '2020-12-20', 'KH', 'Cambodia', 'WPRO', '0', '362', '0', '0');
INSERT INTO public.who_import VALUES (14879, '2020-12-21', 'KH', 'Cambodia', 'WPRO', '1', '363', '0', '0');
INSERT INTO public.who_import VALUES (14880, '2020-12-22', 'KH', 'Cambodia', 'WPRO', '0', '363', '0', '0');
INSERT INTO public.who_import VALUES (14881, '2020-12-23', 'KH', 'Cambodia', 'WPRO', '0', '363', '0', '0');
INSERT INTO public.who_import VALUES (14882, '2020-12-24', 'KH', 'Cambodia', 'WPRO', '0', '363', '0', '0');
INSERT INTO public.who_import VALUES (14883, '2020-12-25', 'KH', 'Cambodia', 'WPRO', '0', '363', '0', '0');
INSERT INTO public.who_import VALUES (14884, '2020-12-26', 'KH', 'Cambodia', 'WPRO', '0', '363', '0', '0');
INSERT INTO public.who_import VALUES (14885, '2020-12-27', 'KH', 'Cambodia', 'WPRO', '1', '364', '0', '0');
INSERT INTO public.who_import VALUES (14886, '2020-12-28', 'KH', 'Cambodia', 'WPRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (14887, '2020-12-29', 'KH', 'Cambodia', 'WPRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (14888, '2020-12-30', 'KH', 'Cambodia', 'WPRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (14889, '2020-12-31', 'KH', 'Cambodia', 'WPRO', '2', '366', '0', '0');
INSERT INTO public.who_import VALUES (14890, '2021-01-01', 'KH', 'Cambodia', 'WPRO', '12', '378', '0', '0');
INSERT INTO public.who_import VALUES (14891, '2021-01-02', 'KH', 'Cambodia', 'WPRO', '1', '379', '0', '0');
INSERT INTO public.who_import VALUES (14892, '2021-01-03', 'KH', 'Cambodia', 'WPRO', '2', '381', '0', '0');
INSERT INTO public.who_import VALUES (14893, '2021-01-04', 'KH', 'Cambodia', 'WPRO', '1', '382', '0', '0');
INSERT INTO public.who_import VALUES (14894, '2021-01-05', 'KH', 'Cambodia', 'WPRO', '0', '382', '0', '0');
INSERT INTO public.who_import VALUES (14895, '2021-01-06', 'KH', 'Cambodia', 'WPRO', '1', '383', '0', '0');
INSERT INTO public.who_import VALUES (14896, '2021-01-07', 'KH', 'Cambodia', 'WPRO', '2', '385', '0', '0');
INSERT INTO public.who_import VALUES (14897, '2021-01-08', 'KH', 'Cambodia', 'WPRO', '1', '386', '0', '0');
INSERT INTO public.who_import VALUES (14898, '2021-01-09', 'KH', 'Cambodia', 'WPRO', '1', '387', '0', '0');
INSERT INTO public.who_import VALUES (14899, '2021-01-10', 'KH', 'Cambodia', 'WPRO', '4', '391', '0', '0');
INSERT INTO public.who_import VALUES (14900, '2021-01-11', 'KH', 'Cambodia', 'WPRO', '1', '392', '0', '0');
INSERT INTO public.who_import VALUES (14901, '2021-01-12', 'KH', 'Cambodia', 'WPRO', '0', '392', '0', '0');
INSERT INTO public.who_import VALUES (14902, '2021-01-13', 'KH', 'Cambodia', 'WPRO', '6', '398', '0', '0');
INSERT INTO public.who_import VALUES (14903, '2021-01-14', 'KH', 'Cambodia', 'WPRO', '13', '411', '0', '0');
INSERT INTO public.who_import VALUES (14904, '2021-01-15', 'KH', 'Cambodia', 'WPRO', '15', '426', '0', '0');
INSERT INTO public.who_import VALUES (14905, '2021-01-16', 'KH', 'Cambodia', 'WPRO', '10', '436', '0', '0');
INSERT INTO public.who_import VALUES (14906, '2021-01-17', 'KH', 'Cambodia', 'WPRO', '3', '439', '0', '0');
INSERT INTO public.who_import VALUES (14907, '2021-01-18', 'KH', 'Cambodia', 'WPRO', '0', '439', '0', '0');
INSERT INTO public.who_import VALUES (14908, '2021-01-19', 'KH', 'Cambodia', 'WPRO', '2', '441', '0', '0');
INSERT INTO public.who_import VALUES (14909, '2021-01-20', 'KH', 'Cambodia', 'WPRO', '7', '448', '0', '0');
INSERT INTO public.who_import VALUES (14910, '2021-01-21', 'KH', 'Cambodia', 'WPRO', '5', '453', '0', '0');
INSERT INTO public.who_import VALUES (14911, '2021-01-22', 'KH', 'Cambodia', 'WPRO', '3', '456', '0', '0');
INSERT INTO public.who_import VALUES (14912, '2021-01-23', 'KH', 'Cambodia', 'WPRO', '0', '456', '0', '0');
INSERT INTO public.who_import VALUES (14913, '2021-01-24', 'KH', 'Cambodia', 'WPRO', '2', '458', '0', '0');
INSERT INTO public.who_import VALUES (14914, '2021-01-25', 'KH', 'Cambodia', 'WPRO', '0', '458', '0', '0');
INSERT INTO public.who_import VALUES (14915, '2021-01-26', 'KH', 'Cambodia', 'WPRO', '2', '460', '0', '0');
INSERT INTO public.who_import VALUES (14916, '2021-01-27', 'KH', 'Cambodia', 'WPRO', '0', '460', '0', '0');
INSERT INTO public.who_import VALUES (14917, '2021-01-28', 'KH', 'Cambodia', 'WPRO', '1', '461', '0', '0');
INSERT INTO public.who_import VALUES (14918, '2021-01-29', 'KH', 'Cambodia', 'WPRO', '2', '463', '0', '0');
INSERT INTO public.who_import VALUES (14919, '2021-01-30', 'KH', 'Cambodia', 'WPRO', '1', '464', '0', '0');
INSERT INTO public.who_import VALUES (14920, '2021-01-31', 'KH', 'Cambodia', 'WPRO', '1', '465', '0', '0');
INSERT INTO public.who_import VALUES (14921, '2021-02-01', 'KH', 'Cambodia', 'WPRO', '1', '466', '0', '0');
INSERT INTO public.who_import VALUES (14922, '2021-02-02', 'KH', 'Cambodia', 'WPRO', '0', '466', '0', '0');
INSERT INTO public.who_import VALUES (14923, '2021-02-03', 'KH', 'Cambodia', 'WPRO', '0', '466', '0', '0');
INSERT INTO public.who_import VALUES (14924, '2021-02-04', 'KH', 'Cambodia', 'WPRO', '1', '467', '0', '0');
INSERT INTO public.who_import VALUES (14925, '2021-02-05', 'KH', 'Cambodia', 'WPRO', '3', '470', '0', '0');
INSERT INTO public.who_import VALUES (14926, '2021-02-06', 'KH', 'Cambodia', 'WPRO', '2', '472', '0', '0');
INSERT INTO public.who_import VALUES (14927, '2021-02-07', 'KH', 'Cambodia', 'WPRO', '2', '474', '0', '0');
INSERT INTO public.who_import VALUES (14928, '2021-02-08', 'KH', 'Cambodia', 'WPRO', '0', '474', '0', '0');
INSERT INTO public.who_import VALUES (14929, '2021-02-09', 'KH', 'Cambodia', 'WPRO', '2', '476', '0', '0');
INSERT INTO public.who_import VALUES (14930, '2021-02-10', 'KH', 'Cambodia', 'WPRO', '2', '478', '0', '0');
INSERT INTO public.who_import VALUES (14931, '2021-02-11', 'KH', 'Cambodia', 'WPRO', '0', '478', '0', '0');
INSERT INTO public.who_import VALUES (14932, '2021-02-12', 'KH', 'Cambodia', 'WPRO', '1', '479', '0', '0');
INSERT INTO public.who_import VALUES (14933, '2021-02-13', 'KH', 'Cambodia', 'WPRO', '0', '479', '0', '0');
INSERT INTO public.who_import VALUES (14934, '2021-02-14', 'KH', 'Cambodia', 'WPRO', '0', '479', '0', '0');
INSERT INTO public.who_import VALUES (14935, '2021-02-15', 'KH', 'Cambodia', 'WPRO', '0', '479', '0', '0');
INSERT INTO public.who_import VALUES (14936, '2021-02-16', 'KH', 'Cambodia', 'WPRO', '0', '479', '0', '0');
INSERT INTO public.who_import VALUES (14937, '2021-02-17', 'KH', 'Cambodia', 'WPRO', '0', '479', '0', '0');
INSERT INTO public.who_import VALUES (14938, '2021-02-18', 'KH', 'Cambodia', 'WPRO', '4', '483', '0', '0');
INSERT INTO public.who_import VALUES (14939, '2021-02-19', 'KH', 'Cambodia', 'WPRO', '1', '484', '0', '0');
INSERT INTO public.who_import VALUES (14940, '2021-02-20', 'KH', 'Cambodia', 'WPRO', '0', '484', '0', '0');
INSERT INTO public.who_import VALUES (14941, '2020-01-03', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14942, '2020-01-04', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14943, '2020-01-05', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14944, '2020-01-06', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14945, '2020-01-07', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14946, '2020-01-08', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14947, '2020-01-09', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14948, '2020-01-10', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14949, '2020-01-11', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14950, '2020-01-12', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14951, '2020-01-13', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14952, '2020-01-14', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14953, '2020-01-15', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14954, '2020-01-16', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14955, '2020-01-17', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14956, '2020-01-18', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14957, '2020-01-19', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14958, '2020-01-20', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14959, '2020-01-21', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14960, '2020-01-22', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14961, '2020-01-23', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14962, '2020-01-24', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14963, '2020-01-25', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14964, '2020-01-26', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14965, '2020-01-27', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14966, '2020-01-28', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14967, '2020-01-29', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14968, '2020-01-30', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14969, '2020-01-31', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14970, '2020-02-01', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14971, '2020-02-02', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14972, '2020-02-03', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14973, '2020-02-04', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14974, '2020-02-05', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14975, '2020-02-06', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14976, '2020-02-07', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14977, '2020-02-08', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14978, '2020-02-09', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14979, '2020-02-10', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14980, '2020-02-11', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14981, '2020-02-12', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14982, '2020-02-13', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14983, '2020-02-14', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14984, '2020-02-15', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14985, '2020-02-16', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14986, '2020-02-17', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14987, '2020-02-18', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14988, '2020-02-19', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14989, '2020-02-20', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14990, '2020-02-21', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14991, '2020-02-22', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14992, '2020-02-23', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14993, '2020-02-24', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14994, '2020-02-25', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14995, '2020-02-26', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14996, '2020-02-27', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14997, '2020-02-28', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14998, '2020-02-29', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (14999, '2020-03-01', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15000, '2020-03-02', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15001, '2020-03-03', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15002, '2020-03-04', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15003, '2020-03-05', 'CM', 'Cameroon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15004, '2020-03-06', 'CM', 'Cameroon', 'AFRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (15005, '2020-03-07', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15006, '2020-03-08', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15007, '2020-03-09', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15008, '2020-03-10', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15009, '2020-03-11', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15010, '2020-03-12', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15011, '2020-03-13', 'CM', 'Cameroon', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (15012, '2020-03-14', 'CM', 'Cameroon', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (15013, '2020-03-15', 'CM', 'Cameroon', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (15014, '2020-03-16', 'CM', 'Cameroon', 'AFRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (15015, '2020-03-17', 'CM', 'Cameroon', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (15016, '2020-03-18', 'CM', 'Cameroon', 'AFRO', '5', '14', '0', '0');
INSERT INTO public.who_import VALUES (15017, '2020-03-19', 'CM', 'Cameroon', 'AFRO', '5', '19', '0', '0');
INSERT INTO public.who_import VALUES (15018, '2020-03-20', 'CM', 'Cameroon', 'AFRO', '3', '22', '0', '0');
INSERT INTO public.who_import VALUES (15019, '2020-03-21', 'CM', 'Cameroon', 'AFRO', '5', '27', '0', '0');
INSERT INTO public.who_import VALUES (15020, '2020-03-22', 'CM', 'Cameroon', 'AFRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (15021, '2020-03-23', 'CM', 'Cameroon', 'AFRO', '13', '40', '0', '0');
INSERT INTO public.who_import VALUES (15022, '2020-03-24', 'CM', 'Cameroon', 'AFRO', '30', '70', '0', '0');
INSERT INTO public.who_import VALUES (15023, '2020-03-25', 'CM', 'Cameroon', 'AFRO', '0', '70', '1', '1');
INSERT INTO public.who_import VALUES (15024, '2020-03-26', 'CM', 'Cameroon', 'AFRO', '5', '75', '0', '1');
INSERT INTO public.who_import VALUES (15025, '2020-03-27', 'CM', 'Cameroon', 'AFRO', '0', '75', '0', '1');
INSERT INTO public.who_import VALUES (15026, '2020-03-28', 'CM', 'Cameroon', 'AFRO', '0', '75', '0', '1');
INSERT INTO public.who_import VALUES (15027, '2020-03-29', 'CM', 'Cameroon', 'AFRO', '16', '91', '1', '2');
INSERT INTO public.who_import VALUES (15028, '2020-03-30', 'CM', 'Cameroon', 'AFRO', '22', '113', '0', '2');
INSERT INTO public.who_import VALUES (15029, '2020-03-31', 'CM', 'Cameroon', 'AFRO', '26', '139', '4', '6');
INSERT INTO public.who_import VALUES (15030, '2020-04-01', 'CM', 'Cameroon', 'AFRO', '0', '139', '0', '6');
INSERT INTO public.who_import VALUES (15031, '2020-04-02', 'CM', 'Cameroon', 'AFRO', '0', '139', '0', '6');
INSERT INTO public.who_import VALUES (15032, '2020-04-03', 'CM', 'Cameroon', 'AFRO', '107', '246', '1', '7');
INSERT INTO public.who_import VALUES (15033, '2020-04-04', 'CM', 'Cameroon', 'AFRO', '263', '509', '1', '8');
INSERT INTO public.who_import VALUES (15034, '2020-04-05', 'CM', 'Cameroon', 'AFRO', '46', '555', '1', '9');
INSERT INTO public.who_import VALUES (15035, '2020-04-06', 'CM', 'Cameroon', 'AFRO', '0', '555', '0', '9');
INSERT INTO public.who_import VALUES (15036, '2020-04-07', 'CM', 'Cameroon', 'AFRO', '0', '555', '0', '9');
INSERT INTO public.who_import VALUES (15037, '2020-04-08', 'CM', 'Cameroon', 'AFRO', '0', '555', '0', '9');
INSERT INTO public.who_import VALUES (15038, '2020-04-09', 'CM', 'Cameroon', 'AFRO', '175', '730', '1', '10');
INSERT INTO public.who_import VALUES (15039, '2020-04-10', 'CM', 'Cameroon', 'AFRO', '0', '730', '0', '10');
INSERT INTO public.who_import VALUES (15040, '2020-04-11', 'CM', 'Cameroon', 'AFRO', '73', '803', '0', '10');
INSERT INTO public.who_import VALUES (15041, '2020-04-12', 'CM', 'Cameroon', 'AFRO', '0', '803', '0', '10');
INSERT INTO public.who_import VALUES (15042, '2020-04-13', 'CM', 'Cameroon', 'AFRO', '0', '803', '0', '10');
INSERT INTO public.who_import VALUES (15043, '2020-04-14', 'CM', 'Cameroon', 'AFRO', '0', '803', '0', '10');
INSERT INTO public.who_import VALUES (15044, '2020-04-15', 'CM', 'Cameroon', 'AFRO', '52', '855', '5', '15');
INSERT INTO public.who_import VALUES (15045, '2020-04-16', 'CM', 'Cameroon', 'AFRO', '0', '855', '2', '17');
INSERT INTO public.who_import VALUES (15046, '2020-04-17', 'CM', 'Cameroon', 'AFRO', '0', '855', '0', '17');
INSERT INTO public.who_import VALUES (15047, '2020-04-18', 'CM', 'Cameroon', 'AFRO', '161', '1016', '4', '21');
INSERT INTO public.who_import VALUES (15048, '2020-04-19', 'CM', 'Cameroon', 'AFRO', '0', '1016', '0', '21');
INSERT INTO public.who_import VALUES (15049, '2020-04-20', 'CM', 'Cameroon', 'AFRO', '0', '1016', '0', '21');
INSERT INTO public.who_import VALUES (15050, '2020-04-21', 'CM', 'Cameroon', 'AFRO', '147', '1163', '21', '42');
INSERT INTO public.who_import VALUES (15051, '2020-04-22', 'CM', 'Cameroon', 'AFRO', '0', '1163', '1', '43');
INSERT INTO public.who_import VALUES (15052, '2020-04-23', 'CM', 'Cameroon', 'AFRO', '0', '1163', '0', '43');
INSERT INTO public.who_import VALUES (15053, '2020-04-24', 'CM', 'Cameroon', 'AFRO', '238', '1401', '6', '49');
INSERT INTO public.who_import VALUES (15054, '2020-04-25', 'CM', 'Cameroon', 'AFRO', '2', '1403', '0', '49');
INSERT INTO public.who_import VALUES (15055, '2020-04-26', 'CM', 'Cameroon', 'AFRO', '115', '1518', '4', '53');
INSERT INTO public.who_import VALUES (15056, '2020-04-27', 'CM', 'Cameroon', 'AFRO', '103', '1621', '3', '56');
INSERT INTO public.who_import VALUES (15057, '2020-04-28', 'CM', 'Cameroon', 'AFRO', '0', '1621', '0', '56');
INSERT INTO public.who_import VALUES (15058, '2020-04-29', 'CM', 'Cameroon', 'AFRO', '84', '1705', '2', '58');
INSERT INTO public.who_import VALUES (15059, '2020-04-30', 'CM', 'Cameroon', 'AFRO', '101', '1806', '1', '59');
INSERT INTO public.who_import VALUES (15060, '2020-05-01', 'CM', 'Cameroon', 'AFRO', '26', '1832', '2', '61');
INSERT INTO public.who_import VALUES (15061, '2020-05-02', 'CM', 'Cameroon', 'AFRO', '237', '2069', '0', '61');
INSERT INTO public.who_import VALUES (15062, '2020-05-03', 'CM', 'Cameroon', 'AFRO', '8', '2077', '3', '64');
INSERT INTO public.who_import VALUES (15063, '2020-05-04', 'CM', 'Cameroon', 'AFRO', '0', '2077', '0', '64');
INSERT INTO public.who_import VALUES (15064, '2020-05-05', 'CM', 'Cameroon', 'AFRO', '0', '2077', '0', '64');
INSERT INTO public.who_import VALUES (15065, '2020-05-06', 'CM', 'Cameroon', 'AFRO', '188', '2265', '44', '108');
INSERT INTO public.who_import VALUES (15066, '2020-05-07', 'CM', 'Cameroon', 'AFRO', '0', '2265', '0', '108');
INSERT INTO public.who_import VALUES (15067, '2020-05-08', 'CM', 'Cameroon', 'AFRO', '0', '2265', '0', '108');
INSERT INTO public.who_import VALUES (15068, '2020-05-09', 'CM', 'Cameroon', 'AFRO', '0', '2265', '0', '108');
INSERT INTO public.who_import VALUES (15069, '2020-05-10', 'CM', 'Cameroon', 'AFRO', '70', '2335', '2', '110');
INSERT INTO public.who_import VALUES (15070, '2020-05-11', 'CM', 'Cameroon', 'AFRO', '244', '2579', '4', '114');
INSERT INTO public.who_import VALUES (15071, '2020-05-12', 'CM', 'Cameroon', 'AFRO', '0', '2579', '0', '114');
INSERT INTO public.who_import VALUES (15072, '2020-05-13', 'CM', 'Cameroon', 'AFRO', '110', '2689', '11', '125');
INSERT INTO public.who_import VALUES (15073, '2020-05-14', 'CM', 'Cameroon', 'AFRO', '111', '2800', '11', '136');
INSERT INTO public.who_import VALUES (15074, '2020-05-15', 'CM', 'Cameroon', 'AFRO', '154', '2954', '3', '139');
INSERT INTO public.who_import VALUES (15075, '2020-05-16', 'CM', 'Cameroon', 'AFRO', '93', '3047', '0', '139');
INSERT INTO public.who_import VALUES (15076, '2020-05-17', 'CM', 'Cameroon', 'AFRO', '0', '3047', '0', '139');
INSERT INTO public.who_import VALUES (15077, '2020-05-18', 'CM', 'Cameroon', 'AFRO', '0', '3047', '0', '139');
INSERT INTO public.who_import VALUES (15078, '2020-05-19', 'CM', 'Cameroon', 'AFRO', '482', '3529', '1', '140');
INSERT INTO public.who_import VALUES (15079, '2020-05-20', 'CM', 'Cameroon', 'AFRO', '0', '3529', '0', '140');
INSERT INTO public.who_import VALUES (15080, '2020-05-21', 'CM', 'Cameroon', 'AFRO', '204', '3733', '6', '146');
INSERT INTO public.who_import VALUES (15081, '2020-05-22', 'CM', 'Cameroon', 'AFRO', '555', '4288', '10', '156');
INSERT INTO public.who_import VALUES (15082, '2020-05-23', 'CM', 'Cameroon', 'AFRO', '112', '4400', '3', '159');
INSERT INTO public.who_import VALUES (15083, '2020-05-24', 'CM', 'Cameroon', 'AFRO', '0', '4400', '0', '159');
INSERT INTO public.who_import VALUES (15084, '2020-05-25', 'CM', 'Cameroon', 'AFRO', '0', '4400', '0', '159');
INSERT INTO public.who_import VALUES (15085, '2020-05-26', 'CM', 'Cameroon', 'AFRO', '490', '4890', '6', '165');
INSERT INTO public.who_import VALUES (15086, '2020-05-27', 'CM', 'Cameroon', 'AFRO', '546', '5436', '12', '177');
INSERT INTO public.who_import VALUES (15087, '2020-05-28', 'CM', 'Cameroon', 'AFRO', '0', '5436', '0', '177');
INSERT INTO public.who_import VALUES (15088, '2020-05-29', 'CM', 'Cameroon', 'AFRO', '0', '5436', '0', '177');
INSERT INTO public.who_import VALUES (15089, '2020-05-30', 'CM', 'Cameroon', 'AFRO', '0', '5436', '0', '177');
INSERT INTO public.who_import VALUES (15090, '2020-05-31', 'CM', 'Cameroon', 'AFRO', '223', '5659', '8', '185');
INSERT INTO public.who_import VALUES (15091, '2020-06-01', 'CM', 'Cameroon', 'AFRO', '245', '5904', '6', '191');
INSERT INTO public.who_import VALUES (15092, '2020-06-02', 'CM', 'Cameroon', 'AFRO', '493', '6397', '8', '199');
INSERT INTO public.who_import VALUES (15093, '2020-06-03', 'CM', 'Cameroon', 'AFRO', '188', '6585', '1', '200');
INSERT INTO public.who_import VALUES (15094, '2020-06-04', 'CM', 'Cameroon', 'AFRO', '167', '6752', '0', '200');
INSERT INTO public.who_import VALUES (15095, '2020-06-05', 'CM', 'Cameroon', 'AFRO', '37', '6789', '3', '203');
INSERT INTO public.who_import VALUES (15096, '2020-06-06', 'CM', 'Cameroon', 'AFRO', '603', '7392', '2', '205');
INSERT INTO public.who_import VALUES (15097, '2020-06-07', 'CM', 'Cameroon', 'AFRO', '207', '7599', '7', '212');
INSERT INTO public.who_import VALUES (15098, '2020-06-08', 'CM', 'Cameroon', 'AFRO', '261', '7860', '3', '215');
INSERT INTO public.who_import VALUES (15099, '2020-06-09', 'CM', 'Cameroon', 'AFRO', '200', '8060', '0', '215');
INSERT INTO public.who_import VALUES (15100, '2020-06-10', 'CM', 'Cameroon', 'AFRO', '252', '8312', '0', '215');
INSERT INTO public.who_import VALUES (15101, '2020-06-11', 'CM', 'Cameroon', 'AFRO', '369', '8681', '0', '215');
INSERT INTO public.who_import VALUES (15102, '2020-06-12', 'CM', 'Cameroon', 'AFRO', '0', '8681', '0', '215');
INSERT INTO public.who_import VALUES (15103, '2020-06-13', 'CM', 'Cameroon', 'AFRO', '62', '8743', '55', '270');
INSERT INTO public.who_import VALUES (15104, '2020-06-14', 'CM', 'Cameroon', 'AFRO', '0', '8743', '0', '270');
INSERT INTO public.who_import VALUES (15105, '2020-06-15', 'CM', 'Cameroon', 'AFRO', '829', '9572', '5', '275');
INSERT INTO public.who_import VALUES (15106, '2020-06-16', 'CM', 'Cameroon', 'AFRO', '292', '9864', '1', '276');
INSERT INTO public.who_import VALUES (15107, '2020-06-17', 'CM', 'Cameroon', 'AFRO', '0', '9864', '0', '276');
INSERT INTO public.who_import VALUES (15108, '2020-06-18', 'CM', 'Cameroon', 'AFRO', '0', '9864', '0', '276');
INSERT INTO public.who_import VALUES (15109, '2020-06-19', 'CM', 'Cameroon', 'AFRO', '0', '9864', '0', '276');
INSERT INTO public.who_import VALUES (15110, '2020-06-20', 'CM', 'Cameroon', 'AFRO', '774', '10638', '6', '282');
INSERT INTO public.who_import VALUES (15111, '2020-06-21', 'CM', 'Cameroon', 'AFRO', '0', '10638', '0', '282');
INSERT INTO public.who_import VALUES (15112, '2020-06-22', 'CM', 'Cameroon', 'AFRO', '643', '11281', '18', '300');
INSERT INTO public.who_import VALUES (15113, '2020-06-23', 'CM', 'Cameroon', 'AFRO', '611', '11892', '3', '303');
INSERT INTO public.who_import VALUES (15114, '2020-06-24', 'CM', 'Cameroon', 'AFRO', '149', '12041', '5', '308');
INSERT INTO public.who_import VALUES (15115, '2020-06-25', 'CM', 'Cameroon', 'AFRO', '229', '12270', '5', '313');
INSERT INTO public.who_import VALUES (15116, '2020-06-26', 'CM', 'Cameroon', 'AFRO', '322', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15117, '2020-06-27', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15118, '2020-06-28', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15119, '2020-06-29', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15120, '2020-06-30', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15121, '2020-07-01', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15122, '2020-07-02', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15123, '2020-07-03', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15124, '2020-07-04', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15125, '2020-07-05', 'CM', 'Cameroon', 'AFRO', '0', '12592', '0', '313');
INSERT INTO public.who_import VALUES (15126, '2020-07-06', 'CM', 'Cameroon', 'AFRO', '1445', '14037', '17', '330');
INSERT INTO public.who_import VALUES (15127, '2020-07-07', 'CM', 'Cameroon', 'AFRO', '487', '14524', '12', '342');
INSERT INTO public.who_import VALUES (15128, '2020-07-08', 'CM', 'Cameroon', 'AFRO', '392', '14916', '17', '359');
INSERT INTO public.who_import VALUES (15129, '2020-07-09', 'CM', 'Cameroon', 'AFRO', '0', '14916', '0', '359');
INSERT INTO public.who_import VALUES (15130, '2020-07-10', 'CM', 'Cameroon', 'AFRO', '0', '14916', '0', '359');
INSERT INTO public.who_import VALUES (15131, '2020-07-11', 'CM', 'Cameroon', 'AFRO', '0', '14916', '0', '359');
INSERT INTO public.who_import VALUES (15132, '2020-07-12', 'CM', 'Cameroon', 'AFRO', '0', '14916', '0', '359');
INSERT INTO public.who_import VALUES (15133, '2020-07-13', 'CM', 'Cameroon', 'AFRO', '257', '15173', '0', '359');
INSERT INTO public.who_import VALUES (15134, '2020-07-14', 'CM', 'Cameroon', 'AFRO', '0', '15173', '0', '359');
INSERT INTO public.who_import VALUES (15135, '2020-07-15', 'CM', 'Cameroon', 'AFRO', '0', '15173', '0', '359');
INSERT INTO public.who_import VALUES (15136, '2020-07-16', 'CM', 'Cameroon', 'AFRO', '884', '16057', '10', '369');
INSERT INTO public.who_import VALUES (15137, '2020-07-17', 'CM', 'Cameroon', 'AFRO', '0', '16057', '0', '369');
INSERT INTO public.who_import VALUES (15138, '2020-07-18', 'CM', 'Cameroon', 'AFRO', '100', '16157', '4', '373');
INSERT INTO public.who_import VALUES (15139, '2020-07-19', 'CM', 'Cameroon', 'AFRO', '0', '16157', '0', '373');
INSERT INTO public.who_import VALUES (15140, '2020-07-20', 'CM', 'Cameroon', 'AFRO', '0', '16157', '0', '373');
INSERT INTO public.who_import VALUES (15141, '2020-07-21', 'CM', 'Cameroon', 'AFRO', '365', '16522', '9', '382');
INSERT INTO public.who_import VALUES (15142, '2020-07-22', 'CM', 'Cameroon', 'AFRO', '0', '16522', '0', '382');
INSERT INTO public.who_import VALUES (15143, '2020-07-23', 'CM', 'Cameroon', 'AFRO', '0', '16522', '0', '382');
INSERT INTO public.who_import VALUES (15144, '2020-07-24', 'CM', 'Cameroon', 'AFRO', '0', '16522', '0', '382');
INSERT INTO public.who_import VALUES (15145, '2020-07-25', 'CM', 'Cameroon', 'AFRO', '186', '16708', '3', '385');
INSERT INTO public.who_import VALUES (15146, '2020-07-26', 'CM', 'Cameroon', 'AFRO', '0', '16708', '0', '385');
INSERT INTO public.who_import VALUES (15147, '2020-07-27', 'CM', 'Cameroon', 'AFRO', '402', '17110', '6', '391');
INSERT INTO public.who_import VALUES (15148, '2020-07-28', 'CM', 'Cameroon', 'AFRO', '69', '17179', '0', '391');
INSERT INTO public.who_import VALUES (15149, '2020-07-29', 'CM', 'Cameroon', 'AFRO', '0', '17179', '0', '391');
INSERT INTO public.who_import VALUES (15150, '2020-07-30', 'CM', 'Cameroon', 'AFRO', '76', '17255', '0', '391');
INSERT INTO public.who_import VALUES (15151, '2020-07-31', 'CM', 'Cameroon', 'AFRO', '0', '17255', '0', '391');
INSERT INTO public.who_import VALUES (15152, '2020-08-01', 'CM', 'Cameroon', 'AFRO', '0', '17255', '0', '391');
INSERT INTO public.who_import VALUES (15153, '2020-08-02', 'CM', 'Cameroon', 'AFRO', '0', '17255', '0', '391');
INSERT INTO public.who_import VALUES (15154, '2020-08-03', 'CM', 'Cameroon', 'AFRO', '0', '17255', '0', '391');
INSERT INTO public.who_import VALUES (15155, '2020-08-04', 'CM', 'Cameroon', 'AFRO', '463', '17718', '0', '391');
INSERT INTO public.who_import VALUES (15156, '2020-08-05', 'CM', 'Cameroon', 'AFRO', '0', '17718', '0', '391');
INSERT INTO public.who_import VALUES (15157, '2020-08-06', 'CM', 'Cameroon', 'AFRO', '0', '17718', '0', '391');
INSERT INTO public.who_import VALUES (15158, '2020-08-07', 'CM', 'Cameroon', 'AFRO', '0', '17718', '0', '391');
INSERT INTO public.who_import VALUES (15159, '2020-08-08', 'CM', 'Cameroon', 'AFRO', '324', '18042', '4', '395');
INSERT INTO public.who_import VALUES (15160, '2020-08-09', 'CM', 'Cameroon', 'AFRO', '0', '18042', '0', '395');
INSERT INTO public.who_import VALUES (15161, '2020-08-10', 'CM', 'Cameroon', 'AFRO', '0', '18042', '0', '395');
INSERT INTO public.who_import VALUES (15162, '2020-08-11', 'CM', 'Cameroon', 'AFRO', '171', '18213', '3', '398');
INSERT INTO public.who_import VALUES (15163, '2020-08-12', 'CM', 'Cameroon', 'AFRO', '50', '18263', '3', '401');
INSERT INTO public.who_import VALUES (15164, '2020-08-13', 'CM', 'Cameroon', 'AFRO', '45', '18308', '0', '401');
INSERT INTO public.who_import VALUES (15165, '2020-08-14', 'CM', 'Cameroon', 'AFRO', '161', '18469', '0', '401');
INSERT INTO public.who_import VALUES (15166, '2020-08-15', 'CM', 'Cameroon', 'AFRO', '0', '18469', '0', '401');
INSERT INTO public.who_import VALUES (15167, '2020-08-16', 'CM', 'Cameroon', 'AFRO', '0', '18469', '0', '401');
INSERT INTO public.who_import VALUES (15168, '2020-08-17', 'CM', 'Cameroon', 'AFRO', '113', '18582', '2', '403');
INSERT INTO public.who_import VALUES (15169, '2020-08-18', 'CM', 'Cameroon', 'AFRO', '17', '18599', '3', '406');
INSERT INTO public.who_import VALUES (15170, '2020-08-19', 'CM', 'Cameroon', 'AFRO', '25', '18624', '0', '406');
INSERT INTO public.who_import VALUES (15171, '2020-08-20', 'CM', 'Cameroon', 'AFRO', '138', '18762', '2', '408');
INSERT INTO public.who_import VALUES (15172, '2020-08-21', 'CM', 'Cameroon', 'AFRO', '0', '18762', '0', '408');
INSERT INTO public.who_import VALUES (15173, '2020-08-22', 'CM', 'Cameroon', 'AFRO', '0', '18762', '0', '408');
INSERT INTO public.who_import VALUES (15174, '2020-08-23', 'CM', 'Cameroon', 'AFRO', '0', '18762', '0', '408');
INSERT INTO public.who_import VALUES (15175, '2020-08-24', 'CM', 'Cameroon', 'AFRO', '0', '18762', '0', '408');
INSERT INTO public.who_import VALUES (15176, '2020-08-25', 'CM', 'Cameroon', 'AFRO', '211', '18973', '2', '410');
INSERT INTO public.who_import VALUES (15177, '2020-08-26', 'CM', 'Cameroon', 'AFRO', '0', '18973', '0', '410');
INSERT INTO public.who_import VALUES (15178, '2020-08-27', 'CM', 'Cameroon', 'AFRO', '0', '18973', '0', '410');
INSERT INTO public.who_import VALUES (15179, '2020-08-28', 'CM', 'Cameroon', 'AFRO', '0', '18973', '0', '410');
INSERT INTO public.who_import VALUES (15180, '2020-08-29', 'CM', 'Cameroon', 'AFRO', '169', '19142', '1', '411');
INSERT INTO public.who_import VALUES (15181, '2020-08-30', 'CM', 'Cameroon', 'AFRO', '0', '19142', '0', '411');
INSERT INTO public.who_import VALUES (15182, '2020-08-31', 'CM', 'Cameroon', 'AFRO', '0', '19142', '0', '411');
INSERT INTO public.who_import VALUES (15183, '2020-09-01', 'CM', 'Cameroon', 'AFRO', '267', '19409', '3', '414');
INSERT INTO public.who_import VALUES (15184, '2020-09-02', 'CM', 'Cameroon', 'AFRO', '51', '19460', '1', '415');
INSERT INTO public.who_import VALUES (15185, '2020-09-03', 'CM', 'Cameroon', 'AFRO', '0', '19460', '0', '415');
INSERT INTO public.who_import VALUES (15186, '2020-09-04', 'CM', 'Cameroon', 'AFRO', '144', '19604', '0', '415');
INSERT INTO public.who_import VALUES (15187, '2020-09-05', 'CM', 'Cameroon', 'AFRO', '0', '19604', '0', '415');
INSERT INTO public.who_import VALUES (15188, '2020-09-06', 'CM', 'Cameroon', 'AFRO', '0', '19604', '0', '415');
INSERT INTO public.who_import VALUES (15189, '2020-09-07', 'CM', 'Cameroon', 'AFRO', '0', '19604', '0', '415');
INSERT INTO public.who_import VALUES (15190, '2020-09-08', 'CM', 'Cameroon', 'AFRO', '244', '19848', '0', '415');
INSERT INTO public.who_import VALUES (15191, '2020-09-09', 'CM', 'Cameroon', 'AFRO', '0', '19848', '0', '415');
INSERT INTO public.who_import VALUES (15192, '2020-09-10', 'CM', 'Cameroon', 'AFRO', '0', '19848', '0', '415');
INSERT INTO public.who_import VALUES (15413, '2020-02-29', 'CA', 'Canada', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (15193, '2020-09-11', 'CM', 'Cameroon', 'AFRO', '161', '20009', '0', '415');
INSERT INTO public.who_import VALUES (15194, '2020-09-12', 'CM', 'Cameroon', 'AFRO', '0', '20009', '0', '415');
INSERT INTO public.who_import VALUES (15195, '2020-09-13', 'CM', 'Cameroon', 'AFRO', '158', '20167', '0', '415');
INSERT INTO public.who_import VALUES (15196, '2020-09-14', 'CM', 'Cameroon', 'AFRO', '61', '20228', '0', '415');
INSERT INTO public.who_import VALUES (15197, '2020-09-15', 'CM', 'Cameroon', 'AFRO', '43', '20271', '0', '415');
INSERT INTO public.who_import VALUES (15198, '2020-09-16', 'CM', 'Cameroon', 'AFRO', '32', '20303', '0', '415');
INSERT INTO public.who_import VALUES (15199, '2020-09-17', 'CM', 'Cameroon', 'AFRO', '0', '20303', '0', '415');
INSERT INTO public.who_import VALUES (15200, '2020-09-18', 'CM', 'Cameroon', 'AFRO', '0', '20303', '0', '415');
INSERT INTO public.who_import VALUES (15201, '2020-09-19', 'CM', 'Cameroon', 'AFRO', '128', '20431', '1', '416');
INSERT INTO public.who_import VALUES (15202, '2020-09-20', 'CM', 'Cameroon', 'AFRO', '0', '20431', '0', '416');
INSERT INTO public.who_import VALUES (15203, '2020-09-21', 'CM', 'Cameroon', 'AFRO', '167', '20598', '0', '416');
INSERT INTO public.who_import VALUES (15204, '2020-09-22', 'CM', 'Cameroon', 'AFRO', '0', '20598', '0', '416');
INSERT INTO public.who_import VALUES (15205, '2020-09-23', 'CM', 'Cameroon', 'AFRO', '92', '20690', '0', '416');
INSERT INTO public.who_import VALUES (15206, '2020-09-24', 'CM', 'Cameroon', 'AFRO', '0', '20690', '0', '416');
INSERT INTO public.who_import VALUES (15207, '2020-09-25', 'CM', 'Cameroon', 'AFRO', '0', '20690', '0', '416');
INSERT INTO public.who_import VALUES (15208, '2020-09-26', 'CM', 'Cameroon', 'AFRO', '45', '20735', '2', '418');
INSERT INTO public.who_import VALUES (15209, '2020-09-27', 'CM', 'Cameroon', 'AFRO', '0', '20735', '0', '418');
INSERT INTO public.who_import VALUES (15210, '2020-09-28', 'CM', 'Cameroon', 'AFRO', '103', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15211, '2020-09-29', 'CM', 'Cameroon', 'AFRO', '0', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15212, '2020-09-30', 'CM', 'Cameroon', 'AFRO', '0', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15213, '2020-10-01', 'CM', 'Cameroon', 'AFRO', '0', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15214, '2020-10-02', 'CM', 'Cameroon', 'AFRO', '0', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15215, '2020-10-03', 'CM', 'Cameroon', 'AFRO', '0', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15216, '2020-10-04', 'CM', 'Cameroon', 'AFRO', '0', '20838', '0', '418');
INSERT INTO public.who_import VALUES (15217, '2020-10-05', 'CM', 'Cameroon', 'AFRO', '37', '20875', '0', '418');
INSERT INTO public.who_import VALUES (15218, '2020-10-06', 'CM', 'Cameroon', 'AFRO', '49', '20924', '2', '420');
INSERT INTO public.who_import VALUES (15219, '2020-10-07', 'CM', 'Cameroon', 'AFRO', '0', '20924', '0', '420');
INSERT INTO public.who_import VALUES (15220, '2020-10-08', 'CM', 'Cameroon', 'AFRO', '236', '21160', '0', '420');
INSERT INTO public.who_import VALUES (15221, '2020-10-09', 'CM', 'Cameroon', 'AFRO', '0', '21160', '0', '420');
INSERT INTO public.who_import VALUES (15222, '2020-10-10', 'CM', 'Cameroon', 'AFRO', '0', '21160', '0', '420');
INSERT INTO public.who_import VALUES (15223, '2020-10-11', 'CM', 'Cameroon', 'AFRO', '0', '21160', '0', '420');
INSERT INTO public.who_import VALUES (15224, '2020-10-12', 'CM', 'Cameroon', 'AFRO', '0', '21160', '0', '420');
INSERT INTO public.who_import VALUES (15225, '2020-10-13', 'CM', 'Cameroon', 'AFRO', '173', '21333', '3', '423');
INSERT INTO public.who_import VALUES (15226, '2020-10-14', 'CM', 'Cameroon', 'AFRO', '108', '21441', '0', '423');
INSERT INTO public.who_import VALUES (15227, '2020-10-15', 'CM', 'Cameroon', 'AFRO', '0', '21441', '0', '423');
INSERT INTO public.who_import VALUES (15228, '2020-10-16', 'CM', 'Cameroon', 'AFRO', '0', '21441', '0', '423');
INSERT INTO public.who_import VALUES (15229, '2020-10-17', 'CM', 'Cameroon', 'AFRO', '0', '21441', '0', '423');
INSERT INTO public.who_import VALUES (15230, '2020-10-18', 'CM', 'Cameroon', 'AFRO', '0', '21441', '0', '423');
INSERT INTO public.who_import VALUES (15231, '2020-10-19', 'CM', 'Cameroon', 'AFRO', '65', '21506', '1', '424');
INSERT INTO public.who_import VALUES (15232, '2020-10-20', 'CM', 'Cameroon', 'AFRO', '64', '21570', '1', '425');
INSERT INTO public.who_import VALUES (15233, '2020-10-21', 'CM', 'Cameroon', 'AFRO', '0', '21570', '0', '425');
INSERT INTO public.who_import VALUES (15234, '2020-10-22', 'CM', 'Cameroon', 'AFRO', '0', '21570', '0', '425');
INSERT INTO public.who_import VALUES (15235, '2020-10-23', 'CM', 'Cameroon', 'AFRO', '0', '21570', '0', '425');
INSERT INTO public.who_import VALUES (15236, '2020-10-24', 'CM', 'Cameroon', 'AFRO', '0', '21570', '0', '425');
INSERT INTO public.who_import VALUES (15237, '2020-10-25', 'CM', 'Cameroon', 'AFRO', '0', '21570', '0', '425');
INSERT INTO public.who_import VALUES (15238, '2020-10-26', 'CM', 'Cameroon', 'AFRO', '223', '21793', '1', '426');
INSERT INTO public.who_import VALUES (15239, '2020-10-27', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15240, '2020-10-28', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15241, '2020-10-29', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15242, '2020-10-30', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15243, '2020-10-31', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15244, '2020-11-01', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15245, '2020-11-02', 'CM', 'Cameroon', 'AFRO', '0', '21793', '0', '426');
INSERT INTO public.who_import VALUES (15246, '2020-11-03', 'CM', 'Cameroon', 'AFRO', '310', '22103', '3', '429');
INSERT INTO public.who_import VALUES (15247, '2020-11-04', 'CM', 'Cameroon', 'AFRO', '0', '22103', '0', '429');
INSERT INTO public.who_import VALUES (15248, '2020-11-05', 'CM', 'Cameroon', 'AFRO', '0', '22103', '0', '429');
INSERT INTO public.who_import VALUES (15249, '2020-11-06', 'CM', 'Cameroon', 'AFRO', '0', '22103', '0', '429');
INSERT INTO public.who_import VALUES (15250, '2020-11-07', 'CM', 'Cameroon', 'AFRO', '239', '22342', '0', '429');
INSERT INTO public.who_import VALUES (15251, '2020-11-08', 'CM', 'Cameroon', 'AFRO', '0', '22342', '0', '429');
INSERT INTO public.who_import VALUES (15252, '2020-11-09', 'CM', 'Cameroon', 'AFRO', '0', '22342', '0', '429');
INSERT INTO public.who_import VALUES (15253, '2020-11-10', 'CM', 'Cameroon', 'AFRO', '38', '22380', '2', '431');
INSERT INTO public.who_import VALUES (15254, '2020-11-11', 'CM', 'Cameroon', 'AFRO', '110', '22490', '2', '433');
INSERT INTO public.who_import VALUES (15255, '2020-11-12', 'CM', 'Cameroon', 'AFRO', '0', '22490', '0', '433');
INSERT INTO public.who_import VALUES (15256, '2020-11-13', 'CM', 'Cameroon', 'AFRO', '93', '22583', '0', '433');
INSERT INTO public.who_import VALUES (15257, '2020-11-14', 'CM', 'Cameroon', 'AFRO', '109', '22692', '0', '433');
INSERT INTO public.who_import VALUES (15258, '2020-11-15', 'CM', 'Cameroon', 'AFRO', '0', '22692', '0', '433');
INSERT INTO public.who_import VALUES (15259, '2020-11-16', 'CM', 'Cameroon', 'AFRO', '0', '22692', '0', '433');
INSERT INTO public.who_import VALUES (15260, '2020-11-17', 'CM', 'Cameroon', 'AFRO', '204', '22896', '0', '433');
INSERT INTO public.who_import VALUES (15261, '2020-11-18', 'CM', 'Cameroon', 'AFRO', '0', '22896', '0', '433');
INSERT INTO public.who_import VALUES (15262, '2020-11-19', 'CM', 'Cameroon', 'AFRO', '0', '22896', '0', '433');
INSERT INTO public.who_import VALUES (15263, '2020-11-20', 'CM', 'Cameroon', 'AFRO', '632', '23528', '2', '435');
INSERT INTO public.who_import VALUES (15264, '2020-11-21', 'CM', 'Cameroon', 'AFRO', '0', '23528', '0', '435');
INSERT INTO public.who_import VALUES (15265, '2020-11-22', 'CM', 'Cameroon', 'AFRO', '0', '23528', '0', '435');
INSERT INTO public.who_import VALUES (15266, '2020-11-23', 'CM', 'Cameroon', 'AFRO', '314', '23842', '0', '435');
INSERT INTO public.who_import VALUES (15267, '2020-11-24', 'CM', 'Cameroon', 'AFRO', '27', '23869', '1', '436');
INSERT INTO public.who_import VALUES (15268, '2020-11-25', 'CM', 'Cameroon', 'AFRO', '46', '23915', '1', '437');
INSERT INTO public.who_import VALUES (15269, '2020-11-26', 'CM', 'Cameroon', 'AFRO', '107', '24022', '0', '437');
INSERT INTO public.who_import VALUES (15270, '2020-11-27', 'CM', 'Cameroon', 'AFRO', '95', '24117', '0', '437');
INSERT INTO public.who_import VALUES (15271, '2020-11-28', 'CM', 'Cameroon', 'AFRO', '0', '24117', '0', '437');
INSERT INTO public.who_import VALUES (15272, '2020-11-29', 'CM', 'Cameroon', 'AFRO', '0', '24117', '0', '437');
INSERT INTO public.who_import VALUES (15273, '2020-11-30', 'CM', 'Cameroon', 'AFRO', '328', '24445', '0', '437');
INSERT INTO public.who_import VALUES (15274, '2020-12-01', 'CM', 'Cameroon', 'AFRO', '42', '24487', '4', '441');
INSERT INTO public.who_import VALUES (15275, '2020-12-02', 'CM', 'Cameroon', 'AFRO', '0', '24487', '0', '441');
INSERT INTO public.who_import VALUES (15276, '2020-12-03', 'CM', 'Cameroon', 'AFRO', '0', '24487', '0', '441');
INSERT INTO public.who_import VALUES (15277, '2020-12-04', 'CM', 'Cameroon', 'AFRO', '265', '24752', '2', '443');
INSERT INTO public.who_import VALUES (15278, '2020-12-05', 'CM', 'Cameroon', 'AFRO', '0', '24752', '0', '443');
INSERT INTO public.who_import VALUES (15279, '2020-12-06', 'CM', 'Cameroon', 'AFRO', '0', '24752', '0', '443');
INSERT INTO public.who_import VALUES (15280, '2020-12-07', 'CM', 'Cameroon', 'AFRO', '0', '24752', '0', '443');
INSERT INTO public.who_import VALUES (15281, '2020-12-08', 'CM', 'Cameroon', 'AFRO', '0', '24752', '0', '443');
INSERT INTO public.who_import VALUES (15282, '2020-12-09', 'CM', 'Cameroon', 'AFRO', '211', '24963', '0', '443');
INSERT INTO public.who_import VALUES (15283, '2020-12-10', 'CM', 'Cameroon', 'AFRO', '180', '25143', '0', '443');
INSERT INTO public.who_import VALUES (15284, '2020-12-11', 'CM', 'Cameroon', 'AFRO', '0', '25143', '0', '443');
INSERT INTO public.who_import VALUES (15285, '2020-12-12', 'CM', 'Cameroon', 'AFRO', '0', '25143', '0', '443');
INSERT INTO public.who_import VALUES (15286, '2020-12-13', 'CM', 'Cameroon', 'AFRO', '0', '25143', '0', '443');
INSERT INTO public.who_import VALUES (15287, '2020-12-14', 'CM', 'Cameroon', 'AFRO', '71', '25214', '0', '443');
INSERT INTO public.who_import VALUES (15288, '2020-12-15', 'CM', 'Cameroon', 'AFRO', '145', '25359', '2', '445');
INSERT INTO public.who_import VALUES (15289, '2020-12-16', 'CM', 'Cameroon', 'AFRO', '113', '25472', '0', '445');
INSERT INTO public.who_import VALUES (15290, '2020-12-17', 'CM', 'Cameroon', 'AFRO', '0', '25472', '0', '445');
INSERT INTO public.who_import VALUES (15291, '2020-12-18', 'CM', 'Cameroon', 'AFRO', '0', '25472', '0', '445');
INSERT INTO public.who_import VALUES (15292, '2020-12-19', 'CM', 'Cameroon', 'AFRO', '252', '25724', '0', '445');
INSERT INTO public.who_import VALUES (15293, '2020-12-20', 'CM', 'Cameroon', 'AFRO', '125', '25849', '3', '448');
INSERT INTO public.who_import VALUES (15294, '2020-12-21', 'CM', 'Cameroon', 'AFRO', '0', '25849', '0', '448');
INSERT INTO public.who_import VALUES (15295, '2020-12-22', 'CM', 'Cameroon', 'AFRO', '0', '25849', '0', '448');
INSERT INTO public.who_import VALUES (15296, '2020-12-23', 'CM', 'Cameroon', 'AFRO', '0', '25849', '0', '448');
INSERT INTO public.who_import VALUES (15297, '2020-12-24', 'CM', 'Cameroon', 'AFRO', '0', '25849', '0', '448');
INSERT INTO public.who_import VALUES (15298, '2020-12-25', 'CM', 'Cameroon', 'AFRO', '0', '25849', '0', '448');
INSERT INTO public.who_import VALUES (15299, '2020-12-26', 'CM', 'Cameroon', 'AFRO', '0', '25849', '0', '448');
INSERT INTO public.who_import VALUES (15300, '2020-12-27', 'CM', 'Cameroon', 'AFRO', '428', '26277', '0', '448');
INSERT INTO public.who_import VALUES (15301, '2020-12-28', 'CM', 'Cameroon', 'AFRO', '0', '26277', '0', '448');
INSERT INTO public.who_import VALUES (15302, '2020-12-29', 'CM', 'Cameroon', 'AFRO', '0', '26277', '0', '448');
INSERT INTO public.who_import VALUES (15303, '2020-12-30', 'CM', 'Cameroon', 'AFRO', '0', '26277', '0', '448');
INSERT INTO public.who_import VALUES (15304, '2020-12-31', 'CM', 'Cameroon', 'AFRO', '0', '26277', '0', '448');
INSERT INTO public.who_import VALUES (15305, '2021-01-01', 'CM', 'Cameroon', 'AFRO', '571', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15306, '2021-01-02', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15307, '2021-01-03', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15308, '2021-01-04', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15309, '2021-01-05', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15310, '2021-01-06', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15311, '2021-01-07', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15312, '2021-01-08', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15313, '2021-01-09', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15314, '2021-01-10', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15315, '2021-01-11', 'CM', 'Cameroon', 'AFRO', '0', '26848', '0', '448');
INSERT INTO public.who_import VALUES (15316, '2021-01-12', 'CM', 'Cameroon', 'AFRO', '488', '27336', '3', '451');
INSERT INTO public.who_import VALUES (15317, '2021-01-13', 'CM', 'Cameroon', 'AFRO', '0', '27336', '0', '451');
INSERT INTO public.who_import VALUES (15318, '2021-01-14', 'CM', 'Cameroon', 'AFRO', '0', '27336', '0', '451');
INSERT INTO public.who_import VALUES (15319, '2021-01-15', 'CM', 'Cameroon', 'AFRO', '0', '27336', '0', '451');
INSERT INTO public.who_import VALUES (15320, '2021-01-16', 'CM', 'Cameroon', 'AFRO', '0', '27336', '0', '451');
INSERT INTO public.who_import VALUES (15321, '2021-01-17', 'CM', 'Cameroon', 'AFRO', '0', '27336', '0', '451');
INSERT INTO public.who_import VALUES (15322, '2021-01-18', 'CM', 'Cameroon', 'AFRO', '674', '28010', '4', '455');
INSERT INTO public.who_import VALUES (15323, '2021-01-19', 'CM', 'Cameroon', 'AFRO', '0', '28010', '0', '455');
INSERT INTO public.who_import VALUES (15324, '2021-01-20', 'CM', 'Cameroon', 'AFRO', '0', '28010', '0', '455');
INSERT INTO public.who_import VALUES (15325, '2021-01-21', 'CM', 'Cameroon', 'AFRO', '0', '28010', '0', '455');
INSERT INTO public.who_import VALUES (15326, '2021-01-22', 'CM', 'Cameroon', 'AFRO', '0', '28010', '0', '455');
INSERT INTO public.who_import VALUES (15327, '2021-01-23', 'CM', 'Cameroon', 'AFRO', '0', '28010', '0', '455');
INSERT INTO public.who_import VALUES (15328, '2021-01-24', 'CM', 'Cameroon', 'AFRO', '1607', '29617', '7', '462');
INSERT INTO public.who_import VALUES (15329, '2021-01-25', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15330, '2021-01-26', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15331, '2021-01-27', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15332, '2021-01-28', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15333, '2021-01-29', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15334, '2021-01-30', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15335, '2021-01-31', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15336, '2021-02-01', 'CM', 'Cameroon', 'AFRO', '0', '29617', '0', '462');
INSERT INTO public.who_import VALUES (15337, '2021-02-02', 'CM', 'Cameroon', 'AFRO', '696', '30313', '12', '474');
INSERT INTO public.who_import VALUES (15338, '2021-02-03', 'CM', 'Cameroon', 'AFRO', '0', '30313', '0', '474');
INSERT INTO public.who_import VALUES (15339, '2021-02-04', 'CM', 'Cameroon', 'AFRO', '0', '30313', '0', '474');
INSERT INTO public.who_import VALUES (15340, '2021-02-05', 'CM', 'Cameroon', 'AFRO', '0', '30313', '0', '474');
INSERT INTO public.who_import VALUES (15341, '2021-02-06', 'CM', 'Cameroon', 'AFRO', '0', '30313', '0', '474');
INSERT INTO public.who_import VALUES (15342, '2021-02-07', 'CM', 'Cameroon', 'AFRO', '0', '30313', '0', '474');
INSERT INTO public.who_import VALUES (15343, '2021-02-08', 'CM', 'Cameroon', 'AFRO', '0', '30313', '0', '474');
INSERT INTO public.who_import VALUES (15344, '2021-02-09', 'CM', 'Cameroon', 'AFRO', '1081', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15345, '2021-02-10', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15346, '2021-02-11', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15347, '2021-02-12', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15348, '2021-02-13', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15349, '2021-02-14', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15350, '2021-02-15', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15351, '2021-02-16', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15352, '2021-02-17', 'CM', 'Cameroon', 'AFRO', '0', '31394', '0', '474');
INSERT INTO public.who_import VALUES (15353, '2021-02-18', 'CM', 'Cameroon', 'AFRO', '1287', '32681', '26', '500');
INSERT INTO public.who_import VALUES (15354, '2021-02-19', 'CM', 'Cameroon', 'AFRO', '0', '32681', '0', '500');
INSERT INTO public.who_import VALUES (15355, '2021-02-20', 'CM', 'Cameroon', 'AFRO', '0', '32681', '0', '500');
INSERT INTO public.who_import VALUES (15356, '2020-01-03', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15357, '2020-01-04', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15358, '2020-01-05', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15359, '2020-01-06', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15360, '2020-01-07', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15361, '2020-01-08', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15362, '2020-01-09', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15363, '2020-01-10', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15364, '2020-01-11', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15365, '2020-01-12', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15366, '2020-01-13', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15367, '2020-01-14', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15368, '2020-01-15', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15369, '2020-01-16', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15370, '2020-01-17', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15371, '2020-01-18', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15372, '2020-01-19', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15373, '2020-01-20', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15374, '2020-01-21', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15375, '2020-01-22', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15376, '2020-01-23', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15377, '2020-01-24', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15378, '2020-01-25', 'CA', 'Canada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15379, '2020-01-26', 'CA', 'Canada', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (15380, '2020-01-27', 'CA', 'Canada', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (15381, '2020-01-28', 'CA', 'Canada', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (15382, '2020-01-29', 'CA', 'Canada', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (15383, '2020-01-30', 'CA', 'Canada', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (15384, '2020-01-31', 'CA', 'Canada', 'AMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (15385, '2020-02-01', 'CA', 'Canada', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (15386, '2020-02-02', 'CA', 'Canada', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (15387, '2020-02-03', 'CA', 'Canada', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (15388, '2020-02-04', 'CA', 'Canada', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (15389, '2020-02-05', 'CA', 'Canada', 'AMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (15390, '2020-02-06', 'CA', 'Canada', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (15391, '2020-02-07', 'CA', 'Canada', 'AMRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (15392, '2020-02-08', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15393, '2020-02-09', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15394, '2020-02-10', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15395, '2020-02-11', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15396, '2020-02-12', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15397, '2020-02-13', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15398, '2020-02-14', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15399, '2020-02-15', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15400, '2020-02-16', 'CA', 'Canada', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (15401, '2020-02-17', 'CA', 'Canada', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (15402, '2020-02-18', 'CA', 'Canada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (15403, '2020-02-19', 'CA', 'Canada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (15404, '2020-02-20', 'CA', 'Canada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (15405, '2020-02-21', 'CA', 'Canada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (15406, '2020-02-22', 'CA', 'Canada', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (15407, '2020-02-23', 'CA', 'Canada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (15408, '2020-02-24', 'CA', 'Canada', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (15409, '2020-02-25', 'CA', 'Canada', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (15410, '2020-02-26', 'CA', 'Canada', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (15411, '2020-02-27', 'CA', 'Canada', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (15412, '2020-02-28', 'CA', 'Canada', 'AMRO', '3', '18', '0', '0');
INSERT INTO public.who_import VALUES (15414, '2020-03-01', 'CA', 'Canada', 'AMRO', '5', '23', '0', '0');
INSERT INTO public.who_import VALUES (15415, '2020-03-02', 'CA', 'Canada', 'AMRO', '8', '31', '0', '0');
INSERT INTO public.who_import VALUES (15416, '2020-03-03', 'CA', 'Canada', 'AMRO', '3', '34', '0', '0');
INSERT INTO public.who_import VALUES (15417, '2020-03-04', 'CA', 'Canada', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (15418, '2020-03-05', 'CA', 'Canada', 'AMRO', '15', '49', '0', '0');
INSERT INTO public.who_import VALUES (15419, '2020-03-06', 'CA', 'Canada', 'AMRO', '4', '53', '0', '0');
INSERT INTO public.who_import VALUES (15420, '2020-03-07', 'CA', 'Canada', 'AMRO', '8', '61', '0', '0');
INSERT INTO public.who_import VALUES (15421, '2020-03-08', 'CA', 'Canada', 'AMRO', '3', '64', '0', '0');
INSERT INTO public.who_import VALUES (15422, '2020-03-09', 'CA', 'Canada', 'AMRO', '12', '76', '0', '0');
INSERT INTO public.who_import VALUES (15423, '2020-03-10', 'CA', 'Canada', 'AMRO', '5', '81', '0', '0');
INSERT INTO public.who_import VALUES (15424, '2020-03-11', 'CA', 'Canada', 'AMRO', '16', '97', '1', '1');
INSERT INTO public.who_import VALUES (15425, '2020-03-12', 'CA', 'Canada', 'AMRO', '0', '97', '0', '1');
INSERT INTO public.who_import VALUES (15426, '2020-03-13', 'CA', 'Canada', 'AMRO', '59', '156', '0', '1');
INSERT INTO public.who_import VALUES (15427, '2020-03-14', 'CA', 'Canada', 'AMRO', '24', '180', '0', '1');
INSERT INTO public.who_import VALUES (15428, '2020-03-15', 'CA', 'Canada', 'AMRO', '128', '308', '0', '1');
INSERT INTO public.who_import VALUES (15429, '2020-03-16', 'CA', 'Canada', 'AMRO', '0', '308', '0', '1');
INSERT INTO public.who_import VALUES (15430, '2020-03-17', 'CA', 'Canada', 'AMRO', '120', '428', '0', '1');
INSERT INTO public.who_import VALUES (15431, '2020-03-18', 'CA', 'Canada', 'AMRO', '145', '573', '8', '9');
INSERT INTO public.who_import VALUES (15432, '2020-03-19', 'CA', 'Canada', 'AMRO', '163', '736', '0', '9');
INSERT INTO public.who_import VALUES (15433, '2020-03-20', 'CA', 'Canada', 'AMRO', '110', '846', '0', '9');
INSERT INTO public.who_import VALUES (15434, '2020-03-21', 'CA', 'Canada', 'AMRO', '202', '1048', '4', '13');
INSERT INTO public.who_import VALUES (15435, '2020-03-22', 'CA', 'Canada', 'AMRO', '0', '1048', '0', '13');
INSERT INTO public.who_import VALUES (15436, '2020-03-23', 'CA', 'Canada', 'AMRO', '336', '1384', '6', '19');
INSERT INTO public.who_import VALUES (15437, '2020-03-24', 'CA', 'Canada', 'AMRO', '355', '1739', '6', '25');
INSERT INTO public.who_import VALUES (15438, '2020-03-25', 'CA', 'Canada', 'AMRO', '0', '1739', '0', '25');
INSERT INTO public.who_import VALUES (15439, '2020-03-26', 'CA', 'Canada', 'AMRO', '1816', '3555', '10', '35');
INSERT INTO public.who_import VALUES (15440, '2020-03-27', 'CA', 'Canada', 'AMRO', '0', '3555', '0', '35');
INSERT INTO public.who_import VALUES (15441, '2020-03-28', 'CA', 'Canada', 'AMRO', '463', '4018', '4', '39');
INSERT INTO public.who_import VALUES (15442, '2020-03-29', 'CA', 'Canada', 'AMRO', '739', '4757', '16', '55');
INSERT INTO public.who_import VALUES (15443, '2020-03-30', 'CA', 'Canada', 'AMRO', '898', '5655', '6', '61');
INSERT INTO public.who_import VALUES (15444, '2020-03-31', 'CA', 'Canada', 'AMRO', '662', '6317', '5', '66');
INSERT INTO public.who_import VALUES (15445, '2020-04-01', 'CA', 'Canada', 'AMRO', '1378', '7695', '23', '89');
INSERT INTO public.who_import VALUES (15446, '2020-04-02', 'CA', 'Canada', 'AMRO', '1310', '9005', '16', '105');
INSERT INTO public.who_import VALUES (15447, '2020-04-03', 'CA', 'Canada', 'AMRO', '1109', '10114', '22', '127');
INSERT INTO public.who_import VALUES (15448, '2020-04-04', 'CA', 'Canada', 'AMRO', '1618', '11732', '25', '152');
INSERT INTO public.who_import VALUES (15449, '2020-04-05', 'CA', 'Canada', 'AMRO', '1206', '12938', '62', '214');
INSERT INTO public.who_import VALUES (15450, '2020-04-06', 'CA', 'Canada', 'AMRO', '966', '13904', '17', '231');
INSERT INTO public.who_import VALUES (15451, '2020-04-07', 'CA', 'Canada', 'AMRO', '1902', '15806', '62', '293');
INSERT INTO public.who_import VALUES (15452, '2020-04-08', 'CA', 'Canada', 'AMRO', '1243', '17049', '52', '345');
INSERT INTO public.who_import VALUES (15453, '2020-04-09', 'CA', 'Canada', 'AMRO', '1384', '18433', '56', '401');
INSERT INTO public.who_import VALUES (15454, '2020-04-10', 'CA', 'Canada', 'AMRO', '1326', '19759', '60', '461');
INSERT INTO public.who_import VALUES (15455, '2020-04-11', 'CA', 'Canada', 'AMRO', '1467', '21226', '70', '531');
INSERT INTO public.who_import VALUES (15456, '2020-04-12', 'CA', 'Canada', 'AMRO', '1318', '22544', '69', '600');
INSERT INTO public.who_import VALUES (15457, '2020-04-13', 'CA', 'Canada', 'AMRO', '1158', '23702', '74', '674');
INSERT INTO public.who_import VALUES (15458, '2020-04-14', 'CA', 'Canada', 'AMRO', '1084', '24786', '60', '734');
INSERT INTO public.who_import VALUES (15459, '2020-04-15', 'CA', 'Canada', 'AMRO', '1360', '26146', '89', '823');
INSERT INTO public.who_import VALUES (15460, '2020-04-16', 'CA', 'Canada', 'AMRO', '1394', '27540', '131', '954');
INSERT INTO public.who_import VALUES (15461, '2020-04-17', 'CA', 'Canada', 'AMRO', '1344', '28884', '94', '1048');
INSERT INTO public.who_import VALUES (15462, '2020-04-18', 'CA', 'Canada', 'AMRO', '1775', '30659', '202', '1250');
INSERT INTO public.who_import VALUES (15463, '2020-04-19', 'CA', 'Canada', 'AMRO', '1741', '32400', '96', '1346');
INSERT INTO public.who_import VALUES (15464, '2020-04-20', 'CA', 'Canada', 'AMRO', '1509', '33909', '160', '1506');
INSERT INTO public.who_import VALUES (15465, '2020-04-21', 'CA', 'Canada', 'AMRO', '1474', '35383', '105', '1611');
INSERT INTO public.who_import VALUES (15466, '2020-04-22', 'CA', 'Canada', 'AMRO', '1991', '37374', '117', '1728');
INSERT INTO public.who_import VALUES (15467, '2020-04-23', 'CA', 'Canada', 'AMRO', '1549', '38923', '143', '1871');
INSERT INTO public.who_import VALUES (15468, '2020-04-24', 'CA', 'Canada', 'AMRO', '1890', '40813', '157', '2028');
INSERT INTO public.who_import VALUES (15469, '2020-04-25', 'CA', 'Canada', 'AMRO', '1926', '42739', '169', '2197');
INSERT INTO public.who_import VALUES (15470, '2020-04-26', 'CA', 'Canada', 'AMRO', '1614', '44353', '153', '2350');
INSERT INTO public.who_import VALUES (15471, '2020-04-27', 'CA', 'Canada', 'AMRO', '1425', '45778', '139', '2489');
INSERT INTO public.who_import VALUES (15472, '2020-04-28', 'CA', 'Canada', 'AMRO', '1538', '47316', '128', '2617');
INSERT INTO public.who_import VALUES (15473, '2020-04-29', 'CA', 'Canada', 'AMRO', '1698', '49014', '149', '2766');
INSERT INTO public.who_import VALUES (15474, '2020-04-30', 'CA', 'Canada', 'AMRO', '1349', '50363', '138', '2904');
INSERT INTO public.who_import VALUES (15475, '2020-05-01', 'CA', 'Canada', 'AMRO', '1693', '52056', '178', '3082');
INSERT INTO public.who_import VALUES (15476, '2020-05-02', 'CA', 'Canada', 'AMRO', '1601', '53657', '141', '3223');
INSERT INTO public.who_import VALUES (15477, '2020-05-03', 'CA', 'Canada', 'AMRO', '1915', '55572', '223', '3446');
INSERT INTO public.who_import VALUES (15478, '2020-05-04', 'CA', 'Canada', 'AMRO', '3793', '59365', '235', '3681');
INSERT INTO public.who_import VALUES (15479, '2020-05-05', 'CA', 'Canada', 'AMRO', '479', '59844', '85', '3766');
INSERT INTO public.who_import VALUES (15480, '2020-05-06', 'CA', 'Canada', 'AMRO', '1315', '61159', '149', '3915');
INSERT INTO public.who_import VALUES (15481, '2020-05-07', 'CA', 'Canada', 'AMRO', '1299', '62458', '196', '4111');
INSERT INTO public.who_import VALUES (15482, '2020-05-08', 'CA', 'Canada', 'AMRO', '1437', '63895', '169', '4280');
INSERT INTO public.who_import VALUES (15483, '2020-05-09', 'CA', 'Canada', 'AMRO', '1504', '65399', '191', '4471');
INSERT INTO public.who_import VALUES (15484, '2020-05-10', 'CA', 'Canada', 'AMRO', '1381', '66780', '157', '4628');
INSERT INTO public.who_import VALUES (15485, '2020-05-11', 'CA', 'Canada', 'AMRO', '1216', '67996', '100', '4728');
INSERT INTO public.who_import VALUES (15486, '2020-05-12', 'CA', 'Canada', 'AMRO', '1160', '69156', '178', '4906');
INSERT INTO public.who_import VALUES (15487, '2020-05-13', 'CA', 'Canada', 'AMRO', '1186', '70342', '143', '5049');
INSERT INTO public.who_import VALUES (15488, '2020-05-14', 'CA', 'Canada', 'AMRO', '1144', '71486', '160', '5209');
INSERT INTO public.who_import VALUES (15489, '2020-05-15', 'CA', 'Canada', 'AMRO', '1050', '72536', '128', '5337');
INSERT INTO public.who_import VALUES (15490, '2020-05-16', 'CA', 'Canada', 'AMRO', '1293', '73829', '162', '5499');
INSERT INTO public.who_import VALUES (15491, '2020-05-17', 'CA', 'Canada', 'AMRO', '1164', '74993', '96', '5595');
INSERT INTO public.who_import VALUES (15492, '2020-05-18', 'CA', 'Canada', 'AMRO', '1211', '76204', '107', '5702');
INSERT INTO public.who_import VALUES (15493, '2020-05-19', 'CA', 'Canada', 'AMRO', '1102', '77306', '103', '5805');
INSERT INTO public.who_import VALUES (15494, '2020-05-20', 'CA', 'Canada', 'AMRO', '1193', '78499', '52', '5857');
INSERT INTO public.who_import VALUES (15495, '2020-05-21', 'CA', 'Canada', 'AMRO', '1003', '79502', '98', '5955');
INSERT INTO public.who_import VALUES (15496, '2020-05-22', 'CA', 'Canada', 'AMRO', '1053', '80555', '107', '6062');
INSERT INTO public.who_import VALUES (15497, '2020-05-23', 'CA', 'Canada', 'AMRO', '1210', '81765', '118', '6180');
INSERT INTO public.who_import VALUES (15498, '2020-05-24', 'CA', 'Canada', 'AMRO', '1127', '82892', '97', '6277');
INSERT INTO public.who_import VALUES (15499, '2020-05-25', 'CA', 'Canada', 'AMRO', '1189', '84081', '103', '6380');
INSERT INTO public.who_import VALUES (15500, '2020-05-26', 'CA', 'Canada', 'AMRO', '1022', '85103', '73', '6453');
INSERT INTO public.who_import VALUES (15501, '2020-05-27', 'CA', 'Canada', 'AMRO', '895', '85998', '113', '6566');
INSERT INTO public.who_import VALUES (15502, '2020-05-28', 'CA', 'Canada', 'AMRO', '941', '86939', '105', '6671');
INSERT INTO public.who_import VALUES (15503, '2020-05-29', 'CA', 'Canada', 'AMRO', '963', '87902', '128', '6799');
INSERT INTO public.who_import VALUES (15504, '2020-05-30', 'CA', 'Canada', 'AMRO', '954', '88856', '119', '6918');
INSERT INTO public.who_import VALUES (15505, '2020-05-31', 'CA', 'Canada', 'AMRO', '885', '89741', '78', '6996');
INSERT INTO public.who_import VALUES (15506, '2020-06-01', 'CA', 'Canada', 'AMRO', '775', '90516', '96', '7092');
INSERT INTO public.who_import VALUES (15507, '2020-06-02', 'CA', 'Canada', 'AMRO', '835', '91351', '213', '7305');
INSERT INTO public.who_import VALUES (15508, '2020-06-03', 'CA', 'Canada', 'AMRO', '800', '92151', '39', '7344');
INSERT INTO public.who_import VALUES (15509, '2020-06-04', 'CA', 'Canada', 'AMRO', '597', '92748', '70', '7414');
INSERT INTO public.who_import VALUES (15510, '2020-06-05', 'CA', 'Canada', 'AMRO', '693', '93441', '129', '7543');
INSERT INTO public.who_import VALUES (15511, '2020-06-06', 'CA', 'Canada', 'AMRO', '629', '94070', '109', '7652');
INSERT INTO public.who_import VALUES (15512, '2020-06-07', 'CA', 'Canada', 'AMRO', '265', '94335', '51', '7703');
INSERT INTO public.who_import VALUES (15513, '2020-06-08', 'CA', 'Canada', 'AMRO', '722', '95057', '70', '7773');
INSERT INTO public.who_import VALUES (15514, '2020-06-09', 'CA', 'Canada', 'AMRO', '642', '95699', '27', '7800');
INSERT INTO public.who_import VALUES (15515, '2020-06-10', 'CA', 'Canada', 'AMRO', '545', '96244', '35', '7835');
INSERT INTO public.who_import VALUES (15516, '2020-06-11', 'CA', 'Canada', 'AMRO', '409', '96653', '62', '7897');
INSERT INTO public.who_import VALUES (16714, '2020-04-25', 'TD', 'Chad', 'AFRO', '6', '40', '0', '0');
INSERT INTO public.who_import VALUES (15517, '2020-06-12', 'CA', 'Canada', 'AMRO', '472', '97125', '63', '7960');
INSERT INTO public.who_import VALUES (15518, '2020-06-13', 'CA', 'Canada', 'AMRO', '405', '97530', '34', '7994');
INSERT INTO public.who_import VALUES (15519, '2020-06-14', 'CA', 'Canada', 'AMRO', '413', '97943', '55', '8049');
INSERT INTO public.who_import VALUES (15520, '2020-06-15', 'CA', 'Canada', 'AMRO', '467', '98410', '58', '8107');
INSERT INTO public.who_import VALUES (15521, '2020-06-16', 'CA', 'Canada', 'AMRO', '377', '98787', '39', '8146');
INSERT INTO public.who_import VALUES (15522, '2020-06-17', 'CA', 'Canada', 'AMRO', '360', '99147', '29', '8175');
INSERT INTO public.who_import VALUES (15523, '2020-06-18', 'CA', 'Canada', 'AMRO', '320', '99467', '38', '8213');
INSERT INTO public.who_import VALUES (15524, '2020-06-19', 'CA', 'Canada', 'AMRO', '386', '99853', '41', '8254');
INSERT INTO public.who_import VALUES (15525, '2020-06-20', 'CA', 'Canada', 'AMRO', '367', '100220', '46', '8300');
INSERT INTO public.who_import VALUES (15526, '2020-06-21', 'CA', 'Canada', 'AMRO', '409', '100629', '46', '8346');
INSERT INTO public.who_import VALUES (15527, '2020-06-22', 'CA', 'Canada', 'AMRO', '390', '101019', '64', '8410');
INSERT INTO public.who_import VALUES (15528, '2020-06-23', 'CA', 'Canada', 'AMRO', '318', '101337', '20', '8430');
INSERT INTO public.who_import VALUES (15529, '2020-06-24', 'CA', 'Canada', 'AMRO', '300', '101637', '6', '8436');
INSERT INTO public.who_import VALUES (15530, '2020-06-25', 'CA', 'Canada', 'AMRO', '326', '101963', '18', '8454');
INSERT INTO public.who_import VALUES (15531, '2020-06-26', 'CA', 'Canada', 'AMRO', '279', '102242', '30', '8484');
INSERT INTO public.who_import VALUES (15532, '2020-06-27', 'CA', 'Canada', 'AMRO', '380', '102622', '20', '8504');
INSERT INTO public.who_import VALUES (15533, '2020-06-28', 'CA', 'Canada', 'AMRO', '172', '102794', '4', '8508');
INSERT INTO public.who_import VALUES (15534, '2020-06-29', 'CA', 'Canada', 'AMRO', '238', '103032', '8', '8516');
INSERT INTO public.who_import VALUES (15535, '2020-06-30', 'CA', 'Canada', 'AMRO', '218', '103250', '6', '8522');
INSERT INTO public.who_import VALUES (15536, '2020-07-01', 'CA', 'Canada', 'AMRO', '668', '103918', '44', '8566');
INSERT INTO public.who_import VALUES (15537, '2020-07-02', 'CA', 'Canada', 'AMRO', '286', '104204', '25', '8591');
INSERT INTO public.who_import VALUES (15538, '2020-07-03', 'CA', 'Canada', 'AMRO', '0', '104204', '0', '8591');
INSERT INTO public.who_import VALUES (15539, '2020-07-04', 'CA', 'Canada', 'AMRO', '568', '104772', '51', '8642');
INSERT INTO public.who_import VALUES (15540, '2020-07-05', 'CA', 'Canada', 'AMRO', '319', '105091', '21', '8663');
INSERT INTO public.who_import VALUES (15541, '2020-07-06', 'CA', 'Canada', 'AMRO', '226', '105317', '11', '8674');
INSERT INTO public.who_import VALUES (15542, '2020-07-07', 'CA', 'Canada', 'AMRO', '219', '105536', '10', '8684');
INSERT INTO public.who_import VALUES (15543, '2020-07-08', 'CA', 'Canada', 'AMRO', '399', '105935', '9', '8693');
INSERT INTO public.who_import VALUES (15544, '2020-07-09', 'CA', 'Canada', 'AMRO', '232', '106167', '18', '8711');
INSERT INTO public.who_import VALUES (15545, '2020-07-10', 'CA', 'Canada', 'AMRO', '267', '106434', '26', '8737');
INSERT INTO public.who_import VALUES (15546, '2020-07-11', 'CA', 'Canada', 'AMRO', '371', '106805', '12', '8749');
INSERT INTO public.who_import VALUES (15547, '2020-07-12', 'CA', 'Canada', 'AMRO', '321', '107126', '10', '8759');
INSERT INTO public.who_import VALUES (15548, '2020-07-13', 'CA', 'Canada', 'AMRO', '221', '107347', '14', '8773');
INSERT INTO public.who_import VALUES (15549, '2020-07-14', 'CA', 'Canada', 'AMRO', '243', '107590', '10', '8783');
INSERT INTO public.who_import VALUES (15550, '2020-07-15', 'CA', 'Canada', 'AMRO', '565', '108155', '7', '8790');
INSERT INTO public.who_import VALUES (15551, '2020-07-16', 'CA', 'Canada', 'AMRO', '331', '108486', '8', '8798');
INSERT INTO public.who_import VALUES (15552, '2020-07-17', 'CA', 'Canada', 'AMRO', '343', '108829', '12', '8810');
INSERT INTO public.who_import VALUES (15553, '2020-07-18', 'CA', 'Canada', 'AMRO', '435', '109264', '17', '8827');
INSERT INTO public.who_import VALUES (15554, '2020-07-19', 'CA', 'Canada', 'AMRO', '405', '109669', '12', '8839');
INSERT INTO public.who_import VALUES (15555, '2020-07-20', 'CA', 'Canada', 'AMRO', '330', '109999', '9', '8848');
INSERT INTO public.who_import VALUES (15556, '2020-07-21', 'CA', 'Canada', 'AMRO', '339', '110338', '4', '8852');
INSERT INTO public.who_import VALUES (15557, '2020-07-22', 'CA', 'Canada', 'AMRO', '786', '111124', '6', '8858');
INSERT INTO public.who_import VALUES (15558, '2020-07-23', 'CA', 'Canada', 'AMRO', '573', '111697', '4', '8862');
INSERT INTO public.who_import VALUES (15559, '2020-07-24', 'CA', 'Canada', 'AMRO', '543', '112240', '8', '8870');
INSERT INTO public.who_import VALUES (15560, '2020-07-25', 'CA', 'Canada', 'AMRO', '432', '112672', '4', '8874');
INSERT INTO public.who_import VALUES (15561, '2020-07-26', 'CA', 'Canada', 'AMRO', '534', '113206', '7', '8881');
INSERT INTO public.who_import VALUES (15562, '2020-07-27', 'CA', 'Canada', 'AMRO', '350', '113556', '4', '8885');
INSERT INTO public.who_import VALUES (15563, '2020-07-28', 'CA', 'Canada', 'AMRO', '355', '113911', '5', '8890');
INSERT INTO public.who_import VALUES (15564, '2020-07-29', 'CA', 'Canada', 'AMRO', '686', '114597', '11', '8901');
INSERT INTO public.who_import VALUES (15565, '2020-07-30', 'CA', 'Canada', 'AMRO', '397', '114994', '11', '8912');
INSERT INTO public.who_import VALUES (15566, '2020-07-31', 'CA', 'Canada', 'AMRO', '476', '115470', '5', '8917');
INSERT INTO public.who_import VALUES (15567, '2020-08-01', 'CA', 'Canada', 'AMRO', '329', '115799', '12', '8929');
INSERT INTO public.who_import VALUES (15568, '2020-08-02', 'CA', 'Canada', 'AMRO', '513', '116312', '6', '8935');
INSERT INTO public.who_import VALUES (15569, '2020-08-03', 'CA', 'Canada', 'AMRO', '287', '116599', '6', '8941');
INSERT INTO public.who_import VALUES (15570, '2020-08-04', 'CA', 'Canada', 'AMRO', '285', '116884', '4', '8945');
INSERT INTO public.who_import VALUES (15571, '2020-08-05', 'CA', 'Canada', 'AMRO', '147', '117031', '2', '8947');
INSERT INTO public.who_import VALUES (15572, '2020-08-06', 'CA', 'Canada', 'AMRO', '761', '117792', '11', '8958');
INSERT INTO public.who_import VALUES (15573, '2020-08-07', 'CA', 'Canada', 'AMRO', '395', '118187', '4', '8962');
INSERT INTO public.who_import VALUES (15574, '2020-08-08', 'CA', 'Canada', 'AMRO', '374', '118561', '4', '8966');
INSERT INTO public.who_import VALUES (15575, '2020-08-09', 'CA', 'Canada', 'AMRO', '424', '118985', '4', '8970');
INSERT INTO public.who_import VALUES (15576, '2020-08-10', 'CA', 'Canada', 'AMRO', '236', '119221', '6', '8976');
INSERT INTO public.who_import VALUES (15577, '2020-08-11', 'CA', 'Canada', 'AMRO', '230', '119451', '5', '8981');
INSERT INTO public.who_import VALUES (15578, '2020-08-12', 'CA', 'Canada', 'AMRO', '681', '120132', '6', '8987');
INSERT INTO public.who_import VALUES (15579, '2020-08-13', 'CA', 'Canada', 'AMRO', '289', '120421', '4', '8991');
INSERT INTO public.who_import VALUES (15580, '2020-08-14', 'CA', 'Canada', 'AMRO', '423', '120844', '15', '9006');
INSERT INTO public.who_import VALUES (15581, '2020-08-15', 'CA', 'Canada', 'AMRO', '390', '121234', '9', '9015');
INSERT INTO public.who_import VALUES (15582, '2020-08-16', 'CA', 'Canada', 'AMRO', '418', '121652', '5', '9020');
INSERT INTO public.who_import VALUES (15583, '2020-08-17', 'CA', 'Canada', 'AMRO', '237', '121889', '4', '9024');
INSERT INTO public.who_import VALUES (15584, '2020-08-18', 'CA', 'Canada', 'AMRO', '198', '122087', '2', '9026');
INSERT INTO public.who_import VALUES (15585, '2020-08-19', 'CA', 'Canada', 'AMRO', '785', '122872', '6', '9032');
INSERT INTO public.who_import VALUES (15586, '2020-08-20', 'CA', 'Canada', 'AMRO', '282', '123154', '13', '9045');
INSERT INTO public.who_import VALUES (15587, '2020-08-21', 'CA', 'Canada', 'AMRO', '336', '123490', '4', '9049');
INSERT INTO public.who_import VALUES (15588, '2020-08-22', 'CA', 'Canada', 'AMRO', '383', '123873', '5', '9054');
INSERT INTO public.who_import VALUES (15589, '2020-08-23', 'CA', 'Canada', 'AMRO', '499', '124372', '10', '9064');
INSERT INTO public.who_import VALUES (15590, '2020-08-24', 'CA', 'Canada', 'AMRO', '257', '124629', '7', '9071');
INSERT INTO public.who_import VALUES (15591, '2020-08-25', 'CA', 'Canada', 'AMRO', '267', '124896', '2', '9073');
INSERT INTO public.who_import VALUES (15592, '2020-08-26', 'CA', 'Canada', 'AMRO', '751', '125647', '10', '9083');
INSERT INTO public.who_import VALUES (15593, '2020-08-27', 'CA', 'Canada', 'AMRO', '322', '125969', '7', '9090');
INSERT INTO public.who_import VALUES (15594, '2020-08-28', 'CA', 'Canada', 'AMRO', '448', '126417', '4', '9094');
INSERT INTO public.who_import VALUES (15595, '2020-08-29', 'CA', 'Canada', 'AMRO', '431', '126848', '8', '9102');
INSERT INTO public.who_import VALUES (15596, '2020-08-30', 'CA', 'Canada', 'AMRO', '510', '127358', '6', '9108');
INSERT INTO public.who_import VALUES (15597, '2020-08-31', 'CA', 'Canada', 'AMRO', '315', '127673', '5', '9113');
INSERT INTO public.who_import VALUES (15598, '2020-09-01', 'CA', 'Canada', 'AMRO', '267', '127940', '4', '9117');
INSERT INTO public.who_import VALUES (15599, '2020-09-02', 'CA', 'Canada', 'AMRO', '1008', '128948', '9', '9126');
INSERT INTO public.who_import VALUES (15600, '2020-09-03', 'CA', 'Canada', 'AMRO', '477', '129425', '6', '9132');
INSERT INTO public.who_import VALUES (15601, '2020-09-04', 'CA', 'Canada', 'AMRO', '498', '129923', '3', '9135');
INSERT INTO public.who_import VALUES (15602, '2020-09-05', 'CA', 'Canada', 'AMRO', '570', '130493', '6', '9141');
INSERT INTO public.who_import VALUES (15603, '2020-09-06', 'CA', 'Canada', 'AMRO', '631', '131124', '0', '9141');
INSERT INTO public.who_import VALUES (15604, '2020-09-07', 'CA', 'Canada', 'AMRO', '371', '131495', '2', '9143');
INSERT INTO public.who_import VALUES (15605, '2020-09-08', 'CA', 'Canada', 'AMRO', '400', '131895', '2', '9145');
INSERT INTO public.who_import VALUES (15606, '2020-09-09', 'CA', 'Canada', 'AMRO', '247', '132142', '1', '9146');
INSERT INTO public.who_import VALUES (15607, '2020-09-10', 'CA', 'Canada', 'AMRO', '1606', '133748', '7', '9153');
INSERT INTO public.who_import VALUES (15608, '2020-09-11', 'CA', 'Canada', 'AMRO', '546', '134294', '2', '9155');
INSERT INTO public.who_import VALUES (15609, '2020-09-12', 'CA', 'Canada', 'AMRO', '630', '134924', '8', '9163');
INSERT INTO public.who_import VALUES (15610, '2020-09-13', 'CA', 'Canada', 'AMRO', '702', '135626', '0', '9163');
INSERT INTO public.who_import VALUES (15611, '2020-09-14', 'CA', 'Canada', 'AMRO', '515', '136141', '7', '9170');
INSERT INTO public.who_import VALUES (15612, '2020-09-15', 'CA', 'Canada', 'AMRO', '518', '136659', '1', '9171');
INSERT INTO public.who_import VALUES (15613, '2020-09-16', 'CA', 'Canada', 'AMRO', '1351', '138010', '8', '9179');
INSERT INTO public.who_import VALUES (15614, '2020-09-17', 'CA', 'Canada', 'AMRO', '793', '138803', '9', '9188');
INSERT INTO public.who_import VALUES (15615, '2020-09-18', 'CA', 'Canada', 'AMRO', '944', '139747', '5', '9193');
INSERT INTO public.who_import VALUES (15616, '2020-09-19', 'CA', 'Canada', 'AMRO', '1120', '140867', '7', '9200');
INSERT INTO public.who_import VALUES (15617, '2020-09-20', 'CA', 'Canada', 'AMRO', '1044', '141911', '5', '9205');
INSERT INTO public.who_import VALUES (15618, '2020-09-21', 'CA', 'Canada', 'AMRO', '863', '142774', '6', '9211');
INSERT INTO public.who_import VALUES (15619, '2020-09-22', 'CA', 'Canada', 'AMRO', '875', '143649', '6', '9217');
INSERT INTO public.who_import VALUES (15620, '2020-09-23', 'CA', 'Canada', 'AMRO', '1766', '145415', '11', '9228');
INSERT INTO public.who_import VALUES (15621, '2020-09-24', 'CA', 'Canada', 'AMRO', '1248', '146663', '6', '9234');
INSERT INTO public.who_import VALUES (15622, '2020-09-25', 'CA', 'Canada', 'AMRO', '1090', '147753', '9', '9243');
INSERT INTO public.who_import VALUES (15623, '2020-09-26', 'CA', 'Canada', 'AMRO', '1341', '149094', '6', '9249');
INSERT INTO public.who_import VALUES (15624, '2020-09-27', 'CA', 'Canada', 'AMRO', '1362', '150456', '6', '9255');
INSERT INTO public.who_import VALUES (15625, '2020-09-28', 'CA', 'Canada', 'AMRO', '1215', '151671', '7', '9262');
INSERT INTO public.who_import VALUES (15626, '2020-09-29', 'CA', 'Canada', 'AMRO', '1454', '153125', '6', '9268');
INSERT INTO public.who_import VALUES (15627, '2020-09-30', 'CA', 'Canada', 'AMRO', '2176', '155301', '10', '9278');
INSERT INTO public.who_import VALUES (15628, '2020-10-01', 'CA', 'Canada', 'AMRO', '1660', '156961', '13', '9291');
INSERT INTO public.who_import VALUES (15629, '2020-10-02', 'CA', 'Canada', 'AMRO', '1797', '158758', '6', '9297');
INSERT INTO public.who_import VALUES (15630, '2020-10-03', 'CA', 'Canada', 'AMRO', '1777', '160535', '22', '9319');
INSERT INTO public.who_import VALUES (15631, '2020-10-04', 'CA', 'Canada', 'AMRO', '2124', '162659', '90', '9409');
INSERT INTO public.who_import VALUES (15632, '2020-10-05', 'CA', 'Canada', 'AMRO', '1812', '164471', '53', '9462');
INSERT INTO public.who_import VALUES (15633, '2020-10-06', 'CA', 'Canada', 'AMRO', '1685', '166156', '19', '9481');
INSERT INTO public.who_import VALUES (15634, '2020-10-07', 'CA', 'Canada', 'AMRO', '2804', '168960', '23', '9504');
INSERT INTO public.who_import VALUES (15635, '2020-10-08', 'CA', 'Canada', 'AMRO', '2363', '171323', '26', '9530');
INSERT INTO public.who_import VALUES (15636, '2020-10-09', 'CA', 'Canada', 'AMRO', '1800', '173123', '11', '9541');
INSERT INTO public.who_import VALUES (15637, '2020-10-10', 'CA', 'Canada', 'AMRO', '2436', '175559', '16', '9557');
INSERT INTO public.who_import VALUES (15638, '2020-10-11', 'CA', 'Canada', 'AMRO', '2558', '178117', '28', '9585');
INSERT INTO public.who_import VALUES (15639, '2020-10-12', 'CA', 'Canada', 'AMRO', '2062', '180179', '23', '9608');
INSERT INTO public.who_import VALUES (15640, '2020-10-13', 'CA', 'Canada', 'AMRO', '1685', '181864', '5', '9613');
INSERT INTO public.who_import VALUES (15641, '2020-10-14', 'CA', 'Canada', 'AMRO', '975', '182839', '14', '9627');
INSERT INTO public.who_import VALUES (15642, '2020-10-15', 'CA', 'Canada', 'AMRO', '4042', '186881', '27', '9654');
INSERT INTO public.who_import VALUES (15643, '2020-10-16', 'CA', 'Canada', 'AMRO', '2506', '189387', '10', '9664');
INSERT INTO public.who_import VALUES (15644, '2020-10-17', 'CA', 'Canada', 'AMRO', '2345', '191732', '35', '9699');
INSERT INTO public.who_import VALUES (15645, '2020-10-18', 'CA', 'Canada', 'AMRO', '2374', '194106', '23', '9722');
INSERT INTO public.who_import VALUES (15646, '2020-10-19', 'CA', 'Canada', 'AMRO', '2215', '196321', '24', '9746');
INSERT INTO public.who_import VALUES (15647, '2020-10-20', 'CA', 'Canada', 'AMRO', '1827', '198148', '14', '9760');
INSERT INTO public.who_import VALUES (15648, '2020-10-21', 'CA', 'Canada', 'AMRO', '3289', '201437', '18', '9778');
INSERT INTO public.who_import VALUES (15649, '2020-10-22', 'CA', 'Canada', 'AMRO', '2251', '203688', '16', '9794');
INSERT INTO public.who_import VALUES (15650, '2020-10-23', 'CA', 'Canada', 'AMRO', '2672', '206360', '35', '9829');
INSERT INTO public.who_import VALUES (15651, '2020-10-24', 'CA', 'Canada', 'AMRO', '2788', '209148', '33', '9862');
INSERT INTO public.who_import VALUES (15652, '2020-10-25', 'CA', 'Canada', 'AMRO', '2584', '211732', '26', '9888');
INSERT INTO public.who_import VALUES (15653, '2020-10-26', 'CA', 'Canada', 'AMRO', '2227', '213959', '34', '9922');
INSERT INTO public.who_import VALUES (15654, '2020-10-27', 'CA', 'Canada', 'AMRO', '2145', '216104', '24', '9946');
INSERT INTO public.who_import VALUES (15655, '2020-10-28', 'CA', 'Canada', 'AMRO', '4109', '220213', '27', '9973');
INSERT INTO public.who_import VALUES (15656, '2020-10-29', 'CA', 'Canada', 'AMRO', '2674', '222887', '28', '10001');
INSERT INTO public.who_import VALUES (15657, '2020-10-30', 'CA', 'Canada', 'AMRO', '2699', '225586', '31', '10032');
INSERT INTO public.who_import VALUES (15658, '2020-10-31', 'CA', 'Canada', 'AMRO', '2956', '228542', '42', '10074');
INSERT INTO public.who_import VALUES (15659, '2020-11-01', 'CA', 'Canada', 'AMRO', '3457', '231999', '36', '10110');
INSERT INTO public.who_import VALUES (15660, '2020-11-02', 'CA', 'Canada', 'AMRO', '2512', '234511', '26', '10136');
INSERT INTO public.who_import VALUES (15661, '2020-11-03', 'CA', 'Canada', 'AMRO', '2330', '236841', '43', '10179');
INSERT INTO public.who_import VALUES (15662, '2020-11-04', 'CA', 'Canada', 'AMRO', '3422', '240263', '29', '10208');
INSERT INTO public.who_import VALUES (15663, '2020-11-05', 'CA', 'Canada', 'AMRO', '4672', '244935', '71', '10279');
INSERT INTO public.who_import VALUES (15664, '2020-11-06', 'CA', 'Canada', 'AMRO', '2768', '247703', '52', '10331');
INSERT INTO public.who_import VALUES (15665, '2020-11-07', 'CA', 'Canada', 'AMRO', '3635', '251338', '50', '10381');
INSERT INTO public.who_import VALUES (15666, '2020-11-08', 'CA', 'Canada', 'AMRO', '4471', '255809', '55', '10436');
INSERT INTO public.who_import VALUES (15667, '2020-11-09', 'CA', 'Canada', 'AMRO', '4246', '260055', '54', '10490');
INSERT INTO public.who_import VALUES (15668, '2020-11-10', 'CA', 'Canada', 'AMRO', '4058', '264113', '32', '10522');
INSERT INTO public.who_import VALUES (15669, '2020-11-11', 'CA', 'Canada', 'AMRO', '4622', '268735', '42', '10564');
INSERT INTO public.who_import VALUES (15670, '2020-11-12', 'CA', 'Canada', 'AMRO', '4302', '273037', '68', '10632');
INSERT INTO public.who_import VALUES (15671, '2020-11-13', 'CA', 'Canada', 'AMRO', '4024', '277061', '53', '10685');
INSERT INTO public.who_import VALUES (15672, '2020-11-14', 'CA', 'Canada', 'AMRO', '5516', '282577', '83', '10768');
INSERT INTO public.who_import VALUES (15673, '2020-11-15', 'CA', 'Canada', 'AMRO', '4741', '287318', '60', '10828');
INSERT INTO public.who_import VALUES (15674, '2020-11-16', 'CA', 'Canada', 'AMRO', '4613', '291931', '63', '10891');
INSERT INTO public.who_import VALUES (15675, '2020-11-17', 'CA', 'Canada', 'AMRO', '4146', '296077', '62', '10953');
INSERT INTO public.who_import VALUES (15676, '2020-11-18', 'CA', 'Canada', 'AMRO', '6115', '302192', '74', '11027');
INSERT INTO public.who_import VALUES (15677, '2020-11-19', 'CA', 'Canada', 'AMRO', '4276', '306468', '59', '11086');
INSERT INTO public.who_import VALUES (15678, '2020-11-20', 'CA', 'Canada', 'AMRO', '4641', '311109', '100', '11186');
INSERT INTO public.who_import VALUES (15679, '2020-11-21', 'CA', 'Canada', 'AMRO', '4642', '315751', '79', '11265');
INSERT INTO public.who_import VALUES (15680, '2020-11-22', 'CA', 'Canada', 'AMRO', '4968', '320719', '69', '11334');
INSERT INTO public.who_import VALUES (15681, '2020-11-23', 'CA', 'Canada', 'AMRO', '4992', '325711', '72', '11406');
INSERT INTO public.who_import VALUES (15682, '2020-11-24', 'CA', 'Canada', 'AMRO', '4792', '330503', '49', '11455');
INSERT INTO public.who_import VALUES (15683, '2020-11-25', 'CA', 'Canada', 'AMRO', '7052', '337555', '66', '11521');
INSERT INTO public.who_import VALUES (15684, '2020-11-26', 'CA', 'Canada', 'AMRO', '4889', '342444', '97', '11618');
INSERT INTO public.who_import VALUES (15685, '2020-11-27', 'CA', 'Canada', 'AMRO', '5022', '347466', '92', '11710');
INSERT INTO public.who_import VALUES (15686, '2020-11-28', 'CA', 'Canada', 'AMRO', '5631', '353097', '89', '11799');
INSERT INTO public.who_import VALUES (15687, '2020-11-29', 'CA', 'Canada', 'AMRO', '5967', '359064', '95', '11894');
INSERT INTO public.who_import VALUES (15688, '2020-11-30', 'CA', 'Canada', 'AMRO', '5746', '364810', '82', '11976');
INSERT INTO public.who_import VALUES (15689, '2020-12-01', 'CA', 'Canada', 'AMRO', '5468', '370278', '56', '12032');
INSERT INTO public.who_import VALUES (15690, '2020-12-02', 'CA', 'Canada', 'AMRO', '7861', '378139', '98', '12130');
INSERT INTO public.who_import VALUES (15691, '2020-12-03', 'CA', 'Canada', 'AMRO', '5329', '383468', '81', '12211');
INSERT INTO public.who_import VALUES (15692, '2020-12-04', 'CA', 'Canada', 'AMRO', '6307', '389775', '114', '12325');
INSERT INTO public.who_import VALUES (15693, '2020-12-05', 'CA', 'Canada', 'AMRO', '6495', '396270', '82', '12407');
INSERT INTO public.who_import VALUES (15694, '2020-12-06', 'CA', 'Canada', 'AMRO', '6299', '402569', '89', '12496');
INSERT INTO public.who_import VALUES (15695, '2020-12-07', 'CA', 'Canada', 'AMRO', '6352', '408921', '93', '12589');
INSERT INTO public.who_import VALUES (15696, '2020-12-08', 'CA', 'Canada', 'AMRO', '6261', '415182', '76', '12665');
INSERT INTO public.who_import VALUES (15697, '2020-12-09', 'CA', 'Canada', 'AMRO', '7872', '423054', '112', '12777');
INSERT INTO public.who_import VALUES (15698, '2020-12-10', 'CA', 'Canada', 'AMRO', '5981', '429035', '90', '12867');
INSERT INTO public.who_import VALUES (15699, '2020-12-11', 'CA', 'Canada', 'AMRO', '6295', '435330', '116', '12983');
INSERT INTO public.who_import VALUES (15700, '2020-12-12', 'CA', 'Canada', 'AMRO', '6739', '442069', '126', '13109');
INSERT INTO public.who_import VALUES (15701, '2020-12-13', 'CA', 'Canada', 'AMRO', '6772', '448841', '142', '13251');
INSERT INTO public.who_import VALUES (15702, '2020-12-14', 'CA', 'Canada', 'AMRO', '6011', '454852', '99', '13350');
INSERT INTO public.who_import VALUES (15703, '2020-12-15', 'CA', 'Canada', 'AMRO', '5891', '460743', '81', '13431');
INSERT INTO public.who_import VALUES (15704, '2020-12-16', 'CA', 'Canada', 'AMRO', '8119', '468862', '122', '13553');
INSERT INTO public.who_import VALUES (15705, '2020-12-17', 'CA', 'Canada', 'AMRO', '6352', '475214', '106', '13659');
INSERT INTO public.who_import VALUES (15706, '2020-12-18', 'CA', 'Canada', 'AMRO', '6416', '481630', '140', '13799');
INSERT INTO public.who_import VALUES (15707, '2020-12-19', 'CA', 'Canada', 'AMRO', '7008', '488638', '117', '13916');
INSERT INTO public.who_import VALUES (15708, '2020-12-20', 'CA', 'Canada', 'AMRO', '6708', '495346', '124', '14040');
INSERT INTO public.who_import VALUES (15709, '2020-12-21', 'CA', 'Canada', 'AMRO', '6248', '501594', '114', '14154');
INSERT INTO public.who_import VALUES (15710, '2020-12-22', 'CA', 'Canada', 'AMRO', '6201', '507795', '74', '14228');
INSERT INTO public.who_import VALUES (15711, '2020-12-23', 'CA', 'Canada', 'AMRO', '7519', '515314', '104', '14332');
INSERT INTO public.who_import VALUES (15712, '2020-12-24', 'CA', 'Canada', 'AMRO', '6195', '521509', '93', '14425');
INSERT INTO public.who_import VALUES (15713, '2020-12-25', 'CA', 'Canada', 'AMRO', '6845', '528354', '172', '14597');
INSERT INTO public.who_import VALUES (15714, '2020-12-26', 'CA', 'Canada', 'AMRO', '6889', '535243', '123', '14720');
INSERT INTO public.who_import VALUES (15715, '2020-12-27', 'CA', 'Canada', 'AMRO', '1430', '536673', '0', '14720');
INSERT INTO public.who_import VALUES (15716, '2020-12-28', 'CA', 'Canada', 'AMRO', '9827', '546500', '179', '14899');
INSERT INTO public.who_import VALUES (15717, '2020-12-29', 'CA', 'Canada', 'AMRO', '6774', '553274', '209', '15108');
INSERT INTO public.who_import VALUES (15718, '2020-12-30', 'CA', 'Canada', 'AMRO', '5790', '559064', '114', '15222');
INSERT INTO public.who_import VALUES (15719, '2020-12-31', 'CA', 'Canada', 'AMRO', '6442', '565506', '156', '15378');
INSERT INTO public.who_import VALUES (15720, '2021-01-01', 'CA', 'Canada', 'AMRO', '7476', '572982', '94', '15472');
INSERT INTO public.who_import VALUES (15721, '2021-01-02', 'CA', 'Canada', 'AMRO', '8420', '581402', '133', '15605');
INSERT INTO public.who_import VALUES (15722, '2021-01-03', 'CA', 'Canada', 'AMRO', '6875', '588277', '136', '15741');
INSERT INTO public.who_import VALUES (15723, '2021-01-04', 'CA', 'Canada', 'AMRO', '6808', '595085', '83', '15824');
INSERT INTO public.who_import VALUES (15724, '2021-01-05', 'CA', 'Canada', 'AMRO', '6578', '601663', '41', '15865');
INSERT INTO public.who_import VALUES (15725, '2021-01-06', 'CA', 'Canada', 'AMRO', '9761', '611424', '209', '16074');
INSERT INTO public.who_import VALUES (15726, '2021-01-07', 'CA', 'Canada', 'AMRO', '7222', '618646', '159', '16233');
INSERT INTO public.who_import VALUES (15727, '2021-01-08', 'CA', 'Canada', 'AMRO', '8153', '626799', '136', '16369');
INSERT INTO public.who_import VALUES (15728, '2021-01-09', 'CA', 'Canada', 'AMRO', '8335', '635134', '210', '16579');
INSERT INTO public.who_import VALUES (15729, '2021-01-10', 'CA', 'Canada', 'AMRO', '9214', '644348', '128', '16707');
INSERT INTO public.who_import VALUES (15730, '2021-01-11', 'CA', 'Canada', 'AMRO', '8125', '652473', '126', '16833');
INSERT INTO public.who_import VALUES (15731, '2021-01-12', 'CA', 'Canada', 'AMRO', '7816', '660289', '117', '16950');
INSERT INTO public.who_import VALUES (15732, '2021-01-13', 'CA', 'Canada', 'AMRO', '7892', '668181', '136', '17086');
INSERT INTO public.who_import VALUES (15733, '2021-01-14', 'CA', 'Canada', 'AMRO', '6292', '674473', '147', '17233');
INSERT INTO public.who_import VALUES (15734, '2021-01-15', 'CA', 'Canada', 'AMRO', '6855', '681328', '150', '17383');
INSERT INTO public.who_import VALUES (15735, '2021-01-16', 'CA', 'Canada', 'AMRO', '7563', '688891', '155', '17538');
INSERT INTO public.who_import VALUES (15736, '2021-01-17', 'CA', 'Canada', 'AMRO', '6816', '695707', '191', '17729');
INSERT INTO public.who_import VALUES (15737, '2021-01-18', 'CA', 'Canada', 'AMRO', '6476', '702183', '136', '17865');
INSERT INTO public.who_import VALUES (15738, '2021-01-19', 'CA', 'Canada', 'AMRO', '6436', '708619', '149', '18014');
INSERT INTO public.who_import VALUES (15739, '2021-01-20', 'CA', 'Canada', 'AMRO', '6453', '715072', '106', '18120');
INSERT INTO public.who_import VALUES (15740, '2021-01-21', 'CA', 'Canada', 'AMRO', '4679', '719751', '146', '18266');
INSERT INTO public.who_import VALUES (15741, '2021-01-22', 'CA', 'Canada', 'AMRO', '5744', '725495', '196', '18462');
INSERT INTO public.who_import VALUES (15742, '2021-01-23', 'CA', 'Canada', 'AMRO', '5955', '731450', '160', '18622');
INSERT INTO public.who_import VALUES (15743, '2021-01-24', 'CA', 'Canada', 'AMRO', '5957', '737407', '206', '18828');
INSERT INTO public.who_import VALUES (15744, '2021-01-25', 'CA', 'Canada', 'AMRO', '5124', '742531', '146', '18974');
INSERT INTO public.who_import VALUES (15745, '2021-01-26', 'CA', 'Canada', 'AMRO', '4852', '747383', '120', '19094');
INSERT INTO public.who_import VALUES (15746, '2021-01-27', 'CA', 'Canada', 'AMRO', '5628', '753011', '144', '19238');
INSERT INTO public.who_import VALUES (15747, '2021-01-28', 'CA', 'Canada', 'AMRO', '4011', '757022', '165', '19403');
INSERT INTO public.who_import VALUES (15748, '2021-01-29', 'CA', 'Canada', 'AMRO', '4204', '761226', '130', '19533');
INSERT INTO public.who_import VALUES (15749, '2021-01-30', 'CA', 'Canada', 'AMRO', '4877', '766103', '131', '19664');
INSERT INTO public.who_import VALUES (15750, '2021-01-31', 'CA', 'Canada', 'AMRO', '4690', '770793', '137', '19801');
INSERT INTO public.who_import VALUES (15751, '2021-02-01', 'CA', 'Canada', 'AMRO', '4255', '775048', '141', '19942');
INSERT INTO public.who_import VALUES (15752, '2021-02-02', 'CA', 'Canada', 'AMRO', '3924', '778972', '90', '20032');
INSERT INTO public.who_import VALUES (15753, '2021-02-03', 'CA', 'Canada', 'AMRO', '4617', '783589', '104', '20136');
INSERT INTO public.who_import VALUES (15754, '2021-02-04', 'CA', 'Canada', 'AMRO', '2828', '786417', '77', '20213');
INSERT INTO public.who_import VALUES (15755, '2021-02-05', 'CA', 'Canada', 'AMRO', '3234', '789651', '142', '20355');
INSERT INTO public.who_import VALUES (15756, '2021-02-06', 'CA', 'Canada', 'AMRO', '4083', '793734', '158', '20513');
INSERT INTO public.who_import VALUES (15757, '2021-02-07', 'CA', 'Canada', 'AMRO', '4022', '797756', '96', '20609');
INSERT INTO public.who_import VALUES (15758, '2021-02-08', 'CA', 'Canada', 'AMRO', '3301', '801057', '93', '20702');
INSERT INTO public.who_import VALUES (15759, '2021-02-09', 'CA', 'Canada', 'AMRO', '3203', '804260', '65', '20767');
INSERT INTO public.who_import VALUES (15760, '2021-02-10', 'CA', 'Canada', 'AMRO', '3860', '808120', '68', '20835');
INSERT INTO public.who_import VALUES (15761, '2021-02-11', 'CA', 'Canada', 'AMRO', '2677', '810797', '74', '20909');
INSERT INTO public.who_import VALUES (15762, '2021-02-12', 'CA', 'Canada', 'AMRO', '3185', '813982', '95', '21004');
INSERT INTO public.who_import VALUES (15763, '2021-02-13', 'CA', 'Canada', 'AMRO', '3181', '817163', '84', '21088');
INSERT INTO public.who_import VALUES (15764, '2021-02-14', 'CA', 'Canada', 'AMRO', '3143', '820306', '74', '21162');
INSERT INTO public.who_import VALUES (15765, '2021-02-15', 'CA', 'Canada', 'AMRO', '3047', '823353', '66', '21228');
INSERT INTO public.who_import VALUES (15766, '2021-02-16', 'CA', 'Canada', 'AMRO', '2432', '825785', '65', '21293');
INSERT INTO public.who_import VALUES (15767, '2021-02-17', 'CA', 'Canada', 'AMRO', '1139', '826924', '18', '21311');
INSERT INTO public.who_import VALUES (15768, '2021-02-18', 'CA', 'Canada', 'AMRO', '4653', '831577', '86', '21397');
INSERT INTO public.who_import VALUES (15769, '2021-02-19', 'CA', 'Canada', 'AMRO', '2605', '834182', '38', '21435');
INSERT INTO public.who_import VALUES (15770, '2021-02-20', 'CA', 'Canada', 'AMRO', '3315', '837497', '63', '21498');
INSERT INTO public.who_import VALUES (15771, '2020-01-03', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15772, '2020-01-04', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15773, '2020-01-05', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15774, '2020-01-06', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15775, '2020-01-07', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15776, '2020-01-08', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15777, '2020-01-09', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15778, '2020-01-10', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15779, '2020-01-11', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15780, '2020-01-12', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15781, '2020-01-13', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15782, '2020-01-14', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15783, '2020-01-15', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15784, '2020-01-16', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15785, '2020-01-17', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15786, '2020-01-18', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15787, '2020-01-19', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15788, '2020-01-20', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15789, '2020-01-21', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15790, '2020-01-22', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15791, '2020-01-23', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15792, '2020-01-24', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15793, '2020-01-25', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15794, '2020-01-26', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15795, '2020-01-27', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15796, '2020-01-28', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15797, '2020-01-29', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15798, '2020-01-30', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15799, '2020-01-31', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15800, '2020-02-01', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15801, '2020-02-02', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15802, '2020-02-03', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15803, '2020-02-04', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15804, '2020-02-05', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15805, '2020-02-06', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15806, '2020-02-07', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15807, '2020-02-08', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15808, '2020-02-09', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15809, '2020-02-10', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15810, '2020-02-11', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15811, '2020-02-12', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15812, '2020-02-13', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15813, '2020-02-14', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15814, '2020-02-15', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15815, '2020-02-16', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15816, '2020-02-17', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15817, '2020-02-18', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15818, '2020-02-19', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15819, '2020-02-20', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15820, '2020-02-21', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15821, '2020-02-22', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15822, '2020-02-23', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15823, '2020-02-24', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15824, '2020-02-25', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15825, '2020-02-26', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15826, '2020-02-27', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15827, '2020-02-28', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15828, '2020-02-29', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15829, '2020-03-01', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15830, '2020-03-02', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15831, '2020-03-03', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15832, '2020-03-04', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15833, '2020-03-05', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15834, '2020-03-06', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15835, '2020-03-07', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15836, '2020-03-08', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15837, '2020-03-09', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15838, '2020-03-10', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15839, '2020-03-11', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15840, '2020-03-12', 'KY', 'Cayman Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (15841, '2020-03-13', 'KY', 'Cayman Islands', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (15842, '2020-03-14', 'KY', 'Cayman Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (15843, '2020-03-15', 'KY', 'Cayman Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (15844, '2020-03-16', 'KY', 'Cayman Islands', 'AMRO', '0', '5', '1', '1');
INSERT INTO public.who_import VALUES (15845, '2020-03-17', 'KY', 'Cayman Islands', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (15846, '2020-03-18', 'KY', 'Cayman Islands', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (15847, '2020-03-19', 'KY', 'Cayman Islands', 'AMRO', '-2', '3', '0', '1');
INSERT INTO public.who_import VALUES (15848, '2020-03-20', 'KY', 'Cayman Islands', 'AMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (15849, '2020-03-21', 'KY', 'Cayman Islands', 'AMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (15850, '2020-03-22', 'KY', 'Cayman Islands', 'AMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (15851, '2020-03-23', 'KY', 'Cayman Islands', 'AMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (15852, '2020-03-24', 'KY', 'Cayman Islands', 'AMRO', '2', '5', '0', '1');
INSERT INTO public.who_import VALUES (15853, '2020-03-25', 'KY', 'Cayman Islands', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (15854, '2020-03-26', 'KY', 'Cayman Islands', 'AMRO', '3', '8', '0', '1');
INSERT INTO public.who_import VALUES (15855, '2020-03-27', 'KY', 'Cayman Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (15856, '2020-03-28', 'KY', 'Cayman Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (15857, '2020-03-29', 'KY', 'Cayman Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (15858, '2020-03-30', 'KY', 'Cayman Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (15859, '2020-03-31', 'KY', 'Cayman Islands', 'AMRO', '4', '12', '0', '1');
INSERT INTO public.who_import VALUES (15860, '2020-04-01', 'KY', 'Cayman Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (15861, '2020-04-02', 'KY', 'Cayman Islands', 'AMRO', '2', '14', '0', '1');
INSERT INTO public.who_import VALUES (15862, '2020-04-03', 'KY', 'Cayman Islands', 'AMRO', '8', '22', '0', '1');
INSERT INTO public.who_import VALUES (15863, '2020-04-04', 'KY', 'Cayman Islands', 'AMRO', '6', '28', '0', '1');
INSERT INTO public.who_import VALUES (15864, '2020-04-05', 'KY', 'Cayman Islands', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (15865, '2020-04-06', 'KY', 'Cayman Islands', 'AMRO', '7', '35', '0', '1');
INSERT INTO public.who_import VALUES (15866, '2020-04-07', 'KY', 'Cayman Islands', 'AMRO', '4', '39', '0', '1');
INSERT INTO public.who_import VALUES (15867, '2020-04-08', 'KY', 'Cayman Islands', 'AMRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (15868, '2020-04-09', 'KY', 'Cayman Islands', 'AMRO', '6', '45', '0', '1');
INSERT INTO public.who_import VALUES (15869, '2020-04-10', 'KY', 'Cayman Islands', 'AMRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (15870, '2020-04-11', 'KY', 'Cayman Islands', 'AMRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (15871, '2020-04-12', 'KY', 'Cayman Islands', 'AMRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (15872, '2020-04-13', 'KY', 'Cayman Islands', 'AMRO', '8', '53', '0', '1');
INSERT INTO public.who_import VALUES (15873, '2020-04-14', 'KY', 'Cayman Islands', 'AMRO', '0', '53', '0', '1');
INSERT INTO public.who_import VALUES (15874, '2020-04-15', 'KY', 'Cayman Islands', 'AMRO', '1', '54', '0', '1');
INSERT INTO public.who_import VALUES (15875, '2020-04-16', 'KY', 'Cayman Islands', 'AMRO', '0', '54', '0', '1');
INSERT INTO public.who_import VALUES (15876, '2020-04-17', 'KY', 'Cayman Islands', 'AMRO', '6', '60', '0', '1');
INSERT INTO public.who_import VALUES (15877, '2020-04-18', 'KY', 'Cayman Islands', 'AMRO', '1', '61', '0', '1');
INSERT INTO public.who_import VALUES (15878, '2020-04-19', 'KY', 'Cayman Islands', 'AMRO', '0', '61', '0', '1');
INSERT INTO public.who_import VALUES (15879, '2020-04-20', 'KY', 'Cayman Islands', 'AMRO', '0', '61', '0', '1');
INSERT INTO public.who_import VALUES (15880, '2020-04-21', 'KY', 'Cayman Islands', 'AMRO', '0', '61', '0', '1');
INSERT INTO public.who_import VALUES (15881, '2020-04-22', 'KY', 'Cayman Islands', 'AMRO', '5', '66', '0', '1');
INSERT INTO public.who_import VALUES (15882, '2020-04-23', 'KY', 'Cayman Islands', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (15883, '2020-04-24', 'KY', 'Cayman Islands', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (15884, '2020-04-25', 'KY', 'Cayman Islands', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (15885, '2020-04-26', 'KY', 'Cayman Islands', 'AMRO', '4', '70', '0', '1');
INSERT INTO public.who_import VALUES (15886, '2020-04-27', 'KY', 'Cayman Islands', 'AMRO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (15887, '2020-04-28', 'KY', 'Cayman Islands', 'AMRO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (15888, '2020-04-29', 'KY', 'Cayman Islands', 'AMRO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (15889, '2020-04-30', 'KY', 'Cayman Islands', 'AMRO', '3', '73', '0', '1');
INSERT INTO public.who_import VALUES (15890, '2020-05-01', 'KY', 'Cayman Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (15891, '2020-05-02', 'KY', 'Cayman Islands', 'AMRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (15892, '2020-05-03', 'KY', 'Cayman Islands', 'AMRO', '1', '74', '0', '1');
INSERT INTO public.who_import VALUES (15893, '2020-05-04', 'KY', 'Cayman Islands', 'AMRO', '0', '74', '0', '1');
INSERT INTO public.who_import VALUES (15894, '2020-05-05', 'KY', 'Cayman Islands', 'AMRO', '0', '74', '0', '1');
INSERT INTO public.who_import VALUES (15895, '2020-05-06', 'KY', 'Cayman Islands', 'AMRO', '1', '75', '0', '1');
INSERT INTO public.who_import VALUES (15896, '2020-05-07', 'KY', 'Cayman Islands', 'AMRO', '3', '78', '0', '1');
INSERT INTO public.who_import VALUES (15897, '2020-05-08', 'KY', 'Cayman Islands', 'AMRO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (15898, '2020-05-09', 'KY', 'Cayman Islands', 'AMRO', '2', '80', '0', '1');
INSERT INTO public.who_import VALUES (15899, '2020-05-10', 'KY', 'Cayman Islands', 'AMRO', '1', '81', '0', '1');
INSERT INTO public.who_import VALUES (15900, '2020-05-11', 'KY', 'Cayman Islands', 'AMRO', '0', '81', '0', '1');
INSERT INTO public.who_import VALUES (15901, '2020-05-12', 'KY', 'Cayman Islands', 'AMRO', '0', '81', '0', '1');
INSERT INTO public.who_import VALUES (15902, '2020-05-13', 'KY', 'Cayman Islands', 'AMRO', '3', '84', '0', '1');
INSERT INTO public.who_import VALUES (15903, '2020-05-14', 'KY', 'Cayman Islands', 'AMRO', '1', '85', '0', '1');
INSERT INTO public.who_import VALUES (15904, '2020-05-15', 'KY', 'Cayman Islands', 'AMRO', '1', '86', '0', '1');
INSERT INTO public.who_import VALUES (15905, '2020-05-16', 'KY', 'Cayman Islands', 'AMRO', '7', '93', '0', '1');
INSERT INTO public.who_import VALUES (15906, '2020-05-17', 'KY', 'Cayman Islands', 'AMRO', '1', '94', '0', '1');
INSERT INTO public.who_import VALUES (15907, '2020-05-18', 'KY', 'Cayman Islands', 'AMRO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (15908, '2020-05-19', 'KY', 'Cayman Islands', 'AMRO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (15909, '2020-05-20', 'KY', 'Cayman Islands', 'AMRO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (15910, '2020-05-21', 'KY', 'Cayman Islands', 'AMRO', '17', '111', '0', '1');
INSERT INTO public.who_import VALUES (15911, '2020-05-22', 'KY', 'Cayman Islands', 'AMRO', '0', '111', '0', '1');
INSERT INTO public.who_import VALUES (15912, '2020-05-23', 'KY', 'Cayman Islands', 'AMRO', '10', '121', '0', '1');
INSERT INTO public.who_import VALUES (15913, '2020-05-24', 'KY', 'Cayman Islands', 'AMRO', '8', '129', '0', '1');
INSERT INTO public.who_import VALUES (15914, '2020-05-25', 'KY', 'Cayman Islands', 'AMRO', '0', '129', '0', '1');
INSERT INTO public.who_import VALUES (15915, '2020-05-26', 'KY', 'Cayman Islands', 'AMRO', '0', '129', '0', '1');
INSERT INTO public.who_import VALUES (15916, '2020-05-27', 'KY', 'Cayman Islands', 'AMRO', '5', '134', '0', '1');
INSERT INTO public.who_import VALUES (15917, '2020-05-28', 'KY', 'Cayman Islands', 'AMRO', '3', '137', '0', '1');
INSERT INTO public.who_import VALUES (15918, '2020-05-29', 'KY', 'Cayman Islands', 'AMRO', '3', '140', '0', '1');
INSERT INTO public.who_import VALUES (15919, '2020-05-30', 'KY', 'Cayman Islands', 'AMRO', '0', '140', '0', '1');
INSERT INTO public.who_import VALUES (15920, '2020-05-31', 'KY', 'Cayman Islands', 'AMRO', '1', '141', '0', '1');
INSERT INTO public.who_import VALUES (15921, '2020-06-01', 'KY', 'Cayman Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (15922, '2020-06-02', 'KY', 'Cayman Islands', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (15923, '2020-06-03', 'KY', 'Cayman Islands', 'AMRO', '9', '150', '0', '1');
INSERT INTO public.who_import VALUES (15924, '2020-06-04', 'KY', 'Cayman Islands', 'AMRO', '1', '151', '0', '1');
INSERT INTO public.who_import VALUES (15925, '2020-06-05', 'KY', 'Cayman Islands', 'AMRO', '5', '156', '0', '1');
INSERT INTO public.who_import VALUES (15926, '2020-06-06', 'KY', 'Cayman Islands', 'AMRO', '4', '160', '0', '1');
INSERT INTO public.who_import VALUES (15927, '2020-06-07', 'KY', 'Cayman Islands', 'AMRO', '4', '164', '0', '1');
INSERT INTO public.who_import VALUES (15928, '2020-06-08', 'KY', 'Cayman Islands', 'AMRO', '0', '164', '0', '1');
INSERT INTO public.who_import VALUES (15929, '2020-06-09', 'KY', 'Cayman Islands', 'AMRO', '0', '164', '0', '1');
INSERT INTO public.who_import VALUES (15930, '2020-06-10', 'KY', 'Cayman Islands', 'AMRO', '7', '171', '0', '1');
INSERT INTO public.who_import VALUES (15931, '2020-06-11', 'KY', 'Cayman Islands', 'AMRO', '5', '176', '0', '1');
INSERT INTO public.who_import VALUES (15932, '2020-06-12', 'KY', 'Cayman Islands', 'AMRO', '4', '180', '0', '1');
INSERT INTO public.who_import VALUES (15933, '2020-06-13', 'KY', 'Cayman Islands', 'AMRO', '6', '186', '0', '1');
INSERT INTO public.who_import VALUES (15934, '2020-06-14', 'KY', 'Cayman Islands', 'AMRO', '1', '187', '0', '1');
INSERT INTO public.who_import VALUES (15935, '2020-06-15', 'KY', 'Cayman Islands', 'AMRO', '0', '187', '0', '1');
INSERT INTO public.who_import VALUES (15936, '2020-06-16', 'KY', 'Cayman Islands', 'AMRO', '0', '187', '0', '1');
INSERT INTO public.who_import VALUES (15937, '2020-06-17', 'KY', 'Cayman Islands', 'AMRO', '0', '187', '0', '1');
INSERT INTO public.who_import VALUES (15938, '2020-06-18', 'KY', 'Cayman Islands', 'AMRO', '6', '193', '0', '1');
INSERT INTO public.who_import VALUES (15939, '2020-06-19', 'KY', 'Cayman Islands', 'AMRO', '0', '193', '0', '1');
INSERT INTO public.who_import VALUES (15940, '2020-06-20', 'KY', 'Cayman Islands', 'AMRO', '0', '193', '0', '1');
INSERT INTO public.who_import VALUES (15941, '2020-06-21', 'KY', 'Cayman Islands', 'AMRO', '2', '195', '0', '1');
INSERT INTO public.who_import VALUES (15942, '2020-06-22', 'KY', 'Cayman Islands', 'AMRO', '0', '195', '0', '1');
INSERT INTO public.who_import VALUES (15943, '2020-06-23', 'KY', 'Cayman Islands', 'AMRO', '0', '195', '0', '1');
INSERT INTO public.who_import VALUES (15944, '2020-06-24', 'KY', 'Cayman Islands', 'AMRO', '0', '195', '0', '1');
INSERT INTO public.who_import VALUES (15945, '2020-06-25', 'KY', 'Cayman Islands', 'AMRO', '0', '195', '0', '1');
INSERT INTO public.who_import VALUES (15946, '2020-06-26', 'KY', 'Cayman Islands', 'AMRO', '1', '196', '0', '1');
INSERT INTO public.who_import VALUES (15947, '2020-06-27', 'KY', 'Cayman Islands', 'AMRO', '0', '196', '0', '1');
INSERT INTO public.who_import VALUES (15948, '2020-06-28', 'KY', 'Cayman Islands', 'AMRO', '0', '196', '0', '1');
INSERT INTO public.who_import VALUES (15949, '2020-06-29', 'KY', 'Cayman Islands', 'AMRO', '0', '196', '0', '1');
INSERT INTO public.who_import VALUES (15950, '2020-06-30', 'KY', 'Cayman Islands', 'AMRO', '0', '196', '0', '1');
INSERT INTO public.who_import VALUES (15951, '2020-07-01', 'KY', 'Cayman Islands', 'AMRO', '3', '199', '0', '1');
INSERT INTO public.who_import VALUES (15952, '2020-07-02', 'KY', 'Cayman Islands', 'AMRO', '1', '200', '0', '1');
INSERT INTO public.who_import VALUES (15953, '2020-07-03', 'KY', 'Cayman Islands', 'AMRO', '1', '201', '0', '1');
INSERT INTO public.who_import VALUES (15954, '2020-07-04', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15955, '2020-07-05', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15956, '2020-07-06', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15957, '2020-07-07', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15958, '2020-07-08', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15959, '2020-07-09', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15960, '2020-07-10', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15961, '2020-07-11', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15962, '2020-07-12', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15963, '2020-07-13', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15964, '2020-07-14', 'KY', 'Cayman Islands', 'AMRO', '0', '201', '0', '1');
INSERT INTO public.who_import VALUES (15965, '2020-07-15', 'KY', 'Cayman Islands', 'AMRO', '2', '203', '0', '1');
INSERT INTO public.who_import VALUES (15966, '2020-07-16', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15967, '2020-07-17', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15968, '2020-07-18', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15969, '2020-07-19', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15970, '2020-07-20', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15971, '2020-07-21', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15972, '2020-07-22', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15973, '2020-07-23', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15974, '2020-07-24', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15975, '2020-07-25', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15976, '2020-07-26', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15977, '2020-07-27', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15978, '2020-07-28', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15979, '2020-07-29', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15980, '2020-07-30', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15981, '2020-07-31', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15982, '2020-08-01', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15983, '2020-08-02', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15984, '2020-08-03', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15985, '2020-08-04', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15986, '2020-08-05', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15987, '2020-08-06', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15988, '2020-08-07', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15989, '2020-08-08', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15990, '2020-08-09', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15991, '2020-08-10', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15992, '2020-08-11', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15993, '2020-08-12', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15994, '2020-08-13', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15995, '2020-08-14', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15996, '2020-08-15', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15997, '2020-08-16', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15998, '2020-08-17', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (15999, '2020-08-18', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (16000, '2020-08-19', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (16001, '2020-08-20', 'KY', 'Cayman Islands', 'AMRO', '0', '203', '0', '1');
INSERT INTO public.who_import VALUES (16002, '2020-08-21', 'KY', 'Cayman Islands', 'AMRO', '2', '205', '0', '1');
INSERT INTO public.who_import VALUES (16003, '2020-08-22', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16004, '2020-08-23', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16005, '2020-08-24', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16006, '2020-08-25', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16007, '2020-08-26', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16008, '2020-08-27', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16009, '2020-08-28', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16010, '2020-08-29', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16011, '2020-08-30', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16012, '2020-08-31', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16013, '2020-09-01', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16014, '2020-09-02', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16015, '2020-09-03', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16016, '2020-09-04', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16017, '2020-09-05', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16018, '2020-09-06', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16019, '2020-09-07', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16020, '2020-09-08', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16021, '2020-09-09', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16022, '2020-09-10', 'KY', 'Cayman Islands', 'AMRO', '0', '205', '0', '1');
INSERT INTO public.who_import VALUES (16023, '2020-09-11', 'KY', 'Cayman Islands', 'AMRO', '2', '207', '0', '1');
INSERT INTO public.who_import VALUES (16024, '2020-09-12', 'KY', 'Cayman Islands', 'AMRO', '1', '208', '0', '1');
INSERT INTO public.who_import VALUES (16025, '2020-09-13', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16026, '2020-09-14', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16027, '2020-09-15', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16028, '2020-09-16', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16029, '2020-09-17', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16030, '2020-09-18', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16031, '2020-09-19', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16032, '2020-09-20', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16033, '2020-09-21', 'KY', 'Cayman Islands', 'AMRO', '0', '208', '0', '1');
INSERT INTO public.who_import VALUES (16034, '2020-09-22', 'KY', 'Cayman Islands', 'AMRO', '1', '209', '0', '1');
INSERT INTO public.who_import VALUES (16035, '2020-09-23', 'KY', 'Cayman Islands', 'AMRO', '1', '210', '0', '1');
INSERT INTO public.who_import VALUES (16036, '2020-09-24', 'KY', 'Cayman Islands', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (16037, '2020-09-25', 'KY', 'Cayman Islands', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (16038, '2020-09-26', 'KY', 'Cayman Islands', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (16039, '2020-09-27', 'KY', 'Cayman Islands', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (16040, '2020-09-28', 'KY', 'Cayman Islands', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (16041, '2020-09-29', 'KY', 'Cayman Islands', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (16042, '2020-09-30', 'KY', 'Cayman Islands', 'AMRO', '1', '211', '0', '1');
INSERT INTO public.who_import VALUES (16043, '2020-10-01', 'KY', 'Cayman Islands', 'AMRO', '0', '211', '0', '1');
INSERT INTO public.who_import VALUES (16044, '2020-10-02', 'KY', 'Cayman Islands', 'AMRO', '0', '211', '0', '1');
INSERT INTO public.who_import VALUES (16045, '2020-10-03', 'KY', 'Cayman Islands', 'AMRO', '0', '211', '0', '1');
INSERT INTO public.who_import VALUES (16046, '2020-10-04', 'KY', 'Cayman Islands', 'AMRO', '2', '213', '0', '1');
INSERT INTO public.who_import VALUES (16047, '2020-10-05', 'KY', 'Cayman Islands', 'AMRO', '0', '213', '0', '1');
INSERT INTO public.who_import VALUES (16048, '2020-10-06', 'KY', 'Cayman Islands', 'AMRO', '0', '213', '0', '1');
INSERT INTO public.who_import VALUES (16049, '2020-10-07', 'KY', 'Cayman Islands', 'AMRO', '0', '213', '0', '1');
INSERT INTO public.who_import VALUES (16050, '2020-10-08', 'KY', 'Cayman Islands', 'AMRO', '0', '213', '0', '1');
INSERT INTO public.who_import VALUES (16051, '2020-10-09', 'KY', 'Cayman Islands', 'AMRO', '0', '213', '0', '1');
INSERT INTO public.who_import VALUES (16052, '2020-10-10', 'KY', 'Cayman Islands', 'AMRO', '1', '214', '0', '1');
INSERT INTO public.who_import VALUES (16053, '2020-10-11', 'KY', 'Cayman Islands', 'AMRO', '6', '220', '0', '1');
INSERT INTO public.who_import VALUES (16054, '2020-10-12', 'KY', 'Cayman Islands', 'AMRO', '1', '221', '0', '1');
INSERT INTO public.who_import VALUES (16055, '2020-10-13', 'KY', 'Cayman Islands', 'AMRO', '0', '221', '0', '1');
INSERT INTO public.who_import VALUES (16056, '2020-10-14', 'KY', 'Cayman Islands', 'AMRO', '0', '221', '0', '1');
INSERT INTO public.who_import VALUES (16057, '2020-10-15', 'KY', 'Cayman Islands', 'AMRO', '0', '221', '0', '1');
INSERT INTO public.who_import VALUES (16058, '2020-10-16', 'KY', 'Cayman Islands', 'AMRO', '4', '225', '0', '1');
INSERT INTO public.who_import VALUES (16059, '2020-10-17', 'KY', 'Cayman Islands', 'AMRO', '0', '225', '0', '1');
INSERT INTO public.who_import VALUES (16060, '2020-10-18', 'KY', 'Cayman Islands', 'AMRO', '8', '233', '0', '1');
INSERT INTO public.who_import VALUES (16061, '2020-10-19', 'KY', 'Cayman Islands', 'AMRO', '0', '233', '0', '1');
INSERT INTO public.who_import VALUES (16062, '2020-10-20', 'KY', 'Cayman Islands', 'AMRO', '0', '233', '0', '1');
INSERT INTO public.who_import VALUES (16063, '2020-10-21', 'KY', 'Cayman Islands', 'AMRO', '2', '235', '0', '1');
INSERT INTO public.who_import VALUES (16064, '2020-10-22', 'KY', 'Cayman Islands', 'AMRO', '0', '235', '0', '1');
INSERT INTO public.who_import VALUES (16065, '2020-10-23', 'KY', 'Cayman Islands', 'AMRO', '1', '236', '0', '1');
INSERT INTO public.who_import VALUES (16066, '2020-10-24', 'KY', 'Cayman Islands', 'AMRO', '0', '236', '0', '1');
INSERT INTO public.who_import VALUES (16067, '2020-10-25', 'KY', 'Cayman Islands', 'AMRO', '3', '239', '0', '1');
INSERT INTO public.who_import VALUES (16068, '2020-10-26', 'KY', 'Cayman Islands', 'AMRO', '0', '239', '0', '1');
INSERT INTO public.who_import VALUES (16069, '2020-10-27', 'KY', 'Cayman Islands', 'AMRO', '0', '239', '0', '1');
INSERT INTO public.who_import VALUES (16070, '2020-10-28', 'KY', 'Cayman Islands', 'AMRO', '0', '239', '0', '1');
INSERT INTO public.who_import VALUES (16071, '2020-10-29', 'KY', 'Cayman Islands', 'AMRO', '0', '239', '0', '1');
INSERT INTO public.who_import VALUES (16072, '2020-10-30', 'KY', 'Cayman Islands', 'AMRO', '0', '239', '0', '1');
INSERT INTO public.who_import VALUES (16073, '2020-10-31', 'KY', 'Cayman Islands', 'AMRO', '1', '240', '0', '1');
INSERT INTO public.who_import VALUES (16074, '2020-11-01', 'KY', 'Cayman Islands', 'AMRO', '0', '240', '0', '1');
INSERT INTO public.who_import VALUES (16075, '2020-11-02', 'KY', 'Cayman Islands', 'AMRO', '0', '240', '0', '1');
INSERT INTO public.who_import VALUES (16076, '2020-11-03', 'KY', 'Cayman Islands', 'AMRO', '0', '240', '0', '1');
INSERT INTO public.who_import VALUES (16077, '2020-11-04', 'KY', 'Cayman Islands', 'AMRO', '2', '242', '0', '1');
INSERT INTO public.who_import VALUES (16078, '2020-11-05', 'KY', 'Cayman Islands', 'AMRO', '0', '242', '0', '1');
INSERT INTO public.who_import VALUES (16079, '2020-11-06', 'KY', 'Cayman Islands', 'AMRO', '2', '244', '0', '1');
INSERT INTO public.who_import VALUES (16080, '2020-11-07', 'KY', 'Cayman Islands', 'AMRO', '1', '245', '0', '1');
INSERT INTO public.who_import VALUES (16081, '2020-11-08', 'KY', 'Cayman Islands', 'AMRO', '5', '250', '0', '1');
INSERT INTO public.who_import VALUES (16082, '2020-11-09', 'KY', 'Cayman Islands', 'AMRO', '0', '250', '0', '1');
INSERT INTO public.who_import VALUES (16083, '2020-11-10', 'KY', 'Cayman Islands', 'AMRO', '0', '250', '0', '1');
INSERT INTO public.who_import VALUES (16084, '2020-11-11', 'KY', 'Cayman Islands', 'AMRO', '3', '253', '0', '1');
INSERT INTO public.who_import VALUES (16085, '2020-11-12', 'KY', 'Cayman Islands', 'AMRO', '0', '253', '0', '1');
INSERT INTO public.who_import VALUES (16086, '2020-11-13', 'KY', 'Cayman Islands', 'AMRO', '0', '253', '0', '1');
INSERT INTO public.who_import VALUES (16087, '2020-11-14', 'KY', 'Cayman Islands', 'AMRO', '1', '254', '0', '1');
INSERT INTO public.who_import VALUES (16088, '2020-11-15', 'KY', 'Cayman Islands', 'AMRO', '0', '254', '0', '1');
INSERT INTO public.who_import VALUES (16089, '2020-11-16', 'KY', 'Cayman Islands', 'AMRO', '0', '254', '0', '1');
INSERT INTO public.who_import VALUES (16090, '2020-11-17', 'KY', 'Cayman Islands', 'AMRO', '0', '254', '0', '1');
INSERT INTO public.who_import VALUES (16091, '2020-11-18', 'KY', 'Cayman Islands', 'AMRO', '3', '257', '1', '2');
INSERT INTO public.who_import VALUES (16092, '2020-11-19', 'KY', 'Cayman Islands', 'AMRO', '0', '257', '0', '2');
INSERT INTO public.who_import VALUES (16093, '2020-11-20', 'KY', 'Cayman Islands', 'AMRO', '1', '258', '0', '2');
INSERT INTO public.who_import VALUES (16094, '2020-11-21', 'KY', 'Cayman Islands', 'AMRO', '1', '259', '0', '2');
INSERT INTO public.who_import VALUES (16095, '2020-11-22', 'KY', 'Cayman Islands', 'AMRO', '2', '261', '0', '2');
INSERT INTO public.who_import VALUES (16096, '2020-11-23', 'KY', 'Cayman Islands', 'AMRO', '0', '261', '0', '2');
INSERT INTO public.who_import VALUES (16097, '2020-11-24', 'KY', 'Cayman Islands', 'AMRO', '0', '261', '0', '2');
INSERT INTO public.who_import VALUES (16098, '2020-11-25', 'KY', 'Cayman Islands', 'AMRO', '4', '265', '0', '2');
INSERT INTO public.who_import VALUES (16099, '2020-11-26', 'KY', 'Cayman Islands', 'AMRO', '1', '266', '0', '2');
INSERT INTO public.who_import VALUES (16100, '2020-11-27', 'KY', 'Cayman Islands', 'AMRO', '3', '269', '0', '2');
INSERT INTO public.who_import VALUES (16101, '2020-11-28', 'KY', 'Cayman Islands', 'AMRO', '0', '269', '0', '2');
INSERT INTO public.who_import VALUES (16102, '2020-11-29', 'KY', 'Cayman Islands', 'AMRO', '5', '274', '0', '2');
INSERT INTO public.who_import VALUES (16103, '2020-11-30', 'KY', 'Cayman Islands', 'AMRO', '0', '274', '0', '2');
INSERT INTO public.who_import VALUES (16104, '2020-12-01', 'KY', 'Cayman Islands', 'AMRO', '0', '274', '0', '2');
INSERT INTO public.who_import VALUES (16105, '2020-12-02', 'KY', 'Cayman Islands', 'AMRO', '8', '282', '0', '2');
INSERT INTO public.who_import VALUES (16106, '2020-12-03', 'KY', 'Cayman Islands', 'AMRO', '3', '285', '0', '2');
INSERT INTO public.who_import VALUES (16107, '2020-12-04', 'KY', 'Cayman Islands', 'AMRO', '0', '285', '0', '2');
INSERT INTO public.who_import VALUES (16108, '2020-12-05', 'KY', 'Cayman Islands', 'AMRO', '3', '288', '0', '2');
INSERT INTO public.who_import VALUES (16109, '2020-12-06', 'KY', 'Cayman Islands', 'AMRO', '0', '288', '0', '2');
INSERT INTO public.who_import VALUES (16110, '2020-12-07', 'KY', 'Cayman Islands', 'AMRO', '0', '288', '0', '2');
INSERT INTO public.who_import VALUES (16111, '2020-12-08', 'KY', 'Cayman Islands', 'AMRO', '2', '290', '0', '2');
INSERT INTO public.who_import VALUES (16112, '2020-12-09', 'KY', 'Cayman Islands', 'AMRO', '0', '290', '0', '2');
INSERT INTO public.who_import VALUES (16113, '2020-12-10', 'KY', 'Cayman Islands', 'AMRO', '1', '291', '0', '2');
INSERT INTO public.who_import VALUES (16114, '2020-12-11', 'KY', 'Cayman Islands', 'AMRO', '1', '292', '0', '2');
INSERT INTO public.who_import VALUES (16115, '2020-12-12', 'KY', 'Cayman Islands', 'AMRO', '6', '298', '0', '2');
INSERT INTO public.who_import VALUES (16116, '2020-12-13', 'KY', 'Cayman Islands', 'AMRO', '0', '298', '0', '2');
INSERT INTO public.who_import VALUES (16117, '2020-12-14', 'KY', 'Cayman Islands', 'AMRO', '0', '298', '0', '2');
INSERT INTO public.who_import VALUES (16118, '2020-12-15', 'KY', 'Cayman Islands', 'AMRO', '0', '298', '0', '2');
INSERT INTO public.who_import VALUES (16119, '2020-12-16', 'KY', 'Cayman Islands', 'AMRO', '4', '302', '0', '2');
INSERT INTO public.who_import VALUES (16120, '2020-12-17', 'KY', 'Cayman Islands', 'AMRO', '0', '302', '0', '2');
INSERT INTO public.who_import VALUES (16121, '2020-12-18', 'KY', 'Cayman Islands', 'AMRO', '6', '308', '0', '2');
INSERT INTO public.who_import VALUES (16122, '2020-12-19', 'KY', 'Cayman Islands', 'AMRO', '3', '311', '0', '2');
INSERT INTO public.who_import VALUES (16123, '2020-12-20', 'KY', 'Cayman Islands', 'AMRO', '0', '311', '0', '2');
INSERT INTO public.who_import VALUES (16124, '2020-12-21', 'KY', 'Cayman Islands', 'AMRO', '0', '311', '0', '2');
INSERT INTO public.who_import VALUES (16125, '2020-12-22', 'KY', 'Cayman Islands', 'AMRO', '5', '316', '0', '2');
INSERT INTO public.who_import VALUES (16126, '2020-12-23', 'KY', 'Cayman Islands', 'AMRO', '0', '316', '0', '2');
INSERT INTO public.who_import VALUES (16127, '2020-12-24', 'KY', 'Cayman Islands', 'AMRO', '0', '316', '0', '2');
INSERT INTO public.who_import VALUES (16128, '2020-12-25', 'KY', 'Cayman Islands', 'AMRO', '1', '317', '0', '2');
INSERT INTO public.who_import VALUES (16129, '2020-12-26', 'KY', 'Cayman Islands', 'AMRO', '1', '318', '0', '2');
INSERT INTO public.who_import VALUES (16130, '2020-12-27', 'KY', 'Cayman Islands', 'AMRO', '0', '318', '0', '2');
INSERT INTO public.who_import VALUES (16131, '2020-12-28', 'KY', 'Cayman Islands', 'AMRO', '0', '318', '0', '2');
INSERT INTO public.who_import VALUES (16132, '2020-12-29', 'KY', 'Cayman Islands', 'AMRO', '0', '318', '0', '2');
INSERT INTO public.who_import VALUES (16133, '2020-12-30', 'KY', 'Cayman Islands', 'AMRO', '0', '318', '0', '2');
INSERT INTO public.who_import VALUES (16134, '2020-12-31', 'KY', 'Cayman Islands', 'AMRO', '8', '326', '0', '2');
INSERT INTO public.who_import VALUES (16135, '2021-01-01', 'KY', 'Cayman Islands', 'AMRO', '4', '330', '0', '2');
INSERT INTO public.who_import VALUES (16136, '2021-01-02', 'KY', 'Cayman Islands', 'AMRO', '8', '338', '0', '2');
INSERT INTO public.who_import VALUES (16137, '2021-01-03', 'KY', 'Cayman Islands', 'AMRO', '0', '338', '0', '2');
INSERT INTO public.who_import VALUES (16138, '2021-01-04', 'KY', 'Cayman Islands', 'AMRO', '0', '338', '0', '2');
INSERT INTO public.who_import VALUES (16139, '2021-01-05', 'KY', 'Cayman Islands', 'AMRO', '0', '338', '0', '2');
INSERT INTO public.who_import VALUES (16140, '2021-01-06', 'KY', 'Cayman Islands', 'AMRO', '9', '347', '0', '2');
INSERT INTO public.who_import VALUES (16141, '2021-01-07', 'KY', 'Cayman Islands', 'AMRO', '3', '350', '0', '2');
INSERT INTO public.who_import VALUES (16142, '2021-01-08', 'KY', 'Cayman Islands', 'AMRO', '6', '356', '0', '2');
INSERT INTO public.who_import VALUES (16143, '2021-01-09', 'KY', 'Cayman Islands', 'AMRO', '3', '359', '0', '2');
INSERT INTO public.who_import VALUES (16144, '2021-01-10', 'KY', 'Cayman Islands', 'AMRO', '0', '359', '0', '2');
INSERT INTO public.who_import VALUES (16145, '2021-01-11', 'KY', 'Cayman Islands', 'AMRO', '0', '359', '0', '2');
INSERT INTO public.who_import VALUES (16146, '2021-01-12', 'KY', 'Cayman Islands', 'AMRO', '0', '359', '0', '2');
INSERT INTO public.who_import VALUES (16147, '2021-01-13', 'KY', 'Cayman Islands', 'AMRO', '3', '362', '0', '2');
INSERT INTO public.who_import VALUES (16148, '2021-01-14', 'KY', 'Cayman Islands', 'AMRO', '0', '362', '0', '2');
INSERT INTO public.who_import VALUES (16149, '2021-01-15', 'KY', 'Cayman Islands', 'AMRO', '5', '367', '0', '2');
INSERT INTO public.who_import VALUES (16150, '2021-01-16', 'KY', 'Cayman Islands', 'AMRO', '1', '368', '0', '2');
INSERT INTO public.who_import VALUES (16151, '2021-01-17', 'KY', 'Cayman Islands', 'AMRO', '6', '374', '0', '2');
INSERT INTO public.who_import VALUES (16152, '2021-01-18', 'KY', 'Cayman Islands', 'AMRO', '0', '374', '0', '2');
INSERT INTO public.who_import VALUES (16153, '2021-01-19', 'KY', 'Cayman Islands', 'AMRO', '0', '374', '0', '2');
INSERT INTO public.who_import VALUES (16154, '2021-01-20', 'KY', 'Cayman Islands', 'AMRO', '6', '380', '0', '2');
INSERT INTO public.who_import VALUES (16155, '2021-01-21', 'KY', 'Cayman Islands', 'AMRO', '1', '381', '0', '2');
INSERT INTO public.who_import VALUES (16156, '2021-01-22', 'KY', 'Cayman Islands', 'AMRO', '0', '381', '0', '2');
INSERT INTO public.who_import VALUES (16157, '2021-01-23', 'KY', 'Cayman Islands', 'AMRO', '1', '382', '0', '2');
INSERT INTO public.who_import VALUES (16158, '2021-01-24', 'KY', 'Cayman Islands', 'AMRO', '1', '383', '0', '2');
INSERT INTO public.who_import VALUES (16159, '2021-01-25', 'KY', 'Cayman Islands', 'AMRO', '0', '383', '0', '2');
INSERT INTO public.who_import VALUES (16160, '2021-01-26', 'KY', 'Cayman Islands', 'AMRO', '0', '383', '0', '2');
INSERT INTO public.who_import VALUES (16161, '2021-01-27', 'KY', 'Cayman Islands', 'AMRO', '0', '383', '0', '2');
INSERT INTO public.who_import VALUES (16162, '2021-01-28', 'KY', 'Cayman Islands', 'AMRO', '1', '384', '0', '2');
INSERT INTO public.who_import VALUES (16163, '2021-01-29', 'KY', 'Cayman Islands', 'AMRO', '1', '385', '0', '2');
INSERT INTO public.who_import VALUES (16164, '2021-01-30', 'KY', 'Cayman Islands', 'AMRO', '2', '387', '0', '2');
INSERT INTO public.who_import VALUES (16165, '2021-01-31', 'KY', 'Cayman Islands', 'AMRO', '3', '390', '0', '2');
INSERT INTO public.who_import VALUES (16166, '2021-02-01', 'KY', 'Cayman Islands', 'AMRO', '0', '390', '0', '2');
INSERT INTO public.who_import VALUES (16167, '2021-02-02', 'KY', 'Cayman Islands', 'AMRO', '0', '390', '0', '2');
INSERT INTO public.who_import VALUES (16168, '2021-02-03', 'KY', 'Cayman Islands', 'AMRO', '8', '398', '0', '2');
INSERT INTO public.who_import VALUES (16169, '2021-02-04', 'KY', 'Cayman Islands', 'AMRO', '2', '400', '0', '2');
INSERT INTO public.who_import VALUES (16170, '2021-02-05', 'KY', 'Cayman Islands', 'AMRO', '0', '400', '0', '2');
INSERT INTO public.who_import VALUES (16171, '2021-02-06', 'KY', 'Cayman Islands', 'AMRO', '5', '405', '0', '2');
INSERT INTO public.who_import VALUES (16172, '2021-02-07', 'KY', 'Cayman Islands', 'AMRO', '0', '405', '0', '2');
INSERT INTO public.who_import VALUES (16173, '2021-02-08', 'KY', 'Cayman Islands', 'AMRO', '0', '405', '0', '2');
INSERT INTO public.who_import VALUES (16174, '2021-02-09', 'KY', 'Cayman Islands', 'AMRO', '0', '405', '0', '2');
INSERT INTO public.who_import VALUES (16175, '2021-02-10', 'KY', 'Cayman Islands', 'AMRO', '3', '408', '0', '2');
INSERT INTO public.who_import VALUES (16176, '2021-02-11', 'KY', 'Cayman Islands', 'AMRO', '0', '408', '0', '2');
INSERT INTO public.who_import VALUES (16177, '2021-02-12', 'KY', 'Cayman Islands', 'AMRO', '0', '408', '0', '2');
INSERT INTO public.who_import VALUES (16178, '2021-02-13', 'KY', 'Cayman Islands', 'AMRO', '3', '411', '0', '2');
INSERT INTO public.who_import VALUES (16179, '2021-02-14', 'KY', 'Cayman Islands', 'AMRO', '5', '416', '0', '2');
INSERT INTO public.who_import VALUES (16180, '2021-02-15', 'KY', 'Cayman Islands', 'AMRO', '0', '416', '0', '2');
INSERT INTO public.who_import VALUES (16181, '2021-02-16', 'KY', 'Cayman Islands', 'AMRO', '0', '416', '0', '2');
INSERT INTO public.who_import VALUES (16182, '2021-02-17', 'KY', 'Cayman Islands', 'AMRO', '3', '419', '0', '2');
INSERT INTO public.who_import VALUES (16183, '2021-02-18', 'KY', 'Cayman Islands', 'AMRO', '0', '419', '0', '2');
INSERT INTO public.who_import VALUES (16184, '2021-02-19', 'KY', 'Cayman Islands', 'AMRO', '0', '419', '0', '2');
INSERT INTO public.who_import VALUES (16185, '2021-02-20', 'KY', 'Cayman Islands', 'AMRO', '6', '425', '0', '2');
INSERT INTO public.who_import VALUES (16186, '2020-01-03', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16187, '2020-01-04', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16188, '2020-01-05', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16189, '2020-01-06', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16190, '2020-01-07', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16191, '2020-01-08', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16192, '2020-01-09', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16193, '2020-01-10', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16194, '2020-01-11', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16195, '2020-01-12', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16196, '2020-01-13', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16197, '2020-01-14', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16198, '2020-01-15', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16199, '2020-01-16', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16200, '2020-01-17', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16201, '2020-01-18', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16202, '2020-01-19', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16203, '2020-01-20', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16204, '2020-01-21', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16205, '2020-01-22', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16206, '2020-01-23', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16207, '2020-01-24', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16208, '2020-01-25', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16209, '2020-01-26', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16210, '2020-01-27', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16211, '2020-01-28', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16212, '2020-01-29', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16213, '2020-01-30', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16214, '2020-01-31', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16215, '2020-02-01', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16216, '2020-02-02', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16217, '2020-02-03', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16218, '2020-02-04', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16219, '2020-02-05', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16220, '2020-02-06', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16221, '2020-02-07', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16222, '2020-02-08', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16223, '2020-02-09', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16224, '2020-02-10', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16225, '2020-02-11', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16226, '2020-02-12', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16227, '2020-02-13', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16228, '2020-02-14', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16229, '2020-02-15', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16230, '2020-02-16', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16231, '2020-02-17', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16232, '2020-02-18', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16233, '2020-02-19', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16234, '2020-02-20', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16235, '2020-02-21', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16236, '2020-02-22', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16237, '2020-02-23', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16238, '2020-02-24', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16239, '2020-02-25', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16240, '2020-02-26', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16241, '2020-02-27', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16242, '2020-02-28', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16243, '2020-02-29', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16244, '2020-03-01', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16245, '2020-03-02', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16246, '2020-03-03', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16247, '2020-03-04', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16248, '2020-03-05', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16249, '2020-03-06', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16250, '2020-03-07', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16251, '2020-03-08', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16252, '2020-03-09', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16253, '2020-03-10', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16254, '2020-03-11', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16255, '2020-03-12', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16256, '2020-03-13', 'CF', 'Central African Republic', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16257, '2020-03-14', 'CF', 'Central African Republic', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (16258, '2020-03-15', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16259, '2020-03-16', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16260, '2020-03-17', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16261, '2020-03-18', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16262, '2020-03-19', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16263, '2020-03-20', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16264, '2020-03-21', 'CF', 'Central African Republic', 'AFRO', '-2', '3', '0', '0');
INSERT INTO public.who_import VALUES (16265, '2020-03-22', 'CF', 'Central African Republic', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (16266, '2020-03-23', 'CF', 'Central African Republic', 'AFRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (16267, '2020-03-24', 'CF', 'Central African Republic', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (16268, '2020-03-25', 'CF', 'Central African Republic', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (16269, '2020-03-26', 'CF', 'Central African Republic', 'AFRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (16270, '2020-03-27', 'CF', 'Central African Republic', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16271, '2020-03-28', 'CF', 'Central African Republic', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (16272, '2020-03-29', 'CF', 'Central African Republic', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (16273, '2020-03-30', 'CF', 'Central African Republic', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (16274, '2020-03-31', 'CF', 'Central African Republic', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (16275, '2020-04-01', 'CF', 'Central African Republic', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (16276, '2020-04-02', 'CF', 'Central African Republic', 'AFRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (16277, '2020-04-03', 'CF', 'Central African Republic', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (16278, '2020-04-04', 'CF', 'Central African Republic', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (16279, '2020-04-05', 'CF', 'Central African Republic', 'AFRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (16280, '2020-04-06', 'CF', 'Central African Republic', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (16281, '2020-04-07', 'CF', 'Central African Republic', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (16282, '2020-04-08', 'CF', 'Central African Republic', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (16283, '2020-04-09', 'CF', 'Central African Republic', 'AFRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (16284, '2020-04-10', 'CF', 'Central African Republic', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (16285, '2020-04-11', 'CF', 'Central African Republic', 'AFRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (16286, '2020-04-12', 'CF', 'Central African Republic', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16287, '2020-04-13', 'CF', 'Central African Republic', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16288, '2020-04-14', 'CF', 'Central African Republic', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16289, '2020-04-15', 'CF', 'Central African Republic', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16290, '2020-04-16', 'CF', 'Central African Republic', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16291, '2020-04-17', 'CF', 'Central African Republic', 'AFRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (16292, '2020-04-18', 'CF', 'Central African Republic', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (16293, '2020-04-19', 'CF', 'Central African Republic', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (16294, '2020-04-20', 'CF', 'Central African Republic', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (16295, '2020-04-21', 'CF', 'Central African Republic', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (16296, '2020-04-22', 'CF', 'Central African Republic', 'AFRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (16297, '2020-04-23', 'CF', 'Central African Republic', 'AFRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (16298, '2020-04-24', 'CF', 'Central African Republic', 'AFRO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (16299, '2020-04-25', 'CF', 'Central African Republic', 'AFRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (16300, '2020-04-26', 'CF', 'Central African Republic', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (16301, '2020-04-27', 'CF', 'Central African Republic', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (16302, '2020-04-28', 'CF', 'Central African Republic', 'AFRO', '23', '42', '0', '0');
INSERT INTO public.who_import VALUES (16303, '2020-04-29', 'CF', 'Central African Republic', 'AFRO', '8', '50', '0', '0');
INSERT INTO public.who_import VALUES (16304, '2020-04-30', 'CF', 'Central African Republic', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (16305, '2020-05-01', 'CF', 'Central African Republic', 'AFRO', '14', '64', '0', '0');
INSERT INTO public.who_import VALUES (16306, '2020-05-02', 'CF', 'Central African Republic', 'AFRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (16307, '2020-05-03', 'CF', 'Central African Republic', 'AFRO', '8', '72', '0', '0');
INSERT INTO public.who_import VALUES (16308, '2020-05-04', 'CF', 'Central African Republic', 'AFRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (16309, '2020-05-05', 'CF', 'Central African Republic', 'AFRO', '22', '94', '0', '0');
INSERT INTO public.who_import VALUES (16310, '2020-05-06', 'CF', 'Central African Republic', 'AFRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (16311, '2020-05-07', 'CF', 'Central African Republic', 'AFRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (16312, '2020-05-08', 'CF', 'Central African Republic', 'AFRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (16313, '2020-05-09', 'CF', 'Central African Republic', 'AFRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (16314, '2020-05-10', 'CF', 'Central African Republic', 'AFRO', '49', '143', '0', '0');
INSERT INTO public.who_import VALUES (16315, '2020-05-11', 'CF', 'Central African Republic', 'AFRO', '36', '179', '0', '0');
INSERT INTO public.who_import VALUES (16316, '2020-05-12', 'CF', 'Central African Republic', 'AFRO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (16317, '2020-05-13', 'CF', 'Central African Republic', 'AFRO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (16318, '2020-05-14', 'CF', 'Central African Republic', 'AFRO', '8', '187', '0', '0');
INSERT INTO public.who_import VALUES (16319, '2020-05-15', 'CF', 'Central African Republic', 'AFRO', '34', '221', '0', '0');
INSERT INTO public.who_import VALUES (16320, '2020-05-16', 'CF', 'Central African Republic', 'AFRO', '80', '301', '0', '0');
INSERT INTO public.who_import VALUES (16321, '2020-05-17', 'CF', 'Central African Republic', 'AFRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (16322, '2020-05-18', 'CF', 'Central African Republic', 'AFRO', '26', '327', '0', '0');
INSERT INTO public.who_import VALUES (16323, '2020-05-19', 'CF', 'Central African Republic', 'AFRO', '9', '336', '0', '0');
INSERT INTO public.who_import VALUES (16324, '2020-05-20', 'CF', 'Central African Republic', 'AFRO', '75', '411', '0', '0');
INSERT INTO public.who_import VALUES (16325, '2020-05-21', 'CF', 'Central African Republic', 'AFRO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (16326, '2020-05-22', 'CF', 'Central African Republic', 'AFRO', '25', '436', '0', '0');
INSERT INTO public.who_import VALUES (16327, '2020-05-23', 'CF', 'Central African Republic', 'AFRO', '43', '479', '0', '0');
INSERT INTO public.who_import VALUES (16328, '2020-05-24', 'CF', 'Central African Republic', 'AFRO', '73', '552', '1', '1');
INSERT INTO public.who_import VALUES (16329, '2020-05-25', 'CF', 'Central African Republic', 'AFRO', '52', '604', '0', '1');
INSERT INTO public.who_import VALUES (16330, '2020-05-26', 'CF', 'Central African Republic', 'AFRO', '48', '652', '0', '1');
INSERT INTO public.who_import VALUES (16331, '2020-05-27', 'CF', 'Central African Republic', 'AFRO', '0', '652', '0', '1');
INSERT INTO public.who_import VALUES (16332, '2020-05-28', 'CF', 'Central African Republic', 'AFRO', '49', '701', '0', '1');
INSERT INTO public.who_import VALUES (16333, '2020-05-29', 'CF', 'Central African Republic', 'AFRO', '54', '755', '0', '1');
INSERT INTO public.who_import VALUES (16334, '2020-05-30', 'CF', 'Central African Republic', 'AFRO', '119', '874', '0', '1');
INSERT INTO public.who_import VALUES (16335, '2020-05-31', 'CF', 'Central African Republic', 'AFRO', '0', '874', '0', '1');
INSERT INTO public.who_import VALUES (16336, '2020-06-01', 'CF', 'Central African Republic', 'AFRO', '137', '1011', '1', '2');
INSERT INTO public.who_import VALUES (16337, '2020-06-02', 'CF', 'Central African Republic', 'AFRO', '58', '1069', '2', '4');
INSERT INTO public.who_import VALUES (16338, '2020-06-03', 'CF', 'Central African Republic', 'AFRO', '0', '1069', '0', '4');
INSERT INTO public.who_import VALUES (16339, '2020-06-04', 'CF', 'Central African Republic', 'AFRO', '120', '1189', '0', '4');
INSERT INTO public.who_import VALUES (16340, '2020-06-05', 'CF', 'Central African Republic', 'AFRO', '99', '1288', '0', '4');
INSERT INTO public.who_import VALUES (16341, '2020-06-06', 'CF', 'Central African Republic', 'AFRO', '163', '1451', '0', '4');
INSERT INTO public.who_import VALUES (16342, '2020-06-07', 'CF', 'Central African Republic', 'AFRO', '119', '1570', '1', '5');
INSERT INTO public.who_import VALUES (16343, '2020-06-08', 'CF', 'Central African Republic', 'AFRO', '64', '1634', '0', '5');
INSERT INTO public.who_import VALUES (16344, '2020-06-09', 'CF', 'Central African Republic', 'AFRO', '216', '1850', '0', '5');
INSERT INTO public.who_import VALUES (16345, '2020-06-10', 'CF', 'Central African Republic', 'AFRO', '0', '1850', '0', '5');
INSERT INTO public.who_import VALUES (16346, '2020-06-11', 'CF', 'Central African Republic', 'AFRO', '38', '1888', '0', '5');
INSERT INTO public.who_import VALUES (16347, '2020-06-12', 'CF', 'Central African Republic', 'AFRO', '156', '2044', '0', '5');
INSERT INTO public.who_import VALUES (16348, '2020-06-13', 'CF', 'Central African Republic', 'AFRO', '13', '2057', '2', '7');
INSERT INTO public.who_import VALUES (16349, '2020-06-14', 'CF', 'Central African Republic', 'AFRO', '0', '2057', '0', '7');
INSERT INTO public.who_import VALUES (16350, '2020-06-15', 'CF', 'Central African Republic', 'AFRO', '165', '2222', '0', '7');
INSERT INTO public.who_import VALUES (16351, '2020-06-16', 'CF', 'Central African Republic', 'AFRO', '0', '2222', '0', '7');
INSERT INTO public.who_import VALUES (16352, '2020-06-17', 'CF', 'Central African Republic', 'AFRO', '188', '2410', '7', '14');
INSERT INTO public.who_import VALUES (16353, '2020-06-18', 'CF', 'Central African Republic', 'AFRO', '154', '2564', '4', '18');
INSERT INTO public.who_import VALUES (16354, '2020-06-19', 'CF', 'Central African Republic', 'AFRO', '41', '2605', '1', '19');
INSERT INTO public.who_import VALUES (16355, '2020-06-20', 'CF', 'Central African Republic', 'AFRO', '0', '2605', '0', '19');
INSERT INTO public.who_import VALUES (16356, '2020-06-21', 'CF', 'Central African Republic', 'AFRO', '203', '2808', '4', '23');
INSERT INTO public.who_import VALUES (16357, '2020-06-22', 'CF', 'Central African Republic', 'AFRO', '0', '2808', '0', '23');
INSERT INTO public.who_import VALUES (16358, '2020-06-23', 'CF', 'Central African Republic', 'AFRO', '155', '2963', '7', '30');
INSERT INTO public.who_import VALUES (16359, '2020-06-24', 'CF', 'Central African Republic', 'AFRO', '88', '3051', '7', '37');
INSERT INTO public.who_import VALUES (16360, '2020-06-25', 'CF', 'Central African Republic', 'AFRO', '0', '3051', '0', '37');
INSERT INTO public.who_import VALUES (16361, '2020-06-26', 'CF', 'Central African Republic', 'AFRO', '193', '3244', '3', '40');
INSERT INTO public.who_import VALUES (16362, '2020-06-27', 'CF', 'Central African Republic', 'AFRO', '96', '3340', '0', '40');
INSERT INTO public.who_import VALUES (16363, '2020-06-28', 'CF', 'Central African Republic', 'AFRO', '0', '3340', '0', '40');
INSERT INTO public.who_import VALUES (16364, '2020-06-29', 'CF', 'Central African Republic', 'AFRO', '89', '3429', '5', '45');
INSERT INTO public.who_import VALUES (16365, '2020-06-30', 'CF', 'Central African Republic', 'AFRO', '184', '3613', '2', '47');
INSERT INTO public.who_import VALUES (16366, '2020-07-01', 'CF', 'Central African Republic', 'AFRO', '132', '3745', '0', '47');
INSERT INTO public.who_import VALUES (16367, '2020-07-02', 'CF', 'Central African Republic', 'AFRO', '0', '3745', '0', '47');
INSERT INTO public.who_import VALUES (16368, '2020-07-03', 'CF', 'Central African Republic', 'AFRO', '43', '3788', '0', '47');
INSERT INTO public.who_import VALUES (16369, '2020-07-04', 'CF', 'Central African Republic', 'AFRO', '130', '3918', '1', '48');
INSERT INTO public.who_import VALUES (16370, '2020-07-05', 'CF', 'Central African Republic', 'AFRO', '51', '3969', '0', '48');
INSERT INTO public.who_import VALUES (16371, '2020-07-06', 'CF', 'Central African Republic', 'AFRO', '0', '3969', '0', '48');
INSERT INTO public.who_import VALUES (16372, '2020-07-07', 'CF', 'Central African Republic', 'AFRO', '64', '4033', '4', '52');
INSERT INTO public.who_import VALUES (16373, '2020-07-08', 'CF', 'Central African Republic', 'AFRO', '38', '4071', '0', '52');
INSERT INTO public.who_import VALUES (16374, '2020-07-09', 'CF', 'Central African Republic', 'AFRO', '38', '4109', '0', '52');
INSERT INTO public.who_import VALUES (16375, '2020-07-10', 'CF', 'Central African Republic', 'AFRO', '91', '4200', '0', '52');
INSERT INTO public.who_import VALUES (16376, '2020-07-11', 'CF', 'Central African Republic', 'AFRO', '0', '4200', '0', '52');
INSERT INTO public.who_import VALUES (16377, '2020-07-12', 'CF', 'Central African Republic', 'AFRO', '88', '4288', '1', '53');
INSERT INTO public.who_import VALUES (16378, '2020-07-13', 'CF', 'Central African Republic', 'AFRO', '0', '4288', '0', '53');
INSERT INTO public.who_import VALUES (16379, '2020-07-14', 'CF', 'Central African Republic', 'AFRO', '33', '4321', '0', '53');
INSERT INTO public.who_import VALUES (16380, '2020-07-15', 'CF', 'Central African Republic', 'AFRO', '0', '4321', '0', '53');
INSERT INTO public.who_import VALUES (16381, '2020-07-16', 'CF', 'Central African Republic', 'AFRO', '41', '4362', '0', '53');
INSERT INTO public.who_import VALUES (16382, '2020-07-17', 'CF', 'Central African Republic', 'AFRO', '11', '4373', '0', '53');
INSERT INTO public.who_import VALUES (16383, '2020-07-18', 'CF', 'Central African Republic', 'AFRO', '16', '4389', '0', '53');
INSERT INTO public.who_import VALUES (16384, '2020-07-19', 'CF', 'Central African Republic', 'AFRO', '96', '4485', '2', '55');
INSERT INTO public.who_import VALUES (16385, '2020-07-20', 'CF', 'Central African Republic', 'AFRO', '0', '4485', '0', '55');
INSERT INTO public.who_import VALUES (16386, '2020-07-21', 'CF', 'Central African Republic', 'AFRO', '0', '4485', '0', '55');
INSERT INTO public.who_import VALUES (16387, '2020-07-22', 'CF', 'Central African Republic', 'AFRO', '76', '4561', '0', '55');
INSERT INTO public.who_import VALUES (16388, '2020-07-23', 'CF', 'Central African Republic', 'AFRO', '13', '4574', '2', '57');
INSERT INTO public.who_import VALUES (16389, '2020-07-24', 'CF', 'Central African Republic', 'AFRO', '16', '4590', '1', '58');
INSERT INTO public.who_import VALUES (16390, '2020-07-25', 'CF', 'Central African Republic', 'AFRO', '3', '4593', '1', '59');
INSERT INTO public.who_import VALUES (16391, '2020-07-26', 'CF', 'Central African Republic', 'AFRO', '5', '4598', '0', '59');
INSERT INTO public.who_import VALUES (16392, '2020-07-27', 'CF', 'Central African Republic', 'AFRO', '0', '4598', '0', '59');
INSERT INTO public.who_import VALUES (16393, '2020-07-28', 'CF', 'Central African Republic', 'AFRO', '1', '4599', '0', '59');
INSERT INTO public.who_import VALUES (16394, '2020-07-29', 'CF', 'Central African Republic', 'AFRO', '0', '4599', '0', '59');
INSERT INTO public.who_import VALUES (16395, '2020-07-30', 'CF', 'Central African Republic', 'AFRO', '6', '4605', '0', '59');
INSERT INTO public.who_import VALUES (16396, '2020-07-31', 'CF', 'Central African Republic', 'AFRO', '0', '4605', '0', '59');
INSERT INTO public.who_import VALUES (16397, '2020-08-01', 'CF', 'Central African Republic', 'AFRO', '3', '4608', '0', '59');
INSERT INTO public.who_import VALUES (16398, '2020-08-02', 'CF', 'Central African Republic', 'AFRO', '6', '4614', '0', '59');
INSERT INTO public.who_import VALUES (16399, '2020-08-03', 'CF', 'Central African Republic', 'AFRO', '0', '4614', '0', '59');
INSERT INTO public.who_import VALUES (16400, '2020-08-04', 'CF', 'Central African Republic', 'AFRO', '0', '4614', '0', '59');
INSERT INTO public.who_import VALUES (16401, '2020-08-05', 'CF', 'Central African Republic', 'AFRO', '4', '4618', '0', '59');
INSERT INTO public.who_import VALUES (16402, '2020-08-06', 'CF', 'Central African Republic', 'AFRO', '0', '4618', '0', '59');
INSERT INTO public.who_import VALUES (16403, '2020-08-07', 'CF', 'Central African Republic', 'AFRO', '2', '4620', '0', '59');
INSERT INTO public.who_import VALUES (16404, '2020-08-08', 'CF', 'Central African Republic', 'AFRO', '21', '4641', '0', '59');
INSERT INTO public.who_import VALUES (16405, '2020-08-09', 'CF', 'Central African Republic', 'AFRO', '0', '4641', '0', '59');
INSERT INTO public.who_import VALUES (16406, '2020-08-10', 'CF', 'Central African Republic', 'AFRO', '0', '4641', '1', '60');
INSERT INTO public.who_import VALUES (16407, '2020-08-11', 'CF', 'Central African Republic', 'AFRO', '0', '4641', '0', '60');
INSERT INTO public.who_import VALUES (16408, '2020-08-12', 'CF', 'Central African Republic', 'AFRO', '6', '4647', '1', '61');
INSERT INTO public.who_import VALUES (16409, '2020-08-13', 'CF', 'Central African Republic', 'AFRO', '5', '4652', '0', '61');
INSERT INTO public.who_import VALUES (16410, '2020-08-14', 'CF', 'Central African Republic', 'AFRO', '0', '4652', '0', '61');
INSERT INTO public.who_import VALUES (16411, '2020-08-15', 'CF', 'Central African Republic', 'AFRO', '0', '4652', '0', '61');
INSERT INTO public.who_import VALUES (16412, '2020-08-16', 'CF', 'Central African Republic', 'AFRO', '0', '4652', '0', '61');
INSERT INTO public.who_import VALUES (16413, '2020-08-17', 'CF', 'Central African Republic', 'AFRO', '0', '4652', '0', '61');
INSERT INTO public.who_import VALUES (16414, '2020-08-18', 'CF', 'Central African Republic', 'AFRO', '15', '4667', '0', '61');
INSERT INTO public.who_import VALUES (16415, '2020-08-19', 'CF', 'Central African Republic', 'AFRO', '12', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16416, '2020-08-20', 'CF', 'Central African Republic', 'AFRO', '0', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16417, '2020-08-21', 'CF', 'Central African Republic', 'AFRO', '0', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16418, '2020-08-22', 'CF', 'Central African Republic', 'AFRO', '0', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16419, '2020-08-23', 'CF', 'Central African Republic', 'AFRO', '0', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16715, '2020-04-26', 'TD', 'Chad', 'AFRO', '6', '46', '0', '0');
INSERT INTO public.who_import VALUES (16420, '2020-08-24', 'CF', 'Central African Republic', 'AFRO', '0', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16421, '2020-08-25', 'CF', 'Central African Republic', 'AFRO', '0', '4679', '0', '61');
INSERT INTO public.who_import VALUES (16422, '2020-08-26', 'CF', 'Central African Republic', 'AFRO', '12', '4691', '0', '61');
INSERT INTO public.who_import VALUES (16423, '2020-08-27', 'CF', 'Central African Republic', 'AFRO', '7', '4698', '0', '61');
INSERT INTO public.who_import VALUES (16424, '2020-08-28', 'CF', 'Central African Republic', 'AFRO', '0', '4698', '0', '61');
INSERT INTO public.who_import VALUES (16425, '2020-08-29', 'CF', 'Central African Republic', 'AFRO', '2', '4700', '0', '61');
INSERT INTO public.who_import VALUES (16426, '2020-08-30', 'CF', 'Central African Republic', 'AFRO', '0', '4700', '0', '61');
INSERT INTO public.who_import VALUES (16427, '2020-08-31', 'CF', 'Central African Republic', 'AFRO', '0', '4700', '0', '61');
INSERT INTO public.who_import VALUES (16428, '2020-09-01', 'CF', 'Central African Republic', 'AFRO', '11', '4711', '1', '62');
INSERT INTO public.who_import VALUES (16429, '2020-09-02', 'CF', 'Central African Republic', 'AFRO', '0', '4711', '0', '62');
INSERT INTO public.who_import VALUES (16430, '2020-09-03', 'CF', 'Central African Republic', 'AFRO', '1', '4712', '0', '62');
INSERT INTO public.who_import VALUES (16431, '2020-09-04', 'CF', 'Central African Republic', 'AFRO', '17', '4729', '0', '62');
INSERT INTO public.who_import VALUES (16432, '2020-09-05', 'CF', 'Central African Republic', 'AFRO', '0', '4729', '0', '62');
INSERT INTO public.who_import VALUES (16433, '2020-09-06', 'CF', 'Central African Republic', 'AFRO', '0', '4729', '0', '62');
INSERT INTO public.who_import VALUES (16434, '2020-09-07', 'CF', 'Central African Republic', 'AFRO', '0', '4729', '0', '62');
INSERT INTO public.who_import VALUES (16435, '2020-09-08', 'CF', 'Central African Republic', 'AFRO', '0', '4729', '0', '62');
INSERT INTO public.who_import VALUES (16436, '2020-09-09', 'CF', 'Central African Republic', 'AFRO', '7', '4736', '0', '62');
INSERT INTO public.who_import VALUES (16437, '2020-09-10', 'CF', 'Central African Republic', 'AFRO', '0', '4736', '0', '62');
INSERT INTO public.who_import VALUES (16438, '2020-09-11', 'CF', 'Central African Republic', 'AFRO', '11', '4747', '0', '62');
INSERT INTO public.who_import VALUES (16439, '2020-09-12', 'CF', 'Central African Republic', 'AFRO', '2', '4749', '0', '62');
INSERT INTO public.who_import VALUES (16440, '2020-09-13', 'CF', 'Central African Republic', 'AFRO', '0', '4749', '0', '62');
INSERT INTO public.who_import VALUES (16441, '2020-09-14', 'CF', 'Central African Republic', 'AFRO', '0', '4749', '0', '62');
INSERT INTO public.who_import VALUES (16442, '2020-09-15', 'CF', 'Central African Republic', 'AFRO', '23', '4772', '0', '62');
INSERT INTO public.who_import VALUES (16443, '2020-09-16', 'CF', 'Central African Republic', 'AFRO', '0', '4772', '0', '62');
INSERT INTO public.who_import VALUES (16444, '2020-09-17', 'CF', 'Central African Republic', 'AFRO', '10', '4782', '0', '62');
INSERT INTO public.who_import VALUES (16445, '2020-09-18', 'CF', 'Central African Republic', 'AFRO', '4', '4786', '0', '62');
INSERT INTO public.who_import VALUES (16446, '2020-09-19', 'CF', 'Central African Republic', 'AFRO', '0', '4786', '0', '62');
INSERT INTO public.who_import VALUES (16447, '2020-09-20', 'CF', 'Central African Republic', 'AFRO', '7', '4793', '0', '62');
INSERT INTO public.who_import VALUES (16448, '2020-09-21', 'CF', 'Central African Republic', 'AFRO', '0', '4793', '0', '62');
INSERT INTO public.who_import VALUES (16449, '2020-09-22', 'CF', 'Central African Republic', 'AFRO', '9', '4802', '0', '62');
INSERT INTO public.who_import VALUES (16450, '2020-09-23', 'CF', 'Central African Republic', 'AFRO', '0', '4802', '0', '62');
INSERT INTO public.who_import VALUES (16451, '2020-09-24', 'CF', 'Central African Republic', 'AFRO', '2', '4804', '0', '62');
INSERT INTO public.who_import VALUES (16452, '2020-09-25', 'CF', 'Central African Republic', 'AFRO', '0', '4804', '0', '62');
INSERT INTO public.who_import VALUES (16453, '2020-09-26', 'CF', 'Central African Republic', 'AFRO', '2', '4806', '0', '62');
INSERT INTO public.who_import VALUES (16454, '2020-09-27', 'CF', 'Central African Republic', 'AFRO', '0', '4806', '0', '62');
INSERT INTO public.who_import VALUES (16455, '2020-09-28', 'CF', 'Central African Republic', 'AFRO', '0', '4806', '0', '62');
INSERT INTO public.who_import VALUES (16456, '2020-09-29', 'CF', 'Central African Republic', 'AFRO', '19', '4825', '0', '62');
INSERT INTO public.who_import VALUES (16457, '2020-09-30', 'CF', 'Central African Republic', 'AFRO', '4', '4829', '0', '62');
INSERT INTO public.who_import VALUES (16458, '2020-10-01', 'CF', 'Central African Republic', 'AFRO', '0', '4829', '0', '62');
INSERT INTO public.who_import VALUES (16459, '2020-10-02', 'CF', 'Central African Republic', 'AFRO', '0', '4829', '0', '62');
INSERT INTO public.who_import VALUES (16460, '2020-10-03', 'CF', 'Central African Republic', 'AFRO', '16', '4845', '0', '62');
INSERT INTO public.who_import VALUES (16461, '2020-10-04', 'CF', 'Central African Republic', 'AFRO', '0', '4845', '0', '62');
INSERT INTO public.who_import VALUES (16462, '2020-10-05', 'CF', 'Central African Republic', 'AFRO', '0', '4845', '0', '62');
INSERT INTO public.who_import VALUES (16463, '2020-10-06', 'CF', 'Central African Republic', 'AFRO', '5', '4850', '0', '62');
INSERT INTO public.who_import VALUES (16464, '2020-10-07', 'CF', 'Central African Republic', 'AFRO', '3', '4853', '0', '62');
INSERT INTO public.who_import VALUES (16465, '2020-10-08', 'CF', 'Central African Republic', 'AFRO', '0', '4853', '0', '62');
INSERT INTO public.who_import VALUES (16466, '2020-10-09', 'CF', 'Central African Republic', 'AFRO', '0', '4853', '0', '62');
INSERT INTO public.who_import VALUES (16467, '2020-10-10', 'CF', 'Central African Republic', 'AFRO', '1', '4854', '0', '62');
INSERT INTO public.who_import VALUES (16468, '2020-10-11', 'CF', 'Central African Republic', 'AFRO', '0', '4854', '0', '62');
INSERT INTO public.who_import VALUES (16469, '2020-10-12', 'CF', 'Central African Republic', 'AFRO', '0', '4854', '0', '62');
INSERT INTO public.who_import VALUES (16470, '2020-10-13', 'CF', 'Central African Republic', 'AFRO', '1', '4855', '0', '62');
INSERT INTO public.who_import VALUES (16471, '2020-10-14', 'CF', 'Central African Republic', 'AFRO', '0', '4855', '0', '62');
INSERT INTO public.who_import VALUES (16472, '2020-10-15', 'CF', 'Central African Republic', 'AFRO', '0', '4855', '0', '62');
INSERT INTO public.who_import VALUES (16473, '2020-10-16', 'CF', 'Central African Republic', 'AFRO', '0', '4855', '0', '62');
INSERT INTO public.who_import VALUES (16474, '2020-10-17', 'CF', 'Central African Republic', 'AFRO', '0', '4855', '0', '62');
INSERT INTO public.who_import VALUES (16475, '2020-10-18', 'CF', 'Central African Republic', 'AFRO', '0', '4855', '0', '62');
INSERT INTO public.who_import VALUES (16476, '2020-10-19', 'CF', 'Central African Republic', 'AFRO', '1', '4856', '0', '62');
INSERT INTO public.who_import VALUES (16477, '2020-10-20', 'CF', 'Central African Republic', 'AFRO', '2', '4858', '0', '62');
INSERT INTO public.who_import VALUES (16478, '2020-10-21', 'CF', 'Central African Republic', 'AFRO', '0', '4858', '0', '62');
INSERT INTO public.who_import VALUES (16479, '2020-10-22', 'CF', 'Central African Republic', 'AFRO', '4', '4862', '0', '62');
INSERT INTO public.who_import VALUES (16480, '2020-10-23', 'CF', 'Central African Republic', 'AFRO', '0', '4862', '0', '62');
INSERT INTO public.who_import VALUES (16481, '2020-10-24', 'CF', 'Central African Republic', 'AFRO', '0', '4862', '0', '62');
INSERT INTO public.who_import VALUES (16482, '2020-10-25', 'CF', 'Central African Republic', 'AFRO', '0', '4862', '0', '62');
INSERT INTO public.who_import VALUES (16483, '2020-10-26', 'CF', 'Central African Republic', 'AFRO', '1', '4863', '0', '62');
INSERT INTO public.who_import VALUES (16484, '2020-10-27', 'CF', 'Central African Republic', 'AFRO', '0', '4863', '0', '62');
INSERT INTO public.who_import VALUES (16485, '2020-10-28', 'CF', 'Central African Republic', 'AFRO', '0', '4863', '0', '62');
INSERT INTO public.who_import VALUES (16486, '2020-10-29', 'CF', 'Central African Republic', 'AFRO', '0', '4863', '0', '62');
INSERT INTO public.who_import VALUES (16487, '2020-10-30', 'CF', 'Central African Republic', 'AFRO', '3', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16488, '2020-10-31', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16489, '2020-11-01', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16490, '2020-11-02', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16491, '2020-11-03', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16492, '2020-11-04', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16493, '2020-11-05', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16494, '2020-11-06', 'CF', 'Central African Republic', 'AFRO', '0', '4866', '0', '62');
INSERT INTO public.who_import VALUES (16495, '2020-11-07', 'CF', 'Central African Republic', 'AFRO', '13', '4879', '0', '62');
INSERT INTO public.who_import VALUES (16496, '2020-11-08', 'CF', 'Central African Republic', 'AFRO', '0', '4879', '0', '62');
INSERT INTO public.who_import VALUES (16497, '2020-11-09', 'CF', 'Central African Republic', 'AFRO', '1', '4880', '0', '62');
INSERT INTO public.who_import VALUES (16498, '2020-11-10', 'CF', 'Central African Republic', 'AFRO', '4', '4884', '0', '62');
INSERT INTO public.who_import VALUES (16499, '2020-11-11', 'CF', 'Central African Republic', 'AFRO', '0', '4884', '0', '62');
INSERT INTO public.who_import VALUES (16500, '2020-11-12', 'CF', 'Central African Republic', 'AFRO', '4', '4888', '0', '62');
INSERT INTO public.who_import VALUES (16501, '2020-11-13', 'CF', 'Central African Republic', 'AFRO', '0', '4888', '0', '62');
INSERT INTO public.who_import VALUES (16502, '2020-11-14', 'CF', 'Central African Republic', 'AFRO', '8', '4896', '1', '63');
INSERT INTO public.who_import VALUES (16503, '2020-11-15', 'CF', 'Central African Republic', 'AFRO', '4', '4900', '0', '63');
INSERT INTO public.who_import VALUES (16504, '2020-11-16', 'CF', 'Central African Republic', 'AFRO', '0', '4900', '0', '63');
INSERT INTO public.who_import VALUES (16505, '2020-11-17', 'CF', 'Central African Republic', 'AFRO', '0', '4900', '0', '63');
INSERT INTO public.who_import VALUES (16506, '2020-11-18', 'CF', 'Central African Republic', 'AFRO', '0', '4900', '0', '63');
INSERT INTO public.who_import VALUES (16507, '2020-11-19', 'CF', 'Central African Republic', 'AFRO', '7', '4907', '0', '63');
INSERT INTO public.who_import VALUES (16716, '2020-04-27', 'TD', 'Chad', 'AFRO', '0', '46', '0', '0');
INSERT INTO public.who_import VALUES (16508, '2020-11-20', 'CF', 'Central African Republic', 'AFRO', '4', '4911', '0', '63');
INSERT INTO public.who_import VALUES (16509, '2020-11-21', 'CF', 'Central African Republic', 'AFRO', '0', '4911', '0', '63');
INSERT INTO public.who_import VALUES (16510, '2020-11-22', 'CF', 'Central African Republic', 'AFRO', '0', '4911', '0', '63');
INSERT INTO public.who_import VALUES (16511, '2020-11-23', 'CF', 'Central African Republic', 'AFRO', '0', '4911', '0', '63');
INSERT INTO public.who_import VALUES (16512, '2020-11-24', 'CF', 'Central African Republic', 'AFRO', '0', '4911', '0', '63');
INSERT INTO public.who_import VALUES (16513, '2020-11-25', 'CF', 'Central African Republic', 'AFRO', '0', '4911', '0', '63');
INSERT INTO public.who_import VALUES (16514, '2020-11-26', 'CF', 'Central African Republic', 'AFRO', '2', '4913', '0', '63');
INSERT INTO public.who_import VALUES (16515, '2020-11-27', 'CF', 'Central African Republic', 'AFRO', '0', '4913', '0', '63');
INSERT INTO public.who_import VALUES (16516, '2020-11-28', 'CF', 'Central African Republic', 'AFRO', '0', '4913', '0', '63');
INSERT INTO public.who_import VALUES (16517, '2020-11-29', 'CF', 'Central African Republic', 'AFRO', '0', '4913', '0', '63');
INSERT INTO public.who_import VALUES (16518, '2020-11-30', 'CF', 'Central African Republic', 'AFRO', '0', '4913', '0', '63');
INSERT INTO public.who_import VALUES (16519, '2020-12-01', 'CF', 'Central African Republic', 'AFRO', '5', '4918', '0', '63');
INSERT INTO public.who_import VALUES (16520, '2020-12-02', 'CF', 'Central African Republic', 'AFRO', '0', '4918', '0', '63');
INSERT INTO public.who_import VALUES (16521, '2020-12-03', 'CF', 'Central African Republic', 'AFRO', '0', '4918', '0', '63');
INSERT INTO public.who_import VALUES (16522, '2020-12-04', 'CF', 'Central African Republic', 'AFRO', '0', '4918', '0', '63');
INSERT INTO public.who_import VALUES (16523, '2020-12-05', 'CF', 'Central African Republic', 'AFRO', '4', '4922', '0', '63');
INSERT INTO public.who_import VALUES (16524, '2020-12-06', 'CF', 'Central African Republic', 'AFRO', '0', '4922', '0', '63');
INSERT INTO public.who_import VALUES (16525, '2020-12-07', 'CF', 'Central African Republic', 'AFRO', '0', '4922', '0', '63');
INSERT INTO public.who_import VALUES (16526, '2020-12-08', 'CF', 'Central African Republic', 'AFRO', '5', '4927', '0', '63');
INSERT INTO public.who_import VALUES (16527, '2020-12-09', 'CF', 'Central African Republic', 'AFRO', '0', '4927', '0', '63');
INSERT INTO public.who_import VALUES (16528, '2020-12-10', 'CF', 'Central African Republic', 'AFRO', '5', '4932', '0', '63');
INSERT INTO public.who_import VALUES (16529, '2020-12-11', 'CF', 'Central African Republic', 'AFRO', '4', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16530, '2020-12-12', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16531, '2020-12-13', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16532, '2020-12-14', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16533, '2020-12-15', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16534, '2020-12-16', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16535, '2020-12-17', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16536, '2020-12-18', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16537, '2020-12-19', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16538, '2020-12-20', 'CF', 'Central African Republic', 'AFRO', '0', '4936', '0', '63');
INSERT INTO public.who_import VALUES (16539, '2020-12-21', 'CF', 'Central African Republic', 'AFRO', '2', '4938', '0', '63');
INSERT INTO public.who_import VALUES (16540, '2020-12-22', 'CF', 'Central African Republic', 'AFRO', '10', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16541, '2020-12-23', 'CF', 'Central African Republic', 'AFRO', '0', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16542, '2020-12-24', 'CF', 'Central African Republic', 'AFRO', '0', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16543, '2020-12-25', 'CF', 'Central African Republic', 'AFRO', '0', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16544, '2020-12-26', 'CF', 'Central African Republic', 'AFRO', '0', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16545, '2020-12-27', 'CF', 'Central African Republic', 'AFRO', '0', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16546, '2020-12-28', 'CF', 'Central African Republic', 'AFRO', '0', '4948', '0', '63');
INSERT INTO public.who_import VALUES (16547, '2020-12-29', 'CF', 'Central African Republic', 'AFRO', '13', '4961', '0', '63');
INSERT INTO public.who_import VALUES (16548, '2020-12-30', 'CF', 'Central African Republic', 'AFRO', '2', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16549, '2020-12-31', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16550, '2021-01-01', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16551, '2021-01-02', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16552, '2021-01-03', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16553, '2021-01-04', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16554, '2021-01-05', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16555, '2021-01-06', 'CF', 'Central African Republic', 'AFRO', '0', '4963', '0', '63');
INSERT INTO public.who_import VALUES (16556, '2021-01-07', 'CF', 'Central African Republic', 'AFRO', '6', '4969', '0', '63');
INSERT INTO public.who_import VALUES (16557, '2021-01-08', 'CF', 'Central African Republic', 'AFRO', '0', '4969', '0', '63');
INSERT INTO public.who_import VALUES (16558, '2021-01-09', 'CF', 'Central African Republic', 'AFRO', '0', '4969', '0', '63');
INSERT INTO public.who_import VALUES (16559, '2021-01-10', 'CF', 'Central African Republic', 'AFRO', '4', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16560, '2021-01-11', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16561, '2021-01-12', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16562, '2021-01-13', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16563, '2021-01-14', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16564, '2021-01-15', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16565, '2021-01-16', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16566, '2021-01-17', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16567, '2021-01-18', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16568, '2021-01-19', 'CF', 'Central African Republic', 'AFRO', '0', '4973', '0', '63');
INSERT INTO public.who_import VALUES (16569, '2021-01-20', 'CF', 'Central African Republic', 'AFRO', '1', '4974', '0', '63');
INSERT INTO public.who_import VALUES (16570, '2021-01-21', 'CF', 'Central African Republic', 'AFRO', '0', '4974', '0', '63');
INSERT INTO public.who_import VALUES (16571, '2021-01-22', 'CF', 'Central African Republic', 'AFRO', '0', '4974', '0', '63');
INSERT INTO public.who_import VALUES (16572, '2021-01-23', 'CF', 'Central African Republic', 'AFRO', '0', '4974', '0', '63');
INSERT INTO public.who_import VALUES (16573, '2021-01-24', 'CF', 'Central African Republic', 'AFRO', '6', '4980', '0', '63');
INSERT INTO public.who_import VALUES (16574, '2021-01-25', 'CF', 'Central African Republic', 'AFRO', '0', '4980', '0', '63');
INSERT INTO public.who_import VALUES (16575, '2021-01-26', 'CF', 'Central African Republic', 'AFRO', '0', '4980', '0', '63');
INSERT INTO public.who_import VALUES (16576, '2021-01-27', 'CF', 'Central African Republic', 'AFRO', '1', '4981', '0', '63');
INSERT INTO public.who_import VALUES (16577, '2021-01-28', 'CF', 'Central African Republic', 'AFRO', '0', '4981', '0', '63');
INSERT INTO public.who_import VALUES (16578, '2021-01-29', 'CF', 'Central African Republic', 'AFRO', '0', '4981', '0', '63');
INSERT INTO public.who_import VALUES (16579, '2021-01-30', 'CF', 'Central African Republic', 'AFRO', '0', '4981', '0', '63');
INSERT INTO public.who_import VALUES (16580, '2021-01-31', 'CF', 'Central African Republic', 'AFRO', '0', '4981', '0', '63');
INSERT INTO public.who_import VALUES (16581, '2021-02-01', 'CF', 'Central African Republic', 'AFRO', '8', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16582, '2021-02-02', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16583, '2021-02-03', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16584, '2021-02-04', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16585, '2021-02-05', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16586, '2021-02-06', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16587, '2021-02-07', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16588, '2021-02-08', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16589, '2021-02-09', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16590, '2021-02-10', 'CF', 'Central African Republic', 'AFRO', '0', '4989', '0', '63');
INSERT INTO public.who_import VALUES (16591, '2021-02-11', 'CF', 'Central African Republic', 'AFRO', '7', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16592, '2021-02-12', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16593, '2021-02-13', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16594, '2021-02-14', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16595, '2021-02-15', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16717, '2020-04-28', 'TD', 'Chad', 'AFRO', '0', '46', '0', '0');
INSERT INTO public.who_import VALUES (16596, '2021-02-16', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16597, '2021-02-17', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16598, '2021-02-18', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16599, '2021-02-19', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16600, '2021-02-20', 'CF', 'Central African Republic', 'AFRO', '0', '4996', '0', '63');
INSERT INTO public.who_import VALUES (16601, '2020-01-03', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16602, '2020-01-04', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16603, '2020-01-05', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16604, '2020-01-06', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16605, '2020-01-07', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16606, '2020-01-08', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16607, '2020-01-09', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16608, '2020-01-10', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16609, '2020-01-11', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16610, '2020-01-12', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16611, '2020-01-13', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16612, '2020-01-14', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16613, '2020-01-15', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16614, '2020-01-16', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16615, '2020-01-17', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16616, '2020-01-18', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16617, '2020-01-19', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16618, '2020-01-20', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16619, '2020-01-21', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16620, '2020-01-22', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16621, '2020-01-23', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16622, '2020-01-24', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16623, '2020-01-25', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16624, '2020-01-26', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16625, '2020-01-27', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16626, '2020-01-28', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16627, '2020-01-29', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16628, '2020-01-30', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16629, '2020-01-31', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16630, '2020-02-01', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16631, '2020-02-02', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16632, '2020-02-03', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16633, '2020-02-04', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16634, '2020-02-05', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16635, '2020-02-06', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16636, '2020-02-07', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16637, '2020-02-08', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16638, '2020-02-09', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16639, '2020-02-10', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16640, '2020-02-11', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16641, '2020-02-12', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16642, '2020-02-13', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16643, '2020-02-14', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16644, '2020-02-15', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16645, '2020-02-16', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16646, '2020-02-17', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16647, '2020-02-18', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16648, '2020-02-19', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16649, '2020-02-20', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16650, '2020-02-21', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16651, '2020-02-22', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16652, '2020-02-23', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16653, '2020-02-24', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16654, '2020-02-25', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16655, '2020-02-26', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16656, '2020-02-27', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16657, '2020-02-28', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16658, '2020-02-29', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16659, '2020-03-01', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16660, '2020-03-02', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16661, '2020-03-03', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16662, '2020-03-04', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16663, '2020-03-05', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16664, '2020-03-06', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16665, '2020-03-07', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16666, '2020-03-08', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16667, '2020-03-09', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16668, '2020-03-10', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16669, '2020-03-11', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16670, '2020-03-12', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16671, '2020-03-13', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16672, '2020-03-14', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16673, '2020-03-15', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16674, '2020-03-16', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16675, '2020-03-17', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16676, '2020-03-18', 'TD', 'Chad', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (16677, '2020-03-19', 'TD', 'Chad', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (16678, '2020-03-20', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16679, '2020-03-21', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16680, '2020-03-22', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16681, '2020-03-23', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16682, '2020-03-24', 'TD', 'Chad', 'AFRO', '-2', '3', '0', '0');
INSERT INTO public.who_import VALUES (16683, '2020-03-25', 'TD', 'Chad', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (16684, '2020-03-26', 'TD', 'Chad', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (16685, '2020-03-27', 'TD', 'Chad', 'AFRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (16686, '2020-03-28', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16687, '2020-03-29', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16688, '2020-03-30', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16689, '2020-03-31', 'TD', 'Chad', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (16690, '2020-04-01', 'TD', 'Chad', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (16691, '2020-04-02', 'TD', 'Chad', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (16692, '2020-04-03', 'TD', 'Chad', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (16693, '2020-04-04', 'TD', 'Chad', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (16694, '2020-04-05', 'TD', 'Chad', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (16695, '2020-04-06', 'TD', 'Chad', 'AFRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (16696, '2020-04-07', 'TD', 'Chad', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (16697, '2020-04-08', 'TD', 'Chad', 'AFRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (16698, '2020-04-09', 'TD', 'Chad', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (16699, '2020-04-10', 'TD', 'Chad', 'AFRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (16700, '2020-04-11', 'TD', 'Chad', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16701, '2020-04-12', 'TD', 'Chad', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (16702, '2020-04-13', 'TD', 'Chad', 'AFRO', '7', '18', '0', '0');
INSERT INTO public.who_import VALUES (16703, '2020-04-14', 'TD', 'Chad', 'AFRO', '5', '23', '0', '0');
INSERT INTO public.who_import VALUES (16704, '2020-04-15', 'TD', 'Chad', 'AFRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (16705, '2020-04-16', 'TD', 'Chad', 'AFRO', '4', '27', '0', '0');
INSERT INTO public.who_import VALUES (16706, '2020-04-17', 'TD', 'Chad', 'AFRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (16707, '2020-04-18', 'TD', 'Chad', 'AFRO', '6', '33', '0', '0');
INSERT INTO public.who_import VALUES (16708, '2020-04-19', 'TD', 'Chad', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (16709, '2020-04-20', 'TD', 'Chad', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (16710, '2020-04-21', 'TD', 'Chad', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (16711, '2020-04-22', 'TD', 'Chad', 'AFRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (16712, '2020-04-23', 'TD', 'Chad', 'AFRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (16713, '2020-04-24', 'TD', 'Chad', 'AFRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (16718, '2020-04-29', 'TD', 'Chad', 'AFRO', '6', '52', '2', '2');
INSERT INTO public.who_import VALUES (16719, '2020-04-30', 'TD', 'Chad', 'AFRO', '0', '52', '0', '2');
INSERT INTO public.who_import VALUES (16720, '2020-05-01', 'TD', 'Chad', 'AFRO', '21', '73', '1', '3');
INSERT INTO public.who_import VALUES (16721, '2020-05-02', 'TD', 'Chad', 'AFRO', '0', '73', '2', '5');
INSERT INTO public.who_import VALUES (16722, '2020-05-03', 'TD', 'Chad', 'AFRO', '44', '117', '5', '10');
INSERT INTO public.who_import VALUES (16723, '2020-05-04', 'TD', 'Chad', 'AFRO', '0', '117', '0', '10');
INSERT INTO public.who_import VALUES (16724, '2020-05-05', 'TD', 'Chad', 'AFRO', '0', '117', '0', '10');
INSERT INTO public.who_import VALUES (16725, '2020-05-06', 'TD', 'Chad', 'AFRO', '53', '170', '7', '17');
INSERT INTO public.who_import VALUES (16726, '2020-05-07', 'TD', 'Chad', 'AFRO', '0', '170', '0', '17');
INSERT INTO public.who_import VALUES (16727, '2020-05-08', 'TD', 'Chad', 'AFRO', '83', '253', '10', '27');
INSERT INTO public.who_import VALUES (16728, '2020-05-09', 'TD', 'Chad', 'AFRO', '7', '260', '1', '28');
INSERT INTO public.who_import VALUES (16729, '2020-05-10', 'TD', 'Chad', 'AFRO', '62', '322', '3', '31');
INSERT INTO public.who_import VALUES (16730, '2020-05-11', 'TD', 'Chad', 'AFRO', '0', '322', '0', '31');
INSERT INTO public.who_import VALUES (16731, '2020-05-12', 'TD', 'Chad', 'AFRO', '0', '322', '0', '31');
INSERT INTO public.who_import VALUES (16732, '2020-05-13', 'TD', 'Chad', 'AFRO', '35', '357', '9', '40');
INSERT INTO public.who_import VALUES (16733, '2020-05-14', 'TD', 'Chad', 'AFRO', '15', '372', '2', '42');
INSERT INTO public.who_import VALUES (16734, '2020-05-15', 'TD', 'Chad', 'AFRO', '27', '399', '4', '46');
INSERT INTO public.who_import VALUES (16735, '2020-05-16', 'TD', 'Chad', 'AFRO', '29', '428', '2', '48');
INSERT INTO public.who_import VALUES (16736, '2020-05-17', 'TD', 'Chad', 'AFRO', '46', '474', '2', '50');
INSERT INTO public.who_import VALUES (16737, '2020-05-18', 'TD', 'Chad', 'AFRO', '29', '503', '3', '53');
INSERT INTO public.who_import VALUES (16738, '2020-05-19', 'TD', 'Chad', 'AFRO', '16', '519', '1', '54');
INSERT INTO public.who_import VALUES (16739, '2020-05-20', 'TD', 'Chad', 'AFRO', '26', '545', '2', '56');
INSERT INTO public.who_import VALUES (16740, '2020-05-21', 'TD', 'Chad', 'AFRO', '20', '565', '1', '57');
INSERT INTO public.who_import VALUES (16741, '2020-05-22', 'TD', 'Chad', 'AFRO', '23', '588', '1', '58');
INSERT INTO public.who_import VALUES (16742, '2020-05-23', 'TD', 'Chad', 'AFRO', '23', '611', '1', '59');
INSERT INTO public.who_import VALUES (16743, '2020-05-24', 'TD', 'Chad', 'AFRO', '37', '648', '1', '60');
INSERT INTO public.who_import VALUES (16744, '2020-05-25', 'TD', 'Chad', 'AFRO', '27', '675', '0', '60');
INSERT INTO public.who_import VALUES (16745, '2020-05-26', 'TD', 'Chad', 'AFRO', '12', '687', '1', '61');
INSERT INTO public.who_import VALUES (16746, '2020-05-27', 'TD', 'Chad', 'AFRO', '13', '700', '1', '62');
INSERT INTO public.who_import VALUES (16747, '2020-05-28', 'TD', 'Chad', 'AFRO', '15', '715', '2', '64');
INSERT INTO public.who_import VALUES (16748, '2020-05-29', 'TD', 'Chad', 'AFRO', '11', '726', '1', '65');
INSERT INTO public.who_import VALUES (16749, '2020-05-30', 'TD', 'Chad', 'AFRO', '33', '759', '0', '65');
INSERT INTO public.who_import VALUES (16750, '2020-05-31', 'TD', 'Chad', 'AFRO', '0', '759', '0', '65');
INSERT INTO public.who_import VALUES (16751, '2020-06-01', 'TD', 'Chad', 'AFRO', '19', '778', '0', '65');
INSERT INTO public.who_import VALUES (16752, '2020-06-02', 'TD', 'Chad', 'AFRO', '12', '790', '1', '66');
INSERT INTO public.who_import VALUES (16753, '2020-06-03', 'TD', 'Chad', 'AFRO', '13', '803', '0', '66');
INSERT INTO public.who_import VALUES (16754, '2020-06-04', 'TD', 'Chad', 'AFRO', '17', '820', '0', '66');
INSERT INTO public.who_import VALUES (16755, '2020-06-05', 'TD', 'Chad', 'AFRO', '8', '828', '0', '66');
INSERT INTO public.who_import VALUES (16756, '2020-06-06', 'TD', 'Chad', 'AFRO', '8', '836', '2', '68');
INSERT INTO public.who_import VALUES (16757, '2020-06-07', 'TD', 'Chad', 'AFRO', '0', '836', '1', '69');
INSERT INTO public.who_import VALUES (16758, '2020-06-08', 'TD', 'Chad', 'AFRO', '1', '837', '0', '69');
INSERT INTO public.who_import VALUES (16759, '2020-06-09', 'TD', 'Chad', 'AFRO', '2', '839', '1', '70');
INSERT INTO public.who_import VALUES (16760, '2020-06-10', 'TD', 'Chad', 'AFRO', '5', '844', '1', '71');
INSERT INTO public.who_import VALUES (16761, '2020-06-11', 'TD', 'Chad', 'AFRO', '2', '846', '1', '72');
INSERT INTO public.who_import VALUES (16762, '2020-06-12', 'TD', 'Chad', 'AFRO', '2', '848', '0', '72');
INSERT INTO public.who_import VALUES (16763, '2020-06-13', 'TD', 'Chad', 'AFRO', '0', '848', '0', '72');
INSERT INTO public.who_import VALUES (16764, '2020-06-14', 'TD', 'Chad', 'AFRO', '0', '848', '0', '72');
INSERT INTO public.who_import VALUES (16765, '2020-06-15', 'TD', 'Chad', 'AFRO', '2', '850', '1', '73');
INSERT INTO public.who_import VALUES (16766, '2020-06-16', 'TD', 'Chad', 'AFRO', '0', '850', '0', '73');
INSERT INTO public.who_import VALUES (16767, '2020-06-17', 'TD', 'Chad', 'AFRO', '3', '853', '1', '74');
INSERT INTO public.who_import VALUES (16768, '2020-06-18', 'TD', 'Chad', 'AFRO', '1', '854', '0', '74');
INSERT INTO public.who_import VALUES (16769, '2020-06-19', 'TD', 'Chad', 'AFRO', '0', '854', '0', '74');
INSERT INTO public.who_import VALUES (16770, '2020-06-20', 'TD', 'Chad', 'AFRO', '4', '858', '0', '74');
INSERT INTO public.who_import VALUES (16771, '2020-06-21', 'TD', 'Chad', 'AFRO', '0', '858', '0', '74');
INSERT INTO public.who_import VALUES (16772, '2020-06-22', 'TD', 'Chad', 'AFRO', '0', '858', '0', '74');
INSERT INTO public.who_import VALUES (16773, '2020-06-23', 'TD', 'Chad', 'AFRO', '0', '858', '0', '74');
INSERT INTO public.who_import VALUES (16774, '2020-06-24', 'TD', 'Chad', 'AFRO', '2', '860', '0', '74');
INSERT INTO public.who_import VALUES (16775, '2020-06-25', 'TD', 'Chad', 'AFRO', '0', '860', '0', '74');
INSERT INTO public.who_import VALUES (16776, '2020-06-26', 'TD', 'Chad', 'AFRO', '3', '863', '0', '74');
INSERT INTO public.who_import VALUES (16777, '2020-06-27', 'TD', 'Chad', 'AFRO', '2', '865', '0', '74');
INSERT INTO public.who_import VALUES (16778, '2020-06-28', 'TD', 'Chad', 'AFRO', '0', '865', '0', '74');
INSERT INTO public.who_import VALUES (16779, '2020-06-29', 'TD', 'Chad', 'AFRO', '1', '866', '0', '74');
INSERT INTO public.who_import VALUES (16780, '2020-06-30', 'TD', 'Chad', 'AFRO', '0', '866', '0', '74');
INSERT INTO public.who_import VALUES (16781, '2020-07-01', 'TD', 'Chad', 'AFRO', '0', '866', '0', '74');
INSERT INTO public.who_import VALUES (16782, '2020-07-02', 'TD', 'Chad', 'AFRO', '0', '866', '0', '74');
INSERT INTO public.who_import VALUES (16783, '2020-07-03', 'TD', 'Chad', 'AFRO', '2', '868', '0', '74');
INSERT INTO public.who_import VALUES (16784, '2020-07-04', 'TD', 'Chad', 'AFRO', '3', '871', '0', '74');
INSERT INTO public.who_import VALUES (16785, '2020-07-05', 'TD', 'Chad', 'AFRO', '0', '871', '0', '74');
INSERT INTO public.who_import VALUES (16786, '2020-07-06', 'TD', 'Chad', 'AFRO', '1', '872', '0', '74');
INSERT INTO public.who_import VALUES (16787, '2020-07-07', 'TD', 'Chad', 'AFRO', '0', '872', '0', '74');
INSERT INTO public.who_import VALUES (16788, '2020-07-08', 'TD', 'Chad', 'AFRO', '1', '873', '0', '74');
INSERT INTO public.who_import VALUES (16789, '2020-07-09', 'TD', 'Chad', 'AFRO', '0', '873', '0', '74');
INSERT INTO public.who_import VALUES (16790, '2020-07-10', 'TD', 'Chad', 'AFRO', '0', '873', '0', '74');
INSERT INTO public.who_import VALUES (16791, '2020-07-11', 'TD', 'Chad', 'AFRO', '1', '874', '0', '74');
INSERT INTO public.who_import VALUES (16792, '2020-07-12', 'TD', 'Chad', 'AFRO', '0', '874', '0', '74');
INSERT INTO public.who_import VALUES (16793, '2020-07-13', 'TD', 'Chad', 'AFRO', '6', '880', '1', '75');
INSERT INTO public.who_import VALUES (16794, '2020-07-14', 'TD', 'Chad', 'AFRO', '0', '880', '0', '75');
INSERT INTO public.who_import VALUES (16795, '2020-07-15', 'TD', 'Chad', 'AFRO', '4', '884', '0', '75');
INSERT INTO public.who_import VALUES (16796, '2020-07-16', 'TD', 'Chad', 'AFRO', '1', '885', '0', '75');
INSERT INTO public.who_import VALUES (16797, '2020-07-17', 'TD', 'Chad', 'AFRO', '1', '886', '0', '75');
INSERT INTO public.who_import VALUES (16798, '2020-07-18', 'TD', 'Chad', 'AFRO', '1', '887', '0', '75');
INSERT INTO public.who_import VALUES (16799, '2020-07-19', 'TD', 'Chad', 'AFRO', '2', '889', '0', '75');
INSERT INTO public.who_import VALUES (16800, '2020-07-20', 'TD', 'Chad', 'AFRO', '0', '889', '0', '75');
INSERT INTO public.who_import VALUES (16801, '2020-07-21', 'TD', 'Chad', 'AFRO', '0', '889', '0', '75');
INSERT INTO public.who_import VALUES (16802, '2020-07-22', 'TD', 'Chad', 'AFRO', '0', '889', '0', '75');
INSERT INTO public.who_import VALUES (16803, '2020-07-23', 'TD', 'Chad', 'AFRO', '0', '889', '0', '75');
INSERT INTO public.who_import VALUES (16804, '2020-07-24', 'TD', 'Chad', 'AFRO', '26', '915', '0', '75');
INSERT INTO public.who_import VALUES (16805, '2020-07-25', 'TD', 'Chad', 'AFRO', '0', '915', '0', '75');
INSERT INTO public.who_import VALUES (16806, '2020-07-26', 'TD', 'Chad', 'AFRO', '0', '915', '0', '75');
INSERT INTO public.who_import VALUES (16807, '2020-07-27', 'TD', 'Chad', 'AFRO', '0', '915', '0', '75');
INSERT INTO public.who_import VALUES (16808, '2020-07-28', 'TD', 'Chad', 'AFRO', '7', '922', '0', '75');
INSERT INTO public.who_import VALUES (16809, '2020-07-29', 'TD', 'Chad', 'AFRO', '4', '926', '0', '75');
INSERT INTO public.who_import VALUES (16810, '2020-07-30', 'TD', 'Chad', 'AFRO', '0', '926', '0', '75');
INSERT INTO public.who_import VALUES (16811, '2020-07-31', 'TD', 'Chad', 'AFRO', '9', '935', '0', '75');
INSERT INTO public.who_import VALUES (16812, '2020-08-01', 'TD', 'Chad', 'AFRO', '1', '936', '0', '75');
INSERT INTO public.who_import VALUES (16813, '2020-08-02', 'TD', 'Chad', 'AFRO', '0', '936', '0', '75');
INSERT INTO public.who_import VALUES (16814, '2020-08-03', 'TD', 'Chad', 'AFRO', '0', '936', '0', '75');
INSERT INTO public.who_import VALUES (16815, '2020-08-04', 'TD', 'Chad', 'AFRO', '0', '936', '0', '75');
INSERT INTO public.who_import VALUES (16816, '2020-08-05', 'TD', 'Chad', 'AFRO', '2', '938', '0', '75');
INSERT INTO public.who_import VALUES (16817, '2020-08-06', 'TD', 'Chad', 'AFRO', '1', '939', '0', '75');
INSERT INTO public.who_import VALUES (16818, '2020-08-07', 'TD', 'Chad', 'AFRO', '3', '942', '1', '76');
INSERT INTO public.who_import VALUES (16819, '2020-08-08', 'TD', 'Chad', 'AFRO', '0', '942', '0', '76');
INSERT INTO public.who_import VALUES (16820, '2020-08-09', 'TD', 'Chad', 'AFRO', '0', '942', '0', '76');
INSERT INTO public.who_import VALUES (16821, '2020-08-10', 'TD', 'Chad', 'AFRO', '2', '944', '0', '76');
INSERT INTO public.who_import VALUES (16822, '2020-08-11', 'TD', 'Chad', 'AFRO', '1', '945', '0', '76');
INSERT INTO public.who_import VALUES (16823, '2020-08-12', 'TD', 'Chad', 'AFRO', '1', '946', '0', '76');
INSERT INTO public.who_import VALUES (16824, '2020-08-13', 'TD', 'Chad', 'AFRO', '3', '949', '0', '76');
INSERT INTO public.who_import VALUES (16825, '2020-08-14', 'TD', 'Chad', 'AFRO', '0', '949', '0', '76');
INSERT INTO public.who_import VALUES (16826, '2020-08-15', 'TD', 'Chad', 'AFRO', '2', '951', '0', '76');
INSERT INTO public.who_import VALUES (16827, '2020-08-16', 'TD', 'Chad', 'AFRO', '1', '952', '0', '76');
INSERT INTO public.who_import VALUES (16828, '2020-08-17', 'TD', 'Chad', 'AFRO', '4', '956', '0', '76');
INSERT INTO public.who_import VALUES (16829, '2020-08-18', 'TD', 'Chad', 'AFRO', '3', '959', '0', '76');
INSERT INTO public.who_import VALUES (16830, '2020-08-19', 'TD', 'Chad', 'AFRO', '11', '970', '0', '76');
INSERT INTO public.who_import VALUES (16831, '2020-08-20', 'TD', 'Chad', 'AFRO', '1', '971', '0', '76');
INSERT INTO public.who_import VALUES (16832, '2020-08-21', 'TD', 'Chad', 'AFRO', '1', '972', '0', '76');
INSERT INTO public.who_import VALUES (16833, '2020-08-22', 'TD', 'Chad', 'AFRO', '9', '981', '0', '76');
INSERT INTO public.who_import VALUES (16834, '2020-08-23', 'TD', 'Chad', 'AFRO', '1', '982', '0', '76');
INSERT INTO public.who_import VALUES (16835, '2020-08-24', 'TD', 'Chad', 'AFRO', '4', '986', '0', '76');
INSERT INTO public.who_import VALUES (16836, '2020-08-25', 'TD', 'Chad', 'AFRO', '1', '987', '0', '76');
INSERT INTO public.who_import VALUES (16837, '2020-08-26', 'TD', 'Chad', 'AFRO', '8', '995', '1', '77');
INSERT INTO public.who_import VALUES (16838, '2020-08-27', 'TD', 'Chad', 'AFRO', '3', '998', '0', '77');
INSERT INTO public.who_import VALUES (16839, '2020-08-28', 'TD', 'Chad', 'AFRO', '6', '1004', '0', '77');
INSERT INTO public.who_import VALUES (16840, '2020-08-29', 'TD', 'Chad', 'AFRO', '4', '1008', '0', '77');
INSERT INTO public.who_import VALUES (16841, '2020-08-30', 'TD', 'Chad', 'AFRO', '0', '1008', '0', '77');
INSERT INTO public.who_import VALUES (16842, '2020-08-31', 'TD', 'Chad', 'AFRO', '4', '1012', '0', '77');
INSERT INTO public.who_import VALUES (16843, '2020-09-01', 'TD', 'Chad', 'AFRO', '1', '1013', '0', '77');
INSERT INTO public.who_import VALUES (16844, '2020-09-02', 'TD', 'Chad', 'AFRO', '4', '1017', '0', '77');
INSERT INTO public.who_import VALUES (16845, '2020-09-03', 'TD', 'Chad', 'AFRO', '0', '1017', '0', '77');
INSERT INTO public.who_import VALUES (16846, '2020-09-04', 'TD', 'Chad', 'AFRO', '1', '1018', '0', '77');
INSERT INTO public.who_import VALUES (16847, '2020-09-05', 'TD', 'Chad', 'AFRO', '5', '1023', '0', '77');
INSERT INTO public.who_import VALUES (16848, '2020-09-06', 'TD', 'Chad', 'AFRO', '11', '1034', '0', '77');
INSERT INTO public.who_import VALUES (16849, '2020-09-07', 'TD', 'Chad', 'AFRO', '5', '1039', '2', '79');
INSERT INTO public.who_import VALUES (16850, '2020-09-08', 'TD', 'Chad', 'AFRO', '1', '1040', '0', '79');
INSERT INTO public.who_import VALUES (16851, '2020-09-09', 'TD', 'Chad', 'AFRO', '5', '1045', '0', '79');
INSERT INTO public.who_import VALUES (16852, '2020-09-10', 'TD', 'Chad', 'AFRO', '3', '1048', '0', '79');
INSERT INTO public.who_import VALUES (16853, '2020-09-11', 'TD', 'Chad', 'AFRO', '3', '1051', '0', '79');
INSERT INTO public.who_import VALUES (16854, '2020-09-12', 'TD', 'Chad', 'AFRO', '30', '1081', '0', '79');
INSERT INTO public.who_import VALUES (16855, '2020-09-13', 'TD', 'Chad', 'AFRO', '2', '1083', '1', '80');
INSERT INTO public.who_import VALUES (16856, '2020-09-14', 'TD', 'Chad', 'AFRO', '1', '1084', '0', '80');
INSERT INTO public.who_import VALUES (16857, '2020-09-15', 'TD', 'Chad', 'AFRO', '1', '1085', '1', '81');
INSERT INTO public.who_import VALUES (16858, '2020-09-16', 'TD', 'Chad', 'AFRO', '2', '1087', '0', '81');
INSERT INTO public.who_import VALUES (16859, '2020-09-17', 'TD', 'Chad', 'AFRO', '3', '1090', '0', '81');
INSERT INTO public.who_import VALUES (16860, '2020-09-18', 'TD', 'Chad', 'AFRO', '25', '1115', '0', '81');
INSERT INTO public.who_import VALUES (16861, '2020-09-19', 'TD', 'Chad', 'AFRO', '32', '1147', '0', '81');
INSERT INTO public.who_import VALUES (16862, '2020-09-20', 'TD', 'Chad', 'AFRO', '2', '1149', '0', '81');
INSERT INTO public.who_import VALUES (16863, '2020-09-21', 'TD', 'Chad', 'AFRO', '2', '1151', '0', '81');
INSERT INTO public.who_import VALUES (16864, '2020-09-22', 'TD', 'Chad', 'AFRO', '2', '1153', '0', '81');
INSERT INTO public.who_import VALUES (16865, '2020-09-23', 'TD', 'Chad', 'AFRO', '2', '1155', '0', '81');
INSERT INTO public.who_import VALUES (16866, '2020-09-24', 'TD', 'Chad', 'AFRO', '9', '1164', '1', '82');
INSERT INTO public.who_import VALUES (16867, '2020-09-25', 'TD', 'Chad', 'AFRO', '7', '1171', '0', '82');
INSERT INTO public.who_import VALUES (16868, '2020-09-26', 'TD', 'Chad', 'AFRO', '4', '1175', '1', '83');
INSERT INTO public.who_import VALUES (16869, '2020-09-27', 'TD', 'Chad', 'AFRO', '2', '1177', '0', '83');
INSERT INTO public.who_import VALUES (16870, '2020-09-28', 'TD', 'Chad', 'AFRO', '1', '1178', '1', '84');
INSERT INTO public.who_import VALUES (16871, '2020-09-29', 'TD', 'Chad', 'AFRO', '7', '1185', '1', '85');
INSERT INTO public.who_import VALUES (16872, '2020-09-30', 'TD', 'Chad', 'AFRO', '8', '1193', '0', '85');
INSERT INTO public.who_import VALUES (16873, '2020-10-01', 'TD', 'Chad', 'AFRO', '7', '1200', '0', '85');
INSERT INTO public.who_import VALUES (16874, '2020-10-02', 'TD', 'Chad', 'AFRO', '3', '1203', '0', '85');
INSERT INTO public.who_import VALUES (16875, '2020-10-03', 'TD', 'Chad', 'AFRO', '8', '1211', '0', '85');
INSERT INTO public.who_import VALUES (16876, '2020-10-04', 'TD', 'Chad', 'AFRO', '0', '1211', '0', '85');
INSERT INTO public.who_import VALUES (16877, '2020-10-05', 'TD', 'Chad', 'AFRO', '6', '1217', '1', '86');
INSERT INTO public.who_import VALUES (16878, '2020-10-06', 'TD', 'Chad', 'AFRO', '6', '1223', '0', '86');
INSERT INTO public.who_import VALUES (16879, '2020-10-07', 'TD', 'Chad', 'AFRO', '15', '1238', '2', '88');
INSERT INTO public.who_import VALUES (16880, '2020-10-08', 'TD', 'Chad', 'AFRO', '13', '1251', '1', '89');
INSERT INTO public.who_import VALUES (16881, '2020-10-09', 'TD', 'Chad', 'AFRO', '11', '1262', '0', '89');
INSERT INTO public.who_import VALUES (16882, '2020-10-10', 'TD', 'Chad', 'AFRO', '12', '1274', '1', '90');
INSERT INTO public.who_import VALUES (16883, '2020-10-11', 'TD', 'Chad', 'AFRO', '17', '1291', '2', '92');
INSERT INTO public.who_import VALUES (16884, '2020-10-12', 'TD', 'Chad', 'AFRO', '13', '1304', '0', '92');
INSERT INTO public.who_import VALUES (16885, '2020-10-13', 'TD', 'Chad', 'AFRO', '4', '1308', '0', '92');
INSERT INTO public.who_import VALUES (16886, '2020-10-14', 'TD', 'Chad', 'AFRO', '13', '1321', '0', '92');
INSERT INTO public.who_import VALUES (16887, '2020-10-15', 'TD', 'Chad', 'AFRO', '8', '1329', '0', '92');
INSERT INTO public.who_import VALUES (16888, '2020-10-16', 'TD', 'Chad', 'AFRO', '21', '1350', '0', '92');
INSERT INTO public.who_import VALUES (16889, '2020-10-17', 'TD', 'Chad', 'AFRO', '11', '1361', '1', '93');
INSERT INTO public.who_import VALUES (16890, '2020-10-18', 'TD', 'Chad', 'AFRO', '4', '1365', '0', '93');
INSERT INTO public.who_import VALUES (16891, '2020-10-19', 'TD', 'Chad', 'AFRO', '14', '1379', '0', '93');
INSERT INTO public.who_import VALUES (16892, '2020-10-20', 'TD', 'Chad', 'AFRO', '11', '1390', '0', '93');
INSERT INTO public.who_import VALUES (16893, '2020-10-21', 'TD', 'Chad', 'AFRO', '9', '1399', '0', '93');
INSERT INTO public.who_import VALUES (16894, '2020-10-22', 'TD', 'Chad', 'AFRO', '5', '1404', '3', '96');
INSERT INTO public.who_import VALUES (16895, '2020-10-23', 'TD', 'Chad', 'AFRO', '6', '1410', '0', '96');
INSERT INTO public.who_import VALUES (16896, '2020-10-24', 'TD', 'Chad', 'AFRO', '13', '1423', '0', '96');
INSERT INTO public.who_import VALUES (16897, '2020-10-25', 'TD', 'Chad', 'AFRO', '11', '1434', '0', '96');
INSERT INTO public.who_import VALUES (16898, '2020-10-26', 'TD', 'Chad', 'AFRO', '3', '1437', '0', '96');
INSERT INTO public.who_import VALUES (16899, '2020-10-27', 'TD', 'Chad', 'AFRO', '4', '1441', '0', '96');
INSERT INTO public.who_import VALUES (16900, '2020-10-28', 'TD', 'Chad', 'AFRO', '19', '1460', '0', '96');
INSERT INTO public.who_import VALUES (16901, '2020-10-29', 'TD', 'Chad', 'AFRO', '8', '1468', '1', '97');
INSERT INTO public.who_import VALUES (16902, '2020-10-30', 'TD', 'Chad', 'AFRO', '5', '1473', '0', '97');
INSERT INTO public.who_import VALUES (16903, '2020-10-31', 'TD', 'Chad', 'AFRO', '10', '1483', '1', '98');
INSERT INTO public.who_import VALUES (16904, '2020-11-01', 'TD', 'Chad', 'AFRO', '0', '1483', '0', '98');
INSERT INTO public.who_import VALUES (16905, '2020-11-02', 'TD', 'Chad', 'AFRO', '15', '1498', '0', '98');
INSERT INTO public.who_import VALUES (16906, '2020-11-03', 'TD', 'Chad', 'AFRO', '1', '1499', '0', '98');
INSERT INTO public.who_import VALUES (16907, '2020-11-04', 'TD', 'Chad', 'AFRO', '14', '1513', '0', '98');
INSERT INTO public.who_import VALUES (16908, '2020-11-05', 'TD', 'Chad', 'AFRO', '4', '1517', '1', '99');
INSERT INTO public.who_import VALUES (16909, '2020-11-06', 'TD', 'Chad', 'AFRO', '12', '1529', '0', '99');
INSERT INTO public.who_import VALUES (16910, '2020-11-07', 'TD', 'Chad', 'AFRO', '9', '1538', '0', '99');
INSERT INTO public.who_import VALUES (16911, '2020-11-08', 'TD', 'Chad', 'AFRO', '5', '1543', '0', '99');
INSERT INTO public.who_import VALUES (16912, '2020-11-09', 'TD', 'Chad', 'AFRO', '4', '1547', '0', '99');
INSERT INTO public.who_import VALUES (16913, '2020-11-10', 'TD', 'Chad', 'AFRO', '4', '1551', '0', '99');
INSERT INTO public.who_import VALUES (16914, '2020-11-11', 'TD', 'Chad', 'AFRO', '10', '1561', '0', '99');
INSERT INTO public.who_import VALUES (16915, '2020-11-12', 'TD', 'Chad', 'AFRO', '4', '1565', '0', '99');
INSERT INTO public.who_import VALUES (16916, '2020-11-13', 'TD', 'Chad', 'AFRO', '13', '1578', '1', '100');
INSERT INTO public.who_import VALUES (16917, '2020-11-14', 'TD', 'Chad', 'AFRO', '11', '1589', '0', '100');
INSERT INTO public.who_import VALUES (16918, '2020-11-15', 'TD', 'Chad', 'AFRO', '2', '1591', '0', '100');
INSERT INTO public.who_import VALUES (16919, '2020-11-16', 'TD', 'Chad', 'AFRO', '6', '1597', '1', '101');
INSERT INTO public.who_import VALUES (16920, '2020-11-17', 'TD', 'Chad', 'AFRO', '6', '1603', '0', '101');
INSERT INTO public.who_import VALUES (16921, '2020-11-18', 'TD', 'Chad', 'AFRO', '5', '1608', '0', '101');
INSERT INTO public.who_import VALUES (16922, '2020-11-19', 'TD', 'Chad', 'AFRO', '8', '1616', '0', '101');
INSERT INTO public.who_import VALUES (16923, '2020-11-20', 'TD', 'Chad', 'AFRO', '4', '1620', '0', '101');
INSERT INTO public.who_import VALUES (16924, '2020-11-21', 'TD', 'Chad', 'AFRO', '6', '1626', '0', '101');
INSERT INTO public.who_import VALUES (16925, '2020-11-22', 'TD', 'Chad', 'AFRO', '7', '1633', '0', '101');
INSERT INTO public.who_import VALUES (16926, '2020-11-23', 'TD', 'Chad', 'AFRO', '9', '1642', '0', '101');
INSERT INTO public.who_import VALUES (16927, '2020-11-24', 'TD', 'Chad', 'AFRO', '6', '1648', '0', '101');
INSERT INTO public.who_import VALUES (16928, '2020-11-25', 'TD', 'Chad', 'AFRO', '1', '1649', '0', '101');
INSERT INTO public.who_import VALUES (16929, '2020-11-26', 'TD', 'Chad', 'AFRO', '6', '1655', '0', '101');
INSERT INTO public.who_import VALUES (16930, '2020-11-27', 'TD', 'Chad', 'AFRO', '6', '1661', '0', '101');
INSERT INTO public.who_import VALUES (16931, '2020-11-28', 'TD', 'Chad', 'AFRO', '2', '1663', '0', '101');
INSERT INTO public.who_import VALUES (16932, '2020-11-29', 'TD', 'Chad', 'AFRO', '0', '1663', '0', '101');
INSERT INTO public.who_import VALUES (16933, '2020-11-30', 'TD', 'Chad', 'AFRO', '19', '1682', '0', '101');
INSERT INTO public.who_import VALUES (16934, '2020-12-01', 'TD', 'Chad', 'AFRO', '6', '1688', '0', '101');
INSERT INTO public.who_import VALUES (16935, '2020-12-02', 'TD', 'Chad', 'AFRO', '12', '1700', '1', '102');
INSERT INTO public.who_import VALUES (16936, '2020-12-03', 'TD', 'Chad', 'AFRO', '5', '1705', '0', '102');
INSERT INTO public.who_import VALUES (16937, '2020-12-04', 'TD', 'Chad', 'AFRO', '3', '1708', '0', '102');
INSERT INTO public.who_import VALUES (16938, '2020-12-05', 'TD', 'Chad', 'AFRO', '11', '1719', '0', '102');
INSERT INTO public.who_import VALUES (16939, '2020-12-06', 'TD', 'Chad', 'AFRO', '3', '1722', '0', '102');
INSERT INTO public.who_import VALUES (16940, '2020-12-07', 'TD', 'Chad', 'AFRO', '3', '1725', '0', '102');
INSERT INTO public.who_import VALUES (16941, '2020-12-08', 'TD', 'Chad', 'AFRO', '3', '1728', '0', '102');
INSERT INTO public.who_import VALUES (16942, '2020-12-09', 'TD', 'Chad', 'AFRO', '0', '1728', '0', '102');
INSERT INTO public.who_import VALUES (16943, '2020-12-10', 'TD', 'Chad', 'AFRO', '4', '1732', '0', '102');
INSERT INTO public.who_import VALUES (16944, '2020-12-11', 'TD', 'Chad', 'AFRO', '7', '1739', '0', '102');
INSERT INTO public.who_import VALUES (16945, '2020-12-12', 'TD', 'Chad', 'AFRO', '0', '1739', '0', '102');
INSERT INTO public.who_import VALUES (16946, '2020-12-13', 'TD', 'Chad', 'AFRO', '0', '1739', '0', '102');
INSERT INTO public.who_import VALUES (16947, '2020-12-14', 'TD', 'Chad', 'AFRO', '31', '1770', '0', '102');
INSERT INTO public.who_import VALUES (16948, '2020-12-15', 'TD', 'Chad', 'AFRO', '1', '1771', '0', '102');
INSERT INTO public.who_import VALUES (16949, '2020-12-16', 'TD', 'Chad', 'AFRO', '13', '1784', '0', '102');
INSERT INTO public.who_import VALUES (16950, '2020-12-17', 'TD', 'Chad', 'AFRO', '0', '1784', '0', '102');
INSERT INTO public.who_import VALUES (16951, '2020-12-18', 'TD', 'Chad', 'AFRO', '34', '1818', '0', '102');
INSERT INTO public.who_import VALUES (16952, '2020-12-19', 'TD', 'Chad', 'AFRO', '21', '1839', '0', '102');
INSERT INTO public.who_import VALUES (16953, '2020-12-20', 'TD', 'Chad', 'AFRO', '28', '1867', '0', '102');
INSERT INTO public.who_import VALUES (16954, '2020-12-21', 'TD', 'Chad', 'AFRO', '23', '1890', '0', '102');
INSERT INTO public.who_import VALUES (16955, '2020-12-22', 'TD', 'Chad', 'AFRO', '12', '1902', '0', '102');
INSERT INTO public.who_import VALUES (16956, '2020-12-23', 'TD', 'Chad', 'AFRO', '14', '1916', '0', '102');
INSERT INTO public.who_import VALUES (16957, '2020-12-24', 'TD', 'Chad', 'AFRO', '0', '1916', '0', '102');
INSERT INTO public.who_import VALUES (16958, '2020-12-25', 'TD', 'Chad', 'AFRO', '42', '1958', '0', '102');
INSERT INTO public.who_import VALUES (16959, '2020-12-26', 'TD', 'Chad', 'AFRO', '13', '1971', '0', '102');
INSERT INTO public.who_import VALUES (16960, '2020-12-27', 'TD', 'Chad', 'AFRO', '15', '1986', '1', '103');
INSERT INTO public.who_import VALUES (16961, '2020-12-28', 'TD', 'Chad', 'AFRO', '0', '1986', '0', '103');
INSERT INTO public.who_import VALUES (16962, '2020-12-29', 'TD', 'Chad', 'AFRO', '29', '2015', '1', '104');
INSERT INTO public.who_import VALUES (16963, '2020-12-30', 'TD', 'Chad', 'AFRO', '0', '2015', '0', '104');
INSERT INTO public.who_import VALUES (16964, '2020-12-31', 'TD', 'Chad', 'AFRO', '62', '2077', '0', '104');
INSERT INTO public.who_import VALUES (16965, '2021-01-01', 'TD', 'Chad', 'AFRO', '36', '2113', '0', '104');
INSERT INTO public.who_import VALUES (16966, '2021-01-02', 'TD', 'Chad', 'AFRO', '0', '2113', '0', '104');
INSERT INTO public.who_import VALUES (16967, '2021-01-03', 'TD', 'Chad', 'AFRO', '56', '2169', '0', '104');
INSERT INTO public.who_import VALUES (16968, '2021-01-04', 'TD', 'Chad', 'AFRO', '44', '2213', '0', '104');
INSERT INTO public.who_import VALUES (16969, '2021-01-05', 'TD', 'Chad', 'AFRO', '16', '2229', '0', '104');
INSERT INTO public.who_import VALUES (16970, '2021-01-06', 'TD', 'Chad', 'AFRO', '60', '2289', '1', '105');
INSERT INTO public.who_import VALUES (16971, '2021-01-07', 'TD', 'Chad', 'AFRO', '39', '2328', '0', '105');
INSERT INTO public.who_import VALUES (16972, '2021-01-08', 'TD', 'Chad', 'AFRO', '30', '2358', '0', '105');
INSERT INTO public.who_import VALUES (16973, '2021-01-09', 'TD', 'Chad', 'AFRO', '61', '2419', '1', '106');
INSERT INTO public.who_import VALUES (16974, '2021-01-10', 'TD', 'Chad', 'AFRO', '91', '2510', '1', '107');
INSERT INTO public.who_import VALUES (16975, '2021-01-11', 'TD', 'Chad', 'AFRO', '27', '2537', '0', '107');
INSERT INTO public.who_import VALUES (16976, '2021-01-12', 'TD', 'Chad', 'AFRO', '52', '2589', '0', '107');
INSERT INTO public.who_import VALUES (16977, '2021-01-13', 'TD', 'Chad', 'AFRO', '79', '2668', '1', '108');
INSERT INTO public.who_import VALUES (16978, '2021-01-14', 'TD', 'Chad', 'AFRO', '41', '2709', '1', '109');
INSERT INTO public.who_import VALUES (16979, '2021-01-15', 'TD', 'Chad', 'AFRO', '64', '2773', '1', '110');
INSERT INTO public.who_import VALUES (16980, '2021-01-16', 'TD', 'Chad', 'AFRO', '34', '2807', '1', '111');
INSERT INTO public.who_import VALUES (16981, '2021-01-17', 'TD', 'Chad', 'AFRO', '48', '2855', '0', '111');
INSERT INTO public.who_import VALUES (16982, '2021-01-18', 'TD', 'Chad', 'AFRO', '40', '2895', '0', '111');
INSERT INTO public.who_import VALUES (16983, '2021-01-19', 'TD', 'Chad', 'AFRO', '24', '2919', '2', '113');
INSERT INTO public.who_import VALUES (16984, '2021-01-20', 'TD', 'Chad', 'AFRO', '58', '2977', '1', '114');
INSERT INTO public.who_import VALUES (16985, '2021-01-21', 'TD', 'Chad', 'AFRO', '35', '3012', '0', '114');
INSERT INTO public.who_import VALUES (16986, '2021-01-22', 'TD', 'Chad', 'AFRO', '53', '3065', '0', '114');
INSERT INTO public.who_import VALUES (16987, '2021-01-23', 'TD', 'Chad', 'AFRO', '39', '3104', '1', '115');
INSERT INTO public.who_import VALUES (16988, '2021-01-24', 'TD', 'Chad', 'AFRO', '33', '3137', '0', '115');
INSERT INTO public.who_import VALUES (16989, '2021-01-25', 'TD', 'Chad', 'AFRO', '24', '3161', '1', '116');
INSERT INTO public.who_import VALUES (16990, '2021-01-26', 'TD', 'Chad', 'AFRO', '21', '3182', '0', '116');
INSERT INTO public.who_import VALUES (16991, '2021-01-27', 'TD', 'Chad', 'AFRO', '43', '3225', '0', '116');
INSERT INTO public.who_import VALUES (16992, '2021-01-28', 'TD', 'Chad', 'AFRO', '44', '3269', '1', '117');
INSERT INTO public.who_import VALUES (16993, '2021-01-29', 'TD', 'Chad', 'AFRO', '27', '3296', '1', '118');
INSERT INTO public.who_import VALUES (16994, '2021-01-30', 'TD', 'Chad', 'AFRO', '25', '3321', '0', '118');
INSERT INTO public.who_import VALUES (16995, '2021-01-31', 'TD', 'Chad', 'AFRO', '26', '3347', '0', '118');
INSERT INTO public.who_import VALUES (16996, '2021-02-01', 'TD', 'Chad', 'AFRO', '29', '3376', '0', '118');
INSERT INTO public.who_import VALUES (16997, '2021-02-02', 'TD', 'Chad', 'AFRO', '9', '3385', '3', '121');
INSERT INTO public.who_import VALUES (16998, '2021-02-03', 'TD', 'Chad', 'AFRO', '19', '3404', '0', '121');
INSERT INTO public.who_import VALUES (16999, '2021-02-04', 'TD', 'Chad', 'AFRO', '15', '3419', '0', '121');
INSERT INTO public.who_import VALUES (17000, '2021-02-05', 'TD', 'Chad', 'AFRO', '14', '3433', '0', '121');
INSERT INTO public.who_import VALUES (17001, '2021-02-06', 'TD', 'Chad', 'AFRO', '17', '3450', '3', '124');
INSERT INTO public.who_import VALUES (17002, '2021-02-07', 'TD', 'Chad', 'AFRO', '23', '3473', '1', '125');
INSERT INTO public.who_import VALUES (17003, '2021-02-08', 'TD', 'Chad', 'AFRO', '24', '3497', '0', '125');
INSERT INTO public.who_import VALUES (17004, '2021-02-09', 'TD', 'Chad', 'AFRO', '11', '3508', '0', '125');
INSERT INTO public.who_import VALUES (17005, '2021-02-10', 'TD', 'Chad', 'AFRO', '31', '3539', '0', '125');
INSERT INTO public.who_import VALUES (17006, '2021-02-11', 'TD', 'Chad', 'AFRO', '29', '3568', '1', '126');
INSERT INTO public.who_import VALUES (17007, '2021-02-12', 'TD', 'Chad', 'AFRO', '13', '3581', '0', '126');
INSERT INTO public.who_import VALUES (17008, '2021-02-13', 'TD', 'Chad', 'AFRO', '16', '3597', '1', '127');
INSERT INTO public.who_import VALUES (17009, '2021-02-14', 'TD', 'Chad', 'AFRO', '25', '3622', '0', '127');
INSERT INTO public.who_import VALUES (17010, '2021-02-15', 'TD', 'Chad', 'AFRO', '23', '3645', '1', '128');
INSERT INTO public.who_import VALUES (17011, '2021-02-16', 'TD', 'Chad', 'AFRO', '19', '3664', '3', '131');
INSERT INTO public.who_import VALUES (17012, '2021-02-17', 'TD', 'Chad', 'AFRO', '25', '3689', '0', '131');
INSERT INTO public.who_import VALUES (17013, '2021-02-18', 'TD', 'Chad', 'AFRO', '35', '3724', '1', '132');
INSERT INTO public.who_import VALUES (17014, '2021-02-19', 'TD', 'Chad', 'AFRO', '27', '3751', '0', '132');
INSERT INTO public.who_import VALUES (17015, '2021-02-20', 'TD', 'Chad', 'AFRO', '25', '3776', '0', '132');
INSERT INTO public.who_import VALUES (17016, '2020-01-03', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17017, '2020-01-04', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17018, '2020-01-05', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17019, '2020-01-06', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17020, '2020-01-07', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17021, '2020-01-08', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17022, '2020-01-09', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17023, '2020-01-10', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17024, '2020-01-11', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17025, '2020-01-12', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17026, '2020-01-13', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17027, '2020-01-14', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17028, '2020-01-15', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17029, '2020-01-16', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17030, '2020-01-17', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17031, '2020-01-18', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17032, '2020-01-19', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17033, '2020-01-20', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17034, '2020-01-21', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17035, '2020-01-22', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17036, '2020-01-23', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17037, '2020-01-24', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17038, '2020-01-25', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17039, '2020-01-26', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17040, '2020-01-27', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17041, '2020-01-28', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17042, '2020-01-29', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17043, '2020-01-30', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17044, '2020-01-31', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17045, '2020-02-01', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17046, '2020-02-02', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17047, '2020-02-03', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17048, '2020-02-04', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17049, '2020-02-05', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17050, '2020-02-06', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17051, '2020-02-07', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17052, '2020-02-08', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17053, '2020-02-09', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17054, '2020-02-10', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17055, '2020-02-11', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17056, '2020-02-12', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17057, '2020-02-13', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17058, '2020-02-14', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17059, '2020-02-15', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17060, '2020-02-16', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17061, '2020-02-17', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17062, '2020-02-18', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17063, '2020-02-19', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17064, '2020-02-20', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17065, '2020-02-21', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17066, '2020-02-22', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17067, '2020-02-23', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17068, '2020-02-24', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17069, '2020-02-25', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17070, '2020-02-26', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17071, '2020-02-27', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17072, '2020-02-28', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17073, '2020-02-29', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17074, '2020-03-01', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17075, '2020-03-02', 'CL', 'Chile', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17076, '2020-03-03', 'CL', 'Chile', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (17077, '2020-03-04', 'CL', 'Chile', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (17078, '2020-03-05', 'CL', 'Chile', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (17079, '2020-03-06', 'CL', 'Chile', 'AMRO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (17080, '2020-03-07', 'CL', 'Chile', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (17081, '2020-03-08', 'CL', 'Chile', 'AMRO', '5', '14', '0', '0');
INSERT INTO public.who_import VALUES (17082, '2020-03-09', 'CL', 'Chile', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (17083, '2020-03-10', 'CL', 'Chile', 'AMRO', '3', '17', '0', '0');
INSERT INTO public.who_import VALUES (17084, '2020-03-11', 'CL', 'Chile', 'AMRO', '4', '21', '0', '0');
INSERT INTO public.who_import VALUES (17085, '2020-03-12', 'CL', 'Chile', 'AMRO', '6', '27', '0', '0');
INSERT INTO public.who_import VALUES (17086, '2020-03-13', 'CL', 'Chile', 'AMRO', '20', '47', '0', '0');
INSERT INTO public.who_import VALUES (17087, '2020-03-14', 'CL', 'Chile', 'AMRO', '18', '65', '0', '0');
INSERT INTO public.who_import VALUES (17088, '2020-03-15', 'CL', 'Chile', 'AMRO', '0', '65', '0', '0');
INSERT INTO public.who_import VALUES (17089, '2020-03-16', 'CL', 'Chile', 'AMRO', '14', '79', '0', '0');
INSERT INTO public.who_import VALUES (17090, '2020-03-17', 'CL', 'Chile', 'AMRO', '81', '160', '0', '0');
INSERT INTO public.who_import VALUES (17091, '2020-03-18', 'CL', 'Chile', 'AMRO', '82', '242', '0', '0');
INSERT INTO public.who_import VALUES (17092, '2020-03-19', 'CL', 'Chile', 'AMRO', '100', '342', '0', '0');
INSERT INTO public.who_import VALUES (17093, '2020-03-20', 'CL', 'Chile', 'AMRO', '92', '434', '0', '0');
INSERT INTO public.who_import VALUES (17094, '2020-03-21', 'CL', 'Chile', 'AMRO', '0', '434', '1', '1');
INSERT INTO public.who_import VALUES (17095, '2020-03-22', 'CL', 'Chile', 'AMRO', '0', '434', '0', '1');
INSERT INTO public.who_import VALUES (17096, '2020-03-23', 'CL', 'Chile', 'AMRO', '198', '632', '0', '1');
INSERT INTO public.who_import VALUES (17097, '2020-03-24', 'CL', 'Chile', 'AMRO', '290', '922', '1', '2');
INSERT INTO public.who_import VALUES (17098, '2020-03-25', 'CL', 'Chile', 'AMRO', '0', '922', '0', '2');
INSERT INTO public.who_import VALUES (17099, '2020-03-26', 'CL', 'Chile', 'AMRO', '384', '1306', '2', '4');
INSERT INTO public.who_import VALUES (17100, '2020-03-27', 'CL', 'Chile', 'AMRO', '0', '1306', '0', '4');
INSERT INTO public.who_import VALUES (17101, '2020-03-28', 'CL', 'Chile', 'AMRO', '304', '1610', '1', '5');
INSERT INTO public.who_import VALUES (17102, '2020-03-29', 'CL', 'Chile', 'AMRO', '299', '1909', '1', '6');
INSERT INTO public.who_import VALUES (17103, '2020-03-30', 'CL', 'Chile', 'AMRO', '0', '1909', '0', '6');
INSERT INTO public.who_import VALUES (17104, '2020-03-31', 'CL', 'Chile', 'AMRO', '540', '2449', '2', '8');
INSERT INTO public.who_import VALUES (17105, '2020-04-01', 'CL', 'Chile', 'AMRO', '289', '2738', '4', '12');
INSERT INTO public.who_import VALUES (17106, '2020-04-02', 'CL', 'Chile', 'AMRO', '293', '3031', '4', '16');
INSERT INTO public.who_import VALUES (17107, '2020-04-03', 'CL', 'Chile', 'AMRO', '373', '3404', '2', '18');
INSERT INTO public.who_import VALUES (17108, '2020-04-04', 'CL', 'Chile', 'AMRO', '333', '3737', '4', '22');
INSERT INTO public.who_import VALUES (17109, '2020-04-05', 'CL', 'Chile', 'AMRO', '424', '4161', '5', '27');
INSERT INTO public.who_import VALUES (17110, '2020-04-06', 'CL', 'Chile', 'AMRO', '310', '4471', '7', '34');
INSERT INTO public.who_import VALUES (17111, '2020-04-07', 'CL', 'Chile', 'AMRO', '344', '4815', '3', '37');
INSERT INTO public.who_import VALUES (17112, '2020-04-08', 'CL', 'Chile', 'AMRO', '301', '5116', '6', '43');
INSERT INTO public.who_import VALUES (17113, '2020-04-09', 'CL', 'Chile', 'AMRO', '430', '5546', '5', '48');
INSERT INTO public.who_import VALUES (17114, '2020-04-10', 'CL', 'Chile', 'AMRO', '426', '5972', '9', '57');
INSERT INTO public.who_import VALUES (17115, '2020-04-11', 'CL', 'Chile', 'AMRO', '529', '6501', '8', '65');
INSERT INTO public.who_import VALUES (17116, '2020-04-12', 'CL', 'Chile', 'AMRO', '426', '6927', '8', '73');
INSERT INTO public.who_import VALUES (17117, '2020-04-13', 'CL', 'Chile', 'AMRO', '286', '7213', '7', '80');
INSERT INTO public.who_import VALUES (17118, '2020-04-14', 'CL', 'Chile', 'AMRO', '312', '7525', '2', '82');
INSERT INTO public.who_import VALUES (17119, '2020-04-15', 'CL', 'Chile', 'AMRO', '392', '7917', '10', '92');
INSERT INTO public.who_import VALUES (17120, '2020-04-16', 'CL', 'Chile', 'AMRO', '356', '8273', '2', '94');
INSERT INTO public.who_import VALUES (17121, '2020-04-17', 'CL', 'Chile', 'AMRO', '534', '8807', '11', '105');
INSERT INTO public.who_import VALUES (17122, '2020-04-18', 'CL', 'Chile', 'AMRO', '445', '9252', '11', '116');
INSERT INTO public.who_import VALUES (17123, '2020-04-19', 'CL', 'Chile', 'AMRO', '478', '9730', '10', '126');
INSERT INTO public.who_import VALUES (17124, '2020-04-20', 'CL', 'Chile', 'AMRO', '358', '10088', '7', '133');
INSERT INTO public.who_import VALUES (17125, '2020-04-21', 'CL', 'Chile', 'AMRO', '419', '10507', '6', '139');
INSERT INTO public.who_import VALUES (17126, '2020-04-22', 'CL', 'Chile', 'AMRO', '325', '10832', '8', '147');
INSERT INTO public.who_import VALUES (17127, '2020-04-23', 'CL', 'Chile', 'AMRO', '464', '11296', '13', '160');
INSERT INTO public.who_import VALUES (17128, '2020-04-24', 'CL', 'Chile', 'AMRO', '516', '11812', '8', '168');
INSERT INTO public.who_import VALUES (17129, '2020-04-25', 'CL', 'Chile', 'AMRO', '494', '12306', '6', '174');
INSERT INTO public.who_import VALUES (17130, '2020-04-26', 'CL', 'Chile', 'AMRO', '552', '12858', '7', '181');
INSERT INTO public.who_import VALUES (17131, '2020-04-27', 'CL', 'Chile', 'AMRO', '473', '13331', '8', '189');
INSERT INTO public.who_import VALUES (17132, '2020-04-28', 'CL', 'Chile', 'AMRO', '482', '13813', '9', '198');
INSERT INTO public.who_import VALUES (17133, '2020-04-29', 'CL', 'Chile', 'AMRO', '552', '14365', '9', '207');
INSERT INTO public.who_import VALUES (17134, '2020-04-30', 'CL', 'Chile', 'AMRO', '520', '14885', '9', '216');
INSERT INTO public.who_import VALUES (17135, '2020-05-01', 'CL', 'Chile', 'AMRO', '1138', '16023', '11', '227');
INSERT INTO public.who_import VALUES (17136, '2020-05-02', 'CL', 'Chile', 'AMRO', '985', '17008', '7', '234');
INSERT INTO public.who_import VALUES (17137, '2020-05-03', 'CL', 'Chile', 'AMRO', '1427', '18435', '13', '247');
INSERT INTO public.who_import VALUES (17138, '2020-05-04', 'CL', 'Chile', 'AMRO', '1228', '19663', '13', '260');
INSERT INTO public.who_import VALUES (17139, '2020-05-05', 'CL', 'Chile', 'AMRO', '980', '20643', '10', '270');
INSERT INTO public.who_import VALUES (17140, '2020-05-06', 'CL', 'Chile', 'AMRO', '1373', '22016', '5', '275');
INSERT INTO public.who_import VALUES (17141, '2020-05-07', 'CL', 'Chile', 'AMRO', '1032', '23048', '6', '281');
INSERT INTO public.who_import VALUES (17142, '2020-05-08', 'CL', 'Chile', 'AMRO', '1533', '24581', '4', '285');
INSERT INTO public.who_import VALUES (17143, '2020-05-09', 'CL', 'Chile', 'AMRO', '1391', '25972', '9', '294');
INSERT INTO public.who_import VALUES (17144, '2020-05-10', 'CL', 'Chile', 'AMRO', '1247', '27219', '10', '304');
INSERT INTO public.who_import VALUES (17145, '2020-05-11', 'CL', 'Chile', 'AMRO', '1647', '28866', '8', '312');
INSERT INTO public.who_import VALUES (17146, '2020-05-12', 'CL', 'Chile', 'AMRO', '1197', '30063', '11', '323');
INSERT INTO public.who_import VALUES (17147, '2020-05-13', 'CL', 'Chile', 'AMRO', '1658', '31721', '12', '335');
INSERT INTO public.who_import VALUES (17148, '2020-05-14', 'CL', 'Chile', 'AMRO', '2660', '34381', '11', '346');
INSERT INTO public.who_import VALUES (17149, '2020-05-15', 'CL', 'Chile', 'AMRO', '2659', '37040', '22', '368');
INSERT INTO public.who_import VALUES (17150, '2020-05-16', 'CL', 'Chile', 'AMRO', '0', '37040', '0', '368');
INSERT INTO public.who_import VALUES (17151, '2020-05-17', 'CL', 'Chile', 'AMRO', '4388', '41428', '53', '421');
INSERT INTO public.who_import VALUES (17152, '2020-05-18', 'CL', 'Chile', 'AMRO', '2353', '43781', '29', '450');
INSERT INTO public.who_import VALUES (17153, '2020-05-19', 'CL', 'Chile', 'AMRO', '2278', '46059', '28', '478');
INSERT INTO public.who_import VALUES (17154, '2020-05-20', 'CL', 'Chile', 'AMRO', '0', '46059', '0', '478');
INSERT INTO public.who_import VALUES (17155, '2020-05-21', 'CL', 'Chile', 'AMRO', '7558', '53617', '66', '544');
INSERT INTO public.who_import VALUES (17156, '2020-05-22', 'CL', 'Chile', 'AMRO', '0', '53617', '0', '544');
INSERT INTO public.who_import VALUES (17157, '2020-05-23', 'CL', 'Chile', 'AMRO', '8240', '61857', '86', '630');
INSERT INTO public.who_import VALUES (17158, '2020-05-24', 'CL', 'Chile', 'AMRO', '3536', '65393', '43', '673');
INSERT INTO public.who_import VALUES (17159, '2020-05-25', 'CL', 'Chile', 'AMRO', '3709', '69102', '45', '718');
INSERT INTO public.who_import VALUES (17160, '2020-05-26', 'CL', 'Chile', 'AMRO', '4895', '73997', '43', '761');
INSERT INTO public.who_import VALUES (17161, '2020-05-27', 'CL', 'Chile', 'AMRO', '3964', '77961', '45', '806');
INSERT INTO public.who_import VALUES (17162, '2020-05-28', 'CL', 'Chile', 'AMRO', '4328', '82289', '35', '841');
INSERT INTO public.who_import VALUES (17163, '2020-05-29', 'CL', 'Chile', 'AMRO', '4654', '86943', '49', '890');
INSERT INTO public.who_import VALUES (17164, '2020-05-30', 'CL', 'Chile', 'AMRO', '3695', '90638', '54', '944');
INSERT INTO public.who_import VALUES (17165, '2020-05-31', 'CL', 'Chile', 'AMRO', '4220', '94858', '53', '997');
INSERT INTO public.who_import VALUES (17166, '2020-06-01', 'CL', 'Chile', 'AMRO', '4830', '99688', '57', '1054');
INSERT INTO public.who_import VALUES (17167, '2020-06-02', 'CL', 'Chile', 'AMRO', '5471', '105159', '59', '1113');
INSERT INTO public.who_import VALUES (17168, '2020-06-03', 'CL', 'Chile', 'AMRO', '3527', '108686', '75', '1188');
INSERT INTO public.who_import VALUES (17169, '2020-06-04', 'CL', 'Chile', 'AMRO', '4942', '113628', '87', '1275');
INSERT INTO public.who_import VALUES (17170, '2020-06-05', 'CL', 'Chile', 'AMRO', '4664', '118292', '81', '1356');
INSERT INTO public.who_import VALUES (17171, '2020-06-06', 'CL', 'Chile', 'AMRO', '4207', '122499', '92', '1448');
INSERT INTO public.who_import VALUES (17172, '2020-06-07', 'CL', 'Chile', 'AMRO', '5246', '127745', '93', '1541');
INSERT INTO public.who_import VALUES (17173, '2020-06-08', 'CL', 'Chile', 'AMRO', '6405', '134150', '96', '1637');
INSERT INTO public.who_import VALUES (17174, '2020-06-09', 'CL', 'Chile', 'AMRO', '4696', '138846', '627', '2264');
INSERT INTO public.who_import VALUES (17175, '2020-06-10', 'CL', 'Chile', 'AMRO', '3913', '142759', '19', '2283');
INSERT INTO public.who_import VALUES (17176, '2020-06-11', 'CL', 'Chile', 'AMRO', '5737', '148496', '192', '2475');
INSERT INTO public.who_import VALUES (17177, '2020-06-12', 'CL', 'Chile', 'AMRO', '5596', '154092', '173', '2648');
INSERT INTO public.who_import VALUES (17178, '2020-06-13', 'CL', 'Chile', 'AMRO', '6754', '160846', '222', '2870');
INSERT INTO public.who_import VALUES (17179, '2020-06-14', 'CL', 'Chile', 'AMRO', '6509', '167355', '231', '3101');
INSERT INTO public.who_import VALUES (17180, '2020-06-15', 'CL', 'Chile', 'AMRO', '6938', '174293', '222', '3323');
INSERT INTO public.who_import VALUES (17181, '2020-06-16', 'CL', 'Chile', 'AMRO', '5143', '179436', '39', '3362');
INSERT INTO public.who_import VALUES (17182, '2020-06-17', 'CL', 'Chile', 'AMRO', '5013', '184449', '21', '3383');
INSERT INTO public.who_import VALUES (17183, '2020-06-18', 'CL', 'Chile', 'AMRO', '36179', '220628', '232', '3615');
INSERT INTO public.who_import VALUES (17184, '2020-06-19', 'CL', 'Chile', 'AMRO', '4475', '225103', '226', '3841');
INSERT INTO public.who_import VALUES (17185, '2020-06-20', 'CL', 'Chile', 'AMRO', '6290', '231393', '252', '4093');
INSERT INTO public.who_import VALUES (17186, '2020-06-21', 'CL', 'Chile', 'AMRO', '5355', '236748', '202', '4295');
INSERT INTO public.who_import VALUES (17187, '2020-06-22', 'CL', 'Chile', 'AMRO', '5607', '242355', '184', '4479');
INSERT INTO public.who_import VALUES (17188, '2020-06-23', 'CL', 'Chile', 'AMRO', '4608', '246963', '23', '4502');
INSERT INTO public.who_import VALUES (17189, '2020-06-24', 'CL', 'Chile', 'AMRO', '3804', '250767', '3', '4505');
INSERT INTO public.who_import VALUES (17190, '2020-06-25', 'CL', 'Chile', 'AMRO', '3649', '254416', '226', '4731');
INSERT INTO public.who_import VALUES (17191, '2020-06-26', 'CL', 'Chile', 'AMRO', '4648', '259064', '172', '4903');
INSERT INTO public.who_import VALUES (17192, '2020-06-27', 'CL', 'Chile', 'AMRO', '4296', '263360', '165', '5068');
INSERT INTO public.who_import VALUES (17193, '2020-06-28', 'CL', 'Chile', 'AMRO', '4406', '267766', '279', '5347');
INSERT INTO public.who_import VALUES (17194, '2020-06-29', 'CL', 'Chile', 'AMRO', '4216', '271982', '162', '5509');
INSERT INTO public.who_import VALUES (17195, '2020-06-30', 'CL', 'Chile', 'AMRO', '4017', '275999', '66', '5575');
INSERT INTO public.who_import VALUES (17196, '2020-07-01', 'CL', 'Chile', 'AMRO', '3394', '279393', '113', '5688');
INSERT INTO public.who_import VALUES (17197, '2020-07-02', 'CL', 'Chile', 'AMRO', '2650', '282043', '65', '5753');
INSERT INTO public.who_import VALUES (17198, '2020-07-03', 'CL', 'Chile', 'AMRO', '2498', '284541', '167', '5920');
INSERT INTO public.who_import VALUES (17199, '2020-07-04', 'CL', 'Chile', 'AMRO', '3548', '288089', '131', '6051');
INSERT INTO public.who_import VALUES (17200, '2020-07-05', 'CL', 'Chile', 'AMRO', '3758', '291847', '141', '6192');
INSERT INTO public.who_import VALUES (17201, '2020-07-06', 'CL', 'Chile', 'AMRO', '3685', '295532', '116', '6308');
INSERT INTO public.who_import VALUES (17202, '2020-07-07', 'CL', 'Chile', 'AMRO', '3025', '298557', '76', '6384');
INSERT INTO public.who_import VALUES (17203, '2020-07-08', 'CL', 'Chile', 'AMRO', '2462', '301019', '50', '6434');
INSERT INTO public.who_import VALUES (17204, '2020-07-09', 'CL', 'Chile', 'AMRO', '2064', '303083', '139', '6573');
INSERT INTO public.who_import VALUES (17205, '2020-07-10', 'CL', 'Chile', 'AMRO', '3133', '306216', '109', '6682');
INSERT INTO public.who_import VALUES (17206, '2020-07-11', 'CL', 'Chile', 'AMRO', '3058', '309274', '99', '6781');
INSERT INTO public.who_import VALUES (17207, '2020-07-12', 'CL', 'Chile', 'AMRO', '2755', '312029', '100', '6881');
INSERT INTO public.who_import VALUES (17208, '2020-07-13', 'CL', 'Chile', 'AMRO', '3012', '315041', '98', '6979');
INSERT INTO public.who_import VALUES (17209, '2020-07-14', 'CL', 'Chile', 'AMRO', '2616', '317657', '45', '7024');
INSERT INTO public.who_import VALUES (17210, '2020-07-15', 'CL', 'Chile', 'AMRO', '1836', '319493', '45', '7069');
INSERT INTO public.who_import VALUES (17211, '2020-07-16', 'CL', 'Chile', 'AMRO', '1712', '321205', '117', '7186');
INSERT INTO public.who_import VALUES (17212, '2020-07-17', 'CL', 'Chile', 'AMRO', '2493', '323698', '104', '7290');
INSERT INTO public.who_import VALUES (17213, '2020-07-18', 'CL', 'Chile', 'AMRO', '2841', '326539', '1057', '8347');
INSERT INTO public.who_import VALUES (17214, '2020-07-19', 'CL', 'Chile', 'AMRO', '2307', '328846', '98', '8445');
INSERT INTO public.who_import VALUES (17215, '2020-07-20', 'CL', 'Chile', 'AMRO', '2084', '330930', '58', '8503');
INSERT INTO public.who_import VALUES (17216, '2020-07-21', 'CL', 'Chile', 'AMRO', '2099', '333029', '130', '8633');
INSERT INTO public.who_import VALUES (17217, '2020-07-22', 'CL', 'Chile', 'AMRO', '1654', '334683', '44', '8677');
INSERT INTO public.who_import VALUES (17218, '2020-07-23', 'CL', 'Chile', 'AMRO', '1719', '336402', '45', '8722');
INSERT INTO public.who_import VALUES (17219, '2020-07-24', 'CL', 'Chile', 'AMRO', '2357', '338759', '116', '8838');
INSERT INTO public.who_import VALUES (17220, '2020-07-25', 'CL', 'Chile', 'AMRO', '2545', '341304', '76', '8914');
INSERT INTO public.who_import VALUES (17221, '2020-07-26', 'CL', 'Chile', 'AMRO', '2288', '343592', '106', '9020');
INSERT INTO public.who_import VALUES (17222, '2020-07-27', 'CL', 'Chile', 'AMRO', '2198', '345790', '92', '9112');
INSERT INTO public.who_import VALUES (17223, '2020-07-28', 'CL', 'Chile', 'AMRO', '2133', '347923', '75', '9187');
INSERT INTO public.who_import VALUES (17224, '2020-07-29', 'CL', 'Chile', 'AMRO', '1877', '349800', '53', '9240');
INSERT INTO public.who_import VALUES (17225, '2020-07-30', 'CL', 'Chile', 'AMRO', '1775', '351575', '38', '9278');
INSERT INTO public.who_import VALUES (17226, '2020-07-31', 'CL', 'Chile', 'AMRO', '1961', '353536', '99', '9377');
INSERT INTO public.who_import VALUES (17227, '2020-08-01', 'CL', 'Chile', 'AMRO', '2131', '355667', '80', '9457');
INSERT INTO public.who_import VALUES (17228, '2020-08-02', 'CL', 'Chile', 'AMRO', '1991', '357658', '76', '9533');
INSERT INTO public.who_import VALUES (17229, '2020-08-03', 'CL', 'Chile', 'AMRO', '2073', '359731', '75', '9608');
INSERT INTO public.who_import VALUES (17230, '2020-08-04', 'CL', 'Chile', 'AMRO', '1762', '361493', '99', '9707');
INSERT INTO public.who_import VALUES (17231, '2020-08-05', 'CL', 'Chile', 'AMRO', '1469', '362962', '38', '9745');
INSERT INTO public.who_import VALUES (17232, '2020-08-06', 'CL', 'Chile', 'AMRO', '1761', '364723', '47', '9792');
INSERT INTO public.who_import VALUES (17233, '2020-08-07', 'CL', 'Chile', 'AMRO', '1948', '366671', '97', '9889');
INSERT INTO public.who_import VALUES (17234, '2020-08-08', 'CL', 'Chile', 'AMRO', '2154', '368825', '69', '9958');
INSERT INTO public.who_import VALUES (17235, '2020-08-09', 'CL', 'Chile', 'AMRO', '2198', '371023', '53', '10011');
INSERT INTO public.who_import VALUES (17236, '2020-08-10', 'CL', 'Chile', 'AMRO', '2033', '373056', '66', '10077');
INSERT INTO public.who_import VALUES (17237, '2020-08-11', 'CL', 'Chile', 'AMRO', '1988', '375044', '62', '10139');
INSERT INTO public.who_import VALUES (17238, '2020-08-12', 'CL', 'Chile', 'AMRO', '1572', '376616', '39', '10178');
INSERT INTO public.who_import VALUES (17239, '2020-08-13', 'CL', 'Chile', 'AMRO', '1552', '378168', '27', '10205');
INSERT INTO public.who_import VALUES (17240, '2020-08-14', 'CL', 'Chile', 'AMRO', '1866', '380034', '94', '10299');
INSERT INTO public.who_import VALUES (17241, '2020-08-15', 'CL', 'Chile', 'AMRO', '2077', '382111', '41', '10340');
INSERT INTO public.who_import VALUES (17242, '2020-08-16', 'CL', 'Chile', 'AMRO', '1791', '383902', '55', '10395');
INSERT INTO public.who_import VALUES (17243, '2020-08-17', 'CL', 'Chile', 'AMRO', '2044', '385946', '57', '10452');
INSERT INTO public.who_import VALUES (17244, '2020-08-18', 'CL', 'Chile', 'AMRO', '1556', '387502', '61', '10513');
INSERT INTO public.who_import VALUES (17245, '2020-08-19', 'CL', 'Chile', 'AMRO', '1353', '388855', '33', '10546');
INSERT INTO public.who_import VALUES (17246, '2020-08-20', 'CL', 'Chile', 'AMRO', '1182', '390037', '32', '10578');
INSERT INTO public.who_import VALUES (17247, '2020-08-21', 'CL', 'Chile', 'AMRO', '1812', '391849', '93', '10671');
INSERT INTO public.who_import VALUES (17248, '2020-08-22', 'CL', 'Chile', 'AMRO', '1920', '393769', '52', '10723');
INSERT INTO public.who_import VALUES (17249, '2020-08-23', 'CL', 'Chile', 'AMRO', '1939', '395708', '69', '10792');
INSERT INTO public.who_import VALUES (17250, '2020-08-24', 'CL', 'Chile', 'AMRO', '1957', '397665', '60', '10852');
INSERT INTO public.who_import VALUES (17251, '2020-08-25', 'CL', 'Chile', 'AMRO', '1903', '399568', '64', '10916');
INSERT INTO public.who_import VALUES (17252, '2020-08-26', 'CL', 'Chile', 'AMRO', '1417', '400985', '42', '10958');
INSERT INTO public.who_import VALUES (17253, '2020-08-27', 'CL', 'Chile', 'AMRO', '1380', '402365', '32', '10990');
INSERT INTO public.who_import VALUES (17254, '2020-08-28', 'CL', 'Chile', 'AMRO', '1737', '404102', '82', '11072');
INSERT INTO public.who_import VALUES (17255, '2020-08-29', 'CL', 'Chile', 'AMRO', '1870', '405972', '60', '11132');
INSERT INTO public.who_import VALUES (17256, '2020-08-30', 'CL', 'Chile', 'AMRO', '2037', '408009', '49', '11181');
INSERT INTO public.who_import VALUES (17257, '2020-08-31', 'CL', 'Chile', 'AMRO', '1965', '409974', '63', '11244');
INSERT INTO public.who_import VALUES (17258, '2020-09-01', 'CL', 'Chile', 'AMRO', '1752', '411726', '45', '11289');
INSERT INTO public.who_import VALUES (17259, '2020-09-02', 'CL', 'Chile', 'AMRO', '1419', '413145', '32', '11321');
INSERT INTO public.who_import VALUES (17260, '2020-09-03', 'CL', 'Chile', 'AMRO', '1594', '414739', '23', '11344');
INSERT INTO public.who_import VALUES (17261, '2020-09-04', 'CL', 'Chile', 'AMRO', '1762', '416501', '78', '11422');
INSERT INTO public.who_import VALUES (17262, '2020-09-05', 'CL', 'Chile', 'AMRO', '1968', '418469', '72', '11494');
INSERT INTO public.who_import VALUES (17263, '2020-09-06', 'CL', 'Chile', 'AMRO', '1965', '420434', '57', '11551');
INSERT INTO public.who_import VALUES (17264, '2020-09-07', 'CL', 'Chile', 'AMRO', '2076', '422510', '41', '11592');
INSERT INTO public.who_import VALUES (17265, '2020-09-08', 'CL', 'Chile', 'AMRO', '1764', '424274', '60', '11652');
INSERT INTO public.who_import VALUES (17266, '2020-09-09', 'CL', 'Chile', 'AMRO', '1267', '425541', '30', '11682');
INSERT INTO public.who_import VALUES (17267, '2020-09-10', 'CL', 'Chile', 'AMRO', '1486', '427027', '20', '11702');
INSERT INTO public.who_import VALUES (17268, '2020-09-11', 'CL', 'Chile', 'AMRO', '1642', '428669', '79', '11781');
INSERT INTO public.who_import VALUES (17269, '2020-09-12', 'CL', 'Chile', 'AMRO', '1866', '430535', '69', '11850');
INSERT INTO public.who_import VALUES (17270, '2020-09-13', 'CL', 'Chile', 'AMRO', '2131', '432666', '45', '11895');
INSERT INTO public.who_import VALUES (17271, '2020-09-14', 'CL', 'Chile', 'AMRO', '2082', '434748', '54', '11949');
INSERT INTO public.who_import VALUES (17272, '2020-09-15', 'CL', 'Chile', 'AMRO', '1685', '436433', '64', '12013');
INSERT INTO public.who_import VALUES (17273, '2020-09-16', 'CL', 'Chile', 'AMRO', '1550', '437983', '27', '12040');
INSERT INTO public.who_import VALUES (17274, '2020-09-17', 'CL', 'Chile', 'AMRO', '1304', '439287', '18', '12058');
INSERT INTO public.who_import VALUES (17275, '2020-09-18', 'CL', 'Chile', 'AMRO', '1863', '441150', '84', '12142');
INSERT INTO public.who_import VALUES (17276, '2020-09-19', 'CL', 'Chile', 'AMRO', '1677', '442827', '57', '12199');
INSERT INTO public.who_import VALUES (17277, '2020-09-20', 'CL', 'Chile', 'AMRO', '1847', '444674', '55', '12254');
INSERT INTO public.who_import VALUES (17278, '2020-09-21', 'CL', 'Chile', 'AMRO', '1600', '446274', '32', '12286');
INSERT INTO public.who_import VALUES (17279, '2020-09-22', 'CL', 'Chile', 'AMRO', '1194', '447468', '12', '12298');
INSERT INTO public.who_import VALUES (17280, '2020-09-23', 'CL', 'Chile', 'AMRO', '1055', '448523', '23', '12321');
INSERT INTO public.who_import VALUES (17281, '2020-09-24', 'CL', 'Chile', 'AMRO', '1380', '449903', '24', '12345');
INSERT INTO public.who_import VALUES (17282, '2020-09-25', 'CL', 'Chile', 'AMRO', '1731', '451634', '124', '12469');
INSERT INTO public.who_import VALUES (17283, '2020-09-26', 'CL', 'Chile', 'AMRO', '2234', '453868', '58', '12527');
INSERT INTO public.who_import VALUES (17284, '2020-09-27', 'CL', 'Chile', 'AMRO', '2111', '455979', '64', '12591');
INSERT INTO public.who_import VALUES (17285, '2020-09-28', 'CL', 'Chile', 'AMRO', '1922', '457901', '50', '12641');
INSERT INTO public.who_import VALUES (17286, '2020-09-29', 'CL', 'Chile', 'AMRO', '1770', '459671', '57', '12698');
INSERT INTO public.who_import VALUES (17287, '2020-09-30', 'CL', 'Chile', 'AMRO', '1629', '461300', '27', '12725');
INSERT INTO public.who_import VALUES (17288, '2020-10-01', 'CL', 'Chile', 'AMRO', '1691', '462991', '16', '12741');
INSERT INTO public.who_import VALUES (17289, '2020-10-02', 'CL', 'Chile', 'AMRO', '1759', '464750', '81', '12822');
INSERT INTO public.who_import VALUES (17290, '2020-10-03', 'CL', 'Chile', 'AMRO', '1840', '466590', '45', '12867');
INSERT INTO public.who_import VALUES (17291, '2020-10-04', 'CL', 'Chile', 'AMRO', '1881', '468471', '52', '12919');
INSERT INTO public.who_import VALUES (17292, '2020-10-05', 'CL', 'Chile', 'AMRO', '1708', '470179', '60', '12979');
INSERT INTO public.who_import VALUES (17293, '2020-10-06', 'CL', 'Chile', 'AMRO', '1567', '471746', '58', '13037');
INSERT INTO public.who_import VALUES (17294, '2020-10-07', 'CL', 'Chile', 'AMRO', '1560', '473306', '33', '13070');
INSERT INTO public.who_import VALUES (17295, '2020-10-08', 'CL', 'Chile', 'AMRO', '1134', '474440', '20', '13090');
INSERT INTO public.who_import VALUES (17296, '2020-10-09', 'CL', 'Chile', 'AMRO', '1576', '476016', '77', '13167');
INSERT INTO public.who_import VALUES (17297, '2020-10-10', 'CL', 'Chile', 'AMRO', '1753', '477769', '53', '13220');
INSERT INTO public.who_import VALUES (17298, '2020-10-11', 'CL', 'Chile', 'AMRO', '1826', '479595', '52', '13272');
INSERT INTO public.who_import VALUES (17299, '2020-10-12', 'CL', 'Chile', 'AMRO', '1776', '481371', '46', '13318');
INSERT INTO public.who_import VALUES (17300, '2020-10-13', 'CL', 'Chile', 'AMRO', '1517', '482888', '61', '13379');
INSERT INTO public.who_import VALUES (17301, '2020-10-14', 'CL', 'Chile', 'AMRO', '1392', '484280', '17', '13396');
INSERT INTO public.who_import VALUES (17302, '2020-10-15', 'CL', 'Chile', 'AMRO', '1092', '485372', '19', '13415');
INSERT INTO public.who_import VALUES (17303, '2020-10-16', 'CL', 'Chile', 'AMRO', '1124', '486496', '19', '13434');
INSERT INTO public.who_import VALUES (17304, '2020-10-17', 'CL', 'Chile', 'AMRO', '1694', '488190', '95', '13529');
INSERT INTO public.who_import VALUES (17305, '2020-10-18', 'CL', 'Chile', 'AMRO', '1813', '490003', '59', '13588');
INSERT INTO public.who_import VALUES (17306, '2020-10-19', 'CL', 'Chile', 'AMRO', '1757', '491760', '47', '13635');
INSERT INTO public.who_import VALUES (17307, '2020-10-20', 'CL', 'Chile', 'AMRO', '1545', '493305', '41', '13676');
INSERT INTO public.who_import VALUES (17308, '2020-10-21', 'CL', 'Chile', 'AMRO', '1173', '494478', '26', '13702');
INSERT INTO public.who_import VALUES (17309, '2020-10-22', 'CL', 'Chile', 'AMRO', '1159', '495637', '17', '13719');
INSERT INTO public.who_import VALUES (17310, '2020-10-23', 'CL', 'Chile', 'AMRO', '1494', '497131', '73', '13792');
INSERT INTO public.who_import VALUES (17311, '2020-10-24', 'CL', 'Chile', 'AMRO', '1775', '498906', '52', '13844');
INSERT INTO public.who_import VALUES (17312, '2020-10-25', 'CL', 'Chile', 'AMRO', '1636', '500542', '48', '13892');
INSERT INTO public.who_import VALUES (17313, '2020-10-26', 'CL', 'Chile', 'AMRO', '1521', '502063', '52', '13944');
INSERT INTO public.who_import VALUES (17314, '2020-10-27', 'CL', 'Chile', 'AMRO', '1535', '503598', '59', '14003');
INSERT INTO public.who_import VALUES (17315, '2020-10-28', 'CL', 'Chile', 'AMRO', '927', '504525', '23', '14026');
INSERT INTO public.who_import VALUES (17316, '2020-10-29', 'CL', 'Chile', 'AMRO', '1005', '505530', '6', '14032');
INSERT INTO public.who_import VALUES (17317, '2020-10-30', 'CL', 'Chile', 'AMRO', '1520', '507050', '86', '14118');
INSERT INTO public.who_import VALUES (17318, '2020-10-31', 'CL', 'Chile', 'AMRO', '1521', '508571', '40', '14158');
INSERT INTO public.who_import VALUES (17319, '2020-11-01', 'CL', 'Chile', 'AMRO', '1685', '510256', '49', '14207');
INSERT INTO public.who_import VALUES (17320, '2020-11-02', 'CL', 'Chile', 'AMRO', '1608', '511864', '40', '14247');
INSERT INTO public.who_import VALUES (17321, '2020-11-03', 'CL', 'Chile', 'AMRO', '1324', '513188', '55', '14302');
INSERT INTO public.who_import VALUES (17322, '2020-11-04', 'CL', 'Chile', 'AMRO', '1014', '514202', '17', '14319');
INSERT INTO public.who_import VALUES (17323, '2020-11-05', 'CL', 'Chile', 'AMRO', '840', '515042', '21', '14340');
INSERT INTO public.who_import VALUES (17324, '2020-11-06', 'CL', 'Chile', 'AMRO', '1540', '516582', '64', '14404');
INSERT INTO public.who_import VALUES (17325, '2020-11-07', 'CL', 'Chile', 'AMRO', '1808', '518390', '46', '14450');
INSERT INTO public.who_import VALUES (17326, '2020-11-08', 'CL', 'Chile', 'AMRO', '1587', '519977', '49', '14499');
INSERT INTO public.who_import VALUES (17327, '2020-11-09', 'CL', 'Chile', 'AMRO', '1581', '521558', '44', '14543');
INSERT INTO public.who_import VALUES (17328, '2020-11-10', 'CL', 'Chile', 'AMRO', '1321', '522879', '45', '14588');
INSERT INTO public.who_import VALUES (17329, '2020-11-11', 'CL', 'Chile', 'AMRO', '1028', '523907', '23', '14611');
INSERT INTO public.who_import VALUES (17330, '2020-11-12', 'CL', 'Chile', 'AMRO', '897', '524804', '22', '14633');
INSERT INTO public.who_import VALUES (17331, '2020-11-13', 'CL', 'Chile', 'AMRO', '1634', '526438', '66', '14699');
INSERT INTO public.who_import VALUES (17332, '2020-11-14', 'CL', 'Chile', 'AMRO', '1592', '528030', '39', '14738');
INSERT INTO public.who_import VALUES (17333, '2020-11-15', 'CL', 'Chile', 'AMRO', '1646', '529676', '39', '14777');
INSERT INTO public.who_import VALUES (17334, '2020-11-16', 'CL', 'Chile', 'AMRO', '1597', '531273', '42', '14819');
INSERT INTO public.who_import VALUES (17335, '2020-11-17', 'CL', 'Chile', 'AMRO', '1331', '532604', '44', '14863');
INSERT INTO public.who_import VALUES (17336, '2020-11-18', 'CL', 'Chile', 'AMRO', '1006', '533610', '20', '14883');
INSERT INTO public.who_import VALUES (17337, '2020-11-19', 'CL', 'Chile', 'AMRO', '948', '534558', '14', '14897');
INSERT INTO public.who_import VALUES (17338, '2020-11-20', 'CL', 'Chile', 'AMRO', '1454', '536012', '58', '14955');
INSERT INTO public.who_import VALUES (17339, '2020-11-21', 'CL', 'Chile', 'AMRO', '1573', '537585', '48', '15003');
INSERT INTO public.who_import VALUES (17340, '2020-11-22', 'CL', 'Chile', 'AMRO', '1558', '539143', '27', '15030');
INSERT INTO public.who_import VALUES (17341, '2020-11-23', 'CL', 'Chile', 'AMRO', '1497', '540640', '39', '15069');
INSERT INTO public.who_import VALUES (17342, '2020-11-24', 'CL', 'Chile', 'AMRO', '1440', '542080', '37', '15106');
INSERT INTO public.who_import VALUES (17343, '2020-11-25', 'CL', 'Chile', 'AMRO', '1007', '543087', '25', '15131');
INSERT INTO public.who_import VALUES (17344, '2020-11-26', 'CL', 'Chile', 'AMRO', '1005', '544092', '7', '15138');
INSERT INTO public.who_import VALUES (17345, '2020-11-27', 'CL', 'Chile', 'AMRO', '1570', '545662', '97', '15235');
INSERT INTO public.who_import VALUES (17346, '2020-11-28', 'CL', 'Chile', 'AMRO', '1561', '547223', '43', '15278');
INSERT INTO public.who_import VALUES (17347, '2020-11-29', 'CL', 'Chile', 'AMRO', '1718', '548941', '44', '15322');
INSERT INTO public.who_import VALUES (17348, '2020-11-30', 'CL', 'Chile', 'AMRO', '1489', '550430', '34', '15356');
INSERT INTO public.who_import VALUES (17349, '2020-12-01', 'CL', 'Chile', 'AMRO', '1313', '551743', '54', '15410');
INSERT INTO public.who_import VALUES (17350, '2020-12-02', 'CL', 'Chile', 'AMRO', '1121', '552864', '20', '15430');
INSERT INTO public.who_import VALUES (17351, '2020-12-03', 'CL', 'Chile', 'AMRO', '1034', '553898', '8', '15438');
INSERT INTO public.who_import VALUES (17352, '2020-12-04', 'CL', 'Chile', 'AMRO', '1508', '555406', '81', '15519');
INSERT INTO public.who_import VALUES (17353, '2020-12-05', 'CL', 'Chile', 'AMRO', '1729', '557135', '39', '15558');
INSERT INTO public.who_import VALUES (17354, '2020-12-06', 'CL', 'Chile', 'AMRO', '1533', '558668', '34', '15592');
INSERT INTO public.who_import VALUES (17355, '2020-12-07', 'CL', 'Chile', 'AMRO', '1714', '560382', '36', '15628');
INSERT INTO public.who_import VALUES (17356, '2020-12-08', 'CL', 'Chile', 'AMRO', '1760', '562142', '35', '15663');
INSERT INTO public.who_import VALUES (17357, '2020-12-09', 'CL', 'Chile', 'AMRO', '1392', '563534', '17', '15680');
INSERT INTO public.who_import VALUES (17358, '2020-12-10', 'CL', 'Chile', 'AMRO', '1244', '564778', '10', '15690');
INSERT INTO public.who_import VALUES (17359, '2020-12-11', 'CL', 'Chile', 'AMRO', '1662', '566440', '84', '15774');
INSERT INTO public.who_import VALUES (17360, '2020-12-12', 'CL', 'Chile', 'AMRO', '1534', '567974', '8', '15782');
INSERT INTO public.who_import VALUES (17361, '2020-12-13', 'CL', 'Chile', 'AMRO', '1807', '569781', '64', '15846');
INSERT INTO public.who_import VALUES (17362, '2020-12-14', 'CL', 'Chile', 'AMRO', '2138', '571919', '40', '15886');
INSERT INTO public.who_import VALUES (17363, '2020-12-15', 'CL', 'Chile', 'AMRO', '1911', '573830', '45', '15931');
INSERT INTO public.who_import VALUES (17364, '2020-12-16', 'CL', 'Chile', 'AMRO', '1499', '575329', '18', '15949');
INSERT INTO public.who_import VALUES (17365, '2020-12-17', 'CL', 'Chile', 'AMRO', '1402', '576731', '10', '15959');
INSERT INTO public.who_import VALUES (17366, '2020-12-18', 'CL', 'Chile', 'AMRO', '2001', '578732', '48', '16007');
INSERT INTO public.who_import VALUES (17367, '2020-12-19', 'CL', 'Chile', 'AMRO', '2403', '581135', '44', '16051');
INSERT INTO public.who_import VALUES (17368, '2020-12-20', 'CL', 'Chile', 'AMRO', '2219', '583354', '50', '16101');
INSERT INTO public.who_import VALUES (17369, '2020-12-21', 'CL', 'Chile', 'AMRO', '2191', '585545', '53', '16154');
INSERT INTO public.who_import VALUES (17370, '2020-12-22', 'CL', 'Chile', 'AMRO', '1943', '587488', '43', '16197');
INSERT INTO public.who_import VALUES (17371, '2020-12-23', 'CL', 'Chile', 'AMRO', '1701', '589189', '20', '16217');
INSERT INTO public.who_import VALUES (17372, '2020-12-24', 'CL', 'Chile', 'AMRO', '1725', '590914', '11', '16228');
INSERT INTO public.who_import VALUES (17373, '2020-12-25', 'CL', 'Chile', 'AMRO', '2396', '593310', '75', '16303');
INSERT INTO public.who_import VALUES (17374, '2020-12-26', 'CL', 'Chile', 'AMRO', '2521', '595831', '55', '16358');
INSERT INTO public.who_import VALUES (17375, '2020-12-27', 'CL', 'Chile', 'AMRO', '2563', '598394', '46', '16404');
INSERT INTO public.who_import VALUES (17376, '2020-12-28', 'CL', 'Chile', 'AMRO', '1711', '600105', '39', '16443');
INSERT INTO public.who_import VALUES (17377, '2020-12-29', 'CL', 'Chile', 'AMRO', '1923', '602028', '0', '16443');
INSERT INTO public.who_import VALUES (17378, '2020-12-30', 'CL', 'Chile', 'AMRO', '1958', '603986', '45', '16488');
INSERT INTO public.who_import VALUES (17379, '2020-12-31', 'CL', 'Chile', 'AMRO', '1964', '605950', '11', '16499');
INSERT INTO public.who_import VALUES (17380, '2021-01-01', 'CL', 'Chile', 'AMRO', '3023', '608973', '109', '16608');
INSERT INTO public.who_import VALUES (17381, '2021-01-02', 'CL', 'Chile', 'AMRO', '3591', '612564', '52', '16660');
INSERT INTO public.who_import VALUES (17382, '2021-01-03', 'CL', 'Chile', 'AMRO', '3338', '615902', '64', '16724');
INSERT INTO public.who_import VALUES (17383, '2021-01-04', 'CL', 'Chile', 'AMRO', '2289', '618191', '43', '16767');
INSERT INTO public.who_import VALUES (17384, '2021-01-05', 'CL', 'Chile', 'AMRO', '2450', '620641', '0', '16767');
INSERT INTO public.who_import VALUES (17385, '2021-01-06', 'CL', 'Chile', 'AMRO', '2460', '623101', '21', '16788');
INSERT INTO public.who_import VALUES (17386, '2021-01-07', 'CL', 'Chile', 'AMRO', '2382', '625483', '28', '16816');
INSERT INTO public.who_import VALUES (17387, '2021-01-08', 'CL', 'Chile', 'AMRO', '3693', '629176', '97', '16913');
INSERT INTO public.who_import VALUES (17388, '2021-01-09', 'CL', 'Chile', 'AMRO', '4205', '633381', '61', '16974');
INSERT INTO public.who_import VALUES (17389, '2021-01-10', 'CL', 'Chile', 'AMRO', '4361', '637742', '63', '17037');
INSERT INTO public.who_import VALUES (17390, '2021-01-11', 'CL', 'Chile', 'AMRO', '4181', '641923', '59', '17096');
INSERT INTO public.who_import VALUES (17391, '2021-01-12', 'CL', 'Chile', 'AMRO', '3969', '645892', '66', '17162');
INSERT INTO public.who_import VALUES (17392, '2021-01-13', 'CL', 'Chile', 'AMRO', '3243', '649135', '20', '17182');
INSERT INTO public.who_import VALUES (17393, '2021-01-14', 'CL', 'Chile', 'AMRO', '3390', '652525', '22', '17204');
INSERT INTO public.who_import VALUES (17394, '2021-01-15', 'CL', 'Chile', 'AMRO', '4187', '656712', '90', '17294');
INSERT INTO public.who_import VALUES (17395, '2021-01-16', 'CL', 'Chile', 'AMRO', '4468', '661180', '75', '17369');
INSERT INTO public.who_import VALUES (17396, '2021-01-17', 'CL', 'Chile', 'AMRO', '4313', '665493', '66', '17435');
INSERT INTO public.who_import VALUES (17397, '2021-01-18', 'CL', 'Chile', 'AMRO', '4339', '669832', '42', '17477');
INSERT INTO public.who_import VALUES (17398, '2021-01-19', 'CL', 'Chile', 'AMRO', '3918', '673750', '70', '17547');
INSERT INTO public.who_import VALUES (17399, '2021-01-20', 'CL', 'Chile', 'AMRO', '3401', '677151', '26', '17573');
INSERT INTO public.who_import VALUES (17400, '2021-01-21', 'CL', 'Chile', 'AMRO', '3589', '680740', '21', '17594');
INSERT INTO public.who_import VALUES (17401, '2021-01-22', 'CL', 'Chile', 'AMRO', '4367', '685107', '108', '17702');
INSERT INTO public.who_import VALUES (17402, '2021-01-23', 'CL', 'Chile', 'AMRO', '4959', '690066', '84', '17786');
INSERT INTO public.who_import VALUES (17403, '2021-01-24', 'CL', 'Chile', 'AMRO', '4581', '694647', '68', '17854');
INSERT INTO public.who_import VALUES (17404, '2021-01-25', 'CL', 'Chile', 'AMRO', '4463', '699110', '79', '17933');
INSERT INTO public.who_import VALUES (17405, '2021-01-26', 'CL', 'Chile', 'AMRO', '4068', '703178', '66', '17999');
INSERT INTO public.who_import VALUES (17406, '2021-01-27', 'CL', 'Chile', 'AMRO', '3322', '706500', '24', '18023');
INSERT INTO public.who_import VALUES (17407, '2021-01-28', 'CL', 'Chile', 'AMRO', '3388', '709888', '17', '18040');
INSERT INTO public.who_import VALUES (17408, '2021-01-29', 'CL', 'Chile', 'AMRO', '4255', '714143', '134', '18174');
INSERT INTO public.who_import VALUES (17409, '2021-01-30', 'CL', 'Chile', 'AMRO', '4606', '718749', '83', '18257');
INSERT INTO public.who_import VALUES (17410, '2021-01-31', 'CL', 'Chile', 'AMRO', '4151', '722900', '82', '18339');
INSERT INTO public.who_import VALUES (17411, '2021-02-01', 'CL', 'Chile', 'AMRO', '4209', '727109', '113', '18452');
INSERT INTO public.who_import VALUES (17412, '2021-02-02', 'CL', 'Chile', 'AMRO', '3779', '730888', '85', '18537');
INSERT INTO public.who_import VALUES (17413, '2021-02-03', 'CL', 'Chile', 'AMRO', '3147', '734035', '22', '18559');
INSERT INTO public.who_import VALUES (17414, '2021-02-04', 'CL', 'Chile', 'AMRO', '2610', '736645', '17', '18576');
INSERT INTO public.who_import VALUES (17415, '2021-02-05', 'CL', 'Chile', 'AMRO', '3592', '740237', '155', '18731');
INSERT INTO public.who_import VALUES (17416, '2021-02-06', 'CL', 'Chile', 'AMRO', '3782', '744019', '77', '18808');
INSERT INTO public.who_import VALUES (17417, '2021-02-07', 'CL', 'Chile', 'AMRO', '4063', '748082', '87', '18895');
INSERT INTO public.who_import VALUES (17418, '2021-02-08', 'CL', 'Chile', 'AMRO', '3804', '751886', '79', '18974');
INSERT INTO public.who_import VALUES (17419, '2021-02-09', 'CL', 'Chile', 'AMRO', '3464', '755350', '82', '19056');
INSERT INTO public.who_import VALUES (17420, '2021-02-10', 'CL', 'Chile', 'AMRO', '2839', '758189', '28', '19084');
INSERT INTO public.who_import VALUES (17421, '2021-02-11', 'CL', 'Chile', 'AMRO', '2387', '760576', '21', '19105');
INSERT INTO public.who_import VALUES (17422, '2021-02-12', 'CL', 'Chile', 'AMRO', '3731', '764307', '157', '19262');
INSERT INTO public.who_import VALUES (17423, '2021-02-13', 'CL', 'Chile', 'AMRO', '4164', '768471', '83', '19345');
INSERT INTO public.who_import VALUES (17424, '2021-02-14', 'CL', 'Chile', 'AMRO', '3924', '772395', '98', '19443');
INSERT INTO public.who_import VALUES (17425, '2021-02-15', 'CL', 'Chile', 'AMRO', '3814', '776209', '98', '19541');
INSERT INTO public.who_import VALUES (17426, '2021-02-16', 'CL', 'Chile', 'AMRO', '3332', '779541', '83', '19624');
INSERT INTO public.who_import VALUES (17427, '2021-02-17', 'CL', 'Chile', 'AMRO', '2498', '782039', '20', '19644');
INSERT INTO public.who_import VALUES (17428, '2021-02-18', 'CL', 'Chile', 'AMRO', '2275', '784314', '15', '19659');
INSERT INTO public.who_import VALUES (17429, '2021-02-19', 'CL', 'Chile', 'AMRO', '3828', '788142', '139', '19798');
INSERT INTO public.who_import VALUES (17430, '2021-02-20', 'CL', 'Chile', 'AMRO', '3797', '791939', '99', '19897');
INSERT INTO public.who_import VALUES (17431, '2020-01-03', 'CN', 'China', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17432, '2020-01-04', 'CN', 'China', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (17433, '2020-01-05', 'CN', 'China', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (17434, '2020-01-06', 'CN', 'China', 'WPRO', '3', '4', '0', '0');
INSERT INTO public.who_import VALUES (17435, '2020-01-07', 'CN', 'China', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (17436, '2020-01-08', 'CN', 'China', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (17437, '2020-01-09', 'CN', 'China', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (17438, '2020-01-10', 'CN', 'China', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (17439, '2020-01-11', 'CN', 'China', 'WPRO', '41', '45', '1', '1');
INSERT INTO public.who_import VALUES (17440, '2020-01-12', 'CN', 'China', 'WPRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (17441, '2020-01-13', 'CN', 'China', 'WPRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (17442, '2020-01-14', 'CN', 'China', 'WPRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (17443, '2020-01-15', 'CN', 'China', 'WPRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (17444, '2020-01-16', 'CN', 'China', 'WPRO', '0', '45', '0', '1');
INSERT INTO public.who_import VALUES (17445, '2020-01-17', 'CN', 'China', 'WPRO', '4', '49', '1', '2');
INSERT INTO public.who_import VALUES (17446, '2020-01-18', 'CN', 'China', 'WPRO', '17', '66', '0', '2');
INSERT INTO public.who_import VALUES (17447, '2020-01-19', 'CN', 'China', 'WPRO', '59', '125', '1', '3');
INSERT INTO public.who_import VALUES (17448, '2020-01-20', 'CN', 'China', 'WPRO', '77', '202', '1', '4');
INSERT INTO public.who_import VALUES (17449, '2020-01-21', 'CN', 'China', 'WPRO', '93', '295', '2', '6');
INSERT INTO public.who_import VALUES (17450, '2020-01-22', 'CN', 'China', 'WPRO', '152', '447', '3', '9');
INSERT INTO public.who_import VALUES (17451, '2020-01-23', 'CN', 'China', 'WPRO', '131', '578', '8', '17');
INSERT INTO public.who_import VALUES (17452, '2020-01-24', 'CN', 'China', 'WPRO', '261', '839', '8', '25');
INSERT INTO public.who_import VALUES (17453, '2020-01-25', 'CN', 'China', 'WPRO', '462', '1301', '16', '41');
INSERT INTO public.who_import VALUES (17454, '2020-01-26', 'CN', 'China', 'WPRO', '688', '1989', '15', '56');
INSERT INTO public.who_import VALUES (17455, '2020-01-27', 'CN', 'China', 'WPRO', '776', '2765', '24', '80');
INSERT INTO public.who_import VALUES (17456, '2020-01-28', 'CN', 'China', 'WPRO', '1772', '4537', '26', '106');
INSERT INTO public.who_import VALUES (17457, '2020-01-29', 'CN', 'China', 'WPRO', '1462', '5999', '26', '132');
INSERT INTO public.who_import VALUES (17458, '2020-01-30', 'CN', 'China', 'WPRO', '1741', '7740', '38', '170');
INSERT INTO public.who_import VALUES (17459, '2020-01-31', 'CN', 'China', 'WPRO', '1984', '9724', '43', '213');
INSERT INTO public.who_import VALUES (17460, '2020-02-01', 'CN', 'China', 'WPRO', '2101', '11825', '46', '259');
INSERT INTO public.who_import VALUES (17461, '2020-02-02', 'CN', 'China', 'WPRO', '2590', '14415', '45', '304');
INSERT INTO public.who_import VALUES (17462, '2020-02-03', 'CN', 'China', 'WPRO', '2827', '17242', '57', '361');
INSERT INTO public.who_import VALUES (17463, '2020-02-04', 'CN', 'China', 'WPRO', '3233', '20475', '64', '425');
INSERT INTO public.who_import VALUES (17464, '2020-02-05', 'CN', 'China', 'WPRO', '3892', '24367', '66', '491');
INSERT INTO public.who_import VALUES (17465, '2020-02-06', 'CN', 'China', 'WPRO', '3697', '28064', '73', '564');
INSERT INTO public.who_import VALUES (17466, '2020-02-07', 'CN', 'China', 'WPRO', '3151', '31215', '73', '637');
INSERT INTO public.who_import VALUES (17467, '2020-02-08', 'CN', 'China', 'WPRO', '3387', '34602', '86', '723');
INSERT INTO public.who_import VALUES (17468, '2020-02-09', 'CN', 'China', 'WPRO', '2653', '37255', '89', '812');
INSERT INTO public.who_import VALUES (17469, '2020-02-10', 'CN', 'China', 'WPRO', '2985', '40240', '97', '909');
INSERT INTO public.who_import VALUES (17470, '2020-02-11', 'CN', 'China', 'WPRO', '2472', '42712', '108', '1017');
INSERT INTO public.who_import VALUES (17471, '2020-02-12', 'CN', 'China', 'WPRO', '2022', '44734', '97', '1114');
INSERT INTO public.who_import VALUES (17472, '2020-02-13', 'CN', 'China', 'WPRO', '15152', '59886', '254', '1368');
INSERT INTO public.who_import VALUES (17473, '2020-02-14', 'CN', 'China', 'WPRO', '4050', '63936', '13', '1381');
INSERT INTO public.who_import VALUES (17474, '2020-02-15', 'CN', 'China', 'WPRO', '2644', '66580', '143', '1524');
INSERT INTO public.who_import VALUES (17475, '2020-02-16', 'CN', 'China', 'WPRO', '2008', '68588', '142', '1666');
INSERT INTO public.who_import VALUES (17476, '2020-02-17', 'CN', 'China', 'WPRO', '2051', '70639', '106', '1772');
INSERT INTO public.who_import VALUES (17477, '2020-02-18', 'CN', 'China', 'WPRO', '1893', '72532', '98', '1870');
INSERT INTO public.who_import VALUES (17478, '2020-02-19', 'CN', 'China', 'WPRO', '1751', '74283', '136', '2006');
INSERT INTO public.who_import VALUES (17479, '2020-02-20', 'CN', 'China', 'WPRO', '396', '74679', '115', '2121');
INSERT INTO public.who_import VALUES (17480, '2020-02-21', 'CN', 'China', 'WPRO', '892', '75571', '118', '2239');
INSERT INTO public.who_import VALUES (17481, '2020-02-22', 'CN', 'China', 'WPRO', '825', '76396', '109', '2348');
INSERT INTO public.who_import VALUES (17482, '2020-02-23', 'CN', 'China', 'WPRO', '649', '77045', '97', '2445');
INSERT INTO public.who_import VALUES (17483, '2020-02-24', 'CN', 'China', 'WPRO', '221', '77266', '150', '2595');
INSERT INTO public.who_import VALUES (17484, '2020-02-25', 'CN', 'China', 'WPRO', '517', '77783', '71', '2666');
INSERT INTO public.who_import VALUES (17485, '2020-02-26', 'CN', 'China', 'WPRO', '411', '78194', '52', '2718');
INSERT INTO public.who_import VALUES (17486, '2020-02-27', 'CN', 'China', 'WPRO', '440', '78634', '29', '2747');
INSERT INTO public.who_import VALUES (17487, '2020-02-28', 'CN', 'China', 'WPRO', '329', '78963', '44', '2791');
INSERT INTO public.who_import VALUES (17488, '2020-02-29', 'CN', 'China', 'WPRO', '430', '79393', '47', '2838');
INSERT INTO public.who_import VALUES (17489, '2020-03-01', 'CN', 'China', 'WPRO', '579', '79972', '35', '2873');
INSERT INTO public.who_import VALUES (17490, '2020-03-02', 'CN', 'China', 'WPRO', '206', '80178', '42', '2915');
INSERT INTO public.who_import VALUES (17491, '2020-03-03', 'CN', 'China', 'WPRO', '128', '80306', '31', '2946');
INSERT INTO public.who_import VALUES (17492, '2020-03-04', 'CN', 'China', 'WPRO', '120', '80426', '38', '2984');
INSERT INTO public.who_import VALUES (17493, '2020-03-05', 'CN', 'China', 'WPRO', '143', '80569', '31', '3015');
INSERT INTO public.who_import VALUES (17494, '2020-03-06', 'CN', 'China', 'WPRO', '146', '80715', '30', '3045');
INSERT INTO public.who_import VALUES (17495, '2020-03-07', 'CN', 'China', 'WPRO', '102', '80817', '28', '3073');
INSERT INTO public.who_import VALUES (17496, '2020-03-08', 'CN', 'China', 'WPRO', '46', '80863', '27', '3100');
INSERT INTO public.who_import VALUES (17497, '2020-03-09', 'CN', 'China', 'WPRO', '45', '80908', '23', '3123');
INSERT INTO public.who_import VALUES (17498, '2020-03-10', 'CN', 'China', 'WPRO', '20', '80928', '17', '3140');
INSERT INTO public.who_import VALUES (17499, '2020-03-11', 'CN', 'China', 'WPRO', '31', '80959', '22', '3162');
INSERT INTO public.who_import VALUES (17500, '2020-03-12', 'CN', 'China', 'WPRO', '26', '80985', '11', '3173');
INSERT INTO public.who_import VALUES (17501, '2020-03-13', 'CN', 'China', 'WPRO', '10', '80995', '7', '3180');
INSERT INTO public.who_import VALUES (17502, '2020-03-14', 'CN', 'China', 'WPRO', '30', '81025', '14', '3194');
INSERT INTO public.who_import VALUES (17503, '2020-03-15', 'CN', 'China', 'WPRO', '27', '81052', '10', '3204');
INSERT INTO public.who_import VALUES (17504, '2020-03-16', 'CN', 'China', 'WPRO', '29', '81081', '14', '3218');
INSERT INTO public.who_import VALUES (17505, '2020-03-17', 'CN', 'China', 'WPRO', '39', '81120', '13', '3231');
INSERT INTO public.who_import VALUES (17506, '2020-03-18', 'CN', 'China', 'WPRO', '58', '81178', '11', '3242');
INSERT INTO public.who_import VALUES (17507, '2020-03-19', 'CN', 'China', 'WPRO', '99', '81277', '8', '3250');
INSERT INTO public.who_import VALUES (17508, '2020-03-20', 'CN', 'China', 'WPRO', '139', '81416', '11', '3261');
INSERT INTO public.who_import VALUES (17509, '2020-03-21', 'CN', 'China', 'WPRO', '82', '81498', '6', '3267');
INSERT INTO public.who_import VALUES (17510, '2020-03-22', 'CN', 'China', 'WPRO', '1', '81499', '0', '3267');
INSERT INTO public.who_import VALUES (17511, '2020-03-23', 'CN', 'China', 'WPRO', '104', '81603', '9', '3276');
INSERT INTO public.who_import VALUES (17512, '2020-03-24', 'CN', 'China', 'WPRO', '164', '81767', '7', '3283');
INSERT INTO public.who_import VALUES (17513, '2020-03-25', 'CN', 'China', 'WPRO', '102', '81869', '4', '3287');
INSERT INTO public.who_import VALUES (17514, '2020-03-26', 'CN', 'China', 'WPRO', '92', '81961', '6', '3293');
INSERT INTO public.who_import VALUES (17515, '2020-03-27', 'CN', 'China', 'WPRO', '132', '82093', '5', '3298');
INSERT INTO public.who_import VALUES (17516, '2020-03-28', 'CN', 'China', 'WPRO', '120', '82213', '3', '3301');
INSERT INTO public.who_import VALUES (17517, '2020-03-29', 'CN', 'China', 'WPRO', '128', '82341', '5', '3306');
INSERT INTO public.who_import VALUES (17518, '2020-03-30', 'CN', 'China', 'WPRO', '114', '82455', '4', '3310');
INSERT INTO public.who_import VALUES (17519, '2020-03-31', 'CN', 'China', 'WPRO', '90', '82545', '4', '3314');
INSERT INTO public.who_import VALUES (17520, '2020-04-01', 'CN', 'China', 'WPRO', '93', '82638', '7', '3321');
INSERT INTO public.who_import VALUES (17521, '2020-04-02', 'CN', 'China', 'WPRO', '86', '82724', '6', '3327');
INSERT INTO public.who_import VALUES (17522, '2020-04-03', 'CN', 'China', 'WPRO', '78', '82802', '4', '3331');
INSERT INTO public.who_import VALUES (17523, '2020-04-04', 'CN', 'China', 'WPRO', '73', '82875', '4', '3335');
INSERT INTO public.who_import VALUES (17524, '2020-04-05', 'CN', 'China', 'WPRO', '55', '82930', '3', '3338');
INSERT INTO public.who_import VALUES (17525, '2020-04-06', 'CN', 'China', 'WPRO', '75', '83005', '2', '3340');
INSERT INTO public.who_import VALUES (17526, '2020-04-07', 'CN', 'China', 'WPRO', '66', '83071', '0', '3340');
INSERT INTO public.who_import VALUES (17527, '2020-04-08', 'CN', 'China', 'WPRO', '90', '83161', '2', '3342');
INSERT INTO public.who_import VALUES (17528, '2020-04-09', 'CN', 'China', 'WPRO', '88', '83249', '2', '3344');
INSERT INTO public.who_import VALUES (17529, '2020-04-10', 'CN', 'China', 'WPRO', '56', '83305', '1', '3345');
INSERT INTO public.who_import VALUES (17530, '2020-04-11', 'CN', 'China', 'WPRO', '78', '83383', '4', '3349');
INSERT INTO public.who_import VALUES (17531, '2020-04-12', 'CN', 'China', 'WPRO', '102', '83485', '0', '3349');
INSERT INTO public.who_import VALUES (17532, '2020-04-13', 'CN', 'China', 'WPRO', '112', '83597', '2', '3351');
INSERT INTO public.who_import VALUES (17533, '2020-04-14', 'CN', 'China', 'WPRO', '99', '83696', '0', '3351');
INSERT INTO public.who_import VALUES (17534, '2020-04-15', 'CN', 'China', 'WPRO', '51', '83747', '1', '3352');
INSERT INTO public.who_import VALUES (17535, '2020-04-16', 'CN', 'China', 'WPRO', '50', '83797', '0', '3352');
INSERT INTO public.who_import VALUES (17536, '2020-04-17', 'CN', 'China', 'WPRO', '352', '84149', '1290', '4642');
INSERT INTO public.who_import VALUES (17537, '2020-04-18', 'CN', 'China', 'WPRO', '31', '84180', '0', '4642');
INSERT INTO public.who_import VALUES (17538, '2020-04-19', 'CN', 'China', 'WPRO', '43', '84223', '0', '4642');
INSERT INTO public.who_import VALUES (17539, '2020-04-20', 'CN', 'China', 'WPRO', '16', '84239', '0', '4642');
INSERT INTO public.who_import VALUES (17540, '2020-04-21', 'CN', 'China', 'WPRO', '14', '84253', '0', '4642');
INSERT INTO public.who_import VALUES (17541, '2020-04-22', 'CN', 'China', 'WPRO', '35', '84288', '0', '4642');
INSERT INTO public.who_import VALUES (17542, '2020-04-23', 'CN', 'China', 'WPRO', '15', '84303', '0', '4642');
INSERT INTO public.who_import VALUES (17543, '2020-04-24', 'CN', 'China', 'WPRO', '9', '84312', '0', '4642');
INSERT INTO public.who_import VALUES (17544, '2020-04-25', 'CN', 'China', 'WPRO', '12', '84324', '0', '4642');
INSERT INTO public.who_import VALUES (17545, '2020-04-26', 'CN', 'China', 'WPRO', '14', '84338', '0', '4642');
INSERT INTO public.who_import VALUES (17546, '2020-04-27', 'CN', 'China', 'WPRO', '3', '84341', '1', '4643');
INSERT INTO public.who_import VALUES (17547, '2020-04-28', 'CN', 'China', 'WPRO', '6', '84347', '0', '4643');
INSERT INTO public.who_import VALUES (17548, '2020-04-29', 'CN', 'China', 'WPRO', '22', '84369', '0', '4643');
INSERT INTO public.who_import VALUES (17549, '2020-04-30', 'CN', 'China', 'WPRO', '4', '84373', '0', '4643');
INSERT INTO public.who_import VALUES (17550, '2020-05-01', 'CN', 'China', 'WPRO', '12', '84385', '0', '4643');
INSERT INTO public.who_import VALUES (17551, '2020-05-02', 'CN', 'China', 'WPRO', '6', '84391', '0', '4643');
INSERT INTO public.who_import VALUES (17552, '2020-05-03', 'CN', 'China', 'WPRO', '2', '84393', '0', '4643');
INSERT INTO public.who_import VALUES (17553, '2020-05-04', 'CN', 'China', 'WPRO', '8', '84401', '0', '4643');
INSERT INTO public.who_import VALUES (17554, '2020-05-05', 'CN', 'China', 'WPRO', '3', '84404', '0', '4643');
INSERT INTO public.who_import VALUES (17555, '2020-05-06', 'CN', 'China', 'WPRO', '2', '84406', '0', '4643');
INSERT INTO public.who_import VALUES (17556, '2020-05-07', 'CN', 'China', 'WPRO', '3', '84409', '0', '4643');
INSERT INTO public.who_import VALUES (17557, '2020-05-08', 'CN', 'China', 'WPRO', '6', '84415', '0', '4643');
INSERT INTO public.who_import VALUES (17558, '2020-05-09', 'CN', 'China', 'WPRO', '1', '84416', '0', '4643');
INSERT INTO public.who_import VALUES (17559, '2020-05-10', 'CN', 'China', 'WPRO', '14', '84430', '0', '4643');
INSERT INTO public.who_import VALUES (17560, '2020-05-11', 'CN', 'China', 'WPRO', '20', '84450', '0', '4643');
INSERT INTO public.who_import VALUES (17561, '2020-05-12', 'CN', 'China', 'WPRO', '1', '84451', '1', '4644');
INSERT INTO public.who_import VALUES (17562, '2020-05-13', 'CN', 'China', 'WPRO', '7', '84458', '0', '4644');
INSERT INTO public.who_import VALUES (17563, '2020-05-14', 'CN', 'China', 'WPRO', '6', '84464', '0', '4644');
INSERT INTO public.who_import VALUES (17564, '2020-05-15', 'CN', 'China', 'WPRO', '5', '84469', '0', '4644');
INSERT INTO public.who_import VALUES (17565, '2020-05-16', 'CN', 'China', 'WPRO', '9', '84478', '0', '4644');
INSERT INTO public.who_import VALUES (17566, '2020-05-17', 'CN', 'China', 'WPRO', '6', '84484', '1', '4645');
INSERT INTO public.who_import VALUES (17567, '2020-05-18', 'CN', 'China', 'WPRO', '10', '84494', '0', '4645');
INSERT INTO public.who_import VALUES (17568, '2020-05-19', 'CN', 'China', 'WPRO', '6', '84500', '0', '4645');
INSERT INTO public.who_import VALUES (17569, '2020-05-20', 'CN', 'China', 'WPRO', '5', '84505', '0', '4645');
INSERT INTO public.who_import VALUES (17570, '2020-05-21', 'CN', 'China', 'WPRO', '2', '84507', '0', '4645');
INSERT INTO public.who_import VALUES (17571, '2020-05-22', 'CN', 'China', 'WPRO', '13', '84520', '0', '4645');
INSERT INTO public.who_import VALUES (17572, '2020-05-23', 'CN', 'China', 'WPRO', '2', '84522', '0', '4645');
INSERT INTO public.who_import VALUES (17573, '2020-05-24', 'CN', 'China', 'WPRO', '3', '84525', '0', '4645');
INSERT INTO public.who_import VALUES (17574, '2020-05-25', 'CN', 'China', 'WPRO', '11', '84536', '0', '4645');
INSERT INTO public.who_import VALUES (17575, '2020-05-26', 'CN', 'China', 'WPRO', '7', '84543', '0', '4645');
INSERT INTO public.who_import VALUES (17576, '2020-05-27', 'CN', 'China', 'WPRO', '1', '84544', '0', '4645');
INSERT INTO public.who_import VALUES (17577, '2020-05-28', 'CN', 'China', 'WPRO', '3', '84547', '0', '4645');
INSERT INTO public.who_import VALUES (17578, '2020-05-29', 'CN', 'China', 'WPRO', '0', '84547', '0', '4645');
INSERT INTO public.who_import VALUES (17579, '2020-05-30', 'CN', 'China', 'WPRO', '18', '84565', '0', '4645');
INSERT INTO public.who_import VALUES (17580, '2020-05-31', 'CN', 'China', 'WPRO', '5', '84570', '0', '4645');
INSERT INTO public.who_import VALUES (17581, '2020-06-01', 'CN', 'China', 'WPRO', '18', '84588', '0', '4645');
INSERT INTO public.who_import VALUES (17582, '2020-06-02', 'CN', 'China', 'WPRO', '9', '84597', '0', '4645');
INSERT INTO public.who_import VALUES (17583, '2020-06-03', 'CN', 'China', 'WPRO', '5', '84602', '0', '4645');
INSERT INTO public.who_import VALUES (17584, '2020-06-04', 'CN', 'China', 'WPRO', '1', '84603', '0', '4645');
INSERT INTO public.who_import VALUES (17585, '2020-06-05', 'CN', 'China', 'WPRO', '11', '84614', '0', '4645');
INSERT INTO public.who_import VALUES (17586, '2020-06-06', 'CN', 'China', 'WPRO', '6', '84620', '0', '4645');
INSERT INTO public.who_import VALUES (17587, '2020-06-07', 'CN', 'China', 'WPRO', '9', '84629', '0', '4645');
INSERT INTO public.who_import VALUES (17588, '2020-06-08', 'CN', 'China', 'WPRO', '5', '84634', '0', '4645');
INSERT INTO public.who_import VALUES (17589, '2020-06-09', 'CN', 'China', 'WPRO', '4', '84638', '0', '4645');
INSERT INTO public.who_import VALUES (17590, '2020-06-10', 'CN', 'China', 'WPRO', '3', '84641', '0', '4645');
INSERT INTO public.who_import VALUES (17591, '2020-06-11', 'CN', 'China', 'WPRO', '11', '84652', '0', '4645');
INSERT INTO public.who_import VALUES (17592, '2020-06-12', 'CN', 'China', 'WPRO', '7', '84659', '0', '4645');
INSERT INTO public.who_import VALUES (17593, '2020-06-13', 'CN', 'China', 'WPRO', '12', '84671', '0', '4645');
INSERT INTO public.who_import VALUES (17594, '2020-06-14', 'CN', 'China', 'WPRO', '58', '84729', '0', '4645');
INSERT INTO public.who_import VALUES (17595, '2020-06-15', 'CN', 'China', 'WPRO', '49', '84778', '0', '4645');
INSERT INTO public.who_import VALUES (17596, '2020-06-16', 'CN', 'China', 'WPRO', '45', '84823', '0', '4645');
INSERT INTO public.who_import VALUES (17597, '2020-06-17', 'CN', 'China', 'WPRO', '44', '84867', '0', '4645');
INSERT INTO public.who_import VALUES (17598, '2020-06-18', 'CN', 'China', 'WPRO', '36', '84903', '0', '4645');
INSERT INTO public.who_import VALUES (17599, '2020-06-19', 'CN', 'China', 'WPRO', '37', '84940', '0', '4645');
INSERT INTO public.who_import VALUES (17600, '2020-06-20', 'CN', 'China', 'WPRO', '30', '84970', '0', '4645');
INSERT INTO public.who_import VALUES (17601, '2020-06-21', 'CN', 'China', 'WPRO', '27', '84997', '1', '4646');
INSERT INTO public.who_import VALUES (17602, '2020-06-22', 'CN', 'China', 'WPRO', '21', '85018', '0', '4646');
INSERT INTO public.who_import VALUES (17603, '2020-06-23', 'CN', 'China', 'WPRO', '52', '85070', '0', '4646');
INSERT INTO public.who_import VALUES (17604, '2020-06-24', 'CN', 'China', 'WPRO', '28', '85098', '1', '4647');
INSERT INTO public.who_import VALUES (17605, '2020-06-25', 'CN', 'China', 'WPRO', '21', '85119', '0', '4647');
INSERT INTO public.who_import VALUES (17606, '2020-06-26', 'CN', 'China', 'WPRO', '29', '85148', '1', '4648');
INSERT INTO public.who_import VALUES (17607, '2020-06-27', 'CN', 'China', 'WPRO', '24', '85172', '0', '4648');
INSERT INTO public.who_import VALUES (17608, '2020-06-28', 'CN', 'China', 'WPRO', '18', '85190', '0', '4648');
INSERT INTO public.who_import VALUES (17609, '2020-06-29', 'CN', 'China', 'WPRO', '14', '85204', '0', '4648');
INSERT INTO public.who_import VALUES (17610, '2020-06-30', 'CN', 'China', 'WPRO', '23', '85227', '0', '4648');
INSERT INTO public.who_import VALUES (17611, '2020-07-01', 'CN', 'China', 'WPRO', '5', '85232', '0', '4648');
INSERT INTO public.who_import VALUES (17612, '2020-07-02', 'CN', 'China', 'WPRO', '31', '85263', '0', '4648');
INSERT INTO public.who_import VALUES (17613, '2020-07-03', 'CN', 'China', 'WPRO', '15', '85278', '0', '4648');
INSERT INTO public.who_import VALUES (17614, '2020-07-04', 'CN', 'China', 'WPRO', '9', '85287', '0', '4648');
INSERT INTO public.who_import VALUES (17615, '2020-07-05', 'CN', 'China', 'WPRO', '19', '85306', '0', '4648');
INSERT INTO public.who_import VALUES (17616, '2020-07-06', 'CN', 'China', 'WPRO', '14', '85320', '0', '4648');
INSERT INTO public.who_import VALUES (17617, '2020-07-07', 'CN', 'China', 'WPRO', '25', '85345', '0', '4648');
INSERT INTO public.who_import VALUES (17618, '2020-07-08', 'CN', 'China', 'WPRO', '21', '85366', '0', '4648');
INSERT INTO public.who_import VALUES (17619, '2020-07-09', 'CN', 'China', 'WPRO', '33', '85399', '0', '4648');
INSERT INTO public.who_import VALUES (17620, '2020-07-10', 'CN', 'China', 'WPRO', '46', '85445', '0', '4648');
INSERT INTO public.who_import VALUES (17621, '2020-07-11', 'CN', 'China', 'WPRO', '42', '85487', '0', '4648');
INSERT INTO public.who_import VALUES (17622, '2020-07-12', 'CN', 'China', 'WPRO', '35', '85522', '0', '4648');
INSERT INTO public.who_import VALUES (17623, '2020-07-13', 'CN', 'China', 'WPRO', '46', '85568', '0', '4648');
INSERT INTO public.who_import VALUES (17624, '2020-07-14', 'CN', 'China', 'WPRO', '55', '85623', '1', '4649');
INSERT INTO public.who_import VALUES (17625, '2020-07-15', 'CN', 'China', 'WPRO', '54', '85677', '0', '4649');
INSERT INTO public.who_import VALUES (17626, '2020-07-16', 'CN', 'China', 'WPRO', '20', '85697', '2', '4651');
INSERT INTO public.who_import VALUES (17627, '2020-07-17', 'CN', 'China', 'WPRO', '78', '85775', '0', '4651');
INSERT INTO public.who_import VALUES (17628, '2020-07-18', 'CN', 'China', 'WPRO', '82', '85857', '1', '4652');
INSERT INTO public.who_import VALUES (17629, '2020-07-19', 'CN', 'China', 'WPRO', '80', '85937', '1', '4653');
INSERT INTO public.who_import VALUES (17630, '2020-07-20', 'CN', 'China', 'WPRO', '131', '86068', '0', '4653');
INSERT INTO public.who_import VALUES (17631, '2020-07-21', 'CN', 'China', 'WPRO', '84', '86152', '0', '4653');
INSERT INTO public.who_import VALUES (17632, '2020-07-22', 'CN', 'China', 'WPRO', '74', '86226', '2', '4655');
INSERT INTO public.who_import VALUES (17633, '2020-07-23', 'CN', 'China', 'WPRO', '135', '86361', '0', '4655');
INSERT INTO public.who_import VALUES (17634, '2020-07-24', 'CN', 'China', 'WPRO', '139', '86500', '1', '4656');
INSERT INTO public.who_import VALUES (17635, '2020-07-25', 'CN', 'China', 'WPRO', '160', '86660', '1', '4657');
INSERT INTO public.who_import VALUES (17636, '2020-07-26', 'CN', 'China', 'WPRO', '179', '86839', '2', '4659');
INSERT INTO public.who_import VALUES (17637, '2020-07-27', 'CN', 'China', 'WPRO', '189', '87028', '0', '4659');
INSERT INTO public.who_import VALUES (17638, '2020-07-28', 'CN', 'China', 'WPRO', '217', '87245', '4', '4663');
INSERT INTO public.who_import VALUES (17639, '2020-07-29', 'CN', 'China', 'WPRO', '212', '87457', '1', '4664');
INSERT INTO public.who_import VALUES (17640, '2020-07-30', 'CN', 'China', 'WPRO', '223', '87680', '1', '4665');
INSERT INTO public.who_import VALUES (17641, '2020-07-31', 'CN', 'China', 'WPRO', '276', '87956', '1', '4666');
INSERT INTO public.who_import VALUES (17642, '2020-08-01', 'CN', 'China', 'WPRO', '166', '88122', '2', '4668');
INSERT INTO public.who_import VALUES (17643, '2020-08-02', 'CN', 'China', 'WPRO', '180', '88302', '6', '4674');
INSERT INTO public.who_import VALUES (17644, '2020-08-03', 'CN', 'China', 'WPRO', '157', '88459', '2', '4676');
INSERT INTO public.who_import VALUES (17645, '2020-08-04', 'CN', 'China', 'WPRO', '114', '88573', '3', '4679');
INSERT INTO public.who_import VALUES (17646, '2020-08-05', 'CN', 'China', 'WPRO', '109', '88682', '4', '4683');
INSERT INTO public.who_import VALUES (17647, '2020-08-06', 'CN', 'China', 'WPRO', '122', '88804', '1', '4684');
INSERT INTO public.who_import VALUES (17648, '2020-08-07', 'CN', 'China', 'WPRO', '133', '88937', '3', '4687');
INSERT INTO public.who_import VALUES (17649, '2020-08-08', 'CN', 'China', 'WPRO', '120', '89057', '1', '4688');
INSERT INTO public.who_import VALUES (17650, '2020-08-09', 'CN', 'China', 'WPRO', '92', '89149', '0', '4688');
INSERT INTO public.who_import VALUES (17651, '2020-08-10', 'CN', 'China', 'WPRO', '121', '89270', '5', '4693');
INSERT INTO public.who_import VALUES (17652, '2020-08-11', 'CN', 'China', 'WPRO', '113', '89383', '3', '4696');
INSERT INTO public.who_import VALUES (17653, '2020-08-12', 'CN', 'China', 'WPRO', '61', '89444', '3', '4699');
INSERT INTO public.who_import VALUES (17654, '2020-08-13', 'CN', 'China', 'WPRO', '82', '89526', '5', '4704');
INSERT INTO public.who_import VALUES (17655, '2020-08-14', 'CN', 'China', 'WPRO', '99', '89625', '3', '4707');
INSERT INTO public.who_import VALUES (17656, '2020-08-15', 'CN', 'China', 'WPRO', '70', '89695', '1', '4708');
INSERT INTO public.who_import VALUES (17657, '2020-08-16', 'CN', 'China', 'WPRO', '66', '89761', '2', '4710');
INSERT INTO public.who_import VALUES (17658, '2020-08-17', 'CN', 'China', 'WPRO', '98', '89859', '0', '4710');
INSERT INTO public.who_import VALUES (17659, '2020-08-18', 'CN', 'China', 'WPRO', '67', '89926', '0', '4710');
INSERT INTO public.who_import VALUES (17660, '2020-08-19', 'CN', 'China', 'WPRO', '54', '89980', '2', '4712');
INSERT INTO public.who_import VALUES (17661, '2020-08-20', 'CN', 'China', 'WPRO', '33', '90013', '1', '4713');
INSERT INTO public.who_import VALUES (17662, '2020-08-21', 'CN', 'China', 'WPRO', '40', '90053', '3', '4716');
INSERT INTO public.who_import VALUES (17663, '2020-08-22', 'CN', 'China', 'WPRO', '50', '90103', '0', '4716');
INSERT INTO public.who_import VALUES (17664, '2020-08-23', 'CN', 'China', 'WPRO', '38', '90141', '1', '4717');
INSERT INTO public.who_import VALUES (17665, '2020-08-24', 'CN', 'China', 'WPRO', '41', '90182', '1', '4718');
INSERT INTO public.who_import VALUES (17666, '2020-08-25', 'CN', 'China', 'WPRO', '23', '90205', '0', '4718');
INSERT INTO public.who_import VALUES (17667, '2020-08-26', 'CN', 'China', 'WPRO', '34', '90239', '1', '4719');
INSERT INTO public.who_import VALUES (17668, '2020-08-27', 'CN', 'China', 'WPRO', '32', '90271', '1', '4720');
INSERT INTO public.who_import VALUES (17669, '2020-08-28', 'CN', 'China', 'WPRO', '30', '90301', '2', '4722');
INSERT INTO public.who_import VALUES (17670, '2020-08-29', 'CN', 'China', 'WPRO', '22', '90323', '3', '4725');
INSERT INTO public.who_import VALUES (17671, '2020-08-30', 'CN', 'China', 'WPRO', '28', '90351', '3', '4728');
INSERT INTO public.who_import VALUES (17672, '2020-08-31', 'CN', 'China', 'WPRO', '32', '90383', '1', '4729');
INSERT INTO public.who_import VALUES (17673, '2020-09-01', 'CN', 'China', 'WPRO', '19', '90402', '1', '4730');
INSERT INTO public.who_import VALUES (17674, '2020-09-02', 'CN', 'China', 'WPRO', '20', '90422', '1', '4731');
INSERT INTO public.who_import VALUES (17675, '2020-09-03', 'CN', 'China', 'WPRO', '20', '90442', '3', '4734');
INSERT INTO public.who_import VALUES (17676, '2020-09-04', 'CN', 'China', 'WPRO', '33', '90475', '1', '4735');
INSERT INTO public.who_import VALUES (17677, '2020-09-05', 'CN', 'China', 'WPRO', '23', '90498', '0', '4735');
INSERT INTO public.who_import VALUES (17678, '2020-09-06', 'CN', 'China', 'WPRO', '19', '90517', '0', '4735');
INSERT INTO public.who_import VALUES (17679, '2020-09-07', 'CN', 'China', 'WPRO', '34', '90551', '2', '4737');
INSERT INTO public.who_import VALUES (17680, '2020-09-08', 'CN', 'China', 'WPRO', '22', '90573', '2', '4739');
INSERT INTO public.who_import VALUES (17681, '2020-09-09', 'CN', 'China', 'WPRO', '9', '90582', '1', '4740');
INSERT INTO public.who_import VALUES (17682, '2020-09-10', 'CN', 'China', 'WPRO', '13', '90595', '0', '4740');
INSERT INTO public.who_import VALUES (17683, '2020-09-11', 'CN', 'China', 'WPRO', '28', '90623', '0', '4740');
INSERT INTO public.who_import VALUES (17684, '2020-09-12', 'CN', 'China', 'WPRO', '20', '90643', '0', '4740');
INSERT INTO public.who_import VALUES (17685, '2020-09-13', 'CN', 'China', 'WPRO', '23', '90666', '1', '4741');
INSERT INTO public.who_import VALUES (17686, '2020-09-14', 'CN', 'China', 'WPRO', '29', '90695', '0', '4741');
INSERT INTO public.who_import VALUES (17687, '2020-09-15', 'CN', 'China', 'WPRO', '23', '90718', '1', '4742');
INSERT INTO public.who_import VALUES (17688, '2020-09-16', 'CN', 'China', 'WPRO', '16', '90734', '1', '4743');
INSERT INTO public.who_import VALUES (17689, '2020-09-17', 'CN', 'China', 'WPRO', '19', '90753', '0', '4743');
INSERT INTO public.who_import VALUES (17690, '2020-09-18', 'CN', 'China', 'WPRO', '44', '90797', '0', '4743');
INSERT INTO public.who_import VALUES (17691, '2020-09-19', 'CN', 'China', 'WPRO', '17', '90814', '1', '4744');
INSERT INTO public.who_import VALUES (17692, '2020-09-20', 'CN', 'China', 'WPRO', '26', '90840', '0', '4744');
INSERT INTO public.who_import VALUES (17693, '2020-09-21', 'CN', 'China', 'WPRO', '36', '90876', '0', '4744');
INSERT INTO public.who_import VALUES (17694, '2020-09-22', 'CN', 'China', 'WPRO', '14', '90890', '0', '4744');
INSERT INTO public.who_import VALUES (17695, '2020-09-23', 'CN', 'China', 'WPRO', '18', '90908', '0', '4744');
INSERT INTO public.who_import VALUES (17696, '2020-09-24', 'CN', 'China', 'WPRO', '10', '90918', '1', '4745');
INSERT INTO public.who_import VALUES (17697, '2020-09-25', 'CN', 'China', 'WPRO', '15', '90933', '0', '4745');
INSERT INTO public.who_import VALUES (17698, '2020-09-26', 'CN', 'China', 'WPRO', '18', '90951', '1', '4746');
INSERT INTO public.who_import VALUES (17699, '2020-09-27', 'CN', 'China', 'WPRO', '15', '90966', '0', '4746');
INSERT INTO public.who_import VALUES (17700, '2020-09-28', 'CN', 'China', 'WPRO', '27', '90993', '0', '4746');
INSERT INTO public.who_import VALUES (17701, '2020-09-29', 'CN', 'China', 'WPRO', '25', '91018', '0', '4746');
INSERT INTO public.who_import VALUES (17702, '2020-09-30', 'CN', 'China', 'WPRO', '23', '91041', '0', '4746');
INSERT INTO public.who_import VALUES (17703, '2020-10-01', 'CN', 'China', 'WPRO', '20', '91061', '0', '4746');
INSERT INTO public.who_import VALUES (17704, '2020-10-02', 'CN', 'China', 'WPRO', '21', '91082', '0', '4746');
INSERT INTO public.who_import VALUES (17705, '2020-10-03', 'CN', 'China', 'WPRO', '19', '91101', '0', '4746');
INSERT INTO public.who_import VALUES (17706, '2020-10-04', 'CN', 'China', 'WPRO', '20', '91121', '0', '4746');
INSERT INTO public.who_import VALUES (17707, '2020-10-05', 'CN', 'China', 'WPRO', '25', '91146', '0', '4746');
INSERT INTO public.who_import VALUES (17708, '2020-10-06', 'CN', 'China', 'WPRO', '24', '91170', '0', '4746');
INSERT INTO public.who_import VALUES (17709, '2020-10-07', 'CN', 'China', 'WPRO', '18', '91188', '0', '4746');
INSERT INTO public.who_import VALUES (17710, '2020-10-08', 'CN', 'China', 'WPRO', '24', '91212', '0', '4746');
INSERT INTO public.who_import VALUES (17711, '2020-10-09', 'CN', 'China', 'WPRO', '40', '91252', '0', '4746');
INSERT INTO public.who_import VALUES (17712, '2020-10-10', 'CN', 'China', 'WPRO', '26', '91278', '0', '4746');
INSERT INTO public.who_import VALUES (17713, '2020-10-11', 'CN', 'China', 'WPRO', '27', '91305', '0', '4746');
INSERT INTO public.who_import VALUES (17714, '2020-10-12', 'CN', 'China', 'WPRO', '28', '91333', '0', '4746');
INSERT INTO public.who_import VALUES (17715, '2020-10-13', 'CN', 'China', 'WPRO', '26', '91359', '0', '4746');
INSERT INTO public.who_import VALUES (17716, '2020-10-14', 'CN', 'China', 'WPRO', '28', '91387', '0', '4746');
INSERT INTO public.who_import VALUES (17717, '2020-10-15', 'CN', 'China', 'WPRO', '12', '91399', '0', '4746');
INSERT INTO public.who_import VALUES (17718, '2020-10-16', 'CN', 'China', 'WPRO', '37', '91436', '0', '4746');
INSERT INTO public.who_import VALUES (17719, '2020-10-17', 'CN', 'China', 'WPRO', '24', '91460', '0', '4746');
INSERT INTO public.who_import VALUES (17720, '2020-10-18', 'CN', 'China', 'WPRO', '30', '91490', '0', '4746');
INSERT INTO public.who_import VALUES (17721, '2020-10-19', 'CN', 'China', 'WPRO', '17', '91507', '0', '4746');
INSERT INTO public.who_import VALUES (17722, '2020-10-20', 'CN', 'China', 'WPRO', '39', '91546', '0', '4746');
INSERT INTO public.who_import VALUES (17723, '2020-10-21', 'CN', 'China', 'WPRO', '19', '91565', '0', '4746');
INSERT INTO public.who_import VALUES (17724, '2020-10-22', 'CN', 'China', 'WPRO', '23', '91588', '0', '4746');
INSERT INTO public.who_import VALUES (17725, '2020-10-23', 'CN', 'China', 'WPRO', '33', '91621', '0', '4746');
INSERT INTO public.who_import VALUES (17726, '2020-10-24', 'CN', 'China', 'WPRO', '32', '91653', '0', '4746');
INSERT INTO public.who_import VALUES (17727, '2020-10-25', 'CN', 'China', 'WPRO', '22', '91675', '0', '4746');
INSERT INTO public.who_import VALUES (17728, '2020-10-26', 'CN', 'China', 'WPRO', '26', '91701', '0', '4746');
INSERT INTO public.who_import VALUES (17729, '2020-10-27', 'CN', 'China', 'WPRO', '24', '91725', '0', '4746');
INSERT INTO public.who_import VALUES (17730, '2020-10-28', 'CN', 'China', 'WPRO', '47', '91772', '0', '4746');
INSERT INTO public.who_import VALUES (17731, '2020-10-29', 'CN', 'China', 'WPRO', '49', '91821', '0', '4746');
INSERT INTO public.who_import VALUES (17732, '2020-10-30', 'CN', 'China', 'WPRO', '31', '91852', '0', '4746');
INSERT INTO public.who_import VALUES (17733, '2020-10-31', 'CN', 'China', 'WPRO', '41', '91893', '0', '4746');
INSERT INTO public.who_import VALUES (17734, '2020-11-01', 'CN', 'China', 'WPRO', '28', '91921', '0', '4746');
INSERT INTO public.who_import VALUES (17735, '2020-11-02', 'CN', 'China', 'WPRO', '34', '91955', '0', '4746');
INSERT INTO public.who_import VALUES (17736, '2020-11-03', 'CN', 'China', 'WPRO', '60', '92015', '0', '4746');
INSERT INTO public.who_import VALUES (17737, '2020-11-04', 'CN', 'China', 'WPRO', '30', '92045', '0', '4746');
INSERT INTO public.who_import VALUES (17738, '2020-11-05', 'CN', 'China', 'WPRO', '32', '92077', '1', '4747');
INSERT INTO public.who_import VALUES (17739, '2020-11-06', 'CN', 'China', 'WPRO', '44', '92121', '1', '4748');
INSERT INTO public.who_import VALUES (17740, '2020-11-07', 'CN', 'China', 'WPRO', '43', '92164', '0', '4748');
INSERT INTO public.who_import VALUES (17741, '2020-11-08', 'CN', 'China', 'WPRO', '31', '92195', '0', '4748');
INSERT INTO public.who_import VALUES (17742, '2020-11-09', 'CN', 'China', 'WPRO', '47', '92242', '0', '4748');
INSERT INTO public.who_import VALUES (17743, '2020-11-10', 'CN', 'China', 'WPRO', '29', '92271', '0', '4748');
INSERT INTO public.who_import VALUES (17744, '2020-11-11', 'CN', 'China', 'WPRO', '28', '92299', '1', '4749');
INSERT INTO public.who_import VALUES (17745, '2020-11-12', 'CN', 'China', 'WPRO', '37', '92336', '0', '4749');
INSERT INTO public.who_import VALUES (17746, '2020-11-13', 'CN', 'China', 'WPRO', '36', '92372', '0', '4749');
INSERT INTO public.who_import VALUES (17747, '2020-11-14', 'CN', 'China', 'WPRO', '32', '92404', '0', '4749');
INSERT INTO public.who_import VALUES (17748, '2020-11-15', 'CN', 'China', 'WPRO', '24', '92428', '0', '4749');
INSERT INTO public.who_import VALUES (17749, '2020-11-16', 'CN', 'China', 'WPRO', '24', '92452', '0', '4749');
INSERT INTO public.who_import VALUES (17750, '2020-11-17', 'CN', 'China', 'WPRO', '24', '92476', '0', '4749');
INSERT INTO public.who_import VALUES (17751, '2020-11-18', 'CN', 'China', 'WPRO', '14', '92490', '0', '4749');
INSERT INTO public.who_import VALUES (17752, '2020-11-19', 'CN', 'China', 'WPRO', '23', '92513', '0', '4749');
INSERT INTO public.who_import VALUES (17753, '2020-11-20', 'CN', 'China', 'WPRO', '31', '92544', '0', '4749');
INSERT INTO public.who_import VALUES (17754, '2020-11-21', 'CN', 'China', 'WPRO', '44', '92588', '0', '4749');
INSERT INTO public.who_import VALUES (17755, '2020-11-22', 'CN', 'China', 'WPRO', '60', '92648', '0', '4749');
INSERT INTO public.who_import VALUES (17756, '2020-11-23', 'CN', 'China', 'WPRO', '85', '92733', '0', '4749');
INSERT INTO public.who_import VALUES (17757, '2020-11-24', 'CN', 'China', 'WPRO', '96', '92829', '0', '4749');
INSERT INTO public.who_import VALUES (17758, '2020-11-25', 'CN', 'China', 'WPRO', '85', '92914', '0', '4749');
INSERT INTO public.who_import VALUES (17759, '2020-11-26', 'CN', 'China', 'WPRO', '111', '93025', '0', '4749');
INSERT INTO public.who_import VALUES (17760, '2020-11-27', 'CN', 'China', 'WPRO', '88', '93113', '0', '4749');
INSERT INTO public.who_import VALUES (17761, '2020-11-28', 'CN', 'China', 'WPRO', '112', '93225', '0', '4749');
INSERT INTO public.who_import VALUES (17762, '2020-11-29', 'CN', 'China', 'WPRO', '104', '93329', '1', '4750');
INSERT INTO public.who_import VALUES (17763, '2020-11-30', 'CN', 'China', 'WPRO', '136', '93465', '0', '4750');
INSERT INTO public.who_import VALUES (17764, '2020-12-01', 'CN', 'China', 'WPRO', '112', '93577', '0', '4750');
INSERT INTO public.who_import VALUES (17765, '2020-12-02', 'CN', 'China', 'WPRO', '91', '93668', '0', '4750');
INSERT INTO public.who_import VALUES (17766, '2020-12-03', 'CN', 'China', 'WPRO', '129', '93797', '1', '4751');
INSERT INTO public.who_import VALUES (17767, '2020-12-04', 'CN', 'China', 'WPRO', '108', '93905', '1', '4752');
INSERT INTO public.who_import VALUES (17768, '2020-12-05', 'CN', 'China', 'WPRO', '133', '94038', '1', '4753');
INSERT INTO public.who_import VALUES (17769, '2020-12-06', 'CN', 'China', 'WPRO', '122', '94160', '0', '4753');
INSERT INTO public.who_import VALUES (17770, '2020-12-07', 'CN', 'China', 'WPRO', '133', '94293', '0', '4753');
INSERT INTO public.who_import VALUES (17771, '2020-12-08', 'CN', 'China', 'WPRO', '90', '94383', '0', '4753');
INSERT INTO public.who_import VALUES (17772, '2020-12-09', 'CN', 'China', 'WPRO', '117', '94500', '0', '4753');
INSERT INTO public.who_import VALUES (17773, '2020-12-10', 'CN', 'China', 'WPRO', '118', '94618', '2', '4755');
INSERT INTO public.who_import VALUES (17774, '2020-12-11', 'CN', 'China', 'WPRO', '131', '94749', '0', '4755');
INSERT INTO public.who_import VALUES (17775, '2020-12-12', 'CN', 'China', 'WPRO', '100', '94849', '0', '4755');
INSERT INTO public.who_import VALUES (17776, '2020-12-13', 'CN', 'China', 'WPRO', '101', '94950', '1', '4756');
INSERT INTO public.who_import VALUES (17777, '2020-12-14', 'CN', 'China', 'WPRO', '114', '95064', '2', '4758');
INSERT INTO public.who_import VALUES (17778, '2020-12-15', 'CN', 'China', 'WPRO', '103', '95167', '3', '4761');
INSERT INTO public.who_import VALUES (17779, '2020-12-16', 'CN', 'China', 'WPRO', '112', '95279', '3', '4764');
INSERT INTO public.who_import VALUES (17780, '2020-12-17', 'CN', 'China', 'WPRO', '96', '95375', '0', '4764');
INSERT INTO public.who_import VALUES (17781, '2020-12-18', 'CN', 'China', 'WPRO', '116', '95491', '2', '4766');
INSERT INTO public.who_import VALUES (17782, '2020-12-19', 'CN', 'China', 'WPRO', '89', '95580', '4', '4770');
INSERT INTO public.who_import VALUES (17783, '2020-12-20', 'CN', 'China', 'WPRO', '136', '95716', '0', '4770');
INSERT INTO public.who_import VALUES (17784, '2020-12-21', 'CN', 'China', 'WPRO', '100', '95816', '1', '4771');
INSERT INTO public.who_import VALUES (17785, '2020-12-22', 'CN', 'China', 'WPRO', '100', '95916', '1', '4772');
INSERT INTO public.who_import VALUES (17786, '2020-12-23', 'CN', 'China', 'WPRO', '82', '95998', '1', '4773');
INSERT INTO public.who_import VALUES (17787, '2020-12-24', 'CN', 'China', 'WPRO', '76', '96074', '1', '4774');
INSERT INTO public.who_import VALUES (17788, '2020-12-25', 'CN', 'China', 'WPRO', '85', '96159', '2', '4776');
INSERT INTO public.who_import VALUES (17789, '2020-12-26', 'CN', 'China', 'WPRO', '81', '96240', '1', '4777');
INSERT INTO public.who_import VALUES (17790, '2020-12-27', 'CN', 'China', 'WPRO', '84', '96324', '0', '4777');
INSERT INTO public.who_import VALUES (17791, '2020-12-28', 'CN', 'China', 'WPRO', '93', '96417', '1', '4778');
INSERT INTO public.who_import VALUES (17792, '2020-12-29', 'CN', 'China', 'WPRO', '96', '96513', '4', '4782');
INSERT INTO public.who_import VALUES (17793, '2020-12-30', 'CN', 'China', 'WPRO', '79', '96592', '2', '4784');
INSERT INTO public.who_import VALUES (17794, '2020-12-31', 'CN', 'China', 'WPRO', '81', '96673', '4', '4788');
INSERT INTO public.who_import VALUES (17795, '2021-01-01', 'CN', 'China', 'WPRO', '89', '96762', '1', '4789');
INSERT INTO public.who_import VALUES (17796, '2021-01-02', 'CN', 'China', 'WPRO', '67', '96829', '1', '4790');
INSERT INTO public.who_import VALUES (17797, '2021-01-03', 'CN', 'China', 'WPRO', '65', '96894', '1', '4791');
INSERT INTO public.who_import VALUES (17798, '2021-01-04', 'CN', 'China', 'WPRO', '78', '96972', '0', '4791');
INSERT INTO public.who_import VALUES (17799, '2021-01-05', 'CN', 'China', 'WPRO', '89', '97061', '3', '4794');
INSERT INTO public.who_import VALUES (17800, '2021-01-06', 'CN', 'China', 'WPRO', '66', '97127', '0', '4794');
INSERT INTO public.who_import VALUES (17801, '2021-01-07', 'CN', 'China', 'WPRO', '90', '97217', '1', '4795');
INSERT INTO public.who_import VALUES (17802, '2021-01-08', 'CN', 'China', 'WPRO', '89', '97306', '0', '4795');
INSERT INTO public.who_import VALUES (17803, '2021-01-09', 'CN', 'China', 'WPRO', '81', '97387', '1', '4796');
INSERT INTO public.who_import VALUES (17804, '2021-01-10', 'CN', 'China', 'WPRO', '131', '97518', '2', '4798');
INSERT INTO public.who_import VALUES (17805, '2021-01-11', 'CN', 'China', 'WPRO', '134', '97652', '1', '4799');
INSERT INTO public.who_import VALUES (17806, '2021-01-12', 'CN', 'China', 'WPRO', '102', '97754', '1', '4800');
INSERT INTO public.who_import VALUES (17807, '2021-01-13', 'CN', 'China', 'WPRO', '179', '97933', '1', '4801');
INSERT INTO public.who_import VALUES (17808, '2021-01-14', 'CN', 'China', 'WPRO', '184', '98117', '2', '4803');
INSERT INTO public.who_import VALUES (17809, '2021-01-15', 'CN', 'China', 'WPRO', '173', '98290', '0', '4803');
INSERT INTO public.who_import VALUES (17810, '2021-01-16', 'CN', 'China', 'WPRO', '169', '98459', '0', '4803');
INSERT INTO public.who_import VALUES (17811, '2021-01-17', 'CN', 'China', 'WPRO', '166', '98625', '1', '4804');
INSERT INTO public.who_import VALUES (17812, '2021-01-18', 'CN', 'China', 'WPRO', '169', '98794', '0', '4804');
INSERT INTO public.who_import VALUES (17813, '2021-01-19', 'CN', 'China', 'WPRO', '232', '99026', '1', '4805');
INSERT INTO public.who_import VALUES (17814, '2021-01-20', 'CN', 'China', 'WPRO', '165', '99191', '2', '4807');
INSERT INTO public.who_import VALUES (17815, '2021-01-21', 'CN', 'China', 'WPRO', '223', '99414', '1', '4808');
INSERT INTO public.who_import VALUES (17816, '2021-01-22', 'CN', 'China', 'WPRO', '175', '99589', '1', '4809');
INSERT INTO public.who_import VALUES (17817, '2021-01-23', 'CN', 'China', 'WPRO', '178', '99767', '1', '4810');
INSERT INTO public.who_import VALUES (17818, '2021-01-24', 'CN', 'China', 'WPRO', '164', '99931', '0', '4810');
INSERT INTO public.who_import VALUES (17819, '2021-01-25', 'CN', 'China', 'WPRO', '205', '100136', '1', '4811');
INSERT INTO public.who_import VALUES (17820, '2021-01-26', 'CN', 'China', 'WPRO', '155', '100291', '3', '4814');
INSERT INTO public.who_import VALUES (17821, '2021-01-27', 'CN', 'China', 'WPRO', '140', '100431', '2', '4816');
INSERT INTO public.who_import VALUES (17822, '2021-01-28', 'CN', 'China', 'WPRO', '117', '100548', '2', '4818');
INSERT INTO public.who_import VALUES (17823, '2021-01-29', 'CN', 'China', 'WPRO', '93', '100641', '2', '4820');
INSERT INTO public.who_import VALUES (17824, '2021-01-30', 'CN', 'China', 'WPRO', '106', '100747', '1', '4821');
INSERT INTO public.who_import VALUES (17825, '2021-01-31', 'CN', 'China', 'WPRO', '130', '100877', '2', '4823');
INSERT INTO public.who_import VALUES (17826, '2021-02-01', 'CN', 'China', 'WPRO', '97', '100974', '2', '4825');
INSERT INTO public.who_import VALUES (17827, '2021-02-02', 'CN', 'China', 'WPRO', '65', '101039', '1', '4826');
INSERT INTO public.who_import VALUES (17828, '2021-02-03', 'CN', 'China', 'WPRO', '53', '101092', '2', '4828');
INSERT INTO public.who_import VALUES (17829, '2021-02-04', 'CN', 'China', 'WPRO', '51', '101143', '1', '4829');
INSERT INTO public.who_import VALUES (17830, '2021-02-05', 'CN', 'China', 'WPRO', '44', '101187', '2', '4831');
INSERT INTO public.who_import VALUES (17831, '2021-02-06', 'CN', 'China', 'WPRO', '54', '101241', '0', '4831');
INSERT INTO public.who_import VALUES (17832, '2021-02-07', 'CN', 'China', 'WPRO', '31', '101272', '0', '4831');
INSERT INTO public.who_import VALUES (17833, '2021-02-08', 'CN', 'China', 'WPRO', '44', '101316', '0', '4831');
INSERT INTO public.who_import VALUES (17834, '2021-02-09', 'CN', 'China', 'WPRO', '47', '101363', '0', '4831');
INSERT INTO public.who_import VALUES (17835, '2021-02-10', 'CN', 'China', 'WPRO', '45', '101408', '2', '4833');
INSERT INTO public.who_import VALUES (17836, '2021-02-11', 'CN', 'China', 'WPRO', '21', '101429', '1', '4834');
INSERT INTO public.who_import VALUES (17837, '2021-02-12', 'CN', 'China', 'WPRO', '34', '101463', '2', '4836');
INSERT INTO public.who_import VALUES (17838, '2021-02-13', 'CN', 'China', 'WPRO', '33', '101496', '1', '4837');
INSERT INTO public.who_import VALUES (17839, '2021-02-14', 'CN', 'China', 'WPRO', '19', '101515', '1', '4838');
INSERT INTO public.who_import VALUES (17840, '2021-02-15', 'CN', 'China', 'WPRO', '21', '101536', '0', '4838');
INSERT INTO public.who_import VALUES (17841, '2021-02-16', 'CN', 'China', 'WPRO', '25', '101561', '0', '4838');
INSERT INTO public.who_import VALUES (17842, '2021-02-17', 'CN', 'China', 'WPRO', '15', '101576', '2', '4840');
INSERT INTO public.who_import VALUES (17843, '2021-02-18', 'CN', 'China', 'WPRO', '28', '101604', '2', '4842');
INSERT INTO public.who_import VALUES (17844, '2021-02-19', 'CN', 'China', 'WPRO', '20', '101624', '0', '4842');
INSERT INTO public.who_import VALUES (17845, '2021-02-20', 'CN', 'China', 'WPRO', '22', '101646', '0', '4842');
INSERT INTO public.who_import VALUES (17846, '2020-01-03', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17847, '2020-01-04', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17848, '2020-01-05', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17849, '2020-01-06', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17850, '2020-01-07', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17851, '2020-01-08', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17852, '2020-01-09', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17853, '2020-01-10', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17854, '2020-01-11', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17855, '2020-01-12', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17856, '2020-01-13', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17857, '2020-01-14', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17858, '2020-01-15', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17859, '2020-01-16', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17860, '2020-01-17', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17861, '2020-01-18', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17862, '2020-01-19', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17863, '2020-01-20', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17864, '2020-01-21', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17865, '2020-01-22', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17866, '2020-01-23', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17867, '2020-01-24', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17868, '2020-01-25', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17869, '2020-01-26', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17870, '2020-01-27', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17871, '2020-01-28', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17872, '2020-01-29', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17873, '2020-01-30', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17874, '2020-01-31', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17875, '2020-02-01', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17876, '2020-02-02', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17877, '2020-02-03', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17878, '2020-02-04', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17879, '2020-02-05', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17880, '2020-02-06', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17881, '2020-02-07', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17882, '2020-02-08', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17883, '2020-02-09', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17884, '2020-02-10', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17885, '2020-02-11', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17886, '2020-02-12', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17887, '2020-02-13', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17888, '2020-02-14', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17889, '2020-02-15', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17890, '2020-02-16', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17891, '2020-02-17', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17892, '2020-02-18', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17893, '2020-02-19', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17894, '2020-02-20', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17895, '2020-02-21', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17896, '2020-02-22', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17897, '2020-02-23', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17898, '2020-02-24', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17899, '2020-02-25', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17900, '2020-02-26', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17901, '2020-02-27', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17902, '2020-02-28', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17903, '2020-02-29', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17904, '2020-03-01', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17905, '2020-03-02', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17906, '2020-03-03', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17907, '2020-03-04', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17908, '2020-03-05', 'CO', 'Colombia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (17909, '2020-03-06', 'CO', 'Colombia', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (17910, '2020-03-07', 'CO', 'Colombia', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (17911, '2020-03-08', 'CO', 'Colombia', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (17912, '2020-03-09', 'CO', 'Colombia', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (17913, '2020-03-10', 'CO', 'Colombia', 'AMRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (17914, '2020-03-11', 'CO', 'Colombia', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (17915, '2020-03-12', 'CO', 'Colombia', 'AMRO', '6', '13', '0', '0');
INSERT INTO public.who_import VALUES (17916, '2020-03-13', 'CO', 'Colombia', 'AMRO', '7', '20', '0', '0');
INSERT INTO public.who_import VALUES (17917, '2020-03-14', 'CO', 'Colombia', 'AMRO', '8', '28', '0', '0');
INSERT INTO public.who_import VALUES (17918, '2020-03-15', 'CO', 'Colombia', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (17919, '2020-03-16', 'CO', 'Colombia', 'AMRO', '10', '38', '0', '0');
INSERT INTO public.who_import VALUES (17920, '2020-03-17', 'CO', 'Colombia', 'AMRO', '11', '49', '0', '0');
INSERT INTO public.who_import VALUES (17921, '2020-03-18', 'CO', 'Colombia', 'AMRO', '48', '97', '0', '0');
INSERT INTO public.who_import VALUES (17922, '2020-03-19', 'CO', 'Colombia', 'AMRO', '11', '108', '0', '0');
INSERT INTO public.who_import VALUES (17923, '2020-03-20', 'CO', 'Colombia', 'AMRO', '37', '145', '0', '0');
INSERT INTO public.who_import VALUES (17924, '2020-03-21', 'CO', 'Colombia', 'AMRO', '51', '196', '0', '0');
INSERT INTO public.who_import VALUES (17925, '2020-03-22', 'CO', 'Colombia', 'AMRO', '0', '196', '0', '0');
INSERT INTO public.who_import VALUES (17926, '2020-03-23', 'CO', 'Colombia', 'AMRO', '0', '196', '2', '2');
INSERT INTO public.who_import VALUES (17927, '2020-03-24', 'CO', 'Colombia', 'AMRO', '110', '306', '1', '3');
INSERT INTO public.who_import VALUES (17928, '2020-03-25', 'CO', 'Colombia', 'AMRO', '0', '306', '0', '3');
INSERT INTO public.who_import VALUES (17929, '2020-03-26', 'CO', 'Colombia', 'AMRO', '164', '470', '1', '4');
INSERT INTO public.who_import VALUES (17930, '2020-03-27', 'CO', 'Colombia', 'AMRO', '0', '470', '0', '4');
INSERT INTO public.who_import VALUES (17931, '2020-03-28', 'CO', 'Colombia', 'AMRO', '21', '491', '2', '6');
INSERT INTO public.who_import VALUES (17932, '2020-03-29', 'CO', 'Colombia', 'AMRO', '48', '539', '0', '6');
INSERT INTO public.who_import VALUES (17933, '2020-03-30', 'CO', 'Colombia', 'AMRO', '69', '608', '0', '6');
INSERT INTO public.who_import VALUES (17934, '2020-03-31', 'CO', 'Colombia', 'AMRO', '94', '702', '4', '10');
INSERT INTO public.who_import VALUES (17935, '2020-04-01', 'CO', 'Colombia', 'AMRO', '96', '798', '4', '14');
INSERT INTO public.who_import VALUES (17936, '2020-04-02', 'CO', 'Colombia', 'AMRO', '108', '906', '2', '16');
INSERT INTO public.who_import VALUES (17937, '2020-04-03', 'CO', 'Colombia', 'AMRO', '159', '1065', '1', '17');
INSERT INTO public.who_import VALUES (17938, '2020-04-04', 'CO', 'Colombia', 'AMRO', '96', '1161', '2', '19');
INSERT INTO public.who_import VALUES (17939, '2020-04-05', 'CO', 'Colombia', 'AMRO', '106', '1267', '6', '25');
INSERT INTO public.who_import VALUES (17940, '2020-04-06', 'CO', 'Colombia', 'AMRO', '139', '1406', '7', '32');
INSERT INTO public.who_import VALUES (17941, '2020-04-07', 'CO', 'Colombia', 'AMRO', '79', '1485', '3', '35');
INSERT INTO public.who_import VALUES (17942, '2020-04-08', 'CO', 'Colombia', 'AMRO', '94', '1579', '11', '46');
INSERT INTO public.who_import VALUES (17943, '2020-04-09', 'CO', 'Colombia', 'AMRO', '201', '1780', '4', '50');
INSERT INTO public.who_import VALUES (17944, '2020-04-10', 'CO', 'Colombia', 'AMRO', '274', '2054', '5', '55');
INSERT INTO public.who_import VALUES (17945, '2020-04-11', 'CO', 'Colombia', 'AMRO', '169', '2223', '14', '69');
INSERT INTO public.who_import VALUES (17946, '2020-04-12', 'CO', 'Colombia', 'AMRO', '250', '2473', '11', '80');
INSERT INTO public.who_import VALUES (17947, '2020-04-13', 'CO', 'Colombia', 'AMRO', '236', '2709', '20', '100');
INSERT INTO public.who_import VALUES (17948, '2020-04-14', 'CO', 'Colombia', 'AMRO', '67', '2776', '9', '109');
INSERT INTO public.who_import VALUES (17949, '2020-04-15', 'CO', 'Colombia', 'AMRO', '76', '2852', '3', '112');
INSERT INTO public.who_import VALUES (17950, '2020-04-16', 'CO', 'Colombia', 'AMRO', '127', '2979', '15', '127');
INSERT INTO public.who_import VALUES (17951, '2020-04-17', 'CO', 'Colombia', 'AMRO', '126', '3105', '4', '131');
INSERT INTO public.who_import VALUES (17952, '2020-04-18', 'CO', 'Colombia', 'AMRO', '128', '3233', '13', '144');
INSERT INTO public.who_import VALUES (17953, '2020-04-19', 'CO', 'Colombia', 'AMRO', '206', '3439', '9', '153');
INSERT INTO public.who_import VALUES (17954, '2020-04-20', 'CO', 'Colombia', 'AMRO', '182', '3621', '13', '166');
INSERT INTO public.who_import VALUES (17955, '2020-04-21', 'CO', 'Colombia', 'AMRO', '171', '3792', '13', '179');
INSERT INTO public.who_import VALUES (17956, '2020-04-22', 'CO', 'Colombia', 'AMRO', '185', '3977', '10', '189');
INSERT INTO public.who_import VALUES (17957, '2020-04-23', 'CO', 'Colombia', 'AMRO', '172', '4149', '7', '196');
INSERT INTO public.who_import VALUES (17958, '2020-04-24', 'CO', 'Colombia', 'AMRO', '207', '4356', '10', '206');
INSERT INTO public.who_import VALUES (17959, '2020-04-25', 'CO', 'Colombia', 'AMRO', '205', '4561', '9', '215');
INSERT INTO public.who_import VALUES (17960, '2020-04-26', 'CO', 'Colombia', 'AMRO', '320', '4881', '10', '225');
INSERT INTO public.who_import VALUES (17961, '2020-04-27', 'CO', 'Colombia', 'AMRO', '261', '5142', '8', '233');
INSERT INTO public.who_import VALUES (17962, '2020-04-28', 'CO', 'Colombia', 'AMRO', '237', '5379', '11', '244');
INSERT INTO public.who_import VALUES (17963, '2020-04-29', 'CO', 'Colombia', 'AMRO', '218', '5597', '9', '253');
INSERT INTO public.who_import VALUES (17964, '2020-04-30', 'CO', 'Colombia', 'AMRO', '352', '5949', '16', '269');
INSERT INTO public.who_import VALUES (17965, '2020-05-01', 'CO', 'Colombia', 'AMRO', '262', '6211', '9', '278');
INSERT INTO public.who_import VALUES (17966, '2020-05-02', 'CO', 'Colombia', 'AMRO', '296', '6507', '15', '293');
INSERT INTO public.who_import VALUES (17967, '2020-05-03', 'CO', 'Colombia', 'AMRO', '499', '7006', '21', '314');
INSERT INTO public.who_import VALUES (17968, '2020-05-04', 'CO', 'Colombia', 'AMRO', '279', '7285', '10', '324');
INSERT INTO public.who_import VALUES (17969, '2020-05-05', 'CO', 'Colombia', 'AMRO', '383', '7668', '16', '340');
INSERT INTO public.who_import VALUES (17970, '2020-05-06', 'CO', 'Colombia', 'AMRO', '305', '7973', '18', '358');
INSERT INTO public.who_import VALUES (17971, '2020-05-07', 'CO', 'Colombia', 'AMRO', '640', '8613', '20', '378');
INSERT INTO public.who_import VALUES (17972, '2020-05-08', 'CO', 'Colombia', 'AMRO', '346', '8959', '19', '397');
INSERT INTO public.who_import VALUES (17973, '2020-05-09', 'CO', 'Colombia', 'AMRO', '497', '9456', '10', '407');
INSERT INTO public.who_import VALUES (17974, '2020-05-10', 'CO', 'Colombia', 'AMRO', '595', '10051', '21', '428');
INSERT INTO public.who_import VALUES (17975, '2020-05-11', 'CO', 'Colombia', 'AMRO', '444', '10495', '17', '445');
INSERT INTO public.who_import VALUES (17976, '2020-05-12', 'CO', 'Colombia', 'AMRO', '568', '11063', '18', '463');
INSERT INTO public.who_import VALUES (17977, '2020-05-13', 'CO', 'Colombia', 'AMRO', '550', '11613', '16', '479');
INSERT INTO public.who_import VALUES (17978, '2020-05-14', 'CO', 'Colombia', 'AMRO', '659', '12272', '14', '493');
INSERT INTO public.who_import VALUES (17979, '2020-05-15', 'CO', 'Colombia', 'AMRO', '658', '12930', '16', '509');
INSERT INTO public.who_import VALUES (17980, '2020-05-16', 'CO', 'Colombia', 'AMRO', '680', '13610', '16', '525');
INSERT INTO public.who_import VALUES (17981, '2020-05-17', 'CO', 'Colombia', 'AMRO', '606', '14216', '21', '546');
INSERT INTO public.who_import VALUES (17982, '2020-05-18', 'CO', 'Colombia', 'AMRO', '723', '14939', '16', '562');
INSERT INTO public.who_import VALUES (17983, '2020-05-19', 'CO', 'Colombia', 'AMRO', '635', '15574', '12', '574');
INSERT INTO public.who_import VALUES (17984, '2020-05-20', 'CO', 'Colombia', 'AMRO', '721', '16295', '18', '592');
INSERT INTO public.who_import VALUES (17985, '2020-05-21', 'CO', 'Colombia', 'AMRO', '640', '16935', '21', '613');
INSERT INTO public.who_import VALUES (17986, '2020-05-22', 'CO', 'Colombia', 'AMRO', '752', '17687', '17', '630');
INSERT INTO public.who_import VALUES (17987, '2020-05-23', 'CO', 'Colombia', 'AMRO', '643', '18330', '22', '652');
INSERT INTO public.who_import VALUES (17988, '2020-05-24', 'CO', 'Colombia', 'AMRO', '801', '19131', '30', '682');
INSERT INTO public.who_import VALUES (17989, '2020-05-25', 'CO', 'Colombia', 'AMRO', '1046', '20177', '23', '705');
INSERT INTO public.who_import VALUES (17990, '2020-05-26', 'CO', 'Colombia', 'AMRO', '998', '21175', '22', '727');
INSERT INTO public.who_import VALUES (17991, '2020-05-27', 'CO', 'Colombia', 'AMRO', '806', '21981', '23', '750');
INSERT INTO public.who_import VALUES (17992, '2020-05-28', 'CO', 'Colombia', 'AMRO', '1022', '23003', '26', '776');
INSERT INTO public.who_import VALUES (17993, '2020-05-29', 'CO', 'Colombia', 'AMRO', '1101', '24104', '27', '803');
INSERT INTO public.who_import VALUES (17994, '2020-05-30', 'CO', 'Colombia', 'AMRO', '1262', '25366', '19', '822');
INSERT INTO public.who_import VALUES (17995, '2020-05-31', 'CO', 'Colombia', 'AMRO', '1322', '26688', '31', '853');
INSERT INTO public.who_import VALUES (17996, '2020-06-01', 'CO', 'Colombia', 'AMRO', '1548', '28236', '37', '890');
INSERT INTO public.who_import VALUES (17997, '2020-06-02', 'CO', 'Colombia', 'AMRO', '1147', '29383', '49', '939');
INSERT INTO public.who_import VALUES (17998, '2020-06-03', 'CO', 'Colombia', 'AMRO', '1110', '30493', '30', '969');
INSERT INTO public.who_import VALUES (17999, '2020-06-04', 'CO', 'Colombia', 'AMRO', '1340', '31833', '40', '1009');
INSERT INTO public.who_import VALUES (18000, '2020-06-05', 'CO', 'Colombia', 'AMRO', '1521', '33354', '36', '1045');
INSERT INTO public.who_import VALUES (18001, '2020-06-06', 'CO', 'Colombia', 'AMRO', '1766', '35120', '42', '1087');
INSERT INTO public.who_import VALUES (18002, '2020-06-07', 'CO', 'Colombia', 'AMRO', '1515', '36635', '58', '1145');
INSERT INTO public.who_import VALUES (18003, '2020-06-08', 'CO', 'Colombia', 'AMRO', '1392', '38027', '60', '1205');
INSERT INTO public.who_import VALUES (18004, '2020-06-09', 'CO', 'Colombia', 'AMRO', '1209', '39236', '54', '1259');
INSERT INTO public.who_import VALUES (18005, '2020-06-10', 'CO', 'Colombia', 'AMRO', '1483', '40719', '49', '1308');
INSERT INTO public.who_import VALUES (18006, '2020-06-11', 'CO', 'Colombia', 'AMRO', '1359', '42078', '64', '1372');
INSERT INTO public.who_import VALUES (18007, '2020-06-12', 'CO', 'Colombia', 'AMRO', '1604', '43682', '61', '1433');
INSERT INTO public.who_import VALUES (18008, '2020-06-13', 'CO', 'Colombia', 'AMRO', '1530', '45212', '55', '1488');
INSERT INTO public.who_import VALUES (18009, '2020-06-14', 'CO', 'Colombia', 'AMRO', '1646', '46858', '57', '1545');
INSERT INTO public.who_import VALUES (18010, '2020-06-15', 'CO', 'Colombia', 'AMRO', '1888', '48746', '47', '1592');
INSERT INTO public.who_import VALUES (18011, '2020-06-16', 'CO', 'Colombia', 'AMRO', '2193', '50939', '75', '1667');
INSERT INTO public.who_import VALUES (18012, '2020-06-17', 'CO', 'Colombia', 'AMRO', '2124', '53063', '59', '1726');
INSERT INTO public.who_import VALUES (18013, '2020-06-18', 'CO', 'Colombia', 'AMRO', '1868', '54931', '75', '1801');
INSERT INTO public.who_import VALUES (18014, '2020-06-19', 'CO', 'Colombia', 'AMRO', '2115', '57046', '63', '1864');
INSERT INTO public.who_import VALUES (18015, '2020-06-20', 'CO', 'Colombia', 'AMRO', '3171', '60217', '86', '1950');
INSERT INTO public.who_import VALUES (18016, '2020-06-21', 'CO', 'Colombia', 'AMRO', '3059', '63276', '95', '2045');
INSERT INTO public.who_import VALUES (18017, '2020-06-22', 'CO', 'Colombia', 'AMRO', '2357', '65633', '81', '2126');
INSERT INTO public.who_import VALUES (18018, '2020-06-23', 'CO', 'Colombia', 'AMRO', '3019', '68652', '111', '2237');
INSERT INTO public.who_import VALUES (18019, '2020-06-24', 'CO', 'Colombia', 'AMRO', '2531', '71183', '73', '2310');
INSERT INTO public.who_import VALUES (18020, '2020-06-25', 'CO', 'Colombia', 'AMRO', '2389', '73572', '94', '2404');
INSERT INTO public.who_import VALUES (18021, '2020-06-26', 'CO', 'Colombia', 'AMRO', '3541', '77113', '87', '2491');
INSERT INTO public.who_import VALUES (18022, '2020-06-27', 'CO', 'Colombia', 'AMRO', '3486', '80599', '163', '2654');
INSERT INTO public.who_import VALUES (18023, '2020-06-28', 'CO', 'Colombia', 'AMRO', '3843', '84442', '157', '2811');
INSERT INTO public.who_import VALUES (18024, '2020-06-29', 'CO', 'Colombia', 'AMRO', '4149', '88591', '128', '2939');
INSERT INTO public.who_import VALUES (18025, '2020-06-30', 'CO', 'Colombia', 'AMRO', '3178', '91769', '167', '3106');
INSERT INTO public.who_import VALUES (18026, '2020-07-01', 'CO', 'Colombia', 'AMRO', '3274', '95043', '117', '3223');
INSERT INTO public.who_import VALUES (18027, '2020-07-02', 'CO', 'Colombia', 'AMRO', '2803', '97846', '111', '3334');
INSERT INTO public.who_import VALUES (18028, '2020-07-03', 'CO', 'Colombia', 'AMRO', '4163', '102009', '136', '3470');
INSERT INTO public.who_import VALUES (18029, '2020-07-04', 'CO', 'Colombia', 'AMRO', '4101', '106110', '171', '3641');
INSERT INTO public.who_import VALUES (18030, '2020-07-05', 'CO', 'Colombia', 'AMRO', '3395', '109505', '136', '3777');
INSERT INTO public.who_import VALUES (18031, '2020-07-06', 'CO', 'Colombia', 'AMRO', '3884', '113389', '165', '3942');
INSERT INTO public.who_import VALUES (18032, '2020-07-07', 'CO', 'Colombia', 'AMRO', '3721', '117110', '122', '4064');
INSERT INTO public.who_import VALUES (18033, '2020-07-08', 'CO', 'Colombia', 'AMRO', '3171', '120281', '146', '4210');
INSERT INTO public.who_import VALUES (18034, '2020-07-09', 'CO', 'Colombia', 'AMRO', '4213', '124494', '149', '4359');
INSERT INTO public.who_import VALUES (18035, '2020-07-10', 'CO', 'Colombia', 'AMRO', '4144', '128638', '168', '4527');
INSERT INTO public.who_import VALUES (18036, '2020-07-11', 'CO', 'Colombia', 'AMRO', '5335', '133973', '187', '4714');
INSERT INTO public.who_import VALUES (18037, '2020-07-12', 'CO', 'Colombia', 'AMRO', '6803', '140776', '211', '4925');
INSERT INTO public.who_import VALUES (18038, '2020-07-13', 'CO', 'Colombia', 'AMRO', '4586', '145362', '194', '5119');
INSERT INTO public.who_import VALUES (18039, '2020-07-14', 'CO', 'Colombia', 'AMRO', '5083', '150445', '188', '5307');
INSERT INTO public.who_import VALUES (18040, '2020-07-15', 'CO', 'Colombia', 'AMRO', '3832', '154277', '148', '5455');
INSERT INTO public.who_import VALUES (18041, '2020-07-16', 'CO', 'Colombia', 'AMRO', '5621', '159898', '170', '5625');
INSERT INTO public.who_import VALUES (18042, '2020-07-17', 'CO', 'Colombia', 'AMRO', '5271', '165169', '189', '5814');
INSERT INTO public.who_import VALUES (18043, '2020-07-18', 'CO', 'Colombia', 'AMRO', '8037', '173206', '215', '6029');
INSERT INTO public.who_import VALUES (18044, '2020-07-19', 'CO', 'Colombia', 'AMRO', '8934', '182140', '259', '6288');
INSERT INTO public.who_import VALUES (18045, '2020-07-20', 'CO', 'Colombia', 'AMRO', '8560', '190700', '228', '6516');
INSERT INTO public.who_import VALUES (18046, '2020-07-21', 'CO', 'Colombia', 'AMRO', '6578', '197278', '220', '6736');
INSERT INTO public.who_import VALUES (18047, '2020-07-22', 'CO', 'Colombia', 'AMRO', '6727', '204005', '193', '6929');
INSERT INTO public.who_import VALUES (18048, '2020-07-23', 'CO', 'Colombia', 'AMRO', '7033', '211038', '237', '7166');
INSERT INTO public.who_import VALUES (18049, '2020-07-24', 'CO', 'Colombia', 'AMRO', '7390', '218428', '207', '7373');
INSERT INTO public.who_import VALUES (18050, '2020-07-25', 'CO', 'Colombia', 'AMRO', '7945', '226373', '315', '7688');
INSERT INTO public.who_import VALUES (18051, '2020-07-26', 'CO', 'Colombia', 'AMRO', '7168', '233541', '287', '7975');
INSERT INTO public.who_import VALUES (18052, '2020-07-27', 'CO', 'Colombia', 'AMRO', '7254', '240795', '294', '8269');
INSERT INTO public.who_import VALUES (18053, '2020-07-28', 'CO', 'Colombia', 'AMRO', '8181', '248976', '256', '8525');
INSERT INTO public.who_import VALUES (18054, '2020-07-29', 'CO', 'Colombia', 'AMRO', '8125', '257101', '252', '8777');
INSERT INTO public.who_import VALUES (18055, '2020-07-30', 'CO', 'Colombia', 'AMRO', '10284', '267385', '297', '9074');
INSERT INTO public.who_import VALUES (18056, '2020-07-31', 'CO', 'Colombia', 'AMRO', '8670', '276055', '380', '9454');
INSERT INTO public.who_import VALUES (18057, '2020-08-01', 'CO', 'Colombia', 'AMRO', '9965', '286020', '356', '9810');
INSERT INTO public.who_import VALUES (18058, '2020-08-02', 'CO', 'Colombia', 'AMRO', '9488', '295508', '295', '10105');
INSERT INTO public.who_import VALUES (18059, '2020-08-03', 'CO', 'Colombia', 'AMRO', '10673', '306181', '225', '10330');
INSERT INTO public.who_import VALUES (18060, '2020-08-04', 'CO', 'Colombia', 'AMRO', '11470', '317651', '320', '10650');
INSERT INTO public.who_import VALUES (18061, '2020-08-05', 'CO', 'Colombia', 'AMRO', '10199', '327850', '367', '11017');
INSERT INTO public.who_import VALUES (18062, '2020-08-06', 'CO', 'Colombia', 'AMRO', '7129', '334979', '298', '11315');
INSERT INTO public.who_import VALUES (18063, '2020-08-07', 'CO', 'Colombia', 'AMRO', '10735', '345714', '309', '11624');
INSERT INTO public.who_import VALUES (18064, '2020-08-08', 'CO', 'Colombia', 'AMRO', '11996', '357710', '315', '11939');
INSERT INTO public.who_import VALUES (18065, '2020-08-09', 'CO', 'Colombia', 'AMRO', '9486', '367196', '311', '12250');
INSERT INTO public.who_import VALUES (18066, '2020-08-10', 'CO', 'Colombia', 'AMRO', '9674', '376870', '290', '12540');
INSERT INTO public.who_import VALUES (18067, '2020-08-11', 'CO', 'Colombia', 'AMRO', '10611', '387481', '302', '12842');
INSERT INTO public.who_import VALUES (18068, '2020-08-12', 'CO', 'Colombia', 'AMRO', '10142', '397623', '312', '13154');
INSERT INTO public.who_import VALUES (18069, '2020-08-13', 'CO', 'Colombia', 'AMRO', '12830', '410453', '321', '13475');
INSERT INTO public.who_import VALUES (18070, '2020-08-14', 'CO', 'Colombia', 'AMRO', '12066', '422519', '362', '13837');
INSERT INTO public.who_import VALUES (18071, '2020-08-15', 'CO', 'Colombia', 'AMRO', '11286', '433805', '308', '14145');
INSERT INTO public.who_import VALUES (18072, '2020-08-16', 'CO', 'Colombia', 'AMRO', '11306', '445111', '347', '14492');
INSERT INTO public.who_import VALUES (18073, '2020-08-17', 'CO', 'Colombia', 'AMRO', '11578', '456689', '318', '14810');
INSERT INTO public.who_import VALUES (18074, '2020-08-18', 'CO', 'Colombia', 'AMRO', '11643', '468332', '287', '15097');
INSERT INTO public.who_import VALUES (18075, '2020-08-19', 'CO', 'Colombia', 'AMRO', '8328', '476660', '275', '15372');
INSERT INTO public.who_import VALUES (18076, '2020-08-20', 'CO', 'Colombia', 'AMRO', '12462', '489122', '247', '15619');
INSERT INTO public.who_import VALUES (18077, '2020-08-21', 'CO', 'Colombia', 'AMRO', '13056', '502178', '360', '15979');
INSERT INTO public.who_import VALUES (18078, '2020-08-22', 'CO', 'Colombia', 'AMRO', '11541', '513719', '204', '16183');
INSERT INTO public.who_import VALUES (18079, '2020-08-23', 'CO', 'Colombia', 'AMRO', '8419', '522138', '385', '16568');
INSERT INTO public.who_import VALUES (18080, '2020-08-24', 'CO', 'Colombia', 'AMRO', '10965', '533103', '400', '16968');
INSERT INTO public.who_import VALUES (18081, '2020-08-25', 'CO', 'Colombia', 'AMRO', '8044', '541147', '348', '17316');
INSERT INTO public.who_import VALUES (18082, '2020-08-26', 'CO', 'Colombia', 'AMRO', '10549', '551696', '296', '17612');
INSERT INTO public.who_import VALUES (18083, '2020-08-27', 'CO', 'Colombia', 'AMRO', '10432', '562128', '277', '17889');
INSERT INTO public.who_import VALUES (18084, '2020-08-28', 'CO', 'Colombia', 'AMRO', '10142', '572270', '295', '18184');
INSERT INTO public.who_import VALUES (18085, '2020-08-29', 'CO', 'Colombia', 'AMRO', '9752', '582022', '284', '18468');
INSERT INTO public.who_import VALUES (18086, '2020-08-30', 'CO', 'Colombia', 'AMRO', '8498', '590520', '299', '18767');
INSERT INTO public.who_import VALUES (18087, '2020-08-31', 'CO', 'Colombia', 'AMRO', '9394', '599914', '297', '19064');
INSERT INTO public.who_import VALUES (18088, '2020-09-01', 'CO', 'Colombia', 'AMRO', '8024', '607938', '300', '19364');
INSERT INTO public.who_import VALUES (18089, '2020-09-02', 'CO', 'Colombia', 'AMRO', '7230', '615168', '299', '19663');
INSERT INTO public.who_import VALUES (18090, '2020-09-03', 'CO', 'Colombia', 'AMRO', '8901', '624069', '389', '20052');
INSERT INTO public.who_import VALUES (18091, '2020-09-04', 'CO', 'Colombia', 'AMRO', '9270', '633339', '296', '20348');
INSERT INTO public.who_import VALUES (18092, '2020-09-05', 'CO', 'Colombia', 'AMRO', '8235', '641574', '270', '20618');
INSERT INTO public.who_import VALUES (18093, '2020-09-06', 'CO', 'Colombia', 'AMRO', '8488', '650062', '270', '20888');
INSERT INTO public.who_import VALUES (18094, '2020-09-07', 'CO', 'Colombia', 'AMRO', '8394', '658456', '268', '21156');
INSERT INTO public.who_import VALUES (18095, '2020-09-08', 'CO', 'Colombia', 'AMRO', '8065', '666521', '256', '21412');
INSERT INTO public.who_import VALUES (18096, '2020-09-09', 'CO', 'Colombia', 'AMRO', '5327', '671848', '203', '21615');
INSERT INTO public.who_import VALUES (18097, '2020-09-10', 'CO', 'Colombia', 'AMRO', '7665', '679513', '202', '21817');
INSERT INTO public.who_import VALUES (18098, '2020-09-11', 'CO', 'Colombia', 'AMRO', '7338', '686851', '236', '22053');
INSERT INTO public.who_import VALUES (18099, '2020-09-12', 'CO', 'Colombia', 'AMRO', '7813', '694664', '222', '22275');
INSERT INTO public.who_import VALUES (18100, '2020-09-13', 'CO', 'Colombia', 'AMRO', '7424', '702088', '243', '22518');
INSERT INTO public.who_import VALUES (18101, '2020-09-14', 'CO', 'Colombia', 'AMRO', '6876', '708964', '216', '22734');
INSERT INTO public.who_import VALUES (18102, '2020-09-15', 'CO', 'Colombia', 'AMRO', '7355', '716319', '190', '22924');
INSERT INTO public.who_import VALUES (18103, '2020-09-16', 'CO', 'Colombia', 'AMRO', '5573', '721892', '199', '23123');
INSERT INTO public.who_import VALUES (18104, '2020-09-17', 'CO', 'Colombia', 'AMRO', '6698', '728590', '165', '23288');
INSERT INTO public.who_import VALUES (18105, '2020-09-18', 'CO', 'Colombia', 'AMRO', '7787', '736377', '190', '23478');
INSERT INTO public.who_import VALUES (18106, '2020-09-19', 'CO', 'Colombia', 'AMRO', '7568', '743945', '187', '23665');
INSERT INTO public.who_import VALUES (18107, '2020-09-20', 'CO', 'Colombia', 'AMRO', '6526', '750471', '185', '23850');
INSERT INTO public.who_import VALUES (18108, '2020-09-21', 'CO', 'Colombia', 'AMRO', '7927', '758398', '189', '24039');
INSERT INTO public.who_import VALUES (18109, '2020-09-22', 'CO', 'Colombia', 'AMRO', '6678', '765076', '169', '24208');
INSERT INTO public.who_import VALUES (18110, '2020-09-23', 'CO', 'Colombia', 'AMRO', '5359', '770435', '189', '24397');
INSERT INTO public.who_import VALUES (18111, '2020-09-24', 'CO', 'Colombia', 'AMRO', '7102', '777537', '173', '24570');
INSERT INTO public.who_import VALUES (18112, '2020-09-25', 'CO', 'Colombia', 'AMRO', '6731', '784268', '176', '24746');
INSERT INTO public.who_import VALUES (18113, '2020-09-26', 'CO', 'Colombia', 'AMRO', '6555', '790823', '178', '24924');
INSERT INTO public.who_import VALUES (18114, '2020-09-27', 'CO', 'Colombia', 'AMRO', '7494', '798317', '179', '25103');
INSERT INTO public.who_import VALUES (18115, '2020-09-28', 'CO', 'Colombia', 'AMRO', '7721', '806038', '193', '25296');
INSERT INTO public.who_import VALUES (18116, '2020-09-29', 'CO', 'Colombia', 'AMRO', '7018', '813056', '192', '25488');
INSERT INTO public.who_import VALUES (18117, '2020-09-30', 'CO', 'Colombia', 'AMRO', '5147', '818203', '153', '25641');
INSERT INTO public.who_import VALUES (18118, '2020-10-01', 'CO', 'Colombia', 'AMRO', '5839', '824042', '187', '25828');
INSERT INTO public.who_import VALUES (18119, '2020-10-02', 'CO', 'Colombia', 'AMRO', '5637', '829679', '170', '25998');
INSERT INTO public.who_import VALUES (18120, '2020-10-03', 'CO', 'Colombia', 'AMRO', '5660', '835339', '198', '26196');
INSERT INTO public.who_import VALUES (18121, '2020-10-04', 'CO', 'Colombia', 'AMRO', '6192', '841531', '201', '26397');
INSERT INTO public.who_import VALUES (18122, '2020-10-05', 'CO', 'Colombia', 'AMRO', '6616', '848147', '159', '26556');
INSERT INTO public.who_import VALUES (18123, '2020-10-06', 'CO', 'Colombia', 'AMRO', '6905', '855052', '156', '26712');
INSERT INTO public.who_import VALUES (18124, '2020-10-07', 'CO', 'Colombia', 'AMRO', '7106', '862158', '132', '26844');
INSERT INTO public.who_import VALUES (18125, '2020-10-08', 'CO', 'Colombia', 'AMRO', '7650', '869808', '173', '27017');
INSERT INTO public.who_import VALUES (18126, '2020-10-09', 'CO', 'Colombia', 'AMRO', '7875', '877683', '163', '27180');
INSERT INTO public.who_import VALUES (18127, '2020-10-10', 'CO', 'Colombia', 'AMRO', '8496', '886179', '151', '27331');
INSERT INTO public.who_import VALUES (18128, '2020-10-11', 'CO', 'Colombia', 'AMRO', '8121', '894300', '164', '27495');
INSERT INTO public.who_import VALUES (18129, '2020-10-12', 'CO', 'Colombia', 'AMRO', '8447', '902747', '165', '27660');
INSERT INTO public.who_import VALUES (18130, '2020-10-13', 'CO', 'Colombia', 'AMRO', '8569', '911316', '174', '27834');
INSERT INTO public.who_import VALUES (18131, '2020-10-14', 'CO', 'Colombia', 'AMRO', '7767', '919083', '151', '27985');
INSERT INTO public.who_import VALUES (18132, '2020-10-15', 'CO', 'Colombia', 'AMRO', '5015', '924098', '156', '28141');
INSERT INTO public.who_import VALUES (18133, '2020-10-16', 'CO', 'Colombia', 'AMRO', '6061', '930159', '165', '28306');
INSERT INTO public.who_import VALUES (18134, '2020-10-17', 'CO', 'Colombia', 'AMRO', '6823', '936982', '151', '28457');
INSERT INTO public.who_import VALUES (18135, '2020-10-18', 'CO', 'Colombia', 'AMRO', '8372', '945354', '159', '28616');
INSERT INTO public.who_import VALUES (18136, '2020-10-19', 'CO', 'Colombia', 'AMRO', '7017', '952371', '187', '28803');
INSERT INTO public.who_import VALUES (18137, '2020-10-20', 'CO', 'Colombia', 'AMRO', '7201', '959572', '167', '28970');
INSERT INTO public.who_import VALUES (18138, '2020-10-21', 'CO', 'Colombia', 'AMRO', '6311', '965883', '132', '29102');
INSERT INTO public.who_import VALUES (18139, '2020-10-22', 'CO', 'Colombia', 'AMRO', '8256', '974139', '170', '29272');
INSERT INTO public.who_import VALUES (18140, '2020-10-23', 'CO', 'Colombia', 'AMRO', '7561', '981700', '192', '29464');
INSERT INTO public.who_import VALUES (18141, '2020-10-24', 'CO', 'Colombia', 'AMRO', '8570', '990270', '172', '29636');
INSERT INTO public.who_import VALUES (18142, '2020-10-25', 'CO', 'Colombia', 'AMRO', '8672', '998942', '166', '29802');
INSERT INTO public.who_import VALUES (18143, '2020-10-26', 'CO', 'Colombia', 'AMRO', '8769', '1007711', '198', '30000');
INSERT INTO public.who_import VALUES (18144, '2020-10-27', 'CO', 'Colombia', 'AMRO', '8174', '1015885', '154', '30154');
INSERT INTO public.who_import VALUES (18145, '2020-10-28', 'CO', 'Colombia', 'AMRO', '9167', '1025052', '194', '30348');
INSERT INTO public.who_import VALUES (18146, '2020-10-29', 'CO', 'Colombia', 'AMRO', '8166', '1033218', '217', '30565');
INSERT INTO public.who_import VALUES (18147, '2020-10-30', 'CO', 'Colombia', 'AMRO', '8717', '1041935', '188', '30753');
INSERT INTO public.who_import VALUES (18148, '2020-10-31', 'CO', 'Colombia', 'AMRO', '11187', '1053122', '173', '30926');
INSERT INTO public.who_import VALUES (18149, '2020-11-01', 'CO', 'Colombia', 'AMRO', '10029', '1063151', '209', '31135');
INSERT INTO public.who_import VALUES (18150, '2020-11-02', 'CO', 'Colombia', 'AMRO', '11033', '1074184', '179', '31314');
INSERT INTO public.who_import VALUES (18151, '2020-11-03', 'CO', 'Colombia', 'AMRO', '9137', '1083321', '201', '31515');
INSERT INTO public.who_import VALUES (18152, '2020-11-04', 'CO', 'Colombia', 'AMRO', '9935', '1093256', '155', '31670');
INSERT INTO public.who_import VALUES (18153, '2020-11-05', 'CO', 'Colombia', 'AMRO', '6136', '1099392', '177', '31847');
INSERT INTO public.who_import VALUES (18154, '2020-11-06', 'CO', 'Colombia', 'AMRO', '8692', '1108084', '166', '32013');
INSERT INTO public.who_import VALUES (18155, '2020-11-07', 'CO', 'Colombia', 'AMRO', '9893', '1117977', '196', '32209');
INSERT INTO public.who_import VALUES (18156, '2020-11-08', 'CO', 'Colombia', 'AMRO', '9756', '1127733', '196', '32405');
INSERT INTO public.who_import VALUES (18157, '2020-11-09', 'CO', 'Colombia', 'AMRO', '8714', '1136447', '190', '32595');
INSERT INTO public.who_import VALUES (18158, '2020-11-10', 'CO', 'Colombia', 'AMRO', '7440', '1143887', '196', '32791');
INSERT INTO public.who_import VALUES (18159, '2020-11-11', 'CO', 'Colombia', 'AMRO', '5176', '1149063', '183', '32974');
INSERT INTO public.who_import VALUES (18160, '2020-11-12', 'CO', 'Colombia', 'AMRO', '7612', '1156675', '174', '33148');
INSERT INTO public.who_import VALUES (18161, '2020-11-13', 'CO', 'Colombia', 'AMRO', '8651', '1165326', '164', '33312');
INSERT INTO public.who_import VALUES (18162, '2020-11-14', 'CO', 'Colombia', 'AMRO', '8686', '1174012', '179', '33491');
INSERT INTO public.who_import VALUES (18163, '2020-11-15', 'CO', 'Colombia', 'AMRO', '8685', '1182697', '178', '33669');
INSERT INTO public.who_import VALUES (18164, '2020-11-16', 'CO', 'Colombia', 'AMRO', '8307', '1191004', '160', '33829');
INSERT INTO public.who_import VALUES (18165, '2020-11-17', 'CO', 'Colombia', 'AMRO', '7742', '1198746', '202', '34031');
INSERT INTO public.who_import VALUES (18166, '2020-11-18', 'CO', 'Colombia', 'AMRO', '6471', '1205217', '192', '34223');
INSERT INTO public.who_import VALUES (18167, '2020-11-19', 'CO', 'Colombia', 'AMRO', '5911', '1211128', '158', '34381');
INSERT INTO public.who_import VALUES (18168, '2020-11-20', 'CO', 'Colombia', 'AMRO', '6875', '1218003', '182', '34563');
INSERT INTO public.who_import VALUES (18169, '2020-11-21', 'CO', 'Colombia', 'AMRO', '7487', '1225490', '198', '34761');
INSERT INTO public.who_import VALUES (18170, '2020-11-22', 'CO', 'Colombia', 'AMRO', '7954', '1233444', '168', '34929');
INSERT INTO public.who_import VALUES (18171, '2020-11-23', 'CO', 'Colombia', 'AMRO', '7049', '1240493', '175', '35104');
INSERT INTO public.who_import VALUES (18172, '2020-11-24', 'CO', 'Colombia', 'AMRO', '7924', '1248417', '183', '35287');
INSERT INTO public.who_import VALUES (18173, '2020-11-25', 'CO', 'Colombia', 'AMRO', '6562', '1254979', '192', '35479');
INSERT INTO public.who_import VALUES (18174, '2020-11-26', 'CO', 'Colombia', 'AMRO', '7515', '1262494', '198', '35677');
INSERT INTO public.who_import VALUES (18175, '2020-11-27', 'CO', 'Colombia', 'AMRO', '8497', '1270991', '183', '35860');
INSERT INTO public.who_import VALUES (18176, '2020-11-28', 'CO', 'Colombia', 'AMRO', '9496', '1280487', '159', '36019');
INSERT INTO public.who_import VALUES (18177, '2020-11-29', 'CO', 'Colombia', 'AMRO', '10023', '1290510', '195', '36214');
INSERT INTO public.who_import VALUES (18178, '2020-11-30', 'CO', 'Colombia', 'AMRO', '9103', '1299613', '187', '36401');
INSERT INTO public.who_import VALUES (18179, '2020-12-01', 'CO', 'Colombia', 'AMRO', '8763', '1308376', '183', '36584');
INSERT INTO public.who_import VALUES (18180, '2020-12-02', 'CO', 'Colombia', 'AMRO', '8430', '1316806', '182', '36766');
INSERT INTO public.who_import VALUES (18181, '2020-12-03', 'CO', 'Colombia', 'AMRO', '7986', '1324792', '168', '36934');
INSERT INTO public.who_import VALUES (18182, '2020-12-04', 'CO', 'Colombia', 'AMRO', '9297', '1334089', '183', '37117');
INSERT INTO public.who_import VALUES (18183, '2020-12-05', 'CO', 'Colombia', 'AMRO', '9233', '1343322', '188', '37305');
INSERT INTO public.who_import VALUES (18184, '2020-12-06', 'CO', 'Colombia', 'AMRO', '9285', '1352607', '162', '37467');
INSERT INTO public.who_import VALUES (18185, '2020-12-07', 'CO', 'Colombia', 'AMRO', '9642', '1362249', '166', '37633');
INSERT INTO public.who_import VALUES (18186, '2020-12-08', 'CO', 'Colombia', 'AMRO', '8854', '1371103', '175', '37808');
INSERT INTO public.who_import VALUES (18187, '2020-12-09', 'CO', 'Colombia', 'AMRO', '5997', '1377100', '187', '37995');
INSERT INTO public.who_import VALUES (18188, '2020-12-10', 'CO', 'Colombia', 'AMRO', '7510', '1384610', '163', '38158');
INSERT INTO public.who_import VALUES (18189, '2020-12-11', 'CO', 'Colombia', 'AMRO', '7523', '1392133', '150', '38308');
INSERT INTO public.who_import VALUES (18190, '2020-12-12', 'CO', 'Colombia', 'AMRO', '7778', '1399911', '176', '38484');
INSERT INTO public.who_import VALUES (18191, '2020-12-13', 'CO', 'Colombia', 'AMRO', '8998', '1408909', '185', '38669');
INSERT INTO public.who_import VALUES (18192, '2020-12-14', 'CO', 'Colombia', 'AMRO', '8163', '1417072', '197', '38866');
INSERT INTO public.who_import VALUES (18193, '2020-12-15', 'CO', 'Colombia', 'AMRO', '8702', '1425774', '187', '39053');
INSERT INTO public.who_import VALUES (18194, '2020-12-16', 'CO', 'Colombia', 'AMRO', '8742', '1434516', '142', '39195');
INSERT INTO public.who_import VALUES (18195, '2020-12-17', 'CO', 'Colombia', 'AMRO', '10130', '1444646', '161', '39356');
INSERT INTO public.who_import VALUES (18196, '2020-12-18', 'CO', 'Colombia', 'AMRO', '11953', '1456599', '204', '39560');
INSERT INTO public.who_import VALUES (18197, '2020-12-19', 'CO', 'Colombia', 'AMRO', '12196', '1468795', '227', '39787');
INSERT INTO public.who_import VALUES (18198, '2020-12-20', 'CO', 'Colombia', 'AMRO', '13277', '1482072', '232', '40019');
INSERT INTO public.who_import VALUES (18199, '2020-12-21', 'CO', 'Colombia', 'AMRO', '13990', '1496062', '249', '40268');
INSERT INTO public.who_import VALUES (18200, '2020-12-22', 'CO', 'Colombia', 'AMRO', '11160', '1507222', '207', '40475');
INSERT INTO public.who_import VALUES (18201, '2020-12-23', 'CO', 'Colombia', 'AMRO', '10845', '1518067', '205', '40680');
INSERT INTO public.who_import VALUES (18202, '2020-12-24', 'CO', 'Colombia', 'AMRO', '12526', '1530593', '251', '40931');
INSERT INTO public.who_import VALUES (18203, '2020-12-25', 'CO', 'Colombia', 'AMRO', '14233', '1544826', '242', '41173');
INSERT INTO public.who_import VALUES (18204, '2020-12-26', 'CO', 'Colombia', 'AMRO', '14940', '1559766', '281', '41454');
INSERT INTO public.who_import VALUES (18205, '2020-12-27', 'CO', 'Colombia', 'AMRO', '14941', '1574707', '236', '41690');
INSERT INTO public.who_import VALUES (18206, '2020-12-28', 'CO', 'Colombia', 'AMRO', '10196', '1584903', '253', '41943');
INSERT INTO public.who_import VALUES (18207, '2020-12-29', 'CO', 'Colombia', 'AMRO', '9594', '1594497', '228', '42171');
INSERT INTO public.who_import VALUES (18208, '2020-12-30', 'CO', 'Colombia', 'AMRO', '9310', '1603807', '203', '42374');
INSERT INTO public.who_import VALUES (18209, '2020-12-31', 'CO', 'Colombia', 'AMRO', '11015', '1614822', '246', '42620');
INSERT INTO public.who_import VALUES (18210, '2021-01-01', 'CO', 'Colombia', 'AMRO', '11639', '1626461', '289', '42909');
INSERT INTO public.who_import VALUES (18211, '2021-01-02', 'CO', 'Colombia', 'AMRO', '16314', '1642775', '304', '43213');
INSERT INTO public.who_import VALUES (18212, '2021-01-03', 'CO', 'Colombia', 'AMRO', '12105', '1654880', '282', '43495');
INSERT INTO public.who_import VALUES (18213, '2021-01-04', 'CO', 'Colombia', 'AMRO', '11528', '1666408', '270', '43765');
INSERT INTO public.who_import VALUES (18214, '2021-01-05', 'CO', 'Colombia', 'AMRO', '9412', '1675820', '200', '43965');
INSERT INTO public.who_import VALUES (18215, '2021-01-06', 'CO', 'Colombia', 'AMRO', '10311', '1686131', '222', '44187');
INSERT INTO public.who_import VALUES (18216, '2021-01-07', 'CO', 'Colombia', 'AMRO', '16835', '1702966', '241', '44428');
INSERT INTO public.who_import VALUES (18217, '2021-01-08', 'CO', 'Colombia', 'AMRO', '16805', '1719771', '295', '44723');
INSERT INTO public.who_import VALUES (18218, '2021-01-09', 'CO', 'Colombia', 'AMRO', '17576', '1737347', '344', '45067');
INSERT INTO public.who_import VALUES (18219, '2021-01-10', 'CO', 'Colombia', 'AMRO', '18221', '1755568', '364', '45431');
INSERT INTO public.who_import VALUES (18220, '2021-01-11', 'CO', 'Colombia', 'AMRO', '15795', '1771363', '353', '45784');
INSERT INTO public.who_import VALUES (18221, '2021-01-12', 'CO', 'Colombia', 'AMRO', '15537', '1786900', '330', '46114');
INSERT INTO public.who_import VALUES (18222, '2021-01-13', 'CO', 'Colombia', 'AMRO', '15003', '1801903', '337', '46451');
INSERT INTO public.who_import VALUES (18223, '2021-01-14', 'CO', 'Colombia', 'AMRO', '14179', '1816082', '331', '46782');
INSERT INTO public.who_import VALUES (18224, '2021-01-15', 'CO', 'Colombia', 'AMRO', '15898', '1831980', '342', '47124');
INSERT INTO public.who_import VALUES (18225, '2021-01-16', 'CO', 'Colombia', 'AMRO', '17121', '1849101', '367', '47491');
INSERT INTO public.who_import VALUES (18226, '2021-01-17', 'CO', 'Colombia', 'AMRO', '21078', '1870179', '377', '47868');
INSERT INTO public.who_import VALUES (18227, '2021-01-18', 'CO', 'Colombia', 'AMRO', '20855', '1891034', '388', '48256');
INSERT INTO public.who_import VALUES (18228, '2021-01-19', 'CO', 'Colombia', 'AMRO', '17379', '1908413', '375', '48631');
INSERT INTO public.who_import VALUES (18229, '2021-01-20', 'CO', 'Colombia', 'AMRO', '14719', '1923132', '373', '49004');
INSERT INTO public.who_import VALUES (18230, '2021-01-21', 'CO', 'Colombia', 'AMRO', '15939', '1939071', '398', '49402');
INSERT INTO public.who_import VALUES (18231, '2021-01-22', 'CO', 'Colombia', 'AMRO', '17908', '1956979', '390', '49792');
INSERT INTO public.who_import VALUES (18232, '2021-01-23', 'CO', 'Colombia', 'AMRO', '15366', '1972345', '395', '50187');
INSERT INTO public.who_import VALUES (18233, '2021-01-24', 'CO', 'Colombia', 'AMRO', '15073', '1987418', '399', '50586');
INSERT INTO public.who_import VALUES (18234, '2021-01-25', 'CO', 'Colombia', 'AMRO', '15551', '2002969', '396', '50982');
INSERT INTO public.who_import VALUES (18235, '2021-01-26', 'CO', 'Colombia', 'AMRO', '12516', '2015485', '392', '51374');
INSERT INTO public.who_import VALUES (18236, '2021-01-27', 'CO', 'Colombia', 'AMRO', '12261', '2027746', '373', '51747');
INSERT INTO public.who_import VALUES (18237, '2021-01-28', 'CO', 'Colombia', 'AMRO', '13606', '2041352', '381', '52128');
INSERT INTO public.who_import VALUES (18238, '2021-01-29', 'CO', 'Colombia', 'AMRO', '13953', '2055305', '395', '52523');
INSERT INTO public.who_import VALUES (18239, '2021-01-30', 'CO', 'Colombia', 'AMRO', '12270', '2067575', '390', '52913');
INSERT INTO public.who_import VALUES (18240, '2021-01-31', 'CO', 'Colombia', 'AMRO', '10058', '2077633', '371', '53284');
INSERT INTO public.who_import VALUES (18241, '2021-02-01', 'CO', 'Colombia', 'AMRO', '9173', '2086806', '366', '53650');
INSERT INTO public.who_import VALUES (18242, '2021-02-02', 'CO', 'Colombia', 'AMRO', '8078', '2094884', '333', '53983');
INSERT INTO public.who_import VALUES (18243, '2021-02-03', 'CO', 'Colombia', 'AMRO', '9622', '2104506', '289', '54272');
INSERT INTO public.who_import VALUES (18244, '2021-02-04', 'CO', 'Colombia', 'AMRO', '10091', '2114597', '304', '54576');
INSERT INTO public.who_import VALUES (18245, '2021-02-05', 'CO', 'Colombia', 'AMRO', '11025', '2125622', '301', '54877');
INSERT INTO public.who_import VALUES (18246, '2021-02-06', 'CO', 'Colombia', 'AMRO', '9790', '2135412', '254', '55131');
INSERT INTO public.who_import VALUES (18247, '2021-02-07', 'CO', 'Colombia', 'AMRO', '7248', '2142660', '272', '55403');
INSERT INTO public.who_import VALUES (18248, '2021-02-08', 'CO', 'Colombia', 'AMRO', '8547', '2151207', '290', '55693');
INSERT INTO public.who_import VALUES (18249, '2021-02-09', 'CO', 'Colombia', 'AMRO', '6009', '2157216', '300', '55993');
INSERT INTO public.who_import VALUES (18250, '2021-02-10', 'CO', 'Colombia', 'AMRO', '4246', '2161462', '297', '56290');
INSERT INTO public.who_import VALUES (18251, '2021-02-11', 'CO', 'Colombia', 'AMRO', '5442', '2166904', '217', '56507');
INSERT INTO public.who_import VALUES (18252, '2021-02-12', 'CO', 'Colombia', 'AMRO', '6443', '2173347', '226', '56733');
INSERT INTO public.who_import VALUES (18253, '2021-02-13', 'CO', 'Colombia', 'AMRO', '6294', '2179641', '250', '56983');
INSERT INTO public.who_import VALUES (18254, '2021-02-14', 'CO', 'Colombia', 'AMRO', '5528', '2185169', '213', '57196');
INSERT INTO public.who_import VALUES (18255, '2021-02-15', 'CO', 'Colombia', 'AMRO', '4947', '2190116', '229', '57425');
INSERT INTO public.who_import VALUES (18256, '2021-02-16', 'CO', 'Colombia', 'AMRO', '4923', '2195039', '180', '57605');
INSERT INTO public.who_import VALUES (18257, '2021-02-17', 'CO', 'Colombia', 'AMRO', '3510', '2198549', '181', '57786');
INSERT INTO public.who_import VALUES (18258, '2021-02-18', 'CO', 'Colombia', 'AMRO', '4049', '2202598', '163', '57949');
INSERT INTO public.who_import VALUES (18259, '2021-02-19', 'CO', 'Colombia', 'AMRO', '5103', '2207701', '185', '58134');
INSERT INTO public.who_import VALUES (18260, '2021-02-20', 'CO', 'Colombia', 'AMRO', '4824', '2212525', '200', '58334');
INSERT INTO public.who_import VALUES (18261, '2020-01-03', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18262, '2020-01-04', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18263, '2020-01-05', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18264, '2020-01-06', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18265, '2020-01-07', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18266, '2020-01-08', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18267, '2020-01-09', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18268, '2020-01-10', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18269, '2020-01-11', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18270, '2020-01-12', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18271, '2020-01-13', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18272, '2020-01-14', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18273, '2020-01-15', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18274, '2020-01-16', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18275, '2020-01-17', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18276, '2020-01-18', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18277, '2020-01-19', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18278, '2020-01-20', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18279, '2020-01-21', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18280, '2020-01-22', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18281, '2020-01-23', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18282, '2020-01-24', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18283, '2020-01-25', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18284, '2020-01-26', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18285, '2020-01-27', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18286, '2020-01-28', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18287, '2020-01-29', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18288, '2020-01-30', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18289, '2020-01-31', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18290, '2020-02-01', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18291, '2020-02-02', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18292, '2020-02-03', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18293, '2020-02-04', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18294, '2020-02-05', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18295, '2020-02-06', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18296, '2020-02-07', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18297, '2020-02-08', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18298, '2020-02-09', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18299, '2020-02-10', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18300, '2020-02-11', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18301, '2020-02-12', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18302, '2020-02-13', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18303, '2020-02-14', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18304, '2020-02-15', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18305, '2020-02-16', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18306, '2020-02-17', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18307, '2020-02-18', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18308, '2020-02-19', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18309, '2020-02-20', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18310, '2020-02-21', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18311, '2020-02-22', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18312, '2020-02-23', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18313, '2020-02-24', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18314, '2020-02-25', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18315, '2020-02-26', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18316, '2020-02-27', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18317, '2020-02-28', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18318, '2020-02-29', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18319, '2020-03-01', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18320, '2020-03-02', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18321, '2020-03-03', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18322, '2020-03-04', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18323, '2020-03-05', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18324, '2020-03-06', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18325, '2020-03-07', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18326, '2020-03-08', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18327, '2020-03-09', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18328, '2020-03-10', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18329, '2020-03-11', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18330, '2020-03-12', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18331, '2020-03-13', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18332, '2020-03-14', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18333, '2020-03-15', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18334, '2020-03-16', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18335, '2020-03-17', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18336, '2020-03-18', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18337, '2020-03-19', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18338, '2020-03-20', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18339, '2020-03-21', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18340, '2020-03-22', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18341, '2020-03-23', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18342, '2020-03-24', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18343, '2020-03-25', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18344, '2020-03-26', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18345, '2020-03-27', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18346, '2020-03-28', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18347, '2020-03-29', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18348, '2020-03-30', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18349, '2020-03-31', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18350, '2020-04-01', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18351, '2020-04-02', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18352, '2020-04-03', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18353, '2020-04-04', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18354, '2020-04-05', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18355, '2020-04-06', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18356, '2020-04-07', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18357, '2020-04-08', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18358, '2020-04-09', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18359, '2020-04-10', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18360, '2020-04-11', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18361, '2020-04-12', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18362, '2020-04-13', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18363, '2020-04-14', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18364, '2020-04-15', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18365, '2020-04-16', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18366, '2020-04-17', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18367, '2020-04-18', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18368, '2020-04-19', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18369, '2020-04-20', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18370, '2020-04-21', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18371, '2020-04-22', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18372, '2020-04-23', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18373, '2020-04-24', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18374, '2020-04-25', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18375, '2020-04-26', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18376, '2020-04-27', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18377, '2020-04-28', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18378, '2020-04-29', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18379, '2020-04-30', 'KM', 'Comoros', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18380, '2020-05-01', 'KM', 'Comoros', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (18381, '2020-05-02', 'KM', 'Comoros', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (18382, '2020-05-03', 'KM', 'Comoros', 'AFRO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (18383, '2020-05-04', 'KM', 'Comoros', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (18384, '2020-05-05', 'KM', 'Comoros', 'AFRO', '1', '4', '1', '1');
INSERT INTO public.who_import VALUES (18385, '2020-05-06', 'KM', 'Comoros', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (18386, '2020-05-07', 'KM', 'Comoros', 'AFRO', '4', '8', '0', '1');
INSERT INTO public.who_import VALUES (18387, '2020-05-08', 'KM', 'Comoros', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (18388, '2020-05-09', 'KM', 'Comoros', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (18389, '2020-05-10', 'KM', 'Comoros', 'AFRO', '3', '11', '0', '1');
INSERT INTO public.who_import VALUES (18390, '2020-05-11', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18391, '2020-05-12', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18392, '2020-05-13', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18393, '2020-05-14', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18394, '2020-05-15', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18395, '2020-05-16', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18396, '2020-05-17', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18397, '2020-05-18', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18398, '2020-05-19', 'KM', 'Comoros', 'AFRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (18399, '2020-05-20', 'KM', 'Comoros', 'AFRO', '23', '34', '0', '1');
INSERT INTO public.who_import VALUES (18400, '2020-05-21', 'KM', 'Comoros', 'AFRO', '0', '34', '0', '1');
INSERT INTO public.who_import VALUES (18401, '2020-05-22', 'KM', 'Comoros', 'AFRO', '0', '34', '0', '1');
INSERT INTO public.who_import VALUES (18402, '2020-05-23', 'KM', 'Comoros', 'AFRO', '0', '34', '0', '1');
INSERT INTO public.who_import VALUES (18403, '2020-05-24', 'KM', 'Comoros', 'AFRO', '0', '34', '0', '1');
INSERT INTO public.who_import VALUES (18404, '2020-05-25', 'KM', 'Comoros', 'AFRO', '9', '43', '0', '1');
INSERT INTO public.who_import VALUES (18405, '2020-05-26', 'KM', 'Comoros', 'AFRO', '0', '43', '0', '1');
INSERT INTO public.who_import VALUES (18406, '2020-05-27', 'KM', 'Comoros', 'AFRO', '0', '43', '0', '1');
INSERT INTO public.who_import VALUES (18407, '2020-05-28', 'KM', 'Comoros', 'AFRO', '0', '43', '1', '2');
INSERT INTO public.who_import VALUES (18408, '2020-05-29', 'KM', 'Comoros', 'AFRO', '0', '43', '0', '2');
INSERT INTO public.who_import VALUES (18409, '2020-05-30', 'KM', 'Comoros', 'AFRO', '0', '43', '0', '2');
INSERT INTO public.who_import VALUES (18410, '2020-05-31', 'KM', 'Comoros', 'AFRO', '0', '43', '0', '2');
INSERT INTO public.who_import VALUES (18411, '2020-06-01', 'KM', 'Comoros', 'AFRO', '19', '62', '0', '2');
INSERT INTO public.who_import VALUES (18412, '2020-06-02', 'KM', 'Comoros', 'AFRO', '0', '62', '0', '2');
INSERT INTO public.who_import VALUES (18413, '2020-06-03', 'KM', 'Comoros', 'AFRO', '0', '62', '0', '2');
INSERT INTO public.who_import VALUES (18414, '2020-06-04', 'KM', 'Comoros', 'AFRO', '0', '62', '0', '2');
INSERT INTO public.who_import VALUES (18415, '2020-06-05', 'KM', 'Comoros', 'AFRO', '0', '62', '0', '2');
INSERT INTO public.who_import VALUES (18416, '2020-06-06', 'KM', 'Comoros', 'AFRO', '0', '62', '0', '2');
INSERT INTO public.who_import VALUES (18417, '2020-06-07', 'KM', 'Comoros', 'AFRO', '35', '97', '0', '2');
INSERT INTO public.who_import VALUES (18418, '2020-06-08', 'KM', 'Comoros', 'AFRO', '0', '97', '0', '2');
INSERT INTO public.who_import VALUES (18419, '2020-06-09', 'KM', 'Comoros', 'AFRO', '0', '97', '0', '2');
INSERT INTO public.who_import VALUES (18420, '2020-06-10', 'KM', 'Comoros', 'AFRO', '0', '97', '0', '2');
INSERT INTO public.who_import VALUES (18421, '2020-06-11', 'KM', 'Comoros', 'AFRO', '65', '162', '0', '2');
INSERT INTO public.who_import VALUES (18422, '2020-06-12', 'KM', 'Comoros', 'AFRO', '0', '162', '0', '2');
INSERT INTO public.who_import VALUES (18423, '2020-06-13', 'KM', 'Comoros', 'AFRO', '1', '163', '0', '2');
INSERT INTO public.who_import VALUES (18424, '2020-06-14', 'KM', 'Comoros', 'AFRO', '13', '176', '0', '2');
INSERT INTO public.who_import VALUES (18425, '2020-06-15', 'KM', 'Comoros', 'AFRO', '0', '176', '0', '2');
INSERT INTO public.who_import VALUES (18426, '2020-06-16', 'KM', 'Comoros', 'AFRO', '0', '176', '0', '2');
INSERT INTO public.who_import VALUES (18427, '2020-06-17', 'KM', 'Comoros', 'AFRO', '21', '197', '1', '3');
INSERT INTO public.who_import VALUES (18428, '2020-06-18', 'KM', 'Comoros', 'AFRO', '0', '197', '0', '3');
INSERT INTO public.who_import VALUES (18429, '2020-06-19', 'KM', 'Comoros', 'AFRO', '13', '210', '2', '5');
INSERT INTO public.who_import VALUES (18430, '2020-06-20', 'KM', 'Comoros', 'AFRO', '0', '210', '0', '5');
INSERT INTO public.who_import VALUES (18431, '2020-06-21', 'KM', 'Comoros', 'AFRO', '37', '247', '0', '5');
INSERT INTO public.who_import VALUES (18432, '2020-06-22', 'KM', 'Comoros', 'AFRO', '0', '247', '0', '5');
INSERT INTO public.who_import VALUES (18433, '2020-06-23', 'KM', 'Comoros', 'AFRO', '0', '247', '0', '5');
INSERT INTO public.who_import VALUES (18434, '2020-06-24', 'KM', 'Comoros', 'AFRO', '18', '265', '2', '7');
INSERT INTO public.who_import VALUES (18435, '2020-06-25', 'KM', 'Comoros', 'AFRO', '0', '265', '0', '7');
INSERT INTO public.who_import VALUES (18436, '2020-06-26', 'KM', 'Comoros', 'AFRO', '7', '272', '0', '7');
INSERT INTO public.who_import VALUES (18437, '2020-06-27', 'KM', 'Comoros', 'AFRO', '0', '272', '0', '7');
INSERT INTO public.who_import VALUES (18438, '2020-06-28', 'KM', 'Comoros', 'AFRO', '0', '272', '0', '7');
INSERT INTO public.who_import VALUES (18439, '2020-06-29', 'KM', 'Comoros', 'AFRO', '21', '293', '0', '7');
INSERT INTO public.who_import VALUES (18440, '2020-06-30', 'KM', 'Comoros', 'AFRO', '0', '293', '0', '7');
INSERT INTO public.who_import VALUES (18441, '2020-07-01', 'KM', 'Comoros', 'AFRO', '10', '303', '0', '7');
INSERT INTO public.who_import VALUES (18442, '2020-07-02', 'KM', 'Comoros', 'AFRO', '0', '303', '0', '7');
INSERT INTO public.who_import VALUES (18443, '2020-07-03', 'KM', 'Comoros', 'AFRO', '0', '303', '0', '7');
INSERT INTO public.who_import VALUES (18444, '2020-07-04', 'KM', 'Comoros', 'AFRO', '6', '309', '0', '7');
INSERT INTO public.who_import VALUES (18445, '2020-07-05', 'KM', 'Comoros', 'AFRO', '0', '309', '0', '7');
INSERT INTO public.who_import VALUES (18446, '2020-07-06', 'KM', 'Comoros', 'AFRO', '2', '311', '0', '7');
INSERT INTO public.who_import VALUES (18447, '2020-07-07', 'KM', 'Comoros', 'AFRO', '0', '311', '0', '7');
INSERT INTO public.who_import VALUES (18448, '2020-07-08', 'KM', 'Comoros', 'AFRO', '2', '313', '0', '7');
INSERT INTO public.who_import VALUES (18449, '2020-07-09', 'KM', 'Comoros', 'AFRO', '0', '313', '0', '7');
INSERT INTO public.who_import VALUES (18450, '2020-07-10', 'KM', 'Comoros', 'AFRO', '0', '313', '0', '7');
INSERT INTO public.who_import VALUES (18451, '2020-07-11', 'KM', 'Comoros', 'AFRO', '1', '314', '0', '7');
INSERT INTO public.who_import VALUES (18452, '2020-07-12', 'KM', 'Comoros', 'AFRO', '0', '314', '0', '7');
INSERT INTO public.who_import VALUES (18453, '2020-07-13', 'KM', 'Comoros', 'AFRO', '3', '317', '0', '7');
INSERT INTO public.who_import VALUES (18454, '2020-07-14', 'KM', 'Comoros', 'AFRO', '0', '317', '0', '7');
INSERT INTO public.who_import VALUES (18455, '2020-07-15', 'KM', 'Comoros', 'AFRO', '4', '321', '0', '7');
INSERT INTO public.who_import VALUES (18456, '2020-07-16', 'KM', 'Comoros', 'AFRO', '0', '321', '0', '7');
INSERT INTO public.who_import VALUES (18457, '2020-07-17', 'KM', 'Comoros', 'AFRO', '7', '328', '0', '7');
INSERT INTO public.who_import VALUES (18458, '2020-07-18', 'KM', 'Comoros', 'AFRO', '0', '328', '0', '7');
INSERT INTO public.who_import VALUES (18459, '2020-07-19', 'KM', 'Comoros', 'AFRO', '0', '328', '0', '7');
INSERT INTO public.who_import VALUES (18460, '2020-07-20', 'KM', 'Comoros', 'AFRO', '6', '334', '0', '7');
INSERT INTO public.who_import VALUES (18461, '2020-07-21', 'KM', 'Comoros', 'AFRO', '0', '334', '0', '7');
INSERT INTO public.who_import VALUES (18462, '2020-07-22', 'KM', 'Comoros', 'AFRO', '3', '337', '0', '7');
INSERT INTO public.who_import VALUES (18463, '2020-07-23', 'KM', 'Comoros', 'AFRO', '0', '337', '0', '7');
INSERT INTO public.who_import VALUES (18464, '2020-07-24', 'KM', 'Comoros', 'AFRO', '3', '340', '0', '7');
INSERT INTO public.who_import VALUES (18465, '2020-07-25', 'KM', 'Comoros', 'AFRO', '0', '340', '0', '7');
INSERT INTO public.who_import VALUES (18466, '2020-07-26', 'KM', 'Comoros', 'AFRO', '0', '340', '0', '7');
INSERT INTO public.who_import VALUES (18467, '2020-07-27', 'KM', 'Comoros', 'AFRO', '14', '354', '0', '7');
INSERT INTO public.who_import VALUES (18468, '2020-07-28', 'KM', 'Comoros', 'AFRO', '0', '354', '0', '7');
INSERT INTO public.who_import VALUES (18469, '2020-07-29', 'KM', 'Comoros', 'AFRO', '24', '378', '0', '7');
INSERT INTO public.who_import VALUES (18470, '2020-07-30', 'KM', 'Comoros', 'AFRO', '0', '378', '0', '7');
INSERT INTO public.who_import VALUES (18471, '2020-07-31', 'KM', 'Comoros', 'AFRO', '4', '382', '0', '7');
INSERT INTO public.who_import VALUES (18472, '2020-08-01', 'KM', 'Comoros', 'AFRO', '0', '382', '0', '7');
INSERT INTO public.who_import VALUES (18473, '2020-08-02', 'KM', 'Comoros', 'AFRO', '0', '382', '0', '7');
INSERT INTO public.who_import VALUES (18474, '2020-08-03', 'KM', 'Comoros', 'AFRO', '4', '386', '0', '7');
INSERT INTO public.who_import VALUES (18475, '2020-08-04', 'KM', 'Comoros', 'AFRO', '0', '386', '0', '7');
INSERT INTO public.who_import VALUES (18476, '2020-08-05', 'KM', 'Comoros', 'AFRO', '2', '388', '0', '7');
INSERT INTO public.who_import VALUES (18477, '2020-08-06', 'KM', 'Comoros', 'AFRO', '0', '388', '0', '7');
INSERT INTO public.who_import VALUES (18478, '2020-08-07', 'KM', 'Comoros', 'AFRO', '8', '396', '0', '7');
INSERT INTO public.who_import VALUES (18479, '2020-08-08', 'KM', 'Comoros', 'AFRO', '0', '396', '0', '7');
INSERT INTO public.who_import VALUES (18480, '2020-08-09', 'KM', 'Comoros', 'AFRO', '3', '399', '0', '7');
INSERT INTO public.who_import VALUES (18481, '2020-08-10', 'KM', 'Comoros', 'AFRO', '0', '399', '0', '7');
INSERT INTO public.who_import VALUES (18482, '2020-08-11', 'KM', 'Comoros', 'AFRO', '0', '399', '0', '7');
INSERT INTO public.who_import VALUES (18483, '2020-08-12', 'KM', 'Comoros', 'AFRO', '0', '399', '0', '7');
INSERT INTO public.who_import VALUES (18484, '2020-08-13', 'KM', 'Comoros', 'AFRO', '0', '399', '0', '7');
INSERT INTO public.who_import VALUES (18485, '2020-08-14', 'KM', 'Comoros', 'AFRO', '4', '403', '0', '7');
INSERT INTO public.who_import VALUES (18486, '2020-08-15', 'KM', 'Comoros', 'AFRO', '0', '403', '0', '7');
INSERT INTO public.who_import VALUES (18487, '2020-08-16', 'KM', 'Comoros', 'AFRO', '2', '405', '0', '7');
INSERT INTO public.who_import VALUES (18488, '2020-08-17', 'KM', 'Comoros', 'AFRO', '0', '405', '0', '7');
INSERT INTO public.who_import VALUES (18489, '2020-08-18', 'KM', 'Comoros', 'AFRO', '0', '405', '0', '7');
INSERT INTO public.who_import VALUES (18490, '2020-08-19', 'KM', 'Comoros', 'AFRO', '0', '405', '0', '7');
INSERT INTO public.who_import VALUES (18491, '2020-08-20', 'KM', 'Comoros', 'AFRO', '1', '406', '0', '7');
INSERT INTO public.who_import VALUES (18492, '2020-08-21', 'KM', 'Comoros', 'AFRO', '0', '406', '0', '7');
INSERT INTO public.who_import VALUES (18493, '2020-08-22', 'KM', 'Comoros', 'AFRO', '0', '406', '0', '7');
INSERT INTO public.who_import VALUES (18494, '2020-08-23', 'KM', 'Comoros', 'AFRO', '11', '417', '0', '7');
INSERT INTO public.who_import VALUES (18495, '2020-08-24', 'KM', 'Comoros', 'AFRO', '0', '417', '0', '7');
INSERT INTO public.who_import VALUES (18496, '2020-08-25', 'KM', 'Comoros', 'AFRO', '0', '417', '0', '7');
INSERT INTO public.who_import VALUES (18497, '2020-08-26', 'KM', 'Comoros', 'AFRO', '0', '417', '0', '7');
INSERT INTO public.who_import VALUES (18498, '2020-08-27', 'KM', 'Comoros', 'AFRO', '0', '417', '0', '7');
INSERT INTO public.who_import VALUES (18499, '2020-08-28', 'KM', 'Comoros', 'AFRO', '0', '417', '0', '7');
INSERT INTO public.who_import VALUES (18500, '2020-08-29', 'KM', 'Comoros', 'AFRO', '5', '422', '0', '7');
INSERT INTO public.who_import VALUES (18501, '2020-08-30', 'KM', 'Comoros', 'AFRO', '1', '423', '0', '7');
INSERT INTO public.who_import VALUES (18502, '2020-08-31', 'KM', 'Comoros', 'AFRO', '0', '423', '0', '7');
INSERT INTO public.who_import VALUES (18503, '2020-09-01', 'KM', 'Comoros', 'AFRO', '0', '423', '0', '7');
INSERT INTO public.who_import VALUES (18504, '2020-09-02', 'KM', 'Comoros', 'AFRO', '0', '423', '0', '7');
INSERT INTO public.who_import VALUES (18505, '2020-09-03', 'KM', 'Comoros', 'AFRO', '4', '427', '0', '7');
INSERT INTO public.who_import VALUES (18506, '2020-09-04', 'KM', 'Comoros', 'AFRO', '21', '448', '0', '7');
INSERT INTO public.who_import VALUES (18507, '2020-09-05', 'KM', 'Comoros', 'AFRO', '0', '448', '0', '7');
INSERT INTO public.who_import VALUES (18508, '2020-09-06', 'KM', 'Comoros', 'AFRO', '0', '448', '0', '7');
INSERT INTO public.who_import VALUES (18509, '2020-09-07', 'KM', 'Comoros', 'AFRO', '0', '448', '0', '7');
INSERT INTO public.who_import VALUES (18510, '2020-09-08', 'KM', 'Comoros', 'AFRO', '0', '448', '0', '7');
INSERT INTO public.who_import VALUES (18511, '2020-09-09', 'KM', 'Comoros', 'AFRO', '8', '456', '0', '7');
INSERT INTO public.who_import VALUES (18512, '2020-09-10', 'KM', 'Comoros', 'AFRO', '0', '456', '0', '7');
INSERT INTO public.who_import VALUES (18513, '2020-09-11', 'KM', 'Comoros', 'AFRO', '0', '456', '0', '7');
INSERT INTO public.who_import VALUES (18514, '2020-09-12', 'KM', 'Comoros', 'AFRO', '0', '456', '0', '7');
INSERT INTO public.who_import VALUES (18515, '2020-09-13', 'KM', 'Comoros', 'AFRO', '0', '456', '0', '7');
INSERT INTO public.who_import VALUES (18516, '2020-09-14', 'KM', 'Comoros', 'AFRO', '0', '456', '0', '7');
INSERT INTO public.who_import VALUES (18517, '2020-09-15', 'KM', 'Comoros', 'AFRO', '1', '457', '0', '7');
INSERT INTO public.who_import VALUES (18518, '2020-09-16', 'KM', 'Comoros', 'AFRO', '0', '457', '0', '7');
INSERT INTO public.who_import VALUES (18519, '2020-09-17', 'KM', 'Comoros', 'AFRO', '10', '467', '0', '7');
INSERT INTO public.who_import VALUES (18520, '2020-09-18', 'KM', 'Comoros', 'AFRO', '3', '470', '0', '7');
INSERT INTO public.who_import VALUES (18521, '2020-09-19', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18522, '2020-09-20', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18523, '2020-09-21', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18524, '2020-09-22', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18525, '2020-09-23', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18526, '2020-09-24', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18527, '2020-09-25', 'KM', 'Comoros', 'AFRO', '0', '470', '0', '7');
INSERT INTO public.who_import VALUES (18528, '2020-09-26', 'KM', 'Comoros', 'AFRO', '4', '474', '0', '7');
INSERT INTO public.who_import VALUES (18529, '2020-09-27', 'KM', 'Comoros', 'AFRO', '0', '474', '0', '7');
INSERT INTO public.who_import VALUES (18530, '2020-09-28', 'KM', 'Comoros', 'AFRO', '0', '474', '0', '7');
INSERT INTO public.who_import VALUES (18531, '2020-09-29', 'KM', 'Comoros', 'AFRO', '0', '474', '0', '7');
INSERT INTO public.who_import VALUES (18532, '2020-09-30', 'KM', 'Comoros', 'AFRO', '4', '478', '0', '7');
INSERT INTO public.who_import VALUES (18533, '2020-10-01', 'KM', 'Comoros', 'AFRO', '1', '479', '0', '7');
INSERT INTO public.who_import VALUES (18534, '2020-10-02', 'KM', 'Comoros', 'AFRO', '0', '479', '0', '7');
INSERT INTO public.who_import VALUES (18535, '2020-10-03', 'KM', 'Comoros', 'AFRO', '0', '479', '0', '7');
INSERT INTO public.who_import VALUES (18536, '2020-10-04', 'KM', 'Comoros', 'AFRO', '5', '484', '0', '7');
INSERT INTO public.who_import VALUES (18537, '2020-10-05', 'KM', 'Comoros', 'AFRO', '3', '487', '0', '7');
INSERT INTO public.who_import VALUES (18538, '2020-10-06', 'KM', 'Comoros', 'AFRO', '0', '487', '0', '7');
INSERT INTO public.who_import VALUES (18539, '2020-10-07', 'KM', 'Comoros', 'AFRO', '0', '487', '0', '7');
INSERT INTO public.who_import VALUES (18540, '2020-10-08', 'KM', 'Comoros', 'AFRO', '0', '487', '0', '7');
INSERT INTO public.who_import VALUES (18541, '2020-10-09', 'KM', 'Comoros', 'AFRO', '0', '487', '0', '7');
INSERT INTO public.who_import VALUES (18542, '2020-10-10', 'KM', 'Comoros', 'AFRO', '4', '491', '0', '7');
INSERT INTO public.who_import VALUES (18543, '2020-10-11', 'KM', 'Comoros', 'AFRO', '0', '491', '0', '7');
INSERT INTO public.who_import VALUES (18544, '2020-10-12', 'KM', 'Comoros', 'AFRO', '4', '495', '0', '7');
INSERT INTO public.who_import VALUES (18545, '2020-10-13', 'KM', 'Comoros', 'AFRO', '0', '495', '0', '7');
INSERT INTO public.who_import VALUES (18546, '2020-10-14', 'KM', 'Comoros', 'AFRO', '1', '496', '0', '7');
INSERT INTO public.who_import VALUES (18547, '2020-10-15', 'KM', 'Comoros', 'AFRO', '0', '496', '0', '7');
INSERT INTO public.who_import VALUES (18548, '2020-10-16', 'KM', 'Comoros', 'AFRO', '0', '496', '0', '7');
INSERT INTO public.who_import VALUES (18549, '2020-10-17', 'KM', 'Comoros', 'AFRO', '0', '496', '0', '7');
INSERT INTO public.who_import VALUES (18550, '2020-10-18', 'KM', 'Comoros', 'AFRO', '0', '496', '0', '7');
INSERT INTO public.who_import VALUES (18551, '2020-10-19', 'KM', 'Comoros', 'AFRO', '0', '496', '0', '7');
INSERT INTO public.who_import VALUES (18552, '2020-10-20', 'KM', 'Comoros', 'AFRO', '6', '502', '0', '7');
INSERT INTO public.who_import VALUES (18553, '2020-10-21', 'KM', 'Comoros', 'AFRO', '2', '504', '0', '7');
INSERT INTO public.who_import VALUES (18554, '2020-10-22', 'KM', 'Comoros', 'AFRO', '0', '504', '0', '7');
INSERT INTO public.who_import VALUES (18555, '2020-10-23', 'KM', 'Comoros', 'AFRO', '0', '504', '0', '7');
INSERT INTO public.who_import VALUES (18556, '2020-10-24', 'KM', 'Comoros', 'AFRO', '0', '504', '0', '7');
INSERT INTO public.who_import VALUES (18557, '2020-10-25', 'KM', 'Comoros', 'AFRO', '13', '517', '0', '7');
INSERT INTO public.who_import VALUES (18558, '2020-10-26', 'KM', 'Comoros', 'AFRO', '0', '517', '0', '7');
INSERT INTO public.who_import VALUES (18559, '2020-10-27', 'KM', 'Comoros', 'AFRO', '0', '517', '0', '7');
INSERT INTO public.who_import VALUES (18560, '2020-10-28', 'KM', 'Comoros', 'AFRO', '8', '525', '0', '7');
INSERT INTO public.who_import VALUES (18561, '2020-10-29', 'KM', 'Comoros', 'AFRO', '5', '530', '0', '7');
INSERT INTO public.who_import VALUES (18562, '2020-10-30', 'KM', 'Comoros', 'AFRO', '0', '530', '0', '7');
INSERT INTO public.who_import VALUES (18563, '2020-10-31', 'KM', 'Comoros', 'AFRO', '0', '530', '0', '7');
INSERT INTO public.who_import VALUES (18564, '2020-11-01', 'KM', 'Comoros', 'AFRO', '0', '530', '0', '7');
INSERT INTO public.who_import VALUES (18565, '2020-11-02', 'KM', 'Comoros', 'AFRO', '15', '545', '0', '7');
INSERT INTO public.who_import VALUES (18566, '2020-11-03', 'KM', 'Comoros', 'AFRO', '0', '545', '0', '7');
INSERT INTO public.who_import VALUES (18567, '2020-11-04', 'KM', 'Comoros', 'AFRO', '0', '545', '0', '7');
INSERT INTO public.who_import VALUES (18568, '2020-11-05', 'KM', 'Comoros', 'AFRO', '9', '554', '0', '7');
INSERT INTO public.who_import VALUES (18569, '2020-11-06', 'KM', 'Comoros', 'AFRO', '3', '557', '0', '7');
INSERT INTO public.who_import VALUES (18570, '2020-11-07', 'KM', 'Comoros', 'AFRO', '0', '557', '0', '7');
INSERT INTO public.who_import VALUES (18571, '2020-11-08', 'KM', 'Comoros', 'AFRO', '0', '557', '0', '7');
INSERT INTO public.who_import VALUES (18572, '2020-11-09', 'KM', 'Comoros', 'AFRO', '6', '563', '0', '7');
INSERT INTO public.who_import VALUES (18573, '2020-11-10', 'KM', 'Comoros', 'AFRO', '0', '563', '0', '7');
INSERT INTO public.who_import VALUES (18574, '2020-11-11', 'KM', 'Comoros', 'AFRO', '0', '563', '0', '7');
INSERT INTO public.who_import VALUES (18575, '2020-11-12', 'KM', 'Comoros', 'AFRO', '6', '569', '0', '7');
INSERT INTO public.who_import VALUES (18576, '2020-11-13', 'KM', 'Comoros', 'AFRO', '5', '574', '0', '7');
INSERT INTO public.who_import VALUES (18577, '2020-11-14', 'KM', 'Comoros', 'AFRO', '0', '574', '0', '7');
INSERT INTO public.who_import VALUES (18578, '2020-11-15', 'KM', 'Comoros', 'AFRO', '0', '574', '0', '7');
INSERT INTO public.who_import VALUES (18579, '2020-11-16', 'KM', 'Comoros', 'AFRO', '0', '574', '0', '7');
INSERT INTO public.who_import VALUES (18580, '2020-11-17', 'KM', 'Comoros', 'AFRO', '5', '579', '0', '7');
INSERT INTO public.who_import VALUES (18581, '2020-11-18', 'KM', 'Comoros', 'AFRO', '0', '579', '0', '7');
INSERT INTO public.who_import VALUES (18582, '2020-11-19', 'KM', 'Comoros', 'AFRO', '12', '591', '0', '7');
INSERT INTO public.who_import VALUES (18583, '2020-11-20', 'KM', 'Comoros', 'AFRO', '1', '592', '0', '7');
INSERT INTO public.who_import VALUES (18584, '2020-11-21', 'KM', 'Comoros', 'AFRO', '0', '592', '0', '7');
INSERT INTO public.who_import VALUES (18585, '2020-11-22', 'KM', 'Comoros', 'AFRO', '0', '592', '0', '7');
INSERT INTO public.who_import VALUES (18586, '2020-11-23', 'KM', 'Comoros', 'AFRO', '0', '592', '0', '7');
INSERT INTO public.who_import VALUES (18587, '2020-11-24', 'KM', 'Comoros', 'AFRO', '4', '596', '0', '7');
INSERT INTO public.who_import VALUES (18588, '2020-11-25', 'KM', 'Comoros', 'AFRO', '0', '596', '0', '7');
INSERT INTO public.who_import VALUES (18589, '2020-11-26', 'KM', 'Comoros', 'AFRO', '11', '607', '0', '7');
INSERT INTO public.who_import VALUES (18590, '2020-11-27', 'KM', 'Comoros', 'AFRO', '0', '607', '0', '7');
INSERT INTO public.who_import VALUES (18591, '2020-11-28', 'KM', 'Comoros', 'AFRO', '3', '610', '0', '7');
INSERT INTO public.who_import VALUES (18592, '2020-11-29', 'KM', 'Comoros', 'AFRO', '0', '610', '0', '7');
INSERT INTO public.who_import VALUES (18593, '2020-11-30', 'KM', 'Comoros', 'AFRO', '0', '610', '0', '7');
INSERT INTO public.who_import VALUES (18594, '2020-12-01', 'KM', 'Comoros', 'AFRO', '1', '611', '0', '7');
INSERT INTO public.who_import VALUES (18595, '2020-12-02', 'KM', 'Comoros', 'AFRO', '0', '611', '0', '7');
INSERT INTO public.who_import VALUES (18596, '2020-12-03', 'KM', 'Comoros', 'AFRO', '2', '613', '0', '7');
INSERT INTO public.who_import VALUES (18597, '2020-12-04', 'KM', 'Comoros', 'AFRO', '2', '615', '0', '7');
INSERT INTO public.who_import VALUES (18598, '2020-12-05', 'KM', 'Comoros', 'AFRO', '0', '615', '0', '7');
INSERT INTO public.who_import VALUES (18599, '2020-12-06', 'KM', 'Comoros', 'AFRO', '0', '615', '0', '7');
INSERT INTO public.who_import VALUES (18600, '2020-12-07', 'KM', 'Comoros', 'AFRO', '0', '615', '0', '7');
INSERT INTO public.who_import VALUES (18601, '2020-12-08', 'KM', 'Comoros', 'AFRO', '1', '616', '0', '7');
INSERT INTO public.who_import VALUES (18602, '2020-12-09', 'KM', 'Comoros', 'AFRO', '0', '616', '0', '7');
INSERT INTO public.who_import VALUES (18603, '2020-12-10', 'KM', 'Comoros', 'AFRO', '0', '616', '0', '7');
INSERT INTO public.who_import VALUES (18604, '2020-12-11', 'KM', 'Comoros', 'AFRO', '0', '616', '0', '7');
INSERT INTO public.who_import VALUES (18605, '2020-12-12', 'KM', 'Comoros', 'AFRO', '8', '624', '0', '7');
INSERT INTO public.who_import VALUES (18606, '2020-12-13', 'KM', 'Comoros', 'AFRO', '0', '624', '0', '7');
INSERT INTO public.who_import VALUES (18607, '2020-12-14', 'KM', 'Comoros', 'AFRO', '0', '624', '0', '7');
INSERT INTO public.who_import VALUES (18608, '2020-12-15', 'KM', 'Comoros', 'AFRO', '5', '629', '0', '7');
INSERT INTO public.who_import VALUES (18609, '2020-12-16', 'KM', 'Comoros', 'AFRO', '-1', '628', '0', '7');
INSERT INTO public.who_import VALUES (18610, '2020-12-17', 'KM', 'Comoros', 'AFRO', '5', '633', '0', '7');
INSERT INTO public.who_import VALUES (18611, '2020-12-18', 'KM', 'Comoros', 'AFRO', '0', '633', '0', '7');
INSERT INTO public.who_import VALUES (18612, '2020-12-19', 'KM', 'Comoros', 'AFRO', '10', '643', '0', '7');
INSERT INTO public.who_import VALUES (18613, '2020-12-20', 'KM', 'Comoros', 'AFRO', '0', '643', '0', '7');
INSERT INTO public.who_import VALUES (18614, '2020-12-21', 'KM', 'Comoros', 'AFRO', '0', '643', '0', '7');
INSERT INTO public.who_import VALUES (18615, '2020-12-22', 'KM', 'Comoros', 'AFRO', '23', '666', '0', '7');
INSERT INTO public.who_import VALUES (18616, '2020-12-23', 'KM', 'Comoros', 'AFRO', '0', '666', '0', '7');
INSERT INTO public.who_import VALUES (18617, '2020-12-24', 'KM', 'Comoros', 'AFRO', '0', '666', '0', '7');
INSERT INTO public.who_import VALUES (18618, '2020-12-25', 'KM', 'Comoros', 'AFRO', '17', '683', '0', '7');
INSERT INTO public.who_import VALUES (18619, '2020-12-26', 'KM', 'Comoros', 'AFRO', '32', '715', '0', '7');
INSERT INTO public.who_import VALUES (18620, '2020-12-27', 'KM', 'Comoros', 'AFRO', '0', '715', '0', '7');
INSERT INTO public.who_import VALUES (18621, '2020-12-28', 'KM', 'Comoros', 'AFRO', '0', '715', '0', '7');
INSERT INTO public.who_import VALUES (18622, '2020-12-29', 'KM', 'Comoros', 'AFRO', '16', '731', '0', '7');
INSERT INTO public.who_import VALUES (18623, '2020-12-30', 'KM', 'Comoros', 'AFRO', '0', '731', '0', '7');
INSERT INTO public.who_import VALUES (18624, '2020-12-31', 'KM', 'Comoros', 'AFRO', '34', '765', '2', '9');
INSERT INTO public.who_import VALUES (18625, '2021-01-01', 'KM', 'Comoros', 'AFRO', '0', '765', '0', '9');
INSERT INTO public.who_import VALUES (18626, '2021-01-02', 'KM', 'Comoros', 'AFRO', '0', '765', '0', '9');
INSERT INTO public.who_import VALUES (18627, '2021-01-03', 'KM', 'Comoros', 'AFRO', '99', '864', '4', '13');
INSERT INTO public.who_import VALUES (18628, '2021-01-04', 'KM', 'Comoros', 'AFRO', '0', '864', '0', '13');
INSERT INTO public.who_import VALUES (18629, '2021-01-05', 'KM', 'Comoros', 'AFRO', '0', '864', '0', '13');
INSERT INTO public.who_import VALUES (18630, '2021-01-06', 'KM', 'Comoros', 'AFRO', '0', '864', '0', '13');
INSERT INTO public.who_import VALUES (18631, '2021-01-07', 'KM', 'Comoros', 'AFRO', '0', '864', '0', '13');
INSERT INTO public.who_import VALUES (18632, '2021-01-08', 'KM', 'Comoros', 'AFRO', '0', '864', '0', '13');
INSERT INTO public.who_import VALUES (18633, '2021-01-09', 'KM', 'Comoros', 'AFRO', '0', '864', '0', '13');
INSERT INTO public.who_import VALUES (18634, '2021-01-10', 'KM', 'Comoros', 'AFRO', '286', '1150', '5', '18');
INSERT INTO public.who_import VALUES (18635, '2021-01-11', 'KM', 'Comoros', 'AFRO', '34', '1184', '7', '25');
INSERT INTO public.who_import VALUES (18636, '2021-01-12', 'KM', 'Comoros', 'AFRO', '0', '1184', '0', '25');
INSERT INTO public.who_import VALUES (18637, '2021-01-13', 'KM', 'Comoros', 'AFRO', '104', '1288', '5', '30');
INSERT INTO public.who_import VALUES (18638, '2021-01-14', 'KM', 'Comoros', 'AFRO', '53', '1341', '3', '33');
INSERT INTO public.who_import VALUES (18639, '2021-01-15', 'KM', 'Comoros', 'AFRO', '62', '1403', '5', '38');
INSERT INTO public.who_import VALUES (18640, '2021-01-16', 'KM', 'Comoros', 'AFRO', '66', '1469', '0', '38');
INSERT INTO public.who_import VALUES (18641, '2021-01-17', 'KM', 'Comoros', 'AFRO', '108', '1577', '3', '41');
INSERT INTO public.who_import VALUES (18642, '2021-01-18', 'KM', 'Comoros', 'AFRO', '15', '1592', '4', '45');
INSERT INTO public.who_import VALUES (18643, '2021-01-19', 'KM', 'Comoros', 'AFRO', '177', '1769', '4', '49');
INSERT INTO public.who_import VALUES (18644, '2021-01-20', 'KM', 'Comoros', 'AFRO', '95', '1864', '2', '51');
INSERT INTO public.who_import VALUES (18645, '2021-01-21', 'KM', 'Comoros', 'AFRO', '69', '1933', '3', '54');
INSERT INTO public.who_import VALUES (18646, '2021-01-22', 'KM', 'Comoros', 'AFRO', '149', '2082', '8', '62');
INSERT INTO public.who_import VALUES (18647, '2021-01-23', 'KM', 'Comoros', 'AFRO', '78', '2160', '1', '63');
INSERT INTO public.who_import VALUES (18648, '2021-01-24', 'KM', 'Comoros', 'AFRO', '100', '2260', '7', '70');
INSERT INTO public.who_import VALUES (18649, '2021-01-25', 'KM', 'Comoros', 'AFRO', '8', '2268', '1', '71');
INSERT INTO public.who_import VALUES (18650, '2021-01-26', 'KM', 'Comoros', 'AFRO', '82', '2350', '5', '76');
INSERT INTO public.who_import VALUES (18651, '2021-01-27', 'KM', 'Comoros', 'AFRO', '75', '2425', '1', '77');
INSERT INTO public.who_import VALUES (18652, '2021-01-28', 'KM', 'Comoros', 'AFRO', '67', '2492', '4', '81');
INSERT INTO public.who_import VALUES (18653, '2021-01-29', 'KM', 'Comoros', 'AFRO', '106', '2598', '4', '85');
INSERT INTO public.who_import VALUES (18654, '2021-01-30', 'KM', 'Comoros', 'AFRO', '48', '2646', '4', '89');
INSERT INTO public.who_import VALUES (18655, '2021-01-31', 'KM', 'Comoros', 'AFRO', '72', '2718', '1', '90');
INSERT INTO public.who_import VALUES (18656, '2021-02-01', 'KM', 'Comoros', 'AFRO', '8', '2726', '3', '93');
INSERT INTO public.who_import VALUES (18657, '2021-02-02', 'KM', 'Comoros', 'AFRO', '85', '2811', '5', '98');
INSERT INTO public.who_import VALUES (18658, '2021-02-03', 'KM', 'Comoros', 'AFRO', '37', '2848', '2', '100');
INSERT INTO public.who_import VALUES (18659, '2021-02-04', 'KM', 'Comoros', 'AFRO', '44', '2892', '4', '104');
INSERT INTO public.who_import VALUES (18660, '2021-02-05', 'KM', 'Comoros', 'AFRO', '83', '2975', '1', '105');
INSERT INTO public.who_import VALUES (18661, '2021-02-06', 'KM', 'Comoros', 'AFRO', '26', '3001', '0', '105');
INSERT INTO public.who_import VALUES (18662, '2021-02-07', 'KM', 'Comoros', 'AFRO', '85', '3086', '3', '108');
INSERT INTO public.who_import VALUES (18663, '2021-02-08', 'KM', 'Comoros', 'AFRO', '2', '3088', '4', '112');
INSERT INTO public.who_import VALUES (18664, '2021-02-09', 'KM', 'Comoros', 'AFRO', '65', '3153', '3', '115');
INSERT INTO public.who_import VALUES (18665, '2021-02-10', 'KM', 'Comoros', 'AFRO', '26', '3179', '3', '118');
INSERT INTO public.who_import VALUES (18666, '2021-02-11', 'KM', 'Comoros', 'AFRO', '30', '3209', '2', '120');
INSERT INTO public.who_import VALUES (18667, '2021-02-12', 'KM', 'Comoros', 'AFRO', '67', '3276', '2', '122');
INSERT INTO public.who_import VALUES (18668, '2021-02-13', 'KM', 'Comoros', 'AFRO', '14', '3290', '3', '125');
INSERT INTO public.who_import VALUES (18669, '2021-02-14', 'KM', 'Comoros', 'AFRO', '42', '3332', '3', '128');
INSERT INTO public.who_import VALUES (18670, '2021-02-15', 'KM', 'Comoros', 'AFRO', '2', '3334', '0', '128');
INSERT INTO public.who_import VALUES (18671, '2021-02-16', 'KM', 'Comoros', 'AFRO', '24', '3358', '3', '131');
INSERT INTO public.who_import VALUES (18672, '2021-02-17', 'KM', 'Comoros', 'AFRO', '35', '3393', '2', '133');
INSERT INTO public.who_import VALUES (18673, '2021-02-18', 'KM', 'Comoros', 'AFRO', '20', '3413', '2', '135');
INSERT INTO public.who_import VALUES (18674, '2021-02-19', 'KM', 'Comoros', 'AFRO', '45', '3458', '3', '138');
INSERT INTO public.who_import VALUES (18675, '2021-02-20', 'KM', 'Comoros', 'AFRO', '15', '3473', '4', '142');
INSERT INTO public.who_import VALUES (18676, '2020-01-03', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18677, '2020-01-04', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18678, '2020-01-05', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18679, '2020-01-06', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18680, '2020-01-07', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18681, '2020-01-08', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18682, '2020-01-09', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18683, '2020-01-10', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18684, '2020-01-11', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18685, '2020-01-12', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18686, '2020-01-13', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18687, '2020-01-14', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18688, '2020-01-15', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18689, '2020-01-16', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18690, '2020-01-17', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18691, '2020-01-18', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18692, '2020-01-19', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18693, '2020-01-20', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18694, '2020-01-21', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18695, '2020-01-22', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18696, '2020-01-23', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18697, '2020-01-24', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18698, '2020-01-25', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18699, '2020-01-26', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18700, '2020-01-27', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18701, '2020-01-28', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18702, '2020-01-29', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18703, '2020-01-30', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18704, '2020-01-31', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18705, '2020-02-01', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18706, '2020-02-02', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18707, '2020-02-03', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18708, '2020-02-04', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18709, '2020-02-05', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18710, '2020-02-06', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18711, '2020-02-07', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18712, '2020-02-08', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18713, '2020-02-09', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18714, '2020-02-10', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18715, '2020-02-11', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18716, '2020-02-12', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18717, '2020-02-13', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18718, '2020-02-14', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18719, '2020-02-15', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18720, '2020-02-16', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18721, '2020-02-17', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18722, '2020-02-18', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18723, '2020-02-19', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18724, '2020-02-20', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18725, '2020-02-21', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18726, '2020-02-22', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18727, '2020-02-23', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18728, '2020-02-24', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18729, '2020-02-25', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18730, '2020-02-26', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18731, '2020-02-27', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18732, '2020-02-28', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18733, '2020-02-29', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18734, '2020-03-01', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18735, '2020-03-02', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18736, '2020-03-03', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18737, '2020-03-04', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18738, '2020-03-05', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18739, '2020-03-06', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18740, '2020-03-07', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18741, '2020-03-08', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18742, '2020-03-09', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18743, '2020-03-10', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18744, '2020-03-11', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18745, '2020-03-12', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18746, '2020-03-13', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18747, '2020-03-14', 'CG', 'Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (18748, '2020-03-15', 'CG', 'Congo', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (18749, '2020-03-16', 'CG', 'Congo', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (18750, '2020-03-17', 'CG', 'Congo', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (18751, '2020-03-18', 'CG', 'Congo', 'AFRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (18752, '2020-03-19', 'CG', 'Congo', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (18753, '2020-03-20', 'CG', 'Congo', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (18754, '2020-03-21', 'CG', 'Congo', 'AFRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (18755, '2020-03-22', 'CG', 'Congo', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (18756, '2020-03-23', 'CG', 'Congo', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (18757, '2020-03-24', 'CG', 'Congo', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (18758, '2020-03-25', 'CG', 'Congo', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (18759, '2020-03-26', 'CG', 'Congo', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (18760, '2020-03-27', 'CG', 'Congo', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (18761, '2020-03-28', 'CG', 'Congo', 'AFRO', '15', '19', '0', '0');
INSERT INTO public.who_import VALUES (18762, '2020-03-29', 'CG', 'Congo', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (18763, '2020-03-30', 'CG', 'Congo', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (18764, '2020-03-31', 'CG', 'Congo', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (18765, '2020-04-01', 'CG', 'Congo', 'AFRO', '3', '22', '2', '2');
INSERT INTO public.who_import VALUES (18766, '2020-04-02', 'CG', 'Congo', 'AFRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (18767, '2020-04-03', 'CG', 'Congo', 'AFRO', '19', '41', '0', '2');
INSERT INTO public.who_import VALUES (18768, '2020-04-04', 'CG', 'Congo', 'AFRO', '0', '41', '1', '3');
INSERT INTO public.who_import VALUES (18769, '2020-04-05', 'CG', 'Congo', 'AFRO', '4', '45', '2', '5');
INSERT INTO public.who_import VALUES (18770, '2020-04-06', 'CG', 'Congo', 'AFRO', '0', '45', '0', '5');
INSERT INTO public.who_import VALUES (18771, '2020-04-07', 'CG', 'Congo', 'AFRO', '0', '45', '0', '5');
INSERT INTO public.who_import VALUES (18772, '2020-04-08', 'CG', 'Congo', 'AFRO', '4', '49', '0', '5');
INSERT INTO public.who_import VALUES (18773, '2020-04-09', 'CG', 'Congo', 'AFRO', '11', '60', '0', '5');
INSERT INTO public.who_import VALUES (18774, '2020-04-10', 'CG', 'Congo', 'AFRO', '0', '60', '0', '5');
INSERT INTO public.who_import VALUES (18775, '2020-04-11', 'CG', 'Congo', 'AFRO', '0', '60', '0', '5');
INSERT INTO public.who_import VALUES (18776, '2020-04-12', 'CG', 'Congo', 'AFRO', '0', '60', '0', '5');
INSERT INTO public.who_import VALUES (18777, '2020-04-13', 'CG', 'Congo', 'AFRO', '10', '70', '0', '5');
INSERT INTO public.who_import VALUES (18778, '2020-04-14', 'CG', 'Congo', 'AFRO', '4', '74', '0', '5');
INSERT INTO public.who_import VALUES (18779, '2020-04-15', 'CG', 'Congo', 'AFRO', '0', '74', '0', '5');
INSERT INTO public.who_import VALUES (18780, '2020-04-16', 'CG', 'Congo', 'AFRO', '43', '117', '0', '5');
INSERT INTO public.who_import VALUES (18781, '2020-04-17', 'CG', 'Congo', 'AFRO', '0', '117', '0', '5');
INSERT INTO public.who_import VALUES (18782, '2020-04-18', 'CG', 'Congo', 'AFRO', '26', '143', '1', '6');
INSERT INTO public.who_import VALUES (18783, '2020-04-19', 'CG', 'Congo', 'AFRO', '0', '143', '0', '6');
INSERT INTO public.who_import VALUES (18784, '2020-04-20', 'CG', 'Congo', 'AFRO', '0', '143', '0', '6');
INSERT INTO public.who_import VALUES (18785, '2020-04-21', 'CG', 'Congo', 'AFRO', '17', '160', '0', '6');
INSERT INTO public.who_import VALUES (18786, '2020-04-22', 'CG', 'Congo', 'AFRO', '5', '165', '0', '6');
INSERT INTO public.who_import VALUES (18787, '2020-04-23', 'CG', 'Congo', 'AFRO', '21', '186', '0', '6');
INSERT INTO public.who_import VALUES (18788, '2020-04-24', 'CG', 'Congo', 'AFRO', '0', '186', '0', '6');
INSERT INTO public.who_import VALUES (18789, '2020-04-25', 'CG', 'Congo', 'AFRO', '14', '200', '0', '6');
INSERT INTO public.who_import VALUES (18790, '2020-04-26', 'CG', 'Congo', 'AFRO', '0', '200', '2', '8');
INSERT INTO public.who_import VALUES (18791, '2020-04-27', 'CG', 'Congo', 'AFRO', '0', '200', '0', '8');
INSERT INTO public.who_import VALUES (18792, '2020-04-28', 'CG', 'Congo', 'AFRO', '7', '207', '0', '8');
INSERT INTO public.who_import VALUES (18793, '2020-04-29', 'CG', 'Congo', 'AFRO', '0', '207', '0', '8');
INSERT INTO public.who_import VALUES (18794, '2020-04-30', 'CG', 'Congo', 'AFRO', '13', '220', '1', '9');
INSERT INTO public.who_import VALUES (18795, '2020-05-01', 'CG', 'Congo', 'AFRO', '0', '220', '0', '9');
INSERT INTO public.who_import VALUES (18796, '2020-05-02', 'CG', 'Congo', 'AFRO', '9', '229', '1', '10');
INSERT INTO public.who_import VALUES (18797, '2020-05-03', 'CG', 'Congo', 'AFRO', '0', '229', '0', '10');
INSERT INTO public.who_import VALUES (18798, '2020-05-04', 'CG', 'Congo', 'AFRO', '0', '229', '0', '10');
INSERT INTO public.who_import VALUES (18799, '2020-05-05', 'CG', 'Congo', 'AFRO', '7', '236', '0', '10');
INSERT INTO public.who_import VALUES (18800, '2020-05-06', 'CG', 'Congo', 'AFRO', '0', '236', '0', '10');
INSERT INTO public.who_import VALUES (18801, '2020-05-07', 'CG', 'Congo', 'AFRO', '28', '264', '0', '10');
INSERT INTO public.who_import VALUES (18802, '2020-05-08', 'CG', 'Congo', 'AFRO', '10', '274', '0', '10');
INSERT INTO public.who_import VALUES (18803, '2020-05-09', 'CG', 'Congo', 'AFRO', '13', '287', '0', '10');
INSERT INTO public.who_import VALUES (18804, '2020-05-10', 'CG', 'Congo', 'AFRO', '0', '287', '0', '10');
INSERT INTO public.who_import VALUES (18805, '2020-05-11', 'CG', 'Congo', 'AFRO', '0', '287', '0', '10');
INSERT INTO public.who_import VALUES (18806, '2020-05-12', 'CG', 'Congo', 'AFRO', '46', '333', '1', '11');
INSERT INTO public.who_import VALUES (18807, '2020-05-13', 'CG', 'Congo', 'AFRO', '0', '333', '0', '11');
INSERT INTO public.who_import VALUES (18808, '2020-05-14', 'CG', 'Congo', 'AFRO', '8', '341', '0', '11');
INSERT INTO public.who_import VALUES (18809, '2020-05-15', 'CG', 'Congo', 'AFRO', '50', '391', '4', '15');
INSERT INTO public.who_import VALUES (18810, '2020-05-16', 'CG', 'Congo', 'AFRO', '0', '391', '0', '15');
INSERT INTO public.who_import VALUES (18811, '2020-05-17', 'CG', 'Congo', 'AFRO', '0', '391', '0', '15');
INSERT INTO public.who_import VALUES (18812, '2020-05-18', 'CG', 'Congo', 'AFRO', '19', '410', '0', '15');
INSERT INTO public.who_import VALUES (18813, '2020-05-19', 'CG', 'Congo', 'AFRO', '4', '414', '0', '15');
INSERT INTO public.who_import VALUES (18814, '2020-05-20', 'CG', 'Congo', 'AFRO', '6', '420', '0', '15');
INSERT INTO public.who_import VALUES (18815, '2020-05-21', 'CG', 'Congo', 'AFRO', '0', '420', '0', '15');
INSERT INTO public.who_import VALUES (18816, '2020-05-22', 'CG', 'Congo', 'AFRO', '49', '469', '1', '16');
INSERT INTO public.who_import VALUES (18817, '2020-05-23', 'CG', 'Congo', 'AFRO', '0', '469', '0', '16');
INSERT INTO public.who_import VALUES (18818, '2020-05-24', 'CG', 'Congo', 'AFRO', '18', '487', '0', '16');
INSERT INTO public.who_import VALUES (18819, '2020-05-25', 'CG', 'Congo', 'AFRO', '0', '487', '0', '16');
INSERT INTO public.who_import VALUES (18820, '2020-05-26', 'CG', 'Congo', 'AFRO', '44', '531', '1', '17');
INSERT INTO public.who_import VALUES (18821, '2020-05-27', 'CG', 'Congo', 'AFRO', '38', '569', '2', '19');
INSERT INTO public.who_import VALUES (18822, '2020-05-28', 'CG', 'Congo', 'AFRO', '2', '571', '0', '19');
INSERT INTO public.who_import VALUES (18823, '2020-05-29', 'CG', 'Congo', 'AFRO', '0', '571', '0', '19');
INSERT INTO public.who_import VALUES (18824, '2020-05-30', 'CG', 'Congo', 'AFRO', '16', '587', '0', '19');
INSERT INTO public.who_import VALUES (18825, '2020-05-31', 'CG', 'Congo', 'AFRO', '0', '587', '0', '19');
INSERT INTO public.who_import VALUES (18826, '2020-06-01', 'CG', 'Congo', 'AFRO', '17', '604', '1', '20');
INSERT INTO public.who_import VALUES (18827, '2020-06-02', 'CG', 'Congo', 'AFRO', '7', '611', '0', '20');
INSERT INTO public.who_import VALUES (18828, '2020-06-03', 'CG', 'Congo', 'AFRO', '7', '618', '0', '20');
INSERT INTO public.who_import VALUES (18829, '2020-06-04', 'CG', 'Congo', 'AFRO', '14', '632', '0', '20');
INSERT INTO public.who_import VALUES (18830, '2020-06-05', 'CG', 'Congo', 'AFRO', '3', '635', '0', '20');
INSERT INTO public.who_import VALUES (18831, '2020-06-06', 'CG', 'Congo', 'AFRO', '4', '639', '0', '20');
INSERT INTO public.who_import VALUES (18832, '2020-06-07', 'CG', 'Congo', 'AFRO', '14', '653', '0', '20');
INSERT INTO public.who_import VALUES (18833, '2020-06-08', 'CG', 'Congo', 'AFRO', '30', '683', '2', '22');
INSERT INTO public.who_import VALUES (18834, '2020-06-09', 'CG', 'Congo', 'AFRO', '0', '683', '-2', '20');
INSERT INTO public.who_import VALUES (18835, '2020-06-10', 'CG', 'Congo', 'AFRO', '35', '718', '4', '24');
INSERT INTO public.who_import VALUES (18836, '2020-06-11', 'CG', 'Congo', 'AFRO', '10', '728', '0', '24');
INSERT INTO public.who_import VALUES (18837, '2020-06-12', 'CG', 'Congo', 'AFRO', '17', '745', '1', '25');
INSERT INTO public.who_import VALUES (18838, '2020-06-13', 'CG', 'Congo', 'AFRO', '0', '745', '0', '25');
INSERT INTO public.who_import VALUES (18839, '2020-06-14', 'CG', 'Congo', 'AFRO', '34', '779', '0', '25');
INSERT INTO public.who_import VALUES (18840, '2020-06-15', 'CG', 'Congo', 'AFRO', '0', '779', '0', '25');
INSERT INTO public.who_import VALUES (18841, '2020-06-16', 'CG', 'Congo', 'AFRO', '104', '883', '2', '27');
INSERT INTO public.who_import VALUES (18842, '2020-06-17', 'CG', 'Congo', 'AFRO', '0', '883', '0', '27');
INSERT INTO public.who_import VALUES (18843, '2020-06-18', 'CG', 'Congo', 'AFRO', '0', '883', '0', '27');
INSERT INTO public.who_import VALUES (18844, '2020-06-19', 'CG', 'Congo', 'AFRO', '0', '883', '0', '27');
INSERT INTO public.who_import VALUES (18845, '2020-06-20', 'CG', 'Congo', 'AFRO', '0', '883', '0', '27');
INSERT INTO public.who_import VALUES (18846, '2020-06-21', 'CG', 'Congo', 'AFRO', '0', '883', '0', '27');
INSERT INTO public.who_import VALUES (18847, '2020-06-22', 'CG', 'Congo', 'AFRO', '0', '883', '0', '27');
INSERT INTO public.who_import VALUES (18848, '2020-06-23', 'CG', 'Congo', 'AFRO', '204', '1087', '10', '37');
INSERT INTO public.who_import VALUES (18849, '2020-06-24', 'CG', 'Congo', 'AFRO', '54', '1141', '0', '37');
INSERT INTO public.who_import VALUES (18850, '2020-06-25', 'CG', 'Congo', 'AFRO', '0', '1141', '0', '37');
INSERT INTO public.who_import VALUES (18851, '2020-06-26', 'CG', 'Congo', 'AFRO', '63', '1204', '1', '38');
INSERT INTO public.who_import VALUES (18852, '2020-06-27', 'CG', 'Congo', 'AFRO', '0', '1204', '0', '38');
INSERT INTO public.who_import VALUES (18853, '2020-06-28', 'CG', 'Congo', 'AFRO', '41', '1245', '2', '40');
INSERT INTO public.who_import VALUES (18854, '2020-06-29', 'CG', 'Congo', 'AFRO', '0', '1245', '0', '40');
INSERT INTO public.who_import VALUES (18855, '2020-06-30', 'CG', 'Congo', 'AFRO', '0', '1245', '0', '40');
INSERT INTO public.who_import VALUES (18856, '2020-07-01', 'CG', 'Congo', 'AFRO', '84', '1329', '1', '41');
INSERT INTO public.who_import VALUES (18857, '2020-07-02', 'CG', 'Congo', 'AFRO', '114', '1443', '1', '42');
INSERT INTO public.who_import VALUES (18858, '2020-07-03', 'CG', 'Congo', 'AFRO', '0', '1443', '0', '42');
INSERT INTO public.who_import VALUES (18859, '2020-07-04', 'CG', 'Congo', 'AFRO', '114', '1557', '2', '44');
INSERT INTO public.who_import VALUES (18860, '2020-07-05', 'CG', 'Congo', 'AFRO', '0', '1557', '0', '44');
INSERT INTO public.who_import VALUES (18861, '2020-07-06', 'CG', 'Congo', 'AFRO', '0', '1557', '0', '44');
INSERT INTO public.who_import VALUES (18862, '2020-07-07', 'CG', 'Congo', 'AFRO', '0', '1557', '0', '44');
INSERT INTO public.who_import VALUES (18863, '2020-07-08', 'CG', 'Congo', 'AFRO', '200', '1757', '0', '44');
INSERT INTO public.who_import VALUES (18864, '2020-07-09', 'CG', 'Congo', 'AFRO', '64', '1821', '3', '47');
INSERT INTO public.who_import VALUES (18865, '2020-07-10', 'CG', 'Congo', 'AFRO', '207', '2028', '0', '47');
INSERT INTO public.who_import VALUES (18866, '2020-07-11', 'CG', 'Congo', 'AFRO', '0', '2028', '0', '47');
INSERT INTO public.who_import VALUES (18867, '2020-07-12', 'CG', 'Congo', 'AFRO', '75', '2103', '0', '47');
INSERT INTO public.who_import VALUES (18868, '2020-07-13', 'CG', 'Congo', 'AFRO', '0', '2103', '0', '47');
INSERT INTO public.who_import VALUES (18869, '2020-07-14', 'CG', 'Congo', 'AFRO', '119', '2222', '0', '47');
INSERT INTO public.who_import VALUES (18870, '2020-07-15', 'CG', 'Congo', 'AFRO', '136', '2358', '1', '48');
INSERT INTO public.who_import VALUES (18871, '2020-07-16', 'CG', 'Congo', 'AFRO', '0', '2358', '0', '48');
INSERT INTO public.who_import VALUES (18872, '2020-07-17', 'CG', 'Congo', 'AFRO', '0', '2358', '0', '48');
INSERT INTO public.who_import VALUES (18873, '2020-07-18', 'CG', 'Congo', 'AFRO', '275', '2633', '1', '49');
INSERT INTO public.who_import VALUES (18874, '2020-07-19', 'CG', 'Congo', 'AFRO', '0', '2633', '0', '49');
INSERT INTO public.who_import VALUES (18875, '2020-07-20', 'CG', 'Congo', 'AFRO', '0', '2633', '0', '49');
INSERT INTO public.who_import VALUES (18876, '2020-07-21', 'CG', 'Congo', 'AFRO', '218', '2851', '1', '50');
INSERT INTO public.who_import VALUES (18877, '2020-07-22', 'CG', 'Congo', 'AFRO', '0', '2851', '0', '50');
INSERT INTO public.who_import VALUES (18878, '2020-07-23', 'CG', 'Congo', 'AFRO', '83', '2934', '1', '51');
INSERT INTO public.who_import VALUES (18879, '2020-07-24', 'CG', 'Congo', 'AFRO', '0', '2934', '0', '51');
INSERT INTO public.who_import VALUES (18880, '2020-07-25', 'CG', 'Congo', 'AFRO', '104', '3038', '0', '51');
INSERT INTO public.who_import VALUES (18881, '2020-07-26', 'CG', 'Congo', 'AFRO', '0', '3038', '0', '51');
INSERT INTO public.who_import VALUES (18882, '2020-07-27', 'CG', 'Congo', 'AFRO', '121', '3159', '3', '54');
INSERT INTO public.who_import VALUES (18883, '2020-07-28', 'CG', 'Congo', 'AFRO', '0', '3159', '0', '54');
INSERT INTO public.who_import VALUES (18884, '2020-07-29', 'CG', 'Congo', 'AFRO', '41', '3200', '0', '54');
INSERT INTO public.who_import VALUES (18885, '2020-07-30', 'CG', 'Congo', 'AFRO', '0', '3200', '0', '54');
INSERT INTO public.who_import VALUES (18886, '2020-07-31', 'CG', 'Congo', 'AFRO', '176', '3376', '2', '56');
INSERT INTO public.who_import VALUES (18887, '2020-08-01', 'CG', 'Congo', 'AFRO', '0', '3376', '0', '56');
INSERT INTO public.who_import VALUES (18888, '2020-08-02', 'CG', 'Congo', 'AFRO', '11', '3387', '0', '56');
INSERT INTO public.who_import VALUES (18889, '2020-08-03', 'CG', 'Congo', 'AFRO', '0', '3387', '0', '56');
INSERT INTO public.who_import VALUES (18890, '2020-08-04', 'CG', 'Congo', 'AFRO', '0', '3387', '1', '57');
INSERT INTO public.who_import VALUES (18891, '2020-08-05', 'CG', 'Congo', 'AFRO', '159', '3546', '1', '58');
INSERT INTO public.who_import VALUES (18892, '2020-08-06', 'CG', 'Congo', 'AFRO', '0', '3546', '0', '58');
INSERT INTO public.who_import VALUES (18893, '2020-08-07', 'CG', 'Congo', 'AFRO', '91', '3637', '0', '58');
INSERT INTO public.who_import VALUES (18894, '2020-08-08', 'CG', 'Congo', 'AFRO', '27', '3664', '0', '58');
INSERT INTO public.who_import VALUES (18895, '2020-08-09', 'CG', 'Congo', 'AFRO', '0', '3664', '0', '58');
INSERT INTO public.who_import VALUES (18896, '2020-08-10', 'CG', 'Congo', 'AFRO', '0', '3664', '0', '58');
INSERT INTO public.who_import VALUES (18897, '2020-08-11', 'CG', 'Congo', 'AFRO', '81', '3745', '2', '60');
INSERT INTO public.who_import VALUES (18898, '2020-08-12', 'CG', 'Congo', 'AFRO', '0', '3745', '0', '60');
INSERT INTO public.who_import VALUES (18899, '2020-08-13', 'CG', 'Congo', 'AFRO', '0', '3745', '0', '60');
INSERT INTO public.who_import VALUES (18900, '2020-08-14', 'CG', 'Congo', 'AFRO', '0', '3745', '0', '60');
INSERT INTO public.who_import VALUES (18901, '2020-08-15', 'CG', 'Congo', 'AFRO', '0', '3745', '0', '60');
INSERT INTO public.who_import VALUES (18902, '2020-08-16', 'CG', 'Congo', 'AFRO', '86', '3831', '16', '76');
INSERT INTO public.who_import VALUES (18903, '2020-08-17', 'CG', 'Congo', 'AFRO', '0', '3831', '0', '76');
INSERT INTO public.who_import VALUES (18904, '2020-08-18', 'CG', 'Congo', 'AFRO', '0', '3831', '0', '76');
INSERT INTO public.who_import VALUES (18905, '2020-08-19', 'CG', 'Congo', 'AFRO', '19', '3850', '1', '77');
INSERT INTO public.who_import VALUES (18906, '2020-08-20', 'CG', 'Congo', 'AFRO', '0', '3850', '0', '77');
INSERT INTO public.who_import VALUES (18907, '2020-08-21', 'CG', 'Congo', 'AFRO', '0', '3850', '0', '77');
INSERT INTO public.who_import VALUES (18908, '2020-08-22', 'CG', 'Congo', 'AFRO', '0', '3850', '0', '77');
INSERT INTO public.who_import VALUES (18909, '2020-08-23', 'CG', 'Congo', 'AFRO', '0', '3850', '0', '77');
INSERT INTO public.who_import VALUES (18910, '2020-08-24', 'CG', 'Congo', 'AFRO', '0', '3850', '0', '77');
INSERT INTO public.who_import VALUES (18911, '2020-08-25', 'CG', 'Congo', 'AFRO', '129', '3979', '1', '78');
INSERT INTO public.who_import VALUES (18912, '2020-08-26', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18913, '2020-08-27', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18914, '2020-08-28', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18915, '2020-08-29', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18916, '2020-08-30', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18917, '2020-08-31', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18918, '2020-09-01', 'CG', 'Congo', 'AFRO', '0', '3979', '0', '78');
INSERT INTO public.who_import VALUES (18919, '2020-09-02', 'CG', 'Congo', 'AFRO', '649', '4628', '4', '82');
INSERT INTO public.who_import VALUES (18920, '2020-09-03', 'CG', 'Congo', 'AFRO', '0', '4628', '0', '82');
INSERT INTO public.who_import VALUES (18921, '2020-09-04', 'CG', 'Congo', 'AFRO', '0', '4628', '0', '82');
INSERT INTO public.who_import VALUES (18922, '2020-09-05', 'CG', 'Congo', 'AFRO', '0', '4628', '0', '82');
INSERT INTO public.who_import VALUES (18923, '2020-09-06', 'CG', 'Congo', 'AFRO', '0', '4628', '0', '82');
INSERT INTO public.who_import VALUES (18924, '2020-09-07', 'CG', 'Congo', 'AFRO', '239', '4867', '0', '82');
INSERT INTO public.who_import VALUES (18925, '2020-09-08', 'CG', 'Congo', 'AFRO', '24', '4891', '0', '82');
INSERT INTO public.who_import VALUES (18926, '2020-09-09', 'CG', 'Congo', 'AFRO', '0', '4891', '0', '82');
INSERT INTO public.who_import VALUES (18927, '2020-09-10', 'CG', 'Congo', 'AFRO', '0', '4891', '0', '82');
INSERT INTO public.who_import VALUES (18928, '2020-09-11', 'CG', 'Congo', 'AFRO', '22', '4913', '6', '88');
INSERT INTO public.who_import VALUES (18929, '2020-09-12', 'CG', 'Congo', 'AFRO', '0', '4913', '0', '88');
INSERT INTO public.who_import VALUES (18930, '2020-09-13', 'CG', 'Congo', 'AFRO', '21', '4934', '0', '88');
INSERT INTO public.who_import VALUES (18931, '2020-09-14', 'CG', 'Congo', 'AFRO', '0', '4934', '0', '88');
INSERT INTO public.who_import VALUES (18932, '2020-09-15', 'CG', 'Congo', 'AFRO', '0', '4934', '0', '88');
INSERT INTO public.who_import VALUES (18933, '2020-09-16', 'CG', 'Congo', 'AFRO', '0', '4934', '0', '88');
INSERT INTO public.who_import VALUES (18934, '2020-09-17', 'CG', 'Congo', 'AFRO', '46', '4980', '1', '89');
INSERT INTO public.who_import VALUES (18935, '2020-09-18', 'CG', 'Congo', 'AFRO', '0', '4980', '0', '89');
INSERT INTO public.who_import VALUES (18936, '2020-09-19', 'CG', 'Congo', 'AFRO', '6', '4986', '0', '89');
INSERT INTO public.who_import VALUES (18937, '2020-09-20', 'CG', 'Congo', 'AFRO', '0', '4986', '0', '89');
INSERT INTO public.who_import VALUES (18938, '2020-09-21', 'CG', 'Congo', 'AFRO', '16', '5002', '0', '89');
INSERT INTO public.who_import VALUES (18939, '2020-09-22', 'CG', 'Congo', 'AFRO', '0', '5002', '0', '89');
INSERT INTO public.who_import VALUES (18940, '2020-09-23', 'CG', 'Congo', 'AFRO', '3', '5005', '0', '89');
INSERT INTO public.who_import VALUES (18941, '2020-09-24', 'CG', 'Congo', 'AFRO', '0', '5005', '0', '89');
INSERT INTO public.who_import VALUES (18942, '2020-09-25', 'CG', 'Congo', 'AFRO', '0', '5005', '0', '89');
INSERT INTO public.who_import VALUES (18943, '2020-09-26', 'CG', 'Congo', 'AFRO', '0', '5005', '0', '89');
INSERT INTO public.who_import VALUES (18944, '2020-09-27', 'CG', 'Congo', 'AFRO', '3', '5008', '0', '89');
INSERT INTO public.who_import VALUES (18945, '2020-09-28', 'CG', 'Congo', 'AFRO', '0', '5008', '0', '89');
INSERT INTO public.who_import VALUES (18946, '2020-09-29', 'CG', 'Congo', 'AFRO', '0', '5008', '0', '89');
INSERT INTO public.who_import VALUES (18947, '2020-09-30', 'CG', 'Congo', 'AFRO', '81', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18948, '2020-10-01', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18949, '2020-10-02', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18950, '2020-10-03', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18951, '2020-10-04', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18952, '2020-10-05', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18953, '2020-10-06', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18954, '2020-10-07', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18955, '2020-10-08', 'CG', 'Congo', 'AFRO', '0', '5089', '0', '89');
INSERT INTO public.who_import VALUES (18956, '2020-10-09', 'CG', 'Congo', 'AFRO', '29', '5118', '1', '90');
INSERT INTO public.who_import VALUES (18957, '2020-10-10', 'CG', 'Congo', 'AFRO', '0', '5118', '0', '90');
INSERT INTO public.who_import VALUES (18958, '2020-10-11', 'CG', 'Congo', 'AFRO', '0', '5118', '0', '90');
INSERT INTO public.who_import VALUES (18959, '2020-10-12', 'CG', 'Congo', 'AFRO', '0', '5118', '0', '90');
INSERT INTO public.who_import VALUES (18960, '2020-10-13', 'CG', 'Congo', 'AFRO', '0', '5118', '0', '90');
INSERT INTO public.who_import VALUES (18961, '2020-10-14', 'CG', 'Congo', 'AFRO', '38', '5156', '2', '92');
INSERT INTO public.who_import VALUES (18962, '2020-10-15', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18963, '2020-10-16', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18964, '2020-10-17', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18965, '2020-10-18', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18966, '2020-10-19', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18967, '2020-10-20', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18968, '2020-10-21', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18969, '2020-10-22', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18970, '2020-10-23', 'CG', 'Congo', 'AFRO', '0', '5156', '0', '92');
INSERT INTO public.who_import VALUES (18971, '2020-10-24', 'CG', 'Congo', 'AFRO', '97', '5253', '0', '92');
INSERT INTO public.who_import VALUES (18972, '2020-10-25', 'CG', 'Congo', 'AFRO', '0', '5253', '0', '92');
INSERT INTO public.who_import VALUES (18973, '2020-10-26', 'CG', 'Congo', 'AFRO', '0', '5253', '0', '92');
INSERT INTO public.who_import VALUES (18974, '2020-10-27', 'CG', 'Congo', 'AFRO', '0', '5253', '0', '92');
INSERT INTO public.who_import VALUES (18975, '2020-10-28', 'CG', 'Congo', 'AFRO', '0', '5253', '0', '92');
INSERT INTO public.who_import VALUES (18976, '2020-10-29', 'CG', 'Congo', 'AFRO', '37', '5290', '0', '92');
INSERT INTO public.who_import VALUES (18977, '2020-10-30', 'CG', 'Congo', 'AFRO', '0', '5290', '0', '92');
INSERT INTO public.who_import VALUES (18978, '2020-10-31', 'CG', 'Congo', 'AFRO', '0', '5290', '0', '92');
INSERT INTO public.who_import VALUES (18979, '2020-11-01', 'CG', 'Congo', 'AFRO', '0', '5290', '0', '92');
INSERT INTO public.who_import VALUES (18980, '2020-11-02', 'CG', 'Congo', 'AFRO', '0', '5290', '0', '92');
INSERT INTO public.who_import VALUES (18981, '2020-11-03', 'CG', 'Congo', 'AFRO', '58', '5348', '0', '92');
INSERT INTO public.who_import VALUES (18982, '2020-11-04', 'CG', 'Congo', 'AFRO', '0', '5348', '0', '92');
INSERT INTO public.who_import VALUES (18983, '2020-11-05', 'CG', 'Congo', 'AFRO', '0', '5348', '0', '92');
INSERT INTO public.who_import VALUES (18984, '2020-11-06', 'CG', 'Congo', 'AFRO', '31', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18985, '2020-11-07', 'CG', 'Congo', 'AFRO', '0', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18986, '2020-11-08', 'CG', 'Congo', 'AFRO', '0', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18987, '2020-11-09', 'CG', 'Congo', 'AFRO', '0', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18988, '2020-11-10', 'CG', 'Congo', 'AFRO', '0', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18989, '2020-11-11', 'CG', 'Congo', 'AFRO', '0', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18990, '2020-11-12', 'CG', 'Congo', 'AFRO', '0', '5379', '0', '92');
INSERT INTO public.who_import VALUES (18991, '2020-11-13', 'CG', 'Congo', 'AFRO', '136', '5515', '0', '92');
INSERT INTO public.who_import VALUES (18992, '2020-11-14', 'CG', 'Congo', 'AFRO', '0', '5515', '0', '92');
INSERT INTO public.who_import VALUES (18993, '2020-11-15', 'CG', 'Congo', 'AFRO', '0', '5515', '0', '92');
INSERT INTO public.who_import VALUES (18994, '2020-11-16', 'CG', 'Congo', 'AFRO', '0', '5515', '0', '92');
INSERT INTO public.who_import VALUES (18995, '2020-11-17', 'CG', 'Congo', 'AFRO', '0', '5515', '0', '92');
INSERT INTO public.who_import VALUES (18996, '2020-11-18', 'CG', 'Congo', 'AFRO', '0', '5515', '0', '92');
INSERT INTO public.who_import VALUES (18997, '2020-11-19', 'CG', 'Congo', 'AFRO', '117', '5632', '1', '93');
INSERT INTO public.who_import VALUES (18998, '2020-11-20', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (18999, '2020-11-21', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (19000, '2020-11-22', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (19001, '2020-11-23', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (19002, '2020-11-24', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (19003, '2020-11-25', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (19004, '2020-11-26', 'CG', 'Congo', 'AFRO', '0', '5632', '0', '93');
INSERT INTO public.who_import VALUES (19005, '2020-11-27', 'CG', 'Congo', 'AFRO', '142', '5774', '1', '94');
INSERT INTO public.who_import VALUES (19006, '2020-11-28', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19007, '2020-11-29', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19008, '2020-11-30', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19009, '2020-12-01', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19010, '2020-12-02', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19011, '2020-12-03', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19012, '2020-12-04', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19013, '2020-12-05', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19014, '2020-12-06', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19015, '2020-12-07', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19016, '2020-12-08', 'CG', 'Congo', 'AFRO', '0', '5774', '0', '94');
INSERT INTO public.who_import VALUES (19017, '2020-12-09', 'CG', 'Congo', 'AFRO', '275', '6049', '5', '99');
INSERT INTO public.who_import VALUES (19018, '2020-12-10', 'CG', 'Congo', 'AFRO', '0', '6049', '0', '99');
INSERT INTO public.who_import VALUES (19019, '2020-12-11', 'CG', 'Congo', 'AFRO', '0', '6049', '0', '99');
INSERT INTO public.who_import VALUES (19020, '2020-12-12', 'CG', 'Congo', 'AFRO', '0', '6049', '0', '99');
INSERT INTO public.who_import VALUES (19021, '2020-12-13', 'CG', 'Congo', 'AFRO', '0', '6049', '0', '99');
INSERT INTO public.who_import VALUES (19022, '2020-12-14', 'CG', 'Congo', 'AFRO', '151', '6200', '1', '100');
INSERT INTO public.who_import VALUES (19023, '2020-12-15', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19024, '2020-12-16', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19025, '2020-12-17', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19026, '2020-12-18', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19027, '2020-12-19', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19028, '2020-12-20', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19029, '2020-12-21', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19030, '2020-12-22', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19031, '2020-12-23', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19032, '2020-12-24', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19033, '2020-12-25', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19034, '2020-12-26', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19035, '2020-12-27', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19036, '2020-12-28', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19037, '2020-12-29', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19038, '2020-12-30', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19039, '2020-12-31', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19040, '2021-01-01', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19041, '2021-01-02', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19042, '2021-01-03', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19043, '2021-01-04', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19044, '2021-01-05', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19045, '2021-01-06', 'CG', 'Congo', 'AFRO', '0', '6200', '0', '100');
INSERT INTO public.who_import VALUES (19046, '2021-01-07', 'CG', 'Congo', 'AFRO', '960', '7160', '0', '100');
INSERT INTO public.who_import VALUES (19047, '2021-01-08', 'CG', 'Congo', 'AFRO', '0', '7160', '0', '100');
INSERT INTO public.who_import VALUES (19048, '2021-01-09', 'CG', 'Congo', 'AFRO', '0', '7160', '0', '100');
INSERT INTO public.who_import VALUES (19049, '2021-01-10', 'CG', 'Congo', 'AFRO', '0', '7160', '0', '100');
INSERT INTO public.who_import VALUES (19050, '2021-01-11', 'CG', 'Congo', 'AFRO', '0', '7160', '0', '100');
INSERT INTO public.who_import VALUES (19051, '2021-01-12', 'CG', 'Congo', 'AFRO', '0', '7160', '12', '112');
INSERT INTO public.who_import VALUES (19052, '2021-01-13', 'CG', 'Congo', 'AFRO', '0', '7160', '0', '112');
INSERT INTO public.who_import VALUES (19053, '2021-01-14', 'CG', 'Congo', 'AFRO', '0', '7160', '0', '112');
INSERT INTO public.who_import VALUES (19054, '2021-01-15', 'CG', 'Congo', 'AFRO', '549', '7709', '2', '114');
INSERT INTO public.who_import VALUES (19055, '2021-01-16', 'CG', 'Congo', 'AFRO', '0', '7709', '0', '114');
INSERT INTO public.who_import VALUES (19056, '2021-01-17', 'CG', 'Congo', 'AFRO', '0', '7709', '0', '114');
INSERT INTO public.who_import VALUES (19057, '2021-01-18', 'CG', 'Congo', 'AFRO', '0', '7709', '0', '114');
INSERT INTO public.who_import VALUES (19058, '2021-01-19', 'CG', 'Congo', 'AFRO', '0', '7709', '0', '114');
INSERT INTO public.who_import VALUES (19059, '2021-01-20', 'CG', 'Congo', 'AFRO', '0', '7709', '0', '114');
INSERT INTO public.who_import VALUES (19060, '2021-01-21', 'CG', 'Congo', 'AFRO', '85', '7794', '3', '117');
INSERT INTO public.who_import VALUES (19061, '2021-01-22', 'CG', 'Congo', 'AFRO', '0', '7794', '0', '117');
INSERT INTO public.who_import VALUES (19062, '2021-01-23', 'CG', 'Congo', 'AFRO', '0', '7794', '0', '117');
INSERT INTO public.who_import VALUES (19063, '2021-01-24', 'CG', 'Congo', 'AFRO', '0', '7794', '0', '117');
INSERT INTO public.who_import VALUES (19064, '2021-01-25', 'CG', 'Congo', 'AFRO', '93', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19065, '2021-01-26', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19066, '2021-01-27', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19067, '2021-01-28', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19068, '2021-01-29', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19069, '2021-01-30', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19070, '2021-01-31', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19071, '2021-02-01', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19072, '2021-02-02', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19073, '2021-02-03', 'CG', 'Congo', 'AFRO', '0', '7887', '0', '117');
INSERT INTO public.who_import VALUES (19074, '2021-02-04', 'CG', 'Congo', 'AFRO', '173', '8060', '5', '122');
INSERT INTO public.who_import VALUES (19075, '2021-02-05', 'CG', 'Congo', 'AFRO', '0', '8060', '0', '122');
INSERT INTO public.who_import VALUES (19076, '2021-02-06', 'CG', 'Congo', 'AFRO', '0', '8060', '0', '122');
INSERT INTO public.who_import VALUES (19077, '2021-02-07', 'CG', 'Congo', 'AFRO', '0', '8060', '0', '122');
INSERT INTO public.who_import VALUES (19078, '2021-02-08', 'CG', 'Congo', 'AFRO', '0', '8060', '0', '122');
INSERT INTO public.who_import VALUES (19079, '2021-02-09', 'CG', 'Congo', 'AFRO', '0', '8060', '0', '122');
INSERT INTO public.who_import VALUES (19080, '2021-02-10', 'CG', 'Congo', 'AFRO', '294', '8354', '0', '122');
INSERT INTO public.who_import VALUES (19081, '2021-02-11', 'CG', 'Congo', 'AFRO', '0', '8354', '0', '122');
INSERT INTO public.who_import VALUES (19082, '2021-02-12', 'CG', 'Congo', 'AFRO', '65', '8419', '1', '123');
INSERT INTO public.who_import VALUES (19083, '2021-02-13', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19084, '2021-02-14', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19085, '2021-02-15', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19086, '2021-02-16', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19087, '2021-02-17', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19088, '2021-02-18', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19089, '2021-02-19', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19090, '2021-02-20', 'CG', 'Congo', 'AFRO', '0', '8419', '0', '123');
INSERT INTO public.who_import VALUES (19091, '2020-01-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19092, '2020-01-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19093, '2020-01-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19094, '2020-01-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19095, '2020-01-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19096, '2020-01-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19097, '2020-01-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19098, '2020-01-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19099, '2020-01-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19100, '2020-01-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19101, '2020-01-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19102, '2020-01-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19103, '2020-01-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19104, '2020-01-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19105, '2020-01-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19106, '2020-01-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19107, '2020-01-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19108, '2020-01-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19109, '2020-01-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19110, '2020-01-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19111, '2020-01-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19112, '2020-01-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19113, '2020-01-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19114, '2020-01-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19115, '2020-01-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19116, '2020-01-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19117, '2020-01-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19118, '2020-01-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19119, '2020-01-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19120, '2020-02-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19121, '2020-02-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19122, '2020-02-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19123, '2020-02-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19124, '2020-02-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19125, '2020-02-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19126, '2020-02-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19127, '2020-02-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19128, '2020-02-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19129, '2020-02-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19130, '2020-02-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19131, '2020-02-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19132, '2020-02-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19133, '2020-02-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19134, '2020-02-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19135, '2020-02-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19136, '2020-02-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19137, '2020-02-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19138, '2020-02-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19139, '2020-02-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19140, '2020-02-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19141, '2020-02-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19142, '2020-02-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19143, '2020-02-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19144, '2020-02-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19145, '2020-02-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19146, '2020-02-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19147, '2020-02-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19148, '2020-02-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19149, '2020-03-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19150, '2020-03-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19151, '2020-03-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19152, '2020-03-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19153, '2020-03-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19154, '2020-03-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19155, '2020-03-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19156, '2020-03-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19157, '2020-03-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19158, '2020-03-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19159, '2020-03-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19160, '2020-03-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19161, '2020-03-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19162, '2020-03-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19163, '2020-03-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19164, '2020-03-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19165, '2020-03-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19166, '2020-03-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19167, '2020-03-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19168, '2020-03-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19169, '2020-03-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19170, '2020-03-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19171, '2020-03-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19172, '2020-03-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19173, '2020-03-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19174, '2020-03-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19175, '2020-03-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19176, '2020-03-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19177, '2020-03-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19178, '2020-03-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19179, '2020-03-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19180, '2020-04-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19181, '2020-04-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19182, '2020-04-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19183, '2020-04-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19184, '2020-04-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19185, '2020-04-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19186, '2020-04-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19187, '2020-04-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19188, '2020-04-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19189, '2020-04-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19190, '2020-04-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19191, '2020-04-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19192, '2020-04-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19193, '2020-04-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19194, '2020-04-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19195, '2020-04-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19196, '2020-04-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19197, '2020-04-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19198, '2020-04-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19199, '2020-04-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19200, '2020-04-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19201, '2020-04-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19202, '2020-04-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19203, '2020-04-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19204, '2020-04-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19205, '2020-04-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19206, '2020-04-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19207, '2020-04-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19208, '2020-04-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19209, '2020-04-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19210, '2020-05-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19211, '2020-05-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19212, '2020-05-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19213, '2020-05-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19214, '2020-05-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19215, '2020-05-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19216, '2020-05-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19217, '2020-05-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19218, '2020-05-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19219, '2020-05-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19220, '2020-05-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19221, '2020-05-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19222, '2020-05-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19223, '2020-05-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19224, '2020-05-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19225, '2020-05-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19226, '2020-05-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19227, '2020-05-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19228, '2020-05-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19229, '2020-05-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19230, '2020-05-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19231, '2020-05-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19232, '2020-05-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19233, '2020-05-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19234, '2020-05-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19235, '2020-05-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19236, '2020-05-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19237, '2020-05-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19238, '2020-05-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19239, '2020-05-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19240, '2020-05-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19241, '2020-06-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19242, '2020-06-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19243, '2020-06-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19244, '2020-06-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19245, '2020-06-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19246, '2020-06-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19247, '2020-06-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19248, '2020-06-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19249, '2020-06-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19250, '2020-06-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19251, '2020-06-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19252, '2020-06-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19253, '2020-06-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19254, '2020-06-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19255, '2020-06-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19256, '2020-06-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19257, '2020-06-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19258, '2020-06-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19259, '2020-06-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19260, '2020-06-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19261, '2020-06-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19262, '2020-06-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19263, '2020-06-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19264, '2020-06-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19265, '2020-06-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19266, '2020-06-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19267, '2020-06-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19268, '2020-06-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19269, '2020-06-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19270, '2020-06-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19271, '2020-07-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19272, '2020-07-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19273, '2020-07-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19274, '2020-07-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19275, '2020-07-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19276, '2020-07-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19277, '2020-07-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19278, '2020-07-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19279, '2020-07-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19280, '2020-07-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19281, '2020-07-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19282, '2020-07-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19283, '2020-07-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19284, '2020-07-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19285, '2020-07-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19286, '2020-07-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19287, '2020-07-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19288, '2020-07-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19289, '2020-07-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19290, '2020-07-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19291, '2020-07-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19292, '2020-07-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19293, '2020-07-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19294, '2020-07-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19295, '2020-07-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19296, '2020-07-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19297, '2020-07-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19298, '2020-07-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19299, '2020-07-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19300, '2020-07-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19301, '2020-07-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19302, '2020-08-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19303, '2020-08-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19304, '2020-08-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19305, '2020-08-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19306, '2020-08-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19307, '2020-08-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19308, '2020-08-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19309, '2020-08-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19310, '2020-08-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19311, '2020-08-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19312, '2020-08-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19313, '2020-08-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19314, '2020-08-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19315, '2020-08-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19316, '2020-08-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19317, '2020-08-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19318, '2020-08-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19319, '2020-08-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19320, '2020-08-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19321, '2020-08-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19322, '2020-08-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19323, '2020-08-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19324, '2020-08-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19325, '2020-08-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19326, '2020-08-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19327, '2020-08-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19328, '2020-08-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19329, '2020-08-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19330, '2020-08-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19331, '2020-08-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19332, '2020-08-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19333, '2020-09-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19334, '2020-09-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19335, '2020-09-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19336, '2020-09-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19337, '2020-09-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19338, '2020-09-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19339, '2020-09-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19340, '2020-09-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19341, '2020-09-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19342, '2020-09-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19343, '2020-09-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19344, '2020-09-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19345, '2020-09-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19346, '2020-09-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19347, '2020-09-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19348, '2020-09-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19349, '2020-09-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19350, '2020-09-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19351, '2020-09-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19352, '2020-09-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19353, '2020-09-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19354, '2020-09-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19355, '2020-09-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19356, '2020-09-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19357, '2020-09-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19358, '2020-09-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19359, '2020-09-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19360, '2020-09-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19361, '2020-09-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19362, '2020-09-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19363, '2020-10-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19364, '2020-10-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19365, '2020-10-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19366, '2020-10-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19367, '2020-10-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19368, '2020-10-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19369, '2020-10-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19370, '2020-10-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19371, '2020-10-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19372, '2020-10-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19373, '2020-10-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19374, '2020-10-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19375, '2020-10-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19376, '2020-10-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19377, '2020-10-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19378, '2020-10-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19379, '2020-10-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19380, '2020-10-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19381, '2020-10-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19382, '2020-10-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19383, '2020-10-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19384, '2020-10-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19385, '2020-10-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19386, '2020-10-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19387, '2020-10-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19388, '2020-10-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19389, '2020-10-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19390, '2020-10-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19391, '2020-10-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19392, '2020-10-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19393, '2020-10-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19394, '2020-11-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19395, '2020-11-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19396, '2020-11-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19397, '2020-11-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19398, '2020-11-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19399, '2020-11-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19400, '2020-11-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19401, '2020-11-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19402, '2020-11-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19403, '2020-11-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19404, '2020-11-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19405, '2020-11-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19406, '2020-11-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19407, '2020-11-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19408, '2020-11-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19409, '2020-11-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19410, '2020-11-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19411, '2020-11-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19412, '2020-11-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19413, '2020-11-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19414, '2020-11-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19415, '2020-11-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19416, '2020-11-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19417, '2020-11-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19418, '2020-11-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19419, '2020-11-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19420, '2020-11-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19421, '2020-11-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19422, '2020-11-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19423, '2020-11-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19424, '2020-12-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19425, '2020-12-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19426, '2020-12-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19427, '2020-12-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19428, '2020-12-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19429, '2020-12-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19430, '2020-12-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19431, '2020-12-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19432, '2020-12-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19433, '2020-12-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19434, '2020-12-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19435, '2020-12-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19436, '2020-12-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19437, '2020-12-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19438, '2020-12-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19439, '2020-12-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19440, '2020-12-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19441, '2020-12-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19442, '2020-12-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19443, '2020-12-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19444, '2020-12-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19445, '2020-12-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19446, '2020-12-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19447, '2020-12-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19448, '2020-12-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19449, '2020-12-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19450, '2020-12-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19451, '2020-12-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19452, '2020-12-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19453, '2020-12-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19454, '2020-12-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19455, '2021-01-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19456, '2021-01-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19457, '2021-01-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19458, '2021-01-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19459, '2021-01-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19460, '2021-01-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19461, '2021-01-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19462, '2021-01-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19463, '2021-01-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19464, '2021-01-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19465, '2021-01-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19466, '2021-01-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19467, '2021-01-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19468, '2021-01-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19469, '2021-01-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19470, '2021-01-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19471, '2021-01-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19472, '2021-01-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19473, '2021-01-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19474, '2021-01-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19475, '2021-01-21', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19476, '2021-01-22', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19477, '2021-01-23', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19478, '2021-01-24', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19479, '2021-01-25', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19480, '2021-01-26', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19481, '2021-01-27', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19482, '2021-01-28', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19483, '2021-01-29', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19484, '2021-01-30', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19485, '2021-01-31', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19486, '2021-02-01', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19487, '2021-02-02', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19488, '2021-02-03', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19489, '2021-02-04', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19490, '2021-02-05', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19491, '2021-02-06', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19492, '2021-02-07', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19493, '2021-02-08', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19494, '2021-02-09', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19495, '2021-02-10', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19496, '2021-02-11', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19497, '2021-02-12', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19498, '2021-02-13', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19499, '2021-02-14', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19500, '2021-02-15', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19501, '2021-02-16', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19502, '2021-02-17', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19503, '2021-02-18', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19504, '2021-02-19', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19505, '2021-02-20', 'CK', 'Cook Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19506, '2020-01-03', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19507, '2020-01-04', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19508, '2020-01-05', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19509, '2020-01-06', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19510, '2020-01-07', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19511, '2020-01-08', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19512, '2020-01-09', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19513, '2020-01-10', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19514, '2020-01-11', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19515, '2020-01-12', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19516, '2020-01-13', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19517, '2020-01-14', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19518, '2020-01-15', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19519, '2020-01-16', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19520, '2020-01-17', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19521, '2020-01-18', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19522, '2020-01-19', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19523, '2020-01-20', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19524, '2020-01-21', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19525, '2020-01-22', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19526, '2020-01-23', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19527, '2020-01-24', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19528, '2020-01-25', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19529, '2020-01-26', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19530, '2020-01-27', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19531, '2020-01-28', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19532, '2020-01-29', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19533, '2020-01-30', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19534, '2020-01-31', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19535, '2020-02-01', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19536, '2020-02-02', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19537, '2020-02-03', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19538, '2020-02-04', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19539, '2020-02-05', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19540, '2020-02-06', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19541, '2020-02-07', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19542, '2020-02-08', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19543, '2020-02-09', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19544, '2020-02-10', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19545, '2020-02-11', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19546, '2020-02-12', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19547, '2020-02-13', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19548, '2020-02-14', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19549, '2020-02-15', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19550, '2020-02-16', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19551, '2020-02-17', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19552, '2020-02-18', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19553, '2020-02-19', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19554, '2020-02-20', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19555, '2020-02-21', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19556, '2020-02-22', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19557, '2020-02-23', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19558, '2020-02-24', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19559, '2020-02-25', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19560, '2020-02-26', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19561, '2020-02-27', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19562, '2020-02-28', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19563, '2020-02-29', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19564, '2020-03-01', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19565, '2020-03-02', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19566, '2020-03-03', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19567, '2020-03-04', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19568, '2020-03-05', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19569, '2020-03-06', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19570, '2020-03-07', 'CR', 'Costa Rica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19571, '2020-03-08', 'CR', 'Costa Rica', 'AMRO', '9', '9', '0', '0');
INSERT INTO public.who_import VALUES (19572, '2020-03-09', 'CR', 'Costa Rica', 'AMRO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (19573, '2020-03-10', 'CR', 'Costa Rica', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (19574, '2020-03-11', 'CR', 'Costa Rica', 'AMRO', '4', '17', '0', '0');
INSERT INTO public.who_import VALUES (19575, '2020-03-12', 'CR', 'Costa Rica', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (19576, '2020-03-13', 'CR', 'Costa Rica', 'AMRO', '10', '27', '0', '0');
INSERT INTO public.who_import VALUES (19577, '2020-03-14', 'CR', 'Costa Rica', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (19578, '2020-03-15', 'CR', 'Costa Rica', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (19579, '2020-03-16', 'CR', 'Costa Rica', 'AMRO', '12', '39', '0', '0');
INSERT INTO public.who_import VALUES (19580, '2020-03-17', 'CR', 'Costa Rica', 'AMRO', '6', '45', '0', '0');
INSERT INTO public.who_import VALUES (19581, '2020-03-18', 'CR', 'Costa Rica', 'AMRO', '9', '54', '1', '1');
INSERT INTO public.who_import VALUES (19582, '2020-03-19', 'CR', 'Costa Rica', 'AMRO', '33', '87', '0', '1');
INSERT INTO public.who_import VALUES (19583, '2020-03-20', 'CR', 'Costa Rica', 'AMRO', '26', '113', '1', '2');
INSERT INTO public.who_import VALUES (19584, '2020-03-21', 'CR', 'Costa Rica', 'AMRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (19585, '2020-03-22', 'CR', 'Costa Rica', 'AMRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (19586, '2020-03-23', 'CR', 'Costa Rica', 'AMRO', '4', '117', '0', '2');
INSERT INTO public.who_import VALUES (19587, '2020-03-24', 'CR', 'Costa Rica', 'AMRO', '60', '177', '0', '2');
INSERT INTO public.who_import VALUES (19588, '2020-03-25', 'CR', 'Costa Rica', 'AMRO', '0', '177', '0', '2');
INSERT INTO public.who_import VALUES (19589, '2020-03-26', 'CR', 'Costa Rica', 'AMRO', '24', '201', '0', '2');
INSERT INTO public.who_import VALUES (19590, '2020-03-27', 'CR', 'Costa Rica', 'AMRO', '0', '201', '0', '2');
INSERT INTO public.who_import VALUES (19591, '2020-03-28', 'CR', 'Costa Rica', 'AMRO', '30', '231', '0', '2');
INSERT INTO public.who_import VALUES (19592, '2020-03-29', 'CR', 'Costa Rica', 'AMRO', '32', '263', '0', '2');
INSERT INTO public.who_import VALUES (19593, '2020-03-30', 'CR', 'Costa Rica', 'AMRO', '32', '295', '0', '2');
INSERT INTO public.who_import VALUES (19594, '2020-03-31', 'CR', 'Costa Rica', 'AMRO', '19', '314', '0', '2');
INSERT INTO public.who_import VALUES (19595, '2020-04-01', 'CR', 'Costa Rica', 'AMRO', '0', '314', '0', '2');
INSERT INTO public.who_import VALUES (19596, '2020-04-02', 'CR', 'Costa Rica', 'AMRO', '33', '347', '0', '2');
INSERT INTO public.who_import VALUES (19597, '2020-04-03', 'CR', 'Costa Rica', 'AMRO', '28', '375', '0', '2');
INSERT INTO public.who_import VALUES (19598, '2020-04-04', 'CR', 'Costa Rica', 'AMRO', '21', '396', '0', '2');
INSERT INTO public.who_import VALUES (19599, '2020-04-05', 'CR', 'Costa Rica', 'AMRO', '20', '416', '0', '2');
INSERT INTO public.who_import VALUES (19600, '2020-04-06', 'CR', 'Costa Rica', 'AMRO', '19', '435', '0', '2');
INSERT INTO public.who_import VALUES (19601, '2020-04-07', 'CR', 'Costa Rica', 'AMRO', '19', '454', '0', '2');
INSERT INTO public.who_import VALUES (19602, '2020-04-08', 'CR', 'Costa Rica', 'AMRO', '13', '467', '0', '2');
INSERT INTO public.who_import VALUES (19603, '2020-04-09', 'CR', 'Costa Rica', 'AMRO', '16', '483', '0', '2');
INSERT INTO public.who_import VALUES (19604, '2020-04-10', 'CR', 'Costa Rica', 'AMRO', '19', '502', '1', '3');
INSERT INTO public.who_import VALUES (19605, '2020-04-11', 'CR', 'Costa Rica', 'AMRO', '37', '539', '0', '3');
INSERT INTO public.who_import VALUES (19606, '2020-04-12', 'CR', 'Costa Rica', 'AMRO', '19', '558', '0', '3');
INSERT INTO public.who_import VALUES (19607, '2020-04-13', 'CR', 'Costa Rica', 'AMRO', '19', '577', '0', '3');
INSERT INTO public.who_import VALUES (19608, '2020-04-14', 'CR', 'Costa Rica', 'AMRO', '18', '595', '0', '3');
INSERT INTO public.who_import VALUES (19609, '2020-04-15', 'CR', 'Costa Rica', 'AMRO', '17', '612', '0', '3');
INSERT INTO public.who_import VALUES (19610, '2020-04-16', 'CR', 'Costa Rica', 'AMRO', '6', '618', '0', '3');
INSERT INTO public.who_import VALUES (19611, '2020-04-17', 'CR', 'Costa Rica', 'AMRO', '8', '626', '1', '4');
INSERT INTO public.who_import VALUES (19612, '2020-04-18', 'CR', 'Costa Rica', 'AMRO', '16', '642', '0', '4');
INSERT INTO public.who_import VALUES (19613, '2020-04-19', 'CR', 'Costa Rica', 'AMRO', '7', '649', '0', '4');
INSERT INTO public.who_import VALUES (19614, '2020-04-20', 'CR', 'Costa Rica', 'AMRO', '6', '655', '0', '4');
INSERT INTO public.who_import VALUES (19615, '2020-04-21', 'CR', 'Costa Rica', 'AMRO', '5', '660', '1', '5');
INSERT INTO public.who_import VALUES (19616, '2020-04-22', 'CR', 'Costa Rica', 'AMRO', '2', '662', '1', '6');
INSERT INTO public.who_import VALUES (19617, '2020-04-23', 'CR', 'Costa Rica', 'AMRO', '7', '669', '0', '6');
INSERT INTO public.who_import VALUES (19618, '2020-04-24', 'CR', 'Costa Rica', 'AMRO', '12', '681', '0', '6');
INSERT INTO public.who_import VALUES (19619, '2020-04-25', 'CR', 'Costa Rica', 'AMRO', '5', '686', '0', '6');
INSERT INTO public.who_import VALUES (19620, '2020-04-26', 'CR', 'Costa Rica', 'AMRO', '1', '687', '0', '6');
INSERT INTO public.who_import VALUES (19621, '2020-04-27', 'CR', 'Costa Rica', 'AMRO', '6', '693', '0', '6');
INSERT INTO public.who_import VALUES (19622, '2020-04-28', 'CR', 'Costa Rica', 'AMRO', '2', '695', '0', '6');
INSERT INTO public.who_import VALUES (19623, '2020-04-29', 'CR', 'Costa Rica', 'AMRO', '2', '697', '0', '6');
INSERT INTO public.who_import VALUES (19624, '2020-04-30', 'CR', 'Costa Rica', 'AMRO', '8', '705', '0', '6');
INSERT INTO public.who_import VALUES (19625, '2020-05-01', 'CR', 'Costa Rica', 'AMRO', '8', '713', '0', '6');
INSERT INTO public.who_import VALUES (19626, '2020-05-02', 'CR', 'Costa Rica', 'AMRO', '6', '719', '0', '6');
INSERT INTO public.who_import VALUES (19627, '2020-05-03', 'CR', 'Costa Rica', 'AMRO', '6', '725', '0', '6');
INSERT INTO public.who_import VALUES (19628, '2020-05-04', 'CR', 'Costa Rica', 'AMRO', '8', '733', '0', '6');
INSERT INTO public.who_import VALUES (19629, '2020-05-05', 'CR', 'Costa Rica', 'AMRO', '6', '739', '0', '6');
INSERT INTO public.who_import VALUES (19630, '2020-05-06', 'CR', 'Costa Rica', 'AMRO', '3', '742', '0', '6');
INSERT INTO public.who_import VALUES (19631, '2020-05-07', 'CR', 'Costa Rica', 'AMRO', '13', '755', '0', '6');
INSERT INTO public.who_import VALUES (19632, '2020-05-08', 'CR', 'Costa Rica', 'AMRO', '6', '761', '0', '6');
INSERT INTO public.who_import VALUES (19633, '2020-05-09', 'CR', 'Costa Rica', 'AMRO', '4', '765', '0', '6');
INSERT INTO public.who_import VALUES (19634, '2020-05-10', 'CR', 'Costa Rica', 'AMRO', '8', '773', '0', '6');
INSERT INTO public.who_import VALUES (19635, '2020-05-11', 'CR', 'Costa Rica', 'AMRO', '7', '780', '0', '6');
INSERT INTO public.who_import VALUES (19636, '2020-05-12', 'CR', 'Costa Rica', 'AMRO', '12', '792', '0', '6');
INSERT INTO public.who_import VALUES (19637, '2020-05-13', 'CR', 'Costa Rica', 'AMRO', '9', '801', '1', '7');
INSERT INTO public.who_import VALUES (19638, '2020-05-14', 'CR', 'Costa Rica', 'AMRO', '3', '804', '0', '7');
INSERT INTO public.who_import VALUES (19639, '2020-05-15', 'CR', 'Costa Rica', 'AMRO', '11', '815', '0', '7');
INSERT INTO public.who_import VALUES (19640, '2020-05-16', 'CR', 'Costa Rica', 'AMRO', '15', '830', '1', '8');
INSERT INTO public.who_import VALUES (19641, '2020-05-17', 'CR', 'Costa Rica', 'AMRO', '13', '843', '0', '8');
INSERT INTO public.who_import VALUES (19642, '2020-05-18', 'CR', 'Costa Rica', 'AMRO', '10', '853', '2', '10');
INSERT INTO public.who_import VALUES (19643, '2020-05-19', 'CR', 'Costa Rica', 'AMRO', '10', '863', '0', '10');
INSERT INTO public.who_import VALUES (19644, '2020-05-20', 'CR', 'Costa Rica', 'AMRO', '19', '882', '0', '10');
INSERT INTO public.who_import VALUES (19645, '2020-05-21', 'CR', 'Costa Rica', 'AMRO', '0', '882', '0', '10');
INSERT INTO public.who_import VALUES (19646, '2020-05-22', 'CR', 'Costa Rica', 'AMRO', '0', '882', '0', '10');
INSERT INTO public.who_import VALUES (19647, '2020-05-23', 'CR', 'Costa Rica', 'AMRO', '21', '903', '0', '10');
INSERT INTO public.who_import VALUES (19648, '2020-05-24', 'CR', 'Costa Rica', 'AMRO', '8', '911', '0', '10');
INSERT INTO public.who_import VALUES (19649, '2020-05-25', 'CR', 'Costa Rica', 'AMRO', '7', '918', '0', '10');
INSERT INTO public.who_import VALUES (19650, '2020-05-26', 'CR', 'Costa Rica', 'AMRO', '12', '930', '0', '10');
INSERT INTO public.who_import VALUES (19651, '2020-05-27', 'CR', 'Costa Rica', 'AMRO', '21', '951', '0', '10');
INSERT INTO public.who_import VALUES (19652, '2020-05-28', 'CR', 'Costa Rica', 'AMRO', '5', '956', '0', '10');
INSERT INTO public.who_import VALUES (19653, '2020-05-29', 'CR', 'Costa Rica', 'AMRO', '28', '984', '0', '10');
INSERT INTO public.who_import VALUES (19654, '2020-05-30', 'CR', 'Costa Rica', 'AMRO', '16', '1000', '0', '10');
INSERT INTO public.who_import VALUES (19655, '2020-05-31', 'CR', 'Costa Rica', 'AMRO', '22', '1022', '0', '10');
INSERT INTO public.who_import VALUES (19656, '2020-06-01', 'CR', 'Costa Rica', 'AMRO', '25', '1047', '0', '10');
INSERT INTO public.who_import VALUES (19657, '2020-06-02', 'CR', 'Costa Rica', 'AMRO', '9', '1056', '0', '10');
INSERT INTO public.who_import VALUES (19658, '2020-06-03', 'CR', 'Costa Rica', 'AMRO', '28', '1084', '0', '10');
INSERT INTO public.who_import VALUES (19659, '2020-06-04', 'CR', 'Costa Rica', 'AMRO', '21', '1105', '0', '10');
INSERT INTO public.who_import VALUES (19660, '2020-06-05', 'CR', 'Costa Rica', 'AMRO', '52', '1157', '0', '10');
INSERT INTO public.who_import VALUES (19661, '2020-06-06', 'CR', 'Costa Rica', 'AMRO', '37', '1194', '0', '10');
INSERT INTO public.who_import VALUES (19662, '2020-06-07', 'CR', 'Costa Rica', 'AMRO', '69', '1263', '0', '10');
INSERT INTO public.who_import VALUES (19663, '2020-06-08', 'CR', 'Costa Rica', 'AMRO', '0', '1263', '0', '10');
INSERT INTO public.who_import VALUES (19664, '2020-06-09', 'CR', 'Costa Rica', 'AMRO', '55', '1318', '0', '10');
INSERT INTO public.who_import VALUES (19665, '2020-06-10', 'CR', 'Costa Rica', 'AMRO', '24', '1342', '0', '10');
INSERT INTO public.who_import VALUES (19666, '2020-06-11', 'CR', 'Costa Rica', 'AMRO', '33', '1375', '1', '11');
INSERT INTO public.who_import VALUES (19667, '2020-06-12', 'CR', 'Costa Rica', 'AMRO', '86', '1461', '1', '12');
INSERT INTO public.who_import VALUES (19668, '2020-06-13', 'CR', 'Costa Rica', 'AMRO', '77', '1538', '0', '12');
INSERT INTO public.who_import VALUES (19669, '2020-06-14', 'CR', 'Costa Rica', 'AMRO', '74', '1612', '0', '12');
INSERT INTO public.who_import VALUES (19670, '2020-06-15', 'CR', 'Costa Rica', 'AMRO', '50', '1662', '0', '12');
INSERT INTO public.who_import VALUES (19671, '2020-06-16', 'CR', 'Costa Rica', 'AMRO', '53', '1715', '0', '12');
INSERT INTO public.who_import VALUES (19672, '2020-06-17', 'CR', 'Costa Rica', 'AMRO', '29', '1744', '0', '12');
INSERT INTO public.who_import VALUES (19673, '2020-06-18', 'CR', 'Costa Rica', 'AMRO', '52', '1796', '0', '12');
INSERT INTO public.who_import VALUES (19674, '2020-06-19', 'CR', 'Costa Rica', 'AMRO', '75', '1871', '0', '12');
INSERT INTO public.who_import VALUES (19675, '2020-06-20', 'CR', 'Costa Rica', 'AMRO', '68', '1939', '0', '12');
INSERT INTO public.who_import VALUES (19676, '2020-06-21', 'CR', 'Costa Rica', 'AMRO', '119', '2058', '0', '12');
INSERT INTO public.who_import VALUES (19677, '2020-06-22', 'CR', 'Costa Rica', 'AMRO', '69', '2127', '0', '12');
INSERT INTO public.who_import VALUES (19678, '2020-06-23', 'CR', 'Costa Rica', 'AMRO', '86', '2213', '0', '12');
INSERT INTO public.who_import VALUES (19679, '2020-06-24', 'CR', 'Costa Rica', 'AMRO', '64', '2277', '0', '12');
INSERT INTO public.who_import VALUES (19680, '2020-06-25', 'CR', 'Costa Rica', 'AMRO', '91', '2368', '0', '12');
INSERT INTO public.who_import VALUES (19681, '2020-06-26', 'CR', 'Costa Rica', 'AMRO', '147', '2515', '0', '12');
INSERT INTO public.who_import VALUES (19682, '2020-06-27', 'CR', 'Costa Rica', 'AMRO', '169', '2684', '0', '12');
INSERT INTO public.who_import VALUES (19683, '2020-06-28', 'CR', 'Costa Rica', 'AMRO', '152', '2836', '0', '12');
INSERT INTO public.who_import VALUES (19684, '2020-06-29', 'CR', 'Costa Rica', 'AMRO', '143', '2979', '1', '13');
INSERT INTO public.who_import VALUES (19685, '2020-06-30', 'CR', 'Costa Rica', 'AMRO', '151', '3130', '2', '15');
INSERT INTO public.who_import VALUES (19686, '2020-07-01', 'CR', 'Costa Rica', 'AMRO', '139', '3269', '0', '15');
INSERT INTO public.who_import VALUES (19687, '2020-07-02', 'CR', 'Costa Rica', 'AMRO', '190', '3459', '1', '16');
INSERT INTO public.who_import VALUES (19688, '2020-07-03', 'CR', 'Costa Rica', 'AMRO', '294', '3753', '0', '16');
INSERT INTO public.who_import VALUES (19689, '2020-07-04', 'CR', 'Costa Rica', 'AMRO', '270', '4023', '2', '18');
INSERT INTO public.who_import VALUES (19690, '2020-07-05', 'CR', 'Costa Rica', 'AMRO', '288', '4311', '0', '18');
INSERT INTO public.who_import VALUES (19691, '2020-07-06', 'CR', 'Costa Rica', 'AMRO', '310', '4621', '0', '18');
INSERT INTO public.who_import VALUES (19692, '2020-07-07', 'CR', 'Costa Rica', 'AMRO', '375', '4996', '1', '19');
INSERT INTO public.who_import VALUES (19693, '2020-07-08', 'CR', 'Costa Rica', 'AMRO', '245', '5241', '4', '23');
INSERT INTO public.who_import VALUES (19694, '2020-07-09', 'CR', 'Costa Rica', 'AMRO', '245', '5486', '0', '23');
INSERT INTO public.who_import VALUES (19695, '2020-07-10', 'CR', 'Costa Rica', 'AMRO', '350', '5836', '1', '24');
INSERT INTO public.who_import VALUES (19696, '2020-07-11', 'CR', 'Costa Rica', 'AMRO', '649', '6485', '2', '26');
INSERT INTO public.who_import VALUES (19697, '2020-07-12', 'CR', 'Costa Rica', 'AMRO', '360', '6845', '1', '27');
INSERT INTO public.who_import VALUES (19698, '2020-07-13', 'CR', 'Costa Rica', 'AMRO', '386', '7231', '1', '28');
INSERT INTO public.who_import VALUES (19699, '2020-07-14', 'CR', 'Costa Rica', 'AMRO', '365', '7596', '2', '30');
INSERT INTO public.who_import VALUES (19700, '2020-07-15', 'CR', 'Costa Rica', 'AMRO', '440', '8036', '1', '31');
INSERT INTO public.who_import VALUES (19701, '2020-07-16', 'CR', 'Costa Rica', 'AMRO', '446', '8482', '5', '36');
INSERT INTO public.who_import VALUES (19702, '2020-07-17', 'CR', 'Costa Rica', 'AMRO', '504', '8986', '4', '40');
INSERT INTO public.who_import VALUES (19703, '2020-07-18', 'CR', 'Costa Rica', 'AMRO', '560', '9546', '2', '42');
INSERT INTO public.who_import VALUES (19704, '2020-07-19', 'CR', 'Costa Rica', 'AMRO', '423', '9969', '5', '47');
INSERT INTO public.who_import VALUES (19705, '2020-07-20', 'CR', 'Costa Rica', 'AMRO', '582', '10551', '7', '54');
INSERT INTO public.who_import VALUES (19706, '2020-07-21', 'CR', 'Costa Rica', 'AMRO', '563', '11114', '8', '62');
INSERT INTO public.who_import VALUES (19707, '2020-07-22', 'CR', 'Costa Rica', 'AMRO', '420', '11534', '4', '66');
INSERT INTO public.who_import VALUES (19708, '2020-07-23', 'CR', 'Costa Rica', 'AMRO', '277', '11811', '2', '68');
INSERT INTO public.who_import VALUES (19709, '2020-07-24', 'CR', 'Costa Rica', 'AMRO', '550', '12361', '3', '71');
INSERT INTO public.who_import VALUES (19710, '2020-07-25', 'CR', 'Costa Rica', 'AMRO', '768', '13129', '9', '80');
INSERT INTO public.who_import VALUES (19711, '2020-07-26', 'CR', 'Costa Rica', 'AMRO', '540', '13669', '7', '87');
INSERT INTO public.who_import VALUES (19712, '2020-07-27', 'CR', 'Costa Rica', 'AMRO', '931', '14600', '11', '98');
INSERT INTO public.who_import VALUES (19713, '2020-07-28', 'CR', 'Costa Rica', 'AMRO', '629', '15229', '6', '104');
INSERT INTO public.who_import VALUES (19714, '2020-07-29', 'CR', 'Costa Rica', 'AMRO', '612', '15841', '11', '115');
INSERT INTO public.who_import VALUES (19715, '2020-07-30', 'CR', 'Costa Rica', 'AMRO', '503', '16344', '10', '125');
INSERT INTO public.who_import VALUES (19716, '2020-07-31', 'CR', 'Costa Rica', 'AMRO', '456', '16800', '8', '133');
INSERT INTO public.who_import VALUES (19717, '2020-08-01', 'CR', 'Costa Rica', 'AMRO', '490', '17290', '7', '140');
INSERT INTO public.who_import VALUES (19718, '2020-08-02', 'CR', 'Costa Rica', 'AMRO', '530', '17820', '10', '150');
INSERT INTO public.who_import VALUES (19719, '2020-08-03', 'CR', 'Costa Rica', 'AMRO', '367', '18187', '4', '154');
INSERT INTO public.who_import VALUES (19720, '2020-08-04', 'CR', 'Costa Rica', 'AMRO', '788', '18975', '8', '162');
INSERT INTO public.who_import VALUES (19721, '2020-08-05', 'CR', 'Costa Rica', 'AMRO', '427', '19402', '9', '171');
INSERT INTO public.who_import VALUES (19722, '2020-08-06', 'CR', 'Costa Rica', 'AMRO', '435', '19837', '10', '181');
INSERT INTO public.who_import VALUES (19723, '2020-08-07', 'CR', 'Costa Rica', 'AMRO', '580', '20417', '10', '191');
INSERT INTO public.who_import VALUES (19724, '2020-08-08', 'CR', 'Costa Rica', 'AMRO', '653', '21070', '9', '200');
INSERT INTO public.who_import VALUES (19725, '2020-08-09', 'CR', 'Costa Rica', 'AMRO', '1011', '22081', '18', '218');
INSERT INTO public.who_import VALUES (19726, '2020-08-10', 'CR', 'Costa Rica', 'AMRO', '721', '22802', '10', '228');
INSERT INTO public.who_import VALUES (19727, '2020-08-11', 'CR', 'Costa Rica', 'AMRO', '484', '23286', '7', '235');
INSERT INTO public.who_import VALUES (19728, '2020-08-12', 'CR', 'Costa Rica', 'AMRO', '586', '23872', '9', '244');
INSERT INTO public.who_import VALUES (19729, '2020-08-13', 'CR', 'Costa Rica', 'AMRO', '636', '24508', '11', '255');
INSERT INTO public.who_import VALUES (19730, '2020-08-14', 'CR', 'Costa Rica', 'AMRO', '549', '25057', '8', '263');
INSERT INTO public.who_import VALUES (19731, '2020-08-15', 'CR', 'Costa Rica', 'AMRO', '1072', '26129', '9', '272');
INSERT INTO public.who_import VALUES (19732, '2020-08-16', 'CR', 'Costa Rica', 'AMRO', '802', '26931', '9', '281');
INSERT INTO public.who_import VALUES (19733, '2020-08-17', 'CR', 'Costa Rica', 'AMRO', '806', '27737', '10', '291');
INSERT INTO public.who_import VALUES (19734, '2020-08-18', 'CR', 'Costa Rica', 'AMRO', '728', '28465', '3', '294');
INSERT INTO public.who_import VALUES (19735, '2020-08-19', 'CR', 'Costa Rica', 'AMRO', '619', '29084', '10', '304');
INSERT INTO public.who_import VALUES (19736, '2020-08-20', 'CR', 'Costa Rica', 'AMRO', '559', '29643', '10', '314');
INSERT INTO public.who_import VALUES (19737, '2020-08-21', 'CR', 'Costa Rica', 'AMRO', '766', '30409', '7', '321');
INSERT INTO public.who_import VALUES (19738, '2020-08-22', 'CR', 'Costa Rica', 'AMRO', '666', '31075', '12', '333');
INSERT INTO public.who_import VALUES (19739, '2020-08-23', 'CR', 'Costa Rica', 'AMRO', '1059', '32134', '7', '340');
INSERT INTO public.who_import VALUES (19740, '2020-08-24', 'CR', 'Costa Rica', 'AMRO', '950', '33084', '8', '348');
INSERT INTO public.who_import VALUES (19741, '2020-08-25', 'CR', 'Costa Rica', 'AMRO', '736', '33820', '7', '355');
INSERT INTO public.who_import VALUES (19742, '2020-08-26', 'CR', 'Costa Rica', 'AMRO', '643', '34463', '7', '362');
INSERT INTO public.who_import VALUES (19743, '2020-08-27', 'CR', 'Costa Rica', 'AMRO', '842', '35305', '14', '376');
INSERT INTO public.who_import VALUES (19744, '2020-08-28', 'CR', 'Costa Rica', 'AMRO', '1002', '36307', '10', '386');
INSERT INTO public.who_import VALUES (19745, '2020-08-29', 'CR', 'Costa Rica', 'AMRO', '985', '37292', '11', '397');
INSERT INTO public.who_import VALUES (19746, '2020-08-30', 'CR', 'Costa Rica', 'AMRO', '1193', '38485', '10', '407');
INSERT INTO public.who_import VALUES (19747, '2020-08-31', 'CR', 'Costa Rica', 'AMRO', '1214', '39699', '11', '418');
INSERT INTO public.who_import VALUES (19748, '2020-09-01', 'CR', 'Costa Rica', 'AMRO', '0', '39699', '0', '418');
INSERT INTO public.who_import VALUES (19749, '2020-09-02', 'CR', 'Costa Rica', 'AMRO', '1588', '41287', '18', '436');
INSERT INTO public.who_import VALUES (19750, '2020-09-03', 'CR', 'Costa Rica', 'AMRO', '897', '42184', '7', '443');
INSERT INTO public.who_import VALUES (19751, '2020-09-04', 'CR', 'Costa Rica', 'AMRO', '1121', '43305', '10', '453');
INSERT INTO public.who_import VALUES (19752, '2020-09-05', 'CR', 'Costa Rica', 'AMRO', '1153', '44458', '7', '460');
INSERT INTO public.who_import VALUES (19753, '2020-09-06', 'CR', 'Costa Rica', 'AMRO', '1222', '45680', '9', '469');
INSERT INTO public.who_import VALUES (19754, '2020-09-07', 'CR', 'Costa Rica', 'AMRO', '1240', '46920', '9', '478');
INSERT INTO public.who_import VALUES (19755, '2020-09-08', 'CR', 'Costa Rica', 'AMRO', '1027', '47947', '13', '491');
INSERT INTO public.who_import VALUES (19756, '2020-09-09', 'CR', 'Costa Rica', 'AMRO', '833', '48780', '19', '510');
INSERT INTO public.who_import VALUES (19757, '2020-09-10', 'CR', 'Costa Rica', 'AMRO', '1117', '49897', '21', '531');
INSERT INTO public.who_import VALUES (19758, '2020-09-11', 'CR', 'Costa Rica', 'AMRO', '1327', '51224', '12', '543');
INSERT INTO public.who_import VALUES (19759, '2020-09-12', 'CR', 'Costa Rica', 'AMRO', '1325', '52549', '24', '567');
INSERT INTO public.who_import VALUES (19760, '2020-09-13', 'CR', 'Costa Rica', 'AMRO', '1420', '53969', '16', '583');
INSERT INTO public.who_import VALUES (19761, '2020-09-14', 'CR', 'Costa Rica', 'AMRO', '1485', '55454', '7', '590');
INSERT INTO public.who_import VALUES (19762, '2020-09-15', 'CR', 'Costa Rica', 'AMRO', '970', '56424', '15', '605');
INSERT INTO public.who_import VALUES (19763, '2020-09-16', 'CR', 'Costa Rica', 'AMRO', '937', '57361', '16', '621');
INSERT INTO public.who_import VALUES (19764, '2020-09-17', 'CR', 'Costa Rica', 'AMRO', '777', '58138', '12', '633');
INSERT INTO public.who_import VALUES (19765, '2020-09-18', 'CR', 'Costa Rica', 'AMRO', '1378', '59516', '16', '649');
INSERT INTO public.who_import VALUES (19766, '2020-09-19', 'CR', 'Costa Rica', 'AMRO', '1302', '60818', '17', '666');
INSERT INTO public.who_import VALUES (19767, '2020-09-20', 'CR', 'Costa Rica', 'AMRO', '1556', '62374', '20', '686');
INSERT INTO public.who_import VALUES (19768, '2020-09-21', 'CR', 'Costa Rica', 'AMRO', '1338', '63712', '20', '706');
INSERT INTO public.who_import VALUES (19769, '2020-09-22', 'CR', 'Costa Rica', 'AMRO', '1187', '64899', '21', '727');
INSERT INTO public.who_import VALUES (19770, '2020-09-23', 'CR', 'Costa Rica', 'AMRO', '703', '65602', '18', '745');
INSERT INTO public.who_import VALUES (19771, '2020-09-24', 'CR', 'Costa Rica', 'AMRO', '1087', '66689', '15', '760');
INSERT INTO public.who_import VALUES (19772, '2020-09-25', 'CR', 'Costa Rica', 'AMRO', '1370', '68059', '21', '781');
INSERT INTO public.who_import VALUES (19773, '2020-09-26', 'CR', 'Costa Rica', 'AMRO', '1400', '69459', '14', '795');
INSERT INTO public.who_import VALUES (19774, '2020-09-27', 'CR', 'Costa Rica', 'AMRO', '1357', '70816', '17', '812');
INSERT INTO public.who_import VALUES (19775, '2020-09-28', 'CR', 'Costa Rica', 'AMRO', '1233', '72049', '16', '828');
INSERT INTO public.who_import VALUES (19776, '2020-09-29', 'CR', 'Costa Rica', 'AMRO', '935', '72984', '19', '847');
INSERT INTO public.who_import VALUES (19777, '2020-09-30', 'CR', 'Costa Rica', 'AMRO', '730', '73714', '14', '861');
INSERT INTO public.who_import VALUES (19778, '2020-10-01', 'CR', 'Costa Rica', 'AMRO', '890', '74604', '19', '880');
INSERT INTO public.who_import VALUES (19779, '2020-10-02', 'CR', 'Costa Rica', 'AMRO', '1156', '75760', '24', '904');
INSERT INTO public.who_import VALUES (19780, '2020-10-03', 'CR', 'Costa Rica', 'AMRO', '1068', '76828', '13', '917');
INSERT INTO public.who_import VALUES (19781, '2020-10-04', 'CR', 'Costa Rica', 'AMRO', '1001', '77829', '13', '930');
INSERT INTO public.who_import VALUES (19782, '2020-10-05', 'CR', 'Costa Rica', 'AMRO', '1353', '79182', '20', '950');
INSERT INTO public.who_import VALUES (19783, '2020-10-06', 'CR', 'Costa Rica', 'AMRO', '1225', '80407', '21', '971');
INSERT INTO public.who_import VALUES (19784, '2020-10-07', 'CR', 'Costa Rica', 'AMRO', '722', '81129', '16', '987');
INSERT INTO public.who_import VALUES (19785, '2020-10-08', 'CR', 'Costa Rica', 'AMRO', '1013', '82142', '17', '1004');
INSERT INTO public.who_import VALUES (19786, '2020-10-09', 'CR', 'Costa Rica', 'AMRO', '1355', '83497', '20', '1024');
INSERT INTO public.who_import VALUES (19787, '2020-10-10', 'CR', 'Costa Rica', 'AMRO', '1331', '84828', '16', '1040');
INSERT INTO public.who_import VALUES (19788, '2020-10-11', 'CR', 'Costa Rica', 'AMRO', '1225', '86053', '15', '1055');
INSERT INTO public.who_import VALUES (19789, '2020-10-12', 'CR', 'Costa Rica', 'AMRO', '1386', '87439', '21', '1076');
INSERT INTO public.who_import VALUES (19790, '2020-10-13', 'CR', 'Costa Rica', 'AMRO', '1051', '88490', '14', '1090');
INSERT INTO public.who_import VALUES (19791, '2020-10-14', 'CR', 'Costa Rica', 'AMRO', '733', '89223', '18', '1108');
INSERT INTO public.who_import VALUES (19792, '2020-10-15', 'CR', 'Costa Rica', 'AMRO', '1015', '90238', '16', '1124');
INSERT INTO public.who_import VALUES (19793, '2020-10-16', 'CR', 'Costa Rica', 'AMRO', '1542', '91780', '10', '1134');
INSERT INTO public.who_import VALUES (19794, '2020-10-17', 'CR', 'Costa Rica', 'AMRO', '1372', '93152', '25', '1159');
INSERT INTO public.who_import VALUES (19795, '2020-10-18', 'CR', 'Costa Rica', 'AMRO', '1196', '94348', '9', '1168');
INSERT INTO public.who_import VALUES (19796, '2020-10-19', 'CR', 'Costa Rica', 'AMRO', '1166', '95514', '15', '1183');
INSERT INTO public.who_import VALUES (19797, '2020-10-20', 'CR', 'Costa Rica', 'AMRO', '929', '96443', '11', '1194');
INSERT INTO public.who_import VALUES (19798, '2020-10-21', 'CR', 'Costa Rica', 'AMRO', '632', '97075', '10', '1204');
INSERT INTO public.who_import VALUES (19799, '2020-10-22', 'CR', 'Costa Rica', 'AMRO', '847', '97922', '18', '1222');
INSERT INTO public.who_import VALUES (19800, '2020-10-23', 'CR', 'Costa Rica', 'AMRO', '1503', '99425', '14', '1236');
INSERT INTO public.who_import VALUES (19801, '2020-10-24', 'CR', 'Costa Rica', 'AMRO', '1191', '100616', '15', '1251');
INSERT INTO public.who_import VALUES (19802, '2020-10-25', 'CR', 'Costa Rica', 'AMRO', '1210', '101826', '14', '1265');
INSERT INTO public.who_import VALUES (19803, '2020-10-26', 'CR', 'Costa Rica', 'AMRO', '1262', '103088', '17', '1282');
INSERT INTO public.who_import VALUES (19804, '2020-10-27', 'CR', 'Costa Rica', 'AMRO', '861', '103949', '16', '1298');
INSERT INTO public.who_import VALUES (19805, '2020-10-28', 'CR', 'Costa Rica', 'AMRO', '511', '104460', '14', '1312');
INSERT INTO public.who_import VALUES (19806, '2020-10-29', 'CR', 'Costa Rica', 'AMRO', '862', '105322', '17', '1329');
INSERT INTO public.who_import VALUES (19807, '2020-10-30', 'CR', 'Costa Rica', 'AMRO', '1231', '106553', '11', '1340');
INSERT INTO public.who_import VALUES (19808, '2020-10-31', 'CR', 'Costa Rica', 'AMRO', '1017', '107570', '17', '1357');
INSERT INTO public.who_import VALUES (19809, '2020-11-01', 'CR', 'Costa Rica', 'AMRO', '1296', '108866', '14', '1371');
INSERT INTO public.who_import VALUES (19810, '2020-11-02', 'CR', 'Costa Rica', 'AMRO', '1105', '109971', '14', '1385');
INSERT INTO public.who_import VALUES (19811, '2020-11-03', 'CR', 'Costa Rica', 'AMRO', '746', '110717', '11', '1396');
INSERT INTO public.who_import VALUES (19812, '2020-11-04', 'CR', 'Costa Rica', 'AMRO', '540', '111257', '8', '1404');
INSERT INTO public.who_import VALUES (19813, '2020-11-05', 'CR', 'Costa Rica', 'AMRO', '863', '112120', '15', '1419');
INSERT INTO public.who_import VALUES (19814, '2020-11-06', 'CR', 'Costa Rica', 'AMRO', '1141', '113261', '12', '1431');
INSERT INTO public.who_import VALUES (19815, '2020-11-07', 'CR', 'Costa Rica', 'AMRO', '1106', '114367', '13', '1444');
INSERT INTO public.who_import VALUES (19816, '2020-11-08', 'CR', 'Costa Rica', 'AMRO', '1050', '115417', '9', '1453');
INSERT INTO public.who_import VALUES (19817, '2020-11-09', 'CR', 'Costa Rica', 'AMRO', '946', '116363', '11', '1464');
INSERT INTO public.who_import VALUES (19818, '2020-11-10', 'CR', 'Costa Rica', 'AMRO', '736', '117099', '12', '1476');
INSERT INTO public.who_import VALUES (19819, '2020-11-11', 'CR', 'Costa Rica', 'AMRO', '488', '117587', '15', '1491');
INSERT INTO public.who_import VALUES (19820, '2020-11-12', 'CR', 'Costa Rica', 'AMRO', '979', '118566', '11', '1502');
INSERT INTO public.who_import VALUES (19821, '2020-11-13', 'CR', 'Costa Rica', 'AMRO', '1202', '119768', '11', '1513');
INSERT INTO public.who_import VALUES (19822, '2020-11-14', 'CR', 'Costa Rica', 'AMRO', '1171', '120939', '14', '1527');
INSERT INTO public.who_import VALUES (19823, '2020-11-15', 'CR', 'Costa Rica', 'AMRO', '1184', '122123', '10', '1537');
INSERT INTO public.who_import VALUES (19824, '2020-11-16', 'CR', 'Costa Rica', 'AMRO', '1100', '123223', '9', '1546');
INSERT INTO public.who_import VALUES (19825, '2020-11-17', 'CR', 'Costa Rica', 'AMRO', '726', '123949', '9', '1555');
INSERT INTO public.who_import VALUES (19826, '2020-11-18', 'CR', 'Costa Rica', 'AMRO', '643', '124592', '11', '1566');
INSERT INTO public.who_import VALUES (19827, '2020-11-19', 'CR', 'Costa Rica', 'AMRO', '998', '125590', '12', '1578');
INSERT INTO public.who_import VALUES (19828, '2020-11-20', 'CR', 'Costa Rica', 'AMRO', '1422', '127012', '10', '1588');
INSERT INTO public.who_import VALUES (19829, '2020-11-21', 'CR', 'Costa Rica', 'AMRO', '1219', '128231', '11', '1599');
INSERT INTO public.who_import VALUES (19830, '2020-11-22', 'CR', 'Costa Rica', 'AMRO', '1187', '129418', '9', '1608');
INSERT INTO public.who_import VALUES (19831, '2020-11-23', 'CR', 'Costa Rica', 'AMRO', '0', '129418', '0', '1608');
INSERT INTO public.who_import VALUES (19832, '2020-11-24', 'CR', 'Costa Rica', 'AMRO', '0', '129418', '0', '1608');
INSERT INTO public.who_import VALUES (19833, '2020-11-25', 'CR', 'Costa Rica', 'AMRO', '2877', '132295', '33', '1641');
INSERT INTO public.who_import VALUES (19834, '2020-11-26', 'CR', 'Costa Rica', 'AMRO', '895', '133190', '21', '1662');
INSERT INTO public.who_import VALUES (19835, '2020-11-27', 'CR', 'Costa Rica', 'AMRO', '1330', '134520', '12', '1674');
INSERT INTO public.who_import VALUES (19836, '2020-11-28', 'CR', 'Costa Rica', 'AMRO', '1222', '135742', '5', '1679');
INSERT INTO public.who_import VALUES (19837, '2020-11-29', 'CR', 'Costa Rica', 'AMRO', '1351', '137093', '11', '1690');
INSERT INTO public.who_import VALUES (19838, '2020-11-30', 'CR', 'Costa Rica', 'AMRO', '0', '137093', '0', '1690');
INSERT INTO public.who_import VALUES (19839, '2020-12-01', 'CR', 'Costa Rica', 'AMRO', '2006', '139099', '25', '1715');
INSERT INTO public.who_import VALUES (19840, '2020-12-02', 'CR', 'Costa Rica', 'AMRO', '539', '139638', '11', '1726');
INSERT INTO public.who_import VALUES (19841, '2020-12-03', 'CR', 'Costa Rica', 'AMRO', '534', '140172', '5', '1731');
INSERT INTO public.who_import VALUES (19842, '2020-12-04', 'CR', 'Costa Rica', 'AMRO', '1168', '141340', '8', '1739');
INSERT INTO public.who_import VALUES (19843, '2020-12-05', 'CR', 'Costa Rica', 'AMRO', '1165', '142505', '18', '1757');
INSERT INTO public.who_import VALUES (19844, '2020-12-06', 'CR', 'Costa Rica', 'AMRO', '1180', '143685', '16', '1773');
INSERT INTO public.who_import VALUES (19845, '2020-12-07', 'CR', 'Costa Rica', 'AMRO', '0', '143685', '0', '1773');
INSERT INTO public.who_import VALUES (19846, '2020-12-08', 'CR', 'Costa Rica', 'AMRO', '2160', '145845', '37', '1810');
INSERT INTO public.who_import VALUES (19847, '2020-12-09', 'CR', 'Costa Rica', 'AMRO', '576', '146421', '15', '1825');
INSERT INTO public.who_import VALUES (19848, '2020-12-10', 'CR', 'Costa Rica', 'AMRO', '1009', '147430', '21', '1846');
INSERT INTO public.who_import VALUES (19849, '2020-12-11', 'CR', 'Costa Rica', 'AMRO', '1258', '148688', '18', '1864');
INSERT INTO public.who_import VALUES (19850, '2020-12-12', 'CR', 'Costa Rica', 'AMRO', '1127', '149815', '18', '1882');
INSERT INTO public.who_import VALUES (19851, '2020-12-13', 'CR', 'Costa Rica', 'AMRO', '1132', '150947', '13', '1895');
INSERT INTO public.who_import VALUES (19852, '2020-12-14', 'CR', 'Costa Rica', 'AMRO', '1149', '152096', '18', '1913');
INSERT INTO public.who_import VALUES (19853, '2020-12-15', 'CR', 'Costa Rica', 'AMRO', '524', '152620', '8', '1921');
INSERT INTO public.who_import VALUES (19854, '2020-12-16', 'CR', 'Costa Rica', 'AMRO', '549', '153169', '15', '1936');
INSERT INTO public.who_import VALUES (19855, '2020-12-17', 'CR', 'Costa Rica', 'AMRO', '927', '154096', '20', '1956');
INSERT INTO public.who_import VALUES (19856, '2020-12-18', 'CR', 'Costa Rica', 'AMRO', '1167', '155263', '11', '1967');
INSERT INTO public.who_import VALUES (19857, '2020-12-19', 'CR', 'Costa Rica', 'AMRO', '1125', '156388', '13', '1980');
INSERT INTO public.who_import VALUES (19858, '2020-12-20', 'CR', 'Costa Rica', 'AMRO', '1084', '157472', '16', '1996');
INSERT INTO public.who_import VALUES (19859, '2020-12-21', 'CR', 'Costa Rica', 'AMRO', '1019', '158491', '15', '2011');
INSERT INTO public.who_import VALUES (19860, '2020-12-22', 'CR', 'Costa Rica', 'AMRO', '767', '159258', '12', '2023');
INSERT INTO public.who_import VALUES (19861, '2020-12-23', 'CR', 'Costa Rica', 'AMRO', '635', '159893', '14', '2037');
INSERT INTO public.who_import VALUES (19862, '2020-12-24', 'CR', 'Costa Rica', 'AMRO', '911', '160804', '14', '2051');
INSERT INTO public.who_import VALUES (19863, '2020-12-25', 'CR', 'Costa Rica', 'AMRO', '1138', '161942', '14', '2065');
INSERT INTO public.who_import VALUES (19864, '2020-12-26', 'CR', 'Costa Rica', 'AMRO', '1048', '162990', '21', '2086');
INSERT INTO public.who_import VALUES (19865, '2020-12-27', 'CR', 'Costa Rica', 'AMRO', '1072', '164062', '17', '2103');
INSERT INTO public.who_import VALUES (19866, '2020-12-28', 'CR', 'Costa Rica', 'AMRO', '545', '164607', '14', '2117');
INSERT INTO public.who_import VALUES (19867, '2020-12-29', 'CR', 'Costa Rica', 'AMRO', '597', '165204', '17', '2134');
INSERT INTO public.who_import VALUES (19868, '2020-12-30', 'CR', 'Costa Rica', 'AMRO', '558', '165762', '10', '2144');
INSERT INTO public.who_import VALUES (19869, '2020-12-31', 'CR', 'Costa Rica', 'AMRO', '1037', '166799', '12', '2156');
INSERT INTO public.who_import VALUES (19870, '2021-01-01', 'CR', 'Costa Rica', 'AMRO', '1315', '168114', '15', '2171');
INSERT INTO public.who_import VALUES (19871, '2021-01-02', 'CR', 'Costa Rica', 'AMRO', '1207', '169321', '14', '2185');
INSERT INTO public.who_import VALUES (19872, '2021-01-03', 'CR', 'Costa Rica', 'AMRO', '1270', '170591', '8', '2193');
INSERT INTO public.who_import VALUES (19873, '2021-01-04', 'CR', 'Costa Rica', 'AMRO', '539', '171130', '12', '2205');
INSERT INTO public.who_import VALUES (19874, '2021-01-05', 'CR', 'Costa Rica', 'AMRO', '589', '171719', '13', '2218');
INSERT INTO public.who_import VALUES (19875, '2021-01-06', 'CR', 'Costa Rica', 'AMRO', '717', '172436', '11', '2229');
INSERT INTO public.who_import VALUES (19876, '2021-01-07', 'CR', 'Costa Rica', 'AMRO', '1155', '173591', '19', '2248');
INSERT INTO public.who_import VALUES (19877, '2021-01-08', 'CR', 'Costa Rica', 'AMRO', '1447', '175038', '19', '2267');
INSERT INTO public.who_import VALUES (19878, '2021-01-09', 'CR', 'Costa Rica', 'AMRO', '1369', '176407', '19', '2286');
INSERT INTO public.who_import VALUES (19879, '2021-01-10', 'CR', 'Costa Rica', 'AMRO', '1207', '177614', '19', '2305');
INSERT INTO public.who_import VALUES (19880, '2021-01-11', 'CR', 'Costa Rica', 'AMRO', '1035', '178649', '17', '2322');
INSERT INTO public.who_import VALUES (19881, '2021-01-12', 'CR', 'Costa Rica', 'AMRO', '756', '179405', '16', '2338');
INSERT INTO public.who_import VALUES (19882, '2021-01-13', 'CR', 'Costa Rica', 'AMRO', '656', '180061', '15', '2353');
INSERT INTO public.who_import VALUES (19883, '2021-01-14', 'CR', 'Costa Rica', 'AMRO', '1032', '181093', '14', '2367');
INSERT INTO public.who_import VALUES (19884, '2021-01-15', 'CR', 'Costa Rica', 'AMRO', '1063', '182156', '17', '2384');
INSERT INTO public.who_import VALUES (19885, '2021-01-16', 'CR', 'Costa Rica', 'AMRO', '1086', '183242', '17', '2401');
INSERT INTO public.who_import VALUES (19886, '2021-01-17', 'CR', 'Costa Rica', 'AMRO', '945', '184187', '15', '2416');
INSERT INTO public.who_import VALUES (19887, '2021-01-18', 'CR', 'Costa Rica', 'AMRO', '958', '185145', '27', '2443');
INSERT INTO public.who_import VALUES (19888, '2021-01-19', 'CR', 'Costa Rica', 'AMRO', '508', '185653', '6', '2449');
INSERT INTO public.who_import VALUES (19889, '2021-01-20', 'CR', 'Costa Rica', 'AMRO', '363', '186016', '9', '2458');
INSERT INTO public.who_import VALUES (19890, '2021-01-21', 'CR', 'Costa Rica', 'AMRO', '861', '186877', '19', '2477');
INSERT INTO public.who_import VALUES (19891, '2021-01-22', 'CR', 'Costa Rica', 'AMRO', '835', '187712', '15', '2492');
INSERT INTO public.who_import VALUES (19892, '2021-01-23', 'CR', 'Costa Rica', 'AMRO', '765', '188477', '14', '2506');
INSERT INTO public.who_import VALUES (19893, '2021-01-24', 'CR', 'Costa Rica', 'AMRO', '831', '189308', '12', '2518');
INSERT INTO public.who_import VALUES (19894, '2021-01-25', 'CR', 'Costa Rica', 'AMRO', '651', '189959', '14', '2532');
INSERT INTO public.who_import VALUES (19895, '2021-01-26', 'CR', 'Costa Rica', 'AMRO', '431', '190390', '11', '2543');
INSERT INTO public.who_import VALUES (19896, '2021-01-27', 'CR', 'Costa Rica', 'AMRO', '355', '190745', '15', '2558');
INSERT INTO public.who_import VALUES (19897, '2021-01-28', 'CR', 'Costa Rica', 'AMRO', '600', '191345', '9', '2567');
INSERT INTO public.who_import VALUES (19898, '2021-01-29', 'CR', 'Costa Rica', 'AMRO', '721', '192066', '17', '2584');
INSERT INTO public.who_import VALUES (19899, '2021-01-30', 'CR', 'Costa Rica', 'AMRO', '571', '192637', '15', '2599');
INSERT INTO public.who_import VALUES (19900, '2021-01-31', 'CR', 'Costa Rica', 'AMRO', '639', '193276', '5', '2604');
INSERT INTO public.who_import VALUES (19901, '2021-02-01', 'CR', 'Costa Rica', 'AMRO', '568', '193844', '8', '2612');
INSERT INTO public.who_import VALUES (19902, '2021-02-02', 'CR', 'Costa Rica', 'AMRO', '436', '194280', '15', '2627');
INSERT INTO public.who_import VALUES (19903, '2021-02-03', 'CR', 'Costa Rica', 'AMRO', '289', '194569', '7', '2634');
INSERT INTO public.who_import VALUES (19904, '2021-02-04', 'CR', 'Costa Rica', 'AMRO', '440', '195009', '7', '2641');
INSERT INTO public.who_import VALUES (19905, '2021-02-05', 'CR', 'Costa Rica', 'AMRO', '528', '195537', '9', '2650');
INSERT INTO public.who_import VALUES (19906, '2021-02-06', 'CR', 'Costa Rica', 'AMRO', '455', '195992', '12', '2662');
INSERT INTO public.who_import VALUES (19907, '2021-02-07', 'CR', 'Costa Rica', 'AMRO', '446', '196438', '10', '2672');
INSERT INTO public.who_import VALUES (19908, '2021-02-08', 'CR', 'Costa Rica', 'AMRO', '506', '196944', '8', '2680');
INSERT INTO public.who_import VALUES (19909, '2021-02-09', 'CR', 'Costa Rica', 'AMRO', '281', '197225', '7', '2687');
INSERT INTO public.who_import VALUES (19910, '2021-02-10', 'CR', 'Costa Rica', 'AMRO', '210', '197435', '5', '2692');
INSERT INTO public.who_import VALUES (19911, '2021-02-11', 'CR', 'Costa Rica', 'AMRO', '417', '197852', '6', '2698');
INSERT INTO public.who_import VALUES (19912, '2021-02-12', 'CR', 'Costa Rica', 'AMRO', '486', '198338', '3', '2701');
INSERT INTO public.who_import VALUES (19913, '2021-02-13', 'CR', 'Costa Rica', 'AMRO', '418', '198756', '9', '2710');
INSERT INTO public.who_import VALUES (19914, '2021-02-14', 'CR', 'Costa Rica', 'AMRO', '431', '199187', '4', '2714');
INSERT INTO public.who_import VALUES (19915, '2021-02-15', 'CR', 'Costa Rica', 'AMRO', '390', '199577', '9', '2723');
INSERT INTO public.who_import VALUES (19916, '2021-02-16', 'CR', 'Costa Rica', 'AMRO', '265', '199842', '0', '2723');
INSERT INTO public.who_import VALUES (19917, '2021-02-17', 'CR', 'Costa Rica', 'AMRO', '182', '200024', '7', '2730');
INSERT INTO public.who_import VALUES (19918, '2021-02-18', 'CR', 'Costa Rica', 'AMRO', '430', '200454', '7', '2737');
INSERT INTO public.who_import VALUES (19919, '2021-02-19', 'CR', 'Costa Rica', 'AMRO', '434', '200888', '8', '2745');
INSERT INTO public.who_import VALUES (19920, '2021-02-20', 'CR', 'Costa Rica', 'AMRO', '353', '201241', '11', '2756');
INSERT INTO public.who_import VALUES (19921, '2020-01-03', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19922, '2020-01-04', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19923, '2020-01-05', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19924, '2020-01-06', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19925, '2020-01-07', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19926, '2020-01-08', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19927, '2020-01-09', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19928, '2020-01-10', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19929, '2020-01-11', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19930, '2020-01-12', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19931, '2020-01-13', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19932, '2020-01-14', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19933, '2020-01-15', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19934, '2020-01-16', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19935, '2020-01-17', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19936, '2020-01-18', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19937, '2020-01-19', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19938, '2020-01-20', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19939, '2020-01-21', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19940, '2020-01-22', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19941, '2020-01-23', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19942, '2020-01-24', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19943, '2020-01-25', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19944, '2020-01-26', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19945, '2020-01-27', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19946, '2020-01-28', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19947, '2020-01-29', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19948, '2020-01-30', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19949, '2020-01-31', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19950, '2020-02-01', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19951, '2020-02-02', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19952, '2020-02-03', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19953, '2020-02-04', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19954, '2020-02-05', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19955, '2020-02-06', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19956, '2020-02-07', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19957, '2020-02-08', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19958, '2020-02-09', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19959, '2020-02-10', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19960, '2020-02-11', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19961, '2020-02-12', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19962, '2020-02-13', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19963, '2020-02-14', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19964, '2020-02-15', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19965, '2020-02-16', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19966, '2020-02-17', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19967, '2020-02-18', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19968, '2020-02-19', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19969, '2020-02-20', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19970, '2020-02-21', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19971, '2020-02-22', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19972, '2020-02-23', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19973, '2020-02-24', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19974, '2020-02-25', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19975, '2020-02-26', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19976, '2020-02-27', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19977, '2020-02-28', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19978, '2020-02-29', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19979, '2020-03-01', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19980, '2020-03-02', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19981, '2020-03-03', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19982, '2020-03-04', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19983, '2020-03-05', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19984, '2020-03-06', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19985, '2020-03-07', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19986, '2020-03-08', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19987, '2020-03-09', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19988, '2020-03-10', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19989, '2020-03-11', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (19990, '2020-03-12', 'CI', 'Côte d’Ivoire', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (19991, '2020-03-13', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (19992, '2020-03-14', 'CI', 'Côte d’Ivoire', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (19993, '2020-03-15', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (19994, '2020-03-16', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (19995, '2020-03-17', 'CI', 'Côte d’Ivoire', 'AFRO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (19996, '2020-03-18', 'CI', 'Côte d’Ivoire', 'AFRO', '3', '13', '0', '0');
INSERT INTO public.who_import VALUES (19997, '2020-03-19', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (19998, '2020-03-20', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (19999, '2020-03-21', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (20000, '2020-03-22', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (20001, '2020-03-23', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '25', '0', '0');
INSERT INTO public.who_import VALUES (20002, '2020-03-24', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (20003, '2020-03-25', 'CI', 'Côte d’Ivoire', 'AFRO', '47', '72', '0', '0');
INSERT INTO public.who_import VALUES (20004, '2020-03-26', 'CI', 'Côte d’Ivoire', 'AFRO', '8', '80', '0', '0');
INSERT INTO public.who_import VALUES (20005, '2020-03-27', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (20006, '2020-03-28', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '92', '0', '0');
INSERT INTO public.who_import VALUES (20007, '2020-03-29', 'CI', 'Côte d’Ivoire', 'AFRO', '48', '140', '0', '0');
INSERT INTO public.who_import VALUES (20008, '2020-03-30', 'CI', 'Côte d’Ivoire', 'AFRO', '25', '165', '0', '0');
INSERT INTO public.who_import VALUES (20009, '2020-03-31', 'CI', 'Côte d’Ivoire', 'AFRO', '4', '169', '0', '0');
INSERT INTO public.who_import VALUES (20010, '2020-04-01', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '169', '0', '0');
INSERT INTO public.who_import VALUES (20011, '2020-04-02', 'CI', 'Côte d’Ivoire', 'AFRO', '21', '190', '1', '1');
INSERT INTO public.who_import VALUES (20012, '2020-04-03', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '190', '0', '1');
INSERT INTO public.who_import VALUES (20013, '2020-04-04', 'CI', 'Côte d’Ivoire', 'AFRO', '28', '218', '0', '1');
INSERT INTO public.who_import VALUES (20014, '2020-04-05', 'CI', 'Côte d’Ivoire', 'AFRO', '27', '245', '1', '2');
INSERT INTO public.who_import VALUES (20015, '2020-04-06', 'CI', 'Côte d’Ivoire', 'AFRO', '16', '261', '0', '2');
INSERT INTO public.who_import VALUES (20016, '2020-04-07', 'CI', 'Côte d’Ivoire', 'AFRO', '62', '323', '1', '3');
INSERT INTO public.who_import VALUES (20017, '2020-04-08', 'CI', 'Côte d’Ivoire', 'AFRO', '26', '349', '0', '3');
INSERT INTO public.who_import VALUES (20018, '2020-04-09', 'CI', 'Côte d’Ivoire', 'AFRO', '35', '384', '0', '3');
INSERT INTO public.who_import VALUES (20019, '2020-04-10', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '384', '0', '3');
INSERT INTO public.who_import VALUES (20020, '2020-04-11', 'CI', 'Côte d’Ivoire', 'AFRO', '96', '480', '0', '3');
INSERT INTO public.who_import VALUES (20021, '2020-04-12', 'CI', 'Côte d’Ivoire', 'AFRO', '53', '533', '1', '4');
INSERT INTO public.who_import VALUES (20022, '2020-04-13', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '533', '0', '4');
INSERT INTO public.who_import VALUES (20023, '2020-04-14', 'CI', 'Côte d’Ivoire', 'AFRO', '93', '626', '2', '6');
INSERT INTO public.who_import VALUES (20024, '2020-04-15', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '638', '0', '6');
INSERT INTO public.who_import VALUES (20025, '2020-04-16', 'CI', 'Côte d’Ivoire', 'AFRO', '16', '654', '0', '6');
INSERT INTO public.who_import VALUES (20026, '2020-04-17', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '688', '0', '6');
INSERT INTO public.who_import VALUES (20027, '2020-04-18', 'CI', 'Côte d’Ivoire', 'AFRO', '54', '742', '0', '6');
INSERT INTO public.who_import VALUES (20028, '2020-04-19', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '742', '0', '6');
INSERT INTO public.who_import VALUES (20029, '2020-04-20', 'CI', 'Côte d’Ivoire', 'AFRO', '105', '847', '3', '9');
INSERT INTO public.who_import VALUES (20030, '2020-04-21', 'CI', 'Côte d’Ivoire', 'AFRO', '32', '879', '1', '10');
INSERT INTO public.who_import VALUES (20031, '2020-04-22', 'CI', 'Côte d’Ivoire', 'AFRO', '37', '916', '3', '13');
INSERT INTO public.who_import VALUES (20032, '2020-04-23', 'CI', 'Côte d’Ivoire', 'AFRO', '36', '952', '1', '14');
INSERT INTO public.who_import VALUES (20033, '2020-04-24', 'CI', 'Côte d’Ivoire', 'AFRO', '52', '1004', '0', '14');
INSERT INTO public.who_import VALUES (20034, '2020-04-25', 'CI', 'Côte d’Ivoire', 'AFRO', '73', '1077', '0', '14');
INSERT INTO public.who_import VALUES (20035, '2020-04-26', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '1111', '0', '14');
INSERT INTO public.who_import VALUES (20036, '2020-04-27', 'CI', 'Côte d’Ivoire', 'AFRO', '39', '1150', '0', '14');
INSERT INTO public.who_import VALUES (20037, '2020-04-28', 'CI', 'Côte d’Ivoire', 'AFRO', '14', '1164', '0', '14');
INSERT INTO public.who_import VALUES (20038, '2020-04-29', 'CI', 'Côte d’Ivoire', 'AFRO', '19', '1183', '0', '14');
INSERT INTO public.who_import VALUES (20039, '2020-04-30', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '1238', '0', '14');
INSERT INTO public.who_import VALUES (20040, '2020-05-01', 'CI', 'Côte d’Ivoire', 'AFRO', '37', '1275', '0', '14');
INSERT INTO public.who_import VALUES (20041, '2020-05-02', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '1275', '0', '14');
INSERT INTO public.who_import VALUES (20042, '2020-05-03', 'CI', 'Côte d’Ivoire', 'AFRO', '87', '1362', '1', '15');
INSERT INTO public.who_import VALUES (20043, '2020-05-04', 'CI', 'Côte d’Ivoire', 'AFRO', '36', '1398', '2', '17');
INSERT INTO public.who_import VALUES (20044, '2020-05-05', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '1432', '0', '17');
INSERT INTO public.who_import VALUES (20045, '2020-05-06', 'CI', 'Côte d’Ivoire', 'AFRO', '32', '1464', '1', '18');
INSERT INTO public.who_import VALUES (20046, '2020-05-07', 'CI', 'Côte d’Ivoire', 'AFRO', '52', '1516', '0', '18');
INSERT INTO public.who_import VALUES (20047, '2020-05-08', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '1571', '2', '20');
INSERT INTO public.who_import VALUES (20048, '2020-05-09', 'CI', 'Côte d’Ivoire', 'AFRO', '31', '1602', '0', '20');
INSERT INTO public.who_import VALUES (20049, '2020-05-10', 'CI', 'Côte d’Ivoire', 'AFRO', '65', '1667', '1', '21');
INSERT INTO public.who_import VALUES (20050, '2020-05-11', 'CI', 'Côte d’Ivoire', 'AFRO', '33', '1700', '0', '21');
INSERT INTO public.who_import VALUES (20051, '2020-05-12', 'CI', 'Côte d’Ivoire', 'AFRO', '30', '1730', '0', '21');
INSERT INTO public.who_import VALUES (20052, '2020-05-13', 'CI', 'Côte d’Ivoire', 'AFRO', '127', '1857', '0', '21');
INSERT INTO public.who_import VALUES (20053, '2020-05-14', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '1912', '3', '24');
INSERT INTO public.who_import VALUES (20054, '2020-05-15', 'CI', 'Côte d’Ivoire', 'AFRO', '59', '1971', '0', '24');
INSERT INTO public.who_import VALUES (20055, '2020-05-16', 'CI', 'Côte d’Ivoire', 'AFRO', '46', '2017', '0', '24');
INSERT INTO public.who_import VALUES (20056, '2020-05-17', 'CI', 'Côte d’Ivoire', 'AFRO', '44', '2061', '1', '25');
INSERT INTO public.who_import VALUES (20057, '2020-05-18', 'CI', 'Côte d’Ivoire', 'AFRO', '48', '2109', '2', '27');
INSERT INTO public.who_import VALUES (20058, '2020-05-19', 'CI', 'Côte d’Ivoire', 'AFRO', '10', '2119', '1', '28');
INSERT INTO public.who_import VALUES (20059, '2020-05-20', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '2153', '0', '28');
INSERT INTO public.who_import VALUES (20060, '2020-05-21', 'CI', 'Côte d’Ivoire', 'AFRO', '78', '2231', '1', '29');
INSERT INTO public.who_import VALUES (20061, '2020-05-22', 'CI', 'Côte d’Ivoire', 'AFRO', '70', '2301', '0', '29');
INSERT INTO public.who_import VALUES (20062, '2020-05-23', 'CI', 'Côte d’Ivoire', 'AFRO', '40', '2341', '0', '29');
INSERT INTO public.who_import VALUES (20063, '2020-05-24', 'CI', 'Côte d’Ivoire', 'AFRO', '25', '2366', '1', '30');
INSERT INTO public.who_import VALUES (20064, '2020-05-25', 'CI', 'Côte d’Ivoire', 'AFRO', '10', '2376', '0', '30');
INSERT INTO public.who_import VALUES (20065, '2020-05-26', 'CI', 'Côte d’Ivoire', 'AFRO', '47', '2423', '0', '30');
INSERT INTO public.who_import VALUES (20066, '2020-05-27', 'CI', 'Côte d’Ivoire', 'AFRO', '54', '2477', '0', '30');
INSERT INTO public.who_import VALUES (20067, '2020-05-28', 'CI', 'Côte d’Ivoire', 'AFRO', '79', '2556', '1', '31');
INSERT INTO public.who_import VALUES (20068, '2020-05-29', 'CI', 'Côte d’Ivoire', 'AFRO', '85', '2641', '1', '32');
INSERT INTO public.who_import VALUES (20069, '2020-05-30', 'CI', 'Côte d’Ivoire', 'AFRO', '109', '2750', '0', '32');
INSERT INTO public.who_import VALUES (20070, '2020-05-31', 'CI', 'Côte d’Ivoire', 'AFRO', '49', '2799', '1', '33');
INSERT INTO public.who_import VALUES (20071, '2020-06-01', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '2833', '0', '33');
INSERT INTO public.who_import VALUES (20072, '2020-06-02', 'CI', 'Côte d’Ivoire', 'AFRO', '118', '2951', '0', '33');
INSERT INTO public.who_import VALUES (20073, '2020-06-03', 'CI', 'Côte d’Ivoire', 'AFRO', '73', '3024', '0', '33');
INSERT INTO public.who_import VALUES (20074, '2020-06-04', 'CI', 'Côte d’Ivoire', 'AFRO', '86', '3110', '2', '35');
INSERT INTO public.who_import VALUES (20075, '2020-06-05', 'CI', 'Côte d’Ivoire', 'AFRO', '152', '3262', '0', '35');
INSERT INTO public.who_import VALUES (20076, '2020-06-06', 'CI', 'Côte d’Ivoire', 'AFRO', '169', '3431', '1', '36');
INSERT INTO public.who_import VALUES (20077, '2020-06-07', 'CI', 'Côte d’Ivoire', 'AFRO', '126', '3557', '0', '36');
INSERT INTO public.who_import VALUES (20078, '2020-06-08', 'CI', 'Côte d’Ivoire', 'AFRO', '182', '3739', '0', '36');
INSERT INTO public.who_import VALUES (20079, '2020-06-09', 'CI', 'Côte d’Ivoire', 'AFRO', '142', '3881', '2', '38');
INSERT INTO public.who_import VALUES (20080, '2020-06-10', 'CI', 'Côte d’Ivoire', 'AFRO', '114', '3995', '0', '38');
INSERT INTO public.who_import VALUES (20081, '2020-06-11', 'CI', 'Côte d’Ivoire', 'AFRO', '186', '4181', '3', '41');
INSERT INTO public.who_import VALUES (20082, '2020-06-12', 'CI', 'Côte d’Ivoire', 'AFRO', '223', '4404', '0', '41');
INSERT INTO public.who_import VALUES (20083, '2020-06-13', 'CI', 'Côte d’Ivoire', 'AFRO', '280', '4684', '4', '45');
INSERT INTO public.who_import VALUES (20084, '2020-06-14', 'CI', 'Côte d’Ivoire', 'AFRO', '164', '4848', '0', '45');
INSERT INTO public.who_import VALUES (20085, '2020-06-15', 'CI', 'Côte d’Ivoire', 'AFRO', '236', '5084', '0', '45');
INSERT INTO public.who_import VALUES (20086, '2020-06-16', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '5084', '0', '45');
INSERT INTO public.who_import VALUES (20087, '2020-06-17', 'CI', 'Côte d’Ivoire', 'AFRO', '595', '5679', '1', '46');
INSERT INTO public.who_import VALUES (20088, '2020-06-18', 'CI', 'Côte d’Ivoire', 'AFRO', '384', '6063', '2', '48');
INSERT INTO public.who_import VALUES (20089, '2020-06-19', 'CI', 'Côte d’Ivoire', 'AFRO', '381', '6444', '1', '49');
INSERT INTO public.who_import VALUES (20090, '2020-06-20', 'CI', 'Côte d’Ivoire', 'AFRO', '430', '6874', '0', '49');
INSERT INTO public.who_import VALUES (20091, '2020-06-21', 'CI', 'Côte d’Ivoire', 'AFRO', '402', '7276', '3', '52');
INSERT INTO public.who_import VALUES (20092, '2020-06-22', 'CI', 'Côte d’Ivoire', 'AFRO', '216', '7492', '2', '54');
INSERT INTO public.who_import VALUES (20093, '2020-06-23', 'CI', 'Côte d’Ivoire', 'AFRO', '185', '7677', '2', '56');
INSERT INTO public.who_import VALUES (20094, '2020-06-24', 'CI', 'Côte d’Ivoire', 'AFRO', '227', '7904', '2', '58');
INSERT INTO public.who_import VALUES (20095, '2020-06-25', 'CI', 'Côte d’Ivoire', 'AFRO', '260', '8164', '0', '58');
INSERT INTO public.who_import VALUES (20096, '2020-06-26', 'CI', 'Côte d’Ivoire', 'AFRO', '170', '8334', '2', '60');
INSERT INTO public.who_import VALUES (20097, '2020-06-27', 'CI', 'Côte d’Ivoire', 'AFRO', '405', '8739', '4', '64');
INSERT INTO public.who_import VALUES (20098, '2020-06-28', 'CI', 'Côte d’Ivoire', 'AFRO', '205', '8944', '2', '66');
INSERT INTO public.who_import VALUES (20099, '2020-06-29', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '8944', '0', '66');
INSERT INTO public.who_import VALUES (20100, '2020-06-30', 'CI', 'Côte d’Ivoire', 'AFRO', '157', '9101', '0', '66');
INSERT INTO public.who_import VALUES (20101, '2020-07-01', 'CI', 'Côte d’Ivoire', 'AFRO', '113', '9214', '0', '66');
INSERT INTO public.who_import VALUES (20102, '2020-07-02', 'CI', 'Côte d’Ivoire', 'AFRO', '285', '9499', '2', '68');
INSERT INTO public.who_import VALUES (20103, '2020-07-03', 'CI', 'Côte d’Ivoire', 'AFRO', '203', '9702', '0', '68');
INSERT INTO public.who_import VALUES (20104, '2020-07-04', 'CI', 'Côte d’Ivoire', 'AFRO', '290', '9992', '0', '68');
INSERT INTO public.who_import VALUES (20105, '2020-07-05', 'CI', 'Côte d’Ivoire', 'AFRO', '252', '10244', '2', '70');
INSERT INTO public.who_import VALUES (20106, '2020-07-06', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '10244', '0', '70');
INSERT INTO public.who_import VALUES (20107, '2020-07-07', 'CI', 'Côte d’Ivoire', 'AFRO', '722', '10966', '5', '75');
INSERT INTO public.who_import VALUES (20108, '2020-07-08', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '10966', '0', '75');
INSERT INTO public.who_import VALUES (20109, '2020-07-09', 'CI', 'Côte d’Ivoire', 'AFRO', '538', '11504', '3', '78');
INSERT INTO public.who_import VALUES (20110, '2020-07-10', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '11504', '0', '78');
INSERT INTO public.who_import VALUES (20111, '2020-07-11', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '11504', '0', '78');
INSERT INTO public.who_import VALUES (20112, '2020-07-12', 'CI', 'Côte d’Ivoire', 'AFRO', '548', '12052', '3', '81');
INSERT INTO public.who_import VALUES (20113, '2020-07-13', 'CI', 'Côte d’Ivoire', 'AFRO', '714', '12766', '3', '84');
INSERT INTO public.who_import VALUES (20114, '2020-07-14', 'CI', 'Côte d’Ivoire', 'AFRO', '106', '12872', '0', '84');
INSERT INTO public.who_import VALUES (20115, '2020-07-15', 'CI', 'Côte d’Ivoire', 'AFRO', '165', '13037', '3', '87');
INSERT INTO public.who_import VALUES (20116, '2020-07-16', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '13037', '0', '87');
INSERT INTO public.who_import VALUES (20117, '2020-07-17', 'CI', 'Côte d’Ivoire', 'AFRO', '366', '13403', '0', '87');
INSERT INTO public.who_import VALUES (20118, '2020-07-18', 'CI', 'Côte d’Ivoire', 'AFRO', '293', '13696', '0', '87');
INSERT INTO public.who_import VALUES (20119, '2020-07-19', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '13696', '0', '87');
INSERT INTO public.who_import VALUES (20120, '2020-07-20', 'CI', 'Côte d’Ivoire', 'AFRO', '423', '14119', '5', '92');
INSERT INTO public.who_import VALUES (20121, '2020-07-21', 'CI', 'Côte d’Ivoire', 'AFRO', '193', '14312', '0', '92');
INSERT INTO public.who_import VALUES (20122, '2020-07-22', 'CI', 'Côte d’Ivoire', 'AFRO', '219', '14531', '1', '93');
INSERT INTO public.who_import VALUES (20123, '2020-07-23', 'CI', 'Côte d’Ivoire', 'AFRO', '202', '14733', '0', '93');
INSERT INTO public.who_import VALUES (20124, '2020-07-24', 'CI', 'Côte d’Ivoire', 'AFRO', '268', '15001', '0', '93');
INSERT INTO public.who_import VALUES (20125, '2020-07-25', 'CI', 'Côte d’Ivoire', 'AFRO', '252', '15253', '1', '94');
INSERT INTO public.who_import VALUES (20126, '2020-07-26', 'CI', 'Côte d’Ivoire', 'AFRO', '241', '15494', '0', '94');
INSERT INTO public.who_import VALUES (20127, '2020-07-27', 'CI', 'Côte d’Ivoire', 'AFRO', '102', '15596', '2', '96');
INSERT INTO public.who_import VALUES (20128, '2020-07-28', 'CI', 'Côte d’Ivoire', 'AFRO', '59', '15655', '0', '96');
INSERT INTO public.who_import VALUES (20129, '2020-07-29', 'CI', 'Côte d’Ivoire', 'AFRO', '58', '15713', '2', '98');
INSERT INTO public.who_import VALUES (20130, '2020-07-30', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '15713', '0', '98');
INSERT INTO public.who_import VALUES (20131, '2020-07-31', 'CI', 'Côte d’Ivoire', 'AFRO', '265', '15978', '2', '100');
INSERT INTO public.who_import VALUES (20132, '2020-08-01', 'CI', 'Côte d’Ivoire', 'AFRO', '69', '16047', '2', '102');
INSERT INTO public.who_import VALUES (20133, '2020-08-02', 'CI', 'Côte d’Ivoire', 'AFRO', '62', '16109', '0', '102');
INSERT INTO public.who_import VALUES (20134, '2020-08-03', 'CI', 'Côte d’Ivoire', 'AFRO', '73', '16182', '0', '102');
INSERT INTO public.who_import VALUES (20135, '2020-08-04', 'CI', 'Côte d’Ivoire', 'AFRO', '38', '16220', '0', '102');
INSERT INTO public.who_import VALUES (20136, '2020-08-05', 'CI', 'Côte d’Ivoire', 'AFRO', '73', '16293', '1', '103');
INSERT INTO public.who_import VALUES (20137, '2020-08-06', 'CI', 'Côte d’Ivoire', 'AFRO', '56', '16349', '0', '103');
INSERT INTO public.who_import VALUES (20138, '2020-08-07', 'CI', 'Côte d’Ivoire', 'AFRO', '98', '16447', '0', '103');
INSERT INTO public.who_import VALUES (20139, '2020-08-08', 'CI', 'Côte d’Ivoire', 'AFRO', '77', '16524', '1', '104');
INSERT INTO public.who_import VALUES (20140, '2020-08-09', 'CI', 'Côte d’Ivoire', 'AFRO', '96', '16620', '0', '104');
INSERT INTO public.who_import VALUES (20141, '2020-08-10', 'CI', 'Côte d’Ivoire', 'AFRO', '95', '16715', '1', '105');
INSERT INTO public.who_import VALUES (20142, '2020-08-11', 'CI', 'Côte d’Ivoire', 'AFRO', '83', '16798', '0', '105');
INSERT INTO public.who_import VALUES (20143, '2020-08-12', 'CI', 'Côte d’Ivoire', 'AFRO', '49', '16847', '0', '105');
INSERT INTO public.who_import VALUES (20144, '2020-08-13', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '16847', '0', '105');
INSERT INTO public.who_import VALUES (20145, '2020-08-14', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '16847', '0', '105');
INSERT INTO public.who_import VALUES (20146, '2020-08-15', 'CI', 'Côte d’Ivoire', 'AFRO', '88', '16935', '3', '108');
INSERT INTO public.who_import VALUES (20147, '2020-08-16', 'CI', 'Côte d’Ivoire', 'AFRO', '58', '16993', '0', '108');
INSERT INTO public.who_import VALUES (20148, '2020-08-17', 'CI', 'Côte d’Ivoire', 'AFRO', '33', '17026', '2', '110');
INSERT INTO public.who_import VALUES (20149, '2020-08-18', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '17026', '0', '110');
INSERT INTO public.who_import VALUES (20150, '2020-08-19', 'CI', 'Côte d’Ivoire', 'AFRO', '124', '17150', '0', '110');
INSERT INTO public.who_import VALUES (20151, '2020-08-20', 'CI', 'Côte d’Ivoire', 'AFRO', '82', '17232', '1', '111');
INSERT INTO public.who_import VALUES (20152, '2020-08-21', 'CI', 'Côte d’Ivoire', 'AFRO', '17', '17249', '1', '112');
INSERT INTO public.who_import VALUES (20153, '2020-08-22', 'CI', 'Côte d’Ivoire', 'AFRO', '61', '17310', '0', '112');
INSERT INTO public.who_import VALUES (20154, '2020-08-23', 'CI', 'Côte d’Ivoire', 'AFRO', '64', '17374', '1', '113');
INSERT INTO public.who_import VALUES (20155, '2020-08-24', 'CI', 'Côte d’Ivoire', 'AFRO', '97', '17471', '0', '113');
INSERT INTO public.who_import VALUES (20156, '2020-08-25', 'CI', 'Côte d’Ivoire', 'AFRO', '35', '17506', '1', '114');
INSERT INTO public.who_import VALUES (20157, '2020-08-26', 'CI', 'Côte d’Ivoire', 'AFRO', '56', '17562', '0', '114');
INSERT INTO public.who_import VALUES (20158, '2020-08-27', 'CI', 'Côte d’Ivoire', 'AFRO', '41', '17603', '0', '114');
INSERT INTO public.who_import VALUES (20159, '2020-08-28', 'CI', 'Côte d’Ivoire', 'AFRO', '99', '17702', '1', '115');
INSERT INTO public.who_import VALUES (20160, '2020-08-29', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '17702', '0', '115');
INSERT INTO public.who_import VALUES (20161, '2020-08-30', 'CI', 'Côte d’Ivoire', 'AFRO', '191', '17893', '0', '115');
INSERT INTO public.who_import VALUES (20162, '2020-08-31', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '17948', '0', '115');
INSERT INTO public.who_import VALUES (20163, '2020-09-01', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '17948', '0', '115');
INSERT INTO public.who_import VALUES (20164, '2020-09-02', 'CI', 'Côte d’Ivoire', 'AFRO', '155', '18103', '2', '117');
INSERT INTO public.who_import VALUES (20165, '2020-09-03', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '18103', '0', '117');
INSERT INTO public.who_import VALUES (20166, '2020-09-04', 'CI', 'Côte d’Ivoire', 'AFRO', '58', '18161', '0', '117');
INSERT INTO public.who_import VALUES (20167, '2020-09-05', 'CI', 'Côte d’Ivoire', 'AFRO', '47', '18208', '2', '119');
INSERT INTO public.who_import VALUES (20168, '2020-09-06', 'CI', 'Côte d’Ivoire', 'AFRO', '61', '18269', '0', '119');
INSERT INTO public.who_import VALUES (20169, '2020-09-07', 'CI', 'Côte d’Ivoire', 'AFRO', '319', '18588', '0', '119');
INSERT INTO public.who_import VALUES (20170, '2020-09-08', 'CI', 'Côte d’Ivoire', 'AFRO', '113', '18701', '0', '119');
INSERT INTO public.who_import VALUES (20171, '2020-09-09', 'CI', 'Côte d’Ivoire', 'AFRO', '77', '18778', '0', '119');
INSERT INTO public.who_import VALUES (20172, '2020-09-10', 'CI', 'Côte d’Ivoire', 'AFRO', '37', '18815', '0', '119');
INSERT INTO public.who_import VALUES (20173, '2020-09-11', 'CI', 'Côte d’Ivoire', 'AFRO', '54', '18869', '0', '119');
INSERT INTO public.who_import VALUES (20174, '2020-09-12', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '18869', '0', '119');
INSERT INTO public.who_import VALUES (20175, '2020-09-13', 'CI', 'Côte d’Ivoire', 'AFRO', '118', '18987', '1', '120');
INSERT INTO public.who_import VALUES (20176, '2020-09-14', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '18987', '0', '120');
INSERT INTO public.who_import VALUES (20177, '2020-09-15', 'CI', 'Côte d’Ivoire', 'AFRO', '26', '19013', '0', '120');
INSERT INTO public.who_import VALUES (20178, '2020-09-16', 'CI', 'Côte d’Ivoire', 'AFRO', '87', '19100', '0', '120');
INSERT INTO public.who_import VALUES (20179, '2020-09-17', 'CI', 'Côte d’Ivoire', 'AFRO', '32', '19132', '0', '120');
INSERT INTO public.who_import VALUES (20180, '2020-09-18', 'CI', 'Côte d’Ivoire', 'AFRO', '26', '19158', '0', '120');
INSERT INTO public.who_import VALUES (20181, '2020-09-19', 'CI', 'Côte d’Ivoire', 'AFRO', '42', '19200', '0', '120');
INSERT INTO public.who_import VALUES (20182, '2020-09-20', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '19200', '0', '120');
INSERT INTO public.who_import VALUES (20183, '2020-09-21', 'CI', 'Côte d’Ivoire', 'AFRO', '69', '19269', '0', '120');
INSERT INTO public.who_import VALUES (20184, '2020-09-22', 'CI', 'Côte d’Ivoire', 'AFRO', '51', '19320', '0', '120');
INSERT INTO public.who_import VALUES (20185, '2020-09-23', 'CI', 'Côte d’Ivoire', 'AFRO', '7', '19327', '0', '120');
INSERT INTO public.who_import VALUES (20186, '2020-09-24', 'CI', 'Côte d’Ivoire', 'AFRO', '103', '19430', '0', '120');
INSERT INTO public.who_import VALUES (20187, '2020-09-25', 'CI', 'Côte d’Ivoire', 'AFRO', '71', '19501', '0', '120');
INSERT INTO public.who_import VALUES (20188, '2020-09-26', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '19556', '0', '120');
INSERT INTO public.who_import VALUES (20189, '2020-09-27', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '19556', '0', '120');
INSERT INTO public.who_import VALUES (20190, '2020-09-28', 'CI', 'Côte d’Ivoire', 'AFRO', '73', '19629', '0', '120');
INSERT INTO public.who_import VALUES (20191, '2020-09-29', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '19641', '0', '120');
INSERT INTO public.who_import VALUES (20192, '2020-09-30', 'CI', 'Côte d’Ivoire', 'AFRO', '28', '19669', '0', '120');
INSERT INTO public.who_import VALUES (20193, '2020-10-01', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '19724', '0', '120');
INSERT INTO public.who_import VALUES (20194, '2020-10-02', 'CI', 'Côte d’Ivoire', 'AFRO', '31', '19755', '0', '120');
INSERT INTO public.who_import VALUES (20195, '2020-10-03', 'CI', 'Côte d’Ivoire', 'AFRO', '38', '19793', '0', '120');
INSERT INTO public.who_import VALUES (20196, '2020-10-04', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '19793', '0', '120');
INSERT INTO public.who_import VALUES (20197, '2020-10-05', 'CI', 'Côte d’Ivoire', 'AFRO', '56', '19849', '0', '120');
INSERT INTO public.who_import VALUES (20198, '2020-10-06', 'CI', 'Côte d’Ivoire', 'AFRO', '36', '19885', '0', '120');
INSERT INTO public.who_import VALUES (20199, '2020-10-07', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '19885', '0', '120');
INSERT INTO public.who_import VALUES (20200, '2020-10-08', 'CI', 'Côte d’Ivoire', 'AFRO', '18', '19903', '0', '120');
INSERT INTO public.who_import VALUES (20201, '2020-10-09', 'CI', 'Côte d’Ivoire', 'AFRO', '79', '19982', '0', '120');
INSERT INTO public.who_import VALUES (20202, '2020-10-10', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '19982', '0', '120');
INSERT INTO public.who_import VALUES (20203, '2020-10-11', 'CI', 'Côte d’Ivoire', 'AFRO', '54', '20036', '0', '120');
INSERT INTO public.who_import VALUES (20204, '2020-10-12', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20036', '0', '120');
INSERT INTO public.who_import VALUES (20205, '2020-10-13', 'CI', 'Côte d’Ivoire', 'AFRO', '118', '20154', '0', '120');
INSERT INTO public.who_import VALUES (20206, '2020-10-14', 'CI', 'Côte d’Ivoire', 'AFRO', '29', '20183', '0', '120');
INSERT INTO public.who_import VALUES (20207, '2020-10-15', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '20217', '1', '121');
INSERT INTO public.who_import VALUES (20208, '2020-10-16', 'CI', 'Côte d’Ivoire', 'AFRO', '40', '20257', '0', '121');
INSERT INTO public.who_import VALUES (20209, '2020-10-17', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20257', '0', '121');
INSERT INTO public.who_import VALUES (20210, '2020-10-18', 'CI', 'Côte d’Ivoire', 'AFRO', '18', '20275', '0', '121');
INSERT INTO public.who_import VALUES (20211, '2020-10-19', 'CI', 'Côte d’Ivoire', 'AFRO', '48', '20323', '0', '121');
INSERT INTO public.who_import VALUES (20212, '2020-10-20', 'CI', 'Côte d’Ivoire', 'AFRO', '1', '20324', '0', '121');
INSERT INTO public.who_import VALUES (20213, '2020-10-21', 'CI', 'Côte d’Ivoire', 'AFRO', '18', '20342', '0', '121');
INSERT INTO public.who_import VALUES (20214, '2020-10-22', 'CI', 'Côte d’Ivoire', 'AFRO', '21', '20363', '0', '121');
INSERT INTO public.who_import VALUES (20215, '2020-10-23', 'CI', 'Côte d’Ivoire', 'AFRO', '27', '20390', '0', '121');
INSERT INTO public.who_import VALUES (20216, '2020-10-24', 'CI', 'Côte d’Ivoire', 'AFRO', '15', '20405', '0', '121');
INSERT INTO public.who_import VALUES (20217, '2020-10-25', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20405', '0', '121');
INSERT INTO public.who_import VALUES (20218, '2020-10-26', 'CI', 'Côte d’Ivoire', 'AFRO', '65', '20470', '1', '122');
INSERT INTO public.who_import VALUES (20219, '2020-10-27', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20470', '0', '122');
INSERT INTO public.who_import VALUES (20220, '2020-10-28', 'CI', 'Côte d’Ivoire', 'AFRO', '18', '20488', '0', '122');
INSERT INTO public.who_import VALUES (20221, '2020-10-29', 'CI', 'Côte d’Ivoire', 'AFRO', '67', '20555', '2', '124');
INSERT INTO public.who_import VALUES (20222, '2020-10-30', 'CI', 'Côte d’Ivoire', 'AFRO', '73', '20628', '0', '124');
INSERT INTO public.who_import VALUES (20223, '2020-10-31', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20628', '0', '124');
INSERT INTO public.who_import VALUES (20224, '2020-11-01', 'CI', 'Côte d’Ivoire', 'AFRO', '64', '20692', '0', '124');
INSERT INTO public.who_import VALUES (20225, '2020-11-02', 'CI', 'Côte d’Ivoire', 'AFRO', '24', '20716', '2', '126');
INSERT INTO public.who_import VALUES (20226, '2020-11-03', 'CI', 'Côte d’Ivoire', 'AFRO', '37', '20753', '0', '126');
INSERT INTO public.who_import VALUES (20227, '2020-11-04', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '20765', '0', '126');
INSERT INTO public.who_import VALUES (20228, '2020-11-05', 'CI', 'Côte d’Ivoire', 'AFRO', '13', '20778', '0', '126');
INSERT INTO public.who_import VALUES (20229, '2020-11-06', 'CI', 'Côte d’Ivoire', 'AFRO', '11', '20789', '0', '126');
INSERT INTO public.who_import VALUES (20230, '2020-11-07', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '20801', '0', '126');
INSERT INTO public.who_import VALUES (20231, '2020-11-08', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20801', '0', '126');
INSERT INTO public.who_import VALUES (20232, '2020-11-09', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20801', '0', '126');
INSERT INTO public.who_import VALUES (20233, '2020-11-10', 'CI', 'Côte d’Ivoire', 'AFRO', '31', '20832', '0', '126');
INSERT INTO public.who_import VALUES (20234, '2020-11-11', 'CI', 'Côte d’Ivoire', 'AFRO', '15', '20847', '0', '126');
INSERT INTO public.who_import VALUES (20235, '2020-11-12', 'CI', 'Côte d’Ivoire', 'AFRO', '8', '20855', '1', '127');
INSERT INTO public.who_import VALUES (20236, '2020-11-13', 'CI', 'Côte d’Ivoire', 'AFRO', '27', '20882', '0', '127');
INSERT INTO public.who_import VALUES (20237, '2020-11-14', 'CI', 'Côte d’Ivoire', 'AFRO', '17', '20899', '0', '127');
INSERT INTO public.who_import VALUES (20238, '2020-11-15', 'CI', 'Côte d’Ivoire', 'AFRO', '46', '20945', '1', '128');
INSERT INTO public.who_import VALUES (20239, '2020-11-16', 'CI', 'Côte d’Ivoire', 'AFRO', '31', '20976', '0', '128');
INSERT INTO public.who_import VALUES (20240, '2020-11-17', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '20976', '0', '128');
INSERT INTO public.who_import VALUES (20241, '2020-11-18', 'CI', 'Côte d’Ivoire', 'AFRO', '28', '21004', '1', '129');
INSERT INTO public.who_import VALUES (20242, '2020-11-19', 'CI', 'Côte d’Ivoire', 'AFRO', '41', '21045', '0', '129');
INSERT INTO public.who_import VALUES (20243, '2020-11-20', 'CI', 'Côte d’Ivoire', 'AFRO', '38', '21083', '0', '129');
INSERT INTO public.who_import VALUES (20244, '2020-11-21', 'CI', 'Côte d’Ivoire', 'AFRO', '16', '21099', '0', '129');
INSERT INTO public.who_import VALUES (20245, '2020-11-22', 'CI', 'Côte d’Ivoire', 'AFRO', '27', '21126', '0', '129');
INSERT INTO public.who_import VALUES (20246, '2020-11-23', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '21138', '2', '131');
INSERT INTO public.who_import VALUES (20247, '2020-11-24', 'CI', 'Côte d’Ivoire', 'AFRO', '10', '21148', '0', '131');
INSERT INTO public.who_import VALUES (20248, '2020-11-25', 'CI', 'Côte d’Ivoire', 'AFRO', '8', '21156', '0', '131');
INSERT INTO public.who_import VALUES (20249, '2020-11-26', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '21168', '0', '131');
INSERT INTO public.who_import VALUES (20250, '2020-11-27', 'CI', 'Côte d’Ivoire', 'AFRO', '31', '21199', '0', '131');
INSERT INTO public.who_import VALUES (20251, '2020-11-28', 'CI', 'Côte d’Ivoire', 'AFRO', '33', '21232', '0', '131');
INSERT INTO public.who_import VALUES (20252, '2020-11-29', 'CI', 'Côte d’Ivoire', 'AFRO', '29', '21261', '0', '131');
INSERT INTO public.who_import VALUES (20253, '2020-11-30', 'CI', 'Côte d’Ivoire', 'AFRO', '49', '21310', '0', '131');
INSERT INTO public.who_import VALUES (20254, '2020-12-01', 'CI', 'Côte d’Ivoire', 'AFRO', '21', '21331', '1', '132');
INSERT INTO public.who_import VALUES (20255, '2020-12-02', 'CI', 'Côte d’Ivoire', 'AFRO', '3', '21334', '0', '132');
INSERT INTO public.who_import VALUES (20256, '2020-12-03', 'CI', 'Côte d’Ivoire', 'AFRO', '27', '21361', '0', '132');
INSERT INTO public.who_import VALUES (20257, '2020-12-04', 'CI', 'Côte d’Ivoire', 'AFRO', '28', '21389', '0', '132');
INSERT INTO public.who_import VALUES (20258, '2020-12-05', 'CI', 'Côte d’Ivoire', 'AFRO', '23', '21412', '0', '132');
INSERT INTO public.who_import VALUES (20259, '2020-12-06', 'CI', 'Côte d’Ivoire', 'AFRO', '29', '21441', '0', '132');
INSERT INTO public.who_import VALUES (20260, '2020-12-07', 'CI', 'Côte d’Ivoire', 'AFRO', '44', '21485', '0', '132');
INSERT INTO public.who_import VALUES (20261, '2020-12-08', 'CI', 'Côte d’Ivoire', 'AFRO', '22', '21507', '0', '132');
INSERT INTO public.who_import VALUES (20262, '2020-12-09', 'CI', 'Côte d’Ivoire', 'AFRO', '6', '21513', '0', '132');
INSERT INTO public.who_import VALUES (20263, '2020-12-10', 'CI', 'Côte d’Ivoire', 'AFRO', '34', '21547', '1', '133');
INSERT INTO public.who_import VALUES (20264, '2020-12-11', 'CI', 'Côte d’Ivoire', 'AFRO', '43', '21590', '0', '133');
INSERT INTO public.who_import VALUES (20265, '2020-12-12', 'CI', 'Côte d’Ivoire', 'AFRO', '28', '21618', '0', '133');
INSERT INTO public.who_import VALUES (20266, '2020-12-13', 'CI', 'Côte d’Ivoire', 'AFRO', '21', '21639', '0', '133');
INSERT INTO public.who_import VALUES (20267, '2020-12-14', 'CI', 'Côte d’Ivoire', 'AFRO', '41', '21680', '0', '133');
INSERT INTO public.who_import VALUES (20268, '2020-12-15', 'CI', 'Côte d’Ivoire', 'AFRO', '25', '21705', '0', '133');
INSERT INTO public.who_import VALUES (20269, '2020-12-16', 'CI', 'Côte d’Ivoire', 'AFRO', '12', '21717', '0', '133');
INSERT INTO public.who_import VALUES (20270, '2020-12-17', 'CI', 'Côte d’Ivoire', 'AFRO', '24', '21741', '0', '133');
INSERT INTO public.who_import VALUES (20271, '2020-12-18', 'CI', 'Côte d’Ivoire', 'AFRO', '31', '21772', '0', '133');
INSERT INTO public.who_import VALUES (20272, '2020-12-19', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '21772', '0', '133');
INSERT INTO public.who_import VALUES (20273, '2020-12-20', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '21772', '0', '133');
INSERT INTO public.who_import VALUES (20274, '2020-12-21', 'CI', 'Côte d’Ivoire', 'AFRO', '146', '21918', '0', '133');
INSERT INTO public.who_import VALUES (20275, '2020-12-22', 'CI', 'Côte d’Ivoire', 'AFRO', '14', '21932', '0', '133');
INSERT INTO public.who_import VALUES (20276, '2020-12-23', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '21932', '0', '133');
INSERT INTO public.who_import VALUES (20277, '2020-12-24', 'CI', 'Côte d’Ivoire', 'AFRO', '52', '21984', '0', '133');
INSERT INTO public.who_import VALUES (20278, '2020-12-25', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '21984', '0', '133');
INSERT INTO public.who_import VALUES (20279, '2020-12-26', 'CI', 'Côte d’Ivoire', 'AFRO', '97', '22081', '0', '133');
INSERT INTO public.who_import VALUES (20280, '2020-12-27', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22081', '0', '133');
INSERT INTO public.who_import VALUES (20281, '2020-12-28', 'CI', 'Côte d’Ivoire', 'AFRO', '71', '22152', '2', '135');
INSERT INTO public.who_import VALUES (20282, '2020-12-29', 'CI', 'Côte d’Ivoire', 'AFRO', '24', '22176', '2', '137');
INSERT INTO public.who_import VALUES (20283, '2020-12-30', 'CI', 'Côte d’Ivoire', 'AFRO', '74', '22250', '0', '137');
INSERT INTO public.who_import VALUES (20284, '2020-12-31', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22250', '0', '137');
INSERT INTO public.who_import VALUES (20285, '2021-01-01', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22250', '0', '137');
INSERT INTO public.who_import VALUES (20286, '2021-01-02', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22250', '0', '137');
INSERT INTO public.who_import VALUES (20287, '2021-01-03', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22250', '0', '137');
INSERT INTO public.who_import VALUES (20288, '2021-01-04', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22250', '0', '137');
INSERT INTO public.who_import VALUES (20289, '2021-01-05', 'CI', 'Côte d’Ivoire', 'AFRO', '398', '22648', '1', '138');
INSERT INTO public.who_import VALUES (20290, '2021-01-06', 'CI', 'Côte d’Ivoire', 'AFRO', '152', '22800', '0', '138');
INSERT INTO public.who_import VALUES (20291, '2021-01-07', 'CI', 'Côte d’Ivoire', 'AFRO', '55', '22855', '0', '138');
INSERT INTO public.who_import VALUES (20292, '2021-01-08', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '22855', '0', '138');
INSERT INTO public.who_import VALUES (20293, '2021-01-09', 'CI', 'Côte d’Ivoire', 'AFRO', '318', '23173', '0', '138');
INSERT INTO public.who_import VALUES (20294, '2021-01-10', 'CI', 'Côte d’Ivoire', 'AFRO', '81', '23254', '0', '138');
INSERT INTO public.who_import VALUES (20295, '2021-01-11', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '23254', '0', '138');
INSERT INTO public.who_import VALUES (20296, '2021-01-12', 'CI', 'Côte d’Ivoire', 'AFRO', '228', '23482', '1', '139');
INSERT INTO public.who_import VALUES (20297, '2021-01-13', 'CI', 'Côte d’Ivoire', 'AFRO', '412', '23894', '0', '139');
INSERT INTO public.who_import VALUES (20298, '2021-01-14', 'CI', 'Côte d’Ivoire', 'AFRO', '292', '24186', '1', '140');
INSERT INTO public.who_import VALUES (20299, '2021-01-15', 'CI', 'Côte d’Ivoire', 'AFRO', '183', '24369', '0', '140');
INSERT INTO public.who_import VALUES (20300, '2021-01-16', 'CI', 'Côte d’Ivoire', 'AFRO', '487', '24856', '1', '141');
INSERT INTO public.who_import VALUES (20301, '2021-01-17', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '24856', '0', '141');
INSERT INTO public.who_import VALUES (20302, '2021-01-18', 'CI', 'Côte d’Ivoire', 'AFRO', '385', '25241', '0', '141');
INSERT INTO public.who_import VALUES (20303, '2021-01-19', 'CI', 'Côte d’Ivoire', 'AFRO', '64', '25305', '1', '142');
INSERT INTO public.who_import VALUES (20304, '2021-01-20', 'CI', 'Côte d’Ivoire', 'AFRO', '78', '25383', '0', '142');
INSERT INTO public.who_import VALUES (20305, '2021-01-21', 'CI', 'Côte d’Ivoire', 'AFRO', '214', '25597', '0', '142');
INSERT INTO public.who_import VALUES (20306, '2021-01-22', 'CI', 'Côte d’Ivoire', 'AFRO', '154', '25751', '0', '142');
INSERT INTO public.who_import VALUES (20307, '2021-01-23', 'CI', 'Côte d’Ivoire', 'AFRO', '564', '26315', '1', '143');
INSERT INTO public.who_import VALUES (20308, '2021-01-24', 'CI', 'Côte d’Ivoire', 'AFRO', '297', '26612', '2', '145');
INSERT INTO public.who_import VALUES (20309, '2021-01-25', 'CI', 'Côte d’Ivoire', 'AFRO', '238', '26850', '1', '146');
INSERT INTO public.who_import VALUES (20310, '2021-01-26', 'CI', 'Côte d’Ivoire', 'AFRO', '0', '26850', '0', '146');
INSERT INTO public.who_import VALUES (20311, '2021-01-27', 'CI', 'Côte d’Ivoire', 'AFRO', '387', '27237', '1', '147');
INSERT INTO public.who_import VALUES (20312, '2021-01-28', 'CI', 'Côte d’Ivoire', 'AFRO', '219', '27456', '4', '151');
INSERT INTO public.who_import VALUES (20313, '2021-01-29', 'CI', 'Côte d’Ivoire', 'AFRO', '239', '27695', '0', '151');
INSERT INTO public.who_import VALUES (20314, '2021-01-30', 'CI', 'Côte d’Ivoire', 'AFRO', '240', '27935', '1', '152');
INSERT INTO public.who_import VALUES (20315, '2021-01-31', 'CI', 'Côte d’Ivoire', 'AFRO', '243', '28178', '0', '152');
INSERT INTO public.who_import VALUES (20316, '2021-02-01', 'CI', 'Côte d’Ivoire', 'AFRO', '221', '28399', '2', '154');
INSERT INTO public.who_import VALUES (20317, '2021-02-02', 'CI', 'Côte d’Ivoire', 'AFRO', '76', '28475', '2', '156');
INSERT INTO public.who_import VALUES (20318, '2021-02-03', 'CI', 'Côte d’Ivoire', 'AFRO', '132', '28607', '2', '158');
INSERT INTO public.who_import VALUES (20319, '2021-02-04', 'CI', 'Côte d’Ivoire', 'AFRO', '132', '28739', '0', '158');
INSERT INTO public.who_import VALUES (20320, '2021-02-05', 'CI', 'Côte d’Ivoire', 'AFRO', '363', '29102', '0', '158');
INSERT INTO public.who_import VALUES (20321, '2021-02-06', 'CI', 'Côte d’Ivoire', 'AFRO', '193', '29295', '2', '160');
INSERT INTO public.who_import VALUES (20322, '2021-02-07', 'CI', 'Côte d’Ivoire', 'AFRO', '272', '29567', '2', '162');
INSERT INTO public.who_import VALUES (20323, '2021-02-08', 'CI', 'Côte d’Ivoire', 'AFRO', '258', '29825', '0', '162');
INSERT INTO public.who_import VALUES (20324, '2021-02-09', 'CI', 'Côte d’Ivoire', 'AFRO', '142', '29967', '3', '165');
INSERT INTO public.who_import VALUES (20325, '2021-02-10', 'CI', 'Côte d’Ivoire', 'AFRO', '107', '30074', '0', '165');
INSERT INTO public.who_import VALUES (20326, '2021-02-11', 'CI', 'Côte d’Ivoire', 'AFRO', '166', '30240', '4', '169');
INSERT INTO public.who_import VALUES (20327, '2021-02-12', 'CI', 'Côte d’Ivoire', 'AFRO', '286', '30526', '2', '171');
INSERT INTO public.who_import VALUES (20328, '2021-02-13', 'CI', 'Côte d’Ivoire', 'AFRO', '191', '30717', '2', '173');
INSERT INTO public.who_import VALUES (20329, '2021-02-14', 'CI', 'Côte d’Ivoire', 'AFRO', '167', '30884', '0', '173');
INSERT INTO public.who_import VALUES (20330, '2021-02-15', 'CI', 'Côte d’Ivoire', 'AFRO', '256', '31140', '1', '174');
INSERT INTO public.who_import VALUES (20331, '2021-02-16', 'CI', 'Côte d’Ivoire', 'AFRO', '95', '31235', '1', '175');
INSERT INTO public.who_import VALUES (20332, '2021-02-17', 'CI', 'Côte d’Ivoire', 'AFRO', '130', '31365', '4', '179');
INSERT INTO public.who_import VALUES (20333, '2021-02-18', 'CI', 'Côte d’Ivoire', 'AFRO', '132', '31497', '1', '180');
INSERT INTO public.who_import VALUES (20334, '2021-02-19', 'CI', 'Côte d’Ivoire', 'AFRO', '115', '31612', '3', '183');
INSERT INTO public.who_import VALUES (20335, '2021-02-20', 'CI', 'Côte d’Ivoire', 'AFRO', '213', '31825', '2', '185');
INSERT INTO public.who_import VALUES (20336, '2020-01-03', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20337, '2020-01-04', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20338, '2020-01-05', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20339, '2020-01-06', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20340, '2020-01-07', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20341, '2020-01-08', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20342, '2020-01-09', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20343, '2020-01-10', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20344, '2020-01-11', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20345, '2020-01-12', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20346, '2020-01-13', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20347, '2020-01-14', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20348, '2020-01-15', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20349, '2020-01-16', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20350, '2020-01-17', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20351, '2020-01-18', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20352, '2020-01-19', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20353, '2020-01-20', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20354, '2020-01-21', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20355, '2020-01-22', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20356, '2020-01-23', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20357, '2020-01-24', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20358, '2020-01-25', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20359, '2020-01-26', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20360, '2020-01-27', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20361, '2020-01-28', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20362, '2020-01-29', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20363, '2020-01-30', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20364, '2020-01-31', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20365, '2020-02-01', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20366, '2020-02-02', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20367, '2020-02-03', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20368, '2020-02-04', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20369, '2020-02-05', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20370, '2020-02-06', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20371, '2020-02-07', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20372, '2020-02-08', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20373, '2020-02-09', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20374, '2020-02-10', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20375, '2020-02-11', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20376, '2020-02-12', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20377, '2020-02-13', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20378, '2020-02-14', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20379, '2020-02-15', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20380, '2020-02-16', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20381, '2020-02-17', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20382, '2020-02-18', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20383, '2020-02-19', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20384, '2020-02-20', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20385, '2020-02-21', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20386, '2020-02-22', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20387, '2020-02-23', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20388, '2020-02-24', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20389, '2020-02-25', 'HR', 'Croatia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20390, '2020-02-26', 'HR', 'Croatia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (20391, '2020-02-27', 'HR', 'Croatia', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (20392, '2020-02-28', 'HR', 'Croatia', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (20393, '2020-02-29', 'HR', 'Croatia', 'EURO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (20394, '2020-03-01', 'HR', 'Croatia', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (20395, '2020-03-02', 'HR', 'Croatia', 'EURO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (20396, '2020-03-03', 'HR', 'Croatia', 'EURO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (20397, '2020-03-04', 'HR', 'Croatia', 'EURO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (20398, '2020-03-05', 'HR', 'Croatia', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (20399, '2020-03-06', 'HR', 'Croatia', 'EURO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (20400, '2020-03-07', 'HR', 'Croatia', 'EURO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (20401, '2020-03-08', 'HR', 'Croatia', 'EURO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (20402, '2020-03-09', 'HR', 'Croatia', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (20403, '2020-03-10', 'HR', 'Croatia', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (20404, '2020-03-11', 'HR', 'Croatia', 'EURO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (20405, '2020-03-12', 'HR', 'Croatia', 'EURO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (20406, '2020-03-13', 'HR', 'Croatia', 'EURO', '9', '25', '0', '0');
INSERT INTO public.who_import VALUES (20407, '2020-03-14', 'HR', 'Croatia', 'EURO', '6', '31', '0', '0');
INSERT INTO public.who_import VALUES (20408, '2020-03-15', 'HR', 'Croatia', 'EURO', '6', '37', '0', '0');
INSERT INTO public.who_import VALUES (20409, '2020-03-16', 'HR', 'Croatia', 'EURO', '11', '48', '0', '0');
INSERT INTO public.who_import VALUES (20410, '2020-03-17', 'HR', 'Croatia', 'EURO', '8', '56', '0', '0');
INSERT INTO public.who_import VALUES (20411, '2020-03-18', 'HR', 'Croatia', 'EURO', '13', '69', '0', '0');
INSERT INTO public.who_import VALUES (20412, '2020-03-19', 'HR', 'Croatia', 'EURO', '12', '81', '0', '0');
INSERT INTO public.who_import VALUES (20413, '2020-03-20', 'HR', 'Croatia', 'EURO', '23', '104', '0', '0');
INSERT INTO public.who_import VALUES (20414, '2020-03-21', 'HR', 'Croatia', 'EURO', '22', '126', '0', '0');
INSERT INTO public.who_import VALUES (20415, '2020-03-22', 'HR', 'Croatia', 'EURO', '80', '206', '0', '0');
INSERT INTO public.who_import VALUES (20416, '2020-03-23', 'HR', 'Croatia', 'EURO', '29', '235', '0', '0');
INSERT INTO public.who_import VALUES (20417, '2020-03-24', 'HR', 'Croatia', 'EURO', '71', '306', '0', '0');
INSERT INTO public.who_import VALUES (20418, '2020-03-25', 'HR', 'Croatia', 'EURO', '76', '382', '1', '1');
INSERT INTO public.who_import VALUES (20419, '2020-03-26', 'HR', 'Croatia', 'EURO', '36', '418', '0', '1');
INSERT INTO public.who_import VALUES (20420, '2020-03-27', 'HR', 'Croatia', 'EURO', '77', '495', '1', '2');
INSERT INTO public.who_import VALUES (20421, '2020-03-28', 'HR', 'Croatia', 'EURO', '91', '586', '1', '3');
INSERT INTO public.who_import VALUES (20422, '2020-03-29', 'HR', 'Croatia', 'EURO', '71', '657', '2', '5');
INSERT INTO public.who_import VALUES (20423, '2020-03-30', 'HR', 'Croatia', 'EURO', '56', '713', '1', '6');
INSERT INTO public.who_import VALUES (20424, '2020-03-31', 'HR', 'Croatia', 'EURO', '77', '790', '0', '6');
INSERT INTO public.who_import VALUES (20425, '2020-04-01', 'HR', 'Croatia', 'EURO', '77', '867', '0', '6');
INSERT INTO public.who_import VALUES (20426, '2020-04-02', 'HR', 'Croatia', 'EURO', '96', '963', '0', '6');
INSERT INTO public.who_import VALUES (20427, '2020-04-03', 'HR', 'Croatia', 'EURO', '48', '1011', '1', '7');
INSERT INTO public.who_import VALUES (20428, '2020-04-04', 'HR', 'Croatia', 'EURO', '68', '1079', '1', '8');
INSERT INTO public.who_import VALUES (20429, '2020-04-05', 'HR', 'Croatia', 'EURO', '47', '1126', '4', '12');
INSERT INTO public.who_import VALUES (20430, '2020-04-06', 'HR', 'Croatia', 'EURO', '56', '1182', '3', '15');
INSERT INTO public.who_import VALUES (20431, '2020-04-07', 'HR', 'Croatia', 'EURO', '40', '1222', '1', '16');
INSERT INTO public.who_import VALUES (20432, '2020-04-08', 'HR', 'Croatia', 'EURO', '60', '1282', '2', '18');
INSERT INTO public.who_import VALUES (20433, '2020-04-09', 'HR', 'Croatia', 'EURO', '61', '1343', '1', '19');
INSERT INTO public.who_import VALUES (20434, '2020-04-10', 'HR', 'Croatia', 'EURO', '64', '1407', '1', '20');
INSERT INTO public.who_import VALUES (20435, '2020-04-11', 'HR', 'Croatia', 'EURO', '88', '1495', '1', '21');
INSERT INTO public.who_import VALUES (20436, '2020-04-12', 'HR', 'Croatia', 'EURO', '39', '1534', '0', '21');
INSERT INTO public.who_import VALUES (20437, '2020-04-13', 'HR', 'Croatia', 'EURO', '66', '1600', '2', '23');
INSERT INTO public.who_import VALUES (20438, '2020-04-14', 'HR', 'Croatia', 'EURO', '50', '1650', '2', '25');
INSERT INTO public.who_import VALUES (20439, '2020-04-15', 'HR', 'Croatia', 'EURO', '54', '1704', '6', '31');
INSERT INTO public.who_import VALUES (20440, '2020-04-16', 'HR', 'Croatia', 'EURO', '37', '1741', '3', '34');
INSERT INTO public.who_import VALUES (20441, '2020-04-17', 'HR', 'Croatia', 'EURO', '50', '1791', '1', '35');
INSERT INTO public.who_import VALUES (20442, '2020-04-18', 'HR', 'Croatia', 'EURO', '23', '1814', '1', '36');
INSERT INTO public.who_import VALUES (20443, '2020-04-19', 'HR', 'Croatia', 'EURO', '18', '1832', '3', '39');
INSERT INTO public.who_import VALUES (20444, '2020-04-20', 'HR', 'Croatia', 'EURO', '39', '1871', '8', '47');
INSERT INTO public.who_import VALUES (20445, '2020-04-21', 'HR', 'Croatia', 'EURO', '10', '1881', '0', '47');
INSERT INTO public.who_import VALUES (20446, '2020-04-22', 'HR', 'Croatia', 'EURO', '27', '1908', '1', '48');
INSERT INTO public.who_import VALUES (20447, '2020-04-23', 'HR', 'Croatia', 'EURO', '42', '1950', '0', '48');
INSERT INTO public.who_import VALUES (20448, '2020-04-24', 'HR', 'Croatia', 'EURO', '31', '1981', '2', '50');
INSERT INTO public.who_import VALUES (20449, '2020-04-25', 'HR', 'Croatia', 'EURO', '28', '2009', '1', '51');
INSERT INTO public.who_import VALUES (20450, '2020-04-26', 'HR', 'Croatia', 'EURO', '7', '2016', '3', '54');
INSERT INTO public.who_import VALUES (20451, '2020-04-27', 'HR', 'Croatia', 'EURO', '14', '2030', '1', '55');
INSERT INTO public.who_import VALUES (20452, '2020-04-28', 'HR', 'Croatia', 'EURO', '9', '2039', '4', '59');
INSERT INTO public.who_import VALUES (20453, '2020-04-29', 'HR', 'Croatia', 'EURO', '8', '2047', '4', '63');
INSERT INTO public.who_import VALUES (20454, '2020-04-30', 'HR', 'Croatia', 'EURO', '15', '2062', '4', '67');
INSERT INTO public.who_import VALUES (20455, '2020-05-01', 'HR', 'Croatia', 'EURO', '14', '2076', '2', '69');
INSERT INTO public.who_import VALUES (20456, '2020-05-02', 'HR', 'Croatia', 'EURO', '9', '2085', '6', '75');
INSERT INTO public.who_import VALUES (20457, '2020-05-03', 'HR', 'Croatia', 'EURO', '3', '2088', '2', '77');
INSERT INTO public.who_import VALUES (20458, '2020-05-04', 'HR', 'Croatia', 'EURO', '8', '2096', '2', '79');
INSERT INTO public.who_import VALUES (20459, '2020-05-05', 'HR', 'Croatia', 'EURO', '5', '2101', '1', '80');
INSERT INTO public.who_import VALUES (20460, '2020-05-06', 'HR', 'Croatia', 'EURO', '11', '2112', '3', '83');
INSERT INTO public.who_import VALUES (20461, '2020-05-07', 'HR', 'Croatia', 'EURO', '7', '2119', '2', '85');
INSERT INTO public.who_import VALUES (20462, '2020-05-08', 'HR', 'Croatia', 'EURO', '6', '2125', '1', '86');
INSERT INTO public.who_import VALUES (20463, '2020-05-09', 'HR', 'Croatia', 'EURO', '36', '2161', '0', '86');
INSERT INTO public.who_import VALUES (20464, '2020-05-10', 'HR', 'Croatia', 'EURO', '15', '2176', '1', '87');
INSERT INTO public.who_import VALUES (20465, '2020-05-11', 'HR', 'Croatia', 'EURO', '11', '2187', '3', '90');
INSERT INTO public.who_import VALUES (20466, '2020-05-12', 'HR', 'Croatia', 'EURO', '9', '2196', '1', '91');
INSERT INTO public.who_import VALUES (20467, '2020-05-13', 'HR', 'Croatia', 'EURO', '11', '2207', '0', '91');
INSERT INTO public.who_import VALUES (20468, '2020-05-14', 'HR', 'Croatia', 'EURO', '6', '2213', '3', '94');
INSERT INTO public.who_import VALUES (20469, '2020-05-15', 'HR', 'Croatia', 'EURO', '8', '2221', '0', '94');
INSERT INTO public.who_import VALUES (20470, '2020-05-16', 'HR', 'Croatia', 'EURO', '1', '2222', '1', '95');
INSERT INTO public.who_import VALUES (20471, '2020-05-17', 'HR', 'Croatia', 'EURO', '2', '2224', '0', '95');
INSERT INTO public.who_import VALUES (20472, '2020-05-18', 'HR', 'Croatia', 'EURO', '2', '2226', '0', '95');
INSERT INTO public.who_import VALUES (20473, '2020-05-19', 'HR', 'Croatia', 'EURO', '2', '2228', '0', '95');
INSERT INTO public.who_import VALUES (20474, '2020-05-20', 'HR', 'Croatia', 'EURO', '4', '2232', '1', '96');
INSERT INTO public.who_import VALUES (20475, '2020-05-21', 'HR', 'Croatia', 'EURO', '2', '2234', '0', '96');
INSERT INTO public.who_import VALUES (20476, '2020-05-22', 'HR', 'Croatia', 'EURO', '3', '2237', '1', '97');
INSERT INTO public.who_import VALUES (20477, '2020-05-23', 'HR', 'Croatia', 'EURO', '6', '2243', '2', '99');
INSERT INTO public.who_import VALUES (20478, '2020-05-24', 'HR', 'Croatia', 'EURO', '0', '2243', '0', '99');
INSERT INTO public.who_import VALUES (20479, '2020-05-25', 'HR', 'Croatia', 'EURO', '1', '2244', '0', '99');
INSERT INTO public.who_import VALUES (20480, '2020-05-26', 'HR', 'Croatia', 'EURO', '0', '2244', '1', '100');
INSERT INTO public.who_import VALUES (20481, '2020-05-27', 'HR', 'Croatia', 'EURO', '0', '2244', '1', '101');
INSERT INTO public.who_import VALUES (20482, '2020-05-28', 'HR', 'Croatia', 'EURO', '0', '2244', '0', '101');
INSERT INTO public.who_import VALUES (20483, '2020-05-29', 'HR', 'Croatia', 'EURO', '1', '2245', '1', '102');
INSERT INTO public.who_import VALUES (20484, '2020-05-30', 'HR', 'Croatia', 'EURO', '0', '2245', '1', '103');
INSERT INTO public.who_import VALUES (20485, '2020-05-31', 'HR', 'Croatia', 'EURO', '1', '2246', '0', '103');
INSERT INTO public.who_import VALUES (20486, '2020-06-01', 'HR', 'Croatia', 'EURO', '0', '2246', '0', '103');
INSERT INTO public.who_import VALUES (20487, '2020-06-02', 'HR', 'Croatia', 'EURO', '0', '2246', '0', '103');
INSERT INTO public.who_import VALUES (20488, '2020-06-03', 'HR', 'Croatia', 'EURO', '0', '2246', '0', '103');
INSERT INTO public.who_import VALUES (20489, '2020-06-04', 'HR', 'Croatia', 'EURO', '0', '2246', '0', '103');
INSERT INTO public.who_import VALUES (20490, '2020-06-05', 'HR', 'Croatia', 'EURO', '1', '2247', '0', '103');
INSERT INTO public.who_import VALUES (20491, '2020-06-06', 'HR', 'Croatia', 'EURO', '0', '2247', '0', '103');
INSERT INTO public.who_import VALUES (20492, '2020-06-07', 'HR', 'Croatia', 'EURO', '0', '2247', '1', '104');
INSERT INTO public.who_import VALUES (20493, '2020-06-08', 'HR', 'Croatia', 'EURO', '0', '2247', '0', '104');
INSERT INTO public.who_import VALUES (20494, '2020-06-09', 'HR', 'Croatia', 'EURO', '0', '2247', '0', '104');
INSERT INTO public.who_import VALUES (20495, '2020-06-10', 'HR', 'Croatia', 'EURO', '0', '2247', '2', '106');
INSERT INTO public.who_import VALUES (20496, '2020-06-11', 'HR', 'Croatia', 'EURO', '2', '2249', '0', '106');
INSERT INTO public.who_import VALUES (20497, '2020-06-12', 'HR', 'Croatia', 'EURO', '0', '2249', '0', '106');
INSERT INTO public.who_import VALUES (20498, '2020-06-13', 'HR', 'Croatia', 'EURO', '0', '2249', '1', '107');
INSERT INTO public.who_import VALUES (20499, '2020-06-14', 'HR', 'Croatia', 'EURO', '2', '2251', '0', '107');
INSERT INTO public.who_import VALUES (20500, '2020-06-15', 'HR', 'Croatia', 'EURO', '1', '2252', '0', '107');
INSERT INTO public.who_import VALUES (20501, '2020-06-16', 'HR', 'Croatia', 'EURO', '2', '2254', '0', '107');
INSERT INTO public.who_import VALUES (20502, '2020-06-17', 'HR', 'Croatia', 'EURO', '1', '2255', '0', '107');
INSERT INTO public.who_import VALUES (20503, '2020-06-18', 'HR', 'Croatia', 'EURO', '3', '2258', '0', '107');
INSERT INTO public.who_import VALUES (20504, '2020-06-19', 'HR', 'Croatia', 'EURO', '11', '2269', '0', '107');
INSERT INTO public.who_import VALUES (20505, '2020-06-20', 'HR', 'Croatia', 'EURO', '11', '2280', '0', '107');
INSERT INTO public.who_import VALUES (20506, '2020-06-21', 'HR', 'Croatia', 'EURO', '19', '2299', '0', '107');
INSERT INTO public.who_import VALUES (20507, '2020-06-22', 'HR', 'Croatia', 'EURO', '18', '2317', '0', '107');
INSERT INTO public.who_import VALUES (20508, '2020-06-23', 'HR', 'Croatia', 'EURO', '19', '2336', '0', '107');
INSERT INTO public.who_import VALUES (20509, '2020-06-24', 'HR', 'Croatia', 'EURO', '30', '2366', '0', '107');
INSERT INTO public.who_import VALUES (20510, '2020-06-25', 'HR', 'Croatia', 'EURO', '22', '2388', '0', '107');
INSERT INTO public.who_import VALUES (20511, '2020-06-26', 'HR', 'Croatia', 'EURO', '95', '2483', '0', '107');
INSERT INTO public.who_import VALUES (20512, '2020-06-27', 'HR', 'Croatia', 'EURO', '56', '2539', '0', '107');
INSERT INTO public.who_import VALUES (20513, '2020-06-28', 'HR', 'Croatia', 'EURO', '85', '2624', '0', '107');
INSERT INTO public.who_import VALUES (20514, '2020-06-29', 'HR', 'Croatia', 'EURO', '67', '2691', '0', '107');
INSERT INTO public.who_import VALUES (20515, '2020-06-30', 'HR', 'Croatia', 'EURO', '34', '2725', '0', '107');
INSERT INTO public.who_import VALUES (20516, '2020-07-01', 'HR', 'Croatia', 'EURO', '52', '2777', '0', '107');
INSERT INTO public.who_import VALUES (20517, '2020-07-02', 'HR', 'Croatia', 'EURO', '54', '2831', '1', '108');
INSERT INTO public.who_import VALUES (20518, '2020-07-03', 'HR', 'Croatia', 'EURO', '81', '2912', '2', '110');
INSERT INTO public.who_import VALUES (20519, '2020-07-04', 'HR', 'Croatia', 'EURO', '96', '3008', '2', '112');
INSERT INTO public.who_import VALUES (20520, '2020-07-05', 'HR', 'Croatia', 'EURO', '86', '3094', '1', '113');
INSERT INTO public.who_import VALUES (20521, '2020-07-06', 'HR', 'Croatia', 'EURO', '57', '3151', '0', '113');
INSERT INTO public.who_import VALUES (20522, '2020-07-07', 'HR', 'Croatia', 'EURO', '69', '3220', '0', '113');
INSERT INTO public.who_import VALUES (20523, '2020-07-08', 'HR', 'Croatia', 'EURO', '52', '3272', '0', '113');
INSERT INTO public.who_import VALUES (20524, '2020-07-09', 'HR', 'Croatia', 'EURO', '53', '3325', '1', '114');
INSERT INTO public.who_import VALUES (20525, '2020-07-10', 'HR', 'Croatia', 'EURO', '91', '3416', '1', '115');
INSERT INTO public.who_import VALUES (20526, '2020-07-11', 'HR', 'Croatia', 'EURO', '116', '3532', '2', '117');
INSERT INTO public.who_import VALUES (20527, '2020-07-12', 'HR', 'Croatia', 'EURO', '140', '3672', '1', '118');
INSERT INTO public.who_import VALUES (20528, '2020-07-13', 'HR', 'Croatia', 'EURO', '50', '3722', '1', '119');
INSERT INTO public.who_import VALUES (20529, '2020-07-14', 'HR', 'Croatia', 'EURO', '53', '3775', '0', '119');
INSERT INTO public.who_import VALUES (20530, '2020-07-15', 'HR', 'Croatia', 'EURO', '52', '3827', '0', '119');
INSERT INTO public.who_import VALUES (20531, '2020-07-16', 'HR', 'Croatia', 'EURO', '126', '3953', '0', '119');
INSERT INTO public.who_import VALUES (20532, '2020-07-17', 'HR', 'Croatia', 'EURO', '86', '4039', '0', '119');
INSERT INTO public.who_import VALUES (20533, '2020-07-18', 'HR', 'Croatia', 'EURO', '98', '4137', '1', '120');
INSERT INTO public.who_import VALUES (20534, '2020-07-19', 'HR', 'Croatia', 'EURO', '98', '4235', '0', '120');
INSERT INTO public.who_import VALUES (20535, '2020-07-20', 'HR', 'Croatia', 'EURO', '119', '4354', '0', '120');
INSERT INTO public.who_import VALUES (20536, '2020-07-21', 'HR', 'Croatia', 'EURO', '16', '4370', '2', '122');
INSERT INTO public.who_import VALUES (20537, '2020-07-22', 'HR', 'Croatia', 'EURO', '52', '4422', '0', '122');
INSERT INTO public.who_import VALUES (20538, '2020-07-23', 'HR', 'Croatia', 'EURO', '108', '4530', '3', '125');
INSERT INTO public.who_import VALUES (20539, '2020-07-24', 'HR', 'Croatia', 'EURO', '104', '4634', '3', '128');
INSERT INTO public.who_import VALUES (20540, '2020-07-25', 'HR', 'Croatia', 'EURO', '81', '4715', '0', '128');
INSERT INTO public.who_import VALUES (20541, '2020-07-26', 'HR', 'Croatia', 'EURO', '77', '4792', '5', '133');
INSERT INTO public.who_import VALUES (20542, '2020-07-27', 'HR', 'Croatia', 'EURO', '65', '4857', '3', '136');
INSERT INTO public.who_import VALUES (20543, '2020-07-28', 'HR', 'Croatia', 'EURO', '24', '4881', '3', '139');
INSERT INTO public.who_import VALUES (20544, '2020-07-29', 'HR', 'Croatia', 'EURO', '42', '4923', '1', '140');
INSERT INTO public.who_import VALUES (20545, '2020-07-30', 'HR', 'Croatia', 'EURO', '70', '4993', '1', '141');
INSERT INTO public.who_import VALUES (20546, '2020-07-31', 'HR', 'Croatia', 'EURO', '78', '5071', '3', '144');
INSERT INTO public.who_import VALUES (20547, '2020-08-01', 'HR', 'Croatia', 'EURO', '67', '5138', '1', '145');
INSERT INTO public.who_import VALUES (20548, '2020-08-02', 'HR', 'Croatia', 'EURO', '86', '5224', '0', '145');
INSERT INTO public.who_import VALUES (20549, '2020-08-03', 'HR', 'Croatia', 'EURO', '36', '5260', '4', '149');
INSERT INTO public.who_import VALUES (20550, '2020-08-04', 'HR', 'Croatia', 'EURO', '36', '5296', '4', '153');
INSERT INTO public.who_import VALUES (20551, '2020-08-05', 'HR', 'Croatia', 'EURO', '22', '5318', '1', '154');
INSERT INTO public.who_import VALUES (20552, '2020-08-06', 'HR', 'Croatia', 'EURO', '58', '5376', '0', '154');
INSERT INTO public.who_import VALUES (20553, '2020-08-07', 'HR', 'Croatia', 'EURO', '28', '5404', '1', '155');
INSERT INTO public.who_import VALUES (20554, '2020-08-08', 'HR', 'Croatia', 'EURO', '62', '5466', '0', '155');
INSERT INTO public.who_import VALUES (20555, '2020-08-09', 'HR', 'Croatia', 'EURO', '77', '5543', '2', '157');
INSERT INTO public.who_import VALUES (20556, '2020-08-10', 'HR', 'Croatia', 'EURO', '61', '5604', '0', '157');
INSERT INTO public.who_import VALUES (20557, '2020-08-11', 'HR', 'Croatia', 'EURO', '45', '5649', '1', '158');
INSERT INTO public.who_import VALUES (20558, '2020-08-12', 'HR', 'Croatia', 'EURO', '91', '5740', '2', '160');
INSERT INTO public.who_import VALUES (20559, '2020-08-13', 'HR', 'Croatia', 'EURO', '130', '5870', '0', '160');
INSERT INTO public.who_import VALUES (20560, '2020-08-14', 'HR', 'Croatia', 'EURO', '180', '6050', '1', '161');
INSERT INTO public.who_import VALUES (20561, '2020-08-15', 'HR', 'Croatia', 'EURO', '208', '6258', '2', '163');
INSERT INTO public.who_import VALUES (20562, '2020-08-16', 'HR', 'Croatia', 'EURO', '162', '6420', '2', '165');
INSERT INTO public.who_import VALUES (20563, '2020-08-17', 'HR', 'Croatia', 'EURO', '151', '6571', '1', '166');
INSERT INTO public.who_import VALUES (20564, '2020-08-18', 'HR', 'Croatia', 'EURO', '85', '6656', '0', '166');
INSERT INTO public.who_import VALUES (20565, '2020-08-19', 'HR', 'Croatia', 'EURO', '199', '6855', '0', '166');
INSERT INTO public.who_import VALUES (20566, '2020-08-20', 'HR', 'Croatia', 'EURO', '219', '7074', '2', '168');
INSERT INTO public.who_import VALUES (20567, '2020-08-21', 'HR', 'Croatia', 'EURO', '255', '7329', '0', '168');
INSERT INTO public.who_import VALUES (20568, '2020-08-22', 'HR', 'Croatia', 'EURO', '265', '7594', '1', '169');
INSERT INTO public.who_import VALUES (20569, '2020-08-23', 'HR', 'Croatia', 'EURO', '306', '7900', '1', '170');
INSERT INTO public.who_import VALUES (20570, '2020-08-24', 'HR', 'Croatia', 'EURO', '275', '8175', '1', '171');
INSERT INTO public.who_import VALUES (20571, '2020-08-25', 'HR', 'Croatia', 'EURO', '136', '8311', '2', '173');
INSERT INTO public.who_import VALUES (20572, '2020-08-26', 'HR', 'Croatia', 'EURO', '219', '8530', '2', '175');
INSERT INTO public.who_import VALUES (20573, '2020-08-27', 'HR', 'Croatia', 'EURO', '358', '8888', '0', '175');
INSERT INTO public.who_import VALUES (20574, '2020-08-28', 'HR', 'Croatia', 'EURO', '304', '9192', '2', '177');
INSERT INTO public.who_import VALUES (20575, '2020-08-29', 'HR', 'Croatia', 'EURO', '357', '9549', '3', '180');
INSERT INTO public.who_import VALUES (20576, '2020-08-30', 'HR', 'Croatia', 'EURO', '312', '9861', '3', '183');
INSERT INTO public.who_import VALUES (20577, '2020-08-31', 'HR', 'Croatia', 'EURO', '262', '10123', '1', '184');
INSERT INTO public.who_import VALUES (20578, '2020-09-01', 'HR', 'Croatia', 'EURO', '146', '10269', '2', '186');
INSERT INTO public.who_import VALUES (20579, '2020-09-02', 'HR', 'Croatia', 'EURO', '145', '10414', '1', '187');
INSERT INTO public.who_import VALUES (20580, '2020-09-03', 'HR', 'Croatia', 'EURO', '311', '10725', '4', '191');
INSERT INTO public.who_import VALUES (20581, '2020-09-04', 'HR', 'Croatia', 'EURO', '369', '11094', '3', '194');
INSERT INTO public.who_import VALUES (20582, '2020-09-05', 'HR', 'Croatia', 'EURO', '334', '11428', '1', '195');
INSERT INTO public.who_import VALUES (20583, '2020-09-06', 'HR', 'Croatia', 'EURO', '311', '11739', '2', '197');
INSERT INTO public.who_import VALUES (20584, '2020-09-07', 'HR', 'Croatia', 'EURO', '225', '11964', '1', '198');
INSERT INTO public.who_import VALUES (20585, '2020-09-08', 'HR', 'Croatia', 'EURO', '117', '12081', '3', '201');
INSERT INTO public.who_import VALUES (20586, '2020-09-09', 'HR', 'Croatia', 'EURO', '204', '12285', '2', '203');
INSERT INTO public.who_import VALUES (20587, '2020-09-10', 'HR', 'Croatia', 'EURO', '341', '12626', '3', '206');
INSERT INTO public.who_import VALUES (20588, '2020-09-11', 'HR', 'Croatia', 'EURO', '291', '12917', '2', '208');
INSERT INTO public.who_import VALUES (20589, '2020-09-12', 'HR', 'Croatia', 'EURO', '190', '13107', '3', '211');
INSERT INTO public.who_import VALUES (20590, '2020-09-13', 'HR', 'Croatia', 'EURO', '261', '13368', '7', '218');
INSERT INTO public.who_import VALUES (20591, '2020-09-14', 'HR', 'Croatia', 'EURO', '165', '13533', '6', '224');
INSERT INTO public.who_import VALUES (20592, '2020-09-15', 'HR', 'Croatia', 'EURO', '65', '13598', '3', '227');
INSERT INTO public.who_import VALUES (20593, '2020-09-16', 'HR', 'Croatia', 'EURO', '151', '13749', '3', '230');
INSERT INTO public.who_import VALUES (20594, '2020-09-17', 'HR', 'Croatia', 'EURO', '280', '14029', '6', '236');
INSERT INTO public.who_import VALUES (20595, '2020-09-18', 'HR', 'Croatia', 'EURO', '250', '14279', '2', '238');
INSERT INTO public.who_import VALUES (20596, '2020-09-19', 'HR', 'Croatia', 'EURO', '234', '14513', '6', '244');
INSERT INTO public.who_import VALUES (20597, '2020-09-20', 'HR', 'Croatia', 'EURO', '212', '14725', '0', '244');
INSERT INTO public.who_import VALUES (20598, '2020-09-21', 'HR', 'Croatia', 'EURO', '197', '14922', '4', '248');
INSERT INTO public.who_import VALUES (20599, '2020-09-22', 'HR', 'Croatia', 'EURO', '70', '14992', '5', '253');
INSERT INTO public.who_import VALUES (20600, '2020-09-23', 'HR', 'Croatia', 'EURO', '144', '15136', '2', '255');
INSERT INTO public.who_import VALUES (20601, '2020-09-24', 'HR', 'Croatia', 'EURO', '204', '15340', '2', '257');
INSERT INTO public.who_import VALUES (20602, '2020-09-25', 'HR', 'Croatia', 'EURO', '232', '15572', '4', '261');
INSERT INTO public.who_import VALUES (20603, '2020-09-26', 'HR', 'Croatia', 'EURO', '223', '15795', '5', '266');
INSERT INTO public.who_import VALUES (20604, '2020-09-27', 'HR', 'Croatia', 'EURO', '212', '16007', '3', '269');
INSERT INTO public.who_import VALUES (20605, '2020-09-28', 'HR', 'Croatia', 'EURO', '190', '16197', '3', '272');
INSERT INTO public.who_import VALUES (20606, '2020-09-29', 'HR', 'Croatia', 'EURO', '48', '16245', '0', '272');
INSERT INTO public.who_import VALUES (20607, '2020-09-30', 'HR', 'Croatia', 'EURO', '135', '16380', '3', '275');
INSERT INTO public.who_import VALUES (20608, '2020-10-01', 'HR', 'Croatia', 'EURO', '213', '16593', '5', '280');
INSERT INTO public.who_import VALUES (20609, '2020-10-02', 'HR', 'Croatia', 'EURO', '234', '16827', '4', '284');
INSERT INTO public.who_import VALUES (20610, '2020-10-03', 'HR', 'Croatia', 'EURO', '333', '17160', '7', '291');
INSERT INTO public.who_import VALUES (20611, '2020-10-04', 'HR', 'Croatia', 'EURO', '241', '17401', '2', '293');
INSERT INTO public.who_import VALUES (20612, '2020-10-05', 'HR', 'Croatia', 'EURO', '258', '17659', '5', '298');
INSERT INTO public.who_import VALUES (20613, '2020-10-06', 'HR', 'Croatia', 'EURO', '138', '17797', '2', '300');
INSERT INTO public.who_import VALUES (20614, '2020-10-07', 'HR', 'Croatia', 'EURO', '287', '18084', '4', '304');
INSERT INTO public.who_import VALUES (20615, '2020-10-08', 'HR', 'Croatia', 'EURO', '363', '18447', '5', '309');
INSERT INTO public.who_import VALUES (20616, '2020-10-09', 'HR', 'Croatia', 'EURO', '542', '18989', '1', '310');
INSERT INTO public.who_import VALUES (20617, '2020-10-10', 'HR', 'Croatia', 'EURO', '457', '19446', '3', '313');
INSERT INTO public.who_import VALUES (20618, '2020-10-11', 'HR', 'Croatia', 'EURO', '486', '19932', '4', '317');
INSERT INTO public.who_import VALUES (20619, '2020-10-12', 'HR', 'Croatia', 'EURO', '508', '20440', '7', '324');
INSERT INTO public.who_import VALUES (20620, '2020-10-13', 'HR', 'Croatia', 'EURO', '181', '20621', '3', '327');
INSERT INTO public.who_import VALUES (20621, '2020-10-14', 'HR', 'Croatia', 'EURO', '372', '20993', '3', '330');
INSERT INTO public.who_import VALUES (20622, '2020-10-15', 'HR', 'Croatia', 'EURO', '748', '21741', '4', '334');
INSERT INTO public.who_import VALUES (20623, '2020-10-16', 'HR', 'Croatia', 'EURO', '793', '22534', '10', '344');
INSERT INTO public.who_import VALUES (20624, '2020-10-17', 'HR', 'Croatia', 'EURO', '1131', '23665', '1', '345');
INSERT INTO public.who_import VALUES (20625, '2020-10-18', 'HR', 'Croatia', 'EURO', '1096', '24761', '10', '355');
INSERT INTO public.who_import VALUES (20626, '2020-10-19', 'HR', 'Croatia', 'EURO', '819', '25580', '8', '363');
INSERT INTO public.who_import VALUES (20627, '2020-10-20', 'HR', 'Croatia', 'EURO', '393', '25973', '11', '374');
INSERT INTO public.who_import VALUES (20628, '2020-10-21', 'HR', 'Croatia', 'EURO', '890', '26863', '8', '382');
INSERT INTO public.who_import VALUES (20629, '2020-10-22', 'HR', 'Croatia', 'EURO', '1424', '28287', '11', '393');
INSERT INTO public.who_import VALUES (20630, '2020-10-23', 'HR', 'Croatia', 'EURO', '1563', '29850', '13', '406');
INSERT INTO public.who_import VALUES (20631, '2020-10-24', 'HR', 'Croatia', 'EURO', '1867', '31717', '7', '413');
INSERT INTO public.who_import VALUES (20632, '2020-10-25', 'HR', 'Croatia', 'EURO', '2242', '33959', '16', '429');
INSERT INTO public.who_import VALUES (20633, '2020-10-26', 'HR', 'Croatia', 'EURO', '2421', '36380', '8', '437');
INSERT INTO public.who_import VALUES (20634, '2020-10-27', 'HR', 'Croatia', 'EURO', '828', '37208', '15', '452');
INSERT INTO public.who_import VALUES (20635, '2020-10-28', 'HR', 'Croatia', 'EURO', '1413', '38621', '18', '470');
INSERT INTO public.who_import VALUES (20636, '2020-10-29', 'HR', 'Croatia', 'EURO', '2378', '40999', '23', '493');
INSERT INTO public.who_import VALUES (20637, '2020-10-30', 'HR', 'Croatia', 'EURO', '2776', '43775', '18', '511');
INSERT INTO public.who_import VALUES (20638, '2020-10-31', 'HR', 'Croatia', 'EURO', '2772', '46547', '20', '531');
INSERT INTO public.who_import VALUES (20639, '2020-11-01', 'HR', 'Croatia', 'EURO', '2769', '49316', '15', '546');
INSERT INTO public.who_import VALUES (20640, '2020-11-02', 'HR', 'Croatia', 'EURO', '2179', '51495', '16', '562');
INSERT INTO public.who_import VALUES (20641, '2020-11-03', 'HR', 'Croatia', 'EURO', '1165', '52660', '32', '594');
INSERT INTO public.who_import VALUES (20642, '2020-11-04', 'HR', 'Croatia', 'EURO', '1427', '54087', '34', '628');
INSERT INTO public.who_import VALUES (20643, '2020-11-05', 'HR', 'Croatia', 'EURO', '2480', '56567', '26', '654');
INSERT INTO public.who_import VALUES (20644, '2020-11-06', 'HR', 'Croatia', 'EURO', '2848', '59415', '29', '683');
INSERT INTO public.who_import VALUES (20645, '2020-11-07', 'HR', 'Croatia', 'EURO', '2890', '62305', '34', '717');
INSERT INTO public.who_import VALUES (20646, '2020-11-08', 'HR', 'Croatia', 'EURO', '2399', '64704', '35', '752');
INSERT INTO public.who_import VALUES (20647, '2020-11-09', 'HR', 'Croatia', 'EURO', '2543', '67247', '42', '794');
INSERT INTO public.who_import VALUES (20648, '2020-11-10', 'HR', 'Croatia', 'EURO', '1529', '68776', '38', '832');
INSERT INTO public.who_import VALUES (20649, '2020-11-11', 'HR', 'Croatia', 'EURO', '1467', '70243', '33', '865');
INSERT INTO public.who_import VALUES (20650, '2020-11-12', 'HR', 'Croatia', 'EURO', '2597', '72840', '28', '893');
INSERT INTO public.who_import VALUES (20651, '2020-11-13', 'HR', 'Croatia', 'EURO', '3082', '75922', '32', '925');
INSERT INTO public.who_import VALUES (20652, '2020-11-14', 'HR', 'Croatia', 'EURO', '3056', '78978', '43', '968');
INSERT INTO public.who_import VALUES (20653, '2020-11-15', 'HR', 'Croatia', 'EURO', '2866', '81844', '38', '1006');
INSERT INTO public.who_import VALUES (20654, '2020-11-16', 'HR', 'Croatia', 'EURO', '2362', '84206', '43', '1049');
INSERT INTO public.who_import VALUES (20655, '2020-11-17', 'HR', 'Croatia', 'EURO', '1313', '85519', '33', '1082');
INSERT INTO public.who_import VALUES (20656, '2020-11-18', 'HR', 'Croatia', 'EURO', '1945', '87464', '31', '1113');
INSERT INTO public.who_import VALUES (20657, '2020-11-19', 'HR', 'Croatia', 'EURO', '3251', '90715', '38', '1151');
INSERT INTO public.who_import VALUES (20658, '2020-11-20', 'HR', 'Croatia', 'EURO', '3164', '93879', '49', '1200');
INSERT INTO public.who_import VALUES (20659, '2020-11-21', 'HR', 'Croatia', 'EURO', '2958', '96837', '57', '1257');
INSERT INTO public.who_import VALUES (20660, '2020-11-22', 'HR', 'Croatia', 'EURO', '3573', '100410', '47', '1304');
INSERT INTO public.who_import VALUES (20661, '2020-11-23', 'HR', 'Croatia', 'EURO', '3308', '103718', '49', '1353');
INSERT INTO public.who_import VALUES (20662, '2020-11-24', 'HR', 'Croatia', 'EURO', '1973', '105691', '45', '1398');
INSERT INTO public.who_import VALUES (20663, '2020-11-25', 'HR', 'Croatia', 'EURO', '2323', '108014', '47', '1445');
INSERT INTO public.who_import VALUES (20664, '2020-11-26', 'HR', 'Croatia', 'EURO', '3603', '111617', '56', '1501');
INSERT INTO public.who_import VALUES (20665, '2020-11-27', 'HR', 'Croatia', 'EURO', '4009', '115626', '51', '1552');
INSERT INTO public.who_import VALUES (20666, '2020-11-28', 'HR', 'Croatia', 'EURO', '4080', '119706', '48', '1600');
INSERT INTO public.who_import VALUES (20667, '2020-11-29', 'HR', 'Croatia', 'EURO', '3987', '123693', '55', '1655');
INSERT INTO public.who_import VALUES (20668, '2020-11-30', 'HR', 'Croatia', 'EURO', '2919', '126612', '57', '1712');
INSERT INTO public.who_import VALUES (20669, '2020-12-01', 'HR', 'Croatia', 'EURO', '1830', '128442', '74', '1786');
INSERT INTO public.who_import VALUES (20670, '2020-12-02', 'HR', 'Croatia', 'EURO', '2900', '131342', '75', '1861');
INSERT INTO public.who_import VALUES (20671, '2020-12-03', 'HR', 'Croatia', 'EURO', '3539', '134881', '55', '1916');
INSERT INTO public.who_import VALUES (20672, '2020-12-04', 'HR', 'Croatia', 'EURO', '4534', '139415', '48', '1964');
INSERT INTO public.who_import VALUES (20673, '2020-12-05', 'HR', 'Croatia', 'EURO', '3955', '143370', '68', '2032');
INSERT INTO public.who_import VALUES (20674, '2020-12-06', 'HR', 'Croatia', 'EURO', '4084', '147454', '70', '2102');
INSERT INTO public.who_import VALUES (20675, '2020-12-07', 'HR', 'Croatia', 'EURO', '2899', '150353', '72', '2174');
INSERT INTO public.who_import VALUES (20676, '2020-12-08', 'HR', 'Croatia', 'EURO', '1886', '152239', '59', '2233');
INSERT INTO public.who_import VALUES (20677, '2020-12-09', 'HR', 'Croatia', 'EURO', '2613', '154852', '65', '2298');
INSERT INTO public.who_import VALUES (20678, '2020-12-10', 'HR', 'Croatia', 'EURO', '4520', '159372', '69', '2367');
INSERT INTO public.who_import VALUES (20679, '2020-12-11', 'HR', 'Croatia', 'EURO', '4620', '163992', '53', '2420');
INSERT INTO public.who_import VALUES (20680, '2020-12-12', 'HR', 'Croatia', 'EURO', '4396', '168388', '64', '2484');
INSERT INTO public.who_import VALUES (20681, '2020-12-13', 'HR', 'Croatia', 'EURO', '4135', '172523', '78', '2562');
INSERT INTO public.who_import VALUES (20682, '2020-12-14', 'HR', 'Croatia', 'EURO', '3363', '175886', '78', '2640');
INSERT INTO public.who_import VALUES (20683, '2020-12-15', 'HR', 'Croatia', 'EURO', '1472', '177358', '65', '2705');
INSERT INTO public.who_import VALUES (20684, '2020-12-16', 'HR', 'Croatia', 'EURO', '2360', '179718', '73', '2778');
INSERT INTO public.who_import VALUES (20685, '2020-12-17', 'HR', 'Croatia', 'EURO', '3327', '183045', '92', '2870');
INSERT INTO public.who_import VALUES (20686, '2020-12-18', 'HR', 'Croatia', 'EURO', '3918', '186963', '85', '2955');
INSERT INTO public.who_import VALUES (20687, '2020-12-19', 'HR', 'Croatia', 'EURO', '3272', '190235', '68', '3023');
INSERT INTO public.who_import VALUES (20688, '2020-12-20', 'HR', 'Croatia', 'EURO', '4727', '194962', '154', '3177');
INSERT INTO public.who_import VALUES (20689, '2020-12-21', 'HR', 'Croatia', 'EURO', '766', '195728', '80', '3257');
INSERT INTO public.who_import VALUES (20690, '2020-12-22', 'HR', 'Croatia', 'EURO', '1595', '197323', '71', '3328');
INSERT INTO public.who_import VALUES (20691, '2020-12-23', 'HR', 'Croatia', 'EURO', '2763', '200086', '66', '3394');
INSERT INTO public.who_import VALUES (20692, '2020-12-24', 'HR', 'Croatia', 'EURO', '2233', '202319', '70', '3464');
INSERT INTO public.who_import VALUES (20693, '2020-12-25', 'HR', 'Croatia', 'EURO', '1643', '203962', '84', '3548');
INSERT INTO public.who_import VALUES (20694, '2020-12-26', 'HR', 'Croatia', 'EURO', '350', '204312', '65', '3613');
INSERT INTO public.who_import VALUES (20695, '2020-12-27', 'HR', 'Croatia', 'EURO', '618', '204930', '58', '3671');
INSERT INTO public.who_import VALUES (20696, '2020-12-28', 'HR', 'Croatia', 'EURO', '316', '205246', '68', '3739');
INSERT INTO public.who_import VALUES (20697, '2020-12-29', 'HR', 'Croatia', 'EURO', '1350', '206596', '56', '3795');
INSERT INTO public.who_import VALUES (20698, '2020-12-30', 'HR', 'Croatia', 'EURO', '1850', '208446', '65', '3860');
INSERT INTO public.who_import VALUES (20699, '2020-12-31', 'HR', 'Croatia', 'EURO', '2391', '210837', '60', '3920');
INSERT INTO public.who_import VALUES (20700, '2021-01-01', 'HR', 'Croatia', 'EURO', '1170', '212007', '41', '3961');
INSERT INTO public.who_import VALUES (20701, '2021-01-02', 'HR', 'Croatia', 'EURO', '255', '212262', '55', '4016');
INSERT INTO public.who_import VALUES (20702, '2021-01-03', 'HR', 'Croatia', 'EURO', '696', '212958', '56', '4072');
INSERT INTO public.who_import VALUES (20703, '2021-01-04', 'HR', 'Croatia', 'EURO', '361', '213319', '54', '4126');
INSERT INTO public.who_import VALUES (20704, '2021-01-05', 'HR', 'Croatia', 'EURO', '1071', '214390', '53', '4179');
INSERT INTO public.who_import VALUES (20705, '2021-01-06', 'HR', 'Croatia', 'EURO', '1896', '216286', '44', '4223');
INSERT INTO public.who_import VALUES (20706, '2021-01-07', 'HR', 'Croatia', 'EURO', '562', '216848', '43', '4266');
INSERT INTO public.who_import VALUES (20707, '2021-01-08', 'HR', 'Croatia', 'EURO', '1098', '217946', '38', '4304');
INSERT INTO public.who_import VALUES (20708, '2021-01-09', 'HR', 'Croatia', 'EURO', '1401', '219347', '38', '4342');
INSERT INTO public.who_import VALUES (20709, '2021-01-10', 'HR', 'Croatia', 'EURO', '646', '219993', '26', '4368');
INSERT INTO public.who_import VALUES (20710, '2021-01-11', 'HR', 'Croatia', 'EURO', '230', '220223', '35', '4403');
INSERT INTO public.who_import VALUES (20711, '2021-01-12', 'HR', 'Croatia', 'EURO', '759', '220982', '43', '4446');
INSERT INTO public.who_import VALUES (20712, '2021-01-13', 'HR', 'Croatia', 'EURO', '1135', '222117', '26', '4472');
INSERT INTO public.who_import VALUES (20713, '2021-01-14', 'HR', 'Croatia', 'EURO', '980', '223097', '45', '4517');
INSERT INTO public.who_import VALUES (20714, '2021-01-15', 'HR', 'Croatia', 'EURO', '715', '223812', '33', '4550');
INSERT INTO public.who_import VALUES (20715, '2021-01-16', 'HR', 'Croatia', 'EURO', '763', '224575', '38', '4588');
INSERT INTO public.who_import VALUES (20716, '2021-01-17', 'HR', 'Croatia', 'EURO', '379', '224954', '28', '4616');
INSERT INTO public.who_import VALUES (20717, '2021-01-18', 'HR', 'Croatia', 'EURO', '174', '225128', '39', '4655');
INSERT INTO public.who_import VALUES (20718, '2021-01-19', 'HR', 'Croatia', 'EURO', '520', '225648', '29', '4684');
INSERT INTO public.who_import VALUES (20719, '2021-01-20', 'HR', 'Croatia', 'EURO', '902', '226550', '27', '4711');
INSERT INTO public.who_import VALUES (20720, '2021-01-21', 'HR', 'Croatia', 'EURO', '776', '227326', '27', '4738');
INSERT INTO public.who_import VALUES (20721, '2021-01-22', 'HR', 'Croatia', 'EURO', '643', '227969', '32', '4770');
INSERT INTO public.who_import VALUES (20722, '2021-01-23', 'HR', 'Croatia', 'EURO', '599', '228568', '29', '4799');
INSERT INTO public.who_import VALUES (20723, '2021-01-24', 'HR', 'Croatia', 'EURO', '352', '228920', '28', '4827');
INSERT INTO public.who_import VALUES (20724, '2021-01-25', 'HR', 'Croatia', 'EURO', '134', '229054', '32', '4859');
INSERT INTO public.who_import VALUES (20725, '2021-01-26', 'HR', 'Croatia', 'EURO', '448', '229502', '23', '4882');
INSERT INTO public.who_import VALUES (20726, '2021-01-27', 'HR', 'Croatia', 'EURO', '857', '230359', '31', '4913');
INSERT INTO public.who_import VALUES (20727, '2021-01-28', 'HR', 'Croatia', 'EURO', '619', '230978', '30', '4943');
INSERT INTO public.who_import VALUES (20728, '2021-01-29', 'HR', 'Croatia', 'EURO', '561', '231539', '29', '4972');
INSERT INTO public.who_import VALUES (20729, '2021-01-30', 'HR', 'Croatia', 'EURO', '551', '232090', '26', '4998');
INSERT INTO public.who_import VALUES (20730, '2021-01-31', 'HR', 'Croatia', 'EURO', '336', '232426', '29', '5027');
INSERT INTO public.who_import VALUES (20731, '2021-02-01', 'HR', 'Croatia', 'EURO', '94', '232520', '27', '5054');
INSERT INTO public.who_import VALUES (20732, '2021-02-02', 'HR', 'Croatia', 'EURO', '387', '232907', '17', '5071');
INSERT INTO public.who_import VALUES (20733, '2021-02-03', 'HR', 'Croatia', 'EURO', '730', '233637', '17', '5088');
INSERT INTO public.who_import VALUES (20734, '2021-02-04', 'HR', 'Croatia', 'EURO', '516', '234153', '18', '5106');
INSERT INTO public.who_import VALUES (20735, '2021-02-05', 'HR', 'Croatia', 'EURO', '549', '234702', '16', '5122');
INSERT INTO public.who_import VALUES (20736, '2021-02-06', 'HR', 'Croatia', 'EURO', '424', '235126', '22', '5144');
INSERT INTO public.who_import VALUES (20737, '2021-02-07', 'HR', 'Croatia', 'EURO', '276', '235402', '25', '5169');
INSERT INTO public.who_import VALUES (20738, '2021-02-08', 'HR', 'Croatia', 'EURO', '71', '235473', '29', '5198');
INSERT INTO public.who_import VALUES (20739, '2021-02-09', 'HR', 'Croatia', 'EURO', '283', '235756', '26', '5224');
INSERT INTO public.who_import VALUES (20740, '2021-02-10', 'HR', 'Croatia', 'EURO', '577', '236333', '14', '5238');
INSERT INTO public.who_import VALUES (20741, '2021-02-11', 'HR', 'Croatia', 'EURO', '376', '236709', '25', '5263');
INSERT INTO public.who_import VALUES (20742, '2021-02-12', 'HR', 'Croatia', 'EURO', '371', '237080', '19', '5282');
INSERT INTO public.who_import VALUES (20743, '2021-02-13', 'HR', 'Croatia', 'EURO', '379', '237459', '17', '5299');
INSERT INTO public.who_import VALUES (20744, '2021-02-14', 'HR', 'Croatia', 'EURO', '198', '237657', '19', '5318');
INSERT INTO public.who_import VALUES (20745, '2021-02-15', 'HR', 'Croatia', 'EURO', '68', '237725', '21', '5339');
INSERT INTO public.who_import VALUES (20746, '2021-02-16', 'HR', 'Croatia', 'EURO', '274', '237999', '18', '5357');
INSERT INTO public.who_import VALUES (20747, '2021-02-17', 'HR', 'Croatia', 'EURO', '502', '238501', '18', '5375');
INSERT INTO public.who_import VALUES (20748, '2021-02-18', 'HR', 'Croatia', 'EURO', '365', '238866', '24', '5399');
INSERT INTO public.who_import VALUES (20749, '2021-02-19', 'HR', 'Croatia', 'EURO', '388', '239254', '8', '5407');
INSERT INTO public.who_import VALUES (20750, '2021-02-20', 'HR', 'Croatia', 'EURO', '431', '239685', '13', '5420');
INSERT INTO public.who_import VALUES (20751, '2020-01-03', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20752, '2020-01-04', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20753, '2020-01-05', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20754, '2020-01-06', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20755, '2020-01-07', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20756, '2020-01-08', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20757, '2020-01-09', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20758, '2020-01-10', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20759, '2020-01-11', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20760, '2020-01-12', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20761, '2020-01-13', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20762, '2020-01-14', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20763, '2020-01-15', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20764, '2020-01-16', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20765, '2020-01-17', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20766, '2020-01-18', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20767, '2020-01-19', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20768, '2020-01-20', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20769, '2020-01-21', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20770, '2020-01-22', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20771, '2020-01-23', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20772, '2020-01-24', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20773, '2020-01-25', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20774, '2020-01-26', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20775, '2020-01-27', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20776, '2020-01-28', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20777, '2020-01-29', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20778, '2020-01-30', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20779, '2020-01-31', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20780, '2020-02-01', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20781, '2020-02-02', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20782, '2020-02-03', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20783, '2020-02-04', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20784, '2020-02-05', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20785, '2020-02-06', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20786, '2020-02-07', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20787, '2020-02-08', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20788, '2020-02-09', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20789, '2020-02-10', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20790, '2020-02-11', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20791, '2020-02-12', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20792, '2020-02-13', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20793, '2020-02-14', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20794, '2020-02-15', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20795, '2020-02-16', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20796, '2020-02-17', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20797, '2020-02-18', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20798, '2020-02-19', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20799, '2020-02-20', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20800, '2020-02-21', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20801, '2020-02-22', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20802, '2020-02-23', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20803, '2020-02-24', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20804, '2020-02-25', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20805, '2020-02-26', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20806, '2020-02-27', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20807, '2020-02-28', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20808, '2020-02-29', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20809, '2020-03-01', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20810, '2020-03-02', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20811, '2020-03-03', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20812, '2020-03-04', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20813, '2020-03-05', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20814, '2020-03-06', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20815, '2020-03-07', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20816, '2020-03-08', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20817, '2020-03-09', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20818, '2020-03-10', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20819, '2020-03-11', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20820, '2020-03-12', 'CU', 'Cuba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (20821, '2020-03-13', 'CU', 'Cuba', 'AMRO', '8', '8', '0', '0');
INSERT INTO public.who_import VALUES (20822, '2020-03-14', 'CU', 'Cuba', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (20823, '2020-03-15', 'CU', 'Cuba', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (20824, '2020-03-16', 'CU', 'Cuba', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (20825, '2020-03-17', 'CU', 'Cuba', 'AMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (20826, '2020-03-18', 'CU', 'Cuba', 'AMRO', '5', '14', '1', '1');
INSERT INTO public.who_import VALUES (20827, '2020-03-19', 'CU', 'Cuba', 'AMRO', '-3', '11', '0', '1');
INSERT INTO public.who_import VALUES (20828, '2020-03-20', 'CU', 'Cuba', 'AMRO', '5', '16', '0', '1');
INSERT INTO public.who_import VALUES (20829, '2020-03-21', 'CU', 'Cuba', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (20830, '2020-03-22', 'CU', 'Cuba', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (20831, '2020-03-23', 'CU', 'Cuba', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (20832, '2020-03-24', 'CU', 'Cuba', 'AMRO', '32', '48', '0', '1');
INSERT INTO public.who_import VALUES (20833, '2020-03-25', 'CU', 'Cuba', 'AMRO', '0', '48', '0', '1');
INSERT INTO public.who_import VALUES (20834, '2020-03-26', 'CU', 'Cuba', 'AMRO', '19', '67', '0', '1');
INSERT INTO public.who_import VALUES (20835, '2020-03-27', 'CU', 'Cuba', 'AMRO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (20836, '2020-03-28', 'CU', 'Cuba', 'AMRO', '13', '80', '1', '2');
INSERT INTO public.who_import VALUES (20837, '2020-03-29', 'CU', 'Cuba', 'AMRO', '39', '119', '1', '3');
INSERT INTO public.who_import VALUES (20838, '2020-03-30', 'CU', 'Cuba', 'AMRO', '0', '119', '0', '3');
INSERT INTO public.who_import VALUES (20839, '2020-03-31', 'CU', 'Cuba', 'AMRO', '51', '170', '1', '4');
INSERT INTO public.who_import VALUES (20840, '2020-04-01', 'CU', 'Cuba', 'AMRO', '16', '186', '2', '6');
INSERT INTO public.who_import VALUES (20841, '2020-04-02', 'CU', 'Cuba', 'AMRO', '26', '212', '0', '6');
INSERT INTO public.who_import VALUES (20842, '2020-04-03', 'CU', 'Cuba', 'AMRO', '21', '233', '0', '6');
INSERT INTO public.who_import VALUES (20843, '2020-04-04', 'CU', 'Cuba', 'AMRO', '36', '269', '0', '6');
INSERT INTO public.who_import VALUES (20844, '2020-04-05', 'CU', 'Cuba', 'AMRO', '19', '288', '0', '6');
INSERT INTO public.who_import VALUES (20845, '2020-04-06', 'CU', 'Cuba', 'AMRO', '32', '320', '2', '8');
INSERT INTO public.who_import VALUES (20846, '2020-04-07', 'CU', 'Cuba', 'AMRO', '30', '350', '1', '9');
INSERT INTO public.who_import VALUES (20847, '2020-04-08', 'CU', 'Cuba', 'AMRO', '46', '396', '2', '11');
INSERT INTO public.who_import VALUES (20848, '2020-04-09', 'CU', 'Cuba', 'AMRO', '61', '457', '1', '12');
INSERT INTO public.who_import VALUES (20849, '2020-04-10', 'CU', 'Cuba', 'AMRO', '58', '515', '3', '15');
INSERT INTO public.who_import VALUES (20850, '2020-04-11', 'CU', 'Cuba', 'AMRO', '49', '564', '0', '15');
INSERT INTO public.who_import VALUES (20851, '2020-04-12', 'CU', 'Cuba', 'AMRO', '56', '620', '1', '16');
INSERT INTO public.who_import VALUES (20852, '2020-04-13', 'CU', 'Cuba', 'AMRO', '49', '669', '2', '18');
INSERT INTO public.who_import VALUES (20853, '2020-04-14', 'CU', 'Cuba', 'AMRO', '57', '726', '3', '21');
INSERT INTO public.who_import VALUES (20854, '2020-04-15', 'CU', 'Cuba', 'AMRO', '40', '766', '0', '21');
INSERT INTO public.who_import VALUES (20855, '2020-04-16', 'CU', 'Cuba', 'AMRO', '48', '814', '3', '24');
INSERT INTO public.who_import VALUES (20856, '2020-04-17', 'CU', 'Cuba', 'AMRO', '48', '862', '3', '27');
INSERT INTO public.who_import VALUES (20857, '2020-04-18', 'CU', 'Cuba', 'AMRO', '61', '923', '4', '31');
INSERT INTO public.who_import VALUES (20858, '2020-04-19', 'CU', 'Cuba', 'AMRO', '63', '986', '1', '32');
INSERT INTO public.who_import VALUES (20859, '2020-04-20', 'CU', 'Cuba', 'AMRO', '49', '1035', '2', '34');
INSERT INTO public.who_import VALUES (20860, '2020-04-21', 'CU', 'Cuba', 'AMRO', '52', '1087', '2', '36');
INSERT INTO public.who_import VALUES (20861, '2020-04-22', 'CU', 'Cuba', 'AMRO', '50', '1137', '2', '38');
INSERT INTO public.who_import VALUES (20862, '2020-04-23', 'CU', 'Cuba', 'AMRO', '52', '1189', '2', '40');
INSERT INTO public.who_import VALUES (20863, '2020-04-24', 'CU', 'Cuba', 'AMRO', '46', '1235', '3', '43');
INSERT INTO public.who_import VALUES (20864, '2020-04-25', 'CU', 'Cuba', 'AMRO', '50', '1285', '6', '49');
INSERT INTO public.who_import VALUES (20865, '2020-04-26', 'CU', 'Cuba', 'AMRO', '52', '1337', '2', '51');
INSERT INTO public.who_import VALUES (20866, '2020-04-27', 'CU', 'Cuba', 'AMRO', '32', '1369', '3', '54');
INSERT INTO public.who_import VALUES (20867, '2020-04-28', 'CU', 'Cuba', 'AMRO', '20', '1389', '2', '56');
INSERT INTO public.who_import VALUES (20868, '2020-04-29', 'CU', 'Cuba', 'AMRO', '48', '1437', '2', '58');
INSERT INTO public.who_import VALUES (20869, '2020-04-30', 'CU', 'Cuba', 'AMRO', '30', '1467', '0', '58');
INSERT INTO public.who_import VALUES (20870, '2020-05-01', 'CU', 'Cuba', 'AMRO', '34', '1501', '3', '61');
INSERT INTO public.who_import VALUES (20871, '2020-05-02', 'CU', 'Cuba', 'AMRO', '36', '1537', '3', '64');
INSERT INTO public.who_import VALUES (20872, '2020-05-03', 'CU', 'Cuba', 'AMRO', '74', '1611', '2', '66');
INSERT INTO public.who_import VALUES (20873, '2020-05-04', 'CU', 'Cuba', 'AMRO', '38', '1649', '1', '67');
INSERT INTO public.who_import VALUES (20874, '2020-05-05', 'CU', 'Cuba', 'AMRO', '19', '1668', '2', '69');
INSERT INTO public.who_import VALUES (20875, '2020-05-06', 'CU', 'Cuba', 'AMRO', '17', '1685', '0', '69');
INSERT INTO public.who_import VALUES (20876, '2020-05-07', 'CU', 'Cuba', 'AMRO', '18', '1703', '0', '69');
INSERT INTO public.who_import VALUES (20877, '2020-05-08', 'CU', 'Cuba', 'AMRO', '26', '1729', '4', '73');
INSERT INTO public.who_import VALUES (20878, '2020-05-09', 'CU', 'Cuba', 'AMRO', '12', '1741', '1', '74');
INSERT INTO public.who_import VALUES (20879, '2020-05-10', 'CU', 'Cuba', 'AMRO', '13', '1754', '0', '74');
INSERT INTO public.who_import VALUES (20880, '2020-05-11', 'CU', 'Cuba', 'AMRO', '12', '1766', '3', '77');
INSERT INTO public.who_import VALUES (20881, '2020-05-12', 'CU', 'Cuba', 'AMRO', '17', '1783', '0', '77');
INSERT INTO public.who_import VALUES (20882, '2020-05-13', 'CU', 'Cuba', 'AMRO', '21', '1804', '1', '78');
INSERT INTO public.who_import VALUES (20883, '2020-05-14', 'CU', 'Cuba', 'AMRO', '6', '1810', '1', '79');
INSERT INTO public.who_import VALUES (20884, '2020-05-15', 'CU', 'Cuba', 'AMRO', '20', '1830', '0', '79');
INSERT INTO public.who_import VALUES (20885, '2020-05-16', 'CU', 'Cuba', 'AMRO', '10', '1840', '0', '79');
INSERT INTO public.who_import VALUES (20886, '2020-05-17', 'CU', 'Cuba', 'AMRO', '22', '1862', '0', '79');
INSERT INTO public.who_import VALUES (20887, '2020-05-18', 'CU', 'Cuba', 'AMRO', '10', '1872', '0', '79');
INSERT INTO public.who_import VALUES (20888, '2020-05-19', 'CU', 'Cuba', 'AMRO', '9', '1881', '0', '79');
INSERT INTO public.who_import VALUES (20889, '2020-05-20', 'CU', 'Cuba', 'AMRO', '6', '1887', '0', '79');
INSERT INTO public.who_import VALUES (20890, '2020-05-21', 'CU', 'Cuba', 'AMRO', '13', '1900', '0', '79');
INSERT INTO public.who_import VALUES (20891, '2020-05-22', 'CU', 'Cuba', 'AMRO', '8', '1908', '1', '80');
INSERT INTO public.who_import VALUES (20892, '2020-05-23', 'CU', 'Cuba', 'AMRO', '8', '1916', '1', '81');
INSERT INTO public.who_import VALUES (20893, '2020-05-24', 'CU', 'Cuba', 'AMRO', '15', '1931', '0', '81');
INSERT INTO public.who_import VALUES (20894, '2020-05-25', 'CU', 'Cuba', 'AMRO', '10', '1941', '1', '82');
INSERT INTO public.who_import VALUES (20895, '2020-05-26', 'CU', 'Cuba', 'AMRO', '6', '1947', '0', '82');
INSERT INTO public.who_import VALUES (20896, '2020-05-27', 'CU', 'Cuba', 'AMRO', '16', '1963', '0', '82');
INSERT INTO public.who_import VALUES (20897, '2020-05-28', 'CU', 'Cuba', 'AMRO', '11', '1974', '0', '82');
INSERT INTO public.who_import VALUES (20898, '2020-05-29', 'CU', 'Cuba', 'AMRO', '9', '1983', '0', '82');
INSERT INTO public.who_import VALUES (20899, '2020-05-30', 'CU', 'Cuba', 'AMRO', '22', '2005', '0', '82');
INSERT INTO public.who_import VALUES (20900, '2020-05-31', 'CU', 'Cuba', 'AMRO', '20', '2025', '1', '83');
INSERT INTO public.who_import VALUES (20901, '2020-06-01', 'CU', 'Cuba', 'AMRO', '20', '2045', '0', '83');
INSERT INTO public.who_import VALUES (20902, '2020-06-02', 'CU', 'Cuba', 'AMRO', '38', '2083', '0', '83');
INSERT INTO public.who_import VALUES (20903, '2020-06-03', 'CU', 'Cuba', 'AMRO', '9', '2092', '0', '83');
INSERT INTO public.who_import VALUES (20904, '2020-06-04', 'CU', 'Cuba', 'AMRO', '15', '2107', '0', '83');
INSERT INTO public.who_import VALUES (20905, '2020-06-05', 'CU', 'Cuba', 'AMRO', '12', '2119', '0', '83');
INSERT INTO public.who_import VALUES (20906, '2020-06-06', 'CU', 'Cuba', 'AMRO', '14', '2133', '0', '83');
INSERT INTO public.who_import VALUES (20907, '2020-06-07', 'CU', 'Cuba', 'AMRO', '40', '2173', '0', '83');
INSERT INTO public.who_import VALUES (20908, '2020-06-08', 'CU', 'Cuba', 'AMRO', '18', '2191', '0', '83');
INSERT INTO public.who_import VALUES (20909, '2020-06-09', 'CU', 'Cuba', 'AMRO', '9', '2200', '0', '83');
INSERT INTO public.who_import VALUES (20910, '2020-06-10', 'CU', 'Cuba', 'AMRO', '5', '2205', '0', '83');
INSERT INTO public.who_import VALUES (20911, '2020-06-11', 'CU', 'Cuba', 'AMRO', '6', '2211', '0', '83');
INSERT INTO public.who_import VALUES (20912, '2020-06-12', 'CU', 'Cuba', 'AMRO', '8', '2219', '1', '84');
INSERT INTO public.who_import VALUES (20913, '2020-06-13', 'CU', 'Cuba', 'AMRO', '14', '2233', '0', '84');
INSERT INTO public.who_import VALUES (20914, '2020-06-14', 'CU', 'Cuba', 'AMRO', '5', '2238', '0', '84');
INSERT INTO public.who_import VALUES (20915, '2020-06-15', 'CU', 'Cuba', 'AMRO', '10', '2248', '0', '84');
INSERT INTO public.who_import VALUES (20916, '2020-06-16', 'CU', 'Cuba', 'AMRO', '14', '2262', '0', '84');
INSERT INTO public.who_import VALUES (20917, '2020-06-17', 'CU', 'Cuba', 'AMRO', '11', '2273', '0', '84');
INSERT INTO public.who_import VALUES (20918, '2020-06-18', 'CU', 'Cuba', 'AMRO', '7', '2280', '0', '84');
INSERT INTO public.who_import VALUES (20919, '2020-06-19', 'CU', 'Cuba', 'AMRO', '15', '2295', '1', '85');
INSERT INTO public.who_import VALUES (20920, '2020-06-20', 'CU', 'Cuba', 'AMRO', '10', '2305', '0', '85');
INSERT INTO public.who_import VALUES (20921, '2020-06-21', 'CU', 'Cuba', 'AMRO', '4', '2309', '0', '85');
INSERT INTO public.who_import VALUES (20922, '2020-06-22', 'CU', 'Cuba', 'AMRO', '3', '2312', '0', '85');
INSERT INTO public.who_import VALUES (20923, '2020-06-23', 'CU', 'Cuba', 'AMRO', '3', '2315', '0', '85');
INSERT INTO public.who_import VALUES (20924, '2020-06-24', 'CU', 'Cuba', 'AMRO', '3', '2318', '0', '85');
INSERT INTO public.who_import VALUES (20925, '2020-06-25', 'CU', 'Cuba', 'AMRO', '1', '2319', '0', '85');
INSERT INTO public.who_import VALUES (20926, '2020-06-26', 'CU', 'Cuba', 'AMRO', '2', '2321', '0', '85');
INSERT INTO public.who_import VALUES (20927, '2020-06-27', 'CU', 'Cuba', 'AMRO', '4', '2325', '0', '85');
INSERT INTO public.who_import VALUES (20928, '2020-06-28', 'CU', 'Cuba', 'AMRO', '5', '2330', '1', '86');
INSERT INTO public.who_import VALUES (20929, '2020-06-29', 'CU', 'Cuba', 'AMRO', '2', '2332', '0', '86');
INSERT INTO public.who_import VALUES (20930, '2020-06-30', 'CU', 'Cuba', 'AMRO', '8', '2340', '0', '86');
INSERT INTO public.who_import VALUES (20931, '2020-07-01', 'CU', 'Cuba', 'AMRO', '1', '2341', '0', '86');
INSERT INTO public.who_import VALUES (20932, '2020-07-02', 'CU', 'Cuba', 'AMRO', '7', '2348', '0', '86');
INSERT INTO public.who_import VALUES (20933, '2020-07-03', 'CU', 'Cuba', 'AMRO', '5', '2353', '0', '86');
INSERT INTO public.who_import VALUES (20934, '2020-07-04', 'CU', 'Cuba', 'AMRO', '8', '2361', '0', '86');
INSERT INTO public.who_import VALUES (20935, '2020-07-05', 'CU', 'Cuba', 'AMRO', '8', '2369', '0', '86');
INSERT INTO public.who_import VALUES (20936, '2020-07-06', 'CU', 'Cuba', 'AMRO', '3', '2372', '0', '86');
INSERT INTO public.who_import VALUES (20937, '2020-07-07', 'CU', 'Cuba', 'AMRO', '8', '2380', '0', '86');
INSERT INTO public.who_import VALUES (20938, '2020-07-08', 'CU', 'Cuba', 'AMRO', '15', '2395', '0', '86');
INSERT INTO public.who_import VALUES (20939, '2020-07-09', 'CU', 'Cuba', 'AMRO', '4', '2399', '0', '86');
INSERT INTO public.who_import VALUES (20940, '2020-07-10', 'CU', 'Cuba', 'AMRO', '4', '2403', '0', '86');
INSERT INTO public.who_import VALUES (20941, '2020-07-11', 'CU', 'Cuba', 'AMRO', '10', '2413', '0', '86');
INSERT INTO public.who_import VALUES (20942, '2020-07-12', 'CU', 'Cuba', 'AMRO', '7', '2420', '1', '87');
INSERT INTO public.who_import VALUES (20943, '2020-07-13', 'CU', 'Cuba', 'AMRO', '6', '2426', '0', '87');
INSERT INTO public.who_import VALUES (20944, '2020-07-14', 'CU', 'Cuba', 'AMRO', '2', '2428', '0', '87');
INSERT INTO public.who_import VALUES (20945, '2020-07-15', 'CU', 'Cuba', 'AMRO', '4', '2432', '0', '87');
INSERT INTO public.who_import VALUES (20946, '2020-07-16', 'CU', 'Cuba', 'AMRO', '6', '2438', '0', '87');
INSERT INTO public.who_import VALUES (20947, '2020-07-17', 'CU', 'Cuba', 'AMRO', '2', '2440', '0', '87');
INSERT INTO public.who_import VALUES (20948, '2020-07-18', 'CU', 'Cuba', 'AMRO', '4', '2444', '0', '87');
INSERT INTO public.who_import VALUES (20949, '2020-07-19', 'CU', 'Cuba', 'AMRO', '1', '2445', '0', '87');
INSERT INTO public.who_import VALUES (20950, '2020-07-20', 'CU', 'Cuba', 'AMRO', '1', '2446', '0', '87');
INSERT INTO public.who_import VALUES (20951, '2020-07-21', 'CU', 'Cuba', 'AMRO', '0', '2446', '0', '87');
INSERT INTO public.who_import VALUES (20952, '2020-07-22', 'CU', 'Cuba', 'AMRO', '3', '2449', '0', '87');
INSERT INTO public.who_import VALUES (20953, '2020-07-23', 'CU', 'Cuba', 'AMRO', '13', '2462', '0', '87');
INSERT INTO public.who_import VALUES (20954, '2020-07-24', 'CU', 'Cuba', 'AMRO', '4', '2466', '0', '87');
INSERT INTO public.who_import VALUES (20955, '2020-07-25', 'CU', 'Cuba', 'AMRO', '3', '2469', '0', '87');
INSERT INTO public.who_import VALUES (20956, '2020-07-26', 'CU', 'Cuba', 'AMRO', '9', '2478', '0', '87');
INSERT INTO public.who_import VALUES (20957, '2020-07-27', 'CU', 'Cuba', 'AMRO', '17', '2495', '0', '87');
INSERT INTO public.who_import VALUES (20958, '2020-07-28', 'CU', 'Cuba', 'AMRO', '37', '2532', '0', '87');
INSERT INTO public.who_import VALUES (20959, '2020-07-29', 'CU', 'Cuba', 'AMRO', '23', '2555', '0', '87');
INSERT INTO public.who_import VALUES (20960, '2020-07-30', 'CU', 'Cuba', 'AMRO', '33', '2588', '0', '87');
INSERT INTO public.who_import VALUES (20961, '2020-07-31', 'CU', 'Cuba', 'AMRO', '9', '2597', '0', '87');
INSERT INTO public.who_import VALUES (20962, '2020-08-01', 'CU', 'Cuba', 'AMRO', '11', '2608', '0', '87');
INSERT INTO public.who_import VALUES (20963, '2020-08-02', 'CU', 'Cuba', 'AMRO', '25', '2633', '0', '87');
INSERT INTO public.who_import VALUES (20964, '2020-08-03', 'CU', 'Cuba', 'AMRO', '13', '2646', '0', '87');
INSERT INTO public.who_import VALUES (20965, '2020-08-04', 'CU', 'Cuba', 'AMRO', '24', '2670', '0', '87');
INSERT INTO public.who_import VALUES (20966, '2020-08-05', 'CU', 'Cuba', 'AMRO', '31', '2701', '1', '88');
INSERT INTO public.who_import VALUES (20967, '2020-08-06', 'CU', 'Cuba', 'AMRO', '25', '2726', '0', '88');
INSERT INTO public.who_import VALUES (20968, '2020-08-07', 'CU', 'Cuba', 'AMRO', '49', '2775', '0', '88');
INSERT INTO public.who_import VALUES (20969, '2020-08-08', 'CU', 'Cuba', 'AMRO', '54', '2829', '0', '88');
INSERT INTO public.who_import VALUES (20970, '2020-08-09', 'CU', 'Cuba', 'AMRO', '59', '2888', '0', '88');
INSERT INTO public.who_import VALUES (20971, '2020-08-10', 'CU', 'Cuba', 'AMRO', '65', '2953', '0', '88');
INSERT INTO public.who_import VALUES (20972, '2020-08-11', 'CU', 'Cuba', 'AMRO', '93', '3046', '0', '88');
INSERT INTO public.who_import VALUES (20973, '2020-08-12', 'CU', 'Cuba', 'AMRO', '47', '3093', '0', '88');
INSERT INTO public.who_import VALUES (20974, '2020-08-13', 'CU', 'Cuba', 'AMRO', '35', '3128', '0', '88');
INSERT INTO public.who_import VALUES (20975, '2020-08-14', 'CU', 'Cuba', 'AMRO', '46', '3174', '1', '89');
INSERT INTO public.who_import VALUES (20976, '2020-08-15', 'CU', 'Cuba', 'AMRO', '55', '3229', '-1', '88');
INSERT INTO public.who_import VALUES (20977, '2020-08-16', 'CU', 'Cuba', 'AMRO', '63', '3292', '0', '88');
INSERT INTO public.who_import VALUES (20978, '2020-08-17', 'CU', 'Cuba', 'AMRO', '24', '3316', '0', '88');
INSERT INTO public.who_import VALUES (20979, '2020-08-18', 'CU', 'Cuba', 'AMRO', '48', '3364', '0', '88');
INSERT INTO public.who_import VALUES (20980, '2020-08-19', 'CU', 'Cuba', 'AMRO', '44', '3408', '0', '88');
INSERT INTO public.who_import VALUES (20981, '2020-08-20', 'CU', 'Cuba', 'AMRO', '74', '3482', '0', '88');
INSERT INTO public.who_import VALUES (20982, '2020-08-21', 'CU', 'Cuba', 'AMRO', '83', '3565', '0', '88');
INSERT INTO public.who_import VALUES (20983, '2020-08-22', 'CU', 'Cuba', 'AMRO', '17', '3582', '1', '89');
INSERT INTO public.who_import VALUES (20984, '2020-08-23', 'CU', 'Cuba', 'AMRO', '35', '3617', '0', '89');
INSERT INTO public.who_import VALUES (20985, '2020-08-24', 'CU', 'Cuba', 'AMRO', '65', '3682', '2', '91');
INSERT INTO public.who_import VALUES (20986, '2020-08-25', 'CU', 'Cuba', 'AMRO', '35', '3717', '0', '91');
INSERT INTO public.who_import VALUES (20987, '2020-08-26', 'CU', 'Cuba', 'AMRO', '27', '3744', '0', '91');
INSERT INTO public.who_import VALUES (20988, '2020-08-27', 'CU', 'Cuba', 'AMRO', '15', '3759', '1', '92');
INSERT INTO public.who_import VALUES (20989, '2020-08-28', 'CU', 'Cuba', 'AMRO', '47', '3806', '0', '92');
INSERT INTO public.who_import VALUES (20990, '2020-08-29', 'CU', 'Cuba', 'AMRO', '60', '3866', '0', '92');
INSERT INTO public.who_import VALUES (20991, '2020-08-30', 'CU', 'Cuba', 'AMRO', '59', '3925', '2', '94');
INSERT INTO public.who_import VALUES (20992, '2020-08-31', 'CU', 'Cuba', 'AMRO', '48', '3973', '0', '94');
INSERT INTO public.who_import VALUES (20993, '2020-09-01', 'CU', 'Cuba', 'AMRO', '59', '4032', '0', '94');
INSERT INTO public.who_import VALUES (20994, '2020-09-02', 'CU', 'Cuba', 'AMRO', '33', '4065', '1', '95');
INSERT INTO public.who_import VALUES (20995, '2020-09-03', 'CU', 'Cuba', 'AMRO', '61', '4126', '3', '98');
INSERT INTO public.who_import VALUES (20996, '2020-09-04', 'CU', 'Cuba', 'AMRO', '88', '4214', '2', '100');
INSERT INTO public.who_import VALUES (20997, '2020-09-05', 'CU', 'Cuba', 'AMRO', '52', '4266', '0', '100');
INSERT INTO public.who_import VALUES (20998, '2020-09-06', 'CU', 'Cuba', 'AMRO', '32', '4298', '0', '100');
INSERT INTO public.who_import VALUES (20999, '2020-09-07', 'CU', 'Cuba', 'AMRO', '11', '4309', '1', '101');
INSERT INTO public.who_import VALUES (21000, '2020-09-08', 'CU', 'Cuba', 'AMRO', '43', '4352', '1', '102');
INSERT INTO public.who_import VALUES (21001, '2020-09-09', 'CU', 'Cuba', 'AMRO', '25', '4377', '2', '104');
INSERT INTO public.who_import VALUES (21002, '2020-09-10', 'CU', 'Cuba', 'AMRO', '82', '4459', '0', '104');
INSERT INTO public.who_import VALUES (21003, '2020-09-11', 'CU', 'Cuba', 'AMRO', '92', '4551', '2', '106');
INSERT INTO public.who_import VALUES (21004, '2020-09-12', 'CU', 'Cuba', 'AMRO', '42', '4593', '0', '106');
INSERT INTO public.who_import VALUES (21005, '2020-09-13', 'CU', 'Cuba', 'AMRO', '60', '4653', '2', '108');
INSERT INTO public.who_import VALUES (21006, '2020-09-14', 'CU', 'Cuba', 'AMRO', '31', '4684', '0', '108');
INSERT INTO public.who_import VALUES (21007, '2020-09-15', 'CU', 'Cuba', 'AMRO', '42', '4726', '0', '108');
INSERT INTO public.who_import VALUES (21008, '2020-09-16', 'CU', 'Cuba', 'AMRO', '77', '4803', '0', '108');
INSERT INTO public.who_import VALUES (21009, '2020-09-17', 'CU', 'Cuba', 'AMRO', '73', '4876', '1', '109');
INSERT INTO public.who_import VALUES (21010, '2020-09-18', 'CU', 'Cuba', 'AMRO', '57', '4933', '0', '109');
INSERT INTO public.who_import VALUES (21011, '2020-09-19', 'CU', 'Cuba', 'AMRO', '71', '5004', '2', '111');
INSERT INTO public.who_import VALUES (21012, '2020-09-20', 'CU', 'Cuba', 'AMRO', '51', '5055', '2', '113');
INSERT INTO public.who_import VALUES (21013, '2020-09-21', 'CU', 'Cuba', 'AMRO', '36', '5091', '2', '115');
INSERT INTO public.who_import VALUES (21014, '2020-09-22', 'CU', 'Cuba', 'AMRO', '50', '5141', '1', '116');
INSERT INTO public.who_import VALUES (21015, '2020-09-23', 'CU', 'Cuba', 'AMRO', '81', '5222', '1', '117');
INSERT INTO public.who_import VALUES (21016, '2020-09-24', 'CU', 'Cuba', 'AMRO', '48', '5270', '1', '118');
INSERT INTO public.who_import VALUES (21017, '2020-09-25', 'CU', 'Cuba', 'AMRO', '40', '5310', '0', '118');
INSERT INTO public.who_import VALUES (21018, '2020-09-26', 'CU', 'Cuba', 'AMRO', '40', '5350', '0', '118');
INSERT INTO public.who_import VALUES (21019, '2020-09-27', 'CU', 'Cuba', 'AMRO', '62', '5412', '2', '120');
INSERT INTO public.who_import VALUES (21020, '2020-09-28', 'CU', 'Cuba', 'AMRO', '45', '5457', '2', '122');
INSERT INTO public.who_import VALUES (21021, '2020-09-29', 'CU', 'Cuba', 'AMRO', '26', '5483', '0', '122');
INSERT INTO public.who_import VALUES (21022, '2020-09-30', 'CU', 'Cuba', 'AMRO', '48', '5531', '0', '122');
INSERT INTO public.who_import VALUES (21023, '2020-10-01', 'CU', 'Cuba', 'AMRO', '66', '5597', '0', '122');
INSERT INTO public.who_import VALUES (21024, '2020-10-02', 'CU', 'Cuba', 'AMRO', '73', '5670', '0', '122');
INSERT INTO public.who_import VALUES (21025, '2020-10-03', 'CU', 'Cuba', 'AMRO', '48', '5718', '0', '122');
INSERT INTO public.who_import VALUES (21026, '2020-10-04', 'CU', 'Cuba', 'AMRO', '62', '5780', '0', '122');
INSERT INTO public.who_import VALUES (21027, '2020-10-05', 'CU', 'Cuba', 'AMRO', '29', '5809', '0', '122');
INSERT INTO public.who_import VALUES (21028, '2020-10-06', 'CU', 'Cuba', 'AMRO', '36', '5845', '1', '123');
INSERT INTO public.who_import VALUES (21029, '2020-10-07', 'CU', 'Cuba', 'AMRO', '38', '5883', '0', '123');
INSERT INTO public.who_import VALUES (21030, '2020-10-08', 'CU', 'Cuba', 'AMRO', '15', '5898', '0', '123');
INSERT INTO public.who_import VALUES (21031, '2020-10-09', 'CU', 'Cuba', 'AMRO', '19', '5917', '0', '123');
INSERT INTO public.who_import VALUES (21032, '2020-10-10', 'CU', 'Cuba', 'AMRO', '26', '5943', '0', '123');
INSERT INTO public.who_import VALUES (21033, '2020-10-11', 'CU', 'Cuba', 'AMRO', '5', '5948', '0', '123');
INSERT INTO public.who_import VALUES (21034, '2020-10-12', 'CU', 'Cuba', 'AMRO', '30', '5978', '0', '123');
INSERT INTO public.who_import VALUES (21035, '2020-10-13', 'CU', 'Cuba', 'AMRO', '22', '6000', '0', '123');
INSERT INTO public.who_import VALUES (21036, '2020-10-14', 'CU', 'Cuba', 'AMRO', '17', '6017', '0', '123');
INSERT INTO public.who_import VALUES (21037, '2020-10-15', 'CU', 'Cuba', 'AMRO', '18', '6035', '0', '123');
INSERT INTO public.who_import VALUES (21038, '2020-10-16', 'CU', 'Cuba', 'AMRO', '27', '6062', '0', '123');
INSERT INTO public.who_import VALUES (21039, '2020-10-17', 'CU', 'Cuba', 'AMRO', '56', '6118', '1', '124');
INSERT INTO public.who_import VALUES (21040, '2020-10-18', 'CU', 'Cuba', 'AMRO', '52', '6170', '1', '125');
INSERT INTO public.who_import VALUES (21041, '2020-10-19', 'CU', 'Cuba', 'AMRO', '50', '6220', '0', '125');
INSERT INTO public.who_import VALUES (21042, '2020-10-20', 'CU', 'Cuba', 'AMRO', '38', '6258', '2', '127');
INSERT INTO public.who_import VALUES (21043, '2020-10-21', 'CU', 'Cuba', 'AMRO', '47', '6305', '0', '127');
INSERT INTO public.who_import VALUES (21044, '2020-10-22', 'CU', 'Cuba', 'AMRO', '63', '6368', '0', '127');
INSERT INTO public.who_import VALUES (21045, '2020-10-23', 'CU', 'Cuba', 'AMRO', '53', '6421', '1', '128');
INSERT INTO public.who_import VALUES (21046, '2020-10-24', 'CU', 'Cuba', 'AMRO', '58', '6479', '0', '128');
INSERT INTO public.who_import VALUES (21047, '2020-10-25', 'CU', 'Cuba', 'AMRO', '55', '6534', '0', '128');
INSERT INTO public.who_import VALUES (21048, '2020-10-26', 'CU', 'Cuba', 'AMRO', '32', '6566', '0', '128');
INSERT INTO public.who_import VALUES (21049, '2020-10-27', 'CU', 'Cuba', 'AMRO', '29', '6595', '0', '128');
INSERT INTO public.who_import VALUES (21050, '2020-10-28', 'CU', 'Cuba', 'AMRO', '83', '6678', '0', '128');
INSERT INTO public.who_import VALUES (21051, '2020-10-29', 'CU', 'Cuba', 'AMRO', '49', '6727', '0', '128');
INSERT INTO public.who_import VALUES (21052, '2020-10-30', 'CU', 'Cuba', 'AMRO', '39', '6766', '0', '128');
INSERT INTO public.who_import VALUES (21053, '2020-10-31', 'CU', 'Cuba', 'AMRO', '35', '6801', '0', '128');
INSERT INTO public.who_import VALUES (21054, '2020-11-01', 'CU', 'Cuba', 'AMRO', '86', '6887', '0', '128');
INSERT INTO public.who_import VALUES (21055, '2020-11-02', 'CU', 'Cuba', 'AMRO', '48', '6935', '0', '128');
INSERT INTO public.who_import VALUES (21056, '2020-11-03', 'CU', 'Cuba', 'AMRO', '35', '6970', '1', '129');
INSERT INTO public.who_import VALUES (21057, '2020-11-04', 'CU', 'Cuba', 'AMRO', '65', '7035', '0', '129');
INSERT INTO public.who_import VALUES (21058, '2020-11-05', 'CU', 'Cuba', 'AMRO', '109', '7144', '0', '129');
INSERT INTO public.who_import VALUES (21059, '2020-11-06', 'CU', 'Cuba', 'AMRO', '40', '7184', '0', '129');
INSERT INTO public.who_import VALUES (21060, '2020-11-07', 'CU', 'Cuba', 'AMRO', '44', '7228', '1', '130');
INSERT INTO public.who_import VALUES (21061, '2020-11-08', 'CU', 'Cuba', 'AMRO', '39', '7267', '0', '130');
INSERT INTO public.who_import VALUES (21062, '2020-11-09', 'CU', 'Cuba', 'AMRO', '30', '7297', '0', '130');
INSERT INTO public.who_import VALUES (21063, '2020-11-10', 'CU', 'Cuba', 'AMRO', '52', '7349', '0', '130');
INSERT INTO public.who_import VALUES (21064, '2020-11-11', 'CU', 'Cuba', 'AMRO', '43', '7392', '0', '130');
INSERT INTO public.who_import VALUES (21065, '2020-11-12', 'CU', 'Cuba', 'AMRO', '37', '7429', '0', '130');
INSERT INTO public.who_import VALUES (21066, '2020-11-13', 'CU', 'Cuba', 'AMRO', '58', '7487', '1', '131');
INSERT INTO public.who_import VALUES (21067, '2020-11-14', 'CU', 'Cuba', 'AMRO', '54', '7541', '0', '131');
INSERT INTO public.who_import VALUES (21068, '2020-11-15', 'CU', 'Cuba', 'AMRO', '27', '7568', '0', '131');
INSERT INTO public.who_import VALUES (21069, '2020-11-16', 'CU', 'Cuba', 'AMRO', '22', '7590', '0', '131');
INSERT INTO public.who_import VALUES (21070, '2020-11-17', 'CU', 'Cuba', 'AMRO', '49', '7639', '0', '131');
INSERT INTO public.who_import VALUES (21071, '2020-11-18', 'CU', 'Cuba', 'AMRO', '28', '7667', '0', '131');
INSERT INTO public.who_import VALUES (21072, '2020-11-19', 'CU', 'Cuba', 'AMRO', '37', '7704', '0', '131');
INSERT INTO public.who_import VALUES (21073, '2020-11-20', 'CU', 'Cuba', 'AMRO', '21', '7725', '0', '131');
INSERT INTO public.who_import VALUES (21074, '2020-11-21', 'CU', 'Cuba', 'AMRO', '38', '7763', '0', '131');
INSERT INTO public.who_import VALUES (21075, '2020-11-22', 'CU', 'Cuba', 'AMRO', '35', '7798', '1', '132');
INSERT INTO public.who_import VALUES (21076, '2020-11-23', 'CU', 'Cuba', 'AMRO', '48', '7846', '0', '132');
INSERT INTO public.who_import VALUES (21077, '2020-11-24', 'CU', 'Cuba', 'AMRO', '33', '7879', '0', '132');
INSERT INTO public.who_import VALUES (21078, '2020-11-25', 'CU', 'Cuba', 'AMRO', '71', '7950', '1', '133');
INSERT INTO public.who_import VALUES (21079, '2020-11-26', 'CU', 'Cuba', 'AMRO', '76', '8026', '0', '133');
INSERT INTO public.who_import VALUES (21080, '2020-11-27', 'CU', 'Cuba', 'AMRO', '49', '8075', '0', '133');
INSERT INTO public.who_import VALUES (21081, '2020-11-28', 'CU', 'Cuba', 'AMRO', '35', '8110', '0', '133');
INSERT INTO public.who_import VALUES (21082, '2020-11-29', 'CU', 'Cuba', 'AMRO', '63', '8173', '0', '133');
INSERT INTO public.who_import VALUES (21083, '2020-11-30', 'CU', 'Cuba', 'AMRO', '60', '8233', '1', '134');
INSERT INTO public.who_import VALUES (21084, '2020-12-01', 'CU', 'Cuba', 'AMRO', '51', '8284', '1', '135');
INSERT INTO public.who_import VALUES (21085, '2020-12-02', 'CU', 'Cuba', 'AMRO', '97', '8381', '1', '136');
INSERT INTO public.who_import VALUES (21086, '2020-12-03', 'CU', 'Cuba', 'AMRO', '75', '8456', '0', '136');
INSERT INTO public.who_import VALUES (21087, '2020-12-04', 'CU', 'Cuba', 'AMRO', '75', '8531', '0', '136');
INSERT INTO public.who_import VALUES (21088, '2020-12-05', 'CU', 'Cuba', 'AMRO', '79', '8610', '0', '136');
INSERT INTO public.who_import VALUES (21089, '2020-12-06', 'CU', 'Cuba', 'AMRO', '104', '8714', '0', '136');
INSERT INTO public.who_import VALUES (21090, '2020-12-07', 'CU', 'Cuba', 'AMRO', '68', '8782', '0', '136');
INSERT INTO public.who_import VALUES (21091, '2020-12-08', 'CU', 'Cuba', 'AMRO', '124', '8906', '0', '136');
INSERT INTO public.who_import VALUES (21092, '2020-12-09', 'CU', 'Cuba', 'AMRO', '76', '8982', '0', '136');
INSERT INTO public.who_import VALUES (21093, '2020-12-10', 'CU', 'Cuba', 'AMRO', '124', '9106', '0', '136');
INSERT INTO public.who_import VALUES (21094, '2020-12-11', 'CU', 'Cuba', 'AMRO', '75', '9181', '0', '136');
INSERT INTO public.who_import VALUES (21095, '2020-12-12', 'CU', 'Cuba', 'AMRO', '86', '9267', '0', '136');
INSERT INTO public.who_import VALUES (21096, '2020-12-13', 'CU', 'Cuba', 'AMRO', '87', '9354', '1', '137');
INSERT INTO public.who_import VALUES (21097, '2020-12-14', 'CU', 'Cuba', 'AMRO', '69', '9423', '0', '137');
INSERT INTO public.who_import VALUES (21098, '2020-12-15', 'CU', 'Cuba', 'AMRO', '69', '9492', '0', '137');
INSERT INTO public.who_import VALUES (21099, '2020-12-16', 'CU', 'Cuba', 'AMRO', '96', '9588', '0', '137');
INSERT INTO public.who_import VALUES (21100, '2020-12-17', 'CU', 'Cuba', 'AMRO', '83', '9671', '0', '137');
INSERT INTO public.who_import VALUES (21101, '2020-12-18', 'CU', 'Cuba', 'AMRO', '100', '9771', '0', '137');
INSERT INTO public.who_import VALUES (21102, '2020-12-19', 'CU', 'Cuba', 'AMRO', '122', '9893', '0', '137');
INSERT INTO public.who_import VALUES (21103, '2020-12-20', 'CU', 'Cuba', 'AMRO', '131', '10024', '0', '137');
INSERT INTO public.who_import VALUES (21104, '2020-12-21', 'CU', 'Cuba', 'AMRO', '103', '10127', '0', '137');
INSERT INTO public.who_import VALUES (21105, '2020-12-22', 'CU', 'Cuba', 'AMRO', '115', '10242', '0', '137');
INSERT INTO public.who_import VALUES (21106, '2020-12-23', 'CU', 'Cuba', 'AMRO', '142', '10384', '2', '139');
INSERT INTO public.who_import VALUES (21107, '2020-12-24', 'CU', 'Cuba', 'AMRO', '116', '10500', '0', '139');
INSERT INTO public.who_import VALUES (21108, '2020-12-25', 'CU', 'Cuba', 'AMRO', '0', '10500', '0', '139');
INSERT INTO public.who_import VALUES (21109, '2020-12-26', 'CU', 'Cuba', 'AMRO', '400', '10900', '1', '140');
INSERT INTO public.who_import VALUES (21110, '2020-12-27', 'CU', 'Cuba', 'AMRO', '138', '11038', '1', '141');
INSERT INTO public.who_import VALUES (21111, '2020-12-28', 'CU', 'Cuba', 'AMRO', '167', '11205', '1', '142');
INSERT INTO public.who_import VALUES (21112, '2020-12-29', 'CU', 'Cuba', 'AMRO', '229', '11434', '1', '143');
INSERT INTO public.who_import VALUES (21113, '2020-12-30', 'CU', 'Cuba', 'AMRO', '167', '11601', '0', '143');
INSERT INTO public.who_import VALUES (21114, '2020-12-31', 'CU', 'Cuba', 'AMRO', '86', '11687', '2', '145');
INSERT INTO public.who_import VALUES (21115, '2021-01-01', 'CU', 'Cuba', 'AMRO', '176', '11863', '1', '146');
INSERT INTO public.who_import VALUES (21116, '2021-01-02', 'CU', 'Cuba', 'AMRO', '193', '12056', '0', '146');
INSERT INTO public.who_import VALUES (21117, '2021-01-03', 'CU', 'Cuba', 'AMRO', '169', '12225', '0', '146');
INSERT INTO public.who_import VALUES (21118, '2021-01-04', 'CU', 'Cuba', 'AMRO', '199', '12424', '1', '147');
INSERT INTO public.who_import VALUES (21119, '2021-01-05', 'CU', 'Cuba', 'AMRO', '316', '12740', '0', '147');
INSERT INTO public.who_import VALUES (21120, '2021-01-06', 'CU', 'Cuba', 'AMRO', '224', '12964', '0', '147');
INSERT INTO public.who_import VALUES (21121, '2021-01-07', 'CU', 'Cuba', 'AMRO', '201', '13165', '1', '148');
INSERT INTO public.who_import VALUES (21122, '2021-01-08', 'CU', 'Cuba', 'AMRO', '314', '13479', '0', '148');
INSERT INTO public.who_import VALUES (21123, '2021-01-09', 'CU', 'Cuba', 'AMRO', '344', '13823', '0', '148');
INSERT INTO public.who_import VALUES (21124, '2021-01-10', 'CU', 'Cuba', 'AMRO', '365', '14188', '0', '148');
INSERT INTO public.who_import VALUES (21125, '2021-01-11', 'CU', 'Cuba', 'AMRO', '388', '14576', '3', '151');
INSERT INTO public.who_import VALUES (21126, '2021-01-12', 'CU', 'Cuba', 'AMRO', '431', '15007', '2', '153');
INSERT INTO public.who_import VALUES (21127, '2021-01-13', 'CU', 'Cuba', 'AMRO', '487', '15494', '2', '155');
INSERT INTO public.who_import VALUES (21128, '2021-01-14', 'CU', 'Cuba', 'AMRO', '550', '16044', '3', '158');
INSERT INTO public.who_import VALUES (21129, '2021-01-15', 'CU', 'Cuba', 'AMRO', '505', '16549', '2', '160');
INSERT INTO public.who_import VALUES (21130, '2021-01-16', 'CU', 'Cuba', 'AMRO', '547', '17096', '2', '162');
INSERT INTO public.who_import VALUES (21131, '2021-01-17', 'CU', 'Cuba', 'AMRO', '405', '17501', '4', '166');
INSERT INTO public.who_import VALUES (21132, '2021-01-18', 'CU', 'Cuba', 'AMRO', '0', '17501', '0', '166');
INSERT INTO public.who_import VALUES (21133, '2021-01-19', 'CU', 'Cuba', 'AMRO', '942', '18443', '7', '173');
INSERT INTO public.who_import VALUES (21134, '2021-01-20', 'CU', 'Cuba', 'AMRO', '330', '18773', '2', '175');
INSERT INTO public.who_import VALUES (21135, '2021-01-21', 'CU', 'Cuba', 'AMRO', '349', '19122', '5', '180');
INSERT INTO public.who_import VALUES (21136, '2021-01-22', 'CU', 'Cuba', 'AMRO', '408', '19530', '4', '184');
INSERT INTO public.who_import VALUES (21137, '2021-01-23', 'CU', 'Cuba', 'AMRO', '530', '20060', '4', '188');
INSERT INTO public.who_import VALUES (21138, '2021-01-24', 'CU', 'Cuba', 'AMRO', '567', '20627', '3', '191');
INSERT INTO public.who_import VALUES (21139, '2021-01-25', 'CU', 'Cuba', 'AMRO', '634', '21261', '3', '194');
INSERT INTO public.who_import VALUES (21140, '2021-01-26', 'CU', 'Cuba', 'AMRO', '567', '21828', '3', '197');
INSERT INTO public.who_import VALUES (21141, '2021-01-27', 'CU', 'Cuba', 'AMRO', '786', '22614', '3', '200');
INSERT INTO public.who_import VALUES (21142, '2021-01-28', 'CU', 'Cuba', 'AMRO', '825', '23439', '4', '204');
INSERT INTO public.who_import VALUES (21143, '2021-01-29', 'CU', 'Cuba', 'AMRO', '666', '24105', '4', '208');
INSERT INTO public.who_import VALUES (21144, '2021-01-30', 'CU', 'Cuba', 'AMRO', '659', '24764', '2', '210');
INSERT INTO public.who_import VALUES (21145, '2021-01-31', 'CU', 'Cuba', 'AMRO', '910', '25674', '3', '213');
INSERT INTO public.who_import VALUES (21146, '2021-02-01', 'CU', 'Cuba', 'AMRO', '1012', '26686', '1', '214');
INSERT INTO public.who_import VALUES (21147, '2021-02-02', 'CU', 'Cuba', 'AMRO', '906', '27592', '2', '216');
INSERT INTO public.who_import VALUES (21148, '2021-02-03', 'CU', 'Cuba', 'AMRO', '1044', '28636', '2', '218');
INSERT INTO public.who_import VALUES (21149, '2021-02-04', 'CU', 'Cuba', 'AMRO', '893', '29529', '2', '220');
INSERT INTO public.who_import VALUES (21150, '2021-02-05', 'CU', 'Cuba', 'AMRO', '816', '30345', '5', '225');
INSERT INTO public.who_import VALUES (21151, '2021-02-06', 'CU', 'Cuba', 'AMRO', '845', '31190', '4', '229');
INSERT INTO public.who_import VALUES (21152, '2021-02-07', 'CU', 'Cuba', 'AMRO', '821', '32011', '4', '233');
INSERT INTO public.who_import VALUES (21153, '2021-02-08', 'CU', 'Cuba', 'AMRO', '820', '32831', '5', '238');
INSERT INTO public.who_import VALUES (21154, '2021-02-09', 'CU', 'Cuba', 'AMRO', '653', '33484', '2', '240');
INSERT INTO public.who_import VALUES (21155, '2021-02-10', 'CU', 'Cuba', 'AMRO', '580', '34064', '4', '244');
INSERT INTO public.who_import VALUES (21156, '2021-02-11', 'CU', 'Cuba', 'AMRO', '858', '34922', '5', '249');
INSERT INTO public.who_import VALUES (21157, '2021-02-12', 'CU', 'Cuba', 'AMRO', '850', '35772', '4', '253');
INSERT INTO public.who_import VALUES (21158, '2021-02-13', 'CU', 'Cuba', 'AMRO', '823', '36595', '4', '257');
INSERT INTO public.who_import VALUES (21159, '2021-02-14', 'CU', 'Cuba', 'AMRO', '888', '37483', '4', '261');
INSERT INTO public.who_import VALUES (21160, '2021-02-15', 'CU', 'Cuba', 'AMRO', '806', '38289', '5', '266');
INSERT INTO public.who_import VALUES (21161, '2021-02-16', 'CU', 'Cuba', 'AMRO', '715', '39004', '3', '269');
INSERT INTO public.who_import VALUES (21162, '2021-02-17', 'CU', 'Cuba', 'AMRO', '937', '39941', '5', '274');
INSERT INTO public.who_import VALUES (21163, '2021-02-18', 'CU', 'Cuba', 'AMRO', '824', '40765', '3', '277');
INSERT INTO public.who_import VALUES (21164, '2021-02-19', 'CU', 'Cuba', 'AMRO', '923', '41688', '5', '282');
INSERT INTO public.who_import VALUES (21165, '2021-02-20', 'CU', 'Cuba', 'AMRO', '859', '42547', '5', '287');
INSERT INTO public.who_import VALUES (21166, '2020-01-03', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21167, '2020-01-04', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21168, '2020-01-05', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21169, '2020-01-06', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21170, '2020-01-07', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21171, '2020-01-08', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21172, '2020-01-09', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21173, '2020-01-10', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21174, '2020-01-11', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21175, '2020-01-12', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21176, '2020-01-13', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21177, '2020-01-14', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21178, '2020-01-15', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21179, '2020-01-16', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21180, '2020-01-17', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21181, '2020-01-18', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21182, '2020-01-19', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21183, '2020-01-20', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21184, '2020-01-21', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21185, '2020-01-22', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21186, '2020-01-23', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21187, '2020-01-24', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21188, '2020-01-25', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21189, '2020-01-26', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21190, '2020-01-27', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21191, '2020-01-28', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21192, '2020-01-29', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21193, '2020-01-30', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21194, '2020-01-31', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21195, '2020-02-01', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21196, '2020-02-02', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21197, '2020-02-03', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21198, '2020-02-04', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21199, '2020-02-05', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21200, '2020-02-06', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21201, '2020-02-07', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21202, '2020-02-08', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21203, '2020-02-09', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21204, '2020-02-10', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21205, '2020-02-11', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21206, '2020-02-12', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21207, '2020-02-13', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21208, '2020-02-14', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21209, '2020-02-15', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21210, '2020-02-16', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21211, '2020-02-17', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21212, '2020-02-18', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21213, '2020-02-19', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21214, '2020-02-20', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21215, '2020-02-21', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21216, '2020-02-22', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21217, '2020-02-23', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21218, '2020-02-24', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21219, '2020-02-25', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21220, '2020-02-26', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21221, '2020-02-27', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21222, '2020-02-28', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21223, '2020-02-29', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21224, '2020-03-01', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21225, '2020-03-02', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21226, '2020-03-03', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21227, '2020-03-04', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21228, '2020-03-05', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21229, '2020-03-06', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21230, '2020-03-07', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21231, '2020-03-08', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21232, '2020-03-09', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21233, '2020-03-10', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21234, '2020-03-11', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21235, '2020-03-12', 'CW', 'Curaçao', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21236, '2020-03-13', 'CW', 'Curaçao', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (21237, '2020-03-14', 'CW', 'Curaçao', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (21238, '2020-03-15', 'CW', 'Curaçao', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (21239, '2020-03-16', 'CW', 'Curaçao', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (21240, '2020-03-17', 'CW', 'Curaçao', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (21241, '2020-03-18', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (21242, '2020-03-19', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (21243, '2020-03-20', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (21244, '2020-03-21', 'CW', 'Curaçao', 'AMRO', '-4', '3', '1', '1');
INSERT INTO public.who_import VALUES (21245, '2020-03-22', 'CW', 'Curaçao', 'AMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (21246, '2020-03-23', 'CW', 'Curaçao', 'AMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (21247, '2020-03-24', 'CW', 'Curaçao', 'AMRO', '3', '6', '0', '1');
INSERT INTO public.who_import VALUES (21248, '2020-03-25', 'CW', 'Curaçao', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (21249, '2020-03-26', 'CW', 'Curaçao', 'AMRO', '1', '7', '0', '1');
INSERT INTO public.who_import VALUES (21250, '2020-03-27', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (21251, '2020-03-28', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (21252, '2020-03-29', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (21253, '2020-03-30', 'CW', 'Curaçao', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (21254, '2020-03-31', 'CW', 'Curaçao', 'AMRO', '4', '11', '0', '1');
INSERT INTO public.who_import VALUES (21255, '2020-04-01', 'CW', 'Curaçao', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (21256, '2020-04-02', 'CW', 'Curaçao', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (21257, '2020-04-03', 'CW', 'Curaçao', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (21258, '2020-04-04', 'CW', 'Curaçao', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (21259, '2020-04-05', 'CW', 'Curaçao', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (21260, '2020-04-06', 'CW', 'Curaçao', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (21261, '2020-04-07', 'CW', 'Curaçao', 'AMRO', '2', '13', '0', '1');
INSERT INTO public.who_import VALUES (21262, '2020-04-08', 'CW', 'Curaçao', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (21263, '2020-04-09', 'CW', 'Curaçao', 'AMRO', '1', '14', '0', '1');
INSERT INTO public.who_import VALUES (21264, '2020-04-10', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21265, '2020-04-11', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21266, '2020-04-12', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21267, '2020-04-13', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21268, '2020-04-14', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21269, '2020-04-15', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21270, '2020-04-16', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21271, '2020-04-17', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21272, '2020-04-18', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21273, '2020-04-19', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21274, '2020-04-20', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21275, '2020-04-21', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21276, '2020-04-22', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21277, '2020-04-23', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21278, '2020-04-24', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21279, '2020-04-25', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21280, '2020-04-26', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21281, '2020-04-27', 'CW', 'Curaçao', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (21282, '2020-04-28', 'CW', 'Curaçao', 'AMRO', '2', '16', '0', '1');
INSERT INTO public.who_import VALUES (21283, '2020-04-29', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21284, '2020-04-30', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21285, '2020-05-01', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21286, '2020-05-02', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21287, '2020-05-03', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21288, '2020-05-04', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21289, '2020-05-05', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21290, '2020-05-06', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21291, '2020-05-07', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21292, '2020-05-08', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21293, '2020-05-09', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21294, '2020-05-10', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21295, '2020-05-11', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21296, '2020-05-12', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21297, '2020-05-13', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21298, '2020-05-14', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21299, '2020-05-15', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21300, '2020-05-16', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21301, '2020-05-17', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21302, '2020-05-18', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21303, '2020-05-19', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21304, '2020-05-20', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21305, '2020-05-21', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21306, '2020-05-22', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21307, '2020-05-23', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21308, '2020-05-24', 'CW', 'Curaçao', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (21309, '2020-05-25', 'CW', 'Curaçao', 'AMRO', '1', '17', '0', '1');
INSERT INTO public.who_import VALUES (21310, '2020-05-26', 'CW', 'Curaçao', 'AMRO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (21311, '2020-05-27', 'CW', 'Curaçao', 'AMRO', '1', '18', '0', '1');
INSERT INTO public.who_import VALUES (21312, '2020-05-28', 'CW', 'Curaçao', 'AMRO', '0', '18', '0', '1');
INSERT INTO public.who_import VALUES (21313, '2020-05-29', 'CW', 'Curaçao', 'AMRO', '2', '20', '0', '1');
INSERT INTO public.who_import VALUES (21314, '2020-05-30', 'CW', 'Curaçao', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (21315, '2020-05-31', 'CW', 'Curaçao', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (21316, '2020-06-01', 'CW', 'Curaçao', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (21317, '2020-06-02', 'CW', 'Curaçao', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (21318, '2020-06-03', 'CW', 'Curaçao', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (21319, '2020-06-04', 'CW', 'Curaçao', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (21320, '2020-06-05', 'CW', 'Curaçao', 'AMRO', '1', '21', '0', '1');
INSERT INTO public.who_import VALUES (21321, '2020-06-06', 'CW', 'Curaçao', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (21322, '2020-06-07', 'CW', 'Curaçao', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (21323, '2020-06-08', 'CW', 'Curaçao', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (21324, '2020-06-09', 'CW', 'Curaçao', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (21325, '2020-06-10', 'CW', 'Curaçao', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (21326, '2020-06-11', 'CW', 'Curaçao', 'AMRO', '1', '22', '0', '1');
INSERT INTO public.who_import VALUES (21327, '2020-06-12', 'CW', 'Curaçao', 'AMRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (21328, '2020-06-13', 'CW', 'Curaçao', 'AMRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (21329, '2020-06-14', 'CW', 'Curaçao', 'AMRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (21330, '2020-06-15', 'CW', 'Curaçao', 'AMRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (21331, '2020-06-16', 'CW', 'Curaçao', 'AMRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (21332, '2020-06-17', 'CW', 'Curaçao', 'AMRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (21333, '2020-06-18', 'CW', 'Curaçao', 'AMRO', '1', '23', '0', '1');
INSERT INTO public.who_import VALUES (21334, '2020-06-19', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21335, '2020-06-20', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21336, '2020-06-21', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21337, '2020-06-22', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21338, '2020-06-23', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21339, '2020-06-24', 'CW', 'Curaçao', 'AMRO', '1', '24', '0', '1');
INSERT INTO public.who_import VALUES (21340, '2020-06-25', 'CW', 'Curaçao', 'AMRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (21341, '2020-06-26', 'CW', 'Curaçao', 'AMRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (21342, '2020-06-27', 'CW', 'Curaçao', 'AMRO', '-1', '23', '0', '1');
INSERT INTO public.who_import VALUES (21343, '2020-06-28', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21344, '2020-06-29', 'CW', 'Curaçao', 'AMRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (21345, '2020-06-30', 'CW', 'Curaçao', 'AMRO', '1', '24', '0', '1');
INSERT INTO public.who_import VALUES (21346, '2020-07-01', 'CW', 'Curaçao', 'AMRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (21347, '2020-07-02', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21348, '2020-07-03', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21349, '2020-07-04', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21350, '2020-07-05', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21351, '2020-07-06', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21352, '2020-07-07', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21353, '2020-07-08', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21354, '2020-07-09', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21355, '2020-07-10', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21356, '2020-07-11', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21357, '2020-07-12', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21358, '2020-07-13', 'CW', 'Curaçao', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (21359, '2020-07-14', 'CW', 'Curaçao', 'AMRO', '1', '26', '0', '1');
INSERT INTO public.who_import VALUES (21360, '2020-07-15', 'CW', 'Curaçao', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (21361, '2020-07-16', 'CW', 'Curaçao', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (21362, '2020-07-17', 'CW', 'Curaçao', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (21363, '2020-07-18', 'CW', 'Curaçao', 'AMRO', '2', '28', '0', '1');
INSERT INTO public.who_import VALUES (21364, '2020-07-19', 'CW', 'Curaçao', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (21365, '2020-07-20', 'CW', 'Curaçao', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (21366, '2020-07-21', 'CW', 'Curaçao', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (21367, '2020-07-22', 'CW', 'Curaçao', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (21368, '2020-07-23', 'CW', 'Curaçao', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (21369, '2020-07-24', 'CW', 'Curaçao', 'AMRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (21370, '2020-07-25', 'CW', 'Curaçao', 'AMRO', '1', '29', '0', '1');
INSERT INTO public.who_import VALUES (21371, '2020-07-26', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21372, '2020-07-27', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21373, '2020-07-28', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21374, '2020-07-29', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21375, '2020-07-30', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21376, '2020-07-31', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21377, '2020-08-01', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21378, '2020-08-02', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21379, '2020-08-03', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21380, '2020-08-04', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21381, '2020-08-05', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21382, '2020-08-06', 'CW', 'Curaçao', 'AMRO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (21383, '2020-08-07', 'CW', 'Curaçao', 'AMRO', '2', '31', '0', '1');
INSERT INTO public.who_import VALUES (21384, '2020-08-08', 'CW', 'Curaçao', 'AMRO', '0', '31', '0', '1');
INSERT INTO public.who_import VALUES (21385, '2020-08-09', 'CW', 'Curaçao', 'AMRO', '0', '31', '0', '1');
INSERT INTO public.who_import VALUES (21386, '2020-08-10', 'CW', 'Curaçao', 'AMRO', '0', '31', '0', '1');
INSERT INTO public.who_import VALUES (21387, '2020-08-11', 'CW', 'Curaçao', 'AMRO', '1', '32', '0', '1');
INSERT INTO public.who_import VALUES (21388, '2020-08-12', 'CW', 'Curaçao', 'AMRO', '0', '32', '0', '1');
INSERT INTO public.who_import VALUES (21389, '2020-08-13', 'CW', 'Curaçao', 'AMRO', '0', '32', '0', '1');
INSERT INTO public.who_import VALUES (21390, '2020-08-14', 'CW', 'Curaçao', 'AMRO', '0', '32', '0', '1');
INSERT INTO public.who_import VALUES (21391, '2020-08-15', 'CW', 'Curaçao', 'AMRO', '0', '32', '0', '1');
INSERT INTO public.who_import VALUES (21392, '2020-08-16', 'CW', 'Curaçao', 'AMRO', '0', '32', '0', '1');
INSERT INTO public.who_import VALUES (21393, '2020-08-17', 'CW', 'Curaçao', 'AMRO', '0', '32', '0', '1');
INSERT INTO public.who_import VALUES (21394, '2020-08-18', 'CW', 'Curaçao', 'AMRO', '1', '33', '0', '1');
INSERT INTO public.who_import VALUES (21395, '2020-08-19', 'CW', 'Curaçao', 'AMRO', '2', '35', '0', '1');
INSERT INTO public.who_import VALUES (21396, '2020-08-20', 'CW', 'Curaçao', 'AMRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (21397, '2020-08-21', 'CW', 'Curaçao', 'AMRO', '0', '35', '0', '1');
INSERT INTO public.who_import VALUES (21398, '2020-08-22', 'CW', 'Curaçao', 'AMRO', '2', '37', '0', '1');
INSERT INTO public.who_import VALUES (21399, '2020-08-23', 'CW', 'Curaçao', 'AMRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (21400, '2020-08-24', 'CW', 'Curaçao', 'AMRO', '0', '37', '0', '1');
INSERT INTO public.who_import VALUES (21401, '2020-08-25', 'CW', 'Curaçao', 'AMRO', '2', '39', '0', '1');
INSERT INTO public.who_import VALUES (21402, '2020-08-26', 'CW', 'Curaçao', 'AMRO', '8', '47', '0', '1');
INSERT INTO public.who_import VALUES (21403, '2020-08-27', 'CW', 'Curaçao', 'AMRO', '2', '49', '0', '1');
INSERT INTO public.who_import VALUES (21404, '2020-08-28', 'CW', 'Curaçao', 'AMRO', '4', '53', '0', '1');
INSERT INTO public.who_import VALUES (21405, '2020-08-29', 'CW', 'Curaçao', 'AMRO', '2', '55', '0', '1');
INSERT INTO public.who_import VALUES (21406, '2020-08-30', 'CW', 'Curaçao', 'AMRO', '0', '55', '0', '1');
INSERT INTO public.who_import VALUES (21407, '2020-08-31', 'CW', 'Curaçao', 'AMRO', '0', '55', '0', '1');
INSERT INTO public.who_import VALUES (21408, '2020-09-01', 'CW', 'Curaçao', 'AMRO', '13', '68', '0', '1');
INSERT INTO public.who_import VALUES (21409, '2020-09-02', 'CW', 'Curaçao', 'AMRO', '1', '69', '0', '1');
INSERT INTO public.who_import VALUES (21410, '2020-09-03', 'CW', 'Curaçao', 'AMRO', '2', '71', '0', '1');
INSERT INTO public.who_import VALUES (21411, '2020-09-04', 'CW', 'Curaçao', 'AMRO', '4', '75', '0', '1');
INSERT INTO public.who_import VALUES (21412, '2020-09-05', 'CW', 'Curaçao', 'AMRO', '3', '78', '0', '1');
INSERT INTO public.who_import VALUES (21413, '2020-09-06', 'CW', 'Curaçao', 'AMRO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (21414, '2020-09-07', 'CW', 'Curaçao', 'AMRO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (21415, '2020-09-08', 'CW', 'Curaçao', 'AMRO', '14', '92', '0', '1');
INSERT INTO public.who_import VALUES (21416, '2020-09-09', 'CW', 'Curaçao', 'AMRO', '15', '107', '0', '1');
INSERT INTO public.who_import VALUES (21417, '2020-09-10', 'CW', 'Curaçao', 'AMRO', '9', '116', '0', '1');
INSERT INTO public.who_import VALUES (21418, '2020-09-11', 'CW', 'Curaçao', 'AMRO', '0', '116', '0', '1');
INSERT INTO public.who_import VALUES (21419, '2020-09-12', 'CW', 'Curaçao', 'AMRO', '19', '135', '0', '1');
INSERT INTO public.who_import VALUES (21420, '2020-09-13', 'CW', 'Curaçao', 'AMRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (21421, '2020-09-14', 'CW', 'Curaçao', 'AMRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (21422, '2020-09-15', 'CW', 'Curaçao', 'AMRO', '22', '157', '0', '1');
INSERT INTO public.who_import VALUES (21423, '2020-09-16', 'CW', 'Curaçao', 'AMRO', '12', '169', '0', '1');
INSERT INTO public.who_import VALUES (21424, '2020-09-17', 'CW', 'Curaçao', 'AMRO', '23', '192', '0', '1');
INSERT INTO public.who_import VALUES (21425, '2020-09-18', 'CW', 'Curaçao', 'AMRO', '18', '210', '0', '1');
INSERT INTO public.who_import VALUES (21426, '2020-09-19', 'CW', 'Curaçao', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (21427, '2020-09-20', 'CW', 'Curaçao', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (21428, '2020-09-21', 'CW', 'Curaçao', 'AMRO', '0', '210', '0', '1');
INSERT INTO public.who_import VALUES (21429, '2020-09-22', 'CW', 'Curaçao', 'AMRO', '72', '282', '0', '1');
INSERT INTO public.who_import VALUES (21430, '2020-09-23', 'CW', 'Curaçao', 'AMRO', '0', '282', '0', '1');
INSERT INTO public.who_import VALUES (21431, '2020-09-24', 'CW', 'Curaçao', 'AMRO', '9', '291', '0', '1');
INSERT INTO public.who_import VALUES (21432, '2020-09-25', 'CW', 'Curaçao', 'AMRO', '10', '301', '0', '1');
INSERT INTO public.who_import VALUES (21433, '2020-09-26', 'CW', 'Curaçao', 'AMRO', '14', '315', '0', '1');
INSERT INTO public.who_import VALUES (21434, '2020-09-27', 'CW', 'Curaçao', 'AMRO', '0', '315', '0', '1');
INSERT INTO public.who_import VALUES (21435, '2020-09-28', 'CW', 'Curaçao', 'AMRO', '0', '315', '0', '1');
INSERT INTO public.who_import VALUES (21436, '2020-09-29', 'CW', 'Curaçao', 'AMRO', '45', '360', '0', '1');
INSERT INTO public.who_import VALUES (21437, '2020-09-30', 'CW', 'Curaçao', 'AMRO', '4', '364', '0', '1');
INSERT INTO public.who_import VALUES (21438, '2020-10-01', 'CW', 'Curaçao', 'AMRO', '6', '370', '0', '1');
INSERT INTO public.who_import VALUES (21439, '2020-10-02', 'CW', 'Curaçao', 'AMRO', '22', '392', '0', '1');
INSERT INTO public.who_import VALUES (21440, '2020-10-03', 'CW', 'Curaçao', 'AMRO', '7', '399', '0', '1');
INSERT INTO public.who_import VALUES (21441, '2020-10-04', 'CW', 'Curaçao', 'AMRO', '0', '399', '0', '1');
INSERT INTO public.who_import VALUES (21442, '2020-10-05', 'CW', 'Curaçao', 'AMRO', '0', '399', '0', '1');
INSERT INTO public.who_import VALUES (21443, '2020-10-06', 'CW', 'Curaçao', 'AMRO', '53', '452', '0', '1');
INSERT INTO public.who_import VALUES (21444, '2020-10-07', 'CW', 'Curaçao', 'AMRO', '10', '462', '0', '1');
INSERT INTO public.who_import VALUES (21445, '2020-10-08', 'CW', 'Curaçao', 'AMRO', '14', '476', '0', '1');
INSERT INTO public.who_import VALUES (21446, '2020-10-09', 'CW', 'Curaçao', 'AMRO', '29', '505', '0', '1');
INSERT INTO public.who_import VALUES (21447, '2020-10-10', 'CW', 'Curaçao', 'AMRO', '27', '532', '0', '1');
INSERT INTO public.who_import VALUES (21448, '2020-10-11', 'CW', 'Curaçao', 'AMRO', '0', '532', '0', '1');
INSERT INTO public.who_import VALUES (21449, '2020-10-12', 'CW', 'Curaçao', 'AMRO', '0', '532', '0', '1');
INSERT INTO public.who_import VALUES (21450, '2020-10-13', 'CW', 'Curaçao', 'AMRO', '51', '583', '0', '1');
INSERT INTO public.who_import VALUES (21451, '2020-10-14', 'CW', 'Curaçao', 'AMRO', '2', '585', '0', '1');
INSERT INTO public.who_import VALUES (21452, '2020-10-15', 'CW', 'Curaçao', 'AMRO', '34', '619', '0', '1');
INSERT INTO public.who_import VALUES (21453, '2020-10-16', 'CW', 'Curaçao', 'AMRO', '26', '645', '0', '1');
INSERT INTO public.who_import VALUES (21454, '2020-10-17', 'CW', 'Curaçao', 'AMRO', '28', '673', '0', '1');
INSERT INTO public.who_import VALUES (21455, '2020-10-18', 'CW', 'Curaçao', 'AMRO', '0', '673', '0', '1');
INSERT INTO public.who_import VALUES (21456, '2020-10-19', 'CW', 'Curaçao', 'AMRO', '0', '673', '0', '1');
INSERT INTO public.who_import VALUES (21457, '2020-10-20', 'CW', 'Curaçao', 'AMRO', '71', '744', '0', '1');
INSERT INTO public.who_import VALUES (21458, '2020-10-21', 'CW', 'Curaçao', 'AMRO', '7', '751', '0', '1');
INSERT INTO public.who_import VALUES (21459, '2020-10-22', 'CW', 'Curaçao', 'AMRO', '8', '759', '0', '1');
INSERT INTO public.who_import VALUES (21460, '2020-10-23', 'CW', 'Curaçao', 'AMRO', '25', '784', '0', '1');
INSERT INTO public.who_import VALUES (21461, '2020-10-24', 'CW', 'Curaçao', 'AMRO', '19', '803', '0', '1');
INSERT INTO public.who_import VALUES (21462, '2020-10-25', 'CW', 'Curaçao', 'AMRO', '0', '803', '0', '1');
INSERT INTO public.who_import VALUES (21463, '2020-10-26', 'CW', 'Curaçao', 'AMRO', '0', '803', '0', '1');
INSERT INTO public.who_import VALUES (21464, '2020-10-27', 'CW', 'Curaçao', 'AMRO', '55', '858', '0', '1');
INSERT INTO public.who_import VALUES (21465, '2020-10-28', 'CW', 'Curaçao', 'AMRO', '15', '873', '0', '1');
INSERT INTO public.who_import VALUES (21466, '2020-10-29', 'CW', 'Curaçao', 'AMRO', '11', '884', '0', '1');
INSERT INTO public.who_import VALUES (21467, '2020-10-30', 'CW', 'Curaçao', 'AMRO', '23', '907', '0', '1');
INSERT INTO public.who_import VALUES (21468, '2020-10-31', 'CW', 'Curaçao', 'AMRO', '37', '944', '0', '1');
INSERT INTO public.who_import VALUES (21469, '2020-11-01', 'CW', 'Curaçao', 'AMRO', '0', '944', '0', '1');
INSERT INTO public.who_import VALUES (21470, '2020-11-02', 'CW', 'Curaçao', 'AMRO', '0', '944', '0', '1');
INSERT INTO public.who_import VALUES (21471, '2020-11-03', 'CW', 'Curaçao', 'AMRO', '43', '987', '0', '1');
INSERT INTO public.who_import VALUES (21472, '2020-11-04', 'CW', 'Curaçao', 'AMRO', '8', '995', '0', '1');
INSERT INTO public.who_import VALUES (21473, '2020-11-05', 'CW', 'Curaçao', 'AMRO', '5', '1000', '0', '1');
INSERT INTO public.who_import VALUES (21474, '2020-11-06', 'CW', 'Curaçao', 'AMRO', '21', '1021', '1', '2');
INSERT INTO public.who_import VALUES (21475, '2020-11-07', 'CW', 'Curaçao', 'AMRO', '9', '1030', '0', '2');
INSERT INTO public.who_import VALUES (21476, '2020-11-08', 'CW', 'Curaçao', 'AMRO', '0', '1030', '0', '2');
INSERT INTO public.who_import VALUES (21477, '2020-11-09', 'CW', 'Curaçao', 'AMRO', '0', '1030', '0', '2');
INSERT INTO public.who_import VALUES (21478, '2020-11-10', 'CW', 'Curaçao', 'AMRO', '67', '1097', '0', '2');
INSERT INTO public.who_import VALUES (21479, '2020-11-11', 'CW', 'Curaçao', 'AMRO', '5', '1102', '0', '2');
INSERT INTO public.who_import VALUES (21480, '2020-11-12', 'CW', 'Curaçao', 'AMRO', '29', '1131', '0', '2');
INSERT INTO public.who_import VALUES (21481, '2020-11-13', 'CW', 'Curaçao', 'AMRO', '51', '1182', '0', '2');
INSERT INTO public.who_import VALUES (21482, '2020-11-14', 'CW', 'Curaçao', 'AMRO', '33', '1215', '0', '2');
INSERT INTO public.who_import VALUES (21483, '2020-11-15', 'CW', 'Curaçao', 'AMRO', '0', '1215', '0', '2');
INSERT INTO public.who_import VALUES (21484, '2020-11-16', 'CW', 'Curaçao', 'AMRO', '0', '1215', '0', '2');
INSERT INTO public.who_import VALUES (21485, '2020-11-17', 'CW', 'Curaçao', 'AMRO', '125', '1340', '0', '2');
INSERT INTO public.who_import VALUES (21486, '2020-11-18', 'CW', 'Curaçao', 'AMRO', '34', '1374', '0', '2');
INSERT INTO public.who_import VALUES (21487, '2020-11-19', 'CW', 'Curaçao', 'AMRO', '41', '1415', '0', '2');
INSERT INTO public.who_import VALUES (21488, '2020-11-20', 'CW', 'Curaçao', 'AMRO', '67', '1482', '0', '2');
INSERT INTO public.who_import VALUES (21489, '2020-11-21', 'CW', 'Curaçao', 'AMRO', '79', '1561', '1', '3');
INSERT INTO public.who_import VALUES (21490, '2020-11-22', 'CW', 'Curaçao', 'AMRO', '0', '1561', '0', '3');
INSERT INTO public.who_import VALUES (21491, '2020-11-23', 'CW', 'Curaçao', 'AMRO', '0', '1561', '0', '3');
INSERT INTO public.who_import VALUES (21492, '2020-11-24', 'CW', 'Curaçao', 'AMRO', '188', '1749', '0', '3');
INSERT INTO public.who_import VALUES (21493, '2020-11-25', 'CW', 'Curaçao', 'AMRO', '24', '1773', '0', '3');
INSERT INTO public.who_import VALUES (21494, '2020-11-26', 'CW', 'Curaçao', 'AMRO', '54', '1827', '0', '3');
INSERT INTO public.who_import VALUES (21495, '2020-11-27', 'CW', 'Curaçao', 'AMRO', '102', '1929', '0', '3');
INSERT INTO public.who_import VALUES (21496, '2020-11-28', 'CW', 'Curaçao', 'AMRO', '117', '2046', '0', '3');
INSERT INTO public.who_import VALUES (21497, '2020-11-29', 'CW', 'Curaçao', 'AMRO', '0', '2046', '0', '3');
INSERT INTO public.who_import VALUES (21498, '2020-11-30', 'CW', 'Curaçao', 'AMRO', '0', '2046', '0', '3');
INSERT INTO public.who_import VALUES (21499, '2020-12-01', 'CW', 'Curaçao', 'AMRO', '318', '2364', '1', '4');
INSERT INTO public.who_import VALUES (21500, '2020-12-02', 'CW', 'Curaçao', 'AMRO', '15', '2379', '0', '4');
INSERT INTO public.who_import VALUES (21501, '2020-12-03', 'CW', 'Curaçao', 'AMRO', '124', '2503', '3', '7');
INSERT INTO public.who_import VALUES (21502, '2020-12-04', 'CW', 'Curaçao', 'AMRO', '155', '2658', '0', '7');
INSERT INTO public.who_import VALUES (21503, '2020-12-05', 'CW', 'Curaçao', 'AMRO', '82', '2740', '0', '7');
INSERT INTO public.who_import VALUES (21504, '2020-12-06', 'CW', 'Curaçao', 'AMRO', '0', '2740', '0', '7');
INSERT INTO public.who_import VALUES (21505, '2020-12-07', 'CW', 'Curaçao', 'AMRO', '0', '2740', '0', '7');
INSERT INTO public.who_import VALUES (21506, '2020-12-08', 'CW', 'Curaçao', 'AMRO', '396', '3136', '0', '7');
INSERT INTO public.who_import VALUES (21507, '2020-12-09', 'CW', 'Curaçao', 'AMRO', '38', '3174', '1', '8');
INSERT INTO public.who_import VALUES (21508, '2020-12-10', 'CW', 'Curaçao', 'AMRO', '72', '3246', '0', '8');
INSERT INTO public.who_import VALUES (21509, '2020-12-11', 'CW', 'Curaçao', 'AMRO', '79', '3325', '0', '8');
INSERT INTO public.who_import VALUES (21510, '2020-12-12', 'CW', 'Curaçao', 'AMRO', '79', '3404', '0', '8');
INSERT INTO public.who_import VALUES (21511, '2020-12-13', 'CW', 'Curaçao', 'AMRO', '0', '3404', '0', '8');
INSERT INTO public.who_import VALUES (21512, '2020-12-14', 'CW', 'Curaçao', 'AMRO', '0', '3404', '0', '8');
INSERT INTO public.who_import VALUES (21513, '2020-12-15', 'CW', 'Curaçao', 'AMRO', '220', '3624', '3', '11');
INSERT INTO public.who_import VALUES (21514, '2020-12-16', 'CW', 'Curaçao', 'AMRO', '37', '3661', '0', '11');
INSERT INTO public.who_import VALUES (21515, '2020-12-17', 'CW', 'Curaçao', 'AMRO', '38', '3699', '0', '11');
INSERT INTO public.who_import VALUES (21516, '2020-12-18', 'CW', 'Curaçao', 'AMRO', '68', '3767', '0', '11');
INSERT INTO public.who_import VALUES (21517, '2020-12-19', 'CW', 'Curaçao', 'AMRO', '56', '3823', '0', '11');
INSERT INTO public.who_import VALUES (21518, '2020-12-20', 'CW', 'Curaçao', 'AMRO', '0', '3823', '0', '11');
INSERT INTO public.who_import VALUES (21519, '2020-12-21', 'CW', 'Curaçao', 'AMRO', '0', '3823', '0', '11');
INSERT INTO public.who_import VALUES (21520, '2020-12-22', 'CW', 'Curaçao', 'AMRO', '124', '3947', '0', '11');
INSERT INTO public.who_import VALUES (21521, '2020-12-23', 'CW', 'Curaçao', 'AMRO', '27', '3974', '0', '11');
INSERT INTO public.who_import VALUES (21522, '2020-12-24', 'CW', 'Curaçao', 'AMRO', '32', '4006', '0', '11');
INSERT INTO public.who_import VALUES (21523, '2020-12-25', 'CW', 'Curaçao', 'AMRO', '45', '4051', '1', '12');
INSERT INTO public.who_import VALUES (21524, '2020-12-26', 'CW', 'Curaçao', 'AMRO', '0', '4051', '0', '12');
INSERT INTO public.who_import VALUES (21525, '2020-12-27', 'CW', 'Curaçao', 'AMRO', '0', '4051', '0', '12');
INSERT INTO public.who_import VALUES (21526, '2020-12-28', 'CW', 'Curaçao', 'AMRO', '0', '4051', '0', '12');
INSERT INTO public.who_import VALUES (21527, '2020-12-29', 'CW', 'Curaçao', 'AMRO', '93', '4144', '2', '14');
INSERT INTO public.who_import VALUES (21528, '2020-12-30', 'CW', 'Curaçao', 'AMRO', '7', '4151', '0', '14');
INSERT INTO public.who_import VALUES (21529, '2020-12-31', 'CW', 'Curaçao', 'AMRO', '28', '4179', '0', '14');
INSERT INTO public.who_import VALUES (21530, '2021-01-01', 'CW', 'Curaçao', 'AMRO', '51', '4230', '0', '14');
INSERT INTO public.who_import VALUES (21531, '2021-01-02', 'CW', 'Curaçao', 'AMRO', '0', '4230', '0', '14');
INSERT INTO public.who_import VALUES (21532, '2021-01-03', 'CW', 'Curaçao', 'AMRO', '0', '4230', '0', '14');
INSERT INTO public.who_import VALUES (21533, '2021-01-04', 'CW', 'Curaçao', 'AMRO', '0', '4230', '0', '14');
INSERT INTO public.who_import VALUES (21534, '2021-01-05', 'CW', 'Curaçao', 'AMRO', '87', '4317', '2', '16');
INSERT INTO public.who_import VALUES (21535, '2021-01-06', 'CW', 'Curaçao', 'AMRO', '6', '4323', '0', '16');
INSERT INTO public.who_import VALUES (21536, '2021-01-07', 'CW', 'Curaçao', 'AMRO', '19', '4342', '0', '16');
INSERT INTO public.who_import VALUES (21537, '2021-01-08', 'CW', 'Curaçao', 'AMRO', '36', '4378', '1', '17');
INSERT INTO public.who_import VALUES (21538, '2021-01-09', 'CW', 'Curaçao', 'AMRO', '27', '4405', '1', '18');
INSERT INTO public.who_import VALUES (21539, '2021-01-10', 'CW', 'Curaçao', 'AMRO', '0', '4405', '0', '18');
INSERT INTO public.who_import VALUES (21540, '2021-01-11', 'CW', 'Curaçao', 'AMRO', '0', '4405', '0', '18');
INSERT INTO public.who_import VALUES (21541, '2021-01-12', 'CW', 'Curaçao', 'AMRO', '53', '4458', '1', '19');
INSERT INTO public.who_import VALUES (21542, '2021-01-13', 'CW', 'Curaçao', 'AMRO', '6', '4464', '0', '19');
INSERT INTO public.who_import VALUES (21543, '2021-01-14', 'CW', 'Curaçao', 'AMRO', '5', '4469', '0', '19');
INSERT INTO public.who_import VALUES (21544, '2021-01-15', 'CW', 'Curaçao', 'AMRO', '19', '4488', '0', '19');
INSERT INTO public.who_import VALUES (21545, '2021-01-16', 'CW', 'Curaçao', 'AMRO', '10', '4498', '0', '19');
INSERT INTO public.who_import VALUES (21546, '2021-01-17', 'CW', 'Curaçao', 'AMRO', '0', '4498', '0', '19');
INSERT INTO public.who_import VALUES (21547, '2021-01-18', 'CW', 'Curaçao', 'AMRO', '0', '4498', '0', '19');
INSERT INTO public.who_import VALUES (21548, '2021-01-19', 'CW', 'Curaçao', 'AMRO', '22', '4520', '0', '19');
INSERT INTO public.who_import VALUES (21549, '2021-01-20', 'CW', 'Curaçao', 'AMRO', '3', '4523', '0', '19');
INSERT INTO public.who_import VALUES (21550, '2021-01-21', 'CW', 'Curaçao', 'AMRO', '4', '4527', '1', '20');
INSERT INTO public.who_import VALUES (21551, '2021-01-22', 'CW', 'Curaçao', 'AMRO', '8', '4535', '0', '20');
INSERT INTO public.who_import VALUES (21552, '2021-01-23', 'CW', 'Curaçao', 'AMRO', '2', '4537', '0', '20');
INSERT INTO public.who_import VALUES (21553, '2021-01-24', 'CW', 'Curaçao', 'AMRO', '0', '4537', '0', '20');
INSERT INTO public.who_import VALUES (21554, '2021-01-25', 'CW', 'Curaçao', 'AMRO', '0', '4537', '0', '20');
INSERT INTO public.who_import VALUES (21555, '2021-01-26', 'CW', 'Curaçao', 'AMRO', '11', '4548', '0', '20');
INSERT INTO public.who_import VALUES (21556, '2021-01-27', 'CW', 'Curaçao', 'AMRO', '0', '4548', '0', '20');
INSERT INTO public.who_import VALUES (21557, '2021-01-28', 'CW', 'Curaçao', 'AMRO', '10', '4558', '0', '20');
INSERT INTO public.who_import VALUES (21558, '2021-01-29', 'CW', 'Curaçao', 'AMRO', '9', '4567', '0', '20');
INSERT INTO public.who_import VALUES (21559, '2021-01-30', 'CW', 'Curaçao', 'AMRO', '7', '4574', '0', '20');
INSERT INTO public.who_import VALUES (21560, '2021-01-31', 'CW', 'Curaçao', 'AMRO', '0', '4574', '0', '20');
INSERT INTO public.who_import VALUES (21561, '2021-02-01', 'CW', 'Curaçao', 'AMRO', '0', '4574', '0', '20');
INSERT INTO public.who_import VALUES (21562, '2021-02-02', 'CW', 'Curaçao', 'AMRO', '11', '4585', '1', '21');
INSERT INTO public.who_import VALUES (21563, '2021-02-03', 'CW', 'Curaçao', 'AMRO', '0', '4585', '0', '21');
INSERT INTO public.who_import VALUES (21564, '2021-02-04', 'CW', 'Curaçao', 'AMRO', '6', '4591', '0', '21');
INSERT INTO public.who_import VALUES (21565, '2021-02-05', 'CW', 'Curaçao', 'AMRO', '4', '4595', '0', '21');
INSERT INTO public.who_import VALUES (21566, '2021-02-06', 'CW', 'Curaçao', 'AMRO', '2', '4597', '0', '21');
INSERT INTO public.who_import VALUES (21567, '2021-02-07', 'CW', 'Curaçao', 'AMRO', '0', '4597', '0', '21');
INSERT INTO public.who_import VALUES (21568, '2021-02-08', 'CW', 'Curaçao', 'AMRO', '0', '4597', '0', '21');
INSERT INTO public.who_import VALUES (21569, '2021-02-09', 'CW', 'Curaçao', 'AMRO', '16', '4613', '0', '21');
INSERT INTO public.who_import VALUES (21570, '2021-02-10', 'CW', 'Curaçao', 'AMRO', '0', '4613', '0', '21');
INSERT INTO public.who_import VALUES (21571, '2021-02-11', 'CW', 'Curaçao', 'AMRO', '7', '4620', '1', '22');
INSERT INTO public.who_import VALUES (21572, '2021-02-12', 'CW', 'Curaçao', 'AMRO', '8', '4628', '0', '22');
INSERT INTO public.who_import VALUES (21573, '2021-02-13', 'CW', 'Curaçao', 'AMRO', '5', '4633', '0', '22');
INSERT INTO public.who_import VALUES (21574, '2021-02-14', 'CW', 'Curaçao', 'AMRO', '0', '4633', '0', '22');
INSERT INTO public.who_import VALUES (21575, '2021-02-15', 'CW', 'Curaçao', 'AMRO', '0', '4633', '0', '22');
INSERT INTO public.who_import VALUES (21576, '2021-02-16', 'CW', 'Curaçao', 'AMRO', '17', '4650', '0', '22');
INSERT INTO public.who_import VALUES (21577, '2021-02-17', 'CW', 'Curaçao', 'AMRO', '2', '4652', '0', '22');
INSERT INTO public.who_import VALUES (21578, '2021-02-18', 'CW', 'Curaçao', 'AMRO', '3', '4655', '0', '22');
INSERT INTO public.who_import VALUES (21579, '2021-02-19', 'CW', 'Curaçao', 'AMRO', '3', '4658', '0', '22');
INSERT INTO public.who_import VALUES (21580, '2021-02-20', 'CW', 'Curaçao', 'AMRO', '8', '4666', '0', '22');
INSERT INTO public.who_import VALUES (21581, '2020-01-03', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21582, '2020-01-04', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21583, '2020-01-05', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21584, '2020-01-06', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21585, '2020-01-07', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21586, '2020-01-08', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21587, '2020-01-09', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21588, '2020-01-10', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21589, '2020-01-11', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21590, '2020-01-12', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21591, '2020-01-13', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21592, '2020-01-14', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21593, '2020-01-15', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21594, '2020-01-16', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21595, '2020-01-17', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21596, '2020-01-18', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21597, '2020-01-19', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21598, '2020-01-20', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21599, '2020-01-21', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21600, '2020-01-22', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21601, '2020-01-23', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21602, '2020-01-24', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21603, '2020-01-25', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21604, '2020-01-26', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21605, '2020-01-27', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21606, '2020-01-28', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21607, '2020-01-29', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21608, '2020-01-30', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21609, '2020-01-31', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21610, '2020-02-01', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21611, '2020-02-02', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21612, '2020-02-03', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21613, '2020-02-04', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21614, '2020-02-05', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21615, '2020-02-06', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21616, '2020-02-07', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21617, '2020-02-08', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21618, '2020-02-09', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21619, '2020-02-10', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21620, '2020-02-11', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21621, '2020-02-12', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21622, '2020-02-13', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21623, '2020-02-14', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21624, '2020-02-15', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21625, '2020-02-16', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21626, '2020-02-17', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21627, '2020-02-18', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21628, '2020-02-19', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21629, '2020-02-20', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21630, '2020-02-21', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21631, '2020-02-22', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21632, '2020-02-23', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21633, '2020-02-24', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21634, '2020-02-25', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21635, '2020-02-26', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21636, '2020-02-27', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21637, '2020-02-28', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21638, '2020-02-29', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21639, '2020-03-01', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21640, '2020-03-02', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21641, '2020-03-03', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21642, '2020-03-04', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21643, '2020-03-05', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21644, '2020-03-06', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21645, '2020-03-07', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21646, '2020-03-08', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21647, '2020-03-09', 'CY', 'Cyprus', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21648, '2020-03-10', 'CY', 'Cyprus', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (21649, '2020-03-11', 'CY', 'Cyprus', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (21650, '2020-03-12', 'CY', 'Cyprus', 'EURO', '4', '6', '0', '0');
INSERT INTO public.who_import VALUES (21651, '2020-03-13', 'CY', 'Cyprus', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (21652, '2020-03-14', 'CY', 'Cyprus', 'EURO', '8', '14', '0', '0');
INSERT INTO public.who_import VALUES (21653, '2020-03-15', 'CY', 'Cyprus', 'EURO', '7', '21', '0', '0');
INSERT INTO public.who_import VALUES (21654, '2020-03-16', 'CY', 'Cyprus', 'EURO', '9', '30', '0', '0');
INSERT INTO public.who_import VALUES (21655, '2020-03-17', 'CY', 'Cyprus', 'EURO', '10', '40', '0', '0');
INSERT INTO public.who_import VALUES (21656, '2020-03-18', 'CY', 'Cyprus', 'EURO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (21657, '2020-03-19', 'CY', 'Cyprus', 'EURO', '18', '58', '0', '0');
INSERT INTO public.who_import VALUES (21658, '2020-03-20', 'CY', 'Cyprus', 'EURO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (21659, '2020-03-21', 'CY', 'Cyprus', 'EURO', '9', '67', '0', '0');
INSERT INTO public.who_import VALUES (21660, '2020-03-22', 'CY', 'Cyprus', 'EURO', '17', '84', '0', '0');
INSERT INTO public.who_import VALUES (21661, '2020-03-23', 'CY', 'Cyprus', 'EURO', '11', '95', '0', '0');
INSERT INTO public.who_import VALUES (21662, '2020-03-24', 'CY', 'Cyprus', 'EURO', '21', '116', '0', '0');
INSERT INTO public.who_import VALUES (21663, '2020-03-25', 'CY', 'Cyprus', 'EURO', '8', '124', '3', '3');
INSERT INTO public.who_import VALUES (21664, '2020-03-26', 'CY', 'Cyprus', 'EURO', '8', '132', '0', '3');
INSERT INTO public.who_import VALUES (21665, '2020-03-27', 'CY', 'Cyprus', 'EURO', '14', '146', '0', '3');
INSERT INTO public.who_import VALUES (21666, '2020-03-28', 'CY', 'Cyprus', 'EURO', '16', '162', '2', '5');
INSERT INTO public.who_import VALUES (21667, '2020-03-29', 'CY', 'Cyprus', 'EURO', '17', '179', '0', '5');
INSERT INTO public.who_import VALUES (21668, '2020-03-30', 'CY', 'Cyprus', 'EURO', '35', '214', '1', '6');
INSERT INTO public.who_import VALUES (21669, '2020-03-31', 'CY', 'Cyprus', 'EURO', '16', '230', '1', '7');
INSERT INTO public.who_import VALUES (21670, '2020-04-01', 'CY', 'Cyprus', 'EURO', '32', '262', '1', '8');
INSERT INTO public.who_import VALUES (21671, '2020-04-02', 'CY', 'Cyprus', 'EURO', '58', '320', '1', '9');
INSERT INTO public.who_import VALUES (21672, '2020-04-03', 'CY', 'Cyprus', 'EURO', '36', '356', '0', '9');
INSERT INTO public.who_import VALUES (21673, '2020-04-04', 'CY', 'Cyprus', 'EURO', '40', '396', '0', '9');
INSERT INTO public.who_import VALUES (21674, '2020-04-05', 'CY', 'Cyprus', 'EURO', '30', '426', '0', '9');
INSERT INTO public.who_import VALUES (21675, '2020-04-06', 'CY', 'Cyprus', 'EURO', '20', '446', '0', '9');
INSERT INTO public.who_import VALUES (21676, '2020-04-07', 'CY', 'Cyprus', 'EURO', '19', '465', '0', '9');
INSERT INTO public.who_import VALUES (21677, '2020-04-08', 'CY', 'Cyprus', 'EURO', '29', '494', '0', '9');
INSERT INTO public.who_import VALUES (21678, '2020-04-09', 'CY', 'Cyprus', 'EURO', '32', '526', '0', '9');
INSERT INTO public.who_import VALUES (21679, '2020-04-10', 'CY', 'Cyprus', 'EURO', '38', '564', '1', '10');
INSERT INTO public.who_import VALUES (21680, '2020-04-11', 'CY', 'Cyprus', 'EURO', '31', '595', '0', '10');
INSERT INTO public.who_import VALUES (21681, '2020-04-12', 'CY', 'Cyprus', 'EURO', '21', '616', '0', '10');
INSERT INTO public.who_import VALUES (21682, '2020-04-13', 'CY', 'Cyprus', 'EURO', '17', '633', '1', '11');
INSERT INTO public.who_import VALUES (21683, '2020-04-14', 'CY', 'Cyprus', 'EURO', '29', '662', '1', '12');
INSERT INTO public.who_import VALUES (21684, '2020-04-15', 'CY', 'Cyprus', 'EURO', '33', '695', '0', '12');
INSERT INTO public.who_import VALUES (21685, '2020-04-16', 'CY', 'Cyprus', 'EURO', '20', '715', '0', '12');
INSERT INTO public.who_import VALUES (21686, '2020-04-17', 'CY', 'Cyprus', 'EURO', '20', '735', '0', '12');
INSERT INTO public.who_import VALUES (21687, '2020-04-18', 'CY', 'Cyprus', 'EURO', '0', '735', '0', '12');
INSERT INTO public.who_import VALUES (21688, '2020-04-19', 'CY', 'Cyprus', 'EURO', '26', '761', '0', '12');
INSERT INTO public.who_import VALUES (21689, '2020-04-20', 'CY', 'Cyprus', 'EURO', '6', '767', '0', '12');
INSERT INTO public.who_import VALUES (21690, '2020-04-21', 'CY', 'Cyprus', 'EURO', '5', '772', '0', '12');
INSERT INTO public.who_import VALUES (21691, '2020-04-22', 'CY', 'Cyprus', 'EURO', '12', '784', '0', '12');
INSERT INTO public.who_import VALUES (21692, '2020-04-23', 'CY', 'Cyprus', 'EURO', '6', '790', '2', '14');
INSERT INTO public.who_import VALUES (21693, '2020-04-24', 'CY', 'Cyprus', 'EURO', '5', '795', '0', '14');
INSERT INTO public.who_import VALUES (21694, '2020-04-25', 'CY', 'Cyprus', 'EURO', '9', '804', '0', '14');
INSERT INTO public.who_import VALUES (21695, '2020-04-26', 'CY', 'Cyprus', 'EURO', '6', '810', '0', '14');
INSERT INTO public.who_import VALUES (21696, '2020-04-27', 'CY', 'Cyprus', 'EURO', '7', '817', '0', '14');
INSERT INTO public.who_import VALUES (21697, '2020-04-28', 'CY', 'Cyprus', 'EURO', '5', '822', '1', '15');
INSERT INTO public.who_import VALUES (21698, '2020-04-29', 'CY', 'Cyprus', 'EURO', '15', '837', '0', '15');
INSERT INTO public.who_import VALUES (21699, '2020-04-30', 'CY', 'Cyprus', 'EURO', '6', '843', '0', '15');
INSERT INTO public.who_import VALUES (21700, '2020-05-01', 'CY', 'Cyprus', 'EURO', '7', '850', '0', '15');
INSERT INTO public.who_import VALUES (21701, '2020-05-02', 'CY', 'Cyprus', 'EURO', '7', '857', '0', '15');
INSERT INTO public.who_import VALUES (21702, '2020-05-03', 'CY', 'Cyprus', 'EURO', '7', '864', '0', '15');
INSERT INTO public.who_import VALUES (21703, '2020-05-04', 'CY', 'Cyprus', 'EURO', '8', '872', '0', '15');
INSERT INTO public.who_import VALUES (21704, '2020-05-05', 'CY', 'Cyprus', 'EURO', '2', '874', '0', '15');
INSERT INTO public.who_import VALUES (21705, '2020-05-06', 'CY', 'Cyprus', 'EURO', '4', '878', '0', '15');
INSERT INTO public.who_import VALUES (21706, '2020-05-07', 'CY', 'Cyprus', 'EURO', '5', '883', '0', '15');
INSERT INTO public.who_import VALUES (21707, '2020-05-08', 'CY', 'Cyprus', 'EURO', '6', '889', '0', '15');
INSERT INTO public.who_import VALUES (21708, '2020-05-09', 'CY', 'Cyprus', 'EURO', '2', '891', '0', '15');
INSERT INTO public.who_import VALUES (21709, '2020-05-10', 'CY', 'Cyprus', 'EURO', '1', '892', '0', '15');
INSERT INTO public.who_import VALUES (21710, '2020-05-11', 'CY', 'Cyprus', 'EURO', '6', '898', '1', '16');
INSERT INTO public.who_import VALUES (21711, '2020-05-12', 'CY', 'Cyprus', 'EURO', '3', '901', '0', '16');
INSERT INTO public.who_import VALUES (21712, '2020-05-13', 'CY', 'Cyprus', 'EURO', '2', '903', '0', '16');
INSERT INTO public.who_import VALUES (21713, '2020-05-14', 'CY', 'Cyprus', 'EURO', '2', '905', '1', '17');
INSERT INTO public.who_import VALUES (21714, '2020-05-15', 'CY', 'Cyprus', 'EURO', '2', '907', '0', '17');
INSERT INTO public.who_import VALUES (21715, '2020-05-16', 'CY', 'Cyprus', 'EURO', '3', '910', '0', '17');
INSERT INTO public.who_import VALUES (21716, '2020-05-17', 'CY', 'Cyprus', 'EURO', '4', '914', '0', '17');
INSERT INTO public.who_import VALUES (21717, '2020-05-18', 'CY', 'Cyprus', 'EURO', '2', '916', '0', '17');
INSERT INTO public.who_import VALUES (21718, '2020-05-19', 'CY', 'Cyprus', 'EURO', '1', '917', '0', '17');
INSERT INTO public.who_import VALUES (21719, '2020-05-20', 'CY', 'Cyprus', 'EURO', '1', '918', '0', '17');
INSERT INTO public.who_import VALUES (21720, '2020-05-21', 'CY', 'Cyprus', 'EURO', '4', '922', '0', '17');
INSERT INTO public.who_import VALUES (21721, '2020-05-22', 'CY', 'Cyprus', 'EURO', '1', '923', '0', '17');
INSERT INTO public.who_import VALUES (21722, '2020-05-23', 'CY', 'Cyprus', 'EURO', '4', '927', '0', '17');
INSERT INTO public.who_import VALUES (21723, '2020-05-24', 'CY', 'Cyprus', 'EURO', '0', '927', '0', '17');
INSERT INTO public.who_import VALUES (21724, '2020-05-25', 'CY', 'Cyprus', 'EURO', '8', '935', '0', '17');
INSERT INTO public.who_import VALUES (21725, '2020-05-26', 'CY', 'Cyprus', 'EURO', '2', '937', '0', '17');
INSERT INTO public.who_import VALUES (21726, '2020-05-27', 'CY', 'Cyprus', 'EURO', '2', '939', '0', '17');
INSERT INTO public.who_import VALUES (21727, '2020-05-28', 'CY', 'Cyprus', 'EURO', '0', '939', '0', '17');
INSERT INTO public.who_import VALUES (21728, '2020-05-29', 'CY', 'Cyprus', 'EURO', '2', '941', '0', '17');
INSERT INTO public.who_import VALUES (21729, '2020-05-30', 'CY', 'Cyprus', 'EURO', '0', '941', '0', '17');
INSERT INTO public.who_import VALUES (21730, '2020-05-31', 'CY', 'Cyprus', 'EURO', '2', '943', '0', '17');
INSERT INTO public.who_import VALUES (21731, '2020-06-01', 'CY', 'Cyprus', 'EURO', '1', '944', '0', '17');
INSERT INTO public.who_import VALUES (21732, '2020-06-02', 'CY', 'Cyprus', 'EURO', '5', '949', '0', '17');
INSERT INTO public.who_import VALUES (21733, '2020-06-03', 'CY', 'Cyprus', 'EURO', '3', '952', '0', '17');
INSERT INTO public.who_import VALUES (21734, '2020-06-04', 'CY', 'Cyprus', 'EURO', '6', '958', '0', '17');
INSERT INTO public.who_import VALUES (21735, '2020-06-05', 'CY', 'Cyprus', 'EURO', '0', '958', '0', '17');
INSERT INTO public.who_import VALUES (21736, '2020-06-06', 'CY', 'Cyprus', 'EURO', '2', '960', '0', '17');
INSERT INTO public.who_import VALUES (21737, '2020-06-07', 'CY', 'Cyprus', 'EURO', '0', '960', '1', '18');
INSERT INTO public.who_import VALUES (21738, '2020-06-08', 'CY', 'Cyprus', 'EURO', '4', '964', '0', '18');
INSERT INTO public.who_import VALUES (21739, '2020-06-09', 'CY', 'Cyprus', 'EURO', '6', '970', '0', '18');
INSERT INTO public.who_import VALUES (21740, '2020-06-10', 'CY', 'Cyprus', 'EURO', '2', '972', '0', '18');
INSERT INTO public.who_import VALUES (21741, '2020-06-11', 'CY', 'Cyprus', 'EURO', '2', '974', '0', '18');
INSERT INTO public.who_import VALUES (21742, '2020-06-12', 'CY', 'Cyprus', 'EURO', '1', '975', '0', '18');
INSERT INTO public.who_import VALUES (21743, '2020-06-13', 'CY', 'Cyprus', 'EURO', '5', '980', '0', '18');
INSERT INTO public.who_import VALUES (21744, '2020-06-14', 'CY', 'Cyprus', 'EURO', '0', '980', '0', '18');
INSERT INTO public.who_import VALUES (21745, '2020-06-15', 'CY', 'Cyprus', 'EURO', '3', '983', '0', '18');
INSERT INTO public.who_import VALUES (21746, '2020-06-16', 'CY', 'Cyprus', 'EURO', '2', '985', '0', '18');
INSERT INTO public.who_import VALUES (21747, '2020-06-17', 'CY', 'Cyprus', 'EURO', '0', '985', '0', '18');
INSERT INTO public.who_import VALUES (21748, '2020-06-18', 'CY', 'Cyprus', 'EURO', '0', '985', '0', '18');
INSERT INTO public.who_import VALUES (21749, '2020-06-19', 'CY', 'Cyprus', 'EURO', '0', '985', '1', '19');
INSERT INTO public.who_import VALUES (21750, '2020-06-20', 'CY', 'Cyprus', 'EURO', '0', '985', '0', '19');
INSERT INTO public.who_import VALUES (21751, '2020-06-21', 'CY', 'Cyprus', 'EURO', '0', '985', '0', '19');
INSERT INTO public.who_import VALUES (21752, '2020-06-22', 'CY', 'Cyprus', 'EURO', '1', '986', '0', '19');
INSERT INTO public.who_import VALUES (21753, '2020-06-23', 'CY', 'Cyprus', 'EURO', '2', '988', '0', '19');
INSERT INTO public.who_import VALUES (21754, '2020-06-24', 'CY', 'Cyprus', 'EURO', '2', '990', '0', '19');
INSERT INTO public.who_import VALUES (21755, '2020-06-25', 'CY', 'Cyprus', 'EURO', '1', '991', '0', '19');
INSERT INTO public.who_import VALUES (21756, '2020-06-26', 'CY', 'Cyprus', 'EURO', '1', '992', '0', '19');
INSERT INTO public.who_import VALUES (21757, '2020-06-27', 'CY', 'Cyprus', 'EURO', '0', '992', '0', '19');
INSERT INTO public.who_import VALUES (21758, '2020-06-28', 'CY', 'Cyprus', 'EURO', '2', '994', '0', '19');
INSERT INTO public.who_import VALUES (21759, '2020-06-29', 'CY', 'Cyprus', 'EURO', '0', '994', '0', '19');
INSERT INTO public.who_import VALUES (21760, '2020-06-30', 'CY', 'Cyprus', 'EURO', '2', '996', '0', '19');
INSERT INTO public.who_import VALUES (21761, '2020-07-01', 'CY', 'Cyprus', 'EURO', '2', '998', '0', '19');
INSERT INTO public.who_import VALUES (21762, '2020-07-02', 'CY', 'Cyprus', 'EURO', '1', '999', '0', '19');
INSERT INTO public.who_import VALUES (21763, '2020-07-03', 'CY', 'Cyprus', 'EURO', '0', '999', '0', '19');
INSERT INTO public.who_import VALUES (21764, '2020-07-04', 'CY', 'Cyprus', 'EURO', '0', '999', '0', '19');
INSERT INTO public.who_import VALUES (21765, '2020-07-05', 'CY', 'Cyprus', 'EURO', '3', '1002', '0', '19');
INSERT INTO public.who_import VALUES (21766, '2020-07-06', 'CY', 'Cyprus', 'EURO', '1', '1003', '0', '19');
INSERT INTO public.who_import VALUES (21767, '2020-07-07', 'CY', 'Cyprus', 'EURO', '1', '1004', '0', '19');
INSERT INTO public.who_import VALUES (21768, '2020-07-08', 'CY', 'Cyprus', 'EURO', '1', '1005', '0', '19');
INSERT INTO public.who_import VALUES (21769, '2020-07-09', 'CY', 'Cyprus', 'EURO', '3', '1008', '0', '19');
INSERT INTO public.who_import VALUES (21770, '2020-07-10', 'CY', 'Cyprus', 'EURO', '2', '1010', '0', '19');
INSERT INTO public.who_import VALUES (21771, '2020-07-11', 'CY', 'Cyprus', 'EURO', '3', '1013', '0', '19');
INSERT INTO public.who_import VALUES (21772, '2020-07-12', 'CY', 'Cyprus', 'EURO', '1', '1014', '0', '19');
INSERT INTO public.who_import VALUES (21773, '2020-07-13', 'CY', 'Cyprus', 'EURO', '7', '1021', '0', '19');
INSERT INTO public.who_import VALUES (21774, '2020-07-14', 'CY', 'Cyprus', 'EURO', '1', '1022', '0', '19');
INSERT INTO public.who_import VALUES (21775, '2020-07-15', 'CY', 'Cyprus', 'EURO', '0', '1022', '0', '19');
INSERT INTO public.who_import VALUES (21776, '2020-07-16', 'CY', 'Cyprus', 'EURO', '1', '1023', '0', '19');
INSERT INTO public.who_import VALUES (21777, '2020-07-17', 'CY', 'Cyprus', 'EURO', '8', '1031', '0', '19');
INSERT INTO public.who_import VALUES (21778, '2020-07-18', 'CY', 'Cyprus', 'EURO', '0', '1031', '0', '19');
INSERT INTO public.who_import VALUES (21779, '2020-07-19', 'CY', 'Cyprus', 'EURO', '6', '1037', '0', '19');
INSERT INTO public.who_import VALUES (21780, '2020-07-20', 'CY', 'Cyprus', 'EURO', '1', '1038', '0', '19');
INSERT INTO public.who_import VALUES (21781, '2020-07-21', 'CY', 'Cyprus', 'EURO', '0', '1038', '0', '19');
INSERT INTO public.who_import VALUES (21782, '2020-07-22', 'CY', 'Cyprus', 'EURO', '2', '1040', '0', '19');
INSERT INTO public.who_import VALUES (21783, '2020-07-23', 'CY', 'Cyprus', 'EURO', '0', '1040', '0', '19');
INSERT INTO public.who_import VALUES (21784, '2020-07-24', 'CY', 'Cyprus', 'EURO', '5', '1045', '0', '19');
INSERT INTO public.who_import VALUES (21785, '2020-07-25', 'CY', 'Cyprus', 'EURO', '2', '1047', '0', '19');
INSERT INTO public.who_import VALUES (21786, '2020-07-26', 'CY', 'Cyprus', 'EURO', '6', '1053', '0', '19');
INSERT INTO public.who_import VALUES (21787, '2020-07-27', 'CY', 'Cyprus', 'EURO', '4', '1057', '0', '19');
INSERT INTO public.who_import VALUES (21788, '2020-07-28', 'CY', 'Cyprus', 'EURO', '3', '1060', '0', '19');
INSERT INTO public.who_import VALUES (21789, '2020-07-29', 'CY', 'Cyprus', 'EURO', '7', '1067', '0', '19');
INSERT INTO public.who_import VALUES (21790, '2020-07-30', 'CY', 'Cyprus', 'EURO', '13', '1080', '0', '19');
INSERT INTO public.who_import VALUES (21791, '2020-07-31', 'CY', 'Cyprus', 'EURO', '4', '1084', '0', '19');
INSERT INTO public.who_import VALUES (21792, '2020-08-01', 'CY', 'Cyprus', 'EURO', '30', '1114', '0', '19');
INSERT INTO public.who_import VALUES (21793, '2020-08-02', 'CY', 'Cyprus', 'EURO', '10', '1124', '0', '19');
INSERT INTO public.who_import VALUES (21794, '2020-08-03', 'CY', 'Cyprus', 'EURO', '26', '1150', '0', '19');
INSERT INTO public.who_import VALUES (21795, '2020-08-04', 'CY', 'Cyprus', 'EURO', '5', '1155', '0', '19');
INSERT INTO public.who_import VALUES (21796, '2020-08-05', 'CY', 'Cyprus', 'EURO', '25', '1180', '0', '19');
INSERT INTO public.who_import VALUES (21797, '2020-08-06', 'CY', 'Cyprus', 'EURO', '15', '1195', '0', '19');
INSERT INTO public.who_import VALUES (21798, '2020-08-07', 'CY', 'Cyprus', 'EURO', '13', '1208', '0', '19');
INSERT INTO public.who_import VALUES (21799, '2020-08-08', 'CY', 'Cyprus', 'EURO', '14', '1222', '0', '19');
INSERT INTO public.who_import VALUES (21800, '2020-08-09', 'CY', 'Cyprus', 'EURO', '11', '1233', '0', '19');
INSERT INTO public.who_import VALUES (21801, '2020-08-10', 'CY', 'Cyprus', 'EURO', '9', '1242', '0', '19');
INSERT INTO public.who_import VALUES (21802, '2020-08-11', 'CY', 'Cyprus', 'EURO', '10', '1252', '0', '19');
INSERT INTO public.who_import VALUES (21803, '2020-08-12', 'CY', 'Cyprus', 'EURO', '25', '1277', '1', '20');
INSERT INTO public.who_import VALUES (21804, '2020-08-13', 'CY', 'Cyprus', 'EURO', '14', '1291', '0', '20');
INSERT INTO public.who_import VALUES (21805, '2020-08-14', 'CY', 'Cyprus', 'EURO', '14', '1305', '0', '20');
INSERT INTO public.who_import VALUES (21806, '2020-08-15', 'CY', 'Cyprus', 'EURO', '13', '1318', '0', '20');
INSERT INTO public.who_import VALUES (21807, '2020-08-16', 'CY', 'Cyprus', 'EURO', '14', '1332', '0', '20');
INSERT INTO public.who_import VALUES (21808, '2020-08-17', 'CY', 'Cyprus', 'EURO', '0', '1332', '0', '20');
INSERT INTO public.who_import VALUES (21809, '2020-08-18', 'CY', 'Cyprus', 'EURO', '19', '1351', '0', '20');
INSERT INTO public.who_import VALUES (21810, '2020-08-19', 'CY', 'Cyprus', 'EURO', '8', '1359', '0', '20');
INSERT INTO public.who_import VALUES (21811, '2020-08-20', 'CY', 'Cyprus', 'EURO', '26', '1385', '1', '21');
INSERT INTO public.who_import VALUES (21812, '2020-08-21', 'CY', 'Cyprus', 'EURO', '10', '1395', '0', '21');
INSERT INTO public.who_import VALUES (21813, '2020-08-22', 'CY', 'Cyprus', 'EURO', '11', '1406', '0', '21');
INSERT INTO public.who_import VALUES (21814, '2020-08-23', 'CY', 'Cyprus', 'EURO', '11', '1417', '0', '21');
INSERT INTO public.who_import VALUES (21815, '2020-08-24', 'CY', 'Cyprus', 'EURO', '4', '1421', '0', '21');
INSERT INTO public.who_import VALUES (21816, '2020-08-25', 'CY', 'Cyprus', 'EURO', '30', '1451', '0', '21');
INSERT INTO public.who_import VALUES (21817, '2020-08-26', 'CY', 'Cyprus', 'EURO', '23', '1474', '0', '21');
INSERT INTO public.who_import VALUES (21818, '2020-08-27', 'CY', 'Cyprus', 'EURO', '7', '1481', '0', '21');
INSERT INTO public.who_import VALUES (21819, '2020-08-28', 'CY', 'Cyprus', 'EURO', '0', '1481', '0', '21');
INSERT INTO public.who_import VALUES (21820, '2020-08-29', 'CY', 'Cyprus', 'EURO', '0', '1481', '0', '21');
INSERT INTO public.who_import VALUES (21821, '2020-08-30', 'CY', 'Cyprus', 'EURO', '2', '1483', '0', '21');
INSERT INTO public.who_import VALUES (21822, '2020-08-31', 'CY', 'Cyprus', 'EURO', '4', '1487', '0', '21');
INSERT INTO public.who_import VALUES (21823, '2020-09-01', 'CY', 'Cyprus', 'EURO', '1', '1488', '0', '21');
INSERT INTO public.who_import VALUES (21824, '2020-09-02', 'CY', 'Cyprus', 'EURO', '2', '1490', '0', '21');
INSERT INTO public.who_import VALUES (21825, '2020-09-03', 'CY', 'Cyprus', 'EURO', '5', '1495', '0', '21');
INSERT INTO public.who_import VALUES (21826, '2020-09-04', 'CY', 'Cyprus', 'EURO', '3', '1498', '0', '21');
INSERT INTO public.who_import VALUES (21827, '2020-09-05', 'CY', 'Cyprus', 'EURO', '0', '1498', '0', '21');
INSERT INTO public.who_import VALUES (21828, '2020-09-06', 'CY', 'Cyprus', 'EURO', '9', '1507', '0', '21');
INSERT INTO public.who_import VALUES (21829, '2020-09-07', 'CY', 'Cyprus', 'EURO', '2', '1509', '0', '21');
INSERT INTO public.who_import VALUES (21830, '2020-09-08', 'CY', 'Cyprus', 'EURO', '1', '1510', '0', '21');
INSERT INTO public.who_import VALUES (21831, '2020-09-09', 'CY', 'Cyprus', 'EURO', '1', '1511', '0', '21');
INSERT INTO public.who_import VALUES (21832, '2020-09-10', 'CY', 'Cyprus', 'EURO', '3', '1514', '0', '21');
INSERT INTO public.who_import VALUES (21833, '2020-09-11', 'CY', 'Cyprus', 'EURO', '3', '1517', '0', '21');
INSERT INTO public.who_import VALUES (21834, '2020-09-12', 'CY', 'Cyprus', 'EURO', '3', '1520', '0', '21');
INSERT INTO public.who_import VALUES (21835, '2020-09-13', 'CY', 'Cyprus', 'EURO', '3', '1523', '0', '21');
INSERT INTO public.who_import VALUES (21836, '2020-09-14', 'CY', 'Cyprus', 'EURO', '3', '1526', '0', '21');
INSERT INTO public.who_import VALUES (21837, '2020-09-15', 'CY', 'Cyprus', 'EURO', '8', '1534', '1', '22');
INSERT INTO public.who_import VALUES (21838, '2020-09-16', 'CY', 'Cyprus', 'EURO', '6', '1540', '0', '22');
INSERT INTO public.who_import VALUES (21839, '2020-09-17', 'CY', 'Cyprus', 'EURO', '8', '1548', '0', '22');
INSERT INTO public.who_import VALUES (21840, '2020-09-18', 'CY', 'Cyprus', 'EURO', '10', '1558', '0', '22');
INSERT INTO public.who_import VALUES (21841, '2020-09-19', 'CY', 'Cyprus', 'EURO', '7', '1565', '0', '22');
INSERT INTO public.who_import VALUES (21842, '2020-09-20', 'CY', 'Cyprus', 'EURO', '15', '1580', '0', '22');
INSERT INTO public.who_import VALUES (21843, '2020-09-21', 'CY', 'Cyprus', 'EURO', '20', '1600', '0', '22');
INSERT INTO public.who_import VALUES (21844, '2020-09-22', 'CY', 'Cyprus', 'EURO', '3', '1603', '0', '22');
INSERT INTO public.who_import VALUES (21845, '2020-09-23', 'CY', 'Cyprus', 'EURO', '15', '1618', '0', '22');
INSERT INTO public.who_import VALUES (21846, '2020-09-24', 'CY', 'Cyprus', 'EURO', '36', '1654', '0', '22');
INSERT INTO public.who_import VALUES (21847, '2020-09-25', 'CY', 'Cyprus', 'EURO', '9', '1663', '0', '22');
INSERT INTO public.who_import VALUES (21848, '2020-09-26', 'CY', 'Cyprus', 'EURO', '8', '1671', '0', '22');
INSERT INTO public.who_import VALUES (21849, '2020-09-27', 'CY', 'Cyprus', 'EURO', '13', '1684', '0', '22');
INSERT INTO public.who_import VALUES (21850, '2020-09-28', 'CY', 'Cyprus', 'EURO', '12', '1696', '0', '22');
INSERT INTO public.who_import VALUES (21851, '2020-09-29', 'CY', 'Cyprus', 'EURO', '17', '1713', '0', '22');
INSERT INTO public.who_import VALUES (21852, '2020-09-30', 'CY', 'Cyprus', 'EURO', '30', '1743', '0', '22');
INSERT INTO public.who_import VALUES (21853, '2020-10-01', 'CY', 'Cyprus', 'EURO', '12', '1755', '0', '22');
INSERT INTO public.who_import VALUES (21854, '2020-10-02', 'CY', 'Cyprus', 'EURO', '17', '1772', '0', '22');
INSERT INTO public.who_import VALUES (21855, '2020-10-03', 'CY', 'Cyprus', 'EURO', '17', '1789', '0', '22');
INSERT INTO public.who_import VALUES (21856, '2020-10-04', 'CY', 'Cyprus', 'EURO', '22', '1811', '0', '22');
INSERT INTO public.who_import VALUES (21857, '2020-10-05', 'CY', 'Cyprus', 'EURO', '13', '1824', '0', '22');
INSERT INTO public.who_import VALUES (21858, '2020-10-06', 'CY', 'Cyprus', 'EURO', '23', '1847', '0', '22');
INSERT INTO public.who_import VALUES (21859, '2020-10-07', 'CY', 'Cyprus', 'EURO', '29', '1876', '1', '23');
INSERT INTO public.who_import VALUES (21860, '2020-10-08', 'CY', 'Cyprus', 'EURO', '21', '1897', '1', '24');
INSERT INTO public.who_import VALUES (21861, '2020-10-09', 'CY', 'Cyprus', 'EURO', '21', '1918', '0', '24');
INSERT INTO public.who_import VALUES (21862, '2020-10-10', 'CY', 'Cyprus', 'EURO', '33', '1951', '1', '25');
INSERT INTO public.who_import VALUES (21863, '2020-10-11', 'CY', 'Cyprus', 'EURO', '35', '1986', '0', '25');
INSERT INTO public.who_import VALUES (21864, '2020-10-12', 'CY', 'Cyprus', 'EURO', '0', '1986', '0', '25');
INSERT INTO public.who_import VALUES (21865, '2020-10-13', 'CY', 'Cyprus', 'EURO', '61', '2047', '0', '25');
INSERT INTO public.who_import VALUES (21866, '2020-10-14', 'CY', 'Cyprus', 'EURO', '0', '2047', '0', '25');
INSERT INTO public.who_import VALUES (21867, '2020-10-15', 'CY', 'Cyprus', 'EURO', '83', '2130', '0', '25');
INSERT INTO public.who_import VALUES (21868, '2020-10-16', 'CY', 'Cyprus', 'EURO', '51', '2181', '0', '25');
INSERT INTO public.who_import VALUES (21869, '2020-10-17', 'CY', 'Cyprus', 'EURO', '198', '2379', '0', '25');
INSERT INTO public.who_import VALUES (21870, '2020-10-18', 'CY', 'Cyprus', 'EURO', '0', '2379', '0', '25');
INSERT INTO public.who_import VALUES (21871, '2020-10-19', 'CY', 'Cyprus', 'EURO', '265', '2644', '0', '25');
INSERT INTO public.who_import VALUES (21872, '2020-10-20', 'CY', 'Cyprus', 'EURO', '43', '2687', '0', '25');
INSERT INTO public.who_import VALUES (21873, '2020-10-21', 'CY', 'Cyprus', 'EURO', '152', '2839', '0', '25');
INSERT INTO public.who_import VALUES (21874, '2020-10-22', 'CY', 'Cyprus', 'EURO', '127', '2966', '0', '25');
INSERT INTO public.who_import VALUES (21875, '2020-10-23', 'CY', 'Cyprus', 'EURO', '188', '3154', '0', '25');
INSERT INTO public.who_import VALUES (21876, '2020-10-24', 'CY', 'Cyprus', 'EURO', '160', '3314', '0', '25');
INSERT INTO public.who_import VALUES (21877, '2020-10-25', 'CY', 'Cyprus', 'EURO', '130', '3444', '0', '25');
INSERT INTO public.who_import VALUES (21878, '2020-10-26', 'CY', 'Cyprus', 'EURO', '101', '3545', '0', '25');
INSERT INTO public.who_import VALUES (21879, '2020-10-27', 'CY', 'Cyprus', 'EURO', '91', '3636', '0', '25');
INSERT INTO public.who_import VALUES (21880, '2020-10-28', 'CY', 'Cyprus', 'EURO', '181', '3817', '0', '25');
INSERT INTO public.who_import VALUES (21881, '2020-10-29', 'CY', 'Cyprus', 'EURO', '0', '3817', '0', '25');
INSERT INTO public.who_import VALUES (21882, '2020-10-30', 'CY', 'Cyprus', 'EURO', '234', '4051', '0', '25');
INSERT INTO public.who_import VALUES (21883, '2020-10-31', 'CY', 'Cyprus', 'EURO', '166', '4217', '0', '25');
INSERT INTO public.who_import VALUES (21884, '2020-11-01', 'CY', 'Cyprus', 'EURO', '149', '4366', '1', '26');
INSERT INTO public.who_import VALUES (21885, '2020-11-02', 'CY', 'Cyprus', 'EURO', '197', '4563', '0', '26');
INSERT INTO public.who_import VALUES (21886, '2020-11-03', 'CY', 'Cyprus', 'EURO', '197', '4760', '0', '26');
INSERT INTO public.who_import VALUES (21887, '2020-11-04', 'CY', 'Cyprus', 'EURO', '174', '4934', '0', '26');
INSERT INTO public.who_import VALUES (21888, '2020-11-05', 'CY', 'Cyprus', 'EURO', '166', '5100', '0', '26');
INSERT INTO public.who_import VALUES (21889, '2020-11-06', 'CY', 'Cyprus', 'EURO', '233', '5333', '0', '26');
INSERT INTO public.who_import VALUES (21890, '2020-11-07', 'CY', 'Cyprus', 'EURO', '224', '5557', '0', '26');
INSERT INTO public.who_import VALUES (21891, '2020-11-08', 'CY', 'Cyprus', 'EURO', '314', '5871', '1', '27');
INSERT INTO public.who_import VALUES (21892, '2020-11-09', 'CY', 'Cyprus', 'EURO', '116', '5987', '0', '27');
INSERT INTO public.who_import VALUES (21893, '2020-11-10', 'CY', 'Cyprus', 'EURO', '111', '6098', '0', '27');
INSERT INTO public.who_import VALUES (21894, '2020-11-11', 'CY', 'Cyprus', 'EURO', '198', '6296', '2', '29');
INSERT INTO public.who_import VALUES (21895, '2020-11-12', 'CY', 'Cyprus', 'EURO', '165', '6461', '3', '32');
INSERT INTO public.who_import VALUES (21896, '2020-11-13', 'CY', 'Cyprus', 'EURO', '185', '6646', '2', '34');
INSERT INTO public.who_import VALUES (21897, '2020-11-14', 'CY', 'Cyprus', 'EURO', '207', '6853', '4', '38');
INSERT INTO public.who_import VALUES (21898, '2020-11-15', 'CY', 'Cyprus', 'EURO', '198', '7051', '1', '39');
INSERT INTO public.who_import VALUES (21899, '2020-11-16', 'CY', 'Cyprus', 'EURO', '127', '7178', '1', '40');
INSERT INTO public.who_import VALUES (21900, '2020-11-17', 'CY', 'Cyprus', 'EURO', '107', '7285', '0', '40');
INSERT INTO public.who_import VALUES (21901, '2020-11-18', 'CY', 'Cyprus', 'EURO', '228', '7513', '0', '40');
INSERT INTO public.who_import VALUES (21902, '2020-11-19', 'CY', 'Cyprus', 'EURO', '198', '7711', '1', '41');
INSERT INTO public.who_import VALUES (21903, '2020-11-20', 'CY', 'Cyprus', 'EURO', '268', '7979', '0', '41');
INSERT INTO public.who_import VALUES (21904, '2020-11-21', 'CY', 'Cyprus', 'EURO', '232', '8211', '2', '43');
INSERT INTO public.who_import VALUES (21905, '2020-11-22', 'CY', 'Cyprus', 'EURO', '245', '8456', '0', '43');
INSERT INTO public.who_import VALUES (21906, '2020-11-23', 'CY', 'Cyprus', 'EURO', '187', '8643', '1', '44');
INSERT INTO public.who_import VALUES (21907, '2020-11-24', 'CY', 'Cyprus', 'EURO', '304', '8947', '0', '44');
INSERT INTO public.who_import VALUES (21908, '2020-11-25', 'CY', 'Cyprus', 'EURO', '252', '9199', '2', '46');
INSERT INTO public.who_import VALUES (21909, '2020-11-26', 'CY', 'Cyprus', 'EURO', '254', '9453', '1', '47');
INSERT INTO public.who_import VALUES (21910, '2020-11-27', 'CY', 'Cyprus', 'EURO', '220', '9673', '1', '48');
INSERT INTO public.who_import VALUES (21911, '2020-11-28', 'CY', 'Cyprus', 'EURO', '310', '9983', '0', '48');
INSERT INTO public.who_import VALUES (21912, '2020-11-29', 'CY', 'Cyprus', 'EURO', '248', '10231', '0', '48');
INSERT INTO public.who_import VALUES (21913, '2020-11-30', 'CY', 'Cyprus', 'EURO', '152', '10383', '0', '48');
INSERT INTO public.who_import VALUES (21914, '2020-12-01', 'CY', 'Cyprus', 'EURO', '182', '10565', '1', '49');
INSERT INTO public.who_import VALUES (21915, '2020-12-02', 'CY', 'Cyprus', 'EURO', '318', '10883', '0', '49');
INSERT INTO public.who_import VALUES (21916, '2020-12-03', 'CY', 'Cyprus', 'EURO', '292', '11175', '3', '52');
INSERT INTO public.who_import VALUES (21917, '2020-12-04', 'CY', 'Cyprus', 'EURO', '348', '11523', '2', '54');
INSERT INTO public.who_import VALUES (21918, '2020-12-05', 'CY', 'Cyprus', 'EURO', '289', '11812', '3', '57');
INSERT INTO public.who_import VALUES (21919, '2020-12-06', 'CY', 'Cyprus', 'EURO', '369', '12181', '2', '59');
INSERT INTO public.who_import VALUES (21920, '2020-12-07', 'CY', 'Cyprus', 'EURO', '270', '12451', '2', '61');
INSERT INTO public.who_import VALUES (21921, '2020-12-08', 'CY', 'Cyprus', 'EURO', '416', '12867', '2', '63');
INSERT INTO public.who_import VALUES (21922, '2020-12-09', 'CY', 'Cyprus', 'EURO', '419', '13286', '5', '68');
INSERT INTO public.who_import VALUES (21923, '2020-12-10', 'CY', 'Cyprus', 'EURO', '363', '13649', '2', '70');
INSERT INTO public.who_import VALUES (21924, '2020-12-11', 'CY', 'Cyprus', 'EURO', '403', '14052', '2', '72');
INSERT INTO public.who_import VALUES (21925, '2020-12-12', 'CY', 'Cyprus', 'EURO', '424', '14476', '3', '75');
INSERT INTO public.who_import VALUES (21926, '2020-12-13', 'CY', 'Cyprus', 'EURO', '324', '14800', '2', '77');
INSERT INTO public.who_import VALUES (21927, '2020-12-14', 'CY', 'Cyprus', 'EURO', '301', '15101', '1', '78');
INSERT INTO public.who_import VALUES (21928, '2020-12-15', 'CY', 'Cyprus', 'EURO', '349', '15450', '4', '82');
INSERT INTO public.who_import VALUES (21929, '2020-12-16', 'CY', 'Cyprus', 'EURO', '339', '15789', '2', '84');
INSERT INTO public.who_import VALUES (21930, '2020-12-17', 'CY', 'Cyprus', 'EURO', '401', '16190', '1', '85');
INSERT INTO public.who_import VALUES (21931, '2020-12-18', 'CY', 'Cyprus', 'EURO', '457', '16647', '0', '85');
INSERT INTO public.who_import VALUES (21932, '2020-12-19', 'CY', 'Cyprus', 'EURO', '410', '17057', '2', '87');
INSERT INTO public.who_import VALUES (21933, '2020-12-20', 'CY', 'Cyprus', 'EURO', '419', '17476', '2', '89');
INSERT INTO public.who_import VALUES (21934, '2020-12-21', 'CY', 'Cyprus', 'EURO', '242', '17718', '2', '91');
INSERT INTO public.who_import VALUES (21935, '2020-12-22', 'CY', 'Cyprus', 'EURO', '286', '18004', '5', '96');
INSERT INTO public.who_import VALUES (21936, '2020-12-23', 'CY', 'Cyprus', 'EURO', '402', '18406', '5', '101');
INSERT INTO public.who_import VALUES (21937, '2020-12-24', 'CY', 'Cyprus', 'EURO', '477', '18883', '3', '104');
INSERT INTO public.who_import VALUES (21938, '2020-12-25', 'CY', 'Cyprus', 'EURO', '433', '19316', '3', '107');
INSERT INTO public.who_import VALUES (21939, '2020-12-26', 'CY', 'Cyprus', 'EURO', '50', '19366', '2', '109');
INSERT INTO public.who_import VALUES (21940, '2020-12-27', 'CY', 'Cyprus', 'EURO', '25', '19391', '2', '111');
INSERT INTO public.who_import VALUES (21941, '2020-12-28', 'CY', 'Cyprus', 'EURO', '266', '19657', '1', '112');
INSERT INTO public.who_import VALUES (21942, '2020-12-29', 'CY', 'Cyprus', 'EURO', '751', '20408', '1', '113');
INSERT INTO public.who_import VALUES (21943, '2020-12-30', 'CY', 'Cyprus', 'EURO', '907', '21315', '4', '117');
INSERT INTO public.who_import VALUES (21944, '2020-12-31', 'CY', 'Cyprus', 'EURO', '704', '22019', '2', '119');
INSERT INTO public.who_import VALUES (21945, '2021-01-01', 'CY', 'Cyprus', 'EURO', '632', '22651', '6', '125');
INSERT INTO public.who_import VALUES (21946, '2021-01-02', 'CY', 'Cyprus', 'EURO', '167', '22818', '2', '127');
INSERT INTO public.who_import VALUES (21947, '2021-01-03', 'CY', 'Cyprus', 'EURO', '627', '23445', '2', '129');
INSERT INTO public.who_import VALUES (21948, '2021-01-04', 'CY', 'Cyprus', 'EURO', '529', '23974', '2', '131');
INSERT INTO public.who_import VALUES (21949, '2021-01-05', 'CY', 'Cyprus', 'EURO', '665', '24639', '2', '133');
INSERT INTO public.who_import VALUES (21950, '2021-01-06', 'CY', 'Cyprus', 'EURO', '569', '25208', '1', '134');
INSERT INTO public.who_import VALUES (21951, '2021-01-07', 'CY', 'Cyprus', 'EURO', '573', '25781', '4', '138');
INSERT INTO public.who_import VALUES (21952, '2021-01-08', 'CY', 'Cyprus', 'EURO', '427', '26208', '2', '140');
INSERT INTO public.who_import VALUES (21953, '2021-01-09', 'CY', 'Cyprus', 'EURO', '466', '26674', '1', '141');
INSERT INTO public.who_import VALUES (21954, '2021-01-10', 'CY', 'Cyprus', 'EURO', '337', '27011', '6', '147');
INSERT INTO public.who_import VALUES (21955, '2021-01-11', 'CY', 'Cyprus', 'EURO', '339', '27350', '1', '148');
INSERT INTO public.who_import VALUES (21956, '2021-01-12', 'CY', 'Cyprus', 'EURO', '288', '27638', '5', '153');
INSERT INTO public.who_import VALUES (21957, '2021-01-13', 'CY', 'Cyprus', 'EURO', '259', '27897', '4', '157');
INSERT INTO public.who_import VALUES (21958, '2021-01-14', 'CY', 'Cyprus', 'EURO', '227', '28124', '6', '163');
INSERT INTO public.who_import VALUES (21959, '2021-01-15', 'CY', 'Cyprus', 'EURO', '241', '28365', '3', '166');
INSERT INTO public.who_import VALUES (21960, '2021-01-16', 'CY', 'Cyprus', 'EURO', '244', '28609', '0', '166');
INSERT INTO public.who_import VALUES (21961, '2021-01-17', 'CY', 'Cyprus', 'EURO', '202', '28811', '1', '167');
INSERT INTO public.who_import VALUES (21962, '2021-01-18', 'CY', 'Cyprus', 'EURO', '157', '28968', '3', '170');
INSERT INTO public.who_import VALUES (21963, '2021-01-19', 'CY', 'Cyprus', 'EURO', '162', '29130', '5', '175');
INSERT INTO public.who_import VALUES (21964, '2021-01-20', 'CY', 'Cyprus', 'EURO', '164', '29294', '1', '176');
INSERT INTO public.who_import VALUES (21965, '2021-01-21', 'CY', 'Cyprus', 'EURO', '178', '29472', '0', '176');
INSERT INTO public.who_import VALUES (21966, '2021-01-22', 'CY', 'Cyprus', 'EURO', '164', '29636', '2', '178');
INSERT INTO public.who_import VALUES (21967, '2021-01-23', 'CY', 'Cyprus', 'EURO', '122', '29758', '1', '179');
INSERT INTO public.who_import VALUES (21968, '2021-01-24', 'CY', 'Cyprus', 'EURO', '129', '29887', '4', '183');
INSERT INTO public.who_import VALUES (21969, '2021-01-25', 'CY', 'Cyprus', 'EURO', '130', '30017', '3', '186');
INSERT INTO public.who_import VALUES (21970, '2021-01-26', 'CY', 'Cyprus', 'EURO', '126', '30143', '2', '188');
INSERT INTO public.who_import VALUES (21971, '2021-01-27', 'CY', 'Cyprus', 'EURO', '109', '30252', '2', '190');
INSERT INTO public.who_import VALUES (21972, '2021-01-28', 'CY', 'Cyprus', 'EURO', '128', '30380', '3', '193');
INSERT INTO public.who_import VALUES (21973, '2021-01-29', 'CY', 'Cyprus', 'EURO', '158', '30538', '4', '197');
INSERT INTO public.who_import VALUES (21974, '2021-01-30', 'CY', 'Cyprus', 'EURO', '119', '30657', '0', '197');
INSERT INTO public.who_import VALUES (21975, '2021-01-31', 'CY', 'Cyprus', 'EURO', '113', '30770', '0', '197');
INSERT INTO public.who_import VALUES (21976, '2021-02-01', 'CY', 'Cyprus', 'EURO', '106', '30876', '2', '199');
INSERT INTO public.who_import VALUES (21977, '2021-02-02', 'CY', 'Cyprus', 'EURO', '120', '30996', '3', '202');
INSERT INTO public.who_import VALUES (21978, '2021-02-03', 'CY', 'Cyprus', 'EURO', '128', '31124', '0', '202');
INSERT INTO public.who_import VALUES (21979, '2021-02-04', 'CY', 'Cyprus', 'EURO', '139', '31263', '1', '203');
INSERT INTO public.who_import VALUES (21980, '2021-02-05', 'CY', 'Cyprus', 'EURO', '116', '31379', '5', '208');
INSERT INTO public.who_import VALUES (21981, '2021-02-06', 'CY', 'Cyprus', 'EURO', '133', '31512', '2', '210');
INSERT INTO public.who_import VALUES (21982, '2021-02-07', 'CY', 'Cyprus', 'EURO', '132', '31644', '1', '211');
INSERT INTO public.who_import VALUES (21983, '2021-02-08', 'CY', 'Cyprus', 'EURO', '115', '31759', '1', '212');
INSERT INTO public.who_import VALUES (21984, '2021-02-09', 'CY', 'Cyprus', 'EURO', '105', '31864', '2', '214');
INSERT INTO public.who_import VALUES (21985, '2021-02-10', 'CY', 'Cyprus', 'EURO', '95', '31959', '0', '214');
INSERT INTO public.who_import VALUES (21986, '2021-02-11', 'CY', 'Cyprus', 'EURO', '113', '32072', '3', '217');
INSERT INTO public.who_import VALUES (21987, '2021-02-12', 'CY', 'Cyprus', 'EURO', '103', '32175', '1', '218');
INSERT INTO public.who_import VALUES (21988, '2021-02-13', 'CY', 'Cyprus', 'EURO', '113', '32288', '1', '219');
INSERT INTO public.who_import VALUES (21989, '2021-02-14', 'CY', 'Cyprus', 'EURO', '102', '32390', '1', '220');
INSERT INTO public.who_import VALUES (21990, '2021-02-15', 'CY', 'Cyprus', 'EURO', '123', '32513', '1', '221');
INSERT INTO public.who_import VALUES (21991, '2021-02-16', 'CY', 'Cyprus', 'EURO', '113', '32626', '1', '222');
INSERT INTO public.who_import VALUES (21992, '2021-02-17', 'CY', 'Cyprus', 'EURO', '81', '32707', '3', '225');
INSERT INTO public.who_import VALUES (21993, '2021-02-18', 'CY', 'Cyprus', 'EURO', '121', '32828', '2', '227');
INSERT INTO public.who_import VALUES (21994, '2021-02-19', 'CY', 'Cyprus', 'EURO', '107', '32935', '1', '228');
INSERT INTO public.who_import VALUES (21995, '2021-02-20', 'CY', 'Cyprus', 'EURO', '111', '33046', '1', '229');
INSERT INTO public.who_import VALUES (21996, '2020-01-03', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21997, '2020-01-04', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21998, '2020-01-05', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (21999, '2020-01-06', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22000, '2020-01-07', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22001, '2020-01-08', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22002, '2020-01-09', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22003, '2020-01-10', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22004, '2020-01-11', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22005, '2020-01-12', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22006, '2020-01-13', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22007, '2020-01-14', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22008, '2020-01-15', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22009, '2020-01-16', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22010, '2020-01-17', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22011, '2020-01-18', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22012, '2020-01-19', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22013, '2020-01-20', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22014, '2020-01-21', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22015, '2020-01-22', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22016, '2020-01-23', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22017, '2020-01-24', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22018, '2020-01-25', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22019, '2020-01-26', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22020, '2020-01-27', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22021, '2020-01-28', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22022, '2020-01-29', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22023, '2020-01-30', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22024, '2020-01-31', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22025, '2020-02-01', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22026, '2020-02-02', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22027, '2020-02-03', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22028, '2020-02-04', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22029, '2020-02-05', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22030, '2020-02-06', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22031, '2020-02-07', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22032, '2020-02-08', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22033, '2020-02-09', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22034, '2020-02-10', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22035, '2020-02-11', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22036, '2020-02-12', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22037, '2020-02-13', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22038, '2020-02-14', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22039, '2020-02-15', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22040, '2020-02-16', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22041, '2020-02-17', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22042, '2020-02-18', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22043, '2020-02-19', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22044, '2020-02-20', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22045, '2020-02-21', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22046, '2020-02-22', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22047, '2020-02-23', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22048, '2020-02-24', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22049, '2020-02-25', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22050, '2020-02-26', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22051, '2020-02-27', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22052, '2020-02-28', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22053, '2020-02-29', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22054, '2020-03-01', 'CZ', 'Czechia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22055, '2020-03-02', 'CZ', 'Czechia', 'EURO', '3', '3', '0', '0');
INSERT INTO public.who_import VALUES (22056, '2020-03-03', 'CZ', 'Czechia', 'EURO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (22057, '2020-03-04', 'CZ', 'Czechia', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (22058, '2020-03-05', 'CZ', 'Czechia', 'EURO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (22059, '2020-03-06', 'CZ', 'Czechia', 'EURO', '4', '12', '0', '0');
INSERT INTO public.who_import VALUES (22060, '2020-03-07', 'CZ', 'Czechia', 'EURO', '7', '19', '0', '0');
INSERT INTO public.who_import VALUES (22061, '2020-03-08', 'CZ', 'Czechia', 'EURO', '7', '26', '0', '0');
INSERT INTO public.who_import VALUES (22062, '2020-03-09', 'CZ', 'Czechia', 'EURO', '6', '32', '0', '0');
INSERT INTO public.who_import VALUES (22063, '2020-03-10', 'CZ', 'Czechia', 'EURO', '8', '40', '0', '0');
INSERT INTO public.who_import VALUES (22064, '2020-03-11', 'CZ', 'Czechia', 'EURO', '23', '63', '0', '0');
INSERT INTO public.who_import VALUES (22065, '2020-03-12', 'CZ', 'Czechia', 'EURO', '31', '94', '0', '0');
INSERT INTO public.who_import VALUES (22066, '2020-03-13', 'CZ', 'Czechia', 'EURO', '22', '116', '0', '0');
INSERT INTO public.who_import VALUES (22067, '2020-03-14', 'CZ', 'Czechia', 'EURO', '34', '150', '0', '0');
INSERT INTO public.who_import VALUES (22068, '2020-03-15', 'CZ', 'Czechia', 'EURO', '64', '214', '0', '0');
INSERT INTO public.who_import VALUES (22069, '2020-03-16', 'CZ', 'Czechia', 'EURO', '84', '298', '0', '0');
INSERT INTO public.who_import VALUES (22070, '2020-03-17', 'CZ', 'Czechia', 'EURO', '46', '344', '0', '0');
INSERT INTO public.who_import VALUES (22071, '2020-03-18', 'CZ', 'Czechia', 'EURO', '90', '434', '0', '0');
INSERT INTO public.who_import VALUES (22072, '2020-03-19', 'CZ', 'Czechia', 'EURO', '88', '522', '0', '0');
INSERT INTO public.who_import VALUES (22073, '2020-03-20', 'CZ', 'Czechia', 'EURO', '172', '694', '0', '0');
INSERT INTO public.who_import VALUES (22074, '2020-03-21', 'CZ', 'Czechia', 'EURO', '210', '904', '0', '0');
INSERT INTO public.who_import VALUES (22075, '2020-03-22', 'CZ', 'Czechia', 'EURO', '91', '995', '0', '0');
INSERT INTO public.who_import VALUES (22076, '2020-03-23', 'CZ', 'Czechia', 'EURO', '170', '1165', '1', '1');
INSERT INTO public.who_import VALUES (22077, '2020-03-24', 'CZ', 'Czechia', 'EURO', '71', '1236', '0', '1');
INSERT INTO public.who_import VALUES (22078, '2020-03-25', 'CZ', 'Czechia', 'EURO', '158', '1394', '2', '3');
INSERT INTO public.who_import VALUES (22079, '2020-03-26', 'CZ', 'Czechia', 'EURO', '260', '1654', '3', '6');
INSERT INTO public.who_import VALUES (22080, '2020-03-27', 'CZ', 'Czechia', 'EURO', '408', '2062', '3', '9');
INSERT INTO public.who_import VALUES (22081, '2020-03-28', 'CZ', 'Czechia', 'EURO', '217', '2279', '0', '9');
INSERT INTO public.who_import VALUES (22082, '2020-03-29', 'CZ', 'Czechia', 'EURO', '384', '2663', '2', '11');
INSERT INTO public.who_import VALUES (22083, '2020-03-30', 'CZ', 'Czechia', 'EURO', '166', '2829', '5', '16');
INSERT INTO public.who_import VALUES (22084, '2020-03-31', 'CZ', 'Czechia', 'EURO', '173', '3002', '8', '24');
INSERT INTO public.who_import VALUES (22085, '2020-04-01', 'CZ', 'Czechia', 'EURO', '306', '3308', '7', '31');
INSERT INTO public.who_import VALUES (22086, '2020-04-02', 'CZ', 'Czechia', 'EURO', '281', '3589', '8', '39');
INSERT INTO public.who_import VALUES (22087, '2020-04-03', 'CZ', 'Czechia', 'EURO', '269', '3858', '5', '44');
INSERT INTO public.who_import VALUES (22088, '2020-04-04', 'CZ', 'Czechia', 'EURO', '332', '4190', '9', '53');
INSERT INTO public.who_import VALUES (22089, '2020-04-05', 'CZ', 'Czechia', 'EURO', '282', '4472', '6', '59');
INSERT INTO public.who_import VALUES (22090, '2020-04-06', 'CZ', 'Czechia', 'EURO', '115', '4587', '8', '67');
INSERT INTO public.who_import VALUES (22091, '2020-04-07', 'CZ', 'Czechia', 'EURO', '235', '4822', '11', '78');
INSERT INTO public.who_import VALUES (22092, '2020-04-08', 'CZ', 'Czechia', 'EURO', '195', '5017', '10', '88');
INSERT INTO public.who_import VALUES (22093, '2020-04-09', 'CZ', 'Czechia', 'EURO', '295', '5312', '11', '99');
INSERT INTO public.who_import VALUES (22094, '2020-04-10', 'CZ', 'Czechia', 'EURO', '257', '5569', '13', '112');
INSERT INTO public.who_import VALUES (22095, '2020-04-11', 'CZ', 'Czechia', 'EURO', '163', '5732', '7', '119');
INSERT INTO public.who_import VALUES (22096, '2020-04-12', 'CZ', 'Czechia', 'EURO', '170', '5902', '10', '129');
INSERT INTO public.who_import VALUES (22097, '2020-04-13', 'CZ', 'Czechia', 'EURO', '89', '5991', '9', '138');
INSERT INTO public.who_import VALUES (22098, '2020-04-14', 'CZ', 'Czechia', 'EURO', '68', '6059', '5', '143');
INSERT INTO public.who_import VALUES (22099, '2020-04-15', 'CZ', 'Czechia', 'EURO', '82', '6141', '18', '161');
INSERT INTO public.who_import VALUES (22100, '2020-04-16', 'CZ', 'Czechia', 'EURO', '162', '6303', '5', '166');
INSERT INTO public.who_import VALUES (22101, '2020-04-17', 'CZ', 'Czechia', 'EURO', '130', '6433', '3', '169');
INSERT INTO public.who_import VALUES (22102, '2020-04-18', 'CZ', 'Czechia', 'EURO', '116', '6549', '4', '173');
INSERT INTO public.who_import VALUES (22103, '2020-04-19', 'CZ', 'Czechia', 'EURO', '105', '6654', '8', '181');
INSERT INTO public.who_import VALUES (22104, '2020-04-20', 'CZ', 'Czechia', 'EURO', '133', '6787', '7', '188');
INSERT INTO public.who_import VALUES (22105, '2020-04-21', 'CZ', 'Czechia', 'EURO', '127', '6914', '8', '196');
INSERT INTO public.who_import VALUES (22106, '2020-04-22', 'CZ', 'Czechia', 'EURO', '127', '7041', '5', '201');
INSERT INTO public.who_import VALUES (22107, '2020-04-23', 'CZ', 'Czechia', 'EURO', '95', '7136', '9', '210');
INSERT INTO public.who_import VALUES (22108, '2020-04-24', 'CZ', 'Czechia', 'EURO', '52', '7188', '3', '213');
INSERT INTO public.who_import VALUES (22109, '2020-04-25', 'CZ', 'Czechia', 'EURO', '85', '7273', '2', '215');
INSERT INTO public.who_import VALUES (22110, '2020-04-26', 'CZ', 'Czechia', 'EURO', '79', '7352', '3', '218');
INSERT INTO public.who_import VALUES (22111, '2020-04-27', 'CZ', 'Czechia', 'EURO', '52', '7404', '3', '221');
INSERT INTO public.who_import VALUES (22112, '2020-04-28', 'CZ', 'Czechia', 'EURO', '45', '7449', '2', '223');
INSERT INTO public.who_import VALUES (22113, '2020-04-29', 'CZ', 'Czechia', 'EURO', '55', '7504', '4', '227');
INSERT INTO public.who_import VALUES (22114, '2020-04-30', 'CZ', 'Czechia', 'EURO', '75', '7579', '0', '227');
INSERT INTO public.who_import VALUES (22115, '2020-05-01', 'CZ', 'Czechia', 'EURO', '103', '7682', '9', '236');
INSERT INTO public.who_import VALUES (22116, '2020-05-02', 'CZ', 'Czechia', 'EURO', '55', '7737', '4', '240');
INSERT INTO public.who_import VALUES (22117, '2020-05-03', 'CZ', 'Czechia', 'EURO', '18', '7755', '5', '245');
INSERT INTO public.who_import VALUES (22118, '2020-05-04', 'CZ', 'Czechia', 'EURO', '26', '7781', '3', '248');
INSERT INTO public.who_import VALUES (22119, '2020-05-05', 'CZ', 'Czechia', 'EURO', '38', '7819', '4', '252');
INSERT INTO public.who_import VALUES (22120, '2020-05-06', 'CZ', 'Czechia', 'EURO', '77', '7896', '5', '257');
INSERT INTO public.who_import VALUES (22121, '2020-05-07', 'CZ', 'Czechia', 'EURO', '78', '7974', '5', '262');
INSERT INTO public.who_import VALUES (22122, '2020-05-08', 'CZ', 'Czechia', 'EURO', '57', '8031', '8', '270');
INSERT INTO public.who_import VALUES (22123, '2020-05-09', 'CZ', 'Czechia', 'EURO', '46', '8077', '3', '273');
INSERT INTO public.who_import VALUES (22124, '2020-05-10', 'CZ', 'Czechia', 'EURO', '18', '8095', '3', '276');
INSERT INTO public.who_import VALUES (22125, '2020-05-11', 'CZ', 'Czechia', 'EURO', '28', '8123', '4', '280');
INSERT INTO public.who_import VALUES (22126, '2020-05-12', 'CZ', 'Czechia', 'EURO', '53', '8176', '2', '282');
INSERT INTO public.who_import VALUES (22127, '2020-05-13', 'CZ', 'Czechia', 'EURO', '45', '8221', '1', '283');
INSERT INTO public.who_import VALUES (22128, '2020-05-14', 'CZ', 'Czechia', 'EURO', '48', '8269', '7', '290');
INSERT INTO public.who_import VALUES (22129, '2020-05-15', 'CZ', 'Czechia', 'EURO', '82', '8351', '3', '293');
INSERT INTO public.who_import VALUES (22130, '2020-05-16', 'CZ', 'Czechia', 'EURO', '55', '8406', '2', '295');
INSERT INTO public.who_import VALUES (22131, '2020-05-17', 'CZ', 'Czechia', 'EURO', '49', '8455', '1', '296');
INSERT INTO public.who_import VALUES (22132, '2020-05-18', 'CZ', 'Czechia', 'EURO', '20', '8475', '1', '297');
INSERT INTO public.who_import VALUES (22133, '2020-05-19', 'CZ', 'Czechia', 'EURO', '111', '8586', '0', '297');
INSERT INTO public.who_import VALUES (22134, '2020-05-20', 'CZ', 'Czechia', 'EURO', '61', '8647', '5', '302');
INSERT INTO public.who_import VALUES (22135, '2020-05-21', 'CZ', 'Czechia', 'EURO', '74', '8721', '2', '304');
INSERT INTO public.who_import VALUES (22136, '2020-05-22', 'CZ', 'Czechia', 'EURO', '33', '8754', '2', '306');
INSERT INTO public.who_import VALUES (22137, '2020-05-23', 'CZ', 'Czechia', 'EURO', '59', '8813', '6', '312');
INSERT INTO public.who_import VALUES (22138, '2020-05-24', 'CZ', 'Czechia', 'EURO', '77', '8890', '2', '314');
INSERT INTO public.who_import VALUES (22139, '2020-05-25', 'CZ', 'Czechia', 'EURO', '67', '8957', '1', '315');
INSERT INTO public.who_import VALUES (22140, '2020-05-26', 'CZ', 'Czechia', 'EURO', '47', '9004', '2', '317');
INSERT INTO public.who_import VALUES (22141, '2020-05-27', 'CZ', 'Czechia', 'EURO', '46', '9050', '0', '317');
INSERT INTO public.who_import VALUES (22142, '2020-05-28', 'CZ', 'Czechia', 'EURO', '36', '9086', '0', '317');
INSERT INTO public.who_import VALUES (22143, '2020-05-29', 'CZ', 'Czechia', 'EURO', '54', '9140', '2', '319');
INSERT INTO public.who_import VALUES (22144, '2020-05-30', 'CZ', 'Czechia', 'EURO', '56', '9196', '0', '319');
INSERT INTO public.who_import VALUES (22145, '2020-05-31', 'CZ', 'Czechia', 'EURO', '34', '9230', '0', '319');
INSERT INTO public.who_import VALUES (22146, '2020-06-01', 'CZ', 'Czechia', 'EURO', '43', '9273', '1', '320');
INSERT INTO public.who_import VALUES (22147, '2020-06-02', 'CZ', 'Czechia', 'EURO', '29', '9302', '1', '321');
INSERT INTO public.who_import VALUES (22148, '2020-06-03', 'CZ', 'Czechia', 'EURO', '62', '9364', '2', '323');
INSERT INTO public.who_import VALUES (22149, '2020-06-04', 'CZ', 'Czechia', 'EURO', '74', '9438', '1', '324');
INSERT INTO public.who_import VALUES (22150, '2020-06-05', 'CZ', 'Czechia', 'EURO', '56', '9494', '2', '326');
INSERT INTO public.who_import VALUES (22151, '2020-06-06', 'CZ', 'Czechia', 'EURO', '35', '9529', '1', '327');
INSERT INTO public.who_import VALUES (22152, '2020-06-07', 'CZ', 'Czechia', 'EURO', '38', '9567', '0', '327');
INSERT INTO public.who_import VALUES (22153, '2020-06-08', 'CZ', 'Czechia', 'EURO', '61', '9628', '0', '327');
INSERT INTO public.who_import VALUES (22154, '2020-06-09', 'CZ', 'Czechia', 'EURO', '69', '9697', '1', '328');
INSERT INTO public.who_import VALUES (22155, '2020-06-10', 'CZ', 'Czechia', 'EURO', '54', '9751', '0', '328');
INSERT INTO public.who_import VALUES (22156, '2020-06-11', 'CZ', 'Czechia', 'EURO', '73', '9824', '0', '328');
INSERT INTO public.who_import VALUES (22157, '2020-06-12', 'CZ', 'Czechia', 'EURO', '62', '9886', '1', '329');
INSERT INTO public.who_import VALUES (22158, '2020-06-13', 'CZ', 'Czechia', 'EURO', '52', '9938', '0', '329');
INSERT INTO public.who_import VALUES (22159, '2020-06-14', 'CZ', 'Czechia', 'EURO', '53', '9991', '0', '329');
INSERT INTO public.who_import VALUES (22160, '2020-06-15', 'CZ', 'Czechia', 'EURO', '33', '10024', '0', '329');
INSERT INTO public.who_import VALUES (22161, '2020-06-16', 'CZ', 'Czechia', 'EURO', '40', '10064', '1', '330');
INSERT INTO public.who_import VALUES (22162, '2020-06-17', 'CZ', 'Czechia', 'EURO', '47', '10111', '1', '331');
INSERT INTO public.who_import VALUES (22163, '2020-06-18', 'CZ', 'Czechia', 'EURO', '51', '10162', '2', '333');
INSERT INTO public.who_import VALUES (22164, '2020-06-19', 'CZ', 'Czechia', 'EURO', '68', '10230', '1', '334');
INSERT INTO public.who_import VALUES (22165, '2020-06-20', 'CZ', 'Czechia', 'EURO', '176', '10406', '1', '335');
INSERT INTO public.who_import VALUES (22166, '2020-06-21', 'CZ', 'Czechia', 'EURO', '42', '10448', '1', '336');
INSERT INTO public.who_import VALUES (22167, '2020-06-22', 'CZ', 'Czechia', 'EURO', '50', '10498', '0', '336');
INSERT INTO public.who_import VALUES (22168, '2020-06-23', 'CZ', 'Czechia', 'EURO', '63', '10561', '0', '336');
INSERT INTO public.who_import VALUES (22169, '2020-06-24', 'CZ', 'Czechia', 'EURO', '89', '10650', '3', '339');
INSERT INTO public.who_import VALUES (22170, '2020-06-25', 'CZ', 'Czechia', 'EURO', '127', '10777', '4', '343');
INSERT INTO public.who_import VALUES (22171, '2020-06-26', 'CZ', 'Czechia', 'EURO', '93', '10870', '2', '345');
INSERT INTO public.who_import VALUES (22172, '2020-06-27', 'CZ', 'Czechia', 'EURO', '168', '11038', '0', '345');
INSERT INTO public.who_import VALUES (22173, '2020-06-28', 'CZ', 'Czechia', 'EURO', '260', '11298', '2', '347');
INSERT INTO public.who_import VALUES (22174, '2020-06-29', 'CZ', 'Czechia', 'EURO', '305', '11603', '1', '348');
INSERT INTO public.who_import VALUES (22175, '2020-06-30', 'CZ', 'Czechia', 'EURO', '202', '11805', '0', '348');
INSERT INTO public.who_import VALUES (22176, '2020-07-01', 'CZ', 'Czechia', 'EURO', '149', '11954', '1', '349');
INSERT INTO public.who_import VALUES (22177, '2020-07-02', 'CZ', 'Czechia', 'EURO', '92', '12046', '0', '349');
INSERT INTO public.who_import VALUES (22178, '2020-07-03', 'CZ', 'Czechia', 'EURO', '132', '12178', '2', '351');
INSERT INTO public.who_import VALUES (22179, '2020-07-04', 'CZ', 'Czechia', 'EURO', '141', '12319', '1', '352');
INSERT INTO public.who_import VALUES (22180, '2020-07-05', 'CZ', 'Czechia', 'EURO', '121', '12440', '-1', '351');
INSERT INTO public.who_import VALUES (22181, '2020-07-06', 'CZ', 'Czechia', 'EURO', '75', '12515', '-3', '348');
INSERT INTO public.who_import VALUES (22182, '2020-07-07', 'CZ', 'Czechia', 'EURO', '51', '12566', '2', '350');
INSERT INTO public.who_import VALUES (22183, '2020-07-08', 'CZ', 'Czechia', 'EURO', '119', '12685', '1', '351');
INSERT INTO public.who_import VALUES (22184, '2020-07-09', 'CZ', 'Czechia', 'EURO', '129', '12814', '0', '351');
INSERT INTO public.who_import VALUES (22185, '2020-07-10', 'CZ', 'Czechia', 'EURO', '105', '12919', '1', '352');
INSERT INTO public.who_import VALUES (22186, '2020-07-11', 'CZ', 'Czechia', 'EURO', '143', '13062', '0', '352');
INSERT INTO public.who_import VALUES (22187, '2020-07-12', 'CZ', 'Czechia', 'EURO', '53', '13115', '0', '352');
INSERT INTO public.who_import VALUES (22188, '2020-07-13', 'CZ', 'Czechia', 'EURO', '59', '13174', '0', '352');
INSERT INTO public.who_import VALUES (22189, '2020-07-14', 'CZ', 'Czechia', 'EURO', '64', '13238', '1', '353');
INSERT INTO public.who_import VALUES (22190, '2020-07-15', 'CZ', 'Czechia', 'EURO', '103', '13341', '2', '355');
INSERT INTO public.who_import VALUES (22191, '2020-07-16', 'CZ', 'Czechia', 'EURO', '134', '13475', '0', '355');
INSERT INTO public.who_import VALUES (22192, '2020-07-17', 'CZ', 'Czechia', 'EURO', '137', '13612', '0', '355');
INSERT INTO public.who_import VALUES (22193, '2020-07-18', 'CZ', 'Czechia', 'EURO', '130', '13742', '3', '358');
INSERT INTO public.who_import VALUES (22194, '2020-07-19', 'CZ', 'Czechia', 'EURO', '113', '13855', '0', '358');
INSERT INTO public.who_import VALUES (22195, '2020-07-20', 'CZ', 'Czechia', 'EURO', '90', '13945', '1', '359');
INSERT INTO public.who_import VALUES (22196, '2020-07-21', 'CZ', 'Czechia', 'EURO', '153', '14098', '0', '359');
INSERT INTO public.who_import VALUES (22197, '2020-07-22', 'CZ', 'Czechia', 'EURO', '226', '14324', '1', '360');
INSERT INTO public.who_import VALUES (22198, '2020-07-23', 'CZ', 'Czechia', 'EURO', '246', '14570', '4', '364');
INSERT INTO public.who_import VALUES (22199, '2020-07-24', 'CZ', 'Czechia', 'EURO', '230', '14800', '1', '365');
INSERT INTO public.who_import VALUES (22200, '2020-07-25', 'CZ', 'Czechia', 'EURO', '281', '15081', '3', '368');
INSERT INTO public.who_import VALUES (22201, '2020-07-26', 'CZ', 'Czechia', 'EURO', '131', '15212', '0', '368');
INSERT INTO public.who_import VALUES (22202, '2020-07-27', 'CZ', 'Czechia', 'EURO', '112', '15324', '3', '371');
INSERT INTO public.who_import VALUES (22203, '2020-07-28', 'CZ', 'Czechia', 'EURO', '192', '15516', '2', '373');
INSERT INTO public.who_import VALUES (22204, '2020-07-29', 'CZ', 'Czechia', 'EURO', '283', '15799', '0', '373');
INSERT INTO public.who_import VALUES (22205, '2020-07-30', 'CZ', 'Czechia', 'EURO', '294', '16093', '1', '374');
INSERT INTO public.who_import VALUES (22206, '2020-07-31', 'CZ', 'Czechia', 'EURO', '249', '16342', '5', '379');
INSERT INTO public.who_import VALUES (22207, '2020-08-01', 'CZ', 'Czechia', 'EURO', '232', '16574', '3', '382');
INSERT INTO public.who_import VALUES (22208, '2020-08-02', 'CZ', 'Czechia', 'EURO', '125', '16699', '1', '383');
INSERT INTO public.who_import VALUES (22209, '2020-08-03', 'CZ', 'Czechia', 'EURO', '101', '16800', '0', '383');
INSERT INTO public.who_import VALUES (22210, '2020-08-04', 'CZ', 'Czechia', 'EURO', '208', '17008', '0', '383');
INSERT INTO public.who_import VALUES (22211, '2020-08-05', 'CZ', 'Czechia', 'EURO', '278', '17286', '0', '383');
INSERT INTO public.who_import VALUES (22212, '2020-08-06', 'CZ', 'Czechia', 'EURO', '243', '17529', '5', '388');
INSERT INTO public.who_import VALUES (22213, '2020-08-07', 'CZ', 'Czechia', 'EURO', '211', '17740', '1', '389');
INSERT INTO public.who_import VALUES (22214, '2020-08-08', 'CZ', 'Czechia', 'EURO', '320', '18060', '0', '389');
INSERT INTO public.who_import VALUES (22215, '2020-08-09', 'CZ', 'Czechia', 'EURO', '175', '18235', '0', '389');
INSERT INTO public.who_import VALUES (22216, '2020-08-10', 'CZ', 'Czechia', 'EURO', '120', '18355', '0', '389');
INSERT INTO public.who_import VALUES (22217, '2020-08-11', 'CZ', 'Czechia', 'EURO', '139', '18494', '0', '389');
INSERT INTO public.who_import VALUES (22218, '2020-08-12', 'CZ', 'Czechia', 'EURO', '289', '18783', '2', '391');
INSERT INTO public.who_import VALUES (22219, '2020-08-13', 'CZ', 'Czechia', 'EURO', '292', '19075', '0', '391');
INSERT INTO public.who_import VALUES (22220, '2020-08-14', 'CZ', 'Czechia', 'EURO', '326', '19401', '0', '391');
INSERT INTO public.who_import VALUES (22221, '2020-08-15', 'CZ', 'Czechia', 'EURO', '292', '19693', '3', '394');
INSERT INTO public.who_import VALUES (22222, '2020-08-16', 'CZ', 'Czechia', 'EURO', '198', '19891', '1', '395');
INSERT INTO public.who_import VALUES (22223, '2020-08-17', 'CZ', 'Czechia', 'EURO', '121', '20012', '2', '397');
INSERT INTO public.who_import VALUES (22224, '2020-08-18', 'CZ', 'Czechia', 'EURO', '190', '20202', '2', '399');
INSERT INTO public.who_import VALUES (22225, '2020-08-19', 'CZ', 'Czechia', 'EURO', '281', '20483', '2', '401');
INSERT INTO public.who_import VALUES (22226, '2020-08-20', 'CZ', 'Czechia', 'EURO', '315', '20798', '3', '404');
INSERT INTO public.who_import VALUES (22227, '2020-08-21', 'CZ', 'Czechia', 'EURO', '247', '21045', '2', '406');
INSERT INTO public.who_import VALUES (22228, '2020-08-22', 'CZ', 'Czechia', 'EURO', '506', '21551', '5', '411');
INSERT INTO public.who_import VALUES (22229, '2020-08-23', 'CZ', 'Czechia', 'EURO', '239', '21790', '0', '411');
INSERT INTO public.who_import VALUES (22230, '2020-08-24', 'CZ', 'Czechia', 'EURO', '133', '21923', '1', '412');
INSERT INTO public.who_import VALUES (22231, '2020-08-25', 'CZ', 'Czechia', 'EURO', '258', '22181', '3', '415');
INSERT INTO public.who_import VALUES (22232, '2020-08-26', 'CZ', 'Czechia', 'EURO', '367', '22548', '1', '416');
INSERT INTO public.who_import VALUES (22233, '2020-08-27', 'CZ', 'Czechia', 'EURO', '403', '22951', '2', '418');
INSERT INTO public.who_import VALUES (22234, '2020-08-28', 'CZ', 'Czechia', 'EURO', '349', '23300', '0', '418');
INSERT INTO public.who_import VALUES (22235, '2020-08-29', 'CZ', 'Czechia', 'EURO', '477', '23777', '1', '419');
INSERT INTO public.who_import VALUES (22236, '2020-08-30', 'CZ', 'Czechia', 'EURO', '317', '24094', '2', '421');
INSERT INTO public.who_import VALUES (22237, '2020-08-31', 'CZ', 'Czechia', 'EURO', '273', '24367', '2', '423');
INSERT INTO public.who_import VALUES (22238, '2020-09-01', 'CZ', 'Czechia', 'EURO', '251', '24618', '1', '424');
INSERT INTO public.who_import VALUES (22239, '2020-09-02', 'CZ', 'Czechia', 'EURO', '499', '25117', '1', '425');
INSERT INTO public.who_import VALUES (22240, '2020-09-03', 'CZ', 'Czechia', 'EURO', '656', '25773', '0', '425');
INSERT INTO public.who_import VALUES (22241, '2020-09-04', 'CZ', 'Czechia', 'EURO', '679', '26452', '1', '426');
INSERT INTO public.who_import VALUES (22242, '2020-09-05', 'CZ', 'Czechia', 'EURO', '797', '27249', '3', '429');
INSERT INTO public.who_import VALUES (22243, '2020-09-06', 'CZ', 'Czechia', 'EURO', '503', '27752', '2', '431');
INSERT INTO public.who_import VALUES (22244, '2020-09-07', 'CZ', 'Czechia', 'EURO', '404', '28156', '5', '436');
INSERT INTO public.who_import VALUES (22245, '2020-09-08', 'CZ', 'Czechia', 'EURO', '560', '28716', '1', '437');
INSERT INTO public.who_import VALUES (22246, '2020-09-09', 'CZ', 'Czechia', 'EURO', '1161', '29877', '4', '441');
INSERT INTO public.who_import VALUES (22247, '2020-09-10', 'CZ', 'Czechia', 'EURO', '1159', '31036', '3', '444');
INSERT INTO public.who_import VALUES (22248, '2020-09-11', 'CZ', 'Czechia', 'EURO', '1377', '32413', '4', '448');
INSERT INTO public.who_import VALUES (22249, '2020-09-12', 'CZ', 'Czechia', 'EURO', '1447', '33860', '2', '450');
INSERT INTO public.who_import VALUES (22250, '2020-09-13', 'CZ', 'Czechia', 'EURO', '1541', '35401', '3', '453');
INSERT INTO public.who_import VALUES (22251, '2020-09-14', 'CZ', 'Czechia', 'EURO', '787', '36188', '3', '456');
INSERT INTO public.who_import VALUES (22252, '2020-09-15', 'CZ', 'Czechia', 'EURO', '1034', '37222', '9', '465');
INSERT INTO public.who_import VALUES (22253, '2020-09-16', 'CZ', 'Czechia', 'EURO', '1674', '38896', '11', '476');
INSERT INTO public.who_import VALUES (22254, '2020-09-17', 'CZ', 'Czechia', 'EURO', '2136', '41032', '6', '482');
INSERT INTO public.who_import VALUES (22255, '2020-09-18', 'CZ', 'Czechia', 'EURO', '3123', '44155', '7', '489');
INSERT INTO public.who_import VALUES (22256, '2020-09-19', 'CZ', 'Czechia', 'EURO', '2107', '46262', '6', '495');
INSERT INTO public.who_import VALUES (22257, '2020-09-20', 'CZ', 'Czechia', 'EURO', '2044', '48306', '4', '499');
INSERT INTO public.who_import VALUES (22258, '2020-09-21', 'CZ', 'Czechia', 'EURO', '934', '49240', '4', '503');
INSERT INTO public.who_import VALUES (22259, '2020-09-22', 'CZ', 'Czechia', 'EURO', '1524', '50764', '19', '522');
INSERT INTO public.who_import VALUES (22260, '2020-09-23', 'CZ', 'Czechia', 'EURO', '2394', '53158', '9', '531');
INSERT INTO public.who_import VALUES (22261, '2020-09-24', 'CZ', 'Czechia', 'EURO', '2306', '55464', '24', '555');
INSERT INTO public.who_import VALUES (22262, '2020-09-25', 'CZ', 'Czechia', 'EURO', '2910', '58374', '12', '567');
INSERT INTO public.who_import VALUES (22263, '2020-09-26', 'CZ', 'Czechia', 'EURO', '2944', '61318', '14', '581');
INSERT INTO public.who_import VALUES (22264, '2020-09-27', 'CZ', 'Czechia', 'EURO', '1976', '63294', '10', '591');
INSERT INTO public.who_import VALUES (22265, '2020-09-28', 'CZ', 'Czechia', 'EURO', '1303', '64597', '15', '606');
INSERT INTO public.who_import VALUES (22266, '2020-09-29', 'CZ', 'Czechia', 'EURO', '1286', '65883', '12', '618');
INSERT INTO public.who_import VALUES (22267, '2020-09-30', 'CZ', 'Czechia', 'EURO', '1960', '67843', '18', '636');
INSERT INTO public.who_import VALUES (22268, '2020-10-01', 'CZ', 'Czechia', 'EURO', '1076', '68919', '19', '655');
INSERT INTO public.who_import VALUES (22269, '2020-10-02', 'CZ', 'Czechia', 'EURO', '5336', '74255', '23', '678');
INSERT INTO public.who_import VALUES (22270, '2020-10-03', 'CZ', 'Czechia', 'EURO', '3796', '78051', '21', '699');
INSERT INTO public.who_import VALUES (22271, '2020-10-04', 'CZ', 'Czechia', 'EURO', '2554', '80605', '12', '711');
INSERT INTO public.who_import VALUES (22272, '2020-10-05', 'CZ', 'Czechia', 'EURO', '1841', '82446', '16', '727');
INSERT INTO public.who_import VALUES (22273, '2020-10-06', 'CZ', 'Czechia', 'EURO', '3120', '85566', '31', '758');
INSERT INTO public.who_import VALUES (22274, '2020-10-07', 'CZ', 'Czechia', 'EURO', '4456', '90022', '36', '794');
INSERT INTO public.who_import VALUES (22275, '2020-10-08', 'CZ', 'Czechia', 'EURO', '5338', '95360', '35', '829');
INSERT INTO public.who_import VALUES (22276, '2020-10-09', 'CZ', 'Czechia', 'EURO', '5397', '100757', '40', '869');
INSERT INTO public.who_import VALUES (22277, '2020-10-10', 'CZ', 'Czechia', 'EURO', '8617', '109374', '36', '905');
INSERT INTO public.who_import VALUES (22278, '2020-10-11', 'CZ', 'Czechia', 'EURO', '4633', '114007', '90', '995');
INSERT INTO public.who_import VALUES (22279, '2020-10-12', 'CZ', 'Czechia', 'EURO', '3103', '117110', '39', '1034');
INSERT INTO public.who_import VALUES (22280, '2020-10-13', 'CZ', 'Czechia', 'EURO', '4311', '121421', '17', '1051');
INSERT INTO public.who_import VALUES (22281, '2020-10-14', 'CZ', 'Czechia', 'EURO', '8326', '129747', '55', '1106');
INSERT INTO public.who_import VALUES (22282, '2020-10-15', 'CZ', 'Czechia', 'EURO', '9543', '139290', '66', '1172');
INSERT INTO public.who_import VALUES (22283, '2020-10-16', 'CZ', 'Czechia', 'EURO', '9720', '149010', '58', '1230');
INSERT INTO public.who_import VALUES (22284, '2020-10-17', 'CZ', 'Czechia', 'EURO', '11102', '160112', '53', '1283');
INSERT INTO public.who_import VALUES (22285, '2020-10-18', 'CZ', 'Czechia', 'EURO', '8715', '168827', '69', '1352');
INSERT INTO public.who_import VALUES (22286, '2020-10-19', 'CZ', 'Czechia', 'EURO', '5058', '173885', '70', '1422');
INSERT INTO public.who_import VALUES (22287, '2020-10-20', 'CZ', 'Czechia', 'EURO', '8077', '181962', '91', '1513');
INSERT INTO public.who_import VALUES (22288, '2020-10-21', 'CZ', 'Czechia', 'EURO', '11984', '193946', '106', '1619');
INSERT INTO public.who_import VALUES (22289, '2020-10-22', 'CZ', 'Czechia', 'EURO', '14969', '208915', '120', '1739');
INSERT INTO public.who_import VALUES (22290, '2020-10-23', 'CZ', 'Czechia', 'EURO', '14150', '223065', '106', '1845');
INSERT INTO public.who_import VALUES (22291, '2020-10-24', 'CZ', 'Czechia', 'EURO', '15258', '238323', '126', '1971');
INSERT INTO public.who_import VALUES (22292, '2020-10-25', 'CZ', 'Czechia', 'EURO', '12474', '250797', '106', '2077');
INSERT INTO public.who_import VALUES (22293, '2020-10-26', 'CZ', 'Czechia', 'EURO', '7300', '258097', '124', '2201');
INSERT INTO public.who_import VALUES (22294, '2020-10-27', 'CZ', 'Czechia', 'EURO', '10273', '268370', '164', '2365');
INSERT INTO public.who_import VALUES (22295, '2020-10-28', 'CZ', 'Czechia', 'EURO', '15663', '284033', '182', '2547');
INSERT INTO public.who_import VALUES (22296, '2020-10-29', 'CZ', 'Czechia', 'EURO', '12980', '297013', '128', '2675');
INSERT INTO public.who_import VALUES (22297, '2020-10-30', 'CZ', 'Czechia', 'EURO', '13055', '310068', '187', '2862');
INSERT INTO public.who_import VALUES (22298, '2020-10-31', 'CZ', 'Czechia', 'EURO', '13605', '323673', '216', '3078');
INSERT INTO public.who_import VALUES (22299, '2020-11-01', 'CZ', 'Czechia', 'EURO', '11429', '335102', '173', '3251');
INSERT INTO public.who_import VALUES (22300, '2020-11-02', 'CZ', 'Czechia', 'EURO', '6542', '341644', '178', '3429');
INSERT INTO public.who_import VALUES (22301, '2020-11-03', 'CZ', 'Czechia', 'EURO', '9252', '350896', '225', '3654');
INSERT INTO public.who_import VALUES (22302, '2020-11-04', 'CZ', 'Czechia', 'EURO', '12089', '362985', '259', '3913');
INSERT INTO public.who_import VALUES (22303, '2020-11-05', 'CZ', 'Czechia', 'EURO', '15731', '378716', '220', '4133');
INSERT INTO public.who_import VALUES (22304, '2020-11-06', 'CZ', 'Czechia', 'EURO', '13229', '391945', '197', '4330');
INSERT INTO public.who_import VALUES (22305, '2020-11-07', 'CZ', 'Czechia', 'EURO', '11552', '403497', '196', '4526');
INSERT INTO public.who_import VALUES (22306, '2020-11-08', 'CZ', 'Czechia', 'EURO', '7723', '411220', '155', '4681');
INSERT INTO public.who_import VALUES (22307, '2020-11-09', 'CZ', 'Czechia', 'EURO', '3608', '414828', '177', '4858');
INSERT INTO public.who_import VALUES (22308, '2020-11-10', 'CZ', 'Czechia', 'EURO', '6047', '420875', '216', '5074');
INSERT INTO public.who_import VALUES (22309, '2020-11-11', 'CZ', 'Czechia', 'EURO', '9005', '429880', '249', '5323');
INSERT INTO public.who_import VALUES (22310, '2020-11-12', 'CZ', 'Czechia', 'EURO', '8925', '438805', '247', '5570');
INSERT INTO public.who_import VALUES (22311, '2020-11-13', 'CZ', 'Czechia', 'EURO', '7870', '446675', '185', '5755');
INSERT INTO public.who_import VALUES (22312, '2020-11-14', 'CZ', 'Czechia', 'EURO', '7355', '454030', '171', '5926');
INSERT INTO public.who_import VALUES (22313, '2020-11-15', 'CZ', 'Czechia', 'EURO', '4199', '458229', '132', '6058');
INSERT INTO public.who_import VALUES (22314, '2020-11-16', 'CZ', 'Czechia', 'EURO', '1887', '460116', '150', '6208');
INSERT INTO public.who_import VALUES (22315, '2020-11-17', 'CZ', 'Czechia', 'EURO', '5407', '465523', '208', '6416');
INSERT INTO public.who_import VALUES (22316, '2020-11-18', 'CZ', 'Czechia', 'EURO', '4246', '469769', '142', '6558');
INSERT INTO public.who_import VALUES (22317, '2020-11-19', 'CZ', 'Czechia', 'EURO', '5515', '475284', '182', '6740');
INSERT INTO public.who_import VALUES (22318, '2020-11-20', 'CZ', 'Czechia', 'EURO', '6471', '481755', '134', '6874');
INSERT INTO public.who_import VALUES (22319, '2020-11-21', 'CZ', 'Czechia', 'EURO', '5808', '487563', '147', '7021');
INSERT INTO public.who_import VALUES (22320, '2020-11-22', 'CZ', 'Czechia', 'EURO', '3187', '490750', '74', '7095');
INSERT INTO public.who_import VALUES (22321, '2020-11-23', 'CZ', 'Czechia', 'EURO', '1513', '492263', '101', '7196');
INSERT INTO public.who_import VALUES (22322, '2020-11-24', 'CZ', 'Czechia', 'EURO', '4375', '496638', '164', '7360');
INSERT INTO public.who_import VALUES (22323, '2020-11-25', 'CZ', 'Czechia', 'EURO', '5896', '502534', '139', '7499');
INSERT INTO public.who_import VALUES (22324, '2020-11-26', 'CZ', 'Czechia', 'EURO', '2681', '505215', '112', '7611');
INSERT INTO public.who_import VALUES (22325, '2020-11-27', 'CZ', 'Czechia', 'EURO', '6305', '511520', '168', '7779');
INSERT INTO public.who_import VALUES (22326, '2020-11-28', 'CZ', 'Czechia', 'EURO', '4464', '515984', '188', '7967');
INSERT INTO public.who_import VALUES (22327, '2020-11-29', 'CZ', 'Czechia', 'EURO', '2665', '518649', '87', '8054');
INSERT INTO public.who_import VALUES (22328, '2020-11-30', 'CZ', 'Czechia', 'EURO', '1074', '519723', '84', '8138');
INSERT INTO public.who_import VALUES (22329, '2020-12-01', 'CZ', 'Czechia', 'EURO', '3575', '523298', '157', '8295');
INSERT INTO public.who_import VALUES (22330, '2020-12-02', 'CZ', 'Czechia', 'EURO', '5176', '528474', '112', '8407');
INSERT INTO public.who_import VALUES (22331, '2020-12-03', 'CZ', 'Czechia', 'EURO', '4568', '533042', '108', '8515');
INSERT INTO public.who_import VALUES (22332, '2020-12-04', 'CZ', 'Czechia', 'EURO', '4621', '537663', '126', '8641');
INSERT INTO public.who_import VALUES (22333, '2020-12-05', 'CZ', 'Czechia', 'EURO', '4743', '542406', '97', '8738');
INSERT INTO public.who_import VALUES (22334, '2020-12-06', 'CZ', 'Czechia', 'EURO', '1773', '544179', '77', '8815');
INSERT INTO public.who_import VALUES (22335, '2020-12-07', 'CZ', 'Czechia', 'EURO', '2654', '546833', '87', '8902');
INSERT INTO public.who_import VALUES (22336, '2020-12-08', 'CZ', 'Czechia', 'EURO', '4237', '551070', '134', '9036');
INSERT INTO public.who_import VALUES (22337, '2020-12-09', 'CZ', 'Czechia', 'EURO', '5857', '556927', '100', '9136');
INSERT INTO public.who_import VALUES (22338, '2020-12-10', 'CZ', 'Czechia', 'EURO', '6406', '563333', '90', '9226');
INSERT INTO public.who_import VALUES (22339, '2020-12-11', 'CZ', 'Czechia', 'EURO', '5872', '569205', '115', '9341');
INSERT INTO public.who_import VALUES (22340, '2020-12-12', 'CZ', 'Czechia', 'EURO', '6217', '575422', '109', '9450');
INSERT INTO public.who_import VALUES (22341, '2020-12-13', 'CZ', 'Czechia', 'EURO', '3657', '579079', '85', '9535');
INSERT INTO public.who_import VALUES (22342, '2020-12-14', 'CZ', 'Czechia', 'EURO', '2000', '581079', '74', '9609');
INSERT INTO public.who_import VALUES (22343, '2020-12-15', 'CZ', 'Czechia', 'EURO', '5172', '586251', '134', '9743');
INSERT INTO public.who_import VALUES (22344, '2020-12-16', 'CZ', 'Czechia', 'EURO', '7897', '594148', '139', '9882');
INSERT INTO public.who_import VALUES (22345, '2020-12-17', 'CZ', 'Czechia', 'EURO', '8256', '602404', '154', '10036');
INSERT INTO public.who_import VALUES (22346, '2020-12-18', 'CZ', 'Czechia', 'EURO', '7602', '610006', '127', '10163');
INSERT INTO public.who_import VALUES (22347, '2020-12-19', 'CZ', 'Czechia', 'EURO', '8830', '618836', '108', '10271');
INSERT INTO public.who_import VALUES (22348, '2020-12-20', 'CZ', 'Czechia', 'EURO', '5304', '624140', '60', '10331');
INSERT INTO public.who_import VALUES (22349, '2020-12-21', 'CZ', 'Czechia', 'EURO', '3383', '627523', '80', '10411');
INSERT INTO public.who_import VALUES (22350, '2020-12-22', 'CZ', 'Czechia', 'EURO', '7891', '635414', '151', '10562');
INSERT INTO public.who_import VALUES (22351, '2020-12-23', 'CZ', 'Czechia', 'EURO', '10898', '646312', '102', '10664');
INSERT INTO public.who_import VALUES (22352, '2020-12-24', 'CZ', 'Czechia', 'EURO', '14149', '660461', '112', '10776');
INSERT INTO public.who_import VALUES (22353, '2020-12-25', 'CZ', 'Czechia', 'EURO', '4402', '664863', '83', '10859');
INSERT INTO public.who_import VALUES (22354, '2020-12-26', 'CZ', 'Czechia', 'EURO', '2706', '667569', '91', '10950');
INSERT INTO public.who_import VALUES (22355, '2020-12-27', 'CZ', 'Czechia', 'EURO', '3030', '670599', '94', '11044');
INSERT INTO public.who_import VALUES (22356, '2020-12-28', 'CZ', 'Czechia', 'EURO', '3741', '674340', '108', '11152');
INSERT INTO public.who_import VALUES (22357, '2020-12-29', 'CZ', 'Czechia', 'EURO', '10862', '685202', '150', '11302');
INSERT INTO public.who_import VALUES (22358, '2020-12-30', 'CZ', 'Czechia', 'EURO', '16420', '701622', '127', '11429');
INSERT INTO public.who_import VALUES (22359, '2020-12-31', 'CZ', 'Czechia', 'EURO', '17039', '718661', '151', '11580');
INSERT INTO public.who_import VALUES (22360, '2021-01-01', 'CZ', 'Czechia', 'EURO', '13361', '732022', '131', '11711');
INSERT INTO public.who_import VALUES (22361, '2021-01-02', 'CZ', 'Czechia', 'EURO', '3447', '735469', '116', '11827');
INSERT INTO public.who_import VALUES (22362, '2021-01-03', 'CZ', 'Czechia', 'EURO', '5012', '740481', '133', '11960');
INSERT INTO public.who_import VALUES (22363, '2021-01-04', 'CZ', 'Czechia', 'EURO', '6233', '746714', '110', '12070');
INSERT INTO public.who_import VALUES (22364, '2021-01-05', 'CZ', 'Czechia', 'EURO', '12921', '759635', '187', '12257');
INSERT INTO public.who_import VALUES (22365, '2021-01-06', 'CZ', 'Czechia', 'EURO', '17332', '776967', '179', '12436');
INSERT INTO public.who_import VALUES (22366, '2021-01-07', 'CZ', 'Czechia', 'EURO', '17773', '794740', '185', '12621');
INSERT INTO public.who_import VALUES (22367, '2021-01-08', 'CZ', 'Czechia', 'EURO', '14861', '809601', '179', '12800');
INSERT INTO public.who_import VALUES (22368, '2021-01-09', 'CZ', 'Czechia', 'EURO', '13115', '822716', '178', '12978');
INSERT INTO public.who_import VALUES (22369, '2021-01-10', 'CZ', 'Czechia', 'EURO', '8449', '831165', '137', '13115');
INSERT INTO public.who_import VALUES (22370, '2021-01-11', 'CZ', 'Czechia', 'EURO', '4289', '835454', '157', '13272');
INSERT INTO public.who_import VALUES (22371, '2021-01-12', 'CZ', 'Czechia', 'EURO', '9345', '844799', '213', '13485');
INSERT INTO public.who_import VALUES (22372, '2021-01-13', 'CZ', 'Czechia', 'EURO', '10801', '855600', '171', '13656');
INSERT INTO public.who_import VALUES (22373, '2021-01-14', 'CZ', 'Czechia', 'EURO', '10922', '866522', '200', '13856');
INSERT INTO public.who_import VALUES (22374, '2021-01-15', 'CZ', 'Czechia', 'EURO', '8083', '874605', '173', '14029');
INSERT INTO public.who_import VALUES (22375, '2021-01-16', 'CZ', 'Czechia', 'EURO', '9301', '883906', '186', '14215');
INSERT INTO public.who_import VALUES (22376, '2021-01-17', 'CZ', 'Czechia', 'EURO', '5253', '889159', '123', '14338');
INSERT INTO public.who_import VALUES (22377, '2021-01-18', 'CZ', 'Czechia', 'EURO', '2693', '891852', '111', '14449');
INSERT INTO public.who_import VALUES (22378, '2021-01-19', 'CZ', 'Czechia', 'EURO', '7651', '899503', '197', '14646');
INSERT INTO public.who_import VALUES (22379, '2021-01-20', 'CZ', 'Czechia', 'EURO', '9628', '909131', '174', '14820');
INSERT INTO public.who_import VALUES (22380, '2021-01-21', 'CZ', 'Czechia', 'EURO', '8228', '917359', '153', '14973');
INSERT INTO public.who_import VALUES (22381, '2021-01-22', 'CZ', 'Czechia', 'EURO', '7488', '924847', '157', '15130');
INSERT INTO public.who_import VALUES (22382, '2021-01-23', 'CZ', 'Czechia', 'EURO', '8514', '933361', '140', '15270');
INSERT INTO public.who_import VALUES (22383, '2021-01-24', 'CZ', 'Czechia', 'EURO', '4256', '937617', '99', '15369');
INSERT INTO public.who_import VALUES (22384, '2021-01-25', 'CZ', 'Czechia', 'EURO', '2387', '940004', '84', '15453');
INSERT INTO public.who_import VALUES (22385, '2021-01-26', 'CZ', 'Czechia', 'EURO', '6942', '946946', '165', '15618');
INSERT INTO public.who_import VALUES (22386, '2021-01-27', 'CZ', 'Czechia', 'EURO', '9209', '956155', '173', '15791');
INSERT INTO public.who_import VALUES (22387, '2021-01-28', 'CZ', 'Czechia', 'EURO', '8505', '964660', '153', '15944');
INSERT INTO public.who_import VALUES (22388, '2021-01-29', 'CZ', 'Czechia', 'EURO', '7982', '972642', '128', '16072');
INSERT INTO public.who_import VALUES (22389, '2021-01-30', 'CZ', 'Czechia', 'EURO', '8072', '980714', '139', '16211');
INSERT INTO public.who_import VALUES (22390, '2021-01-31', 'CZ', 'Czechia', 'EURO', '4060', '984774', '97', '16308');
INSERT INTO public.who_import VALUES (22391, '2021-02-01', 'CZ', 'Czechia', 'EURO', '2555', '987329', '84', '16392');
INSERT INTO public.who_import VALUES (22392, '2021-02-02', 'CZ', 'Czechia', 'EURO', '7185', '994514', '153', '16545');
INSERT INTO public.who_import VALUES (22393, '2021-02-03', 'CZ', 'Czechia', 'EURO', '9143', '1003657', '138', '16683');
INSERT INTO public.who_import VALUES (22394, '2021-02-04', 'CZ', 'Czechia', 'EURO', '9695', '1013352', '143', '16826');
INSERT INTO public.who_import VALUES (22395, '2021-02-05', 'CZ', 'Czechia', 'EURO', '8125', '1021477', '150', '16976');
INSERT INTO public.who_import VALUES (22396, '2021-02-06', 'CZ', 'Czechia', 'EURO', '8635', '1030112', '153', '17129');
INSERT INTO public.who_import VALUES (22397, '2021-02-07', 'CZ', 'Czechia', 'EURO', '4863', '1034975', '106', '17235');
INSERT INTO public.who_import VALUES (22398, '2021-02-08', 'CZ', 'Czechia', 'EURO', '2430', '1037405', '98', '17333');
INSERT INTO public.who_import VALUES (22399, '2021-02-09', 'CZ', 'Czechia', 'EURO', '7727', '1045132', '164', '17497');
INSERT INTO public.who_import VALUES (22400, '2021-02-10', 'CZ', 'Czechia', 'EURO', '10283', '1055415', '145', '17642');
INSERT INTO public.who_import VALUES (22401, '2021-02-11', 'CZ', 'Czechia', 'EURO', '9537', '1064952', '130', '17772');
INSERT INTO public.who_import VALUES (22402, '2021-02-12', 'CZ', 'Czechia', 'EURO', '9014', '1073966', '130', '17902');
INSERT INTO public.who_import VALUES (22403, '2021-02-13', 'CZ', 'Czechia', 'EURO', '8883', '1082849', '156', '18058');
INSERT INTO public.who_import VALUES (22404, '2021-02-14', 'CZ', 'Czechia', 'EURO', '5160', '1088009', '85', '18143');
INSERT INTO public.who_import VALUES (22405, '2021-02-15', 'CZ', 'Czechia', 'EURO', '2851', '1090860', '107', '18250');
INSERT INTO public.who_import VALUES (22406, '2021-02-16', 'CZ', 'Czechia', 'EURO', '8794', '1099654', '180', '18430');
INSERT INTO public.who_import VALUES (22407, '2021-02-17', 'CZ', 'Czechia', 'EURO', '12668', '1112322', '166', '18596');
INSERT INTO public.who_import VALUES (22408, '2021-02-18', 'CZ', 'Czechia', 'EURO', '10930', '1123252', '143', '18739');
INSERT INTO public.who_import VALUES (22409, '2021-02-19', 'CZ', 'Czechia', 'EURO', '11705', '1134957', '174', '18913');
INSERT INTO public.who_import VALUES (22410, '2021-02-20', 'CZ', 'Czechia', 'EURO', '11364', '1146321', '184', '19097');
INSERT INTO public.who_import VALUES (22411, '2020-01-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22412, '2020-01-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22413, '2020-01-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22414, '2020-01-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22415, '2020-01-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22416, '2020-01-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22417, '2020-01-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22418, '2020-01-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22419, '2020-01-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22420, '2020-01-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22421, '2020-01-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22422, '2020-01-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22423, '2020-01-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22424, '2020-01-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22425, '2020-01-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22426, '2020-01-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22427, '2020-01-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22428, '2020-01-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22429, '2020-01-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22430, '2020-01-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22431, '2020-01-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22432, '2020-01-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22433, '2020-01-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22434, '2020-01-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22435, '2020-01-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22436, '2020-01-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22437, '2020-01-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22438, '2020-01-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22439, '2020-01-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22440, '2020-02-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22441, '2020-02-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22442, '2020-02-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22443, '2020-02-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22444, '2020-02-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22445, '2020-02-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22446, '2020-02-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22447, '2020-02-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22448, '2020-02-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22449, '2020-02-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22450, '2020-02-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22451, '2020-02-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22452, '2020-02-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22453, '2020-02-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22454, '2020-02-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22455, '2020-02-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22456, '2020-02-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22457, '2020-02-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22458, '2020-02-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22459, '2020-02-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22460, '2020-02-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22461, '2020-02-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22462, '2020-02-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22463, '2020-02-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22464, '2020-02-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22465, '2020-02-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22466, '2020-02-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22467, '2020-02-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22468, '2020-02-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22469, '2020-03-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22470, '2020-03-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22471, '2020-03-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22472, '2020-03-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22473, '2020-03-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22474, '2020-03-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22475, '2020-03-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22476, '2020-03-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22477, '2020-03-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22478, '2020-03-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22479, '2020-03-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22480, '2020-03-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22481, '2020-03-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22482, '2020-03-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22483, '2020-03-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22484, '2020-03-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22485, '2020-03-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22486, '2020-03-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22487, '2020-03-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22488, '2020-03-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22489, '2020-03-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22490, '2020-03-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22491, '2020-03-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22492, '2020-03-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22493, '2020-03-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22494, '2020-03-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22495, '2020-03-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22496, '2020-03-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22497, '2020-03-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22498, '2020-03-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22499, '2020-03-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22500, '2020-04-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22501, '2020-04-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22502, '2020-04-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22503, '2020-04-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22504, '2020-04-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22505, '2020-04-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22506, '2020-04-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22507, '2020-04-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22508, '2020-04-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22509, '2020-04-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22510, '2020-04-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22511, '2020-04-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22512, '2020-04-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22513, '2020-04-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22514, '2020-04-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22515, '2020-04-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22516, '2020-04-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22517, '2020-04-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22518, '2020-04-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22519, '2020-04-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22520, '2020-04-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22521, '2020-04-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22522, '2020-04-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22523, '2020-04-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22524, '2020-04-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22525, '2020-04-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22526, '2020-04-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22527, '2020-04-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22528, '2020-04-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22529, '2020-04-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22530, '2020-05-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22531, '2020-05-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22532, '2020-05-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22533, '2020-05-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22534, '2020-05-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22535, '2020-05-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22536, '2020-05-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22537, '2020-05-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22538, '2020-05-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23290, '2020-02-21', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22539, '2020-05-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22540, '2020-05-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22541, '2020-05-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22542, '2020-05-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22543, '2020-05-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22544, '2020-05-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22545, '2020-05-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22546, '2020-05-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22547, '2020-05-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22548, '2020-05-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22549, '2020-05-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22550, '2020-05-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22551, '2020-05-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22552, '2020-05-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22553, '2020-05-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22554, '2020-05-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22555, '2020-05-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22556, '2020-05-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22557, '2020-05-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22558, '2020-05-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22559, '2020-05-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22560, '2020-05-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22561, '2020-06-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22562, '2020-06-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22563, '2020-06-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22564, '2020-06-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22565, '2020-06-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22566, '2020-06-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22567, '2020-06-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22568, '2020-06-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22569, '2020-06-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22570, '2020-06-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22571, '2020-06-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22572, '2020-06-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22573, '2020-06-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22574, '2020-06-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22575, '2020-06-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22576, '2020-06-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22577, '2020-06-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22578, '2020-06-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22579, '2020-06-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22580, '2020-06-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22581, '2020-06-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22582, '2020-06-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22583, '2020-06-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22584, '2020-06-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22585, '2020-06-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22586, '2020-06-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22587, '2020-06-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22588, '2020-06-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22589, '2020-06-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22590, '2020-06-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22591, '2020-07-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22592, '2020-07-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22593, '2020-07-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22594, '2020-07-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22595, '2020-07-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22596, '2020-07-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22597, '2020-07-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22598, '2020-07-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22599, '2020-07-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22600, '2020-07-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22601, '2020-07-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22602, '2020-07-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22603, '2020-07-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22604, '2020-07-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22605, '2020-07-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22606, '2020-07-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22607, '2020-07-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22608, '2020-07-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22609, '2020-07-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22610, '2020-07-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22611, '2020-07-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22612, '2020-07-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22613, '2020-07-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22614, '2020-07-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22615, '2020-07-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22616, '2020-07-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22617, '2020-07-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22618, '2020-07-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22619, '2020-07-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23291, '2020-02-22', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22620, '2020-07-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22621, '2020-07-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22622, '2020-08-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22623, '2020-08-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22624, '2020-08-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22625, '2020-08-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22626, '2020-08-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22627, '2020-08-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22628, '2020-08-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22629, '2020-08-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22630, '2020-08-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22631, '2020-08-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22632, '2020-08-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22633, '2020-08-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22634, '2020-08-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22635, '2020-08-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22636, '2020-08-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22637, '2020-08-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22638, '2020-08-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22639, '2020-08-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22640, '2020-08-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22641, '2020-08-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22642, '2020-08-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22643, '2020-08-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22644, '2020-08-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22645, '2020-08-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22646, '2020-08-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22647, '2020-08-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22648, '2020-08-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22649, '2020-08-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22650, '2020-08-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22651, '2020-08-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22652, '2020-08-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22653, '2020-09-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22654, '2020-09-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22655, '2020-09-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22656, '2020-09-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22657, '2020-09-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22658, '2020-09-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22659, '2020-09-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22660, '2020-09-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22661, '2020-09-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22662, '2020-09-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22663, '2020-09-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22664, '2020-09-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22665, '2020-09-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22666, '2020-09-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22667, '2020-09-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22668, '2020-09-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22669, '2020-09-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22670, '2020-09-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22671, '2020-09-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22672, '2020-09-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22673, '2020-09-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22674, '2020-09-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22675, '2020-09-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22676, '2020-09-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22677, '2020-09-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22678, '2020-09-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22679, '2020-09-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22680, '2020-09-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22681, '2020-09-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22682, '2020-09-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22683, '2020-10-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22684, '2020-10-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22685, '2020-10-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22686, '2020-10-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22687, '2020-10-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22688, '2020-10-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22689, '2020-10-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22690, '2020-10-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22691, '2020-10-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22692, '2020-10-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22693, '2020-10-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22694, '2020-10-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22695, '2020-10-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22696, '2020-10-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22697, '2020-10-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22698, '2020-10-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22699, '2020-10-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22700, '2020-10-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23292, '2020-02-23', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22701, '2020-10-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22702, '2020-10-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22703, '2020-10-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22704, '2020-10-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22705, '2020-10-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22706, '2020-10-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22707, '2020-10-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22708, '2020-10-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22709, '2020-10-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22710, '2020-10-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22711, '2020-10-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22712, '2020-10-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22713, '2020-10-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22714, '2020-11-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22715, '2020-11-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22716, '2020-11-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22717, '2020-11-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22718, '2020-11-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22719, '2020-11-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22720, '2020-11-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22721, '2020-11-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22722, '2020-11-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22723, '2020-11-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22724, '2020-11-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22725, '2020-11-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22726, '2020-11-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22727, '2020-11-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22728, '2020-11-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22729, '2020-11-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22730, '2020-11-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22731, '2020-11-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22732, '2020-11-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22733, '2020-11-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22734, '2020-11-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22735, '2020-11-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22736, '2020-11-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22737, '2020-11-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22738, '2020-11-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22739, '2020-11-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22740, '2020-11-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22741, '2020-11-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22742, '2020-11-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22743, '2020-11-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22744, '2020-12-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22745, '2020-12-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22746, '2020-12-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22747, '2020-12-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22748, '2020-12-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22749, '2020-12-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22750, '2020-12-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22751, '2020-12-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22752, '2020-12-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22753, '2020-12-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22754, '2020-12-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22755, '2020-12-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22756, '2020-12-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22757, '2020-12-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22758, '2020-12-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22759, '2020-12-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22760, '2020-12-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22761, '2020-12-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22762, '2020-12-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22763, '2020-12-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22764, '2020-12-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22765, '2020-12-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22766, '2020-12-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22767, '2020-12-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22768, '2020-12-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22769, '2020-12-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22770, '2020-12-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22771, '2020-12-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22772, '2020-12-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22773, '2020-12-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22774, '2020-12-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22775, '2021-01-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22776, '2021-01-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22777, '2021-01-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22778, '2021-01-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22779, '2021-01-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22780, '2021-01-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22781, '2021-01-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23293, '2020-02-24', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22782, '2021-01-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22783, '2021-01-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22784, '2021-01-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22785, '2021-01-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22786, '2021-01-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22787, '2021-01-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22788, '2021-01-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22789, '2021-01-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22790, '2021-01-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22791, '2021-01-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22792, '2021-01-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22793, '2021-01-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22794, '2021-01-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22795, '2021-01-21', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22796, '2021-01-22', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22797, '2021-01-23', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22798, '2021-01-24', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22799, '2021-01-25', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22800, '2021-01-26', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22801, '2021-01-27', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22802, '2021-01-28', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22803, '2021-01-29', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22804, '2021-01-30', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22805, '2021-01-31', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22806, '2021-02-01', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22807, '2021-02-02', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22808, '2021-02-03', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22809, '2021-02-04', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22810, '2021-02-05', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22811, '2021-02-06', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22812, '2021-02-07', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22813, '2021-02-08', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22814, '2021-02-09', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22815, '2021-02-10', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22816, '2021-02-11', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22817, '2021-02-12', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22818, '2021-02-13', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22819, '2021-02-14', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22820, '2021-02-15', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22821, '2021-02-16', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22822, '2021-02-17', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22823, '2021-02-18', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22824, '2021-02-19', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22825, '2021-02-20', 'KP', 'Democratic People''s Republic of Korea', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22826, '2020-01-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22827, '2020-01-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22828, '2020-01-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22829, '2020-01-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22830, '2020-01-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22831, '2020-01-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22832, '2020-01-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22833, '2020-01-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22834, '2020-01-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22835, '2020-01-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22836, '2020-01-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22837, '2020-01-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22838, '2020-01-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22839, '2020-01-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22840, '2020-01-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22841, '2020-01-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22842, '2020-01-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22843, '2020-01-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22844, '2020-01-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22845, '2020-01-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22846, '2020-01-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22847, '2020-01-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22848, '2020-01-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22849, '2020-01-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22850, '2020-01-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22851, '2020-01-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22852, '2020-01-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22853, '2020-01-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22854, '2020-01-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22855, '2020-02-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22856, '2020-02-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22857, '2020-02-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22858, '2020-02-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22859, '2020-02-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22860, '2020-02-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22861, '2020-02-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22862, '2020-02-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22863, '2020-02-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22864, '2020-02-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22865, '2020-02-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23294, '2020-02-25', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22866, '2020-02-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22867, '2020-02-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22868, '2020-02-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22869, '2020-02-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22870, '2020-02-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22871, '2020-02-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22872, '2020-02-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22873, '2020-02-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22874, '2020-02-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22875, '2020-02-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22876, '2020-02-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22877, '2020-02-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22878, '2020-02-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22879, '2020-02-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22880, '2020-02-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22881, '2020-02-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22882, '2020-02-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22883, '2020-02-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22884, '2020-03-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22885, '2020-03-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22886, '2020-03-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22887, '2020-03-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22888, '2020-03-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22889, '2020-03-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22890, '2020-03-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22891, '2020-03-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22892, '2020-03-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22893, '2020-03-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (22894, '2020-03-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (22895, '2020-03-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (22896, '2020-03-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (22897, '2020-03-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (22898, '2020-03-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (22899, '2020-03-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (22900, '2020-03-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (22901, '2020-03-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (22902, '2020-03-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '7', '18', '0', '0');
INSERT INTO public.who_import VALUES (22903, '2020-03-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (22904, '2020-03-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (22905, '2020-03-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (22906, '2020-03-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '12', '30', '2', '2');
INSERT INTO public.who_import VALUES (22907, '2020-03-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '6', '36', '0', '2');
INSERT INTO public.who_import VALUES (22908, '2020-03-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '9', '45', '0', '2');
INSERT INTO public.who_import VALUES (22909, '2020-03-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '6', '51', '1', '3');
INSERT INTO public.who_import VALUES (22910, '2020-03-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '3', '54', '1', '4');
INSERT INTO public.who_import VALUES (22911, '2020-03-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '4', '58', '1', '5');
INSERT INTO public.who_import VALUES (22912, '2020-03-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '10', '68', '1', '6');
INSERT INTO public.who_import VALUES (22913, '2020-03-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '81', '2', '8');
INSERT INTO public.who_import VALUES (22914, '2020-03-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '17', '98', '0', '8');
INSERT INTO public.who_import VALUES (22915, '2020-04-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '11', '109', '1', '9');
INSERT INTO public.who_import VALUES (22916, '2020-04-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '14', '123', '2', '11');
INSERT INTO public.who_import VALUES (22917, '2020-04-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '11', '134', '2', '13');
INSERT INTO public.who_import VALUES (22918, '2020-04-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '14', '148', '3', '16');
INSERT INTO public.who_import VALUES (22919, '2020-04-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '148', '0', '16');
INSERT INTO public.who_import VALUES (22920, '2020-04-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '161', '2', '18');
INSERT INTO public.who_import VALUES (22921, '2020-04-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '161', '0', '18');
INSERT INTO public.who_import VALUES (22922, '2020-04-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '22', '183', '2', '20');
INSERT INTO public.who_import VALUES (22923, '2020-04-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '24', '207', '0', '20');
INSERT INTO public.who_import VALUES (22924, '2020-04-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '8', '215', '0', '20');
INSERT INTO public.who_import VALUES (22925, '2020-04-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '215', '0', '20');
INSERT INTO public.who_import VALUES (22926, '2020-04-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '8', '223', '0', '20');
INSERT INTO public.who_import VALUES (22927, '2020-04-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '12', '235', '0', '20');
INSERT INTO public.who_import VALUES (22928, '2020-04-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '6', '241', '0', '20');
INSERT INTO public.who_import VALUES (22929, '2020-04-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '254', '1', '21');
INSERT INTO public.who_import VALUES (22930, '2020-04-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '267', '1', '22');
INSERT INTO public.who_import VALUES (22931, '2020-04-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '20', '287', '1', '23');
INSERT INTO public.who_import VALUES (22932, '2020-04-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '287', '0', '23');
INSERT INTO public.who_import VALUES (22933, '2020-04-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '40', '327', '2', '25');
INSERT INTO public.who_import VALUES (22934, '2020-04-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '5', '332', '0', '25');
INSERT INTO public.who_import VALUES (22935, '2020-04-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '350', '0', '25');
INSERT INTO public.who_import VALUES (22936, '2020-04-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '9', '359', '0', '25');
INSERT INTO public.who_import VALUES (22937, '2020-04-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '359', '0', '25');
INSERT INTO public.who_import VALUES (22938, '2020-04-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '35', '394', '0', '25');
INSERT INTO public.who_import VALUES (22939, '2020-04-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '22', '416', '3', '28');
INSERT INTO public.who_import VALUES (22940, '2020-04-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '26', '442', '0', '28');
INSERT INTO public.who_import VALUES (22941, '2020-04-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '17', '459', '0', '28');
INSERT INTO public.who_import VALUES (22942, '2020-04-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '12', '471', '2', '30');
INSERT INTO public.who_import VALUES (22943, '2020-04-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '20', '491', '0', '30');
INSERT INTO public.who_import VALUES (22944, '2020-04-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '9', '500', '1', '31');
INSERT INTO public.who_import VALUES (22945, '2020-05-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '72', '572', '0', '31');
INSERT INTO public.who_import VALUES (22946, '2020-05-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '32', '604', '1', '32');
INSERT INTO public.who_import VALUES (22947, '2020-05-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '70', '674', '1', '33');
INSERT INTO public.who_import VALUES (22948, '2020-05-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '8', '682', '1', '34');
INSERT INTO public.who_import VALUES (22949, '2020-05-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '682', '0', '34');
INSERT INTO public.who_import VALUES (22950, '2020-05-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '23', '705', '0', '34');
INSERT INTO public.who_import VALUES (22951, '2020-05-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '92', '797', '1', '35');
INSERT INTO public.who_import VALUES (22952, '2020-05-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '100', '897', '1', '36');
INSERT INTO public.who_import VALUES (22953, '2020-05-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '40', '937', '3', '39');
INSERT INTO public.who_import VALUES (22954, '2020-05-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '54', '991', '2', '41');
INSERT INTO public.who_import VALUES (22955, '2020-05-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '33', '1024', '0', '41');
INSERT INTO public.who_import VALUES (22956, '2020-05-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '78', '1102', '3', '44');
INSERT INTO public.who_import VALUES (22957, '2020-05-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '67', '1169', '6', '50');
INSERT INTO public.who_import VALUES (22958, '2020-05-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '73', '1242', '0', '50');
INSERT INTO public.who_import VALUES (22959, '2020-05-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '56', '1298', '0', '50');
INSERT INTO public.who_import VALUES (22960, '2020-05-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '71', '1369', '10', '60');
INSERT INTO public.who_import VALUES (22961, '2020-05-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '85', '1454', '0', '60');
INSERT INTO public.who_import VALUES (22962, '2020-05-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '1454', '0', '60');
INSERT INTO public.who_import VALUES (22963, '2020-05-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '83', '1537', '0', '60');
INSERT INTO public.who_import VALUES (22964, '2020-05-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '193', '1730', '0', '60');
INSERT INTO public.who_import VALUES (22965, '2020-05-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '104', '1834', '0', '60');
INSERT INTO public.who_import VALUES (22966, '2020-05-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '110', '1944', '2', '62');
INSERT INTO public.who_import VALUES (22967, '2020-05-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '1944', '0', '62');
INSERT INTO public.who_import VALUES (22968, '2020-05-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '196', '2140', '0', '62');
INSERT INTO public.who_import VALUES (22969, '2020-05-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '2140', '0', '62');
INSERT INTO public.who_import VALUES (22970, '2020-05-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '164', '2304', '4', '66');
INSERT INTO public.who_import VALUES (22971, '2020-05-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '98', '2402', '1', '67');
INSERT INTO public.who_import VALUES (22972, '2020-05-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '257', '2659', '1', '68');
INSERT INTO public.who_import VALUES (22973, '2020-05-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '173', '2832', '0', '68');
INSERT INTO public.who_import VALUES (22974, '2020-05-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '2832', '0', '68');
INSERT INTO public.who_import VALUES (22975, '2020-05-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '133', '2965', '0', '68');
INSERT INTO public.who_import VALUES (22976, '2020-06-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '83', '3048', '3', '71');
INSERT INTO public.who_import VALUES (22977, '2020-06-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '146', '3194', '0', '71');
INSERT INTO public.who_import VALUES (22978, '2020-06-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '131', '3325', '0', '71');
INSERT INTO public.who_import VALUES (22979, '2020-06-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '169', '3494', '3', '74');
INSERT INTO public.who_import VALUES (22980, '2020-06-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '149', '3643', '3', '77');
INSERT INTO public.who_import VALUES (22981, '2020-06-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '120', '3763', '3', '80');
INSERT INTO public.who_import VALUES (22982, '2020-06-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '114', '3877', '1', '81');
INSERT INTO public.who_import VALUES (22983, '2020-06-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '138', '4015', '3', '84');
INSERT INTO public.who_import VALUES (22984, '2020-06-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '90', '4105', '3', '87');
INSERT INTO public.who_import VALUES (22985, '2020-06-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '153', '4258', '3', '90');
INSERT INTO public.who_import VALUES (22986, '2020-06-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '131', '4389', '6', '96');
INSERT INTO public.who_import VALUES (22987, '2020-06-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '125', '4514', '1', '97');
INSERT INTO public.who_import VALUES (22988, '2020-06-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '122', '4636', '3', '100');
INSERT INTO public.who_import VALUES (22989, '2020-06-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '87', '4723', '5', '105');
INSERT INTO public.who_import VALUES (22990, '2020-06-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '54', '4777', '1', '106');
INSERT INTO public.who_import VALUES (22991, '2020-06-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '4777', '0', '106');
INSERT INTO public.who_import VALUES (22992, '2020-06-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '196', '4973', '5', '111');
INSERT INTO public.who_import VALUES (22993, '2020-06-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '126', '5099', '3', '114');
INSERT INTO public.who_import VALUES (22994, '2020-06-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '183', '5282', '2', '116');
INSERT INTO public.who_import VALUES (22995, '2020-06-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '194', '5476', '5', '121');
INSERT INTO public.who_import VALUES (22996, '2020-06-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '195', '5671', '3', '124');
INSERT INTO public.who_import VALUES (22997, '2020-06-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '154', '5825', '5', '129');
INSERT INTO public.who_import VALUES (22998, '2020-06-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '99', '5924', '5', '134');
INSERT INTO public.who_import VALUES (22999, '2020-06-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '102', '6026', '0', '134');
INSERT INTO public.who_import VALUES (23000, '2020-06-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '186', '6212', '7', '141');
INSERT INTO public.who_import VALUES (23001, '2020-06-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '198', '6410', '0', '141');
INSERT INTO public.who_import VALUES (23002, '2020-06-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '141', '6551', '7', '148');
INSERT INTO public.who_import VALUES (23003, '2020-06-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '138', '6689', '4', '152');
INSERT INTO public.who_import VALUES (23004, '2020-06-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '137', '6826', '5', '157');
INSERT INTO public.who_import VALUES (23005, '2020-06-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '112', '6938', '9', '166');
INSERT INTO public.who_import VALUES (23006, '2020-07-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '100', '7038', '3', '169');
INSERT INTO public.who_import VALUES (23007, '2020-07-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '83', '7121', '5', '174');
INSERT INTO public.who_import VALUES (23008, '2020-07-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '67', '7188', '1', '175');
INSERT INTO public.who_import VALUES (23009, '2020-07-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '122', '7310', '3', '178');
INSERT INTO public.who_import VALUES (23010, '2020-07-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '68', '7378', '3', '181');
INSERT INTO public.who_import VALUES (23011, '2020-07-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '32', '7410', '0', '181');
INSERT INTO public.who_import VALUES (23012, '2020-07-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '21', '7431', '0', '181');
INSERT INTO public.who_import VALUES (23013, '2020-07-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '228', '7659', '1', '182');
INSERT INTO public.who_import VALUES (23014, '2020-07-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '77', '7736', '1', '183');
INSERT INTO public.who_import VALUES (23015, '2020-07-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '109', '7845', '5', '188');
INSERT INTO public.who_import VALUES (23016, '2020-07-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '59', '7904', '0', '188');
INSERT INTO public.who_import VALUES (23017, '2020-07-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '66', '7970', '0', '188');
INSERT INTO public.who_import VALUES (23018, '2020-07-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '62', '8032', '0', '188');
INSERT INTO public.who_import VALUES (23019, '2020-07-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '42', '8074', '1', '189');
INSERT INTO public.who_import VALUES (23020, '2020-07-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '60', '8134', '0', '189');
INSERT INTO public.who_import VALUES (23021, '2020-07-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '28', '8162', '2', '191');
INSERT INTO public.who_import VALUES (23022, '2020-07-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '36', '8198', '1', '192');
INSERT INTO public.who_import VALUES (23023, '2020-07-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '50', '8248', '0', '192');
INSERT INTO public.who_import VALUES (23024, '2020-07-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '1', '8249', '0', '192');
INSERT INTO public.who_import VALUES (23025, '2020-07-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '153', '8402', '1', '193');
INSERT INTO public.who_import VALUES (23026, '2020-07-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '40', '8442', '0', '193');
INSERT INTO public.who_import VALUES (23027, '2020-07-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '91', '8533', '2', '195');
INSERT INTO public.who_import VALUES (23028, '2020-07-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '92', '8625', '1', '196');
INSERT INTO public.who_import VALUES (23029, '2020-07-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '8625', '0', '196');
INSERT INTO public.who_import VALUES (23030, '2020-07-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '8625', '0', '196');
INSERT INTO public.who_import VALUES (23295, '2020-02-26', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23031, '2020-07-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '141', '8766', '4', '200');
INSERT INTO public.who_import VALUES (23032, '2020-07-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '64', '8830', '3', '203');
INSERT INTO public.who_import VALUES (23033, '2020-07-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '8843', '4', '207');
INSERT INTO public.who_import VALUES (23034, '2020-07-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '29', '8872', '0', '207');
INSERT INTO public.who_import VALUES (23035, '2020-07-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '58', '8930', '5', '212');
INSERT INTO public.who_import VALUES (23036, '2020-07-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '79', '9009', '2', '214');
INSERT INTO public.who_import VALUES (23037, '2020-08-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '60', '9069', '0', '214');
INSERT INTO public.who_import VALUES (23038, '2020-08-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '9069', '0', '214');
INSERT INTO public.who_import VALUES (23039, '2020-08-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '45', '9114', '0', '214');
INSERT INTO public.who_import VALUES (23040, '2020-08-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '9132', '0', '214');
INSERT INTO public.who_import VALUES (23041, '2020-08-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '45', '9177', '0', '214');
INSERT INTO public.who_import VALUES (23042, '2020-08-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '75', '9252', '0', '214');
INSERT INTO public.who_import VALUES (23043, '2020-08-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '56', '9308', '0', '214');
INSERT INTO public.who_import VALUES (23044, '2020-08-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '46', '9354', '4', '218');
INSERT INTO public.who_import VALUES (23045, '2020-08-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '81', '9435', '0', '218');
INSERT INTO public.who_import VALUES (23046, '2020-08-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '9453', '6', '224');
INSERT INTO public.who_import VALUES (23047, '2020-08-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '35', '9488', '0', '224');
INSERT INTO public.who_import VALUES (23048, '2020-08-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '10', '9498', '1', '225');
INSERT INTO public.who_import VALUES (23049, '2020-08-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '39', '9537', '0', '225');
INSERT INTO public.who_import VALUES (23050, '2020-08-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '51', '9588', '9', '234');
INSERT INTO public.who_import VALUES (23051, '2020-08-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '16', '9604', '4', '238');
INSERT INTO public.who_import VALUES (23052, '2020-08-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '33', '9637', '1', '239');
INSERT INTO public.who_import VALUES (23053, '2020-08-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '38', '9675', '1', '240');
INSERT INTO public.who_import VALUES (23054, '2020-08-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '30', '9705', '3', '243');
INSERT INTO public.who_import VALUES (23055, '2020-08-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '15', '9720', '0', '243');
INSERT INTO public.who_import VALUES (23056, '2020-08-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '20', '9740', '3', '246');
INSERT INTO public.who_import VALUES (23057, '2020-08-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '16', '9756', '1', '247');
INSERT INTO public.who_import VALUES (23058, '2020-08-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '45', '9801', '1', '248');
INSERT INTO public.who_import VALUES (23059, '2020-08-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '9', '9810', '3', '251');
INSERT INTO public.who_import VALUES (23060, '2020-08-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '19', '9829', '0', '251');
INSERT INTO public.who_import VALUES (23061, '2020-08-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '12', '9841', '0', '251');
INSERT INTO public.who_import VALUES (23062, '2020-08-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '49', '9890', '0', '251');
INSERT INTO public.who_import VALUES (23063, '2020-08-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '21', '9911', '3', '254');
INSERT INTO public.who_import VALUES (23064, '2020-08-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '3', '9914', '1', '255');
INSERT INTO public.who_import VALUES (23065, '2020-08-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '79', '9993', '0', '255');
INSERT INTO public.who_import VALUES (23066, '2020-08-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '9993', '0', '255');
INSERT INTO public.who_import VALUES (23067, '2020-08-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '9993', '0', '255');
INSERT INTO public.who_import VALUES (23068, '2020-09-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '103', '10096', '3', '258');
INSERT INTO public.who_import VALUES (23069, '2020-09-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '7', '10103', '1', '259');
INSERT INTO public.who_import VALUES (23070, '2020-09-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '10', '10113', '0', '259');
INSERT INTO public.who_import VALUES (23071, '2020-09-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '10113', '0', '259');
INSERT INTO public.who_import VALUES (23072, '2020-09-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '35', '10148', '0', '259');
INSERT INTO public.who_import VALUES (23073, '2020-09-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '10148', '0', '259');
INSERT INTO public.who_import VALUES (23074, '2020-09-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '61', '10209', '1', '260');
INSERT INTO public.who_import VALUES (23075, '2020-09-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '23', '10232', '0', '260');
INSERT INTO public.who_import VALUES (23076, '2020-09-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '59', '10291', '0', '260');
INSERT INTO public.who_import VALUES (23077, '2020-09-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '32', '10323', '0', '260');
INSERT INTO public.who_import VALUES (23078, '2020-09-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '19', '10342', '2', '262');
INSERT INTO public.who_import VALUES (23079, '2020-09-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '10360', '0', '262');
INSERT INTO public.who_import VALUES (23080, '2020-09-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '24', '10384', '0', '262');
INSERT INTO public.who_import VALUES (23081, '2020-09-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '5', '10389', '2', '264');
INSERT INTO public.who_import VALUES (23082, '2020-09-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '10389', '0', '264');
INSERT INTO public.who_import VALUES (23083, '2020-09-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '11', '10400', '3', '267');
INSERT INTO public.who_import VALUES (23084, '2020-09-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '10413', '0', '267');
INSERT INTO public.who_import VALUES (23085, '2020-09-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '28', '10441', '0', '267');
INSERT INTO public.who_import VALUES (23086, '2020-09-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '14', '10455', '1', '268');
INSERT INTO public.who_import VALUES (23087, '2020-09-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '32', '10487', '0', '268');
INSERT INTO public.who_import VALUES (23088, '2020-09-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '27', '10514', '3', '271');
INSERT INTO public.who_import VALUES (23089, '2020-09-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '4', '10518', '0', '271');
INSERT INTO public.who_import VALUES (23090, '2020-09-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '4', '10522', '0', '271');
INSERT INTO public.who_import VALUES (23091, '2020-09-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '14', '10536', '0', '271');
INSERT INTO public.who_import VALUES (23092, '2020-09-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '10554', '0', '271');
INSERT INTO public.who_import VALUES (23093, '2020-09-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '23', '10577', '0', '271');
INSERT INTO public.who_import VALUES (23094, '2020-09-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '15', '10592', '0', '271');
INSERT INTO public.who_import VALUES (23095, '2020-09-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '19', '10611', '0', '271');
INSERT INTO public.who_import VALUES (23096, '2020-09-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '12', '10623', '0', '271');
INSERT INTO public.who_import VALUES (23097, '2020-09-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '7', '10630', '1', '272');
INSERT INTO public.who_import VALUES (23098, '2020-10-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '28', '10658', '0', '272');
INSERT INTO public.who_import VALUES (23099, '2020-10-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '26', '10684', '0', '272');
INSERT INTO public.who_import VALUES (23100, '2020-10-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '44', '10728', '0', '272');
INSERT INTO public.who_import VALUES (23101, '2020-10-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '23', '10751', '2', '274');
INSERT INTO public.who_import VALUES (23102, '2020-10-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '8', '10759', '0', '274');
INSERT INTO public.who_import VALUES (23103, '2020-10-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '10777', '0', '274');
INSERT INTO public.who_import VALUES (23104, '2020-10-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '11', '10788', '0', '274');
INSERT INTO public.who_import VALUES (23105, '2020-10-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '15', '10803', '2', '276');
INSERT INTO public.who_import VALUES (23106, '2020-10-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '18', '10821', '0', '276');
INSERT INTO public.who_import VALUES (23107, '2020-10-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '10834', '0', '276');
INSERT INTO public.who_import VALUES (23108, '2020-10-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '6', '10840', '0', '276');
INSERT INTO public.who_import VALUES (23109, '2020-10-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '10840', '0', '276');
INSERT INTO public.who_import VALUES (23110, '2020-10-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '27', '10867', '0', '276');
INSERT INTO public.who_import VALUES (23111, '2020-10-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '4', '10871', '0', '276');
INSERT INTO public.who_import VALUES (23296, '2020-02-27', 'DK', 'Denmark', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (23112, '2020-10-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '63', '10934', '5', '281');
INSERT INTO public.who_import VALUES (23113, '2020-10-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '10934', '0', '281');
INSERT INTO public.who_import VALUES (23114, '2020-10-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '10934', '0', '281');
INSERT INTO public.who_import VALUES (23115, '2020-10-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '65', '10999', '21', '302');
INSERT INTO public.who_import VALUES (23116, '2020-10-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '6', '11005', '0', '302');
INSERT INTO public.who_import VALUES (23117, '2020-10-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '46', '11051', '1', '303');
INSERT INTO public.who_import VALUES (23118, '2020-10-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '11051', '0', '303');
INSERT INTO public.who_import VALUES (23119, '2020-10-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '26', '11077', '0', '303');
INSERT INTO public.who_import VALUES (23120, '2020-10-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '19', '11096', '1', '304');
INSERT INTO public.who_import VALUES (23121, '2020-10-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '25', '11121', '0', '304');
INSERT INTO public.who_import VALUES (23122, '2020-10-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '11121', '0', '304');
INSERT INTO public.who_import VALUES (23123, '2020-10-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '39', '11160', '1', '305');
INSERT INTO public.who_import VALUES (23124, '2020-10-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '13', '11173', '0', '305');
INSERT INTO public.who_import VALUES (23125, '2020-10-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '17', '11190', '0', '305');
INSERT INTO public.who_import VALUES (23126, '2020-10-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '20', '11210', '0', '305');
INSERT INTO public.who_import VALUES (23127, '2020-10-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '42', '11252', '0', '305');
INSERT INTO public.who_import VALUES (23128, '2020-10-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '53', '11305', '2', '307');
INSERT INTO public.who_import VALUES (23129, '2020-11-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '11305', '0', '307');
INSERT INTO public.who_import VALUES (23130, '2020-11-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '67', '11372', '1', '308');
INSERT INTO public.who_import VALUES (23131, '2020-11-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '22', '11394', '0', '308');
INSERT INTO public.who_import VALUES (23132, '2020-11-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '32', '11426', '7', '315');
INSERT INTO public.who_import VALUES (23133, '2020-11-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '23', '11449', '0', '315');
INSERT INTO public.who_import VALUES (23134, '2020-11-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '36', '11485', '0', '315');
INSERT INTO public.who_import VALUES (23135, '2020-11-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '31', '11516', '0', '315');
INSERT INTO public.who_import VALUES (23136, '2020-11-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '11516', '0', '315');
INSERT INTO public.who_import VALUES (23137, '2020-11-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '74', '11590', '1', '316');
INSERT INTO public.who_import VALUES (23138, '2020-11-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '17', '11607', '0', '316');
INSERT INTO public.who_import VALUES (23139, '2020-11-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '34', '11641', '0', '316');
INSERT INTO public.who_import VALUES (23140, '2020-11-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '14', '11655', '0', '316');
INSERT INTO public.who_import VALUES (23141, '2020-11-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '36', '11691', '2', '318');
INSERT INTO public.who_import VALUES (23142, '2020-11-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '11691', '0', '318');
INSERT INTO public.who_import VALUES (23143, '2020-11-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '68', '11759', '0', '318');
INSERT INTO public.who_import VALUES (23144, '2020-11-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '29', '11788', '1', '319');
INSERT INTO public.who_import VALUES (23145, '2020-11-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '11788', '0', '319');
INSERT INTO public.who_import VALUES (23146, '2020-11-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '77', '11865', '3', '322');
INSERT INTO public.who_import VALUES (23147, '2020-11-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '52', '11917', '1', '323');
INSERT INTO public.who_import VALUES (23148, '2020-11-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '90', '12007', '0', '323');
INSERT INTO public.who_import VALUES (23149, '2020-11-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '121', '12128', '1', '324');
INSERT INTO public.who_import VALUES (23150, '2020-11-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '51', '12179', '3', '327');
INSERT INTO public.who_import VALUES (23151, '2020-11-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '59', '12238', '1', '328');
INSERT INTO public.who_import VALUES (23152, '2020-11-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '39', '12277', '1', '329');
INSERT INTO public.who_import VALUES (23153, '2020-11-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '32', '12309', '2', '331');
INSERT INTO public.who_import VALUES (23154, '2020-11-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '55', '12364', '0', '331');
INSERT INTO public.who_import VALUES (23155, '2020-11-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '105', '12469', '2', '333');
INSERT INTO public.who_import VALUES (23156, '2020-11-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '71', '12540', '0', '333');
INSERT INTO public.who_import VALUES (23157, '2020-11-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '67', '12607', '0', '333');
INSERT INTO public.who_import VALUES (23158, '2020-11-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '94', '12701', '0', '333');
INSERT INTO public.who_import VALUES (23159, '2020-12-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '70', '12771', '0', '333');
INSERT INTO public.who_import VALUES (23160, '2020-12-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '87', '12858', '2', '335');
INSERT INTO public.who_import VALUES (23161, '2020-12-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '128', '12986', '1', '336');
INSERT INTO public.who_import VALUES (23162, '2020-12-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '145', '13131', '1', '337');
INSERT INTO public.who_import VALUES (23163, '2020-12-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '149', '13280', '0', '337');
INSERT INTO public.who_import VALUES (23164, '2020-12-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '246', '13526', '7', '344');
INSERT INTO public.who_import VALUES (23165, '2020-12-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '13526', '0', '344');
INSERT INTO public.who_import VALUES (23166, '2020-12-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '68', '13594', '0', '344');
INSERT INTO public.who_import VALUES (23167, '2020-12-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '155', '13749', '0', '344');
INSERT INTO public.who_import VALUES (23168, '2020-12-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '93', '13842', '6', '350');
INSERT INTO public.who_import VALUES (23169, '2020-12-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '152', '13994', '0', '350');
INSERT INTO public.who_import VALUES (23170, '2020-12-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '175', '14169', '0', '350');
INSERT INTO public.who_import VALUES (23171, '2020-12-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '172', '14341', '2', '352');
INSERT INTO public.who_import VALUES (23172, '2020-12-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '119', '14460', '0', '352');
INSERT INTO public.who_import VALUES (23173, '2020-12-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '14460', '4', '356');
INSERT INTO public.who_import VALUES (23174, '2020-12-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '51', '14511', '2', '358');
INSERT INTO public.who_import VALUES (23175, '2020-12-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '84', '14595', '6', '364');
INSERT INTO public.who_import VALUES (23176, '2020-12-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '333', '14928', '2', '366');
INSERT INTO public.who_import VALUES (23177, '2020-12-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '159', '15087', '0', '366');
INSERT INTO public.who_import VALUES (23178, '2020-12-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '123', '15210', '3', '369');
INSERT INTO public.who_import VALUES (23179, '2020-12-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '15210', '0', '369');
INSERT INTO public.who_import VALUES (23180, '2020-12-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '283', '15493', '1', '370');
INSERT INTO public.who_import VALUES (23181, '2020-12-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '174', '15667', '196', '566');
INSERT INTO public.who_import VALUES (23182, '2020-12-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '141', '15808', '0', '566');
INSERT INTO public.who_import VALUES (23183, '2020-12-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '229', '16037', '0', '566');
INSERT INTO public.who_import VALUES (23184, '2020-12-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '243', '16280', '0', '566');
INSERT INTO public.who_import VALUES (23185, '2020-12-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '16280', '0', '566');
INSERT INTO public.who_import VALUES (23186, '2020-12-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '16280', '0', '566');
INSERT INTO public.who_import VALUES (23187, '2020-12-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '557', '16837', '13', '579');
INSERT INTO public.who_import VALUES (23188, '2020-12-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '78', '16915', '5', '584');
INSERT INTO public.who_import VALUES (23189, '2020-12-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '265', '17180', '0', '584');
INSERT INTO public.who_import VALUES (23190, '2021-01-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '194', '17374', '7', '591');
INSERT INTO public.who_import VALUES (23191, '2021-01-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '17374', '0', '591');
INSERT INTO public.who_import VALUES (23192, '2021-01-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '474', '17848', '0', '591');
INSERT INTO public.who_import VALUES (23193, '2021-01-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '149', '17997', '5', '596');
INSERT INTO public.who_import VALUES (23194, '2021-01-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '17997', '0', '596');
INSERT INTO public.who_import VALUES (23195, '2021-01-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '155', '18152', '5', '601');
INSERT INTO public.who_import VALUES (23196, '2021-01-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '18152', '0', '601');
INSERT INTO public.who_import VALUES (23197, '2021-01-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '333', '18485', '9', '610');
INSERT INTO public.who_import VALUES (23198, '2021-01-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '251', '18736', '0', '610');
INSERT INTO public.who_import VALUES (23199, '2021-01-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '231', '18967', '0', '610');
INSERT INTO public.who_import VALUES (23200, '2021-01-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '190', '19157', '0', '610');
INSERT INTO public.who_import VALUES (23201, '2021-01-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '277', '19434', '0', '610');
INSERT INTO public.who_import VALUES (23202, '2021-01-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '19434', '0', '610');
INSERT INTO public.who_import VALUES (23203, '2021-01-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '61', '19495', '0', '610');
INSERT INTO public.who_import VALUES (23204, '2021-01-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '211', '19706', '15', '625');
INSERT INTO public.who_import VALUES (23205, '2021-01-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '919', '20625', '2', '627');
INSERT INTO public.who_import VALUES (23206, '2021-01-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '20625', '2', '629');
INSERT INTO public.who_import VALUES (23207, '2021-01-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '67', '20692', '1', '630');
INSERT INTO public.who_import VALUES (23208, '2021-01-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '215', '20907', '0', '630');
INSERT INTO public.who_import VALUES (23209, '2021-01-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '232', '21139', '10', '640');
INSERT INTO public.who_import VALUES (23210, '2021-01-21', 'CD', 'Democratic Republic of the Congo', 'AFRO', '162', '21301', '0', '640');
INSERT INTO public.who_import VALUES (23211, '2021-01-22', 'CD', 'Democratic Republic of the Congo', 'AFRO', '96', '21397', '3', '643');
INSERT INTO public.who_import VALUES (23212, '2021-01-23', 'CD', 'Democratic Republic of the Congo', 'AFRO', '198', '21595', '3', '646');
INSERT INTO public.who_import VALUES (23213, '2021-01-24', 'CD', 'Democratic Republic of the Congo', 'AFRO', '273', '21868', '14', '660');
INSERT INTO public.who_import VALUES (23214, '2021-01-25', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '21868', '0', '660');
INSERT INTO public.who_import VALUES (23215, '2021-01-26', 'CD', 'Democratic Republic of the Congo', 'AFRO', '179', '22047', '1', '661');
INSERT INTO public.who_import VALUES (23216, '2021-01-27', 'CD', 'Democratic Republic of the Congo', 'AFRO', '0', '22047', '0', '661');
INSERT INTO public.who_import VALUES (23217, '2021-01-28', 'CD', 'Democratic Republic of the Congo', 'AFRO', '130', '22177', '0', '661');
INSERT INTO public.who_import VALUES (23218, '2021-01-29', 'CD', 'Democratic Republic of the Congo', 'AFRO', '144', '22321', '4', '665');
INSERT INTO public.who_import VALUES (23219, '2021-01-30', 'CD', 'Democratic Republic of the Congo', 'AFRO', '133', '22454', '0', '665');
INSERT INTO public.who_import VALUES (23220, '2021-01-31', 'CD', 'Democratic Republic of the Congo', 'AFRO', '149', '22603', '6', '671');
INSERT INTO public.who_import VALUES (23221, '2021-02-01', 'CD', 'Democratic Republic of the Congo', 'AFRO', '167', '22770', '0', '671');
INSERT INTO public.who_import VALUES (23222, '2021-02-02', 'CD', 'Democratic Republic of the Congo', 'AFRO', '71', '22841', '2', '673');
INSERT INTO public.who_import VALUES (23223, '2021-02-03', 'CD', 'Democratic Republic of the Congo', 'AFRO', '201', '23042', '1', '674');
INSERT INTO public.who_import VALUES (23224, '2021-02-04', 'CD', 'Democratic Republic of the Congo', 'AFRO', '139', '23181', '0', '674');
INSERT INTO public.who_import VALUES (23225, '2021-02-05', 'CD', 'Democratic Republic of the Congo', 'AFRO', '30', '23211', '3', '677');
INSERT INTO public.who_import VALUES (23226, '2021-02-06', 'CD', 'Democratic Republic of the Congo', 'AFRO', '159', '23370', '0', '677');
INSERT INTO public.who_import VALUES (23227, '2021-02-07', 'CD', 'Democratic Republic of the Congo', 'AFRO', '114', '23484', '2', '679');
INSERT INTO public.who_import VALUES (23228, '2021-02-08', 'CD', 'Democratic Republic of the Congo', 'AFRO', '114', '23598', '2', '681');
INSERT INTO public.who_import VALUES (23229, '2021-02-09', 'CD', 'Democratic Republic of the Congo', 'AFRO', '72', '23670', '0', '681');
INSERT INTO public.who_import VALUES (23230, '2021-02-10', 'CD', 'Democratic Republic of the Congo', 'AFRO', '100', '23770', '2', '683');
INSERT INTO public.who_import VALUES (23231, '2021-02-11', 'CD', 'Democratic Republic of the Congo', 'AFRO', '119', '23889', '2', '685');
INSERT INTO public.who_import VALUES (23232, '2021-02-12', 'CD', 'Democratic Republic of the Congo', 'AFRO', '136', '24025', '0', '685');
INSERT INTO public.who_import VALUES (23233, '2021-02-13', 'CD', 'Democratic Republic of the Congo', 'AFRO', '126', '24151', '5', '690');
INSERT INTO public.who_import VALUES (23234, '2021-02-14', 'CD', 'Democratic Republic of the Congo', 'AFRO', '88', '24239', '2', '692');
INSERT INTO public.who_import VALUES (23235, '2021-02-15', 'CD', 'Democratic Republic of the Congo', 'AFRO', '55', '24294', '0', '692');
INSERT INTO public.who_import VALUES (23236, '2021-02-16', 'CD', 'Democratic Republic of the Congo', 'AFRO', '91', '24385', '0', '692');
INSERT INTO public.who_import VALUES (23237, '2021-02-17', 'CD', 'Democratic Republic of the Congo', 'AFRO', '37', '24422', '2', '694');
INSERT INTO public.who_import VALUES (23238, '2021-02-18', 'CD', 'Democratic Republic of the Congo', 'AFRO', '179', '24601', '0', '694');
INSERT INTO public.who_import VALUES (23239, '2021-02-19', 'CD', 'Democratic Republic of the Congo', 'AFRO', '192', '24793', '0', '694');
INSERT INTO public.who_import VALUES (23240, '2021-02-20', 'CD', 'Democratic Republic of the Congo', 'AFRO', '170', '24963', '0', '694');
INSERT INTO public.who_import VALUES (23241, '2020-01-03', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23242, '2020-01-04', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23243, '2020-01-05', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23244, '2020-01-06', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23245, '2020-01-07', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23246, '2020-01-08', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23247, '2020-01-09', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23248, '2020-01-10', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23249, '2020-01-11', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23250, '2020-01-12', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23251, '2020-01-13', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23252, '2020-01-14', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23253, '2020-01-15', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23254, '2020-01-16', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23255, '2020-01-17', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23256, '2020-01-18', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23257, '2020-01-19', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23258, '2020-01-20', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23259, '2020-01-21', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23260, '2020-01-22', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23261, '2020-01-23', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23262, '2020-01-24', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23263, '2020-01-25', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23264, '2020-01-26', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23265, '2020-01-27', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23266, '2020-01-28', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23267, '2020-01-29', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23268, '2020-01-30', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23269, '2020-01-31', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23270, '2020-02-01', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23271, '2020-02-02', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23272, '2020-02-03', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23273, '2020-02-04', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23274, '2020-02-05', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23275, '2020-02-06', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23276, '2020-02-07', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23277, '2020-02-08', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23278, '2020-02-09', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23279, '2020-02-10', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23280, '2020-02-11', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23281, '2020-02-12', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23282, '2020-02-13', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23283, '2020-02-14', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23284, '2020-02-15', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23285, '2020-02-16', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23286, '2020-02-17', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23287, '2020-02-18', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23288, '2020-02-19', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23289, '2020-02-20', 'DK', 'Denmark', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23297, '2020-02-28', 'DK', 'Denmark', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (23298, '2020-02-29', 'DK', 'Denmark', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (23299, '2020-03-01', 'DK', 'Denmark', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (23300, '2020-03-02', 'DK', 'Denmark', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (23301, '2020-03-03', 'DK', 'Denmark', 'EURO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (23302, '2020-03-04', 'DK', 'Denmark', 'EURO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (23303, '2020-03-05', 'DK', 'Denmark', 'EURO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (23304, '2020-03-06', 'DK', 'Denmark', 'EURO', '10', '20', '0', '0');
INSERT INTO public.who_import VALUES (23305, '2020-03-07', 'DK', 'Denmark', 'EURO', '3', '23', '0', '0');
INSERT INTO public.who_import VALUES (23306, '2020-03-08', 'DK', 'Denmark', 'EURO', '8', '31', '0', '0');
INSERT INTO public.who_import VALUES (23307, '2020-03-09', 'DK', 'Denmark', 'EURO', '7', '38', '0', '0');
INSERT INTO public.who_import VALUES (23308, '2020-03-10', 'DK', 'Denmark', 'EURO', '75', '113', '0', '0');
INSERT INTO public.who_import VALUES (23309, '2020-03-11', 'DK', 'Denmark', 'EURO', '151', '264', '0', '0');
INSERT INTO public.who_import VALUES (23310, '2020-03-12', 'DK', 'Denmark', 'EURO', '252', '516', '0', '0');
INSERT INTO public.who_import VALUES (23311, '2020-03-13', 'DK', 'Denmark', 'EURO', '160', '676', '0', '0');
INSERT INTO public.who_import VALUES (23312, '2020-03-14', 'DK', 'Denmark', 'EURO', '128', '804', '0', '0');
INSERT INTO public.who_import VALUES (23313, '2020-03-15', 'DK', 'Denmark', 'EURO', '23', '827', '0', '0');
INSERT INTO public.who_import VALUES (23314, '2020-03-16', 'DK', 'Denmark', 'EURO', '48', '875', '1', '1');
INSERT INTO public.who_import VALUES (23315, '2020-03-17', 'DK', 'Denmark', 'EURO', '57', '932', '0', '1');
INSERT INTO public.who_import VALUES (23316, '2020-03-18', 'DK', 'Denmark', 'EURO', '92', '1024', '3', '4');
INSERT INTO public.who_import VALUES (23317, '2020-03-19', 'DK', 'Denmark', 'EURO', '91', '1115', '0', '4');
INSERT INTO public.who_import VALUES (23318, '2020-03-20', 'DK', 'Denmark', 'EURO', '36', '1151', '2', '6');
INSERT INTO public.who_import VALUES (23319, '2020-03-21', 'DK', 'Denmark', 'EURO', '104', '1255', '3', '9');
INSERT INTO public.who_import VALUES (23320, '2020-03-22', 'DK', 'Denmark', 'EURO', '71', '1326', '4', '13');
INSERT INTO public.who_import VALUES (23321, '2020-03-23', 'DK', 'Denmark', 'EURO', '69', '1395', '0', '13');
INSERT INTO public.who_import VALUES (23322, '2020-03-24', 'DK', 'Denmark', 'EURO', '65', '1460', '11', '24');
INSERT INTO public.who_import VALUES (23323, '2020-03-25', 'DK', 'Denmark', 'EURO', '131', '1591', '8', '32');
INSERT INTO public.who_import VALUES (23324, '2020-03-26', 'DK', 'Denmark', 'EURO', '133', '1724', '2', '34');
INSERT INTO public.who_import VALUES (23325, '2020-03-27', 'DK', 'Denmark', 'EURO', '153', '1877', '7', '41');
INSERT INTO public.who_import VALUES (23326, '2020-03-28', 'DK', 'Denmark', 'EURO', '169', '2046', '11', '52');
INSERT INTO public.who_import VALUES (23327, '2020-03-29', 'DK', 'Denmark', 'EURO', '155', '2201', '13', '65');
INSERT INTO public.who_import VALUES (23328, '2020-03-30', 'DK', 'Denmark', 'EURO', '194', '2395', '7', '72');
INSERT INTO public.who_import VALUES (23329, '2020-03-31', 'DK', 'Denmark', 'EURO', '182', '2577', '5', '77');
INSERT INTO public.who_import VALUES (23330, '2020-04-01', 'DK', 'Denmark', 'EURO', '283', '2860', '13', '90');
INSERT INTO public.who_import VALUES (23331, '2020-04-02', 'DK', 'Denmark', 'EURO', '247', '3107', '14', '104');
INSERT INTO public.who_import VALUES (23332, '2020-04-03', 'DK', 'Denmark', 'EURO', '279', '3386', '19', '123');
INSERT INTO public.who_import VALUES (23333, '2020-04-04', 'DK', 'Denmark', 'EURO', '371', '3757', '16', '139');
INSERT INTO public.who_import VALUES (23334, '2020-04-05', 'DK', 'Denmark', 'EURO', '320', '4077', '22', '161');
INSERT INTO public.who_import VALUES (23335, '2020-04-06', 'DK', 'Denmark', 'EURO', '292', '4369', '18', '179');
INSERT INTO public.who_import VALUES (23336, '2020-04-07', 'DK', 'Denmark', 'EURO', '312', '4681', '8', '187');
INSERT INTO public.who_import VALUES (23337, '2020-04-08', 'DK', 'Denmark', 'EURO', '390', '5071', '16', '203');
INSERT INTO public.who_import VALUES (23338, '2020-04-09', 'DK', 'Denmark', 'EURO', '331', '5402', '15', '218');
INSERT INTO public.who_import VALUES (23339, '2020-04-10', 'DK', 'Denmark', 'EURO', '233', '5635', '19', '237');
INSERT INTO public.who_import VALUES (23340, '2020-04-11', 'DK', 'Denmark', 'EURO', '184', '5819', '10', '247');
INSERT INTO public.who_import VALUES (23341, '2020-04-12', 'DK', 'Denmark', 'EURO', '177', '5996', '13', '260');
INSERT INTO public.who_import VALUES (23342, '2020-04-13', 'DK', 'Denmark', 'EURO', '178', '6174', '13', '273');
INSERT INTO public.who_import VALUES (23343, '2020-04-14', 'DK', 'Denmark', 'EURO', '144', '6318', '12', '285');
INSERT INTO public.who_import VALUES (23344, '2020-04-15', 'DK', 'Denmark', 'EURO', '193', '6511', '14', '299');
INSERT INTO public.who_import VALUES (23345, '2020-04-16', 'DK', 'Denmark', 'EURO', '170', '6681', '10', '309');
INSERT INTO public.who_import VALUES (23346, '2020-04-17', 'DK', 'Denmark', 'EURO', '198', '6879', '12', '321');
INSERT INTO public.who_import VALUES (23347, '2020-04-18', 'DK', 'Denmark', 'EURO', '194', '7073', '15', '336');
INSERT INTO public.who_import VALUES (23348, '2020-04-19', 'DK', 'Denmark', 'EURO', '169', '7242', '10', '346');
INSERT INTO public.who_import VALUES (23349, '2020-04-20', 'DK', 'Denmark', 'EURO', '142', '7384', '9', '355');
INSERT INTO public.who_import VALUES (23350, '2020-04-21', 'DK', 'Denmark', 'EURO', '131', '7515', '9', '364');
INSERT INTO public.who_import VALUES (23351, '2020-04-22', 'DK', 'Denmark', 'EURO', '180', '7695', '6', '370');
INSERT INTO public.who_import VALUES (23352, '2020-04-23', 'DK', 'Denmark', 'EURO', '217', '7912', '14', '384');
INSERT INTO public.who_import VALUES (23353, '2020-04-24', 'DK', 'Denmark', 'EURO', '161', '8073', '10', '394');
INSERT INTO public.who_import VALUES (23354, '2020-04-25', 'DK', 'Denmark', 'EURO', '137', '8210', '9', '403');
INSERT INTO public.who_import VALUES (23355, '2020-04-26', 'DK', 'Denmark', 'EURO', '235', '8445', '15', '418');
INSERT INTO public.who_import VALUES (23356, '2020-04-27', 'DK', 'Denmark', 'EURO', '130', '8575', '4', '422');
INSERT INTO public.who_import VALUES (23357, '2020-04-28', 'DK', 'Denmark', 'EURO', '123', '8698', '5', '427');
INSERT INTO public.who_import VALUES (23358, '2020-04-29', 'DK', 'Denmark', 'EURO', '153', '8851', '7', '434');
INSERT INTO public.who_import VALUES (23359, '2020-04-30', 'DK', 'Denmark', 'EURO', '157', '9008', '9', '443');
INSERT INTO public.who_import VALUES (23360, '2020-05-01', 'DK', 'Denmark', 'EURO', '150', '9158', '9', '452');
INSERT INTO public.who_import VALUES (23361, '2020-05-02', 'DK', 'Denmark', 'EURO', '153', '9311', '10', '462');
INSERT INTO public.who_import VALUES (23362, '2020-05-03', 'DK', 'Denmark', 'EURO', '96', '9407', '11', '473');
INSERT INTO public.who_import VALUES (23363, '2020-05-04', 'DK', 'Denmark', 'EURO', '116', '9523', '8', '481');
INSERT INTO public.who_import VALUES (23364, '2020-05-05', 'DK', 'Denmark', 'EURO', '147', '9670', '9', '490');
INSERT INTO public.who_import VALUES (23365, '2020-05-06', 'DK', 'Denmark', 'EURO', '151', '9821', '7', '497');
INSERT INTO public.who_import VALUES (23366, '2020-05-07', 'DK', 'Denmark', 'EURO', '162', '9983', '3', '500');
INSERT INTO public.who_import VALUES (23367, '2020-05-08', 'DK', 'Denmark', 'EURO', '100', '10083', '6', '506');
INSERT INTO public.who_import VALUES (23368, '2020-05-09', 'DK', 'Denmark', 'EURO', '135', '10218', '6', '512');
INSERT INTO public.who_import VALUES (23369, '2020-05-10', 'DK', 'Denmark', 'EURO', '101', '10319', '4', '516');
INSERT INTO public.who_import VALUES (23370, '2020-05-11', 'DK', 'Denmark', 'EURO', '110', '10429', '3', '519');
INSERT INTO public.who_import VALUES (23371, '2020-05-12', 'DK', 'Denmark', 'EURO', '84', '10513', '5', '524');
INSERT INTO public.who_import VALUES (23372, '2020-05-13', 'DK', 'Denmark', 'EURO', '78', '10591', '4', '528');
INSERT INTO public.who_import VALUES (23373, '2020-05-14', 'DK', 'Denmark', 'EURO', '76', '10667', '6', '534');
INSERT INTO public.who_import VALUES (23374, '2020-05-15', 'DK', 'Denmark', 'EURO', '46', '10713', '4', '538');
INSERT INTO public.who_import VALUES (23375, '2020-05-16', 'DK', 'Denmark', 'EURO', '78', '10791', '0', '538');
INSERT INTO public.who_import VALUES (23376, '2020-05-17', 'DK', 'Denmark', 'EURO', '67', '10858', '5', '543');
INSERT INTO public.who_import VALUES (23377, '2020-05-18', 'DK', 'Denmark', 'EURO', '69', '10927', '4', '547');
INSERT INTO public.who_import VALUES (23378, '2020-05-19', 'DK', 'Denmark', 'EURO', '41', '10968', '1', '548');
INSERT INTO public.who_import VALUES (23379, '2020-05-20', 'DK', 'Denmark', 'EURO', '76', '11044', '3', '551');
INSERT INTO public.who_import VALUES (23380, '2020-05-21', 'DK', 'Denmark', 'EURO', '73', '11117', '3', '554');
INSERT INTO public.who_import VALUES (23381, '2020-05-22', 'DK', 'Denmark', 'EURO', '65', '11182', '7', '561');
INSERT INTO public.who_import VALUES (23382, '2020-05-23', 'DK', 'Denmark', 'EURO', '48', '11230', '0', '561');
INSERT INTO public.who_import VALUES (23383, '2020-05-24', 'DK', 'Denmark', 'EURO', '59', '11289', '0', '561');
INSERT INTO public.who_import VALUES (23384, '2020-05-25', 'DK', 'Denmark', 'EURO', '71', '11360', '1', '562');
INSERT INTO public.who_import VALUES (23385, '2020-05-26', 'DK', 'Denmark', 'EURO', '27', '11387', '1', '563');
INSERT INTO public.who_import VALUES (23386, '2020-05-27', 'DK', 'Denmark', 'EURO', '41', '11428', '0', '563');
INSERT INTO public.who_import VALUES (23387, '2020-05-28', 'DK', 'Denmark', 'EURO', '52', '11480', '2', '565');
INSERT INTO public.who_import VALUES (23388, '2020-05-29', 'DK', 'Denmark', 'EURO', '32', '11512', '3', '568');
INSERT INTO public.who_import VALUES (23389, '2020-05-30', 'DK', 'Denmark', 'EURO', '81', '11593', '0', '568');
INSERT INTO public.who_import VALUES (23390, '2020-05-31', 'DK', 'Denmark', 'EURO', '40', '11633', '3', '571');
INSERT INTO public.who_import VALUES (23391, '2020-06-01', 'DK', 'Denmark', 'EURO', '36', '11669', '3', '574');
INSERT INTO public.who_import VALUES (23392, '2020-06-02', 'DK', 'Denmark', 'EURO', '30', '11699', '2', '576');
INSERT INTO public.who_import VALUES (23393, '2020-06-03', 'DK', 'Denmark', 'EURO', '35', '11734', '4', '580');
INSERT INTO public.who_import VALUES (23394, '2020-06-04', 'DK', 'Denmark', 'EURO', '37', '11771', '0', '580');
INSERT INTO public.who_import VALUES (23395, '2020-06-05', 'DK', 'Denmark', 'EURO', '40', '11811', '2', '582');
INSERT INTO public.who_import VALUES (23396, '2020-06-06', 'DK', 'Denmark', 'EURO', '64', '11875', '4', '586');
INSERT INTO public.who_import VALUES (23397, '2020-06-07', 'DK', 'Denmark', 'EURO', '49', '11924', '1', '587');
INSERT INTO public.who_import VALUES (23398, '2020-06-08', 'DK', 'Denmark', 'EURO', '24', '11948', '2', '589');
INSERT INTO public.who_import VALUES (23399, '2020-06-09', 'DK', 'Denmark', 'EURO', '14', '11962', '4', '593');
INSERT INTO public.who_import VALUES (23400, '2020-06-10', 'DK', 'Denmark', 'EURO', '39', '12001', '0', '593');
INSERT INTO public.who_import VALUES (23401, '2020-06-11', 'DK', 'Denmark', 'EURO', '15', '12016', '0', '593');
INSERT INTO public.who_import VALUES (23402, '2020-06-12', 'DK', 'Denmark', 'EURO', '19', '12035', '0', '593');
INSERT INTO public.who_import VALUES (23403, '2020-06-13', 'DK', 'Denmark', 'EURO', '64', '12099', '1', '594');
INSERT INTO public.who_import VALUES (23404, '2020-06-14', 'DK', 'Denmark', 'EURO', '40', '12139', '3', '597');
INSERT INTO public.who_import VALUES (23405, '2020-06-15', 'DK', 'Denmark', 'EURO', '54', '12193', '0', '597');
INSERT INTO public.who_import VALUES (23406, '2020-06-16', 'DK', 'Denmark', 'EURO', '24', '12217', '1', '598');
INSERT INTO public.who_import VALUES (23407, '2020-06-17', 'DK', 'Denmark', 'EURO', '33', '12250', '0', '598');
INSERT INTO public.who_import VALUES (23408, '2020-06-18', 'DK', 'Denmark', 'EURO', '44', '12294', '0', '598');
INSERT INTO public.who_import VALUES (23409, '2020-06-19', 'DK', 'Denmark', 'EURO', '50', '12344', '2', '600');
INSERT INTO public.who_import VALUES (23410, '2020-06-20', 'DK', 'Denmark', 'EURO', '47', '12391', '0', '600');
INSERT INTO public.who_import VALUES (23411, '2020-06-21', 'DK', 'Denmark', 'EURO', '0', '12391', '0', '600');
INSERT INTO public.who_import VALUES (23412, '2020-06-22', 'DK', 'Denmark', 'EURO', '0', '12391', '0', '600');
INSERT INTO public.who_import VALUES (23413, '2020-06-23', 'DK', 'Denmark', 'EURO', '136', '12527', '2', '602');
INSERT INTO public.who_import VALUES (23414, '2020-06-24', 'DK', 'Denmark', 'EURO', '34', '12561', '1', '603');
INSERT INTO public.who_import VALUES (23415, '2020-06-25', 'DK', 'Denmark', 'EURO', '54', '12615', '0', '603');
INSERT INTO public.who_import VALUES (23416, '2020-06-26', 'DK', 'Denmark', 'EURO', '21', '12636', '0', '603');
INSERT INTO public.who_import VALUES (23417, '2020-06-27', 'DK', 'Denmark', 'EURO', '39', '12675', '1', '604');
INSERT INTO public.who_import VALUES (23418, '2020-06-28', 'DK', 'Denmark', 'EURO', '0', '12675', '0', '604');
INSERT INTO public.who_import VALUES (23419, '2020-06-29', 'DK', 'Denmark', 'EURO', '0', '12675', '0', '604');
INSERT INTO public.who_import VALUES (23420, '2020-06-30', 'DK', 'Denmark', 'EURO', '76', '12751', '1', '605');
INSERT INTO public.who_import VALUES (23421, '2020-07-01', 'DK', 'Denmark', 'EURO', '17', '12768', '0', '605');
INSERT INTO public.who_import VALUES (23422, '2020-07-02', 'DK', 'Denmark', 'EURO', '26', '12794', '1', '606');
INSERT INTO public.who_import VALUES (23423, '2020-07-03', 'DK', 'Denmark', 'EURO', '21', '12815', '0', '606');
INSERT INTO public.who_import VALUES (23424, '2020-07-04', 'DK', 'Denmark', 'EURO', '17', '12832', '0', '606');
INSERT INTO public.who_import VALUES (23425, '2020-07-05', 'DK', 'Denmark', 'EURO', '0', '12832', '0', '606');
INSERT INTO public.who_import VALUES (23426, '2020-07-06', 'DK', 'Denmark', 'EURO', '0', '12832', '0', '606');
INSERT INTO public.who_import VALUES (23427, '2020-07-07', 'DK', 'Denmark', 'EURO', '46', '12878', '1', '607');
INSERT INTO public.who_import VALUES (23428, '2020-07-08', 'DK', 'Denmark', 'EURO', '10', '12888', '2', '609');
INSERT INTO public.who_import VALUES (23429, '2020-07-09', 'DK', 'Denmark', 'EURO', '12', '12900', '0', '609');
INSERT INTO public.who_import VALUES (23430, '2020-07-10', 'DK', 'Denmark', 'EURO', '16', '12916', '0', '609');
INSERT INTO public.who_import VALUES (23431, '2020-07-11', 'DK', 'Denmark', 'EURO', '30', '12946', '0', '609');
INSERT INTO public.who_import VALUES (23432, '2020-07-12', 'DK', 'Denmark', 'EURO', '0', '12946', '0', '609');
INSERT INTO public.who_import VALUES (23433, '2020-07-13', 'DK', 'Denmark', 'EURO', '0', '12946', '0', '609');
INSERT INTO public.who_import VALUES (23434, '2020-07-14', 'DK', 'Denmark', 'EURO', '91', '13037', '1', '610');
INSERT INTO public.who_import VALUES (23435, '2020-07-15', 'DK', 'Denmark', 'EURO', '24', '13061', '0', '610');
INSERT INTO public.who_import VALUES (23436, '2020-07-16', 'DK', 'Denmark', 'EURO', '31', '13092', '0', '610');
INSERT INTO public.who_import VALUES (23437, '2020-07-17', 'DK', 'Denmark', 'EURO', '32', '13124', '0', '610');
INSERT INTO public.who_import VALUES (23438, '2020-07-18', 'DK', 'Denmark', 'EURO', '49', '13173', '1', '611');
INSERT INTO public.who_import VALUES (23439, '2020-07-19', 'DK', 'Denmark', 'EURO', '0', '13173', '0', '611');
INSERT INTO public.who_import VALUES (23440, '2020-07-20', 'DK', 'Denmark', 'EURO', '0', '13173', '0', '611');
INSERT INTO public.who_import VALUES (23441, '2020-07-21', 'DK', 'Denmark', 'EURO', '89', '13262', '0', '611');
INSERT INTO public.who_import VALUES (23442, '2020-07-22', 'DK', 'Denmark', 'EURO', '40', '13302', '0', '611');
INSERT INTO public.who_import VALUES (23443, '2020-07-23', 'DK', 'Denmark', 'EURO', '48', '13350', '0', '611');
INSERT INTO public.who_import VALUES (23444, '2020-07-24', 'DK', 'Denmark', 'EURO', '40', '13390', '1', '612');
INSERT INTO public.who_import VALUES (23445, '2020-07-25', 'DK', 'Denmark', 'EURO', '48', '13438', '1', '613');
INSERT INTO public.who_import VALUES (23446, '2020-07-26', 'DK', 'Denmark', 'EURO', '0', '13438', '0', '613');
INSERT INTO public.who_import VALUES (23447, '2020-07-27', 'DK', 'Denmark', 'EURO', '0', '13438', '0', '613');
INSERT INTO public.who_import VALUES (23448, '2020-07-28', 'DK', 'Denmark', 'EURO', '109', '13547', '0', '613');
INSERT INTO public.who_import VALUES (23449, '2020-07-29', 'DK', 'Denmark', 'EURO', '30', '13577', '0', '613');
INSERT INTO public.who_import VALUES (23450, '2020-07-30', 'DK', 'Denmark', 'EURO', '57', '13634', '1', '614');
INSERT INTO public.who_import VALUES (23451, '2020-07-31', 'DK', 'Denmark', 'EURO', '91', '13725', '1', '615');
INSERT INTO public.who_import VALUES (23452, '2020-08-01', 'DK', 'Denmark', 'EURO', '64', '13789', '0', '615');
INSERT INTO public.who_import VALUES (23453, '2020-08-02', 'DK', 'Denmark', 'EURO', '0', '13789', '0', '615');
INSERT INTO public.who_import VALUES (23454, '2020-08-03', 'DK', 'Denmark', 'EURO', '0', '13789', '0', '615');
INSERT INTO public.who_import VALUES (23455, '2020-08-04', 'DK', 'Denmark', 'EURO', '207', '13996', '1', '616');
INSERT INTO public.who_import VALUES (23456, '2020-08-05', 'DK', 'Denmark', 'EURO', '77', '14073', '0', '616');
INSERT INTO public.who_import VALUES (23457, '2020-08-06', 'DK', 'Denmark', 'EURO', '112', '14185', '0', '616');
INSERT INTO public.who_import VALUES (23458, '2020-08-07', 'DK', 'Denmark', 'EURO', '121', '14306', '1', '617');
INSERT INTO public.who_import VALUES (23459, '2020-08-08', 'DK', 'Denmark', 'EURO', '136', '14442', '0', '617');
INSERT INTO public.who_import VALUES (23460, '2020-08-09', 'DK', 'Denmark', 'EURO', '0', '14442', '0', '617');
INSERT INTO public.who_import VALUES (23461, '2020-08-10', 'DK', 'Denmark', 'EURO', '0', '14442', '0', '617');
INSERT INTO public.who_import VALUES (23462, '2020-08-11', 'DK', 'Denmark', 'EURO', '373', '14815', '3', '620');
INSERT INTO public.who_import VALUES (23463, '2020-08-12', 'DK', 'Denmark', 'EURO', '144', '14959', '1', '621');
INSERT INTO public.who_import VALUES (23464, '2020-08-13', 'DK', 'Denmark', 'EURO', '111', '15070', '0', '621');
INSERT INTO public.who_import VALUES (23465, '2020-08-14', 'DK', 'Denmark', 'EURO', '144', '15214', '0', '621');
INSERT INTO public.who_import VALUES (23466, '2020-08-15', 'DK', 'Denmark', 'EURO', '165', '15379', '0', '621');
INSERT INTO public.who_import VALUES (23467, '2020-08-16', 'DK', 'Denmark', 'EURO', '104', '15483', '0', '621');
INSERT INTO public.who_import VALUES (23468, '2020-08-17', 'DK', 'Denmark', 'EURO', '134', '15617', '0', '621');
INSERT INTO public.who_import VALUES (23469, '2020-08-18', 'DK', 'Denmark', 'EURO', '123', '15740', '0', '621');
INSERT INTO public.who_import VALUES (23470, '2020-08-19', 'DK', 'Denmark', 'EURO', '115', '15855', '0', '621');
INSERT INTO public.who_import VALUES (23471, '2020-08-20', 'DK', 'Denmark', 'EURO', '85', '15940', '0', '621');
INSERT INTO public.who_import VALUES (23472, '2020-08-21', 'DK', 'Denmark', 'EURO', '116', '16056', '0', '621');
INSERT INTO public.who_import VALUES (23473, '2020-08-22', 'DK', 'Denmark', 'EURO', '71', '16127', '0', '621');
INSERT INTO public.who_import VALUES (23474, '2020-08-23', 'DK', 'Denmark', 'EURO', '0', '16127', '0', '621');
INSERT INTO public.who_import VALUES (23475, '2020-08-24', 'DK', 'Denmark', 'EURO', '0', '16127', '0', '621');
INSERT INTO public.who_import VALUES (23476, '2020-08-25', 'DK', 'Denmark', 'EURO', '270', '16397', '2', '623');
INSERT INTO public.who_import VALUES (23477, '2020-08-26', 'DK', 'Denmark', 'EURO', '83', '16480', '0', '623');
INSERT INTO public.who_import VALUES (23478, '2020-08-27', 'DK', 'Denmark', 'EURO', '57', '16537', '0', '623');
INSERT INTO public.who_import VALUES (23479, '2020-08-28', 'DK', 'Denmark', 'EURO', '90', '16627', '1', '624');
INSERT INTO public.who_import VALUES (23480, '2020-08-29', 'DK', 'Denmark', 'EURO', '73', '16700', '0', '624');
INSERT INTO public.who_import VALUES (23481, '2020-08-30', 'DK', 'Denmark', 'EURO', '0', '16700', '0', '624');
INSERT INTO public.who_import VALUES (23482, '2020-08-31', 'DK', 'Denmark', 'EURO', '0', '16700', '0', '624');
INSERT INTO public.who_import VALUES (23483, '2020-09-01', 'DK', 'Denmark', 'EURO', '285', '16985', '0', '624');
INSERT INTO public.who_import VALUES (23484, '2020-09-02', 'DK', 'Denmark', 'EURO', '99', '17084', '1', '625');
INSERT INTO public.who_import VALUES (23485, '2020-09-03', 'DK', 'Denmark', 'EURO', '111', '17195', '1', '626');
INSERT INTO public.who_import VALUES (23486, '2020-09-04', 'DK', 'Denmark', 'EURO', '179', '17374', '0', '626');
INSERT INTO public.who_import VALUES (23487, '2020-09-05', 'DK', 'Denmark', 'EURO', '173', '17547', '1', '627');
INSERT INTO public.who_import VALUES (23488, '2020-09-06', 'DK', 'Denmark', 'EURO', '0', '17547', '0', '627');
INSERT INTO public.who_import VALUES (23489, '2020-09-07', 'DK', 'Denmark', 'EURO', '0', '17547', '0', '627');
INSERT INTO public.who_import VALUES (23490, '2020-09-08', 'DK', 'Denmark', 'EURO', '566', '18113', '1', '628');
INSERT INTO public.who_import VALUES (23491, '2020-09-09', 'DK', 'Denmark', 'EURO', '243', '18356', '0', '628');
INSERT INTO public.who_import VALUES (23492, '2020-09-10', 'DK', 'Denmark', 'EURO', '251', '18607', '0', '628');
INSERT INTO public.who_import VALUES (23493, '2020-09-11', 'DK', 'Denmark', 'EURO', '317', '18924', '1', '629');
INSERT INTO public.who_import VALUES (23494, '2020-09-12', 'DK', 'Denmark', 'EURO', '292', '19216', '0', '629');
INSERT INTO public.who_import VALUES (23495, '2020-09-13', 'DK', 'Denmark', 'EURO', '0', '19216', '0', '629');
INSERT INTO public.who_import VALUES (23496, '2020-09-14', 'DK', 'Denmark', 'EURO', '0', '19216', '0', '629');
INSERT INTO public.who_import VALUES (23497, '2020-09-15', 'DK', 'Denmark', 'EURO', '584', '19800', '4', '633');
INSERT INTO public.who_import VALUES (23498, '2020-09-16', 'DK', 'Denmark', 'EURO', '329', '20129', '0', '633');
INSERT INTO public.who_import VALUES (23499, '2020-09-17', 'DK', 'Denmark', 'EURO', '442', '20571', '0', '633');
INSERT INTO public.who_import VALUES (23500, '2020-09-18', 'DK', 'Denmark', 'EURO', '822', '21393', '2', '635');
INSERT INTO public.who_import VALUES (23501, '2020-09-19', 'DK', 'Denmark', 'EURO', '454', '21847', '0', '635');
INSERT INTO public.who_import VALUES (23502, '2020-09-20', 'DK', 'Denmark', 'EURO', '0', '21847', '0', '635');
INSERT INTO public.who_import VALUES (23503, '2020-09-21', 'DK', 'Denmark', 'EURO', '0', '21847', '0', '635');
INSERT INTO public.who_import VALUES (23504, '2020-09-22', 'DK', 'Denmark', 'EURO', '1476', '23323', '5', '640');
INSERT INTO public.who_import VALUES (23505, '2020-09-23', 'DK', 'Denmark', 'EURO', '476', '23799', '1', '641');
INSERT INTO public.who_import VALUES (23506, '2020-09-24', 'DK', 'Denmark', 'EURO', '558', '24357', '2', '643');
INSERT INTO public.who_import VALUES (23507, '2020-09-25', 'DK', 'Denmark', 'EURO', '559', '24916', '2', '645');
INSERT INTO public.who_import VALUES (23508, '2020-09-26', 'DK', 'Denmark', 'EURO', '678', '25594', '2', '647');
INSERT INTO public.who_import VALUES (23509, '2020-09-27', 'DK', 'Denmark', 'EURO', '619', '26213', '1', '648');
INSERT INTO public.who_import VALUES (23510, '2020-09-28', 'DK', 'Denmark', 'EURO', '424', '26637', '1', '649');
INSERT INTO public.who_import VALUES (23511, '2020-09-29', 'DK', 'Denmark', 'EURO', '435', '27072', '0', '649');
INSERT INTO public.who_import VALUES (23512, '2020-09-30', 'DK', 'Denmark', 'EURO', '392', '27464', '1', '650');
INSERT INTO public.who_import VALUES (23513, '2020-10-01', 'DK', 'Denmark', 'EURO', '534', '27998', '0', '650');
INSERT INTO public.who_import VALUES (23514, '2020-10-02', 'DK', 'Denmark', 'EURO', '398', '28396', '1', '651');
INSERT INTO public.who_import VALUES (23515, '2020-10-03', 'DK', 'Denmark', 'EURO', '536', '28932', '1', '652');
INSERT INTO public.who_import VALUES (23516, '2020-10-04', 'DK', 'Denmark', 'EURO', '370', '29302', '2', '654');
INSERT INTO public.who_import VALUES (23517, '2020-10-05', 'DK', 'Denmark', 'EURO', '378', '29680', '4', '658');
INSERT INTO public.who_import VALUES (23518, '2020-10-06', 'DK', 'Denmark', 'EURO', '377', '30057', '1', '659');
INSERT INTO public.who_import VALUES (23519, '2020-10-07', 'DK', 'Denmark', 'EURO', '322', '30379', '4', '663');
INSERT INTO public.who_import VALUES (23520, '2020-10-08', 'DK', 'Denmark', 'EURO', '331', '30710', '0', '663');
INSERT INTO public.who_import VALUES (23521, '2020-10-09', 'DK', 'Denmark', 'EURO', '446', '31156', '2', '665');
INSERT INTO public.who_import VALUES (23522, '2020-10-10', 'DK', 'Denmark', 'EURO', '482', '31638', '0', '665');
INSERT INTO public.who_import VALUES (23523, '2020-10-11', 'DK', 'Denmark', 'EURO', '444', '32082', '2', '667');
INSERT INTO public.who_import VALUES (23524, '2020-10-12', 'DK', 'Denmark', 'EURO', '340', '32422', '2', '669');
INSERT INTO public.who_import VALUES (23525, '2020-10-13', 'DK', 'Denmark', 'EURO', '389', '32811', '2', '671');
INSERT INTO public.who_import VALUES (23526, '2020-10-14', 'DK', 'Denmark', 'EURO', '290', '33101', '3', '674');
INSERT INTO public.who_import VALUES (23527, '2020-10-15', 'DK', 'Denmark', 'EURO', '492', '33593', '1', '675');
INSERT INTO public.who_import VALUES (23528, '2020-10-16', 'DK', 'Denmark', 'EURO', '430', '34023', '2', '677');
INSERT INTO public.who_import VALUES (23529, '2020-10-17', 'DK', 'Denmark', 'EURO', '418', '34441', '0', '677');
INSERT INTO public.who_import VALUES (23530, '2020-10-18', 'DK', 'Denmark', 'EURO', '500', '34941', '2', '679');
INSERT INTO public.who_import VALUES (23531, '2020-10-19', 'DK', 'Denmark', 'EURO', '451', '35392', '1', '680');
INSERT INTO public.who_import VALUES (23532, '2020-10-20', 'DK', 'Denmark', 'EURO', '452', '35844', '6', '686');
INSERT INTO public.who_import VALUES (23533, '2020-10-21', 'DK', 'Denmark', 'EURO', '529', '36373', '2', '688');
INSERT INTO public.who_import VALUES (23534, '2020-10-22', 'DK', 'Denmark', 'EURO', '630', '37003', '2', '690');
INSERT INTO public.who_import VALUES (23535, '2020-10-23', 'DK', 'Denmark', 'EURO', '760', '37763', '4', '694');
INSERT INTO public.who_import VALUES (23536, '2020-10-24', 'DK', 'Denmark', 'EURO', '859', '38622', '3', '697');
INSERT INTO public.who_import VALUES (23537, '2020-10-25', 'DK', 'Denmark', 'EURO', '789', '39411', '3', '700');
INSERT INTO public.who_import VALUES (23538, '2020-10-26', 'DK', 'Denmark', 'EURO', '945', '40356', '2', '702');
INSERT INTO public.who_import VALUES (23539, '2020-10-27', 'DK', 'Denmark', 'EURO', '1056', '41412', '6', '708');
INSERT INTO public.who_import VALUES (23540, '2020-10-28', 'DK', 'Denmark', 'EURO', '745', '42157', '1', '709');
INSERT INTO public.who_import VALUES (23541, '2020-10-29', 'DK', 'Denmark', 'EURO', '1017', '43174', '6', '715');
INSERT INTO public.who_import VALUES (23542, '2020-10-30', 'DK', 'Denmark', 'EURO', '860', '44034', '1', '716');
INSERT INTO public.who_import VALUES (23543, '2020-10-31', 'DK', 'Denmark', 'EURO', '1191', '45225', '3', '719');
INSERT INTO public.who_import VALUES (23544, '2020-11-01', 'DK', 'Denmark', 'EURO', '1126', '46351', '2', '721');
INSERT INTO public.who_import VALUES (23545, '2020-11-02', 'DK', 'Denmark', 'EURO', '948', '47299', '2', '723');
INSERT INTO public.who_import VALUES (23546, '2020-11-03', 'DK', 'Denmark', 'EURO', '942', '48241', '1', '724');
INSERT INTO public.who_import VALUES (23547, '2020-11-04', 'DK', 'Denmark', 'EURO', '1353', '49594', '4', '728');
INSERT INTO public.who_import VALUES (23548, '2020-11-05', 'DK', 'Denmark', 'EURO', '936', '50530', '1', '729');
INSERT INTO public.who_import VALUES (23549, '2020-11-06', 'DK', 'Denmark', 'EURO', '1223', '51753', '4', '733');
INSERT INTO public.who_import VALUES (23550, '2020-11-07', 'DK', 'Denmark', 'EURO', '1427', '53180', '5', '738');
INSERT INTO public.who_import VALUES (23551, '2020-11-08', 'DK', 'Denmark', 'EURO', '1050', '54230', '2', '740');
INSERT INTO public.who_import VALUES (23552, '2020-11-09', 'DK', 'Denmark', 'EURO', '891', '55121', '3', '743');
INSERT INTO public.who_import VALUES (23553, '2020-11-10', 'DK', 'Denmark', 'EURO', '771', '55892', '4', '747');
INSERT INTO public.who_import VALUES (23554, '2020-11-11', 'DK', 'Denmark', 'EURO', '1066', '56958', '3', '750');
INSERT INTO public.who_import VALUES (23555, '2020-11-12', 'DK', 'Denmark', 'EURO', '994', '57952', '3', '753');
INSERT INTO public.who_import VALUES (23556, '2020-11-13', 'DK', 'Denmark', 'EURO', '1011', '58963', '2', '755');
INSERT INTO public.who_import VALUES (23557, '2020-11-14', 'DK', 'Denmark', 'EURO', '1037', '60000', '1', '756');
INSERT INTO public.who_import VALUES (23558, '2020-11-15', 'DK', 'Denmark', 'EURO', '1078', '61078', '1', '757');
INSERT INTO public.who_import VALUES (23559, '2020-11-16', 'DK', 'Denmark', 'EURO', '1058', '62136', '3', '760');
INSERT INTO public.who_import VALUES (23560, '2020-11-17', 'DK', 'Denmark', 'EURO', '1195', '63331', '4', '764');
INSERT INTO public.who_import VALUES (23561, '2020-11-18', 'DK', 'Denmark', 'EURO', '1220', '64551', '4', '768');
INSERT INTO public.who_import VALUES (23562, '2020-11-19', 'DK', 'Denmark', 'EURO', '1257', '65808', '2', '770');
INSERT INTO public.who_import VALUES (23563, '2020-11-20', 'DK', 'Denmark', 'EURO', '1297', '67105', '3', '773');
INSERT INTO public.who_import VALUES (23564, '2020-11-21', 'DK', 'Denmark', 'EURO', '1257', '68362', '5', '778');
INSERT INTO public.who_import VALUES (23565, '2020-11-22', 'DK', 'Denmark', 'EURO', '1273', '69635', '3', '781');
INSERT INTO public.who_import VALUES (23566, '2020-11-23', 'DK', 'Denmark', 'EURO', '850', '70485', '3', '784');
INSERT INTO public.who_import VALUES (23567, '2020-11-24', 'DK', 'Denmark', 'EURO', '1169', '71654', '5', '789');
INSERT INTO public.who_import VALUES (23568, '2020-11-25', 'DK', 'Denmark', 'EURO', '1367', '73021', '8', '797');
INSERT INTO public.who_import VALUES (23569, '2020-11-26', 'DK', 'Denmark', 'EURO', '1183', '74204', '5', '802');
INSERT INTO public.who_import VALUES (23570, '2020-11-27', 'DK', 'Denmark', 'EURO', '1191', '75395', '9', '811');
INSERT INTO public.who_import VALUES (23571, '2020-11-28', 'DK', 'Denmark', 'EURO', '1323', '76718', '5', '816');
INSERT INTO public.who_import VALUES (23572, '2020-11-29', 'DK', 'Denmark', 'EURO', '1636', '78354', '7', '823');
INSERT INTO public.who_import VALUES (23573, '2020-11-30', 'DK', 'Denmark', 'EURO', '998', '79352', '6', '829');
INSERT INTO public.who_import VALUES (23574, '2020-12-01', 'DK', 'Denmark', 'EURO', '1129', '80481', '8', '837');
INSERT INTO public.who_import VALUES (23575, '2020-12-02', 'DK', 'Denmark', 'EURO', '1468', '81949', '9', '846');
INSERT INTO public.who_import VALUES (23576, '2020-12-03', 'DK', 'Denmark', 'EURO', '1586', '83535', '6', '852');
INSERT INTO public.who_import VALUES (23577, '2020-12-04', 'DK', 'Denmark', 'EURO', '1605', '85140', '6', '858');
INSERT INTO public.who_import VALUES (23578, '2020-12-05', 'DK', 'Denmark', 'EURO', '1603', '86743', '9', '867');
INSERT INTO public.who_import VALUES (23579, '2020-12-06', 'DK', 'Denmark', 'EURO', '2115', '88858', '11', '878');
INSERT INTO public.who_import VALUES (23580, '2020-12-07', 'DK', 'Denmark', 'EURO', '1745', '90603', '7', '885');
INSERT INTO public.who_import VALUES (23581, '2020-12-08', 'DK', 'Denmark', 'EURO', '2046', '92649', '9', '894');
INSERT INTO public.who_import VALUES (23582, '2020-12-09', 'DK', 'Denmark', 'EURO', '2150', '94799', '7', '901');
INSERT INTO public.who_import VALUES (23583, '2020-12-10', 'DK', 'Denmark', 'EURO', '2558', '97357', '3', '904');
INSERT INTO public.who_import VALUES (23584, '2020-12-11', 'DK', 'Denmark', 'EURO', '3132', '100489', '14', '918');
INSERT INTO public.who_import VALUES (23585, '2020-12-12', 'DK', 'Denmark', 'EURO', '3075', '103564', '9', '927');
INSERT INTO public.who_import VALUES (23586, '2020-12-13', 'DK', 'Denmark', 'EURO', '3552', '107116', '8', '935');
INSERT INTO public.who_import VALUES (23587, '2020-12-14', 'DK', 'Denmark', 'EURO', '2642', '109758', '6', '941');
INSERT INTO public.who_import VALUES (23588, '2020-12-15', 'DK', 'Denmark', 'EURO', '3337', '113095', '9', '950');
INSERT INTO public.who_import VALUES (23589, '2020-12-16', 'DK', 'Denmark', 'EURO', '2992', '116087', '11', '961');
INSERT INTO public.who_import VALUES (23590, '2020-12-17', 'DK', 'Denmark', 'EURO', '3692', '119779', '14', '975');
INSERT INTO public.who_import VALUES (23591, '2020-12-18', 'DK', 'Denmark', 'EURO', '4034', '123813', '17', '992');
INSERT INTO public.who_import VALUES (23592, '2020-12-19', 'DK', 'Denmark', 'EURO', '4508', '128321', '15', '1007');
INSERT INTO public.who_import VALUES (23593, '2020-12-20', 'DK', 'Denmark', 'EURO', '3285', '131606', '12', '1019');
INSERT INTO public.who_import VALUES (23594, '2020-12-21', 'DK', 'Denmark', 'EURO', '2828', '134434', '16', '1035');
INSERT INTO public.who_import VALUES (23595, '2020-12-22', 'DK', 'Denmark', 'EURO', '3198', '137632', '18', '1053');
INSERT INTO public.who_import VALUES (23596, '2020-12-23', 'DK', 'Denmark', 'EURO', '2543', '140175', '17', '1070');
INSERT INTO public.who_import VALUES (23597, '2020-12-24', 'DK', 'Denmark', 'EURO', '3297', '143472', '26', '1096');
INSERT INTO public.who_import VALUES (23598, '2020-12-25', 'DK', 'Denmark', 'EURO', '2869', '146341', '18', '1114');
INSERT INTO public.who_import VALUES (23599, '2020-12-26', 'DK', 'Denmark', 'EURO', '2992', '149333', '20', '1134');
INSERT INTO public.who_import VALUES (23600, '2020-12-27', 'DK', 'Denmark', 'EURO', '1834', '151167', '19', '1153');
INSERT INTO public.who_import VALUES (23601, '2020-12-28', 'DK', 'Denmark', 'EURO', '2180', '153347', '21', '1174');
INSERT INTO public.who_import VALUES (23602, '2020-12-29', 'DK', 'Denmark', 'EURO', '2479', '155826', '30', '1204');
INSERT INTO public.who_import VALUES (23603, '2020-12-30', 'DK', 'Denmark', 'EURO', '2621', '158447', '22', '1226');
INSERT INTO public.who_import VALUES (23604, '2020-12-31', 'DK', 'Denmark', 'EURO', '2783', '161230', '30', '1256');
INSERT INTO public.who_import VALUES (23605, '2021-01-01', 'DK', 'Denmark', 'EURO', '2249', '163479', '42', '1298');
INSERT INTO public.who_import VALUES (23606, '2021-01-02', 'DK', 'Denmark', 'EURO', '2451', '165930', '24', '1322');
INSERT INTO public.who_import VALUES (23607, '2021-01-03', 'DK', 'Denmark', 'EURO', '1611', '167541', '23', '1345');
INSERT INTO public.who_import VALUES (23608, '2021-01-04', 'DK', 'Denmark', 'EURO', '1170', '168711', '29', '1374');
INSERT INTO public.who_import VALUES (23609, '2021-01-05', 'DK', 'Denmark', 'EURO', '2076', '170787', '15', '1389');
INSERT INTO public.who_import VALUES (23610, '2021-01-06', 'DK', 'Denmark', 'EURO', '1992', '172779', '31', '1420');
INSERT INTO public.who_import VALUES (23611, '2021-01-07', 'DK', 'Denmark', 'EURO', '2216', '174995', '30', '1450');
INSERT INTO public.who_import VALUES (23612, '2021-01-08', 'DK', 'Denmark', 'EURO', '1842', '176837', '37', '1487');
INSERT INTO public.who_import VALUES (23613, '2021-01-09', 'DK', 'Denmark', 'EURO', '1660', '178497', '30', '1517');
INSERT INTO public.who_import VALUES (23614, '2021-01-10', 'DK', 'Denmark', 'EURO', '1743', '180240', '25', '1542');
INSERT INTO public.who_import VALUES (23615, '2021-01-11', 'DK', 'Denmark', 'EURO', '1246', '181486', '28', '1570');
INSERT INTO public.who_import VALUES (23616, '2021-01-12', 'DK', 'Denmark', 'EURO', '1239', '182725', '27', '1597');
INSERT INTO public.who_import VALUES (23617, '2021-01-13', 'DK', 'Denmark', 'EURO', '1076', '183801', '26', '1623');
INSERT INTO public.who_import VALUES (23618, '2021-01-14', 'DK', 'Denmark', 'EURO', '1358', '185159', '37', '1660');
INSERT INTO public.who_import VALUES (23619, '2021-01-15', 'DK', 'Denmark', 'EURO', '1502', '186661', '43', '1703');
INSERT INTO public.who_import VALUES (23620, '2021-01-16', 'DK', 'Denmark', 'EURO', '659', '187320', '17', '1720');
INSERT INTO public.who_import VALUES (23621, '2021-01-17', 'DK', 'Denmark', 'EURO', '879', '188199', '27', '1747');
INSERT INTO public.who_import VALUES (23622, '2021-01-18', 'DK', 'Denmark', 'EURO', '889', '189088', '28', '1775');
INSERT INTO public.who_import VALUES (23623, '2021-01-19', 'DK', 'Denmark', 'EURO', '807', '189895', '30', '1805');
INSERT INTO public.who_import VALUES (23624, '2021-01-20', 'DK', 'Denmark', 'EURO', '724', '190619', '32', '1837');
INSERT INTO public.who_import VALUES (23625, '2021-01-21', 'DK', 'Denmark', 'EURO', '886', '191505', '35', '1872');
INSERT INTO public.who_import VALUES (23626, '2021-01-22', 'DK', 'Denmark', 'EURO', '760', '192265', '37', '1909');
INSERT INTO public.who_import VALUES (23627, '2021-01-23', 'DK', 'Denmark', 'EURO', '773', '193038', '32', '1941');
INSERT INTO public.who_import VALUES (23628, '2021-01-24', 'DK', 'Denmark', 'EURO', '879', '193917', '28', '1969');
INSERT INTO public.who_import VALUES (23629, '2021-01-25', 'DK', 'Denmark', 'EURO', '754', '194671', '14', '1983');
INSERT INTO public.who_import VALUES (23630, '2021-01-26', 'DK', 'Denmark', 'EURO', '625', '195296', '27', '2010');
INSERT INTO public.who_import VALUES (23631, '2021-01-27', 'DK', 'Denmark', 'EURO', '652', '195948', '20', '2030');
INSERT INTO public.who_import VALUES (23632, '2021-01-28', 'DK', 'Denmark', 'EURO', '592', '196540', '20', '2050');
INSERT INTO public.who_import VALUES (23633, '2021-01-29', 'DK', 'Denmark', 'EURO', '668', '197208', '21', '2071');
INSERT INTO public.who_import VALUES (23634, '2021-01-30', 'DK', 'Denmark', 'EURO', '456', '197664', '13', '2084');
INSERT INTO public.who_import VALUES (23635, '2021-01-31', 'DK', 'Denmark', 'EURO', '431', '198095', '22', '2106');
INSERT INTO public.who_import VALUES (23636, '2021-02-01', 'DK', 'Denmark', 'EURO', '377', '198472', '19', '2125');
INSERT INTO public.who_import VALUES (23637, '2021-02-02', 'DK', 'Denmark', 'EURO', '488', '198960', '20', '2145');
INSERT INTO public.who_import VALUES (23638, '2021-02-03', 'DK', 'Denmark', 'EURO', '397', '199357', '15', '2160');
INSERT INTO public.who_import VALUES (23639, '2021-02-04', 'DK', 'Denmark', 'EURO', '425', '199782', '10', '2170');
INSERT INTO public.who_import VALUES (23640, '2021-02-05', 'DK', 'Denmark', 'EURO', '553', '200335', '14', '2184');
INSERT INTO public.who_import VALUES (23641, '2021-02-06', 'DK', 'Denmark', 'EURO', '438', '200773', '17', '2201');
INSERT INTO public.who_import VALUES (23642, '2021-02-07', 'DK', 'Denmark', 'EURO', '413', '201186', '14', '2215');
INSERT INTO public.who_import VALUES (23643, '2021-02-08', 'DK', 'Denmark', 'EURO', '435', '201621', '1', '2216');
INSERT INTO public.who_import VALUES (23644, '2021-02-09', 'DK', 'Denmark', 'EURO', '430', '202051', '0', '2216');
INSERT INTO public.who_import VALUES (23645, '2021-02-10', 'DK', 'Denmark', 'EURO', '366', '202417', '28', '2244');
INSERT INTO public.who_import VALUES (23646, '2021-02-11', 'DK', 'Denmark', 'EURO', '470', '202887', '11', '2255');
INSERT INTO public.who_import VALUES (23647, '2021-02-12', 'DK', 'Denmark', 'EURO', '478', '203365', '14', '2269');
INSERT INTO public.who_import VALUES (23648, '2021-02-13', 'DK', 'Denmark', 'EURO', '428', '203793', '11', '2280');
INSERT INTO public.who_import VALUES (23649, '2021-02-14', 'DK', 'Denmark', 'EURO', '274', '204067', '4', '2284');
INSERT INTO public.who_import VALUES (23650, '2021-02-15', 'DK', 'Denmark', 'EURO', '295', '204362', '8', '2292');
INSERT INTO public.who_import VALUES (23651, '2021-02-16', 'DK', 'Denmark', 'EURO', '437', '204799', '9', '2301');
INSERT INTO public.who_import VALUES (23652, '2021-02-17', 'DK', 'Denmark', 'EURO', '384', '205183', '7', '2308');
INSERT INTO public.who_import VALUES (23653, '2021-02-18', 'DK', 'Denmark', 'EURO', '414', '205597', '8', '2316');
INSERT INTO public.who_import VALUES (23654, '2021-02-19', 'DK', 'Denmark', 'EURO', '468', '206065', '3', '2319');
INSERT INTO public.who_import VALUES (23655, '2021-02-20', 'DK', 'Denmark', 'EURO', '552', '206617', '8', '2327');
INSERT INTO public.who_import VALUES (23656, '2020-01-03', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23657, '2020-01-04', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23658, '2020-01-05', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23659, '2020-01-06', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23660, '2020-01-07', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23661, '2020-01-08', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23662, '2020-01-09', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23663, '2020-01-10', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23664, '2020-01-11', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23665, '2020-01-12', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23666, '2020-01-13', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23667, '2020-01-14', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23668, '2020-01-15', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23669, '2020-01-16', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23670, '2020-01-17', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23671, '2020-01-18', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23672, '2020-01-19', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23673, '2020-01-20', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23674, '2020-01-21', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23675, '2020-01-22', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23676, '2020-01-23', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23677, '2020-01-24', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23678, '2020-01-25', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23679, '2020-01-26', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23680, '2020-01-27', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23681, '2020-01-28', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23682, '2020-01-29', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23683, '2020-01-30', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23684, '2020-01-31', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23685, '2020-02-01', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23686, '2020-02-02', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23687, '2020-02-03', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23688, '2020-02-04', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23689, '2020-02-05', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23690, '2020-02-06', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23691, '2020-02-07', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23692, '2020-02-08', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23693, '2020-02-09', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23694, '2020-02-10', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23695, '2020-02-11', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23696, '2020-02-12', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23697, '2020-02-13', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23698, '2020-02-14', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23699, '2020-02-15', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23700, '2020-02-16', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23701, '2020-02-17', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23702, '2020-02-18', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23703, '2020-02-19', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23704, '2020-02-20', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23705, '2020-02-21', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23706, '2020-02-22', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23707, '2020-02-23', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23708, '2020-02-24', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23709, '2020-02-25', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23710, '2020-02-26', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23711, '2020-02-27', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23712, '2020-02-28', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23713, '2020-02-29', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23714, '2020-03-01', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23715, '2020-03-02', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23716, '2020-03-03', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23717, '2020-03-04', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23718, '2020-03-05', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23719, '2020-03-06', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23720, '2020-03-07', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23721, '2020-03-08', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23722, '2020-03-09', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23723, '2020-03-10', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23724, '2020-03-11', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23725, '2020-03-12', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23726, '2020-03-13', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23727, '2020-03-14', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23728, '2020-03-15', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23729, '2020-03-16', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23730, '2020-03-17', 'DJ', 'Djibouti', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (23731, '2020-03-18', 'DJ', 'Djibouti', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (23732, '2020-03-19', 'DJ', 'Djibouti', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (23733, '2020-03-20', 'DJ', 'Djibouti', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (23734, '2020-03-21', 'DJ', 'Djibouti', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (23735, '2020-03-22', 'DJ', 'Djibouti', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (23736, '2020-03-23', 'DJ', 'Djibouti', 'EMRO', '-2', '3', '0', '0');
INSERT INTO public.who_import VALUES (23737, '2020-03-24', 'DJ', 'Djibouti', 'EMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (23738, '2020-03-25', 'DJ', 'Djibouti', 'EMRO', '9', '12', '0', '0');
INSERT INTO public.who_import VALUES (23739, '2020-03-26', 'DJ', 'Djibouti', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (23740, '2020-03-27', 'DJ', 'Djibouti', 'EMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (23741, '2020-03-28', 'DJ', 'Djibouti', 'EMRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (23742, '2020-03-29', 'DJ', 'Djibouti', 'EMRO', '4', '19', '0', '0');
INSERT INTO public.who_import VALUES (23743, '2020-03-30', 'DJ', 'Djibouti', 'EMRO', '7', '26', '0', '0');
INSERT INTO public.who_import VALUES (23744, '2020-03-31', 'DJ', 'Djibouti', 'EMRO', '5', '31', '0', '0');
INSERT INTO public.who_import VALUES (23745, '2020-04-01', 'DJ', 'Djibouti', 'EMRO', '3', '34', '0', '0');
INSERT INTO public.who_import VALUES (23746, '2020-04-02', 'DJ', 'Djibouti', 'EMRO', '7', '41', '0', '0');
INSERT INTO public.who_import VALUES (23747, '2020-04-03', 'DJ', 'Djibouti', 'EMRO', '9', '50', '0', '0');
INSERT INTO public.who_import VALUES (23748, '2020-04-04', 'DJ', 'Djibouti', 'EMRO', '1', '51', '0', '0');
INSERT INTO public.who_import VALUES (23749, '2020-04-05', 'DJ', 'Djibouti', 'EMRO', '8', '59', '0', '0');
INSERT INTO public.who_import VALUES (23750, '2020-04-06', 'DJ', 'Djibouti', 'EMRO', '31', '90', '0', '0');
INSERT INTO public.who_import VALUES (23751, '2020-04-07', 'DJ', 'Djibouti', 'EMRO', '31', '121', '0', '0');
INSERT INTO public.who_import VALUES (23752, '2020-04-08', 'DJ', 'Djibouti', 'EMRO', '14', '135', '0', '0');
INSERT INTO public.who_import VALUES (23753, '2020-04-09', 'DJ', 'Djibouti', 'EMRO', '5', '140', '1', '1');
INSERT INTO public.who_import VALUES (23754, '2020-04-10', 'DJ', 'Djibouti', 'EMRO', '10', '150', '0', '1');
INSERT INTO public.who_import VALUES (23755, '2020-04-11', 'DJ', 'Djibouti', 'EMRO', '37', '187', '1', '2');
INSERT INTO public.who_import VALUES (23756, '2020-04-12', 'DJ', 'Djibouti', 'EMRO', '28', '215', '0', '2');
INSERT INTO public.who_import VALUES (23757, '2020-04-13', 'DJ', 'Djibouti', 'EMRO', '83', '298', '0', '2');
INSERT INTO public.who_import VALUES (23758, '2020-04-14', 'DJ', 'Djibouti', 'EMRO', '65', '363', '0', '2');
INSERT INTO public.who_import VALUES (23759, '2020-04-15', 'DJ', 'Djibouti', 'EMRO', '72', '435', '0', '2');
INSERT INTO public.who_import VALUES (23760, '2020-04-16', 'DJ', 'Djibouti', 'EMRO', '156', '591', '0', '2');
INSERT INTO public.who_import VALUES (23761, '2020-04-17', 'DJ', 'Djibouti', 'EMRO', '141', '732', '0', '2');
INSERT INTO public.who_import VALUES (23762, '2020-04-18', 'DJ', 'Djibouti', 'EMRO', '0', '732', '0', '2');
INSERT INTO public.who_import VALUES (23763, '2020-04-19', 'DJ', 'Djibouti', 'EMRO', '0', '732', '0', '2');
INSERT INTO public.who_import VALUES (23764, '2020-04-20', 'DJ', 'Djibouti', 'EMRO', '114', '846', '0', '2');
INSERT INTO public.who_import VALUES (23765, '2020-04-21', 'DJ', 'Djibouti', 'EMRO', '99', '945', '0', '2');
INSERT INTO public.who_import VALUES (23766, '2020-04-22', 'DJ', 'Djibouti', 'EMRO', '29', '974', '0', '2');
INSERT INTO public.who_import VALUES (23767, '2020-04-23', 'DJ', 'Djibouti', 'EMRO', '12', '986', '0', '2');
INSERT INTO public.who_import VALUES (23768, '2020-04-24', 'DJ', 'Djibouti', 'EMRO', '13', '999', '0', '2');
INSERT INTO public.who_import VALUES (23769, '2020-04-25', 'DJ', 'Djibouti', 'EMRO', '9', '1008', '0', '2');
INSERT INTO public.who_import VALUES (23770, '2020-04-26', 'DJ', 'Djibouti', 'EMRO', '15', '1023', '0', '2');
INSERT INTO public.who_import VALUES (23771, '2020-04-27', 'DJ', 'Djibouti', 'EMRO', '12', '1035', '0', '2');
INSERT INTO public.who_import VALUES (23772, '2020-04-28', 'DJ', 'Djibouti', 'EMRO', '37', '1072', '0', '2');
INSERT INTO public.who_import VALUES (23773, '2020-04-29', 'DJ', 'Djibouti', 'EMRO', '5', '1077', '0', '2');
INSERT INTO public.who_import VALUES (23774, '2020-04-30', 'DJ', 'Djibouti', 'EMRO', '12', '1089', '0', '2');
INSERT INTO public.who_import VALUES (23775, '2020-05-01', 'DJ', 'Djibouti', 'EMRO', '8', '1097', '0', '2');
INSERT INTO public.who_import VALUES (23776, '2020-05-02', 'DJ', 'Djibouti', 'EMRO', '15', '1112', '0', '2');
INSERT INTO public.who_import VALUES (23777, '2020-05-03', 'DJ', 'Djibouti', 'EMRO', '0', '1112', '0', '2');
INSERT INTO public.who_import VALUES (23778, '2020-05-04', 'DJ', 'Djibouti', 'EMRO', '0', '1112', '0', '2');
INSERT INTO public.who_import VALUES (23779, '2020-05-05', 'DJ', 'Djibouti', 'EMRO', '8', '1120', '0', '2');
INSERT INTO public.who_import VALUES (23780, '2020-05-06', 'DJ', 'Djibouti', 'EMRO', '0', '1120', '0', '2');
INSERT INTO public.who_import VALUES (23781, '2020-05-07', 'DJ', 'Djibouti', 'EMRO', '13', '1133', '1', '3');
INSERT INTO public.who_import VALUES (23782, '2020-05-08', 'DJ', 'Djibouti', 'EMRO', '2', '1135', '0', '3');
INSERT INTO public.who_import VALUES (23783, '2020-05-09', 'DJ', 'Djibouti', 'EMRO', '54', '1189', '0', '3');
INSERT INTO public.who_import VALUES (23784, '2020-05-10', 'DJ', 'Djibouti', 'EMRO', '0', '1189', '0', '3');
INSERT INTO public.who_import VALUES (23785, '2020-05-11', 'DJ', 'Djibouti', 'EMRO', '21', '1210', '0', '3');
INSERT INTO public.who_import VALUES (23786, '2020-05-12', 'DJ', 'Djibouti', 'EMRO', '46', '1256', '0', '3');
INSERT INTO public.who_import VALUES (23787, '2020-05-13', 'DJ', 'Djibouti', 'EMRO', '12', '1268', '0', '3');
INSERT INTO public.who_import VALUES (23788, '2020-05-14', 'DJ', 'Djibouti', 'EMRO', '0', '1268', '0', '3');
INSERT INTO public.who_import VALUES (23789, '2020-05-15', 'DJ', 'Djibouti', 'EMRO', '41', '1309', '1', '4');
INSERT INTO public.who_import VALUES (23790, '2020-05-16', 'DJ', 'Djibouti', 'EMRO', '22', '1331', '0', '4');
INSERT INTO public.who_import VALUES (23791, '2020-05-17', 'DJ', 'Djibouti', 'EMRO', '70', '1401', '0', '4');
INSERT INTO public.who_import VALUES (23792, '2020-05-18', 'DJ', 'Djibouti', 'EMRO', '117', '1518', '3', '7');
INSERT INTO public.who_import VALUES (23793, '2020-05-19', 'DJ', 'Djibouti', 'EMRO', '100', '1618', '0', '7');
INSERT INTO public.who_import VALUES (23794, '2020-05-20', 'DJ', 'Djibouti', 'EMRO', '210', '1828', '2', '9');
INSERT INTO public.who_import VALUES (23795, '2020-05-21', 'DJ', 'Djibouti', 'EMRO', '219', '2047', '1', '10');
INSERT INTO public.who_import VALUES (23796, '2020-05-22', 'DJ', 'Djibouti', 'EMRO', '0', '2047', '0', '10');
INSERT INTO public.who_import VALUES (23797, '2020-05-23', 'DJ', 'Djibouti', 'EMRO', '223', '2270', '0', '10');
INSERT INTO public.who_import VALUES (23798, '2020-05-24', 'DJ', 'Djibouti', 'EMRO', '0', '2270', '0', '10');
INSERT INTO public.who_import VALUES (23799, '2020-05-25', 'DJ', 'Djibouti', 'EMRO', '0', '2270', '0', '10');
INSERT INTO public.who_import VALUES (23800, '2020-05-26', 'DJ', 'Djibouti', 'EMRO', '198', '2468', '4', '14');
INSERT INTO public.who_import VALUES (23801, '2020-05-27', 'DJ', 'Djibouti', 'EMRO', '0', '2468', '0', '14');
INSERT INTO public.who_import VALUES (23802, '2020-05-28', 'DJ', 'Djibouti', 'EMRO', '229', '2697', '4', '18');
INSERT INTO public.who_import VALUES (23803, '2020-05-29', 'DJ', 'Djibouti', 'EMRO', '217', '2914', '2', '20');
INSERT INTO public.who_import VALUES (23804, '2020-05-30', 'DJ', 'Djibouti', 'EMRO', '0', '2914', '0', '20');
INSERT INTO public.who_import VALUES (23805, '2020-05-31', 'DJ', 'Djibouti', 'EMRO', '280', '3194', '2', '22');
INSERT INTO public.who_import VALUES (23806, '2020-06-01', 'DJ', 'Djibouti', 'EMRO', '160', '3354', '2', '24');
INSERT INTO public.who_import VALUES (23807, '2020-06-02', 'DJ', 'Djibouti', 'EMRO', '215', '3569', '0', '24');
INSERT INTO public.who_import VALUES (23808, '2020-06-03', 'DJ', 'Djibouti', 'EMRO', '210', '3779', '1', '25');
INSERT INTO public.who_import VALUES (23809, '2020-06-04', 'DJ', 'Djibouti', 'EMRO', '156', '3935', '1', '26');
INSERT INTO public.who_import VALUES (23810, '2020-06-05', 'DJ', 'Djibouti', 'EMRO', '119', '4054', '0', '26');
INSERT INTO public.who_import VALUES (23811, '2020-06-06', 'DJ', 'Djibouti', 'EMRO', '69', '4123', '0', '26');
INSERT INTO public.who_import VALUES (23812, '2020-06-07', 'DJ', 'Djibouti', 'EMRO', '46', '4169', '0', '26');
INSERT INTO public.who_import VALUES (23813, '2020-06-08', 'DJ', 'Djibouti', 'EMRO', '38', '4207', '2', '28');
INSERT INTO public.who_import VALUES (23814, '2020-06-09', 'DJ', 'Djibouti', 'EMRO', '71', '4278', '3', '31');
INSERT INTO public.who_import VALUES (23815, '2020-06-10', 'DJ', 'Djibouti', 'EMRO', '53', '4331', '3', '34');
INSERT INTO public.who_import VALUES (23816, '2020-06-11', 'DJ', 'Djibouti', 'EMRO', '42', '4373', '0', '34');
INSERT INTO public.who_import VALUES (23817, '2020-06-12', 'DJ', 'Djibouti', 'EMRO', '25', '4398', '3', '37');
INSERT INTO public.who_import VALUES (23818, '2020-06-13', 'DJ', 'Djibouti', 'EMRO', '43', '4441', '1', '38');
INSERT INTO public.who_import VALUES (23819, '2020-06-14', 'DJ', 'Djibouti', 'EMRO', '8', '4449', '3', '41');
INSERT INTO public.who_import VALUES (23820, '2020-06-15', 'DJ', 'Djibouti', 'EMRO', '16', '4465', '2', '43');
INSERT INTO public.who_import VALUES (23821, '2020-06-16', 'DJ', 'Djibouti', 'EMRO', '36', '4501', '0', '43');
INSERT INTO public.who_import VALUES (23822, '2020-06-17', 'DJ', 'Djibouti', 'EMRO', '38', '4539', '0', '43');
INSERT INTO public.who_import VALUES (23823, '2020-06-18', 'DJ', 'Djibouti', 'EMRO', '6', '4545', '0', '43');
INSERT INTO public.who_import VALUES (23824, '2020-06-19', 'DJ', 'Djibouti', 'EMRO', '12', '4557', '0', '43');
INSERT INTO public.who_import VALUES (23825, '2020-06-20', 'DJ', 'Djibouti', 'EMRO', '8', '4565', '2', '45');
INSERT INTO public.who_import VALUES (23826, '2020-06-21', 'DJ', 'Djibouti', 'EMRO', '0', '4565', '0', '45');
INSERT INTO public.who_import VALUES (23827, '2020-06-22', 'DJ', 'Djibouti', 'EMRO', '17', '4582', '0', '45');
INSERT INTO public.who_import VALUES (23828, '2020-06-23', 'DJ', 'Djibouti', 'EMRO', '17', '4599', '3', '48');
INSERT INTO public.who_import VALUES (23829, '2020-06-24', 'DJ', 'Djibouti', 'EMRO', '18', '4617', '1', '49');
INSERT INTO public.who_import VALUES (23830, '2020-06-25', 'DJ', 'Djibouti', 'EMRO', '13', '4630', '3', '52');
INSERT INTO public.who_import VALUES (23831, '2020-06-26', 'DJ', 'Djibouti', 'EMRO', '5', '4635', '0', '52');
INSERT INTO public.who_import VALUES (23832, '2020-06-27', 'DJ', 'Djibouti', 'EMRO', '8', '4643', '0', '52');
INSERT INTO public.who_import VALUES (23833, '2020-06-28', 'DJ', 'Djibouti', 'EMRO', '0', '4643', '0', '52');
INSERT INTO public.who_import VALUES (23834, '2020-06-29', 'DJ', 'Djibouti', 'EMRO', '0', '4643', '0', '52');
INSERT INTO public.who_import VALUES (23835, '2020-06-30', 'DJ', 'Djibouti', 'EMRO', '13', '4656', '1', '53');
INSERT INTO public.who_import VALUES (23836, '2020-07-01', 'DJ', 'Djibouti', 'EMRO', '26', '4682', '1', '54');
INSERT INTO public.who_import VALUES (23837, '2020-07-02', 'DJ', 'Djibouti', 'EMRO', '22', '4704', '1', '55');
INSERT INTO public.who_import VALUES (23838, '2020-07-03', 'DJ', 'Djibouti', 'EMRO', '11', '4715', '0', '55');
INSERT INTO public.who_import VALUES (23839, '2020-07-04', 'DJ', 'Djibouti', 'EMRO', '21', '4736', '0', '55');
INSERT INTO public.who_import VALUES (23840, '2020-07-05', 'DJ', 'Djibouti', 'EMRO', '0', '4736', '0', '55');
INSERT INTO public.who_import VALUES (23841, '2020-07-06', 'DJ', 'Djibouti', 'EMRO', '56', '4792', '0', '55');
INSERT INTO public.who_import VALUES (23842, '2020-07-07', 'DJ', 'Djibouti', 'EMRO', '30', '4822', '0', '55');
INSERT INTO public.who_import VALUES (23843, '2020-07-08', 'DJ', 'Djibouti', 'EMRO', '56', '4878', '0', '55');
INSERT INTO public.who_import VALUES (23844, '2020-07-09', 'DJ', 'Djibouti', 'EMRO', '11', '4889', '0', '55');
INSERT INTO public.who_import VALUES (23845, '2020-07-10', 'DJ', 'Djibouti', 'EMRO', '66', '4955', '1', '56');
INSERT INTO public.who_import VALUES (23846, '2020-07-11', 'DJ', 'Djibouti', 'EMRO', '13', '4968', '0', '56');
INSERT INTO public.who_import VALUES (23847, '2020-07-12', 'DJ', 'Djibouti', 'EMRO', '0', '4968', '0', '56');
INSERT INTO public.who_import VALUES (23848, '2020-07-13', 'DJ', 'Djibouti', 'EMRO', '4', '4972', '0', '56');
INSERT INTO public.who_import VALUES (23849, '2020-07-14', 'DJ', 'Djibouti', 'EMRO', '5', '4977', '0', '56');
INSERT INTO public.who_import VALUES (23850, '2020-07-15', 'DJ', 'Djibouti', 'EMRO', '2', '4979', '0', '56');
INSERT INTO public.who_import VALUES (23851, '2020-07-16', 'DJ', 'Djibouti', 'EMRO', '6', '4985', '0', '56');
INSERT INTO public.who_import VALUES (23852, '2020-07-17', 'DJ', 'Djibouti', 'EMRO', '8', '4993', '0', '56');
INSERT INTO public.who_import VALUES (23853, '2020-07-18', 'DJ', 'Djibouti', 'EMRO', '10', '5003', '0', '56');
INSERT INTO public.who_import VALUES (23854, '2020-07-19', 'DJ', 'Djibouti', 'EMRO', '0', '5003', '0', '56');
INSERT INTO public.who_import VALUES (23855, '2020-07-20', 'DJ', 'Djibouti', 'EMRO', '8', '5011', '0', '56');
INSERT INTO public.who_import VALUES (23856, '2020-07-21', 'DJ', 'Djibouti', 'EMRO', '9', '5020', '0', '56');
INSERT INTO public.who_import VALUES (23857, '2020-07-22', 'DJ', 'Djibouti', 'EMRO', '7', '5027', '0', '56');
INSERT INTO public.who_import VALUES (23858, '2020-07-23', 'DJ', 'Djibouti', 'EMRO', '3', '5030', '2', '58');
INSERT INTO public.who_import VALUES (23859, '2020-07-24', 'DJ', 'Djibouti', 'EMRO', '1', '5031', '0', '58');
INSERT INTO public.who_import VALUES (23860, '2020-07-25', 'DJ', 'Djibouti', 'EMRO', '8', '5039', '0', '58');
INSERT INTO public.who_import VALUES (23861, '2020-07-26', 'DJ', 'Djibouti', 'EMRO', '0', '5039', '0', '58');
INSERT INTO public.who_import VALUES (23862, '2020-07-27', 'DJ', 'Djibouti', 'EMRO', '11', '5050', '0', '58');
INSERT INTO public.who_import VALUES (23863, '2020-07-28', 'DJ', 'Djibouti', 'EMRO', '9', '5059', '0', '58');
INSERT INTO public.who_import VALUES (23864, '2020-07-29', 'DJ', 'Djibouti', 'EMRO', '9', '5068', '0', '58');
INSERT INTO public.who_import VALUES (23865, '2020-07-30', 'DJ', 'Djibouti', 'EMRO', '13', '5081', '0', '58');
INSERT INTO public.who_import VALUES (23866, '2020-07-31', 'DJ', 'Djibouti', 'EMRO', '0', '5081', '0', '58');
INSERT INTO public.who_import VALUES (23867, '2020-08-01', 'DJ', 'Djibouti', 'EMRO', '0', '5081', '0', '58');
INSERT INTO public.who_import VALUES (23868, '2020-08-02', 'DJ', 'Djibouti', 'EMRO', '0', '5081', '0', '58');
INSERT INTO public.who_import VALUES (23869, '2020-08-03', 'DJ', 'Djibouti', 'EMRO', '80', '5161', '1', '59');
INSERT INTO public.who_import VALUES (23870, '2020-08-04', 'DJ', 'Djibouti', 'EMRO', '79', '5240', '0', '59');
INSERT INTO public.who_import VALUES (23871, '2020-08-05', 'DJ', 'Djibouti', 'EMRO', '8', '5248', '0', '59');
INSERT INTO public.who_import VALUES (23872, '2020-08-06', 'DJ', 'Djibouti', 'EMRO', '82', '5330', '0', '59');
INSERT INTO public.who_import VALUES (23873, '2020-08-07', 'DJ', 'Djibouti', 'EMRO', '4', '5334', '0', '59');
INSERT INTO public.who_import VALUES (23874, '2020-08-08', 'DJ', 'Djibouti', 'EMRO', '4', '5338', '0', '59');
INSERT INTO public.who_import VALUES (23875, '2020-08-09', 'DJ', 'Djibouti', 'EMRO', '0', '5338', '0', '59');
INSERT INTO public.who_import VALUES (23876, '2020-08-10', 'DJ', 'Djibouti', 'EMRO', '6', '5344', '0', '59');
INSERT INTO public.who_import VALUES (23877, '2020-08-11', 'DJ', 'Djibouti', 'EMRO', '3', '5347', '0', '59');
INSERT INTO public.who_import VALUES (23878, '2020-08-12', 'DJ', 'Djibouti', 'EMRO', '1', '5348', '0', '59');
INSERT INTO public.who_import VALUES (23879, '2020-08-13', 'DJ', 'Djibouti', 'EMRO', '10', '5358', '0', '59');
INSERT INTO public.who_import VALUES (23880, '2020-08-14', 'DJ', 'Djibouti', 'EMRO', '0', '5358', '0', '59');
INSERT INTO public.who_import VALUES (23881, '2020-08-15', 'DJ', 'Djibouti', 'EMRO', '9', '5367', '0', '59');
INSERT INTO public.who_import VALUES (23882, '2020-08-16', 'DJ', 'Djibouti', 'EMRO', '0', '5367', '0', '59');
INSERT INTO public.who_import VALUES (23883, '2020-08-17', 'DJ', 'Djibouti', 'EMRO', '2', '5369', '0', '59');
INSERT INTO public.who_import VALUES (23884, '2020-08-18', 'DJ', 'Djibouti', 'EMRO', '3', '5372', '0', '59');
INSERT INTO public.who_import VALUES (23885, '2020-08-19', 'DJ', 'Djibouti', 'EMRO', '2', '5374', '0', '59');
INSERT INTO public.who_import VALUES (23886, '2020-08-20', 'DJ', 'Djibouti', 'EMRO', '0', '5374', '0', '59');
INSERT INTO public.who_import VALUES (23887, '2020-08-21', 'DJ', 'Djibouti', 'EMRO', '0', '5374', '0', '59');
INSERT INTO public.who_import VALUES (23888, '2020-08-22', 'DJ', 'Djibouti', 'EMRO', '8', '5382', '1', '60');
INSERT INTO public.who_import VALUES (23889, '2020-08-23', 'DJ', 'Djibouti', 'EMRO', '0', '5382', '0', '60');
INSERT INTO public.who_import VALUES (23890, '2020-08-24', 'DJ', 'Djibouti', 'EMRO', '0', '5382', '0', '60');
INSERT INTO public.who_import VALUES (23891, '2020-08-25', 'DJ', 'Djibouti', 'EMRO', '1', '5383', '0', '60');
INSERT INTO public.who_import VALUES (23892, '2020-08-26', 'DJ', 'Djibouti', 'EMRO', '0', '5383', '0', '60');
INSERT INTO public.who_import VALUES (23893, '2020-08-27', 'DJ', 'Djibouti', 'EMRO', '0', '5383', '0', '60');
INSERT INTO public.who_import VALUES (23894, '2020-08-28', 'DJ', 'Djibouti', 'EMRO', '0', '5383', '0', '60');
INSERT INTO public.who_import VALUES (23895, '2020-08-29', 'DJ', 'Djibouti', 'EMRO', '0', '5383', '0', '60');
INSERT INTO public.who_import VALUES (23896, '2020-08-30', 'DJ', 'Djibouti', 'EMRO', '2', '5385', '0', '60');
INSERT INTO public.who_import VALUES (23897, '2020-08-31', 'DJ', 'Djibouti', 'EMRO', '0', '5385', '0', '60');
INSERT INTO public.who_import VALUES (23898, '2020-09-01', 'DJ', 'Djibouti', 'EMRO', '2', '5387', '0', '60');
INSERT INTO public.who_import VALUES (23899, '2020-09-02', 'DJ', 'Djibouti', 'EMRO', '0', '5387', '0', '60');
INSERT INTO public.who_import VALUES (23900, '2020-09-03', 'DJ', 'Djibouti', 'EMRO', '0', '5387', '0', '60');
INSERT INTO public.who_import VALUES (23901, '2020-09-04', 'DJ', 'Djibouti', 'EMRO', '0', '5387', '0', '60');
INSERT INTO public.who_import VALUES (23902, '2020-09-05', 'DJ', 'Djibouti', 'EMRO', '0', '5387', '0', '60');
INSERT INTO public.who_import VALUES (23903, '2020-09-06', 'DJ', 'Djibouti', 'EMRO', '0', '5387', '0', '60');
INSERT INTO public.who_import VALUES (23904, '2020-09-07', 'DJ', 'Djibouti', 'EMRO', '1', '5388', '1', '61');
INSERT INTO public.who_import VALUES (23905, '2020-09-08', 'DJ', 'Djibouti', 'EMRO', '0', '5388', '0', '61');
INSERT INTO public.who_import VALUES (23906, '2020-09-09', 'DJ', 'Djibouti', 'EMRO', '0', '5388', '0', '61');
INSERT INTO public.who_import VALUES (23907, '2020-09-10', 'DJ', 'Djibouti', 'EMRO', '3', '5391', '0', '61');
INSERT INTO public.who_import VALUES (23908, '2020-09-11', 'DJ', 'Djibouti', 'EMRO', '3', '5394', '0', '61');
INSERT INTO public.who_import VALUES (23909, '2020-09-12', 'DJ', 'Djibouti', 'EMRO', '0', '5394', '0', '61');
INSERT INTO public.who_import VALUES (23910, '2020-09-13', 'DJ', 'Djibouti', 'EMRO', '0', '5394', '0', '61');
INSERT INTO public.who_import VALUES (23911, '2020-09-14', 'DJ', 'Djibouti', 'EMRO', '1', '5395', '0', '61');
INSERT INTO public.who_import VALUES (23912, '2020-09-15', 'DJ', 'Djibouti', 'EMRO', '1', '5396', '0', '61');
INSERT INTO public.who_import VALUES (23913, '2020-09-16', 'DJ', 'Djibouti', 'EMRO', '0', '5396', '0', '61');
INSERT INTO public.who_import VALUES (23914, '2020-09-17', 'DJ', 'Djibouti', 'EMRO', '3', '5399', '0', '61');
INSERT INTO public.who_import VALUES (23915, '2020-09-18', 'DJ', 'Djibouti', 'EMRO', '2', '5401', '0', '61');
INSERT INTO public.who_import VALUES (23916, '2020-09-19', 'DJ', 'Djibouti', 'EMRO', '2', '5403', '0', '61');
INSERT INTO public.who_import VALUES (23917, '2020-09-20', 'DJ', 'Djibouti', 'EMRO', '0', '5403', '0', '61');
INSERT INTO public.who_import VALUES (23918, '2020-09-21', 'DJ', 'Djibouti', 'EMRO', '0', '5403', '0', '61');
INSERT INTO public.who_import VALUES (23919, '2020-09-22', 'DJ', 'Djibouti', 'EMRO', '1', '5404', '0', '61');
INSERT INTO public.who_import VALUES (23920, '2020-09-23', 'DJ', 'Djibouti', 'EMRO', '3', '5407', '0', '61');
INSERT INTO public.who_import VALUES (23921, '2020-09-24', 'DJ', 'Djibouti', 'EMRO', '0', '5407', '0', '61');
INSERT INTO public.who_import VALUES (23922, '2020-09-25', 'DJ', 'Djibouti', 'EMRO', '0', '5407', '0', '61');
INSERT INTO public.who_import VALUES (23923, '2020-09-26', 'DJ', 'Djibouti', 'EMRO', '2', '5409', '0', '61');
INSERT INTO public.who_import VALUES (23924, '2020-09-27', 'DJ', 'Djibouti', 'EMRO', '0', '5409', '0', '61');
INSERT INTO public.who_import VALUES (23925, '2020-09-28', 'DJ', 'Djibouti', 'EMRO', '0', '5409', '0', '61');
INSERT INTO public.who_import VALUES (23926, '2020-09-29', 'DJ', 'Djibouti', 'EMRO', '1', '5410', '0', '61');
INSERT INTO public.who_import VALUES (23927, '2020-09-30', 'DJ', 'Djibouti', 'EMRO', '6', '5416', '0', '61');
INSERT INTO public.who_import VALUES (23928, '2020-10-01', 'DJ', 'Djibouti', 'EMRO', '0', '5416', '0', '61');
INSERT INTO public.who_import VALUES (23929, '2020-10-02', 'DJ', 'Djibouti', 'EMRO', '1', '5417', '0', '61');
INSERT INTO public.who_import VALUES (23930, '2020-10-03', 'DJ', 'Djibouti', 'EMRO', '0', '5417', '0', '61');
INSERT INTO public.who_import VALUES (23931, '2020-10-04', 'DJ', 'Djibouti', 'EMRO', '1', '5418', '0', '61');
INSERT INTO public.who_import VALUES (23932, '2020-10-05', 'DJ', 'Djibouti', 'EMRO', '1', '5419', '0', '61');
INSERT INTO public.who_import VALUES (23933, '2020-10-06', 'DJ', 'Djibouti', 'EMRO', '2', '5421', '0', '61');
INSERT INTO public.who_import VALUES (23934, '2020-10-07', 'DJ', 'Djibouti', 'EMRO', '2', '5423', '0', '61');
INSERT INTO public.who_import VALUES (23935, '2020-10-08', 'DJ', 'Djibouti', 'EMRO', '0', '5423', '0', '61');
INSERT INTO public.who_import VALUES (23936, '2020-10-09', 'DJ', 'Djibouti', 'EMRO', '0', '5423', '0', '61');
INSERT INTO public.who_import VALUES (23937, '2020-10-10', 'DJ', 'Djibouti', 'EMRO', '0', '5423', '0', '61');
INSERT INTO public.who_import VALUES (23938, '2020-10-11', 'DJ', 'Djibouti', 'EMRO', '0', '5423', '0', '61');
INSERT INTO public.who_import VALUES (23939, '2020-10-12', 'DJ', 'Djibouti', 'EMRO', '1', '5424', '0', '61');
INSERT INTO public.who_import VALUES (23940, '2020-10-13', 'DJ', 'Djibouti', 'EMRO', '2', '5426', '0', '61');
INSERT INTO public.who_import VALUES (23941, '2020-10-14', 'DJ', 'Djibouti', 'EMRO', '2', '5428', '0', '61');
INSERT INTO public.who_import VALUES (23942, '2020-10-15', 'DJ', 'Djibouti', 'EMRO', '12', '5440', '0', '61');
INSERT INTO public.who_import VALUES (23943, '2020-10-16', 'DJ', 'Djibouti', 'EMRO', '3', '5443', '0', '61');
INSERT INTO public.who_import VALUES (23944, '2020-10-17', 'DJ', 'Djibouti', 'EMRO', '6', '5449', '0', '61');
INSERT INTO public.who_import VALUES (23945, '2020-10-18', 'DJ', 'Djibouti', 'EMRO', '3', '5452', '0', '61');
INSERT INTO public.who_import VALUES (23946, '2020-10-19', 'DJ', 'Djibouti', 'EMRO', '7', '5459', '0', '61');
INSERT INTO public.who_import VALUES (23947, '2020-10-20', 'DJ', 'Djibouti', 'EMRO', '10', '5469', '0', '61');
INSERT INTO public.who_import VALUES (23948, '2020-10-21', 'DJ', 'Djibouti', 'EMRO', '30', '5499', '0', '61');
INSERT INTO public.who_import VALUES (23949, '2020-10-22', 'DJ', 'Djibouti', 'EMRO', '13', '5512', '0', '61');
INSERT INTO public.who_import VALUES (23950, '2020-10-23', 'DJ', 'Djibouti', 'EMRO', '10', '5522', '0', '61');
INSERT INTO public.who_import VALUES (23951, '2020-10-24', 'DJ', 'Djibouti', 'EMRO', '6', '5528', '0', '61');
INSERT INTO public.who_import VALUES (23952, '2020-10-25', 'DJ', 'Djibouti', 'EMRO', '2', '5530', '0', '61');
INSERT INTO public.who_import VALUES (23953, '2020-10-26', 'DJ', 'Djibouti', 'EMRO', '6', '5536', '0', '61');
INSERT INTO public.who_import VALUES (23954, '2020-10-27', 'DJ', 'Djibouti', 'EMRO', '5', '5541', '0', '61');
INSERT INTO public.who_import VALUES (23955, '2020-10-28', 'DJ', 'Djibouti', 'EMRO', '0', '5541', '0', '61');
INSERT INTO public.who_import VALUES (23956, '2020-10-29', 'DJ', 'Djibouti', 'EMRO', '14', '5555', '0', '61');
INSERT INTO public.who_import VALUES (23957, '2020-10-30', 'DJ', 'Djibouti', 'EMRO', '3', '5558', '0', '61');
INSERT INTO public.who_import VALUES (23958, '2020-10-31', 'DJ', 'Djibouti', 'EMRO', '1', '5559', '0', '61');
INSERT INTO public.who_import VALUES (23959, '2020-11-01', 'DJ', 'Djibouti', 'EMRO', '2', '5561', '0', '61');
INSERT INTO public.who_import VALUES (23960, '2020-11-02', 'DJ', 'Djibouti', 'EMRO', '2', '5563', '0', '61');
INSERT INTO public.who_import VALUES (23961, '2020-11-03', 'DJ', 'Djibouti', 'EMRO', '10', '5573', '0', '61');
INSERT INTO public.who_import VALUES (23962, '2020-11-04', 'DJ', 'Djibouti', 'EMRO', '2', '5575', '0', '61');
INSERT INTO public.who_import VALUES (23963, '2020-11-05', 'DJ', 'Djibouti', 'EMRO', '5', '5580', '0', '61');
INSERT INTO public.who_import VALUES (23964, '2020-11-06', 'DJ', 'Djibouti', 'EMRO', '19', '5599', '0', '61');
INSERT INTO public.who_import VALUES (23965, '2020-11-07', 'DJ', 'Djibouti', 'EMRO', '5', '5604', '0', '61');
INSERT INTO public.who_import VALUES (23966, '2020-11-08', 'DJ', 'Djibouti', 'EMRO', '1', '5605', '0', '61');
INSERT INTO public.who_import VALUES (23967, '2020-11-09', 'DJ', 'Djibouti', 'EMRO', '3', '5608', '0', '61');
INSERT INTO public.who_import VALUES (23968, '2020-11-10', 'DJ', 'Djibouti', 'EMRO', '19', '5627', '0', '61');
INSERT INTO public.who_import VALUES (23969, '2020-11-11', 'DJ', 'Djibouti', 'EMRO', '6', '5633', '0', '61');
INSERT INTO public.who_import VALUES (23970, '2020-11-12', 'DJ', 'Djibouti', 'EMRO', '2', '5635', '0', '61');
INSERT INTO public.who_import VALUES (23971, '2020-11-13', 'DJ', 'Djibouti', 'EMRO', '6', '5641', '0', '61');
INSERT INTO public.who_import VALUES (23972, '2020-11-14', 'DJ', 'Djibouti', 'EMRO', '3', '5644', '0', '61');
INSERT INTO public.who_import VALUES (23973, '2020-11-15', 'DJ', 'Djibouti', 'EMRO', '1', '5645', '0', '61');
INSERT INTO public.who_import VALUES (23974, '2020-11-16', 'DJ', 'Djibouti', 'EMRO', '4', '5649', '0', '61');
INSERT INTO public.who_import VALUES (23975, '2020-11-17', 'DJ', 'Djibouti', 'EMRO', '6', '5655', '0', '61');
INSERT INTO public.who_import VALUES (23976, '2020-11-18', 'DJ', 'Djibouti', 'EMRO', '1', '5656', '0', '61');
INSERT INTO public.who_import VALUES (23977, '2020-11-19', 'DJ', 'Djibouti', 'EMRO', '2', '5658', '0', '61');
INSERT INTO public.who_import VALUES (23978, '2020-11-20', 'DJ', 'Djibouti', 'EMRO', '0', '5658', '0', '61');
INSERT INTO public.who_import VALUES (23979, '2020-11-21', 'DJ', 'Djibouti', 'EMRO', '2', '5660', '0', '61');
INSERT INTO public.who_import VALUES (23980, '2020-11-22', 'DJ', 'Djibouti', 'EMRO', '1', '5661', '0', '61');
INSERT INTO public.who_import VALUES (23981, '2020-11-23', 'DJ', 'Djibouti', 'EMRO', '7', '5668', '0', '61');
INSERT INTO public.who_import VALUES (23982, '2020-11-24', 'DJ', 'Djibouti', 'EMRO', '0', '5668', '0', '61');
INSERT INTO public.who_import VALUES (23983, '2020-11-25', 'DJ', 'Djibouti', 'EMRO', '1', '5669', '0', '61');
INSERT INTO public.who_import VALUES (23984, '2020-11-26', 'DJ', 'Djibouti', 'EMRO', '1', '5670', '0', '61');
INSERT INTO public.who_import VALUES (23985, '2020-11-27', 'DJ', 'Djibouti', 'EMRO', '6', '5676', '0', '61');
INSERT INTO public.who_import VALUES (23986, '2020-11-28', 'DJ', 'Djibouti', 'EMRO', '0', '5676', '0', '61');
INSERT INTO public.who_import VALUES (23987, '2020-11-29', 'DJ', 'Djibouti', 'EMRO', '0', '5676', '0', '61');
INSERT INTO public.who_import VALUES (23988, '2020-11-30', 'DJ', 'Djibouti', 'EMRO', '1', '5677', '0', '61');
INSERT INTO public.who_import VALUES (23989, '2020-12-01', 'DJ', 'Djibouti', 'EMRO', '2', '5679', '0', '61');
INSERT INTO public.who_import VALUES (23990, '2020-12-02', 'DJ', 'Djibouti', 'EMRO', '1', '5680', '0', '61');
INSERT INTO public.who_import VALUES (23991, '2020-12-03', 'DJ', 'Djibouti', 'EMRO', '2', '5682', '0', '61');
INSERT INTO public.who_import VALUES (23992, '2020-12-04', 'DJ', 'Djibouti', 'EMRO', '7', '5689', '0', '61');
INSERT INTO public.who_import VALUES (23993, '2020-12-05', 'DJ', 'Djibouti', 'EMRO', '1', '5690', '0', '61');
INSERT INTO public.who_import VALUES (23994, '2020-12-06', 'DJ', 'Djibouti', 'EMRO', '2', '5692', '0', '61');
INSERT INTO public.who_import VALUES (23995, '2020-12-07', 'DJ', 'Djibouti', 'EMRO', '9', '5701', '0', '61');
INSERT INTO public.who_import VALUES (23996, '2020-12-08', 'DJ', 'Djibouti', 'EMRO', '7', '5708', '0', '61');
INSERT INTO public.who_import VALUES (23997, '2020-12-09', 'DJ', 'Djibouti', 'EMRO', '6', '5714', '0', '61');
INSERT INTO public.who_import VALUES (23998, '2020-12-10', 'DJ', 'Djibouti', 'EMRO', '3', '5717', '0', '61');
INSERT INTO public.who_import VALUES (23999, '2020-12-11', 'DJ', 'Djibouti', 'EMRO', '0', '5717', '0', '61');
INSERT INTO public.who_import VALUES (24000, '2020-12-12', 'DJ', 'Djibouti', 'EMRO', '4', '5721', '0', '61');
INSERT INTO public.who_import VALUES (24001, '2020-12-13', 'DJ', 'Djibouti', 'EMRO', '4', '5725', '0', '61');
INSERT INTO public.who_import VALUES (24002, '2020-12-14', 'DJ', 'Djibouti', 'EMRO', '4', '5729', '0', '61');
INSERT INTO public.who_import VALUES (24003, '2020-12-15', 'DJ', 'Djibouti', 'EMRO', '4', '5733', '0', '61');
INSERT INTO public.who_import VALUES (24004, '2020-12-16', 'DJ', 'Djibouti', 'EMRO', '16', '5749', '0', '61');
INSERT INTO public.who_import VALUES (24005, '2020-12-17', 'DJ', 'Djibouti', 'EMRO', '10', '5759', '0', '61');
INSERT INTO public.who_import VALUES (24006, '2020-12-18', 'DJ', 'Djibouti', 'EMRO', '11', '5770', '0', '61');
INSERT INTO public.who_import VALUES (24007, '2020-12-19', 'DJ', 'Djibouti', 'EMRO', '10', '5780', '0', '61');
INSERT INTO public.who_import VALUES (24008, '2020-12-20', 'DJ', 'Djibouti', 'EMRO', '1', '5781', '0', '61');
INSERT INTO public.who_import VALUES (24009, '2020-12-21', 'DJ', 'Djibouti', 'EMRO', '0', '5781', '0', '61');
INSERT INTO public.who_import VALUES (24010, '2020-12-22', 'DJ', 'Djibouti', 'EMRO', '2', '5783', '0', '61');
INSERT INTO public.who_import VALUES (24011, '2020-12-23', 'DJ', 'Djibouti', 'EMRO', '3', '5786', '0', '61');
INSERT INTO public.who_import VALUES (24012, '2020-12-24', 'DJ', 'Djibouti', 'EMRO', '3', '5789', '0', '61');
INSERT INTO public.who_import VALUES (24013, '2020-12-25', 'DJ', 'Djibouti', 'EMRO', '11', '5800', '0', '61');
INSERT INTO public.who_import VALUES (24014, '2020-12-26', 'DJ', 'Djibouti', 'EMRO', '4', '5804', '0', '61');
INSERT INTO public.who_import VALUES (24015, '2020-12-27', 'DJ', 'Djibouti', 'EMRO', '1', '5805', '0', '61');
INSERT INTO public.who_import VALUES (24016, '2020-12-28', 'DJ', 'Djibouti', 'EMRO', '8', '5813', '0', '61');
INSERT INTO public.who_import VALUES (24017, '2020-12-29', 'DJ', 'Djibouti', 'EMRO', '0', '5813', '0', '61');
INSERT INTO public.who_import VALUES (24018, '2020-12-30', 'DJ', 'Djibouti', 'EMRO', '0', '5813', '0', '61');
INSERT INTO public.who_import VALUES (24019, '2020-12-31', 'DJ', 'Djibouti', 'EMRO', '11', '5824', '0', '61');
INSERT INTO public.who_import VALUES (24020, '2021-01-01', 'DJ', 'Djibouti', 'EMRO', '7', '5831', '0', '61');
INSERT INTO public.who_import VALUES (24021, '2021-01-02', 'DJ', 'Djibouti', 'EMRO', '9', '5840', '0', '61');
INSERT INTO public.who_import VALUES (24022, '2021-01-03', 'DJ', 'Djibouti', 'EMRO', '1', '5841', '0', '61');
INSERT INTO public.who_import VALUES (24023, '2021-01-04', 'DJ', 'Djibouti', 'EMRO', '1', '5842', '0', '61');
INSERT INTO public.who_import VALUES (24024, '2021-01-05', 'DJ', 'Djibouti', 'EMRO', '4', '5846', '0', '61');
INSERT INTO public.who_import VALUES (24025, '2021-01-06', 'DJ', 'Djibouti', 'EMRO', '8', '5854', '0', '61');
INSERT INTO public.who_import VALUES (24026, '2021-01-07', 'DJ', 'Djibouti', 'EMRO', '1', '5855', '0', '61');
INSERT INTO public.who_import VALUES (24027, '2021-01-08', 'DJ', 'Djibouti', 'EMRO', '2', '5857', '0', '61');
INSERT INTO public.who_import VALUES (24028, '2021-01-09', 'DJ', 'Djibouti', 'EMRO', '8', '5865', '0', '61');
INSERT INTO public.who_import VALUES (24029, '2021-01-10', 'DJ', 'Djibouti', 'EMRO', '1', '5866', '0', '61');
INSERT INTO public.who_import VALUES (24030, '2021-01-11', 'DJ', 'Djibouti', 'EMRO', '5', '5871', '0', '61');
INSERT INTO public.who_import VALUES (24031, '2021-01-12', 'DJ', 'Djibouti', 'EMRO', '6', '5877', '0', '61');
INSERT INTO public.who_import VALUES (24032, '2021-01-13', 'DJ', 'Djibouti', 'EMRO', '2', '5879', '0', '61');
INSERT INTO public.who_import VALUES (24033, '2021-01-14', 'DJ', 'Djibouti', 'EMRO', '12', '5891', '0', '61');
INSERT INTO public.who_import VALUES (24034, '2021-01-15', 'DJ', 'Djibouti', 'EMRO', '9', '5900', '0', '61');
INSERT INTO public.who_import VALUES (24035, '2021-01-16', 'DJ', 'Djibouti', 'EMRO', '3', '5903', '0', '61');
INSERT INTO public.who_import VALUES (24036, '2021-01-17', 'DJ', 'Djibouti', 'EMRO', '0', '5903', '0', '61');
INSERT INTO public.who_import VALUES (24037, '2021-01-18', 'DJ', 'Djibouti', 'EMRO', '2', '5905', '0', '61');
INSERT INTO public.who_import VALUES (24038, '2021-01-19', 'DJ', 'Djibouti', 'EMRO', '1', '5906', '0', '61');
INSERT INTO public.who_import VALUES (24039, '2021-01-20', 'DJ', 'Djibouti', 'EMRO', '4', '5910', '0', '61');
INSERT INTO public.who_import VALUES (24040, '2021-01-21', 'DJ', 'Djibouti', 'EMRO', '3', '5913', '0', '61');
INSERT INTO public.who_import VALUES (24041, '2021-01-22', 'DJ', 'Djibouti', 'EMRO', '3', '5916', '0', '61');
INSERT INTO public.who_import VALUES (24042, '2021-01-23', 'DJ', 'Djibouti', 'EMRO', '1', '5917', '0', '61');
INSERT INTO public.who_import VALUES (24043, '2021-01-24', 'DJ', 'Djibouti', 'EMRO', '1', '5918', '0', '61');
INSERT INTO public.who_import VALUES (24044, '2021-01-25', 'DJ', 'Djibouti', 'EMRO', '1', '5919', '0', '61');
INSERT INTO public.who_import VALUES (24045, '2021-01-26', 'DJ', 'Djibouti', 'EMRO', '1', '5920', '0', '61');
INSERT INTO public.who_import VALUES (24046, '2021-01-27', 'DJ', 'Djibouti', 'EMRO', '3', '5923', '1', '62');
INSERT INTO public.who_import VALUES (24047, '2021-01-28', 'DJ', 'Djibouti', 'EMRO', '3', '5926', '0', '62');
INSERT INTO public.who_import VALUES (24048, '2021-01-29', 'DJ', 'Djibouti', 'EMRO', '3', '5929', '0', '62');
INSERT INTO public.who_import VALUES (24049, '2021-01-30', 'DJ', 'Djibouti', 'EMRO', '1', '5930', '0', '62');
INSERT INTO public.who_import VALUES (24050, '2021-01-31', 'DJ', 'Djibouti', 'EMRO', '1', '5931', '0', '62');
INSERT INTO public.who_import VALUES (24051, '2021-02-01', 'DJ', 'Djibouti', 'EMRO', '1', '5932', '1', '63');
INSERT INTO public.who_import VALUES (24052, '2021-02-02', 'DJ', 'Djibouti', 'EMRO', '1', '5933', '0', '63');
INSERT INTO public.who_import VALUES (24053, '2021-02-03', 'DJ', 'Djibouti', 'EMRO', '2', '5935', '0', '63');
INSERT INTO public.who_import VALUES (24054, '2021-02-04', 'DJ', 'Djibouti', 'EMRO', '1', '5936', '0', '63');
INSERT INTO public.who_import VALUES (24055, '2021-02-05', 'DJ', 'Djibouti', 'EMRO', '0', '5936', '0', '63');
INSERT INTO public.who_import VALUES (24056, '2021-02-06', 'DJ', 'Djibouti', 'EMRO', '5', '5941', '0', '63');
INSERT INTO public.who_import VALUES (24057, '2021-02-07', 'DJ', 'Djibouti', 'EMRO', '0', '5941', '0', '63');
INSERT INTO public.who_import VALUES (24058, '2021-02-08', 'DJ', 'Djibouti', 'EMRO', '6', '5947', '0', '63');
INSERT INTO public.who_import VALUES (24059, '2021-02-09', 'DJ', 'Djibouti', 'EMRO', '3', '5950', '0', '63');
INSERT INTO public.who_import VALUES (24060, '2021-02-10', 'DJ', 'Djibouti', 'EMRO', '9', '5959', '0', '63');
INSERT INTO public.who_import VALUES (24061, '2021-02-11', 'DJ', 'Djibouti', 'EMRO', '3', '5962', '0', '63');
INSERT INTO public.who_import VALUES (24062, '2021-02-12', 'DJ', 'Djibouti', 'EMRO', '4', '5966', '0', '63');
INSERT INTO public.who_import VALUES (24063, '2021-02-13', 'DJ', 'Djibouti', 'EMRO', '1', '5967', '0', '63');
INSERT INTO public.who_import VALUES (24064, '2021-02-14', 'DJ', 'Djibouti', 'EMRO', '1', '5968', '0', '63');
INSERT INTO public.who_import VALUES (24065, '2021-02-15', 'DJ', 'Djibouti', 'EMRO', '3', '5971', '0', '63');
INSERT INTO public.who_import VALUES (24066, '2021-02-16', 'DJ', 'Djibouti', 'EMRO', '9', '5980', '0', '63');
INSERT INTO public.who_import VALUES (24067, '2021-02-17', 'DJ', 'Djibouti', 'EMRO', '1', '5981', '0', '63');
INSERT INTO public.who_import VALUES (24068, '2021-02-18', 'DJ', 'Djibouti', 'EMRO', '25', '6006', '0', '63');
INSERT INTO public.who_import VALUES (24069, '2021-02-19', 'DJ', 'Djibouti', 'EMRO', '2', '6008', '0', '63');
INSERT INTO public.who_import VALUES (24070, '2021-02-20', 'DJ', 'Djibouti', 'EMRO', '14', '6022', '0', '63');
INSERT INTO public.who_import VALUES (24071, '2020-01-03', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24072, '2020-01-04', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24073, '2020-01-05', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24074, '2020-01-06', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24075, '2020-01-07', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24076, '2020-01-08', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24077, '2020-01-09', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24078, '2020-01-10', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24079, '2020-01-11', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24080, '2020-01-12', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24081, '2020-01-13', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24082, '2020-01-14', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24083, '2020-01-15', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24084, '2020-01-16', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24085, '2020-01-17', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24086, '2020-01-18', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24087, '2020-01-19', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24088, '2020-01-20', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24089, '2020-01-21', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24090, '2020-01-22', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24091, '2020-01-23', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24092, '2020-01-24', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24093, '2020-01-25', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24094, '2020-01-26', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24095, '2020-01-27', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24096, '2020-01-28', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24097, '2020-01-29', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24098, '2020-01-30', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24099, '2020-01-31', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24100, '2020-02-01', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24101, '2020-02-02', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24102, '2020-02-03', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24103, '2020-02-04', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24104, '2020-02-05', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24105, '2020-02-06', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24106, '2020-02-07', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24107, '2020-02-08', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24108, '2020-02-09', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24109, '2020-02-10', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24110, '2020-02-11', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24111, '2020-02-12', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24112, '2020-02-13', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24113, '2020-02-14', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24114, '2020-02-15', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24115, '2020-02-16', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24116, '2020-02-17', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24117, '2020-02-18', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24118, '2020-02-19', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24119, '2020-02-20', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24120, '2020-02-21', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24121, '2020-02-22', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24122, '2020-02-23', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24123, '2020-02-24', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24124, '2020-02-25', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24125, '2020-02-26', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24126, '2020-02-27', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24127, '2020-02-28', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24128, '2020-02-29', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24129, '2020-03-01', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24130, '2020-03-02', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24131, '2020-03-03', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24132, '2020-03-04', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24133, '2020-03-05', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24134, '2020-03-06', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24135, '2020-03-07', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24136, '2020-03-08', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24137, '2020-03-09', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24138, '2020-03-10', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24139, '2020-03-11', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24140, '2020-03-12', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24141, '2020-03-13', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24142, '2020-03-14', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24143, '2020-03-15', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24144, '2020-03-16', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24145, '2020-03-17', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24146, '2020-03-18', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24147, '2020-03-19', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24148, '2020-03-20', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24149, '2020-03-21', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24150, '2020-03-22', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24151, '2020-03-23', 'DM', 'Dominica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24152, '2020-03-24', 'DM', 'Dominica', 'AMRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (24153, '2020-03-25', 'DM', 'Dominica', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (24154, '2020-03-26', 'DM', 'Dominica', 'AMRO', '9', '11', '0', '0');
INSERT INTO public.who_import VALUES (24155, '2020-03-27', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24156, '2020-03-28', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24157, '2020-03-29', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24158, '2020-03-30', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24159, '2020-03-31', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24160, '2020-04-01', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24161, '2020-04-02', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24162, '2020-04-03', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24163, '2020-04-04', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24164, '2020-04-05', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24165, '2020-04-06', 'DM', 'Dominica', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24166, '2020-04-07', 'DM', 'Dominica', 'AMRO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (24167, '2020-04-08', 'DM', 'Dominica', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (24168, '2020-04-09', 'DM', 'Dominica', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (24169, '2020-04-10', 'DM', 'Dominica', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (24170, '2020-04-11', 'DM', 'Dominica', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (24171, '2020-04-12', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24172, '2020-04-13', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24173, '2020-04-14', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24174, '2020-04-15', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24175, '2020-04-16', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24176, '2020-04-17', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24177, '2020-04-18', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24178, '2020-04-19', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24179, '2020-04-20', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24180, '2020-04-21', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24181, '2020-04-22', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24182, '2020-04-23', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24183, '2020-04-24', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24184, '2020-04-25', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24185, '2020-04-26', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24186, '2020-04-27', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24187, '2020-04-28', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24188, '2020-04-29', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24189, '2020-04-30', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24190, '2020-05-01', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24191, '2020-05-02', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24192, '2020-05-03', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24193, '2020-05-04', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24194, '2020-05-05', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24195, '2020-05-06', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24196, '2020-05-07', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24197, '2020-05-08', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24198, '2020-05-09', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24199, '2020-05-10', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24200, '2020-05-11', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24201, '2020-05-12', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24202, '2020-05-13', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24203, '2020-05-14', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24204, '2020-05-15', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24205, '2020-05-16', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24206, '2020-05-17', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24207, '2020-05-18', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24208, '2020-05-19', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24209, '2020-05-20', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24210, '2020-05-21', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24211, '2020-05-22', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24212, '2020-05-23', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24213, '2020-05-24', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24214, '2020-05-25', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24215, '2020-05-26', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24216, '2020-05-27', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24217, '2020-05-28', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24218, '2020-05-29', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24219, '2020-05-30', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24220, '2020-05-31', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24221, '2020-06-01', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24222, '2020-06-02', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24223, '2020-06-03', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24224, '2020-06-04', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24225, '2020-06-05', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24226, '2020-06-06', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24227, '2020-06-07', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24228, '2020-06-08', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24229, '2020-06-09', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24230, '2020-06-10', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24231, '2020-06-11', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24232, '2020-06-12', 'DM', 'Dominica', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (24233, '2020-06-13', 'DM', 'Dominica', 'AMRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (24234, '2020-06-14', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24235, '2020-06-15', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24236, '2020-06-16', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24237, '2020-06-17', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24238, '2020-06-18', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24239, '2020-06-19', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24240, '2020-06-20', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24241, '2020-06-21', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24242, '2020-06-22', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24243, '2020-06-23', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24244, '2020-06-24', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24245, '2020-06-25', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24246, '2020-06-26', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24247, '2020-06-27', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24248, '2020-06-28', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24249, '2020-06-29', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24250, '2020-06-30', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24251, '2020-07-01', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24252, '2020-07-02', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24253, '2020-07-03', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24254, '2020-07-04', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24255, '2020-07-05', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24256, '2020-07-06', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24257, '2020-07-07', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24258, '2020-07-08', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24259, '2020-07-09', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24260, '2020-07-10', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24261, '2020-07-11', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24262, '2020-07-12', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24263, '2020-07-13', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24264, '2020-07-14', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24265, '2020-07-15', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24266, '2020-07-16', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24267, '2020-07-17', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24268, '2020-07-18', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24269, '2020-07-19', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24270, '2020-07-20', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24271, '2020-07-21', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24272, '2020-07-22', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24273, '2020-07-23', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24274, '2020-07-24', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24275, '2020-07-25', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24276, '2020-07-26', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24277, '2020-07-27', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24278, '2020-07-28', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24279, '2020-07-29', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24280, '2020-07-30', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24281, '2020-07-31', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24282, '2020-08-01', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24283, '2020-08-02', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24284, '2020-08-03', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24285, '2020-08-04', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24286, '2020-08-05', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24287, '2020-08-06', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24288, '2020-08-07', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24289, '2020-08-08', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24290, '2020-08-09', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24291, '2020-08-10', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24292, '2020-08-11', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24293, '2020-08-12', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24294, '2020-08-13', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24295, '2020-08-14', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24296, '2020-08-15', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24297, '2020-08-16', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24298, '2020-08-17', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24299, '2020-08-18', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24300, '2020-08-19', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24301, '2020-08-20', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24302, '2020-08-21', 'DM', 'Dominica', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24303, '2020-08-22', 'DM', 'Dominica', 'AMRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (24304, '2020-08-23', 'DM', 'Dominica', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (24305, '2020-08-24', 'DM', 'Dominica', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (24306, '2020-08-25', 'DM', 'Dominica', 'AMRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (24307, '2020-08-26', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24308, '2020-08-27', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24309, '2020-08-28', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24310, '2020-08-29', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24311, '2020-08-30', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24312, '2020-08-31', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24313, '2020-09-01', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24314, '2020-09-02', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24315, '2020-09-03', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24316, '2020-09-04', 'DM', 'Dominica', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (24317, '2020-09-05', 'DM', 'Dominica', 'AMRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (24318, '2020-09-06', 'DM', 'Dominica', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (24319, '2020-09-07', 'DM', 'Dominica', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (24320, '2020-09-08', 'DM', 'Dominica', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (24321, '2020-09-09', 'DM', 'Dominica', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (24322, '2020-09-10', 'DM', 'Dominica', 'AMRO', '2', '24', '0', '0');
INSERT INTO public.who_import VALUES (24323, '2020-09-11', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24324, '2020-09-12', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24325, '2020-09-13', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24326, '2020-09-14', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24327, '2020-09-15', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24328, '2020-09-16', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24329, '2020-09-17', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24330, '2020-09-18', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24331, '2020-09-19', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24332, '2020-09-20', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24333, '2020-09-21', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24334, '2020-09-22', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24335, '2020-09-23', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24336, '2020-09-24', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24337, '2020-09-25', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24338, '2020-09-26', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24339, '2020-09-27', 'DM', 'Dominica', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (24340, '2020-09-28', 'DM', 'Dominica', 'AMRO', '6', '30', '0', '0');
INSERT INTO public.who_import VALUES (24341, '2020-09-29', 'DM', 'Dominica', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (24342, '2020-09-30', 'DM', 'Dominica', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (24343, '2020-10-01', 'DM', 'Dominica', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (24344, '2020-10-02', 'DM', 'Dominica', 'AMRO', '1', '31', '0', '0');
INSERT INTO public.who_import VALUES (24345, '2020-10-03', 'DM', 'Dominica', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (24346, '2020-10-04', 'DM', 'Dominica', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (24347, '2020-10-05', 'DM', 'Dominica', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (24348, '2020-10-06', 'DM', 'Dominica', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (24349, '2020-10-07', 'DM', 'Dominica', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (24350, '2020-10-08', 'DM', 'Dominica', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (24351, '2020-10-09', 'DM', 'Dominica', 'AMRO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (24352, '2020-10-10', 'DM', 'Dominica', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (24353, '2020-10-11', 'DM', 'Dominica', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (24354, '2020-10-12', 'DM', 'Dominica', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (24355, '2020-10-13', 'DM', 'Dominica', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (24356, '2020-10-14', 'DM', 'Dominica', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (24357, '2020-10-15', 'DM', 'Dominica', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (24358, '2020-10-16', 'DM', 'Dominica', 'AMRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (24359, '2020-10-17', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24360, '2020-10-18', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24361, '2020-10-19', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24362, '2020-10-20', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24363, '2020-10-21', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24364, '2020-10-22', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24365, '2020-10-23', 'DM', 'Dominica', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (24366, '2020-10-24', 'DM', 'Dominica', 'AMRO', '4', '37', '0', '0');
INSERT INTO public.who_import VALUES (24367, '2020-10-25', 'DM', 'Dominica', 'AMRO', '1', '38', '0', '0');
INSERT INTO public.who_import VALUES (24368, '2020-10-26', 'DM', 'Dominica', 'AMRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (24369, '2020-10-27', 'DM', 'Dominica', 'AMRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (24370, '2020-10-28', 'DM', 'Dominica', 'AMRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (24371, '2020-10-29', 'DM', 'Dominica', 'AMRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (24372, '2020-10-30', 'DM', 'Dominica', 'AMRO', '4', '42', '0', '0');
INSERT INTO public.who_import VALUES (24373, '2020-10-31', 'DM', 'Dominica', 'AMRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (24374, '2020-11-01', 'DM', 'Dominica', 'AMRO', '8', '50', '0', '0');
INSERT INTO public.who_import VALUES (24375, '2020-11-02', 'DM', 'Dominica', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (24376, '2020-11-03', 'DM', 'Dominica', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (24377, '2020-11-04', 'DM', 'Dominica', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (24378, '2020-11-05', 'DM', 'Dominica', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (24379, '2020-11-06', 'DM', 'Dominica', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (24380, '2020-11-07', 'DM', 'Dominica', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (24381, '2020-11-08', 'DM', 'Dominica', 'AMRO', '13', '63', '0', '0');
INSERT INTO public.who_import VALUES (24382, '2020-11-09', 'DM', 'Dominica', 'AMRO', '0', '63', '0', '0');
INSERT INTO public.who_import VALUES (24383, '2020-11-10', 'DM', 'Dominica', 'AMRO', '0', '63', '0', '0');
INSERT INTO public.who_import VALUES (24384, '2020-11-11', 'DM', 'Dominica', 'AMRO', '0', '63', '0', '0');
INSERT INTO public.who_import VALUES (24385, '2020-11-12', 'DM', 'Dominica', 'AMRO', '0', '63', '0', '0');
INSERT INTO public.who_import VALUES (24386, '2020-11-13', 'DM', 'Dominica', 'AMRO', '5', '68', '0', '0');
INSERT INTO public.who_import VALUES (24387, '2020-11-14', 'DM', 'Dominica', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (24388, '2020-11-15', 'DM', 'Dominica', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (24389, '2020-11-16', 'DM', 'Dominica', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (24390, '2020-11-17', 'DM', 'Dominica', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (24391, '2020-11-18', 'DM', 'Dominica', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (24392, '2020-11-19', 'DM', 'Dominica', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (24393, '2020-11-20', 'DM', 'Dominica', 'AMRO', '4', '72', '0', '0');
INSERT INTO public.who_import VALUES (24394, '2020-11-21', 'DM', 'Dominica', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (24395, '2020-11-22', 'DM', 'Dominica', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (24396, '2020-11-23', 'DM', 'Dominica', 'AMRO', '5', '77', '0', '0');
INSERT INTO public.who_import VALUES (24397, '2020-11-24', 'DM', 'Dominica', 'AMRO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (24398, '2020-11-25', 'DM', 'Dominica', 'AMRO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (24399, '2020-11-26', 'DM', 'Dominica', 'AMRO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (24400, '2020-11-27', 'DM', 'Dominica', 'AMRO', '3', '80', '0', '0');
INSERT INTO public.who_import VALUES (24401, '2020-11-28', 'DM', 'Dominica', 'AMRO', '5', '85', '0', '0');
INSERT INTO public.who_import VALUES (24402, '2020-11-29', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24403, '2020-11-30', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24404, '2020-12-01', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24405, '2020-12-02', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24406, '2020-12-03', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24407, '2020-12-04', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24408, '2020-12-05', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24409, '2020-12-06', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24410, '2020-12-07', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24411, '2020-12-08', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24412, '2020-12-09', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24413, '2020-12-10', 'DM', 'Dominica', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (24414, '2020-12-11', 'DM', 'Dominica', 'AMRO', '2', '87', '0', '0');
INSERT INTO public.who_import VALUES (24415, '2020-12-12', 'DM', 'Dominica', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (24416, '2020-12-13', 'DM', 'Dominica', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (24417, '2020-12-14', 'DM', 'Dominica', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (24418, '2020-12-15', 'DM', 'Dominica', 'AMRO', '1', '88', '0', '0');
INSERT INTO public.who_import VALUES (24419, '2020-12-16', 'DM', 'Dominica', 'AMRO', '0', '88', '0', '0');
INSERT INTO public.who_import VALUES (24420, '2020-12-17', 'DM', 'Dominica', 'AMRO', '0', '88', '0', '0');
INSERT INTO public.who_import VALUES (24421, '2020-12-18', 'DM', 'Dominica', 'AMRO', '0', '88', '0', '0');
INSERT INTO public.who_import VALUES (24422, '2020-12-19', 'DM', 'Dominica', 'AMRO', '0', '88', '0', '0');
INSERT INTO public.who_import VALUES (24423, '2020-12-20', 'DM', 'Dominica', 'AMRO', '0', '88', '0', '0');
INSERT INTO public.who_import VALUES (24424, '2020-12-21', 'DM', 'Dominica', 'AMRO', '4', '92', '0', '0');
INSERT INTO public.who_import VALUES (24425, '2020-12-22', 'DM', 'Dominica', 'AMRO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (24426, '2020-12-23', 'DM', 'Dominica', 'AMRO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (24427, '2020-12-24', 'DM', 'Dominica', 'AMRO', '0', '92', '0', '0');
INSERT INTO public.who_import VALUES (24428, '2020-12-25', 'DM', 'Dominica', 'AMRO', '4', '96', '0', '0');
INSERT INTO public.who_import VALUES (24429, '2020-12-26', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24430, '2020-12-27', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24431, '2020-12-28', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24432, '2020-12-29', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24433, '2020-12-30', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24434, '2020-12-31', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24435, '2021-01-01', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24436, '2021-01-02', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24437, '2021-01-03', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24438, '2021-01-04', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24439, '2021-01-05', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24440, '2021-01-06', 'DM', 'Dominica', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (24441, '2021-01-07', 'DM', 'Dominica', 'AMRO', '9', '105', '0', '0');
INSERT INTO public.who_import VALUES (24442, '2021-01-08', 'DM', 'Dominica', 'AMRO', '0', '105', '0', '0');
INSERT INTO public.who_import VALUES (24443, '2021-01-09', 'DM', 'Dominica', 'AMRO', '1', '106', '0', '0');
INSERT INTO public.who_import VALUES (24444, '2021-01-10', 'DM', 'Dominica', 'AMRO', '0', '106', '0', '0');
INSERT INTO public.who_import VALUES (24445, '2021-01-11', 'DM', 'Dominica', 'AMRO', '0', '106', '0', '0');
INSERT INTO public.who_import VALUES (24446, '2021-01-12', 'DM', 'Dominica', 'AMRO', '0', '106', '0', '0');
INSERT INTO public.who_import VALUES (24447, '2021-01-13', 'DM', 'Dominica', 'AMRO', '3', '109', '0', '0');
INSERT INTO public.who_import VALUES (24448, '2021-01-14', 'DM', 'Dominica', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (24449, '2021-01-15', 'DM', 'Dominica', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (24450, '2021-01-16', 'DM', 'Dominica', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (24451, '2021-01-17', 'DM', 'Dominica', 'AMRO', '1', '110', '0', '0');
INSERT INTO public.who_import VALUES (24452, '2021-01-18', 'DM', 'Dominica', 'AMRO', '0', '110', '0', '0');
INSERT INTO public.who_import VALUES (24453, '2021-01-19', 'DM', 'Dominica', 'AMRO', '0', '110', '0', '0');
INSERT INTO public.who_import VALUES (24454, '2021-01-20', 'DM', 'Dominica', 'AMRO', '0', '110', '0', '0');
INSERT INTO public.who_import VALUES (24455, '2021-01-21', 'DM', 'Dominica', 'AMRO', '3', '113', '0', '0');
INSERT INTO public.who_import VALUES (24456, '2021-01-22', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24457, '2021-01-23', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24458, '2021-01-24', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24459, '2021-01-25', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24460, '2021-01-26', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24461, '2021-01-27', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24462, '2021-01-28', 'DM', 'Dominica', 'AMRO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (24463, '2021-01-29', 'DM', 'Dominica', 'AMRO', '4', '117', '0', '0');
INSERT INTO public.who_import VALUES (24464, '2021-01-30', 'DM', 'Dominica', 'AMRO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (24465, '2021-01-31', 'DM', 'Dominica', 'AMRO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (24466, '2021-02-01', 'DM', 'Dominica', 'AMRO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (24467, '2021-02-02', 'DM', 'Dominica', 'AMRO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (24468, '2021-02-03', 'DM', 'Dominica', 'AMRO', '4', '121', '0', '0');
INSERT INTO public.who_import VALUES (24469, '2021-02-04', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24470, '2021-02-05', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24471, '2021-02-06', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24472, '2021-02-07', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24473, '2021-02-08', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24474, '2021-02-09', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24475, '2021-02-10', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24476, '2021-02-11', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24477, '2021-02-12', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24478, '2021-02-13', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24479, '2021-02-14', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24480, '2021-02-15', 'DM', 'Dominica', 'AMRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (24481, '2021-02-16', 'DM', 'Dominica', 'AMRO', '13', '134', '0', '0');
INSERT INTO public.who_import VALUES (24482, '2021-02-17', 'DM', 'Dominica', 'AMRO', '0', '134', '0', '0');
INSERT INTO public.who_import VALUES (24483, '2021-02-18', 'DM', 'Dominica', 'AMRO', '0', '134', '0', '0');
INSERT INTO public.who_import VALUES (24484, '2021-02-19', 'DM', 'Dominica', 'AMRO', '0', '134', '0', '0');
INSERT INTO public.who_import VALUES (24485, '2021-02-20', 'DM', 'Dominica', 'AMRO', '0', '134', '0', '0');
INSERT INTO public.who_import VALUES (24486, '2020-01-03', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24487, '2020-01-04', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24488, '2020-01-05', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24489, '2020-01-06', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24490, '2020-01-07', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24491, '2020-01-08', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24492, '2020-01-09', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24493, '2020-01-10', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24494, '2020-01-11', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24495, '2020-01-12', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24496, '2020-01-13', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24497, '2020-01-14', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24498, '2020-01-15', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24499, '2020-01-16', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24500, '2020-01-17', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24501, '2020-01-18', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24502, '2020-01-19', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24503, '2020-01-20', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24504, '2020-01-21', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24505, '2020-01-22', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24506, '2020-01-23', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24507, '2020-01-24', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24508, '2020-01-25', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24509, '2020-01-26', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24510, '2020-01-27', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24511, '2020-01-28', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24512, '2020-01-29', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24513, '2020-01-30', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24514, '2020-01-31', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24515, '2020-02-01', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24516, '2020-02-02', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24517, '2020-02-03', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24518, '2020-02-04', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24519, '2020-02-05', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24520, '2020-02-06', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24521, '2020-02-07', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24522, '2020-02-08', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24523, '2020-02-09', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24524, '2020-02-10', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24525, '2020-02-11', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24526, '2020-02-12', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24527, '2020-02-13', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24528, '2020-02-14', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24529, '2020-02-15', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24530, '2020-02-16', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24531, '2020-02-17', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24532, '2020-02-18', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24533, '2020-02-19', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24534, '2020-02-20', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24535, '2020-02-21', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24536, '2020-02-22', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24537, '2020-02-23', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24538, '2020-02-24', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24539, '2020-02-25', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24540, '2020-02-26', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24541, '2020-02-27', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24542, '2020-02-28', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24543, '2020-02-29', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24544, '2020-03-01', 'DO', 'Dominican Republic', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24545, '2020-03-02', 'DO', 'Dominican Republic', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (24546, '2020-03-03', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24547, '2020-03-04', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24548, '2020-03-05', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24549, '2020-03-06', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24550, '2020-03-07', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24551, '2020-03-08', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24552, '2020-03-09', 'DO', 'Dominican Republic', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24553, '2020-03-10', 'DO', 'Dominican Republic', 'AMRO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (24554, '2020-03-11', 'DO', 'Dominican Republic', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (24555, '2020-03-12', 'DO', 'Dominican Republic', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (24556, '2020-03-13', 'DO', 'Dominican Republic', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (24557, '2020-03-14', 'DO', 'Dominican Republic', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (24558, '2020-03-15', 'DO', 'Dominican Republic', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (24559, '2020-03-16', 'DO', 'Dominican Republic', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (24560, '2020-03-17', 'DO', 'Dominican Republic', 'AMRO', '16', '25', '1', '1');
INSERT INTO public.who_import VALUES (24561, '2020-03-18', 'DO', 'Dominican Republic', 'AMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (24562, '2020-03-19', 'DO', 'Dominican Republic', 'AMRO', '9', '34', '1', '2');
INSERT INTO public.who_import VALUES (24563, '2020-03-20', 'DO', 'Dominican Republic', 'AMRO', '38', '72', '0', '2');
INSERT INTO public.who_import VALUES (24564, '2020-03-21', 'DO', 'Dominican Republic', 'AMRO', '0', '72', '0', '2');
INSERT INTO public.who_import VALUES (24565, '2020-03-22', 'DO', 'Dominican Republic', 'AMRO', '0', '72', '0', '2');
INSERT INTO public.who_import VALUES (24566, '2020-03-23', 'DO', 'Dominican Republic', 'AMRO', '0', '72', '0', '2');
INSERT INTO public.who_import VALUES (24567, '2020-03-24', 'DO', 'Dominican Republic', 'AMRO', '240', '312', '4', '6');
INSERT INTO public.who_import VALUES (24568, '2020-03-25', 'DO', 'Dominican Republic', 'AMRO', '0', '312', '0', '6');
INSERT INTO public.who_import VALUES (24569, '2020-03-26', 'DO', 'Dominican Republic', 'AMRO', '176', '488', '4', '10');
INSERT INTO public.who_import VALUES (24570, '2020-03-27', 'DO', 'Dominican Republic', 'AMRO', '0', '488', '0', '10');
INSERT INTO public.who_import VALUES (24571, '2020-03-28', 'DO', 'Dominican Republic', 'AMRO', '93', '581', '10', '20');
INSERT INTO public.who_import VALUES (24572, '2020-03-29', 'DO', 'Dominican Republic', 'AMRO', '0', '581', '0', '20');
INSERT INTO public.who_import VALUES (24573, '2020-03-30', 'DO', 'Dominican Republic', 'AMRO', '0', '581', '0', '20');
INSERT INTO public.who_import VALUES (24574, '2020-03-31', 'DO', 'Dominican Republic', 'AMRO', '320', '901', '22', '42');
INSERT INTO public.who_import VALUES (24575, '2020-04-01', 'DO', 'Dominican Republic', 'AMRO', '208', '1109', '9', '51');
INSERT INTO public.who_import VALUES (24576, '2020-04-02', 'DO', 'Dominican Republic', 'AMRO', '175', '1284', '6', '57');
INSERT INTO public.who_import VALUES (24577, '2020-04-03', 'DO', 'Dominican Republic', 'AMRO', '96', '1380', '3', '60');
INSERT INTO public.who_import VALUES (24578, '2020-04-04', 'DO', 'Dominican Republic', 'AMRO', '108', '1488', '8', '68');
INSERT INTO public.who_import VALUES (24579, '2020-04-05', 'DO', 'Dominican Republic', 'AMRO', '0', '1488', '0', '68');
INSERT INTO public.who_import VALUES (24580, '2020-04-06', 'DO', 'Dominican Republic', 'AMRO', '0', '1488', '0', '68');
INSERT INTO public.who_import VALUES (24581, '2020-04-07', 'DO', 'Dominican Republic', 'AMRO', '340', '1828', '18', '86');
INSERT INTO public.who_import VALUES (24582, '2020-04-08', 'DO', 'Dominican Republic', 'AMRO', '128', '1956', '12', '98');
INSERT INTO public.who_import VALUES (24583, '2020-04-09', 'DO', 'Dominican Republic', 'AMRO', '0', '1956', '0', '98');
INSERT INTO public.who_import VALUES (24584, '2020-04-10', 'DO', 'Dominican Republic', 'AMRO', '393', '2349', '20', '118');
INSERT INTO public.who_import VALUES (24585, '2020-04-11', 'DO', 'Dominican Republic', 'AMRO', '0', '2349', '0', '118');
INSERT INTO public.who_import VALUES (24586, '2020-04-12', 'DO', 'Dominican Republic', 'AMRO', '271', '2620', '8', '126');
INSERT INTO public.who_import VALUES (24587, '2020-04-13', 'DO', 'Dominican Republic', 'AMRO', '347', '2967', '47', '173');
INSERT INTO public.who_import VALUES (24588, '2020-04-14', 'DO', 'Dominican Republic', 'AMRO', '200', '3167', '4', '177');
INSERT INTO public.who_import VALUES (24589, '2020-04-15', 'DO', 'Dominican Republic', 'AMRO', '119', '3286', '6', '183');
INSERT INTO public.who_import VALUES (24590, '2020-04-16', 'DO', 'Dominican Republic', 'AMRO', '328', '3614', '6', '189');
INSERT INTO public.who_import VALUES (24591, '2020-04-17', 'DO', 'Dominican Republic', 'AMRO', '141', '3755', '7', '196');
INSERT INTO public.who_import VALUES (24592, '2020-04-18', 'DO', 'Dominican Republic', 'AMRO', '371', '4126', '4', '200');
INSERT INTO public.who_import VALUES (24593, '2020-04-19', 'DO', 'Dominican Republic', 'AMRO', '209', '4335', '17', '217');
INSERT INTO public.who_import VALUES (24594, '2020-04-20', 'DO', 'Dominican Republic', 'AMRO', '345', '4680', '9', '226');
INSERT INTO public.who_import VALUES (24595, '2020-04-21', 'DO', 'Dominican Republic', 'AMRO', '284', '4964', '9', '235');
INSERT INTO public.who_import VALUES (24596, '2020-04-22', 'DO', 'Dominican Republic', 'AMRO', '80', '5044', '10', '245');
INSERT INTO public.who_import VALUES (24597, '2020-04-23', 'DO', 'Dominican Republic', 'AMRO', '256', '5300', '15', '260');
INSERT INTO public.who_import VALUES (24598, '2020-04-24', 'DO', 'Dominican Republic', 'AMRO', '243', '5543', '5', '265');
INSERT INTO public.who_import VALUES (24599, '2020-04-25', 'DO', 'Dominican Republic', 'AMRO', '206', '5749', '2', '267');
INSERT INTO public.who_import VALUES (24600, '2020-04-26', 'DO', 'Dominican Republic', 'AMRO', '177', '5926', '6', '273');
INSERT INTO public.who_import VALUES (24601, '2020-04-27', 'DO', 'Dominican Republic', 'AMRO', '209', '6135', '5', '278');
INSERT INTO public.who_import VALUES (24602, '2020-04-28', 'DO', 'Dominican Republic', 'AMRO', '158', '6293', '4', '282');
INSERT INTO public.who_import VALUES (24603, '2020-04-29', 'DO', 'Dominican Republic', 'AMRO', '123', '6416', '4', '286');
INSERT INTO public.who_import VALUES (24604, '2020-04-30', 'DO', 'Dominican Republic', 'AMRO', '236', '6652', '7', '293');
INSERT INTO public.who_import VALUES (24605, '2020-05-01', 'DO', 'Dominican Republic', 'AMRO', '320', '6972', '8', '301');
INSERT INTO public.who_import VALUES (24606, '2020-05-02', 'DO', 'Dominican Republic', 'AMRO', '316', '7288', '12', '313');
INSERT INTO public.who_import VALUES (24607, '2020-05-03', 'DO', 'Dominican Republic', 'AMRO', '290', '7578', '13', '326');
INSERT INTO public.who_import VALUES (24608, '2020-05-04', 'DO', 'Dominican Republic', 'AMRO', '376', '7954', '7', '333');
INSERT INTO public.who_import VALUES (24609, '2020-05-05', 'DO', 'Dominican Republic', 'AMRO', '281', '8235', '13', '346');
INSERT INTO public.who_import VALUES (24610, '2020-05-06', 'DO', 'Dominican Republic', 'AMRO', '245', '8480', '8', '354');
INSERT INTO public.who_import VALUES (24611, '2020-05-07', 'DO', 'Dominican Republic', 'AMRO', '327', '8807', '8', '362');
INSERT INTO public.who_import VALUES (24612, '2020-05-08', 'DO', 'Dominican Republic', 'AMRO', '288', '9095', '11', '373');
INSERT INTO public.who_import VALUES (24613, '2020-05-09', 'DO', 'Dominican Republic', 'AMRO', '281', '9376', '7', '380');
INSERT INTO public.who_import VALUES (24614, '2020-05-10', 'DO', 'Dominican Republic', 'AMRO', '506', '9882', '5', '385');
INSERT INTO public.who_import VALUES (24615, '2020-05-11', 'DO', 'Dominican Republic', 'AMRO', '465', '10347', '3', '388');
INSERT INTO public.who_import VALUES (24616, '2020-05-12', 'DO', 'Dominican Republic', 'AMRO', '287', '10634', '5', '393');
INSERT INTO public.who_import VALUES (24617, '2020-05-13', 'DO', 'Dominican Republic', 'AMRO', '266', '10900', '9', '402');
INSERT INTO public.who_import VALUES (24618, '2020-05-14', 'DO', 'Dominican Republic', 'AMRO', '296', '11196', '7', '409');
INSERT INTO public.who_import VALUES (24619, '2020-05-15', 'DO', 'Dominican Republic', 'AMRO', '124', '11320', '13', '422');
INSERT INTO public.who_import VALUES (24620, '2020-05-16', 'DO', 'Dominican Republic', 'AMRO', '419', '11739', '2', '424');
INSERT INTO public.who_import VALUES (24621, '2020-05-17', 'DO', 'Dominican Republic', 'AMRO', '371', '12110', '4', '428');
INSERT INTO public.who_import VALUES (24622, '2020-05-18', 'DO', 'Dominican Republic', 'AMRO', '204', '12314', '0', '428');
INSERT INTO public.who_import VALUES (24623, '2020-05-19', 'DO', 'Dominican Republic', 'AMRO', '411', '12725', '6', '434');
INSERT INTO public.who_import VALUES (24624, '2020-05-20', 'DO', 'Dominican Republic', 'AMRO', '498', '13223', '7', '441');
INSERT INTO public.who_import VALUES (24625, '2020-05-21', 'DO', 'Dominican Republic', 'AMRO', '254', '13477', '5', '446');
INSERT INTO public.who_import VALUES (24626, '2020-05-22', 'DO', 'Dominican Republic', 'AMRO', '180', '13657', '2', '448');
INSERT INTO public.who_import VALUES (24627, '2020-05-23', 'DO', 'Dominican Republic', 'AMRO', '332', '13989', '8', '456');
INSERT INTO public.who_import VALUES (24628, '2020-05-24', 'DO', 'Dominican Republic', 'AMRO', '433', '14422', '2', '458');
INSERT INTO public.who_import VALUES (24629, '2020-05-25', 'DO', 'Dominican Republic', 'AMRO', '379', '14801', '0', '458');
INSERT INTO public.who_import VALUES (24630, '2020-05-26', 'DO', 'Dominican Republic', 'AMRO', '272', '15073', '2', '460');
INSERT INTO public.who_import VALUES (24631, '2020-05-27', 'DO', 'Dominican Republic', 'AMRO', '191', '15264', '8', '468');
INSERT INTO public.who_import VALUES (24632, '2020-05-28', 'DO', 'Dominican Republic', 'AMRO', '459', '15723', '6', '474');
INSERT INTO public.who_import VALUES (24633, '2020-05-29', 'DO', 'Dominican Republic', 'AMRO', '345', '16068', '11', '485');
INSERT INTO public.who_import VALUES (24634, '2020-05-30', 'DO', 'Dominican Republic', 'AMRO', '463', '16531', '3', '488');
INSERT INTO public.who_import VALUES (24635, '2020-05-31', 'DO', 'Dominican Republic', 'AMRO', '377', '16908', '10', '498');
INSERT INTO public.who_import VALUES (24636, '2020-06-01', 'DO', 'Dominican Republic', 'AMRO', '377', '17285', '4', '502');
INSERT INTO public.who_import VALUES (24637, '2020-06-02', 'DO', 'Dominican Republic', 'AMRO', '287', '17572', '0', '502');
INSERT INTO public.who_import VALUES (24638, '2020-06-03', 'DO', 'Dominican Republic', 'AMRO', '180', '17752', '13', '515');
INSERT INTO public.who_import VALUES (24639, '2020-06-04', 'DO', 'Dominican Republic', 'AMRO', '288', '18040', '1', '516');
INSERT INTO public.who_import VALUES (24640, '2020-06-05', 'DO', 'Dominican Republic', 'AMRO', '279', '18319', '4', '520');
INSERT INTO public.who_import VALUES (24641, '2020-06-06', 'DO', 'Dominican Republic', 'AMRO', '389', '18708', '5', '525');
INSERT INTO public.who_import VALUES (24642, '2020-06-07', 'DO', 'Dominican Republic', 'AMRO', '487', '19195', '11', '536');
INSERT INTO public.who_import VALUES (24643, '2020-06-08', 'DO', 'Dominican Republic', 'AMRO', '405', '19600', '2', '538');
INSERT INTO public.who_import VALUES (24644, '2020-06-09', 'DO', 'Dominican Republic', 'AMRO', '526', '20126', '1', '539');
INSERT INTO public.who_import VALUES (24645, '2020-06-10', 'DO', 'Dominican Republic', 'AMRO', '289', '20415', '5', '544');
INSERT INTO public.who_import VALUES (24646, '2020-06-11', 'DO', 'Dominican Republic', 'AMRO', '393', '20808', '6', '550');
INSERT INTO public.who_import VALUES (24647, '2020-06-12', 'DO', 'Dominican Republic', 'AMRO', '629', '21437', '11', '561');
INSERT INTO public.who_import VALUES (24648, '2020-06-13', 'DO', 'Dominican Republic', 'AMRO', '571', '22008', '7', '568');
INSERT INTO public.who_import VALUES (24649, '2020-06-14', 'DO', 'Dominican Republic', 'AMRO', '564', '22572', '9', '577');
INSERT INTO public.who_import VALUES (24650, '2020-06-15', 'DO', 'Dominican Republic', 'AMRO', '390', '22962', '15', '592');
INSERT INTO public.who_import VALUES (24651, '2020-06-16', 'DO', 'Dominican Republic', 'AMRO', '309', '23271', '13', '605');
INSERT INTO public.who_import VALUES (24652, '2020-06-17', 'DO', 'Dominican Republic', 'AMRO', '415', '23686', '10', '615');
INSERT INTO public.who_import VALUES (24653, '2020-06-18', 'DO', 'Dominican Republic', 'AMRO', '419', '24105', '18', '633');
INSERT INTO public.who_import VALUES (24654, '2020-06-19', 'DO', 'Dominican Republic', 'AMRO', '540', '24645', '2', '635');
INSERT INTO public.who_import VALUES (24655, '2020-06-20', 'DO', 'Dominican Republic', 'AMRO', '423', '25068', '12', '647');
INSERT INTO public.who_import VALUES (24656, '2020-06-21', 'DO', 'Dominican Republic', 'AMRO', '710', '25778', '8', '655');
INSERT INTO public.who_import VALUES (24657, '2020-06-22', 'DO', 'Dominican Republic', 'AMRO', '899', '26677', '7', '662');
INSERT INTO public.who_import VALUES (24658, '2020-06-23', 'DO', 'Dominican Republic', 'AMRO', '693', '27370', '7', '669');
INSERT INTO public.who_import VALUES (24659, '2020-06-24', 'DO', 'Dominican Republic', 'AMRO', '566', '27936', '6', '675');
INSERT INTO public.who_import VALUES (24660, '2020-06-25', 'DO', 'Dominican Republic', 'AMRO', '695', '28631', '16', '691');
INSERT INTO public.who_import VALUES (24661, '2020-06-26', 'DO', 'Dominican Republic', 'AMRO', '510', '29141', '7', '698');
INSERT INTO public.who_import VALUES (24662, '2020-06-27', 'DO', 'Dominican Republic', 'AMRO', '623', '29764', '14', '712');
INSERT INTO public.who_import VALUES (24663, '2020-06-28', 'DO', 'Dominican Republic', 'AMRO', '855', '30619', '6', '718');
INSERT INTO public.who_import VALUES (24664, '2020-06-29', 'DO', 'Dominican Republic', 'AMRO', '754', '31373', '8', '726');
INSERT INTO public.who_import VALUES (24665, '2020-06-30', 'DO', 'Dominican Republic', 'AMRO', '443', '31816', '7', '733');
INSERT INTO public.who_import VALUES (24666, '2020-07-01', 'DO', 'Dominican Republic', 'AMRO', '752', '32568', '14', '747');
INSERT INTO public.who_import VALUES (24667, '2020-07-02', 'DO', 'Dominican Republic', 'AMRO', '819', '33387', '7', '754');
INSERT INTO public.who_import VALUES (24668, '2020-07-03', 'DO', 'Dominican Republic', 'AMRO', '810', '34197', '11', '765');
INSERT INTO public.who_import VALUES (24669, '2020-07-04', 'DO', 'Dominican Republic', 'AMRO', '951', '35148', '10', '775');
INSERT INTO public.who_import VALUES (24946, '2020-02-17', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24670, '2020-07-05', 'DO', 'Dominican Republic', 'AMRO', '1036', '36184', '11', '786');
INSERT INTO public.who_import VALUES (24671, '2020-07-06', 'DO', 'Dominican Republic', 'AMRO', '1241', '37425', '8', '794');
INSERT INTO public.who_import VALUES (24672, '2020-07-07', 'DO', 'Dominican Republic', 'AMRO', '703', '38128', '10', '804');
INSERT INTO public.who_import VALUES (24673, '2020-07-08', 'DO', 'Dominican Republic', 'AMRO', '302', '38430', '17', '821');
INSERT INTO public.who_import VALUES (24674, '2020-07-09', 'DO', 'Dominican Republic', 'AMRO', '1158', '39588', '8', '829');
INSERT INTO public.who_import VALUES (24675, '2020-07-10', 'DO', 'Dominican Republic', 'AMRO', '1202', '40790', '13', '842');
INSERT INTO public.who_import VALUES (24676, '2020-07-11', 'DO', 'Dominican Republic', 'AMRO', '1125', '41915', '22', '864');
INSERT INTO public.who_import VALUES (24677, '2020-07-12', 'DO', 'Dominican Republic', 'AMRO', '1199', '43114', '16', '880');
INSERT INTO public.who_import VALUES (24678, '2020-07-13', 'DO', 'Dominican Republic', 'AMRO', '1418', '44532', '17', '897');
INSERT INTO public.who_import VALUES (24679, '2020-07-14', 'DO', 'Dominican Republic', 'AMRO', '974', '45506', '6', '903');
INSERT INTO public.who_import VALUES (24680, '2020-07-15', 'DO', 'Dominican Republic', 'AMRO', '799', '46305', '7', '910');
INSERT INTO public.who_import VALUES (24681, '2020-07-16', 'DO', 'Dominican Republic', 'AMRO', '1366', '47671', '19', '929');
INSERT INTO public.who_import VALUES (24682, '2020-07-17', 'DO', 'Dominican Republic', 'AMRO', '1072', '48743', '12', '941');
INSERT INTO public.who_import VALUES (24683, '2020-07-18', 'DO', 'Dominican Republic', 'AMRO', '1370', '50113', '1', '942');
INSERT INTO public.who_import VALUES (24684, '2020-07-19', 'DO', 'Dominican Republic', 'AMRO', '1406', '51519', '29', '971');
INSERT INTO public.who_import VALUES (24685, '2020-07-20', 'DO', 'Dominican Republic', 'AMRO', '1336', '52855', '10', '981');
INSERT INTO public.who_import VALUES (24686, '2020-07-21', 'DO', 'Dominican Republic', 'AMRO', '1101', '53956', '12', '993');
INSERT INTO public.who_import VALUES (24687, '2020-07-22', 'DO', 'Dominican Republic', 'AMRO', '841', '54797', '6', '999');
INSERT INTO public.who_import VALUES (24688, '2020-07-23', 'DO', 'Dominican Republic', 'AMRO', '1246', '56043', '6', '1005');
INSERT INTO public.who_import VALUES (24689, '2020-07-24', 'DO', 'Dominican Republic', 'AMRO', '1572', '57615', '1', '1006');
INSERT INTO public.who_import VALUES (24690, '2020-07-25', 'DO', 'Dominican Republic', 'AMRO', '1462', '59077', '30', '1036');
INSERT INTO public.who_import VALUES (24691, '2020-07-26', 'DO', 'Dominican Republic', 'AMRO', '1819', '60896', '19', '1055');
INSERT INTO public.who_import VALUES (24692, '2020-07-27', 'DO', 'Dominican Republic', 'AMRO', '2012', '62908', '8', '1063');
INSERT INTO public.who_import VALUES (24693, '2020-07-28', 'DO', 'Dominican Republic', 'AMRO', '1248', '64156', '20', '1083');
INSERT INTO public.who_import VALUES (24694, '2020-07-29', 'DO', 'Dominican Republic', 'AMRO', '534', '64690', '18', '1101');
INSERT INTO public.who_import VALUES (24695, '2020-07-30', 'DO', 'Dominican Republic', 'AMRO', '1492', '66182', '22', '1123');
INSERT INTO public.who_import VALUES (24696, '2020-07-31', 'DO', 'Dominican Republic', 'AMRO', '1733', '67915', '23', '1146');
INSERT INTO public.who_import VALUES (24697, '2020-08-01', 'DO', 'Dominican Republic', 'AMRO', '1734', '69649', '14', '1160');
INSERT INTO public.who_import VALUES (24698, '2020-08-02', 'DO', 'Dominican Republic', 'AMRO', '1766', '71415', '10', '1170');
INSERT INTO public.who_import VALUES (24699, '2020-08-03', 'DO', 'Dominican Republic', 'AMRO', '828', '72243', '8', '1178');
INSERT INTO public.who_import VALUES (24700, '2020-08-04', 'DO', 'Dominican Republic', 'AMRO', '874', '73117', '5', '1183');
INSERT INTO public.who_import VALUES (24701, '2020-08-05', 'DO', 'Dominican Republic', 'AMRO', '1178', '74295', '30', '1213');
INSERT INTO public.who_import VALUES (24702, '2020-08-06', 'DO', 'Dominican Republic', 'AMRO', '1365', '75660', '9', '1222');
INSERT INTO public.who_import VALUES (24703, '2020-08-07', 'DO', 'Dominican Republic', 'AMRO', '876', '76536', '24', '1246');
INSERT INTO public.who_import VALUES (24704, '2020-08-08', 'DO', 'Dominican Republic', 'AMRO', '1173', '77709', '13', '1259');
INSERT INTO public.who_import VALUES (24705, '2020-08-09', 'DO', 'Dominican Republic', 'AMRO', '1069', '78778', '30', '1289');
INSERT INTO public.who_import VALUES (24706, '2020-08-10', 'DO', 'Dominican Republic', 'AMRO', '954', '79732', '20', '1309');
INSERT INTO public.who_import VALUES (24707, '2020-08-11', 'DO', 'Dominican Republic', 'AMRO', '767', '80499', '19', '1328');
INSERT INTO public.who_import VALUES (24708, '2020-08-12', 'DO', 'Dominican Republic', 'AMRO', '595', '81094', '18', '1346');
INSERT INTO public.who_import VALUES (24709, '2020-08-13', 'DO', 'Dominican Republic', 'AMRO', '1130', '82224', '25', '1371');
INSERT INTO public.who_import VALUES (24710, '2020-08-14', 'DO', 'Dominican Republic', 'AMRO', '910', '83134', '22', '1393');
INSERT INTO public.who_import VALUES (24711, '2020-08-15', 'DO', 'Dominican Republic', 'AMRO', '1354', '84488', '16', '1409');
INSERT INTO public.who_import VALUES (24712, '2020-08-16', 'DO', 'Dominican Republic', 'AMRO', '1057', '85545', '29', '1438');
INSERT INTO public.who_import VALUES (24713, '2020-08-17', 'DO', 'Dominican Republic', 'AMRO', '764', '86309', '15', '1453');
INSERT INTO public.who_import VALUES (24714, '2020-08-18', 'DO', 'Dominican Republic', 'AMRO', '428', '86737', '28', '1481');
INSERT INTO public.who_import VALUES (24715, '2020-08-19', 'DO', 'Dominican Republic', 'AMRO', '386', '87123', '8', '1489');
INSERT INTO public.who_import VALUES (24716, '2020-08-20', 'DO', 'Dominican Republic', 'AMRO', '1004', '88127', '12', '1501');
INSERT INTO public.who_import VALUES (24717, '2020-08-21', 'DO', 'Dominican Republic', 'AMRO', '0', '88127', '0', '1501');
INSERT INTO public.who_import VALUES (24718, '2020-08-22', 'DO', 'Dominican Republic', 'AMRO', '1740', '89867', '32', '1533');
INSERT INTO public.who_import VALUES (24719, '2020-08-23', 'DO', 'Dominican Republic', 'AMRO', '694', '90561', '21', '1554');
INSERT INTO public.who_import VALUES (24720, '2020-08-24', 'DO', 'Dominican Republic', 'AMRO', '600', '91161', '13', '1567');
INSERT INTO public.who_import VALUES (24721, '2020-08-25', 'DO', 'Dominican Republic', 'AMRO', '447', '91608', '6', '1573');
INSERT INTO public.who_import VALUES (24722, '2020-08-26', 'DO', 'Dominican Republic', 'AMRO', '609', '92217', '12', '1585');
INSERT INTO public.who_import VALUES (24723, '2020-08-27', 'DO', 'Dominican Republic', 'AMRO', '340', '92557', '28', '1613');
INSERT INTO public.who_import VALUES (24724, '2020-08-28', 'DO', 'Dominican Republic', 'AMRO', '407', '92964', '17', '1630');
INSERT INTO public.who_import VALUES (24725, '2020-08-29', 'DO', 'Dominican Republic', 'AMRO', '426', '93390', '18', '1648');
INSERT INTO public.who_import VALUES (24726, '2020-08-30', 'DO', 'Dominican Republic', 'AMRO', '336', '93726', '25', '1673');
INSERT INTO public.who_import VALUES (24727, '2020-08-31', 'DO', 'Dominican Republic', 'AMRO', '509', '94235', '8', '1681');
INSERT INTO public.who_import VALUES (24728, '2020-09-01', 'DO', 'Dominican Republic', 'AMRO', '480', '94715', '29', '1710');
INSERT INTO public.who_import VALUES (24729, '2020-09-02', 'DO', 'Dominican Republic', 'AMRO', '264', '94979', '28', '1738');
INSERT INTO public.who_import VALUES (24730, '2020-09-03', 'DO', 'Dominican Republic', 'AMRO', '648', '95627', '27', '1765');
INSERT INTO public.who_import VALUES (24731, '2020-09-04', 'DO', 'Dominican Republic', 'AMRO', '1002', '96629', '36', '1801');
INSERT INTO public.who_import VALUES (24732, '2020-09-05', 'DO', 'Dominican Republic', 'AMRO', '0', '96629', '0', '1801');
INSERT INTO public.who_import VALUES (24733, '2020-09-06', 'DO', 'Dominican Republic', 'AMRO', '2147', '98776', '39', '1840');
INSERT INTO public.who_import VALUES (24734, '2020-09-07', 'DO', 'Dominican Republic', 'AMRO', '557', '99333', '5', '1845');
INSERT INTO public.who_import VALUES (24735, '2020-09-08', 'DO', 'Dominican Republic', 'AMRO', '565', '99898', '19', '1864');
INSERT INTO public.who_import VALUES (24736, '2020-09-09', 'DO', 'Dominican Republic', 'AMRO', '233', '100131', '25', '1889');
INSERT INTO public.who_import VALUES (24737, '2020-09-10', 'DO', 'Dominican Republic', 'AMRO', '806', '100937', '25', '1914');
INSERT INTO public.who_import VALUES (24738, '2020-09-11', 'DO', 'Dominican Republic', 'AMRO', '779', '101716', '12', '1926');
INSERT INTO public.who_import VALUES (24739, '2020-09-12', 'DO', 'Dominican Republic', 'AMRO', '516', '102232', '15', '1941');
INSERT INTO public.who_import VALUES (24740, '2020-09-13', 'DO', 'Dominican Republic', 'AMRO', '0', '102232', '0', '1941');
INSERT INTO public.who_import VALUES (24741, '2020-09-14', 'DO', 'Dominican Republic', 'AMRO', '1428', '103660', '27', '1968');
INSERT INTO public.who_import VALUES (24742, '2020-09-15', 'DO', 'Dominican Republic', 'AMRO', '450', '104110', '16', '1984');
INSERT INTO public.who_import VALUES (24743, '2020-09-16', 'DO', 'Dominican Republic', 'AMRO', '693', '104803', '14', '1998');
INSERT INTO public.who_import VALUES (24744, '2020-09-17', 'DO', 'Dominican Republic', 'AMRO', '718', '105521', '11', '2009');
INSERT INTO public.who_import VALUES (24745, '2020-09-18', 'DO', 'Dominican Republic', 'AMRO', '615', '106136', '13', '2022');
INSERT INTO public.who_import VALUES (24746, '2020-09-19', 'DO', 'Dominican Republic', 'AMRO', '596', '106732', '12', '2034');
INSERT INTO public.who_import VALUES (24747, '2020-09-20', 'DO', 'Dominican Republic', 'AMRO', '968', '107700', '10', '2044');
INSERT INTO public.who_import VALUES (24748, '2020-09-21', 'DO', 'Dominican Republic', 'AMRO', '589', '108289', '3', '2047');
INSERT INTO public.who_import VALUES (24749, '2020-09-22', 'DO', 'Dominican Republic', 'AMRO', '494', '108783', '7', '2054');
INSERT INTO public.who_import VALUES (24750, '2020-09-23', 'DO', 'Dominican Republic', 'AMRO', '486', '109269', '10', '2064');
INSERT INTO public.who_import VALUES (24751, '2020-09-24', 'DO', 'Dominican Republic', 'AMRO', '468', '109737', '10', '2074');
INSERT INTO public.who_import VALUES (24752, '2020-09-25', 'DO', 'Dominican Republic', 'AMRO', '385', '110122', '2', '2076');
INSERT INTO public.who_import VALUES (24753, '2020-09-26', 'DO', 'Dominican Republic', 'AMRO', '475', '110597', '11', '2087');
INSERT INTO public.who_import VALUES (24754, '2020-09-27', 'DO', 'Dominican Republic', 'AMRO', '360', '110957', '6', '2093');
INSERT INTO public.who_import VALUES (24755, '2020-09-28', 'DO', 'Dominican Republic', 'AMRO', '429', '111386', '2', '2095');
INSERT INTO public.who_import VALUES (24756, '2020-09-29', 'DO', 'Dominican Republic', 'AMRO', '280', '111666', '3', '2098');
INSERT INTO public.who_import VALUES (24757, '2020-09-30', 'DO', 'Dominican Republic', 'AMRO', '234', '111900', '3', '2101');
INSERT INTO public.who_import VALUES (24947, '2020-02-18', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24758, '2020-10-01', 'DO', 'Dominican Republic', 'AMRO', '309', '112209', '4', '2105');
INSERT INTO public.who_import VALUES (24759, '2020-10-02', 'DO', 'Dominican Republic', 'AMRO', '519', '112728', '3', '2108');
INSERT INTO public.who_import VALUES (24760, '2020-10-03', 'DO', 'Dominican Republic', 'AMRO', '622', '113350', '9', '2117');
INSERT INTO public.who_import VALUES (24761, '2020-10-04', 'DO', 'Dominican Republic', 'AMRO', '576', '113926', '11', '2128');
INSERT INTO public.who_import VALUES (24762, '2020-10-05', 'DO', 'Dominican Republic', 'AMRO', '554', '114480', '6', '2134');
INSERT INTO public.who_import VALUES (24763, '2020-10-06', 'DO', 'Dominican Republic', 'AMRO', '574', '115054', '10', '2144');
INSERT INTO public.who_import VALUES (24764, '2020-10-07', 'DO', 'Dominican Republic', 'AMRO', '317', '115371', '5', '2149');
INSERT INTO public.who_import VALUES (24765, '2020-10-08', 'DO', 'Dominican Republic', 'AMRO', '777', '116148', '10', '2159');
INSERT INTO public.who_import VALUES (24766, '2020-10-09', 'DO', 'Dominican Republic', 'AMRO', '724', '116872', '4', '2163');
INSERT INTO public.who_import VALUES (24767, '2020-10-10', 'DO', 'Dominican Republic', 'AMRO', '585', '117457', '2', '2165');
INSERT INTO public.who_import VALUES (24768, '2020-10-11', 'DO', 'Dominican Republic', 'AMRO', '557', '118014', '2', '2167');
INSERT INTO public.who_import VALUES (24769, '2020-10-12', 'DO', 'Dominican Republic', 'AMRO', '463', '118477', '6', '2173');
INSERT INTO public.who_import VALUES (24770, '2020-10-13', 'DO', 'Dominican Republic', 'AMRO', '366', '118843', '6', '2179');
INSERT INTO public.who_import VALUES (24771, '2020-10-14', 'DO', 'Dominican Republic', 'AMRO', '165', '119008', '4', '2183');
INSERT INTO public.who_import VALUES (24772, '2020-10-15', 'DO', 'Dominican Republic', 'AMRO', '654', '119662', '3', '2186');
INSERT INTO public.who_import VALUES (24773, '2020-10-16', 'DO', 'Dominican Republic', 'AMRO', '404', '120066', '3', '2189');
INSERT INTO public.who_import VALUES (24774, '2020-10-17', 'DO', 'Dominican Republic', 'AMRO', '384', '120450', '3', '2192');
INSERT INTO public.who_import VALUES (24775, '2020-10-18', 'DO', 'Dominican Republic', 'AMRO', '475', '120925', '3', '2195');
INSERT INTO public.who_import VALUES (24776, '2020-10-19', 'DO', 'Dominican Republic', 'AMRO', '422', '121347', '4', '2199');
INSERT INTO public.who_import VALUES (24777, '2020-10-20', 'DO', 'Dominican Republic', 'AMRO', '320', '121667', '4', '2203');
INSERT INTO public.who_import VALUES (24778, '2020-10-21', 'DO', 'Dominican Republic', 'AMRO', '306', '121973', '1', '2204');
INSERT INTO public.who_import VALUES (24779, '2020-10-22', 'DO', 'Dominican Republic', 'AMRO', '425', '122398', '2', '2206');
INSERT INTO public.who_import VALUES (24780, '2020-10-23', 'DO', 'Dominican Republic', 'AMRO', '475', '122873', '6', '2212');
INSERT INTO public.who_import VALUES (24781, '2020-10-24', 'DO', 'Dominican Republic', 'AMRO', '0', '122873', '0', '2212');
INSERT INTO public.who_import VALUES (24782, '2020-10-25', 'DO', 'Dominican Republic', 'AMRO', '1145', '124018', '8', '2220');
INSERT INTO public.who_import VALUES (24783, '2020-10-26', 'DO', 'Dominican Republic', 'AMRO', '509', '124527', '3', '2223');
INSERT INTO public.who_import VALUES (24784, '2020-10-27', 'DO', 'Dominican Republic', 'AMRO', '316', '124843', '2', '2225');
INSERT INTO public.who_import VALUES (24785, '2020-10-28', 'DO', 'Dominican Republic', 'AMRO', '165', '125008', '1', '2226');
INSERT INTO public.who_import VALUES (24786, '2020-10-29', 'DO', 'Dominican Republic', 'AMRO', '562', '125570', '6', '2232');
INSERT INTO public.who_import VALUES (24787, '2020-10-30', 'DO', 'Dominican Republic', 'AMRO', '343', '125913', '2', '2234');
INSERT INTO public.who_import VALUES (24788, '2020-10-31', 'DO', 'Dominican Republic', 'AMRO', '419', '126332', '2', '2236');
INSERT INTO public.who_import VALUES (24789, '2020-11-01', 'DO', 'Dominican Republic', 'AMRO', '686', '127018', '9', '2245');
INSERT INTO public.who_import VALUES (24790, '2020-11-02', 'DO', 'Dominican Republic', 'AMRO', '314', '127332', '4', '2249');
INSERT INTO public.who_import VALUES (24791, '2020-11-03', 'DO', 'Dominican Republic', 'AMRO', '259', '127591', '1', '2250');
INSERT INTO public.who_import VALUES (24792, '2020-11-04', 'DO', 'Dominican Republic', 'AMRO', '257', '127848', '2', '2252');
INSERT INTO public.who_import VALUES (24793, '2020-11-05', 'DO', 'Dominican Republic', 'AMRO', '430', '128278', '5', '2257');
INSERT INTO public.who_import VALUES (24794, '2020-11-06', 'DO', 'Dominican Republic', 'AMRO', '546', '128824', '3', '2260');
INSERT INTO public.who_import VALUES (24795, '2020-11-07', 'DO', 'Dominican Republic', 'AMRO', '476', '129300', '1', '2261');
INSERT INTO public.who_import VALUES (24796, '2020-11-08', 'DO', 'Dominican Republic', 'AMRO', '345', '129645', '2', '2263');
INSERT INTO public.who_import VALUES (24797, '2020-11-09', 'DO', 'Dominican Republic', 'AMRO', '537', '130182', '2', '2265');
INSERT INTO public.who_import VALUES (24798, '2020-11-10', 'DO', 'Dominican Republic', 'AMRO', '421', '130603', '2', '2267');
INSERT INTO public.who_import VALUES (24799, '2020-11-11', 'DO', 'Dominican Republic', 'AMRO', '528', '131131', '2', '2269');
INSERT INTO public.who_import VALUES (24800, '2020-11-12', 'DO', 'Dominican Republic', 'AMRO', '134', '131265', '3', '2272');
INSERT INTO public.who_import VALUES (24801, '2020-11-13', 'DO', 'Dominican Republic', 'AMRO', '371', '131636', '2', '2274');
INSERT INTO public.who_import VALUES (24802, '2020-11-14', 'DO', 'Dominican Republic', 'AMRO', '918', '132554', '6', '2280');
INSERT INTO public.who_import VALUES (24803, '2020-11-15', 'DO', 'Dominican Republic', 'AMRO', '671', '133225', '2', '2282');
INSERT INTO public.who_import VALUES (24804, '2020-11-16', 'DO', 'Dominican Republic', 'AMRO', '499', '133724', '3', '2285');
INSERT INTO public.who_import VALUES (24805, '2020-11-17', 'DO', 'Dominican Republic', 'AMRO', '479', '134203', '1', '2286');
INSERT INTO public.who_import VALUES (24806, '2020-11-18', 'DO', 'Dominican Republic', 'AMRO', '494', '134697', '4', '2290');
INSERT INTO public.who_import VALUES (24807, '2020-11-19', 'DO', 'Dominican Republic', 'AMRO', '460', '135157', '3', '2293');
INSERT INTO public.who_import VALUES (24808, '2020-11-20', 'DO', 'Dominican Republic', 'AMRO', '1026', '136183', '8', '2301');
INSERT INTO public.who_import VALUES (24809, '2020-11-21', 'DO', 'Dominican Republic', 'AMRO', '601', '136784', '5', '2306');
INSERT INTO public.who_import VALUES (24810, '2020-11-22', 'DO', 'Dominican Republic', 'AMRO', '986', '137770', '2', '2308');
INSERT INTO public.who_import VALUES (24811, '2020-11-23', 'DO', 'Dominican Republic', 'AMRO', '640', '138410', '2', '2310');
INSERT INTO public.who_import VALUES (24812, '2020-11-24', 'DO', 'Dominican Republic', 'AMRO', '419', '138829', '1', '2311');
INSERT INTO public.who_import VALUES (24813, '2020-11-25', 'DO', 'Dominican Republic', 'AMRO', '282', '139111', '2', '2313');
INSERT INTO public.who_import VALUES (24814, '2020-11-26', 'DO', 'Dominican Republic', 'AMRO', '553', '139664', '2', '2315');
INSERT INTO public.who_import VALUES (24815, '2020-11-27', 'DO', 'Dominican Republic', 'AMRO', '1258', '140922', '2', '2317');
INSERT INTO public.who_import VALUES (24816, '2020-11-28', 'DO', 'Dominican Republic', 'AMRO', '855', '141777', '7', '2324');
INSERT INTO public.who_import VALUES (24817, '2020-11-29', 'DO', 'Dominican Republic', 'AMRO', '876', '142653', '4', '2328');
INSERT INTO public.who_import VALUES (24818, '2020-11-30', 'DO', 'Dominican Republic', 'AMRO', '820', '143473', '2', '2330');
INSERT INTO public.who_import VALUES (24819, '2020-12-01', 'DO', 'Dominican Republic', 'AMRO', '515', '143988', '1', '2331');
INSERT INTO public.who_import VALUES (24820, '2020-12-02', 'DO', 'Dominican Republic', 'AMRO', '314', '144302', '2', '2333');
INSERT INTO public.who_import VALUES (24821, '2020-12-03', 'DO', 'Dominican Republic', 'AMRO', '895', '145197', '1', '2334');
INSERT INTO public.who_import VALUES (24822, '2020-12-04', 'DO', 'Dominican Republic', 'AMRO', '812', '146009', '1', '2335');
INSERT INTO public.who_import VALUES (24823, '2020-12-05', 'DO', 'Dominican Republic', 'AMRO', '671', '146680', '8', '2343');
INSERT INTO public.who_import VALUES (24824, '2020-12-06', 'DO', 'Dominican Republic', 'AMRO', '975', '147655', '2', '2345');
INSERT INTO public.who_import VALUES (24825, '2020-12-07', 'DO', 'Dominican Republic', 'AMRO', '798', '148453', '0', '2345');
INSERT INTO public.who_import VALUES (24826, '2020-12-08', 'DO', 'Dominican Republic', 'AMRO', '685', '149138', '1', '2346');
INSERT INTO public.who_import VALUES (24827, '2020-12-09', 'DO', 'Dominican Republic', 'AMRO', '492', '149630', '1', '2347');
INSERT INTO public.who_import VALUES (24828, '2020-12-10', 'DO', 'Dominican Republic', 'AMRO', '531', '150161', '3', '2350');
INSERT INTO public.who_import VALUES (24829, '2020-12-11', 'DO', 'Dominican Republic', 'AMRO', '1560', '151721', '8', '2358');
INSERT INTO public.who_import VALUES (24830, '2020-12-12', 'DO', 'Dominican Republic', 'AMRO', '731', '152452', '1', '2359');
INSERT INTO public.who_import VALUES (24831, '2020-12-13', 'DO', 'Dominican Republic', 'AMRO', '1133', '153585', '1', '2360');
INSERT INTO public.who_import VALUES (24832, '2020-12-14', 'DO', 'Dominican Republic', 'AMRO', '1107', '154692', '1', '2361');
INSERT INTO public.who_import VALUES (24833, '2020-12-15', 'DO', 'Dominican Republic', 'AMRO', '492', '155184', '3', '2364');
INSERT INTO public.who_import VALUES (24834, '2020-12-16', 'DO', 'Dominican Republic', 'AMRO', '613', '155797', '3', '2367');
INSERT INTO public.who_import VALUES (24835, '2020-12-17', 'DO', 'Dominican Republic', 'AMRO', '788', '156585', '5', '2372');
INSERT INTO public.who_import VALUES (24836, '2020-12-18', 'DO', 'Dominican Republic', 'AMRO', '720', '157305', '3', '2375');
INSERT INTO public.who_import VALUES (24837, '2020-12-19', 'DO', 'Dominican Republic', 'AMRO', '624', '157929', '1', '2376');
INSERT INTO public.who_import VALUES (24838, '2020-12-20', 'DO', 'Dominican Republic', 'AMRO', '1135', '159064', '6', '2382');
INSERT INTO public.who_import VALUES (24839, '2020-12-21', 'DO', 'Dominican Republic', 'AMRO', '1322', '160386', '2', '2384');
INSERT INTO public.who_import VALUES (24840, '2020-12-22', 'DO', 'Dominican Republic', 'AMRO', '666', '161052', '1', '2385');
INSERT INTO public.who_import VALUES (24841, '2020-12-23', 'DO', 'Dominican Republic', 'AMRO', '878', '161930', '13', '2398');
INSERT INTO public.who_import VALUES (24842, '2020-12-24', 'DO', 'Dominican Republic', 'AMRO', '566', '162496', '3', '2401');
INSERT INTO public.who_import VALUES (24843, '2020-12-25', 'DO', 'Dominican Republic', 'AMRO', '1158', '163654', '3', '2404');
INSERT INTO public.who_import VALUES (24844, '2020-12-26', 'DO', 'Dominican Republic', 'AMRO', '1381', '165035', '0', '2404');
INSERT INTO public.who_import VALUES (24845, '2020-12-27', 'DO', 'Dominican Republic', 'AMRO', '905', '165940', '0', '2404');
INSERT INTO public.who_import VALUES (24948, '2020-02-19', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24846, '2020-12-28', 'DO', 'Dominican Republic', 'AMRO', '824', '166764', '0', '2404');
INSERT INTO public.who_import VALUES (24847, '2020-12-29', 'DO', 'Dominican Republic', 'AMRO', '641', '167405', '0', '2404');
INSERT INTO public.who_import VALUES (24848, '2020-12-30', 'DO', 'Dominican Republic', 'AMRO', '860', '168265', '1', '2405');
INSERT INTO public.who_import VALUES (24849, '2020-12-31', 'DO', 'Dominican Republic', 'AMRO', '1314', '169579', '4', '2409');
INSERT INTO public.who_import VALUES (24850, '2021-01-01', 'DO', 'Dominican Republic', 'AMRO', '1206', '170785', '5', '2414');
INSERT INTO public.who_import VALUES (24851, '2021-01-02', 'DO', 'Dominican Republic', 'AMRO', '1433', '172218', '2', '2416');
INSERT INTO public.who_import VALUES (24852, '2021-01-03', 'DO', 'Dominican Republic', 'AMRO', '747', '172965', '0', '2416');
INSERT INTO public.who_import VALUES (24853, '2021-01-04', 'DO', 'Dominican Republic', 'AMRO', '366', '173331', '2', '2418');
INSERT INTO public.who_import VALUES (24854, '2021-01-05', 'DO', 'Dominican Republic', 'AMRO', '0', '173331', '0', '2418');
INSERT INTO public.who_import VALUES (24855, '2021-01-06', 'DO', 'Dominican Republic', 'AMRO', '2518', '175849', '1', '2419');
INSERT INTO public.who_import VALUES (24856, '2021-01-07', 'DO', 'Dominican Republic', 'AMRO', '529', '176378', '0', '2419');
INSERT INTO public.who_import VALUES (24857, '2021-01-08', 'DO', 'Dominican Republic', 'AMRO', '1115', '177493', '4', '2423');
INSERT INTO public.who_import VALUES (24858, '2021-01-09', 'DO', 'Dominican Republic', 'AMRO', '1045', '178538', '1', '2424');
INSERT INTO public.who_import VALUES (24859, '2021-01-10', 'DO', 'Dominican Republic', 'AMRO', '2106', '180644', '0', '2424');
INSERT INTO public.who_import VALUES (24860, '2021-01-11', 'DO', 'Dominican Republic', 'AMRO', '1459', '182103', '3', '2427');
INSERT INTO public.who_import VALUES (24861, '2021-01-12', 'DO', 'Dominican Republic', 'AMRO', '1179', '183282', '0', '2427');
INSERT INTO public.who_import VALUES (24862, '2021-01-13', 'DO', 'Dominican Republic', 'AMRO', '1506', '184788', '0', '2427');
INSERT INTO public.who_import VALUES (24863, '2021-01-14', 'DO', 'Dominican Republic', 'AMRO', '1595', '186383', '1', '2428');
INSERT INTO public.who_import VALUES (24864, '2021-01-15', 'DO', 'Dominican Republic', 'AMRO', '1104', '187487', '0', '2428');
INSERT INTO public.who_import VALUES (24865, '2021-01-16', 'DO', 'Dominican Republic', 'AMRO', '1482', '188969', '4', '2432');
INSERT INTO public.who_import VALUES (24866, '2021-01-17', 'DO', 'Dominican Republic', 'AMRO', '2370', '191339', '0', '2432');
INSERT INTO public.who_import VALUES (24867, '2021-01-18', 'DO', 'Dominican Republic', 'AMRO', '1779', '193118', '5', '2437');
INSERT INTO public.who_import VALUES (24868, '2021-01-19', 'DO', 'Dominican Republic', 'AMRO', '1848', '194966', '11', '2448');
INSERT INTO public.who_import VALUES (24869, '2021-01-20', 'DO', 'Dominican Republic', 'AMRO', '1625', '196591', '13', '2461');
INSERT INTO public.who_import VALUES (24870, '2021-01-21', 'DO', 'Dominican Republic', 'AMRO', '1532', '198123', '9', '2470');
INSERT INTO public.who_import VALUES (24871, '2021-01-22', 'DO', 'Dominican Republic', 'AMRO', '1549', '199672', '12', '2482');
INSERT INTO public.who_import VALUES (24872, '2021-01-23', 'DO', 'Dominican Republic', 'AMRO', '1473', '201145', '14', '2496');
INSERT INTO public.who_import VALUES (24873, '2021-01-24', 'DO', 'Dominican Republic', 'AMRO', '1362', '202507', '17', '2513');
INSERT INTO public.who_import VALUES (24874, '2021-01-25', 'DO', 'Dominican Republic', 'AMRO', '1439', '203946', '0', '2513');
INSERT INTO public.who_import VALUES (24875, '2021-01-26', 'DO', 'Dominican Republic', 'AMRO', '1216', '205162', '32', '2545');
INSERT INTO public.who_import VALUES (24876, '2021-01-27', 'DO', 'Dominican Republic', 'AMRO', '1143', '206305', '19', '2564');
INSERT INTO public.who_import VALUES (24877, '2021-01-28', 'DO', 'Dominican Republic', 'AMRO', '1150', '207455', '15', '2579');
INSERT INTO public.who_import VALUES (24878, '2021-01-29', 'DO', 'Dominican Republic', 'AMRO', '1155', '208610', '24', '2603');
INSERT INTO public.who_import VALUES (24879, '2021-01-30', 'DO', 'Dominican Republic', 'AMRO', '1802', '210412', '23', '2626');
INSERT INTO public.who_import VALUES (24880, '2021-01-31', 'DO', 'Dominican Republic', 'AMRO', '2141', '212553', '20', '2646');
INSERT INTO public.who_import VALUES (24881, '2021-02-01', 'DO', 'Dominican Republic', 'AMRO', '1507', '214060', '20', '2666');
INSERT INTO public.who_import VALUES (24882, '2021-02-02', 'DO', 'Dominican Republic', 'AMRO', '1026', '215086', '22', '2688');
INSERT INTO public.who_import VALUES (24883, '2021-02-03', 'DO', 'Dominican Republic', 'AMRO', '834', '215920', '16', '2704');
INSERT INTO public.who_import VALUES (24884, '2021-02-04', 'DO', 'Dominican Republic', 'AMRO', '1357', '217277', '15', '2719');
INSERT INTO public.who_import VALUES (24885, '2021-02-05', 'DO', 'Dominican Republic', 'AMRO', '1671', '218948', '28', '2747');
INSERT INTO public.who_import VALUES (24886, '2021-02-06', 'DO', 'Dominican Republic', 'AMRO', '1478', '220426', '26', '2773');
INSERT INTO public.who_import VALUES (24887, '2021-02-07', 'DO', 'Dominican Republic', 'AMRO', '1722', '222148', '28', '2801');
INSERT INTO public.who_import VALUES (24888, '2021-02-08', 'DO', 'Dominican Republic', 'AMRO', '1250', '223398', '30', '2831');
INSERT INTO public.who_import VALUES (24889, '2021-02-09', 'DO', 'Dominican Republic', 'AMRO', '721', '224119', '12', '2843');
INSERT INTO public.who_import VALUES (24890, '2021-02-10', 'DO', 'Dominican Republic', 'AMRO', '419', '224538', '21', '2864');
INSERT INTO public.who_import VALUES (24891, '2021-02-11', 'DO', 'Dominican Republic', 'AMRO', '934', '225472', '19', '2883');
INSERT INTO public.who_import VALUES (24892, '2021-02-12', 'DO', 'Dominican Republic', 'AMRO', '1242', '226714', '21', '2904');
INSERT INTO public.who_import VALUES (24893, '2021-02-13', 'DO', 'Dominican Republic', 'AMRO', '1050', '227764', '13', '2917');
INSERT INTO public.who_import VALUES (24894, '2021-02-14', 'DO', 'Dominican Republic', 'AMRO', '1131', '228895', '15', '2932');
INSERT INTO public.who_import VALUES (24895, '2021-02-15', 'DO', 'Dominican Republic', 'AMRO', '873', '229768', '12', '2944');
INSERT INTO public.who_import VALUES (24896, '2021-02-16', 'DO', 'Dominican Republic', 'AMRO', '795', '230563', '15', '2959');
INSERT INTO public.who_import VALUES (24897, '2021-02-17', 'DO', 'Dominican Republic', 'AMRO', '532', '231095', '16', '2975');
INSERT INTO public.who_import VALUES (24898, '2021-02-18', 'DO', 'Dominican Republic', 'AMRO', '642', '231737', '15', '2990');
INSERT INTO public.who_import VALUES (24899, '2021-02-19', 'DO', 'Dominican Republic', 'AMRO', '1043', '232780', '17', '3007');
INSERT INTO public.who_import VALUES (24900, '2021-02-20', 'DO', 'Dominican Republic', 'AMRO', '818', '233598', '17', '3024');
INSERT INTO public.who_import VALUES (24901, '2020-01-03', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24902, '2020-01-04', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24903, '2020-01-05', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24904, '2020-01-06', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24905, '2020-01-07', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24906, '2020-01-08', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24907, '2020-01-09', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24908, '2020-01-10', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24909, '2020-01-11', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24910, '2020-01-12', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24911, '2020-01-13', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24912, '2020-01-14', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24913, '2020-01-15', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24914, '2020-01-16', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24915, '2020-01-17', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24916, '2020-01-18', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24917, '2020-01-19', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24918, '2020-01-20', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24919, '2020-01-21', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24920, '2020-01-22', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24921, '2020-01-23', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24922, '2020-01-24', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24923, '2020-01-25', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24924, '2020-01-26', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24925, '2020-01-27', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24926, '2020-01-28', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24927, '2020-01-29', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24928, '2020-01-30', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24929, '2020-01-31', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24930, '2020-02-01', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24931, '2020-02-02', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24932, '2020-02-03', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24933, '2020-02-04', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24934, '2020-02-05', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24935, '2020-02-06', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24936, '2020-02-07', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24937, '2020-02-08', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24938, '2020-02-09', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24939, '2020-02-10', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24940, '2020-02-11', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24941, '2020-02-12', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24942, '2020-02-13', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24943, '2020-02-14', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24944, '2020-02-15', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24945, '2020-02-16', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24949, '2020-02-20', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24950, '2020-02-21', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24951, '2020-02-22', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24952, '2020-02-23', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24953, '2020-02-24', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24954, '2020-02-25', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24955, '2020-02-26', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24956, '2020-02-27', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24957, '2020-02-28', 'EC', 'Ecuador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (24958, '2020-02-29', 'EC', 'Ecuador', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (24959, '2020-03-01', 'EC', 'Ecuador', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (24960, '2020-03-02', 'EC', 'Ecuador', 'AMRO', '5', '10', '0', '0');
INSERT INTO public.who_import VALUES (24961, '2020-03-03', 'EC', 'Ecuador', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (24962, '2020-03-04', 'EC', 'Ecuador', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (24963, '2020-03-05', 'EC', 'Ecuador', 'AMRO', '6', '17', '0', '0');
INSERT INTO public.who_import VALUES (24964, '2020-03-06', 'EC', 'Ecuador', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (24965, '2020-03-07', 'EC', 'Ecuador', 'AMRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (24966, '2020-03-08', 'EC', 'Ecuador', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (24967, '2020-03-09', 'EC', 'Ecuador', 'AMRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (24968, '2020-03-10', 'EC', 'Ecuador', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (24969, '2020-03-11', 'EC', 'Ecuador', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (24970, '2020-03-12', 'EC', 'Ecuador', 'AMRO', '2', '21', '0', '0');
INSERT INTO public.who_import VALUES (24971, '2020-03-13', 'EC', 'Ecuador', 'AMRO', '6', '27', '0', '0');
INSERT INTO public.who_import VALUES (24972, '2020-03-14', 'EC', 'Ecuador', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (24973, '2020-03-15', 'EC', 'Ecuador', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (24974, '2020-03-16', 'EC', 'Ecuador', 'AMRO', '14', '41', '2', '2');
INSERT INTO public.who_import VALUES (24975, '2020-03-17', 'EC', 'Ecuador', 'AMRO', '21', '62', '0', '2');
INSERT INTO public.who_import VALUES (24976, '2020-03-18', 'EC', 'Ecuador', 'AMRO', '97', '159', '0', '2');
INSERT INTO public.who_import VALUES (24977, '2020-03-19', 'EC', 'Ecuador', 'AMRO', '40', '199', '1', '3');
INSERT INTO public.who_import VALUES (24978, '2020-03-20', 'EC', 'Ecuador', 'AMRO', '168', '367', '2', '5');
INSERT INTO public.who_import VALUES (24979, '2020-03-21', 'EC', 'Ecuador', 'AMRO', '139', '506', '2', '7');
INSERT INTO public.who_import VALUES (24980, '2020-03-22', 'EC', 'Ecuador', 'AMRO', '0', '506', '0', '7');
INSERT INTO public.who_import VALUES (24981, '2020-03-23', 'EC', 'Ecuador', 'AMRO', '26', '532', '0', '7');
INSERT INTO public.who_import VALUES (24982, '2020-03-24', 'EC', 'Ecuador', 'AMRO', '517', '1049', '1', '8');
INSERT INTO public.who_import VALUES (24983, '2020-03-25', 'EC', 'Ecuador', 'AMRO', '0', '1049', '0', '8');
INSERT INTO public.who_import VALUES (24984, '2020-03-26', 'EC', 'Ecuador', 'AMRO', '162', '1211', '0', '8');
INSERT INTO public.who_import VALUES (24985, '2020-03-27', 'EC', 'Ecuador', 'AMRO', '0', '1211', '0', '8');
INSERT INTO public.who_import VALUES (24986, '2020-03-28', 'EC', 'Ecuador', 'AMRO', '384', '1595', '0', '8');
INSERT INTO public.who_import VALUES (24987, '2020-03-29', 'EC', 'Ecuador', 'AMRO', '228', '1823', '0', '8');
INSERT INTO public.who_import VALUES (24988, '2020-03-30', 'EC', 'Ecuador', 'AMRO', '12', '1835', '0', '8');
INSERT INTO public.who_import VALUES (24989, '2020-03-31', 'EC', 'Ecuador', 'AMRO', '127', '1962', '0', '8');
INSERT INTO public.who_import VALUES (24990, '2020-04-01', 'EC', 'Ecuador', 'AMRO', '278', '2240', '0', '8');
INSERT INTO public.who_import VALUES (24991, '2020-04-02', 'EC', 'Ecuador', 'AMRO', '132', '2372', '71', '79');
INSERT INTO public.who_import VALUES (24992, '2020-04-03', 'EC', 'Ecuador', 'AMRO', '791', '3163', '41', '120');
INSERT INTO public.who_import VALUES (24993, '2020-04-04', 'EC', 'Ecuador', 'AMRO', '0', '3163', '0', '120');
INSERT INTO public.who_import VALUES (24994, '2020-04-05', 'EC', 'Ecuador', 'AMRO', '302', '3465', '52', '172');
INSERT INTO public.who_import VALUES (24995, '2020-04-06', 'EC', 'Ecuador', 'AMRO', '0', '3465', '0', '172');
INSERT INTO public.who_import VALUES (24996, '2020-04-07', 'EC', 'Ecuador', 'AMRO', '282', '3747', '19', '191');
INSERT INTO public.who_import VALUES (24997, '2020-04-08', 'EC', 'Ecuador', 'AMRO', '0', '3747', '0', '191');
INSERT INTO public.who_import VALUES (24998, '2020-04-09', 'EC', 'Ecuador', 'AMRO', '703', '4450', '51', '242');
INSERT INTO public.who_import VALUES (24999, '2020-04-10', 'EC', 'Ecuador', 'AMRO', '515', '4965', '30', '272');
INSERT INTO public.who_import VALUES (25000, '2020-04-11', 'EC', 'Ecuador', 'AMRO', '2196', '7161', '25', '297');
INSERT INTO public.who_import VALUES (25001, '2020-04-12', 'EC', 'Ecuador', 'AMRO', '96', '7257', '18', '315');
INSERT INTO public.who_import VALUES (25002, '2020-04-13', 'EC', 'Ecuador', 'AMRO', '209', '7466', '18', '333');
INSERT INTO public.who_import VALUES (25003, '2020-04-14', 'EC', 'Ecuador', 'AMRO', '63', '7529', '22', '355');
INSERT INTO public.who_import VALUES (25004, '2020-04-15', 'EC', 'Ecuador', 'AMRO', '74', '7603', '14', '369');
INSERT INTO public.who_import VALUES (25005, '2020-04-16', 'EC', 'Ecuador', 'AMRO', '255', '7858', '19', '388');
INSERT INTO public.who_import VALUES (25006, '2020-04-17', 'EC', 'Ecuador', 'AMRO', '367', '8225', '15', '403');
INSERT INTO public.who_import VALUES (25007, '2020-04-18', 'EC', 'Ecuador', 'AMRO', '225', '8450', '18', '421');
INSERT INTO public.who_import VALUES (25008, '2020-04-19', 'EC', 'Ecuador', 'AMRO', '572', '9022', '35', '456');
INSERT INTO public.who_import VALUES (25009, '2020-04-20', 'EC', 'Ecuador', 'AMRO', '446', '9468', '18', '474');
INSERT INTO public.who_import VALUES (25010, '2020-04-21', 'EC', 'Ecuador', 'AMRO', '660', '10128', '33', '507');
INSERT INTO public.who_import VALUES (25011, '2020-04-22', 'EC', 'Ecuador', 'AMRO', '270', '10398', '13', '520');
INSERT INTO public.who_import VALUES (25012, '2020-04-23', 'EC', 'Ecuador', 'AMRO', '452', '10850', '17', '537');
INSERT INTO public.who_import VALUES (25013, '2020-04-24', 'EC', 'Ecuador', 'AMRO', '333', '11183', '23', '560');
INSERT INTO public.who_import VALUES (25014, '2020-04-25', 'EC', 'Ecuador', 'AMRO', '11536', '22719', '16', '576');
INSERT INTO public.who_import VALUES (25015, '2020-04-26', 'EC', 'Ecuador', 'AMRO', '0', '22719', '0', '576');
INSERT INTO public.who_import VALUES (25016, '2020-04-27', 'EC', 'Ecuador', 'AMRO', '0', '22719', '0', '576');
INSERT INTO public.who_import VALUES (25017, '2020-04-28', 'EC', 'Ecuador', 'AMRO', '521', '23240', '87', '663');
INSERT INTO public.who_import VALUES (25018, '2020-04-29', 'EC', 'Ecuador', 'AMRO', '1018', '24258', '208', '871');
INSERT INTO public.who_import VALUES (25019, '2020-04-30', 'EC', 'Ecuador', 'AMRO', '417', '24675', '12', '883');
INSERT INTO public.who_import VALUES (25020, '2020-05-01', 'EC', 'Ecuador', 'AMRO', '259', '24934', '17', '900');
INSERT INTO public.who_import VALUES (25021, '2020-05-02', 'EC', 'Ecuador', 'AMRO', '1402', '26336', '163', '1063');
INSERT INTO public.who_import VALUES (25022, '2020-05-03', 'EC', 'Ecuador', 'AMRO', '1128', '27464', '308', '1371');
INSERT INTO public.who_import VALUES (25023, '2020-05-04', 'EC', 'Ecuador', 'AMRO', '2074', '29538', '193', '1564');
INSERT INTO public.who_import VALUES (25024, '2020-05-05', 'EC', 'Ecuador', 'AMRO', '2343', '31881', '5', '1569');
INSERT INTO public.who_import VALUES (25025, '2020-05-06', 'EC', 'Ecuador', 'AMRO', '0', '31881', '0', '1569');
INSERT INTO public.who_import VALUES (25026, '2020-05-07', 'EC', 'Ecuador', 'AMRO', '-2461', '29420', '49', '1618');
INSERT INTO public.who_import VALUES (25027, '2020-05-08', 'EC', 'Ecuador', 'AMRO', '878', '30298', '36', '1654');
INSERT INTO public.who_import VALUES (25028, '2020-05-09', 'EC', 'Ecuador', 'AMRO', '0', '30298', '0', '1654');
INSERT INTO public.who_import VALUES (25029, '2020-05-10', 'EC', 'Ecuador', 'AMRO', '-1480', '28818', '50', '1704');
INSERT INTO public.who_import VALUES (25030, '2020-05-11', 'EC', 'Ecuador', 'AMRO', '741', '29559', '423', '2127');
INSERT INTO public.who_import VALUES (25031, '2020-05-12', 'EC', 'Ecuador', 'AMRO', '-50', '29509', '18', '2145');
INSERT INTO public.who_import VALUES (25032, '2020-05-13', 'EC', 'Ecuador', 'AMRO', '910', '30419', '182', '2327');
INSERT INTO public.who_import VALUES (25033, '2020-05-14', 'EC', 'Ecuador', 'AMRO', '67', '30486', '7', '2334');
INSERT INTO public.who_import VALUES (25034, '2020-05-15', 'EC', 'Ecuador', 'AMRO', '16', '30502', '4', '2338');
INSERT INTO public.who_import VALUES (25035, '2020-05-16', 'EC', 'Ecuador', 'AMRO', '0', '30502', '0', '2338');
INSERT INTO public.who_import VALUES (25036, '2020-05-17', 'EC', 'Ecuador', 'AMRO', '965', '31467', '256', '2594');
INSERT INTO public.who_import VALUES (25037, '2020-05-18', 'EC', 'Ecuador', 'AMRO', '1256', '32723', '94', '2688');
INSERT INTO public.who_import VALUES (25038, '2020-05-19', 'EC', 'Ecuador', 'AMRO', '459', '33182', '48', '2736');
INSERT INTO public.who_import VALUES (25039, '2020-05-20', 'EC', 'Ecuador', 'AMRO', '969', '34151', '103', '2839');
INSERT INTO public.who_import VALUES (25040, '2020-05-21', 'EC', 'Ecuador', 'AMRO', '0', '34151', '0', '2839');
INSERT INTO public.who_import VALUES (25041, '2020-05-22', 'EC', 'Ecuador', 'AMRO', '703', '34854', '49', '2888');
INSERT INTO public.who_import VALUES (25042, '2020-05-23', 'EC', 'Ecuador', 'AMRO', '974', '35828', '168', '3056');
INSERT INTO public.who_import VALUES (25043, '2020-05-24', 'EC', 'Ecuador', 'AMRO', '430', '36258', '40', '3096');
INSERT INTO public.who_import VALUES (25044, '2020-05-25', 'EC', 'Ecuador', 'AMRO', '498', '36756', '12', '3108');
INSERT INTO public.who_import VALUES (25045, '2020-05-26', 'EC', 'Ecuador', 'AMRO', '599', '37355', '95', '3203');
INSERT INTO public.who_import VALUES (25046, '2020-05-27', 'EC', 'Ecuador', 'AMRO', '301', '37656', '18', '3221');
INSERT INTO public.who_import VALUES (25047, '2020-05-28', 'EC', 'Ecuador', 'AMRO', '447', '38103', '54', '3275');
INSERT INTO public.who_import VALUES (25048, '2020-05-29', 'EC', 'Ecuador', 'AMRO', '368', '38471', '38', '3313');
INSERT INTO public.who_import VALUES (25049, '2020-05-30', 'EC', 'Ecuador', 'AMRO', '100', '38571', '21', '3334');
INSERT INTO public.who_import VALUES (25050, '2020-05-31', 'EC', 'Ecuador', 'AMRO', '0', '38571', '0', '3334');
INSERT INTO public.who_import VALUES (25051, '2020-06-01', 'EC', 'Ecuador', 'AMRO', '527', '39098', '24', '3358');
INSERT INTO public.who_import VALUES (25052, '2020-06-02', 'EC', 'Ecuador', 'AMRO', '0', '39098', '0', '3358');
INSERT INTO public.who_import VALUES (25053, '2020-06-03', 'EC', 'Ecuador', 'AMRO', '1316', '40414', '80', '3438');
INSERT INTO public.who_import VALUES (25054, '2020-06-04', 'EC', 'Ecuador', 'AMRO', '552', '40966', '48', '3486');
INSERT INTO public.who_import VALUES (25055, '2020-06-05', 'EC', 'Ecuador', 'AMRO', '0', '40966', '0', '3486');
INSERT INTO public.who_import VALUES (25056, '2020-06-06', 'EC', 'Ecuador', 'AMRO', '1140', '42106', '106', '3592');
INSERT INTO public.who_import VALUES (25057, '2020-06-07', 'EC', 'Ecuador', 'AMRO', '622', '42728', '16', '3608');
INSERT INTO public.who_import VALUES (25058, '2020-06-08', 'EC', 'Ecuador', 'AMRO', '392', '43120', '13', '3621');
INSERT INTO public.who_import VALUES (25059, '2020-06-09', 'EC', 'Ecuador', 'AMRO', '258', '43378', '21', '3642');
INSERT INTO public.who_import VALUES (25060, '2020-06-10', 'EC', 'Ecuador', 'AMRO', '539', '43917', '48', '3690');
INSERT INTO public.who_import VALUES (25061, '2020-06-11', 'EC', 'Ecuador', 'AMRO', '523', '44440', '30', '3720');
INSERT INTO public.who_import VALUES (25062, '2020-06-12', 'EC', 'Ecuador', 'AMRO', '0', '44440', '0', '3720');
INSERT INTO public.who_import VALUES (25063, '2020-06-13', 'EC', 'Ecuador', 'AMRO', '1338', '45778', '108', '3828');
INSERT INTO public.who_import VALUES (25064, '2020-06-14', 'EC', 'Ecuador', 'AMRO', '578', '46356', '46', '3874');
INSERT INTO public.who_import VALUES (25065, '2020-06-15', 'EC', 'Ecuador', 'AMRO', '395', '46751', '22', '3896');
INSERT INTO public.who_import VALUES (25066, '2020-06-16', 'EC', 'Ecuador', 'AMRO', '571', '47322', '33', '3929');
INSERT INTO public.who_import VALUES (25067, '2020-06-17', 'EC', 'Ecuador', 'AMRO', '621', '47943', '41', '3970');
INSERT INTO public.who_import VALUES (25068, '2020-06-18', 'EC', 'Ecuador', 'AMRO', '547', '48490', '37', '4007');
INSERT INTO public.who_import VALUES (25069, '2020-06-19', 'EC', 'Ecuador', 'AMRO', '607', '49097', '80', '4087');
INSERT INTO public.who_import VALUES (25070, '2020-06-20', 'EC', 'Ecuador', 'AMRO', '634', '49731', '69', '4156');
INSERT INTO public.who_import VALUES (25071, '2020-06-21', 'EC', 'Ecuador', 'AMRO', '452', '50183', '43', '4199');
INSERT INTO public.who_import VALUES (25072, '2020-06-22', 'EC', 'Ecuador', 'AMRO', '457', '50640', '24', '4223');
INSERT INTO public.who_import VALUES (25073, '2020-06-23', 'EC', 'Ecuador', 'AMRO', '275', '50915', '23', '4246');
INSERT INTO public.who_import VALUES (25074, '2020-06-24', 'EC', 'Ecuador', 'AMRO', '728', '51643', '28', '4274');
INSERT INTO public.who_import VALUES (25075, '2020-06-25', 'EC', 'Ecuador', 'AMRO', '691', '52334', '35', '4309');
INSERT INTO public.who_import VALUES (25076, '2020-06-26', 'EC', 'Ecuador', 'AMRO', '822', '53156', '34', '4343');
INSERT INTO public.who_import VALUES (25077, '2020-06-27', 'EC', 'Ecuador', 'AMRO', '700', '53856', '63', '4406');
INSERT INTO public.who_import VALUES (25078, '2020-06-28', 'EC', 'Ecuador', 'AMRO', '718', '54574', '18', '4424');
INSERT INTO public.who_import VALUES (25079, '2020-06-29', 'EC', 'Ecuador', 'AMRO', '681', '55255', '5', '4429');
INSERT INTO public.who_import VALUES (25080, '2020-06-30', 'EC', 'Ecuador', 'AMRO', '410', '55665', '73', '4502');
INSERT INTO public.who_import VALUES (25081, '2020-07-01', 'EC', 'Ecuador', 'AMRO', '677', '56342', '25', '4527');
INSERT INTO public.who_import VALUES (25082, '2020-07-02', 'EC', 'Ecuador', 'AMRO', '0', '56342', '0', '4527');
INSERT INTO public.who_import VALUES (25083, '2020-07-03', 'EC', 'Ecuador', 'AMRO', '3126', '59468', '112', '4639');
INSERT INTO public.who_import VALUES (25084, '2020-07-04', 'EC', 'Ecuador', 'AMRO', '1189', '60657', '61', '4700');
INSERT INTO public.who_import VALUES (25085, '2020-07-05', 'EC', 'Ecuador', 'AMRO', '878', '61535', '69', '4769');
INSERT INTO public.who_import VALUES (25086, '2020-07-06', 'EC', 'Ecuador', 'AMRO', '423', '61958', '12', '4781');
INSERT INTO public.who_import VALUES (25087, '2020-07-07', 'EC', 'Ecuador', 'AMRO', '422', '62380', '40', '4821');
INSERT INTO public.who_import VALUES (25088, '2020-07-08', 'EC', 'Ecuador', 'AMRO', '865', '63245', '52', '4873');
INSERT INTO public.who_import VALUES (25089, '2020-07-09', 'EC', 'Ecuador', 'AMRO', '0', '63245', '0', '4873');
INSERT INTO public.who_import VALUES (25090, '2020-07-10', 'EC', 'Ecuador', 'AMRO', '1773', '65018', '66', '4939');
INSERT INTO public.who_import VALUES (25091, '2020-07-11', 'EC', 'Ecuador', 'AMRO', '783', '65801', '44', '4983');
INSERT INTO public.who_import VALUES (25092, '2020-07-12', 'EC', 'Ecuador', 'AMRO', '1408', '67209', '48', '5031');
INSERT INTO public.who_import VALUES (25093, '2020-07-13', 'EC', 'Ecuador', 'AMRO', '661', '67870', '16', '5047');
INSERT INTO public.who_import VALUES (25094, '2020-07-14', 'EC', 'Ecuador', 'AMRO', '589', '68459', '16', '5063');
INSERT INTO public.who_import VALUES (25095, '2020-07-15', 'EC', 'Ecuador', 'AMRO', '1111', '69570', '67', '5130');
INSERT INTO public.who_import VALUES (25096, '2020-07-16', 'EC', 'Ecuador', 'AMRO', '759', '70329', '28', '5158');
INSERT INTO public.who_import VALUES (25097, '2020-07-17', 'EC', 'Ecuador', 'AMRO', '1036', '71365', '49', '5207');
INSERT INTO public.who_import VALUES (25098, '2020-07-18', 'EC', 'Ecuador', 'AMRO', '1079', '72444', '43', '5250');
INSERT INTO public.who_import VALUES (25099, '2020-07-19', 'EC', 'Ecuador', 'AMRO', '938', '73382', '32', '5282');
INSERT INTO public.who_import VALUES (25100, '2020-07-20', 'EC', 'Ecuador', 'AMRO', '631', '74013', '31', '5313');
INSERT INTO public.who_import VALUES (25101, '2020-07-21', 'EC', 'Ecuador', 'AMRO', '607', '74620', '5', '5318');
INSERT INTO public.who_import VALUES (25102, '2020-07-22', 'EC', 'Ecuador', 'AMRO', '1597', '76217', '48', '5366');
INSERT INTO public.who_import VALUES (25103, '2020-07-23', 'EC', 'Ecuador', 'AMRO', '1040', '77257', '52', '5418');
INSERT INTO public.who_import VALUES (25104, '2020-07-24', 'EC', 'Ecuador', 'AMRO', '891', '78148', '21', '5439');
INSERT INTO public.who_import VALUES (25105, '2020-07-25', 'EC', 'Ecuador', 'AMRO', '901', '79049', '29', '5468');
INSERT INTO public.who_import VALUES (25106, '2020-07-26', 'EC', 'Ecuador', 'AMRO', '987', '80036', '39', '5507');
INSERT INTO public.who_import VALUES (25107, '2020-07-27', 'EC', 'Ecuador', 'AMRO', '658', '80694', '8', '5515');
INSERT INTO public.who_import VALUES (25108, '2020-07-28', 'EC', 'Ecuador', 'AMRO', '467', '81161', '17', '5532');
INSERT INTO public.who_import VALUES (25109, '2020-07-29', 'EC', 'Ecuador', 'AMRO', '1118', '82279', '52', '5584');
INSERT INTO public.who_import VALUES (25110, '2020-07-30', 'EC', 'Ecuador', 'AMRO', '914', '83193', '39', '5623');
INSERT INTO public.who_import VALUES (25111, '2020-07-31', 'EC', 'Ecuador', 'AMRO', '1177', '84370', '34', '5657');
INSERT INTO public.who_import VALUES (25112, '2020-08-01', 'EC', 'Ecuador', 'AMRO', '985', '85355', '45', '5702');
INSERT INTO public.who_import VALUES (25113, '2020-08-02', 'EC', 'Ecuador', 'AMRO', '877', '86232', '34', '5736');
INSERT INTO public.who_import VALUES (25114, '2020-08-03', 'EC', 'Ecuador', 'AMRO', '0', '86232', '0', '5736');
INSERT INTO public.who_import VALUES (25115, '2020-08-04', 'EC', 'Ecuador', 'AMRO', '809', '87041', '31', '5767');
INSERT INTO public.who_import VALUES (25116, '2020-08-05', 'EC', 'Ecuador', 'AMRO', '922', '87963', '41', '5808');
INSERT INTO public.who_import VALUES (25117, '2020-08-06', 'EC', 'Ecuador', 'AMRO', '903', '88866', '39', '5847');
INSERT INTO public.who_import VALUES (25118, '2020-08-07', 'EC', 'Ecuador', 'AMRO', '1671', '90537', '30', '5877');
INSERT INTO public.who_import VALUES (25119, '2020-08-08', 'EC', 'Ecuador', 'AMRO', '1432', '91969', '20', '5897');
INSERT INTO public.who_import VALUES (25120, '2020-08-09', 'EC', 'Ecuador', 'AMRO', '1603', '93572', '19', '5916');
INSERT INTO public.who_import VALUES (25121, '2020-08-10', 'EC', 'Ecuador', 'AMRO', '887', '94459', '6', '5922');
INSERT INTO public.who_import VALUES (25122, '2020-08-11', 'EC', 'Ecuador', 'AMRO', '242', '94701', '10', '5932');
INSERT INTO public.who_import VALUES (25123, '2020-08-12', 'EC', 'Ecuador', 'AMRO', '862', '95563', '19', '5951');
INSERT INTO public.who_import VALUES (25124, '2020-08-13', 'EC', 'Ecuador', 'AMRO', '1547', '97110', '33', '5984');
INSERT INTO public.who_import VALUES (25125, '2020-08-14', 'EC', 'Ecuador', 'AMRO', '1233', '98343', '26', '6010');
INSERT INTO public.who_import VALUES (25126, '2020-08-15', 'EC', 'Ecuador', 'AMRO', '1066', '99409', '20', '6030');
INSERT INTO public.who_import VALUES (25127, '2020-08-16', 'EC', 'Ecuador', 'AMRO', '1279', '100688', '35', '6065');
INSERT INTO public.who_import VALUES (25128, '2020-08-17', 'EC', 'Ecuador', 'AMRO', '854', '101542', '5', '6070');
INSERT INTO public.who_import VALUES (25129, '2020-08-18', 'EC', 'Ecuador', 'AMRO', '209', '101751', '13', '6083');
INSERT INTO public.who_import VALUES (25130, '2020-08-19', 'EC', 'Ecuador', 'AMRO', '1190', '102941', '22', '6105');
INSERT INTO public.who_import VALUES (25131, '2020-08-20', 'EC', 'Ecuador', 'AMRO', '1534', '104475', '41', '6146');
INSERT INTO public.who_import VALUES (25132, '2020-08-21', 'EC', 'Ecuador', 'AMRO', '1033', '105508', '54', '6200');
INSERT INTO public.who_import VALUES (25133, '2020-08-22', 'EC', 'Ecuador', 'AMRO', '973', '106481', '48', '6248');
INSERT INTO public.who_import VALUES (25134, '2020-08-23', 'EC', 'Ecuador', 'AMRO', '608', '107089', '29', '6277');
INSERT INTO public.who_import VALUES (25135, '2020-08-24', 'EC', 'Ecuador', 'AMRO', '680', '107769', '33', '6310');
INSERT INTO public.who_import VALUES (25136, '2020-08-25', 'EC', 'Ecuador', 'AMRO', '520', '108289', '12', '6322');
INSERT INTO public.who_import VALUES (25137, '2020-08-26', 'EC', 'Ecuador', 'AMRO', '741', '109030', '46', '6368');
INSERT INTO public.who_import VALUES (25138, '2020-08-27', 'EC', 'Ecuador', 'AMRO', '1519', '110549', '42', '6410');
INSERT INTO public.who_import VALUES (25139, '2020-08-28', 'EC', 'Ecuador', 'AMRO', '670', '111219', '61', '6471');
INSERT INTO public.who_import VALUES (25140, '2020-08-29', 'EC', 'Ecuador', 'AMRO', '922', '112141', '33', '6504');
INSERT INTO public.who_import VALUES (25141, '2020-08-30', 'EC', 'Ecuador', 'AMRO', '765', '112906', '33', '6537');
INSERT INTO public.who_import VALUES (25142, '2020-08-31', 'EC', 'Ecuador', 'AMRO', '742', '113648', '18', '6555');
INSERT INTO public.who_import VALUES (25143, '2020-09-01', 'EC', 'Ecuador', 'AMRO', '119', '113767', '1', '6556');
INSERT INTO public.who_import VALUES (25144, '2020-09-02', 'EC', 'Ecuador', 'AMRO', '542', '114309', '15', '6571');
INSERT INTO public.who_import VALUES (25145, '2020-09-03', 'EC', 'Ecuador', 'AMRO', '1148', '115457', '48', '6619');
INSERT INTO public.who_import VALUES (25146, '2020-09-04', 'EC', 'Ecuador', 'AMRO', '903', '116360', '29', '6648');
INSERT INTO public.who_import VALUES (25147, '2020-09-05', 'EC', 'Ecuador', 'AMRO', '815', '117175', '26', '6674');
INSERT INTO public.who_import VALUES (25148, '2020-09-06', 'EC', 'Ecuador', 'AMRO', '870', '118045', '50', '6724');
INSERT INTO public.who_import VALUES (25149, '2020-09-07', 'EC', 'Ecuador', 'AMRO', '-8956', '109089', '3800', '10524');
INSERT INTO public.who_import VALUES (25150, '2020-09-08', 'EC', 'Ecuador', 'AMRO', '1003', '110092', '52', '10576');
INSERT INTO public.who_import VALUES (25151, '2020-09-09', 'EC', 'Ecuador', 'AMRO', '665', '110757', '51', '10627');
INSERT INTO public.who_import VALUES (25152, '2020-09-10', 'EC', 'Ecuador', 'AMRO', '1409', '112166', '74', '10701');
INSERT INTO public.who_import VALUES (25153, '2020-09-11', 'EC', 'Ecuador', 'AMRO', '1040', '113206', '48', '10749');
INSERT INTO public.who_import VALUES (25154, '2020-09-12', 'EC', 'Ecuador', 'AMRO', '0', '113206', '0', '10749');
INSERT INTO public.who_import VALUES (25155, '2020-09-13', 'EC', 'Ecuador', 'AMRO', '1526', '114732', '87', '10836');
INSERT INTO public.who_import VALUES (25156, '2020-09-14', 'EC', 'Ecuador', 'AMRO', '3862', '118594', '67', '10903');
INSERT INTO public.who_import VALUES (25157, '2020-09-15', 'EC', 'Ecuador', 'AMRO', '317', '118911', '19', '10922');
INSERT INTO public.who_import VALUES (25158, '2020-09-16', 'EC', 'Ecuador', 'AMRO', '642', '119553', '41', '10963');
INSERT INTO public.who_import VALUES (25159, '2020-09-17', 'EC', 'Ecuador', 'AMRO', '1972', '121525', '33', '10996');
INSERT INTO public.who_import VALUES (25160, '2020-09-18', 'EC', 'Ecuador', 'AMRO', '732', '122257', '33', '11029');
INSERT INTO public.who_import VALUES (25161, '2020-09-19', 'EC', 'Ecuador', 'AMRO', '0', '122257', '0', '11029');
INSERT INTO public.who_import VALUES (25162, '2020-09-20', 'EC', 'Ecuador', 'AMRO', '3363', '125620', '60', '11089');
INSERT INTO public.who_import VALUES (25163, '2020-09-21', 'EC', 'Ecuador', 'AMRO', '799', '126419', '1', '11090');
INSERT INTO public.who_import VALUES (25164, '2020-09-22', 'EC', 'Ecuador', 'AMRO', '292', '126711', '5', '11095');
INSERT INTO public.who_import VALUES (25165, '2020-09-23', 'EC', 'Ecuador', 'AMRO', '932', '127643', '31', '11126');
INSERT INTO public.who_import VALUES (25166, '2020-09-24', 'EC', 'Ecuador', 'AMRO', '2339', '129982', '45', '11171');
INSERT INTO public.who_import VALUES (25167, '2020-09-25', 'EC', 'Ecuador', 'AMRO', '1164', '131146', '42', '11213');
INSERT INTO public.who_import VALUES (25168, '2020-09-26', 'EC', 'Ecuador', 'AMRO', '1329', '132475', '23', '11236');
INSERT INTO public.who_import VALUES (25169, '2020-09-27', 'EC', 'Ecuador', 'AMRO', '1506', '133981', '37', '11273');
INSERT INTO public.who_import VALUES (25170, '2020-09-28', 'EC', 'Ecuador', 'AMRO', '766', '134747', '6', '11279');
INSERT INTO public.who_import VALUES (25171, '2020-09-29', 'EC', 'Ecuador', 'AMRO', '218', '134965', '1', '11280');
INSERT INTO public.who_import VALUES (25172, '2020-09-30', 'EC', 'Ecuador', 'AMRO', '784', '135749', '32', '11312');
INSERT INTO public.who_import VALUES (25173, '2020-10-01', 'EC', 'Ecuador', 'AMRO', '1298', '137047', '43', '11355');
INSERT INTO public.who_import VALUES (25174, '2020-10-02', 'EC', 'Ecuador', 'AMRO', '1537', '138584', '78', '11433');
INSERT INTO public.who_import VALUES (25175, '2020-10-03', 'EC', 'Ecuador', 'AMRO', '950', '139534', '62', '11495');
INSERT INTO public.who_import VALUES (25176, '2020-10-04', 'EC', 'Ecuador', 'AMRO', '817', '140351', '102', '11597');
INSERT INTO public.who_import VALUES (25177, '2020-10-05', 'EC', 'Ecuador', 'AMRO', '683', '141034', '50', '11647');
INSERT INTO public.who_import VALUES (25178, '2020-10-06', 'EC', 'Ecuador', 'AMRO', '305', '141339', '34', '11681');
INSERT INTO public.who_import VALUES (25179, '2020-10-07', 'EC', 'Ecuador', 'AMRO', '717', '142056', '21', '11702');
INSERT INTO public.who_import VALUES (25180, '2020-10-08', 'EC', 'Ecuador', 'AMRO', '1475', '143531', '41', '11743');
INSERT INTO public.who_import VALUES (25181, '2020-10-09', 'EC', 'Ecuador', 'AMRO', '1514', '145045', '398', '12141');
INSERT INTO public.who_import VALUES (25182, '2020-10-10', 'EC', 'Ecuador', 'AMRO', '0', '145045', '0', '12141');
INSERT INTO public.who_import VALUES (25183, '2020-10-11', 'EC', 'Ecuador', 'AMRO', '1783', '146828', '47', '12188');
INSERT INTO public.who_import VALUES (25184, '2020-10-12', 'EC', 'Ecuador', 'AMRO', '0', '146828', '0', '12188');
INSERT INTO public.who_import VALUES (25185, '2020-10-13', 'EC', 'Ecuador', 'AMRO', '487', '147315', '30', '12218');
INSERT INTO public.who_import VALUES (25186, '2020-10-14', 'EC', 'Ecuador', 'AMRO', '856', '148171', '17', '12235');
INSERT INTO public.who_import VALUES (25187, '2020-10-15', 'EC', 'Ecuador', 'AMRO', '912', '149083', '29', '12264');
INSERT INTO public.who_import VALUES (25188, '2020-10-16', 'EC', 'Ecuador', 'AMRO', '1277', '150360', '42', '12306');
INSERT INTO public.who_import VALUES (25189, '2020-10-17', 'EC', 'Ecuador', 'AMRO', '1299', '151659', '51', '12357');
INSERT INTO public.who_import VALUES (25190, '2020-10-18', 'EC', 'Ecuador', 'AMRO', '763', '152422', '18', '12375');
INSERT INTO public.who_import VALUES (25191, '2020-10-19', 'EC', 'Ecuador', 'AMRO', '867', '153289', '12', '12387');
INSERT INTO public.who_import VALUES (25192, '2020-10-20', 'EC', 'Ecuador', 'AMRO', '134', '153423', '8', '12395');
INSERT INTO public.who_import VALUES (25193, '2020-10-21', 'EC', 'Ecuador', 'AMRO', '692', '154115', '9', '12404');
INSERT INTO public.who_import VALUES (25194, '2020-10-22', 'EC', 'Ecuador', 'AMRO', '1510', '155625', '49', '12453');
INSERT INTO public.who_import VALUES (25195, '2020-10-23', 'EC', 'Ecuador', 'AMRO', '826', '156451', '47', '12500');
INSERT INTO public.who_import VALUES (25196, '2020-10-24', 'EC', 'Ecuador', 'AMRO', '0', '156451', '0', '12500');
INSERT INTO public.who_import VALUES (25197, '2020-10-25', 'EC', 'Ecuador', 'AMRO', '3163', '159614', '42', '12542');
INSERT INTO public.who_import VALUES (25198, '2020-10-26', 'EC', 'Ecuador', 'AMRO', '2021', '161635', '11', '12553');
INSERT INTO public.who_import VALUES (25199, '2020-10-27', 'EC', 'Ecuador', 'AMRO', '543', '162178', '20', '12573');
INSERT INTO public.who_import VALUES (25200, '2020-10-28', 'EC', 'Ecuador', 'AMRO', '1014', '163192', '15', '12588');
INSERT INTO public.who_import VALUES (25201, '2020-10-29', 'EC', 'Ecuador', 'AMRO', '1716', '164908', '20', '12608');
INSERT INTO public.who_import VALUES (25202, '2020-10-30', 'EC', 'Ecuador', 'AMRO', '1394', '166302', '14', '12622');
INSERT INTO public.who_import VALUES (25203, '2020-10-31', 'EC', 'Ecuador', 'AMRO', '845', '167147', '10', '12632');
INSERT INTO public.who_import VALUES (25204, '2020-11-01', 'EC', 'Ecuador', 'AMRO', '1045', '168192', '38', '12670');
INSERT INTO public.who_import VALUES (25205, '2020-11-02', 'EC', 'Ecuador', 'AMRO', '1002', '169194', '14', '12684');
INSERT INTO public.who_import VALUES (25206, '2020-11-03', 'EC', 'Ecuador', 'AMRO', '368', '169562', '8', '12692');
INSERT INTO public.who_import VALUES (25207, '2020-11-04', 'EC', 'Ecuador', 'AMRO', '548', '170110', '6', '12698');
INSERT INTO public.who_import VALUES (25208, '2020-11-05', 'EC', 'Ecuador', 'AMRO', '1323', '171433', '6', '12704');
INSERT INTO public.who_import VALUES (25209, '2020-11-06', 'EC', 'Ecuador', 'AMRO', '350', '171783', '26', '12730');
INSERT INTO public.who_import VALUES (25210, '2020-11-07', 'EC', 'Ecuador', 'AMRO', '725', '172508', '31', '12761');
INSERT INTO public.who_import VALUES (25211, '2020-11-08', 'EC', 'Ecuador', 'AMRO', '978', '173486', '54', '12815');
INSERT INTO public.who_import VALUES (25212, '2020-11-09', 'EC', 'Ecuador', 'AMRO', '1421', '174907', '15', '12830');
INSERT INTO public.who_import VALUES (25213, '2020-11-10', 'EC', 'Ecuador', 'AMRO', '362', '175269', '9', '12839');
INSERT INTO public.who_import VALUES (25214, '2020-11-11', 'EC', 'Ecuador', 'AMRO', '442', '175711', '10', '12849');
INSERT INTO public.who_import VALUES (25215, '2020-11-12', 'EC', 'Ecuador', 'AMRO', '919', '176630', '71', '12920');
INSERT INTO public.who_import VALUES (25216, '2020-11-13', 'EC', 'Ecuador', 'AMRO', '883', '177513', '26', '12946');
INSERT INTO public.who_import VALUES (25217, '2020-11-14', 'EC', 'Ecuador', 'AMRO', '1161', '178674', '31', '12977');
INSERT INTO public.who_import VALUES (25218, '2020-11-15', 'EC', 'Ecuador', 'AMRO', '953', '179627', '20', '12997');
INSERT INTO public.who_import VALUES (25219, '2020-11-16', 'EC', 'Ecuador', 'AMRO', '668', '180295', '11', '13008');
INSERT INTO public.who_import VALUES (25220, '2020-11-17', 'EC', 'Ecuador', 'AMRO', '381', '180676', '8', '13016');
INSERT INTO public.who_import VALUES (25221, '2020-11-18', 'EC', 'Ecuador', 'AMRO', '428', '181104', '9', '13025');
INSERT INTO public.who_import VALUES (25222, '2020-11-19', 'EC', 'Ecuador', 'AMRO', '1146', '182250', '27', '13052');
INSERT INTO public.who_import VALUES (25223, '2020-11-20', 'EC', 'Ecuador', 'AMRO', '996', '183246', '21', '13073');
INSERT INTO public.who_import VALUES (25224, '2020-11-21', 'EC', 'Ecuador', 'AMRO', '594', '183840', '22', '13095');
INSERT INTO public.who_import VALUES (25225, '2020-11-22', 'EC', 'Ecuador', 'AMRO', '1036', '184876', '44', '13139');
INSERT INTO public.who_import VALUES (25226, '2020-11-23', 'EC', 'Ecuador', 'AMRO', '767', '185643', '62', '13201');
INSERT INTO public.who_import VALUES (25227, '2020-11-24', 'EC', 'Ecuador', 'AMRO', '301', '185944', '24', '13225');
INSERT INTO public.who_import VALUES (25228, '2020-11-25', 'EC', 'Ecuador', 'AMRO', '492', '186436', '39', '13264');
INSERT INTO public.who_import VALUES (25229, '2020-11-26', 'EC', 'Ecuador', 'AMRO', '794', '187230', '24', '13288');
INSERT INTO public.who_import VALUES (25230, '2020-11-27', 'EC', 'Ecuador', 'AMRO', '908', '188138', '28', '13316');
INSERT INTO public.who_import VALUES (25231, '2020-11-28', 'EC', 'Ecuador', 'AMRO', '1396', '189534', '42', '13358');
INSERT INTO public.who_import VALUES (25232, '2020-11-29', 'EC', 'Ecuador', 'AMRO', '1375', '190909', '13', '13371');
INSERT INTO public.who_import VALUES (25233, '2020-11-30', 'EC', 'Ecuador', 'AMRO', '1208', '192117', '52', '13423');
INSERT INTO public.who_import VALUES (25234, '2020-12-01', 'EC', 'Ecuador', 'AMRO', '568', '192685', '38', '13461');
INSERT INTO public.who_import VALUES (25235, '2020-12-02', 'EC', 'Ecuador', 'AMRO', '988', '193673', '40', '13501');
INSERT INTO public.who_import VALUES (25236, '2020-12-03', 'EC', 'Ecuador', 'AMRO', '1203', '194876', '61', '13562');
INSERT INTO public.who_import VALUES (25237, '2020-12-04', 'EC', 'Ecuador', 'AMRO', '1008', '195884', '50', '13612');
INSERT INTO public.who_import VALUES (25238, '2020-12-05', 'EC', 'Ecuador', 'AMRO', '0', '195884', '0', '13612');
INSERT INTO public.who_import VALUES (25239, '2020-12-06', 'EC', 'Ecuador', 'AMRO', '1507', '197391', '144', '13756');
INSERT INTO public.who_import VALUES (25240, '2020-12-07', 'EC', 'Ecuador', 'AMRO', '607', '197998', '22', '13778');
INSERT INTO public.who_import VALUES (25241, '2020-12-08', 'EC', 'Ecuador', 'AMRO', '246', '198244', '2', '13780');
INSERT INTO public.who_import VALUES (25242, '2020-12-09', 'EC', 'Ecuador', 'AMRO', '508', '198752', '14', '13794');
INSERT INTO public.who_import VALUES (25243, '2020-12-10', 'EC', 'Ecuador', 'AMRO', '476', '199228', '20', '13814');
INSERT INTO public.who_import VALUES (25244, '2020-12-11', 'EC', 'Ecuador', 'AMRO', '1151', '200379', '36', '13850');
INSERT INTO public.who_import VALUES (25245, '2020-12-12', 'EC', 'Ecuador', 'AMRO', '386', '200765', '8', '13858');
INSERT INTO public.who_import VALUES (25246, '2020-12-13', 'EC', 'Ecuador', 'AMRO', '759', '201524', '16', '13874');
INSERT INTO public.who_import VALUES (25247, '2020-12-14', 'EC', 'Ecuador', 'AMRO', '586', '202110', '1', '13875');
INSERT INTO public.who_import VALUES (25248, '2020-12-15', 'EC', 'Ecuador', 'AMRO', '70', '202180', '0', '13875');
INSERT INTO public.who_import VALUES (25249, '2020-12-16', 'EC', 'Ecuador', 'AMRO', '176', '202356', '21', '13896');
INSERT INTO public.who_import VALUES (25250, '2020-12-17', 'EC', 'Ecuador', 'AMRO', '1105', '203461', '19', '13915');
INSERT INTO public.who_import VALUES (25356, '2020-02-12', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25251, '2020-12-18', 'EC', 'Ecuador', 'AMRO', '788', '204249', '17', '13932');
INSERT INTO public.who_import VALUES (25252, '2020-12-19', 'EC', 'Ecuador', 'AMRO', '0', '204249', '0', '13932');
INSERT INTO public.who_import VALUES (25253, '2020-12-20', 'EC', 'Ecuador', 'AMRO', '1671', '205920', '16', '13948');
INSERT INTO public.who_import VALUES (25254, '2020-12-21', 'EC', 'Ecuador', 'AMRO', '337', '206257', '0', '13948');
INSERT INTO public.who_import VALUES (25255, '2020-12-22', 'EC', 'Ecuador', 'AMRO', '72', '206329', '1', '13949');
INSERT INTO public.who_import VALUES (25256, '2020-12-23', 'EC', 'Ecuador', 'AMRO', '35', '206364', '0', '13949');
INSERT INTO public.who_import VALUES (25257, '2020-12-24', 'EC', 'Ecuador', 'AMRO', '720', '207084', '13', '13962');
INSERT INTO public.who_import VALUES (25258, '2020-12-25', 'EC', 'Ecuador', 'AMRO', '926', '208010', '15', '13977');
INSERT INTO public.who_import VALUES (25259, '2020-12-26', 'EC', 'Ecuador', 'AMRO', '818', '208828', '7', '13984');
INSERT INTO public.who_import VALUES (25260, '2020-12-27', 'EC', 'Ecuador', 'AMRO', '446', '209274', '6', '13990');
INSERT INTO public.who_import VALUES (25261, '2020-12-28', 'EC', 'Ecuador', 'AMRO', '81', '209355', '2', '13992');
INSERT INTO public.who_import VALUES (25262, '2020-12-29', 'EC', 'Ecuador', 'AMRO', '403', '209758', '2', '13994');
INSERT INTO public.who_import VALUES (25263, '2020-12-30', 'EC', 'Ecuador', 'AMRO', '568', '210326', '7', '14001');
INSERT INTO public.who_import VALUES (25264, '2020-12-31', 'EC', 'Ecuador', 'AMRO', '1186', '211512', '22', '14023');
INSERT INTO public.who_import VALUES (25265, '2021-01-01', 'EC', 'Ecuador', 'AMRO', '1000', '212512', '11', '14034');
INSERT INTO public.who_import VALUES (25266, '2021-01-02', 'EC', 'Ecuador', 'AMRO', '866', '213378', '17', '14051');
INSERT INTO public.who_import VALUES (25267, '2021-01-03', 'EC', 'Ecuador', 'AMRO', '1135', '214513', '8', '14059');
INSERT INTO public.who_import VALUES (25268, '2021-01-04', 'EC', 'Ecuador', 'AMRO', '101', '214614', '0', '14059');
INSERT INTO public.who_import VALUES (25269, '2021-01-05', 'EC', 'Ecuador', 'AMRO', '466', '215080', '10', '14069');
INSERT INTO public.who_import VALUES (25270, '2021-01-06', 'EC', 'Ecuador', 'AMRO', '1003', '216083', '34', '14103');
INSERT INTO public.who_import VALUES (25271, '2021-01-07', 'EC', 'Ecuador', 'AMRO', '1294', '217377', '43', '14146');
INSERT INTO public.who_import VALUES (25272, '2021-01-08', 'EC', 'Ecuador', 'AMRO', '1008', '218385', '12', '14158');
INSERT INTO public.who_import VALUES (25273, '2021-01-09', 'EC', 'Ecuador', 'AMRO', '763', '219148', '7', '14165');
INSERT INTO public.who_import VALUES (25274, '2021-01-10', 'EC', 'Ecuador', 'AMRO', '1201', '220349', '12', '14177');
INSERT INTO public.who_import VALUES (25275, '2021-01-11', 'EC', 'Ecuador', 'AMRO', '721', '221070', '0', '14177');
INSERT INTO public.who_import VALUES (25276, '2021-01-12', 'EC', 'Ecuador', 'AMRO', '436', '221506', '7', '14184');
INSERT INTO public.who_import VALUES (25277, '2021-01-13', 'EC', 'Ecuador', 'AMRO', '1061', '222567', '12', '14196');
INSERT INTO public.who_import VALUES (25278, '2021-01-14', 'EC', 'Ecuador', 'AMRO', '1748', '224315', '33', '14229');
INSERT INTO public.who_import VALUES (25279, '2021-01-15', 'EC', 'Ecuador', 'AMRO', '1687', '226002', '17', '14246');
INSERT INTO public.who_import VALUES (25280, '2021-01-16', 'EC', 'Ecuador', 'AMRO', '864', '226866', '27', '14273');
INSERT INTO public.who_import VALUES (25281, '2021-01-17', 'EC', 'Ecuador', 'AMRO', '3942', '230808', '43', '14316');
INSERT INTO public.who_import VALUES (25282, '2021-01-18', 'EC', 'Ecuador', 'AMRO', '674', '231482', '3', '14319');
INSERT INTO public.who_import VALUES (25283, '2021-01-19', 'EC', 'Ecuador', 'AMRO', '162', '231644', '3', '14322');
INSERT INTO public.who_import VALUES (25284, '2021-01-20', 'EC', 'Ecuador', 'AMRO', '924', '232568', '60', '14382');
INSERT INTO public.who_import VALUES (25285, '2021-01-21', 'EC', 'Ecuador', 'AMRO', '1747', '234315', '55', '14437');
INSERT INTO public.who_import VALUES (25286, '2021-01-22', 'EC', 'Ecuador', 'AMRO', '1874', '236189', '89', '14526');
INSERT INTO public.who_import VALUES (25287, '2021-01-23', 'EC', 'Ecuador', 'AMRO', '969', '237158', '36', '14562');
INSERT INTO public.who_import VALUES (25288, '2021-01-24', 'EC', 'Ecuador', 'AMRO', '1074', '238232', '34', '14596');
INSERT INTO public.who_import VALUES (25289, '2021-01-25', 'EC', 'Ecuador', 'AMRO', '3060', '241292', '27', '14623');
INSERT INTO public.who_import VALUES (25290, '2021-01-26', 'EC', 'Ecuador', 'AMRO', '275', '241567', '16', '14639');
INSERT INTO public.who_import VALUES (25291, '2021-01-27', 'EC', 'Ecuador', 'AMRO', '579', '242146', '29', '14668');
INSERT INTO public.who_import VALUES (25292, '2021-01-28', 'EC', 'Ecuador', 'AMRO', '1389', '243535', '36', '14704');
INSERT INTO public.who_import VALUES (25293, '2021-01-29', 'EC', 'Ecuador', 'AMRO', '2465', '246000', '62', '14766');
INSERT INTO public.who_import VALUES (25294, '2021-01-30', 'EC', 'Ecuador', 'AMRO', '0', '246000', '0', '14766');
INSERT INTO public.who_import VALUES (25295, '2021-01-31', 'EC', 'Ecuador', 'AMRO', '3779', '249779', '85', '14851');
INSERT INTO public.who_import VALUES (25296, '2021-02-01', 'EC', 'Ecuador', 'AMRO', '1049', '250828', '8', '14859');
INSERT INTO public.who_import VALUES (25297, '2021-02-02', 'EC', 'Ecuador', 'AMRO', '158', '250986', '31', '14890');
INSERT INTO public.who_import VALUES (25298, '2021-02-03', 'EC', 'Ecuador', 'AMRO', '293', '251279', '25', '14915');
INSERT INTO public.who_import VALUES (25299, '2021-02-04', 'EC', 'Ecuador', 'AMRO', '1111', '252390', '34', '14949');
INSERT INTO public.who_import VALUES (25300, '2021-02-05', 'EC', 'Ecuador', 'AMRO', '949', '253339', '19', '14968');
INSERT INTO public.who_import VALUES (25301, '2021-02-06', 'EC', 'Ecuador', 'AMRO', '2073', '255412', '14', '14982');
INSERT INTO public.who_import VALUES (25302, '2021-02-07', 'EC', 'Ecuador', 'AMRO', '1703', '257115', '22', '15004');
INSERT INTO public.who_import VALUES (25303, '2021-02-08', 'EC', 'Ecuador', 'AMRO', '1167', '258282', '8', '15012');
INSERT INTO public.who_import VALUES (25304, '2021-02-09', 'EC', 'Ecuador', 'AMRO', '325', '258607', '1', '15013');
INSERT INTO public.who_import VALUES (25305, '2021-02-10', 'EC', 'Ecuador', 'AMRO', '1176', '259783', '73', '15086');
INSERT INTO public.who_import VALUES (25306, '2021-02-11', 'EC', 'Ecuador', 'AMRO', '293', '260076', '30', '15116');
INSERT INTO public.who_import VALUES (25307, '2021-02-12', 'EC', 'Ecuador', 'AMRO', '2237', '262313', '58', '15174');
INSERT INTO public.who_import VALUES (25308, '2021-02-13', 'EC', 'Ecuador', 'AMRO', '1204', '263517', '46', '15220');
INSERT INTO public.who_import VALUES (25309, '2021-02-14', 'EC', 'Ecuador', 'AMRO', '2010', '265527', '49', '15269');
INSERT INTO public.who_import VALUES (25310, '2021-02-15', 'EC', 'Ecuador', 'AMRO', '1696', '267223', '52', '15321');
INSERT INTO public.who_import VALUES (25311, '2021-02-16', 'EC', 'Ecuador', 'AMRO', '478', '267701', '34', '15355');
INSERT INTO public.who_import VALUES (25312, '2021-02-17', 'EC', 'Ecuador', 'AMRO', '372', '268073', '37', '15392');
INSERT INTO public.who_import VALUES (25313, '2021-02-18', 'EC', 'Ecuador', 'AMRO', '146', '268219', '2', '15394');
INSERT INTO public.who_import VALUES (25314, '2021-02-19', 'EC', 'Ecuador', 'AMRO', '1641', '269860', '50', '15444');
INSERT INTO public.who_import VALUES (25315, '2021-02-20', 'EC', 'Ecuador', 'AMRO', '1416', '271276', '30', '15474');
INSERT INTO public.who_import VALUES (25316, '2020-01-03', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25317, '2020-01-04', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25318, '2020-01-05', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25319, '2020-01-06', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25320, '2020-01-07', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25321, '2020-01-08', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25322, '2020-01-09', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25323, '2020-01-10', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25324, '2020-01-11', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25325, '2020-01-12', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25326, '2020-01-13', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25327, '2020-01-14', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25328, '2020-01-15', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25329, '2020-01-16', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25330, '2020-01-17', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25331, '2020-01-18', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25332, '2020-01-19', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25333, '2020-01-20', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25334, '2020-01-21', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25335, '2020-01-22', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25336, '2020-01-23', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25337, '2020-01-24', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25338, '2020-01-25', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25339, '2020-01-26', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25340, '2020-01-27', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25341, '2020-01-28', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25342, '2020-01-29', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25343, '2020-01-30', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25344, '2020-01-31', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25345, '2020-02-01', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25346, '2020-02-02', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25347, '2020-02-03', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25348, '2020-02-04', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25349, '2020-02-05', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25350, '2020-02-06', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25351, '2020-02-07', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25352, '2020-02-08', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25353, '2020-02-09', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25354, '2020-02-10', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25355, '2020-02-11', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25357, '2020-02-13', 'EG', 'Egypt', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25358, '2020-02-14', 'EG', 'Egypt', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (25359, '2020-02-15', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25360, '2020-02-16', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25361, '2020-02-17', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25362, '2020-02-18', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25363, '2020-02-19', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25364, '2020-02-20', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25365, '2020-02-21', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25366, '2020-02-22', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25367, '2020-02-23', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25368, '2020-02-24', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25369, '2020-02-25', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25370, '2020-02-26', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25371, '2020-02-27', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25372, '2020-02-28', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25373, '2020-02-29', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25374, '2020-03-01', 'EG', 'Egypt', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25375, '2020-03-02', 'EG', 'Egypt', 'EMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (25376, '2020-03-03', 'EG', 'Egypt', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (25377, '2020-03-04', 'EG', 'Egypt', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (25378, '2020-03-05', 'EG', 'Egypt', 'EMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (25379, '2020-03-06', 'EG', 'Egypt', 'EMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (25380, '2020-03-07', 'EG', 'Egypt', 'EMRO', '45', '52', '0', '0');
INSERT INTO public.who_import VALUES (25381, '2020-03-08', 'EG', 'Egypt', 'EMRO', '1', '53', '1', '1');
INSERT INTO public.who_import VALUES (25382, '2020-03-09', 'EG', 'Egypt', 'EMRO', '10', '63', '0', '1');
INSERT INTO public.who_import VALUES (25383, '2020-03-10', 'EG', 'Egypt', 'EMRO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (25384, '2020-03-11', 'EG', 'Egypt', 'EMRO', '8', '71', '0', '1');
INSERT INTO public.who_import VALUES (25385, '2020-03-12', 'EG', 'Egypt', 'EMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (25386, '2020-03-13', 'EG', 'Egypt', 'EMRO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (25387, '2020-03-14', 'EG', 'Egypt', 'EMRO', '26', '97', '1', '2');
INSERT INTO public.who_import VALUES (25388, '2020-03-15', 'EG', 'Egypt', 'EMRO', '17', '114', '0', '2');
INSERT INTO public.who_import VALUES (25389, '2020-03-16', 'EG', 'Egypt', 'EMRO', '16', '130', '0', '2');
INSERT INTO public.who_import VALUES (25390, '2020-03-17', 'EG', 'Egypt', 'EMRO', '40', '170', '2', '4');
INSERT INTO public.who_import VALUES (25391, '2020-03-18', 'EG', 'Egypt', 'EMRO', '30', '200', '2', '6');
INSERT INTO public.who_import VALUES (25392, '2020-03-19', 'EG', 'Egypt', 'EMRO', '14', '214', '0', '6');
INSERT INTO public.who_import VALUES (25393, '2020-03-20', 'EG', 'Egypt', 'EMRO', '42', '256', '1', '7');
INSERT INTO public.who_import VALUES (25394, '2020-03-21', 'EG', 'Egypt', 'EMRO', '29', '285', '1', '8');
INSERT INTO public.who_import VALUES (25395, '2020-03-22', 'EG', 'Egypt', 'EMRO', '9', '294', '2', '10');
INSERT INTO public.who_import VALUES (25396, '2020-03-23', 'EG', 'Egypt', 'EMRO', '33', '327', '4', '14');
INSERT INTO public.who_import VALUES (25397, '2020-03-24', 'EG', 'Egypt', 'EMRO', '39', '366', '5', '19');
INSERT INTO public.who_import VALUES (25398, '2020-03-25', 'EG', 'Egypt', 'EMRO', '76', '442', '2', '21');
INSERT INTO public.who_import VALUES (25399, '2020-03-26', 'EG', 'Egypt', 'EMRO', '14', '456', '0', '21');
INSERT INTO public.who_import VALUES (25400, '2020-03-27', 'EG', 'Egypt', 'EMRO', '39', '495', '3', '24');
INSERT INTO public.who_import VALUES (25401, '2020-03-28', 'EG', 'Egypt', 'EMRO', '41', '536', '6', '30');
INSERT INTO public.who_import VALUES (25402, '2020-03-29', 'EG', 'Egypt', 'EMRO', '40', '576', '6', '36');
INSERT INTO public.who_import VALUES (25403, '2020-03-30', 'EG', 'Egypt', 'EMRO', '33', '609', '4', '40');
INSERT INTO public.who_import VALUES (25404, '2020-03-31', 'EG', 'Egypt', 'EMRO', '47', '656', '1', '41');
INSERT INTO public.who_import VALUES (25405, '2020-04-01', 'EG', 'Egypt', 'EMRO', '54', '710', '5', '46');
INSERT INTO public.who_import VALUES (25406, '2020-04-02', 'EG', 'Egypt', 'EMRO', '69', '779', '6', '52');
INSERT INTO public.who_import VALUES (25407, '2020-04-03', 'EG', 'Egypt', 'EMRO', '86', '865', '6', '58');
INSERT INTO public.who_import VALUES (25408, '2020-04-04', 'EG', 'Egypt', 'EMRO', '120', '985', '8', '66');
INSERT INTO public.who_import VALUES (25409, '2020-04-05', 'EG', 'Egypt', 'EMRO', '85', '1070', '5', '71');
INSERT INTO public.who_import VALUES (25410, '2020-04-06', 'EG', 'Egypt', 'EMRO', '103', '1173', '7', '78');
INSERT INTO public.who_import VALUES (25411, '2020-04-07', 'EG', 'Egypt', 'EMRO', '149', '1322', '7', '85');
INSERT INTO public.who_import VALUES (25412, '2020-04-08', 'EG', 'Egypt', 'EMRO', '128', '1450', '9', '94');
INSERT INTO public.who_import VALUES (25413, '2020-04-09', 'EG', 'Egypt', 'EMRO', '110', '1560', '9', '103');
INSERT INTO public.who_import VALUES (25414, '2020-04-10', 'EG', 'Egypt', 'EMRO', '139', '1699', '15', '118');
INSERT INTO public.who_import VALUES (25415, '2020-04-11', 'EG', 'Egypt', 'EMRO', '95', '1794', '17', '135');
INSERT INTO public.who_import VALUES (25416, '2020-04-12', 'EG', 'Egypt', 'EMRO', '145', '1939', '11', '146');
INSERT INTO public.who_import VALUES (25417, '2020-04-13', 'EG', 'Egypt', 'EMRO', '126', '2065', '13', '159');
INSERT INTO public.who_import VALUES (25418, '2020-04-14', 'EG', 'Egypt', 'EMRO', '125', '2190', '5', '164');
INSERT INTO public.who_import VALUES (25419, '2020-04-15', 'EG', 'Egypt', 'EMRO', '160', '2350', '14', '178');
INSERT INTO public.who_import VALUES (25420, '2020-04-16', 'EG', 'Egypt', 'EMRO', '155', '2505', '5', '183');
INSERT INTO public.who_import VALUES (25421, '2020-04-17', 'EG', 'Egypt', 'EMRO', '168', '2673', '13', '196');
INSERT INTO public.who_import VALUES (25422, '2020-04-18', 'EG', 'Egypt', 'EMRO', '171', '2844', '9', '205');
INSERT INTO public.who_import VALUES (25423, '2020-04-19', 'EG', 'Egypt', 'EMRO', '188', '3032', '19', '224');
INSERT INTO public.who_import VALUES (25424, '2020-04-20', 'EG', 'Egypt', 'EMRO', '112', '3144', '15', '239');
INSERT INTO public.who_import VALUES (25425, '2020-04-21', 'EG', 'Egypt', 'EMRO', '189', '3333', '11', '250');
INSERT INTO public.who_import VALUES (25426, '2020-04-22', 'EG', 'Egypt', 'EMRO', '157', '3490', '14', '264');
INSERT INTO public.who_import VALUES (25427, '2020-04-23', 'EG', 'Egypt', 'EMRO', '169', '3659', '12', '276');
INSERT INTO public.who_import VALUES (25428, '2020-04-24', 'EG', 'Egypt', 'EMRO', '433', '4092', '18', '294');
INSERT INTO public.who_import VALUES (25429, '2020-04-25', 'EG', 'Egypt', 'EMRO', '0', '4092', '0', '294');
INSERT INTO public.who_import VALUES (25430, '2020-04-26', 'EG', 'Egypt', 'EMRO', '227', '4319', '13', '307');
INSERT INTO public.who_import VALUES (25431, '2020-04-27', 'EG', 'Egypt', 'EMRO', '463', '4782', '30', '337');
INSERT INTO public.who_import VALUES (25432, '2020-04-28', 'EG', 'Egypt', 'EMRO', '260', '5042', '22', '359');
INSERT INTO public.who_import VALUES (25433, '2020-04-29', 'EG', 'Egypt', 'EMRO', '226', '5268', '21', '380');
INSERT INTO public.who_import VALUES (25434, '2020-04-30', 'EG', 'Egypt', 'EMRO', '269', '5537', '12', '392');
INSERT INTO public.who_import VALUES (25435, '2020-05-01', 'EG', 'Egypt', 'EMRO', '358', '5895', '14', '406');
INSERT INTO public.who_import VALUES (25436, '2020-05-02', 'EG', 'Egypt', 'EMRO', '0', '5895', '0', '406');
INSERT INTO public.who_import VALUES (25437, '2020-05-03', 'EG', 'Egypt', 'EMRO', '298', '6193', '9', '415');
INSERT INTO public.who_import VALUES (25438, '2020-05-04', 'EG', 'Egypt', 'EMRO', '272', '6465', '14', '429');
INSERT INTO public.who_import VALUES (25439, '2020-05-05', 'EG', 'Egypt', 'EMRO', '736', '7201', '23', '452');
INSERT INTO public.who_import VALUES (25440, '2020-05-06', 'EG', 'Egypt', 'EMRO', '387', '7588', '17', '469');
INSERT INTO public.who_import VALUES (25441, '2020-05-07', 'EG', 'Egypt', 'EMRO', '0', '7588', '0', '469');
INSERT INTO public.who_import VALUES (25442, '2020-05-08', 'EG', 'Egypt', 'EMRO', '393', '7981', '13', '482');
INSERT INTO public.who_import VALUES (25443, '2020-05-09', 'EG', 'Egypt', 'EMRO', '495', '8476', '21', '503');
INSERT INTO public.who_import VALUES (25444, '2020-05-10', 'EG', 'Egypt', 'EMRO', '924', '9400', '22', '525');
INSERT INTO public.who_import VALUES (25445, '2020-05-11', 'EG', 'Egypt', 'EMRO', '346', '9746', '8', '533');
INSERT INTO public.who_import VALUES (25446, '2020-05-12', 'EG', 'Egypt', 'EMRO', '0', '9746', '0', '533');
INSERT INTO public.who_import VALUES (25447, '2020-05-13', 'EG', 'Egypt', 'EMRO', '685', '10431', '23', '556');
INSERT INTO public.who_import VALUES (25448, '2020-05-14', 'EG', 'Egypt', 'EMRO', '398', '10829', '15', '571');
INSERT INTO public.who_import VALUES (25449, '2020-05-15', 'EG', 'Egypt', 'EMRO', '0', '10829', '0', '571');
INSERT INTO public.who_import VALUES (25450, '2020-05-16', 'EG', 'Egypt', 'EMRO', '399', '11228', '21', '592');
INSERT INTO public.who_import VALUES (25451, '2020-05-17', 'EG', 'Egypt', 'EMRO', '491', '11719', '20', '612');
INSERT INTO public.who_import VALUES (25452, '2020-05-18', 'EG', 'Egypt', 'EMRO', '510', '12229', '18', '630');
INSERT INTO public.who_import VALUES (25453, '2020-05-19', 'EG', 'Egypt', 'EMRO', '535', '12764', '15', '645');
INSERT INTO public.who_import VALUES (25454, '2020-05-20', 'EG', 'Egypt', 'EMRO', '1465', '14229', '35', '680');
INSERT INTO public.who_import VALUES (25455, '2020-05-21', 'EG', 'Egypt', 'EMRO', '0', '14229', '0', '680');
INSERT INTO public.who_import VALUES (25456, '2020-05-22', 'EG', 'Egypt', 'EMRO', '774', '15003', '16', '696');
INSERT INTO public.who_import VALUES (25457, '2020-05-23', 'EG', 'Egypt', 'EMRO', '783', '15786', '11', '707');
INSERT INTO public.who_import VALUES (25458, '2020-05-24', 'EG', 'Egypt', 'EMRO', '727', '16513', '28', '735');
INSERT INTO public.who_import VALUES (25459, '2020-05-25', 'EG', 'Egypt', 'EMRO', '752', '17265', '29', '764');
INSERT INTO public.who_import VALUES (25460, '2020-05-26', 'EG', 'Egypt', 'EMRO', '702', '17967', '19', '783');
INSERT INTO public.who_import VALUES (25461, '2020-05-27', 'EG', 'Egypt', 'EMRO', '789', '18756', '14', '797');
INSERT INTO public.who_import VALUES (25462, '2020-05-28', 'EG', 'Egypt', 'EMRO', '910', '19666', '19', '816');
INSERT INTO public.who_import VALUES (25463, '2020-05-29', 'EG', 'Egypt', 'EMRO', '1127', '20793', '29', '845');
INSERT INTO public.who_import VALUES (25464, '2020-05-30', 'EG', 'Egypt', 'EMRO', '1289', '22082', '34', '879');
INSERT INTO public.who_import VALUES (25465, '2020-05-31', 'EG', 'Egypt', 'EMRO', '1367', '23449', '34', '913');
INSERT INTO public.who_import VALUES (25466, '2020-06-01', 'EG', 'Egypt', 'EMRO', '1536', '24985', '46', '959');
INSERT INTO public.who_import VALUES (25467, '2020-06-02', 'EG', 'Egypt', 'EMRO', '1399', '26384', '46', '1005');
INSERT INTO public.who_import VALUES (25468, '2020-06-03', 'EG', 'Egypt', 'EMRO', '1152', '27536', '47', '1052');
INSERT INTO public.who_import VALUES (25469, '2020-06-04', 'EG', 'Egypt', 'EMRO', '1079', '28615', '36', '1088');
INSERT INTO public.who_import VALUES (25470, '2020-06-05', 'EG', 'Egypt', 'EMRO', '1152', '29767', '38', '1126');
INSERT INTO public.who_import VALUES (25471, '2020-06-06', 'EG', 'Egypt', 'EMRO', '1348', '31115', '40', '1166');
INSERT INTO public.who_import VALUES (25472, '2020-06-07', 'EG', 'Egypt', 'EMRO', '1497', '32612', '32', '1198');
INSERT INTO public.who_import VALUES (25473, '2020-06-08', 'EG', 'Egypt', 'EMRO', '1467', '34079', '39', '1237');
INSERT INTO public.who_import VALUES (25474, '2020-06-09', 'EG', 'Egypt', 'EMRO', '1365', '35444', '34', '1271');
INSERT INTO public.who_import VALUES (25475, '2020-06-10', 'EG', 'Egypt', 'EMRO', '1385', '36829', '35', '1306');
INSERT INTO public.who_import VALUES (25476, '2020-06-11', 'EG', 'Egypt', 'EMRO', '1455', '38284', '36', '1342');
INSERT INTO public.who_import VALUES (25477, '2020-06-12', 'EG', 'Egypt', 'EMRO', '1442', '39726', '35', '1377');
INSERT INTO public.who_import VALUES (25478, '2020-06-13', 'EG', 'Egypt', 'EMRO', '1577', '41303', '45', '1422');
INSERT INTO public.who_import VALUES (25479, '2020-06-14', 'EG', 'Egypt', 'EMRO', '1677', '42980', '62', '1484');
INSERT INTO public.who_import VALUES (25480, '2020-06-15', 'EG', 'Egypt', 'EMRO', '1618', '44598', '91', '1575');
INSERT INTO public.who_import VALUES (25481, '2020-06-16', 'EG', 'Egypt', 'EMRO', '1691', '46289', '97', '1672');
INSERT INTO public.who_import VALUES (25482, '2020-06-17', 'EG', 'Egypt', 'EMRO', '1567', '47856', '94', '1766');
INSERT INTO public.who_import VALUES (25483, '2020-06-18', 'EG', 'Egypt', 'EMRO', '1363', '49219', '84', '1850');
INSERT INTO public.who_import VALUES (25484, '2020-06-19', 'EG', 'Egypt', 'EMRO', '1218', '50437', '88', '1938');
INSERT INTO public.who_import VALUES (25485, '2020-06-20', 'EG', 'Egypt', 'EMRO', '1774', '52211', '79', '2017');
INSERT INTO public.who_import VALUES (25486, '2020-06-21', 'EG', 'Egypt', 'EMRO', '1547', '53758', '89', '2106');
INSERT INTO public.who_import VALUES (25487, '2020-06-22', 'EG', 'Egypt', 'EMRO', '1475', '55233', '87', '2193');
INSERT INTO public.who_import VALUES (25488, '2020-06-23', 'EG', 'Egypt', 'EMRO', '1576', '56809', '85', '2278');
INSERT INTO public.who_import VALUES (25489, '2020-06-24', 'EG', 'Egypt', 'EMRO', '1332', '58141', '87', '2365');
INSERT INTO public.who_import VALUES (25490, '2020-06-25', 'EG', 'Egypt', 'EMRO', '1420', '59561', '85', '2450');
INSERT INTO public.who_import VALUES (25491, '2020-06-26', 'EG', 'Egypt', 'EMRO', '1569', '61130', '83', '2533');
INSERT INTO public.who_import VALUES (25492, '2020-06-27', 'EG', 'Egypt', 'EMRO', '1625', '62755', '87', '2620');
INSERT INTO public.who_import VALUES (25493, '2020-06-28', 'EG', 'Egypt', 'EMRO', '1168', '63923', '88', '2708');
INSERT INTO public.who_import VALUES (25494, '2020-06-29', 'EG', 'Egypt', 'EMRO', '1265', '65188', '81', '2789');
INSERT INTO public.who_import VALUES (25495, '2020-06-30', 'EG', 'Egypt', 'EMRO', '1566', '66754', '83', '2872');
INSERT INTO public.who_import VALUES (25496, '2020-07-01', 'EG', 'Egypt', 'EMRO', '1557', '68311', '81', '2953');
INSERT INTO public.who_import VALUES (25497, '2020-07-02', 'EG', 'Egypt', 'EMRO', '1503', '69814', '81', '3034');
INSERT INTO public.who_import VALUES (25498, '2020-07-03', 'EG', 'Egypt', 'EMRO', '1485', '71299', '86', '3120');
INSERT INTO public.who_import VALUES (25499, '2020-07-04', 'EG', 'Egypt', 'EMRO', '1412', '72711', '81', '3201');
INSERT INTO public.who_import VALUES (25500, '2020-07-05', 'EG', 'Egypt', 'EMRO', '1324', '74035', '79', '3280');
INSERT INTO public.who_import VALUES (25501, '2020-07-06', 'EG', 'Egypt', 'EMRO', '1218', '75253', '63', '3343');
INSERT INTO public.who_import VALUES (25502, '2020-07-07', 'EG', 'Egypt', 'EMRO', '969', '76222', '79', '3422');
INSERT INTO public.who_import VALUES (25503, '2020-07-08', 'EG', 'Egypt', 'EMRO', '1057', '77279', '67', '3489');
INSERT INTO public.who_import VALUES (25504, '2020-07-09', 'EG', 'Egypt', 'EMRO', '1025', '78304', '75', '3564');
INSERT INTO public.who_import VALUES (25505, '2020-07-10', 'EG', 'Egypt', 'EMRO', '950', '79254', '53', '3617');
INSERT INTO public.who_import VALUES (25506, '2020-07-11', 'EG', 'Egypt', 'EMRO', '981', '80235', '85', '3702');
INSERT INTO public.who_import VALUES (25507, '2020-07-12', 'EG', 'Egypt', 'EMRO', '923', '81158', '67', '3769');
INSERT INTO public.who_import VALUES (25508, '2020-07-13', 'EG', 'Egypt', 'EMRO', '912', '82070', '89', '3858');
INSERT INTO public.who_import VALUES (25509, '2020-07-14', 'EG', 'Egypt', 'EMRO', '931', '83001', '77', '3935');
INSERT INTO public.who_import VALUES (25510, '2020-07-15', 'EG', 'Egypt', 'EMRO', '929', '83930', '73', '4008');
INSERT INTO public.who_import VALUES (25511, '2020-07-16', 'EG', 'Egypt', 'EMRO', '913', '84843', '59', '4067');
INSERT INTO public.who_import VALUES (25512, '2020-07-17', 'EG', 'Egypt', 'EMRO', '928', '85771', '53', '4120');
INSERT INTO public.who_import VALUES (25513, '2020-07-18', 'EG', 'Egypt', 'EMRO', '703', '86474', '68', '4188');
INSERT INTO public.who_import VALUES (25514, '2020-07-19', 'EG', 'Egypt', 'EMRO', '698', '87172', '63', '4251');
INSERT INTO public.who_import VALUES (25515, '2020-07-20', 'EG', 'Egypt', 'EMRO', '603', '87775', '51', '4302');
INSERT INTO public.who_import VALUES (25516, '2020-07-21', 'EG', 'Egypt', 'EMRO', '627', '88402', '50', '4352');
INSERT INTO public.who_import VALUES (25517, '2020-07-22', 'EG', 'Egypt', 'EMRO', '676', '89078', '47', '4399');
INSERT INTO public.who_import VALUES (25518, '2020-07-23', 'EG', 'Egypt', 'EMRO', '667', '89745', '41', '4440');
INSERT INTO public.who_import VALUES (25519, '2020-07-24', 'EG', 'Egypt', 'EMRO', '668', '90413', '40', '4480');
INSERT INTO public.who_import VALUES (25520, '2020-07-25', 'EG', 'Egypt', 'EMRO', '659', '91072', '38', '4518');
INSERT INTO public.who_import VALUES (25521, '2020-07-26', 'EG', 'Egypt', 'EMRO', '511', '91583', '40', '4558');
INSERT INTO public.who_import VALUES (25522, '2020-07-27', 'EG', 'Egypt', 'EMRO', '479', '92062', '48', '4606');
INSERT INTO public.who_import VALUES (25523, '2020-07-28', 'EG', 'Egypt', 'EMRO', '420', '92482', '46', '4652');
INSERT INTO public.who_import VALUES (25524, '2020-07-29', 'EG', 'Egypt', 'EMRO', '465', '92947', '39', '4691');
INSERT INTO public.who_import VALUES (25525, '2020-07-30', 'EG', 'Egypt', 'EMRO', '409', '93356', '37', '4728');
INSERT INTO public.who_import VALUES (25526, '2020-07-31', 'EG', 'Egypt', 'EMRO', '401', '93757', '46', '4774');
INSERT INTO public.who_import VALUES (25527, '2020-08-01', 'EG', 'Egypt', 'EMRO', '321', '94078', '31', '4805');
INSERT INTO public.who_import VALUES (25528, '2020-08-02', 'EG', 'Egypt', 'EMRO', '238', '94316', '29', '4834');
INSERT INTO public.who_import VALUES (25529, '2020-08-03', 'EG', 'Egypt', 'EMRO', '167', '94483', '31', '4865');
INSERT INTO public.who_import VALUES (25530, '2020-08-04', 'EG', 'Egypt', 'EMRO', '157', '94640', '23', '4888');
INSERT INTO public.who_import VALUES (25531, '2020-08-05', 'EG', 'Egypt', 'EMRO', '112', '94752', '24', '4912');
INSERT INTO public.who_import VALUES (25532, '2020-08-06', 'EG', 'Egypt', 'EMRO', '123', '94875', '18', '4930');
INSERT INTO public.who_import VALUES (25533, '2020-08-07', 'EG', 'Egypt', 'EMRO', '131', '95006', '21', '4951');
INSERT INTO public.who_import VALUES (25534, '2020-08-08', 'EG', 'Egypt', 'EMRO', '141', '95147', '20', '4971');
INSERT INTO public.who_import VALUES (25535, '2020-08-09', 'EG', 'Egypt', 'EMRO', '167', '95314', '21', '4992');
INSERT INTO public.who_import VALUES (25536, '2020-08-10', 'EG', 'Egypt', 'EMRO', '178', '95492', '17', '5009');
INSERT INTO public.who_import VALUES (25537, '2020-08-11', 'EG', 'Egypt', 'EMRO', '174', '95666', '26', '5035');
INSERT INTO public.who_import VALUES (25538, '2020-08-12', 'EG', 'Egypt', 'EMRO', '168', '95834', '24', '5059');
INSERT INTO public.who_import VALUES (25539, '2020-08-13', 'EG', 'Egypt', 'EMRO', '129', '95963', '26', '5085');
INSERT INTO public.who_import VALUES (25540, '2020-08-14', 'EG', 'Egypt', 'EMRO', '145', '96108', '22', '5107');
INSERT INTO public.who_import VALUES (25541, '2020-08-15', 'EG', 'Egypt', 'EMRO', '112', '96220', '17', '5124');
INSERT INTO public.who_import VALUES (25542, '2020-08-16', 'EG', 'Egypt', 'EMRO', '116', '96336', '17', '5141');
INSERT INTO public.who_import VALUES (25543, '2020-08-17', 'EG', 'Egypt', 'EMRO', '139', '96475', '19', '5160');
INSERT INTO public.who_import VALUES (25544, '2020-08-18', 'EG', 'Egypt', 'EMRO', '115', '96590', '13', '5173');
INSERT INTO public.who_import VALUES (25545, '2020-08-19', 'EG', 'Egypt', 'EMRO', '163', '96753', '11', '5184');
INSERT INTO public.who_import VALUES (25546, '2020-08-20', 'EG', 'Egypt', 'EMRO', '161', '96914', '13', '5197');
INSERT INTO public.who_import VALUES (25547, '2020-08-21', 'EG', 'Egypt', 'EMRO', '111', '97025', '15', '5212');
INSERT INTO public.who_import VALUES (25548, '2020-08-22', 'EG', 'Egypt', 'EMRO', '123', '97148', '19', '5231');
INSERT INTO public.who_import VALUES (25549, '2020-08-23', 'EG', 'Egypt', 'EMRO', '89', '97237', '12', '5243');
INSERT INTO public.who_import VALUES (25550, '2020-08-24', 'EG', 'Egypt', 'EMRO', '103', '97340', '19', '5262');
INSERT INTO public.who_import VALUES (25551, '2020-08-25', 'EG', 'Egypt', 'EMRO', '138', '97478', '18', '5280');
INSERT INTO public.who_import VALUES (25552, '2020-08-26', 'EG', 'Egypt', 'EMRO', '141', '97619', '18', '5298');
INSERT INTO public.who_import VALUES (25553, '2020-08-27', 'EG', 'Egypt', 'EMRO', '206', '97825', '19', '5317');
INSERT INTO public.who_import VALUES (25554, '2020-08-28', 'EG', 'Egypt', 'EMRO', '237', '98062', '25', '5342');
INSERT INTO public.who_import VALUES (25555, '2020-08-29', 'EG', 'Egypt', 'EMRO', '223', '98285', '20', '5362');
INSERT INTO public.who_import VALUES (25556, '2020-08-30', 'EG', 'Egypt', 'EMRO', '212', '98497', '14', '5376');
INSERT INTO public.who_import VALUES (25557, '2020-08-31', 'EG', 'Egypt', 'EMRO', '230', '98727', '23', '5399');
INSERT INTO public.who_import VALUES (25558, '2020-09-01', 'EG', 'Egypt', 'EMRO', '212', '98939', '22', '5421');
INSERT INTO public.who_import VALUES (25559, '2020-09-02', 'EG', 'Egypt', 'EMRO', '176', '99115', '19', '5440');
INSERT INTO public.who_import VALUES (25560, '2020-09-03', 'EG', 'Egypt', 'EMRO', '165', '99280', '21', '5461');
INSERT INTO public.who_import VALUES (25561, '2020-09-04', 'EG', 'Egypt', 'EMRO', '145', '99425', '18', '5479');
INSERT INTO public.who_import VALUES (25562, '2020-09-05', 'EG', 'Egypt', 'EMRO', '157', '99582', '16', '5495');
INSERT INTO public.who_import VALUES (25563, '2020-09-06', 'EG', 'Egypt', 'EMRO', '130', '99712', '16', '5511');
INSERT INTO public.who_import VALUES (25564, '2020-09-07', 'EG', 'Egypt', 'EMRO', '151', '99863', '19', '5530');
INSERT INTO public.who_import VALUES (25565, '2020-09-08', 'EG', 'Egypt', 'EMRO', '178', '100041', '11', '5541');
INSERT INTO public.who_import VALUES (25566, '2020-09-09', 'EG', 'Egypt', 'EMRO', '187', '100228', '19', '5560');
INSERT INTO public.who_import VALUES (25567, '2020-09-10', 'EG', 'Egypt', 'EMRO', '175', '100403', '17', '5577');
INSERT INTO public.who_import VALUES (25568, '2020-09-11', 'EG', 'Egypt', 'EMRO', '154', '100557', '13', '5590');
INSERT INTO public.who_import VALUES (25569, '2020-09-12', 'EG', 'Egypt', 'EMRO', '151', '100708', '17', '5607');
INSERT INTO public.who_import VALUES (25570, '2020-09-13', 'EG', 'Egypt', 'EMRO', '148', '100856', '20', '5627');
INSERT INTO public.who_import VALUES (25571, '2020-09-14', 'EG', 'Egypt', 'EMRO', '153', '101009', '21', '5648');
INSERT INTO public.who_import VALUES (25572, '2020-09-15', 'EG', 'Egypt', 'EMRO', '168', '101177', '13', '5661');
INSERT INTO public.who_import VALUES (25573, '2020-09-16', 'EG', 'Egypt', 'EMRO', '163', '101340', '18', '5679');
INSERT INTO public.who_import VALUES (25574, '2020-09-17', 'EG', 'Egypt', 'EMRO', '160', '101500', '17', '5696');
INSERT INTO public.who_import VALUES (25575, '2020-09-18', 'EG', 'Egypt', 'EMRO', '141', '101641', '19', '5715');
INSERT INTO public.who_import VALUES (25576, '2020-09-19', 'EG', 'Egypt', 'EMRO', '131', '101772', '18', '5733');
INSERT INTO public.who_import VALUES (25577, '2020-09-20', 'EG', 'Egypt', 'EMRO', '128', '101900', '17', '5750');
INSERT INTO public.who_import VALUES (25578, '2020-09-21', 'EG', 'Egypt', 'EMRO', '115', '102015', '20', '5770');
INSERT INTO public.who_import VALUES (25579, '2020-09-22', 'EG', 'Egypt', 'EMRO', '126', '102141', '17', '5787');
INSERT INTO public.who_import VALUES (25580, '2020-09-23', 'EG', 'Egypt', 'EMRO', '113', '102254', '19', '5806');
INSERT INTO public.who_import VALUES (25581, '2020-09-24', 'EG', 'Egypt', 'EMRO', '121', '102375', '16', '5822');
INSERT INTO public.who_import VALUES (25582, '2020-09-25', 'EG', 'Egypt', 'EMRO', '138', '102513', '13', '5835');
INSERT INTO public.who_import VALUES (25583, '2020-09-26', 'EG', 'Egypt', 'EMRO', '112', '102625', '18', '5853');
INSERT INTO public.who_import VALUES (25584, '2020-09-27', 'EG', 'Egypt', 'EMRO', '111', '102736', '16', '5869');
INSERT INTO public.who_import VALUES (25585, '2020-09-28', 'EG', 'Egypt', 'EMRO', '104', '102840', '14', '5883');
INSERT INTO public.who_import VALUES (25586, '2020-09-29', 'EG', 'Egypt', 'EMRO', '115', '102955', '18', '5901');
INSERT INTO public.who_import VALUES (25587, '2020-09-30', 'EG', 'Egypt', 'EMRO', '124', '103079', '13', '5914');
INSERT INTO public.who_import VALUES (25588, '2020-10-01', 'EG', 'Egypt', 'EMRO', '119', '103198', '16', '5930');
INSERT INTO public.who_import VALUES (25589, '2020-10-02', 'EG', 'Egypt', 'EMRO', '119', '103317', '16', '5946');
INSERT INTO public.who_import VALUES (25590, '2020-10-03', 'EG', 'Egypt', 'EMRO', '149', '103466', '10', '5956');
INSERT INTO public.who_import VALUES (25591, '2020-10-04', 'EG', 'Egypt', 'EMRO', '109', '103575', '14', '5970');
INSERT INTO public.who_import VALUES (25592, '2020-10-05', 'EG', 'Egypt', 'EMRO', '108', '103683', '11', '5981');
INSERT INTO public.who_import VALUES (25593, '2020-10-06', 'EG', 'Egypt', 'EMRO', '98', '103781', '9', '5990');
INSERT INTO public.who_import VALUES (25594, '2020-10-07', 'EG', 'Egypt', 'EMRO', '121', '103902', '11', '6001');
INSERT INTO public.who_import VALUES (25595, '2020-10-08', 'EG', 'Egypt', 'EMRO', '133', '104035', '9', '6010');
INSERT INTO public.who_import VALUES (25596, '2020-10-09', 'EG', 'Egypt', 'EMRO', '121', '104156', '7', '6017');
INSERT INTO public.who_import VALUES (25597, '2020-10-10', 'EG', 'Egypt', 'EMRO', '106', '104262', '12', '6029');
INSERT INTO public.who_import VALUES (25598, '2020-10-11', 'EG', 'Egypt', 'EMRO', '125', '104387', '11', '6040');
INSERT INTO public.who_import VALUES (25599, '2020-10-12', 'EG', 'Egypt', 'EMRO', '129', '104516', '12', '6052');
INSERT INTO public.who_import VALUES (25600, '2020-10-13', 'EG', 'Egypt', 'EMRO', '132', '104648', '10', '6062');
INSERT INTO public.who_import VALUES (25601, '2020-10-14', 'EG', 'Egypt', 'EMRO', '139', '104787', '9', '6071');
INSERT INTO public.who_import VALUES (25602, '2020-10-15', 'EG', 'Egypt', 'EMRO', '128', '104915', '6', '6077');
INSERT INTO public.who_import VALUES (25603, '2020-10-16', 'EG', 'Egypt', 'EMRO', '118', '105033', '11', '6088');
INSERT INTO public.who_import VALUES (25604, '2020-10-17', 'EG', 'Egypt', 'EMRO', '126', '105159', '11', '6099');
INSERT INTO public.who_import VALUES (25605, '2020-10-18', 'EG', 'Egypt', 'EMRO', '138', '105297', '10', '6109');
INSERT INTO public.who_import VALUES (25606, '2020-10-19', 'EG', 'Egypt', 'EMRO', '127', '105424', '11', '6120');
INSERT INTO public.who_import VALUES (25607, '2020-10-20', 'EG', 'Egypt', 'EMRO', '123', '105547', '10', '6130');
INSERT INTO public.who_import VALUES (25608, '2020-10-21', 'EG', 'Egypt', 'EMRO', '158', '105705', '12', '6142');
INSERT INTO public.who_import VALUES (25609, '2020-10-22', 'EG', 'Egypt', 'EMRO', '178', '105883', '13', '6155');
INSERT INTO public.who_import VALUES (25610, '2020-10-23', 'EG', 'Egypt', 'EMRO', '177', '106060', '11', '6166');
INSERT INTO public.who_import VALUES (25611, '2020-10-24', 'EG', 'Egypt', 'EMRO', '170', '106230', '10', '6176');
INSERT INTO public.who_import VALUES (25612, '2020-10-25', 'EG', 'Egypt', 'EMRO', '167', '106397', '11', '6187');
INSERT INTO public.who_import VALUES (25613, '2020-10-26', 'EG', 'Egypt', 'EMRO', '143', '106540', '12', '6199');
INSERT INTO public.who_import VALUES (25614, '2020-10-27', 'EG', 'Egypt', 'EMRO', '167', '106707', '12', '6211');
INSERT INTO public.who_import VALUES (25615, '2020-10-28', 'EG', 'Egypt', 'EMRO', '170', '106877', '11', '6222');
INSERT INTO public.who_import VALUES (25616, '2020-10-29', 'EG', 'Egypt', 'EMRO', '153', '107030', '12', '6234');
INSERT INTO public.who_import VALUES (25617, '2020-10-30', 'EG', 'Egypt', 'EMRO', '179', '107209', '13', '6247');
INSERT INTO public.who_import VALUES (25618, '2020-10-31', 'EG', 'Egypt', 'EMRO', '176', '107385', '11', '6258');
INSERT INTO public.who_import VALUES (25619, '2020-11-01', 'EG', 'Egypt', 'EMRO', '170', '107555', '8', '6266');
INSERT INTO public.who_import VALUES (25620, '2020-11-02', 'EG', 'Egypt', 'EMRO', '181', '107736', '12', '6278');
INSERT INTO public.who_import VALUES (25621, '2020-11-03', 'EG', 'Egypt', 'EMRO', '189', '107925', '13', '6291');
INSERT INTO public.who_import VALUES (25622, '2020-11-04', 'EG', 'Egypt', 'EMRO', '197', '108122', '14', '6305');
INSERT INTO public.who_import VALUES (25623, '2020-11-05', 'EG', 'Egypt', 'EMRO', '207', '108329', '13', '6318');
INSERT INTO public.who_import VALUES (25624, '2020-11-06', 'EG', 'Egypt', 'EMRO', '201', '108530', '11', '6329');
INSERT INTO public.who_import VALUES (25625, '2020-11-07', 'EG', 'Egypt', 'EMRO', '224', '108754', '14', '6343');
INSERT INTO public.who_import VALUES (25626, '2020-11-08', 'EG', 'Egypt', 'EMRO', '208', '108962', '12', '6355');
INSERT INTO public.who_import VALUES (25627, '2020-11-09', 'EG', 'Egypt', 'EMRO', '239', '109201', '13', '6368');
INSERT INTO public.who_import VALUES (25628, '2020-11-10', 'EG', 'Egypt', 'EMRO', '221', '109422', '12', '6380');
INSERT INTO public.who_import VALUES (25629, '2020-11-11', 'EG', 'Egypt', 'EMRO', '232', '109654', '14', '6394');
INSERT INTO public.who_import VALUES (25630, '2020-11-12', 'EG', 'Egypt', 'EMRO', '227', '109881', '11', '6405');
INSERT INTO public.who_import VALUES (25631, '2020-11-13', 'EG', 'Egypt', 'EMRO', '214', '110095', '12', '6417');
INSERT INTO public.who_import VALUES (25632, '2020-11-14', 'EG', 'Egypt', 'EMRO', '224', '110319', '12', '6429');
INSERT INTO public.who_import VALUES (25633, '2020-11-15', 'EG', 'Egypt', 'EMRO', '228', '110547', '13', '6442');
INSERT INTO public.who_import VALUES (25634, '2020-11-16', 'EG', 'Egypt', 'EMRO', '220', '110767', '11', '6453');
INSERT INTO public.who_import VALUES (25635, '2020-11-17', 'EG', 'Egypt', 'EMRO', '242', '111009', '12', '6465');
INSERT INTO public.who_import VALUES (25636, '2020-11-18', 'EG', 'Egypt', 'EMRO', '275', '111284', '16', '6481');
INSERT INTO public.who_import VALUES (25637, '2020-11-19', 'EG', 'Egypt', 'EMRO', '329', '111613', '14', '6495');
INSERT INTO public.who_import VALUES (25638, '2020-11-20', 'EG', 'Egypt', 'EMRO', '342', '111955', '13', '6508');
INSERT INTO public.who_import VALUES (25639, '2020-11-21', 'EG', 'Egypt', 'EMRO', '363', '112318', '13', '6521');
INSERT INTO public.who_import VALUES (25640, '2020-11-22', 'EG', 'Egypt', 'EMRO', '358', '112676', '14', '6535');
INSERT INTO public.who_import VALUES (25641, '2020-11-23', 'EG', 'Egypt', 'EMRO', '351', '113027', '13', '6548');
INSERT INTO public.who_import VALUES (25642, '2020-11-24', 'EG', 'Egypt', 'EMRO', '354', '113381', '12', '6560');
INSERT INTO public.who_import VALUES (25643, '2020-11-25', 'EG', 'Egypt', 'EMRO', '361', '113742', '13', '6573');
INSERT INTO public.who_import VALUES (25644, '2020-11-26', 'EG', 'Egypt', 'EMRO', '365', '114107', '12', '6585');
INSERT INTO public.who_import VALUES (25645, '2020-11-27', 'EG', 'Egypt', 'EMRO', '368', '114475', '11', '6596');
INSERT INTO public.who_import VALUES (25646, '2020-11-28', 'EG', 'Egypt', 'EMRO', '357', '114832', '12', '6608');
INSERT INTO public.who_import VALUES (25647, '2020-11-29', 'EG', 'Egypt', 'EMRO', '351', '115183', '13', '6621');
INSERT INTO public.who_import VALUES (25648, '2020-11-30', 'EG', 'Egypt', 'EMRO', '358', '115541', '15', '6636');
INSERT INTO public.who_import VALUES (25649, '2020-12-01', 'EG', 'Egypt', 'EMRO', '370', '115911', '14', '6650');
INSERT INTO public.who_import VALUES (25650, '2020-12-02', 'EG', 'Egypt', 'EMRO', '392', '116303', '16', '6666');
INSERT INTO public.who_import VALUES (25651, '2020-12-03', 'EG', 'Egypt', 'EMRO', '421', '116724', '28', '6694');
INSERT INTO public.who_import VALUES (25652, '2020-12-04', 'EG', 'Egypt', 'EMRO', '432', '117156', '19', '6713');
INSERT INTO public.who_import VALUES (25653, '2020-12-05', 'EG', 'Egypt', 'EMRO', '427', '117583', '19', '6732');
INSERT INTO public.who_import VALUES (25654, '2020-12-06', 'EG', 'Egypt', 'EMRO', '431', '118014', '18', '6750');
INSERT INTO public.who_import VALUES (25655, '2020-12-07', 'EG', 'Egypt', 'EMRO', '418', '118432', '21', '6771');
INSERT INTO public.who_import VALUES (25656, '2020-12-08', 'EG', 'Egypt', 'EMRO', '415', '118847', '19', '6790');
INSERT INTO public.who_import VALUES (25657, '2020-12-09', 'EG', 'Egypt', 'EMRO', '434', '119281', '23', '6813');
INSERT INTO public.who_import VALUES (25658, '2020-12-10', 'EG', 'Egypt', 'EMRO', '421', '119702', '19', '6832');
INSERT INTO public.who_import VALUES (25659, '2020-12-11', 'EG', 'Egypt', 'EMRO', '445', '120147', '22', '6854');
INSERT INTO public.who_import VALUES (25660, '2020-12-12', 'EG', 'Egypt', 'EMRO', '464', '120611', '23', '6877');
INSERT INTO public.who_import VALUES (25661, '2020-12-13', 'EG', 'Egypt', 'EMRO', '478', '121089', '21', '6898');
INSERT INTO public.who_import VALUES (25662, '2020-12-14', 'EG', 'Egypt', 'EMRO', '486', '121575', '22', '6920');
INSERT INTO public.who_import VALUES (25663, '2020-12-15', 'EG', 'Egypt', 'EMRO', '511', '122086', '23', '6943');
INSERT INTO public.who_import VALUES (25664, '2020-12-16', 'EG', 'Egypt', 'EMRO', '523', '122609', '23', '6966');
INSERT INTO public.who_import VALUES (25665, '2020-12-17', 'EG', 'Egypt', 'EMRO', '544', '123153', '24', '6990');
INSERT INTO public.who_import VALUES (25666, '2020-12-18', 'EG', 'Egypt', 'EMRO', '548', '123701', '25', '7015');
INSERT INTO public.who_import VALUES (25667, '2020-12-19', 'EG', 'Egypt', 'EMRO', '579', '124280', '26', '7041');
INSERT INTO public.who_import VALUES (25668, '2020-12-20', 'EG', 'Egypt', 'EMRO', '611', '124891', '28', '7069');
INSERT INTO public.who_import VALUES (25669, '2020-12-21', 'EG', 'Egypt', 'EMRO', '664', '125555', '29', '7098');
INSERT INTO public.who_import VALUES (25670, '2020-12-22', 'EG', 'Egypt', 'EMRO', '718', '126273', '32', '7130');
INSERT INTO public.who_import VALUES (25671, '2020-12-23', 'EG', 'Egypt', 'EMRO', '788', '127061', '37', '7167');
INSERT INTO public.who_import VALUES (25672, '2020-12-24', 'EG', 'Egypt', 'EMRO', '911', '127972', '42', '7209');
INSERT INTO public.who_import VALUES (25673, '2020-12-25', 'EG', 'Egypt', 'EMRO', '1021', '128993', '51', '7260');
INSERT INTO public.who_import VALUES (25674, '2020-12-26', 'EG', 'Egypt', 'EMRO', '1133', '130126', '49', '7309');
INSERT INTO public.who_import VALUES (25675, '2020-12-27', 'EG', 'Egypt', 'EMRO', '1189', '131315', '43', '7352');
INSERT INTO public.who_import VALUES (25676, '2020-12-28', 'EG', 'Egypt', 'EMRO', '1226', '132541', '53', '7405');
INSERT INTO public.who_import VALUES (25677, '2020-12-29', 'EG', 'Egypt', 'EMRO', '1359', '133900', '61', '7466');
INSERT INTO public.who_import VALUES (25678, '2020-12-30', 'EG', 'Egypt', 'EMRO', '1333', '135233', '54', '7520');
INSERT INTO public.who_import VALUES (25679, '2020-12-31', 'EG', 'Egypt', 'EMRO', '1411', '136644', '56', '7576');
INSERT INTO public.who_import VALUES (25680, '2021-01-01', 'EG', 'Egypt', 'EMRO', '1418', '138062', '55', '7631');
INSERT INTO public.who_import VALUES (25681, '2021-01-02', 'EG', 'Egypt', 'EMRO', '1409', '139471', '56', '7687');
INSERT INTO public.who_import VALUES (25682, '2021-01-03', 'EG', 'Egypt', 'EMRO', '1407', '140878', '54', '7741');
INSERT INTO public.who_import VALUES (25683, '2021-01-04', 'EG', 'Egypt', 'EMRO', '1309', '142187', '64', '7805');
INSERT INTO public.who_import VALUES (25684, '2021-01-05', 'EG', 'Egypt', 'EMRO', '1277', '143464', '58', '7863');
INSERT INTO public.who_import VALUES (25685, '2021-01-06', 'EG', 'Egypt', 'EMRO', '1119', '144583', '55', '7918');
INSERT INTO public.who_import VALUES (25686, '2021-01-07', 'EG', 'Egypt', 'EMRO', '1007', '145590', '57', '7975');
INSERT INTO public.who_import VALUES (25687, '2021-01-08', 'EG', 'Egypt', 'EMRO', '1219', '146809', '54', '8029');
INSERT INTO public.who_import VALUES (25688, '2021-01-09', 'EG', 'Egypt', 'EMRO', '1001', '147810', '56', '8085');
INSERT INTO public.who_import VALUES (25689, '2021-01-10', 'EG', 'Egypt', 'EMRO', '989', '148799', '57', '8142');
INSERT INTO public.who_import VALUES (25690, '2021-01-11', 'EG', 'Egypt', 'EMRO', '993', '149792', '55', '8197');
INSERT INTO public.who_import VALUES (25691, '2021-01-12', 'EG', 'Egypt', 'EMRO', '961', '150753', '52', '8249');
INSERT INTO public.who_import VALUES (25692, '2021-01-13', 'EG', 'Egypt', 'EMRO', '970', '151723', '55', '8304');
INSERT INTO public.who_import VALUES (25693, '2021-01-14', 'EG', 'Egypt', 'EMRO', '996', '152719', '58', '8362');
INSERT INTO public.who_import VALUES (25694, '2021-01-15', 'EG', 'Egypt', 'EMRO', '1022', '153741', '59', '8421');
INSERT INTO public.who_import VALUES (25695, '2021-01-16', 'EG', 'Egypt', 'EMRO', '879', '154620', '52', '8473');
INSERT INTO public.who_import VALUES (25696, '2021-01-17', 'EG', 'Egypt', 'EMRO', '887', '155507', '54', '8527');
INSERT INTO public.who_import VALUES (25697, '2021-01-18', 'EG', 'Egypt', 'EMRO', '890', '156397', '56', '8583');
INSERT INTO public.who_import VALUES (25698, '2021-01-19', 'EG', 'Egypt', 'EMRO', '878', '157275', '55', '8638');
INSERT INTO public.who_import VALUES (25699, '2021-01-20', 'EG', 'Egypt', 'EMRO', '899', '158174', '58', '8696');
INSERT INTO public.who_import VALUES (25700, '2021-01-21', 'EG', 'Egypt', 'EMRO', '789', '158963', '51', '8747');
INSERT INTO public.who_import VALUES (25701, '2021-01-22', 'EG', 'Egypt', 'EMRO', '752', '159715', '54', '8801');
INSERT INTO public.who_import VALUES (25702, '2021-01-23', 'EG', 'Egypt', 'EMRO', '748', '160463', '52', '8853');
INSERT INTO public.who_import VALUES (25703, '2021-01-24', 'EG', 'Egypt', 'EMRO', '680', '161143', '49', '8902');
INSERT INTO public.who_import VALUES (25704, '2021-01-25', 'EG', 'Egypt', 'EMRO', '674', '161817', '57', '8959');
INSERT INTO public.who_import VALUES (25705, '2021-01-26', 'EG', 'Egypt', 'EMRO', '669', '162486', '53', '9012');
INSERT INTO public.who_import VALUES (25706, '2021-01-27', 'EG', 'Egypt', 'EMRO', '643', '163129', '55', '9067');
INSERT INTO public.who_import VALUES (25707, '2021-01-28', 'EG', 'Egypt', 'EMRO', '632', '163761', '48', '9115');
INSERT INTO public.who_import VALUES (25708, '2021-01-29', 'EG', 'Egypt', 'EMRO', '521', '164282', '54', '9169');
INSERT INTO public.who_import VALUES (25709, '2021-01-30', 'EG', 'Egypt', 'EMRO', '589', '164871', '48', '9217');
INSERT INTO public.who_import VALUES (25710, '2021-01-31', 'EG', 'Egypt', 'EMRO', '547', '165418', '46', '9263');
INSERT INTO public.who_import VALUES (25711, '2021-02-01', 'EG', 'Egypt', 'EMRO', '533', '165951', '53', '9316');
INSERT INTO public.who_import VALUES (25712, '2021-02-02', 'EG', 'Egypt', 'EMRO', '541', '166492', '44', '9360');
INSERT INTO public.who_import VALUES (25713, '2021-02-03', 'EG', 'Egypt', 'EMRO', '521', '167013', '47', '9407');
INSERT INTO public.who_import VALUES (25714, '2021-02-04', 'EG', 'Egypt', 'EMRO', '512', '167525', '53', '9460');
INSERT INTO public.who_import VALUES (25715, '2021-02-05', 'EG', 'Egypt', 'EMRO', '532', '168057', '52', '9512');
INSERT INTO public.who_import VALUES (25716, '2021-02-06', 'EG', 'Egypt', 'EMRO', '540', '168597', '48', '9560');
INSERT INTO public.who_import VALUES (25717, '2021-02-07', 'EG', 'Egypt', 'EMRO', '509', '169106', '44', '9604');
INSERT INTO public.who_import VALUES (25718, '2021-02-08', 'EG', 'Egypt', 'EMRO', '534', '169640', '47', '9651');
INSERT INTO public.who_import VALUES (25719, '2021-02-09', 'EG', 'Egypt', 'EMRO', '567', '170207', '48', '9699');
INSERT INTO public.who_import VALUES (25720, '2021-02-10', 'EG', 'Egypt', 'EMRO', '573', '170780', '52', '9751');
INSERT INTO public.who_import VALUES (25721, '2021-02-11', 'EG', 'Egypt', 'EMRO', '610', '171390', '53', '9804');
INSERT INTO public.who_import VALUES (25722, '2021-02-12', 'EG', 'Egypt', 'EMRO', '603', '171993', '53', '9857');
INSERT INTO public.who_import VALUES (25723, '2021-02-13', 'EG', 'Egypt', 'EMRO', '609', '172602', '42', '9899');
INSERT INTO public.who_import VALUES (25724, '2021-02-14', 'EG', 'Egypt', 'EMRO', '600', '173202', '36', '9935');
INSERT INTO public.who_import VALUES (25725, '2021-02-15', 'EG', 'Egypt', 'EMRO', '611', '173813', '59', '9994');
INSERT INTO public.who_import VALUES (25726, '2021-02-16', 'EG', 'Egypt', 'EMRO', '613', '174426', '56', '10050');
INSERT INTO public.who_import VALUES (25727, '2021-02-17', 'EG', 'Egypt', 'EMRO', '633', '175059', '51', '10101');
INSERT INTO public.who_import VALUES (25728, '2021-02-18', 'EG', 'Egypt', 'EMRO', '618', '175677', '49', '10150');
INSERT INTO public.who_import VALUES (25729, '2021-02-19', 'EG', 'Egypt', 'EMRO', '656', '176333', '51', '10201');
INSERT INTO public.who_import VALUES (25730, '2021-02-20', 'EG', 'Egypt', 'EMRO', '610', '176943', '49', '10250');
INSERT INTO public.who_import VALUES (25731, '2020-01-03', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25732, '2020-01-04', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25733, '2020-01-05', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25734, '2020-01-06', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25735, '2020-01-07', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25736, '2020-01-08', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25737, '2020-01-09', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25738, '2020-01-10', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25739, '2020-01-11', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25740, '2020-01-12', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25741, '2020-01-13', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25742, '2020-01-14', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25743, '2020-01-15', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25744, '2020-01-16', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25745, '2020-01-17', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25746, '2020-01-18', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25747, '2020-01-19', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25748, '2020-01-20', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25749, '2020-01-21', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25750, '2020-01-22', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25751, '2020-01-23', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25752, '2020-01-24', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25753, '2020-01-25', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25754, '2020-01-26', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25755, '2020-01-27', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25756, '2020-01-28', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25757, '2020-01-29', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25758, '2020-01-30', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25759, '2020-01-31', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25760, '2020-02-01', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25761, '2020-02-02', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25762, '2020-02-03', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25763, '2020-02-04', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25764, '2020-02-05', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25765, '2020-02-06', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25766, '2020-02-07', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25767, '2020-02-08', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25768, '2020-02-09', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25769, '2020-02-10', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25770, '2020-02-11', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25771, '2020-02-12', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25772, '2020-02-13', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25773, '2020-02-14', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25774, '2020-02-15', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25775, '2020-02-16', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25776, '2020-02-17', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25777, '2020-02-18', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25778, '2020-02-19', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25779, '2020-02-20', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25780, '2020-02-21', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25781, '2020-02-22', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25782, '2020-02-23', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25783, '2020-02-24', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25784, '2020-02-25', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25785, '2020-02-26', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25786, '2020-02-27', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25787, '2020-02-28', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25788, '2020-02-29', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25789, '2020-03-01', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25790, '2020-03-02', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25791, '2020-03-03', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25792, '2020-03-04', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25793, '2020-03-05', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25794, '2020-03-06', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25795, '2020-03-07', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25796, '2020-03-08', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25797, '2020-03-09', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25798, '2020-03-10', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25799, '2020-03-11', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25800, '2020-03-12', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25801, '2020-03-13', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25802, '2020-03-14', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25803, '2020-03-15', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25804, '2020-03-16', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25805, '2020-03-17', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25806, '2020-03-18', 'SV', 'El Salvador', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (25807, '2020-03-19', 'SV', 'El Salvador', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (25808, '2020-03-20', 'SV', 'El Salvador', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (25809, '2020-03-21', 'SV', 'El Salvador', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (25810, '2020-03-22', 'SV', 'El Salvador', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (25811, '2020-03-23', 'SV', 'El Salvador', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (25812, '2020-03-24', 'SV', 'El Salvador', 'AMRO', '4', '5', '0', '0');
INSERT INTO public.who_import VALUES (25813, '2020-03-25', 'SV', 'El Salvador', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (25814, '2020-03-26', 'SV', 'El Salvador', 'AMRO', '8', '13', '0', '0');
INSERT INTO public.who_import VALUES (25815, '2020-03-27', 'SV', 'El Salvador', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (25816, '2020-03-28', 'SV', 'El Salvador', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (25817, '2020-03-29', 'SV', 'El Salvador', 'AMRO', '6', '19', '0', '0');
INSERT INTO public.who_import VALUES (25818, '2020-03-30', 'SV', 'El Salvador', 'AMRO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (25819, '2020-03-31', 'SV', 'El Salvador', 'AMRO', '6', '30', '0', '0');
INSERT INTO public.who_import VALUES (25820, '2020-04-01', 'SV', 'El Salvador', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (25821, '2020-04-02', 'SV', 'El Salvador', 'AMRO', '2', '32', '1', '1');
INSERT INTO public.who_import VALUES (25822, '2020-04-03', 'SV', 'El Salvador', 'AMRO', '9', '41', '1', '2');
INSERT INTO public.who_import VALUES (25823, '2020-04-04', 'SV', 'El Salvador', 'AMRO', '5', '46', '0', '2');
INSERT INTO public.who_import VALUES (25824, '2020-04-05', 'SV', 'El Salvador', 'AMRO', '10', '56', '1', '3');
INSERT INTO public.who_import VALUES (25825, '2020-04-06', 'SV', 'El Salvador', 'AMRO', '6', '62', '0', '3');
INSERT INTO public.who_import VALUES (25826, '2020-04-07', 'SV', 'El Salvador', 'AMRO', '7', '69', '0', '3');
INSERT INTO public.who_import VALUES (25827, '2020-04-08', 'SV', 'El Salvador', 'AMRO', '9', '78', '1', '4');
INSERT INTO public.who_import VALUES (25828, '2020-04-09', 'SV', 'El Salvador', 'AMRO', '15', '93', '1', '5');
INSERT INTO public.who_import VALUES (25829, '2020-04-10', 'SV', 'El Salvador', 'AMRO', '10', '103', '0', '5');
INSERT INTO public.who_import VALUES (25830, '2020-04-11', 'SV', 'El Salvador', 'AMRO', '14', '117', '1', '6');
INSERT INTO public.who_import VALUES (25831, '2020-04-12', 'SV', 'El Salvador', 'AMRO', '1', '118', '0', '6');
INSERT INTO public.who_import VALUES (25832, '2020-04-13', 'SV', 'El Salvador', 'AMRO', '7', '125', '0', '6');
INSERT INTO public.who_import VALUES (25833, '2020-04-14', 'SV', 'El Salvador', 'AMRO', '12', '137', '0', '6');
INSERT INTO public.who_import VALUES (25834, '2020-04-15', 'SV', 'El Salvador', 'AMRO', '12', '149', '0', '6');
INSERT INTO public.who_import VALUES (25835, '2020-04-16', 'SV', 'El Salvador', 'AMRO', '10', '159', '0', '6');
INSERT INTO public.who_import VALUES (25836, '2020-04-17', 'SV', 'El Salvador', 'AMRO', '5', '164', '0', '6');
INSERT INTO public.who_import VALUES (25837, '2020-04-18', 'SV', 'El Salvador', 'AMRO', '13', '177', '1', '7');
INSERT INTO public.who_import VALUES (25838, '2020-04-19', 'SV', 'El Salvador', 'AMRO', '13', '190', '0', '7');
INSERT INTO public.who_import VALUES (25839, '2020-04-20', 'SV', 'El Salvador', 'AMRO', '11', '201', '0', '7');
INSERT INTO public.who_import VALUES (25840, '2020-04-21', 'SV', 'El Salvador', 'AMRO', '17', '218', '0', '7');
INSERT INTO public.who_import VALUES (25841, '2020-04-22', 'SV', 'El Salvador', 'AMRO', '7', '225', '0', '7');
INSERT INTO public.who_import VALUES (25842, '2020-04-23', 'SV', 'El Salvador', 'AMRO', '12', '237', '0', '7');
INSERT INTO public.who_import VALUES (25843, '2020-04-24', 'SV', 'El Salvador', 'AMRO', '13', '250', '1', '8');
INSERT INTO public.who_import VALUES (25844, '2020-04-25', 'SV', 'El Salvador', 'AMRO', '11', '261', '0', '8');
INSERT INTO public.who_import VALUES (25845, '2020-04-26', 'SV', 'El Salvador', 'AMRO', '13', '274', '0', '8');
INSERT INTO public.who_import VALUES (25846, '2020-04-27', 'SV', 'El Salvador', 'AMRO', '24', '298', '0', '8');
INSERT INTO public.who_import VALUES (25847, '2020-04-28', 'SV', 'El Salvador', 'AMRO', '25', '323', '0', '8');
INSERT INTO public.who_import VALUES (25848, '2020-04-29', 'SV', 'El Salvador', 'AMRO', '22', '345', '0', '8');
INSERT INTO public.who_import VALUES (25849, '2020-04-30', 'SV', 'El Salvador', 'AMRO', '32', '377', '1', '9');
INSERT INTO public.who_import VALUES (25850, '2020-05-01', 'SV', 'El Salvador', 'AMRO', '18', '395', '0', '9');
INSERT INTO public.who_import VALUES (25851, '2020-05-02', 'SV', 'El Salvador', 'AMRO', '29', '424', '1', '10');
INSERT INTO public.who_import VALUES (25852, '2020-05-03', 'SV', 'El Salvador', 'AMRO', '22', '446', '0', '10');
INSERT INTO public.who_import VALUES (25853, '2020-05-04', 'SV', 'El Salvador', 'AMRO', '44', '490', '1', '11');
INSERT INTO public.who_import VALUES (25854, '2020-05-05', 'SV', 'El Salvador', 'AMRO', '65', '555', '1', '12');
INSERT INTO public.who_import VALUES (25855, '2020-05-06', 'SV', 'El Salvador', 'AMRO', '32', '587', '1', '13');
INSERT INTO public.who_import VALUES (25856, '2020-05-07', 'SV', 'El Salvador', 'AMRO', '46', '633', '1', '14');
INSERT INTO public.who_import VALUES (25857, '2020-05-08', 'SV', 'El Salvador', 'AMRO', '62', '695', '1', '15');
INSERT INTO public.who_import VALUES (25858, '2020-05-09', 'SV', 'El Salvador', 'AMRO', '47', '742', '0', '15');
INSERT INTO public.who_import VALUES (25859, '2020-05-10', 'SV', 'El Salvador', 'AMRO', '42', '784', '1', '16');
INSERT INTO public.who_import VALUES (25860, '2020-05-11', 'SV', 'El Salvador', 'AMRO', '105', '889', '1', '17');
INSERT INTO public.who_import VALUES (25861, '2020-05-12', 'SV', 'El Salvador', 'AMRO', '69', '958', '0', '17');
INSERT INTO public.who_import VALUES (25862, '2020-05-13', 'SV', 'El Salvador', 'AMRO', '40', '998', '1', '18');
INSERT INTO public.who_import VALUES (25863, '2020-05-14', 'SV', 'El Salvador', 'AMRO', '39', '1037', '2', '20');
INSERT INTO public.who_import VALUES (25864, '2020-05-15', 'SV', 'El Salvador', 'AMRO', '75', '1112', '0', '20');
INSERT INTO public.who_import VALUES (25865, '2020-05-16', 'SV', 'El Salvador', 'AMRO', '98', '1210', '3', '23');
INSERT INTO public.who_import VALUES (25866, '2020-05-17', 'SV', 'El Salvador', 'AMRO', '55', '1265', '2', '25');
INSERT INTO public.who_import VALUES (25867, '2020-05-18', 'SV', 'El Salvador', 'AMRO', '73', '1338', '2', '27');
INSERT INTO public.who_import VALUES (25868, '2020-05-19', 'SV', 'El Salvador', 'AMRO', '75', '1413', '3', '30');
INSERT INTO public.who_import VALUES (25869, '2020-05-20', 'SV', 'El Salvador', 'AMRO', '85', '1498', '0', '30');
INSERT INTO public.who_import VALUES (25870, '2020-05-21', 'SV', 'El Salvador', 'AMRO', '73', '1571', '1', '31');
INSERT INTO public.who_import VALUES (25871, '2020-05-22', 'SV', 'El Salvador', 'AMRO', '69', '1640', '1', '32');
INSERT INTO public.who_import VALUES (25872, '2020-05-23', 'SV', 'El Salvador', 'AMRO', '85', '1725', '1', '33');
INSERT INTO public.who_import VALUES (25873, '2020-05-24', 'SV', 'El Salvador', 'AMRO', '94', '1819', '0', '33');
INSERT INTO public.who_import VALUES (25874, '2020-05-25', 'SV', 'El Salvador', 'AMRO', '96', '1915', '2', '35');
INSERT INTO public.who_import VALUES (25875, '2020-05-26', 'SV', 'El Salvador', 'AMRO', '68', '1983', '0', '35');
INSERT INTO public.who_import VALUES (25876, '2020-05-27', 'SV', 'El Salvador', 'AMRO', '59', '2042', '1', '36');
INSERT INTO public.who_import VALUES (25877, '2020-05-28', 'SV', 'El Salvador', 'AMRO', '67', '2109', '1', '37');
INSERT INTO public.who_import VALUES (25878, '2020-05-29', 'SV', 'El Salvador', 'AMRO', '85', '2194', '2', '39');
INSERT INTO public.who_import VALUES (25879, '2020-05-30', 'SV', 'El Salvador', 'AMRO', '84', '2278', '3', '42');
INSERT INTO public.who_import VALUES (25880, '2020-05-31', 'SV', 'El Salvador', 'AMRO', '117', '2395', '2', '44');
INSERT INTO public.who_import VALUES (25881, '2020-06-01', 'SV', 'El Salvador', 'AMRO', '122', '2517', '2', '46');
INSERT INTO public.who_import VALUES (25882, '2020-06-02', 'SV', 'El Salvador', 'AMRO', '65', '2582', '0', '46');
INSERT INTO public.who_import VALUES (25883, '2020-06-03', 'SV', 'El Salvador', 'AMRO', '71', '2653', '0', '46');
INSERT INTO public.who_import VALUES (25884, '2020-06-04', 'SV', 'El Salvador', 'AMRO', '52', '2705', '5', '51');
INSERT INTO public.who_import VALUES (25885, '2020-06-05', 'SV', 'El Salvador', 'AMRO', '76', '2781', '1', '52');
INSERT INTO public.who_import VALUES (25886, '2020-06-06', 'SV', 'El Salvador', 'AMRO', '68', '2849', '1', '53');
INSERT INTO public.who_import VALUES (25887, '2020-06-07', 'SV', 'El Salvador', 'AMRO', '85', '2934', '0', '53');
INSERT INTO public.who_import VALUES (25888, '2020-06-08', 'SV', 'El Salvador', 'AMRO', '81', '3015', '2', '55');
INSERT INTO public.who_import VALUES (25889, '2020-06-09', 'SV', 'El Salvador', 'AMRO', '89', '3104', '0', '55');
INSERT INTO public.who_import VALUES (25890, '2020-06-10', 'SV', 'El Salvador', 'AMRO', '87', '3191', '3', '58');
INSERT INTO public.who_import VALUES (25891, '2020-06-11', 'SV', 'El Salvador', 'AMRO', '83', '3274', '2', '60');
INSERT INTO public.who_import VALUES (25892, '2020-06-12', 'SV', 'El Salvador', 'AMRO', '99', '3373', '4', '64');
INSERT INTO public.who_import VALUES (25893, '2020-06-13', 'SV', 'El Salvador', 'AMRO', '108', '3481', '4', '68');
INSERT INTO public.who_import VALUES (25894, '2020-06-14', 'SV', 'El Salvador', 'AMRO', '122', '3603', '4', '72');
INSERT INTO public.who_import VALUES (25895, '2020-06-15', 'SV', 'El Salvador', 'AMRO', '117', '3720', '0', '72');
INSERT INTO public.who_import VALUES (25896, '2020-06-16', 'SV', 'El Salvador', 'AMRO', '106', '3826', '2', '74');
INSERT INTO public.who_import VALUES (25897, '2020-06-17', 'SV', 'El Salvador', 'AMRO', '115', '3941', '2', '76');
INSERT INTO public.who_import VALUES (25898, '2020-06-18', 'SV', 'El Salvador', 'AMRO', '125', '4066', '3', '79');
INSERT INTO public.who_import VALUES (25899, '2020-06-19', 'SV', 'El Salvador', 'AMRO', '134', '4200', '3', '82');
INSERT INTO public.who_import VALUES (25900, '2020-06-20', 'SV', 'El Salvador', 'AMRO', '129', '4329', '4', '86');
INSERT INTO public.who_import VALUES (25901, '2020-06-21', 'SV', 'El Salvador', 'AMRO', '146', '4475', '7', '93');
INSERT INTO public.who_import VALUES (25902, '2020-06-22', 'SV', 'El Salvador', 'AMRO', '151', '4626', '5', '98');
INSERT INTO public.who_import VALUES (25903, '2020-06-23', 'SV', 'El Salvador', 'AMRO', '182', '4808', '9', '107');
INSERT INTO public.who_import VALUES (25904, '2020-06-24', 'SV', 'El Salvador', 'AMRO', '165', '4973', '6', '113');
INSERT INTO public.who_import VALUES (25905, '2020-06-25', 'SV', 'El Salvador', 'AMRO', '177', '5150', '6', '119');
INSERT INTO public.who_import VALUES (25906, '2020-06-26', 'SV', 'El Salvador', 'AMRO', '186', '5336', '7', '126');
INSERT INTO public.who_import VALUES (25907, '2020-06-27', 'SV', 'El Salvador', 'AMRO', '181', '5517', '7', '133');
INSERT INTO public.who_import VALUES (25908, '2020-06-28', 'SV', 'El Salvador', 'AMRO', '210', '5727', '10', '143');
INSERT INTO public.who_import VALUES (25909, '2020-06-29', 'SV', 'El Salvador', 'AMRO', '207', '5934', '9', '152');
INSERT INTO public.who_import VALUES (25910, '2020-06-30', 'SV', 'El Salvador', 'AMRO', '239', '6173', '12', '164');
INSERT INTO public.who_import VALUES (25911, '2020-07-01', 'SV', 'El Salvador', 'AMRO', '265', '6438', '10', '174');
INSERT INTO public.who_import VALUES (25912, '2020-07-02', 'SV', 'El Salvador', 'AMRO', '298', '6736', '8', '182');
INSERT INTO public.who_import VALUES (25913, '2020-07-03', 'SV', 'El Salvador', 'AMRO', '264', '7000', '9', '191');
INSERT INTO public.who_import VALUES (25914, '2020-07-04', 'SV', 'El Salvador', 'AMRO', '267', '7267', '11', '202');
INSERT INTO public.who_import VALUES (25915, '2020-07-05', 'SV', 'El Salvador', 'AMRO', '240', '7507', '8', '210');
INSERT INTO public.who_import VALUES (25916, '2020-07-06', 'SV', 'El Salvador', 'AMRO', '270', '7777', '7', '217');
INSERT INTO public.who_import VALUES (25917, '2020-07-07', 'SV', 'El Salvador', 'AMRO', '250', '8027', '6', '223');
INSERT INTO public.who_import VALUES (25918, '2020-07-08', 'SV', 'El Salvador', 'AMRO', '280', '8307', '6', '229');
INSERT INTO public.who_import VALUES (25919, '2020-07-09', 'SV', 'El Salvador', 'AMRO', '259', '8566', '6', '235');
INSERT INTO public.who_import VALUES (25920, '2020-07-10', 'SV', 'El Salvador', 'AMRO', '278', '8844', '8', '243');
INSERT INTO public.who_import VALUES (25921, '2020-07-11', 'SV', 'El Salvador', 'AMRO', '298', '9142', '6', '249');
INSERT INTO public.who_import VALUES (25922, '2020-07-12', 'SV', 'El Salvador', 'AMRO', '249', '9391', '5', '254');
INSERT INTO public.who_import VALUES (25923, '2020-07-13', 'SV', 'El Salvador', 'AMRO', '283', '9674', '6', '260');
INSERT INTO public.who_import VALUES (25924, '2020-07-14', 'SV', 'El Salvador', 'AMRO', '304', '9978', '7', '267');
INSERT INTO public.who_import VALUES (25925, '2020-07-15', 'SV', 'El Salvador', 'AMRO', '325', '10303', '11', '278');
INSERT INTO public.who_import VALUES (25926, '2020-07-16', 'SV', 'El Salvador', 'AMRO', '342', '10645', '8', '286');
INSERT INTO public.who_import VALUES (25927, '2020-07-17', 'SV', 'El Salvador', 'AMRO', '312', '10957', '12', '298');
INSERT INTO public.who_import VALUES (25928, '2020-07-18', 'SV', 'El Salvador', 'AMRO', '250', '11207', '11', '309');
INSERT INTO public.who_import VALUES (25929, '2020-07-19', 'SV', 'El Salvador', 'AMRO', '301', '11508', '15', '324');
INSERT INTO public.who_import VALUES (25930, '2020-07-20', 'SV', 'El Salvador', 'AMRO', '338', '11846', '11', '335');
INSERT INTO public.who_import VALUES (25931, '2020-07-21', 'SV', 'El Salvador', 'AMRO', '361', '12207', '9', '344');
INSERT INTO public.who_import VALUES (25932, '2020-07-22', 'SV', 'El Salvador', 'AMRO', '375', '12582', '8', '352');
INSERT INTO public.who_import VALUES (25933, '2020-07-23', 'SV', 'El Salvador', 'AMRO', '393', '12975', '11', '363');
INSERT INTO public.who_import VALUES (25934, '2020-07-24', 'SV', 'El Salvador', 'AMRO', '402', '13377', '9', '372');
INSERT INTO public.who_import VALUES (25935, '2020-07-25', 'SV', 'El Salvador', 'AMRO', '415', '13792', '7', '379');
INSERT INTO public.who_import VALUES (25936, '2020-07-26', 'SV', 'El Salvador', 'AMRO', '429', '14221', '11', '390');
INSERT INTO public.who_import VALUES (25937, '2020-07-27', 'SV', 'El Salvador', 'AMRO', '409', '14630', '10', '400');
INSERT INTO public.who_import VALUES (25938, '2020-07-28', 'SV', 'El Salvador', 'AMRO', '405', '15035', '8', '408');
INSERT INTO public.who_import VALUES (25939, '2020-07-29', 'SV', 'El Salvador', 'AMRO', '411', '15446', '9', '417');
INSERT INTO public.who_import VALUES (25940, '2020-07-30', 'SV', 'El Salvador', 'AMRO', '395', '15841', '13', '430');
INSERT INTO public.who_import VALUES (25941, '2020-07-31', 'SV', 'El Salvador', 'AMRO', '389', '16230', '9', '439');
INSERT INTO public.who_import VALUES (25942, '2020-08-01', 'SV', 'El Salvador', 'AMRO', '402', '16632', '9', '448');
INSERT INTO public.who_import VALUES (25943, '2020-08-02', 'SV', 'El Salvador', 'AMRO', '418', '17050', '11', '459');
INSERT INTO public.who_import VALUES (25944, '2020-08-03', 'SV', 'El Salvador', 'AMRO', '398', '17448', '8', '467');
INSERT INTO public.who_import VALUES (25945, '2020-08-04', 'SV', 'El Salvador', 'AMRO', '395', '17843', '10', '477');
INSERT INTO public.who_import VALUES (25946, '2020-08-05', 'SV', 'El Salvador', 'AMRO', '419', '18262', '9', '486');
INSERT INTO public.who_import VALUES (25947, '2020-08-06', 'SV', 'El Salvador', 'AMRO', '439', '18701', '12', '498');
INSERT INTO public.who_import VALUES (25948, '2020-08-07', 'SV', 'El Salvador', 'AMRO', '425', '19126', '15', '513');
INSERT INTO public.who_import VALUES (25949, '2020-08-08', 'SV', 'El Salvador', 'AMRO', '418', '19544', '7', '520');
INSERT INTO public.who_import VALUES (25950, '2020-08-09', 'SV', 'El Salvador', 'AMRO', '434', '19978', '16', '536');
INSERT INTO public.who_import VALUES (25951, '2020-08-10', 'SV', 'El Salvador', 'AMRO', '445', '20423', '13', '549');
INSERT INTO public.who_import VALUES (25952, '2020-08-11', 'SV', 'El Salvador', 'AMRO', '449', '20872', '14', '563');
INSERT INTO public.who_import VALUES (25953, '2020-08-12', 'SV', 'El Salvador', 'AMRO', '397', '21269', '7', '570');
INSERT INTO public.who_import VALUES (25954, '2020-08-13', 'SV', 'El Salvador', 'AMRO', '375', '21644', '7', '577');
INSERT INTO public.who_import VALUES (25955, '2020-08-14', 'SV', 'El Salvador', 'AMRO', '349', '21993', '7', '584');
INSERT INTO public.who_import VALUES (25956, '2020-08-15', 'SV', 'El Salvador', 'AMRO', '321', '22314', '11', '595');
INSERT INTO public.who_import VALUES (25957, '2020-08-16', 'SV', 'El Salvador', 'AMRO', '305', '22619', '8', '603');
INSERT INTO public.who_import VALUES (25958, '2020-08-17', 'SV', 'El Salvador', 'AMRO', '293', '22912', '9', '612');
INSERT INTO public.who_import VALUES (25959, '2020-08-18', 'SV', 'El Salvador', 'AMRO', '281', '23193', '6', '618');
INSERT INTO public.who_import VALUES (25960, '2020-08-19', 'SV', 'El Salvador', 'AMRO', '269', '23462', '7', '625');
INSERT INTO public.who_import VALUES (25961, '2020-08-20', 'SV', 'El Salvador', 'AMRO', '255', '23717', '8', '633');
INSERT INTO public.who_import VALUES (25962, '2020-08-21', 'SV', 'El Salvador', 'AMRO', '247', '23964', '7', '640');
INSERT INTO public.who_import VALUES (25963, '2020-08-22', 'SV', 'El Salvador', 'AMRO', '236', '24200', '6', '646');
INSERT INTO public.who_import VALUES (25964, '2020-08-23', 'SV', 'El Salvador', 'AMRO', '220', '24420', '8', '654');
INSERT INTO public.who_import VALUES (25965, '2020-08-24', 'SV', 'El Salvador', 'AMRO', '202', '24622', '7', '661');
INSERT INTO public.who_import VALUES (25966, '2020-08-25', 'SV', 'El Salvador', 'AMRO', '189', '24811', '8', '669');
INSERT INTO public.who_import VALUES (25967, '2020-08-26', 'SV', 'El Salvador', 'AMRO', '175', '24986', '9', '678');
INSERT INTO public.who_import VALUES (25968, '2020-08-27', 'SV', 'El Salvador', 'AMRO', '154', '25140', '9', '687');
INSERT INTO public.who_import VALUES (25969, '2020-08-28', 'SV', 'El Salvador', 'AMRO', '144', '25284', '7', '694');
INSERT INTO public.who_import VALUES (25970, '2020-08-29', 'SV', 'El Salvador', 'AMRO', '131', '25415', '8', '702');
INSERT INTO public.who_import VALUES (25971, '2020-08-30', 'SV', 'El Salvador', 'AMRO', '122', '25537', '6', '708');
INSERT INTO public.who_import VALUES (25972, '2020-08-31', 'SV', 'El Salvador', 'AMRO', '98', '25635', '5', '713');
INSERT INTO public.who_import VALUES (25973, '2020-09-01', 'SV', 'El Salvador', 'AMRO', '94', '25729', '4', '717');
INSERT INTO public.who_import VALUES (25974, '2020-09-02', 'SV', 'El Salvador', 'AMRO', '91', '25820', '7', '724');
INSERT INTO public.who_import VALUES (25975, '2020-09-03', 'SV', 'El Salvador', 'AMRO', '84', '25904', '7', '731');
INSERT INTO public.who_import VALUES (25976, '2020-09-04', 'SV', 'El Salvador', 'AMRO', '96', '26000', '8', '739');
INSERT INTO public.who_import VALUES (25977, '2020-09-05', 'SV', 'El Salvador', 'AMRO', '99', '26099', '5', '744');
INSERT INTO public.who_import VALUES (25978, '2020-09-06', 'SV', 'El Salvador', 'AMRO', '107', '26206', '8', '752');
INSERT INTO public.who_import VALUES (25979, '2020-09-07', 'SV', 'El Salvador', 'AMRO', '102', '26308', '7', '759');
INSERT INTO public.who_import VALUES (25980, '2020-09-08', 'SV', 'El Salvador', 'AMRO', '105', '26413', '5', '764');
INSERT INTO public.who_import VALUES (25981, '2020-09-09', 'SV', 'El Salvador', 'AMRO', '98', '26511', '1', '765');
INSERT INTO public.who_import VALUES (25982, '2020-09-10', 'SV', 'El Salvador', 'AMRO', '91', '26602', '5', '770');
INSERT INTO public.who_import VALUES (25983, '2020-09-11', 'SV', 'El Salvador', 'AMRO', '86', '26688', '4', '774');
INSERT INTO public.who_import VALUES (25984, '2020-09-12', 'SV', 'El Salvador', 'AMRO', '85', '26773', '3', '777');
INSERT INTO public.who_import VALUES (25985, '2020-09-13', 'SV', 'El Salvador', 'AMRO', '78', '26851', '5', '782');
INSERT INTO public.who_import VALUES (25986, '2020-09-14', 'SV', 'El Salvador', 'AMRO', '77', '26928', '3', '785');
INSERT INTO public.who_import VALUES (25987, '2020-09-15', 'SV', 'El Salvador', 'AMRO', '81', '27009', '3', '788');
INSERT INTO public.who_import VALUES (25988, '2020-09-16', 'SV', 'El Salvador', 'AMRO', '79', '27088', '4', '792');
INSERT INTO public.who_import VALUES (25989, '2020-09-17', 'SV', 'El Salvador', 'AMRO', '75', '27163', '4', '796');
INSERT INTO public.who_import VALUES (25990, '2020-09-18', 'SV', 'El Salvador', 'AMRO', '86', '27249', '5', '801');
INSERT INTO public.who_import VALUES (25991, '2020-09-19', 'SV', 'El Salvador', 'AMRO', '97', '27346', '3', '804');
INSERT INTO public.who_import VALUES (25992, '2020-09-20', 'SV', 'El Salvador', 'AMRO', '82', '27428', '4', '808');
INSERT INTO public.who_import VALUES (25993, '2020-09-21', 'SV', 'El Salvador', 'AMRO', '125', '27553', '3', '811');
INSERT INTO public.who_import VALUES (25994, '2020-09-22', 'SV', 'El Salvador', 'AMRO', '245', '27798', '1', '812');
INSERT INTO public.who_import VALUES (25995, '2020-09-23', 'SV', 'El Salvador', 'AMRO', '0', '27798', '2', '814');
INSERT INTO public.who_import VALUES (25996, '2020-09-24', 'SV', 'El Salvador', 'AMRO', '156', '27954', '5', '819');
INSERT INTO public.who_import VALUES (25997, '2020-09-25', 'SV', 'El Salvador', 'AMRO', '247', '28201', '4', '823');
INSERT INTO public.who_import VALUES (25998, '2020-09-26', 'SV', 'El Salvador', 'AMRO', '214', '28415', '0', '823');
INSERT INTO public.who_import VALUES (25999, '2020-09-27', 'SV', 'El Salvador', 'AMRO', '0', '28415', '3', '826');
INSERT INTO public.who_import VALUES (26000, '2020-09-28', 'SV', 'El Salvador', 'AMRO', '215', '28630', '0', '826');
INSERT INTO public.who_import VALUES (26001, '2020-09-29', 'SV', 'El Salvador', 'AMRO', '179', '28809', '5', '831');
INSERT INTO public.who_import VALUES (26002, '2020-09-30', 'SV', 'El Salvador', 'AMRO', '172', '28981', '8', '839');
INSERT INTO public.who_import VALUES (26003, '2020-10-01', 'SV', 'El Salvador', 'AMRO', '96', '29077', '4', '843');
INSERT INTO public.who_import VALUES (26004, '2020-10-02', 'SV', 'El Salvador', 'AMRO', '98', '29175', '5', '848');
INSERT INTO public.who_import VALUES (26005, '2020-10-03', 'SV', 'El Salvador', 'AMRO', '0', '29175', '5', '853');
INSERT INTO public.who_import VALUES (26006, '2020-10-04', 'SV', 'El Salvador', 'AMRO', '183', '29358', '4', '857');
INSERT INTO public.who_import VALUES (26007, '2020-10-05', 'SV', 'El Salvador', 'AMRO', '92', '29450', '6', '863');
INSERT INTO public.who_import VALUES (26008, '2020-10-06', 'SV', 'El Salvador', 'AMRO', '89', '29539', '2', '865');
INSERT INTO public.who_import VALUES (26009, '2020-10-07', 'SV', 'El Salvador', 'AMRO', '95', '29634', '4', '869');
INSERT INTO public.who_import VALUES (26010, '2020-10-08', 'SV', 'El Salvador', 'AMRO', '103', '29737', '4', '873');
INSERT INTO public.who_import VALUES (26011, '2020-10-09', 'SV', 'El Salvador', 'AMRO', '105', '29842', '4', '877');
INSERT INTO public.who_import VALUES (26012, '2020-10-10', 'SV', 'El Salvador', 'AMRO', '109', '29951', '4', '881');
INSERT INTO public.who_import VALUES (26013, '2020-10-11', 'SV', 'El Salvador', 'AMRO', '0', '29951', '6', '887');
INSERT INTO public.who_import VALUES (26014, '2020-10-12', 'SV', 'El Salvador', 'AMRO', '245', '30196', '3', '890');
INSERT INTO public.who_import VALUES (26015, '2020-10-13', 'SV', 'El Salvador', 'AMRO', '0', '30196', '4', '894');
INSERT INTO public.who_import VALUES (26016, '2020-10-14', 'SV', 'El Salvador', 'AMRO', '284', '30480', '5', '899');
INSERT INTO public.who_import VALUES (26017, '2020-10-15', 'SV', 'El Salvador', 'AMRO', '286', '30766', '5', '904');
INSERT INTO public.who_import VALUES (26018, '2020-10-16', 'SV', 'El Salvador', 'AMRO', '295', '31061', '4', '908');
INSERT INTO public.who_import VALUES (26019, '2020-10-17', 'SV', 'El Salvador', 'AMRO', '204', '31265', '4', '912');
INSERT INTO public.who_import VALUES (26020, '2020-10-18', 'SV', 'El Salvador', 'AMRO', '191', '31456', '5', '917');
INSERT INTO public.who_import VALUES (26021, '2020-10-19', 'SV', 'El Salvador', 'AMRO', '210', '31666', '5', '922');
INSERT INTO public.who_import VALUES (26022, '2020-10-20', 'SV', 'El Salvador', 'AMRO', '0', '31666', '4', '926');
INSERT INTO public.who_import VALUES (26023, '2020-10-21', 'SV', 'El Salvador', 'AMRO', '309', '31975', '3', '929');
INSERT INTO public.who_import VALUES (26024, '2020-10-22', 'SV', 'El Salvador', 'AMRO', '145', '32120', '4', '933');
INSERT INTO public.who_import VALUES (26025, '2020-10-23', 'SV', 'El Salvador', 'AMRO', '142', '32262', '3', '936');
INSERT INTO public.who_import VALUES (26026, '2020-10-24', 'SV', 'El Salvador', 'AMRO', '159', '32421', '4', '940');
INSERT INTO public.who_import VALUES (26027, '2020-10-25', 'SV', 'El Salvador', 'AMRO', '164', '32585', '4', '944');
INSERT INTO public.who_import VALUES (26028, '2020-10-26', 'SV', 'El Salvador', 'AMRO', '0', '32585', '5', '949');
INSERT INTO public.who_import VALUES (26029, '2020-10-27', 'SV', 'El Salvador', 'AMRO', '340', '32925', '4', '953');
INSERT INTO public.who_import VALUES (26030, '2020-10-28', 'SV', 'El Salvador', 'AMRO', '0', '32925', '4', '957');
INSERT INTO public.who_import VALUES (26031, '2020-10-29', 'SV', 'El Salvador', 'AMRO', '0', '32925', '5', '962');
INSERT INTO public.who_import VALUES (26032, '2020-10-30', 'SV', 'El Salvador', 'AMRO', '520', '33445', '5', '967');
INSERT INTO public.who_import VALUES (26033, '2020-10-31', 'SV', 'El Salvador', 'AMRO', '0', '33445', '4', '971');
INSERT INTO public.who_import VALUES (26034, '2020-11-01', 'SV', 'El Salvador', 'AMRO', '0', '33445', '4', '975');
INSERT INTO public.who_import VALUES (26035, '2020-11-02', 'SV', 'El Salvador', 'AMRO', '570', '34015', '4', '979');
INSERT INTO public.who_import VALUES (26036, '2020-11-03', 'SV', 'El Salvador', 'AMRO', '0', '34015', '4', '983');
INSERT INTO public.who_import VALUES (26037, '2020-11-04', 'SV', 'El Salvador', 'AMRO', '0', '34015', '4', '987');
INSERT INTO public.who_import VALUES (26038, '2020-11-05', 'SV', 'El Salvador', 'AMRO', '0', '34015', '5', '992');
INSERT INTO public.who_import VALUES (26039, '2020-11-06', 'SV', 'El Salvador', 'AMRO', '767', '34782', '5', '997');
INSERT INTO public.who_import VALUES (26040, '2020-11-07', 'SV', 'El Salvador', 'AMRO', '184', '34966', '5', '1002');
INSERT INTO public.who_import VALUES (26041, '2020-11-08', 'SV', 'El Salvador', 'AMRO', '179', '35145', '4', '1006');
INSERT INTO public.who_import VALUES (26042, '2020-11-09', 'SV', 'El Salvador', 'AMRO', '0', '35145', '4', '1010');
INSERT INTO public.who_import VALUES (26043, '2020-11-10', 'SV', 'El Salvador', 'AMRO', '0', '35145', '4', '1014');
INSERT INTO public.who_import VALUES (26044, '2020-11-11', 'SV', 'El Salvador', 'AMRO', '0', '35145', '6', '1020');
INSERT INTO public.who_import VALUES (26045, '2020-11-12', 'SV', 'El Salvador', 'AMRO', '0', '35145', '4', '1024');
INSERT INTO public.who_import VALUES (26046, '2020-11-13', 'SV', 'El Salvador', 'AMRO', '885', '36030', '4', '1028');
INSERT INTO public.who_import VALUES (26047, '2020-11-14', 'SV', 'El Salvador', 'AMRO', '165', '36195', '5', '1033');
INSERT INTO public.who_import VALUES (26048, '2020-11-15', 'SV', 'El Salvador', 'AMRO', '163', '36358', '6', '1039');
INSERT INTO public.who_import VALUES (26049, '2020-11-16', 'SV', 'El Salvador', 'AMRO', '0', '36358', '5', '1044');
INSERT INTO public.who_import VALUES (26050, '2020-11-17', 'SV', 'El Salvador', 'AMRO', '311', '36669', '3', '1047');
INSERT INTO public.who_import VALUES (26051, '2020-11-18', 'SV', 'El Salvador', 'AMRO', '0', '36669', '5', '1052');
INSERT INTO public.who_import VALUES (26052, '2020-11-19', 'SV', 'El Salvador', 'AMRO', '296', '36965', '4', '1056');
INSERT INTO public.who_import VALUES (26053, '2020-11-20', 'SV', 'El Salvador', 'AMRO', '0', '36965', '5', '1061');
INSERT INTO public.who_import VALUES (26054, '2020-11-21', 'SV', 'El Salvador', 'AMRO', '285', '37250', '3', '1064');
INSERT INTO public.who_import VALUES (26055, '2020-11-22', 'SV', 'El Salvador', 'AMRO', '0', '37250', '6', '1070');
INSERT INTO public.who_import VALUES (26056, '2020-11-23', 'SV', 'El Salvador', 'AMRO', '312', '37562', '5', '1075');
INSERT INTO public.who_import VALUES (26057, '2020-11-24', 'SV', 'El Salvador', 'AMRO', '0', '37562', '6', '1081');
INSERT INTO public.who_import VALUES (26058, '2020-11-25', 'SV', 'El Salvador', 'AMRO', '322', '37884', '5', '1086');
INSERT INTO public.who_import VALUES (26059, '2020-11-26', 'SV', 'El Salvador', 'AMRO', '0', '37884', '0', '1086');
INSERT INTO public.who_import VALUES (26060, '2020-11-27', 'SV', 'El Salvador', 'AMRO', '0', '37884', '12', '1098');
INSERT INTO public.who_import VALUES (26061, '2020-11-28', 'SV', 'El Salvador', 'AMRO', '521', '38405', '4', '1102');
INSERT INTO public.who_import VALUES (26062, '2020-11-29', 'SV', 'El Salvador', 'AMRO', '0', '38405', '5', '1107');
INSERT INTO public.who_import VALUES (26063, '2020-11-30', 'SV', 'El Salvador', 'AMRO', '0', '38405', '4', '1111');
INSERT INTO public.who_import VALUES (26064, '2020-12-01', 'SV', 'El Salvador', 'AMRO', '0', '38405', '3', '1114');
INSERT INTO public.who_import VALUES (26065, '2020-12-02', 'SV', 'El Salvador', 'AMRO', '725', '39130', '6', '1120');
INSERT INTO public.who_import VALUES (26066, '2020-12-03', 'SV', 'El Salvador', 'AMRO', '0', '39130', '9', '1129');
INSERT INTO public.who_import VALUES (26067, '2020-12-04', 'SV', 'El Salvador', 'AMRO', '0', '39130', '5', '1134');
INSERT INTO public.who_import VALUES (26068, '2020-12-05', 'SV', 'El Salvador', 'AMRO', '588', '39718', '8', '1142');
INSERT INTO public.who_import VALUES (26069, '2020-12-06', 'SV', 'El Salvador', 'AMRO', '0', '39718', '11', '1153');
INSERT INTO public.who_import VALUES (26070, '2020-12-07', 'SV', 'El Salvador', 'AMRO', '413', '40131', '6', '1159');
INSERT INTO public.who_import VALUES (26071, '2020-12-08', 'SV', 'El Salvador', 'AMRO', '214', '40345', '5', '1164');
INSERT INTO public.who_import VALUES (26072, '2020-12-09', 'SV', 'El Salvador', 'AMRO', '0', '40345', '4', '1168');
INSERT INTO public.who_import VALUES (26073, '2020-12-10', 'SV', 'El Salvador', 'AMRO', '396', '40741', '6', '1174');
INSERT INTO public.who_import VALUES (26074, '2020-12-11', 'SV', 'El Salvador', 'AMRO', '0', '40741', '6', '1180');
INSERT INTO public.who_import VALUES (26075, '2020-12-12', 'SV', 'El Salvador', 'AMRO', '0', '40741', '6', '1186');
INSERT INTO public.who_import VALUES (26076, '2020-12-13', 'SV', 'El Salvador', 'AMRO', '653', '41394', '7', '1193');
INSERT INTO public.who_import VALUES (26077, '2020-12-14', 'SV', 'El Salvador', 'AMRO', '0', '41394', '7', '1200');
INSERT INTO public.who_import VALUES (26078, '2020-12-15', 'SV', 'El Salvador', 'AMRO', '486', '41880', '5', '1205');
INSERT INTO public.who_import VALUES (26079, '2020-12-16', 'SV', 'El Salvador', 'AMRO', '252', '42132', '7', '1212');
INSERT INTO public.who_import VALUES (26080, '2020-12-17', 'SV', 'El Salvador', 'AMRO', '265', '42397', '7', '1219');
INSERT INTO public.who_import VALUES (26081, '2020-12-18', 'SV', 'El Salvador', 'AMRO', '0', '42397', '8', '1227');
INSERT INTO public.who_import VALUES (26082, '2020-12-19', 'SV', 'El Salvador', 'AMRO', '0', '42397', '7', '1234');
INSERT INTO public.who_import VALUES (26083, '2020-12-20', 'SV', 'El Salvador', 'AMRO', '798', '43195', '8', '1242');
INSERT INTO public.who_import VALUES (26084, '2020-12-21', 'SV', 'El Salvador', 'AMRO', '282', '43477', '8', '1250');
INSERT INTO public.who_import VALUES (26085, '2020-12-22', 'SV', 'El Salvador', 'AMRO', '295', '43772', '7', '1257');
INSERT INTO public.who_import VALUES (26086, '2020-12-23', 'SV', 'El Salvador', 'AMRO', '0', '43772', '8', '1265');
INSERT INTO public.who_import VALUES (26087, '2020-12-24', 'SV', 'El Salvador', 'AMRO', '0', '43772', '9', '1274');
INSERT INTO public.who_import VALUES (26088, '2020-12-25', 'SV', 'El Salvador', 'AMRO', '847', '44619', '9', '1283');
INSERT INTO public.who_import VALUES (26089, '2020-12-26', 'SV', 'El Salvador', 'AMRO', '0', '44619', '6', '1289');
INSERT INTO public.who_import VALUES (26090, '2020-12-27', 'SV', 'El Salvador', 'AMRO', '0', '44619', '8', '1297');
INSERT INTO public.who_import VALUES (26091, '2020-12-28', 'SV', 'El Salvador', 'AMRO', '0', '44619', '8', '1305');
INSERT INTO public.who_import VALUES (26092, '2020-12-29', 'SV', 'El Salvador', 'AMRO', '796', '45415', '8', '1313');
INSERT INTO public.who_import VALUES (26093, '2020-12-30', 'SV', 'El Salvador', 'AMRO', '0', '45415', '0', '1313');
INSERT INTO public.who_import VALUES (26094, '2020-12-31', 'SV', 'El Salvador', 'AMRO', '545', '45960', '14', '1327');
INSERT INTO public.who_import VALUES (26095, '2021-01-01', 'SV', 'El Salvador', 'AMRO', '0', '45960', '9', '1336');
INSERT INTO public.who_import VALUES (26096, '2021-01-02', 'SV', 'El Salvador', 'AMRO', '0', '45960', '7', '1343');
INSERT INTO public.who_import VALUES (26097, '2021-01-03', 'SV', 'El Salvador', 'AMRO', '282', '46242', '8', '1351');
INSERT INTO public.who_import VALUES (26098, '2021-01-04', 'SV', 'El Salvador', 'AMRO', '561', '46803', '7', '1358');
INSERT INTO public.who_import VALUES (26099, '2021-01-05', 'SV', 'El Salvador', 'AMRO', '284', '47087', '6', '1364');
INSERT INTO public.who_import VALUES (26100, '2021-01-06', 'SV', 'El Salvador', 'AMRO', '268', '47355', '9', '1373');
INSERT INTO public.who_import VALUES (26101, '2021-01-07', 'SV', 'El Salvador', 'AMRO', '0', '47355', '0', '1373');
INSERT INTO public.who_import VALUES (26102, '2021-01-08', 'SV', 'El Salvador', 'AMRO', '593', '47948', '17', '1390');
INSERT INTO public.who_import VALUES (26103, '2021-01-09', 'SV', 'El Salvador', 'AMRO', '307', '48255', '8', '1398');
INSERT INTO public.who_import VALUES (26104, '2021-01-10', 'SV', 'El Salvador', 'AMRO', '319', '48574', '10', '1408');
INSERT INTO public.who_import VALUES (26105, '2021-01-11', 'SV', 'El Salvador', 'AMRO', '331', '48905', '11', '1419');
INSERT INTO public.who_import VALUES (26106, '2021-01-12', 'SV', 'El Salvador', 'AMRO', '0', '48905', '9', '1428');
INSERT INTO public.who_import VALUES (26107, '2021-01-13', 'SV', 'El Salvador', 'AMRO', '0', '48905', '9', '1437');
INSERT INTO public.who_import VALUES (26108, '2021-01-14', 'SV', 'El Salvador', 'AMRO', '634', '49539', '10', '1447');
INSERT INTO public.who_import VALUES (26109, '2021-01-15', 'SV', 'El Salvador', 'AMRO', '618', '50157', '12', '1459');
INSERT INTO public.who_import VALUES (26110, '2021-01-16', 'SV', 'El Salvador', 'AMRO', '0', '50157', '10', '1469');
INSERT INTO public.who_import VALUES (26111, '2021-01-17', 'SV', 'El Salvador', 'AMRO', '0', '50157', '10', '1479');
INSERT INTO public.who_import VALUES (26112, '2021-01-18', 'SV', 'El Salvador', 'AMRO', '627', '50784', '8', '1487');
INSERT INTO public.who_import VALUES (26113, '2021-01-19', 'SV', 'El Salvador', 'AMRO', '653', '51437', '11', '1498');
INSERT INTO public.who_import VALUES (26114, '2021-01-20', 'SV', 'El Salvador', 'AMRO', '0', '51437', '11', '1509');
INSERT INTO public.who_import VALUES (26115, '2021-01-21', 'SV', 'El Salvador', 'AMRO', '0', '51437', '12', '1521');
INSERT INTO public.who_import VALUES (26116, '2021-01-22', 'SV', 'El Salvador', 'AMRO', '951', '52388', '9', '1530');
INSERT INTO public.who_import VALUES (26117, '2021-01-23', 'SV', 'El Salvador', 'AMRO', '284', '52672', '10', '1540');
INSERT INTO public.who_import VALUES (26118, '2021-01-24', 'SV', 'El Salvador', 'AMRO', '0', '52672', '11', '1551');
INSERT INTO public.who_import VALUES (26119, '2021-01-25', 'SV', 'El Salvador', 'AMRO', '546', '53218', '10', '1561');
INSERT INTO public.who_import VALUES (26120, '2021-01-26', 'SV', 'El Salvador', 'AMRO', '261', '53479', '11', '1572');
INSERT INTO public.who_import VALUES (26121, '2021-01-27', 'SV', 'El Salvador', 'AMRO', '0', '53479', '11', '1583');
INSERT INTO public.who_import VALUES (26122, '2021-01-28', 'SV', 'El Salvador', 'AMRO', '510', '53989', '6', '1589');
INSERT INTO public.who_import VALUES (26123, '2021-01-29', 'SV', 'El Salvador', 'AMRO', '0', '53989', '10', '1599');
INSERT INTO public.who_import VALUES (26124, '2021-01-30', 'SV', 'El Salvador', 'AMRO', '0', '53989', '5', '1604');
INSERT INTO public.who_import VALUES (26125, '2021-01-31', 'SV', 'El Salvador', 'AMRO', '0', '53989', '10', '1614');
INSERT INTO public.who_import VALUES (26126, '2021-02-01', 'SV', 'El Salvador', 'AMRO', '977', '54966', '9', '1623');
INSERT INTO public.who_import VALUES (26127, '2021-02-02', 'SV', 'El Salvador', 'AMRO', '229', '55195', '9', '1632');
INSERT INTO public.who_import VALUES (26128, '2021-02-03', 'SV', 'El Salvador', 'AMRO', '0', '55195', '6', '1638');
INSERT INTO public.who_import VALUES (26129, '2021-02-04', 'SV', 'El Salvador', 'AMRO', '428', '55623', '8', '1646');
INSERT INTO public.who_import VALUES (26130, '2021-02-05', 'SV', 'El Salvador', 'AMRO', '198', '55821', '7', '1653');
INSERT INTO public.who_import VALUES (26131, '2021-02-06', 'SV', 'El Salvador', 'AMRO', '204', '56025', '9', '1662');
INSERT INTO public.who_import VALUES (26132, '2021-02-07', 'SV', 'El Salvador', 'AMRO', '212', '56237', '11', '1673');
INSERT INTO public.who_import VALUES (26133, '2021-02-08', 'SV', 'El Salvador', 'AMRO', '0', '56237', '8', '1681');
INSERT INTO public.who_import VALUES (26134, '2021-02-09', 'SV', 'El Salvador', 'AMRO', '416', '56653', '11', '1692');
INSERT INTO public.who_import VALUES (26135, '2021-02-10', 'SV', 'El Salvador', 'AMRO', '0', '56653', '9', '1701');
INSERT INTO public.who_import VALUES (26136, '2021-02-11', 'SV', 'El Salvador', 'AMRO', '0', '56653', '8', '1709');
INSERT INTO public.who_import VALUES (26137, '2021-02-12', 'SV', 'El Salvador', 'AMRO', '0', '56653', '10', '1719');
INSERT INTO public.who_import VALUES (26138, '2021-02-13', 'SV', 'El Salvador', 'AMRO', '0', '56653', '8', '1727');
INSERT INTO public.who_import VALUES (26139, '2021-02-14', 'SV', 'El Salvador', 'AMRO', '775', '57428', '7', '1734');
INSERT INTO public.who_import VALUES (26140, '2021-02-15', 'SV', 'El Salvador', 'AMRO', '0', '57428', '8', '1742');
INSERT INTO public.who_import VALUES (26141, '2021-02-16', 'SV', 'El Salvador', 'AMRO', '595', '58023', '8', '1750');
INSERT INTO public.who_import VALUES (26142, '2021-02-17', 'SV', 'El Salvador', 'AMRO', '0', '58023', '8', '1758');
INSERT INTO public.who_import VALUES (26143, '2021-02-18', 'SV', 'El Salvador', 'AMRO', '0', '58023', '9', '1767');
INSERT INTO public.who_import VALUES (26144, '2021-02-19', 'SV', 'El Salvador', 'AMRO', '0', '58023', '9', '1776');
INSERT INTO public.who_import VALUES (26145, '2021-02-20', 'SV', 'El Salvador', 'AMRO', '523', '58546', '9', '1785');
INSERT INTO public.who_import VALUES (26146, '2020-01-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26147, '2020-01-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26148, '2020-01-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26149, '2020-01-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26150, '2020-01-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26151, '2020-01-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26152, '2020-01-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26153, '2020-01-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26154, '2020-01-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26155, '2020-01-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26156, '2020-01-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26157, '2020-01-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26158, '2020-01-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26159, '2020-01-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26160, '2020-01-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26161, '2020-01-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26162, '2020-01-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26163, '2020-01-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26164, '2020-01-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26165, '2020-01-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26166, '2020-01-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26167, '2020-01-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26168, '2020-01-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26169, '2020-01-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26170, '2020-01-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26171, '2020-01-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26172, '2020-01-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26173, '2020-01-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26174, '2020-01-31', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26175, '2020-02-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26176, '2020-02-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26177, '2020-02-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26178, '2020-02-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26179, '2020-02-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26180, '2020-02-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26181, '2020-02-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26182, '2020-02-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26183, '2020-02-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26184, '2020-02-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26185, '2020-02-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26186, '2020-02-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26187, '2020-02-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26188, '2020-02-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26189, '2020-02-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26190, '2020-02-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26191, '2020-02-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26192, '2020-02-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26193, '2020-02-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26194, '2020-02-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26195, '2020-02-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26196, '2020-02-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26197, '2020-02-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26198, '2020-02-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26199, '2020-02-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26200, '2020-02-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26201, '2020-02-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26202, '2020-02-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26203, '2020-02-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26204, '2020-03-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26205, '2020-03-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26206, '2020-03-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26207, '2020-03-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26208, '2020-03-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26209, '2020-03-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26210, '2020-03-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26211, '2020-03-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26212, '2020-03-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26213, '2020-03-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26214, '2020-03-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26215, '2020-03-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26216, '2020-03-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26217, '2020-03-14', 'GQ', 'Equatorial Guinea', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (26218, '2020-03-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (26219, '2020-03-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (26220, '2020-03-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (26221, '2020-03-18', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (26222, '2020-03-19', 'GQ', 'Equatorial Guinea', 'AFRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (26223, '2020-03-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (26224, '2020-03-21', 'GQ', 'Equatorial Guinea', 'AFRO', '-2', '6', '0', '0');
INSERT INTO public.who_import VALUES (26225, '2020-03-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26226, '2020-03-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26227, '2020-03-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26228, '2020-03-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26229, '2020-03-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26230, '2020-03-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26231, '2020-03-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26232, '2020-03-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26233, '2020-03-30', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '13', '0', '0');
INSERT INTO public.who_import VALUES (26234, '2020-03-31', 'GQ', 'Equatorial Guinea', 'AFRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (26235, '2020-04-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (26236, '2020-04-02', 'GQ', 'Equatorial Guinea', 'AFRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (26237, '2020-04-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (26238, '2020-04-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (26239, '2020-04-05', 'GQ', 'Equatorial Guinea', 'AFRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (26240, '2020-04-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (26241, '2020-04-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (26242, '2020-04-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (26243, '2020-04-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (26244, '2020-04-10', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (26245, '2020-04-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (26246, '2020-04-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (26247, '2020-04-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (26248, '2020-04-14', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '21', '0', '0');
INSERT INTO public.who_import VALUES (26249, '2020-04-15', 'GQ', 'Equatorial Guinea', 'AFRO', '20', '41', '0', '0');
INSERT INTO public.who_import VALUES (26250, '2020-04-16', 'GQ', 'Equatorial Guinea', 'AFRO', '10', '51', '0', '0');
INSERT INTO public.who_import VALUES (26251, '2020-04-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (26252, '2020-04-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (26253, '2020-04-19', 'GQ', 'Equatorial Guinea', 'AFRO', '28', '79', '0', '0');
INSERT INTO public.who_import VALUES (26254, '2020-04-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '79', '0', '0');
INSERT INTO public.who_import VALUES (26255, '2020-04-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '79', '0', '0');
INSERT INTO public.who_import VALUES (26256, '2020-04-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '79', '0', '0');
INSERT INTO public.who_import VALUES (26257, '2020-04-23', 'GQ', 'Equatorial Guinea', 'AFRO', '5', '84', '1', '1');
INSERT INTO public.who_import VALUES (26258, '2020-04-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (26259, '2020-04-25', 'GQ', 'Equatorial Guinea', 'AFRO', '128', '212', '0', '1');
INSERT INTO public.who_import VALUES (26260, '2020-04-26', 'GQ', 'Equatorial Guinea', 'AFRO', '46', '258', '0', '1');
INSERT INTO public.who_import VALUES (26261, '2020-04-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '258', '0', '1');
INSERT INTO public.who_import VALUES (26262, '2020-04-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '258', '0', '1');
INSERT INTO public.who_import VALUES (26263, '2020-04-29', 'GQ', 'Equatorial Guinea', 'AFRO', '57', '315', '0', '1');
INSERT INTO public.who_import VALUES (26264, '2020-04-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '315', '0', '1');
INSERT INTO public.who_import VALUES (26265, '2020-05-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '315', '1', '2');
INSERT INTO public.who_import VALUES (26266, '2020-05-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '315', '0', '2');
INSERT INTO public.who_import VALUES (26267, '2020-05-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '315', '0', '2');
INSERT INTO public.who_import VALUES (26268, '2020-05-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '315', '0', '2');
INSERT INTO public.who_import VALUES (26269, '2020-05-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '315', '0', '2');
INSERT INTO public.who_import VALUES (26270, '2020-05-06', 'GQ', 'Equatorial Guinea', 'AFRO', '124', '439', '2', '4');
INSERT INTO public.who_import VALUES (26271, '2020-05-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '439', '0', '4');
INSERT INTO public.who_import VALUES (26272, '2020-05-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '439', '0', '4');
INSERT INTO public.who_import VALUES (26273, '2020-05-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '439', '0', '4');
INSERT INTO public.who_import VALUES (26274, '2020-05-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '439', '0', '4');
INSERT INTO public.who_import VALUES (26275, '2020-05-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '439', '0', '4');
INSERT INTO public.who_import VALUES (26276, '2020-05-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '439', '0', '4');
INSERT INTO public.who_import VALUES (26277, '2020-05-13', 'GQ', 'Equatorial Guinea', 'AFRO', '83', '522', '2', '6');
INSERT INTO public.who_import VALUES (26278, '2020-05-14', 'GQ', 'Equatorial Guinea', 'AFRO', '61', '583', '1', '7');
INSERT INTO public.who_import VALUES (26279, '2020-05-15', 'GQ', 'Equatorial Guinea', 'AFRO', '11', '594', '0', '7');
INSERT INTO public.who_import VALUES (26280, '2020-05-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '594', '0', '7');
INSERT INTO public.who_import VALUES (26281, '2020-05-17', 'GQ', 'Equatorial Guinea', 'AFRO', '96', '690', '0', '7');
INSERT INTO public.who_import VALUES (26282, '2020-05-18', 'GQ', 'Equatorial Guinea', 'AFRO', '29', '719', '0', '7');
INSERT INTO public.who_import VALUES (26283, '2020-05-19', 'GQ', 'Equatorial Guinea', 'AFRO', '106', '825', '0', '7');
INSERT INTO public.who_import VALUES (26284, '2020-05-20', 'GQ', 'Equatorial Guinea', 'AFRO', '65', '890', '0', '7');
INSERT INTO public.who_import VALUES (26285, '2020-05-21', 'GQ', 'Equatorial Guinea', 'AFRO', '13', '903', '3', '10');
INSERT INTO public.who_import VALUES (26286, '2020-05-22', 'GQ', 'Equatorial Guinea', 'AFRO', '57', '960', '1', '11');
INSERT INTO public.who_import VALUES (26287, '2020-05-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '960', '0', '11');
INSERT INTO public.who_import VALUES (26288, '2020-05-24', 'GQ', 'Equatorial Guinea', 'AFRO', '83', '1043', '1', '12');
INSERT INTO public.who_import VALUES (26289, '2020-05-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26290, '2020-05-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26291, '2020-05-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26292, '2020-05-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26293, '2020-05-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26294, '2020-05-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26295, '2020-05-31', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26296, '2020-06-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26297, '2020-06-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26298, '2020-06-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26299, '2020-06-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26300, '2020-06-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26301, '2020-06-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26302, '2020-06-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26303, '2020-06-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26304, '2020-06-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26305, '2020-06-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26306, '2020-06-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26307, '2020-06-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26308, '2020-06-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26309, '2020-06-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26310, '2020-06-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26311, '2020-06-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26312, '2020-06-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26313, '2020-06-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26314, '2020-06-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26315, '2020-06-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26316, '2020-06-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26317, '2020-06-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26318, '2020-06-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26319, '2020-06-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26320, '2020-06-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26321, '2020-06-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26322, '2020-06-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26323, '2020-06-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26324, '2020-06-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26325, '2020-06-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26326, '2020-07-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26327, '2020-07-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26328, '2020-07-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26329, '2020-07-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26330, '2020-07-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26331, '2020-07-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26332, '2020-07-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26333, '2020-07-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26334, '2020-07-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26335, '2020-07-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26336, '2020-07-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26337, '2020-07-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26338, '2020-07-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26339, '2020-07-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26340, '2020-07-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26341, '2020-07-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '1043', '0', '12');
INSERT INTO public.who_import VALUES (26342, '2020-07-17', 'GQ', 'Equatorial Guinea', 'AFRO', '1307', '2350', '29', '41');
INSERT INTO public.who_import VALUES (26343, '2020-07-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26344, '2020-07-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26345, '2020-07-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26346, '2020-07-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26347, '2020-07-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26348, '2020-07-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26349, '2020-07-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26350, '2020-07-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26351, '2020-07-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26352, '2020-07-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26353, '2020-07-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26354, '2020-07-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26355, '2020-07-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26356, '2020-07-31', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '2350', '0', '41');
INSERT INTO public.who_import VALUES (26357, '2020-08-01', 'GQ', 'Equatorial Guinea', 'AFRO', '2471', '4821', '42', '83');
INSERT INTO public.who_import VALUES (26358, '2020-08-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26359, '2020-08-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26360, '2020-08-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26361, '2020-08-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26362, '2020-08-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26363, '2020-08-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26364, '2020-08-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26365, '2020-08-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26366, '2020-08-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26367, '2020-08-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26368, '2020-08-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26369, '2020-08-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26370, '2020-08-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26371, '2020-08-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26372, '2020-08-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26373, '2020-08-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26374, '2020-08-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26375, '2020-08-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26376, '2020-08-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26377, '2020-08-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26378, '2020-08-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4821', '0', '83');
INSERT INTO public.who_import VALUES (26379, '2020-08-23', 'GQ', 'Equatorial Guinea', 'AFRO', '105', '4926', '0', '83');
INSERT INTO public.who_import VALUES (26380, '2020-08-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4926', '0', '83');
INSERT INTO public.who_import VALUES (26381, '2020-08-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4926', '0', '83');
INSERT INTO public.who_import VALUES (26382, '2020-08-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4926', '0', '83');
INSERT INTO public.who_import VALUES (26383, '2020-08-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4926', '0', '83');
INSERT INTO public.who_import VALUES (26384, '2020-08-28', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '4928', '0', '83');
INSERT INTO public.who_import VALUES (26385, '2020-08-29', 'GQ', 'Equatorial Guinea', 'AFRO', '13', '4941', '0', '83');
INSERT INTO public.who_import VALUES (26386, '2020-08-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4941', '0', '83');
INSERT INTO public.who_import VALUES (26387, '2020-08-31', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4941', '0', '83');
INSERT INTO public.who_import VALUES (26388, '2020-09-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4941', '0', '83');
INSERT INTO public.who_import VALUES (26389, '2020-09-02', 'GQ', 'Equatorial Guinea', 'AFRO', '24', '4965', '0', '83');
INSERT INTO public.who_import VALUES (26390, '2020-09-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4965', '0', '83');
INSERT INTO public.who_import VALUES (26391, '2020-09-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4965', '0', '83');
INSERT INTO public.who_import VALUES (26392, '2020-09-05', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '4972', '0', '83');
INSERT INTO public.who_import VALUES (26393, '2020-09-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4972', '0', '83');
INSERT INTO public.who_import VALUES (26394, '2020-09-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4972', '0', '83');
INSERT INTO public.who_import VALUES (26395, '2020-09-08', 'GQ', 'Equatorial Guinea', 'AFRO', '13', '4985', '0', '83');
INSERT INTO public.who_import VALUES (26396, '2020-09-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4985', '0', '83');
INSERT INTO public.who_import VALUES (26397, '2020-09-10', 'GQ', 'Equatorial Guinea', 'AFRO', '5', '4990', '0', '83');
INSERT INTO public.who_import VALUES (26398, '2020-09-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4990', '0', '83');
INSERT INTO public.who_import VALUES (26399, '2020-09-12', 'GQ', 'Equatorial Guinea', 'AFRO', '6', '4996', '0', '83');
INSERT INTO public.who_import VALUES (26400, '2020-09-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4996', '0', '83');
INSERT INTO public.who_import VALUES (26401, '2020-09-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '4996', '0', '83');
INSERT INTO public.who_import VALUES (26402, '2020-09-15', 'GQ', 'Equatorial Guinea', 'AFRO', '4', '5000', '0', '83');
INSERT INTO public.who_import VALUES (26403, '2020-09-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5000', '0', '83');
INSERT INTO public.who_import VALUES (26404, '2020-09-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5000', '0', '83');
INSERT INTO public.who_import VALUES (26405, '2020-09-18', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5002', '0', '83');
INSERT INTO public.who_import VALUES (26406, '2020-09-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5002', '0', '83');
INSERT INTO public.who_import VALUES (26407, '2020-09-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5002', '0', '83');
INSERT INTO public.who_import VALUES (26408, '2020-09-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5002', '0', '83');
INSERT INTO public.who_import VALUES (26409, '2020-09-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5002', '0', '83');
INSERT INTO public.who_import VALUES (26410, '2020-09-23', 'GQ', 'Equatorial Guinea', 'AFRO', '16', '5018', '0', '83');
INSERT INTO public.who_import VALUES (26411, '2020-09-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5018', '0', '83');
INSERT INTO public.who_import VALUES (26412, '2020-09-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5018', '0', '83');
INSERT INTO public.who_import VALUES (26413, '2020-09-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5018', '0', '83');
INSERT INTO public.who_import VALUES (26414, '2020-09-27', 'GQ', 'Equatorial Guinea', 'AFRO', '10', '5028', '0', '83');
INSERT INTO public.who_import VALUES (26415, '2020-09-28', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5028', '0', '83');
INSERT INTO public.who_import VALUES (26416, '2020-09-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5028', '0', '83');
INSERT INTO public.who_import VALUES (26417, '2020-09-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5028', '0', '83');
INSERT INTO public.who_import VALUES (26418, '2020-10-01', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5030', '0', '83');
INSERT INTO public.who_import VALUES (26419, '2020-10-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5030', '0', '83');
INSERT INTO public.who_import VALUES (26420, '2020-10-03', 'GQ', 'Equatorial Guinea', 'AFRO', '15', '5045', '0', '83');
INSERT INTO public.who_import VALUES (26421, '2020-10-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5045', '0', '83');
INSERT INTO public.who_import VALUES (26422, '2020-10-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5045', '0', '83');
INSERT INTO public.who_import VALUES (26423, '2020-10-06', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '5052', '0', '83');
INSERT INTO public.who_import VALUES (26424, '2020-10-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5052', '0', '83');
INSERT INTO public.who_import VALUES (26425, '2020-10-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5052', '0', '83');
INSERT INTO public.who_import VALUES (26426, '2020-10-09', 'GQ', 'Equatorial Guinea', 'AFRO', '10', '5062', '0', '83');
INSERT INTO public.who_import VALUES (26427, '2020-10-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5062', '0', '83');
INSERT INTO public.who_import VALUES (26428, '2020-10-11', 'GQ', 'Equatorial Guinea', 'AFRO', '1', '5063', '0', '83');
INSERT INTO public.who_import VALUES (26429, '2020-10-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5063', '0', '83');
INSERT INTO public.who_import VALUES (26430, '2020-10-13', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '5066', '0', '83');
INSERT INTO public.who_import VALUES (26431, '2020-10-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5066', '0', '83');
INSERT INTO public.who_import VALUES (26432, '2020-10-15', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5068', '0', '83');
INSERT INTO public.who_import VALUES (26433, '2020-10-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5068', '0', '83');
INSERT INTO public.who_import VALUES (26434, '2020-10-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5068', '0', '83');
INSERT INTO public.who_import VALUES (26435, '2020-10-18', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5070', '0', '83');
INSERT INTO public.who_import VALUES (26436, '2020-10-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5070', '0', '83');
INSERT INTO public.who_import VALUES (26437, '2020-10-20', 'GQ', 'Equatorial Guinea', 'AFRO', '4', '5074', '0', '83');
INSERT INTO public.who_import VALUES (26438, '2020-10-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5074', '0', '83');
INSERT INTO public.who_import VALUES (26439, '2020-10-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5074', '0', '83');
INSERT INTO public.who_import VALUES (26440, '2020-10-23', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5076', '0', '83');
INSERT INTO public.who_import VALUES (26441, '2020-10-24', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '5079', '0', '83');
INSERT INTO public.who_import VALUES (26442, '2020-10-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5079', '0', '83');
INSERT INTO public.who_import VALUES (26443, '2020-10-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5079', '0', '83');
INSERT INTO public.who_import VALUES (26444, '2020-10-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5079', '0', '83');
INSERT INTO public.who_import VALUES (26445, '2020-10-28', 'GQ', 'Equatorial Guinea', 'AFRO', '4', '5083', '0', '83');
INSERT INTO public.who_import VALUES (26446, '2020-10-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5083', '0', '83');
INSERT INTO public.who_import VALUES (26447, '2020-10-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5083', '0', '83');
INSERT INTO public.who_import VALUES (26448, '2020-10-31', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5083', '0', '83');
INSERT INTO public.who_import VALUES (26449, '2020-11-01', 'GQ', 'Equatorial Guinea', 'AFRO', '5', '5088', '0', '83');
INSERT INTO public.who_import VALUES (26450, '2020-11-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5088', '0', '83');
INSERT INTO public.who_import VALUES (26451, '2020-11-03', 'GQ', 'Equatorial Guinea', 'AFRO', '1', '5089', '0', '83');
INSERT INTO public.who_import VALUES (26452, '2020-11-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5089', '0', '83');
INSERT INTO public.who_import VALUES (26453, '2020-11-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5089', '0', '83');
INSERT INTO public.who_import VALUES (26454, '2020-11-06', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '5092', '2', '85');
INSERT INTO public.who_import VALUES (26455, '2020-11-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5092', '0', '85');
INSERT INTO public.who_import VALUES (26456, '2020-11-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5092', '0', '85');
INSERT INTO public.who_import VALUES (26457, '2020-11-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5092', '0', '85');
INSERT INTO public.who_import VALUES (26458, '2020-11-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5092', '0', '85');
INSERT INTO public.who_import VALUES (26459, '2020-11-11', 'GQ', 'Equatorial Guinea', 'AFRO', '10', '5102', '0', '85');
INSERT INTO public.who_import VALUES (26460, '2020-11-12', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5104', '0', '85');
INSERT INTO public.who_import VALUES (26461, '2020-11-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5104', '0', '85');
INSERT INTO public.who_import VALUES (26462, '2020-11-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5104', '0', '85');
INSERT INTO public.who_import VALUES (26463, '2020-11-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5104', '0', '85');
INSERT INTO public.who_import VALUES (26464, '2020-11-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5104', '0', '85');
INSERT INTO public.who_import VALUES (26465, '2020-11-17', 'GQ', 'Equatorial Guinea', 'AFRO', '17', '5121', '0', '85');
INSERT INTO public.who_import VALUES (26466, '2020-11-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5121', '0', '85');
INSERT INTO public.who_import VALUES (26467, '2020-11-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5121', '0', '85');
INSERT INTO public.who_import VALUES (26468, '2020-11-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5121', '0', '85');
INSERT INTO public.who_import VALUES (26469, '2020-11-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5121', '0', '85');
INSERT INTO public.who_import VALUES (26470, '2020-11-22', 'GQ', 'Equatorial Guinea', 'AFRO', '9', '5130', '0', '85');
INSERT INTO public.who_import VALUES (26471, '2020-11-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5130', '0', '85');
INSERT INTO public.who_import VALUES (26472, '2020-11-24', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '5137', '0', '85');
INSERT INTO public.who_import VALUES (26473, '2020-11-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5137', '0', '85');
INSERT INTO public.who_import VALUES (26474, '2020-11-26', 'GQ', 'Equatorial Guinea', 'AFRO', '9', '5146', '0', '85');
INSERT INTO public.who_import VALUES (26475, '2020-11-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5146', '0', '85');
INSERT INTO public.who_import VALUES (26476, '2020-11-28', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '5153', '0', '85');
INSERT INTO public.who_import VALUES (26477, '2020-11-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5153', '0', '85');
INSERT INTO public.who_import VALUES (26478, '2020-11-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5153', '0', '85');
INSERT INTO public.who_import VALUES (26479, '2020-12-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5153', '0', '85');
INSERT INTO public.who_import VALUES (26480, '2020-12-02', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '5156', '0', '85');
INSERT INTO public.who_import VALUES (26481, '2020-12-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5156', '0', '85');
INSERT INTO public.who_import VALUES (26482, '2020-12-04', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '5159', '0', '85');
INSERT INTO public.who_import VALUES (26483, '2020-12-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5159', '0', '85');
INSERT INTO public.who_import VALUES (26484, '2020-12-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5159', '0', '85');
INSERT INTO public.who_import VALUES (26485, '2020-12-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5159', '0', '85');
INSERT INTO public.who_import VALUES (26486, '2020-12-08', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '5166', '0', '85');
INSERT INTO public.who_import VALUES (26487, '2020-12-09', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5166', '0', '85');
INSERT INTO public.who_import VALUES (26488, '2020-12-10', 'GQ', 'Equatorial Guinea', 'AFRO', '17', '5183', '0', '85');
INSERT INTO public.who_import VALUES (26489, '2020-12-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5183', '0', '85');
INSERT INTO public.who_import VALUES (26490, '2020-12-12', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5183', '0', '85');
INSERT INTO public.who_import VALUES (26491, '2020-12-13', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5185', '0', '85');
INSERT INTO public.who_import VALUES (26492, '2020-12-14', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5185', '0', '85');
INSERT INTO public.who_import VALUES (26493, '2020-12-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5185', '0', '85');
INSERT INTO public.who_import VALUES (26494, '2020-12-16', 'GQ', 'Equatorial Guinea', 'AFRO', '10', '5195', '0', '85');
INSERT INTO public.who_import VALUES (26495, '2020-12-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5195', '0', '85');
INSERT INTO public.who_import VALUES (26496, '2020-12-18', 'GQ', 'Equatorial Guinea', 'AFRO', '19', '5214', '0', '85');
INSERT INTO public.who_import VALUES (26497, '2020-12-19', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5214', '0', '85');
INSERT INTO public.who_import VALUES (26498, '2020-12-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5214', '0', '85');
INSERT INTO public.who_import VALUES (26499, '2020-12-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5214', '0', '85');
INSERT INTO public.who_import VALUES (26500, '2020-12-22', 'GQ', 'Equatorial Guinea', 'AFRO', '17', '5231', '0', '85');
INSERT INTO public.who_import VALUES (26501, '2020-12-23', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5231', '0', '85');
INSERT INTO public.who_import VALUES (26502, '2020-12-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5231', '0', '85');
INSERT INTO public.who_import VALUES (26503, '2020-12-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5231', '0', '85');
INSERT INTO public.who_import VALUES (26504, '2020-12-26', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5231', '0', '85');
INSERT INTO public.who_import VALUES (26505, '2020-12-27', 'GQ', 'Equatorial Guinea', 'AFRO', '5', '5236', '0', '85');
INSERT INTO public.who_import VALUES (26506, '2020-12-28', 'GQ', 'Equatorial Guinea', 'AFRO', '12', '5248', '1', '86');
INSERT INTO public.who_import VALUES (26507, '2020-12-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5248', '0', '86');
INSERT INTO public.who_import VALUES (26508, '2020-12-30', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5248', '0', '86');
INSERT INTO public.who_import VALUES (26509, '2020-12-31', 'GQ', 'Equatorial Guinea', 'AFRO', '16', '5264', '0', '86');
INSERT INTO public.who_import VALUES (26510, '2021-01-01', 'GQ', 'Equatorial Guinea', 'AFRO', '13', '5277', '0', '86');
INSERT INTO public.who_import VALUES (26511, '2021-01-02', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5277', '0', '86');
INSERT INTO public.who_import VALUES (26512, '2021-01-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5277', '0', '86');
INSERT INTO public.who_import VALUES (26513, '2021-01-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5277', '0', '86');
INSERT INTO public.who_import VALUES (26514, '2021-01-05', 'GQ', 'Equatorial Guinea', 'AFRO', '2', '5279', '0', '86');
INSERT INTO public.who_import VALUES (26515, '2021-01-06', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5279', '0', '86');
INSERT INTO public.who_import VALUES (26516, '2021-01-07', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '5286', '0', '86');
INSERT INTO public.who_import VALUES (26517, '2021-01-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5286', '0', '86');
INSERT INTO public.who_import VALUES (26518, '2021-01-09', 'GQ', 'Equatorial Guinea', 'AFRO', '3', '5289', '0', '86');
INSERT INTO public.who_import VALUES (26519, '2021-01-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5289', '0', '86');
INSERT INTO public.who_import VALUES (26520, '2021-01-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5289', '0', '86');
INSERT INTO public.who_import VALUES (26521, '2021-01-12', 'GQ', 'Equatorial Guinea', 'AFRO', '7', '5296', '0', '86');
INSERT INTO public.who_import VALUES (26522, '2021-01-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5296', '0', '86');
INSERT INTO public.who_import VALUES (26523, '2021-01-14', 'GQ', 'Equatorial Guinea', 'AFRO', '20', '5316', '0', '86');
INSERT INTO public.who_import VALUES (26524, '2021-01-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5316', '0', '86');
INSERT INTO public.who_import VALUES (26525, '2021-01-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5316', '0', '86');
INSERT INTO public.who_import VALUES (26526, '2021-01-17', 'GQ', 'Equatorial Guinea', 'AFRO', '40', '5356', '0', '86');
INSERT INTO public.who_import VALUES (26527, '2021-01-18', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5356', '0', '86');
INSERT INTO public.who_import VALUES (26528, '2021-01-19', 'GQ', 'Equatorial Guinea', 'AFRO', '9', '5365', '0', '86');
INSERT INTO public.who_import VALUES (26529, '2021-01-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5365', '0', '86');
INSERT INTO public.who_import VALUES (26530, '2021-01-21', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5365', '0', '86');
INSERT INTO public.who_import VALUES (26531, '2021-01-22', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5365', '0', '86');
INSERT INTO public.who_import VALUES (26532, '2021-01-23', 'GQ', 'Equatorial Guinea', 'AFRO', '36', '5401', '0', '86');
INSERT INTO public.who_import VALUES (26533, '2021-01-24', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5401', '0', '86');
INSERT INTO public.who_import VALUES (26534, '2021-01-25', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5401', '0', '86');
INSERT INTO public.who_import VALUES (26535, '2021-01-26', 'GQ', 'Equatorial Guinea', 'AFRO', '53', '5454', '0', '86');
INSERT INTO public.who_import VALUES (26536, '2021-01-27', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5454', '0', '86');
INSERT INTO public.who_import VALUES (26537, '2021-01-28', 'GQ', 'Equatorial Guinea', 'AFRO', '38', '5492', '0', '86');
INSERT INTO public.who_import VALUES (26538, '2021-01-29', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5492', '0', '86');
INSERT INTO public.who_import VALUES (26539, '2021-01-30', 'GQ', 'Equatorial Guinea', 'AFRO', '24', '5516', '0', '86');
INSERT INTO public.who_import VALUES (26540, '2021-01-31', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5516', '0', '86');
INSERT INTO public.who_import VALUES (26541, '2021-02-01', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5516', '0', '86');
INSERT INTO public.who_import VALUES (26542, '2021-02-02', 'GQ', 'Equatorial Guinea', 'AFRO', '18', '5534', '0', '86');
INSERT INTO public.who_import VALUES (26543, '2021-02-03', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5534', '0', '86');
INSERT INTO public.who_import VALUES (26544, '2021-02-04', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5534', '0', '86');
INSERT INTO public.who_import VALUES (26545, '2021-02-05', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5534', '0', '86');
INSERT INTO public.who_import VALUES (26546, '2021-02-06', 'GQ', 'Equatorial Guinea', 'AFRO', '44', '5578', '0', '86');
INSERT INTO public.who_import VALUES (26547, '2021-02-07', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5578', '0', '86');
INSERT INTO public.who_import VALUES (26548, '2021-02-08', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5578', '0', '86');
INSERT INTO public.who_import VALUES (26549, '2021-02-09', 'GQ', 'Equatorial Guinea', 'AFRO', '36', '5614', '1', '87');
INSERT INTO public.who_import VALUES (26550, '2021-02-10', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5614', '0', '87');
INSERT INTO public.who_import VALUES (26551, '2021-02-11', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5614', '0', '87');
INSERT INTO public.who_import VALUES (26552, '2021-02-12', 'GQ', 'Equatorial Guinea', 'AFRO', '49', '5663', '0', '87');
INSERT INTO public.who_import VALUES (26553, '2021-02-13', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5663', '0', '87');
INSERT INTO public.who_import VALUES (26554, '2021-02-14', 'GQ', 'Equatorial Guinea', 'AFRO', '31', '5694', '0', '87');
INSERT INTO public.who_import VALUES (26555, '2021-02-15', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5694', '0', '87');
INSERT INTO public.who_import VALUES (26556, '2021-02-16', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5694', '0', '87');
INSERT INTO public.who_import VALUES (26557, '2021-02-17', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5694', '0', '87');
INSERT INTO public.who_import VALUES (26558, '2021-02-18', 'GQ', 'Equatorial Guinea', 'AFRO', '36', '5730', '1', '88');
INSERT INTO public.who_import VALUES (26559, '2021-02-19', 'GQ', 'Equatorial Guinea', 'AFRO', '17', '5747', '0', '88');
INSERT INTO public.who_import VALUES (26560, '2021-02-20', 'GQ', 'Equatorial Guinea', 'AFRO', '0', '5747', '0', '88');
INSERT INTO public.who_import VALUES (26561, '2020-01-03', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26562, '2020-01-04', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26563, '2020-01-05', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26564, '2020-01-06', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26565, '2020-01-07', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26566, '2020-01-08', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26567, '2020-01-09', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26568, '2020-01-10', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26569, '2020-01-11', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26570, '2020-01-12', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26571, '2020-01-13', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26572, '2020-01-14', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26573, '2020-01-15', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26574, '2020-01-16', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26575, '2020-01-17', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26576, '2020-01-18', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26577, '2020-01-19', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26578, '2020-01-20', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26579, '2020-01-21', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26580, '2020-01-22', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26581, '2020-01-23', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26582, '2020-01-24', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26583, '2020-01-25', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26584, '2020-01-26', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26585, '2020-01-27', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26586, '2020-01-28', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26587, '2020-01-29', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26588, '2020-01-30', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26589, '2020-01-31', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26590, '2020-02-01', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26591, '2020-02-02', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26592, '2020-02-03', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26593, '2020-02-04', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26594, '2020-02-05', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26595, '2020-02-06', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26596, '2020-02-07', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26597, '2020-02-08', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26598, '2020-02-09', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26599, '2020-02-10', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26600, '2020-02-11', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26601, '2020-02-12', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26602, '2020-02-13', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26603, '2020-02-14', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26604, '2020-02-15', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26605, '2020-02-16', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26606, '2020-02-17', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26607, '2020-02-18', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26608, '2020-02-19', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26609, '2020-02-20', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26610, '2020-02-21', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26611, '2020-02-22', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26612, '2020-02-23', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26613, '2020-02-24', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26614, '2020-02-25', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26615, '2020-02-26', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26616, '2020-02-27', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26617, '2020-02-28', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26618, '2020-02-29', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26619, '2020-03-01', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26620, '2020-03-02', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26621, '2020-03-03', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26622, '2020-03-04', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26623, '2020-03-05', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26624, '2020-03-06', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26625, '2020-03-07', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26626, '2020-03-08', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26627, '2020-03-09', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26628, '2020-03-10', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26629, '2020-03-11', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26630, '2020-03-12', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26631, '2020-03-13', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26632, '2020-03-14', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26633, '2020-03-15', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26634, '2020-03-16', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26635, '2020-03-17', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26636, '2020-03-18', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26637, '2020-03-19', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26638, '2020-03-20', 'ER', 'Eritrea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26639, '2020-03-21', 'ER', 'Eritrea', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (26640, '2020-03-22', 'ER', 'Eritrea', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (26641, '2020-03-23', 'ER', 'Eritrea', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (26642, '2020-03-24', 'ER', 'Eritrea', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (26643, '2020-03-25', 'ER', 'Eritrea', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (26644, '2020-03-26', 'ER', 'Eritrea', 'AFRO', '3', '4', '0', '0');
INSERT INTO public.who_import VALUES (26645, '2020-03-27', 'ER', 'Eritrea', 'AFRO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (26646, '2020-03-28', 'ER', 'Eritrea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26647, '2020-03-29', 'ER', 'Eritrea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26648, '2020-03-30', 'ER', 'Eritrea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26649, '2020-03-31', 'ER', 'Eritrea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26650, '2020-04-01', 'ER', 'Eritrea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (26651, '2020-04-02', 'ER', 'Eritrea', 'AFRO', '9', '15', '0', '0');
INSERT INTO public.who_import VALUES (26652, '2020-04-03', 'ER', 'Eritrea', 'AFRO', '5', '20', '0', '0');
INSERT INTO public.who_import VALUES (26653, '2020-04-04', 'ER', 'Eritrea', 'AFRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (26654, '2020-04-05', 'ER', 'Eritrea', 'AFRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (26655, '2020-04-06', 'ER', 'Eritrea', 'AFRO', '9', '29', '0', '0');
INSERT INTO public.who_import VALUES (26656, '2020-04-07', 'ER', 'Eritrea', 'AFRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (26657, '2020-04-08', 'ER', 'Eritrea', 'AFRO', '2', '31', '0', '0');
INSERT INTO public.who_import VALUES (26658, '2020-04-09', 'ER', 'Eritrea', 'AFRO', '2', '33', '0', '0');
INSERT INTO public.who_import VALUES (26659, '2020-04-10', 'ER', 'Eritrea', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (26660, '2020-04-11', 'ER', 'Eritrea', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (26661, '2020-04-12', 'ER', 'Eritrea', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (26662, '2020-04-13', 'ER', 'Eritrea', 'AFRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (26663, '2020-04-14', 'ER', 'Eritrea', 'AFRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (26664, '2020-04-15', 'ER', 'Eritrea', 'AFRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (26665, '2020-04-16', 'ER', 'Eritrea', 'AFRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (26666, '2020-04-17', 'ER', 'Eritrea', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (26667, '2020-04-18', 'ER', 'Eritrea', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (26668, '2020-04-19', 'ER', 'Eritrea', 'AFRO', '4', '39', '0', '0');
INSERT INTO public.who_import VALUES (26669, '2020-04-20', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26670, '2020-04-21', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26671, '2020-04-22', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26672, '2020-04-23', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26673, '2020-04-24', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26674, '2020-04-25', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26675, '2020-04-26', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26676, '2020-04-27', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26677, '2020-04-28', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26678, '2020-04-29', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26679, '2020-04-30', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26680, '2020-05-01', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26681, '2020-05-02', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26682, '2020-05-03', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26683, '2020-05-04', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26684, '2020-05-05', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26685, '2020-05-06', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26686, '2020-05-07', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26687, '2020-05-08', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26688, '2020-05-09', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26689, '2020-05-10', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26690, '2020-05-11', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26691, '2020-05-12', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26692, '2020-05-13', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26693, '2020-05-14', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26694, '2020-05-15', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26695, '2020-05-16', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26696, '2020-05-17', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26697, '2020-05-18', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26698, '2020-05-19', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26699, '2020-05-20', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26700, '2020-05-21', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26701, '2020-05-22', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26702, '2020-05-23', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26703, '2020-05-24', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26704, '2020-05-25', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26705, '2020-05-26', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26706, '2020-05-27', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26707, '2020-05-28', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26708, '2020-05-29', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26709, '2020-05-30', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26710, '2020-05-31', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26711, '2020-06-01', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26712, '2020-06-02', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26713, '2020-06-03', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26714, '2020-06-04', 'ER', 'Eritrea', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (26715, '2020-06-05', 'ER', 'Eritrea', 'AFRO', '2', '41', '0', '0');
INSERT INTO public.who_import VALUES (26716, '2020-06-06', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26717, '2020-06-07', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26718, '2020-06-08', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26719, '2020-06-09', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26720, '2020-06-10', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26721, '2020-06-11', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26722, '2020-06-12', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26723, '2020-06-13', 'ER', 'Eritrea', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (26724, '2020-06-14', 'ER', 'Eritrea', 'AFRO', '24', '65', '0', '0');
INSERT INTO public.who_import VALUES (26725, '2020-06-15', 'ER', 'Eritrea', 'AFRO', '31', '96', '0', '0');
INSERT INTO public.who_import VALUES (26726, '2020-06-16', 'ER', 'Eritrea', 'AFRO', '13', '109', '0', '0');
INSERT INTO public.who_import VALUES (26727, '2020-06-17', 'ER', 'Eritrea', 'AFRO', '12', '121', '0', '0');
INSERT INTO public.who_import VALUES (26728, '2020-06-18', 'ER', 'Eritrea', 'AFRO', '10', '131', '0', '0');
INSERT INTO public.who_import VALUES (26729, '2020-06-19', 'ER', 'Eritrea', 'AFRO', '11', '142', '0', '0');
INSERT INTO public.who_import VALUES (26730, '2020-06-20', 'ER', 'Eritrea', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (26731, '2020-06-21', 'ER', 'Eritrea', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (26732, '2020-06-22', 'ER', 'Eritrea', 'AFRO', '1', '143', '0', '0');
INSERT INTO public.who_import VALUES (26733, '2020-06-23', 'ER', 'Eritrea', 'AFRO', '0', '143', '0', '0');
INSERT INTO public.who_import VALUES (26734, '2020-06-24', 'ER', 'Eritrea', 'AFRO', '0', '143', '0', '0');
INSERT INTO public.who_import VALUES (26735, '2020-06-25', 'ER', 'Eritrea', 'AFRO', '1', '144', '0', '0');
INSERT INTO public.who_import VALUES (26736, '2020-06-26', 'ER', 'Eritrea', 'AFRO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (26737, '2020-06-27', 'ER', 'Eritrea', 'AFRO', '23', '167', '0', '0');
INSERT INTO public.who_import VALUES (26738, '2020-06-28', 'ER', 'Eritrea', 'AFRO', '24', '191', '0', '0');
INSERT INTO public.who_import VALUES (26739, '2020-06-29', 'ER', 'Eritrea', 'AFRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (26740, '2020-06-30', 'ER', 'Eritrea', 'AFRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (26741, '2020-07-01', 'ER', 'Eritrea', 'AFRO', '12', '203', '0', '0');
INSERT INTO public.who_import VALUES (26742, '2020-07-02', 'ER', 'Eritrea', 'AFRO', '0', '203', '0', '0');
INSERT INTO public.who_import VALUES (26743, '2020-07-03', 'ER', 'Eritrea', 'AFRO', '12', '215', '0', '0');
INSERT INTO public.who_import VALUES (26744, '2020-07-04', 'ER', 'Eritrea', 'AFRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (26745, '2020-07-05', 'ER', 'Eritrea', 'AFRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (26746, '2020-07-06', 'ER', 'Eritrea', 'AFRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (26747, '2020-07-07', 'ER', 'Eritrea', 'AFRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (26748, '2020-07-08', 'ER', 'Eritrea', 'AFRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (26749, '2020-07-09', 'ER', 'Eritrea', 'AFRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (26750, '2020-07-10', 'ER', 'Eritrea', 'AFRO', '17', '232', '0', '0');
INSERT INTO public.who_import VALUES (26751, '2020-07-11', 'ER', 'Eritrea', 'AFRO', '0', '232', '0', '0');
INSERT INTO public.who_import VALUES (26752, '2020-07-12', 'ER', 'Eritrea', 'AFRO', '0', '232', '0', '0');
INSERT INTO public.who_import VALUES (26753, '2020-07-13', 'ER', 'Eritrea', 'AFRO', '0', '232', '0', '0');
INSERT INTO public.who_import VALUES (26754, '2020-07-14', 'ER', 'Eritrea', 'AFRO', '0', '232', '0', '0');
INSERT INTO public.who_import VALUES (26755, '2020-07-15', 'ER', 'Eritrea', 'AFRO', '0', '232', '0', '0');
INSERT INTO public.who_import VALUES (26756, '2020-07-16', 'ER', 'Eritrea', 'AFRO', '0', '232', '0', '0');
INSERT INTO public.who_import VALUES (26757, '2020-07-17', 'ER', 'Eritrea', 'AFRO', '19', '251', '0', '0');
INSERT INTO public.who_import VALUES (26758, '2020-07-18', 'ER', 'Eritrea', 'AFRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (26759, '2020-07-19', 'ER', 'Eritrea', 'AFRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (26760, '2020-07-20', 'ER', 'Eritrea', 'AFRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (26761, '2020-07-21', 'ER', 'Eritrea', 'AFRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (26762, '2020-07-22', 'ER', 'Eritrea', 'AFRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (26763, '2020-07-23', 'ER', 'Eritrea', 'AFRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (26764, '2020-07-24', 'ER', 'Eritrea', 'AFRO', '10', '261', '0', '0');
INSERT INTO public.who_import VALUES (26765, '2020-07-25', 'ER', 'Eritrea', 'AFRO', '0', '261', '0', '0');
INSERT INTO public.who_import VALUES (26766, '2020-07-26', 'ER', 'Eritrea', 'AFRO', '2', '263', '0', '0');
INSERT INTO public.who_import VALUES (26767, '2020-07-27', 'ER', 'Eritrea', 'AFRO', '0', '263', '0', '0');
INSERT INTO public.who_import VALUES (26768, '2020-07-28', 'ER', 'Eritrea', 'AFRO', '2', '265', '0', '0');
INSERT INTO public.who_import VALUES (26769, '2020-07-29', 'ER', 'Eritrea', 'AFRO', '0', '265', '0', '0');
INSERT INTO public.who_import VALUES (26770, '2020-07-30', 'ER', 'Eritrea', 'AFRO', '0', '265', '0', '0');
INSERT INTO public.who_import VALUES (26771, '2020-07-31', 'ER', 'Eritrea', 'AFRO', '14', '279', '0', '0');
INSERT INTO public.who_import VALUES (26772, '2020-08-01', 'ER', 'Eritrea', 'AFRO', '0', '279', '0', '0');
INSERT INTO public.who_import VALUES (26773, '2020-08-02', 'ER', 'Eritrea', 'AFRO', '0', '279', '0', '0');
INSERT INTO public.who_import VALUES (26774, '2020-08-03', 'ER', 'Eritrea', 'AFRO', '0', '279', '0', '0');
INSERT INTO public.who_import VALUES (26775, '2020-08-04', 'ER', 'Eritrea', 'AFRO', '3', '282', '0', '0');
INSERT INTO public.who_import VALUES (26776, '2020-08-05', 'ER', 'Eritrea', 'AFRO', '0', '282', '0', '0');
INSERT INTO public.who_import VALUES (26777, '2020-08-06', 'ER', 'Eritrea', 'AFRO', '0', '282', '0', '0');
INSERT INTO public.who_import VALUES (26778, '2020-08-07', 'ER', 'Eritrea', 'AFRO', '0', '282', '0', '0');
INSERT INTO public.who_import VALUES (26779, '2020-08-08', 'ER', 'Eritrea', 'AFRO', '3', '285', '0', '0');
INSERT INTO public.who_import VALUES (26780, '2020-08-09', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26781, '2020-08-10', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26782, '2020-08-11', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26783, '2020-08-12', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26784, '2020-08-13', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26785, '2020-08-14', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26786, '2020-08-15', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26787, '2020-08-16', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26788, '2020-08-17', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26789, '2020-08-18', 'ER', 'Eritrea', 'AFRO', '0', '285', '0', '0');
INSERT INTO public.who_import VALUES (26790, '2020-08-19', 'ER', 'Eritrea', 'AFRO', '19', '304', '0', '0');
INSERT INTO public.who_import VALUES (26791, '2020-08-20', 'ER', 'Eritrea', 'AFRO', '0', '304', '0', '0');
INSERT INTO public.who_import VALUES (26792, '2020-08-21', 'ER', 'Eritrea', 'AFRO', '2', '306', '0', '0');
INSERT INTO public.who_import VALUES (26793, '2020-08-22', 'ER', 'Eritrea', 'AFRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (26794, '2020-08-23', 'ER', 'Eritrea', 'AFRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (26795, '2020-08-24', 'ER', 'Eritrea', 'AFRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (26796, '2020-08-25', 'ER', 'Eritrea', 'AFRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (26797, '2020-08-26', 'ER', 'Eritrea', 'AFRO', '9', '315', '0', '0');
INSERT INTO public.who_import VALUES (26798, '2020-08-27', 'ER', 'Eritrea', 'AFRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (26799, '2020-08-28', 'ER', 'Eritrea', 'AFRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (26800, '2020-08-29', 'ER', 'Eritrea', 'AFRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (26801, '2020-08-30', 'ER', 'Eritrea', 'AFRO', '3', '318', '0', '0');
INSERT INTO public.who_import VALUES (26802, '2020-08-31', 'ER', 'Eritrea', 'AFRO', '0', '318', '0', '0');
INSERT INTO public.who_import VALUES (26803, '2020-09-01', 'ER', 'Eritrea', 'AFRO', '1', '319', '0', '0');
INSERT INTO public.who_import VALUES (26804, '2020-09-02', 'ER', 'Eritrea', 'AFRO', '0', '319', '0', '0');
INSERT INTO public.who_import VALUES (26805, '2020-09-03', 'ER', 'Eritrea', 'AFRO', '0', '319', '0', '0');
INSERT INTO public.who_import VALUES (26806, '2020-09-04', 'ER', 'Eritrea', 'AFRO', '11', '330', '0', '0');
INSERT INTO public.who_import VALUES (26807, '2020-09-05', 'ER', 'Eritrea', 'AFRO', '0', '330', '0', '0');
INSERT INTO public.who_import VALUES (26808, '2020-09-06', 'ER', 'Eritrea', 'AFRO', '0', '330', '0', '0');
INSERT INTO public.who_import VALUES (26809, '2020-09-07', 'ER', 'Eritrea', 'AFRO', '0', '330', '0', '0');
INSERT INTO public.who_import VALUES (26810, '2020-09-08', 'ER', 'Eritrea', 'AFRO', '0', '330', '0', '0');
INSERT INTO public.who_import VALUES (26811, '2020-09-09', 'ER', 'Eritrea', 'AFRO', '11', '341', '0', '0');
INSERT INTO public.who_import VALUES (26812, '2020-09-10', 'ER', 'Eritrea', 'AFRO', '0', '341', '0', '0');
INSERT INTO public.who_import VALUES (26813, '2020-09-11', 'ER', 'Eritrea', 'AFRO', '20', '361', '0', '0');
INSERT INTO public.who_import VALUES (26814, '2020-09-12', 'ER', 'Eritrea', 'AFRO', '0', '361', '0', '0');
INSERT INTO public.who_import VALUES (26815, '2020-09-13', 'ER', 'Eritrea', 'AFRO', '0', '361', '0', '0');
INSERT INTO public.who_import VALUES (26816, '2020-09-14', 'ER', 'Eritrea', 'AFRO', '0', '361', '0', '0');
INSERT INTO public.who_import VALUES (26817, '2020-09-15', 'ER', 'Eritrea', 'AFRO', '0', '361', '0', '0');
INSERT INTO public.who_import VALUES (26818, '2020-09-16', 'ER', 'Eritrea', 'AFRO', '3', '364', '0', '0');
INSERT INTO public.who_import VALUES (26819, '2020-09-17', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26820, '2020-09-18', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26821, '2020-09-19', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26822, '2020-09-20', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26823, '2020-09-21', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26824, '2020-09-22', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26825, '2020-09-23', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26826, '2020-09-24', 'ER', 'Eritrea', 'AFRO', '0', '364', '0', '0');
INSERT INTO public.who_import VALUES (26827, '2020-09-25', 'ER', 'Eritrea', 'AFRO', '5', '369', '0', '0');
INSERT INTO public.who_import VALUES (26828, '2020-09-26', 'ER', 'Eritrea', 'AFRO', '0', '369', '0', '0');
INSERT INTO public.who_import VALUES (26829, '2020-09-27', 'ER', 'Eritrea', 'AFRO', '6', '375', '0', '0');
INSERT INTO public.who_import VALUES (26830, '2020-09-28', 'ER', 'Eritrea', 'AFRO', '0', '375', '0', '0');
INSERT INTO public.who_import VALUES (26831, '2020-09-29', 'ER', 'Eritrea', 'AFRO', '0', '375', '0', '0');
INSERT INTO public.who_import VALUES (26832, '2020-09-30', 'ER', 'Eritrea', 'AFRO', '0', '375', '0', '0');
INSERT INTO public.who_import VALUES (26833, '2020-10-01', 'ER', 'Eritrea', 'AFRO', '0', '375', '0', '0');
INSERT INTO public.who_import VALUES (26834, '2020-10-02', 'ER', 'Eritrea', 'AFRO', '0', '375', '0', '0');
INSERT INTO public.who_import VALUES (26835, '2020-10-03', 'ER', 'Eritrea', 'AFRO', '6', '381', '0', '0');
INSERT INTO public.who_import VALUES (26836, '2020-10-04', 'ER', 'Eritrea', 'AFRO', '17', '398', '0', '0');
INSERT INTO public.who_import VALUES (26837, '2020-10-05', 'ER', 'Eritrea', 'AFRO', '0', '398', '0', '0');
INSERT INTO public.who_import VALUES (26838, '2020-10-06', 'ER', 'Eritrea', 'AFRO', '0', '398', '0', '0');
INSERT INTO public.who_import VALUES (26839, '2020-10-07', 'ER', 'Eritrea', 'AFRO', '0', '398', '0', '0');
INSERT INTO public.who_import VALUES (26840, '2020-10-08', 'ER', 'Eritrea', 'AFRO', '0', '398', '0', '0');
INSERT INTO public.who_import VALUES (26841, '2020-10-09', 'ER', 'Eritrea', 'AFRO', '7', '405', '0', '0');
INSERT INTO public.who_import VALUES (26842, '2020-10-10', 'ER', 'Eritrea', 'AFRO', '0', '405', '0', '0');
INSERT INTO public.who_import VALUES (26843, '2020-10-11', 'ER', 'Eritrea', 'AFRO', '9', '414', '0', '0');
INSERT INTO public.who_import VALUES (26844, '2020-10-12', 'ER', 'Eritrea', 'AFRO', '0', '414', '0', '0');
INSERT INTO public.who_import VALUES (26845, '2020-10-13', 'ER', 'Eritrea', 'AFRO', '0', '414', '0', '0');
INSERT INTO public.who_import VALUES (26846, '2020-10-14', 'ER', 'Eritrea', 'AFRO', '0', '414', '0', '0');
INSERT INTO public.who_import VALUES (26847, '2020-10-15', 'ER', 'Eritrea', 'AFRO', '0', '414', '0', '0');
INSERT INTO public.who_import VALUES (26848, '2020-10-16', 'ER', 'Eritrea', 'AFRO', '8', '422', '0', '0');
INSERT INTO public.who_import VALUES (26849, '2020-10-17', 'ER', 'Eritrea', 'AFRO', '0', '422', '0', '0');
INSERT INTO public.who_import VALUES (26850, '2020-10-18', 'ER', 'Eritrea', 'AFRO', '3', '425', '0', '0');
INSERT INTO public.who_import VALUES (26851, '2020-10-19', 'ER', 'Eritrea', 'AFRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (26852, '2020-10-20', 'ER', 'Eritrea', 'AFRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (26853, '2020-10-21', 'ER', 'Eritrea', 'AFRO', '27', '452', '0', '0');
INSERT INTO public.who_import VALUES (26854, '2020-10-22', 'ER', 'Eritrea', 'AFRO', '0', '452', '0', '0');
INSERT INTO public.who_import VALUES (26855, '2020-10-23', 'ER', 'Eritrea', 'AFRO', '0', '452', '0', '0');
INSERT INTO public.who_import VALUES (26856, '2020-10-24', 'ER', 'Eritrea', 'AFRO', '9', '461', '0', '0');
INSERT INTO public.who_import VALUES (26857, '2020-10-25', 'ER', 'Eritrea', 'AFRO', '0', '461', '0', '0');
INSERT INTO public.who_import VALUES (26858, '2020-10-26', 'ER', 'Eritrea', 'AFRO', '0', '461', '0', '0');
INSERT INTO public.who_import VALUES (26859, '2020-10-27', 'ER', 'Eritrea', 'AFRO', '0', '461', '0', '0');
INSERT INTO public.who_import VALUES (26860, '2020-10-28', 'ER', 'Eritrea', 'AFRO', '0', '461', '0', '0');
INSERT INTO public.who_import VALUES (26861, '2020-10-29', 'ER', 'Eritrea', 'AFRO', '0', '461', '0', '0');
INSERT INTO public.who_import VALUES (26862, '2020-10-30', 'ER', 'Eritrea', 'AFRO', '0', '461', '0', '0');
INSERT INTO public.who_import VALUES (26863, '2020-10-31', 'ER', 'Eritrea', 'AFRO', '2', '463', '0', '0');
INSERT INTO public.who_import VALUES (26864, '2020-11-01', 'ER', 'Eritrea', 'AFRO', '0', '463', '0', '0');
INSERT INTO public.who_import VALUES (26865, '2020-11-02', 'ER', 'Eritrea', 'AFRO', '0', '463', '0', '0');
INSERT INTO public.who_import VALUES (26866, '2020-11-03', 'ER', 'Eritrea', 'AFRO', '17', '480', '0', '0');
INSERT INTO public.who_import VALUES (26867, '2020-11-04', 'ER', 'Eritrea', 'AFRO', '0', '480', '0', '0');
INSERT INTO public.who_import VALUES (26868, '2020-11-05', 'ER', 'Eritrea', 'AFRO', '0', '480', '0', '0');
INSERT INTO public.who_import VALUES (26869, '2020-11-06', 'ER', 'Eritrea', 'AFRO', '4', '484', '0', '0');
INSERT INTO public.who_import VALUES (26870, '2020-11-07', 'ER', 'Eritrea', 'AFRO', '0', '484', '0', '0');
INSERT INTO public.who_import VALUES (26871, '2020-11-08', 'ER', 'Eritrea', 'AFRO', '7', '491', '0', '0');
INSERT INTO public.who_import VALUES (26872, '2020-11-09', 'ER', 'Eritrea', 'AFRO', '0', '491', '0', '0');
INSERT INTO public.who_import VALUES (26873, '2020-11-10', 'ER', 'Eritrea', 'AFRO', '0', '491', '0', '0');
INSERT INTO public.who_import VALUES (26874, '2020-11-11', 'ER', 'Eritrea', 'AFRO', '0', '491', '0', '0');
INSERT INTO public.who_import VALUES (26875, '2020-11-12', 'ER', 'Eritrea', 'AFRO', '0', '491', '0', '0');
INSERT INTO public.who_import VALUES (26876, '2020-11-13', 'ER', 'Eritrea', 'AFRO', '2', '493', '0', '0');
INSERT INTO public.who_import VALUES (26877, '2020-11-14', 'ER', 'Eritrea', 'AFRO', '0', '493', '0', '0');
INSERT INTO public.who_import VALUES (26878, '2020-11-15', 'ER', 'Eritrea', 'AFRO', '0', '493', '0', '0');
INSERT INTO public.who_import VALUES (26879, '2020-11-16', 'ER', 'Eritrea', 'AFRO', '0', '493', '0', '0');
INSERT INTO public.who_import VALUES (26880, '2020-11-17', 'ER', 'Eritrea', 'AFRO', '25', '518', '0', '0');
INSERT INTO public.who_import VALUES (26881, '2020-11-18', 'ER', 'Eritrea', 'AFRO', '0', '518', '0', '0');
INSERT INTO public.who_import VALUES (26882, '2020-11-19', 'ER', 'Eritrea', 'AFRO', '0', '518', '0', '0');
INSERT INTO public.who_import VALUES (26883, '2020-11-20', 'ER', 'Eritrea', 'AFRO', '9', '527', '0', '0');
INSERT INTO public.who_import VALUES (26884, '2020-11-21', 'ER', 'Eritrea', 'AFRO', '0', '527', '0', '0');
INSERT INTO public.who_import VALUES (26885, '2020-11-22', 'ER', 'Eritrea', 'AFRO', '24', '551', '0', '0');
INSERT INTO public.who_import VALUES (26886, '2020-11-23', 'ER', 'Eritrea', 'AFRO', '0', '551', '0', '0');
INSERT INTO public.who_import VALUES (26887, '2020-11-24', 'ER', 'Eritrea', 'AFRO', '7', '558', '0', '0');
INSERT INTO public.who_import VALUES (26888, '2020-11-25', 'ER', 'Eritrea', 'AFRO', '0', '558', '0', '0');
INSERT INTO public.who_import VALUES (26889, '2020-11-26', 'ER', 'Eritrea', 'AFRO', '0', '558', '0', '0');
INSERT INTO public.who_import VALUES (26890, '2020-11-27', 'ER', 'Eritrea', 'AFRO', '8', '566', '0', '0');
INSERT INTO public.who_import VALUES (26891, '2020-11-28', 'ER', 'Eritrea', 'AFRO', '0', '566', '0', '0');
INSERT INTO public.who_import VALUES (26892, '2020-11-29', 'ER', 'Eritrea', 'AFRO', '11', '577', '0', '0');
INSERT INTO public.who_import VALUES (26893, '2020-11-30', 'ER', 'Eritrea', 'AFRO', '0', '577', '0', '0');
INSERT INTO public.who_import VALUES (26894, '2020-12-01', 'ER', 'Eritrea', 'AFRO', '0', '577', '0', '0');
INSERT INTO public.who_import VALUES (26895, '2020-12-02', 'ER', 'Eritrea', 'AFRO', '0', '577', '0', '0');
INSERT INTO public.who_import VALUES (26896, '2020-12-03', 'ER', 'Eritrea', 'AFRO', '0', '577', '0', '0');
INSERT INTO public.who_import VALUES (26897, '2020-12-04', 'ER', 'Eritrea', 'AFRO', '17', '594', '0', '0');
INSERT INTO public.who_import VALUES (26898, '2020-12-05', 'ER', 'Eritrea', 'AFRO', '38', '632', '0', '0');
INSERT INTO public.who_import VALUES (26899, '2020-12-06', 'ER', 'Eritrea', 'AFRO', '0', '632', '0', '0');
INSERT INTO public.who_import VALUES (26900, '2020-12-07', 'ER', 'Eritrea', 'AFRO', '0', '632', '0', '0');
INSERT INTO public.who_import VALUES (26901, '2020-12-08', 'ER', 'Eritrea', 'AFRO', '17', '649', '0', '0');
INSERT INTO public.who_import VALUES (26902, '2020-12-09', 'ER', 'Eritrea', 'AFRO', '0', '649', '0', '0');
INSERT INTO public.who_import VALUES (26903, '2020-12-10', 'ER', 'Eritrea', 'AFRO', '0', '649', '0', '0');
INSERT INTO public.who_import VALUES (26904, '2020-12-11', 'ER', 'Eritrea', 'AFRO', '7', '656', '0', '0');
INSERT INTO public.who_import VALUES (26905, '2020-12-12', 'ER', 'Eritrea', 'AFRO', '0', '656', '0', '0');
INSERT INTO public.who_import VALUES (26906, '2020-12-13', 'ER', 'Eritrea', 'AFRO', '0', '656', '0', '0');
INSERT INTO public.who_import VALUES (26907, '2020-12-14', 'ER', 'Eritrea', 'AFRO', '55', '711', '0', '0');
INSERT INTO public.who_import VALUES (26908, '2020-12-15', 'ER', 'Eritrea', 'AFRO', '0', '711', '0', '0');
INSERT INTO public.who_import VALUES (26909, '2020-12-16', 'ER', 'Eritrea', 'AFRO', '0', '711', '0', '0');
INSERT INTO public.who_import VALUES (26910, '2020-12-17', 'ER', 'Eritrea', 'AFRO', '0', '711', '0', '0');
INSERT INTO public.who_import VALUES (26911, '2020-12-18', 'ER', 'Eritrea', 'AFRO', '30', '741', '0', '0');
INSERT INTO public.who_import VALUES (26912, '2020-12-19', 'ER', 'Eritrea', 'AFRO', '0', '741', '0', '0');
INSERT INTO public.who_import VALUES (26913, '2020-12-20', 'ER', 'Eritrea', 'AFRO', '13', '754', '0', '0');
INSERT INTO public.who_import VALUES (26914, '2020-12-21', 'ER', 'Eritrea', 'AFRO', '0', '754', '0', '0');
INSERT INTO public.who_import VALUES (26915, '2020-12-22', 'ER', 'Eritrea', 'AFRO', '53', '807', '0', '0');
INSERT INTO public.who_import VALUES (26916, '2020-12-23', 'ER', 'Eritrea', 'AFRO', '25', '832', '1', '1');
INSERT INTO public.who_import VALUES (26917, '2020-12-24', 'ER', 'Eritrea', 'AFRO', '45', '877', '0', '1');
INSERT INTO public.who_import VALUES (26918, '2020-12-25', 'ER', 'Eritrea', 'AFRO', '78', '955', '0', '1');
INSERT INTO public.who_import VALUES (26919, '2020-12-26', 'ER', 'Eritrea', 'AFRO', '37', '992', '0', '1');
INSERT INTO public.who_import VALUES (26920, '2020-12-27', 'ER', 'Eritrea', 'AFRO', '0', '992', '0', '1');
INSERT INTO public.who_import VALUES (26921, '2020-12-28', 'ER', 'Eritrea', 'AFRO', '47', '1039', '1', '2');
INSERT INTO public.who_import VALUES (26922, '2020-12-29', 'ER', 'Eritrea', 'AFRO', '0', '1039', '0', '2');
INSERT INTO public.who_import VALUES (26923, '2020-12-30', 'ER', 'Eritrea', 'AFRO', '181', '1220', '-1', '1');
INSERT INTO public.who_import VALUES (26924, '2020-12-31', 'ER', 'Eritrea', 'AFRO', '32', '1252', '0', '1');
INSERT INTO public.who_import VALUES (26925, '2021-01-01', 'ER', 'Eritrea', 'AFRO', '68', '1320', '2', '3');
INSERT INTO public.who_import VALUES (26926, '2021-01-02', 'ER', 'Eritrea', 'AFRO', '0', '1320', '0', '3');
INSERT INTO public.who_import VALUES (26927, '2021-01-03', 'ER', 'Eritrea', 'AFRO', '0', '1320', '0', '3');
INSERT INTO public.who_import VALUES (26928, '2021-01-04', 'ER', 'Eritrea', 'AFRO', '0', '1320', '0', '3');
INSERT INTO public.who_import VALUES (26929, '2021-01-05', 'ER', 'Eritrea', 'AFRO', '43', '1363', '0', '3');
INSERT INTO public.who_import VALUES (26930, '2021-01-06', 'ER', 'Eritrea', 'AFRO', '82', '1445', '0', '3');
INSERT INTO public.who_import VALUES (26931, '2021-01-07', 'ER', 'Eritrea', 'AFRO', '0', '1445', '0', '3');
INSERT INTO public.who_import VALUES (26932, '2021-01-08', 'ER', 'Eritrea', 'AFRO', '0', '1445', '0', '3');
INSERT INTO public.who_import VALUES (26933, '2021-01-09', 'ER', 'Eritrea', 'AFRO', '111', '1556', '3', '6');
INSERT INTO public.who_import VALUES (26934, '2021-01-10', 'ER', 'Eritrea', 'AFRO', '0', '1556', '0', '6');
INSERT INTO public.who_import VALUES (26935, '2021-01-11', 'ER', 'Eritrea', 'AFRO', '0', '1556', '0', '6');
INSERT INTO public.who_import VALUES (26936, '2021-01-12', 'ER', 'Eritrea', 'AFRO', '0', '1556', '0', '6');
INSERT INTO public.who_import VALUES (26937, '2021-01-13', 'ER', 'Eritrea', 'AFRO', '40', '1596', '0', '6');
INSERT INTO public.who_import VALUES (26938, '2021-01-14', 'ER', 'Eritrea', 'AFRO', '0', '1596', '0', '6');
INSERT INTO public.who_import VALUES (26939, '2021-01-15', 'ER', 'Eritrea', 'AFRO', '209', '1805', '0', '6');
INSERT INTO public.who_import VALUES (26940, '2021-01-16', 'ER', 'Eritrea', 'AFRO', '0', '1805', '0', '6');
INSERT INTO public.who_import VALUES (26941, '2021-01-17', 'ER', 'Eritrea', 'AFRO', '72', '1877', '0', '6');
INSERT INTO public.who_import VALUES (26942, '2021-01-18', 'ER', 'Eritrea', 'AFRO', '0', '1877', '0', '6');
INSERT INTO public.who_import VALUES (26943, '2021-01-19', 'ER', 'Eritrea', 'AFRO', '0', '1877', '0', '6');
INSERT INTO public.who_import VALUES (26944, '2021-01-20', 'ER', 'Eritrea', 'AFRO', '0', '1877', '0', '6');
INSERT INTO public.who_import VALUES (26945, '2021-01-21', 'ER', 'Eritrea', 'AFRO', '33', '1910', '0', '6');
INSERT INTO public.who_import VALUES (26946, '2021-01-22', 'ER', 'Eritrea', 'AFRO', '3', '1913', '0', '6');
INSERT INTO public.who_import VALUES (26947, '2021-01-23', 'ER', 'Eritrea', 'AFRO', '27', '1940', '0', '6');
INSERT INTO public.who_import VALUES (26948, '2021-01-24', 'ER', 'Eritrea', 'AFRO', '0', '1940', '0', '6');
INSERT INTO public.who_import VALUES (26949, '2021-01-25', 'ER', 'Eritrea', 'AFRO', '0', '1940', '0', '6');
INSERT INTO public.who_import VALUES (26950, '2021-01-26', 'ER', 'Eritrea', 'AFRO', '0', '1940', '1', '7');
INSERT INTO public.who_import VALUES (26951, '2021-01-27', 'ER', 'Eritrea', 'AFRO', '30', '1970', '0', '7');
INSERT INTO public.who_import VALUES (26952, '2021-01-28', 'ER', 'Eritrea', 'AFRO', '115', '2085', '0', '7');
INSERT INTO public.who_import VALUES (26953, '2021-01-29', 'ER', 'Eritrea', 'AFRO', '0', '2085', '0', '7');
INSERT INTO public.who_import VALUES (26954, '2021-01-30', 'ER', 'Eritrea', 'AFRO', '50', '2135', '0', '7');
INSERT INTO public.who_import VALUES (26955, '2021-01-31', 'ER', 'Eritrea', 'AFRO', '0', '2135', '0', '7');
INSERT INTO public.who_import VALUES (26956, '2021-02-01', 'ER', 'Eritrea', 'AFRO', '0', '2135', '0', '7');
INSERT INTO public.who_import VALUES (26957, '2021-02-02', 'ER', 'Eritrea', 'AFRO', '0', '2135', '0', '7');
INSERT INTO public.who_import VALUES (26958, '2021-02-03', 'ER', 'Eritrea', 'AFRO', '132', '2267', '0', '7');
INSERT INTO public.who_import VALUES (26959, '2021-02-04', 'ER', 'Eritrea', 'AFRO', '42', '2309', '0', '7');
INSERT INTO public.who_import VALUES (26960, '2021-02-05', 'ER', 'Eritrea', 'AFRO', '0', '2309', '0', '7');
INSERT INTO public.who_import VALUES (26961, '2021-02-06', 'ER', 'Eritrea', 'AFRO', '17', '2326', '0', '7');
INSERT INTO public.who_import VALUES (26962, '2021-02-07', 'ER', 'Eritrea', 'AFRO', '0', '2326', '0', '7');
INSERT INTO public.who_import VALUES (26963, '2021-02-08', 'ER', 'Eritrea', 'AFRO', '0', '2326', '0', '7');
INSERT INTO public.who_import VALUES (26964, '2021-02-09', 'ER', 'Eritrea', 'AFRO', '0', '2326', '0', '7');
INSERT INTO public.who_import VALUES (26965, '2021-02-10', 'ER', 'Eritrea', 'AFRO', '75', '2401', '0', '7');
INSERT INTO public.who_import VALUES (26966, '2021-02-11', 'ER', 'Eritrea', 'AFRO', '17', '2418', '0', '7');
INSERT INTO public.who_import VALUES (26967, '2021-02-12', 'ER', 'Eritrea', 'AFRO', '11', '2429', '0', '7');
INSERT INTO public.who_import VALUES (26968, '2021-02-13', 'ER', 'Eritrea', 'AFRO', '0', '2429', '0', '7');
INSERT INTO public.who_import VALUES (26969, '2021-02-14', 'ER', 'Eritrea', 'AFRO', '0', '2429', '0', '7');
INSERT INTO public.who_import VALUES (26970, '2021-02-15', 'ER', 'Eritrea', 'AFRO', '0', '2429', '0', '7');
INSERT INTO public.who_import VALUES (26971, '2021-02-16', 'ER', 'Eritrea', 'AFRO', '137', '2566', '0', '7');
INSERT INTO public.who_import VALUES (26972, '2021-02-17', 'ER', 'Eritrea', 'AFRO', '0', '2566', '0', '7');
INSERT INTO public.who_import VALUES (26973, '2021-02-18', 'ER', 'Eritrea', 'AFRO', '0', '2566', '0', '7');
INSERT INTO public.who_import VALUES (26974, '2021-02-19', 'ER', 'Eritrea', 'AFRO', '109', '2675', '0', '7');
INSERT INTO public.who_import VALUES (26975, '2021-02-20', 'ER', 'Eritrea', 'AFRO', '10', '2685', '0', '7');
INSERT INTO public.who_import VALUES (26976, '2020-01-03', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26977, '2020-01-04', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26978, '2020-01-05', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26979, '2020-01-06', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26980, '2020-01-07', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26981, '2020-01-08', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26982, '2020-01-09', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26983, '2020-01-10', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26984, '2020-01-11', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26985, '2020-01-12', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26986, '2020-01-13', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26987, '2020-01-14', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26988, '2020-01-15', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26989, '2020-01-16', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26990, '2020-01-17', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26991, '2020-01-18', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26992, '2020-01-19', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26993, '2020-01-20', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26994, '2020-01-21', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26995, '2020-01-22', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26996, '2020-01-23', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26997, '2020-01-24', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26998, '2020-01-25', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (26999, '2020-01-26', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27000, '2020-01-27', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27001, '2020-01-28', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27002, '2020-01-29', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27003, '2020-01-30', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27004, '2020-01-31', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27005, '2020-02-01', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27006, '2020-02-02', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27007, '2020-02-03', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27008, '2020-02-04', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27009, '2020-02-05', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27010, '2020-02-06', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27011, '2020-02-07', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27012, '2020-02-08', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27013, '2020-02-09', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27014, '2020-02-10', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27015, '2020-02-11', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27016, '2020-02-12', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27017, '2020-02-13', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27018, '2020-02-14', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27019, '2020-02-15', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27020, '2020-02-16', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27021, '2020-02-17', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27022, '2020-02-18', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27023, '2020-02-19', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27024, '2020-02-20', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27025, '2020-02-21', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27026, '2020-02-22', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27027, '2020-02-23', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27028, '2020-02-24', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27029, '2020-02-25', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27030, '2020-02-26', 'EE', 'Estonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27031, '2020-02-27', 'EE', 'Estonia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (27032, '2020-02-28', 'EE', 'Estonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (27033, '2020-02-29', 'EE', 'Estonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (27034, '2020-03-01', 'EE', 'Estonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (27035, '2020-03-02', 'EE', 'Estonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (27036, '2020-03-03', 'EE', 'Estonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (27037, '2020-03-04', 'EE', 'Estonia', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (27038, '2020-03-05', 'EE', 'Estonia', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (27039, '2020-03-06', 'EE', 'Estonia', 'EURO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (27040, '2020-03-07', 'EE', 'Estonia', 'EURO', '5', '10', '0', '0');
INSERT INTO public.who_import VALUES (27041, '2020-03-08', 'EE', 'Estonia', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (27042, '2020-03-09', 'EE', 'Estonia', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (27043, '2020-03-10', 'EE', 'Estonia', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (27044, '2020-03-11', 'EE', 'Estonia', 'EURO', '3', '13', '0', '0');
INSERT INTO public.who_import VALUES (27045, '2020-03-12', 'EE', 'Estonia', 'EURO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (27046, '2020-03-13', 'EE', 'Estonia', 'EURO', '11', '27', '0', '0');
INSERT INTO public.who_import VALUES (27047, '2020-03-14', 'EE', 'Estonia', 'EURO', '52', '79', '0', '0');
INSERT INTO public.who_import VALUES (27048, '2020-03-15', 'EE', 'Estonia', 'EURO', '36', '115', '0', '0');
INSERT INTO public.who_import VALUES (27049, '2020-03-16', 'EE', 'Estonia', 'EURO', '56', '171', '0', '0');
INSERT INTO public.who_import VALUES (27050, '2020-03-17', 'EE', 'Estonia', 'EURO', '34', '205', '0', '0');
INSERT INTO public.who_import VALUES (27051, '2020-03-18', 'EE', 'Estonia', 'EURO', '20', '225', '0', '0');
INSERT INTO public.who_import VALUES (27052, '2020-03-19', 'EE', 'Estonia', 'EURO', '33', '258', '0', '0');
INSERT INTO public.who_import VALUES (27053, '2020-03-20', 'EE', 'Estonia', 'EURO', '9', '267', '0', '0');
INSERT INTO public.who_import VALUES (27054, '2020-03-21', 'EE', 'Estonia', 'EURO', '16', '283', '0', '0');
INSERT INTO public.who_import VALUES (27055, '2020-03-22', 'EE', 'Estonia', 'EURO', '23', '306', '0', '0');
INSERT INTO public.who_import VALUES (27056, '2020-03-23', 'EE', 'Estonia', 'EURO', '20', '326', '0', '0');
INSERT INTO public.who_import VALUES (27057, '2020-03-24', 'EE', 'Estonia', 'EURO', '26', '352', '0', '0');
INSERT INTO public.who_import VALUES (27058, '2020-03-25', 'EE', 'Estonia', 'EURO', '17', '369', '0', '0');
INSERT INTO public.who_import VALUES (27059, '2020-03-26', 'EE', 'Estonia', 'EURO', '35', '404', '1', '1');
INSERT INTO public.who_import VALUES (27060, '2020-03-27', 'EE', 'Estonia', 'EURO', '134', '538', '0', '1');
INSERT INTO public.who_import VALUES (27061, '2020-03-28', 'EE', 'Estonia', 'EURO', '37', '575', '0', '1');
INSERT INTO public.who_import VALUES (27062, '2020-03-29', 'EE', 'Estonia', 'EURO', '65', '640', '0', '1');
INSERT INTO public.who_import VALUES (27063, '2020-03-30', 'EE', 'Estonia', 'EURO', '39', '679', '2', '3');
INSERT INTO public.who_import VALUES (27064, '2020-03-31', 'EE', 'Estonia', 'EURO', '36', '715', '0', '3');
INSERT INTO public.who_import VALUES (27065, '2020-04-01', 'EE', 'Estonia', 'EURO', '30', '745', '1', '4');
INSERT INTO public.who_import VALUES (27066, '2020-04-02', 'EE', 'Estonia', 'EURO', '34', '779', '1', '5');
INSERT INTO public.who_import VALUES (27067, '2020-04-03', 'EE', 'Estonia', 'EURO', '79', '858', '6', '11');
INSERT INTO public.who_import VALUES (27068, '2020-04-04', 'EE', 'Estonia', 'EURO', '103', '961', '1', '12');
INSERT INTO public.who_import VALUES (27069, '2020-04-05', 'EE', 'Estonia', 'EURO', '57', '1018', '1', '13');
INSERT INTO public.who_import VALUES (27070, '2020-04-06', 'EE', 'Estonia', 'EURO', '79', '1097', '2', '15');
INSERT INTO public.who_import VALUES (27071, '2020-04-07', 'EE', 'Estonia', 'EURO', '11', '1108', '4', '19');
INSERT INTO public.who_import VALUES (27072, '2020-04-08', 'EE', 'Estonia', 'EURO', '41', '1149', '2', '21');
INSERT INTO public.who_import VALUES (27073, '2020-04-09', 'EE', 'Estonia', 'EURO', '36', '1185', '3', '24');
INSERT INTO public.who_import VALUES (27074, '2020-04-10', 'EE', 'Estonia', 'EURO', '22', '1207', '0', '24');
INSERT INTO public.who_import VALUES (27075, '2020-04-11', 'EE', 'Estonia', 'EURO', '51', '1258', '0', '24');
INSERT INTO public.who_import VALUES (27076, '2020-04-12', 'EE', 'Estonia', 'EURO', '46', '1304', '0', '24');
INSERT INTO public.who_import VALUES (27077, '2020-04-13', 'EE', 'Estonia', 'EURO', '5', '1309', '1', '25');
INSERT INTO public.who_import VALUES (27078, '2020-04-14', 'EE', 'Estonia', 'EURO', '23', '1332', '3', '28');
INSERT INTO public.who_import VALUES (27079, '2020-04-15', 'EE', 'Estonia', 'EURO', '41', '1373', '3', '31');
INSERT INTO public.who_import VALUES (27080, '2020-04-16', 'EE', 'Estonia', 'EURO', '29', '1402', '4', '35');
INSERT INTO public.who_import VALUES (27081, '2020-04-17', 'EE', 'Estonia', 'EURO', '32', '1434', '1', '36');
INSERT INTO public.who_import VALUES (27082, '2020-04-18', 'EE', 'Estonia', 'EURO', '25', '1459', '2', '38');
INSERT INTO public.who_import VALUES (27083, '2020-04-19', 'EE', 'Estonia', 'EURO', '53', '1512', '0', '38');
INSERT INTO public.who_import VALUES (27084, '2020-04-20', 'EE', 'Estonia', 'EURO', '16', '1528', '2', '40');
INSERT INTO public.who_import VALUES (27085, '2020-04-21', 'EE', 'Estonia', 'EURO', '7', '1535', '0', '40');
INSERT INTO public.who_import VALUES (27086, '2020-04-22', 'EE', 'Estonia', 'EURO', '17', '1552', '3', '43');
INSERT INTO public.who_import VALUES (27087, '2020-04-23', 'EE', 'Estonia', 'EURO', '7', '1559', '1', '44');
INSERT INTO public.who_import VALUES (27088, '2020-04-24', 'EE', 'Estonia', 'EURO', '33', '1592', '1', '45');
INSERT INTO public.who_import VALUES (27089, '2020-04-25', 'EE', 'Estonia', 'EURO', '13', '1605', '1', '46');
INSERT INTO public.who_import VALUES (27090, '2020-04-26', 'EE', 'Estonia', 'EURO', '30', '1635', '0', '46');
INSERT INTO public.who_import VALUES (27091, '2020-04-27', 'EE', 'Estonia', 'EURO', '8', '1643', '3', '49');
INSERT INTO public.who_import VALUES (27092, '2020-04-28', 'EE', 'Estonia', 'EURO', '4', '1647', '1', '50');
INSERT INTO public.who_import VALUES (27093, '2020-04-29', 'EE', 'Estonia', 'EURO', '13', '1660', '0', '50');
INSERT INTO public.who_import VALUES (27094, '2020-04-30', 'EE', 'Estonia', 'EURO', '6', '1666', '0', '50');
INSERT INTO public.who_import VALUES (27095, '2020-05-01', 'EE', 'Estonia', 'EURO', '23', '1689', '2', '52');
INSERT INTO public.who_import VALUES (27096, '2020-05-02', 'EE', 'Estonia', 'EURO', '5', '1694', '0', '52');
INSERT INTO public.who_import VALUES (27097, '2020-05-03', 'EE', 'Estonia', 'EURO', '5', '1699', '1', '53');
INSERT INTO public.who_import VALUES (27098, '2020-05-04', 'EE', 'Estonia', 'EURO', '1', '1700', '2', '55');
INSERT INTO public.who_import VALUES (27099, '2020-05-05', 'EE', 'Estonia', 'EURO', '3', '1703', '0', '55');
INSERT INTO public.who_import VALUES (27100, '2020-05-06', 'EE', 'Estonia', 'EURO', '8', '1711', '0', '55');
INSERT INTO public.who_import VALUES (27101, '2020-05-07', 'EE', 'Estonia', 'EURO', '2', '1713', '0', '55');
INSERT INTO public.who_import VALUES (27102, '2020-05-08', 'EE', 'Estonia', 'EURO', '7', '1720', '1', '56');
INSERT INTO public.who_import VALUES (27103, '2020-05-09', 'EE', 'Estonia', 'EURO', '5', '1725', '0', '56');
INSERT INTO public.who_import VALUES (27104, '2020-05-10', 'EE', 'Estonia', 'EURO', '8', '1733', '4', '60');
INSERT INTO public.who_import VALUES (27105, '2020-05-11', 'EE', 'Estonia', 'EURO', '6', '1739', '0', '60');
INSERT INTO public.who_import VALUES (27106, '2020-05-12', 'EE', 'Estonia', 'EURO', '2', '1741', '1', '61');
INSERT INTO public.who_import VALUES (27107, '2020-05-13', 'EE', 'Estonia', 'EURO', '5', '1746', '0', '61');
INSERT INTO public.who_import VALUES (27108, '2020-05-14', 'EE', 'Estonia', 'EURO', '5', '1751', '0', '61');
INSERT INTO public.who_import VALUES (27109, '2020-05-15', 'EE', 'Estonia', 'EURO', '7', '1758', '1', '62');
INSERT INTO public.who_import VALUES (27110, '2020-05-16', 'EE', 'Estonia', 'EURO', '8', '1766', '1', '63');
INSERT INTO public.who_import VALUES (27111, '2020-05-17', 'EE', 'Estonia', 'EURO', '4', '1770', '0', '63');
INSERT INTO public.who_import VALUES (27112, '2020-05-18', 'EE', 'Estonia', 'EURO', '4', '1774', '0', '63');
INSERT INTO public.who_import VALUES (27113, '2020-05-19', 'EE', 'Estonia', 'EURO', '10', '1784', '0', '63');
INSERT INTO public.who_import VALUES (27114, '2020-05-20', 'EE', 'Estonia', 'EURO', '7', '1791', '0', '63');
INSERT INTO public.who_import VALUES (27115, '2020-05-21', 'EE', 'Estonia', 'EURO', '3', '1794', '0', '63');
INSERT INTO public.who_import VALUES (27116, '2020-05-22', 'EE', 'Estonia', 'EURO', '6', '1800', '0', '63');
INSERT INTO public.who_import VALUES (27117, '2020-05-23', 'EE', 'Estonia', 'EURO', '7', '1807', '0', '63');
INSERT INTO public.who_import VALUES (27118, '2020-05-24', 'EE', 'Estonia', 'EURO', '14', '1821', '0', '63');
INSERT INTO public.who_import VALUES (27119, '2020-05-25', 'EE', 'Estonia', 'EURO', '2', '1823', '0', '63');
INSERT INTO public.who_import VALUES (27120, '2020-05-26', 'EE', 'Estonia', 'EURO', '1', '1824', '0', '63');
INSERT INTO public.who_import VALUES (27121, '2020-05-27', 'EE', 'Estonia', 'EURO', '10', '1834', '0', '63');
INSERT INTO public.who_import VALUES (27122, '2020-05-28', 'EE', 'Estonia', 'EURO', '6', '1840', '0', '63');
INSERT INTO public.who_import VALUES (27123, '2020-05-29', 'EE', 'Estonia', 'EURO', '11', '1851', '0', '63');
INSERT INTO public.who_import VALUES (27124, '2020-05-30', 'EE', 'Estonia', 'EURO', '8', '1859', '0', '63');
INSERT INTO public.who_import VALUES (27125, '2020-05-31', 'EE', 'Estonia', 'EURO', '6', '1865', '0', '63');
INSERT INTO public.who_import VALUES (27126, '2020-06-01', 'EE', 'Estonia', 'EURO', '4', '1869', '0', '63');
INSERT INTO public.who_import VALUES (27127, '2020-06-02', 'EE', 'Estonia', 'EURO', '1', '1870', '0', '63');
INSERT INTO public.who_import VALUES (27128, '2020-06-03', 'EE', 'Estonia', 'EURO', '0', '1870', '0', '63');
INSERT INTO public.who_import VALUES (27129, '2020-06-04', 'EE', 'Estonia', 'EURO', '10', '1880', '0', '63');
INSERT INTO public.who_import VALUES (27130, '2020-06-05', 'EE', 'Estonia', 'EURO', '10', '1890', '0', '63');
INSERT INTO public.who_import VALUES (27131, '2020-06-06', 'EE', 'Estonia', 'EURO', '20', '1910', '0', '63');
INSERT INTO public.who_import VALUES (27132, '2020-06-07', 'EE', 'Estonia', 'EURO', '21', '1931', '0', '63');
INSERT INTO public.who_import VALUES (27133, '2020-06-08', 'EE', 'Estonia', 'EURO', '8', '1939', '0', '63');
INSERT INTO public.who_import VALUES (27134, '2020-06-09', 'EE', 'Estonia', 'EURO', '1', '1940', '0', '63');
INSERT INTO public.who_import VALUES (27135, '2020-06-10', 'EE', 'Estonia', 'EURO', '7', '1947', '0', '63');
INSERT INTO public.who_import VALUES (27136, '2020-06-11', 'EE', 'Estonia', 'EURO', '11', '1958', '0', '63');
INSERT INTO public.who_import VALUES (27137, '2020-06-12', 'EE', 'Estonia', 'EURO', '7', '1965', '0', '63');
INSERT INTO public.who_import VALUES (27138, '2020-06-13', 'EE', 'Estonia', 'EURO', '5', '1970', '0', '63');
INSERT INTO public.who_import VALUES (27139, '2020-06-14', 'EE', 'Estonia', 'EURO', '3', '1973', '0', '63');
INSERT INTO public.who_import VALUES (27140, '2020-06-15', 'EE', 'Estonia', 'EURO', '0', '1973', '0', '63');
INSERT INTO public.who_import VALUES (27141, '2020-06-16', 'EE', 'Estonia', 'EURO', '1', '1974', '0', '63');
INSERT INTO public.who_import VALUES (27142, '2020-06-17', 'EE', 'Estonia', 'EURO', '1', '1975', '0', '63');
INSERT INTO public.who_import VALUES (27143, '2020-06-18', 'EE', 'Estonia', 'EURO', '2', '1977', '0', '63');
INSERT INTO public.who_import VALUES (27144, '2020-06-19', 'EE', 'Estonia', 'EURO', '0', '1977', '0', '63');
INSERT INTO public.who_import VALUES (27145, '2020-06-20', 'EE', 'Estonia', 'EURO', '2', '1979', '0', '63');
INSERT INTO public.who_import VALUES (27146, '2020-06-21', 'EE', 'Estonia', 'EURO', '2', '1981', '0', '63');
INSERT INTO public.who_import VALUES (27147, '2020-06-22', 'EE', 'Estonia', 'EURO', '0', '1981', '0', '63');
INSERT INTO public.who_import VALUES (27148, '2020-06-23', 'EE', 'Estonia', 'EURO', '0', '1981', '0', '63');
INSERT INTO public.who_import VALUES (27149, '2020-06-24', 'EE', 'Estonia', 'EURO', '1', '1982', '0', '63');
INSERT INTO public.who_import VALUES (27150, '2020-06-25', 'EE', 'Estonia', 'EURO', '1', '1983', '0', '63');
INSERT INTO public.who_import VALUES (27151, '2020-06-26', 'EE', 'Estonia', 'EURO', '1', '1984', '0', '63');
INSERT INTO public.who_import VALUES (27152, '2020-06-27', 'EE', 'Estonia', 'EURO', '2', '1986', '0', '63');
INSERT INTO public.who_import VALUES (27153, '2020-06-28', 'EE', 'Estonia', 'EURO', '0', '1986', '0', '63');
INSERT INTO public.who_import VALUES (27154, '2020-06-29', 'EE', 'Estonia', 'EURO', '1', '1987', '0', '63');
INSERT INTO public.who_import VALUES (27155, '2020-06-30', 'EE', 'Estonia', 'EURO', '0', '1987', '0', '63');
INSERT INTO public.who_import VALUES (27156, '2020-07-01', 'EE', 'Estonia', 'EURO', '2', '1989', '0', '63');
INSERT INTO public.who_import VALUES (27157, '2020-07-02', 'EE', 'Estonia', 'EURO', '0', '1989', '0', '63');
INSERT INTO public.who_import VALUES (27158, '2020-07-03', 'EE', 'Estonia', 'EURO', '1', '1990', '0', '63');
INSERT INTO public.who_import VALUES (27159, '2020-07-04', 'EE', 'Estonia', 'EURO', '1', '1991', '0', '63');
INSERT INTO public.who_import VALUES (27160, '2020-07-05', 'EE', 'Estonia', 'EURO', '2', '1993', '0', '63');
INSERT INTO public.who_import VALUES (27161, '2020-07-06', 'EE', 'Estonia', 'EURO', '0', '1993', '0', '63');
INSERT INTO public.who_import VALUES (27162, '2020-07-07', 'EE', 'Estonia', 'EURO', '1', '1994', '0', '63');
INSERT INTO public.who_import VALUES (27163, '2020-07-08', 'EE', 'Estonia', 'EURO', '1', '1995', '0', '63');
INSERT INTO public.who_import VALUES (27164, '2020-07-09', 'EE', 'Estonia', 'EURO', '8', '2003', '0', '63');
INSERT INTO public.who_import VALUES (27165, '2020-07-10', 'EE', 'Estonia', 'EURO', '8', '2011', '0', '63');
INSERT INTO public.who_import VALUES (27166, '2020-07-11', 'EE', 'Estonia', 'EURO', '2', '2013', '0', '63');
INSERT INTO public.who_import VALUES (27167, '2020-07-12', 'EE', 'Estonia', 'EURO', '1', '2014', '0', '63');
INSERT INTO public.who_import VALUES (27168, '2020-07-13', 'EE', 'Estonia', 'EURO', '0', '2014', '0', '63');
INSERT INTO public.who_import VALUES (27169, '2020-07-14', 'EE', 'Estonia', 'EURO', '0', '2014', '0', '63');
INSERT INTO public.who_import VALUES (27170, '2020-07-15', 'EE', 'Estonia', 'EURO', '1', '2015', '0', '63');
INSERT INTO public.who_import VALUES (27171, '2020-07-16', 'EE', 'Estonia', 'EURO', '1', '2016', '0', '63');
INSERT INTO public.who_import VALUES (27172, '2020-07-17', 'EE', 'Estonia', 'EURO', '0', '2016', '0', '63');
INSERT INTO public.who_import VALUES (27173, '2020-07-18', 'EE', 'Estonia', 'EURO', '4', '2020', '0', '63');
INSERT INTO public.who_import VALUES (27174, '2020-07-19', 'EE', 'Estonia', 'EURO', '1', '2021', '0', '63');
INSERT INTO public.who_import VALUES (27175, '2020-07-20', 'EE', 'Estonia', 'EURO', '0', '2021', '0', '63');
INSERT INTO public.who_import VALUES (27176, '2020-07-21', 'EE', 'Estonia', 'EURO', '0', '2021', '0', '63');
INSERT INTO public.who_import VALUES (27177, '2020-07-22', 'EE', 'Estonia', 'EURO', '1', '2022', '0', '63');
INSERT INTO public.who_import VALUES (27178, '2020-07-23', 'EE', 'Estonia', 'EURO', '3', '2025', '0', '63');
INSERT INTO public.who_import VALUES (27179, '2020-07-24', 'EE', 'Estonia', 'EURO', '2', '2027', '0', '63');
INSERT INTO public.who_import VALUES (27180, '2020-07-25', 'EE', 'Estonia', 'EURO', '1', '2028', '0', '63');
INSERT INTO public.who_import VALUES (27181, '2020-07-26', 'EE', 'Estonia', 'EURO', '5', '2033', '0', '63');
INSERT INTO public.who_import VALUES (27182, '2020-07-27', 'EE', 'Estonia', 'EURO', '1', '2034', '0', '63');
INSERT INTO public.who_import VALUES (27183, '2020-07-28', 'EE', 'Estonia', 'EURO', '4', '2038', '0', '63');
INSERT INTO public.who_import VALUES (27184, '2020-07-29', 'EE', 'Estonia', 'EURO', '0', '2038', '0', '63');
INSERT INTO public.who_import VALUES (27185, '2020-07-30', 'EE', 'Estonia', 'EURO', '4', '2042', '0', '63');
INSERT INTO public.who_import VALUES (27186, '2020-07-31', 'EE', 'Estonia', 'EURO', '9', '2051', '0', '63');
INSERT INTO public.who_import VALUES (27187, '2020-08-01', 'EE', 'Estonia', 'EURO', '13', '2064', '0', '63');
INSERT INTO public.who_import VALUES (27188, '2020-08-02', 'EE', 'Estonia', 'EURO', '8', '2072', '0', '63');
INSERT INTO public.who_import VALUES (27189, '2020-08-03', 'EE', 'Estonia', 'EURO', '7', '2079', '0', '63');
INSERT INTO public.who_import VALUES (27190, '2020-08-04', 'EE', 'Estonia', 'EURO', '1', '2080', '0', '63');
INSERT INTO public.who_import VALUES (27191, '2020-08-05', 'EE', 'Estonia', 'EURO', '11', '2091', '0', '63');
INSERT INTO public.who_import VALUES (27192, '2020-08-06', 'EE', 'Estonia', 'EURO', '22', '2113', '0', '63');
INSERT INTO public.who_import VALUES (27193, '2020-08-07', 'EE', 'Estonia', 'EURO', '11', '2124', '0', '63');
INSERT INTO public.who_import VALUES (27194, '2020-08-08', 'EE', 'Estonia', 'EURO', '9', '2133', '0', '63');
INSERT INTO public.who_import VALUES (27195, '2020-08-09', 'EE', 'Estonia', 'EURO', '14', '2147', '0', '63');
INSERT INTO public.who_import VALUES (27196, '2020-08-10', 'EE', 'Estonia', 'EURO', '5', '2152', '0', '63');
INSERT INTO public.who_import VALUES (27197, '2020-08-11', 'EE', 'Estonia', 'EURO', '6', '2158', '0', '63');
INSERT INTO public.who_import VALUES (27198, '2020-08-12', 'EE', 'Estonia', 'EURO', '9', '2167', '0', '63');
INSERT INTO public.who_import VALUES (27199, '2020-08-13', 'EE', 'Estonia', 'EURO', '7', '2174', '0', '63');
INSERT INTO public.who_import VALUES (27200, '2020-08-14', 'EE', 'Estonia', 'EURO', '0', '2174', '0', '63');
INSERT INTO public.who_import VALUES (27201, '2020-08-15', 'EE', 'Estonia', 'EURO', '3', '2177', '0', '63');
INSERT INTO public.who_import VALUES (27202, '2020-08-16', 'EE', 'Estonia', 'EURO', '7', '2184', '0', '63');
INSERT INTO public.who_import VALUES (27203, '2020-08-17', 'EE', 'Estonia', 'EURO', '6', '2190', '0', '63');
INSERT INTO public.who_import VALUES (27204, '2020-08-18', 'EE', 'Estonia', 'EURO', '2', '2192', '0', '63');
INSERT INTO public.who_import VALUES (27205, '2020-08-19', 'EE', 'Estonia', 'EURO', '8', '2200', '0', '63');
INSERT INTO public.who_import VALUES (27206, '2020-08-20', 'EE', 'Estonia', 'EURO', '7', '2207', '0', '63');
INSERT INTO public.who_import VALUES (27207, '2020-08-21', 'EE', 'Estonia', 'EURO', '20', '2227', '0', '63');
INSERT INTO public.who_import VALUES (27208, '2020-08-22', 'EE', 'Estonia', 'EURO', '17', '2244', '0', '63');
INSERT INTO public.who_import VALUES (27209, '2020-08-23', 'EE', 'Estonia', 'EURO', '21', '2265', '0', '63');
INSERT INTO public.who_import VALUES (27210, '2020-08-24', 'EE', 'Estonia', 'EURO', '7', '2272', '0', '63');
INSERT INTO public.who_import VALUES (27211, '2020-08-25', 'EE', 'Estonia', 'EURO', '3', '2275', '1', '64');
INSERT INTO public.who_import VALUES (27212, '2020-08-26', 'EE', 'Estonia', 'EURO', '19', '2294', '0', '64');
INSERT INTO public.who_import VALUES (27213, '2020-08-27', 'EE', 'Estonia', 'EURO', '17', '2311', '0', '64');
INSERT INTO public.who_import VALUES (27214, '2020-08-28', 'EE', 'Estonia', 'EURO', '14', '2325', '0', '64');
INSERT INTO public.who_import VALUES (27215, '2020-08-29', 'EE', 'Estonia', 'EURO', '18', '2343', '0', '64');
INSERT INTO public.who_import VALUES (27216, '2020-08-30', 'EE', 'Estonia', 'EURO', '20', '2363', '0', '64');
INSERT INTO public.who_import VALUES (27217, '2020-08-31', 'EE', 'Estonia', 'EURO', '10', '2373', '0', '64');
INSERT INTO public.who_import VALUES (27218, '2020-09-01', 'EE', 'Estonia', 'EURO', '2', '2375', '0', '64');
INSERT INTO public.who_import VALUES (27219, '2020-09-02', 'EE', 'Estonia', 'EURO', '20', '2395', '0', '64');
INSERT INTO public.who_import VALUES (27220, '2020-09-03', 'EE', 'Estonia', 'EURO', '20', '2415', '0', '64');
INSERT INTO public.who_import VALUES (27221, '2020-09-04', 'EE', 'Estonia', 'EURO', '26', '2441', '0', '64');
INSERT INTO public.who_import VALUES (27222, '2020-09-05', 'EE', 'Estonia', 'EURO', '15', '2456', '0', '64');
INSERT INTO public.who_import VALUES (27223, '2020-09-06', 'EE', 'Estonia', 'EURO', '34', '2490', '0', '64');
INSERT INTO public.who_import VALUES (27224, '2020-09-07', 'EE', 'Estonia', 'EURO', '25', '2515', '0', '64');
INSERT INTO public.who_import VALUES (27225, '2020-09-08', 'EE', 'Estonia', 'EURO', '16', '2531', '0', '64');
INSERT INTO public.who_import VALUES (27226, '2020-09-09', 'EE', 'Estonia', 'EURO', '32', '2563', '0', '64');
INSERT INTO public.who_import VALUES (27227, '2020-09-10', 'EE', 'Estonia', 'EURO', '22', '2585', '0', '64');
INSERT INTO public.who_import VALUES (27228, '2020-09-11', 'EE', 'Estonia', 'EURO', '15', '2600', '0', '64');
INSERT INTO public.who_import VALUES (27229, '2020-09-12', 'EE', 'Estonia', 'EURO', '32', '2632', '0', '64');
INSERT INTO public.who_import VALUES (27230, '2020-09-13', 'EE', 'Estonia', 'EURO', '23', '2655', '0', '64');
INSERT INTO public.who_import VALUES (27231, '2020-09-14', 'EE', 'Estonia', 'EURO', '21', '2676', '0', '64');
INSERT INTO public.who_import VALUES (27232, '2020-09-15', 'EE', 'Estonia', 'EURO', '22', '2698', '0', '64');
INSERT INTO public.who_import VALUES (27233, '2020-09-16', 'EE', 'Estonia', 'EURO', '24', '2722', '0', '64');
INSERT INTO public.who_import VALUES (27234, '2020-09-17', 'EE', 'Estonia', 'EURO', '34', '2756', '0', '64');
INSERT INTO public.who_import VALUES (27235, '2020-09-18', 'EE', 'Estonia', 'EURO', '22', '2778', '0', '64');
INSERT INTO public.who_import VALUES (27236, '2020-09-19', 'EE', 'Estonia', 'EURO', '36', '2814', '0', '64');
INSERT INTO public.who_import VALUES (27237, '2020-09-20', 'EE', 'Estonia', 'EURO', '61', '2875', '0', '64');
INSERT INTO public.who_import VALUES (27238, '2020-09-21', 'EE', 'Estonia', 'EURO', '49', '2924', '0', '64');
INSERT INTO public.who_import VALUES (27239, '2020-09-22', 'EE', 'Estonia', 'EURO', '17', '2941', '0', '64');
INSERT INTO public.who_import VALUES (27240, '2020-09-23', 'EE', 'Estonia', 'EURO', '35', '2976', '0', '64');
INSERT INTO public.who_import VALUES (27241, '2020-09-24', 'EE', 'Estonia', 'EURO', '57', '3033', '0', '64');
INSERT INTO public.who_import VALUES (27242, '2020-09-25', 'EE', 'Estonia', 'EURO', '43', '3076', '0', '64');
INSERT INTO public.who_import VALUES (27243, '2020-09-26', 'EE', 'Estonia', 'EURO', '42', '3118', '0', '64');
INSERT INTO public.who_import VALUES (27244, '2020-09-27', 'EE', 'Estonia', 'EURO', '47', '3165', '0', '64');
INSERT INTO public.who_import VALUES (27245, '2020-09-28', 'EE', 'Estonia', 'EURO', '35', '3200', '0', '64');
INSERT INTO public.who_import VALUES (27246, '2020-09-29', 'EE', 'Estonia', 'EURO', '67', '3267', '0', '64');
INSERT INTO public.who_import VALUES (27247, '2020-09-30', 'EE', 'Estonia', 'EURO', '48', '3315', '0', '64');
INSERT INTO public.who_import VALUES (27248, '2020-10-01', 'EE', 'Estonia', 'EURO', '56', '3371', '0', '64');
INSERT INTO public.who_import VALUES (27249, '2020-10-02', 'EE', 'Estonia', 'EURO', '79', '3450', '1', '65');
INSERT INTO public.who_import VALUES (27250, '2020-10-03', 'EE', 'Estonia', 'EURO', '57', '3507', '1', '66');
INSERT INTO public.who_import VALUES (27251, '2020-10-04', 'EE', 'Estonia', 'EURO', '70', '3577', '1', '67');
INSERT INTO public.who_import VALUES (27252, '2020-10-05', 'EE', 'Estonia', 'EURO', '30', '3607', '0', '67');
INSERT INTO public.who_import VALUES (27253, '2020-10-06', 'EE', 'Estonia', 'EURO', '10', '3617', '0', '67');
INSERT INTO public.who_import VALUES (27254, '2020-10-07', 'EE', 'Estonia', 'EURO', '42', '3659', '0', '67');
INSERT INTO public.who_import VALUES (27255, '2020-10-08', 'EE', 'Estonia', 'EURO', '56', '3715', '0', '67');
INSERT INTO public.who_import VALUES (27256, '2020-10-09', 'EE', 'Estonia', 'EURO', '45', '3760', '0', '67');
INSERT INTO public.who_import VALUES (27257, '2020-10-10', 'EE', 'Estonia', 'EURO', '49', '3809', '1', '68');
INSERT INTO public.who_import VALUES (27258, '2020-10-11', 'EE', 'Estonia', 'EURO', '37', '3846', '0', '68');
INSERT INTO public.who_import VALUES (27259, '2020-10-12', 'EE', 'Estonia', 'EURO', '19', '3865', '0', '68');
INSERT INTO public.who_import VALUES (27260, '2020-10-13', 'EE', 'Estonia', 'EURO', '18', '3883', '0', '68');
INSERT INTO public.who_import VALUES (27261, '2020-10-14', 'EE', 'Estonia', 'EURO', '25', '3908', '0', '68');
INSERT INTO public.who_import VALUES (27262, '2020-10-15', 'EE', 'Estonia', 'EURO', '39', '3947', '0', '68');
INSERT INTO public.who_import VALUES (27263, '2020-10-16', 'EE', 'Estonia', 'EURO', '33', '3980', '0', '68');
INSERT INTO public.who_import VALUES (27264, '2020-10-17', 'EE', 'Estonia', 'EURO', '37', '4017', '0', '68');
INSERT INTO public.who_import VALUES (27265, '2020-10-18', 'EE', 'Estonia', 'EURO', '35', '4052', '0', '68');
INSERT INTO public.who_import VALUES (27266, '2020-10-19', 'EE', 'Estonia', 'EURO', '26', '4078', '0', '68');
INSERT INTO public.who_import VALUES (27267, '2020-10-20', 'EE', 'Estonia', 'EURO', '7', '4085', '0', '68');
INSERT INTO public.who_import VALUES (27268, '2020-10-21', 'EE', 'Estonia', 'EURO', '42', '4127', '3', '71');
INSERT INTO public.who_import VALUES (27269, '2020-10-22', 'EE', 'Estonia', 'EURO', '44', '4171', '0', '71');
INSERT INTO public.who_import VALUES (27270, '2020-10-23', 'EE', 'Estonia', 'EURO', '76', '4247', '0', '71');
INSERT INTO public.who_import VALUES (27271, '2020-10-24', 'EE', 'Estonia', 'EURO', '53', '4300', '2', '73');
INSERT INTO public.who_import VALUES (27272, '2020-10-25', 'EE', 'Estonia', 'EURO', '51', '4351', '0', '73');
INSERT INTO public.who_import VALUES (27273, '2020-10-26', 'EE', 'Estonia', 'EURO', '60', '4411', '0', '73');
INSERT INTO public.who_import VALUES (27274, '2020-10-27', 'EE', 'Estonia', 'EURO', '17', '4428', '0', '73');
INSERT INTO public.who_import VALUES (27275, '2020-10-28', 'EE', 'Estonia', 'EURO', '37', '4465', '0', '73');
INSERT INTO public.who_import VALUES (27276, '2020-10-29', 'EE', 'Estonia', 'EURO', '125', '4590', '0', '73');
INSERT INTO public.who_import VALUES (27277, '2020-10-30', 'EE', 'Estonia', 'EURO', '81', '4671', '0', '73');
INSERT INTO public.who_import VALUES (27278, '2020-10-31', 'EE', 'Estonia', 'EURO', '100', '4771', '0', '73');
INSERT INTO public.who_import VALUES (27279, '2020-11-01', 'EE', 'Estonia', 'EURO', '134', '4905', '0', '73');
INSERT INTO public.who_import VALUES (27280, '2020-11-02', 'EE', 'Estonia', 'EURO', '80', '4985', '0', '73');
INSERT INTO public.who_import VALUES (27281, '2020-11-03', 'EE', 'Estonia', 'EURO', '61', '5046', '0', '73');
INSERT INTO public.who_import VALUES (27282, '2020-11-04', 'EE', 'Estonia', 'EURO', '79', '5125', '0', '73');
INSERT INTO public.who_import VALUES (27283, '2020-11-05', 'EE', 'Estonia', 'EURO', '208', '5333', '0', '73');
INSERT INTO public.who_import VALUES (27284, '2020-11-06', 'EE', 'Estonia', 'EURO', '131', '5464', '0', '73');
INSERT INTO public.who_import VALUES (27285, '2020-11-07', 'EE', 'Estonia', 'EURO', '241', '5705', '0', '73');
INSERT INTO public.who_import VALUES (27286, '2020-11-08', 'EE', 'Estonia', 'EURO', '228', '5933', '0', '73');
INSERT INTO public.who_import VALUES (27287, '2020-11-09', 'EE', 'Estonia', 'EURO', '192', '6125', '2', '75');
INSERT INTO public.who_import VALUES (27288, '2020-11-10', 'EE', 'Estonia', 'EURO', '125', '6250', '1', '76');
INSERT INTO public.who_import VALUES (27289, '2020-11-11', 'EE', 'Estonia', 'EURO', '126', '6376', '0', '76');
INSERT INTO public.who_import VALUES (27290, '2020-11-12', 'EE', 'Estonia', 'EURO', '132', '6508', '0', '76');
INSERT INTO public.who_import VALUES (27291, '2020-11-13', 'EE', 'Estonia', 'EURO', '373', '6881', '0', '76');
INSERT INTO public.who_import VALUES (27292, '2020-11-14', 'EE', 'Estonia', 'EURO', '267', '7148', '4', '80');
INSERT INTO public.who_import VALUES (27293, '2020-11-15', 'EE', 'Estonia', 'EURO', '0', '7148', '0', '80');
INSERT INTO public.who_import VALUES (27294, '2020-11-16', 'EE', 'Estonia', 'EURO', '489', '7637', '1', '81');
INSERT INTO public.who_import VALUES (27295, '2020-11-17', 'EE', 'Estonia', 'EURO', '211', '7848', '0', '81');
INSERT INTO public.who_import VALUES (27296, '2020-11-18', 'EE', 'Estonia', 'EURO', '185', '8033', '3', '84');
INSERT INTO public.who_import VALUES (27297, '2020-11-19', 'EE', 'Estonia', 'EURO', '271', '8304', '1', '85');
INSERT INTO public.who_import VALUES (27298, '2020-11-20', 'EE', 'Estonia', 'EURO', '411', '8715', '1', '86');
INSERT INTO public.who_import VALUES (27299, '2020-11-21', 'EE', 'Estonia', 'EURO', '361', '9076', '1', '87');
INSERT INTO public.who_import VALUES (27300, '2020-11-22', 'EE', 'Estonia', 'EURO', '299', '9375', '0', '87');
INSERT INTO public.who_import VALUES (27301, '2020-11-23', 'EE', 'Estonia', 'EURO', '349', '9724', '1', '88');
INSERT INTO public.who_import VALUES (27302, '2020-11-24', 'EE', 'Estonia', 'EURO', '232', '9956', '4', '92');
INSERT INTO public.who_import VALUES (27303, '2020-11-25', 'EE', 'Estonia', 'EURO', '203', '10159', '2', '94');
INSERT INTO public.who_import VALUES (27304, '2020-11-26', 'EE', 'Estonia', 'EURO', '382', '10541', '3', '97');
INSERT INTO public.who_import VALUES (27305, '2020-11-27', 'EE', 'Estonia', 'EURO', '414', '10955', '2', '99');
INSERT INTO public.who_import VALUES (27306, '2020-11-28', 'EE', 'Estonia', 'EURO', '368', '11323', '5', '104');
INSERT INTO public.who_import VALUES (27307, '2020-11-29', 'EE', 'Estonia', 'EURO', '375', '11698', '5', '109');
INSERT INTO public.who_import VALUES (27308, '2020-11-30', 'EE', 'Estonia', 'EURO', '354', '12052', '3', '112');
INSERT INTO public.who_import VALUES (27309, '2020-12-01', 'EE', 'Estonia', 'EURO', '256', '12308', '6', '118');
INSERT INTO public.who_import VALUES (27310, '2020-12-02', 'EE', 'Estonia', 'EURO', '189', '12497', '3', '121');
INSERT INTO public.who_import VALUES (27311, '2020-12-03', 'EE', 'Estonia', 'EURO', '522', '13019', '1', '122');
INSERT INTO public.who_import VALUES (27312, '2020-12-04', 'EE', 'Estonia', 'EURO', '450', '13469', '1', '123');
INSERT INTO public.who_import VALUES (27313, '2020-12-05', 'EE', 'Estonia', 'EURO', '470', '13939', '2', '125');
INSERT INTO public.who_import VALUES (27314, '2020-12-06', 'EE', 'Estonia', 'EURO', '561', '14500', '1', '126');
INSERT INTO public.who_import VALUES (27315, '2020-12-07', 'EE', 'Estonia', 'EURO', '478', '14978', '5', '131');
INSERT INTO public.who_import VALUES (27316, '2020-12-08', 'EE', 'Estonia', 'EURO', '248', '15226', '3', '134');
INSERT INTO public.who_import VALUES (27317, '2020-12-09', 'EE', 'Estonia', 'EURO', '284', '15510', '3', '137');
INSERT INTO public.who_import VALUES (27318, '2020-12-10', 'EE', 'Estonia', 'EURO', '544', '16054', '2', '139');
INSERT INTO public.who_import VALUES (27319, '2020-12-11', 'EE', 'Estonia', 'EURO', '544', '16598', '2', '141');
INSERT INTO public.who_import VALUES (27320, '2020-12-12', 'EE', 'Estonia', 'EURO', '358', '16956', '1', '142');
INSERT INTO public.who_import VALUES (27321, '2020-12-13', 'EE', 'Estonia', 'EURO', '757', '17713', '6', '148');
INSERT INTO public.who_import VALUES (27322, '2020-12-14', 'EE', 'Estonia', 'EURO', '342', '18055', '1', '149');
INSERT INTO public.who_import VALUES (27323, '2020-12-15', 'EE', 'Estonia', 'EURO', '331', '18386', '5', '154');
INSERT INTO public.who_import VALUES (27324, '2020-12-16', 'EE', 'Estonia', 'EURO', '885', '19271', '3', '157');
INSERT INTO public.who_import VALUES (27325, '2020-12-17', 'EE', 'Estonia', 'EURO', '733', '20004', '7', '164');
INSERT INTO public.who_import VALUES (27326, '2020-12-18', 'EE', 'Estonia', 'EURO', '654', '20658', '4', '168');
INSERT INTO public.who_import VALUES (27327, '2020-12-19', 'EE', 'Estonia', 'EURO', '561', '21219', '2', '170');
INSERT INTO public.who_import VALUES (27328, '2020-12-20', 'EE', 'Estonia', 'EURO', '575', '21794', '4', '174');
INSERT INTO public.who_import VALUES (27329, '2020-12-21', 'EE', 'Estonia', 'EURO', '289', '22083', '7', '181');
INSERT INTO public.who_import VALUES (27330, '2020-12-22', 'EE', 'Estonia', 'EURO', '564', '22647', '6', '187');
INSERT INTO public.who_import VALUES (27331, '2020-12-23', 'EE', 'Estonia', 'EURO', '662', '23309', '5', '192');
INSERT INTO public.who_import VALUES (27332, '2020-12-24', 'EE', 'Estonia', 'EURO', '700', '24009', '3', '195');
INSERT INTO public.who_import VALUES (27333, '2020-12-25', 'EE', 'Estonia', 'EURO', '573', '24582', '7', '202');
INSERT INTO public.who_import VALUES (27334, '2020-12-26', 'EE', 'Estonia', 'EURO', '445', '25027', '0', '202');
INSERT INTO public.who_import VALUES (27335, '2020-12-27', 'EE', 'Estonia', 'EURO', '365', '25392', '2', '204');
INSERT INTO public.who_import VALUES (27336, '2020-12-28', 'EE', 'Estonia', 'EURO', '416', '25808', '9', '213');
INSERT INTO public.who_import VALUES (27337, '2020-12-29', 'EE', 'Estonia', 'EURO', '475', '26283', '0', '213');
INSERT INTO public.who_import VALUES (27338, '2020-12-30', 'EE', 'Estonia', 'EURO', '973', '27256', '13', '226');
INSERT INTO public.who_import VALUES (27339, '2020-12-31', 'EE', 'Estonia', 'EURO', '734', '27990', '3', '229');
INSERT INTO public.who_import VALUES (27340, '2021-01-01', 'EE', 'Estonia', 'EURO', '416', '28406', '5', '234');
INSERT INTO public.who_import VALUES (27341, '2021-01-02', 'EE', 'Estonia', 'EURO', '383', '28789', '7', '241');
INSERT INTO public.who_import VALUES (27342, '2021-01-03', 'EE', 'Estonia', 'EURO', '342', '29131', '3', '244');
INSERT INTO public.who_import VALUES (27343, '2021-01-04', 'EE', 'Estonia', 'EURO', '390', '29521', '7', '251');
INSERT INTO public.who_import VALUES (27344, '2021-01-05', 'EE', 'Estonia', 'EURO', '429', '29950', '6', '257');
INSERT INTO public.who_import VALUES (27345, '2021-01-06', 'EE', 'Estonia', 'EURO', '717', '30667', '4', '261');
INSERT INTO public.who_import VALUES (27346, '2021-01-07', 'EE', 'Estonia', 'EURO', '1084', '31751', '4', '265');
INSERT INTO public.who_import VALUES (27347, '2021-01-08', 'EE', 'Estonia', 'EURO', '786', '32537', '5', '270');
INSERT INTO public.who_import VALUES (27348, '2021-01-09', 'EE', 'Estonia', 'EURO', '552', '33089', '8', '278');
INSERT INTO public.who_import VALUES (27349, '2021-01-10', 'EE', 'Estonia', 'EURO', '427', '33516', '5', '283');
INSERT INTO public.who_import VALUES (27350, '2021-01-11', 'EE', 'Estonia', 'EURO', '289', '33805', '4', '287');
INSERT INTO public.who_import VALUES (27351, '2021-01-12', 'EE', 'Estonia', 'EURO', '333', '34138', '5', '292');
INSERT INTO public.who_import VALUES (27352, '2021-01-13', 'EE', 'Estonia', 'EURO', '853', '34991', '0', '292');
INSERT INTO public.who_import VALUES (27353, '2021-01-14', 'EE', 'Estonia', 'EURO', '630', '35621', '9', '301');
INSERT INTO public.who_import VALUES (27354, '2021-01-15', 'EE', 'Estonia', 'EURO', '475', '36096', '10', '311');
INSERT INTO public.who_import VALUES (27355, '2021-01-16', 'EE', 'Estonia', 'EURO', '595', '36691', '9', '320');
INSERT INTO public.who_import VALUES (27356, '2021-01-17', 'EE', 'Estonia', 'EURO', '388', '37079', '5', '325');
INSERT INTO public.who_import VALUES (27357, '2021-01-18', 'EE', 'Estonia', 'EURO', '265', '37344', '8', '333');
INSERT INTO public.who_import VALUES (27358, '2021-01-19', 'EE', 'Estonia', 'EURO', '597', '37941', '11', '344');
INSERT INTO public.who_import VALUES (27359, '2021-01-20', 'EE', 'Estonia', 'EURO', '603', '38544', '5', '349');
INSERT INTO public.who_import VALUES (27360, '2021-01-21', 'EE', 'Estonia', 'EURO', '668', '39212', '5', '354');
INSERT INTO public.who_import VALUES (27361, '2021-01-22', 'EE', 'Estonia', 'EURO', '489', '39701', '4', '358');
INSERT INTO public.who_import VALUES (27362, '2021-01-23', 'EE', 'Estonia', 'EURO', '483', '40184', '10', '368');
INSERT INTO public.who_import VALUES (27363, '2021-01-24', 'EE', 'Estonia', 'EURO', '532', '40716', '8', '376');
INSERT INTO public.who_import VALUES (27364, '2021-01-25', 'EE', 'Estonia', 'EURO', '259', '40975', '7', '383');
INSERT INTO public.who_import VALUES (27365, '2021-01-26', 'EE', 'Estonia', 'EURO', '355', '41330', '9', '392');
INSERT INTO public.who_import VALUES (27366, '2021-01-27', 'EE', 'Estonia', 'EURO', '636', '41966', '6', '398');
INSERT INTO public.who_import VALUES (27367, '2021-01-28', 'EE', 'Estonia', 'EURO', '690', '42656', '8', '406');
INSERT INTO public.who_import VALUES (27368, '2021-01-29', 'EE', 'Estonia', 'EURO', '687', '43343', '3', '409');
INSERT INTO public.who_import VALUES (27369, '2021-01-30', 'EE', 'Estonia', 'EURO', '404', '43747', '2', '411');
INSERT INTO public.who_import VALUES (27370, '2021-01-31', 'EE', 'Estonia', 'EURO', '461', '44208', '8', '419');
INSERT INTO public.who_import VALUES (27371, '2021-02-01', 'EE', 'Estonia', 'EURO', '367', '44575', '3', '422');
INSERT INTO public.who_import VALUES (27372, '2021-02-02', 'EE', 'Estonia', 'EURO', '403', '44978', '2', '424');
INSERT INTO public.who_import VALUES (27373, '2021-02-03', 'EE', 'Estonia', 'EURO', '685', '45663', '9', '433');
INSERT INTO public.who_import VALUES (27374, '2021-02-04', 'EE', 'Estonia', 'EURO', '671', '46334', '10', '443');
INSERT INTO public.who_import VALUES (27375, '2021-02-05', 'EE', 'Estonia', 'EURO', '591', '46925', '4', '447');
INSERT INTO public.who_import VALUES (27376, '2021-02-06', 'EE', 'Estonia', 'EURO', '587', '47512', '9', '456');
INSERT INTO public.who_import VALUES (27377, '2021-02-07', 'EE', 'Estonia', 'EURO', '416', '47928', '5', '461');
INSERT INTO public.who_import VALUES (27378, '2021-02-08', 'EE', 'Estonia', 'EURO', '339', '48267', '0', '461');
INSERT INTO public.who_import VALUES (27379, '2021-02-09', 'EE', 'Estonia', 'EURO', '542', '48809', '13', '474');
INSERT INTO public.who_import VALUES (27380, '2021-02-10', 'EE', 'Estonia', 'EURO', '796', '49605', '3', '477');
INSERT INTO public.who_import VALUES (27381, '2021-02-11', 'EE', 'Estonia', 'EURO', '675', '50280', '3', '480');
INSERT INTO public.who_import VALUES (27382, '2021-02-12', 'EE', 'Estonia', 'EURO', '713', '50993', '6', '486');
INSERT INTO public.who_import VALUES (27383, '2021-02-13', 'EE', 'Estonia', 'EURO', '756', '51749', '5', '491');
INSERT INTO public.who_import VALUES (27384, '2021-02-14', 'EE', 'Estonia', 'EURO', '667', '52416', '4', '495');
INSERT INTO public.who_import VALUES (27385, '2021-02-15', 'EE', 'Estonia', 'EURO', '411', '52827', '6', '501');
INSERT INTO public.who_import VALUES (27386, '2021-02-16', 'EE', 'Estonia', 'EURO', '617', '53444', '7', '508');
INSERT INTO public.who_import VALUES (27387, '2021-02-17', 'EE', 'Estonia', 'EURO', '856', '54300', '2', '510');
INSERT INTO public.who_import VALUES (27388, '2021-02-18', 'EE', 'Estonia', 'EURO', '995', '55295', '4', '514');
INSERT INTO public.who_import VALUES (27389, '2021-02-19', 'EE', 'Estonia', 'EURO', '951', '56246', '4', '518');
INSERT INTO public.who_import VALUES (27390, '2021-02-20', 'EE', 'Estonia', 'EURO', '787', '57033', '10', '528');
INSERT INTO public.who_import VALUES (27391, '2020-01-03', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27392, '2020-01-04', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27393, '2020-01-05', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27394, '2020-01-06', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27395, '2020-01-07', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27396, '2020-01-08', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27397, '2020-01-09', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27398, '2020-01-10', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27399, '2020-01-11', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27400, '2020-01-12', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27401, '2020-01-13', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27402, '2020-01-14', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27403, '2020-01-15', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27404, '2020-01-16', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27405, '2020-01-17', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27406, '2020-01-18', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27407, '2020-01-19', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27408, '2020-01-20', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27409, '2020-01-21', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27410, '2020-01-22', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27411, '2020-01-23', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27412, '2020-01-24', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27413, '2020-01-25', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27414, '2020-01-26', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27415, '2020-01-27', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27416, '2020-01-28', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27417, '2020-01-29', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27418, '2020-01-30', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27419, '2020-01-31', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27420, '2020-02-01', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27421, '2020-02-02', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27422, '2020-02-03', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27423, '2020-02-04', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27424, '2020-02-05', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27425, '2020-02-06', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27426, '2020-02-07', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27427, '2020-02-08', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27428, '2020-02-09', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27429, '2020-02-10', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27430, '2020-02-11', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27431, '2020-02-12', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27432, '2020-02-13', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27433, '2020-02-14', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27434, '2020-02-15', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27435, '2020-02-16', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27436, '2020-02-17', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27437, '2020-02-18', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27438, '2020-02-19', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27439, '2020-02-20', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27440, '2020-02-21', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27441, '2020-02-22', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27442, '2020-02-23', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27443, '2020-02-24', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27444, '2020-02-25', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27445, '2020-02-26', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27446, '2020-02-27', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27447, '2020-02-28', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27448, '2020-02-29', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27449, '2020-03-01', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27450, '2020-03-02', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27451, '2020-03-03', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27452, '2020-03-04', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27453, '2020-03-05', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27454, '2020-03-06', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27455, '2020-03-07', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27456, '2020-03-08', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27457, '2020-03-09', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27458, '2020-03-10', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27459, '2020-03-11', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27460, '2020-03-12', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27461, '2020-03-13', 'SZ', 'Eswatini', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27462, '2020-03-14', 'SZ', 'Eswatini', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (27463, '2020-03-15', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27464, '2020-03-16', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27465, '2020-03-17', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27466, '2020-03-18', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27467, '2020-03-19', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27468, '2020-03-20', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27469, '2020-03-21', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27470, '2020-03-22', 'SZ', 'Eswatini', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27471, '2020-03-23', 'SZ', 'Eswatini', 'AFRO', '-1', '4', '0', '0');
INSERT INTO public.who_import VALUES (27472, '2020-03-24', 'SZ', 'Eswatini', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (27473, '2020-03-25', 'SZ', 'Eswatini', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (27474, '2020-03-26', 'SZ', 'Eswatini', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (27475, '2020-03-27', 'SZ', 'Eswatini', 'AFRO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (27476, '2020-03-28', 'SZ', 'Eswatini', 'AFRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (27477, '2020-03-29', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27478, '2020-03-30', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27479, '2020-03-31', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27480, '2020-04-01', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27481, '2020-04-02', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27482, '2020-04-03', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27483, '2020-04-04', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27484, '2020-04-05', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27485, '2020-04-06', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27486, '2020-04-07', 'SZ', 'Eswatini', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (27487, '2020-04-08', 'SZ', 'Eswatini', 'AFRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (27488, '2020-04-09', 'SZ', 'Eswatini', 'AFRO', '2', '12', '0', '0');
INSERT INTO public.who_import VALUES (27489, '2020-04-10', 'SZ', 'Eswatini', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (27490, '2020-04-11', 'SZ', 'Eswatini', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (27491, '2020-04-12', 'SZ', 'Eswatini', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (27492, '2020-04-13', 'SZ', 'Eswatini', 'AFRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (27493, '2020-04-14', 'SZ', 'Eswatini', 'AFRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (27494, '2020-04-15', 'SZ', 'Eswatini', 'AFRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (27495, '2020-04-16', 'SZ', 'Eswatini', 'AFRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (27496, '2020-04-17', 'SZ', 'Eswatini', 'AFRO', '0', '16', '1', '1');
INSERT INTO public.who_import VALUES (27497, '2020-04-18', 'SZ', 'Eswatini', 'AFRO', '3', '19', '0', '1');
INSERT INTO public.who_import VALUES (27498, '2020-04-19', 'SZ', 'Eswatini', 'AFRO', '3', '22', '0', '1');
INSERT INTO public.who_import VALUES (27499, '2020-04-20', 'SZ', 'Eswatini', 'AFRO', '0', '22', '0', '1');
INSERT INTO public.who_import VALUES (27500, '2020-04-21', 'SZ', 'Eswatini', 'AFRO', '2', '24', '0', '1');
INSERT INTO public.who_import VALUES (27501, '2020-04-22', 'SZ', 'Eswatini', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (27502, '2020-04-23', 'SZ', 'Eswatini', 'AFRO', '7', '31', '0', '1');
INSERT INTO public.who_import VALUES (27503, '2020-04-24', 'SZ', 'Eswatini', 'AFRO', '0', '31', '0', '1');
INSERT INTO public.who_import VALUES (27504, '2020-04-25', 'SZ', 'Eswatini', 'AFRO', '9', '40', '0', '1');
INSERT INTO public.who_import VALUES (27505, '2020-04-26', 'SZ', 'Eswatini', 'AFRO', '16', '56', '0', '1');
INSERT INTO public.who_import VALUES (27506, '2020-04-27', 'SZ', 'Eswatini', 'AFRO', '3', '59', '0', '1');
INSERT INTO public.who_import VALUES (27507, '2020-04-28', 'SZ', 'Eswatini', 'AFRO', '6', '65', '0', '1');
INSERT INTO public.who_import VALUES (27508, '2020-04-29', 'SZ', 'Eswatini', 'AFRO', '6', '71', '0', '1');
INSERT INTO public.who_import VALUES (27509, '2020-04-30', 'SZ', 'Eswatini', 'AFRO', '20', '91', '0', '1');
INSERT INTO public.who_import VALUES (27510, '2020-05-01', 'SZ', 'Eswatini', 'AFRO', '9', '100', '0', '1');
INSERT INTO public.who_import VALUES (27511, '2020-05-02', 'SZ', 'Eswatini', 'AFRO', '6', '106', '0', '1');
INSERT INTO public.who_import VALUES (27512, '2020-05-03', 'SZ', 'Eswatini', 'AFRO', '2', '108', '0', '1');
INSERT INTO public.who_import VALUES (27513, '2020-05-04', 'SZ', 'Eswatini', 'AFRO', '4', '112', '0', '1');
INSERT INTO public.who_import VALUES (27514, '2020-05-05', 'SZ', 'Eswatini', 'AFRO', '4', '116', '0', '1');
INSERT INTO public.who_import VALUES (27515, '2020-05-06', 'SZ', 'Eswatini', 'AFRO', '3', '119', '0', '1');
INSERT INTO public.who_import VALUES (27516, '2020-05-07', 'SZ', 'Eswatini', 'AFRO', '4', '123', '1', '2');
INSERT INTO public.who_import VALUES (27517, '2020-05-08', 'SZ', 'Eswatini', 'AFRO', '30', '153', '0', '2');
INSERT INTO public.who_import VALUES (27518, '2020-05-09', 'SZ', 'Eswatini', 'AFRO', '6', '159', '0', '2');
INSERT INTO public.who_import VALUES (27519, '2020-05-10', 'SZ', 'Eswatini', 'AFRO', '4', '163', '0', '2');
INSERT INTO public.who_import VALUES (27520, '2020-05-11', 'SZ', 'Eswatini', 'AFRO', '9', '172', '0', '2');
INSERT INTO public.who_import VALUES (27521, '2020-05-12', 'SZ', 'Eswatini', 'AFRO', '3', '175', '0', '2');
INSERT INTO public.who_import VALUES (27522, '2020-05-13', 'SZ', 'Eswatini', 'AFRO', '9', '184', '0', '2');
INSERT INTO public.who_import VALUES (27523, '2020-05-14', 'SZ', 'Eswatini', 'AFRO', '3', '187', '0', '2');
INSERT INTO public.who_import VALUES (27524, '2020-05-15', 'SZ', 'Eswatini', 'AFRO', '0', '187', '0', '2');
INSERT INTO public.who_import VALUES (27525, '2020-05-16', 'SZ', 'Eswatini', 'AFRO', '3', '190', '0', '2');
INSERT INTO public.who_import VALUES (27526, '2020-05-17', 'SZ', 'Eswatini', 'AFRO', '12', '202', '0', '2');
INSERT INTO public.who_import VALUES (27527, '2020-05-18', 'SZ', 'Eswatini', 'AFRO', '1', '203', '0', '2');
INSERT INTO public.who_import VALUES (27528, '2020-05-19', 'SZ', 'Eswatini', 'AFRO', '2', '205', '0', '2');
INSERT INTO public.who_import VALUES (27529, '2020-05-20', 'SZ', 'Eswatini', 'AFRO', '3', '208', '0', '2');
INSERT INTO public.who_import VALUES (27530, '2020-05-21', 'SZ', 'Eswatini', 'AFRO', '9', '217', '0', '2');
INSERT INTO public.who_import VALUES (27531, '2020-05-22', 'SZ', 'Eswatini', 'AFRO', '3', '220', '0', '2');
INSERT INTO public.who_import VALUES (27532, '2020-05-23', 'SZ', 'Eswatini', 'AFRO', '5', '225', '0', '2');
INSERT INTO public.who_import VALUES (27533, '2020-05-24', 'SZ', 'Eswatini', 'AFRO', '13', '238', '0', '2');
INSERT INTO public.who_import VALUES (27534, '2020-05-25', 'SZ', 'Eswatini', 'AFRO', '12', '250', '0', '2');
INSERT INTO public.who_import VALUES (27535, '2020-05-26', 'SZ', 'Eswatini', 'AFRO', '6', '256', '0', '2');
INSERT INTO public.who_import VALUES (27536, '2020-05-27', 'SZ', 'Eswatini', 'AFRO', '5', '261', '0', '2');
INSERT INTO public.who_import VALUES (27537, '2020-05-28', 'SZ', 'Eswatini', 'AFRO', '11', '272', '0', '2');
INSERT INTO public.who_import VALUES (27538, '2020-05-29', 'SZ', 'Eswatini', 'AFRO', '7', '279', '0', '2');
INSERT INTO public.who_import VALUES (27539, '2020-05-30', 'SZ', 'Eswatini', 'AFRO', '0', '279', '0', '2');
INSERT INTO public.who_import VALUES (27540, '2020-05-31', 'SZ', 'Eswatini', 'AFRO', '4', '283', '0', '2');
INSERT INTO public.who_import VALUES (27541, '2020-06-01', 'SZ', 'Eswatini', 'AFRO', '2', '285', '0', '2');
INSERT INTO public.who_import VALUES (27542, '2020-06-02', 'SZ', 'Eswatini', 'AFRO', '8', '293', '1', '3');
INSERT INTO public.who_import VALUES (27543, '2020-06-03', 'SZ', 'Eswatini', 'AFRO', '1', '294', '0', '3');
INSERT INTO public.who_import VALUES (27544, '2020-06-04', 'SZ', 'Eswatini', 'AFRO', '1', '295', '0', '3');
INSERT INTO public.who_import VALUES (27545, '2020-06-05', 'SZ', 'Eswatini', 'AFRO', '5', '300', '0', '3');
INSERT INTO public.who_import VALUES (27546, '2020-06-06', 'SZ', 'Eswatini', 'AFRO', '5', '305', '0', '3');
INSERT INTO public.who_import VALUES (27547, '2020-06-07', 'SZ', 'Eswatini', 'AFRO', '17', '322', '0', '3');
INSERT INTO public.who_import VALUES (27548, '2020-06-08', 'SZ', 'Eswatini', 'AFRO', '11', '333', '0', '3');
INSERT INTO public.who_import VALUES (27549, '2020-06-09', 'SZ', 'Eswatini', 'AFRO', '7', '340', '0', '3');
INSERT INTO public.who_import VALUES (27550, '2020-06-10', 'SZ', 'Eswatini', 'AFRO', '31', '371', '0', '3');
INSERT INTO public.who_import VALUES (27551, '2020-06-11', 'SZ', 'Eswatini', 'AFRO', '27', '398', '0', '3');
INSERT INTO public.who_import VALUES (27552, '2020-06-12', 'SZ', 'Eswatini', 'AFRO', '51', '449', '0', '3');
INSERT INTO public.who_import VALUES (27553, '2020-06-13', 'SZ', 'Eswatini', 'AFRO', '23', '472', '0', '3');
INSERT INTO public.who_import VALUES (27554, '2020-06-14', 'SZ', 'Eswatini', 'AFRO', '14', '486', '0', '3');
INSERT INTO public.who_import VALUES (27555, '2020-06-15', 'SZ', 'Eswatini', 'AFRO', '4', '490', '1', '4');
INSERT INTO public.who_import VALUES (27556, '2020-06-16', 'SZ', 'Eswatini', 'AFRO', '16', '506', '0', '4');
INSERT INTO public.who_import VALUES (27557, '2020-06-17', 'SZ', 'Eswatini', 'AFRO', '14', '520', '0', '4');
INSERT INTO public.who_import VALUES (27558, '2020-06-18', 'SZ', 'Eswatini', 'AFRO', '43', '563', '0', '4');
INSERT INTO public.who_import VALUES (27559, '2020-06-19', 'SZ', 'Eswatini', 'AFRO', '23', '586', '0', '4');
INSERT INTO public.who_import VALUES (27560, '2020-06-20', 'SZ', 'Eswatini', 'AFRO', '37', '623', '0', '4');
INSERT INTO public.who_import VALUES (27561, '2020-06-21', 'SZ', 'Eswatini', 'AFRO', '4', '627', '1', '5');
INSERT INTO public.who_import VALUES (27562, '2020-06-22', 'SZ', 'Eswatini', 'AFRO', '8', '635', '0', '5');
INSERT INTO public.who_import VALUES (27563, '2020-06-23', 'SZ', 'Eswatini', 'AFRO', '8', '643', '1', '6');
INSERT INTO public.who_import VALUES (27564, '2020-06-24', 'SZ', 'Eswatini', 'AFRO', '31', '674', '1', '7');
INSERT INTO public.who_import VALUES (27565, '2020-06-25', 'SZ', 'Eswatini', 'AFRO', '16', '690', '0', '7');
INSERT INTO public.who_import VALUES (27566, '2020-06-26', 'SZ', 'Eswatini', 'AFRO', '16', '706', '1', '8');
INSERT INTO public.who_import VALUES (27567, '2020-06-27', 'SZ', 'Eswatini', 'AFRO', '25', '731', '0', '8');
INSERT INTO public.who_import VALUES (27568, '2020-06-28', 'SZ', 'Eswatini', 'AFRO', '14', '745', '0', '8');
INSERT INTO public.who_import VALUES (27569, '2020-06-29', 'SZ', 'Eswatini', 'AFRO', '36', '781', '3', '11');
INSERT INTO public.who_import VALUES (27570, '2020-06-30', 'SZ', 'Eswatini', 'AFRO', '14', '795', '0', '11');
INSERT INTO public.who_import VALUES (27571, '2020-07-01', 'SZ', 'Eswatini', 'AFRO', '17', '812', '0', '11');
INSERT INTO public.who_import VALUES (29077, '2020-01-29', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27572, '2020-07-02', 'SZ', 'Eswatini', 'AFRO', '28', '840', '0', '11');
INSERT INTO public.who_import VALUES (27573, '2020-07-03', 'SZ', 'Eswatini', 'AFRO', '33', '873', '0', '11');
INSERT INTO public.who_import VALUES (27574, '2020-07-04', 'SZ', 'Eswatini', 'AFRO', '36', '909', '2', '13');
INSERT INTO public.who_import VALUES (27575, '2020-07-05', 'SZ', 'Eswatini', 'AFRO', '45', '954', '0', '13');
INSERT INTO public.who_import VALUES (27576, '2020-07-06', 'SZ', 'Eswatini', 'AFRO', '34', '988', '0', '13');
INSERT INTO public.who_import VALUES (27577, '2020-07-07', 'SZ', 'Eswatini', 'AFRO', '23', '1011', '0', '13');
INSERT INTO public.who_import VALUES (27578, '2020-07-08', 'SZ', 'Eswatini', 'AFRO', '45', '1056', '1', '14');
INSERT INTO public.who_import VALUES (27579, '2020-07-09', 'SZ', 'Eswatini', 'AFRO', '82', '1138', '0', '14');
INSERT INTO public.who_import VALUES (27580, '2020-07-10', 'SZ', 'Eswatini', 'AFRO', '75', '1213', '3', '17');
INSERT INTO public.who_import VALUES (27581, '2020-07-11', 'SZ', 'Eswatini', 'AFRO', '44', '1257', '1', '18');
INSERT INTO public.who_import VALUES (27582, '2020-07-12', 'SZ', 'Eswatini', 'AFRO', '54', '1311', '0', '18');
INSERT INTO public.who_import VALUES (27583, '2020-07-13', 'SZ', 'Eswatini', 'AFRO', '40', '1351', '2', '20');
INSERT INTO public.who_import VALUES (27584, '2020-07-14', 'SZ', 'Eswatini', 'AFRO', '38', '1389', '0', '20');
INSERT INTO public.who_import VALUES (27585, '2020-07-15', 'SZ', 'Eswatini', 'AFRO', '45', '1434', '0', '20');
INSERT INTO public.who_import VALUES (27586, '2020-07-16', 'SZ', 'Eswatini', 'AFRO', '55', '1489', '0', '20');
INSERT INTO public.who_import VALUES (27587, '2020-07-17', 'SZ', 'Eswatini', 'AFRO', '63', '1552', '1', '21');
INSERT INTO public.who_import VALUES (27588, '2020-07-18', 'SZ', 'Eswatini', 'AFRO', '67', '1619', '0', '21');
INSERT INTO public.who_import VALUES (27589, '2020-07-19', 'SZ', 'Eswatini', 'AFRO', '110', '1729', '0', '21');
INSERT INTO public.who_import VALUES (27590, '2020-07-20', 'SZ', 'Eswatini', 'AFRO', '64', '1793', '0', '21');
INSERT INTO public.who_import VALUES (27591, '2020-07-21', 'SZ', 'Eswatini', 'AFRO', '33', '1826', '2', '23');
INSERT INTO public.who_import VALUES (27592, '2020-07-22', 'SZ', 'Eswatini', 'AFRO', '68', '1894', '1', '24');
INSERT INTO public.who_import VALUES (27593, '2020-07-23', 'SZ', 'Eswatini', 'AFRO', '44', '1938', '1', '25');
INSERT INTO public.who_import VALUES (27594, '2020-07-24', 'SZ', 'Eswatini', 'AFRO', '83', '2021', '3', '28');
INSERT INTO public.who_import VALUES (27595, '2020-07-25', 'SZ', 'Eswatini', 'AFRO', '52', '2073', '0', '28');
INSERT INTO public.who_import VALUES (27596, '2020-07-26', 'SZ', 'Eswatini', 'AFRO', '69', '2142', '0', '28');
INSERT INTO public.who_import VALUES (27597, '2020-07-27', 'SZ', 'Eswatini', 'AFRO', '65', '2207', '4', '32');
INSERT INTO public.who_import VALUES (27598, '2020-07-28', 'SZ', 'Eswatini', 'AFRO', '109', '2316', '2', '34');
INSERT INTO public.who_import VALUES (27599, '2020-07-29', 'SZ', 'Eswatini', 'AFRO', '88', '2404', '5', '39');
INSERT INTO public.who_import VALUES (27600, '2020-07-30', 'SZ', 'Eswatini', 'AFRO', '147', '2551', '1', '40');
INSERT INTO public.who_import VALUES (27601, '2020-07-31', 'SZ', 'Eswatini', 'AFRO', '26', '2577', '0', '40');
INSERT INTO public.who_import VALUES (27602, '2020-08-01', 'SZ', 'Eswatini', 'AFRO', '71', '2648', '0', '40');
INSERT INTO public.who_import VALUES (27603, '2020-08-02', 'SZ', 'Eswatini', 'AFRO', '58', '2706', '2', '42');
INSERT INTO public.who_import VALUES (27604, '2020-08-03', 'SZ', 'Eswatini', 'AFRO', '69', '2775', '0', '42');
INSERT INTO public.who_import VALUES (27605, '2020-08-04', 'SZ', 'Eswatini', 'AFRO', '63', '2838', '0', '42');
INSERT INTO public.who_import VALUES (27606, '2020-08-05', 'SZ', 'Eswatini', 'AFRO', '18', '2856', '7', '49');
INSERT INTO public.who_import VALUES (27607, '2020-08-06', 'SZ', 'Eswatini', 'AFRO', '53', '2909', '4', '53');
INSERT INTO public.who_import VALUES (27608, '2020-08-07', 'SZ', 'Eswatini', 'AFRO', '59', '2968', '2', '55');
INSERT INTO public.who_import VALUES (27609, '2020-08-08', 'SZ', 'Eswatini', 'AFRO', '68', '3036', '1', '56');
INSERT INTO public.who_import VALUES (27610, '2020-08-09', 'SZ', 'Eswatini', 'AFRO', '92', '3128', '0', '56');
INSERT INTO public.who_import VALUES (27611, '2020-08-10', 'SZ', 'Eswatini', 'AFRO', '108', '3236', '2', '58');
INSERT INTO public.who_import VALUES (27612, '2020-08-11', 'SZ', 'Eswatini', 'AFRO', '73', '3309', '3', '61');
INSERT INTO public.who_import VALUES (27613, '2020-08-12', 'SZ', 'Eswatini', 'AFRO', '101', '3410', '2', '63');
INSERT INTO public.who_import VALUES (27614, '2020-08-13', 'SZ', 'Eswatini', 'AFRO', '115', '3525', '0', '63');
INSERT INTO public.who_import VALUES (27615, '2020-08-14', 'SZ', 'Eswatini', 'AFRO', '74', '3599', '2', '65');
INSERT INTO public.who_import VALUES (27616, '2020-08-15', 'SZ', 'Eswatini', 'AFRO', '71', '3670', '3', '68');
INSERT INTO public.who_import VALUES (27617, '2020-08-16', 'SZ', 'Eswatini', 'AFRO', '75', '3745', '1', '69');
INSERT INTO public.who_import VALUES (27618, '2020-08-17', 'SZ', 'Eswatini', 'AFRO', '94', '3839', '1', '70');
INSERT INTO public.who_import VALUES (27619, '2020-08-18', 'SZ', 'Eswatini', 'AFRO', '55', '3894', '3', '73');
INSERT INTO public.who_import VALUES (27620, '2020-08-19', 'SZ', 'Eswatini', 'AFRO', '95', '3989', '3', '76');
INSERT INTO public.who_import VALUES (27621, '2020-08-20', 'SZ', 'Eswatini', 'AFRO', '69', '4058', '3', '79');
INSERT INTO public.who_import VALUES (27622, '2020-08-21', 'SZ', 'Eswatini', 'AFRO', '52', '4110', '2', '81');
INSERT INTO public.who_import VALUES (27623, '2020-08-22', 'SZ', 'Eswatini', 'AFRO', '18', '4128', '0', '81');
INSERT INTO public.who_import VALUES (27624, '2020-08-23', 'SZ', 'Eswatini', 'AFRO', '61', '4189', '2', '83');
INSERT INTO public.who_import VALUES (27625, '2020-08-24', 'SZ', 'Eswatini', 'AFRO', '36', '4225', '2', '85');
INSERT INTO public.who_import VALUES (27626, '2020-08-25', 'SZ', 'Eswatini', 'AFRO', '79', '4304', '0', '85');
INSERT INTO public.who_import VALUES (27627, '2020-08-26', 'SZ', 'Eswatini', 'AFRO', '23', '4327', '1', '86');
INSERT INTO public.who_import VALUES (27628, '2020-08-27', 'SZ', 'Eswatini', 'AFRO', '60', '4387', '2', '88');
INSERT INTO public.who_import VALUES (27629, '2020-08-28', 'SZ', 'Eswatini', 'AFRO', '46', '4433', '1', '89');
INSERT INTO public.who_import VALUES (27630, '2020-08-29', 'SZ', 'Eswatini', 'AFRO', '28', '4461', '4', '93');
INSERT INTO public.who_import VALUES (27631, '2020-08-30', 'SZ', 'Eswatini', 'AFRO', '49', '4510', '-2', '91');
INSERT INTO public.who_import VALUES (27632, '2020-08-31', 'SZ', 'Eswatini', 'AFRO', '51', '4561', '0', '91');
INSERT INTO public.who_import VALUES (27633, '2020-09-01', 'SZ', 'Eswatini', 'AFRO', '16', '4577', '0', '91');
INSERT INTO public.who_import VALUES (27634, '2020-09-02', 'SZ', 'Eswatini', 'AFRO', '41', '4618', '3', '94');
INSERT INTO public.who_import VALUES (27635, '2020-09-03', 'SZ', 'Eswatini', 'AFRO', '50', '4668', '0', '94');
INSERT INTO public.who_import VALUES (27636, '2020-09-04', 'SZ', 'Eswatini', 'AFRO', '52', '4720', '0', '94');
INSERT INTO public.who_import VALUES (27637, '2020-09-05', 'SZ', 'Eswatini', 'AFRO', '60', '4780', '0', '94');
INSERT INTO public.who_import VALUES (27638, '2020-09-06', 'SZ', 'Eswatini', 'AFRO', '39', '4819', '0', '94');
INSERT INTO public.who_import VALUES (27639, '2020-09-07', 'SZ', 'Eswatini', 'AFRO', '34', '4853', '0', '94');
INSERT INTO public.who_import VALUES (27640, '2020-09-08', 'SZ', 'Eswatini', 'AFRO', '31', '4884', '0', '94');
INSERT INTO public.who_import VALUES (27641, '2020-09-09', 'SZ', 'Eswatini', 'AFRO', '20', '4904', '2', '96');
INSERT INTO public.who_import VALUES (27642, '2020-09-10', 'SZ', 'Eswatini', 'AFRO', '32', '4936', '1', '97');
INSERT INTO public.who_import VALUES (27643, '2020-09-11', 'SZ', 'Eswatini', 'AFRO', '58', '4994', '1', '98');
INSERT INTO public.who_import VALUES (27644, '2020-09-12', 'SZ', 'Eswatini', 'AFRO', '31', '5025', '0', '98');
INSERT INTO public.who_import VALUES (27645, '2020-09-13', 'SZ', 'Eswatini', 'AFRO', '25', '5050', '0', '98');
INSERT INTO public.who_import VALUES (27646, '2020-09-14', 'SZ', 'Eswatini', 'AFRO', '25', '5075', '0', '98');
INSERT INTO public.who_import VALUES (27647, '2020-09-15', 'SZ', 'Eswatini', 'AFRO', '29', '5104', '3', '101');
INSERT INTO public.who_import VALUES (27648, '2020-09-16', 'SZ', 'Eswatini', 'AFRO', '24', '5128', '0', '101');
INSERT INTO public.who_import VALUES (27649, '2020-09-17', 'SZ', 'Eswatini', 'AFRO', '27', '5155', '0', '101');
INSERT INTO public.who_import VALUES (27650, '2020-09-18', 'SZ', 'Eswatini', 'AFRO', '36', '5191', '2', '103');
INSERT INTO public.who_import VALUES (27651, '2020-09-19', 'SZ', 'Eswatini', 'AFRO', '24', '5215', '0', '103');
INSERT INTO public.who_import VALUES (27652, '2020-09-20', 'SZ', 'Eswatini', 'AFRO', '30', '5245', '1', '104');
INSERT INTO public.who_import VALUES (27653, '2020-09-21', 'SZ', 'Eswatini', 'AFRO', '24', '5269', '0', '104');
INSERT INTO public.who_import VALUES (27654, '2020-09-22', 'SZ', 'Eswatini', 'AFRO', '13', '5282', '0', '104');
INSERT INTO public.who_import VALUES (27655, '2020-09-23', 'SZ', 'Eswatini', 'AFRO', '25', '5307', '2', '106');
INSERT INTO public.who_import VALUES (27656, '2020-09-24', 'SZ', 'Eswatini', 'AFRO', '36', '5343', '2', '108');
INSERT INTO public.who_import VALUES (27657, '2020-09-25', 'SZ', 'Eswatini', 'AFRO', '32', '5375', '0', '108');
INSERT INTO public.who_import VALUES (27658, '2020-09-26', 'SZ', 'Eswatini', 'AFRO', '24', '5399', '0', '108');
INSERT INTO public.who_import VALUES (27659, '2020-09-27', 'SZ', 'Eswatini', 'AFRO', '20', '5419', '0', '108');
INSERT INTO public.who_import VALUES (27660, '2020-09-28', 'SZ', 'Eswatini', 'AFRO', '12', '5431', '0', '108');
INSERT INTO public.who_import VALUES (27661, '2020-09-29', 'SZ', 'Eswatini', 'AFRO', '21', '5452', '0', '108');
INSERT INTO public.who_import VALUES (27662, '2020-09-30', 'SZ', 'Eswatini', 'AFRO', '10', '5462', '0', '108');
INSERT INTO public.who_import VALUES (27663, '2020-10-01', 'SZ', 'Eswatini', 'AFRO', '20', '5482', '1', '109');
INSERT INTO public.who_import VALUES (27664, '2020-10-02', 'SZ', 'Eswatini', 'AFRO', '18', '5500', '2', '111');
INSERT INTO public.who_import VALUES (27665, '2020-10-03', 'SZ', 'Eswatini', 'AFRO', '21', '5521', '0', '111');
INSERT INTO public.who_import VALUES (27666, '2020-10-04', 'SZ', 'Eswatini', 'AFRO', '9', '5530', '0', '111');
INSERT INTO public.who_import VALUES (27667, '2020-10-05', 'SZ', 'Eswatini', 'AFRO', '39', '5569', '0', '111');
INSERT INTO public.who_import VALUES (27668, '2020-10-06', 'SZ', 'Eswatini', 'AFRO', '10', '5579', '1', '112');
INSERT INTO public.who_import VALUES (27669, '2020-10-07', 'SZ', 'Eswatini', 'AFRO', '19', '5598', '0', '112');
INSERT INTO public.who_import VALUES (27670, '2020-10-08', 'SZ', 'Eswatini', 'AFRO', '19', '5617', '1', '113');
INSERT INTO public.who_import VALUES (27671, '2020-10-09', 'SZ', 'Eswatini', 'AFRO', '15', '5632', '0', '113');
INSERT INTO public.who_import VALUES (27672, '2020-10-10', 'SZ', 'Eswatini', 'AFRO', '12', '5644', '0', '113');
INSERT INTO public.who_import VALUES (27673, '2020-10-11', 'SZ', 'Eswatini', 'AFRO', '16', '5660', '0', '113');
INSERT INTO public.who_import VALUES (27674, '2020-10-12', 'SZ', 'Eswatini', 'AFRO', '9', '5669', '0', '113');
INSERT INTO public.who_import VALUES (27675, '2020-10-13', 'SZ', 'Eswatini', 'AFRO', '14', '5683', '0', '113');
INSERT INTO public.who_import VALUES (27676, '2020-10-14', 'SZ', 'Eswatini', 'AFRO', '13', '5696', '1', '114');
INSERT INTO public.who_import VALUES (27677, '2020-10-15', 'SZ', 'Eswatini', 'AFRO', '19', '5715', '0', '114');
INSERT INTO public.who_import VALUES (27678, '2020-10-16', 'SZ', 'Eswatini', 'AFRO', '18', '5733', '1', '115');
INSERT INTO public.who_import VALUES (27679, '2020-10-17', 'SZ', 'Eswatini', 'AFRO', '13', '5746', '0', '115');
INSERT INTO public.who_import VALUES (27680, '2020-10-18', 'SZ', 'Eswatini', 'AFRO', '19', '5765', '0', '115');
INSERT INTO public.who_import VALUES (27681, '2020-10-19', 'SZ', 'Eswatini', 'AFRO', '15', '5780', '1', '116');
INSERT INTO public.who_import VALUES (27682, '2020-10-20', 'SZ', 'Eswatini', 'AFRO', '8', '5788', '0', '116');
INSERT INTO public.who_import VALUES (27683, '2020-10-21', 'SZ', 'Eswatini', 'AFRO', '12', '5800', '0', '116');
INSERT INTO public.who_import VALUES (27684, '2020-10-22', 'SZ', 'Eswatini', 'AFRO', '5', '5805', '0', '116');
INSERT INTO public.who_import VALUES (27685, '2020-10-23', 'SZ', 'Eswatini', 'AFRO', '9', '5814', '0', '116');
INSERT INTO public.who_import VALUES (27686, '2020-10-24', 'SZ', 'Eswatini', 'AFRO', '17', '5831', '0', '116');
INSERT INTO public.who_import VALUES (27687, '2020-10-25', 'SZ', 'Eswatini', 'AFRO', '16', '5847', '0', '116');
INSERT INTO public.who_import VALUES (27688, '2020-10-26', 'SZ', 'Eswatini', 'AFRO', '7', '5854', '0', '116');
INSERT INTO public.who_import VALUES (27689, '2020-10-27', 'SZ', 'Eswatini', 'AFRO', '9', '5863', '0', '116');
INSERT INTO public.who_import VALUES (27690, '2020-10-28', 'SZ', 'Eswatini', 'AFRO', '12', '5875', '0', '116');
INSERT INTO public.who_import VALUES (27691, '2020-10-29', 'SZ', 'Eswatini', 'AFRO', '11', '5886', '0', '116');
INSERT INTO public.who_import VALUES (27692, '2020-10-30', 'SZ', 'Eswatini', 'AFRO', '13', '5899', '1', '117');
INSERT INTO public.who_import VALUES (27693, '2020-10-31', 'SZ', 'Eswatini', 'AFRO', '10', '5909', '0', '117');
INSERT INTO public.who_import VALUES (27694, '2020-11-01', 'SZ', 'Eswatini', 'AFRO', '8', '5917', '0', '117');
INSERT INTO public.who_import VALUES (27695, '2020-11-02', 'SZ', 'Eswatini', 'AFRO', '8', '5925', '0', '117');
INSERT INTO public.who_import VALUES (27696, '2020-11-03', 'SZ', 'Eswatini', 'AFRO', '4', '5929', '0', '117');
INSERT INTO public.who_import VALUES (27697, '2020-11-04', 'SZ', 'Eswatini', 'AFRO', '13', '5942', '0', '117');
INSERT INTO public.who_import VALUES (27698, '2020-11-05', 'SZ', 'Eswatini', 'AFRO', '13', '5955', '0', '117');
INSERT INTO public.who_import VALUES (27699, '2020-11-06', 'SZ', 'Eswatini', 'AFRO', '12', '5967', '0', '117');
INSERT INTO public.who_import VALUES (27700, '2020-11-07', 'SZ', 'Eswatini', 'AFRO', '9', '5976', '0', '117');
INSERT INTO public.who_import VALUES (27701, '2020-11-08', 'SZ', 'Eswatini', 'AFRO', '13', '5989', '0', '117');
INSERT INTO public.who_import VALUES (27702, '2020-11-09', 'SZ', 'Eswatini', 'AFRO', '14', '6003', '0', '117');
INSERT INTO public.who_import VALUES (27703, '2020-11-10', 'SZ', 'Eswatini', 'AFRO', '10', '6013', '0', '117');
INSERT INTO public.who_import VALUES (27704, '2020-11-11', 'SZ', 'Eswatini', 'AFRO', '11', '6024', '0', '117');
INSERT INTO public.who_import VALUES (27705, '2020-11-12', 'SZ', 'Eswatini', 'AFRO', '20', '6044', '0', '117');
INSERT INTO public.who_import VALUES (27706, '2020-11-13', 'SZ', 'Eswatini', 'AFRO', '16', '6060', '0', '117');
INSERT INTO public.who_import VALUES (27707, '2020-11-14', 'SZ', 'Eswatini', 'AFRO', '16', '6076', '1', '118');
INSERT INTO public.who_import VALUES (27708, '2020-11-15', 'SZ', 'Eswatini', 'AFRO', '17', '6093', '1', '119');
INSERT INTO public.who_import VALUES (27709, '2020-11-16', 'SZ', 'Eswatini', 'AFRO', '2', '6095', '0', '119');
INSERT INTO public.who_import VALUES (27710, '2020-11-17', 'SZ', 'Eswatini', 'AFRO', '10', '6105', '0', '119');
INSERT INTO public.who_import VALUES (27711, '2020-11-18', 'SZ', 'Eswatini', 'AFRO', '19', '6124', '0', '119');
INSERT INTO public.who_import VALUES (27712, '2020-11-19', 'SZ', 'Eswatini', 'AFRO', '20', '6144', '0', '119');
INSERT INTO public.who_import VALUES (27713, '2020-11-20', 'SZ', 'Eswatini', 'AFRO', '12', '6156', '0', '119');
INSERT INTO public.who_import VALUES (27714, '2020-11-21', 'SZ', 'Eswatini', 'AFRO', '29', '6185', '0', '119');
INSERT INTO public.who_import VALUES (27715, '2020-11-22', 'SZ', 'Eswatini', 'AFRO', '20', '6205', '0', '119');
INSERT INTO public.who_import VALUES (27716, '2020-11-23', 'SZ', 'Eswatini', 'AFRO', '14', '6219', '1', '120');
INSERT INTO public.who_import VALUES (27717, '2020-11-24', 'SZ', 'Eswatini', 'AFRO', '14', '6233', '0', '120');
INSERT INTO public.who_import VALUES (27718, '2020-11-25', 'SZ', 'Eswatini', 'AFRO', '14', '6247', '0', '120');
INSERT INTO public.who_import VALUES (27719, '2020-11-26', 'SZ', 'Eswatini', 'AFRO', '25', '6272', '0', '120');
INSERT INTO public.who_import VALUES (27720, '2020-11-27', 'SZ', 'Eswatini', 'AFRO', '57', '6329', '0', '120');
INSERT INTO public.who_import VALUES (27721, '2020-11-28', 'SZ', 'Eswatini', 'AFRO', '33', '6362', '0', '120');
INSERT INTO public.who_import VALUES (27722, '2020-11-29', 'SZ', 'Eswatini', 'AFRO', '44', '6406', '1', '121');
INSERT INTO public.who_import VALUES (27723, '2020-11-30', 'SZ', 'Eswatini', 'AFRO', '4', '6410', '0', '121');
INSERT INTO public.who_import VALUES (27724, '2020-12-01', 'SZ', 'Eswatini', 'AFRO', '9', '6419', '1', '122');
INSERT INTO public.who_import VALUES (27725, '2020-12-02', 'SZ', 'Eswatini', 'AFRO', '23', '6442', '0', '122');
INSERT INTO public.who_import VALUES (27726, '2020-12-03', 'SZ', 'Eswatini', 'AFRO', '13', '6455', '0', '122');
INSERT INTO public.who_import VALUES (27727, '2020-12-04', 'SZ', 'Eswatini', 'AFRO', '19', '6474', '0', '122');
INSERT INTO public.who_import VALUES (27728, '2020-12-05', 'SZ', 'Eswatini', 'AFRO', '6', '6480', '0', '122');
INSERT INTO public.who_import VALUES (27729, '2020-12-06', 'SZ', 'Eswatini', 'AFRO', '15', '6495', '0', '122');
INSERT INTO public.who_import VALUES (27730, '2020-12-07', 'SZ', 'Eswatini', 'AFRO', '6', '6501', '0', '122');
INSERT INTO public.who_import VALUES (27731, '2020-12-08', 'SZ', 'Eswatini', 'AFRO', '28', '6529', '1', '123');
INSERT INTO public.who_import VALUES (27732, '2020-12-09', 'SZ', 'Eswatini', 'AFRO', '34', '6563', '1', '124');
INSERT INTO public.who_import VALUES (27733, '2020-12-10', 'SZ', 'Eswatini', 'AFRO', '49', '6612', '1', '125');
INSERT INTO public.who_import VALUES (27734, '2020-12-11', 'SZ', 'Eswatini', 'AFRO', '21', '6633', '1', '126');
INSERT INTO public.who_import VALUES (27735, '2020-12-12', 'SZ', 'Eswatini', 'AFRO', '52', '6685', '0', '126');
INSERT INTO public.who_import VALUES (27736, '2020-12-13', 'SZ', 'Eswatini', 'AFRO', '29', '6714', '1', '127');
INSERT INTO public.who_import VALUES (27737, '2020-12-14', 'SZ', 'Eswatini', 'AFRO', '54', '6768', '0', '127');
INSERT INTO public.who_import VALUES (27738, '2020-12-15', 'SZ', 'Eswatini', 'AFRO', '57', '6825', '3', '130');
INSERT INTO public.who_import VALUES (27739, '2020-12-16', 'SZ', 'Eswatini', 'AFRO', '87', '6912', '2', '132');
INSERT INTO public.who_import VALUES (27740, '2020-12-17', 'SZ', 'Eswatini', 'AFRO', '114', '7026', '3', '135');
INSERT INTO public.who_import VALUES (27741, '2020-12-18', 'SZ', 'Eswatini', 'AFRO', '67', '7093', '0', '135');
INSERT INTO public.who_import VALUES (27742, '2020-12-19', 'SZ', 'Eswatini', 'AFRO', '109', '7202', '1', '136');
INSERT INTO public.who_import VALUES (27743, '2020-12-20', 'SZ', 'Eswatini', 'AFRO', '103', '7305', '1', '137');
INSERT INTO public.who_import VALUES (27744, '2020-12-21', 'SZ', 'Eswatini', 'AFRO', '122', '7427', '3', '140');
INSERT INTO public.who_import VALUES (27745, '2020-12-22', 'SZ', 'Eswatini', 'AFRO', '135', '7562', '1', '141');
INSERT INTO public.who_import VALUES (27746, '2020-12-23', 'SZ', 'Eswatini', 'AFRO', '153', '7715', '1', '142');
INSERT INTO public.who_import VALUES (27747, '2020-12-24', 'SZ', 'Eswatini', 'AFRO', '153', '7868', '11', '153');
INSERT INTO public.who_import VALUES (27748, '2020-12-25', 'SZ', 'Eswatini', 'AFRO', '164', '8032', '1', '154');
INSERT INTO public.who_import VALUES (27749, '2020-12-26', 'SZ', 'Eswatini', 'AFRO', '138', '8170', '0', '154');
INSERT INTO public.who_import VALUES (27750, '2020-12-27', 'SZ', 'Eswatini', 'AFRO', '197', '8367', '9', '163');
INSERT INTO public.who_import VALUES (27751, '2020-12-28', 'SZ', 'Eswatini', 'AFRO', '117', '8484', '2', '165');
INSERT INTO public.who_import VALUES (27752, '2020-12-29', 'SZ', 'Eswatini', 'AFRO', '0', '8484', '0', '165');
INSERT INTO public.who_import VALUES (27753, '2020-12-30', 'SZ', 'Eswatini', 'AFRO', '450', '8934', '11', '176');
INSERT INTO public.who_import VALUES (27754, '2020-12-31', 'SZ', 'Eswatini', 'AFRO', '212', '9146', '9', '185');
INSERT INTO public.who_import VALUES (27755, '2021-01-01', 'SZ', 'Eswatini', 'AFRO', '212', '9358', '21', '206');
INSERT INTO public.who_import VALUES (27756, '2021-01-02', 'SZ', 'Eswatini', 'AFRO', '0', '9358', '0', '206');
INSERT INTO public.who_import VALUES (27757, '2021-01-03', 'SZ', 'Eswatini', 'AFRO', '353', '9711', '21', '227');
INSERT INTO public.who_import VALUES (27758, '2021-01-04', 'SZ', 'Eswatini', 'AFRO', '232', '9943', '4', '231');
INSERT INTO public.who_import VALUES (27759, '2021-01-05', 'SZ', 'Eswatini', 'AFRO', '195', '10138', '13', '244');
INSERT INTO public.who_import VALUES (27760, '2021-01-06', 'SZ', 'Eswatini', 'AFRO', '200', '10338', '8', '252');
INSERT INTO public.who_import VALUES (27761, '2021-01-07', 'SZ', 'Eswatini', 'AFRO', '201', '10539', '9', '261');
INSERT INTO public.who_import VALUES (27762, '2021-01-08', 'SZ', 'Eswatini', 'AFRO', '234', '10773', '0', '261');
INSERT INTO public.who_import VALUES (27763, '2021-01-09', 'SZ', 'Eswatini', 'AFRO', '200', '10973', '18', '279');
INSERT INTO public.who_import VALUES (27764, '2021-01-10', 'SZ', 'Eswatini', 'AFRO', '207', '11180', '12', '291');
INSERT INTO public.who_import VALUES (27765, '2021-01-11', 'SZ', 'Eswatini', 'AFRO', '255', '11435', '4', '295');
INSERT INTO public.who_import VALUES (27766, '2021-01-12', 'SZ', 'Eswatini', 'AFRO', '276', '11711', '3', '298');
INSERT INTO public.who_import VALUES (27767, '2021-01-13', 'SZ', 'Eswatini', 'AFRO', '208', '11919', '21', '319');
INSERT INTO public.who_import VALUES (27768, '2021-01-14', 'SZ', 'Eswatini', 'AFRO', '205', '12124', '13', '332');
INSERT INTO public.who_import VALUES (27769, '2021-01-15', 'SZ', 'Eswatini', 'AFRO', '203', '12327', '3', '335');
INSERT INTO public.who_import VALUES (27770, '2021-01-16', 'SZ', 'Eswatini', 'AFRO', '0', '12327', '0', '335');
INSERT INTO public.who_import VALUES (27771, '2021-01-17', 'SZ', 'Eswatini', 'AFRO', '409', '12736', '25', '360');
INSERT INTO public.who_import VALUES (27772, '2021-01-18', 'SZ', 'Eswatini', 'AFRO', '208', '12944', '16', '376');
INSERT INTO public.who_import VALUES (27773, '2021-01-19', 'SZ', 'Eswatini', 'AFRO', '243', '13187', '8', '384');
INSERT INTO public.who_import VALUES (27774, '2021-01-20', 'SZ', 'Eswatini', 'AFRO', '256', '13443', '19', '403');
INSERT INTO public.who_import VALUES (27775, '2021-01-21', 'SZ', 'Eswatini', 'AFRO', '346', '13789', '24', '427');
INSERT INTO public.who_import VALUES (27776, '2021-01-22', 'SZ', 'Eswatini', 'AFRO', '228', '14017', '14', '441');
INSERT INTO public.who_import VALUES (27777, '2021-01-23', 'SZ', 'Eswatini', 'AFRO', '202', '14219', '17', '458');
INSERT INTO public.who_import VALUES (27778, '2021-01-24', 'SZ', 'Eswatini', 'AFRO', '111', '14330', '0', '458');
INSERT INTO public.who_import VALUES (27779, '2021-01-25', 'SZ', 'Eswatini', 'AFRO', '154', '14484', '21', '479');
INSERT INTO public.who_import VALUES (27780, '2021-01-26', 'SZ', 'Eswatini', 'AFRO', '0', '14484', '14', '493');
INSERT INTO public.who_import VALUES (27781, '2021-01-27', 'SZ', 'Eswatini', 'AFRO', '347', '14831', '24', '517');
INSERT INTO public.who_import VALUES (27782, '2021-01-28', 'SZ', 'Eswatini', 'AFRO', '220', '15051', '5', '522');
INSERT INTO public.who_import VALUES (27783, '2021-01-29', 'SZ', 'Eswatini', 'AFRO', '232', '15283', '16', '538');
INSERT INTO public.who_import VALUES (29078, '2020-01-30', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27784, '2021-01-30', 'SZ', 'Eswatini', 'AFRO', '188', '15471', '13', '551');
INSERT INTO public.who_import VALUES (27785, '2021-01-31', 'SZ', 'Eswatini', 'AFRO', '195', '15666', '11', '562');
INSERT INTO public.who_import VALUES (27786, '2021-02-01', 'SZ', 'Eswatini', 'AFRO', '45', '15711', '3', '565');
INSERT INTO public.who_import VALUES (27787, '2021-02-02', 'SZ', 'Eswatini', 'AFRO', '93', '15804', '9', '574');
INSERT INTO public.who_import VALUES (27788, '2021-02-03', 'SZ', 'Eswatini', 'AFRO', '74', '15878', '9', '583');
INSERT INTO public.who_import VALUES (27789, '2021-02-04', 'SZ', 'Eswatini', 'AFRO', '96', '15974', '2', '585');
INSERT INTO public.who_import VALUES (27790, '2021-02-05', 'SZ', 'Eswatini', 'AFRO', '71', '16045', '6', '591');
INSERT INTO public.who_import VALUES (27791, '2021-02-06', 'SZ', 'Eswatini', 'AFRO', '92', '16137', '9', '600');
INSERT INTO public.who_import VALUES (27792, '2021-02-07', 'SZ', 'Eswatini', 'AFRO', '44', '16181', '4', '604');
INSERT INTO public.who_import VALUES (27793, '2021-02-08', 'SZ', 'Eswatini', 'AFRO', '23', '16204', '0', '604');
INSERT INTO public.who_import VALUES (27794, '2021-02-09', 'SZ', 'Eswatini', 'AFRO', '30', '16234', '3', '607');
INSERT INTO public.who_import VALUES (27795, '2021-02-10', 'SZ', 'Eswatini', 'AFRO', '54', '16288', '3', '610');
INSERT INTO public.who_import VALUES (27796, '2021-02-11', 'SZ', 'Eswatini', 'AFRO', '53', '16341', '6', '616');
INSERT INTO public.who_import VALUES (27797, '2021-02-12', 'SZ', 'Eswatini', 'AFRO', '55', '16396', '3', '619');
INSERT INTO public.who_import VALUES (27798, '2021-02-13', 'SZ', 'Eswatini', 'AFRO', '59', '16455', '11', '630');
INSERT INTO public.who_import VALUES (27799, '2021-02-14', 'SZ', 'Eswatini', 'AFRO', '33', '16488', '0', '630');
INSERT INTO public.who_import VALUES (27800, '2021-02-15', 'SZ', 'Eswatini', 'AFRO', '47', '16535', '0', '630');
INSERT INTO public.who_import VALUES (27801, '2021-02-16', 'SZ', 'Eswatini', 'AFRO', '41', '16576', '4', '634');
INSERT INTO public.who_import VALUES (27802, '2021-02-17', 'SZ', 'Eswatini', 'AFRO', '30', '16606', '0', '634');
INSERT INTO public.who_import VALUES (27803, '2021-02-18', 'SZ', 'Eswatini', 'AFRO', '67', '16673', '3', '637');
INSERT INTO public.who_import VALUES (27804, '2021-02-19', 'SZ', 'Eswatini', 'AFRO', '36', '16709', '3', '640');
INSERT INTO public.who_import VALUES (27805, '2021-02-20', 'SZ', 'Eswatini', 'AFRO', '33', '16742', '3', '643');
INSERT INTO public.who_import VALUES (27806, '2020-01-03', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27807, '2020-01-04', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27808, '2020-01-05', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27809, '2020-01-06', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27810, '2020-01-07', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27811, '2020-01-08', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27812, '2020-01-09', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27813, '2020-01-10', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27814, '2020-01-11', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27815, '2020-01-12', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27816, '2020-01-13', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27817, '2020-01-14', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27818, '2020-01-15', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27819, '2020-01-16', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27820, '2020-01-17', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27821, '2020-01-18', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27822, '2020-01-19', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27823, '2020-01-20', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27824, '2020-01-21', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27825, '2020-01-22', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27826, '2020-01-23', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27827, '2020-01-24', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27828, '2020-01-25', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27829, '2020-01-26', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27830, '2020-01-27', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27831, '2020-01-28', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27832, '2020-01-29', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27833, '2020-01-30', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27834, '2020-01-31', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27835, '2020-02-01', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27836, '2020-02-02', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27837, '2020-02-03', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27838, '2020-02-04', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27839, '2020-02-05', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27840, '2020-02-06', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27841, '2020-02-07', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27842, '2020-02-08', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27843, '2020-02-09', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27844, '2020-02-10', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27845, '2020-02-11', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27846, '2020-02-12', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27847, '2020-02-13', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27848, '2020-02-14', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27849, '2020-02-15', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27850, '2020-02-16', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27851, '2020-02-17', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27852, '2020-02-18', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27853, '2020-02-19', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27854, '2020-02-20', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27855, '2020-02-21', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27856, '2020-02-22', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27857, '2020-02-23', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27858, '2020-02-24', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27859, '2020-02-25', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27860, '2020-02-26', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27861, '2020-02-27', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27862, '2020-02-28', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27863, '2020-02-29', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27864, '2020-03-01', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27865, '2020-03-02', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27866, '2020-03-03', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27867, '2020-03-04', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27868, '2020-03-05', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27869, '2020-03-06', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27870, '2020-03-07', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27871, '2020-03-08', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27872, '2020-03-09', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27873, '2020-03-10', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27874, '2020-03-11', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27875, '2020-03-12', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27876, '2020-03-13', 'ET', 'Ethiopia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (27877, '2020-03-14', 'ET', 'Ethiopia', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (27878, '2020-03-15', 'ET', 'Ethiopia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (27879, '2020-03-16', 'ET', 'Ethiopia', 'AFRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (27880, '2020-03-17', 'ET', 'Ethiopia', 'AFRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (27881, '2020-03-18', 'ET', 'Ethiopia', 'AFRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (27882, '2020-03-19', 'ET', 'Ethiopia', 'AFRO', '3', '13', '0', '0');
INSERT INTO public.who_import VALUES (27883, '2020-03-20', 'ET', 'Ethiopia', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (27884, '2020-03-21', 'ET', 'Ethiopia', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (27885, '2020-03-22', 'ET', 'Ethiopia', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (27886, '2020-03-23', 'ET', 'Ethiopia', 'AFRO', '-2', '11', '0', '0');
INSERT INTO public.who_import VALUES (27887, '2020-03-24', 'ET', 'Ethiopia', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (27888, '2020-03-25', 'ET', 'Ethiopia', 'AFRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (27889, '2020-03-26', 'ET', 'Ethiopia', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (27890, '2020-03-27', 'ET', 'Ethiopia', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (27891, '2020-03-28', 'ET', 'Ethiopia', 'AFRO', '4', '16', '0', '0');
INSERT INTO public.who_import VALUES (27892, '2020-03-29', 'ET', 'Ethiopia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (27893, '2020-03-30', 'ET', 'Ethiopia', 'AFRO', '5', '21', '0', '0');
INSERT INTO public.who_import VALUES (27894, '2020-03-31', 'ET', 'Ethiopia', 'AFRO', '2', '23', '0', '0');
INSERT INTO public.who_import VALUES (27895, '2020-04-01', 'ET', 'Ethiopia', 'AFRO', '3', '26', '0', '0');
INSERT INTO public.who_import VALUES (27896, '2020-04-02', 'ET', 'Ethiopia', 'AFRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (27897, '2020-04-03', 'ET', 'Ethiopia', 'AFRO', '5', '31', '0', '0');
INSERT INTO public.who_import VALUES (27898, '2020-04-04', 'ET', 'Ethiopia', 'AFRO', '4', '35', '0', '0');
INSERT INTO public.who_import VALUES (27899, '2020-04-05', 'ET', 'Ethiopia', 'AFRO', '3', '38', '0', '0');
INSERT INTO public.who_import VALUES (27900, '2020-04-06', 'ET', 'Ethiopia', 'AFRO', '5', '43', '1', '1');
INSERT INTO public.who_import VALUES (27901, '2020-04-07', 'ET', 'Ethiopia', 'AFRO', '1', '44', '0', '1');
INSERT INTO public.who_import VALUES (27902, '2020-04-08', 'ET', 'Ethiopia', 'AFRO', '8', '52', '1', '2');
INSERT INTO public.who_import VALUES (27903, '2020-04-09', 'ET', 'Ethiopia', 'AFRO', '3', '55', '0', '2');
INSERT INTO public.who_import VALUES (27904, '2020-04-10', 'ET', 'Ethiopia', 'AFRO', '1', '56', '0', '2');
INSERT INTO public.who_import VALUES (27905, '2020-04-11', 'ET', 'Ethiopia', 'AFRO', '9', '65', '0', '2');
INSERT INTO public.who_import VALUES (27906, '2020-04-12', 'ET', 'Ethiopia', 'AFRO', '4', '69', '1', '3');
INSERT INTO public.who_import VALUES (27907, '2020-04-13', 'ET', 'Ethiopia', 'AFRO', '2', '71', '0', '3');
INSERT INTO public.who_import VALUES (27908, '2020-04-14', 'ET', 'Ethiopia', 'AFRO', '3', '74', '0', '3');
INSERT INTO public.who_import VALUES (27909, '2020-04-15', 'ET', 'Ethiopia', 'AFRO', '8', '82', '0', '3');
INSERT INTO public.who_import VALUES (27910, '2020-04-16', 'ET', 'Ethiopia', 'AFRO', '3', '85', '0', '3');
INSERT INTO public.who_import VALUES (27911, '2020-04-17', 'ET', 'Ethiopia', 'AFRO', '7', '92', '0', '3');
INSERT INTO public.who_import VALUES (27912, '2020-04-18', 'ET', 'Ethiopia', 'AFRO', '4', '96', '0', '3');
INSERT INTO public.who_import VALUES (27913, '2020-04-19', 'ET', 'Ethiopia', 'AFRO', '9', '105', '0', '3');
INSERT INTO public.who_import VALUES (27914, '2020-04-20', 'ET', 'Ethiopia', 'AFRO', '3', '108', '0', '3');
INSERT INTO public.who_import VALUES (27915, '2020-04-21', 'ET', 'Ethiopia', 'AFRO', '3', '111', '0', '3');
INSERT INTO public.who_import VALUES (27916, '2020-04-22', 'ET', 'Ethiopia', 'AFRO', '3', '114', '0', '3');
INSERT INTO public.who_import VALUES (27917, '2020-04-23', 'ET', 'Ethiopia', 'AFRO', '2', '116', '0', '3');
INSERT INTO public.who_import VALUES (27918, '2020-04-24', 'ET', 'Ethiopia', 'AFRO', '0', '116', '0', '3');
INSERT INTO public.who_import VALUES (27919, '2020-04-25', 'ET', 'Ethiopia', 'AFRO', '1', '117', '0', '3');
INSERT INTO public.who_import VALUES (27920, '2020-04-26', 'ET', 'Ethiopia', 'AFRO', '5', '122', '0', '3');
INSERT INTO public.who_import VALUES (27921, '2020-04-27', 'ET', 'Ethiopia', 'AFRO', '1', '123', '0', '3');
INSERT INTO public.who_import VALUES (27922, '2020-04-28', 'ET', 'Ethiopia', 'AFRO', '1', '124', '0', '3');
INSERT INTO public.who_import VALUES (27923, '2020-04-29', 'ET', 'Ethiopia', 'AFRO', '2', '126', '0', '3');
INSERT INTO public.who_import VALUES (27924, '2020-04-30', 'ET', 'Ethiopia', 'AFRO', '4', '130', '0', '3');
INSERT INTO public.who_import VALUES (27925, '2020-05-01', 'ET', 'Ethiopia', 'AFRO', '1', '131', '0', '3');
INSERT INTO public.who_import VALUES (27926, '2020-05-02', 'ET', 'Ethiopia', 'AFRO', '2', '133', '0', '3');
INSERT INTO public.who_import VALUES (27927, '2020-05-03', 'ET', 'Ethiopia', 'AFRO', '0', '133', '0', '3');
INSERT INTO public.who_import VALUES (27928, '2020-05-04', 'ET', 'Ethiopia', 'AFRO', '2', '135', '0', '3');
INSERT INTO public.who_import VALUES (27929, '2020-05-05', 'ET', 'Ethiopia', 'AFRO', '5', '140', '0', '3');
INSERT INTO public.who_import VALUES (27930, '2020-05-06', 'ET', 'Ethiopia', 'AFRO', '5', '145', '1', '4');
INSERT INTO public.who_import VALUES (27931, '2020-05-07', 'ET', 'Ethiopia', 'AFRO', '17', '162', '0', '4');
INSERT INTO public.who_import VALUES (27932, '2020-05-08', 'ET', 'Ethiopia', 'AFRO', '29', '191', '0', '4');
INSERT INTO public.who_import VALUES (27933, '2020-05-09', 'ET', 'Ethiopia', 'AFRO', '3', '194', '0', '4');
INSERT INTO public.who_import VALUES (27934, '2020-05-10', 'ET', 'Ethiopia', 'AFRO', '16', '210', '1', '5');
INSERT INTO public.who_import VALUES (27935, '2020-05-11', 'ET', 'Ethiopia', 'AFRO', '29', '239', '0', '5');
INSERT INTO public.who_import VALUES (27936, '2020-05-12', 'ET', 'Ethiopia', 'AFRO', '11', '250', '0', '5');
INSERT INTO public.who_import VALUES (27937, '2020-05-13', 'ET', 'Ethiopia', 'AFRO', '11', '261', '0', '5');
INSERT INTO public.who_import VALUES (27938, '2020-05-14', 'ET', 'Ethiopia', 'AFRO', '2', '263', '0', '5');
INSERT INTO public.who_import VALUES (27939, '2020-05-15', 'ET', 'Ethiopia', 'AFRO', '9', '272', '0', '5');
INSERT INTO public.who_import VALUES (27940, '2020-05-16', 'ET', 'Ethiopia', 'AFRO', '15', '287', '0', '5');
INSERT INTO public.who_import VALUES (27941, '2020-05-17', 'ET', 'Ethiopia', 'AFRO', '19', '306', '0', '5');
INSERT INTO public.who_import VALUES (27942, '2020-05-18', 'ET', 'Ethiopia', 'AFRO', '11', '317', '0', '5');
INSERT INTO public.who_import VALUES (27943, '2020-05-19', 'ET', 'Ethiopia', 'AFRO', '35', '352', '0', '5');
INSERT INTO public.who_import VALUES (27944, '2020-05-20', 'ET', 'Ethiopia', 'AFRO', '13', '365', '0', '5');
INSERT INTO public.who_import VALUES (27945, '2020-05-21', 'ET', 'Ethiopia', 'AFRO', '24', '389', '0', '5');
INSERT INTO public.who_import VALUES (27946, '2020-05-22', 'ET', 'Ethiopia', 'AFRO', '10', '399', '0', '5');
INSERT INTO public.who_import VALUES (27947, '2020-05-23', 'ET', 'Ethiopia', 'AFRO', '34', '433', '0', '5');
INSERT INTO public.who_import VALUES (27948, '2020-05-24', 'ET', 'Ethiopia', 'AFRO', '61', '494', '0', '5');
INSERT INTO public.who_import VALUES (27949, '2020-05-25', 'ET', 'Ethiopia', 'AFRO', '88', '582', '0', '5');
INSERT INTO public.who_import VALUES (27950, '2020-05-26', 'ET', 'Ethiopia', 'AFRO', '73', '655', '0', '5');
INSERT INTO public.who_import VALUES (27951, '2020-05-27', 'ET', 'Ethiopia', 'AFRO', '46', '701', '1', '6');
INSERT INTO public.who_import VALUES (27952, '2020-05-28', 'ET', 'Ethiopia', 'AFRO', '30', '731', '0', '6');
INSERT INTO public.who_import VALUES (27953, '2020-05-29', 'ET', 'Ethiopia', 'AFRO', '100', '831', '1', '7');
INSERT INTO public.who_import VALUES (27954, '2020-05-30', 'ET', 'Ethiopia', 'AFRO', '137', '968', '1', '8');
INSERT INTO public.who_import VALUES (27955, '2020-05-31', 'ET', 'Ethiopia', 'AFRO', '95', '1063', '0', '8');
INSERT INTO public.who_import VALUES (27956, '2020-06-01', 'ET', 'Ethiopia', 'AFRO', '109', '1172', '3', '11');
INSERT INTO public.who_import VALUES (27957, '2020-06-02', 'ET', 'Ethiopia', 'AFRO', '85', '1257', '1', '12');
INSERT INTO public.who_import VALUES (27958, '2020-06-03', 'ET', 'Ethiopia', 'AFRO', '87', '1344', '2', '14');
INSERT INTO public.who_import VALUES (27959, '2020-06-04', 'ET', 'Ethiopia', 'AFRO', '142', '1486', '3', '17');
INSERT INTO public.who_import VALUES (27960, '2020-06-05', 'ET', 'Ethiopia', 'AFRO', '150', '1636', '1', '18');
INSERT INTO public.who_import VALUES (27961, '2020-06-06', 'ET', 'Ethiopia', 'AFRO', '169', '1805', '1', '19');
INSERT INTO public.who_import VALUES (27962, '2020-06-07', 'ET', 'Ethiopia', 'AFRO', '129', '1934', '1', '20');
INSERT INTO public.who_import VALUES (27963, '2020-06-08', 'ET', 'Ethiopia', 'AFRO', '86', '2020', '7', '27');
INSERT INTO public.who_import VALUES (27964, '2020-06-09', 'ET', 'Ethiopia', 'AFRO', '136', '2156', '0', '27');
INSERT INTO public.who_import VALUES (27965, '2020-06-10', 'ET', 'Ethiopia', 'AFRO', '180', '2336', '5', '32');
INSERT INTO public.who_import VALUES (27966, '2020-06-11', 'ET', 'Ethiopia', 'AFRO', '170', '2506', '3', '35');
INSERT INTO public.who_import VALUES (27967, '2020-06-12', 'ET', 'Ethiopia', 'AFRO', '164', '2670', '5', '40');
INSERT INTO public.who_import VALUES (27968, '2020-06-13', 'ET', 'Ethiopia', 'AFRO', '245', '2915', '7', '47');
INSERT INTO public.who_import VALUES (27969, '2020-06-14', 'ET', 'Ethiopia', 'AFRO', '251', '3166', '8', '55');
INSERT INTO public.who_import VALUES (27970, '2020-06-15', 'ET', 'Ethiopia', 'AFRO', '179', '3345', '2', '57');
INSERT INTO public.who_import VALUES (27971, '2020-06-16', 'ET', 'Ethiopia', 'AFRO', '176', '3521', '3', '60');
INSERT INTO public.who_import VALUES (27972, '2020-06-17', 'ET', 'Ethiopia', 'AFRO', '109', '3630', '1', '61');
INSERT INTO public.who_import VALUES (27973, '2020-06-18', 'ET', 'Ethiopia', 'AFRO', '129', '3759', '2', '63');
INSERT INTO public.who_import VALUES (27974, '2020-06-19', 'ET', 'Ethiopia', 'AFRO', '195', '3954', '2', '65');
INSERT INTO public.who_import VALUES (27975, '2020-06-20', 'ET', 'Ethiopia', 'AFRO', '116', '4070', '7', '72');
INSERT INTO public.who_import VALUES (27976, '2020-06-21', 'ET', 'Ethiopia', 'AFRO', '399', '4469', '0', '72');
INSERT INTO public.who_import VALUES (27977, '2020-06-22', 'ET', 'Ethiopia', 'AFRO', '63', '4532', '2', '74');
INSERT INTO public.who_import VALUES (27978, '2020-06-23', 'ET', 'Ethiopia', 'AFRO', '131', '4663', '1', '75');
INSERT INTO public.who_import VALUES (27979, '2020-06-24', 'ET', 'Ethiopia', 'AFRO', '185', '4848', '0', '75');
INSERT INTO public.who_import VALUES (27980, '2020-06-25', 'ET', 'Ethiopia', 'AFRO', '186', '5034', '3', '78');
INSERT INTO public.who_import VALUES (27981, '2020-06-26', 'ET', 'Ethiopia', 'AFRO', '141', '5175', '3', '81');
INSERT INTO public.who_import VALUES (27982, '2020-06-27', 'ET', 'Ethiopia', 'AFRO', '250', '5425', '8', '89');
INSERT INTO public.who_import VALUES (27983, '2020-06-28', 'ET', 'Ethiopia', 'AFRO', '145', '5570', '5', '94');
INSERT INTO public.who_import VALUES (27984, '2020-06-29', 'ET', 'Ethiopia', 'AFRO', '119', '5689', '4', '98');
INSERT INTO public.who_import VALUES (27985, '2020-06-30', 'ET', 'Ethiopia', 'AFRO', '157', '5846', '5', '103');
INSERT INTO public.who_import VALUES (27986, '2020-07-01', 'ET', 'Ethiopia', 'AFRO', '0', '5846', '0', '103');
INSERT INTO public.who_import VALUES (27987, '2020-07-02', 'ET', 'Ethiopia', 'AFRO', '202', '6048', '4', '107');
INSERT INTO public.who_import VALUES (27988, '2020-07-03', 'ET', 'Ethiopia', 'AFRO', '115', '6163', '2', '109');
INSERT INTO public.who_import VALUES (27989, '2020-07-04', 'ET', 'Ethiopia', 'AFRO', '54', '6217', '5', '114');
INSERT INTO public.who_import VALUES (27990, '2020-07-05', 'ET', 'Ethiopia', 'AFRO', '169', '6386', '2', '116');
INSERT INTO public.who_import VALUES (27991, '2020-07-06', 'ET', 'Ethiopia', 'AFRO', '0', '6386', '0', '116');
INSERT INTO public.who_import VALUES (27992, '2020-07-07', 'ET', 'Ethiopia', 'AFRO', '280', '6666', '3', '119');
INSERT INTO public.who_import VALUES (27993, '2020-07-08', 'ET', 'Ethiopia', 'AFRO', '108', '6774', '1', '120');
INSERT INTO public.who_import VALUES (27994, '2020-07-09', 'ET', 'Ethiopia', 'AFRO', '199', '6973', '0', '120');
INSERT INTO public.who_import VALUES (27995, '2020-07-10', 'ET', 'Ethiopia', 'AFRO', '147', '7120', '4', '124');
INSERT INTO public.who_import VALUES (27996, '2020-07-11', 'ET', 'Ethiopia', 'AFRO', '282', '7402', '0', '124');
INSERT INTO public.who_import VALUES (27997, '2020-07-12', 'ET', 'Ethiopia', 'AFRO', '158', '7560', '3', '127');
INSERT INTO public.who_import VALUES (27998, '2020-07-13', 'ET', 'Ethiopia', 'AFRO', '206', '7766', '1', '128');
INSERT INTO public.who_import VALUES (27999, '2020-07-14', 'ET', 'Ethiopia', 'AFRO', '203', '7969', '11', '139');
INSERT INTO public.who_import VALUES (28000, '2020-07-15', 'ET', 'Ethiopia', 'AFRO', '212', '8181', '7', '146');
INSERT INTO public.who_import VALUES (28001, '2020-07-16', 'ET', 'Ethiopia', 'AFRO', '294', '8475', '2', '148');
INSERT INTO public.who_import VALUES (28002, '2020-07-17', 'ET', 'Ethiopia', 'AFRO', '328', '8803', '2', '150');
INSERT INTO public.who_import VALUES (28003, '2020-07-18', 'ET', 'Ethiopia', 'AFRO', '344', '9147', '13', '163');
INSERT INTO public.who_import VALUES (28004, '2020-07-19', 'ET', 'Ethiopia', 'AFRO', '356', '9503', '4', '167');
INSERT INTO public.who_import VALUES (28005, '2020-07-20', 'ET', 'Ethiopia', 'AFRO', '704', '10207', '3', '170');
INSERT INTO public.who_import VALUES (28006, '2020-07-21', 'ET', 'Ethiopia', 'AFRO', '304', '10511', '3', '173');
INSERT INTO public.who_import VALUES (28007, '2020-07-22', 'ET', 'Ethiopia', 'AFRO', '561', '11072', '7', '180');
INSERT INTO public.who_import VALUES (28008, '2020-07-23', 'ET', 'Ethiopia', 'AFRO', '452', '11524', '8', '188');
INSERT INTO public.who_import VALUES (28009, '2020-07-24', 'ET', 'Ethiopia', 'AFRO', '409', '11933', '9', '197');
INSERT INTO public.who_import VALUES (28010, '2020-07-25', 'ET', 'Ethiopia', 'AFRO', '760', '12693', '3', '200');
INSERT INTO public.who_import VALUES (28011, '2020-07-26', 'ET', 'Ethiopia', 'AFRO', '555', '13248', '9', '209');
INSERT INTO public.who_import VALUES (28012, '2020-07-27', 'ET', 'Ethiopia', 'AFRO', '720', '13968', '14', '223');
INSERT INTO public.who_import VALUES (28013, '2020-07-28', 'ET', 'Ethiopia', 'AFRO', '579', '14547', '5', '228');
INSERT INTO public.who_import VALUES (28014, '2020-07-29', 'ET', 'Ethiopia', 'AFRO', '653', '15200', '11', '239');
INSERT INTO public.who_import VALUES (28015, '2020-07-30', 'ET', 'Ethiopia', 'AFRO', '610', '15810', '14', '253');
INSERT INTO public.who_import VALUES (28016, '2020-07-31', 'ET', 'Ethiopia', 'AFRO', '805', '16615', '10', '263');
INSERT INTO public.who_import VALUES (28017, '2020-08-01', 'ET', 'Ethiopia', 'AFRO', '915', '17530', '11', '274');
INSERT INTO public.who_import VALUES (28018, '2020-08-02', 'ET', 'Ethiopia', 'AFRO', '469', '17999', '10', '284');
INSERT INTO public.who_import VALUES (28019, '2020-08-03', 'ET', 'Ethiopia', 'AFRO', '707', '18706', '26', '310');
INSERT INTO public.who_import VALUES (28020, '2020-08-04', 'ET', 'Ethiopia', 'AFRO', '583', '19289', '26', '336');
INSERT INTO public.who_import VALUES (28021, '2020-08-05', 'ET', 'Ethiopia', 'AFRO', '586', '19875', '7', '343');
INSERT INTO public.who_import VALUES (28022, '2020-08-06', 'ET', 'Ethiopia', 'AFRO', '461', '20336', '13', '356');
INSERT INTO public.who_import VALUES (28023, '2020-08-07', 'ET', 'Ethiopia', 'AFRO', '564', '20900', '9', '365');
INSERT INTO public.who_import VALUES (28024, '2020-08-08', 'ET', 'Ethiopia', 'AFRO', '552', '21452', '15', '380');
INSERT INTO public.who_import VALUES (28025, '2020-08-09', 'ET', 'Ethiopia', 'AFRO', '801', '22253', '10', '390');
INSERT INTO public.who_import VALUES (28026, '2020-08-10', 'ET', 'Ethiopia', 'AFRO', '565', '22818', '17', '407');
INSERT INTO public.who_import VALUES (28027, '2020-08-11', 'ET', 'Ethiopia', 'AFRO', '773', '23591', '13', '420');
INSERT INTO public.who_import VALUES (28028, '2020-08-12', 'ET', 'Ethiopia', 'AFRO', '584', '24175', '20', '440');
INSERT INTO public.who_import VALUES (28029, '2020-08-13', 'ET', 'Ethiopia', 'AFRO', '961', '25136', '23', '463');
INSERT INTO public.who_import VALUES (28030, '2020-08-14', 'ET', 'Ethiopia', 'AFRO', '1068', '26204', '16', '479');
INSERT INTO public.who_import VALUES (28031, '2020-08-15', 'ET', 'Ethiopia', 'AFRO', '1038', '27242', '13', '492');
INSERT INTO public.who_import VALUES (28032, '2020-08-16', 'ET', 'Ethiopia', 'AFRO', '1652', '28894', '17', '509');
INSERT INTO public.who_import VALUES (28033, '2020-08-17', 'ET', 'Ethiopia', 'AFRO', '982', '29876', '19', '528');
INSERT INTO public.who_import VALUES (28034, '2020-08-18', 'ET', 'Ethiopia', 'AFRO', '1460', '31336', '16', '544');
INSERT INTO public.who_import VALUES (28035, '2020-08-19', 'ET', 'Ethiopia', 'AFRO', '1386', '32722', '28', '572');
INSERT INTO public.who_import VALUES (28036, '2020-08-20', 'ET', 'Ethiopia', 'AFRO', '1336', '34058', '28', '600');
INSERT INTO public.who_import VALUES (28037, '2020-08-21', 'ET', 'Ethiopia', 'AFRO', '1778', '35836', '20', '620');
INSERT INTO public.who_import VALUES (28038, '2020-08-22', 'ET', 'Ethiopia', 'AFRO', '1829', '37665', '17', '637');
INSERT INTO public.who_import VALUES (28039, '2020-08-23', 'ET', 'Ethiopia', 'AFRO', '1368', '39033', '25', '662');
INSERT INTO public.who_import VALUES (28040, '2020-08-24', 'ET', 'Ethiopia', 'AFRO', '1638', '40671', '16', '678');
INSERT INTO public.who_import VALUES (28041, '2020-08-25', 'ET', 'Ethiopia', 'AFRO', '1472', '42143', '14', '692');
INSERT INTO public.who_import VALUES (28042, '2020-08-26', 'ET', 'Ethiopia', 'AFRO', '1545', '43688', '17', '709');
INSERT INTO public.who_import VALUES (28043, '2020-08-27', 'ET', 'Ethiopia', 'AFRO', '1533', '45221', '16', '725');
INSERT INTO public.who_import VALUES (28044, '2020-08-28', 'ET', 'Ethiopia', 'AFRO', '1186', '46407', '20', '745');
INSERT INTO public.who_import VALUES (28045, '2020-08-29', 'ET', 'Ethiopia', 'AFRO', '1733', '48140', '13', '758');
INSERT INTO public.who_import VALUES (28046, '2020-08-30', 'ET', 'Ethiopia', 'AFRO', '1514', '49654', '12', '770');
INSERT INTO public.who_import VALUES (28047, '2020-08-31', 'ET', 'Ethiopia', 'AFRO', '1468', '51122', '23', '793');
INSERT INTO public.who_import VALUES (28048, '2020-09-01', 'ET', 'Ethiopia', 'AFRO', '1009', '52131', '16', '809');
INSERT INTO public.who_import VALUES (28049, '2020-09-02', 'ET', 'Ethiopia', 'AFRO', '1173', '53304', '19', '828');
INSERT INTO public.who_import VALUES (28050, '2020-09-03', 'ET', 'Ethiopia', 'AFRO', '1105', '54409', '18', '846');
INSERT INTO public.who_import VALUES (28051, '2020-09-04', 'ET', 'Ethiopia', 'AFRO', '804', '55213', '10', '856');
INSERT INTO public.who_import VALUES (28052, '2020-09-05', 'ET', 'Ethiopia', 'AFRO', '1303', '56516', '24', '880');
INSERT INTO public.who_import VALUES (28053, '2020-09-06', 'ET', 'Ethiopia', 'AFRO', '950', '57466', '17', '897');
INSERT INTO public.who_import VALUES (28054, '2020-09-07', 'ET', 'Ethiopia', 'AFRO', '1206', '58672', '21', '918');
INSERT INTO public.who_import VALUES (28055, '2020-09-08', 'ET', 'Ethiopia', 'AFRO', '976', '59648', '15', '933');
INSERT INTO public.who_import VALUES (28056, '2020-09-09', 'ET', 'Ethiopia', 'AFRO', '1136', '60784', '16', '949');
INSERT INTO public.who_import VALUES (28057, '2020-09-10', 'ET', 'Ethiopia', 'AFRO', '916', '61700', '17', '966');
INSERT INTO public.who_import VALUES (28058, '2020-09-11', 'ET', 'Ethiopia', 'AFRO', '878', '62578', '8', '974');
INSERT INTO public.who_import VALUES (28059, '2020-09-12', 'ET', 'Ethiopia', 'AFRO', '789', '63367', '12', '986');
INSERT INTO public.who_import VALUES (28060, '2020-09-13', 'ET', 'Ethiopia', 'AFRO', '521', '63888', '10', '996');
INSERT INTO public.who_import VALUES (28061, '2020-09-14', 'ET', 'Ethiopia', 'AFRO', '413', '64301', '17', '1013');
INSERT INTO public.who_import VALUES (28062, '2020-09-15', 'ET', 'Ethiopia', 'AFRO', '485', '64786', '9', '1022');
INSERT INTO public.who_import VALUES (28063, '2020-09-16', 'ET', 'Ethiopia', 'AFRO', '700', '65486', '13', '1035');
INSERT INTO public.who_import VALUES (28064, '2020-09-17', 'ET', 'Ethiopia', 'AFRO', '738', '66224', '10', '1045');
INSERT INTO public.who_import VALUES (28065, '2020-09-18', 'ET', 'Ethiopia', 'AFRO', '689', '66913', '15', '1060');
INSERT INTO public.who_import VALUES (28066, '2020-09-19', 'ET', 'Ethiopia', 'AFRO', '602', '67515', '12', '1072');
INSERT INTO public.who_import VALUES (28067, '2020-09-20', 'ET', 'Ethiopia', 'AFRO', '616', '68131', '17', '1089');
INSERT INTO public.who_import VALUES (28068, '2020-09-21', 'ET', 'Ethiopia', 'AFRO', '689', '68820', '7', '1096');
INSERT INTO public.who_import VALUES (28069, '2020-09-22', 'ET', 'Ethiopia', 'AFRO', '889', '69709', '12', '1108');
INSERT INTO public.who_import VALUES (28070, '2020-09-23', 'ET', 'Ethiopia', 'AFRO', '713', '70422', '19', '1127');
INSERT INTO public.who_import VALUES (28071, '2020-09-24', 'ET', 'Ethiopia', 'AFRO', '661', '71083', '14', '1141');
INSERT INTO public.who_import VALUES (28072, '2020-09-25', 'ET', 'Ethiopia', 'AFRO', '604', '71687', '7', '1148');
INSERT INTO public.who_import VALUES (28073, '2020-09-26', 'ET', 'Ethiopia', 'AFRO', '486', '72173', '7', '1155');
INSERT INTO public.who_import VALUES (28074, '2020-09-27', 'ET', 'Ethiopia', 'AFRO', '527', '72700', '10', '1165');
INSERT INTO public.who_import VALUES (28075, '2020-09-28', 'ET', 'Ethiopia', 'AFRO', '632', '73332', '5', '1170');
INSERT INTO public.who_import VALUES (28076, '2020-09-29', 'ET', 'Ethiopia', 'AFRO', '612', '73944', '7', '1177');
INSERT INTO public.who_import VALUES (28077, '2020-09-30', 'ET', 'Ethiopia', 'AFRO', '640', '74584', '14', '1191');
INSERT INTO public.who_import VALUES (28078, '2020-10-01', 'ET', 'Ethiopia', 'AFRO', '784', '75368', '7', '1198');
INSERT INTO public.who_import VALUES (28079, '2020-10-02', 'ET', 'Ethiopia', 'AFRO', '730', '76098', '6', '1204');
INSERT INTO public.who_import VALUES (28080, '2020-10-03', 'ET', 'Ethiopia', 'AFRO', '890', '76988', '3', '1207');
INSERT INTO public.who_import VALUES (28081, '2020-10-04', 'ET', 'Ethiopia', 'AFRO', '872', '77860', '7', '1214');
INSERT INTO public.who_import VALUES (28082, '2020-10-05', 'ET', 'Ethiopia', 'AFRO', '959', '78819', '8', '1222');
INSERT INTO public.who_import VALUES (28083, '2020-10-06', 'ET', 'Ethiopia', 'AFRO', '618', '79437', '8', '1230');
INSERT INTO public.who_import VALUES (28084, '2020-10-07', 'ET', 'Ethiopia', 'AFRO', '566', '80003', '8', '1238');
INSERT INTO public.who_import VALUES (28085, '2020-10-08', 'ET', 'Ethiopia', 'AFRO', '892', '80895', '17', '1255');
INSERT INTO public.who_import VALUES (28086, '2020-10-09', 'ET', 'Ethiopia', 'AFRO', '902', '81797', '7', '1262');
INSERT INTO public.who_import VALUES (28087, '2020-10-10', 'ET', 'Ethiopia', 'AFRO', '865', '82662', '9', '1271');
INSERT INTO public.who_import VALUES (28088, '2020-10-11', 'ET', 'Ethiopia', 'AFRO', '767', '83429', '6', '1277');
INSERT INTO public.who_import VALUES (28089, '2020-10-12', 'ET', 'Ethiopia', 'AFRO', '866', '84295', '10', '1287');
INSERT INTO public.who_import VALUES (28090, '2020-10-13', 'ET', 'Ethiopia', 'AFRO', '841', '85136', '14', '1301');
INSERT INTO public.who_import VALUES (28091, '2020-10-14', 'ET', 'Ethiopia', 'AFRO', '582', '85718', '4', '1305');
INSERT INTO public.who_import VALUES (28092, '2020-10-15', 'ET', 'Ethiopia', 'AFRO', '712', '86430', '7', '1312');
INSERT INTO public.who_import VALUES (28093, '2020-10-16', 'ET', 'Ethiopia', 'AFRO', '739', '87169', '13', '1325');
INSERT INTO public.who_import VALUES (28094, '2020-10-17', 'ET', 'Ethiopia', 'AFRO', '665', '87834', '12', '1337');
INSERT INTO public.who_import VALUES (28095, '2020-10-18', 'ET', 'Ethiopia', 'AFRO', '600', '88434', '9', '1346');
INSERT INTO public.who_import VALUES (28096, '2020-10-19', 'ET', 'Ethiopia', 'AFRO', '703', '89137', '6', '1352');
INSERT INTO public.who_import VALUES (28097, '2020-10-20', 'ET', 'Ethiopia', 'AFRO', '723', '89860', '13', '1365');
INSERT INTO public.who_import VALUES (28098, '2020-10-21', 'ET', 'Ethiopia', 'AFRO', '630', '90490', '6', '1371');
INSERT INTO public.who_import VALUES (28099, '2020-10-22', 'ET', 'Ethiopia', 'AFRO', '628', '91118', '13', '1384');
INSERT INTO public.who_import VALUES (28100, '2020-10-23', 'ET', 'Ethiopia', 'AFRO', '575', '91693', '12', '1396');
INSERT INTO public.who_import VALUES (28101, '2020-10-24', 'ET', 'Ethiopia', 'AFRO', '536', '92229', '4', '1400');
INSERT INTO public.who_import VALUES (28102, '2020-10-25', 'ET', 'Ethiopia', 'AFRO', '629', '92858', '19', '1419');
INSERT INTO public.who_import VALUES (28103, '2020-10-26', 'ET', 'Ethiopia', 'AFRO', '485', '93343', '7', '1426');
INSERT INTO public.who_import VALUES (28104, '2020-10-27', 'ET', 'Ethiopia', 'AFRO', '364', '93707', '11', '1437');
INSERT INTO public.who_import VALUES (28105, '2020-10-28', 'ET', 'Ethiopia', 'AFRO', '511', '94218', '8', '1445');
INSERT INTO public.who_import VALUES (28106, '2020-10-29', 'ET', 'Ethiopia', 'AFRO', '602', '94820', '6', '1451');
INSERT INTO public.who_import VALUES (28107, '2020-10-30', 'ET', 'Ethiopia', 'AFRO', '481', '95301', '6', '1457');
INSERT INTO public.who_import VALUES (28108, '2020-10-31', 'ET', 'Ethiopia', 'AFRO', '488', '95789', '7', '1464');
INSERT INTO public.who_import VALUES (28109, '2020-11-01', 'ET', 'Ethiopia', 'AFRO', '380', '96169', '5', '1469');
INSERT INTO public.who_import VALUES (28110, '2020-11-02', 'ET', 'Ethiopia', 'AFRO', '414', '96583', '9', '1478');
INSERT INTO public.who_import VALUES (28111, '2020-11-03', 'ET', 'Ethiopia', 'AFRO', '359', '96942', '11', '1489');
INSERT INTO public.who_import VALUES (28112, '2020-11-04', 'ET', 'Ethiopia', 'AFRO', '560', '97502', '5', '1494');
INSERT INTO public.who_import VALUES (28113, '2020-11-05', 'ET', 'Ethiopia', 'AFRO', '379', '97881', '9', '1503');
INSERT INTO public.who_import VALUES (28114, '2020-11-06', 'ET', 'Ethiopia', 'AFRO', '510', '98391', '5', '1508');
INSERT INTO public.who_import VALUES (28115, '2020-11-07', 'ET', 'Ethiopia', 'AFRO', '355', '98746', '4', '1512');
INSERT INTO public.who_import VALUES (28116, '2020-11-08', 'ET', 'Ethiopia', 'AFRO', '458', '99204', '6', '1518');
INSERT INTO public.who_import VALUES (28117, '2020-11-09', 'ET', 'Ethiopia', 'AFRO', '471', '99675', '5', '1523');
INSERT INTO public.who_import VALUES (28118, '2020-11-10', 'ET', 'Ethiopia', 'AFRO', '307', '99982', '7', '1530');
INSERT INTO public.who_import VALUES (28119, '2020-11-11', 'ET', 'Ethiopia', 'AFRO', '345', '100327', '7', '1537');
INSERT INTO public.who_import VALUES (28120, '2020-11-12', 'ET', 'Ethiopia', 'AFRO', '400', '100727', '8', '1545');
INSERT INTO public.who_import VALUES (28121, '2020-11-13', 'ET', 'Ethiopia', 'AFRO', '521', '101248', '9', '1554');
INSERT INTO public.who_import VALUES (28122, '2020-11-14', 'ET', 'Ethiopia', 'AFRO', '509', '101757', '4', '1558');
INSERT INTO public.who_import VALUES (28123, '2020-11-15', 'ET', 'Ethiopia', 'AFRO', '564', '102321', '7', '1565');
INSERT INTO public.who_import VALUES (28124, '2020-11-16', 'ET', 'Ethiopia', 'AFRO', '399', '102720', '4', '1569');
INSERT INTO public.who_import VALUES (28125, '2020-11-17', 'ET', 'Ethiopia', 'AFRO', '336', '103056', '12', '1581');
INSERT INTO public.who_import VALUES (28126, '2020-11-18', 'ET', 'Ethiopia', 'AFRO', '339', '103395', '7', '1588');
INSERT INTO public.who_import VALUES (28127, '2020-11-19', 'ET', 'Ethiopia', 'AFRO', '533', '103928', '13', '1601');
INSERT INTO public.who_import VALUES (28128, '2020-11-20', 'ET', 'Ethiopia', 'AFRO', '499', '104427', '6', '1607');
INSERT INTO public.who_import VALUES (28129, '2020-11-21', 'ET', 'Ethiopia', 'AFRO', '452', '104879', '13', '1620');
INSERT INTO public.who_import VALUES (28130, '2020-11-22', 'ET', 'Ethiopia', 'AFRO', '473', '105352', '16', '1636');
INSERT INTO public.who_import VALUES (28131, '2020-11-23', 'ET', 'Ethiopia', 'AFRO', '433', '105785', '11', '1647');
INSERT INTO public.who_import VALUES (28132, '2020-11-24', 'ET', 'Ethiopia', 'AFRO', '418', '106203', '4', '1651');
INSERT INTO public.who_import VALUES (28133, '2020-11-25', 'ET', 'Ethiopia', 'AFRO', '388', '106591', '10', '1661');
INSERT INTO public.who_import VALUES (28134, '2020-11-26', 'ET', 'Ethiopia', 'AFRO', '518', '107109', '3', '1664');
INSERT INTO public.who_import VALUES (28135, '2020-11-27', 'ET', 'Ethiopia', 'AFRO', '560', '107669', '8', '1672');
INSERT INTO public.who_import VALUES (28136, '2020-11-28', 'ET', 'Ethiopia', 'AFRO', '769', '108438', '14', '1686');
INSERT INTO public.who_import VALUES (28137, '2020-11-29', 'ET', 'Ethiopia', 'AFRO', '492', '108930', '9', '1695');
INSERT INTO public.who_import VALUES (28138, '2020-11-30', 'ET', 'Ethiopia', 'AFRO', '604', '109534', '5', '1700');
INSERT INTO public.who_import VALUES (28139, '2020-12-01', 'ET', 'Ethiopia', 'AFRO', '540', '110074', '6', '1706');
INSERT INTO public.who_import VALUES (28140, '2020-12-02', 'ET', 'Ethiopia', 'AFRO', '480', '110554', '3', '1709');
INSERT INTO public.who_import VALUES (28141, '2020-12-03', 'ET', 'Ethiopia', 'AFRO', '430', '110984', '6', '1715');
INSERT INTO public.who_import VALUES (28142, '2020-12-04', 'ET', 'Ethiopia', 'AFRO', '595', '111579', '9', '1724');
INSERT INTO public.who_import VALUES (28143, '2020-12-05', 'ET', 'Ethiopia', 'AFRO', '512', '112091', '10', '1734');
INSERT INTO public.who_import VALUES (28144, '2020-12-06', 'ET', 'Ethiopia', 'AFRO', '649', '112740', '11', '1745');
INSERT INTO public.who_import VALUES (28145, '2020-12-07', 'ET', 'Ethiopia', 'AFRO', '555', '113295', '2', '1747');
INSERT INTO public.who_import VALUES (28146, '2020-12-08', 'ET', 'Ethiopia', 'AFRO', '440', '113735', '8', '1755');
INSERT INTO public.who_import VALUES (28147, '2020-12-09', 'ET', 'Ethiopia', 'AFRO', '0', '113735', '0', '1755');
INSERT INTO public.who_import VALUES (28148, '2020-12-10', 'ET', 'Ethiopia', 'AFRO', '1099', '114834', '14', '1769');
INSERT INTO public.who_import VALUES (28149, '2020-12-11', 'ET', 'Ethiopia', 'AFRO', '526', '115360', '10', '1779');
INSERT INTO public.who_import VALUES (28150, '2020-12-12', 'ET', 'Ethiopia', 'AFRO', '0', '115360', '0', '1779');
INSERT INTO public.who_import VALUES (28151, '2020-12-13', 'ET', 'Ethiopia', 'AFRO', '0', '115360', '0', '1779');
INSERT INTO public.who_import VALUES (28152, '2020-12-14', 'ET', 'Ethiopia', 'AFRO', '1409', '116769', '27', '1806');
INSERT INTO public.who_import VALUES (28153, '2020-12-15', 'ET', 'Ethiopia', 'AFRO', '473', '117242', '3', '1809');
INSERT INTO public.who_import VALUES (28154, '2020-12-16', 'ET', 'Ethiopia', 'AFRO', '300', '117542', '4', '1813');
INSERT INTO public.who_import VALUES (28155, '2020-12-17', 'ET', 'Ethiopia', 'AFRO', '0', '117542', '0', '1813');
INSERT INTO public.who_import VALUES (28156, '2020-12-18', 'ET', 'Ethiopia', 'AFRO', '939', '118481', '18', '1831');
INSERT INTO public.who_import VALUES (28157, '2020-12-19', 'ET', 'Ethiopia', 'AFRO', '544', '119025', '12', '1843');
INSERT INTO public.who_import VALUES (28158, '2020-12-20', 'ET', 'Ethiopia', 'AFRO', '469', '119494', '3', '1846');
INSERT INTO public.who_import VALUES (28159, '2020-12-21', 'ET', 'Ethiopia', 'AFRO', '457', '119951', '7', '1853');
INSERT INTO public.who_import VALUES (28160, '2020-12-22', 'ET', 'Ethiopia', 'AFRO', '397', '120348', '8', '1861');
INSERT INTO public.who_import VALUES (28161, '2020-12-23', 'ET', 'Ethiopia', 'AFRO', '290', '120638', '3', '1864');
INSERT INTO public.who_import VALUES (28162, '2020-12-24', 'ET', 'Ethiopia', 'AFRO', '0', '120638', '0', '1864');
INSERT INTO public.who_import VALUES (28163, '2020-12-25', 'ET', 'Ethiopia', 'AFRO', '761', '121399', '18', '1882');
INSERT INTO public.who_import VALUES (28164, '2020-12-26', 'ET', 'Ethiopia', 'AFRO', '481', '121880', '15', '1897');
INSERT INTO public.who_import VALUES (28165, '2020-12-27', 'ET', 'Ethiopia', 'AFRO', '533', '122413', '4', '1901');
INSERT INTO public.who_import VALUES (28166, '2020-12-28', 'ET', 'Ethiopia', 'AFRO', '0', '122413', '0', '1901');
INSERT INTO public.who_import VALUES (28167, '2020-12-29', 'ET', 'Ethiopia', 'AFRO', '732', '123145', '11', '1912');
INSERT INTO public.who_import VALUES (28168, '2020-12-30', 'ET', 'Ethiopia', 'AFRO', '0', '123145', '0', '1912');
INSERT INTO public.who_import VALUES (28169, '2020-12-31', 'ET', 'Ethiopia', 'AFRO', '711', '123856', '6', '1918');
INSERT INTO public.who_import VALUES (28170, '2021-01-01', 'ET', 'Ethiopia', 'AFRO', '408', '124264', '5', '1923');
INSERT INTO public.who_import VALUES (28171, '2021-01-02', 'ET', 'Ethiopia', 'AFRO', '0', '124264', '0', '1923');
INSERT INTO public.who_import VALUES (28172, '2021-01-03', 'ET', 'Ethiopia', 'AFRO', '785', '125049', '21', '1944');
INSERT INTO public.who_import VALUES (28173, '2021-01-04', 'ET', 'Ethiopia', 'AFRO', '573', '125622', '4', '1948');
INSERT INTO public.who_import VALUES (28174, '2021-01-05', 'ET', 'Ethiopia', 'AFRO', '297', '125919', '2', '1950');
INSERT INTO public.who_import VALUES (28175, '2021-01-06', 'ET', 'Ethiopia', 'AFRO', '322', '126241', '13', '1963');
INSERT INTO public.who_import VALUES (28176, '2021-01-07', 'ET', 'Ethiopia', 'AFRO', '545', '126786', '2', '1965');
INSERT INTO public.who_import VALUES (28177, '2021-01-08', 'ET', 'Ethiopia', 'AFRO', '441', '127227', '1', '1966');
INSERT INTO public.who_import VALUES (28178, '2021-01-09', 'ET', 'Ethiopia', 'AFRO', '345', '127572', '8', '1974');
INSERT INTO public.who_import VALUES (28179, '2021-01-10', 'ET', 'Ethiopia', 'AFRO', '220', '127792', '11', '1985');
INSERT INTO public.who_import VALUES (28180, '2021-01-11', 'ET', 'Ethiopia', 'AFRO', '524', '128316', '9', '1994');
INSERT INTO public.who_import VALUES (28181, '2021-01-12', 'ET', 'Ethiopia', 'AFRO', '300', '128616', '9', '2003');
INSERT INTO public.who_import VALUES (28182, '2021-01-13', 'ET', 'Ethiopia', 'AFRO', '376', '128992', '1', '2004');
INSERT INTO public.who_import VALUES (28183, '2021-01-14', 'ET', 'Ethiopia', 'AFRO', '453', '129445', '2', '2006');
INSERT INTO public.who_import VALUES (28184, '2021-01-15', 'ET', 'Ethiopia', 'AFRO', '477', '129922', '2', '2008');
INSERT INTO public.who_import VALUES (28185, '2021-01-16', 'ET', 'Ethiopia', 'AFRO', '404', '130326', '15', '2023');
INSERT INTO public.who_import VALUES (28186, '2021-01-17', 'ET', 'Ethiopia', 'AFRO', '446', '130772', '6', '2029');
INSERT INTO public.who_import VALUES (28187, '2021-01-18', 'ET', 'Ethiopia', 'AFRO', '423', '131195', '1', '2030');
INSERT INTO public.who_import VALUES (28188, '2021-01-19', 'ET', 'Ethiopia', 'AFRO', '351', '131546', '3', '2033');
INSERT INTO public.who_import VALUES (28189, '2021-01-20', 'ET', 'Ethiopia', 'AFRO', '181', '131727', '4', '2037');
INSERT INTO public.who_import VALUES (28190, '2021-01-21', 'ET', 'Ethiopia', 'AFRO', '307', '132034', '7', '2044');
INSERT INTO public.who_import VALUES (28191, '2021-01-22', 'ET', 'Ethiopia', 'AFRO', '292', '132326', '13', '2057');
INSERT INTO public.who_import VALUES (28192, '2021-01-23', 'ET', 'Ethiopia', 'AFRO', '555', '132881', '3', '2060');
INSERT INTO public.who_import VALUES (28193, '2021-01-24', 'ET', 'Ethiopia', 'AFRO', '417', '133298', '3', '2063');
INSERT INTO public.who_import VALUES (28194, '2021-01-25', 'ET', 'Ethiopia', 'AFRO', '469', '133767', '3', '2066');
INSERT INTO public.who_import VALUES (28195, '2021-01-26', 'ET', 'Ethiopia', 'AFRO', '365', '134132', '5', '2071');
INSERT INTO public.who_import VALUES (28196, '2021-01-27', 'ET', 'Ethiopia', 'AFRO', '437', '134569', '4', '2075');
INSERT INTO public.who_import VALUES (28197, '2021-01-28', 'ET', 'Ethiopia', 'AFRO', '476', '135045', '8', '2083');
INSERT INTO public.who_import VALUES (28198, '2021-01-29', 'ET', 'Ethiopia', 'AFRO', '549', '135594', '2', '2085');
INSERT INTO public.who_import VALUES (28199, '2021-01-30', 'ET', 'Ethiopia', 'AFRO', '771', '136365', '2', '2087');
INSERT INTO public.who_import VALUES (28200, '2021-01-31', 'ET', 'Ethiopia', 'AFRO', '656', '137021', '4', '2091');
INSERT INTO public.who_import VALUES (28201, '2021-02-01', 'ET', 'Ethiopia', 'AFRO', '629', '137650', '2', '2093');
INSERT INTO public.who_import VALUES (28202, '2021-02-02', 'ET', 'Ethiopia', 'AFRO', '734', '138384', '10', '2103');
INSERT INTO public.who_import VALUES (28203, '2021-02-03', 'ET', 'Ethiopia', 'AFRO', '477', '138861', '13', '2116');
INSERT INTO public.who_import VALUES (28204, '2021-02-04', 'ET', 'Ethiopia', 'AFRO', '547', '139408', '6', '2122');
INSERT INTO public.who_import VALUES (28205, '2021-02-05', 'ET', 'Ethiopia', 'AFRO', '749', '140157', '4', '2126');
INSERT INTO public.who_import VALUES (28206, '2021-02-06', 'ET', 'Ethiopia', 'AFRO', '726', '140883', '10', '2136');
INSERT INTO public.who_import VALUES (28207, '2021-02-07', 'ET', 'Ethiopia', 'AFRO', '570', '141453', '9', '2145');
INSERT INTO public.who_import VALUES (28208, '2021-02-08', 'ET', 'Ethiopia', 'AFRO', '885', '142338', '3', '2148');
INSERT INTO public.who_import VALUES (28209, '2021-02-09', 'ET', 'Ethiopia', 'AFRO', '656', '142994', '8', '2156');
INSERT INTO public.who_import VALUES (28210, '2021-02-10', 'ET', 'Ethiopia', 'AFRO', '572', '143566', '2', '2158');
INSERT INTO public.who_import VALUES (28211, '2021-02-11', 'ET', 'Ethiopia', 'AFRO', '683', '144249', '9', '2167');
INSERT INTO public.who_import VALUES (28212, '2021-02-12', 'ET', 'Ethiopia', 'AFRO', '613', '144862', '4', '2171');
INSERT INTO public.who_import VALUES (28213, '2021-02-13', 'ET', 'Ethiopia', 'AFRO', '686', '145548', '6', '2177');
INSERT INTO public.who_import VALUES (28214, '2021-02-14', 'ET', 'Ethiopia', 'AFRO', '156', '145704', '4', '2181');
INSERT INTO public.who_import VALUES (28215, '2021-02-15', 'ET', 'Ethiopia', 'AFRO', '788', '146492', '13', '2194');
INSERT INTO public.who_import VALUES (28216, '2021-02-16', 'ET', 'Ethiopia', 'AFRO', '1333', '147825', '15', '2209');
INSERT INTO public.who_import VALUES (28217, '2021-02-17', 'ET', 'Ethiopia', 'AFRO', '665', '148490', '14', '2223');
INSERT INTO public.who_import VALUES (28218, '2021-02-18', 'ET', 'Ethiopia', 'AFRO', '368', '148858', '14', '2237');
INSERT INTO public.who_import VALUES (28219, '2021-02-19', 'ET', 'Ethiopia', 'AFRO', '1321', '150179', '12', '2249');
INSERT INTO public.who_import VALUES (28220, '2021-02-20', 'ET', 'Ethiopia', 'AFRO', '837', '151016', '10', '2259');
INSERT INTO public.who_import VALUES (28221, '2020-01-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28222, '2020-01-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28223, '2020-01-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28224, '2020-01-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28225, '2020-01-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28226, '2020-01-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28227, '2020-01-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28228, '2020-01-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28229, '2020-01-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28230, '2020-01-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28231, '2020-01-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28232, '2020-01-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28233, '2020-01-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28234, '2020-01-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28235, '2020-01-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28236, '2020-01-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28237, '2020-01-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28238, '2020-01-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28239, '2020-01-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28240, '2020-01-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28241, '2020-01-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28242, '2020-01-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28243, '2020-01-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28244, '2020-01-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28245, '2020-01-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28246, '2020-01-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28247, '2020-01-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28248, '2020-01-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28249, '2020-01-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28250, '2020-02-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28251, '2020-02-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28252, '2020-02-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28253, '2020-02-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28254, '2020-02-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28255, '2020-02-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28256, '2020-02-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28257, '2020-02-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28258, '2020-02-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28259, '2020-02-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28260, '2020-02-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28261, '2020-02-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28262, '2020-02-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28263, '2020-02-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28264, '2020-02-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28265, '2020-02-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28266, '2020-02-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28267, '2020-02-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28268, '2020-02-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28269, '2020-02-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28270, '2020-02-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28271, '2020-02-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28272, '2020-02-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28273, '2020-02-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28274, '2020-02-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28275, '2020-02-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28276, '2020-02-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28277, '2020-02-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28278, '2020-02-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28279, '2020-03-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28280, '2020-03-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28281, '2020-03-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28282, '2020-03-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28283, '2020-03-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28284, '2020-03-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28285, '2020-03-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28286, '2020-03-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28287, '2020-03-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28288, '2020-03-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28289, '2020-03-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28290, '2020-03-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28291, '2020-03-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28292, '2020-03-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28293, '2020-03-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28294, '2020-03-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28295, '2020-03-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28296, '2020-03-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28297, '2020-03-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28298, '2020-03-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28299, '2020-03-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28300, '2020-03-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28301, '2020-03-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28302, '2020-03-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28303, '2020-03-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28304, '2020-03-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28305, '2020-03-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28306, '2020-03-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28307, '2020-03-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28308, '2020-03-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28309, '2020-03-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28310, '2020-04-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28311, '2020-04-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28312, '2020-04-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28313, '2020-04-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28314, '2020-04-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (28315, '2020-04-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (28316, '2020-04-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (28317, '2020-04-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (28318, '2020-04-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (28319, '2020-04-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (28320, '2020-04-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (28321, '2020-04-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (28322, '2020-04-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (28323, '2020-04-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (28324, '2020-04-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '6', '11', '0', '0');
INSERT INTO public.who_import VALUES (28325, '2020-04-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28326, '2020-04-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28327, '2020-04-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28328, '2020-04-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28329, '2020-04-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28330, '2020-04-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28331, '2020-04-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (28332, '2020-04-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (28333, '2020-04-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (28334, '2020-04-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (28335, '2020-04-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (28336, '2020-04-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28337, '2020-04-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28338, '2020-04-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28339, '2020-04-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28340, '2020-05-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28341, '2020-05-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28342, '2020-05-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28343, '2020-05-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28344, '2020-05-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28345, '2020-05-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28346, '2020-05-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28347, '2020-05-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28348, '2020-05-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28349, '2020-05-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28350, '2020-05-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28351, '2020-05-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28352, '2020-05-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28353, '2020-05-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28354, '2020-05-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28355, '2020-05-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28356, '2020-05-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28357, '2020-05-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28358, '2020-05-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28359, '2020-05-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28360, '2020-05-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28361, '2020-05-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28362, '2020-05-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28363, '2020-05-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28364, '2020-05-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28365, '2020-05-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28366, '2020-05-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28367, '2020-05-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28368, '2020-05-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28369, '2020-05-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28370, '2020-05-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28371, '2020-06-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28372, '2020-06-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28373, '2020-06-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28374, '2020-06-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28375, '2020-06-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28376, '2020-06-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28377, '2020-06-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28378, '2020-06-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28379, '2020-06-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (29079, '2020-01-31', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28380, '2020-06-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28381, '2020-06-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28382, '2020-06-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28383, '2020-06-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28384, '2020-06-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28385, '2020-06-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28386, '2020-06-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28387, '2020-06-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28388, '2020-06-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28389, '2020-06-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28390, '2020-06-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28391, '2020-06-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28392, '2020-06-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28393, '2020-06-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28394, '2020-06-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28395, '2020-06-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28396, '2020-06-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28397, '2020-06-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28398, '2020-06-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28399, '2020-06-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28400, '2020-06-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28401, '2020-07-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28402, '2020-07-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28403, '2020-07-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28404, '2020-07-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28405, '2020-07-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28406, '2020-07-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28407, '2020-07-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28408, '2020-07-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28409, '2020-07-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28410, '2020-07-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28411, '2020-07-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28412, '2020-07-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28413, '2020-07-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28414, '2020-07-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28415, '2020-07-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28416, '2020-07-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28417, '2020-07-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28418, '2020-07-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28419, '2020-07-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28420, '2020-07-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28421, '2020-07-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28422, '2020-07-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28423, '2020-07-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28424, '2020-07-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28425, '2020-07-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28426, '2020-07-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28427, '2020-07-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28428, '2020-07-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28429, '2020-07-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28430, '2020-07-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28431, '2020-07-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28432, '2020-08-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28433, '2020-08-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28434, '2020-08-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28435, '2020-08-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28436, '2020-08-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28437, '2020-08-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28438, '2020-08-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28439, '2020-08-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28440, '2020-08-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28441, '2020-08-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28442, '2020-08-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28443, '2020-08-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28444, '2020-08-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28445, '2020-08-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28446, '2020-08-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28447, '2020-08-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28448, '2020-08-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28449, '2020-08-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28450, '2020-08-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28451, '2020-08-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28452, '2020-08-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28453, '2020-08-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28454, '2020-08-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28455, '2020-08-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28456, '2020-08-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28457, '2020-08-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28458, '2020-08-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28459, '2020-08-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28460, '2020-08-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28461, '2020-08-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28462, '2020-08-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28463, '2020-09-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28464, '2020-09-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28465, '2020-09-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28466, '2020-09-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28467, '2020-09-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (29080, '2020-02-01', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28468, '2020-09-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28469, '2020-09-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28470, '2020-09-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28471, '2020-09-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28472, '2020-09-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28473, '2020-09-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28474, '2020-09-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28475, '2020-09-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28476, '2020-09-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28477, '2020-09-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28478, '2020-09-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28479, '2020-09-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28480, '2020-09-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28481, '2020-09-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28482, '2020-09-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28483, '2020-09-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28484, '2020-09-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28485, '2020-09-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28486, '2020-09-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28487, '2020-09-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28488, '2020-09-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28489, '2020-09-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28490, '2020-09-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28491, '2020-09-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28492, '2020-09-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28493, '2020-10-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28494, '2020-10-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28495, '2020-10-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28496, '2020-10-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28497, '2020-10-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28498, '2020-10-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28499, '2020-10-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28500, '2020-10-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28501, '2020-10-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28502, '2020-10-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28503, '2020-10-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28504, '2020-10-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28505, '2020-10-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28506, '2020-10-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28507, '2020-10-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28508, '2020-10-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28509, '2020-10-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28510, '2020-10-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28511, '2020-10-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28512, '2020-10-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28513, '2020-10-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28514, '2020-10-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28515, '2020-10-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28516, '2020-10-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28517, '2020-10-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28518, '2020-10-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28519, '2020-10-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28520, '2020-10-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28521, '2020-10-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28522, '2020-10-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28523, '2020-10-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28524, '2020-11-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28525, '2020-11-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28526, '2020-11-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28527, '2020-11-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28528, '2020-11-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28529, '2020-11-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28530, '2020-11-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28531, '2020-11-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28532, '2020-11-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28533, '2020-11-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (28534, '2020-11-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (28535, '2020-11-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (28536, '2020-11-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (28537, '2020-11-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (28538, '2020-11-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (28539, '2020-11-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (28540, '2020-11-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (28541, '2020-11-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (28542, '2020-11-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (28543, '2020-11-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28544, '2020-11-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28545, '2020-11-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28546, '2020-11-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28547, '2020-11-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28548, '2020-11-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28549, '2020-11-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28550, '2020-11-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28551, '2020-11-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (28552, '2020-11-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (28553, '2020-11-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28554, '2020-12-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28555, '2020-12-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (29081, '2020-02-02', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28556, '2020-12-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28557, '2020-12-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28558, '2020-12-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28559, '2020-12-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28560, '2020-12-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28561, '2020-12-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28562, '2020-12-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28563, '2020-12-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (28564, '2020-12-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '2', '19', '0', '0');
INSERT INTO public.who_import VALUES (28565, '2020-12-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (28566, '2020-12-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (28567, '2020-12-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (28568, '2020-12-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (28569, '2020-12-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (28570, '2020-12-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '4', '23', '0', '0');
INSERT INTO public.who_import VALUES (28571, '2020-12-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (28572, '2020-12-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (28573, '2020-12-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (28574, '2020-12-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (28575, '2020-12-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (28576, '2020-12-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (28577, '2020-12-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '6', '29', '0', '0');
INSERT INTO public.who_import VALUES (28578, '2020-12-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28579, '2020-12-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28580, '2020-12-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28581, '2020-12-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28582, '2020-12-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28583, '2020-12-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28584, '2020-12-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28585, '2021-01-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28586, '2021-01-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28587, '2021-01-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28588, '2021-01-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28589, '2021-01-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28590, '2021-01-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28591, '2021-01-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28592, '2021-01-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28593, '2021-01-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28594, '2021-01-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28595, '2021-01-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28596, '2021-01-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (28597, '2021-01-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '3', '32', '0', '0');
INSERT INTO public.who_import VALUES (28598, '2021-01-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28599, '2021-01-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28600, '2021-01-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28601, '2021-01-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28602, '2021-01-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28603, '2021-01-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28604, '2021-01-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28605, '2021-01-21', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28606, '2021-01-22', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (28607, '2021-01-23', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '2', '34', '0', '0');
INSERT INTO public.who_import VALUES (28608, '2021-01-24', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '3', '37', '0', '0');
INSERT INTO public.who_import VALUES (28609, '2021-01-25', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (28610, '2021-01-26', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (28611, '2021-01-27', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (28612, '2021-01-28', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '38', '0', '0');
INSERT INTO public.who_import VALUES (28613, '2021-01-29', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (28614, '2021-01-30', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (28615, '2021-01-31', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '2', '40', '0', '0');
INSERT INTO public.who_import VALUES (28616, '2021-02-01', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (28617, '2021-02-02', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (28618, '2021-02-03', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '41', '0', '0');
INSERT INTO public.who_import VALUES (28619, '2021-02-04', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (28620, '2021-02-05', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (28621, '2021-02-06', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '3', '44', '0', '0');
INSERT INTO public.who_import VALUES (28622, '2021-02-07', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (28623, '2021-02-08', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '4', '48', '0', '0');
INSERT INTO public.who_import VALUES (28624, '2021-02-09', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (28625, '2021-02-10', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '1', '49', '0', '0');
INSERT INTO public.who_import VALUES (28626, '2021-02-11', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28627, '2021-02-12', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28628, '2021-02-13', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28629, '2021-02-14', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28630, '2021-02-15', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28631, '2021-02-16', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28632, '2021-02-17', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28633, '2021-02-18', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28634, '2021-02-19', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28635, '2021-02-20', 'FK', 'Falkland Islands (Malvinas)', 'AMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (28636, '2020-01-03', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28637, '2020-01-04', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28638, '2020-01-05', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28639, '2020-01-06', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28640, '2020-01-07', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28641, '2020-01-08', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28642, '2020-01-09', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28643, '2020-01-10', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28644, '2020-01-11', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28645, '2020-01-12', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28646, '2020-01-13', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28647, '2020-01-14', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28648, '2020-01-15', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28649, '2020-01-16', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28650, '2020-01-17', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28651, '2020-01-18', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28652, '2020-01-19', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28653, '2020-01-20', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28654, '2020-01-21', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28655, '2020-01-22', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28656, '2020-01-23', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28657, '2020-01-24', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28658, '2020-01-25', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28659, '2020-01-26', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28660, '2020-01-27', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28661, '2020-01-28', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28662, '2020-01-29', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28663, '2020-01-30', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28664, '2020-01-31', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28665, '2020-02-01', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28666, '2020-02-02', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28667, '2020-02-03', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28668, '2020-02-04', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28669, '2020-02-05', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28670, '2020-02-06', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28671, '2020-02-07', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28672, '2020-02-08', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28673, '2020-02-09', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28674, '2020-02-10', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28675, '2020-02-11', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28676, '2020-02-12', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28677, '2020-02-13', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28678, '2020-02-14', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28679, '2020-02-15', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28680, '2020-02-16', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28681, '2020-02-17', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28682, '2020-02-18', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28683, '2020-02-19', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28684, '2020-02-20', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28685, '2020-02-21', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28686, '2020-02-22', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28687, '2020-02-23', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28688, '2020-02-24', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28689, '2020-02-25', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28690, '2020-02-26', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28691, '2020-02-27', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28692, '2020-02-28', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28693, '2020-02-29', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28694, '2020-03-01', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28695, '2020-03-02', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28696, '2020-03-03', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28697, '2020-03-04', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28698, '2020-03-05', 'FO', 'Faroe Islands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (28699, '2020-03-06', 'FO', 'Faroe Islands', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (28700, '2020-03-07', 'FO', 'Faroe Islands', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (28701, '2020-03-08', 'FO', 'Faroe Islands', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (28702, '2020-03-09', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28703, '2020-03-10', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28704, '2020-03-11', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28705, '2020-03-12', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28706, '2020-03-13', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28707, '2020-03-14', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28708, '2020-03-15', 'FO', 'Faroe Islands', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (28709, '2020-03-16', 'FO', 'Faroe Islands', 'EURO', '6', '9', '0', '0');
INSERT INTO public.who_import VALUES (28710, '2020-03-17', 'FO', 'Faroe Islands', 'EURO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (28711, '2020-03-18', 'FO', 'Faroe Islands', 'EURO', '7', '18', '0', '0');
INSERT INTO public.who_import VALUES (28712, '2020-03-19', 'FO', 'Faroe Islands', 'EURO', '29', '47', '0', '0');
INSERT INTO public.who_import VALUES (28713, '2020-03-20', 'FO', 'Faroe Islands', 'EURO', '25', '72', '0', '0');
INSERT INTO public.who_import VALUES (28714, '2020-03-21', 'FO', 'Faroe Islands', 'EURO', '8', '80', '0', '0');
INSERT INTO public.who_import VALUES (28715, '2020-03-22', 'FO', 'Faroe Islands', 'EURO', '12', '92', '0', '0');
INSERT INTO public.who_import VALUES (28716, '2020-03-23', 'FO', 'Faroe Islands', 'EURO', '23', '115', '0', '0');
INSERT INTO public.who_import VALUES (28717, '2020-03-24', 'FO', 'Faroe Islands', 'EURO', '3', '118', '0', '0');
INSERT INTO public.who_import VALUES (28718, '2020-03-25', 'FO', 'Faroe Islands', 'EURO', '4', '122', '0', '0');
INSERT INTO public.who_import VALUES (28719, '2020-03-26', 'FO', 'Faroe Islands', 'EURO', '10', '132', '0', '0');
INSERT INTO public.who_import VALUES (28720, '2020-03-27', 'FO', 'Faroe Islands', 'EURO', '8', '140', '0', '0');
INSERT INTO public.who_import VALUES (28721, '2020-03-28', 'FO', 'Faroe Islands', 'EURO', '4', '144', '0', '0');
INSERT INTO public.who_import VALUES (28722, '2020-03-29', 'FO', 'Faroe Islands', 'EURO', '11', '155', '0', '0');
INSERT INTO public.who_import VALUES (28723, '2020-03-30', 'FO', 'Faroe Islands', 'EURO', '4', '159', '0', '0');
INSERT INTO public.who_import VALUES (28724, '2020-03-31', 'FO', 'Faroe Islands', 'EURO', '9', '168', '0', '0');
INSERT INTO public.who_import VALUES (28725, '2020-04-01', 'FO', 'Faroe Islands', 'EURO', '1', '169', '0', '0');
INSERT INTO public.who_import VALUES (28726, '2020-04-02', 'FO', 'Faroe Islands', 'EURO', '4', '173', '0', '0');
INSERT INTO public.who_import VALUES (28727, '2020-04-03', 'FO', 'Faroe Islands', 'EURO', '4', '177', '0', '0');
INSERT INTO public.who_import VALUES (28728, '2020-04-04', 'FO', 'Faroe Islands', 'EURO', '2', '179', '0', '0');
INSERT INTO public.who_import VALUES (28729, '2020-04-05', 'FO', 'Faroe Islands', 'EURO', '2', '181', '0', '0');
INSERT INTO public.who_import VALUES (28730, '2020-04-06', 'FO', 'Faroe Islands', 'EURO', '0', '181', '0', '0');
INSERT INTO public.who_import VALUES (28731, '2020-04-07', 'FO', 'Faroe Islands', 'EURO', '2', '183', '0', '0');
INSERT INTO public.who_import VALUES (28732, '2020-04-08', 'FO', 'Faroe Islands', 'EURO', '1', '184', '0', '0');
INSERT INTO public.who_import VALUES (28733, '2020-04-09', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28734, '2020-04-10', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28735, '2020-04-11', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28736, '2020-04-12', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28737, '2020-04-13', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28738, '2020-04-14', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28739, '2020-04-15', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28740, '2020-04-16', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28741, '2020-04-17', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28742, '2020-04-18', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28743, '2020-04-19', 'FO', 'Faroe Islands', 'EURO', '0', '184', '0', '0');
INSERT INTO public.who_import VALUES (28744, '2020-04-20', 'FO', 'Faroe Islands', 'EURO', '1', '185', '0', '0');
INSERT INTO public.who_import VALUES (28745, '2020-04-21', 'FO', 'Faroe Islands', 'EURO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (28746, '2020-04-22', 'FO', 'Faroe Islands', 'EURO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (28747, '2020-04-23', 'FO', 'Faroe Islands', 'EURO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (28748, '2020-04-24', 'FO', 'Faroe Islands', 'EURO', '2', '187', '0', '0');
INSERT INTO public.who_import VALUES (28749, '2020-04-25', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28750, '2020-04-26', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28751, '2020-04-27', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28752, '2020-04-28', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28753, '2020-04-29', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28754, '2020-04-30', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28755, '2020-05-01', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28756, '2020-05-02', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28757, '2020-05-03', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28758, '2020-05-04', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28759, '2020-05-05', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28760, '2020-05-06', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28761, '2020-05-07', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28762, '2020-05-08', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28763, '2020-05-09', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28764, '2020-05-10', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28765, '2020-05-11', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28766, '2020-05-12', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28767, '2020-05-13', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28768, '2020-05-14', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28769, '2020-05-15', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28770, '2020-05-16', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28771, '2020-05-17', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28772, '2020-05-18', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28773, '2020-05-19', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28774, '2020-05-20', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28775, '2020-05-21', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28776, '2020-05-22', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28777, '2020-05-23', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28778, '2020-05-24', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28779, '2020-05-25', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28780, '2020-05-26', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28781, '2020-05-27', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28782, '2020-05-28', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28783, '2020-05-29', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28784, '2020-05-30', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28785, '2020-05-31', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28786, '2020-06-01', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28787, '2020-06-02', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28788, '2020-06-03', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28789, '2020-06-04', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28790, '2020-06-05', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28791, '2020-06-06', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28792, '2020-06-07', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28793, '2020-06-08', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28794, '2020-06-09', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28795, '2020-06-10', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28796, '2020-06-11', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28797, '2020-06-12', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28798, '2020-06-13', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28799, '2020-06-14', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28800, '2020-06-15', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28801, '2020-06-16', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28802, '2020-06-17', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28803, '2020-06-18', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28804, '2020-06-19', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28805, '2020-06-20', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28806, '2020-06-21', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28807, '2020-06-22', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28808, '2020-06-23', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28809, '2020-06-24', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28810, '2020-06-25', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28811, '2020-06-26', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28812, '2020-06-27', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28813, '2020-06-28', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28814, '2020-06-29', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28815, '2020-06-30', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28816, '2020-07-01', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28817, '2020-07-02', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28818, '2020-07-03', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28819, '2020-07-04', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28820, '2020-07-05', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28821, '2020-07-06', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28822, '2020-07-07', 'FO', 'Faroe Islands', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (28823, '2020-07-08', 'FO', 'Faroe Islands', 'EURO', '1', '188', '0', '0');
INSERT INTO public.who_import VALUES (28824, '2020-07-09', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28825, '2020-07-10', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28826, '2020-07-11', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28827, '2020-07-12', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28828, '2020-07-13', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28829, '2020-07-14', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28830, '2020-07-15', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28831, '2020-07-16', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28832, '2020-07-17', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28833, '2020-07-18', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28834, '2020-07-19', 'FO', 'Faroe Islands', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (28835, '2020-07-20', 'FO', 'Faroe Islands', 'EURO', '3', '191', '0', '0');
INSERT INTO public.who_import VALUES (28836, '2020-07-21', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28837, '2020-07-22', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28838, '2020-07-23', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28839, '2020-07-24', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28840, '2020-07-25', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28841, '2020-07-26', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28842, '2020-07-27', 'FO', 'Faroe Islands', 'EURO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (28843, '2020-07-28', 'FO', 'Faroe Islands', 'EURO', '23', '214', '0', '0');
INSERT INTO public.who_import VALUES (28844, '2020-07-29', 'FO', 'Faroe Islands', 'EURO', '6', '220', '0', '0');
INSERT INTO public.who_import VALUES (28845, '2020-07-30', 'FO', 'Faroe Islands', 'EURO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (28846, '2020-07-31', 'FO', 'Faroe Islands', 'EURO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (28847, '2020-08-01', 'FO', 'Faroe Islands', 'EURO', '5', '225', '0', '0');
INSERT INTO public.who_import VALUES (28848, '2020-08-02', 'FO', 'Faroe Islands', 'EURO', '0', '225', '0', '0');
INSERT INTO public.who_import VALUES (28849, '2020-08-03', 'FO', 'Faroe Islands', 'EURO', '0', '225', '0', '0');
INSERT INTO public.who_import VALUES (28850, '2020-08-04', 'FO', 'Faroe Islands', 'EURO', '0', '225', '0', '0');
INSERT INTO public.who_import VALUES (28851, '2020-08-05', 'FO', 'Faroe Islands', 'EURO', '2', '227', '0', '0');
INSERT INTO public.who_import VALUES (28852, '2020-08-06', 'FO', 'Faroe Islands', 'EURO', '14', '241', '0', '0');
INSERT INTO public.who_import VALUES (28853, '2020-08-07', 'FO', 'Faroe Islands', 'EURO', '0', '241', '0', '0');
INSERT INTO public.who_import VALUES (28854, '2020-08-08', 'FO', 'Faroe Islands', 'EURO', '50', '291', '0', '0');
INSERT INTO public.who_import VALUES (28855, '2020-08-09', 'FO', 'Faroe Islands', 'EURO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (28856, '2020-08-10', 'FO', 'Faroe Islands', 'EURO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (28857, '2020-08-11', 'FO', 'Faroe Islands', 'EURO', '22', '313', '0', '0');
INSERT INTO public.who_import VALUES (28858, '2020-08-12', 'FO', 'Faroe Islands', 'EURO', '11', '324', '0', '0');
INSERT INTO public.who_import VALUES (28859, '2020-08-13', 'FO', 'Faroe Islands', 'EURO', '15', '339', '0', '0');
INSERT INTO public.who_import VALUES (28860, '2020-08-14', 'FO', 'Faroe Islands', 'EURO', '23', '362', '0', '0');
INSERT INTO public.who_import VALUES (28861, '2020-08-15', 'FO', 'Faroe Islands', 'EURO', '0', '362', '0', '0');
INSERT INTO public.who_import VALUES (28862, '2020-08-16', 'FO', 'Faroe Islands', 'EURO', '8', '370', '0', '0');
INSERT INTO public.who_import VALUES (28863, '2020-08-17', 'FO', 'Faroe Islands', 'EURO', '2', '372', '0', '0');
INSERT INTO public.who_import VALUES (28864, '2020-08-18', 'FO', 'Faroe Islands', 'EURO', '1', '373', '0', '0');
INSERT INTO public.who_import VALUES (28865, '2020-08-19', 'FO', 'Faroe Islands', 'EURO', '0', '373', '0', '0');
INSERT INTO public.who_import VALUES (28866, '2020-08-20', 'FO', 'Faroe Islands', 'EURO', '9', '382', '0', '0');
INSERT INTO public.who_import VALUES (28867, '2020-08-21', 'FO', 'Faroe Islands', 'EURO', '1', '383', '0', '0');
INSERT INTO public.who_import VALUES (28868, '2020-08-22', 'FO', 'Faroe Islands', 'EURO', '1', '384', '0', '0');
INSERT INTO public.who_import VALUES (28869, '2020-08-23', 'FO', 'Faroe Islands', 'EURO', '0', '384', '0', '0');
INSERT INTO public.who_import VALUES (28870, '2020-08-24', 'FO', 'Faroe Islands', 'EURO', '0', '384', '0', '0');
INSERT INTO public.who_import VALUES (28871, '2020-08-25', 'FO', 'Faroe Islands', 'EURO', '26', '410', '0', '0');
INSERT INTO public.who_import VALUES (28872, '2020-08-26', 'FO', 'Faroe Islands', 'EURO', '1', '411', '0', '0');
INSERT INTO public.who_import VALUES (28873, '2020-08-27', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28874, '2020-08-28', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28875, '2020-08-29', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28876, '2020-08-30', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28877, '2020-08-31', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28878, '2020-09-01', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28879, '2020-09-02', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28880, '2020-09-03', 'FO', 'Faroe Islands', 'EURO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (28881, '2020-09-04', 'FO', 'Faroe Islands', 'EURO', '1', '412', '0', '0');
INSERT INTO public.who_import VALUES (28882, '2020-09-05', 'FO', 'Faroe Islands', 'EURO', '1', '413', '0', '0');
INSERT INTO public.who_import VALUES (28883, '2020-09-06', 'FO', 'Faroe Islands', 'EURO', '0', '413', '0', '0');
INSERT INTO public.who_import VALUES (28884, '2020-09-07', 'FO', 'Faroe Islands', 'EURO', '0', '413', '0', '0');
INSERT INTO public.who_import VALUES (28885, '2020-09-08', 'FO', 'Faroe Islands', 'EURO', '0', '413', '0', '0');
INSERT INTO public.who_import VALUES (28886, '2020-09-09', 'FO', 'Faroe Islands', 'EURO', '1', '414', '0', '0');
INSERT INTO public.who_import VALUES (28887, '2020-09-10', 'FO', 'Faroe Islands', 'EURO', '1', '415', '0', '0');
INSERT INTO public.who_import VALUES (28888, '2020-09-11', 'FO', 'Faroe Islands', 'EURO', '0', '415', '0', '0');
INSERT INTO public.who_import VALUES (28889, '2020-09-12', 'FO', 'Faroe Islands', 'EURO', '1', '416', '0', '0');
INSERT INTO public.who_import VALUES (28890, '2020-09-13', 'FO', 'Faroe Islands', 'EURO', '2', '418', '0', '0');
INSERT INTO public.who_import VALUES (28891, '2020-09-14', 'FO', 'Faroe Islands', 'EURO', '5', '423', '0', '0');
INSERT INTO public.who_import VALUES (28892, '2020-09-15', 'FO', 'Faroe Islands', 'EURO', '0', '423', '0', '0');
INSERT INTO public.who_import VALUES (28893, '2020-09-16', 'FO', 'Faroe Islands', 'EURO', '5', '428', '0', '0');
INSERT INTO public.who_import VALUES (28894, '2020-09-17', 'FO', 'Faroe Islands', 'EURO', '0', '428', '0', '0');
INSERT INTO public.who_import VALUES (28895, '2020-09-18', 'FO', 'Faroe Islands', 'EURO', '1', '429', '0', '0');
INSERT INTO public.who_import VALUES (28896, '2020-09-19', 'FO', 'Faroe Islands', 'EURO', '1', '430', '0', '0');
INSERT INTO public.who_import VALUES (28897, '2020-09-20', 'FO', 'Faroe Islands', 'EURO', '1', '431', '0', '0');
INSERT INTO public.who_import VALUES (28898, '2020-09-21', 'FO', 'Faroe Islands', 'EURO', '3', '434', '0', '0');
INSERT INTO public.who_import VALUES (28899, '2020-09-22', 'FO', 'Faroe Islands', 'EURO', '3', '437', '0', '0');
INSERT INTO public.who_import VALUES (28900, '2020-09-23', 'FO', 'Faroe Islands', 'EURO', '11', '448', '0', '0');
INSERT INTO public.who_import VALUES (28901, '2020-09-24', 'FO', 'Faroe Islands', 'EURO', '3', '451', '0', '0');
INSERT INTO public.who_import VALUES (28902, '2020-09-25', 'FO', 'Faroe Islands', 'EURO', '4', '455', '0', '0');
INSERT INTO public.who_import VALUES (28903, '2020-09-26', 'FO', 'Faroe Islands', 'EURO', '3', '458', '0', '0');
INSERT INTO public.who_import VALUES (28904, '2020-09-27', 'FO', 'Faroe Islands', 'EURO', '2', '460', '0', '0');
INSERT INTO public.who_import VALUES (28905, '2020-09-28', 'FO', 'Faroe Islands', 'EURO', '0', '460', '0', '0');
INSERT INTO public.who_import VALUES (28906, '2020-09-29', 'FO', 'Faroe Islands', 'EURO', '0', '460', '0', '0');
INSERT INTO public.who_import VALUES (28907, '2020-09-30', 'FO', 'Faroe Islands', 'EURO', '3', '463', '0', '0');
INSERT INTO public.who_import VALUES (28908, '2020-10-01', 'FO', 'Faroe Islands', 'EURO', '4', '467', '0', '0');
INSERT INTO public.who_import VALUES (28909, '2020-10-02', 'FO', 'Faroe Islands', 'EURO', '5', '472', '0', '0');
INSERT INTO public.who_import VALUES (28910, '2020-10-03', 'FO', 'Faroe Islands', 'EURO', '0', '472', '0', '0');
INSERT INTO public.who_import VALUES (28911, '2020-10-04', 'FO', 'Faroe Islands', 'EURO', '1', '473', '0', '0');
INSERT INTO public.who_import VALUES (28912, '2020-10-05', 'FO', 'Faroe Islands', 'EURO', '1', '474', '0', '0');
INSERT INTO public.who_import VALUES (28913, '2020-10-06', 'FO', 'Faroe Islands', 'EURO', '1', '475', '0', '0');
INSERT INTO public.who_import VALUES (28914, '2020-10-07', 'FO', 'Faroe Islands', 'EURO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (28915, '2020-10-08', 'FO', 'Faroe Islands', 'EURO', '1', '476', '0', '0');
INSERT INTO public.who_import VALUES (28916, '2020-10-09', 'FO', 'Faroe Islands', 'EURO', '1', '477', '0', '0');
INSERT INTO public.who_import VALUES (28917, '2020-10-10', 'FO', 'Faroe Islands', 'EURO', '0', '477', '0', '0');
INSERT INTO public.who_import VALUES (28918, '2020-10-11', 'FO', 'Faroe Islands', 'EURO', '0', '477', '0', '0');
INSERT INTO public.who_import VALUES (28919, '2020-10-12', 'FO', 'Faroe Islands', 'EURO', '0', '477', '0', '0');
INSERT INTO public.who_import VALUES (28920, '2020-10-13', 'FO', 'Faroe Islands', 'EURO', '0', '477', '0', '0');
INSERT INTO public.who_import VALUES (28921, '2020-10-14', 'FO', 'Faroe Islands', 'EURO', '0', '477', '0', '0');
INSERT INTO public.who_import VALUES (28922, '2020-10-15', 'FO', 'Faroe Islands', 'EURO', '1', '478', '0', '0');
INSERT INTO public.who_import VALUES (28923, '2020-10-16', 'FO', 'Faroe Islands', 'EURO', '2', '480', '0', '0');
INSERT INTO public.who_import VALUES (28924, '2020-10-17', 'FO', 'Faroe Islands', 'EURO', '2', '482', '0', '0');
INSERT INTO public.who_import VALUES (28925, '2020-10-18', 'FO', 'Faroe Islands', 'EURO', '1', '483', '0', '0');
INSERT INTO public.who_import VALUES (28926, '2020-10-19', 'FO', 'Faroe Islands', 'EURO', '2', '485', '0', '0');
INSERT INTO public.who_import VALUES (28927, '2020-10-20', 'FO', 'Faroe Islands', 'EURO', '0', '485', '0', '0');
INSERT INTO public.who_import VALUES (28928, '2020-10-21', 'FO', 'Faroe Islands', 'EURO', '3', '488', '0', '0');
INSERT INTO public.who_import VALUES (28929, '2020-10-22', 'FO', 'Faroe Islands', 'EURO', '0', '488', '0', '0');
INSERT INTO public.who_import VALUES (28930, '2020-10-23', 'FO', 'Faroe Islands', 'EURO', '2', '490', '0', '0');
INSERT INTO public.who_import VALUES (28931, '2020-10-24', 'FO', 'Faroe Islands', 'EURO', '0', '490', '0', '0');
INSERT INTO public.who_import VALUES (28932, '2020-10-25', 'FO', 'Faroe Islands', 'EURO', '0', '490', '0', '0');
INSERT INTO public.who_import VALUES (28933, '2020-10-26', 'FO', 'Faroe Islands', 'EURO', '0', '490', '0', '0');
INSERT INTO public.who_import VALUES (28934, '2020-10-27', 'FO', 'Faroe Islands', 'EURO', '0', '490', '0', '0');
INSERT INTO public.who_import VALUES (28935, '2020-10-28', 'FO', 'Faroe Islands', 'EURO', '4', '494', '0', '0');
INSERT INTO public.who_import VALUES (28936, '2020-10-29', 'FO', 'Faroe Islands', 'EURO', '0', '494', '0', '0');
INSERT INTO public.who_import VALUES (28937, '2020-10-30', 'FO', 'Faroe Islands', 'EURO', '0', '494', '0', '0');
INSERT INTO public.who_import VALUES (28938, '2020-10-31', 'FO', 'Faroe Islands', 'EURO', '0', '494', '0', '0');
INSERT INTO public.who_import VALUES (28939, '2020-11-01', 'FO', 'Faroe Islands', 'EURO', '1', '495', '0', '0');
INSERT INTO public.who_import VALUES (28940, '2020-11-02', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28941, '2020-11-03', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28942, '2020-11-04', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28943, '2020-11-05', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28944, '2020-11-06', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28945, '2020-11-07', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28946, '2020-11-08', 'FO', 'Faroe Islands', 'EURO', '0', '495', '0', '0');
INSERT INTO public.who_import VALUES (28947, '2020-11-09', 'FO', 'Faroe Islands', 'EURO', '2', '497', '0', '0');
INSERT INTO public.who_import VALUES (28948, '2020-11-10', 'FO', 'Faroe Islands', 'EURO', '0', '497', '0', '0');
INSERT INTO public.who_import VALUES (28949, '2020-11-11', 'FO', 'Faroe Islands', 'EURO', '0', '497', '0', '0');
INSERT INTO public.who_import VALUES (28950, '2020-11-12', 'FO', 'Faroe Islands', 'EURO', '0', '497', '0', '0');
INSERT INTO public.who_import VALUES (28951, '2020-11-13', 'FO', 'Faroe Islands', 'EURO', '0', '497', '0', '0');
INSERT INTO public.who_import VALUES (28952, '2020-11-14', 'FO', 'Faroe Islands', 'EURO', '0', '497', '0', '0');
INSERT INTO public.who_import VALUES (28953, '2020-11-15', 'FO', 'Faroe Islands', 'EURO', '0', '497', '0', '0');
INSERT INTO public.who_import VALUES (28954, '2020-11-16', 'FO', 'Faroe Islands', 'EURO', '1', '498', '0', '0');
INSERT INTO public.who_import VALUES (28955, '2020-11-17', 'FO', 'Faroe Islands', 'EURO', '0', '498', '0', '0');
INSERT INTO public.who_import VALUES (28956, '2020-11-18', 'FO', 'Faroe Islands', 'EURO', '0', '498', '0', '0');
INSERT INTO public.who_import VALUES (28957, '2020-11-19', 'FO', 'Faroe Islands', 'EURO', '0', '498', '0', '0');
INSERT INTO public.who_import VALUES (28958, '2020-11-20', 'FO', 'Faroe Islands', 'EURO', '0', '498', '0', '0');
INSERT INTO public.who_import VALUES (28959, '2020-11-21', 'FO', 'Faroe Islands', 'EURO', '0', '498', '0', '0');
INSERT INTO public.who_import VALUES (28960, '2020-11-22', 'FO', 'Faroe Islands', 'EURO', '1', '499', '0', '0');
INSERT INTO public.who_import VALUES (28961, '2020-11-23', 'FO', 'Faroe Islands', 'EURO', '1', '500', '0', '0');
INSERT INTO public.who_import VALUES (28962, '2020-11-24', 'FO', 'Faroe Islands', 'EURO', '0', '500', '0', '0');
INSERT INTO public.who_import VALUES (28963, '2020-11-25', 'FO', 'Faroe Islands', 'EURO', '0', '500', '0', '0');
INSERT INTO public.who_import VALUES (28964, '2020-11-26', 'FO', 'Faroe Islands', 'EURO', '0', '500', '0', '0');
INSERT INTO public.who_import VALUES (28965, '2020-11-27', 'FO', 'Faroe Islands', 'EURO', '0', '500', '0', '0');
INSERT INTO public.who_import VALUES (28966, '2020-11-28', 'FO', 'Faroe Islands', 'EURO', '0', '500', '0', '0');
INSERT INTO public.who_import VALUES (28967, '2020-11-29', 'FO', 'Faroe Islands', 'EURO', '2', '502', '0', '0');
INSERT INTO public.who_import VALUES (28968, '2020-11-30', 'FO', 'Faroe Islands', 'EURO', '0', '502', '0', '0');
INSERT INTO public.who_import VALUES (28969, '2020-12-01', 'FO', 'Faroe Islands', 'EURO', '1', '503', '0', '0');
INSERT INTO public.who_import VALUES (28970, '2020-12-02', 'FO', 'Faroe Islands', 'EURO', '0', '503', '0', '0');
INSERT INTO public.who_import VALUES (28971, '2020-12-03', 'FO', 'Faroe Islands', 'EURO', '0', '503', '0', '0');
INSERT INTO public.who_import VALUES (28972, '2020-12-04', 'FO', 'Faroe Islands', 'EURO', '2', '505', '0', '0');
INSERT INTO public.who_import VALUES (28973, '2020-12-05', 'FO', 'Faroe Islands', 'EURO', '0', '505', '0', '0');
INSERT INTO public.who_import VALUES (28974, '2020-12-06', 'FO', 'Faroe Islands', 'EURO', '1', '506', '0', '0');
INSERT INTO public.who_import VALUES (28975, '2020-12-07', 'FO', 'Faroe Islands', 'EURO', '4', '510', '0', '0');
INSERT INTO public.who_import VALUES (28976, '2020-12-08', 'FO', 'Faroe Islands', 'EURO', '0', '510', '0', '0');
INSERT INTO public.who_import VALUES (28977, '2020-12-09', 'FO', 'Faroe Islands', 'EURO', '4', '514', '0', '0');
INSERT INTO public.who_import VALUES (28978, '2020-12-10', 'FO', 'Faroe Islands', 'EURO', '5', '519', '0', '0');
INSERT INTO public.who_import VALUES (28979, '2020-12-11', 'FO', 'Faroe Islands', 'EURO', '0', '519', '0', '0');
INSERT INTO public.who_import VALUES (28980, '2020-12-12', 'FO', 'Faroe Islands', 'EURO', '1', '520', '0', '0');
INSERT INTO public.who_import VALUES (28981, '2020-12-13', 'FO', 'Faroe Islands', 'EURO', '5', '525', '0', '0');
INSERT INTO public.who_import VALUES (28982, '2020-12-14', 'FO', 'Faroe Islands', 'EURO', '3', '528', '0', '0');
INSERT INTO public.who_import VALUES (28983, '2020-12-15', 'FO', 'Faroe Islands', 'EURO', '0', '528', '0', '0');
INSERT INTO public.who_import VALUES (28984, '2020-12-16', 'FO', 'Faroe Islands', 'EURO', '2', '530', '0', '0');
INSERT INTO public.who_import VALUES (28985, '2020-12-17', 'FO', 'Faroe Islands', 'EURO', '2', '532', '0', '0');
INSERT INTO public.who_import VALUES (28986, '2020-12-18', 'FO', 'Faroe Islands', 'EURO', '2', '534', '0', '0');
INSERT INTO public.who_import VALUES (28987, '2020-12-19', 'FO', 'Faroe Islands', 'EURO', '12', '546', '0', '0');
INSERT INTO public.who_import VALUES (28988, '2020-12-20', 'FO', 'Faroe Islands', 'EURO', '0', '546', '0', '0');
INSERT INTO public.who_import VALUES (28989, '2020-12-21', 'FO', 'Faroe Islands', 'EURO', '0', '546', '0', '0');
INSERT INTO public.who_import VALUES (28990, '2020-12-22', 'FO', 'Faroe Islands', 'EURO', '1', '547', '0', '0');
INSERT INTO public.who_import VALUES (28991, '2020-12-23', 'FO', 'Faroe Islands', 'EURO', '3', '550', '0', '0');
INSERT INTO public.who_import VALUES (28992, '2020-12-24', 'FO', 'Faroe Islands', 'EURO', '6', '556', '0', '0');
INSERT INTO public.who_import VALUES (28993, '2020-12-25', 'FO', 'Faroe Islands', 'EURO', '5', '561', '0', '0');
INSERT INTO public.who_import VALUES (28994, '2020-12-26', 'FO', 'Faroe Islands', 'EURO', '6', '567', '0', '0');
INSERT INTO public.who_import VALUES (28995, '2020-12-27', 'FO', 'Faroe Islands', 'EURO', '4', '571', '0', '0');
INSERT INTO public.who_import VALUES (28996, '2020-12-28', 'FO', 'Faroe Islands', 'EURO', '8', '579', '0', '0');
INSERT INTO public.who_import VALUES (28997, '2020-12-29', 'FO', 'Faroe Islands', 'EURO', '3', '582', '0', '0');
INSERT INTO public.who_import VALUES (28998, '2020-12-30', 'FO', 'Faroe Islands', 'EURO', '19', '601', '0', '0');
INSERT INTO public.who_import VALUES (28999, '2020-12-31', 'FO', 'Faroe Islands', 'EURO', '4', '605', '0', '0');
INSERT INTO public.who_import VALUES (29000, '2021-01-01', 'FO', 'Faroe Islands', 'EURO', '5', '610', '0', '0');
INSERT INTO public.who_import VALUES (29001, '2021-01-02', 'FO', 'Faroe Islands', 'EURO', '0', '610', '0', '0');
INSERT INTO public.who_import VALUES (29002, '2021-01-03', 'FO', 'Faroe Islands', 'EURO', '4', '614', '0', '0');
INSERT INTO public.who_import VALUES (29003, '2021-01-04', 'FO', 'Faroe Islands', 'EURO', '6', '620', '0', '0');
INSERT INTO public.who_import VALUES (29004, '2021-01-05', 'FO', 'Faroe Islands', 'EURO', '2', '622', '0', '0');
INSERT INTO public.who_import VALUES (29005, '2021-01-06', 'FO', 'Faroe Islands', 'EURO', '4', '626', '0', '0');
INSERT INTO public.who_import VALUES (29006, '2021-01-07', 'FO', 'Faroe Islands', 'EURO', '14', '640', '1', '1');
INSERT INTO public.who_import VALUES (29007, '2021-01-08', 'FO', 'Faroe Islands', 'EURO', '3', '643', '0', '1');
INSERT INTO public.who_import VALUES (29008, '2021-01-09', 'FO', 'Faroe Islands', 'EURO', '1', '644', '0', '1');
INSERT INTO public.who_import VALUES (29009, '2021-01-10', 'FO', 'Faroe Islands', 'EURO', '2', '646', '0', '1');
INSERT INTO public.who_import VALUES (29010, '2021-01-11', 'FO', 'Faroe Islands', 'EURO', '0', '646', '0', '1');
INSERT INTO public.who_import VALUES (29011, '2021-01-12', 'FO', 'Faroe Islands', 'EURO', '0', '646', '0', '1');
INSERT INTO public.who_import VALUES (29012, '2021-01-13', 'FO', 'Faroe Islands', 'EURO', '0', '646', '0', '1');
INSERT INTO public.who_import VALUES (29013, '2021-01-14', 'FO', 'Faroe Islands', 'EURO', '1', '647', '0', '1');
INSERT INTO public.who_import VALUES (29014, '2021-01-15', 'FO', 'Faroe Islands', 'EURO', '0', '647', '0', '1');
INSERT INTO public.who_import VALUES (29015, '2021-01-16', 'FO', 'Faroe Islands', 'EURO', '1', '648', '0', '1');
INSERT INTO public.who_import VALUES (29016, '2021-01-17', 'FO', 'Faroe Islands', 'EURO', '1', '649', '0', '1');
INSERT INTO public.who_import VALUES (29017, '2021-01-18', 'FO', 'Faroe Islands', 'EURO', '0', '649', '0', '1');
INSERT INTO public.who_import VALUES (29018, '2021-01-19', 'FO', 'Faroe Islands', 'EURO', '0', '649', '0', '1');
INSERT INTO public.who_import VALUES (29019, '2021-01-20', 'FO', 'Faroe Islands', 'EURO', '1', '650', '0', '1');
INSERT INTO public.who_import VALUES (29020, '2021-01-21', 'FO', 'Faroe Islands', 'EURO', '2', '652', '0', '1');
INSERT INTO public.who_import VALUES (29021, '2021-01-22', 'FO', 'Faroe Islands', 'EURO', '0', '652', '0', '1');
INSERT INTO public.who_import VALUES (29022, '2021-01-23', 'FO', 'Faroe Islands', 'EURO', '0', '652', '0', '1');
INSERT INTO public.who_import VALUES (29023, '2021-01-24', 'FO', 'Faroe Islands', 'EURO', '0', '652', '0', '1');
INSERT INTO public.who_import VALUES (29024, '2021-01-25', 'FO', 'Faroe Islands', 'EURO', '0', '652', '0', '1');
INSERT INTO public.who_import VALUES (29025, '2021-01-26', 'FO', 'Faroe Islands', 'EURO', '0', '652', '0', '1');
INSERT INTO public.who_import VALUES (29026, '2021-01-27', 'FO', 'Faroe Islands', 'EURO', '2', '654', '0', '1');
INSERT INTO public.who_import VALUES (29027, '2021-01-28', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29028, '2021-01-29', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29029, '2021-01-30', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29030, '2021-01-31', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29031, '2021-02-01', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29032, '2021-02-02', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29033, '2021-02-03', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29034, '2021-02-04', 'FO', 'Faroe Islands', 'EURO', '0', '654', '0', '1');
INSERT INTO public.who_import VALUES (29035, '2021-02-05', 'FO', 'Faroe Islands', 'EURO', '1', '655', '0', '1');
INSERT INTO public.who_import VALUES (29036, '2021-02-06', 'FO', 'Faroe Islands', 'EURO', '0', '655', '0', '1');
INSERT INTO public.who_import VALUES (29037, '2021-02-07', 'FO', 'Faroe Islands', 'EURO', '0', '655', '0', '1');
INSERT INTO public.who_import VALUES (29038, '2021-02-08', 'FO', 'Faroe Islands', 'EURO', '1', '656', '0', '1');
INSERT INTO public.who_import VALUES (29039, '2021-02-09', 'FO', 'Faroe Islands', 'EURO', '0', '656', '0', '1');
INSERT INTO public.who_import VALUES (29040, '2021-02-10', 'FO', 'Faroe Islands', 'EURO', '1', '657', '0', '1');
INSERT INTO public.who_import VALUES (29041, '2021-02-11', 'FO', 'Faroe Islands', 'EURO', '0', '657', '0', '1');
INSERT INTO public.who_import VALUES (29042, '2021-02-12', 'FO', 'Faroe Islands', 'EURO', '0', '657', '0', '1');
INSERT INTO public.who_import VALUES (29043, '2021-02-13', 'FO', 'Faroe Islands', 'EURO', '0', '657', '0', '1');
INSERT INTO public.who_import VALUES (29044, '2021-02-14', 'FO', 'Faroe Islands', 'EURO', '0', '657', '0', '1');
INSERT INTO public.who_import VALUES (29045, '2021-02-15', 'FO', 'Faroe Islands', 'EURO', '0', '657', '0', '1');
INSERT INTO public.who_import VALUES (29046, '2021-02-16', 'FO', 'Faroe Islands', 'EURO', '0', '657', '0', '1');
INSERT INTO public.who_import VALUES (29047, '2021-02-17', 'FO', 'Faroe Islands', 'EURO', '1', '658', '0', '1');
INSERT INTO public.who_import VALUES (29048, '2021-02-18', 'FO', 'Faroe Islands', 'EURO', '0', '658', '0', '1');
INSERT INTO public.who_import VALUES (29049, '2021-02-19', 'FO', 'Faroe Islands', 'EURO', '0', '658', '0', '1');
INSERT INTO public.who_import VALUES (29050, '2021-02-20', 'FO', 'Faroe Islands', 'EURO', '0', '658', '0', '1');
INSERT INTO public.who_import VALUES (29051, '2020-01-03', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29052, '2020-01-04', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29053, '2020-01-05', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29054, '2020-01-06', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29055, '2020-01-07', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29056, '2020-01-08', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29057, '2020-01-09', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29058, '2020-01-10', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29059, '2020-01-11', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29060, '2020-01-12', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29061, '2020-01-13', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29062, '2020-01-14', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29063, '2020-01-15', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29064, '2020-01-16', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29065, '2020-01-17', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29066, '2020-01-18', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29067, '2020-01-19', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29068, '2020-01-20', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29069, '2020-01-21', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29070, '2020-01-22', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29071, '2020-01-23', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29072, '2020-01-24', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29073, '2020-01-25', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29074, '2020-01-26', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29075, '2020-01-27', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29076, '2020-01-28', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29082, '2020-02-03', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29083, '2020-02-04', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29084, '2020-02-05', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29085, '2020-02-06', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29086, '2020-02-07', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29087, '2020-02-08', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29088, '2020-02-09', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29089, '2020-02-10', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29090, '2020-02-11', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29091, '2020-02-12', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29092, '2020-02-13', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29093, '2020-02-14', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29094, '2020-02-15', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29095, '2020-02-16', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29096, '2020-02-17', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29097, '2020-02-18', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29098, '2020-02-19', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29099, '2020-02-20', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29100, '2020-02-21', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29101, '2020-02-22', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29102, '2020-02-23', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29103, '2020-02-24', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29104, '2020-02-25', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29105, '2020-02-26', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29106, '2020-02-27', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29107, '2020-02-28', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29108, '2020-02-29', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29109, '2020-03-01', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29110, '2020-03-02', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29111, '2020-03-03', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29112, '2020-03-04', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29113, '2020-03-05', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29114, '2020-03-06', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29115, '2020-03-07', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29116, '2020-03-08', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29117, '2020-03-09', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29118, '2020-03-10', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29119, '2020-03-11', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29120, '2020-03-12', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29121, '2020-03-13', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29122, '2020-03-14', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29123, '2020-03-15', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29124, '2020-03-16', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29125, '2020-03-17', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29126, '2020-03-18', 'FJ', 'Fiji', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29127, '2020-03-19', 'FJ', 'Fiji', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (29128, '2020-03-20', 'FJ', 'Fiji', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29129, '2020-03-21', 'FJ', 'Fiji', 'WPRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (29130, '2020-03-22', 'FJ', 'Fiji', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (29131, '2020-03-23', 'FJ', 'Fiji', 'WPRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (29132, '2020-03-24', 'FJ', 'Fiji', 'WPRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (29133, '2020-03-25', 'FJ', 'Fiji', 'WPRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (29134, '2020-03-26', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29135, '2020-03-27', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29136, '2020-03-28', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29137, '2020-03-29', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29138, '2020-03-30', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29139, '2020-03-31', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29140, '2020-04-01', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29141, '2020-04-02', 'FJ', 'Fiji', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (29142, '2020-04-03', 'FJ', 'Fiji', 'WPRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (29143, '2020-04-04', 'FJ', 'Fiji', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (29144, '2020-04-05', 'FJ', 'Fiji', 'WPRO', '5', '12', '0', '0');
INSERT INTO public.who_import VALUES (29145, '2020-04-06', 'FJ', 'Fiji', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (29146, '2020-04-07', 'FJ', 'Fiji', 'WPRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (29147, '2020-04-08', 'FJ', 'Fiji', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (29148, '2020-04-09', 'FJ', 'Fiji', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (29149, '2020-04-10', 'FJ', 'Fiji', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (29150, '2020-04-11', 'FJ', 'Fiji', 'WPRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (29151, '2020-04-12', 'FJ', 'Fiji', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (29152, '2020-04-13', 'FJ', 'Fiji', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (29153, '2020-04-14', 'FJ', 'Fiji', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (29154, '2020-04-15', 'FJ', 'Fiji', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (29155, '2020-04-16', 'FJ', 'Fiji', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (29156, '2020-04-17', 'FJ', 'Fiji', 'WPRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (29157, '2020-04-18', 'FJ', 'Fiji', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (29158, '2020-04-19', 'FJ', 'Fiji', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (29159, '2020-04-20', 'FJ', 'Fiji', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (29160, '2020-04-21', 'FJ', 'Fiji', 'WPRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (29161, '2020-04-22', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29162, '2020-04-23', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29163, '2020-04-24', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29164, '2020-04-25', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29165, '2020-04-26', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29166, '2020-04-27', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29167, '2020-04-28', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29168, '2020-04-29', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29169, '2020-04-30', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29170, '2020-05-01', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29171, '2020-05-02', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29172, '2020-05-03', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29173, '2020-05-04', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29174, '2020-05-05', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29175, '2020-05-06', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29176, '2020-05-07', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29177, '2020-05-08', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29178, '2020-05-09', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29179, '2020-05-10', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29180, '2020-05-11', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29181, '2020-05-12', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29182, '2020-05-13', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29183, '2020-05-14', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29184, '2020-05-15', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29185, '2020-05-16', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29186, '2020-05-17', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29187, '2020-05-18', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29188, '2020-05-19', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29189, '2020-05-20', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29190, '2020-05-21', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29191, '2020-05-22', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29192, '2020-05-23', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29193, '2020-05-24', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29194, '2020-05-25', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29195, '2020-05-26', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29196, '2020-05-27', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29197, '2020-05-28', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29198, '2020-05-29', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29199, '2020-05-30', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29200, '2020-05-31', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29201, '2020-06-01', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29202, '2020-06-02', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29203, '2020-06-03', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29204, '2020-06-04', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29205, '2020-06-05', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29206, '2020-06-06', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29207, '2020-06-07', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29208, '2020-06-08', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29209, '2020-06-09', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29210, '2020-06-10', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29211, '2020-06-11', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29212, '2020-06-12', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29213, '2020-06-13', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29214, '2020-06-14', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29215, '2020-06-15', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29216, '2020-06-16', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29217, '2020-06-17', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29218, '2020-06-18', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29219, '2020-06-19', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29220, '2020-06-20', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29221, '2020-06-21', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29222, '2020-06-22', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29223, '2020-06-23', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29224, '2020-06-24', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29225, '2020-06-25', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29226, '2020-06-26', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29227, '2020-06-27', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29228, '2020-06-28', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29229, '2020-06-29', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29230, '2020-06-30', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29231, '2020-07-01', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29232, '2020-07-02', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29233, '2020-07-03', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29234, '2020-07-04', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29235, '2020-07-05', 'FJ', 'Fiji', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (29236, '2020-07-06', 'FJ', 'Fiji', 'WPRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (29237, '2020-07-07', 'FJ', 'Fiji', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (29238, '2020-07-08', 'FJ', 'Fiji', 'WPRO', '2', '21', '0', '0');
INSERT INTO public.who_import VALUES (29239, '2020-07-09', 'FJ', 'Fiji', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (29240, '2020-07-10', 'FJ', 'Fiji', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (29241, '2020-07-11', 'FJ', 'Fiji', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (29242, '2020-07-12', 'FJ', 'Fiji', 'WPRO', '5', '26', '0', '0');
INSERT INTO public.who_import VALUES (29243, '2020-07-13', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29244, '2020-07-14', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29245, '2020-07-15', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29246, '2020-07-16', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29247, '2020-07-17', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29248, '2020-07-18', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29249, '2020-07-19', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29250, '2020-07-20', 'FJ', 'Fiji', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (29251, '2020-07-21', 'FJ', 'Fiji', 'WPRO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (29252, '2020-07-22', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29253, '2020-07-23', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29254, '2020-07-24', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29255, '2020-07-25', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29256, '2020-07-26', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29257, '2020-07-27', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29258, '2020-07-28', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29259, '2020-07-29', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29260, '2020-07-30', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29261, '2020-07-31', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (29262, '2020-08-01', 'FJ', 'Fiji', 'WPRO', '0', '27', '1', '1');
INSERT INTO public.who_import VALUES (29263, '2020-08-02', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29264, '2020-08-03', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29265, '2020-08-04', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29266, '2020-08-05', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29267, '2020-08-06', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29268, '2020-08-07', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29269, '2020-08-08', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29270, '2020-08-09', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29271, '2020-08-10', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29272, '2020-08-11', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29273, '2020-08-12', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29274, '2020-08-13', 'FJ', 'Fiji', 'WPRO', '0', '27', '0', '1');
INSERT INTO public.who_import VALUES (29275, '2020-08-14', 'FJ', 'Fiji', 'WPRO', '1', '28', '0', '1');
INSERT INTO public.who_import VALUES (29276, '2020-08-15', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29277, '2020-08-16', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29278, '2020-08-17', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29279, '2020-08-18', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29280, '2020-08-19', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29281, '2020-08-20', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29282, '2020-08-21', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29283, '2020-08-22', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29284, '2020-08-23', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29285, '2020-08-24', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29286, '2020-08-25', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (29287, '2020-08-26', 'FJ', 'Fiji', 'WPRO', '0', '28', '1', '2');
INSERT INTO public.who_import VALUES (29288, '2020-08-27', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (29289, '2020-08-28', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (29290, '2020-08-29', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (29291, '2020-08-30', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (29292, '2020-08-31', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (29293, '2020-09-01', 'FJ', 'Fiji', 'WPRO', '0', '28', '0', '2');
INSERT INTO public.who_import VALUES (29294, '2020-09-02', 'FJ', 'Fiji', 'WPRO', '1', '29', '0', '2');
INSERT INTO public.who_import VALUES (29295, '2020-09-03', 'FJ', 'Fiji', 'WPRO', '0', '29', '0', '2');
INSERT INTO public.who_import VALUES (29296, '2020-09-04', 'FJ', 'Fiji', 'WPRO', '2', '31', '0', '2');
INSERT INTO public.who_import VALUES (29297, '2020-09-05', 'FJ', 'Fiji', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (29298, '2020-09-06', 'FJ', 'Fiji', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (29299, '2020-09-07', 'FJ', 'Fiji', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (29300, '2020-09-08', 'FJ', 'Fiji', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (29301, '2020-09-09', 'FJ', 'Fiji', 'WPRO', '1', '32', '0', '2');
INSERT INTO public.who_import VALUES (29302, '2020-09-10', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29303, '2020-09-11', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29304, '2020-09-12', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29305, '2020-09-13', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29306, '2020-09-14', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29307, '2020-09-15', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29308, '2020-09-16', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29309, '2020-09-17', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29310, '2020-09-18', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29311, '2020-09-19', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29312, '2020-09-20', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29313, '2020-09-21', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29314, '2020-09-22', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29315, '2020-09-23', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29316, '2020-09-24', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29317, '2020-09-25', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29318, '2020-09-26', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29319, '2020-09-27', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29320, '2020-09-28', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29321, '2020-09-29', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29322, '2020-09-30', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29323, '2020-10-01', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29324, '2020-10-02', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29325, '2020-10-03', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29326, '2020-10-04', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29327, '2020-10-05', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29328, '2020-10-06', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29329, '2020-10-07', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29330, '2020-10-08', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29331, '2020-10-09', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29332, '2020-10-10', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29333, '2020-10-11', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29334, '2020-10-12', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29335, '2020-10-13', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29336, '2020-10-14', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29337, '2020-10-15', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29338, '2020-10-16', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29339, '2020-10-17', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29340, '2020-10-18', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29341, '2020-10-19', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29342, '2020-10-20', 'FJ', 'Fiji', 'WPRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (29343, '2020-10-21', 'FJ', 'Fiji', 'WPRO', '1', '33', '0', '2');
INSERT INTO public.who_import VALUES (29344, '2020-10-22', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29345, '2020-10-23', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29346, '2020-10-24', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29347, '2020-10-25', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29348, '2020-10-26', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29349, '2020-10-27', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29350, '2020-10-28', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29351, '2020-10-29', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29352, '2020-10-30', 'FJ', 'Fiji', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (29353, '2020-10-31', 'FJ', 'Fiji', 'WPRO', '1', '34', '0', '2');
INSERT INTO public.who_import VALUES (29354, '2020-11-01', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29355, '2020-11-02', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29356, '2020-11-03', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29357, '2020-11-04', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29358, '2020-11-05', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29359, '2020-11-06', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29360, '2020-11-07', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29361, '2020-11-08', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29362, '2020-11-09', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29363, '2020-11-10', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29364, '2020-11-11', 'FJ', 'Fiji', 'WPRO', '0', '34', '0', '2');
INSERT INTO public.who_import VALUES (29365, '2020-11-12', 'FJ', 'Fiji', 'WPRO', '1', '35', '0', '2');
INSERT INTO public.who_import VALUES (29366, '2020-11-13', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29367, '2020-11-14', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29368, '2020-11-15', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29369, '2020-11-16', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29370, '2020-11-17', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29371, '2020-11-18', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29372, '2020-11-19', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29373, '2020-11-20', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29374, '2020-11-21', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29375, '2020-11-22', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29376, '2020-11-23', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29377, '2020-11-24', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29378, '2020-11-25', 'FJ', 'Fiji', 'WPRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (29379, '2020-11-26', 'FJ', 'Fiji', 'WPRO', '3', '38', '0', '2');
INSERT INTO public.who_import VALUES (29380, '2020-11-27', 'FJ', 'Fiji', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (29381, '2020-11-28', 'FJ', 'Fiji', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (29382, '2020-11-29', 'FJ', 'Fiji', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (29383, '2020-11-30', 'FJ', 'Fiji', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (29384, '2020-12-01', 'FJ', 'Fiji', 'WPRO', '4', '42', '0', '2');
INSERT INTO public.who_import VALUES (29385, '2020-12-02', 'FJ', 'Fiji', 'WPRO', '0', '42', '0', '2');
INSERT INTO public.who_import VALUES (29386, '2020-12-03', 'FJ', 'Fiji', 'WPRO', '0', '42', '0', '2');
INSERT INTO public.who_import VALUES (29387, '2020-12-04', 'FJ', 'Fiji', 'WPRO', '2', '44', '0', '2');
INSERT INTO public.who_import VALUES (29388, '2020-12-05', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29389, '2020-12-06', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29390, '2020-12-07', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29391, '2020-12-08', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29392, '2020-12-09', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29393, '2020-12-10', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29394, '2020-12-11', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29395, '2020-12-12', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29396, '2020-12-13', 'FJ', 'Fiji', 'WPRO', '0', '44', '0', '2');
INSERT INTO public.who_import VALUES (29397, '2020-12-14', 'FJ', 'Fiji', 'WPRO', '2', '46', '0', '2');
INSERT INTO public.who_import VALUES (29398, '2020-12-15', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29399, '2020-12-16', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29400, '2020-12-17', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29401, '2020-12-18', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29402, '2020-12-19', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29403, '2020-12-20', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29404, '2020-12-21', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29405, '2020-12-22', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29406, '2020-12-23', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29407, '2020-12-24', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29408, '2020-12-25', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29409, '2020-12-26', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29410, '2020-12-27', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29411, '2020-12-28', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29412, '2020-12-29', 'FJ', 'Fiji', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (29413, '2020-12-30', 'FJ', 'Fiji', 'WPRO', '3', '49', '0', '2');
INSERT INTO public.who_import VALUES (29414, '2020-12-31', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29415, '2021-01-01', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29416, '2021-01-02', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29417, '2021-01-03', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29418, '2021-01-04', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29419, '2021-01-05', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29420, '2021-01-06', 'FJ', 'Fiji', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (29421, '2021-01-07', 'FJ', 'Fiji', 'WPRO', '4', '53', '0', '2');
INSERT INTO public.who_import VALUES (29422, '2021-01-08', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29423, '2021-01-09', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29424, '2021-01-10', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29425, '2021-01-11', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29426, '2021-01-12', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29427, '2021-01-13', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29428, '2021-01-14', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29429, '2021-01-15', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29430, '2021-01-16', 'FJ', 'Fiji', 'WPRO', '0', '53', '0', '2');
INSERT INTO public.who_import VALUES (29431, '2021-01-17', 'FJ', 'Fiji', 'WPRO', '2', '55', '0', '2');
INSERT INTO public.who_import VALUES (29432, '2021-01-18', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29433, '2021-01-19', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29434, '2021-01-20', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29435, '2021-01-21', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29436, '2021-01-22', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29437, '2021-01-23', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29438, '2021-01-24', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29439, '2021-01-25', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29440, '2021-01-26', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29441, '2021-01-27', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29442, '2021-01-28', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29443, '2021-01-29', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29444, '2021-01-30', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29445, '2021-01-31', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29446, '2021-02-01', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29447, '2021-02-02', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29448, '2021-02-03', 'FJ', 'Fiji', 'WPRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (29449, '2021-02-04', 'FJ', 'Fiji', 'WPRO', '1', '56', '0', '2');
INSERT INTO public.who_import VALUES (29450, '2021-02-05', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29451, '2021-02-06', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29452, '2021-02-07', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29453, '2021-02-08', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29454, '2021-02-09', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29455, '2021-02-10', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29456, '2021-02-11', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29457, '2021-02-12', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29458, '2021-02-13', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29459, '2021-02-14', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29460, '2021-02-15', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29461, '2021-02-16', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29462, '2021-02-17', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29463, '2021-02-18', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29464, '2021-02-19', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29465, '2021-02-20', 'FJ', 'Fiji', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (29466, '2020-01-03', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29467, '2020-01-04', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29468, '2020-01-05', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29469, '2020-01-06', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29470, '2020-01-07', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29471, '2020-01-08', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29472, '2020-01-09', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29473, '2020-01-10', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29474, '2020-01-11', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29475, '2020-01-12', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29476, '2020-01-13', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29477, '2020-01-14', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29478, '2020-01-15', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29479, '2020-01-16', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29480, '2020-01-17', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29481, '2020-01-18', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29482, '2020-01-19', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29483, '2020-01-20', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29484, '2020-01-21', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29485, '2020-01-22', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29486, '2020-01-23', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29487, '2020-01-24', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29488, '2020-01-25', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29489, '2020-01-26', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29490, '2020-01-27', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29491, '2020-01-28', 'FI', 'Finland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29492, '2020-01-29', 'FI', 'Finland', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (29493, '2020-01-30', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29494, '2020-01-31', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29495, '2020-02-01', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29496, '2020-02-02', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29497, '2020-02-03', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29498, '2020-02-04', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29499, '2020-02-05', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29500, '2020-02-06', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29501, '2020-02-07', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29502, '2020-02-08', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29503, '2020-02-09', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29504, '2020-02-10', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29505, '2020-02-11', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29506, '2020-02-12', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29507, '2020-02-13', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29508, '2020-02-14', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29509, '2020-02-15', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29510, '2020-02-16', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29511, '2020-02-17', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29512, '2020-02-18', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29513, '2020-02-19', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29514, '2020-02-20', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29515, '2020-02-21', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29516, '2020-02-22', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29517, '2020-02-23', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29518, '2020-02-24', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29519, '2020-02-25', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29520, '2020-02-26', 'FI', 'Finland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (29521, '2020-02-27', 'FI', 'Finland', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (29522, '2020-02-28', 'FI', 'Finland', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (29523, '2020-02-29', 'FI', 'Finland', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (29524, '2020-03-01', 'FI', 'Finland', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (29525, '2020-03-02', 'FI', 'Finland', 'EURO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (29526, '2020-03-03', 'FI', 'Finland', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29527, '2020-03-04', 'FI', 'Finland', 'EURO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (29528, '2020-03-05', 'FI', 'Finland', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (29529, '2020-03-06', 'FI', 'Finland', 'EURO', '5', '12', '0', '0');
INSERT INTO public.who_import VALUES (29530, '2020-03-07', 'FI', 'Finland', 'EURO', '7', '19', '0', '0');
INSERT INTO public.who_import VALUES (29531, '2020-03-08', 'FI', 'Finland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (29532, '2020-03-09', 'FI', 'Finland', 'EURO', '11', '30', '0', '0');
INSERT INTO public.who_import VALUES (29533, '2020-03-10', 'FI', 'Finland', 'EURO', '10', '40', '0', '0');
INSERT INTO public.who_import VALUES (29534, '2020-03-11', 'FI', 'Finland', 'EURO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (29535, '2020-03-12', 'FI', 'Finland', 'EURO', '19', '59', '0', '0');
INSERT INTO public.who_import VALUES (29536, '2020-03-13', 'FI', 'Finland', 'EURO', '96', '155', '0', '0');
INSERT INTO public.who_import VALUES (29537, '2020-03-14', 'FI', 'Finland', 'EURO', '28', '183', '0', '0');
INSERT INTO public.who_import VALUES (29538, '2020-03-15', 'FI', 'Finland', 'EURO', '27', '210', '0', '0');
INSERT INTO public.who_import VALUES (29539, '2020-03-16', 'FI', 'Finland', 'EURO', '57', '267', '0', '0');
INSERT INTO public.who_import VALUES (29540, '2020-03-17', 'FI', 'Finland', 'EURO', '5', '272', '0', '0');
INSERT INTO public.who_import VALUES (29541, '2020-03-18', 'FI', 'Finland', 'EURO', '47', '319', '0', '0');
INSERT INTO public.who_import VALUES (29542, '2020-03-19', 'FI', 'Finland', 'EURO', '50', '369', '0', '0');
INSERT INTO public.who_import VALUES (29543, '2020-03-20', 'FI', 'Finland', 'EURO', '31', '400', '0', '0');
INSERT INTO public.who_import VALUES (29544, '2020-03-21', 'FI', 'Finland', 'EURO', '50', '450', '0', '0');
INSERT INTO public.who_import VALUES (29545, '2020-03-22', 'FI', 'Finland', 'EURO', '71', '521', '1', '1');
INSERT INTO public.who_import VALUES (29546, '2020-03-23', 'FI', 'Finland', 'EURO', '105', '626', '0', '1');
INSERT INTO public.who_import VALUES (29547, '2020-03-24', 'FI', 'Finland', 'EURO', '74', '700', '0', '1');
INSERT INTO public.who_import VALUES (29548, '2020-03-25', 'FI', 'Finland', 'EURO', '92', '792', '0', '1');
INSERT INTO public.who_import VALUES (29549, '2020-03-26', 'FI', 'Finland', 'EURO', '88', '880', '2', '3');
INSERT INTO public.who_import VALUES (29550, '2020-03-27', 'FI', 'Finland', 'EURO', '78', '958', '1', '4');
INSERT INTO public.who_import VALUES (29551, '2020-03-28', 'FI', 'Finland', 'EURO', '67', '1025', '3', '7');
INSERT INTO public.who_import VALUES (29552, '2020-03-29', 'FI', 'Finland', 'EURO', '193', '1218', '2', '9');
INSERT INTO public.who_import VALUES (29553, '2020-03-30', 'FI', 'Finland', 'EURO', '0', '1218', '2', '11');
INSERT INTO public.who_import VALUES (29554, '2020-03-31', 'FI', 'Finland', 'EURO', '95', '1313', '2', '13');
INSERT INTO public.who_import VALUES (29555, '2020-04-01', 'FI', 'Finland', 'EURO', '71', '1384', '4', '17');
INSERT INTO public.who_import VALUES (29556, '2020-04-02', 'FI', 'Finland', 'EURO', '62', '1446', '0', '17');
INSERT INTO public.who_import VALUES (29557, '2020-04-03', 'FI', 'Finland', 'EURO', '72', '1518', '2', '19');
INSERT INTO public.who_import VALUES (29558, '2020-04-04', 'FI', 'Finland', 'EURO', '97', '1615', '1', '20');
INSERT INTO public.who_import VALUES (29559, '2020-04-05', 'FI', 'Finland', 'EURO', '267', '1882', '5', '25');
INSERT INTO public.who_import VALUES (29560, '2020-04-06', 'FI', 'Finland', 'EURO', '45', '1927', '2', '27');
INSERT INTO public.who_import VALUES (29561, '2020-04-07', 'FI', 'Finland', 'EURO', '249', '2176', '0', '27');
INSERT INTO public.who_import VALUES (29562, '2020-04-08', 'FI', 'Finland', 'EURO', '132', '2308', '7', '34');
INSERT INTO public.who_import VALUES (29563, '2020-04-09', 'FI', 'Finland', 'EURO', '179', '2487', '6', '40');
INSERT INTO public.who_import VALUES (29564, '2020-04-10', 'FI', 'Finland', 'EURO', '118', '2605', '2', '42');
INSERT INTO public.who_import VALUES (29565, '2020-04-11', 'FI', 'Finland', 'EURO', '164', '2769', '6', '48');
INSERT INTO public.who_import VALUES (29566, '2020-04-12', 'FI', 'Finland', 'EURO', '136', '2905', '1', '49');
INSERT INTO public.who_import VALUES (29567, '2020-04-13', 'FI', 'Finland', 'EURO', '69', '2974', '7', '56');
INSERT INTO public.who_import VALUES (29568, '2020-04-14', 'FI', 'Finland', 'EURO', '90', '3064', '3', '59');
INSERT INTO public.who_import VALUES (29569, '2020-04-15', 'FI', 'Finland', 'EURO', '97', '3161', '5', '64');
INSERT INTO public.who_import VALUES (29570, '2020-04-16', 'FI', 'Finland', 'EURO', '76', '3237', '8', '72');
INSERT INTO public.who_import VALUES (29571, '2020-04-17', 'FI', 'Finland', 'EURO', '132', '3369', '3', '75');
INSERT INTO public.who_import VALUES (29572, '2020-04-18', 'FI', 'Finland', 'EURO', '120', '3489', '7', '82');
INSERT INTO public.who_import VALUES (29573, '2020-04-19', 'FI', 'Finland', 'EURO', '192', '3681', '8', '90');
INSERT INTO public.who_import VALUES (29574, '2020-04-20', 'FI', 'Finland', 'EURO', '102', '3783', '4', '94');
INSERT INTO public.who_import VALUES (29575, '2020-04-21', 'FI', 'Finland', 'EURO', '85', '3868', '4', '98');
INSERT INTO public.who_import VALUES (29576, '2020-04-22', 'FI', 'Finland', 'EURO', '146', '4014', '43', '141');
INSERT INTO public.who_import VALUES (29577, '2020-04-23', 'FI', 'Finland', 'EURO', '115', '4129', '8', '149');
INSERT INTO public.who_import VALUES (29578, '2020-04-24', 'FI', 'Finland', 'EURO', '155', '4284', '23', '172');
INSERT INTO public.who_import VALUES (29579, '2020-04-25', 'FI', 'Finland', 'EURO', '111', '4395', '5', '177');
INSERT INTO public.who_import VALUES (29580, '2020-04-26', 'FI', 'Finland', 'EURO', '80', '4475', '9', '186');
INSERT INTO public.who_import VALUES (29581, '2020-04-27', 'FI', 'Finland', 'EURO', '101', '4576', '4', '190');
INSERT INTO public.who_import VALUES (29582, '2020-04-28', 'FI', 'Finland', 'EURO', '119', '4695', '3', '193');
INSERT INTO public.who_import VALUES (29583, '2020-04-29', 'FI', 'Finland', 'EURO', '45', '4740', '6', '199');
INSERT INTO public.who_import VALUES (29584, '2020-04-30', 'FI', 'Finland', 'EURO', '166', '4906', '7', '206');
INSERT INTO public.who_import VALUES (29585, '2020-05-01', 'FI', 'Finland', 'EURO', '89', '4995', '5', '211');
INSERT INTO public.who_import VALUES (29586, '2020-05-02', 'FI', 'Finland', 'EURO', '56', '5051', '7', '218');
INSERT INTO public.who_import VALUES (29587, '2020-05-03', 'FI', 'Finland', 'EURO', '128', '5179', '2', '220');
INSERT INTO public.who_import VALUES (29588, '2020-05-04', 'FI', 'Finland', 'EURO', '75', '5254', '10', '230');
INSERT INTO public.who_import VALUES (29589, '2020-05-05', 'FI', 'Finland', 'EURO', '73', '5327', '10', '240');
INSERT INTO public.who_import VALUES (29590, '2020-05-06', 'FI', 'Finland', 'EURO', '85', '5412', '6', '246');
INSERT INTO public.who_import VALUES (29591, '2020-05-07', 'FI', 'Finland', 'EURO', '161', '5573', '6', '252');
INSERT INTO public.who_import VALUES (29592, '2020-05-08', 'FI', 'Finland', 'EURO', '100', '5673', '3', '255');
INSERT INTO public.who_import VALUES (29593, '2020-05-09', 'FI', 'Finland', 'EURO', '65', '5738', '5', '260');
INSERT INTO public.who_import VALUES (29594, '2020-05-10', 'FI', 'Finland', 'EURO', '142', '5880', '5', '265');
INSERT INTO public.who_import VALUES (29595, '2020-05-11', 'FI', 'Finland', 'EURO', '82', '5962', '2', '267');
INSERT INTO public.who_import VALUES (29596, '2020-05-12', 'FI', 'Finland', 'EURO', '22', '5984', '4', '271');
INSERT INTO public.who_import VALUES (29597, '2020-05-13', 'FI', 'Finland', 'EURO', '19', '6003', '4', '275');
INSERT INTO public.who_import VALUES (29598, '2020-05-14', 'FI', 'Finland', 'EURO', '51', '6054', '9', '284');
INSERT INTO public.who_import VALUES (29599, '2020-05-15', 'FI', 'Finland', 'EURO', '91', '6145', '3', '287');
INSERT INTO public.who_import VALUES (29600, '2020-05-16', 'FI', 'Finland', 'EURO', '83', '6228', '6', '293');
INSERT INTO public.who_import VALUES (29601, '2020-05-17', 'FI', 'Finland', 'EURO', '58', '6286', '4', '297');
INSERT INTO public.who_import VALUES (29602, '2020-05-18', 'FI', 'Finland', 'EURO', '61', '6347', '1', '298');
INSERT INTO public.who_import VALUES (29603, '2020-05-19', 'FI', 'Finland', 'EURO', '33', '6380', '2', '300');
INSERT INTO public.who_import VALUES (29604, '2020-05-20', 'FI', 'Finland', 'EURO', '19', '6399', '1', '301');
INSERT INTO public.who_import VALUES (29605, '2020-05-21', 'FI', 'Finland', 'EURO', '44', '6443', '3', '304');
INSERT INTO public.who_import VALUES (29606, '2020-05-22', 'FI', 'Finland', 'EURO', '50', '6493', '2', '306');
INSERT INTO public.who_import VALUES (29607, '2020-05-23', 'FI', 'Finland', 'EURO', '44', '6537', '0', '306');
INSERT INTO public.who_import VALUES (29608, '2020-05-24', 'FI', 'Finland', 'EURO', '31', '6568', '0', '306');
INSERT INTO public.who_import VALUES (29609, '2020-05-25', 'FI', 'Finland', 'EURO', '11', '6579', '1', '307');
INSERT INTO public.who_import VALUES (29610, '2020-05-26', 'FI', 'Finland', 'EURO', '20', '6599', '1', '308');
INSERT INTO public.who_import VALUES (29611, '2020-05-27', 'FI', 'Finland', 'EURO', '29', '6628', '4', '312');
INSERT INTO public.who_import VALUES (29612, '2020-05-28', 'FI', 'Finland', 'EURO', '64', '6692', '1', '313');
INSERT INTO public.who_import VALUES (29613, '2020-05-29', 'FI', 'Finland', 'EURO', '51', '6743', '0', '313');
INSERT INTO public.who_import VALUES (29614, '2020-05-30', 'FI', 'Finland', 'EURO', '33', '6776', '1', '314');
INSERT INTO public.who_import VALUES (29615, '2020-05-31', 'FI', 'Finland', 'EURO', '50', '6826', '2', '316');
INSERT INTO public.who_import VALUES (29616, '2020-06-01', 'FI', 'Finland', 'EURO', '33', '6859', '4', '320');
INSERT INTO public.who_import VALUES (29617, '2020-06-02', 'FI', 'Finland', 'EURO', '26', '6885', '0', '320');
INSERT INTO public.who_import VALUES (29618, '2020-06-03', 'FI', 'Finland', 'EURO', '2', '6887', '0', '320');
INSERT INTO public.who_import VALUES (29619, '2020-06-04', 'FI', 'Finland', 'EURO', '24', '6911', '1', '321');
INSERT INTO public.who_import VALUES (29620, '2020-06-05', 'FI', 'Finland', 'EURO', '0', '6911', '1', '322');
INSERT INTO public.who_import VALUES (29621, '2020-06-06', 'FI', 'Finland', 'EURO', '30', '6941', '0', '322');
INSERT INTO public.who_import VALUES (29622, '2020-06-07', 'FI', 'Finland', 'EURO', '23', '6964', '0', '322');
INSERT INTO public.who_import VALUES (29623, '2020-06-08', 'FI', 'Finland', 'EURO', '17', '6981', '1', '323');
INSERT INTO public.who_import VALUES (29624, '2020-06-09', 'FI', 'Finland', 'EURO', '20', '7001', '0', '323');
INSERT INTO public.who_import VALUES (29625, '2020-06-10', 'FI', 'Finland', 'EURO', '24', '7025', '1', '324');
INSERT INTO public.who_import VALUES (29626, '2020-06-11', 'FI', 'Finland', 'EURO', '15', '7040', '0', '324');
INSERT INTO public.who_import VALUES (29627, '2020-06-12', 'FI', 'Finland', 'EURO', '24', '7064', '1', '325');
INSERT INTO public.who_import VALUES (29628, '2020-06-13', 'FI', 'Finland', 'EURO', '9', '7073', '0', '325');
INSERT INTO public.who_import VALUES (29629, '2020-06-14', 'FI', 'Finland', 'EURO', '14', '7087', '0', '325');
INSERT INTO public.who_import VALUES (29630, '2020-06-15', 'FI', 'Finland', 'EURO', '17', '7104', '1', '326');
INSERT INTO public.who_import VALUES (29631, '2020-06-16', 'FI', 'Finland', 'EURO', '4', '7108', '0', '326');
INSERT INTO public.who_import VALUES (29632, '2020-06-17', 'FI', 'Finland', 'EURO', '4', '7112', '0', '326');
INSERT INTO public.who_import VALUES (29633, '2020-06-18', 'FI', 'Finland', 'EURO', '5', '7117', '0', '326');
INSERT INTO public.who_import VALUES (29634, '2020-06-19', 'FI', 'Finland', 'EURO', '0', '7117', '0', '326');
INSERT INTO public.who_import VALUES (29635, '2020-06-20', 'FI', 'Finland', 'EURO', '16', '7133', '0', '326');
INSERT INTO public.who_import VALUES (29636, '2020-06-21', 'FI', 'Finland', 'EURO', '9', '7142', '0', '326');
INSERT INTO public.who_import VALUES (29637, '2020-06-22', 'FI', 'Finland', 'EURO', '1', '7143', '0', '326');
INSERT INTO public.who_import VALUES (29638, '2020-06-23', 'FI', 'Finland', 'EURO', '1', '7144', '1', '327');
INSERT INTO public.who_import VALUES (29639, '2020-06-24', 'FI', 'Finland', 'EURO', '11', '7155', '0', '327');
INSERT INTO public.who_import VALUES (29640, '2020-06-25', 'FI', 'Finland', 'EURO', '12', '7167', '0', '327');
INSERT INTO public.who_import VALUES (29641, '2020-06-26', 'FI', 'Finland', 'EURO', '5', '7172', '0', '327');
INSERT INTO public.who_import VALUES (29642, '2020-06-27', 'FI', 'Finland', 'EURO', '19', '7191', '1', '328');
INSERT INTO public.who_import VALUES (29643, '2020-06-28', 'FI', 'Finland', 'EURO', '0', '7191', '0', '328');
INSERT INTO public.who_import VALUES (29644, '2020-06-29', 'FI', 'Finland', 'EURO', '0', '7191', '0', '328');
INSERT INTO public.who_import VALUES (29645, '2020-06-30', 'FI', 'Finland', 'EURO', '18', '7209', '0', '328');
INSERT INTO public.who_import VALUES (29646, '2020-07-01', 'FI', 'Finland', 'EURO', '5', '7214', '0', '328');
INSERT INTO public.who_import VALUES (29647, '2020-07-02', 'FI', 'Finland', 'EURO', '22', '7236', '0', '328');
INSERT INTO public.who_import VALUES (29648, '2020-07-03', 'FI', 'Finland', 'EURO', '5', '7241', '0', '328');
INSERT INTO public.who_import VALUES (29649, '2020-07-04', 'FI', 'Finland', 'EURO', '28', '7269', '0', '328');
INSERT INTO public.who_import VALUES (29650, '2020-07-05', 'FI', 'Finland', 'EURO', '1', '7270', '0', '328');
INSERT INTO public.who_import VALUES (29651, '2020-07-06', 'FI', 'Finland', 'EURO', '2', '7272', '0', '328');
INSERT INTO public.who_import VALUES (29652, '2020-07-07', 'FI', 'Finland', 'EURO', '3', '7275', '0', '328');
INSERT INTO public.who_import VALUES (29653, '2020-07-08', 'FI', 'Finland', 'EURO', '1', '7276', '0', '328');
INSERT INTO public.who_import VALUES (29654, '2020-07-09', 'FI', 'Finland', 'EURO', '7', '7283', '0', '328');
INSERT INTO public.who_import VALUES (29655, '2020-07-10', 'FI', 'Finland', 'EURO', '4', '7287', '0', '328');
INSERT INTO public.who_import VALUES (29656, '2020-07-11', 'FI', 'Finland', 'EURO', '3', '7290', '0', '328');
INSERT INTO public.who_import VALUES (29657, '2020-07-12', 'FI', 'Finland', 'EURO', '0', '7290', '0', '328');
INSERT INTO public.who_import VALUES (29658, '2020-07-13', 'FI', 'Finland', 'EURO', '2', '7292', '0', '328');
INSERT INTO public.who_import VALUES (29659, '2020-07-14', 'FI', 'Finland', 'EURO', '1', '7293', '0', '328');
INSERT INTO public.who_import VALUES (29660, '2020-07-15', 'FI', 'Finland', 'EURO', '0', '7293', '0', '328');
INSERT INTO public.who_import VALUES (29661, '2020-07-16', 'FI', 'Finland', 'EURO', '0', '7293', '0', '328');
INSERT INTO public.who_import VALUES (29662, '2020-07-17', 'FI', 'Finland', 'EURO', '0', '7293', '0', '328');
INSERT INTO public.who_import VALUES (29663, '2020-07-18', 'FI', 'Finland', 'EURO', '8', '7301', '0', '328');
INSERT INTO public.who_import VALUES (29664, '2020-07-19', 'FI', 'Finland', 'EURO', '17', '7318', '0', '328');
INSERT INTO public.who_import VALUES (29665, '2020-07-20', 'FI', 'Finland', 'EURO', '20', '7338', '0', '328');
INSERT INTO public.who_import VALUES (29666, '2020-07-21', 'FI', 'Finland', 'EURO', '2', '7340', '0', '328');
INSERT INTO public.who_import VALUES (29667, '2020-07-22', 'FI', 'Finland', 'EURO', '11', '7351', '0', '328');
INSERT INTO public.who_import VALUES (29668, '2020-07-23', 'FI', 'Finland', 'EURO', '11', '7362', '0', '328');
INSERT INTO public.who_import VALUES (29669, '2020-07-24', 'FI', 'Finland', 'EURO', '10', '7372', '0', '328');
INSERT INTO public.who_import VALUES (29670, '2020-07-25', 'FI', 'Finland', 'EURO', '8', '7380', '1', '329');
INSERT INTO public.who_import VALUES (29671, '2020-07-26', 'FI', 'Finland', 'EURO', '8', '7388', '0', '329');
INSERT INTO public.who_import VALUES (29672, '2020-07-27', 'FI', 'Finland', 'EURO', '5', '7393', '0', '329');
INSERT INTO public.who_import VALUES (29673, '2020-07-28', 'FI', 'Finland', 'EURO', '5', '7398', '0', '329');
INSERT INTO public.who_import VALUES (29674, '2020-07-29', 'FI', 'Finland', 'EURO', '6', '7404', '0', '329');
INSERT INTO public.who_import VALUES (29675, '2020-07-30', 'FI', 'Finland', 'EURO', '10', '7414', '0', '329');
INSERT INTO public.who_import VALUES (29676, '2020-07-31', 'FI', 'Finland', 'EURO', '9', '7423', '0', '329');
INSERT INTO public.who_import VALUES (29677, '2020-08-01', 'FI', 'Finland', 'EURO', '9', '7432', '0', '329');
INSERT INTO public.who_import VALUES (29678, '2020-08-02', 'FI', 'Finland', 'EURO', '11', '7443', '0', '329');
INSERT INTO public.who_import VALUES (29679, '2020-08-03', 'FI', 'Finland', 'EURO', '10', '7453', '0', '329');
INSERT INTO public.who_import VALUES (29680, '2020-08-04', 'FI', 'Finland', 'EURO', '13', '7466', '0', '329');
INSERT INTO public.who_import VALUES (29681, '2020-08-05', 'FI', 'Finland', 'EURO', '17', '7483', '2', '331');
INSERT INTO public.who_import VALUES (29682, '2020-08-06', 'FI', 'Finland', 'EURO', '29', '7512', '0', '331');
INSERT INTO public.who_import VALUES (29683, '2020-08-07', 'FI', 'Finland', 'EURO', '20', '7532', '0', '331');
INSERT INTO public.who_import VALUES (29684, '2020-08-08', 'FI', 'Finland', 'EURO', '22', '7554', '0', '331');
INSERT INTO public.who_import VALUES (29685, '2020-08-09', 'FI', 'Finland', 'EURO', '14', '7568', '0', '331');
INSERT INTO public.who_import VALUES (29686, '2020-08-10', 'FI', 'Finland', 'EURO', '16', '7584', '0', '331');
INSERT INTO public.who_import VALUES (29687, '2020-08-11', 'FI', 'Finland', 'EURO', '17', '7601', '2', '333');
INSERT INTO public.who_import VALUES (29688, '2020-08-12', 'FI', 'Finland', 'EURO', '22', '7623', '0', '333');
INSERT INTO public.who_import VALUES (29689, '2020-08-13', 'FI', 'Finland', 'EURO', '19', '7642', '0', '333');
INSERT INTO public.who_import VALUES (29690, '2020-08-14', 'FI', 'Finland', 'EURO', '41', '7683', '0', '333');
INSERT INTO public.who_import VALUES (29691, '2020-08-15', 'FI', 'Finland', 'EURO', '17', '7700', '0', '333');
INSERT INTO public.who_import VALUES (29692, '2020-08-16', 'FI', 'Finland', 'EURO', '20', '7720', '0', '333');
INSERT INTO public.who_import VALUES (29693, '2020-08-17', 'FI', 'Finland', 'EURO', '11', '7731', '0', '333');
INSERT INTO public.who_import VALUES (29694, '2020-08-18', 'FI', 'Finland', 'EURO', '21', '7752', '1', '334');
INSERT INTO public.who_import VALUES (29695, '2020-08-19', 'FI', 'Finland', 'EURO', '24', '7776', '0', '334');
INSERT INTO public.who_import VALUES (29696, '2020-08-20', 'FI', 'Finland', 'EURO', '29', '7805', '0', '334');
INSERT INTO public.who_import VALUES (29697, '2020-08-21', 'FI', 'Finland', 'EURO', '37', '7842', '0', '334');
INSERT INTO public.who_import VALUES (29698, '2020-08-22', 'FI', 'Finland', 'EURO', '29', '7871', '0', '334');
INSERT INTO public.who_import VALUES (29699, '2020-08-23', 'FI', 'Finland', 'EURO', '35', '7906', '0', '334');
INSERT INTO public.who_import VALUES (29700, '2020-08-24', 'FI', 'Finland', 'EURO', '14', '7920', '0', '334');
INSERT INTO public.who_import VALUES (29701, '2020-08-25', 'FI', 'Finland', 'EURO', '18', '7938', '1', '335');
INSERT INTO public.who_import VALUES (29702, '2020-08-26', 'FI', 'Finland', 'EURO', '43', '7981', '0', '335');
INSERT INTO public.who_import VALUES (29703, '2020-08-27', 'FI', 'Finland', 'EURO', '21', '8002', '0', '335');
INSERT INTO public.who_import VALUES (29704, '2020-08-28', 'FI', 'Finland', 'EURO', '17', '8019', '0', '335');
INSERT INTO public.who_import VALUES (29705, '2020-08-29', 'FI', 'Finland', 'EURO', '23', '8042', '0', '335');
INSERT INTO public.who_import VALUES (29706, '2020-08-30', 'FI', 'Finland', 'EURO', '7', '8049', '0', '335');
INSERT INTO public.who_import VALUES (29707, '2020-08-31', 'FI', 'Finland', 'EURO', '28', '8077', '0', '335');
INSERT INTO public.who_import VALUES (29708, '2020-09-01', 'FI', 'Finland', 'EURO', '9', '8086', '0', '335');
INSERT INTO public.who_import VALUES (29709, '2020-09-02', 'FI', 'Finland', 'EURO', '56', '8142', '0', '335');
INSERT INTO public.who_import VALUES (29710, '2020-09-03', 'FI', 'Finland', 'EURO', '19', '8161', '0', '335');
INSERT INTO public.who_import VALUES (29711, '2020-09-04', 'FI', 'Finland', 'EURO', '39', '8200', '0', '335');
INSERT INTO public.who_import VALUES (29712, '2020-09-05', 'FI', 'Finland', 'EURO', '25', '8225', '0', '335');
INSERT INTO public.who_import VALUES (29713, '2020-09-06', 'FI', 'Finland', 'EURO', '36', '8261', '1', '336');
INSERT INTO public.who_import VALUES (29714, '2020-09-07', 'FI', 'Finland', 'EURO', '30', '8291', '0', '336');
INSERT INTO public.who_import VALUES (29715, '2020-09-08', 'FI', 'Finland', 'EURO', '36', '8327', '0', '336');
INSERT INTO public.who_import VALUES (29716, '2020-09-09', 'FI', 'Finland', 'EURO', '10', '8337', '0', '336');
INSERT INTO public.who_import VALUES (29717, '2020-09-10', 'FI', 'Finland', 'EURO', '93', '8430', '1', '337');
INSERT INTO public.who_import VALUES (29718, '2020-09-11', 'FI', 'Finland', 'EURO', '39', '8469', '0', '337');
INSERT INTO public.who_import VALUES (29719, '2020-09-12', 'FI', 'Finland', 'EURO', '43', '8512', '0', '337');
INSERT INTO public.who_import VALUES (29720, '2020-09-13', 'FI', 'Finland', 'EURO', '45', '8557', '0', '337');
INSERT INTO public.who_import VALUES (29721, '2020-09-14', 'FI', 'Finland', 'EURO', '23', '8580', '0', '337');
INSERT INTO public.who_import VALUES (29722, '2020-09-15', 'FI', 'Finland', 'EURO', '47', '8627', '2', '339');
INSERT INTO public.who_import VALUES (29723, '2020-09-16', 'FI', 'Finland', 'EURO', '98', '8725', '0', '339');
INSERT INTO public.who_import VALUES (29724, '2020-09-17', 'FI', 'Finland', 'EURO', '25', '8750', '0', '339');
INSERT INTO public.who_import VALUES (29725, '2020-09-18', 'FI', 'Finland', 'EURO', '49', '8799', '0', '339');
INSERT INTO public.who_import VALUES (29726, '2020-09-19', 'FI', 'Finland', 'EURO', '59', '8858', '0', '339');
INSERT INTO public.who_import VALUES (29727, '2020-09-20', 'FI', 'Finland', 'EURO', '64', '8922', '0', '339');
INSERT INTO public.who_import VALUES (29728, '2020-09-21', 'FI', 'Finland', 'EURO', '58', '8980', '0', '339');
INSERT INTO public.who_import VALUES (29729, '2020-09-22', 'FI', 'Finland', 'EURO', '66', '9046', '2', '341');
INSERT INTO public.who_import VALUES (29730, '2020-09-23', 'FI', 'Finland', 'EURO', '149', '9195', '0', '341');
INSERT INTO public.who_import VALUES (29731, '2020-09-24', 'FI', 'Finland', 'EURO', '93', '9288', '2', '343');
INSERT INTO public.who_import VALUES (29732, '2020-09-25', 'FI', 'Finland', 'EURO', '91', '9379', '0', '343');
INSERT INTO public.who_import VALUES (29733, '2020-09-26', 'FI', 'Finland', 'EURO', '105', '9484', '0', '343');
INSERT INTO public.who_import VALUES (29734, '2020-09-27', 'FI', 'Finland', 'EURO', '93', '9577', '0', '343');
INSERT INTO public.who_import VALUES (29735, '2020-09-28', 'FI', 'Finland', 'EURO', '105', '9682', '0', '343');
INSERT INTO public.who_import VALUES (29736, '2020-09-29', 'FI', 'Finland', 'EURO', '52', '9734', '0', '343');
INSERT INTO public.who_import VALUES (29737, '2020-09-30', 'FI', 'Finland', 'EURO', '158', '9892', '0', '343');
INSERT INTO public.who_import VALUES (29738, '2020-10-01', 'FI', 'Finland', 'EURO', '100', '9992', '1', '344');
INSERT INTO public.who_import VALUES (29739, '2020-10-02', 'FI', 'Finland', 'EURO', '111', '10103', '0', '344');
INSERT INTO public.who_import VALUES (29740, '2020-10-03', 'FI', 'Finland', 'EURO', '101', '10204', '1', '345');
INSERT INTO public.who_import VALUES (29741, '2020-10-04', 'FI', 'Finland', 'EURO', '40', '10244', '0', '345');
INSERT INTO public.who_import VALUES (29742, '2020-10-05', 'FI', 'Finland', 'EURO', '294', '10538', '0', '345');
INSERT INTO public.who_import VALUES (29743, '2020-10-06', 'FI', 'Finland', 'EURO', '164', '10702', '1', '346');
INSERT INTO public.who_import VALUES (29744, '2020-10-07', 'FI', 'Finland', 'EURO', '227', '10929', '0', '346');
INSERT INTO public.who_import VALUES (29745, '2020-10-08', 'FI', 'Finland', 'EURO', '120', '11049', '0', '346');
INSERT INTO public.who_import VALUES (29746, '2020-10-09', 'FI', 'Finland', 'EURO', '296', '11345', '0', '346');
INSERT INTO public.who_import VALUES (29747, '2020-10-10', 'FI', 'Finland', 'EURO', '235', '11580', '0', '346');
INSERT INTO public.who_import VALUES (29748, '2020-10-11', 'FI', 'Finland', 'EURO', '269', '11849', '0', '346');
INSERT INTO public.who_import VALUES (29749, '2020-10-12', 'FI', 'Finland', 'EURO', '149', '11998', '0', '346');
INSERT INTO public.who_import VALUES (29750, '2020-10-13', 'FI', 'Finland', 'EURO', '214', '12212', '0', '346');
INSERT INTO public.who_import VALUES (29751, '2020-10-14', 'FI', 'Finland', 'EURO', '287', '12499', '0', '346');
INSERT INTO public.who_import VALUES (29752, '2020-10-15', 'FI', 'Finland', 'EURO', '204', '12703', '4', '350');
INSERT INTO public.who_import VALUES (29753, '2020-10-16', 'FI', 'Finland', 'EURO', '291', '12994', '0', '350');
INSERT INTO public.who_import VALUES (29754, '2020-10-17', 'FI', 'Finland', 'EURO', '139', '13133', '1', '351');
INSERT INTO public.who_import VALUES (29755, '2020-10-18', 'FI', 'Finland', 'EURO', '160', '13293', '0', '351');
INSERT INTO public.who_import VALUES (29756, '2020-10-19', 'FI', 'Finland', 'EURO', '131', '13424', '0', '351');
INSERT INTO public.who_import VALUES (29757, '2020-10-20', 'FI', 'Finland', 'EURO', '131', '13555', '0', '351');
INSERT INTO public.who_import VALUES (29758, '2020-10-21', 'FI', 'Finland', 'EURO', '294', '13849', '0', '351');
INSERT INTO public.who_import VALUES (29759, '2020-10-22', 'FI', 'Finland', 'EURO', '222', '14071', '2', '353');
INSERT INTO public.who_import VALUES (29760, '2020-10-23', 'FI', 'Finland', 'EURO', '184', '14255', '0', '353');
INSERT INTO public.who_import VALUES (29761, '2020-10-24', 'FI', 'Finland', 'EURO', '219', '14474', '0', '353');
INSERT INTO public.who_import VALUES (29762, '2020-10-25', 'FI', 'Finland', 'EURO', '178', '14652', '0', '353');
INSERT INTO public.who_import VALUES (29763, '2020-10-26', 'FI', 'Finland', 'EURO', '196', '14848', '0', '353');
INSERT INTO public.who_import VALUES (29764, '2020-10-27', 'FI', 'Finland', 'EURO', '122', '14970', '1', '354');
INSERT INTO public.who_import VALUES (29765, '2020-10-28', 'FI', 'Finland', 'EURO', '193', '15163', '0', '354');
INSERT INTO public.who_import VALUES (29766, '2020-10-29', 'FI', 'Finland', 'EURO', '215', '15378', '0', '354');
INSERT INTO public.who_import VALUES (29767, '2020-10-30', 'FI', 'Finland', 'EURO', '188', '15566', '0', '354');
INSERT INTO public.who_import VALUES (29768, '2020-10-31', 'FI', 'Finland', 'EURO', '344', '15910', '4', '358');
INSERT INTO public.who_import VALUES (29769, '2020-11-01', 'FI', 'Finland', 'EURO', '203', '16113', '0', '358');
INSERT INTO public.who_import VALUES (29770, '2020-11-02', 'FI', 'Finland', 'EURO', '178', '16291', '0', '358');
INSERT INTO public.who_import VALUES (29771, '2020-11-03', 'FI', 'Finland', 'EURO', '109', '16400', '1', '359');
INSERT INTO public.who_import VALUES (29772, '2020-11-04', 'FI', 'Finland', 'EURO', '237', '16637', '0', '359');
INSERT INTO public.who_import VALUES (29773, '2020-11-05', 'FI', 'Finland', 'EURO', '293', '16930', '2', '361');
INSERT INTO public.who_import VALUES (29774, '2020-11-06', 'FI', 'Finland', 'EURO', '189', '17119', '0', '361');
INSERT INTO public.who_import VALUES (29775, '2020-11-07', 'FI', 'Finland', 'EURO', '266', '17385', '1', '362');
INSERT INTO public.who_import VALUES (29776, '2020-11-08', 'FI', 'Finland', 'EURO', '0', '17385', '0', '362');
INSERT INTO public.who_import VALUES (29777, '2020-11-09', 'FI', 'Finland', 'EURO', '412', '17797', '0', '362');
INSERT INTO public.who_import VALUES (29778, '2020-11-10', 'FI', 'Finland', 'EURO', '90', '17887', '1', '363');
INSERT INTO public.who_import VALUES (29779, '2020-11-11', 'FI', 'Finland', 'EURO', '220', '18107', '0', '363');
INSERT INTO public.who_import VALUES (29780, '2020-11-12', 'FI', 'Finland', 'EURO', '238', '18345', '2', '365');
INSERT INTO public.who_import VALUES (29781, '2020-11-13', 'FI', 'Finland', 'EURO', '197', '18542', '0', '365');
INSERT INTO public.who_import VALUES (29782, '2020-11-14', 'FI', 'Finland', 'EURO', '316', '18858', '4', '369');
INSERT INTO public.who_import VALUES (29783, '2020-11-15', 'FI', 'Finland', 'EURO', '244', '19102', '0', '369');
INSERT INTO public.who_import VALUES (29784, '2020-11-16', 'FI', 'Finland', 'EURO', '213', '19315', '0', '369');
INSERT INTO public.who_import VALUES (29785, '2020-11-17', 'FI', 'Finland', 'EURO', '104', '19419', '2', '371');
INSERT INTO public.who_import VALUES (29786, '2020-11-18', 'FI', 'Finland', 'EURO', '228', '19647', '0', '371');
INSERT INTO public.who_import VALUES (29787, '2020-11-19', 'FI', 'Finland', 'EURO', '288', '19935', '3', '374');
INSERT INTO public.who_import VALUES (29788, '2020-11-20', 'FI', 'Finland', 'EURO', '351', '20286', '0', '374');
INSERT INTO public.who_import VALUES (29789, '2020-11-21', 'FI', 'Finland', 'EURO', '461', '20747', '1', '375');
INSERT INTO public.who_import VALUES (29790, '2020-11-22', 'FI', 'Finland', 'EURO', '469', '21216', '0', '375');
INSERT INTO public.who_import VALUES (29791, '2020-11-23', 'FI', 'Finland', 'EURO', '423', '21639', '0', '375');
INSERT INTO public.who_import VALUES (29792, '2020-11-24', 'FI', 'Finland', 'EURO', '297', '21936', '9', '384');
INSERT INTO public.who_import VALUES (29793, '2020-11-25', 'FI', 'Finland', 'EURO', '353', '22289', '0', '384');
INSERT INTO public.who_import VALUES (29794, '2020-11-26', 'FI', 'Finland', 'EURO', '363', '22652', '4', '388');
INSERT INTO public.who_import VALUES (29795, '2020-11-27', 'FI', 'Finland', 'EURO', '496', '23148', '0', '388');
INSERT INTO public.who_import VALUES (29796, '2020-11-28', 'FI', 'Finland', 'EURO', '618', '23766', '5', '393');
INSERT INTO public.who_import VALUES (29797, '2020-11-29', 'FI', 'Finland', 'EURO', '541', '24307', '0', '393');
INSERT INTO public.who_import VALUES (29798, '2020-11-30', 'FI', 'Finland', 'EURO', '322', '24629', '0', '393');
INSERT INTO public.who_import VALUES (29799, '2020-12-01', 'FI', 'Finland', 'EURO', '283', '24912', '6', '399');
INSERT INTO public.who_import VALUES (29800, '2020-12-02', 'FI', 'Finland', 'EURO', '550', '25462', '0', '399');
INSERT INTO public.who_import VALUES (29801, '2020-12-03', 'FI', 'Finland', 'EURO', '420', '25882', '9', '408');
INSERT INTO public.who_import VALUES (29802, '2020-12-04', 'FI', 'Finland', 'EURO', '560', '26442', '0', '408');
INSERT INTO public.who_import VALUES (29803, '2020-12-05', 'FI', 'Finland', 'EURO', '316', '26758', '7', '415');
INSERT INTO public.who_import VALUES (29804, '2020-12-06', 'FI', 'Finland', 'EURO', '460', '27218', '0', '415');
INSERT INTO public.who_import VALUES (29805, '2020-12-07', 'FI', 'Finland', 'EURO', '413', '27631', '0', '415');
INSERT INTO public.who_import VALUES (29806, '2020-12-08', 'FI', 'Finland', 'EURO', '250', '27881', '9', '424');
INSERT INTO public.who_import VALUES (29807, '2020-12-09', 'FI', 'Finland', 'EURO', '361', '28242', '1', '425');
INSERT INTO public.who_import VALUES (29808, '2020-12-10', 'FI', 'Finland', 'EURO', '490', '28732', '8', '433');
INSERT INTO public.who_import VALUES (29809, '2020-12-11', 'FI', 'Finland', 'EURO', '840', '29572', '9', '442');
INSERT INTO public.who_import VALUES (29810, '2020-12-12', 'FI', 'Finland', 'EURO', '501', '30073', '11', '453');
INSERT INTO public.who_import VALUES (29811, '2020-12-13', 'FI', 'Finland', 'EURO', '377', '30450', '0', '453');
INSERT INTO public.who_import VALUES (29812, '2020-12-14', 'FI', 'Finland', 'EURO', '360', '30810', '0', '453');
INSERT INTO public.who_import VALUES (29813, '2020-12-15', 'FI', 'Finland', 'EURO', '300', '31110', '8', '461');
INSERT INTO public.who_import VALUES (29814, '2020-12-16', 'FI', 'Finland', 'EURO', '349', '31459', '5', '466');
INSERT INTO public.who_import VALUES (29815, '2020-12-17', 'FI', 'Finland', 'EURO', '411', '31870', '6', '472');
INSERT INTO public.who_import VALUES (29816, '2020-12-18', 'FI', 'Finland', 'EURO', '358', '32228', '12', '484');
INSERT INTO public.who_import VALUES (29817, '2020-12-19', 'FI', 'Finland', 'EURO', '354', '32582', '5', '489');
INSERT INTO public.who_import VALUES (29818, '2020-12-20', 'FI', 'Finland', 'EURO', '0', '32582', '0', '489');
INSERT INTO public.who_import VALUES (29819, '2020-12-21', 'FI', 'Finland', 'EURO', '0', '32582', '0', '489');
INSERT INTO public.who_import VALUES (29820, '2020-12-22', 'FI', 'Finland', 'EURO', '832', '33414', '17', '506');
INSERT INTO public.who_import VALUES (29821, '2020-12-23', 'FI', 'Finland', 'EURO', '303', '33717', '5', '511');
INSERT INTO public.who_import VALUES (29822, '2020-12-24', 'FI', 'Finland', 'EURO', '367', '34084', '13', '524');
INSERT INTO public.who_import VALUES (29823, '2020-12-25', 'FI', 'Finland', 'EURO', '0', '34084', '0', '524');
INSERT INTO public.who_import VALUES (29824, '2020-12-26', 'FI', 'Finland', 'EURO', '0', '34084', '0', '524');
INSERT INTO public.who_import VALUES (29825, '2020-12-27', 'FI', 'Finland', 'EURO', '0', '34084', '0', '524');
INSERT INTO public.who_import VALUES (29826, '2020-12-28', 'FI', 'Finland', 'EURO', '1053', '35137', '22', '546');
INSERT INTO public.who_import VALUES (29827, '2020-12-29', 'FI', 'Finland', 'EURO', '283', '35420', '4', '550');
INSERT INTO public.who_import VALUES (29828, '2020-12-30', 'FI', 'Finland', 'EURO', '438', '35858', '6', '556');
INSERT INTO public.who_import VALUES (29829, '2020-12-31', 'FI', 'Finland', 'EURO', '0', '35858', '0', '556');
INSERT INTO public.who_import VALUES (29830, '2021-01-01', 'FI', 'Finland', 'EURO', '249', '36107', '5', '561');
INSERT INTO public.who_import VALUES (29831, '2021-01-02', 'FI', 'Finland', 'EURO', '296', '36403', '0', '561');
INSERT INTO public.who_import VALUES (29832, '2021-01-03', 'FI', 'Finland', 'EURO', '201', '36604', '0', '561');
INSERT INTO public.who_import VALUES (29833, '2021-01-04', 'FI', 'Finland', 'EURO', '168', '36772', '0', '561');
INSERT INTO public.who_import VALUES (29834, '2021-01-05', 'FI', 'Finland', 'EURO', '147', '36919', '4', '565');
INSERT INTO public.who_import VALUES (29835, '2021-01-06', 'FI', 'Finland', 'EURO', '299', '37218', '11', '576');
INSERT INTO public.who_import VALUES (29836, '2021-01-07', 'FI', 'Finland', 'EURO', '331', '37549', '0', '576');
INSERT INTO public.who_import VALUES (29837, '2021-01-08', 'FI', 'Finland', 'EURO', '223', '37772', '8', '584');
INSERT INTO public.who_import VALUES (29838, '2021-01-09', 'FI', 'Finland', 'EURO', '296', '38068', '2', '586');
INSERT INTO public.who_import VALUES (29839, '2021-01-10', 'FI', 'Finland', 'EURO', '324', '38392', '0', '586');
INSERT INTO public.who_import VALUES (29840, '2021-01-11', 'FI', 'Finland', 'EURO', '198', '38590', '0', '586');
INSERT INTO public.who_import VALUES (29841, '2021-01-12', 'FI', 'Finland', 'EURO', '200', '38790', '11', '597');
INSERT INTO public.who_import VALUES (29842, '2021-01-13', 'FI', 'Finland', 'EURO', '221', '39011', '5', '602');
INSERT INTO public.who_import VALUES (29843, '2021-01-14', 'FI', 'Finland', 'EURO', '324', '39335', '8', '610');
INSERT INTO public.who_import VALUES (29844, '2021-01-15', 'FI', 'Finland', 'EURO', '258', '39593', '6', '616');
INSERT INTO public.who_import VALUES (29845, '2021-01-16', 'FI', 'Finland', 'EURO', '318', '39911', '2', '618');
INSERT INTO public.who_import VALUES (29846, '2021-01-17', 'FI', 'Finland', 'EURO', '190', '40101', '0', '618');
INSERT INTO public.who_import VALUES (29847, '2021-01-18', 'FI', 'Finland', 'EURO', '236', '40337', '0', '618');
INSERT INTO public.who_import VALUES (29848, '2021-01-19', 'FI', 'Finland', 'EURO', '168', '40505', '3', '621');
INSERT INTO public.who_import VALUES (29849, '2021-01-20', 'FI', 'Finland', 'EURO', '217', '40722', '12', '633');
INSERT INTO public.who_import VALUES (29850, '2021-01-21', 'FI', 'Finland', 'EURO', '444', '41166', '0', '633');
INSERT INTO public.who_import VALUES (29851, '2021-01-22', 'FI', 'Finland', 'EURO', '399', '41565', '5', '638');
INSERT INTO public.who_import VALUES (29852, '2021-01-23', 'FI', 'Finland', 'EURO', '350', '41915', '6', '644');
INSERT INTO public.who_import VALUES (29853, '2021-01-24', 'FI', 'Finland', 'EURO', '419', '42334', '4', '648');
INSERT INTO public.who_import VALUES (29854, '2021-01-25', 'FI', 'Finland', 'EURO', '246', '42580', '4', '652');
INSERT INTO public.who_import VALUES (29855, '2021-01-26', 'FI', 'Finland', 'EURO', '192', '42772', '3', '655');
INSERT INTO public.who_import VALUES (29856, '2021-01-27', 'FI', 'Finland', 'EURO', '348', '43120', '0', '655');
INSERT INTO public.who_import VALUES (29857, '2021-01-28', 'FI', 'Finland', 'EURO', '496', '43616', '5', '660');
INSERT INTO public.who_import VALUES (29858, '2021-01-29', 'FI', 'Finland', 'EURO', '423', '44039', '4', '664');
INSERT INTO public.who_import VALUES (29859, '2021-01-30', 'FI', 'Finland', 'EURO', '363', '44402', '7', '671');
INSERT INTO public.who_import VALUES (29860, '2021-01-31', 'FI', 'Finland', 'EURO', '469', '44871', '0', '671');
INSERT INTO public.who_import VALUES (29861, '2021-02-01', 'FI', 'Finland', 'EURO', '367', '45238', '0', '671');
INSERT INTO public.who_import VALUES (29862, '2021-02-02', 'FI', 'Finland', 'EURO', '244', '45482', '6', '677');
INSERT INTO public.who_import VALUES (29863, '2021-02-03', 'FI', 'Finland', 'EURO', '302', '45784', '7', '684');
INSERT INTO public.who_import VALUES (29864, '2021-02-04', 'FI', 'Finland', 'EURO', '265', '46049', '1', '685');
INSERT INTO public.who_import VALUES (29865, '2021-02-05', 'FI', 'Finland', 'EURO', '444', '46493', '3', '688');
INSERT INTO public.who_import VALUES (29866, '2021-02-06', 'FI', 'Finland', 'EURO', '401', '46894', '4', '692');
INSERT INTO public.who_import VALUES (29867, '2021-02-07', 'FI', 'Finland', 'EURO', '368', '47262', '3', '695');
INSERT INTO public.who_import VALUES (29868, '2021-02-08', 'FI', 'Finland', 'EURO', '354', '47616', '3', '698');
INSERT INTO public.who_import VALUES (29869, '2021-02-09', 'FI', 'Finland', 'EURO', '353', '47969', '3', '701');
INSERT INTO public.who_import VALUES (29870, '2021-02-10', 'FI', 'Finland', 'EURO', '438', '48407', '2', '703');
INSERT INTO public.who_import VALUES (29871, '2021-02-11', 'FI', 'Finland', 'EURO', '400', '48807', '3', '706');
INSERT INTO public.who_import VALUES (29872, '2021-02-12', 'FI', 'Finland', 'EURO', '358', '49165', '2', '708');
INSERT INTO public.who_import VALUES (29873, '2021-02-13', 'FI', 'Finland', 'EURO', '407', '49572', '2', '710');
INSERT INTO public.who_import VALUES (29874, '2021-02-14', 'FI', 'Finland', 'EURO', '435', '50007', '0', '710');
INSERT INTO public.who_import VALUES (29875, '2021-02-15', 'FI', 'Finland', 'EURO', '312', '50319', '0', '710');
INSERT INTO public.who_import VALUES (29876, '2021-02-16', 'FI', 'Finland', 'EURO', '343', '50662', '6', '716');
INSERT INTO public.who_import VALUES (29877, '2021-02-17', 'FI', 'Finland', 'EURO', '385', '51047', '4', '720');
INSERT INTO public.who_import VALUES (29878, '2021-02-18', 'FI', 'Finland', 'EURO', '548', '51595', '3', '723');
INSERT INTO public.who_import VALUES (29879, '2021-02-19', 'FI', 'Finland', 'EURO', '614', '52209', '2', '725');
INSERT INTO public.who_import VALUES (29880, '2021-02-20', 'FI', 'Finland', 'EURO', '444', '52653', '1', '726');
INSERT INTO public.who_import VALUES (29881, '2020-01-03', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29882, '2020-01-04', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29883, '2020-01-05', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29884, '2020-01-06', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29885, '2020-01-07', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29886, '2020-01-08', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29887, '2020-01-09', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29888, '2020-01-10', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29889, '2020-01-11', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29890, '2020-01-12', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29891, '2020-01-13', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29892, '2020-01-14', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29893, '2020-01-15', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29894, '2020-01-16', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29895, '2020-01-17', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29896, '2020-01-18', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29897, '2020-01-19', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29898, '2020-01-20', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29899, '2020-01-21', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29900, '2020-01-22', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29901, '2020-01-23', 'FR', 'France', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (29902, '2020-01-24', 'FR', 'France', 'EURO', '3', '3', '0', '0');
INSERT INTO public.who_import VALUES (29903, '2020-01-25', 'FR', 'France', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (29904, '2020-01-26', 'FR', 'France', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (29905, '2020-01-27', 'FR', 'France', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (29906, '2020-01-28', 'FR', 'France', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (29907, '2020-01-29', 'FR', 'France', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (29908, '2020-01-30', 'FR', 'France', 'EURO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (29909, '2020-01-31', 'FR', 'France', 'EURO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (29910, '2020-02-01', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29911, '2020-02-02', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29912, '2020-02-03', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29913, '2020-02-04', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29914, '2020-02-05', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29915, '2020-02-06', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29916, '2020-02-07', 'FR', 'France', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (29917, '2020-02-08', 'FR', 'France', 'EURO', '5', '11', '0', '0');
INSERT INTO public.who_import VALUES (29918, '2020-02-09', 'FR', 'France', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (29919, '2020-02-10', 'FR', 'France', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (29920, '2020-02-11', 'FR', 'France', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (29921, '2020-02-12', 'FR', 'France', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (29922, '2020-02-13', 'FR', 'France', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (29923, '2020-02-14', 'FR', 'France', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (29924, '2020-02-15', 'FR', 'France', 'EURO', '0', '11', '1', '1');
INSERT INTO public.who_import VALUES (29925, '2020-02-16', 'FR', 'France', 'EURO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (29926, '2020-02-17', 'FR', 'France', 'EURO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (29927, '2020-02-18', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29928, '2020-02-19', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29929, '2020-02-20', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29930, '2020-02-21', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29931, '2020-02-22', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29932, '2020-02-23', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29933, '2020-02-24', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29934, '2020-02-25', 'FR', 'France', 'EURO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (29935, '2020-02-26', 'FR', 'France', 'EURO', '2', '14', '0', '1');
INSERT INTO public.who_import VALUES (29936, '2020-02-27', 'FR', 'France', 'EURO', '3', '17', '1', '2');
INSERT INTO public.who_import VALUES (29937, '2020-02-28', 'FR', 'France', 'EURO', '21', '38', '0', '2');
INSERT INTO public.who_import VALUES (29938, '2020-02-29', 'FR', 'France', 'EURO', '19', '57', '0', '2');
INSERT INTO public.who_import VALUES (29939, '2020-03-01', 'FR', 'France', 'EURO', '43', '100', '0', '2');
INSERT INTO public.who_import VALUES (29940, '2020-03-02', 'FR', 'France', 'EURO', '23', '123', '0', '2');
INSERT INTO public.who_import VALUES (29941, '2020-03-03', 'FR', 'France', 'EURO', '48', '171', '1', '3');
INSERT INTO public.who_import VALUES (29942, '2020-03-04', 'FR', 'France', 'EURO', '34', '205', '1', '4');
INSERT INTO public.who_import VALUES (29943, '2020-03-05', 'FR', 'France', 'EURO', '73', '278', '0', '4');
INSERT INTO public.who_import VALUES (29944, '2020-03-06', 'FR', 'France', 'EURO', '138', '416', '3', '7');
INSERT INTO public.who_import VALUES (29945, '2020-03-07', 'FR', 'France', 'EURO', '179', '595', '2', '9');
INSERT INTO public.who_import VALUES (29946, '2020-03-08', 'FR', 'France', 'EURO', '103', '698', '1', '10');
INSERT INTO public.who_import VALUES (29947, '2020-03-09', 'FR', 'France', 'EURO', '410', '1108', '9', '19');
INSERT INTO public.who_import VALUES (29948, '2020-03-10', 'FR', 'France', 'EURO', '286', '1394', '11', '30');
INSERT INTO public.who_import VALUES (29949, '2020-03-11', 'FR', 'France', 'EURO', '371', '1765', '3', '33');
INSERT INTO public.who_import VALUES (29950, '2020-03-12', 'FR', 'France', 'EURO', '497', '2262', '15', '48');
INSERT INTO public.who_import VALUES (29951, '2020-03-13', 'FR', 'France', 'EURO', '586', '2848', '13', '61');
INSERT INTO public.who_import VALUES (29952, '2020-03-14', 'FR', 'France', 'EURO', '763', '3611', '18', '79');
INSERT INTO public.who_import VALUES (29953, '2020-03-15', 'FR', 'France', 'EURO', '825', '4436', '12', '91');
INSERT INTO public.who_import VALUES (29954, '2020-03-16', 'FR', 'France', 'EURO', '923', '5359', '36', '127');
INSERT INTO public.who_import VALUES (29955, '2020-03-17', 'FR', 'France', 'EURO', '1198', '6557', '21', '148');
INSERT INTO public.who_import VALUES (29956, '2020-03-18', 'FR', 'France', 'EURO', '1060', '7617', '27', '175');
INSERT INTO public.who_import VALUES (29957, '2020-03-19', 'FR', 'France', 'EURO', '1387', '9004', '69', '244');
INSERT INTO public.who_import VALUES (29958, '2020-03-20', 'FR', 'France', 'EURO', '1846', '10850', '128', '372');
INSERT INTO public.who_import VALUES (29959, '2020-03-21', 'FR', 'France', 'EURO', '1595', '12445', '78', '450');
INSERT INTO public.who_import VALUES (29960, '2020-03-22', 'FR', 'France', 'EURO', '1847', '14292', '112', '562');
INSERT INTO public.who_import VALUES (29961, '2020-03-23', 'FR', 'France', 'EURO', '1529', '15821', '112', '674');
INSERT INTO public.who_import VALUES (29962, '2020-03-24', 'FR', 'France', 'EURO', '3776', '19597', '186', '860');
INSERT INTO public.who_import VALUES (29963, '2020-03-25', 'FR', 'France', 'EURO', '2428', '22025', '240', '1100');
INSERT INTO public.who_import VALUES (29964, '2020-03-26', 'FR', 'France', 'EURO', '2895', '24920', '230', '1330');
INSERT INTO public.who_import VALUES (29965, '2020-03-27', 'FR', 'France', 'EURO', '3866', '28786', '365', '1695');
INSERT INTO public.who_import VALUES (29966, '2020-03-28', 'FR', 'France', 'EURO', '3748', '32534', '297', '1992');
INSERT INTO public.who_import VALUES (29967, '2020-03-29', 'FR', 'France', 'EURO', '4611', '37145', '319', '2311');
INSERT INTO public.who_import VALUES (29968, '2020-03-30', 'FR', 'France', 'EURO', '2491', '39636', '291', '2602');
INSERT INTO public.who_import VALUES (29969, '2020-03-31', 'FR', 'France', 'EURO', '4341', '43977', '415', '3017');
INSERT INTO public.who_import VALUES (29970, '2020-04-01', 'FR', 'France', 'EURO', '7500', '51477', '497', '3514');
INSERT INTO public.who_import VALUES (29971, '2020-04-02', 'FR', 'France', 'EURO', '4784', '56261', '505', '4019');
INSERT INTO public.who_import VALUES (29972, '2020-04-03', 'FR', 'France', 'EURO', '2066', '58327', '471', '4490');
INSERT INTO public.who_import VALUES (29973, '2020-04-04', 'FR', 'France', 'EURO', '5209', '63536', '2003', '6493');
INSERT INTO public.who_import VALUES (29974, '2020-04-05', 'FR', 'France', 'EURO', '4221', '67757', '1053', '7546');
INSERT INTO public.who_import VALUES (29975, '2020-04-06', 'FR', 'France', 'EURO', '1850', '69607', '518', '8064');
INSERT INTO public.who_import VALUES (29976, '2020-04-07', 'FR', 'France', 'EURO', '3881', '73488', '832', '8896');
INSERT INTO public.who_import VALUES (29977, '2020-04-08', 'FR', 'France', 'EURO', '3737', '77225', '1417', '10313');
INSERT INTO public.who_import VALUES (29978, '2020-04-09', 'FR', 'France', 'EURO', '3869', '81094', '540', '10853');
INSERT INTO public.who_import VALUES (29979, '2020-04-10', 'FR', 'France', 'EURO', '4256', '85350', '1339', '12192');
INSERT INTO public.who_import VALUES (29980, '2020-04-11', 'FR', 'France', 'EURO', '4333', '89683', '987', '13179');
INSERT INTO public.who_import VALUES (29981, '2020-04-12', 'FR', 'France', 'EURO', '3104', '92787', '635', '13814');
INSERT INTO public.who_import VALUES (29982, '2020-04-13', 'FR', 'France', 'EURO', '1595', '94382', '560', '14374');
INSERT INTO public.who_import VALUES (29983, '2020-04-14', 'FR', 'France', 'EURO', '2669', '97051', '572', '14946');
INSERT INTO public.who_import VALUES (29984, '2020-04-15', 'FR', 'France', 'EURO', '5483', '102534', '762', '15708');
INSERT INTO public.who_import VALUES (29985, '2020-04-16', 'FR', 'France', 'EURO', '2621', '105155', '1438', '17146');
INSERT INTO public.who_import VALUES (29986, '2020-04-17', 'FR', 'France', 'EURO', '2623', '107778', '753', '17899');
INSERT INTO public.who_import VALUES (29987, '2020-04-18', 'FR', 'France', 'EURO', '385', '108163', '760', '18659');
INSERT INTO public.who_import VALUES (29988, '2020-04-19', 'FR', 'France', 'EURO', '2558', '110721', '636', '19295');
INSERT INTO public.who_import VALUES (29989, '2020-04-20', 'FR', 'France', 'EURO', '742', '111463', '395', '19690');
INSERT INTO public.who_import VALUES (29990, '2020-04-21', 'FR', 'France', 'EURO', '2050', '113513', '544', '20234');
INSERT INTO public.who_import VALUES (29991, '2020-04-22', 'FR', 'France', 'EURO', '2638', '116151', '531', '20765');
INSERT INTO public.who_import VALUES (29992, '2020-04-23', 'FR', 'France', 'EURO', '1810', '117961', '544', '21309');
INSERT INTO public.who_import VALUES (29993, '2020-04-24', 'FR', 'France', 'EURO', '1623', '119584', '516', '21825');
INSERT INTO public.who_import VALUES (29994, '2020-04-25', 'FR', 'France', 'EURO', '1755', '121339', '389', '22214');
INSERT INTO public.who_import VALUES (29995, '2020-04-26', 'FR', 'France', 'EURO', '1537', '122876', '368', '22582');
INSERT INTO public.who_import VALUES (29996, '2020-04-27', 'FR', 'France', 'EURO', '404', '123280', '242', '22824');
INSERT INTO public.who_import VALUES (29997, '2020-04-28', 'FR', 'France', 'EURO', '1160', '124440', '437', '23261');
INSERT INTO public.who_import VALUES (29998, '2020-04-29', 'FR', 'France', 'EURO', '1025', '125465', '366', '23627');
INSERT INTO public.who_import VALUES (29999, '2020-04-30', 'FR', 'France', 'EURO', '1601', '127066', '427', '24054');
INSERT INTO public.who_import VALUES (30000, '2020-05-01', 'FR', 'France', 'EURO', '1055', '128121', '288', '24342');
INSERT INTO public.who_import VALUES (30001, '2020-05-02', 'FR', 'France', 'EURO', '601', '128722', '218', '24560');
INSERT INTO public.who_import VALUES (30002, '2020-05-03', 'FR', 'France', 'EURO', '736', '129458', '164', '24724');
INSERT INTO public.who_import VALUES (30003, '2020-05-04', 'FR', 'France', 'EURO', '250', '129708', '135', '24859');
INSERT INTO public.who_import VALUES (30004, '2020-05-05', 'FR', 'France', 'EURO', '534', '130242', '306', '25165');
INSERT INTO public.who_import VALUES (30005, '2020-05-06', 'FR', 'France', 'EURO', '1050', '131292', '326', '25491');
INSERT INTO public.who_import VALUES (30006, '2020-05-07', 'FR', 'France', 'EURO', '4176', '135468', '278', '25769');
INSERT INTO public.who_import VALUES (30007, '2020-05-08', 'FR', 'France', 'EURO', '512', '135980', '177', '25946');
INSERT INTO public.who_import VALUES (30008, '2020-05-09', 'FR', 'France', 'EURO', '598', '136578', '242', '26188');
INSERT INTO public.who_import VALUES (30009, '2020-05-10', 'FR', 'France', 'EURO', '430', '137008', '80', '26268');
INSERT INTO public.who_import VALUES (30010, '2020-05-11', 'FR', 'France', 'EURO', '65', '137073', '70', '26338');
INSERT INTO public.who_import VALUES (30011, '2020-05-12', 'FR', 'France', 'EURO', '418', '137491', '262', '26600');
INSERT INTO public.who_import VALUES (30012, '2020-05-13', 'FR', 'France', 'EURO', '670', '138161', '348', '26948');
INSERT INTO public.who_import VALUES (30013, '2020-05-14', 'FR', 'France', 'EURO', '448', '138609', '81', '27029');
INSERT INTO public.who_import VALUES (30014, '2020-05-15', 'FR', 'France', 'EURO', '543', '139152', '349', '27378');
INSERT INTO public.who_import VALUES (30015, '2020-05-16', 'FR', 'France', 'EURO', '494', '139646', '130', '27508');
INSERT INTO public.who_import VALUES (30016, '2020-05-17', 'FR', 'France', 'EURO', '362', '140008', '88', '27596');
INSERT INTO public.who_import VALUES (30017, '2020-05-18', 'FR', 'France', 'EURO', '28', '140036', '66', '27662');
INSERT INTO public.who_import VALUES (30018, '2020-05-19', 'FR', 'France', 'EURO', '461', '140497', '186', '27848');
INSERT INTO public.who_import VALUES (30019, '2020-05-20', 'FR', 'France', 'EURO', '462', '140959', '124', '27972');
INSERT INTO public.who_import VALUES (30020, '2020-05-21', 'FR', 'France', 'EURO', '353', '141312', '109', '28081');
INSERT INTO public.who_import VALUES (30021, '2020-05-22', 'FR', 'France', 'EURO', '278', '141590', '83', '28164');
INSERT INTO public.who_import VALUES (30022, '2020-05-23', 'FR', 'France', 'EURO', '359', '141949', '74', '28238');
INSERT INTO public.who_import VALUES (30023, '2020-05-24', 'FR', 'France', 'EURO', '224', '142173', '43', '28281');
INSERT INTO public.who_import VALUES (30024, '2020-05-25', 'FR', 'France', 'EURO', '31', '142204', '34', '28315');
INSERT INTO public.who_import VALUES (30025, '2020-05-26', 'FR', 'France', 'EURO', '278', '142482', '64', '28379');
INSERT INTO public.who_import VALUES (30026, '2020-05-27', 'FR', 'France', 'EURO', '222', '142704', '98', '28477');
INSERT INTO public.who_import VALUES (30027, '2020-05-28', 'FR', 'France', 'EURO', '148', '142852', '66', '28543');
INSERT INTO public.who_import VALUES (30028, '2020-05-29', 'FR', 'France', 'EURO', '3270', '146122', '65', '28608');
INSERT INTO public.who_import VALUES (30029, '2020-05-30', 'FR', 'France', 'EURO', '535', '146657', '52', '28660');
INSERT INTO public.who_import VALUES (30030, '2020-05-31', 'FR', 'France', 'EURO', '1779', '148436', '57', '28717');
INSERT INTO public.who_import VALUES (30031, '2020-06-01', 'FR', 'France', 'EURO', '88', '148524', '29', '28746');
INSERT INTO public.who_import VALUES (30032, '2020-06-02', 'FR', 'France', 'EURO', '251', '148775', '30', '28776');
INSERT INTO public.who_import VALUES (30033, '2020-06-03', 'FR', 'France', 'EURO', '-840', '147935', '107', '28883');
INSERT INTO public.who_import VALUES (30034, '2020-06-04', 'FR', 'France', 'EURO', '328', '148263', '81', '28964');
INSERT INTO public.who_import VALUES (30035, '2020-06-05', 'FR', 'France', 'EURO', '678', '148941', '43', '29007');
INSERT INTO public.who_import VALUES (30036, '2020-06-06', 'FR', 'France', 'EURO', '554', '149495', '46', '29053');
INSERT INTO public.who_import VALUES (30037, '2020-06-07', 'FR', 'France', 'EURO', '527', '150022', '31', '29084');
INSERT INTO public.who_import VALUES (30038, '2020-06-08', 'FR', 'France', 'EURO', '293', '150315', '13', '29097');
INSERT INTO public.who_import VALUES (30039, '2020-06-09', 'FR', 'France', 'EURO', '98', '150413', '52', '29149');
INSERT INTO public.who_import VALUES (30040, '2020-06-10', 'FR', 'France', 'EURO', '335', '150748', '85', '29234');
INSERT INTO public.who_import VALUES (30041, '2020-06-11', 'FR', 'France', 'EURO', '417', '151165', '23', '29257');
INSERT INTO public.who_import VALUES (30042, '2020-06-12', 'FR', 'France', 'EURO', '338', '151503', '27', '29284');
INSERT INTO public.who_import VALUES (30043, '2020-06-13', 'FR', 'France', 'EURO', '564', '152067', '28', '29312');
INSERT INTO public.who_import VALUES (30044, '2020-06-14', 'FR', 'France', 'EURO', '393', '152460', '23', '29335');
INSERT INTO public.who_import VALUES (30045, '2020-06-15', 'FR', 'France', 'EURO', '307', '152767', '8', '29343');
INSERT INTO public.who_import VALUES (30046, '2020-06-16', 'FR', 'France', 'EURO', '52', '152819', '30', '29373');
INSERT INTO public.who_import VALUES (30047, '2020-06-17', 'FR', 'France', 'EURO', '226', '153045', '108', '29481');
INSERT INTO public.who_import VALUES (30048, '2020-06-18', 'FR', 'France', 'EURO', '311', '153356', '28', '29509');
INSERT INTO public.who_import VALUES (30049, '2020-06-19', 'FR', 'France', 'EURO', '201', '153557', '28', '29537');
INSERT INTO public.who_import VALUES (30050, '2020-06-20', 'FR', 'France', 'EURO', '584', '154141', '14', '29551');
INSERT INTO public.who_import VALUES (30051, '2020-06-21', 'FR', 'France', 'EURO', '421', '154562', '14', '29565');
INSERT INTO public.who_import VALUES (30052, '2020-06-22', 'FR', 'France', 'EURO', '5', '154567', '6', '29571');
INSERT INTO public.who_import VALUES (30053, '2020-06-23', 'FR', 'France', 'EURO', '325', '154892', '20', '29591');
INSERT INTO public.who_import VALUES (30054, '2020-06-24', 'FR', 'France', 'EURO', '364', '155256', '57', '29648');
INSERT INTO public.who_import VALUES (30055, '2020-06-25', 'FR', 'France', 'EURO', '0', '155256', '0', '29648');
INSERT INTO public.who_import VALUES (30056, '2020-06-26', 'FR', 'France', 'EURO', '0', '155256', '27', '29675');
INSERT INTO public.who_import VALUES (30057, '2020-06-27', 'FR', 'France', 'EURO', '900', '156156', '25', '29700');
INSERT INTO public.who_import VALUES (30058, '2020-06-28', 'FR', 'France', 'EURO', '0', '156156', '0', '29700');
INSERT INTO public.who_import VALUES (30059, '2020-06-29', 'FR', 'France', 'EURO', '0', '156156', '0', '29700');
INSERT INTO public.who_import VALUES (30060, '2020-06-30', 'FR', 'France', 'EURO', '731', '156887', '30', '29730');
INSERT INTO public.who_import VALUES (30061, '2020-07-01', 'FR', 'France', 'EURO', '307', '157194', '30', '29760');
INSERT INTO public.who_import VALUES (30062, '2020-07-02', 'FR', 'France', 'EURO', '612', '157806', '17', '29777');
INSERT INTO public.who_import VALUES (30063, '2020-07-03', 'FR', 'France', 'EURO', '480', '158286', '14', '29791');
INSERT INTO public.who_import VALUES (30064, '2020-07-04', 'FR', 'France', 'EURO', '448', '158734', '17', '29808');
INSERT INTO public.who_import VALUES (30065, '2020-07-05', 'FR', 'France', 'EURO', '0', '158734', '0', '29808');
INSERT INTO public.who_import VALUES (30066, '2020-07-06', 'FR', 'France', 'EURO', '0', '158734', '0', '29808');
INSERT INTO public.who_import VALUES (30067, '2020-07-07', 'FR', 'France', 'EURO', '834', '159568', '23', '29831');
INSERT INTO public.who_import VALUES (30068, '2020-07-08', 'FR', 'France', 'EURO', '341', '159909', '11', '29842');
INSERT INTO public.who_import VALUES (30069, '2020-07-09', 'FR', 'France', 'EURO', '370', '160279', '31', '29873');
INSERT INTO public.who_import VALUES (30070, '2020-07-10', 'FR', 'France', 'EURO', '504', '160783', '13', '29886');
INSERT INTO public.who_import VALUES (30071, '2020-07-11', 'FR', 'France', 'EURO', '492', '161275', '24', '29910');
INSERT INTO public.who_import VALUES (30072, '2020-07-12', 'FR', 'France', 'EURO', '0', '161275', '0', '29910');
INSERT INTO public.who_import VALUES (30073, '2020-07-13', 'FR', 'France', 'EURO', '0', '161275', '0', '29910');
INSERT INTO public.who_import VALUES (30074, '2020-07-14', 'FR', 'France', 'EURO', '1115', '162390', '18', '29928');
INSERT INTO public.who_import VALUES (30075, '2020-07-15', 'FR', 'France', 'EURO', '0', '162390', '0', '29928');
INSERT INTO public.who_import VALUES (30076, '2020-07-16', 'FR', 'France', 'EURO', '767', '163157', '87', '30015');
INSERT INTO public.who_import VALUES (30077, '2020-07-17', 'FR', 'France', 'EURO', '393', '163550', '17', '30032');
INSERT INTO public.who_import VALUES (30078, '2020-07-18', 'FR', 'France', 'EURO', '697', '164247', '14', '30046');
INSERT INTO public.who_import VALUES (30079, '2020-07-19', 'FR', 'France', 'EURO', '0', '164247', '0', '30046');
INSERT INTO public.who_import VALUES (30080, '2020-07-20', 'FR', 'France', 'EURO', '0', '164247', '0', '30046');
INSERT INTO public.who_import VALUES (30081, '2020-07-21', 'FR', 'France', 'EURO', '1810', '166057', '8', '30054');
INSERT INTO public.who_import VALUES (30082, '2020-07-22', 'FR', 'France', 'EURO', '454', '166511', '-1', '30053');
INSERT INTO public.who_import VALUES (30083, '2020-07-23', 'FR', 'France', 'EURO', '945', '167456', '7', '30060');
INSERT INTO public.who_import VALUES (30084, '2020-07-24', 'FR', 'France', 'EURO', '835', '168291', '9', '30069');
INSERT INTO public.who_import VALUES (30085, '2020-07-25', 'FR', 'France', 'EURO', '931', '169222', '9', '30078');
INSERT INTO public.who_import VALUES (30086, '2020-07-26', 'FR', 'France', 'EURO', '0', '169222', '0', '30078');
INSERT INTO public.who_import VALUES (30087, '2020-07-27', 'FR', 'France', 'EURO', '0', '169222', '0', '30078');
INSERT INTO public.who_import VALUES (30088, '2020-07-28', 'FR', 'France', 'EURO', '2254', '171476', '15', '30093');
INSERT INTO public.who_import VALUES (30089, '2020-07-29', 'FR', 'France', 'EURO', '672', '172148', '12', '30105');
INSERT INTO public.who_import VALUES (30090, '2020-07-30', 'FR', 'France', 'EURO', '1261', '173409', '15', '30120');
INSERT INTO public.who_import VALUES (30091, '2020-07-31', 'FR', 'France', 'EURO', '1239', '174648', '16', '30136');
INSERT INTO public.who_import VALUES (30092, '2020-08-01', 'FR', 'France', 'EURO', '1272', '175920', '11', '30147');
INSERT INTO public.who_import VALUES (30093, '2020-08-02', 'FR', 'France', 'EURO', '0', '175920', '0', '30147');
INSERT INTO public.who_import VALUES (30094, '2020-08-03', 'FR', 'France', 'EURO', '0', '175920', '0', '30147');
INSERT INTO public.who_import VALUES (30095, '2020-08-04', 'FR', 'France', 'EURO', '3152', '179072', '28', '30175');
INSERT INTO public.who_import VALUES (30096, '2020-08-05', 'FR', 'France', 'EURO', '965', '180037', '1', '30176');
INSERT INTO public.who_import VALUES (30097, '2020-08-06', 'FR', 'France', 'EURO', '1615', '181652', '6', '30182');
INSERT INTO public.who_import VALUES (30098, '2020-08-07', 'FR', 'France', 'EURO', '1520', '183172', '7', '30189');
INSERT INTO public.who_import VALUES (30099, '2020-08-08', 'FR', 'France', 'EURO', '2181', '185353', '12', '30201');
INSERT INTO public.who_import VALUES (30100, '2020-08-09', 'FR', 'France', 'EURO', '0', '185353', '0', '30201');
INSERT INTO public.who_import VALUES (30101, '2020-08-10', 'FR', 'France', 'EURO', '0', '185353', '0', '30201');
INSERT INTO public.who_import VALUES (30102, '2020-08-11', 'FR', 'France', 'EURO', '4619', '189972', '13', '30214');
INSERT INTO public.who_import VALUES (30103, '2020-08-12', 'FR', 'France', 'EURO', '1293', '191265', '13', '30227');
INSERT INTO public.who_import VALUES (30104, '2020-08-13', 'FR', 'France', 'EURO', '2429', '193694', '16', '30243');
INSERT INTO public.who_import VALUES (30105, '2020-08-14', 'FR', 'France', 'EURO', '2515', '196209', '16', '30259');
INSERT INTO public.who_import VALUES (30106, '2020-08-15', 'FR', 'France', 'EURO', '2667', '198876', '16', '30275');
INSERT INTO public.who_import VALUES (30107, '2020-08-16', 'FR', 'France', 'EURO', '3242', '202118', '2', '30277');
INSERT INTO public.who_import VALUES (30108, '2020-08-17', 'FR', 'France', 'EURO', '2947', '205065', '1', '30278');
INSERT INTO public.who_import VALUES (30109, '2020-08-18', 'FR', 'France', 'EURO', '315', '205380', '18', '30296');
INSERT INTO public.who_import VALUES (30110, '2020-08-19', 'FR', 'France', 'EURO', '2165', '207545', '22', '30318');
INSERT INTO public.who_import VALUES (30111, '2020-08-20', 'FR', 'France', 'EURO', '3680', '211225', '16', '30334');
INSERT INTO public.who_import VALUES (30112, '2020-08-21', 'FR', 'France', 'EURO', '4688', '215913', '12', '30346');
INSERT INTO public.who_import VALUES (30113, '2020-08-22', 'FR', 'France', 'EURO', '4396', '220309', '22', '30368');
INSERT INTO public.who_import VALUES (30114, '2020-08-23', 'FR', 'France', 'EURO', '3110', '223419', '8', '30376');
INSERT INTO public.who_import VALUES (30115, '2020-08-24', 'FR', 'France', 'EURO', '4805', '228224', '1', '30377');
INSERT INTO public.who_import VALUES (30116, '2020-08-25', 'FR', 'France', 'EURO', '1842', '230066', '18', '30395');
INSERT INTO public.who_import VALUES (30117, '2020-08-26', 'FR', 'France', 'EURO', '3227', '233293', '16', '30411');
INSERT INTO public.who_import VALUES (30118, '2020-08-27', 'FR', 'France', 'EURO', '4998', '238291', '0', '30411');
INSERT INTO public.who_import VALUES (30119, '2020-08-28', 'FR', 'France', 'EURO', '5963', '244254', '29', '30440');
INSERT INTO public.who_import VALUES (30120, '2020-08-29', 'FR', 'France', 'EURO', '7262', '251516', '20', '30460');
INSERT INTO public.who_import VALUES (30121, '2020-08-30', 'FR', 'France', 'EURO', '5313', '256829', '5', '30465');
INSERT INTO public.who_import VALUES (30122, '2020-08-31', 'FR', 'France', 'EURO', '5126', '261955', '2', '30467');
INSERT INTO public.who_import VALUES (30123, '2020-09-01', 'FR', 'France', 'EURO', '2998', '264953', '27', '30494');
INSERT INTO public.who_import VALUES (30124, '2020-09-02', 'FR', 'France', 'EURO', '4765', '269718', '23', '30517');
INSERT INTO public.who_import VALUES (30125, '2020-09-03', 'FR', 'France', 'EURO', '6748', '276466', '22', '30539');
INSERT INTO public.who_import VALUES (30126, '2020-09-04', 'FR', 'France', 'EURO', '6799', '283265', '-3', '30536');
INSERT INTO public.who_import VALUES (30127, '2020-09-05', 'FR', 'France', 'EURO', '8860', '292125', '-1', '30535');
INSERT INTO public.who_import VALUES (30128, '2020-09-06', 'FR', 'France', 'EURO', '8386', '300511', '11', '30546');
INSERT INTO public.who_import VALUES (30129, '2020-09-07', 'FR', 'France', 'EURO', '6961', '307472', '1', '30547');
INSERT INTO public.who_import VALUES (30130, '2020-09-08', 'FR', 'France', 'EURO', '4115', '311587', '25', '30572');
INSERT INTO public.who_import VALUES (30131, '2020-09-09', 'FR', 'France', 'EURO', '5519', '317106', '35', '30607');
INSERT INTO public.who_import VALUES (30132, '2020-09-10', 'FR', 'France', 'EURO', '8294', '325400', '29', '30636');
INSERT INTO public.who_import VALUES (30133, '2020-09-11', 'FR', 'France', 'EURO', '9685', '335085', '18', '30654');
INSERT INTO public.who_import VALUES (30134, '2020-09-12', 'FR', 'France', 'EURO', '9260', '344345', '80', '30734');
INSERT INTO public.who_import VALUES (30135, '2020-09-13', 'FR', 'France', 'EURO', '9641', '353986', '15', '30749');
INSERT INTO public.who_import VALUES (30136, '2020-09-14', 'FR', 'France', 'EURO', '7101', '361087', '6', '30755');
INSERT INTO public.who_import VALUES (30137, '2020-09-15', 'FR', 'France', 'EURO', '5893', '366980', '34', '30789');
INSERT INTO public.who_import VALUES (30138, '2020-09-16', 'FR', 'France', 'EURO', '7720', '374700', '48', '30837');
INSERT INTO public.who_import VALUES (30139, '2020-09-17', 'FR', 'France', 'EURO', '9138', '383838', '43', '30880');
INSERT INTO public.who_import VALUES (30140, '2020-09-18', 'FR', 'France', 'EURO', '10468', '394306', '50', '30930');
INSERT INTO public.who_import VALUES (30141, '2020-09-19', 'FR', 'France', 'EURO', '13084', '407390', '154', '31084');
INSERT INTO public.who_import VALUES (30142, '2020-09-20', 'FR', 'France', 'EURO', '13465', '420855', '25', '31109');
INSERT INTO public.who_import VALUES (30143, '2020-09-21', 'FR', 'France', 'EURO', '11569', '432424', '11', '31120');
INSERT INTO public.who_import VALUES (30144, '2020-09-22', 'FR', 'France', 'EURO', '4057', '436481', '52', '31172');
INSERT INTO public.who_import VALUES (30145, '2020-09-23', 'FR', 'France', 'EURO', '8921', '445402', '62', '31234');
INSERT INTO public.who_import VALUES (30146, '2020-09-24', 'FR', 'France', 'EURO', '12734', '458136', '39', '31273');
INSERT INTO public.who_import VALUES (30147, '2020-09-25', 'FR', 'France', 'EURO', '16068', '474204', '52', '31325');
INSERT INTO public.who_import VALUES (30148, '2020-09-26', 'FR', 'France', 'EURO', '15572', '489776', '150', '31475');
INSERT INTO public.who_import VALUES (30149, '2020-09-27', 'FR', 'France', 'EURO', '13886', '503662', '39', '31514');
INSERT INTO public.who_import VALUES (30150, '2020-09-28', 'FR', 'France', 'EURO', '11123', '514785', '27', '31541');
INSERT INTO public.who_import VALUES (30151, '2020-09-29', 'FR', 'France', 'EURO', '3841', '518626', '67', '31608');
INSERT INTO public.who_import VALUES (30152, '2020-09-30', 'FR', 'France', 'EURO', '7779', '526405', '82', '31690');
INSERT INTO public.who_import VALUES (30153, '2020-10-01', 'FR', 'France', 'EURO', '11889', '538294', '56', '31746');
INSERT INTO public.who_import VALUES (30154, '2020-10-02', 'FR', 'France', 'EURO', '13959', '552253', '62', '31808');
INSERT INTO public.who_import VALUES (30155, '2020-10-03', 'FR', 'France', 'EURO', '11543', '563796', '118', '31926');
INSERT INTO public.who_import VALUES (30156, '2020-10-04', 'FR', 'France', 'EURO', '16911', '580707', '43', '31969');
INSERT INTO public.who_import VALUES (30157, '2020-10-05', 'FR', 'France', 'EURO', '12545', '593252', '32', '32001');
INSERT INTO public.who_import VALUES (30158, '2020-10-06', 'FR', 'France', 'EURO', '4813', '598065', '68', '32069');
INSERT INTO public.who_import VALUES (30159, '2020-10-07', 'FR', 'France', 'EURO', '10476', '608541', '65', '32134');
INSERT INTO public.who_import VALUES (30160, '2020-10-08', 'FR', 'France', 'EURO', '17932', '626473', '77', '32211');
INSERT INTO public.who_import VALUES (30161, '2020-10-09', 'FR', 'France', 'EURO', '18104', '644577', '76', '32287');
INSERT INTO public.who_import VALUES (30162, '2020-10-10', 'FR', 'France', 'EURO', '20120', '664697', '90', '32377');
INSERT INTO public.who_import VALUES (30163, '2020-10-11', 'FR', 'France', 'EURO', '26675', '691372', '54', '32431');
INSERT INTO public.who_import VALUES (30164, '2020-10-12', 'FR', 'France', 'EURO', '16101', '707473', '46', '32477');
INSERT INTO public.who_import VALUES (30165, '2020-10-13', 'FR', 'France', 'EURO', '8295', '715768', '94', '32571');
INSERT INTO public.who_import VALUES (30166, '2020-10-14', 'FR', 'France', 'EURO', '12981', '728749', '108', '32679');
INSERT INTO public.who_import VALUES (30167, '2020-10-15', 'FR', 'France', 'EURO', '21696', '750445', '101', '32780');
INSERT INTO public.who_import VALUES (30168, '2020-10-16', 'FR', 'France', 'EURO', '30553', '780998', '88', '32868');
INSERT INTO public.who_import VALUES (30169, '2020-10-17', 'FR', 'France', 'EURO', '24724', '805722', '162', '33030');
INSERT INTO public.who_import VALUES (30170, '2020-10-18', 'FR', 'France', 'EURO', '32427', '838149', '89', '33119');
INSERT INTO public.who_import VALUES (30171, '2020-10-19', 'FR', 'France', 'EURO', '29833', '867982', '85', '33204');
INSERT INTO public.who_import VALUES (30172, '2020-10-20', 'FR', 'France', 'EURO', '12944', '880926', '146', '33350');
INSERT INTO public.who_import VALUES (30173, '2020-10-21', 'FR', 'France', 'EURO', '20424', '901350', '261', '33611');
INSERT INTO public.who_import VALUES (30174, '2020-10-22', 'FR', 'France', 'EURO', '25820', '927170', '155', '33766');
INSERT INTO public.who_import VALUES (30175, '2020-10-23', 'FR', 'France', 'EURO', '41563', '968733', '162', '33928');
INSERT INTO public.who_import VALUES (30176, '2020-10-24', 'FR', 'France', 'EURO', '41825', '1010558', '297', '34225');
INSERT INTO public.who_import VALUES (30177, '2020-10-25', 'FR', 'France', 'EURO', '45388', '1055946', '137', '34362');
INSERT INTO public.who_import VALUES (30178, '2020-10-26', 'FR', 'France', 'EURO', '51849', '1107795', '105', '34467');
INSERT INTO public.who_import VALUES (30179, '2020-10-27', 'FR', 'France', 'EURO', '26505', '1134300', '255', '34722');
INSERT INTO public.who_import VALUES (30180, '2020-10-28', 'FR', 'France', 'EURO', '33405', '1167705', '522', '35244');
INSERT INTO public.who_import VALUES (30181, '2020-10-29', 'FR', 'France', 'EURO', '35367', '1203072', '240', '35484');
INSERT INTO public.who_import VALUES (30182, '2020-10-30', 'FR', 'France', 'EURO', '47616', '1250688', '235', '35719');
INSERT INTO public.who_import VALUES (30183, '2020-10-31', 'FR', 'France', 'EURO', '48594', '1299282', '544', '36263');
INSERT INTO public.who_import VALUES (30184, '2020-11-01', 'FR', 'France', 'EURO', '32530', '1331812', '223', '36486');
INSERT INTO public.who_import VALUES (30185, '2020-11-02', 'FR', 'France', 'EURO', '49290', '1381102', '231', '36717');
INSERT INTO public.who_import VALUES (30186, '2020-11-03', 'FR', 'France', 'EURO', '52156', '1433258', '411', '37128');
INSERT INTO public.who_import VALUES (30187, '2020-11-04', 'FR', 'France', 'EURO', '36254', '1469512', '854', '37982');
INSERT INTO public.who_import VALUES (30188, '2020-11-05', 'FR', 'France', 'EURO', '39807', '1509319', '373', '38355');
INSERT INTO public.who_import VALUES (30189, '2020-11-06', 'FR', 'France', 'EURO', '58016', '1567335', '363', '38718');
INSERT INTO public.who_import VALUES (30190, '2020-11-07', 'FR', 'France', 'EURO', '60232', '1627567', '827', '39545');
INSERT INTO public.who_import VALUES (30191, '2020-11-08', 'FR', 'France', 'EURO', '86794', '1714361', '304', '39849');
INSERT INTO public.who_import VALUES (30192, '2020-11-09', 'FR', 'France', 'EURO', '38619', '1752980', '270', '40119');
INSERT INTO public.who_import VALUES (30193, '2020-11-10', 'FR', 'France', 'EURO', '19571', '1772551', '546', '40665');
INSERT INTO public.who_import VALUES (30194, '2020-11-11', 'FR', 'France', 'EURO', '22166', '1794717', '1220', '41885');
INSERT INTO public.who_import VALUES (30195, '2020-11-12', 'FR', 'France', 'EURO', '34971', '1829688', '318', '42203');
INSERT INTO public.who_import VALUES (30196, '2020-11-13', 'FR', 'France', 'EURO', '32978', '1862666', '425', '42628');
INSERT INTO public.who_import VALUES (30197, '2020-11-14', 'FR', 'France', 'EURO', '23620', '1886286', '931', '43559');
INSERT INTO public.who_import VALUES (30198, '2020-11-15', 'FR', 'France', 'EURO', '32059', '1918345', '354', '43913');
INSERT INTO public.who_import VALUES (30199, '2020-11-16', 'FR', 'France', 'EURO', '27123', '1945468', '302', '44215');
INSERT INTO public.who_import VALUES (30200, '2020-11-17', 'FR', 'France', 'EURO', '9094', '1954562', '504', '44719');
INSERT INTO public.who_import VALUES (30201, '2020-11-18', 'FR', 'France', 'EURO', '45498', '2000060', '1219', '45938');
INSERT INTO public.who_import VALUES (30202, '2020-11-19', 'FR', 'France', 'EURO', '27667', '2027727', '413', '46351');
INSERT INTO public.who_import VALUES (30203, '2020-11-20', 'FR', 'France', 'EURO', '21130', '2048857', '429', '46780');
INSERT INTO public.who_import VALUES (30204, '2020-11-21', 'FR', 'France', 'EURO', '22642', '2071499', '1137', '47917');
INSERT INTO public.who_import VALUES (30205, '2020-11-22', 'FR', 'France', 'EURO', '17854', '2089353', '253', '48170');
INSERT INTO public.who_import VALUES (30206, '2020-11-23', 'FR', 'France', 'EURO', '13157', '2102510', '214', '48384');
INSERT INTO public.who_import VALUES (30207, '2020-11-24', 'FR', 'France', 'EURO', '4150', '2106660', '499', '48883');
INSERT INTO public.who_import VALUES (30208, '2020-11-25', 'FR', 'France', 'EURO', '9118', '2115778', '1005', '49888');
INSERT INTO public.who_import VALUES (30209, '2020-11-26', 'FR', 'France', 'EURO', '15598', '2131376', '371', '50259');
INSERT INTO public.who_import VALUES (30210, '2020-11-27', 'FR', 'France', 'EURO', '13541', '2144917', '339', '50598');
INSERT INTO public.who_import VALUES (30211, '2020-11-28', 'FR', 'France', 'EURO', '12415', '2157332', '956', '51554');
INSERT INTO public.who_import VALUES (30212, '2020-11-29', 'FR', 'France', 'EURO', '12479', '2169811', '213', '51767');
INSERT INTO public.who_import VALUES (30213, '2020-11-30', 'FR', 'France', 'EURO', '9670', '2179481', '198', '51965');
INSERT INTO public.who_import VALUES (30214, '2020-12-01', 'FR', 'France', 'EURO', '3794', '2183275', '406', '52371');
INSERT INTO public.who_import VALUES (30215, '2020-12-02', 'FR', 'France', 'EURO', '7999', '2191274', '775', '53146');
INSERT INTO public.who_import VALUES (30216, '2020-12-03', 'FR', 'France', 'EURO', '13938', '2205212', '309', '53455');
INSERT INTO public.who_import VALUES (30217, '2020-12-04', 'FR', 'France', 'EURO', '12661', '2217873', '324', '53779');
INSERT INTO public.who_import VALUES (30218, '2020-12-05', 'FR', 'France', 'EURO', '11107', '2228980', '625', '54404');
INSERT INTO public.who_import VALUES (30219, '2020-12-06', 'FR', 'France', 'EURO', '12850', '2241830', '214', '54618');
INSERT INTO public.who_import VALUES (30220, '2020-12-07', 'FR', 'France', 'EURO', '11022', '2252852', '174', '54792');
INSERT INTO public.who_import VALUES (30221, '2020-12-08', 'FR', 'France', 'EURO', '3103', '2255955', '366', '55158');
INSERT INTO public.who_import VALUES (30222, '2020-12-09', 'FR', 'France', 'EURO', '13658', '2269613', '828', '55986');
INSERT INTO public.who_import VALUES (30223, '2020-12-10', 'FR', 'France', 'EURO', '14139', '2283752', '294', '56280');
INSERT INTO public.who_import VALUES (30224, '2020-12-11', 'FR', 'France', 'EURO', '13673', '2297425', '292', '56572');
INSERT INTO public.who_import VALUES (30225, '2020-12-12', 'FR', 'France', 'EURO', '13276', '2310701', '626', '57198');
INSERT INTO public.who_import VALUES (30226, '2020-12-13', 'FR', 'France', 'EURO', '13902', '2324603', '194', '57392');
INSERT INTO public.who_import VALUES (30227, '2020-12-14', 'FR', 'France', 'EURO', '11533', '2336136', '150', '57542');
INSERT INTO public.who_import VALUES (30228, '2020-12-15', 'FR', 'France', 'EURO', '2590', '2338726', '368', '57910');
INSERT INTO public.who_import VALUES (30229, '2020-12-16', 'FR', 'France', 'EURO', '11481', '2350207', '790', '58700');
INSERT INTO public.who_import VALUES (30230, '2020-12-17', 'FR', 'France', 'EURO', '17441', '2367648', '289', '58989');
INSERT INTO public.who_import VALUES (30231, '2020-12-18', 'FR', 'France', 'EURO', '18025', '2385673', '256', '59245');
INSERT INTO public.who_import VALUES (30232, '2020-12-19', 'FR', 'France', 'EURO', '15440', '2401113', '610', '59855');
INSERT INTO public.who_import VALUES (30233, '2020-12-20', 'FR', 'France', 'EURO', '17326', '2418439', '188', '60043');
INSERT INTO public.who_import VALUES (30234, '2020-12-21', 'FR', 'France', 'EURO', '12798', '2431237', '131', '60174');
INSERT INTO public.who_import VALUES (30235, '2020-12-22', 'FR', 'France', 'EURO', '5636', '2436873', '351', '60525');
INSERT INTO public.who_import VALUES (30236, '2020-12-23', 'FR', 'France', 'EURO', '11670', '2448543', '801', '61326');
INSERT INTO public.who_import VALUES (30237, '2020-12-24', 'FR', 'France', 'EURO', '14836', '2463379', '276', '61602');
INSERT INTO public.who_import VALUES (30238, '2020-12-25', 'FR', 'France', 'EURO', '21496', '2484875', '290', '61892');
INSERT INTO public.who_import VALUES (30239, '2020-12-26', 'FR', 'France', 'EURO', '20198', '2505073', '159', '62051');
INSERT INTO public.who_import VALUES (30240, '2020-12-27', 'FR', 'France', 'EURO', '2459', '2507532', '146', '62197');
INSERT INTO public.who_import VALUES (30241, '2020-12-28', 'FR', 'France', 'EURO', '8816', '2516348', '173', '62370');
INSERT INTO public.who_import VALUES (30242, '2020-12-29', 'FR', 'France', 'EURO', '2757', '2519105', '362', '62732');
INSERT INTO public.who_import VALUES (30243, '2020-12-30', 'FR', 'France', 'EURO', '11295', '2530400', '969', '63701');
INSERT INTO public.who_import VALUES (30244, '2020-12-31', 'FR', 'France', 'EURO', '26308', '2556708', '303', '64004');
INSERT INTO public.who_import VALUES (30245, '2021-01-01', 'FR', 'France', 'EURO', '19712', '2576420', '250', '64254');
INSERT INTO public.who_import VALUES (30246, '2021-01-02', 'FR', 'France', 'EURO', '19241', '2595661', '133', '64387');
INSERT INTO public.who_import VALUES (30247, '2021-01-03', 'FR', 'France', 'EURO', '3466', '2599127', '156', '64543');
INSERT INTO public.who_import VALUES (30248, '2021-01-04', 'FR', 'France', 'EURO', '12489', '2611616', '116', '64659');
INSERT INTO public.who_import VALUES (30249, '2021-01-05', 'FR', 'France', 'EURO', '3569', '2615185', '376', '65035');
INSERT INTO public.who_import VALUES (30250, '2021-01-06', 'FR', 'France', 'EURO', '20366', '2635551', '867', '65902');
INSERT INTO public.who_import VALUES (30251, '2021-01-07', 'FR', 'France', 'EURO', '25189', '2660740', '282', '66184');
INSERT INTO public.who_import VALUES (30252, '2021-01-08', 'FR', 'France', 'EURO', '21510', '2682250', '276', '66460');
INSERT INTO public.who_import VALUES (30253, '2021-01-09', 'FR', 'France', 'EURO', '19408', '2701658', '589', '67049');
INSERT INTO public.who_import VALUES (30254, '2021-01-10', 'FR', 'France', 'EURO', '20034', '2721692', '168', '67217');
INSERT INTO public.who_import VALUES (30255, '2021-01-11', 'FR', 'France', 'EURO', '15809', '2737501', '151', '67368');
INSERT INTO public.who_import VALUES (30256, '2021-01-12', 'FR', 'France', 'EURO', '3155', '2740656', '689', '68057');
INSERT INTO public.who_import VALUES (30257, '2021-01-13', 'FR', 'France', 'EURO', '19603', '2760259', '362', '68419');
INSERT INTO public.who_import VALUES (30258, '2021-01-14', 'FR', 'France', 'EURO', '23649', '2783908', '229', '68648');
INSERT INTO public.who_import VALUES (30259, '2021-01-15', 'FR', 'France', 'EURO', '20744', '2804652', '280', '68928');
INSERT INTO public.who_import VALUES (30260, '2021-01-16', 'FR', 'France', 'EURO', '21112', '2825764', '633', '69561');
INSERT INTO public.who_import VALUES (30261, '2021-01-17', 'FR', 'France', 'EURO', '21207', '2846971', '192', '69753');
INSERT INTO public.who_import VALUES (30262, '2021-01-18', 'FR', 'France', 'EURO', '16642', '2863613', '141', '69894');
INSERT INTO public.who_import VALUES (30263, '2021-01-19', 'FR', 'France', 'EURO', '3052', '2866665', '401', '70295');
INSERT INTO public.who_import VALUES (30264, '2021-01-20', 'FR', 'France', 'EURO', '23347', '2890012', '656', '70951');
INSERT INTO public.who_import VALUES (30265, '2021-01-21', 'FR', 'France', 'EURO', '26565', '2916577', '310', '71261');
INSERT INTO public.who_import VALUES (30266, '2021-01-22', 'FR', 'France', 'EURO', '22551', '2939128', '346', '71607');
INSERT INTO public.who_import VALUES (30267, '2021-01-23', 'FR', 'France', 'EURO', '22609', '2961737', '648', '72255');
INSERT INTO public.who_import VALUES (30268, '2021-01-24', 'FR', 'France', 'EURO', '23522', '2985259', '229', '72484');
INSERT INTO public.who_import VALUES (30269, '2021-01-25', 'FR', 'France', 'EURO', '18435', '3003694', '172', '72656');
INSERT INTO public.who_import VALUES (30270, '2021-01-26', 'FR', 'France', 'EURO', '4012', '3007706', '445', '73101');
INSERT INTO public.who_import VALUES (30271, '2021-01-27', 'FR', 'France', 'EURO', '22009', '3029715', '612', '73713');
INSERT INTO public.who_import VALUES (30272, '2021-01-28', 'FR', 'France', 'EURO', '26483', '3056198', '349', '74062');
INSERT INTO public.who_import VALUES (30273, '2021-01-29', 'FR', 'France', 'EURO', '23347', '3079545', '343', '74405');
INSERT INTO public.who_import VALUES (30274, '2021-01-30', 'FR', 'France', 'EURO', '22670', '3102215', '819', '75224');
INSERT INTO public.who_import VALUES (30275, '2021-01-31', 'FR', 'France', 'EURO', '24136', '3126351', '242', '75466');
INSERT INTO public.who_import VALUES (30276, '2021-02-01', 'FR', 'France', 'EURO', '19235', '3145586', '195', '75661');
INSERT INTO public.who_import VALUES (30277, '2021-02-02', 'FR', 'France', 'EURO', '3669', '3149255', '453', '76114');
INSERT INTO public.who_import VALUES (30278, '2021-02-03', 'FR', 'France', 'EURO', '22871', '3172126', '726', '76840');
INSERT INTO public.who_import VALUES (30279, '2021-02-04', 'FR', 'France', 'EURO', '25904', '3198030', '353', '77193');
INSERT INTO public.who_import VALUES (30280, '2021-02-05', 'FR', 'France', 'EURO', '23148', '3221178', '355', '77548');
INSERT INTO public.who_import VALUES (30281, '2021-02-06', 'FR', 'France', 'EURO', '20741', '3241919', '650', '78198');
INSERT INTO public.who_import VALUES (30282, '2021-02-07', 'FR', 'France', 'EURO', '20586', '3262505', '191', '78389');
INSERT INTO public.who_import VALUES (30283, '2021-02-08', 'FR', 'France', 'EURO', '19715', '3282220', '171', '78560');
INSERT INTO public.who_import VALUES (30284, '2021-02-09', 'FR', 'France', 'EURO', '3566', '3285786', '456', '79016');
INSERT INTO public.who_import VALUES (30285, '2021-02-10', 'FR', 'France', 'EURO', '18570', '3304356', '721', '79737');
INSERT INTO public.who_import VALUES (30286, '2021-02-11', 'FR', 'France', 'EURO', '24631', '3328987', '295', '80032');
INSERT INTO public.who_import VALUES (30287, '2021-02-12', 'FR', 'France', 'EURO', '20406', '3349393', '357', '80389');
INSERT INTO public.who_import VALUES (30288, '2021-02-13', 'FR', 'France', 'EURO', '20279', '3369672', '644', '81033');
INSERT INTO public.who_import VALUES (30289, '2021-02-14', 'FR', 'France', 'EURO', '20398', '3390070', '193', '81226');
INSERT INTO public.who_import VALUES (30290, '2021-02-15', 'FR', 'France', 'EURO', '16546', '3406616', '167', '81393');
INSERT INTO public.who_import VALUES (30291, '2021-02-16', 'FR', 'France', 'EURO', '4099', '3410715', '408', '81801');
INSERT INTO public.who_import VALUES (30292, '2021-02-17', 'FR', 'France', 'EURO', '19011', '3429726', '582', '82383');
INSERT INTO public.who_import VALUES (30293, '2021-02-18', 'FR', 'France', 'EURO', '23919', '3453645', '309', '82692');
INSERT INTO public.who_import VALUES (30294, '2021-02-19', 'FR', 'France', 'EURO', '22490', '3476135', '267', '82959');
INSERT INTO public.who_import VALUES (30295, '2021-02-20', 'FR', 'France', 'EURO', '23170', '3499305', '565', '83524');
INSERT INTO public.who_import VALUES (30296, '2020-01-03', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30297, '2020-01-04', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30298, '2020-01-05', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30299, '2020-01-06', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30300, '2020-01-07', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30301, '2020-01-08', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30302, '2020-01-09', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30303, '2020-01-10', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30304, '2020-01-11', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30305, '2020-01-12', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30306, '2020-01-13', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30307, '2020-01-14', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30308, '2020-01-15', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30309, '2020-01-16', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30310, '2020-01-17', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30311, '2020-01-18', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30312, '2020-01-19', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30313, '2020-01-20', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30314, '2020-01-21', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30315, '2020-01-22', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30316, '2020-01-23', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30317, '2020-01-24', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30318, '2020-01-25', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30319, '2020-01-26', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30320, '2020-01-27', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30321, '2020-01-28', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30322, '2020-01-29', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30323, '2020-01-30', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30324, '2020-01-31', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30325, '2020-02-01', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30326, '2020-02-02', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30327, '2020-02-03', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30328, '2020-02-04', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30329, '2020-02-05', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30330, '2020-02-06', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30331, '2020-02-07', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30332, '2020-02-08', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30333, '2020-02-09', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30334, '2020-02-10', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30335, '2020-02-11', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30336, '2020-02-12', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30337, '2020-02-13', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30338, '2020-02-14', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30339, '2020-02-15', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30340, '2020-02-16', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30341, '2020-02-17', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30342, '2020-02-18', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30343, '2020-02-19', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30344, '2020-02-20', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30345, '2020-02-21', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30346, '2020-02-22', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30347, '2020-02-23', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30348, '2020-02-24', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30349, '2020-02-25', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30350, '2020-02-26', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30351, '2020-02-27', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30352, '2020-02-28', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30353, '2020-02-29', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30354, '2020-03-01', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30355, '2020-03-02', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30356, '2020-03-03', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30357, '2020-03-04', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30358, '2020-03-05', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30359, '2020-03-06', 'GF', 'French Guiana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30360, '2020-03-07', 'GF', 'French Guiana', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (30361, '2020-03-08', 'GF', 'French Guiana', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (30362, '2020-03-09', 'GF', 'French Guiana', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (30363, '2020-03-10', 'GF', 'French Guiana', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (30364, '2020-03-11', 'GF', 'French Guiana', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (30365, '2020-03-12', 'GF', 'French Guiana', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (30366, '2020-03-13', 'GF', 'French Guiana', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (30367, '2020-03-14', 'GF', 'French Guiana', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (30368, '2020-03-15', 'GF', 'French Guiana', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (30369, '2020-03-16', 'GF', 'French Guiana', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (30370, '2020-03-17', 'GF', 'French Guiana', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (30371, '2020-03-18', 'GF', 'French Guiana', 'AMRO', '8', '15', '0', '0');
INSERT INTO public.who_import VALUES (30372, '2020-03-19', 'GF', 'French Guiana', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (30373, '2020-03-20', 'GF', 'French Guiana', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (30374, '2020-03-21', 'GF', 'French Guiana', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (30375, '2020-03-22', 'GF', 'French Guiana', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (30376, '2020-03-23', 'GF', 'French Guiana', 'AMRO', '3', '18', '0', '0');
INSERT INTO public.who_import VALUES (30377, '2020-03-24', 'GF', 'French Guiana', 'AMRO', '5', '23', '0', '0');
INSERT INTO public.who_import VALUES (30378, '2020-03-25', 'GF', 'French Guiana', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (30379, '2020-03-26', 'GF', 'French Guiana', 'AMRO', '5', '28', '0', '0');
INSERT INTO public.who_import VALUES (30380, '2020-03-27', 'GF', 'French Guiana', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (30381, '2020-03-28', 'GF', 'French Guiana', 'AMRO', '3', '31', '0', '0');
INSERT INTO public.who_import VALUES (30382, '2020-03-29', 'GF', 'French Guiana', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (30383, '2020-03-30', 'GF', 'French Guiana', 'AMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (30384, '2020-03-31', 'GF', 'French Guiana', 'AMRO', '12', '43', '0', '0');
INSERT INTO public.who_import VALUES (30385, '2020-04-01', 'GF', 'French Guiana', 'AMRO', '3', '46', '0', '0');
INSERT INTO public.who_import VALUES (30386, '2020-04-02', 'GF', 'French Guiana', 'AMRO', '5', '51', '0', '0');
INSERT INTO public.who_import VALUES (30387, '2020-04-03', 'GF', 'French Guiana', 'AMRO', '4', '55', '0', '0');
INSERT INTO public.who_import VALUES (30388, '2020-04-04', 'GF', 'French Guiana', 'AMRO', '2', '57', '0', '0');
INSERT INTO public.who_import VALUES (30389, '2020-04-05', 'GF', 'French Guiana', 'AMRO', '5', '62', '0', '0');
INSERT INTO public.who_import VALUES (30390, '2020-04-06', 'GF', 'French Guiana', 'AMRO', '4', '66', '0', '0');
INSERT INTO public.who_import VALUES (30391, '2020-04-07', 'GF', 'French Guiana', 'AMRO', '2', '68', '0', '0');
INSERT INTO public.who_import VALUES (30392, '2020-04-08', 'GF', 'French Guiana', 'AMRO', '4', '72', '0', '0');
INSERT INTO public.who_import VALUES (30393, '2020-04-09', 'GF', 'French Guiana', 'AMRO', '5', '77', '0', '0');
INSERT INTO public.who_import VALUES (30394, '2020-04-10', 'GF', 'French Guiana', 'AMRO', '6', '83', '0', '0');
INSERT INTO public.who_import VALUES (30395, '2020-04-11', 'GF', 'French Guiana', 'AMRO', '1', '84', '0', '0');
INSERT INTO public.who_import VALUES (30396, '2020-04-12', 'GF', 'French Guiana', 'AMRO', '2', '86', '0', '0');
INSERT INTO public.who_import VALUES (30397, '2020-04-13', 'GF', 'French Guiana', 'AMRO', '0', '86', '0', '0');
INSERT INTO public.who_import VALUES (30398, '2020-04-14', 'GF', 'French Guiana', 'AMRO', '2', '88', '0', '0');
INSERT INTO public.who_import VALUES (30399, '2020-04-15', 'GF', 'French Guiana', 'AMRO', '0', '88', '0', '0');
INSERT INTO public.who_import VALUES (30400, '2020-04-16', 'GF', 'French Guiana', 'AMRO', '7', '95', '0', '0');
INSERT INTO public.who_import VALUES (30401, '2020-04-17', 'GF', 'French Guiana', 'AMRO', '1', '96', '0', '0');
INSERT INTO public.who_import VALUES (30402, '2020-04-18', 'GF', 'French Guiana', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (30403, '2020-04-19', 'GF', 'French Guiana', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (30404, '2020-04-20', 'GF', 'French Guiana', 'AMRO', '0', '96', '0', '0');
INSERT INTO public.who_import VALUES (30405, '2020-04-21', 'GF', 'French Guiana', 'AMRO', '1', '97', '1', '1');
INSERT INTO public.who_import VALUES (30406, '2020-04-22', 'GF', 'French Guiana', 'AMRO', '0', '97', '0', '1');
INSERT INTO public.who_import VALUES (30407, '2020-04-23', 'GF', 'French Guiana', 'AMRO', '0', '97', '0', '1');
INSERT INTO public.who_import VALUES (30408, '2020-04-24', 'GF', 'French Guiana', 'AMRO', '10', '107', '0', '1');
INSERT INTO public.who_import VALUES (30409, '2020-04-25', 'GF', 'French Guiana', 'AMRO', '2', '109', '0', '1');
INSERT INTO public.who_import VALUES (30410, '2020-04-26', 'GF', 'French Guiana', 'AMRO', '0', '109', '0', '1');
INSERT INTO public.who_import VALUES (30411, '2020-04-27', 'GF', 'French Guiana', 'AMRO', '0', '109', '0', '1');
INSERT INTO public.who_import VALUES (30412, '2020-04-28', 'GF', 'French Guiana', 'AMRO', '2', '111', '0', '1');
INSERT INTO public.who_import VALUES (30413, '2020-04-29', 'GF', 'French Guiana', 'AMRO', '13', '124', '0', '1');
INSERT INTO public.who_import VALUES (30414, '2020-04-30', 'GF', 'French Guiana', 'AMRO', '1', '125', '0', '1');
INSERT INTO public.who_import VALUES (30415, '2020-05-01', 'GF', 'French Guiana', 'AMRO', '1', '126', '0', '1');
INSERT INTO public.who_import VALUES (30416, '2020-05-02', 'GF', 'French Guiana', 'AMRO', '2', '128', '0', '1');
INSERT INTO public.who_import VALUES (30417, '2020-05-03', 'GF', 'French Guiana', 'AMRO', '0', '128', '0', '1');
INSERT INTO public.who_import VALUES (30418, '2020-05-04', 'GF', 'French Guiana', 'AMRO', '0', '128', '0', '1');
INSERT INTO public.who_import VALUES (30419, '2020-05-05', 'GF', 'French Guiana', 'AMRO', '5', '133', '0', '1');
INSERT INTO public.who_import VALUES (30420, '2020-05-06', 'GF', 'French Guiana', 'AMRO', '0', '133', '0', '1');
INSERT INTO public.who_import VALUES (30421, '2020-05-07', 'GF', 'French Guiana', 'AMRO', '5', '138', '0', '1');
INSERT INTO public.who_import VALUES (30422, '2020-05-08', 'GF', 'French Guiana', 'AMRO', '0', '138', '0', '1');
INSERT INTO public.who_import VALUES (30423, '2020-05-09', 'GF', 'French Guiana', 'AMRO', '3', '141', '0', '1');
INSERT INTO public.who_import VALUES (30424, '2020-05-10', 'GF', 'French Guiana', 'AMRO', '0', '141', '0', '1');
INSERT INTO public.who_import VALUES (30425, '2020-05-11', 'GF', 'French Guiana', 'AMRO', '3', '144', '0', '1');
INSERT INTO public.who_import VALUES (30426, '2020-05-12', 'GF', 'French Guiana', 'AMRO', '0', '144', '0', '1');
INSERT INTO public.who_import VALUES (30427, '2020-05-13', 'GF', 'French Guiana', 'AMRO', '2', '146', '0', '1');
INSERT INTO public.who_import VALUES (30428, '2020-05-14', 'GF', 'French Guiana', 'AMRO', '7', '153', '0', '1');
INSERT INTO public.who_import VALUES (30429, '2020-05-15', 'GF', 'French Guiana', 'AMRO', '11', '164', '0', '1');
INSERT INTO public.who_import VALUES (30430, '2020-05-16', 'GF', 'French Guiana', 'AMRO', '20', '184', '0', '1');
INSERT INTO public.who_import VALUES (30431, '2020-05-17', 'GF', 'French Guiana', 'AMRO', '5', '189', '0', '1');
INSERT INTO public.who_import VALUES (30432, '2020-05-18', 'GF', 'French Guiana', 'AMRO', '8', '197', '0', '1');
INSERT INTO public.who_import VALUES (30433, '2020-05-19', 'GF', 'French Guiana', 'AMRO', '0', '197', '0', '1');
INSERT INTO public.who_import VALUES (30434, '2020-05-20', 'GF', 'French Guiana', 'AMRO', '13', '210', '0', '1');
INSERT INTO public.who_import VALUES (30435, '2020-05-21', 'GF', 'French Guiana', 'AMRO', '8', '218', '0', '1');
INSERT INTO public.who_import VALUES (30436, '2020-05-22', 'GF', 'French Guiana', 'AMRO', '19', '237', '0', '1');
INSERT INTO public.who_import VALUES (30437, '2020-05-23', 'GF', 'French Guiana', 'AMRO', '12', '249', '0', '1');
INSERT INTO public.who_import VALUES (30438, '2020-05-24', 'GF', 'French Guiana', 'AMRO', '12', '261', '0', '1');
INSERT INTO public.who_import VALUES (30439, '2020-05-25', 'GF', 'French Guiana', 'AMRO', '18', '279', '0', '1');
INSERT INTO public.who_import VALUES (30440, '2020-05-26', 'GF', 'French Guiana', 'AMRO', '49', '328', '0', '1');
INSERT INTO public.who_import VALUES (30441, '2020-05-27', 'GF', 'French Guiana', 'AMRO', '25', '353', '0', '1');
INSERT INTO public.who_import VALUES (30442, '2020-05-28', 'GF', 'French Guiana', 'AMRO', '31', '384', '0', '1');
INSERT INTO public.who_import VALUES (30443, '2020-05-29', 'GF', 'French Guiana', 'AMRO', '25', '409', '0', '1');
INSERT INTO public.who_import VALUES (30444, '2020-05-30', 'GF', 'French Guiana', 'AMRO', '27', '436', '0', '1');
INSERT INTO public.who_import VALUES (30445, '2020-05-31', 'GF', 'French Guiana', 'AMRO', '0', '436', '0', '1');
INSERT INTO public.who_import VALUES (30446, '2020-06-01', 'GF', 'French Guiana', 'AMRO', '41', '477', '0', '1');
INSERT INTO public.who_import VALUES (30447, '2020-06-02', 'GF', 'French Guiana', 'AMRO', '22', '499', '0', '1');
INSERT INTO public.who_import VALUES (30448, '2020-06-03', 'GF', 'French Guiana', 'AMRO', '18', '517', '0', '1');
INSERT INTO public.who_import VALUES (30449, '2020-06-04', 'GF', 'French Guiana', 'AMRO', '16', '533', '0', '1');
INSERT INTO public.who_import VALUES (30450, '2020-06-05', 'GF', 'French Guiana', 'AMRO', '23', '556', '0', '1');
INSERT INTO public.who_import VALUES (30451, '2020-06-06', 'GF', 'French Guiana', 'AMRO', '33', '589', '0', '1');
INSERT INTO public.who_import VALUES (30452, '2020-06-07', 'GF', 'French Guiana', 'AMRO', '50', '639', '0', '1');
INSERT INTO public.who_import VALUES (30453, '2020-06-08', 'GF', 'French Guiana', 'AMRO', '50', '689', '0', '1');
INSERT INTO public.who_import VALUES (30454, '2020-06-09', 'GF', 'French Guiana', 'AMRO', '40', '729', '1', '2');
INSERT INTO public.who_import VALUES (30455, '2020-06-10', 'GF', 'French Guiana', 'AMRO', '44', '773', '0', '2');
INSERT INTO public.who_import VALUES (30456, '2020-06-11', 'GF', 'French Guiana', 'AMRO', '92', '865', '0', '2');
INSERT INTO public.who_import VALUES (30457, '2020-06-12', 'GF', 'French Guiana', 'AMRO', '52', '917', '0', '2');
INSERT INTO public.who_import VALUES (30458, '2020-06-13', 'GF', 'French Guiana', 'AMRO', '126', '1043', '0', '2');
INSERT INTO public.who_import VALUES (30459, '2020-06-14', 'GF', 'French Guiana', 'AMRO', '118', '1161', '0', '2');
INSERT INTO public.who_import VALUES (30460, '2020-06-15', 'GF', 'French Guiana', 'AMRO', '94', '1255', '1', '3');
INSERT INTO public.who_import VALUES (30461, '2020-06-16', 'GF', 'French Guiana', 'AMRO', '71', '1326', '0', '3');
INSERT INTO public.who_import VALUES (30462, '2020-06-17', 'GF', 'French Guiana', 'AMRO', '95', '1421', '2', '5');
INSERT INTO public.who_import VALUES (30463, '2020-06-18', 'GF', 'French Guiana', 'AMRO', '133', '1554', '0', '5');
INSERT INTO public.who_import VALUES (30464, '2020-06-19', 'GF', 'French Guiana', 'AMRO', '204', '1758', '0', '5');
INSERT INTO public.who_import VALUES (30465, '2020-06-20', 'GF', 'French Guiana', 'AMRO', '211', '1969', '0', '5');
INSERT INTO public.who_import VALUES (30466, '2020-06-21', 'GF', 'French Guiana', 'AMRO', '194', '2163', '0', '5');
INSERT INTO public.who_import VALUES (30467, '2020-06-22', 'GF', 'French Guiana', 'AMRO', '278', '2441', '1', '6');
INSERT INTO public.who_import VALUES (30468, '2020-06-23', 'GF', 'French Guiana', 'AMRO', '17', '2458', '2', '8');
INSERT INTO public.who_import VALUES (30469, '2020-06-24', 'GF', 'French Guiana', 'AMRO', '135', '2593', '0', '8');
INSERT INTO public.who_import VALUES (30470, '2020-06-25', 'GF', 'French Guiana', 'AMRO', '234', '2827', '1', '9');
INSERT INTO public.who_import VALUES (30471, '2020-06-26', 'GF', 'French Guiana', 'AMRO', '206', '3033', '1', '10');
INSERT INTO public.who_import VALUES (30472, '2020-06-27', 'GF', 'French Guiana', 'AMRO', '237', '3270', '1', '11');
INSERT INTO public.who_import VALUES (30473, '2020-06-28', 'GF', 'French Guiana', 'AMRO', '191', '3461', '1', '12');
INSERT INTO public.who_import VALUES (30474, '2020-06-29', 'GF', 'French Guiana', 'AMRO', '0', '3461', '0', '12');
INSERT INTO public.who_import VALUES (30475, '2020-06-30', 'GF', 'French Guiana', 'AMRO', '313', '3774', '3', '15');
INSERT INTO public.who_import VALUES (30476, '2020-07-01', 'GF', 'French Guiana', 'AMRO', '230', '4004', '0', '15');
INSERT INTO public.who_import VALUES (30477, '2020-07-02', 'GF', 'French Guiana', 'AMRO', '264', '4268', '1', '16');
INSERT INTO public.who_import VALUES (30478, '2020-07-03', 'GF', 'French Guiana', 'AMRO', '176', '4444', '0', '16');
INSERT INTO public.who_import VALUES (30479, '2020-07-04', 'GF', 'French Guiana', 'AMRO', '114', '4558', '0', '16');
INSERT INTO public.who_import VALUES (30480, '2020-07-05', 'GF', 'French Guiana', 'AMRO', '355', '4913', '0', '16');
INSERT INTO public.who_import VALUES (30481, '2020-07-06', 'GF', 'French Guiana', 'AMRO', '0', '4913', '0', '16');
INSERT INTO public.who_import VALUES (30482, '2020-07-07', 'GF', 'French Guiana', 'AMRO', '141', '5054', '4', '20');
INSERT INTO public.who_import VALUES (30483, '2020-07-08', 'GF', 'French Guiana', 'AMRO', '124', '5178', '1', '21');
INSERT INTO public.who_import VALUES (30484, '2020-07-09', 'GF', 'French Guiana', 'AMRO', '281', '5459', '1', '22');
INSERT INTO public.who_import VALUES (30485, '2020-07-10', 'GF', 'French Guiana', 'AMRO', '99', '5558', '0', '22');
INSERT INTO public.who_import VALUES (30486, '2020-07-11', 'GF', 'French Guiana', 'AMRO', '146', '5704', '1', '23');
INSERT INTO public.who_import VALUES (30487, '2020-07-12', 'GF', 'French Guiana', 'AMRO', '245', '5949', '3', '26');
INSERT INTO public.who_import VALUES (30488, '2020-07-13', 'GF', 'French Guiana', 'AMRO', '0', '5949', '0', '26');
INSERT INTO public.who_import VALUES (30489, '2020-07-14', 'GF', 'French Guiana', 'AMRO', '221', '6170', '3', '29');
INSERT INTO public.who_import VALUES (30490, '2020-07-15', 'GF', 'French Guiana', 'AMRO', '59', '6229', '2', '31');
INSERT INTO public.who_import VALUES (31189, '2020-03-06', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30491, '2020-07-16', 'GF', 'French Guiana', 'AMRO', '70', '6299', '2', '33');
INSERT INTO public.who_import VALUES (30492, '2020-07-17', 'GF', 'French Guiana', 'AMRO', '94', '6393', '1', '34');
INSERT INTO public.who_import VALUES (30493, '2020-07-18', 'GF', 'French Guiana', 'AMRO', '116', '6509', '0', '34');
INSERT INTO public.who_import VALUES (30494, '2020-07-19', 'GF', 'French Guiana', 'AMRO', '146', '6655', '3', '37');
INSERT INTO public.who_import VALUES (30495, '2020-07-20', 'GF', 'French Guiana', 'AMRO', '0', '6655', '0', '37');
INSERT INTO public.who_import VALUES (30496, '2020-07-21', 'GF', 'French Guiana', 'AMRO', '90', '6745', '1', '38');
INSERT INTO public.who_import VALUES (30497, '2020-07-22', 'GF', 'French Guiana', 'AMRO', '106', '6851', '1', '39');
INSERT INTO public.who_import VALUES (30498, '2020-07-23', 'GF', 'French Guiana', 'AMRO', '32', '6883', '0', '39');
INSERT INTO public.who_import VALUES (30499, '2020-07-24', 'GF', 'French Guiana', 'AMRO', '203', '7086', '1', '40');
INSERT INTO public.who_import VALUES (30500, '2020-07-25', 'GF', 'French Guiana', 'AMRO', '165', '7251', '1', '41');
INSERT INTO public.who_import VALUES (30501, '2020-07-26', 'GF', 'French Guiana', 'AMRO', '81', '7332', '0', '41');
INSERT INTO public.who_import VALUES (30502, '2020-07-27', 'GF', 'French Guiana', 'AMRO', '0', '7332', '0', '41');
INSERT INTO public.who_import VALUES (30503, '2020-07-28', 'GF', 'French Guiana', 'AMRO', '182', '7514', '1', '42');
INSERT INTO public.who_import VALUES (30504, '2020-07-29', 'GF', 'French Guiana', 'AMRO', '48', '7562', '1', '43');
INSERT INTO public.who_import VALUES (30505, '2020-07-30', 'GF', 'French Guiana', 'AMRO', '85', '7647', '0', '43');
INSERT INTO public.who_import VALUES (30506, '2020-07-31', 'GF', 'French Guiana', 'AMRO', '81', '7728', '0', '43');
INSERT INTO public.who_import VALUES (30507, '2020-08-01', 'GF', 'French Guiana', 'AMRO', '71', '7799', '0', '43');
INSERT INTO public.who_import VALUES (30508, '2020-08-02', 'GF', 'French Guiana', 'AMRO', '58', '7857', '0', '43');
INSERT INTO public.who_import VALUES (30509, '2020-08-03', 'GF', 'French Guiana', 'AMRO', '0', '7857', '0', '43');
INSERT INTO public.who_import VALUES (30510, '2020-08-04', 'GF', 'French Guiana', 'AMRO', '91', '7948', '1', '44');
INSERT INTO public.who_import VALUES (30511, '2020-08-05', 'GF', 'French Guiana', 'AMRO', '50', '7998', '1', '45');
INSERT INTO public.who_import VALUES (30512, '2020-08-06', 'GF', 'French Guiana', 'AMRO', '71', '8069', '2', '47');
INSERT INTO public.who_import VALUES (30513, '2020-08-07', 'GF', 'French Guiana', 'AMRO', '58', '8127', '0', '47');
INSERT INTO public.who_import VALUES (30514, '2020-08-08', 'GF', 'French Guiana', 'AMRO', '77', '8204', '0', '47');
INSERT INTO public.who_import VALUES (30515, '2020-08-09', 'GF', 'French Guiana', 'AMRO', '63', '8267', '1', '48');
INSERT INTO public.who_import VALUES (30516, '2020-08-10', 'GF', 'French Guiana', 'AMRO', '0', '8267', '0', '48');
INSERT INTO public.who_import VALUES (30517, '2020-08-11', 'GF', 'French Guiana', 'AMRO', '57', '8324', '1', '49');
INSERT INTO public.who_import VALUES (30518, '2020-08-12', 'GF', 'French Guiana', 'AMRO', '36', '8360', '0', '49');
INSERT INTO public.who_import VALUES (30519, '2020-08-13', 'GF', 'French Guiana', 'AMRO', '63', '8423', '1', '50');
INSERT INTO public.who_import VALUES (30520, '2020-08-14', 'GF', 'French Guiana', 'AMRO', '48', '8471', '1', '51');
INSERT INTO public.who_import VALUES (30521, '2020-08-15', 'GF', 'French Guiana', 'AMRO', '78', '8549', '2', '53');
INSERT INTO public.who_import VALUES (30522, '2020-08-16', 'GF', 'French Guiana', 'AMRO', '39', '8588', '0', '53');
INSERT INTO public.who_import VALUES (30523, '2020-08-17', 'GF', 'French Guiana', 'AMRO', '0', '8588', '0', '53');
INSERT INTO public.who_import VALUES (30524, '2020-08-18', 'GF', 'French Guiana', 'AMRO', '34', '8622', '0', '53');
INSERT INTO public.who_import VALUES (30525, '2020-08-19', 'GF', 'French Guiana', 'AMRO', '35', '8657', '0', '53');
INSERT INTO public.who_import VALUES (30526, '2020-08-20', 'GF', 'French Guiana', 'AMRO', '54', '8711', '1', '54');
INSERT INTO public.who_import VALUES (30527, '2020-08-21', 'GF', 'French Guiana', 'AMRO', '32', '8743', '0', '54');
INSERT INTO public.who_import VALUES (30528, '2020-08-22', 'GF', 'French Guiana', 'AMRO', '34', '8777', '1', '55');
INSERT INTO public.who_import VALUES (30529, '2020-08-23', 'GF', 'French Guiana', 'AMRO', '20', '8797', '0', '55');
INSERT INTO public.who_import VALUES (30530, '2020-08-24', 'GF', 'French Guiana', 'AMRO', '0', '8797', '0', '55');
INSERT INTO public.who_import VALUES (30531, '2020-08-25', 'GF', 'French Guiana', 'AMRO', '78', '8875', '1', '56');
INSERT INTO public.who_import VALUES (30532, '2020-08-26', 'GF', 'French Guiana', 'AMRO', '29', '8904', '0', '56');
INSERT INTO public.who_import VALUES (30533, '2020-08-27', 'GF', 'French Guiana', 'AMRO', '32', '8936', '0', '56');
INSERT INTO public.who_import VALUES (30534, '2020-08-28', 'GF', 'French Guiana', 'AMRO', '46', '8982', '2', '58');
INSERT INTO public.who_import VALUES (30535, '2020-08-29', 'GF', 'French Guiana', 'AMRO', '40', '9022', '0', '58');
INSERT INTO public.who_import VALUES (30536, '2020-08-30', 'GF', 'French Guiana', 'AMRO', '54', '9076', '0', '58');
INSERT INTO public.who_import VALUES (30537, '2020-08-31', 'GF', 'French Guiana', 'AMRO', '0', '9076', '0', '58');
INSERT INTO public.who_import VALUES (30538, '2020-09-01', 'GF', 'French Guiana', 'AMRO', '39', '9115', '1', '59');
INSERT INTO public.who_import VALUES (30539, '2020-09-02', 'GF', 'French Guiana', 'AMRO', '39', '9154', '1', '60');
INSERT INTO public.who_import VALUES (30540, '2020-09-03', 'GF', 'French Guiana', 'AMRO', '55', '9209', '1', '61');
INSERT INTO public.who_import VALUES (30541, '2020-09-04', 'GF', 'French Guiana', 'AMRO', '42', '9251', '0', '61');
INSERT INTO public.who_import VALUES (30542, '2020-09-05', 'GF', 'French Guiana', 'AMRO', '25', '9276', '1', '62');
INSERT INTO public.who_import VALUES (30543, '2020-09-06', 'GF', 'French Guiana', 'AMRO', '46', '9322', '0', '62');
INSERT INTO public.who_import VALUES (30544, '2020-09-07', 'GF', 'French Guiana', 'AMRO', '0', '9322', '0', '62');
INSERT INTO public.who_import VALUES (30545, '2020-09-08', 'GF', 'French Guiana', 'AMRO', '33', '9355', '0', '62');
INSERT INTO public.who_import VALUES (30546, '2020-09-09', 'GF', 'French Guiana', 'AMRO', '32', '9387', '0', '62');
INSERT INTO public.who_import VALUES (30547, '2020-09-10', 'GF', 'French Guiana', 'AMRO', '31', '9418', '0', '62');
INSERT INTO public.who_import VALUES (30548, '2020-09-11', 'GF', 'French Guiana', 'AMRO', '44', '9462', '1', '63');
INSERT INTO public.who_import VALUES (30549, '2020-09-12', 'GF', 'French Guiana', 'AMRO', '32', '9494', '0', '63');
INSERT INTO public.who_import VALUES (30550, '2020-09-13', 'GF', 'French Guiana', 'AMRO', '27', '9521', '0', '63');
INSERT INTO public.who_import VALUES (30551, '2020-09-14', 'GF', 'French Guiana', 'AMRO', '0', '9521', '0', '63');
INSERT INTO public.who_import VALUES (30552, '2020-09-15', 'GF', 'French Guiana', 'AMRO', '31', '9552', '0', '63');
INSERT INTO public.who_import VALUES (30553, '2020-09-16', 'GF', 'French Guiana', 'AMRO', '26', '9578', '1', '64');
INSERT INTO public.who_import VALUES (30554, '2020-09-17', 'GF', 'French Guiana', 'AMRO', '17', '9595', '1', '65');
INSERT INTO public.who_import VALUES (30555, '2020-09-18', 'GF', 'French Guiana', 'AMRO', '28', '9623', '0', '65');
INSERT INTO public.who_import VALUES (30556, '2020-09-19', 'GF', 'French Guiana', 'AMRO', '36', '9659', '0', '65');
INSERT INTO public.who_import VALUES (30557, '2020-09-20', 'GF', 'French Guiana', 'AMRO', '33', '9692', '0', '65');
INSERT INTO public.who_import VALUES (30558, '2020-09-21', 'GF', 'French Guiana', 'AMRO', '0', '9692', '0', '65');
INSERT INTO public.who_import VALUES (30559, '2020-09-22', 'GF', 'French Guiana', 'AMRO', '20', '9712', '0', '65');
INSERT INTO public.who_import VALUES (30560, '2020-09-23', 'GF', 'French Guiana', 'AMRO', '26', '9738', '0', '65');
INSERT INTO public.who_import VALUES (30561, '2020-09-24', 'GF', 'French Guiana', 'AMRO', '24', '9762', '0', '65');
INSERT INTO public.who_import VALUES (30562, '2020-09-25', 'GF', 'French Guiana', 'AMRO', '28', '9790', '0', '65');
INSERT INTO public.who_import VALUES (30563, '2020-09-26', 'GF', 'French Guiana', 'AMRO', '41', '9831', '0', '65');
INSERT INTO public.who_import VALUES (30564, '2020-09-27', 'GF', 'French Guiana', 'AMRO', '32', '9863', '0', '65');
INSERT INTO public.who_import VALUES (30565, '2020-09-28', 'GF', 'French Guiana', 'AMRO', '0', '9863', '0', '65');
INSERT INTO public.who_import VALUES (30566, '2020-09-29', 'GF', 'French Guiana', 'AMRO', '32', '9895', '0', '65');
INSERT INTO public.who_import VALUES (30567, '2020-09-30', 'GF', 'French Guiana', 'AMRO', '34', '9929', '1', '66');
INSERT INTO public.who_import VALUES (30568, '2020-10-01', 'GF', 'French Guiana', 'AMRO', '26', '9955', '0', '66');
INSERT INTO public.who_import VALUES (30569, '2020-10-02', 'GF', 'French Guiana', 'AMRO', '11', '9966', '1', '67');
INSERT INTO public.who_import VALUES (30570, '2020-10-03', 'GF', 'French Guiana', 'AMRO', '2', '9968', '0', '67');
INSERT INTO public.who_import VALUES (30571, '2020-10-04', 'GF', 'French Guiana', 'AMRO', '61', '10029', '0', '67');
INSERT INTO public.who_import VALUES (30572, '2020-10-05', 'GF', 'French Guiana', 'AMRO', '0', '10029', '0', '67');
INSERT INTO public.who_import VALUES (30573, '2020-10-06', 'GF', 'French Guiana', 'AMRO', '28', '10057', '1', '68');
INSERT INTO public.who_import VALUES (30574, '2020-10-07', 'GF', 'French Guiana', 'AMRO', '13', '10070', '1', '69');
INSERT INTO public.who_import VALUES (30575, '2020-10-08', 'GF', 'French Guiana', 'AMRO', '33', '10103', '0', '69');
INSERT INTO public.who_import VALUES (30576, '2020-10-09', 'GF', 'French Guiana', 'AMRO', '25', '10128', '0', '69');
INSERT INTO public.who_import VALUES (30577, '2020-10-10', 'GF', 'French Guiana', 'AMRO', '16', '10144', '0', '69');
INSERT INTO public.who_import VALUES (30578, '2020-10-11', 'GF', 'French Guiana', 'AMRO', '0', '10144', '0', '69');
INSERT INTO public.who_import VALUES (30579, '2020-10-12', 'GF', 'French Guiana', 'AMRO', '0', '10144', '0', '69');
INSERT INTO public.who_import VALUES (30580, '2020-10-13', 'GF', 'French Guiana', 'AMRO', '36', '10180', '0', '69');
INSERT INTO public.who_import VALUES (30581, '2020-10-14', 'GF', 'French Guiana', 'AMRO', '12', '10192', '0', '69');
INSERT INTO public.who_import VALUES (30582, '2020-10-15', 'GF', 'French Guiana', 'AMRO', '10', '10202', '0', '69');
INSERT INTO public.who_import VALUES (30583, '2020-10-16', 'GF', 'French Guiana', 'AMRO', '31', '10233', '0', '69');
INSERT INTO public.who_import VALUES (30584, '2020-10-17', 'GF', 'French Guiana', 'AMRO', '6', '10239', '0', '69');
INSERT INTO public.who_import VALUES (30585, '2020-10-18', 'GF', 'French Guiana', 'AMRO', '0', '10239', '0', '69');
INSERT INTO public.who_import VALUES (30586, '2020-10-19', 'GF', 'French Guiana', 'AMRO', '4', '10243', '0', '69');
INSERT INTO public.who_import VALUES (30587, '2020-10-20', 'GF', 'French Guiana', 'AMRO', '25', '10268', '0', '69');
INSERT INTO public.who_import VALUES (30588, '2020-10-21', 'GF', 'French Guiana', 'AMRO', '0', '10268', '0', '69');
INSERT INTO public.who_import VALUES (30589, '2020-10-22', 'GF', 'French Guiana', 'AMRO', '27', '10295', '0', '69');
INSERT INTO public.who_import VALUES (30590, '2020-10-23', 'GF', 'French Guiana', 'AMRO', '47', '10342', '0', '69');
INSERT INTO public.who_import VALUES (30591, '2020-10-24', 'GF', 'French Guiana', 'AMRO', '0', '10342', '0', '69');
INSERT INTO public.who_import VALUES (30592, '2020-10-25', 'GF', 'French Guiana', 'AMRO', '34', '10376', '0', '69');
INSERT INTO public.who_import VALUES (30593, '2020-10-26', 'GF', 'French Guiana', 'AMRO', '0', '10376', '0', '69');
INSERT INTO public.who_import VALUES (30594, '2020-10-27', 'GF', 'French Guiana', 'AMRO', '9', '10385', '0', '69');
INSERT INTO public.who_import VALUES (30595, '2020-10-28', 'GF', 'French Guiana', 'AMRO', '12', '10397', '1', '70');
INSERT INTO public.who_import VALUES (30596, '2020-10-29', 'GF', 'French Guiana', 'AMRO', '7', '10404', '0', '70');
INSERT INTO public.who_import VALUES (30597, '2020-10-30', 'GF', 'French Guiana', 'AMRO', '21', '10425', '0', '70');
INSERT INTO public.who_import VALUES (30598, '2020-10-31', 'GF', 'French Guiana', 'AMRO', '0', '10425', '0', '70');
INSERT INTO public.who_import VALUES (30599, '2020-11-01', 'GF', 'French Guiana', 'AMRO', '111', '10536', '0', '70');
INSERT INTO public.who_import VALUES (30600, '2020-11-02', 'GF', 'French Guiana', 'AMRO', '0', '10536', '0', '70');
INSERT INTO public.who_import VALUES (30601, '2020-11-03', 'GF', 'French Guiana', 'AMRO', '0', '10536', '0', '70');
INSERT INTO public.who_import VALUES (30602, '2020-11-04', 'GF', 'French Guiana', 'AMRO', '41', '10577', '0', '70');
INSERT INTO public.who_import VALUES (30603, '2020-11-05', 'GF', 'French Guiana', 'AMRO', '14', '10591', '0', '70');
INSERT INTO public.who_import VALUES (30604, '2020-11-06', 'GF', 'French Guiana', 'AMRO', '29', '10620', '0', '70');
INSERT INTO public.who_import VALUES (30605, '2020-11-07', 'GF', 'French Guiana', 'AMRO', '27', '10647', '0', '70');
INSERT INTO public.who_import VALUES (30606, '2020-11-08', 'GF', 'French Guiana', 'AMRO', '57', '10704', '0', '70');
INSERT INTO public.who_import VALUES (30607, '2020-11-09', 'GF', 'French Guiana', 'AMRO', '0', '10704', '0', '70');
INSERT INTO public.who_import VALUES (30608, '2020-11-10', 'GF', 'French Guiana', 'AMRO', '11', '10715', '0', '70');
INSERT INTO public.who_import VALUES (30609, '2020-11-11', 'GF', 'French Guiana', 'AMRO', '14', '10729', '0', '70');
INSERT INTO public.who_import VALUES (30610, '2020-11-12', 'GF', 'French Guiana', 'AMRO', '33', '10762', '0', '70');
INSERT INTO public.who_import VALUES (30611, '2020-11-13', 'GF', 'French Guiana', 'AMRO', '18', '10780', '0', '70');
INSERT INTO public.who_import VALUES (30612, '2020-11-14', 'GF', 'French Guiana', 'AMRO', '28', '10808', '0', '70');
INSERT INTO public.who_import VALUES (30613, '2020-11-15', 'GF', 'French Guiana', 'AMRO', '36', '10844', '0', '70');
INSERT INTO public.who_import VALUES (30614, '2020-11-16', 'GF', 'French Guiana', 'AMRO', '0', '10844', '0', '70');
INSERT INTO public.who_import VALUES (30615, '2020-11-17', 'GF', 'French Guiana', 'AMRO', '32', '10876', '0', '70');
INSERT INTO public.who_import VALUES (30616, '2020-11-18', 'GF', 'French Guiana', 'AMRO', '24', '10900', '0', '70');
INSERT INTO public.who_import VALUES (30617, '2020-11-19', 'GF', 'French Guiana', 'AMRO', '30', '10930', '0', '70');
INSERT INTO public.who_import VALUES (30618, '2020-11-20', 'GF', 'French Guiana', 'AMRO', '20', '10950', '0', '70');
INSERT INTO public.who_import VALUES (30619, '2020-11-21', 'GF', 'French Guiana', 'AMRO', '37', '10987', '0', '70');
INSERT INTO public.who_import VALUES (30620, '2020-11-22', 'GF', 'French Guiana', 'AMRO', '27', '11014', '0', '70');
INSERT INTO public.who_import VALUES (30621, '2020-11-23', 'GF', 'French Guiana', 'AMRO', '0', '11014', '0', '70');
INSERT INTO public.who_import VALUES (30622, '2020-11-24', 'GF', 'French Guiana', 'AMRO', '28', '11042', '0', '70');
INSERT INTO public.who_import VALUES (30623, '2020-11-25', 'GF', 'French Guiana', 'AMRO', '37', '11079', '0', '70');
INSERT INTO public.who_import VALUES (30624, '2020-11-26', 'GF', 'French Guiana', 'AMRO', '37', '11116', '0', '70');
INSERT INTO public.who_import VALUES (30625, '2020-11-27', 'GF', 'French Guiana', 'AMRO', '22', '11138', '0', '70');
INSERT INTO public.who_import VALUES (30626, '2020-11-28', 'GF', 'French Guiana', 'AMRO', '20', '11158', '0', '70');
INSERT INTO public.who_import VALUES (30627, '2020-11-29', 'GF', 'French Guiana', 'AMRO', '21', '11179', '0', '70');
INSERT INTO public.who_import VALUES (30628, '2020-11-30', 'GF', 'French Guiana', 'AMRO', '0', '11179', '0', '70');
INSERT INTO public.who_import VALUES (30629, '2020-12-01', 'GF', 'French Guiana', 'AMRO', '25', '11204', '0', '70');
INSERT INTO public.who_import VALUES (30630, '2020-12-02', 'GF', 'French Guiana', 'AMRO', '36', '11240', '0', '70');
INSERT INTO public.who_import VALUES (30631, '2020-12-03', 'GF', 'French Guiana', 'AMRO', '43', '11283', '0', '70');
INSERT INTO public.who_import VALUES (30632, '2020-12-04', 'GF', 'French Guiana', 'AMRO', '35', '11318', '0', '70');
INSERT INTO public.who_import VALUES (30633, '2020-12-05', 'GF', 'French Guiana', 'AMRO', '16', '11334', '1', '71');
INSERT INTO public.who_import VALUES (30634, '2020-12-06', 'GF', 'French Guiana', 'AMRO', '73', '11407', '0', '71');
INSERT INTO public.who_import VALUES (30635, '2020-12-07', 'GF', 'French Guiana', 'AMRO', '0', '11407', '0', '71');
INSERT INTO public.who_import VALUES (30636, '2020-12-08', 'GF', 'French Guiana', 'AMRO', '51', '11458', '0', '71');
INSERT INTO public.who_import VALUES (30637, '2020-12-09', 'GF', 'French Guiana', 'AMRO', '55', '11513', '0', '71');
INSERT INTO public.who_import VALUES (30638, '2020-12-10', 'GF', 'French Guiana', 'AMRO', '87', '11600', '0', '71');
INSERT INTO public.who_import VALUES (30639, '2020-12-11', 'GF', 'French Guiana', 'AMRO', '77', '11677', '0', '71');
INSERT INTO public.who_import VALUES (30640, '2020-12-12', 'GF', 'French Guiana', 'AMRO', '78', '11755', '0', '71');
INSERT INTO public.who_import VALUES (30641, '2020-12-13', 'GF', 'French Guiana', 'AMRO', '45', '11800', '0', '71');
INSERT INTO public.who_import VALUES (30642, '2020-12-14', 'GF', 'French Guiana', 'AMRO', '0', '11800', '0', '71');
INSERT INTO public.who_import VALUES (30643, '2020-12-15', 'GF', 'French Guiana', 'AMRO', '55', '11855', '0', '71');
INSERT INTO public.who_import VALUES (30644, '2020-12-16', 'GF', 'French Guiana', 'AMRO', '51', '11906', '0', '71');
INSERT INTO public.who_import VALUES (30645, '2020-12-17', 'GF', 'French Guiana', 'AMRO', '120', '12026', '0', '71');
INSERT INTO public.who_import VALUES (30646, '2020-12-18', 'GF', 'French Guiana', 'AMRO', '137', '12163', '0', '71');
INSERT INTO public.who_import VALUES (30647, '2020-12-19', 'GF', 'French Guiana', 'AMRO', '118', '12281', '0', '71');
INSERT INTO public.who_import VALUES (30648, '2020-12-20', 'GF', 'French Guiana', 'AMRO', '88', '12369', '0', '71');
INSERT INTO public.who_import VALUES (30649, '2020-12-21', 'GF', 'French Guiana', 'AMRO', '0', '12369', '0', '71');
INSERT INTO public.who_import VALUES (30650, '2020-12-22', 'GF', 'French Guiana', 'AMRO', '64', '12433', '0', '71');
INSERT INTO public.who_import VALUES (30651, '2020-12-23', 'GF', 'French Guiana', 'AMRO', '66', '12499', '0', '71');
INSERT INTO public.who_import VALUES (30652, '2020-12-24', 'GF', 'French Guiana', 'AMRO', '48', '12547', '0', '71');
INSERT INTO public.who_import VALUES (30653, '2020-12-25', 'GF', 'French Guiana', 'AMRO', '138', '12685', '0', '71');
INSERT INTO public.who_import VALUES (30654, '2020-12-26', 'GF', 'French Guiana', 'AMRO', '0', '12685', '0', '71');
INSERT INTO public.who_import VALUES (30655, '2020-12-27', 'GF', 'French Guiana', 'AMRO', '88', '12773', '0', '71');
INSERT INTO public.who_import VALUES (30656, '2020-12-28', 'GF', 'French Guiana', 'AMRO', '6', '12779', '0', '71');
INSERT INTO public.who_import VALUES (30657, '2020-12-29', 'GF', 'French Guiana', 'AMRO', '53', '12832', '0', '71');
INSERT INTO public.who_import VALUES (30658, '2020-12-30', 'GF', 'French Guiana', 'AMRO', '64', '12896', '0', '71');
INSERT INTO public.who_import VALUES (30659, '2020-12-31', 'GF', 'French Guiana', 'AMRO', '149', '13045', '0', '71');
INSERT INTO public.who_import VALUES (30660, '2021-01-01', 'GF', 'French Guiana', 'AMRO', '121', '13166', '0', '71');
INSERT INTO public.who_import VALUES (30661, '2021-01-02', 'GF', 'French Guiana', 'AMRO', '107', '13273', '0', '71');
INSERT INTO public.who_import VALUES (30662, '2021-01-03', 'GF', 'French Guiana', 'AMRO', '0', '13273', '0', '71');
INSERT INTO public.who_import VALUES (30663, '2021-01-04', 'GF', 'French Guiana', 'AMRO', '0', '13273', '0', '71');
INSERT INTO public.who_import VALUES (30664, '2021-01-05', 'GF', 'French Guiana', 'AMRO', '101', '13374', '1', '72');
INSERT INTO public.who_import VALUES (30665, '2021-01-06', 'GF', 'French Guiana', 'AMRO', '123', '13497', '0', '72');
INSERT INTO public.who_import VALUES (30666, '2021-01-07', 'GF', 'French Guiana', 'AMRO', '135', '13632', '1', '73');
INSERT INTO public.who_import VALUES (30667, '2021-01-08', 'GF', 'French Guiana', 'AMRO', '193', '13825', '0', '73');
INSERT INTO public.who_import VALUES (30668, '2021-01-09', 'GF', 'French Guiana', 'AMRO', '145', '13970', '1', '74');
INSERT INTO public.who_import VALUES (30669, '2021-01-10', 'GF', 'French Guiana', 'AMRO', '143', '14113', '0', '74');
INSERT INTO public.who_import VALUES (30670, '2021-01-11', 'GF', 'French Guiana', 'AMRO', '0', '14113', '0', '74');
INSERT INTO public.who_import VALUES (30671, '2021-01-12', 'GF', 'French Guiana', 'AMRO', '108', '14221', '0', '74');
INSERT INTO public.who_import VALUES (30672, '2021-01-13', 'GF', 'French Guiana', 'AMRO', '149', '14370', '0', '74');
INSERT INTO public.who_import VALUES (30673, '2021-01-14', 'GF', 'French Guiana', 'AMRO', '156', '14526', '0', '74');
INSERT INTO public.who_import VALUES (30674, '2021-01-15', 'GF', 'French Guiana', 'AMRO', '128', '14654', '0', '74');
INSERT INTO public.who_import VALUES (30675, '2021-01-16', 'GF', 'French Guiana', 'AMRO', '122', '14776', '0', '74');
INSERT INTO public.who_import VALUES (30676, '2021-01-17', 'GF', 'French Guiana', 'AMRO', '199', '14975', '1', '75');
INSERT INTO public.who_import VALUES (30677, '2021-01-18', 'GF', 'French Guiana', 'AMRO', '0', '14975', '0', '75');
INSERT INTO public.who_import VALUES (30678, '2021-01-19', 'GF', 'French Guiana', 'AMRO', '80', '15055', '1', '76');
INSERT INTO public.who_import VALUES (30679, '2021-01-20', 'GF', 'French Guiana', 'AMRO', '132', '15187', '0', '76');
INSERT INTO public.who_import VALUES (30680, '2021-01-21', 'GF', 'French Guiana', 'AMRO', '124', '15311', '0', '76');
INSERT INTO public.who_import VALUES (30681, '2021-01-22', 'GF', 'French Guiana', 'AMRO', '120', '15431', '0', '76');
INSERT INTO public.who_import VALUES (30682, '2021-01-23', 'GF', 'French Guiana', 'AMRO', '129', '15560', '0', '76');
INSERT INTO public.who_import VALUES (30683, '2021-01-24', 'GF', 'French Guiana', 'AMRO', '104', '15664', '0', '76');
INSERT INTO public.who_import VALUES (30684, '2021-01-25', 'GF', 'French Guiana', 'AMRO', '0', '15664', '0', '76');
INSERT INTO public.who_import VALUES (30685, '2021-01-26', 'GF', 'French Guiana', 'AMRO', '38', '15702', '0', '76');
INSERT INTO public.who_import VALUES (30686, '2021-01-27', 'GF', 'French Guiana', 'AMRO', '77', '15779', '0', '76');
INSERT INTO public.who_import VALUES (30687, '2021-01-28', 'GF', 'French Guiana', 'AMRO', '78', '15857', '0', '76');
INSERT INTO public.who_import VALUES (30688, '2021-01-29', 'GF', 'French Guiana', 'AMRO', '75', '15932', '0', '76');
INSERT INTO public.who_import VALUES (30689, '2021-01-30', 'GF', 'French Guiana', 'AMRO', '96', '16028', '0', '76');
INSERT INTO public.who_import VALUES (30690, '2021-01-31', 'GF', 'French Guiana', 'AMRO', '55', '16083', '0', '76');
INSERT INTO public.who_import VALUES (30691, '2021-02-01', 'GF', 'French Guiana', 'AMRO', '0', '16083', '0', '76');
INSERT INTO public.who_import VALUES (30692, '2021-02-02', 'GF', 'French Guiana', 'AMRO', '51', '16134', '0', '76');
INSERT INTO public.who_import VALUES (30693, '2021-02-03', 'GF', 'French Guiana', 'AMRO', '51', '16185', '0', '76');
INSERT INTO public.who_import VALUES (30694, '2021-02-04', 'GF', 'French Guiana', 'AMRO', '33', '16218', '2', '78');
INSERT INTO public.who_import VALUES (30695, '2021-02-05', 'GF', 'French Guiana', 'AMRO', '46', '16264', '1', '79');
INSERT INTO public.who_import VALUES (30696, '2021-02-06', 'GF', 'French Guiana', 'AMRO', '32', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30697, '2021-02-07', 'GF', 'French Guiana', 'AMRO', '0', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30698, '2021-02-08', 'GF', 'French Guiana', 'AMRO', '0', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30699, '2021-02-09', 'GF', 'French Guiana', 'AMRO', '0', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30700, '2021-02-10', 'GF', 'French Guiana', 'AMRO', '0', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30701, '2021-02-11', 'GF', 'French Guiana', 'AMRO', '0', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30702, '2021-02-12', 'GF', 'French Guiana', 'AMRO', '0', '16296', '0', '79');
INSERT INTO public.who_import VALUES (30703, '2021-02-13', 'GF', 'French Guiana', 'AMRO', '160', '16456', '1', '80');
INSERT INTO public.who_import VALUES (30704, '2021-02-14', 'GF', 'French Guiana', 'AMRO', '0', '16456', '0', '80');
INSERT INTO public.who_import VALUES (30705, '2021-02-15', 'GF', 'French Guiana', 'AMRO', '0', '16456', '0', '80');
INSERT INTO public.who_import VALUES (30706, '2021-02-16', 'GF', 'French Guiana', 'AMRO', '0', '16456', '0', '80');
INSERT INTO public.who_import VALUES (30707, '2021-02-17', 'GF', 'French Guiana', 'AMRO', '0', '16456', '0', '80');
INSERT INTO public.who_import VALUES (30708, '2021-02-18', 'GF', 'French Guiana', 'AMRO', '0', '16456', '0', '80');
INSERT INTO public.who_import VALUES (30709, '2021-02-19', 'GF', 'French Guiana', 'AMRO', '0', '16456', '0', '80');
INSERT INTO public.who_import VALUES (30710, '2021-02-20', 'GF', 'French Guiana', 'AMRO', '73', '16529', '3', '83');
INSERT INTO public.who_import VALUES (30711, '2020-01-03', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30712, '2020-01-04', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30713, '2020-01-05', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30714, '2020-01-06', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30715, '2020-01-07', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30716, '2020-01-08', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30717, '2020-01-09', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30718, '2020-01-10', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30719, '2020-01-11', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30720, '2020-01-12', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30721, '2020-01-13', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30722, '2020-01-14', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30723, '2020-01-15', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30724, '2020-01-16', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30725, '2020-01-17', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30726, '2020-01-18', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30727, '2020-01-19', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30728, '2020-01-20', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30729, '2020-01-21', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30730, '2020-01-22', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30731, '2020-01-23', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30732, '2020-01-24', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30733, '2020-01-25', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30734, '2020-01-26', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30735, '2020-01-27', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30736, '2020-01-28', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30737, '2020-01-29', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30738, '2020-01-30', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30739, '2020-01-31', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30740, '2020-02-01', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30741, '2020-02-02', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30742, '2020-02-03', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30743, '2020-02-04', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30744, '2020-02-05', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30745, '2020-02-06', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30746, '2020-02-07', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30747, '2020-02-08', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30748, '2020-02-09', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30749, '2020-02-10', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30750, '2020-02-11', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30751, '2020-02-12', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30752, '2020-02-13', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30753, '2020-02-14', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30754, '2020-02-15', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30755, '2020-02-16', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30756, '2020-02-17', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30757, '2020-02-18', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30758, '2020-02-19', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30759, '2020-02-20', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30760, '2020-02-21', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30761, '2020-02-22', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30762, '2020-02-23', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30763, '2020-02-24', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30764, '2020-02-25', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30765, '2020-02-26', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30766, '2020-02-27', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30767, '2020-02-28', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30768, '2020-02-29', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30769, '2020-03-01', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30770, '2020-03-02', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30771, '2020-03-03', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30772, '2020-03-04', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30773, '2020-03-05', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30774, '2020-03-06', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30775, '2020-03-07', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30776, '2020-03-08', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30777, '2020-03-09', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30778, '2020-03-10', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30779, '2020-03-11', 'PF', 'French Polynesia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (30780, '2020-03-12', 'PF', 'French Polynesia', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (30781, '2020-03-13', 'PF', 'French Polynesia', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (30782, '2020-03-14', 'PF', 'French Polynesia', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (30783, '2020-03-15', 'PF', 'French Polynesia', 'WPRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (30784, '2020-03-16', 'PF', 'French Polynesia', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (30785, '2020-03-17', 'PF', 'French Polynesia', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (30786, '2020-03-18', 'PF', 'French Polynesia', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (30787, '2020-03-19', 'PF', 'French Polynesia', 'WPRO', '9', '11', '0', '0');
INSERT INTO public.who_import VALUES (30788, '2020-03-20', 'PF', 'French Polynesia', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (30789, '2020-03-21', 'PF', 'French Polynesia', 'WPRO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (30790, '2020-03-22', 'PF', 'French Polynesia', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (30791, '2020-03-23', 'PF', 'French Polynesia', 'WPRO', '3', '18', '0', '0');
INSERT INTO public.who_import VALUES (30792, '2020-03-24', 'PF', 'French Polynesia', 'WPRO', '5', '23', '0', '0');
INSERT INTO public.who_import VALUES (30793, '2020-03-25', 'PF', 'French Polynesia', 'WPRO', '2', '25', '0', '0');
INSERT INTO public.who_import VALUES (30794, '2020-03-26', 'PF', 'French Polynesia', 'WPRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (30795, '2020-03-27', 'PF', 'French Polynesia', 'WPRO', '5', '30', '0', '0');
INSERT INTO public.who_import VALUES (30796, '2020-03-28', 'PF', 'French Polynesia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (30797, '2020-03-29', 'PF', 'French Polynesia', 'WPRO', '4', '34', '0', '0');
INSERT INTO public.who_import VALUES (30798, '2020-03-30', 'PF', 'French Polynesia', 'WPRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (30799, '2020-03-31', 'PF', 'French Polynesia', 'WPRO', '1', '36', '0', '0');
INSERT INTO public.who_import VALUES (30800, '2020-04-01', 'PF', 'French Polynesia', 'WPRO', '1', '37', '0', '0');
INSERT INTO public.who_import VALUES (30801, '2020-04-02', 'PF', 'French Polynesia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (30802, '2020-04-03', 'PF', 'French Polynesia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (30803, '2020-04-04', 'PF', 'French Polynesia', 'WPRO', '2', '39', '0', '0');
INSERT INTO public.who_import VALUES (30804, '2020-04-05', 'PF', 'French Polynesia', 'WPRO', '1', '40', '0', '0');
INSERT INTO public.who_import VALUES (30805, '2020-04-06', 'PF', 'French Polynesia', 'WPRO', '1', '41', '0', '0');
INSERT INTO public.who_import VALUES (30806, '2020-04-07', 'PF', 'French Polynesia', 'WPRO', '1', '42', '0', '0');
INSERT INTO public.who_import VALUES (30807, '2020-04-08', 'PF', 'French Polynesia', 'WPRO', '5', '47', '0', '0');
INSERT INTO public.who_import VALUES (30808, '2020-04-09', 'PF', 'French Polynesia', 'WPRO', '4', '51', '0', '0');
INSERT INTO public.who_import VALUES (30809, '2020-04-10', 'PF', 'French Polynesia', 'WPRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (30810, '2020-04-11', 'PF', 'French Polynesia', 'WPRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (30811, '2020-04-12', 'PF', 'French Polynesia', 'WPRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (30812, '2020-04-13', 'PF', 'French Polynesia', 'WPRO', '2', '53', '0', '0');
INSERT INTO public.who_import VALUES (30813, '2020-04-14', 'PF', 'French Polynesia', 'WPRO', '2', '55', '0', '0');
INSERT INTO public.who_import VALUES (30814, '2020-04-15', 'PF', 'French Polynesia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (30815, '2020-04-16', 'PF', 'French Polynesia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (30816, '2020-04-17', 'PF', 'French Polynesia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (30817, '2020-04-18', 'PF', 'French Polynesia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (30818, '2020-04-19', 'PF', 'French Polynesia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (30819, '2020-04-20', 'PF', 'French Polynesia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (30820, '2020-04-21', 'PF', 'French Polynesia', 'WPRO', '1', '56', '0', '0');
INSERT INTO public.who_import VALUES (30821, '2020-04-22', 'PF', 'French Polynesia', 'WPRO', '1', '57', '0', '0');
INSERT INTO public.who_import VALUES (30822, '2020-04-23', 'PF', 'French Polynesia', 'WPRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (30823, '2020-04-24', 'PF', 'French Polynesia', 'WPRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (30824, '2020-04-25', 'PF', 'French Polynesia', 'WPRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (30825, '2020-04-26', 'PF', 'French Polynesia', 'WPRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (30826, '2020-04-27', 'PF', 'French Polynesia', 'WPRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (30827, '2020-04-28', 'PF', 'French Polynesia', 'WPRO', '1', '58', '0', '0');
INSERT INTO public.who_import VALUES (30828, '2020-04-29', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30829, '2020-04-30', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30830, '2020-05-01', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30831, '2020-05-02', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30832, '2020-05-03', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30833, '2020-05-04', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30834, '2020-05-05', 'PF', 'French Polynesia', 'WPRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (30835, '2020-05-06', 'PF', 'French Polynesia', 'WPRO', '2', '60', '0', '0');
INSERT INTO public.who_import VALUES (30836, '2020-05-07', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30837, '2020-05-08', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30838, '2020-05-09', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30839, '2020-05-10', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30840, '2020-05-11', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30841, '2020-05-12', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30842, '2020-05-13', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30843, '2020-05-14', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30844, '2020-05-15', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30845, '2020-05-16', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30846, '2020-05-17', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30847, '2020-05-18', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30848, '2020-05-19', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30849, '2020-05-20', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30850, '2020-05-21', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30851, '2020-05-22', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30852, '2020-05-23', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30853, '2020-05-24', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30854, '2020-05-25', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30855, '2020-05-26', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30856, '2020-05-27', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30857, '2020-05-28', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30858, '2020-05-29', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30859, '2020-05-30', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30860, '2020-05-31', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30861, '2020-06-01', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30862, '2020-06-02', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30863, '2020-06-03', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30864, '2020-06-04', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30865, '2020-06-05', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30866, '2020-06-06', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30867, '2020-06-07', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30868, '2020-06-08', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30869, '2020-06-09', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30870, '2020-06-10', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30871, '2020-06-11', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30872, '2020-06-12', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30873, '2020-06-13', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30874, '2020-06-14', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30875, '2020-06-15', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30876, '2020-06-16', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30877, '2020-06-17', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30878, '2020-06-18', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30879, '2020-06-19', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30880, '2020-06-20', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30881, '2020-06-21', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30882, '2020-06-22', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30883, '2020-06-23', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30884, '2020-06-24', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30885, '2020-06-25', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30886, '2020-06-26', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30887, '2020-06-27', 'PF', 'French Polynesia', 'WPRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (30888, '2020-06-28', 'PF', 'French Polynesia', 'WPRO', '2', '62', '0', '0');
INSERT INTO public.who_import VALUES (30889, '2020-06-29', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30890, '2020-06-30', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30891, '2020-07-01', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30892, '2020-07-02', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30893, '2020-07-03', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30894, '2020-07-04', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30895, '2020-07-05', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30896, '2020-07-06', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30897, '2020-07-07', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30898, '2020-07-08', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30899, '2020-07-09', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30900, '2020-07-10', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30901, '2020-07-11', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30902, '2020-07-12', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30903, '2020-07-13', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30904, '2020-07-14', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30905, '2020-07-15', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30906, '2020-07-16', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30907, '2020-07-17', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30908, '2020-07-18', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30909, '2020-07-19', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30910, '2020-07-20', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30911, '2020-07-21', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30912, '2020-07-22', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30913, '2020-07-23', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30914, '2020-07-24', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30915, '2020-07-25', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30916, '2020-07-26', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30917, '2020-07-27', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30918, '2020-07-28', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30919, '2020-07-29', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30920, '2020-07-30', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30921, '2020-07-31', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30922, '2020-08-01', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30923, '2020-08-02', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30924, '2020-08-03', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30925, '2020-08-04', 'PF', 'French Polynesia', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (30926, '2020-08-05', 'PF', 'French Polynesia', 'WPRO', '2', '64', '0', '0');
INSERT INTO public.who_import VALUES (30927, '2020-08-06', 'PF', 'French Polynesia', 'WPRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (30928, '2020-08-07', 'PF', 'French Polynesia', 'WPRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (30929, '2020-08-08', 'PF', 'French Polynesia', 'WPRO', '5', '69', '0', '0');
INSERT INTO public.who_import VALUES (30930, '2020-08-09', 'PF', 'French Polynesia', 'WPRO', '0', '69', '0', '0');
INSERT INTO public.who_import VALUES (30931, '2020-08-10', 'PF', 'French Polynesia', 'WPRO', '0', '69', '0', '0');
INSERT INTO public.who_import VALUES (30932, '2020-08-11', 'PF', 'French Polynesia', 'WPRO', '0', '69', '0', '0');
INSERT INTO public.who_import VALUES (30933, '2020-08-12', 'PF', 'French Polynesia', 'WPRO', '43', '112', '0', '0');
INSERT INTO public.who_import VALUES (30934, '2020-08-13', 'PF', 'French Polynesia', 'WPRO', '27', '139', '0', '0');
INSERT INTO public.who_import VALUES (30935, '2020-08-14', 'PF', 'French Polynesia', 'WPRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (30936, '2020-08-15', 'PF', 'French Polynesia', 'WPRO', '27', '166', '0', '0');
INSERT INTO public.who_import VALUES (30937, '2020-08-16', 'PF', 'French Polynesia', 'WPRO', '0', '166', '0', '0');
INSERT INTO public.who_import VALUES (30938, '2020-08-17', 'PF', 'French Polynesia', 'WPRO', '0', '166', '0', '0');
INSERT INTO public.who_import VALUES (30939, '2020-08-18', 'PF', 'French Polynesia', 'WPRO', '45', '211', '0', '0');
INSERT INTO public.who_import VALUES (30940, '2020-08-19', 'PF', 'French Polynesia', 'WPRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (30941, '2020-08-20', 'PF', 'French Polynesia', 'WPRO', '21', '232', '0', '0');
INSERT INTO public.who_import VALUES (30942, '2020-08-21', 'PF', 'French Polynesia', 'WPRO', '20', '252', '0', '0');
INSERT INTO public.who_import VALUES (30943, '2020-08-22', 'PF', 'French Polynesia', 'WPRO', '46', '298', '0', '0');
INSERT INTO public.who_import VALUES (30944, '2020-08-23', 'PF', 'French Polynesia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (30945, '2020-08-24', 'PF', 'French Polynesia', 'WPRO', '51', '349', '0', '0');
INSERT INTO public.who_import VALUES (30946, '2020-08-25', 'PF', 'French Polynesia', 'WPRO', '23', '372', '0', '0');
INSERT INTO public.who_import VALUES (30947, '2020-08-26', 'PF', 'French Polynesia', 'WPRO', '25', '397', '0', '0');
INSERT INTO public.who_import VALUES (30948, '2020-08-27', 'PF', 'French Polynesia', 'WPRO', '18', '415', '0', '0');
INSERT INTO public.who_import VALUES (30949, '2020-08-28', 'PF', 'French Polynesia', 'WPRO', '32', '447', '0', '0');
INSERT INTO public.who_import VALUES (30950, '2020-08-29', 'PF', 'French Polynesia', 'WPRO', '35', '482', '0', '0');
INSERT INTO public.who_import VALUES (30951, '2020-08-30', 'PF', 'French Polynesia', 'WPRO', '0', '482', '0', '0');
INSERT INTO public.who_import VALUES (30952, '2020-08-31', 'PF', 'French Polynesia', 'WPRO', '45', '527', '0', '0');
INSERT INTO public.who_import VALUES (30953, '2020-09-01', 'PF', 'French Polynesia', 'WPRO', '46', '573', '0', '0');
INSERT INTO public.who_import VALUES (30954, '2020-09-02', 'PF', 'French Polynesia', 'WPRO', '23', '596', '0', '0');
INSERT INTO public.who_import VALUES (30955, '2020-09-03', 'PF', 'French Polynesia', 'WPRO', '26', '622', '0', '0');
INSERT INTO public.who_import VALUES (30956, '2020-09-04', 'PF', 'French Polynesia', 'WPRO', '36', '658', '0', '0');
INSERT INTO public.who_import VALUES (30957, '2020-09-05', 'PF', 'French Polynesia', 'WPRO', '36', '694', '0', '0');
INSERT INTO public.who_import VALUES (30958, '2020-09-06', 'PF', 'French Polynesia', 'WPRO', '26', '720', '0', '0');
INSERT INTO public.who_import VALUES (30959, '2020-09-07', 'PF', 'French Polynesia', 'WPRO', '18', '738', '0', '0');
INSERT INTO public.who_import VALUES (30960, '2020-09-08', 'PF', 'French Polynesia', 'WPRO', '35', '773', '0', '0');
INSERT INTO public.who_import VALUES (30961, '2020-09-09', 'PF', 'French Polynesia', 'WPRO', '47', '820', '0', '0');
INSERT INTO public.who_import VALUES (30962, '2020-09-10', 'PF', 'French Polynesia', 'WPRO', '37', '857', '0', '0');
INSERT INTO public.who_import VALUES (30963, '2020-09-11', 'PF', 'French Polynesia', 'WPRO', '74', '931', '1', '1');
INSERT INTO public.who_import VALUES (30964, '2020-09-12', 'PF', 'French Polynesia', 'WPRO', '22', '953', '1', '2');
INSERT INTO public.who_import VALUES (30965, '2020-09-13', 'PF', 'French Polynesia', 'WPRO', '67', '1020', '0', '2');
INSERT INTO public.who_import VALUES (30966, '2020-09-14', 'PF', 'French Polynesia', 'WPRO', '35', '1055', '0', '2');
INSERT INTO public.who_import VALUES (30967, '2020-09-15', 'PF', 'French Polynesia', 'WPRO', '44', '1099', '0', '2');
INSERT INTO public.who_import VALUES (30968, '2020-09-16', 'PF', 'French Polynesia', 'WPRO', '36', '1135', '0', '2');
INSERT INTO public.who_import VALUES (30969, '2020-09-17', 'PF', 'French Polynesia', 'WPRO', '55', '1190', '0', '2');
INSERT INTO public.who_import VALUES (30970, '2020-09-18', 'PF', 'French Polynesia', 'WPRO', '34', '1224', '0', '2');
INSERT INTO public.who_import VALUES (30971, '2020-09-19', 'PF', 'French Polynesia', 'WPRO', '47', '1271', '0', '2');
INSERT INTO public.who_import VALUES (30972, '2020-09-20', 'PF', 'French Polynesia', 'WPRO', '47', '1318', '0', '2');
INSERT INTO public.who_import VALUES (30973, '2020-09-21', 'PF', 'French Polynesia', 'WPRO', '35', '1353', '0', '2');
INSERT INTO public.who_import VALUES (30974, '2020-09-22', 'PF', 'French Polynesia', 'WPRO', '41', '1394', '0', '2');
INSERT INTO public.who_import VALUES (30975, '2020-09-23', 'PF', 'French Polynesia', 'WPRO', '0', '1394', '3', '5');
INSERT INTO public.who_import VALUES (30976, '2020-09-24', 'PF', 'French Polynesia', 'WPRO', '75', '1469', '0', '5');
INSERT INTO public.who_import VALUES (30977, '2020-09-25', 'PF', 'French Polynesia', 'WPRO', '0', '1469', '0', '5');
INSERT INTO public.who_import VALUES (30978, '2020-09-26', 'PF', 'French Polynesia', 'WPRO', '110', '1579', '1', '6');
INSERT INTO public.who_import VALUES (30979, '2020-09-27', 'PF', 'French Polynesia', 'WPRO', '0', '1579', '0', '6');
INSERT INTO public.who_import VALUES (30980, '2020-09-28', 'PF', 'French Polynesia', 'WPRO', '0', '1579', '0', '6');
INSERT INTO public.who_import VALUES (30981, '2020-09-29', 'PF', 'French Polynesia', 'WPRO', '0', '1579', '1', '7');
INSERT INTO public.who_import VALUES (30982, '2020-09-30', 'PF', 'French Polynesia', 'WPRO', '149', '1728', '0', '7');
INSERT INTO public.who_import VALUES (30983, '2020-10-01', 'PF', 'French Polynesia', 'WPRO', '124', '1852', '0', '7');
INSERT INTO public.who_import VALUES (30984, '2020-10-02', 'PF', 'French Polynesia', 'WPRO', '0', '1852', '0', '7');
INSERT INTO public.who_import VALUES (30985, '2020-10-03', 'PF', 'French Polynesia', 'WPRO', '174', '2026', '1', '8');
INSERT INTO public.who_import VALUES (30986, '2020-10-04', 'PF', 'French Polynesia', 'WPRO', '0', '2026', '0', '8');
INSERT INTO public.who_import VALUES (30987, '2020-10-05', 'PF', 'French Polynesia', 'WPRO', '0', '2026', '0', '8');
INSERT INTO public.who_import VALUES (30988, '2020-10-06', 'PF', 'French Polynesia', 'WPRO', '264', '2290', '1', '9');
INSERT INTO public.who_import VALUES (30989, '2020-10-07', 'PF', 'French Polynesia', 'WPRO', '0', '2290', '0', '9');
INSERT INTO public.who_import VALUES (30990, '2020-10-08', 'PF', 'French Polynesia', 'WPRO', '130', '2420', '1', '10');
INSERT INTO public.who_import VALUES (30991, '2020-10-09', 'PF', 'French Polynesia', 'WPRO', '0', '2420', '0', '10');
INSERT INTO public.who_import VALUES (30992, '2020-10-10', 'PF', 'French Polynesia', 'WPRO', '334', '2754', '0', '10');
INSERT INTO public.who_import VALUES (30993, '2020-10-11', 'PF', 'French Polynesia', 'WPRO', '0', '2754', '0', '10');
INSERT INTO public.who_import VALUES (30994, '2020-10-12', 'PF', 'French Polynesia', 'WPRO', '0', '2754', '0', '10');
INSERT INTO public.who_import VALUES (30995, '2020-10-13', 'PF', 'French Polynesia', 'WPRO', '497', '3251', '1', '11');
INSERT INTO public.who_import VALUES (30996, '2020-10-14', 'PF', 'French Polynesia', 'WPRO', '0', '3251', '0', '11');
INSERT INTO public.who_import VALUES (30997, '2020-10-15', 'PF', 'French Polynesia', 'WPRO', '322', '3573', '2', '13');
INSERT INTO public.who_import VALUES (30998, '2020-10-16', 'PF', 'French Polynesia', 'WPRO', '0', '3573', '0', '13');
INSERT INTO public.who_import VALUES (30999, '2020-10-17', 'PF', 'French Polynesia', 'WPRO', '224', '3797', '1', '14');
INSERT INTO public.who_import VALUES (31000, '2020-10-18', 'PF', 'French Polynesia', 'WPRO', '0', '3797', '0', '14');
INSERT INTO public.who_import VALUES (31001, '2020-10-19', 'PF', 'French Polynesia', 'WPRO', '0', '3797', '0', '14');
INSERT INTO public.who_import VALUES (31002, '2020-10-20', 'PF', 'French Polynesia', 'WPRO', '813', '4610', '2', '16');
INSERT INTO public.who_import VALUES (31003, '2020-10-21', 'PF', 'French Polynesia', 'WPRO', '0', '4610', '0', '16');
INSERT INTO public.who_import VALUES (31004, '2020-10-22', 'PF', 'French Polynesia', 'WPRO', '551', '5161', '3', '19');
INSERT INTO public.who_import VALUES (31005, '2020-10-23', 'PF', 'French Polynesia', 'WPRO', '0', '5161', '0', '19');
INSERT INTO public.who_import VALUES (31006, '2020-10-24', 'PF', 'French Polynesia', 'WPRO', '698', '5859', '1', '20');
INSERT INTO public.who_import VALUES (31007, '2020-10-25', 'PF', 'French Polynesia', 'WPRO', '0', '5859', '0', '20');
INSERT INTO public.who_import VALUES (31008, '2020-10-26', 'PF', 'French Polynesia', 'WPRO', '0', '5859', '0', '20');
INSERT INTO public.who_import VALUES (31009, '2020-10-27', 'PF', 'French Polynesia', 'WPRO', '634', '6493', '6', '26');
INSERT INTO public.who_import VALUES (31010, '2020-10-28', 'PF', 'French Polynesia', 'WPRO', '0', '6493', '0', '26');
INSERT INTO public.who_import VALUES (31011, '2020-10-29', 'PF', 'French Polynesia', 'WPRO', '769', '7262', '3', '29');
INSERT INTO public.who_import VALUES (31012, '2020-10-30', 'PF', 'French Polynesia', 'WPRO', '0', '7262', '0', '29');
INSERT INTO public.who_import VALUES (31013, '2020-10-31', 'PF', 'French Polynesia', 'WPRO', '0', '7262', '0', '29');
INSERT INTO public.who_import VALUES (31014, '2020-11-01', 'PF', 'French Polynesia', 'WPRO', '0', '7262', '0', '29');
INSERT INTO public.who_import VALUES (31015, '2020-11-02', 'PF', 'French Polynesia', 'WPRO', '0', '7262', '0', '29');
INSERT INTO public.who_import VALUES (31016, '2020-11-03', 'PF', 'French Polynesia', 'WPRO', '1384', '8646', '9', '38');
INSERT INTO public.who_import VALUES (31017, '2020-11-04', 'PF', 'French Polynesia', 'WPRO', '303', '8949', '0', '38');
INSERT INTO public.who_import VALUES (31018, '2020-11-05', 'PF', 'French Polynesia', 'WPRO', '338', '9287', '1', '39');
INSERT INTO public.who_import VALUES (31019, '2020-11-06', 'PF', 'French Polynesia', 'WPRO', '467', '9754', '0', '39');
INSERT INTO public.who_import VALUES (31020, '2020-11-07', 'PF', 'French Polynesia', 'WPRO', '241', '9995', '0', '39');
INSERT INTO public.who_import VALUES (31021, '2020-11-08', 'PF', 'French Polynesia', 'WPRO', '0', '9995', '0', '39');
INSERT INTO public.who_import VALUES (31022, '2020-11-09', 'PF', 'French Polynesia', 'WPRO', '0', '9995', '0', '39');
INSERT INTO public.who_import VALUES (31023, '2020-11-10', 'PF', 'French Polynesia', 'WPRO', '685', '10680', '10', '49');
INSERT INTO public.who_import VALUES (31024, '2020-11-11', 'PF', 'French Polynesia', 'WPRO', '291', '10971', '3', '52');
INSERT INTO public.who_import VALUES (31025, '2020-11-12', 'PF', 'French Polynesia', 'WPRO', '345', '11316', '0', '52');
INSERT INTO public.who_import VALUES (31026, '2020-11-13', 'PF', 'French Polynesia', 'WPRO', '169', '11485', '0', '52');
INSERT INTO public.who_import VALUES (31027, '2020-11-14', 'PF', 'French Polynesia', 'WPRO', '221', '11706', '1', '53');
INSERT INTO public.who_import VALUES (31028, '2020-11-15', 'PF', 'French Polynesia', 'WPRO', '0', '11706', '0', '53');
INSERT INTO public.who_import VALUES (31029, '2020-11-16', 'PF', 'French Polynesia', 'WPRO', '0', '11706', '0', '53');
INSERT INTO public.who_import VALUES (31030, '2020-11-17', 'PF', 'French Polynesia', 'WPRO', '415', '12121', '3', '56');
INSERT INTO public.who_import VALUES (31031, '2020-11-18', 'PF', 'French Polynesia', 'WPRO', '241', '12362', '5', '61');
INSERT INTO public.who_import VALUES (31032, '2020-11-19', 'PF', 'French Polynesia', 'WPRO', '225', '12587', '1', '62');
INSERT INTO public.who_import VALUES (31033, '2020-11-20', 'PF', 'French Polynesia', 'WPRO', '229', '12816', '0', '62');
INSERT INTO public.who_import VALUES (31034, '2020-11-21', 'PF', 'French Polynesia', 'WPRO', '162', '12978', '1', '63');
INSERT INTO public.who_import VALUES (31035, '2020-11-22', 'PF', 'French Polynesia', 'WPRO', '0', '12978', '0', '63');
INSERT INTO public.who_import VALUES (31036, '2020-11-23', 'PF', 'French Polynesia', 'WPRO', '0', '12978', '0', '63');
INSERT INTO public.who_import VALUES (31037, '2020-11-24', 'PF', 'French Polynesia', 'WPRO', '308', '13286', '5', '68');
INSERT INTO public.who_import VALUES (31038, '2020-11-25', 'PF', 'French Polynesia', 'WPRO', '231', '13517', '2', '70');
INSERT INTO public.who_import VALUES (31039, '2020-11-26', 'PF', 'French Polynesia', 'WPRO', '266', '13783', '0', '70');
INSERT INTO public.who_import VALUES (31040, '2020-11-27', 'PF', 'French Polynesia', 'WPRO', '100', '13883', '2', '72');
INSERT INTO public.who_import VALUES (31041, '2020-11-28', 'PF', 'French Polynesia', 'WPRO', '213', '14096', '1', '73');
INSERT INTO public.who_import VALUES (31042, '2020-11-29', 'PF', 'French Polynesia', 'WPRO', '0', '14096', '0', '73');
INSERT INTO public.who_import VALUES (31043, '2020-11-30', 'PF', 'French Polynesia', 'WPRO', '0', '14096', '0', '73');
INSERT INTO public.who_import VALUES (31044, '2020-12-01', 'PF', 'French Polynesia', 'WPRO', '276', '14372', '2', '75');
INSERT INTO public.who_import VALUES (31045, '2020-12-02', 'PF', 'French Polynesia', 'WPRO', '187', '14559', '1', '76');
INSERT INTO public.who_import VALUES (31046, '2020-12-03', 'PF', 'French Polynesia', 'WPRO', '157', '14716', '1', '77');
INSERT INTO public.who_import VALUES (31047, '2020-12-04', 'PF', 'French Polynesia', 'WPRO', '181', '14897', '1', '78');
INSERT INTO public.who_import VALUES (31048, '2020-12-05', 'PF', 'French Polynesia', 'WPRO', '210', '15107', '1', '79');
INSERT INTO public.who_import VALUES (31049, '2020-12-06', 'PF', 'French Polynesia', 'WPRO', '0', '15107', '0', '79');
INSERT INTO public.who_import VALUES (31050, '2020-12-07', 'PF', 'French Polynesia', 'WPRO', '0', '15107', '0', '79');
INSERT INTO public.who_import VALUES (31051, '2020-12-08', 'PF', 'French Polynesia', 'WPRO', '0', '15107', '0', '79');
INSERT INTO public.who_import VALUES (31052, '2020-12-09', 'PF', 'French Polynesia', 'WPRO', '225', '15332', '7', '86');
INSERT INTO public.who_import VALUES (31053, '2020-12-10', 'PF', 'French Polynesia', 'WPRO', '79', '15411', '4', '90');
INSERT INTO public.who_import VALUES (31054, '2020-12-11', 'PF', 'French Polynesia', 'WPRO', '124', '15535', '1', '91');
INSERT INTO public.who_import VALUES (31055, '2020-12-12', 'PF', 'French Polynesia', 'WPRO', '83', '15618', '0', '91');
INSERT INTO public.who_import VALUES (31056, '2020-12-13', 'PF', 'French Polynesia', 'WPRO', '0', '15618', '0', '91');
INSERT INTO public.who_import VALUES (31057, '2020-12-14', 'PF', 'French Polynesia', 'WPRO', '0', '15618', '0', '91');
INSERT INTO public.who_import VALUES (31058, '2020-12-15', 'PF', 'French Polynesia', 'WPRO', '129', '15747', '5', '96');
INSERT INTO public.who_import VALUES (31059, '2020-12-16', 'PF', 'French Polynesia', 'WPRO', '123', '15870', '1', '97');
INSERT INTO public.who_import VALUES (31060, '2020-12-17', 'PF', 'French Polynesia', 'WPRO', '104', '15974', '1', '98');
INSERT INTO public.who_import VALUES (31061, '2020-12-18', 'PF', 'French Polynesia', 'WPRO', '144', '16118', '3', '101');
INSERT INTO public.who_import VALUES (31062, '2020-12-19', 'PF', 'French Polynesia', 'WPRO', '64', '16182', '2', '103');
INSERT INTO public.who_import VALUES (31063, '2020-12-20', 'PF', 'French Polynesia', 'WPRO', '0', '16182', '0', '103');
INSERT INTO public.who_import VALUES (31064, '2020-12-21', 'PF', 'French Polynesia', 'WPRO', '0', '16182', '0', '103');
INSERT INTO public.who_import VALUES (31065, '2020-12-22', 'PF', 'French Polynesia', 'WPRO', '163', '16345', '3', '106');
INSERT INTO public.who_import VALUES (31066, '2020-12-23', 'PF', 'French Polynesia', 'WPRO', '65', '16410', '0', '106');
INSERT INTO public.who_import VALUES (31067, '2020-12-24', 'PF', 'French Polynesia', 'WPRO', '56', '16466', '1', '107');
INSERT INTO public.who_import VALUES (31068, '2020-12-25', 'PF', 'French Polynesia', 'WPRO', '84', '16550', '1', '108');
INSERT INTO public.who_import VALUES (31069, '2020-12-26', 'PF', 'French Polynesia', 'WPRO', '0', '16550', '0', '108');
INSERT INTO public.who_import VALUES (31070, '2020-12-27', 'PF', 'French Polynesia', 'WPRO', '0', '16550', '0', '108');
INSERT INTO public.who_import VALUES (31071, '2020-12-28', 'PF', 'French Polynesia', 'WPRO', '0', '16550', '0', '108');
INSERT INTO public.who_import VALUES (31072, '2020-12-29', 'PF', 'French Polynesia', 'WPRO', '146', '16696', '5', '113');
INSERT INTO public.who_import VALUES (31073, '2020-12-30', 'PF', 'French Polynesia', 'WPRO', '99', '16795', '0', '113');
INSERT INTO public.who_import VALUES (31074, '2020-12-31', 'PF', 'French Polynesia', 'WPRO', '56', '16851', '1', '114');
INSERT INTO public.who_import VALUES (31075, '2021-01-01', 'PF', 'French Polynesia', 'WPRO', '75', '16926', '0', '114');
INSERT INTO public.who_import VALUES (31076, '2021-01-02', 'PF', 'French Polynesia', 'WPRO', '0', '16926', '0', '114');
INSERT INTO public.who_import VALUES (31077, '2021-01-03', 'PF', 'French Polynesia', 'WPRO', '0', '16926', '0', '114');
INSERT INTO public.who_import VALUES (31078, '2021-01-04', 'PF', 'French Polynesia', 'WPRO', '0', '16926', '0', '114');
INSERT INTO public.who_import VALUES (31079, '2021-01-05', 'PF', 'French Polynesia', 'WPRO', '62', '16988', '7', '121');
INSERT INTO public.who_import VALUES (31080, '2021-01-06', 'PF', 'French Polynesia', 'WPRO', '100', '17088', '0', '121');
INSERT INTO public.who_import VALUES (31081, '2021-01-07', 'PF', 'French Polynesia', 'WPRO', '43', '17131', '0', '121');
INSERT INTO public.who_import VALUES (31082, '2021-01-08', 'PF', 'French Polynesia', 'WPRO', '64', '17195', '0', '121');
INSERT INTO public.who_import VALUES (31083, '2021-01-09', 'PF', 'French Polynesia', 'WPRO', '46', '17241', '1', '122');
INSERT INTO public.who_import VALUES (31084, '2021-01-10', 'PF', 'French Polynesia', 'WPRO', '0', '17241', '0', '122');
INSERT INTO public.who_import VALUES (31085, '2021-01-11', 'PF', 'French Polynesia', 'WPRO', '0', '17241', '0', '122');
INSERT INTO public.who_import VALUES (31086, '2021-01-12', 'PF', 'French Polynesia', 'WPRO', '99', '17340', '2', '124');
INSERT INTO public.who_import VALUES (31087, '2021-01-13', 'PF', 'French Polynesia', 'WPRO', '63', '17403', '0', '124');
INSERT INTO public.who_import VALUES (31088, '2021-01-14', 'PF', 'French Polynesia', 'WPRO', '80', '17483', '0', '124');
INSERT INTO public.who_import VALUES (31089, '2021-01-15', 'PF', 'French Polynesia', 'WPRO', '107', '17590', '2', '126');
INSERT INTO public.who_import VALUES (31090, '2021-01-16', 'PF', 'French Polynesia', 'WPRO', '45', '17635', '0', '126');
INSERT INTO public.who_import VALUES (31091, '2021-01-17', 'PF', 'French Polynesia', 'WPRO', '0', '17635', '0', '126');
INSERT INTO public.who_import VALUES (31092, '2021-01-18', 'PF', 'French Polynesia', 'WPRO', '0', '17635', '0', '126');
INSERT INTO public.who_import VALUES (31093, '2021-01-19', 'PF', 'French Polynesia', 'WPRO', '62', '17697', '1', '127');
INSERT INTO public.who_import VALUES (31094, '2021-01-20', 'PF', 'French Polynesia', 'WPRO', '0', '17697', '0', '127');
INSERT INTO public.who_import VALUES (31095, '2021-01-21', 'PF', 'French Polynesia', 'WPRO', '111', '17808', '1', '128');
INSERT INTO public.who_import VALUES (31096, '2021-01-22', 'PF', 'French Polynesia', 'WPRO', '12', '17820', '0', '128');
INSERT INTO public.who_import VALUES (31097, '2021-01-23', 'PF', 'French Polynesia', 'WPRO', '32', '17852', '0', '128');
INSERT INTO public.who_import VALUES (31098, '2021-01-24', 'PF', 'French Polynesia', 'WPRO', '0', '17852', '0', '128');
INSERT INTO public.who_import VALUES (31099, '2021-01-25', 'PF', 'French Polynesia', 'WPRO', '0', '17852', '0', '128');
INSERT INTO public.who_import VALUES (31100, '2021-01-26', 'PF', 'French Polynesia', 'WPRO', '60', '17912', '1', '129');
INSERT INTO public.who_import VALUES (31101, '2021-01-27', 'PF', 'French Polynesia', 'WPRO', '49', '17961', '2', '131');
INSERT INTO public.who_import VALUES (31102, '2021-01-28', 'PF', 'French Polynesia', 'WPRO', '35', '17996', '0', '131');
INSERT INTO public.who_import VALUES (31103, '2021-01-29', 'PF', 'French Polynesia', 'WPRO', '37', '18033', '0', '131');
INSERT INTO public.who_import VALUES (31104, '2021-01-30', 'PF', 'French Polynesia', 'WPRO', '27', '18060', '0', '131');
INSERT INTO public.who_import VALUES (31105, '2021-01-31', 'PF', 'French Polynesia', 'WPRO', '0', '18060', '0', '131');
INSERT INTO public.who_import VALUES (31106, '2021-02-01', 'PF', 'French Polynesia', 'WPRO', '0', '18060', '0', '131');
INSERT INTO public.who_import VALUES (31107, '2021-02-02', 'PF', 'French Polynesia', 'WPRO', '41', '18101', '1', '132');
INSERT INTO public.who_import VALUES (31108, '2021-02-03', 'PF', 'French Polynesia', 'WPRO', '20', '18121', '1', '133');
INSERT INTO public.who_import VALUES (31109, '2021-02-04', 'PF', 'French Polynesia', 'WPRO', '24', '18145', '0', '133');
INSERT INTO public.who_import VALUES (31110, '2021-02-05', 'PF', 'French Polynesia', 'WPRO', '20', '18165', '0', '133');
INSERT INTO public.who_import VALUES (31111, '2021-02-06', 'PF', 'French Polynesia', 'WPRO', '20', '18185', '0', '133');
INSERT INTO public.who_import VALUES (31112, '2021-02-07', 'PF', 'French Polynesia', 'WPRO', '0', '18185', '0', '133');
INSERT INTO public.who_import VALUES (31113, '2021-02-08', 'PF', 'French Polynesia', 'WPRO', '0', '18185', '0', '133');
INSERT INTO public.who_import VALUES (31114, '2021-02-09', 'PF', 'French Polynesia', 'WPRO', '21', '18206', '2', '135');
INSERT INTO public.who_import VALUES (31115, '2021-02-10', 'PF', 'French Polynesia', 'WPRO', '16', '18222', '0', '135');
INSERT INTO public.who_import VALUES (31116, '2021-02-11', 'PF', 'French Polynesia', 'WPRO', '22', '18244', '0', '135');
INSERT INTO public.who_import VALUES (31117, '2021-02-12', 'PF', 'French Polynesia', 'WPRO', '13', '18257', '0', '135');
INSERT INTO public.who_import VALUES (31118, '2021-02-13', 'PF', 'French Polynesia', 'WPRO', '6', '18263', '0', '135');
INSERT INTO public.who_import VALUES (31119, '2021-02-14', 'PF', 'French Polynesia', 'WPRO', '0', '18263', '0', '135');
INSERT INTO public.who_import VALUES (31120, '2021-02-15', 'PF', 'French Polynesia', 'WPRO', '0', '18263', '0', '135');
INSERT INTO public.who_import VALUES (31121, '2021-02-16', 'PF', 'French Polynesia', 'WPRO', '30', '18293', '0', '135');
INSERT INTO public.who_import VALUES (31122, '2021-02-17', 'PF', 'French Polynesia', 'WPRO', '6', '18299', '1', '136');
INSERT INTO public.who_import VALUES (31123, '2021-02-18', 'PF', 'French Polynesia', 'WPRO', '22', '18321', '0', '136');
INSERT INTO public.who_import VALUES (31124, '2021-02-19', 'PF', 'French Polynesia', 'WPRO', '14', '18335', '0', '136');
INSERT INTO public.who_import VALUES (31125, '2021-02-20', 'PF', 'French Polynesia', 'WPRO', '11', '18346', '1', '137');
INSERT INTO public.who_import VALUES (31126, '2020-01-03', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31127, '2020-01-04', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31128, '2020-01-05', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31129, '2020-01-06', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31130, '2020-01-07', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31131, '2020-01-08', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31132, '2020-01-09', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31133, '2020-01-10', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31134, '2020-01-11', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31135, '2020-01-12', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31136, '2020-01-13', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31137, '2020-01-14', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31138, '2020-01-15', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31139, '2020-01-16', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31140, '2020-01-17', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31141, '2020-01-18', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31142, '2020-01-19', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31143, '2020-01-20', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31144, '2020-01-21', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31145, '2020-01-22', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31146, '2020-01-23', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31147, '2020-01-24', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31148, '2020-01-25', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31149, '2020-01-26', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31150, '2020-01-27', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31151, '2020-01-28', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31152, '2020-01-29', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31153, '2020-01-30', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31154, '2020-01-31', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31155, '2020-02-01', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31156, '2020-02-02', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31157, '2020-02-03', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31158, '2020-02-04', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31159, '2020-02-05', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31160, '2020-02-06', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31161, '2020-02-07', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31162, '2020-02-08', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31163, '2020-02-09', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31164, '2020-02-10', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31165, '2020-02-11', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31166, '2020-02-12', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31167, '2020-02-13', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31168, '2020-02-14', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31169, '2020-02-15', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31170, '2020-02-16', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31171, '2020-02-17', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31172, '2020-02-18', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31173, '2020-02-19', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31174, '2020-02-20', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31175, '2020-02-21', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31176, '2020-02-22', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31177, '2020-02-23', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31178, '2020-02-24', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31179, '2020-02-25', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31180, '2020-02-26', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31181, '2020-02-27', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31182, '2020-02-28', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31183, '2020-02-29', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31184, '2020-03-01', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31185, '2020-03-02', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31186, '2020-03-03', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31187, '2020-03-04', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31188, '2020-03-05', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31190, '2020-03-07', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31191, '2020-03-08', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31192, '2020-03-09', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31193, '2020-03-10', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31194, '2020-03-11', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31195, '2020-03-12', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31196, '2020-03-13', 'GA', 'Gabon', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31197, '2020-03-14', 'GA', 'Gabon', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (31198, '2020-03-15', 'GA', 'Gabon', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (31199, '2020-03-16', 'GA', 'Gabon', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (31200, '2020-03-17', 'GA', 'Gabon', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (31201, '2020-03-18', 'GA', 'Gabon', 'AFRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (31202, '2020-03-19', 'GA', 'Gabon', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (31203, '2020-03-20', 'GA', 'Gabon', 'AFRO', '1', '3', '1', '1');
INSERT INTO public.who_import VALUES (31204, '2020-03-21', 'GA', 'Gabon', 'AFRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (31205, '2020-03-22', 'GA', 'Gabon', 'AFRO', '3', '6', '0', '1');
INSERT INTO public.who_import VALUES (31206, '2020-03-23', 'GA', 'Gabon', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (31207, '2020-03-24', 'GA', 'Gabon', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (31208, '2020-03-25', 'GA', 'Gabon', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (31209, '2020-03-26', 'GA', 'Gabon', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (31210, '2020-03-27', 'GA', 'Gabon', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (31211, '2020-03-28', 'GA', 'Gabon', 'AFRO', '1', '7', '0', '1');
INSERT INTO public.who_import VALUES (31212, '2020-03-29', 'GA', 'Gabon', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (31213, '2020-03-30', 'GA', 'Gabon', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (31214, '2020-03-31', 'GA', 'Gabon', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (31215, '2020-04-01', 'GA', 'Gabon', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (31216, '2020-04-02', 'GA', 'Gabon', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (31217, '2020-04-03', 'GA', 'Gabon', 'AFRO', '11', '18', '0', '1');
INSERT INTO public.who_import VALUES (31218, '2020-04-04', 'GA', 'Gabon', 'AFRO', '3', '21', '0', '1');
INSERT INTO public.who_import VALUES (31219, '2020-04-05', 'GA', 'Gabon', 'AFRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (31220, '2020-04-06', 'GA', 'Gabon', 'AFRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (31221, '2020-04-07', 'GA', 'Gabon', 'AFRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (31222, '2020-04-08', 'GA', 'Gabon', 'AFRO', '3', '24', '0', '1');
INSERT INTO public.who_import VALUES (31223, '2020-04-09', 'GA', 'Gabon', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (31224, '2020-04-10', 'GA', 'Gabon', 'AFRO', '20', '44', '0', '1');
INSERT INTO public.who_import VALUES (31225, '2020-04-11', 'GA', 'Gabon', 'AFRO', '0', '44', '0', '1');
INSERT INTO public.who_import VALUES (31226, '2020-04-12', 'GA', 'Gabon', 'AFRO', '5', '49', '0', '1');
INSERT INTO public.who_import VALUES (31227, '2020-04-13', 'GA', 'Gabon', 'AFRO', '8', '57', '0', '1');
INSERT INTO public.who_import VALUES (31228, '2020-04-14', 'GA', 'Gabon', 'AFRO', '0', '57', '0', '1');
INSERT INTO public.who_import VALUES (31229, '2020-04-15', 'GA', 'Gabon', 'AFRO', '23', '80', '0', '1');
INSERT INTO public.who_import VALUES (31230, '2020-04-16', 'GA', 'Gabon', 'AFRO', '7', '87', '0', '1');
INSERT INTO public.who_import VALUES (31231, '2020-04-17', 'GA', 'Gabon', 'AFRO', '8', '95', '0', '1');
INSERT INTO public.who_import VALUES (31232, '2020-04-18', 'GA', 'Gabon', 'AFRO', '0', '95', '0', '1');
INSERT INTO public.who_import VALUES (31233, '2020-04-19', 'GA', 'Gabon', 'AFRO', '13', '108', '0', '1');
INSERT INTO public.who_import VALUES (31234, '2020-04-20', 'GA', 'Gabon', 'AFRO', '1', '109', '0', '1');
INSERT INTO public.who_import VALUES (31235, '2020-04-21', 'GA', 'Gabon', 'AFRO', '11', '120', '0', '1');
INSERT INTO public.who_import VALUES (31236, '2020-04-22', 'GA', 'Gabon', 'AFRO', '36', '156', '0', '1');
INSERT INTO public.who_import VALUES (31237, '2020-04-23', 'GA', 'Gabon', 'AFRO', '10', '166', '0', '1');
INSERT INTO public.who_import VALUES (31238, '2020-04-24', 'GA', 'Gabon', 'AFRO', '0', '166', '1', '2');
INSERT INTO public.who_import VALUES (31239, '2020-04-25', 'GA', 'Gabon', 'AFRO', '6', '172', '1', '3');
INSERT INTO public.who_import VALUES (31240, '2020-04-26', 'GA', 'Gabon', 'AFRO', '4', '176', '0', '3');
INSERT INTO public.who_import VALUES (31241, '2020-04-27', 'GA', 'Gabon', 'AFRO', '0', '176', '0', '3');
INSERT INTO public.who_import VALUES (31242, '2020-04-28', 'GA', 'Gabon', 'AFRO', '0', '176', '0', '3');
INSERT INTO public.who_import VALUES (31243, '2020-04-29', 'GA', 'Gabon', 'AFRO', '62', '238', '0', '3');
INSERT INTO public.who_import VALUES (31244, '2020-04-30', 'GA', 'Gabon', 'AFRO', '38', '276', '0', '3');
INSERT INTO public.who_import VALUES (31245, '2020-05-01', 'GA', 'Gabon', 'AFRO', '0', '276', '0', '3');
INSERT INTO public.who_import VALUES (31246, '2020-05-02', 'GA', 'Gabon', 'AFRO', '32', '308', '1', '4');
INSERT INTO public.who_import VALUES (31247, '2020-05-03', 'GA', 'Gabon', 'AFRO', '27', '335', '1', '5');
INSERT INTO public.who_import VALUES (31248, '2020-05-04', 'GA', 'Gabon', 'AFRO', '0', '335', '0', '5');
INSERT INTO public.who_import VALUES (31249, '2020-05-05', 'GA', 'Gabon', 'AFRO', '32', '367', '1', '6');
INSERT INTO public.who_import VALUES (31250, '2020-05-06', 'GA', 'Gabon', 'AFRO', '30', '397', '0', '6');
INSERT INTO public.who_import VALUES (31251, '2020-05-07', 'GA', 'Gabon', 'AFRO', '0', '397', '0', '6');
INSERT INTO public.who_import VALUES (31252, '2020-05-08', 'GA', 'Gabon', 'AFRO', '107', '504', '2', '8');
INSERT INTO public.who_import VALUES (31253, '2020-05-09', 'GA', 'Gabon', 'AFRO', '116', '620', '0', '8');
INSERT INTO public.who_import VALUES (31254, '2020-05-10', 'GA', 'Gabon', 'AFRO', '41', '661', '0', '8');
INSERT INTO public.who_import VALUES (31255, '2020-05-11', 'GA', 'Gabon', 'AFRO', '0', '661', '0', '8');
INSERT INTO public.who_import VALUES (31256, '2020-05-12', 'GA', 'Gabon', 'AFRO', '141', '802', '1', '9');
INSERT INTO public.who_import VALUES (31257, '2020-05-13', 'GA', 'Gabon', 'AFRO', '61', '863', '0', '9');
INSERT INTO public.who_import VALUES (31258, '2020-05-14', 'GA', 'Gabon', 'AFRO', '141', '1004', '0', '9');
INSERT INTO public.who_import VALUES (31259, '2020-05-15', 'GA', 'Gabon', 'AFRO', '100', '1104', '1', '10');
INSERT INTO public.who_import VALUES (31260, '2020-05-16', 'GA', 'Gabon', 'AFRO', '105', '1209', '0', '10');
INSERT INTO public.who_import VALUES (31261, '2020-05-17', 'GA', 'Gabon', 'AFRO', '111', '1320', '1', '11');
INSERT INTO public.who_import VALUES (31262, '2020-05-18', 'GA', 'Gabon', 'AFRO', '0', '1320', '0', '11');
INSERT INTO public.who_import VALUES (31263, '2020-05-19', 'GA', 'Gabon', 'AFRO', '112', '1432', '0', '11');
INSERT INTO public.who_import VALUES (31264, '2020-05-20', 'GA', 'Gabon', 'AFRO', '70', '1502', '1', '12');
INSERT INTO public.who_import VALUES (31265, '2020-05-21', 'GA', 'Gabon', 'AFRO', '65', '1567', '0', '12');
INSERT INTO public.who_import VALUES (31266, '2020-05-22', 'GA', 'Gabon', 'AFRO', '0', '1567', '0', '12');
INSERT INTO public.who_import VALUES (31267, '2020-05-23', 'GA', 'Gabon', 'AFRO', '161', '1728', '0', '12');
INSERT INTO public.who_import VALUES (31268, '2020-05-24', 'GA', 'Gabon', 'AFRO', '206', '1934', '0', '12');
INSERT INTO public.who_import VALUES (31269, '2020-05-25', 'GA', 'Gabon', 'AFRO', '0', '1934', '0', '12');
INSERT INTO public.who_import VALUES (31270, '2020-05-26', 'GA', 'Gabon', 'AFRO', '201', '2135', '2', '14');
INSERT INTO public.who_import VALUES (31271, '2020-05-27', 'GA', 'Gabon', 'AFRO', '103', '2238', '0', '14');
INSERT INTO public.who_import VALUES (31272, '2020-05-28', 'GA', 'Gabon', 'AFRO', '81', '2319', '0', '14');
INSERT INTO public.who_import VALUES (31273, '2020-05-29', 'GA', 'Gabon', 'AFRO', '112', '2431', '0', '14');
INSERT INTO public.who_import VALUES (31274, '2020-05-30', 'GA', 'Gabon', 'AFRO', '182', '2613', '1', '15');
INSERT INTO public.who_import VALUES (31275, '2020-05-31', 'GA', 'Gabon', 'AFRO', '0', '2613', '0', '15');
INSERT INTO public.who_import VALUES (31276, '2020-06-01', 'GA', 'Gabon', 'AFRO', '42', '2655', '2', '17');
INSERT INTO public.who_import VALUES (31277, '2020-06-02', 'GA', 'Gabon', 'AFRO', '0', '2655', '0', '17');
INSERT INTO public.who_import VALUES (31278, '2020-06-03', 'GA', 'Gabon', 'AFRO', '148', '2803', '3', '20');
INSERT INTO public.who_import VALUES (31279, '2020-06-04', 'GA', 'Gabon', 'AFRO', '99', '2902', '0', '20');
INSERT INTO public.who_import VALUES (31280, '2020-06-05', 'GA', 'Gabon', 'AFRO', '53', '2955', '1', '21');
INSERT INTO public.who_import VALUES (31281, '2020-06-06', 'GA', 'Gabon', 'AFRO', '146', '3101', '0', '21');
INSERT INTO public.who_import VALUES (31282, '2020-06-07', 'GA', 'Gabon', 'AFRO', '0', '3101', '0', '21');
INSERT INTO public.who_import VALUES (31283, '2020-06-08', 'GA', 'Gabon', 'AFRO', '0', '3101', '0', '21');
INSERT INTO public.who_import VALUES (31284, '2020-06-09', 'GA', 'Gabon', 'AFRO', '0', '3101', '0', '21');
INSERT INTO public.who_import VALUES (31285, '2020-06-10', 'GA', 'Gabon', 'AFRO', '193', '3294', '0', '21');
INSERT INTO public.who_import VALUES (31286, '2020-06-11', 'GA', 'Gabon', 'AFRO', '0', '3294', '0', '21');
INSERT INTO public.who_import VALUES (31287, '2020-06-12', 'GA', 'Gabon', 'AFRO', '169', '3463', '2', '23');
INSERT INTO public.who_import VALUES (31288, '2020-06-13', 'GA', 'Gabon', 'AFRO', '0', '3463', '0', '23');
INSERT INTO public.who_import VALUES (31289, '2020-06-14', 'GA', 'Gabon', 'AFRO', '0', '3463', '0', '23');
INSERT INTO public.who_import VALUES (31290, '2020-06-15', 'GA', 'Gabon', 'AFRO', '0', '3463', '0', '23');
INSERT INTO public.who_import VALUES (31291, '2020-06-16', 'GA', 'Gabon', 'AFRO', '570', '4033', '4', '27');
INSERT INTO public.who_import VALUES (31292, '2020-06-17', 'GA', 'Gabon', 'AFRO', '81', '4114', '2', '29');
INSERT INTO public.who_import VALUES (31293, '2020-06-18', 'GA', 'Gabon', 'AFRO', '115', '4229', '1', '30');
INSERT INTO public.who_import VALUES (31294, '2020-06-19', 'GA', 'Gabon', 'AFRO', '111', '4340', '2', '32');
INSERT INTO public.who_import VALUES (31295, '2020-06-20', 'GA', 'Gabon', 'AFRO', '0', '4340', '0', '32');
INSERT INTO public.who_import VALUES (31296, '2020-06-21', 'GA', 'Gabon', 'AFRO', '88', '4428', '2', '34');
INSERT INTO public.who_import VALUES (31297, '2020-06-22', 'GA', 'Gabon', 'AFRO', '0', '4428', '0', '34');
INSERT INTO public.who_import VALUES (31298, '2020-06-23', 'GA', 'Gabon', 'AFRO', '311', '4739', '5', '39');
INSERT INTO public.who_import VALUES (31299, '2020-06-24', 'GA', 'Gabon', 'AFRO', '110', '4849', '0', '39');
INSERT INTO public.who_import VALUES (31300, '2020-06-25', 'GA', 'Gabon', 'AFRO', '107', '4956', '0', '39');
INSERT INTO public.who_import VALUES (31301, '2020-06-26', 'GA', 'Gabon', 'AFRO', '131', '5087', '1', '40');
INSERT INTO public.who_import VALUES (31302, '2020-06-27', 'GA', 'Gabon', 'AFRO', '122', '5209', '0', '40');
INSERT INTO public.who_import VALUES (31303, '2020-06-28', 'GA', 'Gabon', 'AFRO', '0', '5209', '0', '40');
INSERT INTO public.who_import VALUES (31304, '2020-06-29', 'GA', 'Gabon', 'AFRO', '0', '5209', '0', '40');
INSERT INTO public.who_import VALUES (31305, '2020-06-30', 'GA', 'Gabon', 'AFRO', '185', '5394', '2', '42');
INSERT INTO public.who_import VALUES (31306, '2020-07-01', 'GA', 'Gabon', 'AFRO', '0', '5394', '0', '42');
INSERT INTO public.who_import VALUES (31307, '2020-07-02', 'GA', 'Gabon', 'AFRO', '0', '5394', '0', '42');
INSERT INTO public.who_import VALUES (31308, '2020-07-03', 'GA', 'Gabon', 'AFRO', '119', '5513', '0', '42');
INSERT INTO public.who_import VALUES (31309, '2020-07-04', 'GA', 'Gabon', 'AFRO', '0', '5513', '0', '42');
INSERT INTO public.who_import VALUES (31310, '2020-07-05', 'GA', 'Gabon', 'AFRO', '107', '5620', '2', '44');
INSERT INTO public.who_import VALUES (31311, '2020-07-06', 'GA', 'Gabon', 'AFRO', '0', '5620', '0', '44');
INSERT INTO public.who_import VALUES (31312, '2020-07-07', 'GA', 'Gabon', 'AFRO', '123', '5743', '2', '46');
INSERT INTO public.who_import VALUES (31313, '2020-07-08', 'GA', 'Gabon', 'AFRO', '0', '5743', '0', '46');
INSERT INTO public.who_import VALUES (31314, '2020-07-09', 'GA', 'Gabon', 'AFRO', '128', '5871', '0', '46');
INSERT INTO public.who_import VALUES (31315, '2020-07-10', 'GA', 'Gabon', 'AFRO', '0', '5871', '0', '46');
INSERT INTO public.who_import VALUES (31316, '2020-07-11', 'GA', 'Gabon', 'AFRO', '71', '5942', '0', '46');
INSERT INTO public.who_import VALUES (31317, '2020-07-12', 'GA', 'Gabon', 'AFRO', '0', '5942', '0', '46');
INSERT INTO public.who_import VALUES (31318, '2020-07-13', 'GA', 'Gabon', 'AFRO', '0', '5942', '0', '46');
INSERT INTO public.who_import VALUES (31319, '2020-07-14', 'GA', 'Gabon', 'AFRO', '0', '5942', '0', '46');
INSERT INTO public.who_import VALUES (31320, '2020-07-15', 'GA', 'Gabon', 'AFRO', '0', '5942', '0', '46');
INSERT INTO public.who_import VALUES (31321, '2020-07-16', 'GA', 'Gabon', 'AFRO', '0', '5942', '0', '46');
INSERT INTO public.who_import VALUES (31322, '2020-07-17', 'GA', 'Gabon', 'AFRO', '179', '6121', '0', '46');
INSERT INTO public.who_import VALUES (31323, '2020-07-18', 'GA', 'Gabon', 'AFRO', '0', '6121', '0', '46');
INSERT INTO public.who_import VALUES (31324, '2020-07-19', 'GA', 'Gabon', 'AFRO', '0', '6121', '0', '46');
INSERT INTO public.who_import VALUES (31325, '2020-07-20', 'GA', 'Gabon', 'AFRO', '0', '6121', '0', '46');
INSERT INTO public.who_import VALUES (31326, '2020-07-21', 'GA', 'Gabon', 'AFRO', '0', '6121', '0', '46');
INSERT INTO public.who_import VALUES (31327, '2020-07-22', 'GA', 'Gabon', 'AFRO', '312', '6433', '0', '46');
INSERT INTO public.who_import VALUES (31328, '2020-07-23', 'GA', 'Gabon', 'AFRO', '155', '6588', '1', '47');
INSERT INTO public.who_import VALUES (31329, '2020-07-24', 'GA', 'Gabon', 'AFRO', '0', '6588', '0', '47');
INSERT INTO public.who_import VALUES (31330, '2020-07-25', 'GA', 'Gabon', 'AFRO', '396', '6984', '2', '49');
INSERT INTO public.who_import VALUES (31331, '2020-07-26', 'GA', 'Gabon', 'AFRO', '0', '6984', '0', '49');
INSERT INTO public.who_import VALUES (31332, '2020-07-27', 'GA', 'Gabon', 'AFRO', '0', '6984', '0', '49');
INSERT INTO public.who_import VALUES (31333, '2020-07-28', 'GA', 'Gabon', 'AFRO', '205', '7189', '0', '49');
INSERT INTO public.who_import VALUES (31334, '2020-07-29', 'GA', 'Gabon', 'AFRO', '0', '7189', '0', '49');
INSERT INTO public.who_import VALUES (31335, '2020-07-30', 'GA', 'Gabon', 'AFRO', '163', '7352', '0', '49');
INSERT INTO public.who_import VALUES (31336, '2020-07-31', 'GA', 'Gabon', 'AFRO', '0', '7352', '0', '49');
INSERT INTO public.who_import VALUES (31337, '2020-08-01', 'GA', 'Gabon', 'AFRO', '0', '7352', '0', '49');
INSERT INTO public.who_import VALUES (31338, '2020-08-02', 'GA', 'Gabon', 'AFRO', '179', '7531', '1', '50');
INSERT INTO public.who_import VALUES (31339, '2020-08-03', 'GA', 'Gabon', 'AFRO', '0', '7531', '0', '50');
INSERT INTO public.who_import VALUES (31340, '2020-08-04', 'GA', 'Gabon', 'AFRO', '115', '7646', '1', '51');
INSERT INTO public.who_import VALUES (31341, '2020-08-05', 'GA', 'Gabon', 'AFRO', '0', '7646', '0', '51');
INSERT INTO public.who_import VALUES (31342, '2020-08-06', 'GA', 'Gabon', 'AFRO', '141', '7787', '0', '51');
INSERT INTO public.who_import VALUES (31343, '2020-08-07', 'GA', 'Gabon', 'AFRO', '0', '7787', '0', '51');
INSERT INTO public.who_import VALUES (31344, '2020-08-08', 'GA', 'Gabon', 'AFRO', '136', '7923', '0', '51');
INSERT INTO public.who_import VALUES (31345, '2020-08-09', 'GA', 'Gabon', 'AFRO', '0', '7923', '0', '51');
INSERT INTO public.who_import VALUES (31346, '2020-08-10', 'GA', 'Gabon', 'AFRO', '0', '7923', '0', '51');
INSERT INTO public.who_import VALUES (31347, '2020-08-11', 'GA', 'Gabon', 'AFRO', '83', '8006', '0', '51');
INSERT INTO public.who_import VALUES (31348, '2020-08-12', 'GA', 'Gabon', 'AFRO', '0', '8006', '0', '51');
INSERT INTO public.who_import VALUES (31349, '2020-08-13', 'GA', 'Gabon', 'AFRO', '71', '8077', '0', '51');
INSERT INTO public.who_import VALUES (31350, '2020-08-14', 'GA', 'Gabon', 'AFRO', '0', '8077', '0', '51');
INSERT INTO public.who_import VALUES (31351, '2020-08-15', 'GA', 'Gabon', 'AFRO', '148', '8225', '0', '51');
INSERT INTO public.who_import VALUES (31352, '2020-08-16', 'GA', 'Gabon', 'AFRO', '0', '8225', '0', '51');
INSERT INTO public.who_import VALUES (31353, '2020-08-17', 'GA', 'Gabon', 'AFRO', '0', '8225', '0', '51');
INSERT INTO public.who_import VALUES (31354, '2020-08-18', 'GA', 'Gabon', 'AFRO', '45', '8270', '2', '53');
INSERT INTO public.who_import VALUES (31355, '2020-08-19', 'GA', 'Gabon', 'AFRO', '0', '8270', '0', '53');
INSERT INTO public.who_import VALUES (31356, '2020-08-20', 'GA', 'Gabon', 'AFRO', '49', '8319', '0', '53');
INSERT INTO public.who_import VALUES (31357, '2020-08-21', 'GA', 'Gabon', 'AFRO', '0', '8319', '0', '53');
INSERT INTO public.who_import VALUES (31358, '2020-08-22', 'GA', 'Gabon', 'AFRO', '69', '8388', '0', '53');
INSERT INTO public.who_import VALUES (31359, '2020-08-23', 'GA', 'Gabon', 'AFRO', '0', '8388', '0', '53');
INSERT INTO public.who_import VALUES (31360, '2020-08-24', 'GA', 'Gabon', 'AFRO', '0', '8388', '0', '53');
INSERT INTO public.who_import VALUES (31361, '2020-08-25', 'GA', 'Gabon', 'AFRO', '21', '8409', '0', '53');
INSERT INTO public.who_import VALUES (31362, '2020-08-26', 'GA', 'Gabon', 'AFRO', '0', '8409', '0', '53');
INSERT INTO public.who_import VALUES (31363, '2020-08-27', 'GA', 'Gabon', 'AFRO', '59', '8468', '0', '53');
INSERT INTO public.who_import VALUES (31364, '2020-08-28', 'GA', 'Gabon', 'AFRO', '0', '8468', '0', '53');
INSERT INTO public.who_import VALUES (31365, '2020-08-29', 'GA', 'Gabon', 'AFRO', '0', '8468', '0', '53');
INSERT INTO public.who_import VALUES (31366, '2020-08-30', 'GA', 'Gabon', 'AFRO', '37', '8505', '0', '53');
INSERT INTO public.who_import VALUES (31367, '2020-08-31', 'GA', 'Gabon', 'AFRO', '0', '8505', '0', '53');
INSERT INTO public.who_import VALUES (31368, '2020-09-01', 'GA', 'Gabon', 'AFRO', '28', '8533', '0', '53');
INSERT INTO public.who_import VALUES (31369, '2020-09-02', 'GA', 'Gabon', 'AFRO', '0', '8533', '0', '53');
INSERT INTO public.who_import VALUES (31370, '2020-09-03', 'GA', 'Gabon', 'AFRO', '5', '8538', '0', '53');
INSERT INTO public.who_import VALUES (31371, '2020-09-04', 'GA', 'Gabon', 'AFRO', '0', '8538', '0', '53');
INSERT INTO public.who_import VALUES (31372, '2020-09-05', 'GA', 'Gabon', 'AFRO', '63', '8601', '0', '53');
INSERT INTO public.who_import VALUES (31373, '2020-09-06', 'GA', 'Gabon', 'AFRO', '0', '8601', '0', '53');
INSERT INTO public.who_import VALUES (31374, '2020-09-07', 'GA', 'Gabon', 'AFRO', '0', '8601', '0', '53');
INSERT INTO public.who_import VALUES (31375, '2020-09-08', 'GA', 'Gabon', 'AFRO', '7', '8608', '0', '53');
INSERT INTO public.who_import VALUES (31376, '2020-09-09', 'GA', 'Gabon', 'AFRO', '0', '8608', '0', '53');
INSERT INTO public.who_import VALUES (31377, '2020-09-10', 'GA', 'Gabon', 'AFRO', '13', '8621', '0', '53');
INSERT INTO public.who_import VALUES (31378, '2020-09-11', 'GA', 'Gabon', 'AFRO', '0', '8621', '0', '53');
INSERT INTO public.who_import VALUES (31379, '2020-09-12', 'GA', 'Gabon', 'AFRO', '22', '8643', '0', '53');
INSERT INTO public.who_import VALUES (31380, '2020-09-13', 'GA', 'Gabon', 'AFRO', '0', '8643', '0', '53');
INSERT INTO public.who_import VALUES (31381, '2020-09-14', 'GA', 'Gabon', 'AFRO', '0', '8643', '0', '53');
INSERT INTO public.who_import VALUES (31382, '2020-09-15', 'GA', 'Gabon', 'AFRO', '11', '8654', '0', '53');
INSERT INTO public.who_import VALUES (31383, '2020-09-16', 'GA', 'Gabon', 'AFRO', '0', '8654', '0', '53');
INSERT INTO public.who_import VALUES (31384, '2020-09-17', 'GA', 'Gabon', 'AFRO', '24', '8678', '0', '53');
INSERT INTO public.who_import VALUES (31385, '2020-09-18', 'GA', 'Gabon', 'AFRO', '0', '8678', '0', '53');
INSERT INTO public.who_import VALUES (31386, '2020-09-19', 'GA', 'Gabon', 'AFRO', '18', '8696', '0', '53');
INSERT INTO public.who_import VALUES (31387, '2020-09-20', 'GA', 'Gabon', 'AFRO', '0', '8696', '0', '53');
INSERT INTO public.who_import VALUES (31388, '2020-09-21', 'GA', 'Gabon', 'AFRO', '0', '8696', '0', '53');
INSERT INTO public.who_import VALUES (31389, '2020-09-22', 'GA', 'Gabon', 'AFRO', '8', '8704', '1', '54');
INSERT INTO public.who_import VALUES (31390, '2020-09-23', 'GA', 'Gabon', 'AFRO', '0', '8704', '0', '54');
INSERT INTO public.who_import VALUES (31391, '2020-09-24', 'GA', 'Gabon', 'AFRO', '12', '8716', '0', '54');
INSERT INTO public.who_import VALUES (31392, '2020-09-25', 'GA', 'Gabon', 'AFRO', '0', '8716', '0', '54');
INSERT INTO public.who_import VALUES (31393, '2020-09-26', 'GA', 'Gabon', 'AFRO', '12', '8728', '0', '54');
INSERT INTO public.who_import VALUES (31394, '2020-09-27', 'GA', 'Gabon', 'AFRO', '0', '8728', '0', '54');
INSERT INTO public.who_import VALUES (31395, '2020-09-28', 'GA', 'Gabon', 'AFRO', '0', '8728', '0', '54');
INSERT INTO public.who_import VALUES (31396, '2020-09-29', 'GA', 'Gabon', 'AFRO', '24', '8752', '0', '54');
INSERT INTO public.who_import VALUES (31397, '2020-09-30', 'GA', 'Gabon', 'AFRO', '0', '8752', '0', '54');
INSERT INTO public.who_import VALUES (31398, '2020-10-01', 'GA', 'Gabon', 'AFRO', '14', '8766', '0', '54');
INSERT INTO public.who_import VALUES (31399, '2020-10-02', 'GA', 'Gabon', 'AFRO', '0', '8766', '0', '54');
INSERT INTO public.who_import VALUES (31400, '2020-10-03', 'GA', 'Gabon', 'AFRO', '31', '8797', '0', '54');
INSERT INTO public.who_import VALUES (31401, '2020-10-04', 'GA', 'Gabon', 'AFRO', '0', '8797', '0', '54');
INSERT INTO public.who_import VALUES (31402, '2020-10-05', 'GA', 'Gabon', 'AFRO', '0', '8797', '0', '54');
INSERT INTO public.who_import VALUES (31403, '2020-10-06', 'GA', 'Gabon', 'AFRO', '11', '8808', '0', '54');
INSERT INTO public.who_import VALUES (31404, '2020-10-07', 'GA', 'Gabon', 'AFRO', '0', '8808', '0', '54');
INSERT INTO public.who_import VALUES (31405, '2020-10-08', 'GA', 'Gabon', 'AFRO', '7', '8815', '0', '54');
INSERT INTO public.who_import VALUES (31406, '2020-10-09', 'GA', 'Gabon', 'AFRO', '0', '8815', '0', '54');
INSERT INTO public.who_import VALUES (31407, '2020-10-10', 'GA', 'Gabon', 'AFRO', '0', '8815', '0', '54');
INSERT INTO public.who_import VALUES (31408, '2020-10-11', 'GA', 'Gabon', 'AFRO', '0', '8815', '0', '54');
INSERT INTO public.who_import VALUES (31409, '2020-10-12', 'GA', 'Gabon', 'AFRO', '0', '8815', '0', '54');
INSERT INTO public.who_import VALUES (31410, '2020-10-13', 'GA', 'Gabon', 'AFRO', '45', '8860', '0', '54');
INSERT INTO public.who_import VALUES (31411, '2020-10-14', 'GA', 'Gabon', 'AFRO', '0', '8860', '0', '54');
INSERT INTO public.who_import VALUES (31412, '2020-10-15', 'GA', 'Gabon', 'AFRO', '9', '8869', '0', '54');
INSERT INTO public.who_import VALUES (31413, '2020-10-16', 'GA', 'Gabon', 'AFRO', '0', '8869', '0', '54');
INSERT INTO public.who_import VALUES (31414, '2020-10-17', 'GA', 'Gabon', 'AFRO', '12', '8881', '0', '54');
INSERT INTO public.who_import VALUES (31415, '2020-10-18', 'GA', 'Gabon', 'AFRO', '0', '8881', '0', '54');
INSERT INTO public.who_import VALUES (31416, '2020-10-19', 'GA', 'Gabon', 'AFRO', '0', '8881', '0', '54');
INSERT INTO public.who_import VALUES (31417, '2020-10-20', 'GA', 'Gabon', 'AFRO', '3', '8884', '0', '54');
INSERT INTO public.who_import VALUES (31418, '2020-10-21', 'GA', 'Gabon', 'AFRO', '0', '8884', '0', '54');
INSERT INTO public.who_import VALUES (31419, '2020-10-22', 'GA', 'Gabon', 'AFRO', '17', '8901', '0', '54');
INSERT INTO public.who_import VALUES (31420, '2020-10-23', 'GA', 'Gabon', 'AFRO', '0', '8901', '0', '54');
INSERT INTO public.who_import VALUES (31421, '2020-10-24', 'GA', 'Gabon', 'AFRO', '18', '8919', '0', '54');
INSERT INTO public.who_import VALUES (31422, '2020-10-25', 'GA', 'Gabon', 'AFRO', '0', '8919', '0', '54');
INSERT INTO public.who_import VALUES (31423, '2020-10-26', 'GA', 'Gabon', 'AFRO', '0', '8919', '0', '54');
INSERT INTO public.who_import VALUES (31424, '2020-10-27', 'GA', 'Gabon', 'AFRO', '18', '8937', '0', '54');
INSERT INTO public.who_import VALUES (31425, '2020-10-28', 'GA', 'Gabon', 'AFRO', '0', '8937', '0', '54');
INSERT INTO public.who_import VALUES (31426, '2020-10-29', 'GA', 'Gabon', 'AFRO', '20', '8957', '1', '55');
INSERT INTO public.who_import VALUES (31427, '2020-10-30', 'GA', 'Gabon', 'AFRO', '0', '8957', '0', '55');
INSERT INTO public.who_import VALUES (31428, '2020-10-31', 'GA', 'Gabon', 'AFRO', '0', '8957', '0', '55');
INSERT INTO public.who_import VALUES (31429, '2020-11-01', 'GA', 'Gabon', 'AFRO', '11', '8968', '0', '55');
INSERT INTO public.who_import VALUES (31430, '2020-11-02', 'GA', 'Gabon', 'AFRO', '0', '8968', '0', '55');
INSERT INTO public.who_import VALUES (31431, '2020-11-03', 'GA', 'Gabon', 'AFRO', '16', '8984', '0', '55');
INSERT INTO public.who_import VALUES (31432, '2020-11-04', 'GA', 'Gabon', 'AFRO', '0', '8984', '0', '55');
INSERT INTO public.who_import VALUES (31433, '2020-11-05', 'GA', 'Gabon', 'AFRO', '21', '9005', '0', '55');
INSERT INTO public.who_import VALUES (31434, '2020-11-06', 'GA', 'Gabon', 'AFRO', '0', '9005', '0', '55');
INSERT INTO public.who_import VALUES (31435, '2020-11-07', 'GA', 'Gabon', 'AFRO', '17', '9022', '0', '55');
INSERT INTO public.who_import VALUES (31436, '2020-11-08', 'GA', 'Gabon', 'AFRO', '0', '9022', '0', '55');
INSERT INTO public.who_import VALUES (31437, '2020-11-09', 'GA', 'Gabon', 'AFRO', '0', '9022', '0', '55');
INSERT INTO public.who_import VALUES (31438, '2020-11-10', 'GA', 'Gabon', 'AFRO', '7', '9029', '2', '57');
INSERT INTO public.who_import VALUES (31439, '2020-11-11', 'GA', 'Gabon', 'AFRO', '0', '9029', '0', '57');
INSERT INTO public.who_import VALUES (31440, '2020-11-12', 'GA', 'Gabon', 'AFRO', '19', '9048', '0', '57');
INSERT INTO public.who_import VALUES (31441, '2020-11-13', 'GA', 'Gabon', 'AFRO', '0', '9048', '0', '57');
INSERT INTO public.who_import VALUES (31442, '2020-11-14', 'GA', 'Gabon', 'AFRO', '14', '9062', '1', '58');
INSERT INTO public.who_import VALUES (31443, '2020-11-15', 'GA', 'Gabon', 'AFRO', '0', '9062', '0', '58');
INSERT INTO public.who_import VALUES (31444, '2020-11-16', 'GA', 'Gabon', 'AFRO', '0', '9062', '0', '58');
INSERT INTO public.who_import VALUES (31445, '2020-11-17', 'GA', 'Gabon', 'AFRO', '0', '9062', '0', '58');
INSERT INTO public.who_import VALUES (31446, '2020-11-18', 'GA', 'Gabon', 'AFRO', '0', '9062', '0', '58');
INSERT INTO public.who_import VALUES (31447, '2020-11-19', 'GA', 'Gabon', 'AFRO', '0', '9062', '0', '58');
INSERT INTO public.who_import VALUES (31448, '2020-11-20', 'GA', 'Gabon', 'AFRO', '54', '9116', '1', '59');
INSERT INTO public.who_import VALUES (31449, '2020-11-21', 'GA', 'Gabon', 'AFRO', '15', '9131', '0', '59');
INSERT INTO public.who_import VALUES (31450, '2020-11-22', 'GA', 'Gabon', 'AFRO', '0', '9131', '0', '59');
INSERT INTO public.who_import VALUES (31451, '2020-11-23', 'GA', 'Gabon', 'AFRO', '0', '9131', '0', '59');
INSERT INTO public.who_import VALUES (31452, '2020-11-24', 'GA', 'Gabon', 'AFRO', '19', '9150', '0', '59');
INSERT INTO public.who_import VALUES (31453, '2020-11-25', 'GA', 'Gabon', 'AFRO', '0', '9150', '0', '59');
INSERT INTO public.who_import VALUES (31454, '2020-11-26', 'GA', 'Gabon', 'AFRO', '23', '9173', '0', '59');
INSERT INTO public.who_import VALUES (31455, '2020-11-27', 'GA', 'Gabon', 'AFRO', '0', '9173', '0', '59');
INSERT INTO public.who_import VALUES (31456, '2020-11-28', 'GA', 'Gabon', 'AFRO', '18', '9191', '0', '59');
INSERT INTO public.who_import VALUES (31457, '2020-11-29', 'GA', 'Gabon', 'AFRO', '0', '9191', '0', '59');
INSERT INTO public.who_import VALUES (31458, '2020-11-30', 'GA', 'Gabon', 'AFRO', '0', '9191', '0', '59');
INSERT INTO public.who_import VALUES (31459, '2020-12-01', 'GA', 'Gabon', 'AFRO', '0', '9191', '0', '59');
INSERT INTO public.who_import VALUES (31460, '2020-12-02', 'GA', 'Gabon', 'AFRO', '0', '9191', '0', '59');
INSERT INTO public.who_import VALUES (31461, '2020-12-03', 'GA', 'Gabon', 'AFRO', '48', '9239', '1', '60');
INSERT INTO public.who_import VALUES (31462, '2020-12-04', 'GA', 'Gabon', 'AFRO', '0', '9239', '0', '60');
INSERT INTO public.who_import VALUES (31463, '2020-12-05', 'GA', 'Gabon', 'AFRO', '15', '9254', '0', '60');
INSERT INTO public.who_import VALUES (31464, '2020-12-06', 'GA', 'Gabon', 'AFRO', '0', '9254', '0', '60');
INSERT INTO public.who_import VALUES (31465, '2020-12-07', 'GA', 'Gabon', 'AFRO', '0', '9254', '0', '60');
INSERT INTO public.who_import VALUES (31466, '2020-12-08', 'GA', 'Gabon', 'AFRO', '24', '9278', '0', '60');
INSERT INTO public.who_import VALUES (31467, '2020-12-09', 'GA', 'Gabon', 'AFRO', '0', '9278', '0', '60');
INSERT INTO public.who_import VALUES (31468, '2020-12-10', 'GA', 'Gabon', 'AFRO', '22', '9300', '2', '62');
INSERT INTO public.who_import VALUES (31469, '2020-12-11', 'GA', 'Gabon', 'AFRO', '0', '9300', '0', '62');
INSERT INTO public.who_import VALUES (31470, '2020-12-12', 'GA', 'Gabon', 'AFRO', '30', '9330', '1', '63');
INSERT INTO public.who_import VALUES (31471, '2020-12-13', 'GA', 'Gabon', 'AFRO', '0', '9330', '0', '63');
INSERT INTO public.who_import VALUES (31472, '2020-12-14', 'GA', 'Gabon', 'AFRO', '0', '9330', '0', '63');
INSERT INTO public.who_import VALUES (31473, '2020-12-15', 'GA', 'Gabon', 'AFRO', '21', '9351', '0', '63');
INSERT INTO public.who_import VALUES (31474, '2020-12-16', 'GA', 'Gabon', 'AFRO', '0', '9351', '0', '63');
INSERT INTO public.who_import VALUES (31475, '2020-12-17', 'GA', 'Gabon', 'AFRO', '22', '9373', '0', '63');
INSERT INTO public.who_import VALUES (31476, '2020-12-18', 'GA', 'Gabon', 'AFRO', '0', '9373', '0', '63');
INSERT INTO public.who_import VALUES (31477, '2020-12-19', 'GA', 'Gabon', 'AFRO', '27', '9400', '1', '64');
INSERT INTO public.who_import VALUES (31478, '2020-12-20', 'GA', 'Gabon', 'AFRO', '0', '9400', '0', '64');
INSERT INTO public.who_import VALUES (31479, '2020-12-21', 'GA', 'Gabon', 'AFRO', '0', '9400', '0', '64');
INSERT INTO public.who_import VALUES (31480, '2020-12-22', 'GA', 'Gabon', 'AFRO', '20', '9420', '0', '64');
INSERT INTO public.who_import VALUES (31481, '2020-12-23', 'GA', 'Gabon', 'AFRO', '0', '9420', '0', '64');
INSERT INTO public.who_import VALUES (31482, '2020-12-24', 'GA', 'Gabon', 'AFRO', '49', '9469', '0', '64');
INSERT INTO public.who_import VALUES (31483, '2020-12-25', 'GA', 'Gabon', 'AFRO', '0', '9469', '0', '64');
INSERT INTO public.who_import VALUES (31484, '2020-12-26', 'GA', 'Gabon', 'AFRO', '0', '9469', '0', '64');
INSERT INTO public.who_import VALUES (31485, '2020-12-27', 'GA', 'Gabon', 'AFRO', '28', '9497', '0', '64');
INSERT INTO public.who_import VALUES (31486, '2020-12-28', 'GA', 'Gabon', 'AFRO', '0', '9497', '0', '64');
INSERT INTO public.who_import VALUES (31487, '2020-12-29', 'GA', 'Gabon', 'AFRO', '13', '9510', '0', '64');
INSERT INTO public.who_import VALUES (31488, '2020-12-30', 'GA', 'Gabon', 'AFRO', '0', '9510', '0', '64');
INSERT INTO public.who_import VALUES (31489, '2020-12-31', 'GA', 'Gabon', 'AFRO', '61', '9571', '0', '64');
INSERT INTO public.who_import VALUES (31490, '2021-01-01', 'GA', 'Gabon', 'AFRO', '0', '9571', '0', '64');
INSERT INTO public.who_import VALUES (31491, '2021-01-02', 'GA', 'Gabon', 'AFRO', '0', '9571', '0', '64');
INSERT INTO public.who_import VALUES (31492, '2021-01-03', 'GA', 'Gabon', 'AFRO', '0', '9571', '0', '64');
INSERT INTO public.who_import VALUES (31493, '2021-01-04', 'GA', 'Gabon', 'AFRO', '0', '9571', '0', '64');
INSERT INTO public.who_import VALUES (31494, '2021-01-05', 'GA', 'Gabon', 'AFRO', '34', '9605', '2', '66');
INSERT INTO public.who_import VALUES (31495, '2021-01-06', 'GA', 'Gabon', 'AFRO', '0', '9605', '0', '66');
INSERT INTO public.who_import VALUES (31496, '2021-01-07', 'GA', 'Gabon', 'AFRO', '36', '9641', '0', '66');
INSERT INTO public.who_import VALUES (31497, '2021-01-08', 'GA', 'Gabon', 'AFRO', '0', '9641', '0', '66');
INSERT INTO public.who_import VALUES (31498, '2021-01-09', 'GA', 'Gabon', 'AFRO', '53', '9694', '0', '66');
INSERT INTO public.who_import VALUES (31499, '2021-01-10', 'GA', 'Gabon', 'AFRO', '0', '9694', '0', '66');
INSERT INTO public.who_import VALUES (31500, '2021-01-11', 'GA', 'Gabon', 'AFRO', '0', '9694', '0', '66');
INSERT INTO public.who_import VALUES (31501, '2021-01-12', 'GA', 'Gabon', 'AFRO', '46', '9740', '0', '66');
INSERT INTO public.who_import VALUES (31502, '2021-01-13', 'GA', 'Gabon', 'AFRO', '0', '9740', '0', '66');
INSERT INTO public.who_import VALUES (31503, '2021-01-14', 'GA', 'Gabon', 'AFRO', '79', '9819', '0', '66');
INSERT INTO public.who_import VALUES (31504, '2021-01-15', 'GA', 'Gabon', 'AFRO', '0', '9819', '0', '66');
INSERT INTO public.who_import VALUES (31505, '2021-01-16', 'GA', 'Gabon', 'AFRO', '0', '9819', '0', '66');
INSERT INTO public.who_import VALUES (31506, '2021-01-17', 'GA', 'Gabon', 'AFRO', '80', '9899', '0', '66');
INSERT INTO public.who_import VALUES (31507, '2021-01-18', 'GA', 'Gabon', 'AFRO', '0', '9899', '0', '66');
INSERT INTO public.who_import VALUES (31508, '2021-01-19', 'GA', 'Gabon', 'AFRO', '120', '10019', '0', '66');
INSERT INTO public.who_import VALUES (31509, '2021-01-20', 'GA', 'Gabon', 'AFRO', '0', '10019', '0', '66');
INSERT INTO public.who_import VALUES (31510, '2021-01-21', 'GA', 'Gabon', 'AFRO', '101', '10120', '0', '66');
INSERT INTO public.who_import VALUES (31511, '2021-01-22', 'GA', 'Gabon', 'AFRO', '0', '10120', '0', '66');
INSERT INTO public.who_import VALUES (31512, '2021-01-23', 'GA', 'Gabon', 'AFRO', '158', '10278', '1', '67');
INSERT INTO public.who_import VALUES (31513, '2021-01-24', 'GA', 'Gabon', 'AFRO', '0', '10278', '0', '67');
INSERT INTO public.who_import VALUES (31514, '2021-01-25', 'GA', 'Gabon', 'AFRO', '0', '10278', '0', '67');
INSERT INTO public.who_import VALUES (31515, '2021-01-26', 'GA', 'Gabon', 'AFRO', '133', '10411', '0', '67');
INSERT INTO public.who_import VALUES (31516, '2021-01-27', 'GA', 'Gabon', 'AFRO', '0', '10411', '0', '67');
INSERT INTO public.who_import VALUES (31517, '2021-01-28', 'GA', 'Gabon', 'AFRO', '125', '10536', '1', '68');
INSERT INTO public.who_import VALUES (31518, '2021-01-29', 'GA', 'Gabon', 'AFRO', '0', '10536', '0', '68');
INSERT INTO public.who_import VALUES (31519, '2021-01-30', 'GA', 'Gabon', 'AFRO', '212', '10748', '0', '68');
INSERT INTO public.who_import VALUES (31520, '2021-01-31', 'GA', 'Gabon', 'AFRO', '0', '10748', '0', '68');
INSERT INTO public.who_import VALUES (31521, '2021-02-01', 'GA', 'Gabon', 'AFRO', '0', '10748', '0', '68');
INSERT INTO public.who_import VALUES (31522, '2021-02-02', 'GA', 'Gabon', 'AFRO', '204', '10952', '0', '68');
INSERT INTO public.who_import VALUES (31523, '2021-02-03', 'GA', 'Gabon', 'AFRO', '0', '10952', '0', '68');
INSERT INTO public.who_import VALUES (31524, '2021-02-04', 'GA', 'Gabon', 'AFRO', '177', '11129', '2', '70');
INSERT INTO public.who_import VALUES (31525, '2021-02-05', 'GA', 'Gabon', 'AFRO', '0', '11129', '0', '70');
INSERT INTO public.who_import VALUES (31526, '2021-02-06', 'GA', 'Gabon', 'AFRO', '328', '11457', '1', '71');
INSERT INTO public.who_import VALUES (31527, '2021-02-07', 'GA', 'Gabon', 'AFRO', '0', '11457', '0', '71');
INSERT INTO public.who_import VALUES (31528, '2021-02-08', 'GA', 'Gabon', 'AFRO', '0', '11457', '0', '71');
INSERT INTO public.who_import VALUES (31529, '2021-02-09', 'GA', 'Gabon', 'AFRO', '379', '11836', '0', '71');
INSERT INTO public.who_import VALUES (31530, '2021-02-10', 'GA', 'Gabon', 'AFRO', '0', '11836', '0', '71');
INSERT INTO public.who_import VALUES (31531, '2021-02-11', 'GA', 'Gabon', 'AFRO', '335', '12171', '0', '71');
INSERT INTO public.who_import VALUES (31532, '2021-02-12', 'GA', 'Gabon', 'AFRO', '0', '12171', '0', '71');
INSERT INTO public.who_import VALUES (31533, '2021-02-13', 'GA', 'Gabon', 'AFRO', '0', '12171', '0', '71');
INSERT INTO public.who_import VALUES (31534, '2021-02-14', 'GA', 'Gabon', 'AFRO', '406', '12577', '2', '73');
INSERT INTO public.who_import VALUES (31535, '2021-02-15', 'GA', 'Gabon', 'AFRO', '0', '12577', '0', '73');
INSERT INTO public.who_import VALUES (31536, '2021-02-16', 'GA', 'Gabon', 'AFRO', '288', '12865', '2', '75');
INSERT INTO public.who_import VALUES (31537, '2021-02-17', 'GA', 'Gabon', 'AFRO', '0', '12865', '0', '75');
INSERT INTO public.who_import VALUES (31538, '2021-02-18', 'GA', 'Gabon', 'AFRO', '242', '13107', '0', '75');
INSERT INTO public.who_import VALUES (31539, '2021-02-19', 'GA', 'Gabon', 'AFRO', '0', '13107', '0', '75');
INSERT INTO public.who_import VALUES (31540, '2021-02-20', 'GA', 'Gabon', 'AFRO', '446', '13553', '0', '75');
INSERT INTO public.who_import VALUES (31541, '2020-01-03', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31542, '2020-01-04', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31543, '2020-01-05', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31544, '2020-01-06', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31545, '2020-01-07', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31546, '2020-01-08', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31547, '2020-01-09', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31548, '2020-01-10', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31549, '2020-01-11', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31550, '2020-01-12', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31551, '2020-01-13', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31552, '2020-01-14', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31553, '2020-01-15', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31554, '2020-01-16', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31555, '2020-01-17', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31556, '2020-01-18', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31557, '2020-01-19', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31558, '2020-01-20', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31559, '2020-01-21', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31560, '2020-01-22', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31561, '2020-01-23', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31562, '2020-01-24', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31563, '2020-01-25', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31564, '2020-01-26', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31565, '2020-01-27', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31566, '2020-01-28', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31567, '2020-01-29', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31568, '2020-01-30', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31569, '2020-01-31', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31570, '2020-02-01', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31571, '2020-02-02', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31572, '2020-02-03', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31573, '2020-02-04', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31574, '2020-02-05', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31575, '2020-02-06', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31576, '2020-02-07', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31577, '2020-02-08', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31578, '2020-02-09', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31579, '2020-02-10', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31580, '2020-02-11', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31581, '2020-02-12', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31582, '2020-02-13', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31583, '2020-02-14', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31584, '2020-02-15', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31585, '2020-02-16', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31586, '2020-02-17', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31587, '2020-02-18', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31588, '2020-02-19', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31589, '2020-02-20', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31590, '2020-02-21', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31591, '2020-02-22', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31592, '2020-02-23', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31593, '2020-02-24', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31594, '2020-02-25', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31595, '2020-02-26', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31596, '2020-02-27', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31597, '2020-02-28', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31598, '2020-02-29', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31599, '2020-03-01', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31600, '2020-03-02', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31601, '2020-03-03', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31602, '2020-03-04', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31603, '2020-03-05', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31604, '2020-03-06', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31605, '2020-03-07', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31606, '2020-03-08', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31607, '2020-03-09', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31608, '2020-03-10', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31609, '2020-03-11', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31610, '2020-03-12', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31611, '2020-03-13', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31612, '2020-03-14', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31613, '2020-03-15', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31614, '2020-03-16', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31615, '2020-03-17', 'GM', 'Gambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31616, '2020-03-18', 'GM', 'Gambia', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (31617, '2020-03-19', 'GM', 'Gambia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (31618, '2020-03-20', 'GM', 'Gambia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (31619, '2020-03-21', 'GM', 'Gambia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (31620, '2020-03-22', 'GM', 'Gambia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (31621, '2020-03-23', 'GM', 'Gambia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (31622, '2020-03-24', 'GM', 'Gambia', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (31623, '2020-03-25', 'GM', 'Gambia', 'AFRO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (31624, '2020-03-26', 'GM', 'Gambia', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (31625, '2020-03-27', 'GM', 'Gambia', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (31626, '2020-03-28', 'GM', 'Gambia', 'AFRO', '0', '2', '1', '1');
INSERT INTO public.who_import VALUES (31627, '2020-03-29', 'GM', 'Gambia', 'AFRO', '1', '3', '0', '1');
INSERT INTO public.who_import VALUES (31628, '2020-03-30', 'GM', 'Gambia', 'AFRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (31629, '2020-03-31', 'GM', 'Gambia', 'AFRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (31630, '2020-04-01', 'GM', 'Gambia', 'AFRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (31631, '2020-04-02', 'GM', 'Gambia', 'AFRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (31632, '2020-04-03', 'GM', 'Gambia', 'AFRO', '1', '4', '0', '1');
INSERT INTO public.who_import VALUES (31633, '2020-04-04', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31634, '2020-04-05', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31635, '2020-04-06', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31636, '2020-04-07', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31637, '2020-04-08', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31638, '2020-04-09', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31639, '2020-04-10', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31640, '2020-04-11', 'GM', 'Gambia', 'AFRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (31641, '2020-04-12', 'GM', 'Gambia', 'AFRO', '5', '9', '0', '1');
INSERT INTO public.who_import VALUES (31642, '2020-04-13', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31643, '2020-04-14', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31644, '2020-04-15', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31645, '2020-04-16', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31646, '2020-04-17', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31647, '2020-04-18', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31648, '2020-04-19', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31649, '2020-04-20', 'GM', 'Gambia', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (31650, '2020-04-21', 'GM', 'Gambia', 'AFRO', '1', '10', '0', '1');
INSERT INTO public.who_import VALUES (31651, '2020-04-22', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31652, '2020-04-23', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31653, '2020-04-24', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31654, '2020-04-25', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31655, '2020-04-26', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31656, '2020-04-27', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31657, '2020-04-28', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31658, '2020-04-29', 'GM', 'Gambia', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (31659, '2020-04-30', 'GM', 'Gambia', 'AFRO', '1', '11', '0', '1');
INSERT INTO public.who_import VALUES (31660, '2020-05-01', 'GM', 'Gambia', 'AFRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (31661, '2020-05-02', 'GM', 'Gambia', 'AFRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (31662, '2020-05-03', 'GM', 'Gambia', 'AFRO', '5', '17', '0', '1');
INSERT INTO public.who_import VALUES (31663, '2020-05-04', 'GM', 'Gambia', 'AFRO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (31664, '2020-05-05', 'GM', 'Gambia', 'AFRO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (31665, '2020-05-06', 'GM', 'Gambia', 'AFRO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (31666, '2020-05-07', 'GM', 'Gambia', 'AFRO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (31667, '2020-05-08', 'GM', 'Gambia', 'AFRO', '1', '18', '0', '1');
INSERT INTO public.who_import VALUES (31668, '2020-05-09', 'GM', 'Gambia', 'AFRO', '2', '20', '0', '1');
INSERT INTO public.who_import VALUES (31669, '2020-05-10', 'GM', 'Gambia', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (31670, '2020-05-11', 'GM', 'Gambia', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (31671, '2020-05-12', 'GM', 'Gambia', 'AFRO', '2', '22', '0', '1');
INSERT INTO public.who_import VALUES (31672, '2020-05-13', 'GM', 'Gambia', 'AFRO', '1', '23', '0', '1');
INSERT INTO public.who_import VALUES (31673, '2020-05-14', 'GM', 'Gambia', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (31674, '2020-05-15', 'GM', 'Gambia', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (31675, '2020-05-16', 'GM', 'Gambia', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (31676, '2020-05-17', 'GM', 'Gambia', 'AFRO', '0', '23', '0', '1');
INSERT INTO public.who_import VALUES (31677, '2020-05-18', 'GM', 'Gambia', 'AFRO', '1', '24', '0', '1');
INSERT INTO public.who_import VALUES (31678, '2020-05-19', 'GM', 'Gambia', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (31679, '2020-05-20', 'GM', 'Gambia', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (31680, '2020-05-21', 'GM', 'Gambia', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (31681, '2020-05-22', 'GM', 'Gambia', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (31682, '2020-05-23', 'GM', 'Gambia', 'AFRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (31683, '2020-05-24', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31684, '2020-05-25', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31685, '2020-05-26', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31686, '2020-05-27', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31687, '2020-05-28', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31688, '2020-05-29', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31689, '2020-05-30', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31690, '2020-05-31', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31691, '2020-06-01', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31692, '2020-06-02', 'GM', 'Gambia', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (31693, '2020-06-03', 'GM', 'Gambia', 'AFRO', '1', '26', '0', '1');
INSERT INTO public.who_import VALUES (31694, '2020-06-04', 'GM', 'Gambia', 'AFRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (31695, '2020-06-05', 'GM', 'Gambia', 'AFRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (31696, '2020-06-06', 'GM', 'Gambia', 'AFRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (31697, '2020-06-07', 'GM', 'Gambia', 'AFRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (31698, '2020-06-08', 'GM', 'Gambia', 'AFRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (31699, '2020-06-09', 'GM', 'Gambia', 'AFRO', '2', '28', '0', '1');
INSERT INTO public.who_import VALUES (31700, '2020-06-10', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31701, '2020-06-11', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31702, '2020-06-12', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31703, '2020-06-13', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31704, '2020-06-14', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31705, '2020-06-15', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31706, '2020-06-16', 'GM', 'Gambia', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (31707, '2020-06-17', 'GM', 'Gambia', 'AFRO', '6', '34', '0', '1');
INSERT INTO public.who_import VALUES (31708, '2020-06-18', 'GM', 'Gambia', 'AFRO', '0', '34', '0', '1');
INSERT INTO public.who_import VALUES (31709, '2020-06-19', 'GM', 'Gambia', 'AFRO', '2', '36', '0', '1');
INSERT INTO public.who_import VALUES (31710, '2020-06-20', 'GM', 'Gambia', 'AFRO', '0', '36', '0', '1');
INSERT INTO public.who_import VALUES (31711, '2020-06-21', 'GM', 'Gambia', 'AFRO', '1', '37', '1', '2');
INSERT INTO public.who_import VALUES (31712, '2020-06-22', 'GM', 'Gambia', 'AFRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (31713, '2020-06-23', 'GM', 'Gambia', 'AFRO', '4', '41', '0', '2');
INSERT INTO public.who_import VALUES (31714, '2020-06-24', 'GM', 'Gambia', 'AFRO', '1', '42', '0', '2');
INSERT INTO public.who_import VALUES (31715, '2020-06-25', 'GM', 'Gambia', 'AFRO', '0', '42', '0', '2');
INSERT INTO public.who_import VALUES (31716, '2020-06-26', 'GM', 'Gambia', 'AFRO', '1', '43', '0', '2');
INSERT INTO public.who_import VALUES (31717, '2020-06-27', 'GM', 'Gambia', 'AFRO', '1', '44', '0', '2');
INSERT INTO public.who_import VALUES (31718, '2020-06-28', 'GM', 'Gambia', 'AFRO', '1', '45', '0', '2');
INSERT INTO public.who_import VALUES (31719, '2020-06-29', 'GM', 'Gambia', 'AFRO', '0', '45', '0', '2');
INSERT INTO public.who_import VALUES (31720, '2020-06-30', 'GM', 'Gambia', 'AFRO', '2', '47', '0', '2');
INSERT INTO public.who_import VALUES (31721, '2020-07-01', 'GM', 'Gambia', 'AFRO', '2', '49', '0', '2');
INSERT INTO public.who_import VALUES (31722, '2020-07-02', 'GM', 'Gambia', 'AFRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (31723, '2020-07-03', 'GM', 'Gambia', 'AFRO', '6', '55', '0', '2');
INSERT INTO public.who_import VALUES (31724, '2020-07-04', 'GM', 'Gambia', 'AFRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (31725, '2020-07-05', 'GM', 'Gambia', 'AFRO', '2', '57', '0', '2');
INSERT INTO public.who_import VALUES (31726, '2020-07-06', 'GM', 'Gambia', 'AFRO', '0', '57', '0', '2');
INSERT INTO public.who_import VALUES (31727, '2020-07-07', 'GM', 'Gambia', 'AFRO', '4', '61', '1', '3');
INSERT INTO public.who_import VALUES (31728, '2020-07-08', 'GM', 'Gambia', 'AFRO', '0', '61', '0', '3');
INSERT INTO public.who_import VALUES (31729, '2020-07-09', 'GM', 'Gambia', 'AFRO', '2', '63', '0', '3');
INSERT INTO public.who_import VALUES (31730, '2020-07-10', 'GM', 'Gambia', 'AFRO', '1', '64', '0', '3');
INSERT INTO public.who_import VALUES (31731, '2020-07-11', 'GM', 'Gambia', 'AFRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (31732, '2020-07-12', 'GM', 'Gambia', 'AFRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (31733, '2020-07-13', 'GM', 'Gambia', 'AFRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (31734, '2020-07-14', 'GM', 'Gambia', 'AFRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (31735, '2020-07-15', 'GM', 'Gambia', 'AFRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (31736, '2020-07-16', 'GM', 'Gambia', 'AFRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (31737, '2020-07-17', 'GM', 'Gambia', 'AFRO', '14', '78', '0', '3');
INSERT INTO public.who_import VALUES (31738, '2020-07-18', 'GM', 'Gambia', 'AFRO', '15', '93', '1', '4');
INSERT INTO public.who_import VALUES (31739, '2020-07-19', 'GM', 'Gambia', 'AFRO', '0', '93', '0', '4');
INSERT INTO public.who_import VALUES (31740, '2020-07-20', 'GM', 'Gambia', 'AFRO', '0', '93', '0', '4');
INSERT INTO public.who_import VALUES (31741, '2020-07-21', 'GM', 'Gambia', 'AFRO', '19', '112', '0', '4');
INSERT INTO public.who_import VALUES (31742, '2020-07-22', 'GM', 'Gambia', 'AFRO', '20', '132', '1', '5');
INSERT INTO public.who_import VALUES (31743, '2020-07-23', 'GM', 'Gambia', 'AFRO', '0', '132', '0', '5');
INSERT INTO public.who_import VALUES (31744, '2020-07-24', 'GM', 'Gambia', 'AFRO', '38', '170', '0', '5');
INSERT INTO public.who_import VALUES (31745, '2020-07-25', 'GM', 'Gambia', 'AFRO', '0', '170', '0', '5');
INSERT INTO public.who_import VALUES (31746, '2020-07-26', 'GM', 'Gambia', 'AFRO', '46', '216', '1', '6');
INSERT INTO public.who_import VALUES (31747, '2020-07-27', 'GM', 'Gambia', 'AFRO', '61', '277', '0', '6');
INSERT INTO public.who_import VALUES (31748, '2020-07-28', 'GM', 'Gambia', 'AFRO', '49', '326', '2', '8');
INSERT INTO public.who_import VALUES (31749, '2020-07-29', 'GM', 'Gambia', 'AFRO', '0', '326', '0', '8');
INSERT INTO public.who_import VALUES (31750, '2020-07-30', 'GM', 'Gambia', 'AFRO', '0', '326', '0', '8');
INSERT INTO public.who_import VALUES (31751, '2020-07-31', 'GM', 'Gambia', 'AFRO', '77', '403', '0', '8');
INSERT INTO public.who_import VALUES (31752, '2020-08-01', 'GM', 'Gambia', 'AFRO', '95', '498', '1', '9');
INSERT INTO public.who_import VALUES (31753, '2020-08-02', 'GM', 'Gambia', 'AFRO', '0', '498', '0', '9');
INSERT INTO public.who_import VALUES (31754, '2020-08-03', 'GM', 'Gambia', 'AFRO', '0', '498', '0', '9');
INSERT INTO public.who_import VALUES (31755, '2020-08-04', 'GM', 'Gambia', 'AFRO', '0', '498', '0', '9');
INSERT INTO public.who_import VALUES (31756, '2020-08-05', 'GM', 'Gambia', 'AFRO', '301', '799', '7', '16');
INSERT INTO public.who_import VALUES (31757, '2020-08-06', 'GM', 'Gambia', 'AFRO', '136', '935', '0', '16');
INSERT INTO public.who_import VALUES (31758, '2020-08-07', 'GM', 'Gambia', 'AFRO', '0', '935', '0', '16');
INSERT INTO public.who_import VALUES (31759, '2020-08-08', 'GM', 'Gambia', 'AFRO', '155', '1090', '3', '19');
INSERT INTO public.who_import VALUES (31760, '2020-08-09', 'GM', 'Gambia', 'AFRO', '0', '1090', '0', '19');
INSERT INTO public.who_import VALUES (31761, '2020-08-10', 'GM', 'Gambia', 'AFRO', '145', '1235', '4', '23');
INSERT INTO public.who_import VALUES (31762, '2020-08-11', 'GM', 'Gambia', 'AFRO', '0', '1235', '0', '23');
INSERT INTO public.who_import VALUES (31763, '2020-08-12', 'GM', 'Gambia', 'AFRO', '242', '1477', '10', '33');
INSERT INTO public.who_import VALUES (31764, '2020-08-13', 'GM', 'Gambia', 'AFRO', '0', '1477', '0', '33');
INSERT INTO public.who_import VALUES (31765, '2020-08-14', 'GM', 'Gambia', 'AFRO', '79', '1556', '10', '43');
INSERT INTO public.who_import VALUES (31766, '2020-08-15', 'GM', 'Gambia', 'AFRO', '133', '1689', '11', '54');
INSERT INTO public.who_import VALUES (31767, '2020-08-16', 'GM', 'Gambia', 'AFRO', '0', '1689', '0', '54');
INSERT INTO public.who_import VALUES (31768, '2020-08-17', 'GM', 'Gambia', 'AFRO', '183', '1872', '9', '63');
INSERT INTO public.who_import VALUES (31769, '2020-08-18', 'GM', 'Gambia', 'AFRO', '0', '1872', '0', '63');
INSERT INTO public.who_import VALUES (31770, '2020-08-19', 'GM', 'Gambia', 'AFRO', '244', '2116', '0', '63');
INSERT INTO public.who_import VALUES (31771, '2020-08-20', 'GM', 'Gambia', 'AFRO', '172', '2288', '14', '77');
INSERT INTO public.who_import VALUES (31772, '2020-08-21', 'GM', 'Gambia', 'AFRO', '113', '2401', '4', '81');
INSERT INTO public.who_import VALUES (31773, '2020-08-22', 'GM', 'Gambia', 'AFRO', '36', '2437', '3', '84');
INSERT INTO public.who_import VALUES (31774, '2020-08-23', 'GM', 'Gambia', 'AFRO', '0', '2437', '0', '84');
INSERT INTO public.who_import VALUES (31775, '2020-08-24', 'GM', 'Gambia', 'AFRO', '148', '2585', '3', '87');
INSERT INTO public.who_import VALUES (31776, '2020-08-25', 'GM', 'Gambia', 'AFRO', '0', '2585', '0', '87');
INSERT INTO public.who_import VALUES (31777, '2020-08-26', 'GM', 'Gambia', 'AFRO', '101', '2686', '3', '90');
INSERT INTO public.who_import VALUES (31778, '2020-08-27', 'GM', 'Gambia', 'AFRO', '22', '2708', '3', '93');
INSERT INTO public.who_import VALUES (31779, '2020-08-28', 'GM', 'Gambia', 'AFRO', '35', '2743', '0', '93');
INSERT INTO public.who_import VALUES (31780, '2020-08-29', 'GM', 'Gambia', 'AFRO', '54', '2797', '3', '96');
INSERT INTO public.who_import VALUES (31781, '2020-08-30', 'GM', 'Gambia', 'AFRO', '0', '2797', '0', '96');
INSERT INTO public.who_import VALUES (31782, '2020-08-31', 'GM', 'Gambia', 'AFRO', '0', '2797', '0', '96');
INSERT INTO public.who_import VALUES (31783, '2020-09-01', 'GM', 'Gambia', 'AFRO', '166', '2963', '0', '96');
INSERT INTO public.who_import VALUES (31784, '2020-09-02', 'GM', 'Gambia', 'AFRO', '66', '3029', '0', '96');
INSERT INTO public.who_import VALUES (31785, '2020-09-03', 'GM', 'Gambia', 'AFRO', '38', '3067', '1', '97');
INSERT INTO public.who_import VALUES (31786, '2020-09-04', 'GM', 'Gambia', 'AFRO', '34', '3101', '2', '99');
INSERT INTO public.who_import VALUES (31787, '2020-09-05', 'GM', 'Gambia', 'AFRO', '19', '3120', '0', '99');
INSERT INTO public.who_import VALUES (31788, '2020-09-06', 'GM', 'Gambia', 'AFRO', '0', '3120', '0', '99');
INSERT INTO public.who_import VALUES (31789, '2020-09-07', 'GM', 'Gambia', 'AFRO', '76', '3196', '0', '99');
INSERT INTO public.who_import VALUES (31790, '2020-09-08', 'GM', 'Gambia', 'AFRO', '0', '3196', '0', '99');
INSERT INTO public.who_import VALUES (31791, '2020-09-09', 'GM', 'Gambia', 'AFRO', '79', '3275', '0', '99');
INSERT INTO public.who_import VALUES (31792, '2020-09-10', 'GM', 'Gambia', 'AFRO', '18', '3293', '0', '99');
INSERT INTO public.who_import VALUES (31793, '2020-09-11', 'GM', 'Gambia', 'AFRO', '37', '3330', '1', '100');
INSERT INTO public.who_import VALUES (31794, '2020-09-12', 'GM', 'Gambia', 'AFRO', '32', '3362', '0', '100');
INSERT INTO public.who_import VALUES (31795, '2020-09-13', 'GM', 'Gambia', 'AFRO', '14', '3376', '2', '102');
INSERT INTO public.who_import VALUES (31796, '2020-09-14', 'GM', 'Gambia', 'AFRO', '29', '3405', '1', '103');
INSERT INTO public.who_import VALUES (31797, '2020-09-15', 'GM', 'Gambia', 'AFRO', '0', '3405', '0', '103');
INSERT INTO public.who_import VALUES (31798, '2020-09-16', 'GM', 'Gambia', 'AFRO', '35', '3440', '4', '107');
INSERT INTO public.who_import VALUES (31799, '2020-09-17', 'GM', 'Gambia', 'AFRO', '33', '3473', '0', '107');
INSERT INTO public.who_import VALUES (31800, '2020-09-18', 'GM', 'Gambia', 'AFRO', '12', '3485', '1', '108');
INSERT INTO public.who_import VALUES (31801, '2020-09-19', 'GM', 'Gambia', 'AFRO', '19', '3504', '0', '108');
INSERT INTO public.who_import VALUES (31802, '2020-09-20', 'GM', 'Gambia', 'AFRO', '0', '3504', '0', '108');
INSERT INTO public.who_import VALUES (31803, '2020-09-21', 'GM', 'Gambia', 'AFRO', '22', '3526', '0', '108');
INSERT INTO public.who_import VALUES (31804, '2020-09-22', 'GM', 'Gambia', 'AFRO', '14', '3540', '2', '110');
INSERT INTO public.who_import VALUES (31805, '2020-09-23', 'GM', 'Gambia', 'AFRO', '0', '3540', '0', '110');
INSERT INTO public.who_import VALUES (31806, '2020-09-24', 'GM', 'Gambia', 'AFRO', '12', '3552', '0', '110');
INSERT INTO public.who_import VALUES (31807, '2020-09-25', 'GM', 'Gambia', 'AFRO', '0', '3552', '0', '110');
INSERT INTO public.who_import VALUES (31808, '2020-09-26', 'GM', 'Gambia', 'AFRO', '3', '3555', '0', '110');
INSERT INTO public.who_import VALUES (31809, '2020-09-27', 'GM', 'Gambia', 'AFRO', '9', '3564', '0', '110');
INSERT INTO public.who_import VALUES (31810, '2020-09-28', 'GM', 'Gambia', 'AFRO', '5', '3569', '1', '111');
INSERT INTO public.who_import VALUES (31811, '2020-09-29', 'GM', 'Gambia', 'AFRO', '10', '3579', '1', '112');
INSERT INTO public.who_import VALUES (31812, '2020-09-30', 'GM', 'Gambia', 'AFRO', '0', '3579', '0', '112');
INSERT INTO public.who_import VALUES (31813, '2020-10-01', 'GM', 'Gambia', 'AFRO', '0', '3579', '0', '112');
INSERT INTO public.who_import VALUES (31814, '2020-10-02', 'GM', 'Gambia', 'AFRO', '5', '3584', '1', '113');
INSERT INTO public.who_import VALUES (31815, '2020-10-03', 'GM', 'Gambia', 'AFRO', '6', '3590', '2', '115');
INSERT INTO public.who_import VALUES (31816, '2020-10-04', 'GM', 'Gambia', 'AFRO', '0', '3590', '0', '115');
INSERT INTO public.who_import VALUES (31817, '2020-10-05', 'GM', 'Gambia', 'AFRO', '4', '3594', '0', '115');
INSERT INTO public.who_import VALUES (31818, '2020-10-06', 'GM', 'Gambia', 'AFRO', '0', '3594', '0', '115');
INSERT INTO public.who_import VALUES (31819, '2020-10-07', 'GM', 'Gambia', 'AFRO', '19', '3613', '2', '117');
INSERT INTO public.who_import VALUES (31820, '2020-10-08', 'GM', 'Gambia', 'AFRO', '0', '3613', '0', '117');
INSERT INTO public.who_import VALUES (31821, '2020-10-09', 'GM', 'Gambia', 'AFRO', '8', '3621', '0', '117');
INSERT INTO public.who_import VALUES (31822, '2020-10-10', 'GM', 'Gambia', 'AFRO', '7', '3628', '0', '117');
INSERT INTO public.who_import VALUES (31823, '2020-10-11', 'GM', 'Gambia', 'AFRO', '0', '3628', '0', '117');
INSERT INTO public.who_import VALUES (31824, '2020-10-12', 'GM', 'Gambia', 'AFRO', '0', '3628', '0', '117');
INSERT INTO public.who_import VALUES (31825, '2020-10-13', 'GM', 'Gambia', 'AFRO', '4', '3632', '0', '117');
INSERT INTO public.who_import VALUES (31826, '2020-10-14', 'GM', 'Gambia', 'AFRO', '4', '3636', '1', '118');
INSERT INTO public.who_import VALUES (31827, '2020-10-15', 'GM', 'Gambia', 'AFRO', '8', '3644', '0', '118');
INSERT INTO public.who_import VALUES (31828, '2020-10-16', 'GM', 'Gambia', 'AFRO', '0', '3644', '0', '118');
INSERT INTO public.who_import VALUES (31829, '2020-10-17', 'GM', 'Gambia', 'AFRO', '0', '3644', '0', '118');
INSERT INTO public.who_import VALUES (31830, '2020-10-18', 'GM', 'Gambia', 'AFRO', '5', '3649', '0', '118');
INSERT INTO public.who_import VALUES (31831, '2020-10-19', 'GM', 'Gambia', 'AFRO', '0', '3649', '0', '118');
INSERT INTO public.who_import VALUES (31832, '2020-10-20', 'GM', 'Gambia', 'AFRO', '6', '3655', '0', '118');
INSERT INTO public.who_import VALUES (31833, '2020-10-21', 'GM', 'Gambia', 'AFRO', '0', '3655', '0', '118');
INSERT INTO public.who_import VALUES (31834, '2020-10-22', 'GM', 'Gambia', 'AFRO', '2', '3657', '0', '118');
INSERT INTO public.who_import VALUES (31835, '2020-10-23', 'GM', 'Gambia', 'AFRO', '2', '3659', '1', '119');
INSERT INTO public.who_import VALUES (31836, '2020-10-24', 'GM', 'Gambia', 'AFRO', '0', '3659', '0', '119');
INSERT INTO public.who_import VALUES (31837, '2020-10-25', 'GM', 'Gambia', 'AFRO', '0', '3659', '0', '119');
INSERT INTO public.who_import VALUES (31838, '2020-10-26', 'GM', 'Gambia', 'AFRO', '1', '3660', '0', '119');
INSERT INTO public.who_import VALUES (31839, '2020-10-27', 'GM', 'Gambia', 'AFRO', '0', '3660', '0', '119');
INSERT INTO public.who_import VALUES (31840, '2020-10-28', 'GM', 'Gambia', 'AFRO', '6', '3666', '0', '119');
INSERT INTO public.who_import VALUES (31841, '2020-10-29', 'GM', 'Gambia', 'AFRO', '0', '3666', '0', '119');
INSERT INTO public.who_import VALUES (31842, '2020-10-30', 'GM', 'Gambia', 'AFRO', '0', '3666', '0', '119');
INSERT INTO public.who_import VALUES (31843, '2020-10-31', 'GM', 'Gambia', 'AFRO', '0', '3666', '0', '119');
INSERT INTO public.who_import VALUES (31844, '2020-11-01', 'GM', 'Gambia', 'AFRO', '4', '3670', '0', '119');
INSERT INTO public.who_import VALUES (31845, '2020-11-02', 'GM', 'Gambia', 'AFRO', '2', '3672', '0', '119');
INSERT INTO public.who_import VALUES (31846, '2020-11-03', 'GM', 'Gambia', 'AFRO', '0', '3672', '0', '119');
INSERT INTO public.who_import VALUES (31847, '2020-11-04', 'GM', 'Gambia', 'AFRO', '7', '3679', '0', '119');
INSERT INTO public.who_import VALUES (31848, '2020-11-05', 'GM', 'Gambia', 'AFRO', '0', '3679', '0', '119');
INSERT INTO public.who_import VALUES (31849, '2020-11-06', 'GM', 'Gambia', 'AFRO', '1', '3680', '1', '120');
INSERT INTO public.who_import VALUES (31850, '2020-11-07', 'GM', 'Gambia', 'AFRO', '1', '3681', '0', '120');
INSERT INTO public.who_import VALUES (31851, '2020-11-08', 'GM', 'Gambia', 'AFRO', '0', '3681', '0', '120');
INSERT INTO public.who_import VALUES (31852, '2020-11-09', 'GM', 'Gambia', 'AFRO', '3', '3684', '0', '120');
INSERT INTO public.who_import VALUES (31853, '2020-11-10', 'GM', 'Gambia', 'AFRO', '0', '3684', '1', '121');
INSERT INTO public.who_import VALUES (31854, '2020-11-11', 'GM', 'Gambia', 'AFRO', '1', '3685', '1', '122');
INSERT INTO public.who_import VALUES (31855, '2020-11-12', 'GM', 'Gambia', 'AFRO', '12', '3697', '0', '122');
INSERT INTO public.who_import VALUES (31856, '2020-11-13', 'GM', 'Gambia', 'AFRO', '1', '3698', '0', '122');
INSERT INTO public.who_import VALUES (31857, '2020-11-14', 'GM', 'Gambia', 'AFRO', '0', '3698', '0', '122');
INSERT INTO public.who_import VALUES (31858, '2020-11-15', 'GM', 'Gambia', 'AFRO', '4', '3702', '0', '122');
INSERT INTO public.who_import VALUES (31859, '2020-11-16', 'GM', 'Gambia', 'AFRO', '0', '3702', '0', '122');
INSERT INTO public.who_import VALUES (31860, '2020-11-17', 'GM', 'Gambia', 'AFRO', '0', '3702', '0', '122');
INSERT INTO public.who_import VALUES (31861, '2020-11-18', 'GM', 'Gambia', 'AFRO', '3', '3705', '0', '122');
INSERT INTO public.who_import VALUES (31862, '2020-11-19', 'GM', 'Gambia', 'AFRO', '0', '3705', '0', '122');
INSERT INTO public.who_import VALUES (31863, '2020-11-20', 'GM', 'Gambia', 'AFRO', '1', '3706', '0', '122');
INSERT INTO public.who_import VALUES (31864, '2020-11-21', 'GM', 'Gambia', 'AFRO', '10', '3716', '0', '122');
INSERT INTO public.who_import VALUES (31865, '2020-11-22', 'GM', 'Gambia', 'AFRO', '10', '3726', '1', '123');
INSERT INTO public.who_import VALUES (31866, '2020-11-23', 'GM', 'Gambia', 'AFRO', '0', '3726', '0', '123');
INSERT INTO public.who_import VALUES (31867, '2020-11-24', 'GM', 'Gambia', 'AFRO', '0', '3726', '0', '123');
INSERT INTO public.who_import VALUES (31868, '2020-11-25', 'GM', 'Gambia', 'AFRO', '0', '3726', '0', '123');
INSERT INTO public.who_import VALUES (31869, '2020-11-26', 'GM', 'Gambia', 'AFRO', '1', '3727', '0', '123');
INSERT INTO public.who_import VALUES (31870, '2020-11-27', 'GM', 'Gambia', 'AFRO', '1', '3728', '0', '123');
INSERT INTO public.who_import VALUES (31871, '2020-11-28', 'GM', 'Gambia', 'AFRO', '3', '3731', '0', '123');
INSERT INTO public.who_import VALUES (31872, '2020-11-29', 'GM', 'Gambia', 'AFRO', '3', '3734', '0', '123');
INSERT INTO public.who_import VALUES (31873, '2020-11-30', 'GM', 'Gambia', 'AFRO', '0', '3734', '0', '123');
INSERT INTO public.who_import VALUES (31874, '2020-12-01', 'GM', 'Gambia', 'AFRO', '8', '3742', '0', '123');
INSERT INTO public.who_import VALUES (31875, '2020-12-02', 'GM', 'Gambia', 'AFRO', '0', '3742', '0', '123');
INSERT INTO public.who_import VALUES (31876, '2020-12-03', 'GM', 'Gambia', 'AFRO', '22', '3764', '0', '123');
INSERT INTO public.who_import VALUES (31877, '2020-12-04', 'GM', 'Gambia', 'AFRO', '3', '3767', '0', '123');
INSERT INTO public.who_import VALUES (31878, '2020-12-05', 'GM', 'Gambia', 'AFRO', '1', '3768', '0', '123');
INSERT INTO public.who_import VALUES (31879, '2020-12-06', 'GM', 'Gambia', 'AFRO', '2', '3770', '0', '123');
INSERT INTO public.who_import VALUES (31880, '2020-12-07', 'GM', 'Gambia', 'AFRO', '0', '3770', '0', '123');
INSERT INTO public.who_import VALUES (31881, '2020-12-08', 'GM', 'Gambia', 'AFRO', '2', '3772', '0', '123');
INSERT INTO public.who_import VALUES (31882, '2020-12-09', 'GM', 'Gambia', 'AFRO', '4', '3776', '0', '123');
INSERT INTO public.who_import VALUES (31883, '2020-12-10', 'GM', 'Gambia', 'AFRO', '2', '3778', '0', '123');
INSERT INTO public.who_import VALUES (31884, '2020-12-11', 'GM', 'Gambia', 'AFRO', '1', '3779', '0', '123');
INSERT INTO public.who_import VALUES (31885, '2020-12-12', 'GM', 'Gambia', 'AFRO', '1', '3780', '0', '123');
INSERT INTO public.who_import VALUES (31886, '2020-12-13', 'GM', 'Gambia', 'AFRO', '2', '3782', '0', '123');
INSERT INTO public.who_import VALUES (31887, '2020-12-14', 'GM', 'Gambia', 'AFRO', '0', '3782', '0', '123');
INSERT INTO public.who_import VALUES (31888, '2020-12-15', 'GM', 'Gambia', 'AFRO', '3', '3785', '0', '123');
INSERT INTO public.who_import VALUES (31889, '2020-12-16', 'GM', 'Gambia', 'AFRO', '1', '3786', '0', '123');
INSERT INTO public.who_import VALUES (31890, '2020-12-17', 'GM', 'Gambia', 'AFRO', '0', '3786', '0', '123');
INSERT INTO public.who_import VALUES (31891, '2020-12-18', 'GM', 'Gambia', 'AFRO', '0', '3786', '0', '123');
INSERT INTO public.who_import VALUES (31892, '2020-12-19', 'GM', 'Gambia', 'AFRO', '0', '3786', '0', '123');
INSERT INTO public.who_import VALUES (31893, '2020-12-20', 'GM', 'Gambia', 'AFRO', '2', '3788', '0', '123');
INSERT INTO public.who_import VALUES (31894, '2020-12-21', 'GM', 'Gambia', 'AFRO', '0', '3788', '0', '123');
INSERT INTO public.who_import VALUES (31895, '2020-12-22', 'GM', 'Gambia', 'AFRO', '1', '3789', '0', '123');
INSERT INTO public.who_import VALUES (31896, '2020-12-23', 'GM', 'Gambia', 'AFRO', '2', '3791', '0', '123');
INSERT INTO public.who_import VALUES (31897, '2020-12-24', 'GM', 'Gambia', 'AFRO', '0', '3791', '0', '123');
INSERT INTO public.who_import VALUES (31898, '2020-12-25', 'GM', 'Gambia', 'AFRO', '0', '3791', '0', '123');
INSERT INTO public.who_import VALUES (31899, '2020-12-26', 'GM', 'Gambia', 'AFRO', '1', '3792', '0', '123');
INSERT INTO public.who_import VALUES (31900, '2020-12-27', 'GM', 'Gambia', 'AFRO', '0', '3792', '0', '123');
INSERT INTO public.who_import VALUES (31901, '2020-12-28', 'GM', 'Gambia', 'AFRO', '0', '3792', '0', '123');
INSERT INTO public.who_import VALUES (31902, '2020-12-29', 'GM', 'Gambia', 'AFRO', '5', '3797', '0', '123');
INSERT INTO public.who_import VALUES (31903, '2020-12-30', 'GM', 'Gambia', 'AFRO', '0', '3797', '1', '124');
INSERT INTO public.who_import VALUES (31904, '2020-12-31', 'GM', 'Gambia', 'AFRO', '0', '3797', '0', '124');
INSERT INTO public.who_import VALUES (31905, '2021-01-01', 'GM', 'Gambia', 'AFRO', '3', '3800', '0', '124');
INSERT INTO public.who_import VALUES (31906, '2021-01-02', 'GM', 'Gambia', 'AFRO', '0', '3800', '0', '124');
INSERT INTO public.who_import VALUES (31907, '2021-01-03', 'GM', 'Gambia', 'AFRO', '2', '3802', '0', '124');
INSERT INTO public.who_import VALUES (31908, '2021-01-04', 'GM', 'Gambia', 'AFRO', '0', '3802', '0', '124');
INSERT INTO public.who_import VALUES (31909, '2021-01-05', 'GM', 'Gambia', 'AFRO', '4', '3806', '1', '125');
INSERT INTO public.who_import VALUES (31910, '2021-01-06', 'GM', 'Gambia', 'AFRO', '6', '3812', '0', '125');
INSERT INTO public.who_import VALUES (31911, '2021-01-07', 'GM', 'Gambia', 'AFRO', '21', '3833', '0', '125');
INSERT INTO public.who_import VALUES (31912, '2021-01-08', 'GM', 'Gambia', 'AFRO', '5', '3838', '0', '125');
INSERT INTO public.who_import VALUES (31913, '2021-01-09', 'GM', 'Gambia', 'AFRO', '3', '3841', '0', '125');
INSERT INTO public.who_import VALUES (31914, '2021-01-10', 'GM', 'Gambia', 'AFRO', '16', '3857', '0', '125');
INSERT INTO public.who_import VALUES (31915, '2021-01-11', 'GM', 'Gambia', 'AFRO', '0', '3857', '0', '125');
INSERT INTO public.who_import VALUES (31916, '2021-01-12', 'GM', 'Gambia', 'AFRO', '19', '3876', '0', '125');
INSERT INTO public.who_import VALUES (31917, '2021-01-13', 'GM', 'Gambia', 'AFRO', '9', '3885', '0', '125');
INSERT INTO public.who_import VALUES (31918, '2021-01-14', 'GM', 'Gambia', 'AFRO', '5', '3890', '1', '126');
INSERT INTO public.who_import VALUES (31919, '2021-01-15', 'GM', 'Gambia', 'AFRO', '3', '3893', '1', '127');
INSERT INTO public.who_import VALUES (31920, '2021-01-16', 'GM', 'Gambia', 'AFRO', '4', '3897', '0', '127');
INSERT INTO public.who_import VALUES (31921, '2021-01-17', 'GM', 'Gambia', 'AFRO', '0', '3897', '0', '127');
INSERT INTO public.who_import VALUES (31922, '2021-01-18', 'GM', 'Gambia', 'AFRO', '13', '3910', '0', '127');
INSERT INTO public.who_import VALUES (31923, '2021-01-19', 'GM', 'Gambia', 'AFRO', '23', '3933', '1', '128');
INSERT INTO public.who_import VALUES (31924, '2021-01-20', 'GM', 'Gambia', 'AFRO', '5', '3938', '0', '128');
INSERT INTO public.who_import VALUES (31925, '2021-01-21', 'GM', 'Gambia', 'AFRO', '12', '3950', '0', '128');
INSERT INTO public.who_import VALUES (31926, '2021-01-22', 'GM', 'Gambia', 'AFRO', '0', '3950', '0', '128');
INSERT INTO public.who_import VALUES (31927, '2021-01-23', 'GM', 'Gambia', 'AFRO', '0', '3950', '0', '128');
INSERT INTO public.who_import VALUES (31928, '2021-01-24', 'GM', 'Gambia', 'AFRO', '8', '3958', '0', '128');
INSERT INTO public.who_import VALUES (31929, '2021-01-25', 'GM', 'Gambia', 'AFRO', '0', '3958', '0', '128');
INSERT INTO public.who_import VALUES (31930, '2021-01-26', 'GM', 'Gambia', 'AFRO', '50', '4008', '0', '128');
INSERT INTO public.who_import VALUES (31931, '2021-01-27', 'GM', 'Gambia', 'AFRO', '4', '4012', '0', '128');
INSERT INTO public.who_import VALUES (31932, '2021-01-28', 'GM', 'Gambia', 'AFRO', '7', '4019', '0', '128');
INSERT INTO public.who_import VALUES (31933, '2021-01-29', 'GM', 'Gambia', 'AFRO', '0', '4019', '0', '128');
INSERT INTO public.who_import VALUES (31934, '2021-01-30', 'GM', 'Gambia', 'AFRO', '71', '4090', '0', '128');
INSERT INTO public.who_import VALUES (31935, '2021-01-31', 'GM', 'Gambia', 'AFRO', '0', '4090', '0', '128');
INSERT INTO public.who_import VALUES (31936, '2021-02-01', 'GM', 'Gambia', 'AFRO', '0', '4090', '0', '128');
INSERT INTO public.who_import VALUES (31937, '2021-02-02', 'GM', 'Gambia', 'AFRO', '49', '4139', '3', '131');
INSERT INTO public.who_import VALUES (31938, '2021-02-03', 'GM', 'Gambia', 'AFRO', '0', '4139', '0', '131');
INSERT INTO public.who_import VALUES (31939, '2021-02-04', 'GM', 'Gambia', 'AFRO', '45', '4184', '1', '132');
INSERT INTO public.who_import VALUES (31940, '2021-02-05', 'GM', 'Gambia', 'AFRO', '0', '4184', '0', '132');
INSERT INTO public.who_import VALUES (31941, '2021-02-06', 'GM', 'Gambia', 'AFRO', '0', '4184', '0', '132');
INSERT INTO public.who_import VALUES (31942, '2021-02-07', 'GM', 'Gambia', 'AFRO', '53', '4237', '2', '134');
INSERT INTO public.who_import VALUES (31943, '2021-02-08', 'GM', 'Gambia', 'AFRO', '0', '4237', '0', '134');
INSERT INTO public.who_import VALUES (31944, '2021-02-09', 'GM', 'Gambia', 'AFRO', '65', '4302', '1', '135');
INSERT INTO public.who_import VALUES (31945, '2021-02-10', 'GM', 'Gambia', 'AFRO', '0', '4302', '0', '135');
INSERT INTO public.who_import VALUES (31946, '2021-02-11', 'GM', 'Gambia', 'AFRO', '0', '4302', '0', '135');
INSERT INTO public.who_import VALUES (31947, '2021-02-12', 'GM', 'Gambia', 'AFRO', '0', '4302', '0', '135');
INSERT INTO public.who_import VALUES (31948, '2021-02-13', 'GM', 'Gambia', 'AFRO', '0', '4302', '0', '135');
INSERT INTO public.who_import VALUES (31949, '2021-02-14', 'GM', 'Gambia', 'AFRO', '0', '4302', '0', '135');
INSERT INTO public.who_import VALUES (31950, '2021-02-15', 'GM', 'Gambia', 'AFRO', '112', '4414', '3', '138');
INSERT INTO public.who_import VALUES (31951, '2021-02-16', 'GM', 'Gambia', 'AFRO', '0', '4414', '0', '138');
INSERT INTO public.who_import VALUES (31952, '2021-02-17', 'GM', 'Gambia', 'AFRO', '55', '4469', '0', '138');
INSERT INTO public.who_import VALUES (31953, '2021-02-18', 'GM', 'Gambia', 'AFRO', '0', '4469', '0', '138');
INSERT INTO public.who_import VALUES (31954, '2021-02-19', 'GM', 'Gambia', 'AFRO', '41', '4510', '1', '139');
INSERT INTO public.who_import VALUES (31955, '2021-02-20', 'GM', 'Gambia', 'AFRO', '0', '4510', '0', '139');
INSERT INTO public.who_import VALUES (31956, '2020-01-03', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31957, '2020-01-04', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31958, '2020-01-05', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31959, '2020-01-06', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31960, '2020-01-07', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31961, '2020-01-08', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31962, '2020-01-09', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31963, '2020-01-10', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31964, '2020-01-11', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31965, '2020-01-12', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31966, '2020-01-13', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31967, '2020-01-14', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31968, '2020-01-15', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31969, '2020-01-16', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31970, '2020-01-17', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31971, '2020-01-18', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31972, '2020-01-19', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31973, '2020-01-20', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31974, '2020-01-21', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31975, '2020-01-22', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31976, '2020-01-23', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31977, '2020-01-24', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31978, '2020-01-25', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31979, '2020-01-26', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31980, '2020-01-27', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31981, '2020-01-28', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31982, '2020-01-29', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31983, '2020-01-30', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31984, '2020-01-31', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31985, '2020-02-01', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31986, '2020-02-02', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31987, '2020-02-03', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31988, '2020-02-04', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31989, '2020-02-05', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31990, '2020-02-06', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31991, '2020-02-07', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31992, '2020-02-08', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31993, '2020-02-09', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31994, '2020-02-10', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31995, '2020-02-11', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31996, '2020-02-12', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31997, '2020-02-13', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31998, '2020-02-14', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (31999, '2020-02-15', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32000, '2020-02-16', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32001, '2020-02-17', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32002, '2020-02-18', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32003, '2020-02-19', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32004, '2020-02-20', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32005, '2020-02-21', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32006, '2020-02-22', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32007, '2020-02-23', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32008, '2020-02-24', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32009, '2020-02-25', 'GE', 'Georgia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32010, '2020-02-26', 'GE', 'Georgia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (32011, '2020-02-27', 'GE', 'Georgia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (32012, '2020-02-28', 'GE', 'Georgia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (32013, '2020-02-29', 'GE', 'Georgia', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (32014, '2020-03-01', 'GE', 'Georgia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (32015, '2020-03-02', 'GE', 'Georgia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (32016, '2020-03-03', 'GE', 'Georgia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (32017, '2020-03-04', 'GE', 'Georgia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (32018, '2020-03-05', 'GE', 'Georgia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (32019, '2020-03-06', 'GE', 'Georgia', 'EURO', '6', '9', '0', '0');
INSERT INTO public.who_import VALUES (32020, '2020-03-07', 'GE', 'Georgia', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (32021, '2020-03-08', 'GE', 'Georgia', 'EURO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (32022, '2020-03-09', 'GE', 'Georgia', 'EURO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (32023, '2020-03-10', 'GE', 'Georgia', 'EURO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (32024, '2020-03-11', 'GE', 'Georgia', 'EURO', '8', '23', '0', '0');
INSERT INTO public.who_import VALUES (32025, '2020-03-12', 'GE', 'Georgia', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (32026, '2020-03-13', 'GE', 'Georgia', 'EURO', '2', '25', '0', '0');
INSERT INTO public.who_import VALUES (32027, '2020-03-14', 'GE', 'Georgia', 'EURO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (32028, '2020-03-15', 'GE', 'Georgia', 'EURO', '5', '30', '0', '0');
INSERT INTO public.who_import VALUES (32029, '2020-03-16', 'GE', 'Georgia', 'EURO', '3', '33', '0', '0');
INSERT INTO public.who_import VALUES (32030, '2020-03-17', 'GE', 'Georgia', 'EURO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (32031, '2020-03-18', 'GE', 'Georgia', 'EURO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (32032, '2020-03-19', 'GE', 'Georgia', 'EURO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (32033, '2020-03-20', 'GE', 'Georgia', 'EURO', '4', '38', '0', '0');
INSERT INTO public.who_import VALUES (32034, '2020-03-21', 'GE', 'Georgia', 'EURO', '10', '48', '0', '0');
INSERT INTO public.who_import VALUES (32035, '2020-03-22', 'GE', 'Georgia', 'EURO', '6', '54', '0', '0');
INSERT INTO public.who_import VALUES (32036, '2020-03-23', 'GE', 'Georgia', 'EURO', '7', '61', '0', '0');
INSERT INTO public.who_import VALUES (32037, '2020-03-24', 'GE', 'Georgia', 'EURO', '9', '70', '0', '0');
INSERT INTO public.who_import VALUES (32038, '2020-03-25', 'GE', 'Georgia', 'EURO', '7', '77', '0', '0');
INSERT INTO public.who_import VALUES (32039, '2020-03-26', 'GE', 'Georgia', 'EURO', '3', '80', '0', '0');
INSERT INTO public.who_import VALUES (32040, '2020-03-27', 'GE', 'Georgia', 'EURO', '3', '83', '0', '0');
INSERT INTO public.who_import VALUES (32041, '2020-03-28', 'GE', 'Georgia', 'EURO', '7', '90', '0', '0');
INSERT INTO public.who_import VALUES (32042, '2020-03-29', 'GE', 'Georgia', 'EURO', '8', '98', '0', '0');
INSERT INTO public.who_import VALUES (32043, '2020-03-30', 'GE', 'Georgia', 'EURO', '5', '103', '0', '0');
INSERT INTO public.who_import VALUES (32044, '2020-03-31', 'GE', 'Georgia', 'EURO', '12', '115', '0', '0');
INSERT INTO public.who_import VALUES (32045, '2020-04-01', 'GE', 'Georgia', 'EURO', '6', '121', '0', '0');
INSERT INTO public.who_import VALUES (32046, '2020-04-02', 'GE', 'Georgia', 'EURO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (32047, '2020-04-03', 'GE', 'Georgia', 'EURO', '27', '148', '0', '0');
INSERT INTO public.who_import VALUES (32048, '2020-04-04', 'GE', 'Georgia', 'EURO', '9', '157', '0', '0');
INSERT INTO public.who_import VALUES (32049, '2020-04-05', 'GE', 'Georgia', 'EURO', '13', '170', '1', '1');
INSERT INTO public.who_import VALUES (32050, '2020-04-06', 'GE', 'Georgia', 'EURO', '18', '188', '1', '2');
INSERT INTO public.who_import VALUES (32051, '2020-04-07', 'GE', 'Georgia', 'EURO', '7', '195', '0', '2');
INSERT INTO public.who_import VALUES (32052, '2020-04-08', 'GE', 'Georgia', 'EURO', '13', '208', '1', '3');
INSERT INTO public.who_import VALUES (32053, '2020-04-09', 'GE', 'Georgia', 'EURO', '6', '214', '0', '3');
INSERT INTO public.who_import VALUES (32054, '2020-04-10', 'GE', 'Georgia', 'EURO', '16', '230', '0', '3');
INSERT INTO public.who_import VALUES (32055, '2020-04-11', 'GE', 'Georgia', 'EURO', '3', '233', '0', '3');
INSERT INTO public.who_import VALUES (32056, '2020-04-12', 'GE', 'Georgia', 'EURO', '19', '252', '0', '3');
INSERT INTO public.who_import VALUES (32057, '2020-04-13', 'GE', 'Georgia', 'EURO', '14', '266', '0', '3');
INSERT INTO public.who_import VALUES (32058, '2020-04-14', 'GE', 'Georgia', 'EURO', '30', '296', '0', '3');
INSERT INTO public.who_import VALUES (32059, '2020-04-15', 'GE', 'Georgia', 'EURO', '10', '306', '0', '3');
INSERT INTO public.who_import VALUES (32060, '2020-04-16', 'GE', 'Georgia', 'EURO', '30', '336', '0', '3');
INSERT INTO public.who_import VALUES (32061, '2020-04-17', 'GE', 'Georgia', 'EURO', '34', '370', '0', '3');
INSERT INTO public.who_import VALUES (32062, '2020-04-18', 'GE', 'Georgia', 'EURO', '15', '385', '0', '3');
INSERT INTO public.who_import VALUES (32063, '2020-04-19', 'GE', 'Georgia', 'EURO', '9', '394', '1', '4');
INSERT INTO public.who_import VALUES (32064, '2020-04-20', 'GE', 'Georgia', 'EURO', '5', '399', '0', '4');
INSERT INTO public.who_import VALUES (32065, '2020-04-21', 'GE', 'Georgia', 'EURO', '9', '408', '0', '4');
INSERT INTO public.who_import VALUES (32066, '2020-04-22', 'GE', 'Georgia', 'EURO', '3', '411', '1', '5');
INSERT INTO public.who_import VALUES (32067, '2020-04-23', 'GE', 'Georgia', 'EURO', '9', '420', '0', '5');
INSERT INTO public.who_import VALUES (32068, '2020-04-24', 'GE', 'Georgia', 'EURO', '11', '431', '0', '5');
INSERT INTO public.who_import VALUES (32069, '2020-04-25', 'GE', 'Georgia', 'EURO', '25', '456', '0', '5');
INSERT INTO public.who_import VALUES (32070, '2020-04-26', 'GE', 'Georgia', 'EURO', '29', '485', '0', '5');
INSERT INTO public.who_import VALUES (32071, '2020-04-27', 'GE', 'Georgia', 'EURO', '11', '496', '1', '6');
INSERT INTO public.who_import VALUES (32072, '2020-04-28', 'GE', 'Georgia', 'EURO', '15', '511', '0', '6');
INSERT INTO public.who_import VALUES (32073, '2020-04-29', 'GE', 'Georgia', 'EURO', '6', '517', '0', '6');
INSERT INTO public.who_import VALUES (32074, '2020-04-30', 'GE', 'Georgia', 'EURO', '22', '539', '0', '6');
INSERT INTO public.who_import VALUES (32075, '2020-05-01', 'GE', 'Georgia', 'EURO', '27', '566', '0', '6');
INSERT INTO public.who_import VALUES (32076, '2020-05-02', 'GE', 'Georgia', 'EURO', '16', '582', '2', '8');
INSERT INTO public.who_import VALUES (32077, '2020-05-03', 'GE', 'Georgia', 'EURO', '7', '589', '0', '8');
INSERT INTO public.who_import VALUES (32078, '2020-05-04', 'GE', 'Georgia', 'EURO', '4', '593', '1', '9');
INSERT INTO public.who_import VALUES (32079, '2020-05-05', 'GE', 'Georgia', 'EURO', '11', '604', '0', '9');
INSERT INTO public.who_import VALUES (32080, '2020-05-06', 'GE', 'Georgia', 'EURO', '6', '610', '0', '9');
INSERT INTO public.who_import VALUES (32081, '2020-05-07', 'GE', 'Georgia', 'EURO', '4', '614', '0', '9');
INSERT INTO public.who_import VALUES (32082, '2020-05-08', 'GE', 'Georgia', 'EURO', '9', '623', '0', '9');
INSERT INTO public.who_import VALUES (32083, '2020-05-09', 'GE', 'Georgia', 'EURO', '3', '626', '1', '10');
INSERT INTO public.who_import VALUES (32084, '2020-05-10', 'GE', 'Georgia', 'EURO', '9', '635', '0', '10');
INSERT INTO public.who_import VALUES (32085, '2020-05-11', 'GE', 'Georgia', 'EURO', '3', '638', '0', '10');
INSERT INTO public.who_import VALUES (32086, '2020-05-12', 'GE', 'Georgia', 'EURO', '1', '639', '1', '11');
INSERT INTO public.who_import VALUES (32087, '2020-05-13', 'GE', 'Georgia', 'EURO', '3', '642', '0', '11');
INSERT INTO public.who_import VALUES (32088, '2020-05-14', 'GE', 'Georgia', 'EURO', '10', '652', '0', '11');
INSERT INTO public.who_import VALUES (32089, '2020-05-15', 'GE', 'Georgia', 'EURO', '19', '671', '1', '12');
INSERT INTO public.who_import VALUES (32090, '2020-05-16', 'GE', 'Georgia', 'EURO', '6', '677', '0', '12');
INSERT INTO public.who_import VALUES (32091, '2020-05-17', 'GE', 'Georgia', 'EURO', '18', '695', '0', '12');
INSERT INTO public.who_import VALUES (32092, '2020-05-18', 'GE', 'Georgia', 'EURO', '6', '701', '0', '12');
INSERT INTO public.who_import VALUES (32093, '2020-05-19', 'GE', 'Georgia', 'EURO', '1', '702', '0', '12');
INSERT INTO public.who_import VALUES (32094, '2020-05-20', 'GE', 'Georgia', 'EURO', '11', '713', '0', '12');
INSERT INTO public.who_import VALUES (32095, '2020-05-21', 'GE', 'Georgia', 'EURO', '8', '721', '0', '12');
INSERT INTO public.who_import VALUES (32096, '2020-05-22', 'GE', 'Georgia', 'EURO', '2', '723', '0', '12');
INSERT INTO public.who_import VALUES (32097, '2020-05-23', 'GE', 'Georgia', 'EURO', '0', '723', '0', '12');
INSERT INTO public.who_import VALUES (32098, '2020-05-24', 'GE', 'Georgia', 'EURO', '7', '730', '0', '12');
INSERT INTO public.who_import VALUES (32099, '2020-05-25', 'GE', 'Georgia', 'EURO', '1', '731', '0', '12');
INSERT INTO public.who_import VALUES (32100, '2020-05-26', 'GE', 'Georgia', 'EURO', '1', '732', '0', '12');
INSERT INTO public.who_import VALUES (32101, '2020-05-27', 'GE', 'Georgia', 'EURO', '3', '735', '0', '12');
INSERT INTO public.who_import VALUES (32102, '2020-05-28', 'GE', 'Georgia', 'EURO', '3', '738', '0', '12');
INSERT INTO public.who_import VALUES (32103, '2020-05-29', 'GE', 'Georgia', 'EURO', '8', '746', '0', '12');
INSERT INTO public.who_import VALUES (32104, '2020-05-30', 'GE', 'Georgia', 'EURO', '11', '757', '0', '12');
INSERT INTO public.who_import VALUES (32105, '2020-05-31', 'GE', 'Georgia', 'EURO', '26', '783', '0', '12');
INSERT INTO public.who_import VALUES (32106, '2020-06-01', 'GE', 'Georgia', 'EURO', '11', '794', '0', '12');
INSERT INTO public.who_import VALUES (32107, '2020-06-02', 'GE', 'Georgia', 'EURO', '2', '796', '0', '12');
INSERT INTO public.who_import VALUES (32108, '2020-06-03', 'GE', 'Georgia', 'EURO', '4', '800', '1', '13');
INSERT INTO public.who_import VALUES (32109, '2020-06-04', 'GE', 'Georgia', 'EURO', '1', '801', '0', '13');
INSERT INTO public.who_import VALUES (32110, '2020-06-05', 'GE', 'Georgia', 'EURO', '5', '806', '0', '13');
INSERT INTO public.who_import VALUES (32111, '2020-06-06', 'GE', 'Georgia', 'EURO', '2', '808', '0', '13');
INSERT INTO public.who_import VALUES (32112, '2020-06-07', 'GE', 'Georgia', 'EURO', '1', '809', '0', '13');
INSERT INTO public.who_import VALUES (32113, '2020-06-08', 'GE', 'Georgia', 'EURO', '1', '810', '0', '13');
INSERT INTO public.who_import VALUES (32114, '2020-06-09', 'GE', 'Georgia', 'EURO', '8', '818', '0', '13');
INSERT INTO public.who_import VALUES (32115, '2020-06-10', 'GE', 'Georgia', 'EURO', '4', '822', '0', '13');
INSERT INTO public.who_import VALUES (32116, '2020-06-11', 'GE', 'Georgia', 'EURO', '6', '828', '0', '13');
INSERT INTO public.who_import VALUES (32117, '2020-06-12', 'GE', 'Georgia', 'EURO', '9', '837', '0', '13');
INSERT INTO public.who_import VALUES (32118, '2020-06-13', 'GE', 'Georgia', 'EURO', '14', '851', '0', '13');
INSERT INTO public.who_import VALUES (32119, '2020-06-14', 'GE', 'Georgia', 'EURO', '13', '864', '1', '14');
INSERT INTO public.who_import VALUES (32120, '2020-06-15', 'GE', 'Georgia', 'EURO', '15', '879', '0', '14');
INSERT INTO public.who_import VALUES (32121, '2020-06-16', 'GE', 'Georgia', 'EURO', '0', '879', '0', '14');
INSERT INTO public.who_import VALUES (32122, '2020-06-17', 'GE', 'Georgia', 'EURO', '9', '888', '0', '14');
INSERT INTO public.who_import VALUES (32123, '2020-06-18', 'GE', 'Georgia', 'EURO', '5', '893', '0', '14');
INSERT INTO public.who_import VALUES (32124, '2020-06-19', 'GE', 'Georgia', 'EURO', '2', '895', '0', '14');
INSERT INTO public.who_import VALUES (32125, '2020-06-20', 'GE', 'Georgia', 'EURO', '3', '898', '0', '14');
INSERT INTO public.who_import VALUES (32126, '2020-06-21', 'GE', 'Georgia', 'EURO', '8', '906', '0', '14');
INSERT INTO public.who_import VALUES (32127, '2020-06-22', 'GE', 'Georgia', 'EURO', '2', '908', '0', '14');
INSERT INTO public.who_import VALUES (32128, '2020-06-23', 'GE', 'Georgia', 'EURO', '3', '911', '0', '14');
INSERT INTO public.who_import VALUES (32129, '2020-06-24', 'GE', 'Georgia', 'EURO', '3', '914', '0', '14');
INSERT INTO public.who_import VALUES (32130, '2020-06-25', 'GE', 'Georgia', 'EURO', '3', '917', '0', '14');
INSERT INTO public.who_import VALUES (32131, '2020-06-26', 'GE', 'Georgia', 'EURO', '2', '919', '0', '14');
INSERT INTO public.who_import VALUES (32132, '2020-06-27', 'GE', 'Georgia', 'EURO', '2', '921', '0', '14');
INSERT INTO public.who_import VALUES (32133, '2020-06-28', 'GE', 'Georgia', 'EURO', '3', '924', '1', '15');
INSERT INTO public.who_import VALUES (32134, '2020-06-29', 'GE', 'Georgia', 'EURO', '2', '926', '0', '15');
INSERT INTO public.who_import VALUES (32135, '2020-06-30', 'GE', 'Georgia', 'EURO', '2', '928', '0', '15');
INSERT INTO public.who_import VALUES (32136, '2020-07-01', 'GE', 'Georgia', 'EURO', '3', '931', '0', '15');
INSERT INTO public.who_import VALUES (32137, '2020-07-02', 'GE', 'Georgia', 'EURO', '8', '939', '0', '15');
INSERT INTO public.who_import VALUES (32138, '2020-07-03', 'GE', 'Georgia', 'EURO', '4', '943', '0', '15');
INSERT INTO public.who_import VALUES (32139, '2020-07-04', 'GE', 'Georgia', 'EURO', '3', '946', '0', '15');
INSERT INTO public.who_import VALUES (32140, '2020-07-05', 'GE', 'Georgia', 'EURO', '5', '951', '0', '15');
INSERT INTO public.who_import VALUES (32141, '2020-07-06', 'GE', 'Georgia', 'EURO', '2', '953', '0', '15');
INSERT INTO public.who_import VALUES (32142, '2020-07-07', 'GE', 'Georgia', 'EURO', '5', '958', '0', '15');
INSERT INTO public.who_import VALUES (32143, '2020-07-08', 'GE', 'Georgia', 'EURO', '5', '963', '0', '15');
INSERT INTO public.who_import VALUES (32144, '2020-07-09', 'GE', 'Georgia', 'EURO', '5', '968', '0', '15');
INSERT INTO public.who_import VALUES (32145, '2020-07-10', 'GE', 'Georgia', 'EURO', '5', '973', '0', '15');
INSERT INTO public.who_import VALUES (32146, '2020-07-11', 'GE', 'Georgia', 'EURO', '8', '981', '0', '15');
INSERT INTO public.who_import VALUES (32147, '2020-07-12', 'GE', 'Georgia', 'EURO', '5', '986', '0', '15');
INSERT INTO public.who_import VALUES (32148, '2020-07-13', 'GE', 'Georgia', 'EURO', '9', '995', '0', '15');
INSERT INTO public.who_import VALUES (32149, '2020-07-14', 'GE', 'Georgia', 'EURO', '4', '999', '0', '15');
INSERT INTO public.who_import VALUES (32150, '2020-07-15', 'GE', 'Georgia', 'EURO', '4', '1003', '0', '15');
INSERT INTO public.who_import VALUES (32151, '2020-07-16', 'GE', 'Georgia', 'EURO', '3', '1006', '0', '15');
INSERT INTO public.who_import VALUES (32152, '2020-07-17', 'GE', 'Georgia', 'EURO', '4', '1010', '0', '15');
INSERT INTO public.who_import VALUES (32153, '2020-07-18', 'GE', 'Georgia', 'EURO', '8', '1018', '0', '15');
INSERT INTO public.who_import VALUES (32154, '2020-07-19', 'GE', 'Georgia', 'EURO', '10', '1028', '0', '15');
INSERT INTO public.who_import VALUES (32155, '2020-07-20', 'GE', 'Georgia', 'EURO', '11', '1039', '0', '15');
INSERT INTO public.who_import VALUES (32156, '2020-07-21', 'GE', 'Georgia', 'EURO', '10', '1049', '1', '16');
INSERT INTO public.who_import VALUES (32157, '2020-07-22', 'GE', 'Georgia', 'EURO', '24', '1073', '0', '16');
INSERT INTO public.who_import VALUES (32158, '2020-07-23', 'GE', 'Georgia', 'EURO', '12', '1085', '0', '16');
INSERT INTO public.who_import VALUES (32159, '2020-07-24', 'GE', 'Georgia', 'EURO', '19', '1104', '0', '16');
INSERT INTO public.who_import VALUES (32160, '2020-07-25', 'GE', 'Georgia', 'EURO', '13', '1117', '0', '16');
INSERT INTO public.who_import VALUES (32161, '2020-07-26', 'GE', 'Georgia', 'EURO', '14', '1131', '0', '16');
INSERT INTO public.who_import VALUES (32162, '2020-07-27', 'GE', 'Georgia', 'EURO', '6', '1137', '0', '16');
INSERT INTO public.who_import VALUES (32163, '2020-07-28', 'GE', 'Georgia', 'EURO', '8', '1145', '0', '16');
INSERT INTO public.who_import VALUES (32164, '2020-07-29', 'GE', 'Georgia', 'EURO', '10', '1155', '0', '16');
INSERT INTO public.who_import VALUES (32165, '2020-07-30', 'GE', 'Georgia', 'EURO', '5', '1160', '1', '17');
INSERT INTO public.who_import VALUES (32166, '2020-07-31', 'GE', 'Georgia', 'EURO', '8', '1168', '0', '17');
INSERT INTO public.who_import VALUES (32167, '2020-08-01', 'GE', 'Georgia', 'EURO', '3', '1171', '0', '17');
INSERT INTO public.who_import VALUES (32168, '2020-08-02', 'GE', 'Georgia', 'EURO', '6', '1177', '0', '17');
INSERT INTO public.who_import VALUES (32169, '2020-08-03', 'GE', 'Georgia', 'EURO', '2', '1179', '0', '17');
INSERT INTO public.who_import VALUES (32170, '2020-08-04', 'GE', 'Georgia', 'EURO', '3', '1182', '0', '17');
INSERT INTO public.who_import VALUES (32171, '2020-08-05', 'GE', 'Georgia', 'EURO', '15', '1197', '0', '17');
INSERT INTO public.who_import VALUES (32172, '2020-08-06', 'GE', 'Georgia', 'EURO', '9', '1206', '0', '17');
INSERT INTO public.who_import VALUES (32173, '2020-08-07', 'GE', 'Georgia', 'EURO', '7', '1213', '0', '17');
INSERT INTO public.who_import VALUES (32174, '2020-08-08', 'GE', 'Georgia', 'EURO', '3', '1216', '0', '17');
INSERT INTO public.who_import VALUES (32175, '2020-08-09', 'GE', 'Georgia', 'EURO', '9', '1225', '0', '17');
INSERT INTO public.who_import VALUES (32176, '2020-08-10', 'GE', 'Georgia', 'EURO', '25', '1250', '0', '17');
INSERT INTO public.who_import VALUES (32177, '2020-08-11', 'GE', 'Georgia', 'EURO', '14', '1264', '0', '17');
INSERT INTO public.who_import VALUES (32178, '2020-08-12', 'GE', 'Georgia', 'EURO', '14', '1278', '0', '17');
INSERT INTO public.who_import VALUES (32179, '2020-08-13', 'GE', 'Georgia', 'EURO', '5', '1283', '0', '17');
INSERT INTO public.who_import VALUES (32180, '2020-08-14', 'GE', 'Georgia', 'EURO', '23', '1306', '0', '17');
INSERT INTO public.who_import VALUES (32181, '2020-08-15', 'GE', 'Georgia', 'EURO', '15', '1321', '0', '17');
INSERT INTO public.who_import VALUES (32182, '2020-08-16', 'GE', 'Georgia', 'EURO', '15', '1336', '0', '17');
INSERT INTO public.who_import VALUES (32183, '2020-08-17', 'GE', 'Georgia', 'EURO', '5', '1341', '0', '17');
INSERT INTO public.who_import VALUES (32184, '2020-08-18', 'GE', 'Georgia', 'EURO', '10', '1351', '0', '17');
INSERT INTO public.who_import VALUES (32185, '2020-08-19', 'GE', 'Georgia', 'EURO', '10', '1361', '0', '17');
INSERT INTO public.who_import VALUES (32186, '2020-08-20', 'GE', 'Georgia', 'EURO', '9', '1370', '0', '17');
INSERT INTO public.who_import VALUES (32187, '2020-08-21', 'GE', 'Georgia', 'EURO', '15', '1385', '0', '17');
INSERT INTO public.who_import VALUES (32188, '2020-08-22', 'GE', 'Georgia', 'EURO', '9', '1394', '0', '17');
INSERT INTO public.who_import VALUES (32189, '2020-08-23', 'GE', 'Georgia', 'EURO', '17', '1411', '0', '17');
INSERT INTO public.who_import VALUES (32190, '2020-08-24', 'GE', 'Georgia', 'EURO', '10', '1421', '0', '17');
INSERT INTO public.who_import VALUES (32191, '2020-08-25', 'GE', 'Georgia', 'EURO', '8', '1429', '2', '19');
INSERT INTO public.who_import VALUES (32192, '2020-08-26', 'GE', 'Georgia', 'EURO', '7', '1436', '0', '19');
INSERT INTO public.who_import VALUES (32193, '2020-08-27', 'GE', 'Georgia', 'EURO', '11', '1447', '0', '19');
INSERT INTO public.who_import VALUES (32194, '2020-08-28', 'GE', 'Georgia', 'EURO', '8', '1455', '0', '19');
INSERT INTO public.who_import VALUES (32195, '2020-08-29', 'GE', 'Georgia', 'EURO', '7', '1462', '0', '19');
INSERT INTO public.who_import VALUES (32196, '2020-08-30', 'GE', 'Georgia', 'EURO', '7', '1469', '0', '19');
INSERT INTO public.who_import VALUES (32197, '2020-08-31', 'GE', 'Georgia', 'EURO', '18', '1487', '0', '19');
INSERT INTO public.who_import VALUES (32198, '2020-09-01', 'GE', 'Georgia', 'EURO', '23', '1510', '0', '19');
INSERT INTO public.who_import VALUES (32199, '2020-09-02', 'GE', 'Georgia', 'EURO', '38', '1548', '0', '19');
INSERT INTO public.who_import VALUES (32200, '2020-09-03', 'GE', 'Georgia', 'EURO', '20', '1568', '0', '19');
INSERT INTO public.who_import VALUES (32201, '2020-09-04', 'GE', 'Georgia', 'EURO', '28', '1596', '0', '19');
INSERT INTO public.who_import VALUES (32202, '2020-09-05', 'GE', 'Georgia', 'EURO', '25', '1621', '0', '19');
INSERT INTO public.who_import VALUES (32203, '2020-09-06', 'GE', 'Georgia', 'EURO', '29', '1650', '0', '19');
INSERT INTO public.who_import VALUES (32204, '2020-09-07', 'GE', 'Georgia', 'EURO', '34', '1684', '0', '19');
INSERT INTO public.who_import VALUES (32205, '2020-09-08', 'GE', 'Georgia', 'EURO', '45', '1729', '0', '19');
INSERT INTO public.who_import VALUES (32206, '2020-09-09', 'GE', 'Georgia', 'EURO', '44', '1773', '0', '19');
INSERT INTO public.who_import VALUES (32207, '2020-09-10', 'GE', 'Georgia', 'EURO', '57', '1830', '0', '19');
INSERT INTO public.who_import VALUES (32208, '2020-09-11', 'GE', 'Georgia', 'EURO', '87', '1917', '0', '19');
INSERT INTO public.who_import VALUES (32209, '2020-09-12', 'GE', 'Georgia', 'EURO', '158', '2075', '0', '19');
INSERT INTO public.who_import VALUES (32210, '2020-09-13', 'GE', 'Georgia', 'EURO', '152', '2227', '0', '19');
INSERT INTO public.who_import VALUES (32211, '2020-09-14', 'GE', 'Georgia', 'EURO', '165', '2392', '0', '19');
INSERT INTO public.who_import VALUES (32212, '2020-09-15', 'GE', 'Georgia', 'EURO', '170', '2562', '0', '19');
INSERT INTO public.who_import VALUES (32213, '2020-09-16', 'GE', 'Georgia', 'EURO', '196', '2758', '0', '19');
INSERT INTO public.who_import VALUES (32214, '2020-09-17', 'GE', 'Georgia', 'EURO', '179', '2937', '0', '19');
INSERT INTO public.who_import VALUES (32215, '2020-09-18', 'GE', 'Georgia', 'EURO', '182', '3119', '0', '19');
INSERT INTO public.who_import VALUES (32216, '2020-09-19', 'GE', 'Georgia', 'EURO', '187', '3306', '0', '19');
INSERT INTO public.who_import VALUES (32217, '2020-09-20', 'GE', 'Georgia', 'EURO', '196', '3502', '0', '19');
INSERT INTO public.who_import VALUES (32218, '2020-09-21', 'GE', 'Georgia', 'EURO', '193', '3695', '1', '20');
INSERT INTO public.who_import VALUES (32219, '2020-09-22', 'GE', 'Georgia', 'EURO', '218', '3913', '2', '22');
INSERT INTO public.who_import VALUES (32220, '2020-09-23', 'GE', 'Georgia', 'EURO', '227', '4140', '2', '24');
INSERT INTO public.who_import VALUES (32221, '2020-09-24', 'GE', 'Georgia', 'EURO', '259', '4399', '1', '25');
INSERT INTO public.who_import VALUES (32222, '2020-09-25', 'GE', 'Georgia', 'EURO', '265', '4664', '1', '26');
INSERT INTO public.who_import VALUES (32223, '2020-09-26', 'GE', 'Georgia', 'EURO', '296', '4960', '1', '27');
INSERT INTO public.who_import VALUES (32224, '2020-09-27', 'GE', 'Georgia', 'EURO', '294', '5254', '1', '28');
INSERT INTO public.who_import VALUES (32225, '2020-09-28', 'GE', 'Georgia', 'EURO', '298', '5552', '0', '28');
INSERT INTO public.who_import VALUES (32226, '2020-09-29', 'GE', 'Georgia', 'EURO', '314', '5866', '5', '33');
INSERT INTO public.who_import VALUES (32227, '2020-09-30', 'GE', 'Georgia', 'EURO', '326', '6192', '3', '36');
INSERT INTO public.who_import VALUES (32228, '2020-10-01', 'GE', 'Georgia', 'EURO', '448', '6640', '4', '40');
INSERT INTO public.who_import VALUES (32229, '2020-10-02', 'GE', 'Georgia', 'EURO', '453', '7093', '3', '43');
INSERT INTO public.who_import VALUES (32230, '2020-10-03', 'GE', 'Georgia', 'EURO', '471', '7564', '5', '48');
INSERT INTO public.who_import VALUES (32231, '2020-10-04', 'GE', 'Georgia', 'EURO', '554', '8118', '2', '50');
INSERT INTO public.who_import VALUES (32232, '2020-10-05', 'GE', 'Georgia', 'EURO', '578', '8696', '2', '52');
INSERT INTO public.who_import VALUES (32233, '2020-10-06', 'GE', 'Georgia', 'EURO', '549', '9245', '6', '58');
INSERT INTO public.who_import VALUES (32234, '2020-10-07', 'GE', 'Georgia', 'EURO', '508', '9753', '4', '62');
INSERT INTO public.who_import VALUES (32235, '2020-10-08', 'GE', 'Georgia', 'EURO', '472', '10225', '4', '66');
INSERT INTO public.who_import VALUES (32236, '2020-10-09', 'GE', 'Georgia', 'EURO', '527', '10752', '6', '72');
INSERT INTO public.who_import VALUES (32237, '2020-10-10', 'GE', 'Georgia', 'EURO', '519', '11271', '6', '78');
INSERT INTO public.who_import VALUES (32238, '2020-10-11', 'GE', 'Georgia', 'EURO', '523', '11794', '7', '85');
INSERT INTO public.who_import VALUES (32239, '2020-10-12', 'GE', 'Georgia', 'EURO', '478', '12272', '6', '91');
INSERT INTO public.who_import VALUES (32240, '2020-10-13', 'GE', 'Georgia', 'EURO', '569', '12841', '11', '102');
INSERT INTO public.who_import VALUES (32241, '2020-10-14', 'GE', 'Georgia', 'EURO', '680', '13521', '7', '109');
INSERT INTO public.who_import VALUES (32242, '2020-10-15', 'GE', 'Georgia', 'EURO', '919', '14440', '4', '113');
INSERT INTO public.who_import VALUES (32243, '2020-10-16', 'GE', 'Georgia', 'EURO', '887', '15327', '11', '124');
INSERT INTO public.who_import VALUES (32244, '2020-10-17', 'GE', 'Georgia', 'EURO', '958', '16285', '4', '128');
INSERT INTO public.who_import VALUES (32245, '2020-10-18', 'GE', 'Georgia', 'EURO', '1192', '17477', '8', '136');
INSERT INTO public.who_import VALUES (32246, '2020-10-19', 'GE', 'Georgia', 'EURO', '1186', '18663', '7', '143');
INSERT INTO public.who_import VALUES (32247, '2020-10-20', 'GE', 'Georgia', 'EURO', '1194', '19857', '15', '158');
INSERT INTO public.who_import VALUES (32248, '2020-10-21', 'GE', 'Georgia', 'EURO', '1351', '21208', '14', '172');
INSERT INTO public.who_import VALUES (32249, '2020-10-22', 'GE', 'Georgia', 'EURO', '1595', '22803', '7', '179');
INSERT INTO public.who_import VALUES (32250, '2020-10-23', 'GE', 'Georgia', 'EURO', '1759', '24562', '4', '183');
INSERT INTO public.who_import VALUES (32251, '2020-10-24', 'GE', 'Georgia', 'EURO', '1941', '26503', '10', '193');
INSERT INTO public.who_import VALUES (32252, '2020-10-25', 'GE', 'Georgia', 'EURO', '1928', '28431', '8', '201');
INSERT INTO public.who_import VALUES (32253, '2020-10-26', 'GE', 'Georgia', 'EURO', '1872', '30303', '14', '215');
INSERT INTO public.who_import VALUES (32254, '2020-10-27', 'GE', 'Georgia', 'EURO', '1824', '32127', '23', '238');
INSERT INTO public.who_import VALUES (32255, '2020-10-28', 'GE', 'Georgia', 'EURO', '1731', '33858', '15', '253');
INSERT INTO public.who_import VALUES (32256, '2020-10-29', 'GE', 'Georgia', 'EURO', '1709', '35567', '20', '273');
INSERT INTO public.who_import VALUES (32257, '2020-10-30', 'GE', 'Georgia', 'EURO', '1696', '37263', '12', '285');
INSERT INTO public.who_import VALUES (32258, '2020-10-31', 'GE', 'Georgia', 'EURO', '1673', '38936', '22', '307');
INSERT INTO public.who_import VALUES (32259, '2020-11-01', 'GE', 'Georgia', 'EURO', '1791', '40727', '28', '335');
INSERT INTO public.who_import VALUES (32260, '2020-11-02', 'GE', 'Georgia', 'EURO', '1852', '42579', '7', '342');
INSERT INTO public.who_import VALUES (32261, '2020-11-03', 'GE', 'Georgia', 'EURO', '1943', '44522', '20', '362');
INSERT INTO public.who_import VALUES (32262, '2020-11-04', 'GE', 'Georgia', 'EURO', '2295', '46817', '19', '381');
INSERT INTO public.who_import VALUES (32263, '2020-11-05', 'GE', 'Georgia', 'EURO', '2401', '49218', '20', '401');
INSERT INTO public.who_import VALUES (32264, '2020-11-06', 'GE', 'Georgia', 'EURO', '2775', '51993', '22', '423');
INSERT INTO public.who_import VALUES (32265, '2020-11-07', 'GE', 'Georgia', 'EURO', '2859', '54852', '18', '441');
INSERT INTO public.who_import VALUES (32266, '2020-11-08', 'GE', 'Georgia', 'EURO', '2901', '57753', '34', '475');
INSERT INTO public.who_import VALUES (32267, '2020-11-09', 'GE', 'Georgia', 'EURO', '2927', '60680', '24', '499');
INSERT INTO public.who_import VALUES (32268, '2020-11-10', 'GE', 'Georgia', 'EURO', '2970', '63650', '22', '521');
INSERT INTO public.who_import VALUES (32269, '2020-11-11', 'GE', 'Georgia', 'EURO', '2911', '66561', '45', '566');
INSERT INTO public.who_import VALUES (32270, '2020-11-12', 'GE', 'Georgia', 'EURO', '3120', '69681', '33', '599');
INSERT INTO public.who_import VALUES (32271, '2020-11-13', 'GE', 'Georgia', 'EURO', '3473', '73154', '37', '636');
INSERT INTO public.who_import VALUES (32272, '2020-11-14', 'GE', 'Georgia', 'EURO', '3504', '76658', '33', '669');
INSERT INTO public.who_import VALUES (32273, '2020-11-15', 'GE', 'Georgia', 'EURO', '3020', '79678', '34', '703');
INSERT INTO public.who_import VALUES (32274, '2020-11-16', 'GE', 'Georgia', 'EURO', '3157', '82835', '30', '733');
INSERT INTO public.who_import VALUES (32275, '2020-11-17', 'GE', 'Georgia', 'EURO', '3117', '85952', '45', '778');
INSERT INTO public.who_import VALUES (32276, '2020-11-18', 'GE', 'Georgia', 'EURO', '3443', '89395', '37', '815');
INSERT INTO public.who_import VALUES (32277, '2020-11-19', 'GE', 'Georgia', 'EURO', '3697', '93092', '38', '853');
INSERT INTO public.who_import VALUES (32278, '2020-11-20', 'GE', 'Georgia', 'EURO', '3768', '96860', '41', '894');
INSERT INTO public.who_import VALUES (32279, '2020-11-21', 'GE', 'Georgia', 'EURO', '3824', '100684', '33', '927');
INSERT INTO public.who_import VALUES (32280, '2020-11-22', 'GE', 'Georgia', 'EURO', '4048', '104732', '49', '976');
INSERT INTO public.who_import VALUES (32281, '2020-11-23', 'GE', 'Georgia', 'EURO', '3958', '108690', '36', '1012');
INSERT INTO public.who_import VALUES (32282, '2020-11-24', 'GE', 'Georgia', 'EURO', '3128', '111818', '39', '1051');
INSERT INTO public.who_import VALUES (32283, '2020-11-25', 'GE', 'Georgia', 'EURO', '3071', '114889', '34', '1085');
INSERT INTO public.who_import VALUES (32284, '2020-11-26', 'GE', 'Georgia', 'EURO', '3801', '118690', '39', '1124');
INSERT INTO public.who_import VALUES (32285, '2020-11-27', 'GE', 'Georgia', 'EURO', '4780', '123470', '37', '1161');
INSERT INTO public.who_import VALUES (32286, '2020-11-28', 'GE', 'Georgia', 'EURO', '4472', '127942', '34', '1195');
INSERT INTO public.who_import VALUES (32287, '2020-11-29', 'GE', 'Georgia', 'EURO', '4426', '132368', '35', '1230');
INSERT INTO public.who_import VALUES (32288, '2020-11-30', 'GE', 'Georgia', 'EURO', '3216', '135584', '37', '1267');
INSERT INTO public.who_import VALUES (32289, '2020-12-01', 'GE', 'Georgia', 'EURO', '3759', '139343', '36', '1303');
INSERT INTO public.who_import VALUES (32290, '2020-12-02', 'GE', 'Georgia', 'EURO', '4033', '143376', '39', '1342');
INSERT INTO public.who_import VALUES (32291, '2020-12-03', 'GE', 'Georgia', 'EURO', '4260', '147636', '45', '1387');
INSERT INTO public.who_import VALUES (32292, '2020-12-04', 'GE', 'Georgia', 'EURO', '5068', '152704', '38', '1425');
INSERT INTO public.who_import VALUES (32394, '2020-01-26', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32293, '2020-12-05', 'GE', 'Georgia', 'EURO', '5450', '158154', '37', '1462');
INSERT INTO public.who_import VALUES (32294, '2020-12-06', 'GE', 'Georgia', 'EURO', '4321', '162475', '42', '1504');
INSERT INTO public.who_import VALUES (32295, '2020-12-07', 'GE', 'Georgia', 'EURO', '2501', '164976', '36', '1540');
INSERT INTO public.who_import VALUES (32296, '2020-12-08', 'GE', 'Georgia', 'EURO', '4673', '169649', '36', '1576');
INSERT INTO public.who_import VALUES (32297, '2020-12-09', 'GE', 'Georgia', 'EURO', '4734', '174383', '38', '1614');
INSERT INTO public.who_import VALUES (32298, '2020-12-10', 'GE', 'Georgia', 'EURO', '4570', '178953', '43', '1657');
INSERT INTO public.who_import VALUES (32299, '2020-12-11', 'GE', 'Georgia', 'EURO', '4146', '183099', '37', '1694');
INSERT INTO public.who_import VALUES (32300, '2020-12-12', 'GE', 'Georgia', 'EURO', '3907', '187006', '50', '1744');
INSERT INTO public.who_import VALUES (32301, '2020-12-13', 'GE', 'Georgia', 'EURO', '2720', '189726', '46', '1790');
INSERT INTO public.who_import VALUES (32302, '2020-12-14', 'GE', 'Georgia', 'EURO', '1337', '191063', '49', '1839');
INSERT INTO public.who_import VALUES (32303, '2020-12-15', 'GE', 'Georgia', 'EURO', '3837', '194900', '44', '1883');
INSERT INTO public.who_import VALUES (32304, '2020-12-16', 'GE', 'Georgia', 'EURO', '3487', '198387', '39', '1922');
INSERT INTO public.who_import VALUES (32305, '2020-12-17', 'GE', 'Georgia', 'EURO', '2981', '201368', '31', '1953');
INSERT INTO public.who_import VALUES (32306, '2020-12-18', 'GE', 'Georgia', 'EURO', '2635', '204003', '49', '2002');
INSERT INTO public.who_import VALUES (32307, '2020-12-19', 'GE', 'Georgia', 'EURO', '2904', '206907', '53', '2055');
INSERT INTO public.who_import VALUES (32308, '2020-12-20', 'GE', 'Georgia', 'EURO', '1731', '208638', '39', '2094');
INSERT INTO public.who_import VALUES (32309, '2020-12-21', 'GE', 'Georgia', 'EURO', '824', '209462', '46', '2140');
INSERT INTO public.who_import VALUES (32310, '2020-12-22', 'GE', 'Georgia', 'EURO', '3064', '212526', '42', '2182');
INSERT INTO public.who_import VALUES (32311, '2020-12-23', 'GE', 'Georgia', 'EURO', '2345', '214871', '51', '2233');
INSERT INTO public.who_import VALUES (32312, '2020-12-24', 'GE', 'Georgia', 'EURO', '1972', '216843', '43', '2276');
INSERT INTO public.who_import VALUES (32313, '2020-12-25', 'GE', 'Georgia', 'EURO', '1881', '218724', '37', '2313');
INSERT INTO public.who_import VALUES (32314, '2020-12-26', 'GE', 'Georgia', 'EURO', '1784', '220508', '39', '2352');
INSERT INTO public.who_import VALUES (32315, '2020-12-27', 'GE', 'Georgia', 'EURO', '1097', '221605', '25', '2377');
INSERT INTO public.who_import VALUES (32316, '2020-12-28', 'GE', 'Georgia', 'EURO', '538', '222143', '41', '2418');
INSERT INTO public.who_import VALUES (32317, '2020-12-29', 'GE', 'Georgia', 'EURO', '2012', '224155', '25', '2443');
INSERT INTO public.who_import VALUES (32318, '2020-12-30', 'GE', 'Georgia', 'EURO', '1738', '225893', '38', '2481');
INSERT INTO public.who_import VALUES (32319, '2020-12-31', 'GE', 'Georgia', 'EURO', '1527', '227420', '24', '2505');
INSERT INTO public.who_import VALUES (32320, '2021-01-01', 'GE', 'Georgia', 'EURO', '990', '228410', '23', '2528');
INSERT INTO public.who_import VALUES (32321, '2021-01-02', 'GE', 'Georgia', 'EURO', '342', '228752', '44', '2572');
INSERT INTO public.who_import VALUES (32322, '2021-01-03', 'GE', 'Georgia', 'EURO', '417', '229169', '31', '2603');
INSERT INTO public.who_import VALUES (32323, '2021-01-04', 'GE', 'Georgia', 'EURO', '594', '229763', '25', '2628');
INSERT INTO public.who_import VALUES (32324, '2021-01-05', 'GE', 'Georgia', 'EURO', '2316', '232079', '18', '2646');
INSERT INTO public.who_import VALUES (32325, '2021-01-06', 'GE', 'Georgia', 'EURO', '1800', '233879', '20', '2666');
INSERT INTO public.who_import VALUES (32326, '2021-01-07', 'GE', 'Georgia', 'EURO', '1612', '235491', '28', '2694');
INSERT INTO public.who_import VALUES (32327, '2021-01-08', 'GE', 'Georgia', 'EURO', '537', '236028', '34', '2728');
INSERT INTO public.who_import VALUES (32328, '2021-01-09', 'GE', 'Georgia', 'EURO', '2058', '238086', '22', '2750');
INSERT INTO public.who_import VALUES (32329, '2021-01-10', 'GE', 'Georgia', 'EURO', '1143', '239229', '23', '2773');
INSERT INTO public.who_import VALUES (32330, '2021-01-11', 'GE', 'Georgia', 'EURO', '551', '239780', '23', '2796');
INSERT INTO public.who_import VALUES (32331, '2021-01-12', 'GE', 'Georgia', 'EURO', '1857', '241637', '24', '2820');
INSERT INTO public.who_import VALUES (32332, '2021-01-13', 'GE', 'Georgia', 'EURO', '1618', '243255', '26', '2846');
INSERT INTO public.who_import VALUES (32333, '2021-01-14', 'GE', 'Georgia', 'EURO', '1357', '244612', '21', '2867');
INSERT INTO public.who_import VALUES (32334, '2021-01-15', 'GE', 'Georgia', 'EURO', '1177', '245789', '26', '2893');
INSERT INTO public.who_import VALUES (32335, '2021-01-16', 'GE', 'Georgia', 'EURO', '1236', '247025', '23', '2916');
INSERT INTO public.who_import VALUES (32336, '2021-01-17', 'GE', 'Georgia', 'EURO', '780', '247805', '17', '2933');
INSERT INTO public.who_import VALUES (32337, '2021-01-18', 'GE', 'Georgia', 'EURO', '110', '247915', '25', '2958');
INSERT INTO public.who_import VALUES (32338, '2021-01-19', 'GE', 'Georgia', 'EURO', '1550', '249465', '15', '2973');
INSERT INTO public.who_import VALUES (32339, '2021-01-20', 'GE', 'Georgia', 'EURO', '469', '249934', '14', '2987');
INSERT INTO public.who_import VALUES (32340, '2021-01-21', 'GE', 'Georgia', 'EURO', '1137', '251071', '11', '2998');
INSERT INTO public.who_import VALUES (32341, '2021-01-22', 'GE', 'Georgia', 'EURO', '903', '251974', '24', '3022');
INSERT INTO public.who_import VALUES (32342, '2021-01-23', 'GE', 'Georgia', 'EURO', '998', '252972', '16', '3038');
INSERT INTO public.who_import VALUES (32343, '2021-01-24', 'GE', 'Georgia', 'EURO', '546', '253518', '17', '3055');
INSERT INTO public.who_import VALUES (32344, '2021-01-25', 'GE', 'Georgia', 'EURO', '298', '253816', '16', '3071');
INSERT INTO public.who_import VALUES (32345, '2021-01-26', 'GE', 'Georgia', 'EURO', '1006', '254822', '25', '3096');
INSERT INTO public.who_import VALUES (32346, '2021-01-27', 'GE', 'Georgia', 'EURO', '742', '255564', '12', '3108');
INSERT INTO public.who_import VALUES (32347, '2021-01-28', 'GE', 'Georgia', 'EURO', '723', '256287', '19', '3127');
INSERT INTO public.who_import VALUES (32348, '2021-01-29', 'GE', 'Georgia', 'EURO', '669', '256956', '21', '3148');
INSERT INTO public.who_import VALUES (32349, '2021-01-30', 'GE', 'Georgia', 'EURO', '676', '257632', '11', '3159');
INSERT INTO public.who_import VALUES (32350, '2021-01-31', 'GE', 'Georgia', 'EURO', '479', '258111', '19', '3178');
INSERT INTO public.who_import VALUES (32351, '2021-02-01', 'GE', 'Georgia', 'EURO', '240', '258351', '16', '3194');
INSERT INTO public.who_import VALUES (32352, '2021-02-02', 'GE', 'Georgia', 'EURO', '858', '259209', '14', '3208');
INSERT INTO public.who_import VALUES (32353, '2021-02-03', 'GE', 'Georgia', 'EURO', '688', '259897', '13', '3221');
INSERT INTO public.who_import VALUES (32354, '2021-02-04', 'GE', 'Georgia', 'EURO', '583', '260480', '19', '3240');
INSERT INTO public.who_import VALUES (32355, '2021-02-05', 'GE', 'Georgia', 'EURO', '538', '261018', '18', '3258');
INSERT INTO public.who_import VALUES (32356, '2021-02-06', 'GE', 'Georgia', 'EURO', '602', '261620', '11', '3269');
INSERT INTO public.who_import VALUES (32357, '2021-02-07', 'GE', 'Georgia', 'EURO', '404', '262024', '14', '3283');
INSERT INTO public.who_import VALUES (32358, '2021-02-08', 'GE', 'Georgia', 'EURO', '204', '262228', '15', '3298');
INSERT INTO public.who_import VALUES (32359, '2021-02-09', 'GE', 'Georgia', 'EURO', '829', '263057', '8', '3306');
INSERT INTO public.who_import VALUES (32360, '2021-02-10', 'GE', 'Georgia', 'EURO', '544', '263601', '5', '3311');
INSERT INTO public.who_import VALUES (32361, '2021-02-11', 'GE', 'Georgia', 'EURO', '557', '264158', '10', '3321');
INSERT INTO public.who_import VALUES (32362, '2021-02-12', 'GE', 'Georgia', 'EURO', '507', '264665', '15', '3336');
INSERT INTO public.who_import VALUES (32363, '2021-02-13', 'GE', 'Georgia', 'EURO', '535', '265200', '7', '3343');
INSERT INTO public.who_import VALUES (32364, '2021-02-14', 'GE', 'Georgia', 'EURO', '357', '265557', '9', '3352');
INSERT INTO public.who_import VALUES (32365, '2021-02-15', 'GE', 'Georgia', 'EURO', '165', '265722', '11', '3363');
INSERT INTO public.who_import VALUES (32366, '2021-02-16', 'GE', 'Georgia', 'EURO', '740', '266462', '14', '3377');
INSERT INTO public.who_import VALUES (32367, '2021-02-17', 'GE', 'Georgia', 'EURO', '486', '266948', '13', '3390');
INSERT INTO public.who_import VALUES (32368, '2021-02-18', 'GE', 'Georgia', 'EURO', '365', '267313', '9', '3399');
INSERT INTO public.who_import VALUES (32369, '2021-02-19', 'GE', 'Georgia', 'EURO', '388', '267701', '7', '3406');
INSERT INTO public.who_import VALUES (32370, '2021-02-20', 'GE', 'Georgia', 'EURO', '396', '268097', '19', '3425');
INSERT INTO public.who_import VALUES (32371, '2020-01-03', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32372, '2020-01-04', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32373, '2020-01-05', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32374, '2020-01-06', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32375, '2020-01-07', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32376, '2020-01-08', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32377, '2020-01-09', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32378, '2020-01-10', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32379, '2020-01-11', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32380, '2020-01-12', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32381, '2020-01-13', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32382, '2020-01-14', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32383, '2020-01-15', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32384, '2020-01-16', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32385, '2020-01-17', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32386, '2020-01-18', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32387, '2020-01-19', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32388, '2020-01-20', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32389, '2020-01-21', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32390, '2020-01-22', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32391, '2020-01-23', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32392, '2020-01-24', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32393, '2020-01-25', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32395, '2020-01-27', 'DE', 'Germany', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32396, '2020-01-28', 'DE', 'Germany', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (32397, '2020-01-29', 'DE', 'Germany', 'EURO', '3', '4', '0', '0');
INSERT INTO public.who_import VALUES (32398, '2020-01-30', 'DE', 'Germany', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (32399, '2020-01-31', 'DE', 'Germany', 'EURO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (32400, '2020-02-01', 'DE', 'Germany', 'EURO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (32401, '2020-02-02', 'DE', 'Germany', 'EURO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (32402, '2020-02-03', 'DE', 'Germany', 'EURO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (32403, '2020-02-04', 'DE', 'Germany', 'EURO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (32404, '2020-02-05', 'DE', 'Germany', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (32405, '2020-02-06', 'DE', 'Germany', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (32406, '2020-02-07', 'DE', 'Germany', 'EURO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (32407, '2020-02-08', 'DE', 'Germany', 'EURO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (32408, '2020-02-09', 'DE', 'Germany', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (32409, '2020-02-10', 'DE', 'Germany', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (32410, '2020-02-11', 'DE', 'Germany', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (32411, '2020-02-12', 'DE', 'Germany', 'EURO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (32412, '2020-02-13', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32413, '2020-02-14', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32414, '2020-02-15', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32415, '2020-02-16', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32416, '2020-02-17', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32417, '2020-02-18', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32418, '2020-02-19', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32419, '2020-02-20', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32420, '2020-02-21', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32421, '2020-02-22', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32422, '2020-02-23', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32423, '2020-02-24', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32424, '2020-02-25', 'DE', 'Germany', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (32425, '2020-02-26', 'DE', 'Germany', 'EURO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (32426, '2020-02-27', 'DE', 'Germany', 'EURO', '4', '21', '0', '0');
INSERT INTO public.who_import VALUES (32427, '2020-02-28', 'DE', 'Germany', 'EURO', '26', '47', '0', '0');
INSERT INTO public.who_import VALUES (32428, '2020-02-29', 'DE', 'Germany', 'EURO', '10', '57', '0', '0');
INSERT INTO public.who_import VALUES (32429, '2020-03-01', 'DE', 'Germany', 'EURO', '54', '111', '0', '0');
INSERT INTO public.who_import VALUES (32430, '2020-03-02', 'DE', 'Germany', 'EURO', '18', '129', '0', '0');
INSERT INTO public.who_import VALUES (32431, '2020-03-03', 'DE', 'Germany', 'EURO', '28', '157', '0', '0');
INSERT INTO public.who_import VALUES (32432, '2020-03-04', 'DE', 'Germany', 'EURO', '39', '196', '0', '0');
INSERT INTO public.who_import VALUES (32433, '2020-03-05', 'DE', 'Germany', 'EURO', '66', '262', '0', '0');
INSERT INTO public.who_import VALUES (32434, '2020-03-06', 'DE', 'Germany', 'EURO', '138', '400', '0', '0');
INSERT INTO public.who_import VALUES (32435, '2020-03-07', 'DE', 'Germany', 'EURO', '284', '684', '0', '0');
INSERT INTO public.who_import VALUES (32436, '2020-03-08', 'DE', 'Germany', 'EURO', '163', '847', '0', '0');
INSERT INTO public.who_import VALUES (32437, '2020-03-09', 'DE', 'Germany', 'EURO', '55', '902', '0', '0');
INSERT INTO public.who_import VALUES (32438, '2020-03-10', 'DE', 'Germany', 'EURO', '237', '1139', '2', '2');
INSERT INTO public.who_import VALUES (32439, '2020-03-11', 'DE', 'Germany', 'EURO', '157', '1296', '0', '2');
INSERT INTO public.who_import VALUES (32440, '2020-03-12', 'DE', 'Germany', 'EURO', '271', '1567', '1', '3');
INSERT INTO public.who_import VALUES (32441, '2020-03-13', 'DE', 'Germany', 'EURO', '802', '2369', '2', '5');
INSERT INTO public.who_import VALUES (32442, '2020-03-14', 'DE', 'Germany', 'EURO', '693', '3062', '0', '5');
INSERT INTO public.who_import VALUES (32443, '2020-03-15', 'DE', 'Germany', 'EURO', '733', '3795', '3', '8');
INSERT INTO public.who_import VALUES (32444, '2020-03-16', 'DE', 'Germany', 'EURO', '1043', '4838', '4', '12');
INSERT INTO public.who_import VALUES (32445, '2020-03-17', 'DE', 'Germany', 'EURO', '1174', '6012', '1', '13');
INSERT INTO public.who_import VALUES (32446, '2020-03-18', 'DE', 'Germany', 'EURO', '1144', '7156', '0', '13');
INSERT INTO public.who_import VALUES (32447, '2020-03-19', 'DE', 'Germany', 'EURO', '1042', '8198', '0', '13');
INSERT INTO public.who_import VALUES (32448, '2020-03-20', 'DE', 'Germany', 'EURO', '5940', '14138', '30', '43');
INSERT INTO public.who_import VALUES (32449, '2020-03-21', 'DE', 'Germany', 'EURO', '4049', '18187', '2', '45');
INSERT INTO public.who_import VALUES (32450, '2020-03-22', 'DE', 'Germany', 'EURO', '3276', '21463', '22', '67');
INSERT INTO public.who_import VALUES (32451, '2020-03-23', 'DE', 'Germany', 'EURO', '3311', '24774', '27', '94');
INSERT INTO public.who_import VALUES (32452, '2020-03-24', 'DE', 'Germany', 'EURO', '4438', '29212', '32', '126');
INSERT INTO public.who_import VALUES (32453, '2020-03-25', 'DE', 'Germany', 'EURO', '2342', '31554', '23', '149');
INSERT INTO public.who_import VALUES (32454, '2020-03-26', 'DE', 'Germany', 'EURO', '4954', '36508', '49', '198');
INSERT INTO public.who_import VALUES (32455, '2020-03-27', 'DE', 'Germany', 'EURO', '5780', '42288', '55', '253');
INSERT INTO public.who_import VALUES (32456, '2020-03-28', 'DE', 'Germany', 'EURO', '6294', '48582', '72', '325');
INSERT INTO public.who_import VALUES (32457, '2020-03-29', 'DE', 'Germany', 'EURO', '3965', '52547', '64', '389');
INSERT INTO public.who_import VALUES (32458, '2020-03-30', 'DE', 'Germany', 'EURO', '4751', '57298', '66', '455');
INSERT INTO public.who_import VALUES (32459, '2020-03-31', 'DE', 'Germany', 'EURO', '4615', '61913', '128', '583');
INSERT INTO public.who_import VALUES (32460, '2020-04-01', 'DE', 'Germany', 'EURO', '5453', '67366', '149', '732');
INSERT INTO public.who_import VALUES (32461, '2020-04-02', 'DE', 'Germany', 'EURO', '6156', '73522', '140', '872');
INSERT INTO public.who_import VALUES (32462, '2020-04-03', 'DE', 'Germany', 'EURO', '6174', '79696', '145', '1017');
INSERT INTO public.who_import VALUES (32463, '2020-04-04', 'DE', 'Germany', 'EURO', '6082', '85778', '141', '1158');
INSERT INTO public.who_import VALUES (32464, '2020-04-05', 'DE', 'Germany', 'EURO', '5936', '91714', '184', '1342');
INSERT INTO public.who_import VALUES (32465, '2020-04-06', 'DE', 'Germany', 'EURO', '3677', '95391', '92', '1434');
INSERT INTO public.who_import VALUES (32466, '2020-04-07', 'DE', 'Germany', 'EURO', '3834', '99225', '173', '1607');
INSERT INTO public.who_import VALUES (32467, '2020-04-08', 'DE', 'Germany', 'EURO', '4003', '103228', '254', '1861');
INSERT INTO public.who_import VALUES (32468, '2020-04-09', 'DE', 'Germany', 'EURO', '4974', '108202', '246', '2107');
INSERT INTO public.who_import VALUES (32469, '2020-04-10', 'DE', 'Germany', 'EURO', '5323', '113525', '266', '2373');
INSERT INTO public.who_import VALUES (32470, '2020-04-11', 'DE', 'Germany', 'EURO', '4133', '117658', '171', '2544');
INSERT INTO public.who_import VALUES (32471, '2020-04-12', 'DE', 'Germany', 'EURO', '2821', '120479', '129', '2673');
INSERT INTO public.who_import VALUES (32472, '2020-04-13', 'DE', 'Germany', 'EURO', '2537', '123016', '126', '2799');
INSERT INTO public.who_import VALUES (32473, '2020-04-14', 'DE', 'Germany', 'EURO', '2082', '125098', '170', '2969');
INSERT INTO public.who_import VALUES (32474, '2020-04-15', 'DE', 'Germany', 'EURO', '2486', '127584', '285', '3254');
INSERT INTO public.who_import VALUES (32475, '2020-04-16', 'DE', 'Germany', 'EURO', '2866', '130450', '315', '3569');
INSERT INTO public.who_import VALUES (32476, '2020-04-17', 'DE', 'Germany', 'EURO', '3380', '133830', '299', '3868');
INSERT INTO public.who_import VALUES (32477, '2020-04-18', 'DE', 'Germany', 'EURO', '3609', '137439', '242', '4110');
INSERT INTO public.who_import VALUES (32478, '2020-04-19', 'DE', 'Germany', 'EURO', '2458', '139897', '184', '4294');
INSERT INTO public.who_import VALUES (32479, '2020-04-20', 'DE', 'Germany', 'EURO', '1775', '141672', '110', '4404');
INSERT INTO public.who_import VALUES (32480, '2020-04-21', 'DE', 'Germany', 'EURO', '1785', '143457', '194', '4598');
INSERT INTO public.who_import VALUES (32481, '2020-04-22', 'DE', 'Germany', 'EURO', '2237', '145694', '281', '4879');
INSERT INTO public.who_import VALUES (32482, '2020-04-23', 'DE', 'Germany', 'EURO', '2352', '148046', '215', '5094');
INSERT INTO public.who_import VALUES (32483, '2020-04-24', 'DE', 'Germany', 'EURO', '2337', '150383', '227', '5321');
INSERT INTO public.who_import VALUES (32484, '2020-04-25', 'DE', 'Germany', 'EURO', '2055', '152438', '179', '5500');
INSERT INTO public.who_import VALUES (32485, '2020-04-26', 'DE', 'Germany', 'EURO', '1737', '154175', '140', '5640');
INSERT INTO public.who_import VALUES (32486, '2020-04-27', 'DE', 'Germany', 'EURO', '1018', '155193', '110', '5750');
INSERT INTO public.who_import VALUES (32487, '2020-04-28', 'DE', 'Germany', 'EURO', '1144', '156337', '163', '5913');
INSERT INTO public.who_import VALUES (32488, '2020-04-29', 'DE', 'Germany', 'EURO', '1304', '157641', '202', '6115');
INSERT INTO public.who_import VALUES (32489, '2020-04-30', 'DE', 'Germany', 'EURO', '1478', '159119', '173', '6288');
INSERT INTO public.who_import VALUES (32490, '2020-05-01', 'DE', 'Germany', 'EURO', '1639', '160758', '193', '6481');
INSERT INTO public.who_import VALUES (32491, '2020-05-02', 'DE', 'Germany', 'EURO', '945', '161703', '94', '6575');
INSERT INTO public.who_import VALUES (32492, '2020-05-03', 'DE', 'Germany', 'EURO', '793', '162496', '74', '6649');
INSERT INTO public.who_import VALUES (32493, '2020-05-04', 'DE', 'Germany', 'EURO', '679', '163175', '43', '6692');
INSERT INTO public.who_import VALUES (32494, '2020-05-05', 'DE', 'Germany', 'EURO', '685', '163860', '139', '6831');
INSERT INTO public.who_import VALUES (32495, '2020-05-06', 'DE', 'Germany', 'EURO', '947', '164807', '165', '6996');
INSERT INTO public.who_import VALUES (32496, '2020-05-07', 'DE', 'Germany', 'EURO', '1284', '166091', '123', '7119');
INSERT INTO public.who_import VALUES (32497, '2020-05-08', 'DE', 'Germany', 'EURO', '1209', '167300', '147', '7266');
INSERT INTO public.who_import VALUES (32498, '2020-05-09', 'DE', 'Germany', 'EURO', '1251', '168551', '103', '7369');
INSERT INTO public.who_import VALUES (32499, '2020-05-10', 'DE', 'Germany', 'EURO', '667', '169218', '26', '7395');
INSERT INTO public.who_import VALUES (32500, '2020-05-11', 'DE', 'Germany', 'EURO', '357', '169575', '22', '7417');
INSERT INTO public.who_import VALUES (32501, '2020-05-12', 'DE', 'Germany', 'EURO', '933', '170508', '116', '7533');
INSERT INTO public.who_import VALUES (32502, '2020-05-13', 'DE', 'Germany', 'EURO', '798', '171306', '101', '7634');
INSERT INTO public.who_import VALUES (32503, '2020-05-14', 'DE', 'Germany', 'EURO', '933', '172239', '89', '7723');
INSERT INTO public.who_import VALUES (32504, '2020-05-15', 'DE', 'Germany', 'EURO', '913', '173152', '101', '7824');
INSERT INTO public.who_import VALUES (32505, '2020-05-16', 'DE', 'Germany', 'EURO', '620', '173772', '57', '7881');
INSERT INTO public.who_import VALUES (32506, '2020-05-17', 'DE', 'Germany', 'EURO', '583', '174355', '33', '7914');
INSERT INTO public.who_import VALUES (32507, '2020-05-18', 'DE', 'Germany', 'EURO', '342', '174697', '21', '7935');
INSERT INTO public.who_import VALUES (32508, '2020-05-19', 'DE', 'Germany', 'EURO', '513', '175210', '72', '8007');
INSERT INTO public.who_import VALUES (32509, '2020-05-20', 'DE', 'Germany', 'EURO', '797', '176007', '83', '8090');
INSERT INTO public.who_import VALUES (32510, '2020-05-21', 'DE', 'Germany', 'EURO', '745', '176752', '57', '8147');
INSERT INTO public.who_import VALUES (32511, '2020-05-22', 'DE', 'Germany', 'EURO', '460', '177212', '27', '8174');
INSERT INTO public.who_import VALUES (32512, '2020-05-23', 'DE', 'Germany', 'EURO', '638', '177850', '42', '8216');
INSERT INTO public.who_import VALUES (32513, '2020-05-24', 'DE', 'Germany', 'EURO', '431', '178281', '31', '8247');
INSERT INTO public.who_import VALUES (32514, '2020-05-25', 'DE', 'Germany', 'EURO', '289', '178570', '10', '8257');
INSERT INTO public.who_import VALUES (32515, '2020-05-26', 'DE', 'Germany', 'EURO', '432', '179002', '45', '8302');
INSERT INTO public.who_import VALUES (32516, '2020-05-27', 'DE', 'Germany', 'EURO', '362', '179364', '47', '8349');
INSERT INTO public.who_import VALUES (32517, '2020-05-28', 'DE', 'Germany', 'EURO', '353', '179717', '62', '8411');
INSERT INTO public.who_import VALUES (32518, '2020-05-29', 'DE', 'Germany', 'EURO', '741', '180458', '39', '8450');
INSERT INTO public.who_import VALUES (32519, '2020-05-30', 'DE', 'Germany', 'EURO', '738', '181196', '39', '8489');
INSERT INTO public.who_import VALUES (32520, '2020-05-31', 'DE', 'Germany', 'EURO', '286', '181482', '11', '8500');
INSERT INTO public.who_import VALUES (32521, '2020-06-01', 'DE', 'Germany', 'EURO', '333', '181815', '11', '8511');
INSERT INTO public.who_import VALUES (32522, '2020-06-02', 'DE', 'Germany', 'EURO', '213', '182028', '11', '8522');
INSERT INTO public.who_import VALUES (32523, '2020-06-03', 'DE', 'Germany', 'EURO', '342', '182370', '29', '8551');
INSERT INTO public.who_import VALUES (32524, '2020-06-04', 'DE', 'Germany', 'EURO', '394', '182764', '30', '8581');
INSERT INTO public.who_import VALUES (32525, '2020-06-05', 'DE', 'Germany', 'EURO', '507', '183271', '32', '8613');
INSERT INTO public.who_import VALUES (32526, '2020-06-06', 'DE', 'Germany', 'EURO', '407', '183678', '33', '8646');
INSERT INTO public.who_import VALUES (32527, '2020-06-07', 'DE', 'Germany', 'EURO', '301', '183979', '22', '8668');
INSERT INTO public.who_import VALUES (32528, '2020-06-08', 'DE', 'Germany', 'EURO', '214', '184193', '6', '8674');
INSERT INTO public.who_import VALUES (32529, '2020-06-09', 'DE', 'Germany', 'EURO', '350', '184543', '37', '8711');
INSERT INTO public.who_import VALUES (32530, '2020-06-10', 'DE', 'Germany', 'EURO', '318', '184861', '18', '8729');
INSERT INTO public.who_import VALUES (32531, '2020-06-11', 'DE', 'Germany', 'EURO', '555', '185416', '26', '8755');
INSERT INTO public.who_import VALUES (32532, '2020-06-12', 'DE', 'Germany', 'EURO', '258', '185674', '8', '8763');
INSERT INTO public.who_import VALUES (32533, '2020-06-13', 'DE', 'Germany', 'EURO', '348', '186022', '18', '8781');
INSERT INTO public.who_import VALUES (32534, '2020-06-14', 'DE', 'Germany', 'EURO', '247', '186269', '6', '8787');
INSERT INTO public.who_import VALUES (32535, '2020-06-15', 'DE', 'Germany', 'EURO', '192', '186461', '4', '8791');
INSERT INTO public.who_import VALUES (32536, '2020-06-16', 'DE', 'Germany', 'EURO', '378', '186839', '9', '8800');
INSERT INTO public.who_import VALUES (32537, '2020-06-17', 'DE', 'Germany', 'EURO', '345', '187184', '30', '8830');
INSERT INTO public.who_import VALUES (32538, '2020-06-18', 'DE', 'Germany', 'EURO', '580', '187764', '26', '8856');
INSERT INTO public.who_import VALUES (32539, '2020-06-19', 'DE', 'Germany', 'EURO', '770', '188534', '16', '8872');
INSERT INTO public.who_import VALUES (32540, '2020-06-20', 'DE', 'Germany', 'EURO', '601', '189135', '10', '8882');
INSERT INTO public.who_import VALUES (32541, '2020-06-21', 'DE', 'Germany', 'EURO', '687', '189822', '0', '8882');
INSERT INTO public.who_import VALUES (32542, '2020-06-22', 'DE', 'Germany', 'EURO', '537', '190359', '3', '8885');
INSERT INTO public.who_import VALUES (32543, '2020-06-23', 'DE', 'Germany', 'EURO', '503', '190862', '10', '8895');
INSERT INTO public.who_import VALUES (32544, '2020-06-24', 'DE', 'Germany', 'EURO', '587', '191449', '19', '8914');
INSERT INTO public.who_import VALUES (32545, '2020-06-25', 'DE', 'Germany', 'EURO', '630', '192079', '13', '8927');
INSERT INTO public.who_import VALUES (32546, '2020-06-26', 'DE', 'Germany', 'EURO', '477', '192556', '21', '8948');
INSERT INTO public.who_import VALUES (32547, '2020-06-27', 'DE', 'Germany', 'EURO', '687', '193243', '6', '8954');
INSERT INTO public.who_import VALUES (32548, '2020-06-28', 'DE', 'Germany', 'EURO', '256', '193499', '3', '8957');
INSERT INTO public.who_import VALUES (32549, '2020-06-29', 'DE', 'Germany', 'EURO', '262', '193761', '4', '8961');
INSERT INTO public.who_import VALUES (32550, '2020-06-30', 'DE', 'Germany', 'EURO', '498', '194259', '12', '8973');
INSERT INTO public.who_import VALUES (32551, '2020-07-01', 'DE', 'Germany', 'EURO', '466', '194725', '12', '8985');
INSERT INTO public.who_import VALUES (32552, '2020-07-02', 'DE', 'Germany', 'EURO', '503', '195228', '9', '8994');
INSERT INTO public.who_import VALUES (32553, '2020-07-03', 'DE', 'Germany', 'EURO', '446', '195674', '9', '9003');
INSERT INTO public.who_import VALUES (32554, '2020-07-04', 'DE', 'Germany', 'EURO', '422', '196096', '7', '9010');
INSERT INTO public.who_import VALUES (32555, '2020-07-05', 'DE', 'Germany', 'EURO', '239', '196335', '2', '9012');
INSERT INTO public.who_import VALUES (32556, '2020-07-06', 'DE', 'Germany', 'EURO', '219', '196554', '4', '9016');
INSERT INTO public.who_import VALUES (32557, '2020-07-07', 'DE', 'Germany', 'EURO', '390', '196944', '8', '9024');
INSERT INTO public.who_import VALUES (32558, '2020-07-08', 'DE', 'Germany', 'EURO', '397', '197341', '12', '9036');
INSERT INTO public.who_import VALUES (32559, '2020-07-09', 'DE', 'Germany', 'EURO', '442', '197783', '12', '9048');
INSERT INTO public.who_import VALUES (32560, '2020-07-10', 'DE', 'Germany', 'EURO', '395', '198178', '6', '9054');
INSERT INTO public.who_import VALUES (32561, '2020-07-11', 'DE', 'Germany', 'EURO', '378', '198556', '6', '9060');
INSERT INTO public.who_import VALUES (32562, '2020-07-12', 'DE', 'Germany', 'EURO', '248', '198804', '3', '9063');
INSERT INTO public.who_import VALUES (32563, '2020-07-13', 'DE', 'Germany', 'EURO', '159', '198963', '1', '9064');
INSERT INTO public.who_import VALUES (32564, '2020-07-14', 'DE', 'Germany', 'EURO', '412', '199375', '4', '9068');
INSERT INTO public.who_import VALUES (32565, '2020-07-15', 'DE', 'Germany', 'EURO', '351', '199726', '3', '9071');
INSERT INTO public.who_import VALUES (32566, '2020-07-16', 'DE', 'Germany', 'EURO', '534', '200260', '7', '9078');
INSERT INTO public.who_import VALUES (32567, '2020-07-17', 'DE', 'Germany', 'EURO', '583', '200843', '4', '9082');
INSERT INTO public.who_import VALUES (32568, '2020-07-18', 'DE', 'Germany', 'EURO', '529', '201372', '1', '9083');
INSERT INTO public.who_import VALUES (32569, '2020-07-19', 'DE', 'Germany', 'EURO', '202', '201574', '1', '9084');
INSERT INTO public.who_import VALUES (32570, '2020-07-20', 'DE', 'Germany', 'EURO', '249', '201823', '2', '9086');
INSERT INTO public.who_import VALUES (32571, '2020-07-21', 'DE', 'Germany', 'EURO', '522', '202345', '4', '9090');
INSERT INTO public.who_import VALUES (32572, '2020-07-22', 'DE', 'Germany', 'EURO', '454', '202799', '5', '9095');
INSERT INTO public.who_import VALUES (32573, '2020-07-23', 'DE', 'Germany', 'EURO', '569', '203368', '6', '9101');
INSERT INTO public.who_import VALUES (32574, '2020-07-24', 'DE', 'Germany', 'EURO', '815', '204183', '10', '9111');
INSERT INTO public.who_import VALUES (32575, '2020-07-25', 'DE', 'Germany', 'EURO', '781', '204964', '7', '9118');
INSERT INTO public.who_import VALUES (32576, '2020-07-26', 'DE', 'Germany', 'EURO', '305', '205269', '0', '9118');
INSERT INTO public.who_import VALUES (32577, '2020-07-27', 'DE', 'Germany', 'EURO', '340', '205609', '0', '9118');
INSERT INTO public.who_import VALUES (32578, '2020-07-28', 'DE', 'Germany', 'EURO', '633', '206242', '4', '9122');
INSERT INTO public.who_import VALUES (32579, '2020-07-29', 'DE', 'Germany', 'EURO', '684', '206926', '6', '9128');
INSERT INTO public.who_import VALUES (32580, '2020-07-30', 'DE', 'Germany', 'EURO', '902', '207828', '6', '9134');
INSERT INTO public.who_import VALUES (32581, '2020-07-31', 'DE', 'Germany', 'EURO', '870', '208698', '7', '9141');
INSERT INTO public.who_import VALUES (32582, '2020-08-01', 'DE', 'Germany', 'EURO', '955', '209653', '0', '9141');
INSERT INTO public.who_import VALUES (32583, '2020-08-02', 'DE', 'Germany', 'EURO', '240', '209893', '0', '9141');
INSERT INTO public.who_import VALUES (32584, '2020-08-03', 'DE', 'Germany', 'EURO', '509', '210402', '7', '9148');
INSERT INTO public.who_import VALUES (32585, '2020-08-04', 'DE', 'Germany', 'EURO', '879', '211281', '8', '9156');
INSERT INTO public.who_import VALUES (32586, '2020-08-05', 'DE', 'Germany', 'EURO', '741', '212022', '12', '9168');
INSERT INTO public.who_import VALUES (32587, '2020-08-06', 'DE', 'Germany', 'EURO', '1045', '213067', '7', '9175');
INSERT INTO public.who_import VALUES (32588, '2020-08-07', 'DE', 'Germany', 'EURO', '1147', '214214', '8', '9183');
INSERT INTO public.who_import VALUES (32589, '2020-08-08', 'DE', 'Germany', 'EURO', '1122', '215336', '12', '9195');
INSERT INTO public.who_import VALUES (32590, '2020-08-09', 'DE', 'Germany', 'EURO', '555', '215891', '1', '9196');
INSERT INTO public.who_import VALUES (32591, '2020-08-10', 'DE', 'Germany', 'EURO', '436', '216327', '1', '9197');
INSERT INTO public.who_import VALUES (32592, '2020-08-11', 'DE', 'Germany', 'EURO', '966', '217293', '4', '9201');
INSERT INTO public.who_import VALUES (32593, '2020-08-12', 'DE', 'Germany', 'EURO', '1226', '218519', '6', '9207');
INSERT INTO public.who_import VALUES (32594, '2020-08-13', 'DE', 'Germany', 'EURO', '1445', '219964', '4', '9211');
INSERT INTO public.who_import VALUES (32595, '2020-08-14', 'DE', 'Germany', 'EURO', '1449', '221413', '14', '9225');
INSERT INTO public.who_import VALUES (32596, '2020-08-15', 'DE', 'Germany', 'EURO', '1415', '222828', '6', '9231');
INSERT INTO public.who_import VALUES (32597, '2020-08-16', 'DE', 'Germany', 'EURO', '625', '223453', '0', '9231');
INSERT INTO public.who_import VALUES (32598, '2020-08-17', 'DE', 'Germany', 'EURO', '561', '224014', '1', '9232');
INSERT INTO public.who_import VALUES (32599, '2020-08-18', 'DE', 'Germany', 'EURO', '1390', '225404', '4', '9236');
INSERT INTO public.who_import VALUES (32600, '2020-08-19', 'DE', 'Germany', 'EURO', '1510', '226914', '7', '9243');
INSERT INTO public.who_import VALUES (32601, '2020-08-20', 'DE', 'Germany', 'EURO', '1707', '228621', '10', '9253');
INSERT INTO public.who_import VALUES (32602, '2020-08-21', 'DE', 'Germany', 'EURO', '1427', '230048', '7', '9260');
INSERT INTO public.who_import VALUES (32603, '2020-08-22', 'DE', 'Germany', 'EURO', '2034', '232082', '7', '9267');
INSERT INTO public.who_import VALUES (32604, '2020-08-23', 'DE', 'Germany', 'EURO', '782', '232864', '2', '9269');
INSERT INTO public.who_import VALUES (32605, '2020-08-24', 'DE', 'Germany', 'EURO', '711', '233575', '3', '9272');
INSERT INTO public.who_import VALUES (32606, '2020-08-25', 'DE', 'Germany', 'EURO', '1278', '234853', '5', '9277');
INSERT INTO public.who_import VALUES (32607, '2020-08-26', 'DE', 'Germany', 'EURO', '1576', '236429', '3', '9280');
INSERT INTO public.who_import VALUES (32608, '2020-08-27', 'DE', 'Germany', 'EURO', '1507', '237936', '5', '9285');
INSERT INTO public.who_import VALUES (32609, '2020-08-28', 'DE', 'Germany', 'EURO', '1571', '239507', '3', '9288');
INSERT INTO public.who_import VALUES (32610, '2020-08-29', 'DE', 'Germany', 'EURO', '1479', '240986', '1', '9289');
INSERT INTO public.who_import VALUES (32611, '2020-08-30', 'DE', 'Germany', 'EURO', '785', '241771', '6', '9295');
INSERT INTO public.who_import VALUES (32612, '2020-08-31', 'DE', 'Germany', 'EURO', '610', '242381', '3', '9298');
INSERT INTO public.who_import VALUES (32613, '2020-09-01', 'DE', 'Germany', 'EURO', '1218', '243599', '4', '9302');
INSERT INTO public.who_import VALUES (32614, '2020-09-02', 'DE', 'Germany', 'EURO', '1256', '244855', '11', '9313');
INSERT INTO public.who_import VALUES (32615, '2020-09-03', 'DE', 'Germany', 'EURO', '1311', '246166', '8', '9321');
INSERT INTO public.who_import VALUES (32616, '2020-09-04', 'DE', 'Germany', 'EURO', '1453', '247619', '1', '9322');
INSERT INTO public.who_import VALUES (32617, '2020-09-05', 'DE', 'Germany', 'EURO', '1378', '248997', '2', '9324');
INSERT INTO public.who_import VALUES (32618, '2020-09-06', 'DE', 'Germany', 'EURO', '988', '249985', '1', '9325');
INSERT INTO public.who_import VALUES (32619, '2020-09-07', 'DE', 'Germany', 'EURO', '814', '250799', '0', '9325');
INSERT INTO public.who_import VALUES (32620, '2020-09-08', 'DE', 'Germany', 'EURO', '1499', '252298', '4', '9329');
INSERT INTO public.who_import VALUES (32621, '2020-09-09', 'DE', 'Germany', 'EURO', '1176', '253474', '9', '9338');
INSERT INTO public.who_import VALUES (32622, '2020-09-10', 'DE', 'Germany', 'EURO', '1892', '255366', '3', '9341');
INSERT INTO public.who_import VALUES (32623, '2020-09-11', 'DE', 'Germany', 'EURO', '1484', '256850', '1', '9342');
INSERT INTO public.who_import VALUES (32624, '2020-09-12', 'DE', 'Germany', 'EURO', '1630', '258480', '5', '9347');
INSERT INTO public.who_import VALUES (32625, '2020-09-13', 'DE', 'Germany', 'EURO', '948', '259428', '2', '9349');
INSERT INTO public.who_import VALUES (32626, '2020-09-14', 'DE', 'Germany', 'EURO', '927', '260355', '1', '9350');
INSERT INTO public.who_import VALUES (32627, '2020-09-15', 'DE', 'Germany', 'EURO', '1407', '261762', '12', '9362');
INSERT INTO public.who_import VALUES (32628, '2020-09-16', 'DE', 'Germany', 'EURO', '1901', '263663', '6', '9368');
INSERT INTO public.who_import VALUES (32629, '2020-09-17', 'DE', 'Germany', 'EURO', '2194', '265857', '3', '9371');
INSERT INTO public.who_import VALUES (32630, '2020-09-18', 'DE', 'Germany', 'EURO', '1916', '267773', '7', '9378');
INSERT INTO public.who_import VALUES (32631, '2020-09-19', 'DE', 'Germany', 'EURO', '2297', '270070', '6', '9384');
INSERT INTO public.who_import VALUES (32632, '2020-09-20', 'DE', 'Germany', 'EURO', '1345', '271415', '2', '9386');
INSERT INTO public.who_import VALUES (32633, '2020-09-21', 'DE', 'Germany', 'EURO', '922', '272337', '0', '9386');
INSERT INTO public.who_import VALUES (32634, '2020-09-22', 'DE', 'Germany', 'EURO', '1821', '274158', '10', '9396');
INSERT INTO public.who_import VALUES (32635, '2020-09-23', 'DE', 'Germany', 'EURO', '1769', '275927', '13', '9409');
INSERT INTO public.who_import VALUES (32636, '2020-09-24', 'DE', 'Germany', 'EURO', '2143', '278070', '19', '9428');
INSERT INTO public.who_import VALUES (32637, '2020-09-25', 'DE', 'Germany', 'EURO', '2153', '280223', '15', '9443');
INSERT INTO public.who_import VALUES (32638, '2020-09-26', 'DE', 'Germany', 'EURO', '2507', '282730', '9', '9452');
INSERT INTO public.who_import VALUES (32639, '2020-09-27', 'DE', 'Germany', 'EURO', '1410', '284140', '5', '9457');
INSERT INTO public.who_import VALUES (32640, '2020-09-28', 'DE', 'Germany', 'EURO', '1192', '285332', '3', '9460');
INSERT INTO public.who_import VALUES (32641, '2020-09-29', 'DE', 'Germany', 'EURO', '2089', '287421', '11', '9471');
INSERT INTO public.who_import VALUES (32642, '2020-09-30', 'DE', 'Germany', 'EURO', '1798', '289219', '17', '9488');
INSERT INTO public.who_import VALUES (32643, '2020-10-01', 'DE', 'Germany', 'EURO', '2503', '291722', '12', '9500');
INSERT INTO public.who_import VALUES (32644, '2020-10-02', 'DE', 'Germany', 'EURO', '2673', '294395', '8', '9508');
INSERT INTO public.who_import VALUES (32645, '2020-10-03', 'DE', 'Germany', 'EURO', '2563', '296958', '19', '9527');
INSERT INTO public.who_import VALUES (32646, '2020-10-04', 'DE', 'Germany', 'EURO', '2279', '299237', '2', '9529');
INSERT INTO public.who_import VALUES (32647, '2020-10-05', 'DE', 'Germany', 'EURO', '1382', '300619', '5', '9534');
INSERT INTO public.who_import VALUES (32648, '2020-10-06', 'DE', 'Germany', 'EURO', '2639', '303258', '12', '9546');
INSERT INTO public.who_import VALUES (32649, '2020-10-07', 'DE', 'Germany', 'EURO', '2828', '306086', '16', '9562');
INSERT INTO public.who_import VALUES (32650, '2020-10-08', 'DE', 'Germany', 'EURO', '4058', '310144', '16', '9578');
INSERT INTO public.who_import VALUES (32651, '2020-10-09', 'DE', 'Germany', 'EURO', '4516', '314660', '11', '9589');
INSERT INTO public.who_import VALUES (32652, '2020-10-10', 'DE', 'Germany', 'EURO', '4721', '319381', '15', '9604');
INSERT INTO public.who_import VALUES (32653, '2020-10-11', 'DE', 'Germany', 'EURO', '3483', '322864', '11', '9615');
INSERT INTO public.who_import VALUES (32654, '2020-10-12', 'DE', 'Germany', 'EURO', '2467', '325331', '6', '9621');
INSERT INTO public.who_import VALUES (32655, '2020-10-13', 'DE', 'Germany', 'EURO', '4122', '329453', '13', '9634');
INSERT INTO public.who_import VALUES (32656, '2020-10-14', 'DE', 'Germany', 'EURO', '5132', '334585', '43', '9677');
INSERT INTO public.who_import VALUES (32657, '2020-10-15', 'DE', 'Germany', 'EURO', '6638', '341223', '33', '9710');
INSERT INTO public.who_import VALUES (32658, '2020-10-16', 'DE', 'Germany', 'EURO', '7334', '348557', '24', '9734');
INSERT INTO public.who_import VALUES (32659, '2020-10-17', 'DE', 'Germany', 'EURO', '7830', '356387', '33', '9767');
INSERT INTO public.who_import VALUES (32660, '2020-10-18', 'DE', 'Germany', 'EURO', '5587', '361974', '10', '9777');
INSERT INTO public.who_import VALUES (32661, '2020-10-19', 'DE', 'Germany', 'EURO', '4325', '366299', '12', '9789');
INSERT INTO public.who_import VALUES (32662, '2020-10-20', 'DE', 'Germany', 'EURO', '6868', '373167', '47', '9836');
INSERT INTO public.who_import VALUES (32663, '2020-10-21', 'DE', 'Germany', 'EURO', '7595', '380762', '39', '9875');
INSERT INTO public.who_import VALUES (32664, '2020-10-22', 'DE', 'Germany', 'EURO', '11287', '392049', '30', '9905');
INSERT INTO public.who_import VALUES (32665, '2020-10-23', 'DE', 'Germany', 'EURO', '11242', '403291', '49', '9954');
INSERT INTO public.who_import VALUES (32666, '2020-10-24', 'DE', 'Germany', 'EURO', '14714', '418005', '49', '10003');
INSERT INTO public.who_import VALUES (32667, '2020-10-25', 'DE', 'Germany', 'EURO', '11176', '429181', '29', '10032');
INSERT INTO public.who_import VALUES (32668, '2020-10-26', 'DE', 'Germany', 'EURO', '8685', '437866', '24', '10056');
INSERT INTO public.who_import VALUES (32669, '2020-10-27', 'DE', 'Germany', 'EURO', '11409', '449275', '42', '10098');
INSERT INTO public.who_import VALUES (32670, '2020-10-28', 'DE', 'Germany', 'EURO', '14964', '464239', '85', '10183');
INSERT INTO public.who_import VALUES (32671, '2020-10-29', 'DE', 'Germany', 'EURO', '16774', '481013', '89', '10272');
INSERT INTO public.who_import VALUES (32672, '2020-10-30', 'DE', 'Germany', 'EURO', '18681', '499694', '77', '10349');
INSERT INTO public.who_import VALUES (32673, '2020-10-31', 'DE', 'Germany', 'EURO', '19059', '518753', '103', '10452');
INSERT INTO public.who_import VALUES (32674, '2020-11-01', 'DE', 'Germany', 'EURO', '14177', '532930', '29', '10481');
INSERT INTO public.who_import VALUES (32675, '2020-11-02', 'DE', 'Germany', 'EURO', '12097', '545027', '49', '10530');
INSERT INTO public.who_import VALUES (32676, '2020-11-03', 'DE', 'Germany', 'EURO', '15352', '560379', '131', '10661');
INSERT INTO public.who_import VALUES (32677, '2020-11-04', 'DE', 'Germany', 'EURO', '17214', '577593', '151', '10812');
INSERT INTO public.who_import VALUES (32678, '2020-11-05', 'DE', 'Germany', 'EURO', '19990', '597583', '118', '10930');
INSERT INTO public.who_import VALUES (32679, '2020-11-06', 'DE', 'Germany', 'EURO', '21506', '619089', '166', '11096');
INSERT INTO public.who_import VALUES (32680, '2020-11-07', 'DE', 'Germany', 'EURO', '23399', '642488', '130', '11226');
INSERT INTO public.who_import VALUES (32681, '2020-11-08', 'DE', 'Germany', 'EURO', '16017', '658505', '63', '11289');
INSERT INTO public.who_import VALUES (32682, '2020-11-09', 'DE', 'Germany', 'EURO', '13363', '671868', '63', '11352');
INSERT INTO public.who_import VALUES (32683, '2020-11-10', 'DE', 'Germany', 'EURO', '15332', '687200', '154', '11506');
INSERT INTO public.who_import VALUES (32684, '2020-11-11', 'DE', 'Germany', 'EURO', '18487', '705687', '261', '11767');
INSERT INTO public.who_import VALUES (32685, '2020-11-12', 'DE', 'Germany', 'EURO', '21866', '727553', '215', '11982');
INSERT INTO public.who_import VALUES (32686, '2020-11-13', 'DE', 'Germany', 'EURO', '23542', '751095', '218', '12200');
INSERT INTO public.who_import VALUES (32687, '2020-11-14', 'DE', 'Germany', 'EURO', '22461', '773556', '178', '12378');
INSERT INTO public.who_import VALUES (32688, '2020-11-15', 'DE', 'Germany', 'EURO', '16947', '790503', '107', '12485');
INSERT INTO public.who_import VALUES (32689, '2020-11-16', 'DE', 'Germany', 'EURO', '10824', '801327', '62', '12547');
INSERT INTO public.who_import VALUES (32690, '2020-11-17', 'DE', 'Germany', 'EURO', '14419', '815746', '267', '12814');
INSERT INTO public.who_import VALUES (32691, '2020-11-18', 'DE', 'Germany', 'EURO', '17561', '833307', '305', '13119');
INSERT INTO public.who_import VALUES (32692, '2020-11-19', 'DE', 'Germany', 'EURO', '22609', '855916', '251', '13370');
INSERT INTO public.who_import VALUES (32693, '2020-11-20', 'DE', 'Germany', 'EURO', '23648', '879564', '260', '13630');
INSERT INTO public.who_import VALUES (32694, '2020-11-21', 'DE', 'Germany', 'EURO', '22964', '902528', '254', '13884');
INSERT INTO public.who_import VALUES (32695, '2020-11-22', 'DE', 'Germany', 'EURO', '15741', '918269', '138', '14022');
INSERT INTO public.who_import VALUES (32696, '2020-11-23', 'DE', 'Germany', 'EURO', '10864', '929133', '90', '14112');
INSERT INTO public.who_import VALUES (32697, '2020-11-24', 'DE', 'Germany', 'EURO', '13554', '942687', '249', '14361');
INSERT INTO public.who_import VALUES (32698, '2020-11-25', 'DE', 'Germany', 'EURO', '18633', '961320', '410', '14771');
INSERT INTO public.who_import VALUES (32699, '2020-11-26', 'DE', 'Germany', 'EURO', '22268', '983588', '389', '15160');
INSERT INTO public.who_import VALUES (32700, '2020-11-27', 'DE', 'Germany', 'EURO', '22806', '1006394', '426', '15586');
INSERT INTO public.who_import VALUES (32701, '2020-11-28', 'DE', 'Germany', 'EURO', '21695', '1028089', '379', '15965');
INSERT INTO public.who_import VALUES (32702, '2020-11-29', 'DE', 'Germany', 'EURO', '14611', '1042700', '158', '16123');
INSERT INTO public.who_import VALUES (32703, '2020-11-30', 'DE', 'Germany', 'EURO', '11169', '1053869', '125', '16248');
INSERT INTO public.who_import VALUES (32704, '2020-12-01', 'DE', 'Germany', 'EURO', '13604', '1067473', '388', '16636');
INSERT INTO public.who_import VALUES (32705, '2020-12-02', 'DE', 'Germany', 'EURO', '17270', '1084743', '487', '17123');
INSERT INTO public.who_import VALUES (32706, '2020-12-03', 'DE', 'Germany', 'EURO', '22046', '1106789', '479', '17602');
INSERT INTO public.who_import VALUES (32707, '2020-12-04', 'DE', 'Germany', 'EURO', '23448', '1130237', '432', '18034');
INSERT INTO public.who_import VALUES (32708, '2020-12-05', 'DE', 'Germany', 'EURO', '23318', '1153555', '483', '18517');
INSERT INTO public.who_import VALUES (32709, '2020-12-06', 'DE', 'Germany', 'EURO', '17767', '1171322', '255', '18772');
INSERT INTO public.who_import VALUES (32710, '2020-12-07', 'DE', 'Germany', 'EURO', '12332', '1183654', '147', '18919');
INSERT INTO public.who_import VALUES (32711, '2020-12-08', 'DE', 'Germany', 'EURO', '14055', '1197709', '423', '19342');
INSERT INTO public.who_import VALUES (32712, '2020-12-09', 'DE', 'Germany', 'EURO', '20815', '1218524', '590', '19932');
INSERT INTO public.who_import VALUES (32713, '2020-12-10', 'DE', 'Germany', 'EURO', '23679', '1242203', '440', '20372');
INSERT INTO public.who_import VALUES (32714, '2020-12-11', 'DE', 'Germany', 'EURO', '29875', '1272078', '598', '20970');
INSERT INTO public.who_import VALUES (32715, '2020-12-12', 'DE', 'Germany', 'EURO', '28438', '1300516', '496', '21466');
INSERT INTO public.who_import VALUES (32716, '2020-12-13', 'DE', 'Germany', 'EURO', '20200', '1320716', '321', '21787');
INSERT INTO public.who_import VALUES (32717, '2020-12-14', 'DE', 'Germany', 'EURO', '16362', '1337078', '188', '21975');
INSERT INTO public.who_import VALUES (32718, '2020-12-15', 'DE', 'Germany', 'EURO', '14432', '1351510', '500', '22475');
INSERT INTO public.who_import VALUES (32719, '2020-12-16', 'DE', 'Germany', 'EURO', '27728', '1379238', '952', '23427');
INSERT INTO public.who_import VALUES (32720, '2020-12-17', 'DE', 'Germany', 'EURO', '26923', '1406161', '698', '24125');
INSERT INTO public.who_import VALUES (32721, '2020-12-18', 'DE', 'Germany', 'EURO', '33777', '1439938', '813', '24938');
INSERT INTO public.who_import VALUES (32722, '2020-12-19', 'DE', 'Germany', 'EURO', '31300', '1471238', '702', '25640');
INSERT INTO public.who_import VALUES (32723, '2020-12-20', 'DE', 'Germany', 'EURO', '22771', '1494009', '409', '26049');
INSERT INTO public.who_import VALUES (32724, '2020-12-21', 'DE', 'Germany', 'EURO', '16643', '1510652', '226', '26275');
INSERT INTO public.who_import VALUES (32725, '2020-12-22', 'DE', 'Germany', 'EURO', '19528', '1530180', '731', '27006');
INSERT INTO public.who_import VALUES (32726, '2020-12-23', 'DE', 'Germany', 'EURO', '24740', '1554920', '962', '27968');
INSERT INTO public.who_import VALUES (32727, '2020-12-24', 'DE', 'Germany', 'EURO', '32195', '1587115', '802', '28770');
INSERT INTO public.who_import VALUES (32728, '2020-12-25', 'DE', 'Germany', 'EURO', '25533', '1612648', '412', '29182');
INSERT INTO public.who_import VALUES (32729, '2020-12-26', 'DE', 'Germany', 'EURO', '14455', '1627103', '240', '29422');
INSERT INTO public.who_import VALUES (32730, '2020-12-27', 'DE', 'Germany', 'EURO', '13755', '1640858', '356', '29778');
INSERT INTO public.who_import VALUES (32731, '2020-12-28', 'DE', 'Germany', 'EURO', '10976', '1651834', '348', '30126');
INSERT INTO public.who_import VALUES (32732, '2020-12-29', 'DE', 'Germany', 'EURO', '12892', '1664726', '852', '30978');
INSERT INTO public.who_import VALUES (32733, '2020-12-30', 'DE', 'Germany', 'EURO', '22459', '1687185', '1129', '32107');
INSERT INTO public.who_import VALUES (32734, '2020-12-31', 'DE', 'Germany', 'EURO', '32552', '1719737', '964', '33071');
INSERT INTO public.who_import VALUES (32735, '2021-01-01', 'DE', 'Germany', 'EURO', '22924', '1742661', '553', '33624');
INSERT INTO public.who_import VALUES (32736, '2021-01-02', 'DE', 'Germany', 'EURO', '12690', '1755351', '336', '33960');
INSERT INTO public.who_import VALUES (32737, '2021-01-03', 'DE', 'Germany', 'EURO', '10315', '1765666', '312', '34272');
INSERT INTO public.who_import VALUES (32738, '2021-01-04', 'DE', 'Germany', 'EURO', '9847', '1775513', '302', '34574');
INSERT INTO public.who_import VALUES (32739, '2021-01-05', 'DE', 'Germany', 'EURO', '11897', '1787410', '944', '35518');
INSERT INTO public.who_import VALUES (32740, '2021-01-06', 'DE', 'Germany', 'EURO', '21237', '1808647', '1019', '36537');
INSERT INTO public.who_import VALUES (32741, '2021-01-07', 'DE', 'Germany', 'EURO', '26391', '1835038', '1070', '37607');
INSERT INTO public.who_import VALUES (32742, '2021-01-08', 'DE', 'Germany', 'EURO', '31849', '1866887', '1188', '38795');
INSERT INTO public.who_import VALUES (32743, '2021-01-09', 'DE', 'Germany', 'EURO', '24694', '1891581', '1083', '39878');
INSERT INTO public.who_import VALUES (32744, '2021-01-10', 'DE', 'Germany', 'EURO', '16946', '1908527', '465', '40343');
INSERT INTO public.who_import VALUES (32745, '2021-01-11', 'DE', 'Germany', 'EURO', '12497', '1921024', '343', '40686');
INSERT INTO public.who_import VALUES (32746, '2021-01-12', 'DE', 'Germany', 'EURO', '12802', '1933826', '891', '41577');
INSERT INTO public.who_import VALUES (32747, '2021-01-13', 'DE', 'Germany', 'EURO', '19600', '1953426', '1060', '42637');
INSERT INTO public.who_import VALUES (32748, '2021-01-14', 'DE', 'Germany', 'EURO', '25164', '1978590', '1244', '43881');
INSERT INTO public.who_import VALUES (32749, '2021-01-15', 'DE', 'Germany', 'EURO', '22368', '2000958', '1113', '44994');
INSERT INTO public.who_import VALUES (32750, '2021-01-16', 'DE', 'Germany', 'EURO', '18678', '2019636', '980', '45974');
INSERT INTO public.who_import VALUES (32751, '2021-01-17', 'DE', 'Germany', 'EURO', '13882', '2033518', '445', '46419');
INSERT INTO public.who_import VALUES (32752, '2021-01-18', 'DE', 'Germany', 'EURO', '7141', '2040659', '214', '46633');
INSERT INTO public.who_import VALUES (32753, '2021-01-19', 'DE', 'Germany', 'EURO', '11369', '2052028', '989', '47622');
INSERT INTO public.who_import VALUES (32754, '2021-01-20', 'DE', 'Germany', 'EURO', '15974', '2068002', '1148', '48770');
INSERT INTO public.who_import VALUES (32755, '2021-01-21', 'DE', 'Germany', 'EURO', '20398', '2088400', '1013', '49783');
INSERT INTO public.who_import VALUES (32756, '2021-01-22', 'DE', 'Germany', 'EURO', '17862', '2106262', '859', '50642');
INSERT INTO public.who_import VALUES (32757, '2021-01-23', 'DE', 'Germany', 'EURO', '16417', '2122679', '879', '51521');
INSERT INTO public.who_import VALUES (32758, '2021-01-24', 'DE', 'Germany', 'EURO', '12257', '2134936', '349', '51870');
INSERT INTO public.who_import VALUES (32759, '2021-01-25', 'DE', 'Germany', 'EURO', '6729', '2141665', '217', '52087');
INSERT INTO public.who_import VALUES (32760, '2021-01-26', 'DE', 'Germany', 'EURO', '6412', '2148077', '903', '52990');
INSERT INTO public.who_import VALUES (32761, '2021-01-27', 'DE', 'Germany', 'EURO', '13202', '2161279', '982', '53972');
INSERT INTO public.who_import VALUES (32762, '2021-01-28', 'DE', 'Germany', 'EURO', '17549', '2178828', '941', '54913');
INSERT INTO public.who_import VALUES (32763, '2021-01-29', 'DE', 'Germany', 'EURO', '14022', '2192850', '839', '55752');
INSERT INTO public.who_import VALUES (32764, '2021-01-30', 'DE', 'Germany', 'EURO', '12321', '2205171', '794', '56546');
INSERT INTO public.who_import VALUES (32765, '2021-01-31', 'DE', 'Germany', 'EURO', '11192', '2216363', '399', '56945');
INSERT INTO public.who_import VALUES (32766, '2021-02-01', 'DE', 'Germany', 'EURO', '5608', '2221971', '175', '57120');
INSERT INTO public.who_import VALUES (32767, '2021-02-02', 'DE', 'Germany', 'EURO', '6114', '2228085', '861', '57981');
INSERT INTO public.who_import VALUES (32768, '2021-02-03', 'DE', 'Germany', 'EURO', '9705', '2237790', '975', '58956');
INSERT INTO public.who_import VALUES (32769, '2021-02-04', 'DE', 'Germany', 'EURO', '14211', '2252001', '786', '59742');
INSERT INTO public.who_import VALUES (32770, '2021-02-05', 'DE', 'Germany', 'EURO', '12908', '2264909', '855', '60597');
INSERT INTO public.who_import VALUES (32771, '2021-02-06', 'DE', 'Germany', 'EURO', '10485', '2275394', '689', '61286');
INSERT INTO public.who_import VALUES (32772, '2021-02-07', 'DE', 'Germany', 'EURO', '8616', '2284010', '231', '61517');
INSERT INTO public.who_import VALUES (32773, '2021-02-08', 'DE', 'Germany', 'EURO', '4535', '2288545', '158', '61675');
INSERT INTO public.who_import VALUES (32774, '2021-02-09', 'DE', 'Germany', 'EURO', '3379', '2291924', '481', '62156');
INSERT INTO public.who_import VALUES (32775, '2021-02-10', 'DE', 'Germany', 'EURO', '8072', '2299996', '813', '62969');
INSERT INTO public.who_import VALUES (32776, '2021-02-11', 'DE', 'Germany', 'EURO', '10237', '2310233', '666', '63635');
INSERT INTO public.who_import VALUES (32777, '2021-02-12', 'DE', 'Germany', 'EURO', '9860', '2320093', '556', '64191');
INSERT INTO public.who_import VALUES (32778, '2021-02-13', 'DE', 'Germany', 'EURO', '8354', '2328447', '551', '64742');
INSERT INTO public.who_import VALUES (32779, '2021-02-14', 'DE', 'Germany', 'EURO', '6114', '2334561', '218', '64960');
INSERT INTO public.who_import VALUES (32780, '2021-02-15', 'DE', 'Germany', 'EURO', '4426', '2338987', '116', '65076');
INSERT INTO public.who_import VALUES (32781, '2021-02-16', 'DE', 'Germany', 'EURO', '3856', '2342843', '528', '65604');
INSERT INTO public.who_import VALUES (32782, '2021-02-17', 'DE', 'Germany', 'EURO', '7556', '2350399', '560', '66164');
INSERT INTO public.who_import VALUES (32783, '2021-02-18', 'DE', 'Germany', 'EURO', '10207', '2360606', '534', '66698');
INSERT INTO public.who_import VALUES (32784, '2021-02-19', 'DE', 'Germany', 'EURO', '9113', '2369719', '508', '67206');
INSERT INTO public.who_import VALUES (32785, '2021-02-20', 'DE', 'Germany', 'EURO', '9164', '2378883', '490', '67696');
INSERT INTO public.who_import VALUES (32786, '2020-01-03', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32787, '2020-01-04', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32788, '2020-01-05', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32789, '2020-01-06', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32790, '2020-01-07', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32791, '2020-01-08', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32792, '2020-01-09', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32793, '2020-01-10', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32794, '2020-01-11', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32795, '2020-01-12', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32796, '2020-01-13', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32797, '2020-01-14', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32798, '2020-01-15', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32799, '2020-01-16', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32800, '2020-01-17', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32801, '2020-01-18', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32802, '2020-01-19', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32803, '2020-01-20', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32804, '2020-01-21', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32805, '2020-01-22', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32806, '2020-01-23', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32807, '2020-01-24', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32808, '2020-01-25', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32809, '2020-01-26', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32810, '2020-01-27', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32811, '2020-01-28', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32812, '2020-01-29', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32813, '2020-01-30', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32814, '2020-01-31', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32815, '2020-02-01', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32816, '2020-02-02', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32817, '2020-02-03', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32818, '2020-02-04', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32819, '2020-02-05', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32820, '2020-02-06', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32821, '2020-02-07', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32822, '2020-02-08', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32823, '2020-02-09', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32824, '2020-02-10', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32825, '2020-02-11', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32826, '2020-02-12', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32827, '2020-02-13', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32828, '2020-02-14', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32829, '2020-02-15', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32830, '2020-02-16', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32831, '2020-02-17', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32832, '2020-02-18', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32833, '2020-02-19', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32834, '2020-02-20', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32835, '2020-02-21', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32836, '2020-02-22', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32837, '2020-02-23', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32838, '2020-02-24', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32839, '2020-02-25', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32840, '2020-02-26', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32841, '2020-02-27', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32842, '2020-02-28', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32843, '2020-02-29', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32844, '2020-03-01', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32845, '2020-03-02', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32846, '2020-03-03', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32847, '2020-03-04', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32848, '2020-03-05', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32849, '2020-03-06', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32850, '2020-03-07', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32851, '2020-03-08', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32852, '2020-03-09', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32853, '2020-03-10', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32854, '2020-03-11', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32855, '2020-03-12', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32856, '2020-03-13', 'GH', 'Ghana', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (32857, '2020-03-14', 'GH', 'Ghana', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (32858, '2020-03-15', 'GH', 'Ghana', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (32859, '2020-03-16', 'GH', 'Ghana', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (32860, '2020-03-17', 'GH', 'Ghana', 'AFRO', '4', '10', '0', '0');
INSERT INTO public.who_import VALUES (32861, '2020-03-18', 'GH', 'Ghana', 'AFRO', '3', '13', '0', '0');
INSERT INTO public.who_import VALUES (32862, '2020-03-19', 'GH', 'Ghana', 'AFRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (32863, '2020-03-20', 'GH', 'Ghana', 'AFRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (32864, '2020-03-21', 'GH', 'Ghana', 'AFRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (32865, '2020-03-22', 'GH', 'Ghana', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (32866, '2020-03-23', 'GH', 'Ghana', 'AFRO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (32867, '2020-03-24', 'GH', 'Ghana', 'AFRO', '3', '27', '2', '2');
INSERT INTO public.who_import VALUES (32868, '2020-03-25', 'GH', 'Ghana', 'AFRO', '26', '53', '0', '2');
INSERT INTO public.who_import VALUES (32869, '2020-03-26', 'GH', 'Ghana', 'AFRO', '79', '132', '0', '2');
INSERT INTO public.who_import VALUES (32870, '2020-03-27', 'GH', 'Ghana', 'AFRO', '4', '136', '1', '3');
INSERT INTO public.who_import VALUES (32871, '2020-03-28', 'GH', 'Ghana', 'AFRO', '1', '137', '1', '4');
INSERT INTO public.who_import VALUES (32872, '2020-03-29', 'GH', 'Ghana', 'AFRO', '0', '137', '0', '4');
INSERT INTO public.who_import VALUES (32873, '2020-03-30', 'GH', 'Ghana', 'AFRO', '15', '152', '0', '4');
INSERT INTO public.who_import VALUES (32874, '2020-03-31', 'GH', 'Ghana', 'AFRO', '0', '152', '0', '4');
INSERT INTO public.who_import VALUES (32875, '2020-04-01', 'GH', 'Ghana', 'AFRO', '9', '161', '0', '4');
INSERT INTO public.who_import VALUES (32876, '2020-04-02', 'GH', 'Ghana', 'AFRO', '34', '195', '0', '4');
INSERT INTO public.who_import VALUES (32877, '2020-04-03', 'GH', 'Ghana', 'AFRO', '9', '204', '0', '4');
INSERT INTO public.who_import VALUES (32878, '2020-04-04', 'GH', 'Ghana', 'AFRO', '1', '205', '0', '4');
INSERT INTO public.who_import VALUES (32879, '2020-04-05', 'GH', 'Ghana', 'AFRO', '0', '205', '0', '4');
INSERT INTO public.who_import VALUES (32880, '2020-04-06', 'GH', 'Ghana', 'AFRO', '9', '214', '1', '5');
INSERT INTO public.who_import VALUES (32881, '2020-04-07', 'GH', 'Ghana', 'AFRO', '0', '214', '0', '5');
INSERT INTO public.who_import VALUES (32882, '2020-04-08', 'GH', 'Ghana', 'AFRO', '73', '287', '0', '5');
INSERT INTO public.who_import VALUES (32883, '2020-04-09', 'GH', 'Ghana', 'AFRO', '26', '313', '1', '6');
INSERT INTO public.who_import VALUES (32884, '2020-04-10', 'GH', 'Ghana', 'AFRO', '0', '313', '0', '6');
INSERT INTO public.who_import VALUES (32885, '2020-04-11', 'GH', 'Ghana', 'AFRO', '65', '378', '0', '6');
INSERT INTO public.who_import VALUES (32886, '2020-04-12', 'GH', 'Ghana', 'AFRO', '30', '408', '2', '8');
INSERT INTO public.who_import VALUES (32887, '2020-04-13', 'GH', 'Ghana', 'AFRO', '158', '566', '0', '8');
INSERT INTO public.who_import VALUES (32888, '2020-04-14', 'GH', 'Ghana', 'AFRO', '0', '566', '0', '8');
INSERT INTO public.who_import VALUES (32889, '2020-04-15', 'GH', 'Ghana', 'AFRO', '70', '636', '0', '8');
INSERT INTO public.who_import VALUES (32890, '2020-04-16', 'GH', 'Ghana', 'AFRO', '0', '636', '0', '8');
INSERT INTO public.who_import VALUES (32891, '2020-04-17', 'GH', 'Ghana', 'AFRO', '5', '641', '0', '8');
INSERT INTO public.who_import VALUES (32892, '2020-04-18', 'GH', 'Ghana', 'AFRO', '0', '641', '0', '8');
INSERT INTO public.who_import VALUES (32893, '2020-04-19', 'GH', 'Ghana', 'AFRO', '193', '834', '1', '9');
INSERT INTO public.who_import VALUES (32894, '2020-04-20', 'GH', 'Ghana', 'AFRO', '208', '1042', '0', '9');
INSERT INTO public.who_import VALUES (32895, '2020-04-21', 'GH', 'Ghana', 'AFRO', '0', '1042', '0', '9');
INSERT INTO public.who_import VALUES (32896, '2020-04-22', 'GH', 'Ghana', 'AFRO', '0', '1042', '0', '9');
INSERT INTO public.who_import VALUES (32897, '2020-04-23', 'GH', 'Ghana', 'AFRO', '112', '1154', '0', '9');
INSERT INTO public.who_import VALUES (32898, '2020-04-24', 'GH', 'Ghana', 'AFRO', '0', '1154', '0', '9');
INSERT INTO public.who_import VALUES (32899, '2020-04-25', 'GH', 'Ghana', 'AFRO', '125', '1279', '1', '10');
INSERT INTO public.who_import VALUES (32900, '2020-04-26', 'GH', 'Ghana', 'AFRO', '0', '1279', '0', '10');
INSERT INTO public.who_import VALUES (32901, '2020-04-27', 'GH', 'Ghana', 'AFRO', '271', '1550', '1', '11');
INSERT INTO public.who_import VALUES (32902, '2020-04-28', 'GH', 'Ghana', 'AFRO', '0', '1550', '0', '11');
INSERT INTO public.who_import VALUES (32903, '2020-04-29', 'GH', 'Ghana', 'AFRO', '121', '1671', '5', '16');
INSERT INTO public.who_import VALUES (32904, '2020-04-30', 'GH', 'Ghana', 'AFRO', '0', '1671', '0', '16');
INSERT INTO public.who_import VALUES (32905, '2020-05-01', 'GH', 'Ghana', 'AFRO', '403', '2074', '1', '17');
INSERT INTO public.who_import VALUES (32906, '2020-05-02', 'GH', 'Ghana', 'AFRO', '0', '2074', '0', '17');
INSERT INTO public.who_import VALUES (32907, '2020-05-03', 'GH', 'Ghana', 'AFRO', '95', '2169', '1', '18');
INSERT INTO public.who_import VALUES (32908, '2020-05-04', 'GH', 'Ghana', 'AFRO', '0', '2169', '0', '18');
INSERT INTO public.who_import VALUES (32909, '2020-05-05', 'GH', 'Ghana', 'AFRO', '550', '2719', '0', '18');
INSERT INTO public.who_import VALUES (32910, '2020-05-06', 'GH', 'Ghana', 'AFRO', '0', '2719', '0', '18');
INSERT INTO public.who_import VALUES (32911, '2020-05-07', 'GH', 'Ghana', 'AFRO', '0', '2719', '0', '18');
INSERT INTO public.who_import VALUES (32912, '2020-05-08', 'GH', 'Ghana', 'AFRO', '372', '3091', '0', '18');
INSERT INTO public.who_import VALUES (32913, '2020-05-09', 'GH', 'Ghana', 'AFRO', '921', '4012', '0', '18');
INSERT INTO public.who_import VALUES (32914, '2020-05-10', 'GH', 'Ghana', 'AFRO', '251', '4263', '4', '22');
INSERT INTO public.who_import VALUES (32915, '2020-05-11', 'GH', 'Ghana', 'AFRO', '0', '4263', '0', '22');
INSERT INTO public.who_import VALUES (32916, '2020-05-12', 'GH', 'Ghana', 'AFRO', '437', '4700', '0', '22');
INSERT INTO public.who_import VALUES (32917, '2020-05-13', 'GH', 'Ghana', 'AFRO', '427', '5127', '0', '22');
INSERT INTO public.who_import VALUES (32918, '2020-05-14', 'GH', 'Ghana', 'AFRO', '281', '5408', '2', '24');
INSERT INTO public.who_import VALUES (32919, '2020-05-15', 'GH', 'Ghana', 'AFRO', '122', '5530', '0', '24');
INSERT INTO public.who_import VALUES (32920, '2020-05-16', 'GH', 'Ghana', 'AFRO', '108', '5638', '4', '28');
INSERT INTO public.who_import VALUES (32921, '2020-05-17', 'GH', 'Ghana', 'AFRO', '97', '5735', '1', '29');
INSERT INTO public.who_import VALUES (32922, '2020-05-18', 'GH', 'Ghana', 'AFRO', '0', '5735', '0', '29');
INSERT INTO public.who_import VALUES (32923, '2020-05-19', 'GH', 'Ghana', 'AFRO', '0', '5735', '0', '29');
INSERT INTO public.who_import VALUES (32924, '2020-05-20', 'GH', 'Ghana', 'AFRO', '361', '6096', '2', '31');
INSERT INTO public.who_import VALUES (32925, '2020-05-21', 'GH', 'Ghana', 'AFRO', '0', '6096', '0', '31');
INSERT INTO public.who_import VALUES (32926, '2020-05-22', 'GH', 'Ghana', 'AFRO', '173', '6269', '0', '31');
INSERT INTO public.who_import VALUES (32927, '2020-05-23', 'GH', 'Ghana', 'AFRO', '217', '6486', '0', '31');
INSERT INTO public.who_import VALUES (32928, '2020-05-24', 'GH', 'Ghana', 'AFRO', '131', '6617', '0', '31');
INSERT INTO public.who_import VALUES (32929, '2020-05-25', 'GH', 'Ghana', 'AFRO', '66', '6683', '1', '32');
INSERT INTO public.who_import VALUES (32930, '2020-05-26', 'GH', 'Ghana', 'AFRO', '125', '6808', '0', '32');
INSERT INTO public.who_import VALUES (32931, '2020-05-27', 'GH', 'Ghana', 'AFRO', '156', '6964', '0', '32');
INSERT INTO public.who_import VALUES (32932, '2020-05-28', 'GH', 'Ghana', 'AFRO', '339', '7303', '2', '34');
INSERT INTO public.who_import VALUES (32933, '2020-05-29', 'GH', 'Ghana', 'AFRO', '0', '7303', '0', '34');
INSERT INTO public.who_import VALUES (32934, '2020-05-30', 'GH', 'Ghana', 'AFRO', '313', '7616', '0', '34');
INSERT INTO public.who_import VALUES (32935, '2020-05-31', 'GH', 'Ghana', 'AFRO', '152', '7768', '1', '35');
INSERT INTO public.who_import VALUES (32936, '2020-06-01', 'GH', 'Ghana', 'AFRO', '113', '7881', '1', '36');
INSERT INTO public.who_import VALUES (32937, '2020-06-02', 'GH', 'Ghana', 'AFRO', '189', '8070', '0', '36');
INSERT INTO public.who_import VALUES (32938, '2020-06-03', 'GH', 'Ghana', 'AFRO', '227', '8297', '2', '38');
INSERT INTO public.who_import VALUES (32939, '2020-06-04', 'GH', 'Ghana', 'AFRO', '251', '8548', '0', '38');
INSERT INTO public.who_import VALUES (32940, '2020-06-05', 'GH', 'Ghana', 'AFRO', '337', '8885', '0', '38');
INSERT INTO public.who_import VALUES (32941, '2020-06-06', 'GH', 'Ghana', 'AFRO', '283', '9168', '4', '42');
INSERT INTO public.who_import VALUES (32942, '2020-06-07', 'GH', 'Ghana', 'AFRO', '294', '9462', '2', '44');
INSERT INTO public.who_import VALUES (32943, '2020-06-08', 'GH', 'Ghana', 'AFRO', '176', '9638', '0', '44');
INSERT INTO public.who_import VALUES (32944, '2020-06-09', 'GH', 'Ghana', 'AFRO', '272', '9910', '4', '48');
INSERT INTO public.who_import VALUES (32945, '2020-06-10', 'GH', 'Ghana', 'AFRO', '291', '10201', '0', '48');
INSERT INTO public.who_import VALUES (32946, '2020-06-11', 'GH', 'Ghana', 'AFRO', '0', '10201', '0', '48');
INSERT INTO public.who_import VALUES (32947, '2020-06-12', 'GH', 'Ghana', 'AFRO', '157', '10358', '0', '48');
INSERT INTO public.who_import VALUES (32948, '2020-06-13', 'GH', 'Ghana', 'AFRO', '498', '10856', '0', '48');
INSERT INTO public.who_import VALUES (32949, '2020-06-14', 'GH', 'Ghana', 'AFRO', '262', '11118', '0', '48');
INSERT INTO public.who_import VALUES (32950, '2020-06-15', 'GH', 'Ghana', 'AFRO', '304', '11422', '3', '51');
INSERT INTO public.who_import VALUES (32951, '2020-06-16', 'GH', 'Ghana', 'AFRO', '542', '11964', '3', '54');
INSERT INTO public.who_import VALUES (32952, '2020-06-17', 'GH', 'Ghana', 'AFRO', '229', '12193', '4', '58');
INSERT INTO public.who_import VALUES (32953, '2020-06-18', 'GH', 'Ghana', 'AFRO', '397', '12590', '8', '66');
INSERT INTO public.who_import VALUES (32954, '2020-06-19', 'GH', 'Ghana', 'AFRO', '339', '12929', '0', '66');
INSERT INTO public.who_import VALUES (32955, '2020-06-20', 'GH', 'Ghana', 'AFRO', '274', '13203', '4', '70');
INSERT INTO public.who_import VALUES (32956, '2020-06-21', 'GH', 'Ghana', 'AFRO', '514', '13717', '15', '85');
INSERT INTO public.who_import VALUES (32957, '2020-06-22', 'GH', 'Ghana', 'AFRO', '437', '14154', '0', '85');
INSERT INTO public.who_import VALUES (32958, '2020-06-23', 'GH', 'Ghana', 'AFRO', '0', '14154', '0', '85');
INSERT INTO public.who_import VALUES (32959, '2020-06-24', 'GH', 'Ghana', 'AFRO', '414', '14568', '10', '95');
INSERT INTO public.who_import VALUES (32960, '2020-06-25', 'GH', 'Ghana', 'AFRO', '445', '15013', '0', '95');
INSERT INTO public.who_import VALUES (32961, '2020-06-26', 'GH', 'Ghana', 'AFRO', '460', '15473', '0', '95');
INSERT INTO public.who_import VALUES (32962, '2020-06-27', 'GH', 'Ghana', 'AFRO', '361', '15834', '8', '103');
INSERT INTO public.who_import VALUES (32963, '2020-06-28', 'GH', 'Ghana', 'AFRO', '597', '16431', '0', '103');
INSERT INTO public.who_import VALUES (32964, '2020-06-29', 'GH', 'Ghana', 'AFRO', '920', '17351', '9', '112');
INSERT INTO public.who_import VALUES (32965, '2020-06-30', 'GH', 'Ghana', 'AFRO', '0', '17351', '0', '112');
INSERT INTO public.who_import VALUES (32966, '2020-07-01', 'GH', 'Ghana', 'AFRO', '390', '17741', '0', '112');
INSERT INTO public.who_import VALUES (32967, '2020-07-02', 'GH', 'Ghana', 'AFRO', '393', '18134', '5', '117');
INSERT INTO public.who_import VALUES (32968, '2020-07-03', 'GH', 'Ghana', 'AFRO', '0', '18134', '0', '117');
INSERT INTO public.who_import VALUES (32969, '2020-07-04', 'GH', 'Ghana', 'AFRO', '758', '18892', '0', '117');
INSERT INTO public.who_import VALUES (32970, '2020-07-05', 'GH', 'Ghana', 'AFRO', '496', '19388', '0', '117');
INSERT INTO public.who_import VALUES (32971, '2020-07-06', 'GH', 'Ghana', 'AFRO', '697', '20085', '5', '122');
INSERT INTO public.who_import VALUES (32972, '2020-07-07', 'GH', 'Ghana', 'AFRO', '0', '20085', '0', '122');
INSERT INTO public.who_import VALUES (32973, '2020-07-08', 'GH', 'Ghana', 'AFRO', '1883', '21968', '7', '129');
INSERT INTO public.who_import VALUES (32974, '2020-07-09', 'GH', 'Ghana', 'AFRO', '854', '22822', '0', '129');
INSERT INTO public.who_import VALUES (32975, '2020-07-10', 'GH', 'Ghana', 'AFRO', '641', '23463', '0', '129');
INSERT INTO public.who_import VALUES (32976, '2020-07-11', 'GH', 'Ghana', 'AFRO', '0', '23463', '0', '129');
INSERT INTO public.who_import VALUES (32977, '2020-07-12', 'GH', 'Ghana', 'AFRO', '785', '24248', '6', '135');
INSERT INTO public.who_import VALUES (32978, '2020-07-13', 'GH', 'Ghana', 'AFRO', '270', '24518', '4', '139');
INSERT INTO public.who_import VALUES (32979, '2020-07-14', 'GH', 'Ghana', 'AFRO', '470', '24988', '0', '139');
INSERT INTO public.who_import VALUES (32980, '2020-07-15', 'GH', 'Ghana', 'AFRO', '0', '24988', '0', '139');
INSERT INTO public.who_import VALUES (32981, '2020-07-16', 'GH', 'Ghana', 'AFRO', '442', '25430', '0', '139');
INSERT INTO public.who_import VALUES (32982, '2020-07-17', 'GH', 'Ghana', 'AFRO', '695', '26125', '0', '139');
INSERT INTO public.who_import VALUES (32983, '2020-07-18', 'GH', 'Ghana', 'AFRO', '447', '26572', '5', '144');
INSERT INTO public.who_import VALUES (32984, '2020-07-19', 'GH', 'Ghana', 'AFRO', '488', '27060', '1', '145');
INSERT INTO public.who_import VALUES (32985, '2020-07-20', 'GH', 'Ghana', 'AFRO', '607', '27667', '3', '148');
INSERT INTO public.who_import VALUES (32986, '2020-07-21', 'GH', 'Ghana', 'AFRO', '763', '28430', '5', '153');
INSERT INTO public.who_import VALUES (32987, '2020-07-22', 'GH', 'Ghana', 'AFRO', '559', '28989', '0', '153');
INSERT INTO public.who_import VALUES (32988, '2020-07-23', 'GH', 'Ghana', 'AFRO', '683', '29672', '0', '153');
INSERT INTO public.who_import VALUES (32989, '2020-07-24', 'GH', 'Ghana', 'AFRO', '0', '29672', '0', '153');
INSERT INTO public.who_import VALUES (32990, '2020-07-25', 'GH', 'Ghana', 'AFRO', '1385', '31057', '8', '161');
INSERT INTO public.who_import VALUES (32991, '2020-07-26', 'GH', 'Ghana', 'AFRO', '794', '31851', '0', '161');
INSERT INTO public.who_import VALUES (32992, '2020-07-27', 'GH', 'Ghana', 'AFRO', '586', '32437', '0', '161');
INSERT INTO public.who_import VALUES (32993, '2020-07-28', 'GH', 'Ghana', 'AFRO', '1187', '33624', '7', '168');
INSERT INTO public.who_import VALUES (32994, '2020-07-29', 'GH', 'Ghana', 'AFRO', '782', '34406', '0', '168');
INSERT INTO public.who_import VALUES (32995, '2020-07-30', 'GH', 'Ghana', 'AFRO', '736', '35142', '7', '175');
INSERT INTO public.who_import VALUES (32996, '2020-07-31', 'GH', 'Ghana', 'AFRO', '0', '35142', '0', '175');
INSERT INTO public.who_import VALUES (32997, '2020-08-01', 'GH', 'Ghana', 'AFRO', '359', '35501', '7', '182');
INSERT INTO public.who_import VALUES (32998, '2020-08-02', 'GH', 'Ghana', 'AFRO', '0', '35501', '0', '182');
INSERT INTO public.who_import VALUES (32999, '2020-08-03', 'GH', 'Ghana', 'AFRO', '1513', '37014', '0', '182');
INSERT INTO public.who_import VALUES (33000, '2020-08-04', 'GH', 'Ghana', 'AFRO', '0', '37014', '0', '182');
INSERT INTO public.who_import VALUES (33001, '2020-08-05', 'GH', 'Ghana', 'AFRO', '798', '37812', '9', '191');
INSERT INTO public.who_import VALUES (33002, '2020-08-06', 'GH', 'Ghana', 'AFRO', '1263', '39075', '8', '199');
INSERT INTO public.who_import VALUES (33003, '2020-08-07', 'GH', 'Ghana', 'AFRO', '567', '39642', '0', '199');
INSERT INTO public.who_import VALUES (33004, '2020-08-08', 'GH', 'Ghana', 'AFRO', '455', '40097', '7', '206');
INSERT INTO public.who_import VALUES (33005, '2020-08-09', 'GH', 'Ghana', 'AFRO', '436', '40533', '0', '206');
INSERT INTO public.who_import VALUES (33006, '2020-08-10', 'GH', 'Ghana', 'AFRO', '470', '41003', '9', '215');
INSERT INTO public.who_import VALUES (33007, '2020-08-11', 'GH', 'Ghana', 'AFRO', '209', '41212', '0', '215');
INSERT INTO public.who_import VALUES (33008, '2020-08-12', 'GH', 'Ghana', 'AFRO', '192', '41404', '0', '215');
INSERT INTO public.who_import VALUES (33009, '2020-08-13', 'GH', 'Ghana', 'AFRO', '168', '41572', '8', '223');
INSERT INTO public.who_import VALUES (33010, '2020-08-14', 'GH', 'Ghana', 'AFRO', '275', '41847', '0', '223');
INSERT INTO public.who_import VALUES (33011, '2020-08-15', 'GH', 'Ghana', 'AFRO', '216', '42063', '8', '231');
INSERT INTO public.who_import VALUES (33012, '2020-08-16', 'GH', 'Ghana', 'AFRO', '147', '42210', '0', '231');
INSERT INTO public.who_import VALUES (33013, '2020-08-17', 'GH', 'Ghana', 'AFRO', '322', '42532', '0', '231');
INSERT INTO public.who_import VALUES (33014, '2020-08-18', 'GH', 'Ghana', 'AFRO', '121', '42653', '8', '239');
INSERT INTO public.who_import VALUES (33015, '2020-08-19', 'GH', 'Ghana', 'AFRO', '340', '42993', '9', '248');
INSERT INTO public.who_import VALUES (33016, '2020-08-20', 'GH', 'Ghana', 'AFRO', '101', '43094', '8', '256');
INSERT INTO public.who_import VALUES (33017, '2020-08-21', 'GH', 'Ghana', 'AFRO', '166', '43260', '5', '261');
INSERT INTO public.who_import VALUES (33018, '2020-08-22', 'GH', 'Ghana', 'AFRO', '65', '43325', '0', '261');
INSERT INTO public.who_import VALUES (33019, '2020-08-23', 'GH', 'Ghana', 'AFRO', '0', '43325', '0', '261');
INSERT INTO public.who_import VALUES (33020, '2020-08-24', 'GH', 'Ghana', 'AFRO', '180', '43505', '0', '261');
INSERT INTO public.who_import VALUES (33021, '2020-08-25', 'GH', 'Ghana', 'AFRO', '117', '43622', '2', '263');
INSERT INTO public.who_import VALUES (33022, '2020-08-26', 'GH', 'Ghana', 'AFRO', '95', '43717', '7', '270');
INSERT INTO public.who_import VALUES (33023, '2020-08-27', 'GH', 'Ghana', 'AFRO', '52', '43769', '0', '270');
INSERT INTO public.who_import VALUES (33024, '2020-08-28', 'GH', 'Ghana', 'AFRO', '72', '43841', '0', '270');
INSERT INTO public.who_import VALUES (33025, '2020-08-29', 'GH', 'Ghana', 'AFRO', '0', '43841', '0', '270');
INSERT INTO public.who_import VALUES (33026, '2020-08-30', 'GH', 'Ghana', 'AFRO', '108', '43949', '0', '270');
INSERT INTO public.who_import VALUES (33027, '2020-08-31', 'GH', 'Ghana', 'AFRO', '256', '44205', '6', '276');
INSERT INTO public.who_import VALUES (33028, '2020-09-01', 'GH', 'Ghana', 'AFRO', '0', '44205', '0', '276');
INSERT INTO public.who_import VALUES (33029, '2020-09-02', 'GH', 'Ghana', 'AFRO', '0', '44205', '0', '276');
INSERT INTO public.who_import VALUES (33030, '2020-09-03', 'GH', 'Ghana', 'AFRO', '255', '44460', '0', '276');
INSERT INTO public.who_import VALUES (33031, '2020-09-04', 'GH', 'Ghana', 'AFRO', '253', '44713', '4', '280');
INSERT INTO public.who_import VALUES (33032, '2020-09-05', 'GH', 'Ghana', 'AFRO', '64', '44777', '3', '283');
INSERT INTO public.who_import VALUES (33033, '2020-09-06', 'GH', 'Ghana', 'AFRO', '0', '44777', '0', '283');
INSERT INTO public.who_import VALUES (33034, '2020-09-07', 'GH', 'Ghana', 'AFRO', '0', '44777', '0', '283');
INSERT INTO public.who_import VALUES (33035, '2020-09-08', 'GH', 'Ghana', 'AFRO', '0', '44777', '0', '283');
INSERT INTO public.who_import VALUES (33036, '2020-09-09', 'GH', 'Ghana', 'AFRO', '235', '45012', '0', '283');
INSERT INTO public.who_import VALUES (33037, '2020-09-10', 'GH', 'Ghana', 'AFRO', '0', '45012', '0', '283');
INSERT INTO public.who_import VALUES (33038, '2020-09-11', 'GH', 'Ghana', 'AFRO', '301', '45313', '0', '283');
INSERT INTO public.who_import VALUES (33039, '2020-09-12', 'GH', 'Ghana', 'AFRO', '75', '45388', '2', '285');
INSERT INTO public.who_import VALUES (33040, '2020-09-13', 'GH', 'Ghana', 'AFRO', '46', '45434', '1', '286');
INSERT INTO public.who_import VALUES (33041, '2020-09-14', 'GH', 'Ghana', 'AFRO', '0', '45434', '0', '286');
INSERT INTO public.who_import VALUES (33042, '2020-09-15', 'GH', 'Ghana', 'AFRO', '0', '45434', '0', '286');
INSERT INTO public.who_import VALUES (33043, '2020-09-16', 'GH', 'Ghana', 'AFRO', '221', '45655', '8', '294');
INSERT INTO public.who_import VALUES (33044, '2020-09-17', 'GH', 'Ghana', 'AFRO', '0', '45655', '0', '294');
INSERT INTO public.who_import VALUES (33045, '2020-09-18', 'GH', 'Ghana', 'AFRO', '59', '45714', '0', '294');
INSERT INTO public.who_import VALUES (33046, '2020-09-19', 'GH', 'Ghana', 'AFRO', '143', '45857', '1', '295');
INSERT INTO public.who_import VALUES (33047, '2020-09-20', 'GH', 'Ghana', 'AFRO', '20', '45877', '2', '297');
INSERT INTO public.who_import VALUES (33048, '2020-09-21', 'GH', 'Ghana', 'AFRO', '127', '46004', '0', '297');
INSERT INTO public.who_import VALUES (33049, '2020-09-22', 'GH', 'Ghana', 'AFRO', '0', '46004', '0', '297');
INSERT INTO public.who_import VALUES (33050, '2020-09-23', 'GH', 'Ghana', 'AFRO', '58', '46062', '0', '297');
INSERT INTO public.who_import VALUES (33051, '2020-09-24', 'GH', 'Ghana', 'AFRO', '54', '46116', '0', '297');
INSERT INTO public.who_import VALUES (33052, '2020-09-25', 'GH', 'Ghana', 'AFRO', '37', '46153', '2', '299');
INSERT INTO public.who_import VALUES (33053, '2020-09-26', 'GH', 'Ghana', 'AFRO', '69', '46222', '0', '299');
INSERT INTO public.who_import VALUES (33054, '2020-09-27', 'GH', 'Ghana', 'AFRO', '0', '46222', '0', '299');
INSERT INTO public.who_import VALUES (33055, '2020-09-28', 'GH', 'Ghana', 'AFRO', '0', '46222', '0', '299');
INSERT INTO public.who_import VALUES (33056, '2020-09-29', 'GH', 'Ghana', 'AFRO', '0', '46222', '0', '299');
INSERT INTO public.who_import VALUES (33057, '2020-09-30', 'GH', 'Ghana', 'AFRO', '260', '46482', '2', '301');
INSERT INTO public.who_import VALUES (33058, '2020-10-01', 'GH', 'Ghana', 'AFRO', '174', '46656', '0', '301');
INSERT INTO public.who_import VALUES (33059, '2020-10-02', 'GH', 'Ghana', 'AFRO', '0', '46656', '0', '301');
INSERT INTO public.who_import VALUES (33060, '2020-10-03', 'GH', 'Ghana', 'AFRO', '0', '46656', '0', '301');
INSERT INTO public.who_import VALUES (33061, '2020-10-04', 'GH', 'Ghana', 'AFRO', '112', '46768', '0', '301');
INSERT INTO public.who_import VALUES (33062, '2020-10-05', 'GH', 'Ghana', 'AFRO', '61', '46829', '2', '303');
INSERT INTO public.who_import VALUES (33063, '2020-10-06', 'GH', 'Ghana', 'AFRO', '0', '46829', '0', '303');
INSERT INTO public.who_import VALUES (33064, '2020-10-07', 'GH', 'Ghana', 'AFRO', '0', '46829', '0', '303');
INSERT INTO public.who_import VALUES (33065, '2020-10-08', 'GH', 'Ghana', 'AFRO', '0', '46829', '0', '303');
INSERT INTO public.who_import VALUES (33066, '2020-10-09', 'GH', 'Ghana', 'AFRO', '118', '46947', '3', '306');
INSERT INTO public.who_import VALUES (33067, '2020-10-10', 'GH', 'Ghana', 'AFRO', '40', '46987', '0', '306');
INSERT INTO public.who_import VALUES (33068, '2020-10-11', 'GH', 'Ghana', 'AFRO', '0', '46987', '0', '306');
INSERT INTO public.who_import VALUES (33069, '2020-10-12', 'GH', 'Ghana', 'AFRO', '18', '47005', '0', '306');
INSERT INTO public.who_import VALUES (33070, '2020-10-13', 'GH', 'Ghana', 'AFRO', '0', '47005', '0', '306');
INSERT INTO public.who_import VALUES (33071, '2020-10-14', 'GH', 'Ghana', 'AFRO', '92', '47097', '2', '308');
INSERT INTO public.who_import VALUES (33072, '2020-10-15', 'GH', 'Ghana', 'AFRO', '29', '47126', '2', '310');
INSERT INTO public.who_import VALUES (33073, '2020-10-16', 'GH', 'Ghana', 'AFRO', '25', '47151', '0', '310');
INSERT INTO public.who_import VALUES (33074, '2020-10-17', 'GH', 'Ghana', 'AFRO', '22', '47173', '0', '310');
INSERT INTO public.who_import VALUES (33075, '2020-10-18', 'GH', 'Ghana', 'AFRO', '0', '47173', '0', '310');
INSERT INTO public.who_import VALUES (33076, '2020-10-19', 'GH', 'Ghana', 'AFRO', '59', '47232', '0', '310');
INSERT INTO public.who_import VALUES (33077, '2020-10-20', 'GH', 'Ghana', 'AFRO', '140', '47372', '0', '310');
INSERT INTO public.who_import VALUES (33078, '2020-10-21', 'GH', 'Ghana', 'AFRO', '0', '47372', '0', '310');
INSERT INTO public.who_import VALUES (33079, '2020-10-22', 'GH', 'Ghana', 'AFRO', '89', '47461', '2', '312');
INSERT INTO public.who_import VALUES (33080, '2020-10-23', 'GH', 'Ghana', 'AFRO', '77', '47538', '0', '312');
INSERT INTO public.who_import VALUES (33081, '2020-10-24', 'GH', 'Ghana', 'AFRO', '63', '47601', '2', '314');
INSERT INTO public.who_import VALUES (33082, '2020-10-25', 'GH', 'Ghana', 'AFRO', '89', '47690', '2', '316');
INSERT INTO public.who_import VALUES (33083, '2020-10-26', 'GH', 'Ghana', 'AFRO', '0', '47690', '0', '316');
INSERT INTO public.who_import VALUES (33084, '2020-10-27', 'GH', 'Ghana', 'AFRO', '0', '47690', '0', '316');
INSERT INTO public.who_import VALUES (33085, '2020-10-28', 'GH', 'Ghana', 'AFRO', '85', '47775', '0', '316');
INSERT INTO public.who_import VALUES (33086, '2020-10-29', 'GH', 'Ghana', 'AFRO', '0', '47775', '0', '316');
INSERT INTO public.who_import VALUES (33087, '2020-10-30', 'GH', 'Ghana', 'AFRO', '280', '48055', '4', '320');
INSERT INTO public.who_import VALUES (33088, '2020-10-31', 'GH', 'Ghana', 'AFRO', '0', '48055', '0', '320');
INSERT INTO public.who_import VALUES (33089, '2020-11-01', 'GH', 'Ghana', 'AFRO', '0', '48055', '0', '320');
INSERT INTO public.who_import VALUES (33090, '2020-11-02', 'GH', 'Ghana', 'AFRO', '0', '48055', '0', '320');
INSERT INTO public.who_import VALUES (33091, '2020-11-03', 'GH', 'Ghana', 'AFRO', '69', '48124', '0', '320');
INSERT INTO public.who_import VALUES (33092, '2020-11-04', 'GH', 'Ghana', 'AFRO', '76', '48200', '0', '320');
INSERT INTO public.who_import VALUES (33093, '2020-11-05', 'GH', 'Ghana', 'AFRO', '443', '48643', '0', '320');
INSERT INTO public.who_import VALUES (33094, '2020-11-06', 'GH', 'Ghana', 'AFRO', '145', '48788', '0', '320');
INSERT INTO public.who_import VALUES (33095, '2020-11-07', 'GH', 'Ghana', 'AFRO', '0', '48788', '0', '320');
INSERT INTO public.who_import VALUES (33096, '2020-11-08', 'GH', 'Ghana', 'AFRO', '0', '48788', '0', '320');
INSERT INTO public.who_import VALUES (33097, '2020-11-09', 'GH', 'Ghana', 'AFRO', '414', '49202', '0', '320');
INSERT INTO public.who_import VALUES (33098, '2020-11-10', 'GH', 'Ghana', 'AFRO', '0', '49202', '0', '320');
INSERT INTO public.who_import VALUES (33099, '2020-11-11', 'GH', 'Ghana', 'AFRO', '100', '49302', '0', '320');
INSERT INTO public.who_import VALUES (33100, '2020-11-12', 'GH', 'Ghana', 'AFRO', '0', '49302', '0', '320');
INSERT INTO public.who_import VALUES (33101, '2020-11-13', 'GH', 'Ghana', 'AFRO', '716', '50018', '0', '320');
INSERT INTO public.who_import VALUES (33102, '2020-11-14', 'GH', 'Ghana', 'AFRO', '0', '50018', '0', '320');
INSERT INTO public.who_import VALUES (33103, '2020-11-15', 'GH', 'Ghana', 'AFRO', '0', '50018', '0', '320');
INSERT INTO public.who_import VALUES (33104, '2020-11-16', 'GH', 'Ghana', 'AFRO', '105', '50123', '2', '322');
INSERT INTO public.who_import VALUES (33105, '2020-11-17', 'GH', 'Ghana', 'AFRO', '0', '50123', '0', '322');
INSERT INTO public.who_import VALUES (33106, '2020-11-18', 'GH', 'Ghana', 'AFRO', '334', '50457', '1', '323');
INSERT INTO public.who_import VALUES (33107, '2020-11-19', 'GH', 'Ghana', 'AFRO', '0', '50457', '0', '323');
INSERT INTO public.who_import VALUES (33108, '2020-11-20', 'GH', 'Ghana', 'AFRO', '174', '50631', '0', '323');
INSERT INTO public.who_import VALUES (33109, '2020-11-21', 'GH', 'Ghana', 'AFRO', '0', '50631', '0', '323');
INSERT INTO public.who_import VALUES (33110, '2020-11-22', 'GH', 'Ghana', 'AFRO', '243', '50874', '0', '323');
INSERT INTO public.who_import VALUES (33111, '2020-11-23', 'GH', 'Ghana', 'AFRO', '0', '50874', '0', '323');
INSERT INTO public.who_import VALUES (33112, '2020-11-24', 'GH', 'Ghana', 'AFRO', '67', '50941', '0', '323');
INSERT INTO public.who_import VALUES (33113, '2020-11-25', 'GH', 'Ghana', 'AFRO', '243', '51184', '0', '323');
INSERT INTO public.who_import VALUES (33114, '2020-11-26', 'GH', 'Ghana', 'AFRO', '41', '51225', '0', '323');
INSERT INTO public.who_import VALUES (33115, '2020-11-27', 'GH', 'Ghana', 'AFRO', '0', '51225', '0', '323');
INSERT INTO public.who_import VALUES (33116, '2020-11-28', 'GH', 'Ghana', 'AFRO', '0', '51225', '0', '323');
INSERT INTO public.who_import VALUES (33117, '2020-11-29', 'GH', 'Ghana', 'AFRO', '154', '51379', '0', '323');
INSERT INTO public.who_import VALUES (33118, '2020-11-30', 'GH', 'Ghana', 'AFRO', '190', '51569', '0', '323');
INSERT INTO public.who_import VALUES (33119, '2020-12-01', 'GH', 'Ghana', 'AFRO', '98', '51667', '0', '323');
INSERT INTO public.who_import VALUES (33120, '2020-12-02', 'GH', 'Ghana', 'AFRO', '0', '51667', '0', '323');
INSERT INTO public.who_import VALUES (33121, '2020-12-03', 'GH', 'Ghana', 'AFRO', '0', '51667', '0', '323');
INSERT INTO public.who_import VALUES (33122, '2020-12-04', 'GH', 'Ghana', 'AFRO', '0', '51667', '0', '323');
INSERT INTO public.who_import VALUES (33123, '2020-12-05', 'GH', 'Ghana', 'AFRO', '429', '52096', '2', '325');
INSERT INTO public.who_import VALUES (33124, '2020-12-06', 'GH', 'Ghana', 'AFRO', '0', '52096', '0', '325');
INSERT INTO public.who_import VALUES (33125, '2020-12-07', 'GH', 'Ghana', 'AFRO', '178', '52274', '0', '325');
INSERT INTO public.who_import VALUES (33126, '2020-12-08', 'GH', 'Ghana', 'AFRO', '0', '52274', '0', '325');
INSERT INTO public.who_import VALUES (33127, '2020-12-09', 'GH', 'Ghana', 'AFRO', '226', '52500', '1', '326');
INSERT INTO public.who_import VALUES (33128, '2020-12-10', 'GH', 'Ghana', 'AFRO', '122', '52622', '0', '326');
INSERT INTO public.who_import VALUES (33129, '2020-12-11', 'GH', 'Ghana', 'AFRO', '116', '52738', '0', '326');
INSERT INTO public.who_import VALUES (33130, '2020-12-12', 'GH', 'Ghana', 'AFRO', '0', '52738', '0', '326');
INSERT INTO public.who_import VALUES (33131, '2020-12-13', 'GH', 'Ghana', 'AFRO', '195', '52933', '1', '327');
INSERT INTO public.who_import VALUES (33132, '2020-12-14', 'GH', 'Ghana', 'AFRO', '0', '52933', '0', '327');
INSERT INTO public.who_import VALUES (33133, '2020-12-15', 'GH', 'Ghana', 'AFRO', '81', '53014', '0', '327');
INSERT INTO public.who_import VALUES (33134, '2020-12-16', 'GH', 'Ghana', 'AFRO', '372', '53386', '0', '327');
INSERT INTO public.who_import VALUES (33135, '2020-12-17', 'GH', 'Ghana', 'AFRO', '0', '53386', '0', '327');
INSERT INTO public.who_import VALUES (33136, '2020-12-18', 'GH', 'Ghana', 'AFRO', '167', '53553', '4', '331');
INSERT INTO public.who_import VALUES (33137, '2020-12-19', 'GH', 'Ghana', 'AFRO', '100', '53653', '0', '331');
INSERT INTO public.who_import VALUES (33138, '2020-12-20', 'GH', 'Ghana', 'AFRO', '0', '53653', '0', '331');
INSERT INTO public.who_import VALUES (33139, '2020-12-21', 'GH', 'Ghana', 'AFRO', '0', '53653', '0', '331');
INSERT INTO public.who_import VALUES (33140, '2020-12-22', 'GH', 'Ghana', 'AFRO', '301', '53954', '2', '333');
INSERT INTO public.who_import VALUES (33141, '2020-12-23', 'GH', 'Ghana', 'AFRO', '0', '53954', '0', '333');
INSERT INTO public.who_import VALUES (33142, '2020-12-24', 'GH', 'Ghana', 'AFRO', '89', '54043', '0', '333');
INSERT INTO public.who_import VALUES (33143, '2020-12-25', 'GH', 'Ghana', 'AFRO', '0', '54043', '0', '333');
INSERT INTO public.who_import VALUES (33144, '2020-12-26', 'GH', 'Ghana', 'AFRO', '0', '54043', '0', '333');
INSERT INTO public.who_import VALUES (33145, '2020-12-27', 'GH', 'Ghana', 'AFRO', '243', '54286', '0', '333');
INSERT INTO public.who_import VALUES (33146, '2020-12-28', 'GH', 'Ghana', 'AFRO', '115', '54401', '0', '333');
INSERT INTO public.who_import VALUES (33147, '2020-12-29', 'GH', 'Ghana', 'AFRO', '102', '54503', '0', '333');
INSERT INTO public.who_import VALUES (33148, '2020-12-30', 'GH', 'Ghana', 'AFRO', '178', '54681', '2', '335');
INSERT INTO public.who_import VALUES (33149, '2020-12-31', 'GH', 'Ghana', 'AFRO', '90', '54771', '0', '335');
INSERT INTO public.who_import VALUES (33150, '2021-01-01', 'GH', 'Ghana', 'AFRO', '0', '54771', '0', '335');
INSERT INTO public.who_import VALUES (33151, '2021-01-02', 'GH', 'Ghana', 'AFRO', '0', '54771', '0', '335');
INSERT INTO public.who_import VALUES (33152, '2021-01-03', 'GH', 'Ghana', 'AFRO', '293', '55064', '0', '335');
INSERT INTO public.who_import VALUES (33153, '2021-01-04', 'GH', 'Ghana', 'AFRO', '104', '55168', '0', '335');
INSERT INTO public.who_import VALUES (33154, '2021-01-05', 'GH', 'Ghana', 'AFRO', '0', '55168', '0', '335');
INSERT INTO public.who_import VALUES (33155, '2021-01-06', 'GH', 'Ghana', 'AFRO', '0', '55168', '0', '335');
INSERT INTO public.who_import VALUES (33156, '2021-01-07', 'GH', 'Ghana', 'AFRO', '0', '55168', '0', '335');
INSERT INTO public.who_import VALUES (33157, '2021-01-08', 'GH', 'Ghana', 'AFRO', '293', '55461', '1', '336');
INSERT INTO public.who_import VALUES (33158, '2021-01-09', 'GH', 'Ghana', 'AFRO', '0', '55461', '0', '336');
INSERT INTO public.who_import VALUES (33159, '2021-01-10', 'GH', 'Ghana', 'AFRO', '311', '55772', '0', '336');
INSERT INTO public.who_import VALUES (33160, '2021-01-11', 'GH', 'Ghana', 'AFRO', '0', '55772', '0', '336');
INSERT INTO public.who_import VALUES (33161, '2021-01-12', 'GH', 'Ghana', 'AFRO', '458', '56230', '2', '338');
INSERT INTO public.who_import VALUES (33162, '2021-01-13', 'GH', 'Ghana', 'AFRO', '191', '56421', '0', '338');
INSERT INTO public.who_import VALUES (33163, '2021-01-14', 'GH', 'Ghana', 'AFRO', '560', '56981', '3', '341');
INSERT INTO public.who_import VALUES (33164, '2021-01-15', 'GH', 'Ghana', 'AFRO', '0', '56981', '0', '341');
INSERT INTO public.who_import VALUES (33165, '2021-01-16', 'GH', 'Ghana', 'AFRO', '0', '56981', '0', '341');
INSERT INTO public.who_import VALUES (33166, '2021-01-17', 'GH', 'Ghana', 'AFRO', '0', '56981', '0', '341');
INSERT INTO public.who_import VALUES (33167, '2021-01-18', 'GH', 'Ghana', 'AFRO', '733', '57714', '5', '346');
INSERT INTO public.who_import VALUES (33168, '2021-01-19', 'GH', 'Ghana', 'AFRO', '351', '58065', '6', '352');
INSERT INTO public.who_import VALUES (33169, '2021-01-20', 'GH', 'Ghana', 'AFRO', '366', '58431', '6', '358');
INSERT INTO public.who_import VALUES (33170, '2021-01-21', 'GH', 'Ghana', 'AFRO', '391', '58822', '0', '358');
INSERT INTO public.who_import VALUES (33171, '2021-01-22', 'GH', 'Ghana', 'AFRO', '658', '59480', '3', '361');
INSERT INTO public.who_import VALUES (33172, '2021-01-23', 'GH', 'Ghana', 'AFRO', '0', '59480', '0', '361');
INSERT INTO public.who_import VALUES (33173, '2021-01-24', 'GH', 'Ghana', 'AFRO', '635', '60115', '0', '361');
INSERT INTO public.who_import VALUES (33174, '2021-01-25', 'GH', 'Ghana', 'AFRO', '679', '60794', '6', '367');
INSERT INTO public.who_import VALUES (33175, '2021-01-26', 'GH', 'Ghana', 'AFRO', '1341', '62135', '5', '372');
INSERT INTO public.who_import VALUES (33176, '2021-01-27', 'GH', 'Ghana', 'AFRO', '0', '62135', '0', '372');
INSERT INTO public.who_import VALUES (33177, '2021-01-28', 'GH', 'Ghana', 'AFRO', '616', '62751', '5', '377');
INSERT INTO public.who_import VALUES (33178, '2021-01-29', 'GH', 'Ghana', 'AFRO', '1132', '63883', '13', '390');
INSERT INTO public.who_import VALUES (33179, '2021-01-30', 'GH', 'Ghana', 'AFRO', '0', '63883', '0', '390');
INSERT INTO public.who_import VALUES (33180, '2021-01-31', 'GH', 'Ghana', 'AFRO', '1544', '65427', '15', '405');
INSERT INTO public.who_import VALUES (33181, '2021-02-01', 'GH', 'Ghana', 'AFRO', '1583', '67010', '11', '416');
INSERT INTO public.who_import VALUES (33182, '2021-02-02', 'GH', 'Ghana', 'AFRO', '0', '67010', '0', '416');
INSERT INTO public.who_import VALUES (33183, '2021-02-03', 'GH', 'Ghana', 'AFRO', '772', '67782', '8', '424');
INSERT INTO public.who_import VALUES (33184, '2021-02-04', 'GH', 'Ghana', 'AFRO', '0', '67782', '0', '424');
INSERT INTO public.who_import VALUES (33185, '2021-02-05', 'GH', 'Ghana', 'AFRO', '777', '68559', '9', '433');
INSERT INTO public.who_import VALUES (33186, '2021-02-06', 'GH', 'Ghana', 'AFRO', '1481', '70040', '16', '449');
INSERT INTO public.who_import VALUES (33187, '2021-02-07', 'GH', 'Ghana', 'AFRO', '6', '70046', '0', '449');
INSERT INTO public.who_import VALUES (33188, '2021-02-08', 'GH', 'Ghana', 'AFRO', '722', '70768', '8', '457');
INSERT INTO public.who_import VALUES (33189, '2021-02-09', 'GH', 'Ghana', 'AFRO', '765', '71533', '7', '464');
INSERT INTO public.who_import VALUES (33190, '2021-02-10', 'GH', 'Ghana', 'AFRO', '1470', '73003', '18', '482');
INSERT INTO public.who_import VALUES (33191, '2021-02-11', 'GH', 'Ghana', 'AFRO', '0', '73003', '0', '482');
INSERT INTO public.who_import VALUES (33192, '2021-02-12', 'GH', 'Ghana', 'AFRO', '554', '73557', '12', '494');
INSERT INTO public.who_import VALUES (33193, '2021-02-13', 'GH', 'Ghana', 'AFRO', '790', '74347', '11', '505');
INSERT INTO public.who_import VALUES (33194, '2021-02-14', 'GH', 'Ghana', 'AFRO', '771', '75118', '13', '518');
INSERT INTO public.who_import VALUES (33195, '2021-02-15', 'GH', 'Ghana', 'AFRO', '718', '75836', '15', '533');
INSERT INTO public.who_import VALUES (33196, '2021-02-16', 'GH', 'Ghana', 'AFRO', '656', '76492', '9', '542');
INSERT INTO public.who_import VALUES (33197, '2021-02-17', 'GH', 'Ghana', 'AFRO', '1256', '77748', '19', '561');
INSERT INTO public.who_import VALUES (33198, '2021-02-18', 'GH', 'Ghana', 'AFRO', '0', '77748', '0', '561');
INSERT INTO public.who_import VALUES (33199, '2021-02-19', 'GH', 'Ghana', 'AFRO', '941', '78689', '7', '568');
INSERT INTO public.who_import VALUES (33200, '2021-02-20', 'GH', 'Ghana', 'AFRO', '476', '79165', '0', '568');
INSERT INTO public.who_import VALUES (33201, '2020-01-03', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33202, '2020-01-04', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33203, '2020-01-05', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33204, '2020-01-06', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33205, '2020-01-07', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33206, '2020-01-08', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33207, '2020-01-09', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33208, '2020-01-10', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33209, '2020-01-11', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33210, '2020-01-12', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33211, '2020-01-13', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33212, '2020-01-14', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33213, '2020-01-15', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33214, '2020-01-16', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33215, '2020-01-17', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33216, '2020-01-18', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33217, '2020-01-19', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33218, '2020-01-20', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33219, '2020-01-21', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33220, '2020-01-22', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33221, '2020-01-23', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33222, '2020-01-24', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33223, '2020-01-25', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33224, '2020-01-26', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33225, '2020-01-27', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33226, '2020-01-28', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33227, '2020-01-29', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33228, '2020-01-30', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33229, '2020-01-31', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33230, '2020-02-01', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33231, '2020-02-02', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33232, '2020-02-03', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33233, '2020-02-04', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33234, '2020-02-05', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33235, '2020-02-06', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33236, '2020-02-07', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33237, '2020-02-08', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33238, '2020-02-09', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33239, '2020-02-10', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33240, '2020-02-11', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33241, '2020-02-12', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33242, '2020-02-13', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33243, '2020-02-14', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33244, '2020-02-15', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33245, '2020-02-16', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33246, '2020-02-17', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33247, '2020-02-18', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33248, '2020-02-19', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33249, '2020-02-20', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33250, '2020-02-21', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33251, '2020-02-22', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33252, '2020-02-23', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33253, '2020-02-24', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33254, '2020-02-25', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33255, '2020-02-26', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33256, '2020-02-27', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33257, '2020-02-28', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33258, '2020-02-29', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33259, '2020-03-01', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33260, '2020-03-02', 'GI', 'Gibraltar', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33261, '2020-03-03', 'GI', 'Gibraltar', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (33262, '2020-03-04', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33263, '2020-03-05', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33264, '2020-03-06', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33265, '2020-03-07', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33266, '2020-03-08', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33267, '2020-03-09', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33268, '2020-03-10', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33269, '2020-03-11', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33270, '2020-03-12', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33271, '2020-03-13', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33272, '2020-03-14', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33273, '2020-03-15', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33274, '2020-03-16', 'GI', 'Gibraltar', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (33275, '2020-03-17', 'GI', 'Gibraltar', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (33276, '2020-03-18', 'GI', 'Gibraltar', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (33277, '2020-03-19', 'GI', 'Gibraltar', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (33278, '2020-03-20', 'GI', 'Gibraltar', 'EURO', '7', '10', '0', '0');
INSERT INTO public.who_import VALUES (33279, '2020-03-21', 'GI', 'Gibraltar', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (33280, '2020-03-22', 'GI', 'Gibraltar', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (33281, '2020-03-23', 'GI', 'Gibraltar', 'EURO', '5', '15', '0', '0');
INSERT INTO public.who_import VALUES (33282, '2020-03-24', 'GI', 'Gibraltar', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (33283, '2020-03-25', 'GI', 'Gibraltar', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (33284, '2020-03-26', 'GI', 'Gibraltar', 'EURO', '11', '26', '0', '0');
INSERT INTO public.who_import VALUES (33285, '2020-03-27', 'GI', 'Gibraltar', 'EURO', '9', '35', '0', '0');
INSERT INTO public.who_import VALUES (33286, '2020-03-28', 'GI', 'Gibraltar', 'EURO', '20', '55', '0', '0');
INSERT INTO public.who_import VALUES (33287, '2020-03-29', 'GI', 'Gibraltar', 'EURO', '1', '56', '0', '0');
INSERT INTO public.who_import VALUES (33288, '2020-03-30', 'GI', 'Gibraltar', 'EURO', '9', '65', '0', '0');
INSERT INTO public.who_import VALUES (33289, '2020-03-31', 'GI', 'Gibraltar', 'EURO', '4', '69', '0', '0');
INSERT INTO public.who_import VALUES (33290, '2020-04-01', 'GI', 'Gibraltar', 'EURO', '0', '69', '0', '0');
INSERT INTO public.who_import VALUES (33291, '2020-04-02', 'GI', 'Gibraltar', 'EURO', '0', '69', '0', '0');
INSERT INTO public.who_import VALUES (33292, '2020-04-03', 'GI', 'Gibraltar', 'EURO', '12', '81', '0', '0');
INSERT INTO public.who_import VALUES (33293, '2020-04-04', 'GI', 'Gibraltar', 'EURO', '14', '95', '0', '0');
INSERT INTO public.who_import VALUES (33294, '2020-04-05', 'GI', 'Gibraltar', 'EURO', '3', '98', '0', '0');
INSERT INTO public.who_import VALUES (33295, '2020-04-06', 'GI', 'Gibraltar', 'EURO', '5', '103', '0', '0');
INSERT INTO public.who_import VALUES (33296, '2020-04-07', 'GI', 'Gibraltar', 'EURO', '0', '103', '0', '0');
INSERT INTO public.who_import VALUES (33297, '2020-04-08', 'GI', 'Gibraltar', 'EURO', '10', '113', '0', '0');
INSERT INTO public.who_import VALUES (33298, '2020-04-09', 'GI', 'Gibraltar', 'EURO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (33299, '2020-04-10', 'GI', 'Gibraltar', 'EURO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (33300, '2020-04-11', 'GI', 'Gibraltar', 'EURO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (33301, '2020-04-12', 'GI', 'Gibraltar', 'EURO', '0', '113', '0', '0');
INSERT INTO public.who_import VALUES (33302, '2020-04-13', 'GI', 'Gibraltar', 'EURO', '16', '129', '0', '0');
INSERT INTO public.who_import VALUES (33303, '2020-04-14', 'GI', 'Gibraltar', 'EURO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (33304, '2020-04-15', 'GI', 'Gibraltar', 'EURO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (33305, '2020-04-16', 'GI', 'Gibraltar', 'EURO', '0', '129', '0', '0');
INSERT INTO public.who_import VALUES (33306, '2020-04-17', 'GI', 'Gibraltar', 'EURO', '2', '131', '0', '0');
INSERT INTO public.who_import VALUES (33307, '2020-04-18', 'GI', 'Gibraltar', 'EURO', '2', '133', '0', '0');
INSERT INTO public.who_import VALUES (33308, '2020-04-19', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33309, '2020-04-20', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33310, '2020-04-21', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33311, '2020-04-22', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33312, '2020-04-23', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33313, '2020-04-24', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33314, '2020-04-25', 'GI', 'Gibraltar', 'EURO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (33315, '2020-04-26', 'GI', 'Gibraltar', 'EURO', '3', '136', '0', '0');
INSERT INTO public.who_import VALUES (33316, '2020-04-27', 'GI', 'Gibraltar', 'EURO', '5', '141', '0', '0');
INSERT INTO public.who_import VALUES (33317, '2020-04-28', 'GI', 'Gibraltar', 'EURO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (33318, '2020-04-29', 'GI', 'Gibraltar', 'EURO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (33319, '2020-04-30', 'GI', 'Gibraltar', 'EURO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (33320, '2020-05-01', 'GI', 'Gibraltar', 'EURO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (33321, '2020-05-02', 'GI', 'Gibraltar', 'EURO', '3', '144', '0', '0');
INSERT INTO public.who_import VALUES (33322, '2020-05-03', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33323, '2020-05-04', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33324, '2020-05-05', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33325, '2020-05-06', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33326, '2020-05-07', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33327, '2020-05-08', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33328, '2020-05-09', 'GI', 'Gibraltar', 'EURO', '0', '144', '0', '0');
INSERT INTO public.who_import VALUES (33329, '2020-05-10', 'GI', 'Gibraltar', 'EURO', '2', '146', '0', '0');
INSERT INTO public.who_import VALUES (33330, '2020-05-11', 'GI', 'Gibraltar', 'EURO', '0', '146', '0', '0');
INSERT INTO public.who_import VALUES (33331, '2020-05-12', 'GI', 'Gibraltar', 'EURO', '0', '146', '0', '0');
INSERT INTO public.who_import VALUES (33332, '2020-05-13', 'GI', 'Gibraltar', 'EURO', '1', '147', '0', '0');
INSERT INTO public.who_import VALUES (33333, '2020-05-14', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33334, '2020-05-15', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33335, '2020-05-16', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33336, '2020-05-17', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33337, '2020-05-18', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33338, '2020-05-19', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33339, '2020-05-20', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33340, '2020-05-21', 'GI', 'Gibraltar', 'EURO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (33341, '2020-05-22', 'GI', 'Gibraltar', 'EURO', '2', '149', '0', '0');
INSERT INTO public.who_import VALUES (33342, '2020-05-23', 'GI', 'Gibraltar', 'EURO', '2', '151', '0', '0');
INSERT INTO public.who_import VALUES (33343, '2020-05-24', 'GI', 'Gibraltar', 'EURO', '0', '151', '0', '0');
INSERT INTO public.who_import VALUES (33344, '2020-05-25', 'GI', 'Gibraltar', 'EURO', '3', '154', '0', '0');
INSERT INTO public.who_import VALUES (33345, '2020-05-26', 'GI', 'Gibraltar', 'EURO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (33346, '2020-05-27', 'GI', 'Gibraltar', 'EURO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (33347, '2020-05-28', 'GI', 'Gibraltar', 'EURO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (33348, '2020-05-29', 'GI', 'Gibraltar', 'EURO', '3', '157', '0', '0');
INSERT INTO public.who_import VALUES (33349, '2020-05-30', 'GI', 'Gibraltar', 'EURO', '1', '158', '0', '0');
INSERT INTO public.who_import VALUES (33350, '2020-05-31', 'GI', 'Gibraltar', 'EURO', '3', '161', '0', '0');
INSERT INTO public.who_import VALUES (33351, '2020-06-01', 'GI', 'Gibraltar', 'EURO', '8', '169', '0', '0');
INSERT INTO public.who_import VALUES (33352, '2020-06-02', 'GI', 'Gibraltar', 'EURO', '1', '170', '0', '0');
INSERT INTO public.who_import VALUES (33353, '2020-06-03', 'GI', 'Gibraltar', 'EURO', '0', '170', '0', '0');
INSERT INTO public.who_import VALUES (33354, '2020-06-04', 'GI', 'Gibraltar', 'EURO', '2', '172', '0', '0');
INSERT INTO public.who_import VALUES (33355, '2020-06-05', 'GI', 'Gibraltar', 'EURO', '1', '173', '0', '0');
INSERT INTO public.who_import VALUES (33356, '2020-06-06', 'GI', 'Gibraltar', 'EURO', '1', '174', '0', '0');
INSERT INTO public.who_import VALUES (33357, '2020-06-07', 'GI', 'Gibraltar', 'EURO', '0', '174', '0', '0');
INSERT INTO public.who_import VALUES (33358, '2020-06-08', 'GI', 'Gibraltar', 'EURO', '1', '175', '0', '0');
INSERT INTO public.who_import VALUES (33359, '2020-06-09', 'GI', 'Gibraltar', 'EURO', '1', '176', '0', '0');
INSERT INTO public.who_import VALUES (33360, '2020-06-10', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33361, '2020-06-11', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33362, '2020-06-12', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33363, '2020-06-13', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33364, '2020-06-14', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33365, '2020-06-15', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33366, '2020-06-16', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33367, '2020-06-17', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33368, '2020-06-18', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33369, '2020-06-19', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33370, '2020-06-20', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33371, '2020-06-21', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33372, '2020-06-22', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33373, '2020-06-23', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33374, '2020-06-24', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33375, '2020-06-25', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33376, '2020-06-26', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33377, '2020-06-27', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33378, '2020-06-28', 'GI', 'Gibraltar', 'EURO', '0', '176', '0', '0');
INSERT INTO public.who_import VALUES (33379, '2020-06-29', 'GI', 'Gibraltar', 'EURO', '1', '177', '0', '0');
INSERT INTO public.who_import VALUES (33380, '2020-06-30', 'GI', 'Gibraltar', 'EURO', '0', '177', '0', '0');
INSERT INTO public.who_import VALUES (33381, '2020-07-01', 'GI', 'Gibraltar', 'EURO', '0', '177', '0', '0');
INSERT INTO public.who_import VALUES (33382, '2020-07-02', 'GI', 'Gibraltar', 'EURO', '0', '177', '0', '0');
INSERT INTO public.who_import VALUES (33383, '2020-07-03', 'GI', 'Gibraltar', 'EURO', '1', '178', '0', '0');
INSERT INTO public.who_import VALUES (33384, '2020-07-04', 'GI', 'Gibraltar', 'EURO', '0', '178', '0', '0');
INSERT INTO public.who_import VALUES (33385, '2020-07-05', 'GI', 'Gibraltar', 'EURO', '0', '178', '0', '0');
INSERT INTO public.who_import VALUES (33386, '2020-07-06', 'GI', 'Gibraltar', 'EURO', '0', '178', '0', '0');
INSERT INTO public.who_import VALUES (33387, '2020-07-07', 'GI', 'Gibraltar', 'EURO', '1', '179', '0', '0');
INSERT INTO public.who_import VALUES (33388, '2020-07-08', 'GI', 'Gibraltar', 'EURO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (33389, '2020-07-09', 'GI', 'Gibraltar', 'EURO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (33390, '2020-07-10', 'GI', 'Gibraltar', 'EURO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (33391, '2020-07-11', 'GI', 'Gibraltar', 'EURO', '1', '180', '0', '0');
INSERT INTO public.who_import VALUES (33392, '2020-07-12', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33393, '2020-07-13', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33394, '2020-07-14', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33395, '2020-07-15', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33396, '2020-07-16', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33397, '2020-07-17', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33398, '2020-07-18', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33399, '2020-07-19', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33400, '2020-07-20', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33401, '2020-07-21', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33402, '2020-07-22', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33403, '2020-07-23', 'GI', 'Gibraltar', 'EURO', '0', '180', '0', '0');
INSERT INTO public.who_import VALUES (33404, '2020-07-24', 'GI', 'Gibraltar', 'EURO', '2', '182', '0', '0');
INSERT INTO public.who_import VALUES (33405, '2020-07-25', 'GI', 'Gibraltar', 'EURO', '2', '184', '0', '0');
INSERT INTO public.who_import VALUES (33406, '2020-07-26', 'GI', 'Gibraltar', 'EURO', '1', '185', '0', '0');
INSERT INTO public.who_import VALUES (33407, '2020-07-27', 'GI', 'Gibraltar', 'EURO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (33408, '2020-07-28', 'GI', 'Gibraltar', 'EURO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (33409, '2020-07-29', 'GI', 'Gibraltar', 'EURO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (33410, '2020-07-30', 'GI', 'Gibraltar', 'EURO', '1', '186', '0', '0');
INSERT INTO public.who_import VALUES (33411, '2020-07-31', 'GI', 'Gibraltar', 'EURO', '0', '186', '0', '0');
INSERT INTO public.who_import VALUES (33412, '2020-08-01', 'GI', 'Gibraltar', 'EURO', '1', '187', '0', '0');
INSERT INTO public.who_import VALUES (33413, '2020-08-02', 'GI', 'Gibraltar', 'EURO', '0', '187', '0', '0');
INSERT INTO public.who_import VALUES (33414, '2020-08-03', 'GI', 'Gibraltar', 'EURO', '1', '188', '0', '0');
INSERT INTO public.who_import VALUES (33415, '2020-08-04', 'GI', 'Gibraltar', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (33416, '2020-08-05', 'GI', 'Gibraltar', 'EURO', '0', '188', '0', '0');
INSERT INTO public.who_import VALUES (33417, '2020-08-06', 'GI', 'Gibraltar', 'EURO', '1', '189', '0', '0');
INSERT INTO public.who_import VALUES (33418, '2020-08-07', 'GI', 'Gibraltar', 'EURO', '0', '189', '0', '0');
INSERT INTO public.who_import VALUES (33419, '2020-08-08', 'GI', 'Gibraltar', 'EURO', '1', '190', '0', '0');
INSERT INTO public.who_import VALUES (33420, '2020-08-09', 'GI', 'Gibraltar', 'EURO', '3', '193', '0', '0');
INSERT INTO public.who_import VALUES (33421, '2020-08-10', 'GI', 'Gibraltar', 'EURO', '4', '197', '0', '0');
INSERT INTO public.who_import VALUES (33422, '2020-08-11', 'GI', 'Gibraltar', 'EURO', '0', '197', '0', '0');
INSERT INTO public.who_import VALUES (33423, '2020-08-12', 'GI', 'Gibraltar', 'EURO', '4', '201', '0', '0');
INSERT INTO public.who_import VALUES (33424, '2020-08-13', 'GI', 'Gibraltar', 'EURO', '1', '202', '0', '0');
INSERT INTO public.who_import VALUES (33425, '2020-08-14', 'GI', 'Gibraltar', 'EURO', '1', '203', '0', '0');
INSERT INTO public.who_import VALUES (33426, '2020-08-15', 'GI', 'Gibraltar', 'EURO', '2', '205', '0', '0');
INSERT INTO public.who_import VALUES (33427, '2020-08-16', 'GI', 'Gibraltar', 'EURO', '1', '206', '0', '0');
INSERT INTO public.who_import VALUES (33428, '2020-08-17', 'GI', 'Gibraltar', 'EURO', '3', '209', '0', '0');
INSERT INTO public.who_import VALUES (33429, '2020-08-18', 'GI', 'Gibraltar', 'EURO', '6', '215', '0', '0');
INSERT INTO public.who_import VALUES (33430, '2020-08-19', 'GI', 'Gibraltar', 'EURO', '2', '217', '0', '0');
INSERT INTO public.who_import VALUES (33431, '2020-08-20', 'GI', 'Gibraltar', 'EURO', '5', '222', '0', '0');
INSERT INTO public.who_import VALUES (33432, '2020-08-21', 'GI', 'Gibraltar', 'EURO', '1', '223', '0', '0');
INSERT INTO public.who_import VALUES (33433, '2020-08-22', 'GI', 'Gibraltar', 'EURO', '6', '229', '0', '0');
INSERT INTO public.who_import VALUES (33434, '2020-08-23', 'GI', 'Gibraltar', 'EURO', '0', '229', '0', '0');
INSERT INTO public.who_import VALUES (33435, '2020-08-24', 'GI', 'Gibraltar', 'EURO', '10', '239', '0', '0');
INSERT INTO public.who_import VALUES (33436, '2020-08-25', 'GI', 'Gibraltar', 'EURO', '7', '246', '0', '0');
INSERT INTO public.who_import VALUES (33437, '2020-08-26', 'GI', 'Gibraltar', 'EURO', '2', '248', '0', '0');
INSERT INTO public.who_import VALUES (33438, '2020-08-27', 'GI', 'Gibraltar', 'EURO', '8', '256', '0', '0');
INSERT INTO public.who_import VALUES (33439, '2020-08-28', 'GI', 'Gibraltar', 'EURO', '14', '270', '0', '0');
INSERT INTO public.who_import VALUES (33440, '2020-08-29', 'GI', 'Gibraltar', 'EURO', '2', '272', '0', '0');
INSERT INTO public.who_import VALUES (33441, '2020-08-30', 'GI', 'Gibraltar', 'EURO', '2', '274', '0', '0');
INSERT INTO public.who_import VALUES (33442, '2020-08-31', 'GI', 'Gibraltar', 'EURO', '1', '275', '0', '0');
INSERT INTO public.who_import VALUES (33443, '2020-09-01', 'GI', 'Gibraltar', 'EURO', '10', '285', '0', '0');
INSERT INTO public.who_import VALUES (33444, '2020-09-02', 'GI', 'Gibraltar', 'EURO', '3', '288', '0', '0');
INSERT INTO public.who_import VALUES (33445, '2020-09-03', 'GI', 'Gibraltar', 'EURO', '2', '290', '0', '0');
INSERT INTO public.who_import VALUES (33446, '2020-09-04', 'GI', 'Gibraltar', 'EURO', '5', '295', '0', '0');
INSERT INTO public.who_import VALUES (33447, '2020-09-05', 'GI', 'Gibraltar', 'EURO', '3', '298', '0', '0');
INSERT INTO public.who_import VALUES (33448, '2020-09-06', 'GI', 'Gibraltar', 'EURO', '7', '305', '0', '0');
INSERT INTO public.who_import VALUES (33449, '2020-09-07', 'GI', 'Gibraltar', 'EURO', '7', '312', '0', '0');
INSERT INTO public.who_import VALUES (33450, '2020-09-08', 'GI', 'Gibraltar', 'EURO', '3', '315', '0', '0');
INSERT INTO public.who_import VALUES (33451, '2020-09-09', 'GI', 'Gibraltar', 'EURO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (33452, '2020-09-10', 'GI', 'Gibraltar', 'EURO', '5', '320', '0', '0');
INSERT INTO public.who_import VALUES (33453, '2020-09-11', 'GI', 'Gibraltar', 'EURO', '2', '322', '0', '0');
INSERT INTO public.who_import VALUES (33454, '2020-09-12', 'GI', 'Gibraltar', 'EURO', '1', '323', '0', '0');
INSERT INTO public.who_import VALUES (33455, '2020-09-13', 'GI', 'Gibraltar', 'EURO', '0', '323', '0', '0');
INSERT INTO public.who_import VALUES (33456, '2020-09-14', 'GI', 'Gibraltar', 'EURO', '4', '327', '0', '0');
INSERT INTO public.who_import VALUES (33457, '2020-09-15', 'GI', 'Gibraltar', 'EURO', '3', '330', '0', '0');
INSERT INTO public.who_import VALUES (33458, '2020-09-16', 'GI', 'Gibraltar', 'EURO', '0', '330', '0', '0');
INSERT INTO public.who_import VALUES (33459, '2020-09-17', 'GI', 'Gibraltar', 'EURO', '4', '334', '0', '0');
INSERT INTO public.who_import VALUES (33460, '2020-09-18', 'GI', 'Gibraltar', 'EURO', '6', '340', '0', '0');
INSERT INTO public.who_import VALUES (33461, '2020-09-19', 'GI', 'Gibraltar', 'EURO', '3', '343', '0', '0');
INSERT INTO public.who_import VALUES (33462, '2020-09-20', 'GI', 'Gibraltar', 'EURO', '3', '346', '0', '0');
INSERT INTO public.who_import VALUES (33463, '2020-09-21', 'GI', 'Gibraltar', 'EURO', '4', '350', '0', '0');
INSERT INTO public.who_import VALUES (33464, '2020-09-22', 'GI', 'Gibraltar', 'EURO', '0', '350', '0', '0');
INSERT INTO public.who_import VALUES (33465, '2020-09-23', 'GI', 'Gibraltar', 'EURO', '0', '350', '0', '0');
INSERT INTO public.who_import VALUES (33466, '2020-09-24', 'GI', 'Gibraltar', 'EURO', '5', '355', '0', '0');
INSERT INTO public.who_import VALUES (33467, '2020-09-25', 'GI', 'Gibraltar', 'EURO', '2', '357', '0', '0');
INSERT INTO public.who_import VALUES (33468, '2020-09-26', 'GI', 'Gibraltar', 'EURO', '4', '361', '0', '0');
INSERT INTO public.who_import VALUES (33469, '2020-09-27', 'GI', 'Gibraltar', 'EURO', '3', '364', '0', '0');
INSERT INTO public.who_import VALUES (33470, '2020-09-28', 'GI', 'Gibraltar', 'EURO', '8', '372', '0', '0');
INSERT INTO public.who_import VALUES (33471, '2020-09-29', 'GI', 'Gibraltar', 'EURO', '7', '379', '0', '0');
INSERT INTO public.who_import VALUES (33472, '2020-09-30', 'GI', 'Gibraltar', 'EURO', '3', '382', '0', '0');
INSERT INTO public.who_import VALUES (33473, '2020-10-01', 'GI', 'Gibraltar', 'EURO', '9', '391', '0', '0');
INSERT INTO public.who_import VALUES (33474, '2020-10-02', 'GI', 'Gibraltar', 'EURO', '5', '396', '0', '0');
INSERT INTO public.who_import VALUES (33475, '2020-10-03', 'GI', 'Gibraltar', 'EURO', '14', '410', '0', '0');
INSERT INTO public.who_import VALUES (33476, '2020-10-04', 'GI', 'Gibraltar', 'EURO', '6', '416', '0', '0');
INSERT INTO public.who_import VALUES (33477, '2020-10-05', 'GI', 'Gibraltar', 'EURO', '12', '428', '0', '0');
INSERT INTO public.who_import VALUES (33478, '2020-10-06', 'GI', 'Gibraltar', 'EURO', '4', '432', '0', '0');
INSERT INTO public.who_import VALUES (33479, '2020-10-07', 'GI', 'Gibraltar', 'EURO', '0', '432', '0', '0');
INSERT INTO public.who_import VALUES (33480, '2020-10-08', 'GI', 'Gibraltar', 'EURO', '5', '437', '0', '0');
INSERT INTO public.who_import VALUES (33481, '2020-10-09', 'GI', 'Gibraltar', 'EURO', '8', '445', '0', '0');
INSERT INTO public.who_import VALUES (33482, '2020-10-10', 'GI', 'Gibraltar', 'EURO', '7', '452', '0', '0');
INSERT INTO public.who_import VALUES (33483, '2020-10-11', 'GI', 'Gibraltar', 'EURO', '16', '468', '0', '0');
INSERT INTO public.who_import VALUES (33484, '2020-10-12', 'GI', 'Gibraltar', 'EURO', '8', '476', '0', '0');
INSERT INTO public.who_import VALUES (33485, '2020-10-13', 'GI', 'Gibraltar', 'EURO', '9', '485', '0', '0');
INSERT INTO public.who_import VALUES (33486, '2020-10-14', 'GI', 'Gibraltar', 'EURO', '1', '486', '0', '0');
INSERT INTO public.who_import VALUES (33487, '2020-10-15', 'GI', 'Gibraltar', 'EURO', '13', '499', '0', '0');
INSERT INTO public.who_import VALUES (33488, '2020-10-16', 'GI', 'Gibraltar', 'EURO', '17', '516', '0', '0');
INSERT INTO public.who_import VALUES (33489, '2020-10-17', 'GI', 'Gibraltar', 'EURO', '15', '531', '0', '0');
INSERT INTO public.who_import VALUES (33490, '2020-10-18', 'GI', 'Gibraltar', 'EURO', '13', '544', '0', '0');
INSERT INTO public.who_import VALUES (33491, '2020-10-19', 'GI', 'Gibraltar', 'EURO', '14', '558', '0', '0');
INSERT INTO public.who_import VALUES (33492, '2020-10-20', 'GI', 'Gibraltar', 'EURO', '13', '571', '0', '0');
INSERT INTO public.who_import VALUES (33493, '2020-10-21', 'GI', 'Gibraltar', 'EURO', '6', '577', '0', '0');
INSERT INTO public.who_import VALUES (33494, '2020-10-22', 'GI', 'Gibraltar', 'EURO', '31', '608', '0', '0');
INSERT INTO public.who_import VALUES (33495, '2020-10-23', 'GI', 'Gibraltar', 'EURO', '13', '621', '0', '0');
INSERT INTO public.who_import VALUES (33496, '2020-10-24', 'GI', 'Gibraltar', 'EURO', '9', '630', '0', '0');
INSERT INTO public.who_import VALUES (33497, '2020-10-25', 'GI', 'Gibraltar', 'EURO', '11', '641', '0', '0');
INSERT INTO public.who_import VALUES (33498, '2020-10-26', 'GI', 'Gibraltar', 'EURO', '19', '660', '0', '0');
INSERT INTO public.who_import VALUES (33499, '2020-10-27', 'GI', 'Gibraltar', 'EURO', '7', '667', '0', '0');
INSERT INTO public.who_import VALUES (33500, '2020-10-28', 'GI', 'Gibraltar', 'EURO', '3', '670', '0', '0');
INSERT INTO public.who_import VALUES (33501, '2020-10-29', 'GI', 'Gibraltar', 'EURO', '9', '679', '0', '0');
INSERT INTO public.who_import VALUES (33502, '2020-10-30', 'GI', 'Gibraltar', 'EURO', '3', '682', '0', '0');
INSERT INTO public.who_import VALUES (33503, '2020-10-31', 'GI', 'Gibraltar', 'EURO', '6', '688', '0', '0');
INSERT INTO public.who_import VALUES (33504, '2020-11-01', 'GI', 'Gibraltar', 'EURO', '5', '693', '0', '0');
INSERT INTO public.who_import VALUES (33505, '2020-11-02', 'GI', 'Gibraltar', 'EURO', '4', '697', '0', '0');
INSERT INTO public.who_import VALUES (33506, '2020-11-03', 'GI', 'Gibraltar', 'EURO', '6', '703', '0', '0');
INSERT INTO public.who_import VALUES (33507, '2020-11-04', 'GI', 'Gibraltar', 'EURO', '4', '707', '0', '0');
INSERT INTO public.who_import VALUES (33508, '2020-11-05', 'GI', 'Gibraltar', 'EURO', '23', '730', '0', '0');
INSERT INTO public.who_import VALUES (33509, '2020-11-06', 'GI', 'Gibraltar', 'EURO', '13', '743', '0', '0');
INSERT INTO public.who_import VALUES (33510, '2020-11-07', 'GI', 'Gibraltar', 'EURO', '11', '754', '0', '0');
INSERT INTO public.who_import VALUES (33511, '2020-11-08', 'GI', 'Gibraltar', 'EURO', '16', '770', '0', '0');
INSERT INTO public.who_import VALUES (33512, '2020-11-09', 'GI', 'Gibraltar', 'EURO', '15', '785', '0', '0');
INSERT INTO public.who_import VALUES (33513, '2020-11-10', 'GI', 'Gibraltar', 'EURO', '8', '793', '0', '0');
INSERT INTO public.who_import VALUES (33514, '2020-11-11', 'GI', 'Gibraltar', 'EURO', '12', '805', '0', '0');
INSERT INTO public.who_import VALUES (33515, '2020-11-12', 'GI', 'Gibraltar', 'EURO', '9', '814', '0', '0');
INSERT INTO public.who_import VALUES (33516, '2020-11-13', 'GI', 'Gibraltar', 'EURO', '28', '842', '1', '1');
INSERT INTO public.who_import VALUES (33517, '2020-11-14', 'GI', 'Gibraltar', 'EURO', '22', '864', '0', '1');
INSERT INTO public.who_import VALUES (33518, '2020-11-15', 'GI', 'Gibraltar', 'EURO', '12', '876', '0', '1');
INSERT INTO public.who_import VALUES (33519, '2020-11-16', 'GI', 'Gibraltar', 'EURO', '11', '887', '0', '1');
INSERT INTO public.who_import VALUES (33520, '2020-11-17', 'GI', 'Gibraltar', 'EURO', '15', '902', '0', '1');
INSERT INTO public.who_import VALUES (33521, '2020-11-18', 'GI', 'Gibraltar', 'EURO', '5', '907', '0', '1');
INSERT INTO public.who_import VALUES (33522, '2020-11-19', 'GI', 'Gibraltar', 'EURO', '8', '915', '1', '2');
INSERT INTO public.who_import VALUES (33523, '2020-11-20', 'GI', 'Gibraltar', 'EURO', '11', '926', '0', '2');
INSERT INTO public.who_import VALUES (33524, '2020-11-21', 'GI', 'Gibraltar', 'EURO', '5', '931', '1', '3');
INSERT INTO public.who_import VALUES (33525, '2020-11-22', 'GI', 'Gibraltar', 'EURO', '12', '943', '0', '3');
INSERT INTO public.who_import VALUES (33526, '2020-11-23', 'GI', 'Gibraltar', 'EURO', '10', '953', '0', '3');
INSERT INTO public.who_import VALUES (33527, '2020-11-24', 'GI', 'Gibraltar', 'EURO', '5', '958', '1', '4');
INSERT INTO public.who_import VALUES (33528, '2020-11-25', 'GI', 'Gibraltar', 'EURO', '9', '967', '1', '5');
INSERT INTO public.who_import VALUES (33529, '2020-11-26', 'GI', 'Gibraltar', 'EURO', '14', '981', '0', '5');
INSERT INTO public.who_import VALUES (33530, '2020-11-27', 'GI', 'Gibraltar', 'EURO', '10', '991', '0', '5');
INSERT INTO public.who_import VALUES (33531, '2020-11-28', 'GI', 'Gibraltar', 'EURO', '0', '991', '0', '5');
INSERT INTO public.who_import VALUES (33532, '2020-11-29', 'GI', 'Gibraltar', 'EURO', '8', '999', '0', '5');
INSERT INTO public.who_import VALUES (33533, '2020-11-30', 'GI', 'Gibraltar', 'EURO', '10', '1009', '0', '5');
INSERT INTO public.who_import VALUES (33534, '2020-12-01', 'GI', 'Gibraltar', 'EURO', '5', '1014', '0', '5');
INSERT INTO public.who_import VALUES (33535, '2020-12-02', 'GI', 'Gibraltar', 'EURO', '6', '1020', '0', '5');
INSERT INTO public.who_import VALUES (33536, '2020-12-03', 'GI', 'Gibraltar', 'EURO', '10', '1030', '0', '5');
INSERT INTO public.who_import VALUES (33537, '2020-12-04', 'GI', 'Gibraltar', 'EURO', '5', '1035', '0', '5');
INSERT INTO public.who_import VALUES (33538, '2020-12-05', 'GI', 'Gibraltar', 'EURO', '3', '1038', '0', '5');
INSERT INTO public.who_import VALUES (33539, '2020-12-06', 'GI', 'Gibraltar', 'EURO', '4', '1042', '0', '5');
INSERT INTO public.who_import VALUES (33540, '2020-12-07', 'GI', 'Gibraltar', 'EURO', '6', '1048', '0', '5');
INSERT INTO public.who_import VALUES (33541, '2020-12-08', 'GI', 'Gibraltar', 'EURO', '5', '1053', '0', '5');
INSERT INTO public.who_import VALUES (33542, '2020-12-09', 'GI', 'Gibraltar', 'EURO', '2', '1055', '0', '5');
INSERT INTO public.who_import VALUES (33543, '2020-12-10', 'GI', 'Gibraltar', 'EURO', '3', '1058', '0', '5');
INSERT INTO public.who_import VALUES (33544, '2020-12-11', 'GI', 'Gibraltar', 'EURO', '7', '1065', '0', '5');
INSERT INTO public.who_import VALUES (33545, '2020-12-12', 'GI', 'Gibraltar', 'EURO', '4', '1069', '0', '5');
INSERT INTO public.who_import VALUES (33546, '2020-12-13', 'GI', 'Gibraltar', 'EURO', '1', '1070', '0', '5');
INSERT INTO public.who_import VALUES (33547, '2020-12-14', 'GI', 'Gibraltar', 'EURO', '2', '1072', '0', '5');
INSERT INTO public.who_import VALUES (33548, '2020-12-15', 'GI', 'Gibraltar', 'EURO', '3', '1075', '0', '5');
INSERT INTO public.who_import VALUES (33549, '2020-12-16', 'GI', 'Gibraltar', 'EURO', '7', '1082', '1', '6');
INSERT INTO public.who_import VALUES (33550, '2020-12-17', 'GI', 'Gibraltar', 'EURO', '22', '1104', '0', '6');
INSERT INTO public.who_import VALUES (33551, '2020-12-18', 'GI', 'Gibraltar', 'EURO', '21', '1125', '0', '6');
INSERT INTO public.who_import VALUES (33552, '2020-12-19', 'GI', 'Gibraltar', 'EURO', '28', '1153', '0', '6');
INSERT INTO public.who_import VALUES (33553, '2020-12-20', 'GI', 'Gibraltar', 'EURO', '31', '1184', '0', '6');
INSERT INTO public.who_import VALUES (33554, '2020-12-21', 'GI', 'Gibraltar', 'EURO', '27', '1211', '0', '6');
INSERT INTO public.who_import VALUES (33555, '2020-12-22', 'GI', 'Gibraltar', 'EURO', '33', '1244', '0', '6');
INSERT INTO public.who_import VALUES (33556, '2020-12-23', 'GI', 'Gibraltar', 'EURO', '38', '1282', '0', '6');
INSERT INTO public.who_import VALUES (33557, '2020-12-24', 'GI', 'Gibraltar', 'EURO', '48', '1330', '0', '6');
INSERT INTO public.who_import VALUES (33558, '2020-12-25', 'GI', 'Gibraltar', 'EURO', '68', '1398', '0', '6');
INSERT INTO public.who_import VALUES (33559, '2020-12-26', 'GI', 'Gibraltar', 'EURO', '78', '1476', '0', '6');
INSERT INTO public.who_import VALUES (33560, '2020-12-27', 'GI', 'Gibraltar', 'EURO', '58', '1534', '0', '6');
INSERT INTO public.who_import VALUES (33561, '2020-12-28', 'GI', 'Gibraltar', 'EURO', '59', '1593', '0', '6');
INSERT INTO public.who_import VALUES (33562, '2020-12-29', 'GI', 'Gibraltar', 'EURO', '68', '1661', '0', '6');
INSERT INTO public.who_import VALUES (33563, '2020-12-30', 'GI', 'Gibraltar', 'EURO', '45', '1706', '0', '6');
INSERT INTO public.who_import VALUES (33564, '2020-12-31', 'GI', 'Gibraltar', 'EURO', '87', '1793', '0', '6');
INSERT INTO public.who_import VALUES (33565, '2021-01-01', 'GI', 'Gibraltar', 'EURO', '180', '1973', '0', '6');
INSERT INTO public.who_import VALUES (33566, '2021-01-02', 'GI', 'Gibraltar', 'EURO', '67', '2040', '1', '7');
INSERT INTO public.who_import VALUES (33567, '2021-01-03', 'GI', 'Gibraltar', 'EURO', '172', '2212', '0', '7');
INSERT INTO public.who_import VALUES (33568, '2021-01-04', 'GI', 'Gibraltar', 'EURO', '92', '2304', '0', '7');
INSERT INTO public.who_import VALUES (33569, '2021-01-05', 'GI', 'Gibraltar', 'EURO', '102', '2406', '1', '8');
INSERT INTO public.who_import VALUES (33570, '2021-01-06', 'GI', 'Gibraltar', 'EURO', '107', '2513', '0', '8');
INSERT INTO public.who_import VALUES (33571, '2021-01-07', 'GI', 'Gibraltar', 'EURO', '113', '2626', '2', '10');
INSERT INTO public.who_import VALUES (33572, '2021-01-08', 'GI', 'Gibraltar', 'EURO', '172', '2798', '1', '11');
INSERT INTO public.who_import VALUES (33573, '2021-01-09', 'GI', 'Gibraltar', 'EURO', '130', '2928', '0', '11');
INSERT INTO public.who_import VALUES (33574, '2021-01-10', 'GI', 'Gibraltar', 'EURO', '93', '3021', '1', '12');
INSERT INTO public.who_import VALUES (33575, '2021-01-11', 'GI', 'Gibraltar', 'EURO', '88', '3109', '0', '12');
INSERT INTO public.who_import VALUES (33576, '2021-01-12', 'GI', 'Gibraltar', 'EURO', '61', '3170', '4', '16');
INSERT INTO public.who_import VALUES (33577, '2021-01-13', 'GI', 'Gibraltar', 'EURO', '70', '3240', '0', '16');
INSERT INTO public.who_import VALUES (33578, '2021-01-14', 'GI', 'Gibraltar', 'EURO', '84', '3324', '1', '17');
INSERT INTO public.who_import VALUES (33579, '2021-01-15', 'GI', 'Gibraltar', 'EURO', '107', '3431', '3', '20');
INSERT INTO public.who_import VALUES (33580, '2021-01-16', 'GI', 'Gibraltar', 'EURO', '78', '3509', '5', '25');
INSERT INTO public.who_import VALUES (33581, '2021-01-17', 'GI', 'Gibraltar', 'EURO', '66', '3575', '5', '30');
INSERT INTO public.who_import VALUES (33582, '2021-01-18', 'GI', 'Gibraltar', 'EURO', '62', '3637', '4', '34');
INSERT INTO public.who_import VALUES (33583, '2021-01-19', 'GI', 'Gibraltar', 'EURO', '33', '3670', '9', '43');
INSERT INTO public.who_import VALUES (33584, '2021-01-20', 'GI', 'Gibraltar', 'EURO', '42', '3712', '2', '45');
INSERT INTO public.who_import VALUES (33585, '2021-01-21', 'GI', 'Gibraltar', 'EURO', '81', '3793', '2', '47');
INSERT INTO public.who_import VALUES (33586, '2021-01-22', 'GI', 'Gibraltar', 'EURO', '52', '3845', '6', '53');
INSERT INTO public.who_import VALUES (33587, '2021-01-23', 'GI', 'Gibraltar', 'EURO', '36', '3881', '6', '59');
INSERT INTO public.who_import VALUES (33588, '2021-01-24', 'GI', 'Gibraltar', 'EURO', '24', '3905', '0', '59');
INSERT INTO public.who_import VALUES (33589, '2021-01-25', 'GI', 'Gibraltar', 'EURO', '30', '3935', '3', '62');
INSERT INTO public.who_import VALUES (33590, '2021-01-26', 'GI', 'Gibraltar', 'EURO', '31', '3966', '1', '63');
INSERT INTO public.who_import VALUES (33591, '2021-01-27', 'GI', 'Gibraltar', 'EURO', '26', '3992', '2', '65');
INSERT INTO public.who_import VALUES (33592, '2021-01-28', 'GI', 'Gibraltar', 'EURO', '32', '4024', '4', '69');
INSERT INTO public.who_import VALUES (33593, '2021-01-29', 'GI', 'Gibraltar', 'EURO', '33', '4057', '1', '70');
INSERT INTO public.who_import VALUES (33594, '2021-01-30', 'GI', 'Gibraltar', 'EURO', '25', '4082', '0', '70');
INSERT INTO public.who_import VALUES (33595, '2021-01-31', 'GI', 'Gibraltar', 'EURO', '14', '4096', '3', '73');
INSERT INTO public.who_import VALUES (33596, '2021-02-01', 'GI', 'Gibraltar', 'EURO', '12', '4108', '2', '75');
INSERT INTO public.who_import VALUES (33597, '2021-02-02', 'GI', 'Gibraltar', 'EURO', '6', '4114', '2', '77');
INSERT INTO public.who_import VALUES (33598, '2021-02-03', 'GI', 'Gibraltar', 'EURO', '14', '4128', '1', '78');
INSERT INTO public.who_import VALUES (33599, '2021-02-04', 'GI', 'Gibraltar', 'EURO', '15', '4143', '1', '79');
INSERT INTO public.who_import VALUES (33600, '2021-02-05', 'GI', 'Gibraltar', 'EURO', '13', '4156', '0', '79');
INSERT INTO public.who_import VALUES (33601, '2021-02-06', 'GI', 'Gibraltar', 'EURO', '7', '4163', '0', '79');
INSERT INTO public.who_import VALUES (33602, '2021-02-07', 'GI', 'Gibraltar', 'EURO', '7', '4170', '1', '80');
INSERT INTO public.who_import VALUES (33603, '2021-02-08', 'GI', 'Gibraltar', 'EURO', '7', '4177', '0', '80');
INSERT INTO public.who_import VALUES (33604, '2021-02-09', 'GI', 'Gibraltar', 'EURO', '5', '4182', '3', '83');
INSERT INTO public.who_import VALUES (33605, '2021-02-10', 'GI', 'Gibraltar', 'EURO', '5', '4187', '0', '83');
INSERT INTO public.who_import VALUES (33606, '2021-02-11', 'GI', 'Gibraltar', 'EURO', '3', '4190', '0', '83');
INSERT INTO public.who_import VALUES (33607, '2021-02-12', 'GI', 'Gibraltar', 'EURO', '7', '4197', '0', '83');
INSERT INTO public.who_import VALUES (33608, '2021-02-13', 'GI', 'Gibraltar', 'EURO', '6', '4203', '0', '83');
INSERT INTO public.who_import VALUES (33609, '2021-02-14', 'GI', 'Gibraltar', 'EURO', '9', '4212', '1', '84');
INSERT INTO public.who_import VALUES (33610, '2021-02-15', 'GI', 'Gibraltar', 'EURO', '3', '4215', '1', '85');
INSERT INTO public.who_import VALUES (33611, '2021-02-16', 'GI', 'Gibraltar', 'EURO', '4', '4219', '2', '87');
INSERT INTO public.who_import VALUES (33612, '2021-02-17', 'GI', 'Gibraltar', 'EURO', '4', '4223', '0', '87');
INSERT INTO public.who_import VALUES (33613, '2021-02-18', 'GI', 'Gibraltar', 'EURO', '1', '4224', '0', '87');
INSERT INTO public.who_import VALUES (33614, '2021-02-19', 'GI', 'Gibraltar', 'EURO', '2', '4226', '0', '87');
INSERT INTO public.who_import VALUES (33615, '2021-02-20', 'GI', 'Gibraltar', 'EURO', '1', '4227', '1', '88');
INSERT INTO public.who_import VALUES (33616, '2020-01-03', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33617, '2020-01-04', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33618, '2020-01-05', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33619, '2020-01-06', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33620, '2020-01-07', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33621, '2020-01-08', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33622, '2020-01-09', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33623, '2020-01-10', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33624, '2020-01-11', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33625, '2020-01-12', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33626, '2020-01-13', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33627, '2020-01-14', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33628, '2020-01-15', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33629, '2020-01-16', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33630, '2020-01-17', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33631, '2020-01-18', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33632, '2020-01-19', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33633, '2020-01-20', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33634, '2020-01-21', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33635, '2020-01-22', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33636, '2020-01-23', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33637, '2020-01-24', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33638, '2020-01-25', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33639, '2020-01-26', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33640, '2020-01-27', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33641, '2020-01-28', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33642, '2020-01-29', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33643, '2020-01-30', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33644, '2020-01-31', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33645, '2020-02-01', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33646, '2020-02-02', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33647, '2020-02-03', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33648, '2020-02-04', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33649, '2020-02-05', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33650, '2020-02-06', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33651, '2020-02-07', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33652, '2020-02-08', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33653, '2020-02-09', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33654, '2020-02-10', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33655, '2020-02-11', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33656, '2020-02-12', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33657, '2020-02-13', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33658, '2020-02-14', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33659, '2020-02-15', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33660, '2020-02-16', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33661, '2020-02-17', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33662, '2020-02-18', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33663, '2020-02-19', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33664, '2020-02-20', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33665, '2020-02-21', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33666, '2020-02-22', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33667, '2020-02-23', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33668, '2020-02-24', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33669, '2020-02-25', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33670, '2020-02-26', 'GR', 'Greece', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (33671, '2020-02-27', 'GR', 'Greece', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (33672, '2020-02-28', 'GR', 'Greece', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (33673, '2020-02-29', 'GR', 'Greece', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (33674, '2020-03-01', 'GR', 'Greece', 'EURO', '3', '7', '0', '0');
INSERT INTO public.who_import VALUES (33675, '2020-03-02', 'GR', 'Greece', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (33676, '2020-03-03', 'GR', 'Greece', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (33677, '2020-03-04', 'GR', 'Greece', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (33678, '2020-03-05', 'GR', 'Greece', 'EURO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (33679, '2020-03-06', 'GR', 'Greece', 'EURO', '22', '32', '0', '0');
INSERT INTO public.who_import VALUES (33680, '2020-03-07', 'GR', 'Greece', 'EURO', '13', '45', '0', '0');
INSERT INTO public.who_import VALUES (33681, '2020-03-08', 'GR', 'Greece', 'EURO', '21', '66', '0', '0');
INSERT INTO public.who_import VALUES (33682, '2020-03-09', 'GR', 'Greece', 'EURO', '7', '73', '0', '0');
INSERT INTO public.who_import VALUES (33683, '2020-03-10', 'GR', 'Greece', 'EURO', '11', '84', '0', '0');
INSERT INTO public.who_import VALUES (33684, '2020-03-11', 'GR', 'Greece', 'EURO', '6', '90', '0', '0');
INSERT INTO public.who_import VALUES (33685, '2020-03-12', 'GR', 'Greece', 'EURO', '9', '99', '1', '1');
INSERT INTO public.who_import VALUES (33686, '2020-03-13', 'GR', 'Greece', 'EURO', '34', '133', '0', '1');
INSERT INTO public.who_import VALUES (33687, '2020-03-14', 'GR', 'Greece', 'EURO', '57', '190', '0', '1');
INSERT INTO public.who_import VALUES (33688, '2020-03-15', 'GR', 'Greece', 'EURO', '38', '228', '2', '3');
INSERT INTO public.who_import VALUES (33689, '2020-03-16', 'GR', 'Greece', 'EURO', '103', '331', '1', '4');
INSERT INTO public.who_import VALUES (33690, '2020-03-17', 'GR', 'Greece', 'EURO', '21', '352', '0', '4');
INSERT INTO public.who_import VALUES (33691, '2020-03-18', 'GR', 'Greece', 'EURO', '35', '387', '1', '5');
INSERT INTO public.who_import VALUES (33692, '2020-03-19', 'GR', 'Greece', 'EURO', '31', '418', '0', '5');
INSERT INTO public.who_import VALUES (33693, '2020-03-20', 'GR', 'Greece', 'EURO', '46', '464', '0', '5');
INSERT INTO public.who_import VALUES (33694, '2020-03-21', 'GR', 'Greece', 'EURO', '31', '495', '3', '8');
INSERT INTO public.who_import VALUES (33695, '2020-03-22', 'GR', 'Greece', 'EURO', '35', '530', '5', '13');
INSERT INTO public.who_import VALUES (33696, '2020-03-23', 'GR', 'Greece', 'EURO', '94', '624', '2', '15');
INSERT INTO public.who_import VALUES (33697, '2020-03-24', 'GR', 'Greece', 'EURO', '71', '695', '2', '17');
INSERT INTO public.who_import VALUES (33698, '2020-03-25', 'GR', 'Greece', 'EURO', '48', '743', '3', '20');
INSERT INTO public.who_import VALUES (33699, '2020-03-26', 'GR', 'Greece', 'EURO', '78', '821', '2', '22');
INSERT INTO public.who_import VALUES (33700, '2020-03-27', 'GR', 'Greece', 'EURO', '71', '892', '4', '26');
INSERT INTO public.who_import VALUES (33701, '2020-03-28', 'GR', 'Greece', 'EURO', '74', '966', '2', '28');
INSERT INTO public.who_import VALUES (33702, '2020-03-29', 'GR', 'Greece', 'EURO', '95', '1061', '4', '32');
INSERT INTO public.who_import VALUES (33703, '2020-03-30', 'GR', 'Greece', 'EURO', '95', '1156', '6', '38');
INSERT INTO public.who_import VALUES (33704, '2020-03-31', 'GR', 'Greece', 'EURO', '56', '1212', '5', '43');
INSERT INTO public.who_import VALUES (33705, '2020-04-01', 'GR', 'Greece', 'EURO', '102', '1314', '6', '49');
INSERT INTO public.who_import VALUES (33706, '2020-04-02', 'GR', 'Greece', 'EURO', '61', '1375', '1', '50');
INSERT INTO public.who_import VALUES (33707, '2020-04-03', 'GR', 'Greece', 'EURO', '139', '1514', '3', '53');
INSERT INTO public.who_import VALUES (33708, '2020-04-04', 'GR', 'Greece', 'EURO', '99', '1613', '6', '59');
INSERT INTO public.who_import VALUES (33709, '2020-04-05', 'GR', 'Greece', 'EURO', '60', '1673', '9', '68');
INSERT INTO public.who_import VALUES (33710, '2020-04-06', 'GR', 'Greece', 'EURO', '62', '1735', '5', '73');
INSERT INTO public.who_import VALUES (33711, '2020-04-07', 'GR', 'Greece', 'EURO', '20', '1755', '6', '79');
INSERT INTO public.who_import VALUES (33712, '2020-04-08', 'GR', 'Greece', 'EURO', '77', '1832', '2', '81');
INSERT INTO public.who_import VALUES (33713, '2020-04-09', 'GR', 'Greece', 'EURO', '52', '1884', '2', '83');
INSERT INTO public.who_import VALUES (33714, '2020-04-10', 'GR', 'Greece', 'EURO', '71', '1955', '3', '86');
INSERT INTO public.who_import VALUES (33715, '2020-04-11', 'GR', 'Greece', 'EURO', '56', '2011', '4', '90');
INSERT INTO public.who_import VALUES (33716, '2020-04-12', 'GR', 'Greece', 'EURO', '70', '2081', '3', '93');
INSERT INTO public.who_import VALUES (33717, '2020-04-13', 'GR', 'Greece', 'EURO', '33', '2114', '5', '98');
INSERT INTO public.who_import VALUES (33718, '2020-04-14', 'GR', 'Greece', 'EURO', '31', '2145', '1', '99');
INSERT INTO public.who_import VALUES (33719, '2020-04-15', 'GR', 'Greece', 'EURO', '25', '2170', '2', '101');
INSERT INTO public.who_import VALUES (33720, '2020-04-16', 'GR', 'Greece', 'EURO', '22', '2192', '1', '102');
INSERT INTO public.who_import VALUES (33721, '2020-04-17', 'GR', 'Greece', 'EURO', '15', '2207', '3', '105');
INSERT INTO public.who_import VALUES (33722, '2020-04-18', 'GR', 'Greece', 'EURO', '0', '2207', '0', '105');
INSERT INTO public.who_import VALUES (33723, '2020-04-19', 'GR', 'Greece', 'EURO', '0', '2207', '0', '105');
INSERT INTO public.who_import VALUES (33724, '2020-04-20', 'GR', 'Greece', 'EURO', '28', '2235', '5', '110');
INSERT INTO public.who_import VALUES (33725, '2020-04-21', 'GR', 'Greece', 'EURO', '10', '2245', '6', '116');
INSERT INTO public.who_import VALUES (33726, '2020-04-22', 'GR', 'Greece', 'EURO', '156', '2401', '5', '121');
INSERT INTO public.who_import VALUES (33727, '2020-04-23', 'GR', 'Greece', 'EURO', '7', '2408', '0', '121');
INSERT INTO public.who_import VALUES (33728, '2020-04-24', 'GR', 'Greece', 'EURO', '55', '2463', '4', '125');
INSERT INTO public.who_import VALUES (33729, '2020-04-25', 'GR', 'Greece', 'EURO', '27', '2490', '5', '130');
INSERT INTO public.who_import VALUES (33730, '2020-04-26', 'GR', 'Greece', 'EURO', '16', '2506', '0', '130');
INSERT INTO public.who_import VALUES (33731, '2020-04-27', 'GR', 'Greece', 'EURO', '0', '2506', '0', '130');
INSERT INTO public.who_import VALUES (33732, '2020-04-28', 'GR', 'Greece', 'EURO', '28', '2534', '6', '136');
INSERT INTO public.who_import VALUES (33733, '2020-04-29', 'GR', 'Greece', 'EURO', '0', '2534', '0', '136');
INSERT INTO public.who_import VALUES (33734, '2020-04-30', 'GR', 'Greece', 'EURO', '42', '2576', '3', '139');
INSERT INTO public.who_import VALUES (33735, '2020-05-01', 'GR', 'Greece', 'EURO', '15', '2591', '1', '140');
INSERT INTO public.who_import VALUES (33736, '2020-05-02', 'GR', 'Greece', 'EURO', '0', '2591', '0', '140');
INSERT INTO public.who_import VALUES (33737, '2020-05-03', 'GR', 'Greece', 'EURO', '29', '2620', '3', '143');
INSERT INTO public.who_import VALUES (33738, '2020-05-04', 'GR', 'Greece', 'EURO', '6', '2626', '1', '144');
INSERT INTO public.who_import VALUES (33739, '2020-05-05', 'GR', 'Greece', 'EURO', '6', '2632', '2', '146');
INSERT INTO public.who_import VALUES (33740, '2020-05-06', 'GR', 'Greece', 'EURO', '10', '2642', '0', '146');
INSERT INTO public.who_import VALUES (33741, '2020-05-07', 'GR', 'Greece', 'EURO', '21', '2663', '1', '147');
INSERT INTO public.who_import VALUES (33742, '2020-05-08', 'GR', 'Greece', 'EURO', '15', '2678', '1', '148');
INSERT INTO public.who_import VALUES (33743, '2020-05-09', 'GR', 'Greece', 'EURO', '13', '2691', '2', '150');
INSERT INTO public.who_import VALUES (33744, '2020-05-10', 'GR', 'Greece', 'EURO', '19', '2710', '1', '151');
INSERT INTO public.who_import VALUES (33745, '2020-05-11', 'GR', 'Greece', 'EURO', '6', '2716', '0', '151');
INSERT INTO public.who_import VALUES (33746, '2020-05-12', 'GR', 'Greece', 'EURO', '10', '2726', '0', '151');
INSERT INTO public.who_import VALUES (33747, '2020-05-13', 'GR', 'Greece', 'EURO', '18', '2744', '1', '152');
INSERT INTO public.who_import VALUES (33748, '2020-05-14', 'GR', 'Greece', 'EURO', '16', '2760', '3', '155');
INSERT INTO public.who_import VALUES (33749, '2020-05-15', 'GR', 'Greece', 'EURO', '10', '2770', '1', '156');
INSERT INTO public.who_import VALUES (33750, '2020-05-16', 'GR', 'Greece', 'EURO', '40', '2810', '4', '160');
INSERT INTO public.who_import VALUES (33751, '2020-05-17', 'GR', 'Greece', 'EURO', '9', '2819', '2', '162');
INSERT INTO public.who_import VALUES (33752, '2020-05-18', 'GR', 'Greece', 'EURO', '15', '2834', '1', '163');
INSERT INTO public.who_import VALUES (33753, '2020-05-19', 'GR', 'Greece', 'EURO', '2', '2836', '2', '165');
INSERT INTO public.who_import VALUES (33754, '2020-05-20', 'GR', 'Greece', 'EURO', '4', '2840', '0', '165');
INSERT INTO public.who_import VALUES (33755, '2020-05-21', 'GR', 'Greece', 'EURO', '10', '2850', '1', '166');
INSERT INTO public.who_import VALUES (33756, '2020-05-22', 'GR', 'Greece', 'EURO', '3', '2853', '2', '168');
INSERT INTO public.who_import VALUES (33757, '2020-05-23', 'GR', 'Greece', 'EURO', '20', '2873', '1', '169');
INSERT INTO public.who_import VALUES (33758, '2020-05-24', 'GR', 'Greece', 'EURO', '3', '2876', '2', '171');
INSERT INTO public.who_import VALUES (33759, '2020-05-25', 'GR', 'Greece', 'EURO', '2', '2878', '0', '171');
INSERT INTO public.who_import VALUES (33760, '2020-05-26', 'GR', 'Greece', 'EURO', '4', '2882', '1', '172');
INSERT INTO public.who_import VALUES (33761, '2020-05-27', 'GR', 'Greece', 'EURO', '10', '2892', '1', '173');
INSERT INTO public.who_import VALUES (33762, '2020-05-28', 'GR', 'Greece', 'EURO', '11', '2903', '0', '173');
INSERT INTO public.who_import VALUES (33763, '2020-05-29', 'GR', 'Greece', 'EURO', '3', '2906', '2', '175');
INSERT INTO public.who_import VALUES (33764, '2020-05-30', 'GR', 'Greece', 'EURO', '3', '2909', '0', '175');
INSERT INTO public.who_import VALUES (33765, '2020-05-31', 'GR', 'Greece', 'EURO', '6', '2915', '0', '175');
INSERT INTO public.who_import VALUES (33766, '2020-06-01', 'GR', 'Greece', 'EURO', '2', '2917', '0', '175');
INSERT INTO public.who_import VALUES (33767, '2020-06-02', 'GR', 'Greece', 'EURO', '1', '2918', '4', '179');
INSERT INTO public.who_import VALUES (33768, '2020-06-03', 'GR', 'Greece', 'EURO', '19', '2937', '0', '179');
INSERT INTO public.who_import VALUES (33769, '2020-06-04', 'GR', 'Greece', 'EURO', '0', '2937', '0', '179');
INSERT INTO public.who_import VALUES (33770, '2020-06-05', 'GR', 'Greece', 'EURO', '15', '2952', '1', '180');
INSERT INTO public.who_import VALUES (33771, '2020-06-06', 'GR', 'Greece', 'EURO', '15', '2967', '0', '180');
INSERT INTO public.who_import VALUES (33772, '2020-06-07', 'GR', 'Greece', 'EURO', '13', '2980', '0', '180');
INSERT INTO public.who_import VALUES (33773, '2020-06-08', 'GR', 'Greece', 'EURO', '17', '2997', '0', '180');
INSERT INTO public.who_import VALUES (33774, '2020-06-09', 'GR', 'Greece', 'EURO', '52', '3049', '2', '182');
INSERT INTO public.who_import VALUES (33775, '2020-06-10', 'GR', 'Greece', 'EURO', '9', '3058', '1', '183');
INSERT INTO public.who_import VALUES (33776, '2020-06-11', 'GR', 'Greece', 'EURO', '10', '3068', '0', '183');
INSERT INTO public.who_import VALUES (33777, '2020-06-12', 'GR', 'Greece', 'EURO', '20', '3088', '0', '183');
INSERT INTO public.who_import VALUES (33778, '2020-06-13', 'GR', 'Greece', 'EURO', '20', '3108', '0', '183');
INSERT INTO public.who_import VALUES (33779, '2020-06-14', 'GR', 'Greece', 'EURO', '4', '3112', '0', '183');
INSERT INTO public.who_import VALUES (33780, '2020-06-15', 'GR', 'Greece', 'EURO', '9', '3121', '0', '183');
INSERT INTO public.who_import VALUES (33781, '2020-06-16', 'GR', 'Greece', 'EURO', '13', '3134', '1', '184');
INSERT INTO public.who_import VALUES (33782, '2020-06-17', 'GR', 'Greece', 'EURO', '14', '3148', '1', '185');
INSERT INTO public.who_import VALUES (33783, '2020-06-18', 'GR', 'Greece', 'EURO', '55', '3203', '2', '187');
INSERT INTO public.who_import VALUES (33784, '2020-06-19', 'GR', 'Greece', 'EURO', '24', '3227', '1', '188');
INSERT INTO public.who_import VALUES (33785, '2020-06-20', 'GR', 'Greece', 'EURO', '10', '3237', '1', '189');
INSERT INTO public.who_import VALUES (33786, '2020-06-21', 'GR', 'Greece', 'EURO', '19', '3256', '1', '190');
INSERT INTO public.who_import VALUES (33787, '2020-06-22', 'GR', 'Greece', 'EURO', '10', '3266', '0', '190');
INSERT INTO public.who_import VALUES (33788, '2020-06-23', 'GR', 'Greece', 'EURO', '21', '3287', '0', '190');
INSERT INTO public.who_import VALUES (33789, '2020-06-24', 'GR', 'Greece', 'EURO', '15', '3302', '0', '190');
INSERT INTO public.who_import VALUES (33790, '2020-06-25', 'GR', 'Greece', 'EURO', '8', '3310', '0', '190');
INSERT INTO public.who_import VALUES (33791, '2020-06-26', 'GR', 'Greece', 'EURO', '11', '3321', '1', '191');
INSERT INTO public.who_import VALUES (33792, '2020-06-27', 'GR', 'Greece', 'EURO', '22', '3343', '0', '191');
INSERT INTO public.who_import VALUES (33793, '2020-06-28', 'GR', 'Greece', 'EURO', '23', '3366', '0', '191');
INSERT INTO public.who_import VALUES (33794, '2020-06-29', 'GR', 'Greece', 'EURO', '10', '3376', '0', '191');
INSERT INTO public.who_import VALUES (33795, '2020-06-30', 'GR', 'Greece', 'EURO', '14', '3390', '0', '191');
INSERT INTO public.who_import VALUES (33796, '2020-07-01', 'GR', 'Greece', 'EURO', '19', '3409', '1', '192');
INSERT INTO public.who_import VALUES (33797, '2020-07-02', 'GR', 'Greece', 'EURO', '23', '3432', '0', '192');
INSERT INTO public.who_import VALUES (33798, '2020-07-03', 'GR', 'Greece', 'EURO', '26', '3458', '0', '192');
INSERT INTO public.who_import VALUES (33799, '2020-07-04', 'GR', 'Greece', 'EURO', '28', '3486', '0', '192');
INSERT INTO public.who_import VALUES (33800, '2020-07-05', 'GR', 'Greece', 'EURO', '25', '3511', '0', '192');
INSERT INTO public.who_import VALUES (33801, '2020-07-06', 'GR', 'Greece', 'EURO', '8', '3519', '0', '192');
INSERT INTO public.who_import VALUES (33802, '2020-07-07', 'GR', 'Greece', 'EURO', '43', '3562', '0', '192');
INSERT INTO public.who_import VALUES (33803, '2020-07-08', 'GR', 'Greece', 'EURO', '27', '3589', '1', '193');
INSERT INTO public.who_import VALUES (33804, '2020-07-09', 'GR', 'Greece', 'EURO', '33', '3622', '0', '193');
INSERT INTO public.who_import VALUES (33805, '2020-07-10', 'GR', 'Greece', 'EURO', '50', '3672', '0', '193');
INSERT INTO public.who_import VALUES (33806, '2020-07-11', 'GR', 'Greece', 'EURO', '60', '3732', '0', '193');
INSERT INTO public.who_import VALUES (33807, '2020-07-12', 'GR', 'Greece', 'EURO', '40', '3772', '0', '193');
INSERT INTO public.who_import VALUES (33808, '2020-07-13', 'GR', 'Greece', 'EURO', '31', '3803', '0', '193');
INSERT INTO public.who_import VALUES (33809, '2020-07-14', 'GR', 'Greece', 'EURO', '23', '3826', '0', '193');
INSERT INTO public.who_import VALUES (33810, '2020-07-15', 'GR', 'Greece', 'EURO', '57', '3883', '0', '193');
INSERT INTO public.who_import VALUES (33811, '2020-07-16', 'GR', 'Greece', 'EURO', '27', '3910', '0', '193');
INSERT INTO public.who_import VALUES (33812, '2020-07-17', 'GR', 'Greece', 'EURO', '29', '3939', '0', '193');
INSERT INTO public.who_import VALUES (33813, '2020-07-18', 'GR', 'Greece', 'EURO', '25', '3964', '1', '194');
INSERT INTO public.who_import VALUES (33814, '2020-07-19', 'GR', 'Greece', 'EURO', '19', '3983', '0', '194');
INSERT INTO public.who_import VALUES (33815, '2020-07-20', 'GR', 'Greece', 'EURO', '24', '4007', '0', '194');
INSERT INTO public.who_import VALUES (33816, '2020-07-21', 'GR', 'Greece', 'EURO', '5', '4012', '1', '195');
INSERT INTO public.who_import VALUES (33817, '2020-07-22', 'GR', 'Greece', 'EURO', '36', '4048', '2', '197');
INSERT INTO public.who_import VALUES (33818, '2020-07-23', 'GR', 'Greece', 'EURO', '29', '4077', '3', '200');
INSERT INTO public.who_import VALUES (33819, '2020-07-24', 'GR', 'Greece', 'EURO', '33', '4110', '1', '201');
INSERT INTO public.who_import VALUES (33820, '2020-07-25', 'GR', 'Greece', 'EURO', '25', '4135', '0', '201');
INSERT INTO public.who_import VALUES (33821, '2020-07-26', 'GR', 'Greece', 'EURO', '31', '4166', '0', '201');
INSERT INTO public.who_import VALUES (33822, '2020-07-27', 'GR', 'Greece', 'EURO', '27', '4193', '1', '202');
INSERT INTO public.who_import VALUES (33823, '2020-07-28', 'GR', 'Greece', 'EURO', '34', '4227', '0', '202');
INSERT INTO public.who_import VALUES (33824, '2020-07-29', 'GR', 'Greece', 'EURO', '52', '4279', '1', '203');
INSERT INTO public.who_import VALUES (33825, '2020-07-30', 'GR', 'Greece', 'EURO', '57', '4336', '0', '203');
INSERT INTO public.who_import VALUES (33826, '2020-07-31', 'GR', 'Greece', 'EURO', '65', '4401', '0', '203');
INSERT INTO public.who_import VALUES (33827, '2020-08-01', 'GR', 'Greece', 'EURO', '76', '4477', '3', '206');
INSERT INTO public.who_import VALUES (33828, '2020-08-02', 'GR', 'Greece', 'EURO', '110', '4587', '0', '206');
INSERT INTO public.who_import VALUES (33829, '2020-08-03', 'GR', 'Greece', 'EURO', '75', '4662', '2', '208');
INSERT INTO public.who_import VALUES (33830, '2020-08-04', 'GR', 'Greece', 'EURO', '75', '4737', '1', '209');
INSERT INTO public.who_import VALUES (33831, '2020-08-05', 'GR', 'Greece', 'EURO', '118', '4855', '0', '209');
INSERT INTO public.who_import VALUES (33832, '2020-08-06', 'GR', 'Greece', 'EURO', '118', '4973', '1', '210');
INSERT INTO public.who_import VALUES (33833, '2020-08-07', 'GR', 'Greece', 'EURO', '150', '5123', '0', '210');
INSERT INTO public.who_import VALUES (33834, '2020-08-08', 'GR', 'Greece', 'EURO', '147', '5270', '0', '210');
INSERT INTO public.who_import VALUES (33835, '2020-08-09', 'GR', 'Greece', 'EURO', '151', '5421', '1', '211');
INSERT INTO public.who_import VALUES (33836, '2020-08-10', 'GR', 'Greece', 'EURO', '202', '5623', '1', '212');
INSERT INTO public.who_import VALUES (33837, '2020-08-11', 'GR', 'Greece', 'EURO', '126', '5749', '1', '213');
INSERT INTO public.who_import VALUES (33838, '2020-08-12', 'GR', 'Greece', 'EURO', '193', '5942', '1', '214');
INSERT INTO public.who_import VALUES (33839, '2020-08-13', 'GR', 'Greece', 'EURO', '235', '6177', '2', '216');
INSERT INTO public.who_import VALUES (33840, '2020-08-14', 'GR', 'Greece', 'EURO', '204', '6381', '5', '221');
INSERT INTO public.who_import VALUES (33841, '2020-08-15', 'GR', 'Greece', 'EURO', '251', '6632', '2', '223');
INSERT INTO public.who_import VALUES (33842, '2020-08-16', 'GR', 'Greece', 'EURO', '226', '6858', '3', '226');
INSERT INTO public.who_import VALUES (33843, '2020-08-17', 'GR', 'Greece', 'EURO', '217', '7075', '2', '228');
INSERT INTO public.who_import VALUES (33844, '2020-08-18', 'GR', 'Greece', 'EURO', '147', '7222', '2', '230');
INSERT INTO public.who_import VALUES (33845, '2020-08-19', 'GR', 'Greece', 'EURO', '250', '7472', '2', '232');
INSERT INTO public.who_import VALUES (33846, '2020-08-20', 'GR', 'Greece', 'EURO', '212', '7684', '3', '235');
INSERT INTO public.who_import VALUES (33847, '2020-08-21', 'GR', 'Greece', 'EURO', '250', '7934', '0', '235');
INSERT INTO public.who_import VALUES (33848, '2020-08-22', 'GR', 'Greece', 'EURO', '204', '8138', '3', '238');
INSERT INTO public.who_import VALUES (33849, '2020-08-23', 'GR', 'Greece', 'EURO', '243', '8381', '2', '240');
INSERT INTO public.who_import VALUES (33850, '2020-08-24', 'GR', 'Greece', 'EURO', '283', '8664', '2', '242');
INSERT INTO public.who_import VALUES (33851, '2020-08-25', 'GR', 'Greece', 'EURO', '155', '8819', '0', '242');
INSERT INTO public.who_import VALUES (33852, '2020-08-26', 'GR', 'Greece', 'EURO', '168', '8987', '1', '243');
INSERT INTO public.who_import VALUES (33853, '2020-08-27', 'GR', 'Greece', 'EURO', '293', '9280', '5', '248');
INSERT INTO public.who_import VALUES (33854, '2020-08-28', 'GR', 'Greece', 'EURO', '251', '9531', '6', '254');
INSERT INTO public.who_import VALUES (33855, '2020-08-29', 'GR', 'Greece', 'EURO', '269', '9800', '5', '259');
INSERT INTO public.who_import VALUES (33856, '2020-08-30', 'GR', 'Greece', 'EURO', '177', '9977', '1', '260');
INSERT INTO public.who_import VALUES (33857, '2020-08-31', 'GR', 'Greece', 'EURO', '157', '10134', '2', '262');
INSERT INTO public.who_import VALUES (33858, '2020-09-01', 'GR', 'Greece', 'EURO', '183', '10317', '4', '266');
INSERT INTO public.who_import VALUES (33859, '2020-09-02', 'GR', 'Greece', 'EURO', '207', '10524', '5', '271');
INSERT INTO public.who_import VALUES (33860, '2020-09-03', 'GR', 'Greece', 'EURO', '233', '10757', '2', '273');
INSERT INTO public.who_import VALUES (33861, '2020-09-04', 'GR', 'Greece', 'EURO', '241', '10998', '5', '278');
INSERT INTO public.who_import VALUES (33862, '2020-09-05', 'GR', 'Greece', 'EURO', '202', '11200', '1', '279');
INSERT INTO public.who_import VALUES (33863, '2020-09-06', 'GR', 'Greece', 'EURO', '186', '11386', '1', '280');
INSERT INTO public.who_import VALUES (33864, '2020-09-07', 'GR', 'Greece', 'EURO', '138', '11524', '4', '284');
INSERT INTO public.who_import VALUES (33865, '2020-09-08', 'GR', 'Greece', 'EURO', '139', '11663', '5', '289');
INSERT INTO public.who_import VALUES (33866, '2020-09-09', 'GR', 'Greece', 'EURO', '169', '11832', '1', '290');
INSERT INTO public.who_import VALUES (33867, '2020-09-10', 'GR', 'Greece', 'EURO', '248', '12080', '3', '293');
INSERT INTO public.who_import VALUES (33868, '2020-09-11', 'GR', 'Greece', 'EURO', '372', '12452', '4', '297');
INSERT INTO public.who_import VALUES (33869, '2020-09-12', 'GR', 'Greece', 'EURO', '282', '12734', '3', '300');
INSERT INTO public.who_import VALUES (33870, '2020-09-13', 'GR', 'Greece', 'EURO', '302', '13036', '2', '302');
INSERT INTO public.who_import VALUES (33871, '2020-09-14', 'GR', 'Greece', 'EURO', '204', '13240', '3', '305');
INSERT INTO public.who_import VALUES (33872, '2020-09-15', 'GR', 'Greece', 'EURO', '180', '13420', '5', '310');
INSERT INTO public.who_import VALUES (33873, '2020-09-16', 'GR', 'Greece', 'EURO', '310', '13730', '3', '313');
INSERT INTO public.who_import VALUES (33874, '2020-09-17', 'GR', 'Greece', 'EURO', '311', '14041', '3', '316');
INSERT INTO public.who_import VALUES (33875, '2020-09-18', 'GR', 'Greece', 'EURO', '359', '14400', '9', '325');
INSERT INTO public.who_import VALUES (33876, '2020-09-19', 'GR', 'Greece', 'EURO', '338', '14738', '2', '327');
INSERT INTO public.who_import VALUES (33877, '2020-09-20', 'GR', 'Greece', 'EURO', '240', '14978', '4', '331');
INSERT INTO public.who_import VALUES (33878, '2020-09-21', 'GR', 'Greece', 'EURO', '164', '15142', '7', '338');
INSERT INTO public.who_import VALUES (33879, '2020-09-22', 'GR', 'Greece', 'EURO', '453', '15595', '6', '344');
INSERT INTO public.who_import VALUES (33880, '2020-09-23', 'GR', 'Greece', 'EURO', '333', '15928', '8', '352');
INSERT INTO public.who_import VALUES (33881, '2020-09-24', 'GR', 'Greece', 'EURO', '358', '16286', '5', '357');
INSERT INTO public.who_import VALUES (33882, '2020-09-25', 'GR', 'Greece', 'EURO', '341', '16627', '9', '366');
INSERT INTO public.who_import VALUES (33883, '2020-09-26', 'GR', 'Greece', 'EURO', '286', '16913', '3', '369');
INSERT INTO public.who_import VALUES (33884, '2020-09-27', 'GR', 'Greece', 'EURO', '315', '17228', '7', '376');
INSERT INTO public.who_import VALUES (33885, '2020-09-28', 'GR', 'Greece', 'EURO', '216', '17444', '3', '379');
INSERT INTO public.who_import VALUES (33886, '2020-09-29', 'GR', 'Greece', 'EURO', '263', '17707', '4', '383');
INSERT INTO public.who_import VALUES (33887, '2020-09-30', 'GR', 'Greece', 'EURO', '416', '18123', '5', '388');
INSERT INTO public.who_import VALUES (33888, '2020-10-01', 'GR', 'Greece', 'EURO', '352', '18475', '3', '391');
INSERT INTO public.who_import VALUES (33889, '2020-10-02', 'GR', 'Greece', 'EURO', '411', '18886', '2', '393');
INSERT INTO public.who_import VALUES (33890, '2020-10-03', 'GR', 'Greece', 'EURO', '460', '19346', '5', '398');
INSERT INTO public.who_import VALUES (33891, '2020-10-04', 'GR', 'Greece', 'EURO', '267', '19613', '7', '405');
INSERT INTO public.who_import VALUES (33892, '2020-10-05', 'GR', 'Greece', 'EURO', '229', '19842', '4', '409');
INSERT INTO public.who_import VALUES (33893, '2020-10-06', 'GR', 'Greece', 'EURO', '300', '20142', '8', '417');
INSERT INTO public.who_import VALUES (33894, '2020-10-07', 'GR', 'Greece', 'EURO', '399', '20541', '3', '420');
INSERT INTO public.who_import VALUES (33895, '2020-10-08', 'GR', 'Greece', 'EURO', '406', '20947', '4', '424');
INSERT INTO public.who_import VALUES (33896, '2020-10-09', 'GR', 'Greece', 'EURO', '434', '21381', '6', '430');
INSERT INTO public.who_import VALUES (33897, '2020-10-10', 'GR', 'Greece', 'EURO', '391', '21772', '1', '431');
INSERT INTO public.who_import VALUES (33898, '2020-10-11', 'GR', 'Greece', 'EURO', '306', '22078', '5', '436');
INSERT INTO public.who_import VALUES (33899, '2020-10-12', 'GR', 'Greece', 'EURO', '280', '22358', '13', '449');
INSERT INTO public.who_import VALUES (33900, '2020-10-13', 'GR', 'Greece', 'EURO', '294', '22652', '7', '456');
INSERT INTO public.who_import VALUES (33901, '2020-10-14', 'GR', 'Greece', 'EURO', '408', '23060', '6', '462');
INSERT INTO public.who_import VALUES (33902, '2020-10-15', 'GR', 'Greece', 'EURO', '435', '23495', '7', '469');
INSERT INTO public.who_import VALUES (33903, '2020-10-16', 'GR', 'Greece', 'EURO', '452', '23947', '13', '482');
INSERT INTO public.who_import VALUES (33904, '2020-10-17', 'GR', 'Greece', 'EURO', '503', '24450', '8', '490');
INSERT INTO public.who_import VALUES (33905, '2020-10-18', 'GR', 'Greece', 'EURO', '482', '24932', '10', '500');
INSERT INTO public.who_import VALUES (33906, '2020-10-19', 'GR', 'Greece', 'EURO', '438', '25370', '9', '509');
INSERT INTO public.who_import VALUES (33907, '2020-10-20', 'GR', 'Greece', 'EURO', '432', '25802', '11', '520');
INSERT INTO public.who_import VALUES (33908, '2020-10-21', 'GR', 'Greece', 'EURO', '667', '26469', '8', '528');
INSERT INTO public.who_import VALUES (33909, '2020-10-22', 'GR', 'Greece', 'EURO', '865', '27334', '6', '534');
INSERT INTO public.who_import VALUES (33910, '2020-10-23', 'GR', 'Greece', 'EURO', '882', '28216', '15', '549');
INSERT INTO public.who_import VALUES (33911, '2020-10-24', 'GR', 'Greece', 'EURO', '841', '29057', '10', '559');
INSERT INTO public.who_import VALUES (33912, '2020-10-25', 'GR', 'Greece', 'EURO', '935', '29992', '5', '564');
INSERT INTO public.who_import VALUES (33913, '2020-10-26', 'GR', 'Greece', 'EURO', '790', '30782', '10', '574');
INSERT INTO public.who_import VALUES (33914, '2020-10-27', 'GR', 'Greece', 'EURO', '714', '31496', '7', '581');
INSERT INTO public.who_import VALUES (33915, '2020-10-28', 'GR', 'Greece', 'EURO', '1256', '32752', '12', '593');
INSERT INTO public.who_import VALUES (33916, '2020-10-29', 'GR', 'Greece', 'EURO', '1547', '34299', '10', '603');
INSERT INTO public.who_import VALUES (33917, '2020-10-30', 'GR', 'Greece', 'EURO', '1211', '35510', '12', '615');
INSERT INTO public.who_import VALUES (33918, '2020-10-31', 'GR', 'Greece', 'EURO', '1686', '37196', '5', '620');
INSERT INTO public.who_import VALUES (33919, '2020-11-01', 'GR', 'Greece', 'EURO', '2055', '39251', '6', '626');
INSERT INTO public.who_import VALUES (33920, '2020-11-02', 'GR', 'Greece', 'EURO', '1678', '40929', '9', '635');
INSERT INTO public.who_import VALUES (33921, '2020-11-03', 'GR', 'Greece', 'EURO', '1151', '42080', '7', '642');
INSERT INTO public.who_import VALUES (33922, '2020-11-04', 'GR', 'Greece', 'EURO', '2166', '44246', '13', '655');
INSERT INTO public.who_import VALUES (33923, '2020-11-05', 'GR', 'Greece', 'EURO', '2646', '46892', '18', '673');
INSERT INTO public.who_import VALUES (33924, '2020-11-06', 'GR', 'Greece', 'EURO', '2915', '49807', '29', '702');
INSERT INTO public.who_import VALUES (33925, '2020-11-07', 'GR', 'Greece', 'EURO', '2447', '52254', '13', '715');
INSERT INTO public.who_import VALUES (33926, '2020-11-08', 'GR', 'Greece', 'EURO', '2555', '54809', '34', '749');
INSERT INTO public.who_import VALUES (33927, '2020-11-09', 'GR', 'Greece', 'EURO', '1889', '56698', '35', '784');
INSERT INTO public.who_import VALUES (33928, '2020-11-10', 'GR', 'Greece', 'EURO', '1489', '58187', '41', '825');
INSERT INTO public.who_import VALUES (33929, '2020-11-11', 'GR', 'Greece', 'EURO', '2383', '60570', '41', '866');
INSERT INTO public.who_import VALUES (33930, '2020-11-12', 'GR', 'Greece', 'EURO', '2751', '63321', '43', '909');
INSERT INTO public.who_import VALUES (33931, '2020-11-13', 'GR', 'Greece', 'EURO', '3316', '66637', '50', '959');
INSERT INTO public.who_import VALUES (33932, '2020-11-14', 'GR', 'Greece', 'EURO', '3038', '69675', '38', '997');
INSERT INTO public.who_import VALUES (33933, '2020-11-15', 'GR', 'Greece', 'EURO', '2835', '72510', '38', '1035');
INSERT INTO public.who_import VALUES (33934, '2020-11-16', 'GR', 'Greece', 'EURO', '1695', '74205', '71', '1106');
INSERT INTO public.who_import VALUES (33935, '2020-11-17', 'GR', 'Greece', 'EURO', '2198', '76403', '59', '1165');
INSERT INTO public.who_import VALUES (33936, '2020-11-18', 'GR', 'Greece', 'EURO', '2422', '78825', '63', '1228');
INSERT INTO public.who_import VALUES (33937, '2020-11-19', 'GR', 'Greece', 'EURO', '3209', '82034', '60', '1288');
INSERT INTO public.who_import VALUES (33938, '2020-11-20', 'GR', 'Greece', 'EURO', '3227', '85261', '59', '1347');
INSERT INTO public.who_import VALUES (33939, '2020-11-21', 'GR', 'Greece', 'EURO', '2551', '87812', '72', '1419');
INSERT INTO public.who_import VALUES (33940, '2020-11-22', 'GR', 'Greece', 'EURO', '2309', '90121', '108', '1527');
INSERT INTO public.who_import VALUES (33941, '2020-11-23', 'GR', 'Greece', 'EURO', '1498', '91619', '103', '1630');
INSERT INTO public.who_import VALUES (33942, '2020-11-24', 'GR', 'Greece', 'EURO', '1387', '93006', '84', '1714');
INSERT INTO public.who_import VALUES (33943, '2020-11-25', 'GR', 'Greece', 'EURO', '2131', '95137', '101', '1815');
INSERT INTO public.who_import VALUES (33944, '2020-11-26', 'GR', 'Greece', 'EURO', '2151', '97288', '87', '1902');
INSERT INTO public.who_import VALUES (33945, '2020-11-27', 'GR', 'Greece', 'EURO', '2018', '99306', '99', '2001');
INSERT INTO public.who_import VALUES (33946, '2020-11-28', 'GR', 'Greece', 'EURO', '1981', '101287', '101', '2102');
INSERT INTO public.who_import VALUES (33947, '2020-11-29', 'GR', 'Greece', 'EURO', '1747', '103034', '121', '2223');
INSERT INTO public.who_import VALUES (33948, '2020-11-30', 'GR', 'Greece', 'EURO', '1193', '104227', '98', '2321');
INSERT INTO public.who_import VALUES (33949, '2020-12-01', 'GR', 'Greece', 'EURO', '1044', '105271', '85', '2406');
INSERT INTO public.who_import VALUES (33950, '2020-12-02', 'GR', 'Greece', 'EURO', '2199', '107470', '111', '2517');
INSERT INTO public.who_import VALUES (33951, '2020-12-03', 'GR', 'Greece', 'EURO', '2185', '109655', '89', '2606');
INSERT INTO public.who_import VALUES (33952, '2020-12-04', 'GR', 'Greece', 'EURO', '1882', '111537', '100', '2706');
INSERT INTO public.who_import VALUES (33953, '2020-12-05', 'GR', 'Greece', 'EURO', '1648', '113185', '98', '2804');
INSERT INTO public.who_import VALUES (33954, '2020-12-06', 'GR', 'Greece', 'EURO', '1383', '114568', '98', '2902');
INSERT INTO public.who_import VALUES (33955, '2020-12-07', 'GR', 'Greece', 'EURO', '903', '115471', '101', '3003');
INSERT INTO public.who_import VALUES (33956, '2020-12-08', 'GR', 'Greece', 'EURO', '1250', '116721', '89', '3092');
INSERT INTO public.who_import VALUES (33957, '2020-12-09', 'GR', 'Greece', 'EURO', '1324', '118045', '102', '3194');
INSERT INTO public.who_import VALUES (33958, '2020-12-10', 'GR', 'Greece', 'EURO', '1675', '119720', '95', '3289');
INSERT INTO public.who_import VALUES (33959, '2020-12-11', 'GR', 'Greece', 'EURO', '1533', '121253', '81', '3370');
INSERT INTO public.who_import VALUES (33960, '2020-12-12', 'GR', 'Greece', 'EURO', '1395', '122648', '102', '3472');
INSERT INTO public.who_import VALUES (33961, '2020-12-13', 'GR', 'Greece', 'EURO', '1194', '123842', '68', '3540');
INSERT INTO public.who_import VALUES (33962, '2020-12-14', 'GR', 'Greece', 'EURO', '692', '124534', '85', '3625');
INSERT INTO public.who_import VALUES (33963, '2020-12-15', 'GR', 'Greece', 'EURO', '639', '125173', '62', '3687');
INSERT INTO public.who_import VALUES (33964, '2020-12-16', 'GR', 'Greece', 'EURO', '1199', '126372', '98', '3785');
INSERT INTO public.who_import VALUES (33965, '2020-12-17', 'GR', 'Greece', 'EURO', '1185', '127557', '85', '3870');
INSERT INTO public.who_import VALUES (33966, '2020-12-18', 'GR', 'Greece', 'EURO', '1153', '128710', '78', '3948');
INSERT INTO public.who_import VALUES (33967, '2020-12-19', 'GR', 'Greece', 'EURO', '874', '129584', '96', '4044');
INSERT INTO public.who_import VALUES (33968, '2020-12-20', 'GR', 'Greece', 'EURO', '901', '130485', '58', '4102');
INSERT INTO public.who_import VALUES (33969, '2020-12-21', 'GR', 'Greece', 'EURO', '587', '131072', '70', '4172');
INSERT INTO public.who_import VALUES (33970, '2020-12-22', 'GR', 'Greece', 'EURO', '525', '131597', '85', '4257');
INSERT INTO public.who_import VALUES (33971, '2020-12-23', 'GR', 'Greece', 'EURO', '833', '132430', '83', '4340');
INSERT INTO public.who_import VALUES (33972, '2020-12-24', 'GR', 'Greece', 'EURO', '935', '133365', '62', '4402');
INSERT INTO public.who_import VALUES (33973, '2020-12-25', 'GR', 'Greece', 'EURO', '870', '134235', '55', '4457');
INSERT INTO public.who_import VALUES (33974, '2020-12-26', 'GR', 'Greece', 'EURO', '617', '134852', '50', '4507');
INSERT INTO public.who_import VALUES (33975, '2020-12-27', 'GR', 'Greece', 'EURO', '262', '135114', '46', '4553');
INSERT INTO public.who_import VALUES (33976, '2020-12-28', 'GR', 'Greece', 'EURO', '342', '135456', '53', '4606');
INSERT INTO public.who_import VALUES (33977, '2020-12-29', 'GR', 'Greece', 'EURO', '475', '135931', '66', '4672');
INSERT INTO public.who_import VALUES (33978, '2020-12-30', 'GR', 'Greece', 'EURO', '1045', '136976', '58', '4730');
INSERT INTO public.who_import VALUES (33979, '2020-12-31', 'GR', 'Greece', 'EURO', '942', '137918', '58', '4788');
INSERT INTO public.who_import VALUES (33980, '2021-01-01', 'GR', 'Greece', 'EURO', '932', '138850', '50', '4838');
INSERT INTO public.who_import VALUES (33981, '2021-01-02', 'GR', 'Greece', 'EURO', '597', '139447', '43', '4881');
INSERT INTO public.who_import VALUES (33982, '2021-01-03', 'GR', 'Greece', 'EURO', '262', '139709', '40', '4921');
INSERT INTO public.who_import VALUES (33983, '2021-01-04', 'GR', 'Greece', 'EURO', '390', '140099', '36', '4957');
INSERT INTO public.who_import VALUES (33984, '2021-01-05', 'GR', 'Greece', 'EURO', '427', '140526', '54', '5011');
INSERT INTO public.who_import VALUES (33985, '2021-01-06', 'GR', 'Greece', 'EURO', '927', '141453', '40', '5051');
INSERT INTO public.who_import VALUES (33986, '2021-01-07', 'GR', 'Greece', 'EURO', '814', '142267', '48', '5099');
INSERT INTO public.who_import VALUES (33987, '2021-01-08', 'GR', 'Greece', 'EURO', '510', '142777', '47', '5146');
INSERT INTO public.who_import VALUES (33988, '2021-01-09', 'GR', 'Greece', 'EURO', '717', '143494', '49', '5195');
INSERT INTO public.who_import VALUES (33989, '2021-01-10', 'GR', 'Greece', 'EURO', '799', '144293', '32', '5227');
INSERT INTO public.who_import VALUES (33990, '2021-01-11', 'GR', 'Greece', 'EURO', '445', '144738', '36', '5263');
INSERT INTO public.who_import VALUES (33991, '2021-01-12', 'GR', 'Greece', 'EURO', '441', '145179', '39', '5302');
INSERT INTO public.who_import VALUES (33992, '2021-01-13', 'GR', 'Greece', 'EURO', '841', '146020', '27', '5329');
INSERT INTO public.who_import VALUES (33993, '2021-01-14', 'GR', 'Greece', 'EURO', '668', '146688', '25', '5354');
INSERT INTO public.who_import VALUES (33994, '2021-01-15', 'GR', 'Greece', 'EURO', '595', '147283', '33', '5387');
INSERT INTO public.who_import VALUES (33995, '2021-01-16', 'GR', 'Greece', 'EURO', '577', '147860', '34', '5421');
INSERT INTO public.who_import VALUES (33996, '2021-01-17', 'GR', 'Greece', 'EURO', '510', '148370', '20', '5441');
INSERT INTO public.who_import VALUES (33997, '2021-01-18', 'GR', 'Greece', 'EURO', '237', '148607', '28', '5469');
INSERT INTO public.who_import VALUES (33998, '2021-01-19', 'GR', 'Greece', 'EURO', '318', '148925', '19', '5488');
INSERT INTO public.who_import VALUES (33999, '2021-01-20', 'GR', 'Greece', 'EURO', '537', '149462', '30', '5518');
INSERT INTO public.who_import VALUES (34000, '2021-01-21', 'GR', 'Greece', 'EURO', '511', '149973', '27', '5545');
INSERT INTO public.who_import VALUES (34001, '2021-01-22', 'GR', 'Greece', 'EURO', '506', '150479', '25', '5570');
INSERT INTO public.who_import VALUES (34002, '2021-01-23', 'GR', 'Greece', 'EURO', '562', '151041', '28', '5598');
INSERT INTO public.who_import VALUES (34003, '2021-01-24', 'GR', 'Greece', 'EURO', '605', '151646', '24', '5622');
INSERT INTO public.who_import VALUES (34004, '2021-01-25', 'GR', 'Greece', 'EURO', '334', '151980', '24', '5646');
INSERT INTO public.who_import VALUES (34005, '2021-01-26', 'GR', 'Greece', 'EURO', '432', '152412', '25', '5671');
INSERT INTO public.who_import VALUES (34006, '2021-01-27', 'GR', 'Greece', 'EURO', '814', '153226', '21', '5692');
INSERT INTO public.who_import VALUES (34007, '2021-01-28', 'GR', 'Greece', 'EURO', '857', '154083', '32', '5724');
INSERT INTO public.who_import VALUES (34008, '2021-01-29', 'GR', 'Greece', 'EURO', '713', '154796', '18', '5742');
INSERT INTO public.who_import VALUES (34009, '2021-01-30', 'GR', 'Greece', 'EURO', '882', '155678', '22', '5764');
INSERT INTO public.who_import VALUES (34010, '2021-01-31', 'GR', 'Greece', 'EURO', '795', '156473', '15', '5779');
INSERT INTO public.who_import VALUES (34011, '2021-02-01', 'GR', 'Greece', 'EURO', '484', '156957', '17', '5796');
INSERT INTO public.who_import VALUES (34012, '2021-02-02', 'GR', 'Greece', 'EURO', '538', '157495', '33', '5829');
INSERT INTO public.who_import VALUES (34013, '2021-02-03', 'GR', 'Greece', 'EURO', '1221', '158716', '22', '5851');
INSERT INTO public.who_import VALUES (34014, '2021-02-04', 'GR', 'Greece', 'EURO', '1150', '159866', '27', '5878');
INSERT INTO public.who_import VALUES (34015, '2021-02-05', 'GR', 'Greece', 'EURO', '1069', '160935', '25', '5903');
INSERT INTO public.who_import VALUES (34016, '2021-02-06', 'GR', 'Greece', 'EURO', '1172', '162107', '19', '5922');
INSERT INTO public.who_import VALUES (34017, '2021-02-07', 'GR', 'Greece', 'EURO', '1106', '163213', '29', '5951');
INSERT INTO public.who_import VALUES (34018, '2021-02-08', 'GR', 'Greece', 'EURO', '733', '163946', '21', '5972');
INSERT INTO public.who_import VALUES (34019, '2021-02-09', 'GR', 'Greece', 'EURO', '629', '164575', '25', '5997');
INSERT INTO public.who_import VALUES (34020, '2021-02-10', 'GR', 'Greece', 'EURO', '1492', '166067', '20', '6017');
INSERT INTO public.who_import VALUES (34021, '2021-02-11', 'GR', 'Greece', 'EURO', '1482', '167549', '17', '6034');
INSERT INTO public.who_import VALUES (34022, '2021-02-12', 'GR', 'Greece', 'EURO', '1323', '168872', '22', '6056');
INSERT INTO public.who_import VALUES (34023, '2021-02-13', 'GR', 'Greece', 'EURO', '1372', '170244', '21', '6077');
INSERT INTO public.who_import VALUES (34024, '2021-02-14', 'GR', 'Greece', 'EURO', '1222', '171466', '26', '6103');
INSERT INTO public.who_import VALUES (34025, '2021-02-15', 'GR', 'Greece', 'EURO', '662', '172128', '23', '6126');
INSERT INTO public.who_import VALUES (34026, '2021-02-16', 'GR', 'Greece', 'EURO', '696', '172824', '26', '6152');
INSERT INTO public.who_import VALUES (34027, '2021-02-17', 'GR', 'Greece', 'EURO', '1081', '173905', '29', '6181');
INSERT INTO public.who_import VALUES (34028, '2021-02-18', 'GR', 'Greece', 'EURO', '754', '174659', '13', '6194');
INSERT INTO public.who_import VALUES (34029, '2021-02-19', 'GR', 'Greece', 'EURO', '1400', '176059', '27', '6221');
INSERT INTO public.who_import VALUES (34030, '2021-02-20', 'GR', 'Greece', 'EURO', '1435', '177494', '28', '6249');
INSERT INTO public.who_import VALUES (34031, '2020-01-03', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34032, '2020-01-04', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34033, '2020-01-05', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34034, '2020-01-06', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34035, '2020-01-07', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34036, '2020-01-08', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34037, '2020-01-09', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34038, '2020-01-10', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34039, '2020-01-11', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34040, '2020-01-12', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34041, '2020-01-13', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34042, '2020-01-14', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34043, '2020-01-15', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34044, '2020-01-16', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34045, '2020-01-17', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34046, '2020-01-18', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34047, '2020-01-19', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34048, '2020-01-20', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34049, '2020-01-21', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34050, '2020-01-22', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34051, '2020-01-23', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34052, '2020-01-24', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34053, '2020-01-25', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34054, '2020-01-26', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34055, '2020-01-27', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34056, '2020-01-28', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34057, '2020-01-29', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34058, '2020-01-30', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34059, '2020-01-31', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34060, '2020-02-01', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34061, '2020-02-02', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34062, '2020-02-03', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34063, '2020-02-04', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34064, '2020-02-05', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34065, '2020-02-06', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34066, '2020-02-07', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34067, '2020-02-08', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34068, '2020-02-09', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34069, '2020-02-10', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34070, '2020-02-11', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34071, '2020-02-12', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34072, '2020-02-13', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34073, '2020-02-14', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34074, '2020-02-15', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34075, '2020-02-16', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34076, '2020-02-17', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34077, '2020-02-18', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34078, '2020-02-19', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34079, '2020-02-20', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34080, '2020-02-21', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34081, '2020-02-22', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34082, '2020-02-23', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34083, '2020-02-24', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34084, '2020-02-25', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34085, '2020-02-26', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34086, '2020-02-27', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34087, '2020-02-28', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34088, '2020-02-29', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34089, '2020-03-01', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34090, '2020-03-02', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34091, '2020-03-03', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34092, '2020-03-04', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34093, '2020-03-05', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34094, '2020-03-06', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34095, '2020-03-07', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34096, '2020-03-08', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34097, '2020-03-09', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34098, '2020-03-10', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34099, '2020-03-11', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34100, '2020-03-12', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34101, '2020-03-13', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34102, '2020-03-14', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34103, '2020-03-15', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34104, '2020-03-16', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34105, '2020-03-17', 'GL', 'Greenland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34106, '2020-03-18', 'GL', 'Greenland', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (34107, '2020-03-19', 'GL', 'Greenland', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (34108, '2020-03-20', 'GL', 'Greenland', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (34109, '2020-03-21', 'GL', 'Greenland', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (34110, '2020-03-22', 'GL', 'Greenland', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (34111, '2020-03-23', 'GL', 'Greenland', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (34112, '2020-03-24', 'GL', 'Greenland', 'EURO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (34113, '2020-03-25', 'GL', 'Greenland', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (34114, '2020-03-26', 'GL', 'Greenland', 'EURO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (34115, '2020-03-27', 'GL', 'Greenland', 'EURO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (34116, '2020-03-28', 'GL', 'Greenland', 'EURO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (34117, '2020-03-29', 'GL', 'Greenland', 'EURO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (34118, '2020-03-30', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34119, '2020-03-31', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34120, '2020-04-01', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34121, '2020-04-02', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34122, '2020-04-03', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34123, '2020-04-04', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34124, '2020-04-05', 'GL', 'Greenland', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34125, '2020-04-06', 'GL', 'Greenland', 'EURO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (34126, '2020-04-07', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34127, '2020-04-08', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34128, '2020-04-09', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34129, '2020-04-10', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34130, '2020-04-11', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34131, '2020-04-12', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34132, '2020-04-13', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34133, '2020-04-14', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34134, '2020-04-15', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34135, '2020-04-16', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34136, '2020-04-17', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34137, '2020-04-18', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34138, '2020-04-19', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34139, '2020-04-20', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34140, '2020-04-21', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34141, '2020-04-22', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34142, '2020-04-23', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34143, '2020-04-24', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34144, '2020-04-25', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34145, '2020-04-26', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34146, '2020-04-27', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34147, '2020-04-28', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34148, '2020-04-29', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34149, '2020-04-30', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34150, '2020-05-01', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34151, '2020-05-02', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34152, '2020-05-03', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34153, '2020-05-04', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34154, '2020-05-05', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34155, '2020-05-06', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34156, '2020-05-07', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34157, '2020-05-08', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34158, '2020-05-09', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34159, '2020-05-10', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34160, '2020-05-11', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34161, '2020-05-12', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34162, '2020-05-13', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34163, '2020-05-14', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34164, '2020-05-15', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34165, '2020-05-16', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34166, '2020-05-17', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34167, '2020-05-18', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34168, '2020-05-19', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34169, '2020-05-20', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34170, '2020-05-21', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34171, '2020-05-22', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34172, '2020-05-23', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34173, '2020-05-24', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34174, '2020-05-25', 'GL', 'Greenland', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (34175, '2020-05-26', 'GL', 'Greenland', 'EURO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (34176, '2020-05-27', 'GL', 'Greenland', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34177, '2020-05-28', 'GL', 'Greenland', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34178, '2020-05-29', 'GL', 'Greenland', 'EURO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (34179, '2020-05-30', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34180, '2020-05-31', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34181, '2020-06-01', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34182, '2020-06-02', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34183, '2020-06-03', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34184, '2020-06-04', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34185, '2020-06-05', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34186, '2020-06-06', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34187, '2020-06-07', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34188, '2020-06-08', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34189, '2020-06-09', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34190, '2020-06-10', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34191, '2020-06-11', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34192, '2020-06-12', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34193, '2020-06-13', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34194, '2020-06-14', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34195, '2020-06-15', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34196, '2020-06-16', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34197, '2020-06-17', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34198, '2020-06-18', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34199, '2020-06-19', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34200, '2020-06-20', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34201, '2020-06-21', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34202, '2020-06-22', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34203, '2020-06-23', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34204, '2020-06-24', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34205, '2020-06-25', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34206, '2020-06-26', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34207, '2020-06-27', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34208, '2020-06-28', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34209, '2020-06-29', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34210, '2020-06-30', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34211, '2020-07-01', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34212, '2020-07-02', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34213, '2020-07-03', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34214, '2020-07-04', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34215, '2020-07-05', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34216, '2020-07-06', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34217, '2020-07-07', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34218, '2020-07-08', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34219, '2020-07-09', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34220, '2020-07-10', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34221, '2020-07-11', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34222, '2020-07-12', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34223, '2020-07-13', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34224, '2020-07-14', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34225, '2020-07-15', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34226, '2020-07-16', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34227, '2020-07-17', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34228, '2020-07-18', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34229, '2020-07-19', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34230, '2020-07-20', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34231, '2020-07-21', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34232, '2020-07-22', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34233, '2020-07-23', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34234, '2020-07-24', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34235, '2020-07-25', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34236, '2020-07-26', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34237, '2020-07-27', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34238, '2020-07-28', 'GL', 'Greenland', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34239, '2020-07-29', 'GL', 'Greenland', 'EURO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (34240, '2020-07-30', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34241, '2020-07-31', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34242, '2020-08-01', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34243, '2020-08-02', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34244, '2020-08-03', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34245, '2020-08-04', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34246, '2020-08-05', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34247, '2020-08-06', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34248, '2020-08-07', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34249, '2020-08-08', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34250, '2020-08-09', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34251, '2020-08-10', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34252, '2020-08-11', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34253, '2020-08-12', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34254, '2020-08-13', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34255, '2020-08-14', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34256, '2020-08-15', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34257, '2020-08-16', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34258, '2020-08-17', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34259, '2020-08-18', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34260, '2020-08-19', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34261, '2020-08-20', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34262, '2020-08-21', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34263, '2020-08-22', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34264, '2020-08-23', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34265, '2020-08-24', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34266, '2020-08-25', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34267, '2020-08-26', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34268, '2020-08-27', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34269, '2020-08-28', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34270, '2020-08-29', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34271, '2020-08-30', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34272, '2020-08-31', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34273, '2020-09-01', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34274, '2020-09-02', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34275, '2020-09-03', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34276, '2020-09-04', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34277, '2020-09-05', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34278, '2020-09-06', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34279, '2020-09-07', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34280, '2020-09-08', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34281, '2020-09-09', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34282, '2020-09-10', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34283, '2020-09-11', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34284, '2020-09-12', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34285, '2020-09-13', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34286, '2020-09-14', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34287, '2020-09-15', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34288, '2020-09-16', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34289, '2020-09-17', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34290, '2020-09-18', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34291, '2020-09-19', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34292, '2020-09-20', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34293, '2020-09-21', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34294, '2020-09-22', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34295, '2020-09-23', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34296, '2020-09-24', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34297, '2020-09-25', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34298, '2020-09-26', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34299, '2020-09-27', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34300, '2020-09-28', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34301, '2020-09-29', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34302, '2020-09-30', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34303, '2020-10-01', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34304, '2020-10-02', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34305, '2020-10-03', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34306, '2020-10-04', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34307, '2020-10-05', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34308, '2020-10-06', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34309, '2020-10-07', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34310, '2020-10-08', 'GL', 'Greenland', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34311, '2020-10-09', 'GL', 'Greenland', 'EURO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (34312, '2020-10-10', 'GL', 'Greenland', 'EURO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (34313, '2020-10-11', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34314, '2020-10-12', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34315, '2020-10-13', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34316, '2020-10-14', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34317, '2020-10-15', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34318, '2020-10-16', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34319, '2020-10-17', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34320, '2020-10-18', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34321, '2020-10-19', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34322, '2020-10-20', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34323, '2020-10-21', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34324, '2020-10-22', 'GL', 'Greenland', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (34325, '2020-10-23', 'GL', 'Greenland', 'EURO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (34326, '2020-10-24', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34327, '2020-10-25', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34328, '2020-10-26', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34329, '2020-10-27', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34330, '2020-10-28', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34331, '2020-10-29', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34332, '2020-10-30', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34333, '2020-10-31', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34334, '2020-11-01', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34335, '2020-11-02', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34336, '2020-11-03', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34337, '2020-11-04', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34338, '2020-11-05', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34339, '2020-11-06', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34340, '2020-11-07', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34341, '2020-11-08', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34342, '2020-11-09', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34343, '2020-11-10', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34344, '2020-11-11', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34345, '2020-11-12', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34346, '2020-11-13', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34347, '2020-11-14', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34348, '2020-11-15', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34349, '2020-11-16', 'GL', 'Greenland', 'EURO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (34350, '2020-11-17', 'GL', 'Greenland', 'EURO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (34351, '2020-11-18', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34352, '2020-11-19', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34353, '2020-11-20', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34354, '2020-11-21', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34355, '2020-11-22', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34356, '2020-11-23', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34357, '2020-11-24', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34358, '2020-11-25', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34359, '2020-11-26', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34360, '2020-11-27', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34361, '2020-11-28', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34362, '2020-11-29', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34363, '2020-11-30', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34364, '2020-12-01', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34365, '2020-12-02', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34366, '2020-12-03', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34367, '2020-12-04', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34368, '2020-12-05', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34369, '2020-12-06', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34370, '2020-12-07', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34371, '2020-12-08', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34372, '2020-12-09', 'GL', 'Greenland', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34373, '2020-12-10', 'GL', 'Greenland', 'EURO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (34374, '2020-12-11', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34375, '2020-12-12', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34376, '2020-12-13', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34377, '2020-12-14', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34378, '2020-12-15', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34379, '2020-12-16', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34380, '2020-12-17', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34381, '2020-12-18', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34382, '2020-12-19', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34383, '2020-12-20', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34384, '2020-12-21', 'GL', 'Greenland', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (34385, '2020-12-22', 'GL', 'Greenland', 'EURO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (34386, '2020-12-23', 'GL', 'Greenland', 'EURO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34387, '2020-12-24', 'GL', 'Greenland', 'EURO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34388, '2020-12-25', 'GL', 'Greenland', 'EURO', '2', '26', '0', '0');
INSERT INTO public.who_import VALUES (34389, '2020-12-26', 'GL', 'Greenland', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (34390, '2020-12-27', 'GL', 'Greenland', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (34391, '2020-12-28', 'GL', 'Greenland', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (34392, '2020-12-29', 'GL', 'Greenland', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (34393, '2020-12-30', 'GL', 'Greenland', 'EURO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (34394, '2020-12-31', 'GL', 'Greenland', 'EURO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34395, '2021-01-01', 'GL', 'Greenland', 'EURO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34396, '2021-01-02', 'GL', 'Greenland', 'EURO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34397, '2021-01-03', 'GL', 'Greenland', 'EURO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34398, '2021-01-04', 'GL', 'Greenland', 'EURO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34399, '2021-01-05', 'GL', 'Greenland', 'EURO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34400, '2021-01-06', 'GL', 'Greenland', 'EURO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (34401, '2021-01-07', 'GL', 'Greenland', 'EURO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34402, '2021-01-08', 'GL', 'Greenland', 'EURO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34403, '2021-01-09', 'GL', 'Greenland', 'EURO', '1', '29', '0', '0');
INSERT INTO public.who_import VALUES (34404, '2021-01-10', 'GL', 'Greenland', 'EURO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (34405, '2021-01-11', 'GL', 'Greenland', 'EURO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (34406, '2021-01-12', 'GL', 'Greenland', 'EURO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (34407, '2021-01-13', 'GL', 'Greenland', 'EURO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (34408, '2021-01-14', 'GL', 'Greenland', 'EURO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (34409, '2021-01-15', 'GL', 'Greenland', 'EURO', '1', '30', '0', '0');
INSERT INTO public.who_import VALUES (34410, '2021-01-16', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34411, '2021-01-17', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34412, '2021-01-18', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34413, '2021-01-19', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34414, '2021-01-20', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34415, '2021-01-21', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34416, '2021-01-22', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34417, '2021-01-23', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34418, '2021-01-24', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34419, '2021-01-25', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34420, '2021-01-26', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34421, '2021-01-27', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34422, '2021-01-28', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34423, '2021-01-29', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34424, '2021-01-30', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34425, '2021-01-31', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34426, '2021-02-01', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34427, '2021-02-02', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34428, '2021-02-03', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34429, '2021-02-04', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34430, '2021-02-05', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34431, '2021-02-06', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34432, '2021-02-07', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34433, '2021-02-08', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34434, '2021-02-09', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34435, '2021-02-10', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34436, '2021-02-11', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34437, '2021-02-12', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34438, '2021-02-13', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34439, '2021-02-14', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34440, '2021-02-15', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34441, '2021-02-16', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34442, '2021-02-17', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34443, '2021-02-18', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34444, '2021-02-19', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34445, '2021-02-20', 'GL', 'Greenland', 'EURO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34446, '2020-01-03', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34447, '2020-01-04', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34448, '2020-01-05', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34449, '2020-01-06', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34450, '2020-01-07', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34451, '2020-01-08', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34452, '2020-01-09', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34453, '2020-01-10', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34454, '2020-01-11', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34455, '2020-01-12', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34456, '2020-01-13', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34457, '2020-01-14', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34458, '2020-01-15', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34459, '2020-01-16', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34460, '2020-01-17', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34461, '2020-01-18', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34462, '2020-01-19', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34463, '2020-01-20', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34464, '2020-01-21', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34465, '2020-01-22', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34466, '2020-01-23', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34467, '2020-01-24', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34468, '2020-01-25', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34469, '2020-01-26', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34470, '2020-01-27', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34471, '2020-01-28', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34472, '2020-01-29', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34473, '2020-01-30', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34474, '2020-01-31', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34475, '2020-02-01', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34476, '2020-02-02', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34477, '2020-02-03', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34478, '2020-02-04', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34479, '2020-02-05', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34480, '2020-02-06', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34481, '2020-02-07', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34482, '2020-02-08', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34483, '2020-02-09', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34484, '2020-02-10', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34485, '2020-02-11', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34486, '2020-02-12', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34487, '2020-02-13', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34488, '2020-02-14', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34489, '2020-02-15', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34490, '2020-02-16', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34491, '2020-02-17', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34492, '2020-02-18', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34493, '2020-02-19', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34494, '2020-02-20', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34495, '2020-02-21', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34496, '2020-02-22', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34497, '2020-02-23', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34498, '2020-02-24', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34499, '2020-02-25', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34500, '2020-02-26', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34501, '2020-02-27', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34502, '2020-02-28', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34503, '2020-02-29', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34504, '2020-03-01', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34505, '2020-03-02', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34506, '2020-03-03', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34507, '2020-03-04', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34508, '2020-03-05', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34509, '2020-03-06', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34510, '2020-03-07', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34511, '2020-03-08', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34512, '2020-03-09', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34513, '2020-03-10', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34514, '2020-03-11', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34515, '2020-03-12', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34516, '2020-03-13', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34517, '2020-03-14', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34518, '2020-03-15', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34519, '2020-03-16', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34520, '2020-03-17', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34521, '2020-03-18', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34522, '2020-03-19', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34523, '2020-03-20', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34524, '2020-03-21', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34525, '2020-03-22', 'GD', 'Grenada', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34526, '2020-03-23', 'GD', 'Grenada', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (34527, '2020-03-24', 'GD', 'Grenada', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (34528, '2020-03-25', 'GD', 'Grenada', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (34529, '2020-03-26', 'GD', 'Grenada', 'AMRO', '6', '7', '0', '0');
INSERT INTO public.who_import VALUES (34530, '2020-03-27', 'GD', 'Grenada', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (34531, '2020-03-28', 'GD', 'Grenada', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (34532, '2020-03-29', 'GD', 'Grenada', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (34533, '2020-03-30', 'GD', 'Grenada', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (34534, '2020-03-31', 'GD', 'Grenada', 'AMRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (34535, '2020-04-01', 'GD', 'Grenada', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (34536, '2020-04-02', 'GD', 'Grenada', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (34537, '2020-04-03', 'GD', 'Grenada', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (34538, '2020-04-04', 'GD', 'Grenada', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34539, '2020-04-05', 'GD', 'Grenada', 'AMRO', '2', '12', '0', '0');
INSERT INTO public.who_import VALUES (34540, '2020-04-06', 'GD', 'Grenada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34541, '2020-04-07', 'GD', 'Grenada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34542, '2020-04-08', 'GD', 'Grenada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34543, '2020-04-09', 'GD', 'Grenada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34544, '2020-04-10', 'GD', 'Grenada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34545, '2020-04-11', 'GD', 'Grenada', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (34546, '2020-04-12', 'GD', 'Grenada', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (34547, '2020-04-13', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34548, '2020-04-14', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34549, '2020-04-15', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34550, '2020-04-16', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34551, '2020-04-17', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34552, '2020-04-18', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34553, '2020-04-19', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34554, '2020-04-20', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34555, '2020-04-21', 'GD', 'Grenada', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (34556, '2020-04-22', 'GD', 'Grenada', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (34557, '2020-04-23', 'GD', 'Grenada', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (34558, '2020-04-24', 'GD', 'Grenada', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (34559, '2020-04-25', 'GD', 'Grenada', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (34560, '2020-04-26', 'GD', 'Grenada', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (34561, '2020-04-27', 'GD', 'Grenada', 'AMRO', '3', '18', '0', '0');
INSERT INTO public.who_import VALUES (34562, '2020-04-28', 'GD', 'Grenada', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34563, '2020-04-29', 'GD', 'Grenada', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (34564, '2020-04-30', 'GD', 'Grenada', 'AMRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (34565, '2020-05-01', 'GD', 'Grenada', 'AMRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (34566, '2020-05-02', 'GD', 'Grenada', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (34567, '2020-05-03', 'GD', 'Grenada', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (34568, '2020-05-04', 'GD', 'Grenada', 'AMRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (34569, '2020-05-05', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34570, '2020-05-06', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34571, '2020-05-07', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34572, '2020-05-08', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34573, '2020-05-09', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34574, '2020-05-10', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34575, '2020-05-11', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34576, '2020-05-12', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34577, '2020-05-13', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34578, '2020-05-14', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34579, '2020-05-15', 'GD', 'Grenada', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (34580, '2020-05-16', 'GD', 'Grenada', 'AMRO', '1', '22', '0', '0');
INSERT INTO public.who_import VALUES (34581, '2020-05-17', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34582, '2020-05-18', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34583, '2020-05-19', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34584, '2020-05-20', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34585, '2020-05-21', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34586, '2020-05-22', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34587, '2020-05-23', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34588, '2020-05-24', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34589, '2020-05-25', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34590, '2020-05-26', 'GD', 'Grenada', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (34591, '2020-05-27', 'GD', 'Grenada', 'AMRO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (34592, '2020-05-28', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34593, '2020-05-29', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34594, '2020-05-30', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34595, '2020-05-31', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34596, '2020-06-01', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34597, '2020-06-02', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34598, '2020-06-03', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34599, '2020-06-04', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34600, '2020-06-05', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34601, '2020-06-06', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34602, '2020-06-07', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34603, '2020-06-08', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34604, '2020-06-09', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34605, '2020-06-10', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34606, '2020-06-11', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34607, '2020-06-12', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34608, '2020-06-13', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34609, '2020-06-14', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34610, '2020-06-15', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34611, '2020-06-16', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34612, '2020-06-17', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34613, '2020-06-18', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34614, '2020-06-19', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34615, '2020-06-20', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34616, '2020-06-21', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34617, '2020-06-22', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34618, '2020-06-23', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34619, '2020-06-24', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34620, '2020-06-25', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34621, '2020-06-26', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34622, '2020-06-27', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34623, '2020-06-28', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34624, '2020-06-29', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34625, '2020-06-30', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34626, '2020-07-01', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34627, '2020-07-02', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34628, '2020-07-03', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34629, '2020-07-04', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34630, '2020-07-05', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34631, '2020-07-06', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34632, '2020-07-07', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34633, '2020-07-08', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34634, '2020-07-09', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34635, '2020-07-10', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34636, '2020-07-11', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34637, '2020-07-12', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34638, '2020-07-13', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34639, '2020-07-14', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34640, '2020-07-15', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34641, '2020-07-16', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34642, '2020-07-17', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34643, '2020-07-18', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34644, '2020-07-19', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34645, '2020-07-20', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34646, '2020-07-21', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34647, '2020-07-22', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34648, '2020-07-23', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34649, '2020-07-24', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34650, '2020-07-25', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34651, '2020-07-26', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34652, '2020-07-27', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34653, '2020-07-28', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34654, '2020-07-29', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34655, '2020-07-30', 'GD', 'Grenada', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (34656, '2020-07-31', 'GD', 'Grenada', 'AMRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (34657, '2020-08-01', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34658, '2020-08-02', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34659, '2020-08-03', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34660, '2020-08-04', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34661, '2020-08-05', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34662, '2020-08-06', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34663, '2020-08-07', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34664, '2020-08-08', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34665, '2020-08-09', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34666, '2020-08-10', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34667, '2020-08-11', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34668, '2020-08-12', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34669, '2020-08-13', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34670, '2020-08-14', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34671, '2020-08-15', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34672, '2020-08-16', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34673, '2020-08-17', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34674, '2020-08-18', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34675, '2020-08-19', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34676, '2020-08-20', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34677, '2020-08-21', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34678, '2020-08-22', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34679, '2020-08-23', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34680, '2020-08-24', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34681, '2020-08-25', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34682, '2020-08-26', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34683, '2020-08-27', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34684, '2020-08-28', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34685, '2020-08-29', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34686, '2020-08-30', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34687, '2020-08-31', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34688, '2020-09-01', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34689, '2020-09-02', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34690, '2020-09-03', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34691, '2020-09-04', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34692, '2020-09-05', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34693, '2020-09-06', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34694, '2020-09-07', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34695, '2020-09-08', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34696, '2020-09-09', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34697, '2020-09-10', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34698, '2020-09-11', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34699, '2020-09-12', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34700, '2020-09-13', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34701, '2020-09-14', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34702, '2020-09-15', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34703, '2020-09-16', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34704, '2020-09-17', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34705, '2020-09-18', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34706, '2020-09-19', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34707, '2020-09-20', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34708, '2020-09-21', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34709, '2020-09-22', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34710, '2020-09-23', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34711, '2020-09-24', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34712, '2020-09-25', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34713, '2020-09-26', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34714, '2020-09-27', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34715, '2020-09-28', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34716, '2020-09-29', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34717, '2020-09-30', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34718, '2020-10-01', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34719, '2020-10-02', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34720, '2020-10-03', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34721, '2020-10-04', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34722, '2020-10-05', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34723, '2020-10-06', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34724, '2020-10-07', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34725, '2020-10-08', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34726, '2020-10-09', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34727, '2020-10-10', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34728, '2020-10-11', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34729, '2020-10-12', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34730, '2020-10-13', 'GD', 'Grenada', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (34731, '2020-10-14', 'GD', 'Grenada', 'AMRO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (34732, '2020-10-15', 'GD', 'Grenada', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (34733, '2020-10-16', 'GD', 'Grenada', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (34734, '2020-10-17', 'GD', 'Grenada', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (34735, '2020-10-18', 'GD', 'Grenada', 'AMRO', '2', '27', '0', '0');
INSERT INTO public.who_import VALUES (34736, '2020-10-19', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34737, '2020-10-20', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34738, '2020-10-21', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34739, '2020-10-22', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34740, '2020-10-23', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34741, '2020-10-24', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34742, '2020-10-25', 'GD', 'Grenada', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (34743, '2020-10-26', 'GD', 'Grenada', 'AMRO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (34744, '2020-10-27', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34745, '2020-10-28', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34746, '2020-10-29', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34747, '2020-10-30', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34748, '2020-10-31', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34749, '2020-11-01', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34750, '2020-11-02', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34751, '2020-11-03', 'GD', 'Grenada', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (34752, '2020-11-04', 'GD', 'Grenada', 'AMRO', '1', '29', '0', '0');
INSERT INTO public.who_import VALUES (34753, '2020-11-05', 'GD', 'Grenada', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (34754, '2020-11-06', 'GD', 'Grenada', 'AMRO', '1', '30', '0', '0');
INSERT INTO public.who_import VALUES (34755, '2020-11-07', 'GD', 'Grenada', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34756, '2020-11-08', 'GD', 'Grenada', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34757, '2020-11-09', 'GD', 'Grenada', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (34758, '2020-11-10', 'GD', 'Grenada', 'AMRO', '2', '32', '0', '0');
INSERT INTO public.who_import VALUES (34759, '2020-11-11', 'GD', 'Grenada', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (34760, '2020-11-12', 'GD', 'Grenada', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (34761, '2020-11-13', 'GD', 'Grenada', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (34762, '2020-11-14', 'GD', 'Grenada', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (34763, '2020-11-15', 'GD', 'Grenada', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (34764, '2020-11-16', 'GD', 'Grenada', 'AMRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (34765, '2020-11-17', 'GD', 'Grenada', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (34766, '2020-11-18', 'GD', 'Grenada', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (34767, '2020-11-19', 'GD', 'Grenada', 'AMRO', '3', '36', '0', '0');
INSERT INTO public.who_import VALUES (34768, '2020-11-20', 'GD', 'Grenada', 'AMRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (34769, '2020-11-21', 'GD', 'Grenada', 'AMRO', '5', '41', '0', '0');
INSERT INTO public.who_import VALUES (34770, '2020-11-22', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34771, '2020-11-23', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34772, '2020-11-24', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34773, '2020-11-25', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34774, '2020-11-26', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34775, '2020-11-27', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34776, '2020-11-28', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34777, '2020-11-29', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34778, '2020-11-30', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34779, '2020-12-01', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34780, '2020-12-02', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34781, '2020-12-03', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34782, '2020-12-04', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34783, '2020-12-05', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34784, '2020-12-06', 'GD', 'Grenada', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (34785, '2020-12-07', 'GD', 'Grenada', 'AMRO', '2', '43', '0', '0');
INSERT INTO public.who_import VALUES (34786, '2020-12-08', 'GD', 'Grenada', 'AMRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (34787, '2020-12-09', 'GD', 'Grenada', 'AMRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (34788, '2020-12-10', 'GD', 'Grenada', 'AMRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (34789, '2020-12-11', 'GD', 'Grenada', 'AMRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (34790, '2020-12-12', 'GD', 'Grenada', 'AMRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (34791, '2020-12-13', 'GD', 'Grenada', 'AMRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (34792, '2020-12-14', 'GD', 'Grenada', 'AMRO', '26', '69', '0', '0');
INSERT INTO public.who_import VALUES (34793, '2020-12-15', 'GD', 'Grenada', 'AMRO', '2', '71', '0', '0');
INSERT INTO public.who_import VALUES (34794, '2020-12-16', 'GD', 'Grenada', 'AMRO', '0', '71', '0', '0');
INSERT INTO public.who_import VALUES (34795, '2020-12-17', 'GD', 'Grenada', 'AMRO', '14', '85', '0', '0');
INSERT INTO public.who_import VALUES (34796, '2020-12-18', 'GD', 'Grenada', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (34797, '2020-12-19', 'GD', 'Grenada', 'AMRO', '9', '94', '0', '0');
INSERT INTO public.who_import VALUES (34798, '2020-12-20', 'GD', 'Grenada', 'AMRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (34799, '2020-12-21', 'GD', 'Grenada', 'AMRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (34800, '2020-12-22', 'GD', 'Grenada', 'AMRO', '13', '107', '0', '0');
INSERT INTO public.who_import VALUES (34801, '2020-12-23', 'GD', 'Grenada', 'AMRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (34802, '2020-12-24', 'GD', 'Grenada', 'AMRO', '2', '109', '0', '0');
INSERT INTO public.who_import VALUES (34803, '2020-12-25', 'GD', 'Grenada', 'AMRO', '3', '112', '0', '0');
INSERT INTO public.who_import VALUES (34804, '2020-12-26', 'GD', 'Grenada', 'AMRO', '4', '116', '0', '0');
INSERT INTO public.who_import VALUES (34805, '2020-12-27', 'GD', 'Grenada', 'AMRO', '0', '116', '0', '0');
INSERT INTO public.who_import VALUES (34806, '2020-12-28', 'GD', 'Grenada', 'AMRO', '0', '116', '0', '0');
INSERT INTO public.who_import VALUES (34807, '2020-12-29', 'GD', 'Grenada', 'AMRO', '14', '130', '1', '1');
INSERT INTO public.who_import VALUES (34808, '2020-12-30', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34809, '2020-12-31', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34810, '2021-01-01', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34811, '2021-01-02', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34812, '2021-01-03', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34813, '2021-01-04', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34814, '2021-01-05', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34815, '2021-01-06', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34816, '2021-01-07', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34817, '2021-01-08', 'GD', 'Grenada', 'AMRO', '0', '130', '0', '1');
INSERT INTO public.who_import VALUES (34818, '2021-01-09', 'GD', 'Grenada', 'AMRO', '1', '131', '0', '1');
INSERT INTO public.who_import VALUES (34819, '2021-01-10', 'GD', 'Grenada', 'AMRO', '4', '135', '0', '1');
INSERT INTO public.who_import VALUES (34820, '2021-01-11', 'GD', 'Grenada', 'AMRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (34821, '2021-01-12', 'GD', 'Grenada', 'AMRO', '0', '135', '0', '1');
INSERT INTO public.who_import VALUES (34822, '2021-01-13', 'GD', 'Grenada', 'AMRO', '4', '139', '0', '1');
INSERT INTO public.who_import VALUES (34823, '2021-01-14', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34824, '2021-01-15', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34825, '2021-01-16', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34826, '2021-01-17', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34827, '2021-01-18', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34828, '2021-01-19', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34829, '2021-01-20', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34830, '2021-01-21', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34831, '2021-01-22', 'GD', 'Grenada', 'AMRO', '0', '139', '0', '1');
INSERT INTO public.who_import VALUES (34832, '2021-01-23', 'GD', 'Grenada', 'AMRO', '8', '147', '0', '1');
INSERT INTO public.who_import VALUES (34833, '2021-01-24', 'GD', 'Grenada', 'AMRO', '0', '147', '0', '1');
INSERT INTO public.who_import VALUES (34834, '2021-01-25', 'GD', 'Grenada', 'AMRO', '1', '148', '0', '1');
INSERT INTO public.who_import VALUES (34835, '2021-01-26', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34836, '2021-01-27', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34837, '2021-01-28', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34838, '2021-01-29', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34839, '2021-01-30', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34840, '2021-01-31', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34841, '2021-02-01', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34842, '2021-02-02', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34843, '2021-02-03', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34844, '2021-02-04', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34845, '2021-02-05', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34846, '2021-02-06', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34847, '2021-02-07', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34848, '2021-02-08', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34849, '2021-02-09', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34850, '2021-02-10', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34851, '2021-02-11', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34852, '2021-02-12', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34853, '2021-02-13', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34854, '2021-02-14', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34855, '2021-02-15', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34856, '2021-02-16', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34857, '2021-02-17', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34858, '2021-02-18', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34859, '2021-02-19', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34860, '2021-02-20', 'GD', 'Grenada', 'AMRO', '0', '148', '0', '1');
INSERT INTO public.who_import VALUES (34861, '2020-01-03', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34862, '2020-01-04', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34863, '2020-01-05', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34864, '2020-01-06', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34865, '2020-01-07', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34866, '2020-01-08', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34867, '2020-01-09', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34868, '2020-01-10', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34869, '2020-01-11', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34870, '2020-01-12', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34871, '2020-01-13', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34872, '2020-01-14', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34873, '2020-01-15', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34874, '2020-01-16', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34875, '2020-01-17', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34876, '2020-01-18', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34877, '2020-01-19', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34878, '2020-01-20', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34879, '2020-01-21', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34880, '2020-01-22', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34881, '2020-01-23', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34882, '2020-01-24', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34883, '2020-01-25', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34884, '2020-01-26', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34885, '2020-01-27', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34886, '2020-01-28', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34887, '2020-01-29', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34888, '2020-01-30', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34889, '2020-01-31', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34890, '2020-02-01', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34891, '2020-02-02', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34892, '2020-02-03', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34893, '2020-02-04', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34894, '2020-02-05', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34895, '2020-02-06', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34896, '2020-02-07', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34897, '2020-02-08', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34898, '2020-02-09', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34899, '2020-02-10', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34900, '2020-02-11', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34901, '2020-02-12', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34902, '2020-02-13', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34903, '2020-02-14', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34904, '2020-02-15', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34905, '2020-02-16', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34906, '2020-02-17', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34907, '2020-02-18', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34908, '2020-02-19', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34909, '2020-02-20', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34910, '2020-02-21', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34911, '2020-02-22', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34912, '2020-02-23', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34913, '2020-02-24', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34914, '2020-02-25', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34915, '2020-02-26', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34916, '2020-02-27', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34917, '2020-02-28', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34918, '2020-02-29', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34919, '2020-03-01', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34920, '2020-03-02', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34921, '2020-03-03', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34922, '2020-03-04', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34923, '2020-03-05', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34924, '2020-03-06', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34925, '2020-03-07', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34926, '2020-03-08', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34927, '2020-03-09', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34928, '2020-03-10', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34929, '2020-03-11', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34930, '2020-03-12', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34931, '2020-03-13', 'GP', 'Guadeloupe', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (34932, '2020-03-14', 'GP', 'Guadeloupe', 'AMRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (34933, '2020-03-15', 'GP', 'Guadeloupe', 'AMRO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (34934, '2020-03-16', 'GP', 'Guadeloupe', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (34935, '2020-03-17', 'GP', 'Guadeloupe', 'AMRO', '12', '22', '0', '0');
INSERT INTO public.who_import VALUES (34936, '2020-03-18', 'GP', 'Guadeloupe', 'AMRO', '15', '37', '0', '0');
INSERT INTO public.who_import VALUES (34937, '2020-03-19', 'GP', 'Guadeloupe', 'AMRO', '8', '45', '0', '0');
INSERT INTO public.who_import VALUES (34938, '2020-03-20', 'GP', 'Guadeloupe', 'AMRO', '6', '51', '0', '0');
INSERT INTO public.who_import VALUES (34939, '2020-03-21', 'GP', 'Guadeloupe', 'AMRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (34940, '2020-03-22', 'GP', 'Guadeloupe', 'AMRO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (34941, '2020-03-23', 'GP', 'Guadeloupe', 'AMRO', '5', '56', '0', '0');
INSERT INTO public.who_import VALUES (34942, '2020-03-24', 'GP', 'Guadeloupe', 'AMRO', '17', '73', '0', '0');
INSERT INTO public.who_import VALUES (34943, '2020-03-25', 'GP', 'Guadeloupe', 'AMRO', '0', '73', '0', '0');
INSERT INTO public.who_import VALUES (34944, '2020-03-26', 'GP', 'Guadeloupe', 'AMRO', '3', '76', '0', '0');
INSERT INTO public.who_import VALUES (34945, '2020-03-27', 'GP', 'Guadeloupe', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (34946, '2020-03-28', 'GP', 'Guadeloupe', 'AMRO', '20', '96', '2', '2');
INSERT INTO public.who_import VALUES (34947, '2020-03-29', 'GP', 'Guadeloupe', 'AMRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (34948, '2020-03-30', 'GP', 'Guadeloupe', 'AMRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (34949, '2020-03-31', 'GP', 'Guadeloupe', 'AMRO', '10', '106', '2', '4');
INSERT INTO public.who_import VALUES (34950, '2020-04-01', 'GP', 'Guadeloupe', 'AMRO', '8', '114', '1', '5');
INSERT INTO public.who_import VALUES (34951, '2020-04-02', 'GP', 'Guadeloupe', 'AMRO', '11', '125', '1', '6');
INSERT INTO public.who_import VALUES (34952, '2020-04-03', 'GP', 'Guadeloupe', 'AMRO', '3', '128', '0', '6');
INSERT INTO public.who_import VALUES (34953, '2020-04-04', 'GP', 'Guadeloupe', 'AMRO', '2', '130', '1', '7');
INSERT INTO public.who_import VALUES (34954, '2020-04-05', 'GP', 'Guadeloupe', 'AMRO', '0', '130', '0', '7');
INSERT INTO public.who_import VALUES (34955, '2020-04-06', 'GP', 'Guadeloupe', 'AMRO', '4', '134', '0', '7');
INSERT INTO public.who_import VALUES (34956, '2020-04-07', 'GP', 'Guadeloupe', 'AMRO', '1', '135', '0', '7');
INSERT INTO public.who_import VALUES (34957, '2020-04-08', 'GP', 'Guadeloupe', 'AMRO', '4', '139', '0', '7');
INSERT INTO public.who_import VALUES (34958, '2020-04-09', 'GP', 'Guadeloupe', 'AMRO', '0', '139', '1', '8');
INSERT INTO public.who_import VALUES (34959, '2020-04-10', 'GP', 'Guadeloupe', 'AMRO', '2', '141', '0', '8');
INSERT INTO public.who_import VALUES (34960, '2020-04-11', 'GP', 'Guadeloupe', 'AMRO', '2', '143', '0', '8');
INSERT INTO public.who_import VALUES (34961, '2020-04-12', 'GP', 'Guadeloupe', 'AMRO', '0', '143', '0', '8');
INSERT INTO public.who_import VALUES (34962, '2020-04-13', 'GP', 'Guadeloupe', 'AMRO', '0', '143', '0', '8');
INSERT INTO public.who_import VALUES (34963, '2020-04-14', 'GP', 'Guadeloupe', 'AMRO', '0', '143', '0', '8');
INSERT INTO public.who_import VALUES (34964, '2020-04-15', 'GP', 'Guadeloupe', 'AMRO', '2', '145', '0', '8');
INSERT INTO public.who_import VALUES (34965, '2020-04-16', 'GP', 'Guadeloupe', 'AMRO', '0', '145', '0', '8');
INSERT INTO public.who_import VALUES (34966, '2020-04-17', 'GP', 'Guadeloupe', 'AMRO', '0', '145', '0', '8');
INSERT INTO public.who_import VALUES (34967, '2020-04-18', 'GP', 'Guadeloupe', 'AMRO', '0', '145', '0', '8');
INSERT INTO public.who_import VALUES (34968, '2020-04-19', 'GP', 'Guadeloupe', 'AMRO', '0', '145', '2', '10');
INSERT INTO public.who_import VALUES (34969, '2020-04-20', 'GP', 'Guadeloupe', 'AMRO', '3', '148', '0', '10');
INSERT INTO public.who_import VALUES (34970, '2020-04-21', 'GP', 'Guadeloupe', 'AMRO', '0', '148', '0', '10');
INSERT INTO public.who_import VALUES (34971, '2020-04-22', 'GP', 'Guadeloupe', 'AMRO', '0', '148', '0', '10');
INSERT INTO public.who_import VALUES (34972, '2020-04-23', 'GP', 'Guadeloupe', 'AMRO', '0', '148', '0', '10');
INSERT INTO public.who_import VALUES (34973, '2020-04-24', 'GP', 'Guadeloupe', 'AMRO', '0', '148', '0', '10');
INSERT INTO public.who_import VALUES (34974, '2020-04-25', 'GP', 'Guadeloupe', 'AMRO', '1', '149', '0', '10');
INSERT INTO public.who_import VALUES (34975, '2020-04-26', 'GP', 'Guadeloupe', 'AMRO', '0', '149', '0', '10');
INSERT INTO public.who_import VALUES (34976, '2020-04-27', 'GP', 'Guadeloupe', 'AMRO', '0', '149', '0', '10');
INSERT INTO public.who_import VALUES (34977, '2020-04-28', 'GP', 'Guadeloupe', 'AMRO', '0', '149', '0', '10');
INSERT INTO public.who_import VALUES (34978, '2020-04-29', 'GP', 'Guadeloupe', 'AMRO', '0', '149', '1', '11');
INSERT INTO public.who_import VALUES (34979, '2020-04-30', 'GP', 'Guadeloupe', 'AMRO', '2', '151', '0', '11');
INSERT INTO public.who_import VALUES (34980, '2020-05-01', 'GP', 'Guadeloupe', 'AMRO', '1', '152', '1', '12');
INSERT INTO public.who_import VALUES (34981, '2020-05-02', 'GP', 'Guadeloupe', 'AMRO', '0', '152', '0', '12');
INSERT INTO public.who_import VALUES (34982, '2020-05-03', 'GP', 'Guadeloupe', 'AMRO', '0', '152', '0', '12');
INSERT INTO public.who_import VALUES (34983, '2020-05-04', 'GP', 'Guadeloupe', 'AMRO', '0', '152', '0', '12');
INSERT INTO public.who_import VALUES (34984, '2020-05-05', 'GP', 'Guadeloupe', 'AMRO', '0', '152', '0', '12');
INSERT INTO public.who_import VALUES (34985, '2020-05-06', 'GP', 'Guadeloupe', 'AMRO', '0', '152', '1', '13');
INSERT INTO public.who_import VALUES (34986, '2020-05-07', 'GP', 'Guadeloupe', 'AMRO', '1', '153', '0', '13');
INSERT INTO public.who_import VALUES (34987, '2020-05-08', 'GP', 'Guadeloupe', 'AMRO', '0', '153', '0', '13');
INSERT INTO public.who_import VALUES (34988, '2020-05-09', 'GP', 'Guadeloupe', 'AMRO', '1', '154', '0', '13');
INSERT INTO public.who_import VALUES (34989, '2020-05-10', 'GP', 'Guadeloupe', 'AMRO', '0', '154', '0', '13');
INSERT INTO public.who_import VALUES (34990, '2020-05-11', 'GP', 'Guadeloupe', 'AMRO', '0', '154', '0', '13');
INSERT INTO public.who_import VALUES (34991, '2020-05-12', 'GP', 'Guadeloupe', 'AMRO', '0', '154', '0', '13');
INSERT INTO public.who_import VALUES (34992, '2020-05-13', 'GP', 'Guadeloupe', 'AMRO', '1', '155', '0', '13');
INSERT INTO public.who_import VALUES (34993, '2020-05-14', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (34994, '2020-05-15', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (34995, '2020-05-16', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (34996, '2020-05-17', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (34997, '2020-05-18', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (34998, '2020-05-19', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (34999, '2020-05-20', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (35000, '2020-05-21', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (35001, '2020-05-22', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (35002, '2020-05-23', 'GP', 'Guadeloupe', 'AMRO', '0', '155', '0', '13');
INSERT INTO public.who_import VALUES (35003, '2020-05-24', 'GP', 'Guadeloupe', 'AMRO', '1', '156', '0', '13');
INSERT INTO public.who_import VALUES (35004, '2020-05-25', 'GP', 'Guadeloupe', 'AMRO', '0', '156', '0', '13');
INSERT INTO public.who_import VALUES (35005, '2020-05-26', 'GP', 'Guadeloupe', 'AMRO', '5', '161', '1', '14');
INSERT INTO public.who_import VALUES (35006, '2020-05-27', 'GP', 'Guadeloupe', 'AMRO', '0', '161', '0', '14');
INSERT INTO public.who_import VALUES (35007, '2020-05-28', 'GP', 'Guadeloupe', 'AMRO', '0', '161', '0', '14');
INSERT INTO public.who_import VALUES (35008, '2020-05-29', 'GP', 'Guadeloupe', 'AMRO', '0', '161', '0', '14');
INSERT INTO public.who_import VALUES (35009, '2020-05-30', 'GP', 'Guadeloupe', 'AMRO', '1', '162', '0', '14');
INSERT INTO public.who_import VALUES (35010, '2020-05-31', 'GP', 'Guadeloupe', 'AMRO', '0', '162', '0', '14');
INSERT INTO public.who_import VALUES (35011, '2020-06-01', 'GP', 'Guadeloupe', 'AMRO', '0', '162', '0', '14');
INSERT INTO public.who_import VALUES (35012, '2020-06-02', 'GP', 'Guadeloupe', 'AMRO', '0', '162', '0', '14');
INSERT INTO public.who_import VALUES (35013, '2020-06-03', 'GP', 'Guadeloupe', 'AMRO', '0', '162', '0', '14');
INSERT INTO public.who_import VALUES (35014, '2020-06-04', 'GP', 'Guadeloupe', 'AMRO', '0', '162', '0', '14');
INSERT INTO public.who_import VALUES (35015, '2020-06-05', 'GP', 'Guadeloupe', 'AMRO', '0', '162', '0', '14');
INSERT INTO public.who_import VALUES (35016, '2020-06-06', 'GP', 'Guadeloupe', 'AMRO', '2', '164', '0', '14');
INSERT INTO public.who_import VALUES (35017, '2020-06-07', 'GP', 'Guadeloupe', 'AMRO', '0', '164', '0', '14');
INSERT INTO public.who_import VALUES (35018, '2020-06-08', 'GP', 'Guadeloupe', 'AMRO', '0', '164', '0', '14');
INSERT INTO public.who_import VALUES (35019, '2020-06-09', 'GP', 'Guadeloupe', 'AMRO', '0', '164', '0', '14');
INSERT INTO public.who_import VALUES (35020, '2020-06-10', 'GP', 'Guadeloupe', 'AMRO', '0', '164', '0', '14');
INSERT INTO public.who_import VALUES (35021, '2020-06-11', 'GP', 'Guadeloupe', 'AMRO', '0', '164', '0', '14');
INSERT INTO public.who_import VALUES (35022, '2020-06-12', 'GP', 'Guadeloupe', 'AMRO', '0', '164', '0', '14');
INSERT INTO public.who_import VALUES (35023, '2020-06-13', 'GP', 'Guadeloupe', 'AMRO', '7', '171', '0', '14');
INSERT INTO public.who_import VALUES (35024, '2020-06-14', 'GP', 'Guadeloupe', 'AMRO', '0', '171', '0', '14');
INSERT INTO public.who_import VALUES (35025, '2020-06-15', 'GP', 'Guadeloupe', 'AMRO', '0', '171', '0', '14');
INSERT INTO public.who_import VALUES (35026, '2020-06-16', 'GP', 'Guadeloupe', 'AMRO', '0', '171', '0', '14');
INSERT INTO public.who_import VALUES (35027, '2020-06-17', 'GP', 'Guadeloupe', 'AMRO', '0', '171', '0', '14');
INSERT INTO public.who_import VALUES (35028, '2020-06-18', 'GP', 'Guadeloupe', 'AMRO', '0', '171', '0', '14');
INSERT INTO public.who_import VALUES (35029, '2020-06-19', 'GP', 'Guadeloupe', 'AMRO', '0', '171', '0', '14');
INSERT INTO public.who_import VALUES (35030, '2020-06-20', 'GP', 'Guadeloupe', 'AMRO', '3', '174', '0', '14');
INSERT INTO public.who_import VALUES (35031, '2020-06-21', 'GP', 'Guadeloupe', 'AMRO', '0', '174', '0', '14');
INSERT INTO public.who_import VALUES (35032, '2020-06-22', 'GP', 'Guadeloupe', 'AMRO', '0', '174', '0', '14');
INSERT INTO public.who_import VALUES (35033, '2020-06-23', 'GP', 'Guadeloupe', 'AMRO', '0', '174', '0', '14');
INSERT INTO public.who_import VALUES (35034, '2020-06-24', 'GP', 'Guadeloupe', 'AMRO', '0', '174', '0', '14');
INSERT INTO public.who_import VALUES (35035, '2020-06-25', 'GP', 'Guadeloupe', 'AMRO', '0', '174', '0', '14');
INSERT INTO public.who_import VALUES (35036, '2020-06-26', 'GP', 'Guadeloupe', 'AMRO', '0', '174', '0', '14');
INSERT INTO public.who_import VALUES (35037, '2020-06-27', 'GP', 'Guadeloupe', 'AMRO', '8', '182', '0', '14');
INSERT INTO public.who_import VALUES (35038, '2020-06-28', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35039, '2020-06-29', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35040, '2020-06-30', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35041, '2020-07-01', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35042, '2020-07-02', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35043, '2020-07-03', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35044, '2020-07-04', 'GP', 'Guadeloupe', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (35045, '2020-07-05', 'GP', 'Guadeloupe', 'AMRO', '2', '184', '2', '16');
INSERT INTO public.who_import VALUES (35046, '2020-07-06', 'GP', 'Guadeloupe', 'AMRO', '0', '184', '-2', '14');
INSERT INTO public.who_import VALUES (35047, '2020-07-07', 'GP', 'Guadeloupe', 'AMRO', '0', '184', '0', '14');
INSERT INTO public.who_import VALUES (35048, '2020-07-08', 'GP', 'Guadeloupe', 'AMRO', '0', '184', '0', '14');
INSERT INTO public.who_import VALUES (35049, '2020-07-09', 'GP', 'Guadeloupe', 'AMRO', '0', '184', '0', '14');
INSERT INTO public.who_import VALUES (35050, '2020-07-10', 'GP', 'Guadeloupe', 'AMRO', '0', '184', '0', '14');
INSERT INTO public.who_import VALUES (35051, '2020-07-11', 'GP', 'Guadeloupe', 'AMRO', '6', '190', '0', '14');
INSERT INTO public.who_import VALUES (35052, '2020-07-12', 'GP', 'Guadeloupe', 'AMRO', '0', '190', '0', '14');
INSERT INTO public.who_import VALUES (35053, '2020-07-13', 'GP', 'Guadeloupe', 'AMRO', '0', '190', '0', '14');
INSERT INTO public.who_import VALUES (35054, '2020-07-14', 'GP', 'Guadeloupe', 'AMRO', '0', '190', '0', '14');
INSERT INTO public.who_import VALUES (35055, '2020-07-15', 'GP', 'Guadeloupe', 'AMRO', '0', '190', '0', '14');
INSERT INTO public.who_import VALUES (35056, '2020-07-16', 'GP', 'Guadeloupe', 'AMRO', '0', '190', '0', '14');
INSERT INTO public.who_import VALUES (35057, '2020-07-17', 'GP', 'Guadeloupe', 'AMRO', '0', '190', '0', '14');
INSERT INTO public.who_import VALUES (35058, '2020-07-18', 'GP', 'Guadeloupe', 'AMRO', '5', '195', '0', '14');
INSERT INTO public.who_import VALUES (35059, '2020-07-19', 'GP', 'Guadeloupe', 'AMRO', '0', '195', '0', '14');
INSERT INTO public.who_import VALUES (35060, '2020-07-20', 'GP', 'Guadeloupe', 'AMRO', '0', '195', '0', '14');
INSERT INTO public.who_import VALUES (35061, '2020-07-21', 'GP', 'Guadeloupe', 'AMRO', '0', '195', '0', '14');
INSERT INTO public.who_import VALUES (35062, '2020-07-22', 'GP', 'Guadeloupe', 'AMRO', '0', '195', '0', '14');
INSERT INTO public.who_import VALUES (35063, '2020-07-23', 'GP', 'Guadeloupe', 'AMRO', '0', '195', '0', '14');
INSERT INTO public.who_import VALUES (35064, '2020-07-24', 'GP', 'Guadeloupe', 'AMRO', '0', '195', '0', '14');
INSERT INTO public.who_import VALUES (35065, '2020-07-25', 'GP', 'Guadeloupe', 'AMRO', '8', '203', '0', '14');
INSERT INTO public.who_import VALUES (35066, '2020-07-26', 'GP', 'Guadeloupe', 'AMRO', '0', '203', '0', '14');
INSERT INTO public.who_import VALUES (35067, '2020-07-27', 'GP', 'Guadeloupe', 'AMRO', '0', '203', '0', '14');
INSERT INTO public.who_import VALUES (35068, '2020-07-28', 'GP', 'Guadeloupe', 'AMRO', '0', '203', '0', '14');
INSERT INTO public.who_import VALUES (35069, '2020-07-29', 'GP', 'Guadeloupe', 'AMRO', '0', '203', '0', '14');
INSERT INTO public.who_import VALUES (35070, '2020-07-30', 'GP', 'Guadeloupe', 'AMRO', '41', '244', '0', '14');
INSERT INTO public.who_import VALUES (35071, '2020-07-31', 'GP', 'Guadeloupe', 'AMRO', '0', '244', '0', '14');
INSERT INTO public.who_import VALUES (35072, '2020-08-01', 'GP', 'Guadeloupe', 'AMRO', '0', '244', '0', '14');
INSERT INTO public.who_import VALUES (35073, '2020-08-02', 'GP', 'Guadeloupe', 'AMRO', '21', '265', '0', '14');
INSERT INTO public.who_import VALUES (35074, '2020-08-03', 'GP', 'Guadeloupe', 'AMRO', '0', '265', '0', '14');
INSERT INTO public.who_import VALUES (35075, '2020-08-04', 'GP', 'Guadeloupe', 'AMRO', '0', '265', '0', '14');
INSERT INTO public.who_import VALUES (35076, '2020-08-05', 'GP', 'Guadeloupe', 'AMRO', '7', '272', '0', '14');
INSERT INTO public.who_import VALUES (35077, '2020-08-06', 'GP', 'Guadeloupe', 'AMRO', '0', '272', '0', '14');
INSERT INTO public.who_import VALUES (35078, '2020-08-07', 'GP', 'Guadeloupe', 'AMRO', '7', '279', '0', '14');
INSERT INTO public.who_import VALUES (35079, '2020-08-08', 'GP', 'Guadeloupe', 'AMRO', '0', '279', '0', '14');
INSERT INTO public.who_import VALUES (35080, '2020-08-09', 'GP', 'Guadeloupe', 'AMRO', '11', '290', '0', '14');
INSERT INTO public.who_import VALUES (35081, '2020-08-10', 'GP', 'Guadeloupe', 'AMRO', '0', '290', '0', '14');
INSERT INTO public.who_import VALUES (35082, '2020-08-11', 'GP', 'Guadeloupe', 'AMRO', '0', '290', '0', '14');
INSERT INTO public.who_import VALUES (35083, '2020-08-12', 'GP', 'Guadeloupe', 'AMRO', '27', '317', '0', '14');
INSERT INTO public.who_import VALUES (35084, '2020-08-13', 'GP', 'Guadeloupe', 'AMRO', '0', '317', '0', '14');
INSERT INTO public.who_import VALUES (35085, '2020-08-14', 'GP', 'Guadeloupe', 'AMRO', '50', '367', '0', '14');
INSERT INTO public.who_import VALUES (35086, '2020-08-15', 'GP', 'Guadeloupe', 'AMRO', '79', '446', '0', '14');
INSERT INTO public.who_import VALUES (35087, '2020-08-16', 'GP', 'Guadeloupe', 'AMRO', '0', '446', '0', '14');
INSERT INTO public.who_import VALUES (35088, '2020-08-17', 'GP', 'Guadeloupe', 'AMRO', '0', '446', '0', '14');
INSERT INTO public.who_import VALUES (35089, '2020-08-18', 'GP', 'Guadeloupe', 'AMRO', '64', '510', '1', '15');
INSERT INTO public.who_import VALUES (35090, '2020-08-19', 'GP', 'Guadeloupe', 'AMRO', '0', '510', '0', '15');
INSERT INTO public.who_import VALUES (35091, '2020-08-20', 'GP', 'Guadeloupe', 'AMRO', '0', '510', '0', '15');
INSERT INTO public.who_import VALUES (35092, '2020-08-21', 'GP', 'Guadeloupe', 'AMRO', '0', '510', '0', '15');
INSERT INTO public.who_import VALUES (35093, '2020-08-22', 'GP', 'Guadeloupe', 'AMRO', '0', '510', '0', '15');
INSERT INTO public.who_import VALUES (35094, '2020-08-23', 'GP', 'Guadeloupe', 'AMRO', '261', '771', '0', '15');
INSERT INTO public.who_import VALUES (35095, '2020-08-24', 'GP', 'Guadeloupe', 'AMRO', '0', '771', '0', '15');
INSERT INTO public.who_import VALUES (35096, '2020-08-25', 'GP', 'Guadeloupe', 'AMRO', '0', '771', '0', '15');
INSERT INTO public.who_import VALUES (35097, '2020-08-26', 'GP', 'Guadeloupe', 'AMRO', '0', '771', '0', '15');
INSERT INTO public.who_import VALUES (35098, '2020-08-27', 'GP', 'Guadeloupe', 'AMRO', '164', '935', '0', '15');
INSERT INTO public.who_import VALUES (35099, '2020-08-28', 'GP', 'Guadeloupe', 'AMRO', '0', '935', '0', '15');
INSERT INTO public.who_import VALUES (35100, '2020-08-29', 'GP', 'Guadeloupe', 'AMRO', '0', '935', '0', '15');
INSERT INTO public.who_import VALUES (35101, '2020-08-30', 'GP', 'Guadeloupe', 'AMRO', '0', '935', '0', '15');
INSERT INTO public.who_import VALUES (35102, '2020-08-31', 'GP', 'Guadeloupe', 'AMRO', '210', '1145', '1', '16');
INSERT INTO public.who_import VALUES (35103, '2020-09-01', 'GP', 'Guadeloupe', 'AMRO', '0', '1145', '0', '16');
INSERT INTO public.who_import VALUES (35104, '2020-09-02', 'GP', 'Guadeloupe', 'AMRO', '124', '1269', '2', '18');
INSERT INTO public.who_import VALUES (35105, '2020-09-03', 'GP', 'Guadeloupe', 'AMRO', '0', '1269', '0', '18');
INSERT INTO public.who_import VALUES (35106, '2020-09-04', 'GP', 'Guadeloupe', 'AMRO', '94', '1363', '2', '20');
INSERT INTO public.who_import VALUES (35107, '2020-09-05', 'GP', 'Guadeloupe', 'AMRO', '0', '1363', '0', '20');
INSERT INTO public.who_import VALUES (35108, '2020-09-06', 'GP', 'Guadeloupe', 'AMRO', '0', '1363', '0', '20');
INSERT INTO public.who_import VALUES (35109, '2020-09-07', 'GP', 'Guadeloupe', 'AMRO', '0', '1363', '0', '20');
INSERT INTO public.who_import VALUES (35110, '2020-09-08', 'GP', 'Guadeloupe', 'AMRO', '0', '1363', '0', '20');
INSERT INTO public.who_import VALUES (35111, '2020-09-09', 'GP', 'Guadeloupe', 'AMRO', '924', '2287', '3', '23');
INSERT INTO public.who_import VALUES (35112, '2020-09-10', 'GP', 'Guadeloupe', 'AMRO', '0', '2287', '0', '23');
INSERT INTO public.who_import VALUES (35113, '2020-09-11', 'GP', 'Guadeloupe', 'AMRO', '0', '2287', '0', '23');
INSERT INTO public.who_import VALUES (35114, '2020-09-12', 'GP', 'Guadeloupe', 'AMRO', '0', '2287', '0', '23');
INSERT INTO public.who_import VALUES (35115, '2020-09-13', 'GP', 'Guadeloupe', 'AMRO', '793', '3080', '1', '24');
INSERT INTO public.who_import VALUES (35116, '2020-09-14', 'GP', 'Guadeloupe', 'AMRO', '0', '3080', '0', '24');
INSERT INTO public.who_import VALUES (35117, '2020-09-15', 'GP', 'Guadeloupe', 'AMRO', '0', '3080', '0', '24');
INSERT INTO public.who_import VALUES (35118, '2020-09-16', 'GP', 'Guadeloupe', 'AMRO', '0', '3080', '0', '24');
INSERT INTO public.who_import VALUES (35119, '2020-09-17', 'GP', 'Guadeloupe', 'AMRO', '346', '3426', '2', '26');
INSERT INTO public.who_import VALUES (35120, '2020-09-18', 'GP', 'Guadeloupe', 'AMRO', '0', '3426', '0', '26');
INSERT INTO public.who_import VALUES (35121, '2020-09-19', 'GP', 'Guadeloupe', 'AMRO', '0', '3426', '0', '26');
INSERT INTO public.who_import VALUES (35122, '2020-09-20', 'GP', 'Guadeloupe', 'AMRO', '0', '3426', '0', '26');
INSERT INTO public.who_import VALUES (35123, '2020-09-21', 'GP', 'Guadeloupe', 'AMRO', '0', '3426', '0', '26');
INSERT INTO public.who_import VALUES (35124, '2020-09-22', 'GP', 'Guadeloupe', 'AMRO', '0', '3426', '0', '26');
INSERT INTO public.who_import VALUES (35125, '2020-09-23', 'GP', 'Guadeloupe', 'AMRO', '1061', '4487', '16', '42');
INSERT INTO public.who_import VALUES (35126, '2020-09-24', 'GP', 'Guadeloupe', 'AMRO', '0', '4487', '0', '42');
INSERT INTO public.who_import VALUES (35127, '2020-09-25', 'GP', 'Guadeloupe', 'AMRO', '0', '4487', '0', '42');
INSERT INTO public.who_import VALUES (35128, '2020-09-26', 'GP', 'Guadeloupe', 'AMRO', '0', '4487', '0', '42');
INSERT INTO public.who_import VALUES (35129, '2020-09-27', 'GP', 'Guadeloupe', 'AMRO', '467', '4954', '0', '42');
INSERT INTO public.who_import VALUES (35130, '2020-09-28', 'GP', 'Guadeloupe', 'AMRO', '0', '4954', '0', '42');
INSERT INTO public.who_import VALUES (35131, '2020-09-29', 'GP', 'Guadeloupe', 'AMRO', '0', '4954', '11', '53');
INSERT INTO public.who_import VALUES (35132, '2020-09-30', 'GP', 'Guadeloupe', 'AMRO', '0', '4954', '0', '53');
INSERT INTO public.who_import VALUES (35133, '2020-10-01', 'GP', 'Guadeloupe', 'AMRO', '574', '5528', '4', '57');
INSERT INTO public.who_import VALUES (35134, '2020-10-02', 'GP', 'Guadeloupe', 'AMRO', '0', '5528', '0', '57');
INSERT INTO public.who_import VALUES (35135, '2020-10-03', 'GP', 'Guadeloupe', 'AMRO', '375', '5903', '18', '75');
INSERT INTO public.who_import VALUES (35136, '2020-10-04', 'GP', 'Guadeloupe', 'AMRO', '0', '5903', '0', '75');
INSERT INTO public.who_import VALUES (35137, '2020-10-05', 'GP', 'Guadeloupe', 'AMRO', '0', '5903', '0', '75');
INSERT INTO public.who_import VALUES (35138, '2020-10-06', 'GP', 'Guadeloupe', 'AMRO', '0', '5903', '0', '75');
INSERT INTO public.who_import VALUES (35139, '2020-10-07', 'GP', 'Guadeloupe', 'AMRO', '0', '5903', '0', '75');
INSERT INTO public.who_import VALUES (35140, '2020-10-08', 'GP', 'Guadeloupe', 'AMRO', '416', '6319', '2', '77');
INSERT INTO public.who_import VALUES (35141, '2020-10-09', 'GP', 'Guadeloupe', 'AMRO', '0', '6319', '0', '77');
INSERT INTO public.who_import VALUES (35142, '2020-10-10', 'GP', 'Guadeloupe', 'AMRO', '0', '6319', '18', '95');
INSERT INTO public.who_import VALUES (35143, '2020-10-11', 'GP', 'Guadeloupe', 'AMRO', '164', '6483', '0', '95');
INSERT INTO public.who_import VALUES (35144, '2020-10-12', 'GP', 'Guadeloupe', 'AMRO', '0', '6483', '0', '95');
INSERT INTO public.who_import VALUES (35145, '2020-10-13', 'GP', 'Guadeloupe', 'AMRO', '0', '6483', '0', '95');
INSERT INTO public.who_import VALUES (35146, '2020-10-14', 'GP', 'Guadeloupe', 'AMRO', '0', '6483', '0', '95');
INSERT INTO public.who_import VALUES (35147, '2020-10-15', 'GP', 'Guadeloupe', 'AMRO', '425', '6908', '1', '96');
INSERT INTO public.who_import VALUES (35148, '2020-10-16', 'GP', 'Guadeloupe', 'AMRO', '0', '6908', '0', '96');
INSERT INTO public.who_import VALUES (35149, '2020-10-17', 'GP', 'Guadeloupe', 'AMRO', '214', '7122', '15', '111');
INSERT INTO public.who_import VALUES (35150, '2020-10-18', 'GP', 'Guadeloupe', 'AMRO', '0', '7122', '0', '111');
INSERT INTO public.who_import VALUES (35151, '2020-10-19', 'GP', 'Guadeloupe', 'AMRO', '0', '7122', '0', '111');
INSERT INTO public.who_import VALUES (35152, '2020-10-20', 'GP', 'Guadeloupe', 'AMRO', '0', '7122', '0', '111');
INSERT INTO public.who_import VALUES (35153, '2020-10-21', 'GP', 'Guadeloupe', 'AMRO', '0', '7122', '0', '111');
INSERT INTO public.who_import VALUES (35154, '2020-10-22', 'GP', 'Guadeloupe', 'AMRO', '207', '7329', '4', '115');
INSERT INTO public.who_import VALUES (35155, '2020-10-23', 'GP', 'Guadeloupe', 'AMRO', '0', '7329', '0', '115');
INSERT INTO public.who_import VALUES (35156, '2020-10-24', 'GP', 'Guadeloupe', 'AMRO', '0', '7329', '0', '115');
INSERT INTO public.who_import VALUES (35157, '2020-10-25', 'GP', 'Guadeloupe', 'AMRO', '0', '7329', '0', '115');
INSERT INTO public.who_import VALUES (35158, '2020-10-26', 'GP', 'Guadeloupe', 'AMRO', '145', '7474', '11', '126');
INSERT INTO public.who_import VALUES (35159, '2020-10-27', 'GP', 'Guadeloupe', 'AMRO', '0', '7474', '0', '126');
INSERT INTO public.who_import VALUES (35160, '2020-10-28', 'GP', 'Guadeloupe', 'AMRO', '0', '7474', '0', '126');
INSERT INTO public.who_import VALUES (35161, '2020-10-29', 'GP', 'Guadeloupe', 'AMRO', '131', '7605', '0', '126');
INSERT INTO public.who_import VALUES (35162, '2020-10-30', 'GP', 'Guadeloupe', 'AMRO', '0', '7605', '0', '126');
INSERT INTO public.who_import VALUES (35163, '2020-10-31', 'GP', 'Guadeloupe', 'AMRO', '137', '7742', '0', '126');
INSERT INTO public.who_import VALUES (35164, '2020-11-01', 'GP', 'Guadeloupe', 'AMRO', '0', '7742', '0', '126');
INSERT INTO public.who_import VALUES (35165, '2020-11-02', 'GP', 'Guadeloupe', 'AMRO', '0', '7742', '0', '126');
INSERT INTO public.who_import VALUES (35166, '2020-11-03', 'GP', 'Guadeloupe', 'AMRO', '0', '7742', '0', '126');
INSERT INTO public.who_import VALUES (35167, '2020-11-04', 'GP', 'Guadeloupe', 'AMRO', '0', '7742', '0', '126');
INSERT INTO public.who_import VALUES (35168, '2020-11-05', 'GP', 'Guadeloupe', 'AMRO', '161', '7903', '7', '133');
INSERT INTO public.who_import VALUES (35169, '2020-11-06', 'GP', 'Guadeloupe', 'AMRO', '0', '7903', '0', '133');
INSERT INTO public.who_import VALUES (35170, '2020-11-07', 'GP', 'Guadeloupe', 'AMRO', '0', '7903', '0', '133');
INSERT INTO public.who_import VALUES (35171, '2020-11-08', 'GP', 'Guadeloupe', 'AMRO', '0', '7903', '0', '133');
INSERT INTO public.who_import VALUES (35172, '2020-11-09', 'GP', 'Guadeloupe', 'AMRO', '0', '7903', '0', '133');
INSERT INTO public.who_import VALUES (35173, '2020-11-10', 'GP', 'Guadeloupe', 'AMRO', '0', '7903', '0', '133');
INSERT INTO public.who_import VALUES (35174, '2020-11-11', 'GP', 'Guadeloupe', 'AMRO', '0', '7903', '0', '133');
INSERT INTO public.who_import VALUES (35175, '2020-11-12', 'GP', 'Guadeloupe', 'AMRO', '195', '8098', '6', '139');
INSERT INTO public.who_import VALUES (35176, '2020-11-13', 'GP', 'Guadeloupe', 'AMRO', '0', '8098', '0', '139');
INSERT INTO public.who_import VALUES (35177, '2020-11-14', 'GP', 'Guadeloupe', 'AMRO', '0', '8098', '0', '139');
INSERT INTO public.who_import VALUES (35178, '2020-11-15', 'GP', 'Guadeloupe', 'AMRO', '0', '8098', '0', '139');
INSERT INTO public.who_import VALUES (35179, '2020-11-16', 'GP', 'Guadeloupe', 'AMRO', '83', '8181', '0', '139');
INSERT INTO public.who_import VALUES (35180, '2020-11-17', 'GP', 'Guadeloupe', 'AMRO', '0', '8181', '0', '139');
INSERT INTO public.who_import VALUES (35181, '2020-11-18', 'GP', 'Guadeloupe', 'AMRO', '0', '8181', '0', '139');
INSERT INTO public.who_import VALUES (35182, '2020-11-19', 'GP', 'Guadeloupe', 'AMRO', '44', '8225', '5', '144');
INSERT INTO public.who_import VALUES (35183, '2020-11-20', 'GP', 'Guadeloupe', 'AMRO', '0', '8225', '0', '144');
INSERT INTO public.who_import VALUES (35184, '2020-11-21', 'GP', 'Guadeloupe', 'AMRO', '0', '8225', '0', '144');
INSERT INTO public.who_import VALUES (35185, '2020-11-22', 'GP', 'Guadeloupe', 'AMRO', '0', '8225', '0', '144');
INSERT INTO public.who_import VALUES (35186, '2020-11-23', 'GP', 'Guadeloupe', 'AMRO', '0', '8225', '0', '144');
INSERT INTO public.who_import VALUES (35187, '2020-11-24', 'GP', 'Guadeloupe', 'AMRO', '0', '8225', '0', '144');
INSERT INTO public.who_import VALUES (35188, '2020-11-25', 'GP', 'Guadeloupe', 'AMRO', '0', '8225', '0', '144');
INSERT INTO public.who_import VALUES (35189, '2020-11-26', 'GP', 'Guadeloupe', 'AMRO', '119', '8344', '5', '149');
INSERT INTO public.who_import VALUES (35190, '2020-11-27', 'GP', 'Guadeloupe', 'AMRO', '0', '8344', '0', '149');
INSERT INTO public.who_import VALUES (35191, '2020-11-28', 'GP', 'Guadeloupe', 'AMRO', '0', '8344', '0', '149');
INSERT INTO public.who_import VALUES (35192, '2020-11-29', 'GP', 'Guadeloupe', 'AMRO', '0', '8344', '0', '149');
INSERT INTO public.who_import VALUES (35193, '2020-11-30', 'GP', 'Guadeloupe', 'AMRO', '0', '8344', '0', '149');
INSERT INTO public.who_import VALUES (35194, '2020-12-01', 'GP', 'Guadeloupe', 'AMRO', '34', '8378', '0', '149');
INSERT INTO public.who_import VALUES (35195, '2020-12-02', 'GP', 'Guadeloupe', 'AMRO', '0', '8378', '0', '149');
INSERT INTO public.who_import VALUES (35196, '2020-12-03', 'GP', 'Guadeloupe', 'AMRO', '49', '8427', '0', '149');
INSERT INTO public.who_import VALUES (35197, '2020-12-04', 'GP', 'Guadeloupe', 'AMRO', '0', '8427', '0', '149');
INSERT INTO public.who_import VALUES (35198, '2020-12-05', 'GP', 'Guadeloupe', 'AMRO', '0', '8427', '0', '149');
INSERT INTO public.who_import VALUES (35199, '2020-12-06', 'GP', 'Guadeloupe', 'AMRO', '0', '8427', '0', '149');
INSERT INTO public.who_import VALUES (35200, '2020-12-07', 'GP', 'Guadeloupe', 'AMRO', '0', '8427', '0', '149');
INSERT INTO public.who_import VALUES (35201, '2020-12-08', 'GP', 'Guadeloupe', 'AMRO', '24', '8451', '0', '149');
INSERT INTO public.who_import VALUES (35202, '2020-12-09', 'GP', 'Guadeloupe', 'AMRO', '0', '8451', '3', '152');
INSERT INTO public.who_import VALUES (35203, '2020-12-10', 'GP', 'Guadeloupe', 'AMRO', '0', '8451', '0', '152');
INSERT INTO public.who_import VALUES (35204, '2020-12-11', 'GP', 'Guadeloupe', 'AMRO', '0', '8451', '0', '152');
INSERT INTO public.who_import VALUES (35205, '2020-12-12', 'GP', 'Guadeloupe', 'AMRO', '0', '8451', '0', '152');
INSERT INTO public.who_import VALUES (35206, '2020-12-13', 'GP', 'Guadeloupe', 'AMRO', '0', '8451', '0', '152');
INSERT INTO public.who_import VALUES (35207, '2020-12-14', 'GP', 'Guadeloupe', 'AMRO', '0', '8451', '0', '152');
INSERT INTO public.who_import VALUES (35208, '2020-12-15', 'GP', 'Guadeloupe', 'AMRO', '47', '8498', '0', '152');
INSERT INTO public.who_import VALUES (35209, '2020-12-16', 'GP', 'Guadeloupe', 'AMRO', '0', '8498', '0', '152');
INSERT INTO public.who_import VALUES (35210, '2020-12-17', 'GP', 'Guadeloupe', 'AMRO', '0', '8498', '0', '152');
INSERT INTO public.who_import VALUES (35211, '2020-12-18', 'GP', 'Guadeloupe', 'AMRO', '0', '8498', '2', '154');
INSERT INTO public.who_import VALUES (35212, '2020-12-19', 'GP', 'Guadeloupe', 'AMRO', '0', '8498', '0', '154');
INSERT INTO public.who_import VALUES (35213, '2020-12-20', 'GP', 'Guadeloupe', 'AMRO', '59', '8557', '1', '155');
INSERT INTO public.who_import VALUES (35214, '2020-12-21', 'GP', 'Guadeloupe', 'AMRO', '0', '8557', '0', '155');
INSERT INTO public.who_import VALUES (35215, '2020-12-22', 'GP', 'Guadeloupe', 'AMRO', '0', '8557', '0', '155');
INSERT INTO public.who_import VALUES (35216, '2020-12-23', 'GP', 'Guadeloupe', 'AMRO', '0', '8557', '0', '155');
INSERT INTO public.who_import VALUES (35217, '2020-12-24', 'GP', 'Guadeloupe', 'AMRO', '0', '8557', '0', '155');
INSERT INTO public.who_import VALUES (35218, '2020-12-25', 'GP', 'Guadeloupe', 'AMRO', '0', '8557', '0', '155');
INSERT INTO public.who_import VALUES (35219, '2020-12-26', 'GP', 'Guadeloupe', 'AMRO', '0', '8557', '0', '155');
INSERT INTO public.who_import VALUES (35220, '2020-12-27', 'GP', 'Guadeloupe', 'AMRO', '63', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35221, '2020-12-28', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35222, '2020-12-29', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35223, '2020-12-30', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35224, '2020-12-31', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35225, '2021-01-01', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35226, '2021-01-02', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35227, '2021-01-03', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35228, '2021-01-04', 'GP', 'Guadeloupe', 'AMRO', '0', '8620', '0', '155');
INSERT INTO public.who_import VALUES (35229, '2021-01-05', 'GP', 'Guadeloupe', 'AMRO', '82', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35230, '2021-01-06', 'GP', 'Guadeloupe', 'AMRO', '0', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35231, '2021-01-07', 'GP', 'Guadeloupe', 'AMRO', '0', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35232, '2021-01-08', 'GP', 'Guadeloupe', 'AMRO', '0', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35233, '2021-01-09', 'GP', 'Guadeloupe', 'AMRO', '0', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35234, '2021-01-10', 'GP', 'Guadeloupe', 'AMRO', '0', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35235, '2021-01-11', 'GP', 'Guadeloupe', 'AMRO', '0', '8702', '0', '155');
INSERT INTO public.who_import VALUES (35236, '2021-01-12', 'GP', 'Guadeloupe', 'AMRO', '132', '8834', '1', '156');
INSERT INTO public.who_import VALUES (35237, '2021-01-13', 'GP', 'Guadeloupe', 'AMRO', '0', '8834', '0', '156');
INSERT INTO public.who_import VALUES (35238, '2021-01-14', 'GP', 'Guadeloupe', 'AMRO', '0', '8834', '0', '156');
INSERT INTO public.who_import VALUES (35239, '2021-01-15', 'GP', 'Guadeloupe', 'AMRO', '0', '8834', '0', '156');
INSERT INTO public.who_import VALUES (35240, '2021-01-16', 'GP', 'Guadeloupe', 'AMRO', '0', '8834', '0', '156');
INSERT INTO public.who_import VALUES (35241, '2021-01-17', 'GP', 'Guadeloupe', 'AMRO', '0', '8834', '0', '156');
INSERT INTO public.who_import VALUES (35242, '2021-01-18', 'GP', 'Guadeloupe', 'AMRO', '0', '8834', '0', '156');
INSERT INTO public.who_import VALUES (35243, '2021-01-19', 'GP', 'Guadeloupe', 'AMRO', '114', '8948', '0', '156');
INSERT INTO public.who_import VALUES (35244, '2021-01-20', 'GP', 'Guadeloupe', 'AMRO', '0', '8948', '0', '156');
INSERT INTO public.who_import VALUES (35245, '2021-01-21', 'GP', 'Guadeloupe', 'AMRO', '0', '8948', '0', '156');
INSERT INTO public.who_import VALUES (35246, '2021-01-22', 'GP', 'Guadeloupe', 'AMRO', '0', '8948', '0', '156');
INSERT INTO public.who_import VALUES (35247, '2021-01-23', 'GP', 'Guadeloupe', 'AMRO', '108', '9056', '1', '157');
INSERT INTO public.who_import VALUES (35248, '2021-01-24', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35249, '2021-01-25', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35250, '2021-01-26', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35251, '2021-01-27', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35252, '2021-01-28', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35253, '2021-01-29', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35254, '2021-01-30', 'GP', 'Guadeloupe', 'AMRO', '0', '9056', '0', '157');
INSERT INTO public.who_import VALUES (35255, '2021-01-31', 'GP', 'Guadeloupe', 'AMRO', '100', '9156', '0', '157');
INSERT INTO public.who_import VALUES (35256, '2021-02-01', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '157');
INSERT INTO public.who_import VALUES (35257, '2021-02-02', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '1', '158');
INSERT INTO public.who_import VALUES (35258, '2021-02-03', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '158');
INSERT INTO public.who_import VALUES (35259, '2021-02-04', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '158');
INSERT INTO public.who_import VALUES (35260, '2021-02-05', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '158');
INSERT INTO public.who_import VALUES (35261, '2021-02-06', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '158');
INSERT INTO public.who_import VALUES (35262, '2021-02-07', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '158');
INSERT INTO public.who_import VALUES (35263, '2021-02-08', 'GP', 'Guadeloupe', 'AMRO', '0', '9156', '0', '158');
INSERT INTO public.who_import VALUES (35264, '2021-02-09', 'GP', 'Guadeloupe', 'AMRO', '146', '9302', '1', '159');
INSERT INTO public.who_import VALUES (35265, '2021-02-10', 'GP', 'Guadeloupe', 'AMRO', '0', '9302', '0', '159');
INSERT INTO public.who_import VALUES (35266, '2021-02-11', 'GP', 'Guadeloupe', 'AMRO', '0', '9302', '0', '159');
INSERT INTO public.who_import VALUES (35267, '2021-02-12', 'GP', 'Guadeloupe', 'AMRO', '0', '9302', '0', '159');
INSERT INTO public.who_import VALUES (35268, '2021-02-13', 'GP', 'Guadeloupe', 'AMRO', '0', '9302', '0', '159');
INSERT INTO public.who_import VALUES (35269, '2021-02-14', 'GP', 'Guadeloupe', 'AMRO', '153', '9455', '1', '160');
INSERT INTO public.who_import VALUES (35270, '2021-02-15', 'GP', 'Guadeloupe', 'AMRO', '0', '9455', '0', '160');
INSERT INTO public.who_import VALUES (35271, '2021-02-16', 'GP', 'Guadeloupe', 'AMRO', '0', '9455', '0', '160');
INSERT INTO public.who_import VALUES (35272, '2021-02-17', 'GP', 'Guadeloupe', 'AMRO', '0', '9455', '0', '160');
INSERT INTO public.who_import VALUES (35273, '2021-02-18', 'GP', 'Guadeloupe', 'AMRO', '0', '9455', '0', '160');
INSERT INTO public.who_import VALUES (35274, '2021-02-19', 'GP', 'Guadeloupe', 'AMRO', '0', '9455', '0', '160');
INSERT INTO public.who_import VALUES (35275, '2021-02-20', 'GP', 'Guadeloupe', 'AMRO', '0', '9455', '0', '160');
INSERT INTO public.who_import VALUES (35276, '2020-01-03', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35277, '2020-01-04', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35278, '2020-01-05', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35279, '2020-01-06', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35280, '2020-01-07', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35281, '2020-01-08', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35282, '2020-01-09', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35283, '2020-01-10', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35284, '2020-01-11', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35285, '2020-01-12', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35286, '2020-01-13', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35287, '2020-01-14', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35288, '2020-01-15', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35289, '2020-01-16', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35290, '2020-01-17', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35291, '2020-01-18', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35292, '2020-01-19', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35293, '2020-01-20', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35294, '2020-01-21', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35295, '2020-01-22', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35296, '2020-01-23', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35297, '2020-01-24', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35298, '2020-01-25', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35299, '2020-01-26', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35300, '2020-01-27', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35301, '2020-01-28', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35302, '2020-01-29', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35303, '2020-01-30', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35304, '2020-01-31', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35305, '2020-02-01', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35306, '2020-02-02', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35307, '2020-02-03', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35308, '2020-02-04', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35309, '2020-02-05', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35310, '2020-02-06', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35311, '2020-02-07', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35312, '2020-02-08', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35313, '2020-02-09', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35314, '2020-02-10', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35315, '2020-02-11', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35316, '2020-02-12', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35317, '2020-02-13', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35318, '2020-02-14', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35319, '2020-02-15', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35320, '2020-02-16', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35321, '2020-02-17', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35322, '2020-02-18', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35323, '2020-02-19', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35324, '2020-02-20', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35325, '2020-02-21', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35326, '2020-02-22', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35327, '2020-02-23', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35328, '2020-02-24', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35329, '2020-02-25', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35330, '2020-02-26', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35331, '2020-02-27', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35332, '2020-02-28', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35333, '2020-02-29', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35334, '2020-03-01', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35335, '2020-03-02', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35336, '2020-03-03', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35337, '2020-03-04', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35338, '2020-03-05', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35339, '2020-03-06', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35340, '2020-03-07', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35341, '2020-03-08', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35342, '2020-03-09', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35343, '2020-03-10', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35344, '2020-03-11', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35345, '2020-03-12', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35346, '2020-03-13', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35347, '2020-03-14', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35348, '2020-03-15', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35349, '2020-03-16', 'GU', 'Guam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35350, '2020-03-17', 'GU', 'Guam', 'WPRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (35351, '2020-03-18', 'GU', 'Guam', 'WPRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (35352, '2020-03-19', 'GU', 'Guam', 'WPRO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (35353, '2020-03-20', 'GU', 'Guam', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (35354, '2020-03-21', 'GU', 'Guam', 'WPRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (35355, '2020-03-22', 'GU', 'Guam', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (35356, '2020-03-23', 'GU', 'Guam', 'WPRO', '12', '27', '1', '1');
INSERT INTO public.who_import VALUES (35357, '2020-03-24', 'GU', 'Guam', 'WPRO', '2', '29', '0', '1');
INSERT INTO public.who_import VALUES (35358, '2020-03-25', 'GU', 'Guam', 'WPRO', '3', '32', '0', '1');
INSERT INTO public.who_import VALUES (35359, '2020-03-26', 'GU', 'Guam', 'WPRO', '5', '37', '0', '1');
INSERT INTO public.who_import VALUES (35360, '2020-03-27', 'GU', 'Guam', 'WPRO', '8', '45', '0', '1');
INSERT INTO public.who_import VALUES (35361, '2020-03-28', 'GU', 'Guam', 'WPRO', '6', '51', '0', '1');
INSERT INTO public.who_import VALUES (35362, '2020-03-29', 'GU', 'Guam', 'WPRO', '5', '56', '0', '1');
INSERT INTO public.who_import VALUES (35363, '2020-03-30', 'GU', 'Guam', 'WPRO', '0', '56', '0', '1');
INSERT INTO public.who_import VALUES (35364, '2020-03-31', 'GU', 'Guam', 'WPRO', '2', '58', '0', '1');
INSERT INTO public.who_import VALUES (35365, '2020-04-01', 'GU', 'Guam', 'WPRO', '11', '69', '1', '2');
INSERT INTO public.who_import VALUES (35366, '2020-04-02', 'GU', 'Guam', 'WPRO', '8', '77', '1', '3');
INSERT INTO public.who_import VALUES (35367, '2020-04-03', 'GU', 'Guam', 'WPRO', '5', '82', '0', '3');
INSERT INTO public.who_import VALUES (35368, '2020-04-04', 'GU', 'Guam', 'WPRO', '2', '84', '0', '3');
INSERT INTO public.who_import VALUES (35369, '2020-04-05', 'GU', 'Guam', 'WPRO', '9', '93', '1', '4');
INSERT INTO public.who_import VALUES (35370, '2020-04-06', 'GU', 'Guam', 'WPRO', '19', '112', '0', '4');
INSERT INTO public.who_import VALUES (35371, '2020-04-07', 'GU', 'Guam', 'WPRO', '1', '113', '0', '4');
INSERT INTO public.who_import VALUES (35372, '2020-04-08', 'GU', 'Guam', 'WPRO', '11', '124', '0', '4');
INSERT INTO public.who_import VALUES (35373, '2020-04-09', 'GU', 'Guam', 'WPRO', '1', '125', '0', '4');
INSERT INTO public.who_import VALUES (35374, '2020-04-10', 'GU', 'Guam', 'WPRO', '3', '128', '0', '4');
INSERT INTO public.who_import VALUES (35375, '2020-04-11', 'GU', 'Guam', 'WPRO', '2', '130', '0', '4');
INSERT INTO public.who_import VALUES (35376, '2020-04-12', 'GU', 'Guam', 'WPRO', '3', '133', '1', '5');
INSERT INTO public.who_import VALUES (35377, '2020-04-13', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35378, '2020-04-14', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35379, '2020-04-15', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35380, '2020-04-16', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35381, '2020-04-17', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35382, '2020-04-18', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35383, '2020-04-19', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35384, '2020-04-20', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35385, '2020-04-21', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35386, '2020-04-22', 'GU', 'Guam', 'WPRO', '0', '133', '0', '5');
INSERT INTO public.who_import VALUES (35387, '2020-04-23', 'GU', 'Guam', 'WPRO', '2', '135', '0', '5');
INSERT INTO public.who_import VALUES (35388, '2020-04-24', 'GU', 'Guam', 'WPRO', '1', '136', '0', '5');
INSERT INTO public.who_import VALUES (35389, '2020-04-25', 'GU', 'Guam', 'WPRO', '0', '136', '0', '5');
INSERT INTO public.who_import VALUES (35390, '2020-04-26', 'GU', 'Guam', 'WPRO', '1', '137', '0', '5');
INSERT INTO public.who_import VALUES (35391, '2020-04-27', 'GU', 'Guam', 'WPRO', '1', '138', '0', '5');
INSERT INTO public.who_import VALUES (35392, '2020-04-28', 'GU', 'Guam', 'WPRO', '2', '140', '0', '5');
INSERT INTO public.who_import VALUES (35393, '2020-04-29', 'GU', 'Guam', 'WPRO', '1', '141', '0', '5');
INSERT INTO public.who_import VALUES (35394, '2020-04-30', 'GU', 'Guam', 'WPRO', '0', '141', '0', '5');
INSERT INTO public.who_import VALUES (35395, '2020-05-01', 'GU', 'Guam', 'WPRO', '1', '142', '0', '5');
INSERT INTO public.who_import VALUES (35396, '2020-05-02', 'GU', 'Guam', 'WPRO', '0', '142', '0', '5');
INSERT INTO public.who_import VALUES (35397, '2020-05-03', 'GU', 'Guam', 'WPRO', '1', '143', '0', '5');
INSERT INTO public.who_import VALUES (35398, '2020-05-04', 'GU', 'Guam', 'WPRO', '2', '145', '0', '5');
INSERT INTO public.who_import VALUES (35399, '2020-05-05', 'GU', 'Guam', 'WPRO', '0', '145', '0', '5');
INSERT INTO public.who_import VALUES (35400, '2020-05-06', 'GU', 'Guam', 'WPRO', '0', '145', '0', '5');
INSERT INTO public.who_import VALUES (35401, '2020-05-07', 'GU', 'Guam', 'WPRO', '2', '147', '0', '5');
INSERT INTO public.who_import VALUES (35402, '2020-05-08', 'GU', 'Guam', 'WPRO', '0', '147', '0', '5');
INSERT INTO public.who_import VALUES (35403, '2020-05-09', 'GU', 'Guam', 'WPRO', '0', '147', '0', '5');
INSERT INTO public.who_import VALUES (35404, '2020-05-10', 'GU', 'Guam', 'WPRO', '0', '147', '0', '5');
INSERT INTO public.who_import VALUES (35405, '2020-05-11', 'GU', 'Guam', 'WPRO', '0', '147', '0', '5');
INSERT INTO public.who_import VALUES (35406, '2020-05-12', 'GU', 'Guam', 'WPRO', '0', '147', '0', '5');
INSERT INTO public.who_import VALUES (35407, '2020-05-13', 'GU', 'Guam', 'WPRO', '1', '148', '0', '5');
INSERT INTO public.who_import VALUES (35408, '2020-05-14', 'GU', 'Guam', 'WPRO', '0', '148', '0', '5');
INSERT INTO public.who_import VALUES (35409, '2020-05-15', 'GU', 'Guam', 'WPRO', '1', '149', '0', '5');
INSERT INTO public.who_import VALUES (35410, '2020-05-16', 'GU', 'Guam', 'WPRO', '0', '149', '0', '5');
INSERT INTO public.who_import VALUES (35411, '2020-05-17', 'GU', 'Guam', 'WPRO', '0', '149', '0', '5');
INSERT INTO public.who_import VALUES (35412, '2020-05-18', 'GU', 'Guam', 'WPRO', '0', '149', '0', '5');
INSERT INTO public.who_import VALUES (35413, '2020-05-19', 'GU', 'Guam', 'WPRO', '0', '149', '0', '5');
INSERT INTO public.who_import VALUES (35414, '2020-05-20', 'GU', 'Guam', 'WPRO', '0', '149', '0', '5');
INSERT INTO public.who_import VALUES (35415, '2020-05-21', 'GU', 'Guam', 'WPRO', '11', '160', '0', '5');
INSERT INTO public.who_import VALUES (35416, '2020-05-22', 'GU', 'Guam', 'WPRO', '0', '160', '0', '5');
INSERT INTO public.who_import VALUES (35417, '2020-05-23', 'GU', 'Guam', 'WPRO', '0', '160', '0', '5');
INSERT INTO public.who_import VALUES (35418, '2020-05-24', 'GU', 'Guam', 'WPRO', '1', '161', '0', '5');
INSERT INTO public.who_import VALUES (35419, '2020-05-25', 'GU', 'Guam', 'WPRO', '0', '161', '0', '5');
INSERT INTO public.who_import VALUES (35420, '2020-05-26', 'GU', 'Guam', 'WPRO', '0', '161', '0', '5');
INSERT INTO public.who_import VALUES (35421, '2020-05-27', 'GU', 'Guam', 'WPRO', '2', '163', '0', '5');
INSERT INTO public.who_import VALUES (35422, '2020-05-28', 'GU', 'Guam', 'WPRO', '1', '164', '0', '5');
INSERT INTO public.who_import VALUES (35423, '2020-05-29', 'GU', 'Guam', 'WPRO', '1', '165', '0', '5');
INSERT INTO public.who_import VALUES (35424, '2020-05-30', 'GU', 'Guam', 'WPRO', '0', '165', '0', '5');
INSERT INTO public.who_import VALUES (35425, '2020-05-31', 'GU', 'Guam', 'WPRO', '1', '166', '0', '5');
INSERT INTO public.who_import VALUES (35426, '2020-06-01', 'GU', 'Guam', 'WPRO', '0', '166', '0', '5');
INSERT INTO public.who_import VALUES (35427, '2020-06-02', 'GU', 'Guam', 'WPRO', '1', '167', '0', '5');
INSERT INTO public.who_import VALUES (35428, '2020-06-03', 'GU', 'Guam', 'WPRO', '2', '169', '0', '5');
INSERT INTO public.who_import VALUES (35429, '2020-06-04', 'GU', 'Guam', 'WPRO', '1', '170', '0', '5');
INSERT INTO public.who_import VALUES (35430, '2020-06-05', 'GU', 'Guam', 'WPRO', '1', '171', '0', '5');
INSERT INTO public.who_import VALUES (35431, '2020-06-06', 'GU', 'Guam', 'WPRO', '0', '171', '0', '5');
INSERT INTO public.who_import VALUES (35432, '2020-06-07', 'GU', 'Guam', 'WPRO', '0', '171', '0', '5');
INSERT INTO public.who_import VALUES (35433, '2020-06-08', 'GU', 'Guam', 'WPRO', '0', '171', '0', '5');
INSERT INTO public.who_import VALUES (35434, '2020-06-09', 'GU', 'Guam', 'WPRO', '0', '171', '0', '5');
INSERT INTO public.who_import VALUES (35435, '2020-06-10', 'GU', 'Guam', 'WPRO', '1', '172', '0', '5');
INSERT INTO public.who_import VALUES (35436, '2020-06-11', 'GU', 'Guam', 'WPRO', '2', '174', '0', '5');
INSERT INTO public.who_import VALUES (35437, '2020-06-12', 'GU', 'Guam', 'WPRO', '0', '174', '0', '5');
INSERT INTO public.who_import VALUES (35438, '2020-06-13', 'GU', 'Guam', 'WPRO', '2', '176', '0', '5');
INSERT INTO public.who_import VALUES (35439, '2020-06-14', 'GU', 'Guam', 'WPRO', '1', '177', '0', '5');
INSERT INTO public.who_import VALUES (35440, '2020-06-15', 'GU', 'Guam', 'WPRO', '0', '177', '0', '5');
INSERT INTO public.who_import VALUES (35441, '2020-06-16', 'GU', 'Guam', 'WPRO', '1', '178', '0', '5');
INSERT INTO public.who_import VALUES (35442, '2020-06-17', 'GU', 'Guam', 'WPRO', '0', '178', '0', '5');
INSERT INTO public.who_import VALUES (35443, '2020-06-18', 'GU', 'Guam', 'WPRO', '2', '180', '0', '5');
INSERT INTO public.who_import VALUES (35444, '2020-06-19', 'GU', 'Guam', 'WPRO', '5', '185', '0', '5');
INSERT INTO public.who_import VALUES (35445, '2020-06-20', 'GU', 'Guam', 'WPRO', '7', '192', '0', '5');
INSERT INTO public.who_import VALUES (35446, '2020-06-21', 'GU', 'Guam', 'WPRO', '22', '214', '0', '5');
INSERT INTO public.who_import VALUES (35447, '2020-06-22', 'GU', 'Guam', 'WPRO', '0', '214', '0', '5');
INSERT INTO public.who_import VALUES (35448, '2020-06-23', 'GU', 'Guam', 'WPRO', '2', '216', '0', '5');
INSERT INTO public.who_import VALUES (35449, '2020-06-24', 'GU', 'Guam', 'WPRO', '1', '217', '0', '5');
INSERT INTO public.who_import VALUES (35450, '2020-06-25', 'GU', 'Guam', 'WPRO', '6', '223', '0', '5');
INSERT INTO public.who_import VALUES (35451, '2020-06-26', 'GU', 'Guam', 'WPRO', '14', '237', '0', '5');
INSERT INTO public.who_import VALUES (35452, '2020-06-27', 'GU', 'Guam', 'WPRO', '3', '240', '0', '5');
INSERT INTO public.who_import VALUES (35453, '2020-06-28', 'GU', 'Guam', 'WPRO', '0', '240', '0', '5');
INSERT INTO public.who_import VALUES (35454, '2020-06-29', 'GU', 'Guam', 'WPRO', '0', '240', '0', '5');
INSERT INTO public.who_import VALUES (35455, '2020-06-30', 'GU', 'Guam', 'WPRO', '7', '247', '0', '5');
INSERT INTO public.who_import VALUES (35456, '2020-07-01', 'GU', 'Guam', 'WPRO', '4', '251', '0', '5');
INSERT INTO public.who_import VALUES (35457, '2020-07-02', 'GU', 'Guam', 'WPRO', '21', '272', '0', '5');
INSERT INTO public.who_import VALUES (35458, '2020-07-03', 'GU', 'Guam', 'WPRO', '0', '272', '0', '5');
INSERT INTO public.who_import VALUES (35459, '2020-07-04', 'GU', 'Guam', 'WPRO', '6', '278', '0', '5');
INSERT INTO public.who_import VALUES (35460, '2020-07-05', 'GU', 'Guam', 'WPRO', '2', '280', '0', '5');
INSERT INTO public.who_import VALUES (35461, '2020-07-06', 'GU', 'Guam', 'WPRO', '0', '280', '0', '5');
INSERT INTO public.who_import VALUES (35462, '2020-07-07', 'GU', 'Guam', 'WPRO', '13', '293', '0', '5');
INSERT INTO public.who_import VALUES (35463, '2020-07-08', 'GU', 'Guam', 'WPRO', '2', '295', '0', '5');
INSERT INTO public.who_import VALUES (35464, '2020-07-09', 'GU', 'Guam', 'WPRO', '4', '299', '0', '5');
INSERT INTO public.who_import VALUES (35465, '2020-07-10', 'GU', 'Guam', 'WPRO', '3', '302', '0', '5');
INSERT INTO public.who_import VALUES (35466, '2020-07-11', 'GU', 'Guam', 'WPRO', '0', '302', '0', '5');
INSERT INTO public.who_import VALUES (35467, '2020-07-12', 'GU', 'Guam', 'WPRO', '2', '304', '0', '5');
INSERT INTO public.who_import VALUES (35468, '2020-07-13', 'GU', 'Guam', 'WPRO', '0', '304', '0', '5');
INSERT INTO public.who_import VALUES (35469, '2020-07-14', 'GU', 'Guam', 'WPRO', '0', '304', '0', '5');
INSERT INTO public.who_import VALUES (35470, '2020-07-15', 'GU', 'Guam', 'WPRO', '1', '305', '0', '5');
INSERT INTO public.who_import VALUES (35471, '2020-07-16', 'GU', 'Guam', 'WPRO', '1', '306', '0', '5');
INSERT INTO public.who_import VALUES (35472, '2020-07-17', 'GU', 'Guam', 'WPRO', '0', '306', '0', '5');
INSERT INTO public.who_import VALUES (35473, '2020-07-18', 'GU', 'Guam', 'WPRO', '0', '306', '0', '5');
INSERT INTO public.who_import VALUES (35474, '2020-07-19', 'GU', 'Guam', 'WPRO', '1', '307', '0', '5');
INSERT INTO public.who_import VALUES (35475, '2020-07-20', 'GU', 'Guam', 'WPRO', '4', '311', '0', '5');
INSERT INTO public.who_import VALUES (35476, '2020-07-21', 'GU', 'Guam', 'WPRO', '0', '311', '0', '5');
INSERT INTO public.who_import VALUES (35477, '2020-07-22', 'GU', 'Guam', 'WPRO', '8', '319', '0', '5');
INSERT INTO public.who_import VALUES (35478, '2020-07-23', 'GU', 'Guam', 'WPRO', '5', '324', '0', '5');
INSERT INTO public.who_import VALUES (35479, '2020-07-24', 'GU', 'Guam', 'WPRO', '5', '329', '0', '5');
INSERT INTO public.who_import VALUES (35480, '2020-07-25', 'GU', 'Guam', 'WPRO', '0', '329', '0', '5');
INSERT INTO public.who_import VALUES (35481, '2020-07-26', 'GU', 'Guam', 'WPRO', '0', '329', '0', '5');
INSERT INTO public.who_import VALUES (35482, '2020-07-27', 'GU', 'Guam', 'WPRO', '0', '329', '0', '5');
INSERT INTO public.who_import VALUES (35483, '2020-07-28', 'GU', 'Guam', 'WPRO', '12', '341', '0', '5');
INSERT INTO public.who_import VALUES (35484, '2020-07-29', 'GU', 'Guam', 'WPRO', '2', '343', '0', '5');
INSERT INTO public.who_import VALUES (35485, '2020-07-30', 'GU', 'Guam', 'WPRO', '3', '346', '0', '5');
INSERT INTO public.who_import VALUES (35486, '2020-07-31', 'GU', 'Guam', 'WPRO', '2', '348', '0', '5');
INSERT INTO public.who_import VALUES (35487, '2020-08-01', 'GU', 'Guam', 'WPRO', '3', '351', '0', '5');
INSERT INTO public.who_import VALUES (35488, '2020-08-02', 'GU', 'Guam', 'WPRO', '0', '351', '0', '5');
INSERT INTO public.who_import VALUES (35489, '2020-08-03', 'GU', 'Guam', 'WPRO', '0', '351', '0', '5');
INSERT INTO public.who_import VALUES (35490, '2020-08-04', 'GU', 'Guam', 'WPRO', '16', '367', '0', '5');
INSERT INTO public.who_import VALUES (35491, '2020-08-05', 'GU', 'Guam', 'WPRO', '0', '367', '0', '5');
INSERT INTO public.who_import VALUES (35492, '2020-08-06', 'GU', 'Guam', 'WPRO', '14', '381', '0', '5');
INSERT INTO public.who_import VALUES (35493, '2020-08-07', 'GU', 'Guam', 'WPRO', '8', '389', '0', '5');
INSERT INTO public.who_import VALUES (35494, '2020-08-08', 'GU', 'Guam', 'WPRO', '14', '403', '0', '5');
INSERT INTO public.who_import VALUES (35495, '2020-08-09', 'GU', 'Guam', 'WPRO', '1', '404', '0', '5');
INSERT INTO public.who_import VALUES (35496, '2020-08-10', 'GU', 'Guam', 'WPRO', '0', '404', '0', '5');
INSERT INTO public.who_import VALUES (35497, '2020-08-11', 'GU', 'Guam', 'WPRO', '6', '410', '0', '5');
INSERT INTO public.who_import VALUES (35498, '2020-08-12', 'GU', 'Guam', 'WPRO', '16', '426', '0', '5');
INSERT INTO public.who_import VALUES (35499, '2020-08-13', 'GU', 'Guam', 'WPRO', '15', '441', '0', '5');
INSERT INTO public.who_import VALUES (35500, '2020-08-14', 'GU', 'Guam', 'WPRO', '28', '469', '0', '5');
INSERT INTO public.who_import VALUES (35501, '2020-08-15', 'GU', 'Guam', 'WPRO', '25', '494', '0', '5');
INSERT INTO public.who_import VALUES (35502, '2020-08-16', 'GU', 'Guam', 'WPRO', '14', '508', '0', '5');
INSERT INTO public.who_import VALUES (35503, '2020-08-17', 'GU', 'Guam', 'WPRO', '0', '508', '0', '5');
INSERT INTO public.who_import VALUES (35504, '2020-08-18', 'GU', 'Guam', 'WPRO', '42', '550', '0', '5');
INSERT INTO public.who_import VALUES (35505, '2020-08-19', 'GU', 'Guam', 'WPRO', '19', '569', '0', '5');
INSERT INTO public.who_import VALUES (35506, '2020-08-20', 'GU', 'Guam', 'WPRO', '22', '591', '0', '5');
INSERT INTO public.who_import VALUES (35507, '2020-08-21', 'GU', 'Guam', 'WPRO', '105', '696', '1', '6');
INSERT INTO public.who_import VALUES (35508, '2020-08-22', 'GU', 'Guam', 'WPRO', '63', '759', '1', '7');
INSERT INTO public.who_import VALUES (35509, '2020-08-23', 'GU', 'Guam', 'WPRO', '53', '812', '0', '7');
INSERT INTO public.who_import VALUES (35510, '2020-08-24', 'GU', 'Guam', 'WPRO', '0', '812', '0', '7');
INSERT INTO public.who_import VALUES (35511, '2020-08-25', 'GU', 'Guam', 'WPRO', '87', '899', '0', '7');
INSERT INTO public.who_import VALUES (35512, '2020-08-26', 'GU', 'Guam', 'WPRO', '77', '976', '0', '7');
INSERT INTO public.who_import VALUES (35513, '2020-08-27', 'GU', 'Guam', 'WPRO', '136', '1112', '2', '9');
INSERT INTO public.who_import VALUES (35514, '2020-08-28', 'GU', 'Guam', 'WPRO', '112', '1224', '1', '10');
INSERT INTO public.who_import VALUES (35515, '2020-08-29', 'GU', 'Guam', 'WPRO', '55', '1279', '0', '10');
INSERT INTO public.who_import VALUES (35516, '2020-08-30', 'GU', 'Guam', 'WPRO', '60', '1339', '0', '10');
INSERT INTO public.who_import VALUES (35517, '2020-08-31', 'GU', 'Guam', 'WPRO', '0', '1339', '0', '10');
INSERT INTO public.who_import VALUES (35518, '2020-09-01', 'GU', 'Guam', 'WPRO', '48', '1387', '0', '10');
INSERT INTO public.who_import VALUES (35519, '2020-09-02', 'GU', 'Guam', 'WPRO', '52', '1439', '3', '13');
INSERT INTO public.who_import VALUES (35520, '2020-09-03', 'GU', 'Guam', 'WPRO', '47', '1486', '0', '13');
INSERT INTO public.who_import VALUES (35521, '2020-09-04', 'GU', 'Guam', 'WPRO', '74', '1560', '0', '13');
INSERT INTO public.who_import VALUES (35522, '2020-09-05', 'GU', 'Guam', 'WPRO', '59', '1619', '1', '14');
INSERT INTO public.who_import VALUES (35523, '2020-09-06', 'GU', 'Guam', 'WPRO', '52', '1671', '2', '16');
INSERT INTO public.who_import VALUES (35524, '2020-09-07', 'GU', 'Guam', 'WPRO', '0', '1671', '0', '16');
INSERT INTO public.who_import VALUES (35525, '2020-09-08', 'GU', 'Guam', 'WPRO', '1', '1672', '2', '18');
INSERT INTO public.who_import VALUES (35526, '2020-09-09', 'GU', 'Guam', 'WPRO', '41', '1713', '1', '19');
INSERT INTO public.who_import VALUES (35527, '2020-09-10', 'GU', 'Guam', 'WPRO', '45', '1758', '2', '21');
INSERT INTO public.who_import VALUES (35528, '2020-09-11', 'GU', 'Guam', 'WPRO', '88', '1846', '2', '23');
INSERT INTO public.who_import VALUES (35529, '2020-09-12', 'GU', 'Guam', 'WPRO', '17', '1863', '0', '23');
INSERT INTO public.who_import VALUES (35530, '2020-09-13', 'GU', 'Guam', 'WPRO', '28', '1891', '2', '25');
INSERT INTO public.who_import VALUES (35531, '2020-09-14', 'GU', 'Guam', 'WPRO', '0', '1891', '1', '26');
INSERT INTO public.who_import VALUES (35532, '2020-09-15', 'GU', 'Guam', 'WPRO', '36', '1927', '0', '26');
INSERT INTO public.who_import VALUES (35533, '2020-09-16', 'GU', 'Guam', 'WPRO', '39', '1966', '3', '29');
INSERT INTO public.who_import VALUES (35534, '2020-09-17', 'GU', 'Guam', 'WPRO', '47', '2013', '1', '30');
INSERT INTO public.who_import VALUES (35535, '2020-09-18', 'GU', 'Guam', 'WPRO', '32', '2045', '1', '31');
INSERT INTO public.who_import VALUES (35536, '2020-09-19', 'GU', 'Guam', 'WPRO', '29', '2074', '2', '33');
INSERT INTO public.who_import VALUES (35537, '2020-09-20', 'GU', 'Guam', 'WPRO', '43', '2117', '1', '34');
INSERT INTO public.who_import VALUES (35538, '2020-09-21', 'GU', 'Guam', 'WPRO', '0', '2117', '0', '34');
INSERT INTO public.who_import VALUES (35539, '2020-09-22', 'GU', 'Guam', 'WPRO', '30', '2147', '1', '35');
INSERT INTO public.who_import VALUES (35540, '2020-09-23', 'GU', 'Guam', 'WPRO', '43', '2190', '2', '37');
INSERT INTO public.who_import VALUES (35541, '2020-09-24', 'GU', 'Guam', 'WPRO', '45', '2235', '1', '38');
INSERT INTO public.who_import VALUES (35542, '2020-09-25', 'GU', 'Guam', 'WPRO', '28', '2263', '1', '39');
INSERT INTO public.who_import VALUES (35543, '2020-09-26', 'GU', 'Guam', 'WPRO', '23', '2286', '2', '41');
INSERT INTO public.who_import VALUES (35544, '2020-09-27', 'GU', 'Guam', 'WPRO', '68', '2354', '2', '43');
INSERT INTO public.who_import VALUES (35545, '2020-09-28', 'GU', 'Guam', 'WPRO', '1', '2355', '0', '43');
INSERT INTO public.who_import VALUES (35546, '2020-09-29', 'GU', 'Guam', 'WPRO', '35', '2390', '3', '46');
INSERT INTO public.who_import VALUES (35547, '2020-09-30', 'GU', 'Guam', 'WPRO', '53', '2443', '1', '47');
INSERT INTO public.who_import VALUES (35548, '2020-10-01', 'GU', 'Guam', 'WPRO', '45', '2488', '2', '49');
INSERT INTO public.who_import VALUES (35549, '2020-10-02', 'GU', 'Guam', 'WPRO', '62', '2550', '0', '49');
INSERT INTO public.who_import VALUES (35550, '2020-10-03', 'GU', 'Guam', 'WPRO', '67', '2617', '1', '50');
INSERT INTO public.who_import VALUES (35551, '2020-10-04', 'GU', 'Guam', 'WPRO', '82', '2699', '1', '51');
INSERT INTO public.who_import VALUES (35552, '2020-10-05', 'GU', 'Guam', 'WPRO', '1', '2700', '1', '52');
INSERT INTO public.who_import VALUES (35553, '2020-10-06', 'GU', 'Guam', 'WPRO', '53', '2753', '3', '55');
INSERT INTO public.who_import VALUES (35554, '2020-10-07', 'GU', 'Guam', 'WPRO', '65', '2818', '0', '55');
INSERT INTO public.who_import VALUES (35555, '2020-10-08', 'GU', 'Guam', 'WPRO', '50', '2868', '2', '57');
INSERT INTO public.who_import VALUES (35556, '2020-10-09', 'GU', 'Guam', 'WPRO', '66', '2934', '1', '58');
INSERT INTO public.who_import VALUES (35557, '2020-10-10', 'GU', 'Guam', 'WPRO', '55', '2989', '0', '58');
INSERT INTO public.who_import VALUES (35558, '2020-10-11', 'GU', 'Guam', 'WPRO', '67', '3056', '1', '59');
INSERT INTO public.who_import VALUES (35559, '2020-10-12', 'GU', 'Guam', 'WPRO', '22', '3078', '1', '60');
INSERT INTO public.who_import VALUES (35560, '2020-10-13', 'GU', 'Guam', 'WPRO', '92', '3170', '0', '60');
INSERT INTO public.who_import VALUES (35561, '2020-10-14', 'GU', 'Guam', 'WPRO', '96', '3266', '1', '61');
INSERT INTO public.who_import VALUES (35562, '2020-10-15', 'GU', 'Guam', 'WPRO', '75', '3341', '0', '61');
INSERT INTO public.who_import VALUES (35563, '2020-10-16', 'GU', 'Guam', 'WPRO', '86', '3427', '2', '63');
INSERT INTO public.who_import VALUES (35564, '2020-10-17', 'GU', 'Guam', 'WPRO', '100', '3527', '0', '63');
INSERT INTO public.who_import VALUES (35565, '2020-10-18', 'GU', 'Guam', 'WPRO', '79', '3606', '3', '66');
INSERT INTO public.who_import VALUES (35566, '2020-10-19', 'GU', 'Guam', 'WPRO', '58', '3664', '0', '66');
INSERT INTO public.who_import VALUES (35567, '2020-10-20', 'GU', 'Guam', 'WPRO', '78', '3742', '0', '66');
INSERT INTO public.who_import VALUES (35568, '2020-10-21', 'GU', 'Guam', 'WPRO', '127', '3869', '1', '67');
INSERT INTO public.who_import VALUES (35569, '2020-10-22', 'GU', 'Guam', 'WPRO', '81', '3950', '2', '69');
INSERT INTO public.who_import VALUES (35570, '2020-10-23', 'GU', 'Guam', 'WPRO', '87', '4037', '0', '69');
INSERT INTO public.who_import VALUES (35571, '2020-10-24', 'GU', 'Guam', 'WPRO', '84', '4121', '0', '69');
INSERT INTO public.who_import VALUES (35572, '2020-10-25', 'GU', 'Guam', 'WPRO', '34', '4155', '2', '71');
INSERT INTO public.who_import VALUES (35573, '2020-10-26', 'GU', 'Guam', 'WPRO', '41', '4196', '0', '71');
INSERT INTO public.who_import VALUES (35574, '2020-10-27', 'GU', 'Guam', 'WPRO', '112', '4308', '4', '75');
INSERT INTO public.who_import VALUES (35575, '2020-10-28', 'GU', 'Guam', 'WPRO', '76', '4384', '0', '75');
INSERT INTO public.who_import VALUES (35576, '2020-10-29', 'GU', 'Guam', 'WPRO', '48', '4432', '2', '77');
INSERT INTO public.who_import VALUES (35577, '2020-10-30', 'GU', 'Guam', 'WPRO', '72', '4504', '1', '78');
INSERT INTO public.who_import VALUES (35578, '2020-10-31', 'GU', 'Guam', 'WPRO', '75', '4579', '1', '79');
INSERT INTO public.who_import VALUES (35579, '2020-11-01', 'GU', 'Guam', 'WPRO', '53', '4632', '0', '79');
INSERT INTO public.who_import VALUES (35580, '2020-11-02', 'GU', 'Guam', 'WPRO', '9', '4641', '0', '79');
INSERT INTO public.who_import VALUES (35581, '2020-11-03', 'GU', 'Guam', 'WPRO', '3', '4644', '0', '79');
INSERT INTO public.who_import VALUES (35582, '2020-11-04', 'GU', 'Guam', 'WPRO', '104', '4748', '1', '80');
INSERT INTO public.who_import VALUES (35583, '2020-11-05', 'GU', 'Guam', 'WPRO', '82', '4830', '3', '83');
INSERT INTO public.who_import VALUES (35584, '2020-11-06', 'GU', 'Guam', 'WPRO', '101', '4931', '4', '87');
INSERT INTO public.who_import VALUES (35585, '2020-11-07', 'GU', 'Guam', 'WPRO', '67', '4998', '1', '88');
INSERT INTO public.who_import VALUES (35586, '2020-11-08', 'GU', 'Guam', 'WPRO', '36', '5034', '1', '89');
INSERT INTO public.who_import VALUES (35587, '2020-11-09', 'GU', 'Guam', 'WPRO', '120', '5154', '1', '90');
INSERT INTO public.who_import VALUES (35588, '2020-11-10', 'GU', 'Guam', 'WPRO', '221', '5375', '0', '90');
INSERT INTO public.who_import VALUES (35589, '2020-11-11', 'GU', 'Guam', 'WPRO', '177', '5552', '1', '91');
INSERT INTO public.who_import VALUES (35590, '2020-11-12', 'GU', 'Guam', 'WPRO', '101', '5653', '0', '91');
INSERT INTO public.who_import VALUES (35591, '2020-11-13', 'GU', 'Guam', 'WPRO', '87', '5740', '0', '91');
INSERT INTO public.who_import VALUES (35592, '2020-11-14', 'GU', 'Guam', 'WPRO', '73', '5813', '2', '93');
INSERT INTO public.who_import VALUES (35593, '2020-11-15', 'GU', 'Guam', 'WPRO', '41', '5854', '0', '93');
INSERT INTO public.who_import VALUES (35594, '2020-11-16', 'GU', 'Guam', 'WPRO', '156', '6010', '1', '94');
INSERT INTO public.who_import VALUES (35595, '2020-11-17', 'GU', 'Guam', 'WPRO', '52', '6062', '4', '98');
INSERT INTO public.who_import VALUES (35596, '2020-11-18', 'GU', 'Guam', 'WPRO', '59', '6121', '2', '100');
INSERT INTO public.who_import VALUES (35597, '2020-11-19', 'GU', 'Guam', 'WPRO', '104', '6225', '0', '100');
INSERT INTO public.who_import VALUES (35598, '2020-11-20', 'GU', 'Guam', 'WPRO', '70', '6295', '1', '101');
INSERT INTO public.who_import VALUES (35599, '2020-11-21', 'GU', 'Guam', 'WPRO', '36', '6331', '2', '103');
INSERT INTO public.who_import VALUES (35600, '2020-11-22', 'GU', 'Guam', 'WPRO', '24', '6355', '1', '104');
INSERT INTO public.who_import VALUES (35601, '2020-11-23', 'GU', 'Guam', 'WPRO', '73', '6428', '2', '106');
INSERT INTO public.who_import VALUES (35602, '2020-11-24', 'GU', 'Guam', 'WPRO', '53', '6481', '0', '106');
INSERT INTO public.who_import VALUES (35603, '2020-11-25', 'GU', 'Guam', 'WPRO', '52', '6533', '1', '107');
INSERT INTO public.who_import VALUES (35604, '2020-11-26', 'GU', 'Guam', 'WPRO', '47', '6580', '2', '109');
INSERT INTO public.who_import VALUES (35605, '2020-11-27', 'GU', 'Guam', 'WPRO', '43', '6623', '2', '111');
INSERT INTO public.who_import VALUES (35606, '2020-11-28', 'GU', 'Guam', 'WPRO', '18', '6641', '1', '112');
INSERT INTO public.who_import VALUES (35607, '2020-11-29', 'GU', 'Guam', 'WPRO', '14', '6655', '0', '112');
INSERT INTO public.who_import VALUES (35608, '2020-11-30', 'GU', 'Guam', 'WPRO', '36', '6691', '0', '112');
INSERT INTO public.who_import VALUES (35609, '2020-12-01', 'GU', 'Guam', 'WPRO', '31', '6722', '0', '112');
INSERT INTO public.who_import VALUES (35610, '2020-12-02', 'GU', 'Guam', 'WPRO', '35', '6757', '0', '112');
INSERT INTO public.who_import VALUES (35611, '2020-12-03', 'GU', 'Guam', 'WPRO', '25', '6782', '0', '112');
INSERT INTO public.who_import VALUES (35612, '2020-12-04', 'GU', 'Guam', 'WPRO', '20', '6802', '0', '112');
INSERT INTO public.who_import VALUES (35613, '2020-12-05', 'GU', 'Guam', 'WPRO', '25', '6827', '1', '113');
INSERT INTO public.who_import VALUES (35614, '2020-12-06', 'GU', 'Guam', 'WPRO', '18', '6845', '0', '113');
INSERT INTO public.who_import VALUES (35615, '2020-12-07', 'GU', 'Guam', 'WPRO', '27', '6872', '0', '113');
INSERT INTO public.who_import VALUES (35616, '2020-12-08', 'GU', 'Guam', 'WPRO', '11', '6883', '0', '113');
INSERT INTO public.who_import VALUES (35617, '2020-12-09', 'GU', 'Guam', 'WPRO', '7', '6890', '0', '113');
INSERT INTO public.who_import VALUES (35618, '2020-12-10', 'GU', 'Guam', 'WPRO', '12', '6902', '0', '113');
INSERT INTO public.who_import VALUES (35619, '2020-12-11', 'GU', 'Guam', 'WPRO', '13', '6915', '2', '115');
INSERT INTO public.who_import VALUES (35620, '2020-12-12', 'GU', 'Guam', 'WPRO', '27', '6942', '0', '115');
INSERT INTO public.who_import VALUES (35621, '2020-12-13', 'GU', 'Guam', 'WPRO', '11', '6953', '2', '117');
INSERT INTO public.who_import VALUES (35622, '2020-12-14', 'GU', 'Guam', 'WPRO', '16', '6969', '1', '118');
INSERT INTO public.who_import VALUES (35623, '2020-12-15', 'GU', 'Guam', 'WPRO', '9', '6978', '1', '119');
INSERT INTO public.who_import VALUES (35624, '2020-12-16', 'GU', 'Guam', 'WPRO', '10', '6988', '0', '119');
INSERT INTO public.who_import VALUES (35625, '2020-12-17', 'GU', 'Guam', 'WPRO', '16', '7004', '0', '119');
INSERT INTO public.who_import VALUES (35626, '2020-12-18', 'GU', 'Guam', 'WPRO', '13', '7017', '0', '119');
INSERT INTO public.who_import VALUES (35627, '2020-12-19', 'GU', 'Guam', 'WPRO', '9', '7026', '0', '119');
INSERT INTO public.who_import VALUES (35628, '2020-12-20', 'GU', 'Guam', 'WPRO', '5', '7031', '0', '119');
INSERT INTO public.who_import VALUES (35629, '2020-12-21', 'GU', 'Guam', 'WPRO', '4', '7035', '0', '119');
INSERT INTO public.who_import VALUES (35630, '2020-12-22', 'GU', 'Guam', 'WPRO', '6', '7041', '1', '120');
INSERT INTO public.who_import VALUES (35631, '2020-12-23', 'GU', 'Guam', 'WPRO', '25', '7066', '1', '121');
INSERT INTO public.who_import VALUES (35632, '2020-12-24', 'GU', 'Guam', 'WPRO', '18', '7084', '0', '121');
INSERT INTO public.who_import VALUES (35633, '2020-12-25', 'GU', 'Guam', 'WPRO', '7', '7091', '0', '121');
INSERT INTO public.who_import VALUES (35634, '2020-12-26', 'GU', 'Guam', 'WPRO', '2', '7093', '0', '121');
INSERT INTO public.who_import VALUES (35635, '2020-12-27', 'GU', 'Guam', 'WPRO', '1', '7094', '0', '121');
INSERT INTO public.who_import VALUES (35636, '2020-12-28', 'GU', 'Guam', 'WPRO', '1', '7095', '0', '121');
INSERT INTO public.who_import VALUES (35637, '2020-12-29', 'GU', 'Guam', 'WPRO', '7', '7102', '0', '121');
INSERT INTO public.who_import VALUES (35638, '2020-12-30', 'GU', 'Guam', 'WPRO', '12', '7114', '0', '121');
INSERT INTO public.who_import VALUES (35639, '2020-12-31', 'GU', 'Guam', 'WPRO', '15', '7129', '0', '121');
INSERT INTO public.who_import VALUES (35640, '2021-01-01', 'GU', 'Guam', 'WPRO', '10', '7139', '1', '122');
INSERT INTO public.who_import VALUES (35641, '2021-01-02', 'GU', 'Guam', 'WPRO', '9', '7148', '0', '122');
INSERT INTO public.who_import VALUES (35642, '2021-01-03', 'GU', 'Guam', 'WPRO', '0', '7148', '1', '123');
INSERT INTO public.who_import VALUES (35643, '2021-01-04', 'GU', 'Guam', 'WPRO', '1', '7149', '0', '123');
INSERT INTO public.who_import VALUES (35644, '2021-01-05', 'GU', 'Guam', 'WPRO', '14', '7163', '0', '123');
INSERT INTO public.who_import VALUES (35645, '2021-01-06', 'GU', 'Guam', 'WPRO', '10', '7173', '0', '123');
INSERT INTO public.who_import VALUES (35646, '2021-01-07', 'GU', 'Guam', 'WPRO', '19', '7192', '0', '123');
INSERT INTO public.who_import VALUES (35647, '2021-01-08', 'GU', 'Guam', 'WPRO', '8', '7200', '1', '124');
INSERT INTO public.who_import VALUES (35648, '2021-01-09', 'GU', 'Guam', 'WPRO', '13', '7213', '0', '124');
INSERT INTO public.who_import VALUES (35649, '2021-01-10', 'GU', 'Guam', 'WPRO', '5', '7218', '0', '124');
INSERT INTO public.who_import VALUES (35650, '2021-01-11', 'GU', 'Guam', 'WPRO', '8', '7226', '0', '124');
INSERT INTO public.who_import VALUES (35651, '2021-01-12', 'GU', 'Guam', 'WPRO', '8', '7234', '0', '124');
INSERT INTO public.who_import VALUES (35652, '2021-01-13', 'GU', 'Guam', 'WPRO', '5', '7239', '0', '124');
INSERT INTO public.who_import VALUES (35653, '2021-01-14', 'GU', 'Guam', 'WPRO', '11', '7250', '0', '124');
INSERT INTO public.who_import VALUES (35654, '2021-01-15', 'GU', 'Guam', 'WPRO', '13', '7263', '0', '124');
INSERT INTO public.who_import VALUES (35655, '2021-01-16', 'GU', 'Guam', 'WPRO', '13', '7276', '1', '125');
INSERT INTO public.who_import VALUES (35656, '2021-01-17', 'GU', 'Guam', 'WPRO', '7', '7283', '1', '126');
INSERT INTO public.who_import VALUES (35657, '2021-01-18', 'GU', 'Guam', 'WPRO', '3', '7286', '1', '127');
INSERT INTO public.who_import VALUES (35658, '2021-01-19', 'GU', 'Guam', 'WPRO', '1', '7287', '1', '128');
INSERT INTO public.who_import VALUES (35659, '2021-01-20', 'GU', 'Guam', 'WPRO', '22', '7309', '0', '128');
INSERT INTO public.who_import VALUES (35660, '2021-01-21', 'GU', 'Guam', 'WPRO', '5', '7314', '0', '128');
INSERT INTO public.who_import VALUES (35661, '2021-01-22', 'GU', 'Guam', 'WPRO', '7', '7321', '0', '128');
INSERT INTO public.who_import VALUES (35662, '2021-01-23', 'GU', 'Guam', 'WPRO', '19', '7340', '0', '128');
INSERT INTO public.who_import VALUES (35663, '2021-01-24', 'GU', 'Guam', 'WPRO', '0', '7340', '0', '128');
INSERT INTO public.who_import VALUES (35664, '2021-01-25', 'GU', 'Guam', 'WPRO', '0', '7340', '0', '128');
INSERT INTO public.who_import VALUES (35665, '2021-01-26', 'GU', 'Guam', 'WPRO', '7', '7347', '1', '129');
INSERT INTO public.who_import VALUES (35666, '2021-01-27', 'GU', 'Guam', 'WPRO', '12', '7359', '0', '129');
INSERT INTO public.who_import VALUES (35667, '2021-01-28', 'GU', 'Guam', 'WPRO', '2', '7361', '0', '129');
INSERT INTO public.who_import VALUES (35668, '2021-01-29', 'GU', 'Guam', 'WPRO', '4', '7365', '0', '129');
INSERT INTO public.who_import VALUES (35669, '2021-01-30', 'GU', 'Guam', 'WPRO', '7', '7372', '0', '129');
INSERT INTO public.who_import VALUES (35670, '2021-01-31', 'GU', 'Guam', 'WPRO', '7', '7379', '0', '129');
INSERT INTO public.who_import VALUES (35671, '2021-02-01', 'GU', 'Guam', 'WPRO', '1', '7380', '0', '129');
INSERT INTO public.who_import VALUES (35672, '2021-02-02', 'GU', 'Guam', 'WPRO', '21', '7401', '0', '129');
INSERT INTO public.who_import VALUES (35673, '2021-02-03', 'GU', 'Guam', 'WPRO', '2', '7403', '0', '129');
INSERT INTO public.who_import VALUES (35674, '2021-02-04', 'GU', 'Guam', 'WPRO', '8', '7411', '0', '129');
INSERT INTO public.who_import VALUES (35675, '2021-02-05', 'GU', 'Guam', 'WPRO', '4', '7415', '0', '129');
INSERT INTO public.who_import VALUES (35676, '2021-02-06', 'GU', 'Guam', 'WPRO', '14', '7429', '0', '129');
INSERT INTO public.who_import VALUES (35677, '2021-02-07', 'GU', 'Guam', 'WPRO', '7', '7436', '0', '129');
INSERT INTO public.who_import VALUES (35678, '2021-02-08', 'GU', 'Guam', 'WPRO', '6', '7442', '1', '130');
INSERT INTO public.who_import VALUES (35679, '2021-02-09', 'GU', 'Guam', 'WPRO', '15', '7457', '0', '130');
INSERT INTO public.who_import VALUES (35680, '2021-02-10', 'GU', 'Guam', 'WPRO', '9', '7466', '0', '130');
INSERT INTO public.who_import VALUES (35681, '2021-02-11', 'GU', 'Guam', 'WPRO', '10', '7476', '0', '130');
INSERT INTO public.who_import VALUES (35682, '2021-02-12', 'GU', 'Guam', 'WPRO', '2', '7478', '0', '130');
INSERT INTO public.who_import VALUES (35683, '2021-02-13', 'GU', 'Guam', 'WPRO', '3', '7481', '0', '130');
INSERT INTO public.who_import VALUES (35684, '2021-02-14', 'GU', 'Guam', 'WPRO', '3', '7484', '0', '130');
INSERT INTO public.who_import VALUES (35685, '2021-02-15', 'GU', 'Guam', 'WPRO', '3', '7487', '0', '130');
INSERT INTO public.who_import VALUES (35686, '2021-02-16', 'GU', 'Guam', 'WPRO', '4', '7491', '0', '130');
INSERT INTO public.who_import VALUES (35687, '2021-02-17', 'GU', 'Guam', 'WPRO', '2', '7493', '0', '130');
INSERT INTO public.who_import VALUES (35688, '2021-02-18', 'GU', 'Guam', 'WPRO', '2', '7495', '0', '130');
INSERT INTO public.who_import VALUES (35689, '2021-02-19', 'GU', 'Guam', 'WPRO', '2', '7497', '0', '130');
INSERT INTO public.who_import VALUES (35690, '2021-02-20', 'GU', 'Guam', 'WPRO', '9', '7506', '0', '130');
INSERT INTO public.who_import VALUES (35691, '2020-01-03', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35692, '2020-01-04', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35693, '2020-01-05', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35694, '2020-01-06', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35695, '2020-01-07', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35696, '2020-01-08', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35697, '2020-01-09', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35698, '2020-01-10', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35699, '2020-01-11', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35700, '2020-01-12', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35701, '2020-01-13', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35702, '2020-01-14', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35703, '2020-01-15', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35704, '2020-01-16', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35705, '2020-01-17', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35706, '2020-01-18', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35707, '2020-01-19', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35708, '2020-01-20', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35709, '2020-01-21', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35710, '2020-01-22', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35711, '2020-01-23', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35712, '2020-01-24', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35713, '2020-01-25', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35714, '2020-01-26', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35715, '2020-01-27', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35716, '2020-01-28', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35717, '2020-01-29', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35718, '2020-01-30', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35719, '2020-01-31', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35720, '2020-02-01', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35721, '2020-02-02', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35722, '2020-02-03', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35723, '2020-02-04', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35724, '2020-02-05', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35725, '2020-02-06', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35726, '2020-02-07', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35727, '2020-02-08', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35728, '2020-02-09', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35729, '2020-02-10', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35730, '2020-02-11', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35731, '2020-02-12', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35732, '2020-02-13', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35733, '2020-02-14', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35734, '2020-02-15', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35735, '2020-02-16', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35736, '2020-02-17', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35737, '2020-02-18', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35738, '2020-02-19', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35739, '2020-02-20', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35740, '2020-02-21', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35741, '2020-02-22', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35742, '2020-02-23', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35743, '2020-02-24', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35744, '2020-02-25', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35745, '2020-02-26', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35746, '2020-02-27', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35747, '2020-02-28', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35748, '2020-02-29', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35749, '2020-03-01', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35750, '2020-03-02', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35751, '2020-03-03', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35752, '2020-03-04', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35753, '2020-03-05', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35754, '2020-03-06', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35755, '2020-03-07', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35756, '2020-03-08', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35757, '2020-03-09', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35758, '2020-03-10', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35759, '2020-03-11', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35760, '2020-03-12', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35761, '2020-03-13', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35762, '2020-03-14', 'GT', 'Guatemala', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (35763, '2020-03-15', 'GT', 'Guatemala', 'AMRO', '5', '5', '1', '1');
INSERT INTO public.who_import VALUES (35764, '2020-03-16', 'GT', 'Guatemala', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (35765, '2020-03-17', 'GT', 'Guatemala', 'AMRO', '5', '10', '0', '1');
INSERT INTO public.who_import VALUES (35766, '2020-03-18', 'GT', 'Guatemala', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (35767, '2020-03-19', 'GT', 'Guatemala', 'AMRO', '-1', '9', '0', '1');
INSERT INTO public.who_import VALUES (35768, '2020-03-20', 'GT', 'Guatemala', 'AMRO', '3', '12', '0', '1');
INSERT INTO public.who_import VALUES (35769, '2020-03-21', 'GT', 'Guatemala', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (35770, '2020-03-22', 'GT', 'Guatemala', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (35771, '2020-03-23', 'GT', 'Guatemala', 'AMRO', '6', '18', '0', '1');
INSERT INTO public.who_import VALUES (35772, '2020-03-24', 'GT', 'Guatemala', 'AMRO', '3', '21', '0', '1');
INSERT INTO public.who_import VALUES (35773, '2020-03-25', 'GT', 'Guatemala', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (35774, '2020-03-26', 'GT', 'Guatemala', 'AMRO', '3', '24', '0', '1');
INSERT INTO public.who_import VALUES (35775, '2020-03-27', 'GT', 'Guatemala', 'AMRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (35776, '2020-03-28', 'GT', 'Guatemala', 'AMRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (35777, '2020-03-29', 'GT', 'Guatemala', 'AMRO', '7', '32', '0', '1');
INSERT INTO public.who_import VALUES (35778, '2020-03-30', 'GT', 'Guatemala', 'AMRO', '2', '34', '0', '1');
INSERT INTO public.who_import VALUES (35779, '2020-03-31', 'GT', 'Guatemala', 'AMRO', '2', '36', '0', '1');
INSERT INTO public.who_import VALUES (35780, '2020-04-01', 'GT', 'Guatemala', 'AMRO', '0', '36', '0', '1');
INSERT INTO public.who_import VALUES (35781, '2020-04-02', 'GT', 'Guatemala', 'AMRO', '3', '39', '0', '1');
INSERT INTO public.who_import VALUES (35782, '2020-04-03', 'GT', 'Guatemala', 'AMRO', '8', '47', '0', '1');
INSERT INTO public.who_import VALUES (35783, '2020-04-04', 'GT', 'Guatemala', 'AMRO', '3', '50', '0', '1');
INSERT INTO public.who_import VALUES (35784, '2020-04-05', 'GT', 'Guatemala', 'AMRO', '0', '50', '0', '1');
INSERT INTO public.who_import VALUES (35785, '2020-04-06', 'GT', 'Guatemala', 'AMRO', '11', '61', '1', '2');
INSERT INTO public.who_import VALUES (35786, '2020-04-07', 'GT', 'Guatemala', 'AMRO', '9', '70', '1', '3');
INSERT INTO public.who_import VALUES (35787, '2020-04-08', 'GT', 'Guatemala', 'AMRO', '7', '77', '0', '3');
INSERT INTO public.who_import VALUES (35788, '2020-04-09', 'GT', 'Guatemala', 'AMRO', '10', '87', '0', '3');
INSERT INTO public.who_import VALUES (35789, '2020-04-10', 'GT', 'Guatemala', 'AMRO', '8', '95', '0', '3');
INSERT INTO public.who_import VALUES (35790, '2020-04-11', 'GT', 'Guatemala', 'AMRO', '31', '126', '0', '3');
INSERT INTO public.who_import VALUES (35791, '2020-04-12', 'GT', 'Guatemala', 'AMRO', '11', '137', '0', '3');
INSERT INTO public.who_import VALUES (35792, '2020-04-13', 'GT', 'Guatemala', 'AMRO', '16', '153', '0', '3');
INSERT INTO public.who_import VALUES (35793, '2020-04-14', 'GT', 'Guatemala', 'AMRO', '3', '156', '2', '5');
INSERT INTO public.who_import VALUES (35794, '2020-04-15', 'GT', 'Guatemala', 'AMRO', '11', '167', '0', '5');
INSERT INTO public.who_import VALUES (35795, '2020-04-16', 'GT', 'Guatemala', 'AMRO', '13', '180', '0', '5');
INSERT INTO public.who_import VALUES (35796, '2020-04-17', 'GT', 'Guatemala', 'AMRO', '16', '196', '0', '5');
INSERT INTO public.who_import VALUES (35797, '2020-04-18', 'GT', 'Guatemala', 'AMRO', '18', '214', '2', '7');
INSERT INTO public.who_import VALUES (35798, '2020-04-19', 'GT', 'Guatemala', 'AMRO', '21', '235', '0', '7');
INSERT INTO public.who_import VALUES (35799, '2020-04-20', 'GT', 'Guatemala', 'AMRO', '22', '257', '0', '7');
INSERT INTO public.who_import VALUES (35800, '2020-04-21', 'GT', 'Guatemala', 'AMRO', '32', '289', '0', '7');
INSERT INTO public.who_import VALUES (35801, '2020-04-22', 'GT', 'Guatemala', 'AMRO', '5', '294', '1', '8');
INSERT INTO public.who_import VALUES (35802, '2020-04-23', 'GT', 'Guatemala', 'AMRO', '22', '316', '0', '8');
INSERT INTO public.who_import VALUES (35803, '2020-04-24', 'GT', 'Guatemala', 'AMRO', '26', '342', '2', '10');
INSERT INTO public.who_import VALUES (35804, '2020-04-25', 'GT', 'Guatemala', 'AMRO', '42', '384', '1', '11');
INSERT INTO public.who_import VALUES (35805, '2020-04-26', 'GT', 'Guatemala', 'AMRO', '46', '430', '2', '13');
INSERT INTO public.who_import VALUES (35806, '2020-04-27', 'GT', 'Guatemala', 'AMRO', '43', '473', '2', '15');
INSERT INTO public.who_import VALUES (35807, '2020-04-28', 'GT', 'Guatemala', 'AMRO', '27', '500', '0', '15');
INSERT INTO public.who_import VALUES (35808, '2020-04-29', 'GT', 'Guatemala', 'AMRO', '30', '530', '0', '15');
INSERT INTO public.who_import VALUES (35809, '2020-04-30', 'GT', 'Guatemala', 'AMRO', '27', '557', '1', '16');
INSERT INTO public.who_import VALUES (35810, '2020-05-01', 'GT', 'Guatemala', 'AMRO', '28', '585', '0', '16');
INSERT INTO public.who_import VALUES (35811, '2020-05-02', 'GT', 'Guatemala', 'AMRO', '14', '599', '0', '16');
INSERT INTO public.who_import VALUES (35812, '2020-05-03', 'GT', 'Guatemala', 'AMRO', '45', '644', '2', '18');
INSERT INTO public.who_import VALUES (35813, '2020-05-04', 'GT', 'Guatemala', 'AMRO', '44', '688', '1', '19');
INSERT INTO public.who_import VALUES (35814, '2020-05-05', 'GT', 'Guatemala', 'AMRO', '15', '703', '-2', '17');
INSERT INTO public.who_import VALUES (35815, '2020-05-06', 'GT', 'Guatemala', 'AMRO', '27', '730', '2', '19');
INSERT INTO public.who_import VALUES (35816, '2020-05-07', 'GT', 'Guatemala', 'AMRO', '33', '763', '0', '19');
INSERT INTO public.who_import VALUES (35817, '2020-05-08', 'GT', 'Guatemala', 'AMRO', '35', '798', '2', '21');
INSERT INTO public.who_import VALUES (35818, '2020-05-09', 'GT', 'Guatemala', 'AMRO', '34', '832', '2', '23');
INSERT INTO public.who_import VALUES (35819, '2020-05-10', 'GT', 'Guatemala', 'AMRO', '68', '900', '1', '24');
INSERT INTO public.who_import VALUES (35820, '2020-05-11', 'GT', 'Guatemala', 'AMRO', '67', '967', '0', '24');
INSERT INTO public.who_import VALUES (35821, '2020-05-12', 'GT', 'Guatemala', 'AMRO', '85', '1052', '2', '26');
INSERT INTO public.who_import VALUES (35822, '2020-05-13', 'GT', 'Guatemala', 'AMRO', '62', '1114', '0', '26');
INSERT INTO public.who_import VALUES (35823, '2020-05-14', 'GT', 'Guatemala', 'AMRO', '85', '1199', '1', '27');
INSERT INTO public.who_import VALUES (35824, '2020-05-15', 'GT', 'Guatemala', 'AMRO', '143', '1342', '2', '29');
INSERT INTO public.who_import VALUES (35825, '2020-05-16', 'GT', 'Guatemala', 'AMRO', '176', '1518', '0', '29');
INSERT INTO public.who_import VALUES (35826, '2020-05-17', 'GT', 'Guatemala', 'AMRO', '125', '1643', '1', '30');
INSERT INTO public.who_import VALUES (35827, '2020-05-18', 'GT', 'Guatemala', 'AMRO', '120', '1763', '3', '33');
INSERT INTO public.who_import VALUES (35828, '2020-05-19', 'GT', 'Guatemala', 'AMRO', '149', '1912', '2', '35');
INSERT INTO public.who_import VALUES (35829, '2020-05-20', 'GT', 'Guatemala', 'AMRO', '89', '2001', '3', '38');
INSERT INTO public.who_import VALUES (35830, '2020-05-21', 'GT', 'Guatemala', 'AMRO', '132', '2133', '5', '43');
INSERT INTO public.who_import VALUES (35831, '2020-05-22', 'GT', 'Guatemala', 'AMRO', '132', '2265', '2', '45');
INSERT INTO public.who_import VALUES (35832, '2020-05-23', 'GT', 'Guatemala', 'AMRO', '247', '2512', '3', '48');
INSERT INTO public.who_import VALUES (35833, '2020-05-24', 'GT', 'Guatemala', 'AMRO', '231', '2743', '5', '53');
INSERT INTO public.who_import VALUES (35834, '2020-05-25', 'GT', 'Guatemala', 'AMRO', '311', '3054', '4', '57');
INSERT INTO public.who_import VALUES (35835, '2020-05-26', 'GT', 'Guatemala', 'AMRO', '370', '3424', '1', '58');
INSERT INTO public.who_import VALUES (35836, '2020-05-27', 'GT', 'Guatemala', 'AMRO', '336', '3760', '1', '59');
INSERT INTO public.who_import VALUES (35837, '2020-05-28', 'GT', 'Guatemala', 'AMRO', '194', '3954', '4', '63');
INSERT INTO public.who_import VALUES (35838, '2020-05-29', 'GT', 'Guatemala', 'AMRO', '191', '4145', '5', '68');
INSERT INTO public.who_import VALUES (35839, '2020-05-30', 'GT', 'Guatemala', 'AMRO', '203', '4348', '12', '80');
INSERT INTO public.who_import VALUES (35840, '2020-05-31', 'GT', 'Guatemala', 'AMRO', '259', '4607', '10', '90');
INSERT INTO public.who_import VALUES (35841, '2020-06-01', 'GT', 'Guatemala', 'AMRO', '132', '4739', '12', '102');
INSERT INTO public.who_import VALUES (35842, '2020-06-02', 'GT', 'Guatemala', 'AMRO', '348', '5087', '6', '108');
INSERT INTO public.who_import VALUES (35843, '2020-06-03', 'GT', 'Guatemala', 'AMRO', '249', '5336', '8', '116');
INSERT INTO public.who_import VALUES (35844, '2020-06-04', 'GT', 'Guatemala', 'AMRO', '250', '5586', '7', '123');
INSERT INTO public.who_import VALUES (35845, '2020-06-05', 'GT', 'Guatemala', 'AMRO', '174', '5760', '20', '143');
INSERT INTO public.who_import VALUES (35846, '2020-06-06', 'GT', 'Guatemala', 'AMRO', '394', '6154', '15', '158');
INSERT INTO public.who_import VALUES (35847, '2020-06-07', 'GT', 'Guatemala', 'AMRO', '331', '6485', '58', '216');
INSERT INTO public.who_import VALUES (35848, '2020-06-08', 'GT', 'Guatemala', 'AMRO', '307', '6792', '14', '230');
INSERT INTO public.who_import VALUES (35849, '2020-06-09', 'GT', 'Guatemala', 'AMRO', '263', '7055', '22', '252');
INSERT INTO public.who_import VALUES (35850, '2020-06-10', 'GT', 'Guatemala', 'AMRO', '447', '7502', '15', '267');
INSERT INTO public.who_import VALUES (35851, '2020-06-11', 'GT', 'Guatemala', 'AMRO', '364', '7866', '22', '289');
INSERT INTO public.who_import VALUES (35852, '2020-06-12', 'GT', 'Guatemala', 'AMRO', '355', '8221', '27', '316');
INSERT INTO public.who_import VALUES (35853, '2020-06-13', 'GT', 'Guatemala', 'AMRO', '340', '8561', '18', '334');
INSERT INTO public.who_import VALUES (35854, '2020-06-14', 'GT', 'Guatemala', 'AMRO', '421', '8982', '17', '351');
INSERT INTO public.who_import VALUES (35855, '2020-06-15', 'GT', 'Guatemala', 'AMRO', '509', '9491', '16', '367');
INSERT INTO public.who_import VALUES (35856, '2020-06-16', 'GT', 'Guatemala', 'AMRO', '354', '9845', '17', '384');
INSERT INTO public.who_import VALUES (35857, '2020-06-17', 'GT', 'Guatemala', 'AMRO', '427', '10272', '15', '399');
INSERT INTO public.who_import VALUES (35858, '2020-06-18', 'GT', 'Guatemala', 'AMRO', '434', '10706', '19', '418');
INSERT INTO public.who_import VALUES (35859, '2020-06-19', 'GT', 'Guatemala', 'AMRO', '545', '11251', '14', '432');
INSERT INTO public.who_import VALUES (35860, '2020-06-20', 'GT', 'Guatemala', 'AMRO', '617', '11868', '17', '449');
INSERT INTO public.who_import VALUES (35861, '2020-06-21', 'GT', 'Guatemala', 'AMRO', '641', '12509', '34', '483');
INSERT INTO public.who_import VALUES (35862, '2020-06-22', 'GT', 'Guatemala', 'AMRO', '246', '12755', '31', '514');
INSERT INTO public.who_import VALUES (35863, '2020-06-23', 'GT', 'Guatemala', 'AMRO', '390', '13145', '17', '531');
INSERT INTO public.who_import VALUES (35864, '2020-06-24', 'GT', 'Guatemala', 'AMRO', '624', '13769', '16', '547');
INSERT INTO public.who_import VALUES (35865, '2020-06-25', 'GT', 'Guatemala', 'AMRO', '771', '14540', '35', '582');
INSERT INTO public.who_import VALUES (35866, '2020-06-26', 'GT', 'Guatemala', 'AMRO', '279', '14819', '19', '601');
INSERT INTO public.who_import VALUES (35867, '2020-06-27', 'GT', 'Guatemala', 'AMRO', '800', '15619', '22', '623');
INSERT INTO public.who_import VALUES (35868, '2020-06-28', 'GT', 'Guatemala', 'AMRO', '209', '15828', '49', '672');
INSERT INTO public.who_import VALUES (35869, '2020-06-29', 'GT', 'Guatemala', 'AMRO', '569', '16397', '34', '706');
INSERT INTO public.who_import VALUES (35870, '2020-06-30', 'GT', 'Guatemala', 'AMRO', '533', '16930', '21', '727');
INSERT INTO public.who_import VALUES (35871, '2020-07-01', 'GT', 'Guatemala', 'AMRO', '479', '17409', '19', '746');
INSERT INTO public.who_import VALUES (35872, '2020-07-02', 'GT', 'Guatemala', 'AMRO', '687', '18096', '27', '773');
INSERT INTO public.who_import VALUES (35873, '2020-07-03', 'GT', 'Guatemala', 'AMRO', '915', '19011', '44', '817');
INSERT INTO public.who_import VALUES (35874, '2020-07-04', 'GT', 'Guatemala', 'AMRO', '1061', '20072', '26', '843');
INSERT INTO public.who_import VALUES (35875, '2020-07-05', 'GT', 'Guatemala', 'AMRO', '1221', '21293', '37', '880');
INSERT INTO public.who_import VALUES (35876, '2020-07-06', 'GT', 'Guatemala', 'AMRO', '1208', '22501', '40', '920');
INSERT INTO public.who_import VALUES (35877, '2020-07-07', 'GT', 'Guatemala', 'AMRO', '747', '23248', '27', '947');
INSERT INTO public.who_import VALUES (35878, '2020-07-08', 'GT', 'Guatemala', 'AMRO', '724', '23972', '34', '981');
INSERT INTO public.who_import VALUES (35879, '2020-07-09', 'GT', 'Guatemala', 'AMRO', '815', '24787', '23', '1004');
INSERT INTO public.who_import VALUES (35880, '2020-07-10', 'GT', 'Guatemala', 'AMRO', '624', '25411', '49', '1053');
INSERT INTO public.who_import VALUES (35881, '2020-07-11', 'GT', 'Guatemala', 'AMRO', '1247', '26658', '39', '1092');
INSERT INTO public.who_import VALUES (35882, '2020-07-12', 'GT', 'Guatemala', 'AMRO', '961', '27619', '47', '1139');
INSERT INTO public.who_import VALUES (35883, '2020-07-13', 'GT', 'Guatemala', 'AMRO', '979', '28598', '33', '1172');
INSERT INTO public.who_import VALUES (35884, '2020-07-14', 'GT', 'Guatemala', 'AMRO', '757', '29355', '47', '1219');
INSERT INTO public.who_import VALUES (35885, '2020-07-15', 'GT', 'Guatemala', 'AMRO', '387', '29742', '25', '1244');
INSERT INTO public.who_import VALUES (35886, '2020-07-16', 'GT', 'Guatemala', 'AMRO', '1130', '30872', '58', '1302');
INSERT INTO public.who_import VALUES (35887, '2020-07-17', 'GT', 'Guatemala', 'AMRO', '1202', '32074', '48', '1350');
INSERT INTO public.who_import VALUES (35888, '2020-07-18', 'GT', 'Guatemala', 'AMRO', '865', '32939', '54', '1404');
INSERT INTO public.who_import VALUES (35889, '2020-07-19', 'GT', 'Guatemala', 'AMRO', '870', '33809', '39', '1443');
INSERT INTO public.who_import VALUES (35890, '2020-07-20', 'GT', 'Guatemala', 'AMRO', '4233', '38042', '6', '1449');
INSERT INTO public.who_import VALUES (35891, '2020-07-21', 'GT', 'Guatemala', 'AMRO', '997', '39039', '53', '1502');
INSERT INTO public.who_import VALUES (35892, '2020-07-22', 'GT', 'Guatemala', 'AMRO', '1190', '40229', '29', '1531');
INSERT INTO public.who_import VALUES (35893, '2020-07-23', 'GT', 'Guatemala', 'AMRO', '906', '41135', '42', '1573');
INSERT INTO public.who_import VALUES (35894, '2020-07-24', 'GT', 'Guatemala', 'AMRO', '1057', '42192', '59', '1632');
INSERT INTO public.who_import VALUES (35895, '2020-07-25', 'GT', 'Guatemala', 'AMRO', '1091', '43283', '37', '1669');
INSERT INTO public.who_import VALUES (35896, '2020-07-26', 'GT', 'Guatemala', 'AMRO', '1209', '44492', '30', '1699');
INSERT INTO public.who_import VALUES (35897, '2020-07-27', 'GT', 'Guatemala', 'AMRO', '561', '45053', '35', '1734');
INSERT INTO public.who_import VALUES (35898, '2020-07-28', 'GT', 'Guatemala', 'AMRO', '6', '45059', '27', '1761');
INSERT INTO public.who_import VALUES (35899, '2020-07-29', 'GT', 'Guatemala', 'AMRO', '1392', '46451', '21', '1782');
INSERT INTO public.who_import VALUES (35900, '2020-07-30', 'GT', 'Guatemala', 'AMRO', '1154', '47605', '53', '1835');
INSERT INTO public.who_import VALUES (35901, '2020-07-31', 'GT', 'Guatemala', 'AMRO', '1221', '48826', '32', '1867');
INSERT INTO public.who_import VALUES (35902, '2020-08-01', 'GT', 'Guatemala', 'AMRO', '963', '49789', '57', '1924');
INSERT INTO public.who_import VALUES (35903, '2020-08-02', 'GT', 'Guatemala', 'AMRO', '1190', '50979', '33', '1957');
INSERT INTO public.who_import VALUES (35904, '2020-08-03', 'GT', 'Guatemala', 'AMRO', '327', '51306', '38', '1995');
INSERT INTO public.who_import VALUES (35905, '2020-08-04', 'GT', 'Guatemala', 'AMRO', '236', '51542', '18', '2013');
INSERT INTO public.who_import VALUES (35906, '2020-08-05', 'GT', 'Guatemala', 'AMRO', '823', '52365', '24', '2037');
INSERT INTO public.who_import VALUES (35907, '2020-08-06', 'GT', 'Guatemala', 'AMRO', '1144', '53509', '35', '2072');
INSERT INTO public.who_import VALUES (35908, '2020-08-07', 'GT', 'Guatemala', 'AMRO', '830', '54339', '47', '2119');
INSERT INTO public.who_import VALUES (35909, '2020-08-08', 'GT', 'Guatemala', 'AMRO', '931', '55270', '49', '2168');
INSERT INTO public.who_import VALUES (35910, '2020-08-09', 'GT', 'Guatemala', 'AMRO', '919', '56189', '29', '2197');
INSERT INTO public.who_import VALUES (35911, '2020-08-10', 'GT', 'Guatemala', 'AMRO', '416', '56605', '14', '2211');
INSERT INTO public.who_import VALUES (35912, '2020-08-11', 'GT', 'Guatemala', 'AMRO', '382', '56987', '11', '2222');
INSERT INTO public.who_import VALUES (35913, '2020-08-12', 'GT', 'Guatemala', 'AMRO', '979', '57966', '11', '2233');
INSERT INTO public.who_import VALUES (35914, '2020-08-13', 'GT', 'Guatemala', 'AMRO', '1123', '59089', '34', '2267');
INSERT INTO public.who_import VALUES (35915, '2020-08-14', 'GT', 'Guatemala', 'AMRO', '1195', '60284', '29', '2296');
INSERT INTO public.who_import VALUES (35916, '2020-08-15', 'GT', 'Guatemala', 'AMRO', '1144', '61428', '45', '2341');
INSERT INTO public.who_import VALUES (35917, '2020-08-16', 'GT', 'Guatemala', 'AMRO', '885', '62313', '14', '2355');
INSERT INTO public.who_import VALUES (35918, '2020-08-17', 'GT', 'Guatemala', 'AMRO', '249', '62562', '24', '2379');
INSERT INTO public.who_import VALUES (35919, '2020-08-18', 'GT', 'Guatemala', 'AMRO', '382', '62944', '10', '2389');
INSERT INTO public.who_import VALUES (35920, '2020-08-19', 'GT', 'Guatemala', 'AMRO', '903', '63847', '30', '2419');
INSERT INTO public.who_import VALUES (35921, '2020-08-20', 'GT', 'Guatemala', 'AMRO', '1034', '64881', '48', '2467');
INSERT INTO public.who_import VALUES (35922, '2020-08-21', 'GT', 'Guatemala', 'AMRO', '1102', '65983', '39', '2506');
INSERT INTO public.who_import VALUES (35923, '2020-08-22', 'GT', 'Guatemala', 'AMRO', '958', '66941', '26', '2532');
INSERT INTO public.who_import VALUES (35924, '2020-08-23', 'GT', 'Guatemala', 'AMRO', '915', '67856', '48', '2580');
INSERT INTO public.who_import VALUES (35925, '2020-08-24', 'GT', 'Guatemala', 'AMRO', '332', '68188', '14', '2594');
INSERT INTO public.who_import VALUES (35926, '2020-08-25', 'GT', 'Guatemala', 'AMRO', '345', '68533', '17', '2611');
INSERT INTO public.who_import VALUES (35927, '2020-08-26', 'GT', 'Guatemala', 'AMRO', '1118', '69651', '19', '2630');
INSERT INTO public.who_import VALUES (35928, '2020-08-27', 'GT', 'Guatemala', 'AMRO', '1063', '70714', '32', '2662');
INSERT INTO public.who_import VALUES (35929, '2020-08-28', 'GT', 'Guatemala', 'AMRO', '1142', '71856', '23', '2685');
INSERT INTO public.who_import VALUES (35930, '2020-08-29', 'GT', 'Guatemala', 'AMRO', '1065', '72921', '24', '2709');
INSERT INTO public.who_import VALUES (35931, '2020-08-30', 'GT', 'Guatemala', 'AMRO', '758', '73679', '19', '2728');
INSERT INTO public.who_import VALUES (35932, '2020-08-31', 'GT', 'Guatemala', 'AMRO', '233', '73912', '12', '2740');
INSERT INTO public.who_import VALUES (35933, '2020-09-01', 'GT', 'Guatemala', 'AMRO', '162', '74074', '20', '2760');
INSERT INTO public.who_import VALUES (35934, '2020-09-02', 'GT', 'Guatemala', 'AMRO', '819', '74893', '18', '2778');
INSERT INTO public.who_import VALUES (35935, '2020-09-03', 'GT', 'Guatemala', 'AMRO', '751', '75644', '12', '2790');
INSERT INTO public.who_import VALUES (35936, '2020-09-04', 'GT', 'Guatemala', 'AMRO', '714', '76358', '14', '2804');
INSERT INTO public.who_import VALUES (35937, '2020-09-05', 'GT', 'Guatemala', 'AMRO', '682', '77040', '21', '2825');
INSERT INTO public.who_import VALUES (35938, '2020-09-06', 'GT', 'Guatemala', 'AMRO', '441', '77481', '20', '2845');
INSERT INTO public.who_import VALUES (35939, '2020-09-07', 'GT', 'Guatemala', 'AMRO', '202', '77683', '7', '2852');
INSERT INTO public.who_import VALUES (35940, '2020-09-08', 'GT', 'Guatemala', 'AMRO', '145', '77828', '10', '2862');
INSERT INTO public.who_import VALUES (35941, '2020-09-09', 'GT', 'Guatemala', 'AMRO', '893', '78721', '28', '2890');
INSERT INTO public.who_import VALUES (35942, '2020-09-10', 'GT', 'Guatemala', 'AMRO', '901', '79622', '7', '2897');
INSERT INTO public.who_import VALUES (35943, '2020-09-11', 'GT', 'Guatemala', 'AMRO', '684', '80306', '21', '2918');
INSERT INTO public.who_import VALUES (35944, '2020-09-12', 'GT', 'Guatemala', 'AMRO', '703', '81009', '11', '2929');
INSERT INTO public.who_import VALUES (35945, '2020-09-13', 'GT', 'Guatemala', 'AMRO', '649', '81658', '20', '2949');
INSERT INTO public.who_import VALUES (35946, '2020-09-14', 'GT', 'Guatemala', 'AMRO', '251', '81909', '8', '2957');
INSERT INTO public.who_import VALUES (35947, '2020-09-15', 'GT', 'Guatemala', 'AMRO', '263', '82172', '15', '2972');
INSERT INTO public.who_import VALUES (35948, '2020-09-16', 'GT', 'Guatemala', 'AMRO', '512', '82684', '12', '2984');
INSERT INTO public.who_import VALUES (35949, '2020-09-17', 'GT', 'Guatemala', 'AMRO', '240', '82924', '25', '3009');
INSERT INTO public.who_import VALUES (35950, '2020-09-18', 'GT', 'Guatemala', 'AMRO', '740', '83664', '27', '3036');
INSERT INTO public.who_import VALUES (35951, '2020-09-19', 'GT', 'Guatemala', 'AMRO', '680', '84344', '40', '3076');
INSERT INTO public.who_import VALUES (35952, '2020-09-20', 'GT', 'Guatemala', 'AMRO', '808', '85152', '29', '3105');
INSERT INTO public.who_import VALUES (35953, '2020-09-21', 'GT', 'Guatemala', 'AMRO', '292', '85444', '14', '3119');
INSERT INTO public.who_import VALUES (35954, '2020-09-22', 'GT', 'Guatemala', 'AMRO', '237', '85681', '5', '3124');
INSERT INTO public.who_import VALUES (35955, '2020-09-23', 'GT', 'Guatemala', 'AMRO', '942', '86623', '13', '3137');
INSERT INTO public.who_import VALUES (35956, '2020-09-24', 'GT', 'Guatemala', 'AMRO', '819', '87442', '17', '3154');
INSERT INTO public.who_import VALUES (35957, '2020-09-25', 'GT', 'Guatemala', 'AMRO', '491', '87933', '16', '3170');
INSERT INTO public.who_import VALUES (35958, '2020-09-26', 'GT', 'Guatemala', 'AMRO', '945', '88878', '16', '3186');
INSERT INTO public.who_import VALUES (35959, '2020-09-27', 'GT', 'Guatemala', 'AMRO', '824', '89702', '27', '3213');
INSERT INTO public.who_import VALUES (35960, '2020-09-28', 'GT', 'Guatemala', 'AMRO', '390', '90092', '16', '3229');
INSERT INTO public.who_import VALUES (35961, '2020-09-29', 'GT', 'Guatemala', 'AMRO', '171', '90263', '5', '3234');
INSERT INTO public.who_import VALUES (35962, '2020-09-30', 'GT', 'Guatemala', 'AMRO', '705', '90968', '4', '3238');
INSERT INTO public.who_import VALUES (35963, '2020-10-01', 'GT', 'Guatemala', 'AMRO', '778', '91746', '8', '3246');
INSERT INTO public.who_import VALUES (35964, '2020-10-02', 'GT', 'Guatemala', 'AMRO', '663', '92409', '15', '3261');
INSERT INTO public.who_import VALUES (35965, '2020-10-03', 'GT', 'Guatemala', 'AMRO', '681', '93090', '6', '3267');
INSERT INTO public.who_import VALUES (35966, '2020-10-04', 'GT', 'Guatemala', 'AMRO', '658', '93748', '18', '3285');
INSERT INTO public.who_import VALUES (35967, '2020-10-05', 'GT', 'Guatemala', 'AMRO', '215', '93963', '8', '3293');
INSERT INTO public.who_import VALUES (35968, '2020-10-06', 'GT', 'Guatemala', 'AMRO', '219', '94182', '9', '3302');
INSERT INTO public.who_import VALUES (35969, '2020-10-07', 'GT', 'Guatemala', 'AMRO', '688', '94870', '8', '3310');
INSERT INTO public.who_import VALUES (35970, '2020-10-08', 'GT', 'Guatemala', 'AMRO', '834', '95704', '25', '3335');
INSERT INTO public.who_import VALUES (35971, '2020-10-09', 'GT', 'Guatemala', 'AMRO', '776', '96480', '12', '3347');
INSERT INTO public.who_import VALUES (35972, '2020-10-10', 'GT', 'Guatemala', 'AMRO', '455', '96935', '9', '3356');
INSERT INTO public.who_import VALUES (35973, '2020-10-11', 'GT', 'Guatemala', 'AMRO', '609', '97544', '9', '3365');
INSERT INTO public.who_import VALUES (35974, '2020-10-12', 'GT', 'Guatemala', 'AMRO', '171', '97715', '19', '3384');
INSERT INTO public.who_import VALUES (35975, '2020-10-13', 'GT', 'Guatemala', 'AMRO', '111', '97826', '3', '3387');
INSERT INTO public.who_import VALUES (35976, '2020-10-14', 'GT', 'Guatemala', 'AMRO', '554', '98380', '23', '3410');
INSERT INTO public.who_import VALUES (35977, '2020-10-15', 'GT', 'Guatemala', 'AMRO', '714', '99094', '20', '3430');
INSERT INTO public.who_import VALUES (35978, '2020-10-16', 'GT', 'Guatemala', 'AMRO', '671', '99765', '23', '3453');
INSERT INTO public.who_import VALUES (35979, '2020-10-17', 'GT', 'Guatemala', 'AMRO', '666', '100431', '25', '3478');
INSERT INTO public.who_import VALUES (35980, '2020-10-18', 'GT', 'Guatemala', 'AMRO', '597', '101028', '37', '3515');
INSERT INTO public.who_import VALUES (35981, '2020-10-19', 'GT', 'Guatemala', 'AMRO', '332', '101360', '15', '3530');
INSERT INTO public.who_import VALUES (35982, '2020-10-20', 'GT', 'Guatemala', 'AMRO', '239', '101599', '11', '3541');
INSERT INTO public.who_import VALUES (35983, '2020-10-21', 'GT', 'Guatemala', 'AMRO', '620', '102219', '5', '3546');
INSERT INTO public.who_import VALUES (35984, '2020-10-22', 'GT', 'Guatemala', 'AMRO', '196', '102415', '21', '3567');
INSERT INTO public.who_import VALUES (35985, '2020-10-23', 'GT', 'Guatemala', 'AMRO', '757', '103172', '13', '3580');
INSERT INTO public.who_import VALUES (35986, '2020-10-24', 'GT', 'Guatemala', 'AMRO', '730', '103902', '14', '3594');
INSERT INTO public.who_import VALUES (35987, '2020-10-25', 'GT', 'Guatemala', 'AMRO', '730', '104632', '15', '3609');
INSERT INTO public.who_import VALUES (35988, '2020-10-26', 'GT', 'Guatemala', 'AMRO', '155', '104787', '35', '3644');
INSERT INTO public.who_import VALUES (35989, '2020-10-27', 'GT', 'Guatemala', 'AMRO', '107', '104894', '7', '3651');
INSERT INTO public.who_import VALUES (35990, '2020-10-28', 'GT', 'Guatemala', 'AMRO', '677', '105571', '14', '3665');
INSERT INTO public.who_import VALUES (35991, '2020-10-29', 'GT', 'Guatemala', 'AMRO', '749', '106320', '17', '3682');
INSERT INTO public.who_import VALUES (35992, '2020-10-30', 'GT', 'Guatemala', 'AMRO', '470', '106790', '22', '3704');
INSERT INTO public.who_import VALUES (35993, '2020-10-31', 'GT', 'Guatemala', 'AMRO', '549', '107339', '10', '3714');
INSERT INTO public.who_import VALUES (35994, '2020-11-01', 'GT', 'Guatemala', 'AMRO', '600', '107939', '15', '3729');
INSERT INTO public.who_import VALUES (35995, '2020-11-02', 'GT', 'Guatemala', 'AMRO', '165', '108104', '9', '3738');
INSERT INTO public.who_import VALUES (35996, '2020-11-03', 'GT', 'Guatemala', 'AMRO', '0', '108104', '0', '3738');
INSERT INTO public.who_import VALUES (35997, '2020-11-04', 'GT', 'Guatemala', 'AMRO', '379', '108483', '10', '3748');
INSERT INTO public.who_import VALUES (35998, '2020-11-05', 'GT', 'Guatemala', 'AMRO', '664', '109147', '4', '3752');
INSERT INTO public.who_import VALUES (35999, '2020-11-06', 'GT', 'Guatemala', 'AMRO', '702', '109849', '14', '3766');
INSERT INTO public.who_import VALUES (36000, '2020-11-07', 'GT', 'Guatemala', 'AMRO', '653', '110502', '28', '3794');
INSERT INTO public.who_import VALUES (36001, '2020-11-08', 'GT', 'Guatemala', 'AMRO', '548', '111050', '17', '3811');
INSERT INTO public.who_import VALUES (36002, '2020-11-09', 'GT', 'Guatemala', 'AMRO', '212', '111262', '10', '3821');
INSERT INTO public.who_import VALUES (36003, '2020-11-10', 'GT', 'Guatemala', 'AMRO', '98', '111360', '2', '3823');
INSERT INTO public.who_import VALUES (36004, '2020-11-11', 'GT', 'Guatemala', 'AMRO', '769', '112129', '9', '3832');
INSERT INTO public.who_import VALUES (36005, '2020-11-12', 'GT', 'Guatemala', 'AMRO', '682', '112811', '13', '3845');
INSERT INTO public.who_import VALUES (36006, '2020-11-13', 'GT', 'Guatemala', 'AMRO', '732', '113543', '13', '3858');
INSERT INTO public.who_import VALUES (36007, '2020-11-14', 'GT', 'Guatemala', 'AMRO', '580', '114123', '22', '3880');
INSERT INTO public.who_import VALUES (36008, '2020-11-15', 'GT', 'Guatemala', 'AMRO', '596', '114719', '40', '3920');
INSERT INTO public.who_import VALUES (36009, '2020-11-16', 'GT', 'Guatemala', 'AMRO', '166', '114885', '12', '3932');
INSERT INTO public.who_import VALUES (36010, '2020-11-17', 'GT', 'Guatemala', 'AMRO', '147', '115032', '6', '3938');
INSERT INTO public.who_import VALUES (36011, '2020-11-18', 'GT', 'Guatemala', 'AMRO', '698', '115730', '9', '3947');
INSERT INTO public.who_import VALUES (36012, '2020-11-19', 'GT', 'Guatemala', 'AMRO', '651', '116381', '61', '4008');
INSERT INTO public.who_import VALUES (36013, '2020-11-20', 'GT', 'Guatemala', 'AMRO', '685', '117066', '42', '4050');
INSERT INTO public.who_import VALUES (36014, '2020-11-21', 'GT', 'Guatemala', 'AMRO', '691', '117757', '17', '4067');
INSERT INTO public.who_import VALUES (36015, '2020-11-22', 'GT', 'Guatemala', 'AMRO', '660', '118417', '7', '4074');
INSERT INTO public.who_import VALUES (36016, '2020-11-23', 'GT', 'Guatemala', 'AMRO', '212', '118629', '2', '4076');
INSERT INTO public.who_import VALUES (36017, '2020-11-24', 'GT', 'Guatemala', 'AMRO', '93', '118722', '16', '4092');
INSERT INTO public.who_import VALUES (36018, '2020-11-25', 'GT', 'Guatemala', 'AMRO', '627', '119349', '7', '4099');
INSERT INTO public.who_import VALUES (36019, '2020-11-26', 'GT', 'Guatemala', 'AMRO', '640', '119989', '8', '4107');
INSERT INTO public.who_import VALUES (36020, '2020-11-27', 'GT', 'Guatemala', 'AMRO', '696', '120685', '26', '4133');
INSERT INTO public.who_import VALUES (36021, '2020-11-28', 'GT', 'Guatemala', 'AMRO', '447', '121132', '8', '4141');
INSERT INTO public.who_import VALUES (36022, '2020-11-29', 'GT', 'Guatemala', 'AMRO', '666', '121798', '20', '4161');
INSERT INTO public.who_import VALUES (36023, '2020-11-30', 'GT', 'Guatemala', 'AMRO', '173', '121971', '5', '4166');
INSERT INTO public.who_import VALUES (36024, '2020-12-01', 'GT', 'Guatemala', 'AMRO', '91', '122062', '5', '4171');
INSERT INTO public.who_import VALUES (36025, '2020-12-02', 'GT', 'Guatemala', 'AMRO', '712', '122774', '7', '4178');
INSERT INTO public.who_import VALUES (36026, '2020-12-03', 'GT', 'Guatemala', 'AMRO', '686', '123460', '13', '4191');
INSERT INTO public.who_import VALUES (36027, '2020-12-04', 'GT', 'Guatemala', 'AMRO', '593', '124053', '18', '4209');
INSERT INTO public.who_import VALUES (36028, '2020-12-05', 'GT', 'Guatemala', 'AMRO', '752', '124805', '15', '4224');
INSERT INTO public.who_import VALUES (36029, '2020-12-06', 'GT', 'Guatemala', 'AMRO', '547', '125352', '15', '4239');
INSERT INTO public.who_import VALUES (36030, '2020-12-07', 'GT', 'Guatemala', 'AMRO', '198', '125550', '11', '4250');
INSERT INTO public.who_import VALUES (36031, '2020-12-08', 'GT', 'Guatemala', 'AMRO', '124', '125674', '24', '4274');
INSERT INTO public.who_import VALUES (36032, '2020-12-09', 'GT', 'Guatemala', 'AMRO', '799', '126473', '12', '4286');
INSERT INTO public.who_import VALUES (36033, '2020-12-10', 'GT', 'Guatemala', 'AMRO', '654', '127127', '25', '4311');
INSERT INTO public.who_import VALUES (36034, '2020-12-11', 'GT', 'Guatemala', 'AMRO', '659', '127786', '34', '4345');
INSERT INTO public.who_import VALUES (36035, '2020-12-12', 'GT', 'Guatemala', 'AMRO', '755', '128541', '31', '4376');
INSERT INTO public.who_import VALUES (36036, '2020-12-13', 'GT', 'Guatemala', 'AMRO', '558', '129099', '29', '4405');
INSERT INTO public.who_import VALUES (36037, '2020-12-14', 'GT', 'Guatemala', 'AMRO', '183', '129282', '18', '4423');
INSERT INTO public.who_import VALUES (36038, '2020-12-15', 'GT', 'Guatemala', 'AMRO', '123', '129405', '22', '4445');
INSERT INTO public.who_import VALUES (36039, '2020-12-16', 'GT', 'Guatemala', 'AMRO', '677', '130082', '31', '4476');
INSERT INTO public.who_import VALUES (36040, '2020-12-17', 'GT', 'Guatemala', 'AMRO', '746', '130828', '34', '4510');
INSERT INTO public.who_import VALUES (36041, '2020-12-18', 'GT', 'Guatemala', 'AMRO', '607', '131435', '41', '4551');
INSERT INTO public.who_import VALUES (36042, '2020-12-19', 'GT', 'Guatemala', 'AMRO', '627', '132062', '38', '4589');
INSERT INTO public.who_import VALUES (36043, '2020-12-20', 'GT', 'Guatemala', 'AMRO', '533', '132595', '35', '4624');
INSERT INTO public.who_import VALUES (36044, '2020-12-21', 'GT', 'Guatemala', 'AMRO', '170', '132765', '32', '4656');
INSERT INTO public.who_import VALUES (36045, '2020-12-22', 'GT', 'Guatemala', 'AMRO', '102', '132867', '32', '4688');
INSERT INTO public.who_import VALUES (36046, '2020-12-23', 'GT', 'Guatemala', 'AMRO', '734', '133601', '30', '4718');
INSERT INTO public.who_import VALUES (36047, '2020-12-24', 'GT', 'Guatemala', 'AMRO', '655', '134256', '21', '4739');
INSERT INTO public.who_import VALUES (36048, '2020-12-25', 'GT', 'Guatemala', 'AMRO', '638', '134894', '10', '4749');
INSERT INTO public.who_import VALUES (36049, '2020-12-26', 'GT', 'Guatemala', 'AMRO', '186', '135080', '8', '4757');
INSERT INTO public.who_import VALUES (36050, '2020-12-27', 'GT', 'Guatemala', 'AMRO', '91', '135171', '6', '4763');
INSERT INTO public.who_import VALUES (36051, '2020-12-28', 'GT', 'Guatemala', 'AMRO', '138', '135309', '5', '4768');
INSERT INTO public.who_import VALUES (36052, '2020-12-29', 'GT', 'Guatemala', 'AMRO', '132', '135441', '5', '4773');
INSERT INTO public.who_import VALUES (36053, '2020-12-30', 'GT', 'Guatemala', 'AMRO', '846', '136287', '8', '4781');
INSERT INTO public.who_import VALUES (36054, '2020-12-31', 'GT', 'Guatemala', 'AMRO', '879', '137166', '22', '4803');
INSERT INTO public.who_import VALUES (36055, '2021-01-01', 'GT', 'Guatemala', 'AMRO', '846', '138012', '10', '4813');
INSERT INTO public.who_import VALUES (36056, '2021-01-02', 'GT', 'Guatemala', 'AMRO', '224', '138236', '7', '4820');
INSERT INTO public.who_import VALUES (36057, '2021-01-03', 'GT', 'Guatemala', 'AMRO', '80', '138316', '7', '4827');
INSERT INTO public.who_import VALUES (36058, '2021-01-04', 'GT', 'Guatemala', 'AMRO', '159', '138475', '6', '4833');
INSERT INTO public.who_import VALUES (36059, '2021-01-05', 'GT', 'Guatemala', 'AMRO', '181', '138656', '2', '4835');
INSERT INTO public.who_import VALUES (36060, '2021-01-06', 'GT', 'Guatemala', 'AMRO', '763', '139419', '24', '4859');
INSERT INTO public.who_import VALUES (36061, '2021-01-07', 'GT', 'Guatemala', 'AMRO', '783', '140202', '40', '4899');
INSERT INTO public.who_import VALUES (36062, '2021-01-08', 'GT', 'Guatemala', 'AMRO', '872', '141074', '29', '4928');
INSERT INTO public.who_import VALUES (36063, '2021-01-09', 'GT', 'Guatemala', 'AMRO', '990', '142064', '44', '4972');
INSERT INTO public.who_import VALUES (36064, '2021-01-10', 'GT', 'Guatemala', 'AMRO', '1063', '143127', '27', '4999');
INSERT INTO public.who_import VALUES (36065, '2021-01-11', 'GT', 'Guatemala', 'AMRO', '116', '143243', '26', '5025');
INSERT INTO public.who_import VALUES (36066, '2021-01-12', 'GT', 'Guatemala', 'AMRO', '717', '143960', '0', '5025');
INSERT INTO public.who_import VALUES (36067, '2021-01-13', 'GT', 'Guatemala', 'AMRO', '1044', '145004', '92', '5117');
INSERT INTO public.who_import VALUES (36068, '2021-01-14', 'GT', 'Guatemala', 'AMRO', '982', '145986', '0', '5117');
INSERT INTO public.who_import VALUES (36069, '2021-01-15', 'GT', 'Guatemala', 'AMRO', '951', '146937', '34', '5151');
INSERT INTO public.who_import VALUES (36070, '2021-01-16', 'GT', 'Guatemala', 'AMRO', '623', '147560', '26', '5177');
INSERT INTO public.who_import VALUES (36071, '2021-01-17', 'GT', 'Guatemala', 'AMRO', '1038', '148598', '43', '5220');
INSERT INTO public.who_import VALUES (36072, '2021-01-18', 'GT', 'Guatemala', 'AMRO', '290', '148888', '34', '5254');
INSERT INTO public.who_import VALUES (36073, '2021-01-19', 'GT', 'Guatemala', 'AMRO', '258', '149146', '24', '5278');
INSERT INTO public.who_import VALUES (36074, '2021-01-20', 'GT', 'Guatemala', 'AMRO', '1131', '150277', '35', '5313');
INSERT INTO public.who_import VALUES (36075, '2021-01-21', 'GT', 'Guatemala', 'AMRO', '1047', '151324', '30', '5343');
INSERT INTO public.who_import VALUES (36076, '2021-01-22', 'GT', 'Guatemala', 'AMRO', '1071', '152395', '46', '5389');
INSERT INTO public.who_import VALUES (36077, '2021-01-23', 'GT', 'Guatemala', 'AMRO', '561', '152956', '31', '5420');
INSERT INTO public.who_import VALUES (36078, '2021-01-24', 'GT', 'Guatemala', 'AMRO', '934', '153890', '36', '5456');
INSERT INTO public.who_import VALUES (36079, '2021-01-25', 'GT', 'Guatemala', 'AMRO', '322', '154212', '9', '5465');
INSERT INTO public.who_import VALUES (36080, '2021-01-26', 'GT', 'Guatemala', 'AMRO', '218', '154430', '4', '5469');
INSERT INTO public.who_import VALUES (36081, '2021-01-27', 'GT', 'Guatemala', 'AMRO', '1029', '155459', '17', '5486');
INSERT INTO public.who_import VALUES (36082, '2021-01-28', 'GT', 'Guatemala', 'AMRO', '1038', '156497', '27', '5513');
INSERT INTO public.who_import VALUES (36083, '2021-01-29', 'GT', 'Guatemala', 'AMRO', '1098', '157595', '30', '5543');
INSERT INTO public.who_import VALUES (36084, '2021-01-30', 'GT', 'Guatemala', 'AMRO', '741', '158336', '39', '5582');
INSERT INTO public.who_import VALUES (36085, '2021-01-31', 'GT', 'Guatemala', 'AMRO', '782', '159118', '36', '5618');
INSERT INTO public.who_import VALUES (36086, '2021-02-01', 'GT', 'Guatemala', 'AMRO', '386', '159504', '25', '5643');
INSERT INTO public.who_import VALUES (36087, '2021-02-02', 'GT', 'Guatemala', 'AMRO', '128', '159632', '30', '5673');
INSERT INTO public.who_import VALUES (36088, '2021-02-03', 'GT', 'Guatemala', 'AMRO', '667', '160299', '36', '5709');
INSERT INTO public.who_import VALUES (36089, '2021-02-04', 'GT', 'Guatemala', 'AMRO', '667', '160966', '27', '5736');
INSERT INTO public.who_import VALUES (36090, '2021-02-05', 'GT', 'Guatemala', 'AMRO', '699', '161665', '49', '5785');
INSERT INTO public.who_import VALUES (36091, '2021-02-06', 'GT', 'Guatemala', 'AMRO', '630', '162295', '31', '5816');
INSERT INTO public.who_import VALUES (36092, '2021-02-07', 'GT', 'Guatemala', 'AMRO', '642', '162937', '38', '5854');
INSERT INTO public.who_import VALUES (36093, '2021-02-08', 'GT', 'Guatemala', 'AMRO', '200', '163137', '30', '5884');
INSERT INTO public.who_import VALUES (36094, '2021-02-09', 'GT', 'Guatemala', 'AMRO', '110', '163247', '38', '5922');
INSERT INTO public.who_import VALUES (36095, '2021-02-10', 'GT', 'Guatemala', 'AMRO', '746', '163993', '33', '5955');
INSERT INTO public.who_import VALUES (36096, '2021-02-11', 'GT', 'Guatemala', 'AMRO', '753', '164746', '34', '5989');
INSERT INTO public.who_import VALUES (36097, '2021-02-12', 'GT', 'Guatemala', 'AMRO', '786', '165532', '34', '6023');
INSERT INTO public.who_import VALUES (36098, '2021-02-13', 'GT', 'Guatemala', 'AMRO', '751', '166283', '34', '6057');
INSERT INTO public.who_import VALUES (36099, '2021-02-14', 'GT', 'Guatemala', 'AMRO', '788', '167071', '37', '6094');
INSERT INTO public.who_import VALUES (36100, '2021-02-15', 'GT', 'Guatemala', 'AMRO', '208', '167279', '30', '6124');
INSERT INTO public.who_import VALUES (36101, '2021-02-16', 'GT', 'Guatemala', 'AMRO', '104', '167383', '26', '6150');
INSERT INTO public.who_import VALUES (36102, '2021-02-17', 'GT', 'Guatemala', 'AMRO', '720', '168103', '8', '6158');
INSERT INTO public.who_import VALUES (36103, '2021-02-18', 'GT', 'Guatemala', 'AMRO', '777', '168880', '6', '6164');
INSERT INTO public.who_import VALUES (36104, '2021-02-19', 'GT', 'Guatemala', 'AMRO', '730', '169610', '22', '6186');
INSERT INTO public.who_import VALUES (36105, '2021-02-20', 'GT', 'Guatemala', 'AMRO', '665', '170275', '34', '6220');
INSERT INTO public.who_import VALUES (36106, '2020-01-03', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36107, '2020-01-04', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36108, '2020-01-05', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36109, '2020-01-06', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36110, '2020-01-07', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36111, '2020-01-08', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36112, '2020-01-09', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36113, '2020-01-10', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36114, '2020-01-11', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36115, '2020-01-12', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36116, '2020-01-13', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36117, '2020-01-14', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36118, '2020-01-15', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36119, '2020-01-16', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36120, '2020-01-17', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36121, '2020-01-18', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36122, '2020-01-19', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36123, '2020-01-20', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36124, '2020-01-21', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36125, '2020-01-22', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36126, '2020-01-23', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36127, '2020-01-24', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36128, '2020-01-25', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36129, '2020-01-26', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36130, '2020-01-27', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36131, '2020-01-28', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36132, '2020-01-29', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36133, '2020-01-30', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36134, '2020-01-31', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36135, '2020-02-01', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36136, '2020-02-02', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36137, '2020-02-03', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36138, '2020-02-04', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36139, '2020-02-05', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36140, '2020-02-06', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36141, '2020-02-07', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36142, '2020-02-08', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36143, '2020-02-09', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36144, '2020-02-10', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36145, '2020-02-11', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36146, '2020-02-12', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36147, '2020-02-13', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36148, '2020-02-14', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36149, '2020-02-15', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36150, '2020-02-16', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36151, '2020-02-17', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36152, '2020-02-18', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36153, '2020-02-19', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36154, '2020-02-20', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36155, '2020-02-21', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36156, '2020-02-22', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36157, '2020-02-23', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36158, '2020-02-24', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36159, '2020-02-25', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36160, '2020-02-26', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36161, '2020-02-27', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36162, '2020-02-28', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36163, '2020-02-29', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36164, '2020-03-01', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36165, '2020-03-02', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36166, '2020-03-03', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36167, '2020-03-04', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36168, '2020-03-05', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36169, '2020-03-06', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36170, '2020-03-07', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36171, '2020-03-08', 'GG', 'Guernsey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36172, '2020-03-09', 'GG', 'Guernsey', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (36173, '2020-03-10', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36174, '2020-03-11', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36175, '2020-03-12', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36176, '2020-03-13', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36177, '2020-03-14', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36178, '2020-03-15', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36179, '2020-03-16', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36180, '2020-03-17', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36181, '2020-03-18', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36182, '2020-03-19', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36183, '2020-03-20', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36184, '2020-03-21', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36185, '2020-03-22', 'GG', 'Guernsey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (36186, '2020-03-23', 'GG', 'Guernsey', 'EURO', '16', '17', '0', '0');
INSERT INTO public.who_import VALUES (36187, '2020-03-24', 'GG', 'Guernsey', 'EURO', '3', '20', '0', '0');
INSERT INTO public.who_import VALUES (36188, '2020-03-25', 'GG', 'Guernsey', 'EURO', '3', '23', '0', '0');
INSERT INTO public.who_import VALUES (36189, '2020-03-26', 'GG', 'Guernsey', 'EURO', '7', '30', '0', '0');
INSERT INTO public.who_import VALUES (36190, '2020-03-27', 'GG', 'Guernsey', 'EURO', '4', '34', '0', '0');
INSERT INTO public.who_import VALUES (36191, '2020-03-28', 'GG', 'Guernsey', 'EURO', '2', '36', '0', '0');
INSERT INTO public.who_import VALUES (36192, '2020-03-29', 'GG', 'Guernsey', 'EURO', '3', '39', '0', '0');
INSERT INTO public.who_import VALUES (36193, '2020-03-30', 'GG', 'Guernsey', 'EURO', '6', '45', '0', '0');
INSERT INTO public.who_import VALUES (36194, '2020-03-31', 'GG', 'Guernsey', 'EURO', '15', '60', '1', '1');
INSERT INTO public.who_import VALUES (36195, '2020-04-01', 'GG', 'Guernsey', 'EURO', '0', '60', '0', '1');
INSERT INTO public.who_import VALUES (36196, '2020-04-02', 'GG', 'Guernsey', 'EURO', '18', '78', '0', '1');
INSERT INTO public.who_import VALUES (36197, '2020-04-03', 'GG', 'Guernsey', 'EURO', '13', '91', '0', '1');
INSERT INTO public.who_import VALUES (36198, '2020-04-04', 'GG', 'Guernsey', 'EURO', '23', '114', '1', '2');
INSERT INTO public.who_import VALUES (36199, '2020-04-05', 'GG', 'Guernsey', 'EURO', '22', '136', '0', '2');
INSERT INTO public.who_import VALUES (36200, '2020-04-06', 'GG', 'Guernsey', 'EURO', '18', '154', '1', '3');
INSERT INTO public.who_import VALUES (36201, '2020-04-07', 'GG', 'Guernsey', 'EURO', '0', '154', '0', '3');
INSERT INTO public.who_import VALUES (36202, '2020-04-08', 'GG', 'Guernsey', 'EURO', '12', '166', '1', '4');
INSERT INTO public.who_import VALUES (36203, '2020-04-09', 'GG', 'Guernsey', 'EURO', '0', '166', '0', '4');
INSERT INTO public.who_import VALUES (36204, '2020-04-10', 'GG', 'Guernsey', 'EURO', '15', '181', '1', '5');
INSERT INTO public.who_import VALUES (36205, '2020-04-11', 'GG', 'Guernsey', 'EURO', '10', '191', '0', '5');
INSERT INTO public.who_import VALUES (36206, '2020-04-12', 'GG', 'Guernsey', 'EURO', '9', '200', '1', '6');
INSERT INTO public.who_import VALUES (36207, '2020-04-13', 'GG', 'Guernsey', 'EURO', '9', '209', '0', '6');
INSERT INTO public.who_import VALUES (36208, '2020-04-14', 'GG', 'Guernsey', 'EURO', '9', '218', '0', '6');
INSERT INTO public.who_import VALUES (36209, '2020-04-15', 'GG', 'Guernsey', 'EURO', '1', '219', '0', '6');
INSERT INTO public.who_import VALUES (36210, '2020-04-16', 'GG', 'Guernsey', 'EURO', '4', '223', '1', '7');
INSERT INTO public.who_import VALUES (36211, '2020-04-17', 'GG', 'Guernsey', 'EURO', '5', '228', '1', '8');
INSERT INTO public.who_import VALUES (36212, '2020-04-18', 'GG', 'Guernsey', 'EURO', '6', '234', '1', '9');
INSERT INTO public.who_import VALUES (36213, '2020-04-19', 'GG', 'Guernsey', 'EURO', '2', '236', '0', '9');
INSERT INTO public.who_import VALUES (36214, '2020-04-20', 'GG', 'Guernsey', 'EURO', '3', '239', '0', '9');
INSERT INTO public.who_import VALUES (36215, '2020-04-21', 'GG', 'Guernsey', 'EURO', '0', '239', '0', '9');
INSERT INTO public.who_import VALUES (36216, '2020-04-22', 'GG', 'Guernsey', 'EURO', '0', '239', '1', '10');
INSERT INTO public.who_import VALUES (36217, '2020-04-23', 'GG', 'Guernsey', 'EURO', '2', '241', '0', '10');
INSERT INTO public.who_import VALUES (36218, '2020-04-24', 'GG', 'Guernsey', 'EURO', '2', '243', '0', '10');
INSERT INTO public.who_import VALUES (36219, '2020-04-25', 'GG', 'Guernsey', 'EURO', '2', '245', '0', '10');
INSERT INTO public.who_import VALUES (36220, '2020-04-26', 'GG', 'Guernsey', 'EURO', '0', '245', '1', '11');
INSERT INTO public.who_import VALUES (36221, '2020-04-27', 'GG', 'Guernsey', 'EURO', '0', '245', '1', '12');
INSERT INTO public.who_import VALUES (36222, '2020-04-28', 'GG', 'Guernsey', 'EURO', '2', '247', '1', '13');
INSERT INTO public.who_import VALUES (36223, '2020-04-29', 'GG', 'Guernsey', 'EURO', '0', '247', '0', '13');
INSERT INTO public.who_import VALUES (36224, '2020-04-30', 'GG', 'Guernsey', 'EURO', '0', '247', '0', '13');
INSERT INTO public.who_import VALUES (36225, '2020-05-01', 'GG', 'Guernsey', 'EURO', '4', '251', '0', '13');
INSERT INTO public.who_import VALUES (36226, '2020-05-02', 'GG', 'Guernsey', 'EURO', '0', '251', '0', '13');
INSERT INTO public.who_import VALUES (36227, '2020-05-03', 'GG', 'Guernsey', 'EURO', '1', '252', '0', '13');
INSERT INTO public.who_import VALUES (36228, '2020-05-04', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36229, '2020-05-05', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36230, '2020-05-06', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36231, '2020-05-07', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36232, '2020-05-08', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36233, '2020-05-09', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36234, '2020-05-10', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36235, '2020-05-11', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36236, '2020-05-12', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36237, '2020-05-13', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36238, '2020-05-14', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36239, '2020-05-15', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36240, '2020-05-16', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36241, '2020-05-17', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36242, '2020-05-18', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36243, '2020-05-19', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36244, '2020-05-20', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36245, '2020-05-21', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36246, '2020-05-22', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36247, '2020-05-23', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36248, '2020-05-24', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36249, '2020-05-25', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36250, '2020-05-26', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36251, '2020-05-27', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36252, '2020-05-28', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36253, '2020-05-29', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36254, '2020-05-30', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36255, '2020-05-31', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36256, '2020-06-01', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36257, '2020-06-02', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36258, '2020-06-03', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36259, '2020-06-04', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36260, '2020-06-05', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36261, '2020-06-06', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36262, '2020-06-07', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36263, '2020-06-08', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36264, '2020-06-09', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36265, '2020-06-10', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36266, '2020-06-11', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36267, '2020-06-12', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36268, '2020-06-13', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36269, '2020-06-14', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36270, '2020-06-15', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36271, '2020-06-16', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36272, '2020-06-17', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36273, '2020-06-18', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36274, '2020-06-19', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36275, '2020-06-20', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36276, '2020-06-21', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36277, '2020-06-22', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36278, '2020-06-23', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36279, '2020-06-24', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36280, '2020-06-25', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36281, '2020-06-26', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36282, '2020-06-27', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36283, '2020-06-28', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36284, '2020-06-29', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36285, '2020-06-30', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36286, '2020-07-01', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36287, '2020-07-02', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36288, '2020-07-03', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36289, '2020-07-04', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36290, '2020-07-05', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36291, '2020-07-06', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36292, '2020-07-07', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36293, '2020-07-08', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36294, '2020-07-09', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36295, '2020-07-10', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36296, '2020-07-11', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36297, '2020-07-12', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36298, '2020-07-13', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36299, '2020-07-14', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36300, '2020-07-15', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36301, '2020-07-16', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36302, '2020-07-17', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36303, '2020-07-18', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36304, '2020-07-19', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36305, '2020-07-20', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36306, '2020-07-21', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36307, '2020-07-22', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36308, '2020-07-23', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36309, '2020-07-24', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36310, '2020-07-25', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36311, '2020-07-26', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36312, '2020-07-27', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36313, '2020-07-28', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36314, '2020-07-29', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36315, '2020-07-30', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36316, '2020-07-31', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36317, '2020-08-01', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36318, '2020-08-02', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36319, '2020-08-03', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36320, '2020-08-04', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36321, '2020-08-05', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36322, '2020-08-06', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36323, '2020-08-07', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36324, '2020-08-08', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36325, '2020-08-09', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36326, '2020-08-10', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36327, '2020-08-11', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36328, '2020-08-12', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36329, '2020-08-13', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36330, '2020-08-14', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36331, '2020-08-15', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36332, '2020-08-16', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36333, '2020-08-17', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36334, '2020-08-18', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36335, '2020-08-19', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36336, '2020-08-20', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36337, '2020-08-21', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36338, '2020-08-22', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36339, '2020-08-23', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36340, '2020-08-24', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36341, '2020-08-25', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36342, '2020-08-26', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36343, '2020-08-27', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36344, '2020-08-28', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36345, '2020-08-29', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36346, '2020-08-30', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36347, '2020-08-31', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36348, '2020-09-01', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36349, '2020-09-02', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36350, '2020-09-03', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36351, '2020-09-04', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36352, '2020-09-05', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36353, '2020-09-06', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36354, '2020-09-07', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36355, '2020-09-08', 'GG', 'Guernsey', 'EURO', '0', '252', '0', '13');
INSERT INTO public.who_import VALUES (36356, '2020-09-09', 'GG', 'Guernsey', 'EURO', '1', '253', '0', '13');
INSERT INTO public.who_import VALUES (36357, '2020-09-10', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36358, '2020-09-11', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36359, '2020-09-12', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36360, '2020-09-13', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36361, '2020-09-14', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36362, '2020-09-15', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36363, '2020-09-16', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36364, '2020-09-17', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36365, '2020-09-18', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36366, '2020-09-19', 'GG', 'Guernsey', 'EURO', '0', '253', '0', '13');
INSERT INTO public.who_import VALUES (36367, '2020-09-20', 'GG', 'Guernsey', 'EURO', '1', '254', '0', '13');
INSERT INTO public.who_import VALUES (36368, '2020-09-21', 'GG', 'Guernsey', 'EURO', '0', '254', '0', '13');
INSERT INTO public.who_import VALUES (36369, '2020-09-22', 'GG', 'Guernsey', 'EURO', '2', '256', '0', '13');
INSERT INTO public.who_import VALUES (36370, '2020-09-23', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36371, '2020-09-24', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36372, '2020-09-25', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36373, '2020-09-26', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36374, '2020-09-27', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36375, '2020-09-28', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36376, '2020-09-29', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36377, '2020-09-30', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36378, '2020-10-01', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36379, '2020-10-02', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36380, '2020-10-03', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36381, '2020-10-04', 'GG', 'Guernsey', 'EURO', '0', '256', '0', '13');
INSERT INTO public.who_import VALUES (36382, '2020-10-05', 'GG', 'Guernsey', 'EURO', '1', '257', '0', '13');
INSERT INTO public.who_import VALUES (36383, '2020-10-06', 'GG', 'Guernsey', 'EURO', '0', '257', '0', '13');
INSERT INTO public.who_import VALUES (36384, '2020-10-07', 'GG', 'Guernsey', 'EURO', '0', '257', '0', '13');
INSERT INTO public.who_import VALUES (36385, '2020-10-08', 'GG', 'Guernsey', 'EURO', '0', '257', '0', '13');
INSERT INTO public.who_import VALUES (36386, '2020-10-09', 'GG', 'Guernsey', 'EURO', '1', '258', '0', '13');
INSERT INTO public.who_import VALUES (36387, '2020-10-10', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36388, '2020-10-11', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36389, '2020-10-12', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36390, '2020-10-13', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36391, '2020-10-14', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36392, '2020-10-15', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36393, '2020-10-16', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36394, '2020-10-17', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36395, '2020-10-18', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36396, '2020-10-19', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36397, '2020-10-20', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36398, '2020-10-21', 'GG', 'Guernsey', 'EURO', '0', '258', '0', '13');
INSERT INTO public.who_import VALUES (36399, '2020-10-22', 'GG', 'Guernsey', 'EURO', '2', '260', '0', '13');
INSERT INTO public.who_import VALUES (36400, '2020-10-23', 'GG', 'Guernsey', 'EURO', '0', '260', '0', '13');
INSERT INTO public.who_import VALUES (36401, '2020-10-24', 'GG', 'Guernsey', 'EURO', '5', '265', '0', '13');
INSERT INTO public.who_import VALUES (36402, '2020-10-25', 'GG', 'Guernsey', 'EURO', '0', '265', '0', '13');
INSERT INTO public.who_import VALUES (36403, '2020-10-26', 'GG', 'Guernsey', 'EURO', '0', '265', '0', '13');
INSERT INTO public.who_import VALUES (36404, '2020-10-27', 'GG', 'Guernsey', 'EURO', '1', '266', '0', '13');
INSERT INTO public.who_import VALUES (36405, '2020-10-28', 'GG', 'Guernsey', 'EURO', '0', '266', '0', '13');
INSERT INTO public.who_import VALUES (36406, '2020-10-29', 'GG', 'Guernsey', 'EURO', '0', '266', '0', '13');
INSERT INTO public.who_import VALUES (36407, '2020-10-30', 'GG', 'Guernsey', 'EURO', '1', '267', '0', '13');
INSERT INTO public.who_import VALUES (36408, '2020-10-31', 'GG', 'Guernsey', 'EURO', '0', '267', '0', '13');
INSERT INTO public.who_import VALUES (36409, '2020-11-01', 'GG', 'Guernsey', 'EURO', '0', '267', '0', '13');
INSERT INTO public.who_import VALUES (36410, '2020-11-02', 'GG', 'Guernsey', 'EURO', '1', '268', '0', '13');
INSERT INTO public.who_import VALUES (36411, '2020-11-03', 'GG', 'Guernsey', 'EURO', '2', '270', '0', '13');
INSERT INTO public.who_import VALUES (36412, '2020-11-04', 'GG', 'Guernsey', 'EURO', '1', '271', '0', '13');
INSERT INTO public.who_import VALUES (36413, '2020-11-05', 'GG', 'Guernsey', 'EURO', '1', '272', '0', '13');
INSERT INTO public.who_import VALUES (36414, '2020-11-06', 'GG', 'Guernsey', 'EURO', '1', '273', '0', '13');
INSERT INTO public.who_import VALUES (36415, '2020-11-07', 'GG', 'Guernsey', 'EURO', '1', '274', '0', '13');
INSERT INTO public.who_import VALUES (36416, '2020-11-08', 'GG', 'Guernsey', 'EURO', '4', '278', '0', '13');
INSERT INTO public.who_import VALUES (36417, '2020-11-09', 'GG', 'Guernsey', 'EURO', '1', '279', '0', '13');
INSERT INTO public.who_import VALUES (36418, '2020-11-10', 'GG', 'Guernsey', 'EURO', '0', '279', '0', '13');
INSERT INTO public.who_import VALUES (36419, '2020-11-11', 'GG', 'Guernsey', 'EURO', '0', '279', '0', '13');
INSERT INTO public.who_import VALUES (36420, '2020-11-12', 'GG', 'Guernsey', 'EURO', '3', '282', '0', '13');
INSERT INTO public.who_import VALUES (36421, '2020-11-13', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36422, '2020-11-14', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36423, '2020-11-15', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36424, '2020-11-16', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36425, '2020-11-17', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36426, '2020-11-18', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36427, '2020-11-19', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36428, '2020-11-20', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36429, '2020-11-21', 'GG', 'Guernsey', 'EURO', '0', '282', '0', '13');
INSERT INTO public.who_import VALUES (36430, '2020-11-22', 'GG', 'Guernsey', 'EURO', '1', '283', '0', '13');
INSERT INTO public.who_import VALUES (36431, '2020-11-23', 'GG', 'Guernsey', 'EURO', '0', '283', '0', '13');
INSERT INTO public.who_import VALUES (36432, '2020-11-24', 'GG', 'Guernsey', 'EURO', '0', '283', '0', '13');
INSERT INTO public.who_import VALUES (36433, '2020-11-25', 'GG', 'Guernsey', 'EURO', '0', '283', '0', '13');
INSERT INTO public.who_import VALUES (36434, '2020-11-26', 'GG', 'Guernsey', 'EURO', '0', '283', '0', '13');
INSERT INTO public.who_import VALUES (36435, '2020-11-27', 'GG', 'Guernsey', 'EURO', '2', '285', '0', '13');
INSERT INTO public.who_import VALUES (36436, '2020-11-28', 'GG', 'Guernsey', 'EURO', '1', '286', '0', '13');
INSERT INTO public.who_import VALUES (36437, '2020-11-29', 'GG', 'Guernsey', 'EURO', '0', '286', '0', '13');
INSERT INTO public.who_import VALUES (36438, '2020-11-30', 'GG', 'Guernsey', 'EURO', '0', '286', '0', '13');
INSERT INTO public.who_import VALUES (36439, '2020-12-01', 'GG', 'Guernsey', 'EURO', '0', '286', '0', '13');
INSERT INTO public.who_import VALUES (36440, '2020-12-02', 'GG', 'Guernsey', 'EURO', '1', '287', '0', '13');
INSERT INTO public.who_import VALUES (36441, '2020-12-03', 'GG', 'Guernsey', 'EURO', '0', '287', '0', '13');
INSERT INTO public.who_import VALUES (36442, '2020-12-04', 'GG', 'Guernsey', 'EURO', '0', '287', '0', '13');
INSERT INTO public.who_import VALUES (36443, '2020-12-05', 'GG', 'Guernsey', 'EURO', '1', '288', '0', '13');
INSERT INTO public.who_import VALUES (36444, '2020-12-06', 'GG', 'Guernsey', 'EURO', '0', '288', '0', '13');
INSERT INTO public.who_import VALUES (36445, '2020-12-07', 'GG', 'Guernsey', 'EURO', '0', '288', '0', '13');
INSERT INTO public.who_import VALUES (36446, '2020-12-08', 'GG', 'Guernsey', 'EURO', '0', '288', '0', '13');
INSERT INTO public.who_import VALUES (36447, '2020-12-09', 'GG', 'Guernsey', 'EURO', '0', '288', '0', '13');
INSERT INTO public.who_import VALUES (36448, '2020-12-10', 'GG', 'Guernsey', 'EURO', '0', '288', '0', '13');
INSERT INTO public.who_import VALUES (36449, '2020-12-11', 'GG', 'Guernsey', 'EURO', '1', '289', '0', '13');
INSERT INTO public.who_import VALUES (36450, '2020-12-12', 'GG', 'Guernsey', 'EURO', '0', '289', '0', '13');
INSERT INTO public.who_import VALUES (36451, '2020-12-13', 'GG', 'Guernsey', 'EURO', '0', '289', '0', '13');
INSERT INTO public.who_import VALUES (36452, '2020-12-14', 'GG', 'Guernsey', 'EURO', '0', '289', '0', '13');
INSERT INTO public.who_import VALUES (36453, '2020-12-15', 'GG', 'Guernsey', 'EURO', '0', '289', '0', '13');
INSERT INTO public.who_import VALUES (36454, '2020-12-16', 'GG', 'Guernsey', 'EURO', '2', '291', '0', '13');
INSERT INTO public.who_import VALUES (36455, '2020-12-17', 'GG', 'Guernsey', 'EURO', '0', '291', '0', '13');
INSERT INTO public.who_import VALUES (36456, '2020-12-18', 'GG', 'Guernsey', 'EURO', '0', '291', '0', '13');
INSERT INTO public.who_import VALUES (36457, '2020-12-19', 'GG', 'Guernsey', 'EURO', '0', '291', '0', '13');
INSERT INTO public.who_import VALUES (36458, '2020-12-20', 'GG', 'Guernsey', 'EURO', '0', '291', '0', '13');
INSERT INTO public.who_import VALUES (36459, '2020-12-21', 'GG', 'Guernsey', 'EURO', '1', '292', '0', '13');
INSERT INTO public.who_import VALUES (36460, '2020-12-22', 'GG', 'Guernsey', 'EURO', '1', '293', '0', '13');
INSERT INTO public.who_import VALUES (36461, '2020-12-23', 'GG', 'Guernsey', 'EURO', '0', '293', '0', '13');
INSERT INTO public.who_import VALUES (36462, '2020-12-24', 'GG', 'Guernsey', 'EURO', '0', '293', '0', '13');
INSERT INTO public.who_import VALUES (36463, '2020-12-25', 'GG', 'Guernsey', 'EURO', '4', '297', '0', '13');
INSERT INTO public.who_import VALUES (36464, '2020-12-26', 'GG', 'Guernsey', 'EURO', '0', '297', '0', '13');
INSERT INTO public.who_import VALUES (36465, '2020-12-27', 'GG', 'Guernsey', 'EURO', '0', '297', '0', '13');
INSERT INTO public.who_import VALUES (36466, '2020-12-28', 'GG', 'Guernsey', 'EURO', '0', '297', '0', '13');
INSERT INTO public.who_import VALUES (36467, '2020-12-29', 'GG', 'Guernsey', 'EURO', '0', '297', '0', '13');
INSERT INTO public.who_import VALUES (36468, '2020-12-30', 'GG', 'Guernsey', 'EURO', '0', '297', '0', '13');
INSERT INTO public.who_import VALUES (36469, '2020-12-31', 'GG', 'Guernsey', 'EURO', '0', '297', '0', '13');
INSERT INTO public.who_import VALUES (36470, '2021-01-01', 'GG', 'Guernsey', 'EURO', '1', '298', '0', '13');
INSERT INTO public.who_import VALUES (36471, '2021-01-02', 'GG', 'Guernsey', 'EURO', '0', '298', '0', '13');
INSERT INTO public.who_import VALUES (36472, '2021-01-03', 'GG', 'Guernsey', 'EURO', '1', '299', '0', '13');
INSERT INTO public.who_import VALUES (36473, '2021-01-04', 'GG', 'Guernsey', 'EURO', '0', '299', '0', '13');
INSERT INTO public.who_import VALUES (36474, '2021-01-05', 'GG', 'Guernsey', 'EURO', '1', '300', '0', '13');
INSERT INTO public.who_import VALUES (36475, '2021-01-06', 'GG', 'Guernsey', 'EURO', '0', '300', '0', '13');
INSERT INTO public.who_import VALUES (36476, '2021-01-07', 'GG', 'Guernsey', 'EURO', '1', '301', '0', '13');
INSERT INTO public.who_import VALUES (36477, '2021-01-08', 'GG', 'Guernsey', 'EURO', '1', '302', '0', '13');
INSERT INTO public.who_import VALUES (36478, '2021-01-09', 'GG', 'Guernsey', 'EURO', '0', '302', '0', '13');
INSERT INTO public.who_import VALUES (36479, '2021-01-10', 'GG', 'Guernsey', 'EURO', '0', '302', '0', '13');
INSERT INTO public.who_import VALUES (36480, '2021-01-11', 'GG', 'Guernsey', 'EURO', '2', '304', '0', '13');
INSERT INTO public.who_import VALUES (36481, '2021-01-12', 'GG', 'Guernsey', 'EURO', '1', '305', '0', '13');
INSERT INTO public.who_import VALUES (36482, '2021-01-13', 'GG', 'Guernsey', 'EURO', '1', '306', '0', '13');
INSERT INTO public.who_import VALUES (36483, '2021-01-14', 'GG', 'Guernsey', 'EURO', '1', '307', '0', '13');
INSERT INTO public.who_import VALUES (36484, '2021-01-15', 'GG', 'Guernsey', 'EURO', '1', '308', '0', '13');
INSERT INTO public.who_import VALUES (36485, '2021-01-16', 'GG', 'Guernsey', 'EURO', '0', '308', '0', '13');
INSERT INTO public.who_import VALUES (36486, '2021-01-17', 'GG', 'Guernsey', 'EURO', '1', '309', '0', '13');
INSERT INTO public.who_import VALUES (36487, '2021-01-18', 'GG', 'Guernsey', 'EURO', '0', '309', '0', '13');
INSERT INTO public.who_import VALUES (36488, '2021-01-19', 'GG', 'Guernsey', 'EURO', '0', '309', '0', '13');
INSERT INTO public.who_import VALUES (36489, '2021-01-20', 'GG', 'Guernsey', 'EURO', '0', '309', '0', '13');
INSERT INTO public.who_import VALUES (36490, '2021-01-21', 'GG', 'Guernsey', 'EURO', '0', '309', '0', '13');
INSERT INTO public.who_import VALUES (36491, '2021-01-22', 'GG', 'Guernsey', 'EURO', '1', '310', '0', '13');
INSERT INTO public.who_import VALUES (36492, '2021-01-23', 'GG', 'Guernsey', 'EURO', '0', '310', '0', '13');
INSERT INTO public.who_import VALUES (36493, '2021-01-24', 'GG', 'Guernsey', 'EURO', '0', '310', '0', '13');
INSERT INTO public.who_import VALUES (36494, '2021-01-25', 'GG', 'Guernsey', 'EURO', '4', '314', '0', '13');
INSERT INTO public.who_import VALUES (36495, '2021-01-26', 'GG', 'Guernsey', 'EURO', '7', '321', '0', '13');
INSERT INTO public.who_import VALUES (36496, '2021-01-27', 'GG', 'Guernsey', 'EURO', '38', '359', '0', '13');
INSERT INTO public.who_import VALUES (36497, '2021-01-28', 'GG', 'Guernsey', 'EURO', '10', '369', '0', '13');
INSERT INTO public.who_import VALUES (36498, '2021-01-29', 'GG', 'Guernsey', 'EURO', '22', '391', '0', '13');
INSERT INTO public.who_import VALUES (36499, '2021-01-30', 'GG', 'Guernsey', 'EURO', '23', '414', '0', '13');
INSERT INTO public.who_import VALUES (36500, '2021-01-31', 'GG', 'Guernsey', 'EURO', '35', '449', '0', '13');
INSERT INTO public.who_import VALUES (36501, '2021-02-01', 'GG', 'Guernsey', 'EURO', '44', '493', '0', '13');
INSERT INTO public.who_import VALUES (36502, '2021-02-02', 'GG', 'Guernsey', 'EURO', '46', '539', '0', '13');
INSERT INTO public.who_import VALUES (36503, '2021-02-03', 'GG', 'Guernsey', 'EURO', '46', '585', '0', '13');
INSERT INTO public.who_import VALUES (36504, '2021-02-04', 'GG', 'Guernsey', 'EURO', '30', '615', '0', '13');
INSERT INTO public.who_import VALUES (36505, '2021-02-05', 'GG', 'Guernsey', 'EURO', '36', '651', '0', '13');
INSERT INTO public.who_import VALUES (36506, '2021-02-06', 'GG', 'Guernsey', 'EURO', '21', '672', '0', '13');
INSERT INTO public.who_import VALUES (36507, '2021-02-07', 'GG', 'Guernsey', 'EURO', '17', '689', '0', '13');
INSERT INTO public.who_import VALUES (36508, '2021-02-08', 'GG', 'Guernsey', 'EURO', '22', '711', '0', '13');
INSERT INTO public.who_import VALUES (36509, '2021-02-09', 'GG', 'Guernsey', 'EURO', '9', '720', '0', '13');
INSERT INTO public.who_import VALUES (36510, '2021-02-10', 'GG', 'Guernsey', 'EURO', '21', '741', '0', '13');
INSERT INTO public.who_import VALUES (36511, '2021-02-11', 'GG', 'Guernsey', 'EURO', '11', '752', '0', '13');
INSERT INTO public.who_import VALUES (36512, '2021-02-12', 'GG', 'Guernsey', 'EURO', '8', '760', '0', '13');
INSERT INTO public.who_import VALUES (36513, '2021-02-13', 'GG', 'Guernsey', 'EURO', '10', '770', '0', '13');
INSERT INTO public.who_import VALUES (36514, '2021-02-14', 'GG', 'Guernsey', 'EURO', '12', '782', '0', '13');
INSERT INTO public.who_import VALUES (36515, '2021-02-15', 'GG', 'Guernsey', 'EURO', '7', '789', '0', '13');
INSERT INTO public.who_import VALUES (36516, '2021-02-16', 'GG', 'Guernsey', 'EURO', '8', '797', '0', '13');
INSERT INTO public.who_import VALUES (36517, '2021-02-17', 'GG', 'Guernsey', 'EURO', '7', '804', '0', '13');
INSERT INTO public.who_import VALUES (36518, '2021-02-18', 'GG', 'Guernsey', 'EURO', '0', '804', '1', '14');
INSERT INTO public.who_import VALUES (36519, '2021-02-19', 'GG', 'Guernsey', 'EURO', '2', '806', '0', '14');
INSERT INTO public.who_import VALUES (36520, '2021-02-20', 'GG', 'Guernsey', 'EURO', '2', '808', '0', '14');
INSERT INTO public.who_import VALUES (36521, '2020-01-03', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36522, '2020-01-04', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36523, '2020-01-05', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36524, '2020-01-06', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36525, '2020-01-07', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36526, '2020-01-08', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36527, '2020-01-09', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36528, '2020-01-10', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36529, '2020-01-11', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36530, '2020-01-12', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36531, '2020-01-13', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36532, '2020-01-14', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36533, '2020-01-15', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36534, '2020-01-16', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36535, '2020-01-17', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36536, '2020-01-18', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36537, '2020-01-19', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36538, '2020-01-20', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36539, '2020-01-21', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36540, '2020-01-22', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36541, '2020-01-23', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36542, '2020-01-24', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36543, '2020-01-25', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36544, '2020-01-26', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36545, '2020-01-27', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36546, '2020-01-28', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36547, '2020-01-29', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36548, '2020-01-30', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36549, '2020-01-31', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36550, '2020-02-01', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36551, '2020-02-02', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36552, '2020-02-03', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36553, '2020-02-04', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36554, '2020-02-05', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36555, '2020-02-06', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36556, '2020-02-07', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36557, '2020-02-08', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36558, '2020-02-09', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36559, '2020-02-10', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36560, '2020-02-11', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36561, '2020-02-12', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36562, '2020-02-13', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36563, '2020-02-14', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36564, '2020-02-15', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36565, '2020-02-16', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36566, '2020-02-17', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36567, '2020-02-18', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36568, '2020-02-19', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36569, '2020-02-20', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36570, '2020-02-21', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36571, '2020-02-22', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36572, '2020-02-23', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36573, '2020-02-24', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36574, '2020-02-25', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36575, '2020-02-26', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36576, '2020-02-27', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36577, '2020-02-28', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36578, '2020-02-29', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36579, '2020-03-01', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36580, '2020-03-02', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36581, '2020-03-03', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36582, '2020-03-04', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36583, '2020-03-05', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36584, '2020-03-06', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36585, '2020-03-07', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36586, '2020-03-08', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36587, '2020-03-09', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36588, '2020-03-10', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36589, '2020-03-11', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36590, '2020-03-12', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36591, '2020-03-13', 'GN', 'Guinea', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36592, '2020-03-14', 'GN', 'Guinea', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (36593, '2020-03-15', 'GN', 'Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (36594, '2020-03-16', 'GN', 'Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (36595, '2020-03-17', 'GN', 'Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (36596, '2020-03-18', 'GN', 'Guinea', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (36597, '2020-03-19', 'GN', 'Guinea', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (36598, '2020-03-20', 'GN', 'Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (36599, '2020-03-21', 'GN', 'Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (36600, '2020-03-22', 'GN', 'Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (36601, '2020-03-23', 'GN', 'Guinea', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (36602, '2020-03-24', 'GN', 'Guinea', 'AFRO', '-2', '4', '0', '0');
INSERT INTO public.who_import VALUES (36603, '2020-03-25', 'GN', 'Guinea', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (36604, '2020-03-26', 'GN', 'Guinea', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (36605, '2020-03-27', 'GN', 'Guinea', 'AFRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (36606, '2020-03-28', 'GN', 'Guinea', 'AFRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (36607, '2020-03-29', 'GN', 'Guinea', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (36608, '2020-03-30', 'GN', 'Guinea', 'AFRO', '8', '16', '0', '0');
INSERT INTO public.who_import VALUES (36609, '2020-03-31', 'GN', 'Guinea', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (36610, '2020-04-01', 'GN', 'Guinea', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (36611, '2020-04-02', 'GN', 'Guinea', 'AFRO', '14', '30', '0', '0');
INSERT INTO public.who_import VALUES (36612, '2020-04-03', 'GN', 'Guinea', 'AFRO', '22', '52', '0', '0');
INSERT INTO public.who_import VALUES (36613, '2020-04-04', 'GN', 'Guinea', 'AFRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (36614, '2020-04-05', 'GN', 'Guinea', 'AFRO', '59', '111', '0', '0');
INSERT INTO public.who_import VALUES (36615, '2020-04-06', 'GN', 'Guinea', 'AFRO', '0', '111', '0', '0');
INSERT INTO public.who_import VALUES (36616, '2020-04-07', 'GN', 'Guinea', 'AFRO', '0', '111', '0', '0');
INSERT INTO public.who_import VALUES (36617, '2020-04-08', 'GN', 'Guinea', 'AFRO', '33', '144', '0', '0');
INSERT INTO public.who_import VALUES (36618, '2020-04-09', 'GN', 'Guinea', 'AFRO', '20', '164', '0', '0');
INSERT INTO public.who_import VALUES (36619, '2020-04-10', 'GN', 'Guinea', 'AFRO', '30', '194', '0', '0');
INSERT INTO public.who_import VALUES (36620, '2020-04-11', 'GN', 'Guinea', 'AFRO', '0', '194', '0', '0');
INSERT INTO public.who_import VALUES (36621, '2020-04-12', 'GN', 'Guinea', 'AFRO', '56', '250', '0', '0');
INSERT INTO public.who_import VALUES (36622, '2020-04-13', 'GN', 'Guinea', 'AFRO', '0', '250', '0', '0');
INSERT INTO public.who_import VALUES (36623, '2020-04-14', 'GN', 'Guinea', 'AFRO', '69', '319', '0', '0');
INSERT INTO public.who_import VALUES (36624, '2020-04-15', 'GN', 'Guinea', 'AFRO', '44', '363', '0', '0');
INSERT INTO public.who_import VALUES (36625, '2020-04-16', 'GN', 'Guinea', 'AFRO', '41', '404', '1', '1');
INSERT INTO public.who_import VALUES (36626, '2020-04-17', 'GN', 'Guinea', 'AFRO', '34', '438', '0', '1');
INSERT INTO public.who_import VALUES (36627, '2020-04-18', 'GN', 'Guinea', 'AFRO', '0', '438', '0', '1');
INSERT INTO public.who_import VALUES (36628, '2020-04-19', 'GN', 'Guinea', 'AFRO', '39', '477', '2', '3');
INSERT INTO public.who_import VALUES (36629, '2020-04-20', 'GN', 'Guinea', 'AFRO', '0', '477', '0', '3');
INSERT INTO public.who_import VALUES (36630, '2020-04-21', 'GN', 'Guinea', 'AFRO', '145', '622', '2', '5');
INSERT INTO public.who_import VALUES (36631, '2020-04-22', 'GN', 'Guinea', 'AFRO', '66', '688', '1', '6');
INSERT INTO public.who_import VALUES (36632, '2020-04-23', 'GN', 'Guinea', 'AFRO', '73', '761', '0', '6');
INSERT INTO public.who_import VALUES (36633, '2020-04-24', 'GN', 'Guinea', 'AFRO', '101', '862', '0', '6');
INSERT INTO public.who_import VALUES (36634, '2020-04-25', 'GN', 'Guinea', 'AFRO', '92', '954', '0', '6');
INSERT INTO public.who_import VALUES (36635, '2020-04-26', 'GN', 'Guinea', 'AFRO', '42', '996', '1', '7');
INSERT INTO public.who_import VALUES (36636, '2020-04-27', 'GN', 'Guinea', 'AFRO', '98', '1094', '0', '7');
INSERT INTO public.who_import VALUES (36637, '2020-04-28', 'GN', 'Guinea', 'AFRO', '69', '1163', '0', '7');
INSERT INTO public.who_import VALUES (36638, '2020-04-29', 'GN', 'Guinea', 'AFRO', '77', '1240', '0', '7');
INSERT INTO public.who_import VALUES (36639, '2020-04-30', 'GN', 'Guinea', 'AFRO', '111', '1351', '0', '7');
INSERT INTO public.who_import VALUES (36640, '2020-05-01', 'GN', 'Guinea', 'AFRO', '144', '1495', '0', '7');
INSERT INTO public.who_import VALUES (36641, '2020-05-02', 'GN', 'Guinea', 'AFRO', '42', '1537', '0', '7');
INSERT INTO public.who_import VALUES (36642, '2020-05-03', 'GN', 'Guinea', 'AFRO', '49', '1586', '0', '7');
INSERT INTO public.who_import VALUES (36643, '2020-05-04', 'GN', 'Guinea', 'AFRO', '64', '1650', '0', '7');
INSERT INTO public.who_import VALUES (36644, '2020-05-05', 'GN', 'Guinea', 'AFRO', '60', '1710', '2', '9');
INSERT INTO public.who_import VALUES (36645, '2020-05-06', 'GN', 'Guinea', 'AFRO', '101', '1811', '1', '10');
INSERT INTO public.who_import VALUES (36646, '2020-05-07', 'GN', 'Guinea', 'AFRO', '45', '1856', '1', '11');
INSERT INTO public.who_import VALUES (36647, '2020-05-08', 'GN', 'Guinea', 'AFRO', '71', '1927', '0', '11');
INSERT INTO public.who_import VALUES (36648, '2020-05-09', 'GN', 'Guinea', 'AFRO', '82', '2009', '0', '11');
INSERT INTO public.who_import VALUES (36649, '2020-05-10', 'GN', 'Guinea', 'AFRO', '33', '2042', '0', '11');
INSERT INTO public.who_import VALUES (36650, '2020-05-11', 'GN', 'Guinea', 'AFRO', '104', '2146', '0', '11');
INSERT INTO public.who_import VALUES (36651, '2020-05-12', 'GN', 'Guinea', 'AFRO', '0', '2146', '0', '11');
INSERT INTO public.who_import VALUES (36652, '2020-05-13', 'GN', 'Guinea', 'AFRO', '152', '2298', '0', '11');
INSERT INTO public.who_import VALUES (36653, '2020-05-14', 'GN', 'Guinea', 'AFRO', '74', '2372', '3', '14');
INSERT INTO public.who_import VALUES (36654, '2020-05-15', 'GN', 'Guinea', 'AFRO', '101', '2473', '0', '14');
INSERT INTO public.who_import VALUES (36655, '2020-05-16', 'GN', 'Guinea', 'AFRO', '58', '2531', '1', '15');
INSERT INTO public.who_import VALUES (36656, '2020-05-17', 'GN', 'Guinea', 'AFRO', '127', '2658', '1', '16');
INSERT INTO public.who_import VALUES (36657, '2020-05-18', 'GN', 'Guinea', 'AFRO', '69', '2727', '0', '16');
INSERT INTO public.who_import VALUES (36658, '2020-05-19', 'GN', 'Guinea', 'AFRO', '69', '2796', '0', '16');
INSERT INTO public.who_import VALUES (36659, '2020-05-20', 'GN', 'Guinea', 'AFRO', '67', '2863', '2', '18');
INSERT INTO public.who_import VALUES (36660, '2020-05-21', 'GN', 'Guinea', 'AFRO', '64', '2927', '1', '19');
INSERT INTO public.who_import VALUES (36661, '2020-05-22', 'GN', 'Guinea', 'AFRO', '140', '3067', '0', '19');
INSERT INTO public.who_import VALUES (36662, '2020-05-23', 'GN', 'Guinea', 'AFRO', '47', '3114', '0', '19');
INSERT INTO public.who_import VALUES (36663, '2020-05-24', 'GN', 'Guinea', 'AFRO', '62', '3176', '1', '20');
INSERT INTO public.who_import VALUES (36664, '2020-05-25', 'GN', 'Guinea', 'AFRO', '99', '3275', '0', '20');
INSERT INTO public.who_import VALUES (36665, '2020-05-26', 'GN', 'Guinea', 'AFRO', '47', '3322', '0', '20');
INSERT INTO public.who_import VALUES (36666, '2020-05-27', 'GN', 'Guinea', 'AFRO', '36', '3358', '0', '20');
INSERT INTO public.who_import VALUES (36667, '2020-05-28', 'GN', 'Guinea', 'AFRO', '88', '3446', '1', '21');
INSERT INTO public.who_import VALUES (36668, '2020-05-29', 'GN', 'Guinea', 'AFRO', '107', '3553', '1', '22');
INSERT INTO public.who_import VALUES (36669, '2020-05-30', 'GN', 'Guinea', 'AFRO', '103', '3656', '0', '22');
INSERT INTO public.who_import VALUES (36670, '2020-05-31', 'GN', 'Guinea', 'AFRO', '50', '3706', '1', '23');
INSERT INTO public.who_import VALUES (36671, '2020-06-01', 'GN', 'Guinea', 'AFRO', '65', '3771', '0', '23');
INSERT INTO public.who_import VALUES (36672, '2020-06-02', 'GN', 'Guinea', 'AFRO', '73', '3844', '0', '23');
INSERT INTO public.who_import VALUES (36673, '2020-06-03', 'GN', 'Guinea', 'AFRO', '42', '3886', '0', '23');
INSERT INTO public.who_import VALUES (36674, '2020-06-04', 'GN', 'Guinea', 'AFRO', '47', '3933', '0', '23');
INSERT INTO public.who_import VALUES (36675, '2020-06-05', 'GN', 'Guinea', 'AFRO', '58', '3991', '0', '23');
INSERT INTO public.who_import VALUES (36676, '2020-06-06', 'GN', 'Guinea', 'AFRO', '69', '4060', '0', '23');
INSERT INTO public.who_import VALUES (36677, '2020-06-07', 'GN', 'Guinea', 'AFRO', '57', '4117', '0', '23');
INSERT INTO public.who_import VALUES (36678, '2020-06-08', 'GN', 'Guinea', 'AFRO', '48', '4165', '0', '23');
INSERT INTO public.who_import VALUES (36679, '2020-06-09', 'GN', 'Guinea', 'AFRO', '51', '4216', '0', '23');
INSERT INTO public.who_import VALUES (36680, '2020-06-10', 'GN', 'Guinea', 'AFRO', '42', '4258', '0', '23');
INSERT INTO public.who_import VALUES (36681, '2020-06-11', 'GN', 'Guinea', 'AFRO', '33', '4291', '0', '23');
INSERT INTO public.who_import VALUES (36682, '2020-06-12', 'GN', 'Guinea', 'AFRO', '81', '4372', '0', '23');
INSERT INTO public.who_import VALUES (36683, '2020-06-13', 'GN', 'Guinea', 'AFRO', '54', '4426', '1', '24');
INSERT INTO public.who_import VALUES (36684, '2020-06-14', 'GN', 'Guinea', 'AFRO', '58', '4484', '1', '25');
INSERT INTO public.who_import VALUES (36685, '2020-06-15', 'GN', 'Guinea', 'AFRO', '50', '4534', '0', '25');
INSERT INTO public.who_import VALUES (36686, '2020-06-16', 'GN', 'Guinea', 'AFRO', '38', '4572', '1', '26');
INSERT INTO public.who_import VALUES (36687, '2020-06-17', 'GN', 'Guinea', 'AFRO', '67', '4639', '0', '26');
INSERT INTO public.who_import VALUES (36688, '2020-06-18', 'GN', 'Guinea', 'AFRO', '29', '4668', '0', '26');
INSERT INTO public.who_import VALUES (36689, '2020-06-19', 'GN', 'Guinea', 'AFRO', '173', '4841', '0', '26');
INSERT INTO public.who_import VALUES (36690, '2020-06-20', 'GN', 'Guinea', 'AFRO', '63', '4904', '1', '27');
INSERT INTO public.who_import VALUES (36691, '2020-06-21', 'GN', 'Guinea', 'AFRO', '56', '4960', '0', '27');
INSERT INTO public.who_import VALUES (36692, '2020-06-22', 'GN', 'Guinea', 'AFRO', '28', '4988', '0', '27');
INSERT INTO public.who_import VALUES (36693, '2020-06-23', 'GN', 'Guinea', 'AFRO', '0', '4988', '0', '27');
INSERT INTO public.who_import VALUES (36694, '2020-06-24', 'GN', 'Guinea', 'AFRO', '116', '5104', '2', '29');
INSERT INTO public.who_import VALUES (36695, '2020-06-25', 'GN', 'Guinea', 'AFRO', '70', '5174', '0', '29');
INSERT INTO public.who_import VALUES (36696, '2020-06-26', 'GN', 'Guinea', 'AFRO', '37', '5211', '0', '29');
INSERT INTO public.who_import VALUES (36697, '2020-06-27', 'GN', 'Guinea', 'AFRO', '49', '5260', '0', '29');
INSERT INTO public.who_import VALUES (36698, '2020-06-28', 'GN', 'Guinea', 'AFRO', '31', '5291', '1', '30');
INSERT INTO public.who_import VALUES (36699, '2020-06-29', 'GN', 'Guinea', 'AFRO', '51', '5342', '1', '31');
INSERT INTO public.who_import VALUES (36700, '2020-06-30', 'GN', 'Guinea', 'AFRO', '9', '5351', '0', '31');
INSERT INTO public.who_import VALUES (36701, '2020-07-01', 'GN', 'Guinea', 'AFRO', '40', '5391', '2', '33');
INSERT INTO public.who_import VALUES (36702, '2020-07-02', 'GN', 'Guinea', 'AFRO', '13', '5404', '0', '33');
INSERT INTO public.who_import VALUES (36703, '2020-07-03', 'GN', 'Guinea', 'AFRO', '46', '5450', '13', '46');
INSERT INTO public.who_import VALUES (36704, '2020-07-04', 'GN', 'Guinea', 'AFRO', '71', '5521', '-13', '33');
INSERT INTO public.who_import VALUES (36705, '2020-07-05', 'GN', 'Guinea', 'AFRO', '49', '5570', '1', '34');
INSERT INTO public.who_import VALUES (36706, '2020-07-06', 'GN', 'Guinea', 'AFRO', '40', '5610', '0', '34');
INSERT INTO public.who_import VALUES (36707, '2020-07-07', 'GN', 'Guinea', 'AFRO', '0', '5610', '0', '34');
INSERT INTO public.who_import VALUES (36708, '2020-07-08', 'GN', 'Guinea', 'AFRO', '26', '5636', '0', '34');
INSERT INTO public.who_import VALUES (36709, '2020-07-09', 'GN', 'Guinea', 'AFRO', '61', '5697', '0', '34');
INSERT INTO public.who_import VALUES (36710, '2020-07-10', 'GN', 'Guinea', 'AFRO', '184', '5881', '2', '36');
INSERT INTO public.who_import VALUES (36711, '2020-07-11', 'GN', 'Guinea', 'AFRO', '88', '5969', '1', '37');
INSERT INTO public.who_import VALUES (36712, '2020-07-12', 'GN', 'Guinea', 'AFRO', '75', '6044', '0', '37');
INSERT INTO public.who_import VALUES (36713, '2020-07-13', 'GN', 'Guinea', 'AFRO', '97', '6141', '0', '37');
INSERT INTO public.who_import VALUES (36714, '2020-07-14', 'GN', 'Guinea', 'AFRO', '29', '6170', '1', '38');
INSERT INTO public.who_import VALUES (36715, '2020-07-15', 'GN', 'Guinea', 'AFRO', '30', '6200', '0', '38');
INSERT INTO public.who_import VALUES (36716, '2020-07-16', 'GN', 'Guinea', 'AFRO', '76', '6276', '0', '38');
INSERT INTO public.who_import VALUES (36717, '2020-07-17', 'GN', 'Guinea', 'AFRO', '83', '6359', '1', '39');
INSERT INTO public.who_import VALUES (36718, '2020-07-18', 'GN', 'Guinea', 'AFRO', '71', '6430', '0', '39');
INSERT INTO public.who_import VALUES (36719, '2020-07-19', 'GN', 'Guinea', 'AFRO', '61', '6491', '0', '39');
INSERT INTO public.who_import VALUES (36720, '2020-07-20', 'GN', 'Guinea', 'AFRO', '53', '6544', '0', '39');
INSERT INTO public.who_import VALUES (36721, '2020-07-21', 'GN', 'Guinea', 'AFRO', '46', '6590', '1', '40');
INSERT INTO public.who_import VALUES (36722, '2020-07-22', 'GN', 'Guinea', 'AFRO', '35', '6625', '1', '41');
INSERT INTO public.who_import VALUES (36723, '2020-07-23', 'GN', 'Guinea', 'AFRO', '122', '6747', '0', '41');
INSERT INTO public.who_import VALUES (36724, '2020-07-24', 'GN', 'Guinea', 'AFRO', '59', '6806', '1', '42');
INSERT INTO public.who_import VALUES (36725, '2020-07-25', 'GN', 'Guinea', 'AFRO', '61', '6867', '0', '42');
INSERT INTO public.who_import VALUES (36726, '2020-07-26', 'GN', 'Guinea', 'AFRO', '60', '6927', '0', '42');
INSERT INTO public.who_import VALUES (36727, '2020-07-27', 'GN', 'Guinea', 'AFRO', '81', '7008', '1', '43');
INSERT INTO public.who_import VALUES (36728, '2020-07-28', 'GN', 'Guinea', 'AFRO', '47', '7055', '2', '45');
INSERT INTO public.who_import VALUES (36729, '2020-07-29', 'GN', 'Guinea', 'AFRO', '71', '7126', '1', '46');
INSERT INTO public.who_import VALUES (36730, '2020-07-30', 'GN', 'Guinea', 'AFRO', '57', '7183', '0', '46');
INSERT INTO public.who_import VALUES (36731, '2020-07-31', 'GN', 'Guinea', 'AFRO', '59', '7242', '0', '46');
INSERT INTO public.who_import VALUES (36732, '2020-08-01', 'GN', 'Guinea', 'AFRO', '66', '7308', '0', '46');
INSERT INTO public.who_import VALUES (36733, '2020-08-02', 'GN', 'Guinea', 'AFRO', '0', '7308', '0', '46');
INSERT INTO public.who_import VALUES (36734, '2020-08-03', 'GN', 'Guinea', 'AFRO', '56', '7364', '0', '46');
INSERT INTO public.who_import VALUES (36735, '2020-08-04', 'GN', 'Guinea', 'AFRO', '54', '7418', '0', '46');
INSERT INTO public.who_import VALUES (36736, '2020-08-05', 'GN', 'Guinea', 'AFRO', '71', '7489', '2', '48');
INSERT INTO public.who_import VALUES (36737, '2020-08-06', 'GN', 'Guinea', 'AFRO', '86', '7575', '1', '49');
INSERT INTO public.who_import VALUES (36738, '2020-08-07', 'GN', 'Guinea', 'AFRO', '89', '7664', '0', '49');
INSERT INTO public.who_import VALUES (36739, '2020-08-08', 'GN', 'Guinea', 'AFRO', '113', '7777', '1', '50');
INSERT INTO public.who_import VALUES (36740, '2020-08-09', 'GN', 'Guinea', 'AFRO', '98', '7875', '0', '50');
INSERT INTO public.who_import VALUES (36741, '2020-08-10', 'GN', 'Guinea', 'AFRO', '55', '7930', '0', '50');
INSERT INTO public.who_import VALUES (36742, '2020-08-11', 'GN', 'Guinea', 'AFRO', '22', '7952', '0', '50');
INSERT INTO public.who_import VALUES (36743, '2020-08-12', 'GN', 'Guinea', 'AFRO', '66', '8018', '0', '50');
INSERT INTO public.who_import VALUES (36744, '2020-08-13', 'GN', 'Guinea', 'AFRO', '98', '8116', '0', '50');
INSERT INTO public.who_import VALUES (36745, '2020-08-14', 'GN', 'Guinea', 'AFRO', '82', '8198', '0', '50');
INSERT INTO public.who_import VALUES (36746, '2020-08-15', 'GN', 'Guinea', 'AFRO', '62', '8260', '0', '50');
INSERT INTO public.who_import VALUES (36747, '2020-08-16', 'GN', 'Guinea', 'AFRO', '83', '8343', '0', '50');
INSERT INTO public.who_import VALUES (36748, '2020-08-17', 'GN', 'Guinea', 'AFRO', '139', '8482', '1', '51');
INSERT INTO public.who_import VALUES (36749, '2020-08-18', 'GN', 'Guinea', 'AFRO', '138', '8620', '0', '51');
INSERT INTO public.who_import VALUES (36750, '2020-08-19', 'GN', 'Guinea', 'AFRO', '95', '8715', '1', '52');
INSERT INTO public.who_import VALUES (36751, '2020-08-20', 'GN', 'Guinea', 'AFRO', '77', '8792', '1', '53');
INSERT INTO public.who_import VALUES (36752, '2020-08-21', 'GN', 'Guinea', 'AFRO', '84', '8876', '0', '53');
INSERT INTO public.who_import VALUES (36753, '2020-08-22', 'GN', 'Guinea', 'AFRO', '56', '8932', '0', '53');
INSERT INTO public.who_import VALUES (36754, '2020-08-23', 'GN', 'Guinea', 'AFRO', '35', '8967', '0', '53');
INSERT INTO public.who_import VALUES (36755, '2020-08-24', 'GN', 'Guinea', 'AFRO', '0', '8967', '0', '53');
INSERT INTO public.who_import VALUES (36756, '2020-08-25', 'GN', 'Guinea', 'AFRO', '109', '9076', '2', '55');
INSERT INTO public.who_import VALUES (36757, '2020-08-26', 'GN', 'Guinea', 'AFRO', '52', '9128', '2', '57');
INSERT INTO public.who_import VALUES (36758, '2020-08-27', 'GN', 'Guinea', 'AFRO', '39', '9167', '0', '57');
INSERT INTO public.who_import VALUES (36759, '2020-08-28', 'GN', 'Guinea', 'AFRO', '46', '9213', '1', '58');
INSERT INTO public.who_import VALUES (36760, '2020-08-29', 'GN', 'Guinea', 'AFRO', '38', '9251', '1', '59');
INSERT INTO public.who_import VALUES (36761, '2020-08-30', 'GN', 'Guinea', 'AFRO', '0', '9251', '0', '59');
INSERT INTO public.who_import VALUES (36762, '2020-08-31', 'GN', 'Guinea', 'AFRO', '120', '9371', '0', '59');
INSERT INTO public.who_import VALUES (36763, '2020-09-01', 'GN', 'Guinea', 'AFRO', '38', '9409', '0', '59');
INSERT INTO public.who_import VALUES (36764, '2020-09-02', 'GN', 'Guinea', 'AFRO', '70', '9479', '0', '59');
INSERT INTO public.who_import VALUES (36765, '2020-09-03', 'GN', 'Guinea', 'AFRO', '0', '9479', '0', '59');
INSERT INTO public.who_import VALUES (36766, '2020-09-04', 'GN', 'Guinea', 'AFRO', '100', '9579', '2', '61');
INSERT INTO public.who_import VALUES (36767, '2020-09-05', 'GN', 'Guinea', 'AFRO', '70', '9649', '0', '61');
INSERT INTO public.who_import VALUES (36768, '2020-09-06', 'GN', 'Guinea', 'AFRO', '73', '9722', '0', '61');
INSERT INTO public.who_import VALUES (36769, '2020-09-07', 'GN', 'Guinea', 'AFRO', '76', '9798', '0', '61');
INSERT INTO public.who_import VALUES (36770, '2020-09-08', 'GN', 'Guinea', 'AFRO', '18', '9816', '1', '62');
INSERT INTO public.who_import VALUES (36771, '2020-09-09', 'GN', 'Guinea', 'AFRO', '32', '9848', '1', '63');
INSERT INTO public.who_import VALUES (36772, '2020-09-10', 'GN', 'Guinea', 'AFRO', '37', '9885', '0', '63');
INSERT INTO public.who_import VALUES (36773, '2020-09-11', 'GN', 'Guinea', 'AFRO', '61', '9946', '0', '63');
INSERT INTO public.who_import VALUES (36774, '2020-09-12', 'GN', 'Guinea', 'AFRO', '33', '9979', '0', '63');
INSERT INTO public.who_import VALUES (36775, '2020-09-13', 'GN', 'Guinea', 'AFRO', '41', '10020', '0', '63');
INSERT INTO public.who_import VALUES (36776, '2020-09-14', 'GN', 'Guinea', 'AFRO', '25', '10045', '0', '63');
INSERT INTO public.who_import VALUES (36777, '2020-09-15', 'GN', 'Guinea', 'AFRO', '16', '10061', '0', '63');
INSERT INTO public.who_import VALUES (36778, '2020-09-16', 'GN', 'Guinea', 'AFRO', '50', '10111', '0', '63');
INSERT INTO public.who_import VALUES (36779, '2020-09-17', 'GN', 'Guinea', 'AFRO', '43', '10154', '0', '63');
INSERT INTO public.who_import VALUES (36780, '2020-09-18', 'GN', 'Guinea', 'AFRO', '0', '10154', '0', '63');
INSERT INTO public.who_import VALUES (36781, '2020-09-19', 'GN', 'Guinea', 'AFRO', '77', '10231', '0', '63');
INSERT INTO public.who_import VALUES (36782, '2020-09-20', 'GN', 'Guinea', 'AFRO', '55', '10286', '0', '63');
INSERT INTO public.who_import VALUES (36783, '2020-09-21', 'GN', 'Guinea', 'AFRO', '39', '10325', '1', '64');
INSERT INTO public.who_import VALUES (36784, '2020-09-22', 'GN', 'Guinea', 'AFRO', '19', '10344', '1', '65');
INSERT INTO public.who_import VALUES (36785, '2020-09-23', 'GN', 'Guinea', 'AFRO', '43', '10387', '0', '65');
INSERT INTO public.who_import VALUES (36786, '2020-09-24', 'GN', 'Guinea', 'AFRO', '47', '10434', '0', '65');
INSERT INTO public.who_import VALUES (36787, '2020-09-25', 'GN', 'Guinea', 'AFRO', '44', '10478', '0', '65');
INSERT INTO public.who_import VALUES (36788, '2020-09-26', 'GN', 'Guinea', 'AFRO', '0', '10478', '0', '65');
INSERT INTO public.who_import VALUES (36789, '2020-09-27', 'GN', 'Guinea', 'AFRO', '70', '10548', '1', '66');
INSERT INTO public.who_import VALUES (36790, '2020-09-28', 'GN', 'Guinea', 'AFRO', '32', '10580', '0', '66');
INSERT INTO public.who_import VALUES (36791, '2020-09-29', 'GN', 'Guinea', 'AFRO', '18', '10598', '0', '66');
INSERT INTO public.who_import VALUES (36792, '2020-09-30', 'GN', 'Guinea', 'AFRO', '36', '10634', '0', '66');
INSERT INTO public.who_import VALUES (36793, '2020-10-01', 'GN', 'Guinea', 'AFRO', '18', '10652', '0', '66');
INSERT INTO public.who_import VALUES (36794, '2020-10-02', 'GN', 'Guinea', 'AFRO', '48', '10700', '0', '66');
INSERT INTO public.who_import VALUES (36795, '2020-10-03', 'GN', 'Guinea', 'AFRO', '35', '10735', '0', '66');
INSERT INTO public.who_import VALUES (36796, '2020-10-04', 'GN', 'Guinea', 'AFRO', '0', '10735', '0', '66');
INSERT INTO public.who_import VALUES (36797, '2020-10-05', 'GN', 'Guinea', 'AFRO', '19', '10754', '0', '66');
INSERT INTO public.who_import VALUES (36798, '2020-10-06', 'GN', 'Guinea', 'AFRO', '46', '10800', '1', '67');
INSERT INTO public.who_import VALUES (36799, '2020-10-07', 'GN', 'Guinea', 'AFRO', '63', '10863', '1', '68');
INSERT INTO public.who_import VALUES (36800, '2020-10-08', 'GN', 'Guinea', 'AFRO', '0', '10863', '0', '68');
INSERT INTO public.who_import VALUES (36801, '2020-10-09', 'GN', 'Guinea', 'AFRO', '38', '10901', '0', '68');
INSERT INTO public.who_import VALUES (36802, '2020-10-10', 'GN', 'Guinea', 'AFRO', '53', '10954', '0', '68');
INSERT INTO public.who_import VALUES (36803, '2020-10-11', 'GN', 'Guinea', 'AFRO', '42', '10996', '1', '69');
INSERT INTO public.who_import VALUES (36804, '2020-10-12', 'GN', 'Guinea', 'AFRO', '26', '11022', '0', '69');
INSERT INTO public.who_import VALUES (36805, '2020-10-13', 'GN', 'Guinea', 'AFRO', '40', '11062', '1', '70');
INSERT INTO public.who_import VALUES (36806, '2020-10-14', 'GN', 'Guinea', 'AFRO', '72', '11134', '0', '70');
INSERT INTO public.who_import VALUES (36807, '2020-10-15', 'GN', 'Guinea', 'AFRO', '54', '11188', '0', '70');
INSERT INTO public.who_import VALUES (36808, '2020-10-16', 'GN', 'Guinea', 'AFRO', '67', '11255', '0', '70');
INSERT INTO public.who_import VALUES (36809, '2020-10-17', 'GN', 'Guinea', 'AFRO', '107', '11362', '0', '70');
INSERT INTO public.who_import VALUES (36810, '2020-10-18', 'GN', 'Guinea', 'AFRO', '116', '11478', '0', '70');
INSERT INTO public.who_import VALUES (36811, '2020-10-19', 'GN', 'Guinea', 'AFRO', '40', '11518', '0', '70');
INSERT INTO public.who_import VALUES (36812, '2020-10-20', 'GN', 'Guinea', 'AFRO', '0', '11518', '0', '70');
INSERT INTO public.who_import VALUES (36813, '2020-10-21', 'GN', 'Guinea', 'AFRO', '20', '11538', '0', '70');
INSERT INTO public.who_import VALUES (36814, '2020-10-22', 'GN', 'Guinea', 'AFRO', '97', '11635', '1', '71');
INSERT INTO public.who_import VALUES (36815, '2020-10-23', 'GN', 'Guinea', 'AFRO', '0', '11635', '0', '71');
INSERT INTO public.who_import VALUES (36816, '2020-10-24', 'GN', 'Guinea', 'AFRO', '34', '11669', '0', '71');
INSERT INTO public.who_import VALUES (36817, '2020-10-25', 'GN', 'Guinea', 'AFRO', '0', '11669', '0', '71');
INSERT INTO public.who_import VALUES (36818, '2020-10-26', 'GN', 'Guinea', 'AFRO', '0', '11669', '0', '71');
INSERT INTO public.who_import VALUES (36819, '2020-10-27', 'GN', 'Guinea', 'AFRO', '0', '11669', '0', '71');
INSERT INTO public.who_import VALUES (36820, '2020-10-28', 'GN', 'Guinea', 'AFRO', '150', '11819', '0', '71');
INSERT INTO public.who_import VALUES (36821, '2020-10-29', 'GN', 'Guinea', 'AFRO', '0', '11819', '0', '71');
INSERT INTO public.who_import VALUES (36822, '2020-10-30', 'GN', 'Guinea', 'AFRO', '201', '12020', '0', '71');
INSERT INTO public.who_import VALUES (36823, '2020-10-31', 'GN', 'Guinea', 'AFRO', '0', '12020', '0', '71');
INSERT INTO public.who_import VALUES (36824, '2020-11-01', 'GN', 'Guinea', 'AFRO', '52', '12072', '1', '72');
INSERT INTO public.who_import VALUES (36825, '2020-11-02', 'GN', 'Guinea', 'AFRO', '123', '12195', '1', '73');
INSERT INTO public.who_import VALUES (36826, '2020-11-03', 'GN', 'Guinea', 'AFRO', '18', '12213', '0', '73');
INSERT INTO public.who_import VALUES (36827, '2020-11-04', 'GN', 'Guinea', 'AFRO', '0', '12213', '0', '73');
INSERT INTO public.who_import VALUES (36828, '2020-11-05', 'GN', 'Guinea', 'AFRO', '118', '12331', '0', '73');
INSERT INTO public.who_import VALUES (36829, '2020-11-06', 'GN', 'Guinea', 'AFRO', '32', '12363', '0', '73');
INSERT INTO public.who_import VALUES (36830, '2020-11-07', 'GN', 'Guinea', 'AFRO', '0', '12363', '0', '73');
INSERT INTO public.who_import VALUES (36831, '2020-11-08', 'GN', 'Guinea', 'AFRO', '37', '12400', '0', '73');
INSERT INTO public.who_import VALUES (36832, '2020-11-09', 'GN', 'Guinea', 'AFRO', '14', '12414', '1', '74');
INSERT INTO public.who_import VALUES (36833, '2020-11-10', 'GN', 'Guinea', 'AFRO', '12', '12426', '0', '74');
INSERT INTO public.who_import VALUES (36834, '2020-11-11', 'GN', 'Guinea', 'AFRO', '33', '12459', '0', '74');
INSERT INTO public.who_import VALUES (36835, '2020-11-12', 'GN', 'Guinea', 'AFRO', '25', '12484', '0', '74');
INSERT INTO public.who_import VALUES (36836, '2020-11-13', 'GN', 'Guinea', 'AFRO', '32', '12516', '0', '74');
INSERT INTO public.who_import VALUES (36837, '2020-11-14', 'GN', 'Guinea', 'AFRO', '21', '12537', '0', '74');
INSERT INTO public.who_import VALUES (36838, '2020-11-15', 'GN', 'Guinea', 'AFRO', '48', '12585', '0', '74');
INSERT INTO public.who_import VALUES (36839, '2020-11-16', 'GN', 'Guinea', 'AFRO', '26', '12611', '1', '75');
INSERT INTO public.who_import VALUES (36840, '2020-11-17', 'GN', 'Guinea', 'AFRO', '13', '12624', '0', '75');
INSERT INTO public.who_import VALUES (36841, '2020-11-18', 'GN', 'Guinea', 'AFRO', '30', '12654', '0', '75');
INSERT INTO public.who_import VALUES (36842, '2020-11-19', 'GN', 'Guinea', 'AFRO', '29', '12683', '0', '75');
INSERT INTO public.who_import VALUES (36843, '2020-11-20', 'GN', 'Guinea', 'AFRO', '30', '12713', '0', '75');
INSERT INTO public.who_import VALUES (36844, '2020-11-21', 'GN', 'Guinea', 'AFRO', '85', '12798', '0', '75');
INSERT INTO public.who_import VALUES (36845, '2020-11-22', 'GN', 'Guinea', 'AFRO', '0', '12798', '0', '75');
INSERT INTO public.who_import VALUES (36846, '2020-11-23', 'GN', 'Guinea', 'AFRO', '28', '12826', '0', '75');
INSERT INTO public.who_import VALUES (36847, '2020-11-24', 'GN', 'Guinea', 'AFRO', '37', '12863', '0', '75');
INSERT INTO public.who_import VALUES (36848, '2020-11-25', 'GN', 'Guinea', 'AFRO', '0', '12863', '0', '75');
INSERT INTO public.who_import VALUES (36849, '2020-11-26', 'GN', 'Guinea', 'AFRO', '0', '12863', '0', '75');
INSERT INTO public.who_import VALUES (36850, '2020-11-27', 'GN', 'Guinea', 'AFRO', '86', '12949', '1', '76');
INSERT INTO public.who_import VALUES (36851, '2020-11-28', 'GN', 'Guinea', 'AFRO', '90', '13039', '0', '76');
INSERT INTO public.who_import VALUES (36852, '2020-11-29', 'GN', 'Guinea', 'AFRO', '0', '13039', '0', '76');
INSERT INTO public.who_import VALUES (36853, '2020-11-30', 'GN', 'Guinea', 'AFRO', '0', '13039', '0', '76');
INSERT INTO public.who_import VALUES (36854, '2020-12-01', 'GN', 'Guinea', 'AFRO', '58', '13097', '0', '76');
INSERT INTO public.who_import VALUES (36855, '2020-12-02', 'GN', 'Guinea', 'AFRO', '22', '13119', '0', '76');
INSERT INTO public.who_import VALUES (36856, '2020-12-03', 'GN', 'Guinea', 'AFRO', '24', '13143', '0', '76');
INSERT INTO public.who_import VALUES (36857, '2020-12-04', 'GN', 'Guinea', 'AFRO', '24', '13167', '0', '76');
INSERT INTO public.who_import VALUES (36858, '2020-12-05', 'GN', 'Guinea', 'AFRO', '19', '13186', '0', '76');
INSERT INTO public.who_import VALUES (36859, '2020-12-06', 'GN', 'Guinea', 'AFRO', '21', '13207', '0', '76');
INSERT INTO public.who_import VALUES (36860, '2020-12-07', 'GN', 'Guinea', 'AFRO', '26', '13233', '0', '76');
INSERT INTO public.who_import VALUES (36861, '2020-12-08', 'GN', 'Guinea', 'AFRO', '13', '13246', '1', '77');
INSERT INTO public.who_import VALUES (36862, '2020-12-09', 'GN', 'Guinea', 'AFRO', '18', '13264', '2', '79');
INSERT INTO public.who_import VALUES (36863, '2020-12-10', 'GN', 'Guinea', 'AFRO', '61', '13325', '0', '79');
INSERT INTO public.who_import VALUES (36864, '2020-12-11', 'GN', 'Guinea', 'AFRO', '43', '13368', '0', '79');
INSERT INTO public.who_import VALUES (36865, '2020-12-12', 'GN', 'Guinea', 'AFRO', '30', '13398', '0', '79');
INSERT INTO public.who_import VALUES (36866, '2020-12-13', 'GN', 'Guinea', 'AFRO', '22', '13420', '0', '79');
INSERT INTO public.who_import VALUES (36867, '2020-12-14', 'GN', 'Guinea', 'AFRO', '0', '13420', '0', '79');
INSERT INTO public.who_import VALUES (36868, '2020-12-15', 'GN', 'Guinea', 'AFRO', '11', '13431', '0', '79');
INSERT INTO public.who_import VALUES (36869, '2020-12-16', 'GN', 'Guinea', 'AFRO', '26', '13457', '1', '80');
INSERT INTO public.who_import VALUES (36870, '2020-12-17', 'GN', 'Guinea', 'AFRO', '17', '13474', '0', '80');
INSERT INTO public.who_import VALUES (36871, '2020-12-18', 'GN', 'Guinea', 'AFRO', '11', '13485', '0', '80');
INSERT INTO public.who_import VALUES (36872, '2020-12-19', 'GN', 'Guinea', 'AFRO', '26', '13511', '0', '80');
INSERT INTO public.who_import VALUES (36873, '2020-12-20', 'GN', 'Guinea', 'AFRO', '21', '13532', '0', '80');
INSERT INTO public.who_import VALUES (36874, '2020-12-21', 'GN', 'Guinea', 'AFRO', '13', '13545', '0', '80');
INSERT INTO public.who_import VALUES (36875, '2020-12-22', 'GN', 'Guinea', 'AFRO', '5', '13550', '0', '80');
INSERT INTO public.who_import VALUES (36876, '2020-12-23', 'GN', 'Guinea', 'AFRO', '28', '13578', '0', '80');
INSERT INTO public.who_import VALUES (36877, '2020-12-24', 'GN', 'Guinea', 'AFRO', '52', '13630', '0', '80');
INSERT INTO public.who_import VALUES (36878, '2020-12-25', 'GN', 'Guinea', 'AFRO', '0', '13630', '0', '80');
INSERT INTO public.who_import VALUES (36879, '2020-12-26', 'GN', 'Guinea', 'AFRO', '16', '13646', '0', '80');
INSERT INTO public.who_import VALUES (36880, '2020-12-27', 'GN', 'Guinea', 'AFRO', '0', '13646', '0', '80');
INSERT INTO public.who_import VALUES (36881, '2020-12-28', 'GN', 'Guinea', 'AFRO', '28', '13674', '0', '80');
INSERT INTO public.who_import VALUES (36882, '2020-12-29', 'GN', 'Guinea', 'AFRO', '14', '13688', '0', '80');
INSERT INTO public.who_import VALUES (36883, '2020-12-30', 'GN', 'Guinea', 'AFRO', '0', '13688', '0', '80');
INSERT INTO public.who_import VALUES (36884, '2020-12-31', 'GN', 'Guinea', 'AFRO', '19', '13707', '0', '80');
INSERT INTO public.who_import VALUES (36885, '2021-01-01', 'GN', 'Guinea', 'AFRO', '15', '13722', '1', '81');
INSERT INTO public.who_import VALUES (36886, '2021-01-02', 'GN', 'Guinea', 'AFRO', '0', '13722', '0', '81');
INSERT INTO public.who_import VALUES (36887, '2021-01-03', 'GN', 'Guinea', 'AFRO', '62', '13784', '0', '81');
INSERT INTO public.who_import VALUES (36888, '2021-01-04', 'GN', 'Guinea', 'AFRO', '0', '13784', '0', '81');
INSERT INTO public.who_import VALUES (36889, '2021-01-05', 'GN', 'Guinea', 'AFRO', '15', '13799', '0', '81');
INSERT INTO public.who_import VALUES (36890, '2021-01-06', 'GN', 'Guinea', 'AFRO', '19', '13818', '0', '81');
INSERT INTO public.who_import VALUES (36891, '2021-01-07', 'GN', 'Guinea', 'AFRO', '27', '13845', '0', '81');
INSERT INTO public.who_import VALUES (36892, '2021-01-08', 'GN', 'Guinea', 'AFRO', '17', '13862', '0', '81');
INSERT INTO public.who_import VALUES (36893, '2021-01-09', 'GN', 'Guinea', 'AFRO', '42', '13904', '0', '81');
INSERT INTO public.who_import VALUES (36894, '2021-01-10', 'GN', 'Guinea', 'AFRO', '0', '13904', '0', '81');
INSERT INTO public.who_import VALUES (36895, '2021-01-11', 'GN', 'Guinea', 'AFRO', '38', '13942', '0', '81');
INSERT INTO public.who_import VALUES (36896, '2021-01-12', 'GN', 'Guinea', 'AFRO', '25', '13967', '0', '81');
INSERT INTO public.who_import VALUES (36897, '2021-01-13', 'GN', 'Guinea', 'AFRO', '22', '13989', '0', '81');
INSERT INTO public.who_import VALUES (36898, '2021-01-14', 'GN', 'Guinea', 'AFRO', '36', '14025', '0', '81');
INSERT INTO public.who_import VALUES (36899, '2021-01-15', 'GN', 'Guinea', 'AFRO', '26', '14051', '0', '81');
INSERT INTO public.who_import VALUES (36900, '2021-01-16', 'GN', 'Guinea', 'AFRO', '14', '14065', '0', '81');
INSERT INTO public.who_import VALUES (36901, '2021-01-17', 'GN', 'Guinea', 'AFRO', '33', '14098', '0', '81');
INSERT INTO public.who_import VALUES (36902, '2021-01-18', 'GN', 'Guinea', 'AFRO', '16', '14114', '0', '81');
INSERT INTO public.who_import VALUES (36903, '2021-01-19', 'GN', 'Guinea', 'AFRO', '51', '14165', '0', '81');
INSERT INTO public.who_import VALUES (36904, '2021-01-20', 'GN', 'Guinea', 'AFRO', '7', '14172', '0', '81');
INSERT INTO public.who_import VALUES (36905, '2021-01-21', 'GN', 'Guinea', 'AFRO', '35', '14207', '0', '81');
INSERT INTO public.who_import VALUES (36906, '2021-01-22', 'GN', 'Guinea', 'AFRO', '29', '14236', '0', '81');
INSERT INTO public.who_import VALUES (36907, '2021-01-23', 'GN', 'Guinea', 'AFRO', '26', '14262', '0', '81');
INSERT INTO public.who_import VALUES (36908, '2021-01-24', 'GN', 'Guinea', 'AFRO', '38', '14300', '0', '81');
INSERT INTO public.who_import VALUES (36909, '2021-01-25', 'GN', 'Guinea', 'AFRO', '19', '14319', '0', '81');
INSERT INTO public.who_import VALUES (36910, '2021-01-26', 'GN', 'Guinea', 'AFRO', '56', '14375', '0', '81');
INSERT INTO public.who_import VALUES (36911, '2021-01-27', 'GN', 'Guinea', 'AFRO', '4', '14379', '1', '82');
INSERT INTO public.who_import VALUES (36912, '2021-01-28', 'GN', 'Guinea', 'AFRO', '38', '14417', '0', '82');
INSERT INTO public.who_import VALUES (36913, '2021-01-29', 'GN', 'Guinea', 'AFRO', '18', '14435', '0', '82');
INSERT INTO public.who_import VALUES (36914, '2021-01-30', 'GN', 'Guinea', 'AFRO', '16', '14451', '0', '82');
INSERT INTO public.who_import VALUES (36915, '2021-01-31', 'GN', 'Guinea', 'AFRO', '24', '14475', '0', '82');
INSERT INTO public.who_import VALUES (36916, '2021-02-01', 'GN', 'Guinea', 'AFRO', '57', '14532', '0', '82');
INSERT INTO public.who_import VALUES (36917, '2021-02-02', 'GN', 'Guinea', 'AFRO', '14', '14546', '0', '82');
INSERT INTO public.who_import VALUES (36918, '2021-02-03', 'GN', 'Guinea', 'AFRO', '9', '14555', '1', '83');
INSERT INTO public.who_import VALUES (36919, '2021-02-04', 'GN', 'Guinea', 'AFRO', '13', '14568', '0', '83');
INSERT INTO public.who_import VALUES (36920, '2021-02-05', 'GN', 'Guinea', 'AFRO', '61', '14629', '1', '84');
INSERT INTO public.who_import VALUES (36921, '2021-02-06', 'GN', 'Guinea', 'AFRO', '0', '14629', '0', '84');
INSERT INTO public.who_import VALUES (36922, '2021-02-07', 'GN', 'Guinea', 'AFRO', '36', '14665', '0', '84');
INSERT INTO public.who_import VALUES (36923, '2021-02-08', 'GN', 'Guinea', 'AFRO', '22', '14687', '0', '84');
INSERT INTO public.who_import VALUES (36924, '2021-02-09', 'GN', 'Guinea', 'AFRO', '56', '14743', '0', '84');
INSERT INTO public.who_import VALUES (36925, '2021-02-10', 'GN', 'Guinea', 'AFRO', '21', '14764', '0', '84');
INSERT INTO public.who_import VALUES (36926, '2021-02-11', 'GN', 'Guinea', 'AFRO', '27', '14791', '0', '84');
INSERT INTO public.who_import VALUES (36927, '2021-02-12', 'GN', 'Guinea', 'AFRO', '37', '14828', '0', '84');
INSERT INTO public.who_import VALUES (36928, '2021-02-13', 'GN', 'Guinea', 'AFRO', '32', '14860', '0', '84');
INSERT INTO public.who_import VALUES (36929, '2021-02-14', 'GN', 'Guinea', 'AFRO', '35', '14895', '0', '84');
INSERT INTO public.who_import VALUES (36930, '2021-02-15', 'GN', 'Guinea', 'AFRO', '51', '14946', '0', '84');
INSERT INTO public.who_import VALUES (36931, '2021-02-16', 'GN', 'Guinea', 'AFRO', '21', '14967', '1', '85');
INSERT INTO public.who_import VALUES (36932, '2021-02-17', 'GN', 'Guinea', 'AFRO', '53', '15020', '0', '85');
INSERT INTO public.who_import VALUES (36933, '2021-02-18', 'GN', 'Guinea', 'AFRO', '68', '15088', '0', '85');
INSERT INTO public.who_import VALUES (36934, '2021-02-19', 'GN', 'Guinea', 'AFRO', '66', '15154', '0', '85');
INSERT INTO public.who_import VALUES (36935, '2021-02-20', 'GN', 'Guinea', 'AFRO', '62', '15216', '1', '86');
INSERT INTO public.who_import VALUES (36936, '2020-01-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36937, '2020-01-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36938, '2020-01-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36939, '2020-01-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36940, '2020-01-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36941, '2020-01-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36942, '2020-01-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36943, '2020-01-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36944, '2020-01-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36945, '2020-01-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36946, '2020-01-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36947, '2020-01-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36948, '2020-01-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36949, '2020-01-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36950, '2020-01-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36951, '2020-01-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36952, '2020-01-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36953, '2020-01-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36954, '2020-01-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36955, '2020-01-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36956, '2020-01-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36957, '2020-01-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36958, '2020-01-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36959, '2020-01-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36960, '2020-01-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36961, '2020-01-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36962, '2020-01-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36963, '2020-01-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36964, '2020-01-31', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36965, '2020-02-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36966, '2020-02-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36967, '2020-02-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36968, '2020-02-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36969, '2020-02-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36970, '2020-02-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36971, '2020-02-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36972, '2020-02-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36973, '2020-02-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36974, '2020-02-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36975, '2020-02-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36976, '2020-02-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36977, '2020-02-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36978, '2020-02-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36979, '2020-02-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36980, '2020-02-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36981, '2020-02-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36982, '2020-02-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36983, '2020-02-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36984, '2020-02-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36985, '2020-02-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36986, '2020-02-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36987, '2020-02-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36988, '2020-02-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36989, '2020-02-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36990, '2020-02-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36991, '2020-02-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36992, '2020-02-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36993, '2020-02-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36994, '2020-03-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36995, '2020-03-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36996, '2020-03-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36997, '2020-03-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36998, '2020-03-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (36999, '2020-03-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37000, '2020-03-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37001, '2020-03-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37002, '2020-03-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37003, '2020-03-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37004, '2020-03-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37005, '2020-03-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37006, '2020-03-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37007, '2020-03-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37008, '2020-03-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37009, '2020-03-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37010, '2020-03-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37011, '2020-03-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37012, '2020-03-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37013, '2020-03-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37014, '2020-03-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37015, '2020-03-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37016, '2020-03-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37017, '2020-03-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37018, '2020-03-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37019, '2020-03-26', 'GW', 'Guinea-Bissau', 'AFRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (37020, '2020-03-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37021, '2020-03-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37022, '2020-03-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37023, '2020-03-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37024, '2020-03-31', 'GW', 'Guinea-Bissau', 'AFRO', '6', '8', '0', '0');
INSERT INTO public.who_import VALUES (37025, '2020-04-01', 'GW', 'Guinea-Bissau', 'AFRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (37026, '2020-04-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (37027, '2020-04-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (37028, '2020-04-04', 'GW', 'Guinea-Bissau', 'AFRO', '6', '15', '0', '0');
INSERT INTO public.who_import VALUES (37029, '2020-04-05', 'GW', 'Guinea-Bissau', 'AFRO', '3', '18', '0', '0');
INSERT INTO public.who_import VALUES (37030, '2020-04-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (37031, '2020-04-07', 'GW', 'Guinea-Bissau', 'AFRO', '15', '33', '0', '0');
INSERT INTO public.who_import VALUES (37032, '2020-04-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (37033, '2020-04-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (37034, '2020-04-10', 'GW', 'Guinea-Bissau', 'AFRO', '2', '35', '0', '0');
INSERT INTO public.who_import VALUES (37035, '2020-04-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (37036, '2020-04-12', 'GW', 'Guinea-Bissau', 'AFRO', '3', '38', '0', '0');
INSERT INTO public.who_import VALUES (37037, '2020-04-13', 'GW', 'Guinea-Bissau', 'AFRO', '1', '39', '0', '0');
INSERT INTO public.who_import VALUES (37038, '2020-04-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (37039, '2020-04-15', 'GW', 'Guinea-Bissau', 'AFRO', '1', '40', '0', '0');
INSERT INTO public.who_import VALUES (37040, '2020-04-16', 'GW', 'Guinea-Bissau', 'AFRO', '3', '43', '0', '0');
INSERT INTO public.who_import VALUES (37041, '2020-04-17', 'GW', 'Guinea-Bissau', 'AFRO', '3', '46', '0', '0');
INSERT INTO public.who_import VALUES (37042, '2020-04-18', 'GW', 'Guinea-Bissau', 'AFRO', '4', '50', '0', '0');
INSERT INTO public.who_import VALUES (37043, '2020-04-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (37044, '2020-04-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (37045, '2020-04-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (37046, '2020-04-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (37047, '2020-04-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (37048, '2020-04-24', 'GW', 'Guinea-Bissau', 'AFRO', '2', '52', '0', '0');
INSERT INTO public.who_import VALUES (37049, '2020-04-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (37050, '2020-04-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (37051, '2020-04-27', 'GW', 'Guinea-Bissau', 'AFRO', '1', '53', '1', '1');
INSERT INTO public.who_import VALUES (37052, '2020-04-28', 'GW', 'Guinea-Bissau', 'AFRO', '20', '73', '0', '1');
INSERT INTO public.who_import VALUES (37053, '2020-04-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (37054, '2020-04-30', 'GW', 'Guinea-Bissau', 'AFRO', '4', '77', '0', '1');
INSERT INTO public.who_import VALUES (37055, '2020-05-01', 'GW', 'Guinea-Bissau', 'AFRO', '124', '201', '0', '1');
INSERT INTO public.who_import VALUES (37056, '2020-05-02', 'GW', 'Guinea-Bissau', 'AFRO', '56', '257', '0', '1');
INSERT INTO public.who_import VALUES (37057, '2020-05-03', 'GW', 'Guinea-Bissau', 'AFRO', '3', '260', '0', '1');
INSERT INTO public.who_import VALUES (37058, '2020-05-04', 'GW', 'Guinea-Bissau', 'AFRO', '32', '292', '1', '2');
INSERT INTO public.who_import VALUES (37059, '2020-05-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '292', '0', '2');
INSERT INTO public.who_import VALUES (37060, '2020-05-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '292', '0', '2');
INSERT INTO public.who_import VALUES (37061, '2020-05-07', 'GW', 'Guinea-Bissau', 'AFRO', '216', '508', '0', '2');
INSERT INTO public.who_import VALUES (37062, '2020-05-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '508', '0', '2');
INSERT INTO public.who_import VALUES (37063, '2020-05-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '508', '0', '2');
INSERT INTO public.who_import VALUES (37064, '2020-05-10', 'GW', 'Guinea-Bissau', 'AFRO', '134', '642', '1', '3');
INSERT INTO public.who_import VALUES (37065, '2020-05-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '642', '0', '3');
INSERT INTO public.who_import VALUES (37066, '2020-05-12', 'GW', 'Guinea-Bissau', 'AFRO', '119', '761', '0', '3');
INSERT INTO public.who_import VALUES (37067, '2020-05-13', 'GW', 'Guinea-Bissau', 'AFRO', '59', '820', '0', '3');
INSERT INTO public.who_import VALUES (37068, '2020-05-14', 'GW', 'Guinea-Bissau', 'AFRO', '16', '836', '0', '3');
INSERT INTO public.who_import VALUES (37069, '2020-05-15', 'GW', 'Guinea-Bissau', 'AFRO', '77', '913', '0', '3');
INSERT INTO public.who_import VALUES (37070, '2020-05-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '913', '0', '3');
INSERT INTO public.who_import VALUES (37071, '2020-05-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '913', '0', '3');
INSERT INTO public.who_import VALUES (37072, '2020-05-18', 'GW', 'Guinea-Bissau', 'AFRO', '77', '990', '1', '4');
INSERT INTO public.who_import VALUES (37073, '2020-05-19', 'GW', 'Guinea-Bissau', 'AFRO', '48', '1038', '2', '6');
INSERT INTO public.who_import VALUES (37074, '2020-05-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1038', '0', '6');
INSERT INTO public.who_import VALUES (37075, '2020-05-21', 'GW', 'Guinea-Bissau', 'AFRO', '51', '1089', '0', '6');
INSERT INTO public.who_import VALUES (37076, '2020-05-22', 'GW', 'Guinea-Bissau', 'AFRO', '20', '1109', '0', '6');
INSERT INTO public.who_import VALUES (37077, '2020-05-23', 'GW', 'Guinea-Bissau', 'AFRO', '5', '1114', '0', '6');
INSERT INTO public.who_import VALUES (37078, '2020-05-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1114', '0', '6');
INSERT INTO public.who_import VALUES (37079, '2020-05-25', 'GW', 'Guinea-Bissau', 'AFRO', '59', '1173', '0', '6');
INSERT INTO public.who_import VALUES (37080, '2020-05-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1173', '0', '6');
INSERT INTO public.who_import VALUES (37081, '2020-05-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1173', '0', '6');
INSERT INTO public.who_import VALUES (37082, '2020-05-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1173', '0', '6');
INSERT INTO public.who_import VALUES (37083, '2020-05-29', 'GW', 'Guinea-Bissau', 'AFRO', '22', '1195', '2', '8');
INSERT INTO public.who_import VALUES (37084, '2020-05-30', 'GW', 'Guinea-Bissau', 'AFRO', '61', '1256', '0', '8');
INSERT INTO public.who_import VALUES (37085, '2020-05-31', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1256', '0', '8');
INSERT INTO public.who_import VALUES (37086, '2020-06-01', 'GW', 'Guinea-Bissau', 'AFRO', '66', '1322', '0', '8');
INSERT INTO public.who_import VALUES (37087, '2020-06-02', 'GW', 'Guinea-Bissau', 'AFRO', '17', '1339', '0', '8');
INSERT INTO public.who_import VALUES (37088, '2020-06-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1339', '0', '8');
INSERT INTO public.who_import VALUES (37089, '2020-06-04', 'GW', 'Guinea-Bissau', 'AFRO', '7', '1346', '1', '9');
INSERT INTO public.who_import VALUES (37090, '2020-06-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1346', '0', '9');
INSERT INTO public.who_import VALUES (37091, '2020-06-06', 'GW', 'Guinea-Bissau', 'AFRO', '22', '1368', '3', '12');
INSERT INTO public.who_import VALUES (37092, '2020-06-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1368', '0', '12');
INSERT INTO public.who_import VALUES (37093, '2020-06-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1368', '0', '12');
INSERT INTO public.who_import VALUES (37094, '2020-06-09', 'GW', 'Guinea-Bissau', 'AFRO', '21', '1389', '0', '12');
INSERT INTO public.who_import VALUES (37095, '2020-06-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1389', '0', '12');
INSERT INTO public.who_import VALUES (37096, '2020-06-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1389', '0', '12');
INSERT INTO public.who_import VALUES (37097, '2020-06-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1389', '0', '12');
INSERT INTO public.who_import VALUES (37098, '2020-06-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1389', '0', '12');
INSERT INTO public.who_import VALUES (37099, '2020-06-14', 'GW', 'Guinea-Bissau', 'AFRO', '71', '1460', '3', '15');
INSERT INTO public.who_import VALUES (37100, '2020-06-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1460', '0', '15');
INSERT INTO public.who_import VALUES (37101, '2020-06-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1460', '0', '15');
INSERT INTO public.who_import VALUES (37102, '2020-06-17', 'GW', 'Guinea-Bissau', 'AFRO', '32', '1492', '0', '15');
INSERT INTO public.who_import VALUES (37103, '2020-06-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1492', '0', '15');
INSERT INTO public.who_import VALUES (37104, '2020-06-19', 'GW', 'Guinea-Bissau', 'AFRO', '20', '1512', '1', '16');
INSERT INTO public.who_import VALUES (37105, '2020-06-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1512', '0', '16');
INSERT INTO public.who_import VALUES (37106, '2020-06-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1512', '0', '16');
INSERT INTO public.who_import VALUES (37107, '2020-06-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1512', '0', '16');
INSERT INTO public.who_import VALUES (37108, '2020-06-23', 'GW', 'Guinea-Bissau', 'AFRO', '44', '1556', '3', '19');
INSERT INTO public.who_import VALUES (37109, '2020-06-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1556', '0', '19');
INSERT INTO public.who_import VALUES (37110, '2020-06-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1556', '0', '19');
INSERT INTO public.who_import VALUES (37111, '2020-06-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1556', '0', '19');
INSERT INTO public.who_import VALUES (37112, '2020-06-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1556', '0', '19');
INSERT INTO public.who_import VALUES (37113, '2020-06-28', 'GW', 'Guinea-Bissau', 'AFRO', '58', '1614', '2', '21');
INSERT INTO public.who_import VALUES (37114, '2020-06-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1614', '0', '21');
INSERT INTO public.who_import VALUES (37115, '2020-06-30', 'GW', 'Guinea-Bissau', 'AFRO', '40', '1654', '3', '24');
INSERT INTO public.who_import VALUES (37116, '2020-07-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1654', '0', '24');
INSERT INTO public.who_import VALUES (37117, '2020-07-02', 'GW', 'Guinea-Bissau', 'AFRO', '56', '1710', '0', '24');
INSERT INTO public.who_import VALUES (37118, '2020-07-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1710', '0', '24');
INSERT INTO public.who_import VALUES (37119, '2020-07-04', 'GW', 'Guinea-Bissau', 'AFRO', '55', '1765', '1', '25');
INSERT INTO public.who_import VALUES (37120, '2020-07-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1765', '0', '25');
INSERT INTO public.who_import VALUES (37121, '2020-07-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1765', '0', '25');
INSERT INTO public.who_import VALUES (37122, '2020-07-07', 'GW', 'Guinea-Bissau', 'AFRO', '25', '1790', '0', '25');
INSERT INTO public.who_import VALUES (37123, '2020-07-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1790', '0', '25');
INSERT INTO public.who_import VALUES (37124, '2020-07-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1790', '0', '25');
INSERT INTO public.who_import VALUES (37125, '2020-07-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1790', '0', '25');
INSERT INTO public.who_import VALUES (37126, '2020-07-11', 'GW', 'Guinea-Bissau', 'AFRO', '52', '1842', '0', '25');
INSERT INTO public.who_import VALUES (37127, '2020-07-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1842', '0', '25');
INSERT INTO public.who_import VALUES (37128, '2020-07-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1842', '0', '25');
INSERT INTO public.who_import VALUES (37129, '2020-07-14', 'GW', 'Guinea-Bissau', 'AFRO', '60', '1902', '1', '26');
INSERT INTO public.who_import VALUES (37130, '2020-07-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1902', '0', '26');
INSERT INTO public.who_import VALUES (37131, '2020-07-16', 'GW', 'Guinea-Bissau', 'AFRO', '25', '1927', '0', '26');
INSERT INTO public.who_import VALUES (37132, '2020-07-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1927', '0', '26');
INSERT INTO public.who_import VALUES (37133, '2020-07-18', 'GW', 'Guinea-Bissau', 'AFRO', '23', '1950', '0', '26');
INSERT INTO public.who_import VALUES (37134, '2020-07-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1950', '0', '26');
INSERT INTO public.who_import VALUES (37135, '2020-07-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1950', '0', '26');
INSERT INTO public.who_import VALUES (37136, '2020-07-21', 'GW', 'Guinea-Bissau', 'AFRO', '4', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37137, '2020-07-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37138, '2020-07-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37139, '2020-07-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37140, '2020-07-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37141, '2020-07-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37142, '2020-07-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37143, '2020-07-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37144, '2020-07-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1954', '0', '26');
INSERT INTO public.who_import VALUES (37145, '2020-07-30', 'GW', 'Guinea-Bissau', 'AFRO', '27', '1981', '0', '26');
INSERT INTO public.who_import VALUES (37146, '2020-07-31', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1981', '0', '26');
INSERT INTO public.who_import VALUES (37147, '2020-08-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1981', '1', '27');
INSERT INTO public.who_import VALUES (37148, '2020-08-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1981', '0', '27');
INSERT INTO public.who_import VALUES (37149, '2020-08-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1981', '0', '27');
INSERT INTO public.who_import VALUES (37150, '2020-08-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '1981', '0', '27');
INSERT INTO public.who_import VALUES (37151, '2020-08-05', 'GW', 'Guinea-Bissau', 'AFRO', '41', '2022', '0', '27');
INSERT INTO public.who_import VALUES (37152, '2020-08-06', 'GW', 'Guinea-Bissau', 'AFRO', '10', '2032', '0', '27');
INSERT INTO public.who_import VALUES (37153, '2020-08-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2032', '0', '27');
INSERT INTO public.who_import VALUES (37154, '2020-08-08', 'GW', 'Guinea-Bissau', 'AFRO', '20', '2052', '2', '29');
INSERT INTO public.who_import VALUES (37155, '2020-08-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2052', '0', '29');
INSERT INTO public.who_import VALUES (37156, '2020-08-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2052', '0', '29');
INSERT INTO public.who_import VALUES (37157, '2020-08-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2052', '0', '29');
INSERT INTO public.who_import VALUES (37158, '2020-08-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2052', '0', '29');
INSERT INTO public.who_import VALUES (37159, '2020-08-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2052', '0', '29');
INSERT INTO public.who_import VALUES (37160, '2020-08-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2052', '0', '29');
INSERT INTO public.who_import VALUES (37161, '2020-08-15', 'GW', 'Guinea-Bissau', 'AFRO', '65', '2117', '4', '33');
INSERT INTO public.who_import VALUES (37162, '2020-08-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2117', '0', '33');
INSERT INTO public.who_import VALUES (37163, '2020-08-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2117', '0', '33');
INSERT INTO public.who_import VALUES (37164, '2020-08-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2117', '0', '33');
INSERT INTO public.who_import VALUES (37165, '2020-08-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2117', '0', '33');
INSERT INTO public.who_import VALUES (37166, '2020-08-20', 'GW', 'Guinea-Bissau', 'AFRO', '32', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37167, '2020-08-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37168, '2020-08-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37169, '2020-08-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37170, '2020-08-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37171, '2020-08-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37172, '2020-08-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37173, '2020-08-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37174, '2020-08-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37175, '2020-08-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37176, '2020-08-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37177, '2020-08-31', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37178, '2020-09-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37179, '2020-09-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37180, '2020-09-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2149', '0', '33');
INSERT INTO public.who_import VALUES (37181, '2020-09-04', 'GW', 'Guinea-Bissau', 'AFRO', '96', '2245', '5', '38');
INSERT INTO public.who_import VALUES (37182, '2020-09-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2245', '0', '38');
INSERT INTO public.who_import VALUES (37183, '2020-09-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2245', '0', '38');
INSERT INTO public.who_import VALUES (37184, '2020-09-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2245', '0', '38');
INSERT INTO public.who_import VALUES (37185, '2020-09-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2245', '0', '38');
INSERT INTO public.who_import VALUES (37186, '2020-09-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2245', '0', '38');
INSERT INTO public.who_import VALUES (37187, '2020-09-10', 'GW', 'Guinea-Bissau', 'AFRO', '30', '2275', '1', '39');
INSERT INTO public.who_import VALUES (37188, '2020-09-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37189, '2020-09-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37190, '2020-09-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37191, '2020-09-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37192, '2020-09-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37193, '2020-09-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37194, '2020-09-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2275', '0', '39');
INSERT INTO public.who_import VALUES (37195, '2020-09-18', 'GW', 'Guinea-Bissau', 'AFRO', '28', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37196, '2020-09-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37197, '2020-09-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37198, '2020-09-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37199, '2020-09-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37200, '2020-09-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37201, '2020-09-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2303', '0', '39');
INSERT INTO public.who_import VALUES (37202, '2020-09-25', 'GW', 'Guinea-Bissau', 'AFRO', '21', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37203, '2020-09-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37204, '2020-09-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37205, '2020-09-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37206, '2020-09-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37207, '2020-09-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37208, '2020-10-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2324', '0', '39');
INSERT INTO public.who_import VALUES (37209, '2020-10-02', 'GW', 'Guinea-Bissau', 'AFRO', '38', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37210, '2020-10-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37211, '2020-10-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37212, '2020-10-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37213, '2020-10-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37214, '2020-10-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37215, '2020-10-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37216, '2020-10-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37217, '2020-10-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2362', '0', '39');
INSERT INTO public.who_import VALUES (37218, '2020-10-11', 'GW', 'Guinea-Bissau', 'AFRO', '23', '2385', '1', '40');
INSERT INTO public.who_import VALUES (37219, '2020-10-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2385', '0', '40');
INSERT INTO public.who_import VALUES (37220, '2020-10-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2385', '0', '40');
INSERT INTO public.who_import VALUES (37221, '2020-10-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2385', '0', '40');
INSERT INTO public.who_import VALUES (37222, '2020-10-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2385', '0', '40');
INSERT INTO public.who_import VALUES (37223, '2020-10-16', 'GW', 'Guinea-Bissau', 'AFRO', '4', '2389', '1', '41');
INSERT INTO public.who_import VALUES (37224, '2020-10-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2389', '0', '41');
INSERT INTO public.who_import VALUES (37225, '2020-10-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2389', '0', '41');
INSERT INTO public.who_import VALUES (37226, '2020-10-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2389', '0', '41');
INSERT INTO public.who_import VALUES (37227, '2020-10-20', 'GW', 'Guinea-Bissau', 'AFRO', '14', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37228, '2020-10-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37229, '2020-10-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37230, '2020-10-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37231, '2020-10-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37232, '2020-10-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37233, '2020-10-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37234, '2020-10-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37235, '2020-10-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37236, '2020-10-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37237, '2020-10-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2403', '0', '41');
INSERT INTO public.who_import VALUES (37238, '2020-10-31', 'GW', 'Guinea-Bissau', 'AFRO', '10', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37239, '2020-11-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37240, '2020-11-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37241, '2020-11-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37242, '2020-11-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37243, '2020-11-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37244, '2020-11-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37245, '2020-11-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37246, '2020-11-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37247, '2020-11-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2413', '0', '41');
INSERT INTO public.who_import VALUES (37248, '2020-11-10', 'GW', 'Guinea-Bissau', 'AFRO', '1', '2414', '1', '42');
INSERT INTO public.who_import VALUES (37249, '2020-11-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2414', '0', '42');
INSERT INTO public.who_import VALUES (37250, '2020-11-12', 'GW', 'Guinea-Bissau', 'AFRO', '5', '2419', '1', '43');
INSERT INTO public.who_import VALUES (37251, '2020-11-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2419', '0', '43');
INSERT INTO public.who_import VALUES (37252, '2020-11-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2419', '0', '43');
INSERT INTO public.who_import VALUES (37253, '2020-11-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2419', '0', '43');
INSERT INTO public.who_import VALUES (37254, '2020-11-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2419', '0', '43');
INSERT INTO public.who_import VALUES (37255, '2020-11-17', 'GW', 'Guinea-Bissau', 'AFRO', '2', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37256, '2020-11-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37257, '2020-11-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37258, '2020-11-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37259, '2020-11-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37260, '2020-11-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37261, '2020-11-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2421', '0', '43');
INSERT INTO public.who_import VALUES (37262, '2020-11-24', 'GW', 'Guinea-Bissau', 'AFRO', '1', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37263, '2020-11-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37264, '2020-11-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37265, '2020-11-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37266, '2020-11-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37267, '2020-11-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37268, '2020-11-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37269, '2020-12-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2422', '0', '43');
INSERT INTO public.who_import VALUES (37270, '2020-12-02', 'GW', 'Guinea-Bissau', 'AFRO', '3', '2425', '1', '44');
INSERT INTO public.who_import VALUES (37271, '2020-12-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2425', '0', '44');
INSERT INTO public.who_import VALUES (37272, '2020-12-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2425', '0', '44');
INSERT INTO public.who_import VALUES (37273, '2020-12-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2425', '0', '44');
INSERT INTO public.who_import VALUES (37274, '2020-12-06', 'GW', 'Guinea-Bissau', 'AFRO', '16', '2441', '0', '44');
INSERT INTO public.who_import VALUES (37275, '2020-12-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2441', '0', '44');
INSERT INTO public.who_import VALUES (37276, '2020-12-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2441', '0', '44');
INSERT INTO public.who_import VALUES (37277, '2020-12-09', 'GW', 'Guinea-Bissau', 'AFRO', '3', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37278, '2020-12-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37279, '2020-12-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37280, '2020-12-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37281, '2020-12-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37282, '2020-12-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37283, '2020-12-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2444', '0', '44');
INSERT INTO public.who_import VALUES (37284, '2020-12-16', 'GW', 'Guinea-Bissau', 'AFRO', '3', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37285, '2020-12-17', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37286, '2020-12-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37287, '2020-12-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37288, '2020-12-20', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37289, '2020-12-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37290, '2020-12-22', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37291, '2020-12-23', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '44');
INSERT INTO public.who_import VALUES (37292, '2020-12-24', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '1', '45');
INSERT INTO public.who_import VALUES (37293, '2020-12-25', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37294, '2020-12-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37295, '2020-12-27', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37296, '2020-12-28', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37297, '2020-12-29', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37298, '2020-12-30', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37299, '2020-12-31', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37300, '2021-01-01', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37301, '2021-01-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37302, '2021-01-03', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37303, '2021-01-04', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37304, '2021-01-05', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37305, '2021-01-06', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37306, '2021-01-07', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37307, '2021-01-08', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37308, '2021-01-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37309, '2021-01-10', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37310, '2021-01-11', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37311, '2021-01-12', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37312, '2021-01-13', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37313, '2021-01-14', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37314, '2021-01-15', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37315, '2021-01-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2447', '0', '45');
INSERT INTO public.who_import VALUES (37316, '2021-01-17', 'GW', 'Guinea-Bissau', 'AFRO', '31', '2478', '0', '45');
INSERT INTO public.who_import VALUES (37317, '2021-01-18', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2478', '0', '45');
INSERT INTO public.who_import VALUES (37318, '2021-01-19', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2478', '0', '45');
INSERT INTO public.who_import VALUES (37319, '2021-01-20', 'GW', 'Guinea-Bissau', 'AFRO', '32', '2510', '0', '45');
INSERT INTO public.who_import VALUES (37320, '2021-01-21', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2510', '0', '45');
INSERT INTO public.who_import VALUES (37321, '2021-01-22', 'GW', 'Guinea-Bissau', 'AFRO', '7', '2517', '0', '45');
INSERT INTO public.who_import VALUES (37322, '2021-01-23', 'GW', 'Guinea-Bissau', 'AFRO', '8', '2525', '0', '45');
INSERT INTO public.who_import VALUES (37323, '2021-01-24', 'GW', 'Guinea-Bissau', 'AFRO', '6', '2531', '0', '45');
INSERT INTO public.who_import VALUES (37324, '2021-01-25', 'GW', 'Guinea-Bissau', 'AFRO', '2', '2533', '0', '45');
INSERT INTO public.who_import VALUES (37325, '2021-01-26', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2533', '0', '45');
INSERT INTO public.who_import VALUES (37326, '2021-01-27', 'GW', 'Guinea-Bissau', 'AFRO', '9', '2542', '0', '45');
INSERT INTO public.who_import VALUES (37327, '2021-01-28', 'GW', 'Guinea-Bissau', 'AFRO', '2', '2544', '0', '45');
INSERT INTO public.who_import VALUES (37328, '2021-01-29', 'GW', 'Guinea-Bissau', 'AFRO', '61', '2605', '0', '45');
INSERT INTO public.who_import VALUES (37329, '2021-01-30', 'GW', 'Guinea-Bissau', 'AFRO', '9', '2614', '0', '45');
INSERT INTO public.who_import VALUES (37330, '2021-01-31', 'GW', 'Guinea-Bissau', 'AFRO', '9', '2623', '0', '45');
INSERT INTO public.who_import VALUES (37331, '2021-02-01', 'GW', 'Guinea-Bissau', 'AFRO', '12', '2635', '0', '45');
INSERT INTO public.who_import VALUES (37332, '2021-02-02', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2635', '0', '45');
INSERT INTO public.who_import VALUES (37333, '2021-02-03', 'GW', 'Guinea-Bissau', 'AFRO', '20', '2655', '0', '45');
INSERT INTO public.who_import VALUES (37334, '2021-02-04', 'GW', 'Guinea-Bissau', 'AFRO', '7', '2662', '0', '45');
INSERT INTO public.who_import VALUES (37335, '2021-02-05', 'GW', 'Guinea-Bissau', 'AFRO', '31', '2693', '1', '46');
INSERT INTO public.who_import VALUES (37336, '2021-02-06', 'GW', 'Guinea-Bissau', 'AFRO', '59', '2752', '0', '46');
INSERT INTO public.who_import VALUES (37337, '2021-02-07', 'GW', 'Guinea-Bissau', 'AFRO', '20', '2772', '0', '46');
INSERT INTO public.who_import VALUES (37338, '2021-02-08', 'GW', 'Guinea-Bissau', 'AFRO', '8', '2780', '0', '46');
INSERT INTO public.who_import VALUES (37339, '2021-02-09', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2780', '0', '46');
INSERT INTO public.who_import VALUES (37340, '2021-02-10', 'GW', 'Guinea-Bissau', 'AFRO', '30', '2810', '0', '46');
INSERT INTO public.who_import VALUES (37341, '2021-02-11', 'GW', 'Guinea-Bissau', 'AFRO', '16', '2826', '0', '46');
INSERT INTO public.who_import VALUES (37342, '2021-02-12', 'GW', 'Guinea-Bissau', 'AFRO', '22', '2848', '0', '46');
INSERT INTO public.who_import VALUES (37343, '2021-02-13', 'GW', 'Guinea-Bissau', 'AFRO', '21', '2869', '0', '46');
INSERT INTO public.who_import VALUES (37344, '2021-02-14', 'GW', 'Guinea-Bissau', 'AFRO', '16', '2885', '0', '46');
INSERT INTO public.who_import VALUES (37345, '2021-02-15', 'GW', 'Guinea-Bissau', 'AFRO', '39', '2924', '0', '46');
INSERT INTO public.who_import VALUES (37346, '2021-02-16', 'GW', 'Guinea-Bissau', 'AFRO', '0', '2924', '0', '46');
INSERT INTO public.who_import VALUES (37347, '2021-02-17', 'GW', 'Guinea-Bissau', 'AFRO', '26', '2950', '0', '46');
INSERT INTO public.who_import VALUES (37348, '2021-02-18', 'GW', 'Guinea-Bissau', 'AFRO', '49', '2999', '0', '46');
INSERT INTO public.who_import VALUES (37349, '2021-02-19', 'GW', 'Guinea-Bissau', 'AFRO', '26', '3025', '0', '46');
INSERT INTO public.who_import VALUES (37350, '2021-02-20', 'GW', 'Guinea-Bissau', 'AFRO', '39', '3064', '0', '46');
INSERT INTO public.who_import VALUES (37351, '2020-01-03', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37352, '2020-01-04', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37353, '2020-01-05', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37354, '2020-01-06', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37355, '2020-01-07', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37356, '2020-01-08', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37357, '2020-01-09', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37358, '2020-01-10', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37359, '2020-01-11', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37360, '2020-01-12', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37361, '2020-01-13', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37362, '2020-01-14', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37363, '2020-01-15', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37364, '2020-01-16', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37365, '2020-01-17', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37366, '2020-01-18', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37367, '2020-01-19', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37368, '2020-01-20', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37369, '2020-01-21', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37370, '2020-01-22', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37371, '2020-01-23', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37372, '2020-01-24', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37373, '2020-01-25', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37374, '2020-01-26', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37375, '2020-01-27', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37376, '2020-01-28', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37377, '2020-01-29', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37378, '2020-01-30', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37379, '2020-01-31', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37380, '2020-02-01', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37381, '2020-02-02', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37382, '2020-02-03', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37383, '2020-02-04', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37384, '2020-02-05', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37385, '2020-02-06', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37386, '2020-02-07', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37387, '2020-02-08', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37388, '2020-02-09', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37389, '2020-02-10', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37390, '2020-02-11', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37391, '2020-02-12', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37392, '2020-02-13', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37393, '2020-02-14', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37394, '2020-02-15', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37395, '2020-02-16', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37396, '2020-02-17', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37397, '2020-02-18', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37398, '2020-02-19', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37399, '2020-02-20', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37400, '2020-02-21', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37401, '2020-02-22', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37402, '2020-02-23', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37403, '2020-02-24', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37404, '2020-02-25', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37405, '2020-02-26', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37406, '2020-02-27', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37407, '2020-02-28', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37408, '2020-02-29', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37409, '2020-03-01', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37410, '2020-03-02', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37411, '2020-03-03', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37412, '2020-03-04', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37413, '2020-03-05', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37414, '2020-03-06', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37415, '2020-03-07', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37416, '2020-03-08', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37417, '2020-03-09', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37418, '2020-03-10', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37419, '2020-03-11', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37420, '2020-03-12', 'GY', 'Guyana', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37421, '2020-03-13', 'GY', 'Guyana', 'AMRO', '5', '5', '1', '1');
INSERT INTO public.who_import VALUES (37422, '2020-03-14', 'GY', 'Guyana', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (37423, '2020-03-15', 'GY', 'Guyana', 'AMRO', '3', '8', '0', '1');
INSERT INTO public.who_import VALUES (37424, '2020-03-16', 'GY', 'Guyana', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (37425, '2020-03-17', 'GY', 'Guyana', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (37426, '2020-03-18', 'GY', 'Guyana', 'AMRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (37427, '2020-03-19', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37428, '2020-03-20', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37429, '2020-03-21', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37430, '2020-03-22', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37431, '2020-03-23', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37432, '2020-03-24', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37433, '2020-03-25', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37434, '2020-03-26', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37435, '2020-03-27', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37436, '2020-03-28', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37437, '2020-03-29', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37438, '2020-03-30', 'GY', 'Guyana', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (37439, '2020-03-31', 'GY', 'Guyana', 'AMRO', '-1', '8', '0', '1');
INSERT INTO public.who_import VALUES (37440, '2020-04-01', 'GY', 'Guyana', 'AMRO', '4', '12', '1', '2');
INSERT INTO public.who_import VALUES (37441, '2020-04-02', 'GY', 'Guyana', 'AMRO', '7', '19', '0', '2');
INSERT INTO public.who_import VALUES (37442, '2020-04-03', 'GY', 'Guyana', 'AMRO', '0', '19', '2', '4');
INSERT INTO public.who_import VALUES (37443, '2020-04-04', 'GY', 'Guyana', 'AMRO', '0', '19', '0', '4');
INSERT INTO public.who_import VALUES (37444, '2020-04-05', 'GY', 'Guyana', 'AMRO', '4', '23', '0', '4');
INSERT INTO public.who_import VALUES (37445, '2020-04-06', 'GY', 'Guyana', 'AMRO', '1', '24', '0', '4');
INSERT INTO public.who_import VALUES (37446, '2020-04-07', 'GY', 'Guyana', 'AMRO', '5', '29', '0', '4');
INSERT INTO public.who_import VALUES (37447, '2020-04-08', 'GY', 'Guyana', 'AMRO', '2', '31', '1', '5');
INSERT INTO public.who_import VALUES (37448, '2020-04-09', 'GY', 'Guyana', 'AMRO', '2', '33', '0', '5');
INSERT INTO public.who_import VALUES (37449, '2020-04-10', 'GY', 'Guyana', 'AMRO', '4', '37', '1', '6');
INSERT INTO public.who_import VALUES (37450, '2020-04-11', 'GY', 'Guyana', 'AMRO', '0', '37', '0', '6');
INSERT INTO public.who_import VALUES (37451, '2020-04-12', 'GY', 'Guyana', 'AMRO', '0', '37', '0', '6');
INSERT INTO public.who_import VALUES (37452, '2020-04-13', 'GY', 'Guyana', 'AMRO', '0', '37', '0', '6');
INSERT INTO public.who_import VALUES (37453, '2020-04-14', 'GY', 'Guyana', 'AMRO', '10', '47', '0', '6');
INSERT INTO public.who_import VALUES (37454, '2020-04-15', 'GY', 'Guyana', 'AMRO', '0', '47', '0', '6');
INSERT INTO public.who_import VALUES (37455, '2020-04-16', 'GY', 'Guyana', 'AMRO', '1', '48', '0', '6');
INSERT INTO public.who_import VALUES (37456, '2020-04-17', 'GY', 'Guyana', 'AMRO', '7', '55', '0', '6');
INSERT INTO public.who_import VALUES (37457, '2020-04-18', 'GY', 'Guyana', 'AMRO', '2', '57', '0', '6');
INSERT INTO public.who_import VALUES (37458, '2020-04-19', 'GY', 'Guyana', 'AMRO', '6', '63', '0', '6');
INSERT INTO public.who_import VALUES (37459, '2020-04-20', 'GY', 'Guyana', 'AMRO', '0', '63', '1', '7');
INSERT INTO public.who_import VALUES (37460, '2020-04-21', 'GY', 'Guyana', 'AMRO', '2', '65', '0', '7');
INSERT INTO public.who_import VALUES (37461, '2020-04-22', 'GY', 'Guyana', 'AMRO', '1', '66', '0', '7');
INSERT INTO public.who_import VALUES (37462, '2020-04-23', 'GY', 'Guyana', 'AMRO', '1', '67', '0', '7');
INSERT INTO public.who_import VALUES (37463, '2020-04-24', 'GY', 'Guyana', 'AMRO', '0', '67', '0', '7');
INSERT INTO public.who_import VALUES (37464, '2020-04-25', 'GY', 'Guyana', 'AMRO', '3', '70', '0', '7');
INSERT INTO public.who_import VALUES (37465, '2020-04-26', 'GY', 'Guyana', 'AMRO', '3', '73', '0', '7');
INSERT INTO public.who_import VALUES (37466, '2020-04-27', 'GY', 'Guyana', 'AMRO', '1', '74', '1', '8');
INSERT INTO public.who_import VALUES (37467, '2020-04-28', 'GY', 'Guyana', 'AMRO', '0', '74', '0', '8');
INSERT INTO public.who_import VALUES (37468, '2020-04-29', 'GY', 'Guyana', 'AMRO', '0', '74', '0', '8');
INSERT INTO public.who_import VALUES (37469, '2020-04-30', 'GY', 'Guyana', 'AMRO', '1', '75', '0', '8');
INSERT INTO public.who_import VALUES (37470, '2020-05-01', 'GY', 'Guyana', 'AMRO', '3', '78', '0', '8');
INSERT INTO public.who_import VALUES (37471, '2020-05-02', 'GY', 'Guyana', 'AMRO', '4', '82', '1', '9');
INSERT INTO public.who_import VALUES (37472, '2020-05-03', 'GY', 'Guyana', 'AMRO', '0', '82', '0', '9');
INSERT INTO public.who_import VALUES (37473, '2020-05-04', 'GY', 'Guyana', 'AMRO', '0', '82', '0', '9');
INSERT INTO public.who_import VALUES (37474, '2020-05-05', 'GY', 'Guyana', 'AMRO', '0', '82', '0', '9');
INSERT INTO public.who_import VALUES (37475, '2020-05-06', 'GY', 'Guyana', 'AMRO', '10', '92', '0', '9');
INSERT INTO public.who_import VALUES (37476, '2020-05-07', 'GY', 'Guyana', 'AMRO', '1', '93', '1', '10');
INSERT INTO public.who_import VALUES (37477, '2020-05-08', 'GY', 'Guyana', 'AMRO', '0', '93', '0', '10');
INSERT INTO public.who_import VALUES (37478, '2020-05-09', 'GY', 'Guyana', 'AMRO', '0', '93', '0', '10');
INSERT INTO public.who_import VALUES (37479, '2020-05-10', 'GY', 'Guyana', 'AMRO', '0', '93', '0', '10');
INSERT INTO public.who_import VALUES (37480, '2020-05-11', 'GY', 'Guyana', 'AMRO', '4', '97', '0', '10');
INSERT INTO public.who_import VALUES (37481, '2020-05-12', 'GY', 'Guyana', 'AMRO', '7', '104', '0', '10');
INSERT INTO public.who_import VALUES (37482, '2020-05-13', 'GY', 'Guyana', 'AMRO', '5', '109', '0', '10');
INSERT INTO public.who_import VALUES (37483, '2020-05-14', 'GY', 'Guyana', 'AMRO', '4', '113', '0', '10');
INSERT INTO public.who_import VALUES (37484, '2020-05-15', 'GY', 'Guyana', 'AMRO', '0', '113', '0', '10');
INSERT INTO public.who_import VALUES (37485, '2020-05-16', 'GY', 'Guyana', 'AMRO', '0', '113', '0', '10');
INSERT INTO public.who_import VALUES (37486, '2020-05-17', 'GY', 'Guyana', 'AMRO', '3', '116', '0', '10');
INSERT INTO public.who_import VALUES (37487, '2020-05-18', 'GY', 'Guyana', 'AMRO', '1', '117', '0', '10');
INSERT INTO public.who_import VALUES (37488, '2020-05-19', 'GY', 'Guyana', 'AMRO', '0', '117', '0', '10');
INSERT INTO public.who_import VALUES (37489, '2020-05-20', 'GY', 'Guyana', 'AMRO', '7', '124', '0', '10');
INSERT INTO public.who_import VALUES (37490, '2020-05-21', 'GY', 'Guyana', 'AMRO', '1', '125', '0', '10');
INSERT INTO public.who_import VALUES (37491, '2020-05-22', 'GY', 'Guyana', 'AMRO', '0', '125', '0', '10');
INSERT INTO public.who_import VALUES (37492, '2020-05-23', 'GY', 'Guyana', 'AMRO', '2', '127', '0', '10');
INSERT INTO public.who_import VALUES (37493, '2020-05-24', 'GY', 'Guyana', 'AMRO', '0', '127', '0', '10');
INSERT INTO public.who_import VALUES (37494, '2020-05-25', 'GY', 'Guyana', 'AMRO', '0', '127', '0', '10');
INSERT INTO public.who_import VALUES (37495, '2020-05-26', 'GY', 'Guyana', 'AMRO', '8', '135', '0', '10');
INSERT INTO public.who_import VALUES (37496, '2020-05-27', 'GY', 'Guyana', 'AMRO', '2', '137', '1', '11');
INSERT INTO public.who_import VALUES (37497, '2020-05-28', 'GY', 'Guyana', 'AMRO', '2', '139', '0', '11');
INSERT INTO public.who_import VALUES (37498, '2020-05-29', 'GY', 'Guyana', 'AMRO', '0', '139', '0', '11');
INSERT INTO public.who_import VALUES (37499, '2020-05-30', 'GY', 'Guyana', 'AMRO', '11', '150', '0', '11');
INSERT INTO public.who_import VALUES (37500, '2020-05-31', 'GY', 'Guyana', 'AMRO', '0', '150', '0', '11');
INSERT INTO public.who_import VALUES (37501, '2020-06-01', 'GY', 'Guyana', 'AMRO', '2', '152', '1', '12');
INSERT INTO public.who_import VALUES (37502, '2020-06-02', 'GY', 'Guyana', 'AMRO', '1', '153', '0', '12');
INSERT INTO public.who_import VALUES (37503, '2020-06-03', 'GY', 'Guyana', 'AMRO', '0', '153', '0', '12');
INSERT INTO public.who_import VALUES (37504, '2020-06-04', 'GY', 'Guyana', 'AMRO', '0', '153', '0', '12');
INSERT INTO public.who_import VALUES (37505, '2020-06-05', 'GY', 'Guyana', 'AMRO', '0', '153', '0', '12');
INSERT INTO public.who_import VALUES (37506, '2020-06-06', 'GY', 'Guyana', 'AMRO', '0', '153', '0', '12');
INSERT INTO public.who_import VALUES (37507, '2020-06-07', 'GY', 'Guyana', 'AMRO', '0', '153', '0', '12');
INSERT INTO public.who_import VALUES (37508, '2020-06-08', 'GY', 'Guyana', 'AMRO', '1', '154', '0', '12');
INSERT INTO public.who_import VALUES (37509, '2020-06-09', 'GY', 'Guyana', 'AMRO', '0', '154', '0', '12');
INSERT INTO public.who_import VALUES (37510, '2020-06-10', 'GY', 'Guyana', 'AMRO', '0', '154', '0', '12');
INSERT INTO public.who_import VALUES (37511, '2020-06-11', 'GY', 'Guyana', 'AMRO', '2', '156', '0', '12');
INSERT INTO public.who_import VALUES (37512, '2020-06-12', 'GY', 'Guyana', 'AMRO', '0', '156', '0', '12');
INSERT INTO public.who_import VALUES (37513, '2020-06-13', 'GY', 'Guyana', 'AMRO', '2', '158', '0', '12');
INSERT INTO public.who_import VALUES (37514, '2020-06-14', 'GY', 'Guyana', 'AMRO', '1', '159', '0', '12');
INSERT INTO public.who_import VALUES (37515, '2020-06-15', 'GY', 'Guyana', 'AMRO', '0', '159', '0', '12');
INSERT INTO public.who_import VALUES (37516, '2020-06-16', 'GY', 'Guyana', 'AMRO', '0', '159', '0', '12');
INSERT INTO public.who_import VALUES (37517, '2020-06-17', 'GY', 'Guyana', 'AMRO', '0', '159', '0', '12');
INSERT INTO public.who_import VALUES (37518, '2020-06-18', 'GY', 'Guyana', 'AMRO', '12', '171', '0', '12');
INSERT INTO public.who_import VALUES (37519, '2020-06-19', 'GY', 'Guyana', 'AMRO', '12', '183', '0', '12');
INSERT INTO public.who_import VALUES (37520, '2020-06-20', 'GY', 'Guyana', 'AMRO', '0', '183', '0', '12');
INSERT INTO public.who_import VALUES (37521, '2020-06-21', 'GY', 'Guyana', 'AMRO', '0', '183', '0', '12');
INSERT INTO public.who_import VALUES (37522, '2020-06-22', 'GY', 'Guyana', 'AMRO', '0', '183', '0', '12');
INSERT INTO public.who_import VALUES (37523, '2020-06-23', 'GY', 'Guyana', 'AMRO', '1', '184', '0', '12');
INSERT INTO public.who_import VALUES (37524, '2020-06-24', 'GY', 'Guyana', 'AMRO', '21', '205', '0', '12');
INSERT INTO public.who_import VALUES (37525, '2020-06-25', 'GY', 'Guyana', 'AMRO', '1', '206', '0', '12');
INSERT INTO public.who_import VALUES (37526, '2020-06-26', 'GY', 'Guyana', 'AMRO', '3', '209', '0', '12');
INSERT INTO public.who_import VALUES (37527, '2020-06-27', 'GY', 'Guyana', 'AMRO', '6', '215', '0', '12');
INSERT INTO public.who_import VALUES (37528, '2020-06-28', 'GY', 'Guyana', 'AMRO', '15', '230', '0', '12');
INSERT INTO public.who_import VALUES (37529, '2020-06-29', 'GY', 'Guyana', 'AMRO', '0', '230', '0', '12');
INSERT INTO public.who_import VALUES (37530, '2020-06-30', 'GY', 'Guyana', 'AMRO', '0', '230', '0', '12');
INSERT INTO public.who_import VALUES (37531, '2020-07-01', 'GY', 'Guyana', 'AMRO', '5', '235', '0', '12');
INSERT INTO public.who_import VALUES (37532, '2020-07-02', 'GY', 'Guyana', 'AMRO', '10', '245', '0', '12');
INSERT INTO public.who_import VALUES (37533, '2020-07-03', 'GY', 'Guyana', 'AMRO', '3', '248', '0', '12');
INSERT INTO public.who_import VALUES (37534, '2020-07-04', 'GY', 'Guyana', 'AMRO', '2', '250', '2', '14');
INSERT INTO public.who_import VALUES (37535, '2020-07-05', 'GY', 'Guyana', 'AMRO', '6', '256', '0', '14');
INSERT INTO public.who_import VALUES (37536, '2020-07-06', 'GY', 'Guyana', 'AMRO', '16', '272', '0', '14');
INSERT INTO public.who_import VALUES (37537, '2020-07-07', 'GY', 'Guyana', 'AMRO', '1', '273', '1', '15');
INSERT INTO public.who_import VALUES (37538, '2020-07-08', 'GY', 'Guyana', 'AMRO', '5', '278', '1', '16');
INSERT INTO public.who_import VALUES (37539, '2020-07-09', 'GY', 'Guyana', 'AMRO', '6', '284', '0', '16');
INSERT INTO public.who_import VALUES (37540, '2020-07-10', 'GY', 'Guyana', 'AMRO', '1', '285', '0', '16');
INSERT INTO public.who_import VALUES (37541, '2020-07-11', 'GY', 'Guyana', 'AMRO', '1', '286', '0', '16');
INSERT INTO public.who_import VALUES (37542, '2020-07-12', 'GY', 'Guyana', 'AMRO', '4', '290', '0', '16');
INSERT INTO public.who_import VALUES (37543, '2020-07-13', 'GY', 'Guyana', 'AMRO', '1', '291', '1', '17');
INSERT INTO public.who_import VALUES (37544, '2020-07-14', 'GY', 'Guyana', 'AMRO', '6', '297', '0', '17');
INSERT INTO public.who_import VALUES (37545, '2020-07-15', 'GY', 'Guyana', 'AMRO', '3', '300', '0', '17');
INSERT INTO public.who_import VALUES (37546, '2020-07-16', 'GY', 'Guyana', 'AMRO', '8', '308', '1', '18');
INSERT INTO public.who_import VALUES (37547, '2020-07-17', 'GY', 'Guyana', 'AMRO', '5', '313', '1', '19');
INSERT INTO public.who_import VALUES (37548, '2020-07-18', 'GY', 'Guyana', 'AMRO', '2', '315', '0', '19');
INSERT INTO public.who_import VALUES (37549, '2020-07-19', 'GY', 'Guyana', 'AMRO', '5', '320', '0', '19');
INSERT INTO public.who_import VALUES (37550, '2020-07-20', 'GY', 'Guyana', 'AMRO', '7', '327', '0', '19');
INSERT INTO public.who_import VALUES (37551, '2020-07-21', 'GY', 'Guyana', 'AMRO', '9', '336', '0', '19');
INSERT INTO public.who_import VALUES (37552, '2020-07-22', 'GY', 'Guyana', 'AMRO', '1', '337', '0', '19');
INSERT INTO public.who_import VALUES (37553, '2020-07-23', 'GY', 'Guyana', 'AMRO', '2', '339', '0', '19');
INSERT INTO public.who_import VALUES (37554, '2020-07-24', 'GY', 'Guyana', 'AMRO', '11', '350', '0', '19');
INSERT INTO public.who_import VALUES (37555, '2020-07-25', 'GY', 'Guyana', 'AMRO', '1', '351', '0', '19');
INSERT INTO public.who_import VALUES (37556, '2020-07-26', 'GY', 'Guyana', 'AMRO', '1', '352', '1', '20');
INSERT INTO public.who_import VALUES (37557, '2020-07-27', 'GY', 'Guyana', 'AMRO', '8', '360', '0', '20');
INSERT INTO public.who_import VALUES (37558, '2020-07-28', 'GY', 'Guyana', 'AMRO', '10', '370', '0', '20');
INSERT INTO public.who_import VALUES (37559, '2020-07-29', 'GY', 'Guyana', 'AMRO', '19', '389', '0', '20');
INSERT INTO public.who_import VALUES (37560, '2020-07-30', 'GY', 'Guyana', 'AMRO', '7', '396', '0', '20');
INSERT INTO public.who_import VALUES (37561, '2020-07-31', 'GY', 'Guyana', 'AMRO', '2', '398', '0', '20');
INSERT INTO public.who_import VALUES (37562, '2020-08-01', 'GY', 'Guyana', 'AMRO', '3', '401', '0', '20');
INSERT INTO public.who_import VALUES (37563, '2020-08-02', 'GY', 'Guyana', 'AMRO', '12', '413', '0', '20');
INSERT INTO public.who_import VALUES (37564, '2020-08-03', 'GY', 'Guyana', 'AMRO', '17', '430', '0', '20');
INSERT INTO public.who_import VALUES (37565, '2020-08-04', 'GY', 'Guyana', 'AMRO', '44', '474', '1', '21');
INSERT INTO public.who_import VALUES (37566, '2020-08-05', 'GY', 'Guyana', 'AMRO', '0', '474', '0', '21');
INSERT INTO public.who_import VALUES (37567, '2020-08-06', 'GY', 'Guyana', 'AMRO', '23', '497', '1', '22');
INSERT INTO public.who_import VALUES (37568, '2020-08-07', 'GY', 'Guyana', 'AMRO', '12', '509', '0', '22');
INSERT INTO public.who_import VALUES (37569, '2020-08-08', 'GY', 'Guyana', 'AMRO', '29', '538', '0', '22');
INSERT INTO public.who_import VALUES (37570, '2020-08-09', 'GY', 'Guyana', 'AMRO', '0', '538', '0', '22');
INSERT INTO public.who_import VALUES (37571, '2020-08-10', 'GY', 'Guyana', 'AMRO', '16', '554', '0', '22');
INSERT INTO public.who_import VALUES (37572, '2020-08-11', 'GY', 'Guyana', 'AMRO', '14', '568', '0', '22');
INSERT INTO public.who_import VALUES (37573, '2020-08-12', 'GY', 'Guyana', 'AMRO', '0', '568', '0', '22');
INSERT INTO public.who_import VALUES (37574, '2020-08-13', 'GY', 'Guyana', 'AMRO', '34', '602', '0', '22');
INSERT INTO public.who_import VALUES (37575, '2020-08-14', 'GY', 'Guyana', 'AMRO', '21', '623', '0', '22');
INSERT INTO public.who_import VALUES (37576, '2020-08-15', 'GY', 'Guyana', 'AMRO', '8', '631', '0', '22');
INSERT INTO public.who_import VALUES (37577, '2020-08-16', 'GY', 'Guyana', 'AMRO', '18', '649', '0', '22');
INSERT INTO public.who_import VALUES (37578, '2020-08-17', 'GY', 'Guyana', 'AMRO', '25', '674', '0', '22');
INSERT INTO public.who_import VALUES (37579, '2020-08-18', 'GY', 'Guyana', 'AMRO', '35', '709', '1', '23');
INSERT INTO public.who_import VALUES (37580, '2020-08-19', 'GY', 'Guyana', 'AMRO', '0', '709', '0', '23');
INSERT INTO public.who_import VALUES (37581, '2020-08-20', 'GY', 'Guyana', 'AMRO', '28', '737', '3', '26');
INSERT INTO public.who_import VALUES (37582, '2020-08-21', 'GY', 'Guyana', 'AMRO', '39', '776', '3', '29');
INSERT INTO public.who_import VALUES (37583, '2020-08-22', 'GY', 'Guyana', 'AMRO', '70', '846', '0', '29');
INSERT INTO public.who_import VALUES (37584, '2020-08-23', 'GY', 'Guyana', 'AMRO', '35', '881', '1', '30');
INSERT INTO public.who_import VALUES (37585, '2020-08-24', 'GY', 'Guyana', 'AMRO', '44', '925', '1', '31');
INSERT INTO public.who_import VALUES (37586, '2020-08-25', 'GY', 'Guyana', 'AMRO', '30', '955', '0', '31');
INSERT INTO public.who_import VALUES (37587, '2020-08-26', 'GY', 'Guyana', 'AMRO', '74', '1029', '0', '31');
INSERT INTO public.who_import VALUES (37588, '2020-08-27', 'GY', 'Guyana', 'AMRO', '31', '1060', '0', '31');
INSERT INTO public.who_import VALUES (37589, '2020-08-28', 'GY', 'Guyana', 'AMRO', '33', '1093', '0', '31');
INSERT INTO public.who_import VALUES (37590, '2020-08-29', 'GY', 'Guyana', 'AMRO', '47', '1140', '1', '32');
INSERT INTO public.who_import VALUES (37591, '2020-08-30', 'GY', 'Guyana', 'AMRO', '40', '1180', '3', '35');
INSERT INTO public.who_import VALUES (37592, '2020-08-31', 'GY', 'Guyana', 'AMRO', '4', '1184', '0', '35');
INSERT INTO public.who_import VALUES (37593, '2020-09-01', 'GY', 'Guyana', 'AMRO', '50', '1234', '2', '37');
INSERT INTO public.who_import VALUES (37594, '2020-09-02', 'GY', 'Guyana', 'AMRO', '72', '1306', '2', '39');
INSERT INTO public.who_import VALUES (37595, '2020-09-03', 'GY', 'Guyana', 'AMRO', '67', '1373', '2', '41');
INSERT INTO public.who_import VALUES (37596, '2020-09-04', 'GY', 'Guyana', 'AMRO', '9', '1382', '0', '41');
INSERT INTO public.who_import VALUES (37597, '2020-09-05', 'GY', 'Guyana', 'AMRO', '19', '1401', '3', '44');
INSERT INTO public.who_import VALUES (37598, '2020-09-06', 'GY', 'Guyana', 'AMRO', '15', '1416', '0', '44');
INSERT INTO public.who_import VALUES (37599, '2020-09-07', 'GY', 'Guyana', 'AMRO', '43', '1459', '2', '46');
INSERT INTO public.who_import VALUES (37600, '2020-09-08', 'GY', 'Guyana', 'AMRO', '9', '1468', '0', '46');
INSERT INTO public.who_import VALUES (37601, '2020-09-09', 'GY', 'Guyana', 'AMRO', '92', '1560', '1', '47');
INSERT INTO public.who_import VALUES (37602, '2020-09-10', 'GY', 'Guyana', 'AMRO', '53', '1613', '1', '48');
INSERT INTO public.who_import VALUES (37603, '2020-09-11', 'GY', 'Guyana', 'AMRO', '90', '1703', '0', '48');
INSERT INTO public.who_import VALUES (37604, '2020-09-12', 'GY', 'Guyana', 'AMRO', '47', '1750', '1', '49');
INSERT INTO public.who_import VALUES (37605, '2020-09-13', 'GY', 'Guyana', 'AMRO', '13', '1763', '3', '52');
INSERT INTO public.who_import VALUES (37606, '2020-09-14', 'GY', 'Guyana', 'AMRO', '49', '1812', '2', '54');
INSERT INTO public.who_import VALUES (37607, '2020-09-15', 'GY', 'Guyana', 'AMRO', '41', '1853', '2', '56');
INSERT INTO public.who_import VALUES (37608, '2020-09-16', 'GY', 'Guyana', 'AMRO', '31', '1884', '0', '56');
INSERT INTO public.who_import VALUES (37609, '2020-09-17', 'GY', 'Guyana', 'AMRO', '74', '1958', '2', '58');
INSERT INTO public.who_import VALUES (37610, '2020-09-18', 'GY', 'Guyana', 'AMRO', '26', '1984', '2', '60');
INSERT INTO public.who_import VALUES (37611, '2020-09-19', 'GY', 'Guyana', 'AMRO', '43', '2027', '2', '62');
INSERT INTO public.who_import VALUES (37612, '2020-09-20', 'GY', 'Guyana', 'AMRO', '75', '2102', '0', '62');
INSERT INTO public.who_import VALUES (37613, '2020-09-21', 'GY', 'Guyana', 'AMRO', '66', '2168', '2', '64');
INSERT INTO public.who_import VALUES (37614, '2020-09-22', 'GY', 'Guyana', 'AMRO', '101', '2269', '0', '64');
INSERT INTO public.who_import VALUES (37615, '2020-09-23', 'GY', 'Guyana', 'AMRO', '133', '2402', '3', '67');
INSERT INTO public.who_import VALUES (37616, '2020-09-24', 'GY', 'Guyana', 'AMRO', '35', '2437', '1', '68');
INSERT INTO public.who_import VALUES (37617, '2020-09-25', 'GY', 'Guyana', 'AMRO', '98', '2535', '1', '69');
INSERT INTO public.who_import VALUES (37618, '2020-09-26', 'GY', 'Guyana', 'AMRO', '44', '2579', '2', '71');
INSERT INTO public.who_import VALUES (37619, '2020-09-27', 'GY', 'Guyana', 'AMRO', '130', '2709', '2', '73');
INSERT INTO public.who_import VALUES (37620, '2020-09-28', 'GY', 'Guyana', 'AMRO', '16', '2725', '1', '74');
INSERT INTO public.who_import VALUES (37621, '2020-09-29', 'GY', 'Guyana', 'AMRO', '47', '2772', '2', '76');
INSERT INTO public.who_import VALUES (37622, '2020-09-30', 'GY', 'Guyana', 'AMRO', '15', '2787', '2', '78');
INSERT INTO public.who_import VALUES (37623, '2020-10-01', 'GY', 'Guyana', 'AMRO', '59', '2846', '0', '78');
INSERT INTO public.who_import VALUES (37624, '2020-10-02', 'GY', 'Guyana', 'AMRO', '48', '2894', '2', '80');
INSERT INTO public.who_import VALUES (37625, '2020-10-03', 'GY', 'Guyana', 'AMRO', '35', '2929', '2', '82');
INSERT INTO public.who_import VALUES (37626, '2020-10-04', 'GY', 'Guyana', 'AMRO', '39', '2968', '3', '85');
INSERT INTO public.who_import VALUES (37627, '2020-10-05', 'GY', 'Guyana', 'AMRO', '37', '3005', '0', '85');
INSERT INTO public.who_import VALUES (37628, '2020-10-06', 'GY', 'Guyana', 'AMRO', '88', '3093', '2', '87');
INSERT INTO public.who_import VALUES (37629, '2020-10-07', 'GY', 'Guyana', 'AMRO', '95', '3188', '3', '90');
INSERT INTO public.who_import VALUES (37630, '2020-10-08', 'GY', 'Guyana', 'AMRO', '0', '3188', '2', '92');
INSERT INTO public.who_import VALUES (37631, '2020-10-09', 'GY', 'Guyana', 'AMRO', '104', '3292', '3', '95');
INSERT INTO public.who_import VALUES (37632, '2020-10-10', 'GY', 'Guyana', 'AMRO', '37', '3329', '3', '98');
INSERT INTO public.who_import VALUES (37633, '2020-10-11', 'GY', 'Guyana', 'AMRO', '29', '3358', '2', '100');
INSERT INTO public.who_import VALUES (37634, '2020-10-12', 'GY', 'Guyana', 'AMRO', '47', '3405', '2', '102');
INSERT INTO public.who_import VALUES (37635, '2020-10-13', 'GY', 'Guyana', 'AMRO', '64', '3469', '1', '103');
INSERT INTO public.who_import VALUES (37636, '2020-10-14', 'GY', 'Guyana', 'AMRO', '52', '3521', '1', '104');
INSERT INTO public.who_import VALUES (37637, '2020-10-15', 'GY', 'Guyana', 'AMRO', '44', '3565', '2', '106');
INSERT INTO public.who_import VALUES (37638, '2020-10-16', 'GY', 'Guyana', 'AMRO', '24', '3589', '0', '106');
INSERT INTO public.who_import VALUES (37639, '2020-10-17', 'GY', 'Guyana', 'AMRO', '31', '3620', '1', '107');
INSERT INTO public.who_import VALUES (37640, '2020-10-18', 'GY', 'Guyana', 'AMRO', '52', '3672', '0', '107');
INSERT INTO public.who_import VALUES (37641, '2020-10-19', 'GY', 'Guyana', 'AMRO', '38', '3710', '2', '109');
INSERT INTO public.who_import VALUES (37642, '2020-10-20', 'GY', 'Guyana', 'AMRO', '24', '3734', '0', '109');
INSERT INTO public.who_import VALUES (37643, '2020-10-21', 'GY', 'Guyana', 'AMRO', '31', '3765', '2', '111');
INSERT INTO public.who_import VALUES (37644, '2020-10-22', 'GY', 'Guyana', 'AMRO', '31', '3796', '3', '114');
INSERT INTO public.who_import VALUES (37645, '2020-10-23', 'GY', 'Guyana', 'AMRO', '54', '3850', '2', '116');
INSERT INTO public.who_import VALUES (37646, '2020-10-24', 'GY', 'Guyana', 'AMRO', '27', '3877', '1', '117');
INSERT INTO public.who_import VALUES (37647, '2020-10-25', 'GY', 'Guyana', 'AMRO', '83', '3960', '0', '117');
INSERT INTO public.who_import VALUES (37648, '2020-10-26', 'GY', 'Guyana', 'AMRO', '34', '3994', '0', '117');
INSERT INTO public.who_import VALUES (37649, '2020-10-27', 'GY', 'Guyana', 'AMRO', '29', '4023', '2', '119');
INSERT INTO public.who_import VALUES (37650, '2020-10-28', 'GY', 'Guyana', 'AMRO', '3', '4026', '0', '119');
INSERT INTO public.who_import VALUES (37651, '2020-10-29', 'GY', 'Guyana', 'AMRO', '35', '4061', '0', '119');
INSERT INTO public.who_import VALUES (37652, '2020-10-30', 'GY', 'Guyana', 'AMRO', '13', '4074', '4', '123');
INSERT INTO public.who_import VALUES (37653, '2020-10-31', 'GY', 'Guyana', 'AMRO', '24', '4098', '0', '123');
INSERT INTO public.who_import VALUES (37654, '2020-11-01', 'GY', 'Guyana', 'AMRO', '45', '4143', '1', '124');
INSERT INTO public.who_import VALUES (37655, '2020-11-02', 'GY', 'Guyana', 'AMRO', '19', '4162', '0', '124');
INSERT INTO public.who_import VALUES (37656, '2020-11-03', 'GY', 'Guyana', 'AMRO', '46', '4208', '2', '126');
INSERT INTO public.who_import VALUES (37657, '2020-11-04', 'GY', 'Guyana', 'AMRO', '30', '4238', '2', '128');
INSERT INTO public.who_import VALUES (37658, '2020-11-05', 'GY', 'Guyana', 'AMRO', '7', '4245', '0', '128');
INSERT INTO public.who_import VALUES (37659, '2020-11-06', 'GY', 'Guyana', 'AMRO', '79', '4324', '2', '130');
INSERT INTO public.who_import VALUES (37660, '2020-11-07', 'GY', 'Guyana', 'AMRO', '69', '4393', '0', '130');
INSERT INTO public.who_import VALUES (37661, '2020-11-08', 'GY', 'Guyana', 'AMRO', '64', '4457', '3', '133');
INSERT INTO public.who_import VALUES (37662, '2020-11-09', 'GY', 'Guyana', 'AMRO', '27', '4484', '1', '134');
INSERT INTO public.who_import VALUES (37663, '2020-11-10', 'GY', 'Guyana', 'AMRO', '30', '4514', '0', '134');
INSERT INTO public.who_import VALUES (37664, '2020-11-11', 'GY', 'Guyana', 'AMRO', '10', '4524', '1', '135');
INSERT INTO public.who_import VALUES (37665, '2020-11-12', 'GY', 'Guyana', 'AMRO', '6', '4530', '2', '137');
INSERT INTO public.who_import VALUES (37666, '2020-11-13', 'GY', 'Guyana', 'AMRO', '88', '4618', '0', '137');
INSERT INTO public.who_import VALUES (37667, '2020-11-14', 'GY', 'Guyana', 'AMRO', '44', '4662', '1', '138');
INSERT INTO public.who_import VALUES (37668, '2020-11-15', 'GY', 'Guyana', 'AMRO', '62', '4724', '0', '138');
INSERT INTO public.who_import VALUES (37669, '2020-11-16', 'GY', 'Guyana', 'AMRO', '70', '4794', '0', '138');
INSERT INTO public.who_import VALUES (37670, '2020-11-17', 'GY', 'Guyana', 'AMRO', '29', '4823', '1', '139');
INSERT INTO public.who_import VALUES (37671, '2020-11-18', 'GY', 'Guyana', 'AMRO', '51', '4874', '0', '139');
INSERT INTO public.who_import VALUES (37672, '2020-11-19', 'GY', 'Guyana', 'AMRO', '16', '4890', '1', '140');
INSERT INTO public.who_import VALUES (37673, '2020-11-20', 'GY', 'Guyana', 'AMRO', '24', '4914', '2', '142');
INSERT INTO public.who_import VALUES (37674, '2020-11-21', 'GY', 'Guyana', 'AMRO', '62', '4976', '1', '143');
INSERT INTO public.who_import VALUES (37675, '2020-11-22', 'GY', 'Guyana', 'AMRO', '29', '5005', '0', '143');
INSERT INTO public.who_import VALUES (37676, '2020-11-23', 'GY', 'Guyana', 'AMRO', '88', '5093', '0', '143');
INSERT INTO public.who_import VALUES (37677, '2020-11-24', 'GY', 'Guyana', 'AMRO', '40', '5133', '0', '143');
INSERT INTO public.who_import VALUES (37678, '2020-11-25', 'GY', 'Guyana', 'AMRO', '21', '5154', '3', '146');
INSERT INTO public.who_import VALUES (37679, '2020-11-26', 'GY', 'Guyana', 'AMRO', '35', '5189', '1', '147');
INSERT INTO public.who_import VALUES (37680, '2020-11-27', 'GY', 'Guyana', 'AMRO', '47', '5236', '0', '147');
INSERT INTO public.who_import VALUES (37681, '2020-11-28', 'GY', 'Guyana', 'AMRO', '40', '5276', '2', '149');
INSERT INTO public.who_import VALUES (37682, '2020-11-29', 'GY', 'Guyana', 'AMRO', '34', '5310', '0', '149');
INSERT INTO public.who_import VALUES (37683, '2020-11-30', 'GY', 'Guyana', 'AMRO', '28', '5338', '0', '149');
INSERT INTO public.who_import VALUES (37684, '2020-12-01', 'GY', 'Guyana', 'AMRO', '38', '5376', '1', '150');
INSERT INTO public.who_import VALUES (37685, '2020-12-02', 'GY', 'Guyana', 'AMRO', '30', '5406', '1', '151');
INSERT INTO public.who_import VALUES (37686, '2020-12-03', 'GY', 'Guyana', 'AMRO', '17', '5423', '0', '151');
INSERT INTO public.who_import VALUES (37687, '2020-12-04', 'GY', 'Guyana', 'AMRO', '26', '5449', '0', '151');
INSERT INTO public.who_import VALUES (37688, '2020-12-05', 'GY', 'Guyana', 'AMRO', '79', '5528', '0', '151');
INSERT INTO public.who_import VALUES (37689, '2020-12-06', 'GY', 'Guyana', 'AMRO', '73', '5601', '0', '151');
INSERT INTO public.who_import VALUES (37690, '2020-12-07', 'GY', 'Guyana', 'AMRO', '36', '5637', '0', '151');
INSERT INTO public.who_import VALUES (37691, '2020-12-08', 'GY', 'Guyana', 'AMRO', '28', '5665', '2', '153');
INSERT INTO public.who_import VALUES (37692, '2020-12-09', 'GY', 'Guyana', 'AMRO', '32', '5697', '1', '154');
INSERT INTO public.who_import VALUES (37693, '2020-12-10', 'GY', 'Guyana', 'AMRO', '3', '5700', '0', '154');
INSERT INTO public.who_import VALUES (37694, '2020-12-11', 'GY', 'Guyana', 'AMRO', '32', '5732', '0', '154');
INSERT INTO public.who_import VALUES (37695, '2020-12-12', 'GY', 'Guyana', 'AMRO', '79', '5811', '0', '154');
INSERT INTO public.who_import VALUES (37696, '2020-12-13', 'GY', 'Guyana', 'AMRO', '28', '5839', '0', '154');
INSERT INTO public.who_import VALUES (37697, '2020-12-14', 'GY', 'Guyana', 'AMRO', '40', '5879', '0', '154');
INSERT INTO public.who_import VALUES (37698, '2020-12-15', 'GY', 'Guyana', 'AMRO', '41', '5920', '1', '155');
INSERT INTO public.who_import VALUES (37699, '2020-12-16', 'GY', 'Guyana', 'AMRO', '23', '5943', '1', '156');
INSERT INTO public.who_import VALUES (37700, '2020-12-17', 'GY', 'Guyana', 'AMRO', '30', '5973', '0', '156');
INSERT INTO public.who_import VALUES (37701, '2020-12-18', 'GY', 'Guyana', 'AMRO', '43', '6016', '2', '158');
INSERT INTO public.who_import VALUES (37702, '2020-12-19', 'GY', 'Guyana', 'AMRO', '26', '6042', '0', '158');
INSERT INTO public.who_import VALUES (37703, '2020-12-20', 'GY', 'Guyana', 'AMRO', '34', '6076', '1', '159');
INSERT INTO public.who_import VALUES (37704, '2020-12-21', 'GY', 'Guyana', 'AMRO', '29', '6105', '0', '159');
INSERT INTO public.who_import VALUES (37705, '2020-12-22', 'GY', 'Guyana', 'AMRO', '20', '6125', '0', '159');
INSERT INTO public.who_import VALUES (37706, '2020-12-23', 'GY', 'Guyana', 'AMRO', '46', '6171', '0', '159');
INSERT INTO public.who_import VALUES (37707, '2020-12-24', 'GY', 'Guyana', 'AMRO', '45', '6216', '1', '160');
INSERT INTO public.who_import VALUES (37708, '2020-12-25', 'GY', 'Guyana', 'AMRO', '42', '6258', '2', '162');
INSERT INTO public.who_import VALUES (37709, '2020-12-26', 'GY', 'Guyana', 'AMRO', '8', '6266', '0', '162');
INSERT INTO public.who_import VALUES (37710, '2020-12-27', 'GY', 'Guyana', 'AMRO', '23', '6289', '0', '162');
INSERT INTO public.who_import VALUES (37711, '2020-12-28', 'GY', 'Guyana', 'AMRO', '4', '6293', '2', '164');
INSERT INTO public.who_import VALUES (37712, '2020-12-29', 'GY', 'Guyana', 'AMRO', '5', '6298', '0', '164');
INSERT INTO public.who_import VALUES (37713, '2020-12-30', 'GY', 'Guyana', 'AMRO', '0', '6298', '0', '164');
INSERT INTO public.who_import VALUES (37714, '2020-12-31', 'GY', 'Guyana', 'AMRO', '3', '6301', '0', '164');
INSERT INTO public.who_import VALUES (37715, '2021-01-01', 'GY', 'Guyana', 'AMRO', '18', '6319', '0', '164');
INSERT INTO public.who_import VALUES (37716, '2021-01-02', 'GY', 'Guyana', 'AMRO', '13', '6332', '0', '164');
INSERT INTO public.who_import VALUES (37717, '2021-01-03', 'GY', 'Guyana', 'AMRO', '19', '6351', '0', '164');
INSERT INTO public.who_import VALUES (37718, '2021-01-04', 'GY', 'Guyana', 'AMRO', '7', '6358', '0', '164');
INSERT INTO public.who_import VALUES (37719, '2021-01-05', 'GY', 'Guyana', 'AMRO', '0', '6358', '0', '164');
INSERT INTO public.who_import VALUES (37720, '2021-01-06', 'GY', 'Guyana', 'AMRO', '21', '6379', '2', '166');
INSERT INTO public.who_import VALUES (37721, '2021-01-07', 'GY', 'Guyana', 'AMRO', '28', '6407', '0', '166');
INSERT INTO public.who_import VALUES (37722, '2021-01-08', 'GY', 'Guyana', 'AMRO', '0', '6407', '0', '166');
INSERT INTO public.who_import VALUES (37723, '2021-01-09', 'GY', 'Guyana', 'AMRO', '62', '6469', '1', '167');
INSERT INTO public.who_import VALUES (37724, '2021-01-10', 'GY', 'Guyana', 'AMRO', '0', '6469', '0', '167');
INSERT INTO public.who_import VALUES (37725, '2021-01-11', 'GY', 'Guyana', 'AMRO', '72', '6541', '0', '167');
INSERT INTO public.who_import VALUES (37726, '2021-01-12', 'GY', 'Guyana', 'AMRO', '33', '6574', '2', '169');
INSERT INTO public.who_import VALUES (37727, '2021-01-13', 'GY', 'Guyana', 'AMRO', '14', '6588', '1', '170');
INSERT INTO public.who_import VALUES (37728, '2021-01-14', 'GY', 'Guyana', 'AMRO', '65', '6653', '0', '170');
INSERT INTO public.who_import VALUES (37729, '2021-01-15', 'GY', 'Guyana', 'AMRO', '43', '6696', '0', '170');
INSERT INTO public.who_import VALUES (37730, '2021-01-16', 'GY', 'Guyana', 'AMRO', '49', '6745', '0', '170');
INSERT INTO public.who_import VALUES (37731, '2021-01-17', 'GY', 'Guyana', 'AMRO', '60', '6805', '0', '170');
INSERT INTO public.who_import VALUES (37732, '2021-01-18', 'GY', 'Guyana', 'AMRO', '46', '6851', '0', '170');
INSERT INTO public.who_import VALUES (37733, '2021-01-19', 'GY', 'Guyana', 'AMRO', '57', '6908', '0', '170');
INSERT INTO public.who_import VALUES (37734, '2021-01-20', 'GY', 'Guyana', 'AMRO', '23', '6931', '0', '170');
INSERT INTO public.who_import VALUES (37735, '2021-01-21', 'GY', 'Guyana', 'AMRO', '19', '6950', '0', '170');
INSERT INTO public.who_import VALUES (37736, '2021-01-22', 'GY', 'Guyana', 'AMRO', '65', '7015', '0', '170');
INSERT INTO public.who_import VALUES (37737, '2021-01-23', 'GY', 'Guyana', 'AMRO', '52', '7067', '0', '170');
INSERT INTO public.who_import VALUES (37738, '2021-01-24', 'GY', 'Guyana', 'AMRO', '76', '7143', '0', '170');
INSERT INTO public.who_import VALUES (37739, '2021-01-25', 'GY', 'Guyana', 'AMRO', '79', '7222', '0', '170');
INSERT INTO public.who_import VALUES (37740, '2021-01-26', 'GY', 'Guyana', 'AMRO', '76', '7298', '2', '172');
INSERT INTO public.who_import VALUES (37741, '2021-01-27', 'GY', 'Guyana', 'AMRO', '19', '7317', '0', '172');
INSERT INTO public.who_import VALUES (37742, '2021-01-28', 'GY', 'Guyana', 'AMRO', '29', '7346', '0', '172');
INSERT INTO public.who_import VALUES (37743, '2021-01-29', 'GY', 'Guyana', 'AMRO', '34', '7380', '2', '174');
INSERT INTO public.who_import VALUES (37744, '2021-01-30', 'GY', 'Guyana', 'AMRO', '90', '7470', '1', '175');
INSERT INTO public.who_import VALUES (37745, '2021-01-31', 'GY', 'Guyana', 'AMRO', '58', '7528', '0', '175');
INSERT INTO public.who_import VALUES (37746, '2021-02-01', 'GY', 'Guyana', 'AMRO', '53', '7581', '1', '176');
INSERT INTO public.who_import VALUES (37747, '2021-02-02', 'GY', 'Guyana', 'AMRO', '60', '7641', '0', '176');
INSERT INTO public.who_import VALUES (37748, '2021-02-03', 'GY', 'Guyana', 'AMRO', '13', '7654', '1', '177');
INSERT INTO public.who_import VALUES (37749, '2021-02-04', 'GY', 'Guyana', 'AMRO', '24', '7678', '0', '177');
INSERT INTO public.who_import VALUES (37750, '2021-02-05', 'GY', 'Guyana', 'AMRO', '36', '7714', '0', '177');
INSERT INTO public.who_import VALUES (37751, '2021-02-06', 'GY', 'Guyana', 'AMRO', '66', '7780', '0', '177');
INSERT INTO public.who_import VALUES (37752, '2021-02-07', 'GY', 'Guyana', 'AMRO', '107', '7887', '2', '179');
INSERT INTO public.who_import VALUES (37753, '2021-02-08', 'GY', 'Guyana', 'AMRO', '52', '7939', '1', '180');
INSERT INTO public.who_import VALUES (37754, '2021-02-09', 'GY', 'Guyana', 'AMRO', '43', '7982', '0', '180');
INSERT INTO public.who_import VALUES (37755, '2021-02-10', 'GY', 'Guyana', 'AMRO', '41', '8023', '1', '181');
INSERT INTO public.who_import VALUES (37756, '2021-02-11', 'GY', 'Guyana', 'AMRO', '18', '8041', '0', '181');
INSERT INTO public.who_import VALUES (37757, '2021-02-12', 'GY', 'Guyana', 'AMRO', '51', '8092', '1', '182');
INSERT INTO public.who_import VALUES (37758, '2021-02-13', 'GY', 'Guyana', 'AMRO', '43', '8135', '2', '184');
INSERT INTO public.who_import VALUES (37759, '2021-02-14', 'GY', 'Guyana', 'AMRO', '46', '8181', '2', '186');
INSERT INTO public.who_import VALUES (37760, '2021-02-15', 'GY', 'Guyana', 'AMRO', '26', '8207', '0', '186');
INSERT INTO public.who_import VALUES (37761, '2021-02-16', 'GY', 'Guyana', 'AMRO', '24', '8231', '0', '186');
INSERT INTO public.who_import VALUES (37762, '2021-02-17', 'GY', 'Guyana', 'AMRO', '1', '8232', '0', '186');
INSERT INTO public.who_import VALUES (37763, '2021-02-18', 'GY', 'Guyana', 'AMRO', '30', '8262', '2', '188');
INSERT INTO public.who_import VALUES (37764, '2021-02-19', 'GY', 'Guyana', 'AMRO', '51', '8313', '1', '189');
INSERT INTO public.who_import VALUES (37765, '2021-02-20', 'GY', 'Guyana', 'AMRO', '25', '8338', '0', '189');
INSERT INTO public.who_import VALUES (37766, '2020-01-03', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37767, '2020-01-04', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37768, '2020-01-05', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37769, '2020-01-06', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37770, '2020-01-07', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37771, '2020-01-08', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37772, '2020-01-09', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37773, '2020-01-10', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37774, '2020-01-11', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37775, '2020-01-12', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37776, '2020-01-13', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37777, '2020-01-14', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37778, '2020-01-15', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37779, '2020-01-16', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37780, '2020-01-17', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37781, '2020-01-18', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37782, '2020-01-19', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37783, '2020-01-20', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37784, '2020-01-21', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37785, '2020-01-22', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37786, '2020-01-23', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37787, '2020-01-24', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37788, '2020-01-25', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37789, '2020-01-26', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37790, '2020-01-27', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37791, '2020-01-28', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37792, '2020-01-29', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37793, '2020-01-30', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37794, '2020-01-31', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37795, '2020-02-01', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37796, '2020-02-02', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37797, '2020-02-03', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37798, '2020-02-04', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37799, '2020-02-05', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37800, '2020-02-06', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37801, '2020-02-07', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37802, '2020-02-08', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37803, '2020-02-09', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37804, '2020-02-10', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37805, '2020-02-11', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37806, '2020-02-12', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37807, '2020-02-13', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37808, '2020-02-14', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37809, '2020-02-15', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37810, '2020-02-16', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37811, '2020-02-17', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37812, '2020-02-18', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37813, '2020-02-19', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37814, '2020-02-20', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37815, '2020-02-21', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37816, '2020-02-22', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37817, '2020-02-23', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37818, '2020-02-24', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37819, '2020-02-25', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37820, '2020-02-26', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37821, '2020-02-27', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37822, '2020-02-28', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37823, '2020-02-29', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37824, '2020-03-01', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37825, '2020-03-02', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37826, '2020-03-03', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37827, '2020-03-04', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37828, '2020-03-05', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37829, '2020-03-06', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37830, '2020-03-07', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37831, '2020-03-08', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37832, '2020-03-09', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37833, '2020-03-10', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37834, '2020-03-11', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37835, '2020-03-12', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37836, '2020-03-13', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37837, '2020-03-14', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37838, '2020-03-15', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37839, '2020-03-16', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37840, '2020-03-17', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37841, '2020-03-18', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37842, '2020-03-19', 'HT', 'Haiti', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (37843, '2020-03-20', 'HT', 'Haiti', 'AMRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (37844, '2020-03-21', 'HT', 'Haiti', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37845, '2020-03-22', 'HT', 'Haiti', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37846, '2020-03-23', 'HT', 'Haiti', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (37847, '2020-03-24', 'HT', 'Haiti', 'AMRO', '5', '7', '0', '0');
INSERT INTO public.who_import VALUES (37848, '2020-03-25', 'HT', 'Haiti', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (37849, '2020-03-26', 'HT', 'Haiti', 'AMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (37850, '2020-03-27', 'HT', 'Haiti', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (37851, '2020-03-28', 'HT', 'Haiti', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (37852, '2020-03-29', 'HT', 'Haiti', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (37853, '2020-03-30', 'HT', 'Haiti', 'AMRO', '7', '15', '0', '0');
INSERT INTO public.who_import VALUES (37854, '2020-03-31', 'HT', 'Haiti', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (37855, '2020-04-01', 'HT', 'Haiti', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (37856, '2020-04-02', 'HT', 'Haiti', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (37857, '2020-04-03', 'HT', 'Haiti', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (37858, '2020-04-04', 'HT', 'Haiti', 'AMRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (37859, '2020-04-05', 'HT', 'Haiti', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (37860, '2020-04-06', 'HT', 'Haiti', 'AMRO', '3', '21', '0', '0');
INSERT INTO public.who_import VALUES (37861, '2020-04-07', 'HT', 'Haiti', 'AMRO', '3', '24', '1', '1');
INSERT INTO public.who_import VALUES (37862, '2020-04-08', 'HT', 'Haiti', 'AMRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (37863, '2020-04-09', 'HT', 'Haiti', 'AMRO', '2', '27', '0', '1');
INSERT INTO public.who_import VALUES (37864, '2020-04-10', 'HT', 'Haiti', 'AMRO', '3', '30', '1', '2');
INSERT INTO public.who_import VALUES (37865, '2020-04-11', 'HT', 'Haiti', 'AMRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (37866, '2020-04-12', 'HT', 'Haiti', 'AMRO', '1', '31', '0', '2');
INSERT INTO public.who_import VALUES (37867, '2020-04-13', 'HT', 'Haiti', 'AMRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (37868, '2020-04-14', 'HT', 'Haiti', 'AMRO', '9', '40', '1', '3');
INSERT INTO public.who_import VALUES (37869, '2020-04-15', 'HT', 'Haiti', 'AMRO', '0', '40', '0', '3');
INSERT INTO public.who_import VALUES (37870, '2020-04-16', 'HT', 'Haiti', 'AMRO', '1', '41', '0', '3');
INSERT INTO public.who_import VALUES (37871, '2020-04-17', 'HT', 'Haiti', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (37872, '2020-04-18', 'HT', 'Haiti', 'AMRO', '2', '43', '0', '3');
INSERT INTO public.who_import VALUES (37873, '2020-04-19', 'HT', 'Haiti', 'AMRO', '1', '44', '0', '3');
INSERT INTO public.who_import VALUES (37874, '2020-04-20', 'HT', 'Haiti', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (37875, '2020-04-21', 'HT', 'Haiti', 'AMRO', '3', '47', '0', '3');
INSERT INTO public.who_import VALUES (37876, '2020-04-22', 'HT', 'Haiti', 'AMRO', '10', '57', '0', '3');
INSERT INTO public.who_import VALUES (37877, '2020-04-23', 'HT', 'Haiti', 'AMRO', '1', '58', '1', '4');
INSERT INTO public.who_import VALUES (37878, '2020-04-24', 'HT', 'Haiti', 'AMRO', '4', '62', '0', '4');
INSERT INTO public.who_import VALUES (37879, '2020-04-25', 'HT', 'Haiti', 'AMRO', '10', '72', '1', '5');
INSERT INTO public.who_import VALUES (37880, '2020-04-26', 'HT', 'Haiti', 'AMRO', '0', '72', '1', '6');
INSERT INTO public.who_import VALUES (37881, '2020-04-27', 'HT', 'Haiti', 'AMRO', '0', '72', '0', '6');
INSERT INTO public.who_import VALUES (37882, '2020-04-28', 'HT', 'Haiti', 'AMRO', '2', '74', '0', '6');
INSERT INTO public.who_import VALUES (37883, '2020-04-29', 'HT', 'Haiti', 'AMRO', '2', '76', '0', '6');
INSERT INTO public.who_import VALUES (37884, '2020-04-30', 'HT', 'Haiti', 'AMRO', '0', '76', '0', '6');
INSERT INTO public.who_import VALUES (37885, '2020-05-01', 'HT', 'Haiti', 'AMRO', '0', '76', '1', '7');
INSERT INTO public.who_import VALUES (37886, '2020-05-02', 'HT', 'Haiti', 'AMRO', '5', '81', '1', '8');
INSERT INTO public.who_import VALUES (37887, '2020-05-03', 'HT', 'Haiti', 'AMRO', '4', '85', '0', '8');
INSERT INTO public.who_import VALUES (37888, '2020-05-04', 'HT', 'Haiti', 'AMRO', '0', '85', '0', '8');
INSERT INTO public.who_import VALUES (37889, '2020-05-05', 'HT', 'Haiti', 'AMRO', '3', '88', '1', '9');
INSERT INTO public.who_import VALUES (37890, '2020-05-06', 'HT', 'Haiti', 'AMRO', '12', '100', '2', '11');
INSERT INTO public.who_import VALUES (37891, '2020-05-07', 'HT', 'Haiti', 'AMRO', '1', '101', '1', '12');
INSERT INTO public.who_import VALUES (37892, '2020-05-08', 'HT', 'Haiti', 'AMRO', '7', '108', '0', '12');
INSERT INTO public.who_import VALUES (37893, '2020-05-09', 'HT', 'Haiti', 'AMRO', '21', '129', '0', '12');
INSERT INTO public.who_import VALUES (37894, '2020-05-10', 'HT', 'Haiti', 'AMRO', '17', '146', '0', '12');
INSERT INTO public.who_import VALUES (37895, '2020-05-11', 'HT', 'Haiti', 'AMRO', '5', '151', '0', '12');
INSERT INTO public.who_import VALUES (37896, '2020-05-12', 'HT', 'Haiti', 'AMRO', '31', '182', '3', '15');
INSERT INTO public.who_import VALUES (37897, '2020-05-13', 'HT', 'Haiti', 'AMRO', '27', '209', '1', '16');
INSERT INTO public.who_import VALUES (37898, '2020-05-14', 'HT', 'Haiti', 'AMRO', '10', '219', '2', '18');
INSERT INTO public.who_import VALUES (37899, '2020-05-15', 'HT', 'Haiti', 'AMRO', '15', '234', '0', '18');
INSERT INTO public.who_import VALUES (37900, '2020-05-16', 'HT', 'Haiti', 'AMRO', '39', '273', '2', '20');
INSERT INTO public.who_import VALUES (37901, '2020-05-17', 'HT', 'Haiti', 'AMRO', '37', '310', '0', '20');
INSERT INTO public.who_import VALUES (37902, '2020-05-18', 'HT', 'Haiti', 'AMRO', '48', '358', '0', '20');
INSERT INTO public.who_import VALUES (37903, '2020-05-19', 'HT', 'Haiti', 'AMRO', '98', '456', '0', '20');
INSERT INTO public.who_import VALUES (37904, '2020-05-20', 'HT', 'Haiti', 'AMRO', '77', '533', '1', '21');
INSERT INTO public.who_import VALUES (37905, '2020-05-21', 'HT', 'Haiti', 'AMRO', '63', '596', '1', '22');
INSERT INTO public.who_import VALUES (37906, '2020-05-22', 'HT', 'Haiti', 'AMRO', '67', '663', '0', '22');
INSERT INTO public.who_import VALUES (37907, '2020-05-23', 'HT', 'Haiti', 'AMRO', '71', '734', '3', '25');
INSERT INTO public.who_import VALUES (37908, '2020-05-24', 'HT', 'Haiti', 'AMRO', '78', '812', '0', '25');
INSERT INTO public.who_import VALUES (37909, '2020-05-25', 'HT', 'Haiti', 'AMRO', '53', '865', '1', '26');
INSERT INTO public.who_import VALUES (37910, '2020-05-26', 'HT', 'Haiti', 'AMRO', '93', '958', '1', '27');
INSERT INTO public.who_import VALUES (37911, '2020-05-27', 'HT', 'Haiti', 'AMRO', '105', '1063', '4', '31');
INSERT INTO public.who_import VALUES (37912, '2020-05-28', 'HT', 'Haiti', 'AMRO', '111', '1174', '2', '33');
INSERT INTO public.who_import VALUES (37913, '2020-05-29', 'HT', 'Haiti', 'AMRO', '146', '1320', '1', '34');
INSERT INTO public.who_import VALUES (37914, '2020-05-30', 'HT', 'Haiti', 'AMRO', '123', '1443', '1', '35');
INSERT INTO public.who_import VALUES (37915, '2020-05-31', 'HT', 'Haiti', 'AMRO', '141', '1584', '0', '35');
INSERT INTO public.who_import VALUES (37916, '2020-06-01', 'HT', 'Haiti', 'AMRO', '281', '1865', '6', '41');
INSERT INTO public.who_import VALUES (37917, '2020-06-02', 'HT', 'Haiti', 'AMRO', '259', '2124', '3', '44');
INSERT INTO public.who_import VALUES (37918, '2020-06-03', 'HT', 'Haiti', 'AMRO', '102', '2226', '1', '45');
INSERT INTO public.who_import VALUES (37919, '2020-06-04', 'HT', 'Haiti', 'AMRO', '281', '2507', '3', '48');
INSERT INTO public.who_import VALUES (37920, '2020-06-05', 'HT', 'Haiti', 'AMRO', '97', '2604', '2', '50');
INSERT INTO public.who_import VALUES (37921, '2020-06-06', 'HT', 'Haiti', 'AMRO', '36', '2640', '0', '50');
INSERT INTO public.who_import VALUES (37922, '2020-06-07', 'HT', 'Haiti', 'AMRO', '284', '2924', '0', '50');
INSERT INTO public.who_import VALUES (37923, '2020-06-08', 'HT', 'Haiti', 'AMRO', '148', '3072', '0', '50');
INSERT INTO public.who_import VALUES (37924, '2020-06-09', 'HT', 'Haiti', 'AMRO', '262', '3334', '1', '51');
INSERT INTO public.who_import VALUES (37925, '2020-06-10', 'HT', 'Haiti', 'AMRO', '204', '3538', '3', '54');
INSERT INTO public.who_import VALUES (37926, '2020-06-11', 'HT', 'Haiti', 'AMRO', '124', '3662', '2', '56');
INSERT INTO public.who_import VALUES (37927, '2020-06-12', 'HT', 'Haiti', 'AMRO', '134', '3796', '2', '58');
INSERT INTO public.who_import VALUES (37928, '2020-06-13', 'HT', 'Haiti', 'AMRO', '145', '3941', '6', '64');
INSERT INTO public.who_import VALUES (37929, '2020-06-14', 'HT', 'Haiti', 'AMRO', '0', '3941', '0', '64');
INSERT INTO public.who_import VALUES (37930, '2020-06-15', 'HT', 'Haiti', 'AMRO', '224', '4165', '6', '70');
INSERT INTO public.who_import VALUES (37931, '2020-06-16', 'HT', 'Haiti', 'AMRO', '144', '4309', '3', '73');
INSERT INTO public.who_import VALUES (37932, '2020-06-17', 'HT', 'Haiti', 'AMRO', '132', '4441', '3', '76');
INSERT INTO public.who_import VALUES (37933, '2020-06-18', 'HT', 'Haiti', 'AMRO', '106', '4547', '4', '80');
INSERT INTO public.who_import VALUES (37934, '2020-06-19', 'HT', 'Haiti', 'AMRO', '141', '4688', '2', '82');
INSERT INTO public.who_import VALUES (37935, '2020-06-20', 'HT', 'Haiti', 'AMRO', '228', '4916', '2', '84');
INSERT INTO public.who_import VALUES (37936, '2020-06-21', 'HT', 'Haiti', 'AMRO', '64', '4980', '3', '87');
INSERT INTO public.who_import VALUES (37937, '2020-06-22', 'HT', 'Haiti', 'AMRO', '97', '5077', '1', '88');
INSERT INTO public.who_import VALUES (37938, '2020-06-23', 'HT', 'Haiti', 'AMRO', '134', '5211', '0', '88');
INSERT INTO public.who_import VALUES (37939, '2020-06-24', 'HT', 'Haiti', 'AMRO', '5', '5216', '0', '88');
INSERT INTO public.who_import VALUES (37940, '2020-06-25', 'HT', 'Haiti', 'AMRO', '108', '5324', '1', '89');
INSERT INTO public.who_import VALUES (37941, '2020-06-26', 'HT', 'Haiti', 'AMRO', '105', '5429', '3', '92');
INSERT INTO public.who_import VALUES (37942, '2020-06-27', 'HT', 'Haiti', 'AMRO', '114', '5543', '4', '96');
INSERT INTO public.who_import VALUES (37943, '2020-06-28', 'HT', 'Haiti', 'AMRO', '179', '5722', '2', '98');
INSERT INTO public.who_import VALUES (37944, '2020-06-29', 'HT', 'Haiti', 'AMRO', '0', '5722', '0', '98');
INSERT INTO public.who_import VALUES (37945, '2020-06-30', 'HT', 'Haiti', 'AMRO', '125', '5847', '6', '104');
INSERT INTO public.who_import VALUES (37946, '2020-07-01', 'HT', 'Haiti', 'AMRO', '86', '5933', '1', '105');
INSERT INTO public.who_import VALUES (37947, '2020-07-02', 'HT', 'Haiti', 'AMRO', '42', '5975', '0', '105');
INSERT INTO public.who_import VALUES (37948, '2020-07-03', 'HT', 'Haiti', 'AMRO', '65', '6040', '2', '107');
INSERT INTO public.who_import VALUES (37949, '2020-07-04', 'HT', 'Haiti', 'AMRO', '61', '6101', '3', '110');
INSERT INTO public.who_import VALUES (37950, '2020-07-05', 'HT', 'Haiti', 'AMRO', '129', '6230', '0', '110');
INSERT INTO public.who_import VALUES (37951, '2020-07-06', 'HT', 'Haiti', 'AMRO', '64', '6294', '3', '113');
INSERT INTO public.who_import VALUES (37952, '2020-07-07', 'HT', 'Haiti', 'AMRO', '39', '6333', '0', '113');
INSERT INTO public.who_import VALUES (37953, '2020-07-08', 'HT', 'Haiti', 'AMRO', '38', '6371', '0', '113');
INSERT INTO public.who_import VALUES (37954, '2020-07-09', 'HT', 'Haiti', 'AMRO', '61', '6432', '4', '117');
INSERT INTO public.who_import VALUES (37955, '2020-07-10', 'HT', 'Haiti', 'AMRO', '54', '6486', '6', '123');
INSERT INTO public.who_import VALUES (37956, '2020-07-11', 'HT', 'Haiti', 'AMRO', '96', '6582', '7', '130');
INSERT INTO public.who_import VALUES (37957, '2020-07-12', 'HT', 'Haiti', 'AMRO', '35', '6617', '5', '135');
INSERT INTO public.who_import VALUES (37958, '2020-07-13', 'HT', 'Haiti', 'AMRO', '73', '6690', '4', '139');
INSERT INTO public.who_import VALUES (37959, '2020-07-14', 'HT', 'Haiti', 'AMRO', '37', '6727', '0', '139');
INSERT INTO public.who_import VALUES (37960, '2020-07-15', 'HT', 'Haiti', 'AMRO', '0', '6727', '2', '141');
INSERT INTO public.who_import VALUES (37961, '2020-07-16', 'HT', 'Haiti', 'AMRO', '104', '6831', '2', '143');
INSERT INTO public.who_import VALUES (37962, '2020-07-17', 'HT', 'Haiti', 'AMRO', '71', '6902', '2', '145');
INSERT INTO public.who_import VALUES (37963, '2020-07-18', 'HT', 'Haiti', 'AMRO', '46', '6948', '0', '145');
INSERT INTO public.who_import VALUES (37964, '2020-07-19', 'HT', 'Haiti', 'AMRO', '27', '6975', '1', '146');
INSERT INTO public.who_import VALUES (37965, '2020-07-20', 'HT', 'Haiti', 'AMRO', '78', '7053', '0', '146');
INSERT INTO public.who_import VALUES (37966, '2020-07-21', 'HT', 'Haiti', 'AMRO', '10', '7063', '0', '146');
INSERT INTO public.who_import VALUES (37967, '2020-07-22', 'HT', 'Haiti', 'AMRO', '37', '7100', '5', '151');
INSERT INTO public.who_import VALUES (37968, '2020-07-23', 'HT', 'Haiti', 'AMRO', '46', '7146', '3', '154');
INSERT INTO public.who_import VALUES (37969, '2020-07-24', 'HT', 'Haiti', 'AMRO', '21', '7167', '0', '154');
INSERT INTO public.who_import VALUES (37970, '2020-07-25', 'HT', 'Haiti', 'AMRO', '30', '7197', '0', '154');
INSERT INTO public.who_import VALUES (37971, '2020-07-26', 'HT', 'Haiti', 'AMRO', '63', '7260', '2', '156');
INSERT INTO public.who_import VALUES (37972, '2020-07-27', 'HT', 'Haiti', 'AMRO', '37', '7297', '1', '157');
INSERT INTO public.who_import VALUES (37973, '2020-07-28', 'HT', 'Haiti', 'AMRO', '18', '7315', '0', '157');
INSERT INTO public.who_import VALUES (37974, '2020-07-29', 'HT', 'Haiti', 'AMRO', '25', '7340', '1', '158');
INSERT INTO public.who_import VALUES (37975, '2020-07-30', 'HT', 'Haiti', 'AMRO', '31', '7371', '0', '158');
INSERT INTO public.who_import VALUES (37976, '2020-07-31', 'HT', 'Haiti', 'AMRO', '7', '7378', '1', '159');
INSERT INTO public.who_import VALUES (37977, '2020-08-01', 'HT', 'Haiti', 'AMRO', '34', '7412', '2', '161');
INSERT INTO public.who_import VALUES (37978, '2020-08-02', 'HT', 'Haiti', 'AMRO', '12', '7424', '0', '161');
INSERT INTO public.who_import VALUES (37979, '2020-08-03', 'HT', 'Haiti', 'AMRO', '44', '7468', '4', '165');
INSERT INTO public.who_import VALUES (37980, '2020-08-04', 'HT', 'Haiti', 'AMRO', '8', '7476', '0', '165');
INSERT INTO public.who_import VALUES (37981, '2020-08-05', 'HT', 'Haiti', 'AMRO', '35', '7511', '1', '166');
INSERT INTO public.who_import VALUES (37982, '2020-08-06', 'HT', 'Haiti', 'AMRO', '21', '7532', '5', '171');
INSERT INTO public.who_import VALUES (37983, '2020-08-07', 'HT', 'Haiti', 'AMRO', '12', '7544', '0', '171');
INSERT INTO public.who_import VALUES (37984, '2020-08-08', 'HT', 'Haiti', 'AMRO', '38', '7582', '0', '171');
INSERT INTO public.who_import VALUES (37985, '2020-08-09', 'HT', 'Haiti', 'AMRO', '17', '7599', '6', '177');
INSERT INTO public.who_import VALUES (37986, '2020-08-10', 'HT', 'Haiti', 'AMRO', '12', '7611', '5', '182');
INSERT INTO public.who_import VALUES (37987, '2020-08-11', 'HT', 'Haiti', 'AMRO', '23', '7634', '1', '183');
INSERT INTO public.who_import VALUES (37988, '2020-08-12', 'HT', 'Haiti', 'AMRO', '15', '7649', '0', '183');
INSERT INTO public.who_import VALUES (37989, '2020-08-13', 'HT', 'Haiti', 'AMRO', '94', '7743', '4', '187');
INSERT INTO public.who_import VALUES (37990, '2020-08-14', 'HT', 'Haiti', 'AMRO', '38', '7781', '5', '192');
INSERT INTO public.who_import VALUES (37991, '2020-08-15', 'HT', 'Haiti', 'AMRO', '29', '7810', '0', '192');
INSERT INTO public.who_import VALUES (37992, '2020-08-16', 'HT', 'Haiti', 'AMRO', '21', '7831', '4', '196');
INSERT INTO public.who_import VALUES (37993, '2020-08-17', 'HT', 'Haiti', 'AMRO', '48', '7879', '0', '196');
INSERT INTO public.who_import VALUES (37994, '2020-08-18', 'HT', 'Haiti', 'AMRO', '18', '7897', '0', '196');
INSERT INTO public.who_import VALUES (37995, '2020-08-19', 'HT', 'Haiti', 'AMRO', '24', '7921', '0', '196');
INSERT INTO public.who_import VALUES (37996, '2020-08-20', 'HT', 'Haiti', 'AMRO', '28', '7949', '0', '196');
INSERT INTO public.who_import VALUES (37997, '2020-08-21', 'HT', 'Haiti', 'AMRO', '48', '7997', '0', '196');
INSERT INTO public.who_import VALUES (37998, '2020-08-22', 'HT', 'Haiti', 'AMRO', '19', '8016', '0', '196');
INSERT INTO public.who_import VALUES (37999, '2020-08-23', 'HT', 'Haiti', 'AMRO', '34', '8050', '0', '196');
INSERT INTO public.who_import VALUES (38000, '2020-08-24', 'HT', 'Haiti', 'AMRO', '32', '8082', '0', '196');
INSERT INTO public.who_import VALUES (38001, '2020-08-25', 'HT', 'Haiti', 'AMRO', '28', '8110', '0', '196');
INSERT INTO public.who_import VALUES (38002, '2020-08-26', 'HT', 'Haiti', 'AMRO', '2', '8112', '0', '196');
INSERT INTO public.who_import VALUES (38003, '2020-08-27', 'HT', 'Haiti', 'AMRO', '10', '8122', '1', '197');
INSERT INTO public.who_import VALUES (38004, '2020-08-28', 'HT', 'Haiti', 'AMRO', '29', '8151', '3', '200');
INSERT INTO public.who_import VALUES (38005, '2020-08-29', 'HT', 'Haiti', 'AMRO', '10', '8161', '1', '201');
INSERT INTO public.who_import VALUES (38006, '2020-08-30', 'HT', 'Haiti', 'AMRO', '13', '8174', '0', '201');
INSERT INTO public.who_import VALUES (38007, '2020-08-31', 'HT', 'Haiti', 'AMRO', '35', '8209', '0', '201');
INSERT INTO public.who_import VALUES (38008, '2020-09-01', 'HT', 'Haiti', 'AMRO', '15', '8224', '0', '201');
INSERT INTO public.who_import VALUES (38009, '2020-09-02', 'HT', 'Haiti', 'AMRO', '0', '8224', '0', '201');
INSERT INTO public.who_import VALUES (38010, '2020-09-03', 'HT', 'Haiti', 'AMRO', '34', '8258', '5', '206');
INSERT INTO public.who_import VALUES (38011, '2020-09-04', 'HT', 'Haiti', 'AMRO', '0', '8258', '0', '206');
INSERT INTO public.who_import VALUES (38012, '2020-09-05', 'HT', 'Haiti', 'AMRO', '68', '8326', '6', '212');
INSERT INTO public.who_import VALUES (38013, '2020-09-06', 'HT', 'Haiti', 'AMRO', '0', '8326', '0', '212');
INSERT INTO public.who_import VALUES (38014, '2020-09-07', 'HT', 'Haiti', 'AMRO', '34', '8360', '2', '214');
INSERT INTO public.who_import VALUES (38015, '2020-09-08', 'HT', 'Haiti', 'AMRO', '0', '8360', '0', '214');
INSERT INTO public.who_import VALUES (38016, '2020-09-09', 'HT', 'Haiti', 'AMRO', '2', '8362', '0', '214');
INSERT INTO public.who_import VALUES (38017, '2020-09-10', 'HT', 'Haiti', 'AMRO', '14', '8376', '0', '214');
INSERT INTO public.who_import VALUES (38018, '2020-09-11', 'HT', 'Haiti', 'AMRO', '53', '8429', '1', '215');
INSERT INTO public.who_import VALUES (38019, '2020-09-12', 'HT', 'Haiti', 'AMRO', '28', '8457', '1', '216');
INSERT INTO public.who_import VALUES (38020, '2020-09-13', 'HT', 'Haiti', 'AMRO', '0', '8457', '0', '216');
INSERT INTO public.who_import VALUES (38021, '2020-09-14', 'HT', 'Haiti', 'AMRO', '21', '8478', '3', '219');
INSERT INTO public.who_import VALUES (38022, '2020-09-15', 'HT', 'Haiti', 'AMRO', '15', '8493', '0', '219');
INSERT INTO public.who_import VALUES (38023, '2020-09-16', 'HT', 'Haiti', 'AMRO', '6', '8499', '0', '219');
INSERT INTO public.who_import VALUES (38024, '2020-09-17', 'HT', 'Haiti', 'AMRO', '31', '8530', '1', '220');
INSERT INTO public.who_import VALUES (38025, '2020-09-18', 'HT', 'Haiti', 'AMRO', '26', '8556', '0', '220');
INSERT INTO public.who_import VALUES (38026, '2020-09-19', 'HT', 'Haiti', 'AMRO', '0', '8556', '0', '220');
INSERT INTO public.who_import VALUES (38027, '2020-09-20', 'HT', 'Haiti', 'AMRO', '44', '8600', '1', '221');
INSERT INTO public.who_import VALUES (38028, '2020-09-21', 'HT', 'Haiti', 'AMRO', '0', '8600', '0', '221');
INSERT INTO public.who_import VALUES (38029, '2020-09-22', 'HT', 'Haiti', 'AMRO', '24', '8624', '0', '221');
INSERT INTO public.who_import VALUES (38030, '2020-09-23', 'HT', 'Haiti', 'AMRO', '0', '8624', '0', '221');
INSERT INTO public.who_import VALUES (38031, '2020-09-24', 'HT', 'Haiti', 'AMRO', '22', '8646', '4', '225');
INSERT INTO public.who_import VALUES (38032, '2020-09-25', 'HT', 'Haiti', 'AMRO', '0', '8646', '0', '225');
INSERT INTO public.who_import VALUES (38033, '2020-09-26', 'HT', 'Haiti', 'AMRO', '38', '8684', '2', '227');
INSERT INTO public.who_import VALUES (38034, '2020-09-27', 'HT', 'Haiti', 'AMRO', '0', '8684', '0', '227');
INSERT INTO public.who_import VALUES (38035, '2020-09-28', 'HT', 'Haiti', 'AMRO', '39', '8723', '0', '227');
INSERT INTO public.who_import VALUES (38036, '2020-09-29', 'HT', 'Haiti', 'AMRO', '17', '8740', '0', '227');
INSERT INTO public.who_import VALUES (38037, '2020-09-30', 'HT', 'Haiti', 'AMRO', '0', '8740', '0', '227');
INSERT INTO public.who_import VALUES (38038, '2020-10-01', 'HT', 'Haiti', 'AMRO', '26', '8766', '2', '229');
INSERT INTO public.who_import VALUES (38039, '2020-10-02', 'HT', 'Haiti', 'AMRO', '0', '8766', '0', '229');
INSERT INTO public.who_import VALUES (38040, '2020-10-03', 'HT', 'Haiti', 'AMRO', '26', '8792', '0', '229');
INSERT INTO public.who_import VALUES (38041, '2020-10-04', 'HT', 'Haiti', 'AMRO', '0', '8792', '0', '229');
INSERT INTO public.who_import VALUES (38042, '2020-10-05', 'HT', 'Haiti', 'AMRO', '27', '8819', '0', '229');
INSERT INTO public.who_import VALUES (38043, '2020-10-06', 'HT', 'Haiti', 'AMRO', '0', '8819', '0', '229');
INSERT INTO public.who_import VALUES (38044, '2020-10-07', 'HT', 'Haiti', 'AMRO', '0', '8819', '0', '229');
INSERT INTO public.who_import VALUES (38045, '2020-10-08', 'HT', 'Haiti', 'AMRO', '19', '8838', '0', '229');
INSERT INTO public.who_import VALUES (38046, '2020-10-09', 'HT', 'Haiti', 'AMRO', '16', '8854', '1', '230');
INSERT INTO public.who_import VALUES (38047, '2020-10-10', 'HT', 'Haiti', 'AMRO', '0', '8854', '0', '230');
INSERT INTO public.who_import VALUES (38048, '2020-10-11', 'HT', 'Haiti', 'AMRO', '6', '8860', '0', '230');
INSERT INTO public.who_import VALUES (38049, '2020-10-12', 'HT', 'Haiti', 'AMRO', '22', '8882', '0', '230');
INSERT INTO public.who_import VALUES (38050, '2020-10-13', 'HT', 'Haiti', 'AMRO', '0', '8882', '0', '230');
INSERT INTO public.who_import VALUES (38051, '2020-10-14', 'HT', 'Haiti', 'AMRO', '5', '8887', '0', '230');
INSERT INTO public.who_import VALUES (38052, '2020-10-15', 'HT', 'Haiti', 'AMRO', '21', '8908', '1', '231');
INSERT INTO public.who_import VALUES (38053, '2020-10-16', 'HT', 'Haiti', 'AMRO', '0', '8908', '0', '231');
INSERT INTO public.who_import VALUES (38054, '2020-10-17', 'HT', 'Haiti', 'AMRO', '17', '8925', '0', '231');
INSERT INTO public.who_import VALUES (38055, '2020-10-18', 'HT', 'Haiti', 'AMRO', '0', '8925', '0', '231');
INSERT INTO public.who_import VALUES (38056, '2020-10-19', 'HT', 'Haiti', 'AMRO', '0', '8925', '0', '231');
INSERT INTO public.who_import VALUES (38057, '2020-10-20', 'HT', 'Haiti', 'AMRO', '0', '8925', '0', '231');
INSERT INTO public.who_import VALUES (38058, '2020-10-21', 'HT', 'Haiti', 'AMRO', '51', '8976', '0', '231');
INSERT INTO public.who_import VALUES (38059, '2020-10-22', 'HT', 'Haiti', 'AMRO', '3', '8979', '0', '231');
INSERT INTO public.who_import VALUES (38060, '2020-10-23', 'HT', 'Haiti', 'AMRO', '0', '8979', '0', '231');
INSERT INTO public.who_import VALUES (38061, '2020-10-24', 'HT', 'Haiti', 'AMRO', '20', '8999', '0', '231');
INSERT INTO public.who_import VALUES (38062, '2020-10-25', 'HT', 'Haiti', 'AMRO', '16', '9015', '0', '231');
INSERT INTO public.who_import VALUES (38063, '2020-10-26', 'HT', 'Haiti', 'AMRO', '11', '9026', '1', '232');
INSERT INTO public.who_import VALUES (38064, '2020-10-27', 'HT', 'Haiti', 'AMRO', '0', '9026', '0', '232');
INSERT INTO public.who_import VALUES (38065, '2020-10-28', 'HT', 'Haiti', 'AMRO', '0', '9026', '0', '232');
INSERT INTO public.who_import VALUES (38066, '2020-10-29', 'HT', 'Haiti', 'AMRO', '20', '9046', '0', '232');
INSERT INTO public.who_import VALUES (38067, '2020-10-30', 'HT', 'Haiti', 'AMRO', '8', '9054', '0', '232');
INSERT INTO public.who_import VALUES (38068, '2020-10-31', 'HT', 'Haiti', 'AMRO', '0', '9054', '0', '232');
INSERT INTO public.who_import VALUES (38069, '2020-11-01', 'HT', 'Haiti', 'AMRO', '0', '9054', '0', '232');
INSERT INTO public.who_import VALUES (38070, '2020-11-02', 'HT', 'Haiti', 'AMRO', '0', '9054', '0', '232');
INSERT INTO public.who_import VALUES (38071, '2020-11-03', 'HT', 'Haiti', 'AMRO', '0', '9054', '0', '232');
INSERT INTO public.who_import VALUES (38072, '2020-11-04', 'HT', 'Haiti', 'AMRO', '0', '9054', '0', '232');
INSERT INTO public.who_import VALUES (38073, '2020-11-05', 'HT', 'Haiti', 'AMRO', '46', '9100', '0', '232');
INSERT INTO public.who_import VALUES (38074, '2020-11-06', 'HT', 'Haiti', 'AMRO', '9', '9109', '0', '232');
INSERT INTO public.who_import VALUES (38075, '2020-11-07', 'HT', 'Haiti', 'AMRO', '0', '9109', '0', '232');
INSERT INTO public.who_import VALUES (38076, '2020-11-08', 'HT', 'Haiti', 'AMRO', '18', '9127', '0', '232');
INSERT INTO public.who_import VALUES (38077, '2020-11-09', 'HT', 'Haiti', 'AMRO', '0', '9127', '0', '232');
INSERT INTO public.who_import VALUES (38078, '2020-11-10', 'HT', 'Haiti', 'AMRO', '0', '9127', '0', '232');
INSERT INTO public.who_import VALUES (38079, '2020-11-11', 'HT', 'Haiti', 'AMRO', '10', '9137', '0', '232');
INSERT INTO public.who_import VALUES (38080, '2020-11-12', 'HT', 'Haiti', 'AMRO', '15', '9152', '0', '232');
INSERT INTO public.who_import VALUES (38081, '2020-11-13', 'HT', 'Haiti', 'AMRO', '0', '9152', '0', '232');
INSERT INTO public.who_import VALUES (38082, '2020-11-14', 'HT', 'Haiti', 'AMRO', '16', '9168', '0', '232');
INSERT INTO public.who_import VALUES (38083, '2020-11-15', 'HT', 'Haiti', 'AMRO', '0', '9168', '0', '232');
INSERT INTO public.who_import VALUES (38084, '2020-11-16', 'HT', 'Haiti', 'AMRO', '11', '9179', '0', '232');
INSERT INTO public.who_import VALUES (38085, '2020-11-17', 'HT', 'Haiti', 'AMRO', '9', '9188', '0', '232');
INSERT INTO public.who_import VALUES (38086, '2020-11-18', 'HT', 'Haiti', 'AMRO', '3', '9191', '0', '232');
INSERT INTO public.who_import VALUES (38087, '2020-11-19', 'HT', 'Haiti', 'AMRO', '0', '9191', '0', '232');
INSERT INTO public.who_import VALUES (38088, '2020-11-20', 'HT', 'Haiti', 'AMRO', '17', '9208', '0', '232');
INSERT INTO public.who_import VALUES (38089, '2020-11-21', 'HT', 'Haiti', 'AMRO', '3', '9211', '0', '232');
INSERT INTO public.who_import VALUES (38090, '2020-11-22', 'HT', 'Haiti', 'AMRO', '3', '9214', '0', '232');
INSERT INTO public.who_import VALUES (38091, '2020-11-23', 'HT', 'Haiti', 'AMRO', '0', '9214', '0', '232');
INSERT INTO public.who_import VALUES (38092, '2020-11-24', 'HT', 'Haiti', 'AMRO', '10', '9224', '0', '232');
INSERT INTO public.who_import VALUES (38093, '2020-11-25', 'HT', 'Haiti', 'AMRO', '5', '9229', '0', '232');
INSERT INTO public.who_import VALUES (38094, '2020-11-26', 'HT', 'Haiti', 'AMRO', '19', '9248', '0', '232');
INSERT INTO public.who_import VALUES (38095, '2020-11-27', 'HT', 'Haiti', 'AMRO', '8', '9256', '0', '232');
INSERT INTO public.who_import VALUES (38096, '2020-11-28', 'HT', 'Haiti', 'AMRO', '8', '9264', '0', '232');
INSERT INTO public.who_import VALUES (38097, '2020-11-29', 'HT', 'Haiti', 'AMRO', '0', '9264', '0', '232');
INSERT INTO public.who_import VALUES (38098, '2020-11-30', 'HT', 'Haiti', 'AMRO', '8', '9272', '0', '232');
INSERT INTO public.who_import VALUES (38099, '2020-12-01', 'HT', 'Haiti', 'AMRO', '22', '9294', '1', '233');
INSERT INTO public.who_import VALUES (38100, '2020-12-02', 'HT', 'Haiti', 'AMRO', '2', '9296', '0', '233');
INSERT INTO public.who_import VALUES (38101, '2020-12-03', 'HT', 'Haiti', 'AMRO', '7', '9303', '0', '233');
INSERT INTO public.who_import VALUES (38102, '2020-12-04', 'HT', 'Haiti', 'AMRO', '10', '9313', '0', '233');
INSERT INTO public.who_import VALUES (38103, '2020-12-05', 'HT', 'Haiti', 'AMRO', '34', '9347', '0', '233');
INSERT INTO public.who_import VALUES (38104, '2020-12-06', 'HT', 'Haiti', 'AMRO', '23', '9370', '0', '233');
INSERT INTO public.who_import VALUES (38105, '2020-12-07', 'HT', 'Haiti', 'AMRO', '0', '9370', '0', '233');
INSERT INTO public.who_import VALUES (38106, '2020-12-08', 'HT', 'Haiti', 'AMRO', '29', '9399', '0', '233');
INSERT INTO public.who_import VALUES (38107, '2020-12-09', 'HT', 'Haiti', 'AMRO', '0', '9399', '0', '233');
INSERT INTO public.who_import VALUES (38108, '2020-12-10', 'HT', 'Haiti', 'AMRO', '35', '9434', '0', '233');
INSERT INTO public.who_import VALUES (38109, '2020-12-11', 'HT', 'Haiti', 'AMRO', '0', '9434', '0', '233');
INSERT INTO public.who_import VALUES (38110, '2020-12-12', 'HT', 'Haiti', 'AMRO', '31', '9465', '0', '233');
INSERT INTO public.who_import VALUES (38111, '2020-12-13', 'HT', 'Haiti', 'AMRO', '26', '9491', '0', '233');
INSERT INTO public.who_import VALUES (38112, '2020-12-14', 'HT', 'Haiti', 'AMRO', '18', '9509', '1', '234');
INSERT INTO public.who_import VALUES (38113, '2020-12-15', 'HT', 'Haiti', 'AMRO', '56', '9565', '0', '234');
INSERT INTO public.who_import VALUES (38114, '2020-12-16', 'HT', 'Haiti', 'AMRO', '32', '9597', '0', '234');
INSERT INTO public.who_import VALUES (38115, '2020-12-17', 'HT', 'Haiti', 'AMRO', '0', '9597', '0', '234');
INSERT INTO public.who_import VALUES (38116, '2020-12-18', 'HT', 'Haiti', 'AMRO', '30', '9627', '0', '234');
INSERT INTO public.who_import VALUES (38117, '2020-12-19', 'HT', 'Haiti', 'AMRO', '21', '9648', '0', '234');
INSERT INTO public.who_import VALUES (38118, '2020-12-20', 'HT', 'Haiti', 'AMRO', '26', '9674', '0', '234');
INSERT INTO public.who_import VALUES (38119, '2020-12-21', 'HT', 'Haiti', 'AMRO', '0', '9674', '0', '234');
INSERT INTO public.who_import VALUES (38120, '2020-12-22', 'HT', 'Haiti', 'AMRO', '89', '9763', '0', '234');
INSERT INTO public.who_import VALUES (38121, '2020-12-23', 'HT', 'Haiti', 'AMRO', '8', '9771', '1', '235');
INSERT INTO public.who_import VALUES (38122, '2020-12-24', 'HT', 'Haiti', 'AMRO', '34', '9805', '0', '235');
INSERT INTO public.who_import VALUES (38123, '2020-12-25', 'HT', 'Haiti', 'AMRO', '41', '9846', '0', '235');
INSERT INTO public.who_import VALUES (38124, '2020-12-26', 'HT', 'Haiti', 'AMRO', '0', '9846', '0', '235');
INSERT INTO public.who_import VALUES (38125, '2020-12-27', 'HT', 'Haiti', 'AMRO', '0', '9846', '0', '235');
INSERT INTO public.who_import VALUES (38126, '2020-12-28', 'HT', 'Haiti', 'AMRO', '112', '9958', '1', '236');
INSERT INTO public.who_import VALUES (38127, '2020-12-29', 'HT', 'Haiti', 'AMRO', '0', '9958', '0', '236');
INSERT INTO public.who_import VALUES (38128, '2020-12-30', 'HT', 'Haiti', 'AMRO', '41', '9999', '0', '236');
INSERT INTO public.who_import VALUES (38129, '2020-12-31', 'HT', 'Haiti', 'AMRO', '0', '9999', '0', '236');
INSERT INTO public.who_import VALUES (38130, '2021-01-01', 'HT', 'Haiti', 'AMRO', '16', '10015', '0', '236');
INSERT INTO public.who_import VALUES (38131, '2021-01-02', 'HT', 'Haiti', 'AMRO', '0', '10015', '0', '236');
INSERT INTO public.who_import VALUES (38132, '2021-01-03', 'HT', 'Haiti', 'AMRO', '62', '10077', '0', '236');
INSERT INTO public.who_import VALUES (38133, '2021-01-04', 'HT', 'Haiti', 'AMRO', '50', '10127', '0', '236');
INSERT INTO public.who_import VALUES (38134, '2021-01-05', 'HT', 'Haiti', 'AMRO', '0', '10127', '0', '236');
INSERT INTO public.who_import VALUES (38135, '2021-01-06', 'HT', 'Haiti', 'AMRO', '0', '10127', '0', '236');
INSERT INTO public.who_import VALUES (38136, '2021-01-07', 'HT', 'Haiti', 'AMRO', '0', '10127', '0', '236');
INSERT INTO public.who_import VALUES (38137, '2021-01-08', 'HT', 'Haiti', 'AMRO', '76', '10203', '0', '236');
INSERT INTO public.who_import VALUES (38138, '2021-01-09', 'HT', 'Haiti', 'AMRO', '38', '10241', '1', '237');
INSERT INTO public.who_import VALUES (38139, '2021-01-10', 'HT', 'Haiti', 'AMRO', '0', '10241', '0', '237');
INSERT INTO public.who_import VALUES (38140, '2021-01-11', 'HT', 'Haiti', 'AMRO', '31', '10272', '1', '238');
INSERT INTO public.who_import VALUES (38141, '2021-01-12', 'HT', 'Haiti', 'AMRO', '0', '10272', '0', '238');
INSERT INTO public.who_import VALUES (38142, '2021-01-13', 'HT', 'Haiti', 'AMRO', '114', '10386', '0', '238');
INSERT INTO public.who_import VALUES (38143, '2021-01-14', 'HT', 'Haiti', 'AMRO', '29', '10415', '0', '238');
INSERT INTO public.who_import VALUES (38144, '2021-01-15', 'HT', 'Haiti', 'AMRO', '154', '10569', '0', '238');
INSERT INTO public.who_import VALUES (38145, '2021-01-16', 'HT', 'Haiti', 'AMRO', '66', '10635', '0', '238');
INSERT INTO public.who_import VALUES (38146, '2021-01-17', 'HT', 'Haiti', 'AMRO', '146', '10781', '2', '240');
INSERT INTO public.who_import VALUES (38147, '2021-01-18', 'HT', 'Haiti', 'AMRO', '0', '10781', '0', '240');
INSERT INTO public.who_import VALUES (38148, '2021-01-19', 'HT', 'Haiti', 'AMRO', '71', '10852', '0', '240');
INSERT INTO public.who_import VALUES (38149, '2021-01-20', 'HT', 'Haiti', 'AMRO', '55', '10907', '0', '240');
INSERT INTO public.who_import VALUES (38150, '2021-01-21', 'HT', 'Haiti', 'AMRO', '56', '10963', '0', '240');
INSERT INTO public.who_import VALUES (38151, '2021-01-22', 'HT', 'Haiti', 'AMRO', '0', '10963', '0', '240');
INSERT INTO public.who_import VALUES (38152, '2021-01-23', 'HT', 'Haiti', 'AMRO', '72', '11035', '3', '243');
INSERT INTO public.who_import VALUES (38153, '2021-01-24', 'HT', 'Haiti', 'AMRO', '64', '11099', '0', '243');
INSERT INTO public.who_import VALUES (38154, '2021-01-25', 'HT', 'Haiti', 'AMRO', '82', '11181', '0', '243');
INSERT INTO public.who_import VALUES (38155, '2021-01-26', 'HT', 'Haiti', 'AMRO', '105', '11286', '0', '243');
INSERT INTO public.who_import VALUES (38156, '2021-01-27', 'HT', 'Haiti', 'AMRO', '0', '11286', '0', '243');
INSERT INTO public.who_import VALUES (38157, '2021-01-28', 'HT', 'Haiti', 'AMRO', '0', '11286', '0', '243');
INSERT INTO public.who_import VALUES (38158, '2021-01-29', 'HT', 'Haiti', 'AMRO', '116', '11402', '1', '244');
INSERT INTO public.who_import VALUES (38159, '2021-01-30', 'HT', 'Haiti', 'AMRO', '58', '11460', '1', '245');
INSERT INTO public.who_import VALUES (38160, '2021-01-31', 'HT', 'Haiti', 'AMRO', '73', '11533', '0', '245');
INSERT INTO public.who_import VALUES (38161, '2021-02-01', 'HT', 'Haiti', 'AMRO', '0', '11533', '0', '245');
INSERT INTO public.who_import VALUES (38162, '2021-02-02', 'HT', 'Haiti', 'AMRO', '57', '11590', '0', '245');
INSERT INTO public.who_import VALUES (38163, '2021-02-03', 'HT', 'Haiti', 'AMRO', '82', '11672', '0', '245');
INSERT INTO public.who_import VALUES (38164, '2021-02-04', 'HT', 'Haiti', 'AMRO', '20', '11692', '0', '245');
INSERT INTO public.who_import VALUES (38165, '2021-02-05', 'HT', 'Haiti', 'AMRO', '0', '11692', '0', '245');
INSERT INTO public.who_import VALUES (38166, '2021-02-06', 'HT', 'Haiti', 'AMRO', '66', '11758', '0', '245');
INSERT INTO public.who_import VALUES (38167, '2021-02-07', 'HT', 'Haiti', 'AMRO', '48', '11806', '1', '246');
INSERT INTO public.who_import VALUES (38168, '2021-02-08', 'HT', 'Haiti', 'AMRO', '0', '11806', '0', '246');
INSERT INTO public.who_import VALUES (38169, '2021-02-09', 'HT', 'Haiti', 'AMRO', '102', '11908', '0', '246');
INSERT INTO public.who_import VALUES (38170, '2021-02-10', 'HT', 'Haiti', 'AMRO', '61', '11969', '0', '246');
INSERT INTO public.who_import VALUES (38171, '2021-02-11', 'HT', 'Haiti', 'AMRO', '22', '11991', '0', '246');
INSERT INTO public.who_import VALUES (38172, '2021-02-12', 'HT', 'Haiti', 'AMRO', '25', '12016', '0', '246');
INSERT INTO public.who_import VALUES (38173, '2021-02-13', 'HT', 'Haiti', 'AMRO', '0', '12016', '0', '246');
INSERT INTO public.who_import VALUES (38174, '2021-02-14', 'HT', 'Haiti', 'AMRO', '127', '12143', '1', '247');
INSERT INTO public.who_import VALUES (38175, '2021-02-15', 'HT', 'Haiti', 'AMRO', '0', '12143', '0', '247');
INSERT INTO public.who_import VALUES (38176, '2021-02-16', 'HT', 'Haiti', 'AMRO', '49', '12192', '0', '247');
INSERT INTO public.who_import VALUES (38177, '2021-02-17', 'HT', 'Haiti', 'AMRO', '14', '12206', '0', '247');
INSERT INTO public.who_import VALUES (38178, '2021-02-18', 'HT', 'Haiti', 'AMRO', '0', '12206', '0', '247');
INSERT INTO public.who_import VALUES (38179, '2021-02-19', 'HT', 'Haiti', 'AMRO', '0', '12206', '0', '247');
INSERT INTO public.who_import VALUES (38180, '2021-02-20', 'HT', 'Haiti', 'AMRO', '48', '12254', '0', '247');
INSERT INTO public.who_import VALUES (38181, '2020-01-03', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38182, '2020-01-04', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38183, '2020-01-05', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38184, '2020-01-06', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38185, '2020-01-07', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38186, '2020-01-08', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38187, '2020-01-09', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38188, '2020-01-10', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38189, '2020-01-11', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38190, '2020-01-12', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38191, '2020-01-13', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38192, '2020-01-14', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38193, '2020-01-15', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38194, '2020-01-16', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38195, '2020-01-17', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38196, '2020-01-18', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38197, '2020-01-19', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38198, '2020-01-20', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38199, '2020-01-21', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38200, '2020-01-22', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38201, '2020-01-23', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38202, '2020-01-24', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38203, '2020-01-25', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38204, '2020-01-26', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38205, '2020-01-27', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38206, '2020-01-28', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38207, '2020-01-29', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38208, '2020-01-30', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38209, '2020-01-31', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38210, '2020-02-01', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38211, '2020-02-02', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38212, '2020-02-03', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38213, '2020-02-04', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38214, '2020-02-05', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38215, '2020-02-06', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38216, '2020-02-07', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38217, '2020-02-08', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38218, '2020-02-09', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38219, '2020-02-10', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38220, '2020-02-11', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38221, '2020-02-12', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38222, '2020-02-13', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38223, '2020-02-14', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38224, '2020-02-15', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38225, '2020-02-16', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38226, '2020-02-17', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38227, '2020-02-18', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38228, '2020-02-19', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38229, '2020-02-20', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38230, '2020-02-21', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38231, '2020-02-22', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38232, '2020-02-23', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38233, '2020-02-24', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38234, '2020-02-25', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38235, '2020-02-26', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38236, '2020-02-27', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38237, '2020-02-28', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38238, '2020-02-29', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38239, '2020-03-01', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38240, '2020-03-02', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38241, '2020-03-03', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38242, '2020-03-04', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38243, '2020-03-05', 'VA', 'Holy See', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38244, '2020-03-06', 'VA', 'Holy See', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (38245, '2020-03-07', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38246, '2020-03-08', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38247, '2020-03-09', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38248, '2020-03-10', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38249, '2020-03-11', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38250, '2020-03-12', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38251, '2020-03-13', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38252, '2020-03-14', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38253, '2020-03-15', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38254, '2020-03-16', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38255, '2020-03-17', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38256, '2020-03-18', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38257, '2020-03-19', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38258, '2020-03-20', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38259, '2020-03-21', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38260, '2020-03-22', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38261, '2020-03-23', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38262, '2020-03-24', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38263, '2020-03-25', 'VA', 'Holy See', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (38264, '2020-03-26', 'VA', 'Holy See', 'EURO', '3', '4', '0', '0');
INSERT INTO public.who_import VALUES (38265, '2020-03-27', 'VA', 'Holy See', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (38266, '2020-03-28', 'VA', 'Holy See', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (38267, '2020-03-29', 'VA', 'Holy See', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (38268, '2020-03-30', 'VA', 'Holy See', 'EURO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (38269, '2020-03-31', 'VA', 'Holy See', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38270, '2020-04-01', 'VA', 'Holy See', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38271, '2020-04-02', 'VA', 'Holy See', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38272, '2020-04-03', 'VA', 'Holy See', 'EURO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (38273, '2020-04-04', 'VA', 'Holy See', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (38274, '2020-04-05', 'VA', 'Holy See', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (38275, '2020-04-06', 'VA', 'Holy See', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (38276, '2020-04-07', 'VA', 'Holy See', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (38277, '2020-04-08', 'VA', 'Holy See', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (38278, '2020-04-09', 'VA', 'Holy See', 'EURO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (38279, '2020-04-10', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38280, '2020-04-11', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38281, '2020-04-12', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38282, '2020-04-13', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38283, '2020-04-14', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38284, '2020-04-15', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38285, '2020-04-16', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38286, '2020-04-17', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38287, '2020-04-18', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38288, '2020-04-19', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38289, '2020-04-20', 'VA', 'Holy See', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (38290, '2020-04-21', 'VA', 'Holy See', 'EURO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (38291, '2020-04-22', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38292, '2020-04-23', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38293, '2020-04-24', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38294, '2020-04-25', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38295, '2020-04-26', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38296, '2020-04-27', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38297, '2020-04-28', 'VA', 'Holy See', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (38298, '2020-04-29', 'VA', 'Holy See', 'EURO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (38299, '2020-04-30', 'VA', 'Holy See', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (38300, '2020-05-01', 'VA', 'Holy See', 'EURO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (38301, '2020-05-02', 'VA', 'Holy See', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (38302, '2020-05-03', 'VA', 'Holy See', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (38303, '2020-05-04', 'VA', 'Holy See', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (38304, '2020-05-05', 'VA', 'Holy See', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (38305, '2020-05-06', 'VA', 'Holy See', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (38306, '2020-05-07', 'VA', 'Holy See', 'EURO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (38307, '2020-05-08', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38308, '2020-05-09', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38309, '2020-05-10', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38310, '2020-05-11', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38311, '2020-05-12', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38312, '2020-05-13', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38313, '2020-05-14', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38314, '2020-05-15', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38315, '2020-05-16', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38316, '2020-05-17', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38317, '2020-05-18', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38318, '2020-05-19', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38319, '2020-05-20', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38320, '2020-05-21', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38321, '2020-05-22', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38322, '2020-05-23', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38323, '2020-05-24', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38324, '2020-05-25', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38325, '2020-05-26', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38326, '2020-05-27', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38327, '2020-05-28', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38328, '2020-05-29', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38329, '2020-05-30', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38330, '2020-05-31', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38331, '2020-06-01', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38332, '2020-06-02', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38333, '2020-06-03', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38334, '2020-06-04', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38335, '2020-06-05', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38336, '2020-06-06', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38337, '2020-06-07', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38338, '2020-06-08', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38339, '2020-06-09', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38340, '2020-06-10', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38341, '2020-06-11', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38342, '2020-06-12', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38343, '2020-06-13', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38344, '2020-06-14', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38345, '2020-06-15', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38346, '2020-06-16', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38347, '2020-06-17', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38348, '2020-06-18', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38349, '2020-06-19', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38350, '2020-06-20', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38351, '2020-06-21', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38352, '2020-06-22', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38353, '2020-06-23', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38354, '2020-06-24', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38355, '2020-06-25', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38356, '2020-06-26', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38357, '2020-06-27', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38358, '2020-06-28', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38359, '2020-06-29', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38360, '2020-06-30', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38361, '2020-07-01', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38362, '2020-07-02', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38363, '2020-07-03', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38364, '2020-07-04', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38365, '2020-07-05', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38366, '2020-07-06', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38367, '2020-07-07', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38368, '2020-07-08', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38369, '2020-07-09', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38370, '2020-07-10', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38371, '2020-07-11', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38372, '2020-07-12', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38373, '2020-07-13', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38374, '2020-07-14', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38375, '2020-07-15', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38376, '2020-07-16', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38377, '2020-07-17', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38378, '2020-07-18', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38379, '2020-07-19', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38380, '2020-07-20', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38381, '2020-07-21', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38382, '2020-07-22', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38383, '2020-07-23', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38384, '2020-07-24', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38385, '2020-07-25', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38386, '2020-07-26', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38387, '2020-07-27', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38388, '2020-07-28', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38389, '2020-07-29', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38390, '2020-07-30', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38391, '2020-07-31', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38392, '2020-08-01', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38393, '2020-08-02', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38394, '2020-08-03', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38395, '2020-08-04', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38396, '2020-08-05', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38397, '2020-08-06', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38398, '2020-08-07', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38399, '2020-08-08', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38400, '2020-08-09', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38401, '2020-08-10', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38402, '2020-08-11', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38403, '2020-08-12', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38404, '2020-08-13', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38405, '2020-08-14', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38406, '2020-08-15', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38407, '2020-08-16', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38408, '2020-08-17', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38409, '2020-08-18', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38410, '2020-08-19', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38411, '2020-08-20', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38412, '2020-08-21', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38413, '2020-08-22', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38414, '2020-08-23', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38415, '2020-08-24', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38416, '2020-08-25', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38417, '2020-08-26', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38418, '2020-08-27', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38419, '2020-08-28', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38420, '2020-08-29', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38421, '2020-08-30', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38422, '2020-08-31', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38423, '2020-09-01', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38424, '2020-09-02', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38425, '2020-09-03', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38426, '2020-09-04', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38427, '2020-09-05', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38428, '2020-09-06', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38429, '2020-09-07', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38430, '2020-09-08', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38431, '2020-09-09', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38432, '2020-09-10', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38433, '2020-09-11', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38434, '2020-09-12', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38435, '2020-09-13', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38436, '2020-09-14', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38437, '2020-09-15', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38438, '2020-09-16', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38439, '2020-09-17', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38440, '2020-09-18', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38441, '2020-09-19', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38442, '2020-09-20', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38443, '2020-09-21', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38444, '2020-09-22', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38445, '2020-09-23', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38446, '2020-09-24', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38447, '2020-09-25', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38448, '2020-09-26', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38449, '2020-09-27', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38450, '2020-09-28', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38451, '2020-09-29', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38452, '2020-09-30', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38453, '2020-10-01', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38454, '2020-10-02', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38455, '2020-10-03', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38456, '2020-10-04', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38457, '2020-10-05', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38458, '2020-10-06', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38459, '2020-10-07', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38460, '2020-10-08', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38461, '2020-10-09', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38462, '2020-10-10', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38463, '2020-10-11', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38464, '2020-10-12', 'VA', 'Holy See', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (38465, '2020-10-13', 'VA', 'Holy See', 'EURO', '7', '19', '0', '0');
INSERT INTO public.who_import VALUES (38466, '2020-10-14', 'VA', 'Holy See', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (38467, '2020-10-15', 'VA', 'Holy See', 'EURO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (38468, '2020-10-16', 'VA', 'Holy See', 'EURO', '7', '26', '0', '0');
INSERT INTO public.who_import VALUES (38469, '2020-10-17', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38470, '2020-10-18', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38471, '2020-10-19', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38472, '2020-10-20', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38473, '2020-10-21', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38474, '2020-10-22', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38475, '2020-10-23', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38476, '2020-10-24', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38477, '2020-10-25', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38478, '2020-10-26', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38479, '2020-10-27', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38480, '2020-10-28', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38481, '2020-10-29', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38482, '2020-10-30', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38483, '2020-10-31', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38484, '2020-11-01', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38485, '2020-11-02', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38486, '2020-11-03', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38487, '2020-11-04', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38488, '2020-11-05', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38489, '2020-11-06', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38490, '2020-11-07', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38491, '2020-11-08', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38492, '2020-11-09', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38493, '2020-11-10', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38494, '2020-11-11', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38495, '2020-11-12', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38496, '2020-11-13', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38497, '2020-11-14', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38498, '2020-11-15', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38499, '2020-11-16', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38500, '2020-11-17', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38501, '2020-11-18', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38502, '2020-11-19', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38503, '2020-11-20', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38504, '2020-11-21', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38505, '2020-11-22', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38506, '2020-11-23', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38507, '2020-11-24', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38508, '2020-11-25', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38509, '2020-11-26', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38510, '2020-11-27', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38511, '2020-11-28', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38512, '2020-11-29', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38513, '2020-11-30', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38514, '2020-12-01', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38515, '2020-12-02', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38516, '2020-12-03', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38517, '2020-12-04', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38518, '2020-12-05', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38519, '2020-12-06', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38520, '2020-12-07', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38521, '2020-12-08', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38522, '2020-12-09', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38523, '2020-12-10', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38524, '2020-12-11', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38525, '2020-12-12', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38526, '2020-12-13', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38527, '2020-12-14', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38528, '2020-12-15', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38529, '2020-12-16', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38530, '2020-12-17', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38531, '2020-12-18', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38532, '2020-12-19', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38533, '2020-12-20', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38534, '2020-12-21', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38535, '2020-12-22', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38536, '2020-12-23', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38537, '2020-12-24', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38538, '2020-12-25', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38539, '2020-12-26', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38540, '2020-12-27', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38541, '2020-12-28', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38542, '2020-12-29', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38543, '2020-12-30', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38544, '2020-12-31', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38545, '2021-01-01', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38546, '2021-01-02', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38547, '2021-01-03', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38548, '2021-01-04', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38549, '2021-01-05', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38550, '2021-01-06', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38551, '2021-01-07', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38552, '2021-01-08', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38553, '2021-01-09', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38554, '2021-01-10', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38555, '2021-01-11', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38556, '2021-01-12', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38557, '2021-01-13', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38558, '2021-01-14', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38559, '2021-01-15', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38560, '2021-01-16', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38561, '2021-01-17', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38562, '2021-01-18', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38563, '2021-01-19', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38564, '2021-01-20', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38565, '2021-01-21', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38566, '2021-01-22', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38567, '2021-01-23', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38568, '2021-01-24', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38569, '2021-01-25', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38570, '2021-01-26', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38571, '2021-01-27', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38572, '2021-01-28', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38573, '2021-01-29', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38574, '2021-01-30', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38575, '2021-01-31', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38576, '2021-02-01', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38577, '2021-02-02', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38578, '2021-02-03', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38579, '2021-02-04', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38580, '2021-02-05', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38581, '2021-02-06', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38582, '2021-02-07', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38583, '2021-02-08', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38584, '2021-02-09', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38585, '2021-02-10', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38586, '2021-02-11', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38587, '2021-02-12', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38588, '2021-02-13', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38589, '2021-02-14', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38590, '2021-02-15', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38591, '2021-02-16', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38592, '2021-02-17', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38593, '2021-02-18', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38594, '2021-02-19', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38595, '2021-02-20', 'VA', 'Holy See', 'EURO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (38596, '2020-01-03', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38597, '2020-01-04', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38598, '2020-01-05', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38599, '2020-01-06', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38600, '2020-01-07', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38601, '2020-01-08', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38602, '2020-01-09', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38603, '2020-01-10', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38604, '2020-01-11', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38605, '2020-01-12', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38606, '2020-01-13', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38607, '2020-01-14', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38608, '2020-01-15', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38609, '2020-01-16', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38610, '2020-01-17', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38611, '2020-01-18', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38612, '2020-01-19', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38613, '2020-01-20', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38614, '2020-01-21', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38615, '2020-01-22', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38616, '2020-01-23', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38617, '2020-01-24', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38618, '2020-01-25', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38619, '2020-01-26', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38620, '2020-01-27', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38621, '2020-01-28', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38622, '2020-01-29', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38623, '2020-01-30', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38624, '2020-01-31', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38625, '2020-02-01', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38626, '2020-02-02', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38627, '2020-02-03', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38628, '2020-02-04', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38629, '2020-02-05', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38630, '2020-02-06', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38631, '2020-02-07', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38632, '2020-02-08', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38633, '2020-02-09', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38634, '2020-02-10', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38635, '2020-02-11', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38636, '2020-02-12', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38637, '2020-02-13', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38638, '2020-02-14', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38639, '2020-02-15', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38640, '2020-02-16', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38641, '2020-02-17', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38642, '2020-02-18', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38643, '2020-02-19', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38644, '2020-02-20', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38645, '2020-02-21', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38646, '2020-02-22', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38647, '2020-02-23', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38648, '2020-02-24', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38649, '2020-02-25', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38650, '2020-02-26', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38651, '2020-02-27', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38652, '2020-02-28', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38653, '2020-02-29', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38654, '2020-03-01', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38655, '2020-03-02', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38656, '2020-03-03', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38657, '2020-03-04', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38658, '2020-03-05', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38659, '2020-03-06', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38660, '2020-03-07', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38661, '2020-03-08', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38662, '2020-03-09', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38663, '2020-03-10', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38664, '2020-03-11', 'HN', 'Honduras', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (38665, '2020-03-12', 'HN', 'Honduras', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (38666, '2020-03-13', 'HN', 'Honduras', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38667, '2020-03-14', 'HN', 'Honduras', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38668, '2020-03-15', 'HN', 'Honduras', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38669, '2020-03-16', 'HN', 'Honduras', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (38670, '2020-03-17', 'HN', 'Honduras', 'AMRO', '6', '12', '0', '0');
INSERT INTO public.who_import VALUES (38671, '2020-03-18', 'HN', 'Honduras', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (38672, '2020-03-19', 'HN', 'Honduras', 'AMRO', '-1', '12', '0', '0');
INSERT INTO public.who_import VALUES (38673, '2020-03-20', 'HN', 'Honduras', 'AMRO', '12', '24', '0', '0');
INSERT INTO public.who_import VALUES (38674, '2020-03-21', 'HN', 'Honduras', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (38675, '2020-03-22', 'HN', 'Honduras', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (38676, '2020-03-23', 'HN', 'Honduras', 'AMRO', '2', '26', '0', '0');
INSERT INTO public.who_import VALUES (38677, '2020-03-24', 'HN', 'Honduras', 'AMRO', '4', '30', '0', '0');
INSERT INTO public.who_import VALUES (38678, '2020-03-25', 'HN', 'Honduras', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (38679, '2020-03-26', 'HN', 'Honduras', 'AMRO', '22', '52', '1', '1');
INSERT INTO public.who_import VALUES (38680, '2020-03-27', 'HN', 'Honduras', 'AMRO', '0', '52', '0', '1');
INSERT INTO public.who_import VALUES (38681, '2020-03-28', 'HN', 'Honduras', 'AMRO', '15', '67', '0', '1');
INSERT INTO public.who_import VALUES (38682, '2020-03-29', 'HN', 'Honduras', 'AMRO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (38683, '2020-03-30', 'HN', 'Honduras', 'AMRO', '43', '110', '1', '2');
INSERT INTO public.who_import VALUES (38684, '2020-03-31', 'HN', 'Honduras', 'AMRO', '29', '139', '0', '2');
INSERT INTO public.who_import VALUES (38685, '2020-04-01', 'HN', 'Honduras', 'AMRO', '0', '139', '0', '2');
INSERT INTO public.who_import VALUES (38686, '2020-04-02', 'HN', 'Honduras', 'AMRO', '33', '172', '8', '10');
INSERT INTO public.who_import VALUES (38687, '2020-04-03', 'HN', 'Honduras', 'AMRO', '47', '219', '4', '14');
INSERT INTO public.who_import VALUES (38688, '2020-04-04', 'HN', 'Honduras', 'AMRO', '3', '222', '1', '15');
INSERT INTO public.who_import VALUES (38689, '2020-04-05', 'HN', 'Honduras', 'AMRO', '42', '264', '0', '15');
INSERT INTO public.who_import VALUES (38690, '2020-04-06', 'HN', 'Honduras', 'AMRO', '4', '268', '7', '22');
INSERT INTO public.who_import VALUES (38691, '2020-04-07', 'HN', 'Honduras', 'AMRO', '30', '298', '0', '22');
INSERT INTO public.who_import VALUES (38692, '2020-04-08', 'HN', 'Honduras', 'AMRO', '7', '305', '0', '22');
INSERT INTO public.who_import VALUES (38693, '2020-04-09', 'HN', 'Honduras', 'AMRO', '7', '312', '0', '22');
INSERT INTO public.who_import VALUES (38694, '2020-04-10', 'HN', 'Honduras', 'AMRO', '31', '343', '1', '23');
INSERT INTO public.who_import VALUES (38695, '2020-04-11', 'HN', 'Honduras', 'AMRO', '39', '382', '0', '23');
INSERT INTO public.who_import VALUES (38696, '2020-04-12', 'HN', 'Honduras', 'AMRO', '10', '392', '1', '24');
INSERT INTO public.who_import VALUES (38697, '2020-04-13', 'HN', 'Honduras', 'AMRO', '1', '393', '1', '25');
INSERT INTO public.who_import VALUES (38698, '2020-04-14', 'HN', 'Honduras', 'AMRO', '4', '397', '0', '25');
INSERT INTO public.who_import VALUES (38699, '2020-04-15', 'HN', 'Honduras', 'AMRO', '10', '407', '1', '26');
INSERT INTO public.who_import VALUES (38700, '2020-04-16', 'HN', 'Honduras', 'AMRO', '12', '419', '5', '31');
INSERT INTO public.who_import VALUES (38701, '2020-04-17', 'HN', 'Honduras', 'AMRO', '7', '426', '4', '35');
INSERT INTO public.who_import VALUES (38702, '2020-04-18', 'HN', 'Honduras', 'AMRO', '16', '442', '6', '41');
INSERT INTO public.who_import VALUES (38703, '2020-04-19', 'HN', 'Honduras', 'AMRO', '15', '457', '5', '46');
INSERT INTO public.who_import VALUES (38704, '2020-04-20', 'HN', 'Honduras', 'AMRO', '15', '472', '0', '46');
INSERT INTO public.who_import VALUES (38705, '2020-04-21', 'HN', 'Honduras', 'AMRO', '5', '477', '0', '46');
INSERT INTO public.who_import VALUES (38706, '2020-04-22', 'HN', 'Honduras', 'AMRO', '17', '494', '0', '46');
INSERT INTO public.who_import VALUES (38707, '2020-04-23', 'HN', 'Honduras', 'AMRO', '16', '510', '0', '46');
INSERT INTO public.who_import VALUES (38708, '2020-04-24', 'HN', 'Honduras', 'AMRO', '9', '519', '1', '47');
INSERT INTO public.who_import VALUES (38709, '2020-04-25', 'HN', 'Honduras', 'AMRO', '43', '562', '0', '47');
INSERT INTO public.who_import VALUES (38710, '2020-04-26', 'HN', 'Honduras', 'AMRO', '29', '591', '8', '55');
INSERT INTO public.who_import VALUES (38711, '2020-04-27', 'HN', 'Honduras', 'AMRO', '36', '627', '4', '59');
INSERT INTO public.who_import VALUES (38712, '2020-04-28', 'HN', 'Honduras', 'AMRO', '34', '661', '2', '61');
INSERT INTO public.who_import VALUES (38713, '2020-04-29', 'HN', 'Honduras', 'AMRO', '41', '702', '3', '64');
INSERT INTO public.who_import VALUES (38714, '2020-04-30', 'HN', 'Honduras', 'AMRO', '36', '738', '2', '66');
INSERT INTO public.who_import VALUES (38715, '2020-05-01', 'HN', 'Honduras', 'AMRO', '33', '771', '5', '71');
INSERT INTO public.who_import VALUES (38716, '2020-05-02', 'HN', 'Honduras', 'AMRO', '33', '804', '4', '75');
INSERT INTO public.who_import VALUES (38717, '2020-05-03', 'HN', 'Honduras', 'AMRO', '95', '899', '0', '75');
INSERT INTO public.who_import VALUES (38718, '2020-05-04', 'HN', 'Honduras', 'AMRO', '111', '1010', '1', '76');
INSERT INTO public.who_import VALUES (38719, '2020-05-05', 'HN', 'Honduras', 'AMRO', '45', '1055', '6', '82');
INSERT INTO public.who_import VALUES (38720, '2020-05-06', 'HN', 'Honduras', 'AMRO', '123', '1178', '7', '89');
INSERT INTO public.who_import VALUES (38721, '2020-05-07', 'HN', 'Honduras', 'AMRO', '92', '1270', '4', '93');
INSERT INTO public.who_import VALUES (38722, '2020-05-08', 'HN', 'Honduras', 'AMRO', '191', '1461', '6', '99');
INSERT INTO public.who_import VALUES (38723, '2020-05-09', 'HN', 'Honduras', 'AMRO', '224', '1685', '6', '105');
INSERT INTO public.who_import VALUES (38724, '2020-05-10', 'HN', 'Honduras', 'AMRO', '86', '1771', '2', '107');
INSERT INTO public.who_import VALUES (38725, '2020-05-11', 'HN', 'Honduras', 'AMRO', '59', '1830', '1', '108');
INSERT INTO public.who_import VALUES (38726, '2020-05-12', 'HN', 'Honduras', 'AMRO', '142', '1972', '0', '108');
INSERT INTO public.who_import VALUES (38727, '2020-05-13', 'HN', 'Honduras', 'AMRO', '128', '2100', '8', '116');
INSERT INTO public.who_import VALUES (38728, '2020-05-14', 'HN', 'Honduras', 'AMRO', '-20', '2080', '5', '121');
INSERT INTO public.who_import VALUES (38729, '2020-05-15', 'HN', 'Honduras', 'AMRO', '175', '2255', '2', '123');
INSERT INTO public.who_import VALUES (38730, '2020-05-16', 'HN', 'Honduras', 'AMRO', '63', '2318', '10', '133');
INSERT INTO public.who_import VALUES (38731, '2020-05-17', 'HN', 'Honduras', 'AMRO', '142', '2460', '1', '134');
INSERT INTO public.who_import VALUES (38732, '2020-05-18', 'HN', 'Honduras', 'AMRO', '105', '2565', '4', '138');
INSERT INTO public.who_import VALUES (38733, '2020-05-19', 'HN', 'Honduras', 'AMRO', '81', '2646', '4', '142');
INSERT INTO public.who_import VALUES (38734, '2020-05-20', 'HN', 'Honduras', 'AMRO', '152', '2798', '4', '146');
INSERT INTO public.who_import VALUES (38735, '2020-05-21', 'HN', 'Honduras', 'AMRO', '157', '2955', '1', '147');
INSERT INTO public.who_import VALUES (38736, '2020-05-22', 'HN', 'Honduras', 'AMRO', '145', '3100', '4', '151');
INSERT INTO public.who_import VALUES (38737, '2020-05-23', 'HN', 'Honduras', 'AMRO', '104', '3204', '5', '156');
INSERT INTO public.who_import VALUES (38738, '2020-05-24', 'HN', 'Honduras', 'AMRO', '273', '3477', '11', '167');
INSERT INTO public.who_import VALUES (38739, '2020-05-25', 'HN', 'Honduras', 'AMRO', '266', '3743', '7', '174');
INSERT INTO public.who_import VALUES (38740, '2020-05-26', 'HN', 'Honduras', 'AMRO', '207', '3950', '6', '180');
INSERT INTO public.who_import VALUES (38741, '2020-05-27', 'HN', 'Honduras', 'AMRO', '239', '4189', '2', '182');
INSERT INTO public.who_import VALUES (38742, '2020-05-28', 'HN', 'Honduras', 'AMRO', '212', '4401', '6', '188');
INSERT INTO public.who_import VALUES (38743, '2020-05-29', 'HN', 'Honduras', 'AMRO', '239', '4640', '6', '194');
INSERT INTO public.who_import VALUES (38744, '2020-05-30', 'HN', 'Honduras', 'AMRO', '112', '4752', '2', '196');
INSERT INTO public.who_import VALUES (38745, '2020-05-31', 'HN', 'Honduras', 'AMRO', '134', '4886', '3', '199');
INSERT INTO public.who_import VALUES (38746, '2020-06-01', 'HN', 'Honduras', 'AMRO', '208', '5094', '2', '201');
INSERT INTO public.who_import VALUES (38747, '2020-06-02', 'HN', 'Honduras', 'AMRO', '108', '5202', '11', '212');
INSERT INTO public.who_import VALUES (38748, '2020-06-03', 'HN', 'Honduras', 'AMRO', '160', '5362', '5', '217');
INSERT INTO public.who_import VALUES (38749, '2020-06-04', 'HN', 'Honduras', 'AMRO', '165', '5527', '8', '225');
INSERT INTO public.who_import VALUES (38750, '2020-06-05', 'HN', 'Honduras', 'AMRO', '163', '5690', '9', '234');
INSERT INTO public.who_import VALUES (38751, '2020-06-06', 'HN', 'Honduras', 'AMRO', '190', '5880', '9', '243');
INSERT INTO public.who_import VALUES (38752, '2020-06-07', 'HN', 'Honduras', 'AMRO', '91', '5971', '5', '248');
INSERT INTO public.who_import VALUES (38753, '2020-06-08', 'HN', 'Honduras', 'AMRO', '184', '6155', '2', '250');
INSERT INTO public.who_import VALUES (38754, '2020-06-09', 'HN', 'Honduras', 'AMRO', '172', '6327', '8', '258');
INSERT INTO public.who_import VALUES (38755, '2020-06-10', 'HN', 'Honduras', 'AMRO', '123', '6450', '4', '262');
INSERT INTO public.who_import VALUES (38756, '2020-06-11', 'HN', 'Honduras', 'AMRO', '485', '6935', '9', '271');
INSERT INTO public.who_import VALUES (38757, '2020-06-12', 'HN', 'Honduras', 'AMRO', '425', '7360', '19', '290');
INSERT INTO public.who_import VALUES (38758, '2020-06-13', 'HN', 'Honduras', 'AMRO', '309', '7669', '4', '294');
INSERT INTO public.who_import VALUES (38759, '2020-06-14', 'HN', 'Honduras', 'AMRO', '463', '8132', '12', '306');
INSERT INTO public.who_import VALUES (38760, '2020-06-15', 'HN', 'Honduras', 'AMRO', '323', '8455', '4', '310');
INSERT INTO public.who_import VALUES (38761, '2020-06-16', 'HN', 'Honduras', 'AMRO', '403', '8858', '2', '312');
INSERT INTO public.who_import VALUES (38762, '2020-06-17', 'HN', 'Honduras', 'AMRO', '320', '9178', '10', '322');
INSERT INTO public.who_import VALUES (38763, '2020-06-18', 'HN', 'Honduras', 'AMRO', '478', '9656', '8', '330');
INSERT INTO public.who_import VALUES (38764, '2020-06-19', 'HN', 'Honduras', 'AMRO', '643', '10299', '6', '336');
INSERT INTO public.who_import VALUES (38765, '2020-06-20', 'HN', 'Honduras', 'AMRO', '440', '10739', '7', '343');
INSERT INTO public.who_import VALUES (38766, '2020-06-21', 'HN', 'Honduras', 'AMRO', '519', '11258', '6', '349');
INSERT INTO public.who_import VALUES (38767, '2020-06-22', 'HN', 'Honduras', 'AMRO', '1048', '12306', '9', '358');
INSERT INTO public.who_import VALUES (38768, '2020-06-23', 'HN', 'Honduras', 'AMRO', '519', '12825', '5', '363');
INSERT INTO public.who_import VALUES (38769, '2020-06-24', 'HN', 'Honduras', 'AMRO', '531', '13356', '32', '395');
INSERT INTO public.who_import VALUES (38770, '2020-06-25', 'HN', 'Honduras', 'AMRO', '587', '13943', '10', '405');
INSERT INTO public.who_import VALUES (38771, '2020-06-26', 'HN', 'Honduras', 'AMRO', '628', '14571', '12', '417');
INSERT INTO public.who_import VALUES (38772, '2020-06-27', 'HN', 'Honduras', 'AMRO', '795', '15366', '9', '426');
INSERT INTO public.who_import VALUES (38773, '2020-06-28', 'HN', 'Honduras', 'AMRO', '628', '15994', '45', '471');
INSERT INTO public.who_import VALUES (38774, '2020-06-29', 'HN', 'Honduras', 'AMRO', '1013', '17007', '8', '479');
INSERT INTO public.who_import VALUES (38775, '2020-06-30', 'HN', 'Honduras', 'AMRO', '1075', '18082', '0', '479');
INSERT INTO public.who_import VALUES (38776, '2020-07-01', 'HN', 'Honduras', 'AMRO', '736', '18818', '6', '485');
INSERT INTO public.who_import VALUES (38777, '2020-07-02', 'HN', 'Honduras', 'AMRO', '740', '19558', '12', '497');
INSERT INTO public.who_import VALUES (38778, '2020-07-03', 'HN', 'Honduras', 'AMRO', '704', '20262', '45', '542');
INSERT INTO public.who_import VALUES (38779, '2020-07-04', 'HN', 'Honduras', 'AMRO', '858', '21120', '49', '591');
INSERT INTO public.who_import VALUES (38780, '2020-07-05', 'HN', 'Honduras', 'AMRO', '996', '22116', '14', '605');
INSERT INTO public.who_import VALUES (38781, '2020-07-06', 'HN', 'Honduras', 'AMRO', '805', '22921', '24', '629');
INSERT INTO public.who_import VALUES (38782, '2020-07-07', 'HN', 'Honduras', 'AMRO', '1022', '23943', '10', '639');
INSERT INTO public.who_import VALUES (38783, '2020-07-08', 'HN', 'Honduras', 'AMRO', '722', '24665', '17', '656');
INSERT INTO public.who_import VALUES (38784, '2020-07-09', 'HN', 'Honduras', 'AMRO', '763', '25428', '21', '677');
INSERT INTO public.who_import VALUES (38785, '2020-07-10', 'HN', 'Honduras', 'AMRO', '550', '25978', '17', '694');
INSERT INTO public.who_import VALUES (38786, '2020-07-11', 'HN', 'Honduras', 'AMRO', '406', '26384', '10', '704');
INSERT INTO public.who_import VALUES (38787, '2020-07-12', 'HN', 'Honduras', 'AMRO', '669', '27053', '46', '750');
INSERT INTO public.who_import VALUES (38788, '2020-07-13', 'HN', 'Honduras', 'AMRO', '530', '27583', '21', '771');
INSERT INTO public.who_import VALUES (38789, '2020-07-14', 'HN', 'Honduras', 'AMRO', '507', '28090', '3', '774');
INSERT INTO public.who_import VALUES (38790, '2020-07-15', 'HN', 'Honduras', 'AMRO', '489', '28579', '15', '789');
INSERT INTO public.who_import VALUES (38791, '2020-07-16', 'HN', 'Honduras', 'AMRO', '527', '29106', '18', '807');
INSERT INTO public.who_import VALUES (38792, '2020-07-17', 'HN', 'Honduras', 'AMRO', '930', '30036', '18', '825');
INSERT INTO public.who_import VALUES (38793, '2020-07-18', 'HN', 'Honduras', 'AMRO', '831', '30867', '10', '835');
INSERT INTO public.who_import VALUES (38794, '2020-07-19', 'HN', 'Honduras', 'AMRO', '878', '31745', '22', '857');
INSERT INTO public.who_import VALUES (38795, '2020-07-20', 'HN', 'Honduras', 'AMRO', '1048', '32793', '34', '891');
INSERT INTO public.who_import VALUES (38796, '2020-07-21', 'HN', 'Honduras', 'AMRO', '1042', '33835', '9', '900');
INSERT INTO public.who_import VALUES (38797, '2020-07-22', 'HN', 'Honduras', 'AMRO', '776', '34611', '35', '935');
INSERT INTO public.who_import VALUES (38798, '2020-07-23', 'HN', 'Honduras', 'AMRO', '734', '35345', '53', '988');
INSERT INTO public.who_import VALUES (38799, '2020-07-24', 'HN', 'Honduras', 'AMRO', '757', '36102', '18', '1006');
INSERT INTO public.who_import VALUES (38800, '2020-07-25', 'HN', 'Honduras', 'AMRO', '800', '36902', '5', '1011');
INSERT INTO public.who_import VALUES (38801, '2020-07-26', 'HN', 'Honduras', 'AMRO', '657', '37559', '50', '1061');
INSERT INTO public.who_import VALUES (38802, '2020-07-27', 'HN', 'Honduras', 'AMRO', '879', '38438', '37', '1098');
INSERT INTO public.who_import VALUES (38803, '2020-07-28', 'HN', 'Honduras', 'AMRO', '838', '39276', '18', '1116');
INSERT INTO public.who_import VALUES (38804, '2020-07-29', 'HN', 'Honduras', 'AMRO', '465', '39741', '50', '1166');
INSERT INTO public.who_import VALUES (38805, '2020-07-30', 'HN', 'Honduras', 'AMRO', '719', '40460', '48', '1214');
INSERT INTO public.who_import VALUES (38806, '2020-07-31', 'HN', 'Honduras', 'AMRO', '484', '40944', '45', '1259');
INSERT INTO public.who_import VALUES (38807, '2020-08-01', 'HN', 'Honduras', 'AMRO', '482', '41426', '53', '1312');
INSERT INTO public.who_import VALUES (38808, '2020-08-02', 'HN', 'Honduras', 'AMRO', '588', '42014', '25', '1337');
INSERT INTO public.who_import VALUES (38809, '2020-08-03', 'HN', 'Honduras', 'AMRO', '671', '42685', '31', '1368');
INSERT INTO public.who_import VALUES (38810, '2020-08-04', 'HN', 'Honduras', 'AMRO', '512', '43197', '9', '1377');
INSERT INTO public.who_import VALUES (38811, '2020-08-05', 'HN', 'Honduras', 'AMRO', '597', '43794', '7', '1384');
INSERT INTO public.who_import VALUES (38812, '2020-08-06', 'HN', 'Honduras', 'AMRO', '505', '44299', '16', '1400');
INSERT INTO public.who_import VALUES (38813, '2020-08-07', 'HN', 'Honduras', 'AMRO', '799', '45098', '23', '1423');
INSERT INTO public.who_import VALUES (38814, '2020-08-08', 'HN', 'Honduras', 'AMRO', '657', '45755', '23', '1446');
INSERT INTO public.who_import VALUES (38815, '2020-08-09', 'HN', 'Honduras', 'AMRO', '880', '46635', '19', '1465');
INSERT INTO public.who_import VALUES (38816, '2020-08-10', 'HN', 'Honduras', 'AMRO', '338', '46973', '11', '1476');
INSERT INTO public.who_import VALUES (38817, '2020-08-11', 'HN', 'Honduras', 'AMRO', '481', '47454', '19', '1495');
INSERT INTO public.who_import VALUES (38818, '2020-08-12', 'HN', 'Honduras', 'AMRO', '418', '47872', '11', '1506');
INSERT INTO public.who_import VALUES (38819, '2020-08-13', 'HN', 'Honduras', 'AMRO', '531', '48403', '9', '1515');
INSERT INTO public.who_import VALUES (38820, '2020-08-14', 'HN', 'Honduras', 'AMRO', '254', '48657', '18', '1533');
INSERT INTO public.who_import VALUES (38821, '2020-08-15', 'HN', 'Honduras', 'AMRO', '385', '49042', '9', '1542');
INSERT INTO public.who_import VALUES (38822, '2020-08-16', 'HN', 'Honduras', 'AMRO', '425', '49467', '6', '1548');
INSERT INTO public.who_import VALUES (38823, '2020-08-17', 'HN', 'Honduras', 'AMRO', '512', '49979', '19', '1567');
INSERT INTO public.who_import VALUES (38824, '2020-08-18', 'HN', 'Honduras', 'AMRO', '523', '50502', '8', '1575');
INSERT INTO public.who_import VALUES (38825, '2020-08-19', 'HN', 'Honduras', 'AMRO', '493', '50995', '8', '1583');
INSERT INTO public.who_import VALUES (38826, '2020-08-20', 'HN', 'Honduras', 'AMRO', '675', '51670', '10', '1593');
INSERT INTO public.who_import VALUES (38827, '2020-08-21', 'HN', 'Honduras', 'AMRO', '626', '52296', '15', '1608');
INSERT INTO public.who_import VALUES (38828, '2020-08-22', 'HN', 'Honduras', 'AMRO', '523', '52819', '11', '1619');
INSERT INTO public.who_import VALUES (38829, '2020-08-23', 'HN', 'Honduras', 'AMRO', '562', '53381', '13', '1632');
INSERT INTO public.who_import VALUES (38830, '2020-08-24', 'HN', 'Honduras', 'AMRO', '602', '53983', '11', '1643');
INSERT INTO public.who_import VALUES (38831, '2020-08-25', 'HN', 'Honduras', 'AMRO', '528', '54511', '11', '1654');
INSERT INTO public.who_import VALUES (38832, '2020-08-26', 'HN', 'Honduras', 'AMRO', '968', '55479', '29', '1683');
INSERT INTO public.who_import VALUES (38833, '2020-08-27', 'HN', 'Honduras', 'AMRO', '398', '55877', '20', '1703');
INSERT INTO public.who_import VALUES (38834, '2020-08-28', 'HN', 'Honduras', 'AMRO', '772', '56649', '44', '1747');
INSERT INTO public.who_import VALUES (38835, '2020-08-29', 'HN', 'Honduras', 'AMRO', '1020', '57669', '56', '1803');
INSERT INTO public.who_import VALUES (38836, '2020-08-30', 'HN', 'Honduras', 'AMRO', '1141', '58810', '24', '1827');
INSERT INTO public.who_import VALUES (38837, '2020-08-31', 'HN', 'Honduras', 'AMRO', '835', '59645', '15', '1842');
INSERT INTO public.who_import VALUES (38838, '2020-09-01', 'HN', 'Honduras', 'AMRO', '529', '60174', '16', '1858');
INSERT INTO public.who_import VALUES (38839, '2020-09-02', 'HN', 'Honduras', 'AMRO', '840', '61014', '15', '1873');
INSERT INTO public.who_import VALUES (38840, '2020-09-03', 'HN', 'Honduras', 'AMRO', '755', '61769', '15', '1888');
INSERT INTO public.who_import VALUES (38841, '2020-09-04', 'HN', 'Honduras', 'AMRO', '757', '62526', '36', '1924');
INSERT INTO public.who_import VALUES (38842, '2020-09-05', 'HN', 'Honduras', 'AMRO', '632', '63158', '30', '1954');
INSERT INTO public.who_import VALUES (38843, '2020-09-06', 'HN', 'Honduras', 'AMRO', '640', '63798', '30', '1984');
INSERT INTO public.who_import VALUES (38844, '2020-09-07', 'HN', 'Honduras', 'AMRO', '554', '64352', '22', '2006');
INSERT INTO public.who_import VALUES (38845, '2020-09-08', 'HN', 'Honduras', 'AMRO', '412', '64764', '1', '2007');
INSERT INTO public.who_import VALUES (38846, '2020-09-09', 'HN', 'Honduras', 'AMRO', '50', '64814', '16', '2023');
INSERT INTO public.who_import VALUES (38847, '2020-09-10', 'HN', 'Honduras', 'AMRO', '404', '65218', '11', '2034');
INSERT INTO public.who_import VALUES (38848, '2020-09-11', 'HN', 'Honduras', 'AMRO', '379', '65597', '10', '2044');
INSERT INTO public.who_import VALUES (38849, '2020-09-12', 'HN', 'Honduras', 'AMRO', '205', '65802', '5', '2049');
INSERT INTO public.who_import VALUES (38850, '2020-09-13', 'HN', 'Honduras', 'AMRO', '247', '66049', '9', '2058');
INSERT INTO public.who_import VALUES (38851, '2020-09-14', 'HN', 'Honduras', 'AMRO', '1087', '67136', '7', '2065');
INSERT INTO public.who_import VALUES (38852, '2020-09-15', 'HN', 'Honduras', 'AMRO', '653', '67789', '14', '2079');
INSERT INTO public.who_import VALUES (38853, '2020-09-16', 'HN', 'Honduras', 'AMRO', '831', '68620', '8', '2087');
INSERT INTO public.who_import VALUES (38854, '2020-09-17', 'HN', 'Honduras', 'AMRO', '0', '68620', '0', '2087');
INSERT INTO public.who_import VALUES (38855, '2020-09-18', 'HN', 'Honduras', 'AMRO', '1040', '69660', '15', '2102');
INSERT INTO public.who_import VALUES (38856, '2020-09-19', 'HN', 'Honduras', 'AMRO', '460', '70120', '20', '2122');
INSERT INTO public.who_import VALUES (38857, '2020-09-20', 'HN', 'Honduras', 'AMRO', '491', '70611', '24', '2146');
INSERT INTO public.who_import VALUES (38858, '2020-09-21', 'HN', 'Honduras', 'AMRO', '532', '71143', '20', '2166');
INSERT INTO public.who_import VALUES (38859, '2020-09-22', 'HN', 'Honduras', 'AMRO', '473', '71616', '18', '2184');
INSERT INTO public.who_import VALUES (38860, '2020-09-23', 'HN', 'Honduras', 'AMRO', '459', '72075', '20', '2204');
INSERT INTO public.who_import VALUES (38861, '2020-09-24', 'HN', 'Honduras', 'AMRO', '231', '72306', '2', '2206');
INSERT INTO public.who_import VALUES (38862, '2020-09-25', 'HN', 'Honduras', 'AMRO', '369', '72675', '16', '2222');
INSERT INTO public.who_import VALUES (38863, '2020-09-26', 'HN', 'Honduras', 'AMRO', '518', '73193', '27', '2249');
INSERT INTO public.who_import VALUES (38864, '2020-09-27', 'HN', 'Honduras', 'AMRO', '647', '73840', '22', '2271');
INSERT INTO public.who_import VALUES (38865, '2020-09-28', 'HN', 'Honduras', 'AMRO', '708', '74548', '17', '2288');
INSERT INTO public.who_import VALUES (38866, '2020-09-29', 'HN', 'Honduras', 'AMRO', '561', '75109', '1', '2289');
INSERT INTO public.who_import VALUES (38867, '2020-09-30', 'HN', 'Honduras', 'AMRO', '428', '75537', '12', '2301');
INSERT INTO public.who_import VALUES (38868, '2020-10-01', 'HN', 'Honduras', 'AMRO', '561', '76098', '22', '2323');
INSERT INTO public.who_import VALUES (38869, '2020-10-02', 'HN', 'Honduras', 'AMRO', '802', '76900', '30', '2353');
INSERT INTO public.who_import VALUES (38870, '2020-10-03', 'HN', 'Honduras', 'AMRO', '698', '77598', '27', '2380');
INSERT INTO public.who_import VALUES (38871, '2020-10-04', 'HN', 'Honduras', 'AMRO', '671', '78269', '6', '2386');
INSERT INTO public.who_import VALUES (38872, '2020-10-05', 'HN', 'Honduras', 'AMRO', '519', '78788', '13', '2399');
INSERT INTO public.who_import VALUES (38873, '2020-10-06', 'HN', 'Honduras', 'AMRO', '841', '79629', '23', '2422');
INSERT INTO public.who_import VALUES (38874, '2020-10-07', 'HN', 'Honduras', 'AMRO', '391', '80020', '11', '2433');
INSERT INTO public.who_import VALUES (38875, '2020-10-08', 'HN', 'Honduras', 'AMRO', '642', '80662', '14', '2447');
INSERT INTO public.who_import VALUES (38876, '2020-10-09', 'HN', 'Honduras', 'AMRO', '498', '81160', '19', '2466');
INSERT INTO public.who_import VALUES (38877, '2020-10-10', 'HN', 'Honduras', 'AMRO', '512', '81672', '11', '2477');
INSERT INTO public.who_import VALUES (38878, '2020-10-11', 'HN', 'Honduras', 'AMRO', '880', '82552', '15', '2492');
INSERT INTO public.who_import VALUES (38879, '2020-10-12', 'HN', 'Honduras', 'AMRO', '594', '83146', '12', '2504');
INSERT INTO public.who_import VALUES (38880, '2020-10-13', 'HN', 'Honduras', 'AMRO', '935', '84081', '8', '2512');
INSERT INTO public.who_import VALUES (38881, '2020-10-14', 'HN', 'Honduras', 'AMRO', '332', '84413', '9', '2521');
INSERT INTO public.who_import VALUES (38882, '2020-10-15', 'HN', 'Honduras', 'AMRO', '439', '84852', '7', '2528');
INSERT INTO public.who_import VALUES (38883, '2020-10-16', 'HN', 'Honduras', 'AMRO', '606', '85458', '5', '2533');
INSERT INTO public.who_import VALUES (38884, '2020-10-17', 'HN', 'Honduras', 'AMRO', '631', '86089', '19', '2552');
INSERT INTO public.who_import VALUES (38885, '2020-10-18', 'HN', 'Honduras', 'AMRO', '602', '86691', '4', '2556');
INSERT INTO public.who_import VALUES (38886, '2020-10-19', 'HN', 'Honduras', 'AMRO', '903', '87594', '7', '2563');
INSERT INTO public.who_import VALUES (38887, '2020-10-20', 'HN', 'Honduras', 'AMRO', '841', '88435', '5', '2568');
INSERT INTO public.who_import VALUES (38888, '2020-10-21', 'HN', 'Honduras', 'AMRO', '946', '89381', '8', '2576');
INSERT INTO public.who_import VALUES (38889, '2020-10-22', 'HN', 'Honduras', 'AMRO', '851', '90232', '6', '2582');
INSERT INTO public.who_import VALUES (38890, '2020-10-23', 'HN', 'Honduras', 'AMRO', '846', '91078', '14', '2596');
INSERT INTO public.who_import VALUES (38891, '2020-10-24', 'HN', 'Honduras', 'AMRO', '431', '91509', '8', '2604');
INSERT INTO public.who_import VALUES (38892, '2020-10-25', 'HN', 'Honduras', 'AMRO', '373', '91882', '8', '2612');
INSERT INTO public.who_import VALUES (38893, '2020-10-26', 'HN', 'Honduras', 'AMRO', '842', '92724', '5', '2617');
INSERT INTO public.who_import VALUES (38894, '2020-10-27', 'HN', 'Honduras', 'AMRO', '490', '93214', '6', '2623');
INSERT INTO public.who_import VALUES (38895, '2020-10-28', 'HN', 'Honduras', 'AMRO', '752', '93966', '10', '2633');
INSERT INTO public.who_import VALUES (38896, '2020-10-29', 'HN', 'Honduras', 'AMRO', '657', '94623', '6', '2639');
INSERT INTO public.who_import VALUES (38897, '2020-10-30', 'HN', 'Honduras', 'AMRO', '576', '95199', '13', '2652');
INSERT INTO public.who_import VALUES (38898, '2020-10-31', 'HN', 'Honduras', 'AMRO', '951', '96150', '9', '2661');
INSERT INTO public.who_import VALUES (38899, '2020-11-01', 'HN', 'Honduras', 'AMRO', '738', '96888', '8', '2669');
INSERT INTO public.who_import VALUES (38900, '2020-11-02', 'HN', 'Honduras', 'AMRO', '516', '97404', '3', '2672');
INSERT INTO public.who_import VALUES (38901, '2020-11-03', 'HN', 'Honduras', 'AMRO', '808', '98212', '3', '2675');
INSERT INTO public.who_import VALUES (38902, '2020-11-04', 'HN', 'Honduras', 'AMRO', '193', '98405', '13', '2688');
INSERT INTO public.who_import VALUES (38903, '2020-11-05', 'HN', 'Honduras', 'AMRO', '283', '98688', '18', '2706');
INSERT INTO public.who_import VALUES (38904, '2020-11-06', 'HN', 'Honduras', 'AMRO', '436', '99124', '24', '2730');
INSERT INTO public.who_import VALUES (38905, '2020-11-07', 'HN', 'Honduras', 'AMRO', '223', '99347', '6', '2736');
INSERT INTO public.who_import VALUES (38906, '2020-11-08', 'HN', 'Honduras', 'AMRO', '229', '99576', '5', '2741');
INSERT INTO public.who_import VALUES (38907, '2020-11-09', 'HN', 'Honduras', 'AMRO', '465', '100041', '4', '2745');
INSERT INTO public.who_import VALUES (38908, '2020-11-10', 'HN', 'Honduras', 'AMRO', '467', '100508', '6', '2751');
INSERT INTO public.who_import VALUES (38909, '2020-11-11', 'HN', 'Honduras', 'AMRO', '65', '100573', '14', '2765');
INSERT INTO public.who_import VALUES (38910, '2020-11-12', 'HN', 'Honduras', 'AMRO', '231', '100804', '15', '2780');
INSERT INTO public.who_import VALUES (38911, '2020-11-13', 'HN', 'Honduras', 'AMRO', '365', '101169', '17', '2797');
INSERT INTO public.who_import VALUES (38912, '2020-11-14', 'HN', 'Honduras', 'AMRO', '299', '101468', '7', '2804');
INSERT INTO public.who_import VALUES (38913, '2020-11-15', 'HN', 'Honduras', 'AMRO', '611', '102079', '16', '2820');
INSERT INTO public.who_import VALUES (38914, '2020-11-16', 'HN', 'Honduras', 'AMRO', '476', '102555', '2', '2822');
INSERT INTO public.who_import VALUES (38915, '2020-11-17', 'HN', 'Honduras', 'AMRO', '547', '103102', '1', '2823');
INSERT INTO public.who_import VALUES (38916, '2020-11-18', 'HN', 'Honduras', 'AMRO', '137', '103239', '16', '2839');
INSERT INTO public.who_import VALUES (38917, '2020-11-19', 'HN', 'Honduras', 'AMRO', '249', '103488', '0', '2839');
INSERT INTO public.who_import VALUES (38918, '2020-11-20', 'HN', 'Honduras', 'AMRO', '0', '103488', '0', '2839');
INSERT INTO public.who_import VALUES (38919, '2020-11-21', 'HN', 'Honduras', 'AMRO', '63', '103551', '14', '2853');
INSERT INTO public.who_import VALUES (38920, '2020-11-22', 'HN', 'Honduras', 'AMRO', '628', '104179', '2', '2855');
INSERT INTO public.who_import VALUES (38921, '2020-11-23', 'HN', 'Honduras', 'AMRO', '256', '104435', '2', '2857');
INSERT INTO public.who_import VALUES (38922, '2020-11-24', 'HN', 'Honduras', 'AMRO', '480', '104915', '2', '2859');
INSERT INTO public.who_import VALUES (38923, '2020-11-25', 'HN', 'Honduras', 'AMRO', '296', '105211', '10', '2869');
INSERT INTO public.who_import VALUES (38924, '2020-11-26', 'HN', 'Honduras', 'AMRO', '361', '105572', '8', '2877');
INSERT INTO public.who_import VALUES (38925, '2020-11-27', 'HN', 'Honduras', 'AMRO', '544', '106116', '11', '2888');
INSERT INTO public.who_import VALUES (38926, '2020-11-28', 'HN', 'Honduras', 'AMRO', '565', '106681', '4', '2892');
INSERT INTO public.who_import VALUES (38927, '2020-11-29', 'HN', 'Honduras', 'AMRO', '453', '107134', '7', '2899');
INSERT INTO public.who_import VALUES (38928, '2020-11-30', 'HN', 'Honduras', 'AMRO', '379', '107513', '6', '2905');
INSERT INTO public.who_import VALUES (38929, '2020-12-01', 'HN', 'Honduras', 'AMRO', '375', '107888', '4', '2909');
INSERT INTO public.who_import VALUES (38930, '2020-12-02', 'HN', 'Honduras', 'AMRO', '365', '108253', '9', '2918');
INSERT INTO public.who_import VALUES (38931, '2020-12-03', 'HN', 'Honduras', 'AMRO', '388', '108641', '9', '2927');
INSERT INTO public.who_import VALUES (38932, '2020-12-04', 'HN', 'Honduras', 'AMRO', '503', '109144', '3', '2930');
INSERT INTO public.who_import VALUES (38933, '2020-12-05', 'HN', 'Honduras', 'AMRO', '616', '109760', '8', '2938');
INSERT INTO public.who_import VALUES (38934, '2020-12-06', 'HN', 'Honduras', 'AMRO', '200', '109960', '3', '2941');
INSERT INTO public.who_import VALUES (38935, '2020-12-07', 'HN', 'Honduras', 'AMRO', '763', '110723', '4', '2945');
INSERT INTO public.who_import VALUES (38936, '2020-12-08', 'HN', 'Honduras', 'AMRO', '300', '111023', '1', '2946');
INSERT INTO public.who_import VALUES (38937, '2020-12-09', 'HN', 'Honduras', 'AMRO', '684', '111707', '4', '2950');
INSERT INTO public.who_import VALUES (38938, '2020-12-10', 'HN', 'Honduras', 'AMRO', '468', '112175', '2', '2952');
INSERT INTO public.who_import VALUES (38939, '2020-12-11', 'HN', 'Honduras', 'AMRO', '617', '112792', '9', '2961');
INSERT INTO public.who_import VALUES (38940, '2020-12-12', 'HN', 'Honduras', 'AMRO', '415', '113207', '7', '2968');
INSERT INTO public.who_import VALUES (38941, '2020-12-13', 'HN', 'Honduras', 'AMRO', '501', '113708', '3', '2971');
INSERT INTO public.who_import VALUES (38942, '2020-12-14', 'HN', 'Honduras', 'AMRO', '335', '114043', '3', '2974');
INSERT INTO public.who_import VALUES (38943, '2020-12-15', 'HN', 'Honduras', 'AMRO', '316', '114359', '1', '2975');
INSERT INTO public.who_import VALUES (38944, '2020-12-16', 'HN', 'Honduras', 'AMRO', '283', '114642', '14', '2989');
INSERT INTO public.who_import VALUES (38945, '2020-12-17', 'HN', 'Honduras', 'AMRO', '301', '114943', '12', '3001');
INSERT INTO public.who_import VALUES (38946, '2020-12-18', 'HN', 'Honduras', 'AMRO', '374', '115317', '12', '3013');
INSERT INTO public.who_import VALUES (38947, '2020-12-19', 'HN', 'Honduras', 'AMRO', '157', '115474', '8', '3021');
INSERT INTO public.who_import VALUES (38948, '2020-12-20', 'HN', 'Honduras', 'AMRO', '738', '116212', '2', '3023');
INSERT INTO public.who_import VALUES (38949, '2020-12-21', 'HN', 'Honduras', 'AMRO', '648', '116860', '2', '3025');
INSERT INTO public.who_import VALUES (38950, '2020-12-22', 'HN', 'Honduras', 'AMRO', '162', '117022', '2', '3027');
INSERT INTO public.who_import VALUES (38951, '2020-12-23', 'HN', 'Honduras', 'AMRO', '168', '117190', '7', '3034');
INSERT INTO public.who_import VALUES (38952, '2020-12-24', 'HN', 'Honduras', 'AMRO', '398', '117588', '12', '3046');
INSERT INTO public.who_import VALUES (38953, '2020-12-25', 'HN', 'Honduras', 'AMRO', '448', '118036', '8', '3054');
INSERT INTO public.who_import VALUES (38954, '2020-12-26', 'HN', 'Honduras', 'AMRO', '385', '118421', '6', '3060');
INSERT INTO public.who_import VALUES (38955, '2020-12-27', 'HN', 'Honduras', 'AMRO', '238', '118659', '1', '3061');
INSERT INTO public.who_import VALUES (38956, '2020-12-28', 'HN', 'Honduras', 'AMRO', '438', '119097', '4', '3065');
INSERT INTO public.who_import VALUES (38957, '2020-12-29', 'HN', 'Honduras', 'AMRO', '616', '119713', '1', '3066');
INSERT INTO public.who_import VALUES (38958, '2020-12-30', 'HN', 'Honduras', 'AMRO', '390', '120103', '22', '3088');
INSERT INTO public.who_import VALUES (38959, '2020-12-31', 'HN', 'Honduras', 'AMRO', '809', '120912', '23', '3111');
INSERT INTO public.who_import VALUES (38960, '2021-01-01', 'HN', 'Honduras', 'AMRO', '915', '121827', '19', '3130');
INSERT INTO public.who_import VALUES (38961, '2021-01-02', 'HN', 'Honduras', 'AMRO', '936', '122763', '11', '3141');
INSERT INTO public.who_import VALUES (38962, '2021-01-03', 'HN', 'Honduras', 'AMRO', '211', '122974', '19', '3160');
INSERT INTO public.who_import VALUES (38963, '2021-01-04', 'HN', 'Honduras', 'AMRO', '170', '123144', '13', '3173');
INSERT INTO public.who_import VALUES (38964, '2021-01-05', 'HN', 'Honduras', 'AMRO', '225', '123369', '7', '3180');
INSERT INTO public.who_import VALUES (38965, '2021-01-06', 'HN', 'Honduras', 'AMRO', '29', '123398', '1', '3181');
INSERT INTO public.who_import VALUES (38966, '2021-01-07', 'HN', 'Honduras', 'AMRO', '424', '123822', '5', '3186');
INSERT INTO public.who_import VALUES (38967, '2021-01-08', 'HN', 'Honduras', 'AMRO', '1077', '124899', '6', '3192');
INSERT INTO public.who_import VALUES (38968, '2021-01-09', 'HN', 'Honduras', 'AMRO', '658', '125557', '52', '3244');
INSERT INTO public.who_import VALUES (38969, '2021-01-10', 'HN', 'Honduras', 'AMRO', '839', '126396', '22', '3266');
INSERT INTO public.who_import VALUES (38970, '2021-01-11', 'HN', 'Honduras', 'AMRO', '830', '127226', '9', '3275');
INSERT INTO public.who_import VALUES (38971, '2021-01-12', 'HN', 'Honduras', 'AMRO', '719', '127945', '-2', '3273');
INSERT INTO public.who_import VALUES (38972, '2021-01-13', 'HN', 'Honduras', 'AMRO', '756', '128701', '12', '3285');
INSERT INTO public.who_import VALUES (38973, '2021-01-14', 'HN', 'Honduras', 'AMRO', '1104', '129805', '9', '3294');
INSERT INTO public.who_import VALUES (38974, '2021-01-15', 'HN', 'Honduras', 'AMRO', '1204', '131009', '26', '3320');
INSERT INTO public.who_import VALUES (38975, '2021-01-16', 'HN', 'Honduras', 'AMRO', '954', '131963', '15', '3335');
INSERT INTO public.who_import VALUES (38976, '2021-01-17', 'HN', 'Honduras', 'AMRO', '449', '132412', '9', '3344');
INSERT INTO public.who_import VALUES (38977, '2021-01-18', 'HN', 'Honduras', 'AMRO', '1095', '133507', '4', '3348');
INSERT INTO public.who_import VALUES (38978, '2021-01-19', 'HN', 'Honduras', 'AMRO', '604', '134111', '6', '3354');
INSERT INTO public.who_import VALUES (38979, '2021-01-20', 'HN', 'Honduras', 'AMRO', '827', '134938', '14', '3368');
INSERT INTO public.who_import VALUES (38980, '2021-01-21', 'HN', 'Honduras', 'AMRO', '1130', '136068', '23', '3391');
INSERT INTO public.who_import VALUES (38981, '2021-01-22', 'HN', 'Honduras', 'AMRO', '830', '136898', '15', '3406');
INSERT INTO public.who_import VALUES (38982, '2021-01-23', 'HN', 'Honduras', 'AMRO', '1146', '138044', '16', '3422');
INSERT INTO public.who_import VALUES (38983, '2021-01-24', 'HN', 'Honduras', 'AMRO', '1138', '139182', '17', '3439');
INSERT INTO public.who_import VALUES (38984, '2021-01-25', 'HN', 'Honduras', 'AMRO', '1056', '140238', '2', '3441');
INSERT INTO public.who_import VALUES (38985, '2021-01-26', 'HN', 'Honduras', 'AMRO', '691', '140929', '6', '3447');
INSERT INTO public.who_import VALUES (38986, '2021-01-27', 'HN', 'Honduras', 'AMRO', '1055', '141984', '15', '3462');
INSERT INTO public.who_import VALUES (38987, '2021-01-28', 'HN', 'Honduras', 'AMRO', '896', '142880', '24', '3486');
INSERT INTO public.who_import VALUES (38988, '2021-01-29', 'HN', 'Honduras', 'AMRO', '1127', '144007', '26', '3512');
INSERT INTO public.who_import VALUES (38989, '2021-01-30', 'HN', 'Honduras', 'AMRO', '985', '144992', '37', '3549');
INSERT INTO public.who_import VALUES (38990, '2021-01-31', 'HN', 'Honduras', 'AMRO', '1118', '146110', '26', '3575');
INSERT INTO public.who_import VALUES (38991, '2021-02-01', 'HN', 'Honduras', 'AMRO', '990', '147100', '17', '3592');
INSERT INTO public.who_import VALUES (38992, '2021-02-02', 'HN', 'Honduras', 'AMRO', '743', '147843', '18', '3610');
INSERT INTO public.who_import VALUES (38993, '2021-02-03', 'HN', 'Honduras', 'AMRO', '1108', '148951', '4', '3614');
INSERT INTO public.who_import VALUES (38994, '2021-02-04', 'HN', 'Honduras', 'AMRO', '840', '149791', '24', '3638');
INSERT INTO public.who_import VALUES (38995, '2021-02-05', 'HN', 'Honduras', 'AMRO', '1312', '151103', '24', '3662');
INSERT INTO public.who_import VALUES (38996, '2021-02-06', 'HN', 'Honduras', 'AMRO', '1122', '152225', '7', '3669');
INSERT INTO public.who_import VALUES (38997, '2021-02-07', 'HN', 'Honduras', 'AMRO', '1028', '153253', '25', '3694');
INSERT INTO public.who_import VALUES (38998, '2021-02-08', 'HN', 'Honduras', 'AMRO', '652', '153905', '16', '3710');
INSERT INTO public.who_import VALUES (38999, '2021-02-09', 'HN', 'Honduras', 'AMRO', '663', '154568', '11', '3721');
INSERT INTO public.who_import VALUES (39000, '2021-02-10', 'HN', 'Honduras', 'AMRO', '1167', '155735', '21', '3742');
INSERT INTO public.who_import VALUES (39001, '2021-02-11', 'HN', 'Honduras', 'AMRO', '871', '156606', '47', '3789');
INSERT INTO public.who_import VALUES (39002, '2021-02-12', 'HN', 'Honduras', 'AMRO', '862', '157468', '17', '3806');
INSERT INTO public.who_import VALUES (39003, '2021-02-13', 'HN', 'Honduras', 'AMRO', '887', '158355', '32', '3838');
INSERT INTO public.who_import VALUES (39004, '2021-02-14', 'HN', 'Honduras', 'AMRO', '669', '159024', '10', '3848');
INSERT INTO public.who_import VALUES (39005, '2021-02-15', 'HN', 'Honduras', 'AMRO', '764', '159788', '9', '3857');
INSERT INTO public.who_import VALUES (39006, '2021-02-16', 'HN', 'Honduras', 'AMRO', '383', '160171', '9', '3866');
INSERT INTO public.who_import VALUES (39007, '2021-02-17', 'HN', 'Honduras', 'AMRO', '812', '160983', '27', '3893');
INSERT INTO public.who_import VALUES (39008, '2021-02-18', 'HN', 'Honduras', 'AMRO', '744', '161727', '20', '3913');
INSERT INTO public.who_import VALUES (39009, '2021-02-19', 'HN', 'Honduras', 'AMRO', '857', '162584', '20', '3933');
INSERT INTO public.who_import VALUES (39010, '2021-02-20', 'HN', 'Honduras', 'AMRO', '721', '163305', '32', '3965');
INSERT INTO public.who_import VALUES (39011, '2020-01-03', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39012, '2020-01-04', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39013, '2020-01-05', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39014, '2020-01-06', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39015, '2020-01-07', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39016, '2020-01-08', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39017, '2020-01-09', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39018, '2020-01-10', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39019, '2020-01-11', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39020, '2020-01-12', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39021, '2020-01-13', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39022, '2020-01-14', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39023, '2020-01-15', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39024, '2020-01-16', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39025, '2020-01-17', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39026, '2020-01-18', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39027, '2020-01-19', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39028, '2020-01-20', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39029, '2020-01-21', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39030, '2020-01-22', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39031, '2020-01-23', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39032, '2020-01-24', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39033, '2020-01-25', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39034, '2020-01-26', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39035, '2020-01-27', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39036, '2020-01-28', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39037, '2020-01-29', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39038, '2020-01-30', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39039, '2020-01-31', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39040, '2020-02-01', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39041, '2020-02-02', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39042, '2020-02-03', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39043, '2020-02-04', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39044, '2020-02-05', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39045, '2020-02-06', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39046, '2020-02-07', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39047, '2020-02-08', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39048, '2020-02-09', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39049, '2020-02-10', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39050, '2020-02-11', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39051, '2020-02-12', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39052, '2020-02-13', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39053, '2020-02-14', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39054, '2020-02-15', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39055, '2020-02-16', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39056, '2020-02-17', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39057, '2020-02-18', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39058, '2020-02-19', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39059, '2020-02-20', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39060, '2020-02-21', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39061, '2020-02-22', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39062, '2020-02-23', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39063, '2020-02-24', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39064, '2020-02-25', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39065, '2020-02-26', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39066, '2020-02-27', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39067, '2020-02-28', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39068, '2020-02-29', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39069, '2020-03-01', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39070, '2020-03-02', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39071, '2020-03-03', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39072, '2020-03-04', 'HU', 'Hungary', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39073, '2020-03-05', 'HU', 'Hungary', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (39074, '2020-03-06', 'HU', 'Hungary', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (39075, '2020-03-07', 'HU', 'Hungary', 'EURO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (39076, '2020-03-08', 'HU', 'Hungary', 'EURO', '3', '7', '0', '0');
INSERT INTO public.who_import VALUES (39077, '2020-03-09', 'HU', 'Hungary', 'EURO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (39078, '2020-03-10', 'HU', 'Hungary', 'EURO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (39079, '2020-03-11', 'HU', 'Hungary', 'EURO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (39080, '2020-03-12', 'HU', 'Hungary', 'EURO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (39081, '2020-03-13', 'HU', 'Hungary', 'EURO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (39082, '2020-03-14', 'HU', 'Hungary', 'EURO', '9', '25', '0', '0');
INSERT INTO public.who_import VALUES (39083, '2020-03-15', 'HU', 'Hungary', 'EURO', '6', '31', '0', '0');
INSERT INTO public.who_import VALUES (39084, '2020-03-16', 'HU', 'Hungary', 'EURO', '8', '39', '1', '1');
INSERT INTO public.who_import VALUES (39085, '2020-03-17', 'HU', 'Hungary', 'EURO', '11', '50', '0', '1');
INSERT INTO public.who_import VALUES (39086, '2020-03-18', 'HU', 'Hungary', 'EURO', '0', '50', '0', '1');
INSERT INTO public.who_import VALUES (39087, '2020-03-19', 'HU', 'Hungary', 'EURO', '23', '73', '0', '1');
INSERT INTO public.who_import VALUES (39088, '2020-03-20', 'HU', 'Hungary', 'EURO', '12', '85', '0', '1');
INSERT INTO public.who_import VALUES (39089, '2020-03-21', 'HU', 'Hungary', 'EURO', '18', '103', '3', '4');
INSERT INTO public.who_import VALUES (39090, '2020-03-22', 'HU', 'Hungary', 'EURO', '28', '131', '0', '4');
INSERT INTO public.who_import VALUES (39091, '2020-03-23', 'HU', 'Hungary', 'EURO', '36', '167', '3', '7');
INSERT INTO public.who_import VALUES (39092, '2020-03-24', 'HU', 'Hungary', 'EURO', '20', '187', '1', '8');
INSERT INTO public.who_import VALUES (39093, '2020-03-25', 'HU', 'Hungary', 'EURO', '39', '226', '2', '10');
INSERT INTO public.who_import VALUES (39094, '2020-03-26', 'HU', 'Hungary', 'EURO', '35', '261', '0', '10');
INSERT INTO public.who_import VALUES (39095, '2020-03-27', 'HU', 'Hungary', 'EURO', '39', '300', '0', '10');
INSERT INTO public.who_import VALUES (39096, '2020-03-28', 'HU', 'Hungary', 'EURO', '43', '343', '1', '11');
INSERT INTO public.who_import VALUES (39097, '2020-03-29', 'HU', 'Hungary', 'EURO', '65', '408', '2', '13');
INSERT INTO public.who_import VALUES (39098, '2020-03-30', 'HU', 'Hungary', 'EURO', '39', '447', '2', '15');
INSERT INTO public.who_import VALUES (39099, '2020-03-31', 'HU', 'Hungary', 'EURO', '45', '492', '1', '16');
INSERT INTO public.who_import VALUES (39100, '2020-04-01', 'HU', 'Hungary', 'EURO', '33', '525', '4', '20');
INSERT INTO public.who_import VALUES (39101, '2020-04-02', 'HU', 'Hungary', 'EURO', '60', '585', '1', '21');
INSERT INTO public.who_import VALUES (39102, '2020-04-03', 'HU', 'Hungary', 'EURO', '38', '623', '5', '26');
INSERT INTO public.who_import VALUES (39103, '2020-04-04', 'HU', 'Hungary', 'EURO', '55', '678', '6', '32');
INSERT INTO public.who_import VALUES (39104, '2020-04-05', 'HU', 'Hungary', 'EURO', '55', '733', '2', '34');
INSERT INTO public.who_import VALUES (39105, '2020-04-06', 'HU', 'Hungary', 'EURO', '11', '744', '4', '38');
INSERT INTO public.who_import VALUES (39106, '2020-04-07', 'HU', 'Hungary', 'EURO', '73', '817', '9', '47');
INSERT INTO public.who_import VALUES (39107, '2020-04-08', 'HU', 'Hungary', 'EURO', '78', '895', '11', '58');
INSERT INTO public.who_import VALUES (39108, '2020-04-09', 'HU', 'Hungary', 'EURO', '85', '980', '8', '66');
INSERT INTO public.who_import VALUES (39109, '2020-04-10', 'HU', 'Hungary', 'EURO', '210', '1190', '11', '77');
INSERT INTO public.who_import VALUES (39110, '2020-04-11', 'HU', 'Hungary', 'EURO', '120', '1310', '8', '85');
INSERT INTO public.who_import VALUES (39111, '2020-04-12', 'HU', 'Hungary', 'EURO', '100', '1410', '14', '99');
INSERT INTO public.who_import VALUES (39112, '2020-04-13', 'HU', 'Hungary', 'EURO', '48', '1458', '10', '109');
INSERT INTO public.who_import VALUES (39113, '2020-04-14', 'HU', 'Hungary', 'EURO', '54', '1512', '13', '122');
INSERT INTO public.who_import VALUES (39114, '2020-04-15', 'HU', 'Hungary', 'EURO', '67', '1579', '12', '134');
INSERT INTO public.who_import VALUES (39115, '2020-04-16', 'HU', 'Hungary', 'EURO', '73', '1652', '8', '142');
INSERT INTO public.who_import VALUES (39116, '2020-04-17', 'HU', 'Hungary', 'EURO', '111', '1763', '14', '156');
INSERT INTO public.who_import VALUES (39117, '2020-04-18', 'HU', 'Hungary', 'EURO', '71', '1834', '16', '172');
INSERT INTO public.who_import VALUES (39118, '2020-04-19', 'HU', 'Hungary', 'EURO', '82', '1916', '17', '189');
INSERT INTO public.who_import VALUES (39119, '2020-04-20', 'HU', 'Hungary', 'EURO', '68', '1984', '10', '199');
INSERT INTO public.who_import VALUES (39120, '2020-04-21', 'HU', 'Hungary', 'EURO', '114', '2098', '14', '213');
INSERT INTO public.who_import VALUES (39121, '2020-04-22', 'HU', 'Hungary', 'EURO', '70', '2168', '12', '225');
INSERT INTO public.who_import VALUES (39122, '2020-04-23', 'HU', 'Hungary', 'EURO', '116', '2284', '0', '225');
INSERT INTO public.who_import VALUES (39123, '2020-04-24', 'HU', 'Hungary', 'EURO', '99', '2383', '25', '250');
INSERT INTO public.who_import VALUES (39124, '2020-04-25', 'HU', 'Hungary', 'EURO', '60', '2443', '12', '262');
INSERT INTO public.who_import VALUES (39125, '2020-04-26', 'HU', 'Hungary', 'EURO', '57', '2500', '10', '272');
INSERT INTO public.who_import VALUES (39126, '2020-04-27', 'HU', 'Hungary', 'EURO', '83', '2583', '8', '280');
INSERT INTO public.who_import VALUES (39127, '2020-04-28', 'HU', 'Hungary', 'EURO', '66', '2649', '11', '291');
INSERT INTO public.who_import VALUES (39128, '2020-04-29', 'HU', 'Hungary', 'EURO', '78', '2727', '9', '300');
INSERT INTO public.who_import VALUES (39129, '2020-04-30', 'HU', 'Hungary', 'EURO', '48', '2775', '12', '312');
INSERT INTO public.who_import VALUES (39130, '2020-05-01', 'HU', 'Hungary', 'EURO', '88', '2863', '11', '323');
INSERT INTO public.who_import VALUES (39131, '2020-05-02', 'HU', 'Hungary', 'EURO', '79', '2942', '12', '335');
INSERT INTO public.who_import VALUES (39132, '2020-05-03', 'HU', 'Hungary', 'EURO', '56', '2998', '5', '340');
INSERT INTO public.who_import VALUES (39133, '2020-05-04', 'HU', 'Hungary', 'EURO', '37', '3035', '11', '351');
INSERT INTO public.who_import VALUES (39134, '2020-05-05', 'HU', 'Hungary', 'EURO', '30', '3065', '12', '363');
INSERT INTO public.who_import VALUES (39135, '2020-05-06', 'HU', 'Hungary', 'EURO', '46', '3111', '10', '373');
INSERT INTO public.who_import VALUES (39136, '2020-05-07', 'HU', 'Hungary', 'EURO', '39', '3150', '10', '383');
INSERT INTO public.who_import VALUES (39137, '2020-05-08', 'HU', 'Hungary', 'EURO', '28', '3178', '9', '392');
INSERT INTO public.who_import VALUES (39138, '2020-05-09', 'HU', 'Hungary', 'EURO', '35', '3213', '13', '405');
INSERT INTO public.who_import VALUES (39139, '2020-05-10', 'HU', 'Hungary', 'EURO', '50', '3263', '8', '413');
INSERT INTO public.who_import VALUES (39140, '2020-05-11', 'HU', 'Hungary', 'EURO', '21', '3284', '8', '421');
INSERT INTO public.who_import VALUES (39141, '2020-05-12', 'HU', 'Hungary', 'EURO', '29', '3313', '4', '425');
INSERT INTO public.who_import VALUES (39142, '2020-05-13', 'HU', 'Hungary', 'EURO', '28', '3341', '5', '430');
INSERT INTO public.who_import VALUES (39143, '2020-05-14', 'HU', 'Hungary', 'EURO', '39', '3380', '6', '436');
INSERT INTO public.who_import VALUES (39144, '2020-05-15', 'HU', 'Hungary', 'EURO', '37', '3417', '6', '442');
INSERT INTO public.who_import VALUES (39145, '2020-05-16', 'HU', 'Hungary', 'EURO', '56', '3473', '6', '448');
INSERT INTO public.who_import VALUES (39146, '2020-05-17', 'HU', 'Hungary', 'EURO', '36', '3509', '3', '451');
INSERT INTO public.who_import VALUES (39147, '2020-05-18', 'HU', 'Hungary', 'EURO', '26', '3535', '11', '462');
INSERT INTO public.who_import VALUES (39148, '2020-05-19', 'HU', 'Hungary', 'EURO', '21', '3556', '5', '467');
INSERT INTO public.who_import VALUES (39149, '2020-05-20', 'HU', 'Hungary', 'EURO', '42', '3598', '3', '470');
INSERT INTO public.who_import VALUES (39150, '2020-05-21', 'HU', 'Hungary', 'EURO', '43', '3641', '3', '473');
INSERT INTO public.who_import VALUES (39151, '2020-05-22', 'HU', 'Hungary', 'EURO', '37', '3678', '3', '476');
INSERT INTO public.who_import VALUES (39152, '2020-05-23', 'HU', 'Hungary', 'EURO', '35', '3713', '6', '482');
INSERT INTO public.who_import VALUES (39153, '2020-05-24', 'HU', 'Hungary', 'EURO', '28', '3741', '4', '486');
INSERT INTO public.who_import VALUES (39154, '2020-05-25', 'HU', 'Hungary', 'EURO', '15', '3756', '5', '491');
INSERT INTO public.who_import VALUES (39155, '2020-05-26', 'HU', 'Hungary', 'EURO', '15', '3771', '8', '499');
INSERT INTO public.who_import VALUES (39156, '2020-05-27', 'HU', 'Hungary', 'EURO', '22', '3793', '6', '505');
INSERT INTO public.who_import VALUES (39157, '2020-05-28', 'HU', 'Hungary', 'EURO', '23', '3816', '4', '509');
INSERT INTO public.who_import VALUES (39158, '2020-05-29', 'HU', 'Hungary', 'EURO', '25', '3841', '8', '517');
INSERT INTO public.who_import VALUES (39159, '2020-05-30', 'HU', 'Hungary', 'EURO', '0', '3841', '0', '517');
INSERT INTO public.who_import VALUES (39160, '2020-05-31', 'HU', 'Hungary', 'EURO', '26', '3867', '7', '524');
INSERT INTO public.who_import VALUES (39161, '2020-06-01', 'HU', 'Hungary', 'EURO', '9', '3876', '2', '526');
INSERT INTO public.who_import VALUES (39162, '2020-06-02', 'HU', 'Hungary', 'EURO', '45', '3921', '6', '532');
INSERT INTO public.who_import VALUES (39163, '2020-06-03', 'HU', 'Hungary', 'EURO', '10', '3931', '2', '534');
INSERT INTO public.who_import VALUES (39164, '2020-06-04', 'HU', 'Hungary', 'EURO', '0', '3931', '0', '534');
INSERT INTO public.who_import VALUES (39165, '2020-06-05', 'HU', 'Hungary', 'EURO', '23', '3954', '5', '539');
INSERT INTO public.who_import VALUES (39166, '2020-06-06', 'HU', 'Hungary', 'EURO', '16', '3970', '3', '542');
INSERT INTO public.who_import VALUES (39167, '2020-06-07', 'HU', 'Hungary', 'EURO', '0', '3970', '0', '542');
INSERT INTO public.who_import VALUES (39168, '2020-06-08', 'HU', 'Hungary', 'EURO', '0', '3970', '0', '542');
INSERT INTO public.who_import VALUES (39169, '2020-06-09', 'HU', 'Hungary', 'EURO', '44', '4014', '6', '548');
INSERT INTO public.who_import VALUES (39170, '2020-06-10', 'HU', 'Hungary', 'EURO', '3', '4017', '2', '550');
INSERT INTO public.who_import VALUES (39171, '2020-06-11', 'HU', 'Hungary', 'EURO', '10', '4027', '1', '551');
INSERT INTO public.who_import VALUES (39172, '2020-06-12', 'HU', 'Hungary', 'EURO', '12', '4039', '2', '553');
INSERT INTO public.who_import VALUES (39173, '2020-06-13', 'HU', 'Hungary', 'EURO', '14', '4053', '2', '555');
INSERT INTO public.who_import VALUES (39174, '2020-06-14', 'HU', 'Hungary', 'EURO', '11', '4064', '4', '559');
INSERT INTO public.who_import VALUES (39175, '2020-06-15', 'HU', 'Hungary', 'EURO', '12', '4076', '4', '563');
INSERT INTO public.who_import VALUES (39176, '2020-06-16', 'HU', 'Hungary', 'EURO', '1', '4077', '2', '565');
INSERT INTO public.who_import VALUES (39177, '2020-06-17', 'HU', 'Hungary', 'EURO', '1', '4078', '2', '567');
INSERT INTO public.who_import VALUES (39178, '2020-06-18', 'HU', 'Hungary', 'EURO', '1', '4079', '1', '568');
INSERT INTO public.who_import VALUES (39179, '2020-06-19', 'HU', 'Hungary', 'EURO', '2', '4081', '0', '568');
INSERT INTO public.who_import VALUES (39180, '2020-06-20', 'HU', 'Hungary', 'EURO', '5', '4086', '2', '570');
INSERT INTO public.who_import VALUES (39181, '2020-06-21', 'HU', 'Hungary', 'EURO', '8', '4094', '0', '570');
INSERT INTO public.who_import VALUES (39182, '2020-06-22', 'HU', 'Hungary', 'EURO', '8', '4102', '2', '572');
INSERT INTO public.who_import VALUES (39183, '2020-06-23', 'HU', 'Hungary', 'EURO', '5', '4107', '1', '573');
INSERT INTO public.who_import VALUES (39184, '2020-06-24', 'HU', 'Hungary', 'EURO', '0', '4107', '0', '573');
INSERT INTO public.who_import VALUES (39185, '2020-06-25', 'HU', 'Hungary', 'EURO', '7', '4114', '3', '576');
INSERT INTO public.who_import VALUES (39186, '2020-06-26', 'HU', 'Hungary', 'EURO', '9', '4123', '1', '577');
INSERT INTO public.who_import VALUES (39187, '2020-06-27', 'HU', 'Hungary', 'EURO', '4', '4127', '1', '578');
INSERT INTO public.who_import VALUES (39188, '2020-06-28', 'HU', 'Hungary', 'EURO', '11', '4138', '0', '578');
INSERT INTO public.who_import VALUES (39189, '2020-06-29', 'HU', 'Hungary', 'EURO', '4', '4142', '3', '581');
INSERT INTO public.who_import VALUES (39190, '2020-06-30', 'HU', 'Hungary', 'EURO', '3', '4145', '4', '585');
INSERT INTO public.who_import VALUES (39191, '2020-07-01', 'HU', 'Hungary', 'EURO', '10', '4155', '0', '585');
INSERT INTO public.who_import VALUES (39192, '2020-07-02', 'HU', 'Hungary', 'EURO', '2', '4157', '1', '586');
INSERT INTO public.who_import VALUES (39193, '2020-07-03', 'HU', 'Hungary', 'EURO', '9', '4166', '1', '587');
INSERT INTO public.who_import VALUES (39194, '2020-07-04', 'HU', 'Hungary', 'EURO', '6', '4172', '1', '588');
INSERT INTO public.who_import VALUES (39195, '2020-07-05', 'HU', 'Hungary', 'EURO', '11', '4183', '1', '589');
INSERT INTO public.who_import VALUES (39196, '2020-07-06', 'HU', 'Hungary', 'EURO', '0', '4183', '0', '589');
INSERT INTO public.who_import VALUES (39197, '2020-07-07', 'HU', 'Hungary', 'EURO', '6', '4189', '0', '589');
INSERT INTO public.who_import VALUES (39198, '2020-07-08', 'HU', 'Hungary', 'EURO', '16', '4205', '0', '589');
INSERT INTO public.who_import VALUES (39199, '2020-07-09', 'HU', 'Hungary', 'EURO', '5', '4210', '0', '589');
INSERT INTO public.who_import VALUES (39200, '2020-07-10', 'HU', 'Hungary', 'EURO', '10', '4220', '2', '591');
INSERT INTO public.who_import VALUES (39201, '2020-07-11', 'HU', 'Hungary', 'EURO', '3', '4223', '2', '593');
INSERT INTO public.who_import VALUES (39202, '2020-07-12', 'HU', 'Hungary', 'EURO', '6', '4229', '2', '595');
INSERT INTO public.who_import VALUES (39203, '2020-07-13', 'HU', 'Hungary', 'EURO', '5', '4234', '0', '595');
INSERT INTO public.who_import VALUES (39204, '2020-07-14', 'HU', 'Hungary', 'EURO', '13', '4247', '0', '595');
INSERT INTO public.who_import VALUES (39205, '2020-07-15', 'HU', 'Hungary', 'EURO', '16', '4263', '0', '595');
INSERT INTO public.who_import VALUES (39206, '2020-07-16', 'HU', 'Hungary', 'EURO', '0', '4263', '0', '595');
INSERT INTO public.who_import VALUES (39207, '2020-07-17', 'HU', 'Hungary', 'EURO', '16', '4279', '0', '595');
INSERT INTO public.who_import VALUES (39208, '2020-07-18', 'HU', 'Hungary', 'EURO', '14', '4293', '0', '595');
INSERT INTO public.who_import VALUES (39209, '2020-07-19', 'HU', 'Hungary', 'EURO', '22', '4315', '1', '596');
INSERT INTO public.who_import VALUES (39210, '2020-07-20', 'HU', 'Hungary', 'EURO', '18', '4333', '0', '596');
INSERT INTO public.who_import VALUES (39211, '2020-07-21', 'HU', 'Hungary', 'EURO', '14', '4347', '0', '596');
INSERT INTO public.who_import VALUES (39212, '2020-07-22', 'HU', 'Hungary', 'EURO', '19', '4366', '0', '596');
INSERT INTO public.who_import VALUES (39213, '2020-07-23', 'HU', 'Hungary', 'EURO', '14', '4380', '0', '596');
INSERT INTO public.who_import VALUES (39214, '2020-07-24', 'HU', 'Hungary', 'EURO', '18', '4398', '0', '596');
INSERT INTO public.who_import VALUES (39215, '2020-07-25', 'HU', 'Hungary', 'EURO', '26', '4424', '0', '596');
INSERT INTO public.who_import VALUES (39216, '2020-07-26', 'HU', 'Hungary', 'EURO', '11', '4435', '0', '596');
INSERT INTO public.who_import VALUES (39217, '2020-07-27', 'HU', 'Hungary', 'EURO', '13', '4448', '0', '596');
INSERT INTO public.who_import VALUES (39218, '2020-07-28', 'HU', 'Hungary', 'EURO', '8', '4456', '0', '596');
INSERT INTO public.who_import VALUES (39219, '2020-07-29', 'HU', 'Hungary', 'EURO', '9', '4465', '0', '596');
INSERT INTO public.who_import VALUES (39220, '2020-07-30', 'HU', 'Hungary', 'EURO', '19', '4484', '0', '596');
INSERT INTO public.who_import VALUES (39221, '2020-07-31', 'HU', 'Hungary', 'EURO', '21', '4505', '0', '596');
INSERT INTO public.who_import VALUES (39222, '2020-08-01', 'HU', 'Hungary', 'EURO', '0', '4505', '0', '596');
INSERT INTO public.who_import VALUES (39223, '2020-08-02', 'HU', 'Hungary', 'EURO', '21', '4526', '1', '597');
INSERT INTO public.who_import VALUES (39224, '2020-08-03', 'HU', 'Hungary', 'EURO', '9', '4535', '0', '597');
INSERT INTO public.who_import VALUES (39225, '2020-08-04', 'HU', 'Hungary', 'EURO', '9', '4544', '0', '597');
INSERT INTO public.who_import VALUES (39226, '2020-08-05', 'HU', 'Hungary', 'EURO', '9', '4553', '1', '598');
INSERT INTO public.who_import VALUES (39227, '2020-08-06', 'HU', 'Hungary', 'EURO', '11', '4564', '1', '599');
INSERT INTO public.who_import VALUES (39228, '2020-08-07', 'HU', 'Hungary', 'EURO', '33', '4597', '1', '600');
INSERT INTO public.who_import VALUES (39229, '2020-08-08', 'HU', 'Hungary', 'EURO', '24', '4621', '2', '602');
INSERT INTO public.who_import VALUES (39230, '2020-08-09', 'HU', 'Hungary', 'EURO', '32', '4653', '0', '602');
INSERT INTO public.who_import VALUES (39231, '2020-08-10', 'HU', 'Hungary', 'EURO', '43', '4696', '0', '602');
INSERT INTO public.who_import VALUES (39232, '2020-08-11', 'HU', 'Hungary', 'EURO', '35', '4731', '3', '605');
INSERT INTO public.who_import VALUES (39233, '2020-08-12', 'HU', 'Hungary', 'EURO', '15', '4746', '0', '605');
INSERT INTO public.who_import VALUES (39234, '2020-08-13', 'HU', 'Hungary', 'EURO', '22', '4768', '0', '605');
INSERT INTO public.who_import VALUES (39235, '2020-08-14', 'HU', 'Hungary', 'EURO', '45', '4813', '2', '607');
INSERT INTO public.who_import VALUES (39236, '2020-08-15', 'HU', 'Hungary', 'EURO', '40', '4853', '0', '607');
INSERT INTO public.who_import VALUES (39237, '2020-08-16', 'HU', 'Hungary', 'EURO', '24', '4877', '0', '607');
INSERT INTO public.who_import VALUES (39238, '2020-08-17', 'HU', 'Hungary', 'EURO', '39', '4916', '1', '608');
INSERT INTO public.who_import VALUES (39239, '2020-08-18', 'HU', 'Hungary', 'EURO', '54', '4970', '1', '609');
INSERT INTO public.who_import VALUES (39240, '2020-08-19', 'HU', 'Hungary', 'EURO', '0', '4970', '0', '609');
INSERT INTO public.who_import VALUES (39241, '2020-08-20', 'HU', 'Hungary', 'EURO', '32', '5002', '0', '609');
INSERT INTO public.who_import VALUES (39242, '2020-08-21', 'HU', 'Hungary', 'EURO', '44', '5046', '0', '609');
INSERT INTO public.who_import VALUES (39243, '2020-08-22', 'HU', 'Hungary', 'EURO', '52', '5098', '2', '611');
INSERT INTO public.who_import VALUES (39244, '2020-08-23', 'HU', 'Hungary', 'EURO', '35', '5133', '0', '611');
INSERT INTO public.who_import VALUES (39245, '2020-08-24', 'HU', 'Hungary', 'EURO', '22', '5155', '2', '613');
INSERT INTO public.who_import VALUES (39246, '2020-08-25', 'HU', 'Hungary', 'EURO', '36', '5191', '0', '613');
INSERT INTO public.who_import VALUES (39247, '2020-08-26', 'HU', 'Hungary', 'EURO', '24', '5215', '1', '614');
INSERT INTO public.who_import VALUES (39248, '2020-08-27', 'HU', 'Hungary', 'EURO', '73', '5288', '0', '614');
INSERT INTO public.who_import VALUES (39249, '2020-08-28', 'HU', 'Hungary', 'EURO', '91', '5379', '0', '614');
INSERT INTO public.who_import VALUES (39250, '2020-08-29', 'HU', 'Hungary', 'EURO', '132', '5511', '0', '614');
INSERT INTO public.who_import VALUES (39251, '2020-08-30', 'HU', 'Hungary', 'EURO', '158', '5669', '0', '614');
INSERT INTO public.who_import VALUES (39252, '2020-08-31', 'HU', 'Hungary', 'EURO', '292', '5961', '0', '614');
INSERT INTO public.who_import VALUES (39253, '2020-09-01', 'HU', 'Hungary', 'EURO', '178', '6139', '1', '615');
INSERT INTO public.who_import VALUES (39254, '2020-09-02', 'HU', 'Hungary', 'EURO', '118', '6257', '1', '616');
INSERT INTO public.who_import VALUES (39255, '2020-09-03', 'HU', 'Hungary', 'EURO', '365', '6622', '3', '619');
INSERT INTO public.who_import VALUES (39256, '2020-09-04', 'HU', 'Hungary', 'EURO', '301', '6923', '1', '620');
INSERT INTO public.who_import VALUES (39257, '2020-09-05', 'HU', 'Hungary', 'EURO', '459', '7382', '1', '621');
INSERT INTO public.who_import VALUES (39258, '2020-09-06', 'HU', 'Hungary', 'EURO', '510', '7892', '3', '624');
INSERT INTO public.who_import VALUES (39259, '2020-09-07', 'HU', 'Hungary', 'EURO', '495', '8387', '0', '624');
INSERT INTO public.who_import VALUES (39260, '2020-09-08', 'HU', 'Hungary', 'EURO', '576', '8963', '1', '625');
INSERT INTO public.who_import VALUES (39261, '2020-09-09', 'HU', 'Hungary', 'EURO', '341', '9304', '1', '626');
INSERT INTO public.who_import VALUES (39262, '2020-09-10', 'HU', 'Hungary', 'EURO', '411', '9715', '2', '628');
INSERT INTO public.who_import VALUES (39263, '2020-09-11', 'HU', 'Hungary', 'EURO', '476', '10191', '2', '630');
INSERT INTO public.who_import VALUES (39264, '2020-09-12', 'HU', 'Hungary', 'EURO', '718', '10909', '1', '631');
INSERT INTO public.who_import VALUES (39265, '2020-09-13', 'HU', 'Hungary', 'EURO', '916', '11825', '2', '633');
INSERT INTO public.who_import VALUES (39266, '2020-09-14', 'HU', 'Hungary', 'EURO', '484', '12309', '4', '637');
INSERT INTO public.who_import VALUES (39267, '2020-09-15', 'HU', 'Hungary', 'EURO', '844', '13153', '5', '642');
INSERT INTO public.who_import VALUES (39268, '2020-09-16', 'HU', 'Hungary', 'EURO', '1307', '14460', '12', '654');
INSERT INTO public.who_import VALUES (39269, '2020-09-17', 'HU', 'Hungary', 'EURO', '710', '15170', '9', '663');
INSERT INTO public.who_import VALUES (39270, '2020-09-18', 'HU', 'Hungary', 'EURO', '941', '16111', '6', '669');
INSERT INTO public.who_import VALUES (39271, '2020-09-19', 'HU', 'Hungary', 'EURO', '809', '16920', '6', '675');
INSERT INTO public.who_import VALUES (39272, '2020-09-20', 'HU', 'Hungary', 'EURO', '1070', '17990', '8', '683');
INSERT INTO public.who_import VALUES (39273, '2020-09-21', 'HU', 'Hungary', 'EURO', '876', '18866', '3', '686');
INSERT INTO public.who_import VALUES (39274, '2020-09-22', 'HU', 'Hungary', 'EURO', '633', '19499', '8', '694');
INSERT INTO public.who_import VALUES (39275, '2020-09-23', 'HU', 'Hungary', 'EURO', '951', '20450', '8', '702');
INSERT INTO public.who_import VALUES (39276, '2020-09-24', 'HU', 'Hungary', 'EURO', '750', '21200', '7', '709');
INSERT INTO public.who_import VALUES (39277, '2020-09-25', 'HU', 'Hungary', 'EURO', '927', '22127', '9', '718');
INSERT INTO public.who_import VALUES (39278, '2020-09-26', 'HU', 'Hungary', 'EURO', '950', '23077', '12', '730');
INSERT INTO public.who_import VALUES (39279, '2020-09-27', 'HU', 'Hungary', 'EURO', '937', '24014', '6', '736');
INSERT INTO public.who_import VALUES (39280, '2020-09-28', 'HU', 'Hungary', 'EURO', '702', '24716', '13', '749');
INSERT INTO public.who_import VALUES (39281, '2020-09-29', 'HU', 'Hungary', 'EURO', '851', '25567', '8', '757');
INSERT INTO public.who_import VALUES (39282, '2020-09-30', 'HU', 'Hungary', 'EURO', '894', '26461', '8', '765');
INSERT INTO public.who_import VALUES (39283, '2020-10-01', 'HU', 'Hungary', 'EURO', '848', '27309', '16', '781');
INSERT INTO public.who_import VALUES (39284, '2020-10-02', 'HU', 'Hungary', 'EURO', '1322', '28631', '17', '798');
INSERT INTO public.who_import VALUES (39285, '2020-10-03', 'HU', 'Hungary', 'EURO', '1086', '29717', '14', '812');
INSERT INTO public.who_import VALUES (39286, '2020-10-04', 'HU', 'Hungary', 'EURO', '858', '30575', '10', '822');
INSERT INTO public.who_import VALUES (39287, '2020-10-05', 'HU', 'Hungary', 'EURO', '905', '31480', '11', '833');
INSERT INTO public.who_import VALUES (39288, '2020-10-06', 'HU', 'Hungary', 'EURO', '818', '32298', '20', '853');
INSERT INTO public.who_import VALUES (39289, '2020-10-07', 'HU', 'Hungary', 'EURO', '816', '33114', '24', '877');
INSERT INTO public.who_import VALUES (39290, '2020-10-08', 'HU', 'Hungary', 'EURO', '932', '34046', '21', '898');
INSERT INTO public.who_import VALUES (39291, '2020-10-09', 'HU', 'Hungary', 'EURO', '1176', '35222', '15', '913');
INSERT INTO public.who_import VALUES (39292, '2020-10-10', 'HU', 'Hungary', 'EURO', '1374', '36596', '20', '933');
INSERT INTO public.who_import VALUES (39293, '2020-10-11', 'HU', 'Hungary', 'EURO', '1068', '37664', '21', '954');
INSERT INTO public.who_import VALUES (39294, '2020-10-12', 'HU', 'Hungary', 'EURO', '913', '38577', '14', '968');
INSERT INTO public.who_import VALUES (39295, '2020-10-13', 'HU', 'Hungary', 'EURO', '1285', '39862', '28', '996');
INSERT INTO public.who_import VALUES (39296, '2020-10-14', 'HU', 'Hungary', 'EURO', '920', '40782', '27', '1023');
INSERT INTO public.who_import VALUES (39297, '2020-10-15', 'HU', 'Hungary', 'EURO', '950', '41732', '29', '1052');
INSERT INTO public.who_import VALUES (39298, '2020-10-16', 'HU', 'Hungary', 'EURO', '1293', '43025', '33', '1085');
INSERT INTO public.who_import VALUES (39299, '2020-10-17', 'HU', 'Hungary', 'EURO', '1791', '44816', '24', '1109');
INSERT INTO public.who_import VALUES (39300, '2020-10-18', 'HU', 'Hungary', 'EURO', '1474', '46290', '33', '1142');
INSERT INTO public.who_import VALUES (39301, '2020-10-19', 'HU', 'Hungary', 'EURO', '1478', '47768', '31', '1173');
INSERT INTO public.who_import VALUES (39302, '2020-10-20', 'HU', 'Hungary', 'EURO', '989', '48757', '38', '1211');
INSERT INTO public.who_import VALUES (39303, '2020-10-21', 'HU', 'Hungary', 'EURO', '1423', '50180', '48', '1259');
INSERT INTO public.who_import VALUES (39304, '2020-10-22', 'HU', 'Hungary', 'EURO', '2032', '52212', '46', '1305');
INSERT INTO public.who_import VALUES (39305, '2020-10-23', 'HU', 'Hungary', 'EURO', '2066', '54278', '47', '1352');
INSERT INTO public.who_import VALUES (39306, '2020-10-24', 'HU', 'Hungary', 'EURO', '1820', '56098', '38', '1390');
INSERT INTO public.who_import VALUES (39307, '2020-10-25', 'HU', 'Hungary', 'EURO', '3149', '59247', '35', '1425');
INSERT INTO public.who_import VALUES (39308, '2020-10-26', 'HU', 'Hungary', 'EURO', '2316', '61563', '47', '1472');
INSERT INTO public.who_import VALUES (39309, '2020-10-27', 'HU', 'Hungary', 'EURO', '2079', '63642', '63', '1535');
INSERT INTO public.who_import VALUES (39310, '2020-10-28', 'HU', 'Hungary', 'EURO', '2291', '65933', '43', '1578');
INSERT INTO public.who_import VALUES (39311, '2020-10-29', 'HU', 'Hungary', 'EURO', '2194', '68127', '56', '1634');
INSERT INTO public.who_import VALUES (39312, '2020-10-30', 'HU', 'Hungary', 'EURO', '3286', '71413', '65', '1699');
INSERT INTO public.who_import VALUES (39313, '2020-10-31', 'HU', 'Hungary', 'EURO', '3908', '75321', '51', '1750');
INSERT INTO public.who_import VALUES (39314, '2020-11-01', 'HU', 'Hungary', 'EURO', '3878', '79199', '69', '1819');
INSERT INTO public.who_import VALUES (39315, '2020-11-02', 'HU', 'Hungary', 'EURO', '3581', '82780', '70', '1889');
INSERT INTO public.who_import VALUES (39316, '2020-11-03', 'HU', 'Hungary', 'EURO', '3989', '86769', '84', '1973');
INSERT INTO public.who_import VALUES (39317, '2020-11-04', 'HU', 'Hungary', 'EURO', '4219', '90988', '90', '2063');
INSERT INTO public.who_import VALUES (39318, '2020-11-05', 'HU', 'Hungary', 'EURO', '3928', '94916', '84', '2147');
INSERT INTO public.who_import VALUES (39319, '2020-11-06', 'HU', 'Hungary', 'EURO', '4709', '99625', '103', '2250');
INSERT INTO public.who_import VALUES (39320, '2020-11-07', 'HU', 'Hungary', 'EURO', '5318', '104943', '107', '2357');
INSERT INTO public.who_import VALUES (39321, '2020-11-08', 'HU', 'Hungary', 'EURO', '4673', '109616', '81', '2438');
INSERT INTO public.who_import VALUES (39322, '2020-11-09', 'HU', 'Hungary', 'EURO', '5162', '114778', '55', '2493');
INSERT INTO public.who_import VALUES (39323, '2020-11-10', 'HU', 'Hungary', 'EURO', '4140', '118918', '103', '2596');
INSERT INTO public.who_import VALUES (39324, '2020-11-11', 'HU', 'Hungary', 'EURO', '3945', '122863', '101', '2697');
INSERT INTO public.who_import VALUES (39325, '2020-11-12', 'HU', 'Hungary', 'EURO', '3927', '126790', '87', '2784');
INSERT INTO public.who_import VALUES (39326, '2020-11-13', 'HU', 'Hungary', 'EURO', '5097', '131887', '99', '2883');
INSERT INTO public.who_import VALUES (39327, '2020-11-14', 'HU', 'Hungary', 'EURO', '4836', '136723', '107', '2990');
INSERT INTO public.who_import VALUES (39328, '2020-11-15', 'HU', 'Hungary', 'EURO', '4238', '140961', '107', '3097');
INSERT INTO public.who_import VALUES (39329, '2020-11-16', 'HU', 'Hungary', 'EURO', '6495', '147456', '93', '3190');
INSERT INTO public.who_import VALUES (39330, '2020-11-17', 'HU', 'Hungary', 'EURO', '5203', '152659', '91', '3281');
INSERT INTO public.who_import VALUES (39331, '2020-11-18', 'HU', 'Hungary', 'EURO', '4290', '156949', '99', '3380');
INSERT INTO public.who_import VALUES (39332, '2020-11-19', 'HU', 'Hungary', 'EURO', '4512', '161461', '92', '3472');
INSERT INTO public.who_import VALUES (39333, '2020-11-20', 'HU', 'Hungary', 'EURO', '4440', '165901', '96', '3568');
INSERT INTO public.who_import VALUES (39334, '2020-11-21', 'HU', 'Hungary', 'EURO', '4397', '170298', '121', '3689');
INSERT INTO public.who_import VALUES (39335, '2020-11-22', 'HU', 'Hungary', 'EURO', '4320', '174618', '111', '3800');
INSERT INTO public.who_import VALUES (39336, '2020-11-23', 'HU', 'Hungary', 'EURO', '3334', '177952', '91', '3891');
INSERT INTO public.who_import VALUES (39337, '2020-11-24', 'HU', 'Hungary', 'EURO', '3929', '181881', '117', '4008');
INSERT INTO public.who_import VALUES (39338, '2020-11-25', 'HU', 'Hungary', 'EURO', '3806', '185687', '106', '4114');
INSERT INTO public.who_import VALUES (39339, '2020-11-26', 'HU', 'Hungary', 'EURO', '6360', '192047', '115', '4229');
INSERT INTO public.who_import VALUES (39340, '2020-11-27', 'HU', 'Hungary', 'EURO', '6393', '198440', '135', '4364');
INSERT INTO public.who_import VALUES (39341, '2020-11-28', 'HU', 'Hungary', 'EURO', '6268', '204708', '152', '4516');
INSERT INTO public.who_import VALUES (39342, '2020-11-29', 'HU', 'Hungary', 'EURO', '6819', '211527', '156', '4672');
INSERT INTO public.who_import VALUES (39343, '2020-11-30', 'HU', 'Hungary', 'EURO', '5595', '217122', '151', '4823');
INSERT INTO public.who_import VALUES (39344, '2020-12-01', 'HU', 'Hungary', 'EURO', '3951', '221073', '154', '4977');
INSERT INTO public.who_import VALUES (39345, '2020-12-02', 'HU', 'Hungary', 'EURO', '4136', '225209', '165', '5142');
INSERT INTO public.who_import VALUES (39346, '2020-12-03', 'HU', 'Hungary', 'EURO', '6635', '231844', '182', '5324');
INSERT INTO public.who_import VALUES (39347, '2020-12-04', 'HU', 'Hungary', 'EURO', '6212', '238056', '189', '5513');
INSERT INTO public.who_import VALUES (39348, '2020-12-05', 'HU', 'Hungary', 'EURO', '5525', '243581', '193', '5706');
INSERT INTO public.who_import VALUES (39349, '2020-12-06', 'HU', 'Hungary', 'EURO', '6697', '250278', '162', '5868');
INSERT INTO public.who_import VALUES (39350, '2020-12-07', 'HU', 'Hungary', 'EURO', '3870', '254148', '116', '5984');
INSERT INTO public.who_import VALUES (39351, '2020-12-08', 'HU', 'Hungary', 'EURO', '2219', '256367', '136', '6120');
INSERT INTO public.who_import VALUES (39352, '2020-12-09', 'HU', 'Hungary', 'EURO', '3221', '259588', '160', '6280');
INSERT INTO public.who_import VALUES (39353, '2020-12-10', 'HU', 'Hungary', 'EURO', '5415', '265003', '171', '6451');
INSERT INTO public.who_import VALUES (39354, '2020-12-11', 'HU', 'Hungary', 'EURO', '6197', '271200', '171', '6622');
INSERT INTO public.who_import VALUES (39355, '2020-12-12', 'HU', 'Hungary', 'EURO', '5047', '276247', '162', '6784');
INSERT INTO public.who_import VALUES (39356, '2020-12-13', 'HU', 'Hungary', 'EURO', '4153', '280400', '181', '6965');
INSERT INTO public.who_import VALUES (39357, '2020-12-14', 'HU', 'Hungary', 'EURO', '3470', '283870', '165', '7130');
INSERT INTO public.who_import VALUES (39358, '2020-12-15', 'HU', 'Hungary', 'EURO', '1893', '285763', '107', '7237');
INSERT INTO public.who_import VALUES (39359, '2020-12-16', 'HU', 'Hungary', 'EURO', '2804', '288567', '144', '7381');
INSERT INTO public.who_import VALUES (39360, '2020-12-17', 'HU', 'Hungary', 'EURO', '2982', '291549', '157', '7538');
INSERT INTO public.who_import VALUES (39361, '2020-12-18', 'HU', 'Hungary', 'EURO', '4428', '295977', '187', '7725');
INSERT INTO public.who_import VALUES (39362, '2020-12-19', 'HU', 'Hungary', 'EURO', '4045', '300022', '189', '7914');
INSERT INTO public.who_import VALUES (39363, '2020-12-20', 'HU', 'Hungary', 'EURO', '2967', '302989', '185', '8099');
INSERT INTO public.who_import VALUES (39364, '2020-12-21', 'HU', 'Hungary', 'EURO', '2141', '305130', '193', '8292');
INSERT INTO public.who_import VALUES (39365, '2020-12-22', 'HU', 'Hungary', 'EURO', '1238', '306368', '170', '8462');
INSERT INTO public.who_import VALUES (39366, '2020-12-23', 'HU', 'Hungary', 'EURO', '1894', '308262', '154', '8616');
INSERT INTO public.who_import VALUES (39367, '2020-12-24', 'HU', 'Hungary', 'EURO', '3292', '311554', '113', '8729');
INSERT INTO public.who_import VALUES (39368, '2020-12-25', 'HU', 'Hungary', 'EURO', '2610', '314164', '104', '8833');
INSERT INTO public.who_import VALUES (39369, '2020-12-26', 'HU', 'Hungary', 'EURO', '1198', '315362', '118', '8951');
INSERT INTO public.who_import VALUES (39370, '2020-12-27', 'HU', 'Hungary', 'EURO', '698', '316060', '96', '9047');
INSERT INTO public.who_import VALUES (39371, '2020-12-28', 'HU', 'Hungary', 'EURO', '609', '316669', '114', '9161');
INSERT INTO public.who_import VALUES (39372, '2020-12-29', 'HU', 'Hungary', 'EURO', '902', '317571', '131', '9292');
INSERT INTO public.who_import VALUES (39373, '2020-12-30', 'HU', 'Hungary', 'EURO', '1972', '319543', '137', '9429');
INSERT INTO public.who_import VALUES (39374, '2020-12-31', 'HU', 'Hungary', 'EURO', '2971', '322514', '108', '9537');
INSERT INTO public.who_import VALUES (39375, '2021-01-01', 'HU', 'Hungary', 'EURO', '2764', '325278', '130', '9667');
INSERT INTO public.who_import VALUES (39376, '2021-01-02', 'HU', 'Hungary', 'EURO', '1410', '326688', '114', '9781');
INSERT INTO public.who_import VALUES (39377, '2021-01-03', 'HU', 'Hungary', 'EURO', '1307', '327995', '103', '9884');
INSERT INTO public.who_import VALUES (39378, '2021-01-04', 'HU', 'Hungary', 'EURO', '856', '328851', '93', '9977');
INSERT INTO public.who_import VALUES (39379, '2021-01-05', 'HU', 'Hungary', 'EURO', '870', '329721', '103', '10080');
INSERT INTO public.who_import VALUES (39380, '2021-01-06', 'HU', 'Hungary', 'EURO', '2047', '331768', '118', '10198');
INSERT INTO public.who_import VALUES (39381, '2021-01-07', 'HU', 'Hungary', 'EURO', '3068', '334836', '127', '10325');
INSERT INTO public.who_import VALUES (39382, '2021-01-08', 'HU', 'Hungary', 'EURO', '2907', '337743', '115', '10440');
INSERT INTO public.who_import VALUES (39383, '2021-01-09', 'HU', 'Hungary', 'EURO', '2716', '340459', '114', '10554');
INSERT INTO public.who_import VALUES (39384, '2021-01-10', 'HU', 'Hungary', 'EURO', '1778', '342237', '94', '10648');
INSERT INTO public.who_import VALUES (39385, '2021-01-11', 'HU', 'Hungary', 'EURO', '1419', '343656', '77', '10725');
INSERT INTO public.who_import VALUES (39386, '2021-01-12', 'HU', 'Hungary', 'EURO', '696', '344352', '128', '10853');
INSERT INTO public.who_import VALUES (39387, '2021-01-13', 'HU', 'Hungary', 'EURO', '1358', '345710', '95', '10948');
INSERT INTO public.who_import VALUES (39388, '2021-01-14', 'HU', 'Hungary', 'EURO', '1926', '347636', '118', '11066');
INSERT INTO public.who_import VALUES (39389, '2021-01-15', 'HU', 'Hungary', 'EURO', '1513', '349149', '111', '11177');
INSERT INTO public.who_import VALUES (39390, '2021-01-16', 'HU', 'Hungary', 'EURO', '1438', '350587', '87', '11264');
INSERT INTO public.who_import VALUES (39391, '2021-01-17', 'HU', 'Hungary', 'EURO', '1241', '351828', '77', '11341');
INSERT INTO public.who_import VALUES (39392, '2021-01-18', 'HU', 'Hungary', 'EURO', '875', '352703', '68', '11409');
INSERT INTO public.who_import VALUES (39393, '2021-01-19', 'HU', 'Hungary', 'EURO', '573', '353276', '111', '11520');
INSERT INTO public.who_import VALUES (39394, '2021-01-20', 'HU', 'Hungary', 'EURO', '976', '354252', '95', '11615');
INSERT INTO public.who_import VALUES (39395, '2021-01-21', 'HU', 'Hungary', 'EURO', '1410', '355662', '98', '11713');
INSERT INTO public.who_import VALUES (39396, '2021-01-22', 'HU', 'Hungary', 'EURO', '1311', '356973', '98', '11811');
INSERT INTO public.who_import VALUES (39397, '2021-01-23', 'HU', 'Hungary', 'EURO', '1344', '358317', '93', '11904');
INSERT INTO public.who_import VALUES (39398, '2021-01-24', 'HU', 'Hungary', 'EURO', '1257', '359574', '64', '11968');
INSERT INTO public.who_import VALUES (39399, '2021-01-25', 'HU', 'Hungary', 'EURO', '844', '360418', '56', '12024');
INSERT INTO public.who_import VALUES (39400, '2021-01-26', 'HU', 'Hungary', 'EURO', '459', '360877', '89', '12113');
INSERT INTO public.who_import VALUES (39401, '2021-01-27', 'HU', 'Hungary', 'EURO', '1004', '361881', '85', '12198');
INSERT INTO public.who_import VALUES (39402, '2021-01-28', 'HU', 'Hungary', 'EURO', '1569', '363450', '93', '12291');
INSERT INTO public.who_import VALUES (39403, '2021-01-29', 'HU', 'Hungary', 'EURO', '1459', '364909', '83', '12374');
INSERT INTO public.who_import VALUES (39404, '2021-01-30', 'HU', 'Hungary', 'EURO', '1370', '366279', '89', '12463');
INSERT INTO public.who_import VALUES (39405, '2021-01-31', 'HU', 'Hungary', 'EURO', '1307', '367586', '61', '12524');
INSERT INTO public.who_import VALUES (39406, '2021-02-01', 'HU', 'Hungary', 'EURO', '1124', '368710', '54', '12578');
INSERT INTO public.who_import VALUES (39407, '2021-02-02', 'HU', 'Hungary', 'EURO', '578', '369288', '78', '12656');
INSERT INTO public.who_import VALUES (39408, '2021-02-03', 'HU', 'Hungary', 'EURO', '1048', '370336', '83', '12739');
INSERT INTO public.who_import VALUES (39409, '2021-02-04', 'HU', 'Hungary', 'EURO', '1652', '371988', '93', '12832');
INSERT INTO public.who_import VALUES (39410, '2021-02-05', 'HU', 'Hungary', 'EURO', '1576', '373564', '98', '12930');
INSERT INTO public.who_import VALUES (39411, '2021-02-06', 'HU', 'Hungary', 'EURO', '1561', '375125', '96', '13026');
INSERT INTO public.who_import VALUES (39412, '2021-02-07', 'HU', 'Hungary', 'EURO', '1370', '376495', '64', '13090');
INSERT INTO public.who_import VALUES (39413, '2021-02-08', 'HU', 'Hungary', 'EURO', '1160', '377655', '65', '13155');
INSERT INTO public.who_import VALUES (39414, '2021-02-09', 'HU', 'Hungary', 'EURO', '1079', '378734', '94', '13249');
INSERT INTO public.who_import VALUES (39415, '2021-02-10', 'HU', 'Hungary', 'EURO', '1279', '380013', '98', '13347');
INSERT INTO public.who_import VALUES (39416, '2021-02-11', 'HU', 'Hungary', 'EURO', '1862', '381875', '97', '13444');
INSERT INTO public.who_import VALUES (39417, '2021-02-12', 'HU', 'Hungary', 'EURO', '1860', '383735', '99', '13543');
INSERT INTO public.who_import VALUES (39418, '2021-02-13', 'HU', 'Hungary', 'EURO', '2020', '385755', '93', '13636');
INSERT INTO public.who_import VALUES (39419, '2021-02-14', 'HU', 'Hungary', 'EURO', '1707', '387462', '70', '13706');
INSERT INTO public.who_import VALUES (39420, '2021-02-15', 'HU', 'Hungary', 'EURO', '1337', '388799', '46', '13752');
INSERT INTO public.who_import VALUES (39421, '2021-02-16', 'HU', 'Hungary', 'EURO', '823', '389622', '85', '13837');
INSERT INTO public.who_import VALUES (39422, '2021-02-17', 'HU', 'Hungary', 'EURO', '1548', '391170', '94', '13931');
INSERT INTO public.who_import VALUES (39423, '2021-02-18', 'HU', 'Hungary', 'EURO', '2853', '394023', '104', '14035');
INSERT INTO public.who_import VALUES (39424, '2021-02-19', 'HU', 'Hungary', 'EURO', '3093', '397116', '110', '14145');
INSERT INTO public.who_import VALUES (39425, '2021-02-20', 'HU', 'Hungary', 'EURO', '2995', '400111', '107', '14252');
INSERT INTO public.who_import VALUES (39426, '2020-01-03', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39427, '2020-01-04', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39428, '2020-01-05', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39429, '2020-01-06', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39430, '2020-01-07', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39431, '2020-01-08', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39432, '2020-01-09', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39433, '2020-01-10', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39434, '2020-01-11', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39435, '2020-01-12', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39436, '2020-01-13', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39437, '2020-01-14', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39438, '2020-01-15', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39439, '2020-01-16', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39440, '2020-01-17', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39441, '2020-01-18', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39442, '2020-01-19', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39443, '2020-01-20', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39444, '2020-01-21', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39445, '2020-01-22', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39446, '2020-01-23', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39447, '2020-01-24', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39448, '2020-01-25', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39449, '2020-01-26', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39450, '2020-01-27', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39451, '2020-01-28', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39452, '2020-01-29', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39453, '2020-01-30', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39454, '2020-01-31', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39455, '2020-02-01', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39456, '2020-02-02', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39457, '2020-02-03', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39458, '2020-02-04', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39459, '2020-02-05', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39460, '2020-02-06', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39461, '2020-02-07', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39462, '2020-02-08', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39463, '2020-02-09', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39464, '2020-02-10', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39465, '2020-02-11', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39466, '2020-02-12', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39467, '2020-02-13', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39468, '2020-02-14', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39469, '2020-02-15', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39470, '2020-02-16', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39471, '2020-02-17', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39472, '2020-02-18', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39473, '2020-02-19', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39474, '2020-02-20', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39475, '2020-02-21', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39476, '2020-02-22', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39477, '2020-02-23', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39478, '2020-02-24', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39479, '2020-02-25', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39480, '2020-02-26', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39481, '2020-02-27', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39482, '2020-02-28', 'IS', 'Iceland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39483, '2020-02-29', 'IS', 'Iceland', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (39484, '2020-03-01', 'IS', 'Iceland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (39485, '2020-03-02', 'IS', 'Iceland', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (39486, '2020-03-03', 'IS', 'Iceland', 'EURO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (39487, '2020-03-04', 'IS', 'Iceland', 'EURO', '10', '16', '0', '0');
INSERT INTO public.who_import VALUES (39488, '2020-03-05', 'IS', 'Iceland', 'EURO', '10', '26', '0', '0');
INSERT INTO public.who_import VALUES (39489, '2020-03-06', 'IS', 'Iceland', 'EURO', '9', '35', '0', '0');
INSERT INTO public.who_import VALUES (39490, '2020-03-07', 'IS', 'Iceland', 'EURO', '8', '43', '0', '0');
INSERT INTO public.who_import VALUES (39491, '2020-03-08', 'IS', 'Iceland', 'EURO', '10', '53', '0', '0');
INSERT INTO public.who_import VALUES (39492, '2020-03-09', 'IS', 'Iceland', 'EURO', '2', '55', '0', '0');
INSERT INTO public.who_import VALUES (39493, '2020-03-10', 'IS', 'Iceland', 'EURO', '10', '65', '0', '0');
INSERT INTO public.who_import VALUES (39494, '2020-03-11', 'IS', 'Iceland', 'EURO', '5', '70', '0', '0');
INSERT INTO public.who_import VALUES (39495, '2020-03-12', 'IS', 'Iceland', 'EURO', '15', '85', '0', '0');
INSERT INTO public.who_import VALUES (39496, '2020-03-13', 'IS', 'Iceland', 'EURO', '32', '117', '0', '0');
INSERT INTO public.who_import VALUES (39497, '2020-03-14', 'IS', 'Iceland', 'EURO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (39498, '2020-03-15', 'IS', 'Iceland', 'EURO', '21', '138', '0', '0');
INSERT INTO public.who_import VALUES (39499, '2020-03-16', 'IS', 'Iceland', 'EURO', '40', '178', '0', '0');
INSERT INTO public.who_import VALUES (39500, '2020-03-17', 'IS', 'Iceland', 'EURO', '21', '199', '0', '0');
INSERT INTO public.who_import VALUES (39501, '2020-03-18', 'IS', 'Iceland', 'EURO', '48', '247', '0', '0');
INSERT INTO public.who_import VALUES (39502, '2020-03-19', 'IS', 'Iceland', 'EURO', '3', '250', '0', '0');
INSERT INTO public.who_import VALUES (39503, '2020-03-20', 'IS', 'Iceland', 'EURO', '80', '330', '1', '1');
INSERT INTO public.who_import VALUES (39504, '2020-03-21', 'IS', 'Iceland', 'EURO', '79', '409', '0', '1');
INSERT INTO public.who_import VALUES (39505, '2020-03-22', 'IS', 'Iceland', 'EURO', '64', '473', '0', '1');
INSERT INTO public.who_import VALUES (39506, '2020-03-23', 'IS', 'Iceland', 'EURO', '95', '568', '0', '1');
INSERT INTO public.who_import VALUES (39507, '2020-03-24', 'IS', 'Iceland', 'EURO', '20', '588', '1', '2');
INSERT INTO public.who_import VALUES (39508, '2020-03-25', 'IS', 'Iceland', 'EURO', '60', '648', '0', '2');
INSERT INTO public.who_import VALUES (39509, '2020-03-26', 'IS', 'Iceland', 'EURO', '89', '737', '0', '2');
INSERT INTO public.who_import VALUES (39510, '2020-03-27', 'IS', 'Iceland', 'EURO', '65', '802', '0', '2');
INSERT INTO public.who_import VALUES (39511, '2020-03-28', 'IS', 'Iceland', 'EURO', '88', '890', '0', '2');
INSERT INTO public.who_import VALUES (39512, '2020-03-29', 'IS', 'Iceland', 'EURO', '73', '963', '0', '2');
INSERT INTO public.who_import VALUES (39513, '2020-03-30', 'IS', 'Iceland', 'EURO', '57', '1020', '0', '2');
INSERT INTO public.who_import VALUES (39514, '2020-03-31', 'IS', 'Iceland', 'EURO', '66', '1086', '0', '2');
INSERT INTO public.who_import VALUES (39515, '2020-04-01', 'IS', 'Iceland', 'EURO', '49', '1135', '0', '2');
INSERT INTO public.who_import VALUES (39516, '2020-04-02', 'IS', 'Iceland', 'EURO', '85', '1220', '0', '2');
INSERT INTO public.who_import VALUES (39517, '2020-04-03', 'IS', 'Iceland', 'EURO', '99', '1319', '2', '4');
INSERT INTO public.who_import VALUES (39518, '2020-04-04', 'IS', 'Iceland', 'EURO', '45', '1364', '0', '4');
INSERT INTO public.who_import VALUES (39519, '2020-04-05', 'IS', 'Iceland', 'EURO', '53', '1417', '0', '4');
INSERT INTO public.who_import VALUES (39520, '2020-04-06', 'IS', 'Iceland', 'EURO', '69', '1486', '0', '4');
INSERT INTO public.who_import VALUES (39521, '2020-04-07', 'IS', 'Iceland', 'EURO', '76', '1562', '2', '6');
INSERT INTO public.who_import VALUES (39522, '2020-04-08', 'IS', 'Iceland', 'EURO', '24', '1586', '0', '6');
INSERT INTO public.who_import VALUES (39523, '2020-04-09', 'IS', 'Iceland', 'EURO', '30', '1616', '0', '6');
INSERT INTO public.who_import VALUES (39524, '2020-04-10', 'IS', 'Iceland', 'EURO', '32', '1648', '0', '6');
INSERT INTO public.who_import VALUES (39525, '2020-04-11', 'IS', 'Iceland', 'EURO', '27', '1675', '1', '7');
INSERT INTO public.who_import VALUES (39526, '2020-04-12', 'IS', 'Iceland', 'EURO', '14', '1689', '1', '8');
INSERT INTO public.who_import VALUES (39527, '2020-04-13', 'IS', 'Iceland', 'EURO', '12', '1701', '0', '8');
INSERT INTO public.who_import VALUES (39528, '2020-04-14', 'IS', 'Iceland', 'EURO', '10', '1711', '0', '8');
INSERT INTO public.who_import VALUES (39529, '2020-04-15', 'IS', 'Iceland', 'EURO', '9', '1720', '0', '8');
INSERT INTO public.who_import VALUES (39530, '2020-04-16', 'IS', 'Iceland', 'EURO', '7', '1727', '0', '8');
INSERT INTO public.who_import VALUES (39531, '2020-04-17', 'IS', 'Iceland', 'EURO', '12', '1739', '0', '8');
INSERT INTO public.who_import VALUES (39532, '2020-04-18', 'IS', 'Iceland', 'EURO', '15', '1754', '0', '8');
INSERT INTO public.who_import VALUES (39533, '2020-04-19', 'IS', 'Iceland', 'EURO', '6', '1760', '1', '9');
INSERT INTO public.who_import VALUES (39534, '2020-04-20', 'IS', 'Iceland', 'EURO', '11', '1771', '0', '9');
INSERT INTO public.who_import VALUES (39535, '2020-04-21', 'IS', 'Iceland', 'EURO', '2', '1773', '1', '10');
INSERT INTO public.who_import VALUES (39536, '2020-04-22', 'IS', 'Iceland', 'EURO', '5', '1778', '0', '10');
INSERT INTO public.who_import VALUES (39537, '2020-04-23', 'IS', 'Iceland', 'EURO', '7', '1785', '0', '10');
INSERT INTO public.who_import VALUES (39538, '2020-04-24', 'IS', 'Iceland', 'EURO', '4', '1789', '0', '10');
INSERT INTO public.who_import VALUES (39539, '2020-04-25', 'IS', 'Iceland', 'EURO', '0', '1789', '0', '10');
INSERT INTO public.who_import VALUES (39540, '2020-04-26', 'IS', 'Iceland', 'EURO', '1', '1790', '0', '10');
INSERT INTO public.who_import VALUES (39541, '2020-04-27', 'IS', 'Iceland', 'EURO', '2', '1792', '0', '10');
INSERT INTO public.who_import VALUES (39542, '2020-04-28', 'IS', 'Iceland', 'EURO', '0', '1792', '0', '10');
INSERT INTO public.who_import VALUES (39543, '2020-04-29', 'IS', 'Iceland', 'EURO', '3', '1795', '0', '10');
INSERT INTO public.who_import VALUES (39544, '2020-04-30', 'IS', 'Iceland', 'EURO', '2', '1797', '0', '10');
INSERT INTO public.who_import VALUES (39545, '2020-05-01', 'IS', 'Iceland', 'EURO', '0', '1797', '0', '10');
INSERT INTO public.who_import VALUES (39546, '2020-05-02', 'IS', 'Iceland', 'EURO', '1', '1798', '0', '10');
INSERT INTO public.who_import VALUES (39547, '2020-05-03', 'IS', 'Iceland', 'EURO', '0', '1798', '0', '10');
INSERT INTO public.who_import VALUES (39548, '2020-05-04', 'IS', 'Iceland', 'EURO', '1', '1799', '0', '10');
INSERT INTO public.who_import VALUES (39549, '2020-05-05', 'IS', 'Iceland', 'EURO', '0', '1799', '0', '10');
INSERT INTO public.who_import VALUES (39550, '2020-05-06', 'IS', 'Iceland', 'EURO', '0', '1799', '0', '10');
INSERT INTO public.who_import VALUES (39551, '2020-05-07', 'IS', 'Iceland', 'EURO', '0', '1799', '0', '10');
INSERT INTO public.who_import VALUES (39552, '2020-05-08', 'IS', 'Iceland', 'EURO', '2', '1801', '0', '10');
INSERT INTO public.who_import VALUES (39553, '2020-05-09', 'IS', 'Iceland', 'EURO', '0', '1801', '0', '10');
INSERT INTO public.who_import VALUES (39554, '2020-05-10', 'IS', 'Iceland', 'EURO', '0', '1801', '0', '10');
INSERT INTO public.who_import VALUES (39555, '2020-05-11', 'IS', 'Iceland', 'EURO', '0', '1801', '0', '10');
INSERT INTO public.who_import VALUES (39556, '2020-05-12', 'IS', 'Iceland', 'EURO', '0', '1801', '0', '10');
INSERT INTO public.who_import VALUES (39557, '2020-05-13', 'IS', 'Iceland', 'EURO', '0', '1801', '0', '10');
INSERT INTO public.who_import VALUES (39558, '2020-05-14', 'IS', 'Iceland', 'EURO', '1', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39559, '2020-05-15', 'IS', 'Iceland', 'EURO', '0', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39560, '2020-05-16', 'IS', 'Iceland', 'EURO', '0', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39561, '2020-05-17', 'IS', 'Iceland', 'EURO', '0', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39562, '2020-05-18', 'IS', 'Iceland', 'EURO', '0', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39563, '2020-05-19', 'IS', 'Iceland', 'EURO', '0', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39564, '2020-05-20', 'IS', 'Iceland', 'EURO', '0', '1802', '0', '10');
INSERT INTO public.who_import VALUES (39565, '2020-05-21', 'IS', 'Iceland', 'EURO', '1', '1803', '0', '10');
INSERT INTO public.who_import VALUES (39566, '2020-05-22', 'IS', 'Iceland', 'EURO', '0', '1803', '0', '10');
INSERT INTO public.who_import VALUES (39567, '2020-05-23', 'IS', 'Iceland', 'EURO', '0', '1803', '0', '10');
INSERT INTO public.who_import VALUES (39568, '2020-05-24', 'IS', 'Iceland', 'EURO', '1', '1804', '0', '10');
INSERT INTO public.who_import VALUES (39569, '2020-05-25', 'IS', 'Iceland', 'EURO', '0', '1804', '0', '10');
INSERT INTO public.who_import VALUES (39570, '2020-05-26', 'IS', 'Iceland', 'EURO', '0', '1804', '0', '10');
INSERT INTO public.who_import VALUES (39571, '2020-05-27', 'IS', 'Iceland', 'EURO', '0', '1804', '0', '10');
INSERT INTO public.who_import VALUES (39572, '2020-05-28', 'IS', 'Iceland', 'EURO', '1', '1805', '0', '10');
INSERT INTO public.who_import VALUES (39573, '2020-05-29', 'IS', 'Iceland', 'EURO', '0', '1805', '0', '10');
INSERT INTO public.who_import VALUES (39574, '2020-05-30', 'IS', 'Iceland', 'EURO', '0', '1805', '0', '10');
INSERT INTO public.who_import VALUES (39575, '2020-05-31', 'IS', 'Iceland', 'EURO', '1', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39576, '2020-06-01', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39577, '2020-06-02', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39578, '2020-06-03', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39579, '2020-06-04', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39580, '2020-06-05', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39581, '2020-06-06', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39582, '2020-06-07', 'IS', 'Iceland', 'EURO', '0', '1806', '0', '10');
INSERT INTO public.who_import VALUES (39583, '2020-06-08', 'IS', 'Iceland', 'EURO', '1', '1807', '0', '10');
INSERT INTO public.who_import VALUES (39584, '2020-06-09', 'IS', 'Iceland', 'EURO', '0', '1807', '0', '10');
INSERT INTO public.who_import VALUES (39585, '2020-06-10', 'IS', 'Iceland', 'EURO', '0', '1807', '0', '10');
INSERT INTO public.who_import VALUES (39586, '2020-06-11', 'IS', 'Iceland', 'EURO', '0', '1807', '0', '10');
INSERT INTO public.who_import VALUES (39587, '2020-06-12', 'IS', 'Iceland', 'EURO', '0', '1807', '0', '10');
INSERT INTO public.who_import VALUES (39588, '2020-06-13', 'IS', 'Iceland', 'EURO', '1', '1808', '0', '10');
INSERT INTO public.who_import VALUES (39589, '2020-06-14', 'IS', 'Iceland', 'EURO', '2', '1810', '0', '10');
INSERT INTO public.who_import VALUES (39590, '2020-06-15', 'IS', 'Iceland', 'EURO', '0', '1810', '0', '10');
INSERT INTO public.who_import VALUES (39591, '2020-06-16', 'IS', 'Iceland', 'EURO', '1', '1811', '0', '10');
INSERT INTO public.who_import VALUES (39592, '2020-06-17', 'IS', 'Iceland', 'EURO', '1', '1812', '0', '10');
INSERT INTO public.who_import VALUES (39593, '2020-06-18', 'IS', 'Iceland', 'EURO', '0', '1812', '0', '10');
INSERT INTO public.who_import VALUES (39594, '2020-06-19', 'IS', 'Iceland', 'EURO', '2', '1814', '0', '10');
INSERT INTO public.who_import VALUES (39595, '2020-06-20', 'IS', 'Iceland', 'EURO', '1', '1815', '0', '10');
INSERT INTO public.who_import VALUES (39596, '2020-06-21', 'IS', 'Iceland', 'EURO', '0', '1815', '0', '10');
INSERT INTO public.who_import VALUES (39597, '2020-06-22', 'IS', 'Iceland', 'EURO', '0', '1815', '0', '10');
INSERT INTO public.who_import VALUES (39598, '2020-06-23', 'IS', 'Iceland', 'EURO', '0', '1815', '0', '10');
INSERT INTO public.who_import VALUES (39599, '2020-06-24', 'IS', 'Iceland', 'EURO', '0', '1815', '0', '10');
INSERT INTO public.who_import VALUES (39600, '2020-06-25', 'IS', 'Iceland', 'EURO', '2', '1817', '0', '10');
INSERT INTO public.who_import VALUES (39601, '2020-06-26', 'IS', 'Iceland', 'EURO', '1', '1818', '0', '10');
INSERT INTO public.who_import VALUES (39602, '2020-06-27', 'IS', 'Iceland', 'EURO', '2', '1820', '0', '10');
INSERT INTO public.who_import VALUES (39603, '2020-06-28', 'IS', 'Iceland', 'EURO', '0', '1820', '0', '10');
INSERT INTO public.who_import VALUES (39604, '2020-06-29', 'IS', 'Iceland', 'EURO', '1', '1821', '0', '10');
INSERT INTO public.who_import VALUES (39605, '2020-06-30', 'IS', 'Iceland', 'EURO', '1', '1822', '0', '10');
INSERT INTO public.who_import VALUES (39606, '2020-07-01', 'IS', 'Iceland', 'EURO', '2', '1824', '0', '10');
INSERT INTO public.who_import VALUES (39607, '2020-07-02', 'IS', 'Iceland', 'EURO', '1', '1825', '0', '10');
INSERT INTO public.who_import VALUES (39608, '2020-07-03', 'IS', 'Iceland', 'EURO', '5', '1830', '0', '10');
INSERT INTO public.who_import VALUES (39609, '2020-07-04', 'IS', 'Iceland', 'EURO', '0', '1830', '0', '10');
INSERT INTO public.who_import VALUES (39610, '2020-07-05', 'IS', 'Iceland', 'EURO', '0', '1830', '0', '10');
INSERT INTO public.who_import VALUES (39611, '2020-07-06', 'IS', 'Iceland', 'EURO', '0', '1830', '0', '10');
INSERT INTO public.who_import VALUES (39612, '2020-07-07', 'IS', 'Iceland', 'EURO', '2', '1832', '0', '10');
INSERT INTO public.who_import VALUES (39613, '2020-07-08', 'IS', 'Iceland', 'EURO', '1', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39614, '2020-07-09', 'IS', 'Iceland', 'EURO', '0', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39615, '2020-07-10', 'IS', 'Iceland', 'EURO', '0', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39616, '2020-07-11', 'IS', 'Iceland', 'EURO', '0', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39617, '2020-07-12', 'IS', 'Iceland', 'EURO', '0', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39618, '2020-07-13', 'IS', 'Iceland', 'EURO', '0', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39619, '2020-07-14', 'IS', 'Iceland', 'EURO', '0', '1833', '0', '10');
INSERT INTO public.who_import VALUES (39620, '2020-07-15', 'IS', 'Iceland', 'EURO', '2', '1835', '0', '10');
INSERT INTO public.who_import VALUES (39621, '2020-07-16', 'IS', 'Iceland', 'EURO', '0', '1835', '0', '10');
INSERT INTO public.who_import VALUES (39622, '2020-07-17', 'IS', 'Iceland', 'EURO', '1', '1836', '0', '10');
INSERT INTO public.who_import VALUES (39623, '2020-07-18', 'IS', 'Iceland', 'EURO', '0', '1836', '0', '10');
INSERT INTO public.who_import VALUES (39624, '2020-07-19', 'IS', 'Iceland', 'EURO', '2', '1838', '0', '10');
INSERT INTO public.who_import VALUES (39625, '2020-07-20', 'IS', 'Iceland', 'EURO', '1', '1839', '0', '10');
INSERT INTO public.who_import VALUES (39626, '2020-07-21', 'IS', 'Iceland', 'EURO', '0', '1839', '0', '10');
INSERT INTO public.who_import VALUES (39627, '2020-07-22', 'IS', 'Iceland', 'EURO', '0', '1839', '0', '10');
INSERT INTO public.who_import VALUES (39628, '2020-07-23', 'IS', 'Iceland', 'EURO', '1', '1840', '0', '10');
INSERT INTO public.who_import VALUES (39629, '2020-07-24', 'IS', 'Iceland', 'EURO', '1', '1841', '0', '10');
INSERT INTO public.who_import VALUES (39630, '2020-07-25', 'IS', 'Iceland', 'EURO', '2', '1843', '0', '10');
INSERT INTO public.who_import VALUES (39631, '2020-07-26', 'IS', 'Iceland', 'EURO', '0', '1843', '0', '10');
INSERT INTO public.who_import VALUES (39632, '2020-07-27', 'IS', 'Iceland', 'EURO', '4', '1847', '0', '10');
INSERT INTO public.who_import VALUES (39633, '2020-07-28', 'IS', 'Iceland', 'EURO', '7', '1854', '0', '10');
INSERT INTO public.who_import VALUES (39634, '2020-07-29', 'IS', 'Iceland', 'EURO', '3', '1857', '0', '10');
INSERT INTO public.who_import VALUES (39635, '2020-07-30', 'IS', 'Iceland', 'EURO', '4', '1861', '0', '10');
INSERT INTO public.who_import VALUES (39636, '2020-07-31', 'IS', 'Iceland', 'EURO', '11', '1872', '0', '10');
INSERT INTO public.who_import VALUES (39637, '2020-08-01', 'IS', 'Iceland', 'EURO', '13', '1885', '0', '10');
INSERT INTO public.who_import VALUES (39638, '2020-08-02', 'IS', 'Iceland', 'EURO', '8', '1893', '0', '10');
INSERT INTO public.who_import VALUES (39639, '2020-08-03', 'IS', 'Iceland', 'EURO', '14', '1907', '0', '10');
INSERT INTO public.who_import VALUES (39640, '2020-08-04', 'IS', 'Iceland', 'EURO', '8', '1915', '0', '10');
INSERT INTO public.who_import VALUES (39641, '2020-08-05', 'IS', 'Iceland', 'EURO', '3', '1918', '0', '10');
INSERT INTO public.who_import VALUES (39642, '2020-08-06', 'IS', 'Iceland', 'EURO', '8', '1926', '0', '10');
INSERT INTO public.who_import VALUES (39643, '2020-08-07', 'IS', 'Iceland', 'EURO', '6', '1932', '0', '10');
INSERT INTO public.who_import VALUES (39644, '2020-08-08', 'IS', 'Iceland', 'EURO', '20', '1952', '0', '10');
INSERT INTO public.who_import VALUES (39645, '2020-08-09', 'IS', 'Iceland', 'EURO', '3', '1955', '0', '10');
INSERT INTO public.who_import VALUES (39646, '2020-08-10', 'IS', 'Iceland', 'EURO', '3', '1958', '0', '10');
INSERT INTO public.who_import VALUES (39647, '2020-08-11', 'IS', 'Iceland', 'EURO', '4', '1962', '0', '10');
INSERT INTO public.who_import VALUES (39648, '2020-08-12', 'IS', 'Iceland', 'EURO', '6', '1968', '0', '10');
INSERT INTO public.who_import VALUES (39649, '2020-08-13', 'IS', 'Iceland', 'EURO', '4', '1972', '0', '10');
INSERT INTO public.who_import VALUES (39650, '2020-08-14', 'IS', 'Iceland', 'EURO', '4', '1976', '0', '10');
INSERT INTO public.who_import VALUES (39651, '2020-08-15', 'IS', 'Iceland', 'EURO', '7', '1983', '0', '10');
INSERT INTO public.who_import VALUES (39652, '2020-08-16', 'IS', 'Iceland', 'EURO', '16', '1999', '0', '10');
INSERT INTO public.who_import VALUES (39653, '2020-08-17', 'IS', 'Iceland', 'EURO', '12', '2011', '0', '10');
INSERT INTO public.who_import VALUES (39654, '2020-08-18', 'IS', 'Iceland', 'EURO', '3', '2014', '0', '10');
INSERT INTO public.who_import VALUES (39655, '2020-08-19', 'IS', 'Iceland', 'EURO', '13', '2027', '0', '10');
INSERT INTO public.who_import VALUES (39656, '2020-08-20', 'IS', 'Iceland', 'EURO', '8', '2035', '0', '10');
INSERT INTO public.who_import VALUES (39657, '2020-08-21', 'IS', 'Iceland', 'EURO', '5', '2040', '0', '10');
INSERT INTO public.who_import VALUES (39658, '2020-08-22', 'IS', 'Iceland', 'EURO', '10', '2050', '0', '10');
INSERT INTO public.who_import VALUES (39659, '2020-08-23', 'IS', 'Iceland', 'EURO', '8', '2058', '0', '10');
INSERT INTO public.who_import VALUES (39660, '2020-08-24', 'IS', 'Iceland', 'EURO', '6', '2064', '0', '10');
INSERT INTO public.who_import VALUES (39661, '2020-08-25', 'IS', 'Iceland', 'EURO', '9', '2073', '0', '10');
INSERT INTO public.who_import VALUES (39662, '2020-08-26', 'IS', 'Iceland', 'EURO', '4', '2077', '0', '10');
INSERT INTO public.who_import VALUES (39663, '2020-08-27', 'IS', 'Iceland', 'EURO', '5', '2082', '0', '10');
INSERT INTO public.who_import VALUES (39664, '2020-08-28', 'IS', 'Iceland', 'EURO', '5', '2087', '0', '10');
INSERT INTO public.who_import VALUES (39665, '2020-08-29', 'IS', 'Iceland', 'EURO', '5', '2092', '0', '10');
INSERT INTO public.who_import VALUES (39666, '2020-08-30', 'IS', 'Iceland', 'EURO', '8', '2100', '0', '10');
INSERT INTO public.who_import VALUES (39667, '2020-08-31', 'IS', 'Iceland', 'EURO', '5', '2105', '0', '10');
INSERT INTO public.who_import VALUES (39668, '2020-09-01', 'IS', 'Iceland', 'EURO', '2', '2107', '0', '10');
INSERT INTO public.who_import VALUES (39669, '2020-09-02', 'IS', 'Iceland', 'EURO', '9', '2116', '0', '10');
INSERT INTO public.who_import VALUES (39670, '2020-09-03', 'IS', 'Iceland', 'EURO', '5', '2121', '0', '10');
INSERT INTO public.who_import VALUES (39671, '2020-09-04', 'IS', 'Iceland', 'EURO', '7', '2128', '0', '10');
INSERT INTO public.who_import VALUES (39672, '2020-09-05', 'IS', 'Iceland', 'EURO', '7', '2135', '0', '10');
INSERT INTO public.who_import VALUES (39673, '2020-09-06', 'IS', 'Iceland', 'EURO', '1', '2136', '0', '10');
INSERT INTO public.who_import VALUES (39674, '2020-09-07', 'IS', 'Iceland', 'EURO', '5', '2141', '0', '10');
INSERT INTO public.who_import VALUES (39675, '2020-09-08', 'IS', 'Iceland', 'EURO', '2', '2143', '0', '10');
INSERT INTO public.who_import VALUES (39676, '2020-09-09', 'IS', 'Iceland', 'EURO', '7', '2150', '0', '10');
INSERT INTO public.who_import VALUES (39677, '2020-09-10', 'IS', 'Iceland', 'EURO', '3', '2153', '0', '10');
INSERT INTO public.who_import VALUES (39678, '2020-09-11', 'IS', 'Iceland', 'EURO', '4', '2157', '0', '10');
INSERT INTO public.who_import VALUES (39679, '2020-09-12', 'IS', 'Iceland', 'EURO', '4', '2161', '0', '10');
INSERT INTO public.who_import VALUES (39680, '2020-09-13', 'IS', 'Iceland', 'EURO', '1', '2162', '0', '10');
INSERT INTO public.who_import VALUES (39681, '2020-09-14', 'IS', 'Iceland', 'EURO', '3', '2165', '0', '10');
INSERT INTO public.who_import VALUES (39682, '2020-09-15', 'IS', 'Iceland', 'EURO', '3', '2168', '0', '10');
INSERT INTO public.who_import VALUES (39683, '2020-09-16', 'IS', 'Iceland', 'EURO', '6', '2174', '0', '10');
INSERT INTO public.who_import VALUES (39684, '2020-09-17', 'IS', 'Iceland', 'EURO', '15', '2189', '0', '10');
INSERT INTO public.who_import VALUES (39685, '2020-09-18', 'IS', 'Iceland', 'EURO', '17', '2206', '0', '10');
INSERT INTO public.who_import VALUES (39686, '2020-09-19', 'IS', 'Iceland', 'EURO', '24', '2230', '0', '10');
INSERT INTO public.who_import VALUES (39687, '2020-09-20', 'IS', 'Iceland', 'EURO', '77', '2307', '0', '10');
INSERT INTO public.who_import VALUES (39688, '2020-09-21', 'IS', 'Iceland', 'EURO', '39', '2346', '0', '10');
INSERT INTO public.who_import VALUES (39689, '2020-09-22', 'IS', 'Iceland', 'EURO', '31', '2377', '0', '10');
INSERT INTO public.who_import VALUES (39690, '2020-09-23', 'IS', 'Iceland', 'EURO', '42', '2419', '0', '10');
INSERT INTO public.who_import VALUES (39691, '2020-09-24', 'IS', 'Iceland', 'EURO', '57', '2476', '0', '10');
INSERT INTO public.who_import VALUES (39692, '2020-09-25', 'IS', 'Iceland', 'EURO', '36', '2512', '0', '10');
INSERT INTO public.who_import VALUES (39693, '2020-09-26', 'IS', 'Iceland', 'EURO', '49', '2561', '0', '10');
INSERT INTO public.who_import VALUES (39694, '2020-09-27', 'IS', 'Iceland', 'EURO', '40', '2601', '0', '10');
INSERT INTO public.who_import VALUES (39695, '2020-09-28', 'IS', 'Iceland', 'EURO', '22', '2623', '0', '10');
INSERT INTO public.who_import VALUES (39696, '2020-09-29', 'IS', 'Iceland', 'EURO', '40', '2663', '0', '10');
INSERT INTO public.who_import VALUES (39697, '2020-09-30', 'IS', 'Iceland', 'EURO', '32', '2695', '0', '10');
INSERT INTO public.who_import VALUES (39698, '2020-10-01', 'IS', 'Iceland', 'EURO', '33', '2728', '0', '10');
INSERT INTO public.who_import VALUES (39699, '2020-10-02', 'IS', 'Iceland', 'EURO', '41', '2769', '0', '10');
INSERT INTO public.who_import VALUES (39700, '2020-10-03', 'IS', 'Iceland', 'EURO', '40', '2809', '0', '10');
INSERT INTO public.who_import VALUES (39701, '2020-10-04', 'IS', 'Iceland', 'EURO', '63', '2872', '0', '10');
INSERT INTO public.who_import VALUES (39702, '2020-10-05', 'IS', 'Iceland', 'EURO', '49', '2921', '0', '10');
INSERT INTO public.who_import VALUES (39703, '2020-10-06', 'IS', 'Iceland', 'EURO', '59', '2980', '0', '10');
INSERT INTO public.who_import VALUES (39704, '2020-10-07', 'IS', 'Iceland', 'EURO', '101', '3081', '0', '10');
INSERT INTO public.who_import VALUES (39705, '2020-10-08', 'IS', 'Iceland', 'EURO', '91', '3172', '0', '10');
INSERT INTO public.who_import VALUES (39706, '2020-10-09', 'IS', 'Iceland', 'EURO', '95', '3267', '0', '10');
INSERT INTO public.who_import VALUES (39707, '2020-10-10', 'IS', 'Iceland', 'EURO', '106', '3373', '0', '10');
INSERT INTO public.who_import VALUES (39708, '2020-10-11', 'IS', 'Iceland', 'EURO', '87', '3460', '0', '10');
INSERT INTO public.who_import VALUES (39709, '2020-10-12', 'IS', 'Iceland', 'EURO', '66', '3526', '0', '10');
INSERT INTO public.who_import VALUES (39710, '2020-10-13', 'IS', 'Iceland', 'EURO', '56', '3582', '0', '10');
INSERT INTO public.who_import VALUES (39711, '2020-10-14', 'IS', 'Iceland', 'EURO', '86', '3668', '0', '10');
INSERT INTO public.who_import VALUES (39712, '2020-10-15', 'IS', 'Iceland', 'EURO', '89', '3757', '0', '10');
INSERT INTO public.who_import VALUES (39713, '2020-10-16', 'IS', 'Iceland', 'EURO', '80', '3837', '0', '10');
INSERT INTO public.who_import VALUES (39714, '2020-10-17', 'IS', 'Iceland', 'EURO', '92', '3929', '1', '11');
INSERT INTO public.who_import VALUES (39715, '2020-10-18', 'IS', 'Iceland', 'EURO', '69', '3998', '0', '11');
INSERT INTO public.who_import VALUES (39716, '2020-10-19', 'IS', 'Iceland', 'EURO', '57', '4055', '0', '11');
INSERT INTO public.who_import VALUES (39717, '2020-10-20', 'IS', 'Iceland', 'EURO', '46', '4101', '0', '11');
INSERT INTO public.who_import VALUES (39718, '2020-10-21', 'IS', 'Iceland', 'EURO', '92', '4193', '0', '11');
INSERT INTO public.who_import VALUES (39719, '2020-10-22', 'IS', 'Iceland', 'EURO', '37', '4230', '0', '11');
INSERT INTO public.who_import VALUES (39720, '2020-10-23', 'IS', 'Iceland', 'EURO', '38', '4268', '0', '11');
INSERT INTO public.who_import VALUES (39721, '2020-10-24', 'IS', 'Iceland', 'EURO', '40', '4308', '0', '11');
INSERT INTO public.who_import VALUES (39722, '2020-10-25', 'IS', 'Iceland', 'EURO', '86', '4394', '0', '11');
INSERT INTO public.who_import VALUES (39723, '2020-10-26', 'IS', 'Iceland', 'EURO', '54', '4448', '0', '11');
INSERT INTO public.who_import VALUES (39724, '2020-10-27', 'IS', 'Iceland', 'EURO', '56', '4504', '0', '11');
INSERT INTO public.who_import VALUES (39725, '2020-10-28', 'IS', 'Iceland', 'EURO', '70', '4574', '0', '11');
INSERT INTO public.who_import VALUES (39726, '2020-10-29', 'IS', 'Iceland', 'EURO', '97', '4671', '1', '12');
INSERT INTO public.who_import VALUES (39727, '2020-10-30', 'IS', 'Iceland', 'EURO', '48', '4719', '0', '12');
INSERT INTO public.who_import VALUES (39728, '2020-10-31', 'IS', 'Iceland', 'EURO', '78', '4797', '0', '12');
INSERT INTO public.who_import VALUES (39729, '2020-11-01', 'IS', 'Iceland', 'EURO', '68', '4865', '0', '12');
INSERT INTO public.who_import VALUES (39730, '2020-11-02', 'IS', 'Iceland', 'EURO', '25', '4890', '0', '12');
INSERT INTO public.who_import VALUES (39731, '2020-11-03', 'IS', 'Iceland', 'EURO', '41', '4931', '0', '12');
INSERT INTO public.who_import VALUES (39732, '2020-11-04', 'IS', 'Iceland', 'EURO', '26', '4957', '5', '17');
INSERT INTO public.who_import VALUES (39733, '2020-11-05', 'IS', 'Iceland', 'EURO', '32', '4989', '0', '17');
INSERT INTO public.who_import VALUES (39734, '2020-11-06', 'IS', 'Iceland', 'EURO', '28', '5017', '1', '18');
INSERT INTO public.who_import VALUES (39735, '2020-11-07', 'IS', 'Iceland', 'EURO', '22', '5039', '0', '18');
INSERT INTO public.who_import VALUES (39736, '2020-11-08', 'IS', 'Iceland', 'EURO', '24', '5063', '0', '18');
INSERT INTO public.who_import VALUES (39737, '2020-11-09', 'IS', 'Iceland', 'EURO', '15', '5078', '2', '20');
INSERT INTO public.who_import VALUES (39738, '2020-11-10', 'IS', 'Iceland', 'EURO', '23', '5101', '3', '23');
INSERT INTO public.who_import VALUES (39739, '2020-11-11', 'IS', 'Iceland', 'EURO', '13', '5114', '1', '24');
INSERT INTO public.who_import VALUES (39740, '2020-11-12', 'IS', 'Iceland', 'EURO', '28', '5142', '0', '24');
INSERT INTO public.who_import VALUES (39741, '2020-11-13', 'IS', 'Iceland', 'EURO', '18', '5160', '1', '25');
INSERT INTO public.who_import VALUES (39742, '2020-11-14', 'IS', 'Iceland', 'EURO', '10', '5170', '0', '25');
INSERT INTO public.who_import VALUES (39743, '2020-11-15', 'IS', 'Iceland', 'EURO', '16', '5186', '0', '25');
INSERT INTO public.who_import VALUES (39744, '2020-11-16', 'IS', 'Iceland', 'EURO', '3', '5189', '0', '25');
INSERT INTO public.who_import VALUES (39745, '2020-11-17', 'IS', 'Iceland', 'EURO', '16', '5205', '0', '25');
INSERT INTO public.who_import VALUES (39746, '2020-11-18', 'IS', 'Iceland', 'EURO', '10', '5215', '0', '25');
INSERT INTO public.who_import VALUES (39747, '2020-11-19', 'IS', 'Iceland', 'EURO', '11', '5226', '0', '25');
INSERT INTO public.who_import VALUES (39748, '2020-11-20', 'IS', 'Iceland', 'EURO', '5', '5231', '0', '25');
INSERT INTO public.who_import VALUES (39749, '2020-11-21', 'IS', 'Iceland', 'EURO', '20', '5251', '1', '26');
INSERT INTO public.who_import VALUES (39750, '2020-11-22', 'IS', 'Iceland', 'EURO', '18', '5269', '0', '26');
INSERT INTO public.who_import VALUES (39751, '2020-11-23', 'IS', 'Iceland', 'EURO', '8', '5277', '0', '26');
INSERT INTO public.who_import VALUES (39752, '2020-11-24', 'IS', 'Iceland', 'EURO', '12', '5289', '0', '26');
INSERT INTO public.who_import VALUES (39753, '2020-11-25', 'IS', 'Iceland', 'EURO', '9', '5298', '0', '26');
INSERT INTO public.who_import VALUES (39754, '2020-11-26', 'IS', 'Iceland', 'EURO', '14', '5312', '0', '26');
INSERT INTO public.who_import VALUES (39755, '2020-11-27', 'IS', 'Iceland', 'EURO', '11', '5323', '0', '26');
INSERT INTO public.who_import VALUES (39756, '2020-11-28', 'IS', 'Iceland', 'EURO', '23', '5346', '0', '26');
INSERT INTO public.who_import VALUES (39757, '2020-11-29', 'IS', 'Iceland', 'EURO', '25', '5371', '0', '26');
INSERT INTO public.who_import VALUES (39758, '2020-11-30', 'IS', 'Iceland', 'EURO', '10', '5381', '0', '26');
INSERT INTO public.who_import VALUES (39759, '2020-12-01', 'IS', 'Iceland', 'EURO', '11', '5392', '0', '26');
INSERT INTO public.who_import VALUES (39760, '2020-12-02', 'IS', 'Iceland', 'EURO', '21', '5413', '1', '27');
INSERT INTO public.who_import VALUES (39761, '2020-12-03', 'IS', 'Iceland', 'EURO', '20', '5433', '0', '27');
INSERT INTO public.who_import VALUES (39762, '2020-12-04', 'IS', 'Iceland', 'EURO', '15', '5448', '0', '27');
INSERT INTO public.who_import VALUES (39763, '2020-12-05', 'IS', 'Iceland', 'EURO', '14', '5462', '0', '27');
INSERT INTO public.who_import VALUES (39764, '2020-12-06', 'IS', 'Iceland', 'EURO', '14', '5476', '0', '27');
INSERT INTO public.who_import VALUES (39765, '2020-12-07', 'IS', 'Iceland', 'EURO', '6', '5482', '0', '27');
INSERT INTO public.who_import VALUES (39766, '2020-12-08', 'IS', 'Iceland', 'EURO', '14', '5496', '0', '27');
INSERT INTO public.who_import VALUES (39767, '2020-12-09', 'IS', 'Iceland', 'EURO', '10', '5506', '1', '28');
INSERT INTO public.who_import VALUES (39768, '2020-12-10', 'IS', 'Iceland', 'EURO', '10', '5516', '0', '28');
INSERT INTO public.who_import VALUES (39769, '2020-12-11', 'IS', 'Iceland', 'EURO', '8', '5524', '0', '28');
INSERT INTO public.who_import VALUES (39770, '2020-12-12', 'IS', 'Iceland', 'EURO', '15', '5539', '0', '28');
INSERT INTO public.who_import VALUES (39771, '2020-12-13', 'IS', 'Iceland', 'EURO', '13', '5552', '0', '28');
INSERT INTO public.who_import VALUES (39772, '2020-12-14', 'IS', 'Iceland', 'EURO', '5', '5557', '0', '28');
INSERT INTO public.who_import VALUES (39773, '2020-12-15', 'IS', 'Iceland', 'EURO', '14', '5571', '0', '28');
INSERT INTO public.who_import VALUES (39774, '2020-12-16', 'IS', 'Iceland', 'EURO', '7', '5578', '0', '28');
INSERT INTO public.who_import VALUES (39775, '2020-12-17', 'IS', 'Iceland', 'EURO', '10', '5588', '0', '28');
INSERT INTO public.who_import VALUES (39776, '2020-12-18', 'IS', 'Iceland', 'EURO', '0', '5588', '0', '28');
INSERT INTO public.who_import VALUES (39777, '2020-12-19', 'IS', 'Iceland', 'EURO', '16', '5604', '0', '28');
INSERT INTO public.who_import VALUES (39778, '2020-12-20', 'IS', 'Iceland', 'EURO', '17', '5621', '0', '28');
INSERT INTO public.who_import VALUES (39779, '2020-12-21', 'IS', 'Iceland', 'EURO', '21', '5642', '0', '28');
INSERT INTO public.who_import VALUES (39780, '2020-12-22', 'IS', 'Iceland', 'EURO', '14', '5656', '0', '28');
INSERT INTO public.who_import VALUES (39781, '2020-12-23', 'IS', 'Iceland', 'EURO', '11', '5667', '0', '28');
INSERT INTO public.who_import VALUES (39782, '2020-12-24', 'IS', 'Iceland', 'EURO', '16', '5683', '0', '28');
INSERT INTO public.who_import VALUES (39783, '2020-12-25', 'IS', 'Iceland', 'EURO', '0', '5683', '0', '28');
INSERT INTO public.who_import VALUES (39784, '2020-12-26', 'IS', 'Iceland', 'EURO', '0', '5683', '0', '28');
INSERT INTO public.who_import VALUES (39785, '2020-12-27', 'IS', 'Iceland', 'EURO', '0', '5683', '0', '28');
INSERT INTO public.who_import VALUES (39786, '2020-12-28', 'IS', 'Iceland', 'EURO', '43', '5726', '0', '28');
INSERT INTO public.who_import VALUES (39787, '2020-12-29', 'IS', 'Iceland', 'EURO', '10', '5736', '1', '29');
INSERT INTO public.who_import VALUES (39788, '2020-12-30', 'IS', 'Iceland', 'EURO', '18', '5754', '0', '29');
INSERT INTO public.who_import VALUES (39789, '2020-12-31', 'IS', 'Iceland', 'EURO', '0', '5754', '0', '29');
INSERT INTO public.who_import VALUES (39790, '2021-01-01', 'IS', 'Iceland', 'EURO', '0', '5754', '0', '29');
INSERT INTO public.who_import VALUES (39791, '2021-01-02', 'IS', 'Iceland', 'EURO', '0', '5754', '0', '29');
INSERT INTO public.who_import VALUES (39792, '2021-01-03', 'IS', 'Iceland', 'EURO', '0', '5754', '0', '29');
INSERT INTO public.who_import VALUES (39793, '2021-01-04', 'IS', 'Iceland', 'EURO', '41', '5795', '0', '29');
INSERT INTO public.who_import VALUES (39794, '2021-01-05', 'IS', 'Iceland', 'EURO', '0', '5795', '0', '29');
INSERT INTO public.who_import VALUES (39795, '2021-01-06', 'IS', 'Iceland', 'EURO', '16', '5811', '0', '29');
INSERT INTO public.who_import VALUES (39796, '2021-01-07', 'IS', 'Iceland', 'EURO', '21', '5832', '0', '29');
INSERT INTO public.who_import VALUES (39797, '2021-01-08', 'IS', 'Iceland', 'EURO', '13', '5845', '0', '29');
INSERT INTO public.who_import VALUES (39798, '2021-01-09', 'IS', 'Iceland', 'EURO', '22', '5867', '0', '29');
INSERT INTO public.who_import VALUES (39799, '2021-01-10', 'IS', 'Iceland', 'EURO', '13', '5880', '0', '29');
INSERT INTO public.who_import VALUES (39800, '2021-01-11', 'IS', 'Iceland', 'EURO', '10', '5890', '0', '29');
INSERT INTO public.who_import VALUES (39801, '2021-01-12', 'IS', 'Iceland', 'EURO', '8', '5898', '0', '29');
INSERT INTO public.who_import VALUES (39802, '2021-01-13', 'IS', 'Iceland', 'EURO', '14', '5912', '0', '29');
INSERT INTO public.who_import VALUES (39803, '2021-01-14', 'IS', 'Iceland', 'EURO', '23', '5935', '0', '29');
INSERT INTO public.who_import VALUES (39804, '2021-01-15', 'IS', 'Iceland', 'EURO', '13', '5948', '0', '29');
INSERT INTO public.who_import VALUES (39805, '2021-01-16', 'IS', 'Iceland', 'EURO', '8', '5956', '0', '29');
INSERT INTO public.who_import VALUES (39806, '2021-01-17', 'IS', 'Iceland', 'EURO', '0', '5956', '0', '29');
INSERT INTO public.who_import VALUES (39807, '2021-01-18', 'IS', 'Iceland', 'EURO', '0', '5956', '0', '29');
INSERT INTO public.who_import VALUES (39808, '2021-01-19', 'IS', 'Iceland', 'EURO', '14', '5970', '0', '29');
INSERT INTO public.who_import VALUES (39809, '2021-01-20', 'IS', 'Iceland', 'EURO', '0', '5970', '0', '29');
INSERT INTO public.who_import VALUES (39810, '2021-01-21', 'IS', 'Iceland', 'EURO', '5', '5975', '0', '29');
INSERT INTO public.who_import VALUES (39811, '2021-01-22', 'IS', 'Iceland', 'EURO', '6', '5981', '0', '29');
INSERT INTO public.who_import VALUES (39812, '2021-01-23', 'IS', 'Iceland', 'EURO', '0', '5981', '0', '29');
INSERT INTO public.who_import VALUES (39813, '2021-01-24', 'IS', 'Iceland', 'EURO', '0', '5981', '0', '29');
INSERT INTO public.who_import VALUES (39814, '2021-01-25', 'IS', 'Iceland', 'EURO', '9', '5990', '0', '29');
INSERT INTO public.who_import VALUES (39815, '2021-01-26', 'IS', 'Iceland', 'EURO', '0', '5990', '0', '29');
INSERT INTO public.who_import VALUES (39816, '2021-01-27', 'IS', 'Iceland', 'EURO', '2', '5992', '0', '29');
INSERT INTO public.who_import VALUES (39817, '2021-01-28', 'IS', 'Iceland', 'EURO', '8', '6000', '0', '29');
INSERT INTO public.who_import VALUES (39818, '2021-01-29', 'IS', 'Iceland', 'EURO', '1', '6001', '0', '29');
INSERT INTO public.who_import VALUES (39819, '2021-01-30', 'IS', 'Iceland', 'EURO', '1', '6002', '0', '29');
INSERT INTO public.who_import VALUES (39820, '2021-01-31', 'IS', 'Iceland', 'EURO', '0', '6002', '0', '29');
INSERT INTO public.who_import VALUES (39821, '2021-02-01', 'IS', 'Iceland', 'EURO', '7', '6009', '0', '29');
INSERT INTO public.who_import VALUES (39822, '2021-02-02', 'IS', 'Iceland', 'EURO', '0', '6009', '0', '29');
INSERT INTO public.who_import VALUES (39823, '2021-02-03', 'IS', 'Iceland', 'EURO', '2', '6011', '0', '29');
INSERT INTO public.who_import VALUES (39824, '2021-02-04', 'IS', 'Iceland', 'EURO', '2', '6013', '0', '29');
INSERT INTO public.who_import VALUES (39825, '2021-02-05', 'IS', 'Iceland', 'EURO', '3', '6016', '0', '29');
INSERT INTO public.who_import VALUES (39826, '2021-02-06', 'IS', 'Iceland', 'EURO', '4', '6020', '0', '29');
INSERT INTO public.who_import VALUES (39827, '2021-02-07', 'IS', 'Iceland', 'EURO', '0', '6020', '0', '29');
INSERT INTO public.who_import VALUES (39828, '2021-02-08', 'IS', 'Iceland', 'EURO', '0', '6020', '0', '29');
INSERT INTO public.who_import VALUES (39829, '2021-02-09', 'IS', 'Iceland', 'EURO', '0', '6020', '0', '29');
INSERT INTO public.who_import VALUES (39830, '2021-02-10', 'IS', 'Iceland', 'EURO', '5', '6025', '0', '29');
INSERT INTO public.who_import VALUES (39831, '2021-02-11', 'IS', 'Iceland', 'EURO', '1', '6026', '0', '29');
INSERT INTO public.who_import VALUES (39832, '2021-02-12', 'IS', 'Iceland', 'EURO', '0', '6026', '0', '29');
INSERT INTO public.who_import VALUES (39833, '2021-02-13', 'IS', 'Iceland', 'EURO', '7', '6033', '0', '29');
INSERT INTO public.who_import VALUES (39834, '2021-02-14', 'IS', 'Iceland', 'EURO', '0', '6033', '0', '29');
INSERT INTO public.who_import VALUES (39835, '2021-02-15', 'IS', 'Iceland', 'EURO', '0', '6033', '0', '29');
INSERT INTO public.who_import VALUES (39836, '2021-02-16', 'IS', 'Iceland', 'EURO', '6', '6039', '0', '29');
INSERT INTO public.who_import VALUES (39837, '2021-02-17', 'IS', 'Iceland', 'EURO', '0', '6039', '0', '29');
INSERT INTO public.who_import VALUES (39838, '2021-02-18', 'IS', 'Iceland', 'EURO', '5', '6044', '0', '29');
INSERT INTO public.who_import VALUES (39839, '2021-02-19', 'IS', 'Iceland', 'EURO', '0', '6044', '0', '29');
INSERT INTO public.who_import VALUES (39840, '2021-02-20', 'IS', 'Iceland', 'EURO', '1', '6045', '0', '29');
INSERT INTO public.who_import VALUES (39841, '2020-01-03', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39842, '2020-01-04', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39843, '2020-01-05', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39844, '2020-01-06', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39845, '2020-01-07', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39846, '2020-01-08', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39847, '2020-01-09', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39848, '2020-01-10', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39849, '2020-01-11', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39850, '2020-01-12', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39851, '2020-01-13', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39852, '2020-01-14', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39853, '2020-01-15', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39854, '2020-01-16', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39855, '2020-01-17', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39856, '2020-01-18', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39857, '2020-01-19', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39858, '2020-01-20', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39859, '2020-01-21', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39860, '2020-01-22', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39861, '2020-01-23', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39862, '2020-01-24', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39863, '2020-01-25', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39864, '2020-01-26', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39865, '2020-01-27', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39866, '2020-01-28', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39867, '2020-01-29', 'IN', 'India', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (39868, '2020-01-30', 'IN', 'India', 'SEARO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (39869, '2020-01-31', 'IN', 'India', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (39870, '2020-02-01', 'IN', 'India', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (39871, '2020-02-02', 'IN', 'India', 'SEARO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (39872, '2020-02-03', 'IN', 'India', 'SEARO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (39873, '2020-02-04', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39874, '2020-02-05', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39875, '2020-02-06', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39876, '2020-02-07', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39877, '2020-02-08', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39878, '2020-02-09', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39879, '2020-02-10', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39880, '2020-02-11', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39881, '2020-02-12', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39882, '2020-02-13', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39883, '2020-02-14', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39884, '2020-02-15', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39885, '2020-02-16', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39886, '2020-02-17', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39887, '2020-02-18', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39888, '2020-02-19', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39889, '2020-02-20', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39890, '2020-02-21', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39891, '2020-02-22', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39892, '2020-02-23', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39893, '2020-02-24', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39894, '2020-02-25', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39895, '2020-02-26', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39896, '2020-02-27', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39897, '2020-02-28', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39898, '2020-02-29', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39899, '2020-03-01', 'IN', 'India', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (39900, '2020-03-02', 'IN', 'India', 'SEARO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (39901, '2020-03-03', 'IN', 'India', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (39902, '2020-03-04', 'IN', 'India', 'SEARO', '22', '31', '0', '0');
INSERT INTO public.who_import VALUES (39903, '2020-03-05', 'IN', 'India', 'SEARO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (39904, '2020-03-06', 'IN', 'India', 'SEARO', '3', '35', '0', '0');
INSERT INTO public.who_import VALUES (39905, '2020-03-07', 'IN', 'India', 'SEARO', '3', '38', '0', '0');
INSERT INTO public.who_import VALUES (39906, '2020-03-08', 'IN', 'India', 'SEARO', '5', '43', '0', '0');
INSERT INTO public.who_import VALUES (39907, '2020-03-09', 'IN', 'India', 'SEARO', '5', '48', '0', '0');
INSERT INTO public.who_import VALUES (39908, '2020-03-10', 'IN', 'India', 'SEARO', '6', '54', '0', '0');
INSERT INTO public.who_import VALUES (39909, '2020-03-11', 'IN', 'India', 'SEARO', '10', '64', '0', '0');
INSERT INTO public.who_import VALUES (39910, '2020-03-12', 'IN', 'India', 'SEARO', '14', '78', '0', '0');
INSERT INTO public.who_import VALUES (39911, '2020-03-13', 'IN', 'India', 'SEARO', '7', '85', '1', '1');
INSERT INTO public.who_import VALUES (39912, '2020-03-14', 'IN', 'India', 'SEARO', '3', '88', '1', '2');
INSERT INTO public.who_import VALUES (39913, '2020-03-15', 'IN', 'India', 'SEARO', '23', '111', '0', '2');
INSERT INTO public.who_import VALUES (39914, '2020-03-16', 'IN', 'India', 'SEARO', '7', '118', '0', '2');
INSERT INTO public.who_import VALUES (39915, '2020-03-17', 'IN', 'India', 'SEARO', '23', '141', '1', '3');
INSERT INTO public.who_import VALUES (39916, '2020-03-18', 'IN', 'India', 'SEARO', '14', '155', '0', '3');
INSERT INTO public.who_import VALUES (39917, '2020-03-19', 'IN', 'India', 'SEARO', '40', '195', '1', '4');
INSERT INTO public.who_import VALUES (39918, '2020-03-20', 'IN', 'India', 'SEARO', '0', '195', '0', '4');
INSERT INTO public.who_import VALUES (39919, '2020-03-21', 'IN', 'India', 'SEARO', '88', '283', '0', '4');
INSERT INTO public.who_import VALUES (39920, '2020-03-22', 'IN', 'India', 'SEARO', '58', '341', '1', '5');
INSERT INTO public.who_import VALUES (39921, '2020-03-23', 'IN', 'India', 'SEARO', '93', '434', '4', '9');
INSERT INTO public.who_import VALUES (39922, '2020-03-24', 'IN', 'India', 'SEARO', '85', '519', '0', '9');
INSERT INTO public.who_import VALUES (39923, '2020-03-25', 'IN', 'India', 'SEARO', '87', '606', '1', '10');
INSERT INTO public.who_import VALUES (39924, '2020-03-26', 'IN', 'India', 'SEARO', '43', '649', '3', '13');
INSERT INTO public.who_import VALUES (39925, '2020-03-27', 'IN', 'India', 'SEARO', '75', '724', '4', '17');
INSERT INTO public.who_import VALUES (39926, '2020-03-28', 'IN', 'India', 'SEARO', '0', '724', '0', '17');
INSERT INTO public.who_import VALUES (39927, '2020-03-29', 'IN', 'India', 'SEARO', '255', '979', '8', '25');
INSERT INTO public.who_import VALUES (39928, '2020-03-30', 'IN', 'India', 'SEARO', '92', '1071', '4', '29');
INSERT INTO public.who_import VALUES (39929, '2020-03-31', 'IN', 'India', 'SEARO', '180', '1251', '3', '32');
INSERT INTO public.who_import VALUES (39930, '2020-04-01', 'IN', 'India', 'SEARO', '385', '1636', '6', '38');
INSERT INTO public.who_import VALUES (39931, '2020-04-02', 'IN', 'India', 'SEARO', '329', '1965', '12', '50');
INSERT INTO public.who_import VALUES (39932, '2020-04-03', 'IN', 'India', 'SEARO', '336', '2301', '6', '56');
INSERT INTO public.who_import VALUES (39933, '2020-04-04', 'IN', 'India', 'SEARO', '601', '2902', '12', '68');
INSERT INTO public.who_import VALUES (39934, '2020-04-05', 'IN', 'India', 'SEARO', '472', '3374', '9', '77');
INSERT INTO public.who_import VALUES (39935, '2020-04-06', 'IN', 'India', 'SEARO', '693', '4067', '32', '109');
INSERT INTO public.who_import VALUES (39936, '2020-04-07', 'IN', 'India', 'SEARO', '354', '4421', '5', '114');
INSERT INTO public.who_import VALUES (39937, '2020-04-08', 'IN', 'India', 'SEARO', '853', '5274', '35', '149');
INSERT INTO public.who_import VALUES (39938, '2020-04-09', 'IN', 'India', 'SEARO', '591', '5865', '20', '169');
INSERT INTO public.who_import VALUES (39939, '2020-04-10', 'IN', 'India', 'SEARO', '547', '6412', '30', '199');
INSERT INTO public.who_import VALUES (39940, '2020-04-11', 'IN', 'India', 'SEARO', '1035', '7447', '40', '239');
INSERT INTO public.who_import VALUES (39941, '2020-04-12', 'IN', 'India', 'SEARO', '909', '8356', '34', '273');
INSERT INTO public.who_import VALUES (39942, '2020-04-13', 'IN', 'India', 'SEARO', '796', '9152', '35', '308');
INSERT INTO public.who_import VALUES (39943, '2020-04-14', 'IN', 'India', 'SEARO', '1211', '10363', '31', '339');
INSERT INTO public.who_import VALUES (39944, '2020-04-15', 'IN', 'India', 'SEARO', '1076', '11439', '38', '377');
INSERT INTO public.who_import VALUES (39945, '2020-04-16', 'IN', 'India', 'SEARO', '941', '12380', '37', '414');
INSERT INTO public.who_import VALUES (39946, '2020-04-17', 'IN', 'India', 'SEARO', '1007', '13387', '23', '437');
INSERT INTO public.who_import VALUES (39947, '2020-04-18', 'IN', 'India', 'SEARO', '991', '14378', '43', '480');
INSERT INTO public.who_import VALUES (39948, '2020-04-19', 'IN', 'India', 'SEARO', '1334', '15712', '27', '507');
INSERT INTO public.who_import VALUES (39949, '2020-04-20', 'IN', 'India', 'SEARO', '1553', '17265', '36', '543');
INSERT INTO public.who_import VALUES (39950, '2020-04-21', 'IN', 'India', 'SEARO', '1336', '18601', '47', '590');
INSERT INTO public.who_import VALUES (39951, '2020-04-22', 'IN', 'India', 'SEARO', '1383', '19984', '50', '640');
INSERT INTO public.who_import VALUES (39952, '2020-04-23', 'IN', 'India', 'SEARO', '1409', '21393', '41', '681');
INSERT INTO public.who_import VALUES (39953, '2020-04-24', 'IN', 'India', 'SEARO', '1684', '23077', '37', '718');
INSERT INTO public.who_import VALUES (39954, '2020-04-25', 'IN', 'India', 'SEARO', '1429', '24506', '57', '775');
INSERT INTO public.who_import VALUES (39955, '2020-04-26', 'IN', 'India', 'SEARO', '1990', '26496', '49', '824');
INSERT INTO public.who_import VALUES (39956, '2020-04-27', 'IN', 'India', 'SEARO', '1396', '27892', '48', '872');
INSERT INTO public.who_import VALUES (39957, '2020-04-28', 'IN', 'India', 'SEARO', '1543', '29435', '62', '934');
INSERT INTO public.who_import VALUES (39958, '2020-04-29', 'IN', 'India', 'SEARO', '1897', '31332', '73', '1007');
INSERT INTO public.who_import VALUES (39959, '2020-04-30', 'IN', 'India', 'SEARO', '1718', '33050', '67', '1074');
INSERT INTO public.who_import VALUES (39960, '2020-05-01', 'IN', 'India', 'SEARO', '1993', '35043', '73', '1147');
INSERT INTO public.who_import VALUES (39961, '2020-05-02', 'IN', 'India', 'SEARO', '2293', '37336', '71', '1218');
INSERT INTO public.who_import VALUES (39962, '2020-05-03', 'IN', 'India', 'SEARO', '2644', '39980', '83', '1301');
INSERT INTO public.who_import VALUES (39963, '2020-05-04', 'IN', 'India', 'SEARO', '2553', '42533', '72', '1373');
INSERT INTO public.who_import VALUES (39964, '2020-05-05', 'IN', 'India', 'SEARO', '3900', '46433', '195', '1568');
INSERT INTO public.who_import VALUES (39965, '2020-05-06', 'IN', 'India', 'SEARO', '2958', '49391', '126', '1694');
INSERT INTO public.who_import VALUES (39966, '2020-05-07', 'IN', 'India', 'SEARO', '3561', '52952', '89', '1783');
INSERT INTO public.who_import VALUES (39967, '2020-05-08', 'IN', 'India', 'SEARO', '3390', '56342', '103', '1886');
INSERT INTO public.who_import VALUES (39968, '2020-05-09', 'IN', 'India', 'SEARO', '3320', '59662', '95', '1981');
INSERT INTO public.who_import VALUES (39969, '2020-05-10', 'IN', 'India', 'SEARO', '3277', '62939', '128', '2109');
INSERT INTO public.who_import VALUES (39970, '2020-05-11', 'IN', 'India', 'SEARO', '4213', '67152', '97', '2206');
INSERT INTO public.who_import VALUES (39971, '2020-05-12', 'IN', 'India', 'SEARO', '3604', '70756', '87', '2293');
INSERT INTO public.who_import VALUES (39972, '2020-05-13', 'IN', 'India', 'SEARO', '3525', '74281', '122', '2415');
INSERT INTO public.who_import VALUES (39973, '2020-05-14', 'IN', 'India', 'SEARO', '3722', '78003', '134', '2549');
INSERT INTO public.who_import VALUES (39974, '2020-05-15', 'IN', 'India', 'SEARO', '3967', '81970', '100', '2649');
INSERT INTO public.who_import VALUES (39975, '2020-05-16', 'IN', 'India', 'SEARO', '3970', '85940', '103', '2752');
INSERT INTO public.who_import VALUES (39976, '2020-05-17', 'IN', 'India', 'SEARO', '4987', '90927', '120', '2872');
INSERT INTO public.who_import VALUES (39977, '2020-05-18', 'IN', 'India', 'SEARO', '5242', '96169', '157', '3029');
INSERT INTO public.who_import VALUES (39978, '2020-05-19', 'IN', 'India', 'SEARO', '4970', '101139', '134', '3163');
INSERT INTO public.who_import VALUES (39979, '2020-05-20', 'IN', 'India', 'SEARO', '5611', '106750', '140', '3303');
INSERT INTO public.who_import VALUES (39980, '2020-05-21', 'IN', 'India', 'SEARO', '5609', '112359', '132', '3435');
INSERT INTO public.who_import VALUES (39981, '2020-05-22', 'IN', 'India', 'SEARO', '6088', '118447', '148', '3583');
INSERT INTO public.who_import VALUES (39982, '2020-05-23', 'IN', 'India', 'SEARO', '6654', '125101', '137', '3720');
INSERT INTO public.who_import VALUES (39983, '2020-05-24', 'IN', 'India', 'SEARO', '6767', '131868', '147', '3867');
INSERT INTO public.who_import VALUES (39984, '2020-05-25', 'IN', 'India', 'SEARO', '6977', '138845', '154', '4021');
INSERT INTO public.who_import VALUES (39985, '2020-05-26', 'IN', 'India', 'SEARO', '6535', '145380', '146', '4167');
INSERT INTO public.who_import VALUES (39986, '2020-05-27', 'IN', 'India', 'SEARO', '6387', '151767', '170', '4337');
INSERT INTO public.who_import VALUES (39987, '2020-05-28', 'IN', 'India', 'SEARO', '6566', '158333', '194', '4531');
INSERT INTO public.who_import VALUES (39988, '2020-05-29', 'IN', 'India', 'SEARO', '7466', '165799', '175', '4706');
INSERT INTO public.who_import VALUES (39989, '2020-05-30', 'IN', 'India', 'SEARO', '7964', '173763', '265', '4971');
INSERT INTO public.who_import VALUES (39990, '2020-05-31', 'IN', 'India', 'SEARO', '8380', '182143', '193', '5164');
INSERT INTO public.who_import VALUES (39991, '2020-06-01', 'IN', 'India', 'SEARO', '8392', '190535', '230', '5394');
INSERT INTO public.who_import VALUES (39992, '2020-06-02', 'IN', 'India', 'SEARO', '8171', '198706', '204', '5598');
INSERT INTO public.who_import VALUES (39993, '2020-06-03', 'IN', 'India', 'SEARO', '8909', '207615', '217', '5815');
INSERT INTO public.who_import VALUES (39994, '2020-06-04', 'IN', 'India', 'SEARO', '9304', '216919', '260', '6075');
INSERT INTO public.who_import VALUES (39995, '2020-06-05', 'IN', 'India', 'SEARO', '9851', '226770', '273', '6348');
INSERT INTO public.who_import VALUES (39996, '2020-06-06', 'IN', 'India', 'SEARO', '9887', '236657', '294', '6642');
INSERT INTO public.who_import VALUES (39997, '2020-06-07', 'IN', 'India', 'SEARO', '9971', '246628', '287', '6929');
INSERT INTO public.who_import VALUES (39998, '2020-06-08', 'IN', 'India', 'SEARO', '9983', '256611', '206', '7135');
INSERT INTO public.who_import VALUES (39999, '2020-06-09', 'IN', 'India', 'SEARO', '9987', '266598', '331', '7466');
INSERT INTO public.who_import VALUES (40000, '2020-06-10', 'IN', 'India', 'SEARO', '9985', '276583', '279', '7745');
INSERT INTO public.who_import VALUES (40001, '2020-06-11', 'IN', 'India', 'SEARO', '9996', '286579', '357', '8102');
INSERT INTO public.who_import VALUES (40002, '2020-06-12', 'IN', 'India', 'SEARO', '10956', '297535', '396', '8498');
INSERT INTO public.who_import VALUES (40003, '2020-06-13', 'IN', 'India', 'SEARO', '11458', '308993', '386', '8884');
INSERT INTO public.who_import VALUES (40004, '2020-06-14', 'IN', 'India', 'SEARO', '11929', '320922', '311', '9195');
INSERT INTO public.who_import VALUES (40005, '2020-06-15', 'IN', 'India', 'SEARO', '11502', '332424', '325', '9520');
INSERT INTO public.who_import VALUES (40006, '2020-06-16', 'IN', 'India', 'SEARO', '10667', '343091', '380', '9900');
INSERT INTO public.who_import VALUES (40007, '2020-06-17', 'IN', 'India', 'SEARO', '10974', '354065', '2003', '11903');
INSERT INTO public.who_import VALUES (40008, '2020-06-18', 'IN', 'India', 'SEARO', '12881', '366946', '334', '12237');
INSERT INTO public.who_import VALUES (40009, '2020-06-19', 'IN', 'India', 'SEARO', '13586', '380532', '336', '12573');
INSERT INTO public.who_import VALUES (40010, '2020-06-20', 'IN', 'India', 'SEARO', '14516', '395048', '375', '12948');
INSERT INTO public.who_import VALUES (40011, '2020-06-21', 'IN', 'India', 'SEARO', '15413', '410461', '306', '13254');
INSERT INTO public.who_import VALUES (40012, '2020-06-22', 'IN', 'India', 'SEARO', '14821', '425282', '445', '13699');
INSERT INTO public.who_import VALUES (40013, '2020-06-23', 'IN', 'India', 'SEARO', '14933', '440215', '312', '14011');
INSERT INTO public.who_import VALUES (40014, '2020-06-24', 'IN', 'India', 'SEARO', '15968', '456183', '465', '14476');
INSERT INTO public.who_import VALUES (40015, '2020-06-25', 'IN', 'India', 'SEARO', '16922', '473105', '418', '14894');
INSERT INTO public.who_import VALUES (40016, '2020-06-26', 'IN', 'India', 'SEARO', '17296', '490401', '407', '15301');
INSERT INTO public.who_import VALUES (40017, '2020-06-27', 'IN', 'India', 'SEARO', '18552', '508953', '384', '15685');
INSERT INTO public.who_import VALUES (40018, '2020-06-28', 'IN', 'India', 'SEARO', '19906', '528859', '410', '16095');
INSERT INTO public.who_import VALUES (40019, '2020-06-29', 'IN', 'India', 'SEARO', '19459', '548318', '380', '16475');
INSERT INTO public.who_import VALUES (40020, '2020-06-30', 'IN', 'India', 'SEARO', '18522', '566840', '418', '16893');
INSERT INTO public.who_import VALUES (40021, '2020-07-01', 'IN', 'India', 'SEARO', '18653', '585493', '507', '17400');
INSERT INTO public.who_import VALUES (40022, '2020-07-02', 'IN', 'India', 'SEARO', '19148', '604641', '434', '17834');
INSERT INTO public.who_import VALUES (40023, '2020-07-03', 'IN', 'India', 'SEARO', '20903', '625544', '379', '18213');
INSERT INTO public.who_import VALUES (40024, '2020-07-04', 'IN', 'India', 'SEARO', '22771', '648315', '442', '18655');
INSERT INTO public.who_import VALUES (40025, '2020-07-05', 'IN', 'India', 'SEARO', '24850', '673165', '613', '19268');
INSERT INTO public.who_import VALUES (40026, '2020-07-06', 'IN', 'India', 'SEARO', '24248', '697413', '425', '19693');
INSERT INTO public.who_import VALUES (40027, '2020-07-07', 'IN', 'India', 'SEARO', '22252', '719665', '467', '20160');
INSERT INTO public.who_import VALUES (40028, '2020-07-08', 'IN', 'India', 'SEARO', '22752', '742417', '482', '20642');
INSERT INTO public.who_import VALUES (40029, '2020-07-09', 'IN', 'India', 'SEARO', '24879', '767296', '487', '21129');
INSERT INTO public.who_import VALUES (40030, '2020-07-10', 'IN', 'India', 'SEARO', '26506', '793802', '475', '21604');
INSERT INTO public.who_import VALUES (40031, '2020-07-11', 'IN', 'India', 'SEARO', '27114', '820916', '519', '22123');
INSERT INTO public.who_import VALUES (40032, '2020-07-12', 'IN', 'India', 'SEARO', '28637', '849553', '551', '22674');
INSERT INTO public.who_import VALUES (40033, '2020-07-13', 'IN', 'India', 'SEARO', '28701', '878254', '500', '23174');
INSERT INTO public.who_import VALUES (40034, '2020-07-14', 'IN', 'India', 'SEARO', '28498', '906752', '553', '23727');
INSERT INTO public.who_import VALUES (40035, '2020-07-15', 'IN', 'India', 'SEARO', '29429', '936181', '582', '24309');
INSERT INTO public.who_import VALUES (40036, '2020-07-16', 'IN', 'India', 'SEARO', '32695', '968876', '606', '24915');
INSERT INTO public.who_import VALUES (40037, '2020-07-17', 'IN', 'India', 'SEARO', '34956', '1003832', '687', '25602');
INSERT INTO public.who_import VALUES (40038, '2020-07-18', 'IN', 'India', 'SEARO', '34884', '1038716', '671', '26273');
INSERT INTO public.who_import VALUES (40039, '2020-07-19', 'IN', 'India', 'SEARO', '38902', '1077618', '543', '26816');
INSERT INTO public.who_import VALUES (40040, '2020-07-20', 'IN', 'India', 'SEARO', '40425', '1118043', '681', '27497');
INSERT INTO public.who_import VALUES (40041, '2020-07-21', 'IN', 'India', 'SEARO', '37148', '1155191', '587', '28084');
INSERT INTO public.who_import VALUES (40042, '2020-07-22', 'IN', 'India', 'SEARO', '37724', '1192915', '648', '28732');
INSERT INTO public.who_import VALUES (40043, '2020-07-23', 'IN', 'India', 'SEARO', '45720', '1238635', '1129', '29861');
INSERT INTO public.who_import VALUES (40044, '2020-07-24', 'IN', 'India', 'SEARO', '49310', '1287945', '740', '30601');
INSERT INTO public.who_import VALUES (40045, '2020-07-25', 'IN', 'India', 'SEARO', '48916', '1336861', '757', '31358');
INSERT INTO public.who_import VALUES (40046, '2020-07-26', 'IN', 'India', 'SEARO', '48661', '1385522', '705', '32063');
INSERT INTO public.who_import VALUES (40047, '2020-07-27', 'IN', 'India', 'SEARO', '49931', '1435453', '708', '32771');
INSERT INTO public.who_import VALUES (40048, '2020-07-28', 'IN', 'India', 'SEARO', '47703', '1483156', '654', '33425');
INSERT INTO public.who_import VALUES (40049, '2020-07-29', 'IN', 'India', 'SEARO', '48513', '1531669', '768', '34193');
INSERT INTO public.who_import VALUES (40050, '2020-07-30', 'IN', 'India', 'SEARO', '52123', '1583792', '775', '34968');
INSERT INTO public.who_import VALUES (40051, '2020-07-31', 'IN', 'India', 'SEARO', '55078', '1638870', '779', '35747');
INSERT INTO public.who_import VALUES (40052, '2020-08-01', 'IN', 'India', 'SEARO', '57118', '1695988', '764', '36511');
INSERT INTO public.who_import VALUES (40053, '2020-08-02', 'IN', 'India', 'SEARO', '54735', '1750723', '853', '37364');
INSERT INTO public.who_import VALUES (40054, '2020-08-03', 'IN', 'India', 'SEARO', '52972', '1803695', '771', '38135');
INSERT INTO public.who_import VALUES (40055, '2020-08-04', 'IN', 'India', 'SEARO', '52050', '1855745', '803', '38938');
INSERT INTO public.who_import VALUES (40056, '2020-08-05', 'IN', 'India', 'SEARO', '52509', '1908254', '857', '39795');
INSERT INTO public.who_import VALUES (40057, '2020-08-06', 'IN', 'India', 'SEARO', '56282', '1964536', '904', '40699');
INSERT INTO public.who_import VALUES (40058, '2020-08-07', 'IN', 'India', 'SEARO', '62538', '2027074', '886', '41585');
INSERT INTO public.who_import VALUES (40059, '2020-08-08', 'IN', 'India', 'SEARO', '61537', '2088611', '933', '42518');
INSERT INTO public.who_import VALUES (40060, '2020-08-09', 'IN', 'India', 'SEARO', '64399', '2153010', '861', '43379');
INSERT INTO public.who_import VALUES (40061, '2020-08-10', 'IN', 'India', 'SEARO', '62064', '2215074', '1007', '44386');
INSERT INTO public.who_import VALUES (40062, '2020-08-11', 'IN', 'India', 'SEARO', '53601', '2268675', '871', '45257');
INSERT INTO public.who_import VALUES (40063, '2020-08-12', 'IN', 'India', 'SEARO', '60963', '2329638', '834', '46091');
INSERT INTO public.who_import VALUES (40064, '2020-08-13', 'IN', 'India', 'SEARO', '66999', '2396637', '942', '47033');
INSERT INTO public.who_import VALUES (40065, '2020-08-14', 'IN', 'India', 'SEARO', '64553', '2461190', '1007', '48040');
INSERT INTO public.who_import VALUES (40066, '2020-08-15', 'IN', 'India', 'SEARO', '65002', '2526192', '996', '49036');
INSERT INTO public.who_import VALUES (40067, '2020-08-16', 'IN', 'India', 'SEARO', '63490', '2589682', '944', '49980');
INSERT INTO public.who_import VALUES (40068, '2020-08-17', 'IN', 'India', 'SEARO', '57981', '2647663', '941', '50921');
INSERT INTO public.who_import VALUES (40069, '2020-08-18', 'IN', 'India', 'SEARO', '55079', '2702742', '876', '51797');
INSERT INTO public.who_import VALUES (40070, '2020-08-19', 'IN', 'India', 'SEARO', '64531', '2767273', '1092', '52889');
INSERT INTO public.who_import VALUES (40071, '2020-08-20', 'IN', 'India', 'SEARO', '69652', '2836925', '977', '53866');
INSERT INTO public.who_import VALUES (40072, '2020-08-21', 'IN', 'India', 'SEARO', '68898', '2905823', '983', '54849');
INSERT INTO public.who_import VALUES (40073, '2020-08-22', 'IN', 'India', 'SEARO', '69878', '2975701', '945', '55794');
INSERT INTO public.who_import VALUES (40074, '2020-08-23', 'IN', 'India', 'SEARO', '69239', '3044940', '912', '56706');
INSERT INTO public.who_import VALUES (40075, '2020-08-24', 'IN', 'India', 'SEARO', '61408', '3106348', '836', '57542');
INSERT INTO public.who_import VALUES (40076, '2020-08-25', 'IN', 'India', 'SEARO', '60975', '3167323', '848', '58390');
INSERT INTO public.who_import VALUES (40077, '2020-08-26', 'IN', 'India', 'SEARO', '67151', '3234474', '1059', '59449');
INSERT INTO public.who_import VALUES (40078, '2020-08-27', 'IN', 'India', 'SEARO', '75760', '3310234', '1023', '60472');
INSERT INTO public.who_import VALUES (40079, '2020-08-28', 'IN', 'India', 'SEARO', '77266', '3387500', '1057', '61529');
INSERT INTO public.who_import VALUES (40080, '2020-08-29', 'IN', 'India', 'SEARO', '76472', '3463972', '1021', '62550');
INSERT INTO public.who_import VALUES (40081, '2020-08-30', 'IN', 'India', 'SEARO', '78761', '3542733', '948', '63498');
INSERT INTO public.who_import VALUES (40082, '2020-08-31', 'IN', 'India', 'SEARO', '78512', '3621245', '971', '64469');
INSERT INTO public.who_import VALUES (40083, '2020-09-01', 'IN', 'India', 'SEARO', '69921', '3691166', '819', '65288');
INSERT INTO public.who_import VALUES (40084, '2020-09-02', 'IN', 'India', 'SEARO', '78357', '3769523', '1045', '66333');
INSERT INTO public.who_import VALUES (40085, '2020-09-03', 'IN', 'India', 'SEARO', '83883', '3853406', '1043', '67376');
INSERT INTO public.who_import VALUES (40086, '2020-09-04', 'IN', 'India', 'SEARO', '83341', '3936747', '1096', '68472');
INSERT INTO public.who_import VALUES (40087, '2020-09-05', 'IN', 'India', 'SEARO', '86432', '4023179', '1089', '69561');
INSERT INTO public.who_import VALUES (40088, '2020-09-06', 'IN', 'India', 'SEARO', '90632', '4113811', '1065', '70626');
INSERT INTO public.who_import VALUES (40089, '2020-09-07', 'IN', 'India', 'SEARO', '90802', '4204613', '1016', '71642');
INSERT INTO public.who_import VALUES (40090, '2020-09-08', 'IN', 'India', 'SEARO', '75809', '4280422', '1133', '72775');
INSERT INTO public.who_import VALUES (40091, '2020-09-09', 'IN', 'India', 'SEARO', '89706', '4370128', '1115', '73890');
INSERT INTO public.who_import VALUES (40092, '2020-09-10', 'IN', 'India', 'SEARO', '95735', '4465863', '1172', '75062');
INSERT INTO public.who_import VALUES (40093, '2020-09-11', 'IN', 'India', 'SEARO', '96551', '4562414', '1209', '76271');
INSERT INTO public.who_import VALUES (40094, '2020-09-12', 'IN', 'India', 'SEARO', '97570', '4659984', '1201', '77472');
INSERT INTO public.who_import VALUES (40095, '2020-09-13', 'IN', 'India', 'SEARO', '94372', '4754356', '1114', '78586');
INSERT INTO public.who_import VALUES (40096, '2020-09-14', 'IN', 'India', 'SEARO', '92071', '4846427', '1136', '79722');
INSERT INTO public.who_import VALUES (40097, '2020-09-15', 'IN', 'India', 'SEARO', '83809', '4930236', '1054', '80776');
INSERT INTO public.who_import VALUES (40098, '2020-09-16', 'IN', 'India', 'SEARO', '90123', '5020359', '1290', '82066');
INSERT INTO public.who_import VALUES (40099, '2020-09-17', 'IN', 'India', 'SEARO', '97894', '5118253', '1132', '83198');
INSERT INTO public.who_import VALUES (40100, '2020-09-18', 'IN', 'India', 'SEARO', '96424', '5214677', '1174', '84372');
INSERT INTO public.who_import VALUES (40101, '2020-09-19', 'IN', 'India', 'SEARO', '93337', '5308014', '1247', '85619');
INSERT INTO public.who_import VALUES (40102, '2020-09-20', 'IN', 'India', 'SEARO', '92605', '5400619', '1133', '86752');
INSERT INTO public.who_import VALUES (40103, '2020-09-21', 'IN', 'India', 'SEARO', '86961', '5487580', '1130', '87882');
INSERT INTO public.who_import VALUES (40104, '2020-09-22', 'IN', 'India', 'SEARO', '75083', '5562663', '1053', '88935');
INSERT INTO public.who_import VALUES (40105, '2020-09-23', 'IN', 'India', 'SEARO', '83347', '5646010', '1085', '90020');
INSERT INTO public.who_import VALUES (40106, '2020-09-24', 'IN', 'India', 'SEARO', '86508', '5732518', '1129', '91149');
INSERT INTO public.who_import VALUES (40107, '2020-09-25', 'IN', 'India', 'SEARO', '86052', '5818570', '1141', '92290');
INSERT INTO public.who_import VALUES (40108, '2020-09-26', 'IN', 'India', 'SEARO', '85362', '5903932', '1089', '93379');
INSERT INTO public.who_import VALUES (40109, '2020-09-27', 'IN', 'India', 'SEARO', '88600', '5992532', '1124', '94503');
INSERT INTO public.who_import VALUES (40110, '2020-09-28', 'IN', 'India', 'SEARO', '82170', '6074702', '1039', '95542');
INSERT INTO public.who_import VALUES (40111, '2020-09-29', 'IN', 'India', 'SEARO', '70589', '6145291', '776', '96318');
INSERT INTO public.who_import VALUES (40112, '2020-09-30', 'IN', 'India', 'SEARO', '80472', '6225763', '1179', '97497');
INSERT INTO public.who_import VALUES (40113, '2020-10-01', 'IN', 'India', 'SEARO', '86821', '6312584', '1181', '98678');
INSERT INTO public.who_import VALUES (40114, '2020-10-02', 'IN', 'India', 'SEARO', '81484', '6394068', '1095', '99773');
INSERT INTO public.who_import VALUES (40115, '2020-10-03', 'IN', 'India', 'SEARO', '79476', '6473544', '1069', '100842');
INSERT INTO public.who_import VALUES (40116, '2020-10-04', 'IN', 'India', 'SEARO', '75829', '6549373', '940', '101782');
INSERT INTO public.who_import VALUES (40117, '2020-10-05', 'IN', 'India', 'SEARO', '74442', '6623815', '903', '102685');
INSERT INTO public.who_import VALUES (40118, '2020-10-06', 'IN', 'India', 'SEARO', '61267', '6685082', '884', '103569');
INSERT INTO public.who_import VALUES (40119, '2020-10-07', 'IN', 'India', 'SEARO', '72049', '6757131', '986', '104555');
INSERT INTO public.who_import VALUES (40120, '2020-10-08', 'IN', 'India', 'SEARO', '78524', '6835655', '971', '105526');
INSERT INTO public.who_import VALUES (40121, '2020-10-09', 'IN', 'India', 'SEARO', '70496', '6906151', '964', '106490');
INSERT INTO public.who_import VALUES (40122, '2020-10-10', 'IN', 'India', 'SEARO', '73272', '6979423', '926', '107416');
INSERT INTO public.who_import VALUES (40123, '2020-10-11', 'IN', 'India', 'SEARO', '74383', '7053806', '918', '108334');
INSERT INTO public.who_import VALUES (40124, '2020-10-12', 'IN', 'India', 'SEARO', '66732', '7120538', '816', '109150');
INSERT INTO public.who_import VALUES (40125, '2020-10-13', 'IN', 'India', 'SEARO', '55342', '7175880', '706', '109856');
INSERT INTO public.who_import VALUES (40126, '2020-10-14', 'IN', 'India', 'SEARO', '63509', '7239389', '730', '110586');
INSERT INTO public.who_import VALUES (40127, '2020-10-15', 'IN', 'India', 'SEARO', '67708', '7307097', '680', '111266');
INSERT INTO public.who_import VALUES (40128, '2020-10-16', 'IN', 'India', 'SEARO', '63371', '7370468', '895', '112161');
INSERT INTO public.who_import VALUES (40129, '2020-10-17', 'IN', 'India', 'SEARO', '62212', '7432680', '837', '112998');
INSERT INTO public.who_import VALUES (40130, '2020-10-18', 'IN', 'India', 'SEARO', '61871', '7494551', '1033', '114031');
INSERT INTO public.who_import VALUES (40131, '2020-10-19', 'IN', 'India', 'SEARO', '55722', '7550273', '579', '114610');
INSERT INTO public.who_import VALUES (40132, '2020-10-20', 'IN', 'India', 'SEARO', '46790', '7597063', '587', '115197');
INSERT INTO public.who_import VALUES (40133, '2020-10-21', 'IN', 'India', 'SEARO', '54044', '7651107', '717', '115914');
INSERT INTO public.who_import VALUES (40134, '2020-10-22', 'IN', 'India', 'SEARO', '55839', '7706946', '702', '116616');
INSERT INTO public.who_import VALUES (40135, '2020-10-23', 'IN', 'India', 'SEARO', '54366', '7761312', '690', '117306');
INSERT INTO public.who_import VALUES (40136, '2020-10-24', 'IN', 'India', 'SEARO', '53370', '7814682', '650', '117956');
INSERT INTO public.who_import VALUES (40137, '2020-10-25', 'IN', 'India', 'SEARO', '50129', '7864811', '578', '118534');
INSERT INTO public.who_import VALUES (40138, '2020-10-26', 'IN', 'India', 'SEARO', '45148', '7909959', '480', '119014');
INSERT INTO public.who_import VALUES (40139, '2020-10-27', 'IN', 'India', 'SEARO', '36470', '7946429', '488', '119502');
INSERT INTO public.who_import VALUES (40140, '2020-10-28', 'IN', 'India', 'SEARO', '43893', '7990322', '508', '120010');
INSERT INTO public.who_import VALUES (40141, '2020-10-29', 'IN', 'India', 'SEARO', '49881', '8040203', '517', '120527');
INSERT INTO public.who_import VALUES (40142, '2020-10-30', 'IN', 'India', 'SEARO', '48648', '8088851', '563', '121090');
INSERT INTO public.who_import VALUES (40143, '2020-10-31', 'IN', 'India', 'SEARO', '48268', '8137119', '551', '121641');
INSERT INTO public.who_import VALUES (40144, '2020-11-01', 'IN', 'India', 'SEARO', '46963', '8184082', '470', '122111');
INSERT INTO public.who_import VALUES (40145, '2020-11-02', 'IN', 'India', 'SEARO', '45231', '8229313', '496', '122607');
INSERT INTO public.who_import VALUES (40146, '2020-11-03', 'IN', 'India', 'SEARO', '38310', '8267623', '490', '123097');
INSERT INTO public.who_import VALUES (40147, '2020-11-04', 'IN', 'India', 'SEARO', '46253', '8313876', '514', '123611');
INSERT INTO public.who_import VALUES (40148, '2020-11-05', 'IN', 'India', 'SEARO', '50210', '8364086', '704', '124315');
INSERT INTO public.who_import VALUES (40149, '2020-11-06', 'IN', 'India', 'SEARO', '47638', '8411724', '670', '124985');
INSERT INTO public.who_import VALUES (40150, '2020-11-07', 'IN', 'India', 'SEARO', '50356', '8462080', '577', '125562');
INSERT INTO public.who_import VALUES (40151, '2020-11-08', 'IN', 'India', 'SEARO', '45674', '8507754', '559', '126121');
INSERT INTO public.who_import VALUES (40152, '2020-11-09', 'IN', 'India', 'SEARO', '45903', '8553657', '490', '126611');
INSERT INTO public.who_import VALUES (40153, '2020-11-10', 'IN', 'India', 'SEARO', '38073', '8591730', '448', '127059');
INSERT INTO public.who_import VALUES (40154, '2020-11-11', 'IN', 'India', 'SEARO', '44281', '8636011', '512', '127571');
INSERT INTO public.who_import VALUES (40155, '2020-11-12', 'IN', 'India', 'SEARO', '47905', '8683916', '550', '128121');
INSERT INTO public.who_import VALUES (40156, '2020-11-13', 'IN', 'India', 'SEARO', '44879', '8728795', '547', '128668');
INSERT INTO public.who_import VALUES (40157, '2020-11-14', 'IN', 'India', 'SEARO', '44684', '8773479', '520', '129188');
INSERT INTO public.who_import VALUES (40158, '2020-11-15', 'IN', 'India', 'SEARO', '41100', '8814579', '447', '129635');
INSERT INTO public.who_import VALUES (40159, '2020-11-16', 'IN', 'India', 'SEARO', '30548', '8845127', '435', '130070');
INSERT INTO public.who_import VALUES (40160, '2020-11-17', 'IN', 'India', 'SEARO', '29163', '8874290', '449', '130519');
INSERT INTO public.who_import VALUES (40161, '2020-11-18', 'IN', 'India', 'SEARO', '38617', '8912907', '474', '130993');
INSERT INTO public.who_import VALUES (40162, '2020-11-19', 'IN', 'India', 'SEARO', '45576', '8958483', '585', '131578');
INSERT INTO public.who_import VALUES (40163, '2020-11-20', 'IN', 'India', 'SEARO', '45882', '9004365', '584', '132162');
INSERT INTO public.who_import VALUES (40164, '2020-11-21', 'IN', 'India', 'SEARO', '46232', '9050597', '564', '132726');
INSERT INTO public.who_import VALUES (40165, '2020-11-22', 'IN', 'India', 'SEARO', '45209', '9095806', '501', '133227');
INSERT INTO public.who_import VALUES (40166, '2020-11-23', 'IN', 'India', 'SEARO', '44059', '9139865', '511', '133738');
INSERT INTO public.who_import VALUES (40167, '2020-11-24', 'IN', 'India', 'SEARO', '37975', '9177840', '480', '134218');
INSERT INTO public.who_import VALUES (40168, '2020-11-25', 'IN', 'India', 'SEARO', '44376', '9222216', '481', '134699');
INSERT INTO public.who_import VALUES (40169, '2020-11-26', 'IN', 'India', 'SEARO', '44489', '9266705', '524', '135223');
INSERT INTO public.who_import VALUES (40170, '2020-11-27', 'IN', 'India', 'SEARO', '43082', '9309787', '492', '135715');
INSERT INTO public.who_import VALUES (40171, '2020-11-28', 'IN', 'India', 'SEARO', '41322', '9351109', '485', '136200');
INSERT INTO public.who_import VALUES (40172, '2020-11-29', 'IN', 'India', 'SEARO', '41810', '9392919', '496', '136696');
INSERT INTO public.who_import VALUES (40173, '2020-11-30', 'IN', 'India', 'SEARO', '38772', '9431691', '443', '137139');
INSERT INTO public.who_import VALUES (40174, '2020-12-01', 'IN', 'India', 'SEARO', '31118', '9462809', '482', '137621');
INSERT INTO public.who_import VALUES (40175, '2020-12-02', 'IN', 'India', 'SEARO', '36604', '9499413', '501', '138122');
INSERT INTO public.who_import VALUES (40176, '2020-12-03', 'IN', 'India', 'SEARO', '35551', '9534964', '526', '138648');
INSERT INTO public.who_import VALUES (40177, '2020-12-04', 'IN', 'India', 'SEARO', '36595', '9571559', '540', '139188');
INSERT INTO public.who_import VALUES (40178, '2020-12-05', 'IN', 'India', 'SEARO', '36652', '9608211', '512', '139700');
INSERT INTO public.who_import VALUES (40179, '2020-12-06', 'IN', 'India', 'SEARO', '36011', '9644222', '482', '140182');
INSERT INTO public.who_import VALUES (40180, '2020-12-07', 'IN', 'India', 'SEARO', '32981', '9677203', '391', '140573');
INSERT INTO public.who_import VALUES (40181, '2020-12-08', 'IN', 'India', 'SEARO', '26567', '9703770', '385', '140958');
INSERT INTO public.who_import VALUES (40182, '2020-12-09', 'IN', 'India', 'SEARO', '32080', '9735850', '402', '141360');
INSERT INTO public.who_import VALUES (40183, '2020-12-10', 'IN', 'India', 'SEARO', '31521', '9767371', '412', '141772');
INSERT INTO public.who_import VALUES (40184, '2020-12-11', 'IN', 'India', 'SEARO', '29398', '9796769', '414', '142186');
INSERT INTO public.who_import VALUES (40185, '2020-12-12', 'IN', 'India', 'SEARO', '30006', '9826775', '442', '142628');
INSERT INTO public.who_import VALUES (40186, '2020-12-13', 'IN', 'India', 'SEARO', '30254', '9857029', '391', '143019');
INSERT INTO public.who_import VALUES (40187, '2020-12-14', 'IN', 'India', 'SEARO', '27071', '9884100', '336', '143355');
INSERT INTO public.who_import VALUES (40188, '2020-12-15', 'IN', 'India', 'SEARO', '22065', '9906165', '354', '143709');
INSERT INTO public.who_import VALUES (40189, '2020-12-16', 'IN', 'India', 'SEARO', '26382', '9932547', '387', '144096');
INSERT INTO public.who_import VALUES (40190, '2020-12-17', 'IN', 'India', 'SEARO', '24010', '9956557', '355', '144451');
INSERT INTO public.who_import VALUES (40191, '2020-12-18', 'IN', 'India', 'SEARO', '22890', '9979447', '338', '144789');
INSERT INTO public.who_import VALUES (40192, '2020-12-19', 'IN', 'India', 'SEARO', '25152', '10004599', '347', '145136');
INSERT INTO public.who_import VALUES (40193, '2020-12-20', 'IN', 'India', 'SEARO', '26624', '10031223', '341', '145477');
INSERT INTO public.who_import VALUES (40194, '2020-12-21', 'IN', 'India', 'SEARO', '24337', '10055560', '333', '145810');
INSERT INTO public.who_import VALUES (40195, '2020-12-22', 'IN', 'India', 'SEARO', '19556', '10075116', '301', '146111');
INSERT INTO public.who_import VALUES (40196, '2020-12-23', 'IN', 'India', 'SEARO', '23950', '10099066', '333', '146444');
INSERT INTO public.who_import VALUES (40197, '2020-12-24', 'IN', 'India', 'SEARO', '24712', '10123778', '312', '146756');
INSERT INTO public.who_import VALUES (40198, '2020-12-25', 'IN', 'India', 'SEARO', '23067', '10146845', '336', '147092');
INSERT INTO public.who_import VALUES (40199, '2020-12-26', 'IN', 'India', 'SEARO', '22273', '10169118', '251', '147343');
INSERT INTO public.who_import VALUES (40200, '2020-12-27', 'IN', 'India', 'SEARO', '18732', '10187850', '279', '147622');
INSERT INTO public.who_import VALUES (40201, '2020-12-28', 'IN', 'India', 'SEARO', '20021', '10207871', '279', '147901');
INSERT INTO public.who_import VALUES (40202, '2020-12-29', 'IN', 'India', 'SEARO', '16432', '10224303', '252', '148153');
INSERT INTO public.who_import VALUES (40203, '2020-12-30', 'IN', 'India', 'SEARO', '20549', '10244852', '286', '148439');
INSERT INTO public.who_import VALUES (40204, '2020-12-31', 'IN', 'India', 'SEARO', '21822', '10266674', '299', '148738');
INSERT INTO public.who_import VALUES (40205, '2021-01-01', 'IN', 'India', 'SEARO', '20035', '10286709', '256', '148994');
INSERT INTO public.who_import VALUES (40206, '2021-01-02', 'IN', 'India', 'SEARO', '19079', '10305788', '224', '149218');
INSERT INTO public.who_import VALUES (40207, '2021-01-03', 'IN', 'India', 'SEARO', '18177', '10323965', '217', '149435');
INSERT INTO public.who_import VALUES (40208, '2021-01-04', 'IN', 'India', 'SEARO', '16504', '10340469', '214', '149649');
INSERT INTO public.who_import VALUES (40209, '2021-01-05', 'IN', 'India', 'SEARO', '16375', '10356844', '201', '149850');
INSERT INTO public.who_import VALUES (40210, '2021-01-06', 'IN', 'India', 'SEARO', '18088', '10374932', '264', '150114');
INSERT INTO public.who_import VALUES (40211, '2021-01-07', 'IN', 'India', 'SEARO', '20346', '10395278', '222', '150336');
INSERT INTO public.who_import VALUES (40212, '2021-01-08', 'IN', 'India', 'SEARO', '18139', '10413417', '234', '150570');
INSERT INTO public.who_import VALUES (40213, '2021-01-09', 'IN', 'India', 'SEARO', '0', '10413417', '0', '150570');
INSERT INTO public.who_import VALUES (40214, '2021-01-10', 'IN', 'India', 'SEARO', '36867', '10450284', '429', '150999');
INSERT INTO public.who_import VALUES (40215, '2021-01-11', 'IN', 'India', 'SEARO', '16311', '10466595', '161', '151160');
INSERT INTO public.who_import VALUES (40216, '2021-01-12', 'IN', 'India', 'SEARO', '12584', '10479179', '167', '151327');
INSERT INTO public.who_import VALUES (40217, '2021-01-13', 'IN', 'India', 'SEARO', '15968', '10495147', '202', '151529');
INSERT INTO public.who_import VALUES (40218, '2021-01-14', 'IN', 'India', 'SEARO', '16946', '10512093', '198', '151727');
INSERT INTO public.who_import VALUES (40219, '2021-01-15', 'IN', 'India', 'SEARO', '15590', '10527683', '191', '151918');
INSERT INTO public.who_import VALUES (40220, '2021-01-16', 'IN', 'India', 'SEARO', '15158', '10542841', '175', '152093');
INSERT INTO public.who_import VALUES (40221, '2021-01-17', 'IN', 'India', 'SEARO', '15144', '10557985', '181', '152274');
INSERT INTO public.who_import VALUES (40222, '2021-01-18', 'IN', 'India', 'SEARO', '13788', '10571773', '145', '152419');
INSERT INTO public.who_import VALUES (40223, '2021-01-19', 'IN', 'India', 'SEARO', '10064', '10581837', '137', '152556');
INSERT INTO public.who_import VALUES (40224, '2021-01-20', 'IN', 'India', 'SEARO', '13823', '10595660', '162', '152718');
INSERT INTO public.who_import VALUES (40225, '2021-01-21', 'IN', 'India', 'SEARO', '15223', '10610883', '151', '152869');
INSERT INTO public.who_import VALUES (40226, '2021-01-22', 'IN', 'India', 'SEARO', '14545', '10625428', '163', '153032');
INSERT INTO public.who_import VALUES (40227, '2021-01-23', 'IN', 'India', 'SEARO', '14256', '10639684', '152', '153184');
INSERT INTO public.who_import VALUES (40228, '2021-01-24', 'IN', 'India', 'SEARO', '14849', '10654533', '155', '153339');
INSERT INTO public.who_import VALUES (40229, '2021-01-25', 'IN', 'India', 'SEARO', '13203', '10667736', '131', '153470');
INSERT INTO public.who_import VALUES (40230, '2021-01-26', 'IN', 'India', 'SEARO', '9102', '10676838', '117', '153587');
INSERT INTO public.who_import VALUES (40231, '2021-01-27', 'IN', 'India', 'SEARO', '12689', '10689527', '137', '153724');
INSERT INTO public.who_import VALUES (40232, '2021-01-28', 'IN', 'India', 'SEARO', '11666', '10701193', '123', '153847');
INSERT INTO public.who_import VALUES (40233, '2021-01-29', 'IN', 'India', 'SEARO', '18855', '10720048', '163', '154010');
INSERT INTO public.who_import VALUES (40234, '2021-01-30', 'IN', 'India', 'SEARO', '13083', '10733131', '137', '154147');
INSERT INTO public.who_import VALUES (40235, '2021-01-31', 'IN', 'India', 'SEARO', '13052', '10746183', '127', '154274');
INSERT INTO public.who_import VALUES (40236, '2021-02-01', 'IN', 'India', 'SEARO', '11427', '10757610', '118', '154392');
INSERT INTO public.who_import VALUES (40237, '2021-02-02', 'IN', 'India', 'SEARO', '8635', '10766245', '94', '154486');
INSERT INTO public.who_import VALUES (40238, '2021-02-03', 'IN', 'India', 'SEARO', '11039', '10777284', '110', '154596');
INSERT INTO public.who_import VALUES (40239, '2021-02-04', 'IN', 'India', 'SEARO', '12899', '10790183', '107', '154703');
INSERT INTO public.who_import VALUES (40240, '2021-02-05', 'IN', 'India', 'SEARO', '12408', '10802591', '120', '154823');
INSERT INTO public.who_import VALUES (40241, '2021-02-06', 'IN', 'India', 'SEARO', '11713', '10814304', '95', '154918');
INSERT INTO public.who_import VALUES (40242, '2021-02-07', 'IN', 'India', 'SEARO', '12059', '10826363', '78', '154996');
INSERT INTO public.who_import VALUES (40243, '2021-02-08', 'IN', 'India', 'SEARO', '11831', '10838194', '84', '155080');
INSERT INTO public.who_import VALUES (40244, '2021-02-09', 'IN', 'India', 'SEARO', '9110', '10847304', '78', '155158');
INSERT INTO public.who_import VALUES (40245, '2021-02-10', 'IN', 'India', 'SEARO', '11067', '10858371', '94', '155252');
INSERT INTO public.who_import VALUES (40246, '2021-02-11', 'IN', 'India', 'SEARO', '12923', '10871294', '108', '155360');
INSERT INTO public.who_import VALUES (40247, '2021-02-12', 'IN', 'India', 'SEARO', '9309', '10880603', '87', '155447');
INSERT INTO public.who_import VALUES (40248, '2021-02-13', 'IN', 'India', 'SEARO', '12143', '10892746', '103', '155550');
INSERT INTO public.who_import VALUES (40249, '2021-02-14', 'IN', 'India', 'SEARO', '12194', '10904940', '92', '155642');
INSERT INTO public.who_import VALUES (40250, '2021-02-15', 'IN', 'India', 'SEARO', '11649', '10916589', '90', '155732');
INSERT INTO public.who_import VALUES (40251, '2021-02-16', 'IN', 'India', 'SEARO', '9121', '10925710', '81', '155813');
INSERT INTO public.who_import VALUES (40252, '2021-02-17', 'IN', 'India', 'SEARO', '11610', '10937320', '100', '155913');
INSERT INTO public.who_import VALUES (40253, '2021-02-18', 'IN', 'India', 'SEARO', '12881', '10950201', '101', '156014');
INSERT INTO public.who_import VALUES (40254, '2021-02-19', 'IN', 'India', 'SEARO', '13193', '10963394', '97', '156111');
INSERT INTO public.who_import VALUES (40255, '2021-02-20', 'IN', 'India', 'SEARO', '13993', '10977387', '101', '156212');
INSERT INTO public.who_import VALUES (40256, '2020-01-03', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40257, '2020-01-04', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40258, '2020-01-05', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40259, '2020-01-06', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40260, '2020-01-07', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40261, '2020-01-08', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40262, '2020-01-09', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40263, '2020-01-10', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40264, '2020-01-11', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40265, '2020-01-12', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40266, '2020-01-13', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40267, '2020-01-14', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40268, '2020-01-15', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40269, '2020-01-16', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40270, '2020-01-17', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40271, '2020-01-18', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40272, '2020-01-19', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40273, '2020-01-20', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40274, '2020-01-21', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40275, '2020-01-22', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40276, '2020-01-23', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40277, '2020-01-24', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40278, '2020-01-25', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40279, '2020-01-26', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40280, '2020-01-27', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40281, '2020-01-28', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40282, '2020-01-29', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40283, '2020-01-30', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40284, '2020-01-31', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40285, '2020-02-01', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40286, '2020-02-02', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40287, '2020-02-03', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40288, '2020-02-04', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40289, '2020-02-05', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40290, '2020-02-06', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40291, '2020-02-07', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40292, '2020-02-08', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40293, '2020-02-09', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40294, '2020-02-10', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40295, '2020-02-11', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40296, '2020-02-12', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40297, '2020-02-13', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40298, '2020-02-14', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40299, '2020-02-15', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40300, '2020-02-16', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40301, '2020-02-17', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40302, '2020-02-18', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40303, '2020-02-19', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40304, '2020-02-20', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40305, '2020-02-21', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40306, '2020-02-22', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40307, '2020-02-23', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40308, '2020-02-24', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40309, '2020-02-25', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40310, '2020-02-26', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40311, '2020-02-27', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40312, '2020-02-28', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40313, '2020-02-29', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40314, '2020-03-01', 'ID', 'Indonesia', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40315, '2020-03-02', 'ID', 'Indonesia', 'SEARO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (40316, '2020-03-03', 'ID', 'Indonesia', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (40317, '2020-03-04', 'ID', 'Indonesia', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (40318, '2020-03-05', 'ID', 'Indonesia', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (40319, '2020-03-06', 'ID', 'Indonesia', 'SEARO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (40320, '2020-03-07', 'ID', 'Indonesia', 'SEARO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (40321, '2020-03-08', 'ID', 'Indonesia', 'SEARO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (40322, '2020-03-09', 'ID', 'Indonesia', 'SEARO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (40323, '2020-03-10', 'ID', 'Indonesia', 'SEARO', '13', '23', '0', '0');
INSERT INTO public.who_import VALUES (40324, '2020-03-11', 'ID', 'Indonesia', 'SEARO', '8', '31', '1', '1');
INSERT INTO public.who_import VALUES (40325, '2020-03-12', 'ID', 'Indonesia', 'SEARO', '7', '38', '0', '1');
INSERT INTO public.who_import VALUES (40326, '2020-03-13', 'ID', 'Indonesia', 'SEARO', '35', '73', '3', '4');
INSERT INTO public.who_import VALUES (40327, '2020-03-14', 'ID', 'Indonesia', 'SEARO', '0', '73', '0', '4');
INSERT INTO public.who_import VALUES (40328, '2020-03-15', 'ID', 'Indonesia', 'SEARO', '48', '121', '0', '4');
INSERT INTO public.who_import VALUES (40329, '2020-03-16', 'ID', 'Indonesia', 'SEARO', '55', '176', '1', '5');
INSERT INTO public.who_import VALUES (40330, '2020-03-17', 'ID', 'Indonesia', 'SEARO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (40331, '2020-03-18', 'ID', 'Indonesia', 'SEARO', '55', '231', '14', '19');
INSERT INTO public.who_import VALUES (40332, '2020-03-19', 'ID', 'Indonesia', 'SEARO', '78', '309', '6', '25');
INSERT INTO public.who_import VALUES (40333, '2020-03-20', 'ID', 'Indonesia', 'SEARO', '60', '369', '7', '32');
INSERT INTO public.who_import VALUES (40334, '2020-03-21', 'ID', 'Indonesia', 'SEARO', '81', '450', '6', '38');
INSERT INTO public.who_import VALUES (40335, '2020-03-22', 'ID', 'Indonesia', 'SEARO', '64', '514', '10', '48');
INSERT INTO public.who_import VALUES (40336, '2020-03-23', 'ID', 'Indonesia', 'SEARO', '65', '579', '1', '49');
INSERT INTO public.who_import VALUES (40337, '2020-03-24', 'ID', 'Indonesia', 'SEARO', '0', '579', '0', '49');
INSERT INTO public.who_import VALUES (40338, '2020-03-25', 'ID', 'Indonesia', 'SEARO', '211', '790', '9', '58');
INSERT INTO public.who_import VALUES (40339, '2020-03-26', 'ID', 'Indonesia', 'SEARO', '103', '893', '20', '78');
INSERT INTO public.who_import VALUES (40340, '2020-03-27', 'ID', 'Indonesia', 'SEARO', '153', '1046', '9', '87');
INSERT INTO public.who_import VALUES (40341, '2020-03-28', 'ID', 'Indonesia', 'SEARO', '0', '1046', '0', '87');
INSERT INTO public.who_import VALUES (40342, '2020-03-29', 'ID', 'Indonesia', 'SEARO', '239', '1285', '27', '114');
INSERT INTO public.who_import VALUES (40343, '2020-03-30', 'ID', 'Indonesia', 'SEARO', '129', '1414', '8', '122');
INSERT INTO public.who_import VALUES (40344, '2020-03-31', 'ID', 'Indonesia', 'SEARO', '114', '1528', '14', '136');
INSERT INTO public.who_import VALUES (40345, '2020-04-01', 'ID', 'Indonesia', 'SEARO', '149', '1677', '21', '157');
INSERT INTO public.who_import VALUES (40346, '2020-04-02', 'ID', 'Indonesia', 'SEARO', '113', '1790', '13', '170');
INSERT INTO public.who_import VALUES (40347, '2020-04-03', 'ID', 'Indonesia', 'SEARO', '196', '1986', '11', '181');
INSERT INTO public.who_import VALUES (40348, '2020-04-04', 'ID', 'Indonesia', 'SEARO', '106', '2092', '10', '191');
INSERT INTO public.who_import VALUES (40349, '2020-04-05', 'ID', 'Indonesia', 'SEARO', '181', '2273', '7', '198');
INSERT INTO public.who_import VALUES (40350, '2020-04-06', 'ID', 'Indonesia', 'SEARO', '218', '2491', '11', '209');
INSERT INTO public.who_import VALUES (40351, '2020-04-07', 'ID', 'Indonesia', 'SEARO', '247', '2738', '12', '221');
INSERT INTO public.who_import VALUES (40352, '2020-04-08', 'ID', 'Indonesia', 'SEARO', '218', '2956', '19', '240');
INSERT INTO public.who_import VALUES (40353, '2020-04-09', 'ID', 'Indonesia', 'SEARO', '337', '3293', '40', '280');
INSERT INTO public.who_import VALUES (40354, '2020-04-10', 'ID', 'Indonesia', 'SEARO', '219', '3512', '26', '306');
INSERT INTO public.who_import VALUES (40355, '2020-04-11', 'ID', 'Indonesia', 'SEARO', '330', '3842', '21', '327');
INSERT INTO public.who_import VALUES (40356, '2020-04-12', 'ID', 'Indonesia', 'SEARO', '399', '4241', '46', '373');
INSERT INTO public.who_import VALUES (40357, '2020-04-13', 'ID', 'Indonesia', 'SEARO', '316', '4557', '26', '399');
INSERT INTO public.who_import VALUES (40358, '2020-04-14', 'ID', 'Indonesia', 'SEARO', '282', '4839', '60', '459');
INSERT INTO public.who_import VALUES (40359, '2020-04-15', 'ID', 'Indonesia', 'SEARO', '297', '5136', '10', '469');
INSERT INTO public.who_import VALUES (40360, '2020-04-16', 'ID', 'Indonesia', 'SEARO', '380', '5516', '27', '496');
INSERT INTO public.who_import VALUES (40361, '2020-04-17', 'ID', 'Indonesia', 'SEARO', '407', '5923', '24', '520');
INSERT INTO public.who_import VALUES (40362, '2020-04-18', 'ID', 'Indonesia', 'SEARO', '325', '6248', '15', '535');
INSERT INTO public.who_import VALUES (40363, '2020-04-19', 'ID', 'Indonesia', 'SEARO', '327', '6575', '47', '582');
INSERT INTO public.who_import VALUES (40364, '2020-04-20', 'ID', 'Indonesia', 'SEARO', '185', '6760', '8', '590');
INSERT INTO public.who_import VALUES (40365, '2020-04-21', 'ID', 'Indonesia', 'SEARO', '375', '7135', '26', '616');
INSERT INTO public.who_import VALUES (40366, '2020-04-22', 'ID', 'Indonesia', 'SEARO', '283', '7418', '19', '635');
INSERT INTO public.who_import VALUES (40367, '2020-04-23', 'ID', 'Indonesia', 'SEARO', '357', '7775', '12', '647');
INSERT INTO public.who_import VALUES (40368, '2020-04-24', 'ID', 'Indonesia', 'SEARO', '436', '8211', '42', '689');
INSERT INTO public.who_import VALUES (40369, '2020-04-25', 'ID', 'Indonesia', 'SEARO', '396', '8607', '31', '720');
INSERT INTO public.who_import VALUES (40370, '2020-04-26', 'ID', 'Indonesia', 'SEARO', '275', '8882', '23', '743');
INSERT INTO public.who_import VALUES (40371, '2020-04-27', 'ID', 'Indonesia', 'SEARO', '214', '9096', '22', '765');
INSERT INTO public.who_import VALUES (40372, '2020-04-28', 'ID', 'Indonesia', 'SEARO', '415', '9511', '8', '773');
INSERT INTO public.who_import VALUES (40373, '2020-04-29', 'ID', 'Indonesia', 'SEARO', '260', '9771', '11', '784');
INSERT INTO public.who_import VALUES (40374, '2020-04-30', 'ID', 'Indonesia', 'SEARO', '347', '10118', '8', '792');
INSERT INTO public.who_import VALUES (40375, '2020-05-01', 'ID', 'Indonesia', 'SEARO', '433', '10551', '8', '800');
INSERT INTO public.who_import VALUES (40376, '2020-05-02', 'ID', 'Indonesia', 'SEARO', '292', '10843', '31', '831');
INSERT INTO public.who_import VALUES (40377, '2020-05-03', 'ID', 'Indonesia', 'SEARO', '349', '11192', '14', '845');
INSERT INTO public.who_import VALUES (40378, '2020-05-04', 'ID', 'Indonesia', 'SEARO', '395', '11587', '19', '864');
INSERT INTO public.who_import VALUES (40379, '2020-05-05', 'ID', 'Indonesia', 'SEARO', '484', '12071', '8', '872');
INSERT INTO public.who_import VALUES (40380, '2020-05-06', 'ID', 'Indonesia', 'SEARO', '367', '12438', '23', '895');
INSERT INTO public.who_import VALUES (40381, '2020-05-07', 'ID', 'Indonesia', 'SEARO', '338', '12776', '35', '930');
INSERT INTO public.who_import VALUES (40382, '2020-05-08', 'ID', 'Indonesia', 'SEARO', '336', '13112', '13', '943');
INSERT INTO public.who_import VALUES (40383, '2020-05-09', 'ID', 'Indonesia', 'SEARO', '533', '13645', '16', '959');
INSERT INTO public.who_import VALUES (40384, '2020-05-10', 'ID', 'Indonesia', 'SEARO', '387', '14032', '14', '973');
INSERT INTO public.who_import VALUES (40385, '2020-05-11', 'ID', 'Indonesia', 'SEARO', '233', '14265', '18', '991');
INSERT INTO public.who_import VALUES (40386, '2020-05-12', 'ID', 'Indonesia', 'SEARO', '484', '14749', '16', '1007');
INSERT INTO public.who_import VALUES (40387, '2020-05-13', 'ID', 'Indonesia', 'SEARO', '689', '15438', '21', '1028');
INSERT INTO public.who_import VALUES (40388, '2020-05-14', 'ID', 'Indonesia', 'SEARO', '568', '16006', '15', '1043');
INSERT INTO public.who_import VALUES (40389, '2020-05-15', 'ID', 'Indonesia', 'SEARO', '490', '16496', '33', '1076');
INSERT INTO public.who_import VALUES (40390, '2020-05-16', 'ID', 'Indonesia', 'SEARO', '529', '17025', '13', '1089');
INSERT INTO public.who_import VALUES (40391, '2020-05-17', 'ID', 'Indonesia', 'SEARO', '489', '17514', '59', '1148');
INSERT INTO public.who_import VALUES (40392, '2020-05-18', 'ID', 'Indonesia', 'SEARO', '496', '18010', '43', '1191');
INSERT INTO public.who_import VALUES (40393, '2020-05-19', 'ID', 'Indonesia', 'SEARO', '486', '18496', '30', '1221');
INSERT INTO public.who_import VALUES (40394, '2020-05-20', 'ID', 'Indonesia', 'SEARO', '693', '19189', '21', '1242');
INSERT INTO public.who_import VALUES (40395, '2020-05-21', 'ID', 'Indonesia', 'SEARO', '973', '20162', '36', '1278');
INSERT INTO public.who_import VALUES (40396, '2020-05-22', 'ID', 'Indonesia', 'SEARO', '634', '20796', '48', '1326');
INSERT INTO public.who_import VALUES (40397, '2020-05-23', 'ID', 'Indonesia', 'SEARO', '949', '21745', '25', '1351');
INSERT INTO public.who_import VALUES (40398, '2020-05-24', 'ID', 'Indonesia', 'SEARO', '526', '22271', '21', '1372');
INSERT INTO public.who_import VALUES (40399, '2020-05-25', 'ID', 'Indonesia', 'SEARO', '479', '22750', '19', '1391');
INSERT INTO public.who_import VALUES (40400, '2020-05-26', 'ID', 'Indonesia', 'SEARO', '415', '23165', '27', '1418');
INSERT INTO public.who_import VALUES (40401, '2020-05-27', 'ID', 'Indonesia', 'SEARO', '686', '23851', '55', '1473');
INSERT INTO public.who_import VALUES (40402, '2020-05-28', 'ID', 'Indonesia', 'SEARO', '687', '24538', '23', '1496');
INSERT INTO public.who_import VALUES (40403, '2020-05-29', 'ID', 'Indonesia', 'SEARO', '678', '25216', '24', '1520');
INSERT INTO public.who_import VALUES (40404, '2020-05-30', 'ID', 'Indonesia', 'SEARO', '557', '25773', '53', '1573');
INSERT INTO public.who_import VALUES (40405, '2020-05-31', 'ID', 'Indonesia', 'SEARO', '700', '26473', '40', '1613');
INSERT INTO public.who_import VALUES (40406, '2020-06-01', 'ID', 'Indonesia', 'SEARO', '0', '26473', '0', '1613');
INSERT INTO public.who_import VALUES (40407, '2020-06-02', 'ID', 'Indonesia', 'SEARO', '467', '26940', '28', '1641');
INSERT INTO public.who_import VALUES (40408, '2020-06-03', 'ID', 'Indonesia', 'SEARO', '609', '27549', '22', '1663');
INSERT INTO public.who_import VALUES (40409, '2020-06-04', 'ID', 'Indonesia', 'SEARO', '684', '28233', '35', '1698');
INSERT INTO public.who_import VALUES (40410, '2020-06-05', 'ID', 'Indonesia', 'SEARO', '585', '28818', '23', '1721');
INSERT INTO public.who_import VALUES (40411, '2020-06-06', 'ID', 'Indonesia', 'SEARO', '703', '29521', '49', '1770');
INSERT INTO public.who_import VALUES (40412, '2020-06-07', 'ID', 'Indonesia', 'SEARO', '993', '30514', '31', '1801');
INSERT INTO public.who_import VALUES (40413, '2020-06-08', 'ID', 'Indonesia', 'SEARO', '672', '31186', '50', '1851');
INSERT INTO public.who_import VALUES (40414, '2020-06-09', 'ID', 'Indonesia', 'SEARO', '847', '32033', '32', '1883');
INSERT INTO public.who_import VALUES (40415, '2020-06-10', 'ID', 'Indonesia', 'SEARO', '1043', '33076', '40', '1923');
INSERT INTO public.who_import VALUES (40416, '2020-06-11', 'ID', 'Indonesia', 'SEARO', '1240', '34316', '36', '1959');
INSERT INTO public.who_import VALUES (40417, '2020-06-12', 'ID', 'Indonesia', 'SEARO', '979', '35295', '41', '2000');
INSERT INTO public.who_import VALUES (40418, '2020-06-13', 'ID', 'Indonesia', 'SEARO', '1111', '36406', '48', '2048');
INSERT INTO public.who_import VALUES (40419, '2020-06-14', 'ID', 'Indonesia', 'SEARO', '1014', '37420', '43', '2091');
INSERT INTO public.who_import VALUES (40420, '2020-06-15', 'ID', 'Indonesia', 'SEARO', '857', '38277', '43', '2134');
INSERT INTO public.who_import VALUES (40421, '2020-06-16', 'ID', 'Indonesia', 'SEARO', '1017', '39294', '64', '2198');
INSERT INTO public.who_import VALUES (40422, '2020-06-17', 'ID', 'Indonesia', 'SEARO', '1106', '40400', '33', '2231');
INSERT INTO public.who_import VALUES (40423, '2020-06-18', 'ID', 'Indonesia', 'SEARO', '1031', '41431', '45', '2276');
INSERT INTO public.who_import VALUES (40424, '2020-06-19', 'ID', 'Indonesia', 'SEARO', '1331', '42762', '63', '2339');
INSERT INTO public.who_import VALUES (40425, '2020-06-20', 'ID', 'Indonesia', 'SEARO', '1041', '43803', '34', '2373');
INSERT INTO public.who_import VALUES (40426, '2020-06-21', 'ID', 'Indonesia', 'SEARO', '1226', '45029', '56', '2429');
INSERT INTO public.who_import VALUES (40427, '2020-06-22', 'ID', 'Indonesia', 'SEARO', '862', '45891', '36', '2465');
INSERT INTO public.who_import VALUES (40428, '2020-06-23', 'ID', 'Indonesia', 'SEARO', '954', '46845', '35', '2500');
INSERT INTO public.who_import VALUES (40429, '2020-06-24', 'ID', 'Indonesia', 'SEARO', '1051', '47896', '35', '2535');
INSERT INTO public.who_import VALUES (40430, '2020-06-25', 'ID', 'Indonesia', 'SEARO', '1113', '49009', '38', '2573');
INSERT INTO public.who_import VALUES (40431, '2020-06-26', 'ID', 'Indonesia', 'SEARO', '1178', '50187', '47', '2620');
INSERT INTO public.who_import VALUES (40432, '2020-06-27', 'ID', 'Indonesia', 'SEARO', '1240', '51427', '63', '2683');
INSERT INTO public.who_import VALUES (40433, '2020-06-28', 'ID', 'Indonesia', 'SEARO', '1385', '52812', '37', '2720');
INSERT INTO public.who_import VALUES (40434, '2020-06-29', 'ID', 'Indonesia', 'SEARO', '1198', '54010', '34', '2754');
INSERT INTO public.who_import VALUES (40435, '2020-06-30', 'ID', 'Indonesia', 'SEARO', '1082', '55092', '51', '2805');
INSERT INTO public.who_import VALUES (40436, '2020-07-01', 'ID', 'Indonesia', 'SEARO', '1293', '56385', '71', '2876');
INSERT INTO public.who_import VALUES (40437, '2020-07-02', 'ID', 'Indonesia', 'SEARO', '1385', '57770', '58', '2934');
INSERT INTO public.who_import VALUES (40438, '2020-07-03', 'ID', 'Indonesia', 'SEARO', '1624', '59394', '53', '2987');
INSERT INTO public.who_import VALUES (40439, '2020-07-04', 'ID', 'Indonesia', 'SEARO', '1301', '60695', '49', '3036');
INSERT INTO public.who_import VALUES (40440, '2020-07-05', 'ID', 'Indonesia', 'SEARO', '1447', '62142', '53', '3089');
INSERT INTO public.who_import VALUES (40441, '2020-07-06', 'ID', 'Indonesia', 'SEARO', '1607', '63749', '82', '3171');
INSERT INTO public.who_import VALUES (40442, '2020-07-07', 'ID', 'Indonesia', 'SEARO', '1209', '64958', '70', '3241');
INSERT INTO public.who_import VALUES (40443, '2020-07-08', 'ID', 'Indonesia', 'SEARO', '1268', '66226', '68', '3309');
INSERT INTO public.who_import VALUES (40444, '2020-07-09', 'ID', 'Indonesia', 'SEARO', '1853', '68079', '50', '3359');
INSERT INTO public.who_import VALUES (40445, '2020-07-10', 'ID', 'Indonesia', 'SEARO', '2657', '70736', '58', '3417');
INSERT INTO public.who_import VALUES (40446, '2020-07-11', 'ID', 'Indonesia', 'SEARO', '1611', '72347', '52', '3469');
INSERT INTO public.who_import VALUES (40447, '2020-07-12', 'ID', 'Indonesia', 'SEARO', '1671', '74018', '66', '3535');
INSERT INTO public.who_import VALUES (40448, '2020-07-13', 'ID', 'Indonesia', 'SEARO', '1681', '75699', '71', '3606');
INSERT INTO public.who_import VALUES (40449, '2020-07-14', 'ID', 'Indonesia', 'SEARO', '1282', '76981', '50', '3656');
INSERT INTO public.who_import VALUES (40450, '2020-07-15', 'ID', 'Indonesia', 'SEARO', '1591', '78572', '54', '3710');
INSERT INTO public.who_import VALUES (40451, '2020-07-16', 'ID', 'Indonesia', 'SEARO', '1522', '80094', '87', '3797');
INSERT INTO public.who_import VALUES (40452, '2020-07-17', 'ID', 'Indonesia', 'SEARO', '1574', '81668', '76', '3873');
INSERT INTO public.who_import VALUES (40453, '2020-07-18', 'ID', 'Indonesia', 'SEARO', '1462', '83130', '84', '3957');
INSERT INTO public.who_import VALUES (40454, '2020-07-19', 'ID', 'Indonesia', 'SEARO', '1752', '84882', '59', '4016');
INSERT INTO public.who_import VALUES (40455, '2020-07-20', 'ID', 'Indonesia', 'SEARO', '1639', '86521', '127', '4143');
INSERT INTO public.who_import VALUES (40456, '2020-07-21', 'ID', 'Indonesia', 'SEARO', '1693', '88214', '96', '4239');
INSERT INTO public.who_import VALUES (40457, '2020-07-22', 'ID', 'Indonesia', 'SEARO', '1655', '89869', '81', '4320');
INSERT INTO public.who_import VALUES (40458, '2020-07-23', 'ID', 'Indonesia', 'SEARO', '1882', '91751', '139', '4459');
INSERT INTO public.who_import VALUES (40459, '2020-07-24', 'ID', 'Indonesia', 'SEARO', '1906', '93657', '117', '4576');
INSERT INTO public.who_import VALUES (40460, '2020-07-25', 'ID', 'Indonesia', 'SEARO', '1761', '95418', '89', '4665');
INSERT INTO public.who_import VALUES (40461, '2020-07-26', 'ID', 'Indonesia', 'SEARO', '1868', '97286', '49', '4714');
INSERT INTO public.who_import VALUES (40462, '2020-07-27', 'ID', 'Indonesia', 'SEARO', '1492', '98778', '67', '4781');
INSERT INTO public.who_import VALUES (40463, '2020-07-28', 'ID', 'Indonesia', 'SEARO', '1525', '100303', '57', '4838');
INSERT INTO public.who_import VALUES (40464, '2020-07-29', 'ID', 'Indonesia', 'SEARO', '1748', '102051', '63', '4901');
INSERT INTO public.who_import VALUES (40465, '2020-07-30', 'ID', 'Indonesia', 'SEARO', '2381', '104432', '74', '4975');
INSERT INTO public.who_import VALUES (40466, '2020-07-31', 'ID', 'Indonesia', 'SEARO', '1904', '106336', '83', '5058');
INSERT INTO public.who_import VALUES (40467, '2020-08-01', 'ID', 'Indonesia', 'SEARO', '2040', '108376', '73', '5131');
INSERT INTO public.who_import VALUES (40468, '2020-08-02', 'ID', 'Indonesia', 'SEARO', '1560', '109936', '62', '5193');
INSERT INTO public.who_import VALUES (40469, '2020-08-03', 'ID', 'Indonesia', 'SEARO', '1519', '111455', '43', '5236');
INSERT INTO public.who_import VALUES (40470, '2020-08-04', 'ID', 'Indonesia', 'SEARO', '1679', '113134', '66', '5302');
INSERT INTO public.who_import VALUES (40471, '2020-08-05', 'ID', 'Indonesia', 'SEARO', '1922', '115056', '86', '5388');
INSERT INTO public.who_import VALUES (40472, '2020-08-06', 'ID', 'Indonesia', 'SEARO', '1815', '116871', '64', '5452');
INSERT INTO public.who_import VALUES (40473, '2020-08-07', 'ID', 'Indonesia', 'SEARO', '1882', '118753', '69', '5521');
INSERT INTO public.who_import VALUES (40474, '2020-08-08', 'ID', 'Indonesia', 'SEARO', '2473', '121226', '72', '5593');
INSERT INTO public.who_import VALUES (40475, '2020-08-09', 'ID', 'Indonesia', 'SEARO', '2277', '123503', '65', '5658');
INSERT INTO public.who_import VALUES (40476, '2020-08-10', 'ID', 'Indonesia', 'SEARO', '1893', '125396', '65', '5723');
INSERT INTO public.who_import VALUES (40477, '2020-08-11', 'ID', 'Indonesia', 'SEARO', '1687', '127083', '42', '5765');
INSERT INTO public.who_import VALUES (40478, '2020-08-12', 'ID', 'Indonesia', 'SEARO', '1693', '128776', '59', '5824');
INSERT INTO public.who_import VALUES (40479, '2020-08-13', 'ID', 'Indonesia', 'SEARO', '1942', '130718', '79', '5903');
INSERT INTO public.who_import VALUES (40480, '2020-08-14', 'ID', 'Indonesia', 'SEARO', '2098', '132816', '65', '5968');
INSERT INTO public.who_import VALUES (40481, '2020-08-15', 'ID', 'Indonesia', 'SEARO', '2307', '135123', '53', '6021');
INSERT INTO public.who_import VALUES (40482, '2020-08-16', 'ID', 'Indonesia', 'SEARO', '2345', '137468', '50', '6071');
INSERT INTO public.who_import VALUES (40483, '2020-08-17', 'ID', 'Indonesia', 'SEARO', '2081', '139549', '79', '6150');
INSERT INTO public.who_import VALUES (40484, '2020-08-18', 'ID', 'Indonesia', 'SEARO', '1821', '141370', '57', '6207');
INSERT INTO public.who_import VALUES (40485, '2020-08-19', 'ID', 'Indonesia', 'SEARO', '1673', '143043', '70', '6277');
INSERT INTO public.who_import VALUES (40486, '2020-08-20', 'ID', 'Indonesia', 'SEARO', '1902', '144945', '69', '6346');
INSERT INTO public.who_import VALUES (40487, '2020-08-21', 'ID', 'Indonesia', 'SEARO', '2266', '147211', '72', '6418');
INSERT INTO public.who_import VALUES (40488, '2020-08-22', 'ID', 'Indonesia', 'SEARO', '2197', '149408', '82', '6500');
INSERT INTO public.who_import VALUES (40489, '2020-08-23', 'ID', 'Indonesia', 'SEARO', '2090', '151498', '94', '6594');
INSERT INTO public.who_import VALUES (40490, '2020-08-24', 'ID', 'Indonesia', 'SEARO', '3914', '155412', '165', '6759');
INSERT INTO public.who_import VALUES (40491, '2020-08-25', 'ID', 'Indonesia', 'SEARO', '0', '155412', '0', '6759');
INSERT INTO public.who_import VALUES (40492, '2020-08-26', 'ID', 'Indonesia', 'SEARO', '2447', '157859', '99', '6858');
INSERT INTO public.who_import VALUES (40493, '2020-08-27', 'ID', 'Indonesia', 'SEARO', '2306', '160165', '86', '6944');
INSERT INTO public.who_import VALUES (40494, '2020-08-28', 'ID', 'Indonesia', 'SEARO', '2719', '162884', '120', '7064');
INSERT INTO public.who_import VALUES (40495, '2020-08-29', 'ID', 'Indonesia', 'SEARO', '3003', '165887', '105', '7169');
INSERT INTO public.who_import VALUES (40496, '2020-08-30', 'ID', 'Indonesia', 'SEARO', '3308', '169195', '92', '7261');
INSERT INTO public.who_import VALUES (40497, '2020-08-31', 'ID', 'Indonesia', 'SEARO', '2858', '172053', '82', '7343');
INSERT INTO public.who_import VALUES (40498, '2020-09-01', 'ID', 'Indonesia', 'SEARO', '2743', '174796', '74', '7417');
INSERT INTO public.who_import VALUES (40499, '2020-09-02', 'ID', 'Indonesia', 'SEARO', '2775', '177571', '88', '7505');
INSERT INTO public.who_import VALUES (40500, '2020-09-03', 'ID', 'Indonesia', 'SEARO', '3075', '180646', '111', '7616');
INSERT INTO public.who_import VALUES (40501, '2020-09-04', 'ID', 'Indonesia', 'SEARO', '3622', '184268', '134', '7750');
INSERT INTO public.who_import VALUES (40502, '2020-09-05', 'ID', 'Indonesia', 'SEARO', '3269', '187537', '82', '7832');
INSERT INTO public.who_import VALUES (40503, '2020-09-06', 'ID', 'Indonesia', 'SEARO', '3128', '190665', '108', '7940');
INSERT INTO public.who_import VALUES (40504, '2020-09-07', 'ID', 'Indonesia', 'SEARO', '3444', '194109', '85', '8025');
INSERT INTO public.who_import VALUES (40505, '2020-09-08', 'ID', 'Indonesia', 'SEARO', '2880', '196989', '105', '8130');
INSERT INTO public.who_import VALUES (40506, '2020-09-09', 'ID', 'Indonesia', 'SEARO', '3046', '200035', '100', '8230');
INSERT INTO public.who_import VALUES (40507, '2020-09-10', 'ID', 'Indonesia', 'SEARO', '3307', '203342', '106', '8336');
INSERT INTO public.who_import VALUES (40508, '2020-09-11', 'ID', 'Indonesia', 'SEARO', '3861', '207203', '120', '8456');
INSERT INTO public.who_import VALUES (40509, '2020-09-12', 'ID', 'Indonesia', 'SEARO', '3737', '210940', '88', '8544');
INSERT INTO public.who_import VALUES (40510, '2020-09-13', 'ID', 'Indonesia', 'SEARO', '3806', '214746', '106', '8650');
INSERT INTO public.who_import VALUES (40511, '2020-09-14', 'ID', 'Indonesia', 'SEARO', '3636', '218382', '73', '8723');
INSERT INTO public.who_import VALUES (40512, '2020-09-15', 'ID', 'Indonesia', 'SEARO', '3141', '221523', '118', '8841');
INSERT INTO public.who_import VALUES (40513, '2020-09-16', 'ID', 'Indonesia', 'SEARO', '3507', '225030', '124', '8965');
INSERT INTO public.who_import VALUES (40514, '2020-09-17', 'ID', 'Indonesia', 'SEARO', '3963', '228993', '135', '9100');
INSERT INTO public.who_import VALUES (40515, '2020-09-18', 'ID', 'Indonesia', 'SEARO', '3635', '232628', '122', '9222');
INSERT INTO public.who_import VALUES (40516, '2020-09-19', 'ID', 'Indonesia', 'SEARO', '3891', '236519', '114', '9336');
INSERT INTO public.who_import VALUES (40517, '2020-09-20', 'ID', 'Indonesia', 'SEARO', '4168', '240687', '112', '9448');
INSERT INTO public.who_import VALUES (40518, '2020-09-21', 'ID', 'Indonesia', 'SEARO', '3989', '244676', '105', '9553');
INSERT INTO public.who_import VALUES (40519, '2020-09-22', 'ID', 'Indonesia', 'SEARO', '4176', '248852', '124', '9677');
INSERT INTO public.who_import VALUES (40520, '2020-09-23', 'ID', 'Indonesia', 'SEARO', '4071', '252923', '160', '9837');
INSERT INTO public.who_import VALUES (40521, '2020-09-24', 'ID', 'Indonesia', 'SEARO', '4465', '257388', '140', '9977');
INSERT INTO public.who_import VALUES (40522, '2020-09-25', 'ID', 'Indonesia', 'SEARO', '4634', '262022', '128', '10105');
INSERT INTO public.who_import VALUES (40523, '2020-09-26', 'ID', 'Indonesia', 'SEARO', '4823', '266845', '113', '10218');
INSERT INTO public.who_import VALUES (40524, '2020-09-27', 'ID', 'Indonesia', 'SEARO', '4494', '271339', '90', '10308');
INSERT INTO public.who_import VALUES (40525, '2020-09-28', 'ID', 'Indonesia', 'SEARO', '3874', '275213', '78', '10386');
INSERT INTO public.who_import VALUES (40526, '2020-09-29', 'ID', 'Indonesia', 'SEARO', '3509', '278722', '87', '10473');
INSERT INTO public.who_import VALUES (40527, '2020-09-30', 'ID', 'Indonesia', 'SEARO', '4002', '282724', '128', '10601');
INSERT INTO public.who_import VALUES (40528, '2020-10-01', 'ID', 'Indonesia', 'SEARO', '4284', '287008', '139', '10740');
INSERT INTO public.who_import VALUES (40529, '2020-10-02', 'ID', 'Indonesia', 'SEARO', '4174', '291182', '116', '10856');
INSERT INTO public.who_import VALUES (40530, '2020-10-03', 'ID', 'Indonesia', 'SEARO', '4317', '295499', '116', '10972');
INSERT INTO public.who_import VALUES (40531, '2020-10-04', 'ID', 'Indonesia', 'SEARO', '4007', '299506', '83', '11055');
INSERT INTO public.who_import VALUES (40532, '2020-10-05', 'ID', 'Indonesia', 'SEARO', '3992', '303498', '96', '11151');
INSERT INTO public.who_import VALUES (40533, '2020-10-06', 'ID', 'Indonesia', 'SEARO', '3622', '307120', '102', '11253');
INSERT INTO public.who_import VALUES (40534, '2020-10-07', 'ID', 'Indonesia', 'SEARO', '4056', '311176', '121', '11374');
INSERT INTO public.who_import VALUES (40535, '2020-10-08', 'ID', 'Indonesia', 'SEARO', '4538', '315714', '98', '11472');
INSERT INTO public.who_import VALUES (40536, '2020-10-09', 'ID', 'Indonesia', 'SEARO', '4850', '320564', '108', '11580');
INSERT INTO public.who_import VALUES (40537, '2020-10-10', 'ID', 'Indonesia', 'SEARO', '4094', '324658', '97', '11677');
INSERT INTO public.who_import VALUES (40538, '2020-10-11', 'ID', 'Indonesia', 'SEARO', '4294', '328952', '88', '11765');
INSERT INTO public.who_import VALUES (40539, '2020-10-12', 'ID', 'Indonesia', 'SEARO', '4497', '333449', '79', '11844');
INSERT INTO public.who_import VALUES (40540, '2020-10-13', 'ID', 'Indonesia', 'SEARO', '3267', '336716', '91', '11935');
INSERT INTO public.who_import VALUES (40541, '2020-10-14', 'ID', 'Indonesia', 'SEARO', '3906', '340622', '92', '12027');
INSERT INTO public.who_import VALUES (40542, '2020-10-15', 'ID', 'Indonesia', 'SEARO', '4127', '344749', '129', '12156');
INSERT INTO public.who_import VALUES (40543, '2020-10-16', 'ID', 'Indonesia', 'SEARO', '4411', '349160', '112', '12268');
INSERT INTO public.who_import VALUES (40544, '2020-10-17', 'ID', 'Indonesia', 'SEARO', '4301', '353461', '79', '12347');
INSERT INTO public.who_import VALUES (40545, '2020-10-18', 'ID', 'Indonesia', 'SEARO', '4301', '357762', '84', '12431');
INSERT INTO public.who_import VALUES (40546, '2020-10-19', 'ID', 'Indonesia', 'SEARO', '4105', '361867', '80', '12511');
INSERT INTO public.who_import VALUES (40547, '2020-10-20', 'ID', 'Indonesia', 'SEARO', '3373', '365240', '106', '12617');
INSERT INTO public.who_import VALUES (40548, '2020-10-21', 'ID', 'Indonesia', 'SEARO', '3602', '368842', '117', '12734');
INSERT INTO public.who_import VALUES (40549, '2020-10-22', 'ID', 'Indonesia', 'SEARO', '4267', '373109', '123', '12857');
INSERT INTO public.who_import VALUES (40550, '2020-10-23', 'ID', 'Indonesia', 'SEARO', '4432', '377541', '102', '12959');
INSERT INTO public.who_import VALUES (40551, '2020-10-24', 'ID', 'Indonesia', 'SEARO', '4369', '381910', '118', '13077');
INSERT INTO public.who_import VALUES (40552, '2020-10-25', 'ID', 'Indonesia', 'SEARO', '4070', '385980', '128', '13205');
INSERT INTO public.who_import VALUES (40553, '2020-10-26', 'ID', 'Indonesia', 'SEARO', '3732', '389712', '94', '13299');
INSERT INTO public.who_import VALUES (40554, '2020-10-27', 'ID', 'Indonesia', 'SEARO', '3222', '392934', '112', '13411');
INSERT INTO public.who_import VALUES (40555, '2020-10-28', 'ID', 'Indonesia', 'SEARO', '3520', '396454', '101', '13512');
INSERT INTO public.who_import VALUES (40556, '2020-10-29', 'ID', 'Indonesia', 'SEARO', '4029', '400483', '100', '13612');
INSERT INTO public.who_import VALUES (40557, '2020-10-30', 'ID', 'Indonesia', 'SEARO', '3565', '404048', '89', '13701');
INSERT INTO public.who_import VALUES (40558, '2020-10-31', 'ID', 'Indonesia', 'SEARO', '2897', '406945', '81', '13782');
INSERT INTO public.who_import VALUES (40559, '2020-11-01', 'ID', 'Indonesia', 'SEARO', '3143', '410088', '87', '13869');
INSERT INTO public.who_import VALUES (40560, '2020-11-02', 'ID', 'Indonesia', 'SEARO', '2696', '412784', '74', '13943');
INSERT INTO public.who_import VALUES (40561, '2020-11-03', 'ID', 'Indonesia', 'SEARO', '2618', '415402', '101', '14044');
INSERT INTO public.who_import VALUES (40562, '2020-11-04', 'ID', 'Indonesia', 'SEARO', '2973', '418375', '102', '14146');
INSERT INTO public.who_import VALUES (40563, '2020-11-05', 'ID', 'Indonesia', 'SEARO', '3356', '421731', '113', '14259');
INSERT INTO public.who_import VALUES (40564, '2020-11-06', 'ID', 'Indonesia', 'SEARO', '7843', '429574', '183', '14442');
INSERT INTO public.who_import VALUES (40565, '2020-11-07', 'ID', 'Indonesia', 'SEARO', '0', '429574', '0', '14442');
INSERT INTO public.who_import VALUES (40566, '2020-11-08', 'ID', 'Indonesia', 'SEARO', '4262', '433836', '98', '14540');
INSERT INTO public.who_import VALUES (40567, '2020-11-09', 'ID', 'Indonesia', 'SEARO', '3880', '437716', '74', '14614');
INSERT INTO public.who_import VALUES (40568, '2020-11-10', 'ID', 'Indonesia', 'SEARO', '2853', '440569', '75', '14689');
INSERT INTO public.who_import VALUES (40569, '2020-11-11', 'ID', 'Indonesia', 'SEARO', '3779', '444348', '72', '14761');
INSERT INTO public.who_import VALUES (40570, '2020-11-12', 'ID', 'Indonesia', 'SEARO', '3770', '448118', '75', '14836');
INSERT INTO public.who_import VALUES (40571, '2020-11-13', 'ID', 'Indonesia', 'SEARO', '4173', '452291', '97', '14933');
INSERT INTO public.who_import VALUES (40572, '2020-11-14', 'ID', 'Indonesia', 'SEARO', '5444', '457735', '104', '15037');
INSERT INTO public.who_import VALUES (40573, '2020-11-15', 'ID', 'Indonesia', 'SEARO', '5272', '463007', '111', '15148');
INSERT INTO public.who_import VALUES (40574, '2020-11-16', 'ID', 'Indonesia', 'SEARO', '4106', '467113', '63', '15211');
INSERT INTO public.who_import VALUES (40575, '2020-11-17', 'ID', 'Indonesia', 'SEARO', '3535', '470648', '85', '15296');
INSERT INTO public.who_import VALUES (40576, '2020-11-18', 'ID', 'Indonesia', 'SEARO', '3807', '474455', '97', '15393');
INSERT INTO public.who_import VALUES (40577, '2020-11-19', 'ID', 'Indonesia', 'SEARO', '4265', '478720', '110', '15503');
INSERT INTO public.who_import VALUES (40578, '2020-11-20', 'ID', 'Indonesia', 'SEARO', '4798', '483518', '97', '15600');
INSERT INTO public.who_import VALUES (40579, '2020-11-21', 'ID', 'Indonesia', 'SEARO', '4792', '488310', '78', '15678');
INSERT INTO public.who_import VALUES (40580, '2020-11-22', 'ID', 'Indonesia', 'SEARO', '4998', '493308', '96', '15774');
INSERT INTO public.who_import VALUES (40581, '2020-11-23', 'ID', 'Indonesia', 'SEARO', '4360', '497668', '110', '15884');
INSERT INTO public.who_import VALUES (40582, '2020-11-24', 'ID', 'Indonesia', 'SEARO', '4442', '502110', '118', '16002');
INSERT INTO public.who_import VALUES (40583, '2020-11-25', 'ID', 'Indonesia', 'SEARO', '4192', '506302', '109', '16111');
INSERT INTO public.who_import VALUES (40584, '2020-11-26', 'ID', 'Indonesia', 'SEARO', '5534', '511836', '114', '16225');
INSERT INTO public.who_import VALUES (40585, '2020-11-27', 'ID', 'Indonesia', 'SEARO', '4917', '516753', '127', '16352');
INSERT INTO public.who_import VALUES (40586, '2020-11-28', 'ID', 'Indonesia', 'SEARO', '5828', '522581', '169', '16521');
INSERT INTO public.who_import VALUES (40587, '2020-11-29', 'ID', 'Indonesia', 'SEARO', '5418', '527999', '125', '16646');
INSERT INTO public.who_import VALUES (40588, '2020-11-30', 'ID', 'Indonesia', 'SEARO', '6267', '534266', '169', '16815');
INSERT INTO public.who_import VALUES (40589, '2020-12-01', 'ID', 'Indonesia', 'SEARO', '4617', '538883', '130', '16945');
INSERT INTO public.who_import VALUES (40590, '2020-12-02', 'ID', 'Indonesia', 'SEARO', '5092', '543975', '136', '17081');
INSERT INTO public.who_import VALUES (40591, '2020-12-03', 'ID', 'Indonesia', 'SEARO', '5533', '549508', '118', '17199');
INSERT INTO public.who_import VALUES (40592, '2020-12-04', 'ID', 'Indonesia', 'SEARO', '8369', '557877', '156', '17355');
INSERT INTO public.who_import VALUES (40593, '2020-12-05', 'ID', 'Indonesia', 'SEARO', '5803', '563680', '124', '17479');
INSERT INTO public.who_import VALUES (40594, '2020-12-06', 'ID', 'Indonesia', 'SEARO', '6027', '569707', '110', '17589');
INSERT INTO public.who_import VALUES (40595, '2020-12-07', 'ID', 'Indonesia', 'SEARO', '6089', '575796', '151', '17740');
INSERT INTO public.who_import VALUES (40596, '2020-12-08', 'ID', 'Indonesia', 'SEARO', '5754', '581550', '127', '17867');
INSERT INTO public.who_import VALUES (40597, '2020-12-09', 'ID', 'Indonesia', 'SEARO', '5292', '586842', '133', '18000');
INSERT INTO public.who_import VALUES (40598, '2020-12-10', 'ID', 'Indonesia', 'SEARO', '6058', '592900', '171', '18171');
INSERT INTO public.who_import VALUES (40599, '2020-12-11', 'ID', 'Indonesia', 'SEARO', '6033', '598933', '165', '18336');
INSERT INTO public.who_import VALUES (40600, '2020-12-12', 'ID', 'Indonesia', 'SEARO', '6310', '605243', '175', '18511');
INSERT INTO public.who_import VALUES (40601, '2020-12-13', 'ID', 'Indonesia', 'SEARO', '6388', '611631', '142', '18653');
INSERT INTO public.who_import VALUES (40602, '2020-12-14', 'ID', 'Indonesia', 'SEARO', '6189', '617820', '166', '18819');
INSERT INTO public.who_import VALUES (40603, '2020-12-15', 'ID', 'Indonesia', 'SEARO', '5489', '623309', '137', '18956');
INSERT INTO public.who_import VALUES (40604, '2020-12-16', 'ID', 'Indonesia', 'SEARO', '6120', '629429', '155', '19111');
INSERT INTO public.who_import VALUES (40605, '2020-12-17', 'ID', 'Indonesia', 'SEARO', '6725', '636154', '137', '19248');
INSERT INTO public.who_import VALUES (40606, '2020-12-18', 'ID', 'Indonesia', 'SEARO', '7354', '643508', '142', '19390');
INSERT INTO public.who_import VALUES (40607, '2020-12-19', 'ID', 'Indonesia', 'SEARO', '6689', '650197', '124', '19514');
INSERT INTO public.who_import VALUES (40608, '2020-12-20', 'ID', 'Indonesia', 'SEARO', '7751', '657948', '145', '19659');
INSERT INTO public.who_import VALUES (40609, '2020-12-21', 'ID', 'Indonesia', 'SEARO', '6982', '664930', '221', '19880');
INSERT INTO public.who_import VALUES (40610, '2020-12-22', 'ID', 'Indonesia', 'SEARO', '6848', '671778', '205', '20085');
INSERT INTO public.who_import VALUES (40611, '2020-12-23', 'ID', 'Indonesia', 'SEARO', '6347', '678125', '172', '20257');
INSERT INTO public.who_import VALUES (40612, '2020-12-24', 'ID', 'Indonesia', 'SEARO', '7514', '685639', '151', '20408');
INSERT INTO public.who_import VALUES (40613, '2020-12-25', 'ID', 'Indonesia', 'SEARO', '7199', '692838', '181', '20589');
INSERT INTO public.who_import VALUES (40614, '2020-12-26', 'ID', 'Indonesia', 'SEARO', '7259', '700097', '258', '20847');
INSERT INTO public.who_import VALUES (40615, '2020-12-27', 'ID', 'Indonesia', 'SEARO', '6740', '706837', '147', '20994');
INSERT INTO public.who_import VALUES (40616, '2020-12-28', 'ID', 'Indonesia', 'SEARO', '6528', '713365', '243', '21237');
INSERT INTO public.who_import VALUES (40617, '2020-12-29', 'ID', 'Indonesia', 'SEARO', '5854', '719219', '215', '21452');
INSERT INTO public.who_import VALUES (40618, '2020-12-30', 'ID', 'Indonesia', 'SEARO', '7903', '727122', '251', '21703');
INSERT INTO public.who_import VALUES (40619, '2020-12-31', 'ID', 'Indonesia', 'SEARO', '8002', '735124', '241', '21944');
INSERT INTO public.who_import VALUES (40620, '2021-01-01', 'ID', 'Indonesia', 'SEARO', '8074', '743198', '194', '22138');
INSERT INTO public.who_import VALUES (40621, '2021-01-02', 'ID', 'Indonesia', 'SEARO', '8072', '751270', '191', '22329');
INSERT INTO public.who_import VALUES (40622, '2021-01-03', 'ID', 'Indonesia', 'SEARO', '7203', '758473', '226', '22555');
INSERT INTO public.who_import VALUES (40623, '2021-01-04', 'ID', 'Indonesia', 'SEARO', '6877', '765350', '179', '22734');
INSERT INTO public.who_import VALUES (40624, '2021-01-05', 'ID', 'Indonesia', 'SEARO', '6753', '772103', '177', '22911');
INSERT INTO public.who_import VALUES (40625, '2021-01-06', 'ID', 'Indonesia', 'SEARO', '7445', '779548', '198', '23109');
INSERT INTO public.who_import VALUES (40626, '2021-01-07', 'ID', 'Indonesia', 'SEARO', '8854', '788402', '187', '23296');
INSERT INTO public.who_import VALUES (40627, '2021-01-08', 'ID', 'Indonesia', 'SEARO', '9321', '797723', '224', '23520');
INSERT INTO public.who_import VALUES (40628, '2021-01-09', 'ID', 'Indonesia', 'SEARO', '10617', '808340', '233', '23753');
INSERT INTO public.who_import VALUES (40629, '2021-01-10', 'ID', 'Indonesia', 'SEARO', '10046', '818386', '194', '23947');
INSERT INTO public.who_import VALUES (40630, '2021-01-11', 'ID', 'Indonesia', 'SEARO', '9640', '828026', '182', '24129');
INSERT INTO public.who_import VALUES (40631, '2021-01-12', 'ID', 'Indonesia', 'SEARO', '8692', '836718', '214', '24343');
INSERT INTO public.who_import VALUES (40632, '2021-01-13', 'ID', 'Indonesia', 'SEARO', '10047', '846765', '302', '24645');
INSERT INTO public.who_import VALUES (40633, '2021-01-14', 'ID', 'Indonesia', 'SEARO', '11278', '858043', '306', '24951');
INSERT INTO public.who_import VALUES (40634, '2021-01-15', 'ID', 'Indonesia', 'SEARO', '11557', '869600', '295', '25246');
INSERT INTO public.who_import VALUES (40635, '2021-01-16', 'ID', 'Indonesia', 'SEARO', '12818', '882418', '238', '25484');
INSERT INTO public.who_import VALUES (40636, '2021-01-17', 'ID', 'Indonesia', 'SEARO', '14224', '896642', '283', '25767');
INSERT INTO public.who_import VALUES (40637, '2021-01-18', 'ID', 'Indonesia', 'SEARO', '11287', '907929', '220', '25987');
INSERT INTO public.who_import VALUES (40638, '2021-01-19', 'ID', 'Indonesia', 'SEARO', '9086', '917015', '295', '26282');
INSERT INTO public.who_import VALUES (40639, '2021-01-20', 'ID', 'Indonesia', 'SEARO', '10365', '927380', '308', '26590');
INSERT INTO public.who_import VALUES (40640, '2021-01-21', 'ID', 'Indonesia', 'SEARO', '12568', '939948', '267', '26857');
INSERT INTO public.who_import VALUES (40641, '2021-01-22', 'ID', 'Indonesia', 'SEARO', '11703', '951651', '346', '27203');
INSERT INTO public.who_import VALUES (40642, '2021-01-23', 'ID', 'Indonesia', 'SEARO', '13632', '965283', '250', '27453');
INSERT INTO public.who_import VALUES (40643, '2021-01-24', 'ID', 'Indonesia', 'SEARO', '12191', '977474', '211', '27664');
INSERT INTO public.who_import VALUES (40644, '2021-01-25', 'ID', 'Indonesia', 'SEARO', '11788', '989262', '171', '27835');
INSERT INTO public.who_import VALUES (40645, '2021-01-26', 'ID', 'Indonesia', 'SEARO', '9994', '999256', '297', '28132');
INSERT INTO public.who_import VALUES (40646, '2021-01-27', 'ID', 'Indonesia', 'SEARO', '13094', '1012350', '336', '28468');
INSERT INTO public.who_import VALUES (40647, '2021-01-28', 'ID', 'Indonesia', 'SEARO', '11948', '1024298', '387', '28855');
INSERT INTO public.who_import VALUES (40648, '2021-01-29', 'ID', 'Indonesia', 'SEARO', '13695', '1037993', '476', '29331');
INSERT INTO public.who_import VALUES (40649, '2021-01-30', 'ID', 'Indonesia', 'SEARO', '13802', '1051795', '187', '29518');
INSERT INTO public.who_import VALUES (40650, '2021-01-31', 'ID', 'Indonesia', 'SEARO', '14518', '1066313', '210', '29728');
INSERT INTO public.who_import VALUES (40651, '2021-02-01', 'ID', 'Indonesia', 'SEARO', '12001', '1078314', '270', '29998');
INSERT INTO public.who_import VALUES (40652, '2021-02-02', 'ID', 'Indonesia', 'SEARO', '10994', '1089308', '279', '30277');
INSERT INTO public.who_import VALUES (40653, '2021-02-03', 'ID', 'Indonesia', 'SEARO', '10379', '1099687', '304', '30581');
INSERT INTO public.who_import VALUES (40654, '2021-02-04', 'ID', 'Indonesia', 'SEARO', '11984', '1111671', '189', '30770');
INSERT INTO public.who_import VALUES (40655, '2021-02-05', 'ID', 'Indonesia', 'SEARO', '11434', '1123105', '231', '31001');
INSERT INTO public.who_import VALUES (40656, '2021-02-06', 'ID', 'Indonesia', 'SEARO', '11749', '1134854', '201', '31202');
INSERT INTO public.who_import VALUES (40657, '2021-02-07', 'ID', 'Indonesia', 'SEARO', '12156', '1147010', '191', '31393');
INSERT INTO public.who_import VALUES (40658, '2021-02-08', 'ID', 'Indonesia', 'SEARO', '10827', '1157837', '163', '31556');
INSERT INTO public.who_import VALUES (40659, '2021-02-09', 'ID', 'Indonesia', 'SEARO', '8242', '1166079', '207', '31763');
INSERT INTO public.who_import VALUES (40660, '2021-02-10', 'ID', 'Indonesia', 'SEARO', '8700', '1174779', '213', '31976');
INSERT INTO public.who_import VALUES (40661, '2021-02-11', 'ID', 'Indonesia', 'SEARO', '8776', '1183555', '191', '32167');
INSERT INTO public.who_import VALUES (40662, '2021-02-12', 'ID', 'Indonesia', 'SEARO', '8435', '1191990', '214', '32381');
INSERT INTO public.who_import VALUES (40663, '2021-02-13', 'ID', 'Indonesia', 'SEARO', '9869', '1201859', '275', '32656');
INSERT INTO public.who_import VALUES (40664, '2021-02-14', 'ID', 'Indonesia', 'SEARO', '8844', '1210703', '280', '32936');
INSERT INTO public.who_import VALUES (40665, '2021-02-15', 'ID', 'Indonesia', 'SEARO', '13227', '1223930', '431', '33367');
INSERT INTO public.who_import VALUES (40666, '2021-02-16', 'ID', 'Indonesia', 'SEARO', '0', '1223930', '0', '33367');
INSERT INTO public.who_import VALUES (40667, '2021-02-17', 'ID', 'Indonesia', 'SEARO', '10029', '1233959', '229', '33596');
INSERT INTO public.who_import VALUES (40668, '2021-02-18', 'ID', 'Indonesia', 'SEARO', '9687', '1243646', '192', '33788');
INSERT INTO public.who_import VALUES (40669, '2021-02-19', 'ID', 'Indonesia', 'SEARO', '9039', '1252685', '181', '33969');
INSERT INTO public.who_import VALUES (40670, '2021-02-20', 'ID', 'Indonesia', 'SEARO', '10614', '1263299', '183', '34152');
INSERT INTO public.who_import VALUES (40671, '2020-01-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40672, '2020-01-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40673, '2020-01-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40674, '2020-01-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40675, '2020-01-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40676, '2020-01-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40677, '2020-01-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40678, '2020-01-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40679, '2020-01-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40680, '2020-01-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40681, '2020-01-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40682, '2020-01-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40683, '2020-01-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40684, '2020-01-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40685, '2020-01-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40686, '2020-01-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40687, '2020-01-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40688, '2020-01-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40689, '2020-01-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40690, '2020-01-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40691, '2020-01-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40692, '2020-01-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40693, '2020-01-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40694, '2020-01-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40695, '2020-01-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40696, '2020-01-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40697, '2020-01-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40698, '2020-01-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40699, '2020-01-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40700, '2020-02-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40701, '2020-02-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40702, '2020-02-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40703, '2020-02-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40704, '2020-02-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40705, '2020-02-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40706, '2020-02-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40707, '2020-02-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40708, '2020-02-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40709, '2020-02-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40710, '2020-02-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40711, '2020-02-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40712, '2020-02-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40713, '2020-02-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40714, '2020-02-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40715, '2020-02-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40716, '2020-02-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40717, '2020-02-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40718, '2020-02-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6', '6', '2', '2');
INSERT INTO public.who_import VALUES (40719, '2020-02-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3', '9', '0', '2');
INSERT INTO public.who_import VALUES (40720, '2020-02-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13', '22', '2', '4');
INSERT INTO public.who_import VALUES (40721, '2020-02-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '10', '32', '1', '5');
INSERT INTO public.who_import VALUES (40722, '2020-02-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '15', '47', '3', '8');
INSERT INTO public.who_import VALUES (40723, '2020-02-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '18', '65', '4', '12');
INSERT INTO public.who_import VALUES (40724, '2020-02-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '34', '99', '3', '15');
INSERT INTO public.who_import VALUES (40725, '2020-02-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '44', '143', '4', '19');
INSERT INTO public.who_import VALUES (40726, '2020-02-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '106', '249', '7', '26');
INSERT INTO public.who_import VALUES (40727, '2020-02-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '143', '392', '8', '34');
INSERT INTO public.who_import VALUES (40728, '2020-02-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '205', '597', '9', '43');
INSERT INTO public.who_import VALUES (40729, '2020-03-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '597', '0', '43');
INSERT INTO public.who_import VALUES (40730, '2020-03-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '908', '1505', '23', '66');
INSERT INTO public.who_import VALUES (40731, '2020-03-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '835', '2340', '11', '77');
INSERT INTO public.who_import VALUES (40732, '2020-03-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '586', '2926', '15', '92');
INSERT INTO public.who_import VALUES (40733, '2020-03-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '591', '3517', '15', '107');
INSERT INTO public.who_import VALUES (40734, '2020-03-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1234', '4751', '17', '124');
INSERT INTO public.who_import VALUES (40735, '2020-03-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1076', '5827', '21', '145');
INSERT INTO public.who_import VALUES (40736, '2020-03-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '743', '6570', '49', '194');
INSERT INTO public.who_import VALUES (40737, '2020-03-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '595', '7165', '43', '237');
INSERT INTO public.who_import VALUES (40738, '2020-03-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '881', '8046', '54', '291');
INSERT INTO public.who_import VALUES (40739, '2020-03-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '958', '9004', '63', '354');
INSERT INTO public.who_import VALUES (40740, '2020-03-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1075', '10079', '75', '429');
INSERT INTO public.who_import VALUES (40741, '2020-03-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1289', '11368', '85', '514');
INSERT INTO public.who_import VALUES (40742, '2020-03-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1365', '12733', '94', '608');
INSERT INTO public.who_import VALUES (40743, '2020-03-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1254', '13987', '116', '724');
INSERT INTO public.who_import VALUES (40744, '2020-03-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1008', '14995', '129', '853');
INSERT INTO public.who_import VALUES (40745, '2020-03-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1178', '16173', '135', '988');
INSERT INTO public.who_import VALUES (40746, '2020-03-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1192', '17365', '147', '1135');
INSERT INTO public.who_import VALUES (40747, '2020-03-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1046', '18411', '149', '1284');
INSERT INTO public.who_import VALUES (40748, '2020-03-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1233', '19644', '149', '1433');
INSERT INTO public.who_import VALUES (40749, '2020-03-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '966', '20610', '123', '1556');
INSERT INTO public.who_import VALUES (40750, '2020-03-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1028', '21638', '129', '1685');
INSERT INTO public.who_import VALUES (40751, '2020-03-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1411', '23049', '127', '1812');
INSERT INTO public.who_import VALUES (40752, '2020-03-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1762', '24811', '122', '1934');
INSERT INTO public.who_import VALUES (40753, '2020-03-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2206', '27017', '143', '2077');
INSERT INTO public.who_import VALUES (40754, '2020-03-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2389', '29406', '157', '2234');
INSERT INTO public.who_import VALUES (40755, '2020-03-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2926', '32332', '144', '2378');
INSERT INTO public.who_import VALUES (40756, '2020-03-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3076', '35408', '139', '2517');
INSERT INTO public.who_import VALUES (40757, '2020-03-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2901', '38309', '123', '2640');
INSERT INTO public.who_import VALUES (40758, '2020-03-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3186', '41495', '117', '2757');
INSERT INTO public.who_import VALUES (40759, '2020-03-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3111', '44606', '141', '2898');
INSERT INTO public.who_import VALUES (40760, '2020-04-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2987', '47593', '138', '3036');
INSERT INTO public.who_import VALUES (40761, '2020-04-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2875', '50468', '124', '3160');
INSERT INTO public.who_import VALUES (40762, '2020-04-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2715', '53183', '134', '3294');
INSERT INTO public.who_import VALUES (40763, '2020-04-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2560', '55743', '158', '3452');
INSERT INTO public.who_import VALUES (40764, '2020-04-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2483', '58226', '151', '3603');
INSERT INTO public.who_import VALUES (40765, '2020-04-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2274', '60500', '136', '3739');
INSERT INTO public.who_import VALUES (40766, '2020-04-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2089', '62589', '133', '3872');
INSERT INTO public.who_import VALUES (40767, '2020-04-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1997', '64586', '121', '3993');
INSERT INTO public.who_import VALUES (40768, '2020-04-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1634', '66220', '117', '4110');
INSERT INTO public.who_import VALUES (40769, '2020-04-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1972', '68192', '122', '4232');
INSERT INTO public.who_import VALUES (40770, '2020-04-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1837', '70029', '125', '4357');
INSERT INTO public.who_import VALUES (40771, '2020-04-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1657', '71686', '117', '4474');
INSERT INTO public.who_import VALUES (40772, '2020-04-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1617', '73303', '111', '4585');
INSERT INTO public.who_import VALUES (40773, '2020-04-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1574', '74877', '98', '4683');
INSERT INTO public.who_import VALUES (40774, '2020-04-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1512', '76389', '94', '4777');
INSERT INTO public.who_import VALUES (40775, '2020-04-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1606', '77995', '92', '4869');
INSERT INTO public.who_import VALUES (40776, '2020-04-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1499', '79494', '89', '4958');
INSERT INTO public.who_import VALUES (40777, '2020-04-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1374', '80868', '73', '5031');
INSERT INTO public.who_import VALUES (40778, '2020-04-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1343', '82211', '87', '5118');
INSERT INTO public.who_import VALUES (40779, '2020-04-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1294', '83505', '91', '5209');
INSERT INTO public.who_import VALUES (40780, '2020-04-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1297', '84802', '88', '5297');
INSERT INTO public.who_import VALUES (40781, '2020-04-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1194', '85996', '94', '5391');
INSERT INTO public.who_import VALUES (40782, '2020-04-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1030', '87026', '90', '5481');
INSERT INTO public.who_import VALUES (40783, '2020-04-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1168', '88194', '93', '5574');
INSERT INTO public.who_import VALUES (40784, '2020-04-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1134', '89328', '76', '5650');
INSERT INTO public.who_import VALUES (40785, '2020-04-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1153', '90481', '60', '5710');
INSERT INTO public.who_import VALUES (40786, '2020-04-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '991', '91472', '96', '5806');
INSERT INTO public.who_import VALUES (40787, '2020-04-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1112', '92584', '71', '5877');
INSERT INTO public.who_import VALUES (40788, '2020-04-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1073', '93657', '80', '5957');
INSERT INTO public.who_import VALUES (40789, '2020-04-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '983', '94640', '71', '6028');
INSERT INTO public.who_import VALUES (40790, '2020-05-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1006', '95646', '63', '6091');
INSERT INTO public.who_import VALUES (40791, '2020-05-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '802', '96448', '65', '6156');
INSERT INTO public.who_import VALUES (40792, '2020-05-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '976', '97424', '47', '6203');
INSERT INTO public.who_import VALUES (40793, '2020-05-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1223', '98647', '74', '6277');
INSERT INTO public.who_import VALUES (40794, '2020-05-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1323', '99970', '63', '6340');
INSERT INTO public.who_import VALUES (40795, '2020-05-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1680', '101650', '78', '6418');
INSERT INTO public.who_import VALUES (40796, '2020-05-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1485', '103135', '68', '6486');
INSERT INTO public.who_import VALUES (40797, '2020-05-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1556', '104691', '55', '6541');
INSERT INTO public.who_import VALUES (40798, '2020-05-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1529', '106220', '48', '6589');
INSERT INTO public.who_import VALUES (40799, '2020-05-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1383', '107603', '51', '6640');
INSERT INTO public.who_import VALUES (40800, '2020-05-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1683', '109286', '45', '6685');
INSERT INTO public.who_import VALUES (40801, '2020-05-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1481', '110767', '48', '6733');
INSERT INTO public.who_import VALUES (40802, '2020-05-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1958', '112725', '50', '6783');
INSERT INTO public.who_import VALUES (40803, '2020-05-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1808', '114533', '71', '6854');
INSERT INTO public.who_import VALUES (40804, '2020-05-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2102', '116635', '48', '6902');
INSERT INTO public.who_import VALUES (40805, '2020-05-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1757', '118392', '35', '6937');
INSERT INTO public.who_import VALUES (40806, '2020-05-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1806', '120198', '51', '6988');
INSERT INTO public.who_import VALUES (40807, '2020-05-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2294', '122492', '69', '7057');
INSERT INTO public.who_import VALUES (40808, '2020-05-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2111', '124603', '62', '7119');
INSERT INTO public.who_import VALUES (40809, '2020-05-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2346', '126949', '64', '7183');
INSERT INTO public.who_import VALUES (40810, '2020-05-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2392', '129341', '66', '7249');
INSERT INTO public.who_import VALUES (40811, '2020-05-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '0', '129341', '0', '7249');
INSERT INTO public.who_import VALUES (40812, '2020-05-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2311', '131652', '51', '7300');
INSERT INTO public.who_import VALUES (40813, '2020-05-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1869', '133521', '59', '7359');
INSERT INTO public.who_import VALUES (40814, '2020-05-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2180', '135701', '58', '7417');
INSERT INTO public.who_import VALUES (40815, '2020-05-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2023', '137724', '34', '7451');
INSERT INTO public.who_import VALUES (40816, '2020-05-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1787', '139511', '57', '7508');
INSERT INTO public.who_import VALUES (40817, '2020-05-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2080', '141591', '56', '7564');
INSERT INTO public.who_import VALUES (40818, '2020-05-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2258', '143849', '63', '7627');
INSERT INTO public.who_import VALUES (40819, '2020-05-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2819', '146668', '50', '7677');
INSERT INTO public.who_import VALUES (40820, '2020-05-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2282', '148950', '57', '7734');
INSERT INTO public.who_import VALUES (40821, '2020-06-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2516', '151466', '63', '7797');
INSERT INTO public.who_import VALUES (40822, '2020-06-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2979', '154445', '81', '7878');
INSERT INTO public.who_import VALUES (40823, '2020-06-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3117', '157562', '64', '7942');
INSERT INTO public.who_import VALUES (40824, '2020-06-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3134', '160696', '70', '8012');
INSERT INTO public.who_import VALUES (40825, '2020-06-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3574', '164270', '59', '8071');
INSERT INTO public.who_import VALUES (40826, '2020-06-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2886', '167156', '63', '8134');
INSERT INTO public.who_import VALUES (40827, '2020-06-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2269', '169425', '75', '8209');
INSERT INTO public.who_import VALUES (40828, '2020-06-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2364', '171789', '72', '8281');
INSERT INTO public.who_import VALUES (40829, '2020-06-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2043', '173832', '70', '8351');
INSERT INTO public.who_import VALUES (40830, '2020-06-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2095', '175927', '74', '8425');
INSERT INTO public.who_import VALUES (40831, '2020-06-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2011', '177938', '81', '8506');
INSERT INTO public.who_import VALUES (40832, '2020-06-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2238', '180176', '78', '8584');
INSERT INTO public.who_import VALUES (40833, '2020-06-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2369', '182545', '75', '8659');
INSERT INTO public.who_import VALUES (40834, '2020-06-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2410', '184955', '71', '8730');
INSERT INTO public.who_import VALUES (40835, '2020-06-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2472', '187427', '107', '8837');
INSERT INTO public.who_import VALUES (40836, '2020-06-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2449', '189876', '113', '8950');
INSERT INTO public.who_import VALUES (40837, '2020-06-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2563', '192439', '115', '9065');
INSERT INTO public.who_import VALUES (40838, '2020-06-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2612', '195051', '120', '9185');
INSERT INTO public.who_import VALUES (40839, '2020-06-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2596', '197647', '87', '9272');
INSERT INTO public.who_import VALUES (40840, '2020-06-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2615', '200262', '120', '9392');
INSERT INTO public.who_import VALUES (40841, '2020-06-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2322', '202584', '115', '9507');
INSERT INTO public.who_import VALUES (40842, '2020-06-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2368', '204952', '116', '9623');
INSERT INTO public.who_import VALUES (40843, '2020-06-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2573', '207525', '119', '9742');
INSERT INTO public.who_import VALUES (40844, '2020-06-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2445', '209970', '121', '9863');
INSERT INTO public.who_import VALUES (40845, '2020-06-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2531', '212501', '133', '9996');
INSERT INTO public.who_import VALUES (40846, '2020-06-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2595', '215096', '134', '10130');
INSERT INTO public.who_import VALUES (40847, '2020-06-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2628', '217724', '109', '10239');
INSERT INTO public.who_import VALUES (40848, '2020-06-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2456', '220180', '125', '10364');
INSERT INTO public.who_import VALUES (40849, '2020-06-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2489', '222669', '144', '10508');
INSERT INTO public.who_import VALUES (40850, '2020-06-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2536', '225205', '162', '10670');
INSERT INTO public.who_import VALUES (40851, '2020-07-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2457', '227662', '147', '10817');
INSERT INTO public.who_import VALUES (40852, '2020-07-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2549', '230211', '141', '10958');
INSERT INTO public.who_import VALUES (40853, '2020-07-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2652', '232863', '148', '11106');
INSERT INTO public.who_import VALUES (40854, '2020-07-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2566', '235429', '154', '11260');
INSERT INTO public.who_import VALUES (40855, '2020-07-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2449', '237878', '148', '11408');
INSERT INTO public.who_import VALUES (40856, '2020-07-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2560', '240438', '163', '11571');
INSERT INTO public.who_import VALUES (40857, '2020-07-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2613', '243051', '160', '11731');
INSERT INTO public.who_import VALUES (40858, '2020-07-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2637', '245688', '200', '11931');
INSERT INTO public.who_import VALUES (40859, '2020-07-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2691', '248379', '153', '12084');
INSERT INTO public.who_import VALUES (40860, '2020-07-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2079', '250458', '221', '12305');
INSERT INTO public.who_import VALUES (40861, '2020-07-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2262', '252720', '142', '12447');
INSERT INTO public.who_import VALUES (40862, '2020-07-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2397', '255117', '188', '12635');
INSERT INTO public.who_import VALUES (40863, '2020-07-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2186', '257303', '194', '12829');
INSERT INTO public.who_import VALUES (40864, '2020-07-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2349', '259652', '203', '13032');
INSERT INTO public.who_import VALUES (40865, '2020-07-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2521', '262173', '179', '13211');
INSERT INTO public.who_import VALUES (41114, '2020-01-31', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40866, '2020-07-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2388', '264561', '199', '13410');
INSERT INTO public.who_import VALUES (40867, '2020-07-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2500', '267061', '198', '13608');
INSERT INTO public.who_import VALUES (40868, '2020-07-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2379', '269440', '183', '13791');
INSERT INTO public.who_import VALUES (40869, '2020-07-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2166', '271606', '188', '13979');
INSERT INTO public.who_import VALUES (40870, '2020-07-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2182', '273788', '209', '14188');
INSERT INTO public.who_import VALUES (40871, '2020-07-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2414', '276202', '217', '14405');
INSERT INTO public.who_import VALUES (40872, '2020-07-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2625', '278827', '229', '14634');
INSERT INTO public.who_import VALUES (40873, '2020-07-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2586', '281413', '219', '14853');
INSERT INTO public.who_import VALUES (40874, '2020-07-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2621', '284034', '221', '15074');
INSERT INTO public.who_import VALUES (40875, '2020-07-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2489', '286523', '215', '15289');
INSERT INTO public.who_import VALUES (40876, '2020-07-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2316', '288839', '195', '15484');
INSERT INTO public.who_import VALUES (40877, '2020-07-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2333', '291172', '216', '15700');
INSERT INTO public.who_import VALUES (40878, '2020-07-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2434', '293606', '212', '15912');
INSERT INTO public.who_import VALUES (40879, '2020-07-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2667', '296273', '235', '16147');
INSERT INTO public.who_import VALUES (40880, '2020-07-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2636', '298909', '196', '16343');
INSERT INTO public.who_import VALUES (40881, '2020-07-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2621', '301530', '226', '16569');
INSERT INTO public.who_import VALUES (40882, '2020-08-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2674', '304204', '197', '16766');
INSERT INTO public.who_import VALUES (40883, '2020-08-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2548', '306752', '216', '16982');
INSERT INTO public.who_import VALUES (40884, '2020-08-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2685', '309437', '208', '17190');
INSERT INTO public.who_import VALUES (40885, '2020-08-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2598', '312035', '215', '17405');
INSERT INTO public.who_import VALUES (40886, '2020-08-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2751', '314786', '212', '17617');
INSERT INTO public.who_import VALUES (40887, '2020-08-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2697', '317483', '185', '17802');
INSERT INTO public.who_import VALUES (40888, '2020-08-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2634', '320117', '174', '17976');
INSERT INTO public.who_import VALUES (40889, '2020-08-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2450', '322567', '156', '18132');
INSERT INTO public.who_import VALUES (40890, '2020-08-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2125', '324692', '132', '18264');
INSERT INTO public.who_import VALUES (40891, '2020-08-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2020', '326712', '163', '18427');
INSERT INTO public.who_import VALUES (40892, '2020-08-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2132', '328844', '189', '18616');
INSERT INTO public.who_import VALUES (40893, '2020-08-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2345', '331189', '184', '18800');
INSERT INTO public.who_import VALUES (40894, '2020-08-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2510', '333699', '188', '18988');
INSERT INTO public.who_import VALUES (40895, '2020-08-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2625', '336324', '174', '19162');
INSERT INTO public.who_import VALUES (40896, '2020-08-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2501', '338825', '169', '19331');
INSERT INTO public.who_import VALUES (40897, '2020-08-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2245', '341070', '161', '19492');
INSERT INTO public.who_import VALUES (40898, '2020-08-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2133', '343203', '147', '19639');
INSERT INTO public.who_import VALUES (40899, '2020-08-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2247', '345450', '165', '19804');
INSERT INTO public.who_import VALUES (40900, '2020-08-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2385', '347835', '168', '19972');
INSERT INTO public.who_import VALUES (40901, '2020-08-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2444', '350279', '153', '20125');
INSERT INTO public.who_import VALUES (40902, '2020-08-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2279', '352558', '139', '20264');
INSERT INTO public.who_import VALUES (40903, '2020-08-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2206', '354764', '112', '20376');
INSERT INTO public.who_import VALUES (40904, '2020-08-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2028', '356792', '126', '20502');
INSERT INTO public.who_import VALUES (40905, '2020-08-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2113', '358905', '141', '20643');
INSERT INTO public.who_import VALUES (40906, '2020-08-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2245', '361150', '133', '20776');
INSERT INTO public.who_import VALUES (40907, '2020-08-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2213', '363363', '125', '20901');
INSERT INTO public.who_import VALUES (40908, '2020-08-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2243', '365606', '119', '21020');
INSERT INTO public.who_import VALUES (40909, '2020-08-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2190', '367796', '117', '21137');
INSERT INTO public.who_import VALUES (40910, '2020-08-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2115', '369911', '112', '21249');
INSERT INTO public.who_import VALUES (40911, '2020-08-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1905', '371816', '110', '21359');
INSERT INTO public.who_import VALUES (40912, '2020-08-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1754', '373570', '103', '21462');
INSERT INTO public.who_import VALUES (40913, '2020-09-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1642', '375212', '109', '21571');
INSERT INTO public.who_import VALUES (40914, '2020-09-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1682', '376894', '101', '21672');
INSERT INTO public.who_import VALUES (40915, '2020-09-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1858', '378752', '125', '21797');
INSERT INTO public.who_import VALUES (40916, '2020-09-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1994', '380746', '129', '21926');
INSERT INTO public.who_import VALUES (40917, '2020-09-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2026', '382772', '118', '22044');
INSERT INTO public.who_import VALUES (40918, '2020-09-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1894', '384666', '110', '22154');
INSERT INTO public.who_import VALUES (40919, '2020-09-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '1992', '386658', '139', '22293');
INSERT INTO public.who_import VALUES (40920, '2020-09-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2152', '388810', '117', '22410');
INSERT INTO public.who_import VALUES (40921, '2020-09-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2302', '391112', '132', '22542');
INSERT INTO public.who_import VALUES (40922, '2020-09-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2313', '393425', '127', '22669');
INSERT INTO public.who_import VALUES (40923, '2020-09-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2063', '395488', '129', '22798');
INSERT INTO public.who_import VALUES (40924, '2020-09-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2313', '397801', '115', '22913');
INSERT INTO public.who_import VALUES (40925, '2020-09-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2139', '399940', '116', '23029');
INSERT INTO public.who_import VALUES (40926, '2020-09-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2089', '402029', '128', '23157');
INSERT INTO public.who_import VALUES (40927, '2020-09-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2619', '404648', '156', '23313');
INSERT INTO public.who_import VALUES (40928, '2020-09-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2705', '407353', '140', '23453');
INSERT INTO public.who_import VALUES (40929, '2020-09-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2981', '410334', '179', '23632');
INSERT INTO public.who_import VALUES (40930, '2020-09-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2815', '413149', '176', '23808');
INSERT INTO public.who_import VALUES (40931, '2020-09-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3049', '416198', '144', '23952');
INSERT INTO public.who_import VALUES (40932, '2020-09-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '2845', '419043', '166', '24118');
INSERT INTO public.who_import VALUES (40933, '2020-09-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3097', '422140', '183', '24301');
INSERT INTO public.who_import VALUES (40934, '2020-09-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3341', '425481', '177', '24478');
INSERT INTO public.who_import VALUES (40935, '2020-09-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3712', '429193', '178', '24656');
INSERT INTO public.who_import VALUES (40936, '2020-09-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3605', '432798', '184', '24840');
INSERT INTO public.who_import VALUES (40937, '2020-09-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3521', '436319', '175', '25015');
INSERT INTO public.who_import VALUES (40938, '2020-09-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3563', '439882', '207', '25222');
INSERT INTO public.who_import VALUES (40939, '2020-09-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3204', '443086', '172', '25394');
INSERT INTO public.who_import VALUES (40940, '2020-09-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3362', '446448', '195', '25589');
INSERT INTO public.who_import VALUES (40941, '2020-09-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3512', '449960', '190', '25779');
INSERT INTO public.who_import VALUES (40942, '2020-09-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3677', '453637', '207', '25986');
INSERT INTO public.who_import VALUES (40943, '2020-10-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3582', '457219', '183', '26169');
INSERT INTO public.who_import VALUES (40944, '2020-10-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3825', '461044', '211', '26380');
INSERT INTO public.who_import VALUES (40945, '2020-10-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3552', '464596', '187', '26567');
INSERT INTO public.who_import VALUES (40946, '2020-10-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3523', '468119', '179', '26746');
INSERT INTO public.who_import VALUES (41115, '2020-02-01', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (40947, '2020-10-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3653', '471772', '211', '26957');
INSERT INTO public.who_import VALUES (40948, '2020-10-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3902', '475674', '235', '27192');
INSERT INTO public.who_import VALUES (40949, '2020-10-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4151', '479825', '227', '27419');
INSERT INTO public.who_import VALUES (40950, '2020-10-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4019', '483844', '239', '27658');
INSERT INTO public.who_import VALUES (40951, '2020-10-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4392', '488236', '230', '27888');
INSERT INTO public.who_import VALUES (40952, '2020-10-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4142', '492378', '210', '28098');
INSERT INTO public.who_import VALUES (40953, '2020-10-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3875', '496253', '195', '28293');
INSERT INTO public.who_import VALUES (40954, '2020-10-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3822', '500075', '251', '28544');
INSERT INTO public.who_import VALUES (40955, '2020-10-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4206', '504281', '272', '28816');
INSERT INTO public.who_import VALUES (40956, '2020-10-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4108', '508389', '254', '29070');
INSERT INTO public.who_import VALUES (40957, '2020-10-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4830', '513219', '279', '29349');
INSERT INTO public.who_import VALUES (40958, '2020-10-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4616', '517835', '256', '29605');
INSERT INTO public.who_import VALUES (40959, '2020-10-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4552', '522387', '265', '29870');
INSERT INTO public.who_import VALUES (40960, '2020-10-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4103', '526490', '253', '30123');
INSERT INTO public.who_import VALUES (40961, '2020-10-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '3890', '530380', '252', '30375');
INSERT INTO public.who_import VALUES (40962, '2020-10-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '4251', '534631', '337', '30712');
INSERT INTO public.who_import VALUES (40963, '2020-10-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5039', '539670', '322', '31034');
INSERT INTO public.who_import VALUES (40964, '2020-10-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5616', '545286', '312', '31346');
INSERT INTO public.who_import VALUES (40965, '2020-10-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5471', '550757', '304', '31650');
INSERT INTO public.who_import VALUES (40966, '2020-10-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6134', '556891', '335', '31985');
INSERT INTO public.who_import VALUES (40967, '2020-10-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5814', '562705', '335', '32320');
INSERT INTO public.who_import VALUES (40968, '2020-10-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6191', '568896', '296', '32616');
INSERT INTO public.who_import VALUES (40969, '2020-10-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5960', '574856', '337', '32953');
INSERT INTO public.who_import VALUES (40970, '2020-10-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6968', '581824', '346', '33299');
INSERT INTO public.who_import VALUES (40971, '2020-10-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6824', '588648', '415', '33714');
INSERT INTO public.who_import VALUES (40972, '2020-10-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8293', '596941', '399', '34113');
INSERT INTO public.who_import VALUES (40973, '2020-10-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8011', '604952', '365', '34478');
INSERT INTO public.who_import VALUES (40974, '2020-11-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7820', '612772', '386', '34864');
INSERT INTO public.who_import VALUES (40975, '2020-11-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7719', '620491', '434', '35298');
INSERT INTO public.who_import VALUES (40976, '2020-11-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8289', '628780', '440', '35738');
INSERT INTO public.who_import VALUES (40977, '2020-11-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8932', '637712', '422', '36160');
INSERT INTO public.who_import VALUES (40978, '2020-11-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8452', '646164', '419', '36579');
INSERT INTO public.who_import VALUES (40979, '2020-11-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8772', '654936', '406', '36985');
INSERT INTO public.who_import VALUES (40980, '2020-11-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8864', '663800', '424', '37409');
INSERT INTO public.who_import VALUES (40981, '2020-11-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '9450', '673250', '423', '37832');
INSERT INTO public.who_import VALUES (40982, '2020-11-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '9236', '682486', '459', '38291');
INSERT INTO public.who_import VALUES (40983, '2020-11-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '10463', '692949', '458', '38749');
INSERT INTO public.who_import VALUES (40984, '2020-11-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '10339', '703288', '453', '39202');
INSERT INTO public.who_import VALUES (40985, '2020-11-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '11780', '715068', '462', '39664');
INSERT INTO public.who_import VALUES (40986, '2020-11-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '11517', '726585', '457', '40121');
INSERT INTO public.who_import VALUES (40987, '2020-11-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '11737', '738322', '461', '40582');
INSERT INTO public.who_import VALUES (40988, '2020-11-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '11203', '749525', '452', '41034');
INSERT INTO public.who_import VALUES (40989, '2020-11-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '12543', '762068', '459', '41493');
INSERT INTO public.who_import VALUES (40990, '2020-11-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13053', '775121', '486', '41979');
INSERT INTO public.who_import VALUES (40991, '2020-11-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13352', '788473', '482', '42461');
INSERT INTO public.who_import VALUES (40992, '2020-11-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13421', '801894', '480', '42941');
INSERT INTO public.who_import VALUES (40993, '2020-11-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13223', '815117', '476', '43417');
INSERT INTO public.who_import VALUES (40994, '2020-11-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13260', '828377', '479', '43896');
INSERT INTO public.who_import VALUES (40995, '2020-11-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '12931', '841308', '431', '44327');
INSERT INTO public.who_import VALUES (40996, '2020-11-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13053', '854361', '475', '44802');
INSERT INTO public.who_import VALUES (40997, '2020-11-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '12460', '866821', '453', '45255');
INSERT INTO public.who_import VALUES (40998, '2020-11-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13721', '880542', '483', '45738');
INSERT INTO public.who_import VALUES (40999, '2020-11-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13843', '894385', '469', '46207');
INSERT INTO public.who_import VALUES (41000, '2020-11-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13961', '908346', '482', '46689');
INSERT INTO public.who_import VALUES (41001, '2020-11-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '14051', '922397', '406', '47095');
INSERT INTO public.who_import VALUES (41002, '2020-11-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13402', '935799', '391', '47486');
INSERT INTO public.who_import VALUES (41003, '2020-11-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '12950', '948749', '389', '47875');
INSERT INTO public.who_import VALUES (41004, '2020-12-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13321', '962070', '371', '48246');
INSERT INTO public.who_import VALUES (41005, '2020-12-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13881', '975951', '382', '48628');
INSERT INTO public.who_import VALUES (41006, '2020-12-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13621', '989572', '362', '48990');
INSERT INTO public.who_import VALUES (41007, '2020-12-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13922', '1003494', '358', '49348');
INSERT INTO public.who_import VALUES (41008, '2020-12-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '13341', '1016835', '347', '49695');
INSERT INTO public.who_import VALUES (41009, '2020-12-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '12151', '1028986', '321', '50016');
INSERT INTO public.who_import VALUES (41010, '2020-12-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '11561', '1040547', '294', '50310');
INSERT INTO public.who_import VALUES (41011, '2020-12-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '10827', '1051374', '284', '50594');
INSERT INTO public.who_import VALUES (41012, '2020-12-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '11023', '1062397', '323', '50917');
INSERT INTO public.who_import VALUES (41013, '2020-12-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '10223', '1072620', '295', '51212');
INSERT INTO public.who_import VALUES (41014, '2020-12-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '10403', '1083023', '284', '51496');
INSERT INTO public.who_import VALUES (41015, '2020-12-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '9594', '1092617', '232', '51728');
INSERT INTO public.who_import VALUES (41016, '2020-12-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8201', '1100818', '221', '51949');
INSERT INTO public.who_import VALUES (41017, '2020-12-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7451', '1108269', '247', '52196');
INSERT INTO public.who_import VALUES (41018, '2020-12-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7501', '1115770', '251', '52447');
INSERT INTO public.who_import VALUES (41019, '2020-12-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7704', '1123474', '223', '52670');
INSERT INTO public.who_import VALUES (41020, '2020-12-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7603', '1131077', '213', '52883');
INSERT INTO public.who_import VALUES (41021, '2020-12-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7453', '1138530', '212', '53095');
INSERT INTO public.who_import VALUES (41022, '2020-12-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7121', '1145651', '178', '53273');
INSERT INTO public.who_import VALUES (41023, '2020-12-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6421', '1152072', '175', '53448');
INSERT INTO public.who_import VALUES (41024, '2020-12-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6312', '1158384', '177', '53625');
INSERT INTO public.who_import VALUES (41025, '2020-12-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6151', '1164535', '191', '53816');
INSERT INTO public.who_import VALUES (41026, '2020-12-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6208', '1170743', '187', '54003');
INSERT INTO public.who_import VALUES (41027, '2020-12-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6261', '1177004', '153', '54156');
INSERT INTO public.who_import VALUES (41028, '2020-12-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6178', '1183182', '152', '54308');
INSERT INTO public.who_import VALUES (41029, '2020-12-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6021', '1189203', '132', '54440');
INSERT INTO public.who_import VALUES (41030, '2020-12-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5760', '1194963', '134', '54574');
INSERT INTO public.who_import VALUES (41031, '2020-12-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5502', '1200465', '119', '54693');
INSERT INTO public.who_import VALUES (41032, '2020-12-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5908', '1206373', '121', '54814');
INSERT INTO public.who_import VALUES (41033, '2020-12-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6108', '1212481', '132', '54946');
INSERT INTO public.who_import VALUES (41034, '2020-12-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6272', '1218753', '149', '55095');
INSERT INTO public.who_import VALUES (41035, '2021-01-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6390', '1225143', '128', '55223');
INSERT INTO public.who_import VALUES (41036, '2021-01-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6286', '1231429', '114', '55337');
INSERT INTO public.who_import VALUES (41037, '2021-01-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6045', '1237474', '101', '55438');
INSERT INTO public.who_import VALUES (41038, '2021-01-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5960', '1243434', '102', '55540');
INSERT INTO public.who_import VALUES (41039, '2021-01-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6073', '1249507', '110', '55650');
INSERT INTO public.who_import VALUES (41040, '2021-01-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6113', '1255620', '98', '55748');
INSERT INTO public.who_import VALUES (41041, '2021-01-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6283', '1261903', '82', '55830');
INSERT INTO public.who_import VALUES (41042, '2021-01-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6360', '1268263', '103', '55933');
INSERT INTO public.who_import VALUES (41043, '2021-01-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6251', '1274514', '85', '56018');
INSERT INTO public.who_import VALUES (41044, '2021-01-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5924', '1280438', '82', '56100');
INSERT INTO public.who_import VALUES (41045, '2021-01-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5968', '1286406', '71', '56171');
INSERT INTO public.who_import VALUES (41046, '2021-01-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6208', '1292614', '91', '56262');
INSERT INTO public.who_import VALUES (41047, '2021-01-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6408', '1299022', '98', '56360');
INSERT INTO public.who_import VALUES (41048, '2021-01-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6317', '1305339', '97', '56457');
INSERT INTO public.who_import VALUES (41049, '2021-01-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6471', '1311810', '81', '56538');
INSERT INTO public.who_import VALUES (41050, '2021-01-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6485', '1318295', '83', '56621');
INSERT INTO public.who_import VALUES (41051, '2021-01-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6100', '1324395', '96', '56717');
INSERT INTO public.who_import VALUES (41052, '2021-01-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6016', '1330411', '86', '56803');
INSERT INTO public.who_import VALUES (41053, '2021-01-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5806', '1336217', '83', '56886');
INSERT INTO public.who_import VALUES (41054, '2021-01-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5917', '1342134', '87', '56973');
INSERT INTO public.who_import VALUES (41055, '2021-01-21', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6182', '1348316', '84', '57057');
INSERT INTO public.who_import VALUES (41056, '2021-01-22', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6204', '1354520', '93', '57150');
INSERT INTO public.who_import VALUES (41057, '2021-01-23', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6305', '1360825', '75', '57225');
INSERT INTO public.who_import VALUES (41058, '2021-01-24', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6207', '1367032', '69', '57294');
INSERT INTO public.who_import VALUES (41059, '2021-01-25', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '5945', '1372977', '89', '57383');
INSERT INTO public.who_import VALUES (41060, '2021-01-26', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6309', '1379286', '98', '57481');
INSERT INTO public.who_import VALUES (41061, '2021-01-27', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6420', '1385706', '79', '57560');
INSERT INTO public.who_import VALUES (41062, '2021-01-28', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6608', '1392314', '91', '57651');
INSERT INTO public.who_import VALUES (41063, '2021-01-29', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6527', '1398841', '85', '57736');
INSERT INTO public.who_import VALUES (41064, '2021-01-30', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6573', '1405414', '71', '57807');
INSERT INTO public.who_import VALUES (41065, '2021-01-31', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6317', '1411731', '82', '57889');
INSERT INTO public.who_import VALUES (41066, '2021-02-01', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6268', '1417999', '70', '57959');
INSERT INTO public.who_import VALUES (41067, '2021-02-02', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6597', '1424596', '79', '58038');
INSERT INTO public.who_import VALUES (41068, '2021-02-03', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6820', '1431416', '72', '58110');
INSERT INTO public.who_import VALUES (41069, '2021-02-04', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6870', '1438286', '79', '58189');
INSERT INTO public.who_import VALUES (41070, '2021-02-05', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7040', '1445326', '67', '58256');
INSERT INTO public.who_import VALUES (41071, '2021-02-06', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7061', '1452387', '80', '58336');
INSERT INTO public.who_import VALUES (41072, '2021-02-07', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '6983', '1459370', '76', '58412');
INSERT INTO public.who_import VALUES (41073, '2021-02-08', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7065', '1466435', '57', '58469');
INSERT INTO public.who_import VALUES (41074, '2021-02-09', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7321', '1473756', '67', '58536');
INSERT INTO public.who_import VALUES (41075, '2021-02-10', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7640', '1481396', '89', '58625');
INSERT INTO public.who_import VALUES (41076, '2021-02-11', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7585', '1488981', '61', '58686');
INSERT INTO public.who_import VALUES (41077, '2021-02-12', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7474', '1496455', '65', '58751');
INSERT INTO public.who_import VALUES (41078, '2021-02-13', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7298', '1503753', '58', '58809');
INSERT INTO public.who_import VALUES (41079, '2021-02-14', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7120', '1510873', '74', '58883');
INSERT INTO public.who_import VALUES (41080, '2021-02-15', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7390', '1518263', '62', '58945');
INSERT INTO public.who_import VALUES (41081, '2021-02-16', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '7760', '1526023', '83', '59028');
INSERT INTO public.who_import VALUES (41082, '2021-02-17', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8011', '1534034', '89', '59117');
INSERT INTO public.who_import VALUES (41083, '2021-02-18', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8042', '1542076', '67', '59184');
INSERT INTO public.who_import VALUES (41084, '2021-02-19', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8066', '1550142', '80', '59264');
INSERT INTO public.who_import VALUES (41085, '2021-02-20', 'IR', 'Iran (Islamic Republic of)', 'EMRO', '8017', '1558159', '77', '59341');
INSERT INTO public.who_import VALUES (41086, '2020-01-03', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41087, '2020-01-04', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41088, '2020-01-05', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41089, '2020-01-06', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41090, '2020-01-07', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41091, '2020-01-08', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41092, '2020-01-09', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41093, '2020-01-10', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41094, '2020-01-11', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41095, '2020-01-12', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41096, '2020-01-13', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41097, '2020-01-14', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41098, '2020-01-15', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41099, '2020-01-16', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41100, '2020-01-17', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41101, '2020-01-18', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41102, '2020-01-19', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41103, '2020-01-20', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41104, '2020-01-21', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41105, '2020-01-22', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41106, '2020-01-23', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41107, '2020-01-24', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41108, '2020-01-25', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41109, '2020-01-26', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41110, '2020-01-27', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41111, '2020-01-28', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41112, '2020-01-29', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41113, '2020-01-30', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41116, '2020-02-02', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41117, '2020-02-03', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41118, '2020-02-04', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41119, '2020-02-05', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41120, '2020-02-06', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41121, '2020-02-07', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41122, '2020-02-08', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41123, '2020-02-09', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41124, '2020-02-10', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41125, '2020-02-11', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41126, '2020-02-12', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41127, '2020-02-13', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41128, '2020-02-14', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41129, '2020-02-15', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41130, '2020-02-16', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41131, '2020-02-17', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41132, '2020-02-18', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41133, '2020-02-19', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41134, '2020-02-20', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41135, '2020-02-21', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41136, '2020-02-22', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41137, '2020-02-23', 'IQ', 'Iraq', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41138, '2020-02-24', 'IQ', 'Iraq', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (41139, '2020-02-25', 'IQ', 'Iraq', 'EMRO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (41140, '2020-02-26', 'IQ', 'Iraq', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (41141, '2020-02-27', 'IQ', 'Iraq', 'EMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (41142, '2020-02-28', 'IQ', 'Iraq', 'EMRO', '2', '12', '0', '0');
INSERT INTO public.who_import VALUES (41143, '2020-02-29', 'IQ', 'Iraq', 'EMRO', '5', '17', '0', '0');
INSERT INTO public.who_import VALUES (41144, '2020-03-01', 'IQ', 'Iraq', 'EMRO', '6', '23', '0', '0');
INSERT INTO public.who_import VALUES (41145, '2020-03-02', 'IQ', 'Iraq', 'EMRO', '7', '30', '0', '0');
INSERT INTO public.who_import VALUES (41146, '2020-03-03', 'IQ', 'Iraq', 'EMRO', '5', '35', '0', '0');
INSERT INTO public.who_import VALUES (41147, '2020-03-04', 'IQ', 'Iraq', 'EMRO', '5', '40', '2', '2');
INSERT INTO public.who_import VALUES (41148, '2020-03-05', 'IQ', 'Iraq', 'EMRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (41149, '2020-03-06', 'IQ', 'Iraq', 'EMRO', '8', '48', '2', '4');
INSERT INTO public.who_import VALUES (41150, '2020-03-07', 'IQ', 'Iraq', 'EMRO', '10', '58', '0', '4');
INSERT INTO public.who_import VALUES (41151, '2020-03-08', 'IQ', 'Iraq', 'EMRO', '6', '64', '0', '4');
INSERT INTO public.who_import VALUES (41152, '2020-03-09', 'IQ', 'Iraq', 'EMRO', '0', '64', '0', '4');
INSERT INTO public.who_import VALUES (41153, '2020-03-10', 'IQ', 'Iraq', 'EMRO', '1', '65', '2', '6');
INSERT INTO public.who_import VALUES (41154, '2020-03-11', 'IQ', 'Iraq', 'EMRO', '9', '74', '1', '7');
INSERT INTO public.who_import VALUES (41155, '2020-03-12', 'IQ', 'Iraq', 'EMRO', '0', '74', '0', '7');
INSERT INTO public.who_import VALUES (41156, '2020-03-13', 'IQ', 'Iraq', 'EMRO', '0', '74', '0', '7');
INSERT INTO public.who_import VALUES (41157, '2020-03-14', 'IQ', 'Iraq', 'EMRO', '23', '97', '2', '9');
INSERT INTO public.who_import VALUES (41158, '2020-03-15', 'IQ', 'Iraq', 'EMRO', '31', '128', '0', '9');
INSERT INTO public.who_import VALUES (41159, '2020-03-16', 'IQ', 'Iraq', 'EMRO', '0', '128', '0', '9');
INSERT INTO public.who_import VALUES (41160, '2020-03-17', 'IQ', 'Iraq', 'EMRO', '30', '158', '2', '11');
INSERT INTO public.who_import VALUES (41161, '2020-03-18', 'IQ', 'Iraq', 'EMRO', '10', '168', '1', '12');
INSERT INTO public.who_import VALUES (41162, '2020-03-19', 'IQ', 'Iraq', 'EMRO', '13', '181', '0', '12');
INSERT INTO public.who_import VALUES (41163, '2020-03-20', 'IQ', 'Iraq', 'EMRO', '12', '193', '2', '14');
INSERT INTO public.who_import VALUES (41164, '2020-03-21', 'IQ', 'Iraq', 'EMRO', '21', '214', '3', '17');
INSERT INTO public.who_import VALUES (41165, '2020-03-22', 'IQ', 'Iraq', 'EMRO', '19', '233', '3', '20');
INSERT INTO public.who_import VALUES (41166, '2020-03-23', 'IQ', 'Iraq', 'EMRO', '33', '266', '3', '23');
INSERT INTO public.who_import VALUES (41167, '2020-03-24', 'IQ', 'Iraq', 'EMRO', '50', '316', '4', '27');
INSERT INTO public.who_import VALUES (41168, '2020-03-25', 'IQ', 'Iraq', 'EMRO', '30', '346', '2', '29');
INSERT INTO public.who_import VALUES (41169, '2020-03-26', 'IQ', 'Iraq', 'EMRO', '36', '382', '7', '36');
INSERT INTO public.who_import VALUES (41170, '2020-03-27', 'IQ', 'Iraq', 'EMRO', '76', '458', '4', '40');
INSERT INTO public.who_import VALUES (41171, '2020-03-28', 'IQ', 'Iraq', 'EMRO', '48', '506', '2', '42');
INSERT INTO public.who_import VALUES (41172, '2020-03-29', 'IQ', 'Iraq', 'EMRO', '41', '547', '0', '42');
INSERT INTO public.who_import VALUES (41173, '2020-03-30', 'IQ', 'Iraq', 'EMRO', '0', '547', '0', '42');
INSERT INTO public.who_import VALUES (41174, '2020-03-31', 'IQ', 'Iraq', 'EMRO', '83', '630', '4', '46');
INSERT INTO public.who_import VALUES (41175, '2020-04-01', 'IQ', 'Iraq', 'EMRO', '64', '694', '4', '50');
INSERT INTO public.who_import VALUES (41176, '2020-04-02', 'IQ', 'Iraq', 'EMRO', '78', '772', '4', '54');
INSERT INTO public.who_import VALUES (41177, '2020-04-03', 'IQ', 'Iraq', 'EMRO', '48', '820', '0', '54');
INSERT INTO public.who_import VALUES (41178, '2020-04-04', 'IQ', 'Iraq', 'EMRO', '58', '878', '2', '56');
INSERT INTO public.who_import VALUES (41179, '2020-04-05', 'IQ', 'Iraq', 'EMRO', '83', '961', '5', '61');
INSERT INTO public.who_import VALUES (41180, '2020-04-06', 'IQ', 'Iraq', 'EMRO', '70', '1031', '3', '64');
INSERT INTO public.who_import VALUES (41181, '2020-04-07', 'IQ', 'Iraq', 'EMRO', '0', '1031', '0', '64');
INSERT INTO public.who_import VALUES (41182, '2020-04-08', 'IQ', 'Iraq', 'EMRO', '91', '1122', '1', '65');
INSERT INTO public.who_import VALUES (41183, '2020-04-09', 'IQ', 'Iraq', 'EMRO', '80', '1202', '4', '69');
INSERT INTO public.who_import VALUES (41184, '2020-04-10', 'IQ', 'Iraq', 'EMRO', '77', '1279', '1', '70');
INSERT INTO public.who_import VALUES (41185, '2020-04-11', 'IQ', 'Iraq', 'EMRO', '39', '1318', '2', '72');
INSERT INTO public.who_import VALUES (41186, '2020-04-12', 'IQ', 'Iraq', 'EMRO', '34', '1352', '4', '76');
INSERT INTO public.who_import VALUES (41187, '2020-04-13', 'IQ', 'Iraq', 'EMRO', '26', '1378', '2', '78');
INSERT INTO public.who_import VALUES (41188, '2020-04-14', 'IQ', 'Iraq', 'EMRO', '22', '1400', '0', '78');
INSERT INTO public.who_import VALUES (41189, '2020-04-15', 'IQ', 'Iraq', 'EMRO', '15', '1415', '1', '79');
INSERT INTO public.who_import VALUES (41190, '2020-04-16', 'IQ', 'Iraq', 'EMRO', '19', '1434', '1', '80');
INSERT INTO public.who_import VALUES (41191, '2020-04-17', 'IQ', 'Iraq', 'EMRO', '0', '1434', '0', '80');
INSERT INTO public.who_import VALUES (41192, '2020-04-18', 'IQ', 'Iraq', 'EMRO', '48', '1482', '1', '81');
INSERT INTO public.who_import VALUES (41193, '2020-04-19', 'IQ', 'Iraq', 'EMRO', '31', '1513', '1', '82');
INSERT INTO public.who_import VALUES (41194, '2020-04-20', 'IQ', 'Iraq', 'EMRO', '61', '1574', '0', '82');
INSERT INTO public.who_import VALUES (41195, '2020-04-21', 'IQ', 'Iraq', 'EMRO', '28', '1602', '1', '83');
INSERT INTO public.who_import VALUES (41196, '2020-04-22', 'IQ', 'Iraq', 'EMRO', '0', '1602', '0', '83');
INSERT INTO public.who_import VALUES (41197, '2020-04-23', 'IQ', 'Iraq', 'EMRO', '75', '1677', '0', '83');
INSERT INTO public.who_import VALUES (41198, '2020-04-24', 'IQ', 'Iraq', 'EMRO', '0', '1677', '0', '83');
INSERT INTO public.who_import VALUES (41199, '2020-04-25', 'IQ', 'Iraq', 'EMRO', '31', '1708', '3', '86');
INSERT INTO public.who_import VALUES (41200, '2020-04-26', 'IQ', 'Iraq', 'EMRO', '55', '1763', '0', '86');
INSERT INTO public.who_import VALUES (41201, '2020-04-27', 'IQ', 'Iraq', 'EMRO', '57', '1820', '1', '87');
INSERT INTO public.who_import VALUES (41202, '2020-04-28', 'IQ', 'Iraq', 'EMRO', '27', '1847', '1', '88');
INSERT INTO public.who_import VALUES (41203, '2020-04-29', 'IQ', 'Iraq', 'EMRO', '81', '1928', '2', '90');
INSERT INTO public.who_import VALUES (41204, '2020-04-30', 'IQ', 'Iraq', 'EMRO', '75', '2003', '2', '92');
INSERT INTO public.who_import VALUES (41205, '2020-05-01', 'IQ', 'Iraq', 'EMRO', '82', '2085', '1', '93');
INSERT INTO public.who_import VALUES (41206, '2020-05-02', 'IQ', 'Iraq', 'EMRO', '68', '2153', '1', '94');
INSERT INTO public.who_import VALUES (41207, '2020-05-03', 'IQ', 'Iraq', 'EMRO', '66', '2219', '1', '95');
INSERT INTO public.who_import VALUES (41208, '2020-05-04', 'IQ', 'Iraq', 'EMRO', '77', '2296', '2', '97');
INSERT INTO public.who_import VALUES (41209, '2020-05-05', 'IQ', 'Iraq', 'EMRO', '50', '2346', '1', '98');
INSERT INTO public.who_import VALUES (41210, '2020-05-06', 'IQ', 'Iraq', 'EMRO', '85', '2431', '4', '102');
INSERT INTO public.who_import VALUES (41211, '2020-05-07', 'IQ', 'Iraq', 'EMRO', '49', '2480', '0', '102');
INSERT INTO public.who_import VALUES (41212, '2020-05-08', 'IQ', 'Iraq', 'EMRO', '63', '2543', '0', '102');
INSERT INTO public.who_import VALUES (41213, '2020-05-09', 'IQ', 'Iraq', 'EMRO', '60', '2603', '2', '104');
INSERT INTO public.who_import VALUES (41214, '2020-05-10', 'IQ', 'Iraq', 'EMRO', '164', '2767', '5', '109');
INSERT INTO public.who_import VALUES (41215, '2020-05-11', 'IQ', 'Iraq', 'EMRO', '51', '2818', '1', '110');
INSERT INTO public.who_import VALUES (41216, '2020-05-12', 'IQ', 'Iraq', 'EMRO', '95', '2913', '2', '112');
INSERT INTO public.who_import VALUES (41217, '2020-05-13', 'IQ', 'Iraq', 'EMRO', '119', '3032', '3', '115');
INSERT INTO public.who_import VALUES (41218, '2020-05-14', 'IQ', 'Iraq', 'EMRO', '111', '3143', '0', '115');
INSERT INTO public.who_import VALUES (41219, '2020-05-15', 'IQ', 'Iraq', 'EMRO', '50', '3193', '2', '117');
INSERT INTO public.who_import VALUES (41220, '2020-05-16', 'IQ', 'Iraq', 'EMRO', '67', '3260', '4', '121');
INSERT INTO public.who_import VALUES (41221, '2020-05-17', 'IQ', 'Iraq', 'EMRO', '144', '3404', '2', '123');
INSERT INTO public.who_import VALUES (41222, '2020-05-18', 'IQ', 'Iraq', 'EMRO', '150', '3554', '4', '127');
INSERT INTO public.who_import VALUES (41223, '2020-05-19', 'IQ', 'Iraq', 'EMRO', '57', '3611', '4', '131');
INSERT INTO public.who_import VALUES (41224, '2020-05-20', 'IQ', 'Iraq', 'EMRO', '113', '3724', '3', '134');
INSERT INTO public.who_import VALUES (41225, '2020-05-21', 'IQ', 'Iraq', 'EMRO', '153', '3877', '6', '140');
INSERT INTO public.who_import VALUES (41226, '2020-05-22', 'IQ', 'Iraq', 'EMRO', '0', '3877', '0', '140');
INSERT INTO public.who_import VALUES (41227, '2020-05-23', 'IQ', 'Iraq', 'EMRO', '87', '3964', '7', '147');
INSERT INTO public.who_import VALUES (41228, '2020-05-24', 'IQ', 'Iraq', 'EMRO', '308', '4272', '5', '152');
INSERT INTO public.who_import VALUES (41229, '2020-05-25', 'IQ', 'Iraq', 'EMRO', '197', '4469', '8', '160');
INSERT INTO public.who_import VALUES (41230, '2020-05-26', 'IQ', 'Iraq', 'EMRO', '163', '4632', '3', '163');
INSERT INTO public.who_import VALUES (41231, '2020-05-27', 'IQ', 'Iraq', 'EMRO', '216', '4848', '6', '169');
INSERT INTO public.who_import VALUES (41232, '2020-05-28', 'IQ', 'Iraq', 'EMRO', '287', '5135', '6', '175');
INSERT INTO public.who_import VALUES (41233, '2020-05-29', 'IQ', 'Iraq', 'EMRO', '322', '5457', '4', '179');
INSERT INTO public.who_import VALUES (41234, '2020-05-30', 'IQ', 'Iraq', 'EMRO', '416', '5873', '6', '185');
INSERT INTO public.who_import VALUES (41235, '2020-05-31', 'IQ', 'Iraq', 'EMRO', '306', '6179', '10', '195');
INSERT INTO public.who_import VALUES (41236, '2020-06-01', 'IQ', 'Iraq', 'EMRO', '260', '6439', '10', '205');
INSERT INTO public.who_import VALUES (41237, '2020-06-02', 'IQ', 'Iraq', 'EMRO', '429', '6868', '10', '215');
INSERT INTO public.who_import VALUES (41238, '2020-06-03', 'IQ', 'Iraq', 'EMRO', '519', '7387', '20', '235');
INSERT INTO public.who_import VALUES (41239, '2020-06-04', 'IQ', 'Iraq', 'EMRO', '781', '8168', '21', '256');
INSERT INTO public.who_import VALUES (41240, '2020-06-05', 'IQ', 'Iraq', 'EMRO', '672', '8840', '15', '271');
INSERT INTO public.who_import VALUES (41241, '2020-06-06', 'IQ', 'Iraq', 'EMRO', '1006', '9846', '14', '285');
INSERT INTO public.who_import VALUES (41242, '2020-06-07', 'IQ', 'Iraq', 'EMRO', '1252', '11098', '33', '318');
INSERT INTO public.who_import VALUES (41243, '2020-06-08', 'IQ', 'Iraq', 'EMRO', '1268', '12366', '28', '346');
INSERT INTO public.who_import VALUES (41244, '2020-06-09', 'IQ', 'Iraq', 'EMRO', '1115', '13481', '24', '370');
INSERT INTO public.who_import VALUES (41245, '2020-06-10', 'IQ', 'Iraq', 'EMRO', '787', '14268', '22', '392');
INSERT INTO public.who_import VALUES (41246, '2020-06-11', 'IQ', 'Iraq', 'EMRO', '1146', '15414', '34', '426');
INSERT INTO public.who_import VALUES (41247, '2020-06-12', 'IQ', 'Iraq', 'EMRO', '1261', '16675', '31', '457');
INSERT INTO public.who_import VALUES (41248, '2020-06-13', 'IQ', 'Iraq', 'EMRO', '1095', '17770', '39', '496');
INSERT INTO public.who_import VALUES (41249, '2020-06-14', 'IQ', 'Iraq', 'EMRO', '1180', '18950', '53', '549');
INSERT INTO public.who_import VALUES (41250, '2020-06-15', 'IQ', 'Iraq', 'EMRO', '1259', '20209', '58', '607');
INSERT INTO public.who_import VALUES (41251, '2020-06-16', 'IQ', 'Iraq', 'EMRO', '1106', '21315', '45', '652');
INSERT INTO public.who_import VALUES (41252, '2020-06-17', 'IQ', 'Iraq', 'EMRO', '1385', '22700', '60', '712');
INSERT INTO public.who_import VALUES (41253, '2020-06-18', 'IQ', 'Iraq', 'EMRO', '1554', '24254', '61', '773');
INSERT INTO public.who_import VALUES (41254, '2020-06-19', 'IQ', 'Iraq', 'EMRO', '1463', '25717', '83', '856');
INSERT INTO public.who_import VALUES (41255, '2020-06-20', 'IQ', 'Iraq', 'EMRO', '1635', '27352', '69', '925');
INSERT INTO public.who_import VALUES (41256, '2020-06-21', 'IQ', 'Iraq', 'EMRO', '1870', '29222', '88', '1013');
INSERT INTO public.who_import VALUES (41257, '2020-06-22', 'IQ', 'Iraq', 'EMRO', '1646', '30868', '87', '1100');
INSERT INTO public.who_import VALUES (41258, '2020-06-23', 'IQ', 'Iraq', 'EMRO', '1808', '32676', '67', '1167');
INSERT INTO public.who_import VALUES (41259, '2020-06-24', 'IQ', 'Iraq', 'EMRO', '1826', '34502', '84', '1251');
INSERT INTO public.who_import VALUES (41260, '2020-06-25', 'IQ', 'Iraq', 'EMRO', '2200', '36702', '79', '1330');
INSERT INTO public.who_import VALUES (41261, '2020-06-26', 'IQ', 'Iraq', 'EMRO', '2437', '39139', '107', '1437');
INSERT INTO public.who_import VALUES (41262, '2020-06-27', 'IQ', 'Iraq', 'EMRO', '2054', '41193', '122', '1559');
INSERT INTO public.who_import VALUES (41263, '2020-06-28', 'IQ', 'Iraq', 'EMRO', '2069', '43262', '101', '1660');
INSERT INTO public.who_import VALUES (41264, '2020-06-29', 'IQ', 'Iraq', 'EMRO', '2140', '45402', '96', '1756');
INSERT INTO public.who_import VALUES (41265, '2020-06-30', 'IQ', 'Iraq', 'EMRO', '1749', '47151', '83', '1839');
INSERT INTO public.who_import VALUES (41266, '2020-07-01', 'IQ', 'Iraq', 'EMRO', '1958', '49109', '104', '1943');
INSERT INTO public.who_import VALUES (41267, '2020-07-02', 'IQ', 'Iraq', 'EMRO', '2415', '51524', '107', '2050');
INSERT INTO public.who_import VALUES (41268, '2020-07-03', 'IQ', 'Iraq', 'EMRO', '2184', '53708', '110', '2160');
INSERT INTO public.who_import VALUES (41269, '2020-07-04', 'IQ', 'Iraq', 'EMRO', '2312', '56020', '102', '2262');
INSERT INTO public.who_import VALUES (41270, '2020-07-05', 'IQ', 'Iraq', 'EMRO', '2334', '58354', '106', '2368');
INSERT INTO public.who_import VALUES (41271, '2020-07-06', 'IQ', 'Iraq', 'EMRO', '2125', '60479', '105', '2473');
INSERT INTO public.who_import VALUES (41272, '2020-07-07', 'IQ', 'Iraq', 'EMRO', '1796', '62275', '94', '2567');
INSERT INTO public.who_import VALUES (41273, '2020-07-08', 'IQ', 'Iraq', 'EMRO', '2426', '64701', '118', '2685');
INSERT INTO public.who_import VALUES (41274, '2020-07-09', 'IQ', 'Iraq', 'EMRO', '2741', '67442', '94', '2779');
INSERT INTO public.who_import VALUES (41275, '2020-07-10', 'IQ', 'Iraq', 'EMRO', '2170', '69612', '103', '2882');
INSERT INTO public.who_import VALUES (41276, '2020-07-11', 'IQ', 'Iraq', 'EMRO', '2848', '72460', '78', '2960');
INSERT INTO public.who_import VALUES (41277, '2020-07-12', 'IQ', 'Iraq', 'EMRO', '2734', '75194', '95', '3055');
INSERT INTO public.who_import VALUES (41278, '2020-07-13', 'IQ', 'Iraq', 'EMRO', '2312', '77506', '95', '3150');
INSERT INTO public.who_import VALUES (41279, '2020-07-14', 'IQ', 'Iraq', 'EMRO', '2229', '79735', '100', '3250');
INSERT INTO public.who_import VALUES (41280, '2020-07-15', 'IQ', 'Iraq', 'EMRO', '2022', '81757', '95', '3345');
INSERT INTO public.who_import VALUES (41281, '2020-07-16', 'IQ', 'Iraq', 'EMRO', '2110', '83867', '87', '3432');
INSERT INTO public.who_import VALUES (41282, '2020-07-17', 'IQ', 'Iraq', 'EMRO', '2281', '86148', '90', '3522');
INSERT INTO public.who_import VALUES (41283, '2020-07-18', 'IQ', 'Iraq', 'EMRO', '2023', '88171', '94', '3616');
INSERT INTO public.who_import VALUES (41284, '2020-07-19', 'IQ', 'Iraq', 'EMRO', '2049', '90220', '75', '3691');
INSERT INTO public.who_import VALUES (41285, '2020-07-20', 'IQ', 'Iraq', 'EMRO', '2310', '92530', '90', '3781');
INSERT INTO public.who_import VALUES (41286, '2020-07-21', 'IQ', 'Iraq', 'EMRO', '2163', '94693', '88', '3869');
INSERT INTO public.who_import VALUES (41287, '2020-07-22', 'IQ', 'Iraq', 'EMRO', '2466', '97159', '81', '3950');
INSERT INTO public.who_import VALUES (41288, '2020-07-23', 'IQ', 'Iraq', 'EMRO', '2706', '99865', '92', '4042');
INSERT INTO public.who_import VALUES (41289, '2020-07-24', 'IQ', 'Iraq', 'EMRO', '2361', '102226', '80', '4122');
INSERT INTO public.who_import VALUES (41290, '2020-07-25', 'IQ', 'Iraq', 'EMRO', '2485', '104711', '90', '4212');
INSERT INTO public.who_import VALUES (41291, '2020-07-26', 'IQ', 'Iraq', 'EMRO', '2862', '107573', '72', '4284');
INSERT INTO public.who_import VALUES (41292, '2020-07-27', 'IQ', 'Iraq', 'EMRO', '2459', '110032', '78', '4362');
INSERT INTO public.who_import VALUES (41293, '2020-07-28', 'IQ', 'Iraq', 'EMRO', '2553', '112585', '96', '4458');
INSERT INTO public.who_import VALUES (41294, '2020-07-29', 'IQ', 'Iraq', 'EMRO', '2747', '115332', '77', '4535');
INSERT INTO public.who_import VALUES (41295, '2020-07-30', 'IQ', 'Iraq', 'EMRO', '2968', '118300', '68', '4603');
INSERT INTO public.who_import VALUES (41296, '2020-07-31', 'IQ', 'Iraq', 'EMRO', '2963', '121263', '68', '4671');
INSERT INTO public.who_import VALUES (41297, '2020-08-01', 'IQ', 'Iraq', 'EMRO', '3346', '124609', '70', '4741');
INSERT INTO public.who_import VALUES (41298, '2020-08-02', 'IQ', 'Iraq', 'EMRO', '2095', '126704', '64', '4805');
INSERT INTO public.who_import VALUES (41299, '2020-08-03', 'IQ', 'Iraq', 'EMRO', '2447', '129151', '63', '4868');
INSERT INTO public.who_import VALUES (41300, '2020-08-04', 'IQ', 'Iraq', 'EMRO', '2735', '131886', '66', '4934');
INSERT INTO public.who_import VALUES (41301, '2020-08-05', 'IQ', 'Iraq', 'EMRO', '2836', '134722', '83', '5017');
INSERT INTO public.who_import VALUES (41302, '2020-08-06', 'IQ', 'Iraq', 'EMRO', '2834', '137556', '77', '5094');
INSERT INTO public.who_import VALUES (41303, '2020-08-07', 'IQ', 'Iraq', 'EMRO', '3047', '140603', '67', '5161');
INSERT INTO public.who_import VALUES (41304, '2020-08-08', 'IQ', 'Iraq', 'EMRO', '3461', '144064', '75', '5236');
INSERT INTO public.who_import VALUES (41305, '2020-08-09', 'IQ', 'Iraq', 'EMRO', '3325', '147389', '74', '5310');
INSERT INTO public.who_import VALUES (41306, '2020-08-10', 'IQ', 'Iraq', 'EMRO', '2726', '150115', '82', '5392');
INSERT INTO public.who_import VALUES (41307, '2020-08-11', 'IQ', 'Iraq', 'EMRO', '3484', '153599', '72', '5464');
INSERT INTO public.who_import VALUES (41308, '2020-08-12', 'IQ', 'Iraq', 'EMRO', '3396', '156995', '67', '5531');
INSERT INTO public.who_import VALUES (41309, '2020-08-13', 'IQ', 'Iraq', 'EMRO', '3441', '160436', '57', '5588');
INSERT INTO public.who_import VALUES (41310, '2020-08-14', 'IQ', 'Iraq', 'EMRO', '3841', '164277', '53', '5641');
INSERT INTO public.who_import VALUES (41311, '2020-08-15', 'IQ', 'Iraq', 'EMRO', '4013', '168290', '68', '5709');
INSERT INTO public.who_import VALUES (41312, '2020-08-16', 'IQ', 'Iraq', 'EMRO', '4293', '172583', '76', '5785');
INSERT INTO public.who_import VALUES (41313, '2020-08-17', 'IQ', 'Iraq', 'EMRO', '4348', '176931', '75', '5860');
INSERT INTO public.who_import VALUES (41314, '2020-08-18', 'IQ', 'Iraq', 'EMRO', '3202', '180133', '94', '5954');
INSERT INTO public.who_import VALUES (41315, '2020-08-19', 'IQ', 'Iraq', 'EMRO', '4576', '184709', '82', '6036');
INSERT INTO public.who_import VALUES (41316, '2020-08-20', 'IQ', 'Iraq', 'EMRO', '4093', '188802', '85', '6121');
INSERT INTO public.who_import VALUES (41317, '2020-08-21', 'IQ', 'Iraq', 'EMRO', '3995', '192797', '87', '6208');
INSERT INTO public.who_import VALUES (41318, '2020-08-22', 'IQ', 'Iraq', 'EMRO', '4288', '197085', '75', '6283');
INSERT INTO public.who_import VALUES (41319, '2020-08-23', 'IQ', 'Iraq', 'EMRO', '3965', '201050', '70', '6353');
INSERT INTO public.who_import VALUES (41320, '2020-08-24', 'IQ', 'Iraq', 'EMRO', '3291', '204341', '75', '6428');
INSERT INTO public.who_import VALUES (41321, '2020-08-25', 'IQ', 'Iraq', 'EMRO', '3644', '207985', '91', '6519');
INSERT INTO public.who_import VALUES (41322, '2020-08-26', 'IQ', 'Iraq', 'EMRO', '3962', '211947', '77', '6596');
INSERT INTO public.who_import VALUES (41323, '2020-08-27', 'IQ', 'Iraq', 'EMRO', '3837', '215784', '72', '6668');
INSERT INTO public.who_import VALUES (41324, '2020-08-28', 'IQ', 'Iraq', 'EMRO', '3651', '219435', '72', '6740');
INSERT INTO public.who_import VALUES (41325, '2020-08-29', 'IQ', 'Iraq', 'EMRO', '4177', '223612', '74', '6814');
INSERT INTO public.who_import VALUES (41326, '2020-08-30', 'IQ', 'Iraq', 'EMRO', '3834', '227446', '77', '6891');
INSERT INTO public.who_import VALUES (41327, '2020-08-31', 'IQ', 'Iraq', 'EMRO', '3731', '231177', '68', '6959');
INSERT INTO public.who_import VALUES (41328, '2020-09-01', 'IQ', 'Iraq', 'EMRO', '3757', '234934', '83', '7042');
INSERT INTO public.who_import VALUES (41329, '2020-09-02', 'IQ', 'Iraq', 'EMRO', '3404', '238338', '81', '7123');
INSERT INTO public.who_import VALUES (41330, '2020-09-03', 'IQ', 'Iraq', 'EMRO', '3946', '242284', '78', '7201');
INSERT INTO public.who_import VALUES (41331, '2020-09-04', 'IQ', 'Iraq', 'EMRO', '4755', '247039', '74', '7275');
INSERT INTO public.who_import VALUES (41332, '2020-09-05', 'IQ', 'Iraq', 'EMRO', '5036', '252075', '84', '7359');
INSERT INTO public.who_import VALUES (41333, '2020-09-06', 'IQ', 'Iraq', 'EMRO', '4644', '256719', '63', '7422');
INSERT INTO public.who_import VALUES (41334, '2020-09-07', 'IQ', 'Iraq', 'EMRO', '3651', '260370', '90', '7512');
INSERT INTO public.who_import VALUES (41335, '2020-09-08', 'IQ', 'Iraq', 'EMRO', '4314', '264684', '77', '7589');
INSERT INTO public.who_import VALUES (41336, '2020-09-09', 'IQ', 'Iraq', 'EMRO', '4894', '269578', '68', '7657');
INSERT INTO public.who_import VALUES (41337, '2020-09-10', 'IQ', 'Iraq', 'EMRO', '4243', '273821', '75', '7732');
INSERT INTO public.who_import VALUES (41338, '2020-09-11', 'IQ', 'Iraq', 'EMRO', '4597', '278418', '82', '7814');
INSERT INTO public.who_import VALUES (41339, '2020-09-12', 'IQ', 'Iraq', 'EMRO', '4254', '282672', '67', '7881');
INSERT INTO public.who_import VALUES (41340, '2020-09-13', 'IQ', 'Iraq', 'EMRO', '4106', '286778', '60', '7941');
INSERT INTO public.who_import VALUES (41341, '2020-09-14', 'IQ', 'Iraq', 'EMRO', '3531', '290309', '73', '8014');
INSERT INTO public.who_import VALUES (41342, '2020-09-15', 'IQ', 'Iraq', 'EMRO', '4169', '294478', '72', '8086');
INSERT INTO public.who_import VALUES (41343, '2020-09-16', 'IQ', 'Iraq', 'EMRO', '4224', '298702', '80', '8166');
INSERT INTO public.who_import VALUES (41344, '2020-09-17', 'IQ', 'Iraq', 'EMRO', '4357', '303059', '82', '8248');
INSERT INTO public.who_import VALUES (41345, '2020-09-18', 'IQ', 'Iraq', 'EMRO', '4326', '307385', '84', '8332');
INSERT INTO public.who_import VALUES (41346, '2020-09-19', 'IQ', 'Iraq', 'EMRO', '4305', '311690', '76', '8408');
INSERT INTO public.who_import VALUES (41347, '2020-09-20', 'IQ', 'Iraq', 'EMRO', '3907', '315597', '83', '8491');
INSERT INTO public.who_import VALUES (41348, '2020-09-21', 'IQ', 'Iraq', 'EMRO', '3438', '319035', '64', '8555');
INSERT INTO public.who_import VALUES (41349, '2020-09-22', 'IQ', 'Iraq', 'EMRO', '3821', '322856', '70', '8625');
INSERT INTO public.who_import VALUES (41350, '2020-09-23', 'IQ', 'Iraq', 'EMRO', '4724', '327580', '57', '8682');
INSERT INTO public.who_import VALUES (41351, '2020-09-24', 'IQ', 'Iraq', 'EMRO', '5055', '332635', '72', '8754');
INSERT INTO public.who_import VALUES (41352, '2020-09-25', 'IQ', 'Iraq', 'EMRO', '4471', '337106', '45', '8799');
INSERT INTO public.who_import VALUES (41353, '2020-09-26', 'IQ', 'Iraq', 'EMRO', '4593', '341699', '68', '8867');
INSERT INTO public.who_import VALUES (41354, '2020-09-27', 'IQ', 'Iraq', 'EMRO', '4270', '345969', '68', '8935');
INSERT INTO public.who_import VALUES (41355, '2020-09-28', 'IQ', 'Iraq', 'EMRO', '3481', '349450', '55', '8990');
INSERT INTO public.who_import VALUES (41356, '2020-09-29', 'IQ', 'Iraq', 'EMRO', '4116', '353566', '62', '9052');
INSERT INTO public.who_import VALUES (41357, '2020-09-30', 'IQ', 'Iraq', 'EMRO', '4724', '358290', '70', '9122');
INSERT INTO public.who_import VALUES (41358, '2020-10-01', 'IQ', 'Iraq', 'EMRO', '4691', '362981', '59', '9181');
INSERT INTO public.who_import VALUES (41359, '2020-10-02', 'IQ', 'Iraq', 'EMRO', '4493', '367474', '50', '9231');
INSERT INTO public.who_import VALUES (41360, '2020-10-03', 'IQ', 'Iraq', 'EMRO', '4785', '372259', '67', '9298');
INSERT INTO public.who_import VALUES (41361, '2020-10-04', 'IQ', 'Iraq', 'EMRO', '3672', '375931', '49', '9347');
INSERT INTO public.who_import VALUES (41362, '2020-10-05', 'IQ', 'Iraq', 'EMRO', '3210', '379141', '52', '9399');
INSERT INTO public.who_import VALUES (41363, '2020-10-06', 'IQ', 'Iraq', 'EMRO', '3808', '382949', '65', '9464');
INSERT INTO public.who_import VALUES (41364, '2020-10-07', 'IQ', 'Iraq', 'EMRO', '4172', '387121', '67', '9531');
INSERT INTO public.who_import VALUES (41365, '2020-10-08', 'IQ', 'Iraq', 'EMRO', '3923', '391044', '73', '9604');
INSERT INTO public.who_import VALUES (41366, '2020-10-09', 'IQ', 'Iraq', 'EMRO', '3522', '394566', '79', '9683');
INSERT INTO public.who_import VALUES (41367, '2020-10-10', 'IQ', 'Iraq', 'EMRO', '3214', '397780', '52', '9735');
INSERT INTO public.who_import VALUES (41368, '2020-10-11', 'IQ', 'Iraq', 'EMRO', '2344', '400124', '55', '9790');
INSERT INTO public.who_import VALUES (41369, '2020-10-12', 'IQ', 'Iraq', 'EMRO', '2206', '402330', '62', '9852');
INSERT INTO public.who_import VALUES (41370, '2020-10-13', 'IQ', 'Iraq', 'EMRO', '3107', '405437', '60', '9912');
INSERT INTO public.who_import VALUES (41371, '2020-10-14', 'IQ', 'Iraq', 'EMRO', '3921', '409358', '58', '9970');
INSERT INTO public.who_import VALUES (41372, '2020-10-15', 'IQ', 'Iraq', 'EMRO', '3857', '413215', '51', '10021');
INSERT INTO public.who_import VALUES (41373, '2020-10-16', 'IQ', 'Iraq', 'EMRO', '3587', '416802', '65', '10086');
INSERT INTO public.who_import VALUES (41374, '2020-10-17', 'IQ', 'Iraq', 'EMRO', '3501', '420303', '56', '10142');
INSERT INTO public.who_import VALUES (41375, '2020-10-18', 'IQ', 'Iraq', 'EMRO', '3221', '423524', '56', '10198');
INSERT INTO public.who_import VALUES (41376, '2020-10-19', 'IQ', 'Iraq', 'EMRO', '3110', '426634', '56', '10254');
INSERT INTO public.who_import VALUES (41377, '2020-10-20', 'IQ', 'Iraq', 'EMRO', '4044', '430678', '63', '10317');
INSERT INTO public.who_import VALUES (41378, '2020-10-21', 'IQ', 'Iraq', 'EMRO', '3920', '434598', '49', '10366');
INSERT INTO public.who_import VALUES (41379, '2020-10-22', 'IQ', 'Iraq', 'EMRO', '3667', '438265', '52', '10418');
INSERT INTO public.who_import VALUES (41380, '2020-10-23', 'IQ', 'Iraq', 'EMRO', '3899', '442164', '47', '10465');
INSERT INTO public.who_import VALUES (41381, '2020-10-24', 'IQ', 'Iraq', 'EMRO', '3785', '445949', '48', '10513');
INSERT INTO public.who_import VALUES (41382, '2020-10-25', 'IQ', 'Iraq', 'EMRO', '3204', '449153', '55', '10568');
INSERT INTO public.who_import VALUES (41383, '2020-10-26', 'IQ', 'Iraq', 'EMRO', '2554', '451707', '55', '10623');
INSERT INTO public.who_import VALUES (41384, '2020-10-27', 'IQ', 'Iraq', 'EMRO', '3691', '455398', '48', '10671');
INSERT INTO public.who_import VALUES (41385, '2020-10-28', 'IQ', 'Iraq', 'EMRO', '4510', '459908', '53', '10724');
INSERT INTO public.who_import VALUES (41386, '2020-10-29', 'IQ', 'Iraq', 'EMRO', '4043', '463951', '46', '10770');
INSERT INTO public.who_import VALUES (41387, '2020-10-30', 'IQ', 'Iraq', 'EMRO', '3804', '467755', '45', '10815');
INSERT INTO public.who_import VALUES (41388, '2020-10-31', 'IQ', 'Iraq', 'EMRO', '2878', '470633', '47', '10862');
INSERT INTO public.who_import VALUES (41389, '2020-11-01', 'IQ', 'Iraq', 'EMRO', '1997', '472630', '48', '10910');
INSERT INTO public.who_import VALUES (41390, '2020-11-02', 'IQ', 'Iraq', 'EMRO', '2658', '475288', '56', '10966');
INSERT INTO public.who_import VALUES (41391, '2020-11-03', 'IQ', 'Iraq', 'EMRO', '3413', '478701', '51', '11017');
INSERT INTO public.who_import VALUES (41392, '2020-11-04', 'IQ', 'Iraq', 'EMRO', '3595', '482296', '51', '11068');
INSERT INTO public.who_import VALUES (41393, '2020-11-05', 'IQ', 'Iraq', 'EMRO', '3574', '485870', '60', '11128');
INSERT INTO public.who_import VALUES (41394, '2020-11-06', 'IQ', 'Iraq', 'EMRO', '3701', '489571', '47', '11175');
INSERT INTO public.who_import VALUES (41395, '2020-11-07', 'IQ', 'Iraq', 'EMRO', '3568', '493139', '69', '11244');
INSERT INTO public.who_import VALUES (41396, '2020-11-08', 'IQ', 'Iraq', 'EMRO', '2880', '496019', '39', '11283');
INSERT INTO public.who_import VALUES (41397, '2020-11-09', 'IQ', 'Iraq', 'EMRO', '2530', '498549', '44', '11327');
INSERT INTO public.who_import VALUES (41398, '2020-11-10', 'IQ', 'Iraq', 'EMRO', '3184', '501733', '53', '11380');
INSERT INTO public.who_import VALUES (41399, '2020-11-11', 'IQ', 'Iraq', 'EMRO', '3577', '505310', '52', '11432');
INSERT INTO public.who_import VALUES (41400, '2020-11-12', 'IQ', 'Iraq', 'EMRO', '3198', '508508', '50', '11482');
INSERT INTO public.who_import VALUES (41401, '2020-11-13', 'IQ', 'Iraq', 'EMRO', '3298', '511806', '50', '11532');
INSERT INTO public.who_import VALUES (41402, '2020-11-14', 'IQ', 'Iraq', 'EMRO', '2690', '514496', '48', '11580');
INSERT INTO public.who_import VALUES (41403, '2020-11-15', 'IQ', 'Iraq', 'EMRO', '2419', '516915', '43', '11623');
INSERT INTO public.who_import VALUES (41404, '2020-11-16', 'IQ', 'Iraq', 'EMRO', '2237', '519152', '47', '11670');
INSERT INTO public.who_import VALUES (41405, '2020-11-17', 'IQ', 'Iraq', 'EMRO', '2390', '521542', '42', '11712');
INSERT INTO public.who_import VALUES (41406, '2020-11-18', 'IQ', 'Iraq', 'EMRO', '2961', '524503', '40', '11752');
INSERT INTO public.who_import VALUES (41407, '2020-11-19', 'IQ', 'Iraq', 'EMRO', '2349', '526852', '43', '11795');
INSERT INTO public.who_import VALUES (41408, '2020-11-20', 'IQ', 'Iraq', 'EMRO', '2374', '529226', '39', '11834');
INSERT INTO public.who_import VALUES (41409, '2020-11-21', 'IQ', 'Iraq', 'EMRO', '2543', '531769', '49', '11883');
INSERT INTO public.who_import VALUES (41410, '2020-11-22', 'IQ', 'Iraq', 'EMRO', '1786', '533555', '42', '11925');
INSERT INTO public.who_import VALUES (41411, '2020-11-23', 'IQ', 'Iraq', 'EMRO', '1766', '535321', '33', '11958');
INSERT INTO public.who_import VALUES (41412, '2020-11-24', 'IQ', 'Iraq', 'EMRO', '2136', '537457', '38', '11996');
INSERT INTO public.who_import VALUES (41413, '2020-11-25', 'IQ', 'Iraq', 'EMRO', '2292', '539749', '35', '12031');
INSERT INTO public.who_import VALUES (41414, '2020-11-26', 'IQ', 'Iraq', 'EMRO', '2438', '542187', '55', '12086');
INSERT INTO public.who_import VALUES (41415, '2020-11-27', 'IQ', 'Iraq', 'EMRO', '2483', '544670', '39', '12125');
INSERT INTO public.who_import VALUES (41416, '2020-11-28', 'IQ', 'Iraq', 'EMRO', '2545', '547215', '42', '12167');
INSERT INTO public.who_import VALUES (41417, '2020-11-29', 'IQ', 'Iraq', 'EMRO', '1606', '548821', '33', '12200');
INSERT INTO public.who_import VALUES (41418, '2020-11-30', 'IQ', 'Iraq', 'EMRO', '1614', '550435', '24', '12224');
INSERT INTO public.who_import VALUES (41419, '2020-12-01', 'IQ', 'Iraq', 'EMRO', '2114', '552549', '34', '12258');
INSERT INTO public.who_import VALUES (41420, '2020-12-02', 'IQ', 'Iraq', 'EMRO', '2218', '554767', '48', '12306');
INSERT INTO public.who_import VALUES (41421, '2020-12-03', 'IQ', 'Iraq', 'EMRO', '1961', '556728', '34', '12340');
INSERT INTO public.who_import VALUES (41422, '2020-12-04', 'IQ', 'Iraq', 'EMRO', '2039', '558767', '21', '12361');
INSERT INTO public.who_import VALUES (41423, '2020-12-05', 'IQ', 'Iraq', 'EMRO', '1855', '560622', '26', '12387');
INSERT INTO public.who_import VALUES (41424, '2020-12-06', 'IQ', 'Iraq', 'EMRO', '1898', '562520', '24', '12411');
INSERT INTO public.who_import VALUES (41425, '2020-12-07', 'IQ', 'Iraq', 'EMRO', '1680', '564200', '21', '12432');
INSERT INTO public.who_import VALUES (41426, '2020-12-08', 'IQ', 'Iraq', 'EMRO', '1815', '566015', '28', '12460');
INSERT INTO public.who_import VALUES (41427, '2020-12-09', 'IQ', 'Iraq', 'EMRO', '2123', '568138', '17', '12477');
INSERT INTO public.who_import VALUES (41428, '2020-12-10', 'IQ', 'Iraq', 'EMRO', '1735', '569873', '24', '12501');
INSERT INTO public.who_import VALUES (41429, '2020-12-11', 'IQ', 'Iraq', 'EMRO', '1380', '571253', '25', '12526');
INSERT INTO public.who_import VALUES (41430, '2020-12-12', 'IQ', 'Iraq', 'EMRO', '1347', '572600', '23', '12549');
INSERT INTO public.who_import VALUES (41431, '2020-12-13', 'IQ', 'Iraq', 'EMRO', '1022', '573622', '16', '12565');
INSERT INTO public.who_import VALUES (41432, '2020-12-14', 'IQ', 'Iraq', 'EMRO', '1012', '574634', '14', '12579');
INSERT INTO public.who_import VALUES (41433, '2020-12-15', 'IQ', 'Iraq', 'EMRO', '1338', '575972', '24', '12603');
INSERT INTO public.who_import VALUES (41434, '2020-12-16', 'IQ', 'Iraq', 'EMRO', '1391', '577363', '11', '12614');
INSERT INTO public.who_import VALUES (41435, '2020-12-17', 'IQ', 'Iraq', 'EMRO', '1553', '578916', '22', '12636');
INSERT INTO public.who_import VALUES (41436, '2020-12-18', 'IQ', 'Iraq', 'EMRO', '1533', '580449', '14', '12650');
INSERT INTO public.who_import VALUES (41437, '2020-12-19', 'IQ', 'Iraq', 'EMRO', '1362', '581811', '20', '12670');
INSERT INTO public.who_import VALUES (41438, '2020-12-20', 'IQ', 'Iraq', 'EMRO', '1307', '583118', '10', '12680');
INSERT INTO public.who_import VALUES (41439, '2020-12-21', 'IQ', 'Iraq', 'EMRO', '1027', '584145', '17', '12697');
INSERT INTO public.who_import VALUES (41440, '2020-12-22', 'IQ', 'Iraq', 'EMRO', '1200', '585345', '13', '12710');
INSERT INTO public.who_import VALUES (41441, '2020-12-23', 'IQ', 'Iraq', 'EMRO', '1158', '586503', '15', '12725');
INSERT INTO public.who_import VALUES (41442, '2020-12-24', 'IQ', 'Iraq', 'EMRO', '1173', '587676', '12', '12737');
INSERT INTO public.who_import VALUES (41443, '2020-12-25', 'IQ', 'Iraq', 'EMRO', '1127', '588803', '7', '12744');
INSERT INTO public.who_import VALUES (41444, '2020-12-26', 'IQ', 'Iraq', 'EMRO', '1140', '589943', '11', '12755');
INSERT INTO public.who_import VALUES (41445, '2020-12-27', 'IQ', 'Iraq', 'EMRO', '836', '590779', '12', '12767');
INSERT INTO public.who_import VALUES (41446, '2020-12-28', 'IQ', 'Iraq', 'EMRO', '818', '591597', '13', '12780');
INSERT INTO public.who_import VALUES (41447, '2020-12-29', 'IQ', 'Iraq', 'EMRO', '931', '592528', '11', '12791');
INSERT INTO public.who_import VALUES (41448, '2020-12-30', 'IQ', 'Iraq', 'EMRO', '1013', '593541', '9', '12800');
INSERT INTO public.who_import VALUES (41449, '2020-12-31', 'IQ', 'Iraq', 'EMRO', '901', '594442', '8', '12808');
INSERT INTO public.who_import VALUES (41450, '2021-01-01', 'IQ', 'Iraq', 'EMRO', '849', '595291', '5', '12813');
INSERT INTO public.who_import VALUES (41451, '2021-01-02', 'IQ', 'Iraq', 'EMRO', '902', '596193', '11', '12824');
INSERT INTO public.who_import VALUES (41452, '2021-01-03', 'IQ', 'Iraq', 'EMRO', '840', '597033', '5', '12829');
INSERT INTO public.who_import VALUES (41453, '2021-01-04', 'IQ', 'Iraq', 'EMRO', '741', '597774', '5', '12834');
INSERT INTO public.who_import VALUES (41454, '2021-01-05', 'IQ', 'Iraq', 'EMRO', '595', '598369', '10', '12844');
INSERT INTO public.who_import VALUES (41455, '2021-01-06', 'IQ', 'Iraq', 'EMRO', '757', '599126', '12', '12856');
INSERT INTO public.who_import VALUES (41456, '2021-01-07', 'IQ', 'Iraq', 'EMRO', '839', '599965', '9', '12865');
INSERT INTO public.who_import VALUES (41457, '2021-01-08', 'IQ', 'Iraq', 'EMRO', '790', '600755', '4', '12869');
INSERT INTO public.who_import VALUES (41458, '2021-01-09', 'IQ', 'Iraq', 'EMRO', '669', '601424', '8', '12877');
INSERT INTO public.who_import VALUES (41459, '2021-01-10', 'IQ', 'Iraq', 'EMRO', '907', '602331', '4', '12881');
INSERT INTO public.who_import VALUES (41460, '2021-01-11', 'IQ', 'Iraq', 'EMRO', '607', '602938', '14', '12895');
INSERT INTO public.who_import VALUES (41461, '2021-01-12', 'IQ', 'Iraq', 'EMRO', '801', '603739', '11', '12906');
INSERT INTO public.who_import VALUES (41462, '2021-01-13', 'IQ', 'Iraq', 'EMRO', '810', '604549', '5', '12911');
INSERT INTO public.who_import VALUES (41463, '2021-01-14', 'IQ', 'Iraq', 'EMRO', '867', '605416', '4', '12915');
INSERT INTO public.who_import VALUES (41464, '2021-01-15', 'IQ', 'Iraq', 'EMRO', '770', '606186', '7', '12922');
INSERT INTO public.who_import VALUES (41465, '2021-01-16', 'IQ', 'Iraq', 'EMRO', '805', '606991', '10', '12932');
INSERT INTO public.who_import VALUES (41466, '2021-01-17', 'IQ', 'Iraq', 'EMRO', '596', '607587', '3', '12935');
INSERT INTO public.who_import VALUES (41467, '2021-01-18', 'IQ', 'Iraq', 'EMRO', '645', '608232', '9', '12944');
INSERT INTO public.who_import VALUES (41468, '2021-01-19', 'IQ', 'Iraq', 'EMRO', '797', '609029', '9', '12953');
INSERT INTO public.who_import VALUES (41469, '2021-01-20', 'IQ', 'Iraq', 'EMRO', '823', '609852', '9', '12962');
INSERT INTO public.who_import VALUES (41470, '2021-01-21', 'IQ', 'Iraq', 'EMRO', '746', '610598', '6', '12968');
INSERT INTO public.who_import VALUES (41471, '2021-01-22', 'IQ', 'Iraq', 'EMRO', '809', '611407', '9', '12977');
INSERT INTO public.who_import VALUES (41472, '2021-01-23', 'IQ', 'Iraq', 'EMRO', '685', '612092', '7', '12984');
INSERT INTO public.who_import VALUES (41473, '2021-01-24', 'IQ', 'Iraq', 'EMRO', '778', '612870', '4', '12988');
INSERT INTO public.who_import VALUES (41474, '2021-01-25', 'IQ', 'Iraq', 'EMRO', '893', '613763', '5', '12993');
INSERT INTO public.who_import VALUES (41475, '2021-01-26', 'IQ', 'Iraq', 'EMRO', '813', '614576', '7', '13000');
INSERT INTO public.who_import VALUES (41476, '2021-01-27', 'IQ', 'Iraq', 'EMRO', '804', '615380', '10', '13010');
INSERT INTO public.who_import VALUES (41477, '2021-01-28', 'IQ', 'Iraq', 'EMRO', '879', '616259', '8', '13018');
INSERT INTO public.who_import VALUES (41478, '2021-01-29', 'IQ', 'Iraq', 'EMRO', '943', '617202', '6', '13024');
INSERT INTO public.who_import VALUES (41479, '2021-01-30', 'IQ', 'Iraq', 'EMRO', '945', '618147', '12', '13036');
INSERT INTO public.who_import VALUES (41480, '2021-01-31', 'IQ', 'Iraq', 'EMRO', '775', '618922', '5', '13041');
INSERT INTO public.who_import VALUES (41481, '2021-02-01', 'IQ', 'Iraq', 'EMRO', '714', '619636', '6', '13047');
INSERT INTO public.who_import VALUES (41482, '2021-02-02', 'IQ', 'Iraq', 'EMRO', '984', '620620', '10', '13057');
INSERT INTO public.who_import VALUES (41483, '2021-02-03', 'IQ', 'Iraq', 'EMRO', '1135', '621755', '11', '13068');
INSERT INTO public.who_import VALUES (41484, '2021-02-04', 'IQ', 'Iraq', 'EMRO', '1317', '623072', '11', '13079');
INSERT INTO public.who_import VALUES (41485, '2021-02-05', 'IQ', 'Iraq', 'EMRO', '1150', '624222', '12', '13091');
INSERT INTO public.who_import VALUES (41486, '2021-02-06', 'IQ', 'Iraq', 'EMRO', '1534', '625756', '12', '13103');
INSERT INTO public.who_import VALUES (41487, '2021-02-07', 'IQ', 'Iraq', 'EMRO', '1660', '627416', '8', '13111');
INSERT INTO public.who_import VALUES (41488, '2021-02-08', 'IQ', 'Iraq', 'EMRO', '1134', '628550', '9', '13120');
INSERT INTO public.who_import VALUES (41489, '2021-02-09', 'IQ', 'Iraq', 'EMRO', '1713', '630263', '6', '13126');
INSERT INTO public.who_import VALUES (41490, '2021-02-10', 'IQ', 'Iraq', 'EMRO', '1994', '632257', '8', '13134');
INSERT INTO public.who_import VALUES (41491, '2021-02-11', 'IQ', 'Iraq', 'EMRO', '2282', '634539', '6', '13140');
INSERT INTO public.who_import VALUES (41492, '2021-02-12', 'IQ', 'Iraq', 'EMRO', '2369', '636908', '4', '13144');
INSERT INTO public.who_import VALUES (41493, '2021-02-13', 'IQ', 'Iraq', 'EMRO', '2530', '639438', '13', '13157');
INSERT INTO public.who_import VALUES (41494, '2021-02-14', 'IQ', 'Iraq', 'EMRO', '2190', '641628', '7', '13164');
INSERT INTO public.who_import VALUES (41495, '2021-02-15', 'IQ', 'Iraq', 'EMRO', '2224', '643852', '15', '13179');
INSERT INTO public.who_import VALUES (41496, '2021-02-16', 'IQ', 'Iraq', 'EMRO', '2798', '646650', '6', '13185');
INSERT INTO public.who_import VALUES (41497, '2021-02-17', 'IQ', 'Iraq', 'EMRO', '3332', '649982', '7', '13192');
INSERT INTO public.who_import VALUES (41498, '2021-02-18', 'IQ', 'Iraq', 'EMRO', '3575', '653557', '12', '13204');
INSERT INTO public.who_import VALUES (41499, '2021-02-19', 'IQ', 'Iraq', 'EMRO', '3896', '657453', '16', '13220');
INSERT INTO public.who_import VALUES (41500, '2021-02-20', 'IQ', 'Iraq', 'EMRO', '4024', '661477', '12', '13232');
INSERT INTO public.who_import VALUES (41501, '2020-01-03', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41502, '2020-01-04', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41503, '2020-01-05', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41504, '2020-01-06', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41505, '2020-01-07', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41506, '2020-01-08', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41507, '2020-01-09', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41508, '2020-01-10', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41509, '2020-01-11', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41510, '2020-01-12', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41511, '2020-01-13', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41512, '2020-01-14', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41513, '2020-01-15', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41514, '2020-01-16', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41515, '2020-01-17', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41516, '2020-01-18', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41517, '2020-01-19', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41518, '2020-01-20', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41519, '2020-01-21', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41520, '2020-01-22', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41521, '2020-01-23', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41522, '2020-01-24', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41523, '2020-01-25', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41524, '2020-01-26', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41525, '2020-01-27', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41526, '2020-01-28', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41527, '2020-01-29', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41528, '2020-01-30', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41529, '2020-01-31', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41530, '2020-02-01', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41531, '2020-02-02', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41532, '2020-02-03', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41533, '2020-02-04', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41534, '2020-02-05', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41535, '2020-02-06', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41536, '2020-02-07', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41537, '2020-02-08', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41538, '2020-02-09', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41539, '2020-02-10', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41540, '2020-02-11', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41541, '2020-02-12', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41542, '2020-02-13', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41543, '2020-02-14', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41544, '2020-02-15', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41545, '2020-02-16', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41546, '2020-02-17', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41547, '2020-02-18', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41548, '2020-02-19', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41549, '2020-02-20', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41550, '2020-02-21', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41551, '2020-02-22', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41552, '2020-02-23', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41553, '2020-02-24', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41554, '2020-02-25', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41555, '2020-02-26', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41556, '2020-02-27', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41557, '2020-02-28', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41558, '2020-02-29', 'IE', 'Ireland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41559, '2020-03-01', 'IE', 'Ireland', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (41560, '2020-03-02', 'IE', 'Ireland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (41561, '2020-03-03', 'IE', 'Ireland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (41562, '2020-03-04', 'IE', 'Ireland', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (41563, '2020-03-05', 'IE', 'Ireland', 'EURO', '4', '6', '0', '0');
INSERT INTO public.who_import VALUES (41564, '2020-03-06', 'IE', 'Ireland', 'EURO', '7', '13', '0', '0');
INSERT INTO public.who_import VALUES (41565, '2020-03-07', 'IE', 'Ireland', 'EURO', '5', '18', '0', '0');
INSERT INTO public.who_import VALUES (41566, '2020-03-08', 'IE', 'Ireland', 'EURO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (41567, '2020-03-09', 'IE', 'Ireland', 'EURO', '2', '21', '0', '0');
INSERT INTO public.who_import VALUES (41568, '2020-03-10', 'IE', 'Ireland', 'EURO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (41569, '2020-03-11', 'IE', 'Ireland', 'EURO', '14', '35', '0', '0');
INSERT INTO public.who_import VALUES (41570, '2020-03-12', 'IE', 'Ireland', 'EURO', '8', '43', '1', '1');
INSERT INTO public.who_import VALUES (41571, '2020-03-13', 'IE', 'Ireland', 'EURO', '27', '70', '0', '1');
INSERT INTO public.who_import VALUES (41572, '2020-03-14', 'IE', 'Ireland', 'EURO', '21', '91', '0', '1');
INSERT INTO public.who_import VALUES (41573, '2020-03-15', 'IE', 'Ireland', 'EURO', '38', '129', '1', '2');
INSERT INTO public.who_import VALUES (41574, '2020-03-16', 'IE', 'Ireland', 'EURO', '40', '169', '0', '2');
INSERT INTO public.who_import VALUES (41575, '2020-03-17', 'IE', 'Ireland', 'EURO', '54', '223', '0', '2');
INSERT INTO public.who_import VALUES (41576, '2020-03-18', 'IE', 'Ireland', 'EURO', '69', '292', '0', '2');
INSERT INTO public.who_import VALUES (41577, '2020-03-19', 'IE', 'Ireland', 'EURO', '74', '366', '0', '2');
INSERT INTO public.who_import VALUES (41578, '2020-03-20', 'IE', 'Ireland', 'EURO', '191', '557', '1', '3');
INSERT INTO public.who_import VALUES (41579, '2020-03-21', 'IE', 'Ireland', 'EURO', '126', '683', '0', '3');
INSERT INTO public.who_import VALUES (41580, '2020-03-22', 'IE', 'Ireland', 'EURO', '102', '785', '0', '3');
INSERT INTO public.who_import VALUES (41581, '2020-03-23', 'IE', 'Ireland', 'EURO', '121', '906', '1', '4');
INSERT INTO public.who_import VALUES (41582, '2020-03-24', 'IE', 'Ireland', 'EURO', '219', '1125', '2', '6');
INSERT INTO public.who_import VALUES (41583, '2020-03-25', 'IE', 'Ireland', 'EURO', '204', '1329', '1', '7');
INSERT INTO public.who_import VALUES (41584, '2020-03-26', 'IE', 'Ireland', 'EURO', '235', '1564', '2', '9');
INSERT INTO public.who_import VALUES (41585, '2020-03-27', 'IE', 'Ireland', 'EURO', '255', '1819', '10', '19');
INSERT INTO public.who_import VALUES (41586, '2020-03-28', 'IE', 'Ireland', 'EURO', '302', '2121', '3', '22');
INSERT INTO public.who_import VALUES (41587, '2020-03-29', 'IE', 'Ireland', 'EURO', '294', '2415', '14', '36');
INSERT INTO public.who_import VALUES (41588, '2020-03-30', 'IE', 'Ireland', 'EURO', '200', '2615', '10', '46');
INSERT INTO public.who_import VALUES (41589, '2020-03-31', 'IE', 'Ireland', 'EURO', '295', '2910', '8', '54');
INSERT INTO public.who_import VALUES (41590, '2020-04-01', 'IE', 'Ireland', 'EURO', '325', '3235', '17', '71');
INSERT INTO public.who_import VALUES (41591, '2020-04-02', 'IE', 'Ireland', 'EURO', '212', '3447', '14', '85');
INSERT INTO public.who_import VALUES (41592, '2020-04-03', 'IE', 'Ireland', 'EURO', '402', '3849', '13', '98');
INSERT INTO public.who_import VALUES (41593, '2020-04-04', 'IE', 'Ireland', 'EURO', '424', '4273', '22', '120');
INSERT INTO public.who_import VALUES (41594, '2020-04-05', 'IE', 'Ireland', 'EURO', '331', '4604', '17', '137');
INSERT INTO public.who_import VALUES (41595, '2020-04-06', 'IE', 'Ireland', 'EURO', '507', '5111', '21', '158');
INSERT INTO public.who_import VALUES (41596, '2020-04-07', 'IE', 'Ireland', 'EURO', '253', '5364', '16', '174');
INSERT INTO public.who_import VALUES (41597, '2020-04-08', 'IE', 'Ireland', 'EURO', '345', '5709', '36', '210');
INSERT INTO public.who_import VALUES (41598, '2020-04-09', 'IE', 'Ireland', 'EURO', '515', '6224', '25', '235');
INSERT INTO public.who_import VALUES (41599, '2020-04-10', 'IE', 'Ireland', 'EURO', '1169', '7393', '28', '263');
INSERT INTO public.who_import VALUES (41600, '2020-04-11', 'IE', 'Ireland', 'EURO', '696', '8089', '24', '287');
INSERT INTO public.who_import VALUES (41601, '2020-04-12', 'IE', 'Ireland', 'EURO', '839', '8928', '33', '320');
INSERT INTO public.who_import VALUES (41602, '2020-04-13', 'IE', 'Ireland', 'EURO', '727', '9655', '14', '334');
INSERT INTO public.who_import VALUES (41603, '2020-04-14', 'IE', 'Ireland', 'EURO', '992', '10647', '31', '365');
INSERT INTO public.who_import VALUES (41604, '2020-04-15', 'IE', 'Ireland', 'EURO', '832', '11479', '41', '406');
INSERT INTO public.who_import VALUES (41605, '2020-04-16', 'IE', 'Ireland', 'EURO', '1068', '12547', '38', '444');
INSERT INTO public.who_import VALUES (41606, '2020-04-17', 'IE', 'Ireland', 'EURO', '724', '13271', '42', '486');
INSERT INTO public.who_import VALUES (41607, '2020-04-18', 'IE', 'Ireland', 'EURO', '709', '13980', '44', '530');
INSERT INTO public.who_import VALUES (41608, '2020-04-19', 'IE', 'Ireland', 'EURO', '778', '14758', '41', '571');
INSERT INTO public.who_import VALUES (41609, '2020-04-20', 'IE', 'Ireland', 'EURO', '493', '15251', '39', '610');
INSERT INTO public.who_import VALUES (41610, '2020-04-21', 'IE', 'Ireland', 'EURO', '401', '15652', '77', '687');
INSERT INTO public.who_import VALUES (41611, '2020-04-22', 'IE', 'Ireland', 'EURO', '388', '16040', '43', '730');
INSERT INTO public.who_import VALUES (41612, '2020-04-23', 'IE', 'Ireland', 'EURO', '631', '16671', '39', '769');
INSERT INTO public.who_import VALUES (41613, '2020-04-24', 'IE', 'Ireland', 'EURO', '936', '17607', '25', '794');
INSERT INTO public.who_import VALUES (41614, '2020-04-25', 'IE', 'Ireland', 'EURO', '577', '18184', '35', '829');
INSERT INTO public.who_import VALUES (41615, '2020-04-26', 'IE', 'Ireland', 'EURO', '377', '18561', '234', '1063');
INSERT INTO public.who_import VALUES (41616, '2020-04-27', 'IE', 'Ireland', 'EURO', '701', '19262', '24', '1087');
INSERT INTO public.who_import VALUES (41617, '2020-04-28', 'IE', 'Ireland', 'EURO', '386', '19648', '15', '1102');
INSERT INTO public.who_import VALUES (41618, '2020-04-29', 'IE', 'Ireland', 'EURO', '229', '19877', '57', '1159');
INSERT INTO public.who_import VALUES (41619, '2020-04-30', 'IE', 'Ireland', 'EURO', '376', '20253', '31', '1190');
INSERT INTO public.who_import VALUES (41620, '2020-05-01', 'IE', 'Ireland', 'EURO', '359', '20612', '42', '1232');
INSERT INTO public.who_import VALUES (41621, '2020-05-02', 'IE', 'Ireland', 'EURO', '221', '20833', '33', '1265');
INSERT INTO public.who_import VALUES (41622, '2020-05-03', 'IE', 'Ireland', 'EURO', '343', '21176', '0', '1265');
INSERT INTO public.who_import VALUES (41623, '2020-05-04', 'IE', 'Ireland', 'EURO', '330', '21506', '38', '1303');
INSERT INTO public.who_import VALUES (41624, '2020-05-05', 'IE', 'Ireland', 'EURO', '216', '21722', '16', '1319');
INSERT INTO public.who_import VALUES (41625, '2020-05-06', 'IE', 'Ireland', 'EURO', '261', '21983', '20', '1339');
INSERT INTO public.who_import VALUES (41626, '2020-05-07', 'IE', 'Ireland', 'EURO', '265', '22248', '36', '1375');
INSERT INTO public.who_import VALUES (41627, '2020-05-08', 'IE', 'Ireland', 'EURO', '137', '22385', '28', '1403');
INSERT INTO public.who_import VALUES (41628, '2020-05-09', 'IE', 'Ireland', 'EURO', '156', '22541', '26', '1429');
INSERT INTO public.who_import VALUES (41629, '2020-05-10', 'IE', 'Ireland', 'EURO', '219', '22760', '17', '1446');
INSERT INTO public.who_import VALUES (41630, '2020-05-11', 'IE', 'Ireland', 'EURO', '236', '22996', '12', '1458');
INSERT INTO public.who_import VALUES (41631, '2020-05-12', 'IE', 'Ireland', 'EURO', '139', '23135', '9', '1467');
INSERT INTO public.who_import VALUES (41632, '2020-05-13', 'IE', 'Ireland', 'EURO', '107', '23242', '21', '1488');
INSERT INTO public.who_import VALUES (41633, '2020-05-14', 'IE', 'Ireland', 'EURO', '159', '23401', '9', '1497');
INSERT INTO public.who_import VALUES (41634, '2020-05-15', 'IE', 'Ireland', 'EURO', '426', '23827', '9', '1506');
INSERT INTO public.who_import VALUES (41635, '2020-05-16', 'IE', 'Ireland', 'EURO', '129', '23956', '12', '1518');
INSERT INTO public.who_import VALUES (41636, '2020-05-17', 'IE', 'Ireland', 'EURO', '92', '24048', '15', '1533');
INSERT INTO public.who_import VALUES (41637, '2020-05-18', 'IE', 'Ireland', 'EURO', '64', '24112', '10', '1543');
INSERT INTO public.who_import VALUES (41638, '2020-05-19', 'IE', 'Ireland', 'EURO', '88', '24200', '4', '1547');
INSERT INTO public.who_import VALUES (41639, '2020-05-20', 'IE', 'Ireland', 'EURO', '51', '24251', '14', '1561');
INSERT INTO public.who_import VALUES (41640, '2020-05-21', 'IE', 'Ireland', 'EURO', '64', '24315', '10', '1571');
INSERT INTO public.who_import VALUES (41641, '2020-05-22', 'IE', 'Ireland', 'EURO', '76', '24391', '12', '1583');
INSERT INTO public.who_import VALUES (41642, '2020-05-23', 'IE', 'Ireland', 'EURO', '115', '24506', '9', '1592');
INSERT INTO public.who_import VALUES (41643, '2020-05-24', 'IE', 'Ireland', 'EURO', '76', '24582', '12', '1604');
INSERT INTO public.who_import VALUES (41644, '2020-05-25', 'IE', 'Ireland', 'EURO', '57', '24639', '2', '1606');
INSERT INTO public.who_import VALUES (41645, '2020-05-26', 'IE', 'Ireland', 'EURO', '59', '24698', '0', '1606');
INSERT INTO public.who_import VALUES (41646, '2020-05-27', 'IE', 'Ireland', 'EURO', '37', '24735', '9', '1615');
INSERT INTO public.who_import VALUES (41647, '2020-05-28', 'IE', 'Ireland', 'EURO', '68', '24803', '16', '1631');
INSERT INTO public.who_import VALUES (41648, '2020-05-29', 'IE', 'Ireland', 'EURO', '38', '24841', '8', '1639');
INSERT INTO public.who_import VALUES (41649, '2020-05-30', 'IE', 'Ireland', 'EURO', '35', '24876', '6', '1645');
INSERT INTO public.who_import VALUES (41650, '2020-05-31', 'IE', 'Ireland', 'EURO', '53', '24929', '5', '1650');
INSERT INTO public.who_import VALUES (41651, '2020-06-01', 'IE', 'Ireland', 'EURO', '61', '24990', '0', '1650');
INSERT INTO public.who_import VALUES (41652, '2020-06-02', 'IE', 'Ireland', 'EURO', '72', '25062', '0', '1650');
INSERT INTO public.who_import VALUES (41653, '2020-06-03', 'IE', 'Ireland', 'EURO', '4', '25066', '8', '1658');
INSERT INTO public.who_import VALUES (41654, '2020-06-04', 'IE', 'Ireland', 'EURO', '45', '25111', '1', '1659');
INSERT INTO public.who_import VALUES (41655, '2020-06-05', 'IE', 'Ireland', 'EURO', '31', '25142', '5', '1664');
INSERT INTO public.who_import VALUES (41656, '2020-06-06', 'IE', 'Ireland', 'EURO', '21', '25163', '6', '1670');
INSERT INTO public.who_import VALUES (41657, '2020-06-07', 'IE', 'Ireland', 'EURO', '20', '25183', '0', '1670');
INSERT INTO public.who_import VALUES (41658, '2020-06-08', 'IE', 'Ireland', 'EURO', '18', '25201', '9', '1679');
INSERT INTO public.who_import VALUES (41659, '2020-06-09', 'IE', 'Ireland', 'EURO', '6', '25207', '4', '1683');
INSERT INTO public.who_import VALUES (41660, '2020-06-10', 'IE', 'Ireland', 'EURO', '8', '25215', '8', '1691');
INSERT INTO public.who_import VALUES (41661, '2020-06-11', 'IE', 'Ireland', 'EURO', '16', '25231', '4', '1695');
INSERT INTO public.who_import VALUES (41662, '2020-06-12', 'IE', 'Ireland', 'EURO', '7', '25238', '8', '1703');
INSERT INTO public.who_import VALUES (41663, '2020-06-13', 'IE', 'Ireland', 'EURO', '12', '25250', '2', '1705');
INSERT INTO public.who_import VALUES (41664, '2020-06-14', 'IE', 'Ireland', 'EURO', '45', '25295', '0', '1705');
INSERT INTO public.who_import VALUES (41665, '2020-06-15', 'IE', 'Ireland', 'EURO', '8', '25303', '1', '1706');
INSERT INTO public.who_import VALUES (41666, '2020-06-16', 'IE', 'Ireland', 'EURO', '18', '25321', '0', '1706');
INSERT INTO public.who_import VALUES (41667, '2020-06-17', 'IE', 'Ireland', 'EURO', '13', '25334', '3', '1709');
INSERT INTO public.who_import VALUES (41668, '2020-06-18', 'IE', 'Ireland', 'EURO', '7', '25341', '1', '1710');
INSERT INTO public.who_import VALUES (41669, '2020-06-19', 'IE', 'Ireland', 'EURO', '14', '25355', '4', '1714');
INSERT INTO public.who_import VALUES (41670, '2020-06-20', 'IE', 'Ireland', 'EURO', '13', '25368', '0', '1714');
INSERT INTO public.who_import VALUES (41671, '2020-06-21', 'IE', 'Ireland', 'EURO', '6', '25374', '1', '1715');
INSERT INTO public.who_import VALUES (41672, '2020-06-22', 'IE', 'Ireland', 'EURO', '5', '25379', '0', '1715');
INSERT INTO public.who_import VALUES (41673, '2020-06-23', 'IE', 'Ireland', 'EURO', '4', '25383', '2', '1717');
INSERT INTO public.who_import VALUES (41674, '2020-06-24', 'IE', 'Ireland', 'EURO', '8', '25391', '3', '1720');
INSERT INTO public.who_import VALUES (41675, '2020-06-25', 'IE', 'Ireland', 'EURO', '5', '25396', '6', '1726');
INSERT INTO public.who_import VALUES (41676, '2020-06-26', 'IE', 'Ireland', 'EURO', '9', '25405', '1', '1727');
INSERT INTO public.who_import VALUES (41677, '2020-06-27', 'IE', 'Ireland', 'EURO', '9', '25414', '3', '1730');
INSERT INTO public.who_import VALUES (41678, '2020-06-28', 'IE', 'Ireland', 'EURO', '23', '25437', '4', '1734');
INSERT INTO public.who_import VALUES (41679, '2020-06-29', 'IE', 'Ireland', 'EURO', '2', '25439', '1', '1735');
INSERT INTO public.who_import VALUES (41680, '2020-06-30', 'IE', 'Ireland', 'EURO', '23', '25462', '0', '1735');
INSERT INTO public.who_import VALUES (41681, '2020-07-01', 'IE', 'Ireland', 'EURO', '11', '25473', '1', '1736');
INSERT INTO public.who_import VALUES (41682, '2020-07-02', 'IE', 'Ireland', 'EURO', '4', '25477', '2', '1738');
INSERT INTO public.who_import VALUES (41683, '2020-07-03', 'IE', 'Ireland', 'EURO', '12', '25489', '0', '1738');
INSERT INTO public.who_import VALUES (41684, '2020-07-04', 'IE', 'Ireland', 'EURO', '9', '25498', '2', '1740');
INSERT INTO public.who_import VALUES (41685, '2020-07-05', 'IE', 'Ireland', 'EURO', '11', '25509', '1', '1741');
INSERT INTO public.who_import VALUES (41686, '2020-07-06', 'IE', 'Ireland', 'EURO', '18', '25527', '0', '1741');
INSERT INTO public.who_import VALUES (41687, '2020-07-07', 'IE', 'Ireland', 'EURO', '4', '25531', '0', '1741');
INSERT INTO public.who_import VALUES (41688, '2020-07-08', 'IE', 'Ireland', 'EURO', '7', '25538', '2', '1743');
INSERT INTO public.who_import VALUES (41689, '2020-07-09', 'IE', 'Ireland', 'EURO', '4', '25542', '0', '1743');
INSERT INTO public.who_import VALUES (41690, '2020-07-10', 'IE', 'Ireland', 'EURO', '23', '25565', '0', '1743');
INSERT INTO public.who_import VALUES (41691, '2020-07-11', 'IE', 'Ireland', 'EURO', '24', '25589', '1', '1744');
INSERT INTO public.who_import VALUES (41692, '2020-07-12', 'IE', 'Ireland', 'EURO', '22', '25611', '2', '1746');
INSERT INTO public.who_import VALUES (41693, '2020-07-13', 'IE', 'Ireland', 'EURO', '17', '25628', '0', '1746');
INSERT INTO public.who_import VALUES (41694, '2020-07-14', 'IE', 'Ireland', 'EURO', '10', '25638', '0', '1746');
INSERT INTO public.who_import VALUES (41695, '2020-07-15', 'IE', 'Ireland', 'EURO', '32', '25670', '0', '1746');
INSERT INTO public.who_import VALUES (41696, '2020-07-16', 'IE', 'Ireland', 'EURO', '13', '25683', '2', '1748');
INSERT INTO public.who_import VALUES (41697, '2020-07-17', 'IE', 'Ireland', 'EURO', '15', '25698', '1', '1749');
INSERT INTO public.who_import VALUES (41698, '2020-07-18', 'IE', 'Ireland', 'EURO', '32', '25730', '3', '1752');
INSERT INTO public.who_import VALUES (41699, '2020-07-19', 'IE', 'Ireland', 'EURO', '20', '25750', '1', '1753');
INSERT INTO public.who_import VALUES (41700, '2020-07-20', 'IE', 'Ireland', 'EURO', '10', '25760', '0', '1753');
INSERT INTO public.who_import VALUES (41701, '2020-07-21', 'IE', 'Ireland', 'EURO', '6', '25766', '0', '1753');
INSERT INTO public.who_import VALUES (41702, '2020-07-22', 'IE', 'Ireland', 'EURO', '36', '25802', '0', '1753');
INSERT INTO public.who_import VALUES (41703, '2020-07-23', 'IE', 'Ireland', 'EURO', '17', '25819', '1', '1754');
INSERT INTO public.who_import VALUES (41704, '2020-07-24', 'IE', 'Ireland', 'EURO', '7', '25826', '9', '1763');
INSERT INTO public.who_import VALUES (41705, '2020-07-25', 'IE', 'Ireland', 'EURO', '19', '25845', '0', '1763');
INSERT INTO public.who_import VALUES (41706, '2020-07-26', 'IE', 'Ireland', 'EURO', '24', '25869', '0', '1763');
INSERT INTO public.who_import VALUES (41707, '2020-07-27', 'IE', 'Ireland', 'EURO', '12', '25881', '0', '1763');
INSERT INTO public.who_import VALUES (41708, '2020-07-28', 'IE', 'Ireland', 'EURO', '11', '25892', '0', '1763');
INSERT INTO public.who_import VALUES (41709, '2020-07-29', 'IE', 'Ireland', 'EURO', '37', '25929', '0', '1763');
INSERT INTO public.who_import VALUES (41710, '2020-07-30', 'IE', 'Ireland', 'EURO', '13', '25942', '0', '1763');
INSERT INTO public.who_import VALUES (41711, '2020-07-31', 'IE', 'Ireland', 'EURO', '85', '26027', '0', '1763');
INSERT INTO public.who_import VALUES (41712, '2020-08-01', 'IE', 'Ireland', 'EURO', '38', '26065', '0', '1763');
INSERT INTO public.who_import VALUES (41713, '2020-08-02', 'IE', 'Ireland', 'EURO', '44', '26109', '0', '1763');
INSERT INTO public.who_import VALUES (41714, '2020-08-03', 'IE', 'Ireland', 'EURO', '53', '26162', '0', '1763');
INSERT INTO public.who_import VALUES (41715, '2020-08-04', 'IE', 'Ireland', 'EURO', '46', '26208', '0', '1763');
INSERT INTO public.who_import VALUES (41716, '2020-08-05', 'IE', 'Ireland', 'EURO', '45', '26253', '0', '1763');
INSERT INTO public.who_import VALUES (41717, '2020-08-06', 'IE', 'Ireland', 'EURO', '50', '26303', '0', '1763');
INSERT INTO public.who_import VALUES (41718, '2020-08-07', 'IE', 'Ireland', 'EURO', '69', '26372', '5', '1768');
INSERT INTO public.who_import VALUES (41719, '2020-08-08', 'IE', 'Ireland', 'EURO', '98', '26470', '4', '1772');
INSERT INTO public.who_import VALUES (41720, '2020-08-09', 'IE', 'Ireland', 'EURO', '174', '26644', '0', '1772');
INSERT INTO public.who_import VALUES (41721, '2020-08-10', 'IE', 'Ireland', 'EURO', '68', '26712', '0', '1772');
INSERT INTO public.who_import VALUES (41722, '2020-08-11', 'IE', 'Ireland', 'EURO', '56', '26768', '0', '1772');
INSERT INTO public.who_import VALUES (41723, '2020-08-12', 'IE', 'Ireland', 'EURO', '33', '26801', '1', '1773');
INSERT INTO public.who_import VALUES (41724, '2020-08-13', 'IE', 'Ireland', 'EURO', '37', '26838', '1', '1774');
INSERT INTO public.who_import VALUES (41725, '2020-08-14', 'IE', 'Ireland', 'EURO', '91', '26929', '0', '1774');
INSERT INTO public.who_import VALUES (41726, '2020-08-15', 'IE', 'Ireland', 'EURO', '66', '26995', '0', '1774');
INSERT INTO public.who_import VALUES (41727, '2020-08-16', 'IE', 'Ireland', 'EURO', '196', '27191', '0', '1774');
INSERT INTO public.who_import VALUES (41728, '2020-08-17', 'IE', 'Ireland', 'EURO', '66', '27257', '0', '1774');
INSERT INTO public.who_import VALUES (41729, '2020-08-18', 'IE', 'Ireland', 'EURO', '56', '27313', '0', '1774');
INSERT INTO public.who_import VALUES (41730, '2020-08-19', 'IE', 'Ireland', 'EURO', '186', '27499', '1', '1775');
INSERT INTO public.who_import VALUES (41731, '2020-08-20', 'IE', 'Ireland', 'EURO', '48', '27547', '0', '1775');
INSERT INTO public.who_import VALUES (41732, '2020-08-21', 'IE', 'Ireland', 'EURO', '129', '27676', '1', '1776');
INSERT INTO public.who_import VALUES (41733, '2020-08-22', 'IE', 'Ireland', 'EURO', '79', '27755', '0', '1776');
INSERT INTO public.who_import VALUES (41734, '2020-08-23', 'IE', 'Ireland', 'EURO', '153', '27908', '1', '1777');
INSERT INTO public.who_import VALUES (41735, '2020-08-24', 'IE', 'Ireland', 'EURO', '61', '27969', '0', '1777');
INSERT INTO public.who_import VALUES (41736, '2020-08-25', 'IE', 'Ireland', 'EURO', '147', '28116', '0', '1777');
INSERT INTO public.who_import VALUES (41737, '2020-08-26', 'IE', 'Ireland', 'EURO', '85', '28201', '0', '1777');
INSERT INTO public.who_import VALUES (41738, '2020-08-27', 'IE', 'Ireland', 'EURO', '162', '28363', '0', '1777');
INSERT INTO public.who_import VALUES (41739, '2020-08-28', 'IE', 'Ireland', 'EURO', '90', '28453', '0', '1777');
INSERT INTO public.who_import VALUES (41740, '2020-08-29', 'IE', 'Ireland', 'EURO', '126', '28579', '0', '1777');
INSERT INTO public.who_import VALUES (41741, '2020-08-30', 'IE', 'Ireland', 'EURO', '141', '28720', '0', '1777');
INSERT INTO public.who_import VALUES (41742, '2020-08-31', 'IE', 'Ireland', 'EURO', '40', '28760', '0', '1777');
INSERT INTO public.who_import VALUES (41743, '2020-09-01', 'IE', 'Ireland', 'EURO', '51', '28811', '0', '1777');
INSERT INTO public.who_import VALUES (41744, '2020-09-02', 'IE', 'Ireland', 'EURO', '214', '29025', '0', '1777');
INSERT INTO public.who_import VALUES (41745, '2020-09-03', 'IE', 'Ireland', 'EURO', '89', '29114', '0', '1777');
INSERT INTO public.who_import VALUES (41746, '2020-09-04', 'IE', 'Ireland', 'EURO', '92', '29206', '0', '1777');
INSERT INTO public.who_import VALUES (41747, '2020-09-05', 'IE', 'Ireland', 'EURO', '97', '29303', '0', '1777');
INSERT INTO public.who_import VALUES (41748, '2020-09-06', 'IE', 'Ireland', 'EURO', '231', '29534', '0', '1777');
INSERT INTO public.who_import VALUES (41749, '2020-09-07', 'IE', 'Ireland', 'EURO', '138', '29672', '0', '1777');
INSERT INTO public.who_import VALUES (41750, '2020-09-08', 'IE', 'Ireland', 'EURO', '102', '29774', '0', '1777');
INSERT INTO public.who_import VALUES (41751, '2020-09-09', 'IE', 'Ireland', 'EURO', '306', '30080', '1', '1778');
INSERT INTO public.who_import VALUES (41752, '2020-09-10', 'IE', 'Ireland', 'EURO', '84', '30164', '3', '1781');
INSERT INTO public.who_import VALUES (41753, '2020-09-11', 'IE', 'Ireland', 'EURO', '196', '30360', '0', '1781');
INSERT INTO public.who_import VALUES (41754, '2020-09-12', 'IE', 'Ireland', 'EURO', '211', '30571', '0', '1781');
INSERT INTO public.who_import VALUES (41755, '2020-09-13', 'IE', 'Ireland', 'EURO', '159', '30730', '2', '1783');
INSERT INTO public.who_import VALUES (41756, '2020-09-14', 'IE', 'Ireland', 'EURO', '255', '30985', '1', '1784');
INSERT INTO public.who_import VALUES (41757, '2020-09-15', 'IE', 'Ireland', 'EURO', '207', '31192', '0', '1784');
INSERT INTO public.who_import VALUES (41758, '2020-09-16', 'IE', 'Ireland', 'EURO', '357', '31549', '3', '1787');
INSERT INTO public.who_import VALUES (41759, '2020-09-17', 'IE', 'Ireland', 'EURO', '250', '31799', '1', '1788');
INSERT INTO public.who_import VALUES (41760, '2020-09-18', 'IE', 'Ireland', 'EURO', '224', '32023', '1', '1789');
INSERT INTO public.who_import VALUES (41761, '2020-09-19', 'IE', 'Ireland', 'EURO', '248', '32271', '3', '1792');
INSERT INTO public.who_import VALUES (41762, '2020-09-20', 'IE', 'Ireland', 'EURO', '267', '32538', '0', '1792');
INSERT INTO public.who_import VALUES (41763, '2020-09-21', 'IE', 'Ireland', 'EURO', '395', '32933', '0', '1792');
INSERT INTO public.who_import VALUES (41764, '2020-09-22', 'IE', 'Ireland', 'EURO', '188', '33121', '0', '1792');
INSERT INTO public.who_import VALUES (41765, '2020-09-23', 'IE', 'Ireland', 'EURO', '323', '33444', '0', '1792');
INSERT INTO public.who_import VALUES (41766, '2020-09-24', 'IE', 'Ireland', 'EURO', '231', '33675', '2', '1794');
INSERT INTO public.who_import VALUES (41767, '2020-09-25', 'IE', 'Ireland', 'EURO', '319', '33994', '3', '1797');
INSERT INTO public.who_import VALUES (41768, '2020-09-26', 'IE', 'Ireland', 'EURO', '321', '34315', '0', '1797');
INSERT INTO public.who_import VALUES (41769, '2020-09-27', 'IE', 'Ireland', 'EURO', '245', '34560', '5', '1802');
INSERT INTO public.who_import VALUES (41770, '2020-09-28', 'IE', 'Ireland', 'EURO', '430', '34990', '0', '1802');
INSERT INTO public.who_import VALUES (41771, '2020-09-29', 'IE', 'Ireland', 'EURO', '388', '35378', '0', '1802');
INSERT INTO public.who_import VALUES (41772, '2020-09-30', 'IE', 'Ireland', 'EURO', '362', '35740', '1', '1803');
INSERT INTO public.who_import VALUES (41773, '2020-10-01', 'IE', 'Ireland', 'EURO', '415', '36155', '1', '1804');
INSERT INTO public.who_import VALUES (41774, '2020-10-02', 'IE', 'Ireland', 'EURO', '442', '36597', '2', '1806');
INSERT INTO public.who_import VALUES (41775, '2020-10-03', 'IE', 'Ireland', 'EURO', '466', '37063', '-5', '1801');
INSERT INTO public.who_import VALUES (41776, '2020-10-04', 'IE', 'Ireland', 'EURO', '605', '37668', '9', '1810');
INSERT INTO public.who_import VALUES (41777, '2020-10-05', 'IE', 'Ireland', 'EURO', '364', '38032', '0', '1810');
INSERT INTO public.who_import VALUES (41778, '2020-10-06', 'IE', 'Ireland', 'EURO', '519', '38551', '0', '1810');
INSERT INTO public.who_import VALUES (41779, '2020-10-07', 'IE', 'Ireland', 'EURO', '424', '38975', '1', '1811');
INSERT INTO public.who_import VALUES (41780, '2020-10-08', 'IE', 'Ireland', 'EURO', '609', '39584', '5', '1816');
INSERT INTO public.who_import VALUES (41781, '2020-10-09', 'IE', 'Ireland', 'EURO', '502', '40086', '1', '1817');
INSERT INTO public.who_import VALUES (41782, '2020-10-10', 'IE', 'Ireland', 'EURO', '617', '40703', '4', '1821');
INSERT INTO public.who_import VALUES (41783, '2020-10-11', 'IE', 'Ireland', 'EURO', '1011', '41714', '0', '1821');
INSERT INTO public.who_import VALUES (41784, '2020-10-12', 'IE', 'Ireland', 'EURO', '814', '42528', '5', '1826');
INSERT INTO public.who_import VALUES (41785, '2020-10-13', 'IE', 'Ireland', 'EURO', '823', '43351', '1', '1827');
INSERT INTO public.who_import VALUES (41786, '2020-10-14', 'IE', 'Ireland', 'EURO', '808', '44159', '3', '1830');
INSERT INTO public.who_import VALUES (41787, '2020-10-15', 'IE', 'Ireland', 'EURO', '1084', '45243', '5', '1835');
INSERT INTO public.who_import VALUES (41788, '2020-10-16', 'IE', 'Ireland', 'EURO', '1186', '46429', '3', '1838');
INSERT INTO public.who_import VALUES (41789, '2020-10-17', 'IE', 'Ireland', 'EURO', '998', '47427', '3', '1841');
INSERT INTO public.who_import VALUES (41790, '2020-10-18', 'IE', 'Ireland', 'EURO', '1251', '48678', '8', '1849');
INSERT INTO public.who_import VALUES (41791, '2020-10-19', 'IE', 'Ireland', 'EURO', '1284', '49962', '3', '1852');
INSERT INTO public.who_import VALUES (41792, '2020-10-20', 'IE', 'Ireland', 'EURO', '1031', '50993', '0', '1852');
INSERT INTO public.who_import VALUES (41793, '2020-10-21', 'IE', 'Ireland', 'EURO', '1263', '52256', '13', '1865');
INSERT INTO public.who_import VALUES (41794, '2020-10-22', 'IE', 'Ireland', 'EURO', '1166', '53422', '3', '1868');
INSERT INTO public.who_import VALUES (41795, '2020-10-23', 'IE', 'Ireland', 'EURO', '1054', '54476', '3', '1871');
INSERT INTO public.who_import VALUES (41796, '2020-10-24', 'IE', 'Ireland', 'EURO', '785', '55261', '7', '1878');
INSERT INTO public.who_import VALUES (41797, '2020-10-25', 'IE', 'Ireland', 'EURO', '847', '56108', '4', '1882');
INSERT INTO public.who_import VALUES (41798, '2020-10-26', 'IE', 'Ireland', 'EURO', '1020', '57128', '0', '1882');
INSERT INTO public.who_import VALUES (41799, '2020-10-27', 'IE', 'Ireland', 'EURO', '939', '58067', '3', '1885');
INSERT INTO public.who_import VALUES (41800, '2020-10-28', 'IE', 'Ireland', 'EURO', '700', '58767', '5', '1890');
INSERT INTO public.who_import VALUES (41801, '2020-10-29', 'IE', 'Ireland', 'EURO', '667', '59434', '6', '1896');
INSERT INTO public.who_import VALUES (41802, '2020-10-30', 'IE', 'Ireland', 'EURO', '863', '60297', '6', '1902');
INSERT INTO public.who_import VALUES (41803, '2020-10-31', 'IE', 'Ireland', 'EURO', '762', '61059', '6', '1908');
INSERT INTO public.who_import VALUES (41804, '2020-11-01', 'IE', 'Ireland', 'EURO', '397', '61456', '5', '1913');
INSERT INTO public.who_import VALUES (41805, '2020-11-02', 'IE', 'Ireland', 'EURO', '546', '62002', '2', '1915');
INSERT INTO public.who_import VALUES (41806, '2020-11-03', 'IE', 'Ireland', 'EURO', '748', '62750', '2', '1917');
INSERT INTO public.who_import VALUES (41807, '2020-11-04', 'IE', 'Ireland', 'EURO', '298', '63048', '5', '1922');
INSERT INTO public.who_import VALUES (41808, '2020-11-05', 'IE', 'Ireland', 'EURO', '435', '63483', '8', '1930');
INSERT INTO public.who_import VALUES (41809, '2020-11-06', 'IE', 'Ireland', 'EURO', '563', '64046', '3', '1933');
INSERT INTO public.who_import VALUES (41810, '2020-11-07', 'IE', 'Ireland', 'EURO', '492', '64538', '7', '1940');
INSERT INTO public.who_import VALUES (41811, '2020-11-08', 'IE', 'Ireland', 'EURO', '317', '64855', '5', '1945');
INSERT INTO public.who_import VALUES (41812, '2020-11-09', 'IE', 'Ireland', 'EURO', '539', '65394', '2', '1947');
INSERT INTO public.who_import VALUES (41813, '2020-11-10', 'IE', 'Ireland', 'EURO', '265', '65659', '1', '1948');
INSERT INTO public.who_import VALUES (41814, '2020-11-11', 'IE', 'Ireland', 'EURO', '230', '65889', '15', '1963');
INSERT INTO public.who_import VALUES (41815, '2020-11-12', 'IE', 'Ireland', 'EURO', '358', '66247', '2', '1965');
INSERT INTO public.who_import VALUES (41816, '2020-11-13', 'IE', 'Ireland', 'EURO', '385', '66632', '0', '1965');
INSERT INTO public.who_import VALUES (41817, '2020-11-14', 'IE', 'Ireland', 'EURO', '467', '67099', '7', '1972');
INSERT INTO public.who_import VALUES (41818, '2020-11-15', 'IE', 'Ireland', 'EURO', '427', '67526', '6', '1978');
INSERT INTO public.who_import VALUES (41819, '2020-11-16', 'IE', 'Ireland', 'EURO', '377', '67903', '1', '1979');
INSERT INTO public.who_import VALUES (41820, '2020-11-17', 'IE', 'Ireland', 'EURO', '453', '68356', '5', '1984');
INSERT INTO public.who_import VALUES (41821, '2020-11-18', 'IE', 'Ireland', 'EURO', '330', '68686', '11', '1995');
INSERT INTO public.who_import VALUES (41822, '2020-11-19', 'IE', 'Ireland', 'EURO', '372', '69058', '11', '2006');
INSERT INTO public.who_import VALUES (41823, '2020-11-20', 'IE', 'Ireland', 'EURO', '415', '69473', '4', '2010');
INSERT INTO public.who_import VALUES (41824, '2020-11-21', 'IE', 'Ireland', 'EURO', '329', '69802', '8', '2018');
INSERT INTO public.who_import VALUES (41825, '2020-11-22', 'IE', 'Ireland', 'EURO', '341', '70143', '4', '2022');
INSERT INTO public.who_import VALUES (41826, '2020-11-23', 'IE', 'Ireland', 'EURO', '318', '70461', '0', '2022');
INSERT INTO public.who_import VALUES (41827, '2020-11-24', 'IE', 'Ireland', 'EURO', '250', '70711', '0', '2022');
INSERT INTO public.who_import VALUES (41828, '2020-11-25', 'IE', 'Ireland', 'EURO', '219', '70930', '6', '2028');
INSERT INTO public.who_import VALUES (41829, '2020-11-26', 'IE', 'Ireland', 'EURO', '257', '71187', '5', '2033');
INSERT INTO public.who_import VALUES (41830, '2020-11-27', 'IE', 'Ireland', 'EURO', '307', '71494', '3', '2036');
INSERT INTO public.who_import VALUES (41831, '2020-11-28', 'IE', 'Ireland', 'EURO', '205', '71699', '7', '2043');
INSERT INTO public.who_import VALUES (41832, '2020-11-29', 'IE', 'Ireland', 'EURO', '243', '71942', '7', '2050');
INSERT INTO public.who_import VALUES (41833, '2020-11-30', 'IE', 'Ireland', 'EURO', '299', '72241', '2', '2052');
INSERT INTO public.who_import VALUES (41834, '2020-12-01', 'IE', 'Ireland', 'EURO', '303', '72544', '1', '2053');
INSERT INTO public.who_import VALUES (41835, '2020-12-02', 'IE', 'Ireland', 'EURO', '254', '72798', '16', '2069');
INSERT INTO public.who_import VALUES (41836, '2020-12-03', 'IE', 'Ireland', 'EURO', '268', '73066', '5', '2074');
INSERT INTO public.who_import VALUES (41837, '2020-12-04', 'IE', 'Ireland', 'EURO', '162', '73228', '6', '2080');
INSERT INTO public.who_import VALUES (41838, '2020-12-05', 'IE', 'Ireland', 'EURO', '263', '73491', '6', '2086');
INSERT INTO public.who_import VALUES (41839, '2020-12-06', 'IE', 'Ireland', 'EURO', '457', '73948', '11', '2097');
INSERT INTO public.who_import VALUES (41840, '2020-12-07', 'IE', 'Ireland', 'EURO', '298', '74246', '0', '2097');
INSERT INTO public.who_import VALUES (41841, '2020-12-08', 'IE', 'Ireland', 'EURO', '222', '74468', '0', '2097');
INSERT INTO public.who_import VALUES (41842, '2020-12-09', 'IE', 'Ireland', 'EURO', '214', '74682', '0', '2097');
INSERT INTO public.who_import VALUES (41843, '2020-12-10', 'IE', 'Ireland', 'EURO', '218', '74900', '5', '2102');
INSERT INTO public.who_import VALUES (41844, '2020-12-11', 'IE', 'Ireland', 'EURO', '303', '75203', '15', '2117');
INSERT INTO public.who_import VALUES (41845, '2020-12-12', 'IE', 'Ireland', 'EURO', '304', '75507', '3', '2120');
INSERT INTO public.who_import VALUES (41846, '2020-12-13', 'IE', 'Ireland', 'EURO', '249', '75756', '3', '2123');
INSERT INTO public.who_import VALUES (41847, '2020-12-14', 'IE', 'Ireland', 'EURO', '429', '76185', '1', '2124');
INSERT INTO public.who_import VALUES (41848, '2020-12-15', 'IE', 'Ireland', 'EURO', '264', '76449', '2', '2126');
INSERT INTO public.who_import VALUES (41849, '2020-12-16', 'IE', 'Ireland', 'EURO', '327', '76776', '8', '2134');
INSERT INTO public.who_import VALUES (41850, '2020-12-17', 'IE', 'Ireland', 'EURO', '421', '77197', '6', '2140');
INSERT INTO public.who_import VALUES (41851, '2020-12-18', 'IE', 'Ireland', 'EURO', '481', '77678', '3', '2143');
INSERT INTO public.who_import VALUES (41852, '2020-12-19', 'IE', 'Ireland', 'EURO', '576', '78254', '6', '2149');
INSERT INTO public.who_import VALUES (41853, '2020-12-20', 'IE', 'Ireland', 'EURO', '522', '78776', '5', '2154');
INSERT INTO public.who_import VALUES (41854, '2020-12-21', 'IE', 'Ireland', 'EURO', '766', '79542', '4', '2158');
INSERT INTO public.who_import VALUES (41855, '2020-12-22', 'IE', 'Ireland', 'EURO', '725', '80267', '0', '2158');
INSERT INTO public.who_import VALUES (41856, '2020-12-23', 'IE', 'Ireland', 'EURO', '961', '81228', '13', '2171');
INSERT INTO public.who_import VALUES (41857, '2020-12-24', 'IE', 'Ireland', 'EURO', '927', '82155', '13', '2184');
INSERT INTO public.who_import VALUES (41858, '2020-12-25', 'IE', 'Ireland', 'EURO', '918', '83073', '8', '2192');
INSERT INTO public.who_import VALUES (41859, '2020-12-26', 'IE', 'Ireland', 'EURO', '1025', '84098', '2', '2194');
INSERT INTO public.who_import VALUES (41860, '2020-12-27', 'IE', 'Ireland', 'EURO', '1296', '85394', '6', '2200');
INSERT INTO public.who_import VALUES (41861, '2020-12-28', 'IE', 'Ireland', 'EURO', '735', '86129', '4', '2204');
INSERT INTO public.who_import VALUES (41862, '2020-12-29', 'IE', 'Ireland', 'EURO', '765', '86894', '1', '2205');
INSERT INTO public.who_import VALUES (41863, '2020-12-30', 'IE', 'Ireland', 'EURO', '1545', '88439', '8', '2213');
INSERT INTO public.who_import VALUES (41864, '2020-12-31', 'IE', 'Ireland', 'EURO', '1718', '90157', '13', '2226');
INSERT INTO public.who_import VALUES (41865, '2021-01-01', 'IE', 'Ireland', 'EURO', '1622', '91779', '11', '2237');
INSERT INTO public.who_import VALUES (43221, '2020-03-03', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41866, '2021-01-02', 'IE', 'Ireland', 'EURO', '1753', '93532', '11', '2248');
INSERT INTO public.who_import VALUES (41867, '2021-01-03', 'IE', 'Ireland', 'EURO', '3394', '96926', '4', '2252');
INSERT INTO public.who_import VALUES (41868, '2021-01-04', 'IE', 'Ireland', 'EURO', '4961', '101887', '7', '2259');
INSERT INTO public.who_import VALUES (41869, '2021-01-05', 'IE', 'Ireland', 'EURO', '6110', '107997', '6', '2265');
INSERT INTO public.who_import VALUES (41870, '2021-01-06', 'IE', 'Ireland', 'EURO', '5325', '113322', '17', '2282');
INSERT INTO public.who_import VALUES (41871, '2021-01-07', 'IE', 'Ireland', 'EURO', '7832', '121154', '17', '2299');
INSERT INTO public.who_import VALUES (41872, '2021-01-08', 'IE', 'Ireland', 'EURO', '6503', '127657', '8', '2307');
INSERT INTO public.who_import VALUES (41873, '2021-01-09', 'IE', 'Ireland', 'EURO', '8227', '135884', '20', '2327');
INSERT INTO public.who_import VALUES (41874, '2021-01-10', 'IE', 'Ireland', 'EURO', '4843', '140727', '9', '2336');
INSERT INTO public.who_import VALUES (41875, '2021-01-11', 'IE', 'Ireland', 'EURO', '6886', '147613', '8', '2344');
INSERT INTO public.who_import VALUES (41876, '2021-01-12', 'IE', 'Ireland', 'EURO', '4926', '152539', '8', '2352');
INSERT INTO public.who_import VALUES (41877, '2021-01-13', 'IE', 'Ireland', 'EURO', '3052', '155591', '45', '2397');
INSERT INTO public.who_import VALUES (41878, '2021-01-14', 'IE', 'Ireland', 'EURO', '3553', '159144', '63', '2460');
INSERT INTO public.who_import VALUES (41879, '2021-01-15', 'IE', 'Ireland', 'EURO', '3913', '163057', '28', '2488');
INSERT INTO public.who_import VALUES (41880, '2021-01-16', 'IE', 'Ireland', 'EURO', '3491', '166548', '48', '2536');
INSERT INTO public.who_import VALUES (41881, '2021-01-17', 'IE', 'Ireland', 'EURO', '3232', '169780', '59', '2595');
INSERT INTO public.who_import VALUES (41882, '2021-01-18', 'IE', 'Ireland', 'EURO', '2946', '172726', '13', '2608');
INSERT INTO public.who_import VALUES (41883, '2021-01-19', 'IE', 'Ireland', 'EURO', '2117', '174843', '8', '2616');
INSERT INTO public.who_import VALUES (41884, '2021-01-20', 'IE', 'Ireland', 'EURO', '1996', '176839', '92', '2708');
INSERT INTO public.who_import VALUES (41885, '2021-01-21', 'IE', 'Ireland', 'EURO', '2485', '179324', '60', '2768');
INSERT INTO public.who_import VALUES (41886, '2021-01-22', 'IE', 'Ireland', 'EURO', '2598', '181922', '50', '2818');
INSERT INTO public.who_import VALUES (41887, '2021-01-23', 'IE', 'Ireland', 'EURO', '2357', '184279', '52', '2870');
INSERT INTO public.who_import VALUES (41888, '2021-01-24', 'IE', 'Ireland', 'EURO', '1905', '186184', '77', '2947');
INSERT INTO public.who_import VALUES (41889, '2021-01-25', 'IE', 'Ireland', 'EURO', '1370', '187554', '23', '2970');
INSERT INTO public.who_import VALUES (41890, '2021-01-26', 'IE', 'Ireland', 'EURO', '1369', '188923', '7', '2977');
INSERT INTO public.who_import VALUES (41891, '2021-01-27', 'IE', 'Ireland', 'EURO', '928', '189851', '89', '3066');
INSERT INTO public.who_import VALUES (41892, '2021-01-28', 'IE', 'Ireland', 'EURO', '1331', '191182', '54', '3120');
INSERT INTO public.who_import VALUES (41893, '2021-01-29', 'IE', 'Ireland', 'EURO', '2463', '193645', '47', '3167');
INSERT INTO public.who_import VALUES (41894, '2021-01-30', 'IE', 'Ireland', 'EURO', '247', '193892', '47', '3214');
INSERT INTO public.who_import VALUES (41895, '2021-01-31', 'IE', 'Ireland', 'EURO', '1411', '195303', '78', '3292');
INSERT INTO public.who_import VALUES (41896, '2021-02-01', 'IE', 'Ireland', 'EURO', '1244', '196547', '15', '3307');
INSERT INTO public.who_import VALUES (41897, '2021-02-02', 'IE', 'Ireland', 'EURO', '1006', '197553', '10', '3317');
INSERT INTO public.who_import VALUES (41898, '2021-02-03', 'IE', 'Ireland', 'EURO', '871', '198424', '101', '3418');
INSERT INTO public.who_import VALUES (41899, '2021-02-04', 'IE', 'Ireland', 'EURO', '1006', '199430', '94', '3512');
INSERT INTO public.who_import VALUES (41900, '2021-02-05', 'IE', 'Ireland', 'EURO', '1314', '200744', '74', '3586');
INSERT INTO public.who_import VALUES (41901, '2021-02-06', 'IE', 'Ireland', 'EURO', '1019', '201763', '35', '3621');
INSERT INTO public.who_import VALUES (41902, '2021-02-07', 'IE', 'Ireland', 'EURO', '785', '202548', '53', '3674');
INSERT INTO public.who_import VALUES (41903, '2021-02-08', 'IE', 'Ireland', 'EURO', '1020', '203568', '12', '3686');
INSERT INTO public.who_import VALUES (41904, '2021-02-09', 'IE', 'Ireland', 'EURO', '829', '204397', '1', '3687');
INSERT INTO public.who_import VALUES (41905, '2021-02-10', 'IE', 'Ireland', 'EURO', '543', '204940', '65', '3752');
INSERT INTO public.who_import VALUES (41906, '2021-02-11', 'IE', 'Ireland', 'EURO', '999', '205939', '42', '3794');
INSERT INTO public.who_import VALUES (41907, '2021-02-12', 'IE', 'Ireland', 'EURO', '862', '206801', '52', '3846');
INSERT INTO public.who_import VALUES (41908, '2021-02-13', 'IE', 'Ireland', 'EURO', '919', '207720', '19', '3865');
INSERT INTO public.who_import VALUES (41909, '2021-02-14', 'IE', 'Ireland', 'EURO', '1076', '208796', '66', '3931');
INSERT INTO public.who_import VALUES (41910, '2021-02-15', 'IE', 'Ireland', 'EURO', '786', '209582', '17', '3948');
INSERT INTO public.who_import VALUES (41911, '2021-02-16', 'IE', 'Ireland', 'EURO', '820', '210402', '0', '3948');
INSERT INTO public.who_import VALUES (41912, '2021-02-17', 'IE', 'Ireland', 'EURO', '711', '211113', '32', '3980');
INSERT INTO public.who_import VALUES (41913, '2021-02-18', 'IE', 'Ireland', 'EURO', '638', '211751', '56', '4036');
INSERT INTO public.who_import VALUES (41914, '2021-02-19', 'IE', 'Ireland', 'EURO', '896', '212647', '46', '4082');
INSERT INTO public.who_import VALUES (41915, '2021-02-20', 'IE', 'Ireland', 'EURO', '753', '213400', '27', '4109');
INSERT INTO public.who_import VALUES (41916, '2020-01-03', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41917, '2020-01-04', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41918, '2020-01-05', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41919, '2020-01-06', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41920, '2020-01-07', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41921, '2020-01-08', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41922, '2020-01-09', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41923, '2020-01-10', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41924, '2020-01-11', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41925, '2020-01-12', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41926, '2020-01-13', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41927, '2020-01-14', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41928, '2020-01-15', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41929, '2020-01-16', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41930, '2020-01-17', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41931, '2020-01-18', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41932, '2020-01-19', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41933, '2020-01-20', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41934, '2020-01-21', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41935, '2020-01-22', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41936, '2020-01-23', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41937, '2020-01-24', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41938, '2020-01-25', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41939, '2020-01-26', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41940, '2020-01-27', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41941, '2020-01-28', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41942, '2020-01-29', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41943, '2020-01-30', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41944, '2020-01-31', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41945, '2020-02-01', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41946, '2020-02-02', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41947, '2020-02-03', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41948, '2020-02-04', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41949, '2020-02-05', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41950, '2020-02-06', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41951, '2020-02-07', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41952, '2020-02-08', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41953, '2020-02-09', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41954, '2020-02-10', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41955, '2020-02-11', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41956, '2020-02-12', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41957, '2020-02-13', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41958, '2020-02-14', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41959, '2020-02-15', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41960, '2020-02-16', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41961, '2020-02-17', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41962, '2020-02-18', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41963, '2020-02-19', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41964, '2020-02-20', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41965, '2020-02-21', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41966, '2020-02-22', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41967, '2020-02-23', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41968, '2020-02-24', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41969, '2020-02-25', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41970, '2020-02-26', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41971, '2020-02-27', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41972, '2020-02-28', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41973, '2020-02-29', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41974, '2020-03-01', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41975, '2020-03-02', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41976, '2020-03-03', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41977, '2020-03-04', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41978, '2020-03-05', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41979, '2020-03-06', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41980, '2020-03-07', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41981, '2020-03-08', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41982, '2020-03-09', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41983, '2020-03-10', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41984, '2020-03-11', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41985, '2020-03-12', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41986, '2020-03-13', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41987, '2020-03-14', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41988, '2020-03-15', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41989, '2020-03-16', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41990, '2020-03-17', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41991, '2020-03-18', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41992, '2020-03-19', 'IM', 'Isle of Man', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (41993, '2020-03-20', 'IM', 'Isle of Man', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (41994, '2020-03-21', 'IM', 'Isle of Man', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (41995, '2020-03-22', 'IM', 'Isle of Man', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (41996, '2020-03-23', 'IM', 'Isle of Man', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (41997, '2020-03-24', 'IM', 'Isle of Man', 'EURO', '11', '13', '0', '0');
INSERT INTO public.who_import VALUES (41998, '2020-03-25', 'IM', 'Isle of Man', 'EURO', '10', '23', '0', '0');
INSERT INTO public.who_import VALUES (41999, '2020-03-26', 'IM', 'Isle of Man', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (42000, '2020-03-27', 'IM', 'Isle of Man', 'EURO', '3', '26', '0', '0');
INSERT INTO public.who_import VALUES (42001, '2020-03-28', 'IM', 'Isle of Man', 'EURO', '3', '29', '0', '0');
INSERT INTO public.who_import VALUES (42002, '2020-03-29', 'IM', 'Isle of Man', 'EURO', '3', '32', '0', '0');
INSERT INTO public.who_import VALUES (42003, '2020-03-30', 'IM', 'Isle of Man', 'EURO', '10', '42', '0', '0');
INSERT INTO public.who_import VALUES (42004, '2020-03-31', 'IM', 'Isle of Man', 'EURO', '10', '52', '0', '0');
INSERT INTO public.who_import VALUES (42005, '2020-04-01', 'IM', 'Isle of Man', 'EURO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (42006, '2020-04-02', 'IM', 'Isle of Man', 'EURO', '13', '65', '0', '0');
INSERT INTO public.who_import VALUES (42007, '2020-04-03', 'IM', 'Isle of Man', 'EURO', '6', '71', '1', '1');
INSERT INTO public.who_import VALUES (42008, '2020-04-04', 'IM', 'Isle of Man', 'EURO', '43', '114', '0', '1');
INSERT INTO public.who_import VALUES (42009, '2020-04-05', 'IM', 'Isle of Man', 'EURO', '12', '126', '0', '1');
INSERT INTO public.who_import VALUES (42010, '2020-04-06', 'IM', 'Isle of Man', 'EURO', '1', '127', '0', '1');
INSERT INTO public.who_import VALUES (42011, '2020-04-07', 'IM', 'Isle of Man', 'EURO', '0', '127', '0', '1');
INSERT INTO public.who_import VALUES (42012, '2020-04-08', 'IM', 'Isle of Man', 'EURO', '23', '150', '0', '1');
INSERT INTO public.who_import VALUES (42013, '2020-04-09', 'IM', 'Isle of Man', 'EURO', '0', '150', '0', '1');
INSERT INTO public.who_import VALUES (42014, '2020-04-10', 'IM', 'Isle of Man', 'EURO', '15', '165', '0', '1');
INSERT INTO public.who_import VALUES (42015, '2020-04-11', 'IM', 'Isle of Man', 'EURO', '25', '190', '0', '1');
INSERT INTO public.who_import VALUES (42016, '2020-04-12', 'IM', 'Isle of Man', 'EURO', '14', '204', '0', '1');
INSERT INTO public.who_import VALUES (42017, '2020-04-13', 'IM', 'Isle of Man', 'EURO', '22', '226', '0', '1');
INSERT INTO public.who_import VALUES (42018, '2020-04-14', 'IM', 'Isle of Man', 'EURO', '2', '228', '1', '2');
INSERT INTO public.who_import VALUES (42019, '2020-04-15', 'IM', 'Isle of Man', 'EURO', '14', '242', '0', '2');
INSERT INTO public.who_import VALUES (42020, '2020-04-16', 'IM', 'Isle of Man', 'EURO', '12', '254', '0', '2');
INSERT INTO public.who_import VALUES (42021, '2020-04-17', 'IM', 'Isle of Man', 'EURO', '4', '258', '2', '4');
INSERT INTO public.who_import VALUES (42022, '2020-04-18', 'IM', 'Isle of Man', 'EURO', '31', '289', '0', '4');
INSERT INTO public.who_import VALUES (42023, '2020-04-19', 'IM', 'Isle of Man', 'EURO', '2', '291', '0', '4');
INSERT INTO public.who_import VALUES (42024, '2020-04-20', 'IM', 'Isle of Man', 'EURO', '6', '297', '0', '4');
INSERT INTO public.who_import VALUES (42025, '2020-04-21', 'IM', 'Isle of Man', 'EURO', '0', '297', '0', '4');
INSERT INTO public.who_import VALUES (42026, '2020-04-22', 'IM', 'Isle of Man', 'EURO', '10', '307', '6', '10');
INSERT INTO public.who_import VALUES (42027, '2020-04-23', 'IM', 'Isle of Man', 'EURO', '0', '307', '0', '10');
INSERT INTO public.who_import VALUES (42028, '2020-04-24', 'IM', 'Isle of Man', 'EURO', '0', '307', '6', '16');
INSERT INTO public.who_import VALUES (42029, '2020-04-25', 'IM', 'Isle of Man', 'EURO', '1', '308', '1', '17');
INSERT INTO public.who_import VALUES (42030, '2020-04-26', 'IM', 'Isle of Man', 'EURO', '0', '308', '1', '18');
INSERT INTO public.who_import VALUES (42031, '2020-04-27', 'IM', 'Isle of Man', 'EURO', '0', '308', '0', '18');
INSERT INTO public.who_import VALUES (42032, '2020-04-28', 'IM', 'Isle of Man', 'EURO', '0', '308', '0', '18');
INSERT INTO public.who_import VALUES (42033, '2020-04-29', 'IM', 'Isle of Man', 'EURO', '0', '308', '2', '20');
INSERT INTO public.who_import VALUES (42034, '2020-04-30', 'IM', 'Isle of Man', 'EURO', '1', '309', '1', '21');
INSERT INTO public.who_import VALUES (42035, '2020-05-01', 'IM', 'Isle of Man', 'EURO', '2', '311', '1', '22');
INSERT INTO public.who_import VALUES (42036, '2020-05-02', 'IM', 'Isle of Man', 'EURO', '0', '311', '0', '22');
INSERT INTO public.who_import VALUES (42037, '2020-05-03', 'IM', 'Isle of Man', 'EURO', '4', '315', '1', '23');
INSERT INTO public.who_import VALUES (42038, '2020-05-04', 'IM', 'Isle of Man', 'EURO', '5', '320', '0', '23');
INSERT INTO public.who_import VALUES (42039, '2020-05-05', 'IM', 'Isle of Man', 'EURO', '1', '321', '0', '23');
INSERT INTO public.who_import VALUES (42040, '2020-05-06', 'IM', 'Isle of Man', 'EURO', '4', '325', '0', '23');
INSERT INTO public.who_import VALUES (42041, '2020-05-07', 'IM', 'Isle of Man', 'EURO', '1', '326', '0', '23');
INSERT INTO public.who_import VALUES (42042, '2020-05-08', 'IM', 'Isle of Man', 'EURO', '1', '327', '0', '23');
INSERT INTO public.who_import VALUES (42043, '2020-05-09', 'IM', 'Isle of Man', 'EURO', '2', '329', '0', '23');
INSERT INTO public.who_import VALUES (42044, '2020-05-10', 'IM', 'Isle of Man', 'EURO', '0', '329', '0', '23');
INSERT INTO public.who_import VALUES (42045, '2020-05-11', 'IM', 'Isle of Man', 'EURO', '1', '330', '0', '23');
INSERT INTO public.who_import VALUES (42046, '2020-05-12', 'IM', 'Isle of Man', 'EURO', '0', '330', '0', '23');
INSERT INTO public.who_import VALUES (42047, '2020-05-13', 'IM', 'Isle of Man', 'EURO', '0', '330', '0', '23');
INSERT INTO public.who_import VALUES (42048, '2020-05-14', 'IM', 'Isle of Man', 'EURO', '2', '332', '1', '24');
INSERT INTO public.who_import VALUES (42049, '2020-05-15', 'IM', 'Isle of Man', 'EURO', '0', '332', '0', '24');
INSERT INTO public.who_import VALUES (42050, '2020-05-16', 'IM', 'Isle of Man', 'EURO', '1', '333', '0', '24');
INSERT INTO public.who_import VALUES (42051, '2020-05-17', 'IM', 'Isle of Man', 'EURO', '1', '334', '0', '24');
INSERT INTO public.who_import VALUES (42052, '2020-05-18', 'IM', 'Isle of Man', 'EURO', '1', '335', '0', '24');
INSERT INTO public.who_import VALUES (42053, '2020-05-19', 'IM', 'Isle of Man', 'EURO', '0', '335', '0', '24');
INSERT INTO public.who_import VALUES (42054, '2020-05-20', 'IM', 'Isle of Man', 'EURO', '0', '335', '0', '24');
INSERT INTO public.who_import VALUES (42055, '2020-05-21', 'IM', 'Isle of Man', 'EURO', '0', '335', '0', '24');
INSERT INTO public.who_import VALUES (42056, '2020-05-22', 'IM', 'Isle of Man', 'EURO', '1', '336', '0', '24');
INSERT INTO public.who_import VALUES (42057, '2020-05-23', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42058, '2020-05-24', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42059, '2020-05-25', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42060, '2020-05-26', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42061, '2020-05-27', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42062, '2020-05-28', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42063, '2020-05-29', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42064, '2020-05-30', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42065, '2020-05-31', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42066, '2020-06-01', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42067, '2020-06-02', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42068, '2020-06-03', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42069, '2020-06-04', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42070, '2020-06-05', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42071, '2020-06-06', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42072, '2020-06-07', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42073, '2020-06-08', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42074, '2020-06-09', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42075, '2020-06-10', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42076, '2020-06-11', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42077, '2020-06-12', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42078, '2020-06-13', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42079, '2020-06-14', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42080, '2020-06-15', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42081, '2020-06-16', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42082, '2020-06-17', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42083, '2020-06-18', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42084, '2020-06-19', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42085, '2020-06-20', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42086, '2020-06-21', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42087, '2020-06-22', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42088, '2020-06-23', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42089, '2020-06-24', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42090, '2020-06-25', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42091, '2020-06-26', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42092, '2020-06-27', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42093, '2020-06-28', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42094, '2020-06-29', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42095, '2020-06-30', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42096, '2020-07-01', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42097, '2020-07-02', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42098, '2020-07-03', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42099, '2020-07-04', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42100, '2020-07-05', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42101, '2020-07-06', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42102, '2020-07-07', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42103, '2020-07-08', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42104, '2020-07-09', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42105, '2020-07-10', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42106, '2020-07-11', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42107, '2020-07-12', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42108, '2020-07-13', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42109, '2020-07-14', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42110, '2020-07-15', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42111, '2020-07-16', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42112, '2020-07-17', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42113, '2020-07-18', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42114, '2020-07-19', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42115, '2020-07-20', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42116, '2020-07-21', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42117, '2020-07-22', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42118, '2020-07-23', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42119, '2020-07-24', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42120, '2020-07-25', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42121, '2020-07-26', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42122, '2020-07-27', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42123, '2020-07-28', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42124, '2020-07-29', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42125, '2020-07-30', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42126, '2020-07-31', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42127, '2020-08-01', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42128, '2020-08-02', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42129, '2020-08-03', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42130, '2020-08-04', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42131, '2020-08-05', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42132, '2020-08-06', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42133, '2020-08-07', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42134, '2020-08-08', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42135, '2020-08-09', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42136, '2020-08-10', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42137, '2020-08-11', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42138, '2020-08-12', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42139, '2020-08-13', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42140, '2020-08-14', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42141, '2020-08-15', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42142, '2020-08-16', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42143, '2020-08-17', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42144, '2020-08-18', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42145, '2020-08-19', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42146, '2020-08-20', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42147, '2020-08-21', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42148, '2020-08-22', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42149, '2020-08-23', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42150, '2020-08-24', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42151, '2020-08-25', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42152, '2020-08-26', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42153, '2020-08-27', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42154, '2020-08-28', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42155, '2020-08-29', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42156, '2020-08-30', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42157, '2020-08-31', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42158, '2020-09-01', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42159, '2020-09-02', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42160, '2020-09-03', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42161, '2020-09-04', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42162, '2020-09-05', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42163, '2020-09-06', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42164, '2020-09-07', 'IM', 'Isle of Man', 'EURO', '0', '336', '0', '24');
INSERT INTO public.who_import VALUES (42165, '2020-09-08', 'IM', 'Isle of Man', 'EURO', '1', '337', '0', '24');
INSERT INTO public.who_import VALUES (42166, '2020-09-09', 'IM', 'Isle of Man', 'EURO', '0', '337', '0', '24');
INSERT INTO public.who_import VALUES (42167, '2020-09-10', 'IM', 'Isle of Man', 'EURO', '0', '337', '0', '24');
INSERT INTO public.who_import VALUES (42168, '2020-09-11', 'IM', 'Isle of Man', 'EURO', '0', '337', '0', '24');
INSERT INTO public.who_import VALUES (42169, '2020-09-12', 'IM', 'Isle of Man', 'EURO', '0', '337', '0', '24');
INSERT INTO public.who_import VALUES (42170, '2020-09-13', 'IM', 'Isle of Man', 'EURO', '0', '337', '0', '24');
INSERT INTO public.who_import VALUES (42171, '2020-09-14', 'IM', 'Isle of Man', 'EURO', '0', '337', '0', '24');
INSERT INTO public.who_import VALUES (42172, '2020-09-15', 'IM', 'Isle of Man', 'EURO', '1', '338', '0', '24');
INSERT INTO public.who_import VALUES (42173, '2020-09-16', 'IM', 'Isle of Man', 'EURO', '1', '339', '0', '24');
INSERT INTO public.who_import VALUES (42174, '2020-09-17', 'IM', 'Isle of Man', 'EURO', '0', '339', '0', '24');
INSERT INTO public.who_import VALUES (42175, '2020-09-18', 'IM', 'Isle of Man', 'EURO', '0', '339', '0', '24');
INSERT INTO public.who_import VALUES (42176, '2020-09-19', 'IM', 'Isle of Man', 'EURO', '0', '339', '0', '24');
INSERT INTO public.who_import VALUES (42177, '2020-09-20', 'IM', 'Isle of Man', 'EURO', '0', '339', '0', '24');
INSERT INTO public.who_import VALUES (42178, '2020-09-21', 'IM', 'Isle of Man', 'EURO', '0', '339', '0', '24');
INSERT INTO public.who_import VALUES (42179, '2020-09-22', 'IM', 'Isle of Man', 'EURO', '0', '339', '0', '24');
INSERT INTO public.who_import VALUES (42180, '2020-09-23', 'IM', 'Isle of Man', 'EURO', '1', '340', '0', '24');
INSERT INTO public.who_import VALUES (42181, '2020-09-24', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42182, '2020-09-25', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42183, '2020-09-26', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42184, '2020-09-27', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42185, '2020-09-28', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42186, '2020-09-29', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42187, '2020-09-30', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42188, '2020-10-01', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42189, '2020-10-02', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42190, '2020-10-03', 'IM', 'Isle of Man', 'EURO', '0', '340', '0', '24');
INSERT INTO public.who_import VALUES (42191, '2020-10-04', 'IM', 'Isle of Man', 'EURO', '1', '341', '0', '24');
INSERT INTO public.who_import VALUES (42192, '2020-10-05', 'IM', 'Isle of Man', 'EURO', '1', '342', '0', '24');
INSERT INTO public.who_import VALUES (42193, '2020-10-06', 'IM', 'Isle of Man', 'EURO', '0', '342', '0', '24');
INSERT INTO public.who_import VALUES (42194, '2020-10-07', 'IM', 'Isle of Man', 'EURO', '2', '344', '0', '24');
INSERT INTO public.who_import VALUES (42195, '2020-10-08', 'IM', 'Isle of Man', 'EURO', '1', '345', '0', '24');
INSERT INTO public.who_import VALUES (42196, '2020-10-09', 'IM', 'Isle of Man', 'EURO', '0', '345', '0', '24');
INSERT INTO public.who_import VALUES (42197, '2020-10-10', 'IM', 'Isle of Man', 'EURO', '0', '345', '0', '24');
INSERT INTO public.who_import VALUES (42198, '2020-10-11', 'IM', 'Isle of Man', 'EURO', '0', '345', '0', '24');
INSERT INTO public.who_import VALUES (42199, '2020-10-12', 'IM', 'Isle of Man', 'EURO', '0', '345', '0', '24');
INSERT INTO public.who_import VALUES (42200, '2020-10-13', 'IM', 'Isle of Man', 'EURO', '1', '346', '0', '24');
INSERT INTO public.who_import VALUES (42201, '2020-10-14', 'IM', 'Isle of Man', 'EURO', '0', '346', '0', '24');
INSERT INTO public.who_import VALUES (42202, '2020-10-15', 'IM', 'Isle of Man', 'EURO', '0', '346', '0', '24');
INSERT INTO public.who_import VALUES (42203, '2020-10-16', 'IM', 'Isle of Man', 'EURO', '2', '348', '0', '24');
INSERT INTO public.who_import VALUES (42204, '2020-10-17', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42205, '2020-10-18', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42206, '2020-10-19', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42207, '2020-10-20', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42208, '2020-10-21', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42209, '2020-10-22', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42210, '2020-10-23', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42211, '2020-10-24', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42212, '2020-10-25', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42213, '2020-10-26', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42214, '2020-10-27', 'IM', 'Isle of Man', 'EURO', '0', '348', '0', '24');
INSERT INTO public.who_import VALUES (42215, '2020-10-28', 'IM', 'Isle of Man', 'EURO', '3', '351', '0', '24');
INSERT INTO public.who_import VALUES (42216, '2020-10-29', 'IM', 'Isle of Man', 'EURO', '1', '352', '0', '24');
INSERT INTO public.who_import VALUES (42217, '2020-10-30', 'IM', 'Isle of Man', 'EURO', '0', '352', '0', '24');
INSERT INTO public.who_import VALUES (42218, '2020-10-31', 'IM', 'Isle of Man', 'EURO', '0', '352', '0', '24');
INSERT INTO public.who_import VALUES (42219, '2020-11-01', 'IM', 'Isle of Man', 'EURO', '1', '353', '0', '24');
INSERT INTO public.who_import VALUES (42220, '2020-11-02', 'IM', 'Isle of Man', 'EURO', '0', '353', '0', '24');
INSERT INTO public.who_import VALUES (42221, '2020-11-03', 'IM', 'Isle of Man', 'EURO', '0', '353', '0', '24');
INSERT INTO public.who_import VALUES (42222, '2020-11-04', 'IM', 'Isle of Man', 'EURO', '2', '355', '0', '24');
INSERT INTO public.who_import VALUES (42223, '2020-11-05', 'IM', 'Isle of Man', 'EURO', '1', '356', '0', '24');
INSERT INTO public.who_import VALUES (42224, '2020-11-06', 'IM', 'Isle of Man', 'EURO', '1', '357', '0', '24');
INSERT INTO public.who_import VALUES (42225, '2020-11-07', 'IM', 'Isle of Man', 'EURO', '0', '357', '0', '24');
INSERT INTO public.who_import VALUES (42226, '2020-11-08', 'IM', 'Isle of Man', 'EURO', '0', '357', '0', '24');
INSERT INTO public.who_import VALUES (42227, '2020-11-09', 'IM', 'Isle of Man', 'EURO', '0', '357', '1', '25');
INSERT INTO public.who_import VALUES (42228, '2020-11-10', 'IM', 'Isle of Man', 'EURO', '0', '357', '0', '25');
INSERT INTO public.who_import VALUES (42229, '2020-11-11', 'IM', 'Isle of Man', 'EURO', '0', '357', '0', '25');
INSERT INTO public.who_import VALUES (42230, '2020-11-12', 'IM', 'Isle of Man', 'EURO', '2', '359', '0', '25');
INSERT INTO public.who_import VALUES (42231, '2020-11-13', 'IM', 'Isle of Man', 'EURO', '2', '361', '0', '25');
INSERT INTO public.who_import VALUES (42232, '2020-11-14', 'IM', 'Isle of Man', 'EURO', '2', '363', '0', '25');
INSERT INTO public.who_import VALUES (42233, '2020-11-15', 'IM', 'Isle of Man', 'EURO', '0', '363', '0', '25');
INSERT INTO public.who_import VALUES (42234, '2020-11-16', 'IM', 'Isle of Man', 'EURO', '0', '363', '0', '25');
INSERT INTO public.who_import VALUES (42235, '2020-11-17', 'IM', 'Isle of Man', 'EURO', '0', '363', '0', '25');
INSERT INTO public.who_import VALUES (42236, '2020-11-18', 'IM', 'Isle of Man', 'EURO', '1', '364', '0', '25');
INSERT INTO public.who_import VALUES (42237, '2020-11-19', 'IM', 'Isle of Man', 'EURO', '0', '364', '0', '25');
INSERT INTO public.who_import VALUES (42238, '2020-11-20', 'IM', 'Isle of Man', 'EURO', '0', '364', '0', '25');
INSERT INTO public.who_import VALUES (42239, '2020-11-21', 'IM', 'Isle of Man', 'EURO', '2', '366', '0', '25');
INSERT INTO public.who_import VALUES (42240, '2020-11-22', 'IM', 'Isle of Man', 'EURO', '2', '368', '0', '25');
INSERT INTO public.who_import VALUES (42241, '2020-11-23', 'IM', 'Isle of Man', 'EURO', '0', '368', '0', '25');
INSERT INTO public.who_import VALUES (42242, '2020-11-24', 'IM', 'Isle of Man', 'EURO', '1', '369', '0', '25');
INSERT INTO public.who_import VALUES (42243, '2020-11-25', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42244, '2020-11-26', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42245, '2020-11-27', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42246, '2020-11-28', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42247, '2020-11-29', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42248, '2020-11-30', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42249, '2020-12-01', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42250, '2020-12-02', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42251, '2020-12-03', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42252, '2020-12-04', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42253, '2020-12-05', 'IM', 'Isle of Man', 'EURO', '0', '369', '0', '25');
INSERT INTO public.who_import VALUES (42254, '2020-12-06', 'IM', 'Isle of Man', 'EURO', '1', '370', '0', '25');
INSERT INTO public.who_import VALUES (42255, '2020-12-07', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42256, '2020-12-08', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42257, '2020-12-09', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42258, '2020-12-10', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42259, '2020-12-11', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42260, '2020-12-12', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42261, '2020-12-13', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42262, '2020-12-14', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42263, '2020-12-15', 'IM', 'Isle of Man', 'EURO', '0', '370', '0', '25');
INSERT INTO public.who_import VALUES (42264, '2020-12-16', 'IM', 'Isle of Man', 'EURO', '3', '373', '0', '25');
INSERT INTO public.who_import VALUES (42265, '2020-12-17', 'IM', 'Isle of Man', 'EURO', '0', '373', '0', '25');
INSERT INTO public.who_import VALUES (42266, '2020-12-18', 'IM', 'Isle of Man', 'EURO', '0', '373', '0', '25');
INSERT INTO public.who_import VALUES (42267, '2020-12-19', 'IM', 'Isle of Man', 'EURO', '0', '373', '0', '25');
INSERT INTO public.who_import VALUES (42268, '2020-12-20', 'IM', 'Isle of Man', 'EURO', '0', '373', '0', '25');
INSERT INTO public.who_import VALUES (42269, '2020-12-21', 'IM', 'Isle of Man', 'EURO', '0', '373', '0', '25');
INSERT INTO public.who_import VALUES (42270, '2020-12-22', 'IM', 'Isle of Man', 'EURO', '1', '374', '0', '25');
INSERT INTO public.who_import VALUES (42271, '2020-12-23', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42272, '2020-12-24', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42273, '2020-12-25', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42274, '2020-12-26', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42275, '2020-12-27', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42276, '2020-12-28', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42277, '2020-12-29', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42278, '2020-12-30', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42279, '2020-12-31', 'IM', 'Isle of Man', 'EURO', '0', '374', '0', '25');
INSERT INTO public.who_import VALUES (42280, '2021-01-01', 'IM', 'Isle of Man', 'EURO', '3', '377', '0', '25');
INSERT INTO public.who_import VALUES (42281, '2021-01-02', 'IM', 'Isle of Man', 'EURO', '3', '380', '0', '25');
INSERT INTO public.who_import VALUES (42282, '2021-01-03', 'IM', 'Isle of Man', 'EURO', '0', '380', '0', '25');
INSERT INTO public.who_import VALUES (42283, '2021-01-04', 'IM', 'Isle of Man', 'EURO', '0', '380', '0', '25');
INSERT INTO public.who_import VALUES (42284, '2021-01-05', 'IM', 'Isle of Man', 'EURO', '0', '380', '0', '25');
INSERT INTO public.who_import VALUES (42285, '2021-01-06', 'IM', 'Isle of Man', 'EURO', '0', '380', '0', '25');
INSERT INTO public.who_import VALUES (42286, '2021-01-07', 'IM', 'Isle of Man', 'EURO', '6', '386', '0', '25');
INSERT INTO public.who_import VALUES (42287, '2021-01-08', 'IM', 'Isle of Man', 'EURO', '3', '389', '0', '25');
INSERT INTO public.who_import VALUES (42288, '2021-01-09', 'IM', 'Isle of Man', 'EURO', '2', '391', '0', '25');
INSERT INTO public.who_import VALUES (42289, '2021-01-10', 'IM', 'Isle of Man', 'EURO', '1', '392', '0', '25');
INSERT INTO public.who_import VALUES (42290, '2021-01-11', 'IM', 'Isle of Man', 'EURO', '2', '394', '0', '25');
INSERT INTO public.who_import VALUES (42291, '2021-01-12', 'IM', 'Isle of Man', 'EURO', '2', '396', '0', '25');
INSERT INTO public.who_import VALUES (42292, '2021-01-13', 'IM', 'Isle of Man', 'EURO', '7', '403', '0', '25');
INSERT INTO public.who_import VALUES (42293, '2021-01-14', 'IM', 'Isle of Man', 'EURO', '3', '406', '0', '25');
INSERT INTO public.who_import VALUES (42294, '2021-01-15', 'IM', 'Isle of Man', 'EURO', '8', '414', '0', '25');
INSERT INTO public.who_import VALUES (42295, '2021-01-16', 'IM', 'Isle of Man', 'EURO', '3', '417', '0', '25');
INSERT INTO public.who_import VALUES (42296, '2021-01-17', 'IM', 'Isle of Man', 'EURO', '1', '418', '0', '25');
INSERT INTO public.who_import VALUES (42297, '2021-01-18', 'IM', 'Isle of Man', 'EURO', '1', '419', '0', '25');
INSERT INTO public.who_import VALUES (42298, '2021-01-19', 'IM', 'Isle of Man', 'EURO', '9', '428', '0', '25');
INSERT INTO public.who_import VALUES (42299, '2021-01-20', 'IM', 'Isle of Man', 'EURO', '4', '432', '0', '25');
INSERT INTO public.who_import VALUES (42300, '2021-01-21', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42301, '2021-01-22', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42302, '2021-01-23', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42303, '2021-01-24', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42304, '2021-01-25', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42305, '2021-01-26', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42306, '2021-01-27', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42307, '2021-01-28', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42308, '2021-01-29', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42309, '2021-01-30', 'IM', 'Isle of Man', 'EURO', '0', '432', '0', '25');
INSERT INTO public.who_import VALUES (42310, '2021-01-31', 'IM', 'Isle of Man', 'EURO', '2', '434', '0', '25');
INSERT INTO public.who_import VALUES (42311, '2021-02-01', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42312, '2021-02-02', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42313, '2021-02-03', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42314, '2021-02-04', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42315, '2021-02-05', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42316, '2021-02-06', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42317, '2021-02-07', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42318, '2021-02-08', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42319, '2021-02-09', 'IM', 'Isle of Man', 'EURO', '0', '434', '0', '25');
INSERT INTO public.who_import VALUES (42320, '2021-02-10', 'IM', 'Isle of Man', 'EURO', '1', '435', '0', '25');
INSERT INTO public.who_import VALUES (42321, '2021-02-11', 'IM', 'Isle of Man', 'EURO', '1', '436', '0', '25');
INSERT INTO public.who_import VALUES (42322, '2021-02-12', 'IM', 'Isle of Man', 'EURO', '0', '436', '0', '25');
INSERT INTO public.who_import VALUES (42323, '2021-02-13', 'IM', 'Isle of Man', 'EURO', '0', '436', '0', '25');
INSERT INTO public.who_import VALUES (42324, '2021-02-14', 'IM', 'Isle of Man', 'EURO', '0', '436', '0', '25');
INSERT INTO public.who_import VALUES (42325, '2021-02-15', 'IM', 'Isle of Man', 'EURO', '0', '436', '0', '25');
INSERT INTO public.who_import VALUES (42326, '2021-02-16', 'IM', 'Isle of Man', 'EURO', '0', '436', '0', '25');
INSERT INTO public.who_import VALUES (42327, '2021-02-17', 'IM', 'Isle of Man', 'EURO', '0', '436', '0', '25');
INSERT INTO public.who_import VALUES (42328, '2021-02-18', 'IM', 'Isle of Man', 'EURO', '1', '437', '0', '25');
INSERT INTO public.who_import VALUES (42329, '2021-02-19', 'IM', 'Isle of Man', 'EURO', '0', '437', '0', '25');
INSERT INTO public.who_import VALUES (42330, '2021-02-20', 'IM', 'Isle of Man', 'EURO', '7', '444', '0', '25');
INSERT INTO public.who_import VALUES (42331, '2020-01-03', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42332, '2020-01-04', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42333, '2020-01-05', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42334, '2020-01-06', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42335, '2020-01-07', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42336, '2020-01-08', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42337, '2020-01-09', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42338, '2020-01-10', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42339, '2020-01-11', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42340, '2020-01-12', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42341, '2020-01-13', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42342, '2020-01-14', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42343, '2020-01-15', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42344, '2020-01-16', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42345, '2020-01-17', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42346, '2020-01-18', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42347, '2020-01-19', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42348, '2020-01-20', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42349, '2020-01-21', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42350, '2020-01-22', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42351, '2020-01-23', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42352, '2020-01-24', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42353, '2020-01-25', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42354, '2020-01-26', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42355, '2020-01-27', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42356, '2020-01-28', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42357, '2020-01-29', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42358, '2020-01-30', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42359, '2020-01-31', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42360, '2020-02-01', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42361, '2020-02-02', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42362, '2020-02-03', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42363, '2020-02-04', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42364, '2020-02-05', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42365, '2020-02-06', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42366, '2020-02-07', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42367, '2020-02-08', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42368, '2020-02-09', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42369, '2020-02-10', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42370, '2020-02-11', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42371, '2020-02-12', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42372, '2020-02-13', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42373, '2020-02-14', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42374, '2020-02-15', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42375, '2020-02-16', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42376, '2020-02-17', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42377, '2020-02-18', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42378, '2020-02-19', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42379, '2020-02-20', 'IL', 'Israel', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42380, '2020-02-21', 'IL', 'Israel', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (42381, '2020-02-22', 'IL', 'Israel', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (42382, '2020-02-23', 'IL', 'Israel', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (42383, '2020-02-24', 'IL', 'Israel', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (42384, '2020-02-25', 'IL', 'Israel', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (42385, '2020-02-26', 'IL', 'Israel', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (42386, '2020-02-27', 'IL', 'Israel', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (42387, '2020-02-28', 'IL', 'Israel', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (42388, '2020-02-29', 'IL', 'Israel', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (42389, '2020-03-01', 'IL', 'Israel', 'EURO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (42390, '2020-03-02', 'IL', 'Israel', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (42391, '2020-03-03', 'IL', 'Israel', 'EURO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (42392, '2020-03-04', 'IL', 'Israel', 'EURO', '5', '12', '0', '0');
INSERT INTO public.who_import VALUES (42393, '2020-03-05', 'IL', 'Israel', 'EURO', '3', '15', '0', '0');
INSERT INTO public.who_import VALUES (42394, '2020-03-06', 'IL', 'Israel', 'EURO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (42395, '2020-03-07', 'IL', 'Israel', 'EURO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (42396, '2020-03-08', 'IL', 'Israel', 'EURO', '4', '21', '0', '0');
INSERT INTO public.who_import VALUES (42397, '2020-03-09', 'IL', 'Israel', 'EURO', '4', '25', '0', '0');
INSERT INTO public.who_import VALUES (42398, '2020-03-10', 'IL', 'Israel', 'EURO', '9', '34', '0', '0');
INSERT INTO public.who_import VALUES (42399, '2020-03-11', 'IL', 'Israel', 'EURO', '4', '38', '0', '0');
INSERT INTO public.who_import VALUES (42400, '2020-03-12', 'IL', 'Israel', 'EURO', '33', '71', '0', '0');
INSERT INTO public.who_import VALUES (42401, '2020-03-13', 'IL', 'Israel', 'EURO', '19', '90', '0', '0');
INSERT INTO public.who_import VALUES (42402, '2020-03-14', 'IL', 'Israel', 'EURO', '22', '112', '0', '0');
INSERT INTO public.who_import VALUES (43222, '2020-03-04', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42403, '2020-03-15', 'IL', 'Israel', 'EURO', '35', '147', '0', '0');
INSERT INTO public.who_import VALUES (42404, '2020-03-16', 'IL', 'Israel', 'EURO', '29', '176', '0', '0');
INSERT INTO public.who_import VALUES (42405, '2020-03-17', 'IL', 'Israel', 'EURO', '39', '215', '0', '0');
INSERT INTO public.who_import VALUES (42406, '2020-03-18', 'IL', 'Israel', 'EURO', '73', '288', '1', '1');
INSERT INTO public.who_import VALUES (42407, '2020-03-19', 'IL', 'Israel', 'EURO', '94', '382', '0', '1');
INSERT INTO public.who_import VALUES (42408, '2020-03-20', 'IL', 'Israel', 'EURO', '118', '500', '0', '1');
INSERT INTO public.who_import VALUES (42409, '2020-03-21', 'IL', 'Israel', 'EURO', '136', '636', '0', '1');
INSERT INTO public.who_import VALUES (42410, '2020-03-22', 'IL', 'Israel', 'EURO', '168', '804', '0', '1');
INSERT INTO public.who_import VALUES (42411, '2020-03-23', 'IL', 'Israel', 'EURO', '210', '1014', '0', '1');
INSERT INTO public.who_import VALUES (42412, '2020-03-24', 'IL', 'Israel', 'EURO', '254', '1268', '0', '1');
INSERT INTO public.who_import VALUES (42413, '2020-03-25', 'IL', 'Israel', 'EURO', '352', '1620', '0', '1');
INSERT INTO public.who_import VALUES (42414, '2020-03-26', 'IL', 'Israel', 'EURO', '430', '2050', '3', '4');
INSERT INTO public.who_import VALUES (42415, '2020-03-27', 'IL', 'Israel', 'EURO', '425', '2475', '1', '5');
INSERT INTO public.who_import VALUES (42416, '2020-03-28', 'IL', 'Israel', 'EURO', '520', '2995', '5', '10');
INSERT INTO public.who_import VALUES (42417, '2020-03-29', 'IL', 'Israel', 'EURO', '433', '3428', '2', '12');
INSERT INTO public.who_import VALUES (42418, '2020-03-30', 'IL', 'Israel', 'EURO', '480', '3908', '1', '13');
INSERT INTO public.who_import VALUES (42419, '2020-03-31', 'IL', 'Israel', 'EURO', '532', '4440', '3', '16');
INSERT INTO public.who_import VALUES (42420, '2020-04-01', 'IL', 'Israel', 'EURO', '547', '4987', '1', '17');
INSERT INTO public.who_import VALUES (42421, '2020-04-02', 'IL', 'Israel', 'EURO', '738', '5725', '4', '21');
INSERT INTO public.who_import VALUES (42422, '2020-04-03', 'IL', 'Israel', 'EURO', '696', '6421', '8', '29');
INSERT INTO public.who_import VALUES (42423, '2020-04-04', 'IL', 'Israel', 'EURO', '719', '7140', '9', '38');
INSERT INTO public.who_import VALUES (42424, '2020-04-05', 'IL', 'Israel', 'EURO', '597', '7737', '5', '43');
INSERT INTO public.who_import VALUES (42425, '2020-04-06', 'IL', 'Israel', 'EURO', '428', '8165', '6', '49');
INSERT INTO public.who_import VALUES (42426, '2020-04-07', 'IL', 'Israel', 'EURO', '583', '8748', '7', '56');
INSERT INTO public.who_import VALUES (42427, '2020-04-08', 'IL', 'Israel', 'EURO', '451', '9199', '8', '64');
INSERT INTO public.who_import VALUES (42428, '2020-04-09', 'IL', 'Israel', 'EURO', '377', '9576', '8', '72');
INSERT INTO public.who_import VALUES (42429, '2020-04-10', 'IL', 'Israel', 'EURO', '338', '9914', '8', '80');
INSERT INTO public.who_import VALUES (42430, '2020-04-11', 'IL', 'Israel', 'EURO', '343', '10257', '9', '89');
INSERT INTO public.who_import VALUES (42431, '2020-04-12', 'IL', 'Israel', 'EURO', '359', '10616', '8', '97');
INSERT INTO public.who_import VALUES (42432, '2020-04-13', 'IL', 'Israel', 'EURO', '345', '10961', '6', '103');
INSERT INTO public.who_import VALUES (42433, '2020-04-14', 'IL', 'Israel', 'EURO', '552', '11513', '6', '109');
INSERT INTO public.who_import VALUES (42434, '2020-04-15', 'IL', 'Israel', 'EURO', '438', '11951', '9', '118');
INSERT INTO public.who_import VALUES (42435, '2020-04-16', 'IL', 'Israel', 'EURO', '399', '12350', '8', '126');
INSERT INTO public.who_import VALUES (42436, '2020-04-17', 'IL', 'Israel', 'EURO', '311', '12661', '13', '139');
INSERT INTO public.who_import VALUES (42437, '2020-04-18', 'IL', 'Israel', 'EURO', '296', '12957', '7', '146');
INSERT INTO public.who_import VALUES (42438, '2020-04-19', 'IL', 'Israel', 'EURO', '298', '13255', '9', '155');
INSERT INTO public.who_import VALUES (42439, '2020-04-20', 'IL', 'Israel', 'EURO', '291', '13546', '11', '166');
INSERT INTO public.who_import VALUES (42440, '2020-04-21', 'IL', 'Israel', 'EURO', '276', '13822', '8', '174');
INSERT INTO public.who_import VALUES (42441, '2020-04-22', 'IL', 'Israel', 'EURO', '299', '14121', '6', '180');
INSERT INTO public.who_import VALUES (42442, '2020-04-23', 'IL', 'Israel', 'EURO', '282', '14403', '9', '189');
INSERT INTO public.who_import VALUES (42443, '2020-04-24', 'IL', 'Israel', 'EURO', '225', '14628', '3', '192');
INSERT INTO public.who_import VALUES (42444, '2020-04-25', 'IL', 'Israel', 'EURO', '276', '14904', '4', '196');
INSERT INTO public.who_import VALUES (42445, '2020-04-26', 'IL', 'Israel', 'EURO', '248', '15152', '3', '199');
INSERT INTO public.who_import VALUES (42446, '2020-04-27', 'IL', 'Israel', 'EURO', '159', '15311', '3', '202');
INSERT INTO public.who_import VALUES (42447, '2020-04-28', 'IL', 'Israel', 'EURO', '83', '15394', '2', '204');
INSERT INTO public.who_import VALUES (42448, '2020-04-29', 'IL', 'Israel', 'EURO', '128', '15522', '4', '208');
INSERT INTO public.who_import VALUES (42449, '2020-04-30', 'IL', 'Israel', 'EURO', '159', '15681', '5', '213');
INSERT INTO public.who_import VALUES (42450, '2020-05-01', 'IL', 'Israel', 'EURO', '82', '15763', '6', '219');
INSERT INTO public.who_import VALUES (42451, '2020-05-02', 'IL', 'Israel', 'EURO', '142', '15905', '6', '225');
INSERT INTO public.who_import VALUES (42452, '2020-05-03', 'IL', 'Israel', 'EURO', '116', '16021', '4', '229');
INSERT INTO public.who_import VALUES (42453, '2020-05-04', 'IL', 'Israel', 'EURO', '57', '16078', '3', '232');
INSERT INTO public.who_import VALUES (42454, '2020-05-05', 'IL', 'Israel', 'EURO', '27', '16105', '3', '235');
INSERT INTO public.who_import VALUES (42455, '2020-05-06', 'IL', 'Israel', 'EURO', '53', '16158', '3', '238');
INSERT INTO public.who_import VALUES (42456, '2020-05-07', 'IL', 'Israel', 'EURO', '32', '16190', '2', '240');
INSERT INTO public.who_import VALUES (42457, '2020-05-08', 'IL', 'Israel', 'EURO', '65', '16255', '1', '241');
INSERT INTO public.who_import VALUES (42458, '2020-05-09', 'IL', 'Israel', 'EURO', '61', '16316', '1', '242');
INSERT INTO public.who_import VALUES (42459, '2020-05-10', 'IL', 'Israel', 'EURO', '33', '16349', '6', '248');
INSERT INTO public.who_import VALUES (42460, '2020-05-11', 'IL', 'Israel', 'EURO', '19', '16368', '3', '251');
INSERT INTO public.who_import VALUES (42461, '2020-05-12', 'IL', 'Israel', 'EURO', '29', '16397', '4', '255');
INSERT INTO public.who_import VALUES (42462, '2020-05-13', 'IL', 'Israel', 'EURO', '39', '16436', '5', '260');
INSERT INTO public.who_import VALUES (42463, '2020-05-14', 'IL', 'Israel', 'EURO', '23', '16459', '3', '263');
INSERT INTO public.who_import VALUES (42464, '2020-05-15', 'IL', 'Israel', 'EURO', '39', '16498', '3', '266');
INSERT INTO public.who_import VALUES (42465, '2020-05-16', 'IL', 'Israel', 'EURO', '22', '16520', '2', '268');
INSERT INTO public.who_import VALUES (42466, '2020-05-17', 'IL', 'Israel', 'EURO', '12', '16532', '0', '268');
INSERT INTO public.who_import VALUES (42467, '2020-05-18', 'IL', 'Israel', 'EURO', '5', '16537', '3', '271');
INSERT INTO public.who_import VALUES (42468, '2020-05-19', 'IL', 'Israel', 'EURO', '15', '16552', '4', '275');
INSERT INTO public.who_import VALUES (42469, '2020-05-20', 'IL', 'Israel', 'EURO', '27', '16579', '3', '278');
INSERT INTO public.who_import VALUES (42470, '2020-05-21', 'IL', 'Israel', 'EURO', '22', '16601', '2', '280');
INSERT INTO public.who_import VALUES (42471, '2020-05-22', 'IL', 'Israel', 'EURO', '15', '16616', '1', '281');
INSERT INTO public.who_import VALUES (42472, '2020-05-23', 'IL', 'Israel', 'EURO', '17', '16633', '0', '281');
INSERT INTO public.who_import VALUES (42473, '2020-05-24', 'IL', 'Israel', 'EURO', '19', '16652', '0', '281');
INSERT INTO public.who_import VALUES (42474, '2020-05-25', 'IL', 'Israel', 'EURO', '5', '16657', '0', '281');
INSERT INTO public.who_import VALUES (42475, '2020-05-26', 'IL', 'Israel', 'EURO', '13', '16670', '1', '282');
INSERT INTO public.who_import VALUES (42476, '2020-05-27', 'IL', 'Israel', 'EURO', '22', '16692', '2', '284');
INSERT INTO public.who_import VALUES (42477, '2020-05-28', 'IL', 'Israel', 'EURO', '50', '16742', '0', '284');
INSERT INTO public.who_import VALUES (42478, '2020-05-29', 'IL', 'Israel', 'EURO', '40', '16782', '2', '286');
INSERT INTO public.who_import VALUES (42479, '2020-05-30', 'IL', 'Israel', 'EURO', '77', '16859', '1', '287');
INSERT INTO public.who_import VALUES (42480, '2020-05-31', 'IL', 'Israel', 'EURO', '113', '16972', '0', '287');
INSERT INTO public.who_import VALUES (42481, '2020-06-01', 'IL', 'Israel', 'EURO', '29', '17001', '0', '287');
INSERT INTO public.who_import VALUES (42482, '2020-06-02', 'IL', 'Israel', 'EURO', '87', '17088', '0', '287');
INSERT INTO public.who_import VALUES (42483, '2020-06-03', 'IL', 'Israel', 'EURO', '100', '17188', '3', '290');
INSERT INTO public.who_import VALUES (42484, '2020-06-04', 'IL', 'Israel', 'EURO', '121', '17309', '2', '292');
INSERT INTO public.who_import VALUES (42485, '2020-06-05', 'IL', 'Israel', 'EURO', '97', '17406', '1', '293');
INSERT INTO public.who_import VALUES (42486, '2020-06-06', 'IL', 'Israel', 'EURO', '142', '17548', '0', '293');
INSERT INTO public.who_import VALUES (42487, '2020-06-07', 'IL', 'Israel', 'EURO', '127', '17675', '1', '294');
INSERT INTO public.who_import VALUES (42488, '2020-06-08', 'IL', 'Israel', 'EURO', '78', '17753', '4', '298');
INSERT INTO public.who_import VALUES (42489, '2020-06-09', 'IL', 'Israel', 'EURO', '140', '17893', '2', '300');
INSERT INTO public.who_import VALUES (42490, '2020-06-10', 'IL', 'Israel', 'EURO', '179', '18072', '0', '300');
INSERT INTO public.who_import VALUES (42491, '2020-06-11', 'IL', 'Israel', 'EURO', '173', '18245', '1', '301');
INSERT INTO public.who_import VALUES (42492, '2020-06-12', 'IL', 'Israel', 'EURO', '240', '18485', '1', '302');
INSERT INTO public.who_import VALUES (42493, '2020-06-13', 'IL', 'Israel', 'EURO', '191', '18676', '0', '302');
INSERT INTO public.who_import VALUES (42494, '2020-06-14', 'IL', 'Israel', 'EURO', '184', '18860', '0', '302');
INSERT INTO public.who_import VALUES (42495, '2020-06-15', 'IL', 'Israel', 'EURO', '149', '19009', '1', '303');
INSERT INTO public.who_import VALUES (42496, '2020-06-16', 'IL', 'Israel', 'EURO', '136', '19145', '2', '305');
INSERT INTO public.who_import VALUES (42497, '2020-06-17', 'IL', 'Israel', 'EURO', '198', '19343', '0', '305');
INSERT INTO public.who_import VALUES (42498, '2020-06-18', 'IL', 'Israel', 'EURO', '300', '19643', '1', '306');
INSERT INTO public.who_import VALUES (42499, '2020-06-19', 'IL', 'Israel', 'EURO', '271', '19914', '0', '306');
INSERT INTO public.who_import VALUES (42500, '2020-06-20', 'IL', 'Israel', 'EURO', '302', '20216', '0', '306');
INSERT INTO public.who_import VALUES (42501, '2020-06-21', 'IL', 'Israel', 'EURO', '310', '20526', '1', '307');
INSERT INTO public.who_import VALUES (42502, '2020-06-22', 'IL', 'Israel', 'EURO', '160', '20686', '1', '308');
INSERT INTO public.who_import VALUES (42503, '2020-06-23', 'IL', 'Israel', 'EURO', '173', '20859', '0', '308');
INSERT INTO public.who_import VALUES (42504, '2020-06-24', 'IL', 'Israel', 'EURO', '345', '21204', '1', '309');
INSERT INTO public.who_import VALUES (42505, '2020-06-25', 'IL', 'Israel', 'EURO', '452', '21656', '2', '311');
INSERT INTO public.who_import VALUES (42506, '2020-06-26', 'IL', 'Israel', 'EURO', '487', '22143', '3', '314');
INSERT INTO public.who_import VALUES (42507, '2020-06-27', 'IL', 'Israel', 'EURO', '516', '22659', '4', '318');
INSERT INTO public.who_import VALUES (42508, '2020-06-28', 'IL', 'Israel', 'EURO', '464', '23123', '3', '321');
INSERT INTO public.who_import VALUES (42509, '2020-06-29', 'IL', 'Israel', 'EURO', '398', '23521', '3', '324');
INSERT INTO public.who_import VALUES (42510, '2020-06-30', 'IL', 'Israel', 'EURO', '385', '23906', '2', '326');
INSERT INTO public.who_import VALUES (42511, '2020-07-01', 'IL', 'Israel', 'EURO', '757', '24663', '0', '326');
INSERT INTO public.who_import VALUES (42512, '2020-07-02', 'IL', 'Israel', 'EURO', '786', '25449', '1', '327');
INSERT INTO public.who_import VALUES (42513, '2020-07-03', 'IL', 'Israel', 'EURO', '972', '26421', '3', '330');
INSERT INTO public.who_import VALUES (42514, '2020-07-04', 'IL', 'Israel', 'EURO', '1148', '27569', '1', '331');
INSERT INTO public.who_import VALUES (42515, '2020-07-05', 'IL', 'Israel', 'EURO', '939', '28508', '3', '334');
INSERT INTO public.who_import VALUES (42516, '2020-07-06', 'IL', 'Israel', 'EURO', '821', '29329', '5', '339');
INSERT INTO public.who_import VALUES (42517, '2020-07-07', 'IL', 'Israel', 'EURO', '831', '30160', '2', '341');
INSERT INTO public.who_import VALUES (42518, '2020-07-08', 'IL', 'Israel', 'EURO', '1134', '31294', '8', '349');
INSERT INTO public.who_import VALUES (42519, '2020-07-09', 'IL', 'Israel', 'EURO', '1390', '32684', '5', '354');
INSERT INTO public.who_import VALUES (42520, '2020-07-10', 'IL', 'Israel', 'EURO', '1327', '34011', '5', '359');
INSERT INTO public.who_import VALUES (42521, '2020-07-11', 'IL', 'Israel', 'EURO', '1525', '35536', '5', '364');
INSERT INTO public.who_import VALUES (42522, '2020-07-12', 'IL', 'Israel', 'EURO', '1409', '36945', '4', '368');
INSERT INTO public.who_import VALUES (42523, '2020-07-13', 'IL', 'Israel', 'EURO', '1168', '38113', '5', '373');
INSERT INTO public.who_import VALUES (42524, '2020-07-14', 'IL', 'Israel', 'EURO', '1239', '39352', '7', '380');
INSERT INTO public.who_import VALUES (42525, '2020-07-15', 'IL', 'Israel', 'EURO', '1720', '41072', '4', '384');
INSERT INTO public.who_import VALUES (42526, '2020-07-16', 'IL', 'Israel', 'EURO', '1603', '42675', '7', '391');
INSERT INTO public.who_import VALUES (42527, '2020-07-17', 'IL', 'Israel', 'EURO', '1877', '44552', '6', '397');
INSERT INTO public.who_import VALUES (42528, '2020-07-18', 'IL', 'Israel', 'EURO', '1937', '46489', '9', '406');
INSERT INTO public.who_import VALUES (42529, '2020-07-19', 'IL', 'Israel', 'EURO', '1605', '48094', '12', '418');
INSERT INTO public.who_import VALUES (42530, '2020-07-20', 'IL', 'Israel', 'EURO', '1448', '49542', '8', '426');
INSERT INTO public.who_import VALUES (42531, '2020-07-21', 'IL', 'Israel', 'EURO', '1016', '50558', '10', '436');
INSERT INTO public.who_import VALUES (42532, '2020-07-22', 'IL', 'Israel', 'EURO', '1887', '52445', '12', '448');
INSERT INTO public.who_import VALUES (42533, '2020-07-23', 'IL', 'Israel', 'EURO', '2006', '54451', '9', '457');
INSERT INTO public.who_import VALUES (42534, '2020-07-24', 'IL', 'Israel', 'EURO', '2044', '56495', '6', '463');
INSERT INTO public.who_import VALUES (42535, '2020-07-25', 'IL', 'Israel', 'EURO', '1989', '58484', '16', '479');
INSERT INTO public.who_import VALUES (42536, '2020-07-26', 'IL', 'Israel', 'EURO', '1830', '60314', '8', '487');
INSERT INTO public.who_import VALUES (42537, '2020-07-27', 'IL', 'Israel', 'EURO', '1112', '61426', '7', '494');
INSERT INTO public.who_import VALUES (42538, '2020-07-28', 'IL', 'Israel', 'EURO', '1042', '62468', '11', '505');
INSERT INTO public.who_import VALUES (42539, '2020-07-29', 'IL', 'Israel', 'EURO', '2048', '64516', '7', '512');
INSERT INTO public.who_import VALUES (42540, '2020-07-30', 'IL', 'Israel', 'EURO', '2125', '66641', '8', '520');
INSERT INTO public.who_import VALUES (42541, '2020-07-31', 'IL', 'Israel', 'EURO', '1954', '68595', '15', '535');
INSERT INTO public.who_import VALUES (42542, '2020-08-01', 'IL', 'Israel', 'EURO', '1787', '70382', '15', '550');
INSERT INTO public.who_import VALUES (42543, '2020-08-02', 'IL', 'Israel', 'EURO', '1362', '71744', '14', '564');
INSERT INTO public.who_import VALUES (42544, '2020-08-03', 'IL', 'Israel', 'EURO', '625', '72369', '14', '578');
INSERT INTO public.who_import VALUES (42545, '2020-08-04', 'IL', 'Israel', 'EURO', '708', '73077', '11', '589');
INSERT INTO public.who_import VALUES (42546, '2020-08-05', 'IL', 'Israel', 'EURO', '1800', '74877', '15', '604');
INSERT INTO public.who_import VALUES (42547, '2020-08-06', 'IL', 'Israel', 'EURO', '1729', '76606', '11', '615');
INSERT INTO public.who_import VALUES (42548, '2020-08-07', 'IL', 'Israel', 'EURO', '1690', '78296', '10', '625');
INSERT INTO public.who_import VALUES (42549, '2020-08-08', 'IL', 'Israel', 'EURO', '1677', '79973', '9', '634');
INSERT INTO public.who_import VALUES (42550, '2020-08-09', 'IL', 'Israel', 'EURO', '1764', '81737', '12', '646');
INSERT INTO public.who_import VALUES (42551, '2020-08-10', 'IL', 'Israel', 'EURO', '754', '82491', '13', '659');
INSERT INTO public.who_import VALUES (42552, '2020-08-11', 'IL', 'Israel', 'EURO', '924', '83415', '7', '666');
INSERT INTO public.who_import VALUES (42553, '2020-08-12', 'IL', 'Israel', 'EURO', '1704', '85119', '15', '681');
INSERT INTO public.who_import VALUES (42554, '2020-08-13', 'IL', 'Israel', 'EURO', '1823', '86942', '11', '692');
INSERT INTO public.who_import VALUES (42555, '2020-08-14', 'IL', 'Israel', 'EURO', '1622', '88564', '15', '707');
INSERT INTO public.who_import VALUES (42556, '2020-08-15', 'IL', 'Israel', 'EURO', '1643', '90207', '16', '723');
INSERT INTO public.who_import VALUES (42557, '2020-08-16', 'IL', 'Israel', 'EURO', '1388', '91595', '12', '735');
INSERT INTO public.who_import VALUES (42558, '2020-08-17', 'IL', 'Israel', 'EURO', '757', '92352', '10', '745');
INSERT INTO public.who_import VALUES (42559, '2020-08-18', 'IL', 'Israel', 'EURO', '1068', '93420', '19', '764');
INSERT INTO public.who_import VALUES (42560, '2020-08-19', 'IL', 'Israel', 'EURO', '1650', '95070', '4', '768');
INSERT INTO public.who_import VALUES (42561, '2020-08-20', 'IL', 'Israel', 'EURO', '1649', '96719', '14', '782');
INSERT INTO public.who_import VALUES (42562, '2020-08-21', 'IL', 'Israel', 'EURO', '1640', '98359', '12', '794');
INSERT INTO public.who_import VALUES (42563, '2020-08-22', 'IL', 'Israel', 'EURO', '1487', '99846', '12', '806');
INSERT INTO public.who_import VALUES (42564, '2020-08-23', 'IL', 'Israel', 'EURO', '1493', '101339', '13', '819');
INSERT INTO public.who_import VALUES (42565, '2020-08-24', 'IL', 'Israel', 'EURO', '711', '102050', '10', '829');
INSERT INTO public.who_import VALUES (42566, '2020-08-25', 'IL', 'Israel', 'EURO', '965', '103015', '13', '842');
INSERT INTO public.who_import VALUES (42567, '2020-08-26', 'IL', 'Israel', 'EURO', '1900', '104915', '16', '858');
INSERT INTO public.who_import VALUES (42568, '2020-08-27', 'IL', 'Israel', 'EURO', '1956', '106871', '19', '877');
INSERT INTO public.who_import VALUES (42569, '2020-08-28', 'IL', 'Israel', 'EURO', '1953', '108824', '11', '888');
INSERT INTO public.who_import VALUES (42570, '2020-08-29', 'IL', 'Israel', 'EURO', '2071', '110895', '11', '899');
INSERT INTO public.who_import VALUES (42571, '2020-08-30', 'IL', 'Israel', 'EURO', '1832', '112727', '12', '911');
INSERT INTO public.who_import VALUES (42572, '2020-08-31', 'IL', 'Israel', 'EURO', '910', '113637', '5', '916');
INSERT INTO public.who_import VALUES (42573, '2020-09-01', 'IL', 'Israel', 'EURO', '1101', '114738', '14', '930');
INSERT INTO public.who_import VALUES (42574, '2020-09-02', 'IL', 'Israel', 'EURO', '2178', '116916', '23', '953');
INSERT INTO public.who_import VALUES (42575, '2020-09-03', 'IL', 'Israel', 'EURO', '2252', '119168', '15', '968');
INSERT INTO public.who_import VALUES (42576, '2020-09-04', 'IL', 'Israel', 'EURO', '3193', '122361', '14', '982');
INSERT INTO public.who_import VALUES (42577, '2020-09-05', 'IL', 'Israel', 'EURO', '2661', '125022', '16', '998');
INSERT INTO public.who_import VALUES (42578, '2020-09-06', 'IL', 'Israel', 'EURO', '2623', '127645', '12', '1010');
INSERT INTO public.who_import VALUES (42579, '2020-09-07', 'IL', 'Israel', 'EURO', '1505', '129150', '15', '1025');
INSERT INTO public.who_import VALUES (42580, '2020-09-08', 'IL', 'Israel', 'EURO', '2177', '131327', '12', '1037');
INSERT INTO public.who_import VALUES (42581, '2020-09-09', 'IL', 'Israel', 'EURO', '3388', '134715', '17', '1054');
INSERT INTO public.who_import VALUES (42582, '2020-09-10', 'IL', 'Israel', 'EURO', '3489', '138204', '20', '1074');
INSERT INTO public.who_import VALUES (42583, '2020-09-11', 'IL', 'Israel', 'EURO', '3994', '142198', '16', '1090');
INSERT INTO public.who_import VALUES (42584, '2020-09-12', 'IL', 'Israel', 'EURO', '4161', '146359', '14', '1104');
INSERT INTO public.who_import VALUES (42585, '2020-09-13', 'IL', 'Israel', 'EURO', '3975', '150334', '20', '1124');
INSERT INTO public.who_import VALUES (42586, '2020-09-14', 'IL', 'Israel', 'EURO', '2718', '153052', '15', '1139');
INSERT INTO public.who_import VALUES (42587, '2020-09-15', 'IL', 'Israel', 'EURO', '3175', '156227', '17', '1156');
INSERT INTO public.who_import VALUES (42588, '2020-09-16', 'IL', 'Israel', 'EURO', '4805', '161032', '20', '1176');
INSERT INTO public.who_import VALUES (42589, '2020-09-17', 'IL', 'Israel', 'EURO', '5539', '166571', '16', '1192');
INSERT INTO public.who_import VALUES (42590, '2020-09-18', 'IL', 'Israel', 'EURO', '4574', '171145', '26', '1218');
INSERT INTO public.who_import VALUES (42591, '2020-09-19', 'IL', 'Israel', 'EURO', '5385', '176530', '17', '1235');
INSERT INTO public.who_import VALUES (42592, '2020-09-20', 'IL', 'Israel', 'EURO', '5340', '181870', '20', '1255');
INSERT INTO public.who_import VALUES (42593, '2020-09-21', 'IL', 'Israel', 'EURO', '3809', '185679', '27', '1282');
INSERT INTO public.who_import VALUES (42594, '2020-09-22', 'IL', 'Israel', 'EURO', '2579', '188258', '21', '1303');
INSERT INTO public.who_import VALUES (42595, '2020-09-23', 'IL', 'Israel', 'EURO', '3865', '192123', '32', '1335');
INSERT INTO public.who_import VALUES (42596, '2020-09-24', 'IL', 'Israel', 'EURO', '7021', '199144', '26', '1361');
INSERT INTO public.who_import VALUES (42597, '2020-09-25', 'IL', 'Israel', 'EURO', '7125', '206269', '25', '1386');
INSERT INTO public.who_import VALUES (42598, '2020-09-26', 'IL', 'Israel', 'EURO', '8234', '214503', '31', '1417');
INSERT INTO public.who_import VALUES (42599, '2020-09-27', 'IL', 'Israel', 'EURO', '8389', '222892', '30', '1447');
INSERT INTO public.who_import VALUES (42600, '2020-09-28', 'IL', 'Israel', 'EURO', '5882', '228774', '26', '1473');
INSERT INTO public.who_import VALUES (42601, '2020-09-29', 'IL', 'Israel', 'EURO', '3413', '232187', '32', '1505');
INSERT INTO public.who_import VALUES (42602, '2020-09-30', 'IL', 'Israel', 'EURO', '1159', '233346', '28', '1533');
INSERT INTO public.who_import VALUES (42603, '2020-10-01', 'IL', 'Israel', 'EURO', '4992', '238338', '35', '1568');
INSERT INTO public.who_import VALUES (42604, '2020-10-02', 'IL', 'Israel', 'EURO', '9078', '247416', '37', '1605');
INSERT INTO public.who_import VALUES (42605, '2020-10-03', 'IL', 'Israel', 'EURO', '7731', '255147', '46', '1651');
INSERT INTO public.who_import VALUES (42606, '2020-10-04', 'IL', 'Israel', 'EURO', '7059', '262206', '25', '1676');
INSERT INTO public.who_import VALUES (42607, '2020-10-05', 'IL', 'Israel', 'EURO', '2595', '264801', '37', '1713');
INSERT INTO public.who_import VALUES (42608, '2020-10-06', 'IL', 'Israel', 'EURO', '2938', '267739', '37', '1750');
INSERT INTO public.who_import VALUES (42609, '2020-10-07', 'IL', 'Israel', 'EURO', '5721', '273460', '27', '1777');
INSERT INTO public.who_import VALUES (42610, '2020-10-08', 'IL', 'Israel', 'EURO', '4724', '278184', '45', '1822');
INSERT INTO public.who_import VALUES (42611, '2020-10-09', 'IL', 'Israel', 'EURO', '4164', '282348', '26', '1848');
INSERT INTO public.who_import VALUES (42612, '2020-10-10', 'IL', 'Israel', 'EURO', '3755', '286103', '47', '1895');
INSERT INTO public.who_import VALUES (42613, '2020-10-11', 'IL', 'Israel', 'EURO', '2963', '289066', '40', '1935');
INSERT INTO public.who_import VALUES (42614, '2020-10-12', 'IL', 'Israel', 'EURO', '916', '289982', '35', '1970');
INSERT INTO public.who_import VALUES (42615, '2020-10-13', 'IL', 'Israel', 'EURO', '1646', '291628', '46', '2016');
INSERT INTO public.who_import VALUES (42616, '2020-10-14', 'IL', 'Israel', 'EURO', '3169', '294797', '30', '2046');
INSERT INTO public.who_import VALUES (42617, '2020-10-15', 'IL', 'Israel', 'EURO', '2336', '297133', '38', '2084');
INSERT INTO public.who_import VALUES (42618, '2020-10-16', 'IL', 'Israel', 'EURO', '2118', '299251', '35', '2119');
INSERT INTO public.who_import VALUES (42619, '2020-10-17', 'IL', 'Israel', 'EURO', '1612', '300863', '31', '2150');
INSERT INTO public.who_import VALUES (42620, '2020-10-18', 'IL', 'Israel', 'EURO', '1500', '302363', '36', '2186');
INSERT INTO public.who_import VALUES (42621, '2020-10-19', 'IL', 'Israel', 'EURO', '412', '302775', '32', '2218');
INSERT INTO public.who_import VALUES (42622, '2020-10-20', 'IL', 'Israel', 'EURO', '923', '303698', '33', '2251');
INSERT INTO public.who_import VALUES (42623, '2020-10-21', 'IL', 'Israel', 'EURO', '1517', '305215', '31', '2282');
INSERT INTO public.who_import VALUES (42624, '2020-10-22', 'IL', 'Israel', 'EURO', '1193', '306408', '20', '2302');
INSERT INTO public.who_import VALUES (42625, '2020-10-23', 'IL', 'Israel', 'EURO', '1172', '307580', '25', '2327');
INSERT INTO public.who_import VALUES (42626, '2020-10-24', 'IL', 'Israel', 'EURO', '1032', '308612', '29', '2356');
INSERT INTO public.who_import VALUES (42627, '2020-10-25', 'IL', 'Israel', 'EURO', '849', '309461', '26', '2382');
INSERT INTO public.who_import VALUES (42628, '2020-10-26', 'IL', 'Israel', 'EURO', '246', '309707', '27', '2409');
INSERT INTO public.who_import VALUES (42629, '2020-10-27', 'IL', 'Israel', 'EURO', '607', '310314', '35', '2444');
INSERT INTO public.who_import VALUES (42630, '2020-10-28', 'IL', 'Israel', 'EURO', '884', '311198', '28', '2472');
INSERT INTO public.who_import VALUES (42631, '2020-10-29', 'IL', 'Israel', 'EURO', '887', '312085', '28', '2500');
INSERT INTO public.who_import VALUES (42632, '2020-10-30', 'IL', 'Israel', 'EURO', '723', '312808', '10', '2510');
INSERT INTO public.who_import VALUES (42633, '2020-10-31', 'IL', 'Israel', 'EURO', '644', '313452', '19', '2529');
INSERT INTO public.who_import VALUES (42634, '2020-11-01', 'IL', 'Israel', 'EURO', '680', '314132', '12', '2541');
INSERT INTO public.who_import VALUES (42635, '2020-11-02', 'IL', 'Israel', 'EURO', '228', '314360', '25', '2566');
INSERT INTO public.who_import VALUES (42636, '2020-11-03', 'IL', 'Israel', 'EURO', '658', '315018', '19', '2585');
INSERT INTO public.who_import VALUES (42637, '2020-11-04', 'IL', 'Israel', 'EURO', '788', '315806', '15', '2600');
INSERT INTO public.who_import VALUES (42638, '2020-11-05', 'IL', 'Israel', 'EURO', '845', '316651', '26', '2626');
INSERT INTO public.who_import VALUES (42639, '2020-11-06', 'IL', 'Israel', 'EURO', '769', '317420', '16', '2642');
INSERT INTO public.who_import VALUES (42640, '2020-11-07', 'IL', 'Israel', 'EURO', '570', '317990', '14', '2656');
INSERT INTO public.who_import VALUES (42641, '2020-11-08', 'IL', 'Israel', 'EURO', '691', '318681', '16', '2672');
INSERT INTO public.who_import VALUES (42642, '2020-11-09', 'IL', 'Israel', 'EURO', '212', '318893', '8', '2680');
INSERT INTO public.who_import VALUES (42643, '2020-11-10', 'IL', 'Israel', 'EURO', '534', '319427', '7', '2687');
INSERT INTO public.who_import VALUES (42644, '2020-11-11', 'IL', 'Israel', 'EURO', '719', '320146', '6', '2693');
INSERT INTO public.who_import VALUES (42645, '2020-11-12', 'IL', 'Israel', 'EURO', '675', '320821', '10', '2703');
INSERT INTO public.who_import VALUES (42646, '2020-11-13', 'IL', 'Israel', 'EURO', '764', '321585', '7', '2710');
INSERT INTO public.who_import VALUES (42647, '2020-11-14', 'IL', 'Israel', 'EURO', '836', '322421', '12', '2722');
INSERT INTO public.who_import VALUES (42648, '2020-11-15', 'IL', 'Israel', 'EURO', '761', '323182', '5', '2727');
INSERT INTO public.who_import VALUES (42649, '2020-11-16', 'IL', 'Israel', 'EURO', '291', '323473', '12', '2739');
INSERT INTO public.who_import VALUES (42650, '2020-11-17', 'IL', 'Israel', 'EURO', '625', '324098', '9', '2748');
INSERT INTO public.who_import VALUES (42651, '2020-11-18', 'IL', 'Israel', 'EURO', '873', '324971', '8', '2756');
INSERT INTO public.who_import VALUES (42652, '2020-11-19', 'IL', 'Israel', 'EURO', '829', '325800', '12', '2768');
INSERT INTO public.who_import VALUES (42653, '2020-11-20', 'IL', 'Israel', 'EURO', '795', '326595', '7', '2775');
INSERT INTO public.who_import VALUES (42654, '2020-11-21', 'IL', 'Israel', 'EURO', '771', '327366', '8', '2783');
INSERT INTO public.who_import VALUES (42655, '2020-11-22', 'IL', 'Israel', 'EURO', '773', '328139', '6', '2789');
INSERT INTO public.who_import VALUES (42656, '2020-11-23', 'IL', 'Israel', 'EURO', '422', '328561', '12', '2801');
INSERT INTO public.who_import VALUES (42657, '2020-11-24', 'IL', 'Israel', 'EURO', '762', '329323', '16', '2817');
INSERT INTO public.who_import VALUES (42658, '2020-11-25', 'IL', 'Israel', 'EURO', '959', '330282', '7', '2824');
INSERT INTO public.who_import VALUES (42659, '2020-11-26', 'IL', 'Israel', 'EURO', '857', '331139', '6', '2830');
INSERT INTO public.who_import VALUES (42660, '2020-11-27', 'IL', 'Israel', 'EURO', '1079', '332218', '5', '2835');
INSERT INTO public.who_import VALUES (42661, '2020-11-28', 'IL', 'Israel', 'EURO', '1087', '333305', '9', '2844');
INSERT INTO public.who_import VALUES (42662, '2020-11-29', 'IL', 'Israel', 'EURO', '1031', '334336', '6', '2850');
INSERT INTO public.who_import VALUES (42663, '2020-11-30', 'IL', 'Israel', 'EURO', '582', '334918', '10', '2860');
INSERT INTO public.who_import VALUES (42664, '2020-12-01', 'IL', 'Israel', 'EURO', '1024', '335942', '10', '2870');
INSERT INTO public.who_import VALUES (42665, '2020-12-02', 'IL', 'Israel', 'EURO', '1253', '337195', '7', '2877');
INSERT INTO public.who_import VALUES (42666, '2020-12-03', 'IL', 'Israel', 'EURO', '1199', '338394', '10', '2887');
INSERT INTO public.who_import VALUES (42667, '2020-12-04', 'IL', 'Israel', 'EURO', '1588', '339982', '5', '2892');
INSERT INTO public.who_import VALUES (42668, '2020-12-05', 'IL', 'Israel', 'EURO', '1451', '341433', '10', '2902');
INSERT INTO public.who_import VALUES (42669, '2020-12-06', 'IL', 'Israel', 'EURO', '1514', '342947', '10', '2912');
INSERT INTO public.who_import VALUES (42670, '2020-12-07', 'IL', 'Israel', 'EURO', '1000', '343947', '10', '2922');
INSERT INTO public.who_import VALUES (42671, '2020-12-08', 'IL', 'Israel', 'EURO', '1362', '345309', '8', '2930');
INSERT INTO public.who_import VALUES (42672, '2020-12-09', 'IL', 'Israel', 'EURO', '1859', '347168', '7', '2937');
INSERT INTO public.who_import VALUES (42673, '2020-12-10', 'IL', 'Israel', 'EURO', '1768', '348936', '12', '2949');
INSERT INTO public.who_import VALUES (42674, '2020-12-11', 'IL', 'Israel', 'EURO', '1866', '350802', '14', '2963');
INSERT INTO public.who_import VALUES (42675, '2020-12-12', 'IL', 'Israel', 'EURO', '2005', '352807', '13', '2976');
INSERT INTO public.who_import VALUES (42676, '2020-12-13', 'IL', 'Israel', 'EURO', '1835', '354642', '12', '2988');
INSERT INTO public.who_import VALUES (42677, '2020-12-14', 'IL', 'Israel', 'EURO', '1296', '355938', '16', '3004');
INSERT INTO public.who_import VALUES (42678, '2020-12-15', 'IL', 'Israel', 'EURO', '1729', '357667', '9', '3013');
INSERT INTO public.who_import VALUES (42679, '2020-12-16', 'IL', 'Israel', 'EURO', '2315', '359982', '11', '3024');
INSERT INTO public.who_import VALUES (42680, '2020-12-17', 'IL', 'Israel', 'EURO', '2891', '362873', '12', '3036');
INSERT INTO public.who_import VALUES (42681, '2020-12-18', 'IL', 'Israel', 'EURO', '2852', '365725', '14', '3050');
INSERT INTO public.who_import VALUES (42682, '2020-12-19', 'IL', 'Israel', 'EURO', '2846', '368571', '17', '3067');
INSERT INTO public.who_import VALUES (42683, '2020-12-20', 'IL', 'Israel', 'EURO', '2792', '371363', '16', '3083');
INSERT INTO public.who_import VALUES (42684, '2020-12-21', 'IL', 'Israel', 'EURO', '1887', '373250', '19', '3102');
INSERT INTO public.who_import VALUES (42685, '2020-12-22', 'IL', 'Israel', 'EURO', '3093', '376343', '19', '3121');
INSERT INTO public.who_import VALUES (42686, '2020-12-23', 'IL', 'Israel', 'EURO', '3849', '380192', '16', '3137');
INSERT INTO public.who_import VALUES (42687, '2020-12-24', 'IL', 'Israel', 'EURO', '4375', '384567', '13', '3150');
INSERT INTO public.who_import VALUES (42688, '2020-12-25', 'IL', 'Israel', 'EURO', '4035', '388602', '25', '3175');
INSERT INTO public.who_import VALUES (42689, '2020-12-26', 'IL', 'Israel', 'EURO', '4052', '392654', '15', '3190');
INSERT INTO public.who_import VALUES (42690, '2020-12-27', 'IL', 'Israel', 'EURO', '4010', '396664', '20', '3210');
INSERT INTO public.who_import VALUES (42691, '2020-12-28', 'IL', 'Israel', 'EURO', '2659', '399323', '23', '3233');
INSERT INTO public.who_import VALUES (42692, '2020-12-29', 'IL', 'Israel', 'EURO', '3528', '402851', '21', '3254');
INSERT INTO public.who_import VALUES (42693, '2020-12-30', 'IL', 'Israel', 'EURO', '5519', '408370', '33', '3287');
INSERT INTO public.who_import VALUES (42694, '2020-12-31', 'IL', 'Israel', 'EURO', '5638', '414008', '26', '3313');
INSERT INTO public.who_import VALUES (42695, '2021-01-01', 'IL', 'Israel', 'EURO', '5868', '419876', '15', '3328');
INSERT INTO public.who_import VALUES (42696, '2021-01-02', 'IL', 'Israel', 'EURO', '5875', '425751', '36', '3364');
INSERT INTO public.who_import VALUES (42697, '2021-01-03', 'IL', 'Israel', 'EURO', '6022', '431773', '36', '3400');
INSERT INTO public.who_import VALUES (42698, '2021-01-04', 'IL', 'Israel', 'EURO', '4218', '435991', '27', '3427');
INSERT INTO public.who_import VALUES (42699, '2021-01-05', 'IL', 'Israel', 'EURO', '5230', '441221', '24', '3451');
INSERT INTO public.who_import VALUES (42700, '2021-01-06', 'IL', 'Israel', 'EURO', '8405', '449626', '38', '3489');
INSERT INTO public.who_import VALUES (42701, '2021-01-07', 'IL', 'Israel', 'EURO', '8236', '457862', '24', '3513');
INSERT INTO public.who_import VALUES (42702, '2021-01-08', 'IL', 'Israel', 'EURO', '7878', '465740', '44', '3557');
INSERT INTO public.who_import VALUES (42703, '2021-01-09', 'IL', 'Israel', 'EURO', '7644', '473384', '48', '3605');
INSERT INTO public.who_import VALUES (42704, '2021-01-10', 'IL', 'Israel', 'EURO', '8160', '481544', '46', '3651');
INSERT INTO public.who_import VALUES (42705, '2021-01-11', 'IL', 'Israel', 'EURO', '5157', '486701', '21', '3672');
INSERT INTO public.who_import VALUES (42706, '2021-01-12', 'IL', 'Israel', 'EURO', '6937', '493638', '44', '3716');
INSERT INTO public.who_import VALUES (42707, '2021-01-13', 'IL', 'Israel', 'EURO', '9712', '503350', '29', '3745');
INSERT INTO public.who_import VALUES (42708, '2021-01-14', 'IL', 'Israel', 'EURO', '9295', '512645', '56', '3801');
INSERT INTO public.who_import VALUES (42709, '2021-01-15', 'IL', 'Israel', 'EURO', '9471', '522116', '57', '3858');
INSERT INTO public.who_import VALUES (42710, '2021-01-16', 'IL', 'Israel', 'EURO', '9295', '531411', '59', '3917');
INSERT INTO public.who_import VALUES (42711, '2021-01-17', 'IL', 'Israel', 'EURO', '8428', '539839', '51', '3968');
INSERT INTO public.who_import VALUES (42712, '2021-01-18', 'IL', 'Israel', 'EURO', '5088', '544927', '48', '4016');
INSERT INTO public.who_import VALUES (42713, '2021-01-19', 'IL', 'Israel', 'EURO', '5648', '550575', '57', '4073');
INSERT INTO public.who_import VALUES (42714, '2021-01-20', 'IL', 'Israel', 'EURO', '10114', '560689', '46', '4119');
INSERT INTO public.who_import VALUES (42715, '2021-01-21', 'IL', 'Israel', 'EURO', '8622', '569311', '46', '4165');
INSERT INTO public.who_import VALUES (42716, '2021-01-22', 'IL', 'Israel', 'EURO', '8361', '577672', '54', '4219');
INSERT INTO public.who_import VALUES (42717, '2021-01-23', 'IL', 'Israel', 'EURO', '7269', '584941', '48', '4267');
INSERT INTO public.who_import VALUES (42718, '2021-01-24', 'IL', 'Israel', 'EURO', '7387', '592328', '66', '4333');
INSERT INTO public.who_import VALUES (42719, '2021-01-25', 'IL', 'Israel', 'EURO', '2448', '594776', '52', '4385');
INSERT INTO public.who_import VALUES (42720, '2021-01-26', 'IL', 'Israel', 'EURO', '4945', '599721', '77', '4462');
INSERT INTO public.who_import VALUES (42721, '2021-01-27', 'IL', 'Israel', 'EURO', '8726', '608447', '63', '4525');
INSERT INTO public.who_import VALUES (42722, '2021-01-28', 'IL', 'Israel', 'EURO', '7796', '616243', '52', '4577');
INSERT INTO public.who_import VALUES (42723, '2021-01-29', 'IL', 'Israel', 'EURO', '7725', '623968', '63', '4640');
INSERT INTO public.who_import VALUES (42724, '2021-01-30', 'IL', 'Israel', 'EURO', '7183', '631151', '47', '4687');
INSERT INTO public.who_import VALUES (42725, '2021-01-31', 'IL', 'Israel', 'EURO', '6750', '637901', '42', '4729');
INSERT INTO public.who_import VALUES (42726, '2021-02-01', 'IL', 'Israel', 'EURO', '2617', '640518', '39', '4768');
INSERT INTO public.who_import VALUES (42727, '2021-02-02', 'IL', 'Israel', 'EURO', '5227', '645745', '50', '4818');
INSERT INTO public.who_import VALUES (42728, '2021-02-03', 'IL', 'Israel', 'EURO', '8902', '654647', '43', '4861');
INSERT INTO public.who_import VALUES (42729, '2021-02-04', 'IL', 'Israel', 'EURO', '8024', '662671', '55', '4916');
INSERT INTO public.who_import VALUES (42730, '2021-02-05', 'IL', 'Israel', 'EURO', '7458', '670129', '52', '4968');
INSERT INTO public.who_import VALUES (42731, '2021-02-06', 'IL', 'Israel', 'EURO', '7186', '677315', '46', '5014');
INSERT INTO public.who_import VALUES (42732, '2021-02-07', 'IL', 'Israel', 'EURO', '6578', '683893', '53', '5067');
INSERT INTO public.who_import VALUES (42733, '2021-02-08', 'IL', 'Israel', 'EURO', '2645', '686538', '53', '5120');
INSERT INTO public.who_import VALUES (42734, '2021-02-09', 'IL', 'Israel', 'EURO', '4573', '691111', '43', '5163');
INSERT INTO public.who_import VALUES (42735, '2021-02-10', 'IL', 'Israel', 'EURO', '7906', '699017', '36', '5199');
INSERT INTO public.who_import VALUES (42736, '2021-02-11', 'IL', 'Israel', 'EURO', '6075', '705092', '39', '5238');
INSERT INTO public.who_import VALUES (42737, '2021-02-12', 'IL', 'Israel', 'EURO', '5754', '710846', '32', '5270');
INSERT INTO public.who_import VALUES (42738, '2021-02-13', 'IL', 'Israel', 'EURO', '4950', '715796', '30', '5300');
INSERT INTO public.who_import VALUES (42739, '2021-02-14', 'IL', 'Israel', 'EURO', '4597', '720393', '35', '5335');
INSERT INTO public.who_import VALUES (42740, '2021-02-15', 'IL', 'Israel', 'EURO', '2002', '722395', '36', '5371');
INSERT INTO public.who_import VALUES (42741, '2021-02-16', 'IL', 'Israel', 'EURO', '3451', '725846', '32', '5403');
INSERT INTO public.who_import VALUES (42742, '2021-02-17', 'IL', 'Israel', 'EURO', '5191', '731037', '14', '5417');
INSERT INTO public.who_import VALUES (42743, '2021-02-18', 'IL', 'Israel', 'EURO', '0', '731037', '0', '5417');
INSERT INTO public.who_import VALUES (42744, '2021-02-19', 'IL', 'Israel', 'EURO', '0', '731037', '0', '5417');
INSERT INTO public.who_import VALUES (42745, '2021-02-20', 'IL', 'Israel', 'EURO', '0', '731037', '0', '5417');
INSERT INTO public.who_import VALUES (42746, '2020-01-03', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42747, '2020-01-04', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42748, '2020-01-05', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42749, '2020-01-06', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42750, '2020-01-07', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42751, '2020-01-08', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42752, '2020-01-09', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42753, '2020-01-10', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42754, '2020-01-11', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42755, '2020-01-12', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42756, '2020-01-13', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42757, '2020-01-14', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42758, '2020-01-15', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42759, '2020-01-16', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42760, '2020-01-17', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42761, '2020-01-18', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42762, '2020-01-19', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42763, '2020-01-20', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42764, '2020-01-21', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42765, '2020-01-22', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42766, '2020-01-23', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42767, '2020-01-24', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42768, '2020-01-25', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42769, '2020-01-26', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42770, '2020-01-27', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42771, '2020-01-28', 'IT', 'Italy', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (42772, '2020-01-29', 'IT', 'Italy', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (42773, '2020-01-30', 'IT', 'Italy', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (42774, '2020-01-31', 'IT', 'Italy', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (42775, '2020-02-01', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42776, '2020-02-02', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42777, '2020-02-03', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42778, '2020-02-04', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42779, '2020-02-05', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42780, '2020-02-06', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42781, '2020-02-07', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42782, '2020-02-08', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42783, '2020-02-09', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42784, '2020-02-10', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42785, '2020-02-11', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42786, '2020-02-12', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42787, '2020-02-13', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42788, '2020-02-14', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42789, '2020-02-15', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42790, '2020-02-16', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42791, '2020-02-17', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42792, '2020-02-18', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42793, '2020-02-19', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42794, '2020-02-20', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42795, '2020-02-21', 'IT', 'Italy', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (42796, '2020-02-22', 'IT', 'Italy', 'EURO', '14', '17', '0', '0');
INSERT INTO public.who_import VALUES (42797, '2020-02-23', 'IT', 'Italy', 'EURO', '62', '79', '2', '2');
INSERT INTO public.who_import VALUES (42798, '2020-02-24', 'IT', 'Italy', 'EURO', '53', '132', '0', '2');
INSERT INTO public.who_import VALUES (42799, '2020-02-25', 'IT', 'Italy', 'EURO', '97', '229', '4', '6');
INSERT INTO public.who_import VALUES (42800, '2020-02-26', 'IT', 'Italy', 'EURO', '93', '322', '5', '11');
INSERT INTO public.who_import VALUES (42801, '2020-02-27', 'IT', 'Italy', 'EURO', '78', '400', '1', '12');
INSERT INTO public.who_import VALUES (42802, '2020-02-28', 'IT', 'Italy', 'EURO', '250', '650', '5', '17');
INSERT INTO public.who_import VALUES (42803, '2020-02-29', 'IT', 'Italy', 'EURO', '238', '888', '4', '21');
INSERT INTO public.who_import VALUES (42804, '2020-03-01', 'IT', 'Italy', 'EURO', '240', '1128', '8', '29');
INSERT INTO public.who_import VALUES (42805, '2020-03-02', 'IT', 'Italy', 'EURO', '561', '1689', '6', '35');
INSERT INTO public.who_import VALUES (42806, '2020-03-03', 'IT', 'Italy', 'EURO', '347', '2036', '17', '52');
INSERT INTO public.who_import VALUES (42807, '2020-03-04', 'IT', 'Italy', 'EURO', '466', '2502', '28', '80');
INSERT INTO public.who_import VALUES (42808, '2020-03-05', 'IT', 'Italy', 'EURO', '587', '3089', '27', '107');
INSERT INTO public.who_import VALUES (42809, '2020-03-06', 'IT', 'Italy', 'EURO', '769', '3858', '41', '148');
INSERT INTO public.who_import VALUES (42810, '2020-03-07', 'IT', 'Italy', 'EURO', '778', '4636', '49', '197');
INSERT INTO public.who_import VALUES (42811, '2020-03-08', 'IT', 'Italy', 'EURO', '1247', '5883', '36', '233');
INSERT INTO public.who_import VALUES (42812, '2020-03-09', 'IT', 'Italy', 'EURO', '1492', '7375', '133', '366');
INSERT INTO public.who_import VALUES (42813, '2020-03-10', 'IT', 'Italy', 'EURO', '1797', '9172', '98', '464');
INSERT INTO public.who_import VALUES (42814, '2020-03-11', 'IT', 'Italy', 'EURO', '977', '10149', '167', '631');
INSERT INTO public.who_import VALUES (42815, '2020-03-12', 'IT', 'Italy', 'EURO', '2313', '12462', '196', '827');
INSERT INTO public.who_import VALUES (42816, '2020-03-13', 'IT', 'Italy', 'EURO', '2651', '15113', '189', '1016');
INSERT INTO public.who_import VALUES (42817, '2020-03-14', 'IT', 'Italy', 'EURO', '2547', '17660', '252', '1268');
INSERT INTO public.who_import VALUES (42818, '2020-03-15', 'IT', 'Italy', 'EURO', '3497', '21157', '173', '1441');
INSERT INTO public.who_import VALUES (42819, '2020-03-16', 'IT', 'Italy', 'EURO', '2823', '23980', '370', '1811');
INSERT INTO public.who_import VALUES (42820, '2020-03-17', 'IT', 'Italy', 'EURO', '4000', '27980', '347', '2158');
INSERT INTO public.who_import VALUES (42821, '2020-03-18', 'IT', 'Italy', 'EURO', '3526', '31506', '347', '2505');
INSERT INTO public.who_import VALUES (42822, '2020-03-19', 'IT', 'Italy', 'EURO', '4207', '35713', '473', '2978');
INSERT INTO public.who_import VALUES (42823, '2020-03-20', 'IT', 'Italy', 'EURO', '5322', '41035', '429', '3407');
INSERT INTO public.who_import VALUES (42824, '2020-03-21', 'IT', 'Italy', 'EURO', '5986', '47021', '625', '4032');
INSERT INTO public.who_import VALUES (42825, '2020-03-22', 'IT', 'Italy', 'EURO', '6557', '53578', '795', '4827');
INSERT INTO public.who_import VALUES (42826, '2020-03-23', 'IT', 'Italy', 'EURO', '5560', '59138', '649', '5476');
INSERT INTO public.who_import VALUES (42827, '2020-03-24', 'IT', 'Italy', 'EURO', '4789', '63927', '601', '6077');
INSERT INTO public.who_import VALUES (42828, '2020-03-25', 'IT', 'Italy', 'EURO', '5249', '69176', '743', '6820');
INSERT INTO public.who_import VALUES (42829, '2020-03-26', 'IT', 'Italy', 'EURO', '5210', '74386', '685', '7505');
INSERT INTO public.who_import VALUES (42830, '2020-03-27', 'IT', 'Italy', 'EURO', '6153', '80539', '660', '8165');
INSERT INTO public.who_import VALUES (42831, '2020-03-28', 'IT', 'Italy', 'EURO', '5959', '86498', '971', '9136');
INSERT INTO public.who_import VALUES (42832, '2020-03-29', 'IT', 'Italy', 'EURO', '5974', '92472', '887', '10023');
INSERT INTO public.who_import VALUES (42833, '2020-03-30', 'IT', 'Italy', 'EURO', '5217', '97689', '758', '10781');
INSERT INTO public.who_import VALUES (42834, '2020-03-31', 'IT', 'Italy', 'EURO', '4050', '101739', '810', '11591');
INSERT INTO public.who_import VALUES (42835, '2020-04-01', 'IT', 'Italy', 'EURO', '4053', '105792', '839', '12430');
INSERT INTO public.who_import VALUES (42836, '2020-04-02', 'IT', 'Italy', 'EURO', '4782', '110574', '727', '13157');
INSERT INTO public.who_import VALUES (42837, '2020-04-03', 'IT', 'Italy', 'EURO', '4668', '115242', '760', '13917');
INSERT INTO public.who_import VALUES (42838, '2020-04-04', 'IT', 'Italy', 'EURO', '4585', '119827', '764', '14681');
INSERT INTO public.who_import VALUES (42839, '2020-04-05', 'IT', 'Italy', 'EURO', '4805', '124632', '681', '15362');
INSERT INTO public.who_import VALUES (42840, '2020-04-06', 'IT', 'Italy', 'EURO', '4316', '128948', '527', '15889');
INSERT INTO public.who_import VALUES (42841, '2020-04-07', 'IT', 'Italy', 'EURO', '3599', '132547', '636', '16525');
INSERT INTO public.who_import VALUES (42842, '2020-04-08', 'IT', 'Italy', 'EURO', '3039', '135586', '604', '17129');
INSERT INTO public.who_import VALUES (42843, '2020-04-09', 'IT', 'Italy', 'EURO', '3836', '139422', '540', '17669');
INSERT INTO public.who_import VALUES (42844, '2020-04-10', 'IT', 'Italy', 'EURO', '4204', '143626', '612', '18281');
INSERT INTO public.who_import VALUES (42845, '2020-04-11', 'IT', 'Italy', 'EURO', '3951', '147577', '570', '18851');
INSERT INTO public.who_import VALUES (42846, '2020-04-12', 'IT', 'Italy', 'EURO', '4694', '152271', '619', '19470');
INSERT INTO public.who_import VALUES (42847, '2020-04-13', 'IT', 'Italy', 'EURO', '4092', '156363', '431', '19901');
INSERT INTO public.who_import VALUES (42848, '2020-04-14', 'IT', 'Italy', 'EURO', '3153', '159516', '564', '20465');
INSERT INTO public.who_import VALUES (42849, '2020-04-15', 'IT', 'Italy', 'EURO', '2972', '162488', '604', '21069');
INSERT INTO public.who_import VALUES (42850, '2020-04-16', 'IT', 'Italy', 'EURO', '2667', '165155', '578', '21647');
INSERT INTO public.who_import VALUES (42851, '2020-04-17', 'IT', 'Italy', 'EURO', '3786', '168941', '525', '22172');
INSERT INTO public.who_import VALUES (42852, '2020-04-18', 'IT', 'Italy', 'EURO', '3493', '172434', '575', '22747');
INSERT INTO public.who_import VALUES (42853, '2020-04-19', 'IT', 'Italy', 'EURO', '3491', '175925', '480', '23227');
INSERT INTO public.who_import VALUES (42854, '2020-04-20', 'IT', 'Italy', 'EURO', '3047', '178972', '433', '23660');
INSERT INTO public.who_import VALUES (42855, '2020-04-21', 'IT', 'Italy', 'EURO', '2256', '181228', '454', '24114');
INSERT INTO public.who_import VALUES (42856, '2020-04-22', 'IT', 'Italy', 'EURO', '2729', '183957', '534', '24648');
INSERT INTO public.who_import VALUES (42857, '2020-04-23', 'IT', 'Italy', 'EURO', '3370', '187327', '437', '25085');
INSERT INTO public.who_import VALUES (42858, '2020-04-24', 'IT', 'Italy', 'EURO', '2646', '189973', '464', '25549');
INSERT INTO public.who_import VALUES (42859, '2020-04-25', 'IT', 'Italy', 'EURO', '3021', '192994', '420', '25969');
INSERT INTO public.who_import VALUES (42860, '2020-04-26', 'IT', 'Italy', 'EURO', '2357', '195351', '415', '26384');
INSERT INTO public.who_import VALUES (42861, '2020-04-27', 'IT', 'Italy', 'EURO', '2324', '197675', '260', '26644');
INSERT INTO public.who_import VALUES (42862, '2020-04-28', 'IT', 'Italy', 'EURO', '1739', '199414', '333', '26977');
INSERT INTO public.who_import VALUES (42863, '2020-04-29', 'IT', 'Italy', 'EURO', '2091', '201505', '382', '27359');
INSERT INTO public.who_import VALUES (42864, '2020-04-30', 'IT', 'Italy', 'EURO', '2086', '203591', '323', '27682');
INSERT INTO public.who_import VALUES (42865, '2020-05-01', 'IT', 'Italy', 'EURO', '1872', '205463', '285', '27967');
INSERT INTO public.who_import VALUES (42866, '2020-05-02', 'IT', 'Italy', 'EURO', '1965', '207428', '269', '28236');
INSERT INTO public.who_import VALUES (42867, '2020-05-03', 'IT', 'Italy', 'EURO', '1900', '209328', '474', '28710');
INSERT INTO public.who_import VALUES (42868, '2020-05-04', 'IT', 'Italy', 'EURO', '1389', '210717', '174', '28884');
INSERT INTO public.who_import VALUES (42869, '2020-05-05', 'IT', 'Italy', 'EURO', '1221', '211938', '195', '29079');
INSERT INTO public.who_import VALUES (42870, '2020-05-06', 'IT', 'Italy', 'EURO', '1075', '213013', '236', '29315');
INSERT INTO public.who_import VALUES (42871, '2020-05-07', 'IT', 'Italy', 'EURO', '1444', '214457', '369', '29684');
INSERT INTO public.who_import VALUES (42872, '2020-05-08', 'IT', 'Italy', 'EURO', '1401', '215858', '274', '29958');
INSERT INTO public.who_import VALUES (42873, '2020-05-09', 'IT', 'Italy', 'EURO', '1327', '217185', '243', '30201');
INSERT INTO public.who_import VALUES (42874, '2020-05-10', 'IT', 'Italy', 'EURO', '1083', '218268', '194', '30395');
INSERT INTO public.who_import VALUES (42875, '2020-05-11', 'IT', 'Italy', 'EURO', '802', '219070', '165', '30560');
INSERT INTO public.who_import VALUES (42876, '2020-05-12', 'IT', 'Italy', 'EURO', '744', '219814', '179', '30739');
INSERT INTO public.who_import VALUES (42877, '2020-05-13', 'IT', 'Italy', 'EURO', '1402', '221216', '172', '30911');
INSERT INTO public.who_import VALUES (42878, '2020-05-14', 'IT', 'Italy', 'EURO', '888', '222104', '195', '31106');
INSERT INTO public.who_import VALUES (42879, '2020-05-15', 'IT', 'Italy', 'EURO', '992', '223096', '262', '31368');
INSERT INTO public.who_import VALUES (42880, '2020-05-16', 'IT', 'Italy', 'EURO', '789', '223885', '242', '31610');
INSERT INTO public.who_import VALUES (42881, '2020-05-17', 'IT', 'Italy', 'EURO', '875', '224760', '153', '31763');
INSERT INTO public.who_import VALUES (42882, '2020-05-18', 'IT', 'Italy', 'EURO', '675', '225435', '145', '31908');
INSERT INTO public.who_import VALUES (42883, '2020-05-19', 'IT', 'Italy', 'EURO', '451', '225886', '99', '32007');
INSERT INTO public.who_import VALUES (42884, '2020-05-20', 'IT', 'Italy', 'EURO', '813', '226699', '162', '32169');
INSERT INTO public.who_import VALUES (42885, '2020-05-21', 'IT', 'Italy', 'EURO', '665', '227364', '161', '32330');
INSERT INTO public.who_import VALUES (42886, '2020-05-22', 'IT', 'Italy', 'EURO', '642', '228006', '156', '32486');
INSERT INTO public.who_import VALUES (42887, '2020-05-23', 'IT', 'Italy', 'EURO', '652', '228658', '130', '32616');
INSERT INTO public.who_import VALUES (42888, '2020-05-24', 'IT', 'Italy', 'EURO', '669', '229327', '119', '32735');
INSERT INTO public.who_import VALUES (42889, '2020-05-25', 'IT', 'Italy', 'EURO', '531', '229858', '50', '32785');
INSERT INTO public.who_import VALUES (42890, '2020-05-26', 'IT', 'Italy', 'EURO', '300', '230158', '92', '32877');
INSERT INTO public.who_import VALUES (42891, '2020-05-27', 'IT', 'Italy', 'EURO', '397', '230555', '78', '32955');
INSERT INTO public.who_import VALUES (42892, '2020-05-28', 'IT', 'Italy', 'EURO', '584', '231139', '117', '33072');
INSERT INTO public.who_import VALUES (42893, '2020-05-29', 'IT', 'Italy', 'EURO', '593', '231732', '70', '33142');
INSERT INTO public.who_import VALUES (42894, '2020-05-30', 'IT', 'Italy', 'EURO', '516', '232248', '87', '33229');
INSERT INTO public.who_import VALUES (42895, '2020-05-31', 'IT', 'Italy', 'EURO', '416', '232664', '111', '33340');
INSERT INTO public.who_import VALUES (42896, '2020-06-01', 'IT', 'Italy', 'EURO', '355', '233019', '75', '33415');
INSERT INTO public.who_import VALUES (42897, '2020-06-02', 'IT', 'Italy', 'EURO', '178', '233197', '60', '33475');
INSERT INTO public.who_import VALUES (42898, '2020-06-03', 'IT', 'Italy', 'EURO', '318', '233515', '55', '33530');
INSERT INTO public.who_import VALUES (42899, '2020-06-04', 'IT', 'Italy', 'EURO', '321', '233836', '71', '33601');
INSERT INTO public.who_import VALUES (42900, '2020-06-05', 'IT', 'Italy', 'EURO', '177', '234013', '88', '33689');
INSERT INTO public.who_import VALUES (42901, '2020-06-06', 'IT', 'Italy', 'EURO', '518', '234531', '85', '33774');
INSERT INTO public.who_import VALUES (42902, '2020-06-07', 'IT', 'Italy', 'EURO', '270', '234801', '72', '33846');
INSERT INTO public.who_import VALUES (42903, '2020-06-08', 'IT', 'Italy', 'EURO', '197', '234998', '53', '33899');
INSERT INTO public.who_import VALUES (42904, '2020-06-09', 'IT', 'Italy', 'EURO', '280', '235278', '65', '33964');
INSERT INTO public.who_import VALUES (42905, '2020-06-10', 'IT', 'Italy', 'EURO', '283', '235561', '79', '34043');
INSERT INTO public.who_import VALUES (42906, '2020-06-11', 'IT', 'Italy', 'EURO', '202', '235763', '71', '34114');
INSERT INTO public.who_import VALUES (42907, '2020-06-12', 'IT', 'Italy', 'EURO', '379', '236142', '53', '34167');
INSERT INTO public.who_import VALUES (42908, '2020-06-13', 'IT', 'Italy', 'EURO', '163', '236305', '56', '34223');
INSERT INTO public.who_import VALUES (42909, '2020-06-14', 'IT', 'Italy', 'EURO', '346', '236651', '78', '34301');
INSERT INTO public.who_import VALUES (42910, '2020-06-15', 'IT', 'Italy', 'EURO', '338', '236989', '44', '34345');
INSERT INTO public.who_import VALUES (42911, '2020-06-16', 'IT', 'Italy', 'EURO', '301', '237290', '26', '34371');
INSERT INTO public.who_import VALUES (42912, '2020-06-17', 'IT', 'Italy', 'EURO', '210', '237500', '34', '34405');
INSERT INTO public.who_import VALUES (42913, '2020-06-18', 'IT', 'Italy', 'EURO', '328', '237828', '43', '34448');
INSERT INTO public.who_import VALUES (42914, '2020-06-19', 'IT', 'Italy', 'EURO', '331', '238159', '66', '34514');
INSERT INTO public.who_import VALUES (42915, '2020-06-20', 'IT', 'Italy', 'EURO', '-148', '238011', '47', '34561');
INSERT INTO public.who_import VALUES (42916, '2020-06-21', 'IT', 'Italy', 'EURO', '264', '238275', '49', '34610');
INSERT INTO public.who_import VALUES (42917, '2020-06-22', 'IT', 'Italy', 'EURO', '224', '238499', '24', '34634');
INSERT INTO public.who_import VALUES (42918, '2020-06-23', 'IT', 'Italy', 'EURO', '221', '238720', '23', '34657');
INSERT INTO public.who_import VALUES (42919, '2020-06-24', 'IT', 'Italy', 'EURO', '113', '238833', '18', '34675');
INSERT INTO public.who_import VALUES (42920, '2020-06-25', 'IT', 'Italy', 'EURO', '577', '239410', '-31', '34644');
INSERT INTO public.who_import VALUES (42921, '2020-06-26', 'IT', 'Italy', 'EURO', '296', '239706', '34', '34678');
INSERT INTO public.who_import VALUES (42922, '2020-06-27', 'IT', 'Italy', 'EURO', '255', '239961', '30', '34708');
INSERT INTO public.who_import VALUES (42923, '2020-06-28', 'IT', 'Italy', 'EURO', '175', '240136', '8', '34716');
INSERT INTO public.who_import VALUES (42924, '2020-06-29', 'IT', 'Italy', 'EURO', '174', '240310', '22', '34738');
INSERT INTO public.who_import VALUES (42925, '2020-06-30', 'IT', 'Italy', 'EURO', '126', '240436', '6', '34744');
INSERT INTO public.who_import VALUES (42926, '2020-07-01', 'IT', 'Italy', 'EURO', '142', '240578', '23', '34767');
INSERT INTO public.who_import VALUES (42927, '2020-07-02', 'IT', 'Italy', 'EURO', '182', '240760', '21', '34788');
INSERT INTO public.who_import VALUES (42928, '2020-07-03', 'IT', 'Italy', 'EURO', '201', '240961', '30', '34818');
INSERT INTO public.who_import VALUES (42929, '2020-07-04', 'IT', 'Italy', 'EURO', '223', '241184', '15', '34833');
INSERT INTO public.who_import VALUES (42930, '2020-07-05', 'IT', 'Italy', 'EURO', '235', '241419', '21', '34854');
INSERT INTO public.who_import VALUES (42931, '2020-07-06', 'IT', 'Italy', 'EURO', '192', '241611', '7', '34861');
INSERT INTO public.who_import VALUES (42932, '2020-07-07', 'IT', 'Italy', 'EURO', '208', '241819', '8', '34869');
INSERT INTO public.who_import VALUES (42933, '2020-07-08', 'IT', 'Italy', 'EURO', '137', '241956', '30', '34899');
INSERT INTO public.who_import VALUES (42934, '2020-07-09', 'IT', 'Italy', 'EURO', '193', '242149', '15', '34914');
INSERT INTO public.who_import VALUES (42935, '2020-07-10', 'IT', 'Italy', 'EURO', '214', '242363', '12', '34926');
INSERT INTO public.who_import VALUES (42936, '2020-07-11', 'IT', 'Italy', 'EURO', '276', '242639', '12', '34938');
INSERT INTO public.who_import VALUES (42937, '2020-07-12', 'IT', 'Italy', 'EURO', '188', '242827', '7', '34945');
INSERT INTO public.who_import VALUES (42938, '2020-07-13', 'IT', 'Italy', 'EURO', '234', '243061', '9', '34954');
INSERT INTO public.who_import VALUES (42939, '2020-07-14', 'IT', 'Italy', 'EURO', '169', '243230', '13', '34967');
INSERT INTO public.who_import VALUES (42940, '2020-07-15', 'IT', 'Italy', 'EURO', '114', '243344', '17', '34984');
INSERT INTO public.who_import VALUES (42941, '2020-07-16', 'IT', 'Italy', 'EURO', '162', '243506', '13', '34997');
INSERT INTO public.who_import VALUES (42942, '2020-07-17', 'IT', 'Italy', 'EURO', '230', '243736', '20', '35017');
INSERT INTO public.who_import VALUES (42943, '2020-07-18', 'IT', 'Italy', 'EURO', '231', '243967', '11', '35028');
INSERT INTO public.who_import VALUES (42944, '2020-07-19', 'IT', 'Italy', 'EURO', '249', '244216', '14', '35042');
INSERT INTO public.who_import VALUES (42945, '2020-07-20', 'IT', 'Italy', 'EURO', '218', '244434', '3', '35045');
INSERT INTO public.who_import VALUES (42946, '2020-07-21', 'IT', 'Italy', 'EURO', '190', '244624', '13', '35058');
INSERT INTO public.who_import VALUES (42947, '2020-07-22', 'IT', 'Italy', 'EURO', '128', '244752', '15', '35073');
INSERT INTO public.who_import VALUES (42948, '2020-07-23', 'IT', 'Italy', 'EURO', '280', '245032', '9', '35082');
INSERT INTO public.who_import VALUES (42949, '2020-07-24', 'IT', 'Italy', 'EURO', '306', '245338', '10', '35092');
INSERT INTO public.who_import VALUES (42950, '2020-07-25', 'IT', 'Italy', 'EURO', '252', '245590', '5', '35097');
INSERT INTO public.who_import VALUES (42951, '2020-07-26', 'IT', 'Italy', 'EURO', '274', '245864', '5', '35102');
INSERT INTO public.who_import VALUES (42952, '2020-07-27', 'IT', 'Italy', 'EURO', '254', '246118', '5', '35107');
INSERT INTO public.who_import VALUES (42953, '2020-07-28', 'IT', 'Italy', 'EURO', '168', '246286', '5', '35112');
INSERT INTO public.who_import VALUES (42954, '2020-07-29', 'IT', 'Italy', 'EURO', '202', '246488', '11', '35123');
INSERT INTO public.who_import VALUES (42955, '2020-07-30', 'IT', 'Italy', 'EURO', '288', '246776', '6', '35129');
INSERT INTO public.who_import VALUES (42956, '2020-07-31', 'IT', 'Italy', 'EURO', '382', '247158', '3', '35132');
INSERT INTO public.who_import VALUES (42957, '2020-08-01', 'IT', 'Italy', 'EURO', '379', '247537', '9', '35141');
INSERT INTO public.who_import VALUES (42958, '2020-08-02', 'IT', 'Italy', 'EURO', '295', '247832', '5', '35146');
INSERT INTO public.who_import VALUES (42959, '2020-08-03', 'IT', 'Italy', 'EURO', '238', '248070', '8', '35154');
INSERT INTO public.who_import VALUES (42960, '2020-08-04', 'IT', 'Italy', 'EURO', '159', '248229', '12', '35166');
INSERT INTO public.who_import VALUES (42961, '2020-08-05', 'IT', 'Italy', 'EURO', '190', '248419', '5', '35171');
INSERT INTO public.who_import VALUES (42962, '2020-08-06', 'IT', 'Italy', 'EURO', '384', '248803', '10', '35181');
INSERT INTO public.who_import VALUES (42963, '2020-08-07', 'IT', 'Italy', 'EURO', '401', '249204', '6', '35187');
INSERT INTO public.who_import VALUES (42964, '2020-08-08', 'IT', 'Italy', 'EURO', '552', '249756', '3', '35190');
INSERT INTO public.who_import VALUES (42965, '2020-08-09', 'IT', 'Italy', 'EURO', '347', '250103', '13', '35203');
INSERT INTO public.who_import VALUES (42966, '2020-08-10', 'IT', 'Italy', 'EURO', '463', '250566', '2', '35205');
INSERT INTO public.who_import VALUES (42967, '2020-08-11', 'IT', 'Italy', 'EURO', '259', '250825', '4', '35209');
INSERT INTO public.who_import VALUES (42968, '2020-08-12', 'IT', 'Italy', 'EURO', '412', '251237', '6', '35215');
INSERT INTO public.who_import VALUES (42969, '2020-08-13', 'IT', 'Italy', 'EURO', '476', '251713', '10', '35225');
INSERT INTO public.who_import VALUES (42970, '2020-08-14', 'IT', 'Italy', 'EURO', '522', '252235', '6', '35231');
INSERT INTO public.who_import VALUES (42971, '2020-08-15', 'IT', 'Italy', 'EURO', '574', '252809', '3', '35234');
INSERT INTO public.who_import VALUES (42972, '2020-08-16', 'IT', 'Italy', 'EURO', '629', '253438', '158', '35392');
INSERT INTO public.who_import VALUES (42973, '2020-08-17', 'IT', 'Italy', 'EURO', '477', '253915', '4', '35396');
INSERT INTO public.who_import VALUES (42974, '2020-08-18', 'IT', 'Italy', 'EURO', '320', '254235', '4', '35400');
INSERT INTO public.who_import VALUES (42975, '2020-08-19', 'IT', 'Italy', 'EURO', '401', '254636', '5', '35405');
INSERT INTO public.who_import VALUES (42976, '2020-08-20', 'IT', 'Italy', 'EURO', '642', '255278', '7', '35412');
INSERT INTO public.who_import VALUES (42977, '2020-08-21', 'IT', 'Italy', 'EURO', '840', '256118', '6', '35418');
INSERT INTO public.who_import VALUES (42978, '2020-08-22', 'IT', 'Italy', 'EURO', '947', '257065', '9', '35427');
INSERT INTO public.who_import VALUES (42979, '2020-08-23', 'IT', 'Italy', 'EURO', '1071', '258136', '3', '35430');
INSERT INTO public.who_import VALUES (42980, '2020-08-24', 'IT', 'Italy', 'EURO', '1209', '259345', '7', '35437');
INSERT INTO public.who_import VALUES (42981, '2020-08-25', 'IT', 'Italy', 'EURO', '953', '260298', '4', '35441');
INSERT INTO public.who_import VALUES (42982, '2020-08-26', 'IT', 'Italy', 'EURO', '876', '261174', '4', '35445');
INSERT INTO public.who_import VALUES (42983, '2020-08-27', 'IT', 'Italy', 'EURO', '1366', '262540', '13', '35458');
INSERT INTO public.who_import VALUES (42984, '2020-08-28', 'IT', 'Italy', 'EURO', '1409', '263949', '5', '35463');
INSERT INTO public.who_import VALUES (42985, '2020-08-29', 'IT', 'Italy', 'EURO', '1460', '265409', '9', '35472');
INSERT INTO public.who_import VALUES (42986, '2020-08-30', 'IT', 'Italy', 'EURO', '1444', '266853', '1', '35473');
INSERT INTO public.who_import VALUES (42987, '2020-08-31', 'IT', 'Italy', 'EURO', '1365', '268218', '4', '35477');
INSERT INTO public.who_import VALUES (42988, '2020-09-01', 'IT', 'Italy', 'EURO', '996', '269214', '6', '35483');
INSERT INTO public.who_import VALUES (42989, '2020-09-02', 'IT', 'Italy', 'EURO', '975', '270189', '8', '35491');
INSERT INTO public.who_import VALUES (42990, '2020-09-03', 'IT', 'Italy', 'EURO', '1326', '271515', '6', '35497');
INSERT INTO public.who_import VALUES (42991, '2020-09-04', 'IT', 'Italy', 'EURO', '1397', '272912', '10', '35507');
INSERT INTO public.who_import VALUES (42992, '2020-09-05', 'IT', 'Italy', 'EURO', '1732', '274644', '11', '35518');
INSERT INTO public.who_import VALUES (42993, '2020-09-06', 'IT', 'Italy', 'EURO', '1694', '276338', '16', '35534');
INSERT INTO public.who_import VALUES (42994, '2020-09-07', 'IT', 'Italy', 'EURO', '1296', '277634', '7', '35541');
INSERT INTO public.who_import VALUES (42995, '2020-09-08', 'IT', 'Italy', 'EURO', '1150', '278784', '12', '35553');
INSERT INTO public.who_import VALUES (42996, '2020-09-09', 'IT', 'Italy', 'EURO', '1369', '280153', '10', '35563');
INSERT INTO public.who_import VALUES (42997, '2020-09-10', 'IT', 'Italy', 'EURO', '1430', '281583', '14', '35577');
INSERT INTO public.who_import VALUES (42998, '2020-09-11', 'IT', 'Italy', 'EURO', '1597', '283180', '10', '35587');
INSERT INTO public.who_import VALUES (42999, '2020-09-12', 'IT', 'Italy', 'EURO', '1616', '284796', '10', '35597');
INSERT INTO public.who_import VALUES (43000, '2020-09-13', 'IT', 'Italy', 'EURO', '1501', '286297', '6', '35603');
INSERT INTO public.who_import VALUES (43001, '2020-09-14', 'IT', 'Italy', 'EURO', '1456', '287753', '7', '35610');
INSERT INTO public.who_import VALUES (43002, '2020-09-15', 'IT', 'Italy', 'EURO', '1008', '288761', '14', '35624');
INSERT INTO public.who_import VALUES (43003, '2020-09-16', 'IT', 'Italy', 'EURO', '1229', '289990', '9', '35633');
INSERT INTO public.who_import VALUES (43004, '2020-09-17', 'IT', 'Italy', 'EURO', '1452', '291442', '12', '35645');
INSERT INTO public.who_import VALUES (43005, '2020-09-18', 'IT', 'Italy', 'EURO', '1583', '293025', '13', '35658');
INSERT INTO public.who_import VALUES (43006, '2020-09-19', 'IT', 'Italy', 'EURO', '1907', '294932', '10', '35668');
INSERT INTO public.who_import VALUES (43007, '2020-09-20', 'IT', 'Italy', 'EURO', '1637', '296569', '24', '35692');
INSERT INTO public.who_import VALUES (43008, '2020-09-21', 'IT', 'Italy', 'EURO', '1587', '298156', '15', '35707');
INSERT INTO public.who_import VALUES (43009, '2020-09-22', 'IT', 'Italy', 'EURO', '1350', '299506', '17', '35724');
INSERT INTO public.who_import VALUES (43010, '2020-09-23', 'IT', 'Italy', 'EURO', '1391', '300897', '14', '35738');
INSERT INTO public.who_import VALUES (43011, '2020-09-24', 'IT', 'Italy', 'EURO', '1640', '302537', '20', '35758');
INSERT INTO public.who_import VALUES (43012, '2020-09-25', 'IT', 'Italy', 'EURO', '1786', '304323', '23', '35781');
INSERT INTO public.who_import VALUES (43013, '2020-09-26', 'IT', 'Italy', 'EURO', '1912', '306235', '20', '35801');
INSERT INTO public.who_import VALUES (43014, '2020-09-27', 'IT', 'Italy', 'EURO', '1869', '308104', '17', '35818');
INSERT INTO public.who_import VALUES (43015, '2020-09-28', 'IT', 'Italy', 'EURO', '1766', '309870', '17', '35835');
INSERT INTO public.who_import VALUES (43016, '2020-09-29', 'IT', 'Italy', 'EURO', '1494', '311364', '16', '35851');
INSERT INTO public.who_import VALUES (43017, '2020-09-30', 'IT', 'Italy', 'EURO', '1647', '313011', '24', '35875');
INSERT INTO public.who_import VALUES (43018, '2020-10-01', 'IT', 'Italy', 'EURO', '1850', '314861', '19', '35894');
INSERT INTO public.who_import VALUES (43019, '2020-10-02', 'IT', 'Italy', 'EURO', '2548', '317409', '24', '35918');
INSERT INTO public.who_import VALUES (43020, '2020-10-03', 'IT', 'Italy', 'EURO', '2499', '319908', '23', '35941');
INSERT INTO public.who_import VALUES (43021, '2020-10-04', 'IT', 'Italy', 'EURO', '2843', '322751', '27', '35968');
INSERT INTO public.who_import VALUES (43022, '2020-10-05', 'IT', 'Italy', 'EURO', '2578', '325329', '18', '35986');
INSERT INTO public.who_import VALUES (43023, '2020-10-06', 'IT', 'Italy', 'EURO', '2257', '327586', '16', '36002');
INSERT INTO public.who_import VALUES (43024, '2020-10-07', 'IT', 'Italy', 'EURO', '2677', '330263', '28', '36030');
INSERT INTO public.who_import VALUES (43025, '2020-10-08', 'IT', 'Italy', 'EURO', '3677', '333940', '31', '36061');
INSERT INTO public.who_import VALUES (43026, '2020-10-09', 'IT', 'Italy', 'EURO', '4458', '338398', '22', '36083');
INSERT INTO public.who_import VALUES (43027, '2020-10-10', 'IT', 'Italy', 'EURO', '5372', '343770', '28', '36111');
INSERT INTO public.who_import VALUES (43028, '2020-10-11', 'IT', 'Italy', 'EURO', '5724', '349494', '29', '36140');
INSERT INTO public.who_import VALUES (43029, '2020-10-12', 'IT', 'Italy', 'EURO', '5456', '354950', '26', '36166');
INSERT INTO public.who_import VALUES (43030, '2020-10-13', 'IT', 'Italy', 'EURO', '4619', '359569', '39', '36205');
INSERT INTO public.who_import VALUES (43031, '2020-10-14', 'IT', 'Italy', 'EURO', '5898', '365467', '41', '36246');
INSERT INTO public.who_import VALUES (43032, '2020-10-15', 'IT', 'Italy', 'EURO', '7332', '372799', '43', '36289');
INSERT INTO public.who_import VALUES (43033, '2020-10-16', 'IT', 'Italy', 'EURO', '8803', '381602', '83', '36372');
INSERT INTO public.who_import VALUES (43034, '2020-10-17', 'IT', 'Italy', 'EURO', '10009', '391611', '55', '36427');
INSERT INTO public.who_import VALUES (43035, '2020-10-18', 'IT', 'Italy', 'EURO', '10925', '402536', '47', '36474');
INSERT INTO public.who_import VALUES (43036, '2020-10-19', 'IT', 'Italy', 'EURO', '11705', '414241', '69', '36543');
INSERT INTO public.who_import VALUES (43037, '2020-10-20', 'IT', 'Italy', 'EURO', '9337', '423578', '73', '36616');
INSERT INTO public.who_import VALUES (43038, '2020-10-21', 'IT', 'Italy', 'EURO', '10871', '434449', '89', '36705');
INSERT INTO public.who_import VALUES (43039, '2020-10-22', 'IT', 'Italy', 'EURO', '15199', '449648', '127', '36832');
INSERT INTO public.who_import VALUES (43040, '2020-10-23', 'IT', 'Italy', 'EURO', '16078', '465726', '136', '36968');
INSERT INTO public.who_import VALUES (43041, '2020-10-24', 'IT', 'Italy', 'EURO', '19143', '484869', '91', '37059');
INSERT INTO public.who_import VALUES (43042, '2020-10-25', 'IT', 'Italy', 'EURO', '19640', '504509', '151', '37210');
INSERT INTO public.who_import VALUES (43043, '2020-10-26', 'IT', 'Italy', 'EURO', '21273', '525782', '128', '37338');
INSERT INTO public.who_import VALUES (43044, '2020-10-27', 'IT', 'Italy', 'EURO', '17007', '542789', '141', '37479');
INSERT INTO public.who_import VALUES (43045, '2020-10-28', 'IT', 'Italy', 'EURO', '21989', '564778', '221', '37700');
INSERT INTO public.who_import VALUES (43046, '2020-10-29', 'IT', 'Italy', 'EURO', '24988', '589766', '205', '37905');
INSERT INTO public.who_import VALUES (43047, '2020-10-30', 'IT', 'Italy', 'EURO', '26829', '616595', '217', '38122');
INSERT INTO public.who_import VALUES (43048, '2020-10-31', 'IT', 'Italy', 'EURO', '31079', '647674', '199', '38321');
INSERT INTO public.who_import VALUES (43049, '2020-11-01', 'IT', 'Italy', 'EURO', '31756', '679430', '297', '38618');
INSERT INTO public.who_import VALUES (43050, '2020-11-02', 'IT', 'Italy', 'EURO', '29905', '709335', '208', '38826');
INSERT INTO public.who_import VALUES (43051, '2020-11-03', 'IT', 'Italy', 'EURO', '22253', '731588', '233', '39059');
INSERT INTO public.who_import VALUES (43052, '2020-11-04', 'IT', 'Italy', 'EURO', '28241', '759829', '353', '39412');
INSERT INTO public.who_import VALUES (43053, '2020-11-05', 'IT', 'Italy', 'EURO', '30548', '790377', '352', '39764');
INSERT INTO public.who_import VALUES (43054, '2020-11-06', 'IT', 'Italy', 'EURO', '34502', '824879', '428', '40192');
INSERT INTO public.who_import VALUES (43055, '2020-11-07', 'IT', 'Italy', 'EURO', '37802', '862681', '446', '40638');
INSERT INTO public.who_import VALUES (43056, '2020-11-08', 'IT', 'Italy', 'EURO', '39809', '902490', '425', '41063');
INSERT INTO public.who_import VALUES (43057, '2020-11-09', 'IT', 'Italy', 'EURO', '32614', '935104', '331', '41394');
INSERT INTO public.who_import VALUES (43058, '2020-11-10', 'IT', 'Italy', 'EURO', '25269', '960373', '356', '41750');
INSERT INTO public.who_import VALUES (43059, '2020-11-11', 'IT', 'Italy', 'EURO', '35090', '995463', '580', '42330');
INSERT INTO public.who_import VALUES (43060, '2020-11-12', 'IT', 'Italy', 'EURO', '32961', '1028424', '623', '42953');
INSERT INTO public.who_import VALUES (43061, '2020-11-13', 'IT', 'Italy', 'EURO', '37977', '1066401', '636', '43589');
INSERT INTO public.who_import VALUES (43062, '2020-11-14', 'IT', 'Italy', 'EURO', '40902', '1107303', '550', '44139');
INSERT INTO public.who_import VALUES (43063, '2020-11-15', 'IT', 'Italy', 'EURO', '37249', '1144552', '544', '44683');
INSERT INTO public.who_import VALUES (43064, '2020-11-16', 'IT', 'Italy', 'EURO', '33977', '1178529', '546', '45229');
INSERT INTO public.who_import VALUES (43065, '2020-11-17', 'IT', 'Italy', 'EURO', '27352', '1205881', '504', '45733');
INSERT INTO public.who_import VALUES (43066, '2020-11-18', 'IT', 'Italy', 'EURO', '32191', '1238072', '731', '46464');
INSERT INTO public.who_import VALUES (43067, '2020-11-19', 'IT', 'Italy', 'EURO', '34280', '1272352', '753', '47217');
INSERT INTO public.who_import VALUES (43068, '2020-11-20', 'IT', 'Italy', 'EURO', '36176', '1308528', '653', '47870');
INSERT INTO public.who_import VALUES (43069, '2020-11-21', 'IT', 'Italy', 'EURO', '37239', '1345767', '699', '48569');
INSERT INTO public.who_import VALUES (43070, '2020-11-22', 'IT', 'Italy', 'EURO', '34764', '1380531', '692', '49261');
INSERT INTO public.who_import VALUES (43071, '2020-11-23', 'IT', 'Italy', 'EURO', '28337', '1408868', '562', '49823');
INSERT INTO public.who_import VALUES (43072, '2020-11-24', 'IT', 'Italy', 'EURO', '22927', '1431795', '630', '50453');
INSERT INTO public.who_import VALUES (43073, '2020-11-25', 'IT', 'Italy', 'EURO', '23227', '1455022', '853', '51306');
INSERT INTO public.who_import VALUES (43074, '2020-11-26', 'IT', 'Italy', 'EURO', '25852', '1480874', '722', '52028');
INSERT INTO public.who_import VALUES (43075, '2020-11-27', 'IT', 'Italy', 'EURO', '29001', '1509875', '822', '52850');
INSERT INTO public.who_import VALUES (43076, '2020-11-28', 'IT', 'Italy', 'EURO', '28342', '1538217', '827', '53677');
INSERT INTO public.who_import VALUES (43077, '2020-11-29', 'IT', 'Italy', 'EURO', '26315', '1564532', '686', '54363');
INSERT INTO public.who_import VALUES (43078, '2020-11-30', 'IT', 'Italy', 'EURO', '20646', '1585178', '541', '54904');
INSERT INTO public.who_import VALUES (43079, '2020-12-01', 'IT', 'Italy', 'EURO', '16376', '1601554', '672', '55576');
INSERT INTO public.who_import VALUES (43080, '2020-12-02', 'IT', 'Italy', 'EURO', '19347', '1620901', '785', '56361');
INSERT INTO public.who_import VALUES (43081, '2020-12-03', 'IT', 'Italy', 'EURO', '20709', '1641610', '684', '57045');
INSERT INTO public.who_import VALUES (43082, '2020-12-04', 'IT', 'Italy', 'EURO', '23219', '1664829', '993', '58038');
INSERT INTO public.who_import VALUES (43083, '2020-12-05', 'IT', 'Italy', 'EURO', '24110', '1688939', '814', '58852');
INSERT INTO public.who_import VALUES (43084, '2020-12-06', 'IT', 'Italy', 'EURO', '21052', '1709991', '662', '59514');
INSERT INTO public.who_import VALUES (43085, '2020-12-07', 'IT', 'Italy', 'EURO', '18887', '1728878', '564', '60078');
INSERT INTO public.who_import VALUES (43086, '2020-12-08', 'IT', 'Italy', 'EURO', '13679', '1742557', '528', '60606');
INSERT INTO public.who_import VALUES (43087, '2020-12-09', 'IT', 'Italy', 'EURO', '14837', '1757394', '634', '61240');
INSERT INTO public.who_import VALUES (43088, '2020-12-10', 'IT', 'Italy', 'EURO', '12755', '1770149', '499', '61739');
INSERT INTO public.who_import VALUES (43089, '2020-12-11', 'IT', 'Italy', 'EURO', '16998', '1787147', '887', '62626');
INSERT INTO public.who_import VALUES (43090, '2020-12-12', 'IT', 'Italy', 'EURO', '18726', '1805873', '761', '63387');
INSERT INTO public.who_import VALUES (43091, '2020-12-13', 'IT', 'Italy', 'EURO', '19902', '1825775', '649', '64036');
INSERT INTO public.who_import VALUES (43092, '2020-12-14', 'IT', 'Italy', 'EURO', '17937', '1843712', '484', '64520');
INSERT INTO public.who_import VALUES (43093, '2020-12-15', 'IT', 'Italy', 'EURO', '12025', '1855737', '491', '65011');
INSERT INTO public.who_import VALUES (43094, '2020-12-16', 'IT', 'Italy', 'EURO', '14839', '1870576', '846', '65857');
INSERT INTO public.who_import VALUES (43095, '2020-12-17', 'IT', 'Italy', 'EURO', '17568', '1888144', '680', '66537');
INSERT INTO public.who_import VALUES (43096, '2020-12-18', 'IT', 'Italy', 'EURO', '18233', '1906377', '683', '67220');
INSERT INTO public.who_import VALUES (43097, '2020-12-19', 'IT', 'Italy', 'EURO', '15401', '1921778', '674', '67894');
INSERT INTO public.who_import VALUES (43098, '2020-12-20', 'IT', 'Italy', 'EURO', '16305', '1938083', '553', '68447');
INSERT INTO public.who_import VALUES (43099, '2020-12-21', 'IT', 'Italy', 'EURO', '15102', '1953185', '352', '68799');
INSERT INTO public.who_import VALUES (43100, '2020-12-22', 'IT', 'Italy', 'EURO', '10869', '1964054', '415', '69214');
INSERT INTO public.who_import VALUES (43101, '2020-12-23', 'IT', 'Italy', 'EURO', '13316', '1977370', '628', '69842');
INSERT INTO public.who_import VALUES (43102, '2020-12-24', 'IT', 'Italy', 'EURO', '13908', '1991278', '553', '70395');
INSERT INTO public.who_import VALUES (43103, '2020-12-25', 'IT', 'Italy', 'EURO', '18039', '2009317', '505', '70900');
INSERT INTO public.who_import VALUES (43104, '2020-12-26', 'IT', 'Italy', 'EURO', '19037', '2028354', '459', '71359');
INSERT INTO public.who_import VALUES (43105, '2020-12-27', 'IT', 'Italy', 'EURO', '10405', '2038759', '261', '71620');
INSERT INTO public.who_import VALUES (43106, '2020-12-28', 'IT', 'Italy', 'EURO', '8937', '2047696', '305', '71925');
INSERT INTO public.who_import VALUES (43107, '2020-12-29', 'IT', 'Italy', 'EURO', '8581', '2056277', '445', '72370');
INSERT INTO public.who_import VALUES (43108, '2020-12-30', 'IT', 'Italy', 'EURO', '11210', '2067487', '659', '73029');
INSERT INTO public.who_import VALUES (43109, '2020-12-31', 'IT', 'Italy', 'EURO', '16202', '2083689', '575', '73604');
INSERT INTO public.who_import VALUES (43110, '2021-01-01', 'IT', 'Italy', 'EURO', '23477', '2107166', '555', '74159');
INSERT INTO public.who_import VALUES (43111, '2021-01-02', 'IT', 'Italy', 'EURO', '22210', '2129376', '462', '74621');
INSERT INTO public.who_import VALUES (43112, '2021-01-03', 'IT', 'Italy', 'EURO', '11825', '2141201', '364', '74985');
INSERT INTO public.who_import VALUES (43113, '2021-01-04', 'IT', 'Italy', 'EURO', '14245', '2155446', '347', '75332');
INSERT INTO public.who_import VALUES (43114, '2021-01-05', 'IT', 'Italy', 'EURO', '10798', '2166244', '348', '75680');
INSERT INTO public.who_import VALUES (43115, '2021-01-06', 'IT', 'Italy', 'EURO', '15375', '2181619', '649', '76329');
INSERT INTO public.who_import VALUES (43116, '2021-01-07', 'IT', 'Italy', 'EURO', '20326', '2201945', '548', '76877');
INSERT INTO public.who_import VALUES (43117, '2021-01-08', 'IT', 'Italy', 'EURO', '18416', '2220361', '414', '77291');
INSERT INTO public.who_import VALUES (43118, '2021-01-09', 'IT', 'Italy', 'EURO', '17529', '2237890', '620', '77911');
INSERT INTO public.who_import VALUES (43119, '2021-01-10', 'IT', 'Italy', 'EURO', '19976', '2257866', '483', '78394');
INSERT INTO public.who_import VALUES (43120, '2021-01-11', 'IT', 'Italy', 'EURO', '18625', '2276491', '361', '78755');
INSERT INTO public.who_import VALUES (43121, '2021-01-12', 'IT', 'Italy', 'EURO', '12530', '2289021', '448', '79203');
INSERT INTO public.who_import VALUES (43122, '2021-01-13', 'IT', 'Italy', 'EURO', '14242', '2303263', '616', '79819');
INSERT INTO public.who_import VALUES (43123, '2021-01-14', 'IT', 'Italy', 'EURO', '15773', '2319036', '507', '80326');
INSERT INTO public.who_import VALUES (43124, '2021-01-15', 'IT', 'Italy', 'EURO', '17243', '2336279', '522', '80848');
INSERT INTO public.who_import VALUES (43125, '2021-01-16', 'IT', 'Italy', 'EURO', '16144', '2352423', '477', '81325');
INSERT INTO public.who_import VALUES (43126, '2021-01-17', 'IT', 'Italy', 'EURO', '16310', '2368733', '475', '81800');
INSERT INTO public.who_import VALUES (43127, '2021-01-18', 'IT', 'Italy', 'EURO', '12544', '2381277', '377', '82177');
INSERT INTO public.who_import VALUES (43128, '2021-01-19', 'IT', 'Italy', 'EURO', '8825', '2390102', '377', '82554');
INSERT INTO public.who_import VALUES (43129, '2021-01-20', 'IT', 'Italy', 'EURO', '10496', '2400598', '603', '83157');
INSERT INTO public.who_import VALUES (43130, '2021-01-21', 'IT', 'Italy', 'EURO', '13568', '2414166', '524', '83681');
INSERT INTO public.who_import VALUES (43131, '2021-01-22', 'IT', 'Italy', 'EURO', '14055', '2428221', '521', '84202');
INSERT INTO public.who_import VALUES (43132, '2021-01-23', 'IT', 'Italy', 'EURO', '13633', '2441854', '472', '84674');
INSERT INTO public.who_import VALUES (43133, '2021-01-24', 'IT', 'Italy', 'EURO', '13331', '2455185', '488', '85162');
INSERT INTO public.who_import VALUES (43134, '2021-01-25', 'IT', 'Italy', 'EURO', '11628', '2466813', '299', '85461');
INSERT INTO public.who_import VALUES (43135, '2021-01-26', 'IT', 'Italy', 'EURO', '8559', '2475372', '420', '85881');
INSERT INTO public.who_import VALUES (43136, '2021-01-27', 'IT', 'Italy', 'EURO', '10584', '2485956', '541', '86422');
INSERT INTO public.who_import VALUES (43137, '2021-01-28', 'IT', 'Italy', 'EURO', '15191', '2501147', '467', '86889');
INSERT INTO public.who_import VALUES (43138, '2021-01-29', 'IT', 'Italy', 'EURO', '14360', '2515507', '492', '87381');
INSERT INTO public.who_import VALUES (43139, '2021-01-30', 'IT', 'Italy', 'EURO', '13563', '2529070', '477', '87858');
INSERT INTO public.who_import VALUES (43140, '2021-01-31', 'IT', 'Italy', 'EURO', '12713', '2541783', '421', '88279');
INSERT INTO public.who_import VALUES (43141, '2021-02-01', 'IT', 'Italy', 'EURO', '11249', '2553032', '237', '88516');
INSERT INTO public.who_import VALUES (43142, '2021-02-02', 'IT', 'Italy', 'EURO', '7925', '2560957', '329', '88845');
INSERT INTO public.who_import VALUES (43143, '2021-02-03', 'IT', 'Italy', 'EURO', '9651', '2570608', '499', '89344');
INSERT INTO public.who_import VALUES (43144, '2021-02-04', 'IT', 'Italy', 'EURO', '13182', '2583790', '476', '89820');
INSERT INTO public.who_import VALUES (43145, '2021-02-05', 'IT', 'Italy', 'EURO', '13656', '2597446', '421', '90241');
INSERT INTO public.who_import VALUES (43146, '2021-02-06', 'IT', 'Italy', 'EURO', '14213', '2611659', '377', '90618');
INSERT INTO public.who_import VALUES (43147, '2021-02-07', 'IT', 'Italy', 'EURO', '13439', '2625098', '385', '91003');
INSERT INTO public.who_import VALUES (43148, '2021-02-08', 'IT', 'Italy', 'EURO', '11640', '2636738', '270', '91273');
INSERT INTO public.who_import VALUES (43149, '2021-02-09', 'IT', 'Italy', 'EURO', '7969', '2644707', '307', '91580');
INSERT INTO public.who_import VALUES (43150, '2021-02-10', 'IT', 'Italy', 'EURO', '10612', '2655319', '422', '92002');
INSERT INTO public.who_import VALUES (43151, '2021-02-11', 'IT', 'Italy', 'EURO', '12947', '2668266', '336', '92338');
INSERT INTO public.who_import VALUES (43152, '2021-02-12', 'IT', 'Italy', 'EURO', '15137', '2683403', '391', '92729');
INSERT INTO public.who_import VALUES (43153, '2021-02-13', 'IT', 'Italy', 'EURO', '13893', '2697296', '316', '93045');
INSERT INTO public.who_import VALUES (43154, '2021-02-14', 'IT', 'Italy', 'EURO', '13523', '2710819', '311', '93356');
INSERT INTO public.who_import VALUES (43155, '2021-02-15', 'IT', 'Italy', 'EURO', '11060', '2721879', '221', '93577');
INSERT INTO public.who_import VALUES (43156, '2021-02-16', 'IT', 'Italy', 'EURO', '7344', '2729223', '258', '93835');
INSERT INTO public.who_import VALUES (43157, '2021-02-17', 'IT', 'Italy', 'EURO', '10368', '2739591', '336', '94171');
INSERT INTO public.who_import VALUES (43158, '2021-02-18', 'IT', 'Italy', 'EURO', '12066', '2751657', '369', '94540');
INSERT INTO public.who_import VALUES (43159, '2021-02-19', 'IT', 'Italy', 'EURO', '13755', '2765412', '347', '94887');
INSERT INTO public.who_import VALUES (43160, '2021-02-20', 'IT', 'Italy', 'EURO', '15470', '2780882', '348', '95235');
INSERT INTO public.who_import VALUES (43161, '2020-01-03', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43162, '2020-01-04', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43163, '2020-01-05', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43164, '2020-01-06', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43165, '2020-01-07', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43166, '2020-01-08', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43167, '2020-01-09', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43168, '2020-01-10', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43169, '2020-01-11', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43170, '2020-01-12', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43171, '2020-01-13', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43172, '2020-01-14', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43173, '2020-01-15', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43174, '2020-01-16', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43175, '2020-01-17', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43176, '2020-01-18', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43177, '2020-01-19', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43178, '2020-01-20', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43179, '2020-01-21', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43180, '2020-01-22', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43181, '2020-01-23', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43182, '2020-01-24', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43183, '2020-01-25', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43184, '2020-01-26', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43185, '2020-01-27', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43186, '2020-01-28', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43187, '2020-01-29', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43188, '2020-01-30', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43189, '2020-01-31', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43190, '2020-02-01', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43191, '2020-02-02', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43192, '2020-02-03', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43193, '2020-02-04', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43194, '2020-02-05', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43195, '2020-02-06', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43196, '2020-02-07', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43197, '2020-02-08', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43198, '2020-02-09', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43199, '2020-02-10', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43200, '2020-02-11', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43201, '2020-02-12', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43202, '2020-02-13', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43203, '2020-02-14', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43204, '2020-02-15', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43205, '2020-02-16', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43206, '2020-02-17', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43207, '2020-02-18', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43208, '2020-02-19', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43209, '2020-02-20', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43210, '2020-02-21', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43211, '2020-02-22', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43212, '2020-02-23', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43213, '2020-02-24', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43214, '2020-02-25', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43215, '2020-02-26', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43216, '2020-02-27', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43217, '2020-02-28', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43218, '2020-02-29', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43219, '2020-03-01', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43220, '2020-03-02', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43223, '2020-03-05', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43224, '2020-03-06', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43225, '2020-03-07', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43226, '2020-03-08', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43227, '2020-03-09', 'JM', 'Jamaica', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43228, '2020-03-10', 'JM', 'Jamaica', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (43229, '2020-03-11', 'JM', 'Jamaica', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (43230, '2020-03-12', 'JM', 'Jamaica', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (43231, '2020-03-13', 'JM', 'Jamaica', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (43232, '2020-03-14', 'JM', 'Jamaica', 'AMRO', '6', '12', '0', '0');
INSERT INTO public.who_import VALUES (43233, '2020-03-15', 'JM', 'Jamaica', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (43234, '2020-03-16', 'JM', 'Jamaica', 'AMRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (43235, '2020-03-17', 'JM', 'Jamaica', 'AMRO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (43236, '2020-03-18', 'JM', 'Jamaica', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (43237, '2020-03-19', 'JM', 'Jamaica', 'AMRO', '-2', '15', '1', '1');
INSERT INTO public.who_import VALUES (43238, '2020-03-20', 'JM', 'Jamaica', 'AMRO', '1', '16', '0', '1');
INSERT INTO public.who_import VALUES (43239, '2020-03-21', 'JM', 'Jamaica', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (43240, '2020-03-22', 'JM', 'Jamaica', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (43241, '2020-03-23', 'JM', 'Jamaica', 'AMRO', '3', '19', '0', '1');
INSERT INTO public.who_import VALUES (43242, '2020-03-24', 'JM', 'Jamaica', 'AMRO', '2', '21', '0', '1');
INSERT INTO public.who_import VALUES (43243, '2020-03-25', 'JM', 'Jamaica', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (43244, '2020-03-26', 'JM', 'Jamaica', 'AMRO', '5', '26', '0', '1');
INSERT INTO public.who_import VALUES (43245, '2020-03-27', 'JM', 'Jamaica', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (43246, '2020-03-28', 'JM', 'Jamaica', 'AMRO', '0', '26', '0', '1');
INSERT INTO public.who_import VALUES (43247, '2020-03-29', 'JM', 'Jamaica', 'AMRO', '4', '30', '0', '1');
INSERT INTO public.who_import VALUES (43248, '2020-03-30', 'JM', 'Jamaica', 'AMRO', '2', '32', '0', '1');
INSERT INTO public.who_import VALUES (43249, '2020-03-31', 'JM', 'Jamaica', 'AMRO', '4', '36', '0', '1');
INSERT INTO public.who_import VALUES (43250, '2020-04-01', 'JM', 'Jamaica', 'AMRO', '0', '36', '0', '1');
INSERT INTO public.who_import VALUES (43251, '2020-04-02', 'JM', 'Jamaica', 'AMRO', '2', '38', '0', '1');
INSERT INTO public.who_import VALUES (43252, '2020-04-03', 'JM', 'Jamaica', 'AMRO', '6', '44', '2', '3');
INSERT INTO public.who_import VALUES (43253, '2020-04-04', 'JM', 'Jamaica', 'AMRO', '3', '47', '0', '3');
INSERT INTO public.who_import VALUES (43254, '2020-04-05', 'JM', 'Jamaica', 'AMRO', '6', '53', '0', '3');
INSERT INTO public.who_import VALUES (43255, '2020-04-06', 'JM', 'Jamaica', 'AMRO', '2', '55', '0', '3');
INSERT INTO public.who_import VALUES (43256, '2020-04-07', 'JM', 'Jamaica', 'AMRO', '3', '58', '0', '3');
INSERT INTO public.who_import VALUES (43257, '2020-04-08', 'JM', 'Jamaica', 'AMRO', '1', '59', '0', '3');
INSERT INTO public.who_import VALUES (43258, '2020-04-09', 'JM', 'Jamaica', 'AMRO', '4', '63', '0', '3');
INSERT INTO public.who_import VALUES (43259, '2020-04-10', 'JM', 'Jamaica', 'AMRO', '0', '63', '1', '4');
INSERT INTO public.who_import VALUES (43260, '2020-04-11', 'JM', 'Jamaica', 'AMRO', '0', '63', '0', '4');
INSERT INTO public.who_import VALUES (43261, '2020-04-12', 'JM', 'Jamaica', 'AMRO', '2', '65', '0', '4');
INSERT INTO public.who_import VALUES (43262, '2020-04-13', 'JM', 'Jamaica', 'AMRO', '4', '69', '0', '4');
INSERT INTO public.who_import VALUES (43263, '2020-04-14', 'JM', 'Jamaica', 'AMRO', '3', '72', '0', '4');
INSERT INTO public.who_import VALUES (43264, '2020-04-15', 'JM', 'Jamaica', 'AMRO', '1', '73', '0', '4');
INSERT INTO public.who_import VALUES (43265, '2020-04-16', 'JM', 'Jamaica', 'AMRO', '32', '105', '1', '5');
INSERT INTO public.who_import VALUES (43266, '2020-04-17', 'JM', 'Jamaica', 'AMRO', '20', '125', '0', '5');
INSERT INTO public.who_import VALUES (43267, '2020-04-18', 'JM', 'Jamaica', 'AMRO', '18', '143', '0', '5');
INSERT INTO public.who_import VALUES (43268, '2020-04-19', 'JM', 'Jamaica', 'AMRO', '20', '163', '0', '5');
INSERT INTO public.who_import VALUES (43269, '2020-04-20', 'JM', 'Jamaica', 'AMRO', '10', '173', '0', '5');
INSERT INTO public.who_import VALUES (43270, '2020-04-21', 'JM', 'Jamaica', 'AMRO', '23', '196', '0', '5');
INSERT INTO public.who_import VALUES (43271, '2020-04-22', 'JM', 'Jamaica', 'AMRO', '27', '223', '1', '6');
INSERT INTO public.who_import VALUES (43272, '2020-04-23', 'JM', 'Jamaica', 'AMRO', '10', '233', '0', '6');
INSERT INTO public.who_import VALUES (43273, '2020-04-24', 'JM', 'Jamaica', 'AMRO', '10', '243', '0', '6');
INSERT INTO public.who_import VALUES (43274, '2020-04-25', 'JM', 'Jamaica', 'AMRO', '14', '257', '1', '7');
INSERT INTO public.who_import VALUES (43275, '2020-04-26', 'JM', 'Jamaica', 'AMRO', '31', '288', '0', '7');
INSERT INTO public.who_import VALUES (43276, '2020-04-27', 'JM', 'Jamaica', 'AMRO', '17', '305', '0', '7');
INSERT INTO public.who_import VALUES (43277, '2020-04-28', 'JM', 'Jamaica', 'AMRO', '0', '305', '0', '7');
INSERT INTO public.who_import VALUES (43278, '2020-04-29', 'JM', 'Jamaica', 'AMRO', '59', '364', '0', '7');
INSERT INTO public.who_import VALUES (43279, '2020-04-30', 'JM', 'Jamaica', 'AMRO', '17', '381', '0', '7');
INSERT INTO public.who_import VALUES (43280, '2020-05-01', 'JM', 'Jamaica', 'AMRO', '15', '396', '0', '7');
INSERT INTO public.who_import VALUES (43281, '2020-05-02', 'JM', 'Jamaica', 'AMRO', '26', '422', '1', '8');
INSERT INTO public.who_import VALUES (43282, '2020-05-03', 'JM', 'Jamaica', 'AMRO', '10', '432', '0', '8');
INSERT INTO public.who_import VALUES (43283, '2020-05-04', 'JM', 'Jamaica', 'AMRO', '31', '463', '0', '8');
INSERT INTO public.who_import VALUES (43284, '2020-05-05', 'JM', 'Jamaica', 'AMRO', '6', '469', '1', '9');
INSERT INTO public.who_import VALUES (43285, '2020-05-06', 'JM', 'Jamaica', 'AMRO', '2', '471', '0', '9');
INSERT INTO public.who_import VALUES (43286, '2020-05-07', 'JM', 'Jamaica', 'AMRO', '2', '473', '0', '9');
INSERT INTO public.who_import VALUES (43287, '2020-05-08', 'JM', 'Jamaica', 'AMRO', '5', '478', '0', '9');
INSERT INTO public.who_import VALUES (43288, '2020-05-09', 'JM', 'Jamaica', 'AMRO', '10', '488', '0', '9');
INSERT INTO public.who_import VALUES (43289, '2020-05-10', 'JM', 'Jamaica', 'AMRO', '2', '490', '0', '9');
INSERT INTO public.who_import VALUES (43290, '2020-05-11', 'JM', 'Jamaica', 'AMRO', '8', '498', '0', '9');
INSERT INTO public.who_import VALUES (43291, '2020-05-12', 'JM', 'Jamaica', 'AMRO', '4', '502', '0', '9');
INSERT INTO public.who_import VALUES (43292, '2020-05-13', 'JM', 'Jamaica', 'AMRO', '3', '505', '0', '9');
INSERT INTO public.who_import VALUES (43293, '2020-05-14', 'JM', 'Jamaica', 'AMRO', '2', '507', '0', '9');
INSERT INTO public.who_import VALUES (43294, '2020-05-15', 'JM', 'Jamaica', 'AMRO', '2', '509', '0', '9');
INSERT INTO public.who_import VALUES (43295, '2020-05-16', 'JM', 'Jamaica', 'AMRO', '0', '509', '0', '9');
INSERT INTO public.who_import VALUES (43296, '2020-05-17', 'JM', 'Jamaica', 'AMRO', '2', '511', '0', '9');
INSERT INTO public.who_import VALUES (43297, '2020-05-18', 'JM', 'Jamaica', 'AMRO', '6', '517', '0', '9');
INSERT INTO public.who_import VALUES (43298, '2020-05-19', 'JM', 'Jamaica', 'AMRO', '3', '520', '0', '9');
INSERT INTO public.who_import VALUES (43299, '2020-05-20', 'JM', 'Jamaica', 'AMRO', '0', '520', '0', '9');
INSERT INTO public.who_import VALUES (43300, '2020-05-21', 'JM', 'Jamaica', 'AMRO', '0', '520', '0', '9');
INSERT INTO public.who_import VALUES (43301, '2020-05-22', 'JM', 'Jamaica', 'AMRO', '9', '529', '0', '9');
INSERT INTO public.who_import VALUES (43302, '2020-05-23', 'JM', 'Jamaica', 'AMRO', '5', '534', '0', '9');
INSERT INTO public.who_import VALUES (43303, '2020-05-24', 'JM', 'Jamaica', 'AMRO', '10', '544', '0', '9');
INSERT INTO public.who_import VALUES (43304, '2020-05-25', 'JM', 'Jamaica', 'AMRO', '6', '550', '0', '9');
INSERT INTO public.who_import VALUES (43305, '2020-05-26', 'JM', 'Jamaica', 'AMRO', '2', '552', '0', '9');
INSERT INTO public.who_import VALUES (43306, '2020-05-27', 'JM', 'Jamaica', 'AMRO', '4', '556', '0', '9');
INSERT INTO public.who_import VALUES (43307, '2020-05-28', 'JM', 'Jamaica', 'AMRO', '8', '564', '0', '9');
INSERT INTO public.who_import VALUES (43308, '2020-05-29', 'JM', 'Jamaica', 'AMRO', '5', '569', '0', '9');
INSERT INTO public.who_import VALUES (43309, '2020-05-30', 'JM', 'Jamaica', 'AMRO', '0', '569', '0', '9');
INSERT INTO public.who_import VALUES (43310, '2020-05-31', 'JM', 'Jamaica', 'AMRO', '6', '575', '0', '9');
INSERT INTO public.who_import VALUES (43311, '2020-06-01', 'JM', 'Jamaica', 'AMRO', '6', '581', '0', '9');
INSERT INTO public.who_import VALUES (43312, '2020-06-02', 'JM', 'Jamaica', 'AMRO', '0', '581', '0', '9');
INSERT INTO public.who_import VALUES (43313, '2020-06-03', 'JM', 'Jamaica', 'AMRO', '7', '588', '0', '9');
INSERT INTO public.who_import VALUES (43314, '2020-06-04', 'JM', 'Jamaica', 'AMRO', '2', '590', '0', '9');
INSERT INTO public.who_import VALUES (43315, '2020-06-05', 'JM', 'Jamaica', 'AMRO', '0', '590', '0', '9');
INSERT INTO public.who_import VALUES (43316, '2020-06-06', 'JM', 'Jamaica', 'AMRO', '1', '591', '1', '10');
INSERT INTO public.who_import VALUES (43317, '2020-06-07', 'JM', 'Jamaica', 'AMRO', '4', '595', '0', '10');
INSERT INTO public.who_import VALUES (43318, '2020-06-08', 'JM', 'Jamaica', 'AMRO', '1', '596', '0', '10');
INSERT INTO public.who_import VALUES (43319, '2020-06-09', 'JM', 'Jamaica', 'AMRO', '2', '598', '0', '10');
INSERT INTO public.who_import VALUES (43320, '2020-06-10', 'JM', 'Jamaica', 'AMRO', '0', '598', '0', '10');
INSERT INTO public.who_import VALUES (43321, '2020-06-11', 'JM', 'Jamaica', 'AMRO', '0', '598', '0', '10');
INSERT INTO public.who_import VALUES (43322, '2020-06-12', 'JM', 'Jamaica', 'AMRO', '0', '598', '0', '10');
INSERT INTO public.who_import VALUES (43323, '2020-06-13', 'JM', 'Jamaica', 'AMRO', '13', '611', '0', '10');
INSERT INTO public.who_import VALUES (43324, '2020-06-14', 'JM', 'Jamaica', 'AMRO', '3', '614', '0', '10');
INSERT INTO public.who_import VALUES (43325, '2020-06-15', 'JM', 'Jamaica', 'AMRO', '1', '615', '0', '10');
INSERT INTO public.who_import VALUES (43326, '2020-06-16', 'JM', 'Jamaica', 'AMRO', '2', '617', '0', '10');
INSERT INTO public.who_import VALUES (43327, '2020-06-17', 'JM', 'Jamaica', 'AMRO', '4', '621', '0', '10');
INSERT INTO public.who_import VALUES (43328, '2020-06-18', 'JM', 'Jamaica', 'AMRO', '0', '621', '0', '10');
INSERT INTO public.who_import VALUES (43329, '2020-06-19', 'JM', 'Jamaica', 'AMRO', '5', '626', '0', '10');
INSERT INTO public.who_import VALUES (43330, '2020-06-20', 'JM', 'Jamaica', 'AMRO', '12', '638', '0', '10');
INSERT INTO public.who_import VALUES (43331, '2020-06-21', 'JM', 'Jamaica', 'AMRO', '14', '652', '0', '10');
INSERT INTO public.who_import VALUES (43332, '2020-06-22', 'JM', 'Jamaica', 'AMRO', '5', '657', '0', '10');
INSERT INTO public.who_import VALUES (43333, '2020-06-23', 'JM', 'Jamaica', 'AMRO', '2', '659', '0', '10');
INSERT INTO public.who_import VALUES (43334, '2020-06-24', 'JM', 'Jamaica', 'AMRO', '6', '665', '0', '10');
INSERT INTO public.who_import VALUES (43335, '2020-06-25', 'JM', 'Jamaica', 'AMRO', '5', '670', '0', '10');
INSERT INTO public.who_import VALUES (43336, '2020-06-26', 'JM', 'Jamaica', 'AMRO', '8', '678', '0', '10');
INSERT INTO public.who_import VALUES (43337, '2020-06-27', 'JM', 'Jamaica', 'AMRO', '6', '684', '0', '10');
INSERT INTO public.who_import VALUES (43338, '2020-06-28', 'JM', 'Jamaica', 'AMRO', '2', '686', '0', '10');
INSERT INTO public.who_import VALUES (43339, '2020-06-29', 'JM', 'Jamaica', 'AMRO', '0', '686', '0', '10');
INSERT INTO public.who_import VALUES (43340, '2020-06-30', 'JM', 'Jamaica', 'AMRO', '10', '696', '0', '10');
INSERT INTO public.who_import VALUES (43341, '2020-07-01', 'JM', 'Jamaica', 'AMRO', '2', '698', '0', '10');
INSERT INTO public.who_import VALUES (43342, '2020-07-02', 'JM', 'Jamaica', 'AMRO', '4', '702', '0', '10');
INSERT INTO public.who_import VALUES (43343, '2020-07-03', 'JM', 'Jamaica', 'AMRO', '5', '707', '0', '10');
INSERT INTO public.who_import VALUES (43344, '2020-07-04', 'JM', 'Jamaica', 'AMRO', '8', '715', '0', '10');
INSERT INTO public.who_import VALUES (43345, '2020-07-05', 'JM', 'Jamaica', 'AMRO', '6', '721', '0', '10');
INSERT INTO public.who_import VALUES (43346, '2020-07-06', 'JM', 'Jamaica', 'AMRO', '7', '728', '0', '10');
INSERT INTO public.who_import VALUES (43347, '2020-07-07', 'JM', 'Jamaica', 'AMRO', '4', '732', '0', '10');
INSERT INTO public.who_import VALUES (43348, '2020-07-08', 'JM', 'Jamaica', 'AMRO', '5', '737', '0', '10');
INSERT INTO public.who_import VALUES (43349, '2020-07-09', 'JM', 'Jamaica', 'AMRO', '8', '745', '0', '10');
INSERT INTO public.who_import VALUES (43350, '2020-07-10', 'JM', 'Jamaica', 'AMRO', '6', '751', '0', '10');
INSERT INTO public.who_import VALUES (43351, '2020-07-11', 'JM', 'Jamaica', 'AMRO', '2', '753', '0', '10');
INSERT INTO public.who_import VALUES (43352, '2020-07-12', 'JM', 'Jamaica', 'AMRO', '0', '753', '0', '10');
INSERT INTO public.who_import VALUES (43353, '2020-07-13', 'JM', 'Jamaica', 'AMRO', '5', '758', '0', '10');
INSERT INTO public.who_import VALUES (43354, '2020-07-14', 'JM', 'Jamaica', 'AMRO', '0', '758', '0', '10');
INSERT INTO public.who_import VALUES (43355, '2020-07-15', 'JM', 'Jamaica', 'AMRO', '1', '759', '0', '10');
INSERT INTO public.who_import VALUES (43356, '2020-07-16', 'JM', 'Jamaica', 'AMRO', '3', '762', '0', '10');
INSERT INTO public.who_import VALUES (43357, '2020-07-17', 'JM', 'Jamaica', 'AMRO', '1', '763', '0', '10');
INSERT INTO public.who_import VALUES (43358, '2020-07-18', 'JM', 'Jamaica', 'AMRO', '2', '765', '0', '10');
INSERT INTO public.who_import VALUES (43359, '2020-07-19', 'JM', 'Jamaica', 'AMRO', '3', '768', '0', '10');
INSERT INTO public.who_import VALUES (43360, '2020-07-20', 'JM', 'Jamaica', 'AMRO', '6', '774', '0', '10');
INSERT INTO public.who_import VALUES (43361, '2020-07-21', 'JM', 'Jamaica', 'AMRO', '16', '790', '0', '10');
INSERT INTO public.who_import VALUES (43362, '2020-07-22', 'JM', 'Jamaica', 'AMRO', '19', '809', '0', '10');
INSERT INTO public.who_import VALUES (43363, '2020-07-23', 'JM', 'Jamaica', 'AMRO', '1', '810', '0', '10');
INSERT INTO public.who_import VALUES (43364, '2020-07-24', 'JM', 'Jamaica', 'AMRO', '6', '816', '0', '10');
INSERT INTO public.who_import VALUES (43365, '2020-07-25', 'JM', 'Jamaica', 'AMRO', '5', '821', '0', '10');
INSERT INTO public.who_import VALUES (43366, '2020-07-26', 'JM', 'Jamaica', 'AMRO', '10', '831', '0', '10');
INSERT INTO public.who_import VALUES (43367, '2020-07-27', 'JM', 'Jamaica', 'AMRO', '6', '837', '0', '10');
INSERT INTO public.who_import VALUES (43368, '2020-07-28', 'JM', 'Jamaica', 'AMRO', '5', '842', '0', '10');
INSERT INTO public.who_import VALUES (43369, '2020-07-29', 'JM', 'Jamaica', 'AMRO', '11', '853', '0', '10');
INSERT INTO public.who_import VALUES (43370, '2020-07-30', 'JM', 'Jamaica', 'AMRO', '2', '855', '0', '10');
INSERT INTO public.who_import VALUES (43371, '2020-07-31', 'JM', 'Jamaica', 'AMRO', '1', '856', '0', '10');
INSERT INTO public.who_import VALUES (43372, '2020-08-01', 'JM', 'Jamaica', 'AMRO', '8', '864', '0', '10');
INSERT INTO public.who_import VALUES (43373, '2020-08-02', 'JM', 'Jamaica', 'AMRO', '14', '878', '0', '10');
INSERT INTO public.who_import VALUES (43374, '2020-08-03', 'JM', 'Jamaica', 'AMRO', '5', '883', '0', '10');
INSERT INTO public.who_import VALUES (43375, '2020-08-04', 'JM', 'Jamaica', 'AMRO', '11', '894', '2', '12');
INSERT INTO public.who_import VALUES (43376, '2020-08-05', 'JM', 'Jamaica', 'AMRO', '11', '905', '0', '12');
INSERT INTO public.who_import VALUES (43377, '2020-08-06', 'JM', 'Jamaica', 'AMRO', '15', '920', '0', '12');
INSERT INTO public.who_import VALUES (43378, '2020-08-07', 'JM', 'Jamaica', 'AMRO', '8', '928', '0', '12');
INSERT INTO public.who_import VALUES (43379, '2020-08-08', 'JM', 'Jamaica', 'AMRO', '30', '958', '0', '12');
INSERT INTO public.who_import VALUES (43380, '2020-08-09', 'JM', 'Jamaica', 'AMRO', '29', '987', '0', '12');
INSERT INTO public.who_import VALUES (43381, '2020-08-10', 'JM', 'Jamaica', 'AMRO', '16', '1003', '0', '12');
INSERT INTO public.who_import VALUES (43382, '2020-08-11', 'JM', 'Jamaica', 'AMRO', '20', '1023', '2', '14');
INSERT INTO public.who_import VALUES (43383, '2020-08-12', 'JM', 'Jamaica', 'AMRO', '8', '1031', '0', '14');
INSERT INTO public.who_import VALUES (43384, '2020-08-13', 'JM', 'Jamaica', 'AMRO', '16', '1047', '0', '14');
INSERT INTO public.who_import VALUES (43385, '2020-08-14', 'JM', 'Jamaica', 'AMRO', '18', '1065', '0', '14');
INSERT INTO public.who_import VALUES (43386, '2020-08-15', 'JM', 'Jamaica', 'AMRO', '6', '1071', '0', '14');
INSERT INTO public.who_import VALUES (43387, '2020-08-16', 'JM', 'Jamaica', 'AMRO', '11', '1082', '0', '14');
INSERT INTO public.who_import VALUES (43388, '2020-08-17', 'JM', 'Jamaica', 'AMRO', '24', '1106', '0', '14');
INSERT INTO public.who_import VALUES (43389, '2020-08-18', 'JM', 'Jamaica', 'AMRO', '7', '1113', '0', '14');
INSERT INTO public.who_import VALUES (43390, '2020-08-19', 'JM', 'Jamaica', 'AMRO', '16', '1129', '0', '14');
INSERT INTO public.who_import VALUES (43391, '2020-08-20', 'JM', 'Jamaica', 'AMRO', '17', '1146', '0', '14');
INSERT INTO public.who_import VALUES (43392, '2020-08-21', 'JM', 'Jamaica', 'AMRO', '46', '1192', '0', '14');
INSERT INTO public.who_import VALUES (43393, '2020-08-22', 'JM', 'Jamaica', 'AMRO', '98', '1290', '1', '15');
INSERT INTO public.who_import VALUES (43394, '2020-08-23', 'JM', 'Jamaica', 'AMRO', '56', '1346', '1', '16');
INSERT INTO public.who_import VALUES (43395, '2020-08-24', 'JM', 'Jamaica', 'AMRO', '67', '1413', '0', '16');
INSERT INTO public.who_import VALUES (43396, '2020-08-25', 'JM', 'Jamaica', 'AMRO', '116', '1529', '0', '16');
INSERT INTO public.who_import VALUES (43397, '2020-08-26', 'JM', 'Jamaica', 'AMRO', '83', '1612', '0', '16');
INSERT INTO public.who_import VALUES (43398, '2020-08-27', 'JM', 'Jamaica', 'AMRO', '120', '1732', '3', '19');
INSERT INTO public.who_import VALUES (43399, '2020-08-28', 'JM', 'Jamaica', 'AMRO', '72', '1804', '0', '19');
INSERT INTO public.who_import VALUES (43400, '2020-08-29', 'JM', 'Jamaica', 'AMRO', '66', '1870', '0', '19');
INSERT INTO public.who_import VALUES (43401, '2020-08-30', 'JM', 'Jamaica', 'AMRO', '141', '2011', '0', '19');
INSERT INTO public.who_import VALUES (43402, '2020-08-31', 'JM', 'Jamaica', 'AMRO', '102', '2113', '0', '19');
INSERT INTO public.who_import VALUES (43403, '2020-09-01', 'JM', 'Jamaica', 'AMRO', '244', '2357', '2', '21');
INSERT INTO public.who_import VALUES (43404, '2020-09-02', 'JM', 'Jamaica', 'AMRO', '102', '2459', '0', '21');
INSERT INTO public.who_import VALUES (43405, '2020-09-03', 'JM', 'Jamaica', 'AMRO', '224', '2683', '3', '24');
INSERT INTO public.who_import VALUES (43406, '2020-09-04', 'JM', 'Jamaica', 'AMRO', '140', '2823', '3', '27');
INSERT INTO public.who_import VALUES (43407, '2020-09-05', 'JM', 'Jamaica', 'AMRO', '73', '2896', '2', '29');
INSERT INTO public.who_import VALUES (43408, '2020-09-06', 'JM', 'Jamaica', 'AMRO', '68', '2964', '1', '30');
INSERT INTO public.who_import VALUES (43409, '2020-09-07', 'JM', 'Jamaica', 'AMRO', '60', '3024', '2', '32');
INSERT INTO public.who_import VALUES (43410, '2020-09-08', 'JM', 'Jamaica', 'AMRO', '79', '3103', '1', '33');
INSERT INTO public.who_import VALUES (43411, '2020-09-09', 'JM', 'Jamaica', 'AMRO', '80', '3183', '1', '34');
INSERT INTO public.who_import VALUES (43412, '2020-09-10', 'JM', 'Jamaica', 'AMRO', '140', '3323', '2', '36');
INSERT INTO public.who_import VALUES (43413, '2020-09-11', 'JM', 'Jamaica', 'AMRO', '114', '3437', '2', '38');
INSERT INTO public.who_import VALUES (43414, '2020-09-12', 'JM', 'Jamaica', 'AMRO', '74', '3511', '2', '40');
INSERT INTO public.who_import VALUES (43415, '2020-09-13', 'JM', 'Jamaica', 'AMRO', '0', '3511', '0', '40');
INSERT INTO public.who_import VALUES (43416, '2020-09-14', 'JM', 'Jamaica', 'AMRO', '260', '3771', '2', '42');
INSERT INTO public.who_import VALUES (43417, '2020-09-15', 'JM', 'Jamaica', 'AMRO', '162', '3933', '2', '44');
INSERT INTO public.who_import VALUES (43418, '2020-09-16', 'JM', 'Jamaica', 'AMRO', '109', '4042', '2', '46');
INSERT INTO public.who_import VALUES (43419, '2020-09-17', 'JM', 'Jamaica', 'AMRO', '122', '4164', '0', '46');
INSERT INTO public.who_import VALUES (43420, '2020-09-18', 'JM', 'Jamaica', 'AMRO', '210', '4374', '5', '51');
INSERT INTO public.who_import VALUES (43421, '2020-09-19', 'JM', 'Jamaica', 'AMRO', '197', '4571', '4', '55');
INSERT INTO public.who_import VALUES (43422, '2020-09-20', 'JM', 'Jamaica', 'AMRO', '187', '4758', '5', '60');
INSERT INTO public.who_import VALUES (43423, '2020-09-21', 'JM', 'Jamaica', 'AMRO', '230', '4988', '7', '67');
INSERT INTO public.who_import VALUES (43424, '2020-09-22', 'JM', 'Jamaica', 'AMRO', '155', '5143', '3', '70');
INSERT INTO public.who_import VALUES (43425, '2020-09-23', 'JM', 'Jamaica', 'AMRO', '127', '5270', '5', '75');
INSERT INTO public.who_import VALUES (43426, '2020-09-24', 'JM', 'Jamaica', 'AMRO', '125', '5395', '1', '76');
INSERT INTO public.who_import VALUES (43427, '2020-09-25', 'JM', 'Jamaica', 'AMRO', '193', '5588', '1', '77');
INSERT INTO public.who_import VALUES (43428, '2020-09-26', 'JM', 'Jamaica', 'AMRO', '135', '5723', '3', '80');
INSERT INTO public.who_import VALUES (43429, '2020-09-27', 'JM', 'Jamaica', 'AMRO', '131', '5854', '8', '88');
INSERT INTO public.who_import VALUES (43430, '2020-09-28', 'JM', 'Jamaica', 'AMRO', '163', '6017', '1', '89');
INSERT INTO public.who_import VALUES (43431, '2020-09-29', 'JM', 'Jamaica', 'AMRO', '153', '6170', '4', '93');
INSERT INTO public.who_import VALUES (43432, '2020-09-30', 'JM', 'Jamaica', 'AMRO', '238', '6408', '8', '101');
INSERT INTO public.who_import VALUES (43433, '2020-10-01', 'JM', 'Jamaica', 'AMRO', '74', '6482', '6', '107');
INSERT INTO public.who_import VALUES (43434, '2020-10-02', 'JM', 'Jamaica', 'AMRO', '73', '6555', '4', '111');
INSERT INTO public.who_import VALUES (43435, '2020-10-03', 'JM', 'Jamaica', 'AMRO', '149', '6704', '5', '116');
INSERT INTO public.who_import VALUES (43436, '2020-10-04', 'JM', 'Jamaica', 'AMRO', '91', '6795', '3', '119');
INSERT INTO public.who_import VALUES (43437, '2020-10-05', 'JM', 'Jamaica', 'AMRO', '100', '6895', '1', '120');
INSERT INTO public.who_import VALUES (43438, '2020-10-06', 'JM', 'Jamaica', 'AMRO', '117', '7012', '0', '120');
INSERT INTO public.who_import VALUES (43439, '2020-10-07', 'JM', 'Jamaica', 'AMRO', '97', '7109', '3', '123');
INSERT INTO public.who_import VALUES (43440, '2020-10-08', 'JM', 'Jamaica', 'AMRO', '82', '7191', '3', '126');
INSERT INTO public.who_import VALUES (43441, '2020-10-09', 'JM', 'Jamaica', 'AMRO', '82', '7273', '2', '128');
INSERT INTO public.who_import VALUES (43442, '2020-10-10', 'JM', 'Jamaica', 'AMRO', '90', '7363', '4', '132');
INSERT INTO public.who_import VALUES (43443, '2020-10-11', 'JM', 'Jamaica', 'AMRO', '196', '7559', '6', '138');
INSERT INTO public.who_import VALUES (43444, '2020-10-12', 'JM', 'Jamaica', 'AMRO', '159', '7718', '1', '139');
INSERT INTO public.who_import VALUES (43445, '2020-10-13', 'JM', 'Jamaica', 'AMRO', '95', '7813', '7', '146');
INSERT INTO public.who_import VALUES (43446, '2020-10-14', 'JM', 'Jamaica', 'AMRO', '97', '7910', '0', '146');
INSERT INTO public.who_import VALUES (43447, '2020-10-15', 'JM', 'Jamaica', 'AMRO', '79', '7989', '5', '151');
INSERT INTO public.who_import VALUES (43448, '2020-10-16', 'JM', 'Jamaica', 'AMRO', '78', '8067', '9', '160');
INSERT INTO public.who_import VALUES (43449, '2020-10-17', 'JM', 'Jamaica', 'AMRO', '65', '8132', '2', '162');
INSERT INTO public.who_import VALUES (43450, '2020-10-18', 'JM', 'Jamaica', 'AMRO', '63', '8195', '6', '168');
INSERT INTO public.who_import VALUES (43451, '2020-10-19', 'JM', 'Jamaica', 'AMRO', '79', '8274', '3', '171');
INSERT INTO public.who_import VALUES (43452, '2020-10-20', 'JM', 'Jamaica', 'AMRO', '47', '8321', '2', '173');
INSERT INTO public.who_import VALUES (43453, '2020-10-21', 'JM', 'Jamaica', 'AMRO', '53', '8374', '1', '174');
INSERT INTO public.who_import VALUES (43454, '2020-10-22', 'JM', 'Jamaica', 'AMRO', '71', '8445', '0', '174');
INSERT INTO public.who_import VALUES (43455, '2020-10-23', 'JM', 'Jamaica', 'AMRO', '155', '8600', '5', '179');
INSERT INTO public.who_import VALUES (43456, '2020-10-24', 'JM', 'Jamaica', 'AMRO', '38', '8638', '3', '182');
INSERT INTO public.who_import VALUES (43457, '2020-10-25', 'JM', 'Jamaica', 'AMRO', '32', '8670', '4', '186');
INSERT INTO public.who_import VALUES (43458, '2020-10-26', 'JM', 'Jamaica', 'AMRO', '44', '8714', '2', '188');
INSERT INTO public.who_import VALUES (43459, '2020-10-27', 'JM', 'Jamaica', 'AMRO', '35', '8749', '4', '192');
INSERT INTO public.who_import VALUES (43460, '2020-10-28', 'JM', 'Jamaica', 'AMRO', '38', '8787', '4', '196');
INSERT INTO public.who_import VALUES (43461, '2020-10-29', 'JM', 'Jamaica', 'AMRO', '64', '8851', '2', '198');
INSERT INTO public.who_import VALUES (43462, '2020-10-30', 'JM', 'Jamaica', 'AMRO', '76', '8927', '4', '202');
INSERT INTO public.who_import VALUES (43463, '2020-10-31', 'JM', 'Jamaica', 'AMRO', '78', '9005', '3', '205');
INSERT INTO public.who_import VALUES (43464, '2020-11-01', 'JM', 'Jamaica', 'AMRO', '89', '9094', '1', '206');
INSERT INTO public.who_import VALUES (43465, '2020-11-02', 'JM', 'Jamaica', 'AMRO', '37', '9131', '3', '209');
INSERT INTO public.who_import VALUES (43466, '2020-11-03', 'JM', 'Jamaica', 'AMRO', '126', '9257', '1', '210');
INSERT INTO public.who_import VALUES (43467, '2020-11-04', 'JM', 'Jamaica', 'AMRO', '39', '9296', '4', '214');
INSERT INTO public.who_import VALUES (43468, '2020-11-05', 'JM', 'Jamaica', 'AMRO', '30', '9326', '1', '215');
INSERT INTO public.who_import VALUES (43469, '2020-11-06', 'JM', 'Jamaica', 'AMRO', '47', '9373', '2', '217');
INSERT INTO public.who_import VALUES (43470, '2020-11-07', 'JM', 'Jamaica', 'AMRO', '53', '9426', '1', '218');
INSERT INTO public.who_import VALUES (43471, '2020-11-08', 'JM', 'Jamaica', 'AMRO', '46', '9472', '0', '218');
INSERT INTO public.who_import VALUES (43472, '2020-11-09', 'JM', 'Jamaica', 'AMRO', '34', '9506', '3', '221');
INSERT INTO public.who_import VALUES (43473, '2020-11-10', 'JM', 'Jamaica', 'AMRO', '36', '9542', '0', '221');
INSERT INTO public.who_import VALUES (43474, '2020-11-11', 'JM', 'Jamaica', 'AMRO', '31', '9573', '3', '224');
INSERT INTO public.who_import VALUES (43475, '2020-11-12', 'JM', 'Jamaica', 'AMRO', '8', '9581', '1', '225');
INSERT INTO public.who_import VALUES (43476, '2020-11-13', 'JM', 'Jamaica', 'AMRO', '53', '9634', '0', '225');
INSERT INTO public.who_import VALUES (43477, '2020-11-14', 'JM', 'Jamaica', 'AMRO', '89', '9723', '2', '227');
INSERT INTO public.who_import VALUES (43478, '2020-11-15', 'JM', 'Jamaica', 'AMRO', '57', '9780', '2', '229');
INSERT INTO public.who_import VALUES (43479, '2020-11-16', 'JM', 'Jamaica', 'AMRO', '104', '9884', '2', '231');
INSERT INTO public.who_import VALUES (43480, '2020-11-17', 'JM', 'Jamaica', 'AMRO', '45', '9929', '0', '231');
INSERT INTO public.who_import VALUES (43481, '2020-11-18', 'JM', 'Jamaica', 'AMRO', '30', '9959', '0', '231');
INSERT INTO public.who_import VALUES (43482, '2020-11-19', 'JM', 'Jamaica', 'AMRO', '60', '10019', '2', '233');
INSERT INTO public.who_import VALUES (43483, '2020-11-20', 'JM', 'Jamaica', 'AMRO', '69', '10088', '2', '235');
INSERT INTO public.who_import VALUES (43484, '2020-11-21', 'JM', 'Jamaica', 'AMRO', '63', '10151', '0', '235');
INSERT INTO public.who_import VALUES (43485, '2020-11-22', 'JM', 'Jamaica', 'AMRO', '89', '10240', '2', '237');
INSERT INTO public.who_import VALUES (43486, '2020-11-23', 'JM', 'Jamaica', 'AMRO', '44', '10284', '1', '238');
INSERT INTO public.who_import VALUES (43487, '2020-11-24', 'JM', 'Jamaica', 'AMRO', '59', '10343', '1', '239');
INSERT INTO public.who_import VALUES (43488, '2020-11-25', 'JM', 'Jamaica', 'AMRO', '79', '10422', '4', '243');
INSERT INTO public.who_import VALUES (43489, '2020-11-26', 'JM', 'Jamaica', 'AMRO', '66', '10488', '4', '247');
INSERT INTO public.who_import VALUES (43490, '2020-11-27', 'JM', 'Jamaica', 'AMRO', '53', '10541', '1', '248');
INSERT INTO public.who_import VALUES (43491, '2020-11-28', 'JM', 'Jamaica', 'AMRO', '59', '10600', '2', '250');
INSERT INTO public.who_import VALUES (43492, '2020-11-29', 'JM', 'Jamaica', 'AMRO', '69', '10669', '1', '251');
INSERT INTO public.who_import VALUES (43493, '2020-11-30', 'JM', 'Jamaica', 'AMRO', '40', '10709', '5', '256');
INSERT INTO public.who_import VALUES (43494, '2020-12-01', 'JM', 'Jamaica', 'AMRO', '54', '10763', '1', '257');
INSERT INTO public.who_import VALUES (43495, '2020-12-02', 'JM', 'Jamaica', 'AMRO', '47', '10810', '1', '258');
INSERT INTO public.who_import VALUES (43496, '2020-12-03', 'JM', 'Jamaica', 'AMRO', '54', '10864', '0', '258');
INSERT INTO public.who_import VALUES (43497, '2020-12-04', 'JM', 'Jamaica', 'AMRO', '47', '10911', '1', '259');
INSERT INTO public.who_import VALUES (43498, '2020-12-05', 'JM', 'Jamaica', 'AMRO', '76', '10987', '1', '260');
INSERT INTO public.who_import VALUES (43499, '2020-12-06', 'JM', 'Jamaica', 'AMRO', '76', '11063', '1', '261');
INSERT INTO public.who_import VALUES (43500, '2020-12-07', 'JM', 'Jamaica', 'AMRO', '57', '11120', '4', '265');
INSERT INTO public.who_import VALUES (43501, '2020-12-08', 'JM', 'Jamaica', 'AMRO', '64', '11184', '0', '265');
INSERT INTO public.who_import VALUES (43502, '2020-12-09', 'JM', 'Jamaica', 'AMRO', '87', '11271', '0', '265');
INSERT INTO public.who_import VALUES (43503, '2020-12-10', 'JM', 'Jamaica', 'AMRO', '98', '11369', '1', '266');
INSERT INTO public.who_import VALUES (43504, '2020-12-11', 'JM', 'Jamaica', 'AMRO', '74', '11443', '4', '270');
INSERT INTO public.who_import VALUES (43505, '2020-12-12', 'JM', 'Jamaica', 'AMRO', '66', '11509', '0', '270');
INSERT INTO public.who_import VALUES (43506, '2020-12-13', 'JM', 'Jamaica', 'AMRO', '99', '11608', '1', '271');
INSERT INTO public.who_import VALUES (43507, '2020-12-14', 'JM', 'Jamaica', 'AMRO', '102', '11710', '2', '273');
INSERT INTO public.who_import VALUES (43508, '2020-12-15', 'JM', 'Jamaica', 'AMRO', '82', '11792', '0', '273');
INSERT INTO public.who_import VALUES (43509, '2020-12-16', 'JM', 'Jamaica', 'AMRO', '83', '11875', '3', '276');
INSERT INTO public.who_import VALUES (43510, '2020-12-17', 'JM', 'Jamaica', 'AMRO', '32', '11907', '0', '276');
INSERT INTO public.who_import VALUES (43511, '2020-12-18', 'JM', 'Jamaica', 'AMRO', '61', '11968', '3', '279');
INSERT INTO public.who_import VALUES (43512, '2020-12-19', 'JM', 'Jamaica', 'AMRO', '71', '12039', '4', '283');
INSERT INTO public.who_import VALUES (43513, '2020-12-20', 'JM', 'Jamaica', 'AMRO', '96', '12135', '2', '285');
INSERT INTO public.who_import VALUES (43514, '2020-12-21', 'JM', 'Jamaica', 'AMRO', '89', '12224', '1', '286');
INSERT INTO public.who_import VALUES (43515, '2020-12-22', 'JM', 'Jamaica', 'AMRO', '65', '12289', '0', '286');
INSERT INTO public.who_import VALUES (43516, '2020-12-23', 'JM', 'Jamaica', 'AMRO', '65', '12354', '2', '288');
INSERT INTO public.who_import VALUES (43517, '2020-12-24', 'JM', 'Jamaica', 'AMRO', '69', '12423', '2', '290');
INSERT INTO public.who_import VALUES (43518, '2020-12-25', 'JM', 'Jamaica', 'AMRO', '96', '12519', '2', '292');
INSERT INTO public.who_import VALUES (43519, '2020-12-26', 'JM', 'Jamaica', 'AMRO', '78', '12597', '2', '294');
INSERT INTO public.who_import VALUES (43520, '2020-12-27', 'JM', 'Jamaica', 'AMRO', '87', '12684', '0', '294');
INSERT INTO public.who_import VALUES (43521, '2020-12-28', 'JM', 'Jamaica', 'AMRO', '39', '12723', '1', '295');
INSERT INTO public.who_import VALUES (43522, '2020-12-29', 'JM', 'Jamaica', 'AMRO', '9', '12732', '3', '298');
INSERT INTO public.who_import VALUES (43523, '2020-12-30', 'JM', 'Jamaica', 'AMRO', '20', '12752', '0', '298');
INSERT INTO public.who_import VALUES (43524, '2020-12-31', 'JM', 'Jamaica', 'AMRO', '41', '12793', '4', '302');
INSERT INTO public.who_import VALUES (43525, '2021-01-01', 'JM', 'Jamaica', 'AMRO', '34', '12827', '0', '302');
INSERT INTO public.who_import VALUES (43526, '2021-01-02', 'JM', 'Jamaica', 'AMRO', '88', '12915', '1', '303');
INSERT INTO public.who_import VALUES (43527, '2021-01-03', 'JM', 'Jamaica', 'AMRO', '16', '12931', '0', '303');
INSERT INTO public.who_import VALUES (43528, '2021-01-04', 'JM', 'Jamaica', 'AMRO', '118', '13049', '1', '304');
INSERT INTO public.who_import VALUES (43529, '2021-01-05', 'JM', 'Jamaica', 'AMRO', '154', '13203', '0', '304');
INSERT INTO public.who_import VALUES (43530, '2021-01-06', 'JM', 'Jamaica', 'AMRO', '43', '13246', '1', '305');
INSERT INTO public.who_import VALUES (43531, '2021-01-07', 'JM', 'Jamaica', 'AMRO', '84', '13330', '1', '306');
INSERT INTO public.who_import VALUES (43532, '2021-01-08', 'JM', 'Jamaica', 'AMRO', '38', '13368', '0', '306');
INSERT INTO public.who_import VALUES (43533, '2021-01-09', 'JM', 'Jamaica', 'AMRO', '43', '13411', '1', '307');
INSERT INTO public.who_import VALUES (43534, '2021-01-10', 'JM', 'Jamaica', 'AMRO', '44', '13455', '4', '311');
INSERT INTO public.who_import VALUES (43535, '2021-01-11', 'JM', 'Jamaica', 'AMRO', '93', '13548', '1', '312');
INSERT INTO public.who_import VALUES (43536, '2021-01-12', 'JM', 'Jamaica', 'AMRO', '89', '13637', '1', '313');
INSERT INTO public.who_import VALUES (43537, '2021-01-13', 'JM', 'Jamaica', 'AMRO', '123', '13760', '2', '315');
INSERT INTO public.who_import VALUES (43538, '2021-01-14', 'JM', 'Jamaica', 'AMRO', '92', '13852', '2', '317');
INSERT INTO public.who_import VALUES (43539, '2021-01-15', 'JM', 'Jamaica', 'AMRO', '63', '13915', '5', '322');
INSERT INTO public.who_import VALUES (43540, '2021-01-16', 'JM', 'Jamaica', 'AMRO', '77', '13992', '1', '323');
INSERT INTO public.who_import VALUES (43541, '2021-01-17', 'JM', 'Jamaica', 'AMRO', '104', '14096', '0', '323');
INSERT INTO public.who_import VALUES (43542, '2021-01-18', 'JM', 'Jamaica', 'AMRO', '65', '14161', '1', '324');
INSERT INTO public.who_import VALUES (43543, '2021-01-19', 'JM', 'Jamaica', 'AMRO', '113', '14274', '2', '326');
INSERT INTO public.who_import VALUES (43544, '2021-01-20', 'JM', 'Jamaica', 'AMRO', '145', '14419', '3', '329');
INSERT INTO public.who_import VALUES (43545, '2021-01-21', 'JM', 'Jamaica', 'AMRO', '68', '14487', '2', '331');
INSERT INTO public.who_import VALUES (43546, '2021-01-22', 'JM', 'Jamaica', 'AMRO', '63', '14550', '0', '331');
INSERT INTO public.who_import VALUES (43547, '2021-01-23', 'JM', 'Jamaica', 'AMRO', '108', '14658', '1', '332');
INSERT INTO public.who_import VALUES (43548, '2021-01-24', 'JM', 'Jamaica', 'AMRO', '114', '14772', '4', '336');
INSERT INTO public.who_import VALUES (43549, '2021-01-25', 'JM', 'Jamaica', 'AMRO', '107', '14879', '0', '336');
INSERT INTO public.who_import VALUES (43550, '2021-01-26', 'JM', 'Jamaica', 'AMRO', '133', '15012', '2', '338');
INSERT INTO public.who_import VALUES (43551, '2021-01-27', 'JM', 'Jamaica', 'AMRO', '141', '15153', '1', '339');
INSERT INTO public.who_import VALUES (43552, '2021-01-28', 'JM', 'Jamaica', 'AMRO', '88', '15241', '3', '342');
INSERT INTO public.who_import VALUES (43553, '2021-01-29', 'JM', 'Jamaica', 'AMRO', '194', '15435', '2', '344');
INSERT INTO public.who_import VALUES (43554, '2021-01-30', 'JM', 'Jamaica', 'AMRO', '27', '15462', '1', '345');
INSERT INTO public.who_import VALUES (43555, '2021-01-31', 'JM', 'Jamaica', 'AMRO', '65', '15527', '3', '348');
INSERT INTO public.who_import VALUES (43556, '2021-02-01', 'JM', 'Jamaica', 'AMRO', '126', '15653', '2', '350');
INSERT INTO public.who_import VALUES (43557, '2021-02-02', 'JM', 'Jamaica', 'AMRO', '125', '15778', '2', '352');
INSERT INTO public.who_import VALUES (43558, '2021-02-03', 'JM', 'Jamaica', 'AMRO', '195', '15973', '1', '353');
INSERT INTO public.who_import VALUES (43559, '2021-02-04', 'JM', 'Jamaica', 'AMRO', '100', '16073', '2', '355');
INSERT INTO public.who_import VALUES (43560, '2021-02-05', 'JM', 'Jamaica', 'AMRO', '177', '16250', '0', '355');
INSERT INTO public.who_import VALUES (43561, '2021-02-06', 'JM', 'Jamaica', 'AMRO', '263', '16513', '2', '357');
INSERT INTO public.who_import VALUES (43562, '2021-02-07', 'JM', 'Jamaica', 'AMRO', '328', '16841', '0', '357');
INSERT INTO public.who_import VALUES (43563, '2021-02-08', 'JM', 'Jamaica', 'AMRO', '244', '17085', '1', '358');
INSERT INTO public.who_import VALUES (43564, '2021-02-09', 'JM', 'Jamaica', 'AMRO', '213', '17298', '0', '358');
INSERT INTO public.who_import VALUES (43565, '2021-02-10', 'JM', 'Jamaica', 'AMRO', '403', '17701', '1', '359');
INSERT INTO public.who_import VALUES (43566, '2021-02-11', 'JM', 'Jamaica', 'AMRO', '207', '17908', '3', '362');
INSERT INTO public.who_import VALUES (43567, '2021-02-12', 'JM', 'Jamaica', 'AMRO', '329', '18237', '1', '363');
INSERT INTO public.who_import VALUES (43568, '2021-02-13', 'JM', 'Jamaica', 'AMRO', '290', '18527', '5', '368');
INSERT INTO public.who_import VALUES (43569, '2021-02-14', 'JM', 'Jamaica', 'AMRO', '303', '18830', '4', '372');
INSERT INTO public.who_import VALUES (43570, '2021-02-15', 'JM', 'Jamaica', 'AMRO', '205', '19035', '2', '374');
INSERT INTO public.who_import VALUES (43571, '2021-02-16', 'JM', 'Jamaica', 'AMRO', '270', '19305', '4', '378');
INSERT INTO public.who_import VALUES (43572, '2021-02-17', 'JM', 'Jamaica', 'AMRO', '468', '19773', '0', '378');
INSERT INTO public.who_import VALUES (43573, '2021-02-18', 'JM', 'Jamaica', 'AMRO', '243', '20016', '3', '381');
INSERT INTO public.who_import VALUES (43574, '2021-02-19', 'JM', 'Jamaica', 'AMRO', '294', '20310', '3', '384');
INSERT INTO public.who_import VALUES (43575, '2021-02-20', 'JM', 'Jamaica', 'AMRO', '271', '20581', '7', '391');
INSERT INTO public.who_import VALUES (43576, '2020-01-03', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43577, '2020-01-04', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43578, '2020-01-05', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43579, '2020-01-06', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43580, '2020-01-07', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43581, '2020-01-08', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43582, '2020-01-09', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43583, '2020-01-10', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43584, '2020-01-11', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43585, '2020-01-12', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43586, '2020-01-13', 'JP', 'Japan', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43587, '2020-01-14', 'JP', 'Japan', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (43588, '2020-01-15', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43589, '2020-01-16', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43590, '2020-01-17', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43591, '2020-01-18', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43592, '2020-01-19', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43593, '2020-01-20', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43594, '2020-01-21', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43595, '2020-01-22', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43596, '2020-01-23', 'JP', 'Japan', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (43597, '2020-01-24', 'JP', 'Japan', 'WPRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (43598, '2020-01-25', 'JP', 'Japan', 'WPRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (43599, '2020-01-26', 'JP', 'Japan', 'WPRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (43600, '2020-01-27', 'JP', 'Japan', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (43601, '2020-01-28', 'JP', 'Japan', 'WPRO', '4', '8', '0', '0');
INSERT INTO public.who_import VALUES (43602, '2020-01-29', 'JP', 'Japan', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (43603, '2020-01-30', 'JP', 'Japan', 'WPRO', '6', '14', '0', '0');
INSERT INTO public.who_import VALUES (43604, '2020-01-31', 'JP', 'Japan', 'WPRO', '7', '21', '0', '0');
INSERT INTO public.who_import VALUES (43605, '2020-02-01', 'JP', 'Japan', 'WPRO', '3', '24', '0', '0');
INSERT INTO public.who_import VALUES (43606, '2020-02-02', 'JP', 'Japan', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (43607, '2020-02-03', 'JP', 'Japan', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (43608, '2020-02-04', 'JP', 'Japan', 'WPRO', '3', '27', '0', '0');
INSERT INTO public.who_import VALUES (43609, '2020-02-05', 'JP', 'Japan', 'WPRO', '2', '29', '0', '0');
INSERT INTO public.who_import VALUES (43610, '2020-02-06', 'JP', 'Japan', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (43611, '2020-02-07', 'JP', 'Japan', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (43612, '2020-02-08', 'JP', 'Japan', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (43613, '2020-02-09', 'JP', 'Japan', 'WPRO', '1', '30', '0', '0');
INSERT INTO public.who_import VALUES (43614, '2020-02-10', 'JP', 'Japan', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (43615, '2020-02-11', 'JP', 'Japan', 'WPRO', '2', '32', '0', '0');
INSERT INTO public.who_import VALUES (43616, '2020-02-12', 'JP', 'Japan', 'WPRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (43617, '2020-02-13', 'JP', 'Japan', 'WPRO', '4', '37', '1', '1');
INSERT INTO public.who_import VALUES (43618, '2020-02-14', 'JP', 'Japan', 'WPRO', '8', '45', '0', '1');
INSERT INTO public.who_import VALUES (43619, '2020-02-15', 'JP', 'Japan', 'WPRO', '12', '57', '0', '1');
INSERT INTO public.who_import VALUES (43620, '2020-02-16', 'JP', 'Japan', 'WPRO', '6', '63', '0', '1');
INSERT INTO public.who_import VALUES (43621, '2020-02-17', 'JP', 'Japan', 'WPRO', '6', '69', '0', '1');
INSERT INTO public.who_import VALUES (43622, '2020-02-18', 'JP', 'Japan', 'WPRO', '7', '76', '0', '1');
INSERT INTO public.who_import VALUES (43623, '2020-02-19', 'JP', 'Japan', 'WPRO', '1', '77', '0', '1');
INSERT INTO public.who_import VALUES (43624, '2020-02-20', 'JP', 'Japan', 'WPRO', '20', '97', '0', '1');
INSERT INTO public.who_import VALUES (43625, '2020-02-21', 'JP', 'Japan', 'WPRO', '12', '109', '0', '1');
INSERT INTO public.who_import VALUES (43626, '2020-02-22', 'JP', 'Japan', 'WPRO', '27', '136', '0', '1');
INSERT INTO public.who_import VALUES (43627, '2020-02-23', 'JP', 'Japan', 'WPRO', '12', '148', '0', '1');
INSERT INTO public.who_import VALUES (43628, '2020-02-24', 'JP', 'Japan', 'WPRO', '12', '160', '0', '1');
INSERT INTO public.who_import VALUES (43629, '2020-02-25', 'JP', 'Japan', 'WPRO', '1', '161', '0', '1');
INSERT INTO public.who_import VALUES (43630, '2020-02-26', 'JP', 'Japan', 'WPRO', '29', '190', '2', '3');
INSERT INTO public.who_import VALUES (43631, '2020-02-27', 'JP', 'Japan', 'WPRO', '1', '191', '1', '4');
INSERT INTO public.who_import VALUES (43632, '2020-02-28', 'JP', 'Japan', 'WPRO', '23', '214', '1', '5');
INSERT INTO public.who_import VALUES (43633, '2020-02-29', 'JP', 'Japan', 'WPRO', '29', '243', '0', '5');
INSERT INTO public.who_import VALUES (43634, '2020-03-01', 'JP', 'Japan', 'WPRO', '0', '243', '1', '6');
INSERT INTO public.who_import VALUES (43635, '2020-03-02', 'JP', 'Japan', 'WPRO', '29', '272', '0', '6');
INSERT INTO public.who_import VALUES (43636, '2020-03-03', 'JP', 'Japan', 'WPRO', '16', '288', '0', '6');
INSERT INTO public.who_import VALUES (43637, '2020-03-04', 'JP', 'Japan', 'WPRO', '3', '291', '0', '6');
INSERT INTO public.who_import VALUES (43638, '2020-03-05', 'JP', 'Japan', 'WPRO', '62', '353', '0', '6');
INSERT INTO public.who_import VALUES (43639, '2020-03-06', 'JP', 'Japan', 'WPRO', '0', '353', '0', '6');
INSERT INTO public.who_import VALUES (43640, '2020-03-07', 'JP', 'Japan', 'WPRO', '58', '411', '0', '6');
INSERT INTO public.who_import VALUES (43641, '2020-03-08', 'JP', 'Japan', 'WPRO', '48', '459', '0', '6');
INSERT INTO public.who_import VALUES (43642, '2020-03-09', 'JP', 'Japan', 'WPRO', '59', '518', '3', '9');
INSERT INTO public.who_import VALUES (43643, '2020-03-10', 'JP', 'Japan', 'WPRO', '0', '518', '0', '9');
INSERT INTO public.who_import VALUES (43644, '2020-03-11', 'JP', 'Japan', 'WPRO', '54', '572', '3', '12');
INSERT INTO public.who_import VALUES (43645, '2020-03-12', 'JP', 'Japan', 'WPRO', '52', '624', '3', '15');
INSERT INTO public.who_import VALUES (43646, '2020-03-13', 'JP', 'Japan', 'WPRO', '55', '679', '4', '19');
INSERT INTO public.who_import VALUES (43647, '2020-03-14', 'JP', 'Japan', 'WPRO', '105', '784', '3', '22');
INSERT INTO public.who_import VALUES (43648, '2020-03-15', 'JP', 'Japan', 'WPRO', '0', '784', '0', '22');
INSERT INTO public.who_import VALUES (43649, '2020-03-16', 'JP', 'Japan', 'WPRO', '34', '818', '2', '24');
INSERT INTO public.who_import VALUES (43650, '2020-03-17', 'JP', 'Japan', 'WPRO', '15', '833', '4', '28');
INSERT INTO public.who_import VALUES (43651, '2020-03-18', 'JP', 'Japan', 'WPRO', '44', '877', '1', '29');
INSERT INTO public.who_import VALUES (43652, '2020-03-19', 'JP', 'Japan', 'WPRO', '73', '950', '4', '33');
INSERT INTO public.who_import VALUES (43653, '2020-03-20', 'JP', 'Japan', 'WPRO', '46', '996', '2', '35');
INSERT INTO public.who_import VALUES (43654, '2020-03-21', 'JP', 'Japan', 'WPRO', '50', '1046', '1', '36');
INSERT INTO public.who_import VALUES (43655, '2020-03-22', 'JP', 'Japan', 'WPRO', '0', '1046', '0', '36');
INSERT INTO public.who_import VALUES (43656, '2020-03-23', 'JP', 'Japan', 'WPRO', '43', '1089', '5', '41');
INSERT INTO public.who_import VALUES (43657, '2020-03-24', 'JP', 'Japan', 'WPRO', '39', '1128', '1', '42');
INSERT INTO public.who_import VALUES (43658, '2020-03-25', 'JP', 'Japan', 'WPRO', '65', '1193', '1', '43');
INSERT INTO public.who_import VALUES (43659, '2020-03-26', 'JP', 'Japan', 'WPRO', '98', '1291', '2', '45');
INSERT INTO public.who_import VALUES (43660, '2020-03-27', 'JP', 'Japan', 'WPRO', '96', '1387', '1', '46');
INSERT INTO public.who_import VALUES (43661, '2020-03-28', 'JP', 'Japan', 'WPRO', '112', '1499', '3', '49');
INSERT INTO public.who_import VALUES (43662, '2020-03-29', 'JP', 'Japan', 'WPRO', '194', '1693', '3', '52');
INSERT INTO public.who_import VALUES (43663, '2020-03-30', 'JP', 'Japan', 'WPRO', '173', '1866', '2', '54');
INSERT INTO public.who_import VALUES (43664, '2020-03-31', 'JP', 'Japan', 'WPRO', '87', '1953', '2', '56');
INSERT INTO public.who_import VALUES (43665, '2020-04-01', 'JP', 'Japan', 'WPRO', '225', '2178', '1', '57');
INSERT INTO public.who_import VALUES (43666, '2020-04-02', 'JP', 'Japan', 'WPRO', '206', '2384', '0', '57');
INSERT INTO public.who_import VALUES (43667, '2020-04-03', 'JP', 'Japan', 'WPRO', '233', '2617', '8', '65');
INSERT INTO public.who_import VALUES (43668, '2020-04-04', 'JP', 'Japan', 'WPRO', '318', '2935', '4', '69');
INSERT INTO public.who_import VALUES (43669, '2020-04-05', 'JP', 'Japan', 'WPRO', '336', '3271', '1', '70');
INSERT INTO public.who_import VALUES (43670, '2020-04-06', 'JP', 'Japan', 'WPRO', '383', '3654', '3', '73');
INSERT INTO public.who_import VALUES (43671, '2020-04-07', 'JP', 'Japan', 'WPRO', '252', '3906', '7', '80');
INSERT INTO public.who_import VALUES (43672, '2020-04-08', 'JP', 'Japan', 'WPRO', '351', '4257', '1', '81');
INSERT INTO public.who_import VALUES (43673, '2020-04-09', 'JP', 'Japan', 'WPRO', '511', '4768', '4', '85');
INSERT INTO public.who_import VALUES (43674, '2020-04-10', 'JP', 'Japan', 'WPRO', '579', '5347', '3', '88');
INSERT INTO public.who_import VALUES (43675, '2020-04-11', 'JP', 'Japan', 'WPRO', '658', '6005', '6', '94');
INSERT INTO public.who_import VALUES (43676, '2020-04-12', 'JP', 'Japan', 'WPRO', '743', '6748', '4', '98');
INSERT INTO public.who_import VALUES (43677, '2020-04-13', 'JP', 'Japan', 'WPRO', '507', '7255', '4', '102');
INSERT INTO public.who_import VALUES (43678, '2020-04-14', 'JP', 'Japan', 'WPRO', '390', '7645', '7', '109');
INSERT INTO public.who_import VALUES (43679, '2020-04-15', 'JP', 'Japan', 'WPRO', '455', '8100', '10', '119');
INSERT INTO public.who_import VALUES (43680, '2020-04-16', 'JP', 'Japan', 'WPRO', '482', '8582', '17', '136');
INSERT INTO public.who_import VALUES (43681, '2020-04-17', 'JP', 'Japan', 'WPRO', '585', '9167', '12', '148');
INSERT INTO public.who_import VALUES (43682, '2020-04-18', 'JP', 'Japan', 'WPRO', '628', '9795', '6', '154');
INSERT INTO public.who_import VALUES (43683, '2020-04-19', 'JP', 'Japan', 'WPRO', '566', '10361', '7', '161');
INSERT INTO public.who_import VALUES (43684, '2020-04-20', 'JP', 'Japan', 'WPRO', '390', '10751', '10', '171');
INSERT INTO public.who_import VALUES (43685, '2020-04-21', 'JP', 'Japan', 'WPRO', '368', '11119', '15', '186');
INSERT INTO public.who_import VALUES (43686, '2020-04-22', 'JP', 'Japan', 'WPRO', '377', '11496', '91', '277');
INSERT INTO public.who_import VALUES (43687, '2020-04-23', 'JP', 'Japan', 'WPRO', '423', '11919', '10', '287');
INSERT INTO public.who_import VALUES (43688, '2020-04-24', 'JP', 'Japan', 'WPRO', '469', '12388', '30', '317');
INSERT INTO public.who_import VALUES (43689, '2020-04-25', 'JP', 'Japan', 'WPRO', '441', '12829', '17', '334');
INSERT INTO public.who_import VALUES (43690, '2020-04-26', 'JP', 'Japan', 'WPRO', '353', '13182', '14', '348');
INSERT INTO public.who_import VALUES (43691, '2020-04-27', 'JP', 'Japan', 'WPRO', '203', '13385', '3', '351');
INSERT INTO public.who_import VALUES (43692, '2020-04-28', 'JP', 'Japan', 'WPRO', '191', '13576', '25', '376');
INSERT INTO public.who_import VALUES (43693, '2020-04-29', 'JP', 'Japan', 'WPRO', '276', '13852', '13', '389');
INSERT INTO public.who_import VALUES (43694, '2020-04-30', 'JP', 'Japan', 'WPRO', '236', '14088', '26', '415');
INSERT INTO public.who_import VALUES (43695, '2020-05-01', 'JP', 'Japan', 'WPRO', '193', '14281', '17', '432');
INSERT INTO public.who_import VALUES (43696, '2020-05-02', 'JP', 'Japan', 'WPRO', '264', '14545', '22', '454');
INSERT INTO public.who_import VALUES (43697, '2020-05-03', 'JP', 'Japan', 'WPRO', '294', '14839', '38', '492');
INSERT INTO public.who_import VALUES (43698, '2020-05-04', 'JP', 'Japan', 'WPRO', '218', '15057', '18', '510');
INSERT INTO public.who_import VALUES (43699, '2020-05-05', 'JP', 'Japan', 'WPRO', '174', '15231', '11', '521');
INSERT INTO public.who_import VALUES (43700, '2020-05-06', 'JP', 'Japan', 'WPRO', '123', '15354', '22', '543');
INSERT INTO public.who_import VALUES (43701, '2020-05-07', 'JP', 'Japan', 'WPRO', '109', '15463', '8', '551');
INSERT INTO public.who_import VALUES (43702, '2020-05-08', 'JP', 'Japan', 'WPRO', '84', '15547', '6', '557');
INSERT INTO public.who_import VALUES (43703, '2020-05-09', 'JP', 'Japan', 'WPRO', '102', '15649', '43', '600');
INSERT INTO public.who_import VALUES (43704, '2020-05-10', 'JP', 'Japan', 'WPRO', '98', '15747', '13', '613');
INSERT INTO public.who_import VALUES (43705, '2020-05-11', 'JP', 'Japan', 'WPRO', '51', '15798', '8', '621');
INSERT INTO public.who_import VALUES (43706, '2020-05-12', 'JP', 'Japan', 'WPRO', '76', '15874', '22', '643');
INSERT INTO public.who_import VALUES (43707, '2020-05-13', 'JP', 'Japan', 'WPRO', '150', '16024', '25', '668');
INSERT INTO public.who_import VALUES (43708, '2020-05-14', 'JP', 'Japan', 'WPRO', '55', '16079', '19', '687');
INSERT INTO public.who_import VALUES (43709, '2020-05-15', 'JP', 'Japan', 'WPRO', '114', '16193', '23', '710');
INSERT INTO public.who_import VALUES (43710, '2020-05-16', 'JP', 'Japan', 'WPRO', '44', '16237', '15', '725');
INSERT INTO public.who_import VALUES (43711, '2020-05-17', 'JP', 'Japan', 'WPRO', '48', '16285', '19', '744');
INSERT INTO public.who_import VALUES (43712, '2020-05-18', 'JP', 'Japan', 'WPRO', '20', '16305', '5', '749');
INSERT INTO public.who_import VALUES (43713, '2020-05-19', 'JP', 'Japan', 'WPRO', '60', '16365', '14', '763');
INSERT INTO public.who_import VALUES (43714, '2020-05-20', 'JP', 'Japan', 'WPRO', '20', '16385', '8', '771');
INSERT INTO public.who_import VALUES (43715, '2020-05-21', 'JP', 'Japan', 'WPRO', '39', '16424', '6', '777');
INSERT INTO public.who_import VALUES (43716, '2020-05-22', 'JP', 'Japan', 'WPRO', '89', '16513', '19', '796');
INSERT INTO public.who_import VALUES (43717, '2020-05-23', 'JP', 'Japan', 'WPRO', '23', '16536', '12', '808');
INSERT INTO public.who_import VALUES (43718, '2020-05-24', 'JP', 'Japan', 'WPRO', '14', '16550', '12', '820');
INSERT INTO public.who_import VALUES (43719, '2020-05-25', 'JP', 'Japan', 'WPRO', '31', '16581', '10', '830');
INSERT INTO public.who_import VALUES (43720, '2020-05-26', 'JP', 'Japan', 'WPRO', '42', '16623', '16', '846');
INSERT INTO public.who_import VALUES (43721, '2020-05-27', 'JP', 'Japan', 'WPRO', '28', '16651', '12', '858');
INSERT INTO public.who_import VALUES (43722, '2020-05-28', 'JP', 'Japan', 'WPRO', '32', '16683', '9', '867');
INSERT INTO public.who_import VALUES (43723, '2020-05-29', 'JP', 'Japan', 'WPRO', '36', '16719', '7', '874');
INSERT INTO public.who_import VALUES (43724, '2020-05-30', 'JP', 'Japan', 'WPRO', '85', '16804', '12', '886');
INSERT INTO public.who_import VALUES (43725, '2020-05-31', 'JP', 'Japan', 'WPRO', '47', '16851', '5', '891');
INSERT INTO public.who_import VALUES (43726, '2020-06-01', 'JP', 'Japan', 'WPRO', '33', '16884', '1', '892');
INSERT INTO public.who_import VALUES (43727, '2020-06-02', 'JP', 'Japan', 'WPRO', '46', '16930', '2', '894');
INSERT INTO public.who_import VALUES (43728, '2020-06-03', 'JP', 'Japan', 'WPRO', '56', '16986', '6', '900');
INSERT INTO public.who_import VALUES (43729, '2020-06-04', 'JP', 'Japan', 'WPRO', '32', '17018', '3', '903');
INSERT INTO public.who_import VALUES (43730, '2020-06-05', 'JP', 'Japan', 'WPRO', '46', '17064', '4', '907');
INSERT INTO public.who_import VALUES (43731, '2020-06-06', 'JP', 'Japan', 'WPRO', '39', '17103', '7', '914');
INSERT INTO public.who_import VALUES (43732, '2020-06-07', 'JP', 'Japan', 'WPRO', '38', '17141', '2', '916');
INSERT INTO public.who_import VALUES (43733, '2020-06-08', 'JP', 'Japan', 'WPRO', '33', '17174', '0', '916');
INSERT INTO public.who_import VALUES (43734, '2020-06-09', 'JP', 'Japan', 'WPRO', '36', '17210', '0', '916');
INSERT INTO public.who_import VALUES (43735, '2020-06-10', 'JP', 'Japan', 'WPRO', '41', '17251', '3', '919');
INSERT INTO public.who_import VALUES (43736, '2020-06-11', 'JP', 'Japan', 'WPRO', '41', '17292', '1', '920');
INSERT INTO public.who_import VALUES (43737, '2020-06-12', 'JP', 'Japan', 'WPRO', '40', '17332', '2', '922');
INSERT INTO public.who_import VALUES (43738, '2020-06-13', 'JP', 'Japan', 'WPRO', '50', '17382', '2', '924');
INSERT INTO public.who_import VALUES (43739, '2020-06-14', 'JP', 'Japan', 'WPRO', '47', '17429', '1', '925');
INSERT INTO public.who_import VALUES (43740, '2020-06-15', 'JP', 'Japan', 'WPRO', '73', '17502', '0', '925');
INSERT INTO public.who_import VALUES (43741, '2020-06-16', 'JP', 'Japan', 'WPRO', '85', '17587', '2', '927');
INSERT INTO public.who_import VALUES (43742, '2020-06-17', 'JP', 'Japan', 'WPRO', '41', '17628', '4', '931');
INSERT INTO public.who_import VALUES (43743, '2020-06-18', 'JP', 'Japan', 'WPRO', '40', '17668', '4', '935');
INSERT INTO public.who_import VALUES (43744, '2020-06-19', 'JP', 'Japan', 'WPRO', '72', '17740', '0', '935');
INSERT INTO public.who_import VALUES (43745, '2020-06-20', 'JP', 'Japan', 'WPRO', '59', '17799', '17', '952');
INSERT INTO public.who_import VALUES (43746, '2020-06-21', 'JP', 'Japan', 'WPRO', '65', '17864', '1', '953');
INSERT INTO public.who_import VALUES (43747, '2020-06-22', 'JP', 'Japan', 'WPRO', '52', '17916', '0', '953');
INSERT INTO public.who_import VALUES (43748, '2020-06-23', 'JP', 'Japan', 'WPRO', '52', '17968', '2', '955');
INSERT INTO public.who_import VALUES (43749, '2020-06-24', 'JP', 'Japan', 'WPRO', '56', '18024', '8', '963');
INSERT INTO public.who_import VALUES (43750, '2020-06-25', 'JP', 'Japan', 'WPRO', '86', '18110', '5', '968');
INSERT INTO public.who_import VALUES (43751, '2020-06-26', 'JP', 'Japan', 'WPRO', '87', '18197', '1', '969');
INSERT INTO public.who_import VALUES (43752, '2020-06-27', 'JP', 'Japan', 'WPRO', '100', '18297', '2', '971');
INSERT INTO public.who_import VALUES (43753, '2020-06-28', 'JP', 'Japan', 'WPRO', '93', '18390', '0', '971');
INSERT INTO public.who_import VALUES (43754, '2020-06-29', 'JP', 'Japan', 'WPRO', '86', '18476', '1', '972');
INSERT INTO public.who_import VALUES (43755, '2020-06-30', 'JP', 'Japan', 'WPRO', '117', '18593', '0', '972');
INSERT INTO public.who_import VALUES (43756, '2020-07-01', 'JP', 'Japan', 'WPRO', '130', '18723', '2', '974');
INSERT INTO public.who_import VALUES (43757, '2020-07-02', 'JP', 'Japan', 'WPRO', '151', '18874', '1', '975');
INSERT INTO public.who_import VALUES (43758, '2020-07-03', 'JP', 'Japan', 'WPRO', '194', '19068', '1', '976');
INSERT INTO public.who_import VALUES (43759, '2020-07-04', 'JP', 'Japan', 'WPRO', '214', '19282', '1', '977');
INSERT INTO public.who_import VALUES (43760, '2020-07-05', 'JP', 'Japan', 'WPRO', '240', '19522', '0', '977');
INSERT INTO public.who_import VALUES (43761, '2020-07-06', 'JP', 'Japan', 'WPRO', '253', '19775', '0', '977');
INSERT INTO public.who_import VALUES (43762, '2020-07-07', 'JP', 'Japan', 'WPRO', '206', '19981', '1', '978');
INSERT INTO public.who_import VALUES (43763, '2020-07-08', 'JP', 'Japan', 'WPRO', '193', '20174', '2', '980');
INSERT INTO public.who_import VALUES (43764, '2020-07-09', 'JP', 'Japan', 'WPRO', '197', '20371', '1', '981');
INSERT INTO public.who_import VALUES (43765, '2020-07-10', 'JP', 'Japan', 'WPRO', '348', '20719', '1', '982');
INSERT INTO public.who_import VALUES (43766, '2020-07-11', 'JP', 'Japan', 'WPRO', '410', '21129', '0', '982');
INSERT INTO public.who_import VALUES (43767, '2020-07-12', 'JP', 'Japan', 'WPRO', '373', '21502', '0', '982');
INSERT INTO public.who_import VALUES (43768, '2020-07-13', 'JP', 'Japan', 'WPRO', '366', '21868', '0', '982');
INSERT INTO public.who_import VALUES (43769, '2020-07-14', 'JP', 'Japan', 'WPRO', '352', '22220', '0', '982');
INSERT INTO public.who_import VALUES (43770, '2020-07-15', 'JP', 'Japan', 'WPRO', '288', '22508', '2', '984');
INSERT INTO public.who_import VALUES (43771, '2020-07-16', 'JP', 'Japan', 'WPRO', '382', '22890', '1', '985');
INSERT INTO public.who_import VALUES (43772, '2020-07-17', 'JP', 'Japan', 'WPRO', '583', '23473', '0', '985');
INSERT INTO public.who_import VALUES (43773, '2020-07-18', 'JP', 'Japan', 'WPRO', '659', '24132', '0', '985');
INSERT INTO public.who_import VALUES (43774, '2020-07-19', 'JP', 'Japan', 'WPRO', '510', '24642', '0', '985');
INSERT INTO public.who_import VALUES (43775, '2020-07-20', 'JP', 'Japan', 'WPRO', '454', '25096', '0', '985');
INSERT INTO public.who_import VALUES (43776, '2020-07-21', 'JP', 'Japan', 'WPRO', '640', '25736', '3', '988');
INSERT INTO public.who_import VALUES (43777, '2020-07-22', 'JP', 'Japan', 'WPRO', '567', '26303', '1', '989');
INSERT INTO public.who_import VALUES (43778, '2020-07-23', 'JP', 'Japan', 'WPRO', '726', '27029', '1', '990');
INSERT INTO public.who_import VALUES (43779, '2020-07-24', 'JP', 'Japan', 'WPRO', '927', '27956', '2', '992');
INSERT INTO public.who_import VALUES (43780, '2020-07-25', 'JP', 'Japan', 'WPRO', '830', '28786', '1', '993');
INSERT INTO public.who_import VALUES (43781, '2020-07-26', 'JP', 'Japan', 'WPRO', '596', '29382', '3', '996');
INSERT INTO public.who_import VALUES (43782, '2020-07-27', 'JP', 'Japan', 'WPRO', '607', '29989', '0', '996');
INSERT INTO public.who_import VALUES (43783, '2020-07-28', 'JP', 'Japan', 'WPRO', '972', '30961', '2', '998');
INSERT INTO public.who_import VALUES (43784, '2020-07-29', 'JP', 'Japan', 'WPRO', '940', '31901', '3', '1001');
INSERT INTO public.who_import VALUES (43785, '2020-07-30', 'JP', 'Japan', 'WPRO', '1148', '33049', '3', '1004');
INSERT INTO public.who_import VALUES (43786, '2020-07-31', 'JP', 'Japan', 'WPRO', '1323', '34372', '2', '1006');
INSERT INTO public.who_import VALUES (43787, '2020-08-01', 'JP', 'Japan', 'WPRO', '1464', '35836', '5', '1011');
INSERT INTO public.who_import VALUES (43788, '2020-08-02', 'JP', 'Japan', 'WPRO', '853', '36689', '0', '1011');
INSERT INTO public.who_import VALUES (43789, '2020-08-03', 'JP', 'Japan', 'WPRO', '1998', '38687', '1', '1012');
INSERT INTO public.who_import VALUES (43790, '2020-08-04', 'JP', 'Japan', 'WPRO', '1171', '39858', '4', '1016');
INSERT INTO public.who_import VALUES (43791, '2020-08-05', 'JP', 'Japan', 'WPRO', '1271', '41129', '6', '1022');
INSERT INTO public.who_import VALUES (43792, '2020-08-06', 'JP', 'Japan', 'WPRO', '1134', '42263', '4', '1026');
INSERT INTO public.who_import VALUES (43793, '2020-08-07', 'JP', 'Japan', 'WPRO', '1552', '43815', '7', '1033');
INSERT INTO public.who_import VALUES (43794, '2020-08-08', 'JP', 'Japan', 'WPRO', '1624', '45439', '6', '1039');
INSERT INTO public.who_import VALUES (43795, '2020-08-09', 'JP', 'Japan', 'WPRO', '1344', '46783', '1', '1040');
INSERT INTO public.who_import VALUES (43796, '2020-08-10', 'JP', 'Japan', 'WPRO', '1207', '47990', '7', '1047');
INSERT INTO public.who_import VALUES (43797, '2020-08-11', 'JP', 'Japan', 'WPRO', '938', '48928', '5', '1052');
INSERT INTO public.who_import VALUES (43798, '2020-08-12', 'JP', 'Japan', 'WPRO', '1282', '50210', '7', '1059');
INSERT INTO public.who_import VALUES (43799, '2020-08-13', 'JP', 'Japan', 'WPRO', '937', '51147', '4', '1063');
INSERT INTO public.who_import VALUES (43800, '2020-08-14', 'JP', 'Japan', 'WPRO', '1070', '52217', '10', '1073');
INSERT INTO public.who_import VALUES (43801, '2020-08-15', 'JP', 'Japan', 'WPRO', '1360', '53577', '12', '1085');
INSERT INTO public.who_import VALUES (43802, '2020-08-16', 'JP', 'Japan', 'WPRO', '1137', '54714', '3', '1088');
INSERT INTO public.who_import VALUES (43803, '2020-08-17', 'JP', 'Japan', 'WPRO', '953', '55667', '11', '1099');
INSERT INTO public.who_import VALUES (43804, '2020-08-18', 'JP', 'Japan', 'WPRO', '1018', '56685', '16', '1115');
INSERT INTO public.who_import VALUES (43805, '2020-08-19', 'JP', 'Japan', 'WPRO', '865', '57550', '13', '1128');
INSERT INTO public.who_import VALUES (43806, '2020-08-20', 'JP', 'Japan', 'WPRO', '951', '58501', '16', '1144');
INSERT INTO public.who_import VALUES (43807, '2020-08-21', 'JP', 'Japan', 'WPRO', '1220', '59721', '11', '1155');
INSERT INTO public.who_import VALUES (43808, '2020-08-22', 'JP', 'Japan', 'WPRO', '1012', '60733', '14', '1169');
INSERT INTO public.who_import VALUES (43809, '2020-08-23', 'JP', 'Japan', 'WPRO', '1014', '61747', '7', '1176');
INSERT INTO public.who_import VALUES (43810, '2020-08-24', 'JP', 'Japan', 'WPRO', '760', '62507', '5', '1181');
INSERT INTO public.who_import VALUES (43811, '2020-08-25', 'JP', 'Japan', 'WPRO', '614', '63121', '15', '1196');
INSERT INTO public.who_import VALUES (43812, '2020-08-26', 'JP', 'Japan', 'WPRO', '701', '63822', '13', '1209');
INSERT INTO public.who_import VALUES (43813, '2020-08-27', 'JP', 'Japan', 'WPRO', '846', '64668', '17', '1226');
INSERT INTO public.who_import VALUES (43814, '2020-08-28', 'JP', 'Japan', 'WPRO', '905', '65573', '12', '1238');
INSERT INTO public.who_import VALUES (43815, '2020-08-29', 'JP', 'Japan', 'WPRO', '850', '66423', '17', '1255');
INSERT INTO public.who_import VALUES (43816, '2020-08-30', 'JP', 'Japan', 'WPRO', '841', '67264', '9', '1264');
INSERT INTO public.who_import VALUES (43817, '2020-08-31', 'JP', 'Japan', 'WPRO', '601', '67865', '15', '1279');
INSERT INTO public.who_import VALUES (43818, '2020-09-01', 'JP', 'Japan', 'WPRO', '527', '68392', '17', '1296');
INSERT INTO public.who_import VALUES (43819, '2020-09-02', 'JP', 'Japan', 'WPRO', '609', '69001', '11', '1307');
INSERT INTO public.who_import VALUES (43820, '2020-09-03', 'JP', 'Japan', 'WPRO', '598', '69599', '12', '1319');
INSERT INTO public.who_import VALUES (43821, '2020-09-04', 'JP', 'Japan', 'WPRO', '669', '70268', '11', '1330');
INSERT INTO public.who_import VALUES (43822, '2020-09-05', 'JP', 'Japan', 'WPRO', '608', '70876', '19', '1349');
INSERT INTO public.who_import VALUES (43823, '2020-09-06', 'JP', 'Japan', 'WPRO', '543', '71419', '8', '1357');
INSERT INTO public.who_import VALUES (43824, '2020-09-07', 'JP', 'Japan', 'WPRO', '437', '71856', '6', '1363');
INSERT INTO public.who_import VALUES (43825, '2020-09-08', 'JP', 'Japan', 'WPRO', '378', '72234', '14', '1377');
INSERT INTO public.who_import VALUES (43826, '2020-09-09', 'JP', 'Japan', 'WPRO', '492', '72726', '16', '1393');
INSERT INTO public.who_import VALUES (43827, '2020-09-10', 'JP', 'Japan', 'WPRO', '495', '73221', '13', '1406');
INSERT INTO public.who_import VALUES (43828, '2020-09-11', 'JP', 'Japan', 'WPRO', '680', '73901', '6', '1412');
INSERT INTO public.who_import VALUES (43829, '2020-09-12', 'JP', 'Japan', 'WPRO', '643', '74544', '11', '1423');
INSERT INTO public.who_import VALUES (43830, '2020-09-13', 'JP', 'Japan', 'WPRO', '674', '75218', '16', '1439');
INSERT INTO public.who_import VALUES (43831, '2020-09-14', 'JP', 'Japan', 'WPRO', '439', '75657', '3', '1442');
INSERT INTO public.who_import VALUES (43832, '2020-09-15', 'JP', 'Japan', 'WPRO', '301', '75958', '9', '1451');
INSERT INTO public.who_import VALUES (43833, '2020-09-16', 'JP', 'Japan', 'WPRO', '490', '76448', '10', '1461');
INSERT INTO public.who_import VALUES (43834, '2020-09-17', 'JP', 'Japan', 'WPRO', '561', '77009', '12', '1473');
INSERT INTO public.who_import VALUES (43835, '2020-09-18', 'JP', 'Japan', 'WPRO', '485', '77494', '9', '1482');
INSERT INTO public.who_import VALUES (43836, '2020-09-19', 'JP', 'Japan', 'WPRO', '579', '78073', '13', '1495');
INSERT INTO public.who_import VALUES (43837, '2020-09-20', 'JP', 'Japan', 'WPRO', '584', '78657', '5', '1500');
INSERT INTO public.who_import VALUES (43838, '2020-09-21', 'JP', 'Japan', 'WPRO', '483', '79140', '0', '1500');
INSERT INTO public.who_import VALUES (43839, '2020-09-22', 'JP', 'Japan', 'WPRO', '298', '79438', '8', '1508');
INSERT INTO public.who_import VALUES (43840, '2020-09-23', 'JP', 'Japan', 'WPRO', '330', '79768', '4', '1512');
INSERT INTO public.who_import VALUES (43841, '2020-09-24', 'JP', 'Japan', 'WPRO', '273', '80041', '8', '1520');
INSERT INTO public.who_import VALUES (43842, '2020-09-25', 'JP', 'Japan', 'WPRO', '456', '80497', '12', '1532');
INSERT INTO public.who_import VALUES (43843, '2020-09-26', 'JP', 'Japan', 'WPRO', '558', '81055', '8', '1540');
INSERT INTO public.who_import VALUES (43844, '2020-09-27', 'JP', 'Japan', 'WPRO', '635', '81690', '5', '1545');
INSERT INTO public.who_import VALUES (43845, '2020-09-28', 'JP', 'Japan', 'WPRO', '441', '82131', '3', '1548');
INSERT INTO public.who_import VALUES (43846, '2020-09-29', 'JP', 'Japan', 'WPRO', '363', '82494', '9', '1557');
INSERT INTO public.who_import VALUES (43847, '2020-09-30', 'JP', 'Japan', 'WPRO', '516', '83010', '7', '1564');
INSERT INTO public.who_import VALUES (43848, '2020-10-01', 'JP', 'Japan', 'WPRO', '553', '83563', '7', '1571');
INSERT INTO public.who_import VALUES (43849, '2020-10-02', 'JP', 'Japan', 'WPRO', '652', '84215', '7', '1578');
INSERT INTO public.who_import VALUES (43850, '2020-10-03', 'JP', 'Japan', 'WPRO', '553', '84768', '12', '1590');
INSERT INTO public.who_import VALUES (43851, '2020-10-04', 'JP', 'Japan', 'WPRO', '571', '85339', '7', '1597');
INSERT INTO public.who_import VALUES (43852, '2020-10-05', 'JP', 'Japan', 'WPRO', '400', '85739', '2', '1599');
INSERT INTO public.who_import VALUES (43853, '2020-10-06', 'JP', 'Japan', 'WPRO', '308', '86047', '3', '1602');
INSERT INTO public.who_import VALUES (43854, '2020-10-07', 'JP', 'Japan', 'WPRO', '496', '86543', '3', '1605');
INSERT INTO public.who_import VALUES (43855, '2020-10-08', 'JP', 'Japan', 'WPRO', '477', '87020', '8', '1613');
INSERT INTO public.who_import VALUES (43856, '2020-10-09', 'JP', 'Japan', 'WPRO', '619', '87639', '3', '1616');
INSERT INTO public.who_import VALUES (43857, '2020-10-10', 'JP', 'Japan', 'WPRO', '594', '88233', '8', '1624');
INSERT INTO public.who_import VALUES (43858, '2020-10-11', 'JP', 'Japan', 'WPRO', '679', '88912', '3', '1627');
INSERT INTO public.who_import VALUES (43859, '2020-10-12', 'JP', 'Japan', 'WPRO', '435', '89347', '2', '1629');
INSERT INTO public.who_import VALUES (43860, '2020-10-13', 'JP', 'Japan', 'WPRO', '326', '89673', '5', '1634');
INSERT INTO public.who_import VALUES (43861, '2020-10-14', 'JP', 'Japan', 'WPRO', '467', '90140', '4', '1638');
INSERT INTO public.who_import VALUES (43862, '2020-10-15', 'JP', 'Japan', 'WPRO', '570', '90710', '8', '1646');
INSERT INTO public.who_import VALUES (43863, '2020-10-16', 'JP', 'Japan', 'WPRO', '721', '91431', '4', '1650');
INSERT INTO public.who_import VALUES (43864, '2020-10-17', 'JP', 'Japan', 'WPRO', '632', '92063', '11', '1661');
INSERT INTO public.who_import VALUES (43865, '2020-10-18', 'JP', 'Japan', 'WPRO', '593', '92656', '9', '1670');
INSERT INTO public.who_import VALUES (43866, '2020-10-19', 'JP', 'Japan', 'WPRO', '471', '93127', '4', '1674');
INSERT INTO public.who_import VALUES (43867, '2020-10-20', 'JP', 'Japan', 'WPRO', '353', '93480', '2', '1676');
INSERT INTO public.who_import VALUES (43868, '2020-10-21', 'JP', 'Japan', 'WPRO', '453', '93933', '3', '1679');
INSERT INTO public.who_import VALUES (43869, '2020-10-22', 'JP', 'Japan', 'WPRO', '591', '94524', '6', '1685');
INSERT INTO public.who_import VALUES (43870, '2020-10-23', 'JP', 'Japan', 'WPRO', '614', '95138', '9', '1694');
INSERT INTO public.who_import VALUES (43871, '2020-10-24', 'JP', 'Japan', 'WPRO', '697', '95835', '12', '1706');
INSERT INTO public.who_import VALUES (43872, '2020-10-25', 'JP', 'Japan', 'WPRO', '699', '96534', '5', '1711');
INSERT INTO public.who_import VALUES (43873, '2020-10-26', 'JP', 'Japan', 'WPRO', '540', '97074', '7', '1718');
INSERT INTO public.who_import VALUES (43874, '2020-10-27', 'JP', 'Japan', 'WPRO', '424', '97498', '7', '1725');
INSERT INTO public.who_import VALUES (43875, '2020-10-28', 'JP', 'Japan', 'WPRO', '618', '98116', '5', '1730');
INSERT INTO public.who_import VALUES (43876, '2020-10-29', 'JP', 'Japan', 'WPRO', '736', '98852', '3', '1733');
INSERT INTO public.who_import VALUES (43877, '2020-10-30', 'JP', 'Japan', 'WPRO', '770', '99622', '11', '1744');
INSERT INTO public.who_import VALUES (43878, '2020-10-31', 'JP', 'Japan', 'WPRO', '770', '100392', '11', '1755');
INSERT INTO public.who_import VALUES (43879, '2020-11-01', 'JP', 'Japan', 'WPRO', '754', '101146', '11', '1766');
INSERT INTO public.who_import VALUES (43880, '2020-11-02', 'JP', 'Japan', 'WPRO', '667', '101813', '8', '1774');
INSERT INTO public.who_import VALUES (43881, '2020-11-03', 'JP', 'Japan', 'WPRO', '468', '102281', '6', '1780');
INSERT INTO public.who_import VALUES (43882, '2020-11-04', 'JP', 'Japan', 'WPRO', '619', '102900', '6', '1786');
INSERT INTO public.who_import VALUES (43883, '2020-11-05', 'JP', 'Japan', 'WPRO', '938', '103838', '8', '1794');
INSERT INTO public.who_import VALUES (43884, '2020-11-06', 'JP', 'Japan', 'WPRO', '944', '104782', '12', '1806');
INSERT INTO public.who_import VALUES (43885, '2020-11-07', 'JP', 'Japan', 'WPRO', '1132', '105914', '3', '1809');
INSERT INTO public.who_import VALUES (43886, '2020-11-08', 'JP', 'Japan', 'WPRO', '1172', '107086', '3', '1812');
INSERT INTO public.who_import VALUES (43887, '2020-11-09', 'JP', 'Japan', 'WPRO', '998', '108084', '6', '1818');
INSERT INTO public.who_import VALUES (43888, '2020-11-10', 'JP', 'Japan', 'WPRO', '899', '108983', '11', '1829');
INSERT INTO public.who_import VALUES (43889, '2020-11-11', 'JP', 'Japan', 'WPRO', '1173', '110156', '12', '1841');
INSERT INTO public.who_import VALUES (43890, '2020-11-12', 'JP', 'Japan', 'WPRO', '1555', '111711', '10', '1851');
INSERT INTO public.who_import VALUES (43891, '2020-11-13', 'JP', 'Japan', 'WPRO', '1587', '113298', '16', '1867');
INSERT INTO public.who_import VALUES (43892, '2020-11-14', 'JP', 'Japan', 'WPRO', '1685', '114983', '13', '1880');
INSERT INTO public.who_import VALUES (43893, '2020-11-15', 'JP', 'Japan', 'WPRO', '1694', '116677', '3', '1883');
INSERT INTO public.who_import VALUES (43894, '2020-11-16', 'JP', 'Japan', 'WPRO', '1459', '118136', '2', '1885');
INSERT INTO public.who_import VALUES (43895, '2020-11-17', 'JP', 'Japan', 'WPRO', '1190', '119326', '18', '1903');
INSERT INTO public.who_import VALUES (43896, '2020-11-18', 'JP', 'Japan', 'WPRO', '1489', '120815', '10', '1913');
INSERT INTO public.who_import VALUES (43897, '2020-11-19', 'JP', 'Japan', 'WPRO', '2151', '122966', '9', '1922');
INSERT INTO public.who_import VALUES (43898, '2020-11-20', 'JP', 'Japan', 'WPRO', '2301', '125267', '21', '1943');
INSERT INTO public.who_import VALUES (43899, '2020-11-21', 'JP', 'Japan', 'WPRO', '2398', '127665', '20', '1963');
INSERT INTO public.who_import VALUES (43900, '2020-11-22', 'JP', 'Japan', 'WPRO', '2514', '130179', '11', '1974');
INSERT INTO public.who_import VALUES (43901, '2020-11-23', 'JP', 'Japan', 'WPRO', '2179', '132358', '7', '1981');
INSERT INTO public.who_import VALUES (43902, '2020-11-24', 'JP', 'Japan', 'WPRO', '1571', '133929', '8', '1989');
INSERT INTO public.who_import VALUES (43903, '2020-11-25', 'JP', 'Japan', 'WPRO', '1471', '135400', '12', '2001');
INSERT INTO public.who_import VALUES (43904, '2020-11-26', 'JP', 'Japan', 'WPRO', '1861', '137261', '21', '2022');
INSERT INTO public.who_import VALUES (43905, '2020-11-27', 'JP', 'Japan', 'WPRO', '2230', '139491', '29', '2051');
INSERT INTO public.who_import VALUES (43906, '2020-11-28', 'JP', 'Japan', 'WPRO', '2577', '142068', '23', '2074');
INSERT INTO public.who_import VALUES (43907, '2020-11-29', 'JP', 'Japan', 'WPRO', '2585', '144653', '32', '2106');
INSERT INTO public.who_import VALUES (43908, '2020-11-30', 'JP', 'Japan', 'WPRO', '2107', '146760', '13', '2119');
INSERT INTO public.who_import VALUES (43909, '2020-12-01', 'JP', 'Japan', 'WPRO', '1934', '148694', '20', '2139');
INSERT INTO public.who_import VALUES (43910, '2020-12-02', 'JP', 'Japan', 'WPRO', '1692', '150386', '33', '2172');
INSERT INTO public.who_import VALUES (43911, '2020-12-03', 'JP', 'Japan', 'WPRO', '2441', '152827', '41', '2213');
INSERT INTO public.who_import VALUES (43912, '2020-12-04', 'JP', 'Japan', 'WPRO', '2405', '155232', '27', '2240');
INSERT INTO public.who_import VALUES (43913, '2020-12-05', 'JP', 'Japan', 'WPRO', '2442', '157674', '43', '2283');
INSERT INTO public.who_import VALUES (43914, '2020-12-06', 'JP', 'Japan', 'WPRO', '2424', '160098', '32', '2315');
INSERT INTO public.who_import VALUES (43915, '2020-12-07', 'JP', 'Japan', 'WPRO', '1969', '162067', '20', '2335');
INSERT INTO public.who_import VALUES (43916, '2020-12-08', 'JP', 'Japan', 'WPRO', '1862', '163929', '47', '2382');
INSERT INTO public.who_import VALUES (43917, '2020-12-09', 'JP', 'Japan', 'WPRO', '1911', '165840', '38', '2420');
INSERT INTO public.who_import VALUES (43918, '2020-12-10', 'JP', 'Japan', 'WPRO', '2733', '168573', '45', '2465');
INSERT INTO public.who_import VALUES (43919, '2020-12-11', 'JP', 'Japan', 'WPRO', '2969', '171542', '37', '2502');
INSERT INTO public.who_import VALUES (43920, '2020-12-12', 'JP', 'Japan', 'WPRO', '2757', '174299', '32', '2534');
INSERT INTO public.who_import VALUES (43921, '2020-12-13', 'JP', 'Japan', 'WPRO', '2988', '177287', '28', '2562');
INSERT INTO public.who_import VALUES (43922, '2020-12-14', 'JP', 'Japan', 'WPRO', '2366', '179653', '23', '2585');
INSERT INTO public.who_import VALUES (43923, '2020-12-15', 'JP', 'Japan', 'WPRO', '2217', '181870', '58', '2643');
INSERT INTO public.who_import VALUES (43924, '2020-12-16', 'JP', 'Japan', 'WPRO', '2172', '184042', '45', '2688');
INSERT INTO public.who_import VALUES (43925, '2020-12-17', 'JP', 'Japan', 'WPRO', '3061', '187103', '51', '2739');
INSERT INTO public.who_import VALUES (43926, '2020-12-18', 'JP', 'Japan', 'WPRO', '3035', '190138', '44', '2783');
INSERT INTO public.who_import VALUES (43927, '2020-12-19', 'JP', 'Japan', 'WPRO', '2893', '193031', '45', '2828');
INSERT INTO public.who_import VALUES (43928, '2020-12-20', 'JP', 'Japan', 'WPRO', '2849', '195880', '45', '2873');
INSERT INTO public.who_import VALUES (43929, '2020-12-21', 'JP', 'Japan', 'WPRO', '2643', '198523', '27', '2900');
INSERT INTO public.who_import VALUES (43930, '2020-12-22', 'JP', 'Japan', 'WPRO', '2135', '200658', '44', '2944');
INSERT INTO public.who_import VALUES (43931, '2020-12-23', 'JP', 'Japan', 'WPRO', '2455', '203113', '50', '2994');
INSERT INTO public.who_import VALUES (43932, '2020-12-24', 'JP', 'Japan', 'WPRO', '3026', '206139', '56', '3050');
INSERT INTO public.who_import VALUES (43933, '2020-12-25', 'JP', 'Japan', 'WPRO', '3841', '209980', '55', '3105');
INSERT INTO public.who_import VALUES (43934, '2020-12-26', 'JP', 'Japan', 'WPRO', '3567', '213547', '50', '3155');
INSERT INTO public.who_import VALUES (43935, '2020-12-27', 'JP', 'Japan', 'WPRO', '3765', '217312', '58', '3213');
INSERT INTO public.who_import VALUES (43936, '2020-12-28', 'JP', 'Japan', 'WPRO', '2924', '220236', '39', '3252');
INSERT INTO public.who_import VALUES (43937, '2020-12-29', 'JP', 'Japan', 'WPRO', '2884', '223120', '54', '3306');
INSERT INTO public.who_import VALUES (43938, '2020-12-30', 'JP', 'Japan', 'WPRO', '3476', '226596', '43', '3349');
INSERT INTO public.who_import VALUES (43939, '2020-12-31', 'JP', 'Japan', 'WPRO', '3708', '230304', '65', '3414');
INSERT INTO public.who_import VALUES (43940, '2021-01-01', 'JP', 'Japan', 'WPRO', '4091', '234395', '46', '3460');
INSERT INTO public.who_import VALUES (43941, '2021-01-02', 'JP', 'Japan', 'WPRO', '3617', '238012', '54', '3514');
INSERT INTO public.who_import VALUES (43942, '2021-01-03', 'JP', 'Japan', 'WPRO', '2942', '240954', '34', '3548');
INSERT INTO public.who_import VALUES (43943, '2021-01-04', 'JP', 'Japan', 'WPRO', '2893', '243847', '51', '3599');
INSERT INTO public.who_import VALUES (43944, '2021-01-05', 'JP', 'Japan', 'WPRO', '4113', '247960', '56', '3655');
INSERT INTO public.who_import VALUES (43945, '2021-01-06', 'JP', 'Japan', 'WPRO', '4357', '252317', '64', '3719');
INSERT INTO public.who_import VALUES (43946, '2021-01-07', 'JP', 'Japan', 'WPRO', '6076', '258393', '72', '3791');
INSERT INTO public.who_import VALUES (43947, '2021-01-08', 'JP', 'Japan', 'WPRO', '6906', '265299', '66', '3857');
INSERT INTO public.who_import VALUES (43948, '2021-01-09', 'JP', 'Japan', 'WPRO', '7855', '273154', '75', '3932');
INSERT INTO public.who_import VALUES (43949, '2021-01-10', 'JP', 'Japan', 'WPRO', '7621', '280775', '64', '3996');
INSERT INTO public.who_import VALUES (43950, '2021-01-11', 'JP', 'Japan', 'WPRO', '5977', '286752', '48', '4044');
INSERT INTO public.who_import VALUES (43951, '2021-01-12', 'JP', 'Japan', 'WPRO', '5460', '292212', '50', '4094');
INSERT INTO public.who_import VALUES (43952, '2021-01-13', 'JP', 'Japan', 'WPRO', '5103', '297315', '51', '4145');
INSERT INTO public.who_import VALUES (43953, '2021-01-14', 'JP', 'Japan', 'WPRO', '5308', '302623', '88', '4233');
INSERT INTO public.who_import VALUES (43954, '2021-01-15', 'JP', 'Japan', 'WPRO', '6591', '309214', '82', '4315');
INSERT INTO public.who_import VALUES (43955, '2021-01-16', 'JP', 'Japan', 'WPRO', '6696', '315910', '65', '4380');
INSERT INTO public.who_import VALUES (43956, '2021-01-17', 'JP', 'Japan', 'WPRO', '6386', '322296', '66', '4446');
INSERT INTO public.who_import VALUES (43957, '2021-01-18', 'JP', 'Japan', 'WPRO', '5998', '328294', '55', '4501');
INSERT INTO public.who_import VALUES (43958, '2021-01-19', 'JP', 'Japan', 'WPRO', '6034', '334328', '47', '4548');
INSERT INTO public.who_import VALUES (43959, '2021-01-20', 'JP', 'Japan', 'WPRO', '5446', '339774', '99', '4647');
INSERT INTO public.who_import VALUES (43960, '2021-01-21', 'JP', 'Japan', 'WPRO', '5447', '345221', '96', '4743');
INSERT INTO public.who_import VALUES (43961, '2021-01-22', 'JP', 'Japan', 'WPRO', '5799', '351020', '87', '4830');
INSERT INTO public.who_import VALUES (43962, '2021-01-23', 'JP', 'Japan', 'WPRO', '5054', '356074', '105', '4935');
INSERT INTO public.who_import VALUES (43963, '2021-01-24', 'JP', 'Japan', 'WPRO', '4587', '360661', '84', '5019');
INSERT INTO public.who_import VALUES (43964, '2021-01-25', 'JP', 'Japan', 'WPRO', '4152', '364813', '65', '5084');
INSERT INTO public.who_import VALUES (43965, '2021-01-26', 'JP', 'Japan', 'WPRO', '3330', '368143', '74', '5158');
INSERT INTO public.who_import VALUES (43966, '2021-01-27', 'JP', 'Japan', 'WPRO', '3537', '371680', '94', '5252');
INSERT INTO public.who_import VALUES (43967, '2021-01-28', 'JP', 'Japan', 'WPRO', '3927', '375607', '109', '5361');
INSERT INTO public.who_import VALUES (43968, '2021-01-29', 'JP', 'Japan', 'WPRO', '3909', '379516', '91', '5452');
INSERT INTO public.who_import VALUES (43969, '2021-01-30', 'JP', 'Japan', 'WPRO', '3567', '383083', '94', '5546');
INSERT INTO public.who_import VALUES (43970, '2021-01-31', 'JP', 'Japan', 'WPRO', '3659', '386742', '108', '5654');
INSERT INTO public.who_import VALUES (43971, '2021-02-01', 'JP', 'Japan', 'WPRO', '2776', '389518', '68', '5722');
INSERT INTO public.who_import VALUES (43972, '2021-02-02', 'JP', 'Japan', 'WPRO', '2108', '391626', '72', '5794');
INSERT INTO public.who_import VALUES (43973, '2021-02-03', 'JP', 'Japan', 'WPRO', '2210', '393836', '118', '5912');
INSERT INTO public.who_import VALUES (44089, '2020-04-10', 'JE', 'Jersey', 'EURO', '0', '170', '0', '3');
INSERT INTO public.who_import VALUES (43974, '2021-02-04', 'JP', 'Japan', 'WPRO', '2593', '396429', '108', '6020');
INSERT INTO public.who_import VALUES (43975, '2021-02-05', 'JP', 'Japan', 'WPRO', '2619', '399048', '115', '6135');
INSERT INTO public.who_import VALUES (43976, '2021-02-06', 'JP', 'Japan', 'WPRO', '2307', '401355', '108', '6243');
INSERT INTO public.who_import VALUES (43977, '2021-02-07', 'JP', 'Japan', 'WPRO', '2080', '403435', '95', '6338');
INSERT INTO public.who_import VALUES (43978, '2021-02-08', 'JP', 'Japan', 'WPRO', '1555', '404990', '57', '6395');
INSERT INTO public.who_import VALUES (43979, '2021-02-09', 'JP', 'Japan', 'WPRO', '1776', '406766', '81', '6476');
INSERT INTO public.who_import VALUES (43980, '2021-02-10', 'JP', 'Japan', 'WPRO', '1420', '408186', '81', '6557');
INSERT INTO public.who_import VALUES (43981, '2021-02-11', 'JP', 'Japan', 'WPRO', '1826', '410012', '121', '6678');
INSERT INTO public.who_import VALUES (43982, '2021-02-12', 'JP', 'Japan', 'WPRO', '1739', '411751', '96', '6774');
INSERT INTO public.who_import VALUES (43983, '2021-02-13', 'JP', 'Japan', 'WPRO', '1403', '413154', '75', '6849');
INSERT INTO public.who_import VALUES (43984, '2021-02-14', 'JP', 'Japan', 'WPRO', '1318', '414472', '63', '6912');
INSERT INTO public.who_import VALUES (43985, '2021-02-15', 'JP', 'Japan', 'WPRO', '1310', '415782', '40', '6952');
INSERT INTO public.who_import VALUES (43986, '2021-02-16', 'JP', 'Japan', 'WPRO', '1983', '417765', '63', '7015');
INSERT INTO public.who_import VALUES (43987, '2021-02-17', 'JP', 'Japan', 'WPRO', '1250', '419015', '87', '7102');
INSERT INTO public.who_import VALUES (43988, '2021-02-18', 'JP', 'Japan', 'WPRO', '1393', '420408', '94', '7196');
INSERT INTO public.who_import VALUES (43989, '2021-02-19', 'JP', 'Japan', 'WPRO', '1559', '421967', '78', '7274');
INSERT INTO public.who_import VALUES (43990, '2021-02-20', 'JP', 'Japan', 'WPRO', '1344', '423311', '59', '7333');
INSERT INTO public.who_import VALUES (43991, '2020-01-03', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43992, '2020-01-04', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43993, '2020-01-05', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43994, '2020-01-06', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43995, '2020-01-07', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43996, '2020-01-08', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43997, '2020-01-09', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43998, '2020-01-10', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (43999, '2020-01-11', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44000, '2020-01-12', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44001, '2020-01-13', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44002, '2020-01-14', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44003, '2020-01-15', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44004, '2020-01-16', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44005, '2020-01-17', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44006, '2020-01-18', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44007, '2020-01-19', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44008, '2020-01-20', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44009, '2020-01-21', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44010, '2020-01-22', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44011, '2020-01-23', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44012, '2020-01-24', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44013, '2020-01-25', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44014, '2020-01-26', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44015, '2020-01-27', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44016, '2020-01-28', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44017, '2020-01-29', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44018, '2020-01-30', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44019, '2020-01-31', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44020, '2020-02-01', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44021, '2020-02-02', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44022, '2020-02-03', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44023, '2020-02-04', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44024, '2020-02-05', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44025, '2020-02-06', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44026, '2020-02-07', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44027, '2020-02-08', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44028, '2020-02-09', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44029, '2020-02-10', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44030, '2020-02-11', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44031, '2020-02-12', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44032, '2020-02-13', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44033, '2020-02-14', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44034, '2020-02-15', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44035, '2020-02-16', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44036, '2020-02-17', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44037, '2020-02-18', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44038, '2020-02-19', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44039, '2020-02-20', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44040, '2020-02-21', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44041, '2020-02-22', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44042, '2020-02-23', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44043, '2020-02-24', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44044, '2020-02-25', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44045, '2020-02-26', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44046, '2020-02-27', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44047, '2020-02-28', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44048, '2020-02-29', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44049, '2020-03-01', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44050, '2020-03-02', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44051, '2020-03-03', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44052, '2020-03-04', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44053, '2020-03-05', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44054, '2020-03-06', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44055, '2020-03-07', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44056, '2020-03-08', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44057, '2020-03-09', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44058, '2020-03-10', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44059, '2020-03-11', 'JE', 'Jersey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44060, '2020-03-12', 'JE', 'Jersey', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (44061, '2020-03-13', 'JE', 'Jersey', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (44062, '2020-03-14', 'JE', 'Jersey', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (44063, '2020-03-15', 'JE', 'Jersey', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (44064, '2020-03-16', 'JE', 'Jersey', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (44065, '2020-03-17', 'JE', 'Jersey', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (44066, '2020-03-18', 'JE', 'Jersey', 'EURO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (44067, '2020-03-19', 'JE', 'Jersey', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44068, '2020-03-20', 'JE', 'Jersey', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44069, '2020-03-21', 'JE', 'Jersey', 'EURO', '7', '12', '0', '0');
INSERT INTO public.who_import VALUES (44070, '2020-03-22', 'JE', 'Jersey', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (44071, '2020-03-23', 'JE', 'Jersey', 'EURO', '3', '15', '0', '0');
INSERT INTO public.who_import VALUES (44072, '2020-03-24', 'JE', 'Jersey', 'EURO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (44073, '2020-03-25', 'JE', 'Jersey', 'EURO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (44074, '2020-03-26', 'JE', 'Jersey', 'EURO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (44075, '2020-03-27', 'JE', 'Jersey', 'EURO', '14', '32', '1', '1');
INSERT INTO public.who_import VALUES (44076, '2020-03-28', 'JE', 'Jersey', 'EURO', '20', '52', '0', '1');
INSERT INTO public.who_import VALUES (44077, '2020-03-29', 'JE', 'Jersey', 'EURO', '9', '61', '0', '1');
INSERT INTO public.who_import VALUES (44078, '2020-03-30', 'JE', 'Jersey', 'EURO', '2', '63', '1', '2');
INSERT INTO public.who_import VALUES (44079, '2020-03-31', 'JE', 'Jersey', 'EURO', '0', '63', '0', '2');
INSERT INTO public.who_import VALUES (44080, '2020-04-01', 'JE', 'Jersey', 'EURO', '0', '63', '0', '2');
INSERT INTO public.who_import VALUES (44081, '2020-04-02', 'JE', 'Jersey', 'EURO', '18', '81', '0', '2');
INSERT INTO public.who_import VALUES (44082, '2020-04-03', 'JE', 'Jersey', 'EURO', '0', '81', '0', '2');
INSERT INTO public.who_import VALUES (44083, '2020-04-04', 'JE', 'Jersey', 'EURO', '37', '118', '0', '2');
INSERT INTO public.who_import VALUES (44084, '2020-04-05', 'JE', 'Jersey', 'EURO', '5', '123', '1', '3');
INSERT INTO public.who_import VALUES (44085, '2020-04-06', 'JE', 'Jersey', 'EURO', '32', '155', '0', '3');
INSERT INTO public.who_import VALUES (44086, '2020-04-07', 'JE', 'Jersey', 'EURO', '0', '155', '0', '3');
INSERT INTO public.who_import VALUES (44087, '2020-04-08', 'JE', 'Jersey', 'EURO', '15', '170', '0', '3');
INSERT INTO public.who_import VALUES (44088, '2020-04-09', 'JE', 'Jersey', 'EURO', '0', '170', '0', '3');
INSERT INTO public.who_import VALUES (44090, '2020-04-11', 'JE', 'Jersey', 'EURO', '13', '183', '1', '4');
INSERT INTO public.who_import VALUES (44091, '2020-04-12', 'JE', 'Jersey', 'EURO', '15', '198', '0', '4');
INSERT INTO public.who_import VALUES (44092, '2020-04-13', 'JE', 'Jersey', 'EURO', '0', '198', '0', '4');
INSERT INTO public.who_import VALUES (44093, '2020-04-14', 'JE', 'Jersey', 'EURO', '15', '213', '0', '4');
INSERT INTO public.who_import VALUES (44094, '2020-04-15', 'JE', 'Jersey', 'EURO', '4', '217', '0', '4');
INSERT INTO public.who_import VALUES (44095, '2020-04-16', 'JE', 'Jersey', 'EURO', '0', '217', '2', '6');
INSERT INTO public.who_import VALUES (44096, '2020-04-17', 'JE', 'Jersey', 'EURO', '2', '219', '1', '7');
INSERT INTO public.who_import VALUES (44097, '2020-04-18', 'JE', 'Jersey', 'EURO', '4', '223', '3', '10');
INSERT INTO public.who_import VALUES (44098, '2020-04-19', 'JE', 'Jersey', 'EURO', '11', '234', '1', '11');
INSERT INTO public.who_import VALUES (44099, '2020-04-20', 'JE', 'Jersey', 'EURO', '11', '245', '1', '12');
INSERT INTO public.who_import VALUES (44100, '2020-04-21', 'JE', 'Jersey', 'EURO', '4', '249', '0', '12');
INSERT INTO public.who_import VALUES (44101, '2020-04-22', 'JE', 'Jersey', 'EURO', '1', '250', '2', '14');
INSERT INTO public.who_import VALUES (44102, '2020-04-23', 'JE', 'Jersey', 'EURO', '5', '255', '0', '14');
INSERT INTO public.who_import VALUES (44103, '2020-04-24', 'JE', 'Jersey', 'EURO', '0', '255', '4', '18');
INSERT INTO public.who_import VALUES (44104, '2020-04-25', 'JE', 'Jersey', 'EURO', '21', '276', '1', '19');
INSERT INTO public.who_import VALUES (44105, '2020-04-26', 'JE', 'Jersey', 'EURO', '2', '278', '0', '19');
INSERT INTO public.who_import VALUES (44106, '2020-04-27', 'JE', 'Jersey', 'EURO', '2', '280', '0', '19');
INSERT INTO public.who_import VALUES (44107, '2020-04-28', 'JE', 'Jersey', 'EURO', '1', '281', '0', '19');
INSERT INTO public.who_import VALUES (44108, '2020-04-29', 'JE', 'Jersey', 'EURO', '2', '283', '0', '19');
INSERT INTO public.who_import VALUES (44109, '2020-04-30', 'JE', 'Jersey', 'EURO', '1', '284', '1', '20');
INSERT INTO public.who_import VALUES (44110, '2020-05-01', 'JE', 'Jersey', 'EURO', '6', '290', '0', '20');
INSERT INTO public.who_import VALUES (44111, '2020-05-02', 'JE', 'Jersey', 'EURO', '0', '290', '2', '22');
INSERT INTO public.who_import VALUES (44112, '2020-05-03', 'JE', 'Jersey', 'EURO', '0', '290', '1', '23');
INSERT INTO public.who_import VALUES (44113, '2020-05-04', 'JE', 'Jersey', 'EURO', '1', '291', '1', '24');
INSERT INTO public.who_import VALUES (44114, '2020-05-05', 'JE', 'Jersey', 'EURO', '1', '292', '0', '24');
INSERT INTO public.who_import VALUES (44115, '2020-05-06', 'JE', 'Jersey', 'EURO', '1', '293', '0', '24');
INSERT INTO public.who_import VALUES (44116, '2020-05-07', 'JE', 'Jersey', 'EURO', '0', '293', '0', '24');
INSERT INTO public.who_import VALUES (44117, '2020-05-08', 'JE', 'Jersey', 'EURO', '0', '293', '1', '25');
INSERT INTO public.who_import VALUES (44118, '2020-05-09', 'JE', 'Jersey', 'EURO', '0', '293', '0', '25');
INSERT INTO public.who_import VALUES (44119, '2020-05-10', 'JE', 'Jersey', 'EURO', '0', '293', '0', '25');
INSERT INTO public.who_import VALUES (44120, '2020-05-11', 'JE', 'Jersey', 'EURO', '0', '293', '0', '25');
INSERT INTO public.who_import VALUES (44121, '2020-05-12', 'JE', 'Jersey', 'EURO', '3', '296', '1', '26');
INSERT INTO public.who_import VALUES (44122, '2020-05-13', 'JE', 'Jersey', 'EURO', '0', '296', '0', '26');
INSERT INTO public.who_import VALUES (44123, '2020-05-14', 'JE', 'Jersey', 'EURO', '1', '297', '1', '27');
INSERT INTO public.who_import VALUES (44124, '2020-05-15', 'JE', 'Jersey', 'EURO', '0', '297', '0', '27');
INSERT INTO public.who_import VALUES (44125, '2020-05-16', 'JE', 'Jersey', 'EURO', '0', '297', '0', '27');
INSERT INTO public.who_import VALUES (44126, '2020-05-17', 'JE', 'Jersey', 'EURO', '0', '297', '0', '27');
INSERT INTO public.who_import VALUES (44127, '2020-05-18', 'JE', 'Jersey', 'EURO', '0', '297', '0', '27');
INSERT INTO public.who_import VALUES (44128, '2020-05-19', 'JE', 'Jersey', 'EURO', '5', '302', '0', '27');
INSERT INTO public.who_import VALUES (44129, '2020-05-20', 'JE', 'Jersey', 'EURO', '1', '303', '0', '27');
INSERT INTO public.who_import VALUES (44130, '2020-05-21', 'JE', 'Jersey', 'EURO', '0', '303', '1', '28');
INSERT INTO public.who_import VALUES (44131, '2020-05-22', 'JE', 'Jersey', 'EURO', '3', '306', '1', '29');
INSERT INTO public.who_import VALUES (44132, '2020-05-23', 'JE', 'Jersey', 'EURO', '0', '306', '0', '29');
INSERT INTO public.who_import VALUES (44133, '2020-05-24', 'JE', 'Jersey', 'EURO', '0', '306', '0', '29');
INSERT INTO public.who_import VALUES (44134, '2020-05-25', 'JE', 'Jersey', 'EURO', '0', '306', '0', '29');
INSERT INTO public.who_import VALUES (44135, '2020-05-26', 'JE', 'Jersey', 'EURO', '0', '306', '0', '29');
INSERT INTO public.who_import VALUES (44136, '2020-05-27', 'JE', 'Jersey', 'EURO', '1', '307', '0', '29');
INSERT INTO public.who_import VALUES (44137, '2020-05-28', 'JE', 'Jersey', 'EURO', '0', '307', '0', '29');
INSERT INTO public.who_import VALUES (44138, '2020-05-29', 'JE', 'Jersey', 'EURO', '1', '308', '0', '29');
INSERT INTO public.who_import VALUES (44139, '2020-05-30', 'JE', 'Jersey', 'EURO', '0', '308', '0', '29');
INSERT INTO public.who_import VALUES (44140, '2020-05-31', 'JE', 'Jersey', 'EURO', '0', '308', '0', '29');
INSERT INTO public.who_import VALUES (44141, '2020-06-01', 'JE', 'Jersey', 'EURO', '0', '308', '0', '29');
INSERT INTO public.who_import VALUES (44142, '2020-06-02', 'JE', 'Jersey', 'EURO', '0', '308', '0', '29');
INSERT INTO public.who_import VALUES (44143, '2020-06-03', 'JE', 'Jersey', 'EURO', '0', '308', '0', '29');
INSERT INTO public.who_import VALUES (44144, '2020-06-04', 'JE', 'Jersey', 'EURO', '0', '308', '1', '30');
INSERT INTO public.who_import VALUES (44145, '2020-06-05', 'JE', 'Jersey', 'EURO', '1', '309', '0', '30');
INSERT INTO public.who_import VALUES (44146, '2020-06-06', 'JE', 'Jersey', 'EURO', '0', '309', '0', '30');
INSERT INTO public.who_import VALUES (44147, '2020-06-07', 'JE', 'Jersey', 'EURO', '0', '309', '0', '30');
INSERT INTO public.who_import VALUES (44148, '2020-06-08', 'JE', 'Jersey', 'EURO', '2', '311', '0', '30');
INSERT INTO public.who_import VALUES (44149, '2020-06-09', 'JE', 'Jersey', 'EURO', '0', '311', '0', '30');
INSERT INTO public.who_import VALUES (44150, '2020-06-10', 'JE', 'Jersey', 'EURO', '2', '313', '0', '30');
INSERT INTO public.who_import VALUES (44151, '2020-06-11', 'JE', 'Jersey', 'EURO', '0', '313', '0', '30');
INSERT INTO public.who_import VALUES (44152, '2020-06-12', 'JE', 'Jersey', 'EURO', '0', '313', '0', '30');
INSERT INTO public.who_import VALUES (44153, '2020-06-13', 'JE', 'Jersey', 'EURO', '0', '313', '0', '30');
INSERT INTO public.who_import VALUES (44154, '2020-06-14', 'JE', 'Jersey', 'EURO', '0', '313', '0', '30');
INSERT INTO public.who_import VALUES (44155, '2020-06-15', 'JE', 'Jersey', 'EURO', '0', '313', '0', '30');
INSERT INTO public.who_import VALUES (44156, '2020-06-16', 'JE', 'Jersey', 'EURO', '0', '313', '0', '30');
INSERT INTO public.who_import VALUES (44157, '2020-06-17', 'JE', 'Jersey', 'EURO', '3', '316', '0', '30');
INSERT INTO public.who_import VALUES (44158, '2020-06-18', 'JE', 'Jersey', 'EURO', '0', '316', '0', '30');
INSERT INTO public.who_import VALUES (44159, '2020-06-19', 'JE', 'Jersey', 'EURO', '2', '318', '0', '30');
INSERT INTO public.who_import VALUES (44160, '2020-06-20', 'JE', 'Jersey', 'EURO', '0', '318', '0', '30');
INSERT INTO public.who_import VALUES (44161, '2020-06-21', 'JE', 'Jersey', 'EURO', '0', '318', '1', '31');
INSERT INTO public.who_import VALUES (44162, '2020-06-22', 'JE', 'Jersey', 'EURO', '0', '318', '0', '31');
INSERT INTO public.who_import VALUES (44163, '2020-06-23', 'JE', 'Jersey', 'EURO', '0', '318', '0', '31');
INSERT INTO public.who_import VALUES (44164, '2020-06-24', 'JE', 'Jersey', 'EURO', '0', '318', '0', '31');
INSERT INTO public.who_import VALUES (44165, '2020-06-25', 'JE', 'Jersey', 'EURO', '0', '318', '0', '31');
INSERT INTO public.who_import VALUES (44166, '2020-06-26', 'JE', 'Jersey', 'EURO', '2', '320', '0', '31');
INSERT INTO public.who_import VALUES (44167, '2020-06-27', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44168, '2020-06-28', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44169, '2020-06-29', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44170, '2020-06-30', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44171, '2020-07-01', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44172, '2020-07-02', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44173, '2020-07-03', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44174, '2020-07-04', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44175, '2020-07-05', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44176, '2020-07-06', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44177, '2020-07-07', 'JE', 'Jersey', 'EURO', '0', '320', '0', '31');
INSERT INTO public.who_import VALUES (44178, '2020-07-08', 'JE', 'Jersey', 'EURO', '5', '325', '0', '31');
INSERT INTO public.who_import VALUES (44179, '2020-07-09', 'JE', 'Jersey', 'EURO', '0', '325', '0', '31');
INSERT INTO public.who_import VALUES (44180, '2020-07-10', 'JE', 'Jersey', 'EURO', '0', '325', '0', '31');
INSERT INTO public.who_import VALUES (44181, '2020-07-11', 'JE', 'Jersey', 'EURO', '0', '325', '0', '31');
INSERT INTO public.who_import VALUES (44182, '2020-07-12', 'JE', 'Jersey', 'EURO', '0', '325', '0', '31');
INSERT INTO public.who_import VALUES (44183, '2020-07-13', 'JE', 'Jersey', 'EURO', '0', '325', '0', '31');
INSERT INTO public.who_import VALUES (44184, '2020-07-14', 'JE', 'Jersey', 'EURO', '4', '329', '0', '31');
INSERT INTO public.who_import VALUES (44185, '2020-07-15', 'JE', 'Jersey', 'EURO', '0', '329', '0', '31');
INSERT INTO public.who_import VALUES (44186, '2020-07-16', 'JE', 'Jersey', 'EURO', '0', '329', '0', '31');
INSERT INTO public.who_import VALUES (44187, '2020-07-17', 'JE', 'Jersey', 'EURO', '0', '329', '0', '31');
INSERT INTO public.who_import VALUES (44188, '2020-07-18', 'JE', 'Jersey', 'EURO', '2', '331', '0', '31');
INSERT INTO public.who_import VALUES (44189, '2020-07-19', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44190, '2020-07-20', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44191, '2020-07-21', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44192, '2020-07-22', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44193, '2020-07-23', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44194, '2020-07-24', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44195, '2020-07-25', 'JE', 'Jersey', 'EURO', '0', '331', '0', '31');
INSERT INTO public.who_import VALUES (44196, '2020-07-26', 'JE', 'Jersey', 'EURO', '1', '332', '0', '31');
INSERT INTO public.who_import VALUES (44412, '2020-01-09', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44197, '2020-07-27', 'JE', 'Jersey', 'EURO', '0', '332', '0', '31');
INSERT INTO public.who_import VALUES (44198, '2020-07-28', 'JE', 'Jersey', 'EURO', '0', '332', '0', '31');
INSERT INTO public.who_import VALUES (44199, '2020-07-29', 'JE', 'Jersey', 'EURO', '2', '334', '0', '31');
INSERT INTO public.who_import VALUES (44200, '2020-07-30', 'JE', 'Jersey', 'EURO', '1', '335', '0', '31');
INSERT INTO public.who_import VALUES (44201, '2020-07-31', 'JE', 'Jersey', 'EURO', '0', '335', '0', '31');
INSERT INTO public.who_import VALUES (44202, '2020-08-01', 'JE', 'Jersey', 'EURO', '0', '335', '0', '31');
INSERT INTO public.who_import VALUES (44203, '2020-08-02', 'JE', 'Jersey', 'EURO', '0', '335', '0', '31');
INSERT INTO public.who_import VALUES (44204, '2020-08-03', 'JE', 'Jersey', 'EURO', '0', '335', '0', '31');
INSERT INTO public.who_import VALUES (44205, '2020-08-04', 'JE', 'Jersey', 'EURO', '0', '335', '0', '31');
INSERT INTO public.who_import VALUES (44206, '2020-08-05', 'JE', 'Jersey', 'EURO', '4', '339', '0', '31');
INSERT INTO public.who_import VALUES (44207, '2020-08-06', 'JE', 'Jersey', 'EURO', '4', '343', '0', '31');
INSERT INTO public.who_import VALUES (44208, '2020-08-07', 'JE', 'Jersey', 'EURO', '1', '344', '0', '31');
INSERT INTO public.who_import VALUES (44209, '2020-08-08', 'JE', 'Jersey', 'EURO', '1', '345', '0', '31');
INSERT INTO public.who_import VALUES (44210, '2020-08-09', 'JE', 'Jersey', 'EURO', '0', '345', '0', '31');
INSERT INTO public.who_import VALUES (44211, '2020-08-10', 'JE', 'Jersey', 'EURO', '0', '345', '0', '31');
INSERT INTO public.who_import VALUES (44212, '2020-08-11', 'JE', 'Jersey', 'EURO', '0', '345', '0', '31');
INSERT INTO public.who_import VALUES (44213, '2020-08-12', 'JE', 'Jersey', 'EURO', '3', '348', '0', '31');
INSERT INTO public.who_import VALUES (44214, '2020-08-13', 'JE', 'Jersey', 'EURO', '0', '348', '0', '31');
INSERT INTO public.who_import VALUES (44215, '2020-08-14', 'JE', 'Jersey', 'EURO', '4', '352', '0', '31');
INSERT INTO public.who_import VALUES (44216, '2020-08-15', 'JE', 'Jersey', 'EURO', '4', '356', '0', '31');
INSERT INTO public.who_import VALUES (44217, '2020-08-16', 'JE', 'Jersey', 'EURO', '0', '356', '0', '31');
INSERT INTO public.who_import VALUES (44218, '2020-08-17', 'JE', 'Jersey', 'EURO', '0', '356', '0', '31');
INSERT INTO public.who_import VALUES (44219, '2020-08-18', 'JE', 'Jersey', 'EURO', '0', '356', '0', '31');
INSERT INTO public.who_import VALUES (44220, '2020-08-19', 'JE', 'Jersey', 'EURO', '1', '357', '1', '32');
INSERT INTO public.who_import VALUES (44221, '2020-08-20', 'JE', 'Jersey', 'EURO', '2', '359', '0', '32');
INSERT INTO public.who_import VALUES (44222, '2020-08-21', 'JE', 'Jersey', 'EURO', '3', '362', '0', '32');
INSERT INTO public.who_import VALUES (44223, '2020-08-22', 'JE', 'Jersey', 'EURO', '1', '363', '0', '32');
INSERT INTO public.who_import VALUES (44224, '2020-08-23', 'JE', 'Jersey', 'EURO', '0', '363', '0', '32');
INSERT INTO public.who_import VALUES (44225, '2020-08-24', 'JE', 'Jersey', 'EURO', '1', '364', '0', '32');
INSERT INTO public.who_import VALUES (44226, '2020-08-25', 'JE', 'Jersey', 'EURO', '0', '364', '0', '32');
INSERT INTO public.who_import VALUES (44227, '2020-08-26', 'JE', 'Jersey', 'EURO', '3', '367', '0', '32');
INSERT INTO public.who_import VALUES (44228, '2020-08-27', 'JE', 'Jersey', 'EURO', '2', '369', '0', '32');
INSERT INTO public.who_import VALUES (44229, '2020-08-28', 'JE', 'Jersey', 'EURO', '3', '372', '0', '32');
INSERT INTO public.who_import VALUES (44230, '2020-08-29', 'JE', 'Jersey', 'EURO', '1', '373', '0', '32');
INSERT INTO public.who_import VALUES (44231, '2020-08-30', 'JE', 'Jersey', 'EURO', '1', '374', '0', '32');
INSERT INTO public.who_import VALUES (44232, '2020-08-31', 'JE', 'Jersey', 'EURO', '0', '374', '0', '32');
INSERT INTO public.who_import VALUES (44233, '2020-09-01', 'JE', 'Jersey', 'EURO', '0', '374', '0', '32');
INSERT INTO public.who_import VALUES (44234, '2020-09-02', 'JE', 'Jersey', 'EURO', '5', '379', '0', '32');
INSERT INTO public.who_import VALUES (44235, '2020-09-03', 'JE', 'Jersey', 'EURO', '0', '379', '0', '32');
INSERT INTO public.who_import VALUES (44236, '2020-09-04', 'JE', 'Jersey', 'EURO', '3', '382', '0', '32');
INSERT INTO public.who_import VALUES (44237, '2020-09-05', 'JE', 'Jersey', 'EURO', '1', '383', '0', '32');
INSERT INTO public.who_import VALUES (44238, '2020-09-06', 'JE', 'Jersey', 'EURO', '1', '384', '0', '32');
INSERT INTO public.who_import VALUES (44239, '2020-09-07', 'JE', 'Jersey', 'EURO', '0', '384', '0', '32');
INSERT INTO public.who_import VALUES (44240, '2020-09-08', 'JE', 'Jersey', 'EURO', '0', '384', '0', '32');
INSERT INTO public.who_import VALUES (44241, '2020-09-09', 'JE', 'Jersey', 'EURO', '1', '385', '0', '32');
INSERT INTO public.who_import VALUES (44242, '2020-09-10', 'JE', 'Jersey', 'EURO', '0', '385', '0', '32');
INSERT INTO public.who_import VALUES (44243, '2020-09-11', 'JE', 'Jersey', 'EURO', '-7', '378', '0', '32');
INSERT INTO public.who_import VALUES (44244, '2020-09-12', 'JE', 'Jersey', 'EURO', '1', '379', '0', '32');
INSERT INTO public.who_import VALUES (44245, '2020-09-13', 'JE', 'Jersey', 'EURO', '1', '380', '0', '32');
INSERT INTO public.who_import VALUES (44246, '2020-09-14', 'JE', 'Jersey', 'EURO', '0', '380', '0', '32');
INSERT INTO public.who_import VALUES (44247, '2020-09-15', 'JE', 'Jersey', 'EURO', '0', '380', '0', '32');
INSERT INTO public.who_import VALUES (44248, '2020-09-16', 'JE', 'Jersey', 'EURO', '6', '386', '0', '32');
INSERT INTO public.who_import VALUES (44249, '2020-09-17', 'JE', 'Jersey', 'EURO', '0', '386', '0', '32');
INSERT INTO public.who_import VALUES (44250, '2020-09-18', 'JE', 'Jersey', 'EURO', '3', '389', '0', '32');
INSERT INTO public.who_import VALUES (44251, '2020-09-19', 'JE', 'Jersey', 'EURO', '2', '391', '0', '32');
INSERT INTO public.who_import VALUES (44252, '2020-09-20', 'JE', 'Jersey', 'EURO', '2', '393', '0', '32');
INSERT INTO public.who_import VALUES (44253, '2020-09-21', 'JE', 'Jersey', 'EURO', '0', '393', '0', '32');
INSERT INTO public.who_import VALUES (44254, '2020-09-22', 'JE', 'Jersey', 'EURO', '0', '393', '0', '32');
INSERT INTO public.who_import VALUES (44255, '2020-09-23', 'JE', 'Jersey', 'EURO', '3', '396', '0', '32');
INSERT INTO public.who_import VALUES (44256, '2020-09-24', 'JE', 'Jersey', 'EURO', '2', '398', '0', '32');
INSERT INTO public.who_import VALUES (44257, '2020-09-25', 'JE', 'Jersey', 'EURO', '1', '399', '0', '32');
INSERT INTO public.who_import VALUES (44258, '2020-09-26', 'JE', 'Jersey', 'EURO', '0', '399', '0', '32');
INSERT INTO public.who_import VALUES (44259, '2020-09-27', 'JE', 'Jersey', 'EURO', '3', '402', '0', '32');
INSERT INTO public.who_import VALUES (44260, '2020-09-28', 'JE', 'Jersey', 'EURO', '0', '402', '0', '32');
INSERT INTO public.who_import VALUES (44261, '2020-09-29', 'JE', 'Jersey', 'EURO', '0', '402', '0', '32');
INSERT INTO public.who_import VALUES (44262, '2020-09-30', 'JE', 'Jersey', 'EURO', '6', '408', '0', '32');
INSERT INTO public.who_import VALUES (44263, '2020-10-01', 'JE', 'Jersey', 'EURO', '1', '409', '0', '32');
INSERT INTO public.who_import VALUES (44264, '2020-10-02', 'JE', 'Jersey', 'EURO', '5', '414', '0', '32');
INSERT INTO public.who_import VALUES (44265, '2020-10-03', 'JE', 'Jersey', 'EURO', '5', '419', '0', '32');
INSERT INTO public.who_import VALUES (44266, '2020-10-04', 'JE', 'Jersey', 'EURO', '2', '421', '0', '32');
INSERT INTO public.who_import VALUES (44267, '2020-10-05', 'JE', 'Jersey', 'EURO', '0', '421', '0', '32');
INSERT INTO public.who_import VALUES (44268, '2020-10-06', 'JE', 'Jersey', 'EURO', '0', '421', '0', '32');
INSERT INTO public.who_import VALUES (44269, '2020-10-07', 'JE', 'Jersey', 'EURO', '10', '431', '0', '32');
INSERT INTO public.who_import VALUES (44270, '2020-10-08', 'JE', 'Jersey', 'EURO', '7', '438', '0', '32');
INSERT INTO public.who_import VALUES (44271, '2020-10-09', 'JE', 'Jersey', 'EURO', '3', '441', '0', '32');
INSERT INTO public.who_import VALUES (44272, '2020-10-10', 'JE', 'Jersey', 'EURO', '2', '443', '0', '32');
INSERT INTO public.who_import VALUES (44273, '2020-10-11', 'JE', 'Jersey', 'EURO', '6', '449', '0', '32');
INSERT INTO public.who_import VALUES (44274, '2020-10-12', 'JE', 'Jersey', 'EURO', '0', '449', '0', '32');
INSERT INTO public.who_import VALUES (44275, '2020-10-13', 'JE', 'Jersey', 'EURO', '0', '449', '0', '32');
INSERT INTO public.who_import VALUES (44276, '2020-10-14', 'JE', 'Jersey', 'EURO', '30', '479', '0', '32');
INSERT INTO public.who_import VALUES (44277, '2020-10-15', 'JE', 'Jersey', 'EURO', '5', '484', '0', '32');
INSERT INTO public.who_import VALUES (44278, '2020-10-16', 'JE', 'Jersey', 'EURO', '3', '487', '0', '32');
INSERT INTO public.who_import VALUES (44279, '2020-10-17', 'JE', 'Jersey', 'EURO', '3', '490', '0', '32');
INSERT INTO public.who_import VALUES (44280, '2020-10-18', 'JE', 'Jersey', 'EURO', '1', '491', '0', '32');
INSERT INTO public.who_import VALUES (44281, '2020-10-19', 'JE', 'Jersey', 'EURO', '0', '491', '0', '32');
INSERT INTO public.who_import VALUES (44282, '2020-10-20', 'JE', 'Jersey', 'EURO', '0', '491', '0', '32');
INSERT INTO public.who_import VALUES (44283, '2020-10-21', 'JE', 'Jersey', 'EURO', '18', '509', '0', '32');
INSERT INTO public.who_import VALUES (44284, '2020-10-22', 'JE', 'Jersey', 'EURO', '9', '518', '0', '32');
INSERT INTO public.who_import VALUES (44285, '2020-10-23', 'JE', 'Jersey', 'EURO', '5', '523', '0', '32');
INSERT INTO public.who_import VALUES (44286, '2020-10-24', 'JE', 'Jersey', 'EURO', '3', '526', '0', '32');
INSERT INTO public.who_import VALUES (44287, '2020-10-25', 'JE', 'Jersey', 'EURO', '4', '530', '0', '32');
INSERT INTO public.who_import VALUES (44288, '2020-10-26', 'JE', 'Jersey', 'EURO', '0', '530', '0', '32');
INSERT INTO public.who_import VALUES (44289, '2020-10-27', 'JE', 'Jersey', 'EURO', '0', '530', '0', '32');
INSERT INTO public.who_import VALUES (44290, '2020-10-28', 'JE', 'Jersey', 'EURO', '26', '556', '0', '32');
INSERT INTO public.who_import VALUES (44291, '2020-10-29', 'JE', 'Jersey', 'EURO', '4', '560', '0', '32');
INSERT INTO public.who_import VALUES (44292, '2020-10-30', 'JE', 'Jersey', 'EURO', '5', '565', '0', '32');
INSERT INTO public.who_import VALUES (44293, '2020-10-31', 'JE', 'Jersey', 'EURO', '4', '569', '0', '32');
INSERT INTO public.who_import VALUES (44294, '2020-11-01', 'JE', 'Jersey', 'EURO', '5', '574', '0', '32');
INSERT INTO public.who_import VALUES (44295, '2020-11-02', 'JE', 'Jersey', 'EURO', '0', '574', '0', '32');
INSERT INTO public.who_import VALUES (44296, '2020-11-03', 'JE', 'Jersey', 'EURO', '0', '574', '0', '32');
INSERT INTO public.who_import VALUES (44297, '2020-11-04', 'JE', 'Jersey', 'EURO', '17', '591', '0', '32');
INSERT INTO public.who_import VALUES (44298, '2020-11-05', 'JE', 'Jersey', 'EURO', '17', '608', '0', '32');
INSERT INTO public.who_import VALUES (44299, '2020-11-06', 'JE', 'Jersey', 'EURO', '12', '620', '0', '32');
INSERT INTO public.who_import VALUES (44300, '2020-11-07', 'JE', 'Jersey', 'EURO', '12', '632', '0', '32');
INSERT INTO public.who_import VALUES (44301, '2020-11-08', 'JE', 'Jersey', 'EURO', '11', '643', '0', '32');
INSERT INTO public.who_import VALUES (44302, '2020-11-09', 'JE', 'Jersey', 'EURO', '0', '643', '0', '32');
INSERT INTO public.who_import VALUES (44303, '2020-11-10', 'JE', 'Jersey', 'EURO', '0', '643', '0', '32');
INSERT INTO public.who_import VALUES (44304, '2020-11-11', 'JE', 'Jersey', 'EURO', '29', '672', '0', '32');
INSERT INTO public.who_import VALUES (44305, '2020-11-12', 'JE', 'Jersey', 'EURO', '18', '690', '0', '32');
INSERT INTO public.who_import VALUES (44306, '2020-11-13', 'JE', 'Jersey', 'EURO', '14', '704', '0', '32');
INSERT INTO public.who_import VALUES (44307, '2020-11-14', 'JE', 'Jersey', 'EURO', '17', '721', '0', '32');
INSERT INTO public.who_import VALUES (44308, '2020-11-15', 'JE', 'Jersey', 'EURO', '7', '728', '0', '32');
INSERT INTO public.who_import VALUES (44309, '2020-11-16', 'JE', 'Jersey', 'EURO', '0', '728', '0', '32');
INSERT INTO public.who_import VALUES (44310, '2020-11-17', 'JE', 'Jersey', 'EURO', '0', '728', '0', '32');
INSERT INTO public.who_import VALUES (44311, '2020-11-18', 'JE', 'Jersey', 'EURO', '33', '761', '0', '32');
INSERT INTO public.who_import VALUES (44312, '2020-11-19', 'JE', 'Jersey', 'EURO', '10', '771', '0', '32');
INSERT INTO public.who_import VALUES (44313, '2020-11-20', 'JE', 'Jersey', 'EURO', '11', '782', '0', '32');
INSERT INTO public.who_import VALUES (44314, '2020-11-21', 'JE', 'Jersey', 'EURO', '10', '792', '0', '32');
INSERT INTO public.who_import VALUES (44315, '2020-11-22', 'JE', 'Jersey', 'EURO', '14', '806', '0', '32');
INSERT INTO public.who_import VALUES (44316, '2020-11-23', 'JE', 'Jersey', 'EURO', '0', '806', '0', '32');
INSERT INTO public.who_import VALUES (44317, '2020-11-24', 'JE', 'Jersey', 'EURO', '0', '806', '0', '32');
INSERT INTO public.who_import VALUES (44318, '2020-11-25', 'JE', 'Jersey', 'EURO', '24', '830', '0', '32');
INSERT INTO public.who_import VALUES (44319, '2020-11-26', 'JE', 'Jersey', 'EURO', '6', '836', '0', '32');
INSERT INTO public.who_import VALUES (44320, '2020-11-27', 'JE', 'Jersey', 'EURO', '19', '855', '0', '32');
INSERT INTO public.who_import VALUES (44321, '2020-11-28', 'JE', 'Jersey', 'EURO', '37', '892', '0', '32');
INSERT INTO public.who_import VALUES (44322, '2020-11-29', 'JE', 'Jersey', 'EURO', '31', '923', '0', '32');
INSERT INTO public.who_import VALUES (44323, '2020-11-30', 'JE', 'Jersey', 'EURO', '0', '923', '0', '32');
INSERT INTO public.who_import VALUES (44324, '2020-12-01', 'JE', 'Jersey', 'EURO', '0', '923', '0', '32');
INSERT INTO public.who_import VALUES (44325, '2020-12-02', 'JE', 'Jersey', 'EURO', '85', '1008', '0', '32');
INSERT INTO public.who_import VALUES (44326, '2020-12-03', 'JE', 'Jersey', 'EURO', '32', '1040', '0', '32');
INSERT INTO public.who_import VALUES (44327, '2020-12-04', 'JE', 'Jersey', 'EURO', '0', '1040', '0', '32');
INSERT INTO public.who_import VALUES (44328, '2020-12-05', 'JE', 'Jersey', 'EURO', '130', '1170', '0', '32');
INSERT INTO public.who_import VALUES (44329, '2020-12-06', 'JE', 'Jersey', 'EURO', '68', '1238', '0', '32');
INSERT INTO public.who_import VALUES (44330, '2020-12-07', 'JE', 'Jersey', 'EURO', '0', '1238', '0', '32');
INSERT INTO public.who_import VALUES (44331, '2020-12-08', 'JE', 'Jersey', 'EURO', '0', '1238', '0', '32');
INSERT INTO public.who_import VALUES (44332, '2020-12-09', 'JE', 'Jersey', 'EURO', '100', '1338', '0', '32');
INSERT INTO public.who_import VALUES (44333, '2020-12-10', 'JE', 'Jersey', 'EURO', '122', '1460', '0', '32');
INSERT INTO public.who_import VALUES (44334, '2020-12-11', 'JE', 'Jersey', 'EURO', '37', '1497', '0', '32');
INSERT INTO public.who_import VALUES (44335, '2020-12-12', 'JE', 'Jersey', 'EURO', '58', '1555', '0', '32');
INSERT INTO public.who_import VALUES (44336, '2020-12-13', 'JE', 'Jersey', 'EURO', '82', '1637', '0', '32');
INSERT INTO public.who_import VALUES (44337, '2020-12-14', 'JE', 'Jersey', 'EURO', '51', '1688', '0', '32');
INSERT INTO public.who_import VALUES (44338, '2020-12-15', 'JE', 'Jersey', 'EURO', '91', '1779', '0', '32');
INSERT INTO public.who_import VALUES (44339, '2020-12-16', 'JE', 'Jersey', 'EURO', '63', '1842', '0', '32');
INSERT INTO public.who_import VALUES (44340, '2020-12-17', 'JE', 'Jersey', 'EURO', '59', '1901', '0', '32');
INSERT INTO public.who_import VALUES (44341, '2020-12-18', 'JE', 'Jersey', 'EURO', '100', '2001', '0', '32');
INSERT INTO public.who_import VALUES (44342, '2020-12-19', 'JE', 'Jersey', 'EURO', '97', '2098', '1', '33');
INSERT INTO public.who_import VALUES (44343, '2020-12-20', 'JE', 'Jersey', 'EURO', '136', '2234', '3', '36');
INSERT INTO public.who_import VALUES (44344, '2020-12-21', 'JE', 'Jersey', 'EURO', '22', '2256', '0', '36');
INSERT INTO public.who_import VALUES (44345, '2020-12-22', 'JE', 'Jersey', 'EURO', '80', '2336', '0', '36');
INSERT INTO public.who_import VALUES (44346, '2020-12-23', 'JE', 'Jersey', 'EURO', '109', '2445', '2', '38');
INSERT INTO public.who_import VALUES (44347, '2020-12-24', 'JE', 'Jersey', 'EURO', '38', '2483', '1', '39');
INSERT INTO public.who_import VALUES (44348, '2020-12-25', 'JE', 'Jersey', 'EURO', '77', '2560', '1', '40');
INSERT INTO public.who_import VALUES (44349, '2020-12-26', 'JE', 'Jersey', 'EURO', '23', '2583', '1', '41');
INSERT INTO public.who_import VALUES (44350, '2020-12-27', 'JE', 'Jersey', 'EURO', '0', '2583', '0', '41');
INSERT INTO public.who_import VALUES (44351, '2020-12-28', 'JE', 'Jersey', 'EURO', '0', '2583', '0', '41');
INSERT INTO public.who_import VALUES (44352, '2020-12-29', 'JE', 'Jersey', 'EURO', '80', '2663', '0', '41');
INSERT INTO public.who_import VALUES (44353, '2020-12-30', 'JE', 'Jersey', 'EURO', '29', '2692', '0', '41');
INSERT INTO public.who_import VALUES (44354, '2020-12-31', 'JE', 'Jersey', 'EURO', '15', '2707', '0', '41');
INSERT INTO public.who_import VALUES (44355, '2021-01-01', 'JE', 'Jersey', 'EURO', '19', '2726', '1', '42');
INSERT INTO public.who_import VALUES (44356, '2021-01-02', 'JE', 'Jersey', 'EURO', '34', '2760', '2', '44');
INSERT INTO public.who_import VALUES (44357, '2021-01-03', 'JE', 'Jersey', 'EURO', '0', '2760', '0', '44');
INSERT INTO public.who_import VALUES (44358, '2021-01-04', 'JE', 'Jersey', 'EURO', '0', '2760', '0', '44');
INSERT INTO public.who_import VALUES (44359, '2021-01-05', 'JE', 'Jersey', 'EURO', '61', '2821', '0', '44');
INSERT INTO public.who_import VALUES (44360, '2021-01-06', 'JE', 'Jersey', 'EURO', '21', '2842', '3', '47');
INSERT INTO public.who_import VALUES (44361, '2021-01-07', 'JE', 'Jersey', 'EURO', '21', '2863', '4', '51');
INSERT INTO public.who_import VALUES (44362, '2021-01-08', 'JE', 'Jersey', 'EURO', '29', '2892', '2', '53');
INSERT INTO public.who_import VALUES (44363, '2021-01-09', 'JE', 'Jersey', 'EURO', '16', '2908', '3', '56');
INSERT INTO public.who_import VALUES (44364, '2021-01-10', 'JE', 'Jersey', 'EURO', '13', '2921', '1', '57');
INSERT INTO public.who_import VALUES (44365, '2021-01-11', 'JE', 'Jersey', 'EURO', '37', '2958', '0', '57');
INSERT INTO public.who_import VALUES (44366, '2021-01-12', 'JE', 'Jersey', 'EURO', '14', '2972', '0', '57');
INSERT INTO public.who_import VALUES (44367, '2021-01-13', 'JE', 'Jersey', 'EURO', '21', '2993', '2', '59');
INSERT INTO public.who_import VALUES (44368, '2021-01-14', 'JE', 'Jersey', 'EURO', '10', '3003', '0', '59');
INSERT INTO public.who_import VALUES (44369, '2021-01-15', 'JE', 'Jersey', 'EURO', '13', '3016', '1', '60');
INSERT INTO public.who_import VALUES (44370, '2021-01-16', 'JE', 'Jersey', 'EURO', '13', '3029', '0', '60');
INSERT INTO public.who_import VALUES (44371, '2021-01-17', 'JE', 'Jersey', 'EURO', '15', '3044', '2', '62');
INSERT INTO public.who_import VALUES (44372, '2021-01-18', 'JE', 'Jersey', 'EURO', '3', '3047', '0', '62');
INSERT INTO public.who_import VALUES (44373, '2021-01-19', 'JE', 'Jersey', 'EURO', '7', '3054', '0', '62');
INSERT INTO public.who_import VALUES (44374, '2021-01-20', 'JE', 'Jersey', 'EURO', '7', '3061', '0', '62');
INSERT INTO public.who_import VALUES (44375, '2021-01-21', 'JE', 'Jersey', 'EURO', '16', '3077', '0', '62');
INSERT INTO public.who_import VALUES (44376, '2021-01-22', 'JE', 'Jersey', 'EURO', '11', '3088', '0', '62');
INSERT INTO public.who_import VALUES (44377, '2021-01-23', 'JE', 'Jersey', 'EURO', '9', '3097', '0', '62');
INSERT INTO public.who_import VALUES (44378, '2021-01-24', 'JE', 'Jersey', 'EURO', '7', '3104', '1', '63');
INSERT INTO public.who_import VALUES (44379, '2021-01-25', 'JE', 'Jersey', 'EURO', '12', '3116', '0', '63');
INSERT INTO public.who_import VALUES (44380, '2021-01-26', 'JE', 'Jersey', 'EURO', '6', '3122', '0', '63');
INSERT INTO public.who_import VALUES (44381, '2021-01-27', 'JE', 'Jersey', 'EURO', '5', '3127', '0', '63');
INSERT INTO public.who_import VALUES (44382, '2021-01-28', 'JE', 'Jersey', 'EURO', '3', '3130', '0', '63');
INSERT INTO public.who_import VALUES (44383, '2021-01-29', 'JE', 'Jersey', 'EURO', '4', '3134', '1', '64');
INSERT INTO public.who_import VALUES (44384, '2021-01-30', 'JE', 'Jersey', 'EURO', '6', '3140', '1', '65');
INSERT INTO public.who_import VALUES (44385, '2021-01-31', 'JE', 'Jersey', 'EURO', '3', '3143', '1', '66');
INSERT INTO public.who_import VALUES (44386, '2021-02-01', 'JE', 'Jersey', 'EURO', '3', '3146', '0', '66');
INSERT INTO public.who_import VALUES (44387, '2021-02-02', 'JE', 'Jersey', 'EURO', '6', '3152', '0', '66');
INSERT INTO public.who_import VALUES (44388, '2021-02-03', 'JE', 'Jersey', 'EURO', '2', '3154', '0', '66');
INSERT INTO public.who_import VALUES (44389, '2021-02-04', 'JE', 'Jersey', 'EURO', '7', '3161', '1', '67');
INSERT INTO public.who_import VALUES (44390, '2021-02-05', 'JE', 'Jersey', 'EURO', '4', '3165', '0', '67');
INSERT INTO public.who_import VALUES (44391, '2021-02-06', 'JE', 'Jersey', 'EURO', '6', '3171', '0', '67');
INSERT INTO public.who_import VALUES (44392, '2021-02-07', 'JE', 'Jersey', 'EURO', '2', '3173', '0', '67');
INSERT INTO public.who_import VALUES (44393, '2021-02-08', 'JE', 'Jersey', 'EURO', '1', '3174', '0', '67');
INSERT INTO public.who_import VALUES (44394, '2021-02-09', 'JE', 'Jersey', 'EURO', '2', '3176', '0', '67');
INSERT INTO public.who_import VALUES (44395, '2021-02-10', 'JE', 'Jersey', 'EURO', '1', '3177', '0', '67');
INSERT INTO public.who_import VALUES (44396, '2021-02-11', 'JE', 'Jersey', 'EURO', '10', '3187', '0', '67');
INSERT INTO public.who_import VALUES (44397, '2021-02-12', 'JE', 'Jersey', 'EURO', '3', '3190', '0', '67');
INSERT INTO public.who_import VALUES (44398, '2021-02-13', 'JE', 'Jersey', 'EURO', '1', '3191', '0', '67');
INSERT INTO public.who_import VALUES (44399, '2021-02-14', 'JE', 'Jersey', 'EURO', '7', '3198', '0', '67');
INSERT INTO public.who_import VALUES (44400, '2021-02-15', 'JE', 'Jersey', 'EURO', '2', '3200', '0', '67');
INSERT INTO public.who_import VALUES (44401, '2021-02-16', 'JE', 'Jersey', 'EURO', '2', '3202', '0', '67');
INSERT INTO public.who_import VALUES (44402, '2021-02-17', 'JE', 'Jersey', 'EURO', '1', '3203', '1', '68');
INSERT INTO public.who_import VALUES (44403, '2021-02-18', 'JE', 'Jersey', 'EURO', '2', '3205', '0', '68');
INSERT INTO public.who_import VALUES (44404, '2021-02-19', 'JE', 'Jersey', 'EURO', '2', '3207', '0', '68');
INSERT INTO public.who_import VALUES (44405, '2021-02-20', 'JE', 'Jersey', 'EURO', '1', '3208', '0', '68');
INSERT INTO public.who_import VALUES (44406, '2020-01-03', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44407, '2020-01-04', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44408, '2020-01-05', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44409, '2020-01-06', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44410, '2020-01-07', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44411, '2020-01-08', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44413, '2020-01-10', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44414, '2020-01-11', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44415, '2020-01-12', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44416, '2020-01-13', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44417, '2020-01-14', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44418, '2020-01-15', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44419, '2020-01-16', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44420, '2020-01-17', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44421, '2020-01-18', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44422, '2020-01-19', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44423, '2020-01-20', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44424, '2020-01-21', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44425, '2020-01-22', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44426, '2020-01-23', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44427, '2020-01-24', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44428, '2020-01-25', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44429, '2020-01-26', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44430, '2020-01-27', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44431, '2020-01-28', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44432, '2020-01-29', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44433, '2020-01-30', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44434, '2020-01-31', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44435, '2020-02-01', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44436, '2020-02-02', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44437, '2020-02-03', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44438, '2020-02-04', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44439, '2020-02-05', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44440, '2020-02-06', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44441, '2020-02-07', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44442, '2020-02-08', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44443, '2020-02-09', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44444, '2020-02-10', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44445, '2020-02-11', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44446, '2020-02-12', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44447, '2020-02-13', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44448, '2020-02-14', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44449, '2020-02-15', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44450, '2020-02-16', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44451, '2020-02-17', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44452, '2020-02-18', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44453, '2020-02-19', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44454, '2020-02-20', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44455, '2020-02-21', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44456, '2020-02-22', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44457, '2020-02-23', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44458, '2020-02-24', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44459, '2020-02-25', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44460, '2020-02-26', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44461, '2020-02-27', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44462, '2020-02-28', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44463, '2020-02-29', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44464, '2020-03-01', 'JO', 'Jordan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44465, '2020-03-02', 'JO', 'Jordan', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (44466, '2020-03-03', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44467, '2020-03-04', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44468, '2020-03-05', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44469, '2020-03-06', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44470, '2020-03-07', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44471, '2020-03-08', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44472, '2020-03-09', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44473, '2020-03-10', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44474, '2020-03-11', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44475, '2020-03-12', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44476, '2020-03-13', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44477, '2020-03-14', 'JO', 'Jordan', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (44478, '2020-03-15', 'JO', 'Jordan', 'EMRO', '5', '10', '0', '0');
INSERT INTO public.who_import VALUES (44479, '2020-03-16', 'JO', 'Jordan', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (44480, '2020-03-17', 'JO', 'Jordan', 'EMRO', '29', '39', '0', '0');
INSERT INTO public.who_import VALUES (44481, '2020-03-18', 'JO', 'Jordan', 'EMRO', '17', '56', '0', '0');
INSERT INTO public.who_import VALUES (44482, '2020-03-19', 'JO', 'Jordan', 'EMRO', '4', '60', '0', '0');
INSERT INTO public.who_import VALUES (44483, '2020-03-20', 'JO', 'Jordan', 'EMRO', '9', '69', '0', '0');
INSERT INTO public.who_import VALUES (44484, '2020-03-21', 'JO', 'Jordan', 'EMRO', '15', '84', '0', '0');
INSERT INTO public.who_import VALUES (44485, '2020-03-22', 'JO', 'Jordan', 'EMRO', '15', '99', '0', '0');
INSERT INTO public.who_import VALUES (44486, '2020-03-23', 'JO', 'Jordan', 'EMRO', '13', '112', '0', '0');
INSERT INTO public.who_import VALUES (44487, '2020-03-24', 'JO', 'Jordan', 'EMRO', '15', '127', '0', '0');
INSERT INTO public.who_import VALUES (44488, '2020-03-25', 'JO', 'Jordan', 'EMRO', '26', '153', '0', '0');
INSERT INTO public.who_import VALUES (44489, '2020-03-26', 'JO', 'Jordan', 'EMRO', '19', '172', '0', '0');
INSERT INTO public.who_import VALUES (44490, '2020-03-27', 'JO', 'Jordan', 'EMRO', '40', '212', '0', '0');
INSERT INTO public.who_import VALUES (44491, '2020-03-28', 'JO', 'Jordan', 'EMRO', '23', '235', '1', '1');
INSERT INTO public.who_import VALUES (44492, '2020-03-29', 'JO', 'Jordan', 'EMRO', '11', '246', '0', '1');
INSERT INTO public.who_import VALUES (44493, '2020-03-30', 'JO', 'Jordan', 'EMRO', '13', '259', '3', '4');
INSERT INTO public.who_import VALUES (44494, '2020-03-31', 'JO', 'Jordan', 'EMRO', '9', '268', '1', '5');
INSERT INTO public.who_import VALUES (44495, '2020-04-01', 'JO', 'Jordan', 'EMRO', '6', '274', '0', '5');
INSERT INTO public.who_import VALUES (44496, '2020-04-02', 'JO', 'Jordan', 'EMRO', '4', '278', '0', '5');
INSERT INTO public.who_import VALUES (44497, '2020-04-03', 'JO', 'Jordan', 'EMRO', '21', '299', '0', '5');
INSERT INTO public.who_import VALUES (44498, '2020-04-04', 'JO', 'Jordan', 'EMRO', '11', '310', '0', '5');
INSERT INTO public.who_import VALUES (44499, '2020-04-05', 'JO', 'Jordan', 'EMRO', '13', '323', '0', '5');
INSERT INTO public.who_import VALUES (44500, '2020-04-06', 'JO', 'Jordan', 'EMRO', '22', '345', '0', '5');
INSERT INTO public.who_import VALUES (44501, '2020-04-07', 'JO', 'Jordan', 'EMRO', '4', '349', '1', '6');
INSERT INTO public.who_import VALUES (44502, '2020-04-08', 'JO', 'Jordan', 'EMRO', '4', '353', '0', '6');
INSERT INTO public.who_import VALUES (44503, '2020-04-09', 'JO', 'Jordan', 'EMRO', '5', '358', '0', '6');
INSERT INTO public.who_import VALUES (44504, '2020-04-10', 'JO', 'Jordan', 'EMRO', '14', '372', '1', '7');
INSERT INTO public.who_import VALUES (44505, '2020-04-11', 'JO', 'Jordan', 'EMRO', '0', '372', '0', '7');
INSERT INTO public.who_import VALUES (44506, '2020-04-12', 'JO', 'Jordan', 'EMRO', '9', '381', '0', '7');
INSERT INTO public.who_import VALUES (44507, '2020-04-13', 'JO', 'Jordan', 'EMRO', '8', '389', '0', '7');
INSERT INTO public.who_import VALUES (44508, '2020-04-14', 'JO', 'Jordan', 'EMRO', '2', '391', '0', '7');
INSERT INTO public.who_import VALUES (44509, '2020-04-15', 'JO', 'Jordan', 'EMRO', '6', '397', '0', '7');
INSERT INTO public.who_import VALUES (44510, '2020-04-16', 'JO', 'Jordan', 'EMRO', '4', '401', '0', '7');
INSERT INTO public.who_import VALUES (44511, '2020-04-17', 'JO', 'Jordan', 'EMRO', '1', '402', '0', '7');
INSERT INTO public.who_import VALUES (44512, '2020-04-18', 'JO', 'Jordan', 'EMRO', '5', '407', '0', '7');
INSERT INTO public.who_import VALUES (44513, '2020-04-19', 'JO', 'Jordan', 'EMRO', '6', '413', '0', '7');
INSERT INTO public.who_import VALUES (44514, '2020-04-20', 'JO', 'Jordan', 'EMRO', '4', '417', '0', '7');
INSERT INTO public.who_import VALUES (44515, '2020-04-21', 'JO', 'Jordan', 'EMRO', '8', '425', '0', '7');
INSERT INTO public.who_import VALUES (44516, '2020-04-22', 'JO', 'Jordan', 'EMRO', '3', '428', '0', '7');
INSERT INTO public.who_import VALUES (44517, '2020-04-23', 'JO', 'Jordan', 'EMRO', '7', '435', '0', '7');
INSERT INTO public.who_import VALUES (44518, '2020-04-24', 'JO', 'Jordan', 'EMRO', '2', '437', '0', '7');
INSERT INTO public.who_import VALUES (44519, '2020-04-25', 'JO', 'Jordan', 'EMRO', '7', '444', '0', '7');
INSERT INTO public.who_import VALUES (44520, '2020-04-26', 'JO', 'Jordan', 'EMRO', '3', '447', '0', '7');
INSERT INTO public.who_import VALUES (44521, '2020-04-27', 'JO', 'Jordan', 'EMRO', '2', '449', '0', '7');
INSERT INTO public.who_import VALUES (44522, '2020-04-28', 'JO', 'Jordan', 'EMRO', '0', '449', '1', '8');
INSERT INTO public.who_import VALUES (44523, '2020-04-29', 'JO', 'Jordan', 'EMRO', '0', '449', '0', '8');
INSERT INTO public.who_import VALUES (44524, '2020-04-30', 'JO', 'Jordan', 'EMRO', '4', '453', '0', '8');
INSERT INTO public.who_import VALUES (44525, '2020-05-01', 'JO', 'Jordan', 'EMRO', '0', '453', '0', '8');
INSERT INTO public.who_import VALUES (44526, '2020-05-02', 'JO', 'Jordan', 'EMRO', '6', '459', '1', '9');
INSERT INTO public.who_import VALUES (44527, '2020-05-03', 'JO', 'Jordan', 'EMRO', '2', '461', '0', '9');
INSERT INTO public.who_import VALUES (44528, '2020-05-04', 'JO', 'Jordan', 'EMRO', '4', '465', '0', '9');
INSERT INTO public.who_import VALUES (44529, '2020-05-05', 'JO', 'Jordan', 'EMRO', '6', '471', '0', '9');
INSERT INTO public.who_import VALUES (44530, '2020-05-06', 'JO', 'Jordan', 'EMRO', '2', '473', '0', '9');
INSERT INTO public.who_import VALUES (44531, '2020-05-07', 'JO', 'Jordan', 'EMRO', '11', '484', '0', '9');
INSERT INTO public.who_import VALUES (44532, '2020-05-08', 'JO', 'Jordan', 'EMRO', '10', '494', '0', '9');
INSERT INTO public.who_import VALUES (44533, '2020-05-09', 'JO', 'Jordan', 'EMRO', '28', '522', '0', '9');
INSERT INTO public.who_import VALUES (44534, '2020-05-10', 'JO', 'Jordan', 'EMRO', '18', '540', '0', '9');
INSERT INTO public.who_import VALUES (44535, '2020-05-11', 'JO', 'Jordan', 'EMRO', '22', '562', '0', '9');
INSERT INTO public.who_import VALUES (44536, '2020-05-12', 'JO', 'Jordan', 'EMRO', '14', '576', '0', '9');
INSERT INTO public.who_import VALUES (44537, '2020-05-13', 'JO', 'Jordan', 'EMRO', '6', '582', '0', '9');
INSERT INTO public.who_import VALUES (44538, '2020-05-14', 'JO', 'Jordan', 'EMRO', '4', '586', '0', '9');
INSERT INTO public.who_import VALUES (44539, '2020-05-15', 'JO', 'Jordan', 'EMRO', '10', '596', '0', '9');
INSERT INTO public.who_import VALUES (44540, '2020-05-16', 'JO', 'Jordan', 'EMRO', '11', '607', '0', '9');
INSERT INTO public.who_import VALUES (44541, '2020-05-17', 'JO', 'Jordan', 'EMRO', '6', '613', '0', '9');
INSERT INTO public.who_import VALUES (44542, '2020-05-18', 'JO', 'Jordan', 'EMRO', '16', '629', '0', '9');
INSERT INTO public.who_import VALUES (44543, '2020-05-19', 'JO', 'Jordan', 'EMRO', '20', '649', '0', '9');
INSERT INTO public.who_import VALUES (44544, '2020-05-20', 'JO', 'Jordan', 'EMRO', '23', '672', '0', '9');
INSERT INTO public.who_import VALUES (44545, '2020-05-21', 'JO', 'Jordan', 'EMRO', '12', '684', '0', '9');
INSERT INTO public.who_import VALUES (44546, '2020-05-22', 'JO', 'Jordan', 'EMRO', '0', '684', '0', '9');
INSERT INTO public.who_import VALUES (44547, '2020-05-23', 'JO', 'Jordan', 'EMRO', '16', '700', '0', '9');
INSERT INTO public.who_import VALUES (44548, '2020-05-24', 'JO', 'Jordan', 'EMRO', '2', '702', '0', '9');
INSERT INTO public.who_import VALUES (44549, '2020-05-25', 'JO', 'Jordan', 'EMRO', '4', '706', '0', '9');
INSERT INTO public.who_import VALUES (44550, '2020-05-26', 'JO', 'Jordan', 'EMRO', '3', '709', '0', '9');
INSERT INTO public.who_import VALUES (44551, '2020-05-27', 'JO', 'Jordan', 'EMRO', '7', '716', '0', '9');
INSERT INTO public.who_import VALUES (44552, '2020-05-28', 'JO', 'Jordan', 'EMRO', '2', '718', '0', '9');
INSERT INTO public.who_import VALUES (44553, '2020-05-29', 'JO', 'Jordan', 'EMRO', '7', '725', '0', '9');
INSERT INTO public.who_import VALUES (44554, '2020-05-30', 'JO', 'Jordan', 'EMRO', '1', '726', '0', '9');
INSERT INTO public.who_import VALUES (44555, '2020-05-31', 'JO', 'Jordan', 'EMRO', '4', '730', '0', '9');
INSERT INTO public.who_import VALUES (44556, '2020-06-01', 'JO', 'Jordan', 'EMRO', '3', '733', '0', '9');
INSERT INTO public.who_import VALUES (44557, '2020-06-02', 'JO', 'Jordan', 'EMRO', '7', '740', '0', '9');
INSERT INTO public.who_import VALUES (44558, '2020-06-03', 'JO', 'Jordan', 'EMRO', '5', '745', '0', '9');
INSERT INTO public.who_import VALUES (44559, '2020-06-04', 'JO', 'Jordan', 'EMRO', '0', '745', '0', '9');
INSERT INTO public.who_import VALUES (44560, '2020-06-05', 'JO', 'Jordan', 'EMRO', '2', '747', '0', '9');
INSERT INTO public.who_import VALUES (44561, '2020-06-06', 'JO', 'Jordan', 'EMRO', '8', '755', '0', '9');
INSERT INTO public.who_import VALUES (44562, '2020-06-07', 'JO', 'Jordan', 'EMRO', '6', '761', '0', '9');
INSERT INTO public.who_import VALUES (44563, '2020-06-08', 'JO', 'Jordan', 'EMRO', '8', '769', '0', '9');
INSERT INTO public.who_import VALUES (44564, '2020-06-09', 'JO', 'Jordan', 'EMRO', '23', '792', '0', '9');
INSERT INTO public.who_import VALUES (44565, '2020-06-10', 'JO', 'Jordan', 'EMRO', '10', '802', '0', '9');
INSERT INTO public.who_import VALUES (44566, '2020-06-11', 'JO', 'Jordan', 'EMRO', '13', '815', '0', '9');
INSERT INTO public.who_import VALUES (44567, '2020-06-12', 'JO', 'Jordan', 'EMRO', '21', '836', '0', '9');
INSERT INTO public.who_import VALUES (44568, '2020-06-13', 'JO', 'Jordan', 'EMRO', '21', '857', '0', '9');
INSERT INTO public.who_import VALUES (44569, '2020-06-14', 'JO', 'Jordan', 'EMRO', '38', '895', '0', '9');
INSERT INTO public.who_import VALUES (44570, '2020-06-15', 'JO', 'Jordan', 'EMRO', '8', '903', '0', '9');
INSERT INTO public.who_import VALUES (44571, '2020-06-16', 'JO', 'Jordan', 'EMRO', '18', '921', '0', '9');
INSERT INTO public.who_import VALUES (44572, '2020-06-17', 'JO', 'Jordan', 'EMRO', '0', '921', '0', '9');
INSERT INTO public.who_import VALUES (44573, '2020-06-18', 'JO', 'Jordan', 'EMRO', '6', '927', '0', '9');
INSERT INTO public.who_import VALUES (44574, '2020-06-19', 'JO', 'Jordan', 'EMRO', '10', '937', '0', '9');
INSERT INTO public.who_import VALUES (44575, '2020-06-20', 'JO', 'Jordan', 'EMRO', '6', '943', '0', '9');
INSERT INTO public.who_import VALUES (44576, '2020-06-21', 'JO', 'Jordan', 'EMRO', '7', '950', '0', '9');
INSERT INTO public.who_import VALUES (44577, '2020-06-22', 'JO', 'Jordan', 'EMRO', '17', '967', '0', '9');
INSERT INTO public.who_import VALUES (44578, '2020-06-23', 'JO', 'Jordan', 'EMRO', '9', '976', '0', '9');
INSERT INTO public.who_import VALUES (44579, '2020-06-24', 'JO', 'Jordan', 'EMRO', '4', '980', '0', '9');
INSERT INTO public.who_import VALUES (44580, '2020-06-25', 'JO', 'Jordan', 'EMRO', '19', '999', '0', '9');
INSERT INTO public.who_import VALUES (44581, '2020-06-26', 'JO', 'Jordan', 'EMRO', '14', '1013', '0', '9');
INSERT INTO public.who_import VALUES (44582, '2020-06-27', 'JO', 'Jordan', 'EMRO', '17', '1030', '0', '9');
INSERT INTO public.who_import VALUES (44583, '2020-06-28', 'JO', 'Jordan', 'EMRO', '6', '1036', '0', '9');
INSERT INTO public.who_import VALUES (44584, '2020-06-29', 'JO', 'Jordan', 'EMRO', '9', '1045', '0', '9');
INSERT INTO public.who_import VALUES (44585, '2020-06-30', 'JO', 'Jordan', 'EMRO', '7', '1052', '0', '9');
INSERT INTO public.who_import VALUES (44586, '2020-07-01', 'JO', 'Jordan', 'EMRO', '4', '1056', '0', '9');
INSERT INTO public.who_import VALUES (44587, '2020-07-02', 'JO', 'Jordan', 'EMRO', '1', '1057', '0', '9');
INSERT INTO public.who_import VALUES (44588, '2020-07-03', 'JO', 'Jordan', 'EMRO', '3', '1060', '0', '9');
INSERT INTO public.who_import VALUES (44589, '2020-07-04', 'JO', 'Jordan', 'EMRO', '10', '1070', '1', '10');
INSERT INTO public.who_import VALUES (44590, '2020-07-05', 'JO', 'Jordan', 'EMRO', '1', '1071', '0', '10');
INSERT INTO public.who_import VALUES (44591, '2020-07-06', 'JO', 'Jordan', 'EMRO', '12', '1083', '0', '10');
INSERT INTO public.who_import VALUES (44592, '2020-07-07', 'JO', 'Jordan', 'EMRO', '3', '1086', '0', '10');
INSERT INTO public.who_import VALUES (44593, '2020-07-08', 'JO', 'Jordan', 'EMRO', '2', '1088', '0', '10');
INSERT INTO public.who_import VALUES (44594, '2020-07-09', 'JO', 'Jordan', 'EMRO', '0', '1088', '0', '10');
INSERT INTO public.who_import VALUES (44595, '2020-07-10', 'JO', 'Jordan', 'EMRO', '0', '1088', '0', '10');
INSERT INTO public.who_import VALUES (44596, '2020-07-11', 'JO', 'Jordan', 'EMRO', '0', '1088', '0', '10');
INSERT INTO public.who_import VALUES (44597, '2020-07-12', 'JO', 'Jordan', 'EMRO', '1', '1089', '0', '10');
INSERT INTO public.who_import VALUES (44598, '2020-07-13', 'JO', 'Jordan', 'EMRO', '3', '1092', '0', '10');
INSERT INTO public.who_import VALUES (44599, '2020-07-14', 'JO', 'Jordan', 'EMRO', '3', '1095', '0', '10');
INSERT INTO public.who_import VALUES (44600, '2020-07-15', 'JO', 'Jordan', 'EMRO', '15', '1110', '0', '10');
INSERT INTO public.who_import VALUES (44601, '2020-07-16', 'JO', 'Jordan', 'EMRO', '3', '1113', '0', '10');
INSERT INTO public.who_import VALUES (44602, '2020-07-17', 'JO', 'Jordan', 'EMRO', '5', '1118', '0', '10');
INSERT INTO public.who_import VALUES (44603, '2020-07-18', 'JO', 'Jordan', 'EMRO', '3', '1121', '0', '10');
INSERT INTO public.who_import VALUES (44604, '2020-07-19', 'JO', 'Jordan', 'EMRO', '5', '1126', '1', '11');
INSERT INTO public.who_import VALUES (44605, '2020-07-20', 'JO', 'Jordan', 'EMRO', '4', '1130', '0', '11');
INSERT INTO public.who_import VALUES (44606, '2020-07-21', 'JO', 'Jordan', 'EMRO', '5', '1135', '0', '11');
INSERT INTO public.who_import VALUES (44607, '2020-07-22', 'JO', 'Jordan', 'EMRO', '46', '1181', '0', '11');
INSERT INTO public.who_import VALUES (44608, '2020-07-23', 'JO', 'Jordan', 'EMRO', '7', '1188', '0', '11');
INSERT INTO public.who_import VALUES (44609, '2020-07-24', 'JO', 'Jordan', 'EMRO', '11', '1199', '0', '11');
INSERT INTO public.who_import VALUES (44610, '2020-07-25', 'JO', 'Jordan', 'EMRO', '15', '1214', '0', '11');
INSERT INTO public.who_import VALUES (44611, '2020-07-26', 'JO', 'Jordan', 'EMRO', '8', '1222', '0', '11');
INSERT INTO public.who_import VALUES (44612, '2020-07-27', 'JO', 'Jordan', 'EMRO', '14', '1236', '0', '11');
INSERT INTO public.who_import VALUES (44613, '2020-07-28', 'JO', 'Jordan', 'EMRO', '8', '1244', '0', '11');
INSERT INTO public.who_import VALUES (44614, '2020-07-29', 'JO', 'Jordan', 'EMRO', '6', '1250', '0', '11');
INSERT INTO public.who_import VALUES (44615, '2020-07-30', 'JO', 'Jordan', 'EMRO', '5', '1255', '0', '11');
INSERT INTO public.who_import VALUES (44616, '2020-07-31', 'JO', 'Jordan', 'EMRO', '4', '1259', '0', '11');
INSERT INTO public.who_import VALUES (44617, '2020-08-01', 'JO', 'Jordan', 'EMRO', '2', '1261', '0', '11');
INSERT INTO public.who_import VALUES (44618, '2020-08-02', 'JO', 'Jordan', 'EMRO', '15', '1276', '0', '11');
INSERT INTO public.who_import VALUES (44619, '2020-08-03', 'JO', 'Jordan', 'EMRO', '5', '1281', '0', '11');
INSERT INTO public.who_import VALUES (44620, '2020-08-04', 'JO', 'Jordan', 'EMRO', '5', '1286', '0', '11');
INSERT INTO public.who_import VALUES (44621, '2020-08-05', 'JO', 'Jordan', 'EMRO', '6', '1292', '0', '11');
INSERT INTO public.who_import VALUES (44622, '2020-08-06', 'JO', 'Jordan', 'EMRO', '7', '1299', '0', '11');
INSERT INTO public.who_import VALUES (44623, '2020-08-07', 'JO', 'Jordan', 'EMRO', '1', '1300', '0', '11');
INSERT INTO public.who_import VALUES (44624, '2020-08-08', 'JO', 'Jordan', 'EMRO', '5', '1305', '0', '11');
INSERT INTO public.who_import VALUES (44625, '2020-08-09', 'JO', 'Jordan', 'EMRO', '9', '1314', '0', '11');
INSERT INTO public.who_import VALUES (44626, '2020-08-10', 'JO', 'Jordan', 'EMRO', '6', '1320', '0', '11');
INSERT INTO public.who_import VALUES (44627, '2020-08-11', 'JO', 'Jordan', 'EMRO', '16', '1336', '0', '11');
INSERT INTO public.who_import VALUES (44628, '2020-08-12', 'JO', 'Jordan', 'EMRO', '15', '1351', '0', '11');
INSERT INTO public.who_import VALUES (44629, '2020-08-13', 'JO', 'Jordan', 'EMRO', '20', '1371', '0', '11');
INSERT INTO public.who_import VALUES (44630, '2020-08-14', 'JO', 'Jordan', 'EMRO', '17', '1388', '0', '11');
INSERT INTO public.who_import VALUES (44631, '2020-08-15', 'JO', 'Jordan', 'EMRO', '9', '1397', '0', '11');
INSERT INTO public.who_import VALUES (44632, '2020-08-16', 'JO', 'Jordan', 'EMRO', '10', '1407', '0', '11');
INSERT INTO public.who_import VALUES (44633, '2020-08-17', 'JO', 'Jordan', 'EMRO', '39', '1446', '0', '11');
INSERT INTO public.who_import VALUES (44634, '2020-08-18', 'JO', 'Jordan', 'EMRO', '20', '1466', '0', '11');
INSERT INTO public.who_import VALUES (44635, '2020-08-19', 'JO', 'Jordan', 'EMRO', '40', '1506', '0', '11');
INSERT INTO public.who_import VALUES (44636, '2020-08-20', 'JO', 'Jordan', 'EMRO', '44', '1550', '0', '11');
INSERT INTO public.who_import VALUES (44637, '2020-08-21', 'JO', 'Jordan', 'EMRO', '16', '1566', '0', '11');
INSERT INTO public.who_import VALUES (44638, '2020-08-22', 'JO', 'Jordan', 'EMRO', '34', '1600', '0', '11');
INSERT INTO public.who_import VALUES (44639, '2020-08-23', 'JO', 'Jordan', 'EMRO', '44', '1644', '0', '11');
INSERT INTO public.who_import VALUES (44640, '2020-08-24', 'JO', 'Jordan', 'EMRO', '33', '1677', '1', '12');
INSERT INTO public.who_import VALUES (44641, '2020-08-25', 'JO', 'Jordan', 'EMRO', '30', '1707', '2', '14');
INSERT INTO public.who_import VALUES (44642, '2020-08-26', 'JO', 'Jordan', 'EMRO', '77', '1784', '0', '14');
INSERT INTO public.who_import VALUES (44643, '2020-08-27', 'JO', 'Jordan', 'EMRO', '40', '1824', '1', '15');
INSERT INTO public.who_import VALUES (44644, '2020-08-28', 'JO', 'Jordan', 'EMRO', '45', '1869', '0', '15');
INSERT INTO public.who_import VALUES (44645, '2020-08-29', 'JO', 'Jordan', 'EMRO', '68', '1937', '0', '15');
INSERT INTO public.who_import VALUES (44646, '2020-08-30', 'JO', 'Jordan', 'EMRO', '24', '1961', '0', '15');
INSERT INTO public.who_import VALUES (44647, '2020-08-31', 'JO', 'Jordan', 'EMRO', '73', '2034', '0', '15');
INSERT INTO public.who_import VALUES (44648, '2020-09-01', 'JO', 'Jordan', 'EMRO', '68', '2102', '0', '15');
INSERT INTO public.who_import VALUES (44649, '2020-09-02', 'JO', 'Jordan', 'EMRO', '63', '2165', '0', '15');
INSERT INTO public.who_import VALUES (44650, '2020-09-03', 'JO', 'Jordan', 'EMRO', '64', '2229', '0', '15');
INSERT INTO public.who_import VALUES (44651, '2020-09-04', 'JO', 'Jordan', 'EMRO', '72', '2301', '1', '16');
INSERT INTO public.who_import VALUES (44652, '2020-09-05', 'JO', 'Jordan', 'EMRO', '68', '2369', '0', '16');
INSERT INTO public.who_import VALUES (44653, '2020-09-06', 'JO', 'Jordan', 'EMRO', '52', '2421', '0', '16');
INSERT INTO public.who_import VALUES (44654, '2020-09-07', 'JO', 'Jordan', 'EMRO', '58', '2479', '0', '16');
INSERT INTO public.who_import VALUES (44655, '2020-09-08', 'JO', 'Jordan', 'EMRO', '67', '2546', '1', '17');
INSERT INTO public.who_import VALUES (44656, '2020-09-09', 'JO', 'Jordan', 'EMRO', '103', '2649', '2', '19');
INSERT INTO public.who_import VALUES (44657, '2020-09-10', 'JO', 'Jordan', 'EMRO', '78', '2727', '0', '19');
INSERT INTO public.who_import VALUES (44658, '2020-09-11', 'JO', 'Jordan', 'EMRO', '80', '2807', '1', '20');
INSERT INTO public.who_import VALUES (44659, '2020-09-12', 'JO', 'Jordan', 'EMRO', '206', '3013', '1', '21');
INSERT INTO public.who_import VALUES (44660, '2020-09-13', 'JO', 'Jordan', 'EMRO', '117', '3130', '1', '22');
INSERT INTO public.who_import VALUES (44661, '2020-09-14', 'JO', 'Jordan', 'EMRO', '252', '3382', '2', '24');
INSERT INTO public.who_import VALUES (44662, '2020-09-15', 'JO', 'Jordan', 'EMRO', '214', '3596', '2', '26');
INSERT INTO public.who_import VALUES (44663, '2020-09-16', 'JO', 'Jordan', 'EMRO', '149', '3745', '0', '26');
INSERT INTO public.who_import VALUES (44664, '2020-09-17', 'JO', 'Jordan', 'EMRO', '175', '3920', '0', '26');
INSERT INTO public.who_import VALUES (44665, '2020-09-18', 'JO', 'Jordan', 'EMRO', '279', '4199', '0', '26');
INSERT INTO public.who_import VALUES (44666, '2020-09-19', 'JO', 'Jordan', 'EMRO', '213', '4412', '3', '29');
INSERT INTO public.who_import VALUES (44667, '2020-09-20', 'JO', 'Jordan', 'EMRO', '196', '4608', '1', '30');
INSERT INTO public.who_import VALUES (44668, '2020-09-21', 'JO', 'Jordan', 'EMRO', '239', '4847', '0', '30');
INSERT INTO public.who_import VALUES (44669, '2020-09-22', 'JO', 'Jordan', 'EMRO', '266', '5113', '2', '32');
INSERT INTO public.who_import VALUES (44670, '2020-09-23', 'JO', 'Jordan', 'EMRO', '634', '5747', '1', '33');
INSERT INTO public.who_import VALUES (44671, '2020-09-24', 'JO', 'Jordan', 'EMRO', '363', '6110', '2', '35');
INSERT INTO public.who_import VALUES (44672, '2020-09-25', 'JO', 'Jordan', 'EMRO', '549', '6659', '1', '36');
INSERT INTO public.who_import VALUES (44673, '2020-09-26', 'JO', 'Jordan', 'EMRO', '620', '7279', '3', '39');
INSERT INTO public.who_import VALUES (44674, '2020-09-27', 'JO', 'Jordan', 'EMRO', '850', '8129', '4', '43');
INSERT INTO public.who_import VALUES (44675, '2020-09-28', 'JO', 'Jordan', 'EMRO', '431', '8560', '2', '45');
INSERT INTO public.who_import VALUES (44676, '2020-09-29', 'JO', 'Jordan', 'EMRO', '734', '9294', '6', '51');
INSERT INTO public.who_import VALUES (44677, '2020-09-30', 'JO', 'Jordan', 'EMRO', '823', '10117', '6', '57');
INSERT INTO public.who_import VALUES (44678, '2020-10-01', 'JO', 'Jordan', 'EMRO', '1776', '11893', '4', '61');
INSERT INTO public.who_import VALUES (44679, '2020-10-02', 'JO', 'Jordan', 'EMRO', '1276', '13169', '8', '69');
INSERT INTO public.who_import VALUES (44680, '2020-10-03', 'JO', 'Jordan', 'EMRO', '549', '13718', '10', '79');
INSERT INTO public.who_import VALUES (44681, '2020-10-04', 'JO', 'Jordan', 'EMRO', '1099', '14817', '9', '88');
INSERT INTO public.who_import VALUES (44682, '2020-10-05', 'JO', 'Jordan', 'EMRO', '891', '15708', '13', '101');
INSERT INTO public.who_import VALUES (44683, '2020-10-06', 'JO', 'Jordan', 'EMRO', '1824', '17532', '9', '110');
INSERT INTO public.who_import VALUES (44684, '2020-10-07', 'JO', 'Jordan', 'EMRO', '1537', '19069', '12', '122');
INSERT INTO public.who_import VALUES (44685, '2020-10-08', 'JO', 'Jordan', 'EMRO', '1199', '20268', '9', '131');
INSERT INTO public.who_import VALUES (44686, '2020-10-09', 'JO', 'Jordan', 'EMRO', '1317', '21585', '13', '144');
INSERT INTO public.who_import VALUES (44687, '2020-10-10', 'JO', 'Jordan', 'EMRO', '1246', '22831', '22', '166');
INSERT INTO public.who_import VALUES (44688, '2020-10-11', 'JO', 'Jordan', 'EMRO', '1235', '24066', '15', '181');
INSERT INTO public.who_import VALUES (44689, '2020-10-12', 'JO', 'Jordan', 'EMRO', '928', '24994', '10', '191');
INSERT INTO public.who_import VALUES (44690, '2020-10-13', 'JO', 'Jordan', 'EMRO', '1147', '26141', '16', '207');
INSERT INTO public.who_import VALUES (44691, '2020-10-14', 'JO', 'Jordan', 'EMRO', '2054', '28195', '18', '225');
INSERT INTO public.who_import VALUES (44692, '2020-10-15', 'JO', 'Jordan', 'EMRO', '2423', '30618', '32', '257');
INSERT INTO public.who_import VALUES (44693, '2020-10-16', 'JO', 'Jordan', 'EMRO', '2459', '33077', '25', '282');
INSERT INTO public.who_import VALUES (44694, '2020-10-17', 'JO', 'Jordan', 'EMRO', '1539', '34616', '28', '310');
INSERT INTO public.who_import VALUES (44695, '2020-10-18', 'JO', 'Jordan', 'EMRO', '1505', '36121', '20', '330');
INSERT INTO public.who_import VALUES (44696, '2020-10-19', 'JO', 'Jordan', 'EMRO', '1520', '37641', '15', '345');
INSERT INTO public.who_import VALUES (44697, '2020-10-20', 'JO', 'Jordan', 'EMRO', '1364', '39005', '35', '380');
INSERT INTO public.who_import VALUES (44698, '2020-10-21', 'JO', 'Jordan', 'EMRO', '2035', '41040', '34', '414');
INSERT INTO public.who_import VALUES (44699, '2020-10-22', 'JO', 'Jordan', 'EMRO', '2580', '43620', '29', '443');
INSERT INTO public.who_import VALUES (44700, '2020-10-23', 'JO', 'Jordan', 'EMRO', '2821', '46441', '38', '481');
INSERT INTO public.who_import VALUES (44701, '2020-10-24', 'JO', 'Jordan', 'EMRO', '2489', '48930', '27', '508');
INSERT INTO public.who_import VALUES (44702, '2020-10-25', 'JO', 'Jordan', 'EMRO', '1820', '50750', '32', '540');
INSERT INTO public.who_import VALUES (44703, '2020-10-26', 'JO', 'Jordan', 'EMRO', '2337', '53087', '39', '579');
INSERT INTO public.who_import VALUES (44704, '2020-10-27', 'JO', 'Jordan', 'EMRO', '1968', '55055', '45', '624');
INSERT INTO public.who_import VALUES (44705, '2020-10-28', 'JO', 'Jordan', 'EMRO', '3800', '58855', '44', '668');
INSERT INTO public.who_import VALUES (44706, '2020-10-29', 'JO', 'Jordan', 'EMRO', '3087', '61942', '32', '700');
INSERT INTO public.who_import VALUES (44707, '2020-10-30', 'JO', 'Jordan', 'EMRO', '3443', '65385', '40', '740');
INSERT INTO public.who_import VALUES (44708, '2020-10-31', 'JO', 'Jordan', 'EMRO', '3921', '69306', '32', '772');
INSERT INTO public.who_import VALUES (44709, '2020-11-01', 'JO', 'Jordan', 'EMRO', '3301', '72607', '57', '829');
INSERT INTO public.who_import VALUES (44710, '2020-11-02', 'JO', 'Jordan', 'EMRO', '3259', '75866', '37', '866');
INSERT INTO public.who_import VALUES (44711, '2020-11-03', 'JO', 'Jordan', 'EMRO', '5877', '81743', '47', '913');
INSERT INTO public.who_import VALUES (44712, '2020-11-04', 'JO', 'Jordan', 'EMRO', '4833', '86576', '54', '967');
INSERT INTO public.who_import VALUES (44713, '2020-11-05', 'JO', 'Jordan', 'EMRO', '4658', '91234', '62', '1029');
INSERT INTO public.who_import VALUES (44714, '2020-11-06', 'JO', 'Jordan', 'EMRO', '4630', '95864', '40', '1069');
INSERT INTO public.who_import VALUES (44715, '2020-11-07', 'JO', 'Jordan', 'EMRO', '5384', '101248', '67', '1136');
INSERT INTO public.who_import VALUES (44716, '2020-11-08', 'JO', 'Jordan', 'EMRO', '3554', '104802', '45', '1181');
INSERT INTO public.who_import VALUES (44717, '2020-11-09', 'JO', 'Jordan', 'EMRO', '4519', '109321', '52', '1233');
INSERT INTO public.who_import VALUES (44718, '2020-11-10', 'JO', 'Jordan', 'EMRO', '5665', '114986', '62', '1295');
INSERT INTO public.who_import VALUES (44719, '2020-11-11', 'JO', 'Jordan', 'EMRO', '5996', '120982', '91', '1386');
INSERT INTO public.who_import VALUES (44720, '2020-11-12', 'JO', 'Jordan', 'EMRO', '5419', '126401', '81', '1467');
INSERT INTO public.who_import VALUES (44721, '2020-11-13', 'JO', 'Jordan', 'EMRO', '5685', '132086', '80', '1547');
INSERT INTO public.who_import VALUES (44722, '2020-11-14', 'JO', 'Jordan', 'EMRO', '4469', '136555', '71', '1618');
INSERT INTO public.who_import VALUES (44723, '2020-11-15', 'JO', 'Jordan', 'EMRO', '4750', '141305', '86', '1704');
INSERT INTO public.who_import VALUES (44724, '2020-11-16', 'JO', 'Jordan', 'EMRO', '2373', '143678', '68', '1772');
INSERT INTO public.who_import VALUES (44725, '2020-11-17', 'JO', 'Jordan', 'EMRO', '5861', '149539', '71', '1843');
INSERT INTO public.who_import VALUES (44726, '2020-11-18', 'JO', 'Jordan', 'EMRO', '6454', '155993', '66', '1909');
INSERT INTO public.who_import VALUES (44727, '2020-11-19', 'JO', 'Jordan', 'EMRO', '7933', '163926', '60', '1969');
INSERT INTO public.who_import VALUES (44728, '2020-11-20', 'JO', 'Jordan', 'EMRO', '5470', '169396', '84', '2053');
INSERT INTO public.who_import VALUES (44729, '2020-11-21', 'JO', 'Jordan', 'EMRO', '4939', '174335', '63', '2116');
INSERT INTO public.who_import VALUES (44730, '2020-11-22', 'JO', 'Jordan', 'EMRO', '3826', '178161', '56', '2172');
INSERT INTO public.who_import VALUES (44731, '2020-11-23', 'JO', 'Jordan', 'EMRO', '5268', '183429', '64', '2236');
INSERT INTO public.who_import VALUES (44732, '2020-11-24', 'JO', 'Jordan', 'EMRO', '4981', '188410', '66', '2302');
INSERT INTO public.who_import VALUES (44733, '2020-11-25', 'JO', 'Jordan', 'EMRO', '4586', '192996', '78', '2380');
INSERT INTO public.who_import VALUES (44734, '2020-11-26', 'JO', 'Jordan', 'EMRO', '5025', '198021', '62', '2442');
INSERT INTO public.who_import VALUES (44735, '2020-11-27', 'JO', 'Jordan', 'EMRO', '5000', '203021', '67', '2509');
INSERT INTO public.who_import VALUES (44736, '2020-11-28', 'JO', 'Jordan', 'EMRO', '4580', '207601', '61', '2570');
INSERT INTO public.who_import VALUES (44737, '2020-11-29', 'JO', 'Jordan', 'EMRO', '3108', '210709', '56', '2626');
INSERT INTO public.who_import VALUES (44738, '2020-11-30', 'JO', 'Jordan', 'EMRO', '3598', '214307', '68', '2694');
INSERT INTO public.who_import VALUES (44739, '2020-12-01', 'JO', 'Jordan', 'EMRO', '5123', '219430', '57', '2751');
INSERT INTO public.who_import VALUES (44740, '2020-12-02', 'JO', 'Jordan', 'EMRO', '4187', '223617', '51', '2802');
INSERT INTO public.who_import VALUES (44741, '2020-12-03', 'JO', 'Jordan', 'EMRO', '3591', '227208', '52', '2854');
INSERT INTO public.who_import VALUES (44742, '2020-12-04', 'JO', 'Jordan', 'EMRO', '4029', '231237', '55', '2909');
INSERT INTO public.who_import VALUES (44743, '2020-12-05', 'JO', 'Jordan', 'EMRO', '3116', '234353', '51', '2960');
INSERT INTO public.who_import VALUES (44744, '2020-12-06', 'JO', 'Jordan', 'EMRO', '3160', '237513', '50', '3010');
INSERT INTO public.who_import VALUES (44745, '2020-12-07', 'JO', 'Jordan', 'EMRO', '2576', '240089', '46', '3056');
INSERT INTO public.who_import VALUES (44746, '2020-12-08', 'JO', 'Jordan', 'EMRO', '3980', '244069', '60', '3116');
INSERT INTO public.who_import VALUES (44747, '2020-12-09', 'JO', 'Jordan', 'EMRO', '3062', '247131', '46', '3162');
INSERT INTO public.who_import VALUES (44748, '2020-12-10', 'JO', 'Jordan', 'EMRO', '3088', '250219', '44', '3206');
INSERT INTO public.who_import VALUES (44749, '2020-12-11', 'JO', 'Jordan', 'EMRO', '2902', '253121', '44', '3250');
INSERT INTO public.who_import VALUES (44750, '2020-12-12', 'JO', 'Jordan', 'EMRO', '2338', '255459', '36', '3286');
INSERT INTO public.who_import VALUES (44751, '2020-12-13', 'JO', 'Jordan', 'EMRO', '1816', '257275', '49', '3335');
INSERT INTO public.who_import VALUES (44752, '2020-12-14', 'JO', 'Jordan', 'EMRO', '2339', '259614', '30', '3365');
INSERT INTO public.who_import VALUES (44753, '2020-12-15', 'JO', 'Jordan', 'EMRO', '2863', '262477', '42', '3407');
INSERT INTO public.who_import VALUES (44754, '2020-12-16', 'JO', 'Jordan', 'EMRO', '2547', '265024', '30', '3437');
INSERT INTO public.who_import VALUES (44755, '2020-12-17', 'JO', 'Jordan', 'EMRO', '2561', '267585', '28', '3465');
INSERT INTO public.who_import VALUES (44756, '2020-12-18', 'JO', 'Jordan', 'EMRO', '2221', '269806', '31', '3496');
INSERT INTO public.who_import VALUES (44757, '2020-12-19', 'JO', 'Jordan', 'EMRO', '1708', '271514', '22', '3518');
INSERT INTO public.who_import VALUES (44758, '2020-12-20', 'JO', 'Jordan', 'EMRO', '1283', '272797', '27', '3545');
INSERT INTO public.who_import VALUES (44759, '2020-12-21', 'JO', 'Jordan', 'EMRO', '2152', '274949', '23', '3568');
INSERT INTO public.who_import VALUES (44760, '2020-12-22', 'JO', 'Jordan', 'EMRO', '2499', '277448', '36', '3604');
INSERT INTO public.who_import VALUES (44761, '2020-12-23', 'JO', 'Jordan', 'EMRO', '2444', '279892', '23', '3627');
INSERT INTO public.who_import VALUES (44762, '2020-12-24', 'JO', 'Jordan', 'EMRO', '2091', '281983', '25', '3652');
INSERT INTO public.who_import VALUES (44763, '2020-12-25', 'JO', 'Jordan', 'EMRO', '1707', '283690', '29', '3681');
INSERT INTO public.who_import VALUES (44764, '2020-12-26', 'JO', 'Jordan', 'EMRO', '1616', '285306', '30', '3711');
INSERT INTO public.who_import VALUES (44765, '2020-12-27', 'JO', 'Jordan', 'EMRO', '1050', '286356', '18', '3729');
INSERT INTO public.who_import VALUES (44766, '2020-12-28', 'JO', 'Jordan', 'EMRO', '1590', '287946', '29', '3758');
INSERT INTO public.who_import VALUES (44767, '2020-12-29', 'JO', 'Jordan', 'EMRO', '1802', '289748', '20', '3778');
INSERT INTO public.who_import VALUES (44768, '2020-12-30', 'JO', 'Jordan', 'EMRO', '1645', '291393', '23', '3801');
INSERT INTO public.who_import VALUES (44769, '2020-12-31', 'JO', 'Jordan', 'EMRO', '1674', '293067', '14', '3815');
INSERT INTO public.who_import VALUES (44770, '2021-01-01', 'JO', 'Jordan', 'EMRO', '1427', '294494', '19', '3834');
INSERT INTO public.who_import VALUES (44771, '2021-01-02', 'JO', 'Jordan', 'EMRO', '1271', '295765', '17', '3851');
INSERT INTO public.who_import VALUES (44772, '2021-01-03', 'JO', 'Jordan', 'EMRO', '903', '296668', '26', '3877');
INSERT INTO public.who_import VALUES (44773, '2021-01-04', 'JO', 'Jordan', 'EMRO', '1540', '298208', '26', '3903');
INSERT INTO public.who_import VALUES (44774, '2021-01-05', 'JO', 'Jordan', 'EMRO', '1623', '299831', '16', '3919');
INSERT INTO public.who_import VALUES (44775, '2021-01-06', 'JO', 'Jordan', 'EMRO', '1472', '301303', '21', '3940');
INSERT INTO public.who_import VALUES (44776, '2021-01-07', 'JO', 'Jordan', 'EMRO', '1553', '302856', '15', '3955');
INSERT INTO public.who_import VALUES (44777, '2021-01-08', 'JO', 'Jordan', 'EMRO', '1215', '304071', '13', '3968');
INSERT INTO public.who_import VALUES (44778, '2021-01-09', 'JO', 'Jordan', 'EMRO', '1092', '305163', '21', '3989');
INSERT INTO public.who_import VALUES (44779, '2021-01-10', 'JO', 'Jordan', 'EMRO', '796', '305959', '20', '4009');
INSERT INTO public.who_import VALUES (44780, '2021-01-11', 'JO', 'Jordan', 'EMRO', '1250', '307209', '15', '4024');
INSERT INTO public.who_import VALUES (44781, '2021-01-12', 'JO', 'Jordan', 'EMRO', '1461', '308670', '19', '4043');
INSERT INTO public.who_import VALUES (44782, '2021-01-13', 'JO', 'Jordan', 'EMRO', '1176', '309846', '33', '4076');
INSERT INTO public.who_import VALUES (44783, '2021-01-14', 'JO', 'Jordan', 'EMRO', '1122', '310968', '15', '4091');
INSERT INTO public.who_import VALUES (44784, '2021-01-15', 'JO', 'Jordan', 'EMRO', '1075', '312043', '16', '4107');
INSERT INTO public.who_import VALUES (44785, '2021-01-16', 'JO', 'Jordan', 'EMRO', '808', '312851', '14', '4121');
INSERT INTO public.who_import VALUES (44786, '2021-01-17', 'JO', 'Jordan', 'EMRO', '706', '313557', '16', '4137');
INSERT INTO public.who_import VALUES (44787, '2021-01-18', 'JO', 'Jordan', 'EMRO', '957', '314514', '8', '4145');
INSERT INTO public.who_import VALUES (44788, '2021-01-19', 'JO', 'Jordan', 'EMRO', '1030', '315544', '8', '4153');
INSERT INTO public.who_import VALUES (44789, '2021-01-20', 'JO', 'Jordan', 'EMRO', '883', '316427', '17', '4170');
INSERT INTO public.who_import VALUES (44790, '2021-01-21', 'JO', 'Jordan', 'EMRO', '978', '317405', '17', '4187');
INSERT INTO public.who_import VALUES (44791, '2021-01-22', 'JO', 'Jordan', 'EMRO', '776', '318181', '11', '4198');
INSERT INTO public.who_import VALUES (44792, '2021-01-23', 'JO', 'Jordan', 'EMRO', '730', '318911', '9', '4207');
INSERT INTO public.who_import VALUES (44793, '2021-01-24', 'JO', 'Jordan', 'EMRO', '608', '319519', '10', '4217');
INSERT INTO public.who_import VALUES (44794, '2021-01-25', 'JO', 'Jordan', 'EMRO', '934', '320453', '7', '4224');
INSERT INTO public.who_import VALUES (44795, '2021-01-26', 'JO', 'Jordan', 'EMRO', '845', '321298', '15', '4239');
INSERT INTO public.who_import VALUES (44796, '2021-01-27', 'JO', 'Jordan', 'EMRO', '943', '322241', '9', '4248');
INSERT INTO public.who_import VALUES (44797, '2021-01-28', 'JO', 'Jordan', 'EMRO', '870', '323111', '14', '4262');
INSERT INTO public.who_import VALUES (44798, '2021-01-29', 'JO', 'Jordan', 'EMRO', '1058', '324169', '7', '4269');
INSERT INTO public.who_import VALUES (44799, '2021-01-30', 'JO', 'Jordan', 'EMRO', '864', '325033', '12', '4281');
INSERT INTO public.who_import VALUES (44800, '2021-01-31', 'JO', 'Jordan', 'EMRO', '641', '325674', '23', '4304');
INSERT INTO public.who_import VALUES (44801, '2021-02-01', 'JO', 'Jordan', 'EMRO', '1181', '326855', '12', '4316');
INSERT INTO public.who_import VALUES (44802, '2021-02-02', 'JO', 'Jordan', 'EMRO', '1207', '328062', '10', '4326');
INSERT INTO public.who_import VALUES (44803, '2021-02-03', 'JO', 'Jordan', 'EMRO', '1132', '329194', '8', '4334');
INSERT INTO public.who_import VALUES (44804, '2021-02-04', 'JO', 'Jordan', 'EMRO', '1280', '330474', '10', '4344');
INSERT INTO public.who_import VALUES (44805, '2021-02-05', 'JO', 'Jordan', 'EMRO', '1294', '331768', '10', '4354');
INSERT INTO public.who_import VALUES (44806, '2021-02-06', 'JO', 'Jordan', 'EMRO', '1222', '332990', '8', '4362');
INSERT INTO public.who_import VALUES (44807, '2021-02-07', 'JO', 'Jordan', 'EMRO', '865', '333855', '7', '4369');
INSERT INTO public.who_import VALUES (44808, '2021-02-08', 'JO', 'Jordan', 'EMRO', '1299', '335154', '10', '4379');
INSERT INTO public.who_import VALUES (44809, '2021-02-09', 'JO', 'Jordan', 'EMRO', '1685', '336839', '6', '4385');
INSERT INTO public.who_import VALUES (44810, '2021-02-10', 'JO', 'Jordan', 'EMRO', '1483', '338322', '10', '4395');
INSERT INTO public.who_import VALUES (44811, '2021-02-11', 'JO', 'Jordan', 'EMRO', '1855', '340177', '16', '4411');
INSERT INTO public.who_import VALUES (44812, '2021-02-12', 'JO', 'Jordan', 'EMRO', '1807', '341984', '10', '4421');
INSERT INTO public.who_import VALUES (44813, '2021-02-13', 'JO', 'Jordan', 'EMRO', '1579', '343563', '12', '4433');
INSERT INTO public.who_import VALUES (44814, '2021-02-14', 'JO', 'Jordan', 'EMRO', '1240', '344803', '11', '4444');
INSERT INTO public.who_import VALUES (44815, '2021-02-15', 'JO', 'Jordan', 'EMRO', '2447', '347250', '11', '4455');
INSERT INTO public.who_import VALUES (44816, '2021-02-16', 'JO', 'Jordan', 'EMRO', '2312', '349562', '18', '4473');
INSERT INTO public.who_import VALUES (44817, '2021-02-17', 'JO', 'Jordan', 'EMRO', '2657', '352219', '18', '4491');
INSERT INTO public.who_import VALUES (44818, '2021-02-18', 'JO', 'Jordan', 'EMRO', '2887', '355106', '12', '4503');
INSERT INTO public.who_import VALUES (44819, '2021-02-19', 'JO', 'Jordan', 'EMRO', '1638', '356744', '9', '4512');
INSERT INTO public.who_import VALUES (44820, '2021-02-20', 'JO', 'Jordan', 'EMRO', '867', '357611', '16', '4528');
INSERT INTO public.who_import VALUES (44821, '2020-01-03', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44822, '2020-01-04', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44823, '2020-01-05', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44824, '2020-01-06', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44825, '2020-01-07', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44826, '2020-01-08', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44827, '2020-01-09', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44828, '2020-01-10', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44829, '2020-01-11', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44830, '2020-01-12', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44831, '2020-01-13', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44832, '2020-01-14', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44833, '2020-01-15', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44834, '2020-01-16', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44835, '2020-01-17', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44836, '2020-01-18', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44837, '2020-01-19', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44838, '2020-01-20', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44839, '2020-01-21', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44840, '2020-01-22', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44841, '2020-01-23', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44842, '2020-01-24', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44843, '2020-01-25', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44844, '2020-01-26', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44845, '2020-01-27', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44846, '2020-01-28', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44847, '2020-01-29', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44848, '2020-01-30', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44849, '2020-01-31', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44850, '2020-02-01', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44851, '2020-02-02', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44852, '2020-02-03', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44853, '2020-02-04', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44854, '2020-02-05', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44855, '2020-02-06', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44856, '2020-02-07', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44857, '2020-02-08', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44858, '2020-02-09', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44859, '2020-02-10', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44860, '2020-02-11', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44861, '2020-02-12', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44862, '2020-02-13', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44863, '2020-02-14', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44864, '2020-02-15', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44865, '2020-02-16', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44866, '2020-02-17', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44867, '2020-02-18', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44868, '2020-02-19', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44869, '2020-02-20', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44870, '2020-02-21', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44871, '2020-02-22', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44872, '2020-02-23', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44873, '2020-02-24', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44874, '2020-02-25', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44875, '2020-02-26', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44876, '2020-02-27', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44877, '2020-02-28', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44878, '2020-02-29', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44879, '2020-03-01', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44880, '2020-03-02', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44881, '2020-03-03', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44882, '2020-03-04', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44883, '2020-03-05', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44884, '2020-03-06', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44885, '2020-03-07', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44886, '2020-03-08', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44887, '2020-03-09', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44888, '2020-03-10', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44889, '2020-03-11', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44890, '2020-03-12', 'KZ', 'Kazakhstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (44891, '2020-03-13', 'KZ', 'Kazakhstan', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (44892, '2020-03-14', 'KZ', 'Kazakhstan', 'EURO', '4', '6', '0', '0');
INSERT INTO public.who_import VALUES (44893, '2020-03-15', 'KZ', 'Kazakhstan', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (44894, '2020-03-16', 'KZ', 'Kazakhstan', 'EURO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (44895, '2020-03-17', 'KZ', 'Kazakhstan', 'EURO', '27', '33', '0', '0');
INSERT INTO public.who_import VALUES (44896, '2020-03-18', 'KZ', 'Kazakhstan', 'EURO', '2', '35', '0', '0');
INSERT INTO public.who_import VALUES (44897, '2020-03-19', 'KZ', 'Kazakhstan', 'EURO', '11', '46', '0', '0');
INSERT INTO public.who_import VALUES (44898, '2020-03-20', 'KZ', 'Kazakhstan', 'EURO', '7', '53', '0', '0');
INSERT INTO public.who_import VALUES (44899, '2020-03-21', 'KZ', 'Kazakhstan', 'EURO', '4', '57', '0', '0');
INSERT INTO public.who_import VALUES (44900, '2020-03-22', 'KZ', 'Kazakhstan', 'EURO', '5', '62', '0', '0');
INSERT INTO public.who_import VALUES (44901, '2020-03-23', 'KZ', 'Kazakhstan', 'EURO', '10', '72', '0', '0');
INSERT INTO public.who_import VALUES (44902, '2020-03-24', 'KZ', 'Kazakhstan', 'EURO', '10', '82', '0', '0');
INSERT INTO public.who_import VALUES (44903, '2020-03-25', 'KZ', 'Kazakhstan', 'EURO', '15', '97', '0', '0');
INSERT INTO public.who_import VALUES (44904, '2020-03-26', 'KZ', 'Kazakhstan', 'EURO', '53', '150', '0', '0');
INSERT INTO public.who_import VALUES (44905, '2020-03-27', 'KZ', 'Kazakhstan', 'EURO', '78', '228', '1', '1');
INSERT INTO public.who_import VALUES (44906, '2020-03-28', 'KZ', 'Kazakhstan', 'EURO', '56', '284', '0', '1');
INSERT INTO public.who_import VALUES (44907, '2020-03-29', 'KZ', 'Kazakhstan', 'EURO', '28', '312', '0', '1');
INSERT INTO public.who_import VALUES (44908, '2020-03-30', 'KZ', 'Kazakhstan', 'EURO', '0', '312', '0', '1');
INSERT INTO public.who_import VALUES (44909, '2020-03-31', 'KZ', 'Kazakhstan', 'EURO', '36', '348', '1', '2');
INSERT INTO public.who_import VALUES (44910, '2020-04-01', 'KZ', 'Kazakhstan', 'EURO', '38', '386', '1', '3');
INSERT INTO public.who_import VALUES (44911, '2020-04-02', 'KZ', 'Kazakhstan', 'EURO', '49', '435', '0', '3');
INSERT INTO public.who_import VALUES (44912, '2020-04-03', 'KZ', 'Kazakhstan', 'EURO', '25', '460', '0', '3');
INSERT INTO public.who_import VALUES (44913, '2020-04-04', 'KZ', 'Kazakhstan', 'EURO', '71', '531', '2', '5');
INSERT INTO public.who_import VALUES (44914, '2020-04-05', 'KZ', 'Kazakhstan', 'EURO', '73', '604', '0', '5');
INSERT INTO public.who_import VALUES (44915, '2020-04-06', 'KZ', 'Kazakhstan', 'EURO', '66', '670', '1', '6');
INSERT INTO public.who_import VALUES (44916, '2020-04-07', 'KZ', 'Kazakhstan', 'EURO', '39', '709', '0', '6');
INSERT INTO public.who_import VALUES (44917, '2020-04-08', 'KZ', 'Kazakhstan', 'EURO', '18', '727', '1', '7');
INSERT INTO public.who_import VALUES (44918, '2020-04-09', 'KZ', 'Kazakhstan', 'EURO', '75', '802', '2', '9');
INSERT INTO public.who_import VALUES (44919, '2020-04-10', 'KZ', 'Kazakhstan', 'EURO', '57', '859', '1', '10');
INSERT INTO public.who_import VALUES (44920, '2020-04-11', 'KZ', 'Kazakhstan', 'EURO', '38', '897', '0', '10');
INSERT INTO public.who_import VALUES (44921, '2020-04-12', 'KZ', 'Kazakhstan', 'EURO', '82', '979', '2', '12');
INSERT INTO public.who_import VALUES (44922, '2020-04-13', 'KZ', 'Kazakhstan', 'EURO', '112', '1091', '0', '12');
INSERT INTO public.who_import VALUES (44923, '2020-04-14', 'KZ', 'Kazakhstan', 'EURO', '184', '1275', '0', '12');
INSERT INTO public.who_import VALUES (44924, '2020-04-15', 'KZ', 'Kazakhstan', 'EURO', '20', '1295', '4', '16');
INSERT INTO public.who_import VALUES (44925, '2020-04-16', 'KZ', 'Kazakhstan', 'EURO', '185', '1480', '0', '16');
INSERT INTO public.who_import VALUES (44926, '2020-04-17', 'KZ', 'Kazakhstan', 'EURO', '66', '1546', '1', '17');
INSERT INTO public.who_import VALUES (44927, '2020-04-18', 'KZ', 'Kazakhstan', 'EURO', '81', '1627', '2', '19');
INSERT INTO public.who_import VALUES (44928, '2020-04-19', 'KZ', 'Kazakhstan', 'EURO', '141', '1768', '0', '19');
INSERT INTO public.who_import VALUES (44929, '2020-04-20', 'KZ', 'Kazakhstan', 'EURO', '84', '1852', '0', '19');
INSERT INTO public.who_import VALUES (44930, '2020-04-21', 'KZ', 'Kazakhstan', 'EURO', '143', '1995', '0', '19');
INSERT INTO public.who_import VALUES (44931, '2020-04-22', 'KZ', 'Kazakhstan', 'EURO', '30', '2025', '0', '19');
INSERT INTO public.who_import VALUES (44932, '2020-04-23', 'KZ', 'Kazakhstan', 'EURO', '0', '2025', '0', '19');
INSERT INTO public.who_import VALUES (44933, '2020-04-24', 'KZ', 'Kazakhstan', 'EURO', '391', '2416', '6', '25');
INSERT INTO public.who_import VALUES (44934, '2020-04-25', 'KZ', 'Kazakhstan', 'EURO', '185', '2601', '0', '25');
INSERT INTO public.who_import VALUES (44935, '2020-04-26', 'KZ', 'Kazakhstan', 'EURO', '190', '2791', '0', '25');
INSERT INTO public.who_import VALUES (44936, '2020-04-27', 'KZ', 'Kazakhstan', 'EURO', '191', '2982', '0', '25');
INSERT INTO public.who_import VALUES (44937, '2020-04-28', 'KZ', 'Kazakhstan', 'EURO', '96', '3078', '0', '25');
INSERT INTO public.who_import VALUES (44938, '2020-04-29', 'KZ', 'Kazakhstan', 'EURO', '255', '3333', '0', '25');
INSERT INTO public.who_import VALUES (44939, '2020-04-30', 'KZ', 'Kazakhstan', 'EURO', '218', '3551', '0', '25');
INSERT INTO public.who_import VALUES (44940, '2020-05-01', 'KZ', 'Kazakhstan', 'EURO', '234', '3785', '0', '25');
INSERT INTO public.who_import VALUES (44941, '2020-05-02', 'KZ', 'Kazakhstan', 'EURO', '92', '3877', '1', '26');
INSERT INTO public.who_import VALUES (44942, '2020-05-03', 'KZ', 'Kazakhstan', 'EURO', '111', '3988', '1', '27');
INSERT INTO public.who_import VALUES (44943, '2020-05-04', 'KZ', 'Kazakhstan', 'EURO', '172', '4160', '2', '29');
INSERT INTO public.who_import VALUES (44944, '2020-05-05', 'KZ', 'Kazakhstan', 'EURO', '138', '4298', '0', '29');
INSERT INTO public.who_import VALUES (44945, '2020-05-06', 'KZ', 'Kazakhstan', 'EURO', '211', '4509', '1', '30');
INSERT INTO public.who_import VALUES (44946, '2020-05-07', 'KZ', 'Kazakhstan', 'EURO', '69', '4578', '0', '30');
INSERT INTO public.who_import VALUES (44947, '2020-05-08', 'KZ', 'Kazakhstan', 'EURO', '344', '4922', '1', '31');
INSERT INTO public.who_import VALUES (44948, '2020-05-09', 'KZ', 'Kazakhstan', 'EURO', '134', '5056', '0', '31');
INSERT INTO public.who_import VALUES (44949, '2020-05-10', 'KZ', 'Kazakhstan', 'EURO', '82', '5138', '0', '31');
INSERT INTO public.who_import VALUES (44950, '2020-05-11', 'KZ', 'Kazakhstan', 'EURO', '69', '5207', '1', '32');
INSERT INTO public.who_import VALUES (44951, '2020-05-12', 'KZ', 'Kazakhstan', 'EURO', '210', '5417', '0', '32');
INSERT INTO public.who_import VALUES (44952, '2020-05-13', 'KZ', 'Kazakhstan', 'EURO', '154', '5571', '1', '33');
INSERT INTO public.who_import VALUES (44953, '2020-05-14', 'KZ', 'Kazakhstan', 'EURO', '118', '5689', '1', '34');
INSERT INTO public.who_import VALUES (44954, '2020-05-15', 'KZ', 'Kazakhstan', 'EURO', '161', '5850', '0', '34');
INSERT INTO public.who_import VALUES (44955, '2020-05-16', 'KZ', 'Kazakhstan', 'EURO', '307', '6157', '0', '34');
INSERT INTO public.who_import VALUES (44956, '2020-05-17', 'KZ', 'Kazakhstan', 'EURO', '283', '6440', '0', '34');
INSERT INTO public.who_import VALUES (44957, '2020-05-18', 'KZ', 'Kazakhstan', 'EURO', '311', '6751', '1', '35');
INSERT INTO public.who_import VALUES (44958, '2020-05-19', 'KZ', 'Kazakhstan', 'EURO', '218', '6969', '0', '35');
INSERT INTO public.who_import VALUES (44959, '2020-05-20', 'KZ', 'Kazakhstan', 'EURO', '265', '7234', '0', '35');
INSERT INTO public.who_import VALUES (44960, '2020-05-21', 'KZ', 'Kazakhstan', 'EURO', '363', '7597', '0', '35');
INSERT INTO public.who_import VALUES (44961, '2020-05-22', 'KZ', 'Kazakhstan', 'EURO', '322', '7919', '0', '35');
INSERT INTO public.who_import VALUES (44962, '2020-05-23', 'KZ', 'Kazakhstan', 'EURO', '403', '8322', '0', '35');
INSERT INTO public.who_import VALUES (44963, '2020-05-24', 'KZ', 'Kazakhstan', 'EURO', '209', '8531', '0', '35');
INSERT INTO public.who_import VALUES (44964, '2020-05-25', 'KZ', 'Kazakhstan', 'EURO', '438', '8969', '0', '35');
INSERT INTO public.who_import VALUES (44965, '2020-05-26', 'KZ', 'Kazakhstan', 'EURO', '335', '9304', '2', '37');
INSERT INTO public.who_import VALUES (44966, '2020-05-27', 'KZ', 'Kazakhstan', 'EURO', '272', '9576', '0', '37');
INSERT INTO public.who_import VALUES (44967, '2020-05-28', 'KZ', 'Kazakhstan', 'EURO', '356', '9932', '0', '37');
INSERT INTO public.who_import VALUES (44968, '2020-05-29', 'KZ', 'Kazakhstan', 'EURO', '450', '10382', '0', '37');
INSERT INTO public.who_import VALUES (44969, '2020-05-30', 'KZ', 'Kazakhstan', 'EURO', '476', '10858', '1', '38');
INSERT INTO public.who_import VALUES (44970, '2020-05-31', 'KZ', 'Kazakhstan', 'EURO', '450', '11308', '3', '41');
INSERT INTO public.who_import VALUES (44971, '2020-06-01', 'KZ', 'Kazakhstan', 'EURO', '263', '11571', '0', '41');
INSERT INTO public.who_import VALUES (44972, '2020-06-02', 'KZ', 'Kazakhstan', 'EURO', '225', '11796', '3', '44');
INSERT INTO public.who_import VALUES (44973, '2020-06-03', 'KZ', 'Kazakhstan', 'EURO', '271', '12067', '4', '48');
INSERT INTO public.who_import VALUES (44974, '2020-06-04', 'KZ', 'Kazakhstan', 'EURO', '245', '12312', '0', '48');
INSERT INTO public.who_import VALUES (44975, '2020-06-05', 'KZ', 'Kazakhstan', 'EURO', '199', '12511', '4', '52');
INSERT INTO public.who_import VALUES (44976, '2020-06-06', 'KZ', 'Kazakhstan', 'EURO', '183', '12694', '2', '54');
INSERT INTO public.who_import VALUES (44977, '2020-06-07', 'KZ', 'Kazakhstan', 'EURO', '165', '12859', '2', '56');
INSERT INTO public.who_import VALUES (44978, '2020-06-08', 'KZ', 'Kazakhstan', 'EURO', '215', '13074', '2', '58');
INSERT INTO public.who_import VALUES (44979, '2020-06-09', 'KZ', 'Kazakhstan', 'EURO', '245', '13319', '3', '61');
INSERT INTO public.who_import VALUES (44980, '2020-06-10', 'KZ', 'Kazakhstan', 'EURO', '240', '13559', '6', '67');
INSERT INTO public.who_import VALUES (44981, '2020-06-11', 'KZ', 'Kazakhstan', 'EURO', '313', '13872', '0', '67');
INSERT INTO public.who_import VALUES (44982, '2020-06-12', 'KZ', 'Kazakhstan', 'EURO', '366', '14238', '3', '70');
INSERT INTO public.who_import VALUES (44983, '2020-06-13', 'KZ', 'Kazakhstan', 'EURO', '258', '14496', '3', '73');
INSERT INTO public.who_import VALUES (44984, '2020-06-14', 'KZ', 'Kazakhstan', 'EURO', '313', '14809', '4', '77');
INSERT INTO public.who_import VALUES (44985, '2020-06-15', 'KZ', 'Kazakhstan', 'EURO', '383', '15192', '4', '81');
INSERT INTO public.who_import VALUES (44986, '2020-06-16', 'KZ', 'Kazakhstan', 'EURO', '350', '15542', '7', '88');
INSERT INTO public.who_import VALUES (44987, '2020-06-17', 'KZ', 'Kazakhstan', 'EURO', '335', '15877', '12', '100');
INSERT INTO public.who_import VALUES (44988, '2020-06-18', 'KZ', 'Kazakhstan', 'EURO', '474', '16351', '5', '105');
INSERT INTO public.who_import VALUES (44989, '2020-06-19', 'KZ', 'Kazakhstan', 'EURO', '428', '16779', '8', '113');
INSERT INTO public.who_import VALUES (44990, '2020-06-20', 'KZ', 'Kazakhstan', 'EURO', '1062', '17841', '5', '118');
INSERT INTO public.who_import VALUES (44991, '2020-06-21', 'KZ', 'Kazakhstan', 'EURO', '1410', '19251', '2', '120');
INSERT INTO public.who_import VALUES (44992, '2020-06-22', 'KZ', 'Kazakhstan', 'EURO', '1315', '20566', '7', '127');
INSERT INTO public.who_import VALUES (44993, '2020-06-23', 'KZ', 'Kazakhstan', 'EURO', '1630', '22196', '7', '134');
INSERT INTO public.who_import VALUES (44994, '2020-06-24', 'KZ', 'Kazakhstan', 'EURO', '1476', '23672', '2', '136');
INSERT INTO public.who_import VALUES (44995, '2020-06-25', 'KZ', 'Kazakhstan', 'EURO', '1348', '25020', '11', '147');
INSERT INTO public.who_import VALUES (44996, '2020-06-26', 'KZ', 'Kazakhstan', 'EURO', '1557', '26577', '11', '158');
INSERT INTO public.who_import VALUES (44997, '2020-06-27', 'KZ', 'Kazakhstan', 'EURO', '1486', '28063', '15', '173');
INSERT INTO public.who_import VALUES (44998, '2020-06-28', 'KZ', 'Kazakhstan', 'EURO', '1613', '29676', '10', '183');
INSERT INTO public.who_import VALUES (44999, '2020-06-29', 'KZ', 'Kazakhstan', 'EURO', '492', '30168', '5', '188');
INSERT INTO public.who_import VALUES (45000, '2020-06-30', 'KZ', 'Kazakhstan', 'EURO', '10897', '41065', '0', '188');
INSERT INTO public.who_import VALUES (45001, '2020-07-01', 'KZ', 'Kazakhstan', 'EURO', '1509', '42574', '10', '198');
INSERT INTO public.who_import VALUES (45002, '2020-07-02', 'KZ', 'Kazakhstan', 'EURO', '1501', '44075', '12', '210');
INSERT INTO public.who_import VALUES (45003, '2020-07-03', 'KZ', 'Kazakhstan', 'EURO', '1644', '45719', '14', '224');
INSERT INTO public.who_import VALUES (45004, '2020-07-04', 'KZ', 'Kazakhstan', 'EURO', '1452', '47171', '18', '242');
INSERT INTO public.who_import VALUES (45005, '2020-07-05', 'KZ', 'Kazakhstan', 'EURO', '1403', '48574', '18', '260');
INSERT INTO public.who_import VALUES (45006, '2020-07-06', 'KZ', 'Kazakhstan', 'EURO', '1109', '49683', '4', '264');
INSERT INTO public.who_import VALUES (45007, '2020-07-07', 'KZ', 'Kazakhstan', 'EURO', '1376', '51059', '0', '264');
INSERT INTO public.who_import VALUES (45008, '2020-07-08', 'KZ', 'Kazakhstan', 'EURO', '1962', '53021', '32', '296');
INSERT INTO public.who_import VALUES (45009, '2020-07-09', 'KZ', 'Kazakhstan', 'EURO', '1726', '54747', '17', '313');
INSERT INTO public.who_import VALUES (45010, '2020-07-10', 'KZ', 'Kazakhstan', 'EURO', '1708', '56455', '19', '332');
INSERT INTO public.who_import VALUES (45011, '2020-07-11', 'KZ', 'Kazakhstan', 'EURO', '1798', '58253', '20', '352');
INSERT INTO public.who_import VALUES (45012, '2020-07-12', 'KZ', 'Kazakhstan', 'EURO', '1646', '59899', '23', '375');
INSERT INTO public.who_import VALUES (45013, '2020-07-13', 'KZ', 'Kazakhstan', 'EURO', '1856', '61755', '0', '375');
INSERT INTO public.who_import VALUES (45014, '2020-07-14', 'KZ', 'Kazakhstan', 'EURO', '1759', '63514', '0', '375');
INSERT INTO public.who_import VALUES (45015, '2020-07-15', 'KZ', 'Kazakhstan', 'EURO', '1674', '65188', '0', '375');
INSERT INTO public.who_import VALUES (45016, '2020-07-16', 'KZ', 'Kazakhstan', 'EURO', '1707', '66895', '0', '375');
INSERT INTO public.who_import VALUES (45017, '2020-07-17', 'KZ', 'Kazakhstan', 'EURO', '1808', '68703', '0', '375');
INSERT INTO public.who_import VALUES (45018, '2020-07-18', 'KZ', 'Kazakhstan', 'EURO', '1636', '70339', '0', '375');
INSERT INTO public.who_import VALUES (45019, '2020-07-19', 'KZ', 'Kazakhstan', 'EURO', '1499', '71838', '210', '585');
INSERT INTO public.who_import VALUES (45020, '2020-07-20', 'KZ', 'Kazakhstan', 'EURO', '1630', '73468', '0', '585');
INSERT INTO public.who_import VALUES (45021, '2020-07-21', 'KZ', 'Kazakhstan', 'EURO', '1685', '75153', '0', '585');
INSERT INTO public.who_import VALUES (45022, '2020-07-22', 'KZ', 'Kazakhstan', 'EURO', '1646', '76799', '0', '585');
INSERT INTO public.who_import VALUES (45023, '2020-07-23', 'KZ', 'Kazakhstan', 'EURO', '1687', '78486', '0', '585');
INSERT INTO public.who_import VALUES (45024, '2020-07-24', 'KZ', 'Kazakhstan', 'EURO', '1740', '80226', '0', '585');
INSERT INTO public.who_import VALUES (45025, '2020-07-25', 'KZ', 'Kazakhstan', 'EURO', '1494', '81720', '0', '585');
INSERT INTO public.who_import VALUES (45026, '2020-07-26', 'KZ', 'Kazakhstan', 'EURO', '1402', '83122', '0', '585');
INSERT INTO public.who_import VALUES (45027, '2020-07-27', 'KZ', 'Kazakhstan', 'EURO', '1526', '84648', '0', '585');
INSERT INTO public.who_import VALUES (45028, '2020-07-28', 'KZ', 'Kazakhstan', 'EURO', '1544', '86192', '208', '793');
INSERT INTO public.who_import VALUES (45029, '2020-07-29', 'KZ', 'Kazakhstan', 'EURO', '1472', '87664', '0', '793');
INSERT INTO public.who_import VALUES (45030, '2020-07-30', 'KZ', 'Kazakhstan', 'EURO', '1414', '89078', '0', '793');
INSERT INTO public.who_import VALUES (45031, '2020-07-31', 'KZ', 'Kazakhstan', 'EURO', '1289', '90367', '0', '793');
INSERT INTO public.who_import VALUES (45032, '2020-08-01', 'KZ', 'Kazakhstan', 'EURO', '6407', '96774', '30', '823');
INSERT INTO public.who_import VALUES (45033, '2020-08-02', 'KZ', 'Kazakhstan', 'EURO', '1867', '98641', '286', '1109');
INSERT INTO public.who_import VALUES (45034, '2020-08-03', 'KZ', 'Kazakhstan', 'EURO', '1434', '100075', '0', '1109');
INSERT INTO public.who_import VALUES (45035, '2020-08-04', 'KZ', 'Kazakhstan', 'EURO', '2861', '102936', '0', '1109');
INSERT INTO public.who_import VALUES (45036, '2020-08-05', 'KZ', 'Kazakhstan', 'EURO', '2590', '105526', '0', '1109');
INSERT INTO public.who_import VALUES (45037, '2020-08-06', 'KZ', 'Kazakhstan', 'EURO', '2404', '107930', '0', '1109');
INSERT INTO public.who_import VALUES (45038, '2020-08-07', 'KZ', 'Kazakhstan', 'EURO', '2009', '109939', '0', '1109');
INSERT INTO public.who_import VALUES (45039, '2020-08-08', 'KZ', 'Kazakhstan', 'EURO', '1883', '111822', '0', '1109');
INSERT INTO public.who_import VALUES (45040, '2020-08-09', 'KZ', 'Kazakhstan', 'EURO', '900', '112722', '324', '1433');
INSERT INTO public.who_import VALUES (45041, '2020-08-10', 'KZ', 'Kazakhstan', 'EURO', '779', '113501', '0', '1433');
INSERT INTO public.who_import VALUES (45042, '2020-08-11', 'KZ', 'Kazakhstan', 'EURO', '2114', '115615', '0', '1433');
INSERT INTO public.who_import VALUES (45043, '2020-08-12', 'KZ', 'Kazakhstan', 'EURO', '1489', '117104', '0', '1433');
INSERT INTO public.who_import VALUES (45044, '2020-08-13', 'KZ', 'Kazakhstan', 'EURO', '1410', '118514', '0', '1433');
INSERT INTO public.who_import VALUES (45045, '2020-08-14', 'KZ', 'Kazakhstan', 'EURO', '1267', '119781', '0', '1433');
INSERT INTO public.who_import VALUES (45046, '2020-08-15', 'KZ', 'Kazakhstan', 'EURO', '1380', '121161', '0', '1433');
INSERT INTO public.who_import VALUES (45047, '2020-08-16', 'KZ', 'Kazakhstan', 'EURO', '478', '121639', '200', '1633');
INSERT INTO public.who_import VALUES (45048, '2020-08-17', 'KZ', 'Kazakhstan', 'EURO', '334', '121973', '0', '1633');
INSERT INTO public.who_import VALUES (45049, '2020-08-18', 'KZ', 'Kazakhstan', 'EURO', '1352', '123325', '0', '1633');
INSERT INTO public.who_import VALUES (45050, '2020-08-19', 'KZ', 'Kazakhstan', 'EURO', '1031', '124356', '0', '1633');
INSERT INTO public.who_import VALUES (45051, '2020-08-20', 'KZ', 'Kazakhstan', 'EURO', '979', '125335', '0', '1633');
INSERT INTO public.who_import VALUES (45052, '2020-08-21', 'KZ', 'Kazakhstan', 'EURO', '908', '126243', '0', '1633');
INSERT INTO public.who_import VALUES (45053, '2020-08-22', 'KZ', 'Kazakhstan', 'EURO', '960', '127203', '0', '1633');
INSERT INTO public.who_import VALUES (45054, '2020-08-23', 'KZ', 'Kazakhstan', 'EURO', '259', '127462', '148', '1781');
INSERT INTO public.who_import VALUES (45055, '2020-08-24', 'KZ', 'Kazakhstan', 'EURO', '202', '127664', '0', '1781');
INSERT INTO public.who_import VALUES (45056, '2020-08-25', 'KZ', 'Kazakhstan', 'EURO', '954', '128618', '0', '1781');
INSERT INTO public.who_import VALUES (45057, '2020-08-26', 'KZ', 'Kazakhstan', 'EURO', '726', '129344', '0', '1781');
INSERT INTO public.who_import VALUES (45058, '2020-08-27', 'KZ', 'Kazakhstan', 'EURO', '696', '130040', '0', '1781');
INSERT INTO public.who_import VALUES (45059, '2020-08-28', 'KZ', 'Kazakhstan', 'EURO', '633', '130673', '0', '1781');
INSERT INTO public.who_import VALUES (45060, '2020-08-29', 'KZ', 'Kazakhstan', 'EURO', '669', '131342', '0', '1781');
INSERT INTO public.who_import VALUES (45061, '2020-08-30', 'KZ', 'Kazakhstan', 'EURO', '167', '131509', '97', '1878');
INSERT INTO public.who_import VALUES (45062, '2020-08-31', 'KZ', 'Kazakhstan', 'EURO', '87', '131596', '0', '1878');
INSERT INTO public.who_import VALUES (45063, '2020-09-01', 'KZ', 'Kazakhstan', 'EURO', '99', '131695', '0', '1878');
INSERT INTO public.who_import VALUES (45064, '2020-09-02', 'KZ', 'Kazakhstan', 'EURO', '659', '132354', '0', '1878');
INSERT INTO public.who_import VALUES (45065, '2020-09-03', 'KZ', 'Kazakhstan', 'EURO', '570', '132924', '0', '1878');
INSERT INTO public.who_import VALUES (45066, '2020-09-04', 'KZ', 'Kazakhstan', 'EURO', '501', '133425', '0', '1878');
INSERT INTO public.who_import VALUES (45067, '2020-09-05', 'KZ', 'Kazakhstan', 'EURO', '499', '133924', '0', '1878');
INSERT INTO public.who_import VALUES (45068, '2020-09-06', 'KZ', 'Kazakhstan', 'EURO', '199', '134123', '70', '1948');
INSERT INTO public.who_import VALUES (45069, '2020-09-07', 'KZ', 'Kazakhstan', 'EURO', '80', '134203', '0', '1948');
INSERT INTO public.who_import VALUES (45070, '2020-09-08', 'KZ', 'Kazakhstan', 'EURO', '433', '134636', '0', '1948');
INSERT INTO public.who_import VALUES (45071, '2020-09-09', 'KZ', 'Kazakhstan', 'EURO', '523', '135159', '0', '1948');
INSERT INTO public.who_import VALUES (45072, '2020-09-10', 'KZ', 'Kazakhstan', 'EURO', '430', '135589', '0', '1948');
INSERT INTO public.who_import VALUES (45073, '2020-09-11', 'KZ', 'Kazakhstan', 'EURO', '375', '135964', '0', '1948');
INSERT INTO public.who_import VALUES (45074, '2020-09-12', 'KZ', 'Kazakhstan', 'EURO', '420', '136384', '0', '1948');
INSERT INTO public.who_import VALUES (45075, '2020-09-13', 'KZ', 'Kazakhstan', 'EURO', '129', '136513', '51', '1999');
INSERT INTO public.who_import VALUES (45076, '2020-09-14', 'KZ', 'Kazakhstan', 'EURO', '73', '136586', '0', '1999');
INSERT INTO public.who_import VALUES (45077, '2020-09-15', 'KZ', 'Kazakhstan', 'EURO', '472', '137058', '0', '1999');
INSERT INTO public.who_import VALUES (45078, '2020-09-16', 'KZ', 'Kazakhstan', 'EURO', '335', '137393', '0', '1999');
INSERT INTO public.who_import VALUES (45079, '2020-09-17', 'KZ', 'Kazakhstan', 'EURO', '320', '137713', '0', '1999');
INSERT INTO public.who_import VALUES (45080, '2020-09-18', 'KZ', 'Kazakhstan', 'EURO', '300', '138013', '0', '1999');
INSERT INTO public.who_import VALUES (45081, '2020-09-19', 'KZ', 'Kazakhstan', 'EURO', '335', '138348', '0', '1999');
INSERT INTO public.who_import VALUES (45082, '2020-09-20', 'KZ', 'Kazakhstan', 'EURO', '107', '138455', '44', '2043');
INSERT INTO public.who_import VALUES (45083, '2020-09-21', 'KZ', 'Kazakhstan', 'EURO', '87', '138542', '0', '2043');
INSERT INTO public.who_import VALUES (45084, '2020-09-22', 'KZ', 'Kazakhstan', 'EURO', '440', '138982', '0', '2043');
INSERT INTO public.who_import VALUES (45085, '2020-09-23', 'KZ', 'Kazakhstan', 'EURO', '307', '139289', '0', '2043');
INSERT INTO public.who_import VALUES (45086, '2020-09-24', 'KZ', 'Kazakhstan', 'EURO', '292', '139581', '0', '2043');
INSERT INTO public.who_import VALUES (45087, '2020-09-25', 'KZ', 'Kazakhstan', 'EURO', '301', '139882', '0', '2043');
INSERT INTO public.who_import VALUES (45088, '2020-09-26', 'KZ', 'Kazakhstan', 'EURO', '293', '140175', '0', '2043');
INSERT INTO public.who_import VALUES (45089, '2020-09-27', 'KZ', 'Kazakhstan', 'EURO', '90', '140265', '32', '2075');
INSERT INTO public.who_import VALUES (45090, '2020-09-28', 'KZ', 'Kazakhstan', 'EURO', '68', '140333', '0', '2075');
INSERT INTO public.who_import VALUES (45091, '2020-09-29', 'KZ', 'Kazakhstan', 'EURO', '374', '140707', '0', '2075');
INSERT INTO public.who_import VALUES (45092, '2020-09-30', 'KZ', 'Kazakhstan', 'EURO', '250', '140957', '0', '2075');
INSERT INTO public.who_import VALUES (45093, '2020-10-01', 'KZ', 'Kazakhstan', 'EURO', '299', '141256', '0', '2075');
INSERT INTO public.who_import VALUES (45094, '2020-10-02', 'KZ', 'Kazakhstan', 'EURO', '228', '141484', '0', '2075');
INSERT INTO public.who_import VALUES (45095, '2020-10-03', 'KZ', 'Kazakhstan', 'EURO', '264', '141748', '0', '2075');
INSERT INTO public.who_import VALUES (45096, '2020-10-04', 'KZ', 'Kazakhstan', 'EURO', '96', '141844', '31', '2106');
INSERT INTO public.who_import VALUES (45097, '2020-10-05', 'KZ', 'Kazakhstan', 'EURO', '67', '141911', '0', '2106');
INSERT INTO public.who_import VALUES (45098, '2020-10-06', 'KZ', 'Kazakhstan', 'EURO', '328', '142239', '0', '2106');
INSERT INTO public.who_import VALUES (45099, '2020-10-07', 'KZ', 'Kazakhstan', 'EURO', '358', '142597', '0', '2106');
INSERT INTO public.who_import VALUES (45100, '2020-10-08', 'KZ', 'Kazakhstan', 'EURO', '348', '142945', '0', '2106');
INSERT INTO public.who_import VALUES (45101, '2020-10-09', 'KZ', 'Kazakhstan', 'EURO', '335', '143280', '0', '2106');
INSERT INTO public.who_import VALUES (45102, '2020-10-10', 'KZ', 'Kazakhstan', 'EURO', '352', '143632', '0', '2106');
INSERT INTO public.who_import VALUES (45103, '2020-10-11', 'KZ', 'Kazakhstan', 'EURO', '108', '143740', '30', '2136');
INSERT INTO public.who_import VALUES (45104, '2020-10-12', 'KZ', 'Kazakhstan', 'EURO', '74', '143814', '0', '2136');
INSERT INTO public.who_import VALUES (45105, '2020-10-13', 'KZ', 'Kazakhstan', 'EURO', '404', '144218', '0', '2136');
INSERT INTO public.who_import VALUES (45106, '2020-10-14', 'KZ', 'Kazakhstan', 'EURO', '269', '144487', '0', '2136');
INSERT INTO public.who_import VALUES (45107, '2020-10-15', 'KZ', 'Kazakhstan', 'EURO', '274', '144761', '0', '2136');
INSERT INTO public.who_import VALUES (45108, '2020-10-16', 'KZ', 'Kazakhstan', 'EURO', '258', '145019', '0', '2136');
INSERT INTO public.who_import VALUES (45109, '2020-10-17', 'KZ', 'Kazakhstan', 'EURO', '301', '145320', '0', '2136');
INSERT INTO public.who_import VALUES (45110, '2020-10-18', 'KZ', 'Kazakhstan', 'EURO', '153', '145473', '42', '2178');
INSERT INTO public.who_import VALUES (45111, '2020-10-19', 'KZ', 'Kazakhstan', 'EURO', '130', '145603', '0', '2178');
INSERT INTO public.who_import VALUES (45112, '2020-10-20', 'KZ', 'Kazakhstan', 'EURO', '363', '145966', '0', '2178');
INSERT INTO public.who_import VALUES (45113, '2020-10-21', 'KZ', 'Kazakhstan', 'EURO', '322', '146288', '0', '2178');
INSERT INTO public.who_import VALUES (45114, '2020-10-22', 'KZ', 'Kazakhstan', 'EURO', '365', '146653', '0', '2178');
INSERT INTO public.who_import VALUES (45115, '2020-10-23', 'KZ', 'Kazakhstan', 'EURO', '329', '146982', '0', '2178');
INSERT INTO public.who_import VALUES (45116, '2020-10-24', 'KZ', 'Kazakhstan', 'EURO', '315', '147297', '0', '2178');
INSERT INTO public.who_import VALUES (45117, '2020-10-25', 'KZ', 'Kazakhstan', 'EURO', '166', '147463', '41', '2219');
INSERT INTO public.who_import VALUES (45118, '2020-10-26', 'KZ', 'Kazakhstan', 'EURO', '152', '147615', '0', '2219');
INSERT INTO public.who_import VALUES (45119, '2020-10-27', 'KZ', 'Kazakhstan', 'EURO', '422', '148037', '0', '2219');
INSERT INTO public.who_import VALUES (45120, '2020-10-28', 'KZ', 'Kazakhstan', 'EURO', '442', '148479', '0', '2219');
INSERT INTO public.who_import VALUES (45121, '2020-10-29', 'KZ', 'Kazakhstan', 'EURO', '587', '149066', '0', '2219');
INSERT INTO public.who_import VALUES (45122, '2020-10-30', 'KZ', 'Kazakhstan', 'EURO', '633', '149699', '0', '2219');
INSERT INTO public.who_import VALUES (45123, '2020-10-31', 'KZ', 'Kazakhstan', 'EURO', '681', '150380', '0', '2219');
INSERT INTO public.who_import VALUES (45124, '2020-11-01', 'KZ', 'Kazakhstan', 'EURO', '483', '150863', '40', '2259');
INSERT INTO public.who_import VALUES (45125, '2020-11-02', 'KZ', 'Kazakhstan', 'EURO', '458', '151321', '0', '2259');
INSERT INTO public.who_import VALUES (45126, '2020-11-03', 'KZ', 'Kazakhstan', 'EURO', '701', '152022', '0', '2259');
INSERT INTO public.who_import VALUES (45127, '2020-11-04', 'KZ', 'Kazakhstan', 'EURO', '703', '152725', '0', '2259');
INSERT INTO public.who_import VALUES (45128, '2020-11-05', 'KZ', 'Kazakhstan', 'EURO', '822', '153547', '0', '2259');
INSERT INTO public.who_import VALUES (45129, '2020-11-06', 'KZ', 'Kazakhstan', 'EURO', '774', '154321', '0', '2259');
INSERT INTO public.who_import VALUES (45130, '2020-11-07', 'KZ', 'Kazakhstan', 'EURO', '899', '155220', '0', '2259');
INSERT INTO public.who_import VALUES (45131, '2020-11-08', 'KZ', 'Kazakhstan', 'EURO', '656', '155876', '47', '2306');
INSERT INTO public.who_import VALUES (45132, '2020-11-09', 'KZ', 'Kazakhstan', 'EURO', '575', '156451', '0', '2306');
INSERT INTO public.who_import VALUES (45133, '2020-11-10', 'KZ', 'Kazakhstan', 'EURO', '810', '157261', '0', '2306');
INSERT INTO public.who_import VALUES (45134, '2020-11-11', 'KZ', 'Kazakhstan', 'EURO', '775', '158036', '0', '2306');
INSERT INTO public.who_import VALUES (45135, '2020-11-12', 'KZ', 'Kazakhstan', 'EURO', '817', '158853', '0', '2306');
INSERT INTO public.who_import VALUES (45136, '2020-11-13', 'KZ', 'Kazakhstan', 'EURO', '903', '159756', '0', '2306');
INSERT INTO public.who_import VALUES (45137, '2020-11-14', 'KZ', 'Kazakhstan', 'EURO', '856', '160612', '0', '2306');
INSERT INTO public.who_import VALUES (45138, '2020-11-15', 'KZ', 'Kazakhstan', 'EURO', '636', '161248', '59', '2365');
INSERT INTO public.who_import VALUES (45139, '2020-11-16', 'KZ', 'Kazakhstan', 'EURO', '625', '161873', '0', '2365');
INSERT INTO public.who_import VALUES (45140, '2020-11-17', 'KZ', 'Kazakhstan', 'EURO', '950', '162823', '0', '2365');
INSERT INTO public.who_import VALUES (45141, '2020-11-18', 'KZ', 'Kazakhstan', 'EURO', '964', '163787', '0', '2365');
INSERT INTO public.who_import VALUES (45142, '2020-11-19', 'KZ', 'Kazakhstan', 'EURO', '949', '164736', '0', '2365');
INSERT INTO public.who_import VALUES (45143, '2020-11-20', 'KZ', 'Kazakhstan', 'EURO', '976', '165712', '0', '2365');
INSERT INTO public.who_import VALUES (45144, '2020-11-21', 'KZ', 'Kazakhstan', 'EURO', '913', '166625', '0', '2365');
INSERT INTO public.who_import VALUES (45145, '2020-11-22', 'KZ', 'Kazakhstan', 'EURO', '760', '167385', '52', '2417');
INSERT INTO public.who_import VALUES (45146, '2020-11-23', 'KZ', 'Kazakhstan', 'EURO', '698', '168083', '0', '2417');
INSERT INTO public.who_import VALUES (45147, '2020-11-24', 'KZ', 'Kazakhstan', 'EURO', '924', '169007', '0', '2417');
INSERT INTO public.who_import VALUES (45148, '2020-11-25', 'KZ', 'Kazakhstan', 'EURO', '988', '169995', '0', '2417');
INSERT INTO public.who_import VALUES (45149, '2020-11-26', 'KZ', 'Kazakhstan', 'EURO', '974', '170969', '0', '2417');
INSERT INTO public.who_import VALUES (45150, '2020-11-27', 'KZ', 'Kazakhstan', 'EURO', '1010', '171979', '0', '2417');
INSERT INTO public.who_import VALUES (45151, '2020-11-28', 'KZ', 'Kazakhstan', 'EURO', '990', '172969', '0', '2417');
INSERT INTO public.who_import VALUES (45152, '2020-11-29', 'KZ', 'Kazakhstan', 'EURO', '837', '173806', '60', '2477');
INSERT INTO public.who_import VALUES (45153, '2020-11-30', 'KZ', 'Kazakhstan', 'EURO', '757', '174563', '0', '2477');
INSERT INTO public.who_import VALUES (45154, '2020-12-01', 'KZ', 'Kazakhstan', 'EURO', '1002', '175565', '0', '2477');
INSERT INTO public.who_import VALUES (45155, '2020-12-02', 'KZ', 'Kazakhstan', 'EURO', '777', '176342', '0', '2477');
INSERT INTO public.who_import VALUES (45156, '2020-12-03', 'KZ', 'Kazakhstan', 'EURO', '1044', '177386', '0', '2477');
INSERT INTO public.who_import VALUES (45157, '2020-12-04', 'KZ', 'Kazakhstan', 'EURO', '992', '178378', '0', '2477');
INSERT INTO public.who_import VALUES (45158, '2020-12-05', 'KZ', 'Kazakhstan', 'EURO', '966', '179344', '0', '2477');
INSERT INTO public.who_import VALUES (45159, '2020-12-06', 'KZ', 'Kazakhstan', 'EURO', '745', '180089', '65', '2542');
INSERT INTO public.who_import VALUES (45160, '2020-12-07', 'KZ', 'Kazakhstan', 'EURO', '688', '180777', '0', '2542');
INSERT INTO public.who_import VALUES (45161, '2020-12-08', 'KZ', 'Kazakhstan', 'EURO', '944', '181721', '0', '2542');
INSERT INTO public.who_import VALUES (45162, '2020-12-09', 'KZ', 'Kazakhstan', 'EURO', '936', '182657', '0', '2542');
INSERT INTO public.who_import VALUES (45163, '2020-12-10', 'KZ', 'Kazakhstan', 'EURO', '973', '183630', '0', '2542');
INSERT INTO public.who_import VALUES (45164, '2020-12-11', 'KZ', 'Kazakhstan', 'EURO', '927', '184557', '0', '2542');
INSERT INTO public.who_import VALUES (45165, '2020-12-12', 'KZ', 'Kazakhstan', 'EURO', '956', '185513', '0', '2542');
INSERT INTO public.who_import VALUES (45166, '2020-12-13', 'KZ', 'Kazakhstan', 'EURO', '764', '186277', '67', '2609');
INSERT INTO public.who_import VALUES (45167, '2020-12-14', 'KZ', 'Kazakhstan', 'EURO', '683', '186960', '0', '2609');
INSERT INTO public.who_import VALUES (45168, '2020-12-15', 'KZ', 'Kazakhstan', 'EURO', '930', '187890', '0', '2609');
INSERT INTO public.who_import VALUES (45169, '2020-12-16', 'KZ', 'Kazakhstan', 'EURO', '947', '188837', '0', '2609');
INSERT INTO public.who_import VALUES (45170, '2020-12-17', 'KZ', 'Kazakhstan', 'EURO', '714', '189551', '0', '2609');
INSERT INTO public.who_import VALUES (45171, '2020-12-18', 'KZ', 'Kazakhstan', 'EURO', '741', '190292', '0', '2609');
INSERT INTO public.who_import VALUES (45172, '2020-12-19', 'KZ', 'Kazakhstan', 'EURO', '677', '190969', '0', '2609');
INSERT INTO public.who_import VALUES (45173, '2020-12-20', 'KZ', 'Kazakhstan', 'EURO', '681', '191650', '60', '2669');
INSERT INTO public.who_import VALUES (45174, '2020-12-21', 'KZ', 'Kazakhstan', 'EURO', '929', '192579', '0', '2669');
INSERT INTO public.who_import VALUES (45175, '2020-12-22', 'KZ', 'Kazakhstan', 'EURO', '924', '193503', '0', '2669');
INSERT INTO public.who_import VALUES (45176, '2020-12-23', 'KZ', 'Kazakhstan', 'EURO', '910', '194413', '0', '2669');
INSERT INTO public.who_import VALUES (45177, '2020-12-24', 'KZ', 'Kazakhstan', 'EURO', '890', '195303', '0', '2669');
INSERT INTO public.who_import VALUES (45178, '2020-12-25', 'KZ', 'Kazakhstan', 'EURO', '913', '196216', '0', '2669');
INSERT INTO public.who_import VALUES (45179, '2020-12-26', 'KZ', 'Kazakhstan', 'EURO', '926', '197142', '0', '2669');
INSERT INTO public.who_import VALUES (45180, '2020-12-27', 'KZ', 'Kazakhstan', 'EURO', '760', '197902', '80', '2749');
INSERT INTO public.who_import VALUES (45181, '2020-12-28', 'KZ', 'Kazakhstan', 'EURO', '757', '198659', '0', '2749');
INSERT INTO public.who_import VALUES (45182, '2020-12-29', 'KZ', 'Kazakhstan', 'EURO', '896', '199555', '0', '2749');
INSERT INTO public.who_import VALUES (45183, '2020-12-30', 'KZ', 'Kazakhstan', 'EURO', '888', '200443', '0', '2749');
INSERT INTO public.who_import VALUES (45184, '2020-12-31', 'KZ', 'Kazakhstan', 'EURO', '870', '201313', '0', '2749');
INSERT INTO public.who_import VALUES (45185, '2021-01-01', 'KZ', 'Kazakhstan', 'EURO', '846', '202159', '0', '2749');
INSERT INTO public.who_import VALUES (45186, '2021-01-02', 'KZ', 'Kazakhstan', 'EURO', '721', '202880', '0', '2749');
INSERT INTO public.who_import VALUES (45187, '2021-01-03', 'KZ', 'Kazakhstan', 'EURO', '683', '203563', '96', '2845');
INSERT INTO public.who_import VALUES (45188, '2021-01-04', 'KZ', 'Kazakhstan', 'EURO', '730', '204293', '0', '2845');
INSERT INTO public.who_import VALUES (45189, '2021-01-05', 'KZ', 'Kazakhstan', 'EURO', '771', '205064', '0', '2845');
INSERT INTO public.who_import VALUES (45190, '2021-01-06', 'KZ', 'Kazakhstan', 'EURO', '869', '205933', '0', '2845');
INSERT INTO public.who_import VALUES (45191, '2021-01-07', 'KZ', 'Kazakhstan', 'EURO', '907', '206840', '0', '2845');
INSERT INTO public.who_import VALUES (45192, '2021-01-08', 'KZ', 'Kazakhstan', 'EURO', '871', '207711', '0', '2845');
INSERT INTO public.who_import VALUES (45193, '2021-01-09', 'KZ', 'Kazakhstan', 'EURO', '885', '208596', '0', '2845');
INSERT INTO public.who_import VALUES (45194, '2021-01-10', 'KZ', 'Kazakhstan', 'EURO', '773', '209369', '40', '2885');
INSERT INTO public.who_import VALUES (45195, '2021-01-11', 'KZ', 'Kazakhstan', 'EURO', '717', '210086', '0', '2885');
INSERT INTO public.who_import VALUES (45196, '2021-01-12', 'KZ', 'Kazakhstan', 'EURO', '890', '210976', '0', '2885');
INSERT INTO public.who_import VALUES (45197, '2021-01-13', 'KZ', 'Kazakhstan', 'EURO', '925', '211901', '0', '2885');
INSERT INTO public.who_import VALUES (45198, '2021-01-14', 'KZ', 'Kazakhstan', 'EURO', '911', '212812', '0', '2885');
INSERT INTO public.who_import VALUES (45199, '2021-01-15', 'KZ', 'Kazakhstan', 'EURO', '1043', '213855', '0', '2885');
INSERT INTO public.who_import VALUES (45200, '2021-01-16', 'KZ', 'Kazakhstan', 'EURO', '1072', '214927', '0', '2885');
INSERT INTO public.who_import VALUES (45201, '2021-01-17', 'KZ', 'Kazakhstan', 'EURO', '1020', '215947', '71', '2956');
INSERT INTO public.who_import VALUES (45202, '2021-01-18', 'KZ', 'Kazakhstan', 'EURO', '1017', '216964', '0', '2956');
INSERT INTO public.who_import VALUES (45203, '2021-01-19', 'KZ', 'Kazakhstan', 'EURO', '1252', '218216', '0', '2956');
INSERT INTO public.who_import VALUES (45204, '2021-01-20', 'KZ', 'Kazakhstan', 'EURO', '1311', '219527', '0', '2956');
INSERT INTO public.who_import VALUES (45205, '2021-01-21', 'KZ', 'Kazakhstan', 'EURO', '1526', '221053', '0', '2956');
INSERT INTO public.who_import VALUES (45206, '2021-01-22', 'KZ', 'Kazakhstan', 'EURO', '1648', '222701', '0', '2956');
INSERT INTO public.who_import VALUES (45207, '2021-01-23', 'KZ', 'Kazakhstan', 'EURO', '1694', '224395', '0', '2956');
INSERT INTO public.who_import VALUES (45208, '2021-01-24', 'KZ', 'Kazakhstan', 'EURO', '1496', '225891', '79', '3035');
INSERT INTO public.who_import VALUES (45209, '2021-01-25', 'KZ', 'Kazakhstan', 'EURO', '1274', '227165', '0', '3035');
INSERT INTO public.who_import VALUES (45210, '2021-01-26', 'KZ', 'Kazakhstan', 'EURO', '1527', '228692', '0', '3035');
INSERT INTO public.who_import VALUES (45211, '2021-01-27', 'KZ', 'Kazakhstan', 'EURO', '1496', '230188', '0', '3035');
INSERT INTO public.who_import VALUES (45212, '2021-01-28', 'KZ', 'Kazakhstan', 'EURO', '1528', '231716', '0', '3035');
INSERT INTO public.who_import VALUES (45213, '2021-01-29', 'KZ', 'Kazakhstan', 'EURO', '1440', '233156', '0', '3035');
INSERT INTO public.who_import VALUES (45214, '2021-01-30', 'KZ', 'Kazakhstan', 'EURO', '1413', '234569', '0', '3035');
INSERT INTO public.who_import VALUES (45215, '2021-01-31', 'KZ', 'Kazakhstan', 'EURO', '1275', '235844', '91', '3126');
INSERT INTO public.who_import VALUES (45216, '2021-02-01', 'KZ', 'Kazakhstan', 'EURO', '1185', '237029', '0', '3126');
INSERT INTO public.who_import VALUES (45217, '2021-02-02', 'KZ', 'Kazakhstan', 'EURO', '1335', '238364', '0', '3126');
INSERT INTO public.who_import VALUES (45218, '2021-02-03', 'KZ', 'Kazakhstan', 'EURO', '1362', '239726', '0', '3126');
INSERT INTO public.who_import VALUES (45219, '2021-02-04', 'KZ', 'Kazakhstan', 'EURO', '1257', '240983', '0', '3126');
INSERT INTO public.who_import VALUES (45220, '2021-02-05', 'KZ', 'Kazakhstan', 'EURO', '1209', '242192', '0', '3126');
INSERT INTO public.who_import VALUES (45221, '2021-02-06', 'KZ', 'Kazakhstan', 'EURO', '1215', '243407', '0', '3126');
INSERT INTO public.who_import VALUES (45222, '2021-02-07', 'KZ', 'Kazakhstan', 'EURO', '1021', '244428', '59', '3185');
INSERT INTO public.who_import VALUES (45223, '2021-02-08', 'KZ', 'Kazakhstan', 'EURO', '923', '245351', '0', '3185');
INSERT INTO public.who_import VALUES (45224, '2021-02-09', 'KZ', 'Kazakhstan', 'EURO', '1123', '246474', '0', '3185');
INSERT INTO public.who_import VALUES (45225, '2021-02-10', 'KZ', 'Kazakhstan', 'EURO', '1059', '247533', '0', '3185');
INSERT INTO public.who_import VALUES (45226, '2021-02-11', 'KZ', 'Kazakhstan', 'EURO', '1033', '248566', '0', '3185');
INSERT INTO public.who_import VALUES (45227, '2021-02-12', 'KZ', 'Kazakhstan', 'EURO', '996', '249562', '0', '3185');
INSERT INTO public.who_import VALUES (45228, '2021-02-13', 'KZ', 'Kazakhstan', 'EURO', '914', '250476', '0', '3185');
INSERT INTO public.who_import VALUES (45229, '2021-02-14', 'KZ', 'Kazakhstan', 'EURO', '791', '251267', '61', '3246');
INSERT INTO public.who_import VALUES (45230, '2021-02-15', 'KZ', 'Kazakhstan', 'EURO', '692', '251959', '0', '3246');
INSERT INTO public.who_import VALUES (45231, '2021-02-16', 'KZ', 'Kazakhstan', 'EURO', '862', '252821', '0', '3246');
INSERT INTO public.who_import VALUES (45232, '2021-02-17', 'KZ', 'Kazakhstan', 'EURO', '930', '253751', '0', '3246');
INSERT INTO public.who_import VALUES (45233, '2021-02-18', 'KZ', 'Kazakhstan', 'EURO', '961', '254712', '0', '3246');
INSERT INTO public.who_import VALUES (45234, '2021-02-19', 'KZ', 'Kazakhstan', 'EURO', '0', '254712', '0', '3246');
INSERT INTO public.who_import VALUES (45235, '2021-02-20', 'KZ', 'Kazakhstan', 'EURO', '0', '254712', '0', '3246');
INSERT INTO public.who_import VALUES (45236, '2020-01-03', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45237, '2020-01-04', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45238, '2020-01-05', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45239, '2020-01-06', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45240, '2020-01-07', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45241, '2020-01-08', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45242, '2020-01-09', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45243, '2020-01-10', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45244, '2020-01-11', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45245, '2020-01-12', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45246, '2020-01-13', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45247, '2020-01-14', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45248, '2020-01-15', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45249, '2020-01-16', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45250, '2020-01-17', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45251, '2020-01-18', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45252, '2020-01-19', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45253, '2020-01-20', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45254, '2020-01-21', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45255, '2020-01-22', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45256, '2020-01-23', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45257, '2020-01-24', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45258, '2020-01-25', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45259, '2020-01-26', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45260, '2020-01-27', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45261, '2020-01-28', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45262, '2020-01-29', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45263, '2020-01-30', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45264, '2020-01-31', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45265, '2020-02-01', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45266, '2020-02-02', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45267, '2020-02-03', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45268, '2020-02-04', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45269, '2020-02-05', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45270, '2020-02-06', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45271, '2020-02-07', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45272, '2020-02-08', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45273, '2020-02-09', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45274, '2020-02-10', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45275, '2020-02-11', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45276, '2020-02-12', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45277, '2020-02-13', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45278, '2020-02-14', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45279, '2020-02-15', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45280, '2020-02-16', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45281, '2020-02-17', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45282, '2020-02-18', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45283, '2020-02-19', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45284, '2020-02-20', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45285, '2020-02-21', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45286, '2020-02-22', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45287, '2020-02-23', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45288, '2020-02-24', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45289, '2020-02-25', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45290, '2020-02-26', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45291, '2020-02-27', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45292, '2020-02-28', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45293, '2020-02-29', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45294, '2020-03-01', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45295, '2020-03-02', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45296, '2020-03-03', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45297, '2020-03-04', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45298, '2020-03-05', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45299, '2020-03-06', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45300, '2020-03-07', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45301, '2020-03-08', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45302, '2020-03-09', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45303, '2020-03-10', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45304, '2020-03-11', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45305, '2020-03-12', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45306, '2020-03-13', 'KE', 'Kenya', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45307, '2020-03-14', 'KE', 'Kenya', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (45308, '2020-03-15', 'KE', 'Kenya', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (45309, '2020-03-16', 'KE', 'Kenya', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (45310, '2020-03-17', 'KE', 'Kenya', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (45311, '2020-03-18', 'KE', 'Kenya', 'AFRO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (45312, '2020-03-19', 'KE', 'Kenya', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (45313, '2020-03-20', 'KE', 'Kenya', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (45314, '2020-03-21', 'KE', 'Kenya', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (45315, '2020-03-22', 'KE', 'Kenya', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (45316, '2020-03-23', 'KE', 'Kenya', 'AFRO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (45317, '2020-03-24', 'KE', 'Kenya', 'AFRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (45318, '2020-03-25', 'KE', 'Kenya', 'AFRO', '9', '25', '0', '0');
INSERT INTO public.who_import VALUES (45319, '2020-03-26', 'KE', 'Kenya', 'AFRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (45320, '2020-03-27', 'KE', 'Kenya', 'AFRO', '0', '25', '1', '1');
INSERT INTO public.who_import VALUES (45321, '2020-03-28', 'KE', 'Kenya', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (45322, '2020-03-29', 'KE', 'Kenya', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (45323, '2020-03-30', 'KE', 'Kenya', 'AFRO', '13', '38', '0', '1');
INSERT INTO public.who_import VALUES (45324, '2020-03-31', 'KE', 'Kenya', 'AFRO', '12', '50', '0', '1');
INSERT INTO public.who_import VALUES (45325, '2020-04-01', 'KE', 'Kenya', 'AFRO', '9', '59', '0', '1');
INSERT INTO public.who_import VALUES (45326, '2020-04-02', 'KE', 'Kenya', 'AFRO', '22', '81', '0', '1');
INSERT INTO public.who_import VALUES (45327, '2020-04-03', 'KE', 'Kenya', 'AFRO', '29', '110', '2', '3');
INSERT INTO public.who_import VALUES (45328, '2020-04-04', 'KE', 'Kenya', 'AFRO', '12', '122', '1', '4');
INSERT INTO public.who_import VALUES (45329, '2020-04-05', 'KE', 'Kenya', 'AFRO', '0', '122', '0', '4');
INSERT INTO public.who_import VALUES (45330, '2020-04-06', 'KE', 'Kenya', 'AFRO', '20', '142', '0', '4');
INSERT INTO public.who_import VALUES (45331, '2020-04-07', 'KE', 'Kenya', 'AFRO', '0', '142', '0', '4');
INSERT INTO public.who_import VALUES (45332, '2020-04-08', 'KE', 'Kenya', 'AFRO', '30', '172', '2', '6');
INSERT INTO public.who_import VALUES (45333, '2020-04-09', 'KE', 'Kenya', 'AFRO', '7', '179', '0', '6');
INSERT INTO public.who_import VALUES (45334, '2020-04-10', 'KE', 'Kenya', 'AFRO', '5', '184', '1', '7');
INSERT INTO public.who_import VALUES (45335, '2020-04-11', 'KE', 'Kenya', 'AFRO', '5', '189', '0', '7');
INSERT INTO public.who_import VALUES (45336, '2020-04-12', 'KE', 'Kenya', 'AFRO', '2', '191', '0', '7');
INSERT INTO public.who_import VALUES (45337, '2020-04-13', 'KE', 'Kenya', 'AFRO', '6', '197', '1', '8');
INSERT INTO public.who_import VALUES (45338, '2020-04-14', 'KE', 'Kenya', 'AFRO', '11', '208', '1', '9');
INSERT INTO public.who_import VALUES (45339, '2020-04-15', 'KE', 'Kenya', 'AFRO', '8', '216', '0', '9');
INSERT INTO public.who_import VALUES (45340, '2020-04-16', 'KE', 'Kenya', 'AFRO', '9', '225', '1', '10');
INSERT INTO public.who_import VALUES (45341, '2020-04-17', 'KE', 'Kenya', 'AFRO', '9', '234', '1', '11');
INSERT INTO public.who_import VALUES (45342, '2020-04-18', 'KE', 'Kenya', 'AFRO', '12', '246', '0', '11');
INSERT INTO public.who_import VALUES (45343, '2020-04-19', 'KE', 'Kenya', 'AFRO', '16', '262', '1', '12');
INSERT INTO public.who_import VALUES (45344, '2020-04-20', 'KE', 'Kenya', 'AFRO', '8', '270', '2', '14');
INSERT INTO public.who_import VALUES (45345, '2020-04-21', 'KE', 'Kenya', 'AFRO', '11', '281', '0', '14');
INSERT INTO public.who_import VALUES (45346, '2020-04-22', 'KE', 'Kenya', 'AFRO', '15', '296', '0', '14');
INSERT INTO public.who_import VALUES (45347, '2020-04-23', 'KE', 'Kenya', 'AFRO', '7', '303', '0', '14');
INSERT INTO public.who_import VALUES (45348, '2020-04-24', 'KE', 'Kenya', 'AFRO', '17', '320', '0', '14');
INSERT INTO public.who_import VALUES (45349, '2020-04-25', 'KE', 'Kenya', 'AFRO', '16', '336', '0', '14');
INSERT INTO public.who_import VALUES (45350, '2020-04-26', 'KE', 'Kenya', 'AFRO', '7', '343', '0', '14');
INSERT INTO public.who_import VALUES (45351, '2020-04-27', 'KE', 'Kenya', 'AFRO', '12', '355', '0', '14');
INSERT INTO public.who_import VALUES (45352, '2020-04-28', 'KE', 'Kenya', 'AFRO', '8', '363', '0', '14');
INSERT INTO public.who_import VALUES (45353, '2020-04-29', 'KE', 'Kenya', 'AFRO', '11', '374', '0', '14');
INSERT INTO public.who_import VALUES (45354, '2020-04-30', 'KE', 'Kenya', 'AFRO', '10', '384', '1', '15');
INSERT INTO public.who_import VALUES (45355, '2020-05-01', 'KE', 'Kenya', 'AFRO', '12', '396', '2', '17');
INSERT INTO public.who_import VALUES (45356, '2020-05-02', 'KE', 'Kenya', 'AFRO', '15', '411', '4', '21');
INSERT INTO public.who_import VALUES (45357, '2020-05-03', 'KE', 'Kenya', 'AFRO', '24', '435', '1', '22');
INSERT INTO public.who_import VALUES (45358, '2020-05-04', 'KE', 'Kenya', 'AFRO', '31', '466', '2', '24');
INSERT INTO public.who_import VALUES (45359, '2020-05-05', 'KE', 'Kenya', 'AFRO', '24', '490', '0', '24');
INSERT INTO public.who_import VALUES (45360, '2020-05-06', 'KE', 'Kenya', 'AFRO', '45', '535', '2', '26');
INSERT INTO public.who_import VALUES (45361, '2020-05-07', 'KE', 'Kenya', 'AFRO', '47', '582', '0', '26');
INSERT INTO public.who_import VALUES (45362, '2020-05-08', 'KE', 'Kenya', 'AFRO', '25', '607', '3', '29');
INSERT INTO public.who_import VALUES (45363, '2020-05-09', 'KE', 'Kenya', 'AFRO', '14', '621', '0', '29');
INSERT INTO public.who_import VALUES (45364, '2020-05-10', 'KE', 'Kenya', 'AFRO', '28', '649', '1', '30');
INSERT INTO public.who_import VALUES (45365, '2020-05-11', 'KE', 'Kenya', 'AFRO', '23', '672', '2', '32');
INSERT INTO public.who_import VALUES (45366, '2020-05-12', 'KE', 'Kenya', 'AFRO', '28', '700', '1', '33');
INSERT INTO public.who_import VALUES (45367, '2020-05-13', 'KE', 'Kenya', 'AFRO', '15', '715', '3', '36');
INSERT INTO public.who_import VALUES (45368, '2020-05-14', 'KE', 'Kenya', 'AFRO', '22', '737', '4', '40');
INSERT INTO public.who_import VALUES (45369, '2020-05-15', 'KE', 'Kenya', 'AFRO', '21', '758', '2', '42');
INSERT INTO public.who_import VALUES (45370, '2020-05-16', 'KE', 'Kenya', 'AFRO', '23', '781', '4', '46');
INSERT INTO public.who_import VALUES (45371, '2020-05-17', 'KE', 'Kenya', 'AFRO', '49', '830', '4', '50');
INSERT INTO public.who_import VALUES (45372, '2020-05-18', 'KE', 'Kenya', 'AFRO', '57', '887', '0', '50');
INSERT INTO public.who_import VALUES (45373, '2020-05-19', 'KE', 'Kenya', 'AFRO', '25', '912', '0', '50');
INSERT INTO public.who_import VALUES (45374, '2020-05-20', 'KE', 'Kenya', 'AFRO', '51', '963', '0', '50');
INSERT INTO public.who_import VALUES (45375, '2020-05-21', 'KE', 'Kenya', 'AFRO', '66', '1029', '0', '50');
INSERT INTO public.who_import VALUES (45376, '2020-05-22', 'KE', 'Kenya', 'AFRO', '80', '1109', '0', '50');
INSERT INTO public.who_import VALUES (45377, '2020-05-23', 'KE', 'Kenya', 'AFRO', '52', '1161', '0', '50');
INSERT INTO public.who_import VALUES (45378, '2020-05-24', 'KE', 'Kenya', 'AFRO', '31', '1192', '0', '50');
INSERT INTO public.who_import VALUES (45379, '2020-05-25', 'KE', 'Kenya', 'AFRO', '22', '1214', '1', '51');
INSERT INTO public.who_import VALUES (45380, '2020-05-26', 'KE', 'Kenya', 'AFRO', '72', '1286', '1', '52');
INSERT INTO public.who_import VALUES (45381, '2020-05-27', 'KE', 'Kenya', 'AFRO', '62', '1348', '0', '52');
INSERT INTO public.who_import VALUES (45382, '2020-05-28', 'KE', 'Kenya', 'AFRO', '123', '1471', '3', '55');
INSERT INTO public.who_import VALUES (45383, '2020-05-29', 'KE', 'Kenya', 'AFRO', '147', '1618', '3', '58');
INSERT INTO public.who_import VALUES (45384, '2020-05-30', 'KE', 'Kenya', 'AFRO', '127', '1745', '4', '62');
INSERT INTO public.who_import VALUES (45385, '2020-05-31', 'KE', 'Kenya', 'AFRO', '143', '1888', '1', '63');
INSERT INTO public.who_import VALUES (45386, '2020-06-01', 'KE', 'Kenya', 'AFRO', '74', '1962', '1', '64');
INSERT INTO public.who_import VALUES (45387, '2020-06-02', 'KE', 'Kenya', 'AFRO', '59', '2021', '5', '69');
INSERT INTO public.who_import VALUES (45388, '2020-06-03', 'KE', 'Kenya', 'AFRO', '72', '2093', '2', '71');
INSERT INTO public.who_import VALUES (45389, '2020-06-04', 'KE', 'Kenya', 'AFRO', '123', '2216', '3', '74');
INSERT INTO public.who_import VALUES (45390, '2020-06-05', 'KE', 'Kenya', 'AFRO', '124', '2340', '4', '78');
INSERT INTO public.who_import VALUES (45391, '2020-06-06', 'KE', 'Kenya', 'AFRO', '134', '2474', '1', '79');
INSERT INTO public.who_import VALUES (45392, '2020-06-07', 'KE', 'Kenya', 'AFRO', '126', '2600', '4', '83');
INSERT INTO public.who_import VALUES (45393, '2020-06-08', 'KE', 'Kenya', 'AFRO', '167', '2767', '1', '84');
INSERT INTO public.who_import VALUES (45394, '2020-06-09', 'KE', 'Kenya', 'AFRO', '95', '2862', '1', '85');
INSERT INTO public.who_import VALUES (45395, '2020-06-10', 'KE', 'Kenya', 'AFRO', '127', '2989', '3', '88');
INSERT INTO public.who_import VALUES (45396, '2020-06-11', 'KE', 'Kenya', 'AFRO', '105', '3094', '1', '89');
INSERT INTO public.who_import VALUES (45397, '2020-06-12', 'KE', 'Kenya', 'AFRO', '121', '3215', '3', '92');
INSERT INTO public.who_import VALUES (45398, '2020-06-13', 'KE', 'Kenya', 'AFRO', '90', '3305', '4', '96');
INSERT INTO public.who_import VALUES (45399, '2020-06-14', 'KE', 'Kenya', 'AFRO', '152', '3457', '4', '100');
INSERT INTO public.who_import VALUES (45400, '2020-06-15', 'KE', 'Kenya', 'AFRO', '137', '3594', '3', '103');
INSERT INTO public.who_import VALUES (45401, '2020-06-16', 'KE', 'Kenya', 'AFRO', '133', '3727', '1', '104');
INSERT INTO public.who_import VALUES (45402, '2020-06-17', 'KE', 'Kenya', 'AFRO', '133', '3860', '1', '105');
INSERT INTO public.who_import VALUES (45403, '2020-06-18', 'KE', 'Kenya', 'AFRO', '184', '4044', '2', '107');
INSERT INTO public.who_import VALUES (45404, '2020-06-19', 'KE', 'Kenya', 'AFRO', '213', '4257', '10', '117');
INSERT INTO public.who_import VALUES (45405, '2020-06-20', 'KE', 'Kenya', 'AFRO', '117', '4374', '2', '119');
INSERT INTO public.who_import VALUES (45406, '2020-06-21', 'KE', 'Kenya', 'AFRO', '104', '4478', '2', '121');
INSERT INTO public.who_import VALUES (45407, '2020-06-22', 'KE', 'Kenya', 'AFRO', '260', '4738', '2', '123');
INSERT INTO public.who_import VALUES (45408, '2020-06-23', 'KE', 'Kenya', 'AFRO', '59', '4797', '2', '125');
INSERT INTO public.who_import VALUES (45409, '2020-06-24', 'KE', 'Kenya', 'AFRO', '155', '4952', '3', '128');
INSERT INTO public.who_import VALUES (45410, '2020-06-25', 'KE', 'Kenya', 'AFRO', '254', '5206', '2', '130');
INSERT INTO public.who_import VALUES (45411, '2020-06-26', 'KE', 'Kenya', 'AFRO', '178', '5384', '2', '132');
INSERT INTO public.who_import VALUES (45412, '2020-06-27', 'KE', 'Kenya', 'AFRO', '149', '5533', '5', '137');
INSERT INTO public.who_import VALUES (45413, '2020-06-28', 'KE', 'Kenya', 'AFRO', '278', '5811', '4', '141');
INSERT INTO public.who_import VALUES (45414, '2020-06-29', 'KE', 'Kenya', 'AFRO', '259', '6070', '3', '144');
INSERT INTO public.who_import VALUES (45415, '2020-06-30', 'KE', 'Kenya', 'AFRO', '120', '6190', '0', '144');
INSERT INTO public.who_import VALUES (45416, '2020-07-01', 'KE', 'Kenya', 'AFRO', '176', '6366', '4', '148');
INSERT INTO public.who_import VALUES (45417, '2020-07-02', 'KE', 'Kenya', 'AFRO', '307', '6673', '1', '149');
INSERT INTO public.who_import VALUES (45418, '2020-07-03', 'KE', 'Kenya', 'AFRO', '268', '6941', '3', '152');
INSERT INTO public.who_import VALUES (45419, '2020-07-04', 'KE', 'Kenya', 'AFRO', '247', '7188', '2', '154');
INSERT INTO public.who_import VALUES (45420, '2020-07-05', 'KE', 'Kenya', 'AFRO', '389', '7577', '5', '159');
INSERT INTO public.who_import VALUES (45421, '2020-07-06', 'KE', 'Kenya', 'AFRO', '309', '7886', '1', '160');
INSERT INTO public.who_import VALUES (45422, '2020-07-07', 'KE', 'Kenya', 'AFRO', '181', '8067', '4', '164');
INSERT INTO public.who_import VALUES (45423, '2020-07-08', 'KE', 'Kenya', 'AFRO', '183', '8250', '3', '167');
INSERT INTO public.who_import VALUES (45424, '2020-07-09', 'KE', 'Kenya', 'AFRO', '278', '8528', '2', '169');
INSERT INTO public.who_import VALUES (45425, '2020-07-10', 'KE', 'Kenya', 'AFRO', '447', '8975', '4', '173');
INSERT INTO public.who_import VALUES (45426, '2020-07-11', 'KE', 'Kenya', 'AFRO', '473', '9448', '8', '181');
INSERT INTO public.who_import VALUES (45427, '2020-07-12', 'KE', 'Kenya', 'AFRO', '278', '9726', '3', '184');
INSERT INTO public.who_import VALUES (45428, '2020-07-13', 'KE', 'Kenya', 'AFRO', '379', '10105', '1', '185');
INSERT INTO public.who_import VALUES (45429, '2020-07-14', 'KE', 'Kenya', 'AFRO', '189', '10294', '12', '197');
INSERT INTO public.who_import VALUES (45430, '2020-07-15', 'KE', 'Kenya', 'AFRO', '497', '10791', '5', '202');
INSERT INTO public.who_import VALUES (45431, '2020-07-16', 'KE', 'Kenya', 'AFRO', '461', '11252', '7', '209');
INSERT INTO public.who_import VALUES (45432, '2020-07-17', 'KE', 'Kenya', 'AFRO', '421', '11673', '8', '217');
INSERT INTO public.who_import VALUES (45433, '2020-07-18', 'KE', 'Kenya', 'AFRO', '389', '12062', '5', '222');
INSERT INTO public.who_import VALUES (45434, '2020-07-19', 'KE', 'Kenya', 'AFRO', '688', '12750', '3', '225');
INSERT INTO public.who_import VALUES (45435, '2020-07-20', 'KE', 'Kenya', 'AFRO', '603', '13353', '9', '234');
INSERT INTO public.who_import VALUES (45436, '2020-07-21', 'KE', 'Kenya', 'AFRO', '418', '13771', '4', '238');
INSERT INTO public.who_import VALUES (45437, '2020-07-22', 'KE', 'Kenya', 'AFRO', '397', '14168', '12', '250');
INSERT INTO public.who_import VALUES (45438, '2020-07-23', 'KE', 'Kenya', 'AFRO', '637', '14805', '10', '260');
INSERT INTO public.who_import VALUES (45439, '2020-07-24', 'KE', 'Kenya', 'AFRO', '796', '15601', '3', '263');
INSERT INTO public.who_import VALUES (45440, '2020-07-25', 'KE', 'Kenya', 'AFRO', '667', '16268', '11', '274');
INSERT INTO public.who_import VALUES (45441, '2020-07-26', 'KE', 'Kenya', 'AFRO', '375', '16643', '4', '278');
INSERT INTO public.who_import VALUES (45442, '2020-07-27', 'KE', 'Kenya', 'AFRO', '0', '16643', '0', '278');
INSERT INTO public.who_import VALUES (45443, '2020-07-28', 'KE', 'Kenya', 'AFRO', '1332', '17975', '7', '285');
INSERT INTO public.who_import VALUES (45444, '2020-07-29', 'KE', 'Kenya', 'AFRO', '606', '18581', '14', '299');
INSERT INTO public.who_import VALUES (45445, '2020-07-30', 'KE', 'Kenya', 'AFRO', '544', '19125', '12', '311');
INSERT INTO public.who_import VALUES (45446, '2020-07-31', 'KE', 'Kenya', 'AFRO', '788', '19913', '14', '325');
INSERT INTO public.who_import VALUES (45447, '2020-08-01', 'KE', 'Kenya', 'AFRO', '723', '20636', '16', '341');
INSERT INTO public.who_import VALUES (45448, '2020-08-02', 'KE', 'Kenya', 'AFRO', '727', '21363', '23', '364');
INSERT INTO public.who_import VALUES (45449, '2020-08-03', 'KE', 'Kenya', 'AFRO', '690', '22053', '5', '369');
INSERT INTO public.who_import VALUES (45450, '2020-08-04', 'KE', 'Kenya', 'AFRO', '544', '22597', '13', '382');
INSERT INTO public.who_import VALUES (45451, '2020-08-05', 'KE', 'Kenya', 'AFRO', '605', '23202', '6', '388');
INSERT INTO public.who_import VALUES (45452, '2020-08-06', 'KE', 'Kenya', 'AFRO', '671', '23873', '3', '391');
INSERT INTO public.who_import VALUES (45453, '2020-08-07', 'KE', 'Kenya', 'AFRO', '538', '24411', '8', '399');
INSERT INTO public.who_import VALUES (45454, '2020-08-08', 'KE', 'Kenya', 'AFRO', '727', '25138', '14', '413');
INSERT INTO public.who_import VALUES (45455, '2020-08-09', 'KE', 'Kenya', 'AFRO', '699', '25837', '5', '418');
INSERT INTO public.who_import VALUES (45456, '2020-08-10', 'KE', 'Kenya', 'AFRO', '599', '26436', '2', '420');
INSERT INTO public.who_import VALUES (45457, '2020-08-11', 'KE', 'Kenya', 'AFRO', '492', '26928', '3', '423');
INSERT INTO public.who_import VALUES (45458, '2020-08-12', 'KE', 'Kenya', 'AFRO', '497', '27425', '15', '438');
INSERT INTO public.who_import VALUES (45459, '2020-08-13', 'KE', 'Kenya', 'AFRO', '679', '28104', '18', '456');
INSERT INTO public.who_import VALUES (45460, '2020-08-14', 'KE', 'Kenya', 'AFRO', '650', '28754', '4', '460');
INSERT INTO public.who_import VALUES (45461, '2020-08-15', 'KE', 'Kenya', 'AFRO', '580', '29334', '5', '465');
INSERT INTO public.who_import VALUES (45462, '2020-08-16', 'KE', 'Kenya', 'AFRO', '515', '29849', '7', '472');
INSERT INTO public.who_import VALUES (45463, '2020-08-17', 'KE', 'Kenya', 'AFRO', '271', '30120', '2', '474');
INSERT INTO public.who_import VALUES (45464, '2020-08-18', 'KE', 'Kenya', 'AFRO', '245', '30365', '8', '482');
INSERT INTO public.who_import VALUES (45465, '2020-08-19', 'KE', 'Kenya', 'AFRO', '271', '30636', '5', '487');
INSERT INTO public.who_import VALUES (45466, '2020-08-20', 'KE', 'Kenya', 'AFRO', '379', '31015', '19', '506');
INSERT INTO public.who_import VALUES (45467, '2020-08-21', 'KE', 'Kenya', 'AFRO', '426', '31441', '10', '516');
INSERT INTO public.who_import VALUES (45468, '2020-08-22', 'KE', 'Kenya', 'AFRO', '322', '31763', '16', '532');
INSERT INTO public.who_import VALUES (45469, '2020-08-23', 'KE', 'Kenya', 'AFRO', '355', '32118', '10', '542');
INSERT INTO public.who_import VALUES (45470, '2020-08-24', 'KE', 'Kenya', 'AFRO', '246', '32364', '6', '548');
INSERT INTO public.who_import VALUES (45471, '2020-08-25', 'KE', 'Kenya', 'AFRO', '193', '32557', '6', '554');
INSERT INTO public.who_import VALUES (45472, '2020-08-26', 'KE', 'Kenya', 'AFRO', '246', '32803', '6', '560');
INSERT INTO public.who_import VALUES (45473, '2020-08-27', 'KE', 'Kenya', 'AFRO', '213', '33016', '4', '564');
INSERT INTO public.who_import VALUES (45474, '2020-08-28', 'KE', 'Kenya', 'AFRO', '373', '33389', '3', '567');
INSERT INTO public.who_import VALUES (45475, '2020-08-29', 'KE', 'Kenya', 'AFRO', '241', '33630', '0', '567');
INSERT INTO public.who_import VALUES (45476, '2020-08-30', 'KE', 'Kenya', 'AFRO', '164', '33794', '5', '572');
INSERT INTO public.who_import VALUES (45477, '2020-08-31', 'KE', 'Kenya', 'AFRO', '263', '34057', '2', '574');
INSERT INTO public.who_import VALUES (45478, '2020-09-01', 'KE', 'Kenya', 'AFRO', '144', '34201', '3', '577');
INSERT INTO public.who_import VALUES (45479, '2020-09-02', 'KE', 'Kenya', 'AFRO', '114', '34315', '0', '577');
INSERT INTO public.who_import VALUES (45480, '2020-09-03', 'KE', 'Kenya', 'AFRO', '178', '34493', '4', '581');
INSERT INTO public.who_import VALUES (45481, '2020-09-04', 'KE', 'Kenya', 'AFRO', '212', '34705', '4', '585');
INSERT INTO public.who_import VALUES (45482, '2020-09-05', 'KE', 'Kenya', 'AFRO', '179', '34884', '4', '589');
INSERT INTO public.who_import VALUES (45483, '2020-09-06', 'KE', 'Kenya', 'AFRO', '136', '35020', '5', '594');
INSERT INTO public.who_import VALUES (45484, '2020-09-07', 'KE', 'Kenya', 'AFRO', '83', '35103', '3', '597');
INSERT INTO public.who_import VALUES (45485, '2020-09-08', 'KE', 'Kenya', 'AFRO', '102', '35205', '2', '599');
INSERT INTO public.who_import VALUES (45486, '2020-09-09', 'KE', 'Kenya', 'AFRO', '151', '35356', '0', '599');
INSERT INTO public.who_import VALUES (45487, '2020-09-10', 'KE', 'Kenya', 'AFRO', '104', '35460', '8', '607');
INSERT INTO public.who_import VALUES (45488, '2020-09-11', 'KE', 'Kenya', 'AFRO', '143', '35603', '5', '612');
INSERT INTO public.who_import VALUES (45489, '2020-09-12', 'KE', 'Kenya', 'AFRO', '190', '35793', '4', '616');
INSERT INTO public.who_import VALUES (45490, '2020-09-13', 'KE', 'Kenya', 'AFRO', '170', '35963', '3', '619');
INSERT INTO public.who_import VALUES (45491, '2020-09-14', 'KE', 'Kenya', 'AFRO', '194', '36157', '3', '622');
INSERT INTO public.who_import VALUES (45492, '2020-09-15', 'KE', 'Kenya', 'AFRO', '48', '36205', '2', '624');
INSERT INTO public.who_import VALUES (45493, '2020-09-16', 'KE', 'Kenya', 'AFRO', '96', '36301', '10', '634');
INSERT INTO public.who_import VALUES (45494, '2020-09-17', 'KE', 'Kenya', 'AFRO', '0', '36301', '0', '634');
INSERT INTO public.who_import VALUES (45495, '2020-09-18', 'KE', 'Kenya', 'AFRO', '275', '36576', '8', '642');
INSERT INTO public.who_import VALUES (45496, '2020-09-19', 'KE', 'Kenya', 'AFRO', '148', '36724', '4', '646');
INSERT INTO public.who_import VALUES (45497, '2020-09-20', 'KE', 'Kenya', 'AFRO', '105', '36829', '0', '646');
INSERT INTO public.who_import VALUES (45498, '2020-09-21', 'KE', 'Kenya', 'AFRO', '152', '36981', '2', '648');
INSERT INTO public.who_import VALUES (45499, '2020-09-22', 'KE', 'Kenya', 'AFRO', '98', '37079', '2', '650');
INSERT INTO public.who_import VALUES (45500, '2020-09-23', 'KE', 'Kenya', 'AFRO', '139', '37218', '9', '659');
INSERT INTO public.who_import VALUES (45501, '2020-09-24', 'KE', 'Kenya', 'AFRO', '130', '37348', '5', '664');
INSERT INTO public.who_import VALUES (45502, '2020-09-25', 'KE', 'Kenya', 'AFRO', '141', '37489', '5', '669');
INSERT INTO public.who_import VALUES (45503, '2020-09-26', 'KE', 'Kenya', 'AFRO', '218', '37707', '13', '682');
INSERT INTO public.who_import VALUES (45504, '2020-09-27', 'KE', 'Kenya', 'AFRO', '164', '37871', '7', '689');
INSERT INTO public.who_import VALUES (45505, '2020-09-28', 'KE', 'Kenya', 'AFRO', '244', '38115', '2', '691');
INSERT INTO public.who_import VALUES (45506, '2020-09-29', 'KE', 'Kenya', 'AFRO', '53', '38168', '9', '700');
INSERT INTO public.who_import VALUES (45507, '2020-09-30', 'KE', 'Kenya', 'AFRO', '210', '38378', '7', '707');
INSERT INTO public.who_import VALUES (45508, '2020-10-01', 'KE', 'Kenya', 'AFRO', '151', '38529', '4', '711');
INSERT INTO public.who_import VALUES (45509, '2020-10-02', 'KE', 'Kenya', 'AFRO', '184', '38713', '7', '718');
INSERT INTO public.who_import VALUES (45510, '2020-10-03', 'KE', 'Kenya', 'AFRO', '210', '38923', '7', '725');
INSERT INTO public.who_import VALUES (45511, '2020-10-04', 'KE', 'Kenya', 'AFRO', '0', '38923', '0', '725');
INSERT INTO public.who_import VALUES (45512, '2020-10-05', 'KE', 'Kenya', 'AFRO', '504', '39427', '6', '731');
INSERT INTO public.who_import VALUES (45513, '2020-10-06', 'KE', 'Kenya', 'AFRO', '22', '39449', '4', '735');
INSERT INTO public.who_import VALUES (45514, '2020-10-07', 'KE', 'Kenya', 'AFRO', '137', '39586', '8', '743');
INSERT INTO public.who_import VALUES (45515, '2020-10-08', 'KE', 'Kenya', 'AFRO', '321', '39907', '5', '748');
INSERT INTO public.who_import VALUES (45516, '2020-10-09', 'KE', 'Kenya', 'AFRO', '271', '40178', '3', '751');
INSERT INTO public.who_import VALUES (45517, '2020-10-10', 'KE', 'Kenya', 'AFRO', '442', '40620', '4', '755');
INSERT INTO public.who_import VALUES (45518, '2020-10-11', 'KE', 'Kenya', 'AFRO', '538', '41158', '5', '760');
INSERT INTO public.who_import VALUES (45519, '2020-10-12', 'KE', 'Kenya', 'AFRO', '388', '41546', '6', '766');
INSERT INTO public.who_import VALUES (45520, '2020-10-13', 'KE', 'Kenya', 'AFRO', '73', '41619', '11', '777');
INSERT INTO public.who_import VALUES (45521, '2020-10-14', 'KE', 'Kenya', 'AFRO', '320', '41939', '10', '787');
INSERT INTO public.who_import VALUES (45522, '2020-10-15', 'KE', 'Kenya', 'AFRO', '602', '42541', '10', '797');
INSERT INTO public.who_import VALUES (45523, '2020-10-16', 'KE', 'Kenya', 'AFRO', '602', '43143', '8', '805');
INSERT INTO public.who_import VALUES (45524, '2020-10-17', 'KE', 'Kenya', 'AFRO', '437', '43580', '8', '813');
INSERT INTO public.who_import VALUES (45525, '2020-10-18', 'KE', 'Kenya', 'AFRO', '616', '44196', '12', '825');
INSERT INTO public.who_import VALUES (45526, '2020-10-19', 'KE', 'Kenya', 'AFRO', '685', '44881', '7', '832');
INSERT INTO public.who_import VALUES (45527, '2020-10-20', 'KE', 'Kenya', 'AFRO', '195', '45076', '7', '839');
INSERT INTO public.who_import VALUES (45528, '2020-10-21', 'KE', 'Kenya', 'AFRO', '571', '45647', '3', '842');
INSERT INTO public.who_import VALUES (45529, '2020-10-22', 'KE', 'Kenya', 'AFRO', '497', '46144', '16', '858');
INSERT INTO public.who_import VALUES (45530, '2020-10-23', 'KE', 'Kenya', 'AFRO', '1068', '47212', '12', '870');
INSERT INTO public.who_import VALUES (45531, '2020-10-24', 'KE', 'Kenya', 'AFRO', '631', '47843', '14', '884');
INSERT INTO public.who_import VALUES (45532, '2020-10-25', 'KE', 'Kenya', 'AFRO', '947', '48790', '12', '896');
INSERT INTO public.who_import VALUES (45533, '2020-10-26', 'KE', 'Kenya', 'AFRO', '931', '49721', '6', '902');
INSERT INTO public.who_import VALUES (45534, '2020-10-27', 'KE', 'Kenya', 'AFRO', '276', '49997', '18', '920');
INSERT INTO public.who_import VALUES (45535, '2020-10-28', 'KE', 'Kenya', 'AFRO', '836', '50833', '14', '934');
INSERT INTO public.who_import VALUES (45536, '2020-10-29', 'KE', 'Kenya', 'AFRO', '1018', '51851', '16', '950');
INSERT INTO public.who_import VALUES (45537, '2020-10-30', 'KE', 'Kenya', 'AFRO', '761', '52612', '14', '964');
INSERT INTO public.who_import VALUES (45538, '2020-10-31', 'KE', 'Kenya', 'AFRO', '1185', '53797', '17', '981');
INSERT INTO public.who_import VALUES (45539, '2020-11-01', 'KE', 'Kenya', 'AFRO', '1395', '55192', '15', '996');
INSERT INTO public.who_import VALUES (45540, '2020-11-02', 'KE', 'Kenya', 'AFRO', '685', '55877', '17', '1013');
INSERT INTO public.who_import VALUES (45541, '2020-11-03', 'KE', 'Kenya', 'AFRO', '724', '56601', '14', '1027');
INSERT INTO public.who_import VALUES (45542, '2020-11-04', 'KE', 'Kenya', 'AFRO', '492', '57093', '12', '1039');
INSERT INTO public.who_import VALUES (45543, '2020-11-05', 'KE', 'Kenya', 'AFRO', '1494', '58587', '12', '1051');
INSERT INTO public.who_import VALUES (45544, '2020-11-06', 'KE', 'Kenya', 'AFRO', '1008', '59595', '21', '1072');
INSERT INTO public.who_import VALUES (45545, '2020-11-07', 'KE', 'Kenya', 'AFRO', '1109', '60704', '21', '1093');
INSERT INTO public.who_import VALUES (45546, '2020-11-08', 'KE', 'Kenya', 'AFRO', '1065', '61769', '10', '1103');
INSERT INTO public.who_import VALUES (45547, '2020-11-09', 'KE', 'Kenya', 'AFRO', '719', '62488', '8', '1111');
INSERT INTO public.who_import VALUES (45548, '2020-11-10', 'KE', 'Kenya', 'AFRO', '756', '63244', '19', '1130');
INSERT INTO public.who_import VALUES (45549, '2020-11-11', 'KE', 'Kenya', 'AFRO', '1344', '64588', '24', '1154');
INSERT INTO public.who_import VALUES (45550, '2020-11-12', 'KE', 'Kenya', 'AFRO', '1216', '65804', '26', '1180');
INSERT INTO public.who_import VALUES (45551, '2020-11-13', 'KE', 'Kenya', 'AFRO', '919', '66723', '23', '1203');
INSERT INTO public.who_import VALUES (45552, '2020-11-14', 'KE', 'Kenya', 'AFRO', '1470', '68193', '25', '1228');
INSERT INTO public.who_import VALUES (45553, '2020-11-15', 'KE', 'Kenya', 'AFRO', '1080', '69273', '21', '1249');
INSERT INTO public.who_import VALUES (45554, '2020-11-16', 'KE', 'Kenya', 'AFRO', '972', '70245', '20', '1269');
INSERT INTO public.who_import VALUES (45555, '2020-11-17', 'KE', 'Kenya', 'AFRO', '559', '70804', '18', '1287');
INSERT INTO public.who_import VALUES (45556, '2020-11-18', 'KE', 'Kenya', 'AFRO', '925', '71729', '15', '1302');
INSERT INTO public.who_import VALUES (45557, '2020-11-19', 'KE', 'Kenya', 'AFRO', '957', '72686', '11', '1313');
INSERT INTO public.who_import VALUES (45558, '2020-11-20', 'KE', 'Kenya', 'AFRO', '1459', '74145', '17', '1330');
INSERT INTO public.who_import VALUES (45559, '2020-11-21', 'KE', 'Kenya', 'AFRO', '1048', '75193', '19', '1349');
INSERT INTO public.who_import VALUES (45560, '2020-11-22', 'KE', 'Kenya', 'AFRO', '1211', '76404', '17', '1366');
INSERT INTO public.who_import VALUES (45561, '2020-11-23', 'KE', 'Kenya', 'AFRO', '968', '77372', '14', '1380');
INSERT INTO public.who_import VALUES (45562, '2020-11-24', 'KE', 'Kenya', 'AFRO', '413', '77785', '12', '1392');
INSERT INTO public.who_import VALUES (45563, '2020-11-25', 'KE', 'Kenya', 'AFRO', '727', '78512', '17', '1409');
INSERT INTO public.who_import VALUES (45564, '2020-11-26', 'KE', 'Kenya', 'AFRO', '810', '79322', '8', '1417');
INSERT INTO public.who_import VALUES (45565, '2020-11-27', 'KE', 'Kenya', 'AFRO', '780', '80102', '10', '1427');
INSERT INTO public.who_import VALUES (45566, '2020-11-28', 'KE', 'Kenya', 'AFRO', '1554', '81656', '14', '1441');
INSERT INTO public.who_import VALUES (45567, '2020-11-29', 'KE', 'Kenya', 'AFRO', '949', '82605', '4', '1445');
INSERT INTO public.who_import VALUES (45568, '2020-11-30', 'KE', 'Kenya', 'AFRO', '711', '83316', '7', '1452');
INSERT INTO public.who_import VALUES (45569, '2020-12-01', 'KE', 'Kenya', 'AFRO', '302', '83618', '17', '1469');
INSERT INTO public.who_import VALUES (45570, '2020-12-02', 'KE', 'Kenya', 'AFRO', '551', '84169', '5', '1474');
INSERT INTO public.who_import VALUES (45571, '2020-12-03', 'KE', 'Kenya', 'AFRO', '961', '85130', '10', '1484');
INSERT INTO public.who_import VALUES (45572, '2020-12-04', 'KE', 'Kenya', 'AFRO', '1253', '86383', '16', '1500');
INSERT INTO public.who_import VALUES (45573, '2020-12-05', 'KE', 'Kenya', 'AFRO', '866', '87249', '6', '1506');
INSERT INTO public.who_import VALUES (45574, '2020-12-06', 'KE', 'Kenya', 'AFRO', '735', '87984', '12', '1518');
INSERT INTO public.who_import VALUES (45575, '2020-12-07', 'KE', 'Kenya', 'AFRO', '396', '88380', '8', '1526');
INSERT INTO public.who_import VALUES (45576, '2020-12-08', 'KE', 'Kenya', 'AFRO', '199', '88579', '5', '1531');
INSERT INTO public.who_import VALUES (45577, '2020-12-09', 'KE', 'Kenya', 'AFRO', '0', '88579', '0', '1531');
INSERT INTO public.who_import VALUES (45578, '2020-12-10', 'KE', 'Kenya', 'AFRO', '1082', '89661', '21', '1552');
INSERT INTO public.who_import VALUES (45579, '2020-12-11', 'KE', 'Kenya', 'AFRO', '644', '90305', '16', '1568');
INSERT INTO public.who_import VALUES (45580, '2020-12-12', 'KE', 'Kenya', 'AFRO', '0', '90305', '0', '1568');
INSERT INTO public.who_import VALUES (45581, '2020-12-13', 'KE', 'Kenya', 'AFRO', '0', '90305', '0', '1568');
INSERT INTO public.who_import VALUES (45582, '2020-12-14', 'KE', 'Kenya', 'AFRO', '1587', '91892', '19', '1587');
INSERT INTO public.who_import VALUES (45583, '2020-12-15', 'KE', 'Kenya', 'AFRO', '163', '92055', '6', '1593');
INSERT INTO public.who_import VALUES (45584, '2020-12-16', 'KE', 'Kenya', 'AFRO', '404', '92459', '11', '1604');
INSERT INTO public.who_import VALUES (45585, '2020-12-17', 'KE', 'Kenya', 'AFRO', '0', '92459', '0', '1604');
INSERT INTO public.who_import VALUES (45586, '2020-12-18', 'KE', 'Kenya', 'AFRO', '946', '93405', '14', '1618');
INSERT INTO public.who_import VALUES (45587, '2020-12-19', 'KE', 'Kenya', 'AFRO', '356', '93761', '11', '1629');
INSERT INTO public.who_import VALUES (45588, '2020-12-20', 'KE', 'Kenya', 'AFRO', '390', '94151', '4', '1633');
INSERT INTO public.who_import VALUES (45589, '2020-12-21', 'KE', 'Kenya', 'AFRO', '349', '94500', '6', '1639');
INSERT INTO public.who_import VALUES (45590, '2020-12-22', 'KE', 'Kenya', 'AFRO', '114', '94614', '5', '1644');
INSERT INTO public.who_import VALUES (45591, '2020-12-23', 'KE', 'Kenya', 'AFRO', '154', '94768', '3', '1647');
INSERT INTO public.who_import VALUES (45592, '2020-12-24', 'KE', 'Kenya', 'AFRO', '0', '94768', '0', '1647');
INSERT INTO public.who_import VALUES (45593, '2020-12-25', 'KE', 'Kenya', 'AFRO', '663', '95431', '5', '1652');
INSERT INTO public.who_import VALUES (45594, '2020-12-26', 'KE', 'Kenya', 'AFRO', '282', '95713', '1', '1653');
INSERT INTO public.who_import VALUES (45595, '2020-12-27', 'KE', 'Kenya', 'AFRO', '130', '95843', '2', '1655');
INSERT INTO public.who_import VALUES (45596, '2020-12-28', 'KE', 'Kenya', 'AFRO', '0', '95843', '0', '1655');
INSERT INTO public.who_import VALUES (45597, '2020-12-29', 'KE', 'Kenya', 'AFRO', '149', '95992', '9', '1664');
INSERT INTO public.who_import VALUES (45598, '2020-12-30', 'KE', 'Kenya', 'AFRO', '0', '95992', '0', '1664');
INSERT INTO public.who_import VALUES (45599, '2020-12-31', 'KE', 'Kenya', 'AFRO', '259', '96251', '3', '1667');
INSERT INTO public.who_import VALUES (45600, '2021-01-01', 'KE', 'Kenya', 'AFRO', '207', '96458', '3', '1670');
INSERT INTO public.who_import VALUES (45601, '2021-01-02', 'KE', 'Kenya', 'AFRO', '0', '96458', '0', '1670');
INSERT INTO public.who_import VALUES (45602, '2021-01-03', 'KE', 'Kenya', 'AFRO', '220', '96678', '15', '1685');
INSERT INTO public.who_import VALUES (45603, '2021-01-04', 'KE', 'Kenya', 'AFRO', '124', '96802', '0', '1685');
INSERT INTO public.who_import VALUES (45604, '2021-01-05', 'KE', 'Kenya', 'AFRO', '106', '96908', '1', '1686');
INSERT INTO public.who_import VALUES (45605, '2021-01-06', 'KE', 'Kenya', 'AFRO', '219', '97127', '4', '1690');
INSERT INTO public.who_import VALUES (45606, '2021-01-07', 'KE', 'Kenya', 'AFRO', '271', '97398', '4', '1694');
INSERT INTO public.who_import VALUES (45607, '2021-01-08', 'KE', 'Kenya', 'AFRO', '335', '97733', '8', '1702');
INSERT INTO public.who_import VALUES (45608, '2021-01-09', 'KE', 'Kenya', 'AFRO', '221', '97954', '1', '1703');
INSERT INTO public.who_import VALUES (45609, '2021-01-10', 'KE', 'Kenya', 'AFRO', '230', '98184', '1', '1704');
INSERT INTO public.who_import VALUES (45610, '2021-01-11', 'KE', 'Kenya', 'AFRO', '87', '98271', '6', '1710');
INSERT INTO public.who_import VALUES (45611, '2021-01-12', 'KE', 'Kenya', 'AFRO', '63', '98334', '3', '1713');
INSERT INTO public.who_import VALUES (45612, '2021-01-13', 'KE', 'Kenya', 'AFRO', '98', '98432', '3', '1716');
INSERT INTO public.who_import VALUES (45613, '2021-01-14', 'KE', 'Kenya', 'AFRO', '123', '98555', '4', '1720');
INSERT INTO public.who_import VALUES (45614, '2021-01-15', 'KE', 'Kenya', 'AFRO', '138', '98693', '3', '1723');
INSERT INTO public.who_import VALUES (45615, '2021-01-16', 'KE', 'Kenya', 'AFRO', '166', '98859', '3', '1726');
INSERT INTO public.who_import VALUES (45616, '2021-01-17', 'KE', 'Kenya', 'AFRO', '223', '99082', '2', '1728');
INSERT INTO public.who_import VALUES (45617, '2021-01-18', 'KE', 'Kenya', 'AFRO', '80', '99162', '3', '1731');
INSERT INTO public.who_import VALUES (45618, '2021-01-19', 'KE', 'Kenya', 'AFRO', '65', '99227', '3', '1734');
INSERT INTO public.who_import VALUES (45619, '2021-01-20', 'KE', 'Kenya', 'AFRO', '81', '99308', '0', '1734');
INSERT INTO public.who_import VALUES (45620, '2021-01-21', 'KE', 'Kenya', 'AFRO', '136', '99444', '2', '1736');
INSERT INTO public.who_import VALUES (45621, '2021-01-22', 'KE', 'Kenya', 'AFRO', '186', '99630', '3', '1739');
INSERT INTO public.who_import VALUES (45622, '2021-01-23', 'KE', 'Kenya', 'AFRO', '139', '99769', '1', '1740');
INSERT INTO public.who_import VALUES (45623, '2021-01-24', 'KE', 'Kenya', 'AFRO', '129', '99898', '0', '1740');
INSERT INTO public.who_import VALUES (45624, '2021-01-25', 'KE', 'Kenya', 'AFRO', '85', '99983', '4', '1744');
INSERT INTO public.who_import VALUES (45625, '2021-01-26', 'KE', 'Kenya', 'AFRO', '69', '100052', '0', '1744');
INSERT INTO public.who_import VALUES (45626, '2021-01-27', 'KE', 'Kenya', 'AFRO', '141', '100193', '6', '1750');
INSERT INTO public.who_import VALUES (45627, '2021-01-28', 'KE', 'Kenya', 'AFRO', '130', '100323', '1', '1751');
INSERT INTO public.who_import VALUES (45628, '2021-01-29', 'KE', 'Kenya', 'AFRO', '99', '100422', '2', '1753');
INSERT INTO public.who_import VALUES (45629, '2021-01-30', 'KE', 'Kenya', 'AFRO', '141', '100563', '0', '1753');
INSERT INTO public.who_import VALUES (45630, '2021-01-31', 'KE', 'Kenya', 'AFRO', '112', '100675', '2', '1755');
INSERT INTO public.who_import VALUES (45631, '2021-02-01', 'KE', 'Kenya', 'AFRO', '98', '100773', '8', '1763');
INSERT INTO public.who_import VALUES (45632, '2021-02-02', 'KE', 'Kenya', 'AFRO', '83', '100856', '3', '1766');
INSERT INTO public.who_import VALUES (45633, '2021-02-03', 'KE', 'Kenya', 'AFRO', '153', '101009', '0', '1766');
INSERT INTO public.who_import VALUES (45634, '2021-02-04', 'KE', 'Kenya', 'AFRO', '150', '101159', '3', '1769');
INSERT INTO public.who_import VALUES (45635, '2021-02-05', 'KE', 'Kenya', 'AFRO', '180', '101339', '4', '1773');
INSERT INTO public.who_import VALUES (45636, '2021-02-06', 'KE', 'Kenya', 'AFRO', '195', '101534', '3', '1776');
INSERT INTO public.who_import VALUES (45637, '2021-02-07', 'KE', 'Kenya', 'AFRO', '156', '101690', '0', '1776');
INSERT INTO public.who_import VALUES (45638, '2021-02-08', 'KE', 'Kenya', 'AFRO', '129', '101819', '3', '1779');
INSERT INTO public.who_import VALUES (45639, '2021-02-09', 'KE', 'Kenya', 'AFRO', '125', '101944', '7', '1786');
INSERT INTO public.who_import VALUES (45640, '2021-02-10', 'KE', 'Kenya', 'AFRO', '104', '102048', '3', '1789');
INSERT INTO public.who_import VALUES (45641, '2021-02-11', 'KE', 'Kenya', 'AFRO', '173', '102221', '2', '1791');
INSERT INTO public.who_import VALUES (45642, '2021-02-12', 'KE', 'Kenya', 'AFRO', '132', '102353', '3', '1794');
INSERT INTO public.who_import VALUES (45643, '2021-02-13', 'KE', 'Kenya', 'AFRO', '260', '102613', '0', '1794');
INSERT INTO public.who_import VALUES (45644, '2021-02-14', 'KE', 'Kenya', 'AFRO', '179', '102792', '1', '1795');
INSERT INTO public.who_import VALUES (45645, '2021-02-15', 'KE', 'Kenya', 'AFRO', '75', '102867', '0', '1795');
INSERT INTO public.who_import VALUES (45646, '2021-02-16', 'KE', 'Kenya', 'AFRO', '147', '103014', '0', '1795');
INSERT INTO public.who_import VALUES (45647, '2021-02-17', 'KE', 'Kenya', 'AFRO', '174', '103188', '2', '1797');
INSERT INTO public.who_import VALUES (45648, '2021-02-18', 'KE', 'Kenya', 'AFRO', '144', '103332', '4', '1801');
INSERT INTO public.who_import VALUES (45649, '2021-02-19', 'KE', 'Kenya', 'AFRO', '283', '103615', '6', '1807');
INSERT INTO public.who_import VALUES (45650, '2021-02-20', 'KE', 'Kenya', 'AFRO', '226', '103841', '6', '1813');
INSERT INTO public.who_import VALUES (45651, '2020-01-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45652, '2020-01-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45653, '2020-01-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45654, '2020-01-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45655, '2020-01-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45656, '2020-01-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45657, '2020-01-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45658, '2020-01-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45659, '2020-01-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45660, '2020-01-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45661, '2020-01-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45662, '2020-01-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45663, '2020-01-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45664, '2020-01-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45665, '2020-01-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45666, '2020-01-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45667, '2020-01-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45668, '2020-01-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45669, '2020-01-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45670, '2020-01-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45671, '2020-01-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45672, '2020-01-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45673, '2020-01-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45674, '2020-01-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45675, '2020-01-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45676, '2020-01-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45677, '2020-01-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45678, '2020-01-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45679, '2020-01-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45680, '2020-02-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45681, '2020-02-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45682, '2020-02-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45683, '2020-02-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45684, '2020-02-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45685, '2020-02-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45686, '2020-02-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45687, '2020-02-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45688, '2020-02-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45689, '2020-02-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45690, '2020-02-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45691, '2020-02-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45692, '2020-02-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45693, '2020-02-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45694, '2020-02-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45695, '2020-02-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45696, '2020-02-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45697, '2020-02-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45698, '2020-02-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45699, '2020-02-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45700, '2020-02-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45701, '2020-02-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45702, '2020-02-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45703, '2020-02-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45704, '2020-02-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45705, '2020-02-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45706, '2020-02-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45707, '2020-02-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45708, '2020-02-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45709, '2020-03-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45710, '2020-03-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45711, '2020-03-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45712, '2020-03-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45713, '2020-03-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45714, '2020-03-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45715, '2020-03-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45716, '2020-03-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45717, '2020-03-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45718, '2020-03-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45719, '2020-03-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45720, '2020-03-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45721, '2020-03-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45722, '2020-03-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45723, '2020-03-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45724, '2020-03-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45725, '2020-03-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45726, '2020-03-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45727, '2020-03-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45728, '2020-03-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45729, '2020-03-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45730, '2020-03-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45731, '2020-03-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45732, '2020-03-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45733, '2020-03-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45734, '2020-03-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45735, '2020-03-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45736, '2020-03-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45737, '2020-03-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45738, '2020-03-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45739, '2020-03-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45740, '2020-04-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45741, '2020-04-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45742, '2020-04-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45743, '2020-04-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45744, '2020-04-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45745, '2020-04-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45746, '2020-04-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45747, '2020-04-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45748, '2020-04-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45749, '2020-04-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45750, '2020-04-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45751, '2020-04-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45752, '2020-04-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45753, '2020-04-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45754, '2020-04-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45755, '2020-04-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45756, '2020-04-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45757, '2020-04-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45758, '2020-04-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45759, '2020-04-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45760, '2020-04-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45761, '2020-04-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45762, '2020-04-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45763, '2020-04-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45764, '2020-04-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45765, '2020-04-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45766, '2020-04-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45767, '2020-04-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45768, '2020-04-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45769, '2020-04-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45770, '2020-05-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45771, '2020-05-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45772, '2020-05-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45773, '2020-05-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45774, '2020-05-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45775, '2020-05-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45776, '2020-05-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45777, '2020-05-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45778, '2020-05-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45779, '2020-05-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45780, '2020-05-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45781, '2020-05-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45782, '2020-05-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45783, '2020-05-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45784, '2020-05-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45785, '2020-05-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45786, '2020-05-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45787, '2020-05-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45788, '2020-05-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45789, '2020-05-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45790, '2020-05-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45791, '2020-05-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45792, '2020-05-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45793, '2020-05-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45794, '2020-05-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45795, '2020-05-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45796, '2020-05-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45797, '2020-05-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45798, '2020-05-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45799, '2020-05-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45800, '2020-05-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45801, '2020-06-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45802, '2020-06-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45803, '2020-06-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45804, '2020-06-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45805, '2020-06-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45806, '2020-06-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45807, '2020-06-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45808, '2020-06-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45809, '2020-06-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45810, '2020-06-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45811, '2020-06-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45812, '2020-06-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45813, '2020-06-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45814, '2020-06-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45815, '2020-06-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45816, '2020-06-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45817, '2020-06-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45818, '2020-06-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45819, '2020-06-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45820, '2020-06-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45821, '2020-06-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45822, '2020-06-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45823, '2020-06-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45824, '2020-06-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45825, '2020-06-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45826, '2020-06-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45827, '2020-06-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45828, '2020-06-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45829, '2020-06-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45830, '2020-06-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45831, '2020-07-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45832, '2020-07-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45833, '2020-07-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45834, '2020-07-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45835, '2020-07-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45836, '2020-07-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45837, '2020-07-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45838, '2020-07-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45839, '2020-07-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45840, '2020-07-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45841, '2020-07-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45842, '2020-07-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45843, '2020-07-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45844, '2020-07-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45845, '2020-07-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45846, '2020-07-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45847, '2020-07-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45848, '2020-07-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45849, '2020-07-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45850, '2020-07-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45851, '2020-07-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45852, '2020-07-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45853, '2020-07-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45854, '2020-07-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45855, '2020-07-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45856, '2020-07-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45857, '2020-07-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45858, '2020-07-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45859, '2020-07-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45860, '2020-07-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45861, '2020-07-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45862, '2020-08-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45863, '2020-08-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45864, '2020-08-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45865, '2020-08-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45866, '2020-08-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45867, '2020-08-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45868, '2020-08-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45869, '2020-08-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45870, '2020-08-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45871, '2020-08-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45872, '2020-08-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45873, '2020-08-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45874, '2020-08-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45875, '2020-08-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45876, '2020-08-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45877, '2020-08-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45878, '2020-08-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45879, '2020-08-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45880, '2020-08-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45881, '2020-08-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45882, '2020-08-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45883, '2020-08-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45884, '2020-08-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45885, '2020-08-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45886, '2020-08-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45887, '2020-08-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45888, '2020-08-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45889, '2020-08-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45890, '2020-08-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45891, '2020-08-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45892, '2020-08-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45893, '2020-09-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45894, '2020-09-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45895, '2020-09-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45896, '2020-09-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45897, '2020-09-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45898, '2020-09-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45899, '2020-09-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45900, '2020-09-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45901, '2020-09-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45902, '2020-09-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45903, '2020-09-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45904, '2020-09-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45905, '2020-09-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45906, '2020-09-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45907, '2020-09-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45908, '2020-09-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45909, '2020-09-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45910, '2020-09-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45911, '2020-09-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45912, '2020-09-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45913, '2020-09-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45914, '2020-09-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45915, '2020-09-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45916, '2020-09-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45917, '2020-09-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45918, '2020-09-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45919, '2020-09-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45920, '2020-09-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45921, '2020-09-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45922, '2020-09-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45923, '2020-10-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45924, '2020-10-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45925, '2020-10-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45926, '2020-10-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45927, '2020-10-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45928, '2020-10-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45929, '2020-10-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45930, '2020-10-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45931, '2020-10-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45932, '2020-10-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45933, '2020-10-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45934, '2020-10-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45935, '2020-10-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45936, '2020-10-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45937, '2020-10-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45938, '2020-10-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45939, '2020-10-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45940, '2020-10-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45941, '2020-10-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45942, '2020-10-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45943, '2020-10-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45944, '2020-10-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45945, '2020-10-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45946, '2020-10-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45947, '2020-10-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45948, '2020-10-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45949, '2020-10-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45950, '2020-10-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45951, '2020-10-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45952, '2020-10-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45953, '2020-10-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45954, '2020-11-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45955, '2020-11-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45956, '2020-11-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45957, '2020-11-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45958, '2020-11-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45959, '2020-11-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45960, '2020-11-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45961, '2020-11-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45962, '2020-11-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45963, '2020-11-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45964, '2020-11-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45965, '2020-11-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45966, '2020-11-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45967, '2020-11-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45968, '2020-11-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45969, '2020-11-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45970, '2020-11-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45971, '2020-11-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45972, '2020-11-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45973, '2020-11-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45974, '2020-11-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45975, '2020-11-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45976, '2020-11-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45977, '2020-11-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45978, '2020-11-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45979, '2020-11-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45980, '2020-11-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45981, '2020-11-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45982, '2020-11-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45983, '2020-11-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45984, '2020-12-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45985, '2020-12-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45986, '2020-12-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45987, '2020-12-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45988, '2020-12-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45989, '2020-12-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45990, '2020-12-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45991, '2020-12-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45992, '2020-12-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45993, '2020-12-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45994, '2020-12-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45995, '2020-12-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45996, '2020-12-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45997, '2020-12-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45998, '2020-12-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (45999, '2020-12-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46000, '2020-12-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46001, '2020-12-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46002, '2020-12-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46003, '2020-12-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46004, '2020-12-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46005, '2020-12-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46006, '2020-12-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46007, '2020-12-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46008, '2020-12-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46009, '2020-12-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46010, '2020-12-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46011, '2020-12-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46012, '2020-12-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46013, '2020-12-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46014, '2020-12-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46015, '2021-01-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46016, '2021-01-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46017, '2021-01-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46018, '2021-01-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46019, '2021-01-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46020, '2021-01-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46021, '2021-01-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46022, '2021-01-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46023, '2021-01-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46024, '2021-01-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46025, '2021-01-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46026, '2021-01-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46027, '2021-01-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46028, '2021-01-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46029, '2021-01-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46030, '2021-01-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46031, '2021-01-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46032, '2021-01-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46033, '2021-01-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46034, '2021-01-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46035, '2021-01-21', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46036, '2021-01-22', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46037, '2021-01-23', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46038, '2021-01-24', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46039, '2021-01-25', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46040, '2021-01-26', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46041, '2021-01-27', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46042, '2021-01-28', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46043, '2021-01-29', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46044, '2021-01-30', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46045, '2021-01-31', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46046, '2021-02-01', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46047, '2021-02-02', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46048, '2021-02-03', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46049, '2021-02-04', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46050, '2021-02-05', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46051, '2021-02-06', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46052, '2021-02-07', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46053, '2021-02-08', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46054, '2021-02-09', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46055, '2021-02-10', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46056, '2021-02-11', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46057, '2021-02-12', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46058, '2021-02-13', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46059, '2021-02-14', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46060, '2021-02-15', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46061, '2021-02-16', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46062, '2021-02-17', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46063, '2021-02-18', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46064, '2021-02-19', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46065, '2021-02-20', 'KI', 'Kiribati', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46066, '2020-01-03', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46067, '2020-01-04', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46068, '2020-01-05', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46069, '2020-01-06', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46070, '2020-01-07', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46071, '2020-01-08', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46072, '2020-01-09', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46073, '2020-01-10', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46074, '2020-01-11', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46075, '2020-01-12', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46076, '2020-01-13', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46077, '2020-01-14', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46078, '2020-01-15', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46079, '2020-01-16', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46080, '2020-01-17', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46081, '2020-01-18', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46082, '2020-01-19', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46083, '2020-01-20', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46084, '2020-01-21', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46085, '2020-01-22', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46086, '2020-01-23', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46087, '2020-01-24', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46088, '2020-01-25', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46089, '2020-01-26', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46090, '2020-01-27', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46091, '2020-01-28', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46092, '2020-01-29', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46093, '2020-01-30', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46094, '2020-01-31', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46095, '2020-02-01', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46096, '2020-02-02', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46097, '2020-02-03', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46098, '2020-02-04', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46099, '2020-02-05', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46100, '2020-02-06', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46101, '2020-02-07', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46102, '2020-02-08', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46103, '2020-02-09', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46104, '2020-02-10', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46105, '2020-02-11', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46106, '2020-02-12', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46107, '2020-02-13', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46108, '2020-02-14', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46109, '2020-02-15', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46110, '2020-02-16', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46111, '2020-02-17', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46112, '2020-02-18', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46113, '2020-02-19', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46114, '2020-02-20', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46115, '2020-02-21', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46116, '2020-02-22', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46117, '2020-02-23', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46118, '2020-02-24', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46119, '2020-02-25', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46120, '2020-02-26', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46121, '2020-02-27', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46122, '2020-02-28', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46123, '2020-02-29', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46124, '2020-03-01', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46125, '2020-03-02', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46126, '2020-03-03', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46127, '2020-03-04', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46128, '2020-03-05', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46129, '2020-03-06', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46130, '2020-03-07', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46131, '2020-03-08', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46132, '2020-03-09', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46133, '2020-03-10', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46134, '2020-03-11', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46135, '2020-03-12', 'XK', 'Kosovo[1]', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46136, '2020-03-13', 'XK', 'Kosovo[1]', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (46137, '2020-03-14', 'XK', 'Kosovo[1]', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (46138, '2020-03-15', 'XK', 'Kosovo[1]', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (46139, '2020-03-16', 'XK', 'Kosovo[1]', 'EURO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (46140, '2020-03-17', 'XK', 'Kosovo[1]', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (46141, '2020-03-18', 'XK', 'Kosovo[1]', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (46142, '2020-03-19', 'XK', 'Kosovo[1]', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (46143, '2020-03-20', 'XK', 'Kosovo[1]', 'EURO', '15', '20', '0', '0');
INSERT INTO public.who_import VALUES (46144, '2020-03-21', 'XK', 'Kosovo[1]', 'EURO', '4', '24', '0', '0');
INSERT INTO public.who_import VALUES (46145, '2020-03-22', 'XK', 'Kosovo[1]', 'EURO', '7', '31', '1', '1');
INSERT INTO public.who_import VALUES (46146, '2020-03-23', 'XK', 'Kosovo[1]', 'EURO', '4', '35', '0', '1');
INSERT INTO public.who_import VALUES (46147, '2020-03-24', 'XK', 'Kosovo[1]', 'EURO', '28', '63', '0', '1');
INSERT INTO public.who_import VALUES (46148, '2020-03-25', 'XK', 'Kosovo[1]', 'EURO', '8', '71', '0', '1');
INSERT INTO public.who_import VALUES (46149, '2020-03-26', 'XK', 'Kosovo[1]', 'EURO', '8', '79', '0', '1');
INSERT INTO public.who_import VALUES (46150, '2020-03-27', 'XK', 'Kosovo[1]', 'EURO', '9', '88', '0', '1');
INSERT INTO public.who_import VALUES (46151, '2020-03-28', 'XK', 'Kosovo[1]', 'EURO', '3', '91', '0', '1');
INSERT INTO public.who_import VALUES (46152, '2020-03-29', 'XK', 'Kosovo[1]', 'EURO', '0', '91', '0', '1');
INSERT INTO public.who_import VALUES (46153, '2020-03-30', 'XK', 'Kosovo[1]', 'EURO', '15', '106', '0', '1');
INSERT INTO public.who_import VALUES (46154, '2020-03-31', 'XK', 'Kosovo[1]', 'EURO', '6', '112', '0', '1');
INSERT INTO public.who_import VALUES (46155, '2020-04-01', 'XK', 'Kosovo[1]', 'EURO', '13', '125', '0', '1');
INSERT INTO public.who_import VALUES (46156, '2020-04-02', 'XK', 'Kosovo[1]', 'EURO', '0', '125', '0', '1');
INSERT INTO public.who_import VALUES (46157, '2020-04-03', 'XK', 'Kosovo[1]', 'EURO', '1', '126', '0', '1');
INSERT INTO public.who_import VALUES (46158, '2020-04-04', 'XK', 'Kosovo[1]', 'EURO', '6', '132', '0', '1');
INSERT INTO public.who_import VALUES (46159, '2020-04-05', 'XK', 'Kosovo[1]', 'EURO', '8', '140', '0', '1');
INSERT INTO public.who_import VALUES (46160, '2020-04-06', 'XK', 'Kosovo[1]', 'EURO', '5', '145', '0', '1');
INSERT INTO public.who_import VALUES (46161, '2020-04-07', 'XK', 'Kosovo[1]', 'EURO', '20', '165', '2', '3');
INSERT INTO public.who_import VALUES (46162, '2020-04-08', 'XK', 'Kosovo[1]', 'EURO', '19', '184', '3', '6');
INSERT INTO public.who_import VALUES (46163, '2020-04-09', 'XK', 'Kosovo[1]', 'EURO', '40', '224', '1', '7');
INSERT INTO public.who_import VALUES (46164, '2020-04-10', 'XK', 'Kosovo[1]', 'EURO', '3', '227', '0', '7');
INSERT INTO public.who_import VALUES (46165, '2020-04-11', 'XK', 'Kosovo[1]', 'EURO', '23', '250', '0', '7');
INSERT INTO public.who_import VALUES (46166, '2020-04-12', 'XK', 'Kosovo[1]', 'EURO', '33', '283', '0', '7');
INSERT INTO public.who_import VALUES (46167, '2020-04-13', 'XK', 'Kosovo[1]', 'EURO', '79', '362', '1', '8');
INSERT INTO public.who_import VALUES (46168, '2020-04-14', 'XK', 'Kosovo[1]', 'EURO', '15', '377', '1', '9');
INSERT INTO public.who_import VALUES (46169, '2020-04-15', 'XK', 'Kosovo[1]', 'EURO', '10', '387', '1', '10');
INSERT INTO public.who_import VALUES (46170, '2020-04-16', 'XK', 'Kosovo[1]', 'EURO', '10', '397', '2', '12');
INSERT INTO public.who_import VALUES (46171, '2020-04-17', 'XK', 'Kosovo[1]', 'EURO', '52', '449', '1', '13');
INSERT INTO public.who_import VALUES (46172, '2020-04-18', 'XK', 'Kosovo[1]', 'EURO', '31', '480', '0', '13');
INSERT INTO public.who_import VALUES (46173, '2020-04-19', 'XK', 'Kosovo[1]', 'EURO', '30', '510', '0', '13');
INSERT INTO public.who_import VALUES (46174, '2020-04-20', 'XK', 'Kosovo[1]', 'EURO', '25', '535', '0', '13');
INSERT INTO public.who_import VALUES (46175, '2020-04-21', 'XK', 'Kosovo[1]', 'EURO', '37', '572', '1', '14');
INSERT INTO public.who_import VALUES (46176, '2020-04-22', 'XK', 'Kosovo[1]', 'EURO', '32', '604', '0', '14');
INSERT INTO public.who_import VALUES (46177, '2020-04-23', 'XK', 'Kosovo[1]', 'EURO', '26', '630', '1', '15');
INSERT INTO public.who_import VALUES (46178, '2020-04-24', 'XK', 'Kosovo[1]', 'EURO', '39', '669', '0', '15');
INSERT INTO public.who_import VALUES (46179, '2020-04-25', 'XK', 'Kosovo[1]', 'EURO', '34', '703', '1', '16');
INSERT INTO public.who_import VALUES (46180, '2020-04-26', 'XK', 'Kosovo[1]', 'EURO', '28', '731', '0', '16');
INSERT INTO public.who_import VALUES (46181, '2020-04-27', 'XK', 'Kosovo[1]', 'EURO', '32', '763', '1', '17');
INSERT INTO public.who_import VALUES (46182, '2020-04-28', 'XK', 'Kosovo[1]', 'EURO', '17', '780', '0', '17');
INSERT INTO public.who_import VALUES (46183, '2020-04-29', 'XK', 'Kosovo[1]', 'EURO', '10', '790', '0', '17');
INSERT INTO public.who_import VALUES (46184, '2020-04-30', 'XK', 'Kosovo[1]', 'EURO', '9', '799', '0', '17');
INSERT INTO public.who_import VALUES (46185, '2020-05-01', 'XK', 'Kosovo[1]', 'EURO', '0', '799', '0', '17');
INSERT INTO public.who_import VALUES (46186, '2020-05-02', 'XK', 'Kosovo[1]', 'EURO', '14', '813', '0', '17');
INSERT INTO public.who_import VALUES (46187, '2020-05-03', 'XK', 'Kosovo[1]', 'EURO', '10', '823', '0', '17');
INSERT INTO public.who_import VALUES (46188, '2020-05-04', 'XK', 'Kosovo[1]', 'EURO', '28', '851', '0', '17');
INSERT INTO public.who_import VALUES (46189, '2020-05-05', 'XK', 'Kosovo[1]', 'EURO', '4', '855', '0', '17');
INSERT INTO public.who_import VALUES (46190, '2020-05-06', 'XK', 'Kosovo[1]', 'EURO', '1', '856', '0', '17');
INSERT INTO public.who_import VALUES (46191, '2020-05-07', 'XK', 'Kosovo[1]', 'EURO', '4', '860', '1', '18');
INSERT INTO public.who_import VALUES (46192, '2020-05-08', 'XK', 'Kosovo[1]', 'EURO', '1', '861', '1', '19');
INSERT INTO public.who_import VALUES (46193, '2020-05-09', 'XK', 'Kosovo[1]', 'EURO', '1', '862', '0', '19');
INSERT INTO public.who_import VALUES (46194, '2020-05-10', 'XK', 'Kosovo[1]', 'EURO', '8', '870', '0', '19');
INSERT INTO public.who_import VALUES (46195, '2020-05-11', 'XK', 'Kosovo[1]', 'EURO', '0', '870', '0', '19');
INSERT INTO public.who_import VALUES (46196, '2020-05-12', 'XK', 'Kosovo[1]', 'EURO', '14', '884', '1', '20');
INSERT INTO public.who_import VALUES (46197, '2020-05-13', 'XK', 'Kosovo[1]', 'EURO', '35', '919', '0', '20');
INSERT INTO public.who_import VALUES (46198, '2020-05-14', 'XK', 'Kosovo[1]', 'EURO', '0', '919', '0', '20');
INSERT INTO public.who_import VALUES (46199, '2020-05-15', 'XK', 'Kosovo[1]', 'EURO', '25', '944', '0', '20');
INSERT INTO public.who_import VALUES (46200, '2020-05-16', 'XK', 'Kosovo[1]', 'EURO', '0', '944', '0', '20');
INSERT INTO public.who_import VALUES (46201, '2020-05-17', 'XK', 'Kosovo[1]', 'EURO', '0', '944', '0', '20');
INSERT INTO public.who_import VALUES (46202, '2020-05-18', 'XK', 'Kosovo[1]', 'EURO', '11', '955', '0', '20');
INSERT INTO public.who_import VALUES (46203, '2020-05-19', 'XK', 'Kosovo[1]', 'EURO', '0', '955', '0', '20');
INSERT INTO public.who_import VALUES (46204, '2020-05-20', 'XK', 'Kosovo[1]', 'EURO', '34', '989', '0', '20');
INSERT INTO public.who_import VALUES (46205, '2020-05-21', 'XK', 'Kosovo[1]', 'EURO', '0', '989', '0', '20');
INSERT INTO public.who_import VALUES (46206, '2020-05-22', 'XK', 'Kosovo[1]', 'EURO', '14', '1003', '0', '20');
INSERT INTO public.who_import VALUES (46207, '2020-05-23', 'XK', 'Kosovo[1]', 'EURO', '1', '1004', '0', '20');
INSERT INTO public.who_import VALUES (46208, '2020-05-24', 'XK', 'Kosovo[1]', 'EURO', '21', '1025', '0', '20');
INSERT INTO public.who_import VALUES (46209, '2020-05-25', 'XK', 'Kosovo[1]', 'EURO', '7', '1032', '1', '21');
INSERT INTO public.who_import VALUES (46210, '2020-05-26', 'XK', 'Kosovo[1]', 'EURO', '6', '1038', '0', '21');
INSERT INTO public.who_import VALUES (46211, '2020-05-27', 'XK', 'Kosovo[1]', 'EURO', '0', '1038', '0', '21');
INSERT INTO public.who_import VALUES (46212, '2020-05-28', 'XK', 'Kosovo[1]', 'EURO', '9', '1047', '0', '21');
INSERT INTO public.who_import VALUES (46213, '2020-05-29', 'XK', 'Kosovo[1]', 'EURO', '1', '1048', '0', '21');
INSERT INTO public.who_import VALUES (46214, '2020-05-30', 'XK', 'Kosovo[1]', 'EURO', '0', '1048', '0', '21');
INSERT INTO public.who_import VALUES (46215, '2020-05-31', 'XK', 'Kosovo[1]', 'EURO', '16', '1064', '0', '21');
INSERT INTO public.who_import VALUES (46216, '2020-06-01', 'XK', 'Kosovo[1]', 'EURO', '0', '1064', '0', '21');
INSERT INTO public.who_import VALUES (46217, '2020-06-02', 'XK', 'Kosovo[1]', 'EURO', '3', '1067', '0', '21');
INSERT INTO public.who_import VALUES (46218, '2020-06-03', 'XK', 'Kosovo[1]', 'EURO', '13', '1080', '0', '21');
INSERT INTO public.who_import VALUES (46219, '2020-06-04', 'XK', 'Kosovo[1]', 'EURO', '62', '1142', '0', '21');
INSERT INTO public.who_import VALUES (46220, '2020-06-05', 'XK', 'Kosovo[1]', 'EURO', '0', '1142', '0', '21');
INSERT INTO public.who_import VALUES (46221, '2020-06-06', 'XK', 'Kosovo[1]', 'EURO', '0', '1142', '0', '21');
INSERT INTO public.who_import VALUES (46222, '2020-06-07', 'XK', 'Kosovo[1]', 'EURO', '9', '1151', '0', '21');
INSERT INTO public.who_import VALUES (46223, '2020-06-08', 'XK', 'Kosovo[1]', 'EURO', '40', '1191', '0', '21');
INSERT INTO public.who_import VALUES (46224, '2020-06-09', 'XK', 'Kosovo[1]', 'EURO', '72', '1263', '0', '21');
INSERT INTO public.who_import VALUES (46225, '2020-06-10', 'XK', 'Kosovo[1]', 'EURO', '0', '1263', '0', '21');
INSERT INTO public.who_import VALUES (46226, '2020-06-11', 'XK', 'Kosovo[1]', 'EURO', '35', '1298', '0', '21');
INSERT INTO public.who_import VALUES (46227, '2020-06-12', 'XK', 'Kosovo[1]', 'EURO', '28', '1326', '0', '21');
INSERT INTO public.who_import VALUES (46228, '2020-06-13', 'XK', 'Kosovo[1]', 'EURO', '0', '1326', '1', '22');
INSERT INTO public.who_import VALUES (46229, '2020-06-14', 'XK', 'Kosovo[1]', 'EURO', '111', '1437', '1', '23');
INSERT INTO public.who_import VALUES (46230, '2020-06-15', 'XK', 'Kosovo[1]', 'EURO', '6', '1443', '0', '23');
INSERT INTO public.who_import VALUES (46231, '2020-06-16', 'XK', 'Kosovo[1]', 'EURO', '129', '1572', '0', '23');
INSERT INTO public.who_import VALUES (46232, '2020-06-17', 'XK', 'Kosovo[1]', 'EURO', '141', '1713', '1', '24');
INSERT INTO public.who_import VALUES (46233, '2020-06-18', 'XK', 'Kosovo[1]', 'EURO', '77', '1790', '0', '24');
INSERT INTO public.who_import VALUES (46234, '2020-06-19', 'XK', 'Kosovo[1]', 'EURO', '83', '1873', '0', '24');
INSERT INTO public.who_import VALUES (46235, '2020-06-20', 'XK', 'Kosovo[1]', 'EURO', '82', '1955', '0', '24');
INSERT INTO public.who_import VALUES (46236, '2020-06-21', 'XK', 'Kosovo[1]', 'EURO', '75', '2030', '1', '25');
INSERT INTO public.who_import VALUES (46237, '2020-06-22', 'XK', 'Kosovo[1]', 'EURO', '96', '2126', '1', '26');
INSERT INTO public.who_import VALUES (46238, '2020-06-23', 'XK', 'Kosovo[1]', 'EURO', '47', '2173', '1', '27');
INSERT INTO public.who_import VALUES (46239, '2020-06-24', 'XK', 'Kosovo[1]', 'EURO', '52', '2225', '1', '28');
INSERT INTO public.who_import VALUES (46240, '2020-06-25', 'XK', 'Kosovo[1]', 'EURO', '95', '2320', '1', '29');
INSERT INTO public.who_import VALUES (46241, '2020-06-26', 'XK', 'Kosovo[1]', 'EURO', '69', '2389', '2', '31');
INSERT INTO public.who_import VALUES (46242, '2020-06-27', 'XK', 'Kosovo[1]', 'EURO', '62', '2451', '3', '34');
INSERT INTO public.who_import VALUES (46243, '2020-06-28', 'XK', 'Kosovo[1]', 'EURO', '96', '2547', '3', '37');
INSERT INTO public.who_import VALUES (46244, '2020-06-29', 'XK', 'Kosovo[1]', 'EURO', '87', '2634', '1', '38');
INSERT INTO public.who_import VALUES (46245, '2020-06-30', 'XK', 'Kosovo[1]', 'EURO', '122', '2756', '1', '39');
INSERT INTO public.who_import VALUES (46246, '2020-07-01', 'XK', 'Kosovo[1]', 'EURO', '79', '2835', '2', '41');
INSERT INTO public.who_import VALUES (46247, '2020-07-02', 'XK', 'Kosovo[1]', 'EURO', '113', '2948', '3', '44');
INSERT INTO public.who_import VALUES (46248, '2020-07-03', 'XK', 'Kosovo[1]', 'EURO', '73', '3021', '1', '45');
INSERT INTO public.who_import VALUES (46249, '2020-07-04', 'XK', 'Kosovo[1]', 'EURO', '114', '3135', '0', '45');
INSERT INTO public.who_import VALUES (46250, '2020-07-05', 'XK', 'Kosovo[1]', 'EURO', '178', '3313', '9', '54');
INSERT INTO public.who_import VALUES (46251, '2020-07-06', 'XK', 'Kosovo[1]', 'EURO', '152', '3465', '11', '65');
INSERT INTO public.who_import VALUES (46252, '2020-07-07', 'XK', 'Kosovo[1]', 'EURO', '195', '3660', '4', '69');
INSERT INTO public.who_import VALUES (46253, '2020-07-08', 'XK', 'Kosovo[1]', 'EURO', '183', '3843', '3', '72');
INSERT INTO public.who_import VALUES (46254, '2020-07-09', 'XK', 'Kosovo[1]', 'EURO', '214', '4057', '4', '76');
INSERT INTO public.who_import VALUES (46255, '2020-07-10', 'XK', 'Kosovo[1]', 'EURO', '207', '4264', '8', '84');
INSERT INTO public.who_import VALUES (46256, '2020-07-11', 'XK', 'Kosovo[1]', 'EURO', '205', '4469', '3', '87');
INSERT INTO public.who_import VALUES (46257, '2020-07-12', 'XK', 'Kosovo[1]', 'EURO', '203', '4672', '4', '91');
INSERT INTO public.who_import VALUES (46258, '2020-07-13', 'XK', 'Kosovo[1]', 'EURO', '216', '4888', '1', '92');
INSERT INTO public.who_import VALUES (46259, '2020-07-14', 'XK', 'Kosovo[1]', 'EURO', '187', '5075', '6', '98');
INSERT INTO public.who_import VALUES (46260, '2020-07-15', 'XK', 'Kosovo[1]', 'EURO', '0', '5075', '0', '98');
INSERT INTO public.who_import VALUES (46261, '2020-07-16', 'XK', 'Kosovo[1]', 'EURO', '119', '5194', '4', '102');
INSERT INTO public.who_import VALUES (46262, '2020-07-17', 'XK', 'Kosovo[1]', 'EURO', '135', '5329', '6', '108');
INSERT INTO public.who_import VALUES (46263, '2020-07-18', 'XK', 'Kosovo[1]', 'EURO', '81', '5410', '6', '114');
INSERT INTO public.who_import VALUES (46264, '2020-07-19', 'XK', 'Kosovo[1]', 'EURO', '164', '5574', '6', '120');
INSERT INTO public.who_import VALUES (46265, '2020-07-20', 'XK', 'Kosovo[1]', 'EURO', '118', '5692', '5', '125');
INSERT INTO public.who_import VALUES (46266, '2020-07-21', 'XK', 'Kosovo[1]', 'EURO', '142', '5834', '4', '129');
INSERT INTO public.who_import VALUES (46267, '2020-07-22', 'XK', 'Kosovo[1]', 'EURO', '168', '6002', '5', '134');
INSERT INTO public.who_import VALUES (46268, '2020-07-23', 'XK', 'Kosovo[1]', 'EURO', '140', '6142', '6', '140');
INSERT INTO public.who_import VALUES (46269, '2020-07-24', 'XK', 'Kosovo[1]', 'EURO', '282', '6424', '8', '148');
INSERT INTO public.who_import VALUES (46270, '2020-07-25', 'XK', 'Kosovo[1]', 'EURO', '213', '6637', '6', '154');
INSERT INTO public.who_import VALUES (46271, '2020-07-26', 'XK', 'Kosovo[1]', 'EURO', '237', '6874', '5', '159');
INSERT INTO public.who_import VALUES (46272, '2020-07-27', 'XK', 'Kosovo[1]', 'EURO', '220', '7094', '8', '167');
INSERT INTO public.who_import VALUES (46273, '2020-07-28', 'XK', 'Kosovo[1]', 'EURO', '276', '7370', '8', '175');
INSERT INTO public.who_import VALUES (46274, '2020-07-29', 'XK', 'Kosovo[1]', 'EURO', '239', '7609', '7', '182');
INSERT INTO public.who_import VALUES (46275, '2020-07-30', 'XK', 'Kosovo[1]', 'EURO', '194', '7803', '4', '186');
INSERT INTO public.who_import VALUES (46276, '2020-07-31', 'XK', 'Kosovo[1]', 'EURO', '258', '8061', '16', '202');
INSERT INTO public.who_import VALUES (46277, '2020-08-01', 'XK', 'Kosovo[1]', 'EURO', '226', '8287', '15', '217');
INSERT INTO public.who_import VALUES (46278, '2020-08-02', 'XK', 'Kosovo[1]', 'EURO', '224', '8511', '10', '227');
INSERT INTO public.who_import VALUES (46279, '2020-08-03', 'XK', 'Kosovo[1]', 'EURO', '245', '8756', '12', '239');
INSERT INTO public.who_import VALUES (46280, '2020-08-04', 'XK', 'Kosovo[1]', 'EURO', '250', '9006', '7', '246');
INSERT INTO public.who_import VALUES (46281, '2020-08-05', 'XK', 'Kosovo[1]', 'EURO', '225', '9231', '13', '259');
INSERT INTO public.who_import VALUES (46282, '2020-08-06', 'XK', 'Kosovo[1]', 'EURO', '218', '9449', '5', '264');
INSERT INTO public.who_import VALUES (46283, '2020-08-07', 'XK', 'Kosovo[1]', 'EURO', '196', '9645', '26', '290');
INSERT INTO public.who_import VALUES (46284, '2020-08-08', 'XK', 'Kosovo[1]', 'EURO', '181', '9826', '3', '293');
INSERT INTO public.who_import VALUES (46285, '2020-08-09', 'XK', 'Kosovo[1]', 'EURO', '190', '10016', '12', '305');
INSERT INTO public.who_import VALUES (46286, '2020-08-10', 'XK', 'Kosovo[1]', 'EURO', '188', '10204', '12', '317');
INSERT INTO public.who_import VALUES (46287, '2020-08-11', 'XK', 'Kosovo[1]', 'EURO', '172', '10376', '14', '331');
INSERT INTO public.who_import VALUES (46288, '2020-08-12', 'XK', 'Kosovo[1]', 'EURO', '171', '10547', '13', '344');
INSERT INTO public.who_import VALUES (46289, '2020-08-13', 'XK', 'Kosovo[1]', 'EURO', '205', '10752', '11', '355');
INSERT INTO public.who_import VALUES (46290, '2020-08-14', 'XK', 'Kosovo[1]', 'EURO', '193', '10945', '8', '363');
INSERT INTO public.who_import VALUES (46291, '2020-08-15', 'XK', 'Kosovo[1]', 'EURO', '142', '11087', '8', '371');
INSERT INTO public.who_import VALUES (46292, '2020-08-16', 'XK', 'Kosovo[1]', 'EURO', '145', '11232', '9', '380');
INSERT INTO public.who_import VALUES (46293, '2020-08-17', 'XK', 'Kosovo[1]', 'EURO', '141', '11373', '11', '391');
INSERT INTO public.who_import VALUES (46294, '2020-08-18', 'XK', 'Kosovo[1]', 'EURO', '129', '11502', '9', '400');
INSERT INTO public.who_import VALUES (46295, '2020-08-19', 'XK', 'Kosovo[1]', 'EURO', '141', '11643', '6', '406');
INSERT INTO public.who_import VALUES (46296, '2020-08-20', 'XK', 'Kosovo[1]', 'EURO', '162', '11805', '9', '415');
INSERT INTO public.who_import VALUES (46297, '2020-08-21', 'XK', 'Kosovo[1]', 'EURO', '158', '11963', '13', '428');
INSERT INTO public.who_import VALUES (46298, '2020-08-22', 'XK', 'Kosovo[1]', 'EURO', '162', '12125', '10', '438');
INSERT INTO public.who_import VALUES (46299, '2020-08-23', 'XK', 'Kosovo[1]', 'EURO', '169', '12294', '9', '447');
INSERT INTO public.who_import VALUES (46300, '2020-08-24', 'XK', 'Kosovo[1]', 'EURO', '111', '12405', '10', '457');
INSERT INTO public.who_import VALUES (46301, '2020-08-25', 'XK', 'Kosovo[1]', 'EURO', '99', '12504', '13', '470');
INSERT INTO public.who_import VALUES (46302, '2020-08-26', 'XK', 'Kosovo[1]', 'EURO', '136', '12640', '8', '478');
INSERT INTO public.who_import VALUES (46303, '2020-08-27', 'XK', 'Kosovo[1]', 'EURO', '157', '12797', '4', '482');
INSERT INTO public.who_import VALUES (46304, '2020-08-28', 'XK', 'Kosovo[1]', 'EURO', '141', '12938', '6', '488');
INSERT INTO public.who_import VALUES (46305, '2020-08-29', 'XK', 'Kosovo[1]', 'EURO', '119', '13057', '1', '489');
INSERT INTO public.who_import VALUES (46306, '2020-08-30', 'XK', 'Kosovo[1]', 'EURO', '115', '13172', '9', '498');
INSERT INTO public.who_import VALUES (46307, '2020-08-31', 'XK', 'Kosovo[1]', 'EURO', '119', '13291', '8', '506');
INSERT INTO public.who_import VALUES (46308, '2020-09-01', 'XK', 'Kosovo[1]', 'EURO', '120', '13411', '9', '515');
INSERT INTO public.who_import VALUES (46309, '2020-09-02', 'XK', 'Kosovo[1]', 'EURO', '147', '13558', '8', '523');
INSERT INTO public.who_import VALUES (46310, '2020-09-03', 'XK', 'Kosovo[1]', 'EURO', '112', '13670', '6', '529');
INSERT INTO public.who_import VALUES (46311, '2020-09-04', 'XK', 'Kosovo[1]', 'EURO', '78', '13748', '9', '538');
INSERT INTO public.who_import VALUES (46312, '2020-09-05', 'XK', 'Kosovo[1]', 'EURO', '119', '13867', '3', '541');
INSERT INTO public.who_import VALUES (46313, '2020-09-06', 'XK', 'Kosovo[1]', 'EURO', '117', '13984', '5', '546');
INSERT INTO public.who_import VALUES (46314, '2020-09-07', 'XK', 'Kosovo[1]', 'EURO', '92', '14076', '7', '553');
INSERT INTO public.who_import VALUES (46315, '2020-09-08', 'XK', 'Kosovo[1]', 'EURO', '85', '14161', '5', '558');
INSERT INTO public.who_import VALUES (46316, '2020-09-09', 'XK', 'Kosovo[1]', 'EURO', '97', '14258', '0', '558');
INSERT INTO public.who_import VALUES (46317, '2020-09-10', 'XK', 'Kosovo[1]', 'EURO', '76', '14334', '6', '564');
INSERT INTO public.who_import VALUES (46318, '2020-09-11', 'XK', 'Kosovo[1]', 'EURO', '69', '14403', '7', '571');
INSERT INTO public.who_import VALUES (46319, '2020-09-12', 'XK', 'Kosovo[1]', 'EURO', '50', '14453', '5', '576');
INSERT INTO public.who_import VALUES (46320, '2020-09-13', 'XK', 'Kosovo[1]', 'EURO', '70', '14523', '3', '579');
INSERT INTO public.who_import VALUES (46321, '2020-09-14', 'XK', 'Kosovo[1]', 'EURO', '71', '14594', '7', '586');
INSERT INTO public.who_import VALUES (46322, '2020-09-15', 'XK', 'Kosovo[1]', 'EURO', '55', '14649', '4', '590');
INSERT INTO public.who_import VALUES (46323, '2020-09-16', 'XK', 'Kosovo[1]', 'EURO', '71', '14720', '1', '591');
INSERT INTO public.who_import VALUES (46324, '2020-09-17', 'XK', 'Kosovo[1]', 'EURO', '76', '14796', '3', '594');
INSERT INTO public.who_import VALUES (46325, '2020-09-18', 'XK', 'Kosovo[1]', 'EURO', '43', '14839', '3', '597');
INSERT INTO public.who_import VALUES (46326, '2020-09-19', 'XK', 'Kosovo[1]', 'EURO', '57', '14896', '4', '601');
INSERT INTO public.who_import VALUES (46327, '2020-09-20', 'XK', 'Kosovo[1]', 'EURO', '63', '14959', '0', '601');
INSERT INTO public.who_import VALUES (46328, '2020-09-21', 'XK', 'Kosovo[1]', 'EURO', '61', '15020', '2', '603');
INSERT INTO public.who_import VALUES (46329, '2020-09-22', 'XK', 'Kosovo[1]', 'EURO', '79', '15099', '2', '605');
INSERT INTO public.who_import VALUES (46330, '2020-09-23', 'XK', 'Kosovo[1]', 'EURO', '66', '15165', '0', '605');
INSERT INTO public.who_import VALUES (46331, '2020-09-24', 'XK', 'Kosovo[1]', 'EURO', '62', '15227', '1', '606');
INSERT INTO public.who_import VALUES (46332, '2020-09-25', 'XK', 'Kosovo[1]', 'EURO', '63', '15290', '0', '606');
INSERT INTO public.who_import VALUES (46333, '2020-09-26', 'XK', 'Kosovo[1]', 'EURO', '46', '15336', '1', '607');
INSERT INTO public.who_import VALUES (46334, '2020-09-27', 'XK', 'Kosovo[1]', 'EURO', '46', '15382', '2', '609');
INSERT INTO public.who_import VALUES (46335, '2020-09-28', 'XK', 'Kosovo[1]', 'EURO', '47', '15429', '3', '612');
INSERT INTO public.who_import VALUES (46336, '2020-09-29', 'XK', 'Kosovo[1]', 'EURO', '48', '15477', '3', '615');
INSERT INTO public.who_import VALUES (46337, '2020-09-30', 'XK', 'Kosovo[1]', 'EURO', '54', '15531', '0', '615');
INSERT INTO public.who_import VALUES (46338, '2020-10-01', 'XK', 'Kosovo[1]', 'EURO', '46', '15577', '0', '615');
INSERT INTO public.who_import VALUES (46339, '2020-10-02', 'XK', 'Kosovo[1]', 'EURO', '43', '15620', '2', '617');
INSERT INTO public.who_import VALUES (46340, '2020-10-03', 'XK', 'Kosovo[1]', 'EURO', '42', '15662', '0', '617');
INSERT INTO public.who_import VALUES (46341, '2020-10-04', 'XK', 'Kosovo[1]', 'EURO', '53', '15715', '3', '620');
INSERT INTO public.who_import VALUES (46342, '2020-10-05', 'XK', 'Kosovo[1]', 'EURO', '56', '15771', '0', '620');
INSERT INTO public.who_import VALUES (46343, '2020-10-06', 'XK', 'Kosovo[1]', 'EURO', '41', '15812', '2', '622');
INSERT INTO public.who_import VALUES (46344, '2020-10-07', 'XK', 'Kosovo[1]', 'EURO', '34', '15846', '3', '625');
INSERT INTO public.who_import VALUES (46345, '2020-10-08', 'XK', 'Kosovo[1]', 'EURO', '49', '15895', '3', '628');
INSERT INTO public.who_import VALUES (46346, '2020-10-09', 'XK', 'Kosovo[1]', 'EURO', '33', '15928', '0', '628');
INSERT INTO public.who_import VALUES (46347, '2020-10-10', 'XK', 'Kosovo[1]', 'EURO', '79', '16007', '3', '631');
INSERT INTO public.who_import VALUES (46348, '2020-10-11', 'XK', 'Kosovo[1]', 'EURO', '80', '16087', '4', '635');
INSERT INTO public.who_import VALUES (46349, '2020-10-12', 'XK', 'Kosovo[1]', 'EURO', '49', '16136', '2', '637');
INSERT INTO public.who_import VALUES (46350, '2020-10-13', 'XK', 'Kosovo[1]', 'EURO', '68', '16204', '1', '638');
INSERT INTO public.who_import VALUES (46351, '2020-10-14', 'XK', 'Kosovo[1]', 'EURO', '98', '16302', '1', '639');
INSERT INTO public.who_import VALUES (46352, '2020-10-15', 'XK', 'Kosovo[1]', 'EURO', '80', '16382', '1', '640');
INSERT INTO public.who_import VALUES (46353, '2020-10-16', 'XK', 'Kosovo[1]', 'EURO', '77', '16459', '0', '640');
INSERT INTO public.who_import VALUES (46354, '2020-10-17', 'XK', 'Kosovo[1]', 'EURO', '104', '16563', '2', '642');
INSERT INTO public.who_import VALUES (46355, '2020-10-18', 'XK', 'Kosovo[1]', 'EURO', '148', '16711', '0', '642');
INSERT INTO public.who_import VALUES (46356, '2020-10-19', 'XK', 'Kosovo[1]', 'EURO', '137', '16848', '1', '643');
INSERT INTO public.who_import VALUES (46357, '2020-10-20', 'XK', 'Kosovo[1]', 'EURO', '118', '16966', '3', '646');
INSERT INTO public.who_import VALUES (46358, '2020-10-21', 'XK', 'Kosovo[1]', 'EURO', '130', '17096', '1', '647');
INSERT INTO public.who_import VALUES (46359, '2020-10-22', 'XK', 'Kosovo[1]', 'EURO', '124', '17220', '0', '647');
INSERT INTO public.who_import VALUES (46360, '2020-10-23', 'XK', 'Kosovo[1]', 'EURO', '159', '17379', '0', '647');
INSERT INTO public.who_import VALUES (46361, '2020-10-24', 'XK', 'Kosovo[1]', 'EURO', '169', '17548', '2', '649');
INSERT INTO public.who_import VALUES (46362, '2020-10-25', 'XK', 'Kosovo[1]', 'EURO', '166', '17714', '2', '651');
INSERT INTO public.who_import VALUES (46363, '2020-10-26', 'XK', 'Kosovo[1]', 'EURO', '186', '17900', '2', '653');
INSERT INTO public.who_import VALUES (46364, '2020-10-27', 'XK', 'Kosovo[1]', 'EURO', '205', '18105', '3', '656');
INSERT INTO public.who_import VALUES (46365, '2020-10-28', 'XK', 'Kosovo[1]', 'EURO', '197', '18302', '3', '659');
INSERT INTO public.who_import VALUES (46366, '2020-10-29', 'XK', 'Kosovo[1]', 'EURO', '281', '18583', '4', '663');
INSERT INTO public.who_import VALUES (46367, '2020-10-30', 'XK', 'Kosovo[1]', 'EURO', '284', '18867', '1', '664');
INSERT INTO public.who_import VALUES (46368, '2020-10-31', 'XK', 'Kosovo[1]', 'EURO', '418', '19285', '4', '668');
INSERT INTO public.who_import VALUES (46369, '2020-11-01', 'XK', 'Kosovo[1]', 'EURO', '514', '19799', '3', '671');
INSERT INTO public.who_import VALUES (46370, '2020-11-02', 'XK', 'Kosovo[1]', 'EURO', '337', '20136', '7', '678');
INSERT INTO public.who_import VALUES (46371, '2020-11-03', 'XK', 'Kosovo[1]', 'EURO', '486', '20622', '9', '687');
INSERT INTO public.who_import VALUES (46372, '2020-11-04', 'XK', 'Kosovo[1]', 'EURO', '334', '20956', '8', '695');
INSERT INTO public.who_import VALUES (46373, '2020-11-05', 'XK', 'Kosovo[1]', 'EURO', '546', '21502', '9', '704');
INSERT INTO public.who_import VALUES (46374, '2020-11-06', 'XK', 'Kosovo[1]', 'EURO', '661', '22163', '6', '710');
INSERT INTO public.who_import VALUES (46375, '2020-11-07', 'XK', 'Kosovo[1]', 'EURO', '728', '22891', '12', '722');
INSERT INTO public.who_import VALUES (46376, '2020-11-08', 'XK', 'Kosovo[1]', 'EURO', '491', '23382', '12', '734');
INSERT INTO public.who_import VALUES (46377, '2020-11-09', 'XK', 'Kosovo[1]', 'EURO', '730', '24112', '11', '745');
INSERT INTO public.who_import VALUES (46378, '2020-11-10', 'XK', 'Kosovo[1]', 'EURO', '637', '24749', '13', '758');
INSERT INTO public.who_import VALUES (46379, '2020-11-11', 'XK', 'Kosovo[1]', 'EURO', '596', '25345', '5', '763');
INSERT INTO public.who_import VALUES (46380, '2020-11-12', 'XK', 'Kosovo[1]', 'EURO', '733', '26078', '4', '767');
INSERT INTO public.who_import VALUES (46381, '2020-11-13', 'XK', 'Kosovo[1]', 'EURO', '767', '26845', '8', '775');
INSERT INTO public.who_import VALUES (46382, '2020-11-14', 'XK', 'Kosovo[1]', 'EURO', '963', '27808', '13', '788');
INSERT INTO public.who_import VALUES (46383, '2020-11-15', 'XK', 'Kosovo[1]', 'EURO', '765', '28573', '11', '799');
INSERT INTO public.who_import VALUES (46384, '2020-11-16', 'XK', 'Kosovo[1]', 'EURO', '501', '29074', '13', '812');
INSERT INTO public.who_import VALUES (46385, '2020-11-17', 'XK', 'Kosovo[1]', 'EURO', '688', '29762', '11', '823');
INSERT INTO public.who_import VALUES (46386, '2020-11-18', 'XK', 'Kosovo[1]', 'EURO', '690', '30452', '16', '839');
INSERT INTO public.who_import VALUES (46387, '2020-11-19', 'XK', 'Kosovo[1]', 'EURO', '720', '31172', '11', '850');
INSERT INTO public.who_import VALUES (46388, '2020-11-20', 'XK', 'Kosovo[1]', 'EURO', '807', '31979', '14', '864');
INSERT INTO public.who_import VALUES (46389, '2020-11-21', 'XK', 'Kosovo[1]', 'EURO', '855', '32834', '11', '875');
INSERT INTO public.who_import VALUES (46390, '2020-11-22', 'XK', 'Kosovo[1]', 'EURO', '711', '33545', '19', '894');
INSERT INTO public.who_import VALUES (46391, '2020-11-23', 'XK', 'Kosovo[1]', 'EURO', '707', '34252', '10', '904');
INSERT INTO public.who_import VALUES (46392, '2020-11-24', 'XK', 'Kosovo[1]', 'EURO', '645', '34897', '12', '916');
INSERT INTO public.who_import VALUES (46393, '2020-11-25', 'XK', 'Kosovo[1]', 'EURO', '609', '35506', '13', '929');
INSERT INTO public.who_import VALUES (46394, '2020-11-26', 'XK', 'Kosovo[1]', 'EURO', '704', '36210', '9', '938');
INSERT INTO public.who_import VALUES (46395, '2020-11-27', 'XK', 'Kosovo[1]', 'EURO', '775', '36985', '15', '953');
INSERT INTO public.who_import VALUES (46396, '2020-11-28', 'XK', 'Kosovo[1]', 'EURO', '764', '37749', '12', '965');
INSERT INTO public.who_import VALUES (46397, '2020-11-29', 'XK', 'Kosovo[1]', 'EURO', '639', '38388', '14', '979');
INSERT INTO public.who_import VALUES (46398, '2020-11-30', 'XK', 'Kosovo[1]', 'EURO', '626', '39014', '16', '995');
INSERT INTO public.who_import VALUES (46399, '2020-12-01', 'XK', 'Kosovo[1]', 'EURO', '539', '39553', '11', '1006');
INSERT INTO public.who_import VALUES (46400, '2020-12-02', 'XK', 'Kosovo[1]', 'EURO', '521', '40074', '10', '1016');
INSERT INTO public.who_import VALUES (46401, '2020-12-03', 'XK', 'Kosovo[1]', 'EURO', '555', '40629', '14', '1030');
INSERT INTO public.who_import VALUES (46402, '2020-12-04', 'XK', 'Kosovo[1]', 'EURO', '627', '41256', '22', '1052');
INSERT INTO public.who_import VALUES (46403, '2020-12-05', 'XK', 'Kosovo[1]', 'EURO', '478', '41734', '11', '1063');
INSERT INTO public.who_import VALUES (46404, '2020-12-06', 'XK', 'Kosovo[1]', 'EURO', '560', '42294', '14', '1077');
INSERT INTO public.who_import VALUES (46405, '2020-12-07', 'XK', 'Kosovo[1]', 'EURO', '468', '42762', '19', '1096');
INSERT INTO public.who_import VALUES (46406, '2020-12-08', 'XK', 'Kosovo[1]', 'EURO', '519', '43281', '14', '1110');
INSERT INTO public.who_import VALUES (46407, '2020-12-09', 'XK', 'Kosovo[1]', 'EURO', '557', '43838', '17', '1127');
INSERT INTO public.who_import VALUES (46408, '2020-12-10', 'XK', 'Kosovo[1]', 'EURO', '561', '44399', '11', '1138');
INSERT INTO public.who_import VALUES (46409, '2020-12-11', 'XK', 'Kosovo[1]', 'EURO', '562', '44961', '13', '1151');
INSERT INTO public.who_import VALUES (46410, '2020-12-12', 'XK', 'Kosovo[1]', 'EURO', '590', '45551', '13', '1164');
INSERT INTO public.who_import VALUES (46411, '2020-12-13', 'XK', 'Kosovo[1]', 'EURO', '524', '46075', '12', '1176');
INSERT INTO public.who_import VALUES (46412, '2020-12-14', 'XK', 'Kosovo[1]', 'EURO', '462', '46537', '12', '1188');
INSERT INTO public.who_import VALUES (46413, '2020-12-15', 'XK', 'Kosovo[1]', 'EURO', '329', '46866', '5', '1193');
INSERT INTO public.who_import VALUES (46414, '2020-12-16', 'XK', 'Kosovo[1]', 'EURO', '294', '47160', '17', '1210');
INSERT INTO public.who_import VALUES (46415, '2020-12-17', 'XK', 'Kosovo[1]', 'EURO', '296', '47456', '5', '1215');
INSERT INTO public.who_import VALUES (46416, '2020-12-18', 'XK', 'Kosovo[1]', 'EURO', '453', '47909', '8', '1223');
INSERT INTO public.who_import VALUES (46417, '2020-12-19', 'XK', 'Kosovo[1]', 'EURO', '385', '48294', '7', '1230');
INSERT INTO public.who_import VALUES (46418, '2020-12-20', 'XK', 'Kosovo[1]', 'EURO', '345', '48639', '8', '1238');
INSERT INTO public.who_import VALUES (46419, '2020-12-21', 'XK', 'Kosovo[1]', 'EURO', '223', '48862', '8', '1246');
INSERT INTO public.who_import VALUES (46420, '2020-12-22', 'XK', 'Kosovo[1]', 'EURO', '264', '49126', '6', '1252');
INSERT INTO public.who_import VALUES (46421, '2020-12-23', 'XK', 'Kosovo[1]', 'EURO', '137', '49263', '10', '1262');
INSERT INTO public.who_import VALUES (46422, '2020-12-24', 'XK', 'Kosovo[1]', 'EURO', '271', '49534', '12', '1274');
INSERT INTO public.who_import VALUES (46423, '2020-12-25', 'XK', 'Kosovo[1]', 'EURO', '309', '49843', '6', '1280');
INSERT INTO public.who_import VALUES (46424, '2020-12-26', 'XK', 'Kosovo[1]', 'EURO', '249', '50092', '8', '1288');
INSERT INTO public.who_import VALUES (46425, '2020-12-27', 'XK', 'Kosovo[1]', 'EURO', '270', '50362', '7', '1295');
INSERT INTO public.who_import VALUES (46426, '2020-12-28', 'XK', 'Kosovo[1]', 'EURO', '215', '50577', '4', '1299');
INSERT INTO public.who_import VALUES (46427, '2020-12-29', 'XK', 'Kosovo[1]', 'EURO', '181', '50758', '8', '1307');
INSERT INTO public.who_import VALUES (46428, '2020-12-30', 'XK', 'Kosovo[1]', 'EURO', '109', '50867', '8', '1315');
INSERT INTO public.who_import VALUES (46429, '2020-12-31', 'XK', 'Kosovo[1]', 'EURO', '234', '51101', '7', '1322');
INSERT INTO public.who_import VALUES (46430, '2021-01-01', 'XK', 'Kosovo[1]', 'EURO', '184', '51285', '3', '1325');
INSERT INTO public.who_import VALUES (46431, '2021-01-02', 'XK', 'Kosovo[1]', 'EURO', '174', '51459', '1', '1326');
INSERT INTO public.who_import VALUES (46432, '2021-01-03', 'XK', 'Kosovo[1]', 'EURO', '229', '51688', '4', '1330');
INSERT INTO public.who_import VALUES (46433, '2021-01-04', 'XK', 'Kosovo[1]', 'EURO', '234', '51922', '4', '1334');
INSERT INTO public.who_import VALUES (46434, '2021-01-05', 'XK', 'Kosovo[1]', 'EURO', '169', '52091', '7', '1341');
INSERT INTO public.who_import VALUES (46435, '2021-01-06', 'XK', 'Kosovo[1]', 'EURO', '199', '52290', '4', '1345');
INSERT INTO public.who_import VALUES (46436, '2021-01-07', 'XK', 'Kosovo[1]', 'EURO', '301', '52591', '2', '1347');
INSERT INTO public.who_import VALUES (46437, '2021-01-08', 'XK', 'Kosovo[1]', 'EURO', '309', '52900', '6', '1353');
INSERT INTO public.who_import VALUES (46438, '2021-01-09', 'XK', 'Kosovo[1]', 'EURO', '321', '53221', '5', '1358');
INSERT INTO public.who_import VALUES (46439, '2021-01-10', 'XK', 'Kosovo[1]', 'EURO', '259', '53480', '7', '1365');
INSERT INTO public.who_import VALUES (46440, '2021-01-11', 'XK', 'Kosovo[1]', 'EURO', '253', '53733', '2', '1367');
INSERT INTO public.who_import VALUES (46441, '2021-01-12', 'XK', 'Kosovo[1]', 'EURO', '206', '53939', '6', '1373');
INSERT INTO public.who_import VALUES (46442, '2021-01-13', 'XK', 'Kosovo[1]', 'EURO', '279', '54218', '4', '1377');
INSERT INTO public.who_import VALUES (46443, '2021-01-14', 'XK', 'Kosovo[1]', 'EURO', '299', '54517', '1', '1378');
INSERT INTO public.who_import VALUES (46444, '2021-01-15', 'XK', 'Kosovo[1]', 'EURO', '279', '54796', '4', '1382');
INSERT INTO public.who_import VALUES (46445, '2021-01-16', 'XK', 'Kosovo[1]', 'EURO', '296', '55092', '7', '1389');
INSERT INTO public.who_import VALUES (46446, '2021-01-17', 'XK', 'Kosovo[1]', 'EURO', '363', '55455', '6', '1395');
INSERT INTO public.who_import VALUES (46447, '2021-01-18', 'XK', 'Kosovo[1]', 'EURO', '353', '55808', '5', '1400');
INSERT INTO public.who_import VALUES (46448, '2021-01-19', 'XK', 'Kosovo[1]', 'EURO', '267', '56075', '1', '1401');
INSERT INTO public.who_import VALUES (46449, '2021-01-20', 'XK', 'Kosovo[1]', 'EURO', '297', '56372', '9', '1410');
INSERT INTO public.who_import VALUES (46450, '2021-01-21', 'XK', 'Kosovo[1]', 'EURO', '320', '56692', '6', '1416');
INSERT INTO public.who_import VALUES (46451, '2021-01-22', 'XK', 'Kosovo[1]', 'EURO', '296', '56988', '7', '1423');
INSERT INTO public.who_import VALUES (46452, '2021-01-23', 'XK', 'Kosovo[1]', 'EURO', '289', '57277', '14', '1437');
INSERT INTO public.who_import VALUES (46453, '2021-01-24', 'XK', 'Kosovo[1]', 'EURO', '379', '57656', '3', '1440');
INSERT INTO public.who_import VALUES (46454, '2021-01-25', 'XK', 'Kosovo[1]', 'EURO', '392', '58048', '6', '1446');
INSERT INTO public.who_import VALUES (46455, '2021-01-26', 'XK', 'Kosovo[1]', 'EURO', '311', '58359', '10', '1456');
INSERT INTO public.who_import VALUES (46456, '2021-01-27', 'XK', 'Kosovo[1]', 'EURO', '288', '58647', '5', '1461');
INSERT INTO public.who_import VALUES (46457, '2021-01-28', 'XK', 'Kosovo[1]', 'EURO', '301', '58948', '8', '1469');
INSERT INTO public.who_import VALUES (46458, '2021-01-29', 'XK', 'Kosovo[1]', 'EURO', '316', '59264', '3', '1472');
INSERT INTO public.who_import VALUES (46459, '2021-01-30', 'XK', 'Kosovo[1]', 'EURO', '342', '59606', '5', '1477');
INSERT INTO public.who_import VALUES (46460, '2021-01-31', 'XK', 'Kosovo[1]', 'EURO', '285', '59891', '5', '1482');
INSERT INTO public.who_import VALUES (46461, '2021-02-01', 'XK', 'Kosovo[1]', 'EURO', '287', '60178', '6', '1488');
INSERT INTO public.who_import VALUES (46462, '2021-02-02', 'XK', 'Kosovo[1]', 'EURO', '282', '60460', '5', '1493');
INSERT INTO public.who_import VALUES (46463, '2021-02-03', 'XK', 'Kosovo[1]', 'EURO', '245', '60705', '3', '1496');
INSERT INTO public.who_import VALUES (46464, '2021-02-04', 'XK', 'Kosovo[1]', 'EURO', '314', '61019', '3', '1499');
INSERT INTO public.who_import VALUES (46465, '2021-02-05', 'XK', 'Kosovo[1]', 'EURO', '318', '61337', '5', '1504');
INSERT INTO public.who_import VALUES (46466, '2021-02-06', 'XK', 'Kosovo[1]', 'EURO', '308', '61645', '5', '1509');
INSERT INTO public.who_import VALUES (46467, '2021-02-07', 'XK', 'Kosovo[1]', 'EURO', '321', '61966', '1', '1510');
INSERT INTO public.who_import VALUES (46468, '2021-02-08', 'XK', 'Kosovo[1]', 'EURO', '249', '62215', '3', '1513');
INSERT INTO public.who_import VALUES (46469, '2021-02-09', 'XK', 'Kosovo[1]', 'EURO', '290', '62505', '3', '1516');
INSERT INTO public.who_import VALUES (46470, '2021-02-10', 'XK', 'Kosovo[1]', 'EURO', '234', '62739', '2', '1518');
INSERT INTO public.who_import VALUES (46471, '2021-02-11', 'XK', 'Kosovo[1]', 'EURO', '307', '63046', '4', '1522');
INSERT INTO public.who_import VALUES (46472, '2021-02-12', 'XK', 'Kosovo[1]', 'EURO', '344', '63390', '2', '1524');
INSERT INTO public.who_import VALUES (46473, '2021-02-13', 'XK', 'Kosovo[1]', 'EURO', '372', '63762', '6', '1530');
INSERT INTO public.who_import VALUES (46474, '2021-02-14', 'XK', 'Kosovo[1]', 'EURO', '290', '64052', '4', '1534');
INSERT INTO public.who_import VALUES (46475, '2021-02-15', 'XK', 'Kosovo[1]', 'EURO', '246', '64298', '0', '1534');
INSERT INTO public.who_import VALUES (46476, '2021-02-16', 'XK', 'Kosovo[1]', 'EURO', '178', '64476', '1', '1535');
INSERT INTO public.who_import VALUES (46477, '2021-02-17', 'XK', 'Kosovo[1]', 'EURO', '249', '64725', '3', '1538');
INSERT INTO public.who_import VALUES (46478, '2021-02-18', 'XK', 'Kosovo[1]', 'EURO', '297', '65022', '5', '1543');
INSERT INTO public.who_import VALUES (46479, '2021-02-19', 'XK', 'Kosovo[1]', 'EURO', '285', '65307', '5', '1548');
INSERT INTO public.who_import VALUES (46480, '2021-02-20', 'XK', 'Kosovo[1]', 'EURO', '340', '65647', '10', '1558');
INSERT INTO public.who_import VALUES (46481, '2020-01-03', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46482, '2020-01-04', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46483, '2020-01-05', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46484, '2020-01-06', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46485, '2020-01-07', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46486, '2020-01-08', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46487, '2020-01-09', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46488, '2020-01-10', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46489, '2020-01-11', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46490, '2020-01-12', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46491, '2020-01-13', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46492, '2020-01-14', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46493, '2020-01-15', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46494, '2020-01-16', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46495, '2020-01-17', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46496, '2020-01-18', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46497, '2020-01-19', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46498, '2020-01-20', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46499, '2020-01-21', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46500, '2020-01-22', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46501, '2020-01-23', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46502, '2020-01-24', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46503, '2020-01-25', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46504, '2020-01-26', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46505, '2020-01-27', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46506, '2020-01-28', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46507, '2020-01-29', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46508, '2020-01-30', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46509, '2020-01-31', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46510, '2020-02-01', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46511, '2020-02-02', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46512, '2020-02-03', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46513, '2020-02-04', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46514, '2020-02-05', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46515, '2020-02-06', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46516, '2020-02-07', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46517, '2020-02-08', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46518, '2020-02-09', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46519, '2020-02-10', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46520, '2020-02-11', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46521, '2020-02-12', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46522, '2020-02-13', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46523, '2020-02-14', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46524, '2020-02-15', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46525, '2020-02-16', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46526, '2020-02-17', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46527, '2020-02-18', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46528, '2020-02-19', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46529, '2020-02-20', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46530, '2020-02-21', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46531, '2020-02-22', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46532, '2020-02-23', 'KW', 'Kuwait', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46533, '2020-02-24', 'KW', 'Kuwait', 'EMRO', '9', '9', '0', '0');
INSERT INTO public.who_import VALUES (46534, '2020-02-25', 'KW', 'Kuwait', 'EMRO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (46535, '2020-02-26', 'KW', 'Kuwait', 'EMRO', '17', '30', '0', '0');
INSERT INTO public.who_import VALUES (46536, '2020-02-27', 'KW', 'Kuwait', 'EMRO', '17', '47', '0', '0');
INSERT INTO public.who_import VALUES (46537, '2020-02-28', 'KW', 'Kuwait', 'EMRO', '2', '49', '0', '0');
INSERT INTO public.who_import VALUES (46538, '2020-02-29', 'KW', 'Kuwait', 'EMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (46539, '2020-03-01', 'KW', 'Kuwait', 'EMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (46540, '2020-03-02', 'KW', 'Kuwait', 'EMRO', '11', '60', '0', '0');
INSERT INTO public.who_import VALUES (46541, '2020-03-03', 'KW', 'Kuwait', 'EMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (46542, '2020-03-04', 'KW', 'Kuwait', 'EMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (46543, '2020-03-05', 'KW', 'Kuwait', 'EMRO', '2', '62', '0', '0');
INSERT INTO public.who_import VALUES (46544, '2020-03-06', 'KW', 'Kuwait', 'EMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (46545, '2020-03-07', 'KW', 'Kuwait', 'EMRO', '3', '65', '0', '0');
INSERT INTO public.who_import VALUES (46546, '2020-03-08', 'KW', 'Kuwait', 'EMRO', '3', '68', '0', '0');
INSERT INTO public.who_import VALUES (46547, '2020-03-09', 'KW', 'Kuwait', 'EMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (46548, '2020-03-10', 'KW', 'Kuwait', 'EMRO', '5', '73', '0', '0');
INSERT INTO public.who_import VALUES (46549, '2020-03-11', 'KW', 'Kuwait', 'EMRO', '3', '76', '0', '0');
INSERT INTO public.who_import VALUES (46550, '2020-03-12', 'KW', 'Kuwait', 'EMRO', '8', '84', '0', '0');
INSERT INTO public.who_import VALUES (46551, '2020-03-13', 'KW', 'Kuwait', 'EMRO', '20', '104', '0', '0');
INSERT INTO public.who_import VALUES (46552, '2020-03-14', 'KW', 'Kuwait', 'EMRO', '4', '108', '0', '0');
INSERT INTO public.who_import VALUES (46553, '2020-03-15', 'KW', 'Kuwait', 'EMRO', '8', '116', '0', '0');
INSERT INTO public.who_import VALUES (46554, '2020-03-16', 'KW', 'Kuwait', 'EMRO', '11', '127', '0', '0');
INSERT INTO public.who_import VALUES (46555, '2020-03-17', 'KW', 'Kuwait', 'EMRO', '7', '134', '0', '0');
INSERT INTO public.who_import VALUES (46556, '2020-03-18', 'KW', 'Kuwait', 'EMRO', '12', '146', '0', '0');
INSERT INTO public.who_import VALUES (46557, '2020-03-19', 'KW', 'Kuwait', 'EMRO', '6', '152', '0', '0');
INSERT INTO public.who_import VALUES (46558, '2020-03-20', 'KW', 'Kuwait', 'EMRO', '7', '159', '0', '0');
INSERT INTO public.who_import VALUES (46559, '2020-03-21', 'KW', 'Kuwait', 'EMRO', '17', '176', '0', '0');
INSERT INTO public.who_import VALUES (46560, '2020-03-22', 'KW', 'Kuwait', 'EMRO', '12', '188', '0', '0');
INSERT INTO public.who_import VALUES (46561, '2020-03-23', 'KW', 'Kuwait', 'EMRO', '1', '189', '0', '0');
INSERT INTO public.who_import VALUES (46562, '2020-03-24', 'KW', 'Kuwait', 'EMRO', '2', '191', '0', '0');
INSERT INTO public.who_import VALUES (46563, '2020-03-25', 'KW', 'Kuwait', 'EMRO', '4', '195', '0', '0');
INSERT INTO public.who_import VALUES (46564, '2020-03-26', 'KW', 'Kuwait', 'EMRO', '13', '208', '0', '0');
INSERT INTO public.who_import VALUES (46565, '2020-03-27', 'KW', 'Kuwait', 'EMRO', '17', '225', '0', '0');
INSERT INTO public.who_import VALUES (46566, '2020-03-28', 'KW', 'Kuwait', 'EMRO', '10', '235', '0', '0');
INSERT INTO public.who_import VALUES (46567, '2020-03-29', 'KW', 'Kuwait', 'EMRO', '20', '255', '0', '0');
INSERT INTO public.who_import VALUES (46568, '2020-03-30', 'KW', 'Kuwait', 'EMRO', '11', '266', '0', '0');
INSERT INTO public.who_import VALUES (46569, '2020-03-31', 'KW', 'Kuwait', 'EMRO', '23', '289', '0', '0');
INSERT INTO public.who_import VALUES (46570, '2020-04-01', 'KW', 'Kuwait', 'EMRO', '28', '317', '0', '0');
INSERT INTO public.who_import VALUES (46571, '2020-04-02', 'KW', 'Kuwait', 'EMRO', '25', '342', '0', '0');
INSERT INTO public.who_import VALUES (46572, '2020-04-03', 'KW', 'Kuwait', 'EMRO', '75', '417', '0', '0');
INSERT INTO public.who_import VALUES (46573, '2020-04-04', 'KW', 'Kuwait', 'EMRO', '62', '479', '1', '1');
INSERT INTO public.who_import VALUES (46574, '2020-04-05', 'KW', 'Kuwait', 'EMRO', '77', '556', '0', '1');
INSERT INTO public.who_import VALUES (46575, '2020-04-06', 'KW', 'Kuwait', 'EMRO', '109', '665', '0', '1');
INSERT INTO public.who_import VALUES (46576, '2020-04-07', 'KW', 'Kuwait', 'EMRO', '78', '743', '0', '1');
INSERT INTO public.who_import VALUES (47830, '2020-04-16', 'LV', 'Latvia', 'EURO', '9', '666', '0', '5');
INSERT INTO public.who_import VALUES (46577, '2020-04-08', 'KW', 'Kuwait', 'EMRO', '112', '855', '0', '1');
INSERT INTO public.who_import VALUES (46578, '2020-04-09', 'KW', 'Kuwait', 'EMRO', '55', '910', '0', '1');
INSERT INTO public.who_import VALUES (46579, '2020-04-10', 'KW', 'Kuwait', 'EMRO', '83', '993', '0', '1');
INSERT INTO public.who_import VALUES (46580, '2020-04-11', 'KW', 'Kuwait', 'EMRO', '161', '1154', '0', '1');
INSERT INTO public.who_import VALUES (46581, '2020-04-12', 'KW', 'Kuwait', 'EMRO', '80', '1234', '0', '1');
INSERT INTO public.who_import VALUES (46582, '2020-04-13', 'KW', 'Kuwait', 'EMRO', '66', '1300', '1', '2');
INSERT INTO public.who_import VALUES (46583, '2020-04-14', 'KW', 'Kuwait', 'EMRO', '55', '1355', '1', '3');
INSERT INTO public.who_import VALUES (46584, '2020-04-15', 'KW', 'Kuwait', 'EMRO', '50', '1405', '0', '3');
INSERT INTO public.who_import VALUES (46585, '2020-04-16', 'KW', 'Kuwait', 'EMRO', '119', '1524', '0', '3');
INSERT INTO public.who_import VALUES (46586, '2020-04-17', 'KW', 'Kuwait', 'EMRO', '134', '1658', '2', '5');
INSERT INTO public.who_import VALUES (46587, '2020-04-18', 'KW', 'Kuwait', 'EMRO', '93', '1751', '1', '6');
INSERT INTO public.who_import VALUES (46588, '2020-04-19', 'KW', 'Kuwait', 'EMRO', '164', '1915', '1', '7');
INSERT INTO public.who_import VALUES (46589, '2020-04-20', 'KW', 'Kuwait', 'EMRO', '80', '1995', '2', '9');
INSERT INTO public.who_import VALUES (46590, '2020-04-21', 'KW', 'Kuwait', 'EMRO', '85', '2080', '2', '11');
INSERT INTO public.who_import VALUES (46591, '2020-04-22', 'KW', 'Kuwait', 'EMRO', '168', '2248', '2', '13');
INSERT INTO public.who_import VALUES (46592, '2020-04-23', 'KW', 'Kuwait', 'EMRO', '151', '2399', '1', '14');
INSERT INTO public.who_import VALUES (46593, '2020-04-24', 'KW', 'Kuwait', 'EMRO', '215', '2614', '1', '15');
INSERT INTO public.who_import VALUES (46594, '2020-04-25', 'KW', 'Kuwait', 'EMRO', '278', '2892', '4', '19');
INSERT INTO public.who_import VALUES (46595, '2020-04-26', 'KW', 'Kuwait', 'EMRO', '183', '3075', '1', '20');
INSERT INTO public.who_import VALUES (46596, '2020-04-27', 'KW', 'Kuwait', 'EMRO', '213', '3288', '2', '22');
INSERT INTO public.who_import VALUES (46597, '2020-04-28', 'KW', 'Kuwait', 'EMRO', '152', '3440', '1', '23');
INSERT INTO public.who_import VALUES (46598, '2020-04-29', 'KW', 'Kuwait', 'EMRO', '300', '3740', '1', '24');
INSERT INTO public.who_import VALUES (46599, '2020-04-30', 'KW', 'Kuwait', 'EMRO', '284', '4024', '2', '26');
INSERT INTO public.who_import VALUES (46600, '2020-05-01', 'KW', 'Kuwait', 'EMRO', '353', '4377', '4', '30');
INSERT INTO public.who_import VALUES (46601, '2020-05-02', 'KW', 'Kuwait', 'EMRO', '242', '4619', '3', '33');
INSERT INTO public.who_import VALUES (46602, '2020-05-03', 'KW', 'Kuwait', 'EMRO', '364', '4983', '5', '38');
INSERT INTO public.who_import VALUES (46603, '2020-05-04', 'KW', 'Kuwait', 'EMRO', '295', '5278', '2', '40');
INSERT INTO public.who_import VALUES (46604, '2020-05-05', 'KW', 'Kuwait', 'EMRO', '526', '5804', '0', '40');
INSERT INTO public.who_import VALUES (46605, '2020-05-06', 'KW', 'Kuwait', 'EMRO', '485', '6289', '2', '42');
INSERT INTO public.who_import VALUES (46606, '2020-05-07', 'KW', 'Kuwait', 'EMRO', '278', '6567', '2', '44');
INSERT INTO public.who_import VALUES (46607, '2020-05-08', 'KW', 'Kuwait', 'EMRO', '641', '7208', '3', '47');
INSERT INTO public.who_import VALUES (46608, '2020-05-09', 'KW', 'Kuwait', 'EMRO', '415', '7623', '2', '49');
INSERT INTO public.who_import VALUES (46609, '2020-05-10', 'KW', 'Kuwait', 'EMRO', '1065', '8688', '9', '58');
INSERT INTO public.who_import VALUES (46610, '2020-05-11', 'KW', 'Kuwait', 'EMRO', '598', '9286', '7', '65');
INSERT INTO public.who_import VALUES (46611, '2020-05-12', 'KW', 'Kuwait', 'EMRO', '991', '10277', '10', '75');
INSERT INTO public.who_import VALUES (46612, '2020-05-13', 'KW', 'Kuwait', 'EMRO', '751', '11028', '7', '82');
INSERT INTO public.who_import VALUES (46613, '2020-05-14', 'KW', 'Kuwait', 'EMRO', '947', '11975', '6', '88');
INSERT INTO public.who_import VALUES (46614, '2020-05-15', 'KW', 'Kuwait', 'EMRO', '885', '12860', '8', '96');
INSERT INTO public.who_import VALUES (46615, '2020-05-16', 'KW', 'Kuwait', 'EMRO', '942', '13802', '11', '107');
INSERT INTO public.who_import VALUES (46616, '2020-05-17', 'KW', 'Kuwait', 'EMRO', '1048', '14850', '5', '112');
INSERT INTO public.who_import VALUES (46617, '2020-05-18', 'KW', 'Kuwait', 'EMRO', '841', '15691', '6', '118');
INSERT INTO public.who_import VALUES (46618, '2020-05-19', 'KW', 'Kuwait', 'EMRO', '1073', '16764', '3', '121');
INSERT INTO public.who_import VALUES (46619, '2020-05-20', 'KW', 'Kuwait', 'EMRO', '804', '17568', '3', '124');
INSERT INTO public.who_import VALUES (46620, '2020-05-21', 'KW', 'Kuwait', 'EMRO', '1041', '18609', '5', '129');
INSERT INTO public.who_import VALUES (46621, '2020-05-22', 'KW', 'Kuwait', 'EMRO', '0', '18609', '0', '129');
INSERT INTO public.who_import VALUES (46622, '2020-05-23', 'KW', 'Kuwait', 'EMRO', '955', '19564', '9', '138');
INSERT INTO public.who_import VALUES (46623, '2020-05-24', 'KW', 'Kuwait', 'EMRO', '900', '20464', '10', '148');
INSERT INTO public.who_import VALUES (46624, '2020-05-25', 'KW', 'Kuwait', 'EMRO', '838', '21302', '8', '156');
INSERT INTO public.who_import VALUES (46625, '2020-05-26', 'KW', 'Kuwait', 'EMRO', '665', '21967', '9', '165');
INSERT INTO public.who_import VALUES (46626, '2020-05-27', 'KW', 'Kuwait', 'EMRO', '608', '22575', '7', '172');
INSERT INTO public.who_import VALUES (46627, '2020-05-28', 'KW', 'Kuwait', 'EMRO', '692', '23267', '3', '175');
INSERT INTO public.who_import VALUES (46628, '2020-05-29', 'KW', 'Kuwait', 'EMRO', '845', '24112', '10', '185');
INSERT INTO public.who_import VALUES (46629, '2020-05-30', 'KW', 'Kuwait', 'EMRO', '1072', '25184', '9', '194');
INSERT INTO public.who_import VALUES (46630, '2020-05-31', 'KW', 'Kuwait', 'EMRO', '1008', '26192', '11', '205');
INSERT INTO public.who_import VALUES (46631, '2020-06-01', 'KW', 'Kuwait', 'EMRO', '851', '27043', '7', '212');
INSERT INTO public.who_import VALUES (46632, '2020-06-02', 'KW', 'Kuwait', 'EMRO', '719', '27762', '8', '220');
INSERT INTO public.who_import VALUES (46633, '2020-06-03', 'KW', 'Kuwait', 'EMRO', '887', '28649', '6', '226');
INSERT INTO public.who_import VALUES (46634, '2020-06-04', 'KW', 'Kuwait', 'EMRO', '710', '29359', '4', '230');
INSERT INTO public.who_import VALUES (46635, '2020-06-05', 'KW', 'Kuwait', 'EMRO', '562', '29921', '6', '236');
INSERT INTO public.who_import VALUES (46636, '2020-06-06', 'KW', 'Kuwait', 'EMRO', '723', '30644', '8', '244');
INSERT INTO public.who_import VALUES (46637, '2020-06-07', 'KW', 'Kuwait', 'EMRO', '487', '31131', '10', '254');
INSERT INTO public.who_import VALUES (46638, '2020-06-08', 'KW', 'Kuwait', 'EMRO', '717', '31848', '10', '264');
INSERT INTO public.who_import VALUES (46639, '2020-06-09', 'KW', 'Kuwait', 'EMRO', '662', '32510', '5', '269');
INSERT INTO public.who_import VALUES (46640, '2020-06-10', 'KW', 'Kuwait', 'EMRO', '630', '33140', '4', '273');
INSERT INTO public.who_import VALUES (46641, '2020-06-11', 'KW', 'Kuwait', 'EMRO', '683', '33823', '2', '275');
INSERT INTO public.who_import VALUES (46642, '2020-06-12', 'KW', 'Kuwait', 'EMRO', '609', '34432', '4', '279');
INSERT INTO public.who_import VALUES (46643, '2020-06-13', 'KW', 'Kuwait', 'EMRO', '520', '34952', '6', '285');
INSERT INTO public.who_import VALUES (46644, '2020-06-14', 'KW', 'Kuwait', 'EMRO', '514', '35466', '4', '289');
INSERT INTO public.who_import VALUES (46645, '2020-06-15', 'KW', 'Kuwait', 'EMRO', '454', '35920', '7', '296');
INSERT INTO public.who_import VALUES (46646, '2020-06-16', 'KW', 'Kuwait', 'EMRO', '511', '36431', '2', '298');
INSERT INTO public.who_import VALUES (46647, '2020-06-17', 'KW', 'Kuwait', 'EMRO', '527', '36958', '5', '303');
INSERT INTO public.who_import VALUES (46648, '2020-06-18', 'KW', 'Kuwait', 'EMRO', '575', '37533', '3', '306');
INSERT INTO public.who_import VALUES (46649, '2020-06-19', 'KW', 'Kuwait', 'EMRO', '541', '38074', '2', '308');
INSERT INTO public.who_import VALUES (46650, '2020-06-20', 'KW', 'Kuwait', 'EMRO', '604', '38678', '5', '313');
INSERT INTO public.who_import VALUES (46651, '2020-06-21', 'KW', 'Kuwait', 'EMRO', '467', '39145', '6', '319');
INSERT INTO public.who_import VALUES (46652, '2020-06-22', 'KW', 'Kuwait', 'EMRO', '505', '39650', '7', '326');
INSERT INTO public.who_import VALUES (46653, '2020-06-23', 'KW', 'Kuwait', 'EMRO', '641', '40291', '4', '330');
INSERT INTO public.who_import VALUES (46654, '2020-06-24', 'KW', 'Kuwait', 'EMRO', '742', '41033', '4', '334');
INSERT INTO public.who_import VALUES (46655, '2020-06-25', 'KW', 'Kuwait', 'EMRO', '846', '41879', '3', '337');
INSERT INTO public.who_import VALUES (46656, '2020-06-26', 'KW', 'Kuwait', 'EMRO', '909', '42788', '2', '339');
INSERT INTO public.who_import VALUES (46657, '2020-06-27', 'KW', 'Kuwait', 'EMRO', '915', '43703', '2', '341');
INSERT INTO public.who_import VALUES (46658, '2020-06-28', 'KW', 'Kuwait', 'EMRO', '688', '44391', '3', '344');
INSERT INTO public.who_import VALUES (46659, '2020-06-29', 'KW', 'Kuwait', 'EMRO', '551', '44942', '4', '348');
INSERT INTO public.who_import VALUES (46660, '2020-06-30', 'KW', 'Kuwait', 'EMRO', '582', '45524', '2', '350');
INSERT INTO public.who_import VALUES (46661, '2020-07-01', 'KW', 'Kuwait', 'EMRO', '671', '46195', '4', '354');
INSERT INTO public.who_import VALUES (46662, '2020-07-02', 'KW', 'Kuwait', 'EMRO', '745', '46940', '4', '358');
INSERT INTO public.who_import VALUES (46663, '2020-07-03', 'KW', 'Kuwait', 'EMRO', '919', '47859', '1', '359');
INSERT INTO public.who_import VALUES (46664, '2020-07-04', 'KW', 'Kuwait', 'EMRO', '813', '48672', '1', '360');
INSERT INTO public.who_import VALUES (46665, '2020-07-05', 'KW', 'Kuwait', 'EMRO', '631', '49303', '5', '365');
INSERT INTO public.who_import VALUES (46666, '2020-07-06', 'KW', 'Kuwait', 'EMRO', '638', '49941', '3', '368');
INSERT INTO public.who_import VALUES (46667, '2020-07-07', 'KW', 'Kuwait', 'EMRO', '703', '50644', '5', '373');
INSERT INTO public.who_import VALUES (46668, '2020-07-08', 'KW', 'Kuwait', 'EMRO', '601', '51245', '4', '377');
INSERT INTO public.who_import VALUES (46669, '2020-07-09', 'KW', 'Kuwait', 'EMRO', '762', '52007', '2', '379');
INSERT INTO public.who_import VALUES (46670, '2020-07-10', 'KW', 'Kuwait', 'EMRO', '833', '52840', '3', '382');
INSERT INTO public.who_import VALUES (46671, '2020-07-11', 'KW', 'Kuwait', 'EMRO', '740', '53580', '1', '383');
INSERT INTO public.who_import VALUES (46672, '2020-07-12', 'KW', 'Kuwait', 'EMRO', '478', '54058', '3', '386');
INSERT INTO public.who_import VALUES (46673, '2020-07-13', 'KW', 'Kuwait', 'EMRO', '836', '54894', '4', '390');
INSERT INTO public.who_import VALUES (46674, '2020-07-14', 'KW', 'Kuwait', 'EMRO', '614', '55508', '3', '393');
INSERT INTO public.who_import VALUES (46675, '2020-07-15', 'KW', 'Kuwait', 'EMRO', '666', '56174', '3', '396');
INSERT INTO public.who_import VALUES (46676, '2020-07-16', 'KW', 'Kuwait', 'EMRO', '703', '56877', '3', '399');
INSERT INTO public.who_import VALUES (46677, '2020-07-17', 'KW', 'Kuwait', 'EMRO', '791', '57668', '3', '402');
INSERT INTO public.who_import VALUES (46678, '2020-07-18', 'KW', 'Kuwait', 'EMRO', '553', '58221', '2', '404');
INSERT INTO public.who_import VALUES (46679, '2020-07-19', 'KW', 'Kuwait', 'EMRO', '683', '58904', '3', '407');
INSERT INTO public.who_import VALUES (46680, '2020-07-20', 'KW', 'Kuwait', 'EMRO', '300', '59204', '1', '408');
INSERT INTO public.who_import VALUES (46681, '2020-07-21', 'KW', 'Kuwait', 'EMRO', '559', '59763', '0', '408');
INSERT INTO public.who_import VALUES (46682, '2020-07-22', 'KW', 'Kuwait', 'EMRO', '671', '60434', '4', '412');
INSERT INTO public.who_import VALUES (46683, '2020-07-23', 'KW', 'Kuwait', 'EMRO', '751', '61185', '5', '417');
INSERT INTO public.who_import VALUES (46684, '2020-07-24', 'KW', 'Kuwait', 'EMRO', '687', '61872', '4', '421');
INSERT INTO public.who_import VALUES (46685, '2020-07-25', 'KW', 'Kuwait', 'EMRO', '753', '62625', '4', '425');
INSERT INTO public.who_import VALUES (46686, '2020-07-26', 'KW', 'Kuwait', 'EMRO', '684', '63309', '4', '429');
INSERT INTO public.who_import VALUES (46687, '2020-07-27', 'KW', 'Kuwait', 'EMRO', '464', '63773', '4', '433');
INSERT INTO public.who_import VALUES (46688, '2020-07-28', 'KW', 'Kuwait', 'EMRO', '606', '64379', '5', '438');
INSERT INTO public.who_import VALUES (46689, '2020-07-29', 'KW', 'Kuwait', 'EMRO', '770', '65149', '4', '442');
INSERT INTO public.who_import VALUES (46690, '2020-07-30', 'KW', 'Kuwait', 'EMRO', '754', '65903', '2', '444');
INSERT INTO public.who_import VALUES (46691, '2020-07-31', 'KW', 'Kuwait', 'EMRO', '626', '66529', '1', '445');
INSERT INTO public.who_import VALUES (46692, '2020-08-01', 'KW', 'Kuwait', 'EMRO', '428', '66957', '2', '447');
INSERT INTO public.who_import VALUES (46693, '2020-08-02', 'KW', 'Kuwait', 'EMRO', '491', '67448', '6', '453');
INSERT INTO public.who_import VALUES (46694, '2020-08-03', 'KW', 'Kuwait', 'EMRO', '463', '67911', '4', '457');
INSERT INTO public.who_import VALUES (46695, '2020-08-04', 'KW', 'Kuwait', 'EMRO', '388', '68299', '4', '461');
INSERT INTO public.who_import VALUES (46696, '2020-08-05', 'KW', 'Kuwait', 'EMRO', '475', '68774', '4', '465');
INSERT INTO public.who_import VALUES (46697, '2020-08-06', 'KW', 'Kuwait', 'EMRO', '651', '69425', '3', '468');
INSERT INTO public.who_import VALUES (46698, '2020-08-07', 'KW', 'Kuwait', 'EMRO', '620', '70045', '1', '469');
INSERT INTO public.who_import VALUES (46699, '2020-08-08', 'KW', 'Kuwait', 'EMRO', '682', '70727', '2', '471');
INSERT INTO public.who_import VALUES (46700, '2020-08-09', 'KW', 'Kuwait', 'EMRO', '472', '71199', '3', '474');
INSERT INTO public.who_import VALUES (46701, '2020-08-10', 'KW', 'Kuwait', 'EMRO', '514', '71713', '4', '478');
INSERT INTO public.who_import VALUES (46702, '2020-08-11', 'KW', 'Kuwait', 'EMRO', '687', '72400', '4', '482');
INSERT INTO public.who_import VALUES (46703, '2020-08-12', 'KW', 'Kuwait', 'EMRO', '668', '73068', '4', '486');
INSERT INTO public.who_import VALUES (46704, '2020-08-13', 'KW', 'Kuwait', 'EMRO', '717', '73785', '3', '489');
INSERT INTO public.who_import VALUES (46705, '2020-08-14', 'KW', 'Kuwait', 'EMRO', '701', '74486', '0', '489');
INSERT INTO public.who_import VALUES (46706, '2020-08-15', 'KW', 'Kuwait', 'EMRO', '699', '75185', '5', '494');
INSERT INTO public.who_import VALUES (46707, '2020-08-16', 'KW', 'Kuwait', 'EMRO', '512', '75697', '4', '498');
INSERT INTO public.who_import VALUES (46708, '2020-08-17', 'KW', 'Kuwait', 'EMRO', '508', '76205', '3', '501');
INSERT INTO public.who_import VALUES (46709, '2020-08-18', 'KW', 'Kuwait', 'EMRO', '622', '76827', '1', '502');
INSERT INTO public.who_import VALUES (46710, '2020-08-19', 'KW', 'Kuwait', 'EMRO', '643', '77470', '3', '505');
INSERT INTO public.who_import VALUES (46711, '2020-08-20', 'KW', 'Kuwait', 'EMRO', '675', '78145', '2', '507');
INSERT INTO public.who_import VALUES (46712, '2020-08-21', 'KW', 'Kuwait', 'EMRO', '622', '78767', '2', '509');
INSERT INTO public.who_import VALUES (46713, '2020-08-22', 'KW', 'Kuwait', 'EMRO', '502', '79269', '2', '511');
INSERT INTO public.who_import VALUES (46714, '2020-08-23', 'KW', 'Kuwait', 'EMRO', '688', '79957', '2', '513');
INSERT INTO public.who_import VALUES (46715, '2020-08-24', 'KW', 'Kuwait', 'EMRO', '571', '80528', '2', '515');
INSERT INTO public.who_import VALUES (46716, '2020-08-25', 'KW', 'Kuwait', 'EMRO', '432', '80960', '3', '518');
INSERT INTO public.who_import VALUES (46717, '2020-08-26', 'KW', 'Kuwait', 'EMRO', '613', '81573', '1', '519');
INSERT INTO public.who_import VALUES (46718, '2020-08-27', 'KW', 'Kuwait', 'EMRO', '698', '82271', '2', '521');
INSERT INTO public.who_import VALUES (46719, '2020-08-28', 'KW', 'Kuwait', 'EMRO', '674', '82945', '1', '522');
INSERT INTO public.who_import VALUES (46720, '2020-08-29', 'KW', 'Kuwait', 'EMRO', '633', '83578', '3', '525');
INSERT INTO public.who_import VALUES (46721, '2020-08-30', 'KW', 'Kuwait', 'EMRO', '646', '84224', '3', '528');
INSERT INTO public.who_import VALUES (46722, '2020-08-31', 'KW', 'Kuwait', 'EMRO', '412', '84636', '2', '530');
INSERT INTO public.who_import VALUES (46723, '2020-09-01', 'KW', 'Kuwait', 'EMRO', '473', '85109', '1', '531');
INSERT INTO public.who_import VALUES (46724, '2020-09-02', 'KW', 'Kuwait', 'EMRO', '702', '85811', '3', '534');
INSERT INTO public.who_import VALUES (46725, '2020-09-03', 'KW', 'Kuwait', 'EMRO', '667', '86478', '1', '535');
INSERT INTO public.who_import VALUES (46726, '2020-09-04', 'KW', 'Kuwait', 'EMRO', '900', '87378', '1', '536');
INSERT INTO public.who_import VALUES (46727, '2020-09-05', 'KW', 'Kuwait', 'EMRO', '865', '88243', '1', '537');
INSERT INTO public.who_import VALUES (46728, '2020-09-06', 'KW', 'Kuwait', 'EMRO', '720', '88963', '3', '540');
INSERT INTO public.who_import VALUES (46729, '2020-09-07', 'KW', 'Kuwait', 'EMRO', '619', '89582', '4', '544');
INSERT INTO public.who_import VALUES (46730, '2020-09-08', 'KW', 'Kuwait', 'EMRO', '805', '90387', '2', '546');
INSERT INTO public.who_import VALUES (46731, '2020-09-09', 'KW', 'Kuwait', 'EMRO', '857', '91244', '2', '548');
INSERT INTO public.who_import VALUES (46732, '2020-09-10', 'KW', 'Kuwait', 'EMRO', '838', '92082', '4', '552');
INSERT INTO public.who_import VALUES (46733, '2020-09-11', 'KW', 'Kuwait', 'EMRO', '740', '92822', '4', '556');
INSERT INTO public.who_import VALUES (46734, '2020-09-12', 'KW', 'Kuwait', 'EMRO', '653', '93475', '1', '557');
INSERT INTO public.who_import VALUES (46735, '2020-09-13', 'KW', 'Kuwait', 'EMRO', '736', '94211', '1', '558');
INSERT INTO public.who_import VALUES (46736, '2020-09-14', 'KW', 'Kuwait', 'EMRO', '553', '94764', '2', '560');
INSERT INTO public.who_import VALUES (46737, '2020-09-15', 'KW', 'Kuwait', 'EMRO', '708', '95472', '3', '563');
INSERT INTO public.who_import VALUES (46738, '2020-09-16', 'KW', 'Kuwait', 'EMRO', '829', '96301', '5', '568');
INSERT INTO public.who_import VALUES (46739, '2020-09-17', 'KW', 'Kuwait', 'EMRO', '698', '96999', '3', '571');
INSERT INTO public.who_import VALUES (46740, '2020-09-18', 'KW', 'Kuwait', 'EMRO', '825', '97824', '4', '575');
INSERT INTO public.who_import VALUES (46741, '2020-09-19', 'KW', 'Kuwait', 'EMRO', '704', '98528', '5', '580');
INSERT INTO public.who_import VALUES (46742, '2020-09-20', 'KW', 'Kuwait', 'EMRO', '521', '99049', '1', '581');
INSERT INTO public.who_import VALUES (46743, '2020-09-21', 'KW', 'Kuwait', 'EMRO', '385', '99434', '3', '584');
INSERT INTO public.who_import VALUES (46744, '2020-09-22', 'KW', 'Kuwait', 'EMRO', '530', '99964', '1', '585');
INSERT INTO public.who_import VALUES (46745, '2020-09-23', 'KW', 'Kuwait', 'EMRO', '719', '100683', '3', '588');
INSERT INTO public.who_import VALUES (46746, '2020-09-24', 'KW', 'Kuwait', 'EMRO', '616', '101299', '2', '590');
INSERT INTO public.who_import VALUES (46747, '2020-09-25', 'KW', 'Kuwait', 'EMRO', '552', '101851', '2', '592');
INSERT INTO public.who_import VALUES (46748, '2020-09-26', 'KW', 'Kuwait', 'EMRO', '590', '102441', '3', '595');
INSERT INTO public.who_import VALUES (46749, '2020-09-27', 'KW', 'Kuwait', 'EMRO', '758', '103199', '2', '597');
INSERT INTO public.who_import VALUES (46750, '2020-09-28', 'KW', 'Kuwait', 'EMRO', '345', '103544', '4', '601');
INSERT INTO public.who_import VALUES (46751, '2020-09-29', 'KW', 'Kuwait', 'EMRO', '437', '103981', '4', '605');
INSERT INTO public.who_import VALUES (46752, '2020-09-30', 'KW', 'Kuwait', 'EMRO', '587', '104568', '2', '607');
INSERT INTO public.who_import VALUES (46753, '2020-10-01', 'KW', 'Kuwait', 'EMRO', '614', '105182', '3', '610');
INSERT INTO public.who_import VALUES (46754, '2020-10-02', 'KW', 'Kuwait', 'EMRO', '494', '105676', '2', '612');
INSERT INTO public.who_import VALUES (46755, '2020-10-03', 'KW', 'Kuwait', 'EMRO', '411', '106087', '3', '615');
INSERT INTO public.who_import VALUES (46756, '2020-10-04', 'KW', 'Kuwait', 'EMRO', '371', '106458', '5', '620');
INSERT INTO public.who_import VALUES (46757, '2020-10-05', 'KW', 'Kuwait', 'EMRO', '567', '107025', '4', '624');
INSERT INTO public.who_import VALUES (46758, '2020-10-06', 'KW', 'Kuwait', 'EMRO', '567', '107592', '4', '628');
INSERT INTO public.who_import VALUES (46759, '2020-10-07', 'KW', 'Kuwait', 'EMRO', '676', '108268', '4', '632');
INSERT INTO public.who_import VALUES (46760, '2020-10-08', 'KW', 'Kuwait', 'EMRO', '475', '108743', '7', '639');
INSERT INTO public.who_import VALUES (46761, '2020-10-09', 'KW', 'Kuwait', 'EMRO', '698', '109441', '3', '642');
INSERT INTO public.who_import VALUES (46762, '2020-10-10', 'KW', 'Kuwait', 'EMRO', '635', '110076', '7', '649');
INSERT INTO public.who_import VALUES (46763, '2020-10-11', 'KW', 'Kuwait', 'EMRO', '492', '110568', '6', '655');
INSERT INTO public.who_import VALUES (46764, '2020-10-12', 'KW', 'Kuwait', 'EMRO', '548', '111116', '3', '658');
INSERT INTO public.who_import VALUES (46765, '2020-10-13', 'KW', 'Kuwait', 'EMRO', '777', '111893', '6', '664');
INSERT INTO public.who_import VALUES (46766, '2020-10-14', 'KW', 'Kuwait', 'EMRO', '844', '112737', '8', '672');
INSERT INTO public.who_import VALUES (46767, '2020-10-15', 'KW', 'Kuwait', 'EMRO', '532', '113269', '4', '676');
INSERT INTO public.who_import VALUES (46768, '2020-10-16', 'KW', 'Kuwait', 'EMRO', '746', '114015', '8', '684');
INSERT INTO public.who_import VALUES (46769, '2020-10-17', 'KW', 'Kuwait', 'EMRO', '729', '114744', '6', '690');
INSERT INTO public.who_import VALUES (46770, '2020-10-18', 'KW', 'Kuwait', 'EMRO', '739', '115483', '4', '694');
INSERT INTO public.who_import VALUES (46771, '2020-10-19', 'KW', 'Kuwait', 'EMRO', '663', '116146', '7', '701');
INSERT INTO public.who_import VALUES (46772, '2020-10-20', 'KW', 'Kuwait', 'EMRO', '686', '116832', '9', '710');
INSERT INTO public.who_import VALUES (46773, '2020-10-21', 'KW', 'Kuwait', 'EMRO', '886', '117718', '4', '714');
INSERT INTO public.who_import VALUES (46774, '2020-10-22', 'KW', 'Kuwait', 'EMRO', '813', '118531', '7', '721');
INSERT INTO public.who_import VALUES (46775, '2020-10-23', 'KW', 'Kuwait', 'EMRO', '889', '119420', '9', '730');
INSERT INTO public.who_import VALUES (46776, '2020-10-24', 'KW', 'Kuwait', 'EMRO', '812', '120232', '10', '740');
INSERT INTO public.who_import VALUES (46777, '2020-10-25', 'KW', 'Kuwait', 'EMRO', '695', '120927', '4', '744');
INSERT INTO public.who_import VALUES (46778, '2020-10-26', 'KW', 'Kuwait', 'EMRO', '708', '121635', '2', '746');
INSERT INTO public.who_import VALUES (46779, '2020-10-27', 'KW', 'Kuwait', 'EMRO', '682', '122317', '3', '749');
INSERT INTO public.who_import VALUES (46780, '2020-10-28', 'KW', 'Kuwait', 'EMRO', '775', '123092', '7', '756');
INSERT INTO public.who_import VALUES (46781, '2020-10-29', 'KW', 'Kuwait', 'EMRO', '814', '123906', '7', '763');
INSERT INTO public.who_import VALUES (46782, '2020-10-30', 'KW', 'Kuwait', 'EMRO', '760', '124666', '4', '767');
INSERT INTO public.who_import VALUES (46783, '2020-10-31', 'KW', 'Kuwait', 'EMRO', '671', '125337', '6', '773');
INSERT INTO public.who_import VALUES (46784, '2020-11-01', 'KW', 'Kuwait', 'EMRO', '589', '125926', '6', '779');
INSERT INTO public.who_import VALUES (46785, '2020-11-02', 'KW', 'Kuwait', 'EMRO', '608', '126534', '3', '782');
INSERT INTO public.who_import VALUES (46786, '2020-11-03', 'KW', 'Kuwait', 'EMRO', '759', '127293', '4', '786');
INSERT INTO public.who_import VALUES (46787, '2020-11-04', 'KW', 'Kuwait', 'EMRO', '787', '128080', '3', '789');
INSERT INTO public.who_import VALUES (46788, '2020-11-05', 'KW', 'Kuwait', 'EMRO', '763', '128843', '5', '794');
INSERT INTO public.who_import VALUES (46789, '2020-11-06', 'KW', 'Kuwait', 'EMRO', '795', '129638', '5', '799');
INSERT INTO public.who_import VALUES (46790, '2020-11-07', 'KW', 'Kuwait', 'EMRO', '825', '130463', '5', '804');
INSERT INTO public.who_import VALUES (46791, '2020-11-08', 'KW', 'Kuwait', 'EMRO', '742', '131205', '4', '808');
INSERT INTO public.who_import VALUES (46792, '2020-11-09', 'KW', 'Kuwait', 'EMRO', '538', '131743', '3', '811');
INSERT INTO public.who_import VALUES (46793, '2020-11-10', 'KW', 'Kuwait', 'EMRO', '735', '132478', '5', '816');
INSERT INTO public.who_import VALUES (46794, '2020-11-11', 'KW', 'Kuwait', 'EMRO', '903', '133381', '5', '821');
INSERT INTO public.who_import VALUES (46795, '2020-11-12', 'KW', 'Kuwait', 'EMRO', '778', '134159', '5', '826');
INSERT INTO public.who_import VALUES (46796, '2020-11-13', 'KW', 'Kuwait', 'EMRO', '773', '134932', '4', '830');
INSERT INTO public.who_import VALUES (46797, '2020-11-14', 'KW', 'Kuwait', 'EMRO', '718', '135650', '3', '833');
INSERT INTO public.who_import VALUES (46798, '2020-11-15', 'KW', 'Kuwait', 'EMRO', '691', '136341', '2', '835');
INSERT INTO public.who_import VALUES (46799, '2020-11-16', 'KW', 'Kuwait', 'EMRO', '499', '136840', '3', '838');
INSERT INTO public.who_import VALUES (46800, '2020-11-17', 'KW', 'Kuwait', 'EMRO', '489', '137329', '4', '842');
INSERT INTO public.who_import VALUES (46801, '2020-11-18', 'KW', 'Kuwait', 'EMRO', '556', '137885', '6', '848');
INSERT INTO public.who_import VALUES (46802, '2020-11-19', 'KW', 'Kuwait', 'EMRO', '452', '138337', '9', '857');
INSERT INTO public.who_import VALUES (46803, '2020-11-20', 'KW', 'Kuwait', 'EMRO', '485', '138822', '2', '859');
INSERT INTO public.who_import VALUES (46804, '2020-11-21', 'KW', 'Kuwait', 'EMRO', '486', '139308', '2', '861');
INSERT INTO public.who_import VALUES (46805, '2020-11-22', 'KW', 'Kuwait', 'EMRO', '426', '139734', '2', '863');
INSERT INTO public.who_import VALUES (46806, '2020-11-23', 'KW', 'Kuwait', 'EMRO', '322', '140056', '3', '866');
INSERT INTO public.who_import VALUES (46807, '2020-11-24', 'KW', 'Kuwait', 'EMRO', '337', '140393', '2', '868');
INSERT INTO public.who_import VALUES (46808, '2020-11-25', 'KW', 'Kuwait', 'EMRO', '402', '140795', '2', '870');
INSERT INTO public.who_import VALUES (46809, '2020-11-26', 'KW', 'Kuwait', 'EMRO', '422', '141217', '1', '871');
INSERT INTO public.who_import VALUES (46810, '2020-11-27', 'KW', 'Kuwait', 'EMRO', '330', '141547', '1', '872');
INSERT INTO public.who_import VALUES (46811, '2020-11-28', 'KW', 'Kuwait', 'EMRO', '329', '141876', '2', '874');
INSERT INTO public.who_import VALUES (46812, '2020-11-29', 'KW', 'Kuwait', 'EMRO', '319', '142195', '1', '875');
INSERT INTO public.who_import VALUES (46813, '2020-11-30', 'KW', 'Kuwait', 'EMRO', '231', '142426', '3', '878');
INSERT INTO public.who_import VALUES (46814, '2020-12-01', 'KW', 'Kuwait', 'EMRO', '209', '142635', '2', '880');
INSERT INTO public.who_import VALUES (46815, '2020-12-02', 'KW', 'Kuwait', 'EMRO', '357', '142992', '1', '881');
INSERT INTO public.who_import VALUES (46816, '2020-12-03', 'KW', 'Kuwait', 'EMRO', '268', '143260', '1', '882');
INSERT INTO public.who_import VALUES (46817, '2020-12-04', 'KW', 'Kuwait', 'EMRO', '314', '143574', '2', '884');
INSERT INTO public.who_import VALUES (46818, '2020-12-05', 'KW', 'Kuwait', 'EMRO', '343', '143917', '2', '886');
INSERT INTO public.who_import VALUES (46819, '2020-12-06', 'KW', 'Kuwait', 'EMRO', '247', '144164', '3', '889');
INSERT INTO public.who_import VALUES (46820, '2020-12-07', 'KW', 'Kuwait', 'EMRO', '205', '144369', '2', '891');
INSERT INTO public.who_import VALUES (46821, '2020-12-08', 'KW', 'Kuwait', 'EMRO', '230', '144599', '6', '897');
INSERT INTO public.who_import VALUES (46822, '2020-12-09', 'KW', 'Kuwait', 'EMRO', '301', '144900', '3', '900');
INSERT INTO public.who_import VALUES (46823, '2020-12-10', 'KW', 'Kuwait', 'EMRO', '304', '145204', '5', '905');
INSERT INTO public.who_import VALUES (46824, '2020-12-11', 'KW', 'Kuwait', 'EMRO', '291', '145495', '5', '910');
INSERT INTO public.who_import VALUES (46825, '2020-12-12', 'KW', 'Kuwait', 'EMRO', '294', '145789', '0', '910');
INSERT INTO public.who_import VALUES (46826, '2020-12-13', 'KW', 'Kuwait', 'EMRO', '255', '146044', '1', '911');
INSERT INTO public.who_import VALUES (46827, '2020-12-14', 'KW', 'Kuwait', 'EMRO', '174', '146218', '0', '911');
INSERT INTO public.who_import VALUES (46828, '2020-12-15', 'KW', 'Kuwait', 'EMRO', '231', '146449', '1', '912');
INSERT INTO public.who_import VALUES (46829, '2020-12-16', 'KW', 'Kuwait', 'EMRO', '261', '146710', '1', '913');
INSERT INTO public.who_import VALUES (46830, '2020-12-17', 'KW', 'Kuwait', 'EMRO', '261', '146971', '0', '913');
INSERT INTO public.who_import VALUES (46831, '2020-12-18', 'KW', 'Kuwait', 'EMRO', '221', '147192', '0', '913');
INSERT INTO public.who_import VALUES (46832, '2020-12-19', 'KW', 'Kuwait', 'EMRO', '339', '147531', '3', '916');
INSERT INTO public.who_import VALUES (46833, '2020-12-20', 'KW', 'Kuwait', 'EMRO', '244', '147775', '2', '918');
INSERT INTO public.who_import VALUES (46834, '2020-12-21', 'KW', 'Kuwait', 'EMRO', '204', '147979', '3', '921');
INSERT INTO public.who_import VALUES (46835, '2020-12-22', 'KW', 'Kuwait', 'EMRO', '230', '148209', '1', '922');
INSERT INTO public.who_import VALUES (46836, '2020-12-23', 'KW', 'Kuwait', 'EMRO', '298', '148507', '1', '923');
INSERT INTO public.who_import VALUES (46837, '2020-12-24', 'KW', 'Kuwait', 'EMRO', '266', '148773', '1', '924');
INSERT INTO public.who_import VALUES (46838, '2020-12-25', 'KW', 'Kuwait', 'EMRO', '244', '149017', '2', '926');
INSERT INTO public.who_import VALUES (46839, '2020-12-26', 'KW', 'Kuwait', 'EMRO', '260', '149277', '0', '926');
INSERT INTO public.who_import VALUES (46840, '2020-12-27', 'KW', 'Kuwait', 'EMRO', '172', '149449', '3', '929');
INSERT INTO public.who_import VALUES (46841, '2020-12-28', 'KW', 'Kuwait', 'EMRO', '204', '149653', '2', '931');
INSERT INTO public.who_import VALUES (46842, '2020-12-29', 'KW', 'Kuwait', 'EMRO', '204', '149857', '1', '932');
INSERT INTO public.who_import VALUES (46843, '2020-12-30', 'KW', 'Kuwait', 'EMRO', '236', '150093', '0', '932');
INSERT INTO public.who_import VALUES (46844, '2020-12-31', 'KW', 'Kuwait', 'EMRO', '205', '150298', '1', '933');
INSERT INTO public.who_import VALUES (46845, '2021-01-01', 'KW', 'Kuwait', 'EMRO', '286', '150584', '1', '934');
INSERT INTO public.who_import VALUES (46846, '2021-01-02', 'KW', 'Kuwait', 'EMRO', '285', '150869', '2', '936');
INSERT INTO public.who_import VALUES (46847, '2021-01-03', 'KW', 'Kuwait', 'EMRO', '205', '151074', '1', '937');
INSERT INTO public.who_import VALUES (46848, '2021-01-04', 'KW', 'Kuwait', 'EMRO', '269', '151343', '0', '937');
INSERT INTO public.who_import VALUES (46849, '2021-01-05', 'KW', 'Kuwait', 'EMRO', '372', '151715', '1', '938');
INSERT INTO public.who_import VALUES (46850, '2021-01-06', 'KW', 'Kuwait', 'EMRO', '312', '152027', '0', '938');
INSERT INTO public.who_import VALUES (46851, '2021-01-07', 'KW', 'Kuwait', 'EMRO', '411', '152438', '0', '938');
INSERT INTO public.who_import VALUES (46852, '2021-01-08', 'KW', 'Kuwait', 'EMRO', '540', '152978', '0', '938');
INSERT INTO public.who_import VALUES (46853, '2021-01-09', 'KW', 'Kuwait', 'EMRO', '495', '153473', '2', '940');
INSERT INTO public.who_import VALUES (46854, '2021-01-10', 'KW', 'Kuwait', 'EMRO', '427', '153900', '2', '942');
INSERT INTO public.who_import VALUES (46855, '2021-01-11', 'KW', 'Kuwait', 'EMRO', '414', '154314', '1', '943');
INSERT INTO public.who_import VALUES (46856, '2021-01-12', 'KW', 'Kuwait', 'EMRO', '527', '154841', '2', '945');
INSERT INTO public.who_import VALUES (46857, '2021-01-13', 'KW', 'Kuwait', 'EMRO', '494', '155335', '1', '946');
INSERT INTO public.who_import VALUES (46858, '2021-01-14', 'KW', 'Kuwait', 'EMRO', '539', '155874', '0', '946');
INSERT INTO public.who_import VALUES (46859, '2021-01-15', 'KW', 'Kuwait', 'EMRO', '560', '156434', '0', '946');
INSERT INTO public.who_import VALUES (46860, '2021-01-16', 'KW', 'Kuwait', 'EMRO', '530', '156964', '1', '947');
INSERT INTO public.who_import VALUES (46861, '2021-01-17', 'KW', 'Kuwait', 'EMRO', '435', '157399', '0', '947');
INSERT INTO public.who_import VALUES (46862, '2021-01-18', 'KW', 'Kuwait', 'EMRO', '378', '157777', '0', '947');
INSERT INTO public.who_import VALUES (46863, '2021-01-19', 'KW', 'Kuwait', 'EMRO', '467', '158244', '1', '948');
INSERT INTO public.who_import VALUES (46864, '2021-01-20', 'KW', 'Kuwait', 'EMRO', '578', '158822', '2', '950');
INSERT INTO public.who_import VALUES (46865, '2021-01-21', 'KW', 'Kuwait', 'EMRO', '442', '159264', '1', '951');
INSERT INTO public.who_import VALUES (46866, '2021-01-22', 'KW', 'Kuwait', 'EMRO', '570', '159834', '0', '951');
INSERT INTO public.who_import VALUES (46867, '2021-01-23', 'KW', 'Kuwait', 'EMRO', '533', '160367', '1', '952');
INSERT INTO public.who_import VALUES (46868, '2021-01-24', 'KW', 'Kuwait', 'EMRO', '534', '160901', '0', '952');
INSERT INTO public.who_import VALUES (46869, '2021-01-25', 'KW', 'Kuwait', 'EMRO', '384', '161285', '0', '952');
INSERT INTO public.who_import VALUES (46870, '2021-01-26', 'KW', 'Kuwait', 'EMRO', '492', '161777', '2', '954');
INSERT INTO public.who_import VALUES (46871, '2021-01-27', 'KW', 'Kuwait', 'EMRO', '505', '162282', '3', '957');
INSERT INTO public.who_import VALUES (46872, '2021-01-28', 'KW', 'Kuwait', 'EMRO', '580', '162862', '0', '957');
INSERT INTO public.who_import VALUES (46873, '2021-01-29', 'KW', 'Kuwait', 'EMRO', '588', '163450', '1', '958');
INSERT INTO public.who_import VALUES (46874, '2021-01-30', 'KW', 'Kuwait', 'EMRO', '658', '164108', '0', '958');
INSERT INTO public.who_import VALUES (46875, '2021-01-31', 'KW', 'Kuwait', 'EMRO', '514', '164622', '1', '959');
INSERT INTO public.who_import VALUES (46876, '2021-02-01', 'KW', 'Kuwait', 'EMRO', '635', '165257', '0', '959');
INSERT INTO public.who_import VALUES (46877, '2021-02-02', 'KW', 'Kuwait', 'EMRO', '586', '165843', '0', '959');
INSERT INTO public.who_import VALUES (46878, '2021-02-03', 'KW', 'Kuwait', 'EMRO', '811', '166654', '0', '959');
INSERT INTO public.who_import VALUES (46879, '2021-02-04', 'KW', 'Kuwait', 'EMRO', '756', '167410', '2', '961');
INSERT INTO public.who_import VALUES (46880, '2021-02-05', 'KW', 'Kuwait', 'EMRO', '840', '168250', '1', '962');
INSERT INTO public.who_import VALUES (46881, '2021-02-06', 'KW', 'Kuwait', 'EMRO', '940', '169190', '2', '964');
INSERT INTO public.who_import VALUES (46882, '2021-02-07', 'KW', 'Kuwait', 'EMRO', '846', '170036', '0', '964');
INSERT INTO public.who_import VALUES (46883, '2021-02-08', 'KW', 'Kuwait', 'EMRO', '962', '170998', '2', '966');
INSERT INTO public.who_import VALUES (46884, '2021-02-09', 'KW', 'Kuwait', 'EMRO', '996', '171994', '3', '969');
INSERT INTO public.who_import VALUES (46885, '2021-02-10', 'KW', 'Kuwait', 'EMRO', '1002', '172996', '6', '975');
INSERT INTO public.who_import VALUES (46886, '2021-02-11', 'KW', 'Kuwait', 'EMRO', '987', '173983', '5', '980');
INSERT INTO public.who_import VALUES (46887, '2021-02-12', 'KW', 'Kuwait', 'EMRO', '1048', '175031', '5', '985');
INSERT INTO public.who_import VALUES (46888, '2021-02-13', 'KW', 'Kuwait', 'EMRO', '1021', '176052', '7', '992');
INSERT INTO public.who_import VALUES (46889, '2021-02-14', 'KW', 'Kuwait', 'EMRO', '851', '176903', '6', '998');
INSERT INTO public.who_import VALUES (46890, '2021-02-15', 'KW', 'Kuwait', 'EMRO', '798', '177701', '5', '1003');
INSERT INTO public.who_import VALUES (46891, '2021-02-16', 'KW', 'Kuwait', 'EMRO', '823', '178524', '6', '1009');
INSERT INTO public.who_import VALUES (46892, '2021-02-17', 'KW', 'Kuwait', 'EMRO', '964', '179488', '5', '1014');
INSERT INTO public.who_import VALUES (46893, '2021-02-18', 'KW', 'Kuwait', 'EMRO', '1017', '180505', '5', '1019');
INSERT INTO public.who_import VALUES (46894, '2021-02-19', 'KW', 'Kuwait', 'EMRO', '979', '181484', '8', '1027');
INSERT INTO public.who_import VALUES (46895, '2021-02-20', 'KW', 'Kuwait', 'EMRO', '976', '182460', '7', '1034');
INSERT INTO public.who_import VALUES (46896, '2020-01-03', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46897, '2020-01-04', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46898, '2020-01-05', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46899, '2020-01-06', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46900, '2020-01-07', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46901, '2020-01-08', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46902, '2020-01-09', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46903, '2020-01-10', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46904, '2020-01-11', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46905, '2020-01-12', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46906, '2020-01-13', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46907, '2020-01-14', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46908, '2020-01-15', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46909, '2020-01-16', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46910, '2020-01-17', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46911, '2020-01-18', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46912, '2020-01-19', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46913, '2020-01-20', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46914, '2020-01-21', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46915, '2020-01-22', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46916, '2020-01-23', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46917, '2020-01-24', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46918, '2020-01-25', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46919, '2020-01-26', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46920, '2020-01-27', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46921, '2020-01-28', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46922, '2020-01-29', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46923, '2020-01-30', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46924, '2020-01-31', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46925, '2020-02-01', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46926, '2020-02-02', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46927, '2020-02-03', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46928, '2020-02-04', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46929, '2020-02-05', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46930, '2020-02-06', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46931, '2020-02-07', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46932, '2020-02-08', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46933, '2020-02-09', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46934, '2020-02-10', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46935, '2020-02-11', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46936, '2020-02-12', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46937, '2020-02-13', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46938, '2020-02-14', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46939, '2020-02-15', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46940, '2020-02-16', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46941, '2020-02-17', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46942, '2020-02-18', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46943, '2020-02-19', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46944, '2020-02-20', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46945, '2020-02-21', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46946, '2020-02-22', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46947, '2020-02-23', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46948, '2020-02-24', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46949, '2020-02-25', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46950, '2020-02-26', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46951, '2020-02-27', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46952, '2020-02-28', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46953, '2020-02-29', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46954, '2020-03-01', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46955, '2020-03-02', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46956, '2020-03-03', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46957, '2020-03-04', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46958, '2020-03-05', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46959, '2020-03-06', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46960, '2020-03-07', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46961, '2020-03-08', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46962, '2020-03-09', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46963, '2020-03-10', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46964, '2020-03-11', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46965, '2020-03-12', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46966, '2020-03-13', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46967, '2020-03-14', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46968, '2020-03-15', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46969, '2020-03-16', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46970, '2020-03-17', 'KG', 'Kyrgyzstan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (46971, '2020-03-18', 'KG', 'Kyrgyzstan', 'EURO', '3', '3', '0', '0');
INSERT INTO public.who_import VALUES (46972, '2020-03-19', 'KG', 'Kyrgyzstan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (46973, '2020-03-20', 'KG', 'Kyrgyzstan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (46974, '2020-03-21', 'KG', 'Kyrgyzstan', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (46975, '2020-03-22', 'KG', 'Kyrgyzstan', 'EURO', '11', '14', '0', '0');
INSERT INTO public.who_import VALUES (46976, '2020-03-23', 'KG', 'Kyrgyzstan', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (46977, '2020-03-24', 'KG', 'Kyrgyzstan', 'EURO', '28', '42', '0', '0');
INSERT INTO public.who_import VALUES (46978, '2020-03-25', 'KG', 'Kyrgyzstan', 'EURO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (46979, '2020-03-26', 'KG', 'Kyrgyzstan', 'EURO', '2', '44', '0', '0');
INSERT INTO public.who_import VALUES (46980, '2020-03-27', 'KG', 'Kyrgyzstan', 'EURO', '14', '58', '0', '0');
INSERT INTO public.who_import VALUES (46981, '2020-03-28', 'KG', 'Kyrgyzstan', 'EURO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (46982, '2020-03-29', 'KG', 'Kyrgyzstan', 'EURO', '26', '84', '0', '0');
INSERT INTO public.who_import VALUES (46983, '2020-03-30', 'KG', 'Kyrgyzstan', 'EURO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (46984, '2020-03-31', 'KG', 'Kyrgyzstan', 'EURO', '23', '107', '0', '0');
INSERT INTO public.who_import VALUES (46985, '2020-04-01', 'KG', 'Kyrgyzstan', 'EURO', '4', '111', '0', '0');
INSERT INTO public.who_import VALUES (46986, '2020-04-02', 'KG', 'Kyrgyzstan', 'EURO', '4', '115', '0', '0');
INSERT INTO public.who_import VALUES (46987, '2020-04-03', 'KG', 'Kyrgyzstan', 'EURO', '15', '130', '1', '1');
INSERT INTO public.who_import VALUES (46988, '2020-04-04', 'KG', 'Kyrgyzstan', 'EURO', '14', '144', '0', '1');
INSERT INTO public.who_import VALUES (46989, '2020-04-05', 'KG', 'Kyrgyzstan', 'EURO', '3', '147', '0', '1');
INSERT INTO public.who_import VALUES (46990, '2020-04-06', 'KG', 'Kyrgyzstan', 'EURO', '69', '216', '3', '4');
INSERT INTO public.who_import VALUES (46991, '2020-04-07', 'KG', 'Kyrgyzstan', 'EURO', '12', '228', '0', '4');
INSERT INTO public.who_import VALUES (46992, '2020-04-08', 'KG', 'Kyrgyzstan', 'EURO', '42', '270', '0', '4');
INSERT INTO public.who_import VALUES (46993, '2020-04-09', 'KG', 'Kyrgyzstan', 'EURO', '10', '280', '0', '4');
INSERT INTO public.who_import VALUES (46994, '2020-04-10', 'KG', 'Kyrgyzstan', 'EURO', '18', '298', '1', '5');
INSERT INTO public.who_import VALUES (46995, '2020-04-11', 'KG', 'Kyrgyzstan', 'EURO', '41', '339', '0', '5');
INSERT INTO public.who_import VALUES (46996, '2020-04-12', 'KG', 'Kyrgyzstan', 'EURO', '38', '377', '0', '5');
INSERT INTO public.who_import VALUES (46997, '2020-04-13', 'KG', 'Kyrgyzstan', 'EURO', '42', '419', '0', '5');
INSERT INTO public.who_import VALUES (46998, '2020-04-14', 'KG', 'Kyrgyzstan', 'EURO', '11', '430', '0', '5');
INSERT INTO public.who_import VALUES (46999, '2020-04-15', 'KG', 'Kyrgyzstan', 'EURO', '19', '449', '0', '5');
INSERT INTO public.who_import VALUES (47000, '2020-04-16', 'KG', 'Kyrgyzstan', 'EURO', '17', '466', '0', '5');
INSERT INTO public.who_import VALUES (47001, '2020-04-17', 'KG', 'Kyrgyzstan', 'EURO', '23', '489', '0', '5');
INSERT INTO public.who_import VALUES (47002, '2020-04-18', 'KG', 'Kyrgyzstan', 'EURO', '17', '506', '0', '5');
INSERT INTO public.who_import VALUES (47003, '2020-04-19', 'KG', 'Kyrgyzstan', 'EURO', '48', '554', '0', '5');
INSERT INTO public.who_import VALUES (47004, '2020-04-20', 'KG', 'Kyrgyzstan', 'EURO', '14', '568', '2', '7');
INSERT INTO public.who_import VALUES (47005, '2020-04-21', 'KG', 'Kyrgyzstan', 'EURO', '22', '590', '0', '7');
INSERT INTO public.who_import VALUES (47006, '2020-04-22', 'KG', 'Kyrgyzstan', 'EURO', '22', '612', '0', '7');
INSERT INTO public.who_import VALUES (47007, '2020-04-23', 'KG', 'Kyrgyzstan', 'EURO', '19', '631', '1', '8');
INSERT INTO public.who_import VALUES (47008, '2020-04-24', 'KG', 'Kyrgyzstan', 'EURO', '25', '656', '0', '8');
INSERT INTO public.who_import VALUES (47009, '2020-04-25', 'KG', 'Kyrgyzstan', 'EURO', '9', '665', '0', '8');
INSERT INTO public.who_import VALUES (47010, '2020-04-26', 'KG', 'Kyrgyzstan', 'EURO', '17', '682', '0', '8');
INSERT INTO public.who_import VALUES (47011, '2020-04-27', 'KG', 'Kyrgyzstan', 'EURO', '13', '695', '0', '8');
INSERT INTO public.who_import VALUES (47012, '2020-04-28', 'KG', 'Kyrgyzstan', 'EURO', '13', '708', '0', '8');
INSERT INTO public.who_import VALUES (47013, '2020-04-29', 'KG', 'Kyrgyzstan', 'EURO', '21', '729', '0', '8');
INSERT INTO public.who_import VALUES (47014, '2020-04-30', 'KG', 'Kyrgyzstan', 'EURO', '17', '746', '0', '8');
INSERT INTO public.who_import VALUES (47015, '2020-05-01', 'KG', 'Kyrgyzstan', 'EURO', '10', '756', '0', '8');
INSERT INTO public.who_import VALUES (47016, '2020-05-02', 'KG', 'Kyrgyzstan', 'EURO', '13', '769', '0', '8');
INSERT INTO public.who_import VALUES (47017, '2020-05-03', 'KG', 'Kyrgyzstan', 'EURO', '26', '795', '2', '10');
INSERT INTO public.who_import VALUES (47018, '2020-05-04', 'KG', 'Kyrgyzstan', 'EURO', '35', '830', '0', '10');
INSERT INTO public.who_import VALUES (47019, '2020-05-05', 'KG', 'Kyrgyzstan', 'EURO', '13', '843', '0', '10');
INSERT INTO public.who_import VALUES (47020, '2020-05-06', 'KG', 'Kyrgyzstan', 'EURO', '28', '871', '2', '12');
INSERT INTO public.who_import VALUES (47021, '2020-05-07', 'KG', 'Kyrgyzstan', 'EURO', '24', '895', '0', '12');
INSERT INTO public.who_import VALUES (47022, '2020-05-08', 'KG', 'Kyrgyzstan', 'EURO', '11', '906', '0', '12');
INSERT INTO public.who_import VALUES (47023, '2020-05-09', 'KG', 'Kyrgyzstan', 'EURO', '25', '931', '0', '12');
INSERT INTO public.who_import VALUES (47024, '2020-05-10', 'KG', 'Kyrgyzstan', 'EURO', '71', '1002', '0', '12');
INSERT INTO public.who_import VALUES (47025, '2020-05-11', 'KG', 'Kyrgyzstan', 'EURO', '14', '1016', '0', '12');
INSERT INTO public.who_import VALUES (47026, '2020-05-12', 'KG', 'Kyrgyzstan', 'EURO', '21', '1037', '0', '12');
INSERT INTO public.who_import VALUES (47027, '2020-05-13', 'KG', 'Kyrgyzstan', 'EURO', '7', '1044', '0', '12');
INSERT INTO public.who_import VALUES (47028, '2020-05-14', 'KG', 'Kyrgyzstan', 'EURO', '38', '1082', '0', '12');
INSERT INTO public.who_import VALUES (47029, '2020-05-15', 'KG', 'Kyrgyzstan', 'EURO', '29', '1111', '2', '14');
INSERT INTO public.who_import VALUES (47030, '2020-05-16', 'KG', 'Kyrgyzstan', 'EURO', '6', '1117', '0', '14');
INSERT INTO public.who_import VALUES (47031, '2020-05-17', 'KG', 'Kyrgyzstan', 'EURO', '21', '1138', '0', '14');
INSERT INTO public.who_import VALUES (47032, '2020-05-18', 'KG', 'Kyrgyzstan', 'EURO', '78', '1216', '0', '14');
INSERT INTO public.who_import VALUES (47033, '2020-05-19', 'KG', 'Kyrgyzstan', 'EURO', '27', '1243', '0', '14');
INSERT INTO public.who_import VALUES (47034, '2020-05-20', 'KG', 'Kyrgyzstan', 'EURO', '27', '1270', '0', '14');
INSERT INTO public.who_import VALUES (47035, '2020-05-21', 'KG', 'Kyrgyzstan', 'EURO', '43', '1313', '0', '14');
INSERT INTO public.who_import VALUES (47036, '2020-05-22', 'KG', 'Kyrgyzstan', 'EURO', '37', '1350', '0', '14');
INSERT INTO public.who_import VALUES (47037, '2020-05-23', 'KG', 'Kyrgyzstan', 'EURO', '15', '1365', '0', '14');
INSERT INTO public.who_import VALUES (47038, '2020-05-24', 'KG', 'Kyrgyzstan', 'EURO', '38', '1403', '0', '14');
INSERT INTO public.who_import VALUES (47039, '2020-05-25', 'KG', 'Kyrgyzstan', 'EURO', '30', '1433', '2', '16');
INSERT INTO public.who_import VALUES (47040, '2020-05-26', 'KG', 'Kyrgyzstan', 'EURO', '35', '1468', '0', '16');
INSERT INTO public.who_import VALUES (47041, '2020-05-27', 'KG', 'Kyrgyzstan', 'EURO', '52', '1520', '0', '16');
INSERT INTO public.who_import VALUES (47042, '2020-05-28', 'KG', 'Kyrgyzstan', 'EURO', '74', '1594', '0', '16');
INSERT INTO public.who_import VALUES (47043, '2020-05-29', 'KG', 'Kyrgyzstan', 'EURO', '68', '1662', '0', '16');
INSERT INTO public.who_import VALUES (47044, '2020-05-30', 'KG', 'Kyrgyzstan', 'EURO', '60', '1722', '0', '16');
INSERT INTO public.who_import VALUES (47045, '2020-05-31', 'KG', 'Kyrgyzstan', 'EURO', '26', '1748', '0', '16');
INSERT INTO public.who_import VALUES (47046, '2020-06-01', 'KG', 'Kyrgyzstan', 'EURO', '69', '1817', '0', '16');
INSERT INTO public.who_import VALUES (47047, '2020-06-02', 'KG', 'Kyrgyzstan', 'EURO', '28', '1845', '1', '17');
INSERT INTO public.who_import VALUES (47048, '2020-06-03', 'KG', 'Kyrgyzstan', 'EURO', '26', '1871', '3', '20');
INSERT INTO public.who_import VALUES (47049, '2020-06-04', 'KG', 'Kyrgyzstan', 'EURO', '28', '1899', '0', '20');
INSERT INTO public.who_import VALUES (47050, '2020-06-05', 'KG', 'Kyrgyzstan', 'EURO', '37', '1936', '2', '22');
INSERT INTO public.who_import VALUES (47051, '2020-06-06', 'KG', 'Kyrgyzstan', 'EURO', '38', '1974', '0', '22');
INSERT INTO public.who_import VALUES (47052, '2020-06-07', 'KG', 'Kyrgyzstan', 'EURO', '33', '2007', '0', '22');
INSERT INTO public.who_import VALUES (47053, '2020-06-08', 'KG', 'Kyrgyzstan', 'EURO', '25', '2032', '1', '23');
INSERT INTO public.who_import VALUES (47054, '2020-06-09', 'KG', 'Kyrgyzstan', 'EURO', '23', '2055', '1', '24');
INSERT INTO public.who_import VALUES (47055, '2020-06-10', 'KG', 'Kyrgyzstan', 'EURO', '38', '2093', '2', '26');
INSERT INTO public.who_import VALUES (47056, '2020-06-11', 'KG', 'Kyrgyzstan', 'EURO', '36', '2129', '0', '26');
INSERT INTO public.who_import VALUES (47057, '2020-06-12', 'KG', 'Kyrgyzstan', 'EURO', '37', '2166', '0', '26');
INSERT INTO public.who_import VALUES (47058, '2020-06-13', 'KG', 'Kyrgyzstan', 'EURO', '41', '2207', '1', '27');
INSERT INTO public.who_import VALUES (47059, '2020-06-14', 'KG', 'Kyrgyzstan', 'EURO', '78', '2285', '0', '27');
INSERT INTO public.who_import VALUES (47060, '2020-06-15', 'KG', 'Kyrgyzstan', 'EURO', '87', '2372', '0', '27');
INSERT INTO public.who_import VALUES (47061, '2020-06-16', 'KG', 'Kyrgyzstan', 'EURO', '100', '2472', '2', '29');
INSERT INTO public.who_import VALUES (47062, '2020-06-17', 'KG', 'Kyrgyzstan', 'EURO', '90', '2562', '1', '30');
INSERT INTO public.who_import VALUES (47063, '2020-06-18', 'KG', 'Kyrgyzstan', 'EURO', '95', '2657', '1', '31');
INSERT INTO public.who_import VALUES (47064, '2020-06-19', 'KG', 'Kyrgyzstan', 'EURO', '132', '2789', '1', '32');
INSERT INTO public.who_import VALUES (47065, '2020-06-20', 'KG', 'Kyrgyzstan', 'EURO', '192', '2981', '3', '35');
INSERT INTO public.who_import VALUES (47066, '2020-06-21', 'KG', 'Kyrgyzstan', 'EURO', '170', '3151', '0', '35');
INSERT INTO public.who_import VALUES (47067, '2020-06-22', 'KG', 'Kyrgyzstan', 'EURO', '205', '3356', '5', '40');
INSERT INTO public.who_import VALUES (47068, '2020-06-23', 'KG', 'Kyrgyzstan', 'EURO', '163', '3519', '1', '41');
INSERT INTO public.who_import VALUES (47069, '2020-06-24', 'KG', 'Kyrgyzstan', 'EURO', '207', '3726', '1', '42');
INSERT INTO public.who_import VALUES (47070, '2020-06-25', 'KG', 'Kyrgyzstan', 'EURO', '228', '3954', '1', '43');
INSERT INTO public.who_import VALUES (47071, '2020-06-26', 'KG', 'Kyrgyzstan', 'EURO', '250', '4204', '0', '43');
INSERT INTO public.who_import VALUES (47072, '2020-06-27', 'KG', 'Kyrgyzstan', 'EURO', '309', '4513', '3', '46');
INSERT INTO public.who_import VALUES (47073, '2020-06-28', 'KG', 'Kyrgyzstan', 'EURO', '0', '4513', '0', '46');
INSERT INTO public.who_import VALUES (47074, '2020-06-29', 'KG', 'Kyrgyzstan', 'EURO', '504', '5017', '4', '50');
INSERT INTO public.who_import VALUES (47075, '2020-06-30', 'KG', 'Kyrgyzstan', 'EURO', '279', '5296', '7', '57');
INSERT INTO public.who_import VALUES (47076, '2020-07-01', 'KG', 'Kyrgyzstan', 'EURO', '439', '5735', '5', '62');
INSERT INTO public.who_import VALUES (47077, '2020-07-02', 'KG', 'Kyrgyzstan', 'EURO', '526', '6261', '4', '66');
INSERT INTO public.who_import VALUES (47078, '2020-07-03', 'KG', 'Kyrgyzstan', 'EURO', '506', '6767', '10', '76');
INSERT INTO public.who_import VALUES (47079, '2020-07-04', 'KG', 'Kyrgyzstan', 'EURO', '327', '7094', '2', '78');
INSERT INTO public.who_import VALUES (47080, '2020-07-05', 'KG', 'Kyrgyzstan', 'EURO', '0', '7094', '0', '78');
INSERT INTO public.who_import VALUES (47081, '2020-07-06', 'KG', 'Kyrgyzstan', 'EURO', '597', '7691', '14', '92');
INSERT INTO public.who_import VALUES (47082, '2020-07-07', 'KG', 'Kyrgyzstan', 'EURO', '450', '8141', '7', '99');
INSERT INTO public.who_import VALUES (47083, '2020-07-08', 'KG', 'Kyrgyzstan', 'EURO', '345', '8486', '13', '112');
INSERT INTO public.who_import VALUES (47084, '2020-07-09', 'KG', 'Kyrgyzstan', 'EURO', '361', '8847', '4', '116');
INSERT INTO public.who_import VALUES (47085, '2020-07-10', 'KG', 'Kyrgyzstan', 'EURO', '511', '9358', '6', '122');
INSERT INTO public.who_import VALUES (47086, '2020-07-11', 'KG', 'Kyrgyzstan', 'EURO', '552', '9910', '3', '125');
INSERT INTO public.who_import VALUES (47087, '2020-07-12', 'KG', 'Kyrgyzstan', 'EURO', '719', '10629', '7', '132');
INSERT INTO public.who_import VALUES (47088, '2020-07-13', 'KG', 'Kyrgyzstan', 'EURO', '488', '11117', '15', '147');
INSERT INTO public.who_import VALUES (47089, '2020-07-14', 'KG', 'Kyrgyzstan', 'EURO', '421', '11538', '2', '149');
INSERT INTO public.who_import VALUES (47090, '2020-07-15', 'KG', 'Kyrgyzstan', 'EURO', '439', '11977', '11', '160');
INSERT INTO public.who_import VALUES (47091, '2020-07-16', 'KG', 'Kyrgyzstan', 'EURO', '521', '12498', '7', '167');
INSERT INTO public.who_import VALUES (47092, '2020-07-17', 'KG', 'Kyrgyzstan', 'EURO', '603', '13101', '5', '172');
INSERT INTO public.who_import VALUES (47093, '2020-07-18', 'KG', 'Kyrgyzstan', 'EURO', '11883', '24984', '306', '478');
INSERT INTO public.who_import VALUES (47094, '2020-07-19', 'KG', 'Kyrgyzstan', 'EURO', '1548', '26532', '80', '558');
INSERT INTO public.who_import VALUES (47095, '2020-07-20', 'KG', 'Kyrgyzstan', 'EURO', '611', '27143', '34', '592');
INSERT INTO public.who_import VALUES (47096, '2020-07-21', 'KG', 'Kyrgyzstan', 'EURO', '1108', '28251', '42', '634');
INSERT INTO public.who_import VALUES (47097, '2020-07-22', 'KG', 'Kyrgyzstan', 'EURO', '1108', '29359', '44', '678');
INSERT INTO public.who_import VALUES (47098, '2020-07-23', 'KG', 'Kyrgyzstan', 'EURO', '967', '30326', '46', '724');
INSERT INTO public.who_import VALUES (47099, '2020-07-24', 'KG', 'Kyrgyzstan', 'EURO', '921', '31247', '42', '766');
INSERT INTO public.who_import VALUES (47100, '2020-07-25', 'KG', 'Kyrgyzstan', 'EURO', '0', '31247', '38', '804');
INSERT INTO public.who_import VALUES (47101, '2020-07-26', 'KG', 'Kyrgyzstan', 'EURO', '1566', '32813', '28', '832');
INSERT INTO public.who_import VALUES (47102, '2020-07-27', 'KG', 'Kyrgyzstan', 'EURO', '483', '33296', '24', '856');
INSERT INTO public.who_import VALUES (47103, '2020-07-28', 'KG', 'Kyrgyzstan', 'EURO', '548', '33844', '28', '884');
INSERT INTO public.who_import VALUES (47104, '2020-07-29', 'KG', 'Kyrgyzstan', 'EURO', '668', '34512', '18', '902');
INSERT INTO public.who_import VALUES (47105, '2020-07-30', 'KG', 'Kyrgyzstan', 'EURO', '631', '35143', '17', '919');
INSERT INTO public.who_import VALUES (47106, '2020-07-31', 'KG', 'Kyrgyzstan', 'EURO', '662', '35805', '14', '933');
INSERT INTO public.who_import VALUES (47107, '2020-08-01', 'KG', 'Kyrgyzstan', 'EURO', '494', '36299', '19', '952');
INSERT INTO public.who_import VALUES (47108, '2020-08-02', 'KG', 'Kyrgyzstan', 'EURO', '420', '36719', '12', '964');
INSERT INTO public.who_import VALUES (47109, '2020-08-03', 'KG', 'Kyrgyzstan', 'EURO', '410', '37129', '11', '975');
INSERT INTO public.who_import VALUES (47110, '2020-08-04', 'KG', 'Kyrgyzstan', 'EURO', '412', '37541', '7', '982');
INSERT INTO public.who_import VALUES (47111, '2020-08-05', 'KG', 'Kyrgyzstan', 'EURO', '569', '38110', '11', '993');
INSERT INTO public.who_import VALUES (47112, '2020-08-06', 'KG', 'Kyrgyzstan', 'EURO', '549', '38659', '9', '1002');
INSERT INTO public.who_import VALUES (47113, '2020-08-07', 'KG', 'Kyrgyzstan', 'EURO', '503', '39162', '4', '1006');
INSERT INTO public.who_import VALUES (47114, '2020-08-08', 'KG', 'Kyrgyzstan', 'EURO', '425', '39587', '9', '1015');
INSERT INTO public.who_import VALUES (47115, '2020-08-09', 'KG', 'Kyrgyzstan', 'EURO', '332', '39919', '8', '1023');
INSERT INTO public.who_import VALUES (47116, '2020-08-10', 'KG', 'Kyrgyzstan', 'EURO', '258', '40177', '6', '1029');
INSERT INTO public.who_import VALUES (47117, '2020-08-11', 'KG', 'Kyrgyzstan', 'EURO', '278', '40455', '4', '1033');
INSERT INTO public.who_import VALUES (47118, '2020-08-12', 'KG', 'Kyrgyzstan', 'EURO', '304', '40759', '6', '1039');
INSERT INTO public.who_import VALUES (47119, '2020-08-13', 'KG', 'Kyrgyzstan', 'EURO', '310', '41069', '3', '1042');
INSERT INTO public.who_import VALUES (47120, '2020-08-14', 'KG', 'Kyrgyzstan', 'EURO', '304', '41373', '4', '1046');
INSERT INTO public.who_import VALUES (47121, '2020-08-15', 'KG', 'Kyrgyzstan', 'EURO', '272', '41645', '2', '1048');
INSERT INTO public.who_import VALUES (47122, '2020-08-16', 'KG', 'Kyrgyzstan', 'EURO', '211', '41856', '2', '1050');
INSERT INTO public.who_import VALUES (47123, '2020-08-17', 'KG', 'Kyrgyzstan', 'EURO', '135', '41991', '1', '1051');
INSERT INTO public.who_import VALUES (47124, '2020-08-18', 'KG', 'Kyrgyzstan', 'EURO', '155', '42146', '2', '1053');
INSERT INTO public.who_import VALUES (47125, '2020-08-19', 'KG', 'Kyrgyzstan', 'EURO', '179', '42325', '1', '1054');
INSERT INTO public.who_import VALUES (47126, '2020-08-20', 'KG', 'Kyrgyzstan', 'EURO', '182', '42507', '0', '1054');
INSERT INTO public.who_import VALUES (47127, '2020-08-21', 'KG', 'Kyrgyzstan', 'EURO', '196', '42703', '1', '1055');
INSERT INTO public.who_import VALUES (47128, '2020-08-22', 'KG', 'Kyrgyzstan', 'EURO', '186', '42889', '0', '1055');
INSERT INTO public.who_import VALUES (47129, '2020-08-23', 'KG', 'Kyrgyzstan', 'EURO', '134', '43023', '1', '1056');
INSERT INTO public.who_import VALUES (47130, '2020-08-24', 'KG', 'Kyrgyzstan', 'EURO', '103', '43126', '1', '1057');
INSERT INTO public.who_import VALUES (47131, '2020-08-25', 'KG', 'Kyrgyzstan', 'EURO', '119', '43245', '0', '1057');
INSERT INTO public.who_import VALUES (47132, '2020-08-26', 'KG', 'Kyrgyzstan', 'EURO', '113', '43358', '1', '1058');
INSERT INTO public.who_import VALUES (47133, '2020-08-27', 'KG', 'Kyrgyzstan', 'EURO', '101', '43459', '0', '1058');
INSERT INTO public.who_import VALUES (47134, '2020-08-28', 'KG', 'Kyrgyzstan', 'EURO', '128', '43587', '0', '1058');
INSERT INTO public.who_import VALUES (47135, '2020-08-29', 'KG', 'Kyrgyzstan', 'EURO', '125', '43712', '0', '1058');
INSERT INTO public.who_import VALUES (47136, '2020-08-30', 'KG', 'Kyrgyzstan', 'EURO', '108', '43820', '1', '1059');
INSERT INTO public.who_import VALUES (47137, '2020-08-31', 'KG', 'Kyrgyzstan', 'EURO', '78', '43898', '0', '1059');
INSERT INTO public.who_import VALUES (47138, '2020-09-01', 'KG', 'Kyrgyzstan', 'EURO', '60', '43958', '1', '1060');
INSERT INTO public.who_import VALUES (47139, '2020-09-02', 'KG', 'Kyrgyzstan', 'EURO', '78', '44036', '0', '1060');
INSERT INTO public.who_import VALUES (47140, '2020-09-03', 'KG', 'Kyrgyzstan', 'EURO', '99', '44135', '0', '1060');
INSERT INTO public.who_import VALUES (47141, '2020-09-04', 'KG', 'Kyrgyzstan', 'EURO', '92', '44227', '1', '1061');
INSERT INTO public.who_import VALUES (47142, '2020-09-05', 'KG', 'Kyrgyzstan', 'EURO', '89', '44316', '0', '1061');
INSERT INTO public.who_import VALUES (47143, '2020-09-06', 'KG', 'Kyrgyzstan', 'EURO', '87', '44403', '0', '1061');
INSERT INTO public.who_import VALUES (47144, '2020-09-07', 'KG', 'Kyrgyzstan', 'EURO', '55', '44458', '0', '1061');
INSERT INTO public.who_import VALUES (47145, '2020-09-08', 'KG', 'Kyrgyzstan', 'EURO', '68', '44526', '1', '1062');
INSERT INTO public.who_import VALUES (47146, '2020-09-09', 'KG', 'Kyrgyzstan', 'EURO', '87', '44613', '1', '1063');
INSERT INTO public.who_import VALUES (47147, '2020-09-10', 'KG', 'Kyrgyzstan', 'EURO', '71', '44684', '0', '1063');
INSERT INTO public.who_import VALUES (47148, '2020-09-11', 'KG', 'Kyrgyzstan', 'EURO', '77', '44761', '0', '1063');
INSERT INTO public.who_import VALUES (47149, '2020-09-12', 'KG', 'Kyrgyzstan', 'EURO', '67', '44828', '0', '1063');
INSERT INTO public.who_import VALUES (47150, '2020-09-13', 'KG', 'Kyrgyzstan', 'EURO', '53', '44881', '0', '1063');
INSERT INTO public.who_import VALUES (47151, '2020-09-14', 'KG', 'Kyrgyzstan', 'EURO', '47', '44928', '0', '1063');
INSERT INTO public.who_import VALUES (47152, '2020-09-15', 'KG', 'Kyrgyzstan', 'EURO', '71', '44999', '0', '1063');
INSERT INTO public.who_import VALUES (47153, '2020-09-16', 'KG', 'Kyrgyzstan', 'EURO', '73', '45072', '0', '1063');
INSERT INTO public.who_import VALUES (47154, '2020-09-17', 'KG', 'Kyrgyzstan', 'EURO', '81', '45153', '0', '1063');
INSERT INTO public.who_import VALUES (47155, '2020-09-18', 'KG', 'Kyrgyzstan', 'EURO', '91', '45244', '0', '1063');
INSERT INTO public.who_import VALUES (47156, '2020-09-19', 'KG', 'Kyrgyzstan', 'EURO', '91', '45335', '0', '1063');
INSERT INTO public.who_import VALUES (47157, '2020-09-20', 'KG', 'Kyrgyzstan', 'EURO', '81', '45416', '0', '1063');
INSERT INTO public.who_import VALUES (47158, '2020-09-21', 'KG', 'Kyrgyzstan', 'EURO', '55', '45471', '0', '1063');
INSERT INTO public.who_import VALUES (47159, '2020-09-22', 'KG', 'Kyrgyzstan', 'EURO', '71', '45542', '0', '1063');
INSERT INTO public.who_import VALUES (47160, '2020-09-23', 'KG', 'Kyrgyzstan', 'EURO', '88', '45630', '0', '1063');
INSERT INTO public.who_import VALUES (47161, '2020-09-24', 'KG', 'Kyrgyzstan', 'EURO', '127', '45757', '0', '1063');
INSERT INTO public.who_import VALUES (47162, '2020-09-25', 'KG', 'Kyrgyzstan', 'EURO', '175', '45932', '0', '1063');
INSERT INTO public.who_import VALUES (47163, '2020-09-26', 'KG', 'Kyrgyzstan', 'EURO', '158', '46090', '0', '1063');
INSERT INTO public.who_import VALUES (47164, '2020-09-27', 'KG', 'Kyrgyzstan', 'EURO', '161', '46251', '0', '1063');
INSERT INTO public.who_import VALUES (47165, '2020-09-28', 'KG', 'Kyrgyzstan', 'EURO', '104', '46355', '1', '1064');
INSERT INTO public.who_import VALUES (47166, '2020-09-29', 'KG', 'Kyrgyzstan', 'EURO', '167', '46522', '0', '1064');
INSERT INTO public.who_import VALUES (47167, '2020-09-30', 'KG', 'Kyrgyzstan', 'EURO', '147', '46669', '0', '1064');
INSERT INTO public.who_import VALUES (47168, '2020-10-01', 'KG', 'Kyrgyzstan', 'EURO', '172', '46841', '1', '1065');
INSERT INTO public.who_import VALUES (47169, '2020-10-02', 'KG', 'Kyrgyzstan', 'EURO', '215', '47056', '0', '1065');
INSERT INTO public.who_import VALUES (47170, '2020-10-03', 'KG', 'Kyrgyzstan', 'EURO', '128', '47184', '1', '1066');
INSERT INTO public.who_import VALUES (47171, '2020-10-04', 'KG', 'Kyrgyzstan', 'EURO', '244', '47428', '0', '1066');
INSERT INTO public.who_import VALUES (47172, '2020-10-05', 'KG', 'Kyrgyzstan', 'EURO', '207', '47635', '0', '1066');
INSERT INTO public.who_import VALUES (47173, '2020-10-06', 'KG', 'Kyrgyzstan', 'EURO', '164', '47799', '0', '1066');
INSERT INTO public.who_import VALUES (47174, '2020-10-07', 'KG', 'Kyrgyzstan', 'EURO', '298', '48097', '3', '1069');
INSERT INTO public.who_import VALUES (47175, '2020-10-08', 'KG', 'Kyrgyzstan', 'EURO', '245', '48342', '4', '1073');
INSERT INTO public.who_import VALUES (47176, '2020-10-09', 'KG', 'Kyrgyzstan', 'EURO', '275', '48617', '4', '1077');
INSERT INTO public.who_import VALUES (47177, '2020-10-10', 'KG', 'Kyrgyzstan', 'EURO', '307', '48924', '5', '1082');
INSERT INTO public.who_import VALUES (47178, '2020-10-11', 'KG', 'Kyrgyzstan', 'EURO', '306', '49230', '3', '1085');
INSERT INTO public.who_import VALUES (47179, '2020-10-12', 'KG', 'Kyrgyzstan', 'EURO', '298', '49528', '5', '1090');
INSERT INTO public.who_import VALUES (47180, '2020-10-13', 'KG', 'Kyrgyzstan', 'EURO', '343', '49871', '2', '1092');
INSERT INTO public.who_import VALUES (47181, '2020-10-14', 'KG', 'Kyrgyzstan', 'EURO', '330', '50201', '2', '1094');
INSERT INTO public.who_import VALUES (47182, '2020-10-15', 'KG', 'Kyrgyzstan', 'EURO', '388', '50589', '5', '1099');
INSERT INTO public.who_import VALUES (47183, '2020-10-16', 'KG', 'Kyrgyzstan', 'EURO', '431', '51020', '4', '1103');
INSERT INTO public.who_import VALUES (47184, '2020-10-17', 'KG', 'Kyrgyzstan', 'EURO', '470', '51490', '5', '1108');
INSERT INTO public.who_import VALUES (47185, '2020-10-18', 'KG', 'Kyrgyzstan', 'EURO', '554', '52044', '3', '1111');
INSERT INTO public.who_import VALUES (47186, '2020-10-19', 'KG', 'Kyrgyzstan', 'EURO', '482', '52526', '0', '1111');
INSERT INTO public.who_import VALUES (47187, '2020-10-20', 'KG', 'Kyrgyzstan', 'EURO', '384', '52910', '2', '1113');
INSERT INTO public.who_import VALUES (47188, '2020-10-21', 'KG', 'Kyrgyzstan', 'EURO', '549', '53459', '5', '1118');
INSERT INTO public.who_import VALUES (47189, '2020-10-22', 'KG', 'Kyrgyzstan', 'EURO', '547', '54006', '4', '1122');
INSERT INTO public.who_import VALUES (47190, '2020-10-23', 'KG', 'Kyrgyzstan', 'EURO', '582', '54588', '4', '1126');
INSERT INTO public.who_import VALUES (47191, '2020-10-24', 'KG', 'Kyrgyzstan', 'EURO', '556', '55144', '4', '1130');
INSERT INTO public.who_import VALUES (47192, '2020-10-25', 'KG', 'Kyrgyzstan', 'EURO', '606', '55750', '4', '1134');
INSERT INTO public.who_import VALUES (47193, '2020-10-26', 'KG', 'Kyrgyzstan', 'EURO', '420', '56170', '0', '1134');
INSERT INTO public.who_import VALUES (47194, '2020-10-27', 'KG', 'Kyrgyzstan', 'EURO', '568', '56738', '2', '1136');
INSERT INTO public.who_import VALUES (47195, '2020-10-28', 'KG', 'Kyrgyzstan', 'EURO', '538', '57276', '2', '1138');
INSERT INTO public.who_import VALUES (47196, '2020-10-29', 'KG', 'Kyrgyzstan', 'EURO', '522', '57798', '1', '1139');
INSERT INTO public.who_import VALUES (47197, '2020-10-30', 'KG', 'Kyrgyzstan', 'EURO', '596', '58394', '3', '1142');
INSERT INTO public.who_import VALUES (47198, '2020-10-31', 'KG', 'Kyrgyzstan', 'EURO', '484', '58878', '3', '1145');
INSERT INTO public.who_import VALUES (47199, '2020-11-01', 'KG', 'Kyrgyzstan', 'EURO', '565', '59443', '5', '1150');
INSERT INTO public.who_import VALUES (47200, '2020-11-02', 'KG', 'Kyrgyzstan', 'EURO', '436', '59879', '5', '1155');
INSERT INTO public.who_import VALUES (47201, '2020-11-03', 'KG', 'Kyrgyzstan', 'EURO', '400', '60279', '4', '1159');
INSERT INTO public.who_import VALUES (47202, '2020-11-04', 'KG', 'Kyrgyzstan', 'EURO', '495', '60774', '4', '1163');
INSERT INTO public.who_import VALUES (47203, '2020-11-05', 'KG', 'Kyrgyzstan', 'EURO', '535', '61309', '4', '1167');
INSERT INTO public.who_import VALUES (47204, '2020-11-06', 'KG', 'Kyrgyzstan', 'EURO', '439', '61748', '3', '1170');
INSERT INTO public.who_import VALUES (47205, '2020-11-07', 'KG', 'Kyrgyzstan', 'EURO', '556', '62304', '2', '1172');
INSERT INTO public.who_import VALUES (47206, '2020-11-08', 'KG', 'Kyrgyzstan', 'EURO', '515', '62819', '5', '1177');
INSERT INTO public.who_import VALUES (47207, '2020-11-09', 'KG', 'Kyrgyzstan', 'EURO', '571', '63390', '5', '1182');
INSERT INTO public.who_import VALUES (47208, '2020-11-10', 'KG', 'Kyrgyzstan', 'EURO', '570', '63960', '3', '1185');
INSERT INTO public.who_import VALUES (47209, '2020-11-11', 'KG', 'Kyrgyzstan', 'EURO', '400', '64360', '3', '1188');
INSERT INTO public.who_import VALUES (47210, '2020-11-12', 'KG', 'Kyrgyzstan', 'EURO', '527', '64887', '5', '1193');
INSERT INTO public.who_import VALUES (47211, '2020-11-13', 'KG', 'Kyrgyzstan', 'EURO', '567', '65454', '2', '1195');
INSERT INTO public.who_import VALUES (47212, '2020-11-14', 'KG', 'Kyrgyzstan', 'EURO', '499', '65953', '1', '1196');
INSERT INTO public.who_import VALUES (47213, '2020-11-15', 'KG', 'Kyrgyzstan', 'EURO', '551', '66504', '3', '1199');
INSERT INTO public.who_import VALUES (47214, '2020-11-16', 'KG', 'Kyrgyzstan', 'EURO', '479', '66983', '4', '1203');
INSERT INTO public.who_import VALUES (47215, '2020-11-17', 'KG', 'Kyrgyzstan', 'EURO', '486', '67469', '4', '1207');
INSERT INTO public.who_import VALUES (47216, '2020-11-18', 'KG', 'Kyrgyzstan', 'EURO', '425', '67894', '5', '1212');
INSERT INTO public.who_import VALUES (47217, '2020-11-19', 'KG', 'Kyrgyzstan', 'EURO', '422', '68316', '5', '1217');
INSERT INTO public.who_import VALUES (47218, '2020-11-20', 'KG', 'Kyrgyzstan', 'EURO', '386', '68702', '6', '1223');
INSERT INTO public.who_import VALUES (47219, '2020-11-21', 'KG', 'Kyrgyzstan', 'EURO', '447', '69149', '4', '1227');
INSERT INTO public.who_import VALUES (47220, '2020-11-22', 'KG', 'Kyrgyzstan', 'EURO', '432', '69581', '4', '1231');
INSERT INTO public.who_import VALUES (47221, '2020-11-23', 'KG', 'Kyrgyzstan', 'EURO', '304', '69885', '6', '1237');
INSERT INTO public.who_import VALUES (47222, '2020-11-24', 'KG', 'Kyrgyzstan', 'EURO', '481', '70366', '4', '1241');
INSERT INTO public.who_import VALUES (47223, '2020-11-25', 'KG', 'Kyrgyzstan', 'EURO', '378', '70744', '4', '1245');
INSERT INTO public.who_import VALUES (47224, '2020-11-26', 'KG', 'Kyrgyzstan', 'EURO', '427', '71171', '6', '1251');
INSERT INTO public.who_import VALUES (47225, '2020-11-27', 'KG', 'Kyrgyzstan', 'EURO', '377', '71548', '5', '1256');
INSERT INTO public.who_import VALUES (47226, '2020-11-28', 'KG', 'Kyrgyzstan', 'EURO', '423', '71971', '6', '1262');
INSERT INTO public.who_import VALUES (47227, '2020-11-29', 'KG', 'Kyrgyzstan', 'EURO', '456', '72427', '4', '1266');
INSERT INTO public.who_import VALUES (47228, '2020-11-30', 'KG', 'Kyrgyzstan', 'EURO', '380', '72807', '5', '1271');
INSERT INTO public.who_import VALUES (47229, '2020-12-01', 'KG', 'Kyrgyzstan', 'EURO', '371', '73178', '4', '1275');
INSERT INTO public.who_import VALUES (47230, '2020-12-02', 'KG', 'Kyrgyzstan', 'EURO', '335', '73513', '2', '1277');
INSERT INTO public.who_import VALUES (47231, '2020-12-03', 'KG', 'Kyrgyzstan', 'EURO', '420', '73933', '4', '1281');
INSERT INTO public.who_import VALUES (47232, '2020-12-04', 'KG', 'Kyrgyzstan', 'EURO', '440', '74373', '4', '1285');
INSERT INTO public.who_import VALUES (47233, '2020-12-05', 'KG', 'Kyrgyzstan', 'EURO', '401', '74774', '5', '1290');
INSERT INTO public.who_import VALUES (47234, '2020-12-06', 'KG', 'Kyrgyzstan', 'EURO', '328', '75102', '5', '1295');
INSERT INTO public.who_import VALUES (47235, '2020-12-07', 'KG', 'Kyrgyzstan', 'EURO', '293', '75395', '2', '1297');
INSERT INTO public.who_import VALUES (47236, '2020-12-08', 'KG', 'Kyrgyzstan', 'EURO', '295', '75690', '4', '1301');
INSERT INTO public.who_import VALUES (47237, '2020-12-09', 'KG', 'Kyrgyzstan', 'EURO', '322', '76012', '2', '1303');
INSERT INTO public.who_import VALUES (47238, '2020-12-10', 'KG', 'Kyrgyzstan', 'EURO', '379', '76391', '3', '1306');
INSERT INTO public.who_import VALUES (47239, '2020-12-11', 'KG', 'Kyrgyzstan', 'EURO', '327', '76718', '1', '1307');
INSERT INTO public.who_import VALUES (47240, '2020-12-12', 'KG', 'Kyrgyzstan', 'EURO', '341', '77059', '0', '1307');
INSERT INTO public.who_import VALUES (47241, '2020-12-13', 'KG', 'Kyrgyzstan', 'EURO', '297', '77356', '0', '1307');
INSERT INTO public.who_import VALUES (47242, '2020-12-14', 'KG', 'Kyrgyzstan', 'EURO', '318', '77674', '5', '1312');
INSERT INTO public.who_import VALUES (47243, '2020-12-15', 'KG', 'Kyrgyzstan', 'EURO', '236', '77910', '4', '1316');
INSERT INTO public.who_import VALUES (47244, '2020-12-16', 'KG', 'Kyrgyzstan', 'EURO', '241', '78151', '1', '1317');
INSERT INTO public.who_import VALUES (47245, '2020-12-17', 'KG', 'Kyrgyzstan', 'EURO', '264', '78415', '4', '1321');
INSERT INTO public.who_import VALUES (47246, '2020-12-18', 'KG', 'Kyrgyzstan', 'EURO', '264', '78679', '3', '1324');
INSERT INTO public.who_import VALUES (47247, '2020-12-19', 'KG', 'Kyrgyzstan', 'EURO', '232', '78911', '4', '1328');
INSERT INTO public.who_import VALUES (47248, '2020-12-20', 'KG', 'Kyrgyzstan', 'EURO', '211', '79122', '2', '1330');
INSERT INTO public.who_import VALUES (47249, '2020-12-21', 'KG', 'Kyrgyzstan', 'EURO', '132', '79254', '0', '1330');
INSERT INTO public.who_import VALUES (47250, '2020-12-22', 'KG', 'Kyrgyzstan', 'EURO', '175', '79429', '5', '1335');
INSERT INTO public.who_import VALUES (47251, '2020-12-23', 'KG', 'Kyrgyzstan', 'EURO', '230', '79659', '2', '1337');
INSERT INTO public.who_import VALUES (47252, '2020-12-24', 'KG', 'Kyrgyzstan', 'EURO', '186', '79845', '3', '1340');
INSERT INTO public.who_import VALUES (47253, '2020-12-25', 'KG', 'Kyrgyzstan', 'EURO', '180', '80025', '0', '1340');
INSERT INTO public.who_import VALUES (47254, '2020-12-26', 'KG', 'Kyrgyzstan', 'EURO', '157', '80182', '4', '1344');
INSERT INTO public.who_import VALUES (47255, '2020-12-27', 'KG', 'Kyrgyzstan', 'EURO', '191', '80373', '4', '1348');
INSERT INTO public.who_import VALUES (47256, '2020-12-28', 'KG', 'Kyrgyzstan', 'EURO', '162', '80535', '1', '1349');
INSERT INTO public.who_import VALUES (47257, '2020-12-29', 'KG', 'Kyrgyzstan', 'EURO', '119', '80654', '4', '1353');
INSERT INTO public.who_import VALUES (47258, '2020-12-30', 'KG', 'Kyrgyzstan', 'EURO', '189', '80843', '1', '1354');
INSERT INTO public.who_import VALUES (47259, '2020-12-31', 'KG', 'Kyrgyzstan', 'EURO', '191', '81034', '1', '1355');
INSERT INTO public.who_import VALUES (47260, '2021-01-01', 'KG', 'Kyrgyzstan', 'EURO', '122', '81156', '1', '1356');
INSERT INTO public.who_import VALUES (47261, '2021-01-02', 'KG', 'Kyrgyzstan', 'EURO', '58', '81214', '2', '1358');
INSERT INTO public.who_import VALUES (47262, '2021-01-03', 'KG', 'Kyrgyzstan', 'EURO', '91', '81305', '1', '1359');
INSERT INTO public.who_import VALUES (47263, '2021-01-04', 'KG', 'Kyrgyzstan', 'EURO', '83', '81388', '1', '1360');
INSERT INTO public.who_import VALUES (47264, '2021-01-05', 'KG', 'Kyrgyzstan', 'EURO', '124', '81512', '0', '1360');
INSERT INTO public.who_import VALUES (47265, '2021-01-06', 'KG', 'Kyrgyzstan', 'EURO', '144', '81656', '1', '1361');
INSERT INTO public.who_import VALUES (47266, '2021-01-07', 'KG', 'Kyrgyzstan', 'EURO', '170', '81826', '2', '1363');
INSERT INTO public.who_import VALUES (47267, '2021-01-08', 'KG', 'Kyrgyzstan', 'EURO', '165', '81991', '2', '1365');
INSERT INTO public.who_import VALUES (47268, '2021-01-09', 'KG', 'Kyrgyzstan', 'EURO', '147', '82138', '2', '1367');
INSERT INTO public.who_import VALUES (47269, '2021-01-10', 'KG', 'Kyrgyzstan', 'EURO', '135', '82273', '2', '1369');
INSERT INTO public.who_import VALUES (47270, '2021-01-11', 'KG', 'Kyrgyzstan', 'EURO', '107', '82380', '2', '1371');
INSERT INTO public.who_import VALUES (47271, '2021-01-12', 'KG', 'Kyrgyzstan', 'EURO', '115', '82495', '3', '1374');
INSERT INTO public.who_import VALUES (47272, '2021-01-13', 'KG', 'Kyrgyzstan', 'EURO', '92', '82587', '1', '1375');
INSERT INTO public.who_import VALUES (47273, '2021-01-14', 'KG', 'Kyrgyzstan', 'EURO', '136', '82723', '3', '1378');
INSERT INTO public.who_import VALUES (47274, '2021-01-15', 'KG', 'Kyrgyzstan', 'EURO', '134', '82857', '3', '1381');
INSERT INTO public.who_import VALUES (47275, '2021-01-16', 'KG', 'Kyrgyzstan', 'EURO', '129', '82986', '1', '1382');
INSERT INTO public.who_import VALUES (47276, '2021-01-17', 'KG', 'Kyrgyzstan', 'EURO', '123', '83109', '2', '1384');
INSERT INTO public.who_import VALUES (47277, '2021-01-18', 'KG', 'Kyrgyzstan', 'EURO', '69', '83178', '3', '1387');
INSERT INTO public.who_import VALUES (47278, '2021-01-19', 'KG', 'Kyrgyzstan', 'EURO', '90', '83268', '3', '1390');
INSERT INTO public.who_import VALUES (47279, '2021-01-20', 'KG', 'Kyrgyzstan', 'EURO', '162', '83430', '2', '1392');
INSERT INTO public.who_import VALUES (47280, '2021-01-21', 'KG', 'Kyrgyzstan', 'EURO', '155', '83585', '2', '1394');
INSERT INTO public.who_import VALUES (47281, '2021-01-22', 'KG', 'Kyrgyzstan', 'EURO', '118', '83703', '2', '1396');
INSERT INTO public.who_import VALUES (47282, '2021-01-23', 'KG', 'Kyrgyzstan', 'EURO', '93', '83796', '2', '1398');
INSERT INTO public.who_import VALUES (47283, '2021-01-24', 'KG', 'Kyrgyzstan', 'EURO', '104', '83900', '2', '1400');
INSERT INTO public.who_import VALUES (47284, '2021-01-25', 'KG', 'Kyrgyzstan', 'EURO', '71', '83971', '1', '1401');
INSERT INTO public.who_import VALUES (47285, '2021-01-26', 'KG', 'Kyrgyzstan', 'EURO', '97', '84068', '1', '1402');
INSERT INTO public.who_import VALUES (47286, '2021-01-27', 'KG', 'Kyrgyzstan', 'EURO', '107', '84175', '3', '1405');
INSERT INTO public.who_import VALUES (47287, '2021-01-28', 'KG', 'Kyrgyzstan', 'EURO', '128', '84303', '3', '1408');
INSERT INTO public.who_import VALUES (47288, '2021-01-29', 'KG', 'Kyrgyzstan', 'EURO', '74', '84377', '1', '1409');
INSERT INTO public.who_import VALUES (47289, '2021-01-30', 'KG', 'Kyrgyzstan', 'EURO', '76', '84453', '2', '1411');
INSERT INTO public.who_import VALUES (47290, '2021-01-31', 'KG', 'Kyrgyzstan', 'EURO', '76', '84529', '1', '1412');
INSERT INTO public.who_import VALUES (47291, '2021-02-01', 'KG', 'Kyrgyzstan', 'EURO', '59', '84588', '0', '1412');
INSERT INTO public.who_import VALUES (47292, '2021-02-02', 'KG', 'Kyrgyzstan', 'EURO', '58', '84646', '2', '1414');
INSERT INTO public.who_import VALUES (47293, '2021-02-03', 'KG', 'Kyrgyzstan', 'EURO', '116', '84762', '1', '1415');
INSERT INTO public.who_import VALUES (47294, '2021-02-04', 'KG', 'Kyrgyzstan', 'EURO', '70', '84832', '3', '1418');
INSERT INTO public.who_import VALUES (47295, '2021-02-05', 'KG', 'Kyrgyzstan', 'EURO', '88', '84920', '2', '1420');
INSERT INTO public.who_import VALUES (47296, '2021-02-06', 'KG', 'Kyrgyzstan', 'EURO', '72', '84992', '3', '1423');
INSERT INTO public.who_import VALUES (47297, '2021-02-07', 'KG', 'Kyrgyzstan', 'EURO', '79', '85071', '3', '1426');
INSERT INTO public.who_import VALUES (47298, '2021-02-08', 'KG', 'Kyrgyzstan', 'EURO', '42', '85113', '5', '1431');
INSERT INTO public.who_import VALUES (47299, '2021-02-09', 'KG', 'Kyrgyzstan', 'EURO', '58', '85171', '2', '1433');
INSERT INTO public.who_import VALUES (47300, '2021-02-10', 'KG', 'Kyrgyzstan', 'EURO', '82', '85253', '3', '1436');
INSERT INTO public.who_import VALUES (47301, '2021-02-11', 'KG', 'Kyrgyzstan', 'EURO', '75', '85328', '1', '1437');
INSERT INTO public.who_import VALUES (47302, '2021-02-12', 'KG', 'Kyrgyzstan', 'EURO', '70', '85398', '2', '1439');
INSERT INTO public.who_import VALUES (47303, '2021-02-13', 'KG', 'Kyrgyzstan', 'EURO', '43', '85441', '2', '1441');
INSERT INTO public.who_import VALUES (47304, '2021-02-14', 'KG', 'Kyrgyzstan', 'EURO', '34', '85475', '0', '1441');
INSERT INTO public.who_import VALUES (47305, '2021-02-15', 'KG', 'Kyrgyzstan', 'EURO', '41', '85516', '1', '1442');
INSERT INTO public.who_import VALUES (47306, '2021-02-16', 'KG', 'Kyrgyzstan', 'EURO', '48', '85564', '2', '1444');
INSERT INTO public.who_import VALUES (47307, '2021-02-17', 'KG', 'Kyrgyzstan', 'EURO', '55', '85619', '2', '1446');
INSERT INTO public.who_import VALUES (47308, '2021-02-18', 'KG', 'Kyrgyzstan', 'EURO', '70', '85689', '1', '1447');
INSERT INTO public.who_import VALUES (47309, '2021-02-19', 'KG', 'Kyrgyzstan', 'EURO', '83', '85772', '3', '1450');
INSERT INTO public.who_import VALUES (47310, '2021-02-20', 'KG', 'Kyrgyzstan', 'EURO', '59', '85831', '2', '1452');
INSERT INTO public.who_import VALUES (47311, '2020-01-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47312, '2020-01-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47313, '2020-01-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47314, '2020-01-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47315, '2020-01-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47316, '2020-01-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47317, '2020-01-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47318, '2020-01-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47319, '2020-01-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47320, '2020-01-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47321, '2020-01-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47322, '2020-01-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47323, '2020-01-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47324, '2020-01-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47325, '2020-01-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47326, '2020-01-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47327, '2020-01-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47328, '2020-01-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47329, '2020-01-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47330, '2020-01-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47331, '2020-01-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47332, '2020-01-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47333, '2020-01-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47334, '2020-01-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47335, '2020-01-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47336, '2020-01-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47337, '2020-01-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47338, '2020-01-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47339, '2020-01-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47340, '2020-02-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47341, '2020-02-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47342, '2020-02-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47343, '2020-02-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47344, '2020-02-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47345, '2020-02-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47346, '2020-02-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47347, '2020-02-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47348, '2020-02-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47349, '2020-02-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47350, '2020-02-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47351, '2020-02-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47352, '2020-02-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47353, '2020-02-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47354, '2020-02-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47355, '2020-02-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47356, '2020-02-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47357, '2020-02-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47358, '2020-02-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47359, '2020-02-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47360, '2020-02-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47361, '2020-02-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47362, '2020-02-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47363, '2020-02-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47364, '2020-02-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47365, '2020-02-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47366, '2020-02-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47367, '2020-02-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47368, '2020-02-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47369, '2020-03-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47370, '2020-03-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47371, '2020-03-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47372, '2020-03-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47373, '2020-03-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47374, '2020-03-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47375, '2020-03-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47376, '2020-03-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47377, '2020-03-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47378, '2020-03-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47379, '2020-03-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47380, '2020-03-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47381, '2020-03-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47382, '2020-03-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47383, '2020-03-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47384, '2020-03-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47385, '2020-03-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47386, '2020-03-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47387, '2020-03-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47388, '2020-03-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47389, '2020-03-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47390, '2020-03-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47391, '2020-03-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47392, '2020-03-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (47393, '2020-03-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (47394, '2020-03-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (47395, '2020-03-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (47396, '2020-03-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (47397, '2020-03-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (47398, '2020-03-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (47399, '2020-03-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (47400, '2020-04-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (47401, '2020-04-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (47402, '2020-04-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (47403, '2020-04-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (47404, '2020-04-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (47405, '2020-04-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (47406, '2020-04-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (47407, '2020-04-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (47408, '2020-04-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (47409, '2020-04-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (47410, '2020-04-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (47411, '2020-04-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (47412, '2020-04-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (47413, '2020-04-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47414, '2020-04-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47415, '2020-04-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47416, '2020-04-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47417, '2020-04-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47418, '2020-04-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47419, '2020-04-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47420, '2020-04-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47421, '2020-04-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47422, '2020-04-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47423, '2020-04-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47424, '2020-04-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47425, '2020-04-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47426, '2020-04-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47427, '2020-04-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47428, '2020-04-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47429, '2020-04-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47430, '2020-05-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47431, '2020-05-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47432, '2020-05-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47433, '2020-05-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47434, '2020-05-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47435, '2020-05-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47436, '2020-05-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47437, '2020-05-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47438, '2020-05-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47439, '2020-05-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47440, '2020-05-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47441, '2020-05-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47442, '2020-05-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47443, '2020-05-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47444, '2020-05-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47445, '2020-05-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47446, '2020-05-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47447, '2020-05-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47448, '2020-05-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47449, '2020-05-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47450, '2020-05-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47451, '2020-05-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47452, '2020-05-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47453, '2020-05-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47454, '2020-05-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47455, '2020-05-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47456, '2020-05-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47457, '2020-05-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47458, '2020-05-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47459, '2020-05-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47460, '2020-05-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47461, '2020-06-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47462, '2020-06-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47463, '2020-06-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47464, '2020-06-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47465, '2020-06-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47466, '2020-06-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47467, '2020-06-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47468, '2020-06-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47469, '2020-06-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47470, '2020-06-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47471, '2020-06-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47472, '2020-06-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47473, '2020-06-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47474, '2020-06-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47475, '2020-06-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47476, '2020-06-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47477, '2020-06-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47478, '2020-06-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47479, '2020-06-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47480, '2020-06-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47481, '2020-06-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47482, '2020-06-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47483, '2020-06-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47484, '2020-06-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47485, '2020-06-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47486, '2020-06-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47487, '2020-06-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47488, '2020-06-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47489, '2020-06-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47490, '2020-06-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47491, '2020-07-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47492, '2020-07-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47493, '2020-07-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47494, '2020-07-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47495, '2020-07-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47496, '2020-07-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47497, '2020-07-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47498, '2020-07-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47499, '2020-07-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47500, '2020-07-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47501, '2020-07-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47502, '2020-07-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47503, '2020-07-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47504, '2020-07-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47505, '2020-07-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47506, '2020-07-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47507, '2020-07-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47508, '2020-07-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47509, '2020-07-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47510, '2020-07-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47511, '2020-07-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47512, '2020-07-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47513, '2020-07-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47514, '2020-07-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (47515, '2020-07-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (47516, '2020-07-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47517, '2020-07-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47518, '2020-07-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47519, '2020-07-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47520, '2020-07-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47521, '2020-07-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47522, '2020-08-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47523, '2020-08-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47524, '2020-08-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47525, '2020-08-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47526, '2020-08-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47527, '2020-08-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47528, '2020-08-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47529, '2020-08-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47530, '2020-08-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47531, '2020-08-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47532, '2020-08-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47533, '2020-08-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47534, '2020-08-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47535, '2020-08-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47536, '2020-08-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (47537, '2020-08-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (47538, '2020-08-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47539, '2020-08-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47540, '2020-08-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47541, '2020-08-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47542, '2020-08-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47543, '2020-08-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47544, '2020-08-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47545, '2020-08-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47546, '2020-08-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47547, '2020-08-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47548, '2020-08-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47549, '2020-08-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47550, '2020-08-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47551, '2020-08-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47552, '2020-08-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47553, '2020-09-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47554, '2020-09-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47831, '2020-04-17', 'LV', 'Latvia', 'EURO', '9', '675', '0', '5');
INSERT INTO public.who_import VALUES (47555, '2020-09-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47556, '2020-09-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47557, '2020-09-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47558, '2020-09-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47559, '2020-09-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47560, '2020-09-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47561, '2020-09-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47562, '2020-09-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47563, '2020-09-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (47564, '2020-09-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (47565, '2020-09-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47566, '2020-09-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47567, '2020-09-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47568, '2020-09-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47569, '2020-09-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47570, '2020-09-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47571, '2020-09-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47572, '2020-09-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47573, '2020-09-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47574, '2020-09-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47575, '2020-09-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47576, '2020-09-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47577, '2020-09-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47578, '2020-09-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47579, '2020-09-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47580, '2020-09-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47581, '2020-09-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47582, '2020-09-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47583, '2020-10-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47584, '2020-10-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47585, '2020-10-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47586, '2020-10-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47587, '2020-10-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47588, '2020-10-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47589, '2020-10-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47590, '2020-10-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47591, '2020-10-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47592, '2020-10-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47593, '2020-10-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47594, '2020-10-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47595, '2020-10-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47596, '2020-10-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47597, '2020-10-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47598, '2020-10-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47599, '2020-10-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47600, '2020-10-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47601, '2020-10-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47602, '2020-10-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47603, '2020-10-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (47604, '2020-10-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (47605, '2020-10-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47606, '2020-10-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47607, '2020-10-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47608, '2020-10-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47609, '2020-10-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47610, '2020-10-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47611, '2020-10-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47612, '2020-10-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47613, '2020-10-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47614, '2020-11-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47615, '2020-11-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47616, '2020-11-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47617, '2020-11-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47618, '2020-11-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47619, '2020-11-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47620, '2020-11-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47621, '2020-11-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47622, '2020-11-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47623, '2020-11-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47624, '2020-11-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47625, '2020-11-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47626, '2020-11-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47627, '2020-11-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47628, '2020-11-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47629, '2020-11-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47630, '2020-11-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (47631, '2020-11-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (47632, '2020-11-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (47633, '2020-11-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (47634, '2020-11-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (47635, '2020-11-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (47832, '2020-04-18', 'LV', 'Latvia', 'EURO', '7', '682', '0', '5');
INSERT INTO public.who_import VALUES (47636, '2020-11-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (47637, '2020-11-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '14', '39', '0', '0');
INSERT INTO public.who_import VALUES (47638, '2020-11-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47639, '2020-11-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47640, '2020-11-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47641, '2020-11-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47642, '2020-11-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47643, '2020-11-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47644, '2020-12-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47645, '2020-12-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47646, '2020-12-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47647, '2020-12-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47648, '2020-12-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47649, '2020-12-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47650, '2020-12-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (47651, '2020-12-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '41', '0', '0');
INSERT INTO public.who_import VALUES (47652, '2020-12-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47653, '2020-12-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47654, '2020-12-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47655, '2020-12-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47656, '2020-12-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47657, '2020-12-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47658, '2020-12-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47659, '2020-12-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47660, '2020-12-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47661, '2020-12-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47662, '2020-12-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47663, '2020-12-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47664, '2020-12-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47665, '2020-12-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47666, '2020-12-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47667, '2020-12-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47668, '2020-12-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47669, '2020-12-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47670, '2020-12-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47671, '2020-12-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47672, '2020-12-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47673, '2020-12-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47674, '2020-12-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47675, '2021-01-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47676, '2021-01-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47677, '2021-01-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47678, '2021-01-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47679, '2021-01-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47680, '2021-01-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47681, '2021-01-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47682, '2021-01-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47683, '2021-01-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47684, '2021-01-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47685, '2021-01-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47686, '2021-01-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47687, '2021-01-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47688, '2021-01-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47689, '2021-01-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47690, '2021-01-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47691, '2021-01-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47692, '2021-01-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47693, '2021-01-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47694, '2021-01-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47695, '2021-01-21', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47696, '2021-01-22', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (47697, '2021-01-23', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '2', '43', '0', '0');
INSERT INTO public.who_import VALUES (47698, '2021-01-24', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (47699, '2021-01-25', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (47700, '2021-01-26', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '44', '0', '0');
INSERT INTO public.who_import VALUES (47701, '2021-01-27', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47702, '2021-01-28', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47703, '2021-01-29', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47704, '2021-01-30', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47705, '2021-01-31', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47706, '2021-02-01', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47707, '2021-02-02', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47708, '2021-02-03', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (47709, '2021-02-04', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '1', '45', '0', '0');
INSERT INTO public.who_import VALUES (47710, '2021-02-05', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47711, '2021-02-06', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47712, '2021-02-07', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47713, '2021-02-08', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47714, '2021-02-09', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47715, '2021-02-10', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47716, '2021-02-11', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (48155, '2020-01-17', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47717, '2021-02-12', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47718, '2021-02-13', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47719, '2021-02-14', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47720, '2021-02-15', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47721, '2021-02-16', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47722, '2021-02-17', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47723, '2021-02-18', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47724, '2021-02-19', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47725, '2021-02-20', 'LA', 'Lao People''s Democratic Republic', 'WPRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (47726, '2020-01-03', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47727, '2020-01-04', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47728, '2020-01-05', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47729, '2020-01-06', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47730, '2020-01-07', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47731, '2020-01-08', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47732, '2020-01-09', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47733, '2020-01-10', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47734, '2020-01-11', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47735, '2020-01-12', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47736, '2020-01-13', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47737, '2020-01-14', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47738, '2020-01-15', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47739, '2020-01-16', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47740, '2020-01-17', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47741, '2020-01-18', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47742, '2020-01-19', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47743, '2020-01-20', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47744, '2020-01-21', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47745, '2020-01-22', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47746, '2020-01-23', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47747, '2020-01-24', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47748, '2020-01-25', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47749, '2020-01-26', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47750, '2020-01-27', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47751, '2020-01-28', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47752, '2020-01-29', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47753, '2020-01-30', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47754, '2020-01-31', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47755, '2020-02-01', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47756, '2020-02-02', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47757, '2020-02-03', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47758, '2020-02-04', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47759, '2020-02-05', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47760, '2020-02-06', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47761, '2020-02-07', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47762, '2020-02-08', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47763, '2020-02-09', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47764, '2020-02-10', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47765, '2020-02-11', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47766, '2020-02-12', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47767, '2020-02-13', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47768, '2020-02-14', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47769, '2020-02-15', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47770, '2020-02-16', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47771, '2020-02-17', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47772, '2020-02-18', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47773, '2020-02-19', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47774, '2020-02-20', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47775, '2020-02-21', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47776, '2020-02-22', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47777, '2020-02-23', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47778, '2020-02-24', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47779, '2020-02-25', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47780, '2020-02-26', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47781, '2020-02-27', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47782, '2020-02-28', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47783, '2020-02-29', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47784, '2020-03-01', 'LV', 'Latvia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (47785, '2020-03-02', 'LV', 'Latvia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (47786, '2020-03-03', 'LV', 'Latvia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (47787, '2020-03-04', 'LV', 'Latvia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (47788, '2020-03-05', 'LV', 'Latvia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (47789, '2020-03-06', 'LV', 'Latvia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (47790, '2020-03-07', 'LV', 'Latvia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (47791, '2020-03-08', 'LV', 'Latvia', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (47792, '2020-03-09', 'LV', 'Latvia', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (47793, '2020-03-10', 'LV', 'Latvia', 'EURO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (47794, '2020-03-11', 'LV', 'Latvia', 'EURO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (47795, '2020-03-12', 'LV', 'Latvia', 'EURO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (47796, '2020-03-13', 'LV', 'Latvia', 'EURO', '6', '16', '0', '0');
INSERT INTO public.who_import VALUES (47797, '2020-03-14', 'LV', 'Latvia', 'EURO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (47798, '2020-03-15', 'LV', 'Latvia', 'EURO', '7', '26', '0', '0');
INSERT INTO public.who_import VALUES (47799, '2020-03-16', 'LV', 'Latvia', 'EURO', '5', '31', '0', '0');
INSERT INTO public.who_import VALUES (47800, '2020-03-17', 'LV', 'Latvia', 'EURO', '5', '36', '0', '0');
INSERT INTO public.who_import VALUES (47801, '2020-03-18', 'LV', 'Latvia', 'EURO', '25', '61', '0', '0');
INSERT INTO public.who_import VALUES (47802, '2020-03-19', 'LV', 'Latvia', 'EURO', '10', '71', '0', '0');
INSERT INTO public.who_import VALUES (47803, '2020-03-20', 'LV', 'Latvia', 'EURO', '15', '86', '0', '0');
INSERT INTO public.who_import VALUES (47804, '2020-03-21', 'LV', 'Latvia', 'EURO', '25', '111', '0', '0');
INSERT INTO public.who_import VALUES (47805, '2020-03-22', 'LV', 'Latvia', 'EURO', '13', '124', '0', '0');
INSERT INTO public.who_import VALUES (47806, '2020-03-23', 'LV', 'Latvia', 'EURO', '15', '139', '0', '0');
INSERT INTO public.who_import VALUES (47807, '2020-03-24', 'LV', 'Latvia', 'EURO', '41', '180', '0', '0');
INSERT INTO public.who_import VALUES (47808, '2020-03-25', 'LV', 'Latvia', 'EURO', '17', '197', '0', '0');
INSERT INTO public.who_import VALUES (47809, '2020-03-26', 'LV', 'Latvia', 'EURO', '24', '221', '0', '0');
INSERT INTO public.who_import VALUES (47810, '2020-03-27', 'LV', 'Latvia', 'EURO', '23', '244', '0', '0');
INSERT INTO public.who_import VALUES (47811, '2020-03-28', 'LV', 'Latvia', 'EURO', '36', '280', '0', '0');
INSERT INTO public.who_import VALUES (47812, '2020-03-29', 'LV', 'Latvia', 'EURO', '25', '305', '0', '0');
INSERT INTO public.who_import VALUES (47813, '2020-03-30', 'LV', 'Latvia', 'EURO', '71', '376', '0', '0');
INSERT INTO public.who_import VALUES (47814, '2020-03-31', 'LV', 'Latvia', 'EURO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (47815, '2020-04-01', 'LV', 'Latvia', 'EURO', '22', '398', '0', '0');
INSERT INTO public.who_import VALUES (47816, '2020-04-02', 'LV', 'Latvia', 'EURO', '48', '446', '0', '0');
INSERT INTO public.who_import VALUES (47817, '2020-04-03', 'LV', 'Latvia', 'EURO', '12', '458', '0', '0');
INSERT INTO public.who_import VALUES (47818, '2020-04-04', 'LV', 'Latvia', 'EURO', '35', '493', '1', '1');
INSERT INTO public.who_import VALUES (47819, '2020-04-05', 'LV', 'Latvia', 'EURO', '16', '509', '0', '1');
INSERT INTO public.who_import VALUES (47820, '2020-04-06', 'LV', 'Latvia', 'EURO', '24', '533', '0', '1');
INSERT INTO public.who_import VALUES (47821, '2020-04-07', 'LV', 'Latvia', 'EURO', '9', '542', '0', '1');
INSERT INTO public.who_import VALUES (47822, '2020-04-08', 'LV', 'Latvia', 'EURO', '6', '548', '1', '2');
INSERT INTO public.who_import VALUES (47823, '2020-04-09', 'LV', 'Latvia', 'EURO', '29', '577', '0', '2');
INSERT INTO public.who_import VALUES (47824, '2020-04-10', 'LV', 'Latvia', 'EURO', '12', '589', '0', '2');
INSERT INTO public.who_import VALUES (47825, '2020-04-11', 'LV', 'Latvia', 'EURO', '23', '612', '0', '2');
INSERT INTO public.who_import VALUES (47826, '2020-04-12', 'LV', 'Latvia', 'EURO', '18', '630', '1', '3');
INSERT INTO public.who_import VALUES (47827, '2020-04-13', 'LV', 'Latvia', 'EURO', '21', '651', '2', '5');
INSERT INTO public.who_import VALUES (47828, '2020-04-14', 'LV', 'Latvia', 'EURO', '4', '655', '0', '5');
INSERT INTO public.who_import VALUES (47829, '2020-04-15', 'LV', 'Latvia', 'EURO', '2', '657', '0', '5');
INSERT INTO public.who_import VALUES (47833, '2020-04-19', 'LV', 'Latvia', 'EURO', '30', '712', '0', '5');
INSERT INTO public.who_import VALUES (47834, '2020-04-20', 'LV', 'Latvia', 'EURO', '15', '727', '0', '5');
INSERT INTO public.who_import VALUES (47835, '2020-04-21', 'LV', 'Latvia', 'EURO', '12', '739', '0', '5');
INSERT INTO public.who_import VALUES (47836, '2020-04-22', 'LV', 'Latvia', 'EURO', '9', '748', '4', '9');
INSERT INTO public.who_import VALUES (47837, '2020-04-23', 'LV', 'Latvia', 'EURO', '13', '761', '2', '11');
INSERT INTO public.who_import VALUES (47838, '2020-04-24', 'LV', 'Latvia', 'EURO', '17', '778', '0', '11');
INSERT INTO public.who_import VALUES (47839, '2020-04-25', 'LV', 'Latvia', 'EURO', '6', '784', '1', '12');
INSERT INTO public.who_import VALUES (47840, '2020-04-26', 'LV', 'Latvia', 'EURO', '20', '804', '0', '12');
INSERT INTO public.who_import VALUES (47841, '2020-04-27', 'LV', 'Latvia', 'EURO', '8', '812', '0', '12');
INSERT INTO public.who_import VALUES (47842, '2020-04-28', 'LV', 'Latvia', 'EURO', '6', '818', '1', '13');
INSERT INTO public.who_import VALUES (47843, '2020-04-29', 'LV', 'Latvia', 'EURO', '18', '836', '0', '13');
INSERT INTO public.who_import VALUES (47844, '2020-04-30', 'LV', 'Latvia', 'EURO', '13', '849', '2', '15');
INSERT INTO public.who_import VALUES (47845, '2020-05-01', 'LV', 'Latvia', 'EURO', '9', '858', '0', '15');
INSERT INTO public.who_import VALUES (47846, '2020-05-02', 'LV', 'Latvia', 'EURO', '12', '870', '1', '16');
INSERT INTO public.who_import VALUES (47847, '2020-05-03', 'LV', 'Latvia', 'EURO', '1', '871', '0', '16');
INSERT INTO public.who_import VALUES (47848, '2020-05-04', 'LV', 'Latvia', 'EURO', '8', '879', '0', '16');
INSERT INTO public.who_import VALUES (47849, '2020-05-05', 'LV', 'Latvia', 'EURO', '17', '896', '0', '16');
INSERT INTO public.who_import VALUES (47850, '2020-05-06', 'LV', 'Latvia', 'EURO', '0', '896', '1', '17');
INSERT INTO public.who_import VALUES (47851, '2020-05-07', 'LV', 'Latvia', 'EURO', '4', '900', '0', '17');
INSERT INTO public.who_import VALUES (47852, '2020-05-08', 'LV', 'Latvia', 'EURO', '9', '909', '1', '18');
INSERT INTO public.who_import VALUES (47853, '2020-05-09', 'LV', 'Latvia', 'EURO', '19', '928', '0', '18');
INSERT INTO public.who_import VALUES (47854, '2020-05-10', 'LV', 'Latvia', 'EURO', '2', '930', '0', '18');
INSERT INTO public.who_import VALUES (47855, '2020-05-11', 'LV', 'Latvia', 'EURO', '9', '939', '0', '18');
INSERT INTO public.who_import VALUES (47856, '2020-05-12', 'LV', 'Latvia', 'EURO', '7', '946', '0', '18');
INSERT INTO public.who_import VALUES (47857, '2020-05-13', 'LV', 'Latvia', 'EURO', '4', '950', '0', '18');
INSERT INTO public.who_import VALUES (47858, '2020-05-14', 'LV', 'Latvia', 'EURO', '1', '951', '1', '19');
INSERT INTO public.who_import VALUES (47859, '2020-05-15', 'LV', 'Latvia', 'EURO', '11', '962', '0', '19');
INSERT INTO public.who_import VALUES (47860, '2020-05-16', 'LV', 'Latvia', 'EURO', '8', '970', '0', '19');
INSERT INTO public.who_import VALUES (47861, '2020-05-17', 'LV', 'Latvia', 'EURO', '27', '997', '0', '19');
INSERT INTO public.who_import VALUES (47862, '2020-05-18', 'LV', 'Latvia', 'EURO', '11', '1008', '0', '19');
INSERT INTO public.who_import VALUES (47863, '2020-05-19', 'LV', 'Latvia', 'EURO', '1', '1009', '0', '19');
INSERT INTO public.who_import VALUES (47864, '2020-05-20', 'LV', 'Latvia', 'EURO', '3', '1012', '2', '21');
INSERT INTO public.who_import VALUES (47865, '2020-05-21', 'LV', 'Latvia', 'EURO', '4', '1016', '0', '21');
INSERT INTO public.who_import VALUES (47866, '2020-05-22', 'LV', 'Latvia', 'EURO', '9', '1025', '1', '22');
INSERT INTO public.who_import VALUES (47867, '2020-05-23', 'LV', 'Latvia', 'EURO', '5', '1030', '0', '22');
INSERT INTO public.who_import VALUES (47868, '2020-05-24', 'LV', 'Latvia', 'EURO', '16', '1046', '0', '22');
INSERT INTO public.who_import VALUES (47869, '2020-05-25', 'LV', 'Latvia', 'EURO', '1', '1047', '0', '22');
INSERT INTO public.who_import VALUES (47870, '2020-05-26', 'LV', 'Latvia', 'EURO', '2', '1049', '0', '22');
INSERT INTO public.who_import VALUES (47871, '2020-05-27', 'LV', 'Latvia', 'EURO', '4', '1053', '0', '22');
INSERT INTO public.who_import VALUES (47872, '2020-05-28', 'LV', 'Latvia', 'EURO', '4', '1057', '1', '23');
INSERT INTO public.who_import VALUES (47873, '2020-05-29', 'LV', 'Latvia', 'EURO', '4', '1061', '1', '24');
INSERT INTO public.who_import VALUES (47874, '2020-05-30', 'LV', 'Latvia', 'EURO', '3', '1064', '0', '24');
INSERT INTO public.who_import VALUES (47875, '2020-05-31', 'LV', 'Latvia', 'EURO', '1', '1065', '0', '24');
INSERT INTO public.who_import VALUES (47876, '2020-06-01', 'LV', 'Latvia', 'EURO', '1', '1066', '0', '24');
INSERT INTO public.who_import VALUES (47877, '2020-06-02', 'LV', 'Latvia', 'EURO', '5', '1071', '0', '24');
INSERT INTO public.who_import VALUES (47878, '2020-06-03', 'LV', 'Latvia', 'EURO', '8', '1079', '0', '24');
INSERT INTO public.who_import VALUES (47879, '2020-06-04', 'LV', 'Latvia', 'EURO', '0', '1079', '0', '24');
INSERT INTO public.who_import VALUES (47880, '2020-06-05', 'LV', 'Latvia', 'EURO', '3', '1082', '1', '25');
INSERT INTO public.who_import VALUES (47881, '2020-06-06', 'LV', 'Latvia', 'EURO', '0', '1082', '0', '25');
INSERT INTO public.who_import VALUES (47882, '2020-06-07', 'LV', 'Latvia', 'EURO', '4', '1086', '0', '25');
INSERT INTO public.who_import VALUES (47883, '2020-06-08', 'LV', 'Latvia', 'EURO', '2', '1088', '0', '25');
INSERT INTO public.who_import VALUES (47884, '2020-06-09', 'LV', 'Latvia', 'EURO', '0', '1088', '1', '26');
INSERT INTO public.who_import VALUES (47885, '2020-06-10', 'LV', 'Latvia', 'EURO', '1', '1089', '0', '26');
INSERT INTO public.who_import VALUES (47886, '2020-06-11', 'LV', 'Latvia', 'EURO', '3', '1092', '0', '26');
INSERT INTO public.who_import VALUES (47887, '2020-06-12', 'LV', 'Latvia', 'EURO', '2', '1094', '0', '26');
INSERT INTO public.who_import VALUES (47888, '2020-06-13', 'LV', 'Latvia', 'EURO', '2', '1096', '1', '27');
INSERT INTO public.who_import VALUES (47889, '2020-06-14', 'LV', 'Latvia', 'EURO', '1', '1097', '1', '28');
INSERT INTO public.who_import VALUES (47890, '2020-06-15', 'LV', 'Latvia', 'EURO', '0', '1097', '0', '28');
INSERT INTO public.who_import VALUES (47891, '2020-06-16', 'LV', 'Latvia', 'EURO', '0', '1097', '0', '28');
INSERT INTO public.who_import VALUES (47892, '2020-06-17', 'LV', 'Latvia', 'EURO', '1', '1098', '0', '28');
INSERT INTO public.who_import VALUES (47893, '2020-06-18', 'LV', 'Latvia', 'EURO', '6', '1104', '2', '30');
INSERT INTO public.who_import VALUES (47894, '2020-06-19', 'LV', 'Latvia', 'EURO', '4', '1108', '0', '30');
INSERT INTO public.who_import VALUES (47895, '2020-06-20', 'LV', 'Latvia', 'EURO', '2', '1110', '0', '30');
INSERT INTO public.who_import VALUES (47896, '2020-06-21', 'LV', 'Latvia', 'EURO', '1', '1111', '0', '30');
INSERT INTO public.who_import VALUES (47897, '2020-06-22', 'LV', 'Latvia', 'EURO', '0', '1111', '0', '30');
INSERT INTO public.who_import VALUES (47898, '2020-06-23', 'LV', 'Latvia', 'EURO', '0', '1111', '0', '30');
INSERT INTO public.who_import VALUES (47899, '2020-06-24', 'LV', 'Latvia', 'EURO', '0', '1111', '0', '30');
INSERT INTO public.who_import VALUES (47900, '2020-06-25', 'LV', 'Latvia', 'EURO', '0', '1111', '0', '30');
INSERT INTO public.who_import VALUES (47901, '2020-06-26', 'LV', 'Latvia', 'EURO', '0', '1111', '0', '30');
INSERT INTO public.who_import VALUES (47902, '2020-06-27', 'LV', 'Latvia', 'EURO', '1', '1112', '0', '30');
INSERT INTO public.who_import VALUES (47903, '2020-06-28', 'LV', 'Latvia', 'EURO', '3', '1115', '0', '30');
INSERT INTO public.who_import VALUES (47904, '2020-06-29', 'LV', 'Latvia', 'EURO', '1', '1116', '0', '30');
INSERT INTO public.who_import VALUES (47905, '2020-06-30', 'LV', 'Latvia', 'EURO', '1', '1117', '0', '30');
INSERT INTO public.who_import VALUES (47906, '2020-07-01', 'LV', 'Latvia', 'EURO', '1', '1118', '0', '30');
INSERT INTO public.who_import VALUES (47907, '2020-07-02', 'LV', 'Latvia', 'EURO', '3', '1121', '0', '30');
INSERT INTO public.who_import VALUES (47908, '2020-07-03', 'LV', 'Latvia', 'EURO', '1', '1122', '0', '30');
INSERT INTO public.who_import VALUES (47909, '2020-07-04', 'LV', 'Latvia', 'EURO', '0', '1122', '0', '30');
INSERT INTO public.who_import VALUES (47910, '2020-07-05', 'LV', 'Latvia', 'EURO', '1', '1123', '0', '30');
INSERT INTO public.who_import VALUES (47911, '2020-07-06', 'LV', 'Latvia', 'EURO', '1', '1124', '0', '30');
INSERT INTO public.who_import VALUES (47912, '2020-07-07', 'LV', 'Latvia', 'EURO', '3', '1127', '0', '30');
INSERT INTO public.who_import VALUES (47913, '2020-07-08', 'LV', 'Latvia', 'EURO', '7', '1134', '0', '30');
INSERT INTO public.who_import VALUES (47914, '2020-07-09', 'LV', 'Latvia', 'EURO', '7', '1141', '0', '30');
INSERT INTO public.who_import VALUES (47915, '2020-07-10', 'LV', 'Latvia', 'EURO', '13', '1154', '0', '30');
INSERT INTO public.who_import VALUES (47916, '2020-07-11', 'LV', 'Latvia', 'EURO', '0', '1154', '0', '30');
INSERT INTO public.who_import VALUES (47917, '2020-07-12', 'LV', 'Latvia', 'EURO', '19', '1173', '0', '30');
INSERT INTO public.who_import VALUES (47918, '2020-07-13', 'LV', 'Latvia', 'EURO', '0', '1173', '0', '30');
INSERT INTO public.who_import VALUES (47919, '2020-07-14', 'LV', 'Latvia', 'EURO', '1', '1174', '1', '31');
INSERT INTO public.who_import VALUES (47920, '2020-07-15', 'LV', 'Latvia', 'EURO', '4', '1178', '0', '31');
INSERT INTO public.who_import VALUES (47921, '2020-07-16', 'LV', 'Latvia', 'EURO', '0', '1178', '0', '31');
INSERT INTO public.who_import VALUES (47922, '2020-07-17', 'LV', 'Latvia', 'EURO', '1', '1179', '0', '31');
INSERT INTO public.who_import VALUES (47923, '2020-07-18', 'LV', 'Latvia', 'EURO', '6', '1185', '0', '31');
INSERT INTO public.who_import VALUES (47924, '2020-07-19', 'LV', 'Latvia', 'EURO', '4', '1189', '0', '31');
INSERT INTO public.who_import VALUES (47925, '2020-07-20', 'LV', 'Latvia', 'EURO', '3', '1192', '0', '31');
INSERT INTO public.who_import VALUES (47926, '2020-07-21', 'LV', 'Latvia', 'EURO', '0', '1192', '0', '31');
INSERT INTO public.who_import VALUES (47927, '2020-07-22', 'LV', 'Latvia', 'EURO', '1', '1193', '0', '31');
INSERT INTO public.who_import VALUES (47928, '2020-07-23', 'LV', 'Latvia', 'EURO', '4', '1197', '0', '31');
INSERT INTO public.who_import VALUES (47929, '2020-07-24', 'LV', 'Latvia', 'EURO', '6', '1203', '0', '31');
INSERT INTO public.who_import VALUES (47930, '2020-07-25', 'LV', 'Latvia', 'EURO', '2', '1205', '0', '31');
INSERT INTO public.who_import VALUES (47931, '2020-07-26', 'LV', 'Latvia', 'EURO', '1', '1206', '0', '31');
INSERT INTO public.who_import VALUES (47932, '2020-07-27', 'LV', 'Latvia', 'EURO', '13', '1219', '0', '31');
INSERT INTO public.who_import VALUES (47933, '2020-07-28', 'LV', 'Latvia', 'EURO', '1', '1220', '0', '31');
INSERT INTO public.who_import VALUES (47934, '2020-07-29', 'LV', 'Latvia', 'EURO', '0', '1220', '0', '31');
INSERT INTO public.who_import VALUES (47935, '2020-07-30', 'LV', 'Latvia', 'EURO', '4', '1224', '0', '31');
INSERT INTO public.who_import VALUES (47936, '2020-07-31', 'LV', 'Latvia', 'EURO', '4', '1228', '0', '31');
INSERT INTO public.who_import VALUES (47937, '2020-08-01', 'LV', 'Latvia', 'EURO', '3', '1231', '1', '32');
INSERT INTO public.who_import VALUES (47938, '2020-08-02', 'LV', 'Latvia', 'EURO', '7', '1238', '0', '32');
INSERT INTO public.who_import VALUES (47939, '2020-08-03', 'LV', 'Latvia', 'EURO', '5', '1243', '0', '32');
INSERT INTO public.who_import VALUES (47940, '2020-08-04', 'LV', 'Latvia', 'EURO', '3', '1246', '0', '32');
INSERT INTO public.who_import VALUES (47941, '2020-08-05', 'LV', 'Latvia', 'EURO', '3', '1249', '0', '32');
INSERT INTO public.who_import VALUES (47942, '2020-08-06', 'LV', 'Latvia', 'EURO', '8', '1257', '0', '32');
INSERT INTO public.who_import VALUES (47943, '2020-08-07', 'LV', 'Latvia', 'EURO', '18', '1275', '0', '32');
INSERT INTO public.who_import VALUES (47944, '2020-08-08', 'LV', 'Latvia', 'EURO', '6', '1281', '0', '32');
INSERT INTO public.who_import VALUES (47945, '2020-08-09', 'LV', 'Latvia', 'EURO', '7', '1288', '0', '32');
INSERT INTO public.who_import VALUES (47946, '2020-08-10', 'LV', 'Latvia', 'EURO', '2', '1290', '0', '32');
INSERT INTO public.who_import VALUES (47947, '2020-08-11', 'LV', 'Latvia', 'EURO', '3', '1293', '0', '32');
INSERT INTO public.who_import VALUES (47948, '2020-08-12', 'LV', 'Latvia', 'EURO', '10', '1303', '0', '32');
INSERT INTO public.who_import VALUES (47949, '2020-08-13', 'LV', 'Latvia', 'EURO', '0', '1303', '0', '32');
INSERT INTO public.who_import VALUES (47950, '2020-08-14', 'LV', 'Latvia', 'EURO', '4', '1307', '0', '32');
INSERT INTO public.who_import VALUES (47951, '2020-08-15', 'LV', 'Latvia', 'EURO', '1', '1308', '0', '32');
INSERT INTO public.who_import VALUES (47952, '2020-08-16', 'LV', 'Latvia', 'EURO', '7', '1315', '0', '32');
INSERT INTO public.who_import VALUES (47953, '2020-08-17', 'LV', 'Latvia', 'EURO', '7', '1322', '0', '32');
INSERT INTO public.who_import VALUES (47954, '2020-08-18', 'LV', 'Latvia', 'EURO', '1', '1323', '0', '32');
INSERT INTO public.who_import VALUES (47955, '2020-08-19', 'LV', 'Latvia', 'EURO', '0', '1323', '1', '33');
INSERT INTO public.who_import VALUES (47956, '2020-08-20', 'LV', 'Latvia', 'EURO', '3', '1326', '0', '33');
INSERT INTO public.who_import VALUES (47957, '2020-08-21', 'LV', 'Latvia', 'EURO', '1', '1327', '0', '33');
INSERT INTO public.who_import VALUES (47958, '2020-08-22', 'LV', 'Latvia', 'EURO', '3', '1330', '0', '33');
INSERT INTO public.who_import VALUES (47959, '2020-08-23', 'LV', 'Latvia', 'EURO', '3', '1333', '0', '33');
INSERT INTO public.who_import VALUES (47960, '2020-08-24', 'LV', 'Latvia', 'EURO', '4', '1337', '0', '33');
INSERT INTO public.who_import VALUES (47961, '2020-08-25', 'LV', 'Latvia', 'EURO', '0', '1337', '0', '33');
INSERT INTO public.who_import VALUES (47962, '2020-08-26', 'LV', 'Latvia', 'EURO', '5', '1342', '0', '33');
INSERT INTO public.who_import VALUES (47963, '2020-08-27', 'LV', 'Latvia', 'EURO', '18', '1360', '0', '33');
INSERT INTO public.who_import VALUES (47964, '2020-08-28', 'LV', 'Latvia', 'EURO', '6', '1366', '1', '34');
INSERT INTO public.who_import VALUES (47965, '2020-08-29', 'LV', 'Latvia', 'EURO', '9', '1375', '0', '34');
INSERT INTO public.who_import VALUES (47966, '2020-08-30', 'LV', 'Latvia', 'EURO', '0', '1375', '0', '34');
INSERT INTO public.who_import VALUES (47967, '2020-08-31', 'LV', 'Latvia', 'EURO', '18', '1393', '0', '34');
INSERT INTO public.who_import VALUES (47968, '2020-09-01', 'LV', 'Latvia', 'EURO', '3', '1396', '0', '34');
INSERT INTO public.who_import VALUES (47969, '2020-09-02', 'LV', 'Latvia', 'EURO', '8', '1404', '0', '34');
INSERT INTO public.who_import VALUES (47970, '2020-09-03', 'LV', 'Latvia', 'EURO', '2', '1406', '0', '34');
INSERT INTO public.who_import VALUES (47971, '2020-09-04', 'LV', 'Latvia', 'EURO', '4', '1410', '0', '34');
INSERT INTO public.who_import VALUES (47972, '2020-09-05', 'LV', 'Latvia', 'EURO', '6', '1416', '1', '35');
INSERT INTO public.who_import VALUES (47973, '2020-09-06', 'LV', 'Latvia', 'EURO', '9', '1425', '0', '35');
INSERT INTO public.who_import VALUES (47974, '2020-09-07', 'LV', 'Latvia', 'EURO', '3', '1428', '0', '35');
INSERT INTO public.who_import VALUES (47975, '2020-09-08', 'LV', 'Latvia', 'EURO', '1', '1429', '0', '35');
INSERT INTO public.who_import VALUES (47976, '2020-09-09', 'LV', 'Latvia', 'EURO', '3', '1432', '0', '35');
INSERT INTO public.who_import VALUES (47977, '2020-09-10', 'LV', 'Latvia', 'EURO', '11', '1443', '0', '35');
INSERT INTO public.who_import VALUES (47978, '2020-09-11', 'LV', 'Latvia', 'EURO', '5', '1448', '0', '35');
INSERT INTO public.who_import VALUES (47979, '2020-09-12', 'LV', 'Latvia', 'EURO', '11', '1459', '0', '35');
INSERT INTO public.who_import VALUES (47980, '2020-09-13', 'LV', 'Latvia', 'EURO', '5', '1464', '0', '35');
INSERT INTO public.who_import VALUES (47981, '2020-09-14', 'LV', 'Latvia', 'EURO', '10', '1474', '0', '35');
INSERT INTO public.who_import VALUES (47982, '2020-09-15', 'LV', 'Latvia', 'EURO', '3', '1477', '0', '35');
INSERT INTO public.who_import VALUES (47983, '2020-09-16', 'LV', 'Latvia', 'EURO', '5', '1482', '0', '35');
INSERT INTO public.who_import VALUES (47984, '2020-09-17', 'LV', 'Latvia', 'EURO', '4', '1486', '0', '35');
INSERT INTO public.who_import VALUES (47985, '2020-09-18', 'LV', 'Latvia', 'EURO', '8', '1494', '1', '36');
INSERT INTO public.who_import VALUES (47986, '2020-09-19', 'LV', 'Latvia', 'EURO', '4', '1498', '0', '36');
INSERT INTO public.who_import VALUES (47987, '2020-09-20', 'LV', 'Latvia', 'EURO', '17', '1515', '0', '36');
INSERT INTO public.who_import VALUES (47988, '2020-09-21', 'LV', 'Latvia', 'EURO', '10', '1525', '0', '36');
INSERT INTO public.who_import VALUES (47989, '2020-09-22', 'LV', 'Latvia', 'EURO', '1', '1526', '0', '36');
INSERT INTO public.who_import VALUES (47990, '2020-09-23', 'LV', 'Latvia', 'EURO', '34', '1560', '0', '36');
INSERT INTO public.who_import VALUES (47991, '2020-09-24', 'LV', 'Latvia', 'EURO', '12', '1572', '0', '36');
INSERT INTO public.who_import VALUES (47992, '2020-09-25', 'LV', 'Latvia', 'EURO', '22', '1594', '0', '36');
INSERT INTO public.who_import VALUES (47993, '2020-09-26', 'LV', 'Latvia', 'EURO', '31', '1625', '0', '36');
INSERT INTO public.who_import VALUES (47994, '2020-09-27', 'LV', 'Latvia', 'EURO', '29', '1654', '0', '36');
INSERT INTO public.who_import VALUES (47995, '2020-09-28', 'LV', 'Latvia', 'EURO', '22', '1676', '0', '36');
INSERT INTO public.who_import VALUES (47996, '2020-09-29', 'LV', 'Latvia', 'EURO', '21', '1697', '0', '36');
INSERT INTO public.who_import VALUES (47997, '2020-09-30', 'LV', 'Latvia', 'EURO', '32', '1729', '1', '37');
INSERT INTO public.who_import VALUES (47998, '2020-10-01', 'LV', 'Latvia', 'EURO', '95', '1824', '0', '37');
INSERT INTO public.who_import VALUES (47999, '2020-10-02', 'LV', 'Latvia', 'EURO', '44', '1868', '0', '37');
INSERT INTO public.who_import VALUES (48000, '2020-10-03', 'LV', 'Latvia', 'EURO', '77', '1945', '1', '38');
INSERT INTO public.who_import VALUES (48001, '2020-10-04', 'LV', 'Latvia', 'EURO', '74', '2019', '0', '38');
INSERT INTO public.who_import VALUES (48002, '2020-10-05', 'LV', 'Latvia', 'EURO', '67', '2086', '0', '38');
INSERT INTO public.who_import VALUES (48003, '2020-10-06', 'LV', 'Latvia', 'EURO', '40', '2126', '1', '39');
INSERT INTO public.who_import VALUES (48004, '2020-10-07', 'LV', 'Latvia', 'EURO', '68', '2194', '0', '39');
INSERT INTO public.who_import VALUES (48005, '2020-10-08', 'LV', 'Latvia', 'EURO', '67', '2261', '1', '40');
INSERT INTO public.who_import VALUES (48006, '2020-10-09', 'LV', 'Latvia', 'EURO', '109', '2370', '0', '40');
INSERT INTO public.who_import VALUES (48007, '2020-10-10', 'LV', 'Latvia', 'EURO', '137', '2507', '0', '40');
INSERT INTO public.who_import VALUES (48008, '2020-10-11', 'LV', 'Latvia', 'EURO', '89', '2596', '0', '40');
INSERT INTO public.who_import VALUES (48009, '2020-10-12', 'LV', 'Latvia', 'EURO', '74', '2670', '0', '40');
INSERT INTO public.who_import VALUES (48010, '2020-10-13', 'LV', 'Latvia', 'EURO', '95', '2765', '0', '40');
INSERT INTO public.who_import VALUES (48011, '2020-10-14', 'LV', 'Latvia', 'EURO', '75', '2840', '1', '41');
INSERT INTO public.who_import VALUES (48012, '2020-10-15', 'LV', 'Latvia', 'EURO', '102', '2942', '0', '41');
INSERT INTO public.who_import VALUES (48013, '2020-10-16', 'LV', 'Latvia', 'EURO', '114', '3056', '0', '41');
INSERT INTO public.who_import VALUES (48014, '2020-10-17', 'LV', 'Latvia', 'EURO', '148', '3204', '1', '42');
INSERT INTO public.who_import VALUES (48015, '2020-10-18', 'LV', 'Latvia', 'EURO', '188', '3392', '0', '42');
INSERT INTO public.who_import VALUES (48016, '2020-10-19', 'LV', 'Latvia', 'EURO', '58', '3450', '0', '42');
INSERT INTO public.who_import VALUES (48017, '2020-10-20', 'LV', 'Latvia', 'EURO', '44', '3494', '0', '42');
INSERT INTO public.who_import VALUES (48018, '2020-10-21', 'LV', 'Latvia', 'EURO', '115', '3609', '4', '46');
INSERT INTO public.who_import VALUES (48019, '2020-10-22', 'LV', 'Latvia', 'EURO', '188', '3797', '2', '48');
INSERT INTO public.who_import VALUES (48020, '2020-10-23', 'LV', 'Latvia', 'EURO', '161', '3958', '1', '49');
INSERT INTO public.who_import VALUES (48021, '2020-10-24', 'LV', 'Latvia', 'EURO', '250', '4208', '1', '50');
INSERT INTO public.who_import VALUES (48022, '2020-10-25', 'LV', 'Latvia', 'EURO', '259', '4467', '4', '54');
INSERT INTO public.who_import VALUES (48023, '2020-10-26', 'LV', 'Latvia', 'EURO', '211', '4678', '2', '56');
INSERT INTO public.who_import VALUES (48024, '2020-10-27', 'LV', 'Latvia', 'EURO', '79', '4757', '4', '60');
INSERT INTO public.who_import VALUES (48025, '2020-10-28', 'LV', 'Latvia', 'EURO', '136', '4893', '3', '63');
INSERT INTO public.who_import VALUES (48026, '2020-10-29', 'LV', 'Latvia', 'EURO', '251', '5144', '0', '63');
INSERT INTO public.who_import VALUES (48027, '2020-10-30', 'LV', 'Latvia', 'EURO', '251', '5395', '1', '64');
INSERT INTO public.who_import VALUES (48028, '2020-10-31', 'LV', 'Latvia', 'EURO', '284', '5679', '5', '69');
INSERT INTO public.who_import VALUES (48029, '2020-11-01', 'LV', 'Latvia', 'EURO', '215', '5894', '2', '71');
INSERT INTO public.who_import VALUES (48030, '2020-11-02', 'LV', 'Latvia', 'EURO', '242', '6136', '3', '74');
INSERT INTO public.who_import VALUES (48031, '2020-11-03', 'LV', 'Latvia', 'EURO', '132', '6268', '3', '77');
INSERT INTO public.who_import VALUES (48032, '2020-11-04', 'LV', 'Latvia', 'EURO', '171', '6439', '2', '79');
INSERT INTO public.who_import VALUES (48033, '2020-11-05', 'LV', 'Latvia', 'EURO', '313', '6752', '6', '85');
INSERT INTO public.who_import VALUES (48034, '2020-11-06', 'LV', 'Latvia', 'EURO', '367', '7119', '3', '88');
INSERT INTO public.who_import VALUES (48035, '2020-11-07', 'LV', 'Latvia', 'EURO', '357', '7476', '7', '95');
INSERT INTO public.who_import VALUES (48036, '2020-11-08', 'LV', 'Latvia', 'EURO', '404', '7880', '1', '96');
INSERT INTO public.who_import VALUES (48037, '2020-11-09', 'LV', 'Latvia', 'EURO', '215', '8095', '3', '99');
INSERT INTO public.who_import VALUES (48038, '2020-11-10', 'LV', 'Latvia', 'EURO', '92', '8187', '2', '101');
INSERT INTO public.who_import VALUES (48039, '2020-11-11', 'LV', 'Latvia', 'EURO', '208', '8395', '2', '103');
INSERT INTO public.who_import VALUES (48040, '2020-11-12', 'LV', 'Latvia', 'EURO', '453', '8848', '0', '103');
INSERT INTO public.who_import VALUES (48041, '2020-11-13', 'LV', 'Latvia', 'EURO', '533', '9381', '4', '107');
INSERT INTO public.who_import VALUES (48042, '2020-11-14', 'LV', 'Latvia', 'EURO', '455', '9836', '9', '116');
INSERT INTO public.who_import VALUES (48043, '2020-11-15', 'LV', 'Latvia', 'EURO', '395', '10231', '5', '121');
INSERT INTO public.who_import VALUES (48044, '2020-11-16', 'LV', 'Latvia', 'EURO', '316', '10547', '2', '123');
INSERT INTO public.who_import VALUES (48045, '2020-11-17', 'LV', 'Latvia', 'EURO', '89', '10636', '3', '126');
INSERT INTO public.who_import VALUES (48046, '2020-11-18', 'LV', 'Latvia', 'EURO', '278', '10914', '6', '132');
INSERT INTO public.who_import VALUES (48047, '2020-11-19', 'LV', 'Latvia', 'EURO', '442', '11356', '5', '137');
INSERT INTO public.who_import VALUES (48048, '2020-11-20', 'LV', 'Latvia', 'EURO', '366', '11722', '4', '141');
INSERT INTO public.who_import VALUES (48049, '2020-11-21', 'LV', 'Latvia', 'EURO', '380', '12102', '5', '146');
INSERT INTO public.who_import VALUES (48050, '2020-11-22', 'LV', 'Latvia', 'EURO', '642', '12744', '7', '153');
INSERT INTO public.who_import VALUES (48051, '2020-11-23', 'LV', 'Latvia', 'EURO', '376', '13120', '0', '153');
INSERT INTO public.who_import VALUES (48052, '2020-11-24', 'LV', 'Latvia', 'EURO', '116', '13236', '9', '162');
INSERT INTO public.who_import VALUES (48053, '2020-11-25', 'LV', 'Latvia', 'EURO', '457', '13693', '13', '175');
INSERT INTO public.who_import VALUES (48054, '2020-11-26', 'LV', 'Latvia', 'EURO', '580', '14273', '9', '184');
INSERT INTO public.who_import VALUES (48055, '2020-11-27', 'LV', 'Latvia', 'EURO', '898', '15171', '4', '188');
INSERT INTO public.who_import VALUES (48056, '2020-11-28', 'LV', 'Latvia', 'EURO', '637', '15808', '2', '190');
INSERT INTO public.who_import VALUES (48057, '2020-11-29', 'LV', 'Latvia', 'EURO', '753', '16561', '3', '193');
INSERT INTO public.who_import VALUES (48058, '2020-11-30', 'LV', 'Latvia', 'EURO', '414', '16975', '4', '197');
INSERT INTO public.who_import VALUES (48059, '2020-12-01', 'LV', 'Latvia', 'EURO', '100', '17075', '9', '206');
INSERT INTO public.who_import VALUES (48060, '2020-12-02', 'LV', 'Latvia', 'EURO', '612', '17687', '4', '210');
INSERT INTO public.who_import VALUES (48061, '2020-12-03', 'LV', 'Latvia', 'EURO', '690', '18377', '14', '224');
INSERT INTO public.who_import VALUES (48062, '2020-12-04', 'LV', 'Latvia', 'EURO', '930', '19307', '11', '235');
INSERT INTO public.who_import VALUES (48063, '2020-12-05', 'LV', 'Latvia', 'EURO', '686', '19993', '7', '242');
INSERT INTO public.who_import VALUES (48064, '2020-12-06', 'LV', 'Latvia', 'EURO', '794', '20787', '11', '253');
INSERT INTO public.who_import VALUES (48065, '2020-12-07', 'LV', 'Latvia', 'EURO', '526', '21313', '9', '262');
INSERT INTO public.who_import VALUES (48066, '2020-12-08', 'LV', 'Latvia', 'EURO', '207', '21520', '10', '272');
INSERT INTO public.who_import VALUES (48067, '2020-12-09', 'LV', 'Latvia', 'EURO', '584', '22104', '16', '288');
INSERT INTO public.who_import VALUES (48068, '2020-12-10', 'LV', 'Latvia', 'EURO', '712', '22816', '5', '293');
INSERT INTO public.who_import VALUES (48069, '2020-12-11', 'LV', 'Latvia', 'EURO', '890', '23706', '11', '304');
INSERT INTO public.who_import VALUES (48070, '2020-12-12', 'LV', 'Latvia', 'EURO', '680', '24386', '15', '319');
INSERT INTO public.who_import VALUES (48071, '2020-12-13', 'LV', 'Latvia', 'EURO', '660', '25046', '5', '324');
INSERT INTO public.who_import VALUES (48072, '2020-12-14', 'LV', 'Latvia', 'EURO', '629', '25675', '25', '349');
INSERT INTO public.who_import VALUES (48073, '2020-12-15', 'LV', 'Latvia', 'EURO', '210', '25885', '3', '352');
INSERT INTO public.who_import VALUES (48074, '2020-12-16', 'LV', 'Latvia', 'EURO', '587', '26472', '5', '357');
INSERT INTO public.who_import VALUES (48075, '2020-12-17', 'LV', 'Latvia', 'EURO', '1023', '27495', '25', '382');
INSERT INTO public.who_import VALUES (48076, '2020-12-18', 'LV', 'Latvia', 'EURO', '1040', '28535', '12', '394');
INSERT INTO public.who_import VALUES (48077, '2020-12-19', 'LV', 'Latvia', 'EURO', '892', '29427', '15', '409');
INSERT INTO public.who_import VALUES (48078, '2020-12-20', 'LV', 'Latvia', 'EURO', '870', '30297', '18', '427');
INSERT INTO public.who_import VALUES (48079, '2020-12-21', 'LV', 'Latvia', 'EURO', '643', '30940', '12', '439');
INSERT INTO public.who_import VALUES (48080, '2020-12-22', 'LV', 'Latvia', 'EURO', '395', '31335', '4', '443');
INSERT INTO public.who_import VALUES (48081, '2020-12-23', 'LV', 'Latvia', 'EURO', '1004', '32339', '16', '459');
INSERT INTO public.who_import VALUES (48082, '2020-12-24', 'LV', 'Latvia', 'EURO', '1145', '33484', '20', '479');
INSERT INTO public.who_import VALUES (48083, '2020-12-25', 'LV', 'Latvia', 'EURO', '1270', '34754', '7', '486');
INSERT INTO public.who_import VALUES (48084, '2020-12-26', 'LV', 'Latvia', 'EURO', '666', '35420', '16', '502');
INSERT INTO public.who_import VALUES (48085, '2020-12-27', 'LV', 'Latvia', 'EURO', '399', '35819', '13', '515');
INSERT INTO public.who_import VALUES (48086, '2020-12-28', 'LV', 'Latvia', 'EURO', '511', '36330', '44', '559');
INSERT INTO public.who_import VALUES (48087, '2020-12-29', 'LV', 'Latvia', 'EURO', '508', '36838', '19', '578');
INSERT INTO public.who_import VALUES (48088, '2020-12-30', 'LV', 'Latvia', 'EURO', '838', '37676', '25', '603');
INSERT INTO public.who_import VALUES (48089, '2020-12-31', 'LV', 'Latvia', 'EURO', '1367', '39043', '23', '626');
INSERT INTO public.who_import VALUES (48090, '2021-01-01', 'LV', 'Latvia', 'EURO', '1861', '40904', '9', '635');
INSERT INTO public.who_import VALUES (48091, '2021-01-02', 'LV', 'Latvia', 'EURO', '711', '41615', '9', '644');
INSERT INTO public.who_import VALUES (48092, '2021-01-03', 'LV', 'Latvia', 'EURO', '314', '41929', '24', '668');
INSERT INTO public.who_import VALUES (48093, '2021-01-04', 'LV', 'Latvia', 'EURO', '568', '42497', '12', '680');
INSERT INTO public.who_import VALUES (48094, '2021-01-05', 'LV', 'Latvia', 'EURO', '621', '43118', '12', '692');
INSERT INTO public.who_import VALUES (48095, '2021-01-06', 'LV', 'Latvia', 'EURO', '824', '43942', '30', '722');
INSERT INTO public.who_import VALUES (48096, '2021-01-07', 'LV', 'Latvia', 'EURO', '1229', '45171', '32', '754');
INSERT INTO public.who_import VALUES (48097, '2021-01-08', 'LV', 'Latvia', 'EURO', '1374', '46545', '36', '790');
INSERT INTO public.who_import VALUES (48098, '2021-01-09', 'LV', 'Latvia', 'EURO', '1237', '47782', '11', '801');
INSERT INTO public.who_import VALUES (48099, '2021-01-10', 'LV', 'Latvia', 'EURO', '1170', '48952', '17', '818');
INSERT INTO public.who_import VALUES (48100, '2021-01-11', 'LV', 'Latvia', 'EURO', '616', '49568', '31', '849');
INSERT INTO public.who_import VALUES (48101, '2021-01-12', 'LV', 'Latvia', 'EURO', '331', '49899', '15', '864');
INSERT INTO public.who_import VALUES (48102, '2021-01-13', 'LV', 'Latvia', 'EURO', '878', '50777', '18', '882');
INSERT INTO public.who_import VALUES (48103, '2021-01-14', 'LV', 'Latvia', 'EURO', '1255', '52032', '27', '909');
INSERT INTO public.who_import VALUES (48104, '2021-01-15', 'LV', 'Latvia', 'EURO', '950', '52982', '11', '920');
INSERT INTO public.who_import VALUES (48105, '2021-01-16', 'LV', 'Latvia', 'EURO', '1084', '54066', '0', '920');
INSERT INTO public.who_import VALUES (48106, '2021-01-17', 'LV', 'Latvia', 'EURO', '1031', '55097', '41', '961');
INSERT INTO public.who_import VALUES (48107, '2021-01-18', 'LV', 'Latvia', 'EURO', '567', '55664', '17', '978');
INSERT INTO public.who_import VALUES (48108, '2021-01-19', 'LV', 'Latvia', 'EURO', '244', '55908', '5', '983');
INSERT INTO public.who_import VALUES (48109, '2021-01-20', 'LV', 'Latvia', 'EURO', '812', '56720', '29', '1012');
INSERT INTO public.who_import VALUES (48110, '2021-01-21', 'LV', 'Latvia', 'EURO', '1088', '57808', '20', '1032');
INSERT INTO public.who_import VALUES (48111, '2021-01-22', 'LV', 'Latvia', 'EURO', '902', '58710', '25', '1057');
INSERT INTO public.who_import VALUES (48112, '2021-01-23', 'LV', 'Latvia', 'EURO', '876', '59586', '19', '1076');
INSERT INTO public.who_import VALUES (48113, '2021-01-24', 'LV', 'Latvia', 'EURO', '910', '60496', '21', '1097');
INSERT INTO public.who_import VALUES (48114, '2021-01-25', 'LV', 'Latvia', 'EURO', '512', '61008', '14', '1111');
INSERT INTO public.who_import VALUES (48115, '2021-01-26', 'LV', 'Latvia', 'EURO', '223', '61231', '3', '1114');
INSERT INTO public.who_import VALUES (48116, '2021-01-27', 'LV', 'Latvia', 'EURO', '693', '61924', '12', '1126');
INSERT INTO public.who_import VALUES (48117, '2021-01-28', 'LV', 'Latvia', 'EURO', '1103', '63027', '12', '1138');
INSERT INTO public.who_import VALUES (48118, '2021-01-29', 'LV', 'Latvia', 'EURO', '965', '63992', '10', '1148');
INSERT INTO public.who_import VALUES (48119, '2021-01-30', 'LV', 'Latvia', 'EURO', '931', '64923', '18', '1166');
INSERT INTO public.who_import VALUES (48120, '2021-01-31', 'LV', 'Latvia', 'EURO', '785', '65708', '14', '1180');
INSERT INTO public.who_import VALUES (48121, '2021-02-01', 'LV', 'Latvia', 'EURO', '533', '66241', '15', '1195');
INSERT INTO public.who_import VALUES (48122, '2021-02-02', 'LV', 'Latvia', 'EURO', '411', '66652', '7', '1202');
INSERT INTO public.who_import VALUES (48123, '2021-02-03', 'LV', 'Latvia', 'EURO', '775', '67427', '17', '1219');
INSERT INTO public.who_import VALUES (48124, '2021-02-04', 'LV', 'Latvia', 'EURO', '1231', '68658', '31', '1250');
INSERT INTO public.who_import VALUES (48125, '2021-02-05', 'LV', 'Latvia', 'EURO', '742', '69400', '31', '1281');
INSERT INTO public.who_import VALUES (48126, '2021-02-06', 'LV', 'Latvia', 'EURO', '876', '70276', '28', '1309');
INSERT INTO public.who_import VALUES (48127, '2021-02-07', 'LV', 'Latvia', 'EURO', '1044', '71320', '18', '1327');
INSERT INTO public.who_import VALUES (48128, '2021-02-08', 'LV', 'Latvia', 'EURO', '480', '71800', '12', '1339');
INSERT INTO public.who_import VALUES (48129, '2021-02-09', 'LV', 'Latvia', 'EURO', '288', '72088', '8', '1347');
INSERT INTO public.who_import VALUES (48130, '2021-02-10', 'LV', 'Latvia', 'EURO', '781', '72869', '16', '1363');
INSERT INTO public.who_import VALUES (48131, '2021-02-11', 'LV', 'Latvia', 'EURO', '990', '73859', '32', '1395');
INSERT INTO public.who_import VALUES (48132, '2021-02-12', 'LV', 'Latvia', 'EURO', '842', '74701', '21', '1416');
INSERT INTO public.who_import VALUES (48133, '2021-02-13', 'LV', 'Latvia', 'EURO', '808', '75509', '15', '1431');
INSERT INTO public.who_import VALUES (48134, '2021-02-14', 'LV', 'Latvia', 'EURO', '773', '76282', '12', '1443');
INSERT INTO public.who_import VALUES (48135, '2021-02-15', 'LV', 'Latvia', 'EURO', '424', '76706', '8', '1451');
INSERT INTO public.who_import VALUES (48136, '2021-02-16', 'LV', 'Latvia', 'EURO', '278', '76984', '17', '1468');
INSERT INTO public.who_import VALUES (48137, '2021-02-17', 'LV', 'Latvia', 'EURO', '713', '77697', '18', '1486');
INSERT INTO public.who_import VALUES (48138, '2021-02-18', 'LV', 'Latvia', 'EURO', '946', '78643', '22', '1508');
INSERT INTO public.who_import VALUES (48139, '2021-02-19', 'LV', 'Latvia', 'EURO', '708', '79351', '13', '1521');
INSERT INTO public.who_import VALUES (48140, '2021-02-20', 'LV', 'Latvia', 'EURO', '689', '80040', '12', '1533');
INSERT INTO public.who_import VALUES (48141, '2020-01-03', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48142, '2020-01-04', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48143, '2020-01-05', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48144, '2020-01-06', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48145, '2020-01-07', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48146, '2020-01-08', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48147, '2020-01-09', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48148, '2020-01-10', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48149, '2020-01-11', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48150, '2020-01-12', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48151, '2020-01-13', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48152, '2020-01-14', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48153, '2020-01-15', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48154, '2020-01-16', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48156, '2020-01-18', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48157, '2020-01-19', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48158, '2020-01-20', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48159, '2020-01-21', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48160, '2020-01-22', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48161, '2020-01-23', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48162, '2020-01-24', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48163, '2020-01-25', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48164, '2020-01-26', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48165, '2020-01-27', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48166, '2020-01-28', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48167, '2020-01-29', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48168, '2020-01-30', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48169, '2020-01-31', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48170, '2020-02-01', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48171, '2020-02-02', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48172, '2020-02-03', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48173, '2020-02-04', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48174, '2020-02-05', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48175, '2020-02-06', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48176, '2020-02-07', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48177, '2020-02-08', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48178, '2020-02-09', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48179, '2020-02-10', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48180, '2020-02-11', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48181, '2020-02-12', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48182, '2020-02-13', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48183, '2020-02-14', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48184, '2020-02-15', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48185, '2020-02-16', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48186, '2020-02-17', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48187, '2020-02-18', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48188, '2020-02-19', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48189, '2020-02-20', 'LB', 'Lebanon', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48190, '2020-02-21', 'LB', 'Lebanon', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (48191, '2020-02-22', 'LB', 'Lebanon', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (48192, '2020-02-23', 'LB', 'Lebanon', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (48193, '2020-02-24', 'LB', 'Lebanon', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (48194, '2020-02-25', 'LB', 'Lebanon', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (48195, '2020-02-26', 'LB', 'Lebanon', 'EMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (48196, '2020-02-27', 'LB', 'Lebanon', 'EMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (48197, '2020-02-28', 'LB', 'Lebanon', 'EMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (48198, '2020-02-29', 'LB', 'Lebanon', 'EMRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (48199, '2020-03-01', 'LB', 'Lebanon', 'EMRO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (48200, '2020-03-02', 'LB', 'Lebanon', 'EMRO', '3', '17', '0', '0');
INSERT INTO public.who_import VALUES (48201, '2020-03-03', 'LB', 'Lebanon', 'EMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (48202, '2020-03-04', 'LB', 'Lebanon', 'EMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (48203, '2020-03-05', 'LB', 'Lebanon', 'EMRO', '3', '20', '0', '0');
INSERT INTO public.who_import VALUES (48204, '2020-03-06', 'LB', 'Lebanon', 'EMRO', '6', '26', '0', '0');
INSERT INTO public.who_import VALUES (48205, '2020-03-07', 'LB', 'Lebanon', 'EMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (48206, '2020-03-08', 'LB', 'Lebanon', 'EMRO', '10', '36', '0', '0');
INSERT INTO public.who_import VALUES (48207, '2020-03-09', 'LB', 'Lebanon', 'EMRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (48208, '2020-03-10', 'LB', 'Lebanon', 'EMRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (48209, '2020-03-11', 'LB', 'Lebanon', 'EMRO', '29', '65', '1', '1');
INSERT INTO public.who_import VALUES (48210, '2020-03-12', 'LB', 'Lebanon', 'EMRO', '5', '70', '2', '3');
INSERT INTO public.who_import VALUES (48211, '2020-03-13', 'LB', 'Lebanon', 'EMRO', '0', '70', '0', '3');
INSERT INTO public.who_import VALUES (48212, '2020-03-14', 'LB', 'Lebanon', 'EMRO', '27', '97', '0', '3');
INSERT INTO public.who_import VALUES (48213, '2020-03-15', 'LB', 'Lebanon', 'EMRO', '6', '103', '0', '3');
INSERT INTO public.who_import VALUES (48214, '2020-03-16', 'LB', 'Lebanon', 'EMRO', '0', '103', '0', '3');
INSERT INTO public.who_import VALUES (48215, '2020-03-17', 'LB', 'Lebanon', 'EMRO', '21', '124', '0', '3');
INSERT INTO public.who_import VALUES (48216, '2020-03-18', 'LB', 'Lebanon', 'EMRO', '0', '124', '1', '4');
INSERT INTO public.who_import VALUES (48217, '2020-03-19', 'LB', 'Lebanon', 'EMRO', '29', '153', '0', '4');
INSERT INTO public.who_import VALUES (48218, '2020-03-20', 'LB', 'Lebanon', 'EMRO', '10', '163', '0', '4');
INSERT INTO public.who_import VALUES (48219, '2020-03-21', 'LB', 'Lebanon', 'EMRO', '43', '206', '0', '4');
INSERT INTO public.who_import VALUES (48220, '2020-03-22', 'LB', 'Lebanon', 'EMRO', '42', '248', '0', '4');
INSERT INTO public.who_import VALUES (48221, '2020-03-23', 'LB', 'Lebanon', 'EMRO', '19', '267', '0', '4');
INSERT INTO public.who_import VALUES (48222, '2020-03-24', 'LB', 'Lebanon', 'EMRO', '37', '304', '0', '4');
INSERT INTO public.who_import VALUES (48223, '2020-03-25', 'LB', 'Lebanon', 'EMRO', '29', '333', '0', '4');
INSERT INTO public.who_import VALUES (48224, '2020-03-26', 'LB', 'Lebanon', 'EMRO', '35', '368', '2', '6');
INSERT INTO public.who_import VALUES (48225, '2020-03-27', 'LB', 'Lebanon', 'EMRO', '23', '391', '1', '7');
INSERT INTO public.who_import VALUES (48226, '2020-03-28', 'LB', 'Lebanon', 'EMRO', '21', '412', '1', '8');
INSERT INTO public.who_import VALUES (48227, '2020-03-29', 'LB', 'Lebanon', 'EMRO', '26', '438', '2', '10');
INSERT INTO public.who_import VALUES (48228, '2020-03-30', 'LB', 'Lebanon', 'EMRO', '8', '446', '1', '11');
INSERT INTO public.who_import VALUES (48229, '2020-03-31', 'LB', 'Lebanon', 'EMRO', '17', '463', '1', '12');
INSERT INTO public.who_import VALUES (48230, '2020-04-01', 'LB', 'Lebanon', 'EMRO', '16', '479', '0', '12');
INSERT INTO public.who_import VALUES (48231, '2020-04-02', 'LB', 'Lebanon', 'EMRO', '15', '494', '4', '16');
INSERT INTO public.who_import VALUES (48232, '2020-04-03', 'LB', 'Lebanon', 'EMRO', '14', '508', '1', '17');
INSERT INTO public.who_import VALUES (48233, '2020-04-04', 'LB', 'Lebanon', 'EMRO', '12', '520', '0', '17');
INSERT INTO public.who_import VALUES (48234, '2020-04-05', 'LB', 'Lebanon', 'EMRO', '7', '527', '1', '18');
INSERT INTO public.who_import VALUES (48235, '2020-04-06', 'LB', 'Lebanon', 'EMRO', '14', '541', '1', '19');
INSERT INTO public.who_import VALUES (48236, '2020-04-07', 'LB', 'Lebanon', 'EMRO', '7', '548', '0', '19');
INSERT INTO public.who_import VALUES (48237, '2020-04-08', 'LB', 'Lebanon', 'EMRO', '27', '575', '0', '19');
INSERT INTO public.who_import VALUES (48238, '2020-04-09', 'LB', 'Lebanon', 'EMRO', '7', '582', '0', '19');
INSERT INTO public.who_import VALUES (48239, '2020-04-10', 'LB', 'Lebanon', 'EMRO', '27', '609', '1', '20');
INSERT INTO public.who_import VALUES (48240, '2020-04-11', 'LB', 'Lebanon', 'EMRO', '10', '619', '0', '20');
INSERT INTO public.who_import VALUES (48241, '2020-04-12', 'LB', 'Lebanon', 'EMRO', '11', '630', '0', '20');
INSERT INTO public.who_import VALUES (48242, '2020-04-13', 'LB', 'Lebanon', 'EMRO', '2', '632', '0', '20');
INSERT INTO public.who_import VALUES (48243, '2020-04-14', 'LB', 'Lebanon', 'EMRO', '9', '641', '1', '21');
INSERT INTO public.who_import VALUES (48244, '2020-04-15', 'LB', 'Lebanon', 'EMRO', '17', '658', '0', '21');
INSERT INTO public.who_import VALUES (48245, '2020-04-16', 'LB', 'Lebanon', 'EMRO', '5', '663', '0', '21');
INSERT INTO public.who_import VALUES (48246, '2020-04-17', 'LB', 'Lebanon', 'EMRO', '5', '668', '0', '21');
INSERT INTO public.who_import VALUES (48247, '2020-04-18', 'LB', 'Lebanon', 'EMRO', '4', '672', '0', '21');
INSERT INTO public.who_import VALUES (48248, '2020-04-19', 'LB', 'Lebanon', 'EMRO', '1', '673', '0', '21');
INSERT INTO public.who_import VALUES (48249, '2020-04-20', 'LB', 'Lebanon', 'EMRO', '4', '677', '0', '21');
INSERT INTO public.who_import VALUES (48250, '2020-04-21', 'LB', 'Lebanon', 'EMRO', '0', '677', '0', '21');
INSERT INTO public.who_import VALUES (48251, '2020-04-22', 'LB', 'Lebanon', 'EMRO', '5', '682', '1', '22');
INSERT INTO public.who_import VALUES (48252, '2020-04-23', 'LB', 'Lebanon', 'EMRO', '6', '688', '0', '22');
INSERT INTO public.who_import VALUES (48253, '2020-04-24', 'LB', 'Lebanon', 'EMRO', '8', '696', '0', '22');
INSERT INTO public.who_import VALUES (48254, '2020-04-25', 'LB', 'Lebanon', 'EMRO', '8', '704', '2', '24');
INSERT INTO public.who_import VALUES (48255, '2020-04-26', 'LB', 'Lebanon', 'EMRO', '3', '707', '0', '24');
INSERT INTO public.who_import VALUES (48256, '2020-04-27', 'LB', 'Lebanon', 'EMRO', '3', '710', '0', '24');
INSERT INTO public.who_import VALUES (48257, '2020-04-28', 'LB', 'Lebanon', 'EMRO', '7', '717', '0', '24');
INSERT INTO public.who_import VALUES (48258, '2020-04-29', 'LB', 'Lebanon', 'EMRO', '4', '721', '0', '24');
INSERT INTO public.who_import VALUES (48259, '2020-04-30', 'LB', 'Lebanon', 'EMRO', '4', '725', '0', '24');
INSERT INTO public.who_import VALUES (48260, '2020-05-01', 'LB', 'Lebanon', 'EMRO', '4', '729', '0', '24');
INSERT INTO public.who_import VALUES (48261, '2020-05-02', 'LB', 'Lebanon', 'EMRO', '4', '733', '1', '25');
INSERT INTO public.who_import VALUES (48262, '2020-05-03', 'LB', 'Lebanon', 'EMRO', '4', '737', '0', '25');
INSERT INTO public.who_import VALUES (48263, '2020-05-04', 'LB', 'Lebanon', 'EMRO', '3', '740', '0', '25');
INSERT INTO public.who_import VALUES (48264, '2020-05-05', 'LB', 'Lebanon', 'EMRO', '1', '741', '0', '25');
INSERT INTO public.who_import VALUES (48265, '2020-05-06', 'LB', 'Lebanon', 'EMRO', '9', '750', '0', '25');
INSERT INTO public.who_import VALUES (48266, '2020-05-07', 'LB', 'Lebanon', 'EMRO', '34', '784', '0', '25');
INSERT INTO public.who_import VALUES (48267, '2020-05-08', 'LB', 'Lebanon', 'EMRO', '12', '796', '1', '26');
INSERT INTO public.who_import VALUES (48268, '2020-05-09', 'LB', 'Lebanon', 'EMRO', '13', '809', '0', '26');
INSERT INTO public.who_import VALUES (48269, '2020-05-10', 'LB', 'Lebanon', 'EMRO', '36', '845', '0', '26');
INSERT INTO public.who_import VALUES (48270, '2020-05-11', 'LB', 'Lebanon', 'EMRO', '14', '859', '0', '26');
INSERT INTO public.who_import VALUES (48271, '2020-05-12', 'LB', 'Lebanon', 'EMRO', '11', '870', '0', '26');
INSERT INTO public.who_import VALUES (48272, '2020-05-13', 'LB', 'Lebanon', 'EMRO', '8', '878', '0', '26');
INSERT INTO public.who_import VALUES (48273, '2020-05-14', 'LB', 'Lebanon', 'EMRO', '8', '886', '0', '26');
INSERT INTO public.who_import VALUES (48274, '2020-05-15', 'LB', 'Lebanon', 'EMRO', '5', '891', '0', '26');
INSERT INTO public.who_import VALUES (48275, '2020-05-16', 'LB', 'Lebanon', 'EMRO', '11', '902', '0', '26');
INSERT INTO public.who_import VALUES (48276, '2020-05-17', 'LB', 'Lebanon', 'EMRO', '9', '911', '0', '26');
INSERT INTO public.who_import VALUES (48277, '2020-05-18', 'LB', 'Lebanon', 'EMRO', '20', '931', '0', '26');
INSERT INTO public.who_import VALUES (48278, '2020-05-19', 'LB', 'Lebanon', 'EMRO', '23', '954', '0', '26');
INSERT INTO public.who_import VALUES (48279, '2020-05-20', 'LB', 'Lebanon', 'EMRO', '7', '961', '0', '26');
INSERT INTO public.who_import VALUES (48280, '2020-05-21', 'LB', 'Lebanon', 'EMRO', '63', '1024', '0', '26');
INSERT INTO public.who_import VALUES (48281, '2020-05-22', 'LB', 'Lebanon', 'EMRO', '0', '1024', '0', '26');
INSERT INTO public.who_import VALUES (48282, '2020-05-23', 'LB', 'Lebanon', 'EMRO', '62', '1086', '0', '26');
INSERT INTO public.who_import VALUES (48283, '2020-05-24', 'LB', 'Lebanon', 'EMRO', '11', '1097', '0', '26');
INSERT INTO public.who_import VALUES (48284, '2020-05-25', 'LB', 'Lebanon', 'EMRO', '17', '1114', '0', '26');
INSERT INTO public.who_import VALUES (48285, '2020-05-26', 'LB', 'Lebanon', 'EMRO', '5', '1119', '0', '26');
INSERT INTO public.who_import VALUES (48286, '2020-05-27', 'LB', 'Lebanon', 'EMRO', '21', '1140', '0', '26');
INSERT INTO public.who_import VALUES (48287, '2020-05-28', 'LB', 'Lebanon', 'EMRO', '21', '1161', '0', '26');
INSERT INTO public.who_import VALUES (48288, '2020-05-29', 'LB', 'Lebanon', 'EMRO', '7', '1168', '0', '26');
INSERT INTO public.who_import VALUES (48289, '2020-05-30', 'LB', 'Lebanon', 'EMRO', '4', '1172', '0', '26');
INSERT INTO public.who_import VALUES (48290, '2020-05-31', 'LB', 'Lebanon', 'EMRO', '19', '1191', '0', '26');
INSERT INTO public.who_import VALUES (48291, '2020-06-01', 'LB', 'Lebanon', 'EMRO', '29', '1220', '1', '27');
INSERT INTO public.who_import VALUES (48292, '2020-06-02', 'LB', 'Lebanon', 'EMRO', '13', '1233', '0', '27');
INSERT INTO public.who_import VALUES (48293, '2020-06-03', 'LB', 'Lebanon', 'EMRO', '9', '1242', '0', '27');
INSERT INTO public.who_import VALUES (48294, '2020-06-04', 'LB', 'Lebanon', 'EMRO', '14', '1256', '0', '27');
INSERT INTO public.who_import VALUES (48295, '2020-06-05', 'LB', 'Lebanon', 'EMRO', '50', '1306', '1', '28');
INSERT INTO public.who_import VALUES (48296, '2020-06-06', 'LB', 'Lebanon', 'EMRO', '6', '1312', '0', '28');
INSERT INTO public.who_import VALUES (48297, '2020-06-07', 'LB', 'Lebanon', 'EMRO', '8', '1320', '1', '29');
INSERT INTO public.who_import VALUES (48298, '2020-06-08', 'LB', 'Lebanon', 'EMRO', '11', '1331', '1', '30');
INSERT INTO public.who_import VALUES (48299, '2020-06-09', 'LB', 'Lebanon', 'EMRO', '19', '1350', '0', '30');
INSERT INTO public.who_import VALUES (48300, '2020-06-10', 'LB', 'Lebanon', 'EMRO', '18', '1368', '0', '30');
INSERT INTO public.who_import VALUES (48301, '2020-06-11', 'LB', 'Lebanon', 'EMRO', '20', '1388', '0', '30');
INSERT INTO public.who_import VALUES (48302, '2020-06-12', 'LB', 'Lebanon', 'EMRO', '14', '1402', '1', '31');
INSERT INTO public.who_import VALUES (48303, '2020-06-13', 'LB', 'Lebanon', 'EMRO', '20', '1422', '0', '31');
INSERT INTO public.who_import VALUES (48304, '2020-06-14', 'LB', 'Lebanon', 'EMRO', '20', '1442', '1', '32');
INSERT INTO public.who_import VALUES (48305, '2020-06-15', 'LB', 'Lebanon', 'EMRO', '4', '1446', '0', '32');
INSERT INTO public.who_import VALUES (48306, '2020-06-16', 'LB', 'Lebanon', 'EMRO', '18', '1464', '0', '32');
INSERT INTO public.who_import VALUES (48307, '2020-06-17', 'LB', 'Lebanon', 'EMRO', '9', '1473', '0', '32');
INSERT INTO public.who_import VALUES (48308, '2020-06-18', 'LB', 'Lebanon', 'EMRO', '16', '1489', '0', '32');
INSERT INTO public.who_import VALUES (48309, '2020-06-19', 'LB', 'Lebanon', 'EMRO', '6', '1495', '0', '32');
INSERT INTO public.who_import VALUES (48310, '2020-06-20', 'LB', 'Lebanon', 'EMRO', '15', '1510', '0', '32');
INSERT INTO public.who_import VALUES (48311, '2020-06-21', 'LB', 'Lebanon', 'EMRO', '26', '1536', '0', '32');
INSERT INTO public.who_import VALUES (48312, '2020-06-22', 'LB', 'Lebanon', 'EMRO', '51', '1587', '0', '32');
INSERT INTO public.who_import VALUES (48313, '2020-06-23', 'LB', 'Lebanon', 'EMRO', '16', '1603', '0', '32');
INSERT INTO public.who_import VALUES (48314, '2020-06-24', 'LB', 'Lebanon', 'EMRO', '19', '1622', '0', '32');
INSERT INTO public.who_import VALUES (48315, '2020-06-25', 'LB', 'Lebanon', 'EMRO', '22', '1644', '1', '33');
INSERT INTO public.who_import VALUES (48316, '2020-06-26', 'LB', 'Lebanon', 'EMRO', '18', '1662', '0', '33');
INSERT INTO public.who_import VALUES (48317, '2020-06-27', 'LB', 'Lebanon', 'EMRO', '35', '1697', '0', '33');
INSERT INTO public.who_import VALUES (48318, '2020-06-28', 'LB', 'Lebanon', 'EMRO', '22', '1719', '0', '33');
INSERT INTO public.who_import VALUES (48319, '2020-06-29', 'LB', 'Lebanon', 'EMRO', '21', '1740', '0', '33');
INSERT INTO public.who_import VALUES (48320, '2020-06-30', 'LB', 'Lebanon', 'EMRO', '5', '1745', '1', '34');
INSERT INTO public.who_import VALUES (48321, '2020-07-01', 'LB', 'Lebanon', 'EMRO', '33', '1778', '0', '34');
INSERT INTO public.who_import VALUES (48322, '2020-07-02', 'LB', 'Lebanon', 'EMRO', '10', '1788', '0', '34');
INSERT INTO public.who_import VALUES (48323, '2020-07-03', 'LB', 'Lebanon', 'EMRO', '8', '1796', '1', '35');
INSERT INTO public.who_import VALUES (48324, '2020-07-04', 'LB', 'Lebanon', 'EMRO', '34', '1830', '0', '35');
INSERT INTO public.who_import VALUES (48325, '2020-07-05', 'LB', 'Lebanon', 'EMRO', '25', '1855', '0', '35');
INSERT INTO public.who_import VALUES (48326, '2020-07-06', 'LB', 'Lebanon', 'EMRO', '18', '1873', '1', '36');
INSERT INTO public.who_import VALUES (48327, '2020-07-07', 'LB', 'Lebanon', 'EMRO', '12', '1885', '0', '36');
INSERT INTO public.who_import VALUES (48328, '2020-07-08', 'LB', 'Lebanon', 'EMRO', '22', '1907', '0', '36');
INSERT INTO public.who_import VALUES (48329, '2020-07-09', 'LB', 'Lebanon', 'EMRO', '38', '1945', '0', '36');
INSERT INTO public.who_import VALUES (48330, '2020-07-10', 'LB', 'Lebanon', 'EMRO', '66', '2011', '0', '36');
INSERT INTO public.who_import VALUES (48331, '2020-07-11', 'LB', 'Lebanon', 'EMRO', '71', '2082', '0', '36');
INSERT INTO public.who_import VALUES (48332, '2020-07-12', 'LB', 'Lebanon', 'EMRO', '86', '2168', '0', '36');
INSERT INTO public.who_import VALUES (48333, '2020-07-13', 'LB', 'Lebanon', 'EMRO', '166', '2334', '0', '36');
INSERT INTO public.who_import VALUES (48334, '2020-07-14', 'LB', 'Lebanon', 'EMRO', '85', '2419', '0', '36');
INSERT INTO public.who_import VALUES (48335, '2020-07-15', 'LB', 'Lebanon', 'EMRO', '32', '2451', '1', '37');
INSERT INTO public.who_import VALUES (48336, '2020-07-16', 'LB', 'Lebanon', 'EMRO', '91', '2542', '1', '38');
INSERT INTO public.who_import VALUES (48337, '2020-07-17', 'LB', 'Lebanon', 'EMRO', '57', '2599', '2', '40');
INSERT INTO public.who_import VALUES (48338, '2020-07-18', 'LB', 'Lebanon', 'EMRO', '101', '2700', '0', '40');
INSERT INTO public.who_import VALUES (48339, '2020-07-19', 'LB', 'Lebanon', 'EMRO', '75', '2775', '0', '40');
INSERT INTO public.who_import VALUES (48340, '2020-07-20', 'LB', 'Lebanon', 'EMRO', '84', '2859', '0', '40');
INSERT INTO public.who_import VALUES (48341, '2020-07-21', 'LB', 'Lebanon', 'EMRO', '46', '2905', '1', '41');
INSERT INTO public.who_import VALUES (48342, '2020-07-22', 'LB', 'Lebanon', 'EMRO', '75', '2980', '0', '41');
INSERT INTO public.who_import VALUES (48343, '2020-07-23', 'LB', 'Lebanon', 'EMRO', '124', '3104', '2', '43');
INSERT INTO public.who_import VALUES (48344, '2020-07-24', 'LB', 'Lebanon', 'EMRO', '156', '3260', '0', '43');
INSERT INTO public.who_import VALUES (48345, '2020-07-25', 'LB', 'Lebanon', 'EMRO', '147', '3407', '3', '46');
INSERT INTO public.who_import VALUES (48346, '2020-07-26', 'LB', 'Lebanon', 'EMRO', '175', '3582', '1', '47');
INSERT INTO public.who_import VALUES (48347, '2020-07-27', 'LB', 'Lebanon', 'EMRO', '168', '3750', '4', '51');
INSERT INTO public.who_import VALUES (48348, '2020-07-28', 'LB', 'Lebanon', 'EMRO', '132', '3882', '0', '51');
INSERT INTO public.who_import VALUES (48349, '2020-07-29', 'LB', 'Lebanon', 'EMRO', '141', '4023', '3', '54');
INSERT INTO public.who_import VALUES (48350, '2020-07-30', 'LB', 'Lebanon', 'EMRO', '182', '4205', '1', '55');
INSERT INTO public.who_import VALUES (48351, '2020-07-31', 'LB', 'Lebanon', 'EMRO', '129', '4334', '2', '57');
INSERT INTO public.who_import VALUES (48352, '2020-08-01', 'LB', 'Lebanon', 'EMRO', '221', '4555', '2', '59');
INSERT INTO public.who_import VALUES (48353, '2020-08-02', 'LB', 'Lebanon', 'EMRO', '175', '4730', '2', '61');
INSERT INTO public.who_import VALUES (48354, '2020-08-03', 'LB', 'Lebanon', 'EMRO', '155', '4885', '1', '62');
INSERT INTO public.who_import VALUES (48355, '2020-08-04', 'LB', 'Lebanon', 'EMRO', '177', '5062', '3', '65');
INSERT INTO public.who_import VALUES (48356, '2020-08-05', 'LB', 'Lebanon', 'EMRO', '209', '5271', '1', '66');
INSERT INTO public.who_import VALUES (48357, '2020-08-06', 'LB', 'Lebanon', 'EMRO', '146', '5417', '2', '68');
INSERT INTO public.who_import VALUES (48358, '2020-08-07', 'LB', 'Lebanon', 'EMRO', '255', '5672', '2', '70');
INSERT INTO public.who_import VALUES (48359, '2020-08-08', 'LB', 'Lebanon', 'EMRO', '279', '5951', '0', '70');
INSERT INTO public.who_import VALUES (48360, '2020-08-09', 'LB', 'Lebanon', 'EMRO', '272', '6223', '4', '74');
INSERT INTO public.who_import VALUES (48361, '2020-08-10', 'LB', 'Lebanon', 'EMRO', '294', '6517', '2', '76');
INSERT INTO public.who_import VALUES (48362, '2020-08-11', 'LB', 'Lebanon', 'EMRO', '295', '6812', '4', '80');
INSERT INTO public.who_import VALUES (48363, '2020-08-12', 'LB', 'Lebanon', 'EMRO', '309', '7121', '7', '87');
INSERT INTO public.who_import VALUES (48364, '2020-08-13', 'LB', 'Lebanon', 'EMRO', '292', '7413', '2', '89');
INSERT INTO public.who_import VALUES (48365, '2020-08-14', 'LB', 'Lebanon', 'EMRO', '298', '7711', '3', '92');
INSERT INTO public.who_import VALUES (48366, '2020-08-15', 'LB', 'Lebanon', 'EMRO', '334', '8045', '2', '94');
INSERT INTO public.who_import VALUES (48367, '2020-08-16', 'LB', 'Lebanon', 'EMRO', '397', '8442', '3', '97');
INSERT INTO public.who_import VALUES (48368, '2020-08-17', 'LB', 'Lebanon', 'EMRO', '439', '8881', '6', '103');
INSERT INTO public.who_import VALUES (48369, '2020-08-18', 'LB', 'Lebanon', 'EMRO', '456', '9337', '2', '105');
INSERT INTO public.who_import VALUES (48370, '2020-08-19', 'LB', 'Lebanon', 'EMRO', '421', '9758', '2', '107');
INSERT INTO public.who_import VALUES (48371, '2020-08-20', 'LB', 'Lebanon', 'EMRO', '589', '10347', '2', '109');
INSERT INTO public.who_import VALUES (48372, '2020-08-21', 'LB', 'Lebanon', 'EMRO', '605', '10952', '4', '113');
INSERT INTO public.who_import VALUES (48373, '2020-08-22', 'LB', 'Lebanon', 'EMRO', '628', '11580', '3', '116');
INSERT INTO public.who_import VALUES (48374, '2020-08-23', 'LB', 'Lebanon', 'EMRO', '611', '12191', '5', '121');
INSERT INTO public.who_import VALUES (48375, '2020-08-24', 'LB', 'Lebanon', 'EMRO', '507', '12698', '2', '123');
INSERT INTO public.who_import VALUES (48376, '2020-08-25', 'LB', 'Lebanon', 'EMRO', '457', '13155', '3', '126');
INSERT INTO public.who_import VALUES (48377, '2020-08-26', 'LB', 'Lebanon', 'EMRO', '532', '13687', '12', '138');
INSERT INTO public.who_import VALUES (48378, '2020-08-27', 'LB', 'Lebanon', 'EMRO', '561', '14248', '1', '139');
INSERT INTO public.who_import VALUES (48379, '2020-08-28', 'LB', 'Lebanon', 'EMRO', '689', '14937', '7', '146');
INSERT INTO public.who_import VALUES (48380, '2020-08-29', 'LB', 'Lebanon', 'EMRO', '676', '15613', '2', '148');
INSERT INTO public.who_import VALUES (48381, '2020-08-30', 'LB', 'Lebanon', 'EMRO', '662', '16275', '7', '155');
INSERT INTO public.who_import VALUES (48382, '2020-08-31', 'LB', 'Lebanon', 'EMRO', '595', '16870', '5', '160');
INSERT INTO public.who_import VALUES (48383, '2020-09-01', 'LB', 'Lebanon', 'EMRO', '438', '17308', '7', '167');
INSERT INTO public.who_import VALUES (48384, '2020-09-02', 'LB', 'Lebanon', 'EMRO', '459', '17767', '4', '171');
INSERT INTO public.who_import VALUES (48385, '2020-09-03', 'LB', 'Lebanon', 'EMRO', '598', '18365', '6', '177');
INSERT INTO public.who_import VALUES (48386, '2020-09-04', 'LB', 'Lebanon', 'EMRO', '588', '18953', '2', '179');
INSERT INTO public.who_import VALUES (48387, '2020-09-05', 'LB', 'Lebanon', 'EMRO', '527', '19480', '4', '183');
INSERT INTO public.who_import VALUES (48388, '2020-09-06', 'LB', 'Lebanon', 'EMRO', '531', '20011', '4', '187');
INSERT INTO public.who_import VALUES (48389, '2020-09-07', 'LB', 'Lebanon', 'EMRO', '415', '20426', '4', '191');
INSERT INTO public.who_import VALUES (48390, '2020-09-08', 'LB', 'Lebanon', 'EMRO', '400', '20826', '9', '200');
INSERT INTO public.who_import VALUES (48391, '2020-09-09', 'LB', 'Lebanon', 'EMRO', '498', '21324', '7', '207');
INSERT INTO public.who_import VALUES (48392, '2020-09-10', 'LB', 'Lebanon', 'EMRO', '553', '21877', '5', '212');
INSERT INTO public.who_import VALUES (48393, '2020-09-11', 'LB', 'Lebanon', 'EMRO', '560', '22437', '7', '219');
INSERT INTO public.who_import VALUES (48394, '2020-09-12', 'LB', 'Lebanon', 'EMRO', '546', '22983', '10', '229');
INSERT INTO public.who_import VALUES (48395, '2020-09-13', 'LB', 'Lebanon', 'EMRO', '686', '23669', '10', '239');
INSERT INTO public.who_import VALUES (48396, '2020-09-14', 'LB', 'Lebanon', 'EMRO', '641', '24310', '2', '241');
INSERT INTO public.who_import VALUES (48397, '2020-09-15', 'LB', 'Lebanon', 'EMRO', '547', '24857', '5', '246');
INSERT INTO public.who_import VALUES (48398, '2020-09-16', 'LB', 'Lebanon', 'EMRO', '592', '25449', '6', '252');
INSERT INTO public.who_import VALUES (48399, '2020-09-17', 'LB', 'Lebanon', 'EMRO', '634', '26083', '7', '259');
INSERT INTO public.who_import VALUES (48400, '2020-09-18', 'LB', 'Lebanon', 'EMRO', '685', '26768', '4', '263');
INSERT INTO public.who_import VALUES (48401, '2020-09-19', 'LB', 'Lebanon', 'EMRO', '750', '27518', '18', '281');
INSERT INTO public.who_import VALUES (48402, '2020-09-20', 'LB', 'Lebanon', 'EMRO', '779', '28297', '5', '286');
INSERT INTO public.who_import VALUES (48403, '2020-09-21', 'LB', 'Lebanon', 'EMRO', '1006', '29303', '11', '297');
INSERT INTO public.who_import VALUES (48404, '2020-09-22', 'LB', 'Lebanon', 'EMRO', '684', '29987', '10', '307');
INSERT INTO public.who_import VALUES (48405, '2020-09-23', 'LB', 'Lebanon', 'EMRO', '851', '30838', '8', '315');
INSERT INTO public.who_import VALUES (48406, '2020-09-24', 'LB', 'Lebanon', 'EMRO', '940', '31778', '13', '328');
INSERT INTO public.who_import VALUES (48407, '2020-09-25', 'LB', 'Lebanon', 'EMRO', '1027', '32805', '1', '329');
INSERT INTO public.who_import VALUES (48408, '2020-09-26', 'LB', 'Lebanon', 'EMRO', '1143', '33948', '4', '333');
INSERT INTO public.who_import VALUES (48409, '2020-09-27', 'LB', 'Lebanon', 'EMRO', '1280', '35228', '7', '340');
INSERT INTO public.who_import VALUES (48410, '2020-09-28', 'LB', 'Lebanon', 'EMRO', '1012', '36240', '7', '347');
INSERT INTO public.who_import VALUES (48411, '2020-09-29', 'LB', 'Lebanon', 'EMRO', '1018', '37258', '4', '351');
INSERT INTO public.who_import VALUES (48412, '2020-09-30', 'LB', 'Lebanon', 'EMRO', '1105', '38363', '10', '361');
INSERT INTO public.who_import VALUES (48413, '2020-10-01', 'LB', 'Lebanon', 'EMRO', '1257', '39620', '6', '367');
INSERT INTO public.who_import VALUES (48414, '2020-10-02', 'LB', 'Lebanon', 'EMRO', '1248', '40868', '7', '374');
INSERT INTO public.who_import VALUES (48415, '2020-10-03', 'LB', 'Lebanon', 'EMRO', '1291', '42159', '12', '386');
INSERT INTO public.who_import VALUES (48416, '2020-10-04', 'LB', 'Lebanon', 'EMRO', '1321', '43480', '12', '398');
INSERT INTO public.who_import VALUES (48417, '2020-10-05', 'LB', 'Lebanon', 'EMRO', '1002', '44482', '8', '406');
INSERT INTO public.who_import VALUES (48418, '2020-10-06', 'LB', 'Lebanon', 'EMRO', '1175', '45657', '8', '414');
INSERT INTO public.who_import VALUES (48419, '2020-10-07', 'LB', 'Lebanon', 'EMRO', '1261', '46918', '10', '424');
INSERT INTO public.who_import VALUES (48420, '2020-10-08', 'LB', 'Lebanon', 'EMRO', '1459', '48377', '9', '433');
INSERT INTO public.who_import VALUES (48421, '2020-10-09', 'LB', 'Lebanon', 'EMRO', '1367', '49744', '6', '439');
INSERT INTO public.who_import VALUES (48422, '2020-10-10', 'LB', 'Lebanon', 'EMRO', '1426', '51170', '11', '450');
INSERT INTO public.who_import VALUES (48423, '2020-10-11', 'LB', 'Lebanon', 'EMRO', '1388', '52558', '5', '455');
INSERT INTO public.who_import VALUES (48424, '2020-10-12', 'LB', 'Lebanon', 'EMRO', '1010', '53568', '4', '459');
INSERT INTO public.who_import VALUES (48425, '2020-10-13', 'LB', 'Lebanon', 'EMRO', '1056', '54624', '7', '466');
INSERT INTO public.who_import VALUES (48426, '2020-10-14', 'LB', 'Lebanon', 'EMRO', '1245', '55869', '13', '479');
INSERT INTO public.who_import VALUES (48427, '2020-10-15', 'LB', 'Lebanon', 'EMRO', '1226', '57095', '20', '499');
INSERT INTO public.who_import VALUES (48428, '2020-10-16', 'LB', 'Lebanon', 'EMRO', '1418', '58513', '2', '501');
INSERT INTO public.who_import VALUES (48429, '2020-10-17', 'LB', 'Lebanon', 'EMRO', '1366', '59879', '8', '509');
INSERT INTO public.who_import VALUES (48430, '2020-10-18', 'LB', 'Lebanon', 'EMRO', '1068', '60947', '8', '517');
INSERT INTO public.who_import VALUES (48431, '2020-10-19', 'LB', 'Lebanon', 'EMRO', '1002', '61949', '3', '520');
INSERT INTO public.who_import VALUES (48432, '2020-10-20', 'LB', 'Lebanon', 'EMRO', '995', '62944', '6', '526');
INSERT INTO public.who_import VALUES (48433, '2020-10-21', 'LB', 'Lebanon', 'EMRO', '1392', '64336', '5', '531');
INSERT INTO public.who_import VALUES (48434, '2020-10-22', 'LB', 'Lebanon', 'EMRO', '1241', '65577', '5', '536');
INSERT INTO public.who_import VALUES (48435, '2020-10-23', 'LB', 'Lebanon', 'EMRO', '1368', '66945', '16', '552');
INSERT INTO public.who_import VALUES (48436, '2020-10-24', 'LB', 'Lebanon', 'EMRO', '1534', '68479', '7', '559');
INSERT INTO public.who_import VALUES (48437, '2020-10-25', 'LB', 'Lebanon', 'EMRO', '1427', '69906', '3', '562');
INSERT INTO public.who_import VALUES (48438, '2020-10-26', 'LB', 'Lebanon', 'EMRO', '1484', '71390', '3', '565');
INSERT INTO public.who_import VALUES (48439, '2020-10-27', 'LB', 'Lebanon', 'EMRO', '796', '72186', '14', '579');
INSERT INTO public.who_import VALUES (48440, '2020-10-28', 'LB', 'Lebanon', 'EMRO', '1809', '73995', '11', '590');
INSERT INTO public.who_import VALUES (48441, '2020-10-29', 'LB', 'Lebanon', 'EMRO', '1850', '75845', '12', '602');
INSERT INTO public.who_import VALUES (48442, '2020-10-30', 'LB', 'Lebanon', 'EMRO', '1933', '77778', '8', '610');
INSERT INTO public.who_import VALUES (48443, '2020-10-31', 'LB', 'Lebanon', 'EMRO', '1751', '79529', '15', '625');
INSERT INTO public.who_import VALUES (48444, '2020-11-01', 'LB', 'Lebanon', 'EMRO', '1699', '81228', '12', '637');
INSERT INTO public.who_import VALUES (48445, '2020-11-02', 'LB', 'Lebanon', 'EMRO', '1389', '82617', '6', '643');
INSERT INTO public.who_import VALUES (48446, '2020-11-03', 'LB', 'Lebanon', 'EMRO', '1080', '83697', '9', '652');
INSERT INTO public.who_import VALUES (48447, '2020-11-04', 'LB', 'Lebanon', 'EMRO', '1512', '85209', '15', '667');
INSERT INTO public.who_import VALUES (48448, '2020-11-05', 'LB', 'Lebanon', 'EMRO', '1888', '87097', '9', '676');
INSERT INTO public.who_import VALUES (48449, '2020-11-06', 'LB', 'Lebanon', 'EMRO', '2089', '89186', '7', '683');
INSERT INTO public.who_import VALUES (48450, '2020-11-07', 'LB', 'Lebanon', 'EMRO', '2142', '91328', '17', '700');
INSERT INTO public.who_import VALUES (48451, '2020-11-08', 'LB', 'Lebanon', 'EMRO', '1769', '93097', '13', '713');
INSERT INTO public.who_import VALUES (48452, '2020-11-09', 'LB', 'Lebanon', 'EMRO', '1139', '94236', '10', '723');
INSERT INTO public.who_import VALUES (48453, '2020-11-10', 'LB', 'Lebanon', 'EMRO', '1119', '95355', '9', '732');
INSERT INTO public.who_import VALUES (48454, '2020-11-11', 'LB', 'Lebanon', 'EMRO', '1552', '96907', '17', '749');
INSERT INTO public.who_import VALUES (48455, '2020-11-12', 'LB', 'Lebanon', 'EMRO', '1922', '98829', '14', '763');
INSERT INTO public.who_import VALUES (48456, '2020-11-13', 'LB', 'Lebanon', 'EMRO', '1874', '100703', '12', '775');
INSERT INTO public.who_import VALUES (48457, '2020-11-14', 'LB', 'Lebanon', 'EMRO', '1904', '102607', '21', '796');
INSERT INTO public.who_import VALUES (48458, '2020-11-15', 'LB', 'Lebanon', 'EMRO', '1660', '104267', '10', '806');
INSERT INTO public.who_import VALUES (48459, '2020-11-16', 'LB', 'Lebanon', 'EMRO', '1163', '105430', '11', '817');
INSERT INTO public.who_import VALUES (48460, '2020-11-17', 'LB', 'Lebanon', 'EMRO', '1016', '106446', '10', '827');
INSERT INTO public.who_import VALUES (48461, '2020-11-18', 'LB', 'Lebanon', 'EMRO', '1507', '107953', '12', '839');
INSERT INTO public.who_import VALUES (48462, '2020-11-19', 'LB', 'Lebanon', 'EMRO', '2084', '110037', '13', '852');
INSERT INTO public.who_import VALUES (48463, '2020-11-20', 'LB', 'Lebanon', 'EMRO', '1909', '111946', '16', '868');
INSERT INTO public.who_import VALUES (48464, '2020-11-21', 'LB', 'Lebanon', 'EMRO', '1668', '113614', '16', '884');
INSERT INTO public.who_import VALUES (48465, '2020-11-22', 'LB', 'Lebanon', 'EMRO', '1628', '115242', '10', '894');
INSERT INTO public.who_import VALUES (48466, '2020-11-23', 'LB', 'Lebanon', 'EMRO', '1193', '116435', '6', '900');
INSERT INTO public.who_import VALUES (48467, '2020-11-24', 'LB', 'Lebanon', 'EMRO', '1041', '117476', '11', '911');
INSERT INTO public.who_import VALUES (48468, '2020-11-25', 'LB', 'Lebanon', 'EMRO', '1188', '118664', '23', '934');
INSERT INTO public.who_import VALUES (48469, '2020-11-26', 'LB', 'Lebanon', 'EMRO', '1636', '120300', '16', '950');
INSERT INTO public.who_import VALUES (48470, '2020-11-27', 'LB', 'Lebanon', 'EMRO', '1859', '122159', '24', '974');
INSERT INTO public.who_import VALUES (48471, '2020-11-28', 'LB', 'Lebanon', 'EMRO', '1782', '123941', '6', '980');
INSERT INTO public.who_import VALUES (48472, '2020-11-29', 'LB', 'Lebanon', 'EMRO', '1696', '125637', '11', '991');
INSERT INTO public.who_import VALUES (48473, '2020-11-30', 'LB', 'Lebanon', 'EMRO', '1266', '126903', '13', '1004');
INSERT INTO public.who_import VALUES (48474, '2020-12-01', 'LB', 'Lebanon', 'EMRO', '1000', '127903', '14', '1018');
INSERT INTO public.who_import VALUES (48475, '2020-12-02', 'LB', 'Lebanon', 'EMRO', '1511', '129414', '15', '1033');
INSERT INTO public.who_import VALUES (48476, '2020-12-03', 'LB', 'Lebanon', 'EMRO', '1842', '131256', '22', '1055');
INSERT INTO public.who_import VALUES (48477, '2020-12-04', 'LB', 'Lebanon', 'EMRO', '1520', '132776', '12', '1067');
INSERT INTO public.who_import VALUES (48478, '2020-12-05', 'LB', 'Lebanon', 'EMRO', '1478', '134254', '11', '1078');
INSERT INTO public.who_import VALUES (48479, '2020-12-06', 'LB', 'Lebanon', 'EMRO', '1622', '135876', '12', '1090');
INSERT INTO public.who_import VALUES (48480, '2020-12-07', 'LB', 'Lebanon', 'EMRO', '1236', '137112', '9', '1099');
INSERT INTO public.who_import VALUES (48481, '2020-12-08', 'LB', 'Lebanon', 'EMRO', '984', '138096', '16', '1115');
INSERT INTO public.who_import VALUES (48482, '2020-12-09', 'LB', 'Lebanon', 'EMRO', '1039', '139135', '21', '1136');
INSERT INTO public.who_import VALUES (48483, '2020-12-10', 'LB', 'Lebanon', 'EMRO', '1274', '140409', '20', '1156');
INSERT INTO public.who_import VALUES (48484, '2020-12-11', 'LB', 'Lebanon', 'EMRO', '1778', '142187', '14', '1170');
INSERT INTO public.who_import VALUES (48485, '2020-12-12', 'LB', 'Lebanon', 'EMRO', '1518', '143705', '12', '1182');
INSERT INTO public.who_import VALUES (48486, '2020-12-13', 'LB', 'Lebanon', 'EMRO', '1540', '145245', '8', '1190');
INSERT INTO public.who_import VALUES (48487, '2020-12-14', 'LB', 'Lebanon', 'EMRO', '1275', '146520', '10', '1200');
INSERT INTO public.who_import VALUES (48488, '2020-12-15', 'LB', 'Lebanon', 'EMRO', '1093', '147613', '10', '1210');
INSERT INTO public.who_import VALUES (48489, '2020-12-16', 'LB', 'Lebanon', 'EMRO', '1264', '148877', '13', '1223');
INSERT INTO public.who_import VALUES (48490, '2020-12-17', 'LB', 'Lebanon', 'EMRO', '2056', '150933', '11', '1234');
INSERT INTO public.who_import VALUES (48491, '2020-12-18', 'LB', 'Lebanon', 'EMRO', '1960', '152893', '14', '1248');
INSERT INTO public.who_import VALUES (48492, '2020-12-19', 'LB', 'Lebanon', 'EMRO', '2051', '154944', '11', '1259');
INSERT INTO public.who_import VALUES (48493, '2020-12-20', 'LB', 'Lebanon', 'EMRO', '1626', '156570', '11', '1270');
INSERT INTO public.who_import VALUES (48494, '2020-12-21', 'LB', 'Lebanon', 'EMRO', '1534', '158104', '11', '1281');
INSERT INTO public.who_import VALUES (48495, '2020-12-22', 'LB', 'Lebanon', 'EMRO', '1182', '159286', '13', '1294');
INSERT INTO public.who_import VALUES (48496, '2020-12-23', 'LB', 'Lebanon', 'EMRO', '1693', '160979', '17', '1311');
INSERT INTO public.who_import VALUES (48497, '2020-12-24', 'LB', 'Lebanon', 'EMRO', '2246', '163225', '22', '1333');
INSERT INTO public.who_import VALUES (48498, '2020-12-25', 'LB', 'Lebanon', 'EMRO', '2708', '165933', '20', '1353');
INSERT INTO public.who_import VALUES (48499, '2020-12-26', 'LB', 'Lebanon', 'EMRO', '2136', '168069', '14', '1367');
INSERT INTO public.who_import VALUES (48500, '2020-12-27', 'LB', 'Lebanon', 'EMRO', '1403', '169472', '12', '1379');
INSERT INTO public.who_import VALUES (48501, '2020-12-28', 'LB', 'Lebanon', 'EMRO', '1754', '171226', '15', '1394');
INSERT INTO public.who_import VALUES (48502, '2020-12-29', 'LB', 'Lebanon', 'EMRO', '1594', '172820', '15', '1409');
INSERT INTO public.who_import VALUES (48503, '2020-12-30', 'LB', 'Lebanon', 'EMRO', '2298', '175118', '21', '1430');
INSERT INTO public.who_import VALUES (48504, '2020-12-31', 'LB', 'Lebanon', 'EMRO', '2878', '177996', '13', '1443');
INSERT INTO public.who_import VALUES (48505, '2021-01-01', 'LB', 'Lebanon', 'EMRO', '3507', '181503', '12', '1455');
INSERT INTO public.who_import VALUES (48506, '2021-01-02', 'LB', 'Lebanon', 'EMRO', '2385', '183888', '11', '1466');
INSERT INTO public.who_import VALUES (48507, '2021-01-03', 'LB', 'Lebanon', 'EMRO', '2520', '186408', '10', '1476');
INSERT INTO public.who_import VALUES (48508, '2021-01-04', 'LB', 'Lebanon', 'EMRO', '2870', '189278', '10', '1486');
INSERT INTO public.who_import VALUES (48509, '2021-01-05', 'LB', 'Lebanon', 'EMRO', '2861', '192139', '13', '1499');
INSERT INTO public.who_import VALUES (48510, '2021-01-06', 'LB', 'Lebanon', 'EMRO', '3620', '195759', '17', '1516');
INSERT INTO public.who_import VALUES (48511, '2021-01-07', 'LB', 'Lebanon', 'EMRO', '4166', '199925', '21', '1537');
INSERT INTO public.who_import VALUES (48512, '2021-01-08', 'LB', 'Lebanon', 'EMRO', '4774', '204699', '16', '1553');
INSERT INTO public.who_import VALUES (48513, '2021-01-09', 'LB', 'Lebanon', 'EMRO', '5440', '210139', '17', '1570');
INSERT INTO public.who_import VALUES (48514, '2021-01-10', 'LB', 'Lebanon', 'EMRO', '5414', '215553', '20', '1590');
INSERT INTO public.who_import VALUES (48515, '2021-01-11', 'LB', 'Lebanon', 'EMRO', '3743', '219296', '16', '1606');
INSERT INTO public.who_import VALUES (48516, '2021-01-12', 'LB', 'Lebanon', 'EMRO', '3095', '222391', '23', '1629');
INSERT INTO public.who_import VALUES (48517, '2021-01-13', 'LB', 'Lebanon', 'EMRO', '4557', '226948', '76', '1705');
INSERT INTO public.who_import VALUES (48518, '2021-01-14', 'LB', 'Lebanon', 'EMRO', '4988', '231936', '35', '1740');
INSERT INTO public.who_import VALUES (48519, '2021-01-15', 'LB', 'Lebanon', 'EMRO', '5196', '237132', '41', '1781');
INSERT INTO public.who_import VALUES (48520, '2021-01-16', 'LB', 'Lebanon', 'EMRO', '6154', '243286', '44', '1825');
INSERT INTO public.who_import VALUES (48521, '2021-01-17', 'LB', 'Lebanon', 'EMRO', '5872', '249158', '41', '1866');
INSERT INTO public.who_import VALUES (48522, '2021-01-18', 'LB', 'Lebanon', 'EMRO', '3654', '252812', '40', '1906');
INSERT INTO public.who_import VALUES (48523, '2021-01-19', 'LB', 'Lebanon', 'EMRO', '3144', '255956', '53', '1959');
INSERT INTO public.who_import VALUES (48524, '2021-01-20', 'LB', 'Lebanon', 'EMRO', '4359', '260315', '61', '2020');
INSERT INTO public.who_import VALUES (48525, '2021-01-21', 'LB', 'Lebanon', 'EMRO', '4332', '264647', '64', '2084');
INSERT INTO public.who_import VALUES (48526, '2021-01-22', 'LB', 'Lebanon', 'EMRO', '4594', '269241', '67', '2151');
INSERT INTO public.who_import VALUES (48527, '2021-01-23', 'LB', 'Lebanon', 'EMRO', '3170', '272411', '67', '2218');
INSERT INTO public.who_import VALUES (48528, '2021-01-24', 'LB', 'Lebanon', 'EMRO', '4176', '276587', '62', '2280');
INSERT INTO public.who_import VALUES (48529, '2021-01-25', 'LB', 'Lebanon', 'EMRO', '3010', '279597', '60', '2340');
INSERT INTO public.who_import VALUES (48530, '2021-01-26', 'LB', 'Lebanon', 'EMRO', '2652', '282249', '54', '2394');
INSERT INTO public.who_import VALUES (48531, '2021-01-27', 'LB', 'Lebanon', 'EMRO', '3505', '285754', '83', '2477');
INSERT INTO public.who_import VALUES (48532, '2021-01-28', 'LB', 'Lebanon', 'EMRO', '3906', '289660', '76', '2553');
INSERT INTO public.who_import VALUES (48533, '2021-01-29', 'LB', 'Lebanon', 'EMRO', '3497', '293157', '68', '2621');
INSERT INTO public.who_import VALUES (48534, '2021-01-30', 'LB', 'Lebanon', 'EMRO', '3125', '296282', '59', '2680');
INSERT INTO public.who_import VALUES (48535, '2021-01-31', 'LB', 'Lebanon', 'EMRO', '2631', '298913', '351', '3031');
INSERT INTO public.who_import VALUES (48536, '2021-02-01', 'LB', 'Lebanon', 'EMRO', '2139', '301052', '51', '3082');
INSERT INTO public.who_import VALUES (48537, '2021-02-02', 'LB', 'Lebanon', 'EMRO', '2020', '303072', '63', '3145');
INSERT INTO public.who_import VALUES (48538, '2021-02-03', 'LB', 'Lebanon', 'EMRO', '2770', '305842', '81', '3226');
INSERT INTO public.who_import VALUES (48539, '2021-02-04', 'LB', 'Lebanon', 'EMRO', '3320', '309162', '89', '3315');
INSERT INTO public.who_import VALUES (48540, '2021-02-05', 'LB', 'Lebanon', 'EMRO', '3107', '312269', '82', '3397');
INSERT INTO public.who_import VALUES (48541, '2021-02-06', 'LB', 'Lebanon', 'EMRO', '3071', '315340', '98', '3495');
INSERT INTO public.who_import VALUES (48542, '2021-02-07', 'LB', 'Lebanon', 'EMRO', '2496', '317836', '67', '3562');
INSERT INTO public.who_import VALUES (48543, '2021-02-08', 'LB', 'Lebanon', 'EMRO', '2081', '319917', '54', '3616');
INSERT INTO public.who_import VALUES (48544, '2021-02-09', 'LB', 'Lebanon', 'EMRO', '2063', '321980', '61', '3677');
INSERT INTO public.who_import VALUES (48545, '2021-02-10', 'LB', 'Lebanon', 'EMRO', '2879', '324859', '60', '3737');
INSERT INTO public.who_import VALUES (48546, '2021-02-11', 'LB', 'Lebanon', 'EMRO', '3157', '328016', '66', '3803');
INSERT INTO public.who_import VALUES (48547, '2021-02-12', 'LB', 'Lebanon', 'EMRO', '3136', '331152', '63', '3866');
INSERT INTO public.who_import VALUES (48548, '2021-02-13', 'LB', 'Lebanon', 'EMRO', '2934', '334086', '49', '3915');
INSERT INTO public.who_import VALUES (48549, '2021-02-14', 'LB', 'Lebanon', 'EMRO', '2906', '336992', '46', '3961');
INSERT INTO public.who_import VALUES (48550, '2021-02-15', 'LB', 'Lebanon', 'EMRO', '2130', '339122', '32', '3993');
INSERT INTO public.who_import VALUES (48551, '2021-02-16', 'LB', 'Lebanon', 'EMRO', '1739', '340861', '44', '4037');
INSERT INTO public.who_import VALUES (48552, '2021-02-17', 'LB', 'Lebanon', 'EMRO', '2723', '343584', '55', '4092');
INSERT INTO public.who_import VALUES (48553, '2021-02-18', 'LB', 'Lebanon', 'EMRO', '2479', '346063', '60', '4152');
INSERT INTO public.who_import VALUES (48554, '2021-02-19', 'LB', 'Lebanon', 'EMRO', '2730', '348793', '54', '4206');
INSERT INTO public.who_import VALUES (48555, '2021-02-20', 'LB', 'Lebanon', 'EMRO', '2255', '351048', '51', '4257');
INSERT INTO public.who_import VALUES (48556, '2020-01-03', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48557, '2020-01-04', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48558, '2020-01-05', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48559, '2020-01-06', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48560, '2020-01-07', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48561, '2020-01-08', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48562, '2020-01-09', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48563, '2020-01-10', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48564, '2020-01-11', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48565, '2020-01-12', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48566, '2020-01-13', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48567, '2020-01-14', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48568, '2020-01-15', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48569, '2020-01-16', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48570, '2020-01-17', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48571, '2020-01-18', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48572, '2020-01-19', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48573, '2020-01-20', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48574, '2020-01-21', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48575, '2020-01-22', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48576, '2020-01-23', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48577, '2020-01-24', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48578, '2020-01-25', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48579, '2020-01-26', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48580, '2020-01-27', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48581, '2020-01-28', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48582, '2020-01-29', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48583, '2020-01-30', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48584, '2020-01-31', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48585, '2020-02-01', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48586, '2020-02-02', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48587, '2020-02-03', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48588, '2020-02-04', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48589, '2020-02-05', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48590, '2020-02-06', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48591, '2020-02-07', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48592, '2020-02-08', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48593, '2020-02-09', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48594, '2020-02-10', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48595, '2020-02-11', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48596, '2020-02-12', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48597, '2020-02-13', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48598, '2020-02-14', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48599, '2020-02-15', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48600, '2020-02-16', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48601, '2020-02-17', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48602, '2020-02-18', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48603, '2020-02-19', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48604, '2020-02-20', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48605, '2020-02-21', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48606, '2020-02-22', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48607, '2020-02-23', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48608, '2020-02-24', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48609, '2020-02-25', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48610, '2020-02-26', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48611, '2020-02-27', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48612, '2020-02-28', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48613, '2020-02-29', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48614, '2020-03-01', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48615, '2020-03-02', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48616, '2020-03-03', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48617, '2020-03-04', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48618, '2020-03-05', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48619, '2020-03-06', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48620, '2020-03-07', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48621, '2020-03-08', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48622, '2020-03-09', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48623, '2020-03-10', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48624, '2020-03-11', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48625, '2020-03-12', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48626, '2020-03-13', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48627, '2020-03-14', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48628, '2020-03-15', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48629, '2020-03-16', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48630, '2020-03-17', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48631, '2020-03-18', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48632, '2020-03-19', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48633, '2020-03-20', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48634, '2020-03-21', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48635, '2020-03-22', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48636, '2020-03-23', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48637, '2020-03-24', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48638, '2020-03-25', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48639, '2020-03-26', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48640, '2020-03-27', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48641, '2020-03-28', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48642, '2020-03-29', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48643, '2020-03-30', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48644, '2020-03-31', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48645, '2020-04-01', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48646, '2020-04-02', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48647, '2020-04-03', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48648, '2020-04-04', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48649, '2020-04-05', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48650, '2020-04-06', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48651, '2020-04-07', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48652, '2020-04-08', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48653, '2020-04-09', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48654, '2020-04-10', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48655, '2020-04-11', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48656, '2020-04-12', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48657, '2020-04-13', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48658, '2020-04-14', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48659, '2020-04-15', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48660, '2020-04-16', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48661, '2020-04-17', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48662, '2020-04-18', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48663, '2020-04-19', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48664, '2020-04-20', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48665, '2020-04-21', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48666, '2020-04-22', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48667, '2020-04-23', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48668, '2020-04-24', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48669, '2020-04-25', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48670, '2020-04-26', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48671, '2020-04-27', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48672, '2020-04-28', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48673, '2020-04-29', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48674, '2020-04-30', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48675, '2020-05-01', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48676, '2020-05-02', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48677, '2020-05-03', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48678, '2020-05-04', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48679, '2020-05-05', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48680, '2020-05-06', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48681, '2020-05-07', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48682, '2020-05-08', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48683, '2020-05-09', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48684, '2020-05-10', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48685, '2020-05-11', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48686, '2020-05-12', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48687, '2020-05-13', 'LS', 'Lesotho', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48688, '2020-05-14', 'LS', 'Lesotho', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (48689, '2020-05-15', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48690, '2020-05-16', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48691, '2020-05-17', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48692, '2020-05-18', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48693, '2020-05-19', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48694, '2020-05-20', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48695, '2020-05-21', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48696, '2020-05-22', 'LS', 'Lesotho', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (48697, '2020-05-23', 'LS', 'Lesotho', 'AFRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (48698, '2020-05-24', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48699, '2020-05-25', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48700, '2020-05-26', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48701, '2020-05-27', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48702, '2020-05-28', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48703, '2020-05-29', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48704, '2020-05-30', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48705, '2020-05-31', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48706, '2020-06-01', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48707, '2020-06-02', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48708, '2020-06-03', 'LS', 'Lesotho', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (48709, '2020-06-04', 'LS', 'Lesotho', 'AFRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (48710, '2020-06-05', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48711, '2020-06-06', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48712, '2020-06-07', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48713, '2020-06-08', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48714, '2020-06-09', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48715, '2020-06-10', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48716, '2020-06-11', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48717, '2020-06-12', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48718, '2020-06-13', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48719, '2020-06-14', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48720, '2020-06-15', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48721, '2020-06-16', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48722, '2020-06-17', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48723, '2020-06-18', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48724, '2020-06-19', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48725, '2020-06-20', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48726, '2020-06-21', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48727, '2020-06-22', 'LS', 'Lesotho', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (48728, '2020-06-23', 'LS', 'Lesotho', 'AFRO', '8', '12', '0', '0');
INSERT INTO public.who_import VALUES (48729, '2020-06-24', 'LS', 'Lesotho', 'AFRO', '5', '17', '0', '0');
INSERT INTO public.who_import VALUES (48730, '2020-06-25', 'LS', 'Lesotho', 'AFRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (48731, '2020-06-26', 'LS', 'Lesotho', 'AFRO', '3', '20', '0', '0');
INSERT INTO public.who_import VALUES (48732, '2020-06-27', 'LS', 'Lesotho', 'AFRO', '4', '24', '0', '0');
INSERT INTO public.who_import VALUES (48733, '2020-06-28', 'LS', 'Lesotho', 'AFRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (48734, '2020-06-29', 'LS', 'Lesotho', 'AFRO', '3', '27', '0', '0');
INSERT INTO public.who_import VALUES (48735, '2020-06-30', 'LS', 'Lesotho', 'AFRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (48736, '2020-07-01', 'LS', 'Lesotho', 'AFRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (48737, '2020-07-02', 'LS', 'Lesotho', 'AFRO', '8', '35', '0', '0');
INSERT INTO public.who_import VALUES (48738, '2020-07-03', 'LS', 'Lesotho', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (48739, '2020-07-04', 'LS', 'Lesotho', 'AFRO', '28', '63', '0', '0');
INSERT INTO public.who_import VALUES (48740, '2020-07-05', 'LS', 'Lesotho', 'AFRO', '16', '79', '0', '0');
INSERT INTO public.who_import VALUES (48741, '2020-07-06', 'LS', 'Lesotho', 'AFRO', '12', '91', '0', '0');
INSERT INTO public.who_import VALUES (48742, '2020-07-07', 'LS', 'Lesotho', 'AFRO', '0', '91', '0', '0');
INSERT INTO public.who_import VALUES (48743, '2020-07-08', 'LS', 'Lesotho', 'AFRO', '0', '91', '0', '0');
INSERT INTO public.who_import VALUES (48744, '2020-07-09', 'LS', 'Lesotho', 'AFRO', '43', '134', '1', '1');
INSERT INTO public.who_import VALUES (48745, '2020-07-10', 'LS', 'Lesotho', 'AFRO', '0', '134', '0', '1');
INSERT INTO public.who_import VALUES (48746, '2020-07-11', 'LS', 'Lesotho', 'AFRO', '50', '184', '0', '1');
INSERT INTO public.who_import VALUES (48747, '2020-07-12', 'LS', 'Lesotho', 'AFRO', '0', '184', '0', '1');
INSERT INTO public.who_import VALUES (48748, '2020-07-13', 'LS', 'Lesotho', 'AFRO', '49', '233', '1', '2');
INSERT INTO public.who_import VALUES (48749, '2020-07-14', 'LS', 'Lesotho', 'AFRO', '12', '245', '1', '3');
INSERT INTO public.who_import VALUES (48750, '2020-07-15', 'LS', 'Lesotho', 'AFRO', '11', '256', '0', '3');
INSERT INTO public.who_import VALUES (48751, '2020-07-16', 'LS', 'Lesotho', 'AFRO', '0', '256', '0', '3');
INSERT INTO public.who_import VALUES (48752, '2020-07-17', 'LS', 'Lesotho', 'AFRO', '0', '256', '0', '3');
INSERT INTO public.who_import VALUES (48753, '2020-07-18', 'LS', 'Lesotho', 'AFRO', '103', '359', '3', '6');
INSERT INTO public.who_import VALUES (48754, '2020-07-19', 'LS', 'Lesotho', 'AFRO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (48755, '2020-07-20', 'LS', 'Lesotho', 'AFRO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (48756, '2020-07-21', 'LS', 'Lesotho', 'AFRO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (48757, '2020-07-22', 'LS', 'Lesotho', 'AFRO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (48758, '2020-07-23', 'LS', 'Lesotho', 'AFRO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (48759, '2020-07-24', 'LS', 'Lesotho', 'AFRO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (48760, '2020-07-25', 'LS', 'Lesotho', 'AFRO', '60', '419', '3', '9');
INSERT INTO public.who_import VALUES (48761, '2020-07-26', 'LS', 'Lesotho', 'AFRO', '27', '446', '2', '11');
INSERT INTO public.who_import VALUES (48762, '2020-07-27', 'LS', 'Lesotho', 'AFRO', '59', '505', '1', '12');
INSERT INTO public.who_import VALUES (48763, '2020-07-28', 'LS', 'Lesotho', 'AFRO', '0', '505', '0', '12');
INSERT INTO public.who_import VALUES (48764, '2020-07-29', 'LS', 'Lesotho', 'AFRO', '0', '505', '0', '12');
INSERT INTO public.who_import VALUES (48765, '2020-07-30', 'LS', 'Lesotho', 'AFRO', '71', '576', '1', '13');
INSERT INTO public.who_import VALUES (48766, '2020-07-31', 'LS', 'Lesotho', 'AFRO', '28', '604', '0', '13');
INSERT INTO public.who_import VALUES (48767, '2020-08-01', 'LS', 'Lesotho', 'AFRO', '0', '604', '0', '13');
INSERT INTO public.who_import VALUES (48768, '2020-08-02', 'LS', 'Lesotho', 'AFRO', '98', '702', '1', '14');
INSERT INTO public.who_import VALUES (48769, '2020-08-03', 'LS', 'Lesotho', 'AFRO', '16', '718', '5', '19');
INSERT INTO public.who_import VALUES (48770, '2020-08-04', 'LS', 'Lesotho', 'AFRO', '0', '718', '0', '19');
INSERT INTO public.who_import VALUES (48771, '2020-08-05', 'LS', 'Lesotho', 'AFRO', '8', '726', '2', '21');
INSERT INTO public.who_import VALUES (48772, '2020-08-06', 'LS', 'Lesotho', 'AFRO', '0', '726', '0', '21');
INSERT INTO public.who_import VALUES (48773, '2020-08-07', 'LS', 'Lesotho', 'AFRO', '16', '742', '2', '23');
INSERT INTO public.who_import VALUES (48774, '2020-08-08', 'LS', 'Lesotho', 'AFRO', '0', '742', '0', '23');
INSERT INTO public.who_import VALUES (48775, '2020-08-09', 'LS', 'Lesotho', 'AFRO', '0', '742', '0', '23');
INSERT INTO public.who_import VALUES (48776, '2020-08-10', 'LS', 'Lesotho', 'AFRO', '39', '781', '1', '24');
INSERT INTO public.who_import VALUES (48777, '2020-08-11', 'LS', 'Lesotho', 'AFRO', '0', '781', '0', '24');
INSERT INTO public.who_import VALUES (48778, '2020-08-12', 'LS', 'Lesotho', 'AFRO', '17', '798', '0', '24');
INSERT INTO public.who_import VALUES (48779, '2020-08-13', 'LS', 'Lesotho', 'AFRO', '17', '815', '0', '24');
INSERT INTO public.who_import VALUES (48780, '2020-08-14', 'LS', 'Lesotho', 'AFRO', '69', '884', '1', '25');
INSERT INTO public.who_import VALUES (48781, '2020-08-15', 'LS', 'Lesotho', 'AFRO', '19', '903', '0', '25');
INSERT INTO public.who_import VALUES (48782, '2020-08-16', 'LS', 'Lesotho', 'AFRO', '0', '903', '0', '25');
INSERT INTO public.who_import VALUES (48783, '2020-08-17', 'LS', 'Lesotho', 'AFRO', '43', '946', '5', '30');
INSERT INTO public.who_import VALUES (48784, '2020-08-18', 'LS', 'Lesotho', 'AFRO', '0', '946', '0', '30');
INSERT INTO public.who_import VALUES (48785, '2020-08-19', 'LS', 'Lesotho', 'AFRO', '0', '946', '0', '30');
INSERT INTO public.who_import VALUES (48786, '2020-08-20', 'LS', 'Lesotho', 'AFRO', '50', '996', '0', '30');
INSERT INTO public.who_import VALUES (48787, '2020-08-21', 'LS', 'Lesotho', 'AFRO', '0', '996', '0', '30');
INSERT INTO public.who_import VALUES (48788, '2020-08-22', 'LS', 'Lesotho', 'AFRO', '19', '1015', '0', '30');
INSERT INTO public.who_import VALUES (48789, '2020-08-23', 'LS', 'Lesotho', 'AFRO', '0', '1015', '0', '30');
INSERT INTO public.who_import VALUES (48790, '2020-08-24', 'LS', 'Lesotho', 'AFRO', '0', '1015', '0', '30');
INSERT INTO public.who_import VALUES (48791, '2020-08-25', 'LS', 'Lesotho', 'AFRO', '34', '1049', '0', '30');
INSERT INTO public.who_import VALUES (48792, '2020-08-26', 'LS', 'Lesotho', 'AFRO', '0', '1049', '0', '30');
INSERT INTO public.who_import VALUES (48793, '2020-08-27', 'LS', 'Lesotho', 'AFRO', '2', '1051', '0', '30');
INSERT INTO public.who_import VALUES (48794, '2020-08-28', 'LS', 'Lesotho', 'AFRO', '0', '1051', '0', '30');
INSERT INTO public.who_import VALUES (48795, '2020-08-29', 'LS', 'Lesotho', 'AFRO', '0', '1051', '0', '30');
INSERT INTO public.who_import VALUES (48796, '2020-08-30', 'LS', 'Lesotho', 'AFRO', '15', '1066', '1', '31');
INSERT INTO public.who_import VALUES (48797, '2020-08-31', 'LS', 'Lesotho', 'AFRO', '0', '1066', '0', '31');
INSERT INTO public.who_import VALUES (48798, '2020-09-01', 'LS', 'Lesotho', 'AFRO', '19', '1085', '0', '31');
INSERT INTO public.who_import VALUES (48799, '2020-09-02', 'LS', 'Lesotho', 'AFRO', '0', '1085', '0', '31');
INSERT INTO public.who_import VALUES (48800, '2020-09-03', 'LS', 'Lesotho', 'AFRO', '0', '1085', '0', '31');
INSERT INTO public.who_import VALUES (48801, '2020-09-04', 'LS', 'Lesotho', 'AFRO', '63', '1148', '0', '31');
INSERT INTO public.who_import VALUES (48802, '2020-09-05', 'LS', 'Lesotho', 'AFRO', '0', '1148', '0', '31');
INSERT INTO public.who_import VALUES (48803, '2020-09-06', 'LS', 'Lesotho', 'AFRO', '0', '1148', '0', '31');
INSERT INTO public.who_import VALUES (48804, '2020-09-07', 'LS', 'Lesotho', 'AFRO', '0', '1148', '0', '31');
INSERT INTO public.who_import VALUES (48805, '2020-09-08', 'LS', 'Lesotho', 'AFRO', '16', '1164', '0', '31');
INSERT INTO public.who_import VALUES (48806, '2020-09-09', 'LS', 'Lesotho', 'AFRO', '0', '1164', '0', '31');
INSERT INTO public.who_import VALUES (48807, '2020-09-10', 'LS', 'Lesotho', 'AFRO', '0', '1164', '0', '31');
INSERT INTO public.who_import VALUES (48808, '2020-09-11', 'LS', 'Lesotho', 'AFRO', '81', '1245', '2', '33');
INSERT INTO public.who_import VALUES (48809, '2020-09-12', 'LS', 'Lesotho', 'AFRO', '0', '1245', '0', '33');
INSERT INTO public.who_import VALUES (48810, '2020-09-13', 'LS', 'Lesotho', 'AFRO', '0', '1245', '0', '33');
INSERT INTO public.who_import VALUES (48811, '2020-09-14', 'LS', 'Lesotho', 'AFRO', '0', '1245', '0', '33');
INSERT INTO public.who_import VALUES (48812, '2020-09-15', 'LS', 'Lesotho', 'AFRO', '0', '1245', '0', '33');
INSERT INTO public.who_import VALUES (48813, '2020-09-16', 'LS', 'Lesotho', 'AFRO', '82', '1327', '0', '33');
INSERT INTO public.who_import VALUES (48814, '2020-09-17', 'LS', 'Lesotho', 'AFRO', '0', '1327', '0', '33');
INSERT INTO public.who_import VALUES (48815, '2020-09-18', 'LS', 'Lesotho', 'AFRO', '0', '1327', '0', '33');
INSERT INTO public.who_import VALUES (48816, '2020-09-19', 'LS', 'Lesotho', 'AFRO', '63', '1390', '0', '33');
INSERT INTO public.who_import VALUES (48817, '2020-09-20', 'LS', 'Lesotho', 'AFRO', '0', '1390', '0', '33');
INSERT INTO public.who_import VALUES (48818, '2020-09-21', 'LS', 'Lesotho', 'AFRO', '0', '1390', '0', '33');
INSERT INTO public.who_import VALUES (48819, '2020-09-22', 'LS', 'Lesotho', 'AFRO', '0', '1390', '0', '33');
INSERT INTO public.who_import VALUES (48820, '2020-09-23', 'LS', 'Lesotho', 'AFRO', '0', '1390', '0', '33');
INSERT INTO public.who_import VALUES (48821, '2020-09-24', 'LS', 'Lesotho', 'AFRO', '117', '1507', '2', '35');
INSERT INTO public.who_import VALUES (48822, '2020-09-25', 'LS', 'Lesotho', 'AFRO', '47', '1554', '0', '35');
INSERT INTO public.who_import VALUES (48823, '2020-09-26', 'LS', 'Lesotho', 'AFRO', '0', '1554', '0', '35');
INSERT INTO public.who_import VALUES (48824, '2020-09-27', 'LS', 'Lesotho', 'AFRO', '4', '1558', '0', '35');
INSERT INTO public.who_import VALUES (48825, '2020-09-28', 'LS', 'Lesotho', 'AFRO', '0', '1558', '0', '35');
INSERT INTO public.who_import VALUES (48826, '2020-09-29', 'LS', 'Lesotho', 'AFRO', '7', '1565', '0', '35');
INSERT INTO public.who_import VALUES (48827, '2020-09-30', 'LS', 'Lesotho', 'AFRO', '0', '1565', '0', '35');
INSERT INTO public.who_import VALUES (48828, '2020-10-01', 'LS', 'Lesotho', 'AFRO', '30', '1595', '1', '36');
INSERT INTO public.who_import VALUES (48829, '2020-10-02', 'LS', 'Lesotho', 'AFRO', '0', '1595', '0', '36');
INSERT INTO public.who_import VALUES (48830, '2020-10-03', 'LS', 'Lesotho', 'AFRO', '44', '1639', '2', '38');
INSERT INTO public.who_import VALUES (48831, '2020-10-04', 'LS', 'Lesotho', 'AFRO', '0', '1639', '0', '38');
INSERT INTO public.who_import VALUES (48832, '2020-10-05', 'LS', 'Lesotho', 'AFRO', '0', '1639', '0', '38');
INSERT INTO public.who_import VALUES (48833, '2020-10-06', 'LS', 'Lesotho', 'AFRO', '0', '1639', '0', '38');
INSERT INTO public.who_import VALUES (48834, '2020-10-07', 'LS', 'Lesotho', 'AFRO', '0', '1639', '0', '38');
INSERT INTO public.who_import VALUES (48835, '2020-10-08', 'LS', 'Lesotho', 'AFRO', '44', '1683', '1', '39');
INSERT INTO public.who_import VALUES (48836, '2020-10-09', 'LS', 'Lesotho', 'AFRO', '84', '1767', '1', '40');
INSERT INTO public.who_import VALUES (48837, '2020-10-10', 'LS', 'Lesotho', 'AFRO', '0', '1767', '0', '40');
INSERT INTO public.who_import VALUES (48838, '2020-10-11', 'LS', 'Lesotho', 'AFRO', '0', '1767', '0', '40');
INSERT INTO public.who_import VALUES (48839, '2020-10-12', 'LS', 'Lesotho', 'AFRO', '0', '1767', '0', '40');
INSERT INTO public.who_import VALUES (48840, '2020-10-13', 'LS', 'Lesotho', 'AFRO', '38', '1805', '2', '42');
INSERT INTO public.who_import VALUES (48841, '2020-10-14', 'LS', 'Lesotho', 'AFRO', '0', '1805', '0', '42');
INSERT INTO public.who_import VALUES (48842, '2020-10-15', 'LS', 'Lesotho', 'AFRO', '28', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48843, '2020-10-16', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48844, '2020-10-17', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48845, '2020-10-18', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48846, '2020-10-19', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48847, '2020-10-20', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48848, '2020-10-21', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48849, '2020-10-22', 'LS', 'Lesotho', 'AFRO', '0', '1833', '0', '42');
INSERT INTO public.who_import VALUES (48850, '2020-10-23', 'LS', 'Lesotho', 'AFRO', '90', '1923', '1', '43');
INSERT INTO public.who_import VALUES (48851, '2020-10-24', 'LS', 'Lesotho', 'AFRO', '11', '1934', '0', '43');
INSERT INTO public.who_import VALUES (48852, '2020-10-25', 'LS', 'Lesotho', 'AFRO', '0', '1934', '0', '43');
INSERT INTO public.who_import VALUES (48853, '2020-10-26', 'LS', 'Lesotho', 'AFRO', '6', '1940', '0', '43');
INSERT INTO public.who_import VALUES (48854, '2020-10-27', 'LS', 'Lesotho', 'AFRO', '0', '1940', '0', '43');
INSERT INTO public.who_import VALUES (48855, '2020-10-28', 'LS', 'Lesotho', 'AFRO', '7', '1947', '0', '43');
INSERT INTO public.who_import VALUES (48856, '2020-10-29', 'LS', 'Lesotho', 'AFRO', '0', '1947', '0', '43');
INSERT INTO public.who_import VALUES (48857, '2020-10-30', 'LS', 'Lesotho', 'AFRO', '0', '1947', '0', '43');
INSERT INTO public.who_import VALUES (48858, '2020-10-31', 'LS', 'Lesotho', 'AFRO', '0', '1947', '0', '43');
INSERT INTO public.who_import VALUES (48859, '2020-11-01', 'LS', 'Lesotho', 'AFRO', '0', '1947', '0', '43');
INSERT INTO public.who_import VALUES (48860, '2020-11-02', 'LS', 'Lesotho', 'AFRO', '6', '1953', '1', '44');
INSERT INTO public.who_import VALUES (48861, '2020-11-03', 'LS', 'Lesotho', 'AFRO', '8', '1961', '0', '44');
INSERT INTO public.who_import VALUES (48862, '2020-11-04', 'LS', 'Lesotho', 'AFRO', '0', '1961', '0', '44');
INSERT INTO public.who_import VALUES (48863, '2020-11-05', 'LS', 'Lesotho', 'AFRO', '0', '1961', '0', '44');
INSERT INTO public.who_import VALUES (48864, '2020-11-06', 'LS', 'Lesotho', 'AFRO', '2', '1963', '0', '44');
INSERT INTO public.who_import VALUES (48865, '2020-11-07', 'LS', 'Lesotho', 'AFRO', '0', '1963', '0', '44');
INSERT INTO public.who_import VALUES (48866, '2020-11-08', 'LS', 'Lesotho', 'AFRO', '0', '1963', '0', '44');
INSERT INTO public.who_import VALUES (48867, '2020-11-09', 'LS', 'Lesotho', 'AFRO', '0', '1963', '0', '44');
INSERT INTO public.who_import VALUES (48868, '2020-11-10', 'LS', 'Lesotho', 'AFRO', '4', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48869, '2020-11-11', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48870, '2020-11-12', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48871, '2020-11-13', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48872, '2020-11-14', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48873, '2020-11-15', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48874, '2020-11-16', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48875, '2020-11-17', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48876, '2020-11-18', 'LS', 'Lesotho', 'AFRO', '0', '1967', '0', '44');
INSERT INTO public.who_import VALUES (48877, '2020-11-19', 'LS', 'Lesotho', 'AFRO', '74', '2041', '0', '44');
INSERT INTO public.who_import VALUES (48878, '2020-11-20', 'LS', 'Lesotho', 'AFRO', '17', '2058', '0', '44');
INSERT INTO public.who_import VALUES (48879, '2020-11-21', 'LS', 'Lesotho', 'AFRO', '0', '2058', '0', '44');
INSERT INTO public.who_import VALUES (48880, '2020-11-22', 'LS', 'Lesotho', 'AFRO', '0', '2058', '0', '44');
INSERT INTO public.who_import VALUES (48881, '2020-11-23', 'LS', 'Lesotho', 'AFRO', '27', '2085', '0', '44');
INSERT INTO public.who_import VALUES (48882, '2020-11-24', 'LS', 'Lesotho', 'AFRO', '0', '2085', '0', '44');
INSERT INTO public.who_import VALUES (48883, '2020-11-25', 'LS', 'Lesotho', 'AFRO', '0', '2085', '0', '44');
INSERT INTO public.who_import VALUES (48884, '2020-11-26', 'LS', 'Lesotho', 'AFRO', '7', '2092', '0', '44');
INSERT INTO public.who_import VALUES (48885, '2020-11-27', 'LS', 'Lesotho', 'AFRO', '17', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48886, '2020-11-28', 'LS', 'Lesotho', 'AFRO', '0', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48887, '2020-11-29', 'LS', 'Lesotho', 'AFRO', '0', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48888, '2020-11-30', 'LS', 'Lesotho', 'AFRO', '0', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48889, '2020-12-01', 'LS', 'Lesotho', 'AFRO', '0', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48890, '2020-12-02', 'LS', 'Lesotho', 'AFRO', '0', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48891, '2020-12-03', 'LS', 'Lesotho', 'AFRO', '0', '2109', '0', '44');
INSERT INTO public.who_import VALUES (48892, '2020-12-04', 'LS', 'Lesotho', 'AFRO', '28', '2137', '0', '44');
INSERT INTO public.who_import VALUES (48893, '2020-12-05', 'LS', 'Lesotho', 'AFRO', '0', '2137', '0', '44');
INSERT INTO public.who_import VALUES (48894, '2020-12-06', 'LS', 'Lesotho', 'AFRO', '0', '2137', '0', '44');
INSERT INTO public.who_import VALUES (48895, '2020-12-07', 'LS', 'Lesotho', 'AFRO', '0', '2137', '0', '44');
INSERT INTO public.who_import VALUES (48896, '2020-12-08', 'LS', 'Lesotho', 'AFRO', '13', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48897, '2020-12-09', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48898, '2020-12-10', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48899, '2020-12-11', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48900, '2020-12-12', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48901, '2020-12-13', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48902, '2020-12-14', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48903, '2020-12-15', 'LS', 'Lesotho', 'AFRO', '0', '2150', '0', '44');
INSERT INTO public.who_import VALUES (48904, '2020-12-16', 'LS', 'Lesotho', 'AFRO', '135', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48905, '2020-12-17', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48906, '2020-12-18', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48907, '2020-12-19', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48908, '2020-12-20', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48909, '2020-12-21', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48910, '2020-12-22', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48911, '2020-12-23', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48912, '2020-12-24', 'LS', 'Lesotho', 'AFRO', '0', '2285', '0', '44');
INSERT INTO public.who_import VALUES (48913, '2020-12-25', 'LS', 'Lesotho', 'AFRO', '292', '2577', '6', '50');
INSERT INTO public.who_import VALUES (48914, '2020-12-26', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48915, '2020-12-27', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48916, '2020-12-28', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48917, '2020-12-29', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48918, '2020-12-30', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48919, '2020-12-31', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48920, '2021-01-01', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48921, '2021-01-02', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48922, '2021-01-03', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48923, '2021-01-04', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48924, '2021-01-05', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48925, '2021-01-06', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48926, '2021-01-07', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48927, '2021-01-08', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48928, '2021-01-09', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48929, '2021-01-10', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48930, '2021-01-11', 'LS', 'Lesotho', 'AFRO', '0', '2577', '0', '50');
INSERT INTO public.who_import VALUES (48931, '2021-01-12', 'LS', 'Lesotho', 'AFRO', '2593', '5170', '29', '79');
INSERT INTO public.who_import VALUES (48932, '2021-01-13', 'LS', 'Lesotho', 'AFRO', '764', '5934', '6', '85');
INSERT INTO public.who_import VALUES (48933, '2021-01-14', 'LS', 'Lesotho', 'AFRO', '307', '6241', '2', '87');
INSERT INTO public.who_import VALUES (48934, '2021-01-15', 'LS', 'Lesotho', 'AFRO', '115', '6356', '2', '89');
INSERT INTO public.who_import VALUES (48935, '2021-01-16', 'LS', 'Lesotho', 'AFRO', '15', '6371', '4', '93');
INSERT INTO public.who_import VALUES (48936, '2021-01-17', 'LS', 'Lesotho', 'AFRO', '0', '6371', '4', '97');
INSERT INTO public.who_import VALUES (48937, '2021-01-18', 'LS', 'Lesotho', 'AFRO', '0', '6371', '-4', '93');
INSERT INTO public.who_import VALUES (48938, '2021-01-19', 'LS', 'Lesotho', 'AFRO', '0', '6371', '0', '93');
INSERT INTO public.who_import VALUES (48939, '2021-01-20', 'LS', 'Lesotho', 'AFRO', '647', '7018', '8', '101');
INSERT INTO public.who_import VALUES (48940, '2021-01-21', 'LS', 'Lesotho', 'AFRO', '17', '7035', '0', '101');
INSERT INTO public.who_import VALUES (48941, '2021-01-22', 'LS', 'Lesotho', 'AFRO', '520', '7555', '12', '113');
INSERT INTO public.who_import VALUES (48942, '2021-01-23', 'LS', 'Lesotho', 'AFRO', '0', '7555', '0', '113');
INSERT INTO public.who_import VALUES (48943, '2021-01-24', 'LS', 'Lesotho', 'AFRO', '101', '7656', '10', '123');
INSERT INTO public.who_import VALUES (48944, '2021-01-25', 'LS', 'Lesotho', 'AFRO', '0', '7656', '0', '123');
INSERT INTO public.who_import VALUES (48945, '2021-01-26', 'LS', 'Lesotho', 'AFRO', '388', '8044', '11', '134');
INSERT INTO public.who_import VALUES (48946, '2021-01-27', 'LS', 'Lesotho', 'AFRO', '3', '8047', '12', '146');
INSERT INTO public.who_import VALUES (48947, '2021-01-28', 'LS', 'Lesotho', 'AFRO', '95', '8142', '14', '160');
INSERT INTO public.who_import VALUES (48948, '2021-01-29', 'LS', 'Lesotho', 'AFRO', '0', '8142', '0', '160');
INSERT INTO public.who_import VALUES (48949, '2021-01-30', 'LS', 'Lesotho', 'AFRO', '136', '8278', '0', '160');
INSERT INTO public.who_import VALUES (48950, '2021-01-31', 'LS', 'Lesotho', 'AFRO', '0', '8278', '0', '160');
INSERT INTO public.who_import VALUES (48951, '2021-02-01', 'LS', 'Lesotho', 'AFRO', '0', '8278', '0', '160');
INSERT INTO public.who_import VALUES (48952, '2021-02-02', 'LS', 'Lesotho', 'AFRO', '622', '8900', '12', '172');
INSERT INTO public.who_import VALUES (48953, '2021-02-03', 'LS', 'Lesotho', 'AFRO', '0', '8900', '0', '172');
INSERT INTO public.who_import VALUES (48954, '2021-02-04', 'LS', 'Lesotho', 'AFRO', '69', '8969', '6', '178');
INSERT INTO public.who_import VALUES (48955, '2021-02-05', 'LS', 'Lesotho', 'AFRO', '0', '8969', '0', '178');
INSERT INTO public.who_import VALUES (48956, '2021-02-06', 'LS', 'Lesotho', 'AFRO', '411', '9380', '5', '183');
INSERT INTO public.who_import VALUES (48957, '2021-02-07', 'LS', 'Lesotho', 'AFRO', '0', '9380', '0', '183');
INSERT INTO public.who_import VALUES (48958, '2021-02-08', 'LS', 'Lesotho', 'AFRO', '0', '9380', '0', '183');
INSERT INTO public.who_import VALUES (48959, '2021-02-09', 'LS', 'Lesotho', 'AFRO', '0', '9380', '0', '183');
INSERT INTO public.who_import VALUES (48960, '2021-02-10', 'LS', 'Lesotho', 'AFRO', '338', '9718', '24', '207');
INSERT INTO public.who_import VALUES (48961, '2021-02-11', 'LS', 'Lesotho', 'AFRO', '86', '9804', '3', '210');
INSERT INTO public.who_import VALUES (48962, '2021-02-12', 'LS', 'Lesotho', 'AFRO', '14', '9818', '2', '212');
INSERT INTO public.who_import VALUES (48963, '2021-02-13', 'LS', 'Lesotho', 'AFRO', '34', '9852', '13', '225');
INSERT INTO public.who_import VALUES (48964, '2021-02-14', 'LS', 'Lesotho', 'AFRO', '0', '9852', '0', '225');
INSERT INTO public.who_import VALUES (48965, '2021-02-15', 'LS', 'Lesotho', 'AFRO', '113', '9965', '5', '230');
INSERT INTO public.who_import VALUES (48966, '2021-02-16', 'LS', 'Lesotho', 'AFRO', '289', '10254', '13', '243');
INSERT INTO public.who_import VALUES (48967, '2021-02-17', 'LS', 'Lesotho', 'AFRO', '96', '10350', '11', '254');
INSERT INTO public.who_import VALUES (48968, '2021-02-18', 'LS', 'Lesotho', 'AFRO', '25', '10375', '25', '279');
INSERT INTO public.who_import VALUES (48969, '2021-02-19', 'LS', 'Lesotho', 'AFRO', '80', '10455', '6', '285');
INSERT INTO public.who_import VALUES (48970, '2021-02-20', 'LS', 'Lesotho', 'AFRO', '0', '10455', '0', '285');
INSERT INTO public.who_import VALUES (48971, '2020-01-03', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48972, '2020-01-04', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48973, '2020-01-05', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48974, '2020-01-06', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48975, '2020-01-07', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48976, '2020-01-08', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48977, '2020-01-09', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48978, '2020-01-10', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48979, '2020-01-11', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48980, '2020-01-12', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48981, '2020-01-13', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48982, '2020-01-14', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48983, '2020-01-15', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48984, '2020-01-16', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48985, '2020-01-17', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48986, '2020-01-18', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48987, '2020-01-19', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48988, '2020-01-20', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48989, '2020-01-21', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48990, '2020-01-22', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48991, '2020-01-23', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48992, '2020-01-24', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48993, '2020-01-25', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48994, '2020-01-26', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48995, '2020-01-27', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48996, '2020-01-28', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48997, '2020-01-29', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48998, '2020-01-30', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (48999, '2020-01-31', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49000, '2020-02-01', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49001, '2020-02-02', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49002, '2020-02-03', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49003, '2020-02-04', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49004, '2020-02-05', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49005, '2020-02-06', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49006, '2020-02-07', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49007, '2020-02-08', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49008, '2020-02-09', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49009, '2020-02-10', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49010, '2020-02-11', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49011, '2020-02-12', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49012, '2020-02-13', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49013, '2020-02-14', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49014, '2020-02-15', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49015, '2020-02-16', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49016, '2020-02-17', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49017, '2020-02-18', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49018, '2020-02-19', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49019, '2020-02-20', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49020, '2020-02-21', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49021, '2020-02-22', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49022, '2020-02-23', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49023, '2020-02-24', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49024, '2020-02-25', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49025, '2020-02-26', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49026, '2020-02-27', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49027, '2020-02-28', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49028, '2020-02-29', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49029, '2020-03-01', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49030, '2020-03-02', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49031, '2020-03-03', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49032, '2020-03-04', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49033, '2020-03-05', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49034, '2020-03-06', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49035, '2020-03-07', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49036, '2020-03-08', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49037, '2020-03-09', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49038, '2020-03-10', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49039, '2020-03-11', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49040, '2020-03-12', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49041, '2020-03-13', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49042, '2020-03-14', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49043, '2020-03-15', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49044, '2020-03-16', 'LR', 'Liberia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49045, '2020-03-17', 'LR', 'Liberia', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (49046, '2020-03-18', 'LR', 'Liberia', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (49047, '2020-03-19', 'LR', 'Liberia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (49048, '2020-03-20', 'LR', 'Liberia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (49049, '2020-03-21', 'LR', 'Liberia', 'AFRO', '-3', '3', '0', '0');
INSERT INTO public.who_import VALUES (49050, '2020-03-22', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49051, '2020-03-23', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49052, '2020-03-24', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49053, '2020-03-25', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49054, '2020-03-26', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49055, '2020-03-27', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49056, '2020-03-28', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49057, '2020-03-29', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49058, '2020-03-30', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49059, '2020-03-31', 'LR', 'Liberia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (49060, '2020-04-01', 'LR', 'Liberia', 'AFRO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (49061, '2020-04-02', 'LR', 'Liberia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (49062, '2020-04-03', 'LR', 'Liberia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (49063, '2020-04-04', 'LR', 'Liberia', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (49064, '2020-04-05', 'LR', 'Liberia', 'AFRO', '3', '10', '1', '1');
INSERT INTO public.who_import VALUES (49065, '2020-04-06', 'LR', 'Liberia', 'AFRO', '3', '13', '2', '3');
INSERT INTO public.who_import VALUES (49066, '2020-04-07', 'LR', 'Liberia', 'AFRO', '1', '14', '0', '3');
INSERT INTO public.who_import VALUES (49067, '2020-04-08', 'LR', 'Liberia', 'AFRO', '0', '14', '0', '3');
INSERT INTO public.who_import VALUES (49068, '2020-04-09', 'LR', 'Liberia', 'AFRO', '17', '31', '1', '4');
INSERT INTO public.who_import VALUES (49069, '2020-04-10', 'LR', 'Liberia', 'AFRO', '0', '31', '0', '4');
INSERT INTO public.who_import VALUES (49070, '2020-04-11', 'LR', 'Liberia', 'AFRO', '6', '37', '1', '5');
INSERT INTO public.who_import VALUES (49071, '2020-04-12', 'LR', 'Liberia', 'AFRO', '11', '48', '0', '5');
INSERT INTO public.who_import VALUES (49072, '2020-04-13', 'LR', 'Liberia', 'AFRO', '2', '50', '0', '5');
INSERT INTO public.who_import VALUES (49073, '2020-04-14', 'LR', 'Liberia', 'AFRO', '1', '51', '1', '6');
INSERT INTO public.who_import VALUES (49074, '2020-04-15', 'LR', 'Liberia', 'AFRO', '8', '59', '0', '6');
INSERT INTO public.who_import VALUES (49075, '2020-04-16', 'LR', 'Liberia', 'AFRO', '0', '59', '0', '6');
INSERT INTO public.who_import VALUES (49076, '2020-04-17', 'LR', 'Liberia', 'AFRO', '14', '73', '0', '6');
INSERT INTO public.who_import VALUES (49077, '2020-04-18', 'LR', 'Liberia', 'AFRO', '3', '76', '1', '7');
INSERT INTO public.who_import VALUES (49078, '2020-04-19', 'LR', 'Liberia', 'AFRO', '5', '81', '0', '7');
INSERT INTO public.who_import VALUES (49079, '2020-04-20', 'LR', 'Liberia', 'AFRO', '10', '91', '1', '8');
INSERT INTO public.who_import VALUES (49080, '2020-04-21', 'LR', 'Liberia', 'AFRO', '8', '99', '0', '8');
INSERT INTO public.who_import VALUES (49081, '2020-04-22', 'LR', 'Liberia', 'AFRO', '2', '101', '0', '8');
INSERT INTO public.who_import VALUES (49082, '2020-04-23', 'LR', 'Liberia', 'AFRO', '0', '101', '0', '8');
INSERT INTO public.who_import VALUES (49083, '2020-04-24', 'LR', 'Liberia', 'AFRO', '0', '101', '0', '8');
INSERT INTO public.who_import VALUES (49084, '2020-04-25', 'LR', 'Liberia', 'AFRO', '16', '117', '0', '8');
INSERT INTO public.who_import VALUES (49085, '2020-04-26', 'LR', 'Liberia', 'AFRO', '3', '120', '3', '11');
INSERT INTO public.who_import VALUES (49086, '2020-04-27', 'LR', 'Liberia', 'AFRO', '4', '124', '1', '12');
INSERT INTO public.who_import VALUES (49087, '2020-04-28', 'LR', 'Liberia', 'AFRO', '9', '133', '4', '16');
INSERT INTO public.who_import VALUES (49088, '2020-04-29', 'LR', 'Liberia', 'AFRO', '8', '141', '0', '16');
INSERT INTO public.who_import VALUES (49089, '2020-04-30', 'LR', 'Liberia', 'AFRO', '0', '141', '0', '16');
INSERT INTO public.who_import VALUES (49090, '2020-05-01', 'LR', 'Liberia', 'AFRO', '0', '141', '0', '16');
INSERT INTO public.who_import VALUES (49091, '2020-05-02', 'LR', 'Liberia', 'AFRO', '11', '152', '2', '18');
INSERT INTO public.who_import VALUES (49092, '2020-05-03', 'LR', 'Liberia', 'AFRO', '2', '154', '0', '18');
INSERT INTO public.who_import VALUES (49093, '2020-05-04', 'LR', 'Liberia', 'AFRO', '4', '158', '0', '18');
INSERT INTO public.who_import VALUES (49094, '2020-05-05', 'LR', 'Liberia', 'AFRO', '8', '166', '0', '18');
INSERT INTO public.who_import VALUES (49095, '2020-05-06', 'LR', 'Liberia', 'AFRO', '4', '170', '2', '20');
INSERT INTO public.who_import VALUES (49096, '2020-05-07', 'LR', 'Liberia', 'AFRO', '8', '178', '0', '20');
INSERT INTO public.who_import VALUES (49097, '2020-05-08', 'LR', 'Liberia', 'AFRO', '11', '189', '0', '20');
INSERT INTO public.who_import VALUES (49098, '2020-05-09', 'LR', 'Liberia', 'AFRO', '10', '199', '0', '20');
INSERT INTO public.who_import VALUES (49099, '2020-05-10', 'LR', 'Liberia', 'AFRO', '0', '199', '0', '20');
INSERT INTO public.who_import VALUES (49100, '2020-05-11', 'LR', 'Liberia', 'AFRO', '5', '204', '0', '20');
INSERT INTO public.who_import VALUES (49101, '2020-05-12', 'LR', 'Liberia', 'AFRO', '7', '211', '0', '20');
INSERT INTO public.who_import VALUES (49102, '2020-05-13', 'LR', 'Liberia', 'AFRO', '1', '212', '0', '20');
INSERT INTO public.who_import VALUES (49103, '2020-05-14', 'LR', 'Liberia', 'AFRO', '1', '213', '0', '20');
INSERT INTO public.who_import VALUES (49104, '2020-05-15', 'LR', 'Liberia', 'AFRO', '2', '215', '0', '20');
INSERT INTO public.who_import VALUES (49105, '2020-05-16', 'LR', 'Liberia', 'AFRO', '4', '219', '0', '20');
INSERT INTO public.who_import VALUES (49106, '2020-05-17', 'LR', 'Liberia', 'AFRO', '4', '223', '0', '20');
INSERT INTO public.who_import VALUES (49107, '2020-05-18', 'LR', 'Liberia', 'AFRO', '3', '226', '1', '21');
INSERT INTO public.who_import VALUES (49108, '2020-05-19', 'LR', 'Liberia', 'AFRO', '3', '229', '1', '22');
INSERT INTO public.who_import VALUES (49109, '2020-05-20', 'LR', 'Liberia', 'AFRO', '4', '233', '1', '23');
INSERT INTO public.who_import VALUES (49110, '2020-05-21', 'LR', 'Liberia', 'AFRO', '5', '238', '0', '23');
INSERT INTO public.who_import VALUES (49111, '2020-05-22', 'LR', 'Liberia', 'AFRO', '2', '240', '0', '23');
INSERT INTO public.who_import VALUES (49112, '2020-05-23', 'LR', 'Liberia', 'AFRO', '9', '249', '1', '24');
INSERT INTO public.who_import VALUES (49113, '2020-05-24', 'LR', 'Liberia', 'AFRO', '6', '255', '2', '26');
INSERT INTO public.who_import VALUES (49114, '2020-05-25', 'LR', 'Liberia', 'AFRO', '10', '265', '0', '26');
INSERT INTO public.who_import VALUES (49115, '2020-05-26', 'LR', 'Liberia', 'AFRO', '0', '265', '0', '26');
INSERT INTO public.who_import VALUES (49116, '2020-05-27', 'LR', 'Liberia', 'AFRO', '1', '266', '0', '26');
INSERT INTO public.who_import VALUES (49117, '2020-05-28', 'LR', 'Liberia', 'AFRO', '0', '266', '1', '27');
INSERT INTO public.who_import VALUES (49118, '2020-05-29', 'LR', 'Liberia', 'AFRO', '3', '269', '0', '27');
INSERT INTO public.who_import VALUES (49119, '2020-05-30', 'LR', 'Liberia', 'AFRO', '4', '273', '0', '27');
INSERT INTO public.who_import VALUES (49120, '2020-05-31', 'LR', 'Liberia', 'AFRO', '7', '280', '0', '27');
INSERT INTO public.who_import VALUES (49121, '2020-06-01', 'LR', 'Liberia', 'AFRO', '8', '288', '0', '27');
INSERT INTO public.who_import VALUES (49122, '2020-06-02', 'LR', 'Liberia', 'AFRO', '8', '296', '0', '27');
INSERT INTO public.who_import VALUES (49123, '2020-06-03', 'LR', 'Liberia', 'AFRO', '15', '311', '1', '28');
INSERT INTO public.who_import VALUES (49124, '2020-06-04', 'LR', 'Liberia', 'AFRO', '5', '316', '0', '28');
INSERT INTO public.who_import VALUES (49125, '2020-06-05', 'LR', 'Liberia', 'AFRO', '5', '321', '0', '28');
INSERT INTO public.who_import VALUES (49126, '2020-06-06', 'LR', 'Liberia', 'AFRO', '13', '334', '2', '30');
INSERT INTO public.who_import VALUES (49127, '2020-06-07', 'LR', 'Liberia', 'AFRO', '11', '345', '0', '30');
INSERT INTO public.who_import VALUES (49128, '2020-06-08', 'LR', 'Liberia', 'AFRO', '14', '359', '0', '30');
INSERT INTO public.who_import VALUES (49129, '2020-06-09', 'LR', 'Liberia', 'AFRO', '11', '370', '0', '30');
INSERT INTO public.who_import VALUES (49130, '2020-06-10', 'LR', 'Liberia', 'AFRO', '13', '383', '1', '31');
INSERT INTO public.who_import VALUES (49131, '2020-06-11', 'LR', 'Liberia', 'AFRO', '14', '397', '0', '31');
INSERT INTO public.who_import VALUES (49132, '2020-06-12', 'LR', 'Liberia', 'AFRO', '13', '410', '0', '31');
INSERT INTO public.who_import VALUES (49133, '2020-06-13', 'LR', 'Liberia', 'AFRO', '11', '421', '1', '32');
INSERT INTO public.who_import VALUES (49134, '2020-06-14', 'LR', 'Liberia', 'AFRO', '25', '446', '0', '32');
INSERT INTO public.who_import VALUES (49135, '2020-06-15', 'LR', 'Liberia', 'AFRO', '12', '458', '0', '32');
INSERT INTO public.who_import VALUES (49136, '2020-06-16', 'LR', 'Liberia', 'AFRO', '40', '498', '1', '33');
INSERT INTO public.who_import VALUES (49137, '2020-06-17', 'LR', 'Liberia', 'AFRO', '11', '509', '0', '33');
INSERT INTO public.who_import VALUES (49138, '2020-06-18', 'LR', 'Liberia', 'AFRO', '7', '516', '0', '33');
INSERT INTO public.who_import VALUES (49139, '2020-06-19', 'LR', 'Liberia', 'AFRO', '26', '542', '0', '33');
INSERT INTO public.who_import VALUES (49140, '2020-06-20', 'LR', 'Liberia', 'AFRO', '39', '581', '0', '33');
INSERT INTO public.who_import VALUES (49141, '2020-06-21', 'LR', 'Liberia', 'AFRO', '20', '601', '0', '33');
INSERT INTO public.who_import VALUES (49142, '2020-06-22', 'LR', 'Liberia', 'AFRO', '25', '626', '1', '34');
INSERT INTO public.who_import VALUES (49143, '2020-06-23', 'LR', 'Liberia', 'AFRO', '24', '650', '0', '34');
INSERT INTO public.who_import VALUES (49144, '2020-06-24', 'LR', 'Liberia', 'AFRO', '2', '652', '0', '34');
INSERT INTO public.who_import VALUES (49145, '2020-06-25', 'LR', 'Liberia', 'AFRO', '10', '662', '0', '34');
INSERT INTO public.who_import VALUES (49146, '2020-06-26', 'LR', 'Liberia', 'AFRO', '19', '681', '0', '34');
INSERT INTO public.who_import VALUES (49147, '2020-06-27', 'LR', 'Liberia', 'AFRO', '3', '684', '0', '34');
INSERT INTO public.who_import VALUES (49148, '2020-06-28', 'LR', 'Liberia', 'AFRO', '0', '684', '0', '34');
INSERT INTO public.who_import VALUES (49149, '2020-06-29', 'LR', 'Liberia', 'AFRO', '84', '768', '0', '34');
INSERT INTO public.who_import VALUES (49150, '2020-06-30', 'LR', 'Liberia', 'AFRO', '2', '770', '2', '36');
INSERT INTO public.who_import VALUES (49151, '2020-07-01', 'LR', 'Liberia', 'AFRO', '10', '780', '0', '36');
INSERT INTO public.who_import VALUES (49152, '2020-07-02', 'LR', 'Liberia', 'AFRO', '24', '804', '1', '37');
INSERT INTO public.who_import VALUES (49153, '2020-07-03', 'LR', 'Liberia', 'AFRO', '15', '819', '0', '37');
INSERT INTO public.who_import VALUES (49154, '2020-07-04', 'LR', 'Liberia', 'AFRO', '14', '833', '0', '37');
INSERT INTO public.who_import VALUES (49155, '2020-07-05', 'LR', 'Liberia', 'AFRO', '0', '833', '0', '37');
INSERT INTO public.who_import VALUES (49156, '2020-07-06', 'LR', 'Liberia', 'AFRO', '41', '874', '0', '37');
INSERT INTO public.who_import VALUES (49157, '2020-07-07', 'LR', 'Liberia', 'AFRO', '17', '891', '2', '39');
INSERT INTO public.who_import VALUES (49158, '2020-07-08', 'LR', 'Liberia', 'AFRO', '26', '917', '2', '41');
INSERT INTO public.who_import VALUES (49159, '2020-07-09', 'LR', 'Liberia', 'AFRO', '9', '926', '0', '41');
INSERT INTO public.who_import VALUES (49160, '2020-07-10', 'LR', 'Liberia', 'AFRO', '31', '957', '1', '42');
INSERT INTO public.who_import VALUES (49161, '2020-07-11', 'LR', 'Liberia', 'AFRO', '6', '963', '5', '47');
INSERT INTO public.who_import VALUES (49162, '2020-07-12', 'LR', 'Liberia', 'AFRO', '35', '998', '0', '47');
INSERT INTO public.who_import VALUES (49163, '2020-07-13', 'LR', 'Liberia', 'AFRO', '12', '1010', '4', '51');
INSERT INTO public.who_import VALUES (49164, '2020-07-14', 'LR', 'Liberia', 'AFRO', '14', '1024', '0', '51');
INSERT INTO public.who_import VALUES (49165, '2020-07-15', 'LR', 'Liberia', 'AFRO', '14', '1038', '0', '51');
INSERT INTO public.who_import VALUES (49166, '2020-07-16', 'LR', 'Liberia', 'AFRO', '18', '1056', '15', '66');
INSERT INTO public.who_import VALUES (49167, '2020-07-17', 'LR', 'Liberia', 'AFRO', '14', '1070', '2', '68');
INSERT INTO public.who_import VALUES (49168, '2020-07-18', 'LR', 'Liberia', 'AFRO', '0', '1070', '0', '68');
INSERT INTO public.who_import VALUES (49169, '2020-07-19', 'LR', 'Liberia', 'AFRO', '18', '1088', '2', '70');
INSERT INTO public.who_import VALUES (49170, '2020-07-20', 'LR', 'Liberia', 'AFRO', '3', '1091', '0', '70');
INSERT INTO public.who_import VALUES (49171, '2020-07-21', 'LR', 'Liberia', 'AFRO', '16', '1107', '0', '70');
INSERT INTO public.who_import VALUES (49172, '2020-07-22', 'LR', 'Liberia', 'AFRO', '1', '1108', '0', '70');
INSERT INTO public.who_import VALUES (49173, '2020-07-23', 'LR', 'Liberia', 'AFRO', '6', '1114', '0', '70');
INSERT INTO public.who_import VALUES (49174, '2020-07-24', 'LR', 'Liberia', 'AFRO', '3', '1117', '1', '71');
INSERT INTO public.who_import VALUES (49175, '2020-07-25', 'LR', 'Liberia', 'AFRO', '18', '1135', '0', '71');
INSERT INTO public.who_import VALUES (49176, '2020-07-26', 'LR', 'Liberia', 'AFRO', '0', '1135', '0', '71');
INSERT INTO public.who_import VALUES (49177, '2020-07-27', 'LR', 'Liberia', 'AFRO', '27', '1162', '1', '72');
INSERT INTO public.who_import VALUES (49178, '2020-07-28', 'LR', 'Liberia', 'AFRO', '5', '1167', '0', '72');
INSERT INTO public.who_import VALUES (49179, '2020-07-29', 'LR', 'Liberia', 'AFRO', '0', '1167', '0', '72');
INSERT INTO public.who_import VALUES (49180, '2020-07-30', 'LR', 'Liberia', 'AFRO', '12', '1179', '0', '72');
INSERT INTO public.who_import VALUES (49181, '2020-07-31', 'LR', 'Liberia', 'AFRO', '2', '1181', '1', '73');
INSERT INTO public.who_import VALUES (49182, '2020-08-01', 'LR', 'Liberia', 'AFRO', '5', '1186', '2', '75');
INSERT INTO public.who_import VALUES (49183, '2020-08-02', 'LR', 'Liberia', 'AFRO', '3', '1189', '0', '75');
INSERT INTO public.who_import VALUES (49184, '2020-08-03', 'LR', 'Liberia', 'AFRO', '18', '1207', '2', '77');
INSERT INTO public.who_import VALUES (49185, '2020-08-04', 'LR', 'Liberia', 'AFRO', '7', '1214', '1', '78');
INSERT INTO public.who_import VALUES (49186, '2020-08-05', 'LR', 'Liberia', 'AFRO', '2', '1216', '0', '78');
INSERT INTO public.who_import VALUES (49187, '2020-08-06', 'LR', 'Liberia', 'AFRO', '5', '1221', '0', '78');
INSERT INTO public.who_import VALUES (49188, '2020-08-07', 'LR', 'Liberia', 'AFRO', '3', '1224', '0', '78');
INSERT INTO public.who_import VALUES (49189, '2020-08-08', 'LR', 'Liberia', 'AFRO', '6', '1230', '0', '78');
INSERT INTO public.who_import VALUES (49190, '2020-08-09', 'LR', 'Liberia', 'AFRO', '4', '1234', '1', '79');
INSERT INTO public.who_import VALUES (49191, '2020-08-10', 'LR', 'Liberia', 'AFRO', '3', '1237', '0', '79');
INSERT INTO public.who_import VALUES (49192, '2020-08-11', 'LR', 'Liberia', 'AFRO', '3', '1240', '0', '79');
INSERT INTO public.who_import VALUES (49193, '2020-08-12', 'LR', 'Liberia', 'AFRO', '0', '1240', '0', '79');
INSERT INTO public.who_import VALUES (49194, '2020-08-13', 'LR', 'Liberia', 'AFRO', '12', '1252', '3', '82');
INSERT INTO public.who_import VALUES (49195, '2020-08-14', 'LR', 'Liberia', 'AFRO', '0', '1252', '0', '82');
INSERT INTO public.who_import VALUES (49196, '2020-08-15', 'LR', 'Liberia', 'AFRO', '2', '1254', '0', '82');
INSERT INTO public.who_import VALUES (49197, '2020-08-16', 'LR', 'Liberia', 'AFRO', '3', '1257', '0', '82');
INSERT INTO public.who_import VALUES (49198, '2020-08-17', 'LR', 'Liberia', 'AFRO', '0', '1257', '0', '82');
INSERT INTO public.who_import VALUES (49199, '2020-08-18', 'LR', 'Liberia', 'AFRO', '20', '1277', '0', '82');
INSERT INTO public.who_import VALUES (49200, '2020-08-19', 'LR', 'Liberia', 'AFRO', '0', '1277', '0', '82');
INSERT INTO public.who_import VALUES (49201, '2020-08-20', 'LR', 'Liberia', 'AFRO', '5', '1282', '0', '82');
INSERT INTO public.who_import VALUES (49202, '2020-08-21', 'LR', 'Liberia', 'AFRO', '2', '1284', '0', '82');
INSERT INTO public.who_import VALUES (49203, '2020-08-22', 'LR', 'Liberia', 'AFRO', '1', '1285', '0', '82');
INSERT INTO public.who_import VALUES (49204, '2020-08-23', 'LR', 'Liberia', 'AFRO', '0', '1285', '0', '82');
INSERT INTO public.who_import VALUES (49205, '2020-08-24', 'LR', 'Liberia', 'AFRO', '1', '1286', '0', '82');
INSERT INTO public.who_import VALUES (49206, '2020-08-25', 'LR', 'Liberia', 'AFRO', '0', '1286', '0', '82');
INSERT INTO public.who_import VALUES (49207, '2020-08-26', 'LR', 'Liberia', 'AFRO', '4', '1290', '0', '82');
INSERT INTO public.who_import VALUES (49208, '2020-08-27', 'LR', 'Liberia', 'AFRO', '0', '1290', '0', '82');
INSERT INTO public.who_import VALUES (49209, '2020-08-28', 'LR', 'Liberia', 'AFRO', '0', '1290', '0', '82');
INSERT INTO public.who_import VALUES (49210, '2020-08-29', 'LR', 'Liberia', 'AFRO', '0', '1290', '0', '82');
INSERT INTO public.who_import VALUES (49211, '2020-08-30', 'LR', 'Liberia', 'AFRO', '13', '1303', '0', '82');
INSERT INTO public.who_import VALUES (49212, '2020-08-31', 'LR', 'Liberia', 'AFRO', '0', '1303', '0', '82');
INSERT INTO public.who_import VALUES (49213, '2020-09-01', 'LR', 'Liberia', 'AFRO', '2', '1305', '0', '82');
INSERT INTO public.who_import VALUES (49214, '2020-09-02', 'LR', 'Liberia', 'AFRO', '0', '1305', '0', '82');
INSERT INTO public.who_import VALUES (49215, '2020-09-03', 'LR', 'Liberia', 'AFRO', '0', '1305', '0', '82');
INSERT INTO public.who_import VALUES (49216, '2020-09-04', 'LR', 'Liberia', 'AFRO', '1', '1306', '0', '82');
INSERT INTO public.who_import VALUES (49217, '2020-09-05', 'LR', 'Liberia', 'AFRO', '0', '1306', '0', '82');
INSERT INTO public.who_import VALUES (49218, '2020-09-06', 'LR', 'Liberia', 'AFRO', '0', '1306', '0', '82');
INSERT INTO public.who_import VALUES (49219, '2020-09-07', 'LR', 'Liberia', 'AFRO', '0', '1306', '0', '82');
INSERT INTO public.who_import VALUES (49220, '2020-09-08', 'LR', 'Liberia', 'AFRO', '5', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49221, '2020-09-09', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49222, '2020-09-10', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49223, '2020-09-11', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49224, '2020-09-12', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49225, '2020-09-13', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49226, '2020-09-14', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49227, '2020-09-15', 'LR', 'Liberia', 'AFRO', '0', '1311', '0', '82');
INSERT INTO public.who_import VALUES (49228, '2020-09-16', 'LR', 'Liberia', 'AFRO', '16', '1327', '0', '82');
INSERT INTO public.who_import VALUES (49229, '2020-09-17', 'LR', 'Liberia', 'AFRO', '0', '1327', '0', '82');
INSERT INTO public.who_import VALUES (49230, '2020-09-18', 'LR', 'Liberia', 'AFRO', '6', '1333', '0', '82');
INSERT INTO public.who_import VALUES (49231, '2020-09-19', 'LR', 'Liberia', 'AFRO', '1', '1334', '0', '82');
INSERT INTO public.who_import VALUES (49232, '2020-09-20', 'LR', 'Liberia', 'AFRO', '1', '1335', '0', '82');
INSERT INTO public.who_import VALUES (49233, '2020-09-21', 'LR', 'Liberia', 'AFRO', '1', '1336', '0', '82');
INSERT INTO public.who_import VALUES (49234, '2020-09-22', 'LR', 'Liberia', 'AFRO', '0', '1336', '0', '82');
INSERT INTO public.who_import VALUES (49235, '2020-09-23', 'LR', 'Liberia', 'AFRO', '0', '1336', '0', '82');
INSERT INTO public.who_import VALUES (49236, '2020-09-24', 'LR', 'Liberia', 'AFRO', '1', '1337', '0', '82');
INSERT INTO public.who_import VALUES (49237, '2020-09-25', 'LR', 'Liberia', 'AFRO', '1', '1338', '0', '82');
INSERT INTO public.who_import VALUES (49238, '2020-09-26', 'LR', 'Liberia', 'AFRO', '0', '1338', '0', '82');
INSERT INTO public.who_import VALUES (49239, '2020-09-27', 'LR', 'Liberia', 'AFRO', '0', '1338', '0', '82');
INSERT INTO public.who_import VALUES (49240, '2020-09-28', 'LR', 'Liberia', 'AFRO', '1', '1339', '0', '82');
INSERT INTO public.who_import VALUES (49241, '2020-09-29', 'LR', 'Liberia', 'AFRO', '0', '1339', '0', '82');
INSERT INTO public.who_import VALUES (49242, '2020-09-30', 'LR', 'Liberia', 'AFRO', '0', '1339', '0', '82');
INSERT INTO public.who_import VALUES (49243, '2020-10-01', 'LR', 'Liberia', 'AFRO', '4', '1343', '0', '82');
INSERT INTO public.who_import VALUES (49244, '2020-10-02', 'LR', 'Liberia', 'AFRO', '0', '1343', '0', '82');
INSERT INTO public.who_import VALUES (49245, '2020-10-03', 'LR', 'Liberia', 'AFRO', '0', '1343', '0', '82');
INSERT INTO public.who_import VALUES (49246, '2020-10-04', 'LR', 'Liberia', 'AFRO', '4', '1347', '0', '82');
INSERT INTO public.who_import VALUES (49247, '2020-10-05', 'LR', 'Liberia', 'AFRO', '1', '1348', '0', '82');
INSERT INTO public.who_import VALUES (49248, '2020-10-06', 'LR', 'Liberia', 'AFRO', '6', '1354', '0', '82');
INSERT INTO public.who_import VALUES (49249, '2020-10-07', 'LR', 'Liberia', 'AFRO', '0', '1354', '0', '82');
INSERT INTO public.who_import VALUES (49250, '2020-10-08', 'LR', 'Liberia', 'AFRO', '0', '1354', '0', '82');
INSERT INTO public.who_import VALUES (49251, '2020-10-09', 'LR', 'Liberia', 'AFRO', '6', '1360', '0', '82');
INSERT INTO public.who_import VALUES (49252, '2020-10-10', 'LR', 'Liberia', 'AFRO', '0', '1360', '0', '82');
INSERT INTO public.who_import VALUES (49253, '2020-10-11', 'LR', 'Liberia', 'AFRO', '3', '1363', '0', '82');
INSERT INTO public.who_import VALUES (49254, '2020-10-12', 'LR', 'Liberia', 'AFRO', '7', '1370', '0', '82');
INSERT INTO public.who_import VALUES (49255, '2020-10-13', 'LR', 'Liberia', 'AFRO', '0', '1370', '0', '82');
INSERT INTO public.who_import VALUES (49256, '2020-10-14', 'LR', 'Liberia', 'AFRO', '2', '1372', '0', '82');
INSERT INTO public.who_import VALUES (49257, '2020-10-15', 'LR', 'Liberia', 'AFRO', '0', '1372', '0', '82');
INSERT INTO public.who_import VALUES (49258, '2020-10-16', 'LR', 'Liberia', 'AFRO', '0', '1372', '0', '82');
INSERT INTO public.who_import VALUES (49259, '2020-10-17', 'LR', 'Liberia', 'AFRO', '5', '1377', '0', '82');
INSERT INTO public.who_import VALUES (49260, '2020-10-18', 'LR', 'Liberia', 'AFRO', '0', '1377', '0', '82');
INSERT INTO public.who_import VALUES (49261, '2020-10-19', 'LR', 'Liberia', 'AFRO', '3', '1380', '0', '82');
INSERT INTO public.who_import VALUES (49262, '2020-10-20', 'LR', 'Liberia', 'AFRO', '1', '1381', '0', '82');
INSERT INTO public.who_import VALUES (49263, '2020-10-21', 'LR', 'Liberia', 'AFRO', '3', '1384', '0', '82');
INSERT INTO public.who_import VALUES (49264, '2020-10-22', 'LR', 'Liberia', 'AFRO', '1', '1385', '0', '82');
INSERT INTO public.who_import VALUES (49265, '2020-10-23', 'LR', 'Liberia', 'AFRO', '0', '1385', '0', '82');
INSERT INTO public.who_import VALUES (49266, '2020-10-24', 'LR', 'Liberia', 'AFRO', '8', '1393', '0', '82');
INSERT INTO public.who_import VALUES (49267, '2020-10-25', 'LR', 'Liberia', 'AFRO', '2', '1395', '0', '82');
INSERT INTO public.who_import VALUES (49268, '2020-10-26', 'LR', 'Liberia', 'AFRO', '0', '1395', '0', '82');
INSERT INTO public.who_import VALUES (49269, '2020-10-27', 'LR', 'Liberia', 'AFRO', '21', '1416', '0', '82');
INSERT INTO public.who_import VALUES (49270, '2020-10-28', 'LR', 'Liberia', 'AFRO', '3', '1419', '0', '82');
INSERT INTO public.who_import VALUES (49271, '2020-10-29', 'LR', 'Liberia', 'AFRO', '0', '1419', '0', '82');
INSERT INTO public.who_import VALUES (49272, '2020-10-30', 'LR', 'Liberia', 'AFRO', '7', '1426', '0', '82');
INSERT INTO public.who_import VALUES (49273, '2020-10-31', 'LR', 'Liberia', 'AFRO', '0', '1426', '0', '82');
INSERT INTO public.who_import VALUES (49274, '2020-11-01', 'LR', 'Liberia', 'AFRO', '0', '1426', '0', '82');
INSERT INTO public.who_import VALUES (49275, '2020-11-02', 'LR', 'Liberia', 'AFRO', '0', '1426', '0', '82');
INSERT INTO public.who_import VALUES (49276, '2020-11-03', 'LR', 'Liberia', 'AFRO', '0', '1426', '0', '82');
INSERT INTO public.who_import VALUES (49277, '2020-11-04', 'LR', 'Liberia', 'AFRO', '10', '1436', '0', '82');
INSERT INTO public.who_import VALUES (49278, '2020-11-05', 'LR', 'Liberia', 'AFRO', '0', '1436', '0', '82');
INSERT INTO public.who_import VALUES (49279, '2020-11-06', 'LR', 'Liberia', 'AFRO', '0', '1436', '0', '82');
INSERT INTO public.who_import VALUES (49280, '2020-11-07', 'LR', 'Liberia', 'AFRO', '0', '1436', '0', '82');
INSERT INTO public.who_import VALUES (49281, '2020-11-08', 'LR', 'Liberia', 'AFRO', '6', '1442', '0', '82');
INSERT INTO public.who_import VALUES (49282, '2020-11-09', 'LR', 'Liberia', 'AFRO', '6', '1448', '0', '82');
INSERT INTO public.who_import VALUES (49283, '2020-11-10', 'LR', 'Liberia', 'AFRO', '0', '1448', '0', '82');
INSERT INTO public.who_import VALUES (49284, '2020-11-11', 'LR', 'Liberia', 'AFRO', '13', '1461', '0', '82');
INSERT INTO public.who_import VALUES (49285, '2020-11-12', 'LR', 'Liberia', 'AFRO', '0', '1461', '0', '82');
INSERT INTO public.who_import VALUES (49286, '2020-11-13', 'LR', 'Liberia', 'AFRO', '7', '1468', '0', '82');
INSERT INTO public.who_import VALUES (49287, '2020-11-14', 'LR', 'Liberia', 'AFRO', '23', '1491', '0', '82');
INSERT INTO public.who_import VALUES (49288, '2020-11-15', 'LR', 'Liberia', 'AFRO', '7', '1498', '0', '82');
INSERT INTO public.who_import VALUES (49289, '2020-11-16', 'LR', 'Liberia', 'AFRO', '9', '1507', '0', '82');
INSERT INTO public.who_import VALUES (49290, '2020-11-17', 'LR', 'Liberia', 'AFRO', '5', '1512', '0', '82');
INSERT INTO public.who_import VALUES (49291, '2020-11-18', 'LR', 'Liberia', 'AFRO', '0', '1512', '0', '82');
INSERT INTO public.who_import VALUES (49292, '2020-11-19', 'LR', 'Liberia', 'AFRO', '5', '1517', '0', '82');
INSERT INTO public.who_import VALUES (49293, '2020-11-20', 'LR', 'Liberia', 'AFRO', '22', '1539', '0', '82');
INSERT INTO public.who_import VALUES (49294, '2020-11-21', 'LR', 'Liberia', 'AFRO', '0', '1539', '0', '82');
INSERT INTO public.who_import VALUES (49295, '2020-11-22', 'LR', 'Liberia', 'AFRO', '15', '1554', '0', '82');
INSERT INTO public.who_import VALUES (49296, '2020-11-23', 'LR', 'Liberia', 'AFRO', '0', '1554', '0', '82');
INSERT INTO public.who_import VALUES (49297, '2020-11-24', 'LR', 'Liberia', 'AFRO', '0', '1554', '0', '82');
INSERT INTO public.who_import VALUES (49298, '2020-11-25', 'LR', 'Liberia', 'AFRO', '0', '1554', '0', '82');
INSERT INTO public.who_import VALUES (49299, '2020-11-26', 'LR', 'Liberia', 'AFRO', '24', '1578', '1', '83');
INSERT INTO public.who_import VALUES (49300, '2020-11-27', 'LR', 'Liberia', 'AFRO', '13', '1591', '0', '83');
INSERT INTO public.who_import VALUES (49301, '2020-11-28', 'LR', 'Liberia', 'AFRO', '4', '1595', '0', '83');
INSERT INTO public.who_import VALUES (49302, '2020-11-29', 'LR', 'Liberia', 'AFRO', '0', '1595', '0', '83');
INSERT INTO public.who_import VALUES (49303, '2020-11-30', 'LR', 'Liberia', 'AFRO', '3', '1598', '0', '83');
INSERT INTO public.who_import VALUES (49304, '2020-12-01', 'LR', 'Liberia', 'AFRO', '0', '1598', '0', '83');
INSERT INTO public.who_import VALUES (49305, '2020-12-02', 'LR', 'Liberia', 'AFRO', '0', '1598', '0', '83');
INSERT INTO public.who_import VALUES (49306, '2020-12-03', 'LR', 'Liberia', 'AFRO', '0', '1598', '0', '83');
INSERT INTO public.who_import VALUES (49307, '2020-12-04', 'LR', 'Liberia', 'AFRO', '0', '1598', '0', '83');
INSERT INTO public.who_import VALUES (49308, '2020-12-05', 'LR', 'Liberia', 'AFRO', '65', '1663', '0', '83');
INSERT INTO public.who_import VALUES (49309, '2020-12-06', 'LR', 'Liberia', 'AFRO', '13', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49310, '2020-12-07', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49311, '2020-12-08', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49312, '2020-12-09', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49313, '2020-12-10', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49314, '2020-12-11', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49315, '2020-12-12', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49316, '2020-12-13', 'LR', 'Liberia', 'AFRO', '0', '1676', '0', '83');
INSERT INTO public.who_import VALUES (49317, '2020-12-14', 'LR', 'Liberia', 'AFRO', '95', '1771', '0', '83');
INSERT INTO public.who_import VALUES (49318, '2020-12-15', 'LR', 'Liberia', 'AFRO', '0', '1771', '0', '83');
INSERT INTO public.who_import VALUES (49319, '2020-12-16', 'LR', 'Liberia', 'AFRO', '0', '1771', '0', '83');
INSERT INTO public.who_import VALUES (49320, '2020-12-17', 'LR', 'Liberia', 'AFRO', '0', '1771', '0', '83');
INSERT INTO public.who_import VALUES (49321, '2020-12-18', 'LR', 'Liberia', 'AFRO', '0', '1771', '0', '83');
INSERT INTO public.who_import VALUES (49322, '2020-12-19', 'LR', 'Liberia', 'AFRO', '8', '1779', '0', '83');
INSERT INTO public.who_import VALUES (49323, '2020-12-20', 'LR', 'Liberia', 'AFRO', '0', '1779', '0', '83');
INSERT INTO public.who_import VALUES (49324, '2020-12-21', 'LR', 'Liberia', 'AFRO', '9', '1788', '0', '83');
INSERT INTO public.who_import VALUES (49325, '2020-12-22', 'LR', 'Liberia', 'AFRO', '0', '1788', '0', '83');
INSERT INTO public.who_import VALUES (49326, '2020-12-23', 'LR', 'Liberia', 'AFRO', '10', '1798', '0', '83');
INSERT INTO public.who_import VALUES (49327, '2020-12-24', 'LR', 'Liberia', 'AFRO', '0', '1798', '0', '83');
INSERT INTO public.who_import VALUES (49328, '2020-12-25', 'LR', 'Liberia', 'AFRO', '0', '1798', '0', '83');
INSERT INTO public.who_import VALUES (49329, '2020-12-26', 'LR', 'Liberia', 'AFRO', '2', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49330, '2020-12-27', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49331, '2020-12-28', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49332, '2020-12-29', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49333, '2020-12-30', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49334, '2020-12-31', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49335, '2021-01-01', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49336, '2021-01-02', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49337, '2021-01-03', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49338, '2021-01-04', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49339, '2021-01-05', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49340, '2021-01-06', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49341, '2021-01-07', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49342, '2021-01-08', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49343, '2021-01-09', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49344, '2021-01-10', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49345, '2021-01-11', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49346, '2021-01-12', 'LR', 'Liberia', 'AFRO', '0', '1800', '0', '83');
INSERT INTO public.who_import VALUES (49347, '2021-01-13', 'LR', 'Liberia', 'AFRO', '76', '1876', '1', '84');
INSERT INTO public.who_import VALUES (49348, '2021-01-14', 'LR', 'Liberia', 'AFRO', '1', '1877', '0', '84');
INSERT INTO public.who_import VALUES (49349, '2021-01-15', 'LR', 'Liberia', 'AFRO', '0', '1877', '0', '84');
INSERT INTO public.who_import VALUES (49350, '2021-01-16', 'LR', 'Liberia', 'AFRO', '5', '1882', '0', '84');
INSERT INTO public.who_import VALUES (49351, '2021-01-17', 'LR', 'Liberia', 'AFRO', '5', '1887', '0', '84');
INSERT INTO public.who_import VALUES (49352, '2021-01-18', 'LR', 'Liberia', 'AFRO', '0', '1887', '0', '84');
INSERT INTO public.who_import VALUES (49353, '2021-01-19', 'LR', 'Liberia', 'AFRO', '9', '1896', '0', '84');
INSERT INTO public.who_import VALUES (49354, '2021-01-20', 'LR', 'Liberia', 'AFRO', '2', '1898', '0', '84');
INSERT INTO public.who_import VALUES (49355, '2021-01-21', 'LR', 'Liberia', 'AFRO', '3', '1901', '0', '84');
INSERT INTO public.who_import VALUES (49356, '2021-01-22', 'LR', 'Liberia', 'AFRO', '0', '1901', '0', '84');
INSERT INTO public.who_import VALUES (49357, '2021-01-23', 'LR', 'Liberia', 'AFRO', '13', '1914', '0', '84');
INSERT INTO public.who_import VALUES (49358, '2021-01-24', 'LR', 'Liberia', 'AFRO', '0', '1914', '0', '84');
INSERT INTO public.who_import VALUES (49359, '2021-01-25', 'LR', 'Liberia', 'AFRO', '0', '1914', '0', '84');
INSERT INTO public.who_import VALUES (49360, '2021-01-26', 'LR', 'Liberia', 'AFRO', '13', '1927', '0', '84');
INSERT INTO public.who_import VALUES (49361, '2021-01-27', 'LR', 'Liberia', 'AFRO', '5', '1932', '0', '84');
INSERT INTO public.who_import VALUES (49362, '2021-01-28', 'LR', 'Liberia', 'AFRO', '4', '1936', '0', '84');
INSERT INTO public.who_import VALUES (49363, '2021-01-29', 'LR', 'Liberia', 'AFRO', '0', '1936', '0', '84');
INSERT INTO public.who_import VALUES (49364, '2021-01-30', 'LR', 'Liberia', 'AFRO', '3', '1939', '0', '84');
INSERT INTO public.who_import VALUES (49365, '2021-01-31', 'LR', 'Liberia', 'AFRO', '0', '1939', '0', '84');
INSERT INTO public.who_import VALUES (49366, '2021-02-01', 'LR', 'Liberia', 'AFRO', '0', '1939', '0', '84');
INSERT INTO public.who_import VALUES (49367, '2021-02-02', 'LR', 'Liberia', 'AFRO', '5', '1944', '0', '84');
INSERT INTO public.who_import VALUES (49368, '2021-02-03', 'LR', 'Liberia', 'AFRO', '0', '1944', '0', '84');
INSERT INTO public.who_import VALUES (49369, '2021-02-04', 'LR', 'Liberia', 'AFRO', '1', '1945', '0', '84');
INSERT INTO public.who_import VALUES (49370, '2021-02-05', 'LR', 'Liberia', 'AFRO', '0', '1945', '0', '84');
INSERT INTO public.who_import VALUES (49371, '2021-02-06', 'LR', 'Liberia', 'AFRO', '0', '1945', '0', '84');
INSERT INTO public.who_import VALUES (49372, '2021-02-07', 'LR', 'Liberia', 'AFRO', '11', '1956', '0', '84');
INSERT INTO public.who_import VALUES (49373, '2021-02-08', 'LR', 'Liberia', 'AFRO', '0', '1956', '0', '84');
INSERT INTO public.who_import VALUES (49374, '2021-02-09', 'LR', 'Liberia', 'AFRO', '0', '1956', '0', '84');
INSERT INTO public.who_import VALUES (49375, '2021-02-10', 'LR', 'Liberia', 'AFRO', '0', '1956', '0', '84');
INSERT INTO public.who_import VALUES (49376, '2021-02-11', 'LR', 'Liberia', 'AFRO', '0', '1956', '0', '84');
INSERT INTO public.who_import VALUES (49377, '2021-02-12', 'LR', 'Liberia', 'AFRO', '13', '1969', '0', '84');
INSERT INTO public.who_import VALUES (49378, '2021-02-13', 'LR', 'Liberia', 'AFRO', '0', '1969', '0', '84');
INSERT INTO public.who_import VALUES (49379, '2021-02-14', 'LR', 'Liberia', 'AFRO', '0', '1969', '0', '84');
INSERT INTO public.who_import VALUES (49380, '2021-02-15', 'LR', 'Liberia', 'AFRO', '0', '1969', '0', '84');
INSERT INTO public.who_import VALUES (49381, '2021-02-16', 'LR', 'Liberia', 'AFRO', '16', '1985', '0', '84');
INSERT INTO public.who_import VALUES (49382, '2021-02-17', 'LR', 'Liberia', 'AFRO', '0', '1985', '0', '84');
INSERT INTO public.who_import VALUES (49383, '2021-02-18', 'LR', 'Liberia', 'AFRO', '0', '1985', '1', '85');
INSERT INTO public.who_import VALUES (49384, '2021-02-19', 'LR', 'Liberia', 'AFRO', '0', '1985', '0', '85');
INSERT INTO public.who_import VALUES (49385, '2021-02-20', 'LR', 'Liberia', 'AFRO', '3', '1988', '0', '85');
INSERT INTO public.who_import VALUES (49386, '2020-01-03', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49387, '2020-01-04', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49388, '2020-01-05', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49389, '2020-01-06', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49390, '2020-01-07', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49391, '2020-01-08', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49392, '2020-01-09', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49393, '2020-01-10', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49394, '2020-01-11', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49395, '2020-01-12', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49396, '2020-01-13', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49397, '2020-01-14', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49398, '2020-01-15', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49399, '2020-01-16', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49400, '2020-01-17', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49401, '2020-01-18', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49402, '2020-01-19', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49403, '2020-01-20', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49404, '2020-01-21', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49405, '2020-01-22', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49406, '2020-01-23', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49407, '2020-01-24', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49408, '2020-01-25', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49409, '2020-01-26', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49410, '2020-01-27', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49411, '2020-01-28', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49412, '2020-01-29', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49413, '2020-01-30', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49414, '2020-01-31', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49415, '2020-02-01', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49416, '2020-02-02', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49417, '2020-02-03', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49418, '2020-02-04', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49419, '2020-02-05', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49420, '2020-02-06', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49421, '2020-02-07', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49422, '2020-02-08', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49423, '2020-02-09', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49424, '2020-02-10', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49425, '2020-02-11', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49426, '2020-02-12', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49427, '2020-02-13', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49428, '2020-02-14', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49429, '2020-02-15', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49430, '2020-02-16', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49431, '2020-02-17', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49432, '2020-02-18', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49433, '2020-02-19', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49434, '2020-02-20', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49435, '2020-02-21', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49436, '2020-02-22', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49437, '2020-02-23', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49438, '2020-02-24', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49439, '2020-02-25', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49440, '2020-02-26', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49441, '2020-02-27', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49442, '2020-02-28', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49443, '2020-02-29', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49444, '2020-03-01', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49445, '2020-03-02', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49446, '2020-03-03', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49447, '2020-03-04', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49448, '2020-03-05', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49449, '2020-03-06', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49450, '2020-03-07', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49451, '2020-03-08', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49452, '2020-03-09', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49453, '2020-03-10', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49454, '2020-03-11', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49455, '2020-03-12', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49456, '2020-03-13', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49457, '2020-03-14', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49458, '2020-03-15', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49459, '2020-03-16', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49460, '2020-03-17', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49461, '2020-03-18', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49462, '2020-03-19', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49463, '2020-03-20', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49464, '2020-03-21', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49465, '2020-03-22', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49466, '2020-03-23', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49467, '2020-03-24', 'LY', 'Libya', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49468, '2020-03-25', 'LY', 'Libya', 'EMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (49469, '2020-03-26', 'LY', 'Libya', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49470, '2020-03-27', 'LY', 'Libya', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49471, '2020-03-28', 'LY', 'Libya', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49472, '2020-03-29', 'LY', 'Libya', 'EMRO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (49473, '2020-03-30', 'LY', 'Libya', 'EMRO', '5', '8', '0', '0');
INSERT INTO public.who_import VALUES (49474, '2020-03-31', 'LY', 'Libya', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (49475, '2020-04-01', 'LY', 'Libya', 'EMRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (49476, '2020-04-02', 'LY', 'Libya', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (49477, '2020-04-03', 'LY', 'Libya', 'EMRO', '1', '11', '1', '1');
INSERT INTO public.who_import VALUES (49478, '2020-04-04', 'LY', 'Libya', 'EMRO', '6', '17', '0', '1');
INSERT INTO public.who_import VALUES (49479, '2020-04-05', 'LY', 'Libya', 'EMRO', '1', '18', '0', '1');
INSERT INTO public.who_import VALUES (49480, '2020-04-06', 'LY', 'Libya', 'EMRO', '0', '18', '0', '1');
INSERT INTO public.who_import VALUES (49481, '2020-04-07', 'LY', 'Libya', 'EMRO', '1', '19', '0', '1');
INSERT INTO public.who_import VALUES (49482, '2020-04-08', 'LY', 'Libya', 'EMRO', '2', '21', '0', '1');
INSERT INTO public.who_import VALUES (49483, '2020-04-09', 'LY', 'Libya', 'EMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (49484, '2020-04-10', 'LY', 'Libya', 'EMRO', '3', '24', '0', '1');
INSERT INTO public.who_import VALUES (49485, '2020-04-11', 'LY', 'Libya', 'EMRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (49486, '2020-04-12', 'LY', 'Libya', 'EMRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (49487, '2020-04-13', 'LY', 'Libya', 'EMRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (49488, '2020-04-14', 'LY', 'Libya', 'EMRO', '1', '26', '0', '1');
INSERT INTO public.who_import VALUES (49489, '2020-04-15', 'LY', 'Libya', 'EMRO', '9', '35', '0', '1');
INSERT INTO public.who_import VALUES (49490, '2020-04-16', 'LY', 'Libya', 'EMRO', '13', '48', '0', '1');
INSERT INTO public.who_import VALUES (49491, '2020-04-17', 'LY', 'Libya', 'EMRO', '1', '49', '0', '1');
INSERT INTO public.who_import VALUES (49492, '2020-04-18', 'LY', 'Libya', 'EMRO', '0', '49', '0', '1');
INSERT INTO public.who_import VALUES (49493, '2020-04-19', 'LY', 'Libya', 'EMRO', '0', '49', '0', '1');
INSERT INTO public.who_import VALUES (49494, '2020-04-20', 'LY', 'Libya', 'EMRO', '2', '51', '0', '1');
INSERT INTO public.who_import VALUES (49495, '2020-04-21', 'LY', 'Libya', 'EMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (49496, '2020-04-22', 'LY', 'Libya', 'EMRO', '8', '59', '0', '1');
INSERT INTO public.who_import VALUES (49497, '2020-04-23', 'LY', 'Libya', 'EMRO', '1', '60', '0', '1');
INSERT INTO public.who_import VALUES (49498, '2020-04-24', 'LY', 'Libya', 'EMRO', '0', '60', '1', '2');
INSERT INTO public.who_import VALUES (49499, '2020-04-25', 'LY', 'Libya', 'EMRO', '1', '61', '0', '2');
INSERT INTO public.who_import VALUES (49500, '2020-04-26', 'LY', 'Libya', 'EMRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (49501, '2020-04-27', 'LY', 'Libya', 'EMRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (49502, '2020-04-28', 'LY', 'Libya', 'EMRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (49503, '2020-04-29', 'LY', 'Libya', 'EMRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (49504, '2020-04-30', 'LY', 'Libya', 'EMRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (49505, '2020-05-01', 'LY', 'Libya', 'EMRO', '2', '63', '1', '3');
INSERT INTO public.who_import VALUES (49506, '2020-05-02', 'LY', 'Libya', 'EMRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (49507, '2020-05-03', 'LY', 'Libya', 'EMRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (49508, '2020-05-04', 'LY', 'Libya', 'EMRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (49509, '2020-05-05', 'LY', 'Libya', 'EMRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (49510, '2020-05-06', 'LY', 'Libya', 'EMRO', '1', '64', '0', '3');
INSERT INTO public.who_import VALUES (49511, '2020-05-07', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49512, '2020-05-08', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49513, '2020-05-09', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49514, '2020-05-10', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49515, '2020-05-11', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49516, '2020-05-12', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49517, '2020-05-13', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49518, '2020-05-14', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49519, '2020-05-15', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49520, '2020-05-16', 'LY', 'Libya', 'EMRO', '0', '64', '0', '3');
INSERT INTO public.who_import VALUES (49521, '2020-05-17', 'LY', 'Libya', 'EMRO', '1', '65', '0', '3');
INSERT INTO public.who_import VALUES (49522, '2020-05-18', 'LY', 'Libya', 'EMRO', '0', '65', '0', '3');
INSERT INTO public.who_import VALUES (49523, '2020-05-19', 'LY', 'Libya', 'EMRO', '0', '65', '0', '3');
INSERT INTO public.who_import VALUES (49524, '2020-05-20', 'LY', 'Libya', 'EMRO', '3', '68', '0', '3');
INSERT INTO public.who_import VALUES (49525, '2020-05-21', 'LY', 'Libya', 'EMRO', '3', '71', '0', '3');
INSERT INTO public.who_import VALUES (49526, '2020-05-22', 'LY', 'Libya', 'EMRO', '0', '71', '0', '3');
INSERT INTO public.who_import VALUES (49527, '2020-05-23', 'LY', 'Libya', 'EMRO', '1', '72', '0', '3');
INSERT INTO public.who_import VALUES (49528, '2020-05-24', 'LY', 'Libya', 'EMRO', '3', '75', '0', '3');
INSERT INTO public.who_import VALUES (49529, '2020-05-25', 'LY', 'Libya', 'EMRO', '0', '75', '0', '3');
INSERT INTO public.who_import VALUES (49530, '2020-05-26', 'LY', 'Libya', 'EMRO', '0', '75', '0', '3');
INSERT INTO public.who_import VALUES (49531, '2020-05-27', 'LY', 'Libya', 'EMRO', '2', '77', '0', '3');
INSERT INTO public.who_import VALUES (49532, '2020-05-28', 'LY', 'Libya', 'EMRO', '22', '99', '1', '4');
INSERT INTO public.who_import VALUES (49533, '2020-05-29', 'LY', 'Libya', 'EMRO', '6', '105', '1', '5');
INSERT INTO public.who_import VALUES (49534, '2020-05-30', 'LY', 'Libya', 'EMRO', '13', '118', '0', '5');
INSERT INTO public.who_import VALUES (49535, '2020-05-31', 'LY', 'Libya', 'EMRO', '12', '130', '0', '5');
INSERT INTO public.who_import VALUES (49536, '2020-06-01', 'LY', 'Libya', 'EMRO', '26', '156', '0', '5');
INSERT INTO public.who_import VALUES (49537, '2020-06-02', 'LY', 'Libya', 'EMRO', '12', '168', '0', '5');
INSERT INTO public.who_import VALUES (49538, '2020-06-03', 'LY', 'Libya', 'EMRO', '14', '182', '0', '5');
INSERT INTO public.who_import VALUES (49539, '2020-06-04', 'LY', 'Libya', 'EMRO', '14', '196', '0', '5');
INSERT INTO public.who_import VALUES (49540, '2020-06-05', 'LY', 'Libya', 'EMRO', '13', '209', '0', '5');
INSERT INTO public.who_import VALUES (49541, '2020-06-06', 'LY', 'Libya', 'EMRO', '30', '239', '0', '5');
INSERT INTO public.who_import VALUES (49542, '2020-06-07', 'LY', 'Libya', 'EMRO', '17', '256', '0', '5');
INSERT INTO public.who_import VALUES (49543, '2020-06-08', 'LY', 'Libya', 'EMRO', '14', '270', '0', '5');
INSERT INTO public.who_import VALUES (49544, '2020-06-09', 'LY', 'Libya', 'EMRO', '62', '332', '0', '5');
INSERT INTO public.who_import VALUES (49545, '2020-06-10', 'LY', 'Libya', 'EMRO', '27', '359', '0', '5');
INSERT INTO public.who_import VALUES (49546, '2020-06-11', 'LY', 'Libya', 'EMRO', '19', '378', '0', '5');
INSERT INTO public.who_import VALUES (49547, '2020-06-12', 'LY', 'Libya', 'EMRO', '15', '393', '0', '5');
INSERT INTO public.who_import VALUES (49548, '2020-06-13', 'LY', 'Libya', 'EMRO', '16', '409', '1', '6');
INSERT INTO public.who_import VALUES (49549, '2020-06-14', 'LY', 'Libya', 'EMRO', '9', '418', '2', '8');
INSERT INTO public.who_import VALUES (49550, '2020-06-15', 'LY', 'Libya', 'EMRO', '0', '418', '0', '8');
INSERT INTO public.who_import VALUES (49551, '2020-06-16', 'LY', 'Libya', 'EMRO', '49', '467', '2', '10');
INSERT INTO public.who_import VALUES (49552, '2020-06-17', 'LY', 'Libya', 'EMRO', '0', '467', '0', '10');
INSERT INTO public.who_import VALUES (49553, '2020-06-18', 'LY', 'Libya', 'EMRO', '17', '484', '0', '10');
INSERT INTO public.who_import VALUES (49554, '2020-06-19', 'LY', 'Libya', 'EMRO', '26', '510', '0', '10');
INSERT INTO public.who_import VALUES (49555, '2020-06-20', 'LY', 'Libya', 'EMRO', '10', '520', '0', '10');
INSERT INTO public.who_import VALUES (49556, '2020-06-21', 'LY', 'Libya', 'EMRO', '24', '544', '0', '10');
INSERT INTO public.who_import VALUES (49557, '2020-06-22', 'LY', 'Libya', 'EMRO', '27', '571', '0', '10');
INSERT INTO public.who_import VALUES (49558, '2020-06-23', 'LY', 'Libya', 'EMRO', '0', '571', '0', '10');
INSERT INTO public.who_import VALUES (49559, '2020-06-24', 'LY', 'Libya', 'EMRO', '68', '639', '7', '17');
INSERT INTO public.who_import VALUES (49560, '2020-06-25', 'LY', 'Libya', 'EMRO', '0', '639', '1', '18');
INSERT INTO public.who_import VALUES (49561, '2020-06-26', 'LY', 'Libya', 'EMRO', '59', '698', '0', '18');
INSERT INTO public.who_import VALUES (49562, '2020-06-27', 'LY', 'Libya', 'EMRO', '15', '713', '0', '18');
INSERT INTO public.who_import VALUES (49563, '2020-06-28', 'LY', 'Libya', 'EMRO', '14', '727', '0', '18');
INSERT INTO public.who_import VALUES (49564, '2020-06-29', 'LY', 'Libya', 'EMRO', '35', '762', '3', '21');
INSERT INTO public.who_import VALUES (49565, '2020-06-30', 'LY', 'Libya', 'EMRO', '40', '802', '2', '23');
INSERT INTO public.who_import VALUES (49566, '2020-07-01', 'LY', 'Libya', 'EMRO', '22', '824', '1', '24');
INSERT INTO public.who_import VALUES (49567, '2020-07-02', 'LY', 'Libya', 'EMRO', '50', '874', '1', '25');
INSERT INTO public.who_import VALUES (49568, '2020-07-03', 'LY', 'Libya', 'EMRO', '17', '891', '1', '26');
INSERT INTO public.who_import VALUES (49569, '2020-07-04', 'LY', 'Libya', 'EMRO', '27', '918', '1', '27');
INSERT INTO public.who_import VALUES (49570, '2020-07-05', 'LY', 'Libya', 'EMRO', '71', '989', '0', '27');
INSERT INTO public.who_import VALUES (49571, '2020-07-06', 'LY', 'Libya', 'EMRO', '57', '1046', '5', '32');
INSERT INTO public.who_import VALUES (49572, '2020-07-07', 'LY', 'Libya', 'EMRO', '71', '1117', '2', '34');
INSERT INTO public.who_import VALUES (49573, '2020-07-08', 'LY', 'Libya', 'EMRO', '65', '1182', '1', '35');
INSERT INTO public.who_import VALUES (49574, '2020-07-09', 'LY', 'Libya', 'EMRO', '86', '1268', '1', '36');
INSERT INTO public.who_import VALUES (49575, '2020-07-10', 'LY', 'Libya', 'EMRO', '74', '1342', '2', '38');
INSERT INTO public.who_import VALUES (49576, '2020-07-11', 'LY', 'Libya', 'EMRO', '0', '1342', '0', '38');
INSERT INTO public.who_import VALUES (49577, '2020-07-12', 'LY', 'Libya', 'EMRO', '47', '1389', '0', '38');
INSERT INTO public.who_import VALUES (49578, '2020-07-13', 'LY', 'Libya', 'EMRO', '44', '1433', '1', '39');
INSERT INTO public.who_import VALUES (49579, '2020-07-14', 'LY', 'Libya', 'EMRO', '79', '1512', '1', '40');
INSERT INTO public.who_import VALUES (49580, '2020-07-15', 'LY', 'Libya', 'EMRO', '51', '1563', '2', '42');
INSERT INTO public.who_import VALUES (49581, '2020-07-16', 'LY', 'Libya', 'EMRO', '26', '1589', '1', '43');
INSERT INTO public.who_import VALUES (49582, '2020-07-17', 'LY', 'Libya', 'EMRO', '63', '1652', '3', '46');
INSERT INTO public.who_import VALUES (49583, '2020-07-18', 'LY', 'Libya', 'EMRO', '52', '1704', '1', '47');
INSERT INTO public.who_import VALUES (49584, '2020-07-19', 'LY', 'Libya', 'EMRO', '87', '1791', '1', '48');
INSERT INTO public.who_import VALUES (49585, '2020-07-20', 'LY', 'Libya', 'EMRO', '75', '1866', '0', '48');
INSERT INTO public.who_import VALUES (49586, '2020-07-21', 'LY', 'Libya', 'EMRO', '114', '1980', '1', '49');
INSERT INTO public.who_import VALUES (49587, '2020-07-22', 'LY', 'Libya', 'EMRO', '108', '2088', '1', '50');
INSERT INTO public.who_import VALUES (49588, '2020-07-23', 'LY', 'Libya', 'EMRO', '88', '2176', '3', '53');
INSERT INTO public.who_import VALUES (49589, '2020-07-24', 'LY', 'Libya', 'EMRO', '138', '2314', '3', '56');
INSERT INTO public.who_import VALUES (49590, '2020-07-25', 'LY', 'Libya', 'EMRO', '111', '2425', '1', '57');
INSERT INTO public.who_import VALUES (49591, '2020-07-26', 'LY', 'Libya', 'EMRO', '122', '2547', '1', '58');
INSERT INTO public.who_import VALUES (49592, '2020-07-27', 'LY', 'Libya', 'EMRO', '122', '2669', '2', '60');
INSERT INTO public.who_import VALUES (49593, '2020-07-28', 'LY', 'Libya', 'EMRO', '158', '2827', '4', '64');
INSERT INTO public.who_import VALUES (49594, '2020-07-29', 'LY', 'Libya', 'EMRO', '190', '3017', '3', '67');
INSERT INTO public.who_import VALUES (49595, '2020-07-30', 'LY', 'Libya', 'EMRO', '205', '3222', '4', '71');
INSERT INTO public.who_import VALUES (49596, '2020-07-31', 'LY', 'Libya', 'EMRO', '216', '3438', '2', '73');
INSERT INTO public.who_import VALUES (49597, '2020-08-01', 'LY', 'Libya', 'EMRO', '183', '3621', '1', '74');
INSERT INTO public.who_import VALUES (49598, '2020-08-02', 'LY', 'Libya', 'EMRO', '70', '3691', '6', '80');
INSERT INTO public.who_import VALUES (49599, '2020-08-03', 'LY', 'Libya', 'EMRO', '146', '3837', '3', '83');
INSERT INTO public.who_import VALUES (49600, '2020-08-04', 'LY', 'Libya', 'EMRO', '226', '4063', '10', '93');
INSERT INTO public.who_import VALUES (49601, '2020-08-05', 'LY', 'Libya', 'EMRO', '161', '4224', '3', '96');
INSERT INTO public.who_import VALUES (49602, '2020-08-06', 'LY', 'Libya', 'EMRO', '251', '4475', '3', '99');
INSERT INTO public.who_import VALUES (49603, '2020-08-07', 'LY', 'Libya', 'EMRO', '404', '4879', '8', '107');
INSERT INTO public.who_import VALUES (49604, '2020-08-08', 'LY', 'Libya', 'EMRO', '199', '5078', '1', '108');
INSERT INTO public.who_import VALUES (49605, '2020-08-09', 'LY', 'Libya', 'EMRO', '154', '5232', '5', '113');
INSERT INTO public.who_import VALUES (49606, '2020-08-10', 'LY', 'Libya', 'EMRO', '309', '5541', '7', '120');
INSERT INTO public.who_import VALUES (49607, '2020-08-11', 'LY', 'Libya', 'EMRO', '388', '5929', '5', '125');
INSERT INTO public.who_import VALUES (49608, '2020-08-12', 'LY', 'Libya', 'EMRO', '373', '6302', '7', '132');
INSERT INTO public.who_import VALUES (49609, '2020-08-13', 'LY', 'Libya', 'EMRO', '309', '6611', '0', '132');
INSERT INTO public.who_import VALUES (49610, '2020-08-14', 'LY', 'Libya', 'EMRO', '439', '7050', '3', '135');
INSERT INTO public.who_import VALUES (49611, '2020-08-15', 'LY', 'Libya', 'EMRO', '277', '7327', '4', '139');
INSERT INTO public.who_import VALUES (49612, '2020-08-16', 'LY', 'Libya', 'EMRO', '411', '7738', '6', '145');
INSERT INTO public.who_import VALUES (49613, '2020-08-17', 'LY', 'Libya', 'EMRO', '434', '8172', '8', '153');
INSERT INTO public.who_import VALUES (49614, '2020-08-18', 'LY', 'Libya', 'EMRO', '407', '8579', '4', '157');
INSERT INTO public.who_import VALUES (49615, '2020-08-19', 'LY', 'Libya', 'EMRO', '489', '9068', '7', '164');
INSERT INTO public.who_import VALUES (49616, '2020-08-20', 'LY', 'Libya', 'EMRO', '395', '9463', '5', '169');
INSERT INTO public.who_import VALUES (49617, '2020-08-21', 'LY', 'Libya', 'EMRO', '244', '9707', '4', '173');
INSERT INTO public.who_import VALUES (49618, '2020-08-22', 'LY', 'Libya', 'EMRO', '414', '10121', '7', '180');
INSERT INTO public.who_import VALUES (49619, '2020-08-23', 'LY', 'Libya', 'EMRO', '316', '10437', '8', '188');
INSERT INTO public.who_import VALUES (49620, '2020-08-24', 'LY', 'Libya', 'EMRO', '572', '11009', '11', '199');
INSERT INTO public.who_import VALUES (49621, '2020-08-25', 'LY', 'Libya', 'EMRO', '272', '11281', '4', '203');
INSERT INTO public.who_import VALUES (49622, '2020-08-26', 'LY', 'Libya', 'EMRO', '553', '11834', '7', '210');
INSERT INTO public.who_import VALUES (49623, '2020-08-27', 'LY', 'Libya', 'EMRO', '440', '12274', '9', '219');
INSERT INTO public.who_import VALUES (49624, '2020-08-28', 'LY', 'Libya', 'EMRO', '355', '12629', '7', '226');
INSERT INTO public.who_import VALUES (49625, '2020-08-29', 'LY', 'Libya', 'EMRO', '329', '12958', '5', '231');
INSERT INTO public.who_import VALUES (49626, '2020-08-30', 'LY', 'Libya', 'EMRO', '465', '13423', '1', '232');
INSERT INTO public.who_import VALUES (49627, '2020-08-31', 'LY', 'Libya', 'EMRO', '543', '13966', '5', '237');
INSERT INTO public.who_import VALUES (49628, '2020-09-01', 'LY', 'Libya', 'EMRO', '658', '14624', '5', '242');
INSERT INTO public.who_import VALUES (49629, '2020-09-02', 'LY', 'Libya', 'EMRO', '532', '15156', '8', '250');
INSERT INTO public.who_import VALUES (49630, '2020-09-03', 'LY', 'Libya', 'EMRO', '617', '15773', '4', '254');
INSERT INTO public.who_import VALUES (49631, '2020-09-04', 'LY', 'Libya', 'EMRO', '672', '16445', '8', '262');
INSERT INTO public.who_import VALUES (49632, '2020-09-05', 'LY', 'Libya', 'EMRO', '649', '17094', '10', '272');
INSERT INTO public.who_import VALUES (49633, '2020-09-06', 'LY', 'Libya', 'EMRO', '655', '17749', '13', '285');
INSERT INTO public.who_import VALUES (49634, '2020-09-07', 'LY', 'Libya', 'EMRO', '1085', '18834', '11', '296');
INSERT INTO public.who_import VALUES (49635, '2020-09-08', 'LY', 'Libya', 'EMRO', '749', '19583', '18', '314');
INSERT INTO public.who_import VALUES (49636, '2020-09-09', 'LY', 'Libya', 'EMRO', '879', '20462', '10', '324');
INSERT INTO public.who_import VALUES (49637, '2020-09-10', 'LY', 'Libya', 'EMRO', '477', '20939', '15', '339');
INSERT INTO public.who_import VALUES (49638, '2020-09-11', 'LY', 'Libya', 'EMRO', '969', '21908', '13', '352');
INSERT INTO public.who_import VALUES (49639, '2020-09-12', 'LY', 'Libya', 'EMRO', '440', '22348', '2', '354');
INSERT INTO public.who_import VALUES (49640, '2020-09-13', 'LY', 'Libya', 'EMRO', '433', '22781', '8', '362');
INSERT INTO public.who_import VALUES (49641, '2020-09-14', 'LY', 'Libya', 'EMRO', '734', '23515', '6', '368');
INSERT INTO public.who_import VALUES (49642, '2020-09-15', 'LY', 'Libya', 'EMRO', '629', '24144', '15', '383');
INSERT INTO public.who_import VALUES (49643, '2020-09-16', 'LY', 'Libya', 'EMRO', '792', '24936', '11', '394');
INSERT INTO public.who_import VALUES (49644, '2020-09-17', 'LY', 'Libya', 'EMRO', '886', '25822', '11', '405');
INSERT INTO public.who_import VALUES (49645, '2020-09-18', 'LY', 'Libya', 'EMRO', '616', '26438', '13', '418');
INSERT INTO public.who_import VALUES (49646, '2020-09-19', 'LY', 'Libya', 'EMRO', '796', '27234', '8', '426');
INSERT INTO public.who_import VALUES (49647, '2020-09-20', 'LY', 'Libya', 'EMRO', '715', '27949', '8', '434');
INSERT INTO public.who_import VALUES (49648, '2020-09-21', 'LY', 'Libya', 'EMRO', '847', '28796', '16', '450');
INSERT INTO public.who_import VALUES (49649, '2020-09-22', 'LY', 'Libya', 'EMRO', '650', '29446', '10', '460');
INSERT INTO public.who_import VALUES (49650, '2020-09-23', 'LY', 'Libya', 'EMRO', '651', '30097', '9', '469');
INSERT INTO public.who_import VALUES (49651, '2020-09-24', 'LY', 'Libya', 'EMRO', '535', '30632', '5', '474');
INSERT INTO public.who_import VALUES (49652, '2020-09-25', 'LY', 'Libya', 'EMRO', '658', '31290', '17', '491');
INSERT INTO public.who_import VALUES (49653, '2020-09-26', 'LY', 'Libya', 'EMRO', '538', '31828', '8', '499');
INSERT INTO public.who_import VALUES (49654, '2020-09-27', 'LY', 'Libya', 'EMRO', '536', '32364', '21', '520');
INSERT INTO public.who_import VALUES (49655, '2020-09-28', 'LY', 'Libya', 'EMRO', '849', '33213', '7', '527');
INSERT INTO public.who_import VALUES (49656, '2020-09-29', 'LY', 'Libya', 'EMRO', '801', '34014', '13', '540');
INSERT INTO public.who_import VALUES (49657, '2020-09-30', 'LY', 'Libya', 'EMRO', '511', '34525', '11', '551');
INSERT INTO public.who_import VALUES (49658, '2020-10-01', 'LY', 'Libya', 'EMRO', '683', '35208', '8', '559');
INSERT INTO public.who_import VALUES (49659, '2020-10-02', 'LY', 'Libya', 'EMRO', '509', '35717', '11', '570');
INSERT INTO public.who_import VALUES (49660, '2020-10-03', 'LY', 'Libya', 'EMRO', '370', '36087', '8', '578');
INSERT INTO public.who_import VALUES (49661, '2020-10-04', 'LY', 'Libya', 'EMRO', '722', '36809', '14', '592');
INSERT INTO public.who_import VALUES (49662, '2020-10-05', 'LY', 'Libya', 'EMRO', '628', '37437', '4', '596');
INSERT INTO public.who_import VALUES (49663, '2020-10-06', 'LY', 'Libya', 'EMRO', '1031', '38468', '6', '602');
INSERT INTO public.who_import VALUES (49664, '2020-10-07', 'LY', 'Libya', 'EMRO', '1045', '39513', '6', '608');
INSERT INTO public.who_import VALUES (49665, '2020-10-08', 'LY', 'Libya', 'EMRO', '779', '40292', '8', '616');
INSERT INTO public.who_import VALUES (49666, '2020-10-09', 'LY', 'Libya', 'EMRO', '1076', '41368', '5', '621');
INSERT INTO public.who_import VALUES (49667, '2020-10-10', 'LY', 'Libya', 'EMRO', '318', '41686', '2', '623');
INSERT INTO public.who_import VALUES (49668, '2020-10-11', 'LY', 'Libya', 'EMRO', '1026', '42712', '8', '631');
INSERT INTO public.who_import VALUES (49669, '2020-10-12', 'LY', 'Libya', 'EMRO', '1109', '43821', '13', '644');
INSERT INTO public.who_import VALUES (49670, '2020-10-13', 'LY', 'Libya', 'EMRO', '1164', '44985', '12', '656');
INSERT INTO public.who_import VALUES (49671, '2020-10-14', 'LY', 'Libya', 'EMRO', '836', '45821', '13', '669');
INSERT INTO public.who_import VALUES (49672, '2020-10-15', 'LY', 'Libya', 'EMRO', '855', '46676', '12', '681');
INSERT INTO public.who_import VALUES (49673, '2020-10-16', 'LY', 'Libya', 'EMRO', '1169', '47845', '18', '699');
INSERT INTO public.who_import VALUES (49674, '2020-10-17', 'LY', 'Libya', 'EMRO', '0', '47845', '0', '699');
INSERT INTO public.who_import VALUES (49675, '2020-10-18', 'LY', 'Libya', 'EMRO', '945', '48790', '26', '725');
INSERT INTO public.who_import VALUES (49676, '2020-10-19', 'LY', 'Libya', 'EMRO', '1159', '49949', '7', '732');
INSERT INTO public.who_import VALUES (49677, '2020-10-20', 'LY', 'Libya', 'EMRO', '957', '50906', '14', '746');
INSERT INTO public.who_import VALUES (49678, '2020-10-21', 'LY', 'Libya', 'EMRO', '0', '50906', '0', '746');
INSERT INTO public.who_import VALUES (49679, '2020-10-22', 'LY', 'Libya', 'EMRO', '719', '51625', '19', '765');
INSERT INTO public.who_import VALUES (49680, '2020-10-23', 'LY', 'Libya', 'EMRO', '995', '52620', '3', '768');
INSERT INTO public.who_import VALUES (49681, '2020-10-24', 'LY', 'Libya', 'EMRO', '764', '53384', '6', '774');
INSERT INTO public.who_import VALUES (49682, '2020-10-25', 'LY', 'Libya', 'EMRO', '990', '54374', '16', '790');
INSERT INTO public.who_import VALUES (49683, '2020-10-26', 'LY', 'Libya', 'EMRO', '1639', '56013', '5', '795');
INSERT INTO public.who_import VALUES (49684, '2020-10-27', 'LY', 'Libya', 'EMRO', '1210', '57223', '6', '801');
INSERT INTO public.who_import VALUES (49685, '2020-10-28', 'LY', 'Libya', 'EMRO', '752', '57975', '11', '812');
INSERT INTO public.who_import VALUES (49686, '2020-10-29', 'LY', 'Libya', 'EMRO', '899', '58874', '11', '823');
INSERT INTO public.who_import VALUES (49687, '2020-10-30', 'LY', 'Libya', 'EMRO', '782', '59656', '8', '831');
INSERT INTO public.who_import VALUES (49688, '2020-10-31', 'LY', 'Libya', 'EMRO', '972', '60628', '16', '847');
INSERT INTO public.who_import VALUES (49689, '2020-11-01', 'LY', 'Libya', 'EMRO', '467', '61095', '10', '857');
INSERT INTO public.who_import VALUES (49690, '2020-11-02', 'LY', 'Libya', 'EMRO', '950', '62045', '14', '871');
INSERT INTO public.who_import VALUES (49691, '2020-11-03', 'LY', 'Libya', 'EMRO', '862', '62907', '9', '880');
INSERT INTO public.who_import VALUES (49692, '2020-11-04', 'LY', 'Libya', 'EMRO', '781', '63688', '13', '893');
INSERT INTO public.who_import VALUES (49693, '2020-11-05', 'LY', 'Libya', 'EMRO', '899', '64587', '7', '900');
INSERT INTO public.who_import VALUES (49694, '2020-11-06', 'LY', 'Libya', 'EMRO', '853', '65440', '7', '907');
INSERT INTO public.who_import VALUES (49695, '2020-11-07', 'LY', 'Libya', 'EMRO', '1004', '66444', '8', '915');
INSERT INTO public.who_import VALUES (49696, '2020-11-08', 'LY', 'Libya', 'EMRO', '595', '67039', '5', '920');
INSERT INTO public.who_import VALUES (49697, '2020-11-09', 'LY', 'Libya', 'EMRO', '1078', '68117', '9', '929');
INSERT INTO public.who_import VALUES (49698, '2020-11-10', 'LY', 'Libya', 'EMRO', '923', '69040', '15', '944');
INSERT INTO public.who_import VALUES (49699, '2020-11-11', 'LY', 'Libya', 'EMRO', '970', '70010', '13', '957');
INSERT INTO public.who_import VALUES (49700, '2020-11-12', 'LY', 'Libya', 'EMRO', '875', '70885', '13', '970');
INSERT INTO public.who_import VALUES (49701, '2020-11-13', 'LY', 'Libya', 'EMRO', '919', '71804', '15', '985');
INSERT INTO public.who_import VALUES (49702, '2020-11-14', 'LY', 'Libya', 'EMRO', '824', '72628', '10', '995');
INSERT INTO public.who_import VALUES (49703, '2020-11-15', 'LY', 'Libya', 'EMRO', '0', '72628', '0', '995');
INSERT INTO public.who_import VALUES (49704, '2020-11-16', 'LY', 'Libya', 'EMRO', '974', '73602', '22', '1017');
INSERT INTO public.who_import VALUES (49705, '2020-11-17', 'LY', 'Libya', 'EMRO', '722', '74324', '8', '1025');
INSERT INTO public.who_import VALUES (49706, '2020-11-18', 'LY', 'Libya', 'EMRO', '612', '74936', '16', '1041');
INSERT INTO public.who_import VALUES (49707, '2020-11-19', 'LY', 'Libya', 'EMRO', '529', '75465', '12', '1053');
INSERT INTO public.who_import VALUES (49708, '2020-11-20', 'LY', 'Libya', 'EMRO', '541', '76006', '9', '1062');
INSERT INTO public.who_import VALUES (49709, '2020-11-21', 'LY', 'Libya', 'EMRO', '802', '76808', '6', '1068');
INSERT INTO public.who_import VALUES (49710, '2020-11-22', 'LY', 'Libya', 'EMRO', '0', '76808', '0', '1068');
INSERT INTO public.who_import VALUES (49711, '2020-11-23', 'LY', 'Libya', 'EMRO', '1015', '77823', '21', '1089');
INSERT INTO public.who_import VALUES (49712, '2020-11-24', 'LY', 'Libya', 'EMRO', '650', '78473', '13', '1102');
INSERT INTO public.who_import VALUES (49713, '2020-11-25', 'LY', 'Libya', 'EMRO', '707', '79180', '8', '1110');
INSERT INTO public.who_import VALUES (49714, '2020-11-26', 'LY', 'Libya', 'EMRO', '617', '79797', '15', '1125');
INSERT INTO public.who_import VALUES (49715, '2020-11-27', 'LY', 'Libya', 'EMRO', '610', '80407', '15', '1140');
INSERT INTO public.who_import VALUES (49716, '2020-11-28', 'LY', 'Libya', 'EMRO', '866', '81273', '13', '1153');
INSERT INTO public.who_import VALUES (49717, '2020-11-29', 'LY', 'Libya', 'EMRO', '0', '81273', '0', '1153');
INSERT INTO public.who_import VALUES (49718, '2020-11-30', 'LY', 'Libya', 'EMRO', '1157', '82430', '13', '1166');
INSERT INTO public.who_import VALUES (49719, '2020-12-01', 'LY', 'Libya', 'EMRO', '379', '82809', '17', '1183');
INSERT INTO public.who_import VALUES (49720, '2020-12-02', 'LY', 'Libya', 'EMRO', '608', '83417', '13', '1196');
INSERT INTO public.who_import VALUES (49721, '2020-12-03', 'LY', 'Libya', 'EMRO', '670', '84087', '4', '1200');
INSERT INTO public.who_import VALUES (49722, '2020-12-04', 'LY', 'Libya', 'EMRO', '762', '84849', '12', '1212');
INSERT INTO public.who_import VALUES (49723, '2020-12-05', 'LY', 'Libya', 'EMRO', '680', '85529', '7', '1219');
INSERT INTO public.who_import VALUES (49724, '2020-12-06', 'LY', 'Libya', 'EMRO', '0', '85529', '0', '1219');
INSERT INTO public.who_import VALUES (49725, '2020-12-07', 'LY', 'Libya', 'EMRO', '1051', '86580', '12', '1231');
INSERT INTO public.who_import VALUES (49726, '2020-12-08', 'LY', 'Libya', 'EMRO', '517', '87097', '12', '1243');
INSERT INTO public.who_import VALUES (49727, '2020-12-09', 'LY', 'Libya', 'EMRO', '889', '87986', '12', '1255');
INSERT INTO public.who_import VALUES (49728, '2020-12-10', 'LY', 'Libya', 'EMRO', '536', '88522', '6', '1261');
INSERT INTO public.who_import VALUES (49729, '2020-12-11', 'LY', 'Libya', 'EMRO', '661', '89183', '12', '1273');
INSERT INTO public.who_import VALUES (49730, '2020-12-12', 'LY', 'Libya', 'EMRO', '697', '89880', '5', '1278');
INSERT INTO public.who_import VALUES (49731, '2020-12-13', 'LY', 'Libya', 'EMRO', '0', '89880', '0', '1278');
INSERT INTO public.who_import VALUES (49732, '2020-12-14', 'LY', 'Libya', 'EMRO', '899', '90779', '21', '1299');
INSERT INTO public.who_import VALUES (49733, '2020-12-15', 'LY', 'Libya', 'EMRO', '578', '91357', '15', '1314');
INSERT INTO public.who_import VALUES (49734, '2020-12-16', 'LY', 'Libya', 'EMRO', '660', '92017', '5', '1319');
INSERT INTO public.who_import VALUES (49735, '2020-12-17', 'LY', 'Libya', 'EMRO', '560', '92577', '5', '1324');
INSERT INTO public.who_import VALUES (49736, '2020-12-18', 'LY', 'Libya', 'EMRO', '706', '93283', '13', '1337');
INSERT INTO public.who_import VALUES (49737, '2020-12-19', 'LY', 'Libya', 'EMRO', '489', '93772', '9', '1346');
INSERT INTO public.who_import VALUES (49738, '2020-12-20', 'LY', 'Libya', 'EMRO', '0', '93772', '0', '1346');
INSERT INTO public.who_import VALUES (49739, '2020-12-21', 'LY', 'Libya', 'EMRO', '788', '94560', '7', '1353');
INSERT INTO public.who_import VALUES (49740, '2020-12-22', 'LY', 'Libya', 'EMRO', '640', '95200', '16', '1369');
INSERT INTO public.who_import VALUES (49741, '2020-12-23', 'LY', 'Libya', 'EMRO', '506', '95706', '16', '1385');
INSERT INTO public.who_import VALUES (49742, '2020-12-24', 'LY', 'Libya', 'EMRO', '640', '96346', '8', '1393');
INSERT INTO public.who_import VALUES (49743, '2020-12-25', 'LY', 'Libya', 'EMRO', '846', '97192', '6', '1399');
INSERT INTO public.who_import VALUES (49744, '2020-12-26', 'LY', 'Libya', 'EMRO', '461', '97653', '16', '1415');
INSERT INTO public.who_import VALUES (49745, '2020-12-27', 'LY', 'Libya', 'EMRO', '0', '97653', '0', '1415');
INSERT INTO public.who_import VALUES (49746, '2020-12-28', 'LY', 'Libya', 'EMRO', '728', '98381', '21', '1436');
INSERT INTO public.who_import VALUES (49747, '2020-12-29', 'LY', 'Libya', 'EMRO', '532', '98913', '4', '1440');
INSERT INTO public.who_import VALUES (49748, '2020-12-30', 'LY', 'Libya', 'EMRO', '437', '99350', '4', '1444');
INSERT INTO public.who_import VALUES (49749, '2020-12-31', 'LY', 'Libya', 'EMRO', '585', '99935', '15', '1459');
INSERT INTO public.who_import VALUES (49750, '2021-01-01', 'LY', 'Libya', 'EMRO', '342', '100277', '19', '1478');
INSERT INTO public.who_import VALUES (49751, '2021-01-02', 'LY', 'Libya', 'EMRO', '467', '100744', '9', '1487');
INSERT INTO public.who_import VALUES (49752, '2021-01-03', 'LY', 'Libya', 'EMRO', '0', '100744', '0', '1487');
INSERT INTO public.who_import VALUES (49753, '2021-01-04', 'LY', 'Libya', 'EMRO', '670', '101414', '23', '1510');
INSERT INTO public.who_import VALUES (49754, '2021-01-05', 'LY', 'Libya', 'EMRO', '561', '101975', '16', '1526');
INSERT INTO public.who_import VALUES (49755, '2021-01-06', 'LY', 'Libya', 'EMRO', '481', '102456', '10', '1536');
INSERT INTO public.who_import VALUES (49756, '2021-01-07', 'LY', 'Libya', 'EMRO', '424', '102880', '10', '1546');
INSERT INTO public.who_import VALUES (49757, '2021-01-08', 'LY', 'Libya', 'EMRO', '635', '103515', '12', '1558');
INSERT INTO public.who_import VALUES (49758, '2021-01-09', 'LY', 'Libya', 'EMRO', '487', '104002', '10', '1568');
INSERT INTO public.who_import VALUES (49759, '2021-01-10', 'LY', 'Libya', 'EMRO', '0', '104002', '0', '1568');
INSERT INTO public.who_import VALUES (49760, '2021-01-11', 'LY', 'Libya', 'EMRO', '743', '104745', '13', '1581');
INSERT INTO public.who_import VALUES (49761, '2021-01-12', 'LY', 'Libya', 'EMRO', '633', '105378', '8', '1589');
INSERT INTO public.who_import VALUES (49762, '2021-01-13', 'LY', 'Libya', 'EMRO', '652', '106030', '33', '1622');
INSERT INTO public.who_import VALUES (49763, '2021-01-14', 'LY', 'Libya', 'EMRO', '640', '106670', '7', '1629');
INSERT INTO public.who_import VALUES (49764, '2021-01-15', 'LY', 'Libya', 'EMRO', '764', '107434', '16', '1645');
INSERT INTO public.who_import VALUES (49765, '2021-01-16', 'LY', 'Libya', 'EMRO', '583', '108017', '6', '1651');
INSERT INTO public.who_import VALUES (49766, '2021-01-17', 'LY', 'Libya', 'EMRO', '0', '108017', '0', '1651');
INSERT INTO public.who_import VALUES (49767, '2021-01-18', 'LY', 'Libya', 'EMRO', '1071', '109088', '14', '1665');
INSERT INTO public.who_import VALUES (49768, '2021-01-19', 'LY', 'Libya', 'EMRO', '781', '109869', '33', '1698');
INSERT INTO public.who_import VALUES (49769, '2021-01-20', 'LY', 'Libya', 'EMRO', '596', '110465', '2', '1700');
INSERT INTO public.who_import VALUES (49770, '2021-01-21', 'LY', 'Libya', 'EMRO', '659', '111124', '15', '1715');
INSERT INTO public.who_import VALUES (49771, '2021-01-22', 'LY', 'Libya', 'EMRO', '622', '111746', '1', '1716');
INSERT INTO public.who_import VALUES (49772, '2021-01-23', 'LY', 'Libya', 'EMRO', '794', '112540', '21', '1737');
INSERT INTO public.who_import VALUES (49773, '2021-01-24', 'LY', 'Libya', 'EMRO', '0', '112540', '0', '1737');
INSERT INTO public.who_import VALUES (49774, '2021-01-25', 'LY', 'Libya', 'EMRO', '1148', '113688', '26', '1763');
INSERT INTO public.who_import VALUES (49775, '2021-01-26', 'LY', 'Libya', 'EMRO', '742', '114430', '19', '1782');
INSERT INTO public.who_import VALUES (49776, '2021-01-27', 'LY', 'Libya', 'EMRO', '869', '115299', '7', '1789');
INSERT INTO public.who_import VALUES (49777, '2021-01-28', 'LY', 'Libya', 'EMRO', '765', '116064', '13', '1802');
INSERT INTO public.who_import VALUES (49778, '2021-01-29', 'LY', 'Libya', 'EMRO', '715', '116779', '30', '1832');
INSERT INTO public.who_import VALUES (49779, '2021-01-30', 'LY', 'Libya', 'EMRO', '871', '117650', '10', '1842');
INSERT INTO public.who_import VALUES (49780, '2021-01-31', 'LY', 'Libya', 'EMRO', '0', '117650', '0', '1842');
INSERT INTO public.who_import VALUES (49781, '2021-02-01', 'LY', 'Libya', 'EMRO', '981', '118631', '35', '1877');
INSERT INTO public.who_import VALUES (49782, '2021-02-02', 'LY', 'Libya', 'EMRO', '771', '119402', '6', '1883');
INSERT INTO public.who_import VALUES (49783, '2021-02-03', 'LY', 'Libya', 'EMRO', '1032', '120434', '13', '1896');
INSERT INTO public.who_import VALUES (49784, '2021-02-04', 'LY', 'Libya', 'EMRO', '809', '121243', '18', '1914');
INSERT INTO public.who_import VALUES (49785, '2021-02-05', 'LY', 'Libya', 'EMRO', '770', '122013', '5', '1919');
INSERT INTO public.who_import VALUES (49786, '2021-02-06', 'LY', 'Libya', 'EMRO', '881', '122894', '17', '1936');
INSERT INTO public.who_import VALUES (49787, '2021-02-07', 'LY', 'Libya', 'EMRO', '0', '122894', '0', '1936');
INSERT INTO public.who_import VALUES (49788, '2021-02-08', 'LY', 'Libya', 'EMRO', '1132', '124026', '17', '1953');
INSERT INTO public.who_import VALUES (49789, '2021-02-09', 'LY', 'Libya', 'EMRO', '856', '124882', '21', '1974');
INSERT INTO public.who_import VALUES (49790, '2021-02-10', 'LY', 'Libya', 'EMRO', '679', '125561', '8', '1982');
INSERT INTO public.who_import VALUES (49791, '2021-02-11', 'LY', 'Libya', 'EMRO', '467', '126028', '7', '1989');
INSERT INTO public.who_import VALUES (49792, '2021-02-12', 'LY', 'Libya', 'EMRO', '333', '126361', '20', '2009');
INSERT INTO public.who_import VALUES (49793, '2021-02-13', 'LY', 'Libya', 'EMRO', '520', '126881', '5', '2014');
INSERT INTO public.who_import VALUES (49794, '2021-02-14', 'LY', 'Libya', 'EMRO', '0', '126881', '0', '2014');
INSERT INTO public.who_import VALUES (49795, '2021-02-15', 'LY', 'Libya', 'EMRO', '473', '127354', '4', '2018');
INSERT INTO public.who_import VALUES (49796, '2021-02-16', 'LY', 'Libya', 'EMRO', '351', '127705', '24', '2042');
INSERT INTO public.who_import VALUES (49797, '2021-02-17', 'LY', 'Libya', 'EMRO', '331', '128036', '9', '2051');
INSERT INTO public.who_import VALUES (49798, '2021-02-18', 'LY', 'Libya', 'EMRO', '312', '128348', '5', '2056');
INSERT INTO public.who_import VALUES (49799, '2021-02-19', 'LY', 'Libya', 'EMRO', '392', '128740', '5', '2061');
INSERT INTO public.who_import VALUES (49800, '2021-02-20', 'LY', 'Libya', 'EMRO', '585', '129325', '27', '2088');
INSERT INTO public.who_import VALUES (49801, '2020-01-03', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49802, '2020-01-04', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49803, '2020-01-05', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49804, '2020-01-06', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49805, '2020-01-07', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49806, '2020-01-08', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49807, '2020-01-09', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49808, '2020-01-10', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49809, '2020-01-11', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49810, '2020-01-12', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49811, '2020-01-13', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49812, '2020-01-14', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49813, '2020-01-15', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49814, '2020-01-16', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49815, '2020-01-17', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49816, '2020-01-18', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49817, '2020-01-19', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49818, '2020-01-20', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49819, '2020-01-21', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49820, '2020-01-22', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49821, '2020-01-23', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49822, '2020-01-24', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49823, '2020-01-25', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49824, '2020-01-26', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49825, '2020-01-27', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49826, '2020-01-28', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49827, '2020-01-29', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49828, '2020-01-30', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49829, '2020-01-31', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49830, '2020-02-01', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49831, '2020-02-02', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49832, '2020-02-03', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49833, '2020-02-04', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49834, '2020-02-05', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49835, '2020-02-06', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49836, '2020-02-07', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49837, '2020-02-08', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49838, '2020-02-09', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49839, '2020-02-10', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49840, '2020-02-11', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49841, '2020-02-12', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49842, '2020-02-13', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49843, '2020-02-14', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49844, '2020-02-15', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49845, '2020-02-16', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49846, '2020-02-17', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49847, '2020-02-18', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49848, '2020-02-19', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49849, '2020-02-20', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49850, '2020-02-21', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49851, '2020-02-22', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49852, '2020-02-23', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49853, '2020-02-24', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49854, '2020-02-25', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49855, '2020-02-26', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49856, '2020-02-27', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49857, '2020-02-28', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49858, '2020-02-29', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49859, '2020-03-01', 'LI', 'Liechtenstein', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (49860, '2020-03-02', 'LI', 'Liechtenstein', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (49861, '2020-03-03', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49862, '2020-03-04', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49863, '2020-03-05', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49864, '2020-03-06', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49865, '2020-03-07', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49866, '2020-03-08', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49867, '2020-03-09', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49868, '2020-03-10', 'LI', 'Liechtenstein', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (49869, '2020-03-11', 'LI', 'Liechtenstein', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (49870, '2020-03-12', 'LI', 'Liechtenstein', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (49871, '2020-03-13', 'LI', 'Liechtenstein', 'EURO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (49872, '2020-03-14', 'LI', 'Liechtenstein', 'EURO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (49873, '2020-03-15', 'LI', 'Liechtenstein', 'EURO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (49874, '2020-03-16', 'LI', 'Liechtenstein', 'EURO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (49875, '2020-03-17', 'LI', 'Liechtenstein', 'EURO', '5', '19', '0', '0');
INSERT INTO public.who_import VALUES (49876, '2020-03-18', 'LI', 'Liechtenstein', 'EURO', '6', '25', '0', '0');
INSERT INTO public.who_import VALUES (49877, '2020-03-19', 'LI', 'Liechtenstein', 'EURO', '9', '34', '0', '0');
INSERT INTO public.who_import VALUES (49878, '2020-03-20', 'LI', 'Liechtenstein', 'EURO', '2', '36', '0', '0');
INSERT INTO public.who_import VALUES (49879, '2020-03-21', 'LI', 'Liechtenstein', 'EURO', '8', '44', '0', '0');
INSERT INTO public.who_import VALUES (49880, '2020-03-22', 'LI', 'Liechtenstein', 'EURO', '2', '46', '0', '0');
INSERT INTO public.who_import VALUES (49881, '2020-03-23', 'LI', 'Liechtenstein', 'EURO', '2', '48', '0', '0');
INSERT INTO public.who_import VALUES (49882, '2020-03-24', 'LI', 'Liechtenstein', 'EURO', '3', '51', '0', '0');
INSERT INTO public.who_import VALUES (49883, '2020-03-25', 'LI', 'Liechtenstein', 'EURO', '2', '53', '0', '0');
INSERT INTO public.who_import VALUES (49884, '2020-03-26', 'LI', 'Liechtenstein', 'EURO', '4', '57', '0', '0');
INSERT INTO public.who_import VALUES (49885, '2020-03-27', 'LI', 'Liechtenstein', 'EURO', '4', '61', '0', '0');
INSERT INTO public.who_import VALUES (49886, '2020-03-28', 'LI', 'Liechtenstein', 'EURO', '1', '62', '0', '0');
INSERT INTO public.who_import VALUES (49887, '2020-03-29', 'LI', 'Liechtenstein', 'EURO', '1', '63', '0', '0');
INSERT INTO public.who_import VALUES (49888, '2020-03-30', 'LI', 'Liechtenstein', 'EURO', '2', '65', '0', '0');
INSERT INTO public.who_import VALUES (49889, '2020-03-31', 'LI', 'Liechtenstein', 'EURO', '4', '69', '0', '0');
INSERT INTO public.who_import VALUES (49890, '2020-04-01', 'LI', 'Liechtenstein', 'EURO', '4', '73', '0', '0');
INSERT INTO public.who_import VALUES (49891, '2020-04-02', 'LI', 'Liechtenstein', 'EURO', '3', '76', '0', '0');
INSERT INTO public.who_import VALUES (49892, '2020-04-03', 'LI', 'Liechtenstein', 'EURO', '1', '77', '0', '0');
INSERT INTO public.who_import VALUES (49893, '2020-04-04', 'LI', 'Liechtenstein', 'EURO', '1', '78', '1', '1');
INSERT INTO public.who_import VALUES (49894, '2020-04-05', 'LI', 'Liechtenstein', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (49895, '2020-04-06', 'LI', 'Liechtenstein', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (49896, '2020-04-07', 'LI', 'Liechtenstein', 'EURO', '1', '79', '0', '1');
INSERT INTO public.who_import VALUES (49897, '2020-04-08', 'LI', 'Liechtenstein', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (49898, '2020-04-09', 'LI', 'Liechtenstein', 'EURO', '1', '80', '0', '1');
INSERT INTO public.who_import VALUES (49899, '2020-04-10', 'LI', 'Liechtenstein', 'EURO', '0', '80', '0', '1');
INSERT INTO public.who_import VALUES (49900, '2020-04-11', 'LI', 'Liechtenstein', 'EURO', '0', '80', '0', '1');
INSERT INTO public.who_import VALUES (49901, '2020-04-12', 'LI', 'Liechtenstein', 'EURO', '1', '81', '0', '1');
INSERT INTO public.who_import VALUES (49902, '2020-04-13', 'LI', 'Liechtenstein', 'EURO', '0', '81', '0', '1');
INSERT INTO public.who_import VALUES (49903, '2020-04-14', 'LI', 'Liechtenstein', 'EURO', '0', '81', '0', '1');
INSERT INTO public.who_import VALUES (49904, '2020-04-15', 'LI', 'Liechtenstein', 'EURO', '0', '81', '0', '1');
INSERT INTO public.who_import VALUES (49905, '2020-04-16', 'LI', 'Liechtenstein', 'EURO', '0', '81', '0', '1');
INSERT INTO public.who_import VALUES (49906, '2020-04-17', 'LI', 'Liechtenstein', 'EURO', '1', '82', '0', '1');
INSERT INTO public.who_import VALUES (49907, '2020-04-18', 'LI', 'Liechtenstein', 'EURO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (49908, '2020-04-19', 'LI', 'Liechtenstein', 'EURO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (49909, '2020-04-20', 'LI', 'Liechtenstein', 'EURO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (49910, '2020-04-21', 'LI', 'Liechtenstein', 'EURO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (49911, '2020-04-22', 'LI', 'Liechtenstein', 'EURO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (49912, '2020-04-23', 'LI', 'Liechtenstein', 'EURO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (49913, '2020-04-24', 'LI', 'Liechtenstein', 'EURO', '1', '83', '0', '1');
INSERT INTO public.who_import VALUES (49914, '2020-04-25', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49915, '2020-04-26', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49916, '2020-04-27', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49917, '2020-04-28', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49918, '2020-04-29', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49919, '2020-04-30', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49920, '2020-05-01', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49921, '2020-05-02', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49922, '2020-05-03', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49923, '2020-05-04', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49924, '2020-05-05', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49925, '2020-05-06', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49926, '2020-05-07', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49927, '2020-05-08', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49928, '2020-05-09', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49929, '2020-05-10', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49930, '2020-05-11', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49931, '2020-05-12', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49932, '2020-05-13', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49933, '2020-05-14', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49934, '2020-05-15', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49935, '2020-05-16', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49936, '2020-05-17', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49937, '2020-05-18', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49938, '2020-05-19', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49939, '2020-05-20', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49940, '2020-05-21', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49941, '2020-05-22', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49942, '2020-05-23', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49943, '2020-05-24', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49944, '2020-05-25', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49945, '2020-05-26', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49946, '2020-05-27', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49947, '2020-05-28', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49948, '2020-05-29', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49949, '2020-05-30', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49950, '2020-05-31', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49951, '2020-06-01', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49952, '2020-06-02', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49953, '2020-06-03', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49954, '2020-06-04', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49955, '2020-06-05', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49956, '2020-06-06', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49957, '2020-06-07', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49958, '2020-06-08', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49959, '2020-06-09', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49960, '2020-06-10', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49961, '2020-06-11', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49962, '2020-06-12', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49963, '2020-06-13', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49964, '2020-06-14', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49965, '2020-06-15', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49966, '2020-06-16', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49967, '2020-06-17', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49968, '2020-06-18', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49969, '2020-06-19', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49970, '2020-06-20', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49971, '2020-06-21', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49972, '2020-06-22', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49973, '2020-06-23', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49974, '2020-06-24', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49975, '2020-06-25', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49976, '2020-06-26', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49977, '2020-06-27', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49978, '2020-06-28', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49979, '2020-06-29', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49980, '2020-06-30', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49981, '2020-07-01', 'LI', 'Liechtenstein', 'EURO', '0', '83', '0', '1');
INSERT INTO public.who_import VALUES (49982, '2020-07-02', 'LI', 'Liechtenstein', 'EURO', '1', '84', '0', '1');
INSERT INTO public.who_import VALUES (49983, '2020-07-03', 'LI', 'Liechtenstein', 'EURO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (49984, '2020-07-04', 'LI', 'Liechtenstein', 'EURO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (49985, '2020-07-05', 'LI', 'Liechtenstein', 'EURO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (49986, '2020-07-06', 'LI', 'Liechtenstein', 'EURO', '1', '85', '0', '1');
INSERT INTO public.who_import VALUES (49987, '2020-07-07', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49988, '2020-07-08', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49989, '2020-07-09', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49990, '2020-07-10', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49991, '2020-07-11', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49992, '2020-07-12', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49993, '2020-07-13', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49994, '2020-07-14', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49995, '2020-07-15', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49996, '2020-07-16', 'LI', 'Liechtenstein', 'EURO', '0', '85', '0', '1');
INSERT INTO public.who_import VALUES (49997, '2020-07-17', 'LI', 'Liechtenstein', 'EURO', '1', '86', '0', '1');
INSERT INTO public.who_import VALUES (49998, '2020-07-18', 'LI', 'Liechtenstein', 'EURO', '1', '87', '0', '1');
INSERT INTO public.who_import VALUES (49999, '2020-07-19', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50000, '2020-07-20', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50001, '2020-07-21', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50002, '2020-07-22', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50003, '2020-07-23', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50004, '2020-07-24', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50005, '2020-07-25', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50006, '2020-07-26', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50007, '2020-07-27', 'LI', 'Liechtenstein', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (50008, '2020-07-28', 'LI', 'Liechtenstein', 'EURO', '1', '88', '0', '1');
INSERT INTO public.who_import VALUES (50009, '2020-07-29', 'LI', 'Liechtenstein', 'EURO', '1', '89', '0', '1');
INSERT INTO public.who_import VALUES (50010, '2020-07-30', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50011, '2020-07-31', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50012, '2020-08-01', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50013, '2020-08-02', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50014, '2020-08-03', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50015, '2020-08-04', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50016, '2020-08-05', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50017, '2020-08-06', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50018, '2020-08-07', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50019, '2020-08-08', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50020, '2020-08-09', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50021, '2020-08-10', 'LI', 'Liechtenstein', 'EURO', '0', '89', '0', '1');
INSERT INTO public.who_import VALUES (50022, '2020-08-11', 'LI', 'Liechtenstein', 'EURO', '1', '90', '0', '1');
INSERT INTO public.who_import VALUES (50023, '2020-08-12', 'LI', 'Liechtenstein', 'EURO', '1', '91', '0', '1');
INSERT INTO public.who_import VALUES (50024, '2020-08-13', 'LI', 'Liechtenstein', 'EURO', '1', '92', '0', '1');
INSERT INTO public.who_import VALUES (50025, '2020-08-14', 'LI', 'Liechtenstein', 'EURO', '1', '93', '0', '1');
INSERT INTO public.who_import VALUES (50026, '2020-08-15', 'LI', 'Liechtenstein', 'EURO', '1', '94', '0', '1');
INSERT INTO public.who_import VALUES (50027, '2020-08-16', 'LI', 'Liechtenstein', 'EURO', '0', '94', '0', '1');
INSERT INTO public.who_import VALUES (50028, '2020-08-17', 'LI', 'Liechtenstein', 'EURO', '3', '97', '0', '1');
INSERT INTO public.who_import VALUES (50029, '2020-08-18', 'LI', 'Liechtenstein', 'EURO', '1', '98', '0', '1');
INSERT INTO public.who_import VALUES (50030, '2020-08-19', 'LI', 'Liechtenstein', 'EURO', '1', '99', '0', '1');
INSERT INTO public.who_import VALUES (50031, '2020-08-20', 'LI', 'Liechtenstein', 'EURO', '0', '99', '0', '1');
INSERT INTO public.who_import VALUES (50032, '2020-08-21', 'LI', 'Liechtenstein', 'EURO', '1', '100', '0', '1');
INSERT INTO public.who_import VALUES (50033, '2020-08-22', 'LI', 'Liechtenstein', 'EURO', '0', '100', '0', '1');
INSERT INTO public.who_import VALUES (50034, '2020-08-23', 'LI', 'Liechtenstein', 'EURO', '1', '101', '0', '1');
INSERT INTO public.who_import VALUES (50035, '2020-08-24', 'LI', 'Liechtenstein', 'EURO', '0', '101', '0', '1');
INSERT INTO public.who_import VALUES (50036, '2020-08-25', 'LI', 'Liechtenstein', 'EURO', '2', '103', '0', '1');
INSERT INTO public.who_import VALUES (50037, '2020-08-26', 'LI', 'Liechtenstein', 'EURO', '2', '105', '0', '1');
INSERT INTO public.who_import VALUES (50038, '2020-08-27', 'LI', 'Liechtenstein', 'EURO', '1', '106', '0', '1');
INSERT INTO public.who_import VALUES (50039, '2020-08-28', 'LI', 'Liechtenstein', 'EURO', '1', '107', '0', '1');
INSERT INTO public.who_import VALUES (50040, '2020-08-29', 'LI', 'Liechtenstein', 'EURO', '0', '107', '0', '1');
INSERT INTO public.who_import VALUES (50041, '2020-08-30', 'LI', 'Liechtenstein', 'EURO', '1', '108', '0', '1');
INSERT INTO public.who_import VALUES (50042, '2020-08-31', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50043, '2020-09-01', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50044, '2020-09-02', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50045, '2020-09-03', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50046, '2020-09-04', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50047, '2020-09-05', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50048, '2020-09-06', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50049, '2020-09-07', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50050, '2020-09-08', 'LI', 'Liechtenstein', 'EURO', '0', '108', '0', '1');
INSERT INTO public.who_import VALUES (50051, '2020-09-09', 'LI', 'Liechtenstein', 'EURO', '1', '109', '0', '1');
INSERT INTO public.who_import VALUES (50052, '2020-09-10', 'LI', 'Liechtenstein', 'EURO', '0', '109', '0', '1');
INSERT INTO public.who_import VALUES (50053, '2020-09-11', 'LI', 'Liechtenstein', 'EURO', '0', '109', '0', '1');
INSERT INTO public.who_import VALUES (50054, '2020-09-12', 'LI', 'Liechtenstein', 'EURO', '2', '111', '0', '1');
INSERT INTO public.who_import VALUES (50055, '2020-09-13', 'LI', 'Liechtenstein', 'EURO', '0', '111', '0', '1');
INSERT INTO public.who_import VALUES (50056, '2020-09-14', 'LI', 'Liechtenstein', 'EURO', '0', '111', '0', '1');
INSERT INTO public.who_import VALUES (50057, '2020-09-15', 'LI', 'Liechtenstein', 'EURO', '0', '111', '0', '1');
INSERT INTO public.who_import VALUES (50058, '2020-09-16', 'LI', 'Liechtenstein', 'EURO', '0', '111', '0', '1');
INSERT INTO public.who_import VALUES (50059, '2020-09-17', 'LI', 'Liechtenstein', 'EURO', '1', '112', '0', '1');
INSERT INTO public.who_import VALUES (50060, '2020-09-18', 'LI', 'Liechtenstein', 'EURO', '0', '112', '0', '1');
INSERT INTO public.who_import VALUES (50061, '2020-09-19', 'LI', 'Liechtenstein', 'EURO', '1', '113', '0', '1');
INSERT INTO public.who_import VALUES (50062, '2020-09-20', 'LI', 'Liechtenstein', 'EURO', '1', '114', '0', '1');
INSERT INTO public.who_import VALUES (50063, '2020-09-21', 'LI', 'Liechtenstein', 'EURO', '1', '115', '0', '1');
INSERT INTO public.who_import VALUES (50064, '2020-09-22', 'LI', 'Liechtenstein', 'EURO', '1', '116', '0', '1');
INSERT INTO public.who_import VALUES (50065, '2020-09-23', 'LI', 'Liechtenstein', 'EURO', '1', '117', '0', '1');
INSERT INTO public.who_import VALUES (50066, '2020-09-24', 'LI', 'Liechtenstein', 'EURO', '0', '117', '0', '1');
INSERT INTO public.who_import VALUES (50067, '2020-09-25', 'LI', 'Liechtenstein', 'EURO', '1', '118', '0', '1');
INSERT INTO public.who_import VALUES (50068, '2020-09-26', 'LI', 'Liechtenstein', 'EURO', '1', '119', '0', '1');
INSERT INTO public.who_import VALUES (50069, '2020-09-27', 'LI', 'Liechtenstein', 'EURO', '0', '119', '0', '1');
INSERT INTO public.who_import VALUES (50070, '2020-09-28', 'LI', 'Liechtenstein', 'EURO', '0', '119', '0', '1');
INSERT INTO public.who_import VALUES (50071, '2020-09-29', 'LI', 'Liechtenstein', 'EURO', '1', '120', '0', '1');
INSERT INTO public.who_import VALUES (50072, '2020-09-30', 'LI', 'Liechtenstein', 'EURO', '0', '120', '0', '1');
INSERT INTO public.who_import VALUES (50073, '2020-10-01', 'LI', 'Liechtenstein', 'EURO', '1', '121', '0', '1');
INSERT INTO public.who_import VALUES (50074, '2020-10-02', 'LI', 'Liechtenstein', 'EURO', '1', '122', '0', '1');
INSERT INTO public.who_import VALUES (50075, '2020-10-03', 'LI', 'Liechtenstein', 'EURO', '3', '125', '0', '1');
INSERT INTO public.who_import VALUES (50076, '2020-10-04', 'LI', 'Liechtenstein', 'EURO', '3', '128', '0', '1');
INSERT INTO public.who_import VALUES (50077, '2020-10-05', 'LI', 'Liechtenstein', 'EURO', '1', '129', '0', '1');
INSERT INTO public.who_import VALUES (50078, '2020-10-06', 'LI', 'Liechtenstein', 'EURO', '3', '132', '0', '1');
INSERT INTO public.who_import VALUES (50079, '2020-10-07', 'LI', 'Liechtenstein', 'EURO', '1', '133', '0', '1');
INSERT INTO public.who_import VALUES (50080, '2020-10-08', 'LI', 'Liechtenstein', 'EURO', '3', '136', '0', '1');
INSERT INTO public.who_import VALUES (50081, '2020-10-09', 'LI', 'Liechtenstein', 'EURO', '3', '139', '0', '1');
INSERT INTO public.who_import VALUES (50082, '2020-10-10', 'LI', 'Liechtenstein', 'EURO', '6', '145', '0', '1');
INSERT INTO public.who_import VALUES (50083, '2020-10-11', 'LI', 'Liechtenstein', 'EURO', '5', '150', '0', '1');
INSERT INTO public.who_import VALUES (50084, '2020-10-12', 'LI', 'Liechtenstein', 'EURO', '0', '150', '0', '1');
INSERT INTO public.who_import VALUES (50085, '2020-10-13', 'LI', 'Liechtenstein', 'EURO', '14', '164', '0', '1');
INSERT INTO public.who_import VALUES (50086, '2020-10-14', 'LI', 'Liechtenstein', 'EURO', '13', '177', '0', '1');
INSERT INTO public.who_import VALUES (50087, '2020-10-15', 'LI', 'Liechtenstein', 'EURO', '8', '185', '0', '1');
INSERT INTO public.who_import VALUES (50088, '2020-10-16', 'LI', 'Liechtenstein', 'EURO', '17', '202', '0', '1');
INSERT INTO public.who_import VALUES (50089, '2020-10-17', 'LI', 'Liechtenstein', 'EURO', '18', '220', '0', '1');
INSERT INTO public.who_import VALUES (50090, '2020-10-18', 'LI', 'Liechtenstein', 'EURO', '6', '226', '0', '1');
INSERT INTO public.who_import VALUES (50091, '2020-10-19', 'LI', 'Liechtenstein', 'EURO', '2', '228', '0', '1');
INSERT INTO public.who_import VALUES (50092, '2020-10-20', 'LI', 'Liechtenstein', 'EURO', '30', '258', '0', '1');
INSERT INTO public.who_import VALUES (50093, '2020-10-21', 'LI', 'Liechtenstein', 'EURO', '31', '289', '0', '1');
INSERT INTO public.who_import VALUES (50094, '2020-10-22', 'LI', 'Liechtenstein', 'EURO', '37', '326', '0', '1');
INSERT INTO public.who_import VALUES (50095, '2020-10-23', 'LI', 'Liechtenstein', 'EURO', '26', '352', '0', '1');
INSERT INTO public.who_import VALUES (50096, '2020-10-24', 'LI', 'Liechtenstein', 'EURO', '23', '375', '0', '1');
INSERT INTO public.who_import VALUES (50097, '2020-10-25', 'LI', 'Liechtenstein', 'EURO', '37', '412', '0', '1');
INSERT INTO public.who_import VALUES (50098, '2020-10-26', 'LI', 'Liechtenstein', 'EURO', '23', '435', '0', '1');
INSERT INTO public.who_import VALUES (50099, '2020-10-27', 'LI', 'Liechtenstein', 'EURO', '26', '461', '0', '1');
INSERT INTO public.who_import VALUES (50100, '2020-10-28', 'LI', 'Liechtenstein', 'EURO', '23', '484', '0', '1');
INSERT INTO public.who_import VALUES (50101, '2020-10-29', 'LI', 'Liechtenstein', 'EURO', '36', '520', '0', '1');
INSERT INTO public.who_import VALUES (50102, '2020-10-30', 'LI', 'Liechtenstein', 'EURO', '27', '547', '1', '2');
INSERT INTO public.who_import VALUES (50103, '2020-10-31', 'LI', 'Liechtenstein', 'EURO', '29', '576', '1', '3');
INSERT INTO public.who_import VALUES (50104, '2020-11-01', 'LI', 'Liechtenstein', 'EURO', '25', '601', '0', '3');
INSERT INTO public.who_import VALUES (50105, '2020-11-02', 'LI', 'Liechtenstein', 'EURO', '22', '623', '0', '3');
INSERT INTO public.who_import VALUES (50106, '2020-11-03', 'LI', 'Liechtenstein', 'EURO', '45', '668', '0', '3');
INSERT INTO public.who_import VALUES (50107, '2020-11-04', 'LI', 'Liechtenstein', 'EURO', '35', '703', '0', '3');
INSERT INTO public.who_import VALUES (50108, '2020-11-05', 'LI', 'Liechtenstein', 'EURO', '39', '742', '0', '3');
INSERT INTO public.who_import VALUES (50109, '2020-11-06', 'LI', 'Liechtenstein', 'EURO', '39', '781', '0', '3');
INSERT INTO public.who_import VALUES (50110, '2020-11-07', 'LI', 'Liechtenstein', 'EURO', '22', '803', '0', '3');
INSERT INTO public.who_import VALUES (50111, '2020-11-08', 'LI', 'Liechtenstein', 'EURO', '15', '818', '0', '3');
INSERT INTO public.who_import VALUES (50112, '2020-11-09', 'LI', 'Liechtenstein', 'EURO', '22', '840', '1', '4');
INSERT INTO public.who_import VALUES (50113, '2020-11-10', 'LI', 'Liechtenstein', 'EURO', '49', '889', '0', '4');
INSERT INTO public.who_import VALUES (50114, '2020-11-11', 'LI', 'Liechtenstein', 'EURO', '35', '924', '0', '4');
INSERT INTO public.who_import VALUES (50115, '2020-11-12', 'LI', 'Liechtenstein', 'EURO', '23', '947', '0', '4');
INSERT INTO public.who_import VALUES (50116, '2020-11-13', 'LI', 'Liechtenstein', 'EURO', '21', '968', '1', '5');
INSERT INTO public.who_import VALUES (50117, '2020-11-14', 'LI', 'Liechtenstein', 'EURO', '25', '993', '0', '5');
INSERT INTO public.who_import VALUES (50118, '2020-11-15', 'LI', 'Liechtenstein', 'EURO', '18', '1011', '0', '5');
INSERT INTO public.who_import VALUES (50119, '2020-11-16', 'LI', 'Liechtenstein', 'EURO', '11', '1022', '2', '7');
INSERT INTO public.who_import VALUES (50120, '2020-11-17', 'LI', 'Liechtenstein', 'EURO', '26', '1048', '1', '8');
INSERT INTO public.who_import VALUES (50121, '2020-11-18', 'LI', 'Liechtenstein', 'EURO', '35', '1083', '0', '8');
INSERT INTO public.who_import VALUES (50122, '2020-11-19', 'LI', 'Liechtenstein', 'EURO', '19', '1102', '0', '8');
INSERT INTO public.who_import VALUES (50123, '2020-11-20', 'LI', 'Liechtenstein', 'EURO', '19', '1121', '0', '8');
INSERT INTO public.who_import VALUES (50124, '2020-11-21', 'LI', 'Liechtenstein', 'EURO', '16', '1137', '0', '8');
INSERT INTO public.who_import VALUES (50125, '2020-11-22', 'LI', 'Liechtenstein', 'EURO', '14', '1151', '1', '9');
INSERT INTO public.who_import VALUES (50126, '2020-11-23', 'LI', 'Liechtenstein', 'EURO', '31', '1182', '3', '12');
INSERT INTO public.who_import VALUES (50127, '2020-11-24', 'LI', 'Liechtenstein', 'EURO', '28', '1210', '1', '13');
INSERT INTO public.who_import VALUES (50128, '2020-11-25', 'LI', 'Liechtenstein', 'EURO', '22', '1232', '1', '14');
INSERT INTO public.who_import VALUES (50129, '2020-11-26', 'LI', 'Liechtenstein', 'EURO', '30', '1262', '0', '14');
INSERT INTO public.who_import VALUES (50130, '2020-11-27', 'LI', 'Liechtenstein', 'EURO', '17', '1279', '1', '15');
INSERT INTO public.who_import VALUES (50131, '2020-11-28', 'LI', 'Liechtenstein', 'EURO', '6', '1285', '1', '16');
INSERT INTO public.who_import VALUES (50132, '2020-11-29', 'LI', 'Liechtenstein', 'EURO', '16', '1301', '0', '16');
INSERT INTO public.who_import VALUES (50133, '2020-11-30', 'LI', 'Liechtenstein', 'EURO', '11', '1312', '0', '16');
INSERT INTO public.who_import VALUES (50134, '2020-12-01', 'LI', 'Liechtenstein', 'EURO', '33', '1345', '0', '16');
INSERT INTO public.who_import VALUES (50135, '2020-12-02', 'LI', 'Liechtenstein', 'EURO', '24', '1369', '0', '16');
INSERT INTO public.who_import VALUES (50136, '2020-12-03', 'LI', 'Liechtenstein', 'EURO', '15', '1384', '1', '17');
INSERT INTO public.who_import VALUES (50137, '2020-12-04', 'LI', 'Liechtenstein', 'EURO', '17', '1401', '0', '17');
INSERT INTO public.who_import VALUES (50138, '2020-12-05', 'LI', 'Liechtenstein', 'EURO', '17', '1418', '0', '17');
INSERT INTO public.who_import VALUES (50139, '2020-12-06', 'LI', 'Liechtenstein', 'EURO', '13', '1431', '1', '18');
INSERT INTO public.who_import VALUES (50140, '2020-12-07', 'LI', 'Liechtenstein', 'EURO', '4', '1435', '1', '19');
INSERT INTO public.who_import VALUES (50141, '2020-12-08', 'LI', 'Liechtenstein', 'EURO', '23', '1458', '0', '19');
INSERT INTO public.who_import VALUES (50142, '2020-12-09', 'LI', 'Liechtenstein', 'EURO', '16', '1474', '0', '19');
INSERT INTO public.who_import VALUES (50143, '2020-12-10', 'LI', 'Liechtenstein', 'EURO', '21', '1495', '0', '19');
INSERT INTO public.who_import VALUES (50144, '2020-12-11', 'LI', 'Liechtenstein', 'EURO', '23', '1518', '1', '20');
INSERT INTO public.who_import VALUES (50145, '2020-12-12', 'LI', 'Liechtenstein', 'EURO', '30', '1548', '0', '20');
INSERT INTO public.who_import VALUES (50146, '2020-12-13', 'LI', 'Liechtenstein', 'EURO', '27', '1575', '0', '20');
INSERT INTO public.who_import VALUES (50147, '2020-12-14', 'LI', 'Liechtenstein', 'EURO', '31', '1606', '1', '21');
INSERT INTO public.who_import VALUES (50148, '2020-12-15', 'LI', 'Liechtenstein', 'EURO', '32', '1638', '0', '21');
INSERT INTO public.who_import VALUES (50149, '2020-12-16', 'LI', 'Liechtenstein', 'EURO', '40', '1678', '0', '21');
INSERT INTO public.who_import VALUES (50150, '2020-12-17', 'LI', 'Liechtenstein', 'EURO', '35', '1713', '0', '21');
INSERT INTO public.who_import VALUES (50151, '2020-12-18', 'LI', 'Liechtenstein', 'EURO', '36', '1749', '2', '23');
INSERT INTO public.who_import VALUES (50152, '2020-12-19', 'LI', 'Liechtenstein', 'EURO', '48', '1797', '2', '25');
INSERT INTO public.who_import VALUES (50153, '2020-12-20', 'LI', 'Liechtenstein', 'EURO', '32', '1829', '0', '25');
INSERT INTO public.who_import VALUES (50154, '2020-12-21', 'LI', 'Liechtenstein', 'EURO', '20', '1849', '3', '28');
INSERT INTO public.who_import VALUES (50155, '2020-12-22', 'LI', 'Liechtenstein', 'EURO', '42', '1891', '1', '29');
INSERT INTO public.who_import VALUES (50156, '2020-12-23', 'LI', 'Liechtenstein', 'EURO', '59', '1950', '1', '30');
INSERT INTO public.who_import VALUES (50157, '2020-12-24', 'LI', 'Liechtenstein', 'EURO', '50', '2000', '1', '31');
INSERT INTO public.who_import VALUES (50158, '2020-12-25', 'LI', 'Liechtenstein', 'EURO', '34', '2034', '2', '33');
INSERT INTO public.who_import VALUES (50159, '2020-12-26', 'LI', 'Liechtenstein', 'EURO', '29', '2063', '3', '36');
INSERT INTO public.who_import VALUES (50160, '2020-12-27', 'LI', 'Liechtenstein', 'EURO', '23', '2086', '1', '37');
INSERT INTO public.who_import VALUES (50161, '2020-12-28', 'LI', 'Liechtenstein', 'EURO', '29', '2115', '1', '38');
INSERT INTO public.who_import VALUES (50162, '2020-12-29', 'LI', 'Liechtenstein', 'EURO', '38', '2153', '1', '39');
INSERT INTO public.who_import VALUES (50163, '2020-12-30', 'LI', 'Liechtenstein', 'EURO', '37', '2190', '2', '41');
INSERT INTO public.who_import VALUES (50164, '2020-12-31', 'LI', 'Liechtenstein', 'EURO', '31', '2221', '1', '42');
INSERT INTO public.who_import VALUES (50165, '2021-01-01', 'LI', 'Liechtenstein', 'EURO', '24', '2245', '0', '42');
INSERT INTO public.who_import VALUES (50166, '2021-01-02', 'LI', 'Liechtenstein', 'EURO', '14', '2259', '0', '42');
INSERT INTO public.who_import VALUES (50167, '2021-01-03', 'LI', 'Liechtenstein', 'EURO', '23', '2282', '0', '42');
INSERT INTO public.who_import VALUES (50168, '2021-01-04', 'LI', 'Liechtenstein', 'EURO', '19', '2301', '2', '44');
INSERT INTO public.who_import VALUES (50169, '2021-01-05', 'LI', 'Liechtenstein', 'EURO', '31', '2332', '2', '46');
INSERT INTO public.who_import VALUES (50170, '2021-01-06', 'LI', 'Liechtenstein', 'EURO', '30', '2362', '0', '46');
INSERT INTO public.who_import VALUES (50171, '2021-01-07', 'LI', 'Liechtenstein', 'EURO', '10', '2372', '0', '46');
INSERT INTO public.who_import VALUES (50172, '2021-01-08', 'LI', 'Liechtenstein', 'EURO', '10', '2382', '2', '48');
INSERT INTO public.who_import VALUES (50173, '2021-01-09', 'LI', 'Liechtenstein', 'EURO', '13', '2395', '0', '48');
INSERT INTO public.who_import VALUES (50174, '2021-01-10', 'LI', 'Liechtenstein', 'EURO', '8', '2403', '0', '48');
INSERT INTO public.who_import VALUES (50175, '2021-01-11', 'LI', 'Liechtenstein', 'EURO', '9', '2412', '0', '48');
INSERT INTO public.who_import VALUES (50176, '2021-01-12', 'LI', 'Liechtenstein', 'EURO', '16', '2428', '0', '48');
INSERT INTO public.who_import VALUES (50177, '2021-01-13', 'LI', 'Liechtenstein', 'EURO', '9', '2437', '0', '48');
INSERT INTO public.who_import VALUES (50178, '2021-01-14', 'LI', 'Liechtenstein', 'EURO', '4', '2441', '0', '48');
INSERT INTO public.who_import VALUES (50179, '2021-01-15', 'LI', 'Liechtenstein', 'EURO', '1', '2442', '0', '48');
INSERT INTO public.who_import VALUES (50180, '2021-01-16', 'LI', 'Liechtenstein', 'EURO', '4', '2446', '0', '48');
INSERT INTO public.who_import VALUES (50181, '2021-01-17', 'LI', 'Liechtenstein', 'EURO', '6', '2452', '0', '48');
INSERT INTO public.who_import VALUES (50182, '2021-01-18', 'LI', 'Liechtenstein', 'EURO', '6', '2458', '1', '49');
INSERT INTO public.who_import VALUES (50183, '2021-01-19', 'LI', 'Liechtenstein', 'EURO', '10', '2468', '0', '49');
INSERT INTO public.who_import VALUES (50184, '2021-01-20', 'LI', 'Liechtenstein', 'EURO', '10', '2478', '1', '50');
INSERT INTO public.who_import VALUES (50185, '2021-01-21', 'LI', 'Liechtenstein', 'EURO', '17', '2495', '0', '50');
INSERT INTO public.who_import VALUES (50186, '2021-01-22', 'LI', 'Liechtenstein', 'EURO', '5', '2500', '0', '50');
INSERT INTO public.who_import VALUES (50187, '2021-01-23', 'LI', 'Liechtenstein', 'EURO', '6', '2506', '0', '50');
INSERT INTO public.who_import VALUES (50188, '2021-01-24', 'LI', 'Liechtenstein', 'EURO', '5', '2511', '0', '50');
INSERT INTO public.who_import VALUES (50189, '2021-01-25', 'LI', 'Liechtenstein', 'EURO', '11', '2522', '0', '50');
INSERT INTO public.who_import VALUES (50190, '2021-01-26', 'LI', 'Liechtenstein', 'EURO', '4', '2526', '0', '50');
INSERT INTO public.who_import VALUES (50191, '2021-01-27', 'LI', 'Liechtenstein', 'EURO', '17', '2543', '0', '50');
INSERT INTO public.who_import VALUES (50192, '2021-01-28', 'LI', 'Liechtenstein', 'EURO', '9', '2552', '0', '50');
INSERT INTO public.who_import VALUES (50193, '2021-01-29', 'LI', 'Liechtenstein', 'EURO', '9', '2561', '0', '50');
INSERT INTO public.who_import VALUES (50194, '2021-01-30', 'LI', 'Liechtenstein', 'EURO', '2', '2563', '0', '50');
INSERT INTO public.who_import VALUES (50195, '2021-01-31', 'LI', 'Liechtenstein', 'EURO', '2', '2565', '0', '50');
INSERT INTO public.who_import VALUES (50196, '2021-02-01', 'LI', 'Liechtenstein', 'EURO', '2', '2567', '0', '50');
INSERT INTO public.who_import VALUES (50197, '2021-02-02', 'LI', 'Liechtenstein', 'EURO', '12', '2579', '0', '50');
INSERT INTO public.who_import VALUES (50198, '2021-02-03', 'LI', 'Liechtenstein', 'EURO', '3', '2582', '0', '50');
INSERT INTO public.who_import VALUES (50199, '2021-02-04', 'LI', 'Liechtenstein', 'EURO', '5', '2587', '0', '50');
INSERT INTO public.who_import VALUES (50200, '2021-02-05', 'LI', 'Liechtenstein', 'EURO', '1', '2588', '0', '50');
INSERT INTO public.who_import VALUES (50201, '2021-02-06', 'LI', 'Liechtenstein', 'EURO', '3', '2591', '0', '50');
INSERT INTO public.who_import VALUES (50202, '2021-02-07', 'LI', 'Liechtenstein', 'EURO', '4', '2595', '0', '50');
INSERT INTO public.who_import VALUES (50203, '2021-02-08', 'LI', 'Liechtenstein', 'EURO', '3', '2598', '1', '51');
INSERT INTO public.who_import VALUES (50204, '2021-02-09', 'LI', 'Liechtenstein', 'EURO', '5', '2603', '0', '51');
INSERT INTO public.who_import VALUES (50205, '2021-02-10', 'LI', 'Liechtenstein', 'EURO', '4', '2607', '0', '51');
INSERT INTO public.who_import VALUES (50206, '2021-02-11', 'LI', 'Liechtenstein', 'EURO', '2', '2609', '0', '51');
INSERT INTO public.who_import VALUES (50207, '2021-02-12', 'LI', 'Liechtenstein', 'EURO', '3', '2612', '0', '51');
INSERT INTO public.who_import VALUES (50208, '2021-02-13', 'LI', 'Liechtenstein', 'EURO', '0', '2612', '1', '52');
INSERT INTO public.who_import VALUES (50209, '2021-02-14', 'LI', 'Liechtenstein', 'EURO', '1', '2613', '0', '52');
INSERT INTO public.who_import VALUES (50210, '2021-02-15', 'LI', 'Liechtenstein', 'EURO', '1', '2614', '0', '52');
INSERT INTO public.who_import VALUES (50211, '2021-02-16', 'LI', 'Liechtenstein', 'EURO', '1', '2615', '0', '52');
INSERT INTO public.who_import VALUES (50212, '2021-02-17', 'LI', 'Liechtenstein', 'EURO', '1', '2616', '0', '52');
INSERT INTO public.who_import VALUES (50213, '2021-02-18', 'LI', 'Liechtenstein', 'EURO', '1', '2617', '0', '52');
INSERT INTO public.who_import VALUES (50214, '2021-02-19', 'LI', 'Liechtenstein', 'EURO', '0', '2617', '0', '52');
INSERT INTO public.who_import VALUES (50215, '2021-02-20', 'LI', 'Liechtenstein', 'EURO', '0', '2617', '0', '52');
INSERT INTO public.who_import VALUES (50216, '2020-01-03', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50217, '2020-01-04', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50218, '2020-01-05', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50219, '2020-01-06', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50220, '2020-01-07', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50221, '2020-01-08', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50222, '2020-01-09', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50223, '2020-01-10', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50224, '2020-01-11', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50225, '2020-01-12', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50226, '2020-01-13', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50227, '2020-01-14', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50228, '2020-01-15', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50229, '2020-01-16', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50230, '2020-01-17', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50231, '2020-01-18', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50232, '2020-01-19', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50233, '2020-01-20', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50234, '2020-01-21', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50235, '2020-01-22', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50236, '2020-01-23', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50237, '2020-01-24', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50238, '2020-01-25', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50239, '2020-01-26', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50240, '2020-01-27', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50241, '2020-01-28', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50242, '2020-01-29', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50243, '2020-01-30', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50244, '2020-01-31', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50245, '2020-02-01', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50246, '2020-02-02', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50247, '2020-02-03', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50248, '2020-02-04', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50249, '2020-02-05', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50250, '2020-02-06', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50251, '2020-02-07', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50252, '2020-02-08', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50253, '2020-02-09', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50254, '2020-02-10', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50255, '2020-02-11', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50256, '2020-02-12', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50257, '2020-02-13', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50258, '2020-02-14', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50259, '2020-02-15', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50260, '2020-02-16', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50261, '2020-02-17', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50262, '2020-02-18', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50263, '2020-02-19', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50264, '2020-02-20', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50265, '2020-02-21', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50266, '2020-02-22', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50267, '2020-02-23', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50268, '2020-02-24', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50269, '2020-02-25', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50270, '2020-02-26', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50271, '2020-02-27', 'LT', 'Lithuania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50272, '2020-02-28', 'LT', 'Lithuania', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (50273, '2020-02-29', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50274, '2020-03-01', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50275, '2020-03-02', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50276, '2020-03-03', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50277, '2020-03-04', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50278, '2020-03-05', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50279, '2020-03-06', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50280, '2020-03-07', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50281, '2020-03-08', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50282, '2020-03-09', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50283, '2020-03-10', 'LT', 'Lithuania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50284, '2020-03-11', 'LT', 'Lithuania', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (50285, '2020-03-12', 'LT', 'Lithuania', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (50286, '2020-03-13', 'LT', 'Lithuania', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (50287, '2020-03-14', 'LT', 'Lithuania', 'EURO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (50288, '2020-03-15', 'LT', 'Lithuania', 'EURO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (50289, '2020-03-16', 'LT', 'Lithuania', 'EURO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (50290, '2020-03-17', 'LT', 'Lithuania', 'EURO', '7', '19', '0', '0');
INSERT INTO public.who_import VALUES (50291, '2020-03-18', 'LT', 'Lithuania', 'EURO', '8', '27', '0', '0');
INSERT INTO public.who_import VALUES (50292, '2020-03-19', 'LT', 'Lithuania', 'EURO', '9', '36', '0', '0');
INSERT INTO public.who_import VALUES (50293, '2020-03-20', 'LT', 'Lithuania', 'EURO', '11', '47', '0', '0');
INSERT INTO public.who_import VALUES (50294, '2020-03-21', 'LT', 'Lithuania', 'EURO', '22', '69', '1', '1');
INSERT INTO public.who_import VALUES (50295, '2020-03-22', 'LT', 'Lithuania', 'EURO', '28', '97', '0', '1');
INSERT INTO public.who_import VALUES (50296, '2020-03-23', 'LT', 'Lithuania', 'EURO', '31', '128', '0', '1');
INSERT INTO public.who_import VALUES (50297, '2020-03-24', 'LT', 'Lithuania', 'EURO', '38', '166', '0', '1');
INSERT INTO public.who_import VALUES (50298, '2020-03-25', 'LT', 'Lithuania', 'EURO', '42', '208', '2', '3');
INSERT INTO public.who_import VALUES (50299, '2020-03-26', 'LT', 'Lithuania', 'EURO', '55', '263', '1', '4');
INSERT INTO public.who_import VALUES (50300, '2020-03-27', 'LT', 'Lithuania', 'EURO', '29', '292', '1', '5');
INSERT INTO public.who_import VALUES (50301, '2020-03-28', 'LT', 'Lithuania', 'EURO', '47', '339', '0', '5');
INSERT INTO public.who_import VALUES (50302, '2020-03-29', 'LT', 'Lithuania', 'EURO', '39', '378', '2', '7');
INSERT INTO public.who_import VALUES (50303, '2020-03-30', 'LT', 'Lithuania', 'EURO', '46', '424', '0', '7');
INSERT INTO public.who_import VALUES (50304, '2020-03-31', 'LT', 'Lithuania', 'EURO', '44', '468', '0', '7');
INSERT INTO public.who_import VALUES (50305, '2020-04-01', 'LT', 'Lithuania', 'EURO', '44', '512', '1', '8');
INSERT INTO public.who_import VALUES (50306, '2020-04-02', 'LT', 'Lithuania', 'EURO', '67', '579', '1', '9');
INSERT INTO public.who_import VALUES (50307, '2020-04-03', 'LT', 'Lithuania', 'EURO', '52', '631', '0', '9');
INSERT INTO public.who_import VALUES (50308, '2020-04-04', 'LT', 'Lithuania', 'EURO', '52', '683', '2', '11');
INSERT INTO public.who_import VALUES (50309, '2020-04-05', 'LT', 'Lithuania', 'EURO', '33', '716', '1', '12');
INSERT INTO public.who_import VALUES (50310, '2020-04-06', 'LT', 'Lithuania', 'EURO', '34', '750', '2', '14');
INSERT INTO public.who_import VALUES (50311, '2020-04-07', 'LT', 'Lithuania', 'EURO', '33', '783', '6', '20');
INSERT INTO public.who_import VALUES (50312, '2020-04-08', 'LT', 'Lithuania', 'EURO', '38', '821', '0', '20');
INSERT INTO public.who_import VALUES (50313, '2020-04-09', 'LT', 'Lithuania', 'EURO', '37', '858', '1', '21');
INSERT INTO public.who_import VALUES (50314, '2020-04-10', 'LT', 'Lithuania', 'EURO', '38', '896', '1', '22');
INSERT INTO public.who_import VALUES (50315, '2020-04-11', 'LT', 'Lithuania', 'EURO', '30', '926', '2', '24');
INSERT INTO public.who_import VALUES (50316, '2020-04-12', 'LT', 'Lithuania', 'EURO', '26', '952', '1', '25');
INSERT INTO public.who_import VALUES (50317, '2020-04-13', 'LT', 'Lithuania', 'EURO', '18', '970', '0', '25');
INSERT INTO public.who_import VALUES (50318, '2020-04-14', 'LT', 'Lithuania', 'EURO', '7', '977', '1', '26');
INSERT INTO public.who_import VALUES (50319, '2020-04-15', 'LT', 'Lithuania', 'EURO', '18', '995', '4', '30');
INSERT INTO public.who_import VALUES (50320, '2020-04-16', 'LT', 'Lithuania', 'EURO', '27', '1022', '0', '30');
INSERT INTO public.who_import VALUES (50321, '2020-04-17', 'LT', 'Lithuania', 'EURO', '28', '1050', '2', '32');
INSERT INTO public.who_import VALUES (50322, '2020-04-18', 'LT', 'Lithuania', 'EURO', '41', '1091', '1', '33');
INSERT INTO public.who_import VALUES (50323, '2020-04-19', 'LT', 'Lithuania', 'EURO', '62', '1153', '1', '34');
INSERT INTO public.who_import VALUES (50324, '2020-04-20', 'LT', 'Lithuania', 'EURO', '20', '1173', '3', '37');
INSERT INTO public.who_import VALUES (50325, '2020-04-21', 'LT', 'Lithuania', 'EURO', '53', '1226', '1', '38');
INSERT INTO public.who_import VALUES (50326, '2020-04-22', 'LT', 'Lithuania', 'EURO', '24', '1250', '1', '39');
INSERT INTO public.who_import VALUES (50327, '2020-04-23', 'LT', 'Lithuania', 'EURO', '22', '1272', '0', '39');
INSERT INTO public.who_import VALUES (50328, '2020-04-24', 'LT', 'Lithuania', 'EURO', '19', '1291', '1', '40');
INSERT INTO public.who_import VALUES (50329, '2020-04-25', 'LT', 'Lithuania', 'EURO', '10', '1301', '1', '41');
INSERT INTO public.who_import VALUES (50330, '2020-04-26', 'LT', 'Lithuania', 'EURO', '15', '1316', '2', '43');
INSERT INTO public.who_import VALUES (50331, '2020-04-27', 'LT', 'Lithuania', 'EURO', '12', '1328', '1', '44');
INSERT INTO public.who_import VALUES (50332, '2020-04-28', 'LT', 'Lithuania', 'EURO', '9', '1337', '0', '44');
INSERT INTO public.who_import VALUES (50333, '2020-04-29', 'LT', 'Lithuania', 'EURO', '27', '1364', '1', '45');
INSERT INTO public.who_import VALUES (50334, '2020-04-30', 'LT', 'Lithuania', 'EURO', '11', '1375', '0', '45');
INSERT INTO public.who_import VALUES (50335, '2020-05-01', 'LT', 'Lithuania', 'EURO', '14', '1389', '0', '45');
INSERT INTO public.who_import VALUES (50336, '2020-05-02', 'LT', 'Lithuania', 'EURO', '5', '1394', '1', '46');
INSERT INTO public.who_import VALUES (50337, '2020-05-03', 'LT', 'Lithuania', 'EURO', '5', '1399', '0', '46');
INSERT INTO public.who_import VALUES (50338, '2020-05-04', 'LT', 'Lithuania', 'EURO', '8', '1407', '0', '46');
INSERT INTO public.who_import VALUES (50339, '2020-05-05', 'LT', 'Lithuania', 'EURO', '3', '1410', '0', '46');
INSERT INTO public.who_import VALUES (50340, '2020-05-06', 'LT', 'Lithuania', 'EURO', '6', '1416', '2', '48');
INSERT INTO public.who_import VALUES (50341, '2020-05-07', 'LT', 'Lithuania', 'EURO', '5', '1421', '1', '49');
INSERT INTO public.who_import VALUES (50342, '2020-05-08', 'LT', 'Lithuania', 'EURO', '9', '1430', '0', '49');
INSERT INTO public.who_import VALUES (50343, '2020-05-09', 'LT', 'Lithuania', 'EURO', '29', '1459', '1', '50');
INSERT INTO public.who_import VALUES (50344, '2020-05-10', 'LT', 'Lithuania', 'EURO', '12', '1471', '1', '51');
INSERT INTO public.who_import VALUES (50345, '2020-05-11', 'LT', 'Lithuania', 'EURO', '8', '1479', '0', '51');
INSERT INTO public.who_import VALUES (50346, '2020-05-12', 'LT', 'Lithuania', 'EURO', '9', '1488', '3', '54');
INSERT INTO public.who_import VALUES (50347, '2020-05-13', 'LT', 'Lithuania', 'EURO', '14', '1502', '0', '54');
INSERT INTO public.who_import VALUES (50348, '2020-05-14', 'LT', 'Lithuania', 'EURO', '9', '1511', '0', '54');
INSERT INTO public.who_import VALUES (50349, '2020-05-15', 'LT', 'Lithuania', 'EURO', '10', '1521', '1', '55');
INSERT INTO public.who_import VALUES (50350, '2020-05-16', 'LT', 'Lithuania', 'EURO', '15', '1536', '1', '56');
INSERT INTO public.who_import VALUES (50351, '2020-05-17', 'LT', 'Lithuania', 'EURO', '9', '1545', '2', '58');
INSERT INTO public.who_import VALUES (50352, '2020-05-18', 'LT', 'Lithuania', 'EURO', '6', '1551', '2', '60');
INSERT INTO public.who_import VALUES (50353, '2020-05-19', 'LT', 'Lithuania', 'EURO', '8', '1559', '0', '60');
INSERT INTO public.who_import VALUES (50354, '2020-05-20', 'LT', 'Lithuania', 'EURO', '21', '1580', '1', '61');
INSERT INTO public.who_import VALUES (50355, '2020-05-21', 'LT', 'Lithuania', 'EURO', '12', '1592', '0', '61');
INSERT INTO public.who_import VALUES (50356, '2020-05-22', 'LT', 'Lithuania', 'EURO', '6', '1598', '0', '61');
INSERT INTO public.who_import VALUES (50357, '2020-05-23', 'LT', 'Lithuania', 'EURO', '14', '1612', '2', '63');
INSERT INTO public.who_import VALUES (50358, '2020-05-24', 'LT', 'Lithuania', 'EURO', '6', '1618', '1', '64');
INSERT INTO public.who_import VALUES (50359, '2020-05-25', 'LT', 'Lithuania', 'EURO', '10', '1628', '1', '65');
INSERT INTO public.who_import VALUES (50360, '2020-05-26', 'LT', 'Lithuania', 'EURO', '4', '1632', '1', '66');
INSERT INTO public.who_import VALUES (50361, '2020-05-27', 'LT', 'Lithuania', 'EURO', '8', '1640', '0', '66');
INSERT INTO public.who_import VALUES (50362, '2020-05-28', 'LT', 'Lithuania', 'EURO', '9', '1649', '2', '68');
INSERT INTO public.who_import VALUES (50363, '2020-05-29', 'LT', 'Lithuania', 'EURO', '5', '1654', '0', '68');
INSERT INTO public.who_import VALUES (50364, '2020-05-30', 'LT', 'Lithuania', 'EURO', '8', '1662', '2', '70');
INSERT INTO public.who_import VALUES (50365, '2020-05-31', 'LT', 'Lithuania', 'EURO', '5', '1667', '0', '70');
INSERT INTO public.who_import VALUES (50366, '2020-06-01', 'LT', 'Lithuania', 'EURO', '4', '1671', '1', '71');
INSERT INTO public.who_import VALUES (50367, '2020-06-02', 'LT', 'Lithuania', 'EURO', '5', '1676', '0', '71');
INSERT INTO public.who_import VALUES (50368, '2020-06-03', 'LT', 'Lithuania', 'EURO', '3', '1679', '0', '71');
INSERT INTO public.who_import VALUES (50369, '2020-06-04', 'LT', 'Lithuania', 'EURO', '5', '1684', '0', '71');
INSERT INTO public.who_import VALUES (50370, '2020-06-05', 'LT', 'Lithuania', 'EURO', '5', '1689', '0', '71');
INSERT INTO public.who_import VALUES (50371, '2020-06-06', 'LT', 'Lithuania', 'EURO', '11', '1700', '0', '71');
INSERT INTO public.who_import VALUES (50372, '2020-06-07', 'LT', 'Lithuania', 'EURO', '9', '1709', '0', '71');
INSERT INTO public.who_import VALUES (50373, '2020-06-08', 'LT', 'Lithuania', 'EURO', '7', '1716', '0', '71');
INSERT INTO public.who_import VALUES (50374, '2020-06-09', 'LT', 'Lithuania', 'EURO', '6', '1722', '0', '71');
INSERT INTO public.who_import VALUES (50375, '2020-06-10', 'LT', 'Lithuania', 'EURO', '6', '1728', '3', '74');
INSERT INTO public.who_import VALUES (50376, '2020-06-11', 'LT', 'Lithuania', 'EURO', '19', '1747', '0', '74');
INSERT INTO public.who_import VALUES (50377, '2020-06-12', 'LT', 'Lithuania', 'EURO', '4', '1751', '1', '75');
INSERT INTO public.who_import VALUES (50378, '2020-06-13', 'LT', 'Lithuania', 'EURO', '7', '1758', '0', '75');
INSERT INTO public.who_import VALUES (50379, '2020-06-14', 'LT', 'Lithuania', 'EURO', '5', '1763', '0', '75');
INSERT INTO public.who_import VALUES (50380, '2020-06-15', 'LT', 'Lithuania', 'EURO', '5', '1768', '1', '76');
INSERT INTO public.who_import VALUES (50381, '2020-06-16', 'LT', 'Lithuania', 'EURO', '3', '1771', '0', '76');
INSERT INTO public.who_import VALUES (50382, '2020-06-17', 'LT', 'Lithuania', 'EURO', '2', '1773', '0', '76');
INSERT INTO public.who_import VALUES (50383, '2020-06-18', 'LT', 'Lithuania', 'EURO', '6', '1779', '0', '76');
INSERT INTO public.who_import VALUES (50384, '2020-06-19', 'LT', 'Lithuania', 'EURO', '8', '1787', '0', '76');
INSERT INTO public.who_import VALUES (50385, '2020-06-20', 'LT', 'Lithuania', 'EURO', '3', '1790', '0', '76');
INSERT INTO public.who_import VALUES (50386, '2020-06-21', 'LT', 'Lithuania', 'EURO', '3', '1793', '0', '76');
INSERT INTO public.who_import VALUES (50387, '2020-06-22', 'LT', 'Lithuania', 'EURO', '3', '1796', '0', '76');
INSERT INTO public.who_import VALUES (50388, '2020-06-23', 'LT', 'Lithuania', 'EURO', '2', '1798', '1', '77');
INSERT INTO public.who_import VALUES (50389, '2020-06-24', 'LT', 'Lithuania', 'EURO', '1', '1799', '1', '78');
INSERT INTO public.who_import VALUES (50390, '2020-06-25', 'LT', 'Lithuania', 'EURO', '2', '1801', '0', '78');
INSERT INTO public.who_import VALUES (50391, '2020-06-26', 'LT', 'Lithuania', 'EURO', '2', '1803', '0', '78');
INSERT INTO public.who_import VALUES (50392, '2020-06-27', 'LT', 'Lithuania', 'EURO', '5', '1808', '0', '78');
INSERT INTO public.who_import VALUES (50393, '2020-06-28', 'LT', 'Lithuania', 'EURO', '2', '1810', '0', '78');
INSERT INTO public.who_import VALUES (50394, '2020-06-29', 'LT', 'Lithuania', 'EURO', '1', '1811', '0', '78');
INSERT INTO public.who_import VALUES (50395, '2020-06-30', 'LT', 'Lithuania', 'EURO', '1', '1812', '0', '78');
INSERT INTO public.who_import VALUES (50396, '2020-07-01', 'LT', 'Lithuania', 'EURO', '1', '1813', '0', '78');
INSERT INTO public.who_import VALUES (50397, '2020-07-02', 'LT', 'Lithuania', 'EURO', '7', '1820', '1', '79');
INSERT INTO public.who_import VALUES (50398, '2020-07-03', 'LT', 'Lithuania', 'EURO', '3', '1823', '0', '79');
INSERT INTO public.who_import VALUES (50399, '2020-07-04', 'LT', 'Lithuania', 'EURO', '3', '1826', '0', '79');
INSERT INTO public.who_import VALUES (50400, '2020-07-05', 'LT', 'Lithuania', 'EURO', '5', '1831', '0', '79');
INSERT INTO public.who_import VALUES (50401, '2020-07-06', 'LT', 'Lithuania', 'EURO', '5', '1836', '0', '79');
INSERT INTO public.who_import VALUES (50402, '2020-07-07', 'LT', 'Lithuania', 'EURO', '3', '1839', '0', '79');
INSERT INTO public.who_import VALUES (50403, '2020-07-08', 'LT', 'Lithuania', 'EURO', '10', '1849', '0', '79');
INSERT INTO public.who_import VALUES (50404, '2020-07-09', 'LT', 'Lithuania', 'EURO', '3', '1852', '0', '79');
INSERT INTO public.who_import VALUES (50405, '2020-07-10', 'LT', 'Lithuania', 'EURO', '4', '1856', '0', '79');
INSERT INTO public.who_import VALUES (50406, '2020-07-11', 'LT', 'Lithuania', 'EURO', '4', '1860', '0', '79');
INSERT INTO public.who_import VALUES (50407, '2020-07-12', 'LT', 'Lithuania', 'EURO', '4', '1864', '0', '79');
INSERT INTO public.who_import VALUES (50408, '2020-07-13', 'LT', 'Lithuania', 'EURO', '5', '1869', '0', '79');
INSERT INTO public.who_import VALUES (50409, '2020-07-14', 'LT', 'Lithuania', 'EURO', '1', '1870', '0', '79');
INSERT INTO public.who_import VALUES (50410, '2020-07-15', 'LT', 'Lithuania', 'EURO', '21', '1891', '0', '79');
INSERT INTO public.who_import VALUES (50411, '2020-07-16', 'LT', 'Lithuania', 'EURO', '6', '1897', '0', '79');
INSERT INTO public.who_import VALUES (50412, '2020-07-17', 'LT', 'Lithuania', 'EURO', '6', '1903', '0', '79');
INSERT INTO public.who_import VALUES (50413, '2020-07-18', 'LT', 'Lithuania', 'EURO', '7', '1910', '1', '80');
INSERT INTO public.who_import VALUES (50414, '2020-07-19', 'LT', 'Lithuania', 'EURO', '18', '1928', '0', '80');
INSERT INTO public.who_import VALUES (50415, '2020-07-20', 'LT', 'Lithuania', 'EURO', '14', '1942', '0', '80');
INSERT INTO public.who_import VALUES (50416, '2020-07-21', 'LT', 'Lithuania', 'EURO', '2', '1944', '0', '80');
INSERT INTO public.who_import VALUES (50417, '2020-07-22', 'LT', 'Lithuania', 'EURO', '2', '1946', '0', '80');
INSERT INTO public.who_import VALUES (50418, '2020-07-23', 'LT', 'Lithuania', 'EURO', '10', '1956', '0', '80');
INSERT INTO public.who_import VALUES (50419, '2020-07-24', 'LT', 'Lithuania', 'EURO', '26', '1982', '0', '80');
INSERT INTO public.who_import VALUES (50420, '2020-07-25', 'LT', 'Lithuania', 'EURO', '14', '1996', '0', '80');
INSERT INTO public.who_import VALUES (50421, '2020-07-26', 'LT', 'Lithuania', 'EURO', '7', '2003', '0', '80');
INSERT INTO public.who_import VALUES (50422, '2020-07-27', 'LT', 'Lithuania', 'EURO', '11', '2014', '0', '80');
INSERT INTO public.who_import VALUES (50423, '2020-07-28', 'LT', 'Lithuania', 'EURO', '8', '2022', '0', '80');
INSERT INTO public.who_import VALUES (50424, '2020-07-29', 'LT', 'Lithuania', 'EURO', '15', '2037', '0', '80');
INSERT INTO public.who_import VALUES (50425, '2020-07-30', 'LT', 'Lithuania', 'EURO', '19', '2056', '0', '80');
INSERT INTO public.who_import VALUES (50426, '2020-07-31', 'LT', 'Lithuania', 'EURO', '13', '2069', '0', '80');
INSERT INTO public.who_import VALUES (50427, '2020-08-01', 'LT', 'Lithuania', 'EURO', '18', '2087', '0', '80');
INSERT INTO public.who_import VALUES (50428, '2020-08-02', 'LT', 'Lithuania', 'EURO', '17', '2104', '0', '80');
INSERT INTO public.who_import VALUES (50429, '2020-08-03', 'LT', 'Lithuania', 'EURO', '10', '2114', '0', '80');
INSERT INTO public.who_import VALUES (50430, '2020-08-04', 'LT', 'Lithuania', 'EURO', '17', '2131', '0', '80');
INSERT INTO public.who_import VALUES (50431, '2020-08-05', 'LT', 'Lithuania', 'EURO', '10', '2141', '0', '80');
INSERT INTO public.who_import VALUES (50432, '2020-08-06', 'LT', 'Lithuania', 'EURO', '24', '2165', '1', '81');
INSERT INTO public.who_import VALUES (50433, '2020-08-07', 'LT', 'Lithuania', 'EURO', '24', '2189', '0', '81');
INSERT INTO public.who_import VALUES (50434, '2020-08-08', 'LT', 'Lithuania', 'EURO', '36', '2225', '0', '81');
INSERT INTO public.who_import VALUES (50435, '2020-08-09', 'LT', 'Lithuania', 'EURO', '22', '2247', '0', '81');
INSERT INTO public.who_import VALUES (50436, '2020-08-10', 'LT', 'Lithuania', 'EURO', '12', '2259', '0', '81');
INSERT INTO public.who_import VALUES (50437, '2020-08-11', 'LT', 'Lithuania', 'EURO', '18', '2277', '0', '81');
INSERT INTO public.who_import VALUES (50438, '2020-08-12', 'LT', 'Lithuania', 'EURO', '26', '2303', '0', '81');
INSERT INTO public.who_import VALUES (50439, '2020-08-13', 'LT', 'Lithuania', 'EURO', '21', '2324', '0', '81');
INSERT INTO public.who_import VALUES (50440, '2020-08-14', 'LT', 'Lithuania', 'EURO', '22', '2346', '0', '81');
INSERT INTO public.who_import VALUES (50441, '2020-08-15', 'LT', 'Lithuania', 'EURO', '33', '2379', '0', '81');
INSERT INTO public.who_import VALUES (50442, '2020-08-16', 'LT', 'Lithuania', 'EURO', '30', '2409', '0', '81');
INSERT INTO public.who_import VALUES (50443, '2020-08-17', 'LT', 'Lithuania', 'EURO', '21', '2430', '0', '81');
INSERT INTO public.who_import VALUES (50444, '2020-08-18', 'LT', 'Lithuania', 'EURO', '37', '2467', '0', '81');
INSERT INTO public.who_import VALUES (50445, '2020-08-19', 'LT', 'Lithuania', 'EURO', '22', '2489', '0', '81');
INSERT INTO public.who_import VALUES (50446, '2020-08-20', 'LT', 'Lithuania', 'EURO', '32', '2521', '1', '82');
INSERT INTO public.who_import VALUES (50447, '2020-08-21', 'LT', 'Lithuania', 'EURO', '37', '2558', '0', '82');
INSERT INTO public.who_import VALUES (50448, '2020-08-22', 'LT', 'Lithuania', 'EURO', '30', '2588', '2', '84');
INSERT INTO public.who_import VALUES (50449, '2020-08-23', 'LT', 'Lithuania', 'EURO', '41', '2629', '0', '84');
INSERT INTO public.who_import VALUES (50450, '2020-08-24', 'LT', 'Lithuania', 'EURO', '38', '2667', '1', '85');
INSERT INTO public.who_import VALUES (50451, '2020-08-25', 'LT', 'Lithuania', 'EURO', '21', '2688', '0', '85');
INSERT INTO public.who_import VALUES (50452, '2020-08-26', 'LT', 'Lithuania', 'EURO', '32', '2720', '0', '85');
INSERT INTO public.who_import VALUES (50453, '2020-08-27', 'LT', 'Lithuania', 'EURO', '36', '2756', '0', '85');
INSERT INTO public.who_import VALUES (50454, '2020-08-28', 'LT', 'Lithuania', 'EURO', '48', '2804', '1', '86');
INSERT INTO public.who_import VALUES (50455, '2020-08-29', 'LT', 'Lithuania', 'EURO', '29', '2833', '0', '86');
INSERT INTO public.who_import VALUES (50456, '2020-08-30', 'LT', 'Lithuania', 'EURO', '35', '2868', '0', '86');
INSERT INTO public.who_import VALUES (50457, '2020-08-31', 'LT', 'Lithuania', 'EURO', '32', '2900', '0', '86');
INSERT INTO public.who_import VALUES (50458, '2020-09-01', 'LT', 'Lithuania', 'EURO', '23', '2923', '0', '86');
INSERT INTO public.who_import VALUES (50459, '2020-09-02', 'LT', 'Lithuania', 'EURO', '29', '2952', '0', '86');
INSERT INTO public.who_import VALUES (50460, '2020-09-03', 'LT', 'Lithuania', 'EURO', '20', '2972', '0', '86');
INSERT INTO public.who_import VALUES (50461, '2020-09-04', 'LT', 'Lithuania', 'EURO', '26', '2998', '0', '86');
INSERT INTO public.who_import VALUES (50462, '2020-09-05', 'LT', 'Lithuania', 'EURO', '36', '3034', '0', '86');
INSERT INTO public.who_import VALUES (50463, '2020-09-06', 'LT', 'Lithuania', 'EURO', '43', '3077', '0', '86');
INSERT INTO public.who_import VALUES (50464, '2020-09-07', 'LT', 'Lithuania', 'EURO', '17', '3094', '0', '86');
INSERT INTO public.who_import VALUES (50465, '2020-09-08', 'LT', 'Lithuania', 'EURO', '32', '3126', '0', '86');
INSERT INTO public.who_import VALUES (50466, '2020-09-09', 'LT', 'Lithuania', 'EURO', '32', '3158', '0', '86');
INSERT INTO public.who_import VALUES (50467, '2020-09-10', 'LT', 'Lithuania', 'EURO', '36', '3194', '0', '86');
INSERT INTO public.who_import VALUES (50468, '2020-09-11', 'LT', 'Lithuania', 'EURO', '44', '3238', '0', '86');
INSERT INTO public.who_import VALUES (50469, '2020-09-12', 'LT', 'Lithuania', 'EURO', '53', '3291', '0', '86');
INSERT INTO public.who_import VALUES (50470, '2020-09-13', 'LT', 'Lithuania', 'EURO', '39', '3330', '1', '87');
INSERT INTO public.who_import VALUES (50471, '2020-09-14', 'LT', 'Lithuania', 'EURO', '51', '3381', '0', '87');
INSERT INTO public.who_import VALUES (50472, '2020-09-15', 'LT', 'Lithuania', 'EURO', '11', '3392', '0', '87');
INSERT INTO public.who_import VALUES (50473, '2020-09-16', 'LT', 'Lithuania', 'EURO', '45', '3437', '1', '88');
INSERT INTO public.who_import VALUES (50474, '2020-09-17', 'LT', 'Lithuania', 'EURO', '62', '3499', '0', '88');
INSERT INTO public.who_import VALUES (50475, '2020-09-18', 'LT', 'Lithuania', 'EURO', '61', '3560', '0', '88');
INSERT INTO public.who_import VALUES (50476, '2020-09-19', 'LT', 'Lithuania', 'EURO', '99', '3659', '0', '88');
INSERT INTO public.who_import VALUES (50477, '2020-09-20', 'LT', 'Lithuania', 'EURO', '80', '3739', '0', '88');
INSERT INTO public.who_import VALUES (50478, '2020-09-21', 'LT', 'Lithuania', 'EURO', '70', '3809', '0', '88');
INSERT INTO public.who_import VALUES (50479, '2020-09-22', 'LT', 'Lithuania', 'EURO', '45', '3854', '0', '88');
INSERT INTO public.who_import VALUES (50480, '2020-09-23', 'LT', 'Lithuania', 'EURO', '73', '3927', '0', '88');
INSERT INTO public.who_import VALUES (50481, '2020-09-24', 'LT', 'Lithuania', 'EURO', '138', '4065', '2', '90');
INSERT INTO public.who_import VALUES (50482, '2020-09-25', 'LT', 'Lithuania', 'EURO', '114', '4179', '0', '90');
INSERT INTO public.who_import VALUES (50483, '2020-09-26', 'LT', 'Lithuania', 'EURO', '111', '4290', '0', '90');
INSERT INTO public.who_import VALUES (50484, '2020-09-27', 'LT', 'Lithuania', 'EURO', '91', '4381', '2', '92');
INSERT INTO public.who_import VALUES (50485, '2020-09-28', 'LT', 'Lithuania', 'EURO', '104', '4485', '0', '92');
INSERT INTO public.who_import VALUES (50486, '2020-09-29', 'LT', 'Lithuania', 'EURO', '88', '4573', '0', '92');
INSERT INTO public.who_import VALUES (50487, '2020-09-30', 'LT', 'Lithuania', 'EURO', '115', '4688', '0', '92');
INSERT INTO public.who_import VALUES (50488, '2020-10-01', 'LT', 'Lithuania', 'EURO', '91', '4779', '0', '92');
INSERT INTO public.who_import VALUES (50489, '2020-10-02', 'LT', 'Lithuania', 'EURO', '172', '4951', '-14', '78');
INSERT INTO public.who_import VALUES (50490, '2020-10-03', 'LT', 'Lithuania', 'EURO', '125', '5076', '2', '80');
INSERT INTO public.who_import VALUES (50491, '2020-10-04', 'LT', 'Lithuania', 'EURO', '105', '5181', '1', '81');
INSERT INTO public.who_import VALUES (50492, '2020-10-05', 'LT', 'Lithuania', 'EURO', '100', '5281', '1', '82');
INSERT INTO public.who_import VALUES (50493, '2020-10-06', 'LT', 'Lithuania', 'EURO', '80', '5361', '2', '84');
INSERT INTO public.who_import VALUES (50494, '2020-10-07', 'LT', 'Lithuania', 'EURO', '116', '5477', '1', '85');
INSERT INTO public.who_import VALUES (50495, '2020-10-08', 'LT', 'Lithuania', 'EURO', '142', '5619', '1', '86');
INSERT INTO public.who_import VALUES (50496, '2020-10-09', 'LT', 'Lithuania', 'EURO', '133', '5752', '1', '87');
INSERT INTO public.who_import VALUES (50497, '2020-10-10', 'LT', 'Lithuania', 'EURO', '204', '5956', '0', '87');
INSERT INTO public.who_import VALUES (50498, '2020-10-11', 'LT', 'Lithuania', 'EURO', '160', '6116', '2', '89');
INSERT INTO public.who_import VALUES (50499, '2020-10-12', 'LT', 'Lithuania', 'EURO', '126', '6242', '0', '89');
INSERT INTO public.who_import VALUES (50500, '2020-10-13', 'LT', 'Lithuania', 'EURO', '118', '6360', '1', '90');
INSERT INTO public.who_import VALUES (50501, '2020-10-14', 'LT', 'Lithuania', 'EURO', '137', '6497', '4', '94');
INSERT INTO public.who_import VALUES (50502, '2020-10-15', 'LT', 'Lithuania', 'EURO', '255', '6752', '0', '94');
INSERT INTO public.who_import VALUES (50503, '2020-10-16', 'LT', 'Lithuania', 'EURO', '281', '7033', '3', '97');
INSERT INTO public.who_import VALUES (50504, '2020-10-17', 'LT', 'Lithuania', 'EURO', '228', '7261', '1', '98');
INSERT INTO public.who_import VALUES (50505, '2020-10-18', 'LT', 'Lithuania', 'EURO', '253', '7514', '2', '100');
INSERT INTO public.who_import VALUES (50506, '2020-10-19', 'LT', 'Lithuania', 'EURO', '206', '7720', '2', '102');
INSERT INTO public.who_import VALUES (50507, '2020-10-20', 'LT', 'Lithuania', 'EURO', '203', '7923', '3', '105');
INSERT INTO public.who_import VALUES (50508, '2020-10-21', 'LT', 'Lithuania', 'EURO', '313', '8236', '4', '109');
INSERT INTO public.who_import VALUES (50509, '2020-10-22', 'LT', 'Lithuania', 'EURO', '427', '8663', '4', '113');
INSERT INTO public.who_import VALUES (50510, '2020-10-23', 'LT', 'Lithuania', 'EURO', '445', '9108', '3', '116');
INSERT INTO public.who_import VALUES (50511, '2020-10-24', 'LT', 'Lithuania', 'EURO', '480', '9588', '1', '117');
INSERT INTO public.who_import VALUES (50512, '2020-10-25', 'LT', 'Lithuania', 'EURO', '596', '10184', '6', '123');
INSERT INTO public.who_import VALUES (50513, '2020-10-26', 'LT', 'Lithuania', 'EURO', '765', '10949', '2', '125');
INSERT INTO public.who_import VALUES (50514, '2020-10-27', 'LT', 'Lithuania', 'EURO', '422', '11371', '5', '130');
INSERT INTO public.who_import VALUES (50515, '2020-10-28', 'LT', 'Lithuania', 'EURO', '771', '12142', '5', '135');
INSERT INTO public.who_import VALUES (50516, '2020-10-29', 'LT', 'Lithuania', 'EURO', '948', '13090', '4', '139');
INSERT INTO public.who_import VALUES (50517, '2020-10-30', 'LT', 'Lithuania', 'EURO', '725', '13815', '6', '145');
INSERT INTO public.who_import VALUES (50518, '2020-10-31', 'LT', 'Lithuania', 'EURO', '1000', '14815', '8', '153');
INSERT INTO public.who_import VALUES (50519, '2020-11-01', 'LT', 'Lithuania', 'EURO', '883', '15698', '3', '156');
INSERT INTO public.who_import VALUES (50520, '2020-11-02', 'LT', 'Lithuania', 'EURO', '834', '16532', '4', '160');
INSERT INTO public.who_import VALUES (50521, '2020-11-03', 'LT', 'Lithuania', 'EURO', '893', '17425', '11', '171');
INSERT INTO public.who_import VALUES (50522, '2020-11-04', 'LT', 'Lithuania', 'EURO', '653', '18078', '6', '177');
INSERT INTO public.who_import VALUES (50523, '2020-11-05', 'LT', 'Lithuania', 'EURO', '993', '19071', '2', '179');
INSERT INTO public.who_import VALUES (50524, '2020-11-06', 'LT', 'Lithuania', 'EURO', '1649', '20720', '7', '186');
INSERT INTO public.who_import VALUES (50525, '2020-11-07', 'LT', 'Lithuania', 'EURO', '1939', '22659', '10', '196');
INSERT INTO public.who_import VALUES (50526, '2020-11-08', 'LT', 'Lithuania', 'EURO', '1975', '24634', '9', '205');
INSERT INTO public.who_import VALUES (50527, '2020-11-09', 'LT', 'Lithuania', 'EURO', '1038', '25672', '8', '213');
INSERT INTO public.who_import VALUES (50528, '2020-11-10', 'LT', 'Lithuania', 'EURO', '1109', '26781', '17', '230');
INSERT INTO public.who_import VALUES (50529, '2020-11-11', 'LT', 'Lithuania', 'EURO', '1435', '28216', '10', '240');
INSERT INTO public.who_import VALUES (50530, '2020-11-12', 'LT', 'Lithuania', 'EURO', '1555', '29771', '11', '251');
INSERT INTO public.who_import VALUES (50531, '2020-11-13', 'LT', 'Lithuania', 'EURO', '2057', '31828', '14', '265');
INSERT INTO public.who_import VALUES (50532, '2020-11-14', 'LT', 'Lithuania', 'EURO', '1528', '33356', '17', '282');
INSERT INTO public.who_import VALUES (50533, '2020-11-15', 'LT', 'Lithuania', 'EURO', '1374', '34730', '14', '296');
INSERT INTO public.who_import VALUES (50534, '2020-11-16', 'LT', 'Lithuania', 'EURO', '1148', '35878', '15', '311');
INSERT INTO public.who_import VALUES (50535, '2020-11-17', 'LT', 'Lithuania', 'EURO', '966', '36844', '20', '331');
INSERT INTO public.who_import VALUES (50536, '2020-11-18', 'LT', 'Lithuania', 'EURO', '1943', '38787', '21', '352');
INSERT INTO public.who_import VALUES (50537, '2020-11-19', 'LT', 'Lithuania', 'EURO', '1668', '40455', '23', '375');
INSERT INTO public.who_import VALUES (50538, '2020-11-20', 'LT', 'Lithuania', 'EURO', '2269', '42724', '19', '394');
INSERT INTO public.who_import VALUES (50539, '2020-11-21', 'LT', 'Lithuania', 'EURO', '1978', '44702', '20', '414');
INSERT INTO public.who_import VALUES (50540, '2020-11-22', 'LT', 'Lithuania', 'EURO', '2309', '47011', '27', '441');
INSERT INTO public.who_import VALUES (50541, '2020-11-23', 'LT', 'Lithuania', 'EURO', '1190', '48201', '20', '461');
INSERT INTO public.who_import VALUES (50542, '2020-11-24', 'LT', 'Lithuania', 'EURO', '1171', '49372', '18', '479');
INSERT INTO public.who_import VALUES (50543, '2020-11-25', 'LT', 'Lithuania', 'EURO', '2288', '51660', '22', '501');
INSERT INTO public.who_import VALUES (50544, '2020-11-26', 'LT', 'Lithuania', 'EURO', '2101', '53761', '27', '528');
INSERT INTO public.who_import VALUES (50545, '2020-11-27', 'LT', 'Lithuania', 'EURO', '2333', '56094', '23', '551');
INSERT INTO public.who_import VALUES (50546, '2020-11-28', 'LT', 'Lithuania', 'EURO', '2124', '58218', '22', '573');
INSERT INTO public.who_import VALUES (50547, '2020-11-29', 'LT', 'Lithuania', 'EURO', '1967', '60185', '22', '595');
INSERT INTO public.who_import VALUES (50548, '2020-11-30', 'LT', 'Lithuania', 'EURO', '1136', '61321', '27', '622');
INSERT INTO public.who_import VALUES (50549, '2020-12-01', 'LT', 'Lithuania', 'EURO', '1188', '62509', '20', '642');
INSERT INTO public.who_import VALUES (50550, '2020-12-02', 'LT', 'Lithuania', 'EURO', '2107', '64616', '34', '676');
INSERT INTO public.who_import VALUES (50551, '2020-12-03', 'LT', 'Lithuania', 'EURO', '2452', '67068', '19', '695');
INSERT INTO public.who_import VALUES (50552, '2020-12-04', 'LT', 'Lithuania', 'EURO', '2513', '69581', '38', '733');
INSERT INTO public.who_import VALUES (50553, '2020-12-05', 'LT', 'Lithuania', 'EURO', '2849', '72430', '34', '767');
INSERT INTO public.who_import VALUES (50554, '2020-12-06', 'LT', 'Lithuania', 'EURO', '2217', '74647', '24', '791');
INSERT INTO public.who_import VALUES (50555, '2020-12-07', 'LT', 'Lithuania', 'EURO', '1390', '76037', '44', '835');
INSERT INTO public.who_import VALUES (50556, '2020-12-08', 'LT', 'Lithuania', 'EURO', '1393', '77430', '25', '860');
INSERT INTO public.who_import VALUES (50557, '2020-12-09', 'LT', 'Lithuania', 'EURO', '3127', '80557', '27', '887');
INSERT INTO public.who_import VALUES (50558, '2020-12-10', 'LT', 'Lithuania', 'EURO', '3325', '83882', '17', '904');
INSERT INTO public.who_import VALUES (50559, '2020-12-11', 'LT', 'Lithuania', 'EURO', '3071', '86953', '35', '939');
INSERT INTO public.who_import VALUES (50560, '2020-12-12', 'LT', 'Lithuania', 'EURO', '3302', '90255', '48', '987');
INSERT INTO public.who_import VALUES (50561, '2020-12-13', 'LT', 'Lithuania', 'EURO', '2841', '93096', '54', '1041');
INSERT INTO public.who_import VALUES (50562, '2020-12-14', 'LT', 'Lithuania', 'EURO', '1920', '95016', '28', '1069');
INSERT INTO public.who_import VALUES (50563, '2020-12-15', 'LT', 'Lithuania', 'EURO', '1436', '96452', '45', '1114');
INSERT INTO public.who_import VALUES (50564, '2020-12-16', 'LT', 'Lithuania', 'EURO', '3422', '99874', '25', '1139');
INSERT INTO public.who_import VALUES (50565, '2020-12-17', 'LT', 'Lithuania', 'EURO', '3163', '103037', '43', '1182');
INSERT INTO public.who_import VALUES (50566, '2020-12-18', 'LT', 'Lithuania', 'EURO', '3183', '106220', '39', '1221');
INSERT INTO public.who_import VALUES (50567, '2020-12-19', 'LT', 'Lithuania', 'EURO', '3222', '109442', '46', '1267');
INSERT INTO public.who_import VALUES (50568, '2020-12-20', 'LT', 'Lithuania', 'EURO', '2917', '112359', '28', '1295');
INSERT INTO public.who_import VALUES (50569, '2020-12-21', 'LT', 'Lithuania', 'EURO', '2133', '114492', '46', '1341');
INSERT INTO public.who_import VALUES (50570, '2020-12-22', 'LT', 'Lithuania', 'EURO', '1883', '116375', '56', '1397');
INSERT INTO public.who_import VALUES (50571, '2020-12-23', 'LT', 'Lithuania', 'EURO', '3719', '120094', '35', '1432');
INSERT INTO public.who_import VALUES (50572, '2020-12-24', 'LT', 'Lithuania', 'EURO', '3806', '123900', '36', '1468');
INSERT INTO public.who_import VALUES (50573, '2020-12-25', 'LT', 'Lithuania', 'EURO', '2688', '126588', '44', '1512');
INSERT INTO public.who_import VALUES (50574, '2020-12-26', 'LT', 'Lithuania', 'EURO', '2344', '128932', '61', '1573');
INSERT INTO public.who_import VALUES (50575, '2020-12-27', 'LT', 'Lithuania', 'EURO', '1665', '130597', '42', '1615');
INSERT INTO public.who_import VALUES (50576, '2020-12-28', 'LT', 'Lithuania', 'EURO', '1767', '132364', '39', '1654');
INSERT INTO public.who_import VALUES (50577, '2020-12-29', 'LT', 'Lithuania', 'EURO', '1923', '134287', '43', '1697');
INSERT INTO public.who_import VALUES (50578, '2020-12-30', 'LT', 'Lithuania', 'EURO', '3911', '138198', '44', '1741');
INSERT INTO public.who_import VALUES (50579, '2020-12-31', 'LT', 'Lithuania', 'EURO', '2375', '140573', '56', '1797');
INSERT INTO public.who_import VALUES (50580, '2021-01-01', 'LT', 'Lithuania', 'EURO', '3322', '143895', '41', '1838');
INSERT INTO public.who_import VALUES (50581, '2021-01-02', 'LT', 'Lithuania', 'EURO', '1492', '145387', '51', '1889');
INSERT INTO public.who_import VALUES (50582, '2021-01-03', 'LT', 'Lithuania', 'EURO', '1238', '146625', '49', '1938');
INSERT INTO public.who_import VALUES (50583, '2021-01-04', 'LT', 'Lithuania', 'EURO', '1362', '147987', '37', '1975');
INSERT INTO public.who_import VALUES (50584, '2021-01-05', 'LT', 'Lithuania', 'EURO', '1510', '149497', '40', '2015');
INSERT INTO public.who_import VALUES (50585, '2021-01-06', 'LT', 'Lithuania', 'EURO', '2717', '152214', '34', '2049');
INSERT INTO public.who_import VALUES (50586, '2021-01-07', 'LT', 'Lithuania', 'EURO', '2334', '154548', '43', '2092');
INSERT INTO public.who_import VALUES (50587, '2021-01-08', 'LT', 'Lithuania', 'EURO', '1994', '156542', '41', '2133');
INSERT INTO public.who_import VALUES (50588, '2021-01-09', 'LT', 'Lithuania', 'EURO', '1640', '158182', '40', '2173');
INSERT INTO public.who_import VALUES (50589, '2021-01-10', 'LT', 'Lithuania', 'EURO', '1489', '159671', '27', '2200');
INSERT INTO public.who_import VALUES (50590, '2021-01-11', 'LT', 'Lithuania', 'EURO', '775', '160446', '32', '2232');
INSERT INTO public.who_import VALUES (50591, '2021-01-12', 'LT', 'Lithuania', 'EURO', '902', '161348', '40', '2272');
INSERT INTO public.who_import VALUES (50592, '2021-01-13', 'LT', 'Lithuania', 'EURO', '1694', '163042', '45', '2317');
INSERT INTO public.who_import VALUES (50593, '2021-01-14', 'LT', 'Lithuania', 'EURO', '1372', '164414', '29', '2346');
INSERT INTO public.who_import VALUES (50594, '2021-01-15', 'LT', 'Lithuania', 'EURO', '1146', '165560', '30', '2376');
INSERT INTO public.who_import VALUES (50595, '2021-01-16', 'LT', 'Lithuania', 'EURO', '1120', '166680', '38', '2414');
INSERT INTO public.who_import VALUES (50596, '2021-01-17', 'LT', 'Lithuania', 'EURO', '836', '167516', '31', '2445');
INSERT INTO public.who_import VALUES (50597, '2021-01-18', 'LT', 'Lithuania', 'EURO', '476', '167992', '24', '2469');
INSERT INTO public.who_import VALUES (50598, '2021-01-19', 'LT', 'Lithuania', 'EURO', '716', '168708', '25', '2494');
INSERT INTO public.who_import VALUES (50599, '2021-01-20', 'LT', 'Lithuania', 'EURO', '3352', '172060', '20', '2514');
INSERT INTO public.who_import VALUES (50600, '2021-01-21', 'LT', 'Lithuania', 'EURO', '1759', '173819', '40', '2554');
INSERT INTO public.who_import VALUES (50601, '2021-01-22', 'LT', 'Lithuania', 'EURO', '1027', '174846', '37', '2591');
INSERT INTO public.who_import VALUES (50602, '2021-01-23', 'LT', 'Lithuania', 'EURO', '1005', '175851', '37', '2628');
INSERT INTO public.who_import VALUES (50603, '2021-01-24', 'LT', 'Lithuania', 'EURO', '773', '176624', '21', '2649');
INSERT INTO public.who_import VALUES (50604, '2021-01-25', 'LT', 'Lithuania', 'EURO', '542', '177166', '15', '2664');
INSERT INTO public.who_import VALUES (50605, '2021-01-26', 'LT', 'Lithuania', 'EURO', '768', '177934', '24', '2688');
INSERT INTO public.who_import VALUES (50606, '2021-01-27', 'LT', 'Lithuania', 'EURO', '1278', '179212', '28', '2716');
INSERT INTO public.who_import VALUES (50607, '2021-01-28', 'LT', 'Lithuania', 'EURO', '958', '180170', '30', '2746');
INSERT INTO public.who_import VALUES (50608, '2021-01-29', 'LT', 'Lithuania', 'EURO', '858', '181028', '16', '2762');
INSERT INTO public.who_import VALUES (50609, '2021-01-30', 'LT', 'Lithuania', 'EURO', '706', '181734', '25', '2787');
INSERT INTO public.who_import VALUES (50610, '2021-01-31', 'LT', 'Lithuania', 'EURO', '805', '182539', '16', '2803');
INSERT INTO public.who_import VALUES (50611, '2021-02-01', 'LT', 'Lithuania', 'EURO', '354', '182893', '22', '2825');
INSERT INTO public.who_import VALUES (50612, '2021-02-02', 'LT', 'Lithuania', 'EURO', '551', '183444', '22', '2847');
INSERT INTO public.who_import VALUES (50613, '2021-02-03', 'LT', 'Lithuania', 'EURO', '764', '184208', '20', '2867');
INSERT INTO public.who_import VALUES (50614, '2021-02-04', 'LT', 'Lithuania', 'EURO', '740', '184948', '18', '2885');
INSERT INTO public.who_import VALUES (50615, '2021-02-05', 'LT', 'Lithuania', 'EURO', '653', '185601', '23', '2908');
INSERT INTO public.who_import VALUES (50616, '2021-02-06', 'LT', 'Lithuania', 'EURO', '677', '186278', '19', '2927');
INSERT INTO public.who_import VALUES (50617, '2021-02-07', 'LT', 'Lithuania', 'EURO', '492', '186770', '10', '2937');
INSERT INTO public.who_import VALUES (50618, '2021-02-08', 'LT', 'Lithuania', 'EURO', '269', '187039', '18', '2955');
INSERT INTO public.who_import VALUES (50619, '2021-02-09', 'LT', 'Lithuania', 'EURO', '382', '187421', '17', '2972');
INSERT INTO public.who_import VALUES (50620, '2021-02-10', 'LT', 'Lithuania', 'EURO', '570', '187991', '16', '2988');
INSERT INTO public.who_import VALUES (50621, '2021-02-11', 'LT', 'Lithuania', 'EURO', '1067', '189058', '25', '3013');
INSERT INTO public.who_import VALUES (50622, '2021-02-12', 'LT', 'Lithuania', 'EURO', '0', '189058', '0', '3013');
INSERT INTO public.who_import VALUES (50623, '2021-02-13', 'LT', 'Lithuania', 'EURO', '1183', '190241', '44', '3057');
INSERT INTO public.who_import VALUES (50624, '2021-02-14', 'LT', 'Lithuania', 'EURO', '483', '190724', '13', '3070');
INSERT INTO public.who_import VALUES (50625, '2021-02-15', 'LT', 'Lithuania', 'EURO', '213', '190937', '10', '3080');
INSERT INTO public.who_import VALUES (50626, '2021-02-16', 'LT', 'Lithuania', 'EURO', '327', '191264', '15', '3095');
INSERT INTO public.who_import VALUES (50627, '2021-02-17', 'LT', 'Lithuania', 'EURO', '557', '191821', '18', '3113');
INSERT INTO public.who_import VALUES (50628, '2021-02-18', 'LT', 'Lithuania', 'EURO', '372', '192193', '16', '3129');
INSERT INTO public.who_import VALUES (50629, '2021-02-19', 'LT', 'Lithuania', 'EURO', '793', '192986', '16', '3145');
INSERT INTO public.who_import VALUES (50630, '2021-02-20', 'LT', 'Lithuania', 'EURO', '576', '193562', '17', '3162');
INSERT INTO public.who_import VALUES (50631, '2020-01-03', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50632, '2020-01-04', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50633, '2020-01-05', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50634, '2020-01-06', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50635, '2020-01-07', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50636, '2020-01-08', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50637, '2020-01-09', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50638, '2020-01-10', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50639, '2020-01-11', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50640, '2020-01-12', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50641, '2020-01-13', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50642, '2020-01-14', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50643, '2020-01-15', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50644, '2020-01-16', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50645, '2020-01-17', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50646, '2020-01-18', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50647, '2020-01-19', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50648, '2020-01-20', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50649, '2020-01-21', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50650, '2020-01-22', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50651, '2020-01-23', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50652, '2020-01-24', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50653, '2020-01-25', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50654, '2020-01-26', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50655, '2020-01-27', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50656, '2020-01-28', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50657, '2020-01-29', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50658, '2020-01-30', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50659, '2020-01-31', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50660, '2020-02-01', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50661, '2020-02-02', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50662, '2020-02-03', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50663, '2020-02-04', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50664, '2020-02-05', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50665, '2020-02-06', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50666, '2020-02-07', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50667, '2020-02-08', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50668, '2020-02-09', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50669, '2020-02-10', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50670, '2020-02-11', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50671, '2020-02-12', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50672, '2020-02-13', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50673, '2020-02-14', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50674, '2020-02-15', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50675, '2020-02-16', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50676, '2020-02-17', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50677, '2020-02-18', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50678, '2020-02-19', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50679, '2020-02-20', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50680, '2020-02-21', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50681, '2020-02-22', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50682, '2020-02-23', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50683, '2020-02-24', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50684, '2020-02-25', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50685, '2020-02-26', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50686, '2020-02-27', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50687, '2020-02-28', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50688, '2020-02-29', 'LU', 'Luxembourg', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (50689, '2020-03-01', 'LU', 'Luxembourg', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (50690, '2020-03-02', 'LU', 'Luxembourg', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50691, '2020-03-03', 'LU', 'Luxembourg', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50692, '2020-03-04', 'LU', 'Luxembourg', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50693, '2020-03-05', 'LU', 'Luxembourg', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50694, '2020-03-06', 'LU', 'Luxembourg', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (50695, '2020-03-07', 'LU', 'Luxembourg', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (50696, '2020-03-08', 'LU', 'Luxembourg', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (50697, '2020-03-09', 'LU', 'Luxembourg', 'EURO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (50698, '2020-03-10', 'LU', 'Luxembourg', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (50699, '2020-03-11', 'LU', 'Luxembourg', 'EURO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (50700, '2020-03-12', 'LU', 'Luxembourg', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (50701, '2020-03-13', 'LU', 'Luxembourg', 'EURO', '19', '26', '0', '0');
INSERT INTO public.who_import VALUES (50702, '2020-03-14', 'LU', 'Luxembourg', 'EURO', '12', '38', '1', '1');
INSERT INTO public.who_import VALUES (50703, '2020-03-15', 'LU', 'Luxembourg', 'EURO', '0', '38', '0', '1');
INSERT INTO public.who_import VALUES (50704, '2020-03-16', 'LU', 'Luxembourg', 'EURO', '39', '77', '0', '1');
INSERT INTO public.who_import VALUES (50705, '2020-03-17', 'LU', 'Luxembourg', 'EURO', '4', '81', '0', '1');
INSERT INTO public.who_import VALUES (50706, '2020-03-18', 'LU', 'Luxembourg', 'EURO', '59', '140', '0', '1');
INSERT INTO public.who_import VALUES (50707, '2020-03-19', 'LU', 'Luxembourg', 'EURO', '70', '210', '1', '2');
INSERT INTO public.who_import VALUES (50708, '2020-03-20', 'LU', 'Luxembourg', 'EURO', '135', '345', '2', '4');
INSERT INTO public.who_import VALUES (50709, '2020-03-21', 'LU', 'Luxembourg', 'EURO', '139', '484', '1', '5');
INSERT INTO public.who_import VALUES (50710, '2020-03-22', 'LU', 'Luxembourg', 'EURO', '186', '670', '3', '8');
INSERT INTO public.who_import VALUES (50711, '2020-03-23', 'LU', 'Luxembourg', 'EURO', '128', '798', '0', '8');
INSERT INTO public.who_import VALUES (50712, '2020-03-24', 'LU', 'Luxembourg', 'EURO', '77', '875', '0', '8');
INSERT INTO public.who_import VALUES (50713, '2020-03-25', 'LU', 'Luxembourg', 'EURO', '224', '1099', '0', '8');
INSERT INTO public.who_import VALUES (50714, '2020-03-26', 'LU', 'Luxembourg', 'EURO', '234', '1333', '0', '8');
INSERT INTO public.who_import VALUES (50715, '2020-03-27', 'LU', 'Luxembourg', 'EURO', '120', '1453', '1', '9');
INSERT INTO public.who_import VALUES (50716, '2020-03-28', 'LU', 'Luxembourg', 'EURO', '152', '1605', '6', '15');
INSERT INTO public.who_import VALUES (50717, '2020-03-29', 'LU', 'Luxembourg', 'EURO', '226', '1831', '3', '18');
INSERT INTO public.who_import VALUES (50718, '2020-03-30', 'LU', 'Luxembourg', 'EURO', '119', '1950', '3', '21');
INSERT INTO public.who_import VALUES (50719, '2020-03-31', 'LU', 'Luxembourg', 'EURO', '38', '1988', '1', '22');
INSERT INTO public.who_import VALUES (50720, '2020-04-01', 'LU', 'Luxembourg', 'EURO', '190', '2178', '1', '23');
INSERT INTO public.who_import VALUES (50721, '2020-04-02', 'LU', 'Luxembourg', 'EURO', '141', '2319', '6', '29');
INSERT INTO public.who_import VALUES (50722, '2020-04-03', 'LU', 'Luxembourg', 'EURO', '168', '2487', '1', '30');
INSERT INTO public.who_import VALUES (50723, '2020-04-04', 'LU', 'Luxembourg', 'EURO', '125', '2612', '1', '31');
INSERT INTO public.who_import VALUES (50724, '2020-04-05', 'LU', 'Luxembourg', 'EURO', '117', '2729', '0', '31');
INSERT INTO public.who_import VALUES (50725, '2020-04-06', 'LU', 'Luxembourg', 'EURO', '75', '2804', '5', '36');
INSERT INTO public.who_import VALUES (50726, '2020-04-07', 'LU', 'Luxembourg', 'EURO', '39', '2843', '5', '41');
INSERT INTO public.who_import VALUES (50727, '2020-04-08', 'LU', 'Luxembourg', 'EURO', '127', '2970', '3', '44');
INSERT INTO public.who_import VALUES (50728, '2020-04-09', 'LU', 'Luxembourg', 'EURO', '64', '3034', '2', '46');
INSERT INTO public.who_import VALUES (50729, '2020-04-10', 'LU', 'Luxembourg', 'EURO', '81', '3115', '6', '52');
INSERT INTO public.who_import VALUES (50730, '2020-04-11', 'LU', 'Luxembourg', 'EURO', '108', '3223', '2', '54');
INSERT INTO public.who_import VALUES (50731, '2020-04-12', 'LU', 'Luxembourg', 'EURO', '47', '3270', '8', '62');
INSERT INTO public.who_import VALUES (50732, '2020-04-13', 'LU', 'Luxembourg', 'EURO', '11', '3281', '4', '66');
INSERT INTO public.who_import VALUES (50733, '2020-04-14', 'LU', 'Luxembourg', 'EURO', '11', '3292', '1', '67');
INSERT INTO public.who_import VALUES (50734, '2020-04-15', 'LU', 'Luxembourg', 'EURO', '15', '3307', '0', '67');
INSERT INTO public.who_import VALUES (50735, '2020-04-16', 'LU', 'Luxembourg', 'EURO', '66', '3373', '2', '69');
INSERT INTO public.who_import VALUES (50736, '2020-04-17', 'LU', 'Luxembourg', 'EURO', '71', '3444', '0', '69');
INSERT INTO public.who_import VALUES (50737, '2020-04-18', 'LU', 'Luxembourg', 'EURO', '36', '3480', '3', '72');
INSERT INTO public.who_import VALUES (50738, '2020-04-19', 'LU', 'Luxembourg', 'EURO', '57', '3537', '0', '72');
INSERT INTO public.who_import VALUES (50739, '2020-04-20', 'LU', 'Luxembourg', 'EURO', '13', '3550', '1', '73');
INSERT INTO public.who_import VALUES (50740, '2020-04-21', 'LU', 'Luxembourg', 'EURO', '8', '3558', '2', '75');
INSERT INTO public.who_import VALUES (50741, '2020-04-22', 'LU', 'Luxembourg', 'EURO', '60', '3618', '3', '78');
INSERT INTO public.who_import VALUES (50742, '2020-04-23', 'LU', 'Luxembourg', 'EURO', '36', '3654', '2', '80');
INSERT INTO public.who_import VALUES (50743, '2020-04-24', 'LU', 'Luxembourg', 'EURO', '11', '3665', '3', '83');
INSERT INTO public.who_import VALUES (50744, '2020-04-25', 'LU', 'Luxembourg', 'EURO', '30', '3695', '2', '85');
INSERT INTO public.who_import VALUES (50745, '2020-04-26', 'LU', 'Luxembourg', 'EURO', '16', '3711', '0', '85');
INSERT INTO public.who_import VALUES (50746, '2020-04-27', 'LU', 'Luxembourg', 'EURO', '12', '3723', '3', '88');
INSERT INTO public.who_import VALUES (50747, '2020-04-28', 'LU', 'Luxembourg', 'EURO', '6', '3729', '0', '88');
INSERT INTO public.who_import VALUES (50748, '2020-04-29', 'LU', 'Luxembourg', 'EURO', '12', '3741', '1', '89');
INSERT INTO public.who_import VALUES (50749, '2020-04-30', 'LU', 'Luxembourg', 'EURO', '28', '3769', '0', '89');
INSERT INTO public.who_import VALUES (50750, '2020-05-01', 'LU', 'Luxembourg', 'EURO', '15', '3784', '1', '90');
INSERT INTO public.who_import VALUES (50751, '2020-05-02', 'LU', 'Luxembourg', 'EURO', '18', '3802', '2', '92');
INSERT INTO public.who_import VALUES (50752, '2020-05-03', 'LU', 'Luxembourg', 'EURO', '10', '3812', '0', '92');
INSERT INTO public.who_import VALUES (50753, '2020-05-04', 'LU', 'Luxembourg', 'EURO', '12', '3824', '4', '96');
INSERT INTO public.who_import VALUES (50754, '2020-05-05', 'LU', 'Luxembourg', 'EURO', '4', '3828', '0', '96');
INSERT INTO public.who_import VALUES (50755, '2020-05-06', 'LU', 'Luxembourg', 'EURO', '12', '3840', '0', '96');
INSERT INTO public.who_import VALUES (50756, '2020-05-07', 'LU', 'Luxembourg', 'EURO', '11', '3851', '2', '98');
INSERT INTO public.who_import VALUES (50757, '2020-05-08', 'LU', 'Luxembourg', 'EURO', '8', '3859', '2', '100');
INSERT INTO public.who_import VALUES (50758, '2020-05-09', 'LU', 'Luxembourg', 'EURO', '12', '3871', '0', '100');
INSERT INTO public.who_import VALUES (50759, '2020-05-10', 'LU', 'Luxembourg', 'EURO', '6', '3877', '1', '101');
INSERT INTO public.who_import VALUES (50760, '2020-05-11', 'LU', 'Luxembourg', 'EURO', '9', '3886', '0', '101');
INSERT INTO public.who_import VALUES (50761, '2020-05-12', 'LU', 'Luxembourg', 'EURO', '2', '3888', '0', '101');
INSERT INTO public.who_import VALUES (50762, '2020-05-13', 'LU', 'Luxembourg', 'EURO', '6', '3894', '1', '102');
INSERT INTO public.who_import VALUES (50763, '2020-05-14', 'LU', 'Luxembourg', 'EURO', '10', '3904', '1', '103');
INSERT INTO public.who_import VALUES (50764, '2020-05-15', 'LU', 'Luxembourg', 'EURO', '11', '3915', '0', '103');
INSERT INTO public.who_import VALUES (50765, '2020-05-16', 'LU', 'Luxembourg', 'EURO', '8', '3923', '1', '104');
INSERT INTO public.who_import VALUES (50766, '2020-05-17', 'LU', 'Luxembourg', 'EURO', '7', '3930', '0', '104');
INSERT INTO public.who_import VALUES (50767, '2020-05-18', 'LU', 'Luxembourg', 'EURO', '15', '3945', '3', '107');
INSERT INTO public.who_import VALUES (50768, '2020-05-19', 'LU', 'Luxembourg', 'EURO', '2', '3947', '0', '107');
INSERT INTO public.who_import VALUES (50769, '2020-05-20', 'LU', 'Luxembourg', 'EURO', '11', '3958', '2', '109');
INSERT INTO public.who_import VALUES (50770, '2020-05-21', 'LU', 'Luxembourg', 'EURO', '13', '3971', '0', '109');
INSERT INTO public.who_import VALUES (50771, '2020-05-22', 'LU', 'Luxembourg', 'EURO', '9', '3980', '0', '109');
INSERT INTO public.who_import VALUES (50772, '2020-05-23', 'LU', 'Luxembourg', 'EURO', '1', '3981', '0', '109');
INSERT INTO public.who_import VALUES (50773, '2020-05-24', 'LU', 'Luxembourg', 'EURO', '9', '3990', '0', '109');
INSERT INTO public.who_import VALUES (50774, '2020-05-25', 'LU', 'Luxembourg', 'EURO', '2', '3992', '1', '110');
INSERT INTO public.who_import VALUES (50775, '2020-05-26', 'LU', 'Luxembourg', 'EURO', '1', '3993', '0', '110');
INSERT INTO public.who_import VALUES (50776, '2020-05-27', 'LU', 'Luxembourg', 'EURO', '2', '3995', '0', '110');
INSERT INTO public.who_import VALUES (50777, '2020-05-28', 'LU', 'Luxembourg', 'EURO', '6', '4001', '0', '110');
INSERT INTO public.who_import VALUES (50778, '2020-05-29', 'LU', 'Luxembourg', 'EURO', '7', '4008', '0', '110');
INSERT INTO public.who_import VALUES (50779, '2020-05-30', 'LU', 'Luxembourg', 'EURO', '4', '4012', '0', '110');
INSERT INTO public.who_import VALUES (50780, '2020-05-31', 'LU', 'Luxembourg', 'EURO', '4', '4016', '0', '110');
INSERT INTO public.who_import VALUES (50781, '2020-06-01', 'LU', 'Luxembourg', 'EURO', '2', '4018', '0', '110');
INSERT INTO public.who_import VALUES (50782, '2020-06-02', 'LU', 'Luxembourg', 'EURO', '1', '4019', '0', '110');
INSERT INTO public.who_import VALUES (50783, '2020-06-03', 'LU', 'Luxembourg', 'EURO', '1', '4020', '0', '110');
INSERT INTO public.who_import VALUES (50784, '2020-06-04', 'LU', 'Luxembourg', 'EURO', '0', '4020', '0', '110');
INSERT INTO public.who_import VALUES (50785, '2020-06-05', 'LU', 'Luxembourg', 'EURO', '7', '4027', '0', '110');
INSERT INTO public.who_import VALUES (50786, '2020-06-06', 'LU', 'Luxembourg', 'EURO', '5', '4032', '0', '110');
INSERT INTO public.who_import VALUES (50787, '2020-06-07', 'LU', 'Luxembourg', 'EURO', '3', '4035', '0', '110');
INSERT INTO public.who_import VALUES (50788, '2020-06-08', 'LU', 'Luxembourg', 'EURO', '4', '4039', '0', '110');
INSERT INTO public.who_import VALUES (50789, '2020-06-09', 'LU', 'Luxembourg', 'EURO', '1', '4040', '0', '110');
INSERT INTO public.who_import VALUES (50790, '2020-06-10', 'LU', 'Luxembourg', 'EURO', '6', '4046', '0', '110');
INSERT INTO public.who_import VALUES (50791, '2020-06-11', 'LU', 'Luxembourg', 'EURO', '3', '4049', '0', '110');
INSERT INTO public.who_import VALUES (50792, '2020-06-12', 'LU', 'Luxembourg', 'EURO', '3', '4052', '0', '110');
INSERT INTO public.who_import VALUES (50793, '2020-06-13', 'LU', 'Luxembourg', 'EURO', '3', '4055', '0', '110');
INSERT INTO public.who_import VALUES (50794, '2020-06-14', 'LU', 'Luxembourg', 'EURO', '8', '4063', '0', '110');
INSERT INTO public.who_import VALUES (50795, '2020-06-15', 'LU', 'Luxembourg', 'EURO', '7', '4070', '0', '110');
INSERT INTO public.who_import VALUES (50796, '2020-06-16', 'LU', 'Luxembourg', 'EURO', '2', '4072', '0', '110');
INSERT INTO public.who_import VALUES (50797, '2020-06-17', 'LU', 'Luxembourg', 'EURO', '3', '4075', '0', '110');
INSERT INTO public.who_import VALUES (50798, '2020-06-18', 'LU', 'Luxembourg', 'EURO', '10', '4085', '0', '110');
INSERT INTO public.who_import VALUES (50799, '2020-06-19', 'LU', 'Luxembourg', 'EURO', '6', '4091', '0', '110');
INSERT INTO public.who_import VALUES (50800, '2020-06-20', 'LU', 'Luxembourg', 'EURO', '8', '4099', '0', '110');
INSERT INTO public.who_import VALUES (50801, '2020-06-21', 'LU', 'Luxembourg', 'EURO', '6', '4105', '0', '110');
INSERT INTO public.who_import VALUES (50802, '2020-06-22', 'LU', 'Luxembourg', 'EURO', '15', '4120', '0', '110');
INSERT INTO public.who_import VALUES (50803, '2020-06-23', 'LU', 'Luxembourg', 'EURO', '1', '4121', '0', '110');
INSERT INTO public.who_import VALUES (50804, '2020-06-24', 'LU', 'Luxembourg', 'EURO', '12', '4133', '0', '110');
INSERT INTO public.who_import VALUES (50805, '2020-06-25', 'LU', 'Luxembourg', 'EURO', '7', '4140', '0', '110');
INSERT INTO public.who_import VALUES (50806, '2020-06-26', 'LU', 'Luxembourg', 'EURO', '11', '4151', '0', '110');
INSERT INTO public.who_import VALUES (50807, '2020-06-27', 'LU', 'Luxembourg', 'EURO', '22', '4173', '0', '110');
INSERT INTO public.who_import VALUES (50808, '2020-06-28', 'LU', 'Luxembourg', 'EURO', '44', '4217', '0', '110');
INSERT INTO public.who_import VALUES (50809, '2020-06-29', 'LU', 'Luxembourg', 'EURO', '25', '4242', '0', '110');
INSERT INTO public.who_import VALUES (50810, '2020-06-30', 'LU', 'Luxembourg', 'EURO', '14', '4256', '0', '110');
INSERT INTO public.who_import VALUES (50811, '2020-07-01', 'LU', 'Luxembourg', 'EURO', '43', '4299', '0', '110');
INSERT INTO public.who_import VALUES (50812, '2020-07-02', 'LU', 'Luxembourg', 'EURO', '46', '4345', '0', '110');
INSERT INTO public.who_import VALUES (50813, '2020-07-03', 'LU', 'Luxembourg', 'EURO', '50', '4395', '0', '110');
INSERT INTO public.who_import VALUES (50814, '2020-07-04', 'LU', 'Luxembourg', 'EURO', '52', '4447', '0', '110');
INSERT INTO public.who_import VALUES (50815, '2020-07-05', 'LU', 'Luxembourg', 'EURO', '29', '4476', '0', '110');
INSERT INTO public.who_import VALUES (50816, '2020-07-06', 'LU', 'Luxembourg', 'EURO', '46', '4522', '0', '110');
INSERT INTO public.who_import VALUES (50817, '2020-07-07', 'LU', 'Luxembourg', 'EURO', '20', '4542', '0', '110');
INSERT INTO public.who_import VALUES (50818, '2020-07-08', 'LU', 'Luxembourg', 'EURO', '61', '4603', '0', '110');
INSERT INTO public.who_import VALUES (50819, '2020-07-09', 'LU', 'Luxembourg', 'EURO', '47', '4650', '0', '110');
INSERT INTO public.who_import VALUES (50820, '2020-07-10', 'LU', 'Luxembourg', 'EURO', '69', '4719', '0', '110');
INSERT INTO public.who_import VALUES (50821, '2020-07-11', 'LU', 'Luxembourg', 'EURO', '58', '4777', '0', '110');
INSERT INTO public.who_import VALUES (50822, '2020-07-12', 'LU', 'Luxembourg', 'EURO', '65', '4842', '0', '110');
INSERT INTO public.who_import VALUES (50823, '2020-07-13', 'LU', 'Luxembourg', 'EURO', '83', '4925', '1', '111');
INSERT INTO public.who_import VALUES (50824, '2020-07-14', 'LU', 'Luxembourg', 'EURO', '31', '4956', '0', '111');
INSERT INTO public.who_import VALUES (50825, '2020-07-15', 'LU', 'Luxembourg', 'EURO', '100', '5056', '0', '111');
INSERT INTO public.who_import VALUES (50826, '2020-07-16', 'LU', 'Luxembourg', 'EURO', '0', '5056', '0', '111');
INSERT INTO public.who_import VALUES (50827, '2020-07-17', 'LU', 'Luxembourg', 'EURO', '66', '5122', '0', '111');
INSERT INTO public.who_import VALUES (50828, '2020-07-18', 'LU', 'Luxembourg', 'EURO', '163', '5285', '0', '111');
INSERT INTO public.who_import VALUES (50829, '2020-07-19', 'LU', 'Luxembourg', 'EURO', '124', '5409', '0', '111');
INSERT INTO public.who_import VALUES (50830, '2020-07-20', 'LU', 'Luxembourg', 'EURO', '74', '5483', '0', '111');
INSERT INTO public.who_import VALUES (50831, '2020-07-21', 'LU', 'Luxembourg', 'EURO', '122', '5605', '0', '111');
INSERT INTO public.who_import VALUES (50832, '2020-07-22', 'LU', 'Luxembourg', 'EURO', '120', '5725', '0', '111');
INSERT INTO public.who_import VALUES (50833, '2020-07-23', 'LU', 'Luxembourg', 'EURO', '129', '5854', '0', '111');
INSERT INTO public.who_import VALUES (50834, '2020-07-24', 'LU', 'Luxembourg', 'EURO', '98', '5952', '1', '112');
INSERT INTO public.who_import VALUES (50835, '2020-07-25', 'LU', 'Luxembourg', 'EURO', '104', '6056', '0', '112');
INSERT INTO public.who_import VALUES (50836, '2020-07-26', 'LU', 'Luxembourg', 'EURO', '133', '6189', '0', '112');
INSERT INTO public.who_import VALUES (50837, '2020-07-27', 'LU', 'Luxembourg', 'EURO', '83', '6272', '0', '112');
INSERT INTO public.who_import VALUES (50838, '2020-07-28', 'LU', 'Luxembourg', 'EURO', '49', '6321', '0', '112');
INSERT INTO public.who_import VALUES (50839, '2020-07-29', 'LU', 'Luxembourg', 'EURO', '54', '6375', '1', '113');
INSERT INTO public.who_import VALUES (50840, '2020-07-30', 'LU', 'Luxembourg', 'EURO', '158', '6533', '1', '114');
INSERT INTO public.who_import VALUES (50841, '2020-07-31', 'LU', 'Luxembourg', 'EURO', '83', '6616', '0', '114');
INSERT INTO public.who_import VALUES (50842, '2020-08-01', 'LU', 'Luxembourg', 'EURO', '79', '6695', '0', '114');
INSERT INTO public.who_import VALUES (50843, '2020-08-02', 'LU', 'Luxembourg', 'EURO', '0', '6695', '0', '114');
INSERT INTO public.who_import VALUES (50844, '2020-08-03', 'LU', 'Luxembourg', 'EURO', '0', '6695', '3', '117');
INSERT INTO public.who_import VALUES (50845, '2020-08-04', 'LU', 'Luxembourg', 'EURO', '169', '6864', '1', '118');
INSERT INTO public.who_import VALUES (50846, '2020-08-05', 'LU', 'Luxembourg', 'EURO', '53', '6917', '0', '118');
INSERT INTO public.who_import VALUES (50847, '2020-08-06', 'LU', 'Luxembourg', 'EURO', '90', '7007', '0', '118');
INSERT INTO public.who_import VALUES (50848, '2020-08-07', 'LU', 'Luxembourg', 'EURO', '66', '7073', '1', '119');
INSERT INTO public.who_import VALUES (50849, '2020-08-08', 'LU', 'Luxembourg', 'EURO', '40', '7113', '0', '119');
INSERT INTO public.who_import VALUES (50850, '2020-08-09', 'LU', 'Luxembourg', 'EURO', '0', '7113', '0', '119');
INSERT INTO public.who_import VALUES (50851, '2020-08-10', 'LU', 'Luxembourg', 'EURO', '0', '7113', '0', '119');
INSERT INTO public.who_import VALUES (50852, '2020-08-11', 'LU', 'Luxembourg', 'EURO', '103', '7216', '2', '121');
INSERT INTO public.who_import VALUES (50853, '2020-08-12', 'LU', 'Luxembourg', 'EURO', '26', '7242', '1', '122');
INSERT INTO public.who_import VALUES (50854, '2020-08-13', 'LU', 'Luxembourg', 'EURO', '58', '7300', '0', '122');
INSERT INTO public.who_import VALUES (50855, '2020-08-14', 'LU', 'Luxembourg', 'EURO', '68', '7368', '0', '122');
INSERT INTO public.who_import VALUES (50856, '2020-08-15', 'LU', 'Luxembourg', 'EURO', '37', '7405', '0', '122');
INSERT INTO public.who_import VALUES (50857, '2020-08-16', 'LU', 'Luxembourg', 'EURO', '34', '7439', '1', '123');
INSERT INTO public.who_import VALUES (50858, '2020-08-17', 'LU', 'Luxembourg', 'EURO', '0', '7439', '0', '123');
INSERT INTO public.who_import VALUES (50859, '2020-08-18', 'LU', 'Luxembourg', 'EURO', '30', '7469', '1', '124');
INSERT INTO public.who_import VALUES (50860, '2020-08-19', 'LU', 'Luxembourg', 'EURO', '30', '7499', '0', '124');
INSERT INTO public.who_import VALUES (50861, '2020-08-20', 'LU', 'Luxembourg', 'EURO', '67', '7566', '0', '124');
INSERT INTO public.who_import VALUES (50862, '2020-08-21', 'LU', 'Luxembourg', 'EURO', '71', '7637', '0', '124');
INSERT INTO public.who_import VALUES (50863, '2020-08-22', 'LU', 'Luxembourg', 'EURO', '67', '7704', '0', '124');
INSERT INTO public.who_import VALUES (50864, '2020-08-23', 'LU', 'Luxembourg', 'EURO', '0', '7704', '0', '124');
INSERT INTO public.who_import VALUES (50865, '2020-08-24', 'LU', 'Luxembourg', 'EURO', '0', '7704', '0', '124');
INSERT INTO public.who_import VALUES (50866, '2020-08-25', 'LU', 'Luxembourg', 'EURO', '90', '7794', '0', '124');
INSERT INTO public.who_import VALUES (50867, '2020-08-26', 'LU', 'Luxembourg', 'EURO', '44', '7838', '0', '124');
INSERT INTO public.who_import VALUES (50868, '2020-08-27', 'LU', 'Luxembourg', 'EURO', '90', '7928', '0', '124');
INSERT INTO public.who_import VALUES (50869, '2020-08-28', 'LU', 'Luxembourg', 'EURO', '-1385', '6543', '0', '124');
INSERT INTO public.who_import VALUES (50870, '2020-08-29', 'LU', 'Luxembourg', 'EURO', '37', '6580', '0', '124');
INSERT INTO public.who_import VALUES (50871, '2020-08-30', 'LU', 'Luxembourg', 'EURO', '0', '6580', '0', '124');
INSERT INTO public.who_import VALUES (50872, '2020-08-31', 'LU', 'Luxembourg', 'EURO', '45', '6625', '0', '124');
INSERT INTO public.who_import VALUES (50873, '2020-09-01', 'LU', 'Luxembourg', 'EURO', '52', '6677', '0', '124');
INSERT INTO public.who_import VALUES (50874, '2020-09-02', 'LU', 'Luxembourg', 'EURO', '0', '6677', '0', '124');
INSERT INTO public.who_import VALUES (50875, '2020-09-03', 'LU', 'Luxembourg', 'EURO', '68', '6745', '0', '124');
INSERT INTO public.who_import VALUES (50876, '2020-09-04', 'LU', 'Luxembourg', 'EURO', '0', '6745', '0', '124');
INSERT INTO public.who_import VALUES (50877, '2020-09-05', 'LU', 'Luxembourg', 'EURO', '109', '6854', '0', '124');
INSERT INTO public.who_import VALUES (50878, '2020-09-06', 'LU', 'Luxembourg', 'EURO', '0', '6854', '0', '124');
INSERT INTO public.who_import VALUES (50879, '2020-09-07', 'LU', 'Luxembourg', 'EURO', '42', '6896', '0', '124');
INSERT INTO public.who_import VALUES (50880, '2020-09-08', 'LU', 'Luxembourg', 'EURO', '54', '6950', '0', '124');
INSERT INTO public.who_import VALUES (50881, '2020-09-09', 'LU', 'Luxembourg', 'EURO', '24', '6974', '0', '124');
INSERT INTO public.who_import VALUES (50882, '2020-09-10', 'LU', 'Luxembourg', 'EURO', '49', '7023', '0', '124');
INSERT INTO public.who_import VALUES (50883, '2020-09-11', 'LU', 'Luxembourg', 'EURO', '65', '7088', '0', '124');
INSERT INTO public.who_import VALUES (50884, '2020-09-12', 'LU', 'Luxembourg', 'EURO', '71', '7159', '0', '124');
INSERT INTO public.who_import VALUES (50885, '2020-09-13', 'LU', 'Luxembourg', 'EURO', '0', '7159', '0', '124');
INSERT INTO public.who_import VALUES (50886, '2020-09-14', 'LU', 'Luxembourg', 'EURO', '35', '7194', '0', '124');
INSERT INTO public.who_import VALUES (50887, '2020-09-15', 'LU', 'Luxembourg', 'EURO', '50', '7244', '0', '124');
INSERT INTO public.who_import VALUES (50888, '2020-09-16', 'LU', 'Luxembourg', 'EURO', '40', '7284', '0', '124');
INSERT INTO public.who_import VALUES (50889, '2020-09-17', 'LU', 'Luxembourg', 'EURO', '110', '7394', '0', '124');
INSERT INTO public.who_import VALUES (50890, '2020-09-18', 'LU', 'Luxembourg', 'EURO', '147', '7541', '0', '124');
INSERT INTO public.who_import VALUES (50891, '2020-09-19', 'LU', 'Luxembourg', 'EURO', '177', '7718', '0', '124');
INSERT INTO public.who_import VALUES (50892, '2020-09-20', 'LU', 'Luxembourg', 'EURO', '0', '7718', '0', '124');
INSERT INTO public.who_import VALUES (50893, '2020-09-21', 'LU', 'Luxembourg', 'EURO', '86', '7804', '0', '124');
INSERT INTO public.who_import VALUES (50894, '2020-09-22', 'LU', 'Luxembourg', 'EURO', '112', '7916', '0', '124');
INSERT INTO public.who_import VALUES (50895, '2020-09-23', 'LU', 'Luxembourg', 'EURO', '100', '8016', '0', '124');
INSERT INTO public.who_import VALUES (50896, '2020-09-24', 'LU', 'Luxembourg', 'EURO', '74', '8090', '0', '124');
INSERT INTO public.who_import VALUES (50897, '2020-09-25', 'LU', 'Luxembourg', 'EURO', '68', '8158', '0', '124');
INSERT INTO public.who_import VALUES (50898, '2020-09-26', 'LU', 'Luxembourg', 'EURO', '75', '8233', '0', '124');
INSERT INTO public.who_import VALUES (50899, '2020-09-27', 'LU', 'Luxembourg', 'EURO', '78', '8311', '0', '124');
INSERT INTO public.who_import VALUES (50900, '2020-09-28', 'LU', 'Luxembourg', 'EURO', '46', '8357', '0', '124');
INSERT INTO public.who_import VALUES (50901, '2020-09-29', 'LU', 'Luxembourg', 'EURO', '19', '8376', '0', '124');
INSERT INTO public.who_import VALUES (50902, '2020-09-30', 'LU', 'Luxembourg', 'EURO', '55', '8431', '0', '124');
INSERT INTO public.who_import VALUES (50903, '2020-10-01', 'LU', 'Luxembourg', 'EURO', '78', '8509', '0', '124');
INSERT INTO public.who_import VALUES (50904, '2020-10-02', 'LU', 'Luxembourg', 'EURO', '86', '8595', '1', '125');
INSERT INTO public.who_import VALUES (50905, '2020-10-03', 'LU', 'Luxembourg', 'EURO', '114', '8709', '0', '125');
INSERT INTO public.who_import VALUES (50906, '2020-10-04', 'LU', 'Luxembourg', 'EURO', '0', '8709', '0', '125');
INSERT INTO public.who_import VALUES (50907, '2020-10-05', 'LU', 'Luxembourg', 'EURO', '0', '8709', '0', '125');
INSERT INTO public.who_import VALUES (50908, '2020-10-06', 'LU', 'Luxembourg', 'EURO', '216', '8925', '2', '127');
INSERT INTO public.who_import VALUES (50909, '2020-10-07', 'LU', 'Luxembourg', 'EURO', '54', '8979', '1', '128');
INSERT INTO public.who_import VALUES (50910, '2020-10-08', 'LU', 'Luxembourg', 'EURO', '140', '9119', '0', '128');
INSERT INTO public.who_import VALUES (50911, '2020-10-09', 'LU', 'Luxembourg', 'EURO', '100', '9219', '1', '129');
INSERT INTO public.who_import VALUES (50912, '2020-10-10', 'LU', 'Luxembourg', 'EURO', '141', '9360', '1', '130');
INSERT INTO public.who_import VALUES (50913, '2020-10-11', 'LU', 'Luxembourg', 'EURO', '0', '9360', '0', '130');
INSERT INTO public.who_import VALUES (50914, '2020-10-12', 'LU', 'Luxembourg', 'EURO', '0', '9360', '0', '130');
INSERT INTO public.who_import VALUES (50915, '2020-10-13', 'LU', 'Luxembourg', 'EURO', '371', '9731', '3', '133');
INSERT INTO public.who_import VALUES (50916, '2020-10-14', 'LU', 'Luxembourg', 'EURO', '109', '9840', '0', '133');
INSERT INTO public.who_import VALUES (50917, '2020-10-15', 'LU', 'Luxembourg', 'EURO', '190', '10030', '0', '133');
INSERT INTO public.who_import VALUES (50918, '2020-10-16', 'LU', 'Luxembourg', 'EURO', '214', '10244', '0', '133');
INSERT INTO public.who_import VALUES (50919, '2020-10-17', 'LU', 'Luxembourg', 'EURO', '227', '10471', '0', '133');
INSERT INTO public.who_import VALUES (50920, '2020-10-18', 'LU', 'Luxembourg', 'EURO', '0', '10471', '0', '133');
INSERT INTO public.who_import VALUES (50921, '2020-10-19', 'LU', 'Luxembourg', 'EURO', '175', '10646', '0', '133');
INSERT INTO public.who_import VALUES (50922, '2020-10-20', 'LU', 'Luxembourg', 'EURO', '242', '10888', '0', '133');
INSERT INTO public.who_import VALUES (50923, '2020-10-21', 'LU', 'Luxembourg', 'EURO', '353', '11241', '3', '136');
INSERT INTO public.who_import VALUES (50924, '2020-10-22', 'LU', 'Luxembourg', 'EURO', '430', '11671', '2', '138');
INSERT INTO public.who_import VALUES (50925, '2020-10-23', 'LU', 'Luxembourg', 'EURO', '662', '12333', '2', '140');
INSERT INTO public.who_import VALUES (50926, '2020-10-24', 'LU', 'Luxembourg', 'EURO', '518', '12851', '1', '141');
INSERT INTO public.who_import VALUES (50927, '2020-10-25', 'LU', 'Luxembourg', 'EURO', '862', '13713', '3', '144');
INSERT INTO public.who_import VALUES (50928, '2020-10-26', 'LU', 'Luxembourg', 'EURO', '491', '14204', '1', '145');
INSERT INTO public.who_import VALUES (50929, '2020-10-27', 'LU', 'Luxembourg', 'EURO', '195', '14399', '2', '147');
INSERT INTO public.who_import VALUES (50930, '2020-10-28', 'LU', 'Luxembourg', 'EURO', '485', '14884', '0', '147');
INSERT INTO public.who_import VALUES (50931, '2020-10-29', 'LU', 'Luxembourg', 'EURO', '774', '15658', '0', '147');
INSERT INTO public.who_import VALUES (50932, '2020-10-30', 'LU', 'Luxembourg', 'EURO', '698', '16356', '3', '150');
INSERT INTO public.who_import VALUES (50933, '2020-10-31', 'LU', 'Luxembourg', 'EURO', '778', '17134', '2', '152');
INSERT INTO public.who_import VALUES (50934, '2020-11-01', 'LU', 'Luxembourg', 'EURO', '799', '17933', '5', '157');
INSERT INTO public.who_import VALUES (50935, '2020-11-02', 'LU', 'Luxembourg', 'EURO', '849', '18782', '3', '160');
INSERT INTO public.who_import VALUES (50936, '2020-11-03', 'LU', 'Luxembourg', 'EURO', '319', '19101', '0', '160');
INSERT INTO public.who_import VALUES (50937, '2020-11-04', 'LU', 'Luxembourg', 'EURO', '533', '19634', '7', '167');
INSERT INTO public.who_import VALUES (50938, '2020-11-05', 'LU', 'Luxembourg', 'EURO', '710', '20344', '4', '171');
INSERT INTO public.who_import VALUES (50939, '2020-11-06', 'LU', 'Luxembourg', 'EURO', '803', '21147', '6', '177');
INSERT INTO public.who_import VALUES (50940, '2020-11-07', 'LU', 'Luxembourg', 'EURO', '659', '21806', '3', '180');
INSERT INTO public.who_import VALUES (50941, '2020-11-08', 'LU', 'Luxembourg', 'EURO', '675', '22481', '5', '185');
INSERT INTO public.who_import VALUES (50942, '2020-11-09', 'LU', 'Luxembourg', 'EURO', '0', '22481', '0', '185');
INSERT INTO public.who_import VALUES (50943, '2020-11-10', 'LU', 'Luxembourg', 'EURO', '570', '23051', '3', '188');
INSERT INTO public.who_import VALUES (50944, '2020-11-11', 'LU', 'Luxembourg', 'EURO', '176', '23227', '5', '193');
INSERT INTO public.who_import VALUES (50945, '2020-11-12', 'LU', 'Luxembourg', 'EURO', '483', '23710', '5', '198');
INSERT INTO public.who_import VALUES (50946, '2020-11-13', 'LU', 'Luxembourg', 'EURO', '795', '24505', '8', '206');
INSERT INTO public.who_import VALUES (50947, '2020-11-14', 'LU', 'Luxembourg', 'EURO', '713', '25218', '5', '211');
INSERT INTO public.who_import VALUES (50948, '2020-11-15', 'LU', 'Luxembourg', 'EURO', '713', '25931', '8', '219');
INSERT INTO public.who_import VALUES (50949, '2020-11-16', 'LU', 'Luxembourg', 'EURO', '613', '26544', '3', '222');
INSERT INTO public.who_import VALUES (50950, '2020-11-17', 'LU', 'Luxembourg', 'EURO', '548', '27092', '4', '226');
INSERT INTO public.who_import VALUES (50951, '2020-11-18', 'LU', 'Luxembourg', 'EURO', '164', '27256', '10', '236');
INSERT INTO public.who_import VALUES (50952, '2020-11-19', 'LU', 'Luxembourg', 'EURO', '425', '27681', '4', '240');
INSERT INTO public.who_import VALUES (50953, '2020-11-20', 'LU', 'Luxembourg', 'EURO', '892', '28573', '8', '248');
INSERT INTO public.who_import VALUES (50954, '2020-11-21', 'LU', 'Luxembourg', 'EURO', '670', '29243', '6', '254');
INSERT INTO public.who_import VALUES (50955, '2020-11-22', 'LU', 'Luxembourg', 'EURO', '519', '29762', '6', '260');
INSERT INTO public.who_import VALUES (50956, '2020-11-23', 'LU', 'Luxembourg', 'EURO', '571', '30333', '2', '262');
INSERT INTO public.who_import VALUES (50957, '2020-11-24', 'LU', 'Luxembourg', 'EURO', '602', '30935', '4', '266');
INSERT INTO public.who_import VALUES (50958, '2020-11-25', 'LU', 'Luxembourg', 'EURO', '176', '31111', '7', '273');
INSERT INTO public.who_import VALUES (50959, '2020-11-26', 'LU', 'Luxembourg', 'EURO', '373', '31484', '10', '283');
INSERT INTO public.who_import VALUES (50960, '2020-11-27', 'LU', 'Luxembourg', 'EURO', '616', '32100', '5', '288');
INSERT INTO public.who_import VALUES (50961, '2020-11-28', 'LU', 'Luxembourg', 'EURO', '1309', '33409', '12', '300');
INSERT INTO public.who_import VALUES (50962, '2020-11-29', 'LU', 'Luxembourg', 'EURO', '0', '33409', '0', '300');
INSERT INTO public.who_import VALUES (50963, '2020-11-30', 'LU', 'Luxembourg', 'EURO', '564', '33973', '6', '306');
INSERT INTO public.who_import VALUES (50964, '2020-12-01', 'LU', 'Luxembourg', 'EURO', '565', '34538', '6', '312');
INSERT INTO public.who_import VALUES (50965, '2020-12-02', 'LU', 'Luxembourg', 'EURO', '140', '34678', '9', '321');
INSERT INTO public.who_import VALUES (50966, '2020-12-03', 'LU', 'Luxembourg', 'EURO', '451', '35129', '9', '330');
INSERT INTO public.who_import VALUES (50967, '2020-12-04', 'LU', 'Luxembourg', 'EURO', '673', '35802', '4', '334');
INSERT INTO public.who_import VALUES (50968, '2020-12-05', 'LU', 'Luxembourg', 'EURO', '627', '36429', '5', '339');
INSERT INTO public.who_import VALUES (50969, '2020-12-06', 'LU', 'Luxembourg', 'EURO', '588', '37017', '6', '345');
INSERT INTO public.who_import VALUES (50970, '2020-12-07', 'LU', 'Luxembourg', 'EURO', '667', '37684', '5', '350');
INSERT INTO public.who_import VALUES (50971, '2020-12-08', 'LU', 'Luxembourg', 'EURO', '531', '38215', '3', '353');
INSERT INTO public.who_import VALUES (50972, '2020-12-09', 'LU', 'Luxembourg', 'EURO', '261', '38476', '7', '360');
INSERT INTO public.who_import VALUES (50973, '2020-12-10', 'LU', 'Luxembourg', 'EURO', '388', '38864', '9', '369');
INSERT INTO public.who_import VALUES (50974, '2020-12-11', 'LU', 'Luxembourg', 'EURO', '1173', '40037', '15', '384');
INSERT INTO public.who_import VALUES (50975, '2020-12-12', 'LU', 'Luxembourg', 'EURO', '718', '40755', '8', '392');
INSERT INTO public.who_import VALUES (50976, '2020-12-13', 'LU', 'Luxembourg', 'EURO', '517', '41272', '4', '396');
INSERT INTO public.who_import VALUES (50977, '2020-12-14', 'LU', 'Luxembourg', 'EURO', '446', '41718', '6', '402');
INSERT INTO public.who_import VALUES (50978, '2020-12-15', 'LU', 'Luxembourg', 'EURO', '182', '41900', '8', '410');
INSERT INTO public.who_import VALUES (50979, '2020-12-16', 'LU', 'Luxembourg', 'EURO', '349', '42249', '8', '418');
INSERT INTO public.who_import VALUES (50980, '2020-12-17', 'LU', 'Luxembourg', 'EURO', '595', '42844', '3', '421');
INSERT INTO public.who_import VALUES (50981, '2020-12-18', 'LU', 'Luxembourg', 'EURO', '434', '43278', '7', '428');
INSERT INTO public.who_import VALUES (50982, '2020-12-19', 'LU', 'Luxembourg', 'EURO', '449', '43727', '6', '434');
INSERT INTO public.who_import VALUES (50983, '2020-12-20', 'LU', 'Luxembourg', 'EURO', '340', '44067', '6', '440');
INSERT INTO public.who_import VALUES (50984, '2020-12-21', 'LU', 'Luxembourg', 'EURO', '424', '44491', '4', '444');
INSERT INTO public.who_import VALUES (50985, '2020-12-22', 'LU', 'Luxembourg', 'EURO', '91', '44582', '6', '450');
INSERT INTO public.who_import VALUES (50986, '2020-12-23', 'LU', 'Luxembourg', 'EURO', '227', '44809', '3', '453');
INSERT INTO public.who_import VALUES (50987, '2020-12-24', 'LU', 'Luxembourg', 'EURO', '400', '45209', '5', '458');
INSERT INTO public.who_import VALUES (50988, '2020-12-25', 'LU', 'Luxembourg', 'EURO', '262', '45471', '3', '461');
INSERT INTO public.who_import VALUES (50989, '2020-12-26', 'LU', 'Luxembourg', 'EURO', '253', '45724', '4', '465');
INSERT INTO public.who_import VALUES (50990, '2020-12-27', 'LU', 'Luxembourg', 'EURO', '52', '45776', '5', '470');
INSERT INTO public.who_import VALUES (50991, '2020-12-28', 'LU', 'Luxembourg', 'EURO', '54', '45830', '8', '478');
INSERT INTO public.who_import VALUES (50992, '2020-12-29', 'LU', 'Luxembourg', 'EURO', '16', '45846', '9', '487');
INSERT INTO public.who_import VALUES (50993, '2020-12-30', 'LU', 'Luxembourg', 'EURO', '239', '46085', '2', '489');
INSERT INTO public.who_import VALUES (50994, '2020-12-31', 'LU', 'Luxembourg', 'EURO', '326', '46411', '6', '495');
INSERT INTO public.who_import VALUES (50995, '2021-01-01', 'LU', 'Luxembourg', 'EURO', '187', '46598', '3', '498');
INSERT INTO public.who_import VALUES (50996, '2021-01-02', 'LU', 'Luxembourg', 'EURO', '215', '46813', '3', '501');
INSERT INTO public.who_import VALUES (50997, '2021-01-03', 'LU', 'Luxembourg', 'EURO', '25', '46838', '2', '503');
INSERT INTO public.who_import VALUES (50998, '2021-01-04', 'LU', 'Luxembourg', 'EURO', '81', '46919', '3', '506');
INSERT INTO public.who_import VALUES (50999, '2021-01-05', 'LU', 'Luxembourg', 'EURO', '66', '46985', '2', '508');
INSERT INTO public.who_import VALUES (51000, '2021-01-06', 'LU', 'Luxembourg', 'EURO', '163', '47148', '6', '514');
INSERT INTO public.who_import VALUES (51001, '2021-01-07', 'LU', 'Luxembourg', 'EURO', '282', '47430', '3', '517');
INSERT INTO public.who_import VALUES (51002, '2021-01-08', 'LU', 'Luxembourg', 'EURO', '161', '47591', '4', '521');
INSERT INTO public.who_import VALUES (51003, '2021-01-09', 'LU', 'Luxembourg', 'EURO', '149', '47740', '6', '527');
INSERT INTO public.who_import VALUES (51004, '2021-01-10', 'LU', 'Luxembourg', 'EURO', '136', '47876', '3', '530');
INSERT INTO public.who_import VALUES (51005, '2021-01-11', 'LU', 'Luxembourg', 'EURO', '104', '47980', '3', '533');
INSERT INTO public.who_import VALUES (51006, '2021-01-12', 'LU', 'Luxembourg', 'EURO', '42', '48022', '2', '535');
INSERT INTO public.who_import VALUES (51007, '2021-01-13', 'LU', 'Luxembourg', 'EURO', '153', '48175', '3', '538');
INSERT INTO public.who_import VALUES (51008, '2021-01-14', 'LU', 'Luxembourg', 'EURO', '190', '48365', '4', '542');
INSERT INTO public.who_import VALUES (51009, '2021-01-15', 'LU', 'Luxembourg', 'EURO', '114', '48479', '3', '545');
INSERT INTO public.who_import VALUES (51010, '2021-01-16', 'LU', 'Luxembourg', 'EURO', '143', '48622', '4', '549');
INSERT INTO public.who_import VALUES (51011, '2021-01-17', 'LU', 'Luxembourg', 'EURO', '135', '48757', '3', '552');
INSERT INTO public.who_import VALUES (51012, '2021-01-18', 'LU', 'Luxembourg', 'EURO', '87', '48844', '0', '552');
INSERT INTO public.who_import VALUES (51013, '2021-01-19', 'LU', 'Luxembourg', 'EURO', '37', '48881', '5', '557');
INSERT INTO public.who_import VALUES (51014, '2021-01-20', 'LU', 'Luxembourg', 'EURO', '85', '48966', '3', '560');
INSERT INTO public.who_import VALUES (51015, '2021-01-21', 'LU', 'Luxembourg', 'EURO', '238', '49204', '2', '562');
INSERT INTO public.who_import VALUES (51016, '2021-01-22', 'LU', 'Luxembourg', 'EURO', '115', '49319', '0', '562');
INSERT INTO public.who_import VALUES (51017, '2021-01-23', 'LU', 'Luxembourg', 'EURO', '119', '49438', '0', '562');
INSERT INTO public.who_import VALUES (51018, '2021-01-24', 'LU', 'Luxembourg', 'EURO', '143', '49581', '2', '564');
INSERT INTO public.who_import VALUES (51019, '2021-01-25', 'LU', 'Luxembourg', 'EURO', '123', '49704', '0', '564');
INSERT INTO public.who_import VALUES (51020, '2021-01-26', 'LU', 'Luxembourg', 'EURO', '29', '49733', '2', '566');
INSERT INTO public.who_import VALUES (51021, '2021-01-27', 'LU', 'Luxembourg', 'EURO', '119', '49852', '4', '570');
INSERT INTO public.who_import VALUES (51022, '2021-01-28', 'LU', 'Luxembourg', 'EURO', '237', '50089', '1', '571');
INSERT INTO public.who_import VALUES (51023, '2021-01-29', 'LU', 'Luxembourg', 'EURO', '139', '50228', '3', '574');
INSERT INTO public.who_import VALUES (51024, '2021-01-30', 'LU', 'Luxembourg', 'EURO', '160', '50388', '3', '577');
INSERT INTO public.who_import VALUES (51025, '2021-01-31', 'LU', 'Luxembourg', 'EURO', '159', '50547', '2', '579');
INSERT INTO public.who_import VALUES (51026, '2021-02-01', 'LU', 'Luxembourg', 'EURO', '152', '50699', '1', '580');
INSERT INTO public.who_import VALUES (51027, '2021-02-02', 'LU', 'Luxembourg', 'EURO', '34', '50733', '4', '584');
INSERT INTO public.who_import VALUES (51028, '2021-02-03', 'LU', 'Luxembourg', 'EURO', '190', '50923', '2', '586');
INSERT INTO public.who_import VALUES (51029, '2021-02-04', 'LU', 'Luxembourg', 'EURO', '205', '51128', '1', '587');
INSERT INTO public.who_import VALUES (51030, '2021-02-05', 'LU', 'Luxembourg', 'EURO', '202', '51330', '1', '588');
INSERT INTO public.who_import VALUES (51031, '2021-02-06', 'LU', 'Luxembourg', 'EURO', '182', '51512', '2', '590');
INSERT INTO public.who_import VALUES (51032, '2021-02-07', 'LU', 'Luxembourg', 'EURO', '177', '51689', '2', '592');
INSERT INTO public.who_import VALUES (51033, '2021-02-08', 'LU', 'Luxembourg', 'EURO', '159', '51848', '1', '593');
INSERT INTO public.who_import VALUES (51034, '2021-02-09', 'LU', 'Luxembourg', 'EURO', '31', '51879', '4', '597');
INSERT INTO public.who_import VALUES (51035, '2021-02-10', 'LU', 'Luxembourg', 'EURO', '143', '52022', '3', '600');
INSERT INTO public.who_import VALUES (51036, '2021-02-11', 'LU', 'Luxembourg', 'EURO', '225', '52247', '2', '602');
INSERT INTO public.who_import VALUES (51037, '2021-02-12', 'LU', 'Luxembourg', 'EURO', '145', '52392', '2', '604');
INSERT INTO public.who_import VALUES (51038, '2021-02-13', 'LU', 'Luxembourg', 'EURO', '147', '52539', '2', '606');
INSERT INTO public.who_import VALUES (51039, '2021-02-14', 'LU', 'Luxembourg', 'EURO', '160', '52699', '0', '606');
INSERT INTO public.who_import VALUES (51040, '2021-02-15', 'LU', 'Luxembourg', 'EURO', '185', '52884', '1', '607');
INSERT INTO public.who_import VALUES (51041, '2021-02-16', 'LU', 'Luxembourg', 'EURO', '39', '52923', '4', '611');
INSERT INTO public.who_import VALUES (51042, '2021-02-17', 'LU', 'Luxembourg', 'EURO', '139', '53062', '1', '612');
INSERT INTO public.who_import VALUES (51043, '2021-02-18', 'LU', 'Luxembourg', 'EURO', '267', '53329', '4', '616');
INSERT INTO public.who_import VALUES (51044, '2021-02-19', 'LU', 'Luxembourg', 'EURO', '233', '53562', '3', '619');
INSERT INTO public.who_import VALUES (51045, '2021-02-20', 'LU', 'Luxembourg', 'EURO', '220', '53782', '3', '622');
INSERT INTO public.who_import VALUES (51046, '2020-01-03', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51047, '2020-01-04', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51048, '2020-01-05', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51049, '2020-01-06', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51050, '2020-01-07', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51051, '2020-01-08', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51052, '2020-01-09', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51053, '2020-01-10', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51054, '2020-01-11', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51055, '2020-01-12', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51056, '2020-01-13', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51057, '2020-01-14', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51058, '2020-01-15', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51059, '2020-01-16', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51060, '2020-01-17', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51061, '2020-01-18', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51062, '2020-01-19', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51063, '2020-01-20', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51064, '2020-01-21', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51065, '2020-01-22', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51066, '2020-01-23', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51067, '2020-01-24', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51068, '2020-01-25', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51069, '2020-01-26', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51070, '2020-01-27', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51071, '2020-01-28', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51072, '2020-01-29', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51073, '2020-01-30', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51074, '2020-01-31', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51075, '2020-02-01', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51076, '2020-02-02', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51077, '2020-02-03', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51078, '2020-02-04', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51079, '2020-02-05', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51080, '2020-02-06', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51081, '2020-02-07', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51082, '2020-02-08', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51083, '2020-02-09', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51084, '2020-02-10', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51085, '2020-02-11', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51086, '2020-02-12', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51087, '2020-02-13', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51088, '2020-02-14', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51089, '2020-02-15', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51090, '2020-02-16', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51091, '2020-02-17', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51092, '2020-02-18', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51093, '2020-02-19', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51094, '2020-02-20', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51095, '2020-02-21', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51096, '2020-02-22', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51097, '2020-02-23', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51098, '2020-02-24', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51099, '2020-02-25', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51100, '2020-02-26', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51101, '2020-02-27', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51102, '2020-02-28', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51103, '2020-02-29', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51104, '2020-03-01', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51105, '2020-03-02', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51106, '2020-03-03', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51107, '2020-03-04', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51108, '2020-03-05', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51109, '2020-03-06', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51110, '2020-03-07', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51111, '2020-03-08', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51112, '2020-03-09', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51113, '2020-03-10', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51114, '2020-03-11', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51115, '2020-03-12', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51116, '2020-03-13', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51117, '2020-03-14', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51118, '2020-03-15', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51119, '2020-03-16', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51120, '2020-03-17', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51121, '2020-03-18', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51122, '2020-03-19', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51123, '2020-03-20', 'MG', 'Madagascar', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51124, '2020-03-21', 'MG', 'Madagascar', 'AFRO', '3', '3', '0', '0');
INSERT INTO public.who_import VALUES (51125, '2020-03-22', 'MG', 'Madagascar', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (51126, '2020-03-23', 'MG', 'Madagascar', 'AFRO', '9', '12', '0', '0');
INSERT INTO public.who_import VALUES (51127, '2020-03-24', 'MG', 'Madagascar', 'AFRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (51128, '2020-03-25', 'MG', 'Madagascar', 'AFRO', '6', '19', '0', '0');
INSERT INTO public.who_import VALUES (51129, '2020-03-26', 'MG', 'Madagascar', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (51130, '2020-03-27', 'MG', 'Madagascar', 'AFRO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (51131, '2020-03-28', 'MG', 'Madagascar', 'AFRO', '2', '26', '0', '0');
INSERT INTO public.who_import VALUES (51132, '2020-03-29', 'MG', 'Madagascar', 'AFRO', '11', '37', '0', '0');
INSERT INTO public.who_import VALUES (51133, '2020-03-30', 'MG', 'Madagascar', 'AFRO', '7', '44', '0', '0');
INSERT INTO public.who_import VALUES (51134, '2020-03-31', 'MG', 'Madagascar', 'AFRO', '2', '46', '0', '0');
INSERT INTO public.who_import VALUES (51135, '2020-04-01', 'MG', 'Madagascar', 'AFRO', '7', '53', '0', '0');
INSERT INTO public.who_import VALUES (51136, '2020-04-02', 'MG', 'Madagascar', 'AFRO', '6', '59', '0', '0');
INSERT INTO public.who_import VALUES (51137, '2020-04-03', 'MG', 'Madagascar', 'AFRO', '6', '65', '0', '0');
INSERT INTO public.who_import VALUES (51138, '2020-04-04', 'MG', 'Madagascar', 'AFRO', '5', '70', '0', '0');
INSERT INTO public.who_import VALUES (51139, '2020-04-05', 'MG', 'Madagascar', 'AFRO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (51140, '2020-04-06', 'MG', 'Madagascar', 'AFRO', '7', '77', '0', '0');
INSERT INTO public.who_import VALUES (51141, '2020-04-07', 'MG', 'Madagascar', 'AFRO', '8', '85', '0', '0');
INSERT INTO public.who_import VALUES (51142, '2020-04-08', 'MG', 'Madagascar', 'AFRO', '7', '92', '0', '0');
INSERT INTO public.who_import VALUES (51143, '2020-04-09', 'MG', 'Madagascar', 'AFRO', '1', '93', '0', '0');
INSERT INTO public.who_import VALUES (51144, '2020-04-10', 'MG', 'Madagascar', 'AFRO', '2', '95', '0', '0');
INSERT INTO public.who_import VALUES (51145, '2020-04-11', 'MG', 'Madagascar', 'AFRO', '0', '95', '0', '0');
INSERT INTO public.who_import VALUES (51146, '2020-04-12', 'MG', 'Madagascar', 'AFRO', '9', '104', '0', '0');
INSERT INTO public.who_import VALUES (51147, '2020-04-13', 'MG', 'Madagascar', 'AFRO', '2', '106', '0', '0');
INSERT INTO public.who_import VALUES (51148, '2020-04-14', 'MG', 'Madagascar', 'AFRO', '0', '106', '0', '0');
INSERT INTO public.who_import VALUES (51149, '2020-04-15', 'MG', 'Madagascar', 'AFRO', '4', '110', '0', '0');
INSERT INTO public.who_import VALUES (51150, '2020-04-16', 'MG', 'Madagascar', 'AFRO', '0', '110', '0', '0');
INSERT INTO public.who_import VALUES (51151, '2020-04-17', 'MG', 'Madagascar', 'AFRO', '7', '117', '0', '0');
INSERT INTO public.who_import VALUES (51152, '2020-04-18', 'MG', 'Madagascar', 'AFRO', '0', '117', '0', '0');
INSERT INTO public.who_import VALUES (51153, '2020-04-19', 'MG', 'Madagascar', 'AFRO', '3', '120', '0', '0');
INSERT INTO public.who_import VALUES (51154, '2020-04-20', 'MG', 'Madagascar', 'AFRO', '1', '121', '0', '0');
INSERT INTO public.who_import VALUES (51155, '2020-04-21', 'MG', 'Madagascar', 'AFRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (51156, '2020-04-22', 'MG', 'Madagascar', 'AFRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (51157, '2020-04-23', 'MG', 'Madagascar', 'AFRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (51158, '2020-04-24', 'MG', 'Madagascar', 'AFRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (51159, '2020-04-25', 'MG', 'Madagascar', 'AFRO', '1', '122', '0', '0');
INSERT INTO public.who_import VALUES (51160, '2020-04-26', 'MG', 'Madagascar', 'AFRO', '2', '124', '0', '0');
INSERT INTO public.who_import VALUES (51161, '2020-04-27', 'MG', 'Madagascar', 'AFRO', '4', '128', '0', '0');
INSERT INTO public.who_import VALUES (51162, '2020-04-28', 'MG', 'Madagascar', 'AFRO', '0', '128', '0', '0');
INSERT INTO public.who_import VALUES (51163, '2020-04-29', 'MG', 'Madagascar', 'AFRO', '0', '128', '0', '0');
INSERT INTO public.who_import VALUES (51164, '2020-04-30', 'MG', 'Madagascar', 'AFRO', '0', '128', '0', '0');
INSERT INTO public.who_import VALUES (51165, '2020-05-01', 'MG', 'Madagascar', 'AFRO', '4', '132', '0', '0');
INSERT INTO public.who_import VALUES (51166, '2020-05-02', 'MG', 'Madagascar', 'AFRO', '3', '135', '0', '0');
INSERT INTO public.who_import VALUES (51167, '2020-05-03', 'MG', 'Madagascar', 'AFRO', '14', '149', '0', '0');
INSERT INTO public.who_import VALUES (51168, '2020-05-04', 'MG', 'Madagascar', 'AFRO', '2', '151', '0', '0');
INSERT INTO public.who_import VALUES (51169, '2020-05-05', 'MG', 'Madagascar', 'AFRO', '7', '158', '0', '0');
INSERT INTO public.who_import VALUES (51170, '2020-05-06', 'MG', 'Madagascar', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (51171, '2020-05-07', 'MG', 'Madagascar', 'AFRO', '35', '193', '0', '0');
INSERT INTO public.who_import VALUES (51172, '2020-05-08', 'MG', 'Madagascar', 'AFRO', '0', '193', '0', '0');
INSERT INTO public.who_import VALUES (51173, '2020-05-09', 'MG', 'Madagascar', 'AFRO', '-24', '169', '0', '0');
INSERT INTO public.who_import VALUES (51174, '2020-05-10', 'MG', 'Madagascar', 'AFRO', '0', '169', '0', '0');
INSERT INTO public.who_import VALUES (51175, '2020-05-11', 'MG', 'Madagascar', 'AFRO', '0', '169', '0', '0');
INSERT INTO public.who_import VALUES (51176, '2020-05-12', 'MG', 'Madagascar', 'AFRO', '17', '186', '0', '0');
INSERT INTO public.who_import VALUES (51177, '2020-05-13', 'MG', 'Madagascar', 'AFRO', '6', '192', '0', '0');
INSERT INTO public.who_import VALUES (51178, '2020-05-14', 'MG', 'Madagascar', 'AFRO', '20', '212', '0', '0');
INSERT INTO public.who_import VALUES (51179, '2020-05-15', 'MG', 'Madagascar', 'AFRO', '18', '230', '0', '0');
INSERT INTO public.who_import VALUES (51180, '2020-05-16', 'MG', 'Madagascar', 'AFRO', '8', '238', '0', '0');
INSERT INTO public.who_import VALUES (51181, '2020-05-17', 'MG', 'Madagascar', 'AFRO', '45', '283', '0', '0');
INSERT INTO public.who_import VALUES (51182, '2020-05-18', 'MG', 'Madagascar', 'AFRO', '21', '304', '1', '1');
INSERT INTO public.who_import VALUES (51183, '2020-05-19', 'MG', 'Madagascar', 'AFRO', '18', '322', '0', '1');
INSERT INTO public.who_import VALUES (51184, '2020-05-20', 'MG', 'Madagascar', 'AFRO', '4', '326', '1', '2');
INSERT INTO public.who_import VALUES (51185, '2020-05-21', 'MG', 'Madagascar', 'AFRO', '45', '371', '0', '2');
INSERT INTO public.who_import VALUES (51186, '2020-05-22', 'MG', 'Madagascar', 'AFRO', '34', '405', '0', '2');
INSERT INTO public.who_import VALUES (51187, '2020-05-23', 'MG', 'Madagascar', 'AFRO', '43', '448', '0', '2');
INSERT INTO public.who_import VALUES (51188, '2020-05-24', 'MG', 'Madagascar', 'AFRO', '40', '488', '0', '2');
INSERT INTO public.who_import VALUES (51189, '2020-05-25', 'MG', 'Madagascar', 'AFRO', '39', '527', '0', '2');
INSERT INTO public.who_import VALUES (51190, '2020-05-26', 'MG', 'Madagascar', 'AFRO', '15', '542', '0', '2');
INSERT INTO public.who_import VALUES (51191, '2020-05-27', 'MG', 'Madagascar', 'AFRO', '44', '586', '0', '2');
INSERT INTO public.who_import VALUES (51192, '2020-05-28', 'MG', 'Madagascar', 'AFRO', '26', '612', '0', '2');
INSERT INTO public.who_import VALUES (51193, '2020-05-29', 'MG', 'Madagascar', 'AFRO', '44', '656', '0', '2');
INSERT INTO public.who_import VALUES (51194, '2020-05-30', 'MG', 'Madagascar', 'AFRO', '42', '698', '3', '5');
INSERT INTO public.who_import VALUES (51195, '2020-05-31', 'MG', 'Madagascar', 'AFRO', '60', '758', '1', '6');
INSERT INTO public.who_import VALUES (51196, '2020-06-01', 'MG', 'Madagascar', 'AFRO', '13', '771', '0', '6');
INSERT INTO public.who_import VALUES (51197, '2020-06-02', 'MG', 'Madagascar', 'AFRO', '55', '826', '0', '6');
INSERT INTO public.who_import VALUES (51198, '2020-06-03', 'MG', 'Madagascar', 'AFRO', '19', '845', '0', '6');
INSERT INTO public.who_import VALUES (51199, '2020-06-04', 'MG', 'Madagascar', 'AFRO', '63', '908', '0', '6');
INSERT INTO public.who_import VALUES (51200, '2020-06-05', 'MG', 'Madagascar', 'AFRO', '49', '957', '1', '7');
INSERT INTO public.who_import VALUES (51201, '2020-06-06', 'MG', 'Madagascar', 'AFRO', '18', '975', '0', '7');
INSERT INTO public.who_import VALUES (51202, '2020-06-07', 'MG', 'Madagascar', 'AFRO', '51', '1026', '1', '8');
INSERT INTO public.who_import VALUES (51203, '2020-06-08', 'MG', 'Madagascar', 'AFRO', '26', '1052', '1', '9');
INSERT INTO public.who_import VALUES (51204, '2020-06-09', 'MG', 'Madagascar', 'AFRO', '42', '1094', '0', '9');
INSERT INTO public.who_import VALUES (51205, '2020-06-10', 'MG', 'Madagascar', 'AFRO', '44', '1138', '0', '9');
INSERT INTO public.who_import VALUES (51206, '2020-06-11', 'MG', 'Madagascar', 'AFRO', '24', '1162', '1', '10');
INSERT INTO public.who_import VALUES (51207, '2020-06-12', 'MG', 'Madagascar', 'AFRO', '41', '1203', '0', '10');
INSERT INTO public.who_import VALUES (51208, '2020-06-13', 'MG', 'Madagascar', 'AFRO', '27', '1230', '0', '10');
INSERT INTO public.who_import VALUES (51209, '2020-06-14', 'MG', 'Madagascar', 'AFRO', '22', '1252', '0', '10');
INSERT INTO public.who_import VALUES (51210, '2020-06-15', 'MG', 'Madagascar', 'AFRO', '20', '1272', '0', '10');
INSERT INTO public.who_import VALUES (51211, '2020-06-16', 'MG', 'Madagascar', 'AFRO', '18', '1290', '0', '10');
INSERT INTO public.who_import VALUES (51212, '2020-06-17', 'MG', 'Madagascar', 'AFRO', '27', '1317', '2', '12');
INSERT INTO public.who_import VALUES (51213, '2020-06-18', 'MG', 'Madagascar', 'AFRO', '61', '1378', '0', '12');
INSERT INTO public.who_import VALUES (51214, '2020-06-19', 'MG', 'Madagascar', 'AFRO', '25', '1403', '1', '13');
INSERT INTO public.who_import VALUES (51215, '2020-06-20', 'MG', 'Madagascar', 'AFRO', '40', '1443', '0', '13');
INSERT INTO public.who_import VALUES (51216, '2020-06-21', 'MG', 'Madagascar', 'AFRO', '60', '1503', '0', '13');
INSERT INTO public.who_import VALUES (51217, '2020-06-22', 'MG', 'Madagascar', 'AFRO', '93', '1596', '1', '14');
INSERT INTO public.who_import VALUES (51218, '2020-06-23', 'MG', 'Madagascar', 'AFRO', '44', '1640', '1', '15');
INSERT INTO public.who_import VALUES (51219, '2020-06-24', 'MG', 'Madagascar', 'AFRO', '0', '1640', '0', '15');
INSERT INTO public.who_import VALUES (51220, '2020-06-25', 'MG', 'Madagascar', 'AFRO', '147', '1787', '1', '16');
INSERT INTO public.who_import VALUES (51221, '2020-06-26', 'MG', 'Madagascar', 'AFRO', '42', '1829', '0', '16');
INSERT INTO public.who_import VALUES (51222, '2020-06-27', 'MG', 'Madagascar', 'AFRO', '0', '1829', '0', '16');
INSERT INTO public.who_import VALUES (51223, '2020-06-28', 'MG', 'Madagascar', 'AFRO', '176', '2005', '0', '16');
INSERT INTO public.who_import VALUES (51224, '2020-06-29', 'MG', 'Madagascar', 'AFRO', '73', '2078', '2', '18');
INSERT INTO public.who_import VALUES (51225, '2020-06-30', 'MG', 'Madagascar', 'AFRO', '60', '2138', '2', '20');
INSERT INTO public.who_import VALUES (51226, '2020-07-01', 'MG', 'Madagascar', 'AFRO', '76', '2214', '0', '20');
INSERT INTO public.who_import VALUES (51227, '2020-07-02', 'MG', 'Madagascar', 'AFRO', '89', '2303', '2', '22');
INSERT INTO public.who_import VALUES (51228, '2020-07-03', 'MG', 'Madagascar', 'AFRO', '100', '2403', '2', '24');
INSERT INTO public.who_import VALUES (51229, '2020-07-04', 'MG', 'Madagascar', 'AFRO', '109', '2512', '2', '26');
INSERT INTO public.who_import VALUES (51230, '2020-07-05', 'MG', 'Madagascar', 'AFRO', '216', '2728', '3', '29');
INSERT INTO public.who_import VALUES (51231, '2020-07-06', 'MG', 'Madagascar', 'AFRO', '213', '2941', '3', '32');
INSERT INTO public.who_import VALUES (51232, '2020-07-07', 'MG', 'Madagascar', 'AFRO', '309', '3250', '1', '33');
INSERT INTO public.who_import VALUES (51233, '2020-07-08', 'MG', 'Madagascar', 'AFRO', '222', '3472', '0', '33');
INSERT INTO public.who_import VALUES (51234, '2020-07-09', 'MG', 'Madagascar', 'AFRO', '101', '3573', '0', '33');
INSERT INTO public.who_import VALUES (51235, '2020-07-10', 'MG', 'Madagascar', 'AFRO', '209', '3782', '0', '33');
INSERT INTO public.who_import VALUES (51236, '2020-07-11', 'MG', 'Madagascar', 'AFRO', '361', '4143', '1', '34');
INSERT INTO public.who_import VALUES (51237, '2020-07-12', 'MG', 'Madagascar', 'AFRO', '435', '4578', '0', '34');
INSERT INTO public.who_import VALUES (51238, '2020-07-13', 'MG', 'Madagascar', 'AFRO', '289', '4867', '1', '35');
INSERT INTO public.who_import VALUES (51239, '2020-07-14', 'MG', 'Madagascar', 'AFRO', '213', '5080', '2', '37');
INSERT INTO public.who_import VALUES (51240, '2020-07-15', 'MG', 'Madagascar', 'AFRO', '263', '5343', '2', '39');
INSERT INTO public.who_import VALUES (51241, '2020-07-16', 'MG', 'Madagascar', 'AFRO', '262', '5605', '4', '43');
INSERT INTO public.who_import VALUES (51242, '2020-07-17', 'MG', 'Madagascar', 'AFRO', '484', '6089', '10', '53');
INSERT INTO public.who_import VALUES (51243, '2020-07-18', 'MG', 'Madagascar', 'AFRO', '378', '6467', '1', '54');
INSERT INTO public.who_import VALUES (51244, '2020-07-19', 'MG', 'Madagascar', 'AFRO', '382', '6849', '1', '55');
INSERT INTO public.who_import VALUES (51245, '2020-07-20', 'MG', 'Madagascar', 'AFRO', '200', '7049', '4', '59');
INSERT INTO public.who_import VALUES (51246, '2020-07-21', 'MG', 'Madagascar', 'AFRO', '104', '7153', '3', '62');
INSERT INTO public.who_import VALUES (51247, '2020-07-22', 'MG', 'Madagascar', 'AFRO', '395', '7548', '3', '65');
INSERT INTO public.who_import VALUES (51248, '2020-07-23', 'MG', 'Madagascar', 'AFRO', '614', '8162', '4', '69');
INSERT INTO public.who_import VALUES (51249, '2020-07-24', 'MG', 'Madagascar', 'AFRO', '219', '8381', '1', '70');
INSERT INTO public.who_import VALUES (51250, '2020-07-25', 'MG', 'Madagascar', 'AFRO', '360', '8741', '6', '76');
INSERT INTO public.who_import VALUES (51251, '2020-07-26', 'MG', 'Madagascar', 'AFRO', '125', '8866', '2', '78');
INSERT INTO public.who_import VALUES (51252, '2020-07-27', 'MG', 'Madagascar', 'AFRO', '429', '9295', '7', '85');
INSERT INTO public.who_import VALUES (51253, '2020-07-28', 'MG', 'Madagascar', 'AFRO', '395', '9690', '6', '91');
INSERT INTO public.who_import VALUES (51254, '2020-07-29', 'MG', 'Madagascar', 'AFRO', '414', '10104', '2', '93');
INSERT INTO public.who_import VALUES (51255, '2020-07-30', 'MG', 'Madagascar', 'AFRO', '213', '10317', '6', '99');
INSERT INTO public.who_import VALUES (51256, '2020-07-31', 'MG', 'Madagascar', 'AFRO', '431', '10748', '6', '105');
INSERT INTO public.who_import VALUES (51257, '2020-08-01', 'MG', 'Madagascar', 'AFRO', '120', '10868', '1', '106');
INSERT INTO public.who_import VALUES (51258, '2020-08-02', 'MG', 'Madagascar', 'AFRO', '405', '11273', '1', '107');
INSERT INTO public.who_import VALUES (51259, '2020-08-03', 'MG', 'Madagascar', 'AFRO', '255', '11528', '7', '114');
INSERT INTO public.who_import VALUES (51260, '2020-08-04', 'MG', 'Madagascar', 'AFRO', '132', '11660', '4', '118');
INSERT INTO public.who_import VALUES (51261, '2020-08-05', 'MG', 'Madagascar', 'AFRO', '235', '11895', '5', '123');
INSERT INTO public.who_import VALUES (51262, '2020-08-06', 'MG', 'Madagascar', 'AFRO', '327', '12222', '4', '127');
INSERT INTO public.who_import VALUES (51263, '2020-08-07', 'MG', 'Madagascar', 'AFRO', '304', '12526', '7', '134');
INSERT INTO public.who_import VALUES (51264, '2020-08-08', 'MG', 'Madagascar', 'AFRO', '182', '12708', '1', '135');
INSERT INTO public.who_import VALUES (51265, '2020-08-09', 'MG', 'Madagascar', 'AFRO', '214', '12922', '6', '141');
INSERT INTO public.who_import VALUES (51266, '2020-08-10', 'MG', 'Madagascar', 'AFRO', '164', '13086', '7', '148');
INSERT INTO public.who_import VALUES (51267, '2020-08-11', 'MG', 'Madagascar', 'AFRO', '116', '13202', '3', '151');
INSERT INTO public.who_import VALUES (51268, '2020-08-12', 'MG', 'Madagascar', 'AFRO', '115', '13317', '1', '152');
INSERT INTO public.who_import VALUES (51269, '2020-08-13', 'MG', 'Madagascar', 'AFRO', '80', '13397', '4', '156');
INSERT INTO public.who_import VALUES (51270, '2020-08-14', 'MG', 'Madagascar', 'AFRO', '125', '13522', '6', '162');
INSERT INTO public.who_import VALUES (51271, '2020-08-15', 'MG', 'Madagascar', 'AFRO', '121', '13643', '2', '164');
INSERT INTO public.who_import VALUES (51272, '2020-08-16', 'MG', 'Madagascar', 'AFRO', '81', '13724', '2', '166');
INSERT INTO public.who_import VALUES (51273, '2020-08-17', 'MG', 'Madagascar', 'AFRO', '103', '13827', '4', '170');
INSERT INTO public.who_import VALUES (51274, '2020-08-18', 'MG', 'Madagascar', 'AFRO', '59', '13886', '1', '171');
INSERT INTO public.who_import VALUES (51275, '2020-08-19', 'MG', 'Madagascar', 'AFRO', '123', '14009', '2', '173');
INSERT INTO public.who_import VALUES (51276, '2020-08-20', 'MG', 'Madagascar', 'AFRO', '65', '14074', '0', '173');
INSERT INTO public.who_import VALUES (51277, '2020-08-21', 'MG', 'Madagascar', 'AFRO', '80', '14154', '4', '177');
INSERT INTO public.who_import VALUES (51278, '2020-08-22', 'MG', 'Madagascar', 'AFRO', '64', '14218', '1', '178');
INSERT INTO public.who_import VALUES (51279, '2020-08-23', 'MG', 'Madagascar', 'AFRO', '59', '14277', '0', '178');
INSERT INTO public.who_import VALUES (51280, '2020-08-24', 'MG', 'Madagascar', 'AFRO', '50', '14327', '0', '178');
INSERT INTO public.who_import VALUES (51281, '2020-08-25', 'MG', 'Madagascar', 'AFRO', '75', '14402', '0', '178');
INSERT INTO public.who_import VALUES (51282, '2020-08-26', 'MG', 'Madagascar', 'AFRO', '73', '14475', '0', '178');
INSERT INTO public.who_import VALUES (51283, '2020-08-27', 'MG', 'Madagascar', 'AFRO', '79', '14554', '3', '181');
INSERT INTO public.who_import VALUES (51284, '2020-08-28', 'MG', 'Madagascar', 'AFRO', '38', '14592', '3', '184');
INSERT INTO public.who_import VALUES (51285, '2020-08-29', 'MG', 'Madagascar', 'AFRO', '104', '14696', '3', '187');
INSERT INTO public.who_import VALUES (51286, '2020-08-30', 'MG', 'Madagascar', 'AFRO', '95', '14791', '3', '190');
INSERT INTO public.who_import VALUES (51287, '2020-08-31', 'MG', 'Madagascar', 'AFRO', '52', '14843', '1', '191');
INSERT INTO public.who_import VALUES (51288, '2020-09-01', 'MG', 'Madagascar', 'AFRO', '20', '14863', '1', '192');
INSERT INTO public.who_import VALUES (51289, '2020-09-02', 'MG', 'Madagascar', 'AFRO', '94', '14957', '3', '195');
INSERT INTO public.who_import VALUES (51290, '2020-09-03', 'MG', 'Madagascar', 'AFRO', '66', '15023', '1', '196');
INSERT INTO public.who_import VALUES (51291, '2020-09-04', 'MG', 'Madagascar', 'AFRO', '83', '15106', '1', '197');
INSERT INTO public.who_import VALUES (51292, '2020-09-05', 'MG', 'Madagascar', 'AFRO', '81', '15187', '1', '198');
INSERT INTO public.who_import VALUES (51293, '2020-09-06', 'MG', 'Madagascar', 'AFRO', '82', '15269', '1', '199');
INSERT INTO public.who_import VALUES (51294, '2020-09-07', 'MG', 'Madagascar', 'AFRO', '50', '15319', '1', '200');
INSERT INTO public.who_import VALUES (51295, '2020-09-08', 'MG', 'Madagascar', 'AFRO', '33', '15352', '2', '202');
INSERT INTO public.who_import VALUES (51296, '2020-09-09', 'MG', 'Madagascar', 'AFRO', '83', '15435', '4', '206');
INSERT INTO public.who_import VALUES (51297, '2020-09-10', 'MG', 'Madagascar', 'AFRO', '85', '15520', '0', '206');
INSERT INTO public.who_import VALUES (51298, '2020-09-11', 'MG', 'Madagascar', 'AFRO', '0', '15520', '0', '206');
INSERT INTO public.who_import VALUES (51299, '2020-09-12', 'MG', 'Madagascar', 'AFRO', '149', '15669', '3', '209');
INSERT INTO public.who_import VALUES (51300, '2020-09-13', 'MG', 'Madagascar', 'AFRO', '68', '15737', '1', '210');
INSERT INTO public.who_import VALUES (51301, '2020-09-14', 'MG', 'Madagascar', 'AFRO', '20', '15757', '1', '211');
INSERT INTO public.who_import VALUES (51302, '2020-09-15', 'MG', 'Madagascar', 'AFRO', '12', '15769', '2', '213');
INSERT INTO public.who_import VALUES (51303, '2020-09-16', 'MG', 'Madagascar', 'AFRO', '34', '15803', '1', '214');
INSERT INTO public.who_import VALUES (51304, '2020-09-17', 'MG', 'Madagascar', 'AFRO', '68', '15871', '1', '215');
INSERT INTO public.who_import VALUES (51305, '2020-09-18', 'MG', 'Madagascar', 'AFRO', '54', '15925', '1', '216');
INSERT INTO public.who_import VALUES (51306, '2020-09-19', 'MG', 'Madagascar', 'AFRO', '46', '15971', '1', '217');
INSERT INTO public.who_import VALUES (51307, '2020-09-20', 'MG', 'Madagascar', 'AFRO', '49', '16020', '2', '219');
INSERT INTO public.who_import VALUES (51308, '2020-09-21', 'MG', 'Madagascar', 'AFRO', '33', '16053', '4', '223');
INSERT INTO public.who_import VALUES (51309, '2020-09-22', 'MG', 'Madagascar', 'AFRO', '20', '16073', '2', '225');
INSERT INTO public.who_import VALUES (51310, '2020-09-23', 'MG', 'Madagascar', 'AFRO', '63', '16136', '1', '226');
INSERT INTO public.who_import VALUES (51311, '2020-09-24', 'MG', 'Madagascar', 'AFRO', '31', '16167', '0', '226');
INSERT INTO public.who_import VALUES (51312, '2020-09-25', 'MG', 'Madagascar', 'AFRO', '24', '16191', '1', '227');
INSERT INTO public.who_import VALUES (51313, '2020-09-26', 'MG', 'Madagascar', 'AFRO', '30', '16221', '1', '228');
INSERT INTO public.who_import VALUES (51314, '2020-09-27', 'MG', 'Madagascar', 'AFRO', '36', '16257', '1', '229');
INSERT INTO public.who_import VALUES (51315, '2020-09-28', 'MG', 'Madagascar', 'AFRO', '28', '16285', '0', '229');
INSERT INTO public.who_import VALUES (51316, '2020-09-29', 'MG', 'Madagascar', 'AFRO', '63', '16348', '0', '229');
INSERT INTO public.who_import VALUES (51317, '2020-09-30', 'MG', 'Madagascar', 'AFRO', '29', '16377', '0', '229');
INSERT INTO public.who_import VALUES (51318, '2020-10-01', 'MG', 'Madagascar', 'AFRO', '31', '16408', '1', '230');
INSERT INTO public.who_import VALUES (51319, '2020-10-02', 'MG', 'Madagascar', 'AFRO', '46', '16454', '2', '232');
INSERT INTO public.who_import VALUES (51320, '2020-10-03', 'MG', 'Madagascar', 'AFRO', '39', '16493', '0', '232');
INSERT INTO public.who_import VALUES (51321, '2020-10-04', 'MG', 'Madagascar', 'AFRO', '36', '16529', '0', '232');
INSERT INTO public.who_import VALUES (51322, '2020-10-05', 'MG', 'Madagascar', 'AFRO', '29', '16558', '0', '232');
INSERT INTO public.who_import VALUES (51323, '2020-10-06', 'MG', 'Madagascar', 'AFRO', '12', '16570', '1', '233');
INSERT INTO public.who_import VALUES (51324, '2020-10-07', 'MG', 'Madagascar', 'AFRO', '0', '16570', '0', '233');
INSERT INTO public.who_import VALUES (51325, '2020-10-08', 'MG', 'Madagascar', 'AFRO', '63', '16633', '2', '235');
INSERT INTO public.who_import VALUES (51326, '2020-10-09', 'MG', 'Madagascar', 'AFRO', '21', '16654', '0', '235');
INSERT INTO public.who_import VALUES (51327, '2020-10-10', 'MG', 'Madagascar', 'AFRO', '22', '16676', '2', '237');
INSERT INTO public.who_import VALUES (51328, '2020-10-11', 'MG', 'Madagascar', 'AFRO', '26', '16702', '0', '237');
INSERT INTO public.who_import VALUES (51329, '2020-10-12', 'MG', 'Madagascar', 'AFRO', '16', '16718', '0', '237');
INSERT INTO public.who_import VALUES (51330, '2020-10-13', 'MG', 'Madagascar', 'AFRO', '8', '16726', '0', '237');
INSERT INTO public.who_import VALUES (51331, '2020-10-14', 'MG', 'Madagascar', 'AFRO', '28', '16754', '0', '237');
INSERT INTO public.who_import VALUES (51332, '2020-10-15', 'MG', 'Madagascar', 'AFRO', '0', '16754', '0', '237');
INSERT INTO public.who_import VALUES (51333, '2020-10-16', 'MG', 'Madagascar', 'AFRO', '0', '16754', '0', '237');
INSERT INTO public.who_import VALUES (51334, '2020-10-17', 'MG', 'Madagascar', 'AFRO', '60', '16814', '1', '238');
INSERT INTO public.who_import VALUES (51335, '2020-10-18', 'MG', 'Madagascar', 'AFRO', '0', '16814', '0', '238');
INSERT INTO public.who_import VALUES (51336, '2020-10-19', 'MG', 'Madagascar', 'AFRO', '-4', '16810', '0', '238');
INSERT INTO public.who_import VALUES (51337, '2020-10-20', 'MG', 'Madagascar', 'AFRO', '0', '16810', '0', '238');
INSERT INTO public.who_import VALUES (51338, '2020-10-21', 'MG', 'Madagascar', 'AFRO', '0', '16810', '0', '238');
INSERT INTO public.who_import VALUES (51339, '2020-10-22', 'MG', 'Madagascar', 'AFRO', '0', '16810', '0', '238');
INSERT INTO public.who_import VALUES (51340, '2020-10-23', 'MG', 'Madagascar', 'AFRO', '0', '16810', '0', '238');
INSERT INTO public.who_import VALUES (51341, '2020-10-24', 'MG', 'Madagascar', 'AFRO', '0', '16810', '0', '238');
INSERT INTO public.who_import VALUES (51342, '2020-10-25', 'MG', 'Madagascar', 'AFRO', '158', '16968', '6', '244');
INSERT INTO public.who_import VALUES (51343, '2020-10-26', 'MG', 'Madagascar', 'AFRO', '0', '16968', '0', '244');
INSERT INTO public.who_import VALUES (51344, '2020-10-27', 'MG', 'Madagascar', 'AFRO', '0', '16968', '0', '244');
INSERT INTO public.who_import VALUES (51345, '2020-10-28', 'MG', 'Madagascar', 'AFRO', '0', '16968', '0', '244');
INSERT INTO public.who_import VALUES (51346, '2020-10-29', 'MG', 'Madagascar', 'AFRO', '0', '16968', '0', '244');
INSERT INTO public.who_import VALUES (51347, '2020-10-30', 'MG', 'Madagascar', 'AFRO', '0', '16968', '0', '244');
INSERT INTO public.who_import VALUES (51348, '2020-10-31', 'MG', 'Madagascar', 'AFRO', '0', '16968', '0', '244');
INSERT INTO public.who_import VALUES (51349, '2020-11-01', 'MG', 'Madagascar', 'AFRO', '143', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51350, '2020-11-02', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51351, '2020-11-03', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51352, '2020-11-04', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51353, '2020-11-05', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51354, '2020-11-06', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51355, '2020-11-07', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51356, '2020-11-08', 'MG', 'Madagascar', 'AFRO', '0', '17111', '0', '244');
INSERT INTO public.who_import VALUES (51357, '2020-11-09', 'MG', 'Madagascar', 'AFRO', '122', '17233', '5', '249');
INSERT INTO public.who_import VALUES (51358, '2020-11-10', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51359, '2020-11-11', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51360, '2020-11-12', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51361, '2020-11-13', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51362, '2020-11-14', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51363, '2020-11-15', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51364, '2020-11-16', 'MG', 'Madagascar', 'AFRO', '0', '17233', '0', '249');
INSERT INTO public.who_import VALUES (51365, '2020-11-17', 'MG', 'Madagascar', 'AFRO', '77', '17310', '1', '250');
INSERT INTO public.who_import VALUES (51366, '2020-11-18', 'MG', 'Madagascar', 'AFRO', '0', '17310', '0', '250');
INSERT INTO public.who_import VALUES (51367, '2020-11-19', 'MG', 'Madagascar', 'AFRO', '0', '17310', '0', '250');
INSERT INTO public.who_import VALUES (51368, '2020-11-20', 'MG', 'Madagascar', 'AFRO', '0', '17310', '0', '250');
INSERT INTO public.who_import VALUES (51369, '2020-11-21', 'MG', 'Madagascar', 'AFRO', '0', '17310', '0', '250');
INSERT INTO public.who_import VALUES (51370, '2020-11-22', 'MG', 'Madagascar', 'AFRO', '0', '17310', '0', '250');
INSERT INTO public.who_import VALUES (51371, '2020-11-23', 'MG', 'Madagascar', 'AFRO', '31', '17341', '1', '251');
INSERT INTO public.who_import VALUES (51372, '2020-11-24', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51373, '2020-11-25', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51374, '2020-11-26', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51375, '2020-11-27', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51376, '2020-11-28', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51377, '2020-11-29', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51378, '2020-11-30', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51379, '2020-12-01', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51380, '2020-12-02', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51381, '2020-12-03', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51382, '2020-12-04', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51383, '2020-12-05', 'MG', 'Madagascar', 'AFRO', '0', '17341', '0', '251');
INSERT INTO public.who_import VALUES (51384, '2020-12-06', 'MG', 'Madagascar', 'AFRO', '132', '17473', '4', '255');
INSERT INTO public.who_import VALUES (51385, '2020-12-07', 'MG', 'Madagascar', 'AFRO', '0', '17473', '0', '255');
INSERT INTO public.who_import VALUES (51386, '2020-12-08', 'MG', 'Madagascar', 'AFRO', '0', '17473', '0', '255');
INSERT INTO public.who_import VALUES (51387, '2020-12-09', 'MG', 'Madagascar', 'AFRO', '0', '17473', '0', '255');
INSERT INTO public.who_import VALUES (51388, '2020-12-10', 'MG', 'Madagascar', 'AFRO', '0', '17473', '0', '255');
INSERT INTO public.who_import VALUES (51389, '2020-12-11', 'MG', 'Madagascar', 'AFRO', '0', '17473', '0', '255');
INSERT INTO public.who_import VALUES (51390, '2020-12-12', 'MG', 'Madagascar', 'AFRO', '0', '17473', '0', '255');
INSERT INTO public.who_import VALUES (51391, '2020-12-13', 'MG', 'Madagascar', 'AFRO', '114', '17587', '4', '259');
INSERT INTO public.who_import VALUES (51392, '2020-12-14', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51393, '2020-12-15', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51394, '2020-12-16', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51395, '2020-12-17', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51396, '2020-12-18', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51397, '2020-12-19', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51398, '2020-12-20', 'MG', 'Madagascar', 'AFRO', '0', '17587', '0', '259');
INSERT INTO public.who_import VALUES (51399, '2020-12-21', 'MG', 'Madagascar', 'AFRO', '46', '17633', '1', '260');
INSERT INTO public.who_import VALUES (51400, '2020-12-22', 'MG', 'Madagascar', 'AFRO', '0', '17633', '0', '260');
INSERT INTO public.who_import VALUES (51401, '2020-12-23', 'MG', 'Madagascar', 'AFRO', '0', '17633', '0', '260');
INSERT INTO public.who_import VALUES (51402, '2020-12-24', 'MG', 'Madagascar', 'AFRO', '0', '17633', '0', '260');
INSERT INTO public.who_import VALUES (51403, '2020-12-25', 'MG', 'Madagascar', 'AFRO', '0', '17633', '0', '260');
INSERT INTO public.who_import VALUES (51404, '2020-12-26', 'MG', 'Madagascar', 'AFRO', '0', '17633', '0', '260');
INSERT INTO public.who_import VALUES (51405, '2020-12-27', 'MG', 'Madagascar', 'AFRO', '0', '17633', '0', '260');
INSERT INTO public.who_import VALUES (51406, '2020-12-28', 'MG', 'Madagascar', 'AFRO', '81', '17714', '1', '261');
INSERT INTO public.who_import VALUES (51407, '2020-12-29', 'MG', 'Madagascar', 'AFRO', '0', '17714', '0', '261');
INSERT INTO public.who_import VALUES (51408, '2020-12-30', 'MG', 'Madagascar', 'AFRO', '0', '17714', '0', '261');
INSERT INTO public.who_import VALUES (51409, '2020-12-31', 'MG', 'Madagascar', 'AFRO', '0', '17714', '0', '261');
INSERT INTO public.who_import VALUES (51410, '2021-01-01', 'MG', 'Madagascar', 'AFRO', '0', '17714', '0', '261');
INSERT INTO public.who_import VALUES (51411, '2021-01-02', 'MG', 'Madagascar', 'AFRO', '0', '17714', '0', '261');
INSERT INTO public.who_import VALUES (51412, '2021-01-03', 'MG', 'Madagascar', 'AFRO', '53', '17767', '1', '262');
INSERT INTO public.who_import VALUES (51413, '2021-01-04', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51414, '2021-01-05', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51415, '2021-01-06', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51416, '2021-01-07', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51417, '2021-01-08', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51418, '2021-01-09', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51419, '2021-01-10', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51420, '2021-01-11', 'MG', 'Madagascar', 'AFRO', '0', '17767', '0', '262');
INSERT INTO public.who_import VALUES (51421, '2021-01-12', 'MG', 'Madagascar', 'AFRO', '234', '18001', '5', '267');
INSERT INTO public.who_import VALUES (51422, '2021-01-13', 'MG', 'Madagascar', 'AFRO', '0', '18001', '0', '267');
INSERT INTO public.who_import VALUES (51423, '2021-01-14', 'MG', 'Madagascar', 'AFRO', '0', '18001', '0', '267');
INSERT INTO public.who_import VALUES (51424, '2021-01-15', 'MG', 'Madagascar', 'AFRO', '0', '18001', '0', '267');
INSERT INTO public.who_import VALUES (51425, '2021-01-16', 'MG', 'Madagascar', 'AFRO', '0', '18001', '0', '267');
INSERT INTO public.who_import VALUES (51426, '2021-01-17', 'MG', 'Madagascar', 'AFRO', '0', '18001', '0', '267');
INSERT INTO public.who_import VALUES (51427, '2021-01-18', 'MG', 'Madagascar', 'AFRO', '300', '18301', '6', '273');
INSERT INTO public.who_import VALUES (51428, '2021-01-19', 'MG', 'Madagascar', 'AFRO', '0', '18301', '0', '273');
INSERT INTO public.who_import VALUES (51429, '2021-01-20', 'MG', 'Madagascar', 'AFRO', '0', '18301', '0', '273');
INSERT INTO public.who_import VALUES (51430, '2021-01-21', 'MG', 'Madagascar', 'AFRO', '0', '18301', '0', '273');
INSERT INTO public.who_import VALUES (51431, '2021-01-22', 'MG', 'Madagascar', 'AFRO', '0', '18301', '0', '273');
INSERT INTO public.who_import VALUES (51432, '2021-01-23', 'MG', 'Madagascar', 'AFRO', '0', '18301', '0', '273');
INSERT INTO public.who_import VALUES (51433, '2021-01-24', 'MG', 'Madagascar', 'AFRO', '0', '18301', '0', '273');
INSERT INTO public.who_import VALUES (51434, '2021-01-25', 'MG', 'Madagascar', 'AFRO', '442', '18743', '6', '279');
INSERT INTO public.who_import VALUES (51435, '2021-01-26', 'MG', 'Madagascar', 'AFRO', '0', '18743', '0', '279');
INSERT INTO public.who_import VALUES (51436, '2021-01-27', 'MG', 'Madagascar', 'AFRO', '0', '18743', '0', '279');
INSERT INTO public.who_import VALUES (51437, '2021-01-28', 'MG', 'Madagascar', 'AFRO', '0', '18743', '0', '279');
INSERT INTO public.who_import VALUES (51438, '2021-01-29', 'MG', 'Madagascar', 'AFRO', '0', '18743', '0', '279');
INSERT INTO public.who_import VALUES (51439, '2021-01-30', 'MG', 'Madagascar', 'AFRO', '0', '18743', '0', '279');
INSERT INTO public.who_import VALUES (51440, '2021-01-31', 'MG', 'Madagascar', 'AFRO', '0', '18743', '0', '279');
INSERT INTO public.who_import VALUES (51441, '2021-02-01', 'MG', 'Madagascar', 'AFRO', '322', '19065', '2', '281');
INSERT INTO public.who_import VALUES (51442, '2021-02-02', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51443, '2021-02-03', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51444, '2021-02-04', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51445, '2021-02-05', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51446, '2021-02-06', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51447, '2021-02-07', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51448, '2021-02-08', 'MG', 'Madagascar', 'AFRO', '0', '19065', '0', '281');
INSERT INTO public.who_import VALUES (51449, '2021-02-09', 'MG', 'Madagascar', 'AFRO', '295', '19360', '4', '285');
INSERT INTO public.who_import VALUES (51450, '2021-02-10', 'MG', 'Madagascar', 'AFRO', '0', '19360', '0', '285');
INSERT INTO public.who_import VALUES (51451, '2021-02-11', 'MG', 'Madagascar', 'AFRO', '0', '19360', '0', '285');
INSERT INTO public.who_import VALUES (51452, '2021-02-12', 'MG', 'Madagascar', 'AFRO', '0', '19360', '0', '285');
INSERT INTO public.who_import VALUES (51453, '2021-02-13', 'MG', 'Madagascar', 'AFRO', '0', '19360', '0', '285');
INSERT INTO public.who_import VALUES (51454, '2021-02-14', 'MG', 'Madagascar', 'AFRO', '0', '19360', '0', '285');
INSERT INTO public.who_import VALUES (51455, '2021-02-15', 'MG', 'Madagascar', 'AFRO', '0', '19360', '0', '285');
INSERT INTO public.who_import VALUES (51456, '2021-02-16', 'MG', 'Madagascar', 'AFRO', '238', '19598', '7', '292');
INSERT INTO public.who_import VALUES (51457, '2021-02-17', 'MG', 'Madagascar', 'AFRO', '0', '19598', '0', '292');
INSERT INTO public.who_import VALUES (51458, '2021-02-18', 'MG', 'Madagascar', 'AFRO', '0', '19598', '0', '292');
INSERT INTO public.who_import VALUES (51459, '2021-02-19', 'MG', 'Madagascar', 'AFRO', '0', '19598', '0', '292');
INSERT INTO public.who_import VALUES (51460, '2021-02-20', 'MG', 'Madagascar', 'AFRO', '0', '19598', '0', '292');
INSERT INTO public.who_import VALUES (51461, '2020-01-03', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51462, '2020-01-04', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51463, '2020-01-05', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51464, '2020-01-06', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51465, '2020-01-07', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51466, '2020-01-08', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51467, '2020-01-09', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51468, '2020-01-10', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51469, '2020-01-11', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51470, '2020-01-12', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51471, '2020-01-13', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51472, '2020-01-14', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51473, '2020-01-15', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51474, '2020-01-16', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51475, '2020-01-17', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51476, '2020-01-18', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51477, '2020-01-19', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51478, '2020-01-20', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51479, '2020-01-21', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51480, '2020-01-22', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51481, '2020-01-23', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51482, '2020-01-24', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51483, '2020-01-25', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51484, '2020-01-26', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51485, '2020-01-27', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51486, '2020-01-28', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51487, '2020-01-29', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51488, '2020-01-30', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51489, '2020-01-31', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51490, '2020-02-01', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51491, '2020-02-02', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51492, '2020-02-03', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51493, '2020-02-04', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51494, '2020-02-05', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51495, '2020-02-06', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51496, '2020-02-07', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51497, '2020-02-08', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51498, '2020-02-09', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51499, '2020-02-10', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51500, '2020-02-11', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51501, '2020-02-12', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51502, '2020-02-13', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51503, '2020-02-14', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51504, '2020-02-15', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51505, '2020-02-16', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51506, '2020-02-17', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51507, '2020-02-18', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51508, '2020-02-19', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51509, '2020-02-20', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51510, '2020-02-21', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51511, '2020-02-22', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51512, '2020-02-23', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51513, '2020-02-24', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51514, '2020-02-25', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51515, '2020-02-26', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51516, '2020-02-27', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51517, '2020-02-28', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51518, '2020-02-29', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51519, '2020-03-01', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51520, '2020-03-02', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51521, '2020-03-03', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51522, '2020-03-04', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51523, '2020-03-05', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51524, '2020-03-06', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51525, '2020-03-07', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51526, '2020-03-08', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51527, '2020-03-09', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51528, '2020-03-10', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51529, '2020-03-11', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51530, '2020-03-12', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51531, '2020-03-13', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51532, '2020-03-14', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51533, '2020-03-15', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51534, '2020-03-16', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51535, '2020-03-17', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51536, '2020-03-18', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51537, '2020-03-19', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51538, '2020-03-20', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51539, '2020-03-21', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51540, '2020-03-22', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51541, '2020-03-23', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51542, '2020-03-24', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51543, '2020-03-25', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51544, '2020-03-26', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51545, '2020-03-27', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51546, '2020-03-28', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51547, '2020-03-29', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51548, '2020-03-30', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51549, '2020-03-31', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51550, '2020-04-01', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51551, '2020-04-02', 'MW', 'Malawi', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51552, '2020-04-03', 'MW', 'Malawi', 'AFRO', '3', '3', '0', '0');
INSERT INTO public.who_import VALUES (51553, '2020-04-04', 'MW', 'Malawi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (51554, '2020-04-05', 'MW', 'Malawi', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (51555, '2020-04-06', 'MW', 'Malawi', 'AFRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (51556, '2020-04-07', 'MW', 'Malawi', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (51557, '2020-04-08', 'MW', 'Malawi', 'AFRO', '4', '8', '1', '1');
INSERT INTO public.who_import VALUES (51558, '2020-04-09', 'MW', 'Malawi', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (51559, '2020-04-10', 'MW', 'Malawi', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (51560, '2020-04-11', 'MW', 'Malawi', 'AFRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (51561, '2020-04-12', 'MW', 'Malawi', 'AFRO', '3', '12', '1', '2');
INSERT INTO public.who_import VALUES (51562, '2020-04-13', 'MW', 'Malawi', 'AFRO', '1', '13', '0', '2');
INSERT INTO public.who_import VALUES (51563, '2020-04-14', 'MW', 'Malawi', 'AFRO', '3', '16', '0', '2');
INSERT INTO public.who_import VALUES (51564, '2020-04-15', 'MW', 'Malawi', 'AFRO', '0', '16', '0', '2');
INSERT INTO public.who_import VALUES (51565, '2020-04-16', 'MW', 'Malawi', 'AFRO', '0', '16', '0', '2');
INSERT INTO public.who_import VALUES (51566, '2020-04-17', 'MW', 'Malawi', 'AFRO', '0', '16', '0', '2');
INSERT INTO public.who_import VALUES (51567, '2020-04-18', 'MW', 'Malawi', 'AFRO', '1', '17', '0', '2');
INSERT INTO public.who_import VALUES (51568, '2020-04-19', 'MW', 'Malawi', 'AFRO', '0', '17', '0', '2');
INSERT INTO public.who_import VALUES (51569, '2020-04-20', 'MW', 'Malawi', 'AFRO', '0', '17', '0', '2');
INSERT INTO public.who_import VALUES (51570, '2020-04-21', 'MW', 'Malawi', 'AFRO', '0', '17', '0', '2');
INSERT INTO public.who_import VALUES (51571, '2020-04-22', 'MW', 'Malawi', 'AFRO', '1', '18', '0', '2');
INSERT INTO public.who_import VALUES (51572, '2020-04-23', 'MW', 'Malawi', 'AFRO', '5', '23', '1', '3');
INSERT INTO public.who_import VALUES (51573, '2020-04-24', 'MW', 'Malawi', 'AFRO', '10', '33', '0', '3');
INSERT INTO public.who_import VALUES (51574, '2020-04-25', 'MW', 'Malawi', 'AFRO', '0', '33', '0', '3');
INSERT INTO public.who_import VALUES (51575, '2020-04-26', 'MW', 'Malawi', 'AFRO', '0', '33', '0', '3');
INSERT INTO public.who_import VALUES (51576, '2020-04-27', 'MW', 'Malawi', 'AFRO', '1', '34', '0', '3');
INSERT INTO public.who_import VALUES (51577, '2020-04-28', 'MW', 'Malawi', 'AFRO', '2', '36', '0', '3');
INSERT INTO public.who_import VALUES (51578, '2020-04-29', 'MW', 'Malawi', 'AFRO', '0', '36', '0', '3');
INSERT INTO public.who_import VALUES (51579, '2020-04-30', 'MW', 'Malawi', 'AFRO', '0', '36', '0', '3');
INSERT INTO public.who_import VALUES (51580, '2020-05-01', 'MW', 'Malawi', 'AFRO', '1', '37', '0', '3');
INSERT INTO public.who_import VALUES (51581, '2020-05-02', 'MW', 'Malawi', 'AFRO', '0', '37', '0', '3');
INSERT INTO public.who_import VALUES (51582, '2020-05-03', 'MW', 'Malawi', 'AFRO', '1', '38', '0', '3');
INSERT INTO public.who_import VALUES (51583, '2020-05-04', 'MW', 'Malawi', 'AFRO', '1', '39', '0', '3');
INSERT INTO public.who_import VALUES (51584, '2020-05-05', 'MW', 'Malawi', 'AFRO', '2', '41', '0', '3');
INSERT INTO public.who_import VALUES (51585, '2020-05-06', 'MW', 'Malawi', 'AFRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (51586, '2020-05-07', 'MW', 'Malawi', 'AFRO', '2', '43', '0', '3');
INSERT INTO public.who_import VALUES (51587, '2020-05-08', 'MW', 'Malawi', 'AFRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (51588, '2020-05-09', 'MW', 'Malawi', 'AFRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (51589, '2020-05-10', 'MW', 'Malawi', 'AFRO', '13', '56', '0', '3');
INSERT INTO public.who_import VALUES (51590, '2020-05-11', 'MW', 'Malawi', 'AFRO', '0', '56', '0', '3');
INSERT INTO public.who_import VALUES (51591, '2020-05-12', 'MW', 'Malawi', 'AFRO', '1', '57', '0', '3');
INSERT INTO public.who_import VALUES (51592, '2020-05-13', 'MW', 'Malawi', 'AFRO', '1', '58', '0', '3');
INSERT INTO public.who_import VALUES (51593, '2020-05-14', 'MW', 'Malawi', 'AFRO', '5', '63', '0', '3');
INSERT INTO public.who_import VALUES (51594, '2020-05-15', 'MW', 'Malawi', 'AFRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (51595, '2020-05-16', 'MW', 'Malawi', 'AFRO', '0', '63', '0', '3');
INSERT INTO public.who_import VALUES (51596, '2020-05-17', 'MW', 'Malawi', 'AFRO', '2', '65', '0', '3');
INSERT INTO public.who_import VALUES (51597, '2020-05-18', 'MW', 'Malawi', 'AFRO', '5', '70', '0', '3');
INSERT INTO public.who_import VALUES (51598, '2020-05-19', 'MW', 'Malawi', 'AFRO', '0', '70', '0', '3');
INSERT INTO public.who_import VALUES (51599, '2020-05-20', 'MW', 'Malawi', 'AFRO', '1', '71', '0', '3');
INSERT INTO public.who_import VALUES (51600, '2020-05-21', 'MW', 'Malawi', 'AFRO', '1', '72', '0', '3');
INSERT INTO public.who_import VALUES (51601, '2020-05-22', 'MW', 'Malawi', 'AFRO', '0', '72', '0', '3');
INSERT INTO public.who_import VALUES (51602, '2020-05-23', 'MW', 'Malawi', 'AFRO', '10', '82', '0', '3');
INSERT INTO public.who_import VALUES (51603, '2020-05-24', 'MW', 'Malawi', 'AFRO', '1', '83', '1', '4');
INSERT INTO public.who_import VALUES (51604, '2020-05-25', 'MW', 'Malawi', 'AFRO', '0', '83', '0', '4');
INSERT INTO public.who_import VALUES (51605, '2020-05-26', 'MW', 'Malawi', 'AFRO', '18', '101', '0', '4');
INSERT INTO public.who_import VALUES (51606, '2020-05-27', 'MW', 'Malawi', 'AFRO', '0', '101', '0', '4');
INSERT INTO public.who_import VALUES (51607, '2020-05-28', 'MW', 'Malawi', 'AFRO', '0', '101', '0', '4');
INSERT INTO public.who_import VALUES (51608, '2020-05-29', 'MW', 'Malawi', 'AFRO', '102', '203', '0', '4');
INSERT INTO public.who_import VALUES (51609, '2020-05-30', 'MW', 'Malawi', 'AFRO', '70', '273', '0', '4');
INSERT INTO public.who_import VALUES (51610, '2020-05-31', 'MW', 'Malawi', 'AFRO', '6', '279', '0', '4');
INSERT INTO public.who_import VALUES (51611, '2020-06-01', 'MW', 'Malawi', 'AFRO', '5', '284', '0', '4');
INSERT INTO public.who_import VALUES (51612, '2020-06-02', 'MW', 'Malawi', 'AFRO', '52', '336', '0', '4');
INSERT INTO public.who_import VALUES (51613, '2020-06-03', 'MW', 'Malawi', 'AFRO', '22', '358', '0', '4');
INSERT INTO public.who_import VALUES (51614, '2020-06-04', 'MW', 'Malawi', 'AFRO', '11', '369', '0', '4');
INSERT INTO public.who_import VALUES (51615, '2020-06-05', 'MW', 'Malawi', 'AFRO', '24', '393', '0', '4');
INSERT INTO public.who_import VALUES (51616, '2020-06-06', 'MW', 'Malawi', 'AFRO', '16', '409', '0', '4');
INSERT INTO public.who_import VALUES (51617, '2020-06-07', 'MW', 'Malawi', 'AFRO', '0', '409', '0', '4');
INSERT INTO public.who_import VALUES (51618, '2020-06-08', 'MW', 'Malawi', 'AFRO', '29', '438', '0', '4');
INSERT INTO public.who_import VALUES (51619, '2020-06-09', 'MW', 'Malawi', 'AFRO', '5', '443', '0', '4');
INSERT INTO public.who_import VALUES (51620, '2020-06-10', 'MW', 'Malawi', 'AFRO', '12', '455', '0', '4');
INSERT INTO public.who_import VALUES (51621, '2020-06-11', 'MW', 'Malawi', 'AFRO', '0', '455', '0', '4');
INSERT INTO public.who_import VALUES (51622, '2020-06-12', 'MW', 'Malawi', 'AFRO', '26', '481', '0', '4');
INSERT INTO public.who_import VALUES (51623, '2020-06-13', 'MW', 'Malawi', 'AFRO', '0', '481', '0', '4');
INSERT INTO public.who_import VALUES (51624, '2020-06-14', 'MW', 'Malawi', 'AFRO', '48', '529', '1', '5');
INSERT INTO public.who_import VALUES (51625, '2020-06-15', 'MW', 'Malawi', 'AFRO', '18', '547', '1', '6');
INSERT INTO public.who_import VALUES (51626, '2020-06-16', 'MW', 'Malawi', 'AFRO', '9', '556', '0', '6');
INSERT INTO public.who_import VALUES (51627, '2020-06-17', 'MW', 'Malawi', 'AFRO', '8', '564', '0', '6');
INSERT INTO public.who_import VALUES (51628, '2020-06-18', 'MW', 'Malawi', 'AFRO', '8', '572', '0', '6');
INSERT INTO public.who_import VALUES (51629, '2020-06-19', 'MW', 'Malawi', 'AFRO', '20', '592', '2', '8');
INSERT INTO public.who_import VALUES (51630, '2020-06-20', 'MW', 'Malawi', 'AFRO', '56', '648', '0', '8');
INSERT INTO public.who_import VALUES (51631, '2020-06-21', 'MW', 'Malawi', 'AFRO', '82', '730', '3', '11');
INSERT INTO public.who_import VALUES (51632, '2020-06-22', 'MW', 'Malawi', 'AFRO', '0', '730', '0', '11');
INSERT INTO public.who_import VALUES (51633, '2020-06-23', 'MW', 'Malawi', 'AFRO', '15', '745', '0', '11');
INSERT INTO public.who_import VALUES (51634, '2020-06-24', 'MW', 'Malawi', 'AFRO', '58', '803', '0', '11');
INSERT INTO public.who_import VALUES (51635, '2020-06-25', 'MW', 'Malawi', 'AFRO', '45', '848', '0', '11');
INSERT INTO public.who_import VALUES (51636, '2020-06-26', 'MW', 'Malawi', 'AFRO', '112', '960', '1', '12');
INSERT INTO public.who_import VALUES (51637, '2020-06-27', 'MW', 'Malawi', 'AFRO', '45', '1005', '1', '13');
INSERT INTO public.who_import VALUES (51638, '2020-06-28', 'MW', 'Malawi', 'AFRO', '33', '1038', '0', '13');
INSERT INTO public.who_import VALUES (51639, '2020-06-29', 'MW', 'Malawi', 'AFRO', '114', '1152', '0', '13');
INSERT INTO public.who_import VALUES (51640, '2020-06-30', 'MW', 'Malawi', 'AFRO', '72', '1224', '1', '14');
INSERT INTO public.who_import VALUES (51641, '2020-07-01', 'MW', 'Malawi', 'AFRO', '41', '1265', '2', '16');
INSERT INTO public.who_import VALUES (51642, '2020-07-02', 'MW', 'Malawi', 'AFRO', '77', '1342', '0', '16');
INSERT INTO public.who_import VALUES (51643, '2020-07-03', 'MW', 'Malawi', 'AFRO', '60', '1402', '0', '16');
INSERT INTO public.who_import VALUES (51644, '2020-07-04', 'MW', 'Malawi', 'AFRO', '96', '1498', '0', '16');
INSERT INTO public.who_import VALUES (51645, '2020-07-05', 'MW', 'Malawi', 'AFRO', '115', '1613', '1', '17');
INSERT INTO public.who_import VALUES (51646, '2020-07-06', 'MW', 'Malawi', 'AFRO', '129', '1742', '2', '19');
INSERT INTO public.who_import VALUES (51647, '2020-07-07', 'MW', 'Malawi', 'AFRO', '76', '1818', '0', '19');
INSERT INTO public.who_import VALUES (51648, '2020-07-08', 'MW', 'Malawi', 'AFRO', '59', '1877', '5', '24');
INSERT INTO public.who_import VALUES (51649, '2020-07-09', 'MW', 'Malawi', 'AFRO', '65', '1942', '1', '25');
INSERT INTO public.who_import VALUES (51650, '2020-07-10', 'MW', 'Malawi', 'AFRO', '44', '1986', '4', '29');
INSERT INTO public.who_import VALUES (51651, '2020-07-11', 'MW', 'Malawi', 'AFRO', '83', '2069', '2', '31');
INSERT INTO public.who_import VALUES (51652, '2020-07-12', 'MW', 'Malawi', 'AFRO', '192', '2261', '2', '33');
INSERT INTO public.who_import VALUES (51653, '2020-07-13', 'MW', 'Malawi', 'AFRO', '103', '2364', '5', '38');
INSERT INTO public.who_import VALUES (51654, '2020-07-14', 'MW', 'Malawi', 'AFRO', '66', '2430', '1', '39');
INSERT INTO public.who_import VALUES (51655, '2020-07-15', 'MW', 'Malawi', 'AFRO', '67', '2497', '1', '40');
INSERT INTO public.who_import VALUES (51656, '2020-07-16', 'MW', 'Malawi', 'AFRO', '117', '2614', '3', '43');
INSERT INTO public.who_import VALUES (51657, '2020-07-17', 'MW', 'Malawi', 'AFRO', '102', '2716', '8', '51');
INSERT INTO public.who_import VALUES (51658, '2020-07-18', 'MW', 'Malawi', 'AFRO', '94', '2810', '4', '55');
INSERT INTO public.who_import VALUES (51659, '2020-07-19', 'MW', 'Malawi', 'AFRO', '97', '2907', '4', '59');
INSERT INTO public.who_import VALUES (51660, '2020-07-20', 'MW', 'Malawi', 'AFRO', '85', '2992', '3', '62');
INSERT INTO public.who_import VALUES (51661, '2020-07-21', 'MW', 'Malawi', 'AFRO', '53', '3045', '2', '64');
INSERT INTO public.who_import VALUES (51662, '2020-07-22', 'MW', 'Malawi', 'AFRO', '104', '3149', '7', '71');
INSERT INTO public.who_import VALUES (51663, '2020-07-23', 'MW', 'Malawi', 'AFRO', '153', '3302', '5', '76');
INSERT INTO public.who_import VALUES (51664, '2020-07-24', 'MW', 'Malawi', 'AFRO', '84', '3386', '3', '79');
INSERT INTO public.who_import VALUES (51665, '2020-07-25', 'MW', 'Malawi', 'AFRO', '68', '3454', '8', '87');
INSERT INTO public.who_import VALUES (51666, '2020-07-26', 'MW', 'Malawi', 'AFRO', '103', '3557', '7', '94');
INSERT INTO public.who_import VALUES (51667, '2020-07-27', 'MW', 'Malawi', 'AFRO', '107', '3664', '5', '99');
INSERT INTO public.who_import VALUES (51668, '2020-07-28', 'MW', 'Malawi', 'AFRO', '45', '3709', '4', '103');
INSERT INTO public.who_import VALUES (51669, '2020-07-29', 'MW', 'Malawi', 'AFRO', '29', '3738', '0', '103');
INSERT INTO public.who_import VALUES (51670, '2020-07-30', 'MW', 'Malawi', 'AFRO', '120', '3858', '4', '107');
INSERT INTO public.who_import VALUES (51671, '2020-07-31', 'MW', 'Malawi', 'AFRO', '123', '3981', '2', '109');
INSERT INTO public.who_import VALUES (51672, '2020-08-01', 'MW', 'Malawi', 'AFRO', '97', '4078', '5', '114');
INSERT INTO public.who_import VALUES (51673, '2020-08-02', 'MW', 'Malawi', 'AFRO', '108', '4186', '6', '120');
INSERT INTO public.who_import VALUES (51674, '2020-08-03', 'MW', 'Malawi', 'AFRO', '45', '4231', '3', '123');
INSERT INTO public.who_import VALUES (51675, '2020-08-04', 'MW', 'Malawi', 'AFRO', '42', '4273', '0', '123');
INSERT INTO public.who_import VALUES (51676, '2020-08-05', 'MW', 'Malawi', 'AFRO', '88', '4361', '5', '128');
INSERT INTO public.who_import VALUES (51677, '2020-08-06', 'MW', 'Malawi', 'AFRO', '65', '4426', '8', '136');
INSERT INTO public.who_import VALUES (51678, '2020-08-07', 'MW', 'Malawi', 'AFRO', '65', '4491', '1', '137');
INSERT INTO public.who_import VALUES (51679, '2020-08-08', 'MW', 'Malawi', 'AFRO', '84', '4575', '0', '137');
INSERT INTO public.who_import VALUES (51680, '2020-08-09', 'MW', 'Malawi', 'AFRO', '49', '4624', '6', '143');
INSERT INTO public.who_import VALUES (51681, '2020-08-10', 'MW', 'Malawi', 'AFRO', '34', '4658', '3', '146');
INSERT INTO public.who_import VALUES (51682, '2020-08-11', 'MW', 'Malawi', 'AFRO', '16', '4674', '0', '146');
INSERT INTO public.who_import VALUES (51683, '2020-08-12', 'MW', 'Malawi', 'AFRO', '40', '4714', '6', '152');
INSERT INTO public.who_import VALUES (51684, '2020-08-13', 'MW', 'Malawi', 'AFRO', '38', '4752', '0', '152');
INSERT INTO public.who_import VALUES (51685, '2020-08-14', 'MW', 'Malawi', 'AFRO', '160', '4912', '1', '153');
INSERT INTO public.who_import VALUES (51686, '2020-08-15', 'MW', 'Malawi', 'AFRO', '76', '4988', '3', '156');
INSERT INTO public.who_import VALUES (51687, '2020-08-16', 'MW', 'Malawi', 'AFRO', '38', '5026', '1', '157');
INSERT INTO public.who_import VALUES (51688, '2020-08-17', 'MW', 'Malawi', 'AFRO', '46', '5072', '4', '161');
INSERT INTO public.who_import VALUES (51689, '2020-08-18', 'MW', 'Malawi', 'AFRO', '53', '5125', '1', '162');
INSERT INTO public.who_import VALUES (51690, '2020-08-19', 'MW', 'Malawi', 'AFRO', '68', '5193', '1', '163');
INSERT INTO public.who_import VALUES (51691, '2020-08-20', 'MW', 'Malawi', 'AFRO', '47', '5240', '1', '164');
INSERT INTO public.who_import VALUES (51692, '2020-08-21', 'MW', 'Malawi', 'AFRO', '42', '5282', '1', '165');
INSERT INTO public.who_import VALUES (51693, '2020-08-22', 'MW', 'Malawi', 'AFRO', '40', '5322', '1', '166');
INSERT INTO public.who_import VALUES (51694, '2020-08-23', 'MW', 'Malawi', 'AFRO', '60', '5382', '2', '168');
INSERT INTO public.who_import VALUES (51695, '2020-08-24', 'MW', 'Malawi', 'AFRO', '32', '5414', '0', '168');
INSERT INTO public.who_import VALUES (51696, '2020-08-25', 'MW', 'Malawi', 'AFRO', '5', '5419', '1', '169');
INSERT INTO public.who_import VALUES (51697, '2020-08-26', 'MW', 'Malawi', 'AFRO', '4', '5423', '1', '170');
INSERT INTO public.who_import VALUES (51698, '2020-08-27', 'MW', 'Malawi', 'AFRO', '51', '5474', '3', '173');
INSERT INTO public.who_import VALUES (51699, '2020-08-28', 'MW', 'Malawi', 'AFRO', '22', '5496', '0', '173');
INSERT INTO public.who_import VALUES (51700, '2020-08-29', 'MW', 'Malawi', 'AFRO', '27', '5523', '1', '174');
INSERT INTO public.who_import VALUES (51701, '2020-08-30', 'MW', 'Malawi', 'AFRO', '5', '5528', '0', '174');
INSERT INTO public.who_import VALUES (51702, '2020-08-31', 'MW', 'Malawi', 'AFRO', '8', '5536', '0', '174');
INSERT INTO public.who_import VALUES (51703, '2020-09-01', 'MW', 'Malawi', 'AFRO', '30', '5566', '1', '175');
INSERT INTO public.who_import VALUES (51704, '2020-09-02', 'MW', 'Malawi', 'AFRO', '10', '5576', '0', '175');
INSERT INTO public.who_import VALUES (51705, '2020-09-03', 'MW', 'Malawi', 'AFRO', '3', '5579', '0', '175');
INSERT INTO public.who_import VALUES (51706, '2020-09-04', 'MW', 'Malawi', 'AFRO', '14', '5593', '0', '175');
INSERT INTO public.who_import VALUES (51707, '2020-09-05', 'MW', 'Malawi', 'AFRO', '15', '5608', '0', '175');
INSERT INTO public.who_import VALUES (51708, '2020-09-06', 'MW', 'Malawi', 'AFRO', '3', '5611', '0', '175');
INSERT INTO public.who_import VALUES (51709, '2020-09-07', 'MW', 'Malawi', 'AFRO', '3', '5614', '0', '175');
INSERT INTO public.who_import VALUES (51710, '2020-09-08', 'MW', 'Malawi', 'AFRO', '7', '5621', '1', '176');
INSERT INTO public.who_import VALUES (51711, '2020-09-09', 'MW', 'Malawi', 'AFRO', '9', '5630', '0', '176');
INSERT INTO public.who_import VALUES (51712, '2020-09-10', 'MW', 'Malawi', 'AFRO', '23', '5653', '0', '176');
INSERT INTO public.who_import VALUES (51713, '2020-09-11', 'MW', 'Malawi', 'AFRO', '2', '5655', '0', '176');
INSERT INTO public.who_import VALUES (51714, '2020-09-12', 'MW', 'Malawi', 'AFRO', '14', '5669', '1', '177');
INSERT INTO public.who_import VALUES (51715, '2020-09-13', 'MW', 'Malawi', 'AFRO', '0', '5669', '0', '177');
INSERT INTO public.who_import VALUES (51716, '2020-09-14', 'MW', 'Malawi', 'AFRO', '21', '5690', '0', '177');
INSERT INTO public.who_import VALUES (51717, '2020-09-15', 'MW', 'Malawi', 'AFRO', '7', '5697', '1', '178');
INSERT INTO public.who_import VALUES (51718, '2020-09-16', 'MW', 'Malawi', 'AFRO', '4', '5701', '0', '178');
INSERT INTO public.who_import VALUES (51719, '2020-09-17', 'MW', 'Malawi', 'AFRO', '3', '5704', '0', '178');
INSERT INTO public.who_import VALUES (51720, '2020-09-18', 'MW', 'Malawi', 'AFRO', '7', '5711', '1', '179');
INSERT INTO public.who_import VALUES (51721, '2020-09-19', 'MW', 'Malawi', 'AFRO', '5', '5716', '0', '179');
INSERT INTO public.who_import VALUES (51722, '2020-09-20', 'MW', 'Malawi', 'AFRO', '2', '5718', '0', '179');
INSERT INTO public.who_import VALUES (51723, '2020-09-21', 'MW', 'Malawi', 'AFRO', '13', '5731', '0', '179');
INSERT INTO public.who_import VALUES (51724, '2020-09-22', 'MW', 'Malawi', 'AFRO', '2', '5733', '0', '179');
INSERT INTO public.who_import VALUES (51725, '2020-09-23', 'MW', 'Malawi', 'AFRO', '6', '5739', '0', '179');
INSERT INTO public.who_import VALUES (51726, '2020-09-24', 'MW', 'Malawi', 'AFRO', '7', '5746', '0', '179');
INSERT INTO public.who_import VALUES (51727, '2020-09-25', 'MW', 'Malawi', 'AFRO', '1', '5747', '0', '179');
INSERT INTO public.who_import VALUES (51728, '2020-09-26', 'MW', 'Malawi', 'AFRO', '17', '5764', '0', '179');
INSERT INTO public.who_import VALUES (51729, '2020-09-27', 'MW', 'Malawi', 'AFRO', '2', '5766', '0', '179');
INSERT INTO public.who_import VALUES (51730, '2020-09-28', 'MW', 'Malawi', 'AFRO', '2', '5768', '0', '179');
INSERT INTO public.who_import VALUES (51731, '2020-09-29', 'MW', 'Malawi', 'AFRO', '2', '5770', '0', '179');
INSERT INTO public.who_import VALUES (51732, '2020-09-30', 'MW', 'Malawi', 'AFRO', '2', '5772', '0', '179');
INSERT INTO public.who_import VALUES (51733, '2020-10-01', 'MW', 'Malawi', 'AFRO', '1', '5773', '0', '179');
INSERT INTO public.who_import VALUES (51734, '2020-10-02', 'MW', 'Malawi', 'AFRO', '6', '5779', '0', '179');
INSERT INTO public.who_import VALUES (51735, '2020-10-03', 'MW', 'Malawi', 'AFRO', '4', '5783', '0', '179');
INSERT INTO public.who_import VALUES (51736, '2020-10-04', 'MW', 'Malawi', 'AFRO', '0', '5783', '0', '179');
INSERT INTO public.who_import VALUES (51737, '2020-10-05', 'MW', 'Malawi', 'AFRO', '3', '5786', '0', '179');
INSERT INTO public.who_import VALUES (51738, '2020-10-06', 'MW', 'Malawi', 'AFRO', '8', '5794', '1', '180');
INSERT INTO public.who_import VALUES (51739, '2020-10-07', 'MW', 'Malawi', 'AFRO', '2', '5796', '0', '180');
INSERT INTO public.who_import VALUES (51740, '2020-10-08', 'MW', 'Malawi', 'AFRO', '7', '5803', '0', '180');
INSERT INTO public.who_import VALUES (51741, '2020-10-09', 'MW', 'Malawi', 'AFRO', '6', '5809', '0', '180');
INSERT INTO public.who_import VALUES (51742, '2020-10-10', 'MW', 'Malawi', 'AFRO', '4', '5813', '0', '180');
INSERT INTO public.who_import VALUES (51743, '2020-10-11', 'MW', 'Malawi', 'AFRO', '8', '5821', '0', '180');
INSERT INTO public.who_import VALUES (51744, '2020-10-12', 'MW', 'Malawi', 'AFRO', '0', '5821', '0', '180');
INSERT INTO public.who_import VALUES (51745, '2020-10-13', 'MW', 'Malawi', 'AFRO', '3', '5824', '0', '180');
INSERT INTO public.who_import VALUES (51746, '2020-10-14', 'MW', 'Malawi', 'AFRO', '3', '5827', '1', '181');
INSERT INTO public.who_import VALUES (51747, '2020-10-15', 'MW', 'Malawi', 'AFRO', '2', '5829', '0', '181');
INSERT INTO public.who_import VALUES (51748, '2020-10-16', 'MW', 'Malawi', 'AFRO', '7', '5836', '0', '181');
INSERT INTO public.who_import VALUES (51749, '2020-10-17', 'MW', 'Malawi', 'AFRO', '6', '5842', '0', '181');
INSERT INTO public.who_import VALUES (51750, '2020-10-18', 'MW', 'Malawi', 'AFRO', '10', '5852', '0', '181');
INSERT INTO public.who_import VALUES (51751, '2020-10-19', 'MW', 'Malawi', 'AFRO', '5', '5857', '0', '181');
INSERT INTO public.who_import VALUES (51752, '2020-10-20', 'MW', 'Malawi', 'AFRO', '3', '5860', '0', '181');
INSERT INTO public.who_import VALUES (51753, '2020-10-21', 'MW', 'Malawi', 'AFRO', '1', '5861', '1', '182');
INSERT INTO public.who_import VALUES (51754, '2020-10-22', 'MW', 'Malawi', 'AFRO', '3', '5864', '1', '183');
INSERT INTO public.who_import VALUES (51755, '2020-10-23', 'MW', 'Malawi', 'AFRO', '10', '5874', '0', '183');
INSERT INTO public.who_import VALUES (51756, '2020-10-24', 'MW', 'Malawi', 'AFRO', '11', '5885', '0', '183');
INSERT INTO public.who_import VALUES (51757, '2020-10-25', 'MW', 'Malawi', 'AFRO', '2', '5887', '0', '183');
INSERT INTO public.who_import VALUES (51758, '2020-10-26', 'MW', 'Malawi', 'AFRO', '3', '5890', '0', '183');
INSERT INTO public.who_import VALUES (51759, '2020-10-27', 'MW', 'Malawi', 'AFRO', '4', '5894', '0', '183');
INSERT INTO public.who_import VALUES (51760, '2020-10-28', 'MW', 'Malawi', 'AFRO', '3', '5897', '0', '183');
INSERT INTO public.who_import VALUES (51761, '2020-10-29', 'MW', 'Malawi', 'AFRO', '7', '5904', '1', '184');
INSERT INTO public.who_import VALUES (51762, '2020-10-30', 'MW', 'Malawi', 'AFRO', '12', '5916', '0', '184');
INSERT INTO public.who_import VALUES (51763, '2020-10-31', 'MW', 'Malawi', 'AFRO', '7', '5923', '0', '184');
INSERT INTO public.who_import VALUES (51764, '2020-11-01', 'MW', 'Malawi', 'AFRO', '7', '5930', '0', '184');
INSERT INTO public.who_import VALUES (51765, '2020-11-02', 'MW', 'Malawi', 'AFRO', '2', '5932', '0', '184');
INSERT INTO public.who_import VALUES (51766, '2020-11-03', 'MW', 'Malawi', 'AFRO', '1', '5933', '0', '184');
INSERT INTO public.who_import VALUES (51767, '2020-11-04', 'MW', 'Malawi', 'AFRO', '1', '5934', '0', '184');
INSERT INTO public.who_import VALUES (51768, '2020-11-05', 'MW', 'Malawi', 'AFRO', '0', '5934', '0', '184');
INSERT INTO public.who_import VALUES (51769, '2020-11-06', 'MW', 'Malawi', 'AFRO', '6', '5940', '0', '184');
INSERT INTO public.who_import VALUES (51770, '2020-11-07', 'MW', 'Malawi', 'AFRO', '2', '5942', '0', '184');
INSERT INTO public.who_import VALUES (51771, '2020-11-08', 'MW', 'Malawi', 'AFRO', '6', '5948', '0', '184');
INSERT INTO public.who_import VALUES (51772, '2020-11-09', 'MW', 'Malawi', 'AFRO', '3', '5951', '0', '184');
INSERT INTO public.who_import VALUES (51773, '2020-11-10', 'MW', 'Malawi', 'AFRO', '2', '5953', '1', '185');
INSERT INTO public.who_import VALUES (51774, '2020-11-11', 'MW', 'Malawi', 'AFRO', '0', '5953', '0', '185');
INSERT INTO public.who_import VALUES (51775, '2020-11-12', 'MW', 'Malawi', 'AFRO', '2', '5955', '0', '185');
INSERT INTO public.who_import VALUES (51776, '2020-11-13', 'MW', 'Malawi', 'AFRO', '3', '5958', '0', '185');
INSERT INTO public.who_import VALUES (51777, '2020-11-14', 'MW', 'Malawi', 'AFRO', '4', '5962', '0', '185');
INSERT INTO public.who_import VALUES (51778, '2020-11-15', 'MW', 'Malawi', 'AFRO', '2', '5964', '0', '185');
INSERT INTO public.who_import VALUES (51779, '2020-11-16', 'MW', 'Malawi', 'AFRO', '1', '5965', '0', '185');
INSERT INTO public.who_import VALUES (51780, '2020-11-17', 'MW', 'Malawi', 'AFRO', '6', '5971', '0', '185');
INSERT INTO public.who_import VALUES (51781, '2020-11-18', 'MW', 'Malawi', 'AFRO', '0', '5971', '0', '185');
INSERT INTO public.who_import VALUES (51782, '2020-11-19', 'MW', 'Malawi', 'AFRO', '27', '5998', '0', '185');
INSERT INTO public.who_import VALUES (51783, '2020-11-20', 'MW', 'Malawi', 'AFRO', '4', '6002', '0', '185');
INSERT INTO public.who_import VALUES (51784, '2020-11-21', 'MW', 'Malawi', 'AFRO', '1', '6003', '0', '185');
INSERT INTO public.who_import VALUES (51785, '2020-11-22', 'MW', 'Malawi', 'AFRO', '0', '6003', '0', '185');
INSERT INTO public.who_import VALUES (51786, '2020-11-23', 'MW', 'Malawi', 'AFRO', '0', '6003', '0', '185');
INSERT INTO public.who_import VALUES (51787, '2020-11-24', 'MW', 'Malawi', 'AFRO', '6', '6009', '0', '185');
INSERT INTO public.who_import VALUES (51788, '2020-11-25', 'MW', 'Malawi', 'AFRO', '8', '6017', '0', '185');
INSERT INTO public.who_import VALUES (51789, '2020-11-26', 'MW', 'Malawi', 'AFRO', '1', '6018', '0', '185');
INSERT INTO public.who_import VALUES (51790, '2020-11-27', 'MW', 'Malawi', 'AFRO', '2', '6020', '0', '185');
INSERT INTO public.who_import VALUES (51791, '2020-11-28', 'MW', 'Malawi', 'AFRO', '4', '6024', '0', '185');
INSERT INTO public.who_import VALUES (51792, '2020-11-29', 'MW', 'Malawi', 'AFRO', '1', '6025', '0', '185');
INSERT INTO public.who_import VALUES (51793, '2020-11-30', 'MW', 'Malawi', 'AFRO', '0', '6025', '0', '185');
INSERT INTO public.who_import VALUES (51794, '2020-12-01', 'MW', 'Malawi', 'AFRO', '3', '6028', '0', '185');
INSERT INTO public.who_import VALUES (51795, '2020-12-02', 'MW', 'Malawi', 'AFRO', '0', '6028', '0', '185');
INSERT INTO public.who_import VALUES (51796, '2020-12-03', 'MW', 'Malawi', 'AFRO', '12', '6040', '0', '185');
INSERT INTO public.who_import VALUES (51797, '2020-12-04', 'MW', 'Malawi', 'AFRO', '3', '6043', '0', '185');
INSERT INTO public.who_import VALUES (51798, '2020-12-05', 'MW', 'Malawi', 'AFRO', '4', '6047', '0', '185');
INSERT INTO public.who_import VALUES (51799, '2020-12-06', 'MW', 'Malawi', 'AFRO', '2', '6049', '0', '185');
INSERT INTO public.who_import VALUES (51800, '2020-12-07', 'MW', 'Malawi', 'AFRO', '2', '6051', '0', '185');
INSERT INTO public.who_import VALUES (51801, '2020-12-08', 'MW', 'Malawi', 'AFRO', '0', '6051', '0', '185');
INSERT INTO public.who_import VALUES (51802, '2020-12-09', 'MW', 'Malawi', 'AFRO', '0', '6051', '1', '186');
INSERT INTO public.who_import VALUES (51803, '2020-12-10', 'MW', 'Malawi', 'AFRO', '0', '6051', '0', '186');
INSERT INTO public.who_import VALUES (51804, '2020-12-11', 'MW', 'Malawi', 'AFRO', '2', '6053', '0', '186');
INSERT INTO public.who_import VALUES (51805, '2020-12-12', 'MW', 'Malawi', 'AFRO', '2', '6055', '0', '186');
INSERT INTO public.who_import VALUES (51806, '2020-12-13', 'MW', 'Malawi', 'AFRO', '11', '6066', '0', '186');
INSERT INTO public.who_import VALUES (51807, '2020-12-14', 'MW', 'Malawi', 'AFRO', '0', '6066', '1', '187');
INSERT INTO public.who_import VALUES (51808, '2020-12-15', 'MW', 'Malawi', 'AFRO', '4', '6070', '0', '187');
INSERT INTO public.who_import VALUES (51809, '2020-12-16', 'MW', 'Malawi', 'AFRO', '10', '6080', '0', '187');
INSERT INTO public.who_import VALUES (51810, '2020-12-17', 'MW', 'Malawi', 'AFRO', '11', '6091', '0', '187');
INSERT INTO public.who_import VALUES (51811, '2020-12-18', 'MW', 'Malawi', 'AFRO', '47', '6138', '0', '187');
INSERT INTO public.who_import VALUES (51812, '2020-12-19', 'MW', 'Malawi', 'AFRO', '10', '6148', '0', '187');
INSERT INTO public.who_import VALUES (51813, '2020-12-20', 'MW', 'Malawi', 'AFRO', '5', '6153', '0', '187');
INSERT INTO public.who_import VALUES (51814, '2020-12-21', 'MW', 'Malawi', 'AFRO', '8', '6161', '0', '187');
INSERT INTO public.who_import VALUES (51815, '2020-12-22', 'MW', 'Malawi', 'AFRO', '41', '6202', '0', '187');
INSERT INTO public.who_import VALUES (51816, '2020-12-23', 'MW', 'Malawi', 'AFRO', '46', '6248', '0', '187');
INSERT INTO public.who_import VALUES (51817, '2020-12-24', 'MW', 'Malawi', 'AFRO', '13', '6261', '0', '187');
INSERT INTO public.who_import VALUES (51818, '2020-12-25', 'MW', 'Malawi', 'AFRO', '16', '6277', '0', '187');
INSERT INTO public.who_import VALUES (51819, '2020-12-26', 'MW', 'Malawi', 'AFRO', '62', '6339', '0', '187');
INSERT INTO public.who_import VALUES (51820, '2020-12-27', 'MW', 'Malawi', 'AFRO', '4', '6343', '1', '188');
INSERT INTO public.who_import VALUES (51821, '2020-12-28', 'MW', 'Malawi', 'AFRO', '11', '6354', '0', '188');
INSERT INTO public.who_import VALUES (51822, '2020-12-29', 'MW', 'Malawi', 'AFRO', '0', '6354', '0', '188');
INSERT INTO public.who_import VALUES (51823, '2020-12-30', 'MW', 'Malawi', 'AFRO', '35', '6389', '0', '188');
INSERT INTO public.who_import VALUES (51824, '2020-12-31', 'MW', 'Malawi', 'AFRO', '82', '6471', '1', '189');
INSERT INTO public.who_import VALUES (51825, '2021-01-01', 'MW', 'Malawi', 'AFRO', '112', '6583', '0', '189');
INSERT INTO public.who_import VALUES (51826, '2021-01-02', 'MW', 'Malawi', 'AFRO', '0', '6583', '0', '189');
INSERT INTO public.who_import VALUES (51827, '2021-01-03', 'MW', 'Malawi', 'AFRO', '128', '6711', '3', '192');
INSERT INTO public.who_import VALUES (51828, '2021-01-04', 'MW', 'Malawi', 'AFRO', '133', '6844', '3', '195');
INSERT INTO public.who_import VALUES (51829, '2021-01-05', 'MW', 'Malawi', 'AFRO', '91', '6935', '1', '196');
INSERT INTO public.who_import VALUES (51830, '2021-01-06', 'MW', 'Malawi', 'AFRO', '175', '7110', '3', '199');
INSERT INTO public.who_import VALUES (51831, '2021-01-07', 'MW', 'Malawi', 'AFRO', '227', '7337', '0', '199');
INSERT INTO public.who_import VALUES (51832, '2021-01-08', 'MW', 'Malawi', 'AFRO', '274', '7611', '4', '203');
INSERT INTO public.who_import VALUES (51833, '2021-01-09', 'MW', 'Malawi', 'AFRO', '314', '7925', '5', '208');
INSERT INTO public.who_import VALUES (51834, '2021-01-10', 'MW', 'Malawi', 'AFRO', '381', '8306', '12', '220');
INSERT INTO public.who_import VALUES (51835, '2021-01-11', 'MW', 'Malawi', 'AFRO', '269', '8575', '5', '225');
INSERT INTO public.who_import VALUES (51836, '2021-01-12', 'MW', 'Malawi', 'AFRO', '452', '9027', '10', '235');
INSERT INTO public.who_import VALUES (51837, '2021-01-13', 'MW', 'Malawi', 'AFRO', '373', '9400', '19', '254');
INSERT INTO public.who_import VALUES (51838, '2021-01-14', 'MW', 'Malawi', 'AFRO', '591', '9991', '21', '275');
INSERT INTO public.who_import VALUES (51839, '2021-01-15', 'MW', 'Malawi', 'AFRO', '503', '10494', '10', '285');
INSERT INTO public.who_import VALUES (51840, '2021-01-16', 'MW', 'Malawi', 'AFRO', '0', '10494', '0', '285');
INSERT INTO public.who_import VALUES (51841, '2021-01-17', 'MW', 'Malawi', 'AFRO', '1291', '11785', '15', '300');
INSERT INTO public.who_import VALUES (51842, '2021-01-18', 'MW', 'Malawi', 'AFRO', '685', '12470', '14', '314');
INSERT INTO public.who_import VALUES (51843, '2021-01-19', 'MW', 'Malawi', 'AFRO', '557', '13027', '7', '321');
INSERT INTO public.who_import VALUES (51844, '2021-01-20', 'MW', 'Malawi', 'AFRO', '853', '13880', '15', '336');
INSERT INTO public.who_import VALUES (51845, '2021-01-21', 'MW', 'Malawi', 'AFRO', '971', '14851', '18', '354');
INSERT INTO public.who_import VALUES (51846, '2021-01-22', 'MW', 'Malawi', 'AFRO', '1197', '16048', '42', '396');
INSERT INTO public.who_import VALUES (51847, '2021-01-23', 'MW', 'Malawi', 'AFRO', '1315', '17363', '49', '445');
INSERT INTO public.who_import VALUES (51848, '2021-01-24', 'MW', 'Malawi', 'AFRO', '1076', '18439', '25', '470');
INSERT INTO public.who_import VALUES (51849, '2021-01-25', 'MW', 'Malawi', 'AFRO', '956', '19395', '38', '508');
INSERT INTO public.who_import VALUES (51850, '2021-01-26', 'MW', 'Malawi', 'AFRO', '592', '19987', '10', '518');
INSERT INTO public.who_import VALUES (51851, '2021-01-27', 'MW', 'Malawi', 'AFRO', '843', '20830', '22', '540');
INSERT INTO public.who_import VALUES (51852, '2021-01-28', 'MW', 'Malawi', 'AFRO', '830', '21660', '15', '555');
INSERT INTO public.who_import VALUES (51853, '2021-01-29', 'MW', 'Malawi', 'AFRO', '644', '22304', '73', '628');
INSERT INTO public.who_import VALUES (51854, '2021-01-30', 'MW', 'Malawi', 'AFRO', '716', '23020', '15', '643');
INSERT INTO public.who_import VALUES (51855, '2021-01-31', 'MW', 'Malawi', 'AFRO', '477', '23497', '44', '687');
INSERT INTO public.who_import VALUES (51856, '2021-02-01', 'MW', 'Malawi', 'AFRO', '466', '23963', '15', '702');
INSERT INTO public.who_import VALUES (51857, '2021-02-02', 'MW', 'Malawi', 'AFRO', '402', '24365', '10', '712');
INSERT INTO public.who_import VALUES (51858, '2021-02-03', 'MW', 'Malawi', 'AFRO', '538', '24903', '14', '726');
INSERT INTO public.who_import VALUES (51859, '2021-02-04', 'MW', 'Malawi', 'AFRO', '546', '25449', '35', '761');
INSERT INTO public.who_import VALUES (51860, '2021-02-05', 'MW', 'Malawi', 'AFRO', '435', '25884', '18', '779');
INSERT INTO public.who_import VALUES (51861, '2021-02-06', 'MW', 'Malawi', 'AFRO', '476', '26360', '20', '799');
INSERT INTO public.who_import VALUES (51862, '2021-02-07', 'MW', 'Malawi', 'AFRO', '515', '26875', '38', '837');
INSERT INTO public.who_import VALUES (51863, '2021-02-08', 'MW', 'Malawi', 'AFRO', '320', '27195', '19', '856');
INSERT INTO public.who_import VALUES (51864, '2021-02-09', 'MW', 'Malawi', 'AFRO', '227', '27422', '18', '874');
INSERT INTO public.who_import VALUES (51865, '2021-02-10', 'MW', 'Malawi', 'AFRO', '300', '27722', '9', '883');
INSERT INTO public.who_import VALUES (51866, '2021-02-11', 'MW', 'Malawi', 'AFRO', '328', '28050', '17', '900');
INSERT INTO public.who_import VALUES (51867, '2021-02-12', 'MW', 'Malawi', 'AFRO', '220', '28270', '14', '914');
INSERT INTO public.who_import VALUES (51868, '2021-02-13', 'MW', 'Malawi', 'AFRO', '360', '28630', '12', '926');
INSERT INTO public.who_import VALUES (51869, '2021-02-14', 'MW', 'Malawi', 'AFRO', '246', '28876', '11', '937');
INSERT INTO public.who_import VALUES (51870, '2021-02-15', 'MW', 'Malawi', 'AFRO', '159', '29035', '15', '952');
INSERT INTO public.who_import VALUES (51871, '2021-02-16', 'MW', 'Malawi', 'AFRO', '146', '29181', '6', '958');
INSERT INTO public.who_import VALUES (51872, '2021-02-17', 'MW', 'Malawi', 'AFRO', '240', '29421', '10', '968');
INSERT INTO public.who_import VALUES (51873, '2021-02-18', 'MW', 'Malawi', 'AFRO', '213', '29634', '8', '976');
INSERT INTO public.who_import VALUES (51874, '2021-02-19', 'MW', 'Malawi', 'AFRO', '0', '29634', '8', '984');
INSERT INTO public.who_import VALUES (51875, '2021-02-20', 'MW', 'Malawi', 'AFRO', '643', '30277', '8', '992');
INSERT INTO public.who_import VALUES (51876, '2020-01-03', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51877, '2020-01-04', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51878, '2020-01-05', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51879, '2020-01-06', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51880, '2020-01-07', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51881, '2020-01-08', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51882, '2020-01-09', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51883, '2020-01-10', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51884, '2020-01-11', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51885, '2020-01-12', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51886, '2020-01-13', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51887, '2020-01-14', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51888, '2020-01-15', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51889, '2020-01-16', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51890, '2020-01-17', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51891, '2020-01-18', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51892, '2020-01-19', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51893, '2020-01-20', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51894, '2020-01-21', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51895, '2020-01-22', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51896, '2020-01-23', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51897, '2020-01-24', 'MY', 'Malaysia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (51898, '2020-01-25', 'MY', 'Malaysia', 'WPRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (51899, '2020-01-26', 'MY', 'Malaysia', 'WPRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (51900, '2020-01-27', 'MY', 'Malaysia', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (51901, '2020-01-28', 'MY', 'Malaysia', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (51902, '2020-01-29', 'MY', 'Malaysia', 'WPRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (51903, '2020-01-30', 'MY', 'Malaysia', 'WPRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (51904, '2020-01-31', 'MY', 'Malaysia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (51905, '2020-02-01', 'MY', 'Malaysia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (51906, '2020-02-02', 'MY', 'Malaysia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (51907, '2020-02-03', 'MY', 'Malaysia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (51908, '2020-02-04', 'MY', 'Malaysia', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (51909, '2020-02-05', 'MY', 'Malaysia', 'WPRO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (51910, '2020-02-06', 'MY', 'Malaysia', 'WPRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (51911, '2020-02-07', 'MY', 'Malaysia', 'WPRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (51912, '2020-02-08', 'MY', 'Malaysia', 'WPRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (51913, '2020-02-09', 'MY', 'Malaysia', 'WPRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (51914, '2020-02-10', 'MY', 'Malaysia', 'WPRO', '1', '22', '0', '0');
INSERT INTO public.who_import VALUES (51915, '2020-02-11', 'MY', 'Malaysia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (51916, '2020-02-12', 'MY', 'Malaysia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (51917, '2020-02-13', 'MY', 'Malaysia', 'WPRO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (51918, '2020-02-14', 'MY', 'Malaysia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (51919, '2020-02-15', 'MY', 'Malaysia', 'WPRO', '3', '26', '0', '0');
INSERT INTO public.who_import VALUES (51920, '2020-02-16', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51921, '2020-02-17', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51922, '2020-02-18', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51923, '2020-02-19', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51924, '2020-02-20', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51925, '2020-02-21', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51926, '2020-02-22', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51927, '2020-02-23', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51928, '2020-02-24', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51929, '2020-02-25', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51930, '2020-02-26', 'MY', 'Malaysia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (51931, '2020-02-27', 'MY', 'Malaysia', 'WPRO', '2', '28', '0', '0');
INSERT INTO public.who_import VALUES (51932, '2020-02-28', 'MY', 'Malaysia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (51933, '2020-02-29', 'MY', 'Malaysia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (51934, '2020-03-01', 'MY', 'Malaysia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (51935, '2020-03-02', 'MY', 'Malaysia', 'WPRO', '5', '33', '0', '0');
INSERT INTO public.who_import VALUES (51936, '2020-03-03', 'MY', 'Malaysia', 'WPRO', '7', '40', '0', '0');
INSERT INTO public.who_import VALUES (51937, '2020-03-04', 'MY', 'Malaysia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (51938, '2020-03-05', 'MY', 'Malaysia', 'WPRO', '14', '54', '0', '0');
INSERT INTO public.who_import VALUES (51939, '2020-03-06', 'MY', 'Malaysia', 'WPRO', '33', '87', '0', '0');
INSERT INTO public.who_import VALUES (51940, '2020-03-07', 'MY', 'Malaysia', 'WPRO', '10', '97', '0', '0');
INSERT INTO public.who_import VALUES (51941, '2020-03-08', 'MY', 'Malaysia', 'WPRO', '0', '97', '0', '0');
INSERT INTO public.who_import VALUES (51942, '2020-03-09', 'MY', 'Malaysia', 'WPRO', '24', '121', '0', '0');
INSERT INTO public.who_import VALUES (51943, '2020-03-10', 'MY', 'Malaysia', 'WPRO', '0', '121', '0', '0');
INSERT INTO public.who_import VALUES (51944, '2020-03-11', 'MY', 'Malaysia', 'WPRO', '12', '133', '0', '0');
INSERT INTO public.who_import VALUES (51945, '2020-03-12', 'MY', 'Malaysia', 'WPRO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (51946, '2020-03-13', 'MY', 'Malaysia', 'WPRO', '0', '133', '0', '0');
INSERT INTO public.who_import VALUES (51947, '2020-03-14', 'MY', 'Malaysia', 'WPRO', '68', '201', '0', '0');
INSERT INTO public.who_import VALUES (51948, '2020-03-15', 'MY', 'Malaysia', 'WPRO', '41', '242', '0', '0');
INSERT INTO public.who_import VALUES (51949, '2020-03-16', 'MY', 'Malaysia', 'WPRO', '315', '557', '0', '0');
INSERT INTO public.who_import VALUES (51950, '2020-03-17', 'MY', 'Malaysia', 'WPRO', '0', '557', '0', '0');
INSERT INTO public.who_import VALUES (51951, '2020-03-18', 'MY', 'Malaysia', 'WPRO', '120', '677', '2', '2');
INSERT INTO public.who_import VALUES (51952, '2020-03-19', 'MY', 'Malaysia', 'WPRO', '223', '900', '0', '2');
INSERT INTO public.who_import VALUES (51953, '2020-03-20', 'MY', 'Malaysia', 'WPRO', '130', '1030', '1', '3');
INSERT INTO public.who_import VALUES (51954, '2020-03-21', 'MY', 'Malaysia', 'WPRO', '153', '1183', '0', '3');
INSERT INTO public.who_import VALUES (51955, '2020-03-22', 'MY', 'Malaysia', 'WPRO', '0', '1183', '6', '9');
INSERT INTO public.who_import VALUES (51956, '2020-03-23', 'MY', 'Malaysia', 'WPRO', '123', '1306', '2', '11');
INSERT INTO public.who_import VALUES (51957, '2020-03-24', 'MY', 'Malaysia', 'WPRO', '212', '1518', '4', '15');
INSERT INTO public.who_import VALUES (51958, '2020-03-25', 'MY', 'Malaysia', 'WPRO', '278', '1796', '1', '16');
INSERT INTO public.who_import VALUES (51959, '2020-03-26', 'MY', 'Malaysia', 'WPRO', '0', '1796', '5', '21');
INSERT INTO public.who_import VALUES (51960, '2020-03-27', 'MY', 'Malaysia', 'WPRO', '235', '2031', '2', '23');
INSERT INTO public.who_import VALUES (51961, '2020-03-28', 'MY', 'Malaysia', 'WPRO', '130', '2161', '3', '26');
INSERT INTO public.who_import VALUES (51962, '2020-03-29', 'MY', 'Malaysia', 'WPRO', '159', '2320', '1', '27');
INSERT INTO public.who_import VALUES (51963, '2020-03-30', 'MY', 'Malaysia', 'WPRO', '150', '2470', '7', '34');
INSERT INTO public.who_import VALUES (51964, '2020-03-31', 'MY', 'Malaysia', 'WPRO', '156', '2626', '3', '37');
INSERT INTO public.who_import VALUES (51965, '2020-04-01', 'MY', 'Malaysia', 'WPRO', '140', '2766', '6', '43');
INSERT INTO public.who_import VALUES (51966, '2020-04-02', 'MY', 'Malaysia', 'WPRO', '142', '2908', '2', '45');
INSERT INTO public.who_import VALUES (51967, '2020-04-03', 'MY', 'Malaysia', 'WPRO', '208', '3116', '5', '50');
INSERT INTO public.who_import VALUES (51968, '2020-04-04', 'MY', 'Malaysia', 'WPRO', '217', '3333', '3', '53');
INSERT INTO public.who_import VALUES (51969, '2020-04-05', 'MY', 'Malaysia', 'WPRO', '150', '3483', '4', '57');
INSERT INTO public.who_import VALUES (51970, '2020-04-06', 'MY', 'Malaysia', 'WPRO', '179', '3662', '4', '61');
INSERT INTO public.who_import VALUES (51971, '2020-04-07', 'MY', 'Malaysia', 'WPRO', '131', '3793', '1', '62');
INSERT INTO public.who_import VALUES (51972, '2020-04-08', 'MY', 'Malaysia', 'WPRO', '170', '3963', '1', '63');
INSERT INTO public.who_import VALUES (51973, '2020-04-09', 'MY', 'Malaysia', 'WPRO', '156', '4119', '2', '65');
INSERT INTO public.who_import VALUES (51974, '2020-04-10', 'MY', 'Malaysia', 'WPRO', '109', '4228', '2', '67');
INSERT INTO public.who_import VALUES (51975, '2020-04-11', 'MY', 'Malaysia', 'WPRO', '118', '4346', '3', '70');
INSERT INTO public.who_import VALUES (51976, '2020-04-12', 'MY', 'Malaysia', 'WPRO', '184', '4530', '3', '73');
INSERT INTO public.who_import VALUES (51977, '2020-04-13', 'MY', 'Malaysia', 'WPRO', '153', '4683', '3', '76');
INSERT INTO public.who_import VALUES (51978, '2020-04-14', 'MY', 'Malaysia', 'WPRO', '134', '4817', '1', '77');
INSERT INTO public.who_import VALUES (51979, '2020-04-15', 'MY', 'Malaysia', 'WPRO', '170', '4987', '5', '82');
INSERT INTO public.who_import VALUES (51980, '2020-04-16', 'MY', 'Malaysia', 'WPRO', '85', '5072', '1', '83');
INSERT INTO public.who_import VALUES (51981, '2020-04-17', 'MY', 'Malaysia', 'WPRO', '110', '5182', '1', '84');
INSERT INTO public.who_import VALUES (51982, '2020-04-18', 'MY', 'Malaysia', 'WPRO', '69', '5251', '2', '86');
INSERT INTO public.who_import VALUES (51983, '2020-04-19', 'MY', 'Malaysia', 'WPRO', '54', '5305', '2', '88');
INSERT INTO public.who_import VALUES (51984, '2020-04-20', 'MY', 'Malaysia', 'WPRO', '84', '5389', '1', '89');
INSERT INTO public.who_import VALUES (51985, '2020-04-21', 'MY', 'Malaysia', 'WPRO', '35', '5424', '0', '89');
INSERT INTO public.who_import VALUES (51986, '2020-04-22', 'MY', 'Malaysia', 'WPRO', '58', '5482', '3', '92');
INSERT INTO public.who_import VALUES (51987, '2020-04-23', 'MY', 'Malaysia', 'WPRO', '50', '5532', '1', '93');
INSERT INTO public.who_import VALUES (51988, '2020-04-24', 'MY', 'Malaysia', 'WPRO', '71', '5603', '2', '95');
INSERT INTO public.who_import VALUES (51989, '2020-04-25', 'MY', 'Malaysia', 'WPRO', '88', '5691', '1', '96');
INSERT INTO public.who_import VALUES (51990, '2020-04-26', 'MY', 'Malaysia', 'WPRO', '51', '5742', '2', '98');
INSERT INTO public.who_import VALUES (51991, '2020-04-27', 'MY', 'Malaysia', 'WPRO', '38', '5780', '0', '98');
INSERT INTO public.who_import VALUES (51992, '2020-04-28', 'MY', 'Malaysia', 'WPRO', '40', '5820', '1', '99');
INSERT INTO public.who_import VALUES (51993, '2020-04-29', 'MY', 'Malaysia', 'WPRO', '31', '5851', '1', '100');
INSERT INTO public.who_import VALUES (51994, '2020-04-30', 'MY', 'Malaysia', 'WPRO', '94', '5945', '0', '100');
INSERT INTO public.who_import VALUES (51995, '2020-05-01', 'MY', 'Malaysia', 'WPRO', '57', '6002', '2', '102');
INSERT INTO public.who_import VALUES (51996, '2020-05-02', 'MY', 'Malaysia', 'WPRO', '69', '6071', '1', '103');
INSERT INTO public.who_import VALUES (51997, '2020-05-03', 'MY', 'Malaysia', 'WPRO', '105', '6176', '0', '103');
INSERT INTO public.who_import VALUES (51998, '2020-05-04', 'MY', 'Malaysia', 'WPRO', '122', '6298', '2', '105');
INSERT INTO public.who_import VALUES (51999, '2020-05-05', 'MY', 'Malaysia', 'WPRO', '55', '6353', '0', '105');
INSERT INTO public.who_import VALUES (52000, '2020-05-06', 'MY', 'Malaysia', 'WPRO', '30', '6383', '1', '106');
INSERT INTO public.who_import VALUES (52001, '2020-05-07', 'MY', 'Malaysia', 'WPRO', '45', '6428', '1', '107');
INSERT INTO public.who_import VALUES (52002, '2020-05-08', 'MY', 'Malaysia', 'WPRO', '39', '6467', '0', '107');
INSERT INTO public.who_import VALUES (52003, '2020-05-09', 'MY', 'Malaysia', 'WPRO', '68', '6535', '0', '107');
INSERT INTO public.who_import VALUES (52004, '2020-05-10', 'MY', 'Malaysia', 'WPRO', '54', '6589', '1', '108');
INSERT INTO public.who_import VALUES (52005, '2020-05-11', 'MY', 'Malaysia', 'WPRO', '67', '6656', '0', '108');
INSERT INTO public.who_import VALUES (52006, '2020-05-12', 'MY', 'Malaysia', 'WPRO', '70', '6726', '1', '109');
INSERT INTO public.who_import VALUES (52007, '2020-05-13', 'MY', 'Malaysia', 'WPRO', '16', '6742', '0', '109');
INSERT INTO public.who_import VALUES (52008, '2020-05-14', 'MY', 'Malaysia', 'WPRO', '37', '6779', '2', '111');
INSERT INTO public.who_import VALUES (52009, '2020-05-15', 'MY', 'Malaysia', 'WPRO', '40', '6819', '1', '112');
INSERT INTO public.who_import VALUES (52010, '2020-05-16', 'MY', 'Malaysia', 'WPRO', '36', '6855', '0', '112');
INSERT INTO public.who_import VALUES (52011, '2020-05-17', 'MY', 'Malaysia', 'WPRO', '17', '6872', '1', '113');
INSERT INTO public.who_import VALUES (52012, '2020-05-18', 'MY', 'Malaysia', 'WPRO', '22', '6894', '0', '113');
INSERT INTO public.who_import VALUES (52013, '2020-05-19', 'MY', 'Malaysia', 'WPRO', '47', '6941', '0', '113');
INSERT INTO public.who_import VALUES (52014, '2020-05-20', 'MY', 'Malaysia', 'WPRO', '37', '6978', '1', '114');
INSERT INTO public.who_import VALUES (52015, '2020-05-21', 'MY', 'Malaysia', 'WPRO', '31', '7009', '0', '114');
INSERT INTO public.who_import VALUES (52016, '2020-05-22', 'MY', 'Malaysia', 'WPRO', '50', '7059', '0', '114');
INSERT INTO public.who_import VALUES (52017, '2020-05-23', 'MY', 'Malaysia', 'WPRO', '78', '7137', '1', '115');
INSERT INTO public.who_import VALUES (52018, '2020-05-24', 'MY', 'Malaysia', 'WPRO', '48', '7185', '0', '115');
INSERT INTO public.who_import VALUES (52019, '2020-05-25', 'MY', 'Malaysia', 'WPRO', '60', '7245', '0', '115');
INSERT INTO public.who_import VALUES (52020, '2020-05-26', 'MY', 'Malaysia', 'WPRO', '172', '7417', '0', '115');
INSERT INTO public.who_import VALUES (52021, '2020-05-27', 'MY', 'Malaysia', 'WPRO', '187', '7604', '0', '115');
INSERT INTO public.who_import VALUES (52022, '2020-05-28', 'MY', 'Malaysia', 'WPRO', '15', '7619', '0', '115');
INSERT INTO public.who_import VALUES (52023, '2020-05-29', 'MY', 'Malaysia', 'WPRO', '10', '7629', '0', '115');
INSERT INTO public.who_import VALUES (52024, '2020-05-30', 'MY', 'Malaysia', 'WPRO', '103', '7732', '0', '115');
INSERT INTO public.who_import VALUES (52025, '2020-05-31', 'MY', 'Malaysia', 'WPRO', '30', '7762', '0', '115');
INSERT INTO public.who_import VALUES (52026, '2020-06-01', 'MY', 'Malaysia', 'WPRO', '57', '7819', '0', '115');
INSERT INTO public.who_import VALUES (52027, '2020-06-02', 'MY', 'Malaysia', 'WPRO', '38', '7857', '0', '115');
INSERT INTO public.who_import VALUES (52028, '2020-06-03', 'MY', 'Malaysia', 'WPRO', '20', '7877', '0', '115');
INSERT INTO public.who_import VALUES (52029, '2020-06-04', 'MY', 'Malaysia', 'WPRO', '93', '7970', '0', '115');
INSERT INTO public.who_import VALUES (52030, '2020-06-05', 'MY', 'Malaysia', 'WPRO', '277', '8247', '0', '115');
INSERT INTO public.who_import VALUES (52031, '2020-06-06', 'MY', 'Malaysia', 'WPRO', '19', '8266', '1', '116');
INSERT INTO public.who_import VALUES (52032, '2020-06-07', 'MY', 'Malaysia', 'WPRO', '37', '8303', '1', '117');
INSERT INTO public.who_import VALUES (52033, '2020-06-08', 'MY', 'Malaysia', 'WPRO', '19', '8322', '0', '117');
INSERT INTO public.who_import VALUES (52034, '2020-06-09', 'MY', 'Malaysia', 'WPRO', '7', '8329', '0', '117');
INSERT INTO public.who_import VALUES (52035, '2020-06-10', 'MY', 'Malaysia', 'WPRO', '7', '8336', '0', '117');
INSERT INTO public.who_import VALUES (52036, '2020-06-11', 'MY', 'Malaysia', 'WPRO', '2', '8338', '1', '118');
INSERT INTO public.who_import VALUES (52037, '2020-06-12', 'MY', 'Malaysia', 'WPRO', '31', '8369', '0', '118');
INSERT INTO public.who_import VALUES (52038, '2020-06-13', 'MY', 'Malaysia', 'WPRO', '33', '8402', '1', '119');
INSERT INTO public.who_import VALUES (52039, '2020-06-14', 'MY', 'Malaysia', 'WPRO', '43', '8445', '1', '120');
INSERT INTO public.who_import VALUES (52040, '2020-06-15', 'MY', 'Malaysia', 'WPRO', '8', '8453', '1', '121');
INSERT INTO public.who_import VALUES (52041, '2020-06-16', 'MY', 'Malaysia', 'WPRO', '41', '8494', '0', '121');
INSERT INTO public.who_import VALUES (52042, '2020-06-17', 'MY', 'Malaysia', 'WPRO', '11', '8505', '0', '121');
INSERT INTO public.who_import VALUES (52043, '2020-06-18', 'MY', 'Malaysia', 'WPRO', '10', '8515', '0', '121');
INSERT INTO public.who_import VALUES (52044, '2020-06-19', 'MY', 'Malaysia', 'WPRO', '14', '8529', '0', '121');
INSERT INTO public.who_import VALUES (52045, '2020-06-20', 'MY', 'Malaysia', 'WPRO', '6', '8535', '0', '121');
INSERT INTO public.who_import VALUES (52046, '2020-06-21', 'MY', 'Malaysia', 'WPRO', '21', '8556', '0', '121');
INSERT INTO public.who_import VALUES (52047, '2020-06-22', 'MY', 'Malaysia', 'WPRO', '16', '8572', '0', '121');
INSERT INTO public.who_import VALUES (52048, '2020-06-23', 'MY', 'Malaysia', 'WPRO', '15', '8587', '0', '121');
INSERT INTO public.who_import VALUES (52049, '2020-06-24', 'MY', 'Malaysia', 'WPRO', '3', '8590', '0', '121');
INSERT INTO public.who_import VALUES (52050, '2020-06-25', 'MY', 'Malaysia', 'WPRO', '6', '8596', '0', '121');
INSERT INTO public.who_import VALUES (52051, '2020-06-26', 'MY', 'Malaysia', 'WPRO', '4', '8600', '0', '121');
INSERT INTO public.who_import VALUES (52052, '2020-06-27', 'MY', 'Malaysia', 'WPRO', '6', '8606', '0', '121');
INSERT INTO public.who_import VALUES (52053, '2020-06-28', 'MY', 'Malaysia', 'WPRO', '10', '8616', '0', '121');
INSERT INTO public.who_import VALUES (52054, '2020-06-29', 'MY', 'Malaysia', 'WPRO', '18', '8634', '0', '121');
INSERT INTO public.who_import VALUES (52055, '2020-06-30', 'MY', 'Malaysia', 'WPRO', '3', '8637', '0', '121');
INSERT INTO public.who_import VALUES (52056, '2020-07-01', 'MY', 'Malaysia', 'WPRO', '2', '8639', '0', '121');
INSERT INTO public.who_import VALUES (52057, '2020-07-02', 'MY', 'Malaysia', 'WPRO', '1', '8640', '0', '121');
INSERT INTO public.who_import VALUES (52058, '2020-07-03', 'MY', 'Malaysia', 'WPRO', '3', '8643', '0', '121');
INSERT INTO public.who_import VALUES (52059, '2020-07-04', 'MY', 'Malaysia', 'WPRO', '5', '8648', '0', '121');
INSERT INTO public.who_import VALUES (52060, '2020-07-05', 'MY', 'Malaysia', 'WPRO', '10', '8658', '0', '121');
INSERT INTO public.who_import VALUES (52061, '2020-07-06', 'MY', 'Malaysia', 'WPRO', '5', '8663', '0', '121');
INSERT INTO public.who_import VALUES (52062, '2020-07-07', 'MY', 'Malaysia', 'WPRO', '5', '8668', '0', '121');
INSERT INTO public.who_import VALUES (52063, '2020-07-08', 'MY', 'Malaysia', 'WPRO', '6', '8674', '0', '121');
INSERT INTO public.who_import VALUES (52064, '2020-07-09', 'MY', 'Malaysia', 'WPRO', '3', '8677', '0', '121');
INSERT INTO public.who_import VALUES (52065, '2020-07-10', 'MY', 'Malaysia', 'WPRO', '6', '8683', '0', '121');
INSERT INTO public.who_import VALUES (52066, '2020-07-11', 'MY', 'Malaysia', 'WPRO', '13', '8696', '0', '121');
INSERT INTO public.who_import VALUES (52067, '2020-07-12', 'MY', 'Malaysia', 'WPRO', '8', '8704', '1', '122');
INSERT INTO public.who_import VALUES (52068, '2020-07-13', 'MY', 'Malaysia', 'WPRO', '14', '8718', '0', '122');
INSERT INTO public.who_import VALUES (52069, '2020-07-14', 'MY', 'Malaysia', 'WPRO', '7', '8725', '0', '122');
INSERT INTO public.who_import VALUES (52070, '2020-07-15', 'MY', 'Malaysia', 'WPRO', '4', '8729', '0', '122');
INSERT INTO public.who_import VALUES (52071, '2020-07-16', 'MY', 'Malaysia', 'WPRO', '5', '8734', '0', '122');
INSERT INTO public.who_import VALUES (52072, '2020-07-17', 'MY', 'Malaysia', 'WPRO', '3', '8737', '0', '122');
INSERT INTO public.who_import VALUES (52073, '2020-07-18', 'MY', 'Malaysia', 'WPRO', '18', '8755', '0', '122');
INSERT INTO public.who_import VALUES (52074, '2020-07-19', 'MY', 'Malaysia', 'WPRO', '9', '8764', '0', '122');
INSERT INTO public.who_import VALUES (52075, '2020-07-20', 'MY', 'Malaysia', 'WPRO', '15', '8779', '1', '123');
INSERT INTO public.who_import VALUES (52076, '2020-07-21', 'MY', 'Malaysia', 'WPRO', '21', '8800', '0', '123');
INSERT INTO public.who_import VALUES (52077, '2020-07-22', 'MY', 'Malaysia', 'WPRO', '15', '8815', '0', '123');
INSERT INTO public.who_import VALUES (52078, '2020-07-23', 'MY', 'Malaysia', 'WPRO', '16', '8831', '0', '123');
INSERT INTO public.who_import VALUES (52079, '2020-07-24', 'MY', 'Malaysia', 'WPRO', '9', '8840', '0', '123');
INSERT INTO public.who_import VALUES (52080, '2020-07-25', 'MY', 'Malaysia', 'WPRO', '21', '8861', '0', '123');
INSERT INTO public.who_import VALUES (52081, '2020-07-26', 'MY', 'Malaysia', 'WPRO', '23', '8884', '0', '123');
INSERT INTO public.who_import VALUES (52082, '2020-07-27', 'MY', 'Malaysia', 'WPRO', '13', '8897', '1', '124');
INSERT INTO public.who_import VALUES (52083, '2020-07-28', 'MY', 'Malaysia', 'WPRO', '7', '8904', '0', '124');
INSERT INTO public.who_import VALUES (52084, '2020-07-29', 'MY', 'Malaysia', 'WPRO', '39', '8943', '0', '124');
INSERT INTO public.who_import VALUES (52085, '2020-07-30', 'MY', 'Malaysia', 'WPRO', '13', '8956', '0', '124');
INSERT INTO public.who_import VALUES (52086, '2020-07-31', 'MY', 'Malaysia', 'WPRO', '8', '8964', '0', '124');
INSERT INTO public.who_import VALUES (52087, '2020-08-01', 'MY', 'Malaysia', 'WPRO', '12', '8976', '1', '125');
INSERT INTO public.who_import VALUES (52088, '2020-08-02', 'MY', 'Malaysia', 'WPRO', '9', '8985', '0', '125');
INSERT INTO public.who_import VALUES (52089, '2020-08-03', 'MY', 'Malaysia', 'WPRO', '14', '8999', '0', '125');
INSERT INTO public.who_import VALUES (52090, '2020-08-04', 'MY', 'Malaysia', 'WPRO', '2', '9001', '0', '125');
INSERT INTO public.who_import VALUES (52091, '2020-08-05', 'MY', 'Malaysia', 'WPRO', '1', '9002', '0', '125');
INSERT INTO public.who_import VALUES (52092, '2020-08-06', 'MY', 'Malaysia', 'WPRO', '21', '9023', '0', '125');
INSERT INTO public.who_import VALUES (52093, '2020-08-07', 'MY', 'Malaysia', 'WPRO', '15', '9038', '0', '125');
INSERT INTO public.who_import VALUES (52094, '2020-08-08', 'MY', 'Malaysia', 'WPRO', '25', '9063', '0', '125');
INSERT INTO public.who_import VALUES (52095, '2020-08-09', 'MY', 'Malaysia', 'WPRO', '7', '9070', '0', '125');
INSERT INTO public.who_import VALUES (52096, '2020-08-10', 'MY', 'Malaysia', 'WPRO', '13', '9083', '0', '125');
INSERT INTO public.who_import VALUES (52097, '2020-08-11', 'MY', 'Malaysia', 'WPRO', '11', '9094', '0', '125');
INSERT INTO public.who_import VALUES (52098, '2020-08-12', 'MY', 'Malaysia', 'WPRO', '9', '9103', '0', '125');
INSERT INTO public.who_import VALUES (52099, '2020-08-13', 'MY', 'Malaysia', 'WPRO', '11', '9114', '0', '125');
INSERT INTO public.who_import VALUES (52100, '2020-08-14', 'MY', 'Malaysia', 'WPRO', '15', '9129', '0', '125');
INSERT INTO public.who_import VALUES (52101, '2020-08-15', 'MY', 'Malaysia', 'WPRO', '20', '9149', '0', '125');
INSERT INTO public.who_import VALUES (52102, '2020-08-16', 'MY', 'Malaysia', 'WPRO', '26', '9175', '0', '125');
INSERT INTO public.who_import VALUES (52103, '2020-08-17', 'MY', 'Malaysia', 'WPRO', '25', '9200', '0', '125');
INSERT INTO public.who_import VALUES (52104, '2020-08-18', 'MY', 'Malaysia', 'WPRO', '12', '9212', '0', '125');
INSERT INTO public.who_import VALUES (52105, '2020-08-19', 'MY', 'Malaysia', 'WPRO', '7', '9219', '0', '125');
INSERT INTO public.who_import VALUES (52106, '2020-08-20', 'MY', 'Malaysia', 'WPRO', '16', '9235', '0', '125');
INSERT INTO public.who_import VALUES (52107, '2020-08-21', 'MY', 'Malaysia', 'WPRO', '5', '9240', '0', '125');
INSERT INTO public.who_import VALUES (52108, '2020-08-22', 'MY', 'Malaysia', 'WPRO', '9', '9249', '0', '125');
INSERT INTO public.who_import VALUES (52109, '2020-08-23', 'MY', 'Malaysia', 'WPRO', '8', '9257', '0', '125');
INSERT INTO public.who_import VALUES (52110, '2020-08-24', 'MY', 'Malaysia', 'WPRO', '10', '9267', '0', '125');
INSERT INTO public.who_import VALUES (52111, '2020-08-25', 'MY', 'Malaysia', 'WPRO', '7', '9274', '0', '125');
INSERT INTO public.who_import VALUES (52112, '2020-08-26', 'MY', 'Malaysia', 'WPRO', '11', '9285', '0', '125');
INSERT INTO public.who_import VALUES (52113, '2020-08-27', 'MY', 'Malaysia', 'WPRO', '6', '9291', '0', '125');
INSERT INTO public.who_import VALUES (52114, '2020-08-28', 'MY', 'Malaysia', 'WPRO', '5', '9296', '0', '125');
INSERT INTO public.who_import VALUES (52115, '2020-08-29', 'MY', 'Malaysia', 'WPRO', '10', '9306', '0', '125');
INSERT INTO public.who_import VALUES (52116, '2020-08-30', 'MY', 'Malaysia', 'WPRO', '11', '9317', '0', '125');
INSERT INTO public.who_import VALUES (52117, '2020-08-31', 'MY', 'Malaysia', 'WPRO', '17', '9334', '1', '126');
INSERT INTO public.who_import VALUES (52118, '2020-09-01', 'MY', 'Malaysia', 'WPRO', '6', '9340', '1', '127');
INSERT INTO public.who_import VALUES (52119, '2020-09-02', 'MY', 'Malaysia', 'WPRO', '14', '9354', '1', '128');
INSERT INTO public.who_import VALUES (52120, '2020-09-03', 'MY', 'Malaysia', 'WPRO', '6', '9360', '0', '128');
INSERT INTO public.who_import VALUES (52121, '2020-09-04', 'MY', 'Malaysia', 'WPRO', '14', '9374', '0', '128');
INSERT INTO public.who_import VALUES (52122, '2020-09-05', 'MY', 'Malaysia', 'WPRO', '11', '9385', '0', '128');
INSERT INTO public.who_import VALUES (52123, '2020-09-06', 'MY', 'Malaysia', 'WPRO', '6', '9391', '0', '128');
INSERT INTO public.who_import VALUES (52124, '2020-09-07', 'MY', 'Malaysia', 'WPRO', '6', '9397', '0', '128');
INSERT INTO public.who_import VALUES (52125, '2020-09-08', 'MY', 'Malaysia', 'WPRO', '62', '9459', '0', '128');
INSERT INTO public.who_import VALUES (52126, '2020-09-09', 'MY', 'Malaysia', 'WPRO', '100', '9559', '0', '128');
INSERT INTO public.who_import VALUES (52127, '2020-09-10', 'MY', 'Malaysia', 'WPRO', '24', '9583', '0', '128');
INSERT INTO public.who_import VALUES (52128, '2020-09-11', 'MY', 'Malaysia', 'WPRO', '45', '9628', '0', '128');
INSERT INTO public.who_import VALUES (52129, '2020-09-12', 'MY', 'Malaysia', 'WPRO', '182', '9810', '0', '128');
INSERT INTO public.who_import VALUES (52130, '2020-09-13', 'MY', 'Malaysia', 'WPRO', '58', '9868', '0', '128');
INSERT INTO public.who_import VALUES (52131, '2020-09-14', 'MY', 'Malaysia', 'WPRO', '47', '9915', '0', '128');
INSERT INTO public.who_import VALUES (52132, '2020-09-15', 'MY', 'Malaysia', 'WPRO', '31', '9946', '0', '128');
INSERT INTO public.who_import VALUES (52133, '2020-09-16', 'MY', 'Malaysia', 'WPRO', '23', '9969', '0', '128');
INSERT INTO public.who_import VALUES (52134, '2020-09-17', 'MY', 'Malaysia', 'WPRO', '62', '10031', '0', '128');
INSERT INTO public.who_import VALUES (52135, '2020-09-18', 'MY', 'Malaysia', 'WPRO', '21', '10052', '0', '128');
INSERT INTO public.who_import VALUES (52136, '2020-09-19', 'MY', 'Malaysia', 'WPRO', '95', '10147', '1', '129');
INSERT INTO public.who_import VALUES (52137, '2020-09-20', 'MY', 'Malaysia', 'WPRO', '20', '10167', '1', '130');
INSERT INTO public.who_import VALUES (52138, '2020-09-21', 'MY', 'Malaysia', 'WPRO', '52', '10219', '0', '130');
INSERT INTO public.who_import VALUES (52139, '2020-09-22', 'MY', 'Malaysia', 'WPRO', '57', '10276', '0', '130');
INSERT INTO public.who_import VALUES (52140, '2020-09-23', 'MY', 'Malaysia', 'WPRO', '82', '10358', '0', '130');
INSERT INTO public.who_import VALUES (52141, '2020-09-24', 'MY', 'Malaysia', 'WPRO', '147', '10505', '3', '133');
INSERT INTO public.who_import VALUES (52142, '2020-09-25', 'MY', 'Malaysia', 'WPRO', '71', '10576', '0', '133');
INSERT INTO public.who_import VALUES (52143, '2020-09-26', 'MY', 'Malaysia', 'WPRO', '111', '10687', '0', '133');
INSERT INTO public.who_import VALUES (52144, '2020-09-27', 'MY', 'Malaysia', 'WPRO', '82', '10769', '0', '133');
INSERT INTO public.who_import VALUES (52145, '2020-09-28', 'MY', 'Malaysia', 'WPRO', '150', '10919', '1', '134');
INSERT INTO public.who_import VALUES (52146, '2020-09-29', 'MY', 'Malaysia', 'WPRO', '115', '11034', '0', '134');
INSERT INTO public.who_import VALUES (52147, '2020-09-30', 'MY', 'Malaysia', 'WPRO', '101', '11135', '0', '134');
INSERT INTO public.who_import VALUES (52148, '2020-10-01', 'MY', 'Malaysia', 'WPRO', '89', '11224', '2', '136');
INSERT INTO public.who_import VALUES (52149, '2020-10-02', 'MY', 'Malaysia', 'WPRO', '260', '11484', '0', '136');
INSERT INTO public.who_import VALUES (52150, '2020-10-03', 'MY', 'Malaysia', 'WPRO', '287', '11771', '0', '136');
INSERT INTO public.who_import VALUES (52151, '2020-10-04', 'MY', 'Malaysia', 'WPRO', '317', '12088', '1', '137');
INSERT INTO public.who_import VALUES (52152, '2020-10-05', 'MY', 'Malaysia', 'WPRO', '293', '12381', '0', '137');
INSERT INTO public.who_import VALUES (52153, '2020-10-06', 'MY', 'Malaysia', 'WPRO', '432', '12813', '0', '137');
INSERT INTO public.who_import VALUES (52154, '2020-10-07', 'MY', 'Malaysia', 'WPRO', '691', '13504', '4', '141');
INSERT INTO public.who_import VALUES (52155, '2020-10-08', 'MY', 'Malaysia', 'WPRO', '489', '13993', '0', '141');
INSERT INTO public.who_import VALUES (52156, '2020-10-09', 'MY', 'Malaysia', 'WPRO', '375', '14368', '5', '146');
INSERT INTO public.who_import VALUES (52157, '2020-10-10', 'MY', 'Malaysia', 'WPRO', '354', '14722', '6', '152');
INSERT INTO public.who_import VALUES (52158, '2020-10-11', 'MY', 'Malaysia', 'WPRO', '374', '15096', '3', '155');
INSERT INTO public.who_import VALUES (52159, '2020-10-12', 'MY', 'Malaysia', 'WPRO', '561', '15657', '2', '157');
INSERT INTO public.who_import VALUES (52160, '2020-10-13', 'MY', 'Malaysia', 'WPRO', '563', '16220', '2', '159');
INSERT INTO public.who_import VALUES (52161, '2020-10-14', 'MY', 'Malaysia', 'WPRO', '660', '16880', '4', '163');
INSERT INTO public.who_import VALUES (52162, '2020-10-15', 'MY', 'Malaysia', 'WPRO', '660', '17540', '4', '167');
INSERT INTO public.who_import VALUES (52163, '2020-10-16', 'MY', 'Malaysia', 'WPRO', '589', '18129', '3', '170');
INSERT INTO public.who_import VALUES (52164, '2020-10-17', 'MY', 'Malaysia', 'WPRO', '629', '18758', '6', '176');
INSERT INTO public.who_import VALUES (52165, '2020-10-18', 'MY', 'Malaysia', 'WPRO', '869', '19627', '4', '180');
INSERT INTO public.who_import VALUES (52166, '2020-10-19', 'MY', 'Malaysia', 'WPRO', '871', '20498', '7', '187');
INSERT INTO public.who_import VALUES (52167, '2020-10-20', 'MY', 'Malaysia', 'WPRO', '865', '21363', '3', '190');
INSERT INTO public.who_import VALUES (52168, '2020-10-21', 'MY', 'Malaysia', 'WPRO', '862', '22225', '3', '193');
INSERT INTO public.who_import VALUES (52169, '2020-10-22', 'MY', 'Malaysia', 'WPRO', '732', '22957', '6', '199');
INSERT INTO public.who_import VALUES (52170, '2020-10-23', 'MY', 'Malaysia', 'WPRO', '847', '23804', '5', '204');
INSERT INTO public.who_import VALUES (52171, '2020-10-24', 'MY', 'Malaysia', 'WPRO', '710', '24514', '10', '214');
INSERT INTO public.who_import VALUES (52172, '2020-10-25', 'MY', 'Malaysia', 'WPRO', '1228', '25742', '7', '221');
INSERT INTO public.who_import VALUES (52173, '2020-10-26', 'MY', 'Malaysia', 'WPRO', '823', '26565', '8', '229');
INSERT INTO public.who_import VALUES (52174, '2020-10-27', 'MY', 'Malaysia', 'WPRO', '1240', '27805', '7', '236');
INSERT INTO public.who_import VALUES (52175, '2020-10-28', 'MY', 'Malaysia', 'WPRO', '835', '28640', '2', '238');
INSERT INTO public.who_import VALUES (52176, '2020-10-29', 'MY', 'Malaysia', 'WPRO', '801', '29441', '8', '246');
INSERT INTO public.who_import VALUES (52177, '2020-10-30', 'MY', 'Malaysia', 'WPRO', '649', '30090', '0', '246');
INSERT INTO public.who_import VALUES (52178, '2020-10-31', 'MY', 'Malaysia', 'WPRO', '799', '30889', '3', '249');
INSERT INTO public.who_import VALUES (52179, '2020-11-01', 'MY', 'Malaysia', 'WPRO', '659', '31548', '0', '249');
INSERT INTO public.who_import VALUES (52180, '2020-11-02', 'MY', 'Malaysia', 'WPRO', '957', '32505', '0', '249');
INSERT INTO public.who_import VALUES (52181, '2020-11-03', 'MY', 'Malaysia', 'WPRO', '834', '33339', '2', '251');
INSERT INTO public.who_import VALUES (52182, '2020-11-04', 'MY', 'Malaysia', 'WPRO', '1054', '34393', '12', '263');
INSERT INTO public.who_import VALUES (52183, '2020-11-05', 'MY', 'Malaysia', 'WPRO', '1032', '35425', '8', '271');
INSERT INTO public.who_import VALUES (52184, '2020-11-06', 'MY', 'Malaysia', 'WPRO', '1009', '36434', '6', '277');
INSERT INTO public.who_import VALUES (52185, '2020-11-07', 'MY', 'Malaysia', 'WPRO', '1755', '38189', '2', '279');
INSERT INTO public.who_import VALUES (52186, '2020-11-08', 'MY', 'Malaysia', 'WPRO', '1168', '39357', '3', '282');
INSERT INTO public.who_import VALUES (52187, '2020-11-09', 'MY', 'Malaysia', 'WPRO', '852', '40209', '4', '286');
INSERT INTO public.who_import VALUES (52188, '2020-11-10', 'MY', 'Malaysia', 'WPRO', '972', '41181', '8', '294');
INSERT INTO public.who_import VALUES (52189, '2020-11-11', 'MY', 'Malaysia', 'WPRO', '869', '42050', '6', '300');
INSERT INTO public.who_import VALUES (52190, '2020-11-12', 'MY', 'Malaysia', 'WPRO', '822', '42872', '2', '302');
INSERT INTO public.who_import VALUES (52191, '2020-11-13', 'MY', 'Malaysia', 'WPRO', '919', '43791', '1', '303');
INSERT INTO public.who_import VALUES (52192, '2020-11-14', 'MY', 'Malaysia', 'WPRO', '1304', '45095', '1', '304');
INSERT INTO public.who_import VALUES (52193, '2020-11-15', 'MY', 'Malaysia', 'WPRO', '1114', '46209', '2', '306');
INSERT INTO public.who_import VALUES (52194, '2020-11-16', 'MY', 'Malaysia', 'WPRO', '1208', '47417', '3', '309');
INSERT INTO public.who_import VALUES (52195, '2020-11-17', 'MY', 'Malaysia', 'WPRO', '1103', '48520', '4', '313');
INSERT INTO public.who_import VALUES (52196, '2020-11-18', 'MY', 'Malaysia', 'WPRO', '1210', '49730', '5', '318');
INSERT INTO public.who_import VALUES (52197, '2020-11-19', 'MY', 'Malaysia', 'WPRO', '660', '50390', '4', '322');
INSERT INTO public.who_import VALUES (52198, '2020-11-20', 'MY', 'Malaysia', 'WPRO', '1290', '51680', '4', '326');
INSERT INTO public.who_import VALUES (52199, '2020-11-21', 'MY', 'Malaysia', 'WPRO', '958', '52638', '3', '329');
INSERT INTO public.who_import VALUES (52200, '2020-11-22', 'MY', 'Malaysia', 'WPRO', '1041', '53679', '3', '332');
INSERT INTO public.who_import VALUES (52201, '2020-11-23', 'MY', 'Malaysia', 'WPRO', '1096', '54775', '3', '335');
INSERT INTO public.who_import VALUES (52202, '2020-11-24', 'MY', 'Malaysia', 'WPRO', '1884', '56659', '2', '337');
INSERT INTO public.who_import VALUES (52203, '2020-11-25', 'MY', 'Malaysia', 'WPRO', '2188', '58847', '4', '341');
INSERT INTO public.who_import VALUES (52204, '2020-11-26', 'MY', 'Malaysia', 'WPRO', '970', '59817', '4', '345');
INSERT INTO public.who_import VALUES (52205, '2020-11-27', 'MY', 'Malaysia', 'WPRO', '935', '60752', '3', '348');
INSERT INTO public.who_import VALUES (52206, '2020-11-28', 'MY', 'Malaysia', 'WPRO', '1109', '61861', '2', '350');
INSERT INTO public.who_import VALUES (52207, '2020-11-29', 'MY', 'Malaysia', 'WPRO', '1315', '63176', '4', '354');
INSERT INTO public.who_import VALUES (52208, '2020-11-30', 'MY', 'Malaysia', 'WPRO', '1309', '64485', '3', '357');
INSERT INTO public.who_import VALUES (52209, '2020-12-01', 'MY', 'Malaysia', 'WPRO', '1212', '65697', '3', '360');
INSERT INTO public.who_import VALUES (52210, '2020-12-02', 'MY', 'Malaysia', 'WPRO', '1472', '67169', '3', '363');
INSERT INTO public.who_import VALUES (52211, '2020-12-03', 'MY', 'Malaysia', 'WPRO', '851', '68020', '2', '365');
INSERT INTO public.who_import VALUES (52212, '2020-12-04', 'MY', 'Malaysia', 'WPRO', '1075', '69095', '11', '376');
INSERT INTO public.who_import VALUES (52213, '2020-12-05', 'MY', 'Malaysia', 'WPRO', '1141', '70236', '0', '376');
INSERT INTO public.who_import VALUES (52214, '2020-12-06', 'MY', 'Malaysia', 'WPRO', '1123', '71359', '4', '380');
INSERT INTO public.who_import VALUES (52215, '2020-12-07', 'MY', 'Malaysia', 'WPRO', '1335', '72694', '2', '382');
INSERT INTO public.who_import VALUES (52216, '2020-12-08', 'MY', 'Malaysia', 'WPRO', '1600', '74294', '2', '384');
INSERT INTO public.who_import VALUES (52217, '2020-12-09', 'MY', 'Malaysia', 'WPRO', '1012', '75306', '4', '388');
INSERT INTO public.who_import VALUES (52218, '2020-12-10', 'MY', 'Malaysia', 'WPRO', '959', '76265', '5', '393');
INSERT INTO public.who_import VALUES (52219, '2020-12-11', 'MY', 'Malaysia', 'WPRO', '2234', '78499', '3', '396');
INSERT INTO public.who_import VALUES (52220, '2020-12-12', 'MY', 'Malaysia', 'WPRO', '1810', '80309', '6', '402');
INSERT INTO public.who_import VALUES (52221, '2020-12-13', 'MY', 'Malaysia', 'WPRO', '1937', '82246', '9', '411');
INSERT INTO public.who_import VALUES (52222, '2020-12-14', 'MY', 'Malaysia', 'WPRO', '1229', '83475', '4', '415');
INSERT INTO public.who_import VALUES (52223, '2020-12-15', 'MY', 'Malaysia', 'WPRO', '1371', '84846', '4', '419');
INSERT INTO public.who_import VALUES (52224, '2020-12-16', 'MY', 'Malaysia', 'WPRO', '1772', '86618', '3', '422');
INSERT INTO public.who_import VALUES (52225, '2020-12-17', 'MY', 'Malaysia', 'WPRO', '1295', '87913', '7', '429');
INSERT INTO public.who_import VALUES (52226, '2020-12-18', 'MY', 'Malaysia', 'WPRO', '1220', '89133', '3', '432');
INSERT INTO public.who_import VALUES (52227, '2020-12-19', 'MY', 'Malaysia', 'WPRO', '1683', '90816', '0', '432');
INSERT INTO public.who_import VALUES (52228, '2020-12-20', 'MY', 'Malaysia', 'WPRO', '1153', '91969', '1', '433');
INSERT INTO public.who_import VALUES (52229, '2020-12-21', 'MY', 'Malaysia', 'WPRO', '1340', '93309', '4', '437');
INSERT INTO public.who_import VALUES (52230, '2020-12-22', 'MY', 'Malaysia', 'WPRO', '2018', '95327', '1', '438');
INSERT INTO public.who_import VALUES (52231, '2020-12-23', 'MY', 'Malaysia', 'WPRO', '2062', '97389', '1', '439');
INSERT INTO public.who_import VALUES (52232, '2020-12-24', 'MY', 'Malaysia', 'WPRO', '1348', '98737', '5', '444');
INSERT INTO public.who_import VALUES (52233, '2020-12-25', 'MY', 'Malaysia', 'WPRO', '1581', '100318', '2', '446');
INSERT INTO public.who_import VALUES (52234, '2020-12-26', 'MY', 'Malaysia', 'WPRO', '1247', '101565', '3', '449');
INSERT INTO public.who_import VALUES (52235, '2020-12-27', 'MY', 'Malaysia', 'WPRO', '2335', '103900', '2', '451');
INSERT INTO public.who_import VALUES (52236, '2020-12-28', 'MY', 'Malaysia', 'WPRO', '1196', '105096', '1', '452');
INSERT INTO public.who_import VALUES (52237, '2020-12-29', 'MY', 'Malaysia', 'WPRO', '1594', '106690', '3', '455');
INSERT INTO public.who_import VALUES (52238, '2020-12-30', 'MY', 'Malaysia', 'WPRO', '1925', '108615', '2', '457');
INSERT INTO public.who_import VALUES (52239, '2020-12-31', 'MY', 'Malaysia', 'WPRO', '1870', '110485', '6', '463');
INSERT INTO public.who_import VALUES (52240, '2021-01-01', 'MY', 'Malaysia', 'WPRO', '2525', '113010', '8', '471');
INSERT INTO public.who_import VALUES (52241, '2021-01-02', 'MY', 'Malaysia', 'WPRO', '2068', '115078', '3', '474');
INSERT INTO public.who_import VALUES (52242, '2021-01-03', 'MY', 'Malaysia', 'WPRO', '2295', '117373', '9', '483');
INSERT INTO public.who_import VALUES (52243, '2021-01-04', 'MY', 'Malaysia', 'WPRO', '1704', '119077', '11', '494');
INSERT INTO public.who_import VALUES (52244, '2021-01-05', 'MY', 'Malaysia', 'WPRO', '1741', '120818', '7', '501');
INSERT INTO public.who_import VALUES (52245, '2021-01-06', 'MY', 'Malaysia', 'WPRO', '2027', '122845', '8', '509');
INSERT INTO public.who_import VALUES (52246, '2021-01-07', 'MY', 'Malaysia', 'WPRO', '2593', '125438', '4', '513');
INSERT INTO public.who_import VALUES (52247, '2021-01-08', 'MY', 'Malaysia', 'WPRO', '3027', '128465', '8', '521');
INSERT INTO public.who_import VALUES (52248, '2021-01-09', 'MY', 'Malaysia', 'WPRO', '2643', '131108', '16', '537');
INSERT INTO public.who_import VALUES (52249, '2021-01-10', 'MY', 'Malaysia', 'WPRO', '2451', '133559', '5', '542');
INSERT INTO public.who_import VALUES (52250, '2021-01-11', 'MY', 'Malaysia', 'WPRO', '2433', '135992', '9', '551');
INSERT INTO public.who_import VALUES (52251, '2021-01-12', 'MY', 'Malaysia', 'WPRO', '2232', '138224', '4', '555');
INSERT INTO public.who_import VALUES (52252, '2021-01-13', 'MY', 'Malaysia', 'WPRO', '3309', '141533', '4', '559');
INSERT INTO public.who_import VALUES (52253, '2021-01-14', 'MY', 'Malaysia', 'WPRO', '2985', '144518', '4', '563');
INSERT INTO public.who_import VALUES (52254, '2021-01-15', 'MY', 'Malaysia', 'WPRO', '3337', '147855', '15', '578');
INSERT INTO public.who_import VALUES (52255, '2021-01-16', 'MY', 'Malaysia', 'WPRO', '3211', '151066', '8', '586');
INSERT INTO public.who_import VALUES (52256, '2021-01-17', 'MY', 'Malaysia', 'WPRO', '4029', '155095', '8', '594');
INSERT INTO public.who_import VALUES (52257, '2021-01-18', 'MY', 'Malaysia', 'WPRO', '3339', '158434', '7', '601');
INSERT INTO public.who_import VALUES (52258, '2021-01-19', 'MY', 'Malaysia', 'WPRO', '3306', '161740', '4', '605');
INSERT INTO public.who_import VALUES (52259, '2021-01-20', 'MY', 'Malaysia', 'WPRO', '3631', '165371', '14', '619');
INSERT INTO public.who_import VALUES (52260, '2021-01-21', 'MY', 'Malaysia', 'WPRO', '4008', '169379', '11', '630');
INSERT INTO public.who_import VALUES (52261, '2021-01-22', 'MY', 'Malaysia', 'WPRO', '3170', '172549', '12', '642');
INSERT INTO public.who_import VALUES (52262, '2021-01-23', 'MY', 'Malaysia', 'WPRO', '3631', '176180', '18', '660');
INSERT INTO public.who_import VALUES (52263, '2021-01-24', 'MY', 'Malaysia', 'WPRO', '4275', '180455', '7', '667');
INSERT INTO public.who_import VALUES (52264, '2021-01-25', 'MY', 'Malaysia', 'WPRO', '3346', '183801', '11', '678');
INSERT INTO public.who_import VALUES (52265, '2021-01-26', 'MY', 'Malaysia', 'WPRO', '3048', '186849', '11', '689');
INSERT INTO public.who_import VALUES (52266, '2021-01-27', 'MY', 'Malaysia', 'WPRO', '3585', '190434', '11', '700');
INSERT INTO public.who_import VALUES (52267, '2021-01-28', 'MY', 'Malaysia', 'WPRO', '3680', '194114', '7', '707');
INSERT INTO public.who_import VALUES (52268, '2021-01-29', 'MY', 'Malaysia', 'WPRO', '4094', '198208', '10', '717');
INSERT INTO public.who_import VALUES (52269, '2021-01-30', 'MY', 'Malaysia', 'WPRO', '5725', '203933', '16', '733');
INSERT INTO public.who_import VALUES (52270, '2021-01-31', 'MY', 'Malaysia', 'WPRO', '5728', '209661', '13', '746');
INSERT INTO public.who_import VALUES (52271, '2021-02-01', 'MY', 'Malaysia', 'WPRO', '5298', '214959', '14', '760');
INSERT INTO public.who_import VALUES (52272, '2021-02-02', 'MY', 'Malaysia', 'WPRO', '4214', '219173', '10', '770');
INSERT INTO public.who_import VALUES (52273, '2021-02-03', 'MY', 'Malaysia', 'WPRO', '3455', '222628', '21', '791');
INSERT INTO public.who_import VALUES (52274, '2021-02-04', 'MY', 'Malaysia', 'WPRO', '4284', '226912', '18', '809');
INSERT INTO public.who_import VALUES (52275, '2021-02-05', 'MY', 'Malaysia', 'WPRO', '4571', '231483', '17', '826');
INSERT INTO public.who_import VALUES (52276, '2021-02-06', 'MY', 'Malaysia', 'WPRO', '3391', '234874', '19', '845');
INSERT INTO public.who_import VALUES (52277, '2021-02-07', 'MY', 'Malaysia', 'WPRO', '3847', '238721', '12', '857');
INSERT INTO public.who_import VALUES (52278, '2021-02-08', 'MY', 'Malaysia', 'WPRO', '3731', '242452', '15', '872');
INSERT INTO public.who_import VALUES (52279, '2021-02-09', 'MY', 'Malaysia', 'WPRO', '3100', '245552', '24', '896');
INSERT INTO public.who_import VALUES (52280, '2021-02-10', 'MY', 'Malaysia', 'WPRO', '2764', '248316', '13', '909');
INSERT INTO public.who_import VALUES (52281, '2021-02-11', 'MY', 'Malaysia', 'WPRO', '3288', '251604', '14', '923');
INSERT INTO public.who_import VALUES (52282, '2021-02-12', 'MY', 'Malaysia', 'WPRO', '3384', '254988', '13', '936');
INSERT INTO public.who_import VALUES (52283, '2021-02-13', 'MY', 'Malaysia', 'WPRO', '3318', '258306', '17', '953');
INSERT INTO public.who_import VALUES (52284, '2021-02-14', 'MY', 'Malaysia', 'WPRO', '3499', '261805', '5', '958');
INSERT INTO public.who_import VALUES (52285, '2021-02-15', 'MY', 'Malaysia', 'WPRO', '2464', '264269', '7', '965');
INSERT INTO public.who_import VALUES (52286, '2021-02-16', 'MY', 'Malaysia', 'WPRO', '2186', '266455', '10', '975');
INSERT INTO public.who_import VALUES (52287, '2021-02-17', 'MY', 'Malaysia', 'WPRO', '2710', '269165', '8', '983');
INSERT INTO public.who_import VALUES (52288, '2021-02-18', 'MY', 'Malaysia', 'WPRO', '2998', '272163', '22', '1005');
INSERT INTO public.who_import VALUES (52289, '2021-02-19', 'MY', 'Malaysia', 'WPRO', '2712', '274875', '25', '1030');
INSERT INTO public.who_import VALUES (52290, '2021-02-20', 'MY', 'Malaysia', 'WPRO', '2936', '277811', '13', '1043');
INSERT INTO public.who_import VALUES (52291, '2020-01-03', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52292, '2020-01-04', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52293, '2020-01-05', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52294, '2020-01-06', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52295, '2020-01-07', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52296, '2020-01-08', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52297, '2020-01-09', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52298, '2020-01-10', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52299, '2020-01-11', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52300, '2020-01-12', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52301, '2020-01-13', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52302, '2020-01-14', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52303, '2020-01-15', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52304, '2020-01-16', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52305, '2020-01-17', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52306, '2020-01-18', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52307, '2020-01-19', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52308, '2020-01-20', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52309, '2020-01-21', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52310, '2020-01-22', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52311, '2020-01-23', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52312, '2020-01-24', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52313, '2020-01-25', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52314, '2020-01-26', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52315, '2020-01-27', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52316, '2020-01-28', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52317, '2020-01-29', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52318, '2020-01-30', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52319, '2020-01-31', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52320, '2020-02-01', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52321, '2020-02-02', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52322, '2020-02-03', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52323, '2020-02-04', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52324, '2020-02-05', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52325, '2020-02-06', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52326, '2020-02-07', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52327, '2020-02-08', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52328, '2020-02-09', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52329, '2020-02-10', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52330, '2020-02-11', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52331, '2020-02-12', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52332, '2020-02-13', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52333, '2020-02-14', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52334, '2020-02-15', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52335, '2020-02-16', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52336, '2020-02-17', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52337, '2020-02-18', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52338, '2020-02-19', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52339, '2020-02-20', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52340, '2020-02-21', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52341, '2020-02-22', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52342, '2020-02-23', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52343, '2020-02-24', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52344, '2020-02-25', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52345, '2020-02-26', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52346, '2020-02-27', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52347, '2020-02-28', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52348, '2020-02-29', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52349, '2020-03-01', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52350, '2020-03-02', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52351, '2020-03-03', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52352, '2020-03-04', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52353, '2020-03-05', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52354, '2020-03-06', 'MV', 'Maldives', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52355, '2020-03-07', 'MV', 'Maldives', 'SEARO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (52356, '2020-03-08', 'MV', 'Maldives', 'SEARO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (52357, '2020-03-09', 'MV', 'Maldives', 'SEARO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (52358, '2020-03-10', 'MV', 'Maldives', 'SEARO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (52359, '2020-03-11', 'MV', 'Maldives', 'SEARO', '2', '12', '0', '0');
INSERT INTO public.who_import VALUES (52360, '2020-03-12', 'MV', 'Maldives', 'SEARO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (52361, '2020-03-13', 'MV', 'Maldives', 'SEARO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (52362, '2020-03-14', 'MV', 'Maldives', 'SEARO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (52363, '2020-03-15', 'MV', 'Maldives', 'SEARO', '4', '17', '0', '0');
INSERT INTO public.who_import VALUES (52364, '2020-03-16', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52365, '2020-03-17', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52366, '2020-03-18', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52367, '2020-03-19', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52368, '2020-03-20', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52369, '2020-03-21', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52370, '2020-03-22', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52371, '2020-03-23', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52372, '2020-03-24', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52373, '2020-03-25', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52374, '2020-03-26', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52375, '2020-03-27', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52376, '2020-03-28', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52377, '2020-03-29', 'MV', 'Maldives', 'SEARO', '-1', '16', '0', '0');
INSERT INTO public.who_import VALUES (52378, '2020-03-30', 'MV', 'Maldives', 'SEARO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (52379, '2020-03-31', 'MV', 'Maldives', 'SEARO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (52380, '2020-04-01', 'MV', 'Maldives', 'SEARO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (52381, '2020-04-02', 'MV', 'Maldives', 'SEARO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (52382, '2020-04-03', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52383, '2020-04-04', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52384, '2020-04-05', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52385, '2020-04-06', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52386, '2020-04-07', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52387, '2020-04-08', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52388, '2020-04-09', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52389, '2020-04-10', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52390, '2020-04-11', 'MV', 'Maldives', 'SEARO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (52391, '2020-04-12', 'MV', 'Maldives', 'SEARO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (52392, '2020-04-13', 'MV', 'Maldives', 'SEARO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (52393, '2020-04-14', 'MV', 'Maldives', 'SEARO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (52394, '2020-04-15', 'MV', 'Maldives', 'SEARO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (52395, '2020-04-16', 'MV', 'Maldives', 'SEARO', '2', '23', '0', '0');
INSERT INTO public.who_import VALUES (52396, '2020-04-17', 'MV', 'Maldives', 'SEARO', '5', '28', '0', '0');
INSERT INTO public.who_import VALUES (52397, '2020-04-18', 'MV', 'Maldives', 'SEARO', '6', '34', '0', '0');
INSERT INTO public.who_import VALUES (52398, '2020-04-19', 'MV', 'Maldives', 'SEARO', '17', '51', '0', '0');
INSERT INTO public.who_import VALUES (52399, '2020-04-20', 'MV', 'Maldives', 'SEARO', '9', '60', '0', '0');
INSERT INTO public.who_import VALUES (52400, '2020-04-21', 'MV', 'Maldives', 'SEARO', '23', '83', '0', '0');
INSERT INTO public.who_import VALUES (52401, '2020-04-22', 'MV', 'Maldives', 'SEARO', '2', '85', '0', '0');
INSERT INTO public.who_import VALUES (52402, '2020-04-23', 'MV', 'Maldives', 'SEARO', '9', '94', '0', '0');
INSERT INTO public.who_import VALUES (52403, '2020-04-24', 'MV', 'Maldives', 'SEARO', '22', '116', '0', '0');
INSERT INTO public.who_import VALUES (52404, '2020-04-25', 'MV', 'Maldives', 'SEARO', '21', '137', '0', '0');
INSERT INTO public.who_import VALUES (52405, '2020-04-26', 'MV', 'Maldives', 'SEARO', '51', '188', '0', '0');
INSERT INTO public.who_import VALUES (52406, '2020-04-27', 'MV', 'Maldives', 'SEARO', '26', '214', '0', '0');
INSERT INTO public.who_import VALUES (52407, '2020-04-28', 'MV', 'Maldives', 'SEARO', '31', '245', '0', '0');
INSERT INTO public.who_import VALUES (52408, '2020-04-29', 'MV', 'Maldives', 'SEARO', '11', '256', '0', '0');
INSERT INTO public.who_import VALUES (52409, '2020-04-30', 'MV', 'Maldives', 'SEARO', '140', '396', '0', '0');
INSERT INTO public.who_import VALUES (52410, '2020-05-01', 'MV', 'Maldives', 'SEARO', '72', '468', '1', '1');
INSERT INTO public.who_import VALUES (52411, '2020-05-02', 'MV', 'Maldives', 'SEARO', '23', '491', '0', '1');
INSERT INTO public.who_import VALUES (52412, '2020-05-03', 'MV', 'Maldives', 'SEARO', '28', '519', '0', '1');
INSERT INTO public.who_import VALUES (52413, '2020-05-04', 'MV', 'Maldives', 'SEARO', '8', '527', '0', '1');
INSERT INTO public.who_import VALUES (52414, '2020-05-05', 'MV', 'Maldives', 'SEARO', '30', '557', '0', '1');
INSERT INTO public.who_import VALUES (52415, '2020-05-06', 'MV', 'Maldives', 'SEARO', '61', '618', '1', '2');
INSERT INTO public.who_import VALUES (52416, '2020-05-07', 'MV', 'Maldives', 'SEARO', '0', '618', '0', '2');
INSERT INTO public.who_import VALUES (52417, '2020-05-08', 'MV', 'Maldives', 'SEARO', '30', '648', '1', '3');
INSERT INTO public.who_import VALUES (52418, '2020-05-09', 'MV', 'Maldives', 'SEARO', '96', '744', '0', '3');
INSERT INTO public.who_import VALUES (52419, '2020-05-10', 'MV', 'Maldives', 'SEARO', '41', '785', '0', '3');
INSERT INTO public.who_import VALUES (52420, '2020-05-11', 'MV', 'Maldives', 'SEARO', '50', '835', '0', '3');
INSERT INTO public.who_import VALUES (52421, '2020-05-12', 'MV', 'Maldives', 'SEARO', '62', '897', '0', '3');
INSERT INTO public.who_import VALUES (52422, '2020-05-13', 'MV', 'Maldives', 'SEARO', '7', '904', '0', '3');
INSERT INTO public.who_import VALUES (52423, '2020-05-14', 'MV', 'Maldives', 'SEARO', '64', '968', '1', '4');
INSERT INTO public.who_import VALUES (52424, '2020-05-15', 'MV', 'Maldives', 'SEARO', '52', '1020', '0', '4');
INSERT INTO public.who_import VALUES (52425, '2020-05-16', 'MV', 'Maldives', 'SEARO', '58', '1078', '0', '4');
INSERT INTO public.who_import VALUES (52426, '2020-05-17', 'MV', 'Maldives', 'SEARO', '0', '1078', '0', '4');
INSERT INTO public.who_import VALUES (52427, '2020-05-18', 'MV', 'Maldives', 'SEARO', '16', '1094', '0', '4');
INSERT INTO public.who_import VALUES (52428, '2020-05-19', 'MV', 'Maldives', 'SEARO', '49', '1143', '0', '4');
INSERT INTO public.who_import VALUES (52429, '2020-05-20', 'MV', 'Maldives', 'SEARO', '43', '1186', '0', '4');
INSERT INTO public.who_import VALUES (52430, '2020-05-21', 'MV', 'Maldives', 'SEARO', '30', '1216', '0', '4');
INSERT INTO public.who_import VALUES (52431, '2020-05-22', 'MV', 'Maldives', 'SEARO', '0', '1216', '0', '4');
INSERT INTO public.who_import VALUES (52432, '2020-05-23', 'MV', 'Maldives', 'SEARO', '58', '1274', '0', '4');
INSERT INTO public.who_import VALUES (52433, '2020-05-24', 'MV', 'Maldives', 'SEARO', '39', '1313', '0', '4');
INSERT INTO public.who_import VALUES (52434, '2020-05-25', 'MV', 'Maldives', 'SEARO', '82', '1395', '0', '4');
INSERT INTO public.who_import VALUES (52435, '2020-05-26', 'MV', 'Maldives', 'SEARO', '0', '1395', '0', '4');
INSERT INTO public.who_import VALUES (52436, '2020-05-27', 'MV', 'Maldives', 'SEARO', '62', '1457', '1', '5');
INSERT INTO public.who_import VALUES (52437, '2020-05-28', 'MV', 'Maldives', 'SEARO', '0', '1457', '0', '5');
INSERT INTO public.who_import VALUES (52438, '2020-05-29', 'MV', 'Maldives', 'SEARO', '56', '1513', '0', '5');
INSERT INTO public.who_import VALUES (52439, '2020-05-30', 'MV', 'Maldives', 'SEARO', '120', '1633', '0', '5');
INSERT INTO public.who_import VALUES (52440, '2020-05-31', 'MV', 'Maldives', 'SEARO', '39', '1672', '0', '5');
INSERT INTO public.who_import VALUES (52441, '2020-06-01', 'MV', 'Maldives', 'SEARO', '101', '1773', '0', '5');
INSERT INTO public.who_import VALUES (52442, '2020-06-02', 'MV', 'Maldives', 'SEARO', '56', '1829', '1', '6');
INSERT INTO public.who_import VALUES (52443, '2020-06-03', 'MV', 'Maldives', 'SEARO', '12', '1841', '1', '7');
INSERT INTO public.who_import VALUES (52444, '2020-06-04', 'MV', 'Maldives', 'SEARO', '9', '1850', '0', '7');
INSERT INTO public.who_import VALUES (52445, '2020-06-05', 'MV', 'Maldives', 'SEARO', '22', '1872', '0', '7');
INSERT INTO public.who_import VALUES (52446, '2020-06-06', 'MV', 'Maldives', 'SEARO', '11', '1883', '0', '7');
INSERT INTO public.who_import VALUES (52447, '2020-06-07', 'MV', 'Maldives', 'SEARO', '18', '1901', '1', '8');
INSERT INTO public.who_import VALUES (52448, '2020-06-08', 'MV', 'Maldives', 'SEARO', '2', '1903', '0', '8');
INSERT INTO public.who_import VALUES (52449, '2020-06-09', 'MV', 'Maldives', 'SEARO', '13', '1916', '0', '8');
INSERT INTO public.who_import VALUES (52450, '2020-06-10', 'MV', 'Maldives', 'SEARO', '26', '1942', '0', '8');
INSERT INTO public.who_import VALUES (52451, '2020-06-11', 'MV', 'Maldives', 'SEARO', '20', '1962', '0', '8');
INSERT INTO public.who_import VALUES (52452, '2020-06-12', 'MV', 'Maldives', 'SEARO', '14', '1976', '0', '8');
INSERT INTO public.who_import VALUES (52453, '2020-06-13', 'MV', 'Maldives', 'SEARO', '27', '2003', '0', '8');
INSERT INTO public.who_import VALUES (52454, '2020-06-14', 'MV', 'Maldives', 'SEARO', '10', '2013', '0', '8');
INSERT INTO public.who_import VALUES (52455, '2020-06-15', 'MV', 'Maldives', 'SEARO', '22', '2035', '0', '8');
INSERT INTO public.who_import VALUES (52456, '2020-06-16', 'MV', 'Maldives', 'SEARO', '30', '2065', '0', '8');
INSERT INTO public.who_import VALUES (52457, '2020-06-17', 'MV', 'Maldives', 'SEARO', '29', '2094', '0', '8');
INSERT INTO public.who_import VALUES (52458, '2020-06-18', 'MV', 'Maldives', 'SEARO', '26', '2120', '0', '8');
INSERT INTO public.who_import VALUES (52459, '2020-06-19', 'MV', 'Maldives', 'SEARO', '17', '2137', '0', '8');
INSERT INTO public.who_import VALUES (52460, '2020-06-20', 'MV', 'Maldives', 'SEARO', '13', '2150', '0', '8');
INSERT INTO public.who_import VALUES (52461, '2020-06-21', 'MV', 'Maldives', 'SEARO', '37', '2187', '0', '8');
INSERT INTO public.who_import VALUES (52462, '2020-06-22', 'MV', 'Maldives', 'SEARO', '16', '2203', '0', '8');
INSERT INTO public.who_import VALUES (52463, '2020-06-23', 'MV', 'Maldives', 'SEARO', '14', '2217', '0', '8');
INSERT INTO public.who_import VALUES (52464, '2020-06-24', 'MV', 'Maldives', 'SEARO', '21', '2238', '0', '8');
INSERT INTO public.who_import VALUES (52465, '2020-06-25', 'MV', 'Maldives', 'SEARO', '22', '2260', '0', '8');
INSERT INTO public.who_import VALUES (52466, '2020-06-26', 'MV', 'Maldives', 'SEARO', '17', '2277', '0', '8');
INSERT INTO public.who_import VALUES (52467, '2020-06-27', 'MV', 'Maldives', 'SEARO', '6', '2283', '0', '8');
INSERT INTO public.who_import VALUES (52468, '2020-06-28', 'MV', 'Maldives', 'SEARO', '22', '2305', '0', '8');
INSERT INTO public.who_import VALUES (52469, '2020-06-29', 'MV', 'Maldives', 'SEARO', '19', '2324', '0', '8');
INSERT INTO public.who_import VALUES (52470, '2020-06-30', 'MV', 'Maldives', 'SEARO', '13', '2337', '0', '8');
INSERT INTO public.who_import VALUES (52471, '2020-07-01', 'MV', 'Maldives', 'SEARO', '24', '2361', '0', '8');
INSERT INTO public.who_import VALUES (52472, '2020-07-02', 'MV', 'Maldives', 'SEARO', '21', '2382', '0', '8');
INSERT INTO public.who_import VALUES (52473, '2020-07-03', 'MV', 'Maldives', 'SEARO', '18', '2400', '0', '8');
INSERT INTO public.who_import VALUES (52474, '2020-07-04', 'MV', 'Maldives', 'SEARO', '10', '2410', '0', '8');
INSERT INTO public.who_import VALUES (52475, '2020-07-05', 'MV', 'Maldives', 'SEARO', '25', '2435', '2', '10');
INSERT INTO public.who_import VALUES (52476, '2020-07-06', 'MV', 'Maldives', 'SEARO', '33', '2468', '1', '11');
INSERT INTO public.who_import VALUES (52477, '2020-07-07', 'MV', 'Maldives', 'SEARO', '23', '2491', '1', '12');
INSERT INTO public.who_import VALUES (52478, '2020-07-08', 'MV', 'Maldives', 'SEARO', '10', '2501', '0', '12');
INSERT INTO public.who_import VALUES (52479, '2020-07-09', 'MV', 'Maldives', 'SEARO', '16', '2517', '1', '13');
INSERT INTO public.who_import VALUES (52480, '2020-07-10', 'MV', 'Maldives', 'SEARO', '36', '2553', '0', '13');
INSERT INTO public.who_import VALUES (52481, '2020-07-11', 'MV', 'Maldives', 'SEARO', '64', '2617', '0', '13');
INSERT INTO public.who_import VALUES (52482, '2020-07-12', 'MV', 'Maldives', 'SEARO', '47', '2664', '0', '13');
INSERT INTO public.who_import VALUES (52483, '2020-07-13', 'MV', 'Maldives', 'SEARO', '67', '2731', '0', '13');
INSERT INTO public.who_import VALUES (52484, '2020-07-14', 'MV', 'Maldives', 'SEARO', '31', '2762', '0', '13');
INSERT INTO public.who_import VALUES (52485, '2020-07-15', 'MV', 'Maldives', 'SEARO', '39', '2801', '1', '14');
INSERT INTO public.who_import VALUES (52486, '2020-07-16', 'MV', 'Maldives', 'SEARO', '30', '2831', '0', '14');
INSERT INTO public.who_import VALUES (52487, '2020-07-17', 'MV', 'Maldives', 'SEARO', '68', '2899', '1', '15');
INSERT INTO public.who_import VALUES (52488, '2020-07-18', 'MV', 'Maldives', 'SEARO', '14', '2913', '0', '15');
INSERT INTO public.who_import VALUES (52489, '2020-07-19', 'MV', 'Maldives', 'SEARO', '17', '2930', '0', '15');
INSERT INTO public.who_import VALUES (52490, '2020-07-20', 'MV', 'Maldives', 'SEARO', '36', '2966', '0', '15');
INSERT INTO public.who_import VALUES (52491, '2020-07-21', 'MV', 'Maldives', 'SEARO', '33', '2999', '0', '15');
INSERT INTO public.who_import VALUES (52492, '2020-07-22', 'MV', 'Maldives', 'SEARO', '45', '3044', '0', '15');
INSERT INTO public.who_import VALUES (52493, '2020-07-23', 'MV', 'Maldives', 'SEARO', '59', '3103', '0', '15');
INSERT INTO public.who_import VALUES (52494, '2020-07-24', 'MV', 'Maldives', 'SEARO', '17', '3120', '0', '15');
INSERT INTO public.who_import VALUES (52495, '2020-07-25', 'MV', 'Maldives', 'SEARO', '55', '3175', '0', '15');
INSERT INTO public.who_import VALUES (52496, '2020-07-26', 'MV', 'Maldives', 'SEARO', '77', '3252', '0', '15');
INSERT INTO public.who_import VALUES (52497, '2020-07-27', 'MV', 'Maldives', 'SEARO', '50', '3302', '0', '15');
INSERT INTO public.who_import VALUES (52498, '2020-07-28', 'MV', 'Maldives', 'SEARO', '67', '3369', '0', '15');
INSERT INTO public.who_import VALUES (52499, '2020-07-29', 'MV', 'Maldives', 'SEARO', '137', '3506', '0', '15');
INSERT INTO public.who_import VALUES (52500, '2020-07-30', 'MV', 'Maldives', 'SEARO', '61', '3567', '0', '15');
INSERT INTO public.who_import VALUES (52501, '2020-07-31', 'MV', 'Maldives', 'SEARO', '152', '3719', '1', '16');
INSERT INTO public.who_import VALUES (52502, '2020-08-01', 'MV', 'Maldives', 'SEARO', '74', '3793', '0', '16');
INSERT INTO public.who_import VALUES (52503, '2020-08-02', 'MV', 'Maldives', 'SEARO', '156', '3949', '1', '17');
INSERT INTO public.who_import VALUES (52504, '2020-08-03', 'MV', 'Maldives', 'SEARO', '215', '4164', '1', '18');
INSERT INTO public.who_import VALUES (52505, '2020-08-04', 'MV', 'Maldives', 'SEARO', '129', '4293', '0', '18');
INSERT INTO public.who_import VALUES (52506, '2020-08-05', 'MV', 'Maldives', 'SEARO', '153', '4446', '1', '19');
INSERT INTO public.who_import VALUES (52507, '2020-08-06', 'MV', 'Maldives', 'SEARO', '148', '4594', '0', '19');
INSERT INTO public.who_import VALUES (52508, '2020-08-07', 'MV', 'Maldives', 'SEARO', '86', '4680', '0', '19');
INSERT INTO public.who_import VALUES (52509, '2020-08-08', 'MV', 'Maldives', 'SEARO', '89', '4769', '0', '19');
INSERT INTO public.who_import VALUES (52510, '2020-08-09', 'MV', 'Maldives', 'SEARO', '129', '4898', '0', '19');
INSERT INTO public.who_import VALUES (52511, '2020-08-10', 'MV', 'Maldives', 'SEARO', '143', '5041', '0', '19');
INSERT INTO public.who_import VALUES (52512, '2020-08-11', 'MV', 'Maldives', 'SEARO', '116', '5157', '0', '19');
INSERT INTO public.who_import VALUES (52513, '2020-08-12', 'MV', 'Maldives', 'SEARO', '66', '5223', '1', '20');
INSERT INTO public.who_import VALUES (52514, '2020-08-13', 'MV', 'Maldives', 'SEARO', '143', '5366', '1', '21');
INSERT INTO public.who_import VALUES (52515, '2020-08-14', 'MV', 'Maldives', 'SEARO', '128', '5494', '0', '21');
INSERT INTO public.who_import VALUES (52516, '2020-08-15', 'MV', 'Maldives', 'SEARO', '78', '5572', '1', '22');
INSERT INTO public.who_import VALUES (52517, '2020-08-16', 'MV', 'Maldives', 'SEARO', '107', '5679', '0', '22');
INSERT INTO public.who_import VALUES (52518, '2020-08-17', 'MV', 'Maldives', 'SEARO', '106', '5785', '0', '22');
INSERT INTO public.who_import VALUES (52519, '2020-08-18', 'MV', 'Maldives', 'SEARO', '124', '5909', '1', '23');
INSERT INTO public.who_import VALUES (52520, '2020-08-19', 'MV', 'Maldives', 'SEARO', '170', '6079', '1', '24');
INSERT INTO public.who_import VALUES (52521, '2020-08-20', 'MV', 'Maldives', 'SEARO', '146', '6225', '0', '24');
INSERT INTO public.who_import VALUES (52522, '2020-08-21', 'MV', 'Maldives', 'SEARO', '145', '6370', '0', '24');
INSERT INTO public.who_import VALUES (52523, '2020-08-22', 'MV', 'Maldives', 'SEARO', '194', '6564', '1', '25');
INSERT INTO public.who_import VALUES (52524, '2020-08-23', 'MV', 'Maldives', 'SEARO', '96', '6660', '1', '26');
INSERT INTO public.who_import VALUES (52525, '2020-08-24', 'MV', 'Maldives', 'SEARO', '119', '6779', '0', '26');
INSERT INTO public.who_import VALUES (52526, '2020-08-25', 'MV', 'Maldives', 'SEARO', '133', '6912', '1', '27');
INSERT INTO public.who_import VALUES (52527, '2020-08-26', 'MV', 'Maldives', 'SEARO', '135', '7047', '1', '28');
INSERT INTO public.who_import VALUES (52528, '2020-08-27', 'MV', 'Maldives', 'SEARO', '178', '7225', '0', '28');
INSERT INTO public.who_import VALUES (52529, '2020-08-28', 'MV', 'Maldives', 'SEARO', '104', '7329', '0', '28');
INSERT INTO public.who_import VALUES (52530, '2020-08-29', 'MV', 'Maldives', 'SEARO', '140', '7469', '0', '28');
INSERT INTO public.who_import VALUES (52531, '2020-08-30', 'MV', 'Maldives', 'SEARO', '109', '7578', '0', '28');
INSERT INTO public.who_import VALUES (52532, '2020-08-31', 'MV', 'Maldives', 'SEARO', '89', '7667', '0', '28');
INSERT INTO public.who_import VALUES (52533, '2020-09-01', 'MV', 'Maldives', 'SEARO', '137', '7804', '0', '28');
INSERT INTO public.who_import VALUES (52534, '2020-09-02', 'MV', 'Maldives', 'SEARO', '199', '8003', '1', '29');
INSERT INTO public.who_import VALUES (52535, '2020-09-03', 'MV', 'Maldives', 'SEARO', '137', '8140', '0', '29');
INSERT INTO public.who_import VALUES (52536, '2020-09-04', 'MV', 'Maldives', 'SEARO', '141', '8281', '0', '29');
INSERT INTO public.who_import VALUES (52537, '2020-09-05', 'MV', 'Maldives', 'SEARO', '80', '8361', '0', '29');
INSERT INTO public.who_import VALUES (52538, '2020-09-06', 'MV', 'Maldives', 'SEARO', '125', '8486', '0', '29');
INSERT INTO public.who_import VALUES (52539, '2020-09-07', 'MV', 'Maldives', 'SEARO', '98', '8584', '0', '29');
INSERT INTO public.who_import VALUES (52540, '2020-09-08', 'MV', 'Maldives', 'SEARO', '83', '8667', '0', '29');
INSERT INTO public.who_import VALUES (52541, '2020-09-09', 'MV', 'Maldives', 'SEARO', '74', '8741', '0', '29');
INSERT INTO public.who_import VALUES (52542, '2020-09-10', 'MV', 'Maldives', 'SEARO', '93', '8834', '2', '31');
INSERT INTO public.who_import VALUES (52543, '2020-09-11', 'MV', 'Maldives', 'SEARO', '66', '8900', '0', '31');
INSERT INTO public.who_import VALUES (52544, '2020-09-12', 'MV', 'Maldives', 'SEARO', '90', '8990', '0', '31');
INSERT INTO public.who_import VALUES (52545, '2020-09-13', 'MV', 'Maldives', 'SEARO', '62', '9052', '0', '31');
INSERT INTO public.who_import VALUES (52546, '2020-09-14', 'MV', 'Maldives', 'SEARO', '121', '9173', '1', '32');
INSERT INTO public.who_import VALUES (52547, '2020-09-15', 'MV', 'Maldives', 'SEARO', '70', '9243', '1', '33');
INSERT INTO public.who_import VALUES (52548, '2020-09-16', 'MV', 'Maldives', 'SEARO', '85', '9328', '0', '33');
INSERT INTO public.who_import VALUES (52549, '2020-09-17', 'MV', 'Maldives', 'SEARO', '99', '9427', '0', '33');
INSERT INTO public.who_import VALUES (52550, '2020-09-18', 'MV', 'Maldives', 'SEARO', '67', '9494', '0', '33');
INSERT INTO public.who_import VALUES (52551, '2020-09-19', 'MV', 'Maldives', 'SEARO', '74', '9568', '0', '33');
INSERT INTO public.who_import VALUES (52552, '2020-09-20', 'MV', 'Maldives', 'SEARO', '81', '9649', '0', '33');
INSERT INTO public.who_import VALUES (52553, '2020-09-21', 'MV', 'Maldives', 'SEARO', '75', '9724', '0', '33');
INSERT INTO public.who_import VALUES (52554, '2020-09-22', 'MV', 'Maldives', 'SEARO', '46', '9770', '1', '34');
INSERT INTO public.who_import VALUES (52555, '2020-09-23', 'MV', 'Maldives', 'SEARO', '48', '9818', '0', '34');
INSERT INTO public.who_import VALUES (52556, '2020-09-24', 'MV', 'Maldives', 'SEARO', '67', '9885', '0', '34');
INSERT INTO public.who_import VALUES (52557, '2020-09-25', 'MV', 'Maldives', 'SEARO', '54', '9939', '0', '34');
INSERT INTO public.who_import VALUES (52558, '2020-09-26', 'MV', 'Maldives', 'SEARO', '75', '10014', '0', '34');
INSERT INTO public.who_import VALUES (52559, '2020-09-27', 'MV', 'Maldives', 'SEARO', '31', '10045', '0', '34');
INSERT INTO public.who_import VALUES (52560, '2020-09-28', 'MV', 'Maldives', 'SEARO', '53', '10098', '0', '34');
INSERT INTO public.who_import VALUES (52561, '2020-09-29', 'MV', 'Maldives', 'SEARO', '59', '10157', '0', '34');
INSERT INTO public.who_import VALUES (52562, '2020-09-30', 'MV', 'Maldives', 'SEARO', '37', '10194', '0', '34');
INSERT INTO public.who_import VALUES (52563, '2020-10-01', 'MV', 'Maldives', 'SEARO', '97', '10291', '0', '34');
INSERT INTO public.who_import VALUES (52564, '2020-10-02', 'MV', 'Maldives', 'SEARO', '63', '10354', '0', '34');
INSERT INTO public.who_import VALUES (52565, '2020-10-03', 'MV', 'Maldives', 'SEARO', '44', '10398', '0', '34');
INSERT INTO public.who_import VALUES (52566, '2020-10-04', 'MV', 'Maldives', 'SEARO', '67', '10465', '0', '34');
INSERT INTO public.who_import VALUES (52567, '2020-10-05', 'MV', 'Maldives', 'SEARO', '65', '10530', '0', '34');
INSERT INTO public.who_import VALUES (52568, '2020-10-06', 'MV', 'Maldives', 'SEARO', '37', '10567', '0', '34');
INSERT INTO public.who_import VALUES (52569, '2020-10-07', 'MV', 'Maldives', 'SEARO', '54', '10621', '0', '34');
INSERT INTO public.who_import VALUES (52570, '2020-10-08', 'MV', 'Maldives', 'SEARO', '35', '10656', '0', '34');
INSERT INTO public.who_import VALUES (52571, '2020-10-09', 'MV', 'Maldives', 'SEARO', '86', '10742', '0', '34');
INSERT INTO public.who_import VALUES (52572, '2020-10-10', 'MV', 'Maldives', 'SEARO', '66', '10808', '0', '34');
INSERT INTO public.who_import VALUES (52573, '2020-10-11', 'MV', 'Maldives', 'SEARO', '51', '10859', '0', '34');
INSERT INTO public.who_import VALUES (52574, '2020-10-12', 'MV', 'Maldives', 'SEARO', '35', '10894', '1', '35');
INSERT INTO public.who_import VALUES (52575, '2020-10-13', 'MV', 'Maldives', 'SEARO', '49', '10943', '0', '35');
INSERT INTO public.who_import VALUES (52576, '2020-10-14', 'MV', 'Maldives', 'SEARO', '50', '10993', '0', '35');
INSERT INTO public.who_import VALUES (52577, '2020-10-15', 'MV', 'Maldives', 'SEARO', '69', '11062', '0', '35');
INSERT INTO public.who_import VALUES (52578, '2020-10-16', 'MV', 'Maldives', 'SEARO', '51', '11113', '0', '35');
INSERT INTO public.who_import VALUES (52579, '2020-10-17', 'MV', 'Maldives', 'SEARO', '41', '11154', '0', '35');
INSERT INTO public.who_import VALUES (52580, '2020-10-18', 'MV', 'Maldives', 'SEARO', '24', '11178', '1', '36');
INSERT INTO public.who_import VALUES (52581, '2020-10-19', 'MV', 'Maldives', 'SEARO', '32', '11210', '1', '37');
INSERT INTO public.who_import VALUES (52582, '2020-10-20', 'MV', 'Maldives', 'SEARO', '22', '11232', '0', '37');
INSERT INTO public.who_import VALUES (52583, '2020-10-21', 'MV', 'Maldives', 'SEARO', '39', '11271', '0', '37');
INSERT INTO public.who_import VALUES (52584, '2020-10-22', 'MV', 'Maldives', 'SEARO', '45', '11316', '0', '37');
INSERT INTO public.who_import VALUES (52585, '2020-10-23', 'MV', 'Maldives', 'SEARO', '42', '11358', '0', '37');
INSERT INTO public.who_import VALUES (52586, '2020-10-24', 'MV', 'Maldives', 'SEARO', '33', '11391', '0', '37');
INSERT INTO public.who_import VALUES (52587, '2020-10-25', 'MV', 'Maldives', 'SEARO', '30', '11421', '0', '37');
INSERT INTO public.who_import VALUES (52588, '2020-10-26', 'MV', 'Maldives', 'SEARO', '84', '11505', '0', '37');
INSERT INTO public.who_import VALUES (52589, '2020-10-27', 'MV', 'Maldives', 'SEARO', '27', '11532', '0', '37');
INSERT INTO public.who_import VALUES (52590, '2020-10-28', 'MV', 'Maldives', 'SEARO', '35', '11567', '0', '37');
INSERT INTO public.who_import VALUES (52591, '2020-10-29', 'MV', 'Maldives', 'SEARO', '24', '11591', '0', '37');
INSERT INTO public.who_import VALUES (52592, '2020-10-30', 'MV', 'Maldives', 'SEARO', '25', '11616', '0', '37');
INSERT INTO public.who_import VALUES (52593, '2020-10-31', 'MV', 'Maldives', 'SEARO', '27', '11643', '0', '37');
INSERT INTO public.who_import VALUES (52594, '2020-11-01', 'MV', 'Maldives', 'SEARO', '16', '11659', '1', '38');
INSERT INTO public.who_import VALUES (52595, '2020-11-02', 'MV', 'Maldives', 'SEARO', '42', '11701', '0', '38');
INSERT INTO public.who_import VALUES (52596, '2020-11-03', 'MV', 'Maldives', 'SEARO', '36', '11737', '0', '38');
INSERT INTO public.who_import VALUES (52597, '2020-11-04', 'MV', 'Maldives', 'SEARO', '59', '11796', '0', '38');
INSERT INTO public.who_import VALUES (52598, '2020-11-05', 'MV', 'Maldives', 'SEARO', '26', '11822', '0', '38');
INSERT INTO public.who_import VALUES (52599, '2020-11-06', 'MV', 'Maldives', 'SEARO', '71', '11893', '0', '38');
INSERT INTO public.who_import VALUES (52600, '2020-11-07', 'MV', 'Maldives', 'SEARO', '39', '11932', '1', '39');
INSERT INTO public.who_import VALUES (52601, '2020-11-08', 'MV', 'Maldives', 'SEARO', '30', '11962', '0', '39');
INSERT INTO public.who_import VALUES (52602, '2020-11-09', 'MV', 'Maldives', 'SEARO', '24', '11986', '1', '40');
INSERT INTO public.who_import VALUES (52603, '2020-11-10', 'MV', 'Maldives', 'SEARO', '23', '12009', '0', '40');
INSERT INTO public.who_import VALUES (52604, '2020-11-11', 'MV', 'Maldives', 'SEARO', '21', '12030', '1', '41');
INSERT INTO public.who_import VALUES (52605, '2020-11-12', 'MV', 'Maldives', 'SEARO', '29', '12059', '0', '41');
INSERT INTO public.who_import VALUES (52606, '2020-11-13', 'MV', 'Maldives', 'SEARO', '26', '12085', '0', '41');
INSERT INTO public.who_import VALUES (52607, '2020-11-14', 'MV', 'Maldives', 'SEARO', '27', '12112', '0', '41');
INSERT INTO public.who_import VALUES (52608, '2020-11-15', 'MV', 'Maldives', 'SEARO', '42', '12154', '1', '42');
INSERT INTO public.who_import VALUES (52609, '2020-11-16', 'MV', 'Maldives', 'SEARO', '50', '12204', '1', '43');
INSERT INTO public.who_import VALUES (52610, '2020-11-17', 'MV', 'Maldives', 'SEARO', '110', '12314', '1', '44');
INSERT INTO public.who_import VALUES (52611, '2020-11-18', 'MV', 'Maldives', 'SEARO', '41', '12355', '1', '45');
INSERT INTO public.who_import VALUES (52612, '2020-11-19', 'MV', 'Maldives', 'SEARO', '29', '12384', '0', '45');
INSERT INTO public.who_import VALUES (52613, '2020-11-20', 'MV', 'Maldives', 'SEARO', '68', '12452', '0', '45');
INSERT INTO public.who_import VALUES (52614, '2020-11-21', 'MV', 'Maldives', 'SEARO', '94', '12546', '0', '45');
INSERT INTO public.who_import VALUES (52615, '2020-11-22', 'MV', 'Maldives', 'SEARO', '32', '12578', '0', '45');
INSERT INTO public.who_import VALUES (52616, '2020-11-23', 'MV', 'Maldives', 'SEARO', '30', '12608', '1', '46');
INSERT INTO public.who_import VALUES (52617, '2020-11-24', 'MV', 'Maldives', 'SEARO', '150', '12758', '0', '46');
INSERT INTO public.who_import VALUES (52618, '2020-11-25', 'MV', 'Maldives', 'SEARO', '52', '12810', '0', '46');
INSERT INTO public.who_import VALUES (52619, '2020-11-26', 'MV', 'Maldives', 'SEARO', '44', '12854', '0', '46');
INSERT INTO public.who_import VALUES (52620, '2020-11-27', 'MV', 'Maldives', 'SEARO', '35', '12889', '0', '46');
INSERT INTO public.who_import VALUES (52621, '2020-11-28', 'MV', 'Maldives', 'SEARO', '44', '12933', '0', '46');
INSERT INTO public.who_import VALUES (52622, '2020-11-29', 'MV', 'Maldives', 'SEARO', '14', '12947', '0', '46');
INSERT INTO public.who_import VALUES (52623, '2020-11-30', 'MV', 'Maldives', 'SEARO', '47', '12994', '0', '46');
INSERT INTO public.who_import VALUES (52624, '2020-12-01', 'MV', 'Maldives', 'SEARO', '17', '13011', '0', '46');
INSERT INTO public.who_import VALUES (52625, '2020-12-02', 'MV', 'Maldives', 'SEARO', '38', '13049', '1', '47');
INSERT INTO public.who_import VALUES (52626, '2020-12-03', 'MV', 'Maldives', 'SEARO', '21', '13070', '0', '47');
INSERT INTO public.who_import VALUES (52627, '2020-12-04', 'MV', 'Maldives', 'SEARO', '36', '13106', '0', '47');
INSERT INTO public.who_import VALUES (52628, '2020-12-05', 'MV', 'Maldives', 'SEARO', '37', '13143', '0', '47');
INSERT INTO public.who_import VALUES (52629, '2020-12-06', 'MV', 'Maldives', 'SEARO', '16', '13159', '0', '47');
INSERT INTO public.who_import VALUES (52630, '2020-12-07', 'MV', 'Maldives', 'SEARO', '39', '13198', '0', '47');
INSERT INTO public.who_import VALUES (52631, '2020-12-08', 'MV', 'Maldives', 'SEARO', '0', '13198', '0', '47');
INSERT INTO public.who_import VALUES (52632, '2020-12-09', 'MV', 'Maldives', 'SEARO', '50', '13248', '0', '47');
INSERT INTO public.who_import VALUES (52633, '2020-12-10', 'MV', 'Maldives', 'SEARO', '26', '13274', '0', '47');
INSERT INTO public.who_import VALUES (52634, '2020-12-11', 'MV', 'Maldives', 'SEARO', '34', '13308', '0', '47');
INSERT INTO public.who_import VALUES (52635, '2020-12-12', 'MV', 'Maldives', 'SEARO', '18', '13326', '1', '48');
INSERT INTO public.who_import VALUES (52636, '2020-12-13', 'MV', 'Maldives', 'SEARO', '22', '13348', '0', '48');
INSERT INTO public.who_import VALUES (52637, '2020-12-14', 'MV', 'Maldives', 'SEARO', '20', '13368', '0', '48');
INSERT INTO public.who_import VALUES (52638, '2020-12-15', 'MV', 'Maldives', 'SEARO', '11', '13379', '0', '48');
INSERT INTO public.who_import VALUES (52639, '2020-12-16', 'MV', 'Maldives', 'SEARO', '13', '13392', '0', '48');
INSERT INTO public.who_import VALUES (52640, '2020-12-17', 'MV', 'Maldives', 'SEARO', '10', '13402', '0', '48');
INSERT INTO public.who_import VALUES (52641, '2020-12-18', 'MV', 'Maldives', 'SEARO', '16', '13418', '0', '48');
INSERT INTO public.who_import VALUES (52642, '2020-12-19', 'MV', 'Maldives', 'SEARO', '26', '13444', '0', '48');
INSERT INTO public.who_import VALUES (52643, '2020-12-20', 'MV', 'Maldives', 'SEARO', '30', '13474', '0', '48');
INSERT INTO public.who_import VALUES (52644, '2020-12-21', 'MV', 'Maldives', 'SEARO', '19', '13493', '0', '48');
INSERT INTO public.who_import VALUES (52645, '2020-12-22', 'MV', 'Maldives', 'SEARO', '8', '13501', '0', '48');
INSERT INTO public.who_import VALUES (52646, '2020-12-23', 'MV', 'Maldives', 'SEARO', '23', '13524', '0', '48');
INSERT INTO public.who_import VALUES (52647, '2020-12-24', 'MV', 'Maldives', 'SEARO', '13', '13537', '0', '48');
INSERT INTO public.who_import VALUES (52648, '2020-12-25', 'MV', 'Maldives', 'SEARO', '21', '13558', '0', '48');
INSERT INTO public.who_import VALUES (52649, '2020-12-26', 'MV', 'Maldives', 'SEARO', '25', '13583', '0', '48');
INSERT INTO public.who_import VALUES (52650, '2020-12-27', 'MV', 'Maldives', 'SEARO', '35', '13618', '0', '48');
INSERT INTO public.who_import VALUES (52651, '2020-12-28', 'MV', 'Maldives', 'SEARO', '26', '13644', '0', '48');
INSERT INTO public.who_import VALUES (52652, '2020-12-29', 'MV', 'Maldives', 'SEARO', '16', '13660', '0', '48');
INSERT INTO public.who_import VALUES (52653, '2020-12-30', 'MV', 'Maldives', 'SEARO', '31', '13691', '0', '48');
INSERT INTO public.who_import VALUES (52654, '2020-12-31', 'MV', 'Maldives', 'SEARO', '47', '13738', '0', '48');
INSERT INTO public.who_import VALUES (52655, '2021-01-01', 'MV', 'Maldives', 'SEARO', '19', '13757', '0', '48');
INSERT INTO public.who_import VALUES (52656, '2021-01-02', 'MV', 'Maldives', 'SEARO', '47', '13804', '0', '48');
INSERT INTO public.who_import VALUES (52657, '2021-01-03', 'MV', 'Maldives', 'SEARO', '30', '13834', '0', '48');
INSERT INTO public.who_import VALUES (52658, '2021-01-04', 'MV', 'Maldives', 'SEARO', '33', '13867', '0', '48');
INSERT INTO public.who_import VALUES (52659, '2021-01-05', 'MV', 'Maldives', 'SEARO', '26', '13893', '0', '48');
INSERT INTO public.who_import VALUES (52660, '2021-01-06', 'MV', 'Maldives', 'SEARO', '37', '13930', '0', '48');
INSERT INTO public.who_import VALUES (52661, '2021-01-07', 'MV', 'Maldives', 'SEARO', '37', '13967', '0', '48');
INSERT INTO public.who_import VALUES (52662, '2021-01-08', 'MV', 'Maldives', 'SEARO', '21', '13988', '1', '49');
INSERT INTO public.who_import VALUES (52663, '2021-01-09', 'MV', 'Maldives', 'SEARO', '52', '14040', '0', '49');
INSERT INTO public.who_import VALUES (52664, '2021-01-10', 'MV', 'Maldives', 'SEARO', '25', '14065', '0', '49');
INSERT INTO public.who_import VALUES (52665, '2021-01-11', 'MV', 'Maldives', 'SEARO', '44', '14109', '0', '49');
INSERT INTO public.who_import VALUES (52666, '2021-01-12', 'MV', 'Maldives', 'SEARO', '50', '14159', '0', '49');
INSERT INTO public.who_import VALUES (52667, '2021-01-13', 'MV', 'Maldives', 'SEARO', '59', '14218', '0', '49');
INSERT INTO public.who_import VALUES (52668, '2021-01-14', 'MV', 'Maldives', 'SEARO', '59', '14277', '0', '49');
INSERT INTO public.who_import VALUES (52669, '2021-01-15', 'MV', 'Maldives', 'SEARO', '48', '14325', '0', '49');
INSERT INTO public.who_import VALUES (52670, '2021-01-16', 'MV', 'Maldives', 'SEARO', '50', '14375', '0', '49');
INSERT INTO public.who_import VALUES (52671, '2021-01-17', 'MV', 'Maldives', 'SEARO', '87', '14462', '0', '49');
INSERT INTO public.who_import VALUES (52672, '2021-01-18', 'MV', 'Maldives', 'SEARO', '51', '14513', '0', '49');
INSERT INTO public.who_import VALUES (52673, '2021-01-19', 'MV', 'Maldives', 'SEARO', '69', '14582', '0', '49');
INSERT INTO public.who_import VALUES (52674, '2021-01-20', 'MV', 'Maldives', 'SEARO', '51', '14633', '0', '49');
INSERT INTO public.who_import VALUES (52675, '2021-01-21', 'MV', 'Maldives', 'SEARO', '79', '14712', '0', '49');
INSERT INTO public.who_import VALUES (52676, '2021-01-22', 'MV', 'Maldives', 'SEARO', '53', '14765', '1', '50');
INSERT INTO public.who_import VALUES (52677, '2021-01-23', 'MV', 'Maldives', 'SEARO', '65', '14830', '0', '50');
INSERT INTO public.who_import VALUES (52678, '2021-01-24', 'MV', 'Maldives', 'SEARO', '55', '14885', '0', '50');
INSERT INTO public.who_import VALUES (52679, '2021-01-25', 'MV', 'Maldives', 'SEARO', '108', '14993', '1', '51');
INSERT INTO public.who_import VALUES (52680, '2021-01-26', 'MV', 'Maldives', 'SEARO', '109', '15102', '0', '51');
INSERT INTO public.who_import VALUES (52681, '2021-01-27', 'MV', 'Maldives', 'SEARO', '145', '15247', '0', '51');
INSERT INTO public.who_import VALUES (52682, '2021-01-28', 'MV', 'Maldives', 'SEARO', '143', '15390', '0', '51');
INSERT INTO public.who_import VALUES (52683, '2021-01-29', 'MV', 'Maldives', 'SEARO', '106', '15496', '0', '51');
INSERT INTO public.who_import VALUES (52684, '2021-01-30', 'MV', 'Maldives', 'SEARO', '118', '15614', '0', '51');
INSERT INTO public.who_import VALUES (52685, '2021-01-31', 'MV', 'Maldives', 'SEARO', '122', '15736', '0', '51');
INSERT INTO public.who_import VALUES (52686, '2021-02-01', 'MV', 'Maldives', 'SEARO', '105', '15841', '1', '52');
INSERT INTO public.who_import VALUES (52687, '2021-02-02', 'MV', 'Maldives', 'SEARO', '215', '16056', '0', '52');
INSERT INTO public.who_import VALUES (52688, '2021-02-03', 'MV', 'Maldives', 'SEARO', '99', '16155', '0', '52');
INSERT INTO public.who_import VALUES (52689, '2021-02-04', 'MV', 'Maldives', 'SEARO', '121', '16276', '1', '53');
INSERT INTO public.who_import VALUES (52690, '2021-02-05', 'MV', 'Maldives', 'SEARO', '134', '16410', '1', '54');
INSERT INTO public.who_import VALUES (52691, '2021-02-06', 'MV', 'Maldives', 'SEARO', '137', '16547', '0', '54');
INSERT INTO public.who_import VALUES (52692, '2021-02-07', 'MV', 'Maldives', 'SEARO', '109', '16656', '0', '54');
INSERT INTO public.who_import VALUES (52693, '2021-02-08', 'MV', 'Maldives', 'SEARO', '127', '16783', '1', '55');
INSERT INTO public.who_import VALUES (52694, '2021-02-09', 'MV', 'Maldives', 'SEARO', '126', '16909', '0', '55');
INSERT INTO public.who_import VALUES (52695, '2021-02-10', 'MV', 'Maldives', 'SEARO', '192', '17101', '1', '56');
INSERT INTO public.who_import VALUES (52696, '2021-02-11', 'MV', 'Maldives', 'SEARO', '100', '17201', '0', '56');
INSERT INTO public.who_import VALUES (52697, '2021-02-12', 'MV', 'Maldives', 'SEARO', '186', '17387', '0', '56');
INSERT INTO public.who_import VALUES (52698, '2021-02-13', 'MV', 'Maldives', 'SEARO', '120', '17507', '0', '56');
INSERT INTO public.who_import VALUES (52699, '2021-02-14', 'MV', 'Maldives', 'SEARO', '209', '17716', '0', '56');
INSERT INTO public.who_import VALUES (52700, '2021-02-15', 'MV', 'Maldives', 'SEARO', '112', '17828', '2', '58');
INSERT INTO public.who_import VALUES (52701, '2021-02-16', 'MV', 'Maldives', 'SEARO', '125', '17953', '0', '58');
INSERT INTO public.who_import VALUES (52702, '2021-02-17', 'MV', 'Maldives', 'SEARO', '129', '18082', '0', '58');
INSERT INTO public.who_import VALUES (52703, '2021-02-18', 'MV', 'Maldives', 'SEARO', '142', '18224', '0', '58');
INSERT INTO public.who_import VALUES (52704, '2021-02-19', 'MV', 'Maldives', 'SEARO', '116', '18340', '0', '58');
INSERT INTO public.who_import VALUES (52705, '2021-02-20', 'MV', 'Maldives', 'SEARO', '127', '18467', '1', '59');
INSERT INTO public.who_import VALUES (52706, '2020-01-03', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52707, '2020-01-04', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52708, '2020-01-05', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52709, '2020-01-06', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52710, '2020-01-07', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52711, '2020-01-08', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52712, '2020-01-09', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52713, '2020-01-10', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52714, '2020-01-11', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52715, '2020-01-12', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52716, '2020-01-13', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52717, '2020-01-14', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52718, '2020-01-15', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52719, '2020-01-16', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52720, '2020-01-17', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52721, '2020-01-18', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52722, '2020-01-19', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52723, '2020-01-20', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52724, '2020-01-21', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52725, '2020-01-22', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52726, '2020-01-23', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52727, '2020-01-24', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52728, '2020-01-25', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52729, '2020-01-26', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52730, '2020-01-27', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52731, '2020-01-28', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52732, '2020-01-29', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52733, '2020-01-30', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52734, '2020-01-31', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52735, '2020-02-01', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52736, '2020-02-02', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52737, '2020-02-03', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52738, '2020-02-04', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52739, '2020-02-05', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52740, '2020-02-06', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52741, '2020-02-07', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52742, '2020-02-08', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52743, '2020-02-09', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52744, '2020-02-10', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52745, '2020-02-11', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52746, '2020-02-12', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52747, '2020-02-13', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52748, '2020-02-14', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52749, '2020-02-15', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52750, '2020-02-16', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52751, '2020-02-17', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52752, '2020-02-18', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52753, '2020-02-19', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52754, '2020-02-20', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52755, '2020-02-21', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52756, '2020-02-22', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52757, '2020-02-23', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52758, '2020-02-24', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52759, '2020-02-25', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52760, '2020-02-26', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52761, '2020-02-27', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52762, '2020-02-28', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52763, '2020-02-29', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52764, '2020-03-01', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52765, '2020-03-02', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52766, '2020-03-03', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52767, '2020-03-04', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52768, '2020-03-05', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52769, '2020-03-06', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52770, '2020-03-07', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52771, '2020-03-08', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52772, '2020-03-09', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52773, '2020-03-10', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52774, '2020-03-11', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52775, '2020-03-12', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52776, '2020-03-13', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52777, '2020-03-14', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52778, '2020-03-15', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52779, '2020-03-16', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52780, '2020-03-17', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52781, '2020-03-18', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52782, '2020-03-19', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52783, '2020-03-20', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52784, '2020-03-21', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52785, '2020-03-22', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52786, '2020-03-23', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52787, '2020-03-24', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52788, '2020-03-25', 'ML', 'Mali', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (52789, '2020-03-26', 'ML', 'Mali', 'AFRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (52790, '2020-03-27', 'ML', 'Mali', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (52791, '2020-03-28', 'ML', 'Mali', 'AFRO', '7', '9', '0', '0');
INSERT INTO public.who_import VALUES (52792, '2020-03-29', 'ML', 'Mali', 'AFRO', '9', '18', '0', '0');
INSERT INTO public.who_import VALUES (52793, '2020-03-30', 'ML', 'Mali', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (52794, '2020-03-31', 'ML', 'Mali', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (52795, '2020-04-01', 'ML', 'Mali', 'AFRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (52796, '2020-04-02', 'ML', 'Mali', 'AFRO', '10', '28', '0', '0');
INSERT INTO public.who_import VALUES (52797, '2020-04-03', 'ML', 'Mali', 'AFRO', '0', '28', '3', '3');
INSERT INTO public.who_import VALUES (52798, '2020-04-04', 'ML', 'Mali', 'AFRO', '8', '36', '0', '3');
INSERT INTO public.who_import VALUES (52799, '2020-04-05', 'ML', 'Mali', 'AFRO', '3', '39', '1', '4');
INSERT INTO public.who_import VALUES (52800, '2020-04-06', 'ML', 'Mali', 'AFRO', '0', '39', '0', '4');
INSERT INTO public.who_import VALUES (52801, '2020-04-07', 'ML', 'Mali', 'AFRO', '0', '39', '0', '4');
INSERT INTO public.who_import VALUES (52802, '2020-04-08', 'ML', 'Mali', 'AFRO', '8', '47', '1', '5');
INSERT INTO public.who_import VALUES (52803, '2020-04-09', 'ML', 'Mali', 'AFRO', '9', '56', '1', '6');
INSERT INTO public.who_import VALUES (52804, '2020-04-10', 'ML', 'Mali', 'AFRO', '3', '59', '1', '7');
INSERT INTO public.who_import VALUES (52805, '2020-04-11', 'ML', 'Mali', 'AFRO', '15', '74', '0', '7');
INSERT INTO public.who_import VALUES (52806, '2020-04-12', 'ML', 'Mali', 'AFRO', '13', '87', '0', '7');
INSERT INTO public.who_import VALUES (52807, '2020-04-13', 'ML', 'Mali', 'AFRO', '0', '87', '0', '7');
INSERT INTO public.who_import VALUES (52808, '2020-04-14', 'ML', 'Mali', 'AFRO', '29', '116', '2', '9');
INSERT INTO public.who_import VALUES (52809, '2020-04-15', 'ML', 'Mali', 'AFRO', '7', '123', '1', '10');
INSERT INTO public.who_import VALUES (52810, '2020-04-16', 'ML', 'Mali', 'AFRO', '21', '144', '3', '13');
INSERT INTO public.who_import VALUES (52811, '2020-04-17', 'ML', 'Mali', 'AFRO', '27', '171', '0', '13');
INSERT INTO public.who_import VALUES (52812, '2020-04-18', 'ML', 'Mali', 'AFRO', '19', '190', '0', '13');
INSERT INTO public.who_import VALUES (52813, '2020-04-19', 'ML', 'Mali', 'AFRO', '26', '216', '0', '13');
INSERT INTO public.who_import VALUES (52814, '2020-04-20', 'ML', 'Mali', 'AFRO', '8', '224', '1', '14');
INSERT INTO public.who_import VALUES (52815, '2020-04-21', 'ML', 'Mali', 'AFRO', '22', '246', '0', '14');
INSERT INTO public.who_import VALUES (52816, '2020-04-22', 'ML', 'Mali', 'AFRO', '12', '258', '0', '14');
INSERT INTO public.who_import VALUES (52817, '2020-04-23', 'ML', 'Mali', 'AFRO', '35', '293', '3', '17');
INSERT INTO public.who_import VALUES (52818, '2020-04-24', 'ML', 'Mali', 'AFRO', '16', '309', '4', '21');
INSERT INTO public.who_import VALUES (52819, '2020-04-25', 'ML', 'Mali', 'AFRO', '16', '325', '0', '21');
INSERT INTO public.who_import VALUES (52820, '2020-04-26', 'ML', 'Mali', 'AFRO', '45', '370', '0', '21');
INSERT INTO public.who_import VALUES (52821, '2020-04-27', 'ML', 'Mali', 'AFRO', '19', '389', '2', '23');
INSERT INTO public.who_import VALUES (52822, '2020-04-28', 'ML', 'Mali', 'AFRO', '19', '408', '0', '23');
INSERT INTO public.who_import VALUES (52823, '2020-04-29', 'ML', 'Mali', 'AFRO', '16', '424', '1', '24');
INSERT INTO public.who_import VALUES (52824, '2020-04-30', 'ML', 'Mali', 'AFRO', '58', '482', '1', '25');
INSERT INTO public.who_import VALUES (52825, '2020-05-01', 'ML', 'Mali', 'AFRO', '8', '490', '1', '26');
INSERT INTO public.who_import VALUES (52826, '2020-05-02', 'ML', 'Mali', 'AFRO', '18', '508', '0', '26');
INSERT INTO public.who_import VALUES (52827, '2020-05-03', 'ML', 'Mali', 'AFRO', '36', '544', '0', '26');
INSERT INTO public.who_import VALUES (52828, '2020-05-04', 'ML', 'Mali', 'AFRO', '19', '563', '1', '27');
INSERT INTO public.who_import VALUES (52829, '2020-05-05', 'ML', 'Mali', 'AFRO', '17', '580', '2', '29');
INSERT INTO public.who_import VALUES (52830, '2020-05-06', 'ML', 'Mali', 'AFRO', '32', '612', '3', '32');
INSERT INTO public.who_import VALUES (52831, '2020-05-07', 'ML', 'Mali', 'AFRO', '19', '631', '0', '32');
INSERT INTO public.who_import VALUES (52832, '2020-05-08', 'ML', 'Mali', 'AFRO', '19', '650', '0', '32');
INSERT INTO public.who_import VALUES (52833, '2020-05-09', 'ML', 'Mali', 'AFRO', '18', '668', '3', '35');
INSERT INTO public.who_import VALUES (52834, '2020-05-10', 'ML', 'Mali', 'AFRO', '24', '692', '2', '37');
INSERT INTO public.who_import VALUES (52835, '2020-05-11', 'ML', 'Mali', 'AFRO', '12', '704', '1', '38');
INSERT INTO public.who_import VALUES (52836, '2020-05-12', 'ML', 'Mali', 'AFRO', '8', '712', '1', '39');
INSERT INTO public.who_import VALUES (52837, '2020-05-13', 'ML', 'Mali', 'AFRO', '18', '730', '1', '40');
INSERT INTO public.who_import VALUES (52838, '2020-05-14', 'ML', 'Mali', 'AFRO', '28', '758', '4', '44');
INSERT INTO public.who_import VALUES (52839, '2020-05-15', 'ML', 'Mali', 'AFRO', '21', '779', '2', '46');
INSERT INTO public.who_import VALUES (52840, '2020-05-16', 'ML', 'Mali', 'AFRO', '27', '806', '0', '46');
INSERT INTO public.who_import VALUES (52841, '2020-05-17', 'ML', 'Mali', 'AFRO', '29', '835', '2', '48');
INSERT INTO public.who_import VALUES (52842, '2020-05-18', 'ML', 'Mali', 'AFRO', '25', '860', '4', '52');
INSERT INTO public.who_import VALUES (52843, '2020-05-19', 'ML', 'Mali', 'AFRO', '14', '874', '0', '52');
INSERT INTO public.who_import VALUES (52844, '2020-05-20', 'ML', 'Mali', 'AFRO', '27', '901', '1', '53');
INSERT INTO public.who_import VALUES (52845, '2020-05-21', 'ML', 'Mali', 'AFRO', '30', '931', '2', '55');
INSERT INTO public.who_import VALUES (52846, '2020-05-22', 'ML', 'Mali', 'AFRO', '0', '931', '0', '55');
INSERT INTO public.who_import VALUES (52847, '2020-05-23', 'ML', 'Mali', 'AFRO', '38', '969', '7', '62');
INSERT INTO public.who_import VALUES (52848, '2020-05-24', 'ML', 'Mali', 'AFRO', '46', '1015', '0', '62');
INSERT INTO public.who_import VALUES (52849, '2020-05-25', 'ML', 'Mali', 'AFRO', '15', '1030', '3', '65');
INSERT INTO public.who_import VALUES (52850, '2020-05-26', 'ML', 'Mali', 'AFRO', '29', '1059', '2', '67');
INSERT INTO public.who_import VALUES (52851, '2020-05-27', 'ML', 'Mali', 'AFRO', '18', '1077', '3', '70');
INSERT INTO public.who_import VALUES (52852, '2020-05-28', 'ML', 'Mali', 'AFRO', '39', '1116', '0', '70');
INSERT INTO public.who_import VALUES (52853, '2020-05-29', 'ML', 'Mali', 'AFRO', '78', '1194', '2', '72');
INSERT INTO public.who_import VALUES (52854, '2020-05-30', 'ML', 'Mali', 'AFRO', '32', '1226', '1', '73');
INSERT INTO public.who_import VALUES (52855, '2020-05-31', 'ML', 'Mali', 'AFRO', '24', '1250', '3', '76');
INSERT INTO public.who_import VALUES (52856, '2020-06-01', 'ML', 'Mali', 'AFRO', '15', '1265', '1', '77');
INSERT INTO public.who_import VALUES (52857, '2020-06-02', 'ML', 'Mali', 'AFRO', '50', '1315', '1', '78');
INSERT INTO public.who_import VALUES (52858, '2020-06-03', 'ML', 'Mali', 'AFRO', '36', '1351', '0', '78');
INSERT INTO public.who_import VALUES (52859, '2020-06-04', 'ML', 'Mali', 'AFRO', '35', '1386', '1', '79');
INSERT INTO public.who_import VALUES (52860, '2020-06-05', 'ML', 'Mali', 'AFRO', '75', '1461', '6', '85');
INSERT INTO public.who_import VALUES (52861, '2020-06-06', 'ML', 'Mali', 'AFRO', '24', '1485', '2', '87');
INSERT INTO public.who_import VALUES (52862, '2020-06-07', 'ML', 'Mali', 'AFRO', '38', '1523', '3', '90');
INSERT INTO public.who_import VALUES (52863, '2020-06-08', 'ML', 'Mali', 'AFRO', '10', '1533', '2', '92');
INSERT INTO public.who_import VALUES (52864, '2020-06-09', 'ML', 'Mali', 'AFRO', '14', '1547', '0', '92');
INSERT INTO public.who_import VALUES (52865, '2020-06-10', 'ML', 'Mali', 'AFRO', '39', '1586', '2', '94');
INSERT INTO public.who_import VALUES (52866, '2020-06-11', 'ML', 'Mali', 'AFRO', '81', '1667', '2', '96');
INSERT INTO public.who_import VALUES (52867, '2020-06-12', 'ML', 'Mali', 'AFRO', '55', '1722', '1', '97');
INSERT INTO public.who_import VALUES (52868, '2020-06-13', 'ML', 'Mali', 'AFRO', '30', '1752', '4', '101');
INSERT INTO public.who_import VALUES (52869, '2020-06-14', 'ML', 'Mali', 'AFRO', '24', '1776', '3', '104');
INSERT INTO public.who_import VALUES (52870, '2020-06-15', 'ML', 'Mali', 'AFRO', '33', '1809', '0', '104');
INSERT INTO public.who_import VALUES (52871, '2020-06-16', 'ML', 'Mali', 'AFRO', '51', '1860', '0', '104');
INSERT INTO public.who_import VALUES (52872, '2020-06-17', 'ML', 'Mali', 'AFRO', '25', '1885', '2', '106');
INSERT INTO public.who_import VALUES (52873, '2020-06-18', 'ML', 'Mali', 'AFRO', '5', '1890', '1', '107');
INSERT INTO public.who_import VALUES (52874, '2020-06-19', 'ML', 'Mali', 'AFRO', '16', '1906', '0', '107');
INSERT INTO public.who_import VALUES (52875, '2020-06-20', 'ML', 'Mali', 'AFRO', '17', '1923', '1', '108');
INSERT INTO public.who_import VALUES (52876, '2020-06-21', 'ML', 'Mali', 'AFRO', '10', '1933', '1', '109');
INSERT INTO public.who_import VALUES (52877, '2020-06-22', 'ML', 'Mali', 'AFRO', '28', '1961', '2', '111');
INSERT INTO public.who_import VALUES (52878, '2020-06-23', 'ML', 'Mali', 'AFRO', '0', '1961', '0', '111');
INSERT INTO public.who_import VALUES (52879, '2020-06-24', 'ML', 'Mali', 'AFRO', '17', '1978', '0', '111');
INSERT INTO public.who_import VALUES (52880, '2020-06-25', 'ML', 'Mali', 'AFRO', '27', '2005', '2', '113');
INSERT INTO public.who_import VALUES (52881, '2020-06-26', 'ML', 'Mali', 'AFRO', '34', '2039', '0', '113');
INSERT INTO public.who_import VALUES (52882, '2020-06-27', 'ML', 'Mali', 'AFRO', '21', '2060', '0', '113');
INSERT INTO public.who_import VALUES (52883, '2020-06-28', 'ML', 'Mali', 'AFRO', '0', '2060', '0', '113');
INSERT INTO public.who_import VALUES (52884, '2020-06-29', 'ML', 'Mali', 'AFRO', '87', '2147', '1', '114');
INSERT INTO public.who_import VALUES (52885, '2020-06-30', 'ML', 'Mali', 'AFRO', '26', '2173', '1', '115');
INSERT INTO public.who_import VALUES (52886, '2020-07-01', 'ML', 'Mali', 'AFRO', '8', '2181', '1', '116');
INSERT INTO public.who_import VALUES (52887, '2020-07-02', 'ML', 'Mali', 'AFRO', '0', '2181', '0', '116');
INSERT INTO public.who_import VALUES (52888, '2020-07-03', 'ML', 'Mali', 'AFRO', '79', '2260', '1', '117');
INSERT INTO public.who_import VALUES (52889, '2020-07-04', 'ML', 'Mali', 'AFRO', '25', '2285', '0', '117');
INSERT INTO public.who_import VALUES (52890, '2020-07-05', 'ML', 'Mali', 'AFRO', '18', '2303', '1', '118');
INSERT INTO public.who_import VALUES (52891, '2020-07-06', 'ML', 'Mali', 'AFRO', '27', '2330', '1', '119');
INSERT INTO public.who_import VALUES (52892, '2020-07-07', 'ML', 'Mali', 'AFRO', '1', '2331', '0', '119');
INSERT INTO public.who_import VALUES (52893, '2020-07-08', 'ML', 'Mali', 'AFRO', '17', '2348', '0', '119');
INSERT INTO public.who_import VALUES (52894, '2020-07-09', 'ML', 'Mali', 'AFRO', '10', '2358', '1', '120');
INSERT INTO public.who_import VALUES (52895, '2020-07-10', 'ML', 'Mali', 'AFRO', '12', '2370', '0', '120');
INSERT INTO public.who_import VALUES (52896, '2020-07-11', 'ML', 'Mali', 'AFRO', '34', '2404', '1', '121');
INSERT INTO public.who_import VALUES (52897, '2020-07-12', 'ML', 'Mali', 'AFRO', '2', '2406', '0', '121');
INSERT INTO public.who_import VALUES (52898, '2020-07-13', 'ML', 'Mali', 'AFRO', '5', '2411', '0', '121');
INSERT INTO public.who_import VALUES (52899, '2020-07-14', 'ML', 'Mali', 'AFRO', '1', '2412', '0', '121');
INSERT INTO public.who_import VALUES (52900, '2020-07-15', 'ML', 'Mali', 'AFRO', '11', '2423', '0', '121');
INSERT INTO public.who_import VALUES (52901, '2020-07-16', 'ML', 'Mali', 'AFRO', '10', '2433', '0', '121');
INSERT INTO public.who_import VALUES (52902, '2020-07-17', 'ML', 'Mali', 'AFRO', '7', '2440', '0', '121');
INSERT INTO public.who_import VALUES (52903, '2020-07-18', 'ML', 'Mali', 'AFRO', '27', '2467', '0', '121');
INSERT INTO public.who_import VALUES (52904, '2020-07-19', 'ML', 'Mali', 'AFRO', '5', '2472', '0', '121');
INSERT INTO public.who_import VALUES (52905, '2020-07-20', 'ML', 'Mali', 'AFRO', '3', '2475', '0', '121');
INSERT INTO public.who_import VALUES (52906, '2020-07-21', 'ML', 'Mali', 'AFRO', '0', '2475', '0', '121');
INSERT INTO public.who_import VALUES (52907, '2020-07-22', 'ML', 'Mali', 'AFRO', '2', '2477', '1', '122');
INSERT INTO public.who_import VALUES (52908, '2020-07-23', 'ML', 'Mali', 'AFRO', '17', '2494', '1', '123');
INSERT INTO public.who_import VALUES (52909, '2020-07-24', 'ML', 'Mali', 'AFRO', '0', '2494', '0', '123');
INSERT INTO public.who_import VALUES (52910, '2020-07-25', 'ML', 'Mali', 'AFRO', '9', '2503', '0', '123');
INSERT INTO public.who_import VALUES (52911, '2020-07-26', 'ML', 'Mali', 'AFRO', '0', '2503', '0', '123');
INSERT INTO public.who_import VALUES (52912, '2020-07-27', 'ML', 'Mali', 'AFRO', '7', '2510', '0', '123');
INSERT INTO public.who_import VALUES (52913, '2020-07-28', 'ML', 'Mali', 'AFRO', '3', '2513', '1', '124');
INSERT INTO public.who_import VALUES (52914, '2020-07-29', 'ML', 'Mali', 'AFRO', '7', '2520', '0', '124');
INSERT INTO public.who_import VALUES (52915, '2020-07-30', 'ML', 'Mali', 'AFRO', '1', '2521', '0', '124');
INSERT INTO public.who_import VALUES (52916, '2020-07-31', 'ML', 'Mali', 'AFRO', '1', '2522', '0', '124');
INSERT INTO public.who_import VALUES (52917, '2020-08-01', 'ML', 'Mali', 'AFRO', '0', '2522', '0', '124');
INSERT INTO public.who_import VALUES (52918, '2020-08-02', 'ML', 'Mali', 'AFRO', '13', '2535', '0', '124');
INSERT INTO public.who_import VALUES (52919, '2020-08-03', 'ML', 'Mali', 'AFRO', '0', '2535', '0', '124');
INSERT INTO public.who_import VALUES (52920, '2020-08-04', 'ML', 'Mali', 'AFRO', '8', '2543', '0', '124');
INSERT INTO public.who_import VALUES (52921, '2020-08-05', 'ML', 'Mali', 'AFRO', '0', '2543', '0', '124');
INSERT INTO public.who_import VALUES (52922, '2020-08-06', 'ML', 'Mali', 'AFRO', '3', '2546', '0', '124');
INSERT INTO public.who_import VALUES (52923, '2020-08-07', 'ML', 'Mali', 'AFRO', '6', '2552', '0', '124');
INSERT INTO public.who_import VALUES (52924, '2020-08-08', 'ML', 'Mali', 'AFRO', '9', '2561', '1', '125');
INSERT INTO public.who_import VALUES (52925, '2020-08-09', 'ML', 'Mali', 'AFRO', '4', '2565', '0', '125');
INSERT INTO public.who_import VALUES (52926, '2020-08-10', 'ML', 'Mali', 'AFRO', '2', '2567', '0', '125');
INSERT INTO public.who_import VALUES (52927, '2020-08-11', 'ML', 'Mali', 'AFRO', '6', '2573', '0', '125');
INSERT INTO public.who_import VALUES (52928, '2020-08-12', 'ML', 'Mali', 'AFRO', '4', '2577', '0', '125');
INSERT INTO public.who_import VALUES (52929, '2020-08-13', 'ML', 'Mali', 'AFRO', '5', '2582', '0', '125');
INSERT INTO public.who_import VALUES (52930, '2020-08-14', 'ML', 'Mali', 'AFRO', '15', '2597', '0', '125');
INSERT INTO public.who_import VALUES (52931, '2020-08-15', 'ML', 'Mali', 'AFRO', '8', '2605', '0', '125');
INSERT INTO public.who_import VALUES (52932, '2020-08-16', 'ML', 'Mali', 'AFRO', '9', '2614', '0', '125');
INSERT INTO public.who_import VALUES (52933, '2020-08-17', 'ML', 'Mali', 'AFRO', '26', '2640', '0', '125');
INSERT INTO public.who_import VALUES (52934, '2020-08-18', 'ML', 'Mali', 'AFRO', '0', '2640', '0', '125');
INSERT INTO public.who_import VALUES (52935, '2020-08-19', 'ML', 'Mali', 'AFRO', '26', '2666', '0', '125');
INSERT INTO public.who_import VALUES (52936, '2020-08-20', 'ML', 'Mali', 'AFRO', '1', '2667', '0', '125');
INSERT INTO public.who_import VALUES (52937, '2020-08-21', 'ML', 'Mali', 'AFRO', '0', '2667', '0', '125');
INSERT INTO public.who_import VALUES (52938, '2020-08-22', 'ML', 'Mali', 'AFRO', '21', '2688', '0', '125');
INSERT INTO public.who_import VALUES (52939, '2020-08-23', 'ML', 'Mali', 'AFRO', '11', '2699', '0', '125');
INSERT INTO public.who_import VALUES (52940, '2020-08-24', 'ML', 'Mali', 'AFRO', '6', '2705', '0', '125');
INSERT INTO public.who_import VALUES (52941, '2020-08-25', 'ML', 'Mali', 'AFRO', '3', '2708', '0', '125');
INSERT INTO public.who_import VALUES (52942, '2020-08-26', 'ML', 'Mali', 'AFRO', '0', '2708', '0', '125');
INSERT INTO public.who_import VALUES (52943, '2020-08-27', 'ML', 'Mali', 'AFRO', '9', '2717', '1', '126');
INSERT INTO public.who_import VALUES (52944, '2020-08-28', 'ML', 'Mali', 'AFRO', '13', '2730', '0', '126');
INSERT INTO public.who_import VALUES (52945, '2020-08-29', 'ML', 'Mali', 'AFRO', '6', '2736', '0', '126');
INSERT INTO public.who_import VALUES (52946, '2020-08-30', 'ML', 'Mali', 'AFRO', '21', '2757', '0', '126');
INSERT INTO public.who_import VALUES (52947, '2020-08-31', 'ML', 'Mali', 'AFRO', '16', '2773', '0', '126');
INSERT INTO public.who_import VALUES (52948, '2020-09-01', 'ML', 'Mali', 'AFRO', '3', '2776', '0', '126');
INSERT INTO public.who_import VALUES (52949, '2020-09-02', 'ML', 'Mali', 'AFRO', '1', '2777', '0', '126');
INSERT INTO public.who_import VALUES (52950, '2020-09-03', 'ML', 'Mali', 'AFRO', '25', '2802', '0', '126');
INSERT INTO public.who_import VALUES (52951, '2020-09-04', 'ML', 'Mali', 'AFRO', '5', '2807', '0', '126');
INSERT INTO public.who_import VALUES (52952, '2020-09-05', 'ML', 'Mali', 'AFRO', '7', '2814', '0', '126');
INSERT INTO public.who_import VALUES (52953, '2020-09-06', 'ML', 'Mali', 'AFRO', '19', '2833', '0', '126');
INSERT INTO public.who_import VALUES (52954, '2020-09-07', 'ML', 'Mali', 'AFRO', '9', '2842', '1', '127');
INSERT INTO public.who_import VALUES (52955, '2020-09-08', 'ML', 'Mali', 'AFRO', '28', '2870', '0', '127');
INSERT INTO public.who_import VALUES (52956, '2020-09-09', 'ML', 'Mali', 'AFRO', '12', '2882', '0', '127');
INSERT INTO public.who_import VALUES (52957, '2020-09-10', 'ML', 'Mali', 'AFRO', '16', '2898', '1', '128');
INSERT INTO public.who_import VALUES (52958, '2020-09-11', 'ML', 'Mali', 'AFRO', '11', '2909', '0', '128');
INSERT INTO public.who_import VALUES (52959, '2020-09-12', 'ML', 'Mali', 'AFRO', '3', '2912', '0', '128');
INSERT INTO public.who_import VALUES (52960, '2020-09-13', 'ML', 'Mali', 'AFRO', '4', '2916', '0', '128');
INSERT INTO public.who_import VALUES (52961, '2020-09-14', 'ML', 'Mali', 'AFRO', '8', '2924', '0', '128');
INSERT INTO public.who_import VALUES (52962, '2020-09-15', 'ML', 'Mali', 'AFRO', '11', '2935', '0', '128');
INSERT INTO public.who_import VALUES (52963, '2020-09-16', 'ML', 'Mali', 'AFRO', '5', '2940', '0', '128');
INSERT INTO public.who_import VALUES (52964, '2020-09-17', 'ML', 'Mali', 'AFRO', '26', '2966', '0', '128');
INSERT INTO public.who_import VALUES (52965, '2020-09-18', 'ML', 'Mali', 'AFRO', '17', '2983', '0', '128');
INSERT INTO public.who_import VALUES (52966, '2020-09-19', 'ML', 'Mali', 'AFRO', '8', '2991', '0', '128');
INSERT INTO public.who_import VALUES (52967, '2020-09-20', 'ML', 'Mali', 'AFRO', '15', '3006', '0', '128');
INSERT INTO public.who_import VALUES (52968, '2020-09-21', 'ML', 'Mali', 'AFRO', '7', '3013', '0', '128');
INSERT INTO public.who_import VALUES (52969, '2020-09-22', 'ML', 'Mali', 'AFRO', '11', '3024', '0', '128');
INSERT INTO public.who_import VALUES (52970, '2020-09-23', 'ML', 'Mali', 'AFRO', '6', '3030', '1', '129');
INSERT INTO public.who_import VALUES (52971, '2020-09-24', 'ML', 'Mali', 'AFRO', '4', '3034', '1', '130');
INSERT INTO public.who_import VALUES (52972, '2020-09-25', 'ML', 'Mali', 'AFRO', '7', '3041', '0', '130');
INSERT INTO public.who_import VALUES (52973, '2020-09-26', 'ML', 'Mali', 'AFRO', '23', '3064', '0', '130');
INSERT INTO public.who_import VALUES (52974, '2020-09-27', 'ML', 'Mali', 'AFRO', '16', '3080', '0', '130');
INSERT INTO public.who_import VALUES (52975, '2020-09-28', 'ML', 'Mali', 'AFRO', '6', '3086', '0', '130');
INSERT INTO public.who_import VALUES (52976, '2020-09-29', 'ML', 'Mali', 'AFRO', '4', '3090', '0', '130');
INSERT INTO public.who_import VALUES (52977, '2020-09-30', 'ML', 'Mali', 'AFRO', '11', '3101', '1', '131');
INSERT INTO public.who_import VALUES (52978, '2020-10-01', 'ML', 'Mali', 'AFRO', '17', '3118', '0', '131');
INSERT INTO public.who_import VALUES (52979, '2020-10-02', 'ML', 'Mali', 'AFRO', '13', '3131', '0', '131');
INSERT INTO public.who_import VALUES (52980, '2020-10-03', 'ML', 'Mali', 'AFRO', '25', '3156', '0', '131');
INSERT INTO public.who_import VALUES (52981, '2020-10-04', 'ML', 'Mali', 'AFRO', '14', '3170', '0', '131');
INSERT INTO public.who_import VALUES (52982, '2020-10-05', 'ML', 'Mali', 'AFRO', '14', '3184', '0', '131');
INSERT INTO public.who_import VALUES (52983, '2020-10-06', 'ML', 'Mali', 'AFRO', '5', '3189', '0', '131');
INSERT INTO public.who_import VALUES (52984, '2020-10-07', 'ML', 'Mali', 'AFRO', '6', '3195', '0', '131');
INSERT INTO public.who_import VALUES (52985, '2020-10-08', 'ML', 'Mali', 'AFRO', '15', '3210', '0', '131');
INSERT INTO public.who_import VALUES (52986, '2020-10-09', 'ML', 'Mali', 'AFRO', '25', '3235', '0', '131');
INSERT INTO public.who_import VALUES (52987, '2020-10-10', 'ML', 'Mali', 'AFRO', '13', '3248', '0', '131');
INSERT INTO public.who_import VALUES (52988, '2020-10-11', 'ML', 'Mali', 'AFRO', '25', '3273', '1', '132');
INSERT INTO public.who_import VALUES (52989, '2020-10-12', 'ML', 'Mali', 'AFRO', '13', '3286', '0', '132');
INSERT INTO public.who_import VALUES (52990, '2020-10-13', 'ML', 'Mali', 'AFRO', '10', '3296', '0', '132');
INSERT INTO public.who_import VALUES (52991, '2020-10-14', 'ML', 'Mali', 'AFRO', '1', '3297', '0', '132');
INSERT INTO public.who_import VALUES (52992, '2020-10-15', 'ML', 'Mali', 'AFRO', '55', '3352', '0', '132');
INSERT INTO public.who_import VALUES (52993, '2020-10-16', 'ML', 'Mali', 'AFRO', '16', '3368', '0', '132');
INSERT INTO public.who_import VALUES (52994, '2020-10-17', 'ML', 'Mali', 'AFRO', '0', '3368', '0', '132');
INSERT INTO public.who_import VALUES (52995, '2020-10-18', 'ML', 'Mali', 'AFRO', '11', '3379', '0', '132');
INSERT INTO public.who_import VALUES (52996, '2020-10-19', 'ML', 'Mali', 'AFRO', '9', '3388', '0', '132');
INSERT INTO public.who_import VALUES (52997, '2020-10-20', 'ML', 'Mali', 'AFRO', '19', '3407', '0', '132');
INSERT INTO public.who_import VALUES (52998, '2020-10-21', 'ML', 'Mali', 'AFRO', '4', '3411', '0', '132');
INSERT INTO public.who_import VALUES (52999, '2020-10-22', 'ML', 'Mali', 'AFRO', '17', '3428', '0', '132');
INSERT INTO public.who_import VALUES (53000, '2020-10-23', 'ML', 'Mali', 'AFRO', '12', '3440', '0', '132');
INSERT INTO public.who_import VALUES (53001, '2020-10-24', 'ML', 'Mali', 'AFRO', '0', '3440', '0', '132');
INSERT INTO public.who_import VALUES (53002, '2020-10-25', 'ML', 'Mali', 'AFRO', '32', '3472', '0', '132');
INSERT INTO public.who_import VALUES (53003, '2020-10-26', 'ML', 'Mali', 'AFRO', '0', '3472', '0', '132');
INSERT INTO public.who_import VALUES (53004, '2020-10-27', 'ML', 'Mali', 'AFRO', '27', '3499', '1', '133');
INSERT INTO public.who_import VALUES (53005, '2020-10-28', 'ML', 'Mali', 'AFRO', '16', '3515', '3', '136');
INSERT INTO public.who_import VALUES (53006, '2020-10-29', 'ML', 'Mali', 'AFRO', '15', '3530', '0', '136');
INSERT INTO public.who_import VALUES (53007, '2020-10-30', 'ML', 'Mali', 'AFRO', '7', '3537', '0', '136');
INSERT INTO public.who_import VALUES (53008, '2020-10-31', 'ML', 'Mali', 'AFRO', '8', '3545', '0', '136');
INSERT INTO public.who_import VALUES (53009, '2020-11-01', 'ML', 'Mali', 'AFRO', '9', '3554', '0', '136');
INSERT INTO public.who_import VALUES (53010, '2020-11-02', 'ML', 'Mali', 'AFRO', '11', '3565', '0', '136');
INSERT INTO public.who_import VALUES (53011, '2020-11-03', 'ML', 'Mali', 'AFRO', '8', '3573', '0', '136');
INSERT INTO public.who_import VALUES (53012, '2020-11-04', 'ML', 'Mali', 'AFRO', '11', '3584', '0', '136');
INSERT INTO public.who_import VALUES (53013, '2020-11-05', 'ML', 'Mali', 'AFRO', '0', '3584', '0', '136');
INSERT INTO public.who_import VALUES (53014, '2020-11-06', 'ML', 'Mali', 'AFRO', '49', '3633', '1', '137');
INSERT INTO public.who_import VALUES (53015, '2020-11-07', 'ML', 'Mali', 'AFRO', '0', '3633', '0', '137');
INSERT INTO public.who_import VALUES (53016, '2020-11-08', 'ML', 'Mali', 'AFRO', '43', '3676', '0', '137');
INSERT INTO public.who_import VALUES (53017, '2020-11-09', 'ML', 'Mali', 'AFRO', '30', '3706', '0', '137');
INSERT INTO public.who_import VALUES (53018, '2020-11-10', 'ML', 'Mali', 'AFRO', '0', '3706', '0', '137');
INSERT INTO public.who_import VALUES (53019, '2020-11-11', 'ML', 'Mali', 'AFRO', '39', '3745', '0', '137');
INSERT INTO public.who_import VALUES (53020, '2020-11-12', 'ML', 'Mali', 'AFRO', '8', '3753', '1', '138');
INSERT INTO public.who_import VALUES (53021, '2020-11-13', 'ML', 'Mali', 'AFRO', '39', '3792', '0', '138');
INSERT INTO public.who_import VALUES (53022, '2020-11-14', 'ML', 'Mali', 'AFRO', '14', '3806', '1', '139');
INSERT INTO public.who_import VALUES (53023, '2020-11-15', 'ML', 'Mali', 'AFRO', '62', '3868', '0', '139');
INSERT INTO public.who_import VALUES (53024, '2020-11-16', 'ML', 'Mali', 'AFRO', '32', '3900', '2', '141');
INSERT INTO public.who_import VALUES (53025, '2020-11-17', 'ML', 'Mali', 'AFRO', '48', '3948', '0', '141');
INSERT INTO public.who_import VALUES (53026, '2020-11-18', 'ML', 'Mali', 'AFRO', '32', '3980', '0', '141');
INSERT INTO public.who_import VALUES (53027, '2020-11-19', 'ML', 'Mali', 'AFRO', '0', '3980', '0', '141');
INSERT INTO public.who_import VALUES (53028, '2020-11-20', 'ML', 'Mali', 'AFRO', '113', '4093', '1', '142');
INSERT INTO public.who_import VALUES (53029, '2020-11-21', 'ML', 'Mali', 'AFRO', '76', '4169', '1', '143');
INSERT INTO public.who_import VALUES (53030, '2020-11-22', 'ML', 'Mali', 'AFRO', '37', '4206', '0', '143');
INSERT INTO public.who_import VALUES (53031, '2020-11-23', 'ML', 'Mali', 'AFRO', '49', '4255', '2', '145');
INSERT INTO public.who_import VALUES (53032, '2020-11-24', 'ML', 'Mali', 'AFRO', '71', '4326', '1', '146');
INSERT INTO public.who_import VALUES (53033, '2020-11-25', 'ML', 'Mali', 'AFRO', '0', '4326', '0', '146');
INSERT INTO public.who_import VALUES (53034, '2020-11-26', 'ML', 'Mali', 'AFRO', '135', '4461', '2', '148');
INSERT INTO public.who_import VALUES (53035, '2020-11-27', 'ML', 'Mali', 'AFRO', '44', '4505', '0', '148');
INSERT INTO public.who_import VALUES (53036, '2020-11-28', 'ML', 'Mali', 'AFRO', '62', '4567', '1', '149');
INSERT INTO public.who_import VALUES (53037, '2020-11-29', 'ML', 'Mali', 'AFRO', '0', '4567', '0', '149');
INSERT INTO public.who_import VALUES (53038, '2020-11-30', 'ML', 'Mali', 'AFRO', '121', '4688', '3', '152');
INSERT INTO public.who_import VALUES (53039, '2020-12-01', 'ML', 'Mali', 'AFRO', '0', '4688', '0', '152');
INSERT INTO public.who_import VALUES (53040, '2020-12-02', 'ML', 'Mali', 'AFRO', '74', '4762', '8', '160');
INSERT INTO public.who_import VALUES (53041, '2020-12-03', 'ML', 'Mali', 'AFRO', '75', '4837', '1', '161');
INSERT INTO public.who_import VALUES (53042, '2020-12-04', 'ML', 'Mali', 'AFRO', '43', '4880', '1', '162');
INSERT INTO public.who_import VALUES (53043, '2020-12-05', 'ML', 'Mali', 'AFRO', '58', '4938', '1', '163');
INSERT INTO public.who_import VALUES (53044, '2020-12-06', 'ML', 'Mali', 'AFRO', '124', '5062', '0', '163');
INSERT INTO public.who_import VALUES (53045, '2020-12-07', 'ML', 'Mali', 'AFRO', '73', '5135', '5', '168');
INSERT INTO public.who_import VALUES (53046, '2020-12-08', 'ML', 'Mali', 'AFRO', '155', '5290', '7', '175');
INSERT INTO public.who_import VALUES (53047, '2020-12-09', 'ML', 'Mali', 'AFRO', '152', '5442', '5', '180');
INSERT INTO public.who_import VALUES (53048, '2020-12-10', 'ML', 'Mali', 'AFRO', '0', '5442', '0', '180');
INSERT INTO public.who_import VALUES (53049, '2020-12-11', 'ML', 'Mali', 'AFRO', '134', '5576', '4', '184');
INSERT INTO public.who_import VALUES (53050, '2020-12-12', 'ML', 'Mali', 'AFRO', '73', '5649', '1', '185');
INSERT INTO public.who_import VALUES (53051, '2020-12-13', 'ML', 'Mali', 'AFRO', '72', '5721', '6', '191');
INSERT INTO public.who_import VALUES (53052, '2020-12-14', 'ML', 'Mali', 'AFRO', '93', '5814', '3', '194');
INSERT INTO public.who_import VALUES (53053, '2020-12-15', 'ML', 'Mali', 'AFRO', '22', '5836', '7', '201');
INSERT INTO public.who_import VALUES (53054, '2020-12-16', 'ML', 'Mali', 'AFRO', '42', '5878', '4', '205');
INSERT INTO public.who_import VALUES (53055, '2020-12-17', 'ML', 'Mali', 'AFRO', '91', '5969', '4', '209');
INSERT INTO public.who_import VALUES (53056, '2020-12-18', 'ML', 'Mali', 'AFRO', '80', '6049', '2', '211');
INSERT INTO public.who_import VALUES (53057, '2020-12-19', 'ML', 'Mali', 'AFRO', '0', '6049', '0', '211');
INSERT INTO public.who_import VALUES (53058, '2020-12-20', 'ML', 'Mali', 'AFRO', '115', '6164', '9', '220');
INSERT INTO public.who_import VALUES (53059, '2020-12-21', 'ML', 'Mali', 'AFRO', '27', '6191', '2', '222');
INSERT INTO public.who_import VALUES (53060, '2020-12-22', 'ML', 'Mali', 'AFRO', '41', '6232', '3', '225');
INSERT INTO public.who_import VALUES (53061, '2020-12-23', 'ML', 'Mali', 'AFRO', '59', '6291', '0', '225');
INSERT INTO public.who_import VALUES (53062, '2020-12-24', 'ML', 'Mali', 'AFRO', '0', '6291', '0', '225');
INSERT INTO public.who_import VALUES (53063, '2020-12-25', 'ML', 'Mali', 'AFRO', '0', '6291', '0', '225');
INSERT INTO public.who_import VALUES (53064, '2020-12-26', 'ML', 'Mali', 'AFRO', '0', '6291', '0', '225');
INSERT INTO public.who_import VALUES (53065, '2020-12-27', 'ML', 'Mali', 'AFRO', '283', '6574', '24', '249');
INSERT INTO public.who_import VALUES (53066, '2020-12-28', 'ML', 'Mali', 'AFRO', '55', '6629', '4', '253');
INSERT INTO public.who_import VALUES (53067, '2020-12-29', 'ML', 'Mali', 'AFRO', '74', '6703', '3', '256');
INSERT INTO public.who_import VALUES (53068, '2020-12-30', 'ML', 'Mali', 'AFRO', '0', '6703', '0', '256');
INSERT INTO public.who_import VALUES (53069, '2020-12-31', 'ML', 'Mali', 'AFRO', '326', '7029', '13', '269');
INSERT INTO public.who_import VALUES (53070, '2021-01-01', 'ML', 'Mali', 'AFRO', '61', '7090', '0', '269');
INSERT INTO public.who_import VALUES (53071, '2021-01-02', 'ML', 'Mali', 'AFRO', '0', '7090', '0', '269');
INSERT INTO public.who_import VALUES (53072, '2021-01-03', 'ML', 'Mali', 'AFRO', '136', '7226', '7', '276');
INSERT INTO public.who_import VALUES (53073, '2021-01-04', 'ML', 'Mali', 'AFRO', '27', '7253', '2', '278');
INSERT INTO public.who_import VALUES (53074, '2021-01-05', 'ML', 'Mali', 'AFRO', '7', '7260', '1', '279');
INSERT INTO public.who_import VALUES (53075, '2021-01-06', 'ML', 'Mali', 'AFRO', '0', '7260', '0', '279');
INSERT INTO public.who_import VALUES (53076, '2021-01-07', 'ML', 'Mali', 'AFRO', '135', '7395', '6', '285');
INSERT INTO public.who_import VALUES (53077, '2021-01-08', 'ML', 'Mali', 'AFRO', '0', '7395', '0', '285');
INSERT INTO public.who_import VALUES (53078, '2021-01-09', 'ML', 'Mali', 'AFRO', '32', '7427', '1', '286');
INSERT INTO public.who_import VALUES (53079, '2021-01-10', 'ML', 'Mali', 'AFRO', '138', '7565', '9', '295');
INSERT INTO public.who_import VALUES (53080, '2021-01-11', 'ML', 'Mali', 'AFRO', '35', '7600', '3', '298');
INSERT INTO public.who_import VALUES (53081, '2021-01-12', 'ML', 'Mali', 'AFRO', '64', '7664', '1', '299');
INSERT INTO public.who_import VALUES (53082, '2021-01-13', 'ML', 'Mali', 'AFRO', '23', '7687', '4', '303');
INSERT INTO public.who_import VALUES (53083, '2021-01-14', 'ML', 'Mali', 'AFRO', '51', '7738', '0', '303');
INSERT INTO public.who_import VALUES (53084, '2021-01-15', 'ML', 'Mali', 'AFRO', '0', '7738', '0', '303');
INSERT INTO public.who_import VALUES (53085, '2021-01-16', 'ML', 'Mali', 'AFRO', '62', '7800', '5', '308');
INSERT INTO public.who_import VALUES (53086, '2021-01-17', 'ML', 'Mali', 'AFRO', '23', '7823', '0', '308');
INSERT INTO public.who_import VALUES (53087, '2021-01-18', 'ML', 'Mali', 'AFRO', '16', '7839', '2', '310');
INSERT INTO public.who_import VALUES (53088, '2021-01-19', 'ML', 'Mali', 'AFRO', '16', '7855', '1', '311');
INSERT INTO public.who_import VALUES (53089, '2021-01-20', 'ML', 'Mali', 'AFRO', '25', '7880', '6', '317');
INSERT INTO public.who_import VALUES (53090, '2021-01-21', 'ML', 'Mali', 'AFRO', '17', '7897', '1', '318');
INSERT INTO public.who_import VALUES (53091, '2021-01-22', 'ML', 'Mali', 'AFRO', '14', '7911', '2', '320');
INSERT INTO public.who_import VALUES (53092, '2021-01-23', 'ML', 'Mali', 'AFRO', '26', '7937', '1', '321');
INSERT INTO public.who_import VALUES (53093, '2021-01-24', 'ML', 'Mali', 'AFRO', '28', '7965', '2', '323');
INSERT INTO public.who_import VALUES (53094, '2021-01-25', 'ML', 'Mali', 'AFRO', '18', '7983', '0', '323');
INSERT INTO public.who_import VALUES (53095, '2021-01-26', 'ML', 'Mali', 'AFRO', '0', '7983', '0', '323');
INSERT INTO public.who_import VALUES (53096, '2021-01-27', 'ML', 'Mali', 'AFRO', '23', '8006', '4', '327');
INSERT INTO public.who_import VALUES (53097, '2021-01-28', 'ML', 'Mali', 'AFRO', '31', '8037', '0', '327');
INSERT INTO public.who_import VALUES (53098, '2021-01-29', 'ML', 'Mali', 'AFRO', '19', '8056', '2', '329');
INSERT INTO public.who_import VALUES (53099, '2021-01-30', 'ML', 'Mali', 'AFRO', '7', '8063', '0', '329');
INSERT INTO public.who_import VALUES (53100, '2021-01-31', 'ML', 'Mali', 'AFRO', '6', '8069', '1', '330');
INSERT INTO public.who_import VALUES (53101, '2021-02-01', 'ML', 'Mali', 'AFRO', '22', '8091', '0', '330');
INSERT INTO public.who_import VALUES (53102, '2021-02-02', 'ML', 'Mali', 'AFRO', '9', '8100', '0', '330');
INSERT INTO public.who_import VALUES (53103, '2021-02-03', 'ML', 'Mali', 'AFRO', '11', '8111', '3', '333');
INSERT INTO public.who_import VALUES (53104, '2021-02-04', 'ML', 'Mali', 'AFRO', '8', '8119', '0', '333');
INSERT INTO public.who_import VALUES (53105, '2021-02-05', 'ML', 'Mali', 'AFRO', '11', '8130', '0', '333');
INSERT INTO public.who_import VALUES (53106, '2021-02-06', 'ML', 'Mali', 'AFRO', '15', '8145', '3', '336');
INSERT INTO public.who_import VALUES (53107, '2021-02-07', 'ML', 'Mali', 'AFRO', '15', '8160', '2', '338');
INSERT INTO public.who_import VALUES (53108, '2021-02-08', 'ML', 'Mali', 'AFRO', '16', '8176', '0', '338');
INSERT INTO public.who_import VALUES (53109, '2021-02-09', 'ML', 'Mali', 'AFRO', '5', '8181', '1', '339');
INSERT INTO public.who_import VALUES (53110, '2021-02-10', 'ML', 'Mali', 'AFRO', '11', '8192', '0', '339');
INSERT INTO public.who_import VALUES (53111, '2021-02-11', 'ML', 'Mali', 'AFRO', '11', '8203', '0', '339');
INSERT INTO public.who_import VALUES (53112, '2021-02-12', 'ML', 'Mali', 'AFRO', '15', '8218', '1', '340');
INSERT INTO public.who_import VALUES (53113, '2021-02-13', 'ML', 'Mali', 'AFRO', '0', '8218', '0', '340');
INSERT INTO public.who_import VALUES (53114, '2021-02-14', 'ML', 'Mali', 'AFRO', '8', '8226', '2', '342');
INSERT INTO public.who_import VALUES (53115, '2021-02-15', 'ML', 'Mali', 'AFRO', '3', '8229', '0', '342');
INSERT INTO public.who_import VALUES (53116, '2021-02-16', 'ML', 'Mali', 'AFRO', '6', '8235', '0', '342');
INSERT INTO public.who_import VALUES (53117, '2021-02-17', 'ML', 'Mali', 'AFRO', '6', '8241', '0', '342');
INSERT INTO public.who_import VALUES (53118, '2021-02-18', 'ML', 'Mali', 'AFRO', '15', '8256', '0', '342');
INSERT INTO public.who_import VALUES (53119, '2021-02-19', 'ML', 'Mali', 'AFRO', '0', '8256', '0', '342');
INSERT INTO public.who_import VALUES (53120, '2021-02-20', 'ML', 'Mali', 'AFRO', '4', '8260', '2', '344');
INSERT INTO public.who_import VALUES (53121, '2020-01-03', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53122, '2020-01-04', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53123, '2020-01-05', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53124, '2020-01-06', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53125, '2020-01-07', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53126, '2020-01-08', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53127, '2020-01-09', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53128, '2020-01-10', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53129, '2020-01-11', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53130, '2020-01-12', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53131, '2020-01-13', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53132, '2020-01-14', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53133, '2020-01-15', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53134, '2020-01-16', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53135, '2020-01-17', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53136, '2020-01-18', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53137, '2020-01-19', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53138, '2020-01-20', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53139, '2020-01-21', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53140, '2020-01-22', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53141, '2020-01-23', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53142, '2020-01-24', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53143, '2020-01-25', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53144, '2020-01-26', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53145, '2020-01-27', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53146, '2020-01-28', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53147, '2020-01-29', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53148, '2020-01-30', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53149, '2020-01-31', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53150, '2020-02-01', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53151, '2020-02-02', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53152, '2020-02-03', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53153, '2020-02-04', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53154, '2020-02-05', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53155, '2020-02-06', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53156, '2020-02-07', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53157, '2020-02-08', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53158, '2020-02-09', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53159, '2020-02-10', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53160, '2020-02-11', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53161, '2020-02-12', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53162, '2020-02-13', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53163, '2020-02-14', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53164, '2020-02-15', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53165, '2020-02-16', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53166, '2020-02-17', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53167, '2020-02-18', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53168, '2020-02-19', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53169, '2020-02-20', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53170, '2020-02-21', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53171, '2020-02-22', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53172, '2020-02-23', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53173, '2020-02-24', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53174, '2020-02-25', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53175, '2020-02-26', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53176, '2020-02-27', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53177, '2020-02-28', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53178, '2020-02-29', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53179, '2020-03-01', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53180, '2020-03-02', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53181, '2020-03-03', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53182, '2020-03-04', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53183, '2020-03-05', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53184, '2020-03-06', 'MT', 'Malta', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53185, '2020-03-07', 'MT', 'Malta', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (53186, '2020-03-08', 'MT', 'Malta', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53187, '2020-03-09', 'MT', 'Malta', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (53188, '2020-03-10', 'MT', 'Malta', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (53189, '2020-03-11', 'MT', 'Malta', 'EURO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (53190, '2020-03-12', 'MT', 'Malta', 'EURO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (53191, '2020-03-13', 'MT', 'Malta', 'EURO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (53192, '2020-03-14', 'MT', 'Malta', 'EURO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (53193, '2020-03-15', 'MT', 'Malta', 'EURO', '10', '18', '0', '0');
INSERT INTO public.who_import VALUES (53194, '2020-03-16', 'MT', 'Malta', 'EURO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (53195, '2020-03-17', 'MT', 'Malta', 'EURO', '11', '30', '0', '0');
INSERT INTO public.who_import VALUES (53196, '2020-03-18', 'MT', 'Malta', 'EURO', '8', '38', '0', '0');
INSERT INTO public.who_import VALUES (53197, '2020-03-19', 'MT', 'Malta', 'EURO', '10', '48', '0', '0');
INSERT INTO public.who_import VALUES (53198, '2020-03-20', 'MT', 'Malta', 'EURO', '4', '52', '0', '0');
INSERT INTO public.who_import VALUES (53199, '2020-03-21', 'MT', 'Malta', 'EURO', '12', '64', '0', '0');
INSERT INTO public.who_import VALUES (53200, '2020-03-22', 'MT', 'Malta', 'EURO', '9', '73', '0', '0');
INSERT INTO public.who_import VALUES (53201, '2020-03-23', 'MT', 'Malta', 'EURO', '17', '90', '0', '0');
INSERT INTO public.who_import VALUES (53202, '2020-03-24', 'MT', 'Malta', 'EURO', '17', '107', '0', '0');
INSERT INTO public.who_import VALUES (53203, '2020-03-25', 'MT', 'Malta', 'EURO', '7', '114', '0', '0');
INSERT INTO public.who_import VALUES (53204, '2020-03-26', 'MT', 'Malta', 'EURO', '15', '129', '0', '0');
INSERT INTO public.who_import VALUES (53205, '2020-03-27', 'MT', 'Malta', 'EURO', '5', '134', '0', '0');
INSERT INTO public.who_import VALUES (53206, '2020-03-28', 'MT', 'Malta', 'EURO', '5', '139', '0', '0');
INSERT INTO public.who_import VALUES (53207, '2020-03-29', 'MT', 'Malta', 'EURO', '10', '149', '0', '0');
INSERT INTO public.who_import VALUES (53208, '2020-03-30', 'MT', 'Malta', 'EURO', '2', '151', '0', '0');
INSERT INTO public.who_import VALUES (53209, '2020-03-31', 'MT', 'Malta', 'EURO', '5', '156', '0', '0');
INSERT INTO public.who_import VALUES (53210, '2020-04-01', 'MT', 'Malta', 'EURO', '13', '169', '0', '0');
INSERT INTO public.who_import VALUES (53211, '2020-04-02', 'MT', 'Malta', 'EURO', '19', '188', '0', '0');
INSERT INTO public.who_import VALUES (53212, '2020-04-03', 'MT', 'Malta', 'EURO', '7', '195', '0', '0');
INSERT INTO public.who_import VALUES (53213, '2020-04-04', 'MT', 'Malta', 'EURO', '7', '202', '0', '0');
INSERT INTO public.who_import VALUES (53214, '2020-04-05', 'MT', 'Malta', 'EURO', '11', '213', '0', '0');
INSERT INTO public.who_import VALUES (53215, '2020-04-06', 'MT', 'Malta', 'EURO', '14', '227', '0', '0');
INSERT INTO public.who_import VALUES (53216, '2020-04-07', 'MT', 'Malta', 'EURO', '14', '241', '0', '0');
INSERT INTO public.who_import VALUES (53217, '2020-04-08', 'MT', 'Malta', 'EURO', '52', '293', '0', '0');
INSERT INTO public.who_import VALUES (53218, '2020-04-09', 'MT', 'Malta', 'EURO', '6', '299', '1', '1');
INSERT INTO public.who_import VALUES (53219, '2020-04-10', 'MT', 'Malta', 'EURO', '38', '337', '0', '1');
INSERT INTO public.who_import VALUES (53220, '2020-04-11', 'MT', 'Malta', 'EURO', '13', '350', '1', '2');
INSERT INTO public.who_import VALUES (53221, '2020-04-12', 'MT', 'Malta', 'EURO', '20', '370', '0', '2');
INSERT INTO public.who_import VALUES (53222, '2020-04-13', 'MT', 'Malta', 'EURO', '8', '378', '1', '3');
INSERT INTO public.who_import VALUES (53223, '2020-04-14', 'MT', 'Malta', 'EURO', '6', '384', '0', '3');
INSERT INTO public.who_import VALUES (53224, '2020-04-15', 'MT', 'Malta', 'EURO', '9', '393', '0', '3');
INSERT INTO public.who_import VALUES (53225, '2020-04-16', 'MT', 'Malta', 'EURO', '6', '399', '0', '3');
INSERT INTO public.who_import VALUES (53226, '2020-04-17', 'MT', 'Malta', 'EURO', '13', '412', '0', '3');
INSERT INTO public.who_import VALUES (53227, '2020-04-18', 'MT', 'Malta', 'EURO', '10', '422', '0', '3');
INSERT INTO public.who_import VALUES (53228, '2020-04-19', 'MT', 'Malta', 'EURO', '4', '426', '0', '3');
INSERT INTO public.who_import VALUES (53229, '2020-04-20', 'MT', 'Malta', 'EURO', '1', '427', '0', '3');
INSERT INTO public.who_import VALUES (53230, '2020-04-21', 'MT', 'Malta', 'EURO', '4', '431', '0', '3');
INSERT INTO public.who_import VALUES (53231, '2020-04-22', 'MT', 'Malta', 'EURO', '12', '443', '0', '3');
INSERT INTO public.who_import VALUES (53232, '2020-04-23', 'MT', 'Malta', 'EURO', '1', '444', '0', '3');
INSERT INTO public.who_import VALUES (53233, '2020-04-24', 'MT', 'Malta', 'EURO', '0', '444', '0', '3');
INSERT INTO public.who_import VALUES (53234, '2020-04-25', 'MT', 'Malta', 'EURO', '2', '446', '0', '3');
INSERT INTO public.who_import VALUES (53235, '2020-04-26', 'MT', 'Malta', 'EURO', '1', '447', '0', '3');
INSERT INTO public.who_import VALUES (53236, '2020-04-27', 'MT', 'Malta', 'EURO', '2', '449', '1', '4');
INSERT INTO public.who_import VALUES (53237, '2020-04-28', 'MT', 'Malta', 'EURO', '0', '449', '0', '4');
INSERT INTO public.who_import VALUES (53238, '2020-04-29', 'MT', 'Malta', 'EURO', '8', '457', '0', '4');
INSERT INTO public.who_import VALUES (53239, '2020-04-30', 'MT', 'Malta', 'EURO', '5', '462', '0', '4');
INSERT INTO public.who_import VALUES (53240, '2020-05-01', 'MT', 'Malta', 'EURO', '2', '464', '0', '4');
INSERT INTO public.who_import VALUES (53241, '2020-05-02', 'MT', 'Malta', 'EURO', '2', '466', '0', '4');
INSERT INTO public.who_import VALUES (53242, '2020-05-03', 'MT', 'Malta', 'EURO', '1', '467', '0', '4');
INSERT INTO public.who_import VALUES (53243, '2020-05-04', 'MT', 'Malta', 'EURO', '9', '476', '0', '4');
INSERT INTO public.who_import VALUES (53244, '2020-05-05', 'MT', 'Malta', 'EURO', '3', '479', '0', '4');
INSERT INTO public.who_import VALUES (53245, '2020-05-06', 'MT', 'Malta', 'EURO', '1', '480', '0', '4');
INSERT INTO public.who_import VALUES (53246, '2020-05-07', 'MT', 'Malta', 'EURO', '3', '483', '1', '5');
INSERT INTO public.who_import VALUES (53247, '2020-05-08', 'MT', 'Malta', 'EURO', '2', '485', '0', '5');
INSERT INTO public.who_import VALUES (53248, '2020-05-09', 'MT', 'Malta', 'EURO', '3', '488', '0', '5');
INSERT INTO public.who_import VALUES (53249, '2020-05-10', 'MT', 'Malta', 'EURO', '1', '489', '0', '5');
INSERT INTO public.who_import VALUES (53250, '2020-05-11', 'MT', 'Malta', 'EURO', '6', '495', '0', '5');
INSERT INTO public.who_import VALUES (53251, '2020-05-12', 'MT', 'Malta', 'EURO', '7', '502', '0', '5');
INSERT INTO public.who_import VALUES (53252, '2020-05-13', 'MT', 'Malta', 'EURO', '3', '505', '0', '5');
INSERT INTO public.who_import VALUES (53253, '2020-05-14', 'MT', 'Malta', 'EURO', '2', '507', '1', '6');
INSERT INTO public.who_import VALUES (53254, '2020-05-15', 'MT', 'Malta', 'EURO', '14', '521', '0', '6');
INSERT INTO public.who_import VALUES (53255, '2020-05-16', 'MT', 'Malta', 'EURO', '10', '531', '0', '6');
INSERT INTO public.who_import VALUES (53256, '2020-05-17', 'MT', 'Malta', 'EURO', '14', '545', '0', '6');
INSERT INTO public.who_import VALUES (53257, '2020-05-18', 'MT', 'Malta', 'EURO', '7', '552', '0', '6');
INSERT INTO public.who_import VALUES (53258, '2020-05-19', 'MT', 'Malta', 'EURO', '5', '557', '0', '6');
INSERT INTO public.who_import VALUES (53259, '2020-05-20', 'MT', 'Malta', 'EURO', '11', '568', '0', '6');
INSERT INTO public.who_import VALUES (53260, '2020-05-21', 'MT', 'Malta', 'EURO', '15', '583', '0', '6');
INSERT INTO public.who_import VALUES (53261, '2020-05-22', 'MT', 'Malta', 'EURO', '15', '598', '0', '6');
INSERT INTO public.who_import VALUES (53262, '2020-05-23', 'MT', 'Malta', 'EURO', '1', '599', '0', '6');
INSERT INTO public.who_import VALUES (53263, '2020-05-24', 'MT', 'Malta', 'EURO', '9', '608', '0', '6');
INSERT INTO public.who_import VALUES (53264, '2020-05-25', 'MT', 'Malta', 'EURO', '1', '609', '0', '6');
INSERT INTO public.who_import VALUES (53265, '2020-05-26', 'MT', 'Malta', 'EURO', '1', '610', '0', '6');
INSERT INTO public.who_import VALUES (53266, '2020-05-27', 'MT', 'Malta', 'EURO', '0', '610', '0', '6');
INSERT INTO public.who_import VALUES (53267, '2020-05-28', 'MT', 'Malta', 'EURO', '1', '611', '0', '6');
INSERT INTO public.who_import VALUES (53268, '2020-05-29', 'MT', 'Malta', 'EURO', '4', '615', '1', '7');
INSERT INTO public.who_import VALUES (53269, '2020-05-30', 'MT', 'Malta', 'EURO', '0', '615', '0', '7');
INSERT INTO public.who_import VALUES (53270, '2020-05-31', 'MT', 'Malta', 'EURO', '2', '617', '2', '9');
INSERT INTO public.who_import VALUES (53271, '2020-06-01', 'MT', 'Malta', 'EURO', '0', '617', '0', '9');
INSERT INTO public.who_import VALUES (53272, '2020-06-02', 'MT', 'Malta', 'EURO', '1', '618', '0', '9');
INSERT INTO public.who_import VALUES (53273, '2020-06-03', 'MT', 'Malta', 'EURO', '1', '619', '0', '9');
INSERT INTO public.who_import VALUES (53274, '2020-06-04', 'MT', 'Malta', 'EURO', '2', '621', '0', '9');
INSERT INTO public.who_import VALUES (53275, '2020-06-05', 'MT', 'Malta', 'EURO', '0', '621', '0', '9');
INSERT INTO public.who_import VALUES (53276, '2020-06-06', 'MT', 'Malta', 'EURO', '3', '624', '0', '9');
INSERT INTO public.who_import VALUES (53277, '2020-06-07', 'MT', 'Malta', 'EURO', '2', '626', '0', '9');
INSERT INTO public.who_import VALUES (53278, '2020-06-08', 'MT', 'Malta', 'EURO', '2', '628', '0', '9');
INSERT INTO public.who_import VALUES (53279, '2020-06-09', 'MT', 'Malta', 'EURO', '1', '629', '0', '9');
INSERT INTO public.who_import VALUES (53280, '2020-06-10', 'MT', 'Malta', 'EURO', '2', '631', '0', '9');
INSERT INTO public.who_import VALUES (53281, '2020-06-11', 'MT', 'Malta', 'EURO', '3', '634', '0', '9');
INSERT INTO public.who_import VALUES (53282, '2020-06-12', 'MT', 'Malta', 'EURO', '5', '639', '0', '9');
INSERT INTO public.who_import VALUES (53283, '2020-06-13', 'MT', 'Malta', 'EURO', '5', '644', '0', '9');
INSERT INTO public.who_import VALUES (53284, '2020-06-14', 'MT', 'Malta', 'EURO', '1', '645', '0', '9');
INSERT INTO public.who_import VALUES (53285, '2020-06-15', 'MT', 'Malta', 'EURO', '2', '647', '0', '9');
INSERT INTO public.who_import VALUES (53286, '2020-06-16', 'MT', 'Malta', 'EURO', '2', '649', '0', '9');
INSERT INTO public.who_import VALUES (53287, '2020-06-17', 'MT', 'Malta', 'EURO', '6', '655', '0', '9');
INSERT INTO public.who_import VALUES (53288, '2020-06-18', 'MT', 'Malta', 'EURO', '6', '661', '0', '9');
INSERT INTO public.who_import VALUES (53289, '2020-06-19', 'MT', 'Malta', 'EURO', '1', '662', '0', '9');
INSERT INTO public.who_import VALUES (53290, '2020-06-20', 'MT', 'Malta', 'EURO', '0', '662', '0', '9');
INSERT INTO public.who_import VALUES (53291, '2020-06-21', 'MT', 'Malta', 'EURO', '1', '663', '0', '9');
INSERT INTO public.who_import VALUES (53292, '2020-06-22', 'MT', 'Malta', 'EURO', '1', '664', '0', '9');
INSERT INTO public.who_import VALUES (53293, '2020-06-23', 'MT', 'Malta', 'EURO', '0', '664', '0', '9');
INSERT INTO public.who_import VALUES (53294, '2020-06-24', 'MT', 'Malta', 'EURO', '0', '664', '0', '9');
INSERT INTO public.who_import VALUES (53295, '2020-06-25', 'MT', 'Malta', 'EURO', '0', '664', '0', '9');
INSERT INTO public.who_import VALUES (53296, '2020-06-26', 'MT', 'Malta', 'EURO', '3', '667', '0', '9');
INSERT INTO public.who_import VALUES (53297, '2020-06-27', 'MT', 'Malta', 'EURO', '2', '669', '0', '9');
INSERT INTO public.who_import VALUES (53298, '2020-06-28', 'MT', 'Malta', 'EURO', '0', '669', '0', '9');
INSERT INTO public.who_import VALUES (53299, '2020-06-29', 'MT', 'Malta', 'EURO', '0', '669', '0', '9');
INSERT INTO public.who_import VALUES (53300, '2020-06-30', 'MT', 'Malta', 'EURO', '0', '669', '0', '9');
INSERT INTO public.who_import VALUES (53301, '2020-07-01', 'MT', 'Malta', 'EURO', '0', '669', '0', '9');
INSERT INTO public.who_import VALUES (53302, '2020-07-02', 'MT', 'Malta', 'EURO', '1', '670', '0', '9');
INSERT INTO public.who_import VALUES (53303, '2020-07-03', 'MT', 'Malta', 'EURO', '0', '670', '0', '9');
INSERT INTO public.who_import VALUES (53304, '2020-07-04', 'MT', 'Malta', 'EURO', '1', '671', '0', '9');
INSERT INTO public.who_import VALUES (53305, '2020-07-05', 'MT', 'Malta', 'EURO', '0', '671', '0', '9');
INSERT INTO public.who_import VALUES (53306, '2020-07-06', 'MT', 'Malta', 'EURO', '0', '671', '0', '9');
INSERT INTO public.who_import VALUES (53307, '2020-07-07', 'MT', 'Malta', 'EURO', '0', '671', '0', '9');
INSERT INTO public.who_import VALUES (53308, '2020-07-08', 'MT', 'Malta', 'EURO', '1', '672', '0', '9');
INSERT INTO public.who_import VALUES (53309, '2020-07-09', 'MT', 'Malta', 'EURO', '0', '672', '0', '9');
INSERT INTO public.who_import VALUES (53310, '2020-07-10', 'MT', 'Malta', 'EURO', '1', '673', '0', '9');
INSERT INTO public.who_import VALUES (53311, '2020-07-11', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53312, '2020-07-12', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53313, '2020-07-13', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53314, '2020-07-14', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53315, '2020-07-15', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53316, '2020-07-16', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53317, '2020-07-17', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53318, '2020-07-18', 'MT', 'Malta', 'EURO', '0', '673', '0', '9');
INSERT INTO public.who_import VALUES (53319, '2020-07-19', 'MT', 'Malta', 'EURO', '1', '674', '0', '9');
INSERT INTO public.who_import VALUES (53320, '2020-07-20', 'MT', 'Malta', 'EURO', '0', '674', '0', '9');
INSERT INTO public.who_import VALUES (53321, '2020-07-21', 'MT', 'Malta', 'EURO', '1', '675', '0', '9');
INSERT INTO public.who_import VALUES (53322, '2020-07-22', 'MT', 'Malta', 'EURO', '0', '675', '0', '9');
INSERT INTO public.who_import VALUES (53323, '2020-07-23', 'MT', 'Malta', 'EURO', '2', '677', '0', '9');
INSERT INTO public.who_import VALUES (53324, '2020-07-24', 'MT', 'Malta', 'EURO', '1', '678', '0', '9');
INSERT INTO public.who_import VALUES (53325, '2020-07-25', 'MT', 'Malta', 'EURO', '2', '680', '0', '9');
INSERT INTO public.who_import VALUES (53326, '2020-07-26', 'MT', 'Malta', 'EURO', '4', '684', '0', '9');
INSERT INTO public.who_import VALUES (53327, '2020-07-27', 'MT', 'Malta', 'EURO', '14', '698', '0', '9');
INSERT INTO public.who_import VALUES (53328, '2020-07-28', 'MT', 'Malta', 'EURO', '1', '699', '0', '9');
INSERT INTO public.who_import VALUES (53329, '2020-07-29', 'MT', 'Malta', 'EURO', '6', '705', '0', '9');
INSERT INTO public.who_import VALUES (53330, '2020-07-30', 'MT', 'Malta', 'EURO', '13', '718', '0', '9');
INSERT INTO public.who_import VALUES (53331, '2020-07-31', 'MT', 'Malta', 'EURO', '9', '727', '0', '9');
INSERT INTO public.who_import VALUES (53332, '2020-08-01', 'MT', 'Malta', 'EURO', '9', '736', '0', '9');
INSERT INTO public.who_import VALUES (53333, '2020-08-02', 'MT', 'Malta', 'EURO', '18', '754', '0', '9');
INSERT INTO public.who_import VALUES (53334, '2020-08-03', 'MT', 'Malta', 'EURO', '15', '769', '0', '9');
INSERT INTO public.who_import VALUES (53335, '2020-08-04', 'MT', 'Malta', 'EURO', '14', '783', '0', '9');
INSERT INTO public.who_import VALUES (53336, '2020-08-05', 'MT', 'Malta', 'EURO', '16', '799', '0', '9');
INSERT INTO public.who_import VALUES (53337, '2020-08-06', 'MT', 'Malta', 'EURO', '21', '820', '0', '9');
INSERT INTO public.who_import VALUES (53338, '2020-08-07', 'MT', 'Malta', 'EURO', '19', '839', '0', '9');
INSERT INTO public.who_import VALUES (53339, '2020-08-08', 'MT', 'Malta', 'EURO', '50', '889', '0', '9');
INSERT INTO public.who_import VALUES (53340, '2020-08-09', 'MT', 'Malta', 'EURO', '40', '929', '0', '9');
INSERT INTO public.who_import VALUES (53341, '2020-08-10', 'MT', 'Malta', 'EURO', '54', '983', '0', '9');
INSERT INTO public.who_import VALUES (53342, '2020-08-11', 'MT', 'Malta', 'EURO', '23', '1006', '0', '9');
INSERT INTO public.who_import VALUES (53343, '2020-08-12', 'MT', 'Malta', 'EURO', '29', '1035', '0', '9');
INSERT INTO public.who_import VALUES (53344, '2020-08-13', 'MT', 'Malta', 'EURO', '49', '1084', '0', '9');
INSERT INTO public.who_import VALUES (53345, '2020-08-14', 'MT', 'Malta', 'EURO', '55', '1139', '0', '9');
INSERT INTO public.who_import VALUES (53346, '2020-08-15', 'MT', 'Malta', 'EURO', '31', '1170', '0', '9');
INSERT INTO public.who_import VALUES (53347, '2020-08-16', 'MT', 'Malta', 'EURO', '72', '1242', '0', '9');
INSERT INTO public.who_import VALUES (53348, '2020-08-17', 'MT', 'Malta', 'EURO', '63', '1305', '0', '9');
INSERT INTO public.who_import VALUES (53349, '2020-08-18', 'MT', 'Malta', 'EURO', '68', '1373', '0', '9');
INSERT INTO public.who_import VALUES (53350, '2020-08-19', 'MT', 'Malta', 'EURO', '49', '1422', '0', '9');
INSERT INTO public.who_import VALUES (53351, '2020-08-20', 'MT', 'Malta', 'EURO', '47', '1469', '0', '9');
INSERT INTO public.who_import VALUES (53352, '2020-08-21', 'MT', 'Malta', 'EURO', '40', '1509', '0', '9');
INSERT INTO public.who_import VALUES (53353, '2020-08-22', 'MT', 'Malta', 'EURO', '36', '1545', '0', '9');
INSERT INTO public.who_import VALUES (53354, '2020-08-23', 'MT', 'Malta', 'EURO', '31', '1576', '1', '10');
INSERT INTO public.who_import VALUES (53355, '2020-08-24', 'MT', 'Malta', 'EURO', '35', '1611', '0', '10');
INSERT INTO public.who_import VALUES (53356, '2020-08-25', 'MT', 'Malta', 'EURO', '57', '1668', '0', '10');
INSERT INTO public.who_import VALUES (53357, '2020-08-26', 'MT', 'Malta', 'EURO', '38', '1706', '0', '10');
INSERT INTO public.who_import VALUES (53358, '2020-08-27', 'MT', 'Malta', 'EURO', '46', '1752', '0', '10');
INSERT INTO public.who_import VALUES (53359, '2020-08-28', 'MT', 'Malta', 'EURO', '37', '1789', '0', '10');
INSERT INTO public.who_import VALUES (53360, '2020-08-29', 'MT', 'Malta', 'EURO', '32', '1821', '0', '10');
INSERT INTO public.who_import VALUES (53361, '2020-08-30', 'MT', 'Malta', 'EURO', '28', '1849', '0', '10');
INSERT INTO public.who_import VALUES (53362, '2020-08-31', 'MT', 'Malta', 'EURO', '15', '1864', '1', '11');
INSERT INTO public.who_import VALUES (53363, '2020-09-01', 'MT', 'Malta', 'EURO', '21', '1885', '1', '12');
INSERT INTO public.who_import VALUES (53364, '2020-09-02', 'MT', 'Malta', 'EURO', '26', '1911', '0', '12');
INSERT INTO public.who_import VALUES (53365, '2020-09-03', 'MT', 'Malta', 'EURO', '21', '1932', '1', '13');
INSERT INTO public.who_import VALUES (53366, '2020-09-04', 'MT', 'Malta', 'EURO', '34', '1966', '0', '13');
INSERT INTO public.who_import VALUES (53367, '2020-09-05', 'MT', 'Malta', 'EURO', '19', '1985', '0', '13');
INSERT INTO public.who_import VALUES (53368, '2020-09-06', 'MT', 'Malta', 'EURO', '30', '2015', '0', '13');
INSERT INTO public.who_import VALUES (53369, '2020-09-07', 'MT', 'Malta', 'EURO', '25', '2040', '1', '14');
INSERT INTO public.who_import VALUES (53370, '2020-09-08', 'MT', 'Malta', 'EURO', '37', '2077', '0', '14');
INSERT INTO public.who_import VALUES (53371, '2020-09-09', 'MT', 'Malta', 'EURO', '23', '2100', '0', '14');
INSERT INTO public.who_import VALUES (53372, '2020-09-10', 'MT', 'Malta', 'EURO', '63', '2163', '0', '14');
INSERT INTO public.who_import VALUES (53373, '2020-09-11', 'MT', 'Malta', 'EURO', '42', '2205', '0', '14');
INSERT INTO public.who_import VALUES (53374, '2020-09-12', 'MT', 'Malta', 'EURO', '43', '2248', '1', '15');
INSERT INTO public.who_import VALUES (53375, '2020-09-13', 'MT', 'Malta', 'EURO', '27', '2275', '0', '15');
INSERT INTO public.who_import VALUES (53376, '2020-09-14', 'MT', 'Malta', 'EURO', '78', '2353', '0', '15');
INSERT INTO public.who_import VALUES (53377, '2020-09-15', 'MT', 'Malta', 'EURO', '53', '2406', '0', '15');
INSERT INTO public.who_import VALUES (53378, '2020-09-16', 'MT', 'Malta', 'EURO', '49', '2455', '1', '16');
INSERT INTO public.who_import VALUES (53379, '2020-09-17', 'MT', 'Malta', 'EURO', '106', '2561', '0', '16');
INSERT INTO public.who_import VALUES (53380, '2020-09-18', 'MT', 'Malta', 'EURO', '35', '2596', '0', '16');
INSERT INTO public.who_import VALUES (53381, '2020-09-19', 'MT', 'Malta', 'EURO', '38', '2634', '1', '17');
INSERT INTO public.who_import VALUES (53382, '2020-09-20', 'MT', 'Malta', 'EURO', '65', '2699', '2', '19');
INSERT INTO public.who_import VALUES (53383, '2020-09-21', 'MT', 'Malta', 'EURO', '32', '2731', '1', '20');
INSERT INTO public.who_import VALUES (53384, '2020-09-22', 'MT', 'Malta', 'EURO', '46', '2777', '1', '21');
INSERT INTO public.who_import VALUES (53385, '2020-09-23', 'MT', 'Malta', 'EURO', '38', '2815', '2', '23');
INSERT INTO public.who_import VALUES (53386, '2020-09-24', 'MT', 'Malta', 'EURO', '42', '2857', '2', '25');
INSERT INTO public.who_import VALUES (53387, '2020-09-25', 'MT', 'Malta', 'EURO', '42', '2899', '1', '26');
INSERT INTO public.who_import VALUES (53388, '2020-09-26', 'MT', 'Malta', 'EURO', '31', '2930', '2', '28');
INSERT INTO public.who_import VALUES (53389, '2020-09-27', 'MT', 'Malta', 'EURO', '29', '2959', '2', '30');
INSERT INTO public.who_import VALUES (53390, '2020-09-28', 'MT', 'Malta', 'EURO', '21', '2980', '1', '31');
INSERT INTO public.who_import VALUES (53391, '2020-09-29', 'MT', 'Malta', 'EURO', '27', '3007', '1', '32');
INSERT INTO public.who_import VALUES (53392, '2020-09-30', 'MT', 'Malta', 'EURO', '19', '3026', '2', '34');
INSERT INTO public.who_import VALUES (53393, '2020-10-01', 'MT', 'Malta', 'EURO', '23', '3049', '0', '34');
INSERT INTO public.who_import VALUES (53394, '2020-10-02', 'MT', 'Malta', 'EURO', '37', '3086', '1', '35');
INSERT INTO public.who_import VALUES (53395, '2020-10-03', 'MT', 'Malta', 'EURO', '44', '3130', '2', '37');
INSERT INTO public.who_import VALUES (53396, '2020-10-04', 'MT', 'Malta', 'EURO', '65', '3195', '1', '38');
INSERT INTO public.who_import VALUES (53397, '2020-10-05', 'MT', 'Malta', 'EURO', '66', '3261', '1', '39');
INSERT INTO public.who_import VALUES (53398, '2020-10-06', 'MT', 'Malta', 'EURO', '57', '3318', '0', '39');
INSERT INTO public.who_import VALUES (53399, '2020-10-07', 'MT', 'Malta', 'EURO', '47', '3365', '1', '40');
INSERT INTO public.who_import VALUES (53400, '2020-10-08', 'MT', 'Malta', 'EURO', '68', '3433', '1', '41');
INSERT INTO public.who_import VALUES (53401, '2020-10-09', 'MT', 'Malta', 'EURO', '64', '3497', '0', '41');
INSERT INTO public.who_import VALUES (53402, '2020-10-10', 'MT', 'Malta', 'EURO', '75', '3572', '0', '41');
INSERT INTO public.who_import VALUES (53403, '2020-10-11', 'MT', 'Malta', 'EURO', '100', '3672', '0', '41');
INSERT INTO public.who_import VALUES (53404, '2020-10-12', 'MT', 'Malta', 'EURO', '95', '3767', '0', '41');
INSERT INTO public.who_import VALUES (53405, '2020-10-13', 'MT', 'Malta', 'EURO', '68', '3835', '2', '43');
INSERT INTO public.who_import VALUES (53406, '2020-10-14', 'MT', 'Malta', 'EURO', '94', '3929', '1', '44');
INSERT INTO public.who_import VALUES (53407, '2020-10-15', 'MT', 'Malta', 'EURO', '111', '4040', '0', '44');
INSERT INTO public.who_import VALUES (53408, '2020-10-16', 'MT', 'Malta', 'EURO', '112', '4152', '1', '45');
INSERT INTO public.who_import VALUES (53409, '2020-10-17', 'MT', 'Malta', 'EURO', '122', '4274', '0', '45');
INSERT INTO public.who_import VALUES (53410, '2020-10-18', 'MT', 'Malta', 'EURO', '204', '4478', '0', '45');
INSERT INTO public.who_import VALUES (53411, '2020-10-19', 'MT', 'Malta', 'EURO', '142', '4620', '0', '45');
INSERT INTO public.who_import VALUES (53412, '2020-10-20', 'MT', 'Malta', 'EURO', '109', '4729', '0', '45');
INSERT INTO public.who_import VALUES (53413, '2020-10-21', 'MT', 'Malta', 'EURO', '134', '4863', '0', '45');
INSERT INTO public.who_import VALUES (53414, '2020-10-22', 'MT', 'Malta', 'EURO', '155', '5018', '1', '46');
INSERT INTO public.who_import VALUES (53415, '2020-10-23', 'MT', 'Malta', 'EURO', '111', '5129', '3', '49');
INSERT INTO public.who_import VALUES (53416, '2020-10-24', 'MT', 'Malta', 'EURO', '121', '5250', '0', '49');
INSERT INTO public.who_import VALUES (53417, '2020-10-25', 'MT', 'Malta', 'EURO', '115', '5365', '1', '50');
INSERT INTO public.who_import VALUES (53418, '2020-10-26', 'MT', 'Malta', 'EURO', '122', '5487', '1', '51');
INSERT INTO public.who_import VALUES (53419, '2020-10-27', 'MT', 'Malta', 'EURO', '80', '5567', '2', '53');
INSERT INTO public.who_import VALUES (53420, '2020-10-28', 'MT', 'Malta', 'EURO', '107', '5674', '1', '54');
INSERT INTO public.who_import VALUES (53421, '2020-10-29', 'MT', 'Malta', 'EURO', '76', '5750', '2', '56');
INSERT INTO public.who_import VALUES (53422, '2020-10-30', 'MT', 'Malta', 'EURO', '106', '5856', '0', '56');
INSERT INTO public.who_import VALUES (53423, '2020-10-31', 'MT', 'Malta', 'EURO', '76', '5932', '1', '57');
INSERT INTO public.who_import VALUES (53424, '2020-11-01', 'MT', 'Malta', 'EURO', '100', '6032', '2', '59');
INSERT INTO public.who_import VALUES (53425, '2020-11-02', 'MT', 'Malta', 'EURO', '140', '6172', '2', '61');
INSERT INTO public.who_import VALUES (53426, '2020-11-03', 'MT', 'Malta', 'EURO', '218', '6390', '0', '61');
INSERT INTO public.who_import VALUES (53427, '2020-11-04', 'MT', 'Malta', 'EURO', '106', '6496', '1', '62');
INSERT INTO public.who_import VALUES (53428, '2020-11-05', 'MT', 'Malta', 'EURO', '84', '6580', '0', '62');
INSERT INTO public.who_import VALUES (53429, '2020-11-06', 'MT', 'Malta', 'EURO', '173', '6753', '4', '66');
INSERT INTO public.who_import VALUES (53430, '2020-11-07', 'MT', 'Malta', 'EURO', '129', '6882', '4', '70');
INSERT INTO public.who_import VALUES (53431, '2020-11-08', 'MT', 'Malta', 'EURO', '146', '7028', '0', '70');
INSERT INTO public.who_import VALUES (53432, '2020-11-09', 'MT', 'Malta', 'EURO', '102', '7130', '2', '72');
INSERT INTO public.who_import VALUES (53433, '2020-11-10', 'MT', 'Malta', 'EURO', '102', '7232', '3', '75');
INSERT INTO public.who_import VALUES (53434, '2020-11-11', 'MT', 'Malta', 'EURO', '153', '7385', '4', '79');
INSERT INTO public.who_import VALUES (53435, '2020-11-12', 'MT', 'Malta', 'EURO', '141', '7526', '3', '82');
INSERT INTO public.who_import VALUES (53436, '2020-11-13', 'MT', 'Malta', 'EURO', '109', '7635', '4', '86');
INSERT INTO public.who_import VALUES (53437, '2020-11-14', 'MT', 'Malta', 'EURO', '150', '7785', '1', '87');
INSERT INTO public.who_import VALUES (53438, '2020-11-15', 'MT', 'Malta', 'EURO', '121', '7906', '4', '91');
INSERT INTO public.who_import VALUES (53439, '2020-11-16', 'MT', 'Malta', 'EURO', '117', '8023', '3', '94');
INSERT INTO public.who_import VALUES (53440, '2020-11-17', 'MT', 'Malta', 'EURO', '103', '8126', '1', '95');
INSERT INTO public.who_import VALUES (53441, '2020-11-18', 'MT', 'Malta', 'EURO', '110', '8236', '3', '98');
INSERT INTO public.who_import VALUES (53442, '2020-11-19', 'MT', 'Malta', 'EURO', '173', '8409', '1', '99');
INSERT INTO public.who_import VALUES (53443, '2020-11-20', 'MT', 'Malta', 'EURO', '140', '8549', '2', '101');
INSERT INTO public.who_import VALUES (53444, '2020-11-21', 'MT', 'Malta', 'EURO', '121', '8670', '2', '103');
INSERT INTO public.who_import VALUES (53445, '2020-11-22', 'MT', 'Malta', 'EURO', '141', '8811', '2', '105');
INSERT INTO public.who_import VALUES (53446, '2020-11-23', 'MT', 'Malta', 'EURO', '102', '8913', '2', '107');
INSERT INTO public.who_import VALUES (53447, '2020-11-24', 'MT', 'Malta', 'EURO', '80', '8993', '3', '110');
INSERT INTO public.who_import VALUES (53448, '2020-11-25', 'MT', 'Malta', 'EURO', '133', '9126', '4', '114');
INSERT INTO public.who_import VALUES (53449, '2020-11-26', 'MT', 'Malta', 'EURO', '166', '9292', '3', '117');
INSERT INTO public.who_import VALUES (53450, '2020-11-27', 'MT', 'Malta', 'EURO', '69', '9361', '5', '122');
INSERT INTO public.who_import VALUES (53451, '2020-11-28', 'MT', 'Malta', 'EURO', '70', '9431', '0', '122');
INSERT INTO public.who_import VALUES (53452, '2020-11-29', 'MT', 'Malta', 'EURO', '70', '9501', '6', '128');
INSERT INTO public.who_import VALUES (53453, '2020-11-30', 'MT', 'Malta', 'EURO', '108', '9609', '4', '132');
INSERT INTO public.who_import VALUES (53454, '2020-12-01', 'MT', 'Malta', 'EURO', '143', '9752', '1', '133');
INSERT INTO public.who_import VALUES (53455, '2020-12-02', 'MT', 'Malta', 'EURO', '121', '9873', '4', '137');
INSERT INTO public.who_import VALUES (53456, '2020-12-03', 'MT', 'Malta', 'EURO', '102', '9975', '4', '141');
INSERT INTO public.who_import VALUES (53457, '2020-12-04', 'MT', 'Malta', 'EURO', '126', '10101', '5', '146');
INSERT INTO public.who_import VALUES (53458, '2020-12-05', 'MT', 'Malta', 'EURO', '96', '10197', '2', '148');
INSERT INTO public.who_import VALUES (53459, '2020-12-06', 'MT', 'Malta', 'EURO', '123', '10320', '1', '149');
INSERT INTO public.who_import VALUES (53460, '2020-12-07', 'MT', 'Malta', 'EURO', '103', '10423', '0', '149');
INSERT INTO public.who_import VALUES (53461, '2020-12-08', 'MT', 'Malta', 'EURO', '97', '10520', '2', '151');
INSERT INTO public.who_import VALUES (53462, '2020-12-09', 'MT', 'Malta', 'EURO', '139', '10659', '4', '155');
INSERT INTO public.who_import VALUES (53463, '2020-12-10', 'MT', 'Malta', 'EURO', '40', '10699', '2', '157');
INSERT INTO public.who_import VALUES (53464, '2020-12-11', 'MT', 'Malta', 'EURO', '79', '10778', '3', '160');
INSERT INTO public.who_import VALUES (53465, '2020-12-12', 'MT', 'Malta', 'EURO', '106', '10884', '4', '164');
INSERT INTO public.who_import VALUES (53466, '2020-12-13', 'MT', 'Malta', 'EURO', '96', '10980', '2', '166');
INSERT INTO public.who_import VALUES (53467, '2020-12-14', 'MT', 'Malta', 'EURO', '121', '11101', '0', '166');
INSERT INTO public.who_import VALUES (53468, '2020-12-15', 'MT', 'Malta', 'EURO', '52', '11153', '3', '169');
INSERT INTO public.who_import VALUES (53469, '2020-12-16', 'MT', 'Malta', 'EURO', '101', '11254', '5', '174');
INSERT INTO public.who_import VALUES (53470, '2020-12-17', 'MT', 'Malta', 'EURO', '49', '11303', '3', '177');
INSERT INTO public.who_import VALUES (53471, '2020-12-18', 'MT', 'Malta', 'EURO', '112', '11415', '3', '180');
INSERT INTO public.who_import VALUES (53472, '2020-12-19', 'MT', 'Malta', 'EURO', '60', '11475', '2', '182');
INSERT INTO public.who_import VALUES (53473, '2020-12-20', 'MT', 'Malta', 'EURO', '94', '11569', '1', '183');
INSERT INTO public.who_import VALUES (53474, '2020-12-21', 'MT', 'Malta', 'EURO', '52', '11621', '4', '187');
INSERT INTO public.who_import VALUES (53475, '2020-12-22', 'MT', 'Malta', 'EURO', '93', '11714', '3', '190');
INSERT INTO public.who_import VALUES (53476, '2020-12-23', 'MT', 'Malta', 'EURO', '88', '11802', '0', '190');
INSERT INTO public.who_import VALUES (53477, '2020-12-24', 'MT', 'Malta', 'EURO', '108', '11910', '6', '196');
INSERT INTO public.who_import VALUES (53478, '2020-12-25', 'MT', 'Malta', 'EURO', '82', '11992', '5', '201');
INSERT INTO public.who_import VALUES (53479, '2020-12-26', 'MT', 'Malta', 'EURO', '70', '12062', '2', '203');
INSERT INTO public.who_import VALUES (53480, '2020-12-27', 'MT', 'Malta', 'EURO', '50', '12112', '0', '203');
INSERT INTO public.who_import VALUES (53481, '2020-12-28', 'MT', 'Malta', 'EURO', '129', '12241', '3', '206');
INSERT INTO public.who_import VALUES (53482, '2020-12-29', 'MT', 'Malta', 'EURO', '84', '12325', '4', '210');
INSERT INTO public.who_import VALUES (53483, '2020-12-30', 'MT', 'Malta', 'EURO', '101', '12426', '5', '215');
INSERT INTO public.who_import VALUES (53484, '2020-12-31', 'MT', 'Malta', 'EURO', '115', '12541', '0', '215');
INSERT INTO public.who_import VALUES (53485, '2021-01-01', 'MT', 'Malta', 'EURO', '124', '12665', '0', '215');
INSERT INTO public.who_import VALUES (53486, '2021-01-02', 'MT', 'Malta', 'EURO', '109', '12774', '4', '219');
INSERT INTO public.who_import VALUES (53487, '2021-01-03', 'MT', 'Malta', 'EURO', '135', '12909', '0', '219');
INSERT INTO public.who_import VALUES (53488, '2021-01-04', 'MT', 'Malta', 'EURO', '88', '12997', '1', '220');
INSERT INTO public.who_import VALUES (53489, '2021-01-05', 'MT', 'Malta', 'EURO', '233', '13230', '2', '222');
INSERT INTO public.who_import VALUES (53490, '2021-01-06', 'MT', 'Malta', 'EURO', '158', '13388', '4', '226');
INSERT INTO public.who_import VALUES (53491, '2021-01-07', 'MT', 'Malta', 'EURO', '224', '13612', '1', '227');
INSERT INTO public.who_import VALUES (53492, '2021-01-08', 'MT', 'Malta', 'EURO', '164', '13776', '1', '228');
INSERT INTO public.who_import VALUES (53493, '2021-01-09', 'MT', 'Malta', 'EURO', '191', '13967', '2', '230');
INSERT INTO public.who_import VALUES (53494, '2021-01-10', 'MT', 'Malta', 'EURO', '245', '14212', '2', '232');
INSERT INTO public.who_import VALUES (53495, '2021-01-11', 'MT', 'Malta', 'EURO', '184', '14396', '1', '233');
INSERT INTO public.who_import VALUES (53496, '2021-01-12', 'MT', 'Malta', 'EURO', '133', '14529', '0', '233');
INSERT INTO public.who_import VALUES (53497, '2021-01-13', 'MT', 'Malta', 'EURO', '240', '14769', '1', '234');
INSERT INTO public.who_import VALUES (53498, '2021-01-14', 'MT', 'Malta', 'EURO', '189', '14958', '0', '234');
INSERT INTO public.who_import VALUES (53499, '2021-01-15', 'MT', 'Malta', 'EURO', '121', '15079', '1', '235');
INSERT INTO public.who_import VALUES (53500, '2021-01-16', 'MT', 'Malta', 'EURO', '193', '15272', '1', '236');
INSERT INTO public.who_import VALUES (53501, '2021-01-17', 'MT', 'Malta', 'EURO', '175', '15447', '2', '238');
INSERT INTO public.who_import VALUES (53502, '2021-01-18', 'MT', 'Malta', 'EURO', '141', '15588', '1', '239');
INSERT INTO public.who_import VALUES (53503, '2021-01-19', 'MT', 'Malta', 'EURO', '154', '15742', '2', '241');
INSERT INTO public.who_import VALUES (53504, '2021-01-20', 'MT', 'Malta', 'EURO', '200', '15942', '1', '242');
INSERT INTO public.who_import VALUES (53505, '2021-01-21', 'MT', 'Malta', 'EURO', '187', '16129', '2', '244');
INSERT INTO public.who_import VALUES (53506, '2021-01-22', 'MT', 'Malta', 'EURO', '151', '16280', '1', '245');
INSERT INTO public.who_import VALUES (53507, '2021-01-23', 'MT', 'Malta', 'EURO', '143', '16423', '3', '248');
INSERT INTO public.who_import VALUES (53508, '2021-01-24', 'MT', 'Malta', 'EURO', '119', '16542', '2', '250');
INSERT INTO public.who_import VALUES (53509, '2021-01-25', 'MT', 'Malta', 'EURO', '116', '16658', '1', '251');
INSERT INTO public.who_import VALUES (53510, '2021-01-26', 'MT', 'Malta', 'EURO', '203', '16861', '2', '253');
INSERT INTO public.who_import VALUES (53511, '2021-01-27', 'MT', 'Malta', 'EURO', '138', '16999', '2', '255');
INSERT INTO public.who_import VALUES (53512, '2021-01-28', 'MT', 'Malta', 'EURO', '193', '17192', '3', '258');
INSERT INTO public.who_import VALUES (53513, '2021-01-29', 'MT', 'Malta', 'EURO', '208', '17400', '3', '261');
INSERT INTO public.who_import VALUES (53514, '2021-01-30', 'MT', 'Malta', 'EURO', '185', '17585', '3', '264');
INSERT INTO public.who_import VALUES (53515, '2021-01-31', 'MT', 'Malta', 'EURO', '136', '17721', '1', '265');
INSERT INTO public.who_import VALUES (53516, '2021-02-01', 'MT', 'Malta', 'EURO', '182', '17903', '2', '267');
INSERT INTO public.who_import VALUES (53517, '2021-02-02', 'MT', 'Malta', 'EURO', '124', '18027', '2', '269');
INSERT INTO public.who_import VALUES (53518, '2021-02-03', 'MT', 'Malta', 'EURO', '141', '18168', '1', '270');
INSERT INTO public.who_import VALUES (53519, '2021-02-04', 'MT', 'Malta', 'EURO', '138', '18306', '3', '273');
INSERT INTO public.who_import VALUES (53520, '2021-02-05', 'MT', 'Malta', 'EURO', '79', '18385', '0', '273');
INSERT INTO public.who_import VALUES (53521, '2021-02-06', 'MT', 'Malta', 'EURO', '57', '18442', '4', '277');
INSERT INTO public.who_import VALUES (53522, '2021-02-07', 'MT', 'Malta', 'EURO', '134', '18576', '2', '279');
INSERT INTO public.who_import VALUES (53523, '2021-02-08', 'MT', 'Malta', 'EURO', '100', '18676', '3', '282');
INSERT INTO public.who_import VALUES (53524, '2021-02-09', 'MT', 'Malta', 'EURO', '137', '18813', '0', '282');
INSERT INTO public.who_import VALUES (53525, '2021-02-10', 'MT', 'Malta', 'EURO', '202', '19015', '2', '284');
INSERT INTO public.who_import VALUES (53526, '2021-02-11', 'MT', 'Malta', 'EURO', '167', '19182', '2', '286');
INSERT INTO public.who_import VALUES (53527, '2021-02-12', 'MT', 'Malta', 'EURO', '151', '19333', '0', '286');
INSERT INTO public.who_import VALUES (53528, '2021-02-13', 'MT', 'Malta', 'EURO', '164', '19497', '2', '288');
INSERT INTO public.who_import VALUES (53529, '2021-02-14', 'MT', 'Malta', 'EURO', '154', '19651', '2', '290');
INSERT INTO public.who_import VALUES (53530, '2021-02-15', 'MT', 'Malta', 'EURO', '138', '19789', '3', '293');
INSERT INTO public.who_import VALUES (53531, '2021-02-16', 'MT', 'Malta', 'EURO', '156', '19945', '2', '295');
INSERT INTO public.who_import VALUES (53532, '2021-02-17', 'MT', 'Malta', 'EURO', '102', '20047', '2', '297');
INSERT INTO public.who_import VALUES (53533, '2021-02-18', 'MT', 'Malta', 'EURO', '199', '20246', '1', '298');
INSERT INTO public.who_import VALUES (53534, '2021-02-19', 'MT', 'Malta', 'EURO', '163', '20409', '3', '301');
INSERT INTO public.who_import VALUES (53535, '2021-02-20', 'MT', 'Malta', 'EURO', '154', '20563', '0', '301');
INSERT INTO public.who_import VALUES (53536, '2020-01-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53537, '2020-01-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53538, '2020-01-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53539, '2020-01-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53540, '2020-01-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53541, '2020-01-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53542, '2020-01-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53543, '2020-01-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53544, '2020-01-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53545, '2020-01-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53546, '2020-01-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53547, '2020-01-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53548, '2020-01-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53549, '2020-01-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53550, '2020-01-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53551, '2020-01-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53552, '2020-01-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53553, '2020-01-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53554, '2020-01-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53555, '2020-01-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53556, '2020-01-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53557, '2020-01-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53558, '2020-01-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53559, '2020-01-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53560, '2020-01-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53561, '2020-01-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53562, '2020-01-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53563, '2020-01-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53564, '2020-01-31', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53565, '2020-02-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53566, '2020-02-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53567, '2020-02-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53568, '2020-02-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53569, '2020-02-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53570, '2020-02-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53571, '2020-02-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53572, '2020-02-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53573, '2020-02-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53574, '2020-02-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53575, '2020-02-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53576, '2020-02-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53577, '2020-02-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53578, '2020-02-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53579, '2020-02-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53580, '2020-02-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53581, '2020-02-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53582, '2020-02-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53583, '2020-02-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53584, '2020-02-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53585, '2020-02-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53586, '2020-02-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53587, '2020-02-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53588, '2020-02-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53589, '2020-02-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53590, '2020-02-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53591, '2020-02-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53592, '2020-02-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53593, '2020-02-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53594, '2020-03-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53595, '2020-03-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53596, '2020-03-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53597, '2020-03-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53598, '2020-03-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53599, '2020-03-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53600, '2020-03-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53601, '2020-03-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53602, '2020-03-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53603, '2020-03-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53604, '2020-03-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53605, '2020-03-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53606, '2020-03-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53607, '2020-03-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53608, '2020-03-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53609, '2020-03-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53610, '2020-03-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53611, '2020-03-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53612, '2020-03-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53613, '2020-03-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53614, '2020-03-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53615, '2020-03-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53616, '2020-03-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53617, '2020-03-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53618, '2020-03-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53619, '2020-03-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53620, '2020-03-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53621, '2020-03-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53622, '2020-03-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53623, '2020-03-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53624, '2020-03-31', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53625, '2020-04-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53626, '2020-04-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53627, '2020-04-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53628, '2020-04-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53629, '2020-04-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53630, '2020-04-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53631, '2020-04-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53632, '2020-04-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53633, '2020-04-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53634, '2020-04-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53635, '2020-04-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53636, '2020-04-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53637, '2020-04-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53638, '2020-04-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53639, '2020-04-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53640, '2020-04-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53641, '2020-04-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53642, '2020-04-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53643, '2020-04-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53644, '2020-04-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53645, '2020-04-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53646, '2020-04-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53647, '2020-04-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53648, '2020-04-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53649, '2020-04-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53650, '2020-04-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53651, '2020-04-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53652, '2020-04-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53653, '2020-04-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53654, '2020-04-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53655, '2020-05-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53656, '2020-05-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53657, '2020-05-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53658, '2020-05-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53659, '2020-05-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53660, '2020-05-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53661, '2020-05-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53662, '2020-05-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53663, '2020-05-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53664, '2020-05-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53665, '2020-05-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53666, '2020-05-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53667, '2020-05-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53668, '2020-05-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53669, '2020-05-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53670, '2020-05-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53671, '2020-05-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53672, '2020-05-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53673, '2020-05-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53674, '2020-05-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53675, '2020-05-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53676, '2020-05-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53677, '2020-05-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53678, '2020-05-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53679, '2020-05-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53680, '2020-05-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53681, '2020-05-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53682, '2020-05-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53683, '2020-05-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53684, '2020-05-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53685, '2020-05-31', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53686, '2020-06-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53687, '2020-06-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53688, '2020-06-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53689, '2020-06-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53690, '2020-06-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53691, '2020-06-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53692, '2020-06-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53693, '2020-06-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53694, '2020-06-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53695, '2020-06-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53696, '2020-06-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53697, '2020-06-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53698, '2020-06-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53699, '2020-06-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53700, '2020-06-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53701, '2020-06-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53702, '2020-06-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53703, '2020-06-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53704, '2020-06-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53705, '2020-06-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53706, '2020-06-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53707, '2020-06-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53708, '2020-06-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53709, '2020-06-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53710, '2020-06-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53711, '2020-06-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53712, '2020-06-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53713, '2020-06-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53714, '2020-06-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53715, '2020-06-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53716, '2020-07-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53717, '2020-07-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53718, '2020-07-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53719, '2020-07-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53720, '2020-07-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53721, '2020-07-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53722, '2020-07-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53723, '2020-07-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53724, '2020-07-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53725, '2020-07-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53726, '2020-07-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53727, '2020-07-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53728, '2020-07-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53729, '2020-07-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53730, '2020-07-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53731, '2020-07-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53732, '2020-07-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53733, '2020-07-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53734, '2020-07-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53735, '2020-07-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53736, '2020-07-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53737, '2020-07-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53738, '2020-07-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53739, '2020-07-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53740, '2020-07-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53741, '2020-07-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53742, '2020-07-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53743, '2020-07-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53744, '2020-07-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53745, '2020-07-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53746, '2020-07-31', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53747, '2020-08-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53748, '2020-08-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53749, '2020-08-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53750, '2020-08-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53751, '2020-08-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53752, '2020-08-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53753, '2020-08-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53754, '2020-08-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53755, '2020-08-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53756, '2020-08-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53757, '2020-08-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53758, '2020-08-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53759, '2020-08-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53760, '2020-08-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53761, '2020-08-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53762, '2020-08-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53763, '2020-08-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53764, '2020-08-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53765, '2020-08-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53766, '2020-08-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53767, '2020-08-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53768, '2020-08-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53769, '2020-08-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53770, '2020-08-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53771, '2020-08-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53772, '2020-08-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53773, '2020-08-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53774, '2020-08-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53775, '2020-08-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53776, '2020-08-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53777, '2020-08-31', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53778, '2020-09-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53779, '2020-09-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53780, '2020-09-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53781, '2020-09-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53782, '2020-09-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53783, '2020-09-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53784, '2020-09-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53785, '2020-09-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53786, '2020-09-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53787, '2020-09-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53788, '2020-09-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53789, '2020-09-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53790, '2020-09-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53791, '2020-09-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53792, '2020-09-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53793, '2020-09-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53794, '2020-09-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53795, '2020-09-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53796, '2020-09-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53797, '2020-09-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53798, '2020-09-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53799, '2020-09-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53800, '2020-09-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53801, '2020-09-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53802, '2020-09-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53803, '2020-09-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53804, '2020-09-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53805, '2020-09-28', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53806, '2020-09-29', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53807, '2020-09-30', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53808, '2020-10-01', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53809, '2020-10-02', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53810, '2020-10-03', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53811, '2020-10-04', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53812, '2020-10-05', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53813, '2020-10-06', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53814, '2020-10-07', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53815, '2020-10-08', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53816, '2020-10-09', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53817, '2020-10-10', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53818, '2020-10-11', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53819, '2020-10-12', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53820, '2020-10-13', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53821, '2020-10-14', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53822, '2020-10-15', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53823, '2020-10-16', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53824, '2020-10-17', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53825, '2020-10-18', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53826, '2020-10-19', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53827, '2020-10-20', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53828, '2020-10-21', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53829, '2020-10-22', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53830, '2020-10-23', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53831, '2020-10-24', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53832, '2020-10-25', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53833, '2020-10-26', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53834, '2020-10-27', 'MH', 'Marshall Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53835, '2020-10-28', 'MH', 'Marshall Islands', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (53836, '2020-10-29', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53837, '2020-10-30', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53838, '2020-10-31', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53839, '2020-11-01', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53840, '2020-11-02', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53841, '2020-11-03', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53842, '2020-11-04', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53843, '2020-11-05', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53844, '2020-11-06', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53845, '2020-11-07', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53846, '2020-11-08', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53847, '2020-11-09', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53848, '2020-11-10', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53849, '2020-11-11', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53850, '2020-11-12', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53851, '2020-11-13', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53852, '2020-11-14', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53853, '2020-11-15', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53854, '2020-11-16', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53855, '2020-11-17', 'MH', 'Marshall Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (53856, '2020-11-18', 'MH', 'Marshall Islands', 'WPRO', '3', '4', '0', '0');
INSERT INTO public.who_import VALUES (53857, '2020-11-19', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53858, '2020-11-20', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53859, '2020-11-21', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53860, '2020-11-22', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53861, '2020-11-23', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53862, '2020-11-24', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53863, '2020-11-25', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53864, '2020-11-26', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53865, '2020-11-27', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53866, '2020-11-28', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53867, '2020-11-29', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53868, '2020-11-30', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53869, '2020-12-01', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53870, '2020-12-02', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53871, '2020-12-03', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53872, '2020-12-04', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53873, '2020-12-05', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53874, '2020-12-06', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53875, '2020-12-07', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53876, '2020-12-08', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53877, '2020-12-09', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53878, '2020-12-10', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53879, '2020-12-11', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53880, '2020-12-12', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53881, '2020-12-13', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53882, '2020-12-14', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53883, '2020-12-15', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53884, '2020-12-16', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53885, '2020-12-17', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53886, '2020-12-18', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53887, '2020-12-19', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53888, '2020-12-20', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53889, '2020-12-21', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53890, '2020-12-22', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53891, '2020-12-23', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53892, '2020-12-24', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53893, '2020-12-25', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53894, '2020-12-26', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53895, '2020-12-27', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53896, '2020-12-28', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53897, '2020-12-29', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53898, '2020-12-30', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53899, '2020-12-31', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53900, '2021-01-01', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53901, '2021-01-02', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53902, '2021-01-03', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53903, '2021-01-04', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53904, '2021-01-05', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53905, '2021-01-06', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53906, '2021-01-07', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53907, '2021-01-08', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53908, '2021-01-09', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53909, '2021-01-10', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53910, '2021-01-11', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53911, '2021-01-12', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53912, '2021-01-13', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53913, '2021-01-14', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53914, '2021-01-15', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53915, '2021-01-16', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53916, '2021-01-17', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53917, '2021-01-18', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53918, '2021-01-19', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53919, '2021-01-20', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53920, '2021-01-21', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53921, '2021-01-22', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53922, '2021-01-23', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53923, '2021-01-24', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53924, '2021-01-25', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53925, '2021-01-26', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53926, '2021-01-27', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53927, '2021-01-28', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53928, '2021-01-29', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53929, '2021-01-30', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53930, '2021-01-31', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53931, '2021-02-01', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53932, '2021-02-02', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53933, '2021-02-03', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53934, '2021-02-04', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53935, '2021-02-05', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53936, '2021-02-06', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53937, '2021-02-07', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53938, '2021-02-08', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53939, '2021-02-09', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53940, '2021-02-10', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53941, '2021-02-11', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53942, '2021-02-12', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53943, '2021-02-13', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53944, '2021-02-14', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53945, '2021-02-15', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53946, '2021-02-16', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53947, '2021-02-17', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53948, '2021-02-18', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53949, '2021-02-19', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53950, '2021-02-20', 'MH', 'Marshall Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (53951, '2020-01-03', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53952, '2020-01-04', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53953, '2020-01-05', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53954, '2020-01-06', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53955, '2020-01-07', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53956, '2020-01-08', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53957, '2020-01-09', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53958, '2020-01-10', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53959, '2020-01-11', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53960, '2020-01-12', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53961, '2020-01-13', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53962, '2020-01-14', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53963, '2020-01-15', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53964, '2020-01-16', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53965, '2020-01-17', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53966, '2020-01-18', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53967, '2020-01-19', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53968, '2020-01-20', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53969, '2020-01-21', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53970, '2020-01-22', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53971, '2020-01-23', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53972, '2020-01-24', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53973, '2020-01-25', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53974, '2020-01-26', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53975, '2020-01-27', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53976, '2020-01-28', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53977, '2020-01-29', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53978, '2020-01-30', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53979, '2020-01-31', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53980, '2020-02-01', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53981, '2020-02-02', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53982, '2020-02-03', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53983, '2020-02-04', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53984, '2020-02-05', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53985, '2020-02-06', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53986, '2020-02-07', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53987, '2020-02-08', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53988, '2020-02-09', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53989, '2020-02-10', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53990, '2020-02-11', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53991, '2020-02-12', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53992, '2020-02-13', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53993, '2020-02-14', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53994, '2020-02-15', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53995, '2020-02-16', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53996, '2020-02-17', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53997, '2020-02-18', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53998, '2020-02-19', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (53999, '2020-02-20', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54000, '2020-02-21', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54001, '2020-02-22', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54002, '2020-02-23', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54003, '2020-02-24', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54004, '2020-02-25', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54005, '2020-02-26', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54006, '2020-02-27', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54007, '2020-02-28', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54008, '2020-02-29', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54009, '2020-03-01', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54010, '2020-03-02', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54011, '2020-03-03', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54012, '2020-03-04', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54013, '2020-03-05', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54014, '2020-03-06', 'MQ', 'Martinique', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54015, '2020-03-07', 'MQ', 'Martinique', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (54016, '2020-03-08', 'MQ', 'Martinique', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54017, '2020-03-09', 'MQ', 'Martinique', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54018, '2020-03-10', 'MQ', 'Martinique', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54019, '2020-03-11', 'MQ', 'Martinique', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (54020, '2020-03-12', 'MQ', 'Martinique', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (54021, '2020-03-13', 'MQ', 'Martinique', 'AMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (54022, '2020-03-14', 'MQ', 'Martinique', 'AMRO', '6', '14', '0', '0');
INSERT INTO public.who_import VALUES (54023, '2020-03-15', 'MQ', 'Martinique', 'AMRO', '5', '19', '0', '0');
INSERT INTO public.who_import VALUES (54024, '2020-03-16', 'MQ', 'Martinique', 'AMRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (54025, '2020-03-17', 'MQ', 'Martinique', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (54026, '2020-03-18', 'MQ', 'Martinique', 'AMRO', '7', '27', '0', '0');
INSERT INTO public.who_import VALUES (54027, '2020-03-19', 'MQ', 'Martinique', 'AMRO', '5', '32', '0', '0');
INSERT INTO public.who_import VALUES (54028, '2020-03-20', 'MQ', 'Martinique', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (54029, '2020-03-21', 'MQ', 'Martinique', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (54030, '2020-03-22', 'MQ', 'Martinique', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (54031, '2020-03-23', 'MQ', 'Martinique', 'AMRO', '5', '37', '0', '0');
INSERT INTO public.who_import VALUES (54032, '2020-03-24', 'MQ', 'Martinique', 'AMRO', '20', '57', '0', '0');
INSERT INTO public.who_import VALUES (54033, '2020-03-25', 'MQ', 'Martinique', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (54034, '2020-03-26', 'MQ', 'Martinique', 'AMRO', '9', '66', '1', '1');
INSERT INTO public.who_import VALUES (54035, '2020-03-27', 'MQ', 'Martinique', 'AMRO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (54036, '2020-03-28', 'MQ', 'Martinique', 'AMRO', '27', '93', '0', '1');
INSERT INTO public.who_import VALUES (54037, '2020-03-29', 'MQ', 'Martinique', 'AMRO', '0', '93', '0', '1');
INSERT INTO public.who_import VALUES (54038, '2020-03-30', 'MQ', 'Martinique', 'AMRO', '12', '105', '1', '2');
INSERT INTO public.who_import VALUES (54039, '2020-03-31', 'MQ', 'Martinique', 'AMRO', '6', '111', '0', '2');
INSERT INTO public.who_import VALUES (54040, '2020-04-01', 'MQ', 'Martinique', 'AMRO', '8', '119', '0', '2');
INSERT INTO public.who_import VALUES (54041, '2020-04-02', 'MQ', 'Martinique', 'AMRO', '9', '128', '1', '3');
INSERT INTO public.who_import VALUES (54042, '2020-04-03', 'MQ', 'Martinique', 'AMRO', '3', '131', '0', '3');
INSERT INTO public.who_import VALUES (54043, '2020-04-04', 'MQ', 'Martinique', 'AMRO', '7', '138', '0', '3');
INSERT INTO public.who_import VALUES (54044, '2020-04-05', 'MQ', 'Martinique', 'AMRO', '7', '145', '0', '3');
INSERT INTO public.who_import VALUES (54045, '2020-04-06', 'MQ', 'Martinique', 'AMRO', '0', '145', '0', '3');
INSERT INTO public.who_import VALUES (54046, '2020-04-07', 'MQ', 'Martinique', 'AMRO', '4', '149', '1', '4');
INSERT INTO public.who_import VALUES (54047, '2020-04-08', 'MQ', 'Martinique', 'AMRO', '2', '151', '0', '4');
INSERT INTO public.who_import VALUES (54048, '2020-04-09', 'MQ', 'Martinique', 'AMRO', '1', '152', '0', '4');
INSERT INTO public.who_import VALUES (54049, '2020-04-10', 'MQ', 'Martinique', 'AMRO', '2', '154', '2', '6');
INSERT INTO public.who_import VALUES (54050, '2020-04-11', 'MQ', 'Martinique', 'AMRO', '0', '154', '0', '6');
INSERT INTO public.who_import VALUES (54051, '2020-04-12', 'MQ', 'Martinique', 'AMRO', '1', '155', '0', '6');
INSERT INTO public.who_import VALUES (54052, '2020-04-13', 'MQ', 'Martinique', 'AMRO', '1', '156', '0', '6');
INSERT INTO public.who_import VALUES (54053, '2020-04-14', 'MQ', 'Martinique', 'AMRO', '1', '157', '2', '8');
INSERT INTO public.who_import VALUES (54054, '2020-04-15', 'MQ', 'Martinique', 'AMRO', '0', '157', '0', '8');
INSERT INTO public.who_import VALUES (54055, '2020-04-16', 'MQ', 'Martinique', 'AMRO', '1', '158', '0', '8');
INSERT INTO public.who_import VALUES (54056, '2020-04-17', 'MQ', 'Martinique', 'AMRO', '1', '159', '0', '8');
INSERT INTO public.who_import VALUES (54057, '2020-04-18', 'MQ', 'Martinique', 'AMRO', '0', '159', '0', '8');
INSERT INTO public.who_import VALUES (54058, '2020-04-19', 'MQ', 'Martinique', 'AMRO', '4', '163', '4', '12');
INSERT INTO public.who_import VALUES (54059, '2020-04-20', 'MQ', 'Martinique', 'AMRO', '0', '163', '0', '12');
INSERT INTO public.who_import VALUES (54060, '2020-04-21', 'MQ', 'Martinique', 'AMRO', '0', '163', '2', '14');
INSERT INTO public.who_import VALUES (54061, '2020-04-22', 'MQ', 'Martinique', 'AMRO', '0', '163', '0', '14');
INSERT INTO public.who_import VALUES (54062, '2020-04-23', 'MQ', 'Martinique', 'AMRO', '1', '164', '0', '14');
INSERT INTO public.who_import VALUES (54063, '2020-04-24', 'MQ', 'Martinique', 'AMRO', '6', '170', '0', '14');
INSERT INTO public.who_import VALUES (54064, '2020-04-25', 'MQ', 'Martinique', 'AMRO', '0', '170', '0', '14');
INSERT INTO public.who_import VALUES (54065, '2020-04-26', 'MQ', 'Martinique', 'AMRO', '0', '170', '0', '14');
INSERT INTO public.who_import VALUES (54066, '2020-04-27', 'MQ', 'Martinique', 'AMRO', '5', '175', '0', '14');
INSERT INTO public.who_import VALUES (54067, '2020-04-28', 'MQ', 'Martinique', 'AMRO', '0', '175', '0', '14');
INSERT INTO public.who_import VALUES (54068, '2020-04-29', 'MQ', 'Martinique', 'AMRO', '0', '175', '0', '14');
INSERT INTO public.who_import VALUES (54069, '2020-04-30', 'MQ', 'Martinique', 'AMRO', '0', '175', '0', '14');
INSERT INTO public.who_import VALUES (54070, '2020-05-01', 'MQ', 'Martinique', 'AMRO', '3', '178', '0', '14');
INSERT INTO public.who_import VALUES (54071, '2020-05-02', 'MQ', 'Martinique', 'AMRO', '1', '179', '0', '14');
INSERT INTO public.who_import VALUES (54072, '2020-05-03', 'MQ', 'Martinique', 'AMRO', '1', '180', '0', '14');
INSERT INTO public.who_import VALUES (54073, '2020-05-04', 'MQ', 'Martinique', 'AMRO', '1', '181', '0', '14');
INSERT INTO public.who_import VALUES (54074, '2020-05-05', 'MQ', 'Martinique', 'AMRO', '0', '181', '0', '14');
INSERT INTO public.who_import VALUES (54075, '2020-05-06', 'MQ', 'Martinique', 'AMRO', '0', '181', '0', '14');
INSERT INTO public.who_import VALUES (54076, '2020-05-07', 'MQ', 'Martinique', 'AMRO', '1', '182', '0', '14');
INSERT INTO public.who_import VALUES (54077, '2020-05-08', 'MQ', 'Martinique', 'AMRO', '0', '182', '0', '14');
INSERT INTO public.who_import VALUES (54078, '2020-05-09', 'MQ', 'Martinique', 'AMRO', '1', '183', '0', '14');
INSERT INTO public.who_import VALUES (54079, '2020-05-10', 'MQ', 'Martinique', 'AMRO', '3', '186', '0', '14');
INSERT INTO public.who_import VALUES (54080, '2020-05-11', 'MQ', 'Martinique', 'AMRO', '1', '187', '0', '14');
INSERT INTO public.who_import VALUES (54081, '2020-05-12', 'MQ', 'Martinique', 'AMRO', '0', '187', '0', '14');
INSERT INTO public.who_import VALUES (54082, '2020-05-13', 'MQ', 'Martinique', 'AMRO', '0', '187', '0', '14');
INSERT INTO public.who_import VALUES (54083, '2020-05-14', 'MQ', 'Martinique', 'AMRO', '2', '189', '0', '14');
INSERT INTO public.who_import VALUES (54084, '2020-05-15', 'MQ', 'Martinique', 'AMRO', '0', '189', '0', '14');
INSERT INTO public.who_import VALUES (54085, '2020-05-16', 'MQ', 'Martinique', 'AMRO', '0', '189', '0', '14');
INSERT INTO public.who_import VALUES (54086, '2020-05-17', 'MQ', 'Martinique', 'AMRO', '3', '192', '0', '14');
INSERT INTO public.who_import VALUES (54087, '2020-05-18', 'MQ', 'Martinique', 'AMRO', '0', '192', '0', '14');
INSERT INTO public.who_import VALUES (54088, '2020-05-19', 'MQ', 'Martinique', 'AMRO', '0', '192', '0', '14');
INSERT INTO public.who_import VALUES (54089, '2020-05-20', 'MQ', 'Martinique', 'AMRO', '0', '192', '0', '14');
INSERT INTO public.who_import VALUES (54090, '2020-05-21', 'MQ', 'Martinique', 'AMRO', '0', '192', '0', '14');
INSERT INTO public.who_import VALUES (54091, '2020-05-22', 'MQ', 'Martinique', 'AMRO', '0', '192', '0', '14');
INSERT INTO public.who_import VALUES (54092, '2020-05-23', 'MQ', 'Martinique', 'AMRO', '5', '197', '0', '14');
INSERT INTO public.who_import VALUES (54093, '2020-05-24', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54094, '2020-05-25', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54095, '2020-05-26', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54096, '2020-05-27', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54097, '2020-05-28', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54098, '2020-05-29', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54099, '2020-05-30', 'MQ', 'Martinique', 'AMRO', '0', '197', '0', '14');
INSERT INTO public.who_import VALUES (54100, '2020-05-31', 'MQ', 'Martinique', 'AMRO', '3', '200', '0', '14');
INSERT INTO public.who_import VALUES (54101, '2020-06-01', 'MQ', 'Martinique', 'AMRO', '0', '200', '0', '14');
INSERT INTO public.who_import VALUES (54102, '2020-06-02', 'MQ', 'Martinique', 'AMRO', '0', '200', '0', '14');
INSERT INTO public.who_import VALUES (54103, '2020-06-03', 'MQ', 'Martinique', 'AMRO', '0', '200', '0', '14');
INSERT INTO public.who_import VALUES (54104, '2020-06-04', 'MQ', 'Martinique', 'AMRO', '0', '200', '0', '14');
INSERT INTO public.who_import VALUES (54105, '2020-06-05', 'MQ', 'Martinique', 'AMRO', '0', '200', '0', '14');
INSERT INTO public.who_import VALUES (54106, '2020-06-06', 'MQ', 'Martinique', 'AMRO', '0', '200', '0', '14');
INSERT INTO public.who_import VALUES (54107, '2020-06-07', 'MQ', 'Martinique', 'AMRO', '2', '202', '0', '14');
INSERT INTO public.who_import VALUES (54108, '2020-06-08', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54109, '2020-06-09', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54110, '2020-06-10', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54111, '2020-06-11', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54112, '2020-06-12', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54113, '2020-06-13', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54114, '2020-06-14', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54115, '2020-06-15', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54116, '2020-06-16', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54117, '2020-06-17', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54118, '2020-06-18', 'MQ', 'Martinique', 'AMRO', '0', '202', '0', '14');
INSERT INTO public.who_import VALUES (54119, '2020-06-19', 'MQ', 'Martinique', 'AMRO', '19', '221', '0', '14');
INSERT INTO public.who_import VALUES (54120, '2020-06-20', 'MQ', 'Martinique', 'AMRO', '0', '221', '0', '14');
INSERT INTO public.who_import VALUES (54121, '2020-06-21', 'MQ', 'Martinique', 'AMRO', '15', '236', '0', '14');
INSERT INTO public.who_import VALUES (54122, '2020-06-22', 'MQ', 'Martinique', 'AMRO', '0', '236', '0', '14');
INSERT INTO public.who_import VALUES (54123, '2020-06-23', 'MQ', 'Martinique', 'AMRO', '0', '236', '0', '14');
INSERT INTO public.who_import VALUES (54124, '2020-06-24', 'MQ', 'Martinique', 'AMRO', '0', '236', '0', '14');
INSERT INTO public.who_import VALUES (54125, '2020-06-25', 'MQ', 'Martinique', 'AMRO', '0', '236', '0', '14');
INSERT INTO public.who_import VALUES (54126, '2020-06-26', 'MQ', 'Martinique', 'AMRO', '0', '236', '0', '14');
INSERT INTO public.who_import VALUES (54127, '2020-06-27', 'MQ', 'Martinique', 'AMRO', '0', '236', '0', '14');
INSERT INTO public.who_import VALUES (54128, '2020-06-28', 'MQ', 'Martinique', 'AMRO', '6', '242', '0', '14');
INSERT INTO public.who_import VALUES (54129, '2020-06-29', 'MQ', 'Martinique', 'AMRO', '0', '242', '0', '14');
INSERT INTO public.who_import VALUES (54130, '2020-06-30', 'MQ', 'Martinique', 'AMRO', '0', '242', '0', '14');
INSERT INTO public.who_import VALUES (54131, '2020-07-01', 'MQ', 'Martinique', 'AMRO', '0', '242', '0', '14');
INSERT INTO public.who_import VALUES (54132, '2020-07-02', 'MQ', 'Martinique', 'AMRO', '0', '242', '0', '14');
INSERT INTO public.who_import VALUES (54133, '2020-07-03', 'MQ', 'Martinique', 'AMRO', '0', '242', '0', '14');
INSERT INTO public.who_import VALUES (54134, '2020-07-04', 'MQ', 'Martinique', 'AMRO', '0', '242', '0', '14');
INSERT INTO public.who_import VALUES (54135, '2020-07-05', 'MQ', 'Martinique', 'AMRO', '7', '249', '0', '14');
INSERT INTO public.who_import VALUES (54136, '2020-07-06', 'MQ', 'Martinique', 'AMRO', '0', '249', '0', '14');
INSERT INTO public.who_import VALUES (54137, '2020-07-07', 'MQ', 'Martinique', 'AMRO', '0', '249', '0', '14');
INSERT INTO public.who_import VALUES (54138, '2020-07-08', 'MQ', 'Martinique', 'AMRO', '0', '249', '0', '14');
INSERT INTO public.who_import VALUES (54139, '2020-07-09', 'MQ', 'Martinique', 'AMRO', '0', '249', '0', '14');
INSERT INTO public.who_import VALUES (54140, '2020-07-10', 'MQ', 'Martinique', 'AMRO', '0', '249', '0', '14');
INSERT INTO public.who_import VALUES (54141, '2020-07-11', 'MQ', 'Martinique', 'AMRO', '0', '249', '0', '14');
INSERT INTO public.who_import VALUES (54142, '2020-07-12', 'MQ', 'Martinique', 'AMRO', '6', '255', '1', '15');
INSERT INTO public.who_import VALUES (54143, '2020-07-13', 'MQ', 'Martinique', 'AMRO', '0', '255', '0', '15');
INSERT INTO public.who_import VALUES (54144, '2020-07-14', 'MQ', 'Martinique', 'AMRO', '0', '255', '0', '15');
INSERT INTO public.who_import VALUES (54145, '2020-07-15', 'MQ', 'Martinique', 'AMRO', '0', '255', '0', '15');
INSERT INTO public.who_import VALUES (54146, '2020-07-16', 'MQ', 'Martinique', 'AMRO', '0', '255', '0', '15');
INSERT INTO public.who_import VALUES (54147, '2020-07-17', 'MQ', 'Martinique', 'AMRO', '0', '255', '0', '15');
INSERT INTO public.who_import VALUES (54148, '2020-07-18', 'MQ', 'Martinique', 'AMRO', '6', '261', '0', '15');
INSERT INTO public.who_import VALUES (54149, '2020-07-19', 'MQ', 'Martinique', 'AMRO', '1', '262', '0', '15');
INSERT INTO public.who_import VALUES (54150, '2020-07-20', 'MQ', 'Martinique', 'AMRO', '0', '262', '0', '15');
INSERT INTO public.who_import VALUES (54151, '2020-07-21', 'MQ', 'Martinique', 'AMRO', '0', '262', '0', '15');
INSERT INTO public.who_import VALUES (54152, '2020-07-22', 'MQ', 'Martinique', 'AMRO', '0', '262', '0', '15');
INSERT INTO public.who_import VALUES (54153, '2020-07-23', 'MQ', 'Martinique', 'AMRO', '0', '262', '0', '15');
INSERT INTO public.who_import VALUES (54154, '2020-07-24', 'MQ', 'Martinique', 'AMRO', '0', '262', '0', '15');
INSERT INTO public.who_import VALUES (54155, '2020-07-25', 'MQ', 'Martinique', 'AMRO', '7', '269', '0', '15');
INSERT INTO public.who_import VALUES (54156, '2020-07-26', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54157, '2020-07-27', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54158, '2020-07-28', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54159, '2020-07-29', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54160, '2020-07-30', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54161, '2020-07-31', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54162, '2020-08-01', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54163, '2020-08-02', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54164, '2020-08-03', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54165, '2020-08-04', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54166, '2020-08-05', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54167, '2020-08-06', 'MQ', 'Martinique', 'AMRO', '0', '269', '0', '15');
INSERT INTO public.who_import VALUES (54168, '2020-08-07', 'MQ', 'Martinique', 'AMRO', '7', '276', '0', '15');
INSERT INTO public.who_import VALUES (54169, '2020-08-08', 'MQ', 'Martinique', 'AMRO', '0', '276', '0', '15');
INSERT INTO public.who_import VALUES (54170, '2020-08-09', 'MQ', 'Martinique', 'AMRO', '60', '336', '1', '16');
INSERT INTO public.who_import VALUES (54171, '2020-08-10', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54172, '2020-08-11', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54173, '2020-08-12', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54174, '2020-08-13', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54175, '2020-08-14', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54176, '2020-08-15', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54177, '2020-08-16', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54178, '2020-08-17', 'MQ', 'Martinique', 'AMRO', '0', '336', '0', '16');
INSERT INTO public.who_import VALUES (54179, '2020-08-18', 'MQ', 'Martinique', 'AMRO', '14', '350', '0', '16');
INSERT INTO public.who_import VALUES (54180, '2020-08-19', 'MQ', 'Martinique', 'AMRO', '0', '350', '0', '16');
INSERT INTO public.who_import VALUES (54181, '2020-08-20', 'MQ', 'Martinique', 'AMRO', '0', '350', '0', '16');
INSERT INTO public.who_import VALUES (54182, '2020-08-21', 'MQ', 'Martinique', 'AMRO', '0', '350', '0', '16');
INSERT INTO public.who_import VALUES (54183, '2020-08-22', 'MQ', 'Martinique', 'AMRO', '0', '350', '0', '16');
INSERT INTO public.who_import VALUES (54184, '2020-08-23', 'MQ', 'Martinique', 'AMRO', '114', '464', '0', '16');
INSERT INTO public.who_import VALUES (54185, '2020-08-24', 'MQ', 'Martinique', 'AMRO', '0', '464', '0', '16');
INSERT INTO public.who_import VALUES (54186, '2020-08-25', 'MQ', 'Martinique', 'AMRO', '0', '464', '0', '16');
INSERT INTO public.who_import VALUES (54187, '2020-08-26', 'MQ', 'Martinique', 'AMRO', '0', '464', '0', '16');
INSERT INTO public.who_import VALUES (54188, '2020-08-27', 'MQ', 'Martinique', 'AMRO', '132', '596', '0', '16');
INSERT INTO public.who_import VALUES (54189, '2020-08-28', 'MQ', 'Martinique', 'AMRO', '0', '596', '0', '16');
INSERT INTO public.who_import VALUES (54190, '2020-08-29', 'MQ', 'Martinique', 'AMRO', '0', '596', '0', '16');
INSERT INTO public.who_import VALUES (54191, '2020-08-30', 'MQ', 'Martinique', 'AMRO', '0', '596', '0', '16');
INSERT INTO public.who_import VALUES (54192, '2020-08-31', 'MQ', 'Martinique', 'AMRO', '0', '596', '0', '16');
INSERT INTO public.who_import VALUES (54193, '2020-09-01', 'MQ', 'Martinique', 'AMRO', '0', '596', '0', '16');
INSERT INTO public.who_import VALUES (54194, '2020-09-02', 'MQ', 'Martinique', 'AMRO', '19', '615', '0', '16');
INSERT INTO public.who_import VALUES (54195, '2020-09-03', 'MQ', 'Martinique', 'AMRO', '132', '747', '2', '18');
INSERT INTO public.who_import VALUES (54196, '2020-09-04', 'MQ', 'Martinique', 'AMRO', '7', '754', '0', '18');
INSERT INTO public.who_import VALUES (54197, '2020-09-05', 'MQ', 'Martinique', 'AMRO', '0', '754', '0', '18');
INSERT INTO public.who_import VALUES (54198, '2020-09-06', 'MQ', 'Martinique', 'AMRO', '4', '758', '0', '18');
INSERT INTO public.who_import VALUES (54199, '2020-09-07', 'MQ', 'Martinique', 'AMRO', '0', '758', '0', '18');
INSERT INTO public.who_import VALUES (54200, '2020-09-08', 'MQ', 'Martinique', 'AMRO', '0', '758', '0', '18');
INSERT INTO public.who_import VALUES (54201, '2020-09-09', 'MQ', 'Martinique', 'AMRO', '0', '758', '0', '18');
INSERT INTO public.who_import VALUES (54202, '2020-09-10', 'MQ', 'Martinique', 'AMRO', '181', '939', '0', '18');
INSERT INTO public.who_import VALUES (54203, '2020-09-11', 'MQ', 'Martinique', 'AMRO', '0', '939', '0', '18');
INSERT INTO public.who_import VALUES (54204, '2020-09-12', 'MQ', 'Martinique', 'AMRO', '0', '939', '0', '18');
INSERT INTO public.who_import VALUES (54205, '2020-09-13', 'MQ', 'Martinique', 'AMRO', '0', '939', '0', '18');
INSERT INTO public.who_import VALUES (54206, '2020-09-14', 'MQ', 'Martinique', 'AMRO', '0', '939', '0', '18');
INSERT INTO public.who_import VALUES (54207, '2020-09-15', 'MQ', 'Martinique', 'AMRO', '0', '939', '0', '18');
INSERT INTO public.who_import VALUES (54208, '2020-09-16', 'MQ', 'Martinique', 'AMRO', '0', '939', '0', '18');
INSERT INTO public.who_import VALUES (54209, '2020-09-17', 'MQ', 'Martinique', 'AMRO', '183', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54210, '2020-09-18', 'MQ', 'Martinique', 'AMRO', '0', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54211, '2020-09-19', 'MQ', 'Martinique', 'AMRO', '0', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54212, '2020-09-20', 'MQ', 'Martinique', 'AMRO', '0', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54213, '2020-09-21', 'MQ', 'Martinique', 'AMRO', '0', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54214, '2020-09-22', 'MQ', 'Martinique', 'AMRO', '0', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54215, '2020-09-23', 'MQ', 'Martinique', 'AMRO', '0', '1122', '0', '18');
INSERT INTO public.who_import VALUES (54216, '2020-09-24', 'MQ', 'Martinique', 'AMRO', '168', '1290', '2', '20');
INSERT INTO public.who_import VALUES (54217, '2020-09-25', 'MQ', 'Martinique', 'AMRO', '0', '1290', '0', '20');
INSERT INTO public.who_import VALUES (54218, '2020-09-26', 'MQ', 'Martinique', 'AMRO', '0', '1290', '0', '20');
INSERT INTO public.who_import VALUES (54219, '2020-09-27', 'MQ', 'Martinique', 'AMRO', '8', '1298', '0', '20');
INSERT INTO public.who_import VALUES (54220, '2020-09-28', 'MQ', 'Martinique', 'AMRO', '0', '1298', '0', '20');
INSERT INTO public.who_import VALUES (54221, '2020-09-29', 'MQ', 'Martinique', 'AMRO', '0', '1298', '0', '20');
INSERT INTO public.who_import VALUES (54222, '2020-09-30', 'MQ', 'Martinique', 'AMRO', '0', '1298', '0', '20');
INSERT INTO public.who_import VALUES (54223, '2020-10-01', 'MQ', 'Martinique', 'AMRO', '245', '1543', '1', '21');
INSERT INTO public.who_import VALUES (54224, '2020-10-02', 'MQ', 'Martinique', 'AMRO', '0', '1543', '0', '21');
INSERT INTO public.who_import VALUES (54225, '2020-10-03', 'MQ', 'Martinique', 'AMRO', '0', '1543', '0', '21');
INSERT INTO public.who_import VALUES (54226, '2020-10-04', 'MQ', 'Martinique', 'AMRO', '0', '1543', '0', '21');
INSERT INTO public.who_import VALUES (54227, '2020-10-05', 'MQ', 'Martinique', 'AMRO', '0', '1543', '0', '21');
INSERT INTO public.who_import VALUES (54228, '2020-10-06', 'MQ', 'Martinique', 'AMRO', '0', '1543', '0', '21');
INSERT INTO public.who_import VALUES (54229, '2020-10-07', 'MQ', 'Martinique', 'AMRO', '0', '1543', '0', '21');
INSERT INTO public.who_import VALUES (54230, '2020-10-08', 'MQ', 'Martinique', 'AMRO', '308', '1851', '1', '22');
INSERT INTO public.who_import VALUES (54231, '2020-10-09', 'MQ', 'Martinique', 'AMRO', '0', '1851', '0', '22');
INSERT INTO public.who_import VALUES (54232, '2020-10-10', 'MQ', 'Martinique', 'AMRO', '0', '1851', '0', '22');
INSERT INTO public.who_import VALUES (54233, '2020-10-11', 'MQ', 'Martinique', 'AMRO', '0', '1851', '0', '22');
INSERT INTO public.who_import VALUES (54234, '2020-10-12', 'MQ', 'Martinique', 'AMRO', '0', '1851', '0', '22');
INSERT INTO public.who_import VALUES (54235, '2020-10-13', 'MQ', 'Martinique', 'AMRO', '0', '1851', '0', '22');
INSERT INTO public.who_import VALUES (54236, '2020-10-14', 'MQ', 'Martinique', 'AMRO', '0', '1851', '0', '22');
INSERT INTO public.who_import VALUES (54237, '2020-10-15', 'MQ', 'Martinique', 'AMRO', '406', '2257', '2', '24');
INSERT INTO public.who_import VALUES (54238, '2020-10-16', 'MQ', 'Martinique', 'AMRO', '0', '2257', '0', '24');
INSERT INTO public.who_import VALUES (54239, '2020-10-17', 'MQ', 'Martinique', 'AMRO', '9', '2266', '1', '25');
INSERT INTO public.who_import VALUES (54240, '2020-10-18', 'MQ', 'Martinique', 'AMRO', '0', '2266', '0', '25');
INSERT INTO public.who_import VALUES (54241, '2020-10-19', 'MQ', 'Martinique', 'AMRO', '0', '2266', '0', '25');
INSERT INTO public.who_import VALUES (54242, '2020-10-20', 'MQ', 'Martinique', 'AMRO', '0', '2266', '0', '25');
INSERT INTO public.who_import VALUES (54243, '2020-10-21', 'MQ', 'Martinique', 'AMRO', '0', '2266', '0', '25');
INSERT INTO public.who_import VALUES (54244, '2020-10-22', 'MQ', 'Martinique', 'AMRO', '528', '2794', '2', '27');
INSERT INTO public.who_import VALUES (54245, '2020-10-23', 'MQ', 'Martinique', 'AMRO', '0', '2794', '0', '27');
INSERT INTO public.who_import VALUES (54246, '2020-10-24', 'MQ', 'Martinique', 'AMRO', '0', '2794', '0', '27');
INSERT INTO public.who_import VALUES (54247, '2020-10-25', 'MQ', 'Martinique', 'AMRO', '0', '2794', '0', '27');
INSERT INTO public.who_import VALUES (54248, '2020-10-26', 'MQ', 'Martinique', 'AMRO', '6', '2800', '0', '27');
INSERT INTO public.who_import VALUES (54249, '2020-10-27', 'MQ', 'Martinique', 'AMRO', '0', '2800', '0', '27');
INSERT INTO public.who_import VALUES (54250, '2020-10-28', 'MQ', 'Martinique', 'AMRO', '0', '2800', '0', '27');
INSERT INTO public.who_import VALUES (54251, '2020-10-29', 'MQ', 'Martinique', 'AMRO', '752', '3552', '3', '30');
INSERT INTO public.who_import VALUES (54252, '2020-10-30', 'MQ', 'Martinique', 'AMRO', '0', '3552', '0', '30');
INSERT INTO public.who_import VALUES (54253, '2020-10-31', 'MQ', 'Martinique', 'AMRO', '266', '3818', '1', '31');
INSERT INTO public.who_import VALUES (54254, '2020-11-01', 'MQ', 'Martinique', 'AMRO', '0', '3818', '0', '31');
INSERT INTO public.who_import VALUES (54255, '2020-11-02', 'MQ', 'Martinique', 'AMRO', '0', '3818', '0', '31');
INSERT INTO public.who_import VALUES (54256, '2020-11-03', 'MQ', 'Martinique', 'AMRO', '0', '3818', '0', '31');
INSERT INTO public.who_import VALUES (54257, '2020-11-04', 'MQ', 'Martinique', 'AMRO', '0', '3818', '0', '31');
INSERT INTO public.who_import VALUES (54258, '2020-11-05', 'MQ', 'Martinique', 'AMRO', '397', '4215', '2', '33');
INSERT INTO public.who_import VALUES (54259, '2020-11-06', 'MQ', 'Martinique', 'AMRO', '0', '4215', '0', '33');
INSERT INTO public.who_import VALUES (54260, '2020-11-07', 'MQ', 'Martinique', 'AMRO', '0', '4215', '0', '33');
INSERT INTO public.who_import VALUES (54261, '2020-11-08', 'MQ', 'Martinique', 'AMRO', '0', '4215', '0', '33');
INSERT INTO public.who_import VALUES (54262, '2020-11-09', 'MQ', 'Martinique', 'AMRO', '0', '4215', '0', '33');
INSERT INTO public.who_import VALUES (54263, '2020-11-10', 'MQ', 'Martinique', 'AMRO', '0', '4215', '0', '33');
INSERT INTO public.who_import VALUES (54264, '2020-11-11', 'MQ', 'Martinique', 'AMRO', '0', '4215', '0', '33');
INSERT INTO public.who_import VALUES (54265, '2020-11-12', 'MQ', 'Martinique', 'AMRO', '517', '4732', '4', '37');
INSERT INTO public.who_import VALUES (54266, '2020-11-13', 'MQ', 'Martinique', 'AMRO', '0', '4732', '0', '37');
INSERT INTO public.who_import VALUES (54267, '2020-11-14', 'MQ', 'Martinique', 'AMRO', '0', '4732', '0', '37');
INSERT INTO public.who_import VALUES (54268, '2020-11-15', 'MQ', 'Martinique', 'AMRO', '0', '4732', '0', '37');
INSERT INTO public.who_import VALUES (54269, '2020-11-16', 'MQ', 'Martinique', 'AMRO', '0', '4732', '0', '37');
INSERT INTO public.who_import VALUES (54270, '2020-11-17', 'MQ', 'Martinique', 'AMRO', '0', '4732', '0', '37');
INSERT INTO public.who_import VALUES (54271, '2020-11-18', 'MQ', 'Martinique', 'AMRO', '0', '4732', '0', '37');
INSERT INTO public.who_import VALUES (54272, '2020-11-19', 'MQ', 'Martinique', 'AMRO', '359', '5091', '2', '39');
INSERT INTO public.who_import VALUES (54273, '2020-11-20', 'MQ', 'Martinique', 'AMRO', '0', '5091', '0', '39');
INSERT INTO public.who_import VALUES (54274, '2020-11-21', 'MQ', 'Martinique', 'AMRO', '0', '5091', '0', '39');
INSERT INTO public.who_import VALUES (54275, '2020-11-22', 'MQ', 'Martinique', 'AMRO', '0', '5091', '0', '39');
INSERT INTO public.who_import VALUES (54276, '2020-11-23', 'MQ', 'Martinique', 'AMRO', '0', '5091', '0', '39');
INSERT INTO public.who_import VALUES (54277, '2020-11-24', 'MQ', 'Martinique', 'AMRO', '0', '5091', '0', '39');
INSERT INTO public.who_import VALUES (54278, '2020-11-25', 'MQ', 'Martinique', 'AMRO', '0', '5091', '0', '39');
INSERT INTO public.who_import VALUES (54279, '2020-11-26', 'MQ', 'Martinique', 'AMRO', '322', '5413', '1', '40');
INSERT INTO public.who_import VALUES (54280, '2020-11-27', 'MQ', 'Martinique', 'AMRO', '0', '5413', '0', '40');
INSERT INTO public.who_import VALUES (54281, '2020-11-28', 'MQ', 'Martinique', 'AMRO', '0', '5413', '0', '40');
INSERT INTO public.who_import VALUES (54282, '2020-11-29', 'MQ', 'Martinique', 'AMRO', '0', '5413', '0', '40');
INSERT INTO public.who_import VALUES (54283, '2020-11-30', 'MQ', 'Martinique', 'AMRO', '0', '5413', '0', '40');
INSERT INTO public.who_import VALUES (54284, '2020-12-01', 'MQ', 'Martinique', 'AMRO', '73', '5486', '0', '40');
INSERT INTO public.who_import VALUES (54285, '2020-12-02', 'MQ', 'Martinique', 'AMRO', '0', '5486', '0', '40');
INSERT INTO public.who_import VALUES (54286, '2020-12-03', 'MQ', 'Martinique', 'AMRO', '34', '5520', '1', '41');
INSERT INTO public.who_import VALUES (54287, '2020-12-04', 'MQ', 'Martinique', 'AMRO', '0', '5520', '0', '41');
INSERT INTO public.who_import VALUES (54288, '2020-12-05', 'MQ', 'Martinique', 'AMRO', '0', '5520', '0', '41');
INSERT INTO public.who_import VALUES (54289, '2020-12-06', 'MQ', 'Martinique', 'AMRO', '0', '5520', '0', '41');
INSERT INTO public.who_import VALUES (54290, '2020-12-07', 'MQ', 'Martinique', 'AMRO', '0', '5520', '0', '41');
INSERT INTO public.who_import VALUES (54291, '2020-12-08', 'MQ', 'Martinique', 'AMRO', '33', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54292, '2020-12-09', 'MQ', 'Martinique', 'AMRO', '0', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54293, '2020-12-10', 'MQ', 'Martinique', 'AMRO', '0', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54294, '2020-12-11', 'MQ', 'Martinique', 'AMRO', '0', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54295, '2020-12-12', 'MQ', 'Martinique', 'AMRO', '0', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54296, '2020-12-13', 'MQ', 'Martinique', 'AMRO', '0', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54297, '2020-12-14', 'MQ', 'Martinique', 'AMRO', '0', '5553', '0', '41');
INSERT INTO public.who_import VALUES (54298, '2020-12-15', 'MQ', 'Martinique', 'AMRO', '48', '5601', '1', '42');
INSERT INTO public.who_import VALUES (54299, '2020-12-16', 'MQ', 'Martinique', 'AMRO', '0', '5601', '0', '42');
INSERT INTO public.who_import VALUES (54300, '2020-12-17', 'MQ', 'Martinique', 'AMRO', '0', '5601', '0', '42');
INSERT INTO public.who_import VALUES (54301, '2020-12-18', 'MQ', 'Martinique', 'AMRO', '0', '5601', '0', '42');
INSERT INTO public.who_import VALUES (54302, '2020-12-19', 'MQ', 'Martinique', 'AMRO', '0', '5601', '0', '42');
INSERT INTO public.who_import VALUES (54303, '2020-12-20', 'MQ', 'Martinique', 'AMRO', '33', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54304, '2020-12-21', 'MQ', 'Martinique', 'AMRO', '0', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54305, '2020-12-22', 'MQ', 'Martinique', 'AMRO', '0', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54306, '2020-12-23', 'MQ', 'Martinique', 'AMRO', '0', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54307, '2020-12-24', 'MQ', 'Martinique', 'AMRO', '0', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54308, '2020-12-25', 'MQ', 'Martinique', 'AMRO', '0', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54309, '2020-12-26', 'MQ', 'Martinique', 'AMRO', '0', '5634', '0', '42');
INSERT INTO public.who_import VALUES (54310, '2020-12-27', 'MQ', 'Martinique', 'AMRO', '438', '6072', '0', '42');
INSERT INTO public.who_import VALUES (54311, '2020-12-28', 'MQ', 'Martinique', 'AMRO', '0', '6072', '0', '42');
INSERT INTO public.who_import VALUES (54312, '2020-12-29', 'MQ', 'Martinique', 'AMRO', '0', '6072', '0', '42');
INSERT INTO public.who_import VALUES (54313, '2020-12-30', 'MQ', 'Martinique', 'AMRO', '0', '6072', '0', '42');
INSERT INTO public.who_import VALUES (54314, '2020-12-31', 'MQ', 'Martinique', 'AMRO', '0', '6072', '0', '42');
INSERT INTO public.who_import VALUES (54315, '2021-01-01', 'MQ', 'Martinique', 'AMRO', '19', '6091', '1', '43');
INSERT INTO public.who_import VALUES (54316, '2021-01-02', 'MQ', 'Martinique', 'AMRO', '0', '6091', '0', '43');
INSERT INTO public.who_import VALUES (54317, '2021-01-03', 'MQ', 'Martinique', 'AMRO', '0', '6091', '0', '43');
INSERT INTO public.who_import VALUES (54318, '2021-01-04', 'MQ', 'Martinique', 'AMRO', '0', '6091', '0', '43');
INSERT INTO public.who_import VALUES (54319, '2021-01-05', 'MQ', 'Martinique', 'AMRO', '26', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54320, '2021-01-06', 'MQ', 'Martinique', 'AMRO', '0', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54321, '2021-01-07', 'MQ', 'Martinique', 'AMRO', '0', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54322, '2021-01-08', 'MQ', 'Martinique', 'AMRO', '0', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54323, '2021-01-09', 'MQ', 'Martinique', 'AMRO', '0', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54324, '2021-01-10', 'MQ', 'Martinique', 'AMRO', '0', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54325, '2021-01-11', 'MQ', 'Martinique', 'AMRO', '0', '6117', '0', '43');
INSERT INTO public.who_import VALUES (54326, '2021-01-12', 'MQ', 'Martinique', 'AMRO', '110', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54327, '2021-01-13', 'MQ', 'Martinique', 'AMRO', '0', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54328, '2021-01-14', 'MQ', 'Martinique', 'AMRO', '0', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54329, '2021-01-15', 'MQ', 'Martinique', 'AMRO', '0', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54330, '2021-01-16', 'MQ', 'Martinique', 'AMRO', '0', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54331, '2021-01-17', 'MQ', 'Martinique', 'AMRO', '0', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54332, '2021-01-18', 'MQ', 'Martinique', 'AMRO', '0', '6227', '0', '43');
INSERT INTO public.who_import VALUES (54333, '2021-01-19', 'MQ', 'Martinique', 'AMRO', '75', '6302', '1', '44');
INSERT INTO public.who_import VALUES (54334, '2021-01-20', 'MQ', 'Martinique', 'AMRO', '0', '6302', '0', '44');
INSERT INTO public.who_import VALUES (54335, '2021-01-21', 'MQ', 'Martinique', 'AMRO', '0', '6302', '0', '44');
INSERT INTO public.who_import VALUES (54336, '2021-01-22', 'MQ', 'Martinique', 'AMRO', '0', '6302', '0', '44');
INSERT INTO public.who_import VALUES (54337, '2021-01-23', 'MQ', 'Martinique', 'AMRO', '68', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54338, '2021-01-24', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54339, '2021-01-25', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54340, '2021-01-26', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54341, '2021-01-27', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54342, '2021-01-28', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54343, '2021-01-29', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54344, '2021-01-30', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54345, '2021-01-31', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54346, '2021-02-01', 'MQ', 'Martinique', 'AMRO', '0', '6370', '0', '44');
INSERT INTO public.who_import VALUES (54347, '2021-02-02', 'MQ', 'Martinique', 'AMRO', '72', '6442', '1', '45');
INSERT INTO public.who_import VALUES (54348, '2021-02-03', 'MQ', 'Martinique', 'AMRO', '0', '6442', '0', '45');
INSERT INTO public.who_import VALUES (54349, '2021-02-04', 'MQ', 'Martinique', 'AMRO', '0', '6442', '0', '45');
INSERT INTO public.who_import VALUES (54350, '2021-02-05', 'MQ', 'Martinique', 'AMRO', '0', '6442', '0', '45');
INSERT INTO public.who_import VALUES (54351, '2021-02-06', 'MQ', 'Martinique', 'AMRO', '0', '6442', '0', '45');
INSERT INTO public.who_import VALUES (54352, '2021-02-07', 'MQ', 'Martinique', 'AMRO', '0', '6442', '0', '45');
INSERT INTO public.who_import VALUES (54353, '2021-02-08', 'MQ', 'Martinique', 'AMRO', '0', '6442', '0', '45');
INSERT INTO public.who_import VALUES (54354, '2021-02-09', 'MQ', 'Martinique', 'AMRO', '79', '6521', '0', '45');
INSERT INTO public.who_import VALUES (54355, '2021-02-10', 'MQ', 'Martinique', 'AMRO', '0', '6521', '0', '45');
INSERT INTO public.who_import VALUES (54356, '2021-02-11', 'MQ', 'Martinique', 'AMRO', '0', '6521', '0', '45');
INSERT INTO public.who_import VALUES (54357, '2021-02-12', 'MQ', 'Martinique', 'AMRO', '0', '6521', '0', '45');
INSERT INTO public.who_import VALUES (54358, '2021-02-13', 'MQ', 'Martinique', 'AMRO', '0', '6521', '0', '45');
INSERT INTO public.who_import VALUES (54359, '2021-02-14', 'MQ', 'Martinique', 'AMRO', '72', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54360, '2021-02-15', 'MQ', 'Martinique', 'AMRO', '0', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54361, '2021-02-16', 'MQ', 'Martinique', 'AMRO', '0', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54362, '2021-02-17', 'MQ', 'Martinique', 'AMRO', '0', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54363, '2021-02-18', 'MQ', 'Martinique', 'AMRO', '0', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54364, '2021-02-19', 'MQ', 'Martinique', 'AMRO', '0', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54365, '2021-02-20', 'MQ', 'Martinique', 'AMRO', '0', '6593', '0', '45');
INSERT INTO public.who_import VALUES (54366, '2020-01-03', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54367, '2020-01-04', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54368, '2020-01-05', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54369, '2020-01-06', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54370, '2020-01-07', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54371, '2020-01-08', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54372, '2020-01-09', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54373, '2020-01-10', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54374, '2020-01-11', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54375, '2020-01-12', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54376, '2020-01-13', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54377, '2020-01-14', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54378, '2020-01-15', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54379, '2020-01-16', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54380, '2020-01-17', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54381, '2020-01-18', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54382, '2020-01-19', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54383, '2020-01-20', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54384, '2020-01-21', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54385, '2020-01-22', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54386, '2020-01-23', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54387, '2020-01-24', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54388, '2020-01-25', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54389, '2020-01-26', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54390, '2020-01-27', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54391, '2020-01-28', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54392, '2020-01-29', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54393, '2020-01-30', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54394, '2020-01-31', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54395, '2020-02-01', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54396, '2020-02-02', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54397, '2020-02-03', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54398, '2020-02-04', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54399, '2020-02-05', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54400, '2020-02-06', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54401, '2020-02-07', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54402, '2020-02-08', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54403, '2020-02-09', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54404, '2020-02-10', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54405, '2020-02-11', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54406, '2020-02-12', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54407, '2020-02-13', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54408, '2020-02-14', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54409, '2020-02-15', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54410, '2020-02-16', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54411, '2020-02-17', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54412, '2020-02-18', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54413, '2020-02-19', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54414, '2020-02-20', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54415, '2020-02-21', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54416, '2020-02-22', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54417, '2020-02-23', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54418, '2020-02-24', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54419, '2020-02-25', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54420, '2020-02-26', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54421, '2020-02-27', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54422, '2020-02-28', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54423, '2020-02-29', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54424, '2020-03-01', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54425, '2020-03-02', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54426, '2020-03-03', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54427, '2020-03-04', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54428, '2020-03-05', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54429, '2020-03-06', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54430, '2020-03-07', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54431, '2020-03-08', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54432, '2020-03-09', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54433, '2020-03-10', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54434, '2020-03-11', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54435, '2020-03-12', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54436, '2020-03-13', 'MR', 'Mauritania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54437, '2020-03-14', 'MR', 'Mauritania', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (54438, '2020-03-15', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54439, '2020-03-16', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54440, '2020-03-17', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54441, '2020-03-18', 'MR', 'Mauritania', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (54442, '2020-03-19', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54443, '2020-03-20', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54444, '2020-03-21', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54445, '2020-03-22', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54446, '2020-03-23', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54447, '2020-03-24', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54448, '2020-03-25', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54449, '2020-03-26', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (54450, '2020-03-27', 'MR', 'Mauritania', 'AFRO', '-3', '3', '0', '0');
INSERT INTO public.who_import VALUES (54451, '2020-03-28', 'MR', 'Mauritania', 'AFRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (54452, '2020-03-29', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54453, '2020-03-30', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54454, '2020-03-31', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54455, '2020-04-01', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54456, '2020-04-02', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54457, '2020-04-03', 'MR', 'Mauritania', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (54458, '2020-04-04', 'MR', 'Mauritania', 'AFRO', '1', '6', '1', '1');
INSERT INTO public.who_import VALUES (54459, '2020-04-05', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (54460, '2020-04-06', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (54461, '2020-04-07', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (54462, '2020-04-08', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (54463, '2020-04-09', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (54464, '2020-04-10', 'MR', 'Mauritania', 'AFRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (54465, '2020-04-11', 'MR', 'Mauritania', 'AFRO', '1', '7', '0', '1');
INSERT INTO public.who_import VALUES (54466, '2020-04-12', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54467, '2020-04-13', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54468, '2020-04-14', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54469, '2020-04-15', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54470, '2020-04-16', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54471, '2020-04-17', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54472, '2020-04-18', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54473, '2020-04-19', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54474, '2020-04-20', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54475, '2020-04-21', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54476, '2020-04-22', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54477, '2020-04-23', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54478, '2020-04-24', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54479, '2020-04-25', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54480, '2020-04-26', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54481, '2020-04-27', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54482, '2020-04-28', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54483, '2020-04-29', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54484, '2020-04-30', 'MR', 'Mauritania', 'AFRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (54485, '2020-05-01', 'MR', 'Mauritania', 'AFRO', '1', '8', '0', '1');
INSERT INTO public.who_import VALUES (54486, '2020-05-02', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54487, '2020-05-03', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54488, '2020-05-04', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54489, '2020-05-05', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54490, '2020-05-06', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54491, '2020-05-07', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54492, '2020-05-08', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54493, '2020-05-09', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54494, '2020-05-10', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54495, '2020-05-11', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54496, '2020-05-12', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54497, '2020-05-13', 'MR', 'Mauritania', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (54498, '2020-05-14', 'MR', 'Mauritania', 'AFRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (54499, '2020-05-15', 'MR', 'Mauritania', 'AFRO', '7', '16', '1', '2');
INSERT INTO public.who_import VALUES (54500, '2020-05-16', 'MR', 'Mauritania', 'AFRO', '13', '29', '1', '3');
INSERT INTO public.who_import VALUES (54501, '2020-05-17', 'MR', 'Mauritania', 'AFRO', '11', '40', '1', '4');
INSERT INTO public.who_import VALUES (54502, '2020-05-18', 'MR', 'Mauritania', 'AFRO', '22', '62', '0', '4');
INSERT INTO public.who_import VALUES (54503, '2020-05-19', 'MR', 'Mauritania', 'AFRO', '19', '81', '0', '4');
INSERT INTO public.who_import VALUES (54504, '2020-05-20', 'MR', 'Mauritania', 'AFRO', '50', '131', '0', '4');
INSERT INTO public.who_import VALUES (54505, '2020-05-21', 'MR', 'Mauritania', 'AFRO', '10', '141', '0', '4');
INSERT INTO public.who_import VALUES (54506, '2020-05-22', 'MR', 'Mauritania', 'AFRO', '32', '173', '1', '5');
INSERT INTO public.who_import VALUES (54507, '2020-05-23', 'MR', 'Mauritania', 'AFRO', '0', '173', '0', '5');
INSERT INTO public.who_import VALUES (54508, '2020-05-24', 'MR', 'Mauritania', 'AFRO', '54', '227', '1', '6');
INSERT INTO public.who_import VALUES (54509, '2020-05-25', 'MR', 'Mauritania', 'AFRO', '10', '237', '0', '6');
INSERT INTO public.who_import VALUES (54510, '2020-05-26', 'MR', 'Mauritania', 'AFRO', '25', '262', '3', '9');
INSERT INTO public.who_import VALUES (54511, '2020-05-27', 'MR', 'Mauritania', 'AFRO', '0', '262', '0', '9');
INSERT INTO public.who_import VALUES (54512, '2020-05-28', 'MR', 'Mauritania', 'AFRO', '30', '292', '7', '16');
INSERT INTO public.who_import VALUES (54513, '2020-05-29', 'MR', 'Mauritania', 'AFRO', '54', '346', '3', '19');
INSERT INTO public.who_import VALUES (54514, '2020-05-30', 'MR', 'Mauritania', 'AFRO', '77', '423', '1', '20');
INSERT INTO public.who_import VALUES (54515, '2020-05-31', 'MR', 'Mauritania', 'AFRO', '60', '483', '1', '21');
INSERT INTO public.who_import VALUES (54516, '2020-06-01', 'MR', 'Mauritania', 'AFRO', '47', '530', '2', '23');
INSERT INTO public.who_import VALUES (54517, '2020-06-02', 'MR', 'Mauritania', 'AFRO', '0', '530', '0', '23');
INSERT INTO public.who_import VALUES (54518, '2020-06-03', 'MR', 'Mauritania', 'AFRO', '58', '588', '3', '26');
INSERT INTO public.who_import VALUES (54519, '2020-06-04', 'MR', 'Mauritania', 'AFRO', '80', '668', '5', '31');
INSERT INTO public.who_import VALUES (54520, '2020-06-05', 'MR', 'Mauritania', 'AFRO', '116', '784', '8', '39');
INSERT INTO public.who_import VALUES (54521, '2020-06-06', 'MR', 'Mauritania', 'AFRO', '99', '883', '4', '43');
INSERT INTO public.who_import VALUES (54522, '2020-06-07', 'MR', 'Mauritania', 'AFRO', '64', '947', '0', '43');
INSERT INTO public.who_import VALUES (54523, '2020-06-08', 'MR', 'Mauritania', 'AFRO', '0', '947', '0', '43');
INSERT INTO public.who_import VALUES (54524, '2020-06-09', 'MR', 'Mauritania', 'AFRO', '102', '1049', '0', '43');
INSERT INTO public.who_import VALUES (54525, '2020-06-10', 'MR', 'Mauritania', 'AFRO', '113', '1162', '20', '63');
INSERT INTO public.who_import VALUES (54526, '2020-06-11', 'MR', 'Mauritania', 'AFRO', '121', '1283', '8', '71');
INSERT INTO public.who_import VALUES (54527, '2020-06-12', 'MR', 'Mauritania', 'AFRO', '0', '1283', '0', '71');
INSERT INTO public.who_import VALUES (54528, '2020-06-13', 'MR', 'Mauritania', 'AFRO', '156', '1439', '3', '74');
INSERT INTO public.who_import VALUES (54529, '2020-06-14', 'MR', 'Mauritania', 'AFRO', '134', '1573', '7', '81');
INSERT INTO public.who_import VALUES (54530, '2020-06-15', 'MR', 'Mauritania', 'AFRO', '210', '1783', '6', '87');
INSERT INTO public.who_import VALUES (54531, '2020-06-16', 'MR', 'Mauritania', 'AFRO', '0', '1783', '0', '87');
INSERT INTO public.who_import VALUES (54532, '2020-06-17', 'MR', 'Mauritania', 'AFRO', '104', '1887', '4', '91');
INSERT INTO public.who_import VALUES (54533, '2020-06-18', 'MR', 'Mauritania', 'AFRO', '170', '2057', '2', '93');
INSERT INTO public.who_import VALUES (54534, '2020-06-19', 'MR', 'Mauritania', 'AFRO', '166', '2223', '2', '95');
INSERT INTO public.who_import VALUES (54535, '2020-06-20', 'MR', 'Mauritania', 'AFRO', '201', '2424', '2', '97');
INSERT INTO public.who_import VALUES (54536, '2020-06-21', 'MR', 'Mauritania', 'AFRO', '197', '2621', '5', '102');
INSERT INTO public.who_import VALUES (54537, '2020-06-22', 'MR', 'Mauritania', 'AFRO', '192', '2813', '6', '108');
INSERT INTO public.who_import VALUES (54538, '2020-06-23', 'MR', 'Mauritania', 'AFRO', '171', '2984', '3', '111');
INSERT INTO public.who_import VALUES (54539, '2020-06-24', 'MR', 'Mauritania', 'AFRO', '137', '3121', '1', '112');
INSERT INTO public.who_import VALUES (54540, '2020-06-25', 'MR', 'Mauritania', 'AFRO', '171', '3292', '2', '114');
INSERT INTO public.who_import VALUES (54541, '2020-06-26', 'MR', 'Mauritania', 'AFRO', '227', '3519', '2', '116');
INSERT INTO public.who_import VALUES (54542, '2020-06-27', 'MR', 'Mauritania', 'AFRO', '220', '3739', '3', '119');
INSERT INTO public.who_import VALUES (54543, '2020-06-28', 'MR', 'Mauritania', 'AFRO', '168', '3907', '1', '120');
INSERT INTO public.who_import VALUES (54544, '2020-06-29', 'MR', 'Mauritania', 'AFRO', '0', '3907', '0', '120');
INSERT INTO public.who_import VALUES (54545, '2020-06-30', 'MR', 'Mauritania', 'AFRO', '242', '4149', '6', '126');
INSERT INTO public.who_import VALUES (54546, '2020-07-01', 'MR', 'Mauritania', 'AFRO', '88', '4237', '2', '128');
INSERT INTO public.who_import VALUES (54547, '2020-07-02', 'MR', 'Mauritania', 'AFRO', '235', '4472', '1', '129');
INSERT INTO public.who_import VALUES (54548, '2020-07-03', 'MR', 'Mauritania', 'AFRO', '134', '4606', '0', '129');
INSERT INTO public.who_import VALUES (54549, '2020-07-04', 'MR', 'Mauritania', 'AFRO', '99', '4705', '0', '129');
INSERT INTO public.who_import VALUES (54550, '2020-07-05', 'MR', 'Mauritania', 'AFRO', '0', '4705', '0', '129');
INSERT INTO public.who_import VALUES (54551, '2020-07-06', 'MR', 'Mauritania', 'AFRO', '174', '4879', '1', '130');
INSERT INTO public.who_import VALUES (54552, '2020-07-07', 'MR', 'Mauritania', 'AFRO', '0', '4879', '0', '130');
INSERT INTO public.who_import VALUES (54553, '2020-07-08', 'MR', 'Mauritania', 'AFRO', '69', '4948', '3', '133');
INSERT INTO public.who_import VALUES (54554, '2020-07-09', 'MR', 'Mauritania', 'AFRO', '76', '5024', '2', '135');
INSERT INTO public.who_import VALUES (54555, '2020-07-10', 'MR', 'Mauritania', 'AFRO', '63', '5087', '4', '139');
INSERT INTO public.who_import VALUES (54556, '2020-07-11', 'MR', 'Mauritania', 'AFRO', '39', '5126', '5', '144');
INSERT INTO public.who_import VALUES (54557, '2020-07-12', 'MR', 'Mauritania', 'AFRO', '0', '5126', '0', '144');
INSERT INTO public.who_import VALUES (54558, '2020-07-13', 'MR', 'Mauritania', 'AFRO', '149', '5275', '3', '147');
INSERT INTO public.who_import VALUES (54559, '2020-07-14', 'MR', 'Mauritania', 'AFRO', '80', '5355', '0', '147');
INSERT INTO public.who_import VALUES (54560, '2020-07-15', 'MR', 'Mauritania', 'AFRO', '91', '5446', '2', '149');
INSERT INTO public.who_import VALUES (54561, '2020-07-16', 'MR', 'Mauritania', 'AFRO', '72', '5518', '0', '149');
INSERT INTO public.who_import VALUES (54562, '2020-07-17', 'MR', 'Mauritania', 'AFRO', '46', '5564', '0', '149');
INSERT INTO public.who_import VALUES (54563, '2020-07-18', 'MR', 'Mauritania', 'AFRO', '95', '5659', '1', '150');
INSERT INTO public.who_import VALUES (54564, '2020-07-19', 'MR', 'Mauritania', 'AFRO', '51', '5710', '1', '151');
INSERT INTO public.who_import VALUES (54565, '2020-07-20', 'MR', 'Mauritania', 'AFRO', '163', '5873', '4', '155');
INSERT INTO public.who_import VALUES (54566, '2020-07-21', 'MR', 'Mauritania', 'AFRO', '50', '5923', '0', '155');
INSERT INTO public.who_import VALUES (54567, '2020-07-22', 'MR', 'Mauritania', 'AFRO', '62', '5985', '0', '155');
INSERT INTO public.who_import VALUES (54568, '2020-07-23', 'MR', 'Mauritania', 'AFRO', '0', '5985', '0', '155');
INSERT INTO public.who_import VALUES (54569, '2020-07-24', 'MR', 'Mauritania', 'AFRO', '42', '6027', '0', '155');
INSERT INTO public.who_import VALUES (54570, '2020-07-25', 'MR', 'Mauritania', 'AFRO', '89', '6116', '1', '156');
INSERT INTO public.who_import VALUES (54571, '2020-07-26', 'MR', 'Mauritania', 'AFRO', '0', '6116', '0', '156');
INSERT INTO public.who_import VALUES (54572, '2020-07-27', 'MR', 'Mauritania', 'AFRO', '55', '6171', '0', '156');
INSERT INTO public.who_import VALUES (54573, '2020-07-28', 'MR', 'Mauritania', 'AFRO', '37', '6208', '0', '156');
INSERT INTO public.who_import VALUES (54574, '2020-07-29', 'MR', 'Mauritania', 'AFRO', '41', '6249', '0', '156');
INSERT INTO public.who_import VALUES (54575, '2020-07-30', 'MR', 'Mauritania', 'AFRO', '21', '6270', '0', '156');
INSERT INTO public.who_import VALUES (54576, '2020-07-31', 'MR', 'Mauritania', 'AFRO', '0', '6270', '0', '156');
INSERT INTO public.who_import VALUES (54577, '2020-08-01', 'MR', 'Mauritania', 'AFRO', '40', '6310', '1', '157');
INSERT INTO public.who_import VALUES (54578, '2020-08-02', 'MR', 'Mauritania', 'AFRO', '0', '6310', '0', '157');
INSERT INTO public.who_import VALUES (54579, '2020-08-03', 'MR', 'Mauritania', 'AFRO', '13', '6323', '0', '157');
INSERT INTO public.who_import VALUES (54580, '2020-08-04', 'MR', 'Mauritania', 'AFRO', '59', '6382', '0', '157');
INSERT INTO public.who_import VALUES (54581, '2020-08-05', 'MR', 'Mauritania', 'AFRO', '36', '6418', '0', '157');
INSERT INTO public.who_import VALUES (54582, '2020-08-06', 'MR', 'Mauritania', 'AFRO', '26', '6444', '0', '157');
INSERT INTO public.who_import VALUES (54583, '2020-08-07', 'MR', 'Mauritania', 'AFRO', '29', '6473', '0', '157');
INSERT INTO public.who_import VALUES (54584, '2020-08-08', 'MR', 'Mauritania', 'AFRO', '25', '6498', '0', '157');
INSERT INTO public.who_import VALUES (54585, '2020-08-09', 'MR', 'Mauritania', 'AFRO', '0', '6498', '0', '157');
INSERT INTO public.who_import VALUES (54586, '2020-08-10', 'MR', 'Mauritania', 'AFRO', '12', '6510', '0', '157');
INSERT INTO public.who_import VALUES (54587, '2020-08-11', 'MR', 'Mauritania', 'AFRO', '40', '6550', '0', '157');
INSERT INTO public.who_import VALUES (54588, '2020-08-12', 'MR', 'Mauritania', 'AFRO', '48', '6598', '0', '157');
INSERT INTO public.who_import VALUES (54589, '2020-08-13', 'MR', 'Mauritania', 'AFRO', '24', '6622', '0', '157');
INSERT INTO public.who_import VALUES (54590, '2020-08-14', 'MR', 'Mauritania', 'AFRO', '0', '6622', '0', '157');
INSERT INTO public.who_import VALUES (54591, '2020-08-15', 'MR', 'Mauritania', 'AFRO', '31', '6653', '0', '157');
INSERT INTO public.who_import VALUES (54592, '2020-08-16', 'MR', 'Mauritania', 'AFRO', '40', '6693', '0', '157');
INSERT INTO public.who_import VALUES (54593, '2020-08-17', 'MR', 'Mauritania', 'AFRO', '8', '6701', '0', '157');
INSERT INTO public.who_import VALUES (54594, '2020-08-18', 'MR', 'Mauritania', 'AFRO', '61', '6762', '0', '157');
INSERT INTO public.who_import VALUES (54595, '2020-08-19', 'MR', 'Mauritania', 'AFRO', '27', '6789', '0', '157');
INSERT INTO public.who_import VALUES (54596, '2020-08-20', 'MR', 'Mauritania', 'AFRO', '40', '6829', '1', '158');
INSERT INTO public.who_import VALUES (54597, '2020-08-21', 'MR', 'Mauritania', 'AFRO', '19', '6848', '0', '158');
INSERT INTO public.who_import VALUES (54598, '2020-08-22', 'MR', 'Mauritania', 'AFRO', '37', '6885', '0', '158');
INSERT INTO public.who_import VALUES (54599, '2020-08-23', 'MR', 'Mauritania', 'AFRO', '9', '6894', '0', '158');
INSERT INTO public.who_import VALUES (54600, '2020-08-24', 'MR', 'Mauritania', 'AFRO', '11', '6905', '0', '158');
INSERT INTO public.who_import VALUES (54601, '2020-08-25', 'MR', 'Mauritania', 'AFRO', '23', '6928', '0', '158');
INSERT INTO public.who_import VALUES (54602, '2020-08-26', 'MR', 'Mauritania', 'AFRO', '32', '6960', '0', '158');
INSERT INTO public.who_import VALUES (54603, '2020-08-27', 'MR', 'Mauritania', 'AFRO', '17', '6977', '0', '158');
INSERT INTO public.who_import VALUES (54604, '2020-08-28', 'MR', 'Mauritania', 'AFRO', '0', '6977', '0', '158');
INSERT INTO public.who_import VALUES (54605, '2020-08-29', 'MR', 'Mauritania', 'AFRO', '35', '7012', '0', '158');
INSERT INTO public.who_import VALUES (54606, '2020-08-30', 'MR', 'Mauritania', 'AFRO', '0', '7012', '0', '158');
INSERT INTO public.who_import VALUES (54607, '2020-08-31', 'MR', 'Mauritania', 'AFRO', '10', '7022', '1', '159');
INSERT INTO public.who_import VALUES (54608, '2020-09-01', 'MR', 'Mauritania', 'AFRO', '26', '7048', '0', '159');
INSERT INTO public.who_import VALUES (54609, '2020-09-02', 'MR', 'Mauritania', 'AFRO', '27', '7075', '0', '159');
INSERT INTO public.who_import VALUES (54610, '2020-09-03', 'MR', 'Mauritania', 'AFRO', '14', '7089', '0', '159');
INSERT INTO public.who_import VALUES (54611, '2020-09-04', 'MR', 'Mauritania', 'AFRO', '17', '7106', '1', '160');
INSERT INTO public.who_import VALUES (54612, '2020-09-05', 'MR', 'Mauritania', 'AFRO', '20', '7126', '0', '160');
INSERT INTO public.who_import VALUES (54613, '2020-09-06', 'MR', 'Mauritania', 'AFRO', '8', '7134', '0', '160');
INSERT INTO public.who_import VALUES (54614, '2020-09-07', 'MR', 'Mauritania', 'AFRO', '8', '7142', '0', '160');
INSERT INTO public.who_import VALUES (55261, '2020-03-08', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54615, '2020-09-08', 'MR', 'Mauritania', 'AFRO', '22', '7164', '0', '160');
INSERT INTO public.who_import VALUES (54616, '2020-09-09', 'MR', 'Mauritania', 'AFRO', '0', '7164', '0', '160');
INSERT INTO public.who_import VALUES (54617, '2020-09-10', 'MR', 'Mauritania', 'AFRO', '38', '7202', '1', '161');
INSERT INTO public.who_import VALUES (54618, '2020-09-11', 'MR', 'Mauritania', 'AFRO', '20', '7222', '0', '161');
INSERT INTO public.who_import VALUES (54619, '2020-09-12', 'MR', 'Mauritania', 'AFRO', '44', '7266', '0', '161');
INSERT INTO public.who_import VALUES (54620, '2020-09-13', 'MR', 'Mauritania', 'AFRO', '8', '7274', '0', '161');
INSERT INTO public.who_import VALUES (54621, '2020-09-14', 'MR', 'Mauritania', 'AFRO', '2', '7276', '0', '161');
INSERT INTO public.who_import VALUES (54622, '2020-09-15', 'MR', 'Mauritania', 'AFRO', '19', '7295', '0', '161');
INSERT INTO public.who_import VALUES (54623, '2020-09-16', 'MR', 'Mauritania', 'AFRO', '24', '7319', '0', '161');
INSERT INTO public.who_import VALUES (54624, '2020-09-17', 'MR', 'Mauritania', 'AFRO', '13', '7332', '0', '161');
INSERT INTO public.who_import VALUES (54625, '2020-09-18', 'MR', 'Mauritania', 'AFRO', '14', '7346', '0', '161');
INSERT INTO public.who_import VALUES (54626, '2020-09-19', 'MR', 'Mauritania', 'AFRO', '15', '7361', '0', '161');
INSERT INTO public.who_import VALUES (54627, '2020-09-20', 'MR', 'Mauritania', 'AFRO', '4', '7365', '0', '161');
INSERT INTO public.who_import VALUES (54628, '2020-09-21', 'MR', 'Mauritania', 'AFRO', '3', '7368', '0', '161');
INSERT INTO public.who_import VALUES (54629, '2020-09-22', 'MR', 'Mauritania', 'AFRO', '16', '7384', '0', '161');
INSERT INTO public.who_import VALUES (54630, '2020-09-23', 'MR', 'Mauritania', 'AFRO', '19', '7403', '0', '161');
INSERT INTO public.who_import VALUES (54631, '2020-09-24', 'MR', 'Mauritania', 'AFRO', '22', '7425', '0', '161');
INSERT INTO public.who_import VALUES (54632, '2020-09-25', 'MR', 'Mauritania', 'AFRO', '8', '7433', '0', '161');
INSERT INTO public.who_import VALUES (54633, '2020-09-26', 'MR', 'Mauritania', 'AFRO', '24', '7457', '0', '161');
INSERT INTO public.who_import VALUES (54634, '2020-09-27', 'MR', 'Mauritania', 'AFRO', '5', '7462', '0', '161');
INSERT INTO public.who_import VALUES (54635, '2020-09-28', 'MR', 'Mauritania', 'AFRO', '0', '7462', '0', '161');
INSERT INTO public.who_import VALUES (54636, '2020-09-29', 'MR', 'Mauritania', 'AFRO', '12', '7474', '0', '161');
INSERT INTO public.who_import VALUES (54637, '2020-09-30', 'MR', 'Mauritania', 'AFRO', '14', '7488', '0', '161');
INSERT INTO public.who_import VALUES (54638, '2020-10-01', 'MR', 'Mauritania', 'AFRO', '14', '7502', '0', '161');
INSERT INTO public.who_import VALUES (54639, '2020-10-02', 'MR', 'Mauritania', 'AFRO', '3', '7505', '0', '161');
INSERT INTO public.who_import VALUES (54640, '2020-10-03', 'MR', 'Mauritania', 'AFRO', '6', '7511', '0', '161');
INSERT INTO public.who_import VALUES (54641, '2020-10-04', 'MR', 'Mauritania', 'AFRO', '0', '7511', '0', '161');
INSERT INTO public.who_import VALUES (54642, '2020-10-05', 'MR', 'Mauritania', 'AFRO', '9', '7520', '0', '161');
INSERT INTO public.who_import VALUES (54643, '2020-10-06', 'MR', 'Mauritania', 'AFRO', '3', '7523', '0', '161');
INSERT INTO public.who_import VALUES (54644, '2020-10-07', 'MR', 'Mauritania', 'AFRO', '0', '7523', '0', '161');
INSERT INTO public.who_import VALUES (54645, '2020-10-08', 'MR', 'Mauritania', 'AFRO', '0', '7523', '0', '161');
INSERT INTO public.who_import VALUES (54646, '2020-10-09', 'MR', 'Mauritania', 'AFRO', '0', '7523', '0', '161');
INSERT INTO public.who_import VALUES (54647, '2020-10-10', 'MR', 'Mauritania', 'AFRO', '0', '7523', '0', '161');
INSERT INTO public.who_import VALUES (54648, '2020-10-11', 'MR', 'Mauritania', 'AFRO', '0', '7523', '0', '161');
INSERT INTO public.who_import VALUES (54649, '2020-10-12', 'MR', 'Mauritania', 'AFRO', '27', '7550', '2', '163');
INSERT INTO public.who_import VALUES (54650, '2020-10-13', 'MR', 'Mauritania', 'AFRO', '4', '7554', '0', '163');
INSERT INTO public.who_import VALUES (54651, '2020-10-14', 'MR', 'Mauritania', 'AFRO', '11', '7565', '0', '163');
INSERT INTO public.who_import VALUES (54652, '2020-10-15', 'MR', 'Mauritania', 'AFRO', '0', '7565', '0', '163');
INSERT INTO public.who_import VALUES (54653, '2020-10-16', 'MR', 'Mauritania', 'AFRO', '20', '7585', '0', '163');
INSERT INTO public.who_import VALUES (54654, '2020-10-17', 'MR', 'Mauritania', 'AFRO', '18', '7603', '0', '163');
INSERT INTO public.who_import VALUES (54655, '2020-10-18', 'MR', 'Mauritania', 'AFRO', '0', '7603', '0', '163');
INSERT INTO public.who_import VALUES (54656, '2020-10-19', 'MR', 'Mauritania', 'AFRO', '5', '7608', '0', '163');
INSERT INTO public.who_import VALUES (54657, '2020-10-20', 'MR', 'Mauritania', 'AFRO', '13', '7621', '0', '163');
INSERT INTO public.who_import VALUES (54658, '2020-10-21', 'MR', 'Mauritania', 'AFRO', '13', '7634', '0', '163');
INSERT INTO public.who_import VALUES (54659, '2020-10-22', 'MR', 'Mauritania', 'AFRO', '4', '7638', '0', '163');
INSERT INTO public.who_import VALUES (54660, '2020-10-23', 'MR', 'Mauritania', 'AFRO', '0', '7638', '0', '163');
INSERT INTO public.who_import VALUES (54661, '2020-10-24', 'MR', 'Mauritania', 'AFRO', '24', '7662', '0', '163');
INSERT INTO public.who_import VALUES (54662, '2020-10-25', 'MR', 'Mauritania', 'AFRO', '0', '7662', '0', '163');
INSERT INTO public.who_import VALUES (54663, '2020-10-26', 'MR', 'Mauritania', 'AFRO', '1', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54664, '2020-10-27', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54665, '2020-10-28', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54666, '2020-10-29', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54667, '2020-10-30', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54668, '2020-10-31', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54669, '2020-11-01', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54670, '2020-11-02', 'MR', 'Mauritania', 'AFRO', '0', '7663', '0', '163');
INSERT INTO public.who_import VALUES (54671, '2020-11-03', 'MR', 'Mauritania', 'AFRO', '62', '7725', '0', '163');
INSERT INTO public.who_import VALUES (54672, '2020-11-04', 'MR', 'Mauritania', 'AFRO', '0', '7725', '0', '163');
INSERT INTO public.who_import VALUES (54673, '2020-11-05', 'MR', 'Mauritania', 'AFRO', '0', '7725', '0', '163');
INSERT INTO public.who_import VALUES (54674, '2020-11-06', 'MR', 'Mauritania', 'AFRO', '0', '7725', '0', '163');
INSERT INTO public.who_import VALUES (54675, '2020-11-07', 'MR', 'Mauritania', 'AFRO', '0', '7725', '0', '163');
INSERT INTO public.who_import VALUES (54676, '2020-11-08', 'MR', 'Mauritania', 'AFRO', '0', '7725', '0', '163');
INSERT INTO public.who_import VALUES (54677, '2020-11-09', 'MR', 'Mauritania', 'AFRO', '95', '7820', '2', '165');
INSERT INTO public.who_import VALUES (54678, '2020-11-10', 'MR', 'Mauritania', 'AFRO', '0', '7820', '0', '165');
INSERT INTO public.who_import VALUES (54679, '2020-11-11', 'MR', 'Mauritania', 'AFRO', '28', '7848', '0', '165');
INSERT INTO public.who_import VALUES (54680, '2020-11-12', 'MR', 'Mauritania', 'AFRO', '37', '7885', '0', '165');
INSERT INTO public.who_import VALUES (54681, '2020-11-13', 'MR', 'Mauritania', 'AFRO', '0', '7885', '0', '165');
INSERT INTO public.who_import VALUES (54682, '2020-11-14', 'MR', 'Mauritania', 'AFRO', '0', '7885', '0', '165');
INSERT INTO public.who_import VALUES (54683, '2020-11-15', 'MR', 'Mauritania', 'AFRO', '0', '7885', '0', '165');
INSERT INTO public.who_import VALUES (54684, '2020-11-16', 'MR', 'Mauritania', 'AFRO', '0', '7885', '0', '165');
INSERT INTO public.who_import VALUES (54685, '2020-11-17', 'MR', 'Mauritania', 'AFRO', '67', '7952', '0', '165');
INSERT INTO public.who_import VALUES (54686, '2020-11-18', 'MR', 'Mauritania', 'AFRO', '0', '7952', '0', '165');
INSERT INTO public.who_import VALUES (54687, '2020-11-19', 'MR', 'Mauritania', 'AFRO', '0', '7952', '0', '165');
INSERT INTO public.who_import VALUES (54688, '2020-11-20', 'MR', 'Mauritania', 'AFRO', '0', '7952', '0', '165');
INSERT INTO public.who_import VALUES (54689, '2020-11-21', 'MR', 'Mauritania', 'AFRO', '123', '8075', '4', '169');
INSERT INTO public.who_import VALUES (54690, '2020-11-22', 'MR', 'Mauritania', 'AFRO', '0', '8075', '0', '169');
INSERT INTO public.who_import VALUES (54691, '2020-11-23', 'MR', 'Mauritania', 'AFRO', '0', '8075', '0', '169');
INSERT INTO public.who_import VALUES (54692, '2020-11-24', 'MR', 'Mauritania', 'AFRO', '0', '8075', '0', '169');
INSERT INTO public.who_import VALUES (54693, '2020-11-25', 'MR', 'Mauritania', 'AFRO', '0', '8075', '0', '169');
INSERT INTO public.who_import VALUES (54694, '2020-11-26', 'MR', 'Mauritania', 'AFRO', '0', '8075', '0', '169');
INSERT INTO public.who_import VALUES (54695, '2020-11-27', 'MR', 'Mauritania', 'AFRO', '0', '8075', '0', '169');
INSERT INTO public.who_import VALUES (54696, '2020-11-28', 'MR', 'Mauritania', 'AFRO', '349', '8424', '3', '172');
INSERT INTO public.who_import VALUES (54697, '2020-11-29', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54698, '2020-11-30', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54699, '2020-12-01', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54700, '2020-12-02', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54701, '2020-12-03', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54702, '2020-12-04', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54703, '2020-12-05', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54704, '2020-12-06', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54705, '2020-12-07', 'MR', 'Mauritania', 'AFRO', '0', '8424', '0', '172');
INSERT INTO public.who_import VALUES (54706, '2020-12-08', 'MR', 'Mauritania', 'AFRO', '1092', '9516', '16', '188');
INSERT INTO public.who_import VALUES (54707, '2020-12-09', 'MR', 'Mauritania', 'AFRO', '0', '9516', '0', '188');
INSERT INTO public.who_import VALUES (54708, '2020-12-10', 'MR', 'Mauritania', 'AFRO', '163', '9679', '6', '194');
INSERT INTO public.who_import VALUES (54709, '2020-12-11', 'MR', 'Mauritania', 'AFRO', '0', '9679', '0', '194');
INSERT INTO public.who_import VALUES (54710, '2020-12-12', 'MR', 'Mauritania', 'AFRO', '0', '9679', '0', '194');
INSERT INTO public.who_import VALUES (54711, '2020-12-13', 'MR', 'Mauritania', 'AFRO', '0', '9679', '0', '194');
INSERT INTO public.who_import VALUES (54712, '2020-12-14', 'MR', 'Mauritania', 'AFRO', '1292', '10971', '31', '225');
INSERT INTO public.who_import VALUES (54713, '2020-12-15', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54714, '2020-12-16', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54715, '2020-12-17', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54716, '2020-12-18', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54717, '2020-12-19', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54718, '2020-12-20', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54719, '2020-12-21', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54720, '2020-12-22', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (55262, '2020-03-09', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54721, '2020-12-23', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54722, '2020-12-24', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54723, '2020-12-25', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54724, '2020-12-26', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54725, '2020-12-27', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54726, '2020-12-28', 'MR', 'Mauritania', 'AFRO', '0', '10971', '0', '225');
INSERT INTO public.who_import VALUES (54727, '2020-12-29', 'MR', 'Mauritania', 'AFRO', '2671', '13642', '99', '324');
INSERT INTO public.who_import VALUES (54728, '2020-12-30', 'MR', 'Mauritania', 'AFRO', '0', '13642', '0', '324');
INSERT INTO public.who_import VALUES (54729, '2020-12-31', 'MR', 'Mauritania', 'AFRO', '0', '13642', '0', '324');
INSERT INTO public.who_import VALUES (54730, '2021-01-01', 'MR', 'Mauritania', 'AFRO', '0', '13642', '0', '324');
INSERT INTO public.who_import VALUES (54731, '2021-01-02', 'MR', 'Mauritania', 'AFRO', '0', '13642', '0', '324');
INSERT INTO public.who_import VALUES (54732, '2021-01-03', 'MR', 'Mauritania', 'AFRO', '722', '14364', '23', '347');
INSERT INTO public.who_import VALUES (54733, '2021-01-04', 'MR', 'Mauritania', 'AFRO', '0', '14364', '0', '347');
INSERT INTO public.who_import VALUES (54734, '2021-01-05', 'MR', 'Mauritania', 'AFRO', '0', '14364', '0', '347');
INSERT INTO public.who_import VALUES (54735, '2021-01-06', 'MR', 'Mauritania', 'AFRO', '617', '14981', '20', '367');
INSERT INTO public.who_import VALUES (54736, '2021-01-07', 'MR', 'Mauritania', 'AFRO', '130', '15111', '6', '373');
INSERT INTO public.who_import VALUES (54737, '2021-01-08', 'MR', 'Mauritania', 'AFRO', '103', '15214', '5', '378');
INSERT INTO public.who_import VALUES (54738, '2021-01-09', 'MR', 'Mauritania', 'AFRO', '0', '15214', '0', '378');
INSERT INTO public.who_import VALUES (54739, '2021-01-10', 'MR', 'Mauritania', 'AFRO', '0', '15214', '0', '378');
INSERT INTO public.who_import VALUES (54740, '2021-01-11', 'MR', 'Mauritania', 'AFRO', '298', '15512', '6', '384');
INSERT INTO public.who_import VALUES (54741, '2021-01-12', 'MR', 'Mauritania', 'AFRO', '0', '15512', '0', '384');
INSERT INTO public.who_import VALUES (54742, '2021-01-13', 'MR', 'Mauritania', 'AFRO', '99', '15611', '3', '387');
INSERT INTO public.who_import VALUES (54743, '2021-01-14', 'MR', 'Mauritania', 'AFRO', '0', '15611', '0', '387');
INSERT INTO public.who_import VALUES (54744, '2021-01-15', 'MR', 'Mauritania', 'AFRO', '282', '15893', '9', '396');
INSERT INTO public.who_import VALUES (54745, '2021-01-16', 'MR', 'Mauritania', 'AFRO', '0', '15893', '0', '396');
INSERT INTO public.who_import VALUES (54746, '2021-01-17', 'MR', 'Mauritania', 'AFRO', '0', '15893', '0', '396');
INSERT INTO public.who_import VALUES (54747, '2021-01-18', 'MR', 'Mauritania', 'AFRO', '146', '16039', '6', '402');
INSERT INTO public.who_import VALUES (54748, '2021-01-19', 'MR', 'Mauritania', 'AFRO', '0', '16039', '0', '402');
INSERT INTO public.who_import VALUES (54749, '2021-01-20', 'MR', 'Mauritania', 'AFRO', '0', '16039', '0', '402');
INSERT INTO public.who_import VALUES (54750, '2021-01-21', 'MR', 'Mauritania', 'AFRO', '0', '16039', '0', '402');
INSERT INTO public.who_import VALUES (54751, '2021-01-22', 'MR', 'Mauritania', 'AFRO', '0', '16039', '0', '402');
INSERT INTO public.who_import VALUES (54752, '2021-01-23', 'MR', 'Mauritania', 'AFRO', '183', '16222', '8', '410');
INSERT INTO public.who_import VALUES (54753, '2021-01-24', 'MR', 'Mauritania', 'AFRO', '0', '16222', '0', '410');
INSERT INTO public.who_import VALUES (54754, '2021-01-25', 'MR', 'Mauritania', 'AFRO', '0', '16222', '0', '410');
INSERT INTO public.who_import VALUES (54755, '2021-01-26', 'MR', 'Mauritania', 'AFRO', '0', '16222', '0', '410');
INSERT INTO public.who_import VALUES (54756, '2021-01-27', 'MR', 'Mauritania', 'AFRO', '0', '16222', '0', '410');
INSERT INTO public.who_import VALUES (54757, '2021-01-28', 'MR', 'Mauritania', 'AFRO', '0', '16222', '0', '410');
INSERT INTO public.who_import VALUES (54758, '2021-01-29', 'MR', 'Mauritania', 'AFRO', '238', '16460', '8', '418');
INSERT INTO public.who_import VALUES (54759, '2021-01-30', 'MR', 'Mauritania', 'AFRO', '0', '16460', '0', '418');
INSERT INTO public.who_import VALUES (54760, '2021-01-31', 'MR', 'Mauritania', 'AFRO', '0', '16460', '0', '418');
INSERT INTO public.who_import VALUES (54761, '2021-02-01', 'MR', 'Mauritania', 'AFRO', '0', '16460', '0', '418');
INSERT INTO public.who_import VALUES (54762, '2021-02-02', 'MR', 'Mauritania', 'AFRO', '0', '16460', '0', '418');
INSERT INTO public.who_import VALUES (54763, '2021-02-03', 'MR', 'Mauritania', 'AFRO', '0', '16460', '0', '418');
INSERT INTO public.who_import VALUES (54764, '2021-02-04', 'MR', 'Mauritania', 'AFRO', '202', '16662', '4', '422');
INSERT INTO public.who_import VALUES (54765, '2021-02-05', 'MR', 'Mauritania', 'AFRO', '0', '16662', '0', '422');
INSERT INTO public.who_import VALUES (54766, '2021-02-06', 'MR', 'Mauritania', 'AFRO', '0', '16662', '0', '422');
INSERT INTO public.who_import VALUES (54767, '2021-02-07', 'MR', 'Mauritania', 'AFRO', '115', '16777', '3', '425');
INSERT INTO public.who_import VALUES (54768, '2021-02-08', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54769, '2021-02-09', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54770, '2021-02-10', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54771, '2021-02-11', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54772, '2021-02-12', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54773, '2021-02-13', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54774, '2021-02-14', 'MR', 'Mauritania', 'AFRO', '0', '16777', '0', '425');
INSERT INTO public.who_import VALUES (54775, '2021-02-15', 'MR', 'Mauritania', 'AFRO', '197', '16974', '5', '430');
INSERT INTO public.who_import VALUES (54776, '2021-02-16', 'MR', 'Mauritania', 'AFRO', '22', '16996', '0', '430');
INSERT INTO public.who_import VALUES (54777, '2021-02-17', 'MR', 'Mauritania', 'AFRO', '20', '17016', '1', '431');
INSERT INTO public.who_import VALUES (54778, '2021-02-18', 'MR', 'Mauritania', 'AFRO', '25', '17041', '1', '432');
INSERT INTO public.who_import VALUES (54779, '2021-02-19', 'MR', 'Mauritania', 'AFRO', '17', '17058', '1', '433');
INSERT INTO public.who_import VALUES (54780, '2021-02-20', 'MR', 'Mauritania', 'AFRO', '13', '17071', '0', '433');
INSERT INTO public.who_import VALUES (54781, '2020-01-03', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54782, '2020-01-04', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54783, '2020-01-05', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54784, '2020-01-06', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54785, '2020-01-07', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54786, '2020-01-08', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54787, '2020-01-09', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54788, '2020-01-10', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54789, '2020-01-11', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54790, '2020-01-12', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54791, '2020-01-13', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54792, '2020-01-14', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54793, '2020-01-15', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54794, '2020-01-16', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54795, '2020-01-17', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54796, '2020-01-18', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54797, '2020-01-19', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54798, '2020-01-20', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54799, '2020-01-21', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54800, '2020-01-22', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54801, '2020-01-23', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54802, '2020-01-24', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54803, '2020-01-25', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54804, '2020-01-26', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54805, '2020-01-27', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54806, '2020-01-28', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54807, '2020-01-29', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54808, '2020-01-30', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54809, '2020-01-31', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54810, '2020-02-01', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54811, '2020-02-02', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54812, '2020-02-03', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54813, '2020-02-04', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54814, '2020-02-05', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54815, '2020-02-06', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54816, '2020-02-07', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54817, '2020-02-08', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54818, '2020-02-09', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54819, '2020-02-10', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54820, '2020-02-11', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54821, '2020-02-12', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54822, '2020-02-13', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54823, '2020-02-14', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54824, '2020-02-15', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54825, '2020-02-16', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54826, '2020-02-17', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54827, '2020-02-18', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54828, '2020-02-19', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54829, '2020-02-20', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54830, '2020-02-21', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54831, '2020-02-22', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54832, '2020-02-23', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54833, '2020-02-24', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54834, '2020-02-25', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54835, '2020-02-26', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54836, '2020-02-27', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54837, '2020-02-28', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54838, '2020-02-29', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54839, '2020-03-01', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54840, '2020-03-02', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54841, '2020-03-03', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54842, '2020-03-04', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54843, '2020-03-05', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54844, '2020-03-06', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54845, '2020-03-07', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54846, '2020-03-08', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54847, '2020-03-09', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54848, '2020-03-10', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54849, '2020-03-11', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54850, '2020-03-12', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54851, '2020-03-13', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54852, '2020-03-14', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54853, '2020-03-15', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54854, '2020-03-16', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54855, '2020-03-17', 'MU', 'Mauritius', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (54856, '2020-03-18', 'MU', 'Mauritius', 'AFRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (54857, '2020-03-19', 'MU', 'Mauritius', 'AFRO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (54858, '2020-03-20', 'MU', 'Mauritius', 'AFRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (54859, '2020-03-21', 'MU', 'Mauritius', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (54860, '2020-03-22', 'MU', 'Mauritius', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (54861, '2020-03-23', 'MU', 'Mauritius', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (54862, '2020-03-24', 'MU', 'Mauritius', 'AFRO', '24', '36', '0', '0');
INSERT INTO public.who_import VALUES (54863, '2020-03-25', 'MU', 'Mauritius', 'AFRO', '6', '42', '2', '2');
INSERT INTO public.who_import VALUES (54864, '2020-03-26', 'MU', 'Mauritius', 'AFRO', '5', '47', '0', '2');
INSERT INTO public.who_import VALUES (54865, '2020-03-27', 'MU', 'Mauritius', 'AFRO', '34', '81', '0', '2');
INSERT INTO public.who_import VALUES (54866, '2020-03-28', 'MU', 'Mauritius', 'AFRO', '15', '96', '0', '2');
INSERT INTO public.who_import VALUES (54867, '2020-03-29', 'MU', 'Mauritius', 'AFRO', '6', '102', '0', '2');
INSERT INTO public.who_import VALUES (54868, '2020-03-30', 'MU', 'Mauritius', 'AFRO', '0', '102', '0', '2');
INSERT INTO public.who_import VALUES (54869, '2020-03-31', 'MU', 'Mauritius', 'AFRO', '26', '128', '0', '2');
INSERT INTO public.who_import VALUES (54870, '2020-04-01', 'MU', 'Mauritius', 'AFRO', '15', '143', '3', '5');
INSERT INTO public.who_import VALUES (54871, '2020-04-02', 'MU', 'Mauritius', 'AFRO', '11', '154', '0', '5');
INSERT INTO public.who_import VALUES (54872, '2020-04-03', 'MU', 'Mauritius', 'AFRO', '15', '169', '2', '7');
INSERT INTO public.who_import VALUES (54873, '2020-04-04', 'MU', 'Mauritius', 'AFRO', '17', '186', '0', '7');
INSERT INTO public.who_import VALUES (54874, '2020-04-05', 'MU', 'Mauritius', 'AFRO', '10', '196', '0', '7');
INSERT INTO public.who_import VALUES (54875, '2020-04-06', 'MU', 'Mauritius', 'AFRO', '31', '227', '0', '7');
INSERT INTO public.who_import VALUES (54876, '2020-04-07', 'MU', 'Mauritius', 'AFRO', '17', '244', '0', '7');
INSERT INTO public.who_import VALUES (54877, '2020-04-08', 'MU', 'Mauritius', 'AFRO', '24', '268', '0', '7');
INSERT INTO public.who_import VALUES (54878, '2020-04-09', 'MU', 'Mauritius', 'AFRO', '5', '273', '0', '7');
INSERT INTO public.who_import VALUES (54879, '2020-04-10', 'MU', 'Mauritius', 'AFRO', '41', '314', '0', '7');
INSERT INTO public.who_import VALUES (54880, '2020-04-11', 'MU', 'Mauritius', 'AFRO', '4', '318', '2', '9');
INSERT INTO public.who_import VALUES (54881, '2020-04-12', 'MU', 'Mauritius', 'AFRO', '1', '319', '0', '9');
INSERT INTO public.who_import VALUES (54882, '2020-04-13', 'MU', 'Mauritius', 'AFRO', '5', '324', '0', '9');
INSERT INTO public.who_import VALUES (54883, '2020-04-14', 'MU', 'Mauritius', 'AFRO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (54884, '2020-04-15', 'MU', 'Mauritius', 'AFRO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (54885, '2020-04-16', 'MU', 'Mauritius', 'AFRO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (54886, '2020-04-17', 'MU', 'Mauritius', 'AFRO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (54887, '2020-04-18', 'MU', 'Mauritius', 'AFRO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (54888, '2020-04-19', 'MU', 'Mauritius', 'AFRO', '1', '325', '0', '9');
INSERT INTO public.who_import VALUES (54889, '2020-04-20', 'MU', 'Mauritius', 'AFRO', '3', '328', '0', '9');
INSERT INTO public.who_import VALUES (54890, '2020-04-21', 'MU', 'Mauritius', 'AFRO', '0', '328', '0', '9');
INSERT INTO public.who_import VALUES (54891, '2020-04-22', 'MU', 'Mauritius', 'AFRO', '0', '328', '0', '9');
INSERT INTO public.who_import VALUES (54892, '2020-04-23', 'MU', 'Mauritius', 'AFRO', '1', '329', '0', '9');
INSERT INTO public.who_import VALUES (54893, '2020-04-24', 'MU', 'Mauritius', 'AFRO', '2', '331', '0', '9');
INSERT INTO public.who_import VALUES (54894, '2020-04-25', 'MU', 'Mauritius', 'AFRO', '0', '331', '0', '9');
INSERT INTO public.who_import VALUES (54895, '2020-04-26', 'MU', 'Mauritius', 'AFRO', '0', '331', '0', '9');
INSERT INTO public.who_import VALUES (54896, '2020-04-27', 'MU', 'Mauritius', 'AFRO', '1', '332', '0', '9');
INSERT INTO public.who_import VALUES (54897, '2020-04-28', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '9');
INSERT INTO public.who_import VALUES (54898, '2020-04-29', 'MU', 'Mauritius', 'AFRO', '0', '332', '1', '10');
INSERT INTO public.who_import VALUES (54899, '2020-04-30', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54900, '2020-05-01', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54901, '2020-05-02', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54902, '2020-05-03', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54903, '2020-05-04', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54904, '2020-05-05', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54905, '2020-05-06', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54906, '2020-05-07', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54907, '2020-05-08', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54908, '2020-05-09', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54909, '2020-05-10', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54910, '2020-05-11', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54911, '2020-05-12', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54912, '2020-05-13', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54913, '2020-05-14', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54914, '2020-05-15', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54915, '2020-05-16', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54916, '2020-05-17', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54917, '2020-05-18', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54918, '2020-05-19', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54919, '2020-05-20', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54920, '2020-05-21', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54921, '2020-05-22', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54922, '2020-05-23', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54923, '2020-05-24', 'MU', 'Mauritius', 'AFRO', '0', '332', '0', '10');
INSERT INTO public.who_import VALUES (54924, '2020-05-25', 'MU', 'Mauritius', 'AFRO', '2', '334', '0', '10');
INSERT INTO public.who_import VALUES (54925, '2020-05-26', 'MU', 'Mauritius', 'AFRO', '0', '334', '0', '10');
INSERT INTO public.who_import VALUES (54926, '2020-05-27', 'MU', 'Mauritius', 'AFRO', '0', '334', '0', '10');
INSERT INTO public.who_import VALUES (54927, '2020-05-28', 'MU', 'Mauritius', 'AFRO', '0', '334', '0', '10');
INSERT INTO public.who_import VALUES (54928, '2020-05-29', 'MU', 'Mauritius', 'AFRO', '0', '334', '0', '10');
INSERT INTO public.who_import VALUES (54929, '2020-05-30', 'MU', 'Mauritius', 'AFRO', '1', '335', '0', '10');
INSERT INTO public.who_import VALUES (54930, '2020-05-31', 'MU', 'Mauritius', 'AFRO', '0', '335', '0', '10');
INSERT INTO public.who_import VALUES (54931, '2020-06-01', 'MU', 'Mauritius', 'AFRO', '0', '335', '0', '10');
INSERT INTO public.who_import VALUES (54932, '2020-06-02', 'MU', 'Mauritius', 'AFRO', '0', '335', '0', '10');
INSERT INTO public.who_import VALUES (54933, '2020-06-03', 'MU', 'Mauritius', 'AFRO', '0', '335', '0', '10');
INSERT INTO public.who_import VALUES (54934, '2020-06-04', 'MU', 'Mauritius', 'AFRO', '0', '335', '0', '10');
INSERT INTO public.who_import VALUES (54935, '2020-06-05', 'MU', 'Mauritius', 'AFRO', '0', '335', '0', '10');
INSERT INTO public.who_import VALUES (54936, '2020-06-06', 'MU', 'Mauritius', 'AFRO', '2', '337', '0', '10');
INSERT INTO public.who_import VALUES (54937, '2020-06-07', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54938, '2020-06-08', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54939, '2020-06-09', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54940, '2020-06-10', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54941, '2020-06-11', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54942, '2020-06-12', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54943, '2020-06-13', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54944, '2020-06-14', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54945, '2020-06-15', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54946, '2020-06-16', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54947, '2020-06-17', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54948, '2020-06-18', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54949, '2020-06-19', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54950, '2020-06-20', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54951, '2020-06-21', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54952, '2020-06-22', 'MU', 'Mauritius', 'AFRO', '0', '337', '0', '10');
INSERT INTO public.who_import VALUES (54953, '2020-06-23', 'MU', 'Mauritius', 'AFRO', '3', '340', '0', '10');
INSERT INTO public.who_import VALUES (54954, '2020-06-24', 'MU', 'Mauritius', 'AFRO', '0', '340', '0', '10');
INSERT INTO public.who_import VALUES (54955, '2020-06-25', 'MU', 'Mauritius', 'AFRO', '1', '341', '0', '10');
INSERT INTO public.who_import VALUES (54956, '2020-06-26', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54957, '2020-06-27', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54958, '2020-06-28', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54959, '2020-06-29', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54960, '2020-06-30', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54961, '2020-07-01', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54962, '2020-07-02', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54963, '2020-07-03', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54964, '2020-07-04', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54965, '2020-07-05', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54966, '2020-07-06', 'MU', 'Mauritius', 'AFRO', '0', '341', '0', '10');
INSERT INTO public.who_import VALUES (54967, '2020-07-07', 'MU', 'Mauritius', 'AFRO', '1', '342', '0', '10');
INSERT INTO public.who_import VALUES (54968, '2020-07-08', 'MU', 'Mauritius', 'AFRO', '0', '342', '0', '10');
INSERT INTO public.who_import VALUES (54969, '2020-07-09', 'MU', 'Mauritius', 'AFRO', '0', '342', '0', '10');
INSERT INTO public.who_import VALUES (54970, '2020-07-10', 'MU', 'Mauritius', 'AFRO', '0', '342', '0', '10');
INSERT INTO public.who_import VALUES (54971, '2020-07-11', 'MU', 'Mauritius', 'AFRO', '0', '342', '0', '10');
INSERT INTO public.who_import VALUES (54972, '2020-07-12', 'MU', 'Mauritius', 'AFRO', '0', '342', '0', '10');
INSERT INTO public.who_import VALUES (54973, '2020-07-13', 'MU', 'Mauritius', 'AFRO', '0', '342', '0', '10');
INSERT INTO public.who_import VALUES (54974, '2020-07-14', 'MU', 'Mauritius', 'AFRO', '1', '343', '0', '10');
INSERT INTO public.who_import VALUES (54975, '2020-07-15', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54976, '2020-07-16', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54977, '2020-07-17', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54978, '2020-07-18', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54979, '2020-07-19', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54980, '2020-07-20', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54981, '2020-07-21', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54982, '2020-07-22', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54983, '2020-07-23', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54984, '2020-07-24', 'MU', 'Mauritius', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (54985, '2020-07-25', 'MU', 'Mauritius', 'AFRO', '1', '344', '0', '10');
INSERT INTO public.who_import VALUES (54986, '2020-07-26', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54987, '2020-07-27', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54988, '2020-07-28', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54989, '2020-07-29', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54990, '2020-07-30', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54991, '2020-07-31', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54992, '2020-08-01', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54993, '2020-08-02', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54994, '2020-08-03', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54995, '2020-08-04', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54996, '2020-08-05', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54997, '2020-08-06', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54998, '2020-08-07', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (54999, '2020-08-08', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55000, '2020-08-09', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55001, '2020-08-10', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55002, '2020-08-11', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55003, '2020-08-12', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55004, '2020-08-13', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55005, '2020-08-14', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55006, '2020-08-15', 'MU', 'Mauritius', 'AFRO', '0', '344', '0', '10');
INSERT INTO public.who_import VALUES (55007, '2020-08-16', 'MU', 'Mauritius', 'AFRO', '2', '346', '0', '10');
INSERT INTO public.who_import VALUES (55008, '2020-08-17', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55009, '2020-08-18', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55010, '2020-08-19', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55011, '2020-08-20', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55012, '2020-08-21', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55013, '2020-08-22', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55014, '2020-08-23', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55015, '2020-08-24', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55016, '2020-08-25', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55017, '2020-08-26', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55018, '2020-08-27', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55019, '2020-08-28', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55020, '2020-08-29', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55021, '2020-08-30', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55022, '2020-08-31', 'MU', 'Mauritius', 'AFRO', '0', '346', '0', '10');
INSERT INTO public.who_import VALUES (55023, '2020-09-01', 'MU', 'Mauritius', 'AFRO', '10', '356', '0', '10');
INSERT INTO public.who_import VALUES (55024, '2020-09-02', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55025, '2020-09-03', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55026, '2020-09-04', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55027, '2020-09-05', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55028, '2020-09-06', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55029, '2020-09-07', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55030, '2020-09-08', 'MU', 'Mauritius', 'AFRO', '0', '356', '0', '10');
INSERT INTO public.who_import VALUES (55031, '2020-09-09', 'MU', 'Mauritius', 'AFRO', '1', '357', '0', '10');
INSERT INTO public.who_import VALUES (55032, '2020-09-10', 'MU', 'Mauritius', 'AFRO', '0', '357', '0', '10');
INSERT INTO public.who_import VALUES (55033, '2020-09-11', 'MU', 'Mauritius', 'AFRO', '4', '361', '0', '10');
INSERT INTO public.who_import VALUES (55034, '2020-09-12', 'MU', 'Mauritius', 'AFRO', '0', '361', '0', '10');
INSERT INTO public.who_import VALUES (55035, '2020-09-13', 'MU', 'Mauritius', 'AFRO', '0', '361', '0', '10');
INSERT INTO public.who_import VALUES (55036, '2020-09-14', 'MU', 'Mauritius', 'AFRO', '0', '361', '0', '10');
INSERT INTO public.who_import VALUES (55037, '2020-09-15', 'MU', 'Mauritius', 'AFRO', '1', '362', '0', '10');
INSERT INTO public.who_import VALUES (55038, '2020-09-16', 'MU', 'Mauritius', 'AFRO', '3', '365', '0', '10');
INSERT INTO public.who_import VALUES (55039, '2020-09-17', 'MU', 'Mauritius', 'AFRO', '0', '365', '0', '10');
INSERT INTO public.who_import VALUES (55040, '2020-09-18', 'MU', 'Mauritius', 'AFRO', '1', '366', '0', '10');
INSERT INTO public.who_import VALUES (55041, '2020-09-19', 'MU', 'Mauritius', 'AFRO', '1', '367', '0', '10');
INSERT INTO public.who_import VALUES (55042, '2020-09-20', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55043, '2020-09-21', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55044, '2020-09-22', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55045, '2020-09-23', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55046, '2020-09-24', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55047, '2020-09-25', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55048, '2020-09-26', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55049, '2020-09-27', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55050, '2020-09-28', 'MU', 'Mauritius', 'AFRO', '0', '367', '0', '10');
INSERT INTO public.who_import VALUES (55051, '2020-09-29', 'MU', 'Mauritius', 'AFRO', '3', '370', '0', '10');
INSERT INTO public.who_import VALUES (55052, '2020-09-30', 'MU', 'Mauritius', 'AFRO', '11', '381', '0', '10');
INSERT INTO public.who_import VALUES (55053, '2020-10-01', 'MU', 'Mauritius', 'AFRO', '0', '381', '0', '10');
INSERT INTO public.who_import VALUES (55054, '2020-10-02', 'MU', 'Mauritius', 'AFRO', '0', '381', '0', '10');
INSERT INTO public.who_import VALUES (55055, '2020-10-03', 'MU', 'Mauritius', 'AFRO', '0', '381', '0', '10');
INSERT INTO public.who_import VALUES (55056, '2020-10-04', 'MU', 'Mauritius', 'AFRO', '0', '381', '0', '10');
INSERT INTO public.who_import VALUES (55057, '2020-10-05', 'MU', 'Mauritius', 'AFRO', '4', '385', '0', '10');
INSERT INTO public.who_import VALUES (55058, '2020-10-06', 'MU', 'Mauritius', 'AFRO', '2', '387', '0', '10');
INSERT INTO public.who_import VALUES (55059, '2020-10-07', 'MU', 'Mauritius', 'AFRO', '8', '395', '0', '10');
INSERT INTO public.who_import VALUES (55060, '2020-10-08', 'MU', 'Mauritius', 'AFRO', '0', '395', '0', '10');
INSERT INTO public.who_import VALUES (55061, '2020-10-09', 'MU', 'Mauritius', 'AFRO', '0', '395', '0', '10');
INSERT INTO public.who_import VALUES (55062, '2020-10-10', 'MU', 'Mauritius', 'AFRO', '0', '395', '0', '10');
INSERT INTO public.who_import VALUES (55063, '2020-10-11', 'MU', 'Mauritius', 'AFRO', '0', '395', '0', '10');
INSERT INTO public.who_import VALUES (55064, '2020-10-12', 'MU', 'Mauritius', 'AFRO', '0', '395', '0', '10');
INSERT INTO public.who_import VALUES (55065, '2020-10-13', 'MU', 'Mauritius', 'AFRO', '9', '404', '0', '10');
INSERT INTO public.who_import VALUES (55066, '2020-10-14', 'MU', 'Mauritius', 'AFRO', '0', '404', '0', '10');
INSERT INTO public.who_import VALUES (55067, '2020-10-15', 'MU', 'Mauritius', 'AFRO', '0', '404', '0', '10');
INSERT INTO public.who_import VALUES (55068, '2020-10-16', 'MU', 'Mauritius', 'AFRO', '0', '404', '0', '10');
INSERT INTO public.who_import VALUES (55069, '2020-10-17', 'MU', 'Mauritius', 'AFRO', '3', '407', '0', '10');
INSERT INTO public.who_import VALUES (55070, '2020-10-18', 'MU', 'Mauritius', 'AFRO', '0', '407', '0', '10');
INSERT INTO public.who_import VALUES (55071, '2020-10-19', 'MU', 'Mauritius', 'AFRO', '0', '407', '0', '10');
INSERT INTO public.who_import VALUES (55072, '2020-10-20', 'MU', 'Mauritius', 'AFRO', '0', '407', '0', '10');
INSERT INTO public.who_import VALUES (55073, '2020-10-21', 'MU', 'Mauritius', 'AFRO', '14', '421', '0', '10');
INSERT INTO public.who_import VALUES (55074, '2020-10-22', 'MU', 'Mauritius', 'AFRO', '0', '421', '0', '10');
INSERT INTO public.who_import VALUES (55075, '2020-10-23', 'MU', 'Mauritius', 'AFRO', '0', '421', '0', '10');
INSERT INTO public.who_import VALUES (55076, '2020-10-24', 'MU', 'Mauritius', 'AFRO', '14', '435', '0', '10');
INSERT INTO public.who_import VALUES (55077, '2020-10-25', 'MU', 'Mauritius', 'AFRO', '0', '435', '0', '10');
INSERT INTO public.who_import VALUES (55078, '2020-10-26', 'MU', 'Mauritius', 'AFRO', '0', '435', '0', '10');
INSERT INTO public.who_import VALUES (55079, '2020-10-27', 'MU', 'Mauritius', 'AFRO', '4', '439', '0', '10');
INSERT INTO public.who_import VALUES (55080, '2020-10-28', 'MU', 'Mauritius', 'AFRO', '0', '439', '0', '10');
INSERT INTO public.who_import VALUES (55081, '2020-10-29', 'MU', 'Mauritius', 'AFRO', '2', '441', '0', '10');
INSERT INTO public.who_import VALUES (55082, '2020-10-30', 'MU', 'Mauritius', 'AFRO', '0', '441', '0', '10');
INSERT INTO public.who_import VALUES (55083, '2020-10-31', 'MU', 'Mauritius', 'AFRO', '0', '441', '0', '10');
INSERT INTO public.who_import VALUES (55084, '2020-11-01', 'MU', 'Mauritius', 'AFRO', '0', '441', '0', '10');
INSERT INTO public.who_import VALUES (55085, '2020-11-02', 'MU', 'Mauritius', 'AFRO', '0', '441', '0', '10');
INSERT INTO public.who_import VALUES (55086, '2020-11-03', 'MU', 'Mauritius', 'AFRO', '11', '452', '0', '10');
INSERT INTO public.who_import VALUES (55087, '2020-11-04', 'MU', 'Mauritius', 'AFRO', '0', '452', '0', '10');
INSERT INTO public.who_import VALUES (55088, '2020-11-05', 'MU', 'Mauritius', 'AFRO', '0', '452', '0', '10');
INSERT INTO public.who_import VALUES (55089, '2020-11-06', 'MU', 'Mauritius', 'AFRO', '0', '452', '0', '10');
INSERT INTO public.who_import VALUES (55090, '2020-11-07', 'MU', 'Mauritius', 'AFRO', '0', '452', '0', '10');
INSERT INTO public.who_import VALUES (55091, '2020-11-08', 'MU', 'Mauritius', 'AFRO', '0', '452', '0', '10');
INSERT INTO public.who_import VALUES (55092, '2020-11-09', 'MU', 'Mauritius', 'AFRO', '0', '452', '0', '10');
INSERT INTO public.who_import VALUES (55093, '2020-11-10', 'MU', 'Mauritius', 'AFRO', '3', '455', '0', '10');
INSERT INTO public.who_import VALUES (55094, '2020-11-11', 'MU', 'Mauritius', 'AFRO', '12', '467', '0', '10');
INSERT INTO public.who_import VALUES (55095, '2020-11-12', 'MU', 'Mauritius', 'AFRO', '0', '467', '0', '10');
INSERT INTO public.who_import VALUES (55096, '2020-11-13', 'MU', 'Mauritius', 'AFRO', '3', '470', '0', '10');
INSERT INTO public.who_import VALUES (55097, '2020-11-14', 'MU', 'Mauritius', 'AFRO', '0', '470', '0', '10');
INSERT INTO public.who_import VALUES (55098, '2020-11-15', 'MU', 'Mauritius', 'AFRO', '0', '470', '0', '10');
INSERT INTO public.who_import VALUES (55099, '2020-11-16', 'MU', 'Mauritius', 'AFRO', '0', '470', '0', '10');
INSERT INTO public.who_import VALUES (55100, '2020-11-17', 'MU', 'Mauritius', 'AFRO', '21', '491', '0', '10');
INSERT INTO public.who_import VALUES (55101, '2020-11-18', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55102, '2020-11-19', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55103, '2020-11-20', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55104, '2020-11-21', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55105, '2020-11-22', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55106, '2020-11-23', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55107, '2020-11-24', 'MU', 'Mauritius', 'AFRO', '0', '491', '0', '10');
INSERT INTO public.who_import VALUES (55108, '2020-11-25', 'MU', 'Mauritius', 'AFRO', '6', '497', '0', '10');
INSERT INTO public.who_import VALUES (55109, '2020-11-26', 'MU', 'Mauritius', 'AFRO', '0', '497', '0', '10');
INSERT INTO public.who_import VALUES (55110, '2020-11-27', 'MU', 'Mauritius', 'AFRO', '0', '497', '0', '10');
INSERT INTO public.who_import VALUES (55111, '2020-11-28', 'MU', 'Mauritius', 'AFRO', '4', '501', '0', '10');
INSERT INTO public.who_import VALUES (55112, '2020-11-29', 'MU', 'Mauritius', 'AFRO', '0', '501', '0', '10');
INSERT INTO public.who_import VALUES (55113, '2020-11-30', 'MU', 'Mauritius', 'AFRO', '0', '501', '0', '10');
INSERT INTO public.who_import VALUES (55114, '2020-12-01', 'MU', 'Mauritius', 'AFRO', '3', '504', '0', '10');
INSERT INTO public.who_import VALUES (55115, '2020-12-02', 'MU', 'Mauritius', 'AFRO', '1', '505', '0', '10');
INSERT INTO public.who_import VALUES (55116, '2020-12-03', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55117, '2020-12-04', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55118, '2020-12-05', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55119, '2020-12-06', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55120, '2020-12-07', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55121, '2020-12-08', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55122, '2020-12-09', 'MU', 'Mauritius', 'AFRO', '0', '505', '0', '10');
INSERT INTO public.who_import VALUES (55123, '2020-12-10', 'MU', 'Mauritius', 'AFRO', '9', '514', '0', '10');
INSERT INTO public.who_import VALUES (55124, '2020-12-11', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55125, '2020-12-12', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55126, '2020-12-13', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55127, '2020-12-14', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55128, '2020-12-15', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55129, '2020-12-16', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55130, '2020-12-17', 'MU', 'Mauritius', 'AFRO', '0', '514', '0', '10');
INSERT INTO public.who_import VALUES (55131, '2020-12-18', 'MU', 'Mauritius', 'AFRO', '10', '524', '0', '10');
INSERT INTO public.who_import VALUES (55132, '2020-12-19', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55133, '2020-12-20', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55134, '2020-12-21', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55135, '2020-12-22', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55136, '2020-12-23', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55137, '2020-12-24', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55138, '2020-12-25', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55139, '2020-12-26', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55140, '2020-12-27', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55141, '2020-12-28', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55142, '2020-12-29', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55143, '2020-12-30', 'MU', 'Mauritius', 'AFRO', '0', '524', '0', '10');
INSERT INTO public.who_import VALUES (55144, '2020-12-31', 'MU', 'Mauritius', 'AFRO', '3', '527', '0', '10');
INSERT INTO public.who_import VALUES (55145, '2021-01-01', 'MU', 'Mauritius', 'AFRO', '0', '527', '0', '10');
INSERT INTO public.who_import VALUES (55146, '2021-01-02', 'MU', 'Mauritius', 'AFRO', '0', '527', '0', '10');
INSERT INTO public.who_import VALUES (55147, '2021-01-03', 'MU', 'Mauritius', 'AFRO', '0', '527', '0', '10');
INSERT INTO public.who_import VALUES (55148, '2021-01-04', 'MU', 'Mauritius', 'AFRO', '0', '527', '0', '10');
INSERT INTO public.who_import VALUES (55149, '2021-01-05', 'MU', 'Mauritius', 'AFRO', '4', '531', '0', '10');
INSERT INTO public.who_import VALUES (55150, '2021-01-06', 'MU', 'Mauritius', 'AFRO', '0', '531', '0', '10');
INSERT INTO public.who_import VALUES (55151, '2021-01-07', 'MU', 'Mauritius', 'AFRO', '0', '531', '0', '10');
INSERT INTO public.who_import VALUES (55152, '2021-01-08', 'MU', 'Mauritius', 'AFRO', '8', '539', '0', '10');
INSERT INTO public.who_import VALUES (55153, '2021-01-09', 'MU', 'Mauritius', 'AFRO', '0', '539', '0', '10');
INSERT INTO public.who_import VALUES (55154, '2021-01-10', 'MU', 'Mauritius', 'AFRO', '0', '539', '0', '10');
INSERT INTO public.who_import VALUES (55155, '2021-01-11', 'MU', 'Mauritius', 'AFRO', '0', '539', '0', '10');
INSERT INTO public.who_import VALUES (55156, '2021-01-12', 'MU', 'Mauritius', 'AFRO', '6', '545', '0', '10');
INSERT INTO public.who_import VALUES (55157, '2021-01-13', 'MU', 'Mauritius', 'AFRO', '1', '546', '0', '10');
INSERT INTO public.who_import VALUES (55158, '2021-01-14', 'MU', 'Mauritius', 'AFRO', '0', '546', '0', '10');
INSERT INTO public.who_import VALUES (55159, '2021-01-15', 'MU', 'Mauritius', 'AFRO', '0', '546', '0', '10');
INSERT INTO public.who_import VALUES (55160, '2021-01-16', 'MU', 'Mauritius', 'AFRO', '1', '547', '0', '10');
INSERT INTO public.who_import VALUES (55161, '2021-01-17', 'MU', 'Mauritius', 'AFRO', '0', '547', '0', '10');
INSERT INTO public.who_import VALUES (55162, '2021-01-18', 'MU', 'Mauritius', 'AFRO', '0', '547', '0', '10');
INSERT INTO public.who_import VALUES (55163, '2021-01-19', 'MU', 'Mauritius', 'AFRO', '0', '547', '0', '10');
INSERT INTO public.who_import VALUES (55164, '2021-01-20', 'MU', 'Mauritius', 'AFRO', '9', '556', '0', '10');
INSERT INTO public.who_import VALUES (55165, '2021-01-21', 'MU', 'Mauritius', 'AFRO', '0', '556', '0', '10');
INSERT INTO public.who_import VALUES (55166, '2021-01-22', 'MU', 'Mauritius', 'AFRO', '0', '556', '0', '10');
INSERT INTO public.who_import VALUES (55167, '2021-01-23', 'MU', 'Mauritius', 'AFRO', '0', '556', '0', '10');
INSERT INTO public.who_import VALUES (55168, '2021-01-24', 'MU', 'Mauritius', 'AFRO', '0', '556', '0', '10');
INSERT INTO public.who_import VALUES (55169, '2021-01-25', 'MU', 'Mauritius', 'AFRO', '0', '556', '0', '10');
INSERT INTO public.who_import VALUES (55170, '2021-01-26', 'MU', 'Mauritius', 'AFRO', '12', '568', '0', '10');
INSERT INTO public.who_import VALUES (55171, '2021-01-27', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55172, '2021-01-28', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55173, '2021-01-29', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55174, '2021-01-30', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55175, '2021-01-31', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55176, '2021-02-01', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55177, '2021-02-02', 'MU', 'Mauritius', 'AFRO', '0', '568', '0', '10');
INSERT INTO public.who_import VALUES (55178, '2021-02-03', 'MU', 'Mauritius', 'AFRO', '15', '583', '0', '10');
INSERT INTO public.who_import VALUES (55179, '2021-02-04', 'MU', 'Mauritius', 'AFRO', '1', '584', '0', '10');
INSERT INTO public.who_import VALUES (55180, '2021-02-05', 'MU', 'Mauritius', 'AFRO', '0', '584', '0', '10');
INSERT INTO public.who_import VALUES (55181, '2021-02-06', 'MU', 'Mauritius', 'AFRO', '0', '584', '0', '10');
INSERT INTO public.who_import VALUES (55182, '2021-02-07', 'MU', 'Mauritius', 'AFRO', '0', '584', '0', '10');
INSERT INTO public.who_import VALUES (55183, '2021-02-08', 'MU', 'Mauritius', 'AFRO', '0', '584', '0', '10');
INSERT INTO public.who_import VALUES (55184, '2021-02-09', 'MU', 'Mauritius', 'AFRO', '0', '584', '0', '10');
INSERT INTO public.who_import VALUES (55185, '2021-02-10', 'MU', 'Mauritius', 'AFRO', '0', '584', '0', '10');
INSERT INTO public.who_import VALUES (55186, '2021-02-11', 'MU', 'Mauritius', 'AFRO', '10', '594', '0', '10');
INSERT INTO public.who_import VALUES (55187, '2021-02-12', 'MU', 'Mauritius', 'AFRO', '1', '595', '0', '10');
INSERT INTO public.who_import VALUES (55188, '2021-02-13', 'MU', 'Mauritius', 'AFRO', '0', '595', '0', '10');
INSERT INTO public.who_import VALUES (55189, '2021-02-14', 'MU', 'Mauritius', 'AFRO', '0', '595', '0', '10');
INSERT INTO public.who_import VALUES (55190, '2021-02-15', 'MU', 'Mauritius', 'AFRO', '0', '595', '0', '10');
INSERT INTO public.who_import VALUES (55191, '2021-02-16', 'MU', 'Mauritius', 'AFRO', '6', '601', '0', '10');
INSERT INTO public.who_import VALUES (55192, '2021-02-17', 'MU', 'Mauritius', 'AFRO', '2', '603', '0', '10');
INSERT INTO public.who_import VALUES (55193, '2021-02-18', 'MU', 'Mauritius', 'AFRO', '0', '603', '0', '10');
INSERT INTO public.who_import VALUES (55194, '2021-02-19', 'MU', 'Mauritius', 'AFRO', '0', '603', '0', '10');
INSERT INTO public.who_import VALUES (55195, '2021-02-20', 'MU', 'Mauritius', 'AFRO', '0', '603', '0', '10');
INSERT INTO public.who_import VALUES (55196, '2020-01-03', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55197, '2020-01-04', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55198, '2020-01-05', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55199, '2020-01-06', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55200, '2020-01-07', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55201, '2020-01-08', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55202, '2020-01-09', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55203, '2020-01-10', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55204, '2020-01-11', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55205, '2020-01-12', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55206, '2020-01-13', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55207, '2020-01-14', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55208, '2020-01-15', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55209, '2020-01-16', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55210, '2020-01-17', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55211, '2020-01-18', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55212, '2020-01-19', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55213, '2020-01-20', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55214, '2020-01-21', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55215, '2020-01-22', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55216, '2020-01-23', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55217, '2020-01-24', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55218, '2020-01-25', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55219, '2020-01-26', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55220, '2020-01-27', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55221, '2020-01-28', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55222, '2020-01-29', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55223, '2020-01-30', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55224, '2020-01-31', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55225, '2020-02-01', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55226, '2020-02-02', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55227, '2020-02-03', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55228, '2020-02-04', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55229, '2020-02-05', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55230, '2020-02-06', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55231, '2020-02-07', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55232, '2020-02-08', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55233, '2020-02-09', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55234, '2020-02-10', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55235, '2020-02-11', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55236, '2020-02-12', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55237, '2020-02-13', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55238, '2020-02-14', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55239, '2020-02-15', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55240, '2020-02-16', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55241, '2020-02-17', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55242, '2020-02-18', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55243, '2020-02-19', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55244, '2020-02-20', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55245, '2020-02-21', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55246, '2020-02-22', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55247, '2020-02-23', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55248, '2020-02-24', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55249, '2020-02-25', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55250, '2020-02-26', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55251, '2020-02-27', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55252, '2020-02-28', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55253, '2020-02-29', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55254, '2020-03-01', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55255, '2020-03-02', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55256, '2020-03-03', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55257, '2020-03-04', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55258, '2020-03-05', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55259, '2020-03-06', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55260, '2020-03-07', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55263, '2020-03-10', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55264, '2020-03-11', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55265, '2020-03-12', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55266, '2020-03-13', 'YT', 'Mayotte', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55267, '2020-03-14', 'YT', 'Mayotte', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (55268, '2020-03-15', 'YT', 'Mayotte', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (55269, '2020-03-16', 'YT', 'Mayotte', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (55270, '2020-03-17', 'YT', 'Mayotte', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (55271, '2020-03-18', 'YT', 'Mayotte', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (55272, '2020-03-19', 'YT', 'Mayotte', 'AFRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (55273, '2020-03-20', 'YT', 'Mayotte', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (55274, '2020-03-21', 'YT', 'Mayotte', 'AFRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (55275, '2020-03-22', 'YT', 'Mayotte', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (55276, '2020-03-23', 'YT', 'Mayotte', 'AFRO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (55277, '2020-03-24', 'YT', 'Mayotte', 'AFRO', '10', '24', '0', '0');
INSERT INTO public.who_import VALUES (55278, '2020-03-25', 'YT', 'Mayotte', 'AFRO', '6', '30', '0', '0');
INSERT INTO public.who_import VALUES (55279, '2020-03-26', 'YT', 'Mayotte', 'AFRO', '5', '35', '0', '0');
INSERT INTO public.who_import VALUES (55280, '2020-03-27', 'YT', 'Mayotte', 'AFRO', '15', '50', '0', '0');
INSERT INTO public.who_import VALUES (55281, '2020-03-28', 'YT', 'Mayotte', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (55282, '2020-03-29', 'YT', 'Mayotte', 'AFRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (55283, '2020-03-30', 'YT', 'Mayotte', 'AFRO', '32', '82', '0', '0');
INSERT INTO public.who_import VALUES (55284, '2020-03-31', 'YT', 'Mayotte', 'AFRO', '0', '82', '0', '0');
INSERT INTO public.who_import VALUES (55285, '2020-04-01', 'YT', 'Mayotte', 'AFRO', '19', '101', '0', '0');
INSERT INTO public.who_import VALUES (55286, '2020-04-02', 'YT', 'Mayotte', 'AFRO', '15', '116', '2', '2');
INSERT INTO public.who_import VALUES (55287, '2020-04-03', 'YT', 'Mayotte', 'AFRO', '12', '128', '0', '2');
INSERT INTO public.who_import VALUES (55288, '2020-04-04', 'YT', 'Mayotte', 'AFRO', '0', '128', '0', '2');
INSERT INTO public.who_import VALUES (55289, '2020-04-05', 'YT', 'Mayotte', 'AFRO', '19', '147', '0', '2');
INSERT INTO public.who_import VALUES (55290, '2020-04-06', 'YT', 'Mayotte', 'AFRO', '0', '147', '0', '2');
INSERT INTO public.who_import VALUES (55291, '2020-04-07', 'YT', 'Mayotte', 'AFRO', '17', '164', '0', '2');
INSERT INTO public.who_import VALUES (55292, '2020-04-08', 'YT', 'Mayotte', 'AFRO', '20', '184', '0', '2');
INSERT INTO public.who_import VALUES (55293, '2020-04-09', 'YT', 'Mayotte', 'AFRO', '2', '186', '0', '2');
INSERT INTO public.who_import VALUES (55294, '2020-04-10', 'YT', 'Mayotte', 'AFRO', '5', '191', '0', '2');
INSERT INTO public.who_import VALUES (55295, '2020-04-11', 'YT', 'Mayotte', 'AFRO', '0', '191', '0', '2');
INSERT INTO public.who_import VALUES (55296, '2020-04-12', 'YT', 'Mayotte', 'AFRO', '0', '191', '0', '2');
INSERT INTO public.who_import VALUES (55297, '2020-04-13', 'YT', 'Mayotte', 'AFRO', '16', '207', '1', '3');
INSERT INTO public.who_import VALUES (55298, '2020-04-14', 'YT', 'Mayotte', 'AFRO', '0', '207', '0', '3');
INSERT INTO public.who_import VALUES (55299, '2020-04-15', 'YT', 'Mayotte', 'AFRO', '10', '217', '0', '3');
INSERT INTO public.who_import VALUES (55300, '2020-04-16', 'YT', 'Mayotte', 'AFRO', '4', '221', '0', '3');
INSERT INTO public.who_import VALUES (55301, '2020-04-17', 'YT', 'Mayotte', 'AFRO', '12', '233', '0', '3');
INSERT INTO public.who_import VALUES (55302, '2020-04-18', 'YT', 'Mayotte', 'AFRO', '12', '245', '1', '4');
INSERT INTO public.who_import VALUES (55303, '2020-04-19', 'YT', 'Mayotte', 'AFRO', '0', '245', '0', '4');
INSERT INTO public.who_import VALUES (55304, '2020-04-20', 'YT', 'Mayotte', 'AFRO', '39', '284', '0', '4');
INSERT INTO public.who_import VALUES (55305, '2020-04-21', 'YT', 'Mayotte', 'AFRO', '0', '284', '0', '4');
INSERT INTO public.who_import VALUES (55306, '2020-04-22', 'YT', 'Mayotte', 'AFRO', '27', '311', '0', '4');
INSERT INTO public.who_import VALUES (55307, '2020-04-23', 'YT', 'Mayotte', 'AFRO', '15', '326', '0', '4');
INSERT INTO public.who_import VALUES (55308, '2020-04-24', 'YT', 'Mayotte', 'AFRO', '13', '339', '0', '4');
INSERT INTO public.who_import VALUES (55309, '2020-04-25', 'YT', 'Mayotte', 'AFRO', '15', '354', '0', '4');
INSERT INTO public.who_import VALUES (55310, '2020-04-26', 'YT', 'Mayotte', 'AFRO', '0', '354', '0', '4');
INSERT INTO public.who_import VALUES (55311, '2020-04-27', 'YT', 'Mayotte', 'AFRO', '47', '401', '0', '4');
INSERT INTO public.who_import VALUES (55312, '2020-04-28', 'YT', 'Mayotte', 'AFRO', '32', '433', '0', '4');
INSERT INTO public.who_import VALUES (55313, '2020-04-29', 'YT', 'Mayotte', 'AFRO', '27', '460', '0', '4');
INSERT INTO public.who_import VALUES (55314, '2020-04-30', 'YT', 'Mayotte', 'AFRO', '0', '460', '0', '4');
INSERT INTO public.who_import VALUES (55315, '2020-05-01', 'YT', 'Mayotte', 'AFRO', '79', '539', '0', '4');
INSERT INTO public.who_import VALUES (55316, '2020-05-02', 'YT', 'Mayotte', 'AFRO', '0', '539', '0', '4');
INSERT INTO public.who_import VALUES (55317, '2020-05-03', 'YT', 'Mayotte', 'AFRO', '57', '596', '2', '6');
INSERT INTO public.who_import VALUES (55318, '2020-05-04', 'YT', 'Mayotte', 'AFRO', '54', '650', '0', '6');
INSERT INTO public.who_import VALUES (55319, '2020-05-05', 'YT', 'Mayotte', 'AFRO', '36', '686', '0', '6');
INSERT INTO public.who_import VALUES (55320, '2020-05-06', 'YT', 'Mayotte', 'AFRO', '53', '739', '3', '9');
INSERT INTO public.who_import VALUES (55321, '2020-05-07', 'YT', 'Mayotte', 'AFRO', '0', '739', '0', '9');
INSERT INTO public.who_import VALUES (55322, '2020-05-08', 'YT', 'Mayotte', 'AFRO', '115', '854', '1', '10');
INSERT INTO public.who_import VALUES (55323, '2020-05-09', 'YT', 'Mayotte', 'AFRO', '36', '890', '1', '11');
INSERT INTO public.who_import VALUES (55324, '2020-05-10', 'YT', 'Mayotte', 'AFRO', '0', '890', '0', '11');
INSERT INTO public.who_import VALUES (55325, '2020-05-11', 'YT', 'Mayotte', 'AFRO', '133', '1023', '0', '11');
INSERT INTO public.who_import VALUES (55326, '2020-05-12', 'YT', 'Mayotte', 'AFRO', '38', '1061', '1', '12');
INSERT INTO public.who_import VALUES (55327, '2020-05-13', 'YT', 'Mayotte', 'AFRO', '34', '1095', '0', '12');
INSERT INTO public.who_import VALUES (55328, '2020-05-14', 'YT', 'Mayotte', 'AFRO', '48', '1143', '2', '14');
INSERT INTO public.who_import VALUES (55329, '2020-05-15', 'YT', 'Mayotte', 'AFRO', '67', '1210', '2', '16');
INSERT INTO public.who_import VALUES (55330, '2020-05-16', 'YT', 'Mayotte', 'AFRO', '48', '1258', '0', '16');
INSERT INTO public.who_import VALUES (55331, '2020-05-17', 'YT', 'Mayotte', 'AFRO', '0', '1258', '0', '16');
INSERT INTO public.who_import VALUES (55332, '2020-05-18', 'YT', 'Mayotte', 'AFRO', '84', '1342', '2', '18');
INSERT INTO public.who_import VALUES (55333, '2020-05-19', 'YT', 'Mayotte', 'AFRO', '28', '1370', '0', '18');
INSERT INTO public.who_import VALUES (55334, '2020-05-20', 'YT', 'Mayotte', 'AFRO', '49', '1419', '1', '19');
INSERT INTO public.who_import VALUES (55335, '2020-05-21', 'YT', 'Mayotte', 'AFRO', '56', '1475', '0', '19');
INSERT INTO public.who_import VALUES (55336, '2020-05-22', 'YT', 'Mayotte', 'AFRO', '19', '1494', '0', '19');
INSERT INTO public.who_import VALUES (55337, '2020-05-23', 'YT', 'Mayotte', 'AFRO', '27', '1521', '0', '19');
INSERT INTO public.who_import VALUES (55338, '2020-05-24', 'YT', 'Mayotte', 'AFRO', '0', '1521', '0', '19');
INSERT INTO public.who_import VALUES (55339, '2020-05-25', 'YT', 'Mayotte', 'AFRO', '66', '1587', '1', '20');
INSERT INTO public.who_import VALUES (55340, '2020-05-26', 'YT', 'Mayotte', 'AFRO', '22', '1609', '0', '20');
INSERT INTO public.who_import VALUES (55341, '2020-05-27', 'YT', 'Mayotte', 'AFRO', '25', '1634', '0', '20');
INSERT INTO public.who_import VALUES (55342, '2020-05-28', 'YT', 'Mayotte', 'AFRO', '11', '1645', '0', '20');
INSERT INTO public.who_import VALUES (55343, '2020-05-29', 'YT', 'Mayotte', 'AFRO', '25', '1670', '1', '21');
INSERT INTO public.who_import VALUES (55344, '2020-05-30', 'YT', 'Mayotte', 'AFRO', '29', '1699', '0', '21');
INSERT INTO public.who_import VALUES (55345, '2020-05-31', 'YT', 'Mayotte', 'AFRO', '44', '1743', '0', '21');
INSERT INTO public.who_import VALUES (55346, '2020-06-01', 'YT', 'Mayotte', 'AFRO', '128', '1871', '2', '23');
INSERT INTO public.who_import VALUES (55347, '2020-06-02', 'YT', 'Mayotte', 'AFRO', '63', '1934', '1', '24');
INSERT INTO public.who_import VALUES (55348, '2020-06-03', 'YT', 'Mayotte', 'AFRO', '52', '1986', '0', '24');
INSERT INTO public.who_import VALUES (55349, '2020-06-04', 'YT', 'Mayotte', 'AFRO', '7', '1993', '0', '24');
INSERT INTO public.who_import VALUES (55350, '2020-06-05', 'YT', 'Mayotte', 'AFRO', '65', '2058', '1', '25');
INSERT INTO public.who_import VALUES (55351, '2020-06-06', 'YT', 'Mayotte', 'AFRO', '21', '2079', '0', '25');
INSERT INTO public.who_import VALUES (55352, '2020-06-07', 'YT', 'Mayotte', 'AFRO', '0', '2079', '0', '25');
INSERT INTO public.who_import VALUES (55353, '2020-06-08', 'YT', 'Mayotte', 'AFRO', '0', '2079', '0', '25');
INSERT INTO public.who_import VALUES (55354, '2020-06-09', 'YT', 'Mayotte', 'AFRO', '72', '2151', '1', '26');
INSERT INTO public.who_import VALUES (55355, '2020-06-10', 'YT', 'Mayotte', 'AFRO', '24', '2175', '2', '28');
INSERT INTO public.who_import VALUES (55356, '2020-06-11', 'YT', 'Mayotte', 'AFRO', '31', '2206', '0', '28');
INSERT INTO public.who_import VALUES (55357, '2020-06-12', 'YT', 'Mayotte', 'AFRO', '34', '2240', '0', '28');
INSERT INTO public.who_import VALUES (55358, '2020-06-13', 'YT', 'Mayotte', 'AFRO', '28', '2268', '0', '28');
INSERT INTO public.who_import VALUES (55359, '2020-06-14', 'YT', 'Mayotte', 'AFRO', '14', '2282', '1', '29');
INSERT INTO public.who_import VALUES (55360, '2020-06-15', 'YT', 'Mayotte', 'AFRO', '0', '2282', '0', '29');
INSERT INTO public.who_import VALUES (55361, '2020-06-16', 'YT', 'Mayotte', 'AFRO', '28', '2310', '-1', '28');
INSERT INTO public.who_import VALUES (55362, '2020-06-17', 'YT', 'Mayotte', 'AFRO', '23', '2333', '1', '29');
INSERT INTO public.who_import VALUES (55363, '2020-06-18', 'YT', 'Mayotte', 'AFRO', '12', '2345', '0', '29');
INSERT INTO public.who_import VALUES (55364, '2020-06-19', 'YT', 'Mayotte', 'AFRO', '38', '2383', '0', '29');
INSERT INTO public.who_import VALUES (55365, '2020-06-20', 'YT', 'Mayotte', 'AFRO', '11', '2394', '0', '29');
INSERT INTO public.who_import VALUES (55366, '2020-06-21', 'YT', 'Mayotte', 'AFRO', '10', '2404', '2', '31');
INSERT INTO public.who_import VALUES (55367, '2020-06-22', 'YT', 'Mayotte', 'AFRO', '0', '2404', '0', '31');
INSERT INTO public.who_import VALUES (55368, '2020-06-23', 'YT', 'Mayotte', 'AFRO', '30', '2434', '1', '32');
INSERT INTO public.who_import VALUES (55369, '2020-06-24', 'YT', 'Mayotte', 'AFRO', '18', '2452', '0', '32');
INSERT INTO public.who_import VALUES (55370, '2020-06-25', 'YT', 'Mayotte', 'AFRO', '15', '2467', '2', '34');
INSERT INTO public.who_import VALUES (55371, '2020-06-26', 'YT', 'Mayotte', 'AFRO', '41', '2508', '0', '34');
INSERT INTO public.who_import VALUES (55372, '2020-06-27', 'YT', 'Mayotte', 'AFRO', '18', '2526', '0', '34');
INSERT INTO public.who_import VALUES (55373, '2020-06-28', 'YT', 'Mayotte', 'AFRO', '14', '2540', '1', '35');
INSERT INTO public.who_import VALUES (55374, '2020-06-29', 'YT', 'Mayotte', 'AFRO', '0', '2540', '0', '35');
INSERT INTO public.who_import VALUES (55375, '2020-06-30', 'YT', 'Mayotte', 'AFRO', '63', '2603', '0', '35');
INSERT INTO public.who_import VALUES (55376, '2020-07-01', 'YT', 'Mayotte', 'AFRO', '0', '2603', '0', '35');
INSERT INTO public.who_import VALUES (55377, '2020-07-02', 'YT', 'Mayotte', 'AFRO', '40', '2643', '0', '35');
INSERT INTO public.who_import VALUES (55378, '2020-07-03', 'YT', 'Mayotte', 'AFRO', '0', '2643', '0', '35');
INSERT INTO public.who_import VALUES (55379, '2020-07-04', 'YT', 'Mayotte', 'AFRO', '18', '2661', '1', '36');
INSERT INTO public.who_import VALUES (55380, '2020-07-05', 'YT', 'Mayotte', 'AFRO', '7', '2668', '0', '36');
INSERT INTO public.who_import VALUES (55381, '2020-07-06', 'YT', 'Mayotte', 'AFRO', '0', '2668', '0', '36');
INSERT INTO public.who_import VALUES (55382, '2020-07-07', 'YT', 'Mayotte', 'AFRO', '11', '2679', '0', '36');
INSERT INTO public.who_import VALUES (55383, '2020-07-08', 'YT', 'Mayotte', 'AFRO', '9', '2688', '0', '36');
INSERT INTO public.who_import VALUES (55384, '2020-07-09', 'YT', 'Mayotte', 'AFRO', '0', '2688', '0', '36');
INSERT INTO public.who_import VALUES (55385, '2020-07-10', 'YT', 'Mayotte', 'AFRO', '14', '2702', '1', '37');
INSERT INTO public.who_import VALUES (55386, '2020-07-11', 'YT', 'Mayotte', 'AFRO', '9', '2711', '0', '37');
INSERT INTO public.who_import VALUES (55387, '2020-07-12', 'YT', 'Mayotte', 'AFRO', '0', '2711', '0', '37');
INSERT INTO public.who_import VALUES (55388, '2020-07-13', 'YT', 'Mayotte', 'AFRO', '0', '2711', '0', '37');
INSERT INTO public.who_import VALUES (55389, '2020-07-14', 'YT', 'Mayotte', 'AFRO', '13', '2724', '0', '37');
INSERT INTO public.who_import VALUES (55390, '2020-07-15', 'YT', 'Mayotte', 'AFRO', '0', '2724', '0', '37');
INSERT INTO public.who_import VALUES (55391, '2020-07-16', 'YT', 'Mayotte', 'AFRO', '19', '2743', '0', '37');
INSERT INTO public.who_import VALUES (55392, '2020-07-17', 'YT', 'Mayotte', 'AFRO', '39', '2782', '0', '37');
INSERT INTO public.who_import VALUES (55393, '2020-07-18', 'YT', 'Mayotte', 'AFRO', '0', '2782', '0', '37');
INSERT INTO public.who_import VALUES (55394, '2020-07-19', 'YT', 'Mayotte', 'AFRO', '0', '2782', '0', '37');
INSERT INTO public.who_import VALUES (55395, '2020-07-20', 'YT', 'Mayotte', 'AFRO', '0', '2782', '0', '37');
INSERT INTO public.who_import VALUES (55396, '2020-07-21', 'YT', 'Mayotte', 'AFRO', '26', '2808', '1', '38');
INSERT INTO public.who_import VALUES (55397, '2020-07-22', 'YT', 'Mayotte', 'AFRO', '16', '2824', '0', '38');
INSERT INTO public.who_import VALUES (55398, '2020-07-23', 'YT', 'Mayotte', 'AFRO', '15', '2839', '0', '38');
INSERT INTO public.who_import VALUES (55399, '2020-07-24', 'YT', 'Mayotte', 'AFRO', '23', '2862', '0', '38');
INSERT INTO public.who_import VALUES (55400, '2020-07-25', 'YT', 'Mayotte', 'AFRO', '11', '2873', '0', '38');
INSERT INTO public.who_import VALUES (55401, '2020-07-26', 'YT', 'Mayotte', 'AFRO', '0', '2873', '0', '38');
INSERT INTO public.who_import VALUES (55402, '2020-07-27', 'YT', 'Mayotte', 'AFRO', '0', '2873', '0', '38');
INSERT INTO public.who_import VALUES (55403, '2020-07-28', 'YT', 'Mayotte', 'AFRO', '27', '2900', '0', '38');
INSERT INTO public.who_import VALUES (55404, '2020-07-29', 'YT', 'Mayotte', 'AFRO', '5', '2905', '1', '39');
INSERT INTO public.who_import VALUES (55405, '2020-07-30', 'YT', 'Mayotte', 'AFRO', '0', '2905', '0', '39');
INSERT INTO public.who_import VALUES (55406, '2020-07-31', 'YT', 'Mayotte', 'AFRO', '57', '2962', '0', '39');
INSERT INTO public.who_import VALUES (55407, '2020-08-01', 'YT', 'Mayotte', 'AFRO', '0', '2962', '0', '39');
INSERT INTO public.who_import VALUES (55408, '2020-08-02', 'YT', 'Mayotte', 'AFRO', '0', '2962', '0', '39');
INSERT INTO public.who_import VALUES (55409, '2020-08-03', 'YT', 'Mayotte', 'AFRO', '0', '2962', '0', '39');
INSERT INTO public.who_import VALUES (55410, '2020-08-04', 'YT', 'Mayotte', 'AFRO', '46', '3008', '0', '39');
INSERT INTO public.who_import VALUES (55411, '2020-08-05', 'YT', 'Mayotte', 'AFRO', '15', '3023', '0', '39');
INSERT INTO public.who_import VALUES (55412, '2020-08-06', 'YT', 'Mayotte', 'AFRO', '8', '3031', '0', '39');
INSERT INTO public.who_import VALUES (55413, '2020-08-07', 'YT', 'Mayotte', 'AFRO', '11', '3042', '0', '39');
INSERT INTO public.who_import VALUES (55414, '2020-08-08', 'YT', 'Mayotte', 'AFRO', '26', '3068', '0', '39');
INSERT INTO public.who_import VALUES (55415, '2020-08-09', 'YT', 'Mayotte', 'AFRO', '0', '3068', '0', '39');
INSERT INTO public.who_import VALUES (55416, '2020-08-10', 'YT', 'Mayotte', 'AFRO', '0', '3068', '0', '39');
INSERT INTO public.who_import VALUES (55417, '2020-08-11', 'YT', 'Mayotte', 'AFRO', '0', '3068', '0', '39');
INSERT INTO public.who_import VALUES (55418, '2020-08-12', 'YT', 'Mayotte', 'AFRO', '23', '3091', '0', '39');
INSERT INTO public.who_import VALUES (55419, '2020-08-13', 'YT', 'Mayotte', 'AFRO', '0', '3091', '0', '39');
INSERT INTO public.who_import VALUES (55420, '2020-08-14', 'YT', 'Mayotte', 'AFRO', '28', '3119', '0', '39');
INSERT INTO public.who_import VALUES (55421, '2020-08-15', 'YT', 'Mayotte', 'AFRO', '0', '3119', '0', '39');
INSERT INTO public.who_import VALUES (55422, '2020-08-16', 'YT', 'Mayotte', 'AFRO', '0', '3119', '0', '39');
INSERT INTO public.who_import VALUES (55423, '2020-08-17', 'YT', 'Mayotte', 'AFRO', '0', '3119', '0', '39');
INSERT INTO public.who_import VALUES (55424, '2020-08-18', 'YT', 'Mayotte', 'AFRO', '41', '3160', '0', '39');
INSERT INTO public.who_import VALUES (55425, '2020-08-19', 'YT', 'Mayotte', 'AFRO', '0', '3160', '0', '39');
INSERT INTO public.who_import VALUES (55426, '2020-08-20', 'YT', 'Mayotte', 'AFRO', '0', '3160', '0', '39');
INSERT INTO public.who_import VALUES (55427, '2020-08-21', 'YT', 'Mayotte', 'AFRO', '0', '3160', '0', '39');
INSERT INTO public.who_import VALUES (55428, '2020-08-22', 'YT', 'Mayotte', 'AFRO', '77', '3237', '0', '39');
INSERT INTO public.who_import VALUES (55429, '2020-08-23', 'YT', 'Mayotte', 'AFRO', '0', '3237', '0', '39');
INSERT INTO public.who_import VALUES (55430, '2020-08-24', 'YT', 'Mayotte', 'AFRO', '0', '3237', '0', '39');
INSERT INTO public.who_import VALUES (55431, '2020-08-25', 'YT', 'Mayotte', 'AFRO', '0', '3237', '0', '39');
INSERT INTO public.who_import VALUES (55432, '2020-08-26', 'YT', 'Mayotte', 'AFRO', '0', '3237', '0', '39');
INSERT INTO public.who_import VALUES (55433, '2020-08-27', 'YT', 'Mayotte', 'AFRO', '0', '3237', '0', '39');
INSERT INTO public.who_import VALUES (55434, '2020-08-28', 'YT', 'Mayotte', 'AFRO', '64', '3301', '1', '40');
INSERT INTO public.who_import VALUES (55435, '2020-08-29', 'YT', 'Mayotte', 'AFRO', '0', '3301', '0', '40');
INSERT INTO public.who_import VALUES (55436, '2020-08-30', 'YT', 'Mayotte', 'AFRO', '0', '3301', '0', '40');
INSERT INTO public.who_import VALUES (55437, '2020-08-31', 'YT', 'Mayotte', 'AFRO', '0', '3301', '0', '40');
INSERT INTO public.who_import VALUES (55438, '2020-09-01', 'YT', 'Mayotte', 'AFRO', '0', '3301', '0', '40');
INSERT INTO public.who_import VALUES (55439, '2020-09-02', 'YT', 'Mayotte', 'AFRO', '0', '3301', '0', '40');
INSERT INTO public.who_import VALUES (55440, '2020-09-03', 'YT', 'Mayotte', 'AFRO', '0', '3301', '0', '40');
INSERT INTO public.who_import VALUES (55441, '2020-09-04', 'YT', 'Mayotte', 'AFRO', '73', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55442, '2020-09-05', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55443, '2020-09-06', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55444, '2020-09-07', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55445, '2020-09-08', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55446, '2020-09-09', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55447, '2020-09-10', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55448, '2020-09-11', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55449, '2020-09-12', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55450, '2020-09-13', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55451, '2020-09-14', 'YT', 'Mayotte', 'AFRO', '0', '3374', '0', '40');
INSERT INTO public.who_import VALUES (55452, '2020-09-15', 'YT', 'Mayotte', 'AFRO', '167', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55453, '2020-09-16', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55454, '2020-09-17', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55455, '2020-09-18', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55456, '2020-09-19', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55457, '2020-09-20', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55458, '2020-09-21', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55459, '2020-09-22', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55460, '2020-09-23', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55461, '2020-09-24', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55462, '2020-09-25', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55463, '2020-09-26', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55464, '2020-09-27', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55465, '2020-09-28', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55466, '2020-09-29', 'YT', 'Mayotte', 'AFRO', '0', '3541', '0', '40');
INSERT INTO public.who_import VALUES (55467, '2020-09-30', 'YT', 'Mayotte', 'AFRO', '238', '3779', '2', '42');
INSERT INTO public.who_import VALUES (55468, '2020-10-01', 'YT', 'Mayotte', 'AFRO', '0', '3779', '0', '42');
INSERT INTO public.who_import VALUES (55469, '2020-10-02', 'YT', 'Mayotte', 'AFRO', '0', '3779', '0', '42');
INSERT INTO public.who_import VALUES (55470, '2020-10-03', 'YT', 'Mayotte', 'AFRO', '0', '3779', '0', '42');
INSERT INTO public.who_import VALUES (55471, '2020-10-04', 'YT', 'Mayotte', 'AFRO', '0', '3779', '0', '42');
INSERT INTO public.who_import VALUES (55472, '2020-10-05', 'YT', 'Mayotte', 'AFRO', '0', '3779', '0', '42');
INSERT INTO public.who_import VALUES (55473, '2020-10-06', 'YT', 'Mayotte', 'AFRO', '113', '3892', '0', '42');
INSERT INTO public.who_import VALUES (55474, '2020-10-07', 'YT', 'Mayotte', 'AFRO', '0', '3892', '0', '42');
INSERT INTO public.who_import VALUES (55475, '2020-10-08', 'YT', 'Mayotte', 'AFRO', '0', '3892', '0', '42');
INSERT INTO public.who_import VALUES (55476, '2020-10-09', 'YT', 'Mayotte', 'AFRO', '0', '3892', '0', '42');
INSERT INTO public.who_import VALUES (55477, '2020-10-10', 'YT', 'Mayotte', 'AFRO', '97', '3989', '1', '43');
INSERT INTO public.who_import VALUES (55478, '2020-10-11', 'YT', 'Mayotte', 'AFRO', '0', '3989', '0', '43');
INSERT INTO public.who_import VALUES (55479, '2020-10-12', 'YT', 'Mayotte', 'AFRO', '0', '3989', '0', '43');
INSERT INTO public.who_import VALUES (55480, '2020-10-13', 'YT', 'Mayotte', 'AFRO', '41', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55481, '2020-10-14', 'YT', 'Mayotte', 'AFRO', '0', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55482, '2020-10-15', 'YT', 'Mayotte', 'AFRO', '0', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55483, '2020-10-16', 'YT', 'Mayotte', 'AFRO', '0', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55484, '2020-10-17', 'YT', 'Mayotte', 'AFRO', '0', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55485, '2020-10-18', 'YT', 'Mayotte', 'AFRO', '0', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55486, '2020-10-19', 'YT', 'Mayotte', 'AFRO', '0', '4030', '0', '43');
INSERT INTO public.who_import VALUES (55487, '2020-10-20', 'YT', 'Mayotte', 'AFRO', '129', '4159', '0', '43');
INSERT INTO public.who_import VALUES (55488, '2020-10-21', 'YT', 'Mayotte', 'AFRO', '44', '4203', '1', '44');
INSERT INTO public.who_import VALUES (55489, '2020-10-22', 'YT', 'Mayotte', 'AFRO', '0', '4203', '0', '44');
INSERT INTO public.who_import VALUES (55490, '2020-10-23', 'YT', 'Mayotte', 'AFRO', '0', '4203', '0', '44');
INSERT INTO public.who_import VALUES (55491, '2020-10-24', 'YT', 'Mayotte', 'AFRO', '73', '4276', '0', '44');
INSERT INTO public.who_import VALUES (55492, '2020-10-25', 'YT', 'Mayotte', 'AFRO', '0', '4276', '0', '44');
INSERT INTO public.who_import VALUES (55493, '2020-10-26', 'YT', 'Mayotte', 'AFRO', '0', '4276', '0', '44');
INSERT INTO public.who_import VALUES (55494, '2020-10-27', 'YT', 'Mayotte', 'AFRO', '45', '4321', '0', '44');
INSERT INTO public.who_import VALUES (55495, '2020-10-28', 'YT', 'Mayotte', 'AFRO', '0', '4321', '0', '44');
INSERT INTO public.who_import VALUES (55496, '2020-10-29', 'YT', 'Mayotte', 'AFRO', '45', '4366', '0', '44');
INSERT INTO public.who_import VALUES (55497, '2020-10-30', 'YT', 'Mayotte', 'AFRO', '0', '4366', '0', '44');
INSERT INTO public.who_import VALUES (55498, '2020-10-31', 'YT', 'Mayotte', 'AFRO', '0', '4366', '0', '44');
INSERT INTO public.who_import VALUES (55499, '2020-11-01', 'YT', 'Mayotte', 'AFRO', '0', '4366', '0', '44');
INSERT INTO public.who_import VALUES (55500, '2020-11-02', 'YT', 'Mayotte', 'AFRO', '0', '4366', '0', '44');
INSERT INTO public.who_import VALUES (55501, '2020-11-03', 'YT', 'Mayotte', 'AFRO', '123', '4489', '1', '45');
INSERT INTO public.who_import VALUES (55502, '2020-11-04', 'YT', 'Mayotte', 'AFRO', '35', '4524', '0', '45');
INSERT INTO public.who_import VALUES (55503, '2020-11-05', 'YT', 'Mayotte', 'AFRO', '26', '4550', '0', '45');
INSERT INTO public.who_import VALUES (55504, '2020-11-06', 'YT', 'Mayotte', 'AFRO', '0', '4550', '0', '45');
INSERT INTO public.who_import VALUES (55505, '2020-11-07', 'YT', 'Mayotte', 'AFRO', '0', '4550', '0', '45');
INSERT INTO public.who_import VALUES (55506, '2020-11-08', 'YT', 'Mayotte', 'AFRO', '0', '4550', '0', '45');
INSERT INTO public.who_import VALUES (55507, '2020-11-09', 'YT', 'Mayotte', 'AFRO', '0', '4550', '0', '45');
INSERT INTO public.who_import VALUES (55508, '2020-11-10', 'YT', 'Mayotte', 'AFRO', '265', '4815', '1', '46');
INSERT INTO public.who_import VALUES (55509, '2020-11-11', 'YT', 'Mayotte', 'AFRO', '0', '4815', '0', '46');
INSERT INTO public.who_import VALUES (55510, '2020-11-12', 'YT', 'Mayotte', 'AFRO', '0', '4815', '0', '46');
INSERT INTO public.who_import VALUES (55511, '2020-11-13', 'YT', 'Mayotte', 'AFRO', '106', '4921', '0', '46');
INSERT INTO public.who_import VALUES (55512, '2020-11-14', 'YT', 'Mayotte', 'AFRO', '0', '4921', '0', '46');
INSERT INTO public.who_import VALUES (55513, '2020-11-15', 'YT', 'Mayotte', 'AFRO', '0', '4921', '0', '46');
INSERT INTO public.who_import VALUES (55514, '2020-11-16', 'YT', 'Mayotte', 'AFRO', '22', '4943', '0', '46');
INSERT INTO public.who_import VALUES (55515, '2020-11-17', 'YT', 'Mayotte', 'AFRO', '0', '4943', '0', '46');
INSERT INTO public.who_import VALUES (55516, '2020-11-18', 'YT', 'Mayotte', 'AFRO', '0', '4943', '0', '46');
INSERT INTO public.who_import VALUES (55517, '2020-11-19', 'YT', 'Mayotte', 'AFRO', '93', '5036', '2', '48');
INSERT INTO public.who_import VALUES (55518, '2020-11-20', 'YT', 'Mayotte', 'AFRO', '0', '5036', '0', '48');
INSERT INTO public.who_import VALUES (55519, '2020-11-21', 'YT', 'Mayotte', 'AFRO', '0', '5036', '0', '48');
INSERT INTO public.who_import VALUES (55520, '2020-11-22', 'YT', 'Mayotte', 'AFRO', '0', '5036', '0', '48');
INSERT INTO public.who_import VALUES (55521, '2020-11-23', 'YT', 'Mayotte', 'AFRO', '0', '5036', '0', '48');
INSERT INTO public.who_import VALUES (55522, '2020-11-24', 'YT', 'Mayotte', 'AFRO', '86', '5122', '1', '49');
INSERT INTO public.who_import VALUES (55523, '2020-11-25', 'YT', 'Mayotte', 'AFRO', '0', '5122', '0', '49');
INSERT INTO public.who_import VALUES (55524, '2020-11-26', 'YT', 'Mayotte', 'AFRO', '59', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55525, '2020-11-27', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55526, '2020-11-28', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55527, '2020-11-29', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55528, '2020-11-30', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55529, '2020-12-01', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55530, '2020-12-02', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55531, '2020-12-03', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55532, '2020-12-04', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55533, '2020-12-05', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55534, '2020-12-06', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55535, '2020-12-07', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55536, '2020-12-08', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55537, '2020-12-09', 'YT', 'Mayotte', 'AFRO', '0', '5181', '0', '49');
INSERT INTO public.who_import VALUES (55538, '2020-12-10', 'YT', 'Mayotte', 'AFRO', '318', '5499', '2', '51');
INSERT INTO public.who_import VALUES (55539, '2020-12-11', 'YT', 'Mayotte', 'AFRO', '0', '5499', '0', '51');
INSERT INTO public.who_import VALUES (55540, '2020-12-12', 'YT', 'Mayotte', 'AFRO', '52', '5551', '1', '52');
INSERT INTO public.who_import VALUES (55541, '2020-12-13', 'YT', 'Mayotte', 'AFRO', '0', '5551', '0', '52');
INSERT INTO public.who_import VALUES (55542, '2020-12-14', 'YT', 'Mayotte', 'AFRO', '0', '5551', '0', '52');
INSERT INTO public.who_import VALUES (55543, '2020-12-15', 'YT', 'Mayotte', 'AFRO', '65', '5616', '1', '53');
INSERT INTO public.who_import VALUES (55544, '2020-12-16', 'YT', 'Mayotte', 'AFRO', '0', '5616', '0', '53');
INSERT INTO public.who_import VALUES (55545, '2020-12-17', 'YT', 'Mayotte', 'AFRO', '0', '5616', '0', '53');
INSERT INTO public.who_import VALUES (55546, '2020-12-18', 'YT', 'Mayotte', 'AFRO', '92', '5708', '0', '53');
INSERT INTO public.who_import VALUES (55547, '2020-12-19', 'YT', 'Mayotte', 'AFRO', '0', '5708', '0', '53');
INSERT INTO public.who_import VALUES (55548, '2020-12-20', 'YT', 'Mayotte', 'AFRO', '0', '5708', '0', '53');
INSERT INTO public.who_import VALUES (55549, '2020-12-21', 'YT', 'Mayotte', 'AFRO', '0', '5708', '0', '53');
INSERT INTO public.who_import VALUES (55550, '2020-12-22', 'YT', 'Mayotte', 'AFRO', '0', '5708', '0', '53');
INSERT INTO public.who_import VALUES (55551, '2020-12-23', 'YT', 'Mayotte', 'AFRO', '59', '5767', '1', '54');
INSERT INTO public.who_import VALUES (55552, '2020-12-24', 'YT', 'Mayotte', 'AFRO', '0', '5767', '0', '54');
INSERT INTO public.who_import VALUES (55553, '2020-12-25', 'YT', 'Mayotte', 'AFRO', '0', '5767', '0', '54');
INSERT INTO public.who_import VALUES (55554, '2020-12-26', 'YT', 'Mayotte', 'AFRO', '0', '5767', '0', '54');
INSERT INTO public.who_import VALUES (55555, '2020-12-27', 'YT', 'Mayotte', 'AFRO', '0', '5767', '0', '54');
INSERT INTO public.who_import VALUES (55556, '2020-12-28', 'YT', 'Mayotte', 'AFRO', '0', '5767', '0', '54');
INSERT INTO public.who_import VALUES (55557, '2020-12-29', 'YT', 'Mayotte', 'AFRO', '123', '5890', '1', '55');
INSERT INTO public.who_import VALUES (55558, '2020-12-30', 'YT', 'Mayotte', 'AFRO', '0', '5890', '0', '55');
INSERT INTO public.who_import VALUES (55559, '2020-12-31', 'YT', 'Mayotte', 'AFRO', '0', '5890', '0', '55');
INSERT INTO public.who_import VALUES (55560, '2021-01-01', 'YT', 'Mayotte', 'AFRO', '0', '5890', '0', '55');
INSERT INTO public.who_import VALUES (55561, '2021-01-02', 'YT', 'Mayotte', 'AFRO', '0', '5890', '0', '55');
INSERT INTO public.who_import VALUES (55562, '2021-01-03', 'YT', 'Mayotte', 'AFRO', '0', '5890', '0', '55');
INSERT INTO public.who_import VALUES (55563, '2021-01-04', 'YT', 'Mayotte', 'AFRO', '0', '5890', '0', '55');
INSERT INTO public.who_import VALUES (55564, '2021-01-05', 'YT', 'Mayotte', 'AFRO', '155', '6045', '1', '56');
INSERT INTO public.who_import VALUES (55565, '2021-01-06', 'YT', 'Mayotte', 'AFRO', '0', '6045', '0', '56');
INSERT INTO public.who_import VALUES (55566, '2021-01-07', 'YT', 'Mayotte', 'AFRO', '0', '6045', '0', '56');
INSERT INTO public.who_import VALUES (55567, '2021-01-08', 'YT', 'Mayotte', 'AFRO', '0', '6045', '0', '56');
INSERT INTO public.who_import VALUES (55568, '2021-01-09', 'YT', 'Mayotte', 'AFRO', '187', '6232', '0', '56');
INSERT INTO public.who_import VALUES (55569, '2021-01-10', 'YT', 'Mayotte', 'AFRO', '0', '6232', '0', '56');
INSERT INTO public.who_import VALUES (55570, '2021-01-11', 'YT', 'Mayotte', 'AFRO', '23', '6255', '0', '56');
INSERT INTO public.who_import VALUES (55571, '2021-01-12', 'YT', 'Mayotte', 'AFRO', '0', '6255', '0', '56');
INSERT INTO public.who_import VALUES (55572, '2021-01-13', 'YT', 'Mayotte', 'AFRO', '0', '6255', '0', '56');
INSERT INTO public.who_import VALUES (55573, '2021-01-14', 'YT', 'Mayotte', 'AFRO', '0', '6255', '0', '56');
INSERT INTO public.who_import VALUES (55574, '2021-01-15', 'YT', 'Mayotte', 'AFRO', '356', '6611', '2', '58');
INSERT INTO public.who_import VALUES (55575, '2021-01-16', 'YT', 'Mayotte', 'AFRO', '0', '6611', '0', '58');
INSERT INTO public.who_import VALUES (55576, '2021-01-17', 'YT', 'Mayotte', 'AFRO', '0', '6611', '0', '58');
INSERT INTO public.who_import VALUES (55577, '2021-01-18', 'YT', 'Mayotte', 'AFRO', '0', '6611', '0', '58');
INSERT INTO public.who_import VALUES (55578, '2021-01-19', 'YT', 'Mayotte', 'AFRO', '178', '6789', '0', '58');
INSERT INTO public.who_import VALUES (55579, '2021-01-20', 'YT', 'Mayotte', 'AFRO', '129', '6918', '0', '58');
INSERT INTO public.who_import VALUES (55580, '2021-01-21', 'YT', 'Mayotte', 'AFRO', '63', '6981', '0', '58');
INSERT INTO public.who_import VALUES (55581, '2021-01-22', 'YT', 'Mayotte', 'AFRO', '177', '7158', '0', '58');
INSERT INTO public.who_import VALUES (55582, '2021-01-23', 'YT', 'Mayotte', 'AFRO', '92', '7250', '0', '58');
INSERT INTO public.who_import VALUES (55583, '2021-01-24', 'YT', 'Mayotte', 'AFRO', '294', '7544', '1', '59');
INSERT INTO public.who_import VALUES (55584, '2021-01-25', 'YT', 'Mayotte', 'AFRO', '0', '7544', '0', '59');
INSERT INTO public.who_import VALUES (55585, '2021-01-26', 'YT', 'Mayotte', 'AFRO', '46', '7590', '0', '59');
INSERT INTO public.who_import VALUES (55586, '2021-01-27', 'YT', 'Mayotte', 'AFRO', '0', '7590', '0', '59');
INSERT INTO public.who_import VALUES (55587, '2021-01-28', 'YT', 'Mayotte', 'AFRO', '294', '7884', '1', '60');
INSERT INTO public.who_import VALUES (55588, '2021-01-29', 'YT', 'Mayotte', 'AFRO', '347', '8231', '1', '61');
INSERT INTO public.who_import VALUES (55589, '2021-01-30', 'YT', 'Mayotte', 'AFRO', '0', '8231', '0', '61');
INSERT INTO public.who_import VALUES (55590, '2021-01-31', 'YT', 'Mayotte', 'AFRO', '0', '8231', '0', '61');
INSERT INTO public.who_import VALUES (55591, '2021-02-01', 'YT', 'Mayotte', 'AFRO', '0', '8231', '0', '61');
INSERT INTO public.who_import VALUES (55592, '2021-02-02', 'YT', 'Mayotte', 'AFRO', '357', '8588', '0', '61');
INSERT INTO public.who_import VALUES (55593, '2021-02-03', 'YT', 'Mayotte', 'AFRO', '415', '9003', '0', '61');
INSERT INTO public.who_import VALUES (55594, '2021-02-04', 'YT', 'Mayotte', 'AFRO', '289', '9292', '1', '62');
INSERT INTO public.who_import VALUES (55595, '2021-02-05', 'YT', 'Mayotte', 'AFRO', '254', '9546', '1', '63');
INSERT INTO public.who_import VALUES (55596, '2021-02-06', 'YT', 'Mayotte', 'AFRO', '1209', '10755', '1', '64');
INSERT INTO public.who_import VALUES (55597, '2021-02-07', 'YT', 'Mayotte', 'AFRO', '0', '10755', '0', '64');
INSERT INTO public.who_import VALUES (55598, '2021-02-08', 'YT', 'Mayotte', 'AFRO', '0', '10755', '0', '64');
INSERT INTO public.who_import VALUES (55599, '2021-02-09', 'YT', 'Mayotte', 'AFRO', '392', '11147', '1', '65');
INSERT INTO public.who_import VALUES (55600, '2021-02-10', 'YT', 'Mayotte', 'AFRO', '300', '11447', '3', '68');
INSERT INTO public.who_import VALUES (55601, '2021-02-11', 'YT', 'Mayotte', 'AFRO', '336', '11783', '1', '69');
INSERT INTO public.who_import VALUES (55602, '2021-02-12', 'YT', 'Mayotte', 'AFRO', '657', '12440', '3', '72');
INSERT INTO public.who_import VALUES (55603, '2021-02-13', 'YT', 'Mayotte', 'AFRO', '262', '12702', '0', '72');
INSERT INTO public.who_import VALUES (55604, '2021-02-14', 'YT', 'Mayotte', 'AFRO', '833', '13535', '6', '78');
INSERT INTO public.who_import VALUES (55605, '2021-02-15', 'YT', 'Mayotte', 'AFRO', '0', '13535', '0', '78');
INSERT INTO public.who_import VALUES (55606, '2021-02-16', 'YT', 'Mayotte', 'AFRO', '135', '13670', '3', '81');
INSERT INTO public.who_import VALUES (55607, '2021-02-17', 'YT', 'Mayotte', 'AFRO', '367', '14037', '4', '85');
INSERT INTO public.who_import VALUES (55608, '2021-02-18', 'YT', 'Mayotte', 'AFRO', '444', '14481', '0', '85');
INSERT INTO public.who_import VALUES (55609, '2021-02-19', 'YT', 'Mayotte', 'AFRO', '11', '14492', '4', '89');
INSERT INTO public.who_import VALUES (55610, '2021-02-20', 'YT', 'Mayotte', 'AFRO', '873', '15365', '3', '92');
INSERT INTO public.who_import VALUES (55611, '2020-01-03', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55612, '2020-01-04', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55613, '2020-01-05', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55614, '2020-01-06', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55615, '2020-01-07', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55616, '2020-01-08', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55617, '2020-01-09', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55618, '2020-01-10', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55619, '2020-01-11', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55620, '2020-01-12', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55621, '2020-01-13', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55622, '2020-01-14', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55623, '2020-01-15', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55624, '2020-01-16', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55625, '2020-01-17', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55626, '2020-01-18', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55627, '2020-01-19', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55628, '2020-01-20', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55629, '2020-01-21', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55630, '2020-01-22', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55631, '2020-01-23', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55632, '2020-01-24', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55633, '2020-01-25', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55634, '2020-01-26', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55635, '2020-01-27', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55636, '2020-01-28', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55637, '2020-01-29', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55638, '2020-01-30', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55639, '2020-01-31', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55640, '2020-02-01', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55641, '2020-02-02', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55642, '2020-02-03', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55643, '2020-02-04', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55644, '2020-02-05', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55645, '2020-02-06', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55646, '2020-02-07', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55647, '2020-02-08', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55648, '2020-02-09', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55649, '2020-02-10', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55650, '2020-02-11', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55651, '2020-02-12', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55652, '2020-02-13', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55653, '2020-02-14', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55654, '2020-02-15', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55655, '2020-02-16', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55656, '2020-02-17', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55657, '2020-02-18', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55658, '2020-02-19', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55659, '2020-02-20', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55660, '2020-02-21', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55661, '2020-02-22', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55662, '2020-02-23', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55663, '2020-02-24', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55664, '2020-02-25', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55665, '2020-02-26', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55666, '2020-02-27', 'MX', 'Mexico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (55667, '2020-02-28', 'MX', 'Mexico', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (55668, '2020-02-29', 'MX', 'Mexico', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (55669, '2020-03-01', 'MX', 'Mexico', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (55670, '2020-03-02', 'MX', 'Mexico', 'AMRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (55671, '2020-03-03', 'MX', 'Mexico', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (55672, '2020-03-04', 'MX', 'Mexico', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (55673, '2020-03-05', 'MX', 'Mexico', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (55674, '2020-03-06', 'MX', 'Mexico', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (55675, '2020-03-07', 'MX', 'Mexico', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (55676, '2020-03-08', 'MX', 'Mexico', 'AMRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (55677, '2020-03-09', 'MX', 'Mexico', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (55678, '2020-03-10', 'MX', 'Mexico', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (55679, '2020-03-11', 'MX', 'Mexico', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (55680, '2020-03-12', 'MX', 'Mexico', 'AMRO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (55681, '2020-03-13', 'MX', 'Mexico', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (55682, '2020-03-14', 'MX', 'Mexico', 'AMRO', '14', '30', '0', '0');
INSERT INTO public.who_import VALUES (55683, '2020-03-15', 'MX', 'Mexico', 'AMRO', '15', '45', '0', '0');
INSERT INTO public.who_import VALUES (55684, '2020-03-16', 'MX', 'Mexico', 'AMRO', '12', '57', '0', '0');
INSERT INTO public.who_import VALUES (55685, '2020-03-17', 'MX', 'Mexico', 'AMRO', '29', '86', '0', '0');
INSERT INTO public.who_import VALUES (55686, '2020-03-18', 'MX', 'Mexico', 'AMRO', '11', '97', '0', '0');
INSERT INTO public.who_import VALUES (55687, '2020-03-19', 'MX', 'Mexico', 'AMRO', '21', '118', '1', '1');
INSERT INTO public.who_import VALUES (55688, '2020-03-20', 'MX', 'Mexico', 'AMRO', '46', '164', '0', '1');
INSERT INTO public.who_import VALUES (55689, '2020-03-21', 'MX', 'Mexico', 'AMRO', '0', '164', '0', '1');
INSERT INTO public.who_import VALUES (55690, '2020-03-22', 'MX', 'Mexico', 'AMRO', '0', '164', '0', '1');
INSERT INTO public.who_import VALUES (55691, '2020-03-23', 'MX', 'Mexico', 'AMRO', '87', '251', '1', '2');
INSERT INTO public.who_import VALUES (55692, '2020-03-24', 'MX', 'Mexico', 'AMRO', '65', '316', '0', '2');
INSERT INTO public.who_import VALUES (55693, '2020-03-25', 'MX', 'Mexico', 'AMRO', '0', '316', '0', '2');
INSERT INTO public.who_import VALUES (55694, '2020-03-26', 'MX', 'Mexico', 'AMRO', '162', '478', '3', '5');
INSERT INTO public.who_import VALUES (55695, '2020-03-27', 'MX', 'Mexico', 'AMRO', '0', '478', '0', '5');
INSERT INTO public.who_import VALUES (55696, '2020-03-28', 'MX', 'Mexico', 'AMRO', '111', '589', '3', '8');
INSERT INTO public.who_import VALUES (55697, '2020-03-29', 'MX', 'Mexico', 'AMRO', '128', '717', '4', '12');
INSERT INTO public.who_import VALUES (55698, '2020-03-30', 'MX', 'Mexico', 'AMRO', '131', '848', '4', '16');
INSERT INTO public.who_import VALUES (55699, '2020-03-31', 'MX', 'Mexico', 'AMRO', '145', '993', '4', '20');
INSERT INTO public.who_import VALUES (55700, '2020-04-01', 'MX', 'Mexico', 'AMRO', '101', '1094', '8', '28');
INSERT INTO public.who_import VALUES (56555, '2020-04-26', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (55701, '2020-04-02', 'MX', 'Mexico', 'AMRO', '121', '1215', '1', '29');
INSERT INTO public.who_import VALUES (55702, '2020-04-03', 'MX', 'Mexico', 'AMRO', '163', '1378', '8', '37');
INSERT INTO public.who_import VALUES (55703, '2020-04-04', 'MX', 'Mexico', 'AMRO', '132', '1510', '13', '50');
INSERT INTO public.who_import VALUES (55704, '2020-04-05', 'MX', 'Mexico', 'AMRO', '178', '1688', '10', '60');
INSERT INTO public.who_import VALUES (55705, '2020-04-06', 'MX', 'Mexico', 'AMRO', '202', '1890', '19', '79');
INSERT INTO public.who_import VALUES (55706, '2020-04-07', 'MX', 'Mexico', 'AMRO', '253', '2143', '15', '94');
INSERT INTO public.who_import VALUES (55707, '2020-04-08', 'MX', 'Mexico', 'AMRO', '296', '2439', '31', '125');
INSERT INTO public.who_import VALUES (55708, '2020-04-09', 'MX', 'Mexico', 'AMRO', '346', '2785', '16', '141');
INSERT INTO public.who_import VALUES (55709, '2020-04-10', 'MX', 'Mexico', 'AMRO', '396', '3181', '33', '174');
INSERT INTO public.who_import VALUES (55710, '2020-04-11', 'MX', 'Mexico', 'AMRO', '260', '3441', '20', '194');
INSERT INTO public.who_import VALUES (55711, '2020-04-12', 'MX', 'Mexico', 'AMRO', '403', '3844', '39', '233');
INSERT INTO public.who_import VALUES (55712, '2020-04-13', 'MX', 'Mexico', 'AMRO', '375', '4219', '40', '273');
INSERT INTO public.who_import VALUES (55713, '2020-04-14', 'MX', 'Mexico', 'AMRO', '442', '4661', '23', '296');
INSERT INTO public.who_import VALUES (55714, '2020-04-15', 'MX', 'Mexico', 'AMRO', '353', '5014', '36', '332');
INSERT INTO public.who_import VALUES (55715, '2020-04-16', 'MX', 'Mexico', 'AMRO', '385', '5399', '74', '406');
INSERT INTO public.who_import VALUES (55716, '2020-04-17', 'MX', 'Mexico', 'AMRO', '448', '5847', '43', '449');
INSERT INTO public.who_import VALUES (55717, '2020-04-18', 'MX', 'Mexico', 'AMRO', '450', '6297', '37', '486');
INSERT INTO public.who_import VALUES (55718, '2020-04-19', 'MX', 'Mexico', 'AMRO', '578', '6875', '60', '546');
INSERT INTO public.who_import VALUES (55719, '2020-04-20', 'MX', 'Mexico', 'AMRO', '622', '7497', '104', '650');
INSERT INTO public.who_import VALUES (55720, '2020-04-21', 'MX', 'Mexico', 'AMRO', '764', '8261', '36', '686');
INSERT INTO public.who_import VALUES (55721, '2020-04-22', 'MX', 'Mexico', 'AMRO', '511', '8772', '26', '712');
INSERT INTO public.who_import VALUES (55722, '2020-04-23', 'MX', 'Mexico', 'AMRO', '729', '9501', '145', '857');
INSERT INTO public.who_import VALUES (55723, '2020-04-24', 'MX', 'Mexico', 'AMRO', '1043', '10544', '113', '970');
INSERT INTO public.who_import VALUES (55724, '2020-04-25', 'MX', 'Mexico', 'AMRO', '1089', '11633', '99', '1069');
INSERT INTO public.who_import VALUES (55725, '2020-04-26', 'MX', 'Mexico', 'AMRO', '1239', '12872', '152', '1221');
INSERT INTO public.who_import VALUES (55726, '2020-04-27', 'MX', 'Mexico', 'AMRO', '970', '13842', '84', '1305');
INSERT INTO public.who_import VALUES (55727, '2020-04-28', 'MX', 'Mexico', 'AMRO', '835', '14677', '46', '1351');
INSERT INTO public.who_import VALUES (55728, '2020-04-29', 'MX', 'Mexico', 'AMRO', '852', '15529', '83', '1434');
INSERT INTO public.who_import VALUES (55729, '2020-04-30', 'MX', 'Mexico', 'AMRO', '1223', '16752', '135', '1569');
INSERT INTO public.who_import VALUES (55730, '2020-05-01', 'MX', 'Mexico', 'AMRO', '1047', '17799', '163', '1732');
INSERT INTO public.who_import VALUES (55731, '2020-05-02', 'MX', 'Mexico', 'AMRO', '1425', '19224', '127', '1859');
INSERT INTO public.who_import VALUES (55732, '2020-05-03', 'MX', 'Mexico', 'AMRO', '1515', '20739', '113', '1972');
INSERT INTO public.who_import VALUES (55733, '2020-05-04', 'MX', 'Mexico', 'AMRO', '1349', '22088', '89', '2061');
INSERT INTO public.who_import VALUES (55734, '2020-05-05', 'MX', 'Mexico', 'AMRO', '1383', '23471', '93', '2154');
INSERT INTO public.who_import VALUES (55735, '2020-05-06', 'MX', 'Mexico', 'AMRO', '1434', '24905', '117', '2271');
INSERT INTO public.who_import VALUES (55736, '2020-05-07', 'MX', 'Mexico', 'AMRO', '1120', '26025', '236', '2507');
INSERT INTO public.who_import VALUES (55737, '2020-05-08', 'MX', 'Mexico', 'AMRO', '1609', '27634', '197', '2704');
INSERT INTO public.who_import VALUES (55738, '2020-05-09', 'MX', 'Mexico', 'AMRO', '1982', '29616', '257', '2961');
INSERT INTO public.who_import VALUES (55739, '2020-05-10', 'MX', 'Mexico', 'AMRO', '1906', '31522', '199', '3160');
INSERT INTO public.who_import VALUES (55740, '2020-05-11', 'MX', 'Mexico', 'AMRO', '1938', '33460', '193', '3353');
INSERT INTO public.who_import VALUES (55741, '2020-05-12', 'MX', 'Mexico', 'AMRO', '1562', '35022', '112', '3465');
INSERT INTO public.who_import VALUES (55742, '2020-05-13', 'MX', 'Mexico', 'AMRO', '1305', '36327', '108', '3573');
INSERT INTO public.who_import VALUES (55743, '2020-05-14', 'MX', 'Mexico', 'AMRO', '1997', '38324', '353', '3926');
INSERT INTO public.who_import VALUES (55744, '2020-05-15', 'MX', 'Mexico', 'AMRO', '1862', '40186', '294', '4220');
INSERT INTO public.who_import VALUES (55745, '2020-05-16', 'MX', 'Mexico', 'AMRO', '2409', '42595', '257', '4477');
INSERT INTO public.who_import VALUES (55746, '2020-05-17', 'MX', 'Mexico', 'AMRO', '2437', '45032', '290', '4767');
INSERT INTO public.who_import VALUES (55747, '2020-05-18', 'MX', 'Mexico', 'AMRO', '2112', '47144', '278', '5045');
INSERT INTO public.who_import VALUES (55748, '2020-05-19', 'MX', 'Mexico', 'AMRO', '2075', '49219', '132', '5177');
INSERT INTO public.who_import VALUES (55749, '2020-05-20', 'MX', 'Mexico', 'AMRO', '2414', '51633', '155', '5332');
INSERT INTO public.who_import VALUES (55750, '2020-05-21', 'MX', 'Mexico', 'AMRO', '2713', '54346', '334', '5666');
INSERT INTO public.who_import VALUES (55751, '2020-05-22', 'MX', 'Mexico', 'AMRO', '2248', '56594', '424', '6090');
INSERT INTO public.who_import VALUES (55752, '2020-05-23', 'MX', 'Mexico', 'AMRO', '2973', '59567', '420', '6510');
INSERT INTO public.who_import VALUES (55753, '2020-05-24', 'MX', 'Mexico', 'AMRO', '2960', '62527', '479', '6989');
INSERT INTO public.who_import VALUES (55754, '2020-05-25', 'MX', 'Mexico', 'AMRO', '3329', '65856', '190', '7179');
INSERT INTO public.who_import VALUES (55755, '2020-05-26', 'MX', 'Mexico', 'AMRO', '2764', '68620', '215', '7394');
INSERT INTO public.who_import VALUES (55756, '2020-05-27', 'MX', 'Mexico', 'AMRO', '2485', '71105', '239', '7633');
INSERT INTO public.who_import VALUES (55757, '2020-05-28', 'MX', 'Mexico', 'AMRO', '3455', '74560', '501', '8134');
INSERT INTO public.who_import VALUES (55758, '2020-05-29', 'MX', 'Mexico', 'AMRO', '3463', '78023', '463', '8597');
INSERT INTO public.who_import VALUES (55759, '2020-05-30', 'MX', 'Mexico', 'AMRO', '3377', '81400', '447', '9044');
INSERT INTO public.who_import VALUES (55760, '2020-05-31', 'MX', 'Mexico', 'AMRO', '3227', '84627', '371', '9415');
INSERT INTO public.who_import VALUES (55761, '2020-06-01', 'MX', 'Mexico', 'AMRO', '2885', '87512', '364', '9779');
INSERT INTO public.who_import VALUES (55762, '2020-06-02', 'MX', 'Mexico', 'AMRO', '3152', '90664', '151', '9930');
INSERT INTO public.who_import VALUES (55763, '2020-06-03', 'MX', 'Mexico', 'AMRO', '2771', '93435', '237', '10167');
INSERT INTO public.who_import VALUES (55764, '2020-06-04', 'MX', 'Mexico', 'AMRO', '3891', '97326', '470', '10637');
INSERT INTO public.who_import VALUES (55765, '2020-06-05', 'MX', 'Mexico', 'AMRO', '3912', '101238', '1091', '11728');
INSERT INTO public.who_import VALUES (55766, '2020-06-06', 'MX', 'Mexico', 'AMRO', '4442', '105680', '817', '12545');
INSERT INTO public.who_import VALUES (55767, '2020-06-07', 'MX', 'Mexico', 'AMRO', '4346', '110026', '625', '13170');
INSERT INTO public.who_import VALUES (55768, '2020-06-08', 'MX', 'Mexico', 'AMRO', '3593', '113619', '341', '13511');
INSERT INTO public.who_import VALUES (55769, '2020-06-09', 'MX', 'Mexico', 'AMRO', '3484', '117103', '188', '13699');
INSERT INTO public.who_import VALUES (55770, '2020-06-10', 'MX', 'Mexico', 'AMRO', '2999', '120102', '354', '14053');
INSERT INTO public.who_import VALUES (55771, '2020-06-11', 'MX', 'Mexico', 'AMRO', '4199', '124301', '596', '14649');
INSERT INTO public.who_import VALUES (55772, '2020-06-12', 'MX', 'Mexico', 'AMRO', '4883', '129184', '708', '15357');
INSERT INTO public.who_import VALUES (55773, '2020-06-13', 'MX', 'Mexico', 'AMRO', '4790', '133974', '587', '15944');
INSERT INTO public.who_import VALUES (55774, '2020-06-14', 'MX', 'Mexico', 'AMRO', '5222', '139196', '504', '16448');
INSERT INTO public.who_import VALUES (55775, '2020-06-15', 'MX', 'Mexico', 'AMRO', '3494', '142690', '424', '16872');
INSERT INTO public.who_import VALUES (55776, '2020-06-16', 'MX', 'Mexico', 'AMRO', '4147', '146837', '269', '17141');
INSERT INTO public.who_import VALUES (55777, '2020-06-17', 'MX', 'Mexico', 'AMRO', '3427', '150264', '439', '17580');
INSERT INTO public.who_import VALUES (55778, '2020-06-18', 'MX', 'Mexico', 'AMRO', '4599', '154863', '730', '18310');
INSERT INTO public.who_import VALUES (55779, '2020-06-19', 'MX', 'Mexico', 'AMRO', '4930', '159793', '770', '19080');
INSERT INTO public.who_import VALUES (55780, '2020-06-20', 'MX', 'Mexico', 'AMRO', '5662', '165455', '667', '19747');
INSERT INTO public.who_import VALUES (55781, '2020-06-21', 'MX', 'Mexico', 'AMRO', '5030', '170485', '647', '20394');
INSERT INTO public.who_import VALUES (55782, '2020-06-22', 'MX', 'Mexico', 'AMRO', '4717', '175202', '387', '20781');
INSERT INTO public.who_import VALUES (55783, '2020-06-23', 'MX', 'Mexico', 'AMRO', '5343', '180545', '1044', '21825');
INSERT INTO public.who_import VALUES (55784, '2020-06-24', 'MX', 'Mexico', 'AMRO', '4577', '185122', '759', '22584');
INSERT INTO public.who_import VALUES (55785, '2020-06-25', 'MX', 'Mexico', 'AMRO', '6288', '191410', '793', '23377');
INSERT INTO public.who_import VALUES (55786, '2020-06-26', 'MX', 'Mexico', 'AMRO', '5437', '196847', '947', '24324');
INSERT INTO public.who_import VALUES (55787, '2020-06-27', 'MX', 'Mexico', 'AMRO', '6104', '202951', '736', '25060');
INSERT INTO public.who_import VALUES (55788, '2020-06-28', 'MX', 'Mexico', 'AMRO', '5441', '208392', '719', '25779');
INSERT INTO public.who_import VALUES (55789, '2020-06-29', 'MX', 'Mexico', 'AMRO', '4410', '212802', '602', '26381');
INSERT INTO public.who_import VALUES (55790, '2020-06-30', 'MX', 'Mexico', 'AMRO', '4050', '216852', '267', '26648');
INSERT INTO public.who_import VALUES (55791, '2020-07-01', 'MX', 'Mexico', 'AMRO', '3805', '220657', '473', '27121');
INSERT INTO public.who_import VALUES (55792, '2020-07-02', 'MX', 'Mexico', 'AMRO', '5432', '226089', '648', '27769');
INSERT INTO public.who_import VALUES (55793, '2020-07-03', 'MX', 'Mexico', 'AMRO', '5681', '231770', '741', '28510');
INSERT INTO public.who_import VALUES (55794, '2020-07-04', 'MX', 'Mexico', 'AMRO', '6741', '238511', '679', '29189');
INSERT INTO public.who_import VALUES (55795, '2020-07-05', 'MX', 'Mexico', 'AMRO', '6740', '245251', '654', '29843');
INSERT INTO public.who_import VALUES (55796, '2020-07-06', 'MX', 'Mexico', 'AMRO', '6914', '252165', '523', '30366');
INSERT INTO public.who_import VALUES (55797, '2020-07-07', 'MX', 'Mexico', 'AMRO', '4683', '256848', '273', '30639');
INSERT INTO public.who_import VALUES (55798, '2020-07-08', 'MX', 'Mexico', 'AMRO', '4902', '261750', '480', '31119');
INSERT INTO public.who_import VALUES (55799, '2020-07-09', 'MX', 'Mexico', 'AMRO', '6258', '268008', '895', '32014');
INSERT INTO public.who_import VALUES (55800, '2020-07-10', 'MX', 'Mexico', 'AMRO', '6995', '275003', '782', '32796');
INSERT INTO public.who_import VALUES (55801, '2020-07-11', 'MX', 'Mexico', 'AMRO', '7280', '282283', '730', '33526');
INSERT INTO public.who_import VALUES (55802, '2020-07-12', 'MX', 'Mexico', 'AMRO', '6891', '289174', '665', '34191');
INSERT INTO public.who_import VALUES (55803, '2020-07-13', 'MX', 'Mexico', 'AMRO', '6094', '295268', '539', '34730');
INSERT INTO public.who_import VALUES (55804, '2020-07-14', 'MX', 'Mexico', 'AMRO', '4482', '299750', '276', '35006');
INSERT INTO public.who_import VALUES (55805, '2020-07-15', 'MX', 'Mexico', 'AMRO', '4685', '304435', '485', '35491');
INSERT INTO public.who_import VALUES (55806, '2020-07-16', 'MX', 'Mexico', 'AMRO', '7051', '311486', '836', '36327');
INSERT INTO public.who_import VALUES (55807, '2020-07-17', 'MX', 'Mexico', 'AMRO', '6149', '317635', '579', '36906');
INSERT INTO public.who_import VALUES (55808, '2020-07-18', 'MX', 'Mexico', 'AMRO', '6406', '324041', '668', '37574');
INSERT INTO public.who_import VALUES (55809, '2020-07-19', 'MX', 'Mexico', 'AMRO', '7257', '331298', '736', '38310');
INSERT INTO public.who_import VALUES (55810, '2020-07-20', 'MX', 'Mexico', 'AMRO', '7615', '338913', '578', '38888');
INSERT INTO public.who_import VALUES (55811, '2020-07-21', 'MX', 'Mexico', 'AMRO', '5311', '344224', '296', '39184');
INSERT INTO public.who_import VALUES (55812, '2020-07-22', 'MX', 'Mexico', 'AMRO', '5172', '349396', '301', '39485');
INSERT INTO public.who_import VALUES (55813, '2020-07-23', 'MX', 'Mexico', 'AMRO', '6859', '356255', '915', '40400');
INSERT INTO public.who_import VALUES (55814, '2020-07-24', 'MX', 'Mexico', 'AMRO', '6019', '362274', '790', '41190');
INSERT INTO public.who_import VALUES (55815, '2020-07-25', 'MX', 'Mexico', 'AMRO', '8438', '370712', '718', '41908');
INSERT INTO public.who_import VALUES (55816, '2020-07-26', 'MX', 'Mexico', 'AMRO', '7573', '378285', '737', '42645');
INSERT INTO public.who_import VALUES (55817, '2020-07-27', 'MX', 'Mexico', 'AMRO', '6751', '385036', '729', '43374');
INSERT INTO public.who_import VALUES (55818, '2020-07-28', 'MX', 'Mexico', 'AMRO', '5480', '390516', '306', '43680');
INSERT INTO public.who_import VALUES (55819, '2020-07-29', 'MX', 'Mexico', 'AMRO', '4973', '395489', '342', '44022');
INSERT INTO public.who_import VALUES (55820, '2020-07-30', 'MX', 'Mexico', 'AMRO', '7208', '402697', '854', '44876');
INSERT INTO public.who_import VALUES (55821, '2020-07-31', 'MX', 'Mexico', 'AMRO', '5752', '408449', '485', '45361');
INSERT INTO public.who_import VALUES (55822, '2020-08-01', 'MX', 'Mexico', 'AMRO', '7730', '416179', '639', '46000');
INSERT INTO public.who_import VALUES (55823, '2020-08-02', 'MX', 'Mexico', 'AMRO', '8458', '424637', '688', '46688');
INSERT INTO public.who_import VALUES (55824, '2020-08-03', 'MX', 'Mexico', 'AMRO', '9556', '434193', '784', '47472');
INSERT INTO public.who_import VALUES (55825, '2020-08-04', 'MX', 'Mexico', 'AMRO', '4853', '439046', '274', '47746');
INSERT INTO public.who_import VALUES (55826, '2020-08-05', 'MX', 'Mexico', 'AMRO', '4767', '443813', '266', '48012');
INSERT INTO public.who_import VALUES (55827, '2020-08-06', 'MX', 'Mexico', 'AMRO', '6148', '449961', '857', '48869');
INSERT INTO public.who_import VALUES (55828, '2020-08-07', 'MX', 'Mexico', 'AMRO', '6139', '456100', '829', '49698');
INSERT INTO public.who_import VALUES (55829, '2020-08-08', 'MX', 'Mexico', 'AMRO', '6590', '462690', '819', '50517');
INSERT INTO public.who_import VALUES (55830, '2020-08-09', 'MX', 'Mexico', 'AMRO', '6717', '469407', '794', '51311');
INSERT INTO public.who_import VALUES (55831, '2020-08-10', 'MX', 'Mexico', 'AMRO', '6495', '475902', '695', '52006');
INSERT INTO public.who_import VALUES (55832, '2020-08-11', 'MX', 'Mexico', 'AMRO', '4376', '480278', '292', '52298');
INSERT INTO public.who_import VALUES (55833, '2020-08-12', 'MX', 'Mexico', 'AMRO', '5558', '485836', '705', '53003');
INSERT INTO public.who_import VALUES (55834, '2020-08-13', 'MX', 'Mexico', 'AMRO', '6686', '492522', '926', '53929');
INSERT INTO public.who_import VALUES (55835, '2020-08-14', 'MX', 'Mexico', 'AMRO', '5858', '498380', '737', '54666');
INSERT INTO public.who_import VALUES (55836, '2020-08-15', 'MX', 'Mexico', 'AMRO', '7371', '505751', '627', '55293');
INSERT INTO public.who_import VALUES (55837, '2020-08-16', 'MX', 'Mexico', 'AMRO', '5618', '511369', '615', '55908');
INSERT INTO public.who_import VALUES (55838, '2020-08-17', 'MX', 'Mexico', 'AMRO', '6345', '517714', '635', '56543');
INSERT INTO public.who_import VALUES (55839, '2020-08-18', 'MX', 'Mexico', 'AMRO', '4448', '522162', '214', '56757');
INSERT INTO public.who_import VALUES (55840, '2020-08-19', 'MX', 'Mexico', 'AMRO', '3571', '525733', '266', '57023');
INSERT INTO public.who_import VALUES (55841, '2020-08-20', 'MX', 'Mexico', 'AMRO', '5506', '531239', '751', '57774');
INSERT INTO public.who_import VALUES (55842, '2020-08-21', 'MX', 'Mexico', 'AMRO', '5792', '537031', '707', '58481');
INSERT INTO public.who_import VALUES (55843, '2020-08-22', 'MX', 'Mexico', 'AMRO', '6775', '543806', '625', '59106');
INSERT INTO public.who_import VALUES (55844, '2020-08-23', 'MX', 'Mexico', 'AMRO', '5928', '549734', '504', '59610');
INSERT INTO public.who_import VALUES (55845, '2020-08-24', 'MX', 'Mexico', 'AMRO', '6482', '556216', '644', '60254');
INSERT INTO public.who_import VALUES (55846, '2020-08-25', 'MX', 'Mexico', 'AMRO', '3948', '560164', '226', '60480');
INSERT INTO public.who_import VALUES (55847, '2020-08-26', 'MX', 'Mexico', 'AMRO', '3541', '563705', '320', '60800');
INSERT INTO public.who_import VALUES (55848, '2020-08-27', 'MX', 'Mexico', 'AMRO', '4916', '568621', '650', '61450');
INSERT INTO public.who_import VALUES (55849, '2020-08-28', 'MX', 'Mexico', 'AMRO', '5267', '573888', '626', '62076');
INSERT INTO public.who_import VALUES (55850, '2020-08-29', 'MX', 'Mexico', 'AMRO', '6026', '579914', '518', '62594');
INSERT INTO public.who_import VALUES (55851, '2020-08-30', 'MX', 'Mexico', 'AMRO', '5824', '585738', '552', '63146');
INSERT INTO public.who_import VALUES (55852, '2020-08-31', 'MX', 'Mexico', 'AMRO', '5974', '591712', '673', '63819');
INSERT INTO public.who_import VALUES (55853, '2020-09-01', 'MX', 'Mexico', 'AMRO', '4129', '595841', '339', '64158');
INSERT INTO public.who_import VALUES (55854, '2020-09-02', 'MX', 'Mexico', 'AMRO', '3719', '599560', '256', '64414');
INSERT INTO public.who_import VALUES (55855, '2020-09-03', 'MX', 'Mexico', 'AMRO', '6476', '606036', '827', '65241');
INSERT INTO public.who_import VALUES (55856, '2020-09-04', 'MX', 'Mexico', 'AMRO', '4921', '610957', '575', '65816');
INSERT INTO public.who_import VALUES (55857, '2020-09-05', 'MX', 'Mexico', 'AMRO', '5937', '616894', '513', '66329');
INSERT INTO public.who_import VALUES (55858, '2020-09-06', 'MX', 'Mexico', 'AMRO', '6196', '623090', '522', '66851');
INSERT INTO public.who_import VALUES (55859, '2020-09-07', 'MX', 'Mexico', 'AMRO', '6319', '629409', '475', '67326');
INSERT INTO public.who_import VALUES (55860, '2020-09-08', 'MX', 'Mexico', 'AMRO', '4614', '634023', '232', '67558');
INSERT INTO public.who_import VALUES (55861, '2020-09-09', 'MX', 'Mexico', 'AMRO', '3486', '637509', '223', '67781');
INSERT INTO public.who_import VALUES (55862, '2020-09-10', 'MX', 'Mexico', 'AMRO', '5351', '642860', '703', '68484');
INSERT INTO public.who_import VALUES (55863, '2020-09-11', 'MX', 'Mexico', 'AMRO', '4647', '647507', '611', '69095');
INSERT INTO public.who_import VALUES (55864, '2020-09-12', 'MX', 'Mexico', 'AMRO', '4857', '652364', '554', '69649');
INSERT INTO public.who_import VALUES (55865, '2020-09-13', 'MX', 'Mexico', 'AMRO', '5935', '658299', '534', '70183');
INSERT INTO public.who_import VALUES (55866, '2020-09-14', 'MX', 'Mexico', 'AMRO', '5674', '663973', '421', '70604');
INSERT INTO public.who_import VALUES (55867, '2020-09-15', 'MX', 'Mexico', 'AMRO', '4408', '668381', '217', '70821');
INSERT INTO public.who_import VALUES (55868, '2020-09-16', 'MX', 'Mexico', 'AMRO', '3335', '671716', '228', '71049');
INSERT INTO public.who_import VALUES (55869, '2020-09-17', 'MX', 'Mexico', 'AMRO', '4771', '676487', '629', '71678');
INSERT INTO public.who_import VALUES (55870, '2020-09-18', 'MX', 'Mexico', 'AMRO', '4444', '680931', '300', '71978');
INSERT INTO public.who_import VALUES (55871, '2020-09-19', 'MX', 'Mexico', 'AMRO', '3182', '684113', '201', '72179');
INSERT INTO public.who_import VALUES (55872, '2020-09-20', 'MX', 'Mexico', 'AMRO', '4841', '688954', '624', '72803');
INSERT INTO public.who_import VALUES (55873, '2020-09-21', 'MX', 'Mexico', 'AMRO', '5167', '694121', '455', '73258');
INSERT INTO public.who_import VALUES (55874, '2020-09-22', 'MX', 'Mexico', 'AMRO', '3542', '697663', '235', '73493');
INSERT INTO public.who_import VALUES (55875, '2020-09-23', 'MX', 'Mexico', 'AMRO', '2917', '700580', '204', '73697');
INSERT INTO public.who_import VALUES (55876, '2020-09-24', 'MX', 'Mexico', 'AMRO', '4683', '705263', '651', '74348');
INSERT INTO public.who_import VALUES (55877, '2020-09-25', 'MX', 'Mexico', 'AMRO', '4786', '710049', '601', '74949');
INSERT INTO public.who_import VALUES (55878, '2020-09-26', 'MX', 'Mexico', 'AMRO', '5408', '715457', '490', '75439');
INSERT INTO public.who_import VALUES (55879, '2020-09-27', 'MX', 'Mexico', 'AMRO', '5401', '720858', '405', '75844');
INSERT INTO public.who_import VALUES (55880, '2020-09-28', 'MX', 'Mexico', 'AMRO', '5573', '726431', '399', '76243');
INSERT INTO public.who_import VALUES (55881, '2020-09-29', 'MX', 'Mexico', 'AMRO', '3886', '730317', '187', '76430');
INSERT INTO public.who_import VALUES (55882, '2020-09-30', 'MX', 'Mexico', 'AMRO', '3400', '733717', '173', '76603');
INSERT INTO public.who_import VALUES (55883, '2020-10-01', 'MX', 'Mexico', 'AMRO', '4446', '738163', '560', '77163');
INSERT INTO public.who_import VALUES (55884, '2020-10-02', 'MX', 'Mexico', 'AMRO', '5053', '743216', '483', '77646');
INSERT INTO public.who_import VALUES (55885, '2020-10-03', 'MX', 'Mexico', 'AMRO', '5099', '748315', '432', '78078');
INSERT INTO public.who_import VALUES (55886, '2020-10-04', 'MX', 'Mexico', 'AMRO', '4775', '753090', '414', '78492');
INSERT INTO public.who_import VALUES (55887, '2020-10-05', 'MX', 'Mexico', 'AMRO', '4863', '757953', '388', '78880');
INSERT INTO public.who_import VALUES (55888, '2020-10-06', 'MX', 'Mexico', 'AMRO', '3712', '761665', '208', '79088');
INSERT INTO public.who_import VALUES (55889, '2020-10-07', 'MX', 'Mexico', 'AMRO', '3417', '765082', '180', '79268');
INSERT INTO public.who_import VALUES (55890, '2020-10-08', 'MX', 'Mexico', 'AMRO', '4476', '769558', '446', '79714');
INSERT INTO public.who_import VALUES (55891, '2020-10-09', 'MX', 'Mexico', 'AMRO', '4462', '774020', '369', '80083');
INSERT INTO public.who_import VALUES (55892, '2020-10-10', 'MX', 'Mexico', 'AMRO', '30468', '804488', '3013', '83096');
INSERT INTO public.who_import VALUES (55893, '2020-10-11', 'MX', 'Mexico', 'AMRO', '5263', '809751', '411', '83507');
INSERT INTO public.who_import VALUES (55894, '2020-10-12', 'MX', 'Mexico', 'AMRO', '4577', '814328', '135', '83642');
INSERT INTO public.who_import VALUES (55895, '2020-10-13', 'MX', 'Mexico', 'AMRO', '3175', '817503', '139', '83781');
INSERT INTO public.who_import VALUES (55896, '2020-10-14', 'MX', 'Mexico', 'AMRO', '3542', '821045', '164', '83945');
INSERT INTO public.who_import VALUES (55897, '2020-10-15', 'MX', 'Mexico', 'AMRO', '4295', '825340', '475', '84420');
INSERT INTO public.who_import VALUES (55898, '2020-10-16', 'MX', 'Mexico', 'AMRO', '4056', '829396', '478', '84898');
INSERT INTO public.who_import VALUES (55899, '2020-10-17', 'MX', 'Mexico', 'AMRO', '5514', '834910', '387', '85285');
INSERT INTO public.who_import VALUES (55900, '2020-10-18', 'MX', 'Mexico', 'AMRO', '6751', '841661', '419', '85704');
INSERT INTO public.who_import VALUES (55901, '2020-10-19', 'MX', 'Mexico', 'AMRO', '5447', '847108', '355', '86059');
INSERT INTO public.who_import VALUES (55902, '2020-10-20', 'MX', 'Mexico', 'AMRO', '4119', '851227', '108', '86167');
INSERT INTO public.who_import VALUES (55903, '2020-10-21', 'MX', 'Mexico', 'AMRO', '3699', '854926', '171', '86338');
INSERT INTO public.who_import VALUES (55904, '2020-10-22', 'MX', 'Mexico', 'AMRO', '5788', '860714', '555', '86893');
INSERT INTO public.who_import VALUES (55905, '2020-10-23', 'MX', 'Mexico', 'AMRO', '6845', '867559', '522', '87415');
INSERT INTO public.who_import VALUES (55906, '2020-10-24', 'MX', 'Mexico', 'AMRO', '6612', '874171', '479', '87894');
INSERT INTO public.who_import VALUES (55907, '2020-10-25', 'MX', 'Mexico', 'AMRO', '6604', '880775', '418', '88312');
INSERT INTO public.who_import VALUES (55908, '2020-10-26', 'MX', 'Mexico', 'AMRO', '6025', '886800', '431', '88743');
INSERT INTO public.who_import VALUES (55909, '2020-10-27', 'MX', 'Mexico', 'AMRO', '4360', '891160', '181', '88924');
INSERT INTO public.who_import VALUES (55910, '2020-10-28', 'MX', 'Mexico', 'AMRO', '4166', '895326', '247', '89171');
INSERT INTO public.who_import VALUES (55911, '2020-10-29', 'MX', 'Mexico', 'AMRO', '5942', '901268', '643', '89814');
INSERT INTO public.who_import VALUES (55912, '2020-10-30', 'MX', 'Mexico', 'AMRO', '5595', '906863', '495', '90309');
INSERT INTO public.who_import VALUES (55913, '2020-10-31', 'MX', 'Mexico', 'AMRO', '5948', '912811', '464', '90773');
INSERT INTO public.who_import VALUES (55914, '2020-11-01', 'MX', 'Mexico', 'AMRO', '6000', '918811', '516', '91289');
INSERT INTO public.who_import VALUES (55915, '2020-11-02', 'MX', 'Mexico', 'AMRO', '6151', '924962', '464', '91753');
INSERT INTO public.who_import VALUES (55916, '2020-11-03', 'MX', 'Mexico', 'AMRO', '4430', '929392', '142', '91895');
INSERT INTO public.who_import VALUES (55917, '2020-11-04', 'MX', 'Mexico', 'AMRO', '3763', '933155', '205', '92100');
INSERT INTO public.who_import VALUES (55918, '2020-11-05', 'MX', 'Mexico', 'AMRO', '5250', '938405', '493', '92593');
INSERT INTO public.who_import VALUES (55919, '2020-11-06', 'MX', 'Mexico', 'AMRO', '5225', '943630', '635', '93228');
INSERT INTO public.who_import VALUES (55920, '2020-11-07', 'MX', 'Mexico', 'AMRO', '5567', '949197', '544', '93772');
INSERT INTO public.who_import VALUES (55921, '2020-11-08', 'MX', 'Mexico', 'AMRO', '5931', '955128', '551', '94323');
INSERT INTO public.who_import VALUES (55922, '2020-11-09', 'MX', 'Mexico', 'AMRO', '6810', '961938', '485', '94808');
INSERT INTO public.who_import VALUES (55923, '2020-11-10', 'MX', 'Mexico', 'AMRO', '5887', '967825', '219', '95027');
INSERT INTO public.who_import VALUES (55924, '2020-11-11', 'MX', 'Mexico', 'AMRO', '4960', '972785', '198', '95225');
INSERT INTO public.who_import VALUES (55925, '2020-11-12', 'MX', 'Mexico', 'AMRO', '5746', '978531', '617', '95842');
INSERT INTO public.who_import VALUES (55926, '2020-11-13', 'MX', 'Mexico', 'AMRO', '7646', '986177', '588', '96430');
INSERT INTO public.who_import VALUES (55927, '2020-11-14', 'MX', 'Mexico', 'AMRO', '5658', '991835', '626', '97056');
INSERT INTO public.who_import VALUES (55928, '2020-11-15', 'MX', 'Mexico', 'AMRO', '5558', '997393', '568', '97624');
INSERT INTO public.who_import VALUES (55929, '2020-11-16', 'MX', 'Mexico', 'AMRO', '5860', '1003253', '635', '98259');
INSERT INTO public.who_import VALUES (55930, '2020-11-17', 'MX', 'Mexico', 'AMRO', '3269', '1006522', '283', '98542');
INSERT INTO public.who_import VALUES (55931, '2020-11-18', 'MX', 'Mexico', 'AMRO', '2874', '1009396', '319', '98861');
INSERT INTO public.who_import VALUES (55932, '2020-11-19', 'MX', 'Mexico', 'AMRO', '1757', '1011153', '165', '99026');
INSERT INTO public.who_import VALUES (55933, '2020-11-20', 'MX', 'Mexico', 'AMRO', '3918', '1015071', '502', '99528');
INSERT INTO public.who_import VALUES (55934, '2020-11-21', 'MX', 'Mexico', 'AMRO', '4472', '1019543', '576', '100104');
INSERT INTO public.who_import VALUES (55935, '2020-11-22', 'MX', 'Mexico', 'AMRO', '6426', '1025969', '719', '100823');
INSERT INTO public.who_import VALUES (55936, '2020-11-23', 'MX', 'Mexico', 'AMRO', '6719', '1032688', '550', '101373');
INSERT INTO public.who_import VALUES (55937, '2020-11-24', 'MX', 'Mexico', 'AMRO', '9187', '1041875', '303', '101676');
INSERT INTO public.who_import VALUES (55938, '2020-11-25', 'MX', 'Mexico', 'AMRO', '7483', '1049358', '250', '101926');
INSERT INTO public.who_import VALUES (55939, '2020-11-26', 'MX', 'Mexico', 'AMRO', '10794', '1060152', '813', '102739');
INSERT INTO public.who_import VALUES (55940, '2020-11-27', 'MX', 'Mexico', 'AMRO', '10335', '1070487', '858', '103597');
INSERT INTO public.who_import VALUES (55941, '2020-11-28', 'MX', 'Mexico', 'AMRO', '8107', '1078594', '645', '104242');
INSERT INTO public.who_import VALUES (55942, '2020-11-29', 'MX', 'Mexico', 'AMRO', '12081', '1090675', '631', '104873');
INSERT INTO public.who_import VALUES (55943, '2020-11-30', 'MX', 'Mexico', 'AMRO', '10008', '1100683', '586', '105459');
INSERT INTO public.who_import VALUES (55944, '2020-12-01', 'MX', 'Mexico', 'AMRO', '6388', '1107071', '196', '105655');
INSERT INTO public.who_import VALUES (55945, '2020-12-02', 'MX', 'Mexico', 'AMRO', '6472', '1113543', '285', '105940');
INSERT INTO public.who_import VALUES (55946, '2020-12-03', 'MX', 'Mexico', 'AMRO', '8819', '1122362', '825', '106765');
INSERT INTO public.who_import VALUES (55947, '2020-12-04', 'MX', 'Mexico', 'AMRO', '11251', '1133613', '800', '107565');
INSERT INTO public.who_import VALUES (55948, '2020-12-05', 'MX', 'Mexico', 'AMRO', '11030', '1144643', '608', '108173');
INSERT INTO public.who_import VALUES (55949, '2020-12-06', 'MX', 'Mexico', 'AMRO', '12127', '1156770', '690', '108863');
INSERT INTO public.who_import VALUES (55950, '2020-12-07', 'MX', 'Mexico', 'AMRO', '11625', '1168395', '593', '109456');
INSERT INTO public.who_import VALUES (55951, '2020-12-08', 'MX', 'Mexico', 'AMRO', '7455', '1175850', '261', '109717');
INSERT INTO public.who_import VALUES (55952, '2020-12-09', 'MX', 'Mexico', 'AMRO', '6399', '1182249', '357', '110074');
INSERT INTO public.who_import VALUES (55953, '2020-12-10', 'MX', 'Mexico', 'AMRO', '11006', '1193255', '800', '110874');
INSERT INTO public.who_import VALUES (55954, '2020-12-11', 'MX', 'Mexico', 'AMRO', '11974', '1205229', '781', '111655');
INSERT INTO public.who_import VALUES (55955, '2020-12-12', 'MX', 'Mexico', 'AMRO', '11897', '1217126', '671', '112326');
INSERT INTO public.who_import VALUES (55956, '2020-12-13', 'MX', 'Mexico', 'AMRO', '12253', '1229379', '693', '113019');
INSERT INTO public.who_import VALUES (55957, '2020-12-14', 'MX', 'Mexico', 'AMRO', '12057', '1241436', '685', '113704');
INSERT INTO public.who_import VALUES (55958, '2020-12-15', 'MX', 'Mexico', 'AMRO', '8608', '1250044', '249', '113953');
INSERT INTO public.who_import VALUES (55959, '2020-12-16', 'MX', 'Mexico', 'AMRO', '5930', '1255974', '345', '114298');
INSERT INTO public.who_import VALUES (55960, '2020-12-17', 'MX', 'Mexico', 'AMRO', '11228', '1267202', '801', '115099');
INSERT INTO public.who_import VALUES (55961, '2020-12-18', 'MX', 'Mexico', 'AMRO', '10297', '1277499', '670', '115769');
INSERT INTO public.who_import VALUES (55962, '2020-12-19', 'MX', 'Mexico', 'AMRO', '11799', '1289298', '718', '116487');
INSERT INTO public.who_import VALUES (55963, '2020-12-20', 'MX', 'Mexico', 'AMRO', '12248', '1301546', '762', '117249');
INSERT INTO public.who_import VALUES (55964, '2020-12-21', 'MX', 'Mexico', 'AMRO', '12129', '1313675', '627', '117876');
INSERT INTO public.who_import VALUES (55965, '2020-12-22', 'MX', 'Mexico', 'AMRO', '6870', '1320545', '326', '118202');
INSERT INTO public.who_import VALUES (55966, '2020-12-23', 'MX', 'Mexico', 'AMRO', '5370', '1325915', '396', '118598');
INSERT INTO public.who_import VALUES (55967, '2020-12-24', 'MX', 'Mexico', 'AMRO', '12511', '1338426', '897', '119495');
INSERT INTO public.who_import VALUES (55968, '2020-12-25', 'MX', 'Mexico', 'AMRO', '11653', '1350079', '816', '120311');
INSERT INTO public.who_import VALUES (55969, '2020-12-26', 'MX', 'Mexico', 'AMRO', '12485', '1362564', '861', '121172');
INSERT INTO public.who_import VALUES (55970, '2020-12-27', 'MX', 'Mexico', 'AMRO', '9679', '1372243', '665', '121837');
INSERT INTO public.who_import VALUES (55971, '2020-12-28', 'MX', 'Mexico', 'AMRO', '4974', '1377217', '189', '122026');
INSERT INTO public.who_import VALUES (55972, '2020-12-29', 'MX', 'Mexico', 'AMRO', '6217', '1383434', '400', '122426');
INSERT INTO public.who_import VALUES (55973, '2020-12-30', 'MX', 'Mexico', 'AMRO', '5996', '1389430', '429', '122855');
INSERT INTO public.who_import VALUES (55974, '2020-12-31', 'MX', 'Mexico', 'AMRO', '12099', '1401529', '990', '123845');
INSERT INTO public.who_import VALUES (55975, '2021-01-01', 'MX', 'Mexico', 'AMRO', '12406', '1413935', '1052', '124897');
INSERT INTO public.who_import VALUES (55976, '2021-01-02', 'MX', 'Mexico', 'AMRO', '12159', '1426094', '910', '125807');
INSERT INTO public.who_import VALUES (55977, '2021-01-03', 'MX', 'Mexico', 'AMRO', '11091', '1437185', '700', '126507');
INSERT INTO public.who_import VALUES (55978, '2021-01-04', 'MX', 'Mexico', 'AMRO', '6359', '1443544', '344', '126851');
INSERT INTO public.who_import VALUES (55979, '2021-01-05', 'MX', 'Mexico', 'AMRO', '5211', '1448755', '362', '127213');
INSERT INTO public.who_import VALUES (55980, '2021-01-06', 'MX', 'Mexico', 'AMRO', '6464', '1455219', '544', '127757');
INSERT INTO public.who_import VALUES (55981, '2021-01-07', 'MX', 'Mexico', 'AMRO', '11271', '1466490', '1065', '128822');
INSERT INTO public.who_import VALUES (55982, '2021-01-08', 'MX', 'Mexico', 'AMRO', '13345', '1479835', '1165', '129987');
INSERT INTO public.who_import VALUES (55983, '2021-01-09', 'MX', 'Mexico', 'AMRO', '13734', '1493569', '1044', '131031');
INSERT INTO public.who_import VALUES (55984, '2021-01-10', 'MX', 'Mexico', 'AMRO', '14362', '1507931', '1038', '132069');
INSERT INTO public.who_import VALUES (55985, '2021-01-11', 'MX', 'Mexico', 'AMRO', '16105', '1524036', '1135', '133204');
INSERT INTO public.who_import VALUES (55986, '2021-01-12', 'MX', 'Mexico', 'AMRO', '10003', '1534039', '502', '133706');
INSERT INTO public.who_import VALUES (55987, '2021-01-13', 'MX', 'Mexico', 'AMRO', '7594', '1541633', '662', '134368');
INSERT INTO public.who_import VALUES (55988, '2021-01-14', 'MX', 'Mexico', 'AMRO', '14395', '1556028', '1314', '135682');
INSERT INTO public.who_import VALUES (55989, '2021-01-15', 'MX', 'Mexico', 'AMRO', '15873', '1571901', '1235', '136917');
INSERT INTO public.who_import VALUES (55990, '2021-01-16', 'MX', 'Mexico', 'AMRO', '16468', '1588369', '999', '137916');
INSERT INTO public.who_import VALUES (55991, '2021-01-17', 'MX', 'Mexico', 'AMRO', '21366', '1609735', '1106', '139022');
INSERT INTO public.who_import VALUES (55992, '2021-01-18', 'MX', 'Mexico', 'AMRO', '20523', '1630258', '1219', '140241');
INSERT INTO public.who_import VALUES (55993, '2021-01-19', 'MX', 'Mexico', 'AMRO', '11170', '1641428', '463', '140704');
INSERT INTO public.who_import VALUES (55994, '2021-01-20', 'MX', 'Mexico', 'AMRO', '8074', '1649502', '544', '141248');
INSERT INTO public.who_import VALUES (55995, '2021-01-21', 'MX', 'Mexico', 'AMRO', '18894', '1668396', '1584', '142832');
INSERT INTO public.who_import VALUES (55996, '2021-01-22', 'MX', 'Mexico', 'AMRO', '20548', '1688944', '1539', '144371');
INSERT INTO public.who_import VALUES (55997, '2021-01-23', 'MX', 'Mexico', 'AMRO', '22339', '1711283', '1803', '146174');
INSERT INTO public.who_import VALUES (55998, '2021-01-24', 'MX', 'Mexico', 'AMRO', '21007', '1732290', '1440', '147614');
INSERT INTO public.who_import VALUES (55999, '2021-01-25', 'MX', 'Mexico', 'AMRO', '20057', '1752347', '1470', '149084');
INSERT INTO public.who_import VALUES (56000, '2021-01-26', 'MX', 'Mexico', 'AMRO', '10872', '1763219', '530', '149614');
INSERT INTO public.who_import VALUES (56001, '2021-01-27', 'MX', 'Mexico', 'AMRO', '8521', '1771740', '659', '150273');
INSERT INTO public.who_import VALUES (56002, '2021-01-28', 'MX', 'Mexico', 'AMRO', '17165', '1788905', '1743', '152016');
INSERT INTO public.who_import VALUES (56003, '2021-01-29', 'MX', 'Mexico', 'AMRO', '17944', '1806849', '1623', '153639');
INSERT INTO public.who_import VALUES (56004, '2021-01-30', 'MX', 'Mexico', 'AMRO', '18670', '1825519', '1506', '155145');
INSERT INTO public.who_import VALUES (56005, '2021-01-31', 'MX', 'Mexico', 'AMRO', '16374', '1841893', '1434', '156579');
INSERT INTO public.who_import VALUES (56006, '2021-02-01', 'MX', 'Mexico', 'AMRO', '15337', '1857230', '1495', '158074');
INSERT INTO public.who_import VALUES (56007, '2021-02-02', 'MX', 'Mexico', 'AMRO', '7030', '1864260', '462', '158536');
INSERT INTO public.who_import VALUES (56008, '2021-02-03', 'MX', 'Mexico', 'AMRO', '5448', '1869708', '564', '159100');
INSERT INTO public.who_import VALUES (56009, '2021-02-04', 'MX', 'Mexico', 'AMRO', '4384', '1874092', '433', '159533');
INSERT INTO public.who_import VALUES (56010, '2021-02-05', 'MX', 'Mexico', 'AMRO', '12153', '1886245', '1707', '161240');
INSERT INTO public.who_import VALUES (56011, '2021-02-06', 'MX', 'Mexico', 'AMRO', '13575', '1899820', '1682', '162922');
INSERT INTO public.who_import VALUES (56012, '2021-02-07', 'MX', 'Mexico', 'AMRO', '13051', '1912871', '1368', '164290');
INSERT INTO public.who_import VALUES (56013, '2021-02-08', 'MX', 'Mexico', 'AMRO', '13209', '1926080', '1496', '165786');
INSERT INTO public.who_import VALUES (56014, '2021-02-09', 'MX', 'Mexico', 'AMRO', '6065', '1932145', '414', '166200');
INSERT INTO public.who_import VALUES (56015, '2021-02-10', 'MX', 'Mexico', 'AMRO', '3868', '1936013', '531', '166731');
INSERT INTO public.who_import VALUES (56016, '2021-02-11', 'MX', 'Mexico', 'AMRO', '10738', '1946751', '1701', '168432');
INSERT INTO public.who_import VALUES (56017, '2021-02-12', 'MX', 'Mexico', 'AMRO', '11138', '1957889', '1328', '169760');
INSERT INTO public.who_import VALUES (56018, '2021-02-13', 'MX', 'Mexico', 'AMRO', '10677', '1968566', '1474', '171234');
INSERT INTO public.who_import VALUES (56019, '2021-02-14', 'MX', 'Mexico', 'AMRO', '10388', '1978954', '1323', '172557');
INSERT INTO public.who_import VALUES (56020, '2021-02-15', 'MX', 'Mexico', 'AMRO', '9741', '1988695', '1214', '173771');
INSERT INTO public.who_import VALUES (56021, '2021-02-16', 'MX', 'Mexico', 'AMRO', '4099', '1992794', '436', '174207');
INSERT INTO public.who_import VALUES (56022, '2021-02-17', 'MX', 'Mexico', 'AMRO', '3098', '1995892', '450', '174657');
INSERT INTO public.who_import VALUES (56023, '2021-02-18', 'MX', 'Mexico', 'AMRO', '8683', '2004575', '1329', '175986');
INSERT INTO public.who_import VALUES (56024, '2021-02-19', 'MX', 'Mexico', 'AMRO', '8988', '2013563', '1075', '177061');
INSERT INTO public.who_import VALUES (56025, '2021-02-20', 'MX', 'Mexico', 'AMRO', '9099', '2022662', '1047', '178108');
INSERT INTO public.who_import VALUES (56026, '2020-01-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56027, '2020-01-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56028, '2020-01-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56029, '2020-01-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56030, '2020-01-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56031, '2020-01-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56032, '2020-01-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56033, '2020-01-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56034, '2020-01-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56035, '2020-01-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56036, '2020-01-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56037, '2020-01-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56038, '2020-01-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56039, '2020-01-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56040, '2020-01-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56041, '2020-01-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56042, '2020-01-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56043, '2020-01-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56044, '2020-01-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56045, '2020-01-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56046, '2020-01-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56047, '2020-01-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56048, '2020-01-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56049, '2020-01-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56050, '2020-01-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56051, '2020-01-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56052, '2020-01-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56053, '2020-01-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56054, '2020-01-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56055, '2020-02-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56056, '2020-02-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56057, '2020-02-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56058, '2020-02-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56059, '2020-02-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56060, '2020-02-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56061, '2020-02-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56062, '2020-02-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56063, '2020-02-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56064, '2020-02-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56065, '2020-02-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56066, '2020-02-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56067, '2020-02-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56068, '2020-02-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56069, '2020-02-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56070, '2020-02-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56071, '2020-02-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56072, '2020-02-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56073, '2020-02-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56074, '2020-02-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56075, '2020-02-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56076, '2020-02-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56077, '2020-02-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56078, '2020-02-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56079, '2020-02-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56080, '2020-02-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56081, '2020-02-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56082, '2020-02-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56083, '2020-02-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56084, '2020-03-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56085, '2020-03-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56086, '2020-03-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56087, '2020-03-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56088, '2020-03-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56089, '2020-03-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56090, '2020-03-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56091, '2020-03-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56092, '2020-03-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56093, '2020-03-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56094, '2020-03-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56095, '2020-03-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56096, '2020-03-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56097, '2020-03-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56098, '2020-03-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56099, '2020-03-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56100, '2020-03-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56101, '2020-03-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56102, '2020-03-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56103, '2020-03-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56104, '2020-03-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56105, '2020-03-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56106, '2020-03-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56107, '2020-03-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56108, '2020-03-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56109, '2020-03-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56110, '2020-03-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56111, '2020-03-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56112, '2020-03-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56113, '2020-03-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56114, '2020-03-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56115, '2020-04-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56116, '2020-04-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56117, '2020-04-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56118, '2020-04-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56119, '2020-04-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56120, '2020-04-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56121, '2020-04-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56122, '2020-04-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56123, '2020-04-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56124, '2020-04-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56125, '2020-04-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56126, '2020-04-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56127, '2020-04-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56128, '2020-04-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56129, '2020-04-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56130, '2020-04-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56131, '2020-04-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56132, '2020-04-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56133, '2020-04-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56134, '2020-04-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56135, '2020-04-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56136, '2020-04-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56137, '2020-04-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56138, '2020-04-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56139, '2020-04-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56140, '2020-04-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56141, '2020-04-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56142, '2020-04-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56143, '2020-04-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56144, '2020-04-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56145, '2020-05-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56146, '2020-05-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56147, '2020-05-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56148, '2020-05-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56149, '2020-05-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56150, '2020-05-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56151, '2020-05-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56152, '2020-05-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56153, '2020-05-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56154, '2020-05-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56155, '2020-05-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56156, '2020-05-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56157, '2020-05-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56158, '2020-05-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56159, '2020-05-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56160, '2020-05-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56161, '2020-05-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56162, '2020-05-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56163, '2020-05-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56164, '2020-05-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56165, '2020-05-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56166, '2020-05-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56167, '2020-05-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56168, '2020-05-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56169, '2020-05-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56170, '2020-05-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56171, '2020-05-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56172, '2020-05-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56556, '2020-04-27', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56173, '2020-05-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56174, '2020-05-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56175, '2020-05-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56176, '2020-06-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56177, '2020-06-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56178, '2020-06-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56179, '2020-06-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56180, '2020-06-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56181, '2020-06-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56182, '2020-06-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56183, '2020-06-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56184, '2020-06-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56185, '2020-06-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56186, '2020-06-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56187, '2020-06-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56188, '2020-06-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56189, '2020-06-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56190, '2020-06-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56191, '2020-06-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56192, '2020-06-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56193, '2020-06-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56194, '2020-06-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56195, '2020-06-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56196, '2020-06-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56197, '2020-06-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56198, '2020-06-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56199, '2020-06-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56200, '2020-06-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56201, '2020-06-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56202, '2020-06-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56203, '2020-06-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56204, '2020-06-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56205, '2020-06-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56206, '2020-07-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56207, '2020-07-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56208, '2020-07-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56209, '2020-07-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56210, '2020-07-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56211, '2020-07-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56212, '2020-07-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56213, '2020-07-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56214, '2020-07-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56215, '2020-07-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56216, '2020-07-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56217, '2020-07-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56218, '2020-07-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56219, '2020-07-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56220, '2020-07-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56221, '2020-07-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56222, '2020-07-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56223, '2020-07-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56224, '2020-07-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56225, '2020-07-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56226, '2020-07-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56227, '2020-07-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56228, '2020-07-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56229, '2020-07-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56230, '2020-07-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56231, '2020-07-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56232, '2020-07-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56233, '2020-07-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56234, '2020-07-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56235, '2020-07-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56236, '2020-07-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56237, '2020-08-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56238, '2020-08-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56239, '2020-08-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56240, '2020-08-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56241, '2020-08-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56242, '2020-08-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56243, '2020-08-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56244, '2020-08-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56245, '2020-08-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56246, '2020-08-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56247, '2020-08-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56248, '2020-08-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56249, '2020-08-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56250, '2020-08-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56251, '2020-08-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56252, '2020-08-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56253, '2020-08-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56254, '2020-08-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56255, '2020-08-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56256, '2020-08-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56257, '2020-08-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56258, '2020-08-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56259, '2020-08-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56260, '2020-08-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56557, '2020-04-28', 'MC', 'Monaco', 'EURO', '1', '66', '0', '1');
INSERT INTO public.who_import VALUES (56261, '2020-08-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56262, '2020-08-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56263, '2020-08-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56264, '2020-08-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56265, '2020-08-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56266, '2020-08-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56267, '2020-08-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56268, '2020-09-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56269, '2020-09-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56270, '2020-09-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56271, '2020-09-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56272, '2020-09-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56273, '2020-09-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56274, '2020-09-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56275, '2020-09-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56276, '2020-09-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56277, '2020-09-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56278, '2020-09-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56279, '2020-09-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56280, '2020-09-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56281, '2020-09-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56282, '2020-09-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56283, '2020-09-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56284, '2020-09-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56285, '2020-09-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56286, '2020-09-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56287, '2020-09-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56288, '2020-09-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56289, '2020-09-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56290, '2020-09-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56291, '2020-09-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56292, '2020-09-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56293, '2020-09-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56294, '2020-09-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56295, '2020-09-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56296, '2020-09-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56297, '2020-09-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56298, '2020-10-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56299, '2020-10-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56300, '2020-10-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56301, '2020-10-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56302, '2020-10-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56303, '2020-10-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56304, '2020-10-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56305, '2020-10-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56306, '2020-10-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56307, '2020-10-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56308, '2020-10-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56309, '2020-10-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56310, '2020-10-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56311, '2020-10-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56312, '2020-10-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56313, '2020-10-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56314, '2020-10-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56315, '2020-10-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56316, '2020-10-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56317, '2020-10-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56318, '2020-10-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56319, '2020-10-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56320, '2020-10-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56321, '2020-10-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56322, '2020-10-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56323, '2020-10-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56324, '2020-10-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56325, '2020-10-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56326, '2020-10-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56327, '2020-10-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56328, '2020-10-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56329, '2020-11-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56330, '2020-11-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56331, '2020-11-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56332, '2020-11-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56333, '2020-11-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56334, '2020-11-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56335, '2020-11-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56336, '2020-11-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56337, '2020-11-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56338, '2020-11-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56339, '2020-11-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56340, '2020-11-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56341, '2020-11-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56342, '2020-11-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56343, '2020-11-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56344, '2020-11-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56345, '2020-11-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56346, '2020-11-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56347, '2020-11-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56348, '2020-11-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56558, '2020-04-29', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56349, '2020-11-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56350, '2020-11-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56351, '2020-11-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56352, '2020-11-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56353, '2020-11-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56354, '2020-11-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56355, '2020-11-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56356, '2020-11-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56357, '2020-11-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56358, '2020-11-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56359, '2020-12-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56360, '2020-12-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56361, '2020-12-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56362, '2020-12-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56363, '2020-12-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56364, '2020-12-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56365, '2020-12-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56366, '2020-12-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56367, '2020-12-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56368, '2020-12-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56369, '2020-12-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56370, '2020-12-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56371, '2020-12-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56372, '2020-12-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56373, '2020-12-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56374, '2020-12-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56375, '2020-12-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56376, '2020-12-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56377, '2020-12-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56378, '2020-12-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56379, '2020-12-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56380, '2020-12-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56381, '2020-12-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56382, '2020-12-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56383, '2020-12-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56384, '2020-12-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56385, '2020-12-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56386, '2020-12-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56387, '2020-12-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56388, '2020-12-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56389, '2020-12-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56390, '2021-01-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56391, '2021-01-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56392, '2021-01-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56393, '2021-01-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56394, '2021-01-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56395, '2021-01-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56396, '2021-01-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56397, '2021-01-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56398, '2021-01-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56399, '2021-01-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56400, '2021-01-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56401, '2021-01-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56402, '2021-01-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56403, '2021-01-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56404, '2021-01-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56405, '2021-01-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56406, '2021-01-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56407, '2021-01-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56408, '2021-01-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56409, '2021-01-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56410, '2021-01-21', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56411, '2021-01-22', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56412, '2021-01-23', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56413, '2021-01-24', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56414, '2021-01-25', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56415, '2021-01-26', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56416, '2021-01-27', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56417, '2021-01-28', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56418, '2021-01-29', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56419, '2021-01-30', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56420, '2021-01-31', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56421, '2021-02-01', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56422, '2021-02-02', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56423, '2021-02-03', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56424, '2021-02-04', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56425, '2021-02-05', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56426, '2021-02-06', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56427, '2021-02-07', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56428, '2021-02-08', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56429, '2021-02-09', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56430, '2021-02-10', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56431, '2021-02-11', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56432, '2021-02-12', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56433, '2021-02-13', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56434, '2021-02-14', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56435, '2021-02-15', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56436, '2021-02-16', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56559, '2020-04-30', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56437, '2021-02-17', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56438, '2021-02-18', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56439, '2021-02-19', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56440, '2021-02-20', 'FM', 'Micronesia (Federated States of)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56441, '2020-01-03', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56442, '2020-01-04', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56443, '2020-01-05', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56444, '2020-01-06', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56445, '2020-01-07', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56446, '2020-01-08', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56447, '2020-01-09', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56448, '2020-01-10', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56449, '2020-01-11', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56450, '2020-01-12', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56451, '2020-01-13', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56452, '2020-01-14', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56453, '2020-01-15', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56454, '2020-01-16', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56455, '2020-01-17', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56456, '2020-01-18', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56457, '2020-01-19', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56458, '2020-01-20', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56459, '2020-01-21', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56460, '2020-01-22', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56461, '2020-01-23', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56462, '2020-01-24', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56463, '2020-01-25', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56464, '2020-01-26', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56465, '2020-01-27', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56466, '2020-01-28', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56467, '2020-01-29', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56468, '2020-01-30', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56469, '2020-01-31', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56470, '2020-02-01', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56471, '2020-02-02', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56472, '2020-02-03', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56473, '2020-02-04', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56474, '2020-02-05', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56475, '2020-02-06', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56476, '2020-02-07', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56477, '2020-02-08', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56478, '2020-02-09', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56479, '2020-02-10', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56480, '2020-02-11', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56481, '2020-02-12', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56482, '2020-02-13', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56483, '2020-02-14', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56484, '2020-02-15', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56485, '2020-02-16', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56486, '2020-02-17', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56487, '2020-02-18', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56488, '2020-02-19', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56489, '2020-02-20', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56490, '2020-02-21', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56491, '2020-02-22', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56492, '2020-02-23', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56493, '2020-02-24', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56494, '2020-02-25', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56495, '2020-02-26', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56496, '2020-02-27', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56497, '2020-02-28', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56498, '2020-02-29', 'MC', 'Monaco', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56499, '2020-03-01', 'MC', 'Monaco', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (56500, '2020-03-02', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56501, '2020-03-03', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56502, '2020-03-04', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56503, '2020-03-05', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56504, '2020-03-06', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56505, '2020-03-07', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56506, '2020-03-08', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56507, '2020-03-09', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56508, '2020-03-10', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56509, '2020-03-11', 'MC', 'Monaco', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (56510, '2020-03-12', 'MC', 'Monaco', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (56511, '2020-03-13', 'MC', 'Monaco', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (56512, '2020-03-14', 'MC', 'Monaco', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (56513, '2020-03-15', 'MC', 'Monaco', 'EURO', '4', '7', '0', '0');
INSERT INTO public.who_import VALUES (56514, '2020-03-16', 'MC', 'Monaco', 'EURO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (56515, '2020-03-17', 'MC', 'Monaco', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (56516, '2020-03-18', 'MC', 'Monaco', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (56517, '2020-03-19', 'MC', 'Monaco', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (56518, '2020-03-20', 'MC', 'Monaco', 'EURO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (56519, '2020-03-21', 'MC', 'Monaco', 'EURO', '6', '18', '0', '0');
INSERT INTO public.who_import VALUES (56520, '2020-03-22', 'MC', 'Monaco', 'EURO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (56521, '2020-03-23', 'MC', 'Monaco', 'EURO', '2', '20', '0', '0');
INSERT INTO public.who_import VALUES (56522, '2020-03-24', 'MC', 'Monaco', 'EURO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (56523, '2020-03-25', 'MC', 'Monaco', 'EURO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (56524, '2020-03-26', 'MC', 'Monaco', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (56525, '2020-03-27', 'MC', 'Monaco', 'EURO', '3', '26', '0', '0');
INSERT INTO public.who_import VALUES (56526, '2020-03-28', 'MC', 'Monaco', 'EURO', '6', '32', '0', '0');
INSERT INTO public.who_import VALUES (56527, '2020-03-29', 'MC', 'Monaco', 'EURO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (56528, '2020-03-30', 'MC', 'Monaco', 'EURO', '2', '35', '0', '0');
INSERT INTO public.who_import VALUES (56529, '2020-03-31', 'MC', 'Monaco', 'EURO', '1', '36', '0', '0');
INSERT INTO public.who_import VALUES (56530, '2020-04-01', 'MC', 'Monaco', 'EURO', '1', '37', '0', '0');
INSERT INTO public.who_import VALUES (56531, '2020-04-02', 'MC', 'Monaco', 'EURO', '3', '40', '0', '0');
INSERT INTO public.who_import VALUES (56532, '2020-04-03', 'MC', 'Monaco', 'EURO', '3', '43', '0', '0');
INSERT INTO public.who_import VALUES (56533, '2020-04-04', 'MC', 'Monaco', 'EURO', '4', '47', '0', '0');
INSERT INTO public.who_import VALUES (56534, '2020-04-05', 'MC', 'Monaco', 'EURO', '1', '48', '0', '0');
INSERT INTO public.who_import VALUES (56535, '2020-04-06', 'MC', 'Monaco', 'EURO', '3', '51', '0', '0');
INSERT INTO public.who_import VALUES (56536, '2020-04-07', 'MC', 'Monaco', 'EURO', '1', '52', '0', '0');
INSERT INTO public.who_import VALUES (56537, '2020-04-08', 'MC', 'Monaco', 'EURO', '2', '54', '0', '0');
INSERT INTO public.who_import VALUES (56538, '2020-04-09', 'MC', 'Monaco', 'EURO', '0', '54', '0', '0');
INSERT INTO public.who_import VALUES (56539, '2020-04-10', 'MC', 'Monaco', 'EURO', '3', '57', '1', '1');
INSERT INTO public.who_import VALUES (56540, '2020-04-11', 'MC', 'Monaco', 'EURO', '6', '63', '0', '1');
INSERT INTO public.who_import VALUES (56541, '2020-04-12', 'MC', 'Monaco', 'EURO', '0', '63', '0', '1');
INSERT INTO public.who_import VALUES (56542, '2020-04-13', 'MC', 'Monaco', 'EURO', '1', '64', '0', '1');
INSERT INTO public.who_import VALUES (56543, '2020-04-14', 'MC', 'Monaco', 'EURO', '0', '64', '0', '1');
INSERT INTO public.who_import VALUES (56544, '2020-04-15', 'MC', 'Monaco', 'EURO', '0', '64', '0', '1');
INSERT INTO public.who_import VALUES (56545, '2020-04-16', 'MC', 'Monaco', 'EURO', '0', '64', '0', '1');
INSERT INTO public.who_import VALUES (56546, '2020-04-17', 'MC', 'Monaco', 'EURO', '0', '64', '0', '1');
INSERT INTO public.who_import VALUES (56547, '2020-04-18', 'MC', 'Monaco', 'EURO', '1', '65', '0', '1');
INSERT INTO public.who_import VALUES (56548, '2020-04-19', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56549, '2020-04-20', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56550, '2020-04-21', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56551, '2020-04-22', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56552, '2020-04-23', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56553, '2020-04-24', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56554, '2020-04-25', 'MC', 'Monaco', 'EURO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (56560, '2020-05-01', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56561, '2020-05-02', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56562, '2020-05-03', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56563, '2020-05-04', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56564, '2020-05-05', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56565, '2020-05-06', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56566, '2020-05-07', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56567, '2020-05-08', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56568, '2020-05-09', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56569, '2020-05-10', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56570, '2020-05-11', 'MC', 'Monaco', 'EURO', '0', '66', '0', '1');
INSERT INTO public.who_import VALUES (56571, '2020-05-12', 'MC', 'Monaco', 'EURO', '1', '67', '0', '1');
INSERT INTO public.who_import VALUES (56572, '2020-05-13', 'MC', 'Monaco', 'EURO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (56573, '2020-05-14', 'MC', 'Monaco', 'EURO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (56574, '2020-05-15', 'MC', 'Monaco', 'EURO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (56575, '2020-05-16', 'MC', 'Monaco', 'EURO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (56576, '2020-05-17', 'MC', 'Monaco', 'EURO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (56577, '2020-05-18', 'MC', 'Monaco', 'EURO', '0', '67', '0', '1');
INSERT INTO public.who_import VALUES (56578, '2020-05-19', 'MC', 'Monaco', 'EURO', '1', '68', '0', '1');
INSERT INTO public.who_import VALUES (56579, '2020-05-20', 'MC', 'Monaco', 'EURO', '0', '68', '0', '1');
INSERT INTO public.who_import VALUES (56580, '2020-05-21', 'MC', 'Monaco', 'EURO', '0', '68', '0', '1');
INSERT INTO public.who_import VALUES (56581, '2020-05-22', 'MC', 'Monaco', 'EURO', '0', '68', '0', '1');
INSERT INTO public.who_import VALUES (56582, '2020-05-23', 'MC', 'Monaco', 'EURO', '0', '68', '0', '1');
INSERT INTO public.who_import VALUES (56583, '2020-05-24', 'MC', 'Monaco', 'EURO', '0', '68', '0', '1');
INSERT INTO public.who_import VALUES (56584, '2020-05-25', 'MC', 'Monaco', 'EURO', '2', '70', '0', '1');
INSERT INTO public.who_import VALUES (56585, '2020-05-26', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56586, '2020-05-27', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56587, '2020-05-28', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56588, '2020-05-29', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56589, '2020-05-30', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56590, '2020-05-31', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56591, '2020-06-01', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56592, '2020-06-02', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56593, '2020-06-03', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56594, '2020-06-04', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56595, '2020-06-05', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56596, '2020-06-06', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56597, '2020-06-07', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56598, '2020-06-08', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56599, '2020-06-09', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56600, '2020-06-10', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56601, '2020-06-11', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56602, '2020-06-12', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56603, '2020-06-13', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56604, '2020-06-14', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56605, '2020-06-15', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56606, '2020-06-16', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56607, '2020-06-17', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56608, '2020-06-18', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56609, '2020-06-19', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56610, '2020-06-20', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56611, '2020-06-21', 'MC', 'Monaco', 'EURO', '0', '70', '0', '1');
INSERT INTO public.who_import VALUES (56612, '2020-06-22', 'MC', 'Monaco', 'EURO', '1', '71', '0', '1');
INSERT INTO public.who_import VALUES (56613, '2020-06-23', 'MC', 'Monaco', 'EURO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (56614, '2020-06-24', 'MC', 'Monaco', 'EURO', '0', '71', '0', '1');
INSERT INTO public.who_import VALUES (56615, '2020-06-25', 'MC', 'Monaco', 'EURO', '1', '72', '0', '1');
INSERT INTO public.who_import VALUES (56616, '2020-06-26', 'MC', 'Monaco', 'EURO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (56617, '2020-06-27', 'MC', 'Monaco', 'EURO', '0', '72', '0', '1');
INSERT INTO public.who_import VALUES (56618, '2020-06-28', 'MC', 'Monaco', 'EURO', '1', '73', '0', '1');
INSERT INTO public.who_import VALUES (56619, '2020-06-29', 'MC', 'Monaco', 'EURO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (56620, '2020-06-30', 'MC', 'Monaco', 'EURO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (56621, '2020-07-01', 'MC', 'Monaco', 'EURO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (56622, '2020-07-02', 'MC', 'Monaco', 'EURO', '0', '73', '0', '1');
INSERT INTO public.who_import VALUES (56623, '2020-07-03', 'MC', 'Monaco', 'EURO', '3', '76', '0', '1');
INSERT INTO public.who_import VALUES (56624, '2020-07-04', 'MC', 'Monaco', 'EURO', '0', '76', '0', '1');
INSERT INTO public.who_import VALUES (56625, '2020-07-05', 'MC', 'Monaco', 'EURO', '0', '76', '0', '1');
INSERT INTO public.who_import VALUES (56626, '2020-07-06', 'MC', 'Monaco', 'EURO', '2', '78', '0', '1');
INSERT INTO public.who_import VALUES (56627, '2020-07-07', 'MC', 'Monaco', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (56628, '2020-07-08', 'MC', 'Monaco', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (56629, '2020-07-09', 'MC', 'Monaco', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (56630, '2020-07-10', 'MC', 'Monaco', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (56631, '2020-07-11', 'MC', 'Monaco', 'EURO', '0', '78', '0', '1');
INSERT INTO public.who_import VALUES (56632, '2020-07-12', 'MC', 'Monaco', 'EURO', '1', '79', '0', '1');
INSERT INTO public.who_import VALUES (56633, '2020-07-13', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56634, '2020-07-14', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56635, '2020-07-15', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56636, '2020-07-16', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56637, '2020-07-17', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56638, '2020-07-18', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56639, '2020-07-19', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56640, '2020-07-20', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56641, '2020-07-21', 'MC', 'Monaco', 'EURO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (56642, '2020-07-22', 'MC', 'Monaco', 'EURO', '2', '81', '0', '1');
INSERT INTO public.who_import VALUES (56643, '2020-07-23', 'MC', 'Monaco', 'EURO', '1', '82', '0', '1');
INSERT INTO public.who_import VALUES (56644, '2020-07-24', 'MC', 'Monaco', 'EURO', '1', '83', '0', '1');
INSERT INTO public.who_import VALUES (56645, '2020-07-25', 'MC', 'Monaco', 'EURO', '1', '84', '0', '1');
INSERT INTO public.who_import VALUES (56646, '2020-07-26', 'MC', 'Monaco', 'EURO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (56647, '2020-07-27', 'MC', 'Monaco', 'EURO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (56648, '2020-07-28', 'MC', 'Monaco', 'EURO', '0', '84', '0', '1');
INSERT INTO public.who_import VALUES (56649, '2020-07-29', 'MC', 'Monaco', 'EURO', '1', '85', '0', '1');
INSERT INTO public.who_import VALUES (56650, '2020-07-30', 'MC', 'Monaco', 'EURO', '2', '87', '0', '1');
INSERT INTO public.who_import VALUES (56651, '2020-07-31', 'MC', 'Monaco', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (56652, '2020-08-01', 'MC', 'Monaco', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (56653, '2020-08-02', 'MC', 'Monaco', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (56654, '2020-08-03', 'MC', 'Monaco', 'EURO', '0', '87', '0', '1');
INSERT INTO public.who_import VALUES (56655, '2020-08-04', 'MC', 'Monaco', 'EURO', '1', '88', '0', '1');
INSERT INTO public.who_import VALUES (56656, '2020-08-05', 'MC', 'Monaco', 'EURO', '2', '90', '0', '1');
INSERT INTO public.who_import VALUES (56657, '2020-08-06', 'MC', 'Monaco', 'EURO', '3', '93', '0', '1');
INSERT INTO public.who_import VALUES (56658, '2020-08-07', 'MC', 'Monaco', 'EURO', '1', '94', '0', '1');
INSERT INTO public.who_import VALUES (56659, '2020-08-08', 'MC', 'Monaco', 'EURO', '2', '96', '0', '1');
INSERT INTO public.who_import VALUES (56660, '2020-08-09', 'MC', 'Monaco', 'EURO', '1', '97', '0', '1');
INSERT INTO public.who_import VALUES (56661, '2020-08-10', 'MC', 'Monaco', 'EURO', '0', '97', '0', '1');
INSERT INTO public.who_import VALUES (56662, '2020-08-11', 'MC', 'Monaco', 'EURO', '0', '97', '0', '1');
INSERT INTO public.who_import VALUES (56663, '2020-08-12', 'MC', 'Monaco', 'EURO', '1', '98', '0', '1');
INSERT INTO public.who_import VALUES (56664, '2020-08-13', 'MC', 'Monaco', 'EURO', '2', '100', '0', '1');
INSERT INTO public.who_import VALUES (56665, '2020-08-14', 'MC', 'Monaco', 'EURO', '2', '102', '0', '1');
INSERT INTO public.who_import VALUES (56666, '2020-08-15', 'MC', 'Monaco', 'EURO', '0', '102', '0', '1');
INSERT INTO public.who_import VALUES (56667, '2020-08-16', 'MC', 'Monaco', 'EURO', '0', '102', '0', '1');
INSERT INTO public.who_import VALUES (56668, '2020-08-17', 'MC', 'Monaco', 'EURO', '0', '102', '0', '1');
INSERT INTO public.who_import VALUES (56669, '2020-08-18', 'MC', 'Monaco', 'EURO', '1', '103', '0', '1');
INSERT INTO public.who_import VALUES (56670, '2020-08-19', 'MC', 'Monaco', 'EURO', '0', '103', '0', '1');
INSERT INTO public.who_import VALUES (56671, '2020-08-20', 'MC', 'Monaco', 'EURO', '0', '103', '0', '1');
INSERT INTO public.who_import VALUES (56672, '2020-08-21', 'MC', 'Monaco', 'EURO', '2', '105', '0', '1');
INSERT INTO public.who_import VALUES (56673, '2020-08-22', 'MC', 'Monaco', 'EURO', '4', '109', '0', '1');
INSERT INTO public.who_import VALUES (56674, '2020-08-23', 'MC', 'Monaco', 'EURO', '2', '111', '0', '1');
INSERT INTO public.who_import VALUES (56675, '2020-08-24', 'MC', 'Monaco', 'EURO', '3', '114', '0', '1');
INSERT INTO public.who_import VALUES (56676, '2020-08-25', 'MC', 'Monaco', 'EURO', '4', '118', '0', '1');
INSERT INTO public.who_import VALUES (56677, '2020-08-26', 'MC', 'Monaco', 'EURO', '6', '124', '0', '1');
INSERT INTO public.who_import VALUES (56678, '2020-08-27', 'MC', 'Monaco', 'EURO', '1', '125', '0', '1');
INSERT INTO public.who_import VALUES (56679, '2020-08-28', 'MC', 'Monaco', 'EURO', '3', '128', '0', '1');
INSERT INTO public.who_import VALUES (56680, '2020-08-29', 'MC', 'Monaco', 'EURO', '0', '128', '0', '1');
INSERT INTO public.who_import VALUES (56681, '2020-08-30', 'MC', 'Monaco', 'EURO', '5', '133', '0', '1');
INSERT INTO public.who_import VALUES (56682, '2020-08-31', 'MC', 'Monaco', 'EURO', '1', '134', '0', '1');
INSERT INTO public.who_import VALUES (56683, '2020-09-01', 'MC', 'Monaco', 'EURO', '7', '141', '0', '1');
INSERT INTO public.who_import VALUES (56684, '2020-09-02', 'MC', 'Monaco', 'EURO', '2', '143', '0', '1');
INSERT INTO public.who_import VALUES (56685, '2020-09-03', 'MC', 'Monaco', 'EURO', '2', '145', '0', '1');
INSERT INTO public.who_import VALUES (56686, '2020-09-04', 'MC', 'Monaco', 'EURO', '1', '146', '0', '1');
INSERT INTO public.who_import VALUES (56687, '2020-09-05', 'MC', 'Monaco', 'EURO', '4', '150', '0', '1');
INSERT INTO public.who_import VALUES (56688, '2020-09-06', 'MC', 'Monaco', 'EURO', '0', '150', '0', '1');
INSERT INTO public.who_import VALUES (56689, '2020-09-07', 'MC', 'Monaco', 'EURO', '1', '151', '0', '1');
INSERT INTO public.who_import VALUES (56690, '2020-09-08', 'MC', 'Monaco', 'EURO', '5', '156', '0', '1');
INSERT INTO public.who_import VALUES (56691, '2020-09-09', 'MC', 'Monaco', 'EURO', '3', '159', '0', '1');
INSERT INTO public.who_import VALUES (56692, '2020-09-10', 'MC', 'Monaco', 'EURO', '5', '164', '0', '1');
INSERT INTO public.who_import VALUES (56693, '2020-09-11', 'MC', 'Monaco', 'EURO', '4', '168', '0', '1');
INSERT INTO public.who_import VALUES (56694, '2020-09-12', 'MC', 'Monaco', 'EURO', '3', '171', '0', '1');
INSERT INTO public.who_import VALUES (56695, '2020-09-13', 'MC', 'Monaco', 'EURO', '1', '172', '0', '1');
INSERT INTO public.who_import VALUES (56696, '2020-09-14', 'MC', 'Monaco', 'EURO', '2', '174', '0', '1');
INSERT INTO public.who_import VALUES (56697, '2020-09-15', 'MC', 'Monaco', 'EURO', '6', '180', '0', '1');
INSERT INTO public.who_import VALUES (56698, '2020-09-16', 'MC', 'Monaco', 'EURO', '1', '181', '0', '1');
INSERT INTO public.who_import VALUES (56699, '2020-09-17', 'MC', 'Monaco', 'EURO', '3', '184', '0', '1');
INSERT INTO public.who_import VALUES (56700, '2020-09-18', 'MC', 'Monaco', 'EURO', '5', '189', '0', '1');
INSERT INTO public.who_import VALUES (56701, '2020-09-19', 'MC', 'Monaco', 'EURO', '5', '194', '0', '1');
INSERT INTO public.who_import VALUES (56702, '2020-09-20', 'MC', 'Monaco', 'EURO', '1', '195', '0', '1');
INSERT INTO public.who_import VALUES (56703, '2020-09-21', 'MC', 'Monaco', 'EURO', '1', '196', '0', '1');
INSERT INTO public.who_import VALUES (56704, '2020-09-22', 'MC', 'Monaco', 'EURO', '2', '198', '0', '1');
INSERT INTO public.who_import VALUES (56705, '2020-09-23', 'MC', 'Monaco', 'EURO', '2', '200', '0', '1');
INSERT INTO public.who_import VALUES (56706, '2020-09-24', 'MC', 'Monaco', 'EURO', '2', '202', '0', '1');
INSERT INTO public.who_import VALUES (56707, '2020-09-25', 'MC', 'Monaco', 'EURO', '6', '208', '0', '1');
INSERT INTO public.who_import VALUES (56708, '2020-09-26', 'MC', 'Monaco', 'EURO', '5', '213', '1', '2');
INSERT INTO public.who_import VALUES (56709, '2020-09-27', 'MC', 'Monaco', 'EURO', '0', '213', '0', '2');
INSERT INTO public.who_import VALUES (56710, '2020-09-28', 'MC', 'Monaco', 'EURO', '0', '213', '0', '2');
INSERT INTO public.who_import VALUES (56711, '2020-09-29', 'MC', 'Monaco', 'EURO', '2', '215', '0', '2');
INSERT INTO public.who_import VALUES (56712, '2020-09-30', 'MC', 'Monaco', 'EURO', '2', '217', '0', '2');
INSERT INTO public.who_import VALUES (56713, '2020-10-01', 'MC', 'Monaco', 'EURO', '4', '221', '0', '2');
INSERT INTO public.who_import VALUES (56714, '2020-10-02', 'MC', 'Monaco', 'EURO', '1', '222', '0', '2');
INSERT INTO public.who_import VALUES (56715, '2020-10-03', 'MC', 'Monaco', 'EURO', '2', '224', '0', '2');
INSERT INTO public.who_import VALUES (56716, '2020-10-04', 'MC', 'Monaco', 'EURO', '1', '225', '0', '2');
INSERT INTO public.who_import VALUES (56717, '2020-10-05', 'MC', 'Monaco', 'EURO', '0', '225', '0', '2');
INSERT INTO public.who_import VALUES (56718, '2020-10-06', 'MC', 'Monaco', 'EURO', '1', '226', '0', '2');
INSERT INTO public.who_import VALUES (56719, '2020-10-07', 'MC', 'Monaco', 'EURO', '1', '227', '0', '2');
INSERT INTO public.who_import VALUES (56720, '2020-10-08', 'MC', 'Monaco', 'EURO', '3', '230', '0', '2');
INSERT INTO public.who_import VALUES (56721, '2020-10-09', 'MC', 'Monaco', 'EURO', '2', '232', '0', '2');
INSERT INTO public.who_import VALUES (56722, '2020-10-10', 'MC', 'Monaco', 'EURO', '4', '236', '0', '2');
INSERT INTO public.who_import VALUES (56723, '2020-10-11', 'MC', 'Monaco', 'EURO', '0', '236', '0', '2');
INSERT INTO public.who_import VALUES (56724, '2020-10-12', 'MC', 'Monaco', 'EURO', '1', '237', '0', '2');
INSERT INTO public.who_import VALUES (56725, '2020-10-13', 'MC', 'Monaco', 'EURO', '2', '239', '0', '2');
INSERT INTO public.who_import VALUES (56726, '2020-10-14', 'MC', 'Monaco', 'EURO', '5', '244', '0', '2');
INSERT INTO public.who_import VALUES (56727, '2020-10-15', 'MC', 'Monaco', 'EURO', '7', '251', '0', '2');
INSERT INTO public.who_import VALUES (56728, '2020-10-16', 'MC', 'Monaco', 'EURO', '5', '256', '0', '2');
INSERT INTO public.who_import VALUES (56729, '2020-10-17', 'MC', 'Monaco', 'EURO', '2', '258', '0', '2');
INSERT INTO public.who_import VALUES (56730, '2020-10-18', 'MC', 'Monaco', 'EURO', '5', '263', '0', '2');
INSERT INTO public.who_import VALUES (56731, '2020-10-19', 'MC', 'Monaco', 'EURO', '5', '268', '0', '2');
INSERT INTO public.who_import VALUES (56732, '2020-10-20', 'MC', 'Monaco', 'EURO', '3', '271', '0', '2');
INSERT INTO public.who_import VALUES (56733, '2020-10-21', 'MC', 'Monaco', 'EURO', '3', '274', '0', '2');
INSERT INTO public.who_import VALUES (56734, '2020-10-22', 'MC', 'Monaco', 'EURO', '2', '276', '0', '2');
INSERT INTO public.who_import VALUES (56735, '2020-10-23', 'MC', 'Monaco', 'EURO', '8', '284', '0', '2');
INSERT INTO public.who_import VALUES (56736, '2020-10-24', 'MC', 'Monaco', 'EURO', '14', '298', '0', '2');
INSERT INTO public.who_import VALUES (56737, '2020-10-25', 'MC', 'Monaco', 'EURO', '1', '299', '0', '2');
INSERT INTO public.who_import VALUES (56738, '2020-10-26', 'MC', 'Monaco', 'EURO', '10', '309', '0', '2');
INSERT INTO public.who_import VALUES (56739, '2020-10-27', 'MC', 'Monaco', 'EURO', '4', '313', '0', '2');
INSERT INTO public.who_import VALUES (56740, '2020-10-28', 'MC', 'Monaco', 'EURO', '10', '323', '0', '2');
INSERT INTO public.who_import VALUES (56741, '2020-10-29', 'MC', 'Monaco', 'EURO', '17', '340', '0', '2');
INSERT INTO public.who_import VALUES (56742, '2020-10-30', 'MC', 'Monaco', 'EURO', '10', '350', '0', '2');
INSERT INTO public.who_import VALUES (56743, '2020-10-31', 'MC', 'Monaco', 'EURO', '8', '358', '0', '2');
INSERT INTO public.who_import VALUES (56744, '2020-11-01', 'MC', 'Monaco', 'EURO', '4', '362', '0', '2');
INSERT INTO public.who_import VALUES (56745, '2020-11-02', 'MC', 'Monaco', 'EURO', '7', '369', '0', '2');
INSERT INTO public.who_import VALUES (56746, '2020-11-03', 'MC', 'Monaco', 'EURO', '9', '378', '0', '2');
INSERT INTO public.who_import VALUES (56747, '2020-11-04', 'MC', 'Monaco', 'EURO', '22', '400', '0', '2');
INSERT INTO public.who_import VALUES (56748, '2020-11-05', 'MC', 'Monaco', 'EURO', '15', '415', '0', '2');
INSERT INTO public.who_import VALUES (56749, '2020-11-06', 'MC', 'Monaco', 'EURO', '18', '433', '0', '2');
INSERT INTO public.who_import VALUES (56750, '2020-11-07', 'MC', 'Monaco', 'EURO', '24', '457', '0', '2');
INSERT INTO public.who_import VALUES (56751, '2020-11-08', 'MC', 'Monaco', 'EURO', '29', '486', '0', '2');
INSERT INTO public.who_import VALUES (56752, '2020-11-09', 'MC', 'Monaco', 'EURO', '3', '489', '0', '2');
INSERT INTO public.who_import VALUES (56753, '2020-11-10', 'MC', 'Monaco', 'EURO', '4', '493', '0', '2');
INSERT INTO public.who_import VALUES (56754, '2020-11-11', 'MC', 'Monaco', 'EURO', '22', '515', '0', '2');
INSERT INTO public.who_import VALUES (56755, '2020-11-12', 'MC', 'Monaco', 'EURO', '12', '527', '0', '2');
INSERT INTO public.who_import VALUES (56756, '2020-11-13', 'MC', 'Monaco', 'EURO', '8', '535', '0', '2');
INSERT INTO public.who_import VALUES (56757, '2020-11-14', 'MC', 'Monaco', 'EURO', '8', '543', '0', '2');
INSERT INTO public.who_import VALUES (56758, '2020-11-15', 'MC', 'Monaco', 'EURO', '5', '548', '0', '2');
INSERT INTO public.who_import VALUES (56759, '2020-11-16', 'MC', 'Monaco', 'EURO', '3', '551', '0', '2');
INSERT INTO public.who_import VALUES (56760, '2020-11-17', 'MC', 'Monaco', 'EURO', '4', '555', '0', '2');
INSERT INTO public.who_import VALUES (56761, '2020-11-18', 'MC', 'Monaco', 'EURO', '5', '560', '1', '3');
INSERT INTO public.who_import VALUES (56762, '2020-11-19', 'MC', 'Monaco', 'EURO', '8', '568', '0', '3');
INSERT INTO public.who_import VALUES (56763, '2020-11-20', 'MC', 'Monaco', 'EURO', '8', '576', '0', '3');
INSERT INTO public.who_import VALUES (56764, '2020-11-21', 'MC', 'Monaco', 'EURO', '4', '580', '0', '3');
INSERT INTO public.who_import VALUES (56765, '2020-11-22', 'MC', 'Monaco', 'EURO', '4', '584', '0', '3');
INSERT INTO public.who_import VALUES (56766, '2020-11-23', 'MC', 'Monaco', 'EURO', '1', '585', '0', '3');
INSERT INTO public.who_import VALUES (56767, '2020-11-24', 'MC', 'Monaco', 'EURO', '1', '586', '0', '3');
INSERT INTO public.who_import VALUES (56768, '2020-11-25', 'MC', 'Monaco', 'EURO', '4', '590', '0', '3');
INSERT INTO public.who_import VALUES (56769, '2020-11-26', 'MC', 'Monaco', 'EURO', '7', '597', '0', '3');
INSERT INTO public.who_import VALUES (56770, '2020-11-27', 'MC', 'Monaco', 'EURO', '6', '603', '0', '3');
INSERT INTO public.who_import VALUES (56771, '2020-11-28', 'MC', 'Monaco', 'EURO', '3', '606', '0', '3');
INSERT INTO public.who_import VALUES (56772, '2020-11-29', 'MC', 'Monaco', 'EURO', '4', '610', '0', '3');
INSERT INTO public.who_import VALUES (56773, '2020-11-30', 'MC', 'Monaco', 'EURO', '1', '611', '0', '3');
INSERT INTO public.who_import VALUES (56774, '2020-12-01', 'MC', 'Monaco', 'EURO', '1', '612', '0', '3');
INSERT INTO public.who_import VALUES (56775, '2020-12-02', 'MC', 'Monaco', 'EURO', '8', '620', '0', '3');
INSERT INTO public.who_import VALUES (56776, '2020-12-03', 'MC', 'Monaco', 'EURO', '4', '624', '0', '3');
INSERT INTO public.who_import VALUES (56777, '2020-12-04', 'MC', 'Monaco', 'EURO', '9', '633', '0', '3');
INSERT INTO public.who_import VALUES (56778, '2020-12-05', 'MC', 'Monaco', 'EURO', '0', '633', '0', '3');
INSERT INTO public.who_import VALUES (56779, '2020-12-06', 'MC', 'Monaco', 'EURO', '7', '640', '0', '3');
INSERT INTO public.who_import VALUES (56780, '2020-12-07', 'MC', 'Monaco', 'EURO', '1', '641', '0', '3');
INSERT INTO public.who_import VALUES (56781, '2020-12-08', 'MC', 'Monaco', 'EURO', '3', '644', '0', '3');
INSERT INTO public.who_import VALUES (56782, '2020-12-09', 'MC', 'Monaco', 'EURO', '7', '651', '0', '3');
INSERT INTO public.who_import VALUES (56783, '2020-12-10', 'MC', 'Monaco', 'EURO', '7', '658', '0', '3');
INSERT INTO public.who_import VALUES (56784, '2020-12-11', 'MC', 'Monaco', 'EURO', '2', '660', '0', '3');
INSERT INTO public.who_import VALUES (56785, '2020-12-12', 'MC', 'Monaco', 'EURO', '2', '662', '0', '3');
INSERT INTO public.who_import VALUES (56786, '2020-12-13', 'MC', 'Monaco', 'EURO', '9', '671', '0', '3');
INSERT INTO public.who_import VALUES (56787, '2020-12-14', 'MC', 'Monaco', 'EURO', '0', '671', '0', '3');
INSERT INTO public.who_import VALUES (56788, '2020-12-15', 'MC', 'Monaco', 'EURO', '4', '675', '0', '3');
INSERT INTO public.who_import VALUES (56789, '2020-12-16', 'MC', 'Monaco', 'EURO', '6', '681', '0', '3');
INSERT INTO public.who_import VALUES (56790, '2020-12-17', 'MC', 'Monaco', 'EURO', '7', '688', '0', '3');
INSERT INTO public.who_import VALUES (56791, '2020-12-18', 'MC', 'Monaco', 'EURO', '15', '703', '0', '3');
INSERT INTO public.who_import VALUES (56792, '2020-12-19', 'MC', 'Monaco', 'EURO', '15', '718', '0', '3');
INSERT INTO public.who_import VALUES (56793, '2020-12-20', 'MC', 'Monaco', 'EURO', '8', '726', '0', '3');
INSERT INTO public.who_import VALUES (56794, '2020-12-21', 'MC', 'Monaco', 'EURO', '5', '731', '0', '3');
INSERT INTO public.who_import VALUES (56795, '2020-12-22', 'MC', 'Monaco', 'EURO', '14', '745', '0', '3');
INSERT INTO public.who_import VALUES (56796, '2020-12-23', 'MC', 'Monaco', 'EURO', '14', '759', '0', '3');
INSERT INTO public.who_import VALUES (56797, '2020-12-24', 'MC', 'Monaco', 'EURO', '11', '770', '0', '3');
INSERT INTO public.who_import VALUES (56798, '2020-12-25', 'MC', 'Monaco', 'EURO', '16', '786', '0', '3');
INSERT INTO public.who_import VALUES (56799, '2020-12-26', 'MC', 'Monaco', 'EURO', '6', '792', '0', '3');
INSERT INTO public.who_import VALUES (56800, '2020-12-27', 'MC', 'Monaco', 'EURO', '8', '800', '0', '3');
INSERT INTO public.who_import VALUES (56801, '2020-12-28', 'MC', 'Monaco', 'EURO', '2', '802', '0', '3');
INSERT INTO public.who_import VALUES (56802, '2020-12-29', 'MC', 'Monaco', 'EURO', '4', '806', '0', '3');
INSERT INTO public.who_import VALUES (56803, '2020-12-30', 'MC', 'Monaco', 'EURO', '24', '830', '0', '3');
INSERT INTO public.who_import VALUES (56804, '2020-12-31', 'MC', 'Monaco', 'EURO', '26', '856', '0', '3');
INSERT INTO public.who_import VALUES (56805, '2021-01-01', 'MC', 'Monaco', 'EURO', '22', '878', '0', '3');
INSERT INTO public.who_import VALUES (56806, '2021-01-02', 'MC', 'Monaco', 'EURO', '10', '888', '0', '3');
INSERT INTO public.who_import VALUES (56807, '2021-01-03', 'MC', 'Monaco', 'EURO', '16', '904', '1', '4');
INSERT INTO public.who_import VALUES (56808, '2021-01-04', 'MC', 'Monaco', 'EURO', '6', '910', '0', '4');
INSERT INTO public.who_import VALUES (56809, '2021-01-05', 'MC', 'Monaco', 'EURO', '10', '920', '0', '4');
INSERT INTO public.who_import VALUES (56810, '2021-01-06', 'MC', 'Monaco', 'EURO', '30', '950', '0', '4');
INSERT INTO public.who_import VALUES (56811, '2021-01-07', 'MC', 'Monaco', 'EURO', '31', '981', '0', '4');
INSERT INTO public.who_import VALUES (56812, '2021-01-08', 'MC', 'Monaco', 'EURO', '40', '1021', '1', '5');
INSERT INTO public.who_import VALUES (56813, '2021-01-09', 'MC', 'Monaco', 'EURO', '23', '1044', '0', '5');
INSERT INTO public.who_import VALUES (56814, '2021-01-10', 'MC', 'Monaco', 'EURO', '12', '1056', '0', '5');
INSERT INTO public.who_import VALUES (56815, '2021-01-11', 'MC', 'Monaco', 'EURO', '4', '1060', '0', '5');
INSERT INTO public.who_import VALUES (56816, '2021-01-12', 'MC', 'Monaco', 'EURO', '13', '1073', '1', '6');
INSERT INTO public.who_import VALUES (56817, '2021-01-13', 'MC', 'Monaco', 'EURO', '25', '1098', '1', '7');
INSERT INTO public.who_import VALUES (56818, '2021-01-14', 'MC', 'Monaco', 'EURO', '33', '1131', '0', '7');
INSERT INTO public.who_import VALUES (56819, '2021-01-15', 'MC', 'Monaco', 'EURO', '17', '1148', '1', '8');
INSERT INTO public.who_import VALUES (56820, '2021-01-16', 'MC', 'Monaco', 'EURO', '24', '1172', '0', '8');
INSERT INTO public.who_import VALUES (56821, '2021-01-17', 'MC', 'Monaco', 'EURO', '25', '1197', '0', '8');
INSERT INTO public.who_import VALUES (56822, '2021-01-18', 'MC', 'Monaco', 'EURO', '11', '1208', '0', '8');
INSERT INTO public.who_import VALUES (56823, '2021-01-19', 'MC', 'Monaco', 'EURO', '7', '1215', '0', '8');
INSERT INTO public.who_import VALUES (56824, '2021-01-20', 'MC', 'Monaco', 'EURO', '25', '1240', '1', '9');
INSERT INTO public.who_import VALUES (56825, '2021-01-21', 'MC', 'Monaco', 'EURO', '22', '1262', '0', '9');
INSERT INTO public.who_import VALUES (56826, '2021-01-22', 'MC', 'Monaco', 'EURO', '25', '1287', '0', '9');
INSERT INTO public.who_import VALUES (56827, '2021-01-23', 'MC', 'Monaco', 'EURO', '24', '1311', '0', '9');
INSERT INTO public.who_import VALUES (56828, '2021-01-24', 'MC', 'Monaco', 'EURO', '34', '1345', '0', '9');
INSERT INTO public.who_import VALUES (56829, '2021-01-25', 'MC', 'Monaco', 'EURO', '12', '1357', '0', '9');
INSERT INTO public.who_import VALUES (56830, '2021-01-26', 'MC', 'Monaco', 'EURO', '11', '1368', '0', '9');
INSERT INTO public.who_import VALUES (56831, '2021-01-27', 'MC', 'Monaco', 'EURO', '31', '1399', '0', '9');
INSERT INTO public.who_import VALUES (56832, '2021-01-28', 'MC', 'Monaco', 'EURO', '14', '1413', '1', '10');
INSERT INTO public.who_import VALUES (56833, '2021-01-29', 'MC', 'Monaco', 'EURO', '17', '1430', '1', '11');
INSERT INTO public.who_import VALUES (56834, '2021-01-30', 'MC', 'Monaco', 'EURO', '27', '1457', '1', '12');
INSERT INTO public.who_import VALUES (56835, '2021-01-31', 'MC', 'Monaco', 'EURO', '18', '1475', '0', '12');
INSERT INTO public.who_import VALUES (56836, '2021-02-01', 'MC', 'Monaco', 'EURO', '14', '1489', '1', '13');
INSERT INTO public.who_import VALUES (56837, '2021-02-02', 'MC', 'Monaco', 'EURO', '10', '1499', '1', '14');
INSERT INTO public.who_import VALUES (56838, '2021-02-03', 'MC', 'Monaco', 'EURO', '44', '1543', '3', '17');
INSERT INTO public.who_import VALUES (56839, '2021-02-04', 'MC', 'Monaco', 'EURO', '29', '1572', '1', '18');
INSERT INTO public.who_import VALUES (56840, '2021-02-05', 'MC', 'Monaco', 'EURO', '24', '1596', '0', '18');
INSERT INTO public.who_import VALUES (56841, '2021-02-06', 'MC', 'Monaco', 'EURO', '29', '1625', '1', '19');
INSERT INTO public.who_import VALUES (56842, '2021-02-07', 'MC', 'Monaco', 'EURO', '22', '1647', '1', '20');
INSERT INTO public.who_import VALUES (56843, '2021-02-08', 'MC', 'Monaco', 'EURO', '8', '1655', '0', '20');
INSERT INTO public.who_import VALUES (56844, '2021-02-09', 'MC', 'Monaco', 'EURO', '10', '1665', '0', '20');
INSERT INTO public.who_import VALUES (56845, '2021-02-10', 'MC', 'Monaco', 'EURO', '30', '1695', '0', '20');
INSERT INTO public.who_import VALUES (56846, '2021-02-11', 'MC', 'Monaco', 'EURO', '22', '1717', '0', '20');
INSERT INTO public.who_import VALUES (56847, '2021-02-12', 'MC', 'Monaco', 'EURO', '18', '1735', '0', '20');
INSERT INTO public.who_import VALUES (56848, '2021-02-13', 'MC', 'Monaco', 'EURO', '17', '1752', '1', '21');
INSERT INTO public.who_import VALUES (56849, '2021-02-14', 'MC', 'Monaco', 'EURO', '3', '1755', '0', '21');
INSERT INTO public.who_import VALUES (56850, '2021-02-15', 'MC', 'Monaco', 'EURO', '5', '1760', '0', '21');
INSERT INTO public.who_import VALUES (56851, '2021-02-16', 'MC', 'Monaco', 'EURO', '14', '1774', '0', '21');
INSERT INTO public.who_import VALUES (56852, '2021-02-17', 'MC', 'Monaco', 'EURO', '13', '1787', '0', '21');
INSERT INTO public.who_import VALUES (56853, '2021-02-18', 'MC', 'Monaco', 'EURO', '29', '1816', '1', '22');
INSERT INTO public.who_import VALUES (56854, '2021-02-19', 'MC', 'Monaco', 'EURO', '19', '1835', '0', '22');
INSERT INTO public.who_import VALUES (56855, '2021-02-20', 'MC', 'Monaco', 'EURO', '9', '1844', '0', '22');
INSERT INTO public.who_import VALUES (56856, '2020-01-03', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56857, '2020-01-04', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56858, '2020-01-05', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56859, '2020-01-06', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56860, '2020-01-07', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56861, '2020-01-08', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56862, '2020-01-09', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56863, '2020-01-10', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56864, '2020-01-11', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56865, '2020-01-12', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56866, '2020-01-13', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56867, '2020-01-14', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56868, '2020-01-15', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56869, '2020-01-16', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56870, '2020-01-17', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56871, '2020-01-18', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56872, '2020-01-19', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56873, '2020-01-20', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56874, '2020-01-21', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56875, '2020-01-22', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56876, '2020-01-23', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56877, '2020-01-24', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56878, '2020-01-25', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56879, '2020-01-26', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56880, '2020-01-27', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56881, '2020-01-28', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56882, '2020-01-29', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56883, '2020-01-30', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56884, '2020-01-31', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56885, '2020-02-01', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56886, '2020-02-02', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56887, '2020-02-03', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56888, '2020-02-04', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56889, '2020-02-05', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56890, '2020-02-06', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56891, '2020-02-07', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56892, '2020-02-08', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56893, '2020-02-09', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56894, '2020-02-10', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56895, '2020-02-11', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56896, '2020-02-12', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56897, '2020-02-13', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56898, '2020-02-14', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56899, '2020-02-15', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56900, '2020-02-16', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56901, '2020-02-17', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56902, '2020-02-18', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56903, '2020-02-19', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56904, '2020-02-20', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56905, '2020-02-21', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56906, '2020-02-22', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56907, '2020-02-23', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56908, '2020-02-24', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56909, '2020-02-25', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56910, '2020-02-26', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56911, '2020-02-27', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56912, '2020-02-28', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56913, '2020-02-29', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56914, '2020-03-01', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56915, '2020-03-02', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56916, '2020-03-03', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56917, '2020-03-04', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56918, '2020-03-05', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56919, '2020-03-06', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56920, '2020-03-07', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56921, '2020-03-08', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56922, '2020-03-09', 'MN', 'Mongolia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (56923, '2020-03-10', 'MN', 'Mongolia', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (56924, '2020-03-11', 'MN', 'Mongolia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (56925, '2020-03-12', 'MN', 'Mongolia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (56926, '2020-03-13', 'MN', 'Mongolia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (56927, '2020-03-14', 'MN', 'Mongolia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (56928, '2020-03-15', 'MN', 'Mongolia', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (56929, '2020-03-16', 'MN', 'Mongolia', 'WPRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (56930, '2020-03-17', 'MN', 'Mongolia', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (56931, '2020-03-18', 'MN', 'Mongolia', 'WPRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (56932, '2020-03-19', 'MN', 'Mongolia', 'WPRO', '-3', '6', '0', '0');
INSERT INTO public.who_import VALUES (56933, '2020-03-20', 'MN', 'Mongolia', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (56934, '2020-03-21', 'MN', 'Mongolia', 'WPRO', '4', '10', '0', '0');
INSERT INTO public.who_import VALUES (56935, '2020-03-22', 'MN', 'Mongolia', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (56936, '2020-03-23', 'MN', 'Mongolia', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (56937, '2020-03-24', 'MN', 'Mongolia', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (56938, '2020-03-25', 'MN', 'Mongolia', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (56939, '2020-03-26', 'MN', 'Mongolia', 'WPRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (56940, '2020-03-27', 'MN', 'Mongolia', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (56941, '2020-03-28', 'MN', 'Mongolia', 'WPRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (56942, '2020-03-29', 'MN', 'Mongolia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (56943, '2020-03-30', 'MN', 'Mongolia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (56944, '2020-03-31', 'MN', 'Mongolia', 'WPRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (56945, '2020-04-01', 'MN', 'Mongolia', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (56946, '2020-04-02', 'MN', 'Mongolia', 'WPRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (56947, '2020-04-03', 'MN', 'Mongolia', 'WPRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (56948, '2020-04-04', 'MN', 'Mongolia', 'WPRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (56949, '2020-04-05', 'MN', 'Mongolia', 'WPRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (56950, '2020-04-06', 'MN', 'Mongolia', 'WPRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (56951, '2020-04-07', 'MN', 'Mongolia', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (56952, '2020-04-08', 'MN', 'Mongolia', 'WPRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (56953, '2020-04-09', 'MN', 'Mongolia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (56954, '2020-04-10', 'MN', 'Mongolia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (56955, '2020-04-11', 'MN', 'Mongolia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (56956, '2020-04-12', 'MN', 'Mongolia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (56957, '2020-04-13', 'MN', 'Mongolia', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (56958, '2020-04-14', 'MN', 'Mongolia', 'WPRO', '14', '30', '0', '0');
INSERT INTO public.who_import VALUES (56959, '2020-04-15', 'MN', 'Mongolia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (56960, '2020-04-16', 'MN', 'Mongolia', 'WPRO', '1', '31', '0', '0');
INSERT INTO public.who_import VALUES (56961, '2020-04-17', 'MN', 'Mongolia', 'WPRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (56962, '2020-04-18', 'MN', 'Mongolia', 'WPRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (56963, '2020-04-19', 'MN', 'Mongolia', 'WPRO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (56964, '2020-04-20', 'MN', 'Mongolia', 'WPRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (56965, '2020-04-21', 'MN', 'Mongolia', 'WPRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (56966, '2020-04-22', 'MN', 'Mongolia', 'WPRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (56967, '2020-04-23', 'MN', 'Mongolia', 'WPRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (56968, '2020-04-24', 'MN', 'Mongolia', 'WPRO', '1', '36', '0', '0');
INSERT INTO public.who_import VALUES (56969, '2020-04-25', 'MN', 'Mongolia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (56970, '2020-04-26', 'MN', 'Mongolia', 'WPRO', '1', '37', '0', '0');
INSERT INTO public.who_import VALUES (56971, '2020-04-27', 'MN', 'Mongolia', 'WPRO', '1', '38', '0', '0');
INSERT INTO public.who_import VALUES (56972, '2020-04-28', 'MN', 'Mongolia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (56973, '2020-04-29', 'MN', 'Mongolia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (56974, '2020-04-30', 'MN', 'Mongolia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (56975, '2020-05-01', 'MN', 'Mongolia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (56976, '2020-05-02', 'MN', 'Mongolia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (56977, '2020-05-03', 'MN', 'Mongolia', 'WPRO', '1', '39', '0', '0');
INSERT INTO public.who_import VALUES (56978, '2020-05-04', 'MN', 'Mongolia', 'WPRO', '1', '40', '0', '0');
INSERT INTO public.who_import VALUES (56979, '2020-05-05', 'MN', 'Mongolia', 'WPRO', '1', '41', '0', '0');
INSERT INTO public.who_import VALUES (56980, '2020-05-06', 'MN', 'Mongolia', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (56981, '2020-05-07', 'MN', 'Mongolia', 'WPRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (56982, '2020-05-08', 'MN', 'Mongolia', 'WPRO', '1', '42', '0', '0');
INSERT INTO public.who_import VALUES (56983, '2020-05-09', 'MN', 'Mongolia', 'WPRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (56984, '2020-05-10', 'MN', 'Mongolia', 'WPRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (56985, '2020-05-11', 'MN', 'Mongolia', 'WPRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (56986, '2020-05-12', 'MN', 'Mongolia', 'WPRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (56987, '2020-05-13', 'MN', 'Mongolia', 'WPRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (56988, '2020-05-14', 'MN', 'Mongolia', 'WPRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (56989, '2020-05-15', 'MN', 'Mongolia', 'WPRO', '56', '98', '0', '0');
INSERT INTO public.who_import VALUES (56990, '2020-05-16', 'MN', 'Mongolia', 'WPRO', '37', '135', '0', '0');
INSERT INTO public.who_import VALUES (56991, '2020-05-17', 'MN', 'Mongolia', 'WPRO', '1', '136', '0', '0');
INSERT INTO public.who_import VALUES (56992, '2020-05-18', 'MN', 'Mongolia', 'WPRO', '4', '140', '0', '0');
INSERT INTO public.who_import VALUES (56993, '2020-05-19', 'MN', 'Mongolia', 'WPRO', '0', '140', '0', '0');
INSERT INTO public.who_import VALUES (56994, '2020-05-20', 'MN', 'Mongolia', 'WPRO', '0', '140', '0', '0');
INSERT INTO public.who_import VALUES (56995, '2020-05-21', 'MN', 'Mongolia', 'WPRO', '0', '140', '0', '0');
INSERT INTO public.who_import VALUES (56996, '2020-05-22', 'MN', 'Mongolia', 'WPRO', '1', '141', '0', '0');
INSERT INTO public.who_import VALUES (56997, '2020-05-23', 'MN', 'Mongolia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (56998, '2020-05-24', 'MN', 'Mongolia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (56999, '2020-05-25', 'MN', 'Mongolia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (57000, '2020-05-26', 'MN', 'Mongolia', 'WPRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (57001, '2020-05-27', 'MN', 'Mongolia', 'WPRO', '7', '148', '0', '0');
INSERT INTO public.who_import VALUES (57002, '2020-05-28', 'MN', 'Mongolia', 'WPRO', '13', '161', '0', '0');
INSERT INTO public.who_import VALUES (57003, '2020-05-29', 'MN', 'Mongolia', 'WPRO', '18', '179', '0', '0');
INSERT INTO public.who_import VALUES (57004, '2020-05-30', 'MN', 'Mongolia', 'WPRO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (57005, '2020-05-31', 'MN', 'Mongolia', 'WPRO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (57006, '2020-06-01', 'MN', 'Mongolia', 'WPRO', '0', '179', '0', '0');
INSERT INTO public.who_import VALUES (57007, '2020-06-02', 'MN', 'Mongolia', 'WPRO', '6', '185', '0', '0');
INSERT INTO public.who_import VALUES (57008, '2020-06-03', 'MN', 'Mongolia', 'WPRO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (57009, '2020-06-04', 'MN', 'Mongolia', 'WPRO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (57010, '2020-06-05', 'MN', 'Mongolia', 'WPRO', '1', '186', '0', '0');
INSERT INTO public.who_import VALUES (57011, '2020-06-06', 'MN', 'Mongolia', 'WPRO', '5', '191', '0', '0');
INSERT INTO public.who_import VALUES (57012, '2020-06-07', 'MN', 'Mongolia', 'WPRO', '2', '193', '0', '0');
INSERT INTO public.who_import VALUES (57013, '2020-06-08', 'MN', 'Mongolia', 'WPRO', '0', '193', '0', '0');
INSERT INTO public.who_import VALUES (57014, '2020-06-09', 'MN', 'Mongolia', 'WPRO', '1', '194', '0', '0');
INSERT INTO public.who_import VALUES (57015, '2020-06-10', 'MN', 'Mongolia', 'WPRO', '0', '194', '0', '0');
INSERT INTO public.who_import VALUES (57016, '2020-06-11', 'MN', 'Mongolia', 'WPRO', '0', '194', '0', '0');
INSERT INTO public.who_import VALUES (57017, '2020-06-12', 'MN', 'Mongolia', 'WPRO', '0', '194', '0', '0');
INSERT INTO public.who_import VALUES (57018, '2020-06-13', 'MN', 'Mongolia', 'WPRO', '3', '197', '0', '0');
INSERT INTO public.who_import VALUES (57019, '2020-06-14', 'MN', 'Mongolia', 'WPRO', '0', '197', '0', '0');
INSERT INTO public.who_import VALUES (57020, '2020-06-15', 'MN', 'Mongolia', 'WPRO', '0', '197', '0', '0');
INSERT INTO public.who_import VALUES (57021, '2020-06-16', 'MN', 'Mongolia', 'WPRO', '0', '197', '0', '0');
INSERT INTO public.who_import VALUES (57022, '2020-06-17', 'MN', 'Mongolia', 'WPRO', '0', '197', '0', '0');
INSERT INTO public.who_import VALUES (57023, '2020-06-18', 'MN', 'Mongolia', 'WPRO', '0', '197', '0', '0');
INSERT INTO public.who_import VALUES (57024, '2020-06-19', 'MN', 'Mongolia', 'WPRO', '4', '201', '0', '0');
INSERT INTO public.who_import VALUES (57025, '2020-06-20', 'MN', 'Mongolia', 'WPRO', '3', '204', '0', '0');
INSERT INTO public.who_import VALUES (57026, '2020-06-21', 'MN', 'Mongolia', 'WPRO', '0', '204', '0', '0');
INSERT INTO public.who_import VALUES (57027, '2020-06-22', 'MN', 'Mongolia', 'WPRO', '2', '206', '0', '0');
INSERT INTO public.who_import VALUES (57028, '2020-06-23', 'MN', 'Mongolia', 'WPRO', '7', '213', '0', '0');
INSERT INTO public.who_import VALUES (57029, '2020-06-24', 'MN', 'Mongolia', 'WPRO', '2', '215', '0', '0');
INSERT INTO public.who_import VALUES (57030, '2020-06-25', 'MN', 'Mongolia', 'WPRO', '0', '215', '0', '0');
INSERT INTO public.who_import VALUES (57031, '2020-06-26', 'MN', 'Mongolia', 'WPRO', '1', '216', '0', '0');
INSERT INTO public.who_import VALUES (57032, '2020-06-27', 'MN', 'Mongolia', 'WPRO', '3', '219', '0', '0');
INSERT INTO public.who_import VALUES (57033, '2020-06-28', 'MN', 'Mongolia', 'WPRO', '0', '219', '0', '0');
INSERT INTO public.who_import VALUES (57034, '2020-06-29', 'MN', 'Mongolia', 'WPRO', '0', '219', '0', '0');
INSERT INTO public.who_import VALUES (57035, '2020-06-30', 'MN', 'Mongolia', 'WPRO', '1', '220', '0', '0');
INSERT INTO public.who_import VALUES (57036, '2020-07-01', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57037, '2020-07-02', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57038, '2020-07-03', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57039, '2020-07-04', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57040, '2020-07-05', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57041, '2020-07-06', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57042, '2020-07-07', 'MN', 'Mongolia', 'WPRO', '0', '220', '0', '0');
INSERT INTO public.who_import VALUES (57043, '2020-07-08', 'MN', 'Mongolia', 'WPRO', '5', '225', '0', '0');
INSERT INTO public.who_import VALUES (57044, '2020-07-09', 'MN', 'Mongolia', 'WPRO', '2', '227', '0', '0');
INSERT INTO public.who_import VALUES (57045, '2020-07-10', 'MN', 'Mongolia', 'WPRO', '0', '227', '0', '0');
INSERT INTO public.who_import VALUES (57046, '2020-07-11', 'MN', 'Mongolia', 'WPRO', '0', '227', '0', '0');
INSERT INTO public.who_import VALUES (57047, '2020-07-12', 'MN', 'Mongolia', 'WPRO', '0', '227', '0', '0');
INSERT INTO public.who_import VALUES (57048, '2020-07-13', 'MN', 'Mongolia', 'WPRO', '3', '230', '0', '0');
INSERT INTO public.who_import VALUES (57049, '2020-07-14', 'MN', 'Mongolia', 'WPRO', '0', '230', '0', '0');
INSERT INTO public.who_import VALUES (57050, '2020-07-15', 'MN', 'Mongolia', 'WPRO', '13', '243', '0', '0');
INSERT INTO public.who_import VALUES (57051, '2020-07-16', 'MN', 'Mongolia', 'WPRO', '18', '261', '0', '0');
INSERT INTO public.who_import VALUES (57052, '2020-07-17', 'MN', 'Mongolia', 'WPRO', '0', '261', '0', '0');
INSERT INTO public.who_import VALUES (57053, '2020-07-18', 'MN', 'Mongolia', 'WPRO', '1', '262', '0', '0');
INSERT INTO public.who_import VALUES (57054, '2020-07-19', 'MN', 'Mongolia', 'WPRO', '25', '287', '0', '0');
INSERT INTO public.who_import VALUES (57055, '2020-07-20', 'MN', 'Mongolia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (57056, '2020-07-21', 'MN', 'Mongolia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (57057, '2020-07-22', 'MN', 'Mongolia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (57058, '2020-07-23', 'MN', 'Mongolia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (57059, '2020-07-24', 'MN', 'Mongolia', 'WPRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (57060, '2020-07-25', 'MN', 'Mongolia', 'WPRO', '1', '288', '0', '0');
INSERT INTO public.who_import VALUES (57061, '2020-07-26', 'MN', 'Mongolia', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (57062, '2020-07-27', 'MN', 'Mongolia', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (57063, '2020-07-28', 'MN', 'Mongolia', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (57064, '2020-07-29', 'MN', 'Mongolia', 'WPRO', '1', '289', '0', '0');
INSERT INTO public.who_import VALUES (57065, '2020-07-30', 'MN', 'Mongolia', 'WPRO', '2', '291', '0', '0');
INSERT INTO public.who_import VALUES (57066, '2020-07-31', 'MN', 'Mongolia', 'WPRO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (57067, '2020-08-01', 'MN', 'Mongolia', 'WPRO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (57068, '2020-08-02', 'MN', 'Mongolia', 'WPRO', '0', '291', '0', '0');
INSERT INTO public.who_import VALUES (57069, '2020-08-03', 'MN', 'Mongolia', 'WPRO', '2', '293', '0', '0');
INSERT INTO public.who_import VALUES (57070, '2020-08-04', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57071, '2020-08-05', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57072, '2020-08-06', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57073, '2020-08-07', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57074, '2020-08-08', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57075, '2020-08-09', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57076, '2020-08-10', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57077, '2020-08-11', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57078, '2020-08-12', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57079, '2020-08-13', 'MN', 'Mongolia', 'WPRO', '0', '293', '0', '0');
INSERT INTO public.who_import VALUES (57080, '2020-08-14', 'MN', 'Mongolia', 'WPRO', '4', '297', '0', '0');
INSERT INTO public.who_import VALUES (57081, '2020-08-15', 'MN', 'Mongolia', 'WPRO', '0', '297', '0', '0');
INSERT INTO public.who_import VALUES (57082, '2020-08-16', 'MN', 'Mongolia', 'WPRO', '1', '298', '0', '0');
INSERT INTO public.who_import VALUES (57083, '2020-08-17', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57084, '2020-08-18', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57085, '2020-08-19', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57086, '2020-08-20', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57087, '2020-08-21', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57088, '2020-08-22', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57089, '2020-08-23', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57090, '2020-08-24', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57091, '2020-08-25', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57092, '2020-08-26', 'MN', 'Mongolia', 'WPRO', '0', '298', '0', '0');
INSERT INTO public.who_import VALUES (57093, '2020-08-27', 'MN', 'Mongolia', 'WPRO', '2', '300', '0', '0');
INSERT INTO public.who_import VALUES (57094, '2020-08-28', 'MN', 'Mongolia', 'WPRO', '1', '301', '0', '0');
INSERT INTO public.who_import VALUES (57095, '2020-08-29', 'MN', 'Mongolia', 'WPRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (57096, '2020-08-30', 'MN', 'Mongolia', 'WPRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (57097, '2020-08-31', 'MN', 'Mongolia', 'WPRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (57098, '2020-09-01', 'MN', 'Mongolia', 'WPRO', '0', '301', '0', '0');
INSERT INTO public.who_import VALUES (57099, '2020-09-02', 'MN', 'Mongolia', 'WPRO', '3', '304', '0', '0');
INSERT INTO public.who_import VALUES (57100, '2020-09-03', 'MN', 'Mongolia', 'WPRO', '2', '306', '0', '0');
INSERT INTO public.who_import VALUES (57101, '2020-09-04', 'MN', 'Mongolia', 'WPRO', '0', '306', '0', '0');
INSERT INTO public.who_import VALUES (57102, '2020-09-05', 'MN', 'Mongolia', 'WPRO', '4', '310', '0', '0');
INSERT INTO public.who_import VALUES (57103, '2020-09-06', 'MN', 'Mongolia', 'WPRO', '0', '310', '0', '0');
INSERT INTO public.who_import VALUES (57104, '2020-09-07', 'MN', 'Mongolia', 'WPRO', '0', '310', '0', '0');
INSERT INTO public.who_import VALUES (57105, '2020-09-08', 'MN', 'Mongolia', 'WPRO', '0', '310', '0', '0');
INSERT INTO public.who_import VALUES (57106, '2020-09-09', 'MN', 'Mongolia', 'WPRO', '0', '310', '0', '0');
INSERT INTO public.who_import VALUES (57107, '2020-09-10', 'MN', 'Mongolia', 'WPRO', '0', '310', '0', '0');
INSERT INTO public.who_import VALUES (57108, '2020-09-11', 'MN', 'Mongolia', 'WPRO', '0', '310', '0', '0');
INSERT INTO public.who_import VALUES (57109, '2020-09-12', 'MN', 'Mongolia', 'WPRO', '1', '311', '0', '0');
INSERT INTO public.who_import VALUES (57110, '2020-09-13', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57111, '2020-09-14', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57112, '2020-09-15', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57113, '2020-09-16', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57114, '2020-09-17', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57115, '2020-09-18', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57116, '2020-09-19', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57117, '2020-09-20', 'MN', 'Mongolia', 'WPRO', '0', '311', '0', '0');
INSERT INTO public.who_import VALUES (57118, '2020-09-21', 'MN', 'Mongolia', 'WPRO', '1', '312', '0', '0');
INSERT INTO public.who_import VALUES (57119, '2020-09-22', 'MN', 'Mongolia', 'WPRO', '0', '312', '0', '0');
INSERT INTO public.who_import VALUES (57120, '2020-09-23', 'MN', 'Mongolia', 'WPRO', '1', '313', '0', '0');
INSERT INTO public.who_import VALUES (57121, '2020-09-24', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57122, '2020-09-25', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57123, '2020-09-26', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57124, '2020-09-27', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57125, '2020-09-28', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57126, '2020-09-29', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57127, '2020-09-30', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57128, '2020-10-01', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57129, '2020-10-02', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57130, '2020-10-03', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57131, '2020-10-04', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57132, '2020-10-05', 'MN', 'Mongolia', 'WPRO', '0', '313', '0', '0');
INSERT INTO public.who_import VALUES (57133, '2020-10-06', 'MN', 'Mongolia', 'WPRO', '1', '314', '0', '0');
INSERT INTO public.who_import VALUES (57134, '2020-10-07', 'MN', 'Mongolia', 'WPRO', '1', '315', '0', '0');
INSERT INTO public.who_import VALUES (57135, '2020-10-08', 'MN', 'Mongolia', 'WPRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (57136, '2020-10-09', 'MN', 'Mongolia', 'WPRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (57137, '2020-10-10', 'MN', 'Mongolia', 'WPRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (57138, '2020-10-11', 'MN', 'Mongolia', 'WPRO', '0', '315', '0', '0');
INSERT INTO public.who_import VALUES (57139, '2020-10-12', 'MN', 'Mongolia', 'WPRO', '1', '316', '0', '0');
INSERT INTO public.who_import VALUES (57140, '2020-10-13', 'MN', 'Mongolia', 'WPRO', '2', '318', '0', '0');
INSERT INTO public.who_import VALUES (57141, '2020-10-14', 'MN', 'Mongolia', 'WPRO', '2', '320', '0', '0');
INSERT INTO public.who_import VALUES (57142, '2020-10-15', 'MN', 'Mongolia', 'WPRO', '0', '320', '0', '0');
INSERT INTO public.who_import VALUES (57143, '2020-10-16', 'MN', 'Mongolia', 'WPRO', '0', '320', '0', '0');
INSERT INTO public.who_import VALUES (57144, '2020-10-17', 'MN', 'Mongolia', 'WPRO', '0', '320', '0', '0');
INSERT INTO public.who_import VALUES (57145, '2020-10-18', 'MN', 'Mongolia', 'WPRO', '0', '320', '0', '0');
INSERT INTO public.who_import VALUES (57146, '2020-10-19', 'MN', 'Mongolia', 'WPRO', '4', '324', '0', '0');
INSERT INTO public.who_import VALUES (57147, '2020-10-20', 'MN', 'Mongolia', 'WPRO', '0', '324', '0', '0');
INSERT INTO public.who_import VALUES (57148, '2020-10-21', 'MN', 'Mongolia', 'WPRO', '2', '326', '0', '0');
INSERT INTO public.who_import VALUES (57149, '2020-10-22', 'MN', 'Mongolia', 'WPRO', '1', '327', '0', '0');
INSERT INTO public.who_import VALUES (57150, '2020-10-23', 'MN', 'Mongolia', 'WPRO', '1', '328', '0', '0');
INSERT INTO public.who_import VALUES (57151, '2020-10-24', 'MN', 'Mongolia', 'WPRO', '0', '328', '0', '0');
INSERT INTO public.who_import VALUES (57152, '2020-10-25', 'MN', 'Mongolia', 'WPRO', '9', '337', '0', '0');
INSERT INTO public.who_import VALUES (57153, '2020-10-26', 'MN', 'Mongolia', 'WPRO', '1', '338', '0', '0');
INSERT INTO public.who_import VALUES (57154, '2020-10-27', 'MN', 'Mongolia', 'WPRO', '1', '339', '0', '0');
INSERT INTO public.who_import VALUES (57155, '2020-10-28', 'MN', 'Mongolia', 'WPRO', '1', '340', '0', '0');
INSERT INTO public.who_import VALUES (57156, '2020-10-29', 'MN', 'Mongolia', 'WPRO', '0', '340', '0', '0');
INSERT INTO public.who_import VALUES (57157, '2020-10-30', 'MN', 'Mongolia', 'WPRO', '0', '340', '0', '0');
INSERT INTO public.who_import VALUES (57158, '2020-10-31', 'MN', 'Mongolia', 'WPRO', '0', '340', '0', '0');
INSERT INTO public.who_import VALUES (57159, '2020-11-01', 'MN', 'Mongolia', 'WPRO', '6', '346', '0', '0');
INSERT INTO public.who_import VALUES (57160, '2020-11-02', 'MN', 'Mongolia', 'WPRO', '0', '346', '0', '0');
INSERT INTO public.who_import VALUES (57161, '2020-11-03', 'MN', 'Mongolia', 'WPRO', '3', '349', '0', '0');
INSERT INTO public.who_import VALUES (57162, '2020-11-04', 'MN', 'Mongolia', 'WPRO', '1', '350', '0', '0');
INSERT INTO public.who_import VALUES (57163, '2020-11-05', 'MN', 'Mongolia', 'WPRO', '2', '352', '0', '0');
INSERT INTO public.who_import VALUES (57164, '2020-11-06', 'MN', 'Mongolia', 'WPRO', '1', '353', '0', '0');
INSERT INTO public.who_import VALUES (57165, '2020-11-07', 'MN', 'Mongolia', 'WPRO', '3', '356', '0', '0');
INSERT INTO public.who_import VALUES (57166, '2020-11-08', 'MN', 'Mongolia', 'WPRO', '1', '357', '0', '0');
INSERT INTO public.who_import VALUES (57167, '2020-11-09', 'MN', 'Mongolia', 'WPRO', '5', '362', '0', '0');
INSERT INTO public.who_import VALUES (57168, '2020-11-10', 'MN', 'Mongolia', 'WPRO', '6', '368', '0', '0');
INSERT INTO public.who_import VALUES (57169, '2020-11-11', 'MN', 'Mongolia', 'WPRO', '6', '374', '0', '0');
INSERT INTO public.who_import VALUES (57170, '2020-11-12', 'MN', 'Mongolia', 'WPRO', '8', '382', '0', '0');
INSERT INTO public.who_import VALUES (57171, '2020-11-13', 'MN', 'Mongolia', 'WPRO', '24', '406', '0', '0');
INSERT INTO public.who_import VALUES (57172, '2020-11-14', 'MN', 'Mongolia', 'WPRO', '6', '412', '0', '0');
INSERT INTO public.who_import VALUES (57173, '2020-11-15', 'MN', 'Mongolia', 'WPRO', '4', '416', '0', '0');
INSERT INTO public.who_import VALUES (57174, '2020-11-16', 'MN', 'Mongolia', 'WPRO', '12', '428', '0', '0');
INSERT INTO public.who_import VALUES (57175, '2020-11-17', 'MN', 'Mongolia', 'WPRO', '3', '431', '0', '0');
INSERT INTO public.who_import VALUES (57176, '2020-11-18', 'MN', 'Mongolia', 'WPRO', '9', '440', '0', '0');
INSERT INTO public.who_import VALUES (57177, '2020-11-19', 'MN', 'Mongolia', 'WPRO', '33', '473', '0', '0');
INSERT INTO public.who_import VALUES (57178, '2020-11-20', 'MN', 'Mongolia', 'WPRO', '45', '518', '0', '0');
INSERT INTO public.who_import VALUES (57179, '2020-11-21', 'MN', 'Mongolia', 'WPRO', '39', '557', '0', '0');
INSERT INTO public.who_import VALUES (57180, '2020-11-22', 'MN', 'Mongolia', 'WPRO', '25', '582', '0', '0');
INSERT INTO public.who_import VALUES (57181, '2020-11-23', 'MN', 'Mongolia', 'WPRO', '47', '629', '0', '0');
INSERT INTO public.who_import VALUES (57182, '2020-11-24', 'MN', 'Mongolia', 'WPRO', '11', '640', '0', '0');
INSERT INTO public.who_import VALUES (57183, '2020-11-25', 'MN', 'Mongolia', 'WPRO', '32', '672', '0', '0');
INSERT INTO public.who_import VALUES (57184, '2020-11-26', 'MN', 'Mongolia', 'WPRO', '27', '699', '0', '0');
INSERT INTO public.who_import VALUES (57185, '2020-11-27', 'MN', 'Mongolia', 'WPRO', '13', '712', '0', '0');
INSERT INTO public.who_import VALUES (57186, '2020-11-28', 'MN', 'Mongolia', 'WPRO', '26', '738', '0', '0');
INSERT INTO public.who_import VALUES (57187, '2020-11-29', 'MN', 'Mongolia', 'WPRO', '22', '760', '0', '0');
INSERT INTO public.who_import VALUES (57188, '2020-11-30', 'MN', 'Mongolia', 'WPRO', '24', '784', '0', '0');
INSERT INTO public.who_import VALUES (57189, '2020-12-01', 'MN', 'Mongolia', 'WPRO', '7', '791', '0', '0');
INSERT INTO public.who_import VALUES (57190, '2020-12-02', 'MN', 'Mongolia', 'WPRO', '10', '801', '0', '0');
INSERT INTO public.who_import VALUES (57191, '2020-12-03', 'MN', 'Mongolia', 'WPRO', '11', '812', '0', '0');
INSERT INTO public.who_import VALUES (57192, '2020-12-04', 'MN', 'Mongolia', 'WPRO', '7', '819', '0', '0');
INSERT INTO public.who_import VALUES (57193, '2020-12-05', 'MN', 'Mongolia', 'WPRO', '12', '831', '0', '0');
INSERT INTO public.who_import VALUES (57194, '2020-12-06', 'MN', 'Mongolia', 'WPRO', '11', '842', '0', '0');
INSERT INTO public.who_import VALUES (57195, '2020-12-07', 'MN', 'Mongolia', 'WPRO', '7', '849', '0', '0');
INSERT INTO public.who_import VALUES (57196, '2020-12-08', 'MN', 'Mongolia', 'WPRO', '38', '887', '0', '0');
INSERT INTO public.who_import VALUES (57197, '2020-12-09', 'MN', 'Mongolia', 'WPRO', '1', '888', '0', '0');
INSERT INTO public.who_import VALUES (57198, '2020-12-10', 'MN', 'Mongolia', 'WPRO', '5', '893', '0', '0');
INSERT INTO public.who_import VALUES (57199, '2020-12-11', 'MN', 'Mongolia', 'WPRO', '5', '898', '0', '0');
INSERT INTO public.who_import VALUES (57200, '2020-12-12', 'MN', 'Mongolia', 'WPRO', '7', '905', '0', '0');
INSERT INTO public.who_import VALUES (57201, '2020-12-13', 'MN', 'Mongolia', 'WPRO', '1', '906', '0', '0');
INSERT INTO public.who_import VALUES (57202, '2020-12-14', 'MN', 'Mongolia', 'WPRO', '1', '907', '0', '0');
INSERT INTO public.who_import VALUES (57203, '2020-12-15', 'MN', 'Mongolia', 'WPRO', '5', '912', '0', '0');
INSERT INTO public.who_import VALUES (57204, '2020-12-16', 'MN', 'Mongolia', 'WPRO', '5', '917', '0', '0');
INSERT INTO public.who_import VALUES (57205, '2020-12-17', 'MN', 'Mongolia', 'WPRO', '1', '918', '0', '0');
INSERT INTO public.who_import VALUES (57206, '2020-12-18', 'MN', 'Mongolia', 'WPRO', '5', '923', '0', '0');
INSERT INTO public.who_import VALUES (57207, '2020-12-19', 'MN', 'Mongolia', 'WPRO', '18', '941', '0', '0');
INSERT INTO public.who_import VALUES (57208, '2020-12-20', 'MN', 'Mongolia', 'WPRO', '12', '953', '0', '0');
INSERT INTO public.who_import VALUES (57209, '2020-12-21', 'MN', 'Mongolia', 'WPRO', '8', '961', '0', '0');
INSERT INTO public.who_import VALUES (57210, '2020-12-22', 'MN', 'Mongolia', 'WPRO', '32', '993', '0', '0');
INSERT INTO public.who_import VALUES (57211, '2020-12-23', 'MN', 'Mongolia', 'WPRO', '13', '1006', '0', '0');
INSERT INTO public.who_import VALUES (57212, '2020-12-24', 'MN', 'Mongolia', 'WPRO', '57', '1063', '0', '0');
INSERT INTO public.who_import VALUES (57213, '2020-12-25', 'MN', 'Mongolia', 'WPRO', '6', '1069', '0', '0');
INSERT INTO public.who_import VALUES (57214, '2020-12-26', 'MN', 'Mongolia', 'WPRO', '6', '1075', '0', '0');
INSERT INTO public.who_import VALUES (57215, '2020-12-27', 'MN', 'Mongolia', 'WPRO', '7', '1082', '0', '0');
INSERT INTO public.who_import VALUES (57216, '2020-12-28', 'MN', 'Mongolia', 'WPRO', '39', '1121', '0', '0');
INSERT INTO public.who_import VALUES (57217, '2020-12-29', 'MN', 'Mongolia', 'WPRO', '16', '1137', '0', '0');
INSERT INTO public.who_import VALUES (57218, '2020-12-30', 'MN', 'Mongolia', 'WPRO', '38', '1175', '0', '0');
INSERT INTO public.who_import VALUES (57219, '2020-12-31', 'MN', 'Mongolia', 'WPRO', '20', '1195', '0', '0');
INSERT INTO public.who_import VALUES (57220, '2021-01-01', 'MN', 'Mongolia', 'WPRO', '20', '1215', '0', '0');
INSERT INTO public.who_import VALUES (57221, '2021-01-02', 'MN', 'Mongolia', 'WPRO', '5', '1220', '0', '0');
INSERT INTO public.who_import VALUES (57222, '2021-01-03', 'MN', 'Mongolia', 'WPRO', '22', '1242', '0', '0');
INSERT INTO public.who_import VALUES (57223, '2021-01-04', 'MN', 'Mongolia', 'WPRO', '21', '1263', '0', '0');
INSERT INTO public.who_import VALUES (57224, '2021-01-05', 'MN', 'Mongolia', 'WPRO', '23', '1286', '0', '0');
INSERT INTO public.who_import VALUES (57225, '2021-01-06', 'MN', 'Mongolia', 'WPRO', '22', '1308', '1', '1');
INSERT INTO public.who_import VALUES (57226, '2021-01-07', 'MN', 'Mongolia', 'WPRO', '41', '1349', '0', '1');
INSERT INTO public.who_import VALUES (57227, '2021-01-08', 'MN', 'Mongolia', 'WPRO', '13', '1362', '0', '1');
INSERT INTO public.who_import VALUES (57228, '2021-01-09', 'MN', 'Mongolia', 'WPRO', '33', '1395', '0', '1');
INSERT INTO public.who_import VALUES (57229, '2021-01-10', 'MN', 'Mongolia', 'WPRO', '13', '1408', '0', '1');
INSERT INTO public.who_import VALUES (57230, '2021-01-11', 'MN', 'Mongolia', 'WPRO', '21', '1429', '0', '1');
INSERT INTO public.who_import VALUES (57231, '2021-01-12', 'MN', 'Mongolia', 'WPRO', '13', '1442', '0', '1');
INSERT INTO public.who_import VALUES (57232, '2021-01-13', 'MN', 'Mongolia', 'WPRO', '14', '1456', '0', '1');
INSERT INTO public.who_import VALUES (57233, '2021-01-14', 'MN', 'Mongolia', 'WPRO', '13', '1469', '0', '1');
INSERT INTO public.who_import VALUES (57234, '2021-01-15', 'MN', 'Mongolia', 'WPRO', '10', '1479', '0', '1');
INSERT INTO public.who_import VALUES (57235, '2021-01-16', 'MN', 'Mongolia', 'WPRO', '12', '1491', '0', '1');
INSERT INTO public.who_import VALUES (57236, '2021-01-17', 'MN', 'Mongolia', 'WPRO', '21', '1512', '0', '1');
INSERT INTO public.who_import VALUES (57237, '2021-01-18', 'MN', 'Mongolia', 'WPRO', '5', '1517', '0', '1');
INSERT INTO public.who_import VALUES (57238, '2021-01-19', 'MN', 'Mongolia', 'WPRO', '9', '1526', '0', '1');
INSERT INTO public.who_import VALUES (57239, '2021-01-20', 'MN', 'Mongolia', 'WPRO', '10', '1536', '0', '1');
INSERT INTO public.who_import VALUES (57240, '2021-01-21', 'MN', 'Mongolia', 'WPRO', '32', '1568', '0', '1');
INSERT INTO public.who_import VALUES (57241, '2021-01-22', 'MN', 'Mongolia', 'WPRO', '16', '1584', '0', '1');
INSERT INTO public.who_import VALUES (57242, '2021-01-23', 'MN', 'Mongolia', 'WPRO', '8', '1592', '0', '1');
INSERT INTO public.who_import VALUES (57243, '2021-01-24', 'MN', 'Mongolia', 'WPRO', '19', '1611', '1', '2');
INSERT INTO public.who_import VALUES (57244, '2021-01-25', 'MN', 'Mongolia', 'WPRO', '16', '1627', '0', '2');
INSERT INTO public.who_import VALUES (57245, '2021-01-26', 'MN', 'Mongolia', 'WPRO', '16', '1643', '0', '2');
INSERT INTO public.who_import VALUES (57246, '2021-01-27', 'MN', 'Mongolia', 'WPRO', '13', '1656', '0', '2');
INSERT INTO public.who_import VALUES (57247, '2021-01-28', 'MN', 'Mongolia', 'WPRO', '11', '1667', '0', '2');
INSERT INTO public.who_import VALUES (57248, '2021-01-29', 'MN', 'Mongolia', 'WPRO', '25', '1692', '0', '2');
INSERT INTO public.who_import VALUES (57249, '2021-01-30', 'MN', 'Mongolia', 'WPRO', '18', '1710', '0', '2');
INSERT INTO public.who_import VALUES (57250, '2021-01-31', 'MN', 'Mongolia', 'WPRO', '32', '1742', '0', '2');
INSERT INTO public.who_import VALUES (57251, '2021-02-01', 'MN', 'Mongolia', 'WPRO', '37', '1779', '0', '2');
INSERT INTO public.who_import VALUES (57252, '2021-02-02', 'MN', 'Mongolia', 'WPRO', '35', '1814', '0', '2');
INSERT INTO public.who_import VALUES (57253, '2021-02-03', 'MN', 'Mongolia', 'WPRO', '18', '1832', '0', '2');
INSERT INTO public.who_import VALUES (57254, '2021-02-04', 'MN', 'Mongolia', 'WPRO', '27', '1859', '0', '2');
INSERT INTO public.who_import VALUES (57255, '2021-02-05', 'MN', 'Mongolia', 'WPRO', '31', '1890', '0', '2');
INSERT INTO public.who_import VALUES (57256, '2021-02-06', 'MN', 'Mongolia', 'WPRO', '38', '1928', '0', '2');
INSERT INTO public.who_import VALUES (57257, '2021-02-07', 'MN', 'Mongolia', 'WPRO', '61', '1989', '0', '2');
INSERT INTO public.who_import VALUES (57258, '2021-02-08', 'MN', 'Mongolia', 'WPRO', '34', '2023', '0', '2');
INSERT INTO public.who_import VALUES (57259, '2021-02-09', 'MN', 'Mongolia', 'WPRO', '50', '2073', '0', '2');
INSERT INTO public.who_import VALUES (57260, '2021-02-10', 'MN', 'Mongolia', 'WPRO', '47', '2120', '0', '2');
INSERT INTO public.who_import VALUES (57261, '2021-02-11', 'MN', 'Mongolia', 'WPRO', '54', '2174', '0', '2');
INSERT INTO public.who_import VALUES (57262, '2021-02-12', 'MN', 'Mongolia', 'WPRO', '33', '2207', '0', '2');
INSERT INTO public.who_import VALUES (57263, '2021-02-13', 'MN', 'Mongolia', 'WPRO', '40', '2247', '0', '2');
INSERT INTO public.who_import VALUES (57264, '2021-02-14', 'MN', 'Mongolia', 'WPRO', '46', '2293', '0', '2');
INSERT INTO public.who_import VALUES (57265, '2021-02-15', 'MN', 'Mongolia', 'WPRO', '58', '2351', '0', '2');
INSERT INTO public.who_import VALUES (57266, '2021-02-16', 'MN', 'Mongolia', 'WPRO', '32', '2383', '0', '2');
INSERT INTO public.who_import VALUES (57267, '2021-02-17', 'MN', 'Mongolia', 'WPRO', '33', '2416', '0', '2');
INSERT INTO public.who_import VALUES (57268, '2021-02-18', 'MN', 'Mongolia', 'WPRO', '28', '2444', '0', '2');
INSERT INTO public.who_import VALUES (57269, '2021-02-19', 'MN', 'Mongolia', 'WPRO', '49', '2493', '0', '2');
INSERT INTO public.who_import VALUES (57270, '2021-02-20', 'MN', 'Mongolia', 'WPRO', '58', '2551', '0', '2');
INSERT INTO public.who_import VALUES (57271, '2020-01-03', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57272, '2020-01-04', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57273, '2020-01-05', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57274, '2020-01-06', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57275, '2020-01-07', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57276, '2020-01-08', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57277, '2020-01-09', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57278, '2020-01-10', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57279, '2020-01-11', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57280, '2020-01-12', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57281, '2020-01-13', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57282, '2020-01-14', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57283, '2020-01-15', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57284, '2020-01-16', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57285, '2020-01-17', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57286, '2020-01-18', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57287, '2020-01-19', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57288, '2020-01-20', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57289, '2020-01-21', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57290, '2020-01-22', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57291, '2020-01-23', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57292, '2020-01-24', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57293, '2020-01-25', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57294, '2020-01-26', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57295, '2020-01-27', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57296, '2020-01-28', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57297, '2020-01-29', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57298, '2020-01-30', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57299, '2020-01-31', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57300, '2020-02-01', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57301, '2020-02-02', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57302, '2020-02-03', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57303, '2020-02-04', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57304, '2020-02-05', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57305, '2020-02-06', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57306, '2020-02-07', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57307, '2020-02-08', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57308, '2020-02-09', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57309, '2020-02-10', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57310, '2020-02-11', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57311, '2020-02-12', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57312, '2020-02-13', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57313, '2020-02-14', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57314, '2020-02-15', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57315, '2020-02-16', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57316, '2020-02-17', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57317, '2020-02-18', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57318, '2020-02-19', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57319, '2020-02-20', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57320, '2020-02-21', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57321, '2020-02-22', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57322, '2020-02-23', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57323, '2020-02-24', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57324, '2020-02-25', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57325, '2020-02-26', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57326, '2020-02-27', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57327, '2020-02-28', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57328, '2020-02-29', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57329, '2020-03-01', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57330, '2020-03-02', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57331, '2020-03-03', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57332, '2020-03-04', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57333, '2020-03-05', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57334, '2020-03-06', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57335, '2020-03-07', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57336, '2020-03-08', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57337, '2020-03-09', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57338, '2020-03-10', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57339, '2020-03-11', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57340, '2020-03-12', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57341, '2020-03-13', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57342, '2020-03-14', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57343, '2020-03-15', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57344, '2020-03-16', 'ME', 'Montenegro', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57345, '2020-03-17', 'ME', 'Montenegro', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (57346, '2020-03-18', 'ME', 'Montenegro', 'EURO', '6', '8', '0', '0');
INSERT INTO public.who_import VALUES (57347, '2020-03-19', 'ME', 'Montenegro', 'EURO', '5', '13', '0', '0');
INSERT INTO public.who_import VALUES (57348, '2020-03-20', 'ME', 'Montenegro', 'EURO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (57349, '2020-03-21', 'ME', 'Montenegro', 'EURO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (57350, '2020-03-22', 'ME', 'Montenegro', 'EURO', '6', '22', '1', '1');
INSERT INTO public.who_import VALUES (57351, '2020-03-23', 'ME', 'Montenegro', 'EURO', '7', '29', '0', '1');
INSERT INTO public.who_import VALUES (57352, '2020-03-24', 'ME', 'Montenegro', 'EURO', '22', '51', '0', '1');
INSERT INTO public.who_import VALUES (57353, '2020-03-25', 'ME', 'Montenegro', 'EURO', '15', '66', '0', '1');
INSERT INTO public.who_import VALUES (57354, '2020-03-26', 'ME', 'Montenegro', 'EURO', '4', '70', '0', '1');
INSERT INTO public.who_import VALUES (57355, '2020-03-27', 'ME', 'Montenegro', 'EURO', '12', '82', '0', '1');
INSERT INTO public.who_import VALUES (57356, '2020-03-28', 'ME', 'Montenegro', 'EURO', '3', '85', '0', '1');
INSERT INTO public.who_import VALUES (57357, '2020-03-29', 'ME', 'Montenegro', 'EURO', '6', '91', '1', '2');
INSERT INTO public.who_import VALUES (57358, '2020-03-30', 'ME', 'Montenegro', 'EURO', '14', '105', '0', '2');
INSERT INTO public.who_import VALUES (57359, '2020-03-31', 'ME', 'Montenegro', 'EURO', '15', '120', '0', '2');
INSERT INTO public.who_import VALUES (57360, '2020-04-01', 'ME', 'Montenegro', 'EURO', '20', '140', '0', '2');
INSERT INTO public.who_import VALUES (57361, '2020-04-02', 'ME', 'Montenegro', 'EURO', '20', '160', '0', '2');
INSERT INTO public.who_import VALUES (57362, '2020-04-03', 'ME', 'Montenegro', 'EURO', '37', '197', '0', '2');
INSERT INTO public.who_import VALUES (57363, '2020-04-04', 'ME', 'Montenegro', 'EURO', '6', '203', '0', '2');
INSERT INTO public.who_import VALUES (57364, '2020-04-05', 'ME', 'Montenegro', 'EURO', '20', '223', '0', '2');
INSERT INTO public.who_import VALUES (57365, '2020-04-06', 'ME', 'Montenegro', 'EURO', '16', '239', '0', '2');
INSERT INTO public.who_import VALUES (57366, '2020-04-07', 'ME', 'Montenegro', 'EURO', '9', '248', '0', '2');
INSERT INTO public.who_import VALUES (57367, '2020-04-08', 'ME', 'Montenegro', 'EURO', '4', '252', '0', '2');
INSERT INTO public.who_import VALUES (57368, '2020-04-09', 'ME', 'Montenegro', 'EURO', '3', '255', '0', '2');
INSERT INTO public.who_import VALUES (57369, '2020-04-10', 'ME', 'Montenegro', 'EURO', '7', '262', '0', '2');
INSERT INTO public.who_import VALUES (57370, '2020-04-11', 'ME', 'Montenegro', 'EURO', '5', '267', '0', '2');
INSERT INTO public.who_import VALUES (57371, '2020-04-12', 'ME', 'Montenegro', 'EURO', '6', '273', '1', '3');
INSERT INTO public.who_import VALUES (57372, '2020-04-13', 'ME', 'Montenegro', 'EURO', '5', '278', '1', '4');
INSERT INTO public.who_import VALUES (57373, '2020-04-14', 'ME', 'Montenegro', 'EURO', '10', '288', '0', '4');
INSERT INTO public.who_import VALUES (57374, '2020-04-15', 'ME', 'Montenegro', 'EURO', '2', '290', '0', '4');
INSERT INTO public.who_import VALUES (57375, '2020-04-16', 'ME', 'Montenegro', 'EURO', '13', '303', '0', '4');
INSERT INTO public.who_import VALUES (57376, '2020-04-17', 'ME', 'Montenegro', 'EURO', '2', '305', '1', '5');
INSERT INTO public.who_import VALUES (57377, '2020-04-18', 'ME', 'Montenegro', 'EURO', '3', '308', '0', '5');
INSERT INTO public.who_import VALUES (57378, '2020-04-19', 'ME', 'Montenegro', 'EURO', '3', '311', '0', '5');
INSERT INTO public.who_import VALUES (57379, '2020-04-20', 'ME', 'Montenegro', 'EURO', '2', '313', '0', '5');
INSERT INTO public.who_import VALUES (57380, '2020-04-21', 'ME', 'Montenegro', 'EURO', '1', '314', '0', '5');
INSERT INTO public.who_import VALUES (57381, '2020-04-22', 'ME', 'Montenegro', 'EURO', '2', '316', '0', '5');
INSERT INTO public.who_import VALUES (57382, '2020-04-23', 'ME', 'Montenegro', 'EURO', '3', '319', '0', '5');
INSERT INTO public.who_import VALUES (57383, '2020-04-24', 'ME', 'Montenegro', 'EURO', '0', '319', '1', '6');
INSERT INTO public.who_import VALUES (57384, '2020-04-25', 'ME', 'Montenegro', 'EURO', '2', '321', '0', '6');
INSERT INTO public.who_import VALUES (57385, '2020-04-26', 'ME', 'Montenegro', 'EURO', '0', '321', '1', '7');
INSERT INTO public.who_import VALUES (57386, '2020-04-27', 'ME', 'Montenegro', 'EURO', '0', '321', '0', '7');
INSERT INTO public.who_import VALUES (57387, '2020-04-28', 'ME', 'Montenegro', 'EURO', '0', '321', '0', '7');
INSERT INTO public.who_import VALUES (57388, '2020-04-29', 'ME', 'Montenegro', 'EURO', '1', '322', '0', '7');
INSERT INTO public.who_import VALUES (57389, '2020-04-30', 'ME', 'Montenegro', 'EURO', '0', '322', '0', '7');
INSERT INTO public.who_import VALUES (57390, '2020-05-01', 'ME', 'Montenegro', 'EURO', '0', '322', '0', '7');
INSERT INTO public.who_import VALUES (57391, '2020-05-02', 'ME', 'Montenegro', 'EURO', '0', '322', '1', '8');
INSERT INTO public.who_import VALUES (57392, '2020-05-03', 'ME', 'Montenegro', 'EURO', '1', '323', '0', '8');
INSERT INTO public.who_import VALUES (57393, '2020-05-04', 'ME', 'Montenegro', 'EURO', '1', '324', '0', '8');
INSERT INTO public.who_import VALUES (57394, '2020-05-05', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '8');
INSERT INTO public.who_import VALUES (57395, '2020-05-06', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '8');
INSERT INTO public.who_import VALUES (57396, '2020-05-07', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '8');
INSERT INTO public.who_import VALUES (57397, '2020-05-08', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '8');
INSERT INTO public.who_import VALUES (57398, '2020-05-09', 'ME', 'Montenegro', 'EURO', '0', '324', '1', '9');
INSERT INTO public.who_import VALUES (57399, '2020-05-10', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57400, '2020-05-11', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57401, '2020-05-12', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57402, '2020-05-13', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57403, '2020-05-14', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57404, '2020-05-15', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57405, '2020-05-16', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57406, '2020-05-17', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57407, '2020-05-18', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57408, '2020-05-19', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57409, '2020-05-20', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57410, '2020-05-21', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57411, '2020-05-22', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57412, '2020-05-23', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57413, '2020-05-24', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57414, '2020-05-25', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57415, '2020-05-26', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57416, '2020-05-27', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57417, '2020-05-28', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57418, '2020-05-29', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57419, '2020-05-30', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57420, '2020-05-31', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57421, '2020-06-01', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57422, '2020-06-02', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57423, '2020-06-03', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57424, '2020-06-04', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57425, '2020-06-05', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57426, '2020-06-06', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57427, '2020-06-07', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57428, '2020-06-08', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57429, '2020-06-09', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57430, '2020-06-10', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57431, '2020-06-11', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57432, '2020-06-12', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57433, '2020-06-13', 'ME', 'Montenegro', 'EURO', '0', '324', '0', '9');
INSERT INTO public.who_import VALUES (57434, '2020-06-14', 'ME', 'Montenegro', 'EURO', '1', '325', '0', '9');
INSERT INTO public.who_import VALUES (57435, '2020-06-15', 'ME', 'Montenegro', 'EURO', '1', '326', '0', '9');
INSERT INTO public.who_import VALUES (57436, '2020-06-16', 'ME', 'Montenegro', 'EURO', '0', '326', '0', '9');
INSERT INTO public.who_import VALUES (57437, '2020-06-17', 'ME', 'Montenegro', 'EURO', '7', '333', '0', '9');
INSERT INTO public.who_import VALUES (57438, '2020-06-18', 'ME', 'Montenegro', 'EURO', '4', '337', '0', '9');
INSERT INTO public.who_import VALUES (57439, '2020-06-19', 'ME', 'Montenegro', 'EURO', '17', '354', '0', '9');
INSERT INTO public.who_import VALUES (57440, '2020-06-20', 'ME', 'Montenegro', 'EURO', '4', '358', '0', '9');
INSERT INTO public.who_import VALUES (57441, '2020-06-21', 'ME', 'Montenegro', 'EURO', '3', '361', '0', '9');
INSERT INTO public.who_import VALUES (57442, '2020-06-22', 'ME', 'Montenegro', 'EURO', '6', '367', '0', '9');
INSERT INTO public.who_import VALUES (57443, '2020-06-23', 'ME', 'Montenegro', 'EURO', '16', '383', '0', '9');
INSERT INTO public.who_import VALUES (57444, '2020-06-24', 'ME', 'Montenegro', 'EURO', '12', '395', '0', '9');
INSERT INTO public.who_import VALUES (57445, '2020-06-25', 'ME', 'Montenegro', 'EURO', '29', '424', '0', '9');
INSERT INTO public.who_import VALUES (57446, '2020-06-26', 'ME', 'Montenegro', 'EURO', '25', '449', '0', '9');
INSERT INTO public.who_import VALUES (57447, '2020-06-27', 'ME', 'Montenegro', 'EURO', '26', '475', '1', '10');
INSERT INTO public.who_import VALUES (57448, '2020-06-28', 'ME', 'Montenegro', 'EURO', '23', '498', '2', '12');
INSERT INTO public.who_import VALUES (57449, '2020-06-29', 'ME', 'Montenegro', 'EURO', '28', '526', '1', '13');
INSERT INTO public.who_import VALUES (57450, '2020-06-30', 'ME', 'Montenegro', 'EURO', '28', '554', '0', '13');
INSERT INTO public.who_import VALUES (57451, '2020-07-01', 'ME', 'Montenegro', 'EURO', '56', '610', '0', '13');
INSERT INTO public.who_import VALUES (57452, '2020-07-02', 'ME', 'Montenegro', 'EURO', '43', '653', '0', '13');
INSERT INTO public.who_import VALUES (57453, '2020-07-03', 'ME', 'Montenegro', 'EURO', '55', '708', '1', '14');
INSERT INTO public.who_import VALUES (57454, '2020-07-04', 'ME', 'Montenegro', 'EURO', '34', '742', '0', '14');
INSERT INTO public.who_import VALUES (57455, '2020-07-05', 'ME', 'Montenegro', 'EURO', '151', '893', '0', '14');
INSERT INTO public.who_import VALUES (57456, '2020-07-06', 'ME', 'Montenegro', 'EURO', '130', '1023', '3', '17');
INSERT INTO public.who_import VALUES (57457, '2020-07-07', 'ME', 'Montenegro', 'EURO', '174', '1197', '1', '18');
INSERT INTO public.who_import VALUES (57458, '2020-07-08', 'ME', 'Montenegro', 'EURO', '184', '1381', '0', '18');
INSERT INTO public.who_import VALUES (57459, '2020-07-09', 'ME', 'Montenegro', 'EURO', '134', '1515', '2', '20');
INSERT INTO public.who_import VALUES (57460, '2020-07-10', 'ME', 'Montenegro', 'EURO', '108', '1623', '1', '21');
INSERT INTO public.who_import VALUES (57461, '2020-07-11', 'ME', 'Montenegro', 'EURO', '52', '1675', '4', '25');
INSERT INTO public.who_import VALUES (57462, '2020-07-12', 'ME', 'Montenegro', 'EURO', '51', '1726', '0', '25');
INSERT INTO public.who_import VALUES (57463, '2020-07-13', 'ME', 'Montenegro', 'EURO', '37', '1763', '0', '25');
INSERT INTO public.who_import VALUES (57464, '2020-07-14', 'ME', 'Montenegro', 'EURO', '105', '1868', '0', '25');
INSERT INTO public.who_import VALUES (57465, '2020-07-15', 'ME', 'Montenegro', 'EURO', '70', '1938', '0', '25');
INSERT INTO public.who_import VALUES (57466, '2020-07-16', 'ME', 'Montenegro', 'EURO', '59', '1997', '1', '26');
INSERT INTO public.who_import VALUES (57467, '2020-07-17', 'ME', 'Montenegro', 'EURO', '40', '2037', '2', '28');
INSERT INTO public.who_import VALUES (57468, '2020-07-18', 'ME', 'Montenegro', 'EURO', '97', '2134', '3', '31');
INSERT INTO public.who_import VALUES (57469, '2020-07-19', 'ME', 'Montenegro', 'EURO', '134', '2268', '2', '33');
INSERT INTO public.who_import VALUES (57470, '2020-07-20', 'ME', 'Montenegro', 'EURO', '111', '2379', '2', '35');
INSERT INTO public.who_import VALUES (57471, '2020-07-21', 'ME', 'Montenegro', 'EURO', '91', '2470', '0', '35');
INSERT INTO public.who_import VALUES (57472, '2020-07-22', 'ME', 'Montenegro', 'EURO', '97', '2567', '4', '39');
INSERT INTO public.who_import VALUES (57473, '2020-07-23', 'ME', 'Montenegro', 'EURO', '72', '2639', '1', '40');
INSERT INTO public.who_import VALUES (57474, '2020-07-24', 'ME', 'Montenegro', 'EURO', '86', '2725', '3', '43');
INSERT INTO public.who_import VALUES (57475, '2020-07-25', 'ME', 'Montenegro', 'EURO', '69', '2794', '0', '43');
INSERT INTO public.who_import VALUES (57476, '2020-07-26', 'ME', 'Montenegro', 'EURO', '55', '2849', '0', '43');
INSERT INTO public.who_import VALUES (57477, '2020-07-27', 'ME', 'Montenegro', 'EURO', '85', '2934', '2', '45');
INSERT INTO public.who_import VALUES (57478, '2020-07-28', 'ME', 'Montenegro', 'EURO', '63', '2997', '0', '45');
INSERT INTO public.who_import VALUES (57479, '2020-07-29', 'ME', 'Montenegro', 'EURO', '66', '3063', '2', '47');
INSERT INTO public.who_import VALUES (57480, '2020-07-30', 'ME', 'Montenegro', 'EURO', '46', '3109', '1', '48');
INSERT INTO public.who_import VALUES (57481, '2020-07-31', 'ME', 'Montenegro', 'EURO', '73', '3182', '1', '49');
INSERT INTO public.who_import VALUES (57482, '2020-08-01', 'ME', 'Montenegro', 'EURO', '69', '3251', '2', '51');
INSERT INTO public.who_import VALUES (57483, '2020-08-02', 'ME', 'Montenegro', 'EURO', '27', '3278', '0', '51');
INSERT INTO public.who_import VALUES (57484, '2020-08-03', 'ME', 'Montenegro', 'EURO', '46', '3324', '2', '53');
INSERT INTO public.who_import VALUES (57485, '2020-08-04', 'ME', 'Montenegro', 'EURO', '60', '3384', '1', '54');
INSERT INTO public.who_import VALUES (57486, '2020-08-05', 'ME', 'Montenegro', 'EURO', '54', '3438', '3', '57');
INSERT INTO public.who_import VALUES (57487, '2020-08-06', 'ME', 'Montenegro', 'EURO', '80', '3518', '3', '60');
INSERT INTO public.who_import VALUES (57488, '2020-08-07', 'ME', 'Montenegro', 'EURO', '48', '3566', '1', '61');
INSERT INTO public.who_import VALUES (57489, '2020-08-08', 'ME', 'Montenegro', 'EURO', '41', '3607', '1', '62');
INSERT INTO public.who_import VALUES (57490, '2020-08-09', 'ME', 'Montenegro', 'EURO', '55', '3662', '5', '67');
INSERT INTO public.who_import VALUES (57491, '2020-08-10', 'ME', 'Montenegro', 'EURO', '49', '3711', '3', '70');
INSERT INTO public.who_import VALUES (57492, '2020-08-11', 'ME', 'Montenegro', 'EURO', '62', '3773', '3', '73');
INSERT INTO public.who_import VALUES (57493, '2020-08-12', 'ME', 'Montenegro', 'EURO', '59', '3832', '0', '73');
INSERT INTO public.who_import VALUES (57494, '2020-08-13', 'ME', 'Montenegro', 'EURO', '46', '3878', '0', '73');
INSERT INTO public.who_import VALUES (57495, '2020-08-14', 'ME', 'Montenegro', 'EURO', '80', '3958', '0', '73');
INSERT INTO public.who_import VALUES (57496, '2020-08-15', 'ME', 'Montenegro', 'EURO', '53', '4011', '2', '75');
INSERT INTO public.who_import VALUES (57497, '2020-08-16', 'ME', 'Montenegro', 'EURO', '45', '4056', '3', '78');
INSERT INTO public.who_import VALUES (57498, '2020-08-17', 'ME', 'Montenegro', 'EURO', '44', '4100', '2', '80');
INSERT INTO public.who_import VALUES (57499, '2020-08-18', 'ME', 'Montenegro', 'EURO', '51', '4151', '0', '80');
INSERT INTO public.who_import VALUES (57500, '2020-08-19', 'ME', 'Montenegro', 'EURO', '58', '4209', '1', '81');
INSERT INTO public.who_import VALUES (57501, '2020-08-20', 'ME', 'Montenegro', 'EURO', '38', '4247', '0', '81');
INSERT INTO public.who_import VALUES (57502, '2020-08-21', 'ME', 'Montenegro', 'EURO', '41', '4288', '1', '82');
INSERT INTO public.who_import VALUES (57503, '2020-08-22', 'ME', 'Montenegro', 'EURO', '25', '4313', '2', '84');
INSERT INTO public.who_import VALUES (57504, '2020-08-23', 'ME', 'Montenegro', 'EURO', '43', '4356', '0', '84');
INSERT INTO public.who_import VALUES (57505, '2020-08-24', 'ME', 'Montenegro', 'EURO', '33', '4389', '1', '85');
INSERT INTO public.who_import VALUES (57506, '2020-08-25', 'ME', 'Montenegro', 'EURO', '75', '4464', '3', '88');
INSERT INTO public.who_import VALUES (57507, '2020-08-26', 'ME', 'Montenegro', 'EURO', '59', '4523', '0', '88');
INSERT INTO public.who_import VALUES (57508, '2020-08-27', 'ME', 'Montenegro', 'EURO', '94', '4617', '2', '90');
INSERT INTO public.who_import VALUES (57509, '2020-08-28', 'ME', 'Montenegro', 'EURO', '71', '4688', '2', '92');
INSERT INTO public.who_import VALUES (57510, '2020-08-29', 'ME', 'Montenegro', 'EURO', '89', '4777', '4', '96');
INSERT INTO public.who_import VALUES (57511, '2020-08-30', 'ME', 'Montenegro', 'EURO', '40', '4817', '3', '99');
INSERT INTO public.who_import VALUES (57512, '2020-08-31', 'ME', 'Montenegro', 'EURO', '88', '4905', '1', '100');
INSERT INTO public.who_import VALUES (57513, '2020-09-01', 'ME', 'Montenegro', 'EURO', '72', '4977', '2', '102');
INSERT INTO public.who_import VALUES (57514, '2020-09-02', 'ME', 'Montenegro', 'EURO', '125', '5102', '2', '104');
INSERT INTO public.who_import VALUES (57515, '2020-09-03', 'ME', 'Montenegro', 'EURO', '123', '5225', '0', '104');
INSERT INTO public.who_import VALUES (57516, '2020-09-04', 'ME', 'Montenegro', 'EURO', '154', '5379', '2', '106');
INSERT INTO public.who_import VALUES (57517, '2020-09-05', 'ME', 'Montenegro', 'EURO', '139', '5518', '1', '107');
INSERT INTO public.who_import VALUES (57518, '2020-09-06', 'ME', 'Montenegro', 'EURO', '87', '5605', '1', '108');
INSERT INTO public.who_import VALUES (57519, '2020-09-07', 'ME', 'Montenegro', 'EURO', '248', '5853', '1', '109');
INSERT INTO public.who_import VALUES (57520, '2020-09-08', 'ME', 'Montenegro', 'EURO', '172', '6025', '5', '114');
INSERT INTO public.who_import VALUES (57521, '2020-09-09', 'ME', 'Montenegro', 'EURO', '140', '6165', '0', '114');
INSERT INTO public.who_import VALUES (57522, '2020-09-10', 'ME', 'Montenegro', 'EURO', '169', '6334', '0', '114');
INSERT INTO public.who_import VALUES (57523, '2020-09-11', 'ME', 'Montenegro', 'EURO', '140', '6474', '3', '117');
INSERT INTO public.who_import VALUES (57524, '2020-09-12', 'ME', 'Montenegro', 'EURO', '351', '6825', '1', '118');
INSERT INTO public.who_import VALUES (57525, '2020-09-13', 'ME', 'Montenegro', 'EURO', '348', '7173', '2', '120');
INSERT INTO public.who_import VALUES (57526, '2020-09-14', 'ME', 'Montenegro', 'EURO', '334', '7507', '1', '121');
INSERT INTO public.who_import VALUES (57527, '2020-09-15', 'ME', 'Montenegro', 'EURO', '174', '7681', '2', '123');
INSERT INTO public.who_import VALUES (57528, '2020-09-16', 'ME', 'Montenegro', 'EURO', '202', '7883', '4', '127');
INSERT INTO public.who_import VALUES (57529, '2020-09-17', 'ME', 'Montenegro', 'EURO', '201', '8084', '2', '129');
INSERT INTO public.who_import VALUES (57530, '2020-09-18', 'ME', 'Montenegro', 'EURO', '233', '8317', '4', '133');
INSERT INTO public.who_import VALUES (57531, '2020-09-19', 'ME', 'Montenegro', 'EURO', '284', '8601', '1', '134');
INSERT INTO public.who_import VALUES (57532, '2020-09-20', 'ME', 'Montenegro', 'EURO', '238', '8839', '2', '136');
INSERT INTO public.who_import VALUES (57533, '2020-09-21', 'ME', 'Montenegro', 'EURO', '199', '9038', '2', '138');
INSERT INTO public.who_import VALUES (57534, '2020-09-22', 'ME', 'Montenegro', 'EURO', '320', '9358', '8', '146');
INSERT INTO public.who_import VALUES (57535, '2020-09-23', 'ME', 'Montenegro', 'EURO', '269', '9627', '5', '151');
INSERT INTO public.who_import VALUES (57536, '2020-09-24', 'ME', 'Montenegro', 'EURO', '279', '9906', '3', '154');
INSERT INTO public.who_import VALUES (57537, '2020-09-25', 'ME', 'Montenegro', 'EURO', '196', '10102', '2', '156');
INSERT INTO public.who_import VALUES (57538, '2020-09-26', 'ME', 'Montenegro', 'EURO', '255', '10357', '2', '158');
INSERT INTO public.who_import VALUES (57539, '2020-09-27', 'ME', 'Montenegro', 'EURO', '212', '10569', '0', '158');
INSERT INTO public.who_import VALUES (57540, '2020-09-28', 'ME', 'Montenegro', 'EURO', '371', '10940', '5', '163');
INSERT INTO public.who_import VALUES (57541, '2020-09-29', 'ME', 'Montenegro', 'EURO', '266', '11206', '1', '164');
INSERT INTO public.who_import VALUES (57542, '2020-09-30', 'ME', 'Montenegro', 'EURO', '247', '11453', '5', '169');
INSERT INTO public.who_import VALUES (57543, '2020-10-01', 'ME', 'Montenegro', 'EURO', '203', '11656', '1', '170');
INSERT INTO public.who_import VALUES (57544, '2020-10-02', 'ME', 'Montenegro', 'EURO', '186', '11842', '3', '173');
INSERT INTO public.who_import VALUES (57545, '2020-10-03', 'ME', 'Montenegro', 'EURO', '241', '12083', '2', '175');
INSERT INTO public.who_import VALUES (57546, '2020-10-04', 'ME', 'Montenegro', 'EURO', '165', '12248', '5', '180');
INSERT INTO public.who_import VALUES (57547, '2020-10-05', 'ME', 'Montenegro', 'EURO', '259', '12507', '4', '184');
INSERT INTO public.who_import VALUES (57548, '2020-10-06', 'ME', 'Montenegro', 'EURO', '192', '12699', '5', '189');
INSERT INTO public.who_import VALUES (57549, '2020-10-07', 'ME', 'Montenegro', 'EURO', '218', '12917', '2', '191');
INSERT INTO public.who_import VALUES (57550, '2020-10-08', 'ME', 'Montenegro', 'EURO', '279', '13196', '1', '192');
INSERT INTO public.who_import VALUES (57551, '2020-10-09', 'ME', 'Montenegro', 'EURO', '362', '13558', '3', '195');
INSERT INTO public.who_import VALUES (57552, '2020-10-10', 'ME', 'Montenegro', 'EURO', '203', '13761', '4', '199');
INSERT INTO public.who_import VALUES (57553, '2020-10-11', 'ME', 'Montenegro', 'EURO', '223', '13984', '5', '204');
INSERT INTO public.who_import VALUES (57554, '2020-10-12', 'ME', 'Montenegro', 'EURO', '288', '14272', '9', '213');
INSERT INTO public.who_import VALUES (57555, '2020-10-13', 'ME', 'Montenegro', 'EURO', '462', '14734', '2', '215');
INSERT INTO public.who_import VALUES (57556, '2020-10-14', 'ME', 'Montenegro', 'EURO', '319', '15053', '4', '219');
INSERT INTO public.who_import VALUES (57557, '2020-10-15', 'ME', 'Montenegro', 'EURO', '221', '15274', '2', '221');
INSERT INTO public.who_import VALUES (57558, '2020-10-16', 'ME', 'Montenegro', 'EURO', '233', '15507', '7', '228');
INSERT INTO public.who_import VALUES (57559, '2020-10-17', 'ME', 'Montenegro', 'EURO', '84', '15591', '3', '231');
INSERT INTO public.who_import VALUES (57560, '2020-10-18', 'ME', 'Montenegro', 'EURO', '139', '15730', '5', '236');
INSERT INTO public.who_import VALUES (57561, '2020-10-19', 'ME', 'Montenegro', 'EURO', '118', '15848', '4', '240');
INSERT INTO public.who_import VALUES (57562, '2020-10-20', 'ME', 'Montenegro', 'EURO', '180', '16028', '7', '247');
INSERT INTO public.who_import VALUES (57563, '2020-10-21', 'ME', 'Montenegro', 'EURO', '164', '16192', '3', '250');
INSERT INTO public.who_import VALUES (57564, '2020-10-22', 'ME', 'Montenegro', 'EURO', '155', '16347', '3', '253');
INSERT INTO public.who_import VALUES (57565, '2020-10-23', 'ME', 'Montenegro', 'EURO', '189', '16536', '2', '255');
INSERT INTO public.who_import VALUES (57566, '2020-10-24', 'ME', 'Montenegro', 'EURO', '194', '16730', '8', '263');
INSERT INTO public.who_import VALUES (57567, '2020-10-25', 'ME', 'Montenegro', 'EURO', '292', '17022', '3', '266');
INSERT INTO public.who_import VALUES (57568, '2020-10-26', 'ME', 'Montenegro', 'EURO', '332', '17354', '4', '270');
INSERT INTO public.who_import VALUES (57569, '2020-10-27', 'ME', 'Montenegro', 'EURO', '237', '17591', '5', '275');
INSERT INTO public.who_import VALUES (57570, '2020-10-28', 'ME', 'Montenegro', 'EURO', '519', '18110', '7', '282');
INSERT INTO public.who_import VALUES (57571, '2020-10-29', 'ME', 'Montenegro', 'EURO', '347', '18457', '8', '290');
INSERT INTO public.who_import VALUES (57572, '2020-10-30', 'ME', 'Montenegro', 'EURO', '550', '19007', '4', '294');
INSERT INTO public.who_import VALUES (57573, '2020-10-31', 'ME', 'Montenegro', 'EURO', '342', '19349', '7', '301');
INSERT INTO public.who_import VALUES (57574, '2020-11-01', 'ME', 'Montenegro', 'EURO', '357', '19706', '11', '312');
INSERT INTO public.who_import VALUES (57575, '2020-11-02', 'ME', 'Montenegro', 'EURO', '550', '20256', '7', '319');
INSERT INTO public.who_import VALUES (57576, '2020-11-03', 'ME', 'Montenegro', 'EURO', '533', '20789', '2', '321');
INSERT INTO public.who_import VALUES (57577, '2020-11-04', 'ME', 'Montenegro', 'EURO', '526', '21315', '4', '325');
INSERT INTO public.who_import VALUES (57578, '2020-11-05', 'ME', 'Montenegro', 'EURO', '504', '21819', '3', '328');
INSERT INTO public.who_import VALUES (57579, '2020-11-06', 'ME', 'Montenegro', 'EURO', '465', '22284', '1', '329');
INSERT INTO public.who_import VALUES (57580, '2020-11-07', 'ME', 'Montenegro', 'EURO', '429', '22713', '3', '332');
INSERT INTO public.who_import VALUES (57581, '2020-11-08', 'ME', 'Montenegro', 'EURO', '382', '23095', '4', '336');
INSERT INTO public.who_import VALUES (57582, '2020-11-09', 'ME', 'Montenegro', 'EURO', '956', '24051', '5', '341');
INSERT INTO public.who_import VALUES (57583, '2020-11-10', 'ME', 'Montenegro', 'EURO', '617', '24668', '7', '348');
INSERT INTO public.who_import VALUES (57584, '2020-11-11', 'ME', 'Montenegro', 'EURO', '719', '25387', '7', '355');
INSERT INTO public.who_import VALUES (57585, '2020-11-12', 'ME', 'Montenegro', 'EURO', '666', '26053', '8', '363');
INSERT INTO public.who_import VALUES (57586, '2020-11-13', 'ME', 'Montenegro', 'EURO', '620', '26673', '13', '376');
INSERT INTO public.who_import VALUES (57587, '2020-11-14', 'ME', 'Montenegro', 'EURO', '541', '27214', '8', '384');
INSERT INTO public.who_import VALUES (57588, '2020-11-15', 'ME', 'Montenegro', 'EURO', '463', '27677', '6', '390');
INSERT INTO public.who_import VALUES (57589, '2020-11-16', 'ME', 'Montenegro', 'EURO', '625', '28302', '5', '395');
INSERT INTO public.who_import VALUES (57590, '2020-11-17', 'ME', 'Montenegro', 'EURO', '585', '28887', '9', '404');
INSERT INTO public.who_import VALUES (57591, '2020-11-18', 'ME', 'Montenegro', 'EURO', '565', '29452', '9', '413');
INSERT INTO public.who_import VALUES (57592, '2020-11-19', 'ME', 'Montenegro', 'EURO', '536', '29988', '6', '419');
INSERT INTO public.who_import VALUES (57593, '2020-11-20', 'ME', 'Montenegro', 'EURO', '621', '30609', '9', '428');
INSERT INTO public.who_import VALUES (57594, '2020-11-21', 'ME', 'Montenegro', 'EURO', '467', '31076', '5', '433');
INSERT INTO public.who_import VALUES (57595, '2020-11-22', 'ME', 'Montenegro', 'EURO', '409', '31485', '5', '438');
INSERT INTO public.who_import VALUES (57596, '2020-11-23', 'ME', 'Montenegro', 'EURO', '639', '32124', '5', '443');
INSERT INTO public.who_import VALUES (57597, '2020-11-24', 'ME', 'Montenegro', 'EURO', '538', '32662', '6', '449');
INSERT INTO public.who_import VALUES (57598, '2020-11-25', 'ME', 'Montenegro', 'EURO', '558', '33220', '9', '458');
INSERT INTO public.who_import VALUES (57599, '2020-11-26', 'ME', 'Montenegro', 'EURO', '592', '33812', '10', '468');
INSERT INTO public.who_import VALUES (57600, '2020-11-27', 'ME', 'Montenegro', 'EURO', '569', '34381', '5', '473');
INSERT INTO public.who_import VALUES (57601, '2020-11-28', 'ME', 'Montenegro', 'EURO', '393', '34774', '7', '480');
INSERT INTO public.who_import VALUES (57602, '2020-11-29', 'ME', 'Montenegro', 'EURO', '453', '35227', '6', '486');
INSERT INTO public.who_import VALUES (57603, '2020-11-30', 'ME', 'Montenegro', 'EURO', '558', '35785', '12', '498');
INSERT INTO public.who_import VALUES (57604, '2020-12-01', 'ME', 'Montenegro', 'EURO', '492', '36277', '5', '503');
INSERT INTO public.who_import VALUES (57605, '2020-12-02', 'ME', 'Montenegro', 'EURO', '568', '36845', '6', '509');
INSERT INTO public.who_import VALUES (57606, '2020-12-03', 'ME', 'Montenegro', 'EURO', '529', '37374', '6', '515');
INSERT INTO public.who_import VALUES (57607, '2020-12-04', 'ME', 'Montenegro', 'EURO', '488', '37862', '6', '521');
INSERT INTO public.who_import VALUES (57608, '2020-12-05', 'ME', 'Montenegro', 'EURO', '396', '38258', '8', '529');
INSERT INTO public.who_import VALUES (57609, '2020-12-06', 'ME', 'Montenegro', 'EURO', '289', '38547', '3', '532');
INSERT INTO public.who_import VALUES (57610, '2020-12-07', 'ME', 'Montenegro', 'EURO', '529', '39076', '10', '542');
INSERT INTO public.who_import VALUES (57611, '2020-12-08', 'ME', 'Montenegro', 'EURO', '528', '39604', '6', '548');
INSERT INTO public.who_import VALUES (57612, '2020-12-09', 'ME', 'Montenegro', 'EURO', '492', '40096', '7', '555');
INSERT INTO public.who_import VALUES (57613, '2020-12-10', 'ME', 'Montenegro', 'EURO', '417', '40513', '10', '565');
INSERT INTO public.who_import VALUES (57614, '2020-12-11', 'ME', 'Montenegro', 'EURO', '375', '40888', '3', '568');
INSERT INTO public.who_import VALUES (57615, '2020-12-12', 'ME', 'Montenegro', 'EURO', '465', '41353', '9', '577');
INSERT INTO public.who_import VALUES (57616, '2020-12-13', 'ME', 'Montenegro', 'EURO', '352', '41705', '4', '581');
INSERT INTO public.who_import VALUES (57617, '2020-12-14', 'ME', 'Montenegro', 'EURO', '432', '42137', '3', '584');
INSERT INTO public.who_import VALUES (57618, '2020-12-15', 'ME', 'Montenegro', 'EURO', '378', '42515', '12', '596');
INSERT INTO public.who_import VALUES (57619, '2020-12-16', 'ME', 'Montenegro', 'EURO', '405', '42920', '13', '609');
INSERT INTO public.who_import VALUES (57620, '2020-12-17', 'ME', 'Montenegro', 'EURO', '380', '43300', '4', '613');
INSERT INTO public.who_import VALUES (57621, '2020-12-18', 'ME', 'Montenegro', 'EURO', '399', '43699', '6', '619');
INSERT INTO public.who_import VALUES (57622, '2020-12-19', 'ME', 'Montenegro', 'EURO', '304', '44003', '4', '623');
INSERT INTO public.who_import VALUES (57623, '2020-12-20', 'ME', 'Montenegro', 'EURO', '268', '44271', '2', '625');
INSERT INTO public.who_import VALUES (57624, '2020-12-21', 'ME', 'Montenegro', 'EURO', '350', '44621', '5', '630');
INSERT INTO public.who_import VALUES (57625, '2020-12-22', 'ME', 'Montenegro', 'EURO', '380', '45001', '7', '637');
INSERT INTO public.who_import VALUES (57626, '2020-12-23', 'ME', 'Montenegro', 'EURO', '379', '45380', '2', '639');
INSERT INTO public.who_import VALUES (57627, '2020-12-24', 'ME', 'Montenegro', 'EURO', '440', '45820', '9', '648');
INSERT INTO public.who_import VALUES (57628, '2020-12-25', 'ME', 'Montenegro', 'EURO', '457', '46277', '4', '652');
INSERT INTO public.who_import VALUES (57629, '2020-12-26', 'ME', 'Montenegro', 'EURO', '356', '46633', '6', '658');
INSERT INTO public.who_import VALUES (57630, '2020-12-27', 'ME', 'Montenegro', 'EURO', '296', '46929', '8', '666');
INSERT INTO public.who_import VALUES (57631, '2020-12-28', 'ME', 'Montenegro', 'EURO', '388', '47317', '9', '675');
INSERT INTO public.who_import VALUES (57632, '2020-12-29', 'ME', 'Montenegro', 'EURO', '352', '47669', '2', '677');
INSERT INTO public.who_import VALUES (57633, '2020-12-30', 'ME', 'Montenegro', 'EURO', '436', '48105', '4', '681');
INSERT INTO public.who_import VALUES (57634, '2020-12-31', 'ME', 'Montenegro', 'EURO', '439', '48544', '1', '682');
INSERT INTO public.who_import VALUES (57635, '2021-01-01', 'ME', 'Montenegro', 'EURO', '249', '48793', '2', '684');
INSERT INTO public.who_import VALUES (57636, '2021-01-02', 'ME', 'Montenegro', 'EURO', '386', '49179', '0', '684');
INSERT INTO public.who_import VALUES (57637, '2021-01-03', 'ME', 'Montenegro', 'EURO', '300', '49479', '5', '689');
INSERT INTO public.who_import VALUES (57638, '2021-01-04', 'ME', 'Montenegro', 'EURO', '520', '49999', '3', '692');
INSERT INTO public.who_import VALUES (57639, '2021-01-05', 'ME', 'Montenegro', 'EURO', '526', '50525', '7', '699');
INSERT INTO public.who_import VALUES (57640, '2021-01-06', 'ME', 'Montenegro', 'EURO', '497', '51022', '6', '705');
INSERT INTO public.who_import VALUES (57641, '2021-01-07', 'ME', 'Montenegro', 'EURO', '479', '51501', '7', '712');
INSERT INTO public.who_import VALUES (57642, '2021-01-08', 'ME', 'Montenegro', 'EURO', '410', '51911', '6', '718');
INSERT INTO public.who_import VALUES (57643, '2021-01-09', 'ME', 'Montenegro', 'EURO', '490', '52401', '3', '721');
INSERT INTO public.who_import VALUES (57644, '2021-01-10', 'ME', 'Montenegro', 'EURO', '343', '52744', '4', '725');
INSERT INTO public.who_import VALUES (57645, '2021-01-11', 'ME', 'Montenegro', 'EURO', '515', '53259', '4', '729');
INSERT INTO public.who_import VALUES (57646, '2021-01-12', 'ME', 'Montenegro', 'EURO', '524', '53783', '1', '730');
INSERT INTO public.who_import VALUES (57647, '2021-01-13', 'ME', 'Montenegro', 'EURO', '447', '54230', '7', '737');
INSERT INTO public.who_import VALUES (57648, '2021-01-14', 'ME', 'Montenegro', 'EURO', '422', '54652', '3', '740');
INSERT INTO public.who_import VALUES (57649, '2021-01-15', 'ME', 'Montenegro', 'EURO', '429', '55081', '1', '741');
INSERT INTO public.who_import VALUES (57650, '2021-01-16', 'ME', 'Montenegro', 'EURO', '403', '55484', '2', '743');
INSERT INTO public.who_import VALUES (57651, '2021-01-17', 'ME', 'Montenegro', 'EURO', '286', '55770', '2', '745');
INSERT INTO public.who_import VALUES (57652, '2021-01-18', 'ME', 'Montenegro', 'EURO', '406', '56176', '1', '746');
INSERT INTO public.who_import VALUES (57653, '2021-01-19', 'ME', 'Montenegro', 'EURO', '351', '56527', '3', '749');
INSERT INTO public.who_import VALUES (57654, '2021-01-20', 'ME', 'Montenegro', 'EURO', '452', '56979', '9', '758');
INSERT INTO public.who_import VALUES (57655, '2021-01-21', 'ME', 'Montenegro', 'EURO', '476', '57455', '4', '762');
INSERT INTO public.who_import VALUES (57656, '2021-01-22', 'ME', 'Montenegro', 'EURO', '421', '57876', '3', '765');
INSERT INTO public.who_import VALUES (57657, '2021-01-23', 'ME', 'Montenegro', 'EURO', '425', '58301', '1', '766');
INSERT INTO public.who_import VALUES (57658, '2021-01-24', 'ME', 'Montenegro', 'EURO', '384', '58685', '2', '768');
INSERT INTO public.who_import VALUES (57659, '2021-01-25', 'ME', 'Montenegro', 'EURO', '567', '59252', '2', '770');
INSERT INTO public.who_import VALUES (57660, '2021-01-26', 'ME', 'Montenegro', 'EURO', '511', '59763', '7', '777');
INSERT INTO public.who_import VALUES (57661, '2021-01-27', 'ME', 'Montenegro', 'EURO', '498', '60261', '6', '783');
INSERT INTO public.who_import VALUES (57662, '2021-01-28', 'ME', 'Montenegro', 'EURO', '463', '60724', '7', '790');
INSERT INTO public.who_import VALUES (57663, '2021-01-29', 'ME', 'Montenegro', 'EURO', '459', '61183', '10', '800');
INSERT INTO public.who_import VALUES (57664, '2021-01-30', 'ME', 'Montenegro', 'EURO', '450', '61633', '2', '802');
INSERT INTO public.who_import VALUES (57665, '2021-01-31', 'ME', 'Montenegro', 'EURO', '365', '61998', '3', '805');
INSERT INTO public.who_import VALUES (57666, '2021-02-01', 'ME', 'Montenegro', 'EURO', '524', '62522', '6', '811');
INSERT INTO public.who_import VALUES (57667, '2021-02-02', 'ME', 'Montenegro', 'EURO', '602', '63124', '7', '818');
INSERT INTO public.who_import VALUES (57668, '2021-02-03', 'ME', 'Montenegro', 'EURO', '515', '63639', '7', '825');
INSERT INTO public.who_import VALUES (57669, '2021-02-04', 'ME', 'Montenegro', 'EURO', '562', '64201', '1', '826');
INSERT INTO public.who_import VALUES (57670, '2021-02-05', 'ME', 'Montenegro', 'EURO', '541', '64742', '5', '831');
INSERT INTO public.who_import VALUES (57671, '2021-02-06', 'ME', 'Montenegro', 'EURO', '510', '65252', '5', '836');
INSERT INTO public.who_import VALUES (57672, '2021-02-07', 'ME', 'Montenegro', 'EURO', '413', '65665', '2', '838');
INSERT INTO public.who_import VALUES (57673, '2021-02-08', 'ME', 'Montenegro', 'EURO', '605', '66270', '4', '842');
INSERT INTO public.who_import VALUES (57674, '2021-02-09', 'ME', 'Montenegro', 'EURO', '620', '66890', '10', '852');
INSERT INTO public.who_import VALUES (57675, '2021-02-10', 'ME', 'Montenegro', 'EURO', '562', '67452', '9', '861');
INSERT INTO public.who_import VALUES (57676, '2021-02-11', 'ME', 'Montenegro', 'EURO', '562', '68014', '8', '869');
INSERT INTO public.who_import VALUES (57677, '2021-02-12', 'ME', 'Montenegro', 'EURO', '482', '68496', '11', '880');
INSERT INTO public.who_import VALUES (57678, '2021-02-13', 'ME', 'Montenegro', 'EURO', '453', '68949', '2', '882');
INSERT INTO public.who_import VALUES (57679, '2021-02-14', 'ME', 'Montenegro', 'EURO', '346', '69295', '8', '890');
INSERT INTO public.who_import VALUES (57680, '2021-02-15', 'ME', 'Montenegro', 'EURO', '409', '69704', '9', '899');
INSERT INTO public.who_import VALUES (57681, '2021-02-16', 'ME', 'Montenegro', 'EURO', '473', '70177', '11', '910');
INSERT INTO public.who_import VALUES (57682, '2021-02-17', 'ME', 'Montenegro', 'EURO', '484', '70661', '6', '916');
INSERT INTO public.who_import VALUES (57683, '2021-02-18', 'ME', 'Montenegro', 'EURO', '451', '71112', '10', '926');
INSERT INTO public.who_import VALUES (57684, '2021-02-19', 'ME', 'Montenegro', 'EURO', '0', '71112', '0', '926');
INSERT INTO public.who_import VALUES (57685, '2021-02-20', 'ME', 'Montenegro', 'EURO', '0', '71112', '0', '926');
INSERT INTO public.who_import VALUES (57686, '2020-01-03', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57687, '2020-01-04', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57688, '2020-01-05', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57689, '2020-01-06', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57690, '2020-01-07', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57691, '2020-01-08', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57692, '2020-01-09', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57693, '2020-01-10', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57694, '2020-01-11', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57695, '2020-01-12', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57696, '2020-01-13', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57697, '2020-01-14', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57698, '2020-01-15', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57699, '2020-01-16', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57700, '2020-01-17', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57701, '2020-01-18', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57702, '2020-01-19', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57703, '2020-01-20', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57704, '2020-01-21', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57705, '2020-01-22', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57706, '2020-01-23', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57707, '2020-01-24', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57708, '2020-01-25', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57709, '2020-01-26', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57710, '2020-01-27', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57711, '2020-01-28', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57712, '2020-01-29', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57713, '2020-01-30', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57714, '2020-01-31', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57715, '2020-02-01', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57716, '2020-02-02', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57717, '2020-02-03', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57718, '2020-02-04', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57719, '2020-02-05', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57720, '2020-02-06', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57721, '2020-02-07', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57722, '2020-02-08', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57723, '2020-02-09', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57724, '2020-02-10', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57725, '2020-02-11', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57726, '2020-02-12', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57727, '2020-02-13', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57728, '2020-02-14', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57729, '2020-02-15', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57730, '2020-02-16', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57731, '2020-02-17', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57732, '2020-02-18', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57733, '2020-02-19', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57734, '2020-02-20', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57735, '2020-02-21', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57736, '2020-02-22', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57737, '2020-02-23', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57738, '2020-02-24', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57739, '2020-02-25', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57740, '2020-02-26', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57741, '2020-02-27', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57742, '2020-02-28', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57743, '2020-02-29', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57744, '2020-03-01', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57745, '2020-03-02', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57746, '2020-03-03', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57747, '2020-03-04', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57748, '2020-03-05', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57749, '2020-03-06', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57750, '2020-03-07', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57751, '2020-03-08', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57752, '2020-03-09', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57753, '2020-03-10', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57754, '2020-03-11', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57755, '2020-03-12', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57756, '2020-03-13', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57757, '2020-03-14', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57758, '2020-03-15', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57759, '2020-03-16', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57760, '2020-03-17', 'MS', 'Montserrat', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (57761, '2020-03-18', 'MS', 'Montserrat', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (57762, '2020-03-19', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57763, '2020-03-20', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57764, '2020-03-21', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57765, '2020-03-22', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57766, '2020-03-23', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57767, '2020-03-24', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57768, '2020-03-25', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57769, '2020-03-26', 'MS', 'Montserrat', 'AMRO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (57770, '2020-03-27', 'MS', 'Montserrat', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (57771, '2020-03-28', 'MS', 'Montserrat', 'AMRO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (57772, '2020-03-29', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57773, '2020-03-30', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57774, '2020-03-31', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57775, '2020-04-01', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57776, '2020-04-02', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57777, '2020-04-03', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57778, '2020-04-04', 'MS', 'Montserrat', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (57779, '2020-04-05', 'MS', 'Montserrat', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (57780, '2020-04-06', 'MS', 'Montserrat', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (57781, '2020-04-07', 'MS', 'Montserrat', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (57782, '2020-04-08', 'MS', 'Montserrat', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (57783, '2020-04-09', 'MS', 'Montserrat', 'AMRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (57784, '2020-04-10', 'MS', 'Montserrat', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (57785, '2020-04-11', 'MS', 'Montserrat', 'AMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (57786, '2020-04-12', 'MS', 'Montserrat', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (57787, '2020-04-13', 'MS', 'Montserrat', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (57788, '2020-04-14', 'MS', 'Montserrat', 'AMRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (57789, '2020-04-15', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57790, '2020-04-16', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57791, '2020-04-17', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57792, '2020-04-18', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57793, '2020-04-19', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57794, '2020-04-20', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57795, '2020-04-21', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57796, '2020-04-22', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57797, '2020-04-23', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57798, '2020-04-24', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57799, '2020-04-25', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (57800, '2020-04-26', 'MS', 'Montserrat', 'AMRO', '0', '11', '1', '1');
INSERT INTO public.who_import VALUES (57801, '2020-04-27', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57802, '2020-04-28', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57803, '2020-04-29', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57804, '2020-04-30', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57805, '2020-05-01', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57806, '2020-05-02', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57807, '2020-05-03', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57808, '2020-05-04', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57809, '2020-05-05', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57810, '2020-05-06', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57811, '2020-05-07', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57812, '2020-05-08', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57813, '2020-05-09', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57814, '2020-05-10', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57815, '2020-05-11', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57816, '2020-05-12', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57817, '2020-05-13', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57818, '2020-05-14', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57819, '2020-05-15', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57820, '2020-05-16', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57821, '2020-05-17', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57822, '2020-05-18', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57823, '2020-05-19', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57824, '2020-05-20', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57825, '2020-05-21', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57826, '2020-05-22', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57827, '2020-05-23', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57828, '2020-05-24', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57829, '2020-05-25', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57830, '2020-05-26', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57831, '2020-05-27', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57832, '2020-05-28', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57833, '2020-05-29', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57834, '2020-05-30', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57835, '2020-05-31', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57836, '2020-06-01', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57837, '2020-06-02', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57838, '2020-06-03', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57839, '2020-06-04', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57840, '2020-06-05', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57841, '2020-06-06', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57842, '2020-06-07', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57843, '2020-06-08', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57844, '2020-06-09', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57845, '2020-06-10', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57846, '2020-06-11', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57847, '2020-06-12', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57848, '2020-06-13', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57849, '2020-06-14', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57850, '2020-06-15', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57851, '2020-06-16', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57852, '2020-06-17', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57853, '2020-06-18', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57854, '2020-06-19', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57855, '2020-06-20', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57856, '2020-06-21', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57857, '2020-06-22', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57858, '2020-06-23', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57859, '2020-06-24', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57860, '2020-06-25', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57861, '2020-06-26', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57862, '2020-06-27', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57863, '2020-06-28', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57864, '2020-06-29', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57865, '2020-06-30', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57866, '2020-07-01', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57867, '2020-07-02', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57868, '2020-07-03', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57869, '2020-07-04', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57870, '2020-07-05', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57871, '2020-07-06', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57872, '2020-07-07', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57873, '2020-07-08', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57874, '2020-07-09', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57875, '2020-07-10', 'MS', 'Montserrat', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (57876, '2020-07-11', 'MS', 'Montserrat', 'AMRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (57877, '2020-07-12', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57878, '2020-07-13', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57879, '2020-07-14', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57880, '2020-07-15', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57881, '2020-07-16', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57882, '2020-07-17', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57883, '2020-07-18', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57884, '2020-07-19', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57885, '2020-07-20', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57886, '2020-07-21', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57887, '2020-07-22', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57888, '2020-07-23', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57889, '2020-07-24', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57890, '2020-07-25', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57891, '2020-07-26', 'MS', 'Montserrat', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (57892, '2020-07-27', 'MS', 'Montserrat', 'AMRO', '1', '13', '0', '1');
INSERT INTO public.who_import VALUES (57893, '2020-07-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57894, '2020-07-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57895, '2020-07-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57896, '2020-07-31', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57897, '2020-08-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57898, '2020-08-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57899, '2020-08-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57900, '2020-08-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57901, '2020-08-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57902, '2020-08-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57903, '2020-08-07', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57904, '2020-08-08', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57905, '2020-08-09', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57906, '2020-08-10', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57907, '2020-08-11', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57908, '2020-08-12', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57909, '2020-08-13', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57910, '2020-08-14', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57911, '2020-08-15', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57912, '2020-08-16', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57913, '2020-08-17', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57914, '2020-08-18', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57915, '2020-08-19', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57916, '2020-08-20', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57917, '2020-08-21', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57918, '2020-08-22', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57919, '2020-08-23', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57920, '2020-08-24', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57921, '2020-08-25', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57922, '2020-08-26', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57923, '2020-08-27', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57924, '2020-08-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57925, '2020-08-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57926, '2020-08-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57927, '2020-08-31', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57928, '2020-09-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57929, '2020-09-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57930, '2020-09-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57931, '2020-09-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57932, '2020-09-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57933, '2020-09-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57934, '2020-09-07', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57935, '2020-09-08', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57936, '2020-09-09', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57937, '2020-09-10', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57938, '2020-09-11', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57939, '2020-09-12', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57940, '2020-09-13', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57941, '2020-09-14', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57942, '2020-09-15', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57943, '2020-09-16', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57944, '2020-09-17', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57945, '2020-09-18', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57946, '2020-09-19', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57947, '2020-09-20', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57948, '2020-09-21', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57949, '2020-09-22', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57950, '2020-09-23', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57951, '2020-09-24', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57952, '2020-09-25', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57953, '2020-09-26', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57954, '2020-09-27', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57955, '2020-09-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57956, '2020-09-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57957, '2020-09-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57958, '2020-10-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57959, '2020-10-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57960, '2020-10-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57961, '2020-10-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57962, '2020-10-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57963, '2020-10-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57964, '2020-10-07', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57965, '2020-10-08', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57966, '2020-10-09', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57967, '2020-10-10', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57968, '2020-10-11', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57969, '2020-10-12', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57970, '2020-10-13', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57971, '2020-10-14', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57972, '2020-10-15', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57973, '2020-10-16', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57974, '2020-10-17', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57975, '2020-10-18', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57976, '2020-10-19', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57977, '2020-10-20', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57978, '2020-10-21', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57979, '2020-10-22', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57980, '2020-10-23', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57981, '2020-10-24', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57982, '2020-10-25', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57983, '2020-10-26', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57984, '2020-10-27', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57985, '2020-10-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57986, '2020-10-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57987, '2020-10-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57988, '2020-10-31', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57989, '2020-11-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57990, '2020-11-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57991, '2020-11-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57992, '2020-11-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57993, '2020-11-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57994, '2020-11-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57995, '2020-11-07', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57996, '2020-11-08', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57997, '2020-11-09', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57998, '2020-11-10', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (57999, '2020-11-11', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58000, '2020-11-12', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58001, '2020-11-13', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58002, '2020-11-14', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58003, '2020-11-15', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58004, '2020-11-16', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58005, '2020-11-17', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58006, '2020-11-18', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58007, '2020-11-19', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58008, '2020-11-20', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58009, '2020-11-21', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58010, '2020-11-22', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58011, '2020-11-23', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58012, '2020-11-24', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58013, '2020-11-25', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58014, '2020-11-26', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58015, '2020-11-27', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58016, '2020-11-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58017, '2020-11-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58018, '2020-11-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58019, '2020-12-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58020, '2020-12-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58021, '2020-12-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58022, '2020-12-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58023, '2020-12-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58024, '2020-12-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58025, '2020-12-07', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58026, '2020-12-08', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58027, '2020-12-09', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58028, '2020-12-10', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58029, '2020-12-11', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58030, '2020-12-12', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58031, '2020-12-13', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58032, '2020-12-14', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58033, '2020-12-15', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58034, '2020-12-16', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58035, '2020-12-17', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58036, '2020-12-18', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58037, '2020-12-19', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58038, '2020-12-20', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58039, '2020-12-21', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58040, '2020-12-22', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58041, '2020-12-23', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58042, '2020-12-24', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58043, '2020-12-25', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58044, '2020-12-26', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58045, '2020-12-27', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58046, '2020-12-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58047, '2020-12-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58048, '2020-12-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58049, '2020-12-31', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58050, '2021-01-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58051, '2021-01-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58052, '2021-01-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58053, '2021-01-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58054, '2021-01-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58055, '2021-01-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58056, '2021-01-07', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58057, '2021-01-08', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58058, '2021-01-09', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58059, '2021-01-10', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58060, '2021-01-11', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58061, '2021-01-12', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58062, '2021-01-13', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58063, '2021-01-14', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58064, '2021-01-15', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58065, '2021-01-16', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58066, '2021-01-17', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58067, '2021-01-18', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58068, '2021-01-19', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58069, '2021-01-20', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58070, '2021-01-21', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58071, '2021-01-22', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58072, '2021-01-23', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58073, '2021-01-24', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58074, '2021-01-25', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58075, '2021-01-26', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58076, '2021-01-27', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58077, '2021-01-28', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58078, '2021-01-29', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58079, '2021-01-30', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58080, '2021-01-31', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58081, '2021-02-01', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58082, '2021-02-02', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58083, '2021-02-03', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58084, '2021-02-04', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58085, '2021-02-05', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58086, '2021-02-06', 'MS', 'Montserrat', 'AMRO', '0', '13', '0', '1');
INSERT INTO public.who_import VALUES (58087, '2021-02-07', 'MS', 'Montserrat', 'AMRO', '2', '15', '0', '1');
INSERT INTO public.who_import VALUES (58088, '2021-02-08', 'MS', 'Montserrat', 'AMRO', '2', '17', '0', '1');
INSERT INTO public.who_import VALUES (58089, '2021-02-09', 'MS', 'Montserrat', 'AMRO', '0', '17', '0', '1');
INSERT INTO public.who_import VALUES (58090, '2021-02-10', 'MS', 'Montserrat', 'AMRO', '1', '18', '0', '1');
INSERT INTO public.who_import VALUES (58091, '2021-02-11', 'MS', 'Montserrat', 'AMRO', '0', '18', '0', '1');
INSERT INTO public.who_import VALUES (58092, '2021-02-12', 'MS', 'Montserrat', 'AMRO', '1', '19', '0', '1');
INSERT INTO public.who_import VALUES (58093, '2021-02-13', 'MS', 'Montserrat', 'AMRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (58094, '2021-02-14', 'MS', 'Montserrat', 'AMRO', '0', '19', '0', '1');
INSERT INTO public.who_import VALUES (58095, '2021-02-15', 'MS', 'Montserrat', 'AMRO', '1', '20', '0', '1');
INSERT INTO public.who_import VALUES (58096, '2021-02-16', 'MS', 'Montserrat', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (58097, '2021-02-17', 'MS', 'Montserrat', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (58098, '2021-02-18', 'MS', 'Montserrat', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (58099, '2021-02-19', 'MS', 'Montserrat', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (58100, '2021-02-20', 'MS', 'Montserrat', 'AMRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (58101, '2020-01-03', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58102, '2020-01-04', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58103, '2020-01-05', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58104, '2020-01-06', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58105, '2020-01-07', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58106, '2020-01-08', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58107, '2020-01-09', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58108, '2020-01-10', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58109, '2020-01-11', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58110, '2020-01-12', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58111, '2020-01-13', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58112, '2020-01-14', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58113, '2020-01-15', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58114, '2020-01-16', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58115, '2020-01-17', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58116, '2020-01-18', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58117, '2020-01-19', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58118, '2020-01-20', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58119, '2020-01-21', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58120, '2020-01-22', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58121, '2020-01-23', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58122, '2020-01-24', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58123, '2020-01-25', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58124, '2020-01-26', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58125, '2020-01-27', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58126, '2020-01-28', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58127, '2020-01-29', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58128, '2020-01-30', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58129, '2020-01-31', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58130, '2020-02-01', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58131, '2020-02-02', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58132, '2020-02-03', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58133, '2020-02-04', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58134, '2020-02-05', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58135, '2020-02-06', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58136, '2020-02-07', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58137, '2020-02-08', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58138, '2020-02-09', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58139, '2020-02-10', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58140, '2020-02-11', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58141, '2020-02-12', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58142, '2020-02-13', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58143, '2020-02-14', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58144, '2020-02-15', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58145, '2020-02-16', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58146, '2020-02-17', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58147, '2020-02-18', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58148, '2020-02-19', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58149, '2020-02-20', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58150, '2020-02-21', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58151, '2020-02-22', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58152, '2020-02-23', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58153, '2020-02-24', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58154, '2020-02-25', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58155, '2020-02-26', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58156, '2020-02-27', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58157, '2020-02-28', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58158, '2020-02-29', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58159, '2020-03-01', 'MA', 'Morocco', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58160, '2020-03-02', 'MA', 'Morocco', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (58161, '2020-03-03', 'MA', 'Morocco', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (58162, '2020-03-04', 'MA', 'Morocco', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (58163, '2020-03-05', 'MA', 'Morocco', 'EMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (58164, '2020-03-06', 'MA', 'Morocco', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (58165, '2020-03-07', 'MA', 'Morocco', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (58166, '2020-03-08', 'MA', 'Morocco', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (58167, '2020-03-09', 'MA', 'Morocco', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (58168, '2020-03-10', 'MA', 'Morocco', 'EMRO', '1', '7', '1', '1');
INSERT INTO public.who_import VALUES (58169, '2020-03-11', 'MA', 'Morocco', 'EMRO', '2', '9', '0', '1');
INSERT INTO public.who_import VALUES (58170, '2020-03-12', 'MA', 'Morocco', 'EMRO', '1', '10', '0', '1');
INSERT INTO public.who_import VALUES (58171, '2020-03-13', 'MA', 'Morocco', 'EMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (58172, '2020-03-14', 'MA', 'Morocco', 'EMRO', '12', '22', '0', '1');
INSERT INTO public.who_import VALUES (58173, '2020-03-15', 'MA', 'Morocco', 'EMRO', '10', '32', '0', '1');
INSERT INTO public.who_import VALUES (58174, '2020-03-16', 'MA', 'Morocco', 'EMRO', '1', '33', '0', '1');
INSERT INTO public.who_import VALUES (58175, '2020-03-17', 'MA', 'Morocco', 'EMRO', '9', '42', '1', '2');
INSERT INTO public.who_import VALUES (58176, '2020-03-18', 'MA', 'Morocco', 'EMRO', '11', '53', '0', '2');
INSERT INTO public.who_import VALUES (58177, '2020-03-19', 'MA', 'Morocco', 'EMRO', '12', '65', '0', '2');
INSERT INTO public.who_import VALUES (58178, '2020-03-20', 'MA', 'Morocco', 'EMRO', '9', '74', '1', '3');
INSERT INTO public.who_import VALUES (58179, '2020-03-21', 'MA', 'Morocco', 'EMRO', '12', '86', '0', '3');
INSERT INTO public.who_import VALUES (58180, '2020-03-22', 'MA', 'Morocco', 'EMRO', '23', '109', '0', '3');
INSERT INTO public.who_import VALUES (58181, '2020-03-23', 'MA', 'Morocco', 'EMRO', '25', '134', '1', '4');
INSERT INTO public.who_import VALUES (58182, '2020-03-24', 'MA', 'Morocco', 'EMRO', '9', '143', '0', '4');
INSERT INTO public.who_import VALUES (58183, '2020-03-25', 'MA', 'Morocco', 'EMRO', '27', '170', '1', '5');
INSERT INTO public.who_import VALUES (58184, '2020-03-26', 'MA', 'Morocco', 'EMRO', '55', '225', '1', '6');
INSERT INTO public.who_import VALUES (58185, '2020-03-27', 'MA', 'Morocco', 'EMRO', '50', '275', '4', '10');
INSERT INTO public.who_import VALUES (58186, '2020-03-28', 'MA', 'Morocco', 'EMRO', '83', '358', '13', '23');
INSERT INTO public.who_import VALUES (58187, '2020-03-29', 'MA', 'Morocco', 'EMRO', '92', '450', '3', '26');
INSERT INTO public.who_import VALUES (58188, '2020-03-30', 'MA', 'Morocco', 'EMRO', '66', '516', '3', '29');
INSERT INTO public.who_import VALUES (58189, '2020-03-31', 'MA', 'Morocco', 'EMRO', '58', '574', '4', '33');
INSERT INTO public.who_import VALUES (58190, '2020-04-01', 'MA', 'Morocco', 'EMRO', '64', '638', '4', '37');
INSERT INTO public.who_import VALUES (58191, '2020-04-02', 'MA', 'Morocco', 'EMRO', '38', '676', '3', '40');
INSERT INTO public.who_import VALUES (58192, '2020-04-03', 'MA', 'Morocco', 'EMRO', '59', '735', '7', '47');
INSERT INTO public.who_import VALUES (58193, '2020-04-04', 'MA', 'Morocco', 'EMRO', '123', '858', '3', '50');
INSERT INTO public.who_import VALUES (58194, '2020-04-05', 'MA', 'Morocco', 'EMRO', '102', '960', '16', '66');
INSERT INTO public.who_import VALUES (58195, '2020-04-06', 'MA', 'Morocco', 'EMRO', '153', '1113', '5', '71');
INSERT INTO public.who_import VALUES (58196, '2020-04-07', 'MA', 'Morocco', 'EMRO', '28', '1141', '12', '83');
INSERT INTO public.who_import VALUES (58197, '2020-04-08', 'MA', 'Morocco', 'EMRO', '101', '1242', '8', '91');
INSERT INTO public.who_import VALUES (58198, '2020-04-09', 'MA', 'Morocco', 'EMRO', '104', '1346', '5', '96');
INSERT INTO public.who_import VALUES (58199, '2020-04-10', 'MA', 'Morocco', 'EMRO', '85', '1431', '9', '105');
INSERT INTO public.who_import VALUES (58200, '2020-04-11', 'MA', 'Morocco', 'EMRO', '96', '1527', '5', '110');
INSERT INTO public.who_import VALUES (58201, '2020-04-12', 'MA', 'Morocco', 'EMRO', '90', '1617', '3', '113');
INSERT INTO public.who_import VALUES (58202, '2020-04-13', 'MA', 'Morocco', 'EMRO', '129', '1746', '7', '120');
INSERT INTO public.who_import VALUES (58203, '2020-04-14', 'MA', 'Morocco', 'EMRO', '92', '1838', '6', '126');
INSERT INTO public.who_import VALUES (58204, '2020-04-15', 'MA', 'Morocco', 'EMRO', '150', '1988', '1', '127');
INSERT INTO public.who_import VALUES (58205, '2020-04-16', 'MA', 'Morocco', 'EMRO', '263', '2251', '1', '128');
INSERT INTO public.who_import VALUES (58206, '2020-04-17', 'MA', 'Morocco', 'EMRO', '277', '2528', '5', '133');
INSERT INTO public.who_import VALUES (58207, '2020-04-18', 'MA', 'Morocco', 'EMRO', '142', '2670', '4', '137');
INSERT INTO public.who_import VALUES (58208, '2020-04-19', 'MA', 'Morocco', 'EMRO', '150', '2820', '1', '138');
INSERT INTO public.who_import VALUES (58209, '2020-04-20', 'MA', 'Morocco', 'EMRO', '170', '2990', '5', '143');
INSERT INTO public.who_import VALUES (58210, '2020-04-21', 'MA', 'Morocco', 'EMRO', '196', '3186', '1', '144');
INSERT INTO public.who_import VALUES (58211, '2020-04-22', 'MA', 'Morocco', 'EMRO', '191', '3377', '5', '149');
INSERT INTO public.who_import VALUES (58212, '2020-04-23', 'MA', 'Morocco', 'EMRO', '160', '3537', '2', '151');
INSERT INTO public.who_import VALUES (58213, '2020-04-24', 'MA', 'Morocco', 'EMRO', '155', '3692', '4', '155');
INSERT INTO public.who_import VALUES (58214, '2020-04-25', 'MA', 'Morocco', 'EMRO', '197', '3889', '4', '159');
INSERT INTO public.who_import VALUES (58215, '2020-04-26', 'MA', 'Morocco', 'EMRO', '158', '4047', '1', '160');
INSERT INTO public.who_import VALUES (58216, '2020-04-27', 'MA', 'Morocco', 'EMRO', '68', '4115', '1', '161');
INSERT INTO public.who_import VALUES (58217, '2020-04-28', 'MA', 'Morocco', 'EMRO', '131', '4246', '2', '163');
INSERT INTO public.who_import VALUES (58218, '2020-04-29', 'MA', 'Morocco', 'EMRO', '43', '4289', '4', '167');
INSERT INTO public.who_import VALUES (58219, '2020-04-30', 'MA', 'Morocco', 'EMRO', '70', '4359', '1', '168');
INSERT INTO public.who_import VALUES (58220, '2020-05-01', 'MA', 'Morocco', 'EMRO', '170', '4529', '3', '171');
INSERT INTO public.who_import VALUES (58221, '2020-05-02', 'MA', 'Morocco', 'EMRO', '158', '4687', '1', '172');
INSERT INTO public.who_import VALUES (58222, '2020-05-03', 'MA', 'Morocco', 'EMRO', '193', '4880', '2', '174');
INSERT INTO public.who_import VALUES (58223, '2020-05-04', 'MA', 'Morocco', 'EMRO', '120', '5000', '3', '177');
INSERT INTO public.who_import VALUES (58224, '2020-05-05', 'MA', 'Morocco', 'EMRO', '153', '5153', '3', '180');
INSERT INTO public.who_import VALUES (58225, '2020-05-06', 'MA', 'Morocco', 'EMRO', '229', '5382', '2', '182');
INSERT INTO public.who_import VALUES (58226, '2020-05-07', 'MA', 'Morocco', 'EMRO', '123', '5505', '1', '183');
INSERT INTO public.who_import VALUES (58227, '2020-05-08', 'MA', 'Morocco', 'EMRO', '156', '5661', '2', '185');
INSERT INTO public.who_import VALUES (58228, '2020-05-09', 'MA', 'Morocco', 'EMRO', '212', '5873', '1', '186');
INSERT INTO public.who_import VALUES (58229, '2020-05-10', 'MA', 'Morocco', 'EMRO', '165', '6038', '2', '188');
INSERT INTO public.who_import VALUES (58230, '2020-05-11', 'MA', 'Morocco', 'EMRO', '188', '6226', '0', '188');
INSERT INTO public.who_import VALUES (58231, '2020-05-12', 'MA', 'Morocco', 'EMRO', '154', '6380', '0', '188');
INSERT INTO public.who_import VALUES (58232, '2020-05-13', 'MA', 'Morocco', 'EMRO', '86', '6466', '0', '188');
INSERT INTO public.who_import VALUES (58233, '2020-05-14', 'MA', 'Morocco', 'EMRO', '127', '6593', '1', '189');
INSERT INTO public.who_import VALUES (58234, '2020-05-15', 'MA', 'Morocco', 'EMRO', '30', '6623', '1', '190');
INSERT INTO public.who_import VALUES (58235, '2020-05-16', 'MA', 'Morocco', 'EMRO', '58', '6681', '2', '192');
INSERT INTO public.who_import VALUES (58236, '2020-05-17', 'MA', 'Morocco', 'EMRO', '117', '6798', '0', '192');
INSERT INTO public.who_import VALUES (58237, '2020-05-18', 'MA', 'Morocco', 'EMRO', '132', '6930', '0', '192');
INSERT INTO public.who_import VALUES (58238, '2020-05-19', 'MA', 'Morocco', 'EMRO', '42', '6972', '1', '193');
INSERT INTO public.who_import VALUES (58239, '2020-05-20', 'MA', 'Morocco', 'EMRO', '76', '7048', '1', '194');
INSERT INTO public.who_import VALUES (58240, '2020-05-21', 'MA', 'Morocco', 'EMRO', '137', '7185', '2', '196');
INSERT INTO public.who_import VALUES (58241, '2020-05-22', 'MA', 'Morocco', 'EMRO', '26', '7211', '0', '196');
INSERT INTO public.who_import VALUES (58242, '2020-05-23', 'MA', 'Morocco', 'EMRO', '121', '7332', '1', '197');
INSERT INTO public.who_import VALUES (58243, '2020-05-24', 'MA', 'Morocco', 'EMRO', '74', '7406', '1', '198');
INSERT INTO public.who_import VALUES (58244, '2020-05-25', 'MA', 'Morocco', 'EMRO', '27', '7433', '1', '199');
INSERT INTO public.who_import VALUES (58245, '2020-05-26', 'MA', 'Morocco', 'EMRO', '99', '7532', '1', '200');
INSERT INTO public.who_import VALUES (58246, '2020-05-27', 'MA', 'Morocco', 'EMRO', '45', '7577', '2', '202');
INSERT INTO public.who_import VALUES (58247, '2020-05-28', 'MA', 'Morocco', 'EMRO', '24', '7601', '0', '202');
INSERT INTO public.who_import VALUES (58248, '2020-05-29', 'MA', 'Morocco', 'EMRO', '42', '7643', '0', '202');
INSERT INTO public.who_import VALUES (58249, '2020-05-30', 'MA', 'Morocco', 'EMRO', '71', '7714', '0', '202');
INSERT INTO public.who_import VALUES (58250, '2020-05-31', 'MA', 'Morocco', 'EMRO', '66', '7780', '2', '204');
INSERT INTO public.who_import VALUES (58251, '2020-06-01', 'MA', 'Morocco', 'EMRO', '27', '7807', '1', '205');
INSERT INTO public.who_import VALUES (58252, '2020-06-02', 'MA', 'Morocco', 'EMRO', '26', '7833', '0', '205');
INSERT INTO public.who_import VALUES (58253, '2020-06-03', 'MA', 'Morocco', 'EMRO', '33', '7866', '1', '206');
INSERT INTO public.who_import VALUES (58254, '2020-06-04', 'MA', 'Morocco', 'EMRO', '56', '7922', '0', '206');
INSERT INTO public.who_import VALUES (58255, '2020-06-05', 'MA', 'Morocco', 'EMRO', '81', '8003', '2', '208');
INSERT INTO public.who_import VALUES (58256, '2020-06-06', 'MA', 'Morocco', 'EMRO', '68', '8071', '0', '208');
INSERT INTO public.who_import VALUES (58257, '2020-06-07', 'MA', 'Morocco', 'EMRO', '80', '8151', '0', '208');
INSERT INTO public.who_import VALUES (58258, '2020-06-08', 'MA', 'Morocco', 'EMRO', '73', '8224', '0', '208');
INSERT INTO public.who_import VALUES (58259, '2020-06-09', 'MA', 'Morocco', 'EMRO', '78', '8302', '0', '208');
INSERT INTO public.who_import VALUES (58260, '2020-06-10', 'MA', 'Morocco', 'EMRO', '135', '8437', '2', '210');
INSERT INTO public.who_import VALUES (58261, '2020-06-11', 'MA', 'Morocco', 'EMRO', '71', '8508', '1', '211');
INSERT INTO public.who_import VALUES (58262, '2020-06-12', 'MA', 'Morocco', 'EMRO', '29', '8537', '0', '211');
INSERT INTO public.who_import VALUES (58263, '2020-06-13', 'MA', 'Morocco', 'EMRO', '73', '8610', '1', '212');
INSERT INTO public.who_import VALUES (58264, '2020-06-14', 'MA', 'Morocco', 'EMRO', '82', '8692', '0', '212');
INSERT INTO public.who_import VALUES (58265, '2020-06-15', 'MA', 'Morocco', 'EMRO', '101', '8793', '0', '212');
INSERT INTO public.who_import VALUES (58266, '2020-06-16', 'MA', 'Morocco', 'EMRO', '92', '8885', '0', '212');
INSERT INTO public.who_import VALUES (58267, '2020-06-17', 'MA', 'Morocco', 'EMRO', '46', '8931', '0', '212');
INSERT INTO public.who_import VALUES (58268, '2020-06-18', 'MA', 'Morocco', 'EMRO', '66', '8997', '1', '213');
INSERT INTO public.who_import VALUES (58269, '2020-06-19', 'MA', 'Morocco', 'EMRO', '77', '9074', '0', '213');
INSERT INTO public.who_import VALUES (58270, '2020-06-20', 'MA', 'Morocco', 'EMRO', '539', '9613', '0', '213');
INSERT INTO public.who_import VALUES (58271, '2020-06-21', 'MA', 'Morocco', 'EMRO', '226', '9839', '0', '213');
INSERT INTO public.who_import VALUES (58272, '2020-06-22', 'MA', 'Morocco', 'EMRO', '138', '9977', '1', '214');
INSERT INTO public.who_import VALUES (58273, '2020-06-23', 'MA', 'Morocco', 'EMRO', '195', '10172', '0', '214');
INSERT INTO public.who_import VALUES (58274, '2020-06-24', 'MA', 'Morocco', 'EMRO', '172', '10344', '0', '214');
INSERT INTO public.who_import VALUES (58275, '2020-06-25', 'MA', 'Morocco', 'EMRO', '563', '10907', '2', '216');
INSERT INTO public.who_import VALUES (58276, '2020-06-26', 'MA', 'Morocco', 'EMRO', '431', '11338', '1', '217');
INSERT INTO public.who_import VALUES (58277, '2020-06-27', 'MA', 'Morocco', 'EMRO', '295', '11633', '1', '218');
INSERT INTO public.who_import VALUES (58278, '2020-06-28', 'MA', 'Morocco', 'EMRO', '244', '11877', '2', '220');
INSERT INTO public.who_import VALUES (58279, '2020-06-29', 'MA', 'Morocco', 'EMRO', '175', '12052', '1', '221');
INSERT INTO public.who_import VALUES (58280, '2020-06-30', 'MA', 'Morocco', 'EMRO', '238', '12290', '4', '225');
INSERT INTO public.who_import VALUES (58281, '2020-07-01', 'MA', 'Morocco', 'EMRO', '243', '12533', '3', '228');
INSERT INTO public.who_import VALUES (58282, '2020-07-02', 'MA', 'Morocco', 'EMRO', '103', '12636', '0', '228');
INSERT INTO public.who_import VALUES (58283, '2020-07-03', 'MA', 'Morocco', 'EMRO', '333', '12969', '1', '229');
INSERT INTO public.who_import VALUES (58284, '2020-07-04', 'MA', 'Morocco', 'EMRO', '319', '13288', '1', '230');
INSERT INTO public.who_import VALUES (58285, '2020-07-05', 'MA', 'Morocco', 'EMRO', '534', '13822', '2', '232');
INSERT INTO public.who_import VALUES (58286, '2020-07-06', 'MA', 'Morocco', 'EMRO', '393', '14215', '3', '235');
INSERT INTO public.who_import VALUES (58287, '2020-07-07', 'MA', 'Morocco', 'EMRO', '164', '14379', '2', '237');
INSERT INTO public.who_import VALUES (58288, '2020-07-08', 'MA', 'Morocco', 'EMRO', '228', '14607', '3', '240');
INSERT INTO public.who_import VALUES (58289, '2020-07-09', 'MA', 'Morocco', 'EMRO', '164', '14771', '2', '242');
INSERT INTO public.who_import VALUES (58290, '2020-07-10', 'MA', 'Morocco', 'EMRO', '308', '15079', '0', '242');
INSERT INTO public.who_import VALUES (58291, '2020-07-11', 'MA', 'Morocco', 'EMRO', '249', '15328', '1', '243');
INSERT INTO public.who_import VALUES (58292, '2020-07-12', 'MA', 'Morocco', 'EMRO', '214', '15542', '2', '245');
INSERT INTO public.who_import VALUES (58293, '2020-07-13', 'MA', 'Morocco', 'EMRO', '203', '15745', '5', '250');
INSERT INTO public.who_import VALUES (58294, '2020-07-14', 'MA', 'Morocco', 'EMRO', '191', '15936', '5', '255');
INSERT INTO public.who_import VALUES (58295, '2020-07-15', 'MA', 'Morocco', 'EMRO', '161', '16097', '2', '257');
INSERT INTO public.who_import VALUES (58296, '2020-07-16', 'MA', 'Morocco', 'EMRO', '165', '16262', '2', '259');
INSERT INTO public.who_import VALUES (58297, '2020-07-17', 'MA', 'Morocco', 'EMRO', '283', '16545', '4', '263');
INSERT INTO public.who_import VALUES (58298, '2020-07-18', 'MA', 'Morocco', 'EMRO', '181', '16726', '1', '264');
INSERT INTO public.who_import VALUES (58299, '2020-07-19', 'MA', 'Morocco', 'EMRO', '289', '17015', '5', '269');
INSERT INTO public.who_import VALUES (58300, '2020-07-20', 'MA', 'Morocco', 'EMRO', '221', '17236', '4', '273');
INSERT INTO public.who_import VALUES (58301, '2020-07-21', 'MA', 'Morocco', 'EMRO', '326', '17562', '3', '276');
INSERT INTO public.who_import VALUES (58302, '2020-07-22', 'MA', 'Morocco', 'EMRO', '180', '17742', '4', '280');
INSERT INTO public.who_import VALUES (58303, '2020-07-23', 'MA', 'Morocco', 'EMRO', '220', '17962', '5', '285');
INSERT INTO public.who_import VALUES (58304, '2020-07-24', 'MA', 'Morocco', 'EMRO', '302', '18264', '7', '292');
INSERT INTO public.who_import VALUES (58305, '2020-07-25', 'MA', 'Morocco', 'EMRO', '570', '18834', '7', '299');
INSERT INTO public.who_import VALUES (58306, '2020-07-26', 'MA', 'Morocco', 'EMRO', '811', '19645', '6', '305');
INSERT INTO public.who_import VALUES (58307, '2020-07-27', 'MA', 'Morocco', 'EMRO', '633', '20278', '8', '313');
INSERT INTO public.who_import VALUES (58308, '2020-07-28', 'MA', 'Morocco', 'EMRO', '609', '20887', '3', '316');
INSERT INTO public.who_import VALUES (58309, '2020-07-29', 'MA', 'Morocco', 'EMRO', '500', '21387', '11', '327');
INSERT INTO public.who_import VALUES (58310, '2020-07-30', 'MA', 'Morocco', 'EMRO', '826', '22213', '7', '334');
INSERT INTO public.who_import VALUES (58311, '2020-07-31', 'MA', 'Morocco', 'EMRO', '1046', '23259', '12', '346');
INSERT INTO public.who_import VALUES (58312, '2020-08-01', 'MA', 'Morocco', 'EMRO', '1063', '24322', '7', '353');
INSERT INTO public.who_import VALUES (58313, '2020-08-02', 'MA', 'Morocco', 'EMRO', '729', '25051', '14', '367');
INSERT INTO public.who_import VALUES (58314, '2020-08-03', 'MA', 'Morocco', 'EMRO', '486', '25537', '15', '382');
INSERT INTO public.who_import VALUES (58315, '2020-08-04', 'MA', 'Morocco', 'EMRO', '659', '26196', '19', '401');
INSERT INTO public.who_import VALUES (58316, '2020-08-05', 'MA', 'Morocco', 'EMRO', '1021', '27217', '16', '417');
INSERT INTO public.who_import VALUES (58317, '2020-08-06', 'MA', 'Morocco', 'EMRO', '1283', '28500', '18', '435');
INSERT INTO public.who_import VALUES (58318, '2020-08-07', 'MA', 'Morocco', 'EMRO', '1144', '29644', '14', '449');
INSERT INTO public.who_import VALUES (58319, '2020-08-08', 'MA', 'Morocco', 'EMRO', '1018', '30662', '12', '461');
INSERT INTO public.who_import VALUES (58320, '2020-08-09', 'MA', 'Morocco', 'EMRO', '1345', '32007', '19', '480');
INSERT INTO public.who_import VALUES (58321, '2020-08-10', 'MA', 'Morocco', 'EMRO', '1230', '33237', '18', '498');
INSERT INTO public.who_import VALUES (58322, '2020-08-11', 'MA', 'Morocco', 'EMRO', '826', '34063', '18', '516');
INSERT INTO public.who_import VALUES (58323, '2020-08-12', 'MA', 'Morocco', 'EMRO', '1132', '35195', '17', '533');
INSERT INTO public.who_import VALUES (58324, '2020-08-13', 'MA', 'Morocco', 'EMRO', '1499', '36694', '23', '556');
INSERT INTO public.who_import VALUES (58325, '2020-08-14', 'MA', 'Morocco', 'EMRO', '1241', '37935', '28', '584');
INSERT INTO public.who_import VALUES (58326, '2020-08-15', 'MA', 'Morocco', 'EMRO', '1306', '39241', '27', '611');
INSERT INTO public.who_import VALUES (58327, '2020-08-16', 'MA', 'Morocco', 'EMRO', '1776', '41017', '21', '632');
INSERT INTO public.who_import VALUES (58328, '2020-08-17', 'MA', 'Morocco', 'EMRO', '1472', '42489', '26', '658');
INSERT INTO public.who_import VALUES (58329, '2020-08-18', 'MA', 'Morocco', 'EMRO', '1069', '43558', '23', '681');
INSERT INTO public.who_import VALUES (58330, '2020-08-19', 'MA', 'Morocco', 'EMRO', '1245', '44803', '33', '714');
INSERT INTO public.who_import VALUES (58331, '2020-08-20', 'MA', 'Morocco', 'EMRO', '1510', '46313', '29', '743');
INSERT INTO public.who_import VALUES (58332, '2020-08-21', 'MA', 'Morocco', 'EMRO', '1325', '47638', '32', '775');
INSERT INTO public.who_import VALUES (58333, '2020-08-22', 'MA', 'Morocco', 'EMRO', '1609', '49247', '42', '817');
INSERT INTO public.who_import VALUES (58334, '2020-08-23', 'MA', 'Morocco', 'EMRO', '1565', '50812', '41', '858');
INSERT INTO public.who_import VALUES (58335, '2020-08-24', 'MA', 'Morocco', 'EMRO', '1537', '52349', '30', '888');
INSERT INTO public.who_import VALUES (58336, '2020-08-25', 'MA', 'Morocco', 'EMRO', '903', '53252', '32', '920');
INSERT INTO public.who_import VALUES (58337, '2020-08-26', 'MA', 'Morocco', 'EMRO', '1276', '54528', '35', '955');
INSERT INTO public.who_import VALUES (58338, '2020-08-27', 'MA', 'Morocco', 'EMRO', '1336', '55864', '29', '984');
INSERT INTO public.who_import VALUES (58339, '2020-08-28', 'MA', 'Morocco', 'EMRO', '1221', '57085', '27', '1011');
INSERT INTO public.who_import VALUES (58340, '2020-08-29', 'MA', 'Morocco', 'EMRO', '1404', '58489', '41', '1052');
INSERT INTO public.who_import VALUES (58341, '2020-08-30', 'MA', 'Morocco', 'EMRO', '1567', '60056', '26', '1078');
INSERT INTO public.who_import VALUES (58342, '2020-08-31', 'MA', 'Morocco', 'EMRO', '1343', '61399', '33', '1111');
INSERT INTO public.who_import VALUES (58343, '2020-09-01', 'MA', 'Morocco', 'EMRO', '1191', '62590', '30', '1141');
INSERT INTO public.who_import VALUES (58344, '2020-09-02', 'MA', 'Morocco', 'EMRO', '1191', '63781', '43', '1184');
INSERT INTO public.who_import VALUES (58345, '2020-09-03', 'MA', 'Morocco', 'EMRO', '1672', '65453', '32', '1216');
INSERT INTO public.who_import VALUES (58346, '2020-09-04', 'MA', 'Morocco', 'EMRO', '1402', '66855', '37', '1253');
INSERT INTO public.who_import VALUES (58347, '2020-09-05', 'MA', 'Morocco', 'EMRO', '1750', '68605', '39', '1292');
INSERT INTO public.who_import VALUES (58348, '2020-09-06', 'MA', 'Morocco', 'EMRO', '1555', '70160', '37', '1329');
INSERT INTO public.who_import VALUES (58349, '2020-09-07', 'MA', 'Morocco', 'EMRO', '2234', '72394', '32', '1361');
INSERT INTO public.who_import VALUES (58350, '2020-09-08', 'MA', 'Morocco', 'EMRO', '1386', '73780', '33', '1394');
INSERT INTO public.who_import VALUES (58351, '2020-09-09', 'MA', 'Morocco', 'EMRO', '1941', '75721', '33', '1427');
INSERT INTO public.who_import VALUES (58352, '2020-09-10', 'MA', 'Morocco', 'EMRO', '2157', '77878', '26', '1453');
INSERT INTO public.who_import VALUES (58353, '2020-09-11', 'MA', 'Morocco', 'EMRO', '1889', '79767', '38', '1491');
INSERT INTO public.who_import VALUES (58354, '2020-09-12', 'MA', 'Morocco', 'EMRO', '2430', '82197', '33', '1524');
INSERT INTO public.who_import VALUES (58355, '2020-09-13', 'MA', 'Morocco', 'EMRO', '2238', '84435', '29', '1553');
INSERT INTO public.who_import VALUES (58356, '2020-09-14', 'MA', 'Morocco', 'EMRO', '2251', '86686', '25', '1578');
INSERT INTO public.who_import VALUES (58357, '2020-09-15', 'MA', 'Morocco', 'EMRO', '1517', '88203', '36', '1614');
INSERT INTO public.who_import VALUES (58358, '2020-09-16', 'MA', 'Morocco', 'EMRO', '2121', '90324', '34', '1648');
INSERT INTO public.who_import VALUES (58359, '2020-09-17', 'MA', 'Morocco', 'EMRO', '1692', '92016', '38', '1686');
INSERT INTO public.who_import VALUES (58360, '2020-09-18', 'MA', 'Morocco', 'EMRO', '2488', '94504', '28', '1714');
INSERT INTO public.who_import VALUES (58361, '2020-09-19', 'MA', 'Morocco', 'EMRO', '2760', '97264', '41', '1755');
INSERT INTO public.who_import VALUES (58362, '2020-09-20', 'MA', 'Morocco', 'EMRO', '2552', '99816', '40', '1795');
INSERT INTO public.who_import VALUES (58363, '2020-09-21', 'MA', 'Morocco', 'EMRO', '1927', '101743', '35', '1830');
INSERT INTO public.who_import VALUES (58364, '2020-09-22', 'MA', 'Morocco', 'EMRO', '1376', '103119', '25', '1855');
INSERT INTO public.who_import VALUES (58365, '2020-09-23', 'MA', 'Morocco', 'EMRO', '2227', '105346', '34', '1889');
INSERT INTO public.who_import VALUES (58366, '2020-09-24', 'MA', 'Morocco', 'EMRO', '2397', '107743', '29', '1918');
INSERT INTO public.who_import VALUES (58367, '2020-09-25', 'MA', 'Morocco', 'EMRO', '2356', '110099', '38', '1956');
INSERT INTO public.who_import VALUES (58368, '2020-09-26', 'MA', 'Morocco', 'EMRO', '2423', '112522', '42', '1998');
INSERT INTO public.who_import VALUES (58369, '2020-09-27', 'MA', 'Morocco', 'EMRO', '2719', '115241', '43', '2041');
INSERT INTO public.who_import VALUES (58370, '2020-09-28', 'MA', 'Morocco', 'EMRO', '2444', '117685', '28', '2069');
INSERT INTO public.who_import VALUES (58371, '2020-09-29', 'MA', 'Morocco', 'EMRO', '1422', '119107', '44', '2113');
INSERT INTO public.who_import VALUES (58372, '2020-09-30', 'MA', 'Morocco', 'EMRO', '2076', '121183', '39', '2152');
INSERT INTO public.who_import VALUES (58373, '2020-10-01', 'MA', 'Morocco', 'EMRO', '2470', '123653', '42', '2194');
INSERT INTO public.who_import VALUES (58374, '2020-10-02', 'MA', 'Morocco', 'EMRO', '2391', '126044', '35', '2229');
INSERT INTO public.who_import VALUES (58375, '2020-10-03', 'MA', 'Morocco', 'EMRO', '2521', '128565', '34', '2263');
INSERT INTO public.who_import VALUES (58376, '2020-10-04', 'MA', 'Morocco', 'EMRO', '2663', '131228', '30', '2293');
INSERT INTO public.who_import VALUES (58377, '2020-10-05', 'MA', 'Morocco', 'EMRO', '2044', '133272', '37', '2330');
INSERT INTO public.who_import VALUES (58378, '2020-10-06', 'MA', 'Morocco', 'EMRO', '1423', '134695', '39', '2369');
INSERT INTO public.who_import VALUES (58379, '2020-10-07', 'MA', 'Morocco', 'EMRO', '2553', '137248', '41', '2410');
INSERT INTO public.who_import VALUES (58380, '2020-10-08', 'MA', 'Morocco', 'EMRO', '2776', '140024', '29', '2439');
INSERT INTO public.who_import VALUES (58381, '2020-10-09', 'MA', 'Morocco', 'EMRO', '2929', '142953', '47', '2486');
INSERT INTO public.who_import VALUES (58382, '2020-10-10', 'MA', 'Morocco', 'EMRO', '3445', '146398', '44', '2530');
INSERT INTO public.who_import VALUES (58383, '2020-10-11', 'MA', 'Morocco', 'EMRO', '3443', '149841', '42', '2572');
INSERT INTO public.who_import VALUES (58384, '2020-10-12', 'MA', 'Morocco', 'EMRO', '2563', '152404', '33', '2605');
INSERT INTO public.who_import VALUES (58385, '2020-10-13', 'MA', 'Morocco', 'EMRO', '1357', '153761', '31', '2636');
INSERT INTO public.who_import VALUES (58386, '2020-10-14', 'MA', 'Morocco', 'EMRO', '3185', '156946', '49', '2685');
INSERT INTO public.who_import VALUES (58387, '2020-10-15', 'MA', 'Morocco', 'EMRO', '3387', '160333', '41', '2726');
INSERT INTO public.who_import VALUES (58388, '2020-10-16', 'MA', 'Morocco', 'EMRO', '3317', '163650', '46', '2772');
INSERT INTO public.who_import VALUES (58389, '2020-10-17', 'MA', 'Morocco', 'EMRO', '3498', '167148', '46', '2818');
INSERT INTO public.who_import VALUES (58390, '2020-10-18', 'MA', 'Morocco', 'EMRO', '3763', '170911', '60', '2878');
INSERT INTO public.who_import VALUES (58391, '2020-10-19', 'MA', 'Morocco', 'EMRO', '2721', '173632', '50', '2928');
INSERT INTO public.who_import VALUES (58392, '2020-10-20', 'MA', 'Morocco', 'EMRO', '2117', '175749', '48', '2976');
INSERT INTO public.who_import VALUES (58393, '2020-10-21', 'MA', 'Morocco', 'EMRO', '3254', '179003', '51', '3027');
INSERT INTO public.who_import VALUES (58394, '2020-10-22', 'MA', 'Morocco', 'EMRO', '3577', '182580', '70', '3097');
INSERT INTO public.who_import VALUES (58395, '2020-10-23', 'MA', 'Morocco', 'EMRO', '4151', '186731', '35', '3132');
INSERT INTO public.who_import VALUES (58396, '2020-10-24', 'MA', 'Morocco', 'EMRO', '3685', '190416', '73', '3205');
INSERT INTO public.who_import VALUES (58397, '2020-10-25', 'MA', 'Morocco', 'EMRO', '4045', '194461', '50', '3255');
INSERT INTO public.who_import VALUES (58398, '2020-10-26', 'MA', 'Morocco', 'EMRO', '3020', '197481', '46', '3301');
INSERT INTO public.who_import VALUES (58399, '2020-10-27', 'MA', 'Morocco', 'EMRO', '2264', '199745', '72', '3373');
INSERT INTO public.who_import VALUES (58400, '2020-10-28', 'MA', 'Morocco', 'EMRO', '3988', '203733', '72', '3445');
INSERT INTO public.who_import VALUES (58401, '2020-10-29', 'MA', 'Morocco', 'EMRO', '3985', '207718', '61', '3506');
INSERT INTO public.who_import VALUES (58402, '2020-10-30', 'MA', 'Morocco', 'EMRO', '4320', '212038', '66', '3572');
INSERT INTO public.who_import VALUES (58403, '2020-10-31', 'MA', 'Morocco', 'EMRO', '3256', '215294', '53', '3625');
INSERT INTO public.who_import VALUES (58404, '2020-11-01', 'MA', 'Morocco', 'EMRO', '3790', '219084', '70', '3695');
INSERT INTO public.who_import VALUES (58405, '2020-11-02', 'MA', 'Morocco', 'EMRO', '3460', '222544', '67', '3762');
INSERT INTO public.who_import VALUES (58406, '2020-11-03', 'MA', 'Morocco', 'EMRO', '2526', '225070', '64', '3826');
INSERT INTO public.who_import VALUES (58407, '2020-11-04', 'MA', 'Morocco', 'EMRO', '4495', '229565', '74', '3900');
INSERT INTO public.who_import VALUES (58408, '2020-11-05', 'MA', 'Morocco', 'EMRO', '5745', '235310', '82', '3982');
INSERT INTO public.who_import VALUES (58409, '2020-11-06', 'MA', 'Morocco', 'EMRO', '5641', '240951', '77', '4059');
INSERT INTO public.who_import VALUES (58410, '2020-11-07', 'MA', 'Morocco', 'EMRO', '5398', '246349', '68', '4127');
INSERT INTO public.who_import VALUES (58411, '2020-11-08', 'MA', 'Morocco', 'EMRO', '5836', '252185', '70', '4197');
INSERT INTO public.who_import VALUES (58412, '2020-11-09', 'MA', 'Morocco', 'EMRO', '4596', '256781', '75', '4272');
INSERT INTO public.who_import VALUES (58413, '2020-11-10', 'MA', 'Morocco', 'EMRO', '3170', '259951', '84', '4356');
INSERT INTO public.who_import VALUES (58414, '2020-11-11', 'MA', 'Morocco', 'EMRO', '5214', '265165', '69', '4425');
INSERT INTO public.who_import VALUES (58415, '2020-11-12', 'MA', 'Morocco', 'EMRO', '5461', '270626', '81', '4506');
INSERT INTO public.who_import VALUES (58416, '2020-11-13', 'MA', 'Morocco', 'EMRO', '6195', '276821', '64', '4570');
INSERT INTO public.who_import VALUES (58417, '2020-11-14', 'MA', 'Morocco', 'EMRO', '5515', '282336', '61', '4631');
INSERT INTO public.who_import VALUES (58418, '2020-11-15', 'MA', 'Morocco', 'EMRO', '5875', '288211', '66', '4697');
INSERT INTO public.who_import VALUES (58419, '2020-11-16', 'MA', 'Morocco', 'EMRO', '4966', '293177', '82', '4779');
INSERT INTO public.who_import VALUES (58420, '2020-11-17', 'MA', 'Morocco', 'EMRO', '3012', '296189', '71', '4850');
INSERT INTO public.who_import VALUES (58421, '2020-11-18', 'MA', 'Morocco', 'EMRO', '5415', '301604', '82', '4932');
INSERT INTO public.who_import VALUES (58422, '2020-11-19', 'MA', 'Morocco', 'EMRO', '5391', '306995', '81', '5013');
INSERT INTO public.who_import VALUES (58423, '2020-11-20', 'MA', 'Morocco', 'EMRO', '4559', '311554', '77', '5090');
INSERT INTO public.who_import VALUES (58424, '2020-11-21', 'MA', 'Morocco', 'EMRO', '4706', '316260', '92', '5182');
INSERT INTO public.who_import VALUES (58425, '2020-11-22', 'MA', 'Morocco', 'EMRO', '4702', '320962', '74', '5256');
INSERT INTO public.who_import VALUES (58426, '2020-11-23', 'MA', 'Morocco', 'EMRO', '3979', '324941', '60', '5316');
INSERT INTO public.who_import VALUES (58427, '2020-11-24', 'MA', 'Morocco', 'EMRO', '2587', '327528', '80', '5396');
INSERT INTO public.who_import VALUES (58428, '2020-11-25', 'MA', 'Morocco', 'EMRO', '3999', '331527', '100', '5496');
INSERT INTO public.who_import VALUES (58429, '2020-11-26', 'MA', 'Morocco', 'EMRO', '4979', '336506', '43', '5539');
INSERT INTO public.who_import VALUES (58430, '2020-11-27', 'MA', 'Morocco', 'EMRO', '4178', '340684', '80', '5619');
INSERT INTO public.who_import VALUES (58431, '2020-11-28', 'MA', 'Morocco', 'EMRO', '4592', '345276', '70', '5689');
INSERT INTO public.who_import VALUES (58432, '2020-11-29', 'MA', 'Morocco', 'EMRO', '4412', '349688', '50', '5739');
INSERT INTO public.who_import VALUES (58433, '2020-11-30', 'MA', 'Morocco', 'EMRO', '4115', '353803', '50', '5789');
INSERT INTO public.who_import VALUES (58434, '2020-12-01', 'MA', 'Morocco', 'EMRO', '2532', '356335', '57', '5846');
INSERT INTO public.who_import VALUES (58435, '2020-12-02', 'MA', 'Morocco', 'EMRO', '3509', '359844', '69', '5915');
INSERT INTO public.who_import VALUES (58436, '2020-12-03', 'MA', 'Morocco', 'EMRO', '4346', '364190', '70', '5985');
INSERT INTO public.who_import VALUES (58437, '2020-12-04', 'MA', 'Morocco', 'EMRO', '4434', '368624', '78', '6063');
INSERT INTO public.who_import VALUES (58438, '2020-12-05', 'MA', 'Morocco', 'EMRO', '3996', '372620', '73', '6136');
INSERT INTO public.who_import VALUES (58439, '2020-12-06', 'MA', 'Morocco', 'EMRO', '4118', '376738', '48', '6184');
INSERT INTO public.who_import VALUES (58440, '2020-12-07', 'MA', 'Morocco', 'EMRO', '2919', '379657', '61', '6245');
INSERT INTO public.who_import VALUES (58441, '2020-12-08', 'MA', 'Morocco', 'EMRO', '1531', '381188', '75', '6320');
INSERT INTO public.who_import VALUES (58442, '2020-12-09', 'MA', 'Morocco', 'EMRO', '2900', '384088', '50', '6370');
INSERT INTO public.who_import VALUES (58443, '2020-12-10', 'MA', 'Morocco', 'EMRO', '4096', '388184', '57', '6427');
INSERT INTO public.who_import VALUES (58444, '2020-12-11', 'MA', 'Morocco', 'EMRO', '3345', '391529', '65', '6492');
INSERT INTO public.who_import VALUES (58445, '2020-12-12', 'MA', 'Morocco', 'EMRO', '3035', '394564', '50', '6542');
INSERT INTO public.who_import VALUES (58446, '2020-12-13', 'MA', 'Morocco', 'EMRO', '3033', '397597', '47', '6589');
INSERT INTO public.who_import VALUES (58447, '2020-12-14', 'MA', 'Morocco', 'EMRO', '2012', '399609', '35', '6624');
INSERT INTO public.who_import VALUES (58448, '2020-12-15', 'MA', 'Morocco', 'EMRO', '1217', '400826', '35', '6659');
INSERT INTO public.who_import VALUES (58449, '2020-12-16', 'MA', 'Morocco', 'EMRO', '2793', '403619', '52', '6711');
INSERT INTO public.who_import VALUES (58450, '2020-12-17', 'MA', 'Morocco', 'EMRO', '3351', '406970', '38', '6749');
INSERT INTO public.who_import VALUES (58451, '2020-12-18', 'MA', 'Morocco', 'EMRO', '2776', '409746', '55', '6804');
INSERT INTO public.who_import VALUES (58452, '2020-12-19', 'MA', 'Morocco', 'EMRO', '2647', '412393', '50', '6854');
INSERT INTO public.who_import VALUES (58453, '2020-12-20', 'MA', 'Morocco', 'EMRO', '2833', '415226', '55', '6909');
INSERT INTO public.who_import VALUES (58454, '2020-12-21', 'MA', 'Morocco', 'EMRO', '1899', '417125', '48', '6957');
INSERT INTO public.who_import VALUES (58455, '2020-12-22', 'MA', 'Morocco', 'EMRO', '877', '418002', '43', '7000');
INSERT INTO public.who_import VALUES (58456, '2020-12-23', 'MA', 'Morocco', 'EMRO', '2646', '420648', '30', '7030');
INSERT INTO public.who_import VALUES (58457, '2020-12-24', 'MA', 'Morocco', 'EMRO', '2566', '423214', '56', '7086');
INSERT INTO public.who_import VALUES (58458, '2020-12-25', 'MA', 'Morocco', 'EMRO', '2650', '425864', '44', '7130');
INSERT INTO public.who_import VALUES (58459, '2020-12-26', 'MA', 'Morocco', 'EMRO', '2329', '428193', '40', '7170');
INSERT INTO public.who_import VALUES (58460, '2020-12-27', 'MA', 'Morocco', 'EMRO', '2369', '430562', '34', '7204');
INSERT INTO public.who_import VALUES (58461, '2020-12-28', 'MA', 'Morocco', 'EMRO', '1517', '432079', '36', '7240');
INSERT INTO public.who_import VALUES (58462, '2020-12-29', 'MA', 'Morocco', 'EMRO', '950', '433029', '32', '7272');
INSERT INTO public.who_import VALUES (58463, '2020-12-30', 'MA', 'Morocco', 'EMRO', '2160', '435189', '42', '7314');
INSERT INTO public.who_import VALUES (58464, '2020-12-31', 'MA', 'Morocco', 'EMRO', '2143', '437332', '41', '7355');
INSERT INTO public.who_import VALUES (58465, '2021-01-01', 'MA', 'Morocco', 'EMRO', '1861', '439193', '33', '7388');
INSERT INTO public.who_import VALUES (58466, '2021-01-02', 'MA', 'Morocco', 'EMRO', '1777', '440970', '37', '7425');
INSERT INTO public.who_import VALUES (58467, '2021-01-03', 'MA', 'Morocco', 'EMRO', '1171', '442141', '27', '7452');
INSERT INTO public.who_import VALUES (58468, '2021-01-04', 'MA', 'Morocco', 'EMRO', '1005', '443146', '33', '7485');
INSERT INTO public.who_import VALUES (58469, '2021-01-05', 'MA', 'Morocco', 'EMRO', '656', '443802', '53', '7538');
INSERT INTO public.who_import VALUES (58470, '2021-01-06', 'MA', 'Morocco', 'EMRO', '1637', '445439', '43', '7581');
INSERT INTO public.who_import VALUES (58471, '2021-01-07', 'MA', 'Morocco', 'EMRO', '1642', '447081', '37', '7618');
INSERT INTO public.who_import VALUES (58472, '2021-01-08', 'MA', 'Morocco', 'EMRO', '1597', '448678', '27', '7645');
INSERT INTO public.who_import VALUES (58473, '2021-01-09', 'MA', 'Morocco', 'EMRO', '1543', '450221', '40', '7685');
INSERT INTO public.who_import VALUES (58474, '2021-01-10', 'MA', 'Morocco', 'EMRO', '1416', '451637', '24', '7709');
INSERT INTO public.who_import VALUES (58475, '2021-01-11', 'MA', 'Morocco', 'EMRO', '895', '452532', '34', '7743');
INSERT INTO public.who_import VALUES (58476, '2021-01-12', 'MA', 'Morocco', 'EMRO', '456', '452988', '24', '7767');
INSERT INTO public.who_import VALUES (58477, '2021-01-13', 'MA', 'Morocco', 'EMRO', '801', '453789', '17', '7784');
INSERT INTO public.who_import VALUES (58478, '2021-01-14', 'MA', 'Morocco', 'EMRO', '1266', '455055', '26', '7810');
INSERT INTO public.who_import VALUES (58479, '2021-01-15', 'MA', 'Morocco', 'EMRO', '1279', '456334', '44', '7854');
INSERT INTO public.who_import VALUES (58480, '2021-01-16', 'MA', 'Morocco', 'EMRO', '1291', '457625', '34', '7888');
INSERT INTO public.who_import VALUES (58481, '2021-01-17', 'MA', 'Morocco', 'EMRO', '1240', '458865', '23', '7911');
INSERT INTO public.who_import VALUES (58482, '2021-01-18', 'MA', 'Morocco', 'EMRO', '806', '459671', '31', '7942');
INSERT INTO public.who_import VALUES (58483, '2021-01-19', 'MA', 'Morocco', 'EMRO', '473', '460144', '35', '7977');
INSERT INTO public.who_import VALUES (58484, '2021-01-20', 'MA', 'Morocco', 'EMRO', '1246', '461390', '34', '8011');
INSERT INTO public.who_import VALUES (58485, '2021-01-21', 'MA', 'Morocco', 'EMRO', '1152', '462542', '32', '8043');
INSERT INTO public.who_import VALUES (58486, '2021-01-22', 'MA', 'Morocco', 'EMRO', '1164', '463706', '33', '8076');
INSERT INTO public.who_import VALUES (58487, '2021-01-23', 'MA', 'Morocco', 'EMRO', '1138', '464844', '29', '8105');
INSERT INTO public.who_import VALUES (58488, '2021-01-24', 'MA', 'Morocco', 'EMRO', '925', '465769', '23', '8128');
INSERT INTO public.who_import VALUES (58489, '2021-01-25', 'MA', 'Morocco', 'EMRO', '520', '466289', '22', '8150');
INSERT INTO public.who_import VALUES (58490, '2021-01-26', 'MA', 'Morocco', 'EMRO', '337', '466626', '22', '8172');
INSERT INTO public.who_import VALUES (58491, '2021-01-27', 'MA', 'Morocco', 'EMRO', '867', '467493', '15', '8187');
INSERT INTO public.who_import VALUES (58492, '2021-01-28', 'MA', 'Morocco', 'EMRO', '890', '468383', '20', '8207');
INSERT INTO public.who_import VALUES (58493, '2021-01-29', 'MA', 'Morocco', 'EMRO', '756', '469139', '17', '8224');
INSERT INTO public.who_import VALUES (58494, '2021-01-30', 'MA', 'Morocco', 'EMRO', '851', '469990', '22', '8246');
INSERT INTO public.who_import VALUES (58495, '2021-01-31', 'MA', 'Morocco', 'EMRO', '701', '470691', '13', '8259');
INSERT INTO public.who_import VALUES (58496, '2021-02-01', 'MA', 'Morocco', 'EMRO', '466', '471157', '16', '8275');
INSERT INTO public.who_import VALUES (58497, '2021-02-02', 'MA', 'Morocco', 'EMRO', '281', '471438', '12', '8287');
INSERT INTO public.who_import VALUES (58498, '2021-02-03', 'MA', 'Morocco', 'EMRO', '835', '472273', '22', '8309');
INSERT INTO public.who_import VALUES (58499, '2021-02-04', 'MA', 'Morocco', 'EMRO', '774', '473047', '14', '8323');
INSERT INTO public.who_import VALUES (58500, '2021-02-05', 'MA', 'Morocco', 'EMRO', '620', '473667', '28', '8351');
INSERT INTO public.who_import VALUES (58501, '2021-02-06', 'MA', 'Morocco', 'EMRO', '712', '474379', '17', '8368');
INSERT INTO public.who_import VALUES (58502, '2021-02-07', 'MA', 'Morocco', 'EMRO', '587', '474966', '13', '8381');
INSERT INTO public.who_import VALUES (58503, '2021-02-08', 'MA', 'Morocco', 'EMRO', '389', '475355', '13', '8394');
INSERT INTO public.who_import VALUES (58504, '2021-02-09', 'MA', 'Morocco', 'EMRO', '234', '475589', '14', '8408');
INSERT INTO public.who_import VALUES (58505, '2021-02-10', 'MA', 'Morocco', 'EMRO', '536', '476125', '16', '8424');
INSERT INTO public.who_import VALUES (58506, '2021-02-11', 'MA', 'Morocco', 'EMRO', '564', '476689', '12', '8436');
INSERT INTO public.who_import VALUES (58507, '2021-02-12', 'MA', 'Morocco', 'EMRO', '471', '477160', '4', '8440');
INSERT INTO public.who_import VALUES (58508, '2021-02-13', 'MA', 'Morocco', 'EMRO', '496', '477656', '10', '8450');
INSERT INTO public.who_import VALUES (58509, '2021-02-14', 'MA', 'Morocco', 'EMRO', '479', '478135', '10', '8460');
INSERT INTO public.who_import VALUES (58510, '2021-02-15', 'MA', 'Morocco', 'EMRO', '339', '478474', '17', '8477');
INSERT INTO public.who_import VALUES (58511, '2021-02-16', 'MA', 'Morocco', 'EMRO', '121', '478595', '14', '8491');
INSERT INTO public.who_import VALUES (58512, '2021-02-17', 'MA', 'Morocco', 'EMRO', '476', '479071', '13', '8504');
INSERT INTO public.who_import VALUES (58513, '2021-02-18', 'MA', 'Morocco', 'EMRO', '508', '479579', '13', '8517');
INSERT INTO public.who_import VALUES (58514, '2021-02-19', 'MA', 'Morocco', 'EMRO', '477', '480056', '7', '8524');
INSERT INTO public.who_import VALUES (58515, '2021-02-20', 'MA', 'Morocco', 'EMRO', '448', '480504', '16', '8540');
INSERT INTO public.who_import VALUES (58516, '2020-01-03', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58517, '2020-01-04', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58518, '2020-01-05', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58519, '2020-01-06', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58520, '2020-01-07', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58521, '2020-01-08', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58522, '2020-01-09', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58523, '2020-01-10', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58524, '2020-01-11', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58525, '2020-01-12', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58526, '2020-01-13', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58527, '2020-01-14', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58528, '2020-01-15', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58529, '2020-01-16', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58530, '2020-01-17', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58531, '2020-01-18', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58532, '2020-01-19', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58533, '2020-01-20', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58534, '2020-01-21', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58535, '2020-01-22', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58536, '2020-01-23', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58537, '2020-01-24', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58538, '2020-01-25', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58539, '2020-01-26', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58540, '2020-01-27', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58541, '2020-01-28', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58542, '2020-01-29', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58543, '2020-01-30', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58544, '2020-01-31', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58545, '2020-02-01', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58546, '2020-02-02', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58547, '2020-02-03', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58548, '2020-02-04', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58549, '2020-02-05', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58550, '2020-02-06', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58551, '2020-02-07', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58552, '2020-02-08', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58553, '2020-02-09', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58554, '2020-02-10', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58555, '2020-02-11', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58556, '2020-02-12', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58557, '2020-02-13', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58558, '2020-02-14', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58559, '2020-02-15', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58560, '2020-02-16', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58561, '2020-02-17', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58562, '2020-02-18', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58563, '2020-02-19', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58564, '2020-02-20', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58565, '2020-02-21', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58566, '2020-02-22', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58567, '2020-02-23', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58568, '2020-02-24', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58569, '2020-02-25', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58570, '2020-02-26', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58571, '2020-02-27', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58572, '2020-02-28', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58573, '2020-02-29', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58574, '2020-03-01', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58575, '2020-03-02', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58576, '2020-03-03', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58577, '2020-03-04', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58578, '2020-03-05', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58579, '2020-03-06', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58580, '2020-03-07', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58581, '2020-03-08', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58582, '2020-03-09', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58583, '2020-03-10', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58584, '2020-03-11', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58585, '2020-03-12', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58586, '2020-03-13', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58587, '2020-03-14', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58588, '2020-03-15', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58589, '2020-03-16', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58590, '2020-03-17', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58591, '2020-03-18', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58592, '2020-03-19', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58593, '2020-03-20', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58594, '2020-03-21', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58595, '2020-03-22', 'MZ', 'Mozambique', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58596, '2020-03-23', 'MZ', 'Mozambique', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (58597, '2020-03-24', 'MZ', 'Mozambique', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (58598, '2020-03-25', 'MZ', 'Mozambique', 'AFRO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (58599, '2020-03-26', 'MZ', 'Mozambique', 'AFRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (58600, '2020-03-27', 'MZ', 'Mozambique', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (58601, '2020-03-28', 'MZ', 'Mozambique', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (58602, '2020-03-29', 'MZ', 'Mozambique', 'AFRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (58603, '2020-03-30', 'MZ', 'Mozambique', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (58604, '2020-03-31', 'MZ', 'Mozambique', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (58605, '2020-04-01', 'MZ', 'Mozambique', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (58606, '2020-04-02', 'MZ', 'Mozambique', 'AFRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (58607, '2020-04-03', 'MZ', 'Mozambique', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (58608, '2020-04-04', 'MZ', 'Mozambique', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (58609, '2020-04-05', 'MZ', 'Mozambique', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (58610, '2020-04-06', 'MZ', 'Mozambique', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (58611, '2020-04-07', 'MZ', 'Mozambique', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (58612, '2020-04-08', 'MZ', 'Mozambique', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (58613, '2020-04-09', 'MZ', 'Mozambique', 'AFRO', '7', '17', '0', '0');
INSERT INTO public.who_import VALUES (58614, '2020-04-10', 'MZ', 'Mozambique', 'AFRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (58615, '2020-04-11', 'MZ', 'Mozambique', 'AFRO', '3', '20', '0', '0');
INSERT INTO public.who_import VALUES (58616, '2020-04-12', 'MZ', 'Mozambique', 'AFRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (58617, '2020-04-13', 'MZ', 'Mozambique', 'AFRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (58618, '2020-04-14', 'MZ', 'Mozambique', 'AFRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (58619, '2020-04-15', 'MZ', 'Mozambique', 'AFRO', '7', '28', '0', '0');
INSERT INTO public.who_import VALUES (58620, '2020-04-16', 'MZ', 'Mozambique', 'AFRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (58621, '2020-04-17', 'MZ', 'Mozambique', 'AFRO', '1', '29', '0', '0');
INSERT INTO public.who_import VALUES (58622, '2020-04-18', 'MZ', 'Mozambique', 'AFRO', '2', '31', '0', '0');
INSERT INTO public.who_import VALUES (58623, '2020-04-19', 'MZ', 'Mozambique', 'AFRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (58624, '2020-04-20', 'MZ', 'Mozambique', 'AFRO', '4', '35', '0', '0');
INSERT INTO public.who_import VALUES (58625, '2020-04-21', 'MZ', 'Mozambique', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (58626, '2020-04-22', 'MZ', 'Mozambique', 'AFRO', '4', '39', '0', '0');
INSERT INTO public.who_import VALUES (58627, '2020-04-23', 'MZ', 'Mozambique', 'AFRO', '2', '41', '0', '0');
INSERT INTO public.who_import VALUES (58628, '2020-04-24', 'MZ', 'Mozambique', 'AFRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (58629, '2020-04-25', 'MZ', 'Mozambique', 'AFRO', '24', '65', '0', '0');
INSERT INTO public.who_import VALUES (58630, '2020-04-26', 'MZ', 'Mozambique', 'AFRO', '5', '70', '0', '0');
INSERT INTO public.who_import VALUES (58631, '2020-04-27', 'MZ', 'Mozambique', 'AFRO', '6', '76', '0', '0');
INSERT INTO public.who_import VALUES (58632, '2020-04-28', 'MZ', 'Mozambique', 'AFRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (58633, '2020-04-29', 'MZ', 'Mozambique', 'AFRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (58634, '2020-04-30', 'MZ', 'Mozambique', 'AFRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (58635, '2020-05-01', 'MZ', 'Mozambique', 'AFRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (58636, '2020-05-02', 'MZ', 'Mozambique', 'AFRO', '3', '79', '0', '0');
INSERT INTO public.who_import VALUES (58637, '2020-05-03', 'MZ', 'Mozambique', 'AFRO', '0', '79', '0', '0');
INSERT INTO public.who_import VALUES (58638, '2020-05-04', 'MZ', 'Mozambique', 'AFRO', '1', '80', '0', '0');
INSERT INTO public.who_import VALUES (58639, '2020-05-05', 'MZ', 'Mozambique', 'AFRO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (58640, '2020-05-06', 'MZ', 'Mozambique', 'AFRO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (58641, '2020-05-07', 'MZ', 'Mozambique', 'AFRO', '1', '81', '0', '0');
INSERT INTO public.who_import VALUES (58642, '2020-05-08', 'MZ', 'Mozambique', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (58643, '2020-05-09', 'MZ', 'Mozambique', 'AFRO', '1', '82', '0', '0');
INSERT INTO public.who_import VALUES (58644, '2020-05-10', 'MZ', 'Mozambique', 'AFRO', '5', '87', '0', '0');
INSERT INTO public.who_import VALUES (58645, '2020-05-11', 'MZ', 'Mozambique', 'AFRO', '4', '91', '0', '0');
INSERT INTO public.who_import VALUES (58646, '2020-05-12', 'MZ', 'Mozambique', 'AFRO', '12', '103', '0', '0');
INSERT INTO public.who_import VALUES (58647, '2020-05-13', 'MZ', 'Mozambique', 'AFRO', '1', '104', '0', '0');
INSERT INTO public.who_import VALUES (58648, '2020-05-14', 'MZ', 'Mozambique', 'AFRO', '3', '107', '0', '0');
INSERT INTO public.who_import VALUES (58649, '2020-05-15', 'MZ', 'Mozambique', 'AFRO', '8', '115', '0', '0');
INSERT INTO public.who_import VALUES (58650, '2020-05-16', 'MZ', 'Mozambique', 'AFRO', '4', '119', '0', '0');
INSERT INTO public.who_import VALUES (58651, '2020-05-17', 'MZ', 'Mozambique', 'AFRO', '10', '129', '0', '0');
INSERT INTO public.who_import VALUES (58652, '2020-05-18', 'MZ', 'Mozambique', 'AFRO', '8', '137', '0', '0');
INSERT INTO public.who_import VALUES (58653, '2020-05-19', 'MZ', 'Mozambique', 'AFRO', '8', '145', '0', '0');
INSERT INTO public.who_import VALUES (58654, '2020-05-20', 'MZ', 'Mozambique', 'AFRO', '1', '146', '0', '0');
INSERT INTO public.who_import VALUES (58655, '2020-05-21', 'MZ', 'Mozambique', 'AFRO', '10', '156', '0', '0');
INSERT INTO public.who_import VALUES (58656, '2020-05-22', 'MZ', 'Mozambique', 'AFRO', '6', '162', '0', '0');
INSERT INTO public.who_import VALUES (58657, '2020-05-23', 'MZ', 'Mozambique', 'AFRO', '2', '164', '0', '0');
INSERT INTO public.who_import VALUES (58658, '2020-05-24', 'MZ', 'Mozambique', 'AFRO', '4', '168', '0', '0');
INSERT INTO public.who_import VALUES (58659, '2020-05-25', 'MZ', 'Mozambique', 'AFRO', '26', '194', '0', '0');
INSERT INTO public.who_import VALUES (58660, '2020-05-26', 'MZ', 'Mozambique', 'AFRO', '15', '209', '1', '1');
INSERT INTO public.who_import VALUES (58661, '2020-05-27', 'MZ', 'Mozambique', 'AFRO', '4', '213', '0', '1');
INSERT INTO public.who_import VALUES (58662, '2020-05-28', 'MZ', 'Mozambique', 'AFRO', '14', '227', '0', '1');
INSERT INTO public.who_import VALUES (58663, '2020-05-29', 'MZ', 'Mozambique', 'AFRO', '6', '233', '1', '2');
INSERT INTO public.who_import VALUES (58664, '2020-05-30', 'MZ', 'Mozambique', 'AFRO', '1', '234', '0', '2');
INSERT INTO public.who_import VALUES (58665, '2020-05-31', 'MZ', 'Mozambique', 'AFRO', '10', '244', '0', '2');
INSERT INTO public.who_import VALUES (58666, '2020-06-01', 'MZ', 'Mozambique', 'AFRO', '10', '254', '0', '2');
INSERT INTO public.who_import VALUES (58667, '2020-06-02', 'MZ', 'Mozambique', 'AFRO', '0', '254', '0', '2');
INSERT INTO public.who_import VALUES (58668, '2020-06-03', 'MZ', 'Mozambique', 'AFRO', '53', '307', '0', '2');
INSERT INTO public.who_import VALUES (58669, '2020-06-04', 'MZ', 'Mozambique', 'AFRO', '9', '316', '0', '2');
INSERT INTO public.who_import VALUES (58670, '2020-06-05', 'MZ', 'Mozambique', 'AFRO', '36', '352', '0', '2');
INSERT INTO public.who_import VALUES (58671, '2020-06-06', 'MZ', 'Mozambique', 'AFRO', '0', '352', '0', '2');
INSERT INTO public.who_import VALUES (58672, '2020-06-07', 'MZ', 'Mozambique', 'AFRO', '57', '409', '0', '2');
INSERT INTO public.who_import VALUES (58673, '2020-06-08', 'MZ', 'Mozambique', 'AFRO', '15', '424', '0', '2');
INSERT INTO public.who_import VALUES (58674, '2020-06-09', 'MZ', 'Mozambique', 'AFRO', '9', '433', '0', '2');
INSERT INTO public.who_import VALUES (58675, '2020-06-10', 'MZ', 'Mozambique', 'AFRO', '20', '453', '0', '2');
INSERT INTO public.who_import VALUES (58676, '2020-06-11', 'MZ', 'Mozambique', 'AFRO', '19', '472', '0', '2');
INSERT INTO public.who_import VALUES (58677, '2020-06-12', 'MZ', 'Mozambique', 'AFRO', '17', '489', '0', '2');
INSERT INTO public.who_import VALUES (58678, '2020-06-13', 'MZ', 'Mozambique', 'AFRO', '20', '509', '0', '2');
INSERT INTO public.who_import VALUES (58679, '2020-06-14', 'MZ', 'Mozambique', 'AFRO', '44', '553', '0', '2');
INSERT INTO public.who_import VALUES (58680, '2020-06-15', 'MZ', 'Mozambique', 'AFRO', '30', '583', '0', '2');
INSERT INTO public.who_import VALUES (58681, '2020-06-16', 'MZ', 'Mozambique', 'AFRO', '26', '609', '1', '3');
INSERT INTO public.who_import VALUES (58682, '2020-06-17', 'MZ', 'Mozambique', 'AFRO', '29', '638', '1', '4');
INSERT INTO public.who_import VALUES (58683, '2020-06-18', 'MZ', 'Mozambique', 'AFRO', '13', '651', '0', '4');
INSERT INTO public.who_import VALUES (58684, '2020-06-19', 'MZ', 'Mozambique', 'AFRO', '11', '662', '0', '4');
INSERT INTO public.who_import VALUES (58685, '2020-06-20', 'MZ', 'Mozambique', 'AFRO', '6', '668', '0', '4');
INSERT INTO public.who_import VALUES (58686, '2020-06-21', 'MZ', 'Mozambique', 'AFRO', '20', '688', '0', '4');
INSERT INTO public.who_import VALUES (58687, '2020-06-22', 'MZ', 'Mozambique', 'AFRO', '45', '733', '1', '5');
INSERT INTO public.who_import VALUES (58688, '2020-06-23', 'MZ', 'Mozambique', 'AFRO', '4', '737', '0', '5');
INSERT INTO public.who_import VALUES (58689, '2020-06-24', 'MZ', 'Mozambique', 'AFRO', '20', '757', '0', '5');
INSERT INTO public.who_import VALUES (58690, '2020-06-25', 'MZ', 'Mozambique', 'AFRO', '5', '762', '0', '5');
INSERT INTO public.who_import VALUES (58691, '2020-06-26', 'MZ', 'Mozambique', 'AFRO', '26', '788', '0', '5');
INSERT INTO public.who_import VALUES (58692, '2020-06-27', 'MZ', 'Mozambique', 'AFRO', '0', '788', '0', '5');
INSERT INTO public.who_import VALUES (58693, '2020-06-28', 'MZ', 'Mozambique', 'AFRO', '51', '839', '0', '5');
INSERT INTO public.who_import VALUES (58694, '2020-06-29', 'MZ', 'Mozambique', 'AFRO', '20', '859', '0', '5');
INSERT INTO public.who_import VALUES (58695, '2020-06-30', 'MZ', 'Mozambique', 'AFRO', '24', '883', '0', '5');
INSERT INTO public.who_import VALUES (58696, '2020-07-01', 'MZ', 'Mozambique', 'AFRO', '6', '889', '1', '6');
INSERT INTO public.who_import VALUES (58697, '2020-07-02', 'MZ', 'Mozambique', 'AFRO', '14', '903', '0', '6');
INSERT INTO public.who_import VALUES (58698, '2020-07-03', 'MZ', 'Mozambique', 'AFRO', '15', '918', '0', '6');
INSERT INTO public.who_import VALUES (58699, '2020-07-04', 'MZ', 'Mozambique', 'AFRO', '21', '939', '0', '6');
INSERT INTO public.who_import VALUES (58700, '2020-07-05', 'MZ', 'Mozambique', 'AFRO', '30', '969', '1', '7');
INSERT INTO public.who_import VALUES (58701, '2020-07-06', 'MZ', 'Mozambique', 'AFRO', '18', '987', '1', '8');
INSERT INTO public.who_import VALUES (58702, '2020-07-07', 'MZ', 'Mozambique', 'AFRO', '25', '1012', '0', '8');
INSERT INTO public.who_import VALUES (58703, '2020-07-08', 'MZ', 'Mozambique', 'AFRO', '28', '1040', '0', '8');
INSERT INTO public.who_import VALUES (58704, '2020-07-09', 'MZ', 'Mozambique', 'AFRO', '31', '1071', '0', '8');
INSERT INTO public.who_import VALUES (58705, '2020-07-10', 'MZ', 'Mozambique', 'AFRO', '21', '1092', '1', '9');
INSERT INTO public.who_import VALUES (58706, '2020-07-11', 'MZ', 'Mozambique', 'AFRO', '19', '1111', '0', '9');
INSERT INTO public.who_import VALUES (58707, '2020-07-12', 'MZ', 'Mozambique', 'AFRO', '24', '1135', '0', '9');
INSERT INTO public.who_import VALUES (58708, '2020-07-13', 'MZ', 'Mozambique', 'AFRO', '22', '1157', '0', '9');
INSERT INTO public.who_import VALUES (58709, '2020-07-14', 'MZ', 'Mozambique', 'AFRO', '62', '1219', '0', '9');
INSERT INTO public.who_import VALUES (58710, '2020-07-15', 'MZ', 'Mozambique', 'AFRO', '49', '1268', '0', '9');
INSERT INTO public.who_import VALUES (58711, '2020-07-16', 'MZ', 'Mozambique', 'AFRO', '62', '1330', '0', '9');
INSERT INTO public.who_import VALUES (58712, '2020-07-17', 'MZ', 'Mozambique', 'AFRO', '53', '1383', '0', '9');
INSERT INTO public.who_import VALUES (58713, '2020-07-18', 'MZ', 'Mozambique', 'AFRO', '19', '1402', '0', '9');
INSERT INTO public.who_import VALUES (58714, '2020-07-19', 'MZ', 'Mozambique', 'AFRO', '33', '1435', '1', '10');
INSERT INTO public.who_import VALUES (58715, '2020-07-20', 'MZ', 'Mozambique', 'AFRO', '56', '1491', '0', '10');
INSERT INTO public.who_import VALUES (58716, '2020-07-21', 'MZ', 'Mozambique', 'AFRO', '16', '1507', '1', '11');
INSERT INTO public.who_import VALUES (58717, '2020-07-22', 'MZ', 'Mozambique', 'AFRO', '29', '1536', '0', '11');
INSERT INTO public.who_import VALUES (58718, '2020-07-23', 'MZ', 'Mozambique', 'AFRO', '21', '1557', '0', '11');
INSERT INTO public.who_import VALUES (58719, '2020-07-24', 'MZ', 'Mozambique', 'AFRO', '25', '1582', '0', '11');
INSERT INTO public.who_import VALUES (58720, '2020-07-25', 'MZ', 'Mozambique', 'AFRO', '8', '1590', '0', '11');
INSERT INTO public.who_import VALUES (58721, '2020-07-26', 'MZ', 'Mozambique', 'AFRO', '26', '1616', '0', '11');
INSERT INTO public.who_import VALUES (58722, '2020-07-27', 'MZ', 'Mozambique', 'AFRO', '53', '1669', '0', '11');
INSERT INTO public.who_import VALUES (58723, '2020-07-28', 'MZ', 'Mozambique', 'AFRO', '32', '1701', '0', '11');
INSERT INTO public.who_import VALUES (58724, '2020-07-29', 'MZ', 'Mozambique', 'AFRO', '19', '1720', '0', '11');
INSERT INTO public.who_import VALUES (58725, '2020-07-30', 'MZ', 'Mozambique', 'AFRO', '28', '1748', '0', '11');
INSERT INTO public.who_import VALUES (58726, '2020-07-31', 'MZ', 'Mozambique', 'AFRO', '60', '1808', '0', '11');
INSERT INTO public.who_import VALUES (58727, '2020-08-01', 'MZ', 'Mozambique', 'AFRO', '56', '1864', '0', '11');
INSERT INTO public.who_import VALUES (58728, '2020-08-02', 'MZ', 'Mozambique', 'AFRO', '43', '1907', '1', '12');
INSERT INTO public.who_import VALUES (58729, '2020-08-03', 'MZ', 'Mozambique', 'AFRO', '39', '1946', '1', '13');
INSERT INTO public.who_import VALUES (58730, '2020-08-04', 'MZ', 'Mozambique', 'AFRO', '27', '1973', '1', '14');
INSERT INTO public.who_import VALUES (58731, '2020-08-05', 'MZ', 'Mozambique', 'AFRO', '56', '2029', '1', '15');
INSERT INTO public.who_import VALUES (58732, '2020-08-06', 'MZ', 'Mozambique', 'AFRO', '50', '2079', '0', '15');
INSERT INTO public.who_import VALUES (58733, '2020-08-07', 'MZ', 'Mozambique', 'AFRO', '41', '2120', '0', '15');
INSERT INTO public.who_import VALUES (58734, '2020-08-08', 'MZ', 'Mozambique', 'AFRO', '93', '2213', '0', '15');
INSERT INTO public.who_import VALUES (58735, '2020-08-09', 'MZ', 'Mozambique', 'AFRO', '28', '2241', '1', '16');
INSERT INTO public.who_import VALUES (58736, '2020-08-10', 'MZ', 'Mozambique', 'AFRO', '28', '2269', '0', '16');
INSERT INTO public.who_import VALUES (58737, '2020-08-11', 'MZ', 'Mozambique', 'AFRO', '142', '2411', '0', '16');
INSERT INTO public.who_import VALUES (58738, '2020-08-12', 'MZ', 'Mozambique', 'AFRO', '70', '2481', '1', '17');
INSERT INTO public.who_import VALUES (58739, '2020-08-13', 'MZ', 'Mozambique', 'AFRO', '78', '2559', '2', '19');
INSERT INTO public.who_import VALUES (58740, '2020-08-14', 'MZ', 'Mozambique', 'AFRO', '79', '2638', '0', '19');
INSERT INTO public.who_import VALUES (58741, '2020-08-15', 'MZ', 'Mozambique', 'AFRO', '70', '2708', '0', '19');
INSERT INTO public.who_import VALUES (58742, '2020-08-16', 'MZ', 'Mozambique', 'AFRO', '83', '2791', '0', '19');
INSERT INTO public.who_import VALUES (58743, '2020-08-17', 'MZ', 'Mozambique', 'AFRO', '64', '2855', '0', '19');
INSERT INTO public.who_import VALUES (58744, '2020-08-18', 'MZ', 'Mozambique', 'AFRO', '59', '2914', '0', '19');
INSERT INTO public.who_import VALUES (58745, '2020-08-19', 'MZ', 'Mozambique', 'AFRO', '77', '2991', '0', '19');
INSERT INTO public.who_import VALUES (58746, '2020-08-20', 'MZ', 'Mozambique', 'AFRO', '54', '3045', '0', '19');
INSERT INTO public.who_import VALUES (58747, '2020-08-21', 'MZ', 'Mozambique', 'AFRO', '70', '3115', '1', '20');
INSERT INTO public.who_import VALUES (58748, '2020-08-22', 'MZ', 'Mozambique', 'AFRO', '80', '3195', '0', '20');
INSERT INTO public.who_import VALUES (58749, '2020-08-23', 'MZ', 'Mozambique', 'AFRO', '109', '3304', '0', '20');
INSERT INTO public.who_import VALUES (58750, '2020-08-24', 'MZ', 'Mozambique', 'AFRO', '91', '3395', '0', '20');
INSERT INTO public.who_import VALUES (58751, '2020-08-25', 'MZ', 'Mozambique', 'AFRO', '45', '3440', '1', '21');
INSERT INTO public.who_import VALUES (58752, '2020-08-26', 'MZ', 'Mozambique', 'AFRO', '68', '3508', '0', '21');
INSERT INTO public.who_import VALUES (58753, '2020-08-27', 'MZ', 'Mozambique', 'AFRO', '82', '3590', '0', '21');
INSERT INTO public.who_import VALUES (58754, '2020-08-28', 'MZ', 'Mozambique', 'AFRO', '61', '3651', '0', '21');
INSERT INTO public.who_import VALUES (58755, '2020-08-29', 'MZ', 'Mozambique', 'AFRO', '46', '3697', '0', '21');
INSERT INTO public.who_import VALUES (58756, '2020-08-30', 'MZ', 'Mozambique', 'AFRO', '63', '3760', '1', '22');
INSERT INTO public.who_import VALUES (58757, '2020-08-31', 'MZ', 'Mozambique', 'AFRO', '61', '3821', '1', '23');
INSERT INTO public.who_import VALUES (58758, '2020-09-01', 'MZ', 'Mozambique', 'AFRO', '95', '3916', '0', '23');
INSERT INTO public.who_import VALUES (58759, '2020-09-02', 'MZ', 'Mozambique', 'AFRO', '123', '4039', '0', '23');
INSERT INTO public.who_import VALUES (58760, '2020-09-03', 'MZ', 'Mozambique', 'AFRO', '78', '4117', '2', '25');
INSERT INTO public.who_import VALUES (58761, '2020-09-04', 'MZ', 'Mozambique', 'AFRO', '90', '4207', '1', '26');
INSERT INTO public.who_import VALUES (58762, '2020-09-05', 'MZ', 'Mozambique', 'AFRO', '58', '4265', '0', '26');
INSERT INTO public.who_import VALUES (58763, '2020-09-06', 'MZ', 'Mozambique', 'AFRO', '76', '4341', '0', '26');
INSERT INTO public.who_import VALUES (58764, '2020-09-07', 'MZ', 'Mozambique', 'AFRO', '103', '4444', '1', '27');
INSERT INTO public.who_import VALUES (58765, '2020-09-08', 'MZ', 'Mozambique', 'AFRO', '113', '4557', '0', '27');
INSERT INTO public.who_import VALUES (58766, '2020-09-09', 'MZ', 'Mozambique', 'AFRO', '90', '4647', '1', '28');
INSERT INTO public.who_import VALUES (58767, '2020-09-10', 'MZ', 'Mozambique', 'AFRO', '117', '4764', '0', '28');
INSERT INTO public.who_import VALUES (58768, '2020-09-11', 'MZ', 'Mozambique', 'AFRO', '68', '4832', '3', '31');
INSERT INTO public.who_import VALUES (58769, '2020-09-12', 'MZ', 'Mozambique', 'AFRO', '86', '4918', '0', '31');
INSERT INTO public.who_import VALUES (58770, '2020-09-13', 'MZ', 'Mozambique', 'AFRO', '122', '5040', '4', '35');
INSERT INTO public.who_import VALUES (58771, '2020-09-14', 'MZ', 'Mozambique', 'AFRO', '229', '5269', '0', '35');
INSERT INTO public.who_import VALUES (58772, '2020-09-15', 'MZ', 'Mozambique', 'AFRO', '213', '5482', '0', '35');
INSERT INTO public.who_import VALUES (58773, '2020-09-16', 'MZ', 'Mozambique', 'AFRO', '231', '5713', '2', '37');
INSERT INTO public.who_import VALUES (58774, '2020-09-17', 'MZ', 'Mozambique', 'AFRO', '281', '5994', '2', '39');
INSERT INTO public.who_import VALUES (58775, '2020-09-18', 'MZ', 'Mozambique', 'AFRO', '167', '6161', '0', '39');
INSERT INTO public.who_import VALUES (58776, '2020-09-19', 'MZ', 'Mozambique', 'AFRO', '103', '6264', '1', '40');
INSERT INTO public.who_import VALUES (58777, '2020-09-20', 'MZ', 'Mozambique', 'AFRO', '273', '6537', '1', '41');
INSERT INTO public.who_import VALUES (58778, '2020-09-21', 'MZ', 'Mozambique', 'AFRO', '234', '6771', '2', '43');
INSERT INTO public.who_import VALUES (58779, '2020-09-22', 'MZ', 'Mozambique', 'AFRO', '141', '6912', '1', '44');
INSERT INTO public.who_import VALUES (58780, '2020-09-23', 'MZ', 'Mozambique', 'AFRO', '202', '7114', '1', '45');
INSERT INTO public.who_import VALUES (58781, '2020-09-24', 'MZ', 'Mozambique', 'AFRO', '148', '7262', '4', '49');
INSERT INTO public.who_import VALUES (58782, '2020-09-25', 'MZ', 'Mozambique', 'AFRO', '137', '7399', '2', '51');
INSERT INTO public.who_import VALUES (58783, '2020-09-26', 'MZ', 'Mozambique', 'AFRO', '190', '7589', '2', '53');
INSERT INTO public.who_import VALUES (58784, '2020-09-27', 'MZ', 'Mozambique', 'AFRO', '168', '7757', '1', '54');
INSERT INTO public.who_import VALUES (58785, '2020-09-28', 'MZ', 'Mozambique', 'AFRO', '226', '7983', '4', '58');
INSERT INTO public.who_import VALUES (58786, '2020-09-29', 'MZ', 'Mozambique', 'AFRO', '305', '8288', '1', '59');
INSERT INTO public.who_import VALUES (58787, '2020-09-30', 'MZ', 'Mozambique', 'AFRO', '268', '8556', '0', '59');
INSERT INTO public.who_import VALUES (58788, '2020-10-01', 'MZ', 'Mozambique', 'AFRO', '172', '8728', '2', '61');
INSERT INTO public.who_import VALUES (58789, '2020-10-02', 'MZ', 'Mozambique', 'AFRO', '160', '8888', '1', '62');
INSERT INTO public.who_import VALUES (58790, '2020-10-03', 'MZ', 'Mozambique', 'AFRO', '91', '8979', '2', '64');
INSERT INTO public.who_import VALUES (58791, '2020-10-04', 'MZ', 'Mozambique', 'AFRO', '70', '9049', '0', '64');
INSERT INTO public.who_import VALUES (58792, '2020-10-05', 'MZ', 'Mozambique', 'AFRO', '147', '9196', '2', '66');
INSERT INTO public.who_import VALUES (58793, '2020-10-06', 'MZ', 'Mozambique', 'AFRO', '0', '9196', '0', '66');
INSERT INTO public.who_import VALUES (58794, '2020-10-07', 'MZ', 'Mozambique', 'AFRO', '0', '9196', '0', '66');
INSERT INTO public.who_import VALUES (58795, '2020-10-08', 'MZ', 'Mozambique', 'AFRO', '298', '9494', '2', '68');
INSERT INTO public.who_import VALUES (58796, '2020-10-09', 'MZ', 'Mozambique', 'AFRO', '145', '9639', '0', '68');
INSERT INTO public.who_import VALUES (58797, '2020-10-10', 'MZ', 'Mozambique', 'AFRO', '103', '9742', '1', '69');
INSERT INTO public.who_import VALUES (58798, '2020-10-11', 'MZ', 'Mozambique', 'AFRO', '102', '9844', '1', '70');
INSERT INTO public.who_import VALUES (58799, '2020-10-12', 'MZ', 'Mozambique', 'AFRO', '157', '10001', '1', '71');
INSERT INTO public.who_import VALUES (58800, '2020-10-13', 'MZ', 'Mozambique', 'AFRO', '87', '10088', '1', '72');
INSERT INTO public.who_import VALUES (58801, '2020-10-14', 'MZ', 'Mozambique', 'AFRO', '170', '10258', '1', '73');
INSERT INTO public.who_import VALUES (58802, '2020-10-15', 'MZ', 'Mozambique', 'AFRO', '134', '10392', '0', '73');
INSERT INTO public.who_import VALUES (58803, '2020-10-16', 'MZ', 'Mozambique', 'AFRO', '145', '10537', '0', '73');
INSERT INTO public.who_import VALUES (58804, '2020-10-17', 'MZ', 'Mozambique', 'AFRO', '75', '10612', '0', '73');
INSERT INTO public.who_import VALUES (58805, '2020-10-18', 'MZ', 'Mozambique', 'AFRO', '95', '10707', '1', '74');
INSERT INTO public.who_import VALUES (58806, '2020-10-19', 'MZ', 'Mozambique', 'AFRO', '159', '10866', '1', '75');
INSERT INTO public.who_import VALUES (59443, '2020-04-09', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (58807, '2020-10-20', 'MZ', 'Mozambique', 'AFRO', '214', '11080', '0', '75');
INSERT INTO public.who_import VALUES (58808, '2020-10-21', 'MZ', 'Mozambique', 'AFRO', '110', '11190', '3', '78');
INSERT INTO public.who_import VALUES (58809, '2020-10-22', 'MZ', 'Mozambique', 'AFRO', '141', '11331', '1', '79');
INSERT INTO public.who_import VALUES (58810, '2020-10-23', 'MZ', 'Mozambique', 'AFRO', '228', '11559', '2', '81');
INSERT INTO public.who_import VALUES (58811, '2020-10-24', 'MZ', 'Mozambique', 'AFRO', '189', '11748', '1', '82');
INSERT INTO public.who_import VALUES (58812, '2020-10-25', 'MZ', 'Mozambique', 'AFRO', '147', '11895', '3', '85');
INSERT INTO public.who_import VALUES (58813, '2020-10-26', 'MZ', 'Mozambique', 'AFRO', '91', '11986', '1', '86');
INSERT INTO public.who_import VALUES (58814, '2020-10-27', 'MZ', 'Mozambique', 'AFRO', '175', '12161', '2', '88');
INSERT INTO public.who_import VALUES (58815, '2020-10-28', 'MZ', 'Mozambique', 'AFRO', '112', '12273', '1', '89');
INSERT INTO public.who_import VALUES (58816, '2020-10-29', 'MZ', 'Mozambique', 'AFRO', '142', '12415', '2', '91');
INSERT INTO public.who_import VALUES (58817, '2020-10-30', 'MZ', 'Mozambique', 'AFRO', '110', '12525', '0', '91');
INSERT INTO public.who_import VALUES (58818, '2020-10-31', 'MZ', 'Mozambique', 'AFRO', '252', '12777', '0', '91');
INSERT INTO public.who_import VALUES (58819, '2020-11-01', 'MZ', 'Mozambique', 'AFRO', '92', '12869', '1', '92');
INSERT INTO public.who_import VALUES (58820, '2020-11-02', 'MZ', 'Mozambique', 'AFRO', '119', '12988', '1', '93');
INSERT INTO public.who_import VALUES (58821, '2020-11-03', 'MZ', 'Mozambique', 'AFRO', '142', '13130', '1', '94');
INSERT INTO public.who_import VALUES (58822, '2020-11-04', 'MZ', 'Mozambique', 'AFRO', '72', '13202', '1', '95');
INSERT INTO public.who_import VALUES (58823, '2020-11-05', 'MZ', 'Mozambique', 'AFRO', '81', '13283', '0', '95');
INSERT INTO public.who_import VALUES (58824, '2020-11-06', 'MZ', 'Mozambique', 'AFRO', '108', '13391', '2', '97');
INSERT INTO public.who_import VALUES (58825, '2020-11-07', 'MZ', 'Mozambique', 'AFRO', '94', '13485', '2', '99');
INSERT INTO public.who_import VALUES (58826, '2020-11-08', 'MZ', 'Mozambique', 'AFRO', '92', '13577', '0', '99');
INSERT INTO public.who_import VALUES (58827, '2020-11-09', 'MZ', 'Mozambique', 'AFRO', '191', '13768', '0', '99');
INSERT INTO public.who_import VALUES (58828, '2020-11-10', 'MZ', 'Mozambique', 'AFRO', '55', '13823', '0', '99');
INSERT INTO public.who_import VALUES (58829, '2020-11-11', 'MZ', 'Mozambique', 'AFRO', '69', '13892', '0', '99');
INSERT INTO public.who_import VALUES (58830, '2020-11-12', 'MZ', 'Mozambique', 'AFRO', '99', '13991', '5', '104');
INSERT INTO public.who_import VALUES (58831, '2020-11-13', 'MZ', 'Mozambique', 'AFRO', '103', '14094', '0', '104');
INSERT INTO public.who_import VALUES (58832, '2020-11-14', 'MZ', 'Mozambique', 'AFRO', '133', '14227', '6', '110');
INSERT INTO public.who_import VALUES (58833, '2020-11-15', 'MZ', 'Mozambique', 'AFRO', '113', '14340', '0', '110');
INSERT INTO public.who_import VALUES (58834, '2020-11-16', 'MZ', 'Mozambique', 'AFRO', '108', '14448', '3', '113');
INSERT INTO public.who_import VALUES (58835, '2020-11-17', 'MZ', 'Mozambique', 'AFRO', '66', '14514', '3', '116');
INSERT INTO public.who_import VALUES (58836, '2020-11-18', 'MZ', 'Mozambique', 'AFRO', '52', '14566', '2', '118');
INSERT INTO public.who_import VALUES (58837, '2020-11-19', 'MZ', 'Mozambique', 'AFRO', '63', '14629', '1', '119');
INSERT INTO public.who_import VALUES (58838, '2020-11-20', 'MZ', 'Mozambique', 'AFRO', '94', '14723', '1', '120');
INSERT INTO public.who_import VALUES (58839, '2020-11-21', 'MZ', 'Mozambique', 'AFRO', '154', '14877', '1', '121');
INSERT INTO public.who_import VALUES (58840, '2020-11-22', 'MZ', 'Mozambique', 'AFRO', '104', '14981', '2', '123');
INSERT INTO public.who_import VALUES (58841, '2020-11-23', 'MZ', 'Mozambique', 'AFRO', '56', '15037', '1', '124');
INSERT INTO public.who_import VALUES (58842, '2020-11-24', 'MZ', 'Mozambique', 'AFRO', '72', '15109', '2', '126');
INSERT INTO public.who_import VALUES (58843, '2020-11-25', 'MZ', 'Mozambique', 'AFRO', '122', '15231', '1', '127');
INSERT INTO public.who_import VALUES (58844, '2020-11-26', 'MZ', 'Mozambique', 'AFRO', '71', '15302', '1', '128');
INSERT INTO public.who_import VALUES (58845, '2020-11-27', 'MZ', 'Mozambique', 'AFRO', '165', '15467', '0', '128');
INSERT INTO public.who_import VALUES (58846, '2020-11-28', 'MZ', 'Mozambique', 'AFRO', '39', '15506', '0', '128');
INSERT INTO public.who_import VALUES (58847, '2020-11-29', 'MZ', 'Mozambique', 'AFRO', '80', '15586', '1', '129');
INSERT INTO public.who_import VALUES (58848, '2020-11-30', 'MZ', 'Mozambique', 'AFRO', '27', '15613', '1', '130');
INSERT INTO public.who_import VALUES (58849, '2020-12-01', 'MZ', 'Mozambique', 'AFRO', '88', '15701', '1', '131');
INSERT INTO public.who_import VALUES (58850, '2020-12-02', 'MZ', 'Mozambique', 'AFRO', '69', '15770', '0', '131');
INSERT INTO public.who_import VALUES (58851, '2020-12-03', 'MZ', 'Mozambique', 'AFRO', '96', '15866', '1', '132');
INSERT INTO public.who_import VALUES (58852, '2020-12-04', 'MZ', 'Mozambique', 'AFRO', '52', '15918', '0', '132');
INSERT INTO public.who_import VALUES (58853, '2020-12-05', 'MZ', 'Mozambique', 'AFRO', '120', '16038', '1', '133');
INSERT INTO public.who_import VALUES (58854, '2020-12-06', 'MZ', 'Mozambique', 'AFRO', '95', '16133', '0', '133');
INSERT INTO public.who_import VALUES (58855, '2020-12-07', 'MZ', 'Mozambique', 'AFRO', '111', '16244', '0', '133');
INSERT INTO public.who_import VALUES (58856, '2020-12-08', 'MZ', 'Mozambique', 'AFRO', '82', '16326', '3', '136');
INSERT INTO public.who_import VALUES (58857, '2020-12-09', 'MZ', 'Mozambique', 'AFRO', '47', '16373', '0', '136');
INSERT INTO public.who_import VALUES (58858, '2020-12-10', 'MZ', 'Mozambique', 'AFRO', '67', '16440', '2', '138');
INSERT INTO public.who_import VALUES (58859, '2020-12-11', 'MZ', 'Mozambique', 'AFRO', '81', '16521', '1', '139');
INSERT INTO public.who_import VALUES (58860, '2020-12-12', 'MZ', 'Mozambique', 'AFRO', '159', '16680', '0', '139');
INSERT INTO public.who_import VALUES (58861, '2020-12-13', 'MZ', 'Mozambique', 'AFRO', '132', '16812', '1', '140');
INSERT INTO public.who_import VALUES (58862, '2020-12-14', 'MZ', 'Mozambique', 'AFRO', '142', '16954', '2', '142');
INSERT INTO public.who_import VALUES (58863, '2020-12-15', 'MZ', 'Mozambique', 'AFRO', '48', '17002', '1', '143');
INSERT INTO public.who_import VALUES (58864, '2020-12-16', 'MZ', 'Mozambique', 'AFRO', '40', '17042', '1', '144');
INSERT INTO public.who_import VALUES (58865, '2020-12-17', 'MZ', 'Mozambique', 'AFRO', '101', '17143', '1', '145');
INSERT INTO public.who_import VALUES (58866, '2020-12-18', 'MZ', 'Mozambique', 'AFRO', '113', '17256', '0', '145');
INSERT INTO public.who_import VALUES (58867, '2020-12-19', 'MZ', 'Mozambique', 'AFRO', '0', '17256', '0', '145');
INSERT INTO public.who_import VALUES (58868, '2020-12-20', 'MZ', 'Mozambique', 'AFRO', '221', '17477', '2', '147');
INSERT INTO public.who_import VALUES (58869, '2020-12-21', 'MZ', 'Mozambique', 'AFRO', '91', '17568', '1', '148');
INSERT INTO public.who_import VALUES (58870, '2020-12-22', 'MZ', 'Mozambique', 'AFRO', '127', '17695', '1', '149');
INSERT INTO public.who_import VALUES (58871, '2020-12-23', 'MZ', 'Mozambique', 'AFRO', '72', '17767', '1', '150');
INSERT INTO public.who_import VALUES (58872, '2020-12-24', 'MZ', 'Mozambique', 'AFRO', '189', '17956', '3', '153');
INSERT INTO public.who_import VALUES (58873, '2020-12-25', 'MZ', 'Mozambique', 'AFRO', '75', '18031', '3', '156');
INSERT INTO public.who_import VALUES (58874, '2020-12-26', 'MZ', 'Mozambique', 'AFRO', '77', '18108', '0', '156');
INSERT INTO public.who_import VALUES (58875, '2020-12-27', 'MZ', 'Mozambique', 'AFRO', '54', '18162', '3', '159');
INSERT INTO public.who_import VALUES (58876, '2020-12-28', 'MZ', 'Mozambique', 'AFRO', '103', '18265', '2', '161');
INSERT INTO public.who_import VALUES (58877, '2020-12-29', 'MZ', 'Mozambique', 'AFRO', '0', '18265', '0', '161');
INSERT INTO public.who_import VALUES (58878, '2020-12-30', 'MZ', 'Mozambique', 'AFRO', '45', '18310', '1', '162');
INSERT INTO public.who_import VALUES (58879, '2020-12-31', 'MZ', 'Mozambique', 'AFRO', '63', '18373', '1', '163');
INSERT INTO public.who_import VALUES (58880, '2021-01-01', 'MZ', 'Mozambique', 'AFRO', '269', '18642', '3', '166');
INSERT INTO public.who_import VALUES (58881, '2021-01-02', 'MZ', 'Mozambique', 'AFRO', '0', '18642', '0', '166');
INSERT INTO public.who_import VALUES (58882, '2021-01-03', 'MZ', 'Mozambique', 'AFRO', '326', '18968', '2', '168');
INSERT INTO public.who_import VALUES (58883, '2021-01-04', 'MZ', 'Mozambique', 'AFRO', '341', '19309', '1', '169');
INSERT INTO public.who_import VALUES (58884, '2021-01-05', 'MZ', 'Mozambique', 'AFRO', '154', '19463', '2', '171');
INSERT INTO public.who_import VALUES (58885, '2021-01-06', 'MZ', 'Mozambique', 'AFRO', '0', '19463', '0', '171');
INSERT INTO public.who_import VALUES (58886, '2021-01-07', 'MZ', 'Mozambique', 'AFRO', '204', '19667', '1', '172');
INSERT INTO public.who_import VALUES (58887, '2021-01-08', 'MZ', 'Mozambique', 'AFRO', '294', '19961', '4', '176');
INSERT INTO public.who_import VALUES (58888, '2021-01-09', 'MZ', 'Mozambique', 'AFRO', '521', '20482', '5', '181');
INSERT INTO public.who_import VALUES (58889, '2021-01-10', 'MZ', 'Mozambique', 'AFRO', '879', '21361', '6', '187');
INSERT INTO public.who_import VALUES (58890, '2021-01-11', 'MZ', 'Mozambique', 'AFRO', '578', '21939', '5', '192');
INSERT INTO public.who_import VALUES (58891, '2021-01-12', 'MZ', 'Mozambique', 'AFRO', '395', '22334', '5', '197');
INSERT INTO public.who_import VALUES (58892, '2021-01-13', 'MZ', 'Mozambique', 'AFRO', '662', '22996', '4', '201');
INSERT INTO public.who_import VALUES (58893, '2021-01-14', 'MZ', 'Mozambique', 'AFRO', '730', '23726', '4', '205');
INSERT INTO public.who_import VALUES (58894, '2021-01-15', 'MZ', 'Mozambique', 'AFRO', '543', '24269', '6', '211');
INSERT INTO public.who_import VALUES (58895, '2021-01-16', 'MZ', 'Mozambique', 'AFRO', '0', '24269', '0', '211');
INSERT INTO public.who_import VALUES (58896, '2021-01-17', 'MZ', 'Mozambique', 'AFRO', '1593', '25862', '23', '234');
INSERT INTO public.who_import VALUES (58897, '2021-01-18', 'MZ', 'Mozambique', 'AFRO', '689', '26551', '7', '241');
INSERT INTO public.who_import VALUES (58898, '2021-01-19', 'MZ', 'Mozambique', 'AFRO', '895', '27446', '8', '249');
INSERT INTO public.who_import VALUES (58899, '2021-01-20', 'MZ', 'Mozambique', 'AFRO', '824', '28270', '4', '253');
INSERT INTO public.who_import VALUES (58900, '2021-01-21', 'MZ', 'Mozambique', 'AFRO', '1126', '29396', '18', '271');
INSERT INTO public.who_import VALUES (58901, '2021-01-22', 'MZ', 'Mozambique', 'AFRO', '829', '30225', '12', '283');
INSERT INTO public.who_import VALUES (58902, '2021-01-23', 'MZ', 'Mozambique', 'AFRO', '623', '30848', '7', '290');
INSERT INTO public.who_import VALUES (58903, '2021-01-24', 'MZ', 'Mozambique', 'AFRO', '780', '31628', '7', '297');
INSERT INTO public.who_import VALUES (58904, '2021-01-25', 'MZ', 'Mozambique', 'AFRO', '790', '32418', '8', '305');
INSERT INTO public.who_import VALUES (58905, '2021-01-26', 'MZ', 'Mozambique', 'AFRO', '363', '32781', '14', '319');
INSERT INTO public.who_import VALUES (58906, '2021-01-27', 'MZ', 'Mozambique', 'AFRO', '1274', '34055', '10', '329');
INSERT INTO public.who_import VALUES (58907, '2021-01-28', 'MZ', 'Mozambique', 'AFRO', '871', '34926', '7', '336');
INSERT INTO public.who_import VALUES (58908, '2021-01-29', 'MZ', 'Mozambique', 'AFRO', '907', '35833', '11', '347');
INSERT INTO public.who_import VALUES (58909, '2021-01-30', 'MZ', 'Mozambique', 'AFRO', '1275', '37108', '9', '356');
INSERT INTO public.who_import VALUES (58910, '2021-01-31', 'MZ', 'Mozambique', 'AFRO', '597', '37705', '7', '363');
INSERT INTO public.who_import VALUES (58911, '2021-02-01', 'MZ', 'Mozambique', 'AFRO', '949', '38654', '4', '367');
INSERT INTO public.who_import VALUES (58912, '2021-02-02', 'MZ', 'Mozambique', 'AFRO', '806', '39460', '19', '386');
INSERT INTO public.who_import VALUES (58913, '2021-02-03', 'MZ', 'Mozambique', 'AFRO', '800', '40260', '17', '403');
INSERT INTO public.who_import VALUES (58914, '2021-02-04', 'MZ', 'Mozambique', 'AFRO', '1173', '41433', '12', '415');
INSERT INTO public.who_import VALUES (58915, '2021-02-05', 'MZ', 'Mozambique', 'AFRO', '1055', '42488', '12', '427');
INSERT INTO public.who_import VALUES (58916, '2021-02-06', 'MZ', 'Mozambique', 'AFRO', '696', '43184', '9', '436');
INSERT INTO public.who_import VALUES (58917, '2021-02-07', 'MZ', 'Mozambique', 'AFRO', '928', '44112', '15', '451');
INSERT INTO public.who_import VALUES (58918, '2021-02-08', 'MZ', 'Mozambique', 'AFRO', '488', '44600', '9', '460');
INSERT INTO public.who_import VALUES (58919, '2021-02-09', 'MZ', 'Mozambique', 'AFRO', '312', '44912', '5', '465');
INSERT INTO public.who_import VALUES (58920, '2021-02-10', 'MZ', 'Mozambique', 'AFRO', '873', '45785', '15', '480');
INSERT INTO public.who_import VALUES (58921, '2021-02-11', 'MZ', 'Mozambique', 'AFRO', '951', '46736', '6', '486');
INSERT INTO public.who_import VALUES (58922, '2021-02-12', 'MZ', 'Mozambique', 'AFRO', '1054', '47790', '15', '501');
INSERT INTO public.who_import VALUES (58923, '2021-02-13', 'MZ', 'Mozambique', 'AFRO', '0', '47790', '0', '501');
INSERT INTO public.who_import VALUES (58924, '2021-02-14', 'MZ', 'Mozambique', 'AFRO', '798', '48588', '13', '514');
INSERT INTO public.who_import VALUES (58925, '2021-02-15', 'MZ', 'Mozambique', 'AFRO', '1677', '50265', '21', '535');
INSERT INTO public.who_import VALUES (58926, '2021-02-16', 'MZ', 'Mozambique', 'AFRO', '426', '50691', '12', '547');
INSERT INTO public.who_import VALUES (58927, '2021-02-17', 'MZ', 'Mozambique', 'AFRO', '1109', '51800', '4', '551');
INSERT INTO public.who_import VALUES (58928, '2021-02-18', 'MZ', 'Mozambique', 'AFRO', '829', '52629', '10', '561');
INSERT INTO public.who_import VALUES (58929, '2021-02-19', 'MZ', 'Mozambique', 'AFRO', '898', '53527', '10', '571');
INSERT INTO public.who_import VALUES (58930, '2021-02-20', 'MZ', 'Mozambique', 'AFRO', '677', '54204', '12', '583');
INSERT INTO public.who_import VALUES (58931, '2020-01-03', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58932, '2020-01-04', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58933, '2020-01-05', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58934, '2020-01-06', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58935, '2020-01-07', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58936, '2020-01-08', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58937, '2020-01-09', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58938, '2020-01-10', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58939, '2020-01-11', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58940, '2020-01-12', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58941, '2020-01-13', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58942, '2020-01-14', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58943, '2020-01-15', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58944, '2020-01-16', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58945, '2020-01-17', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58946, '2020-01-18', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58947, '2020-01-19', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58948, '2020-01-20', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58949, '2020-01-21', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58950, '2020-01-22', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58951, '2020-01-23', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58952, '2020-01-24', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58953, '2020-01-25', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58954, '2020-01-26', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58955, '2020-01-27', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58956, '2020-01-28', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58957, '2020-01-29', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58958, '2020-01-30', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58959, '2020-01-31', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58960, '2020-02-01', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58961, '2020-02-02', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58962, '2020-02-03', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58963, '2020-02-04', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58964, '2020-02-05', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58965, '2020-02-06', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58966, '2020-02-07', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58967, '2020-02-08', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58968, '2020-02-09', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58969, '2020-02-10', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58970, '2020-02-11', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58971, '2020-02-12', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58972, '2020-02-13', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58973, '2020-02-14', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58974, '2020-02-15', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58975, '2020-02-16', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58976, '2020-02-17', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58977, '2020-02-18', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58978, '2020-02-19', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58979, '2020-02-20', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58980, '2020-02-21', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58981, '2020-02-22', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58982, '2020-02-23', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58983, '2020-02-24', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58984, '2020-02-25', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58985, '2020-02-26', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58986, '2020-02-27', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58987, '2020-02-28', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58988, '2020-02-29', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58989, '2020-03-01', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58990, '2020-03-02', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58991, '2020-03-03', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58992, '2020-03-04', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58993, '2020-03-05', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58994, '2020-03-06', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58995, '2020-03-07', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58996, '2020-03-08', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58997, '2020-03-09', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58998, '2020-03-10', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (58999, '2020-03-11', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59000, '2020-03-12', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59001, '2020-03-13', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59002, '2020-03-14', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59003, '2020-03-15', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59004, '2020-03-16', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59005, '2020-03-17', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59006, '2020-03-18', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59007, '2020-03-19', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59008, '2020-03-20', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59009, '2020-03-21', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59010, '2020-03-22', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59011, '2020-03-23', 'MM', 'Myanmar', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59012, '2020-03-24', 'MM', 'Myanmar', 'SEARO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (59013, '2020-03-25', 'MM', 'Myanmar', 'SEARO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (59014, '2020-03-26', 'MM', 'Myanmar', 'SEARO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (59015, '2020-03-27', 'MM', 'Myanmar', 'SEARO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (59016, '2020-03-28', 'MM', 'Myanmar', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (59017, '2020-03-29', 'MM', 'Myanmar', 'SEARO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (59018, '2020-03-30', 'MM', 'Myanmar', 'SEARO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (59019, '2020-03-31', 'MM', 'Myanmar', 'SEARO', '4', '14', '0', '0');
INSERT INTO public.who_import VALUES (59020, '2020-04-01', 'MM', 'Myanmar', 'SEARO', '1', '15', '1', '1');
INSERT INTO public.who_import VALUES (59021, '2020-04-02', 'MM', 'Myanmar', 'SEARO', '1', '16', '0', '1');
INSERT INTO public.who_import VALUES (59022, '2020-04-03', 'MM', 'Myanmar', 'SEARO', '4', '20', '0', '1');
INSERT INTO public.who_import VALUES (59023, '2020-04-04', 'MM', 'Myanmar', 'SEARO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (59024, '2020-04-05', 'MM', 'Myanmar', 'SEARO', '1', '21', '0', '1');
INSERT INTO public.who_import VALUES (59025, '2020-04-06', 'MM', 'Myanmar', 'SEARO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (59026, '2020-04-07', 'MM', 'Myanmar', 'SEARO', '1', '22', '0', '1');
INSERT INTO public.who_import VALUES (59027, '2020-04-08', 'MM', 'Myanmar', 'SEARO', '0', '22', '2', '3');
INSERT INTO public.who_import VALUES (59028, '2020-04-09', 'MM', 'Myanmar', 'SEARO', '0', '22', '0', '3');
INSERT INTO public.who_import VALUES (59029, '2020-04-10', 'MM', 'Myanmar', 'SEARO', '5', '27', '0', '3');
INSERT INTO public.who_import VALUES (59030, '2020-04-11', 'MM', 'Myanmar', 'SEARO', '1', '28', '0', '3');
INSERT INTO public.who_import VALUES (59031, '2020-04-12', 'MM', 'Myanmar', 'SEARO', '10', '38', '0', '3');
INSERT INTO public.who_import VALUES (59032, '2020-04-13', 'MM', 'Myanmar', 'SEARO', '3', '41', '1', '4');
INSERT INTO public.who_import VALUES (59033, '2020-04-14', 'MM', 'Myanmar', 'SEARO', '21', '62', '0', '4');
INSERT INTO public.who_import VALUES (59034, '2020-04-15', 'MM', 'Myanmar', 'SEARO', '12', '74', '0', '4');
INSERT INTO public.who_import VALUES (59035, '2020-04-16', 'MM', 'Myanmar', 'SEARO', '11', '85', '0', '4');
INSERT INTO public.who_import VALUES (59036, '2020-04-17', 'MM', 'Myanmar', 'SEARO', '0', '85', '0', '4');
INSERT INTO public.who_import VALUES (59037, '2020-04-18', 'MM', 'Myanmar', 'SEARO', '9', '94', '1', '5');
INSERT INTO public.who_import VALUES (59038, '2020-04-19', 'MM', 'Myanmar', 'SEARO', '13', '107', '0', '5');
INSERT INTO public.who_import VALUES (59039, '2020-04-20', 'MM', 'Myanmar', 'SEARO', '4', '111', '0', '5');
INSERT INTO public.who_import VALUES (59040, '2020-04-21', 'MM', 'Myanmar', 'SEARO', '8', '119', '0', '5');
INSERT INTO public.who_import VALUES (59041, '2020-04-22', 'MM', 'Myanmar', 'SEARO', '2', '121', '0', '5');
INSERT INTO public.who_import VALUES (59042, '2020-04-23', 'MM', 'Myanmar', 'SEARO', '6', '127', '0', '5');
INSERT INTO public.who_import VALUES (59043, '2020-04-24', 'MM', 'Myanmar', 'SEARO', '12', '139', '0', '5');
INSERT INTO public.who_import VALUES (59044, '2020-04-25', 'MM', 'Myanmar', 'SEARO', '5', '144', '0', '5');
INSERT INTO public.who_import VALUES (59045, '2020-04-26', 'MM', 'Myanmar', 'SEARO', '2', '146', '0', '5');
INSERT INTO public.who_import VALUES (59046, '2020-04-27', 'MM', 'Myanmar', 'SEARO', '0', '146', '0', '5');
INSERT INTO public.who_import VALUES (59047, '2020-04-28', 'MM', 'Myanmar', 'SEARO', '0', '146', '0', '5');
INSERT INTO public.who_import VALUES (59048, '2020-04-29', 'MM', 'Myanmar', 'SEARO', '4', '150', '0', '5');
INSERT INTO public.who_import VALUES (59049, '2020-04-30', 'MM', 'Myanmar', 'SEARO', '0', '150', '1', '6');
INSERT INTO public.who_import VALUES (59050, '2020-05-01', 'MM', 'Myanmar', 'SEARO', '1', '151', '0', '6');
INSERT INTO public.who_import VALUES (59051, '2020-05-02', 'MM', 'Myanmar', 'SEARO', '0', '151', '0', '6');
INSERT INTO public.who_import VALUES (59052, '2020-05-03', 'MM', 'Myanmar', 'SEARO', '0', '151', '0', '6');
INSERT INTO public.who_import VALUES (59053, '2020-05-04', 'MM', 'Myanmar', 'SEARO', '4', '155', '0', '6');
INSERT INTO public.who_import VALUES (59054, '2020-05-05', 'MM', 'Myanmar', 'SEARO', '6', '161', '0', '6');
INSERT INTO public.who_import VALUES (59055, '2020-05-06', 'MM', 'Myanmar', 'SEARO', '0', '161', '0', '6');
INSERT INTO public.who_import VALUES (59056, '2020-05-07', 'MM', 'Myanmar', 'SEARO', '1', '162', '0', '6');
INSERT INTO public.who_import VALUES (59057, '2020-05-08', 'MM', 'Myanmar', 'SEARO', '14', '176', '0', '6');
INSERT INTO public.who_import VALUES (59058, '2020-05-09', 'MM', 'Myanmar', 'SEARO', '1', '177', '0', '6');
INSERT INTO public.who_import VALUES (59059, '2020-05-10', 'MM', 'Myanmar', 'SEARO', '1', '178', '0', '6');
INSERT INTO public.who_import VALUES (59060, '2020-05-11', 'MM', 'Myanmar', 'SEARO', '2', '180', '0', '6');
INSERT INTO public.who_import VALUES (59061, '2020-05-12', 'MM', 'Myanmar', 'SEARO', '0', '180', '0', '6');
INSERT INTO public.who_import VALUES (59062, '2020-05-13', 'MM', 'Myanmar', 'SEARO', '0', '180', '0', '6');
INSERT INTO public.who_import VALUES (59063, '2020-05-14', 'MM', 'Myanmar', 'SEARO', '1', '181', '0', '6');
INSERT INTO public.who_import VALUES (59064, '2020-05-15', 'MM', 'Myanmar', 'SEARO', '0', '181', '0', '6');
INSERT INTO public.who_import VALUES (59065, '2020-05-16', 'MM', 'Myanmar', 'SEARO', '1', '182', '0', '6');
INSERT INTO public.who_import VALUES (59066, '2020-05-17', 'MM', 'Myanmar', 'SEARO', '2', '184', '0', '6');
INSERT INTO public.who_import VALUES (59067, '2020-05-18', 'MM', 'Myanmar', 'SEARO', '4', '188', '0', '6');
INSERT INTO public.who_import VALUES (59068, '2020-05-19', 'MM', 'Myanmar', 'SEARO', '3', '191', '0', '6');
INSERT INTO public.who_import VALUES (59069, '2020-05-20', 'MM', 'Myanmar', 'SEARO', '2', '193', '0', '6');
INSERT INTO public.who_import VALUES (59070, '2020-05-21', 'MM', 'Myanmar', 'SEARO', '6', '199', '0', '6');
INSERT INTO public.who_import VALUES (59071, '2020-05-22', 'MM', 'Myanmar', 'SEARO', '0', '199', '0', '6');
INSERT INTO public.who_import VALUES (59072, '2020-05-23', 'MM', 'Myanmar', 'SEARO', '2', '201', '0', '6');
INSERT INTO public.who_import VALUES (59073, '2020-05-24', 'MM', 'Myanmar', 'SEARO', '0', '201', '0', '6');
INSERT INTO public.who_import VALUES (59074, '2020-05-25', 'MM', 'Myanmar', 'SEARO', '0', '201', '0', '6');
INSERT INTO public.who_import VALUES (59075, '2020-05-26', 'MM', 'Myanmar', 'SEARO', '5', '206', '0', '6');
INSERT INTO public.who_import VALUES (59076, '2020-05-27', 'MM', 'Myanmar', 'SEARO', '0', '206', '0', '6');
INSERT INTO public.who_import VALUES (59077, '2020-05-28', 'MM', 'Myanmar', 'SEARO', '0', '206', '0', '6');
INSERT INTO public.who_import VALUES (59078, '2020-05-29', 'MM', 'Myanmar', 'SEARO', '0', '206', '0', '6');
INSERT INTO public.who_import VALUES (59079, '2020-05-30', 'MM', 'Myanmar', 'SEARO', '18', '224', '0', '6');
INSERT INTO public.who_import VALUES (59080, '2020-05-31', 'MM', 'Myanmar', 'SEARO', '0', '224', '0', '6');
INSERT INTO public.who_import VALUES (59081, '2020-06-01', 'MM', 'Myanmar', 'SEARO', '0', '224', '0', '6');
INSERT INTO public.who_import VALUES (59082, '2020-06-02', 'MM', 'Myanmar', 'SEARO', '4', '228', '0', '6');
INSERT INTO public.who_import VALUES (59083, '2020-06-03', 'MM', 'Myanmar', 'SEARO', '5', '233', '0', '6');
INSERT INTO public.who_import VALUES (59084, '2020-06-04', 'MM', 'Myanmar', 'SEARO', '1', '234', '0', '6');
INSERT INTO public.who_import VALUES (59085, '2020-06-05', 'MM', 'Myanmar', 'SEARO', '2', '236', '0', '6');
INSERT INTO public.who_import VALUES (59086, '2020-06-06', 'MM', 'Myanmar', 'SEARO', '0', '236', '0', '6');
INSERT INTO public.who_import VALUES (59087, '2020-06-07', 'MM', 'Myanmar', 'SEARO', '4', '240', '0', '6');
INSERT INTO public.who_import VALUES (59088, '2020-06-08', 'MM', 'Myanmar', 'SEARO', '2', '242', '0', '6');
INSERT INTO public.who_import VALUES (59089, '2020-06-09', 'MM', 'Myanmar', 'SEARO', '2', '244', '0', '6');
INSERT INTO public.who_import VALUES (59090, '2020-06-10', 'MM', 'Myanmar', 'SEARO', '2', '246', '0', '6');
INSERT INTO public.who_import VALUES (59091, '2020-06-11', 'MM', 'Myanmar', 'SEARO', '2', '248', '0', '6');
INSERT INTO public.who_import VALUES (59092, '2020-06-12', 'MM', 'Myanmar', 'SEARO', '13', '261', '0', '6');
INSERT INTO public.who_import VALUES (59093, '2020-06-13', 'MM', 'Myanmar', 'SEARO', '0', '261', '0', '6');
INSERT INTO public.who_import VALUES (59094, '2020-06-14', 'MM', 'Myanmar', 'SEARO', '0', '261', '0', '6');
INSERT INTO public.who_import VALUES (59095, '2020-06-15', 'MM', 'Myanmar', 'SEARO', '1', '262', '0', '6');
INSERT INTO public.who_import VALUES (59096, '2020-06-16', 'MM', 'Myanmar', 'SEARO', '0', '262', '0', '6');
INSERT INTO public.who_import VALUES (59097, '2020-06-17', 'MM', 'Myanmar', 'SEARO', '0', '262', '0', '6');
INSERT INTO public.who_import VALUES (59098, '2020-06-18', 'MM', 'Myanmar', 'SEARO', '1', '263', '0', '6');
INSERT INTO public.who_import VALUES (59099, '2020-06-19', 'MM', 'Myanmar', 'SEARO', '23', '286', '0', '6');
INSERT INTO public.who_import VALUES (59100, '2020-06-20', 'MM', 'Myanmar', 'SEARO', '0', '286', '0', '6');
INSERT INTO public.who_import VALUES (59101, '2020-06-21', 'MM', 'Myanmar', 'SEARO', '0', '286', '0', '6');
INSERT INTO public.who_import VALUES (59102, '2020-06-22', 'MM', 'Myanmar', 'SEARO', '4', '290', '0', '6');
INSERT INTO public.who_import VALUES (59103, '2020-06-23', 'MM', 'Myanmar', 'SEARO', '1', '291', '0', '6');
INSERT INTO public.who_import VALUES (59104, '2020-06-24', 'MM', 'Myanmar', 'SEARO', '1', '292', '0', '6');
INSERT INTO public.who_import VALUES (59105, '2020-06-25', 'MM', 'Myanmar', 'SEARO', '1', '293', '0', '6');
INSERT INTO public.who_import VALUES (59106, '2020-06-26', 'MM', 'Myanmar', 'SEARO', '0', '293', '0', '6');
INSERT INTO public.who_import VALUES (59107, '2020-06-27', 'MM', 'Myanmar', 'SEARO', '0', '293', '0', '6');
INSERT INTO public.who_import VALUES (59108, '2020-06-28', 'MM', 'Myanmar', 'SEARO', '3', '296', '0', '6');
INSERT INTO public.who_import VALUES (59109, '2020-06-29', 'MM', 'Myanmar', 'SEARO', '3', '299', '0', '6');
INSERT INTO public.who_import VALUES (59110, '2020-06-30', 'MM', 'Myanmar', 'SEARO', '0', '299', '0', '6');
INSERT INTO public.who_import VALUES (59111, '2020-07-01', 'MM', 'Myanmar', 'SEARO', '0', '299', '0', '6');
INSERT INTO public.who_import VALUES (59112, '2020-07-02', 'MM', 'Myanmar', 'SEARO', '5', '304', '0', '6');
INSERT INTO public.who_import VALUES (59113, '2020-07-03', 'MM', 'Myanmar', 'SEARO', '0', '304', '0', '6');
INSERT INTO public.who_import VALUES (59114, '2020-07-04', 'MM', 'Myanmar', 'SEARO', '2', '306', '0', '6');
INSERT INTO public.who_import VALUES (59115, '2020-07-05', 'MM', 'Myanmar', 'SEARO', '7', '313', '0', '6');
INSERT INTO public.who_import VALUES (59116, '2020-07-06', 'MM', 'Myanmar', 'SEARO', '0', '313', '0', '6');
INSERT INTO public.who_import VALUES (59117, '2020-07-07', 'MM', 'Myanmar', 'SEARO', '3', '316', '0', '6');
INSERT INTO public.who_import VALUES (59118, '2020-07-08', 'MM', 'Myanmar', 'SEARO', '0', '316', '0', '6');
INSERT INTO public.who_import VALUES (59119, '2020-07-09', 'MM', 'Myanmar', 'SEARO', '2', '318', '0', '6');
INSERT INTO public.who_import VALUES (59120, '2020-07-10', 'MM', 'Myanmar', 'SEARO', '3', '321', '0', '6');
INSERT INTO public.who_import VALUES (59121, '2020-07-11', 'MM', 'Myanmar', 'SEARO', '5', '326', '0', '6');
INSERT INTO public.who_import VALUES (59122, '2020-07-12', 'MM', 'Myanmar', 'SEARO', '4', '330', '0', '6');
INSERT INTO public.who_import VALUES (59123, '2020-07-13', 'MM', 'Myanmar', 'SEARO', '1', '331', '0', '6');
INSERT INTO public.who_import VALUES (59124, '2020-07-14', 'MM', 'Myanmar', 'SEARO', '5', '336', '0', '6');
INSERT INTO public.who_import VALUES (59125, '2020-07-15', 'MM', 'Myanmar', 'SEARO', '1', '337', '0', '6');
INSERT INTO public.who_import VALUES (59126, '2020-07-16', 'MM', 'Myanmar', 'SEARO', '0', '337', '0', '6');
INSERT INTO public.who_import VALUES (59127, '2020-07-17', 'MM', 'Myanmar', 'SEARO', '2', '339', '0', '6');
INSERT INTO public.who_import VALUES (59128, '2020-07-18', 'MM', 'Myanmar', 'SEARO', '0', '339', '0', '6');
INSERT INTO public.who_import VALUES (59129, '2020-07-19', 'MM', 'Myanmar', 'SEARO', '2', '341', '0', '6');
INSERT INTO public.who_import VALUES (59130, '2020-07-20', 'MM', 'Myanmar', 'SEARO', '0', '341', '0', '6');
INSERT INTO public.who_import VALUES (59131, '2020-07-21', 'MM', 'Myanmar', 'SEARO', '0', '341', '0', '6');
INSERT INTO public.who_import VALUES (59132, '2020-07-22', 'MM', 'Myanmar', 'SEARO', '0', '341', '0', '6');
INSERT INTO public.who_import VALUES (59133, '2020-07-23', 'MM', 'Myanmar', 'SEARO', '2', '343', '0', '6');
INSERT INTO public.who_import VALUES (59134, '2020-07-24', 'MM', 'Myanmar', 'SEARO', '0', '343', '0', '6');
INSERT INTO public.who_import VALUES (59135, '2020-07-25', 'MM', 'Myanmar', 'SEARO', '3', '346', '0', '6');
INSERT INTO public.who_import VALUES (59136, '2020-07-26', 'MM', 'Myanmar', 'SEARO', '3', '349', '0', '6');
INSERT INTO public.who_import VALUES (59137, '2020-07-27', 'MM', 'Myanmar', 'SEARO', '1', '350', '0', '6');
INSERT INTO public.who_import VALUES (59138, '2020-07-28', 'MM', 'Myanmar', 'SEARO', '0', '350', '0', '6');
INSERT INTO public.who_import VALUES (59139, '2020-07-29', 'MM', 'Myanmar', 'SEARO', '1', '351', '0', '6');
INSERT INTO public.who_import VALUES (59140, '2020-07-30', 'MM', 'Myanmar', 'SEARO', '2', '353', '0', '6');
INSERT INTO public.who_import VALUES (59141, '2020-07-31', 'MM', 'Myanmar', 'SEARO', '0', '353', '0', '6');
INSERT INTO public.who_import VALUES (59142, '2020-08-01', 'MM', 'Myanmar', 'SEARO', '0', '353', '0', '6');
INSERT INTO public.who_import VALUES (59143, '2020-08-02', 'MM', 'Myanmar', 'SEARO', '0', '353', '0', '6');
INSERT INTO public.who_import VALUES (59144, '2020-08-03', 'MM', 'Myanmar', 'SEARO', '0', '353', '0', '6');
INSERT INTO public.who_import VALUES (59145, '2020-08-04', 'MM', 'Myanmar', 'SEARO', '2', '355', '0', '6');
INSERT INTO public.who_import VALUES (59146, '2020-08-05', 'MM', 'Myanmar', 'SEARO', '1', '356', '0', '6');
INSERT INTO public.who_import VALUES (59147, '2020-08-06', 'MM', 'Myanmar', 'SEARO', '1', '357', '0', '6');
INSERT INTO public.who_import VALUES (59148, '2020-08-07', 'MM', 'Myanmar', 'SEARO', '2', '359', '0', '6');
INSERT INTO public.who_import VALUES (59149, '2020-08-08', 'MM', 'Myanmar', 'SEARO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (59150, '2020-08-09', 'MM', 'Myanmar', 'SEARO', '0', '359', '0', '6');
INSERT INTO public.who_import VALUES (59151, '2020-08-10', 'MM', 'Myanmar', 'SEARO', '1', '360', '0', '6');
INSERT INTO public.who_import VALUES (59152, '2020-08-11', 'MM', 'Myanmar', 'SEARO', '0', '360', '0', '6');
INSERT INTO public.who_import VALUES (59153, '2020-08-12', 'MM', 'Myanmar', 'SEARO', '0', '360', '0', '6');
INSERT INTO public.who_import VALUES (59154, '2020-08-13', 'MM', 'Myanmar', 'SEARO', '1', '361', '0', '6');
INSERT INTO public.who_import VALUES (59155, '2020-08-14', 'MM', 'Myanmar', 'SEARO', '0', '361', '0', '6');
INSERT INTO public.who_import VALUES (59156, '2020-08-15', 'MM', 'Myanmar', 'SEARO', '8', '369', '0', '6');
INSERT INTO public.who_import VALUES (59157, '2020-08-16', 'MM', 'Myanmar', 'SEARO', '5', '374', '0', '6');
INSERT INTO public.who_import VALUES (59158, '2020-08-17', 'MM', 'Myanmar', 'SEARO', '1', '375', '0', '6');
INSERT INTO public.who_import VALUES (59159, '2020-08-18', 'MM', 'Myanmar', 'SEARO', '0', '375', '0', '6');
INSERT INTO public.who_import VALUES (59160, '2020-08-19', 'MM', 'Myanmar', 'SEARO', '4', '379', '0', '6');
INSERT INTO public.who_import VALUES (59161, '2020-08-20', 'MM', 'Myanmar', 'SEARO', '17', '396', '0', '6');
INSERT INTO public.who_import VALUES (59162, '2020-08-21', 'MM', 'Myanmar', 'SEARO', '13', '409', '0', '6');
INSERT INTO public.who_import VALUES (59163, '2020-08-22', 'MM', 'Myanmar', 'SEARO', '26', '435', '0', '6');
INSERT INTO public.who_import VALUES (59164, '2020-08-23', 'MM', 'Myanmar', 'SEARO', '9', '444', '0', '6');
INSERT INTO public.who_import VALUES (59165, '2020-08-24', 'MM', 'Myanmar', 'SEARO', '19', '463', '0', '6');
INSERT INTO public.who_import VALUES (59166, '2020-08-25', 'MM', 'Myanmar', 'SEARO', '11', '474', '0', '6');
INSERT INTO public.who_import VALUES (59167, '2020-08-26', 'MM', 'Myanmar', 'SEARO', '30', '504', '0', '6');
INSERT INTO public.who_import VALUES (59168, '2020-08-27', 'MM', 'Myanmar', 'SEARO', '76', '580', '0', '6');
INSERT INTO public.who_import VALUES (59169, '2020-08-28', 'MM', 'Myanmar', 'SEARO', '48', '628', '0', '6');
INSERT INTO public.who_import VALUES (59170, '2020-08-29', 'MM', 'Myanmar', 'SEARO', '28', '656', '0', '6');
INSERT INTO public.who_import VALUES (59171, '2020-08-30', 'MM', 'Myanmar', 'SEARO', '93', '749', '0', '6');
INSERT INTO public.who_import VALUES (59172, '2020-08-31', 'MM', 'Myanmar', 'SEARO', '26', '775', '0', '6');
INSERT INTO public.who_import VALUES (59173, '2020-09-01', 'MM', 'Myanmar', 'SEARO', '112', '887', '0', '6');
INSERT INTO public.who_import VALUES (59174, '2020-09-02', 'MM', 'Myanmar', 'SEARO', '51', '938', '0', '6');
INSERT INTO public.who_import VALUES (59175, '2020-09-03', 'MM', 'Myanmar', 'SEARO', '120', '1058', '0', '6');
INSERT INTO public.who_import VALUES (59176, '2020-09-04', 'MM', 'Myanmar', 'SEARO', '75', '1133', '1', '7');
INSERT INTO public.who_import VALUES (59177, '2020-09-05', 'MM', 'Myanmar', 'SEARO', '83', '1216', '0', '7');
INSERT INTO public.who_import VALUES (59178, '2020-09-06', 'MM', 'Myanmar', 'SEARO', '103', '1319', '1', '8');
INSERT INTO public.who_import VALUES (59179, '2020-09-07', 'MM', 'Myanmar', 'SEARO', '145', '1464', '0', '8');
INSERT INTO public.who_import VALUES (59180, '2020-09-08', 'MM', 'Myanmar', 'SEARO', '146', '1610', '0', '8');
INSERT INTO public.who_import VALUES (59181, '2020-09-09', 'MM', 'Myanmar', 'SEARO', '197', '1807', '4', '12');
INSERT INTO public.who_import VALUES (59182, '2020-09-10', 'MM', 'Myanmar', 'SEARO', '202', '2009', '2', '14');
INSERT INTO public.who_import VALUES (59183, '2020-09-11', 'MM', 'Myanmar', 'SEARO', '256', '2265', '0', '14');
INSERT INTO public.who_import VALUES (59184, '2020-09-12', 'MM', 'Myanmar', 'SEARO', '180', '2445', '0', '14');
INSERT INTO public.who_import VALUES (59185, '2020-09-13', 'MM', 'Myanmar', 'SEARO', '351', '2796', '2', '16');
INSERT INTO public.who_import VALUES (59186, '2020-09-14', 'MM', 'Myanmar', 'SEARO', '219', '3015', '8', '24');
INSERT INTO public.who_import VALUES (59187, '2020-09-15', 'MM', 'Myanmar', 'SEARO', '284', '3299', '8', '32');
INSERT INTO public.who_import VALUES (59188, '2020-09-16', 'MM', 'Myanmar', 'SEARO', '337', '3636', '7', '39');
INSERT INTO public.who_import VALUES (59189, '2020-09-17', 'MM', 'Myanmar', 'SEARO', '258', '3894', '7', '46');
INSERT INTO public.who_import VALUES (59190, '2020-09-18', 'MM', 'Myanmar', 'SEARO', '405', '4299', '15', '61');
INSERT INTO public.who_import VALUES (59191, '2020-09-19', 'MM', 'Myanmar', 'SEARO', '322', '4621', '14', '75');
INSERT INTO public.who_import VALUES (59192, '2020-09-20', 'MM', 'Myanmar', 'SEARO', '642', '5263', '6', '81');
INSERT INTO public.who_import VALUES (59193, '2020-09-21', 'MM', 'Myanmar', 'SEARO', '542', '5805', '13', '94');
INSERT INTO public.who_import VALUES (59194, '2020-09-22', 'MM', 'Myanmar', 'SEARO', '666', '6471', '6', '100');
INSERT INTO public.who_import VALUES (59195, '2020-09-23', 'MM', 'Myanmar', 'SEARO', '488', '6959', '16', '116');
INSERT INTO public.who_import VALUES (59196, '2020-09-24', 'MM', 'Myanmar', 'SEARO', '868', '7827', '14', '130');
INSERT INTO public.who_import VALUES (59197, '2020-09-25', 'MM', 'Myanmar', 'SEARO', '688', '8515', '25', '155');
INSERT INTO public.who_import VALUES (59198, '2020-09-26', 'MM', 'Myanmar', 'SEARO', '597', '9112', '19', '174');
INSERT INTO public.who_import VALUES (59199, '2020-09-27', 'MM', 'Myanmar', 'SEARO', '879', '9991', '24', '198');
INSERT INTO public.who_import VALUES (59200, '2020-09-28', 'MM', 'Myanmar', 'SEARO', '743', '10734', '28', '226');
INSERT INTO public.who_import VALUES (59201, '2020-09-29', 'MM', 'Myanmar', 'SEARO', '897', '11631', '30', '256');
INSERT INTO public.who_import VALUES (59202, '2020-09-30', 'MM', 'Myanmar', 'SEARO', '794', '12425', '28', '284');
INSERT INTO public.who_import VALUES (59203, '2020-10-01', 'MM', 'Myanmar', 'SEARO', '948', '13373', '26', '310');
INSERT INTO public.who_import VALUES (59204, '2020-10-02', 'MM', 'Myanmar', 'SEARO', '1010', '14383', '11', '321');
INSERT INTO public.who_import VALUES (59205, '2020-10-03', 'MM', 'Myanmar', 'SEARO', '1142', '15525', '32', '353');
INSERT INTO public.who_import VALUES (59206, '2020-10-04', 'MM', 'Myanmar', 'SEARO', '978', '16503', '18', '371');
INSERT INTO public.who_import VALUES (59207, '2020-10-05', 'MM', 'Myanmar', 'SEARO', '1291', '17794', '41', '412');
INSERT INTO public.who_import VALUES (59208, '2020-10-06', 'MM', 'Myanmar', 'SEARO', '987', '18781', '32', '444');
INSERT INTO public.who_import VALUES (59209, '2020-10-07', 'MM', 'Myanmar', 'SEARO', '1252', '20033', '27', '471');
INSERT INTO public.who_import VALUES (59210, '2020-10-08', 'MM', 'Myanmar', 'SEARO', '1400', '21433', '39', '510');
INSERT INTO public.who_import VALUES (59211, '2020-10-09', 'MM', 'Myanmar', 'SEARO', '1012', '22445', '25', '535');
INSERT INTO public.who_import VALUES (59212, '2020-10-10', 'MM', 'Myanmar', 'SEARO', '1461', '23906', '31', '566');
INSERT INTO public.who_import VALUES (59213, '2020-10-11', 'MM', 'Myanmar', 'SEARO', '2158', '26064', '32', '598');
INSERT INTO public.who_import VALUES (59214, '2020-10-12', 'MM', 'Myanmar', 'SEARO', '1910', '27974', '48', '646');
INSERT INTO public.who_import VALUES (59215, '2020-10-13', 'MM', 'Myanmar', 'SEARO', '1340', '29314', '18', '664');
INSERT INTO public.who_import VALUES (59216, '2020-10-14', 'MM', 'Myanmar', 'SEARO', '1123', '30437', '29', '693');
INSERT INTO public.who_import VALUES (59217, '2020-10-15', 'MM', 'Myanmar', 'SEARO', '888', '31325', '39', '732');
INSERT INTO public.who_import VALUES (59218, '2020-10-16', 'MM', 'Myanmar', 'SEARO', '1026', '32351', '33', '765');
INSERT INTO public.who_import VALUES (59219, '2020-10-17', 'MM', 'Myanmar', 'SEARO', '1137', '33488', '34', '799');
INSERT INTO public.who_import VALUES (59220, '2020-10-18', 'MM', 'Myanmar', 'SEARO', '1387', '34875', '39', '838');
INSERT INTO public.who_import VALUES (59221, '2020-10-19', 'MM', 'Myanmar', 'SEARO', '1150', '36025', '42', '880');
INSERT INTO public.who_import VALUES (59222, '2020-10-20', 'MM', 'Myanmar', 'SEARO', '1180', '37205', '34', '914');
INSERT INTO public.who_import VALUES (59223, '2020-10-21', 'MM', 'Myanmar', 'SEARO', '1297', '38502', '31', '945');
INSERT INTO public.who_import VALUES (59224, '2020-10-22', 'MM', 'Myanmar', 'SEARO', '1194', '39696', '27', '972');
INSERT INTO public.who_import VALUES (59225, '2020-10-23', 'MM', 'Myanmar', 'SEARO', '1312', '41008', '33', '1005');
INSERT INTO public.who_import VALUES (59226, '2020-10-24', 'MM', 'Myanmar', 'SEARO', '1357', '42365', '33', '1038');
INSERT INTO public.who_import VALUES (59227, '2020-10-25', 'MM', 'Myanmar', 'SEARO', '1423', '43788', '28', '1066');
INSERT INTO public.who_import VALUES (59228, '2020-10-26', 'MM', 'Myanmar', 'SEARO', '986', '44774', '29', '1095');
INSERT INTO public.who_import VALUES (59229, '2020-10-27', 'MM', 'Myanmar', 'SEARO', '1426', '46200', '27', '1122');
INSERT INTO public.who_import VALUES (59230, '2020-10-28', 'MM', 'Myanmar', 'SEARO', '1466', '47666', '25', '1147');
INSERT INTO public.who_import VALUES (59231, '2020-10-29', 'MM', 'Myanmar', 'SEARO', '1406', '49072', '25', '1172');
INSERT INTO public.who_import VALUES (59232, '2020-10-30', 'MM', 'Myanmar', 'SEARO', '1331', '50403', '27', '1199');
INSERT INTO public.who_import VALUES (59233, '2020-10-31', 'MM', 'Myanmar', 'SEARO', '1093', '51496', '20', '1219');
INSERT INTO public.who_import VALUES (59234, '2020-11-01', 'MM', 'Myanmar', 'SEARO', '1210', '52706', '18', '1237');
INSERT INTO public.who_import VALUES (59235, '2020-11-02', 'MM', 'Myanmar', 'SEARO', '699', '53405', '21', '1258');
INSERT INTO public.who_import VALUES (59236, '2020-11-03', 'MM', 'Myanmar', 'SEARO', '1202', '54607', '24', '1282');
INSERT INTO public.who_import VALUES (59237, '2020-11-04', 'MM', 'Myanmar', 'SEARO', '1197', '55804', '25', '1307');
INSERT INTO public.who_import VALUES (59238, '2020-11-05', 'MM', 'Myanmar', 'SEARO', '1136', '56940', '23', '1330');
INSERT INTO public.who_import VALUES (59239, '2020-11-06', 'MM', 'Myanmar', 'SEARO', '995', '57935', '22', '1352');
INSERT INTO public.who_import VALUES (59240, '2020-11-07', 'MM', 'Myanmar', 'SEARO', '1342', '59277', '24', '1376');
INSERT INTO public.who_import VALUES (59241, '2020-11-08', 'MM', 'Myanmar', 'SEARO', '1071', '60348', '20', '1396');
INSERT INTO public.who_import VALUES (59242, '2020-11-09', 'MM', 'Myanmar', 'SEARO', '1029', '61377', '24', '1420');
INSERT INTO public.who_import VALUES (59243, '2020-11-10', 'MM', 'Myanmar', 'SEARO', '598', '61975', '17', '1437');
INSERT INTO public.who_import VALUES (59244, '2020-11-11', 'MM', 'Myanmar', 'SEARO', '1266', '63241', '24', '1461');
INSERT INTO public.who_import VALUES (59245, '2020-11-12', 'MM', 'Myanmar', 'SEARO', '1212', '64453', '19', '1480');
INSERT INTO public.who_import VALUES (59246, '2020-11-13', 'MM', 'Myanmar', 'SEARO', '0', '64453', '0', '1480');
INSERT INTO public.who_import VALUES (59247, '2020-11-14', 'MM', 'Myanmar', 'SEARO', '1145', '65598', '28', '1508');
INSERT INTO public.who_import VALUES (59248, '2020-11-15', 'MM', 'Myanmar', 'SEARO', '1136', '66734', '26', '1534');
INSERT INTO public.who_import VALUES (59249, '2020-11-16', 'MM', 'Myanmar', 'SEARO', '2260', '68994', '43', '1577');
INSERT INTO public.who_import VALUES (59250, '2020-11-17', 'MM', 'Myanmar', 'SEARO', '1167', '70161', '22', '1599');
INSERT INTO public.who_import VALUES (59251, '2020-11-18', 'MM', 'Myanmar', 'SEARO', '1569', '71730', '26', '1625');
INSERT INTO public.who_import VALUES (59252, '2020-11-19', 'MM', 'Myanmar', 'SEARO', '1592', '73322', '25', '1650');
INSERT INTO public.who_import VALUES (59253, '2020-11-20', 'MM', 'Myanmar', 'SEARO', '1560', '74882', '26', '1676');
INSERT INTO public.who_import VALUES (59254, '2020-11-21', 'MM', 'Myanmar', 'SEARO', '1532', '76414', '19', '1695');
INSERT INTO public.who_import VALUES (59255, '2020-11-22', 'MM', 'Myanmar', 'SEARO', '1434', '77848', '27', '1722');
INSERT INTO public.who_import VALUES (59256, '2020-11-23', 'MM', 'Myanmar', 'SEARO', '1398', '79246', '17', '1739');
INSERT INTO public.who_import VALUES (59257, '2020-11-24', 'MM', 'Myanmar', 'SEARO', '1259', '80505', '26', '1765');
INSERT INTO public.who_import VALUES (59258, '2020-11-25', 'MM', 'Myanmar', 'SEARO', '1731', '82236', '19', '1784');
INSERT INTO public.who_import VALUES (59259, '2020-11-26', 'MM', 'Myanmar', 'SEARO', '1330', '83566', '26', '1810');
INSERT INTO public.who_import VALUES (59260, '2020-11-27', 'MM', 'Myanmar', 'SEARO', '1639', '85205', '36', '1846');
INSERT INTO public.who_import VALUES (59261, '2020-11-28', 'MM', 'Myanmar', 'SEARO', '1428', '86633', '19', '1865');
INSERT INTO public.who_import VALUES (59262, '2020-11-29', 'MM', 'Myanmar', 'SEARO', '0', '86633', '0', '1865');
INSERT INTO public.who_import VALUES (59263, '2020-11-30', 'MM', 'Myanmar', 'SEARO', '1344', '87977', '22', '1887');
INSERT INTO public.who_import VALUES (59264, '2020-12-01', 'MM', 'Myanmar', 'SEARO', '1509', '89486', '31', '1918');
INSERT INTO public.who_import VALUES (59265, '2020-12-02', 'MM', 'Myanmar', 'SEARO', '1227', '90713', '23', '1941');
INSERT INTO public.who_import VALUES (59266, '2020-12-03', 'MM', 'Myanmar', 'SEARO', '1476', '92189', '31', '1972');
INSERT INTO public.who_import VALUES (59267, '2020-12-04', 'MM', 'Myanmar', 'SEARO', '1411', '93600', '26', '1998');
INSERT INTO public.who_import VALUES (59268, '2020-12-05', 'MM', 'Myanmar', 'SEARO', '1418', '95018', '30', '2028');
INSERT INTO public.who_import VALUES (59269, '2020-12-06', 'MM', 'Myanmar', 'SEARO', '1502', '96520', '31', '2059');
INSERT INTO public.who_import VALUES (59270, '2020-12-07', 'MM', 'Myanmar', 'SEARO', '1527', '98047', '22', '2081');
INSERT INTO public.who_import VALUES (59271, '2020-12-08', 'MM', 'Myanmar', 'SEARO', '1108', '99155', '29', '2110');
INSERT INTO public.who_import VALUES (59272, '2020-12-09', 'MM', 'Myanmar', 'SEARO', '1276', '100431', '22', '2132');
INSERT INTO public.who_import VALUES (59273, '2020-12-10', 'MM', 'Myanmar', 'SEARO', '1308', '101739', '19', '2151');
INSERT INTO public.who_import VALUES (59274, '2020-12-11', 'MM', 'Myanmar', 'SEARO', '1427', '103166', '23', '2174');
INSERT INTO public.who_import VALUES (59275, '2020-12-12', 'MM', 'Myanmar', 'SEARO', '1321', '104487', '27', '2201');
INSERT INTO public.who_import VALUES (59276, '2020-12-13', 'MM', 'Myanmar', 'SEARO', '1376', '105863', '19', '2220');
INSERT INTO public.who_import VALUES (59277, '2020-12-14', 'MM', 'Myanmar', 'SEARO', '1352', '107215', '25', '2245');
INSERT INTO public.who_import VALUES (59278, '2020-12-15', 'MM', 'Myanmar', 'SEARO', '1127', '108342', '23', '2268');
INSERT INTO public.who_import VALUES (59279, '2020-12-16', 'MM', 'Myanmar', 'SEARO', '1170', '109512', '24', '2292');
INSERT INTO public.who_import VALUES (59280, '2020-12-17', 'MM', 'Myanmar', 'SEARO', '1155', '110667', '27', '2319');
INSERT INTO public.who_import VALUES (59281, '2020-12-18', 'MM', 'Myanmar', 'SEARO', '1233', '111900', '27', '2346');
INSERT INTO public.who_import VALUES (59282, '2020-12-19', 'MM', 'Myanmar', 'SEARO', '1182', '113082', '31', '2377');
INSERT INTO public.who_import VALUES (59283, '2020-12-20', 'MM', 'Myanmar', 'SEARO', '1116', '114198', '21', '2398');
INSERT INTO public.who_import VALUES (59284, '2020-12-21', 'MM', 'Myanmar', 'SEARO', '989', '115187', '26', '2424');
INSERT INTO public.who_import VALUES (59285, '2020-12-22', 'MM', 'Myanmar', 'SEARO', '947', '116134', '19', '2443');
INSERT INTO public.who_import VALUES (59286, '2020-12-23', 'MM', 'Myanmar', 'SEARO', '848', '116982', '22', '2465');
INSERT INTO public.who_import VALUES (59287, '2020-12-24', 'MM', 'Myanmar', 'SEARO', '964', '117946', '19', '2484');
INSERT INTO public.who_import VALUES (59288, '2020-12-25', 'MM', 'Myanmar', 'SEARO', '923', '118869', '23', '2507');
INSERT INTO public.who_import VALUES (59289, '2020-12-26', 'MM', 'Myanmar', 'SEARO', '919', '119788', '25', '2532');
INSERT INTO public.who_import VALUES (59290, '2020-12-27', 'MM', 'Myanmar', 'SEARO', '1492', '121280', '47', '2579');
INSERT INTO public.who_import VALUES (59291, '2020-12-28', 'MM', 'Myanmar', 'SEARO', '606', '121886', '22', '2601');
INSERT INTO public.who_import VALUES (59292, '2020-12-29', 'MM', 'Myanmar', 'SEARO', '648', '122534', '17', '2618');
INSERT INTO public.who_import VALUES (59293, '2020-12-30', 'MM', 'Myanmar', 'SEARO', '619', '123153', '19', '2637');
INSERT INTO public.who_import VALUES (59294, '2020-12-31', 'MM', 'Myanmar', 'SEARO', '587', '123740', '27', '2664');
INSERT INTO public.who_import VALUES (59295, '2021-01-01', 'MM', 'Myanmar', 'SEARO', '890', '124630', '18', '2682');
INSERT INTO public.who_import VALUES (59296, '2021-01-02', 'MM', 'Myanmar', 'SEARO', '423', '125053', '15', '2697');
INSERT INTO public.who_import VALUES (59297, '2021-01-03', 'MM', 'Myanmar', 'SEARO', '563', '125616', '14', '2711');
INSERT INTO public.who_import VALUES (59298, '2021-01-04', 'MM', 'Myanmar', 'SEARO', '729', '126345', '17', '2728');
INSERT INTO public.who_import VALUES (59299, '2021-01-05', 'MM', 'Myanmar', 'SEARO', '590', '126935', '16', '2744');
INSERT INTO public.who_import VALUES (59300, '2021-01-06', 'MM', 'Myanmar', 'SEARO', '647', '127582', '22', '2766');
INSERT INTO public.who_import VALUES (59301, '2021-01-07', 'MM', 'Myanmar', 'SEARO', '596', '128178', '19', '2785');
INSERT INTO public.who_import VALUES (59302, '2021-01-08', 'MM', 'Myanmar', 'SEARO', '594', '128772', '14', '2799');
INSERT INTO public.who_import VALUES (59303, '2021-01-09', 'MM', 'Myanmar', 'SEARO', '711', '129483', '13', '2812');
INSERT INTO public.who_import VALUES (59304, '2021-01-10', 'MM', 'Myanmar', 'SEARO', '566', '130049', '14', '2826');
INSERT INTO public.who_import VALUES (59305, '2021-01-11', 'MM', 'Myanmar', 'SEARO', '555', '130604', '20', '2846');
INSERT INTO public.who_import VALUES (59306, '2021-01-12', 'MM', 'Myanmar', 'SEARO', '582', '131186', '12', '2858');
INSERT INTO public.who_import VALUES (59307, '2021-01-13', 'MM', 'Myanmar', 'SEARO', '551', '131737', '20', '2878');
INSERT INTO public.who_import VALUES (59308, '2021-01-14', 'MM', 'Myanmar', 'SEARO', '523', '132260', '24', '2902');
INSERT INTO public.who_import VALUES (59309, '2021-01-15', 'MM', 'Myanmar', 'SEARO', '605', '132865', '10', '2912');
INSERT INTO public.who_import VALUES (59310, '2021-01-16', 'MM', 'Myanmar', 'SEARO', '513', '133378', '14', '2926');
INSERT INTO public.who_import VALUES (59311, '2021-01-17', 'MM', 'Myanmar', 'SEARO', '491', '133869', '16', '2942');
INSERT INTO public.who_import VALUES (59312, '2021-01-18', 'MM', 'Myanmar', 'SEARO', '449', '134318', '13', '2955');
INSERT INTO public.who_import VALUES (59313, '2021-01-19', 'MM', 'Myanmar', 'SEARO', '477', '134795', '18', '2973');
INSERT INTO public.who_import VALUES (59314, '2021-01-20', 'MM', 'Myanmar', 'SEARO', '448', '135243', '13', '2986');
INSERT INTO public.who_import VALUES (59315, '2021-01-21', 'MM', 'Myanmar', 'SEARO', '478', '135721', '11', '2997');
INSERT INTO public.who_import VALUES (59316, '2021-01-22', 'MM', 'Myanmar', 'SEARO', '445', '136166', '16', '3013');
INSERT INTO public.who_import VALUES (59317, '2021-01-23', 'MM', 'Myanmar', 'SEARO', '425', '136591', '18', '3031');
INSERT INTO public.who_import VALUES (59318, '2021-01-24', 'MM', 'Myanmar', 'SEARO', '507', '137098', '14', '3045');
INSERT INTO public.who_import VALUES (59319, '2021-01-25', 'MM', 'Myanmar', 'SEARO', '476', '137574', '17', '3062');
INSERT INTO public.who_import VALUES (59320, '2021-01-26', 'MM', 'Myanmar', 'SEARO', '383', '137957', '7', '3069');
INSERT INTO public.who_import VALUES (59321, '2021-01-27', 'MM', 'Myanmar', 'SEARO', '411', '138368', '13', '3082');
INSERT INTO public.who_import VALUES (59322, '2021-01-28', 'MM', 'Myanmar', 'SEARO', '434', '138802', '7', '3089');
INSERT INTO public.who_import VALUES (59323, '2021-01-29', 'MM', 'Myanmar', 'SEARO', '350', '139152', '14', '3103');
INSERT INTO public.who_import VALUES (59324, '2021-01-30', 'MM', 'Myanmar', 'SEARO', '363', '139515', '12', '3115');
INSERT INTO public.who_import VALUES (59325, '2021-01-31', 'MM', 'Myanmar', 'SEARO', '349', '139864', '10', '3125');
INSERT INTO public.who_import VALUES (59326, '2021-02-01', 'MM', 'Myanmar', 'SEARO', '281', '140145', '6', '3131');
INSERT INTO public.who_import VALUES (59327, '2021-02-02', 'MM', 'Myanmar', 'SEARO', '209', '140354', '7', '3138');
INSERT INTO public.who_import VALUES (59328, '2021-02-03', 'MM', 'Myanmar', 'SEARO', '310', '140664', '8', '3146');
INSERT INTO public.who_import VALUES (59329, '2021-02-04', 'MM', 'Myanmar', 'SEARO', '263', '140927', '14', '3160');
INSERT INTO public.who_import VALUES (59330, '2021-02-05', 'MM', 'Myanmar', 'SEARO', '177', '141104', '3', '3163');
INSERT INTO public.who_import VALUES (59331, '2021-02-06', 'MM', 'Myanmar', 'SEARO', '200', '141304', '5', '3168');
INSERT INTO public.who_import VALUES (59332, '2021-02-07', 'MM', 'Myanmar', 'SEARO', '0', '141304', '0', '3168');
INSERT INTO public.who_import VALUES (59333, '2021-02-08', 'MM', 'Myanmar', 'SEARO', '0', '141304', '7', '3175');
INSERT INTO public.who_import VALUES (59334, '2021-02-09', 'MM', 'Myanmar', 'SEARO', '123', '141427', '2', '3177');
INSERT INTO public.who_import VALUES (59335, '2021-02-10', 'MM', 'Myanmar', 'SEARO', '21', '141448', '3', '3180');
INSERT INTO public.who_import VALUES (59336, '2021-02-11', 'MM', 'Myanmar', 'SEARO', '39', '141487', '1', '3181');
INSERT INTO public.who_import VALUES (59337, '2021-02-12', 'MM', 'Myanmar', 'SEARO', '35', '141522', '3', '3184');
INSERT INTO public.who_import VALUES (59338, '2021-02-13', 'MM', 'Myanmar', 'SEARO', '21', '141543', '4', '3188');
INSERT INTO public.who_import VALUES (59339, '2021-02-14', 'MM', 'Myanmar', 'SEARO', '42', '141585', '0', '3188');
INSERT INTO public.who_import VALUES (59340, '2021-02-15', 'MM', 'Myanmar', 'SEARO', '16', '141601', '1', '3189');
INSERT INTO public.who_import VALUES (59341, '2021-02-16', 'MM', 'Myanmar', 'SEARO', '36', '141637', '1', '3190');
INSERT INTO public.who_import VALUES (59342, '2021-02-17', 'MM', 'Myanmar', 'SEARO', '22', '141659', '2', '3192');
INSERT INTO public.who_import VALUES (59343, '2021-02-18', 'MM', 'Myanmar', 'SEARO', '31', '141690', '0', '3192');
INSERT INTO public.who_import VALUES (59344, '2021-02-19', 'MM', 'Myanmar', 'SEARO', '19', '141709', '0', '3192');
INSERT INTO public.who_import VALUES (59345, '2021-02-20', 'MM', 'Myanmar', 'SEARO', '0', '141709', '0', '3192');
INSERT INTO public.who_import VALUES (59346, '2020-01-03', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59347, '2020-01-04', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59348, '2020-01-05', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59349, '2020-01-06', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59350, '2020-01-07', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59351, '2020-01-08', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59352, '2020-01-09', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59353, '2020-01-10', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59354, '2020-01-11', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59355, '2020-01-12', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59356, '2020-01-13', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59357, '2020-01-14', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59358, '2020-01-15', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59359, '2020-01-16', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59360, '2020-01-17', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59361, '2020-01-18', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59362, '2020-01-19', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59363, '2020-01-20', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59364, '2020-01-21', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59365, '2020-01-22', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59366, '2020-01-23', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59367, '2020-01-24', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59368, '2020-01-25', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59369, '2020-01-26', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59370, '2020-01-27', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59371, '2020-01-28', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59372, '2020-01-29', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59373, '2020-01-30', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59374, '2020-01-31', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59375, '2020-02-01', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59376, '2020-02-02', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59377, '2020-02-03', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59378, '2020-02-04', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59379, '2020-02-05', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59380, '2020-02-06', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59381, '2020-02-07', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59382, '2020-02-08', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59383, '2020-02-09', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59384, '2020-02-10', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59385, '2020-02-11', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59386, '2020-02-12', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59387, '2020-02-13', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59388, '2020-02-14', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59389, '2020-02-15', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59390, '2020-02-16', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59391, '2020-02-17', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59392, '2020-02-18', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59393, '2020-02-19', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59394, '2020-02-20', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59395, '2020-02-21', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59396, '2020-02-22', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59397, '2020-02-23', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59398, '2020-02-24', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59399, '2020-02-25', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59400, '2020-02-26', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59401, '2020-02-27', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59402, '2020-02-28', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59403, '2020-02-29', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59404, '2020-03-01', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59405, '2020-03-02', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59406, '2020-03-03', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59407, '2020-03-04', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59408, '2020-03-05', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59409, '2020-03-06', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59410, '2020-03-07', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59411, '2020-03-08', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59412, '2020-03-09', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59413, '2020-03-10', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59414, '2020-03-11', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59415, '2020-03-12', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59416, '2020-03-13', 'NA', 'Namibia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59417, '2020-03-14', 'NA', 'Namibia', 'AFRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (59418, '2020-03-15', 'NA', 'Namibia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (59419, '2020-03-16', 'NA', 'Namibia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (59420, '2020-03-17', 'NA', 'Namibia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (59421, '2020-03-18', 'NA', 'Namibia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (59422, '2020-03-19', 'NA', 'Namibia', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (59423, '2020-03-20', 'NA', 'Namibia', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (59424, '2020-03-21', 'NA', 'Namibia', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (59425, '2020-03-22', 'NA', 'Namibia', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (59426, '2020-03-23', 'NA', 'Namibia', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (59427, '2020-03-24', 'NA', 'Namibia', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (59428, '2020-03-25', 'NA', 'Namibia', 'AFRO', '-3', '4', '0', '0');
INSERT INTO public.who_import VALUES (59429, '2020-03-26', 'NA', 'Namibia', 'AFRO', '4', '8', '0', '0');
INSERT INTO public.who_import VALUES (59430, '2020-03-27', 'NA', 'Namibia', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (59431, '2020-03-28', 'NA', 'Namibia', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (59432, '2020-03-29', 'NA', 'Namibia', 'AFRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (59433, '2020-03-30', 'NA', 'Namibia', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (59434, '2020-03-31', 'NA', 'Namibia', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (59435, '2020-04-01', 'NA', 'Namibia', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (59436, '2020-04-02', 'NA', 'Namibia', 'AFRO', '2', '13', '0', '0');
INSERT INTO public.who_import VALUES (59437, '2020-04-03', 'NA', 'Namibia', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (59438, '2020-04-04', 'NA', 'Namibia', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (59439, '2020-04-05', 'NA', 'Namibia', 'AFRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (59440, '2020-04-06', 'NA', 'Namibia', 'AFRO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (59441, '2020-04-07', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59442, '2020-04-08', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59444, '2020-04-10', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59445, '2020-04-11', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59446, '2020-04-12', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59447, '2020-04-13', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59448, '2020-04-14', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59449, '2020-04-15', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59450, '2020-04-16', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59451, '2020-04-17', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59452, '2020-04-18', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59453, '2020-04-19', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59454, '2020-04-20', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59455, '2020-04-21', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59456, '2020-04-22', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59457, '2020-04-23', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59458, '2020-04-24', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59459, '2020-04-25', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59460, '2020-04-26', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59461, '2020-04-27', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59462, '2020-04-28', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59463, '2020-04-29', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59464, '2020-04-30', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59465, '2020-05-01', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59466, '2020-05-02', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59467, '2020-05-03', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59468, '2020-05-04', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59469, '2020-05-05', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59470, '2020-05-06', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59471, '2020-05-07', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59472, '2020-05-08', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59473, '2020-05-09', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59474, '2020-05-10', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59475, '2020-05-11', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59476, '2020-05-12', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59477, '2020-05-13', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59478, '2020-05-14', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59479, '2020-05-15', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59480, '2020-05-16', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59481, '2020-05-17', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59482, '2020-05-18', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59483, '2020-05-19', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59484, '2020-05-20', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59485, '2020-05-21', 'NA', 'Namibia', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (59486, '2020-05-22', 'NA', 'Namibia', 'AFRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (59487, '2020-05-23', 'NA', 'Namibia', 'AFRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (59488, '2020-05-24', 'NA', 'Namibia', 'AFRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (59489, '2020-05-25', 'NA', 'Namibia', 'AFRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (59490, '2020-05-26', 'NA', 'Namibia', 'AFRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (59491, '2020-05-27', 'NA', 'Namibia', 'AFRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (59492, '2020-05-28', 'NA', 'Namibia', 'AFRO', '1', '22', '0', '0');
INSERT INTO public.who_import VALUES (59493, '2020-05-29', 'NA', 'Namibia', 'AFRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (59494, '2020-05-30', 'NA', 'Namibia', 'AFRO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (59495, '2020-05-31', 'NA', 'Namibia', 'AFRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (59496, '2020-06-01', 'NA', 'Namibia', 'AFRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (59497, '2020-06-02', 'NA', 'Namibia', 'AFRO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (59498, '2020-06-03', 'NA', 'Namibia', 'AFRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (59499, '2020-06-04', 'NA', 'Namibia', 'AFRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (59500, '2020-06-05', 'NA', 'Namibia', 'AFRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (59501, '2020-06-06', 'NA', 'Namibia', 'AFRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (59502, '2020-06-07', 'NA', 'Namibia', 'AFRO', '4', '29', '0', '0');
INSERT INTO public.who_import VALUES (59503, '2020-06-08', 'NA', 'Namibia', 'AFRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (59504, '2020-06-09', 'NA', 'Namibia', 'AFRO', '2', '31', '0', '0');
INSERT INTO public.who_import VALUES (59505, '2020-06-10', 'NA', 'Namibia', 'AFRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (59506, '2020-06-11', 'NA', 'Namibia', 'AFRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (59507, '2020-06-12', 'NA', 'Namibia', 'AFRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (59508, '2020-06-13', 'NA', 'Namibia', 'AFRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (59509, '2020-06-14', 'NA', 'Namibia', 'AFRO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (59510, '2020-06-15', 'NA', 'Namibia', 'AFRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (59511, '2020-06-16', 'NA', 'Namibia', 'AFRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (59512, '2020-06-17', 'NA', 'Namibia', 'AFRO', '2', '34', '0', '0');
INSERT INTO public.who_import VALUES (59513, '2020-06-18', 'NA', 'Namibia', 'AFRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (59514, '2020-06-19', 'NA', 'Namibia', 'AFRO', '5', '39', '0', '0');
INSERT INTO public.who_import VALUES (59515, '2020-06-20', 'NA', 'Namibia', 'AFRO', '6', '45', '0', '0');
INSERT INTO public.who_import VALUES (59516, '2020-06-21', 'NA', 'Namibia', 'AFRO', '1', '46', '0', '0');
INSERT INTO public.who_import VALUES (59517, '2020-06-22', 'NA', 'Namibia', 'AFRO', '9', '55', '0', '0');
INSERT INTO public.who_import VALUES (59518, '2020-06-23', 'NA', 'Namibia', 'AFRO', '8', '63', '0', '0');
INSERT INTO public.who_import VALUES (59519, '2020-06-24', 'NA', 'Namibia', 'AFRO', '9', '72', '0', '0');
INSERT INTO public.who_import VALUES (59520, '2020-06-25', 'NA', 'Namibia', 'AFRO', '4', '76', '0', '0');
INSERT INTO public.who_import VALUES (59521, '2020-06-26', 'NA', 'Namibia', 'AFRO', '26', '102', '0', '0');
INSERT INTO public.who_import VALUES (59522, '2020-06-27', 'NA', 'Namibia', 'AFRO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (59523, '2020-06-28', 'NA', 'Namibia', 'AFRO', '34', '136', '0', '0');
INSERT INTO public.who_import VALUES (59524, '2020-06-29', 'NA', 'Namibia', 'AFRO', '14', '150', '0', '0');
INSERT INTO public.who_import VALUES (59525, '2020-06-30', 'NA', 'Namibia', 'AFRO', '33', '183', '0', '0');
INSERT INTO public.who_import VALUES (59526, '2020-07-01', 'NA', 'Namibia', 'AFRO', '20', '203', '0', '0');
INSERT INTO public.who_import VALUES (59527, '2020-07-02', 'NA', 'Namibia', 'AFRO', '82', '285', '0', '0');
INSERT INTO public.who_import VALUES (59528, '2020-07-03', 'NA', 'Namibia', 'AFRO', '8', '293', '0', '0');
INSERT INTO public.who_import VALUES (59529, '2020-07-04', 'NA', 'Namibia', 'AFRO', '57', '350', '0', '0');
INSERT INTO public.who_import VALUES (59530, '2020-07-05', 'NA', 'Namibia', 'AFRO', '25', '375', '0', '0');
INSERT INTO public.who_import VALUES (59531, '2020-07-06', 'NA', 'Namibia', 'AFRO', '37', '412', '0', '0');
INSERT INTO public.who_import VALUES (59532, '2020-07-07', 'NA', 'Namibia', 'AFRO', '73', '485', '0', '0');
INSERT INTO public.who_import VALUES (59533, '2020-07-08', 'NA', 'Namibia', 'AFRO', '54', '539', '0', '0');
INSERT INTO public.who_import VALUES (59534, '2020-07-09', 'NA', 'Namibia', 'AFRO', '54', '593', '0', '0');
INSERT INTO public.who_import VALUES (59535, '2020-07-10', 'NA', 'Namibia', 'AFRO', '22', '615', '0', '0');
INSERT INTO public.who_import VALUES (59536, '2020-07-11', 'NA', 'Namibia', 'AFRO', '53', '668', '1', '1');
INSERT INTO public.who_import VALUES (59537, '2020-07-12', 'NA', 'Namibia', 'AFRO', '45', '713', '0', '1');
INSERT INTO public.who_import VALUES (59538, '2020-07-13', 'NA', 'Namibia', 'AFRO', '72', '785', '0', '1');
INSERT INTO public.who_import VALUES (59539, '2020-07-14', 'NA', 'Namibia', 'AFRO', '76', '861', '0', '1');
INSERT INTO public.who_import VALUES (59540, '2020-07-15', 'NA', 'Namibia', 'AFRO', '3', '864', '1', '2');
INSERT INTO public.who_import VALUES (59541, '2020-07-16', 'NA', 'Namibia', 'AFRO', '96', '960', '0', '2');
INSERT INTO public.who_import VALUES (59542, '2020-07-17', 'NA', 'Namibia', 'AFRO', '72', '1032', '0', '2');
INSERT INTO public.who_import VALUES (59543, '2020-07-18', 'NA', 'Namibia', 'AFRO', '46', '1078', '0', '2');
INSERT INTO public.who_import VALUES (59544, '2020-07-19', 'NA', 'Namibia', 'AFRO', '125', '1203', '0', '2');
INSERT INTO public.who_import VALUES (59545, '2020-07-20', 'NA', 'Namibia', 'AFRO', '44', '1247', '1', '3');
INSERT INTO public.who_import VALUES (59546, '2020-07-21', 'NA', 'Namibia', 'AFRO', '97', '1344', '1', '4');
INSERT INTO public.who_import VALUES (59547, '2020-07-22', 'NA', 'Namibia', 'AFRO', '22', '1366', '3', '7');
INSERT INTO public.who_import VALUES (59548, '2020-07-23', 'NA', 'Namibia', 'AFRO', '36', '1402', '0', '7');
INSERT INTO public.who_import VALUES (59549, '2020-07-24', 'NA', 'Namibia', 'AFRO', '120', '1522', '0', '7');
INSERT INTO public.who_import VALUES (59550, '2020-07-25', 'NA', 'Namibia', 'AFRO', '17', '1539', '0', '7');
INSERT INTO public.who_import VALUES (59551, '2020-07-26', 'NA', 'Namibia', 'AFRO', '148', '1687', '0', '7');
INSERT INTO public.who_import VALUES (59552, '2020-07-27', 'NA', 'Namibia', 'AFRO', '87', '1774', '1', '8');
INSERT INTO public.who_import VALUES (59553, '2020-07-28', 'NA', 'Namibia', 'AFRO', '68', '1842', '0', '8');
INSERT INTO public.who_import VALUES (59554, '2020-07-29', 'NA', 'Namibia', 'AFRO', '75', '1917', '0', '8');
INSERT INTO public.who_import VALUES (59555, '2020-07-30', 'NA', 'Namibia', 'AFRO', '69', '1986', '1', '9');
INSERT INTO public.who_import VALUES (59556, '2020-07-31', 'NA', 'Namibia', 'AFRO', '66', '2052', '1', '10');
INSERT INTO public.who_import VALUES (59557, '2020-08-01', 'NA', 'Namibia', 'AFRO', '77', '2129', '0', '10');
INSERT INTO public.who_import VALUES (59558, '2020-08-02', 'NA', 'Namibia', 'AFRO', '95', '2224', '1', '11');
INSERT INTO public.who_import VALUES (59559, '2020-08-03', 'NA', 'Namibia', 'AFRO', '70', '2294', '0', '11');
INSERT INTO public.who_import VALUES (59560, '2020-08-04', 'NA', 'Namibia', 'AFRO', '112', '2406', '1', '12');
INSERT INTO public.who_import VALUES (59561, '2020-08-05', 'NA', 'Namibia', 'AFRO', '64', '2470', '0', '12');
INSERT INTO public.who_import VALUES (59562, '2020-08-06', 'NA', 'Namibia', 'AFRO', '70', '2540', '0', '12');
INSERT INTO public.who_import VALUES (59563, '2020-08-07', 'NA', 'Namibia', 'AFRO', '112', '2652', '3', '15');
INSERT INTO public.who_import VALUES (59564, '2020-08-08', 'NA', 'Namibia', 'AFRO', '150', '2802', '1', '16');
INSERT INTO public.who_import VALUES (59565, '2020-08-09', 'NA', 'Namibia', 'AFRO', '50', '2852', '0', '16');
INSERT INTO public.who_import VALUES (59566, '2020-08-10', 'NA', 'Namibia', 'AFRO', '97', '2949', '3', '19');
INSERT INTO public.who_import VALUES (59567, '2020-08-11', 'NA', 'Namibia', 'AFRO', '152', '3101', '0', '19');
INSERT INTO public.who_import VALUES (59568, '2020-08-12', 'NA', 'Namibia', 'AFRO', '128', '3229', '0', '19');
INSERT INTO public.who_import VALUES (59569, '2020-08-13', 'NA', 'Namibia', 'AFRO', '177', '3406', '3', '22');
INSERT INTO public.who_import VALUES (59570, '2020-08-14', 'NA', 'Namibia', 'AFRO', '138', '3544', '5', '27');
INSERT INTO public.who_import VALUES (59571, '2020-08-15', 'NA', 'Namibia', 'AFRO', '182', '3726', '4', '31');
INSERT INTO public.who_import VALUES (59572, '2020-08-16', 'NA', 'Namibia', 'AFRO', '181', '3907', '4', '35');
INSERT INTO public.who_import VALUES (59573, '2020-08-17', 'NA', 'Namibia', 'AFRO', '247', '4154', '0', '35');
INSERT INTO public.who_import VALUES (59574, '2020-08-18', 'NA', 'Namibia', 'AFRO', '190', '4344', '1', '36');
INSERT INTO public.who_import VALUES (59575, '2020-08-19', 'NA', 'Namibia', 'AFRO', '120', '4464', '1', '37');
INSERT INTO public.who_import VALUES (59576, '2020-08-20', 'NA', 'Namibia', 'AFRO', '201', '4665', '2', '39');
INSERT INTO public.who_import VALUES (59577, '2020-08-21', 'NA', 'Namibia', 'AFRO', '247', '4912', '3', '42');
INSERT INTO public.who_import VALUES (59578, '2020-08-22', 'NA', 'Namibia', 'AFRO', '315', '5227', '1', '43');
INSERT INTO public.who_import VALUES (59579, '2020-08-23', 'NA', 'Namibia', 'AFRO', '311', '5538', '3', '46');
INSERT INTO public.who_import VALUES (59580, '2020-08-24', 'NA', 'Namibia', 'AFRO', '316', '5854', '6', '52');
INSERT INTO public.who_import VALUES (59581, '2020-08-25', 'NA', 'Namibia', 'AFRO', '176', '6030', '4', '56');
INSERT INTO public.who_import VALUES (59582, '2020-08-26', 'NA', 'Namibia', 'AFRO', '130', '6160', '1', '57');
INSERT INTO public.who_import VALUES (59583, '2020-08-27', 'NA', 'Namibia', 'AFRO', '271', '6431', '2', '59');
INSERT INTO public.who_import VALUES (59584, '2020-08-28', 'NA', 'Namibia', 'AFRO', '281', '6712', '1', '60');
INSERT INTO public.who_import VALUES (59585, '2020-08-29', 'NA', 'Namibia', 'AFRO', '194', '6906', '5', '65');
INSERT INTO public.who_import VALUES (59586, '2020-08-30', 'NA', 'Namibia', 'AFRO', '210', '7116', '4', '69');
INSERT INTO public.who_import VALUES (59587, '2020-08-31', 'NA', 'Namibia', 'AFRO', '249', '7365', '3', '72');
INSERT INTO public.who_import VALUES (59588, '2020-09-01', 'NA', 'Namibia', 'AFRO', '185', '7550', '3', '75');
INSERT INTO public.who_import VALUES (59589, '2020-09-02', 'NA', 'Namibia', 'AFRO', '142', '7692', '6', '81');
INSERT INTO public.who_import VALUES (59590, '2020-09-03', 'NA', 'Namibia', 'AFRO', '152', '7844', '1', '82');
INSERT INTO public.who_import VALUES (59591, '2020-09-04', 'NA', 'Namibia', 'AFRO', '238', '8082', '4', '86');
INSERT INTO public.who_import VALUES (59592, '2020-09-05', 'NA', 'Namibia', 'AFRO', '241', '8323', '1', '87');
INSERT INTO public.who_import VALUES (59593, '2020-09-06', 'NA', 'Namibia', 'AFRO', '191', '8514', '0', '87');
INSERT INTO public.who_import VALUES (59594, '2020-09-07', 'NA', 'Namibia', 'AFRO', '171', '8685', '2', '89');
INSERT INTO public.who_import VALUES (59595, '2020-09-08', 'NA', 'Namibia', 'AFRO', '125', '8810', '2', '91');
INSERT INTO public.who_import VALUES (59596, '2020-09-09', 'NA', 'Namibia', 'AFRO', '118', '8928', '-2', '89');
INSERT INTO public.who_import VALUES (59597, '2020-09-10', 'NA', 'Namibia', 'AFRO', '180', '9108', '4', '93');
INSERT INTO public.who_import VALUES (59598, '2020-09-11', 'NA', 'Namibia', 'AFRO', '148', '9256', '3', '96');
INSERT INTO public.who_import VALUES (59599, '2020-09-12', 'NA', 'Namibia', 'AFRO', '181', '9437', '2', '98');
INSERT INTO public.who_import VALUES (59600, '2020-09-13', 'NA', 'Namibia', 'AFRO', '167', '9604', '0', '98');
INSERT INTO public.who_import VALUES (59601, '2020-09-14', 'NA', 'Namibia', 'AFRO', '115', '9719', '3', '101');
INSERT INTO public.who_import VALUES (59602, '2020-09-15', 'NA', 'Namibia', 'AFRO', '99', '9818', '2', '103');
INSERT INTO public.who_import VALUES (59603, '2020-09-16', 'NA', 'Namibia', 'AFRO', '83', '9901', '3', '106');
INSERT INTO public.who_import VALUES (59604, '2020-09-17', 'NA', 'Namibia', 'AFRO', '63', '9964', '2', '108');
INSERT INTO public.who_import VALUES (59605, '2020-09-18', 'NA', 'Namibia', 'AFRO', '114', '10078', '0', '108');
INSERT INTO public.who_import VALUES (59606, '2020-09-19', 'NA', 'Namibia', 'AFRO', '129', '10207', '0', '108');
INSERT INTO public.who_import VALUES (59607, '2020-09-20', 'NA', 'Namibia', 'AFRO', '85', '10292', '3', '111');
INSERT INTO public.who_import VALUES (59608, '2020-09-21', 'NA', 'Namibia', 'AFRO', '85', '10377', '1', '112');
INSERT INTO public.who_import VALUES (59609, '2020-09-22', 'NA', 'Namibia', 'AFRO', '149', '10526', '1', '113');
INSERT INTO public.who_import VALUES (59610, '2020-09-23', 'NA', 'Namibia', 'AFRO', '81', '10607', '3', '116');
INSERT INTO public.who_import VALUES (59611, '2020-09-24', 'NA', 'Namibia', 'AFRO', '56', '10663', '1', '117');
INSERT INTO public.who_import VALUES (59612, '2020-09-25', 'NA', 'Namibia', 'AFRO', '77', '10740', '2', '119');
INSERT INTO public.who_import VALUES (59613, '2020-09-26', 'NA', 'Namibia', 'AFRO', '95', '10835', '0', '119');
INSERT INTO public.who_import VALUES (59614, '2020-09-27', 'NA', 'Namibia', 'AFRO', '83', '10918', '1', '120');
INSERT INTO public.who_import VALUES (59615, '2020-09-28', 'NA', 'Namibia', 'AFRO', '115', '11033', '0', '120');
INSERT INTO public.who_import VALUES (59616, '2020-09-29', 'NA', 'Namibia', 'AFRO', '88', '11121', '1', '121');
INSERT INTO public.who_import VALUES (59617, '2020-09-30', 'NA', 'Namibia', 'AFRO', '19', '11140', '0', '121');
INSERT INTO public.who_import VALUES (59618, '2020-10-01', 'NA', 'Namibia', 'AFRO', '125', '11265', '0', '121');
INSERT INTO public.who_import VALUES (59619, '2020-10-02', 'NA', 'Namibia', 'AFRO', '114', '11379', '2', '123');
INSERT INTO public.who_import VALUES (59620, '2020-10-03', 'NA', 'Namibia', 'AFRO', '101', '11480', '0', '123');
INSERT INTO public.who_import VALUES (59621, '2020-10-04', 'NA', 'Namibia', 'AFRO', '92', '11572', '0', '123');
INSERT INTO public.who_import VALUES (59622, '2020-10-05', 'NA', 'Namibia', 'AFRO', '54', '11626', '0', '123');
INSERT INTO public.who_import VALUES (59623, '2020-10-06', 'NA', 'Namibia', 'AFRO', '28', '11654', '2', '125');
INSERT INTO public.who_import VALUES (59624, '2020-10-07', 'NA', 'Namibia', 'AFRO', '19', '11673', '0', '125');
INSERT INTO public.who_import VALUES (59625, '2020-10-08', 'NA', 'Namibia', 'AFRO', '41', '11714', '1', '126');
INSERT INTO public.who_import VALUES (59626, '2020-10-09', 'NA', 'Namibia', 'AFRO', '67', '11781', '1', '127');
INSERT INTO public.who_import VALUES (59627, '2020-10-10', 'NA', 'Namibia', 'AFRO', '48', '11829', '0', '127');
INSERT INTO public.who_import VALUES (59628, '2020-10-11', 'NA', 'Namibia', 'AFRO', '62', '11891', '1', '128');
INSERT INTO public.who_import VALUES (59629, '2020-10-12', 'NA', 'Namibia', 'AFRO', '45', '11936', '0', '128');
INSERT INTO public.who_import VALUES (59630, '2020-10-13', 'NA', 'Namibia', 'AFRO', '53', '11989', '1', '129');
INSERT INTO public.who_import VALUES (59631, '2020-10-14', 'NA', 'Namibia', 'AFRO', '11', '12000', '0', '129');
INSERT INTO public.who_import VALUES (59632, '2020-10-15', 'NA', 'Namibia', 'AFRO', '69', '12069', '1', '130');
INSERT INTO public.who_import VALUES (59633, '2020-10-16', 'NA', 'Namibia', 'AFRO', '34', '12103', '0', '130');
INSERT INTO public.who_import VALUES (59634, '2020-10-17', 'NA', 'Namibia', 'AFRO', '112', '12215', '1', '131');
INSERT INTO public.who_import VALUES (59635, '2020-10-18', 'NA', 'Namibia', 'AFRO', '48', '12263', '0', '131');
INSERT INTO public.who_import VALUES (59636, '2020-10-19', 'NA', 'Namibia', 'AFRO', '30', '12293', '0', '131');
INSERT INTO public.who_import VALUES (59637, '2020-10-20', 'NA', 'Namibia', 'AFRO', '33', '12326', '0', '131');
INSERT INTO public.who_import VALUES (59638, '2020-10-21', 'NA', 'Namibia', 'AFRO', '41', '12367', '1', '132');
INSERT INTO public.who_import VALUES (59639, '2020-10-22', 'NA', 'Namibia', 'AFRO', '39', '12406', '1', '133');
INSERT INTO public.who_import VALUES (59640, '2020-10-23', 'NA', 'Namibia', 'AFRO', '54', '12460', '0', '133');
INSERT INTO public.who_import VALUES (59641, '2020-10-24', 'NA', 'Namibia', 'AFRO', '41', '12501', '0', '133');
INSERT INTO public.who_import VALUES (59642, '2020-10-25', 'NA', 'Namibia', 'AFRO', '78', '12579', '0', '133');
INSERT INTO public.who_import VALUES (59643, '2020-10-26', 'NA', 'Namibia', 'AFRO', '81', '12660', '0', '133');
INSERT INTO public.who_import VALUES (59644, '2020-10-27', 'NA', 'Namibia', 'AFRO', '15', '12675', '0', '133');
INSERT INTO public.who_import VALUES (59645, '2020-10-28', 'NA', 'Namibia', 'AFRO', '54', '12729', '0', '133');
INSERT INTO public.who_import VALUES (59646, '2020-10-29', 'NA', 'Namibia', 'AFRO', '77', '12806', '0', '133');
INSERT INTO public.who_import VALUES (59647, '2020-10-30', 'NA', 'Namibia', 'AFRO', '52', '12858', '0', '133');
INSERT INTO public.who_import VALUES (59648, '2020-10-31', 'NA', 'Namibia', 'AFRO', '49', '12907', '0', '133');
INSERT INTO public.who_import VALUES (59649, '2020-11-01', 'NA', 'Namibia', 'AFRO', '28', '12935', '0', '133');
INSERT INTO public.who_import VALUES (59650, '2020-11-02', 'NA', 'Namibia', 'AFRO', '53', '12988', '0', '133');
INSERT INTO public.who_import VALUES (59651, '2020-11-03', 'NA', 'Namibia', 'AFRO', '24', '13012', '0', '133');
INSERT INTO public.who_import VALUES (59652, '2020-11-04', 'NA', 'Namibia', 'AFRO', '18', '13030', '0', '133');
INSERT INTO public.who_import VALUES (59653, '2020-11-05', 'NA', 'Namibia', 'AFRO', '16', '13046', '0', '133');
INSERT INTO public.who_import VALUES (59654, '2020-11-06', 'NA', 'Namibia', 'AFRO', '45', '13091', '0', '133');
INSERT INTO public.who_import VALUES (59655, '2020-11-07', 'NA', 'Namibia', 'AFRO', '52', '13143', '0', '133');
INSERT INTO public.who_import VALUES (59656, '2020-11-08', 'NA', 'Namibia', 'AFRO', '27', '13170', '1', '134');
INSERT INTO public.who_import VALUES (59657, '2020-11-09', 'NA', 'Namibia', 'AFRO', '41', '13211', '0', '134');
INSERT INTO public.who_import VALUES (59658, '2020-11-10', 'NA', 'Namibia', 'AFRO', '29', '13240', '0', '134');
INSERT INTO public.who_import VALUES (59659, '2020-11-11', 'NA', 'Namibia', 'AFRO', '13', '13253', '0', '134');
INSERT INTO public.who_import VALUES (59660, '2020-11-12', 'NA', 'Namibia', 'AFRO', '39', '13292', '0', '134');
INSERT INTO public.who_import VALUES (59661, '2020-11-13', 'NA', 'Namibia', 'AFRO', '53', '13345', '1', '135');
INSERT INTO public.who_import VALUES (59662, '2020-11-14', 'NA', 'Namibia', 'AFRO', '27', '13372', '3', '138');
INSERT INTO public.who_import VALUES (59663, '2020-11-15', 'NA', 'Namibia', 'AFRO', '77', '13449', '0', '138');
INSERT INTO public.who_import VALUES (59664, '2020-11-16', 'NA', 'Namibia', 'AFRO', '59', '13508', '0', '138');
INSERT INTO public.who_import VALUES (59665, '2020-11-17', 'NA', 'Namibia', 'AFRO', '47', '13555', '0', '138');
INSERT INTO public.who_import VALUES (59666, '2020-11-18', 'NA', 'Namibia', 'AFRO', '11', '13566', '2', '140');
INSERT INTO public.who_import VALUES (59667, '2020-11-19', 'NA', 'Namibia', 'AFRO', '44', '13610', '0', '140');
INSERT INTO public.who_import VALUES (59668, '2020-11-20', 'NA', 'Namibia', 'AFRO', '52', '13662', '1', '141');
INSERT INTO public.who_import VALUES (59669, '2020-11-21', 'NA', 'Namibia', 'AFRO', '50', '13712', '2', '143');
INSERT INTO public.who_import VALUES (59670, '2020-11-22', 'NA', 'Namibia', 'AFRO', '99', '13811', '0', '143');
INSERT INTO public.who_import VALUES (59671, '2020-11-23', 'NA', 'Namibia', 'AFRO', '54', '13865', '1', '144');
INSERT INTO public.who_import VALUES (59672, '2020-11-24', 'NA', 'Namibia', 'AFRO', '32', '13897', '1', '145');
INSERT INTO public.who_import VALUES (59673, '2020-11-25', 'NA', 'Namibia', 'AFRO', '41', '13938', '0', '145');
INSERT INTO public.who_import VALUES (59674, '2020-11-26', 'NA', 'Namibia', 'AFRO', '68', '14006', '0', '145');
INSERT INTO public.who_import VALUES (59675, '2020-11-27', 'NA', 'Namibia', 'AFRO', '149', '14155', '2', '147');
INSERT INTO public.who_import VALUES (59676, '2020-11-28', 'NA', 'Namibia', 'AFRO', '52', '14207', '2', '149');
INSERT INTO public.who_import VALUES (59677, '2020-11-29', 'NA', 'Namibia', 'AFRO', '78', '14285', '1', '150');
INSERT INTO public.who_import VALUES (59678, '2020-11-30', 'NA', 'Namibia', 'AFRO', '60', '14345', '1', '151');
INSERT INTO public.who_import VALUES (59679, '2020-12-01', 'NA', 'Namibia', 'AFRO', '35', '14380', '1', '152');
INSERT INTO public.who_import VALUES (59680, '2020-12-02', 'NA', 'Namibia', 'AFRO', '36', '14416', '0', '152');
INSERT INTO public.who_import VALUES (59681, '2020-12-03', 'NA', 'Namibia', 'AFRO', '61', '14477', '0', '152');
INSERT INTO public.who_import VALUES (59682, '2020-12-04', 'NA', 'Namibia', 'AFRO', '122', '14599', '0', '152');
INSERT INTO public.who_import VALUES (59683, '2020-12-05', 'NA', 'Namibia', 'AFRO', '181', '14780', '1', '153');
INSERT INTO public.who_import VALUES (59684, '2020-12-06', 'NA', 'Namibia', 'AFRO', '170', '14950', '0', '153');
INSERT INTO public.who_import VALUES (59685, '2020-12-07', 'NA', 'Namibia', 'AFRO', '128', '15078', '0', '153');
INSERT INTO public.who_import VALUES (59686, '2020-12-08', 'NA', 'Namibia', 'AFRO', '141', '15219', '0', '153');
INSERT INTO public.who_import VALUES (59687, '2020-12-09', 'NA', 'Namibia', 'AFRO', '79', '15298', '1', '154');
INSERT INTO public.who_import VALUES (59688, '2020-12-10', 'NA', 'Namibia', 'AFRO', '174', '15472', '1', '155');
INSERT INTO public.who_import VALUES (59689, '2020-12-11', 'NA', 'Namibia', 'AFRO', '301', '15773', '3', '158');
INSERT INTO public.who_import VALUES (59690, '2020-12-12', 'NA', 'Namibia', 'AFRO', '324', '16097', '2', '160');
INSERT INTO public.who_import VALUES (59691, '2020-12-13', 'NA', 'Namibia', 'AFRO', '0', '16097', '0', '160');
INSERT INTO public.who_import VALUES (59692, '2020-12-14', 'NA', 'Namibia', 'AFRO', '439', '16536', '0', '160');
INSERT INTO public.who_import VALUES (59693, '2020-12-15', 'NA', 'Namibia', 'AFRO', '190', '16726', '3', '163');
INSERT INTO public.who_import VALUES (59694, '2020-12-16', 'NA', 'Namibia', 'AFRO', '187', '16913', '1', '164');
INSERT INTO public.who_import VALUES (59695, '2020-12-17', 'NA', 'Namibia', 'AFRO', '363', '17276', '0', '164');
INSERT INTO public.who_import VALUES (59696, '2020-12-18', 'NA', 'Namibia', 'AFRO', '331', '17607', '0', '164');
INSERT INTO public.who_import VALUES (59697, '2020-12-19', 'NA', 'Namibia', 'AFRO', '434', '18041', '5', '169');
INSERT INTO public.who_import VALUES (59698, '2020-12-20', 'NA', 'Namibia', 'AFRO', '396', '18437', '2', '171');
INSERT INTO public.who_import VALUES (59699, '2020-12-21', 'NA', 'Namibia', 'AFRO', '277', '18714', '6', '177');
INSERT INTO public.who_import VALUES (59700, '2020-12-22', 'NA', 'Namibia', 'AFRO', '585', '19299', '3', '180');
INSERT INTO public.who_import VALUES (59701, '2020-12-23', 'NA', 'Namibia', 'AFRO', '330', '19629', '1', '181');
INSERT INTO public.who_import VALUES (59702, '2020-12-24', 'NA', 'Namibia', 'AFRO', '355', '19984', '2', '183');
INSERT INTO public.who_import VALUES (59703, '2020-12-25', 'NA', 'Namibia', 'AFRO', '595', '20579', '4', '187');
INSERT INTO public.who_import VALUES (59704, '2020-12-26', 'NA', 'Namibia', 'AFRO', '683', '21262', '0', '187');
INSERT INTO public.who_import VALUES (59705, '2020-12-27', 'NA', 'Namibia', 'AFRO', '136', '21398', '0', '187');
INSERT INTO public.who_import VALUES (59706, '2020-12-28', 'NA', 'Namibia', 'AFRO', '525', '21923', '4', '191');
INSERT INTO public.who_import VALUES (59707, '2020-12-29', 'NA', 'Namibia', 'AFRO', '0', '21923', '0', '191');
INSERT INTO public.who_import VALUES (59708, '2020-12-30', 'NA', 'Namibia', 'AFRO', '928', '22851', '4', '195');
INSERT INTO public.who_import VALUES (59709, '2020-12-31', 'NA', 'Namibia', 'AFRO', '482', '23333', '1', '196');
INSERT INTO public.who_import VALUES (59710, '2021-01-01', 'NA', 'Namibia', 'AFRO', '608', '23941', '9', '205');
INSERT INTO public.who_import VALUES (59711, '2021-01-02', 'NA', 'Namibia', 'AFRO', '0', '23941', '0', '205');
INSERT INTO public.who_import VALUES (59712, '2021-01-03', 'NA', 'Namibia', 'AFRO', '713', '24654', '8', '213');
INSERT INTO public.who_import VALUES (59713, '2021-01-04', 'NA', 'Namibia', 'AFRO', '462', '25116', '2', '215');
INSERT INTO public.who_import VALUES (59714, '2021-01-05', 'NA', 'Namibia', 'AFRO', '270', '25386', '3', '218');
INSERT INTO public.who_import VALUES (59715, '2021-01-06', 'NA', 'Namibia', 'AFRO', '501', '25887', '4', '222');
INSERT INTO public.who_import VALUES (59716, '2021-01-07', 'NA', 'Namibia', 'AFRO', '423', '26310', '13', '235');
INSERT INTO public.who_import VALUES (59717, '2021-01-08', 'NA', 'Namibia', 'AFRO', '372', '26682', '5', '240');
INSERT INTO public.who_import VALUES (59718, '2021-01-09', 'NA', 'Namibia', 'AFRO', '573', '27255', '0', '240');
INSERT INTO public.who_import VALUES (59719, '2021-01-10', 'NA', 'Namibia', 'AFRO', '468', '27723', '11', '251');
INSERT INTO public.who_import VALUES (59720, '2021-01-11', 'NA', 'Namibia', 'AFRO', '536', '28259', '3', '254');
INSERT INTO public.who_import VALUES (59721, '2021-01-12', 'NA', 'Namibia', 'AFRO', '343', '28602', '7', '261');
INSERT INTO public.who_import VALUES (59722, '2021-01-13', 'NA', 'Namibia', 'AFRO', '269', '28871', '3', '264');
INSERT INTO public.who_import VALUES (59723, '2021-01-14', 'NA', 'Namibia', 'AFRO', '312', '29183', '7', '271');
INSERT INTO public.who_import VALUES (59724, '2021-01-15', 'NA', 'Namibia', 'AFRO', '387', '29570', '4', '275');
INSERT INTO public.who_import VALUES (59725, '2021-01-16', 'NA', 'Namibia', 'AFRO', '0', '29570', '0', '275');
INSERT INTO public.who_import VALUES (59726, '2021-01-17', 'NA', 'Namibia', 'AFRO', '628', '30198', '5', '280');
INSERT INTO public.who_import VALUES (59727, '2021-01-18', 'NA', 'Namibia', 'AFRO', '165', '30363', '5', '285');
INSERT INTO public.who_import VALUES (59728, '2021-01-19', 'NA', 'Namibia', 'AFRO', '390', '30753', '8', '293');
INSERT INTO public.who_import VALUES (59729, '2021-01-20', 'NA', 'Namibia', 'AFRO', '242', '30995', '3', '296');
INSERT INTO public.who_import VALUES (59730, '2021-01-21', 'NA', 'Namibia', 'AFRO', '258', '31253', '5', '301');
INSERT INTO public.who_import VALUES (59731, '2021-01-22', 'NA', 'Namibia', 'AFRO', '262', '31515', '9', '310');
INSERT INTO public.who_import VALUES (59732, '2021-01-23', 'NA', 'Namibia', 'AFRO', '333', '31848', '1', '311');
INSERT INTO public.who_import VALUES (59733, '2021-01-24', 'NA', 'Namibia', 'AFRO', '365', '32213', '6', '317');
INSERT INTO public.who_import VALUES (59734, '2021-01-25', 'NA', 'Namibia', 'AFRO', '212', '32425', '2', '319');
INSERT INTO public.who_import VALUES (59735, '2021-01-26', 'NA', 'Namibia', 'AFRO', '225', '32650', '0', '319');
INSERT INTO public.who_import VALUES (59736, '2021-01-27', 'NA', 'Namibia', 'AFRO', '307', '32957', '9', '328');
INSERT INTO public.who_import VALUES (59737, '2021-01-28', 'NA', 'Namibia', 'AFRO', '298', '33255', '4', '332');
INSERT INTO public.who_import VALUES (59738, '2021-01-29', 'NA', 'Namibia', 'AFRO', '194', '33449', '0', '332');
INSERT INTO public.who_import VALUES (59739, '2021-01-30', 'NA', 'Namibia', 'AFRO', '243', '33692', '10', '342');
INSERT INTO public.who_import VALUES (59740, '2021-01-31', 'NA', 'Namibia', 'AFRO', '136', '33828', '8', '350');
INSERT INTO public.who_import VALUES (59741, '2021-02-01', 'NA', 'Namibia', 'AFRO', '112', '33940', '2', '352');
INSERT INTO public.who_import VALUES (59742, '2021-02-02', 'NA', 'Namibia', 'AFRO', '228', '34168', '1', '353');
INSERT INTO public.who_import VALUES (59743, '2021-02-03', 'NA', 'Namibia', 'AFRO', '102', '34270', '2', '355');
INSERT INTO public.who_import VALUES (59744, '2021-02-04', 'NA', 'Namibia', 'AFRO', '102', '34372', '4', '359');
INSERT INTO public.who_import VALUES (59745, '2021-02-05', 'NA', 'Namibia', 'AFRO', '147', '34519', '5', '364');
INSERT INTO public.who_import VALUES (59746, '2021-02-06', 'NA', 'Namibia', 'AFRO', '96', '34615', '6', '370');
INSERT INTO public.who_import VALUES (59747, '2021-02-07', 'NA', 'Namibia', 'AFRO', '230', '34845', '1', '371');
INSERT INTO public.who_import VALUES (59748, '2021-02-08', 'NA', 'Namibia', 'AFRO', '129', '34974', '4', '375');
INSERT INTO public.who_import VALUES (59749, '2021-02-09', 'NA', 'Namibia', 'AFRO', '96', '35070', '0', '375');
INSERT INTO public.who_import VALUES (59750, '2021-02-10', 'NA', 'Namibia', 'AFRO', '131', '35201', '2', '377');
INSERT INTO public.who_import VALUES (59751, '2021-02-11', 'NA', 'Namibia', 'AFRO', '41', '35242', '1', '378');
INSERT INTO public.who_import VALUES (59752, '2021-02-12', 'NA', 'Namibia', 'AFRO', '111', '35353', '4', '382');
INSERT INTO public.who_import VALUES (59753, '2021-02-13', 'NA', 'Namibia', 'AFRO', '201', '35554', '2', '384');
INSERT INTO public.who_import VALUES (59754, '2021-02-14', 'NA', 'Namibia', 'AFRO', '243', '35797', '2', '386');
INSERT INTO public.who_import VALUES (59755, '2021-02-15', 'NA', 'Namibia', 'AFRO', '173', '35970', '2', '388');
INSERT INTO public.who_import VALUES (59756, '2021-02-16', 'NA', 'Namibia', 'AFRO', '272', '36242', '1', '389');
INSERT INTO public.who_import VALUES (59757, '2021-02-17', 'NA', 'Namibia', 'AFRO', '124', '36366', '3', '392');
INSERT INTO public.who_import VALUES (59758, '2021-02-18', 'NA', 'Namibia', 'AFRO', '135', '36501', '2', '394');
INSERT INTO public.who_import VALUES (59759, '2021-02-19', 'NA', 'Namibia', 'AFRO', '179', '36680', '0', '394');
INSERT INTO public.who_import VALUES (59760, '2021-02-20', 'NA', 'Namibia', 'AFRO', '313', '36993', '0', '394');
INSERT INTO public.who_import VALUES (59761, '2020-01-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59762, '2020-01-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59763, '2020-01-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59764, '2020-01-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59765, '2020-01-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59766, '2020-01-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59767, '2020-01-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59768, '2020-01-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59769, '2020-01-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59770, '2020-01-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59771, '2020-01-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59772, '2020-01-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59773, '2020-01-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59774, '2020-01-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59775, '2020-01-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59776, '2020-01-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59777, '2020-01-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59778, '2020-01-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59779, '2020-01-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59780, '2020-01-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59781, '2020-01-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59782, '2020-01-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59783, '2020-01-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59784, '2020-01-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59785, '2020-01-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59786, '2020-01-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59787, '2020-01-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59788, '2020-01-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59789, '2020-01-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59790, '2020-02-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59791, '2020-02-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59792, '2020-02-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59793, '2020-02-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59794, '2020-02-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59795, '2020-02-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59796, '2020-02-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59797, '2020-02-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59798, '2020-02-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59799, '2020-02-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59800, '2020-02-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59801, '2020-02-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59802, '2020-02-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59803, '2020-02-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59804, '2020-02-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59805, '2020-02-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59806, '2020-02-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59807, '2020-02-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59808, '2020-02-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59809, '2020-02-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59810, '2020-02-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59811, '2020-02-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59812, '2020-02-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59813, '2020-02-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59814, '2020-02-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59815, '2020-02-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59816, '2020-02-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59817, '2020-02-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59818, '2020-02-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59819, '2020-03-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59820, '2020-03-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59821, '2020-03-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59822, '2020-03-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59823, '2020-03-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59824, '2020-03-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59825, '2020-03-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59826, '2020-03-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59827, '2020-03-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59828, '2020-03-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59829, '2020-03-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59830, '2020-03-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59831, '2020-03-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59832, '2020-03-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59833, '2020-03-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59834, '2020-03-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59835, '2020-03-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59836, '2020-03-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59837, '2020-03-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59838, '2020-03-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59839, '2020-03-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59840, '2020-03-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59841, '2020-03-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59842, '2020-03-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59843, '2020-03-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59844, '2020-03-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59845, '2020-03-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59846, '2020-03-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59847, '2020-03-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59848, '2020-03-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59849, '2020-03-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59850, '2020-04-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59851, '2020-04-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59852, '2020-04-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59853, '2020-04-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59854, '2020-04-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59855, '2020-04-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59856, '2020-04-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59857, '2020-04-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59858, '2020-04-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59859, '2020-04-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59860, '2020-04-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59861, '2020-04-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59862, '2020-04-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59863, '2020-04-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59864, '2020-04-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59865, '2020-04-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59866, '2020-04-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59867, '2020-04-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59868, '2020-04-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59869, '2020-04-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59870, '2020-04-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59871, '2020-04-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59872, '2020-04-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59873, '2020-04-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59874, '2020-04-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59875, '2020-04-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59876, '2020-04-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59877, '2020-04-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59878, '2020-04-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59879, '2020-04-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59880, '2020-05-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59881, '2020-05-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59882, '2020-05-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59883, '2020-05-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59884, '2020-05-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59885, '2020-05-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59886, '2020-05-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59887, '2020-05-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59888, '2020-05-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59889, '2020-05-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59890, '2020-05-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59891, '2020-05-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59892, '2020-05-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59893, '2020-05-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59894, '2020-05-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59895, '2020-05-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59896, '2020-05-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59897, '2020-05-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59898, '2020-05-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59899, '2020-05-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59900, '2020-05-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59901, '2020-05-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59902, '2020-05-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59903, '2020-05-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59904, '2020-05-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59905, '2020-05-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59906, '2020-05-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59907, '2020-05-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59908, '2020-05-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59909, '2020-05-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59910, '2020-05-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59911, '2020-06-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59912, '2020-06-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59913, '2020-06-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59914, '2020-06-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59915, '2020-06-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59916, '2020-06-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59917, '2020-06-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59918, '2020-06-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59919, '2020-06-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59920, '2020-06-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59921, '2020-06-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59922, '2020-06-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59923, '2020-06-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59924, '2020-06-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59925, '2020-06-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59926, '2020-06-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59927, '2020-06-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59928, '2020-06-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59929, '2020-06-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59930, '2020-06-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59931, '2020-06-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59932, '2020-06-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59933, '2020-06-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59934, '2020-06-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59935, '2020-06-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59936, '2020-06-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59937, '2020-06-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59938, '2020-06-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59939, '2020-06-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59940, '2020-06-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59941, '2020-07-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59942, '2020-07-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59943, '2020-07-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59944, '2020-07-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59945, '2020-07-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59946, '2020-07-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59947, '2020-07-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59948, '2020-07-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59949, '2020-07-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59950, '2020-07-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59951, '2020-07-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59952, '2020-07-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59953, '2020-07-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59954, '2020-07-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59955, '2020-07-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59956, '2020-07-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59957, '2020-07-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59958, '2020-07-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59959, '2020-07-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59960, '2020-07-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59961, '2020-07-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59962, '2020-07-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59963, '2020-07-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59964, '2020-07-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59965, '2020-07-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59966, '2020-07-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59967, '2020-07-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59968, '2020-07-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59969, '2020-07-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59970, '2020-07-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59971, '2020-07-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59972, '2020-08-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59973, '2020-08-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59974, '2020-08-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59975, '2020-08-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59976, '2020-08-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59977, '2020-08-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59978, '2020-08-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59979, '2020-08-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59980, '2020-08-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59981, '2020-08-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59982, '2020-08-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59983, '2020-08-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59984, '2020-08-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59985, '2020-08-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59986, '2020-08-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59987, '2020-08-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59988, '2020-08-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59989, '2020-08-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59990, '2020-08-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59991, '2020-08-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59992, '2020-08-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59993, '2020-08-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59994, '2020-08-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59995, '2020-08-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59996, '2020-08-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59997, '2020-08-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59998, '2020-08-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (59999, '2020-08-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60000, '2020-08-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60001, '2020-08-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60002, '2020-08-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60003, '2020-09-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60004, '2020-09-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60005, '2020-09-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60006, '2020-09-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60007, '2020-09-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60008, '2020-09-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60009, '2020-09-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60010, '2020-09-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60011, '2020-09-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60012, '2020-09-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60013, '2020-09-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60014, '2020-09-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60015, '2020-09-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60016, '2020-09-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60017, '2020-09-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60018, '2020-09-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60019, '2020-09-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60020, '2020-09-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60021, '2020-09-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60022, '2020-09-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60023, '2020-09-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60024, '2020-09-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60025, '2020-09-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60026, '2020-09-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60027, '2020-09-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60028, '2020-09-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60029, '2020-09-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60030, '2020-09-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60031, '2020-09-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60032, '2020-09-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60033, '2020-10-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60034, '2020-10-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60035, '2020-10-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60036, '2020-10-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60037, '2020-10-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60038, '2020-10-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60039, '2020-10-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60040, '2020-10-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60041, '2020-10-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60042, '2020-10-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60043, '2020-10-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60044, '2020-10-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60045, '2020-10-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60046, '2020-10-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60047, '2020-10-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60048, '2020-10-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60049, '2020-10-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60050, '2020-10-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60051, '2020-10-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60052, '2020-10-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60053, '2020-10-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60054, '2020-10-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60055, '2020-10-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60056, '2020-10-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60057, '2020-10-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60058, '2020-10-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60059, '2020-10-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60060, '2020-10-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60061, '2020-10-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60062, '2020-10-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60063, '2020-10-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60064, '2020-11-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60065, '2020-11-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60066, '2020-11-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60067, '2020-11-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60068, '2020-11-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60069, '2020-11-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60070, '2020-11-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60071, '2020-11-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60072, '2020-11-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60073, '2020-11-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60074, '2020-11-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60075, '2020-11-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60076, '2020-11-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60077, '2020-11-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60078, '2020-11-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60079, '2020-11-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60080, '2020-11-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60081, '2020-11-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60082, '2020-11-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60083, '2020-11-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60084, '2020-11-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60085, '2020-11-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60086, '2020-11-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60087, '2020-11-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60088, '2020-11-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60089, '2020-11-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60090, '2020-11-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60091, '2020-11-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60092, '2020-11-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60093, '2020-11-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60094, '2020-12-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60095, '2020-12-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60096, '2020-12-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60097, '2020-12-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60098, '2020-12-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60099, '2020-12-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60100, '2020-12-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60101, '2020-12-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60102, '2020-12-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60103, '2020-12-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60104, '2020-12-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60105, '2020-12-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60106, '2020-12-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60107, '2020-12-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60108, '2020-12-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60109, '2020-12-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60110, '2020-12-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60111, '2020-12-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60112, '2020-12-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60113, '2020-12-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60114, '2020-12-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60115, '2020-12-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60116, '2020-12-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60117, '2020-12-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60118, '2020-12-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60119, '2020-12-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60120, '2020-12-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60121, '2020-12-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60122, '2020-12-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60123, '2020-12-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60124, '2020-12-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60125, '2021-01-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60126, '2021-01-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60127, '2021-01-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60128, '2021-01-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60129, '2021-01-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60130, '2021-01-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60131, '2021-01-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60132, '2021-01-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60133, '2021-01-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60134, '2021-01-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60135, '2021-01-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60136, '2021-01-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60137, '2021-01-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60138, '2021-01-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60139, '2021-01-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60140, '2021-01-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60141, '2021-01-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60142, '2021-01-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60143, '2021-01-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60144, '2021-01-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60145, '2021-01-21', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60146, '2021-01-22', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60147, '2021-01-23', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60148, '2021-01-24', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60149, '2021-01-25', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60150, '2021-01-26', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60151, '2021-01-27', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60152, '2021-01-28', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60153, '2021-01-29', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60154, '2021-01-30', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60155, '2021-01-31', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60156, '2021-02-01', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60157, '2021-02-02', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60158, '2021-02-03', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60159, '2021-02-04', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60160, '2021-02-05', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60161, '2021-02-06', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60162, '2021-02-07', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60163, '2021-02-08', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60164, '2021-02-09', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60165, '2021-02-10', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60166, '2021-02-11', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60167, '2021-02-12', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60168, '2021-02-13', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60169, '2021-02-14', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60170, '2021-02-15', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60171, '2021-02-16', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60172, '2021-02-17', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60173, '2021-02-18', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60174, '2021-02-19', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60175, '2021-02-20', 'NR', 'Nauru', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60176, '2020-01-03', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60177, '2020-01-04', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60178, '2020-01-05', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60179, '2020-01-06', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60180, '2020-01-07', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60181, '2020-01-08', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60182, '2020-01-09', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60183, '2020-01-10', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60184, '2020-01-11', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60185, '2020-01-12', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60186, '2020-01-13', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60187, '2020-01-14', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60188, '2020-01-15', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60189, '2020-01-16', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60190, '2020-01-17', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60191, '2020-01-18', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60192, '2020-01-19', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60193, '2020-01-20', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60194, '2020-01-21', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60195, '2020-01-22', 'NP', 'Nepal', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60196, '2020-01-23', 'NP', 'Nepal', 'SEARO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (60197, '2020-01-24', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60198, '2020-01-25', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60199, '2020-01-26', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60200, '2020-01-27', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60201, '2020-01-28', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60202, '2020-01-29', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60203, '2020-01-30', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60204, '2020-01-31', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60205, '2020-02-01', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60206, '2020-02-02', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60207, '2020-02-03', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60208, '2020-02-04', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60209, '2020-02-05', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60210, '2020-02-06', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60211, '2020-02-07', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60212, '2020-02-08', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60213, '2020-02-09', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60214, '2020-02-10', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60215, '2020-02-11', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60216, '2020-02-12', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60217, '2020-02-13', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60218, '2020-02-14', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60219, '2020-02-15', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60220, '2020-02-16', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60221, '2020-02-17', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60222, '2020-02-18', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60223, '2020-02-19', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60224, '2020-02-20', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60225, '2020-02-21', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60226, '2020-02-22', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60227, '2020-02-23', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60228, '2020-02-24', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60229, '2020-02-25', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60230, '2020-02-26', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60231, '2020-02-27', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60232, '2020-02-28', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60233, '2020-02-29', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60234, '2020-03-01', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60235, '2020-03-02', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60236, '2020-03-03', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60237, '2020-03-04', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60238, '2020-03-05', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60239, '2020-03-06', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60240, '2020-03-07', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60241, '2020-03-08', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60242, '2020-03-09', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60243, '2020-03-10', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60244, '2020-03-11', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60245, '2020-03-12', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60246, '2020-03-13', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60247, '2020-03-14', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60248, '2020-03-15', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60249, '2020-03-16', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60250, '2020-03-17', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60251, '2020-03-18', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60252, '2020-03-19', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60253, '2020-03-20', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60254, '2020-03-21', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60255, '2020-03-22', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60256, '2020-03-23', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60257, '2020-03-24', 'NP', 'Nepal', 'SEARO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (60258, '2020-03-25', 'NP', 'Nepal', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (60259, '2020-03-26', 'NP', 'Nepal', 'SEARO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (60260, '2020-03-27', 'NP', 'Nepal', 'SEARO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (60261, '2020-03-28', 'NP', 'Nepal', 'SEARO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (60262, '2020-03-29', 'NP', 'Nepal', 'SEARO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (60263, '2020-03-30', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60264, '2020-03-31', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60265, '2020-04-01', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60266, '2020-04-02', 'NP', 'Nepal', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (60267, '2020-04-03', 'NP', 'Nepal', 'SEARO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (60268, '2020-04-04', 'NP', 'Nepal', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (60269, '2020-04-05', 'NP', 'Nepal', 'SEARO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (60270, '2020-04-06', 'NP', 'Nepal', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (60271, '2020-04-07', 'NP', 'Nepal', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (60272, '2020-04-08', 'NP', 'Nepal', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (60273, '2020-04-09', 'NP', 'Nepal', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (60274, '2020-04-10', 'NP', 'Nepal', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (60275, '2020-04-11', 'NP', 'Nepal', 'SEARO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (60276, '2020-04-12', 'NP', 'Nepal', 'SEARO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (60277, '2020-04-13', 'NP', 'Nepal', 'SEARO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (60278, '2020-04-14', 'NP', 'Nepal', 'SEARO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (60279, '2020-04-15', 'NP', 'Nepal', 'SEARO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (60280, '2020-04-16', 'NP', 'Nepal', 'SEARO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (60281, '2020-04-17', 'NP', 'Nepal', 'SEARO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (60282, '2020-04-18', 'NP', 'Nepal', 'SEARO', '14', '30', '0', '0');
INSERT INTO public.who_import VALUES (60283, '2020-04-19', 'NP', 'Nepal', 'SEARO', '1', '31', '0', '0');
INSERT INTO public.who_import VALUES (60284, '2020-04-20', 'NP', 'Nepal', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (60285, '2020-04-21', 'NP', 'Nepal', 'SEARO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (60286, '2020-04-22', 'NP', 'Nepal', 'SEARO', '10', '42', '0', '0');
INSERT INTO public.who_import VALUES (60287, '2020-04-23', 'NP', 'Nepal', 'SEARO', '3', '45', '0', '0');
INSERT INTO public.who_import VALUES (60288, '2020-04-24', 'NP', 'Nepal', 'SEARO', '3', '48', '0', '0');
INSERT INTO public.who_import VALUES (60289, '2020-04-25', 'NP', 'Nepal', 'SEARO', '1', '49', '0', '0');
INSERT INTO public.who_import VALUES (60290, '2020-04-26', 'NP', 'Nepal', 'SEARO', '2', '51', '0', '0');
INSERT INTO public.who_import VALUES (60291, '2020-04-27', 'NP', 'Nepal', 'SEARO', '1', '52', '0', '0');
INSERT INTO public.who_import VALUES (60292, '2020-04-28', 'NP', 'Nepal', 'SEARO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (60293, '2020-04-29', 'NP', 'Nepal', 'SEARO', '5', '57', '0', '0');
INSERT INTO public.who_import VALUES (60294, '2020-04-30', 'NP', 'Nepal', 'SEARO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (60295, '2020-05-01', 'NP', 'Nepal', 'SEARO', '2', '59', '0', '0');
INSERT INTO public.who_import VALUES (60296, '2020-05-02', 'NP', 'Nepal', 'SEARO', '0', '59', '0', '0');
INSERT INTO public.who_import VALUES (60297, '2020-05-03', 'NP', 'Nepal', 'SEARO', '10', '69', '0', '0');
INSERT INTO public.who_import VALUES (60298, '2020-05-04', 'NP', 'Nepal', 'SEARO', '6', '75', '0', '0');
INSERT INTO public.who_import VALUES (60299, '2020-05-05', 'NP', 'Nepal', 'SEARO', '7', '82', '0', '0');
INSERT INTO public.who_import VALUES (60300, '2020-05-06', 'NP', 'Nepal', 'SEARO', '17', '99', '0', '0');
INSERT INTO public.who_import VALUES (60301, '2020-05-07', 'NP', 'Nepal', 'SEARO', '0', '99', '0', '0');
INSERT INTO public.who_import VALUES (60302, '2020-05-08', 'NP', 'Nepal', 'SEARO', '3', '102', '0', '0');
INSERT INTO public.who_import VALUES (60303, '2020-05-09', 'NP', 'Nepal', 'SEARO', '7', '109', '0', '0');
INSERT INTO public.who_import VALUES (60304, '2020-05-10', 'NP', 'Nepal', 'SEARO', '1', '110', '0', '0');
INSERT INTO public.who_import VALUES (60305, '2020-05-11', 'NP', 'Nepal', 'SEARO', '11', '121', '0', '0');
INSERT INTO public.who_import VALUES (60306, '2020-05-12', 'NP', 'Nepal', 'SEARO', '70', '191', '0', '0');
INSERT INTO public.who_import VALUES (60307, '2020-05-13', 'NP', 'Nepal', 'SEARO', '52', '243', '0', '0');
INSERT INTO public.who_import VALUES (60308, '2020-05-14', 'NP', 'Nepal', 'SEARO', '6', '249', '0', '0');
INSERT INTO public.who_import VALUES (60309, '2020-05-15', 'NP', 'Nepal', 'SEARO', '9', '258', '0', '0');
INSERT INTO public.who_import VALUES (60310, '2020-05-16', 'NP', 'Nepal', 'SEARO', '23', '281', '1', '1');
INSERT INTO public.who_import VALUES (60311, '2020-05-17', 'NP', 'Nepal', 'SEARO', '14', '295', '1', '2');
INSERT INTO public.who_import VALUES (60312, '2020-05-18', 'NP', 'Nepal', 'SEARO', '62', '357', '0', '2');
INSERT INTO public.who_import VALUES (60313, '2020-05-19', 'NP', 'Nepal', 'SEARO', '45', '402', '0', '2');
INSERT INTO public.who_import VALUES (60314, '2020-05-20', 'NP', 'Nepal', 'SEARO', '25', '427', '0', '2');
INSERT INTO public.who_import VALUES (60315, '2020-05-21', 'NP', 'Nepal', 'SEARO', '27', '454', '1', '3');
INSERT INTO public.who_import VALUES (60316, '2020-05-22', 'NP', 'Nepal', 'SEARO', '62', '516', '0', '3');
INSERT INTO public.who_import VALUES (60317, '2020-05-23', 'NP', 'Nepal', 'SEARO', '68', '584', '0', '3');
INSERT INTO public.who_import VALUES (60318, '2020-05-24', 'NP', 'Nepal', 'SEARO', '19', '603', '0', '3');
INSERT INTO public.who_import VALUES (60319, '2020-05-25', 'NP', 'Nepal', 'SEARO', '79', '682', '1', '4');
INSERT INTO public.who_import VALUES (60320, '2020-05-26', 'NP', 'Nepal', 'SEARO', '90', '772', '0', '4');
INSERT INTO public.who_import VALUES (60321, '2020-05-27', 'NP', 'Nepal', 'SEARO', '114', '886', '0', '4');
INSERT INTO public.who_import VALUES (60322, '2020-05-28', 'NP', 'Nepal', 'SEARO', '156', '1042', '1', '5');
INSERT INTO public.who_import VALUES (60323, '2020-05-29', 'NP', 'Nepal', 'SEARO', '170', '1212', '1', '6');
INSERT INTO public.who_import VALUES (60324, '2020-05-30', 'NP', 'Nepal', 'SEARO', '189', '1401', '0', '6');
INSERT INTO public.who_import VALUES (60325, '2020-05-31', 'NP', 'Nepal', 'SEARO', '171', '1572', '2', '8');
INSERT INTO public.who_import VALUES (60326, '2020-06-01', 'NP', 'Nepal', 'SEARO', '0', '1572', '0', '8');
INSERT INTO public.who_import VALUES (60327, '2020-06-02', 'NP', 'Nepal', 'SEARO', '239', '1811', '0', '8');
INSERT INTO public.who_import VALUES (60328, '2020-06-03', 'NP', 'Nepal', 'SEARO', '288', '2099', '0', '8');
INSERT INTO public.who_import VALUES (60329, '2020-06-04', 'NP', 'Nepal', 'SEARO', '201', '2300', '1', '9');
INSERT INTO public.who_import VALUES (60330, '2020-06-05', 'NP', 'Nepal', 'SEARO', '334', '2634', '1', '10');
INSERT INTO public.who_import VALUES (60331, '2020-06-06', 'NP', 'Nepal', 'SEARO', '278', '2912', '1', '11');
INSERT INTO public.who_import VALUES (60332, '2020-06-07', 'NP', 'Nepal', 'SEARO', '323', '3235', '2', '13');
INSERT INTO public.who_import VALUES (60333, '2020-06-08', 'NP', 'Nepal', 'SEARO', '213', '3448', '0', '13');
INSERT INTO public.who_import VALUES (60334, '2020-06-09', 'NP', 'Nepal', 'SEARO', '314', '3762', '1', '14');
INSERT INTO public.who_import VALUES (60335, '2020-06-10', 'NP', 'Nepal', 'SEARO', '323', '4085', '1', '15');
INSERT INTO public.who_import VALUES (60336, '2020-06-11', 'NP', 'Nepal', 'SEARO', '279', '4364', '0', '15');
INSERT INTO public.who_import VALUES (60337, '2020-06-12', 'NP', 'Nepal', 'SEARO', '250', '4614', '0', '15');
INSERT INTO public.who_import VALUES (60338, '2020-06-13', 'NP', 'Nepal', 'SEARO', '448', '5062', '1', '16');
INSERT INTO public.who_import VALUES (60339, '2020-06-14', 'NP', 'Nepal', 'SEARO', '273', '5335', '2', '18');
INSERT INTO public.who_import VALUES (60340, '2020-06-15', 'NP', 'Nepal', 'SEARO', '425', '5760', '1', '19');
INSERT INTO public.who_import VALUES (60341, '2020-06-16', 'NP', 'Nepal', 'SEARO', '451', '6211', '0', '19');
INSERT INTO public.who_import VALUES (60342, '2020-06-17', 'NP', 'Nepal', 'SEARO', '380', '6591', '0', '19');
INSERT INTO public.who_import VALUES (60343, '2020-06-18', 'NP', 'Nepal', 'SEARO', '586', '7177', '1', '20');
INSERT INTO public.who_import VALUES (60344, '2020-06-19', 'NP', 'Nepal', 'SEARO', '671', '7848', '2', '22');
INSERT INTO public.who_import VALUES (60345, '2020-06-20', 'NP', 'Nepal', 'SEARO', '426', '8274', '0', '22');
INSERT INTO public.who_import VALUES (60346, '2020-06-21', 'NP', 'Nepal', 'SEARO', '331', '8605', '0', '22');
INSERT INTO public.who_import VALUES (60347, '2020-06-22', 'NP', 'Nepal', 'SEARO', '421', '9026', '1', '23');
INSERT INTO public.who_import VALUES (60348, '2020-06-23', 'NP', 'Nepal', 'SEARO', '535', '9561', '0', '23');
INSERT INTO public.who_import VALUES (60349, '2020-06-24', 'NP', 'Nepal', 'SEARO', '538', '10099', '1', '24');
INSERT INTO public.who_import VALUES (60350, '2020-06-25', 'NP', 'Nepal', 'SEARO', '629', '10728', '0', '24');
INSERT INTO public.who_import VALUES (60351, '2020-06-26', 'NP', 'Nepal', 'SEARO', '434', '11162', '2', '26');
INSERT INTO public.who_import VALUES (60352, '2020-06-27', 'NP', 'Nepal', 'SEARO', '593', '11755', '1', '27');
INSERT INTO public.who_import VALUES (60353, '2020-06-28', 'NP', 'Nepal', 'SEARO', '554', '12309', '1', '28');
INSERT INTO public.who_import VALUES (60354, '2020-06-29', 'NP', 'Nepal', 'SEARO', '463', '12772', '0', '28');
INSERT INTO public.who_import VALUES (60355, '2020-06-30', 'NP', 'Nepal', 'SEARO', '476', '13248', '1', '29');
INSERT INTO public.who_import VALUES (60356, '2020-07-01', 'NP', 'Nepal', 'SEARO', '316', '13564', '0', '29');
INSERT INTO public.who_import VALUES (60357, '2020-07-02', 'NP', 'Nepal', 'SEARO', '482', '14046', '1', '30');
INSERT INTO public.who_import VALUES (60358, '2020-07-03', 'NP', 'Nepal', 'SEARO', '473', '14519', '1', '31');
INSERT INTO public.who_import VALUES (60359, '2020-07-04', 'NP', 'Nepal', 'SEARO', '740', '15259', '1', '32');
INSERT INTO public.who_import VALUES (60360, '2020-07-05', 'NP', 'Nepal', 'SEARO', '232', '15491', '2', '34');
INSERT INTO public.who_import VALUES (60361, '2020-07-06', 'NP', 'Nepal', 'SEARO', '293', '15784', '0', '34');
INSERT INTO public.who_import VALUES (60362, '2020-07-07', 'NP', 'Nepal', 'SEARO', '180', '15964', '1', '35');
INSERT INTO public.who_import VALUES (60363, '2020-07-08', 'NP', 'Nepal', 'SEARO', '204', '16168', '0', '35');
INSERT INTO public.who_import VALUES (60364, '2020-07-09', 'NP', 'Nepal', 'SEARO', '255', '16423', '0', '35');
INSERT INTO public.who_import VALUES (60365, '2020-07-10', 'NP', 'Nepal', 'SEARO', '108', '16531', '0', '35');
INSERT INTO public.who_import VALUES (60366, '2020-07-11', 'NP', 'Nepal', 'SEARO', '118', '16649', '0', '35');
INSERT INTO public.who_import VALUES (60367, '2020-07-12', 'NP', 'Nepal', 'SEARO', '70', '16719', '3', '38');
INSERT INTO public.who_import VALUES (60368, '2020-07-13', 'NP', 'Nepal', 'SEARO', '82', '16801', '0', '38');
INSERT INTO public.who_import VALUES (60369, '2020-07-14', 'NP', 'Nepal', 'SEARO', '144', '16945', '0', '38');
INSERT INTO public.who_import VALUES (60370, '2020-07-15', 'NP', 'Nepal', 'SEARO', '116', '17061', '0', '38');
INSERT INTO public.who_import VALUES (60371, '2020-07-16', 'NP', 'Nepal', 'SEARO', '116', '17177', '1', '39');
INSERT INTO public.who_import VALUES (60372, '2020-07-17', 'NP', 'Nepal', 'SEARO', '167', '17344', '0', '39');
INSERT INTO public.who_import VALUES (60373, '2020-07-18', 'NP', 'Nepal', 'SEARO', '101', '17445', '1', '40');
INSERT INTO public.who_import VALUES (60374, '2020-07-19', 'NP', 'Nepal', 'SEARO', '57', '17502', '0', '40');
INSERT INTO public.who_import VALUES (60375, '2020-07-20', 'NP', 'Nepal', 'SEARO', '156', '17658', '0', '40');
INSERT INTO public.who_import VALUES (60376, '2020-07-21', 'NP', 'Nepal', 'SEARO', '186', '17844', '0', '40');
INSERT INTO public.who_import VALUES (60377, '2020-07-22', 'NP', 'Nepal', 'SEARO', '150', '17994', '0', '40');
INSERT INTO public.who_import VALUES (60378, '2020-07-23', 'NP', 'Nepal', 'SEARO', '100', '18094', '2', '42');
INSERT INTO public.who_import VALUES (60379, '2020-07-24', 'NP', 'Nepal', 'SEARO', '147', '18241', '1', '43');
INSERT INTO public.who_import VALUES (60380, '2020-07-25', 'NP', 'Nepal', 'SEARO', '133', '18374', '1', '44');
INSERT INTO public.who_import VALUES (60381, '2020-07-26', 'NP', 'Nepal', 'SEARO', '109', '18483', '1', '45');
INSERT INTO public.who_import VALUES (60382, '2020-07-27', 'NP', 'Nepal', 'SEARO', '130', '18613', '0', '45');
INSERT INTO public.who_import VALUES (60383, '2020-07-28', 'NP', 'Nepal', 'SEARO', '139', '18752', '3', '48');
INSERT INTO public.who_import VALUES (60384, '2020-07-29', 'NP', 'Nepal', 'SEARO', '311', '19063', '1', '49');
INSERT INTO public.who_import VALUES (60385, '2020-07-30', 'NP', 'Nepal', 'SEARO', '210', '19273', '0', '49');
INSERT INTO public.who_import VALUES (60386, '2020-07-31', 'NP', 'Nepal', 'SEARO', '274', '19547', '3', '52');
INSERT INTO public.who_import VALUES (60387, '2020-08-01', 'NP', 'Nepal', 'SEARO', '224', '19771', '4', '56');
INSERT INTO public.who_import VALUES (60388, '2020-08-02', 'NP', 'Nepal', 'SEARO', '315', '20086', '0', '56');
INSERT INTO public.who_import VALUES (60389, '2020-08-03', 'NP', 'Nepal', 'SEARO', '246', '20332', '1', '57');
INSERT INTO public.who_import VALUES (60390, '2020-08-04', 'NP', 'Nepal', 'SEARO', '418', '20750', '0', '57');
INSERT INTO public.who_import VALUES (60391, '2020-08-05', 'NP', 'Nepal', 'SEARO', '259', '21009', '1', '58');
INSERT INTO public.who_import VALUES (60392, '2020-08-06', 'NP', 'Nepal', 'SEARO', '381', '21390', '2', '60');
INSERT INTO public.who_import VALUES (60393, '2020-08-07', 'NP', 'Nepal', 'SEARO', '360', '21750', '5', '65');
INSERT INTO public.who_import VALUES (60394, '2020-08-08', 'NP', 'Nepal', 'SEARO', '464', '22214', '5', '70');
INSERT INTO public.who_import VALUES (60395, '2020-08-09', 'NP', 'Nepal', 'SEARO', '378', '22592', '3', '73');
INSERT INTO public.who_import VALUES (60396, '2020-08-10', 'NP', 'Nepal', 'SEARO', '380', '22972', '2', '75');
INSERT INTO public.who_import VALUES (60397, '2020-08-11', 'NP', 'Nepal', 'SEARO', '338', '23310', '4', '79');
INSERT INTO public.who_import VALUES (60398, '2020-08-12', 'NP', 'Nepal', 'SEARO', '638', '23948', '4', '83');
INSERT INTO public.who_import VALUES (60399, '2020-08-13', 'NP', 'Nepal', 'SEARO', '484', '24432', '8', '91');
INSERT INTO public.who_import VALUES (60400, '2020-08-14', 'NP', 'Nepal', 'SEARO', '525', '24957', '4', '95');
INSERT INTO public.who_import VALUES (60401, '2020-08-15', 'NP', 'Nepal', 'SEARO', '594', '25551', '4', '99');
INSERT INTO public.who_import VALUES (60402, '2020-08-16', 'NP', 'Nepal', 'SEARO', '468', '26019', '3', '102');
INSERT INTO public.who_import VALUES (60403, '2020-08-17', 'NP', 'Nepal', 'SEARO', '641', '26660', '2', '104');
INSERT INTO public.who_import VALUES (60404, '2020-08-18', 'NP', 'Nepal', 'SEARO', '581', '27241', '3', '107');
INSERT INTO public.who_import VALUES (60405, '2020-08-19', 'NP', 'Nepal', 'SEARO', '1016', '28257', '7', '114');
INSERT INTO public.who_import VALUES (60406, '2020-08-20', 'NP', 'Nepal', 'SEARO', '681', '28938', '6', '120');
INSERT INTO public.who_import VALUES (60407, '2020-08-21', 'NP', 'Nepal', 'SEARO', '707', '29645', '6', '126');
INSERT INTO public.who_import VALUES (60408, '2020-08-22', 'NP', 'Nepal', 'SEARO', '838', '30483', '11', '137');
INSERT INTO public.who_import VALUES (60409, '2020-08-23', 'NP', 'Nepal', 'SEARO', '634', '31117', '9', '146');
INSERT INTO public.who_import VALUES (60410, '2020-08-24', 'NP', 'Nepal', 'SEARO', '818', '31935', '3', '149');
INSERT INTO public.who_import VALUES (60411, '2020-08-25', 'NP', 'Nepal', 'SEARO', '743', '32678', '8', '157');
INSERT INTO public.who_import VALUES (60412, '2020-08-26', 'NP', 'Nepal', 'SEARO', '855', '33533', '7', '164');
INSERT INTO public.who_import VALUES (60413, '2020-08-27', 'NP', 'Nepal', 'SEARO', '885', '34418', '11', '175');
INSERT INTO public.who_import VALUES (60414, '2020-08-28', 'NP', 'Nepal', 'SEARO', '1111', '35529', '8', '183');
INSERT INTO public.who_import VALUES (60415, '2020-08-29', 'NP', 'Nepal', 'SEARO', '927', '36456', '12', '195');
INSERT INTO public.who_import VALUES (60416, '2020-08-30', 'NP', 'Nepal', 'SEARO', '884', '37340', '12', '207');
INSERT INTO public.who_import VALUES (60417, '2020-08-31', 'NP', 'Nepal', 'SEARO', '1221', '38561', '14', '221');
INSERT INTO public.who_import VALUES (60418, '2020-09-01', 'NP', 'Nepal', 'SEARO', '899', '39460', '7', '228');
INSERT INTO public.who_import VALUES (60419, '2020-09-02', 'NP', 'Nepal', 'SEARO', '1069', '40529', '11', '239');
INSERT INTO public.who_import VALUES (60420, '2020-09-03', 'NP', 'Nepal', 'SEARO', '1120', '41649', '12', '251');
INSERT INTO public.who_import VALUES (60421, '2020-09-04', 'NP', 'Nepal', 'SEARO', '1228', '42877', '6', '257');
INSERT INTO public.who_import VALUES (60422, '2020-09-05', 'NP', 'Nepal', 'SEARO', '1359', '44236', '14', '271');
INSERT INTO public.who_import VALUES (60423, '2020-09-06', 'NP', 'Nepal', 'SEARO', '1041', '45277', '9', '280');
INSERT INTO public.who_import VALUES (60424, '2020-09-07', 'NP', 'Nepal', 'SEARO', '980', '46257', '9', '289');
INSERT INTO public.who_import VALUES (60425, '2020-09-08', 'NP', 'Nepal', 'SEARO', '979', '47236', '11', '300');
INSERT INTO public.who_import VALUES (60426, '2020-09-09', 'NP', 'Nepal', 'SEARO', '902', '48138', '6', '306');
INSERT INTO public.who_import VALUES (60427, '2020-09-10', 'NP', 'Nepal', 'SEARO', '1081', '49219', '6', '312');
INSERT INTO public.who_import VALUES (60428, '2020-09-11', 'NP', 'Nepal', 'SEARO', '1246', '50465', '5', '317');
INSERT INTO public.who_import VALUES (60429, '2020-09-12', 'NP', 'Nepal', 'SEARO', '1454', '51919', '5', '322');
INSERT INTO public.who_import VALUES (60430, '2020-09-13', 'NP', 'Nepal', 'SEARO', '1201', '53120', '14', '336');
INSERT INTO public.who_import VALUES (60431, '2020-09-14', 'NP', 'Nepal', 'SEARO', '1039', '54159', '9', '345');
INSERT INTO public.who_import VALUES (60432, '2020-09-15', 'NP', 'Nepal', 'SEARO', '1170', '55329', '15', '360');
INSERT INTO public.who_import VALUES (60433, '2020-09-16', 'NP', 'Nepal', 'SEARO', '1459', '56788', '11', '371');
INSERT INTO public.who_import VALUES (60434, '2020-09-17', 'NP', 'Nepal', 'SEARO', '1539', '58327', '8', '379');
INSERT INTO public.who_import VALUES (60435, '2020-09-18', 'NP', 'Nepal', 'SEARO', '1246', '59573', '4', '383');
INSERT INTO public.who_import VALUES (60436, '2020-09-19', 'NP', 'Nepal', 'SEARO', '2020', '61593', '7', '390');
INSERT INTO public.who_import VALUES (60437, '2020-09-20', 'NP', 'Nepal', 'SEARO', '1204', '62797', '11', '401');
INSERT INTO public.who_import VALUES (60438, '2020-09-21', 'NP', 'Nepal', 'SEARO', '1325', '64122', '10', '411');
INSERT INTO public.who_import VALUES (60439, '2020-09-22', 'NP', 'Nepal', 'SEARO', '1154', '65276', '16', '427');
INSERT INTO public.who_import VALUES (60440, '2020-09-23', 'NP', 'Nepal', 'SEARO', '1356', '66632', '2', '429');
INSERT INTO public.who_import VALUES (60441, '2020-09-24', 'NP', 'Nepal', 'SEARO', '1172', '67804', '7', '436');
INSERT INTO public.who_import VALUES (60442, '2020-09-25', 'NP', 'Nepal', 'SEARO', '1497', '69301', '17', '453');
INSERT INTO public.who_import VALUES (60443, '2020-09-26', 'NP', 'Nepal', 'SEARO', '1313', '70614', '6', '459');
INSERT INTO public.who_import VALUES (60444, '2020-09-27', 'NP', 'Nepal', 'SEARO', '1207', '71821', '8', '467');
INSERT INTO public.who_import VALUES (60445, '2020-09-28', 'NP', 'Nepal', 'SEARO', '1573', '73394', '10', '477');
INSERT INTO public.who_import VALUES (60446, '2020-09-29', 'NP', 'Nepal', 'SEARO', '1351', '74745', '4', '481');
INSERT INTO public.who_import VALUES (60447, '2020-09-30', 'NP', 'Nepal', 'SEARO', '1513', '76258', '10', '491');
INSERT INTO public.who_import VALUES (60448, '2020-10-01', 'NP', 'Nepal', 'SEARO', '1559', '77817', '7', '498');
INSERT INTO public.who_import VALUES (60449, '2020-10-02', 'NP', 'Nepal', 'SEARO', '1911', '79728', '11', '509');
INSERT INTO public.who_import VALUES (60450, '2020-10-03', 'NP', 'Nepal', 'SEARO', '2722', '82450', '11', '520');
INSERT INTO public.who_import VALUES (60451, '2020-10-04', 'NP', 'Nepal', 'SEARO', '2120', '84570', '8', '528');
INSERT INTO public.who_import VALUES (60452, '2020-10-05', 'NP', 'Nepal', 'SEARO', '2253', '86823', '7', '535');
INSERT INTO public.who_import VALUES (60453, '2020-10-06', 'NP', 'Nepal', 'SEARO', '2440', '89263', '19', '554');
INSERT INTO public.who_import VALUES (60454, '2020-10-07', 'NP', 'Nepal', 'SEARO', '1551', '90814', '9', '563');
INSERT INTO public.who_import VALUES (60455, '2020-10-08', 'NP', 'Nepal', 'SEARO', '3439', '94253', '15', '578');
INSERT INTO public.who_import VALUES (60456, '2020-10-09', 'NP', 'Nepal', 'SEARO', '4364', '98617', '12', '590');
INSERT INTO public.who_import VALUES (60457, '2020-10-10', 'NP', 'Nepal', 'SEARO', '2059', '100676', '10', '600');
INSERT INTO public.who_import VALUES (60458, '2020-10-11', 'NP', 'Nepal', 'SEARO', '5008', '105684', '14', '614');
INSERT INTO public.who_import VALUES (60459, '2020-10-12', 'NP', 'Nepal', 'SEARO', '2071', '107755', '22', '636');
INSERT INTO public.who_import VALUES (60460, '2020-10-13', 'NP', 'Nepal', 'SEARO', '4047', '111802', '9', '645');
INSERT INTO public.who_import VALUES (60461, '2020-10-14', 'NP', 'Nepal', 'SEARO', '3556', '115358', '18', '663');
INSERT INTO public.who_import VALUES (60462, '2020-10-15', 'NP', 'Nepal', 'SEARO', '2638', '117996', '12', '675');
INSERT INTO public.who_import VALUES (60463, '2020-10-16', 'NP', 'Nepal', 'SEARO', '3749', '121745', '19', '694');
INSERT INTO public.who_import VALUES (60464, '2020-10-17', 'NP', 'Nepal', 'SEARO', '4392', '126137', '21', '715');
INSERT INTO public.who_import VALUES (60465, '2020-10-18', 'NP', 'Nepal', 'SEARO', '3167', '129304', '12', '727');
INSERT INTO public.who_import VALUES (60466, '2020-10-19', 'NP', 'Nepal', 'SEARO', '2942', '132246', '12', '739');
INSERT INTO public.who_import VALUES (60467, '2020-10-20', 'NP', 'Nepal', 'SEARO', '3790', '136036', '18', '757');
INSERT INTO public.who_import VALUES (60468, '2020-10-21', 'NP', 'Nepal', 'SEARO', '3093', '139129', '8', '765');
INSERT INTO public.who_import VALUES (60469, '2020-10-22', 'NP', 'Nepal', 'SEARO', '5743', '144872', '26', '791');
INSERT INTO public.who_import VALUES (60470, '2020-10-23', 'NP', 'Nepal', 'SEARO', '3637', '148509', '21', '812');
INSERT INTO public.who_import VALUES (60471, '2020-10-24', 'NP', 'Nepal', 'SEARO', '4499', '153008', '17', '829');
INSERT INTO public.who_import VALUES (60472, '2020-10-25', 'NP', 'Nepal', 'SEARO', '2225', '155233', '13', '842');
INSERT INTO public.who_import VALUES (60473, '2020-10-26', 'NP', 'Nepal', 'SEARO', '2856', '158089', '5', '847');
INSERT INTO public.who_import VALUES (60474, '2020-10-27', 'NP', 'Nepal', 'SEARO', '1741', '159830', '15', '862');
INSERT INTO public.who_import VALUES (60475, '2020-10-28', 'NP', 'Nepal', 'SEARO', '570', '160400', '14', '876');
INSERT INTO public.who_import VALUES (60476, '2020-10-29', 'NP', 'Nepal', 'SEARO', '1954', '162354', '11', '887');
INSERT INTO public.who_import VALUES (60477, '2020-10-30', 'NP', 'Nepal', 'SEARO', '2364', '164718', '17', '904');
INSERT INTO public.who_import VALUES (60478, '2020-10-31', 'NP', 'Nepal', 'SEARO', '3517', '168235', '16', '920');
INSERT INTO public.who_import VALUES (60479, '2020-11-01', 'NP', 'Nepal', 'SEARO', '2508', '170743', '17', '937');
INSERT INTO public.who_import VALUES (60480, '2020-11-02', 'NP', 'Nepal', 'SEARO', '2824', '173567', '23', '960');
INSERT INTO public.who_import VALUES (60481, '2020-11-03', 'NP', 'Nepal', 'SEARO', '2933', '176500', '24', '984');
INSERT INTO public.who_import VALUES (60482, '2020-11-04', 'NP', 'Nepal', 'SEARO', '3114', '179614', '20', '1004');
INSERT INTO public.who_import VALUES (60483, '2020-11-05', 'NP', 'Nepal', 'SEARO', '3309', '182923', '30', '1034');
INSERT INTO public.who_import VALUES (60484, '2020-11-06', 'NP', 'Nepal', 'SEARO', '3051', '185974', '18', '1052');
INSERT INTO public.who_import VALUES (60485, '2020-11-07', 'NP', 'Nepal', 'SEARO', '2909', '188883', '18', '1070');
INSERT INTO public.who_import VALUES (60486, '2020-11-08', 'NP', 'Nepal', 'SEARO', '2753', '191636', '17', '1087');
INSERT INTO public.who_import VALUES (60487, '2020-11-09', 'NP', 'Nepal', 'SEARO', '2817', '194453', '21', '1108');
INSERT INTO public.who_import VALUES (60488, '2020-11-10', 'NP', 'Nepal', 'SEARO', '2571', '197024', '18', '1126');
INSERT INTO public.who_import VALUES (60489, '2020-11-11', 'NP', 'Nepal', 'SEARO', '2736', '199760', '22', '1148');
INSERT INTO public.who_import VALUES (60490, '2020-11-12', 'NP', 'Nepal', 'SEARO', '2569', '202329', '26', '1174');
INSERT INTO public.who_import VALUES (60491, '2020-11-13', 'NP', 'Nepal', 'SEARO', '1913', '204242', '15', '1189');
INSERT INTO public.who_import VALUES (60492, '2020-11-14', 'NP', 'Nepal', 'SEARO', '2111', '206353', '13', '1202');
INSERT INTO public.who_import VALUES (60493, '2020-11-15', 'NP', 'Nepal', 'SEARO', '1946', '208299', '13', '1215');
INSERT INTO public.who_import VALUES (60494, '2020-11-16', 'NP', 'Nepal', 'SEARO', '1477', '209776', '6', '1221');
INSERT INTO public.who_import VALUES (60495, '2020-11-17', 'NP', 'Nepal', 'SEARO', '1197', '210973', '9', '1230');
INSERT INTO public.who_import VALUES (60496, '2020-11-18', 'NP', 'Nepal', 'SEARO', '502', '211475', '17', '1247');
INSERT INTO public.who_import VALUES (60497, '2020-11-19', 'NP', 'Nepal', 'SEARO', '1442', '212917', '12', '1259');
INSERT INTO public.who_import VALUES (60498, '2020-11-20', 'NP', 'Nepal', 'SEARO', '2103', '215020', '17', '1276');
INSERT INTO public.who_import VALUES (60499, '2020-11-21', 'NP', 'Nepal', 'SEARO', '1945', '216965', '22', '1298');
INSERT INTO public.who_import VALUES (60500, '2020-11-22', 'NP', 'Nepal', 'SEARO', '1674', '218639', '7', '1305');
INSERT INTO public.who_import VALUES (60501, '2020-11-23', 'NP', 'Nepal', 'SEARO', '1669', '220308', '16', '1321');
INSERT INTO public.who_import VALUES (60502, '2020-11-24', 'NP', 'Nepal', 'SEARO', '1980', '222288', '16', '1337');
INSERT INTO public.who_import VALUES (60503, '2020-11-25', 'NP', 'Nepal', 'SEARO', '1790', '224078', '24', '1361');
INSERT INTO public.who_import VALUES (60504, '2020-11-26', 'NP', 'Nepal', 'SEARO', '1948', '226026', '28', '1389');
INSERT INTO public.who_import VALUES (60505, '2020-11-27', 'NP', 'Nepal', 'SEARO', '1614', '227640', '23', '1412');
INSERT INTO public.who_import VALUES (60506, '2020-11-28', 'NP', 'Nepal', 'SEARO', '1703', '229343', '23', '1435');
INSERT INTO public.who_import VALUES (60507, '2020-11-29', 'NP', 'Nepal', 'SEARO', '1380', '230723', '19', '1454');
INSERT INTO public.who_import VALUES (60508, '2020-11-30', 'NP', 'Nepal', 'SEARO', '1255', '231978', '25', '1479');
INSERT INTO public.who_import VALUES (60509, '2020-12-01', 'NP', 'Nepal', 'SEARO', '1474', '233452', '29', '1508');
INSERT INTO public.who_import VALUES (60510, '2020-12-02', 'NP', 'Nepal', 'SEARO', '1304', '234756', '21', '1529');
INSERT INTO public.who_import VALUES (60511, '2020-12-03', 'NP', 'Nepal', 'SEARO', '1490', '236246', '9', '1538');
INSERT INTO public.who_import VALUES (60512, '2020-12-04', 'NP', 'Nepal', 'SEARO', '1343', '237589', '13', '1551');
INSERT INTO public.who_import VALUES (60513, '2020-12-05', 'NP', 'Nepal', 'SEARO', '1272', '238861', '16', '1567');
INSERT INTO public.who_import VALUES (60514, '2020-12-06', 'NP', 'Nepal', 'SEARO', '1024', '239885', '10', '1577');
INSERT INTO public.who_import VALUES (60515, '2020-12-07', 'NP', 'Nepal', 'SEARO', '1096', '240981', '17', '1594');
INSERT INTO public.who_import VALUES (60516, '2020-12-08', 'NP', 'Nepal', 'SEARO', '1014', '241995', '20', '1614');
INSERT INTO public.who_import VALUES (60517, '2020-12-09', 'NP', 'Nepal', 'SEARO', '1382', '243377', '23', '1637');
INSERT INTO public.who_import VALUES (60518, '2020-12-10', 'NP', 'Nepal', 'SEARO', '1056', '244433', '14', '1651');
INSERT INTO public.who_import VALUES (60519, '2020-12-11', 'NP', 'Nepal', 'SEARO', '1217', '245650', '12', '1663');
INSERT INTO public.who_import VALUES (60520, '2020-12-12', 'NP', 'Nepal', 'SEARO', '1044', '246694', '11', '1674');
INSERT INTO public.who_import VALUES (60521, '2020-12-13', 'NP', 'Nepal', 'SEARO', '899', '247593', '15', '1689');
INSERT INTO public.who_import VALUES (60522, '2020-12-14', 'NP', 'Nepal', 'SEARO', '830', '248423', '9', '1698');
INSERT INTO public.who_import VALUES (60523, '2020-12-15', 'NP', 'Nepal', 'SEARO', '821', '249244', '18', '1716');
INSERT INTO public.who_import VALUES (60524, '2020-12-16', 'NP', 'Nepal', 'SEARO', '936', '250180', '14', '1730');
INSERT INTO public.who_import VALUES (60525, '2020-12-17', 'NP', 'Nepal', 'SEARO', '736', '250916', '13', '1743');
INSERT INTO public.who_import VALUES (60526, '2020-12-18', 'NP', 'Nepal', 'SEARO', '776', '251692', '6', '1749');
INSERT INTO public.who_import VALUES (60527, '2020-12-19', 'NP', 'Nepal', 'SEARO', '782', '252474', '16', '1765');
INSERT INTO public.who_import VALUES (60528, '2020-12-20', 'NP', 'Nepal', 'SEARO', '710', '253184', '12', '1777');
INSERT INTO public.who_import VALUES (60529, '2020-12-21', 'NP', 'Nepal', 'SEARO', '588', '253772', '11', '1788');
INSERT INTO public.who_import VALUES (60530, '2020-12-22', 'NP', 'Nepal', 'SEARO', '742', '254514', '7', '1795');
INSERT INTO public.who_import VALUES (60531, '2020-12-23', 'NP', 'Nepal', 'SEARO', '722', '255236', '3', '1798');
INSERT INTO public.who_import VALUES (60532, '2020-12-24', 'NP', 'Nepal', 'SEARO', '743', '255979', '5', '1803');
INSERT INTO public.who_import VALUES (60533, '2020-12-25', 'NP', 'Nepal', 'SEARO', '613', '256592', '5', '1808');
INSERT INTO public.who_import VALUES (60534, '2020-12-26', 'NP', 'Nepal', 'SEARO', '608', '257200', '9', '1817');
INSERT INTO public.who_import VALUES (60535, '2020-12-27', 'NP', 'Nepal', 'SEARO', '500', '257700', '2', '1819');
INSERT INTO public.who_import VALUES (60536, '2020-12-28', 'NP', 'Nepal', 'SEARO', '481', '258181', '6', '1825');
INSERT INTO public.who_import VALUES (60537, '2020-12-29', 'NP', 'Nepal', 'SEARO', '659', '258840', '7', '1832');
INSERT INTO public.who_import VALUES (60538, '2020-12-30', 'NP', 'Nepal', 'SEARO', '708', '259548', '8', '1840');
INSERT INTO public.who_import VALUES (60539, '2020-12-31', 'NP', 'Nepal', 'SEARO', '511', '260059', '7', '1847');
INSERT INTO public.who_import VALUES (60540, '2021-01-01', 'NP', 'Nepal', 'SEARO', '534', '260593', '9', '1856');
INSERT INTO public.who_import VALUES (60541, '2021-01-02', 'NP', 'Nepal', 'SEARO', '426', '261019', '8', '1864');
INSERT INTO public.who_import VALUES (60542, '2021-01-03', 'NP', 'Nepal', 'SEARO', '419', '261438', '6', '1870');
INSERT INTO public.who_import VALUES (60543, '2021-01-04', 'NP', 'Nepal', 'SEARO', '421', '261859', '8', '1878');
INSERT INTO public.who_import VALUES (60544, '2021-01-05', 'NP', 'Nepal', 'SEARO', '403', '262262', '7', '1885');
INSERT INTO public.who_import VALUES (60545, '2021-01-06', 'NP', 'Nepal', 'SEARO', '522', '262784', '8', '1893');
INSERT INTO public.who_import VALUES (60546, '2021-01-07', 'NP', 'Nepal', 'SEARO', '409', '263193', '6', '1899');
INSERT INTO public.who_import VALUES (60547, '2021-01-08', 'NP', 'Nepal', 'SEARO', '412', '263605', '4', '1903');
INSERT INTO public.who_import VALUES (60548, '2021-01-09', 'NP', 'Nepal', 'SEARO', '554', '264159', '6', '1909');
INSERT INTO public.who_import VALUES (60549, '2021-01-10', 'NP', 'Nepal', 'SEARO', '362', '264521', '3', '1912');
INSERT INTO public.who_import VALUES (60550, '2021-01-11', 'NP', 'Nepal', 'SEARO', '259', '264780', '5', '1917');
INSERT INTO public.who_import VALUES (60551, '2021-01-12', 'NP', 'Nepal', 'SEARO', '488', '265268', '10', '1927');
INSERT INTO public.who_import VALUES (60552, '2021-01-13', 'NP', 'Nepal', 'SEARO', '430', '265698', '5', '1932');
INSERT INTO public.who_import VALUES (60553, '2021-01-14', 'NP', 'Nepal', 'SEARO', '445', '266143', '5', '1937');
INSERT INTO public.who_import VALUES (60554, '2021-01-15', 'NP', 'Nepal', 'SEARO', '403', '266546', '6', '1943');
INSERT INTO public.who_import VALUES (60555, '2021-01-16', 'NP', 'Nepal', 'SEARO', '270', '266816', '5', '1948');
INSERT INTO public.who_import VALUES (60556, '2021-01-17', 'NP', 'Nepal', 'SEARO', '240', '267056', '6', '1954');
INSERT INTO public.who_import VALUES (60557, '2021-01-18', 'NP', 'Nepal', 'SEARO', '266', '267322', '5', '1959');
INSERT INTO public.who_import VALUES (60558, '2021-01-19', 'NP', 'Nepal', 'SEARO', '322', '267644', '6', '1965');
INSERT INTO public.who_import VALUES (60559, '2021-01-20', 'NP', 'Nepal', 'SEARO', '348', '267992', '4', '1969');
INSERT INTO public.who_import VALUES (60560, '2021-01-21', 'NP', 'Nepal', 'SEARO', '318', '268310', '6', '1975');
INSERT INTO public.who_import VALUES (60561, '2021-01-22', 'NP', 'Nepal', 'SEARO', '336', '268646', '4', '1979');
INSERT INTO public.who_import VALUES (60562, '2021-01-23', 'NP', 'Nepal', 'SEARO', '302', '268948', '7', '1986');
INSERT INTO public.who_import VALUES (60563, '2021-01-24', 'NP', 'Nepal', 'SEARO', '232', '269180', '8', '1994');
INSERT INTO public.who_import VALUES (60564, '2021-01-25', 'NP', 'Nepal', 'SEARO', '270', '269450', '7', '2001');
INSERT INTO public.who_import VALUES (60565, '2021-01-26', 'NP', 'Nepal', 'SEARO', '339', '269789', '10', '2011');
INSERT INTO public.who_import VALUES (60566, '2021-01-27', 'NP', 'Nepal', 'SEARO', '303', '270092', '6', '2017');
INSERT INTO public.who_import VALUES (60567, '2021-01-28', 'NP', 'Nepal', 'SEARO', '283', '270375', '3', '2020');
INSERT INTO public.who_import VALUES (60568, '2021-01-29', 'NP', 'Nepal', 'SEARO', '213', '270588', '0', '2020');
INSERT INTO public.who_import VALUES (60569, '2021-01-30', 'NP', 'Nepal', 'SEARO', '157', '270745', '5', '2025');
INSERT INTO public.who_import VALUES (60570, '2021-01-31', 'NP', 'Nepal', 'SEARO', '109', '270854', '2', '2027');
INSERT INTO public.who_import VALUES (60571, '2021-02-01', 'NP', 'Nepal', 'SEARO', '105', '270959', '2', '2029');
INSERT INTO public.who_import VALUES (60572, '2021-02-02', 'NP', 'Nepal', 'SEARO', '159', '271118', '0', '2029');
INSERT INTO public.who_import VALUES (60573, '2021-02-03', 'NP', 'Nepal', 'SEARO', '171', '271289', '1', '2030');
INSERT INTO public.who_import VALUES (60574, '2021-02-04', 'NP', 'Nepal', 'SEARO', '142', '271431', '1', '2031');
INSERT INTO public.who_import VALUES (60575, '2021-02-05', 'NP', 'Nepal', 'SEARO', '171', '271602', '2', '2033');
INSERT INTO public.who_import VALUES (60576, '2021-02-06', 'NP', 'Nepal', 'SEARO', '105', '271707', '2', '2035');
INSERT INTO public.who_import VALUES (60577, '2021-02-07', 'NP', 'Nepal', 'SEARO', '99', '271806', '0', '2035');
INSERT INTO public.who_import VALUES (60578, '2021-02-08', 'NP', 'Nepal', 'SEARO', '119', '271925', '3', '2038');
INSERT INTO public.who_import VALUES (60579, '2021-02-09', 'NP', 'Nepal', 'SEARO', '130', '272055', '7', '2045');
INSERT INTO public.who_import VALUES (60580, '2021-02-10', 'NP', 'Nepal', 'SEARO', '160', '272215', '2', '2047');
INSERT INTO public.who_import VALUES (60581, '2021-02-11', 'NP', 'Nepal', 'SEARO', '134', '272349', '0', '2047');
INSERT INTO public.who_import VALUES (60582, '2021-02-12', 'NP', 'Nepal', 'SEARO', '81', '272430', '5', '2052');
INSERT INTO public.who_import VALUES (60583, '2021-02-13', 'NP', 'Nepal', 'SEARO', '127', '272557', '2', '2054');
INSERT INTO public.who_import VALUES (60584, '2021-02-14', 'NP', 'Nepal', 'SEARO', '57', '272614', '0', '2054');
INSERT INTO public.who_import VALUES (60585, '2021-02-15', 'NP', 'Nepal', 'SEARO', '226', '272840', '1', '2055');
INSERT INTO public.who_import VALUES (60586, '2021-02-16', 'NP', 'Nepal', 'SEARO', '0', '272840', '0', '2055');
INSERT INTO public.who_import VALUES (60587, '2021-02-17', 'NP', 'Nepal', 'SEARO', '105', '272945', '0', '2055');
INSERT INTO public.who_import VALUES (60588, '2021-02-18', 'NP', 'Nepal', 'SEARO', '125', '273070', '0', '2055');
INSERT INTO public.who_import VALUES (60589, '2021-02-19', 'NP', 'Nepal', 'SEARO', '96', '273166', '3', '2058');
INSERT INTO public.who_import VALUES (60590, '2021-02-20', 'NP', 'Nepal', 'SEARO', '97', '273263', '3', '2061');
INSERT INTO public.who_import VALUES (60591, '2020-01-03', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60592, '2020-01-04', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60593, '2020-01-05', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60594, '2020-01-06', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60595, '2020-01-07', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60596, '2020-01-08', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60597, '2020-01-09', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60598, '2020-01-10', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60599, '2020-01-11', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60600, '2020-01-12', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60601, '2020-01-13', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60602, '2020-01-14', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60603, '2020-01-15', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60604, '2020-01-16', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60605, '2020-01-17', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60606, '2020-01-18', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60607, '2020-01-19', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60608, '2020-01-20', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60609, '2020-01-21', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60610, '2020-01-22', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60611, '2020-01-23', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60612, '2020-01-24', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60613, '2020-01-25', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60614, '2020-01-26', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60615, '2020-01-27', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60616, '2020-01-28', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60617, '2020-01-29', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60618, '2020-01-30', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60619, '2020-01-31', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60620, '2020-02-01', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60621, '2020-02-02', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60622, '2020-02-03', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60623, '2020-02-04', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60624, '2020-02-05', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60625, '2020-02-06', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60626, '2020-02-07', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60627, '2020-02-08', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60628, '2020-02-09', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60629, '2020-02-10', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60630, '2020-02-11', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60631, '2020-02-12', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60632, '2020-02-13', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60633, '2020-02-14', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60634, '2020-02-15', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60635, '2020-02-16', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60636, '2020-02-17', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60637, '2020-02-18', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60638, '2020-02-19', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60639, '2020-02-20', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60640, '2020-02-21', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60641, '2020-02-22', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60642, '2020-02-23', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60643, '2020-02-24', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60644, '2020-02-25', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60645, '2020-02-26', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60646, '2020-02-27', 'NL', 'Netherlands', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (60647, '2020-02-28', 'NL', 'Netherlands', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (60648, '2020-02-29', 'NL', 'Netherlands', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (60649, '2020-03-01', 'NL', 'Netherlands', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (60650, '2020-03-02', 'NL', 'Netherlands', 'EURO', '3', '5', '0', '0');
INSERT INTO public.who_import VALUES (60651, '2020-03-03', 'NL', 'Netherlands', 'EURO', '5', '10', '0', '0');
INSERT INTO public.who_import VALUES (60652, '2020-03-04', 'NL', 'Netherlands', 'EURO', '4', '14', '0', '0');
INSERT INTO public.who_import VALUES (60653, '2020-03-05', 'NL', 'Netherlands', 'EURO', '10', '24', '0', '0');
INSERT INTO public.who_import VALUES (60654, '2020-03-06', 'NL', 'Netherlands', 'EURO', '17', '41', '0', '0');
INSERT INTO public.who_import VALUES (60655, '2020-03-07', 'NL', 'Netherlands', 'EURO', '40', '81', '1', '1');
INSERT INTO public.who_import VALUES (60656, '2020-03-08', 'NL', 'Netherlands', 'EURO', '50', '131', '0', '1');
INSERT INTO public.who_import VALUES (60657, '2020-03-09', 'NL', 'Netherlands', 'EURO', '32', '163', '1', '2');
INSERT INTO public.who_import VALUES (60658, '2020-03-10', 'NL', 'Netherlands', 'EURO', '61', '224', '1', '3');
INSERT INTO public.who_import VALUES (60659, '2020-03-11', 'NL', 'Netherlands', 'EURO', '130', '354', '0', '3');
INSERT INTO public.who_import VALUES (60660, '2020-03-12', 'NL', 'Netherlands', 'EURO', '123', '477', '1', '4');
INSERT INTO public.who_import VALUES (60661, '2020-03-13', 'NL', 'Netherlands', 'EURO', '127', '604', '0', '4');
INSERT INTO public.who_import VALUES (60662, '2020-03-14', 'NL', 'Netherlands', 'EURO', '113', '717', '2', '6');
INSERT INTO public.who_import VALUES (60663, '2020-03-15', 'NL', 'Netherlands', 'EURO', '219', '936', '4', '10');
INSERT INTO public.who_import VALUES (60664, '2020-03-16', 'NL', 'Netherlands', 'EURO', '173', '1109', '7', '17');
INSERT INTO public.who_import VALUES (60665, '2020-03-17', 'NL', 'Netherlands', 'EURO', '270', '1379', '4', '21');
INSERT INTO public.who_import VALUES (60666, '2020-03-18', 'NL', 'Netherlands', 'EURO', '288', '1667', '17', '38');
INSERT INTO public.who_import VALUES (60667, '2020-03-19', 'NL', 'Netherlands', 'EURO', '347', '2014', '15', '53');
INSERT INTO public.who_import VALUES (60668, '2020-03-20', 'NL', 'Netherlands', 'EURO', '396', '2410', '23', '76');
INSERT INTO public.who_import VALUES (60669, '2020-03-21', 'NL', 'Netherlands', 'EURO', '533', '2943', '28', '104');
INSERT INTO public.who_import VALUES (60670, '2020-03-22', 'NL', 'Netherlands', 'EURO', '637', '3580', '30', '134');
INSERT INTO public.who_import VALUES (60671, '2020-03-23', 'NL', 'Netherlands', 'EURO', '605', '4185', '44', '178');
INSERT INTO public.who_import VALUES (60672, '2020-03-24', 'NL', 'Netherlands', 'EURO', '553', '4738', '32', '210');
INSERT INTO public.who_import VALUES (60673, '2020-03-25', 'NL', 'Netherlands', 'EURO', '749', '5487', '62', '272');
INSERT INTO public.who_import VALUES (60674, '2020-03-26', 'NL', 'Netherlands', 'EURO', '843', '6330', '76', '348');
INSERT INTO public.who_import VALUES (60675, '2020-03-27', 'NL', 'Netherlands', 'EURO', '1007', '7337', '71', '419');
INSERT INTO public.who_import VALUES (60676, '2020-03-28', 'NL', 'Netherlands', 'EURO', '1167', '8504', '122', '541');
INSERT INTO public.who_import VALUES (60677, '2020-03-29', 'NL', 'Netherlands', 'EURO', '1146', '9650', '89', '630');
INSERT INTO public.who_import VALUES (60678, '2020-03-30', 'NL', 'Netherlands', 'EURO', '1092', '10742', '122', '752');
INSERT INTO public.who_import VALUES (62363, '2020-04-24', 'NE', 'Niger', 'AFRO', '9', '671', '2', '24');
INSERT INTO public.who_import VALUES (60679, '2020-03-31', 'NL', 'Netherlands', 'EURO', '874', '11616', '84', '836');
INSERT INTO public.who_import VALUES (60680, '2020-04-01', 'NL', 'Netherlands', 'EURO', '836', '12452', '168', '1004');
INSERT INTO public.who_import VALUES (60681, '2020-04-02', 'NL', 'Netherlands', 'EURO', '1008', '13460', '133', '1137');
INSERT INTO public.who_import VALUES (60682, '2020-04-03', 'NL', 'Netherlands', 'EURO', '1083', '14543', '155', '1292');
INSERT INTO public.who_import VALUES (60683, '2020-04-04', 'NL', 'Netherlands', 'EURO', '1020', '15563', '145', '1437');
INSERT INTO public.who_import VALUES (60684, '2020-04-05', 'NL', 'Netherlands', 'EURO', '1002', '16565', '187', '1624');
INSERT INTO public.who_import VALUES (60685, '2020-04-06', 'NL', 'Netherlands', 'EURO', '1099', '17664', '103', '1727');
INSERT INTO public.who_import VALUES (60686, '2020-04-07', 'NL', 'Netherlands', 'EURO', '945', '18609', '91', '1818');
INSERT INTO public.who_import VALUES (60687, '2020-04-08', 'NL', 'Netherlands', 'EURO', '782', '19391', '231', '2049');
INSERT INTO public.who_import VALUES (60688, '2020-04-09', 'NL', 'Netherlands', 'EURO', '959', '20350', '157', '2206');
INSERT INTO public.who_import VALUES (60689, '2020-04-10', 'NL', 'Netherlands', 'EURO', '1209', '21559', '143', '2349');
INSERT INTO public.who_import VALUES (60690, '2020-04-11', 'NL', 'Netherlands', 'EURO', '1327', '22886', '119', '2468');
INSERT INTO public.who_import VALUES (60691, '2020-04-12', 'NL', 'Netherlands', 'EURO', '1301', '24187', '142', '2610');
INSERT INTO public.who_import VALUES (60692, '2020-04-13', 'NL', 'Netherlands', 'EURO', '1171', '25358', '96', '2706');
INSERT INTO public.who_import VALUES (60693, '2020-04-14', 'NL', 'Netherlands', 'EURO', '959', '26317', '74', '2780');
INSERT INTO public.who_import VALUES (60694, '2020-04-15', 'NL', 'Netherlands', 'EURO', '862', '27179', '107', '2887');
INSERT INTO public.who_import VALUES (60695, '2020-04-16', 'NL', 'Netherlands', 'EURO', '730', '27909', '202', '3089');
INSERT INTO public.who_import VALUES (60696, '2020-04-17', 'NL', 'Netherlands', 'EURO', '1071', '28980', '177', '3266');
INSERT INTO public.who_import VALUES (60697, '2020-04-18', 'NL', 'Netherlands', 'EURO', '1234', '30214', '153', '3419');
INSERT INTO public.who_import VALUES (60698, '2020-04-19', 'NL', 'Netherlands', 'EURO', '1186', '31400', '149', '3568');
INSERT INTO public.who_import VALUES (60699, '2020-04-20', 'NL', 'Netherlands', 'EURO', '1023', '32423', '79', '3647');
INSERT INTO public.who_import VALUES (60700, '2020-04-21', 'NL', 'Netherlands', 'EURO', '748', '33171', '59', '3706');
INSERT INTO public.who_import VALUES (60701, '2020-04-22', 'NL', 'Netherlands', 'EURO', '716', '33887', '163', '3869');
INSERT INTO public.who_import VALUES (60702, '2020-04-23', 'NL', 'Netherlands', 'EURO', '708', '34595', '134', '4003');
INSERT INTO public.who_import VALUES (60703, '2020-04-24', 'NL', 'Netherlands', 'EURO', '876', '35471', '133', '4136');
INSERT INTO public.who_import VALUES (60704, '2020-04-25', 'NL', 'Netherlands', 'EURO', '805', '36276', '111', '4247');
INSERT INTO public.who_import VALUES (60705, '2020-04-26', 'NL', 'Netherlands', 'EURO', '647', '36923', '127', '4374');
INSERT INTO public.who_import VALUES (60706, '2020-04-27', 'NL', 'Netherlands', 'EURO', '651', '37574', '64', '4438');
INSERT INTO public.who_import VALUES (60707, '2020-04-28', 'NL', 'Netherlands', 'EURO', '405', '37979', '44', '4482');
INSERT INTO public.who_import VALUES (60708, '2020-04-29', 'NL', 'Netherlands', 'EURO', '193', '38172', '47', '4529');
INSERT INTO public.who_import VALUES (60709, '2020-04-30', 'NL', 'Netherlands', 'EURO', '388', '38560', '141', '4670');
INSERT INTO public.who_import VALUES (60710, '2020-05-01', 'NL', 'Netherlands', 'EURO', '507', '39067', '85', '4755');
INSERT INTO public.who_import VALUES (60711, '2020-05-02', 'NL', 'Netherlands', 'EURO', '478', '39545', '101', '4856');
INSERT INTO public.who_import VALUES (60712, '2020-05-03', 'NL', 'Netherlands', 'EURO', '437', '39982', '87', '4943');
INSERT INTO public.who_import VALUES (60713, '2020-05-04', 'NL', 'Netherlands', 'EURO', '338', '40320', '82', '5025');
INSERT INTO public.who_import VALUES (60714, '2020-05-05', 'NL', 'Netherlands', 'EURO', '201', '40521', '15', '5040');
INSERT INTO public.who_import VALUES (60715, '2020-05-06', 'NL', 'Netherlands', 'EURO', '319', '40840', '90', '5130');
INSERT INTO public.who_import VALUES (60716, '2020-05-07', 'NL', 'Netherlands', 'EURO', '319', '41159', '33', '5163');
INSERT INTO public.who_import VALUES (60717, '2020-05-08', 'NL', 'Netherlands', 'EURO', '361', '41520', '89', '5252');
INSERT INTO public.who_import VALUES (60718, '2020-05-09', 'NL', 'Netherlands', 'EURO', '320', '41840', '76', '5328');
INSERT INTO public.who_import VALUES (60719, '2020-05-10', 'NL', 'Netherlands', 'EURO', '288', '42128', '66', '5394');
INSERT INTO public.who_import VALUES (60720, '2020-05-11', 'NL', 'Netherlands', 'EURO', '242', '42370', '19', '5413');
INSERT INTO public.who_import VALUES (60721, '2020-05-12', 'NL', 'Netherlands', 'EURO', '179', '42549', '7', '5420');
INSERT INTO public.who_import VALUES (60722, '2020-05-13', 'NL', 'Netherlands', 'EURO', '195', '42744', '56', '5476');
INSERT INTO public.who_import VALUES (60723, '2020-05-14', 'NL', 'Netherlands', 'EURO', '223', '42967', '52', '5528');
INSERT INTO public.who_import VALUES (60724, '2020-05-15', 'NL', 'Netherlands', 'EURO', '274', '43241', '30', '5558');
INSERT INTO public.who_import VALUES (60725, '2020-05-16', 'NL', 'Netherlands', 'EURO', '202', '43443', '50', '5608');
INSERT INTO public.who_import VALUES (60726, '2020-05-17', 'NL', 'Netherlands', 'EURO', '194', '43637', '34', '5642');
INSERT INTO public.who_import VALUES (60727, '2020-05-18', 'NL', 'Netherlands', 'EURO', '125', '43762', '10', '5652');
INSERT INTO public.who_import VALUES (60728, '2020-05-19', 'NL', 'Netherlands', 'EURO', '148', '43910', '13', '5665');
INSERT INTO public.who_import VALUES (60729, '2020-05-20', 'NL', 'Netherlands', 'EURO', '111', '44021', '24', '5689');
INSERT INTO public.who_import VALUES (60730, '2020-05-21', 'NL', 'Netherlands', 'EURO', '187', '44208', '33', '5722');
INSERT INTO public.who_import VALUES (60731, '2020-05-22', 'NL', 'Netherlands', 'EURO', '254', '44462', '29', '5751');
INSERT INTO public.who_import VALUES (60732, '2020-05-23', 'NL', 'Netherlands', 'EURO', '184', '44646', '10', '5761');
INSERT INTO public.who_import VALUES (60733, '2020-05-24', 'NL', 'Netherlands', 'EURO', '177', '44823', '23', '5784');
INSERT INTO public.who_import VALUES (60734, '2020-05-25', 'NL', 'Netherlands', 'EURO', '173', '44996', '11', '5795');
INSERT INTO public.who_import VALUES (60735, '2020-05-26', 'NL', 'Netherlands', 'EURO', '213', '45209', '9', '5804');
INSERT INTO public.who_import VALUES (60736, '2020-05-27', 'NL', 'Netherlands', 'EURO', '129', '45338', '20', '5824');
INSERT INTO public.who_import VALUES (60737, '2020-05-28', 'NL', 'Netherlands', 'EURO', '194', '45532', '19', '5843');
INSERT INTO public.who_import VALUES (60738, '2020-05-29', 'NL', 'Netherlands', 'EURO', '179', '45711', '27', '5870');
INSERT INTO public.who_import VALUES (60739, '2020-05-30', 'NL', 'Netherlands', 'EURO', '178', '45889', '29', '5899');
INSERT INTO public.who_import VALUES (60740, '2020-05-31', 'NL', 'Netherlands', 'EURO', '141', '46030', '20', '5919');
INSERT INTO public.who_import VALUES (60741, '2020-06-01', 'NL', 'Netherlands', 'EURO', '176', '46206', '4', '5923');
INSERT INTO public.who_import VALUES (60742, '2020-06-02', 'NL', 'Netherlands', 'EURO', '105', '46311', '5', '5928');
INSERT INTO public.who_import VALUES (60743, '2020-06-03', 'NL', 'Netherlands', 'EURO', '95', '46406', '4', '5932');
INSERT INTO public.who_import VALUES (60744, '2020-06-04', 'NL', 'Netherlands', 'EURO', '93', '46499', '13', '5945');
INSERT INTO public.who_import VALUES (60745, '2020-06-05', 'NL', 'Netherlands', 'EURO', '188', '46687', '12', '5957');
INSERT INTO public.who_import VALUES (60746, '2020-06-06', 'NL', 'Netherlands', 'EURO', '217', '46904', '15', '5972');
INSERT INTO public.who_import VALUES (60747, '2020-06-07', 'NL', 'Netherlands', 'EURO', '190', '47094', '8', '5980');
INSERT INTO public.who_import VALUES (60748, '2020-06-08', 'NL', 'Netherlands', 'EURO', '239', '47333', '3', '5983');
INSERT INTO public.who_import VALUES (60749, '2020-06-09', 'NL', 'Netherlands', 'EURO', '166', '47499', '3', '5986');
INSERT INTO public.who_import VALUES (60750, '2020-06-10', 'NL', 'Netherlands', 'EURO', '164', '47663', '13', '5999');
INSERT INTO public.who_import VALUES (60751, '2020-06-11', 'NL', 'Netherlands', 'EURO', '181', '47844', '14', '6013');
INSERT INTO public.who_import VALUES (60752, '2020-06-12', 'NL', 'Netherlands', 'EURO', '162', '48006', '4', '6017');
INSERT INTO public.who_import VALUES (60753, '2020-06-13', 'NL', 'Netherlands', 'EURO', '207', '48213', '7', '6024');
INSERT INTO public.who_import VALUES (60754, '2020-06-14', 'NL', 'Netherlands', 'EURO', '181', '48394', '6', '6030');
INSERT INTO public.who_import VALUES (60755, '2020-06-15', 'NL', 'Netherlands', 'EURO', '144', '48538', '1', '6031');
INSERT INTO public.who_import VALUES (60756, '2020-06-16', 'NL', 'Netherlands', 'EURO', '159', '48697', '7', '6038');
INSERT INTO public.who_import VALUES (60757, '2020-06-17', 'NL', 'Netherlands', 'EURO', '134', '48831', '4', '6042');
INSERT INTO public.who_import VALUES (60758, '2020-06-18', 'NL', 'Netherlands', 'EURO', '113', '48944', '5', '6047');
INSERT INTO public.who_import VALUES (60759, '2020-06-19', 'NL', 'Netherlands', 'EURO', '125', '49069', '3', '6050');
INSERT INTO public.who_import VALUES (60760, '2020-06-20', 'NL', 'Netherlands', 'EURO', '108', '49177', '4', '6054');
INSERT INTO public.who_import VALUES (60761, '2020-06-21', 'NL', 'Netherlands', 'EURO', '90', '49267', '8', '6062');
INSERT INTO public.who_import VALUES (60762, '2020-06-22', 'NL', 'Netherlands', 'EURO', '95', '49362', '1', '6063');
INSERT INTO public.who_import VALUES (60763, '2020-06-23', 'NL', 'Netherlands', 'EURO', '68', '49430', '0', '6063');
INSERT INTO public.who_import VALUES (60764, '2020-06-24', 'NL', 'Netherlands', 'EURO', '70', '49500', '5', '6068');
INSERT INTO public.who_import VALUES (60765, '2020-06-25', 'NL', 'Netherlands', 'EURO', '80', '49580', '3', '6071');
INSERT INTO public.who_import VALUES (60766, '2020-06-26', 'NL', 'Netherlands', 'EURO', '110', '49690', '3', '6074');
INSERT INTO public.who_import VALUES (60767, '2020-06-27', 'NL', 'Netherlands', 'EURO', '93', '49783', '2', '6076');
INSERT INTO public.who_import VALUES (60768, '2020-06-28', 'NL', 'Netherlands', 'EURO', '77', '49860', '3', '6079');
INSERT INTO public.who_import VALUES (60769, '2020-06-29', 'NL', 'Netherlands', 'EURO', '66', '49926', '0', '6079');
INSERT INTO public.who_import VALUES (60770, '2020-06-30', 'NL', 'Netherlands', 'EURO', '76', '50002', '2', '6081');
INSERT INTO public.who_import VALUES (60771, '2020-07-01', 'NL', 'Netherlands', 'EURO', '57', '50059', '5', '6086');
INSERT INTO public.who_import VALUES (60772, '2020-07-02', 'NL', 'Netherlands', 'EURO', '62', '50121', '3', '6089');
INSERT INTO public.who_import VALUES (60773, '2020-07-03', 'NL', 'Netherlands', 'EURO', '75', '50196', '3', '6092');
INSERT INTO public.who_import VALUES (60774, '2020-07-04', 'NL', 'Netherlands', 'EURO', '76', '50272', '1', '6093');
INSERT INTO public.who_import VALUES (60775, '2020-07-05', 'NL', 'Netherlands', 'EURO', '65', '50337', '7', '6100');
INSERT INTO public.who_import VALUES (60776, '2020-07-06', 'NL', 'Netherlands', 'EURO', '72', '50409', '1', '6101');
INSERT INTO public.who_import VALUES (60777, '2020-07-07', 'NL', 'Netherlands', 'EURO', '41', '50450', '0', '6101');
INSERT INTO public.who_import VALUES (60778, '2020-07-08', 'NL', 'Netherlands', 'EURO', '34', '50484', '4', '6105');
INSERT INTO public.who_import VALUES (60779, '2020-07-09', 'NL', 'Netherlands', 'EURO', '57', '50541', '4', '6109');
INSERT INTO public.who_import VALUES (60780, '2020-07-10', 'NL', 'Netherlands', 'EURO', '60', '50601', '2', '6111');
INSERT INTO public.who_import VALUES (60781, '2020-07-11', 'NL', 'Netherlands', 'EURO', '65', '50666', '0', '6111');
INSERT INTO public.who_import VALUES (60782, '2020-07-12', 'NL', 'Netherlands', 'EURO', '84', '50750', '5', '6116');
INSERT INTO public.who_import VALUES (60783, '2020-07-13', 'NL', 'Netherlands', 'EURO', '95', '50845', '0', '6116');
INSERT INTO public.who_import VALUES (60784, '2020-07-14', 'NL', 'Netherlands', 'EURO', '72', '50917', '0', '6116');
INSERT INTO public.who_import VALUES (60785, '2020-07-15', 'NL', 'Netherlands', 'EURO', '98', '51015', '10', '6126');
INSERT INTO public.who_import VALUES (60786, '2020-07-16', 'NL', 'Netherlands', 'EURO', '109', '51124', '2', '6128');
INSERT INTO public.who_import VALUES (60787, '2020-07-17', 'NL', 'Netherlands', 'EURO', '119', '51243', '2', '6130');
INSERT INTO public.who_import VALUES (60788, '2020-07-18', 'NL', 'Netherlands', 'EURO', '109', '51352', '2', '6132');
INSERT INTO public.who_import VALUES (60789, '2020-07-19', 'NL', 'Netherlands', 'EURO', '145', '51497', '1', '6133');
INSERT INTO public.who_import VALUES (60790, '2020-07-20', 'NL', 'Netherlands', 'EURO', '145', '51642', '0', '6133');
INSERT INTO public.who_import VALUES (60791, '2020-07-21', 'NL', 'Netherlands', 'EURO', '183', '51825', '0', '6133');
INSERT INTO public.who_import VALUES (60792, '2020-07-22', 'NL', 'Netherlands', 'EURO', '169', '51994', '1', '6134');
INSERT INTO public.who_import VALUES (60793, '2020-07-23', 'NL', 'Netherlands', 'EURO', '170', '52164', '2', '6136');
INSERT INTO public.who_import VALUES (60794, '2020-07-24', 'NL', 'Netherlands', 'EURO', '164', '52328', '1', '6137');
INSERT INTO public.who_import VALUES (60795, '2020-07-25', 'NL', 'Netherlands', 'EURO', '155', '52483', '0', '6137');
INSERT INTO public.who_import VALUES (60796, '2020-07-26', 'NL', 'Netherlands', 'EURO', '184', '52667', '1', '6138');
INSERT INTO public.who_import VALUES (60797, '2020-07-27', 'NL', 'Netherlands', 'EURO', '213', '52880', '0', '6138');
INSERT INTO public.who_import VALUES (60798, '2020-07-28', 'NL', 'Netherlands', 'EURO', '209', '53089', '1', '6139');
INSERT INTO public.who_import VALUES (60799, '2020-07-29', 'NL', 'Netherlands', 'EURO', '224', '53313', '4', '6143');
INSERT INTO public.who_import VALUES (60800, '2020-07-30', 'NL', 'Netherlands', 'EURO', '248', '53561', '2', '6145');
INSERT INTO public.who_import VALUES (60801, '2020-07-31', 'NL', 'Netherlands', 'EURO', '341', '53902', '0', '6145');
INSERT INTO public.who_import VALUES (60802, '2020-08-01', 'NL', 'Netherlands', 'EURO', '341', '54243', '0', '6145');
INSERT INTO public.who_import VALUES (60803, '2020-08-02', 'NL', 'Netherlands', 'EURO', '431', '54674', '1', '6146');
INSERT INTO public.who_import VALUES (60804, '2020-08-03', 'NL', 'Netherlands', 'EURO', '361', '55035', '1', '6147');
INSERT INTO public.who_import VALUES (60805, '2020-08-04', 'NL', 'Netherlands', 'EURO', '372', '55407', '0', '6147');
INSERT INTO public.who_import VALUES (60806, '2020-08-05', 'NL', 'Netherlands', 'EURO', '487', '55894', '2', '6149');
INSERT INTO public.who_import VALUES (60807, '2020-08-06', 'NL', 'Netherlands', 'EURO', '428', '56322', '3', '6152');
INSERT INTO public.who_import VALUES (60808, '2020-08-07', 'NL', 'Netherlands', 'EURO', '605', '56927', '0', '6152');
INSERT INTO public.who_import VALUES (60809, '2020-08-08', 'NL', 'Netherlands', 'EURO', '517', '57444', '1', '6153');
INSERT INTO public.who_import VALUES (60810, '2020-08-09', 'NL', 'Netherlands', 'EURO', '484', '57928', '3', '6156');
INSERT INTO public.who_import VALUES (60811, '2020-08-10', 'NL', 'Netherlands', 'EURO', '577', '58505', '0', '6156');
INSERT INTO public.who_import VALUES (60812, '2020-08-11', 'NL', 'Netherlands', 'EURO', '787', '59292', '0', '6156');
INSERT INTO public.who_import VALUES (60813, '2020-08-12', 'NL', 'Netherlands', 'EURO', '620', '59912', '2', '6158');
INSERT INTO public.who_import VALUES (60814, '2020-08-13', 'NL', 'Netherlands', 'EURO', '651', '60563', '2', '6160');
INSERT INTO public.who_import VALUES (60815, '2020-08-14', 'NL', 'Netherlands', 'EURO', '576', '61139', '4', '6164');
INSERT INTO public.who_import VALUES (60816, '2020-08-15', 'NL', 'Netherlands', 'EURO', '627', '61766', '2', '6166');
INSERT INTO public.who_import VALUES (60817, '2020-08-16', 'NL', 'Netherlands', 'EURO', '656', '62422', '2', '6168');
INSERT INTO public.who_import VALUES (60818, '2020-08-17', 'NL', 'Netherlands', 'EURO', '499', '62921', '3', '6171');
INSERT INTO public.who_import VALUES (60819, '2020-08-18', 'NL', 'Netherlands', 'EURO', '487', '63408', '0', '6171');
INSERT INTO public.who_import VALUES (60820, '2020-08-19', 'NL', 'Netherlands', 'EURO', '493', '63901', '3', '6174');
INSERT INTO public.who_import VALUES (60821, '2020-08-20', 'NL', 'Netherlands', 'EURO', '553', '64454', '6', '6180');
INSERT INTO public.who_import VALUES (60822, '2020-08-21', 'NL', 'Netherlands', 'EURO', '532', '64986', '9', '6189');
INSERT INTO public.who_import VALUES (60823, '2020-08-22', 'NL', 'Netherlands', 'EURO', '533', '65519', '1', '6190');
INSERT INTO public.who_import VALUES (60824, '2020-08-23', 'NL', 'Netherlands', 'EURO', '507', '66026', '5', '6195');
INSERT INTO public.who_import VALUES (60825, '2020-08-24', 'NL', 'Netherlands', 'EURO', '455', '66481', '0', '6195');
INSERT INTO public.who_import VALUES (60826, '2020-08-25', 'NL', 'Netherlands', 'EURO', '573', '67054', '2', '6197');
INSERT INTO public.who_import VALUES (60827, '2020-08-26', 'NL', 'Netherlands', 'EURO', '416', '67470', '5', '6202');
INSERT INTO public.who_import VALUES (60828, '2020-08-27', 'NL', 'Netherlands', 'EURO', '572', '68042', '8', '6210');
INSERT INTO public.who_import VALUES (60829, '2020-08-28', 'NL', 'Netherlands', 'EURO', '508', '68550', '3', '6213');
INSERT INTO public.who_import VALUES (60830, '2020-08-29', 'NL', 'Netherlands', 'EURO', '501', '69051', '3', '6216');
INSERT INTO public.who_import VALUES (60831, '2020-08-30', 'NL', 'Netherlands', 'EURO', '503', '69554', '4', '6220');
INSERT INTO public.who_import VALUES (60832, '2020-08-31', 'NL', 'Netherlands', 'EURO', '506', '70060', '0', '6220');
INSERT INTO public.who_import VALUES (60833, '2020-09-01', 'NL', 'Netherlands', 'EURO', '526', '70586', '0', '6220');
INSERT INTO public.who_import VALUES (60834, '2020-09-02', 'NL', 'Netherlands', 'EURO', '467', '71053', '6', '6226');
INSERT INTO public.who_import VALUES (60835, '2020-09-03', 'NL', 'Netherlands', 'EURO', '720', '71773', '5', '6231');
INSERT INTO public.who_import VALUES (60836, '2020-09-04', 'NL', 'Netherlands', 'EURO', '599', '72372', '2', '6233');
INSERT INTO public.who_import VALUES (60837, '2020-09-05', 'NL', 'Netherlands', 'EURO', '743', '73115', '2', '6235');
INSERT INTO public.who_import VALUES (60838, '2020-09-06', 'NL', 'Netherlands', 'EURO', '649', '73764', '5', '6240');
INSERT INTO public.who_import VALUES (60839, '2020-09-07', 'NL', 'Netherlands', 'EURO', '920', '74684', '2', '6242');
INSERT INTO public.who_import VALUES (60840, '2020-09-08', 'NL', 'Netherlands', 'EURO', '795', '75479', '0', '6242');
INSERT INTO public.who_import VALUES (60841, '2020-09-09', 'NL', 'Netherlands', 'EURO', '969', '76448', '1', '6243');
INSERT INTO public.who_import VALUES (60842, '2020-09-10', 'NL', 'Netherlands', 'EURO', '1140', '77588', '2', '6245');
INSERT INTO public.who_import VALUES (60843, '2020-09-11', 'NL', 'Netherlands', 'EURO', '837', '78425', '3', '6248');
INSERT INTO public.who_import VALUES (60844, '2020-09-12', 'NL', 'Netherlands', 'EURO', '1272', '79697', '3', '6251');
INSERT INTO public.who_import VALUES (60845, '2020-09-13', 'NL', 'Netherlands', 'EURO', '1222', '80919', '1', '6252');
INSERT INTO public.who_import VALUES (60846, '2020-09-14', 'NL', 'Netherlands', 'EURO', '1088', '82007', '1', '6253');
INSERT INTO public.who_import VALUES (60847, '2020-09-15', 'NL', 'Netherlands', 'EURO', '1297', '83304', '2', '6255');
INSERT INTO public.who_import VALUES (60848, '2020-09-16', 'NL', 'Netherlands', 'EURO', '1376', '84680', '2', '6257');
INSERT INTO public.who_import VALUES (60849, '2020-09-17', 'NL', 'Netherlands', 'EURO', '1537', '86217', '2', '6259');
INSERT INTO public.who_import VALUES (60850, '2020-09-18', 'NL', 'Netherlands', 'EURO', '1739', '87956', '6', '6265');
INSERT INTO public.who_import VALUES (60851, '2020-09-19', 'NL', 'Netherlands', 'EURO', '1958', '89914', '6', '6271');
INSERT INTO public.who_import VALUES (60852, '2020-09-20', 'NL', 'Netherlands', 'EURO', '1892', '91806', '3', '6274');
INSERT INTO public.who_import VALUES (60853, '2020-09-21', 'NL', 'Netherlands', 'EURO', '1844', '93650', '4', '6278');
INSERT INTO public.who_import VALUES (60854, '2020-09-22', 'NL', 'Netherlands', 'EURO', '2212', '95862', '2', '6280');
INSERT INTO public.who_import VALUES (60855, '2020-09-23', 'NL', 'Netherlands', 'EURO', '2237', '98099', '10', '6290');
INSERT INTO public.who_import VALUES (60856, '2020-09-24', 'NL', 'Netherlands', 'EURO', '2334', '100433', '5', '6295');
INSERT INTO public.who_import VALUES (60857, '2020-09-25', 'NL', 'Netherlands', 'EURO', '2536', '102969', '16', '6311');
INSERT INTO public.who_import VALUES (60858, '2020-09-26', 'NL', 'Netherlands', 'EURO', '2764', '105733', '16', '6327');
INSERT INTO public.who_import VALUES (60859, '2020-09-27', 'NL', 'Netherlands', 'EURO', '2701', '108434', '38', '6365');
INSERT INTO public.who_import VALUES (60860, '2020-09-28', 'NL', 'Netherlands', 'EURO', '2976', '111410', '8', '6373');
INSERT INTO public.who_import VALUES (60861, '2020-09-29', 'NL', 'Netherlands', 'EURO', '2902', '114312', '6', '6379');
INSERT INTO public.who_import VALUES (60862, '2020-09-30', 'NL', 'Netherlands', 'EURO', '3004', '117316', '13', '6392');
INSERT INTO public.who_import VALUES (60863, '2020-10-01', 'NL', 'Netherlands', 'EURO', '3286', '120602', '13', '6405');
INSERT INTO public.who_import VALUES (60864, '2020-10-02', 'NL', 'Netherlands', 'EURO', '3253', '123855', '13', '6418');
INSERT INTO public.who_import VALUES (60865, '2020-10-03', 'NL', 'Netherlands', 'EURO', '3804', '127659', '9', '6427');
INSERT INTO public.who_import VALUES (60866, '2020-10-04', 'NL', 'Netherlands', 'EURO', '3937', '131596', '20', '6447');
INSERT INTO public.who_import VALUES (60867, '2020-10-05', 'NL', 'Netherlands', 'EURO', '3985', '135581', '4', '6451');
INSERT INTO public.who_import VALUES (60868, '2020-10-06', 'NL', 'Netherlands', 'EURO', '4555', '140136', '7', '6458');
INSERT INTO public.who_import VALUES (60869, '2020-10-07', 'NL', 'Netherlands', 'EURO', '4522', '144658', '21', '6479');
INSERT INTO public.who_import VALUES (60870, '2020-10-08', 'NL', 'Netherlands', 'EURO', '4975', '149633', '36', '6515');
INSERT INTO public.who_import VALUES (60871, '2020-10-09', 'NL', 'Netherlands', 'EURO', '5785', '155418', '12', '6527');
INSERT INTO public.who_import VALUES (60872, '2020-10-10', 'NL', 'Netherlands', 'EURO', '5961', '161379', '14', '6541');
INSERT INTO public.who_import VALUES (60873, '2020-10-11', 'NL', 'Netherlands', 'EURO', '6480', '167859', '23', '6564');
INSERT INTO public.who_import VALUES (60874, '2020-10-12', 'NL', 'Netherlands', 'EURO', '6345', '174204', '16', '6580');
INSERT INTO public.who_import VALUES (60875, '2020-10-13', 'NL', 'Netherlands', 'EURO', '6803', '181007', '13', '6593');
INSERT INTO public.who_import VALUES (60876, '2020-10-14', 'NL', 'Netherlands', 'EURO', '7336', '188343', '33', '6626');
INSERT INTO public.who_import VALUES (60877, '2020-10-15', 'NL', 'Netherlands', 'EURO', '7252', '195595', '32', '6658');
INSERT INTO public.who_import VALUES (60878, '2020-10-16', 'NL', 'Netherlands', 'EURO', '7779', '203374', '29', '6687');
INSERT INTO public.who_import VALUES (60879, '2020-10-17', 'NL', 'Netherlands', 'EURO', '7955', '211329', '18', '6705');
INSERT INTO public.who_import VALUES (60880, '2020-10-18', 'NL', 'Netherlands', 'EURO', '8107', '219436', '28', '6733');
INSERT INTO public.who_import VALUES (60881, '2020-10-19', 'NL', 'Netherlands', 'EURO', '8149', '227585', '14', '6747');
INSERT INTO public.who_import VALUES (60882, '2020-10-20', 'NL', 'Netherlands', 'EURO', '7989', '235574', '17', '6764');
INSERT INTO public.who_import VALUES (60883, '2020-10-21', 'NL', 'Netherlands', 'EURO', '8144', '243718', '46', '6810');
INSERT INTO public.who_import VALUES (60884, '2020-10-22', 'NL', 'Netherlands', 'EURO', '8718', '252436', '57', '6867');
INSERT INTO public.who_import VALUES (60885, '2020-10-23', 'NL', 'Netherlands', 'EURO', '9251', '261687', '46', '6913');
INSERT INTO public.who_import VALUES (60886, '2020-10-24', 'NL', 'Netherlands', 'EURO', '9974', '271661', '47', '6960');
INSERT INTO public.who_import VALUES (60887, '2020-10-25', 'NL', 'Netherlands', 'EURO', '8642', '280303', '55', '7015');
INSERT INTO public.who_import VALUES (60888, '2020-10-26', 'NL', 'Netherlands', 'EURO', '10170', '290473', '27', '7042');
INSERT INTO public.who_import VALUES (60889, '2020-10-27', 'NL', 'Netherlands', 'EURO', '10303', '300776', '26', '7068');
INSERT INTO public.who_import VALUES (60890, '2020-10-28', 'NL', 'Netherlands', 'EURO', '10267', '311043', '69', '7137');
INSERT INTO public.who_import VALUES (60891, '2020-10-29', 'NL', 'Netherlands', 'EURO', '8077', '319120', '54', '7191');
INSERT INTO public.who_import VALUES (60892, '2020-10-30', 'NL', 'Netherlands', 'EURO', '10248', '329368', '62', '7253');
INSERT INTO public.who_import VALUES (60893, '2020-10-31', 'NL', 'Netherlands', 'EURO', '11070', '340438', '86', '7339');
INSERT INTO public.who_import VALUES (60894, '2020-11-01', 'NL', 'Netherlands', 'EURO', '9773', '350211', '51', '7390');
INSERT INTO public.who_import VALUES (60895, '2020-11-02', 'NL', 'Netherlands', 'EURO', '8680', '358891', '39', '7429');
INSERT INTO public.who_import VALUES (60896, '2020-11-03', 'NL', 'Netherlands', 'EURO', '8266', '367157', '29', '7458');
INSERT INTO public.who_import VALUES (60897, '2020-11-04', 'NL', 'Netherlands', 'EURO', '7739', '374896', '112', '7570');
INSERT INTO public.who_import VALUES (60898, '2020-11-05', 'NL', 'Netherlands', 'EURO', '7600', '382496', '102', '7672');
INSERT INTO public.who_import VALUES (60899, '2020-11-06', 'NL', 'Netherlands', 'EURO', '6948', '389444', '87', '7759');
INSERT INTO public.who_import VALUES (60900, '2020-11-07', 'NL', 'Netherlands', 'EURO', '7227', '396671', '116', '7875');
INSERT INTO public.who_import VALUES (60901, '2020-11-08', 'NL', 'Netherlands', 'EURO', '6616', '403287', '72', '7947');
INSERT INTO public.who_import VALUES (60902, '2020-11-09', 'NL', 'Netherlands', 'EURO', '5656', '408943', '43', '7990');
INSERT INTO public.who_import VALUES (60903, '2020-11-10', 'NL', 'Netherlands', 'EURO', '4671', '413614', '38', '8028');
INSERT INTO public.who_import VALUES (60904, '2020-11-11', 'NL', 'Netherlands', 'EURO', '4646', '418260', '95', '8123');
INSERT INTO public.who_import VALUES (60905, '2020-11-12', 'NL', 'Netherlands', 'EURO', '5384', '423644', '76', '8199');
INSERT INTO public.who_import VALUES (60906, '2020-11-13', 'NL', 'Netherlands', 'EURO', '5619', '429263', '85', '8284');
INSERT INTO public.who_import VALUES (60907, '2020-11-14', 'NL', 'Netherlands', 'EURO', '6069', '435332', '54', '8338');
INSERT INTO public.who_import VALUES (60908, '2020-11-15', 'NL', 'Netherlands', 'EURO', '5901', '441233', '84', '8422');
INSERT INTO public.who_import VALUES (60909, '2020-11-16', 'NL', 'Netherlands', 'EURO', '5419', '446652', '44', '8466');
INSERT INTO public.who_import VALUES (60910, '2020-11-17', 'NL', 'Netherlands', 'EURO', '4843', '451495', '45', '8511');
INSERT INTO public.who_import VALUES (60911, '2020-11-18', 'NL', 'Netherlands', 'EURO', '4282', '455777', '85', '8596');
INSERT INTO public.who_import VALUES (60912, '2020-11-19', 'NL', 'Netherlands', 'EURO', '4586', '460363', '82', '8678');
INSERT INTO public.who_import VALUES (60913, '2020-11-20', 'NL', 'Netherlands', 'EURO', '5687', '466050', '75', '8753');
INSERT INTO public.who_import VALUES (60914, '2020-11-21', 'NL', 'Netherlands', 'EURO', '5934', '471984', '49', '8802');
INSERT INTO public.who_import VALUES (60915, '2020-11-22', 'NL', 'Netherlands', 'EURO', '6006', '477990', '47', '8849');
INSERT INTO public.who_import VALUES (60916, '2020-11-23', 'NL', 'Netherlands', 'EURO', '5361', '483351', '21', '8870');
INSERT INTO public.who_import VALUES (60917, '2020-11-24', 'NL', 'Netherlands', 'EURO', '5182', '488533', '54', '8924');
INSERT INTO public.who_import VALUES (60918, '2020-11-25', 'NL', 'Netherlands', 'EURO', '3947', '492480', '90', '9014');
INSERT INTO public.who_import VALUES (60919, '2020-11-26', 'NL', 'Netherlands', 'EURO', '4911', '497391', '74', '9088');
INSERT INTO public.who_import VALUES (60920, '2020-11-27', 'NL', 'Netherlands', 'EURO', '4470', '501861', '74', '9162');
INSERT INTO public.who_import VALUES (60921, '2020-11-28', 'NL', 'Netherlands', 'EURO', '5753', '507614', '83', '9245');
INSERT INTO public.who_import VALUES (60922, '2020-11-29', 'NL', 'Netherlands', 'EURO', '4465', '512079', '56', '9301');
INSERT INTO public.who_import VALUES (60923, '2020-11-30', 'NL', 'Netherlands', 'EURO', '5565', '517644', '25', '9326');
INSERT INTO public.who_import VALUES (60924, '2020-12-01', 'NL', 'Netherlands', 'EURO', '4573', '522217', '28', '9354');
INSERT INTO public.who_import VALUES (60925, '2020-12-02', 'NL', 'Netherlands', 'EURO', '4038', '526255', '61', '9415');
INSERT INTO public.who_import VALUES (60926, '2020-12-03', 'NL', 'Netherlands', 'EURO', '4908', '531163', '66', '9481');
INSERT INTO public.who_import VALUES (60927, '2020-12-04', 'NL', 'Netherlands', 'EURO', '5595', '536758', '59', '9540');
INSERT INTO public.who_import VALUES (60928, '2020-12-05', 'NL', 'Netherlands', 'EURO', '5892', '542650', '57', '9597');
INSERT INTO public.who_import VALUES (60929, '2020-12-06', 'NL', 'Netherlands', 'EURO', '6531', '549181', '39', '9636');
INSERT INTO public.who_import VALUES (60930, '2020-12-07', 'NL', 'Netherlands', 'EURO', '6764', '555945', '24', '9660');
INSERT INTO public.who_import VALUES (60931, '2020-12-08', 'NL', 'Netherlands', 'EURO', '7094', '563039', '19', '9679');
INSERT INTO public.who_import VALUES (60932, '2020-12-09', 'NL', 'Netherlands', 'EURO', '6124', '569163', '68', '9747');
INSERT INTO public.who_import VALUES (60933, '2020-12-10', 'NL', 'Netherlands', 'EURO', '6548', '575711', '66', '9813');
INSERT INTO public.who_import VALUES (60934, '2020-12-11', 'NL', 'Netherlands', 'EURO', '8712', '584423', '63', '9876');
INSERT INTO public.who_import VALUES (60935, '2020-12-12', 'NL', 'Netherlands', 'EURO', '8839', '593262', '64', '9940');
INSERT INTO public.who_import VALUES (60936, '2020-12-13', 'NL', 'Netherlands', 'EURO', '9124', '602386', '53', '9993');
INSERT INTO public.who_import VALUES (60937, '2020-12-14', 'NL', 'Netherlands', 'EURO', '9881', '612267', '29', '10022');
INSERT INTO public.who_import VALUES (60938, '2020-12-15', 'NL', 'Netherlands', 'EURO', '8464', '620731', '35', '10057');
INSERT INTO public.who_import VALUES (60939, '2020-12-16', 'NL', 'Netherlands', 'EURO', '6635', '627366', '86', '10143');
INSERT INTO public.who_import VALUES (60940, '2020-12-17', 'NL', 'Netherlands', 'EURO', '11166', '638532', '76', '10219');
INSERT INTO public.who_import VALUES (60941, '2020-12-18', 'NL', 'Netherlands', 'EURO', '12781', '651313', '76', '10295');
INSERT INTO public.who_import VALUES (60942, '2020-12-19', 'NL', 'Netherlands', 'EURO', '11961', '663274', '83', '10378');
INSERT INTO public.who_import VALUES (60943, '2020-12-20', 'NL', 'Netherlands', 'EURO', '12228', '675502', '55', '10433');
INSERT INTO public.who_import VALUES (60944, '2020-12-21', 'NL', 'Netherlands', 'EURO', '12998', '688500', '31', '10464');
INSERT INTO public.who_import VALUES (60945, '2020-12-22', 'NL', 'Netherlands', 'EURO', '11158', '699658', '30', '10494');
INSERT INTO public.who_import VALUES (60946, '2020-12-23', 'NL', 'Netherlands', 'EURO', '9825', '709483', '113', '10607');
INSERT INTO public.who_import VALUES (60947, '2020-12-24', 'NL', 'Netherlands', 'EURO', '10396', '719879', '104', '10711');
INSERT INTO public.who_import VALUES (60948, '2020-12-25', 'NL', 'Netherlands', 'EURO', '11500', '731379', '88', '10799');
INSERT INTO public.who_import VALUES (60949, '2020-12-26', 'NL', 'Netherlands', 'EURO', '11497', '742876', '93', '10892');
INSERT INTO public.who_import VALUES (60950, '2020-12-27', 'NL', 'Netherlands', 'EURO', '9826', '752702', '49', '10941');
INSERT INTO public.who_import VALUES (60951, '2020-12-28', 'NL', 'Netherlands', 'EURO', '9010', '761712', '28', '10969');
INSERT INTO public.who_import VALUES (60952, '2020-12-29', 'NL', 'Netherlands', 'EURO', '7404', '769116', '44', '11013');
INSERT INTO public.who_import VALUES (60953, '2020-12-30', 'NL', 'Netherlands', 'EURO', '7524', '776640', '169', '11182');
INSERT INTO public.who_import VALUES (60954, '2020-12-31', 'NL', 'Netherlands', 'EURO', '9456', '786096', '111', '11293');
INSERT INTO public.who_import VALUES (60955, '2021-01-01', 'NL', 'Netherlands', 'EURO', '9668', '795764', '109', '11402');
INSERT INTO public.who_import VALUES (60956, '2021-01-02', 'NL', 'Netherlands', 'EURO', '8172', '803936', '98', '11500');
INSERT INTO public.who_import VALUES (60957, '2021-01-03', 'NL', 'Netherlands', 'EURO', '8591', '812527', '38', '11538');
INSERT INTO public.who_import VALUES (60958, '2021-01-04', 'NL', 'Netherlands', 'EURO', '7400', '819927', '47', '11585');
INSERT INTO public.who_import VALUES (60959, '2021-01-05', 'NL', 'Netherlands', 'EURO', '6637', '826564', '65', '11650');
INSERT INTO public.who_import VALUES (60960, '2021-01-06', 'NL', 'Netherlands', 'EURO', '6379', '832943', '152', '11802');
INSERT INTO public.who_import VALUES (60961, '2021-01-07', 'NL', 'Netherlands', 'EURO', '7100', '840043', '175', '11977');
INSERT INTO public.who_import VALUES (60962, '2021-01-08', 'NL', 'Netherlands', 'EURO', '9682', '849725', '81', '12058');
INSERT INTO public.who_import VALUES (60963, '2021-01-09', 'NL', 'Netherlands', 'EURO', '8119', '857844', '88', '12146');
INSERT INTO public.who_import VALUES (60964, '2021-01-10', 'NL', 'Netherlands', 'EURO', '7339', '865183', '138', '12284');
INSERT INTO public.who_import VALUES (60965, '2021-01-11', 'NL', 'Netherlands', 'EURO', '6609', '871792', '53', '12337');
INSERT INTO public.who_import VALUES (60966, '2021-01-12', 'NL', 'Netherlands', 'EURO', '5454', '877246', '47', '12384');
INSERT INTO public.who_import VALUES (60967, '2021-01-13', 'NL', 'Netherlands', 'EURO', '4943', '882189', '153', '12537');
INSERT INTO public.who_import VALUES (60968, '2021-01-14', 'NL', 'Netherlands', 'EURO', '6097', '888286', '121', '12658');
INSERT INTO public.who_import VALUES (60969, '2021-01-15', 'NL', 'Netherlands', 'EURO', '6500', '894786', '86', '12744');
INSERT INTO public.who_import VALUES (60970, '2021-01-16', 'NL', 'Netherlands', 'EURO', '6033', '900819', '94', '12838');
INSERT INTO public.who_import VALUES (60971, '2021-01-17', 'NL', 'Netherlands', 'EURO', '5303', '906122', '96', '12934');
INSERT INTO public.who_import VALUES (60972, '2021-01-18', 'NL', 'Netherlands', 'EURO', '5586', '911708', '43', '12977');
INSERT INTO public.who_import VALUES (60973, '2021-01-19', 'NL', 'Netherlands', 'EURO', '4793', '916501', '59', '13036');
INSERT INTO public.who_import VALUES (60974, '2021-01-20', 'NL', 'Netherlands', 'EURO', '4302', '920803', '105', '13141');
INSERT INTO public.who_import VALUES (60975, '2021-01-21', 'NL', 'Netherlands', 'EURO', '5575', '926378', '86', '13227');
INSERT INTO public.who_import VALUES (60976, '2021-01-22', 'NL', 'Netherlands', 'EURO', '5816', '932194', '91', '13318');
INSERT INTO public.who_import VALUES (60977, '2021-01-23', 'NL', 'Netherlands', 'EURO', '5754', '937948', '89', '13407');
INSERT INTO public.who_import VALUES (60978, '2021-01-24', 'NL', 'Netherlands', 'EURO', '5459', '943407', '88', '13495');
INSERT INTO public.who_import VALUES (60979, '2021-01-25', 'NL', 'Netherlands', 'EURO', '4890', '948297', '30', '13525');
INSERT INTO public.who_import VALUES (60980, '2021-01-26', 'NL', 'Netherlands', 'EURO', '4097', '952394', '40', '13565');
INSERT INTO public.who_import VALUES (60981, '2021-01-27', 'NL', 'Netherlands', 'EURO', '3962', '956356', '86', '13651');
INSERT INTO public.who_import VALUES (60982, '2021-01-28', 'NL', 'Netherlands', 'EURO', '4733', '961089', '68', '13719');
INSERT INTO public.who_import VALUES (60983, '2021-01-29', 'NL', 'Netherlands', 'EURO', '4706', '965795', '82', '13801');
INSERT INTO public.who_import VALUES (60984, '2021-01-30', 'NL', 'Netherlands', 'EURO', '4409', '970204', '57', '13858');
INSERT INTO public.who_import VALUES (60985, '2021-01-31', 'NL', 'Netherlands', 'EURO', '4179', '974383', '88', '13946');
INSERT INTO public.who_import VALUES (60986, '2021-02-01', 'NL', 'Netherlands', 'EURO', '3686', '978069', '40', '13986');
INSERT INTO public.who_import VALUES (60987, '2021-02-02', 'NL', 'Netherlands', 'EURO', '3244', '981313', '27', '14013');
INSERT INTO public.who_import VALUES (60988, '2021-02-03', 'NL', 'Netherlands', 'EURO', '3562', '984875', '83', '14096');
INSERT INTO public.who_import VALUES (60989, '2021-02-04', 'NL', 'Netherlands', 'EURO', '4031', '988906', '62', '14158');
INSERT INTO public.who_import VALUES (60990, '2021-02-05', 'NL', 'Netherlands', 'EURO', '4215', '993121', '67', '14225');
INSERT INTO public.who_import VALUES (60991, '2021-02-06', 'NL', 'Netherlands', 'EURO', '4330', '997451', '60', '14285');
INSERT INTO public.who_import VALUES (60992, '2021-02-07', 'NL', 'Netherlands', 'EURO', '4099', '1001550', '61', '14346');
INSERT INTO public.who_import VALUES (60993, '2021-02-08', 'NL', 'Netherlands', 'EURO', '3928', '1005478', '48', '14394');
INSERT INTO public.who_import VALUES (60994, '2021-02-09', 'NL', 'Netherlands', 'EURO', '2261', '1007739', '25', '14419');
INSERT INTO public.who_import VALUES (60995, '2021-02-10', 'NL', 'Netherlands', 'EURO', '1763', '1009502', '84', '14503');
INSERT INTO public.who_import VALUES (60996, '2021-02-11', 'NL', 'Netherlands', 'EURO', '3192', '1012694', '78', '14581');
INSERT INTO public.who_import VALUES (60997, '2021-02-12', 'NL', 'Netherlands', 'EURO', '4438', '1017132', '74', '14655');
INSERT INTO public.who_import VALUES (60998, '2021-02-13', 'NL', 'Netherlands', 'EURO', '4341', '1021473', '65', '14720');
INSERT INTO public.who_import VALUES (60999, '2021-02-14', 'NL', 'Netherlands', 'EURO', '4186', '1025659', '67', '14787');
INSERT INTO public.who_import VALUES (61000, '2021-02-15', 'NL', 'Netherlands', 'EURO', '3442', '1029101', '23', '14810');
INSERT INTO public.who_import VALUES (61001, '2021-02-16', 'NL', 'Netherlands', 'EURO', '2848', '1031949', '27', '14837');
INSERT INTO public.who_import VALUES (61002, '2021-02-17', 'NL', 'Netherlands', 'EURO', '2704', '1034653', '88', '14925');
INSERT INTO public.who_import VALUES (61003, '2021-02-18', 'NL', 'Netherlands', 'EURO', '3392', '1038045', '89', '15014');
INSERT INTO public.who_import VALUES (61004, '2021-02-19', 'NL', 'Netherlands', 'EURO', '4594', '1042639', '74', '15088');
INSERT INTO public.who_import VALUES (61005, '2021-02-20', 'NL', 'Netherlands', 'EURO', '4761', '1047400', '50', '15138');
INSERT INTO public.who_import VALUES (61006, '2020-01-03', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61007, '2020-01-04', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61008, '2020-01-05', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61009, '2020-01-06', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61010, '2020-01-07', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61011, '2020-01-08', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61012, '2020-01-09', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61013, '2020-01-10', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61014, '2020-01-11', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61015, '2020-01-12', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61016, '2020-01-13', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61017, '2020-01-14', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61018, '2020-01-15', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61019, '2020-01-16', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61020, '2020-01-17', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61021, '2020-01-18', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61022, '2020-01-19', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61023, '2020-01-20', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61024, '2020-01-21', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61025, '2020-01-22', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61026, '2020-01-23', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61027, '2020-01-24', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61028, '2020-01-25', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61029, '2020-01-26', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61030, '2020-01-27', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61031, '2020-01-28', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61032, '2020-01-29', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61033, '2020-01-30', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61034, '2020-01-31', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61035, '2020-02-01', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61036, '2020-02-02', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61037, '2020-02-03', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61038, '2020-02-04', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61039, '2020-02-05', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61040, '2020-02-06', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61041, '2020-02-07', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61042, '2020-02-08', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61043, '2020-02-09', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61044, '2020-02-10', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61045, '2020-02-11', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61046, '2020-02-12', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61047, '2020-02-13', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61048, '2020-02-14', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61049, '2020-02-15', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61050, '2020-02-16', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61051, '2020-02-17', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61052, '2020-02-18', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61053, '2020-02-19', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61054, '2020-02-20', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61055, '2020-02-21', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61056, '2020-02-22', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61057, '2020-02-23', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61058, '2020-02-24', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61059, '2020-02-25', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61060, '2020-02-26', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61061, '2020-02-27', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61062, '2020-02-28', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61063, '2020-02-29', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61064, '2020-03-01', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61065, '2020-03-02', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61066, '2020-03-03', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61067, '2020-03-04', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61068, '2020-03-05', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61069, '2020-03-06', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61070, '2020-03-07', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61071, '2020-03-08', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61072, '2020-03-09', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61073, '2020-03-10', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61074, '2020-03-11', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61075, '2020-03-12', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61076, '2020-03-13', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61077, '2020-03-14', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61078, '2020-03-15', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61079, '2020-03-16', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61080, '2020-03-17', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61081, '2020-03-18', 'NC', 'New Caledonia', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61082, '2020-03-19', 'NC', 'New Caledonia', 'WPRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (61083, '2020-03-20', 'NC', 'New Caledonia', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61084, '2020-03-21', 'NC', 'New Caledonia', 'WPRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (61085, '2020-03-22', 'NC', 'New Caledonia', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (61086, '2020-03-23', 'NC', 'New Caledonia', 'WPRO', '3', '7', '0', '0');
INSERT INTO public.who_import VALUES (61087, '2020-03-24', 'NC', 'New Caledonia', 'WPRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (61088, '2020-03-25', 'NC', 'New Caledonia', 'WPRO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (61089, '2020-03-26', 'NC', 'New Caledonia', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (61090, '2020-03-27', 'NC', 'New Caledonia', 'WPRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (61091, '2020-03-28', 'NC', 'New Caledonia', 'WPRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (61092, '2020-03-29', 'NC', 'New Caledonia', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (61093, '2020-03-30', 'NC', 'New Caledonia', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (61094, '2020-03-31', 'NC', 'New Caledonia', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (61095, '2020-04-01', 'NC', 'New Caledonia', 'WPRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (61096, '2020-04-02', 'NC', 'New Caledonia', 'WPRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (61097, '2020-04-03', 'NC', 'New Caledonia', 'WPRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (61098, '2020-04-04', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61099, '2020-04-05', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61100, '2020-04-06', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61101, '2020-04-07', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61102, '2020-04-08', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61103, '2020-04-09', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61104, '2020-04-10', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61105, '2020-04-11', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61106, '2020-04-12', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61107, '2020-04-13', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61108, '2020-04-14', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61109, '2020-04-15', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61110, '2020-04-16', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61111, '2020-04-17', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61112, '2020-04-18', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61113, '2020-04-19', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61114, '2020-04-20', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61115, '2020-04-21', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61116, '2020-04-22', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61117, '2020-04-23', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61118, '2020-04-24', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61119, '2020-04-25', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61120, '2020-04-26', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61121, '2020-04-27', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61122, '2020-04-28', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61123, '2020-04-29', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61124, '2020-04-30', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61125, '2020-05-01', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61126, '2020-05-02', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61127, '2020-05-03', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61128, '2020-05-04', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61129, '2020-05-05', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61130, '2020-05-06', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61131, '2020-05-07', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61132, '2020-05-08', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61133, '2020-05-09', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61134, '2020-05-10', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61135, '2020-05-11', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61136, '2020-05-12', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61137, '2020-05-13', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61138, '2020-05-14', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61139, '2020-05-15', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61140, '2020-05-16', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61141, '2020-05-17', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61142, '2020-05-18', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61143, '2020-05-19', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61144, '2020-05-20', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61145, '2020-05-21', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61146, '2020-05-22', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61147, '2020-05-23', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61148, '2020-05-24', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61149, '2020-05-25', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61150, '2020-05-26', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61151, '2020-05-27', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61152, '2020-05-28', 'NC', 'New Caledonia', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (61153, '2020-05-29', 'NC', 'New Caledonia', 'WPRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (61154, '2020-05-30', 'NC', 'New Caledonia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (61155, '2020-05-31', 'NC', 'New Caledonia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (61156, '2020-06-01', 'NC', 'New Caledonia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (61157, '2020-06-02', 'NC', 'New Caledonia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (61158, '2020-06-03', 'NC', 'New Caledonia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (61159, '2020-06-04', 'NC', 'New Caledonia', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (61160, '2020-06-05', 'NC', 'New Caledonia', 'WPRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (61161, '2020-06-06', 'NC', 'New Caledonia', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (61162, '2020-06-07', 'NC', 'New Caledonia', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (61163, '2020-06-08', 'NC', 'New Caledonia', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (61164, '2020-06-09', 'NC', 'New Caledonia', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (61165, '2020-06-10', 'NC', 'New Caledonia', 'WPRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (61166, '2020-06-11', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61167, '2020-06-12', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61168, '2020-06-13', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61169, '2020-06-14', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61170, '2020-06-15', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61171, '2020-06-16', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61172, '2020-06-17', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61173, '2020-06-18', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61174, '2020-06-19', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61175, '2020-06-20', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61176, '2020-06-21', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61177, '2020-06-22', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61178, '2020-06-23', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61179, '2020-06-24', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61180, '2020-06-25', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61181, '2020-06-26', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61182, '2020-06-27', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61183, '2020-06-28', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61184, '2020-06-29', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61185, '2020-06-30', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61186, '2020-07-01', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61187, '2020-07-02', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61188, '2020-07-03', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61189, '2020-07-04', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61190, '2020-07-05', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61191, '2020-07-06', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61192, '2020-07-07', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61193, '2020-07-08', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61194, '2020-07-09', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61195, '2020-07-10', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61196, '2020-07-11', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61197, '2020-07-12', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61198, '2020-07-13', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61199, '2020-07-14', 'NC', 'New Caledonia', 'WPRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (61200, '2020-07-15', 'NC', 'New Caledonia', 'WPRO', '1', '22', '0', '0');
INSERT INTO public.who_import VALUES (61201, '2020-07-16', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61202, '2020-07-17', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61203, '2020-07-18', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61204, '2020-07-19', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61205, '2020-07-20', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61206, '2020-07-21', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61207, '2020-07-22', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61208, '2020-07-23', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61209, '2020-07-24', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61210, '2020-07-25', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61211, '2020-07-26', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61212, '2020-07-27', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61213, '2020-07-28', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61214, '2020-07-29', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61215, '2020-07-30', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61216, '2020-07-31', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61217, '2020-08-01', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61218, '2020-08-02', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61219, '2020-08-03', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61220, '2020-08-04', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61221, '2020-08-05', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61222, '2020-08-06', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61223, '2020-08-07', 'NC', 'New Caledonia', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (61224, '2020-08-08', 'NC', 'New Caledonia', 'WPRO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (61225, '2020-08-09', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61226, '2020-08-10', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61227, '2020-08-11', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61228, '2020-08-12', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61229, '2020-08-13', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61230, '2020-08-14', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61231, '2020-08-15', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61232, '2020-08-16', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61233, '2020-08-17', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61234, '2020-08-18', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61235, '2020-08-19', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61236, '2020-08-20', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61237, '2020-08-21', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61238, '2020-08-22', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61239, '2020-08-23', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61240, '2020-08-24', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61241, '2020-08-25', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61242, '2020-08-26', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61243, '2020-08-27', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61244, '2020-08-28', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61245, '2020-08-29', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61246, '2020-08-30', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61247, '2020-08-31', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61248, '2020-09-01', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61249, '2020-09-02', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61250, '2020-09-03', 'NC', 'New Caledonia', 'WPRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (61251, '2020-09-04', 'NC', 'New Caledonia', 'WPRO', '3', '26', '0', '0');
INSERT INTO public.who_import VALUES (61252, '2020-09-05', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61253, '2020-09-06', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61254, '2020-09-07', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61255, '2020-09-08', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61256, '2020-09-09', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61257, '2020-09-10', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61258, '2020-09-11', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61259, '2020-09-12', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61260, '2020-09-13', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61261, '2020-09-14', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61262, '2020-09-15', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61263, '2020-09-16', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61264, '2020-09-17', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61265, '2020-09-18', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61266, '2020-09-19', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61267, '2020-09-20', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61268, '2020-09-21', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61269, '2020-09-22', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61270, '2020-09-23', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61271, '2020-09-24', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61272, '2020-09-25', 'NC', 'New Caledonia', 'WPRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (61273, '2020-09-26', 'NC', 'New Caledonia', 'WPRO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (61274, '2020-09-27', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61275, '2020-09-28', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61276, '2020-09-29', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61277, '2020-09-30', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61278, '2020-10-01', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61279, '2020-10-02', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61280, '2020-10-03', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61281, '2020-10-04', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61282, '2020-10-05', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61283, '2020-10-06', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61284, '2020-10-07', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61285, '2020-10-08', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61286, '2020-10-09', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61287, '2020-10-10', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61288, '2020-10-11', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61289, '2020-10-12', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61290, '2020-10-13', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61291, '2020-10-14', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61292, '2020-10-15', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61293, '2020-10-16', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61294, '2020-10-17', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61295, '2020-10-18', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61296, '2020-10-19', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61297, '2020-10-20', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61298, '2020-10-21', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61299, '2020-10-22', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61300, '2020-10-23', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61301, '2020-10-24', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61302, '2020-10-25', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61303, '2020-10-26', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61304, '2020-10-27', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61305, '2020-10-28', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61306, '2020-10-29', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61307, '2020-10-30', 'NC', 'New Caledonia', 'WPRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (61308, '2020-10-31', 'NC', 'New Caledonia', 'WPRO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (61309, '2020-11-01', 'NC', 'New Caledonia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (61310, '2020-11-02', 'NC', 'New Caledonia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (61311, '2020-11-03', 'NC', 'New Caledonia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (61312, '2020-11-04', 'NC', 'New Caledonia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (61313, '2020-11-05', 'NC', 'New Caledonia', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (61314, '2020-11-06', 'NC', 'New Caledonia', 'WPRO', '1', '29', '0', '0');
INSERT INTO public.who_import VALUES (61315, '2020-11-07', 'NC', 'New Caledonia', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (61316, '2020-11-08', 'NC', 'New Caledonia', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (61317, '2020-11-09', 'NC', 'New Caledonia', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (61318, '2020-11-10', 'NC', 'New Caledonia', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (61319, '2020-11-11', 'NC', 'New Caledonia', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (61320, '2020-11-12', 'NC', 'New Caledonia', 'WPRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (61321, '2020-11-13', 'NC', 'New Caledonia', 'WPRO', '1', '30', '0', '0');
INSERT INTO public.who_import VALUES (61322, '2020-11-14', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61323, '2020-11-15', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61324, '2020-11-16', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61325, '2020-11-17', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61326, '2020-11-18', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61327, '2020-11-19', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61328, '2020-11-20', 'NC', 'New Caledonia', 'WPRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (61329, '2020-11-21', 'NC', 'New Caledonia', 'WPRO', '2', '32', '0', '0');
INSERT INTO public.who_import VALUES (61330, '2020-11-22', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61331, '2020-11-23', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61332, '2020-11-24', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61333, '2020-11-25', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61334, '2020-11-26', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61335, '2020-11-27', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61336, '2020-11-28', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61337, '2020-11-29', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61338, '2020-11-30', 'NC', 'New Caledonia', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (61339, '2020-12-01', 'NC', 'New Caledonia', 'WPRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (61340, '2020-12-02', 'NC', 'New Caledonia', 'WPRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (61341, '2020-12-03', 'NC', 'New Caledonia', 'WPRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (61342, '2020-12-04', 'NC', 'New Caledonia', 'WPRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (61343, '2020-12-05', 'NC', 'New Caledonia', 'WPRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (61344, '2020-12-06', 'NC', 'New Caledonia', 'WPRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (61345, '2020-12-07', 'NC', 'New Caledonia', 'WPRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (61346, '2020-12-08', 'NC', 'New Caledonia', 'WPRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (61347, '2020-12-09', 'NC', 'New Caledonia', 'WPRO', '1', '36', '0', '0');
INSERT INTO public.who_import VALUES (61348, '2020-12-10', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61349, '2020-12-11', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61350, '2020-12-12', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61351, '2020-12-13', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61352, '2020-12-14', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61353, '2020-12-15', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61354, '2020-12-16', 'NC', 'New Caledonia', 'WPRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (61355, '2020-12-17', 'NC', 'New Caledonia', 'WPRO', '1', '37', '0', '0');
INSERT INTO public.who_import VALUES (61356, '2020-12-18', 'NC', 'New Caledonia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (61357, '2020-12-19', 'NC', 'New Caledonia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (61358, '2020-12-20', 'NC', 'New Caledonia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (61359, '2020-12-21', 'NC', 'New Caledonia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (61360, '2020-12-22', 'NC', 'New Caledonia', 'WPRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (61361, '2020-12-23', 'NC', 'New Caledonia', 'WPRO', '1', '38', '0', '0');
INSERT INTO public.who_import VALUES (61362, '2020-12-24', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61363, '2020-12-25', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61364, '2020-12-26', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61365, '2020-12-27', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61366, '2020-12-28', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61367, '2020-12-29', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61368, '2020-12-30', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61369, '2020-12-31', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61370, '2021-01-01', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61371, '2021-01-02', 'NC', 'New Caledonia', 'WPRO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (61372, '2021-01-03', 'NC', 'New Caledonia', 'WPRO', '2', '40', '0', '0');
INSERT INTO public.who_import VALUES (61373, '2021-01-04', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61374, '2021-01-05', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61375, '2021-01-06', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61376, '2021-01-07', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61377, '2021-01-08', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61378, '2021-01-09', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61379, '2021-01-10', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61380, '2021-01-11', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61381, '2021-01-12', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61382, '2021-01-13', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61383, '2021-01-14', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61384, '2021-01-15', 'NC', 'New Caledonia', 'WPRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (61385, '2021-01-16', 'NC', 'New Caledonia', 'WPRO', '1', '41', '0', '0');
INSERT INTO public.who_import VALUES (61386, '2021-01-17', 'NC', 'New Caledonia', 'WPRO', '3', '44', '0', '0');
INSERT INTO public.who_import VALUES (61387, '2021-01-18', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61388, '2021-01-19', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61389, '2021-01-20', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61390, '2021-01-21', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61391, '2021-01-22', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61392, '2021-01-23', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61393, '2021-01-24', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61394, '2021-01-25', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61395, '2021-01-26', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61396, '2021-01-27', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61397, '2021-01-28', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61398, '2021-01-29', 'NC', 'New Caledonia', 'WPRO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (61399, '2021-01-30', 'NC', 'New Caledonia', 'WPRO', '3', '47', '0', '0');
INSERT INTO public.who_import VALUES (61400, '2021-01-31', 'NC', 'New Caledonia', 'WPRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (61401, '2021-02-01', 'NC', 'New Caledonia', 'WPRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (61402, '2021-02-02', 'NC', 'New Caledonia', 'WPRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (61403, '2021-02-03', 'NC', 'New Caledonia', 'WPRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (61404, '2021-02-04', 'NC', 'New Caledonia', 'WPRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (61405, '2021-02-05', 'NC', 'New Caledonia', 'WPRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (61406, '2021-02-06', 'NC', 'New Caledonia', 'WPRO', '2', '49', '0', '0');
INSERT INTO public.who_import VALUES (61407, '2021-02-07', 'NC', 'New Caledonia', 'WPRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (61408, '2021-02-08', 'NC', 'New Caledonia', 'WPRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (61409, '2021-02-09', 'NC', 'New Caledonia', 'WPRO', '1', '50', '0', '0');
INSERT INTO public.who_import VALUES (61410, '2021-02-10', 'NC', 'New Caledonia', 'WPRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (61411, '2021-02-11', 'NC', 'New Caledonia', 'WPRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (61412, '2021-02-12', 'NC', 'New Caledonia', 'WPRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (61413, '2021-02-13', 'NC', 'New Caledonia', 'WPRO', '2', '52', '0', '0');
INSERT INTO public.who_import VALUES (61414, '2021-02-14', 'NC', 'New Caledonia', 'WPRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (61415, '2021-02-15', 'NC', 'New Caledonia', 'WPRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (61416, '2021-02-16', 'NC', 'New Caledonia', 'WPRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (61417, '2021-02-17', 'NC', 'New Caledonia', 'WPRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (61418, '2021-02-18', 'NC', 'New Caledonia', 'WPRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (61419, '2021-02-19', 'NC', 'New Caledonia', 'WPRO', '3', '55', '0', '0');
INSERT INTO public.who_import VALUES (61420, '2021-02-20', 'NC', 'New Caledonia', 'WPRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (61421, '2020-01-03', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61422, '2020-01-04', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61423, '2020-01-05', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61424, '2020-01-06', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61425, '2020-01-07', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61426, '2020-01-08', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61427, '2020-01-09', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61428, '2020-01-10', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61429, '2020-01-11', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61430, '2020-01-12', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61431, '2020-01-13', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61432, '2020-01-14', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61433, '2020-01-15', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61434, '2020-01-16', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61435, '2020-01-17', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61436, '2020-01-18', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61437, '2020-01-19', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61438, '2020-01-20', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61439, '2020-01-21', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61440, '2020-01-22', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61441, '2020-01-23', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61442, '2020-01-24', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61443, '2020-01-25', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61444, '2020-01-26', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61445, '2020-01-27', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61446, '2020-01-28', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61447, '2020-01-29', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61448, '2020-01-30', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61449, '2020-01-31', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61450, '2020-02-01', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61451, '2020-02-02', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61452, '2020-02-03', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61453, '2020-02-04', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61454, '2020-02-05', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61455, '2020-02-06', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61456, '2020-02-07', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61457, '2020-02-08', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61458, '2020-02-09', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61459, '2020-02-10', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61460, '2020-02-11', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61461, '2020-02-12', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61462, '2020-02-13', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61463, '2020-02-14', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61464, '2020-02-15', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61465, '2020-02-16', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61466, '2020-02-17', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61467, '2020-02-18', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61468, '2020-02-19', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61469, '2020-02-20', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61470, '2020-02-21', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61471, '2020-02-22', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61472, '2020-02-23', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61473, '2020-02-24', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61474, '2020-02-25', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61475, '2020-02-26', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61476, '2020-02-27', 'NZ', 'New Zealand', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61477, '2020-02-28', 'NZ', 'New Zealand', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (61478, '2020-02-29', 'NZ', 'New Zealand', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (61479, '2020-03-01', 'NZ', 'New Zealand', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (61480, '2020-03-02', 'NZ', 'New Zealand', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (61481, '2020-03-03', 'NZ', 'New Zealand', 'WPRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (61482, '2020-03-04', 'NZ', 'New Zealand', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (61483, '2020-03-05', 'NZ', 'New Zealand', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (61484, '2020-03-06', 'NZ', 'New Zealand', 'WPRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (61485, '2020-03-07', 'NZ', 'New Zealand', 'WPRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (61486, '2020-03-08', 'NZ', 'New Zealand', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (61487, '2020-03-09', 'NZ', 'New Zealand', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (61488, '2020-03-10', 'NZ', 'New Zealand', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (61489, '2020-03-11', 'NZ', 'New Zealand', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (61490, '2020-03-12', 'NZ', 'New Zealand', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (61491, '2020-03-13', 'NZ', 'New Zealand', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (61492, '2020-03-14', 'NZ', 'New Zealand', 'WPRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (61493, '2020-03-15', 'NZ', 'New Zealand', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (61494, '2020-03-16', 'NZ', 'New Zealand', 'WPRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (61495, '2020-03-17', 'NZ', 'New Zealand', 'WPRO', '5', '15', '0', '0');
INSERT INTO public.who_import VALUES (61496, '2020-03-18', 'NZ', 'New Zealand', 'WPRO', '9', '24', '0', '0');
INSERT INTO public.who_import VALUES (61497, '2020-03-19', 'NZ', 'New Zealand', 'WPRO', '15', '39', '0', '0');
INSERT INTO public.who_import VALUES (61498, '2020-03-20', 'NZ', 'New Zealand', 'WPRO', '14', '53', '0', '0');
INSERT INTO public.who_import VALUES (61499, '2020-03-21', 'NZ', 'New Zealand', 'WPRO', '13', '66', '0', '0');
INSERT INTO public.who_import VALUES (61500, '2020-03-22', 'NZ', 'New Zealand', 'WPRO', '0', '66', '0', '0');
INSERT INTO public.who_import VALUES (61501, '2020-03-23', 'NZ', 'New Zealand', 'WPRO', '36', '102', '0', '0');
INSERT INTO public.who_import VALUES (61502, '2020-03-24', 'NZ', 'New Zealand', 'WPRO', '40', '142', '0', '0');
INSERT INTO public.who_import VALUES (61503, '2020-03-25', 'NZ', 'New Zealand', 'WPRO', '47', '189', '0', '0');
INSERT INTO public.who_import VALUES (61504, '2020-03-26', 'NZ', 'New Zealand', 'WPRO', '73', '262', '0', '0');
INSERT INTO public.who_import VALUES (61505, '2020-03-27', 'NZ', 'New Zealand', 'WPRO', '76', '338', '0', '0');
INSERT INTO public.who_import VALUES (61506, '2020-03-28', 'NZ', 'New Zealand', 'WPRO', '78', '416', '0', '0');
INSERT INTO public.who_import VALUES (61507, '2020-03-29', 'NZ', 'New Zealand', 'WPRO', '60', '476', '1', '1');
INSERT INTO public.who_import VALUES (61508, '2020-03-30', 'NZ', 'New Zealand', 'WPRO', '76', '552', '0', '1');
INSERT INTO public.who_import VALUES (61509, '2020-03-31', 'NZ', 'New Zealand', 'WPRO', '48', '600', '0', '1');
INSERT INTO public.who_import VALUES (61510, '2020-04-01', 'NZ', 'New Zealand', 'WPRO', '47', '647', '0', '1');
INSERT INTO public.who_import VALUES (61511, '2020-04-02', 'NZ', 'New Zealand', 'WPRO', '76', '723', '0', '1');
INSERT INTO public.who_import VALUES (61512, '2020-04-03', 'NZ', 'New Zealand', 'WPRO', '51', '774', '0', '1');
INSERT INTO public.who_import VALUES (61513, '2020-04-04', 'NZ', 'New Zealand', 'WPRO', '50', '824', '0', '1');
INSERT INTO public.who_import VALUES (61514, '2020-04-05', 'NZ', 'New Zealand', 'WPRO', '48', '872', '0', '1');
INSERT INTO public.who_import VALUES (61515, '2020-04-06', 'NZ', 'New Zealand', 'WPRO', '39', '911', '0', '1');
INSERT INTO public.who_import VALUES (61516, '2020-04-07', 'NZ', 'New Zealand', 'WPRO', '32', '943', '0', '1');
INSERT INTO public.who_import VALUES (61517, '2020-04-08', 'NZ', 'New Zealand', 'WPRO', '26', '969', '0', '1');
INSERT INTO public.who_import VALUES (61518, '2020-04-09', 'NZ', 'New Zealand', 'WPRO', '23', '992', '0', '1');
INSERT INTO public.who_import VALUES (61519, '2020-04-10', 'NZ', 'New Zealand', 'WPRO', '23', '1015', '0', '1');
INSERT INTO public.who_import VALUES (61520, '2020-04-11', 'NZ', 'New Zealand', 'WPRO', '20', '1035', '3', '4');
INSERT INTO public.who_import VALUES (61521, '2020-04-12', 'NZ', 'New Zealand', 'WPRO', '14', '1049', '0', '4');
INSERT INTO public.who_import VALUES (61522, '2020-04-13', 'NZ', 'New Zealand', 'WPRO', '15', '1064', '1', '5');
INSERT INTO public.who_import VALUES (61523, '2020-04-14', 'NZ', 'New Zealand', 'WPRO', '8', '1072', '4', '9');
INSERT INTO public.who_import VALUES (61524, '2020-04-15', 'NZ', 'New Zealand', 'WPRO', '6', '1078', '0', '9');
INSERT INTO public.who_import VALUES (61525, '2020-04-16', 'NZ', 'New Zealand', 'WPRO', '6', '1084', '0', '9');
INSERT INTO public.who_import VALUES (61526, '2020-04-17', 'NZ', 'New Zealand', 'WPRO', '2', '1086', '2', '11');
INSERT INTO public.who_import VALUES (61527, '2020-04-18', 'NZ', 'New Zealand', 'WPRO', '8', '1094', '0', '11');
INSERT INTO public.who_import VALUES (61528, '2020-04-19', 'NZ', 'New Zealand', 'WPRO', '4', '1098', '0', '11');
INSERT INTO public.who_import VALUES (61529, '2020-04-20', 'NZ', 'New Zealand', 'WPRO', '7', '1105', '1', '12');
INSERT INTO public.who_import VALUES (61530, '2020-04-21', 'NZ', 'New Zealand', 'WPRO', '2', '1107', '1', '13');
INSERT INTO public.who_import VALUES (61531, '2020-04-22', 'NZ', 'New Zealand', 'WPRO', '5', '1112', '1', '14');
INSERT INTO public.who_import VALUES (61532, '2020-04-23', 'NZ', 'New Zealand', 'WPRO', '0', '1112', '2', '16');
INSERT INTO public.who_import VALUES (61533, '2020-04-24', 'NZ', 'New Zealand', 'WPRO', '2', '1114', '1', '17');
INSERT INTO public.who_import VALUES (61534, '2020-04-25', 'NZ', 'New Zealand', 'WPRO', '3', '1117', '1', '18');
INSERT INTO public.who_import VALUES (61535, '2020-04-26', 'NZ', 'New Zealand', 'WPRO', '4', '1121', '0', '18');
INSERT INTO public.who_import VALUES (61536, '2020-04-27', 'NZ', 'New Zealand', 'WPRO', '1', '1122', '1', '19');
INSERT INTO public.who_import VALUES (61537, '2020-04-28', 'NZ', 'New Zealand', 'WPRO', '2', '1124', '0', '19');
INSERT INTO public.who_import VALUES (61538, '2020-04-29', 'NZ', 'New Zealand', 'WPRO', '2', '1126', '0', '19');
INSERT INTO public.who_import VALUES (61539, '2020-04-30', 'NZ', 'New Zealand', 'WPRO', '3', '1129', '0', '19');
INSERT INTO public.who_import VALUES (61540, '2020-05-01', 'NZ', 'New Zealand', 'WPRO', '3', '1132', '0', '19');
INSERT INTO public.who_import VALUES (61541, '2020-05-02', 'NZ', 'New Zealand', 'WPRO', '2', '1134', '1', '20');
INSERT INTO public.who_import VALUES (61542, '2020-05-03', 'NZ', 'New Zealand', 'WPRO', '2', '1136', '0', '20');
INSERT INTO public.who_import VALUES (61543, '2020-05-04', 'NZ', 'New Zealand', 'WPRO', '1', '1137', '0', '20');
INSERT INTO public.who_import VALUES (61544, '2020-05-05', 'NZ', 'New Zealand', 'WPRO', '0', '1137', '0', '20');
INSERT INTO public.who_import VALUES (61545, '2020-05-06', 'NZ', 'New Zealand', 'WPRO', '1', '1138', '1', '21');
INSERT INTO public.who_import VALUES (61546, '2020-05-07', 'NZ', 'New Zealand', 'WPRO', '1', '1139', '0', '21');
INSERT INTO public.who_import VALUES (61547, '2020-05-08', 'NZ', 'New Zealand', 'WPRO', '2', '1141', '0', '21');
INSERT INTO public.who_import VALUES (61548, '2020-05-09', 'NZ', 'New Zealand', 'WPRO', '1', '1142', '0', '21');
INSERT INTO public.who_import VALUES (61549, '2020-05-10', 'NZ', 'New Zealand', 'WPRO', '2', '1144', '0', '21');
INSERT INTO public.who_import VALUES (61550, '2020-05-11', 'NZ', 'New Zealand', 'WPRO', '3', '1147', '0', '21');
INSERT INTO public.who_import VALUES (61551, '2020-05-12', 'NZ', 'New Zealand', 'WPRO', '0', '1147', '0', '21');
INSERT INTO public.who_import VALUES (61552, '2020-05-13', 'NZ', 'New Zealand', 'WPRO', '0', '1147', '0', '21');
INSERT INTO public.who_import VALUES (61553, '2020-05-14', 'NZ', 'New Zealand', 'WPRO', '0', '1147', '0', '21');
INSERT INTO public.who_import VALUES (61554, '2020-05-15', 'NZ', 'New Zealand', 'WPRO', '1', '1148', '0', '21');
INSERT INTO public.who_import VALUES (61555, '2020-05-16', 'NZ', 'New Zealand', 'WPRO', '0', '1148', '0', '21');
INSERT INTO public.who_import VALUES (61556, '2020-05-17', 'NZ', 'New Zealand', 'WPRO', '1', '1149', '0', '21');
INSERT INTO public.who_import VALUES (61557, '2020-05-18', 'NZ', 'New Zealand', 'WPRO', '0', '1149', '0', '21');
INSERT INTO public.who_import VALUES (61558, '2020-05-19', 'NZ', 'New Zealand', 'WPRO', '4', '1153', '0', '21');
INSERT INTO public.who_import VALUES (61559, '2020-05-20', 'NZ', 'New Zealand', 'WPRO', '0', '1153', '0', '21');
INSERT INTO public.who_import VALUES (61560, '2020-05-21', 'NZ', 'New Zealand', 'WPRO', '0', '1153', '0', '21');
INSERT INTO public.who_import VALUES (61561, '2020-05-22', 'NZ', 'New Zealand', 'WPRO', '1', '1154', '0', '21');
INSERT INTO public.who_import VALUES (61562, '2020-05-23', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '21');
INSERT INTO public.who_import VALUES (61563, '2020-05-24', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '21');
INSERT INTO public.who_import VALUES (61564, '2020-05-25', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '21');
INSERT INTO public.who_import VALUES (61565, '2020-05-26', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '21');
INSERT INTO public.who_import VALUES (61566, '2020-05-27', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '21');
INSERT INTO public.who_import VALUES (61567, '2020-05-28', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '1', '22');
INSERT INTO public.who_import VALUES (61568, '2020-05-29', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61569, '2020-05-30', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61570, '2020-05-31', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61571, '2020-06-01', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61572, '2020-06-02', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61573, '2020-06-03', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61574, '2020-06-04', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61575, '2020-06-05', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61576, '2020-06-06', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61577, '2020-06-07', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61578, '2020-06-08', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61579, '2020-06-09', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61580, '2020-06-10', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61581, '2020-06-11', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61582, '2020-06-12', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61583, '2020-06-13', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61584, '2020-06-14', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61585, '2020-06-15', 'NZ', 'New Zealand', 'WPRO', '0', '1154', '0', '22');
INSERT INTO public.who_import VALUES (61586, '2020-06-16', 'NZ', 'New Zealand', 'WPRO', '2', '1156', '0', '22');
INSERT INTO public.who_import VALUES (61587, '2020-06-17', 'NZ', 'New Zealand', 'WPRO', '0', '1156', '0', '22');
INSERT INTO public.who_import VALUES (61588, '2020-06-18', 'NZ', 'New Zealand', 'WPRO', '1', '1157', '0', '22');
INSERT INTO public.who_import VALUES (61589, '2020-06-19', 'NZ', 'New Zealand', 'WPRO', '0', '1157', '0', '22');
INSERT INTO public.who_import VALUES (61590, '2020-06-20', 'NZ', 'New Zealand', 'WPRO', '2', '1159', '0', '22');
INSERT INTO public.who_import VALUES (61591, '2020-06-21', 'NZ', 'New Zealand', 'WPRO', '0', '1159', '0', '22');
INSERT INTO public.who_import VALUES (61592, '2020-06-22', 'NZ', 'New Zealand', 'WPRO', '4', '1163', '0', '22');
INSERT INTO public.who_import VALUES (61593, '2020-06-23', 'NZ', 'New Zealand', 'WPRO', '2', '1165', '0', '22');
INSERT INTO public.who_import VALUES (61594, '2020-06-24', 'NZ', 'New Zealand', 'WPRO', '1', '1166', '0', '22');
INSERT INTO public.who_import VALUES (61595, '2020-06-25', 'NZ', 'New Zealand', 'WPRO', '3', '1169', '0', '22');
INSERT INTO public.who_import VALUES (61596, '2020-06-26', 'NZ', 'New Zealand', 'WPRO', '1', '1170', '0', '22');
INSERT INTO public.who_import VALUES (61597, '2020-06-27', 'NZ', 'New Zealand', 'WPRO', '2', '1172', '0', '22');
INSERT INTO public.who_import VALUES (61598, '2020-06-28', 'NZ', 'New Zealand', 'WPRO', '4', '1176', '0', '22');
INSERT INTO public.who_import VALUES (61599, '2020-06-29', 'NZ', 'New Zealand', 'WPRO', '2', '1178', '0', '22');
INSERT INTO public.who_import VALUES (61600, '2020-06-30', 'NZ', 'New Zealand', 'WPRO', '0', '1178', '0', '22');
INSERT INTO public.who_import VALUES (61601, '2020-07-01', 'NZ', 'New Zealand', 'WPRO', '0', '1178', '0', '22');
INSERT INTO public.who_import VALUES (61602, '2020-07-02', 'NZ', 'New Zealand', 'WPRO', '2', '1180', '0', '22');
INSERT INTO public.who_import VALUES (61603, '2020-07-03', 'NZ', 'New Zealand', 'WPRO', '0', '1180', '0', '22');
INSERT INTO public.who_import VALUES (61604, '2020-07-04', 'NZ', 'New Zealand', 'WPRO', '0', '1180', '0', '22');
INSERT INTO public.who_import VALUES (61605, '2020-07-05', 'NZ', 'New Zealand', 'WPRO', '3', '1183', '0', '22');
INSERT INTO public.who_import VALUES (61606, '2020-07-06', 'NZ', 'New Zealand', 'WPRO', '1', '1184', '0', '22');
INSERT INTO public.who_import VALUES (61607, '2020-07-07', 'NZ', 'New Zealand', 'WPRO', '2', '1186', '0', '22');
INSERT INTO public.who_import VALUES (61608, '2020-07-08', 'NZ', 'New Zealand', 'WPRO', '1', '1187', '0', '22');
INSERT INTO public.who_import VALUES (61609, '2020-07-09', 'NZ', 'New Zealand', 'WPRO', '3', '1190', '0', '22');
INSERT INTO public.who_import VALUES (61610, '2020-07-10', 'NZ', 'New Zealand', 'WPRO', '2', '1192', '0', '22');
INSERT INTO public.who_import VALUES (61611, '2020-07-11', 'NZ', 'New Zealand', 'WPRO', '1', '1193', '0', '22');
INSERT INTO public.who_import VALUES (61612, '2020-07-12', 'NZ', 'New Zealand', 'WPRO', '1', '1194', '0', '22');
INSERT INTO public.who_import VALUES (61613, '2020-07-13', 'NZ', 'New Zealand', 'WPRO', '0', '1194', '0', '22');
INSERT INTO public.who_import VALUES (61614, '2020-07-14', 'NZ', 'New Zealand', 'WPRO', '1', '1195', '0', '22');
INSERT INTO public.who_import VALUES (61615, '2020-07-15', 'NZ', 'New Zealand', 'WPRO', '2', '1197', '0', '22');
INSERT INTO public.who_import VALUES (61616, '2020-07-16', 'NZ', 'New Zealand', 'WPRO', '1', '1198', '0', '22');
INSERT INTO public.who_import VALUES (61617, '2020-07-17', 'NZ', 'New Zealand', 'WPRO', '1', '1199', '0', '22');
INSERT INTO public.who_import VALUES (61618, '2020-07-18', 'NZ', 'New Zealand', 'WPRO', '1', '1200', '0', '22');
INSERT INTO public.who_import VALUES (61619, '2020-07-19', 'NZ', 'New Zealand', 'WPRO', '3', '1203', '0', '22');
INSERT INTO public.who_import VALUES (61620, '2020-07-20', 'NZ', 'New Zealand', 'WPRO', '1', '1204', '0', '22');
INSERT INTO public.who_import VALUES (61621, '2020-07-21', 'NZ', 'New Zealand', 'WPRO', '1', '1205', '0', '22');
INSERT INTO public.who_import VALUES (61622, '2020-07-22', 'NZ', 'New Zealand', 'WPRO', '0', '1205', '0', '22');
INSERT INTO public.who_import VALUES (61623, '2020-07-23', 'NZ', 'New Zealand', 'WPRO', '0', '1205', '0', '22');
INSERT INTO public.who_import VALUES (61624, '2020-07-24', 'NZ', 'New Zealand', 'WPRO', '1', '1206', '0', '22');
INSERT INTO public.who_import VALUES (61625, '2020-07-25', 'NZ', 'New Zealand', 'WPRO', '0', '1206', '0', '22');
INSERT INTO public.who_import VALUES (61626, '2020-07-26', 'NZ', 'New Zealand', 'WPRO', '0', '1206', '0', '22');
INSERT INTO public.who_import VALUES (61627, '2020-07-27', 'NZ', 'New Zealand', 'WPRO', '0', '1206', '0', '22');
INSERT INTO public.who_import VALUES (61628, '2020-07-28', 'NZ', 'New Zealand', 'WPRO', '1', '1207', '0', '22');
INSERT INTO public.who_import VALUES (61629, '2020-07-29', 'NZ', 'New Zealand', 'WPRO', '1', '1208', '0', '22');
INSERT INTO public.who_import VALUES (61630, '2020-07-30', 'NZ', 'New Zealand', 'WPRO', '2', '1210', '0', '22');
INSERT INTO public.who_import VALUES (61631, '2020-07-31', 'NZ', 'New Zealand', 'WPRO', '0', '1210', '0', '22');
INSERT INTO public.who_import VALUES (61632, '2020-08-01', 'NZ', 'New Zealand', 'WPRO', '2', '1212', '0', '22');
INSERT INTO public.who_import VALUES (61633, '2020-08-02', 'NZ', 'New Zealand', 'WPRO', '3', '1215', '0', '22');
INSERT INTO public.who_import VALUES (61634, '2020-08-03', 'NZ', 'New Zealand', 'WPRO', '2', '1217', '0', '22');
INSERT INTO public.who_import VALUES (61635, '2020-08-04', 'NZ', 'New Zealand', 'WPRO', '0', '1217', '0', '22');
INSERT INTO public.who_import VALUES (61636, '2020-08-05', 'NZ', 'New Zealand', 'WPRO', '2', '1219', '0', '22');
INSERT INTO public.who_import VALUES (61637, '2020-08-06', 'NZ', 'New Zealand', 'WPRO', '0', '1219', '0', '22');
INSERT INTO public.who_import VALUES (61638, '2020-08-07', 'NZ', 'New Zealand', 'WPRO', '0', '1219', '0', '22');
INSERT INTO public.who_import VALUES (61639, '2020-08-08', 'NZ', 'New Zealand', 'WPRO', '0', '1219', '0', '22');
INSERT INTO public.who_import VALUES (61640, '2020-08-09', 'NZ', 'New Zealand', 'WPRO', '0', '1219', '0', '22');
INSERT INTO public.who_import VALUES (61641, '2020-08-10', 'NZ', 'New Zealand', 'WPRO', '0', '1219', '0', '22');
INSERT INTO public.who_import VALUES (61642, '2020-08-11', 'NZ', 'New Zealand', 'WPRO', '1', '1220', '0', '22');
INSERT INTO public.who_import VALUES (61643, '2020-08-12', 'NZ', 'New Zealand', 'WPRO', '4', '1224', '0', '22');
INSERT INTO public.who_import VALUES (61644, '2020-08-13', 'NZ', 'New Zealand', 'WPRO', '14', '1238', '0', '22');
INSERT INTO public.who_import VALUES (61645, '2020-08-14', 'NZ', 'New Zealand', 'WPRO', '13', '1251', '0', '22');
INSERT INTO public.who_import VALUES (61646, '2020-08-15', 'NZ', 'New Zealand', 'WPRO', '7', '1258', '0', '22');
INSERT INTO public.who_import VALUES (61647, '2020-08-16', 'NZ', 'New Zealand', 'WPRO', '13', '1271', '0', '22');
INSERT INTO public.who_import VALUES (61648, '2020-08-17', 'NZ', 'New Zealand', 'WPRO', '9', '1280', '0', '22');
INSERT INTO public.who_import VALUES (61649, '2020-08-18', 'NZ', 'New Zealand', 'WPRO', '13', '1293', '0', '22');
INSERT INTO public.who_import VALUES (61650, '2020-08-19', 'NZ', 'New Zealand', 'WPRO', '6', '1299', '0', '22');
INSERT INTO public.who_import VALUES (61651, '2020-08-20', 'NZ', 'New Zealand', 'WPRO', '5', '1304', '0', '22');
INSERT INTO public.who_import VALUES (61652, '2020-08-21', 'NZ', 'New Zealand', 'WPRO', '11', '1315', '0', '22');
INSERT INTO public.who_import VALUES (61653, '2020-08-22', 'NZ', 'New Zealand', 'WPRO', '6', '1321', '0', '22');
INSERT INTO public.who_import VALUES (61654, '2020-08-23', 'NZ', 'New Zealand', 'WPRO', '3', '1324', '0', '22');
INSERT INTO public.who_import VALUES (61655, '2020-08-24', 'NZ', 'New Zealand', 'WPRO', '8', '1332', '0', '22');
INSERT INTO public.who_import VALUES (61656, '2020-08-25', 'NZ', 'New Zealand', 'WPRO', '7', '1339', '0', '22');
INSERT INTO public.who_import VALUES (61657, '2020-08-26', 'NZ', 'New Zealand', 'WPRO', '5', '1344', '0', '22');
INSERT INTO public.who_import VALUES (61658, '2020-08-27', 'NZ', 'New Zealand', 'WPRO', '7', '1351', '0', '22');
INSERT INTO public.who_import VALUES (61659, '2020-08-28', 'NZ', 'New Zealand', 'WPRO', '12', '1363', '0', '22');
INSERT INTO public.who_import VALUES (61660, '2020-08-29', 'NZ', 'New Zealand', 'WPRO', '13', '1376', '0', '22');
INSERT INTO public.who_import VALUES (61661, '2020-08-30', 'NZ', 'New Zealand', 'WPRO', '2', '1378', '0', '22');
INSERT INTO public.who_import VALUES (61662, '2020-08-31', 'NZ', 'New Zealand', 'WPRO', '9', '1387', '0', '22');
INSERT INTO public.who_import VALUES (61663, '2020-09-01', 'NZ', 'New Zealand', 'WPRO', '14', '1401', '0', '22');
INSERT INTO public.who_import VALUES (61664, '2020-09-02', 'NZ', 'New Zealand', 'WPRO', '5', '1406', '0', '22');
INSERT INTO public.who_import VALUES (61665, '2020-09-03', 'NZ', 'New Zealand', 'WPRO', '2', '1408', '0', '22');
INSERT INTO public.who_import VALUES (61666, '2020-09-04', 'NZ', 'New Zealand', 'WPRO', '5', '1413', '0', '22');
INSERT INTO public.who_import VALUES (61667, '2020-09-05', 'NZ', 'New Zealand', 'WPRO', '3', '1416', '2', '24');
INSERT INTO public.who_import VALUES (61668, '2020-09-06', 'NZ', 'New Zealand', 'WPRO', '5', '1421', '0', '24');
INSERT INTO public.who_import VALUES (61669, '2020-09-07', 'NZ', 'New Zealand', 'WPRO', '4', '1425', '0', '24');
INSERT INTO public.who_import VALUES (61670, '2020-09-08', 'NZ', 'New Zealand', 'WPRO', '6', '1431', '0', '24');
INSERT INTO public.who_import VALUES (61671, '2020-09-09', 'NZ', 'New Zealand', 'WPRO', '6', '1437', '0', '24');
INSERT INTO public.who_import VALUES (61672, '2020-09-10', 'NZ', 'New Zealand', 'WPRO', '4', '1441', '0', '24');
INSERT INTO public.who_import VALUES (61673, '2020-09-11', 'NZ', 'New Zealand', 'WPRO', '1', '1442', '0', '24');
INSERT INTO public.who_import VALUES (61674, '2020-09-12', 'NZ', 'New Zealand', 'WPRO', '2', '1444', '0', '24');
INSERT INTO public.who_import VALUES (61675, '2020-09-13', 'NZ', 'New Zealand', 'WPRO', '2', '1446', '0', '24');
INSERT INTO public.who_import VALUES (61676, '2020-09-14', 'NZ', 'New Zealand', 'WPRO', '1', '1447', '0', '24');
INSERT INTO public.who_import VALUES (61677, '2020-09-15', 'NZ', 'New Zealand', 'WPRO', '3', '1450', '0', '24');
INSERT INTO public.who_import VALUES (61678, '2020-09-16', 'NZ', 'New Zealand', 'WPRO', '1', '1451', '1', '25');
INSERT INTO public.who_import VALUES (61679, '2020-09-17', 'NZ', 'New Zealand', 'WPRO', '7', '1458', '0', '25');
INSERT INTO public.who_import VALUES (61680, '2020-09-18', 'NZ', 'New Zealand', 'WPRO', '0', '1458', '0', '25');
INSERT INTO public.who_import VALUES (61681, '2020-09-19', 'NZ', 'New Zealand', 'WPRO', '2', '1460', '0', '25');
INSERT INTO public.who_import VALUES (61682, '2020-09-20', 'NZ', 'New Zealand', 'WPRO', '4', '1464', '0', '25');
INSERT INTO public.who_import VALUES (61683, '2020-09-21', 'NZ', 'New Zealand', 'WPRO', '0', '1464', '0', '25');
INSERT INTO public.who_import VALUES (61684, '2020-09-22', 'NZ', 'New Zealand', 'WPRO', '0', '1464', '0', '25');
INSERT INTO public.who_import VALUES (61685, '2020-09-23', 'NZ', 'New Zealand', 'WPRO', '4', '1468', '0', '25');
INSERT INTO public.who_import VALUES (61686, '2020-09-24', 'NZ', 'New Zealand', 'WPRO', '3', '1471', '0', '25');
INSERT INTO public.who_import VALUES (61687, '2020-09-25', 'NZ', 'New Zealand', 'WPRO', '2', '1473', '0', '25');
INSERT INTO public.who_import VALUES (61688, '2020-09-26', 'NZ', 'New Zealand', 'WPRO', '2', '1475', '0', '25');
INSERT INTO public.who_import VALUES (61689, '2020-09-27', 'NZ', 'New Zealand', 'WPRO', '2', '1477', '0', '25');
INSERT INTO public.who_import VALUES (61690, '2020-09-28', 'NZ', 'New Zealand', 'WPRO', '0', '1477', '0', '25');
INSERT INTO public.who_import VALUES (61691, '2020-09-29', 'NZ', 'New Zealand', 'WPRO', '2', '1479', '0', '25');
INSERT INTO public.who_import VALUES (61692, '2020-09-30', 'NZ', 'New Zealand', 'WPRO', '1', '1480', '0', '25');
INSERT INTO public.who_import VALUES (61693, '2020-10-01', 'NZ', 'New Zealand', 'WPRO', '12', '1492', '0', '25');
INSERT INTO public.who_import VALUES (61694, '2020-10-02', 'NZ', 'New Zealand', 'WPRO', '0', '1492', '0', '25');
INSERT INTO public.who_import VALUES (61695, '2020-10-03', 'NZ', 'New Zealand', 'WPRO', '1', '1493', '0', '25');
INSERT INTO public.who_import VALUES (61696, '2020-10-04', 'NZ', 'New Zealand', 'WPRO', '5', '1498', '0', '25');
INSERT INTO public.who_import VALUES (61697, '2020-10-05', 'NZ', 'New Zealand', 'WPRO', '1', '1499', '0', '25');
INSERT INTO public.who_import VALUES (61698, '2020-10-06', 'NZ', 'New Zealand', 'WPRO', '3', '1502', '0', '25');
INSERT INTO public.who_import VALUES (61699, '2020-10-07', 'NZ', 'New Zealand', 'WPRO', '3', '1505', '0', '25');
INSERT INTO public.who_import VALUES (61700, '2020-10-08', 'NZ', 'New Zealand', 'WPRO', '3', '1508', '0', '25');
INSERT INTO public.who_import VALUES (61701, '2020-10-09', 'NZ', 'New Zealand', 'WPRO', '2', '1510', '0', '25');
INSERT INTO public.who_import VALUES (61702, '2020-10-10', 'NZ', 'New Zealand', 'WPRO', '4', '1514', '0', '25');
INSERT INTO public.who_import VALUES (61703, '2020-10-11', 'NZ', 'New Zealand', 'WPRO', '1', '1515', '0', '25');
INSERT INTO public.who_import VALUES (61704, '2020-10-12', 'NZ', 'New Zealand', 'WPRO', '0', '1515', '0', '25');
INSERT INTO public.who_import VALUES (61705, '2020-10-13', 'NZ', 'New Zealand', 'WPRO', '1', '1516', '0', '25');
INSERT INTO public.who_import VALUES (61706, '2020-10-14', 'NZ', 'New Zealand', 'WPRO', '2', '1518', '0', '25');
INSERT INTO public.who_import VALUES (61707, '2020-10-15', 'NZ', 'New Zealand', 'WPRO', '2', '1520', '0', '25');
INSERT INTO public.who_import VALUES (61708, '2020-10-16', 'NZ', 'New Zealand', 'WPRO', '4', '1524', '0', '25');
INSERT INTO public.who_import VALUES (61709, '2020-10-17', 'NZ', 'New Zealand', 'WPRO', '3', '1527', '0', '25');
INSERT INTO public.who_import VALUES (61710, '2020-10-18', 'NZ', 'New Zealand', 'WPRO', '3', '1530', '0', '25');
INSERT INTO public.who_import VALUES (61711, '2020-10-19', 'NZ', 'New Zealand', 'WPRO', '0', '1530', '0', '25');
INSERT INTO public.who_import VALUES (61712, '2020-10-20', 'NZ', 'New Zealand', 'WPRO', '1', '1531', '0', '25');
INSERT INTO public.who_import VALUES (61713, '2020-10-21', 'NZ', 'New Zealand', 'WPRO', '25', '1556', '0', '25');
INSERT INTO public.who_import VALUES (61714, '2020-10-22', 'NZ', 'New Zealand', 'WPRO', '2', '1558', '0', '25');
INSERT INTO public.who_import VALUES (61715, '2020-10-23', 'NZ', 'New Zealand', 'WPRO', '9', '1567', '0', '25');
INSERT INTO public.who_import VALUES (61716, '2020-10-24', 'NZ', 'New Zealand', 'WPRO', '11', '1578', '0', '25');
INSERT INTO public.who_import VALUES (61717, '2020-10-25', 'NZ', 'New Zealand', 'WPRO', '1', '1579', '0', '25');
INSERT INTO public.who_import VALUES (61718, '2020-10-26', 'NZ', 'New Zealand', 'WPRO', '5', '1584', '0', '25');
INSERT INTO public.who_import VALUES (61719, '2020-10-27', 'NZ', 'New Zealand', 'WPRO', '1', '1585', '0', '25');
INSERT INTO public.who_import VALUES (61720, '2020-10-28', 'NZ', 'New Zealand', 'WPRO', '2', '1587', '0', '25');
INSERT INTO public.who_import VALUES (61721, '2020-10-29', 'NZ', 'New Zealand', 'WPRO', '6', '1593', '0', '25');
INSERT INTO public.who_import VALUES (61722, '2020-10-30', 'NZ', 'New Zealand', 'WPRO', '1', '1594', '0', '25');
INSERT INTO public.who_import VALUES (61723, '2020-10-31', 'NZ', 'New Zealand', 'WPRO', '7', '1601', '0', '25');
INSERT INTO public.who_import VALUES (61724, '2020-11-01', 'NZ', 'New Zealand', 'WPRO', '2', '1603', '0', '25');
INSERT INTO public.who_import VALUES (61725, '2020-11-02', 'NZ', 'New Zealand', 'WPRO', '4', '1607', '0', '25');
INSERT INTO public.who_import VALUES (61726, '2020-11-03', 'NZ', 'New Zealand', 'WPRO', '5', '1612', '0', '25');
INSERT INTO public.who_import VALUES (61727, '2020-11-04', 'NZ', 'New Zealand', 'WPRO', '3', '1615', '0', '25');
INSERT INTO public.who_import VALUES (61728, '2020-11-05', 'NZ', 'New Zealand', 'WPRO', '2', '1617', '0', '25');
INSERT INTO public.who_import VALUES (61729, '2020-11-06', 'NZ', 'New Zealand', 'WPRO', '1', '1618', '0', '25');
INSERT INTO public.who_import VALUES (61730, '2020-11-07', 'NZ', 'New Zealand', 'WPRO', '2', '1620', '0', '25');
INSERT INTO public.who_import VALUES (61731, '2020-11-08', 'NZ', 'New Zealand', 'WPRO', '6', '1626', '0', '25');
INSERT INTO public.who_import VALUES (61732, '2020-11-09', 'NZ', 'New Zealand', 'WPRO', '4', '1630', '0', '25');
INSERT INTO public.who_import VALUES (61733, '2020-11-10', 'NZ', 'New Zealand', 'WPRO', '1', '1631', '0', '25');
INSERT INTO public.who_import VALUES (61734, '2020-11-11', 'NZ', 'New Zealand', 'WPRO', '1', '1632', '0', '25');
INSERT INTO public.who_import VALUES (61735, '2020-11-12', 'NZ', 'New Zealand', 'WPRO', '3', '1635', '0', '25');
INSERT INTO public.who_import VALUES (61736, '2020-11-13', 'NZ', 'New Zealand', 'WPRO', '4', '1639', '0', '25');
INSERT INTO public.who_import VALUES (61737, '2020-11-14', 'NZ', 'New Zealand', 'WPRO', '3', '1642', '0', '25');
INSERT INTO public.who_import VALUES (61738, '2020-11-15', 'NZ', 'New Zealand', 'WPRO', '3', '1645', '0', '25');
INSERT INTO public.who_import VALUES (61739, '2020-11-16', 'NZ', 'New Zealand', 'WPRO', '0', '1645', '0', '25');
INSERT INTO public.who_import VALUES (61740, '2020-11-17', 'NZ', 'New Zealand', 'WPRO', '4', '1649', '0', '25');
INSERT INTO public.who_import VALUES (61741, '2020-11-18', 'NZ', 'New Zealand', 'WPRO', '3', '1652', '0', '25');
INSERT INTO public.who_import VALUES (61742, '2020-11-19', 'NZ', 'New Zealand', 'WPRO', '2', '1654', '0', '25');
INSERT INTO public.who_import VALUES (61743, '2020-11-20', 'NZ', 'New Zealand', 'WPRO', '3', '1657', '0', '25');
INSERT INTO public.who_import VALUES (61744, '2020-11-21', 'NZ', 'New Zealand', 'WPRO', '6', '1663', '0', '25');
INSERT INTO public.who_import VALUES (61745, '2020-11-22', 'NZ', 'New Zealand', 'WPRO', '9', '1672', '0', '25');
INSERT INTO public.who_import VALUES (61746, '2020-11-23', 'NZ', 'New Zealand', 'WPRO', '1', '1673', '0', '25');
INSERT INTO public.who_import VALUES (61747, '2020-11-24', 'NZ', 'New Zealand', 'WPRO', '2', '1675', '0', '25');
INSERT INTO public.who_import VALUES (61748, '2020-11-25', 'NZ', 'New Zealand', 'WPRO', '8', '1683', '0', '25');
INSERT INTO public.who_import VALUES (61749, '2020-11-26', 'NZ', 'New Zealand', 'WPRO', '1', '1684', '0', '25');
INSERT INTO public.who_import VALUES (61750, '2020-11-27', 'NZ', 'New Zealand', 'WPRO', '7', '1691', '0', '25');
INSERT INTO public.who_import VALUES (61751, '2020-11-28', 'NZ', 'New Zealand', 'WPRO', '3', '1694', '0', '25');
INSERT INTO public.who_import VALUES (61752, '2020-11-29', 'NZ', 'New Zealand', 'WPRO', '2', '1696', '0', '25');
INSERT INTO public.who_import VALUES (61753, '2020-11-30', 'NZ', 'New Zealand', 'WPRO', '4', '1700', '0', '25');
INSERT INTO public.who_import VALUES (61754, '2020-12-01', 'NZ', 'New Zealand', 'WPRO', '3', '1703', '0', '25');
INSERT INTO public.who_import VALUES (61755, '2020-12-02', 'NZ', 'New Zealand', 'WPRO', '1', '1704', '0', '25');
INSERT INTO public.who_import VALUES (61756, '2020-12-03', 'NZ', 'New Zealand', 'WPRO', '9', '1713', '0', '25');
INSERT INTO public.who_import VALUES (61757, '2020-12-04', 'NZ', 'New Zealand', 'WPRO', '0', '1713', '0', '25');
INSERT INTO public.who_import VALUES (61758, '2020-12-05', 'NZ', 'New Zealand', 'WPRO', '9', '1722', '0', '25');
INSERT INTO public.who_import VALUES (61759, '2020-12-06', 'NZ', 'New Zealand', 'WPRO', '0', '1722', '0', '25');
INSERT INTO public.who_import VALUES (61760, '2020-12-07', 'NZ', 'New Zealand', 'WPRO', '1', '1723', '0', '25');
INSERT INTO public.who_import VALUES (61761, '2020-12-08', 'NZ', 'New Zealand', 'WPRO', '6', '1729', '0', '25');
INSERT INTO public.who_import VALUES (61762, '2020-12-09', 'NZ', 'New Zealand', 'WPRO', '1', '1730', '0', '25');
INSERT INTO public.who_import VALUES (61763, '2020-12-10', 'NZ', 'New Zealand', 'WPRO', '0', '1730', '0', '25');
INSERT INTO public.who_import VALUES (61764, '2020-12-11', 'NZ', 'New Zealand', 'WPRO', '6', '1736', '0', '25');
INSERT INTO public.who_import VALUES (61765, '2020-12-12', 'NZ', 'New Zealand', 'WPRO', '0', '1736', '0', '25');
INSERT INTO public.who_import VALUES (61766, '2020-12-13', 'NZ', 'New Zealand', 'WPRO', '4', '1740', '0', '25');
INSERT INTO public.who_import VALUES (61767, '2020-12-14', 'NZ', 'New Zealand', 'WPRO', '0', '1740', '0', '25');
INSERT INTO public.who_import VALUES (61768, '2020-12-15', 'NZ', 'New Zealand', 'WPRO', '0', '1740', '0', '25');
INSERT INTO public.who_import VALUES (61769, '2020-12-16', 'NZ', 'New Zealand', 'WPRO', '4', '1744', '0', '25');
INSERT INTO public.who_import VALUES (61770, '2020-12-17', 'NZ', 'New Zealand', 'WPRO', '0', '1744', '0', '25');
INSERT INTO public.who_import VALUES (61771, '2020-12-18', 'NZ', 'New Zealand', 'WPRO', '10', '1754', '0', '25');
INSERT INTO public.who_import VALUES (61772, '2020-12-19', 'NZ', 'New Zealand', 'WPRO', '0', '1754', '0', '25');
INSERT INTO public.who_import VALUES (61773, '2020-12-20', 'NZ', 'New Zealand', 'WPRO', '6', '1760', '0', '25');
INSERT INTO public.who_import VALUES (61774, '2020-12-21', 'NZ', 'New Zealand', 'WPRO', '5', '1765', '0', '25');
INSERT INTO public.who_import VALUES (61775, '2020-12-22', 'NZ', 'New Zealand', 'WPRO', '0', '1765', '0', '25');
INSERT INTO public.who_import VALUES (61776, '2020-12-23', 'NZ', 'New Zealand', 'WPRO', '7', '1772', '0', '25');
INSERT INTO public.who_import VALUES (61777, '2020-12-24', 'NZ', 'New Zealand', 'WPRO', '0', '1772', '0', '25');
INSERT INTO public.who_import VALUES (61778, '2020-12-25', 'NZ', 'New Zealand', 'WPRO', '0', '1772', '0', '25');
INSERT INTO public.who_import VALUES (61779, '2020-12-26', 'NZ', 'New Zealand', 'WPRO', '0', '1772', '0', '25');
INSERT INTO public.who_import VALUES (61780, '2020-12-27', 'NZ', 'New Zealand', 'WPRO', '16', '1788', '0', '25');
INSERT INTO public.who_import VALUES (61781, '2020-12-28', 'NZ', 'New Zealand', 'WPRO', '0', '1788', '0', '25');
INSERT INTO public.who_import VALUES (61782, '2020-12-29', 'NZ', 'New Zealand', 'WPRO', '7', '1795', '0', '25');
INSERT INTO public.who_import VALUES (61783, '2020-12-30', 'NZ', 'New Zealand', 'WPRO', '0', '1795', '0', '25');
INSERT INTO public.who_import VALUES (61784, '2020-12-31', 'NZ', 'New Zealand', 'WPRO', '11', '1806', '0', '25');
INSERT INTO public.who_import VALUES (61785, '2021-01-01', 'NZ', 'New Zealand', 'WPRO', '0', '1806', '0', '25');
INSERT INTO public.who_import VALUES (61786, '2021-01-02', 'NZ', 'New Zealand', 'WPRO', '0', '1806', '0', '25');
INSERT INTO public.who_import VALUES (61787, '2021-01-03', 'NZ', 'New Zealand', 'WPRO', '19', '1825', '0', '25');
INSERT INTO public.who_import VALUES (61788, '2021-01-04', 'NZ', 'New Zealand', 'WPRO', '0', '1825', '0', '25');
INSERT INTO public.who_import VALUES (61789, '2021-01-05', 'NZ', 'New Zealand', 'WPRO', '3', '1828', '0', '25');
INSERT INTO public.who_import VALUES (61790, '2021-01-06', 'NZ', 'New Zealand', 'WPRO', '0', '1828', '0', '25');
INSERT INTO public.who_import VALUES (61791, '2021-01-07', 'NZ', 'New Zealand', 'WPRO', '4', '1832', '0', '25');
INSERT INTO public.who_import VALUES (61792, '2021-01-08', 'NZ', 'New Zealand', 'WPRO', '0', '1832', '0', '25');
INSERT INTO public.who_import VALUES (61793, '2021-01-09', 'NZ', 'New Zealand', 'WPRO', '0', '1832', '0', '25');
INSERT INTO public.who_import VALUES (61794, '2021-01-10', 'NZ', 'New Zealand', 'WPRO', '29', '1861', '0', '25');
INSERT INTO public.who_import VALUES (61795, '2021-01-11', 'NZ', 'New Zealand', 'WPRO', '4', '1865', '0', '25');
INSERT INTO public.who_import VALUES (61796, '2021-01-12', 'NZ', 'New Zealand', 'WPRO', '0', '1865', '0', '25');
INSERT INTO public.who_import VALUES (61797, '2021-01-13', 'NZ', 'New Zealand', 'WPRO', '7', '1872', '0', '25');
INSERT INTO public.who_import VALUES (61798, '2021-01-14', 'NZ', 'New Zealand', 'WPRO', '0', '1872', '0', '25');
INSERT INTO public.who_import VALUES (61799, '2021-01-15', 'NZ', 'New Zealand', 'WPRO', '18', '1890', '0', '25');
INSERT INTO public.who_import VALUES (61800, '2021-01-16', 'NZ', 'New Zealand', 'WPRO', '0', '1890', '0', '25');
INSERT INTO public.who_import VALUES (61801, '2021-01-17', 'NZ', 'New Zealand', 'WPRO', '10', '1900', '0', '25');
INSERT INTO public.who_import VALUES (61802, '2021-01-18', 'NZ', 'New Zealand', 'WPRO', '5', '1905', '0', '25');
INSERT INTO public.who_import VALUES (61803, '2021-01-19', 'NZ', 'New Zealand', 'WPRO', '0', '1905', '0', '25');
INSERT INTO public.who_import VALUES (61804, '2021-01-20', 'NZ', 'New Zealand', 'WPRO', '6', '1911', '0', '25');
INSERT INTO public.who_import VALUES (61805, '2021-01-21', 'NZ', 'New Zealand', 'WPRO', '0', '1911', '0', '25');
INSERT INTO public.who_import VALUES (61806, '2021-01-22', 'NZ', 'New Zealand', 'WPRO', '8', '1919', '0', '25');
INSERT INTO public.who_import VALUES (61807, '2021-01-23', 'NZ', 'New Zealand', 'WPRO', '0', '1919', '0', '25');
INSERT INTO public.who_import VALUES (61808, '2021-01-24', 'NZ', 'New Zealand', 'WPRO', '7', '1926', '0', '25');
INSERT INTO public.who_import VALUES (61809, '2021-01-25', 'NZ', 'New Zealand', 'WPRO', '6', '1932', '0', '25');
INSERT INTO public.who_import VALUES (61810, '2021-01-26', 'NZ', 'New Zealand', 'WPRO', '1', '1933', '0', '25');
INSERT INTO public.who_import VALUES (61811, '2021-01-27', 'NZ', 'New Zealand', 'WPRO', '5', '1938', '0', '25');
INSERT INTO public.who_import VALUES (61812, '2021-01-28', 'NZ', 'New Zealand', 'WPRO', '5', '1943', '0', '25');
INSERT INTO public.who_import VALUES (61813, '2021-01-29', 'NZ', 'New Zealand', 'WPRO', '3', '1946', '0', '25');
INSERT INTO public.who_import VALUES (61814, '2021-01-30', 'NZ', 'New Zealand', 'WPRO', '1', '1947', '0', '25');
INSERT INTO public.who_import VALUES (61815, '2021-01-31', 'NZ', 'New Zealand', 'WPRO', '0', '1947', '0', '25');
INSERT INTO public.who_import VALUES (61816, '2021-02-01', 'NZ', 'New Zealand', 'WPRO', '0', '1947', '0', '25');
INSERT INTO public.who_import VALUES (61817, '2021-02-02', 'NZ', 'New Zealand', 'WPRO', '2', '1949', '0', '25');
INSERT INTO public.who_import VALUES (61818, '2021-02-03', 'NZ', 'New Zealand', 'WPRO', '2', '1951', '0', '25');
INSERT INTO public.who_import VALUES (61819, '2021-02-04', 'NZ', 'New Zealand', 'WPRO', '6', '1957', '0', '25');
INSERT INTO public.who_import VALUES (61820, '2021-02-05', 'NZ', 'New Zealand', 'WPRO', '2', '1959', '0', '25');
INSERT INTO public.who_import VALUES (61821, '2021-02-06', 'NZ', 'New Zealand', 'WPRO', '0', '1959', '0', '25');
INSERT INTO public.who_import VALUES (61822, '2021-02-07', 'NZ', 'New Zealand', 'WPRO', '5', '1964', '0', '25');
INSERT INTO public.who_import VALUES (61823, '2021-02-08', 'NZ', 'New Zealand', 'WPRO', '0', '1964', '0', '25');
INSERT INTO public.who_import VALUES (61824, '2021-02-09', 'NZ', 'New Zealand', 'WPRO', '1', '1965', '0', '25');
INSERT INTO public.who_import VALUES (61825, '2021-02-10', 'NZ', 'New Zealand', 'WPRO', '2', '1967', '0', '25');
INSERT INTO public.who_import VALUES (61826, '2021-02-11', 'NZ', 'New Zealand', 'WPRO', '1', '1968', '0', '25');
INSERT INTO public.who_import VALUES (61827, '2021-02-12', 'NZ', 'New Zealand', 'WPRO', '2', '1970', '0', '25');
INSERT INTO public.who_import VALUES (61828, '2021-02-13', 'NZ', 'New Zealand', 'WPRO', '1', '1971', '0', '25');
INSERT INTO public.who_import VALUES (61829, '2021-02-14', 'NZ', 'New Zealand', 'WPRO', '3', '1974', '0', '25');
INSERT INTO public.who_import VALUES (61830, '2021-02-15', 'NZ', 'New Zealand', 'WPRO', '6', '1980', '0', '25');
INSERT INTO public.who_import VALUES (61831, '2021-02-16', 'NZ', 'New Zealand', 'WPRO', '1', '1981', '1', '26');
INSERT INTO public.who_import VALUES (61832, '2021-02-17', 'NZ', 'New Zealand', 'WPRO', '3', '1984', '0', '26');
INSERT INTO public.who_import VALUES (61833, '2021-02-18', 'NZ', 'New Zealand', 'WPRO', '4', '1988', '0', '26');
INSERT INTO public.who_import VALUES (61834, '2021-02-19', 'NZ', 'New Zealand', 'WPRO', '4', '1992', '0', '26');
INSERT INTO public.who_import VALUES (61835, '2021-02-20', 'NZ', 'New Zealand', 'WPRO', '2', '1994', '0', '26');
INSERT INTO public.who_import VALUES (61836, '2020-01-03', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61837, '2020-01-04', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61838, '2020-01-05', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61839, '2020-01-06', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61840, '2020-01-07', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61841, '2020-01-08', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61842, '2020-01-09', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61843, '2020-01-10', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61844, '2020-01-11', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61845, '2020-01-12', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61846, '2020-01-13', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61847, '2020-01-14', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61848, '2020-01-15', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61849, '2020-01-16', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61850, '2020-01-17', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61851, '2020-01-18', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61852, '2020-01-19', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61853, '2020-01-20', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61854, '2020-01-21', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61855, '2020-01-22', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61856, '2020-01-23', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61857, '2020-01-24', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61858, '2020-01-25', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61859, '2020-01-26', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61860, '2020-01-27', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61861, '2020-01-28', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61862, '2020-01-29', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61863, '2020-01-30', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61864, '2020-01-31', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61865, '2020-02-01', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61866, '2020-02-02', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61867, '2020-02-03', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61868, '2020-02-04', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61869, '2020-02-05', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61870, '2020-02-06', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61871, '2020-02-07', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61872, '2020-02-08', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61873, '2020-02-09', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61874, '2020-02-10', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61875, '2020-02-11', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61876, '2020-02-12', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61877, '2020-02-13', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61878, '2020-02-14', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61879, '2020-02-15', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61880, '2020-02-16', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61881, '2020-02-17', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61882, '2020-02-18', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61883, '2020-02-19', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61884, '2020-02-20', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61885, '2020-02-21', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61886, '2020-02-22', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61887, '2020-02-23', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61888, '2020-02-24', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61889, '2020-02-25', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61890, '2020-02-26', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61891, '2020-02-27', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61892, '2020-02-28', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61893, '2020-02-29', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61894, '2020-03-01', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61895, '2020-03-02', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61896, '2020-03-03', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61897, '2020-03-04', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61898, '2020-03-05', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61899, '2020-03-06', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61900, '2020-03-07', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61901, '2020-03-08', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61902, '2020-03-09', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61903, '2020-03-10', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61904, '2020-03-11', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61905, '2020-03-12', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61906, '2020-03-13', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61907, '2020-03-14', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61908, '2020-03-15', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61909, '2020-03-16', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61910, '2020-03-17', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61911, '2020-03-18', 'NI', 'Nicaragua', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (61912, '2020-03-19', 'NI', 'Nicaragua', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (61913, '2020-03-20', 'NI', 'Nicaragua', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (61914, '2020-03-21', 'NI', 'Nicaragua', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (61915, '2020-03-22', 'NI', 'Nicaragua', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61916, '2020-03-23', 'NI', 'Nicaragua', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61917, '2020-03-24', 'NI', 'Nicaragua', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61918, '2020-03-25', 'NI', 'Nicaragua', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61919, '2020-03-26', 'NI', 'Nicaragua', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61920, '2020-03-27', 'NI', 'Nicaragua', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (61921, '2020-03-28', 'NI', 'Nicaragua', 'AMRO', '0', '2', '1', '1');
INSERT INTO public.who_import VALUES (61922, '2020-03-29', 'NI', 'Nicaragua', 'AMRO', '2', '4', '0', '1');
INSERT INTO public.who_import VALUES (61923, '2020-03-30', 'NI', 'Nicaragua', 'AMRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (61924, '2020-03-31', 'NI', 'Nicaragua', 'AMRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (61925, '2020-04-01', 'NI', 'Nicaragua', 'AMRO', '0', '4', '0', '1');
INSERT INTO public.who_import VALUES (61926, '2020-04-02', 'NI', 'Nicaragua', 'AMRO', '1', '5', '0', '1');
INSERT INTO public.who_import VALUES (61927, '2020-04-03', 'NI', 'Nicaragua', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (61928, '2020-04-04', 'NI', 'Nicaragua', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (61929, '2020-04-05', 'NI', 'Nicaragua', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (61930, '2020-04-06', 'NI', 'Nicaragua', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (61931, '2020-04-07', 'NI', 'Nicaragua', 'AMRO', '1', '6', '0', '1');
INSERT INTO public.who_import VALUES (61932, '2020-04-08', 'NI', 'Nicaragua', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (61933, '2020-04-09', 'NI', 'Nicaragua', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (61934, '2020-04-10', 'NI', 'Nicaragua', 'AMRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (61935, '2020-04-11', 'NI', 'Nicaragua', 'AMRO', '1', '7', '0', '1');
INSERT INTO public.who_import VALUES (61936, '2020-04-12', 'NI', 'Nicaragua', 'AMRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (61937, '2020-04-13', 'NI', 'Nicaragua', 'AMRO', '2', '9', '0', '1');
INSERT INTO public.who_import VALUES (61938, '2020-04-14', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61939, '2020-04-15', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61940, '2020-04-16', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61941, '2020-04-17', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61942, '2020-04-18', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61943, '2020-04-19', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61944, '2020-04-20', 'NI', 'Nicaragua', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (61945, '2020-04-21', 'NI', 'Nicaragua', 'AMRO', '0', '9', '1', '2');
INSERT INTO public.who_import VALUES (61946, '2020-04-22', 'NI', 'Nicaragua', 'AMRO', '1', '10', '0', '2');
INSERT INTO public.who_import VALUES (61947, '2020-04-23', 'NI', 'Nicaragua', 'AMRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (61948, '2020-04-24', 'NI', 'Nicaragua', 'AMRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (61949, '2020-04-25', 'NI', 'Nicaragua', 'AMRO', '1', '11', '1', '3');
INSERT INTO public.who_import VALUES (61950, '2020-04-26', 'NI', 'Nicaragua', 'AMRO', '0', '11', '0', '3');
INSERT INTO public.who_import VALUES (61951, '2020-04-27', 'NI', 'Nicaragua', 'AMRO', '2', '13', '0', '3');
INSERT INTO public.who_import VALUES (61952, '2020-04-28', 'NI', 'Nicaragua', 'AMRO', '0', '13', '0', '3');
INSERT INTO public.who_import VALUES (61953, '2020-04-29', 'NI', 'Nicaragua', 'AMRO', '0', '13', '0', '3');
INSERT INTO public.who_import VALUES (61954, '2020-04-30', 'NI', 'Nicaragua', 'AMRO', '0', '13', '0', '3');
INSERT INTO public.who_import VALUES (61955, '2020-05-01', 'NI', 'Nicaragua', 'AMRO', '1', '14', '1', '4');
INSERT INTO public.who_import VALUES (61956, '2020-05-02', 'NI', 'Nicaragua', 'AMRO', '0', '14', '0', '4');
INSERT INTO public.who_import VALUES (61957, '2020-05-03', 'NI', 'Nicaragua', 'AMRO', '0', '14', '0', '4');
INSERT INTO public.who_import VALUES (61958, '2020-05-04', 'NI', 'Nicaragua', 'AMRO', '0', '14', '0', '4');
INSERT INTO public.who_import VALUES (61959, '2020-05-05', 'NI', 'Nicaragua', 'AMRO', '1', '15', '1', '5');
INSERT INTO public.who_import VALUES (61960, '2020-05-06', 'NI', 'Nicaragua', 'AMRO', '0', '15', '0', '5');
INSERT INTO public.who_import VALUES (61961, '2020-05-07', 'NI', 'Nicaragua', 'AMRO', '1', '16', '0', '5');
INSERT INTO public.who_import VALUES (61962, '2020-05-08', 'NI', 'Nicaragua', 'AMRO', '0', '16', '0', '5');
INSERT INTO public.who_import VALUES (61963, '2020-05-09', 'NI', 'Nicaragua', 'AMRO', '0', '16', '0', '5');
INSERT INTO public.who_import VALUES (61964, '2020-05-10', 'NI', 'Nicaragua', 'AMRO', '0', '16', '0', '5');
INSERT INTO public.who_import VALUES (61965, '2020-05-11', 'NI', 'Nicaragua', 'AMRO', '0', '16', '0', '5');
INSERT INTO public.who_import VALUES (61966, '2020-05-12', 'NI', 'Nicaragua', 'AMRO', '0', '16', '0', '5');
INSERT INTO public.who_import VALUES (61967, '2020-05-13', 'NI', 'Nicaragua', 'AMRO', '0', '16', '0', '5');
INSERT INTO public.who_import VALUES (61968, '2020-05-14', 'NI', 'Nicaragua', 'AMRO', '9', '25', '3', '8');
INSERT INTO public.who_import VALUES (61969, '2020-05-15', 'NI', 'Nicaragua', 'AMRO', '0', '25', '0', '8');
INSERT INTO public.who_import VALUES (61970, '2020-05-16', 'NI', 'Nicaragua', 'AMRO', '0', '25', '0', '8');
INSERT INTO public.who_import VALUES (61971, '2020-05-17', 'NI', 'Nicaragua', 'AMRO', '0', '25', '0', '8');
INSERT INTO public.who_import VALUES (61972, '2020-05-18', 'NI', 'Nicaragua', 'AMRO', '0', '25', '0', '8');
INSERT INTO public.who_import VALUES (61973, '2020-05-19', 'NI', 'Nicaragua', 'AMRO', '0', '25', '0', '8');
INSERT INTO public.who_import VALUES (61974, '2020-05-20', 'NI', 'Nicaragua', 'AMRO', '0', '25', '0', '8');
INSERT INTO public.who_import VALUES (61975, '2020-05-21', 'NI', 'Nicaragua', 'AMRO', '254', '279', '9', '17');
INSERT INTO public.who_import VALUES (61976, '2020-05-22', 'NI', 'Nicaragua', 'AMRO', '0', '279', '0', '17');
INSERT INTO public.who_import VALUES (61977, '2020-05-23', 'NI', 'Nicaragua', 'AMRO', '0', '279', '0', '17');
INSERT INTO public.who_import VALUES (61978, '2020-05-24', 'NI', 'Nicaragua', 'AMRO', '0', '279', '0', '17');
INSERT INTO public.who_import VALUES (61979, '2020-05-25', 'NI', 'Nicaragua', 'AMRO', '0', '279', '0', '17');
INSERT INTO public.who_import VALUES (61980, '2020-05-26', 'NI', 'Nicaragua', 'AMRO', '0', '279', '0', '17');
INSERT INTO public.who_import VALUES (61981, '2020-05-27', 'NI', 'Nicaragua', 'AMRO', '0', '279', '0', '17');
INSERT INTO public.who_import VALUES (61982, '2020-05-28', 'NI', 'Nicaragua', 'AMRO', '480', '759', '18', '35');
INSERT INTO public.who_import VALUES (61983, '2020-05-29', 'NI', 'Nicaragua', 'AMRO', '126', '885', '0', '35');
INSERT INTO public.who_import VALUES (61984, '2020-05-30', 'NI', 'Nicaragua', 'AMRO', '0', '885', '0', '35');
INSERT INTO public.who_import VALUES (61985, '2020-05-31', 'NI', 'Nicaragua', 'AMRO', '0', '885', '0', '35');
INSERT INTO public.who_import VALUES (61986, '2020-06-01', 'NI', 'Nicaragua', 'AMRO', '0', '885', '0', '35');
INSERT INTO public.who_import VALUES (61987, '2020-06-02', 'NI', 'Nicaragua', 'AMRO', '0', '885', '0', '35');
INSERT INTO public.who_import VALUES (61988, '2020-06-03', 'NI', 'Nicaragua', 'AMRO', '65', '950', '0', '35');
INSERT INTO public.who_import VALUES (61989, '2020-06-04', 'NI', 'Nicaragua', 'AMRO', '359', '1309', '11', '46');
INSERT INTO public.who_import VALUES (61990, '2020-06-05', 'NI', 'Nicaragua', 'AMRO', '0', '1309', '0', '46');
INSERT INTO public.who_import VALUES (61991, '2020-06-06', 'NI', 'Nicaragua', 'AMRO', '0', '1309', '0', '46');
INSERT INTO public.who_import VALUES (61992, '2020-06-07', 'NI', 'Nicaragua', 'AMRO', '0', '1309', '0', '46');
INSERT INTO public.who_import VALUES (61993, '2020-06-08', 'NI', 'Nicaragua', 'AMRO', '0', '1309', '0', '46');
INSERT INTO public.who_import VALUES (61994, '2020-06-09', 'NI', 'Nicaragua', 'AMRO', '0', '1309', '0', '46');
INSERT INTO public.who_import VALUES (61995, '2020-06-10', 'NI', 'Nicaragua', 'AMRO', '0', '1309', '0', '46');
INSERT INTO public.who_import VALUES (61996, '2020-06-11', 'NI', 'Nicaragua', 'AMRO', '346', '1655', '9', '55');
INSERT INTO public.who_import VALUES (61997, '2020-06-12', 'NI', 'Nicaragua', 'AMRO', '0', '1655', '0', '55');
INSERT INTO public.who_import VALUES (61998, '2020-06-13', 'NI', 'Nicaragua', 'AMRO', '0', '1655', '0', '55');
INSERT INTO public.who_import VALUES (61999, '2020-06-14', 'NI', 'Nicaragua', 'AMRO', '0', '1655', '0', '55');
INSERT INTO public.who_import VALUES (62000, '2020-06-15', 'NI', 'Nicaragua', 'AMRO', '0', '1655', '0', '55');
INSERT INTO public.who_import VALUES (62001, '2020-06-16', 'NI', 'Nicaragua', 'AMRO', '0', '1655', '0', '55');
INSERT INTO public.who_import VALUES (62002, '2020-06-17', 'NI', 'Nicaragua', 'AMRO', '0', '1655', '0', '55');
INSERT INTO public.who_import VALUES (62003, '2020-06-18', 'NI', 'Nicaragua', 'AMRO', '359', '2014', '9', '64');
INSERT INTO public.who_import VALUES (62004, '2020-06-19', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '64');
INSERT INTO public.who_import VALUES (62005, '2020-06-20', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '64');
INSERT INTO public.who_import VALUES (62006, '2020-06-21', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '64');
INSERT INTO public.who_import VALUES (62007, '2020-06-22', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '64');
INSERT INTO public.who_import VALUES (62008, '2020-06-23', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '64');
INSERT INTO public.who_import VALUES (62009, '2020-06-24', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '64');
INSERT INTO public.who_import VALUES (62010, '2020-06-25', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '10', '74');
INSERT INTO public.who_import VALUES (62011, '2020-06-26', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '74');
INSERT INTO public.who_import VALUES (62012, '2020-06-27', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '74');
INSERT INTO public.who_import VALUES (62013, '2020-06-28', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '74');
INSERT INTO public.who_import VALUES (62014, '2020-06-29', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '74');
INSERT INTO public.who_import VALUES (62015, '2020-06-30', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '74');
INSERT INTO public.who_import VALUES (62016, '2020-07-01', 'NI', 'Nicaragua', 'AMRO', '0', '2014', '0', '74');
INSERT INTO public.who_import VALUES (62017, '2020-07-02', 'NI', 'Nicaragua', 'AMRO', '168', '2182', '9', '83');
INSERT INTO public.who_import VALUES (62018, '2020-07-03', 'NI', 'Nicaragua', 'AMRO', '0', '2182', '0', '83');
INSERT INTO public.who_import VALUES (62019, '2020-07-04', 'NI', 'Nicaragua', 'AMRO', '0', '2182', '0', '83');
INSERT INTO public.who_import VALUES (62020, '2020-07-05', 'NI', 'Nicaragua', 'AMRO', '0', '2182', '0', '83');
INSERT INTO public.who_import VALUES (62021, '2020-07-06', 'NI', 'Nicaragua', 'AMRO', '0', '2182', '0', '83');
INSERT INTO public.who_import VALUES (62022, '2020-07-07', 'NI', 'Nicaragua', 'AMRO', '0', '2182', '0', '83');
INSERT INTO public.who_import VALUES (62023, '2020-07-08', 'NI', 'Nicaragua', 'AMRO', '0', '2182', '0', '83');
INSERT INTO public.who_import VALUES (62024, '2020-07-09', 'NI', 'Nicaragua', 'AMRO', '229', '2411', '8', '91');
INSERT INTO public.who_import VALUES (62025, '2020-07-10', 'NI', 'Nicaragua', 'AMRO', '0', '2411', '0', '91');
INSERT INTO public.who_import VALUES (62026, '2020-07-11', 'NI', 'Nicaragua', 'AMRO', '0', '2411', '0', '91');
INSERT INTO public.who_import VALUES (62027, '2020-07-12', 'NI', 'Nicaragua', 'AMRO', '0', '2411', '0', '91');
INSERT INTO public.who_import VALUES (62028, '2020-07-13', 'NI', 'Nicaragua', 'AMRO', '0', '2411', '0', '91');
INSERT INTO public.who_import VALUES (62029, '2020-07-14', 'NI', 'Nicaragua', 'AMRO', '0', '2411', '0', '91');
INSERT INTO public.who_import VALUES (62030, '2020-07-15', 'NI', 'Nicaragua', 'AMRO', '301', '2712', '8', '99');
INSERT INTO public.who_import VALUES (62031, '2020-07-16', 'NI', 'Nicaragua', 'AMRO', '0', '2712', '0', '99');
INSERT INTO public.who_import VALUES (62032, '2020-07-17', 'NI', 'Nicaragua', 'AMRO', '0', '2712', '0', '99');
INSERT INTO public.who_import VALUES (62033, '2020-07-18', 'NI', 'Nicaragua', 'AMRO', '0', '2712', '0', '99');
INSERT INTO public.who_import VALUES (62034, '2020-07-19', 'NI', 'Nicaragua', 'AMRO', '0', '2712', '0', '99');
INSERT INTO public.who_import VALUES (62035, '2020-07-20', 'NI', 'Nicaragua', 'AMRO', '0', '2712', '0', '99');
INSERT INTO public.who_import VALUES (62036, '2020-07-21', 'NI', 'Nicaragua', 'AMRO', '0', '2712', '0', '99');
INSERT INTO public.who_import VALUES (62037, '2020-07-22', 'NI', 'Nicaragua', 'AMRO', '292', '3004', '9', '108');
INSERT INTO public.who_import VALUES (62038, '2020-07-23', 'NI', 'Nicaragua', 'AMRO', '0', '3004', '0', '108');
INSERT INTO public.who_import VALUES (62039, '2020-07-24', 'NI', 'Nicaragua', 'AMRO', '0', '3004', '0', '108');
INSERT INTO public.who_import VALUES (62040, '2020-07-25', 'NI', 'Nicaragua', 'AMRO', '0', '3004', '0', '108');
INSERT INTO public.who_import VALUES (62041, '2020-07-26', 'NI', 'Nicaragua', 'AMRO', '0', '3004', '0', '108');
INSERT INTO public.who_import VALUES (62042, '2020-07-27', 'NI', 'Nicaragua', 'AMRO', '0', '3004', '0', '108');
INSERT INTO public.who_import VALUES (62043, '2020-07-28', 'NI', 'Nicaragua', 'AMRO', '0', '3004', '0', '108');
INSERT INTO public.who_import VALUES (62044, '2020-07-29', 'NI', 'Nicaragua', 'AMRO', '76', '3080', '8', '116');
INSERT INTO public.who_import VALUES (62045, '2020-07-30', 'NI', 'Nicaragua', 'AMRO', '0', '3080', '0', '116');
INSERT INTO public.who_import VALUES (62046, '2020-07-31', 'NI', 'Nicaragua', 'AMRO', '0', '3080', '0', '116');
INSERT INTO public.who_import VALUES (62047, '2020-08-01', 'NI', 'Nicaragua', 'AMRO', '0', '3080', '0', '116');
INSERT INTO public.who_import VALUES (62048, '2020-08-02', 'NI', 'Nicaragua', 'AMRO', '0', '3080', '0', '116');
INSERT INTO public.who_import VALUES (62049, '2020-08-03', 'NI', 'Nicaragua', 'AMRO', '0', '3080', '0', '116');
INSERT INTO public.who_import VALUES (62050, '2020-08-04', 'NI', 'Nicaragua', 'AMRO', '0', '3080', '0', '116');
INSERT INTO public.who_import VALUES (62051, '2020-08-05', 'NI', 'Nicaragua', 'AMRO', '186', '3266', '7', '123');
INSERT INTO public.who_import VALUES (62052, '2020-08-06', 'NI', 'Nicaragua', 'AMRO', '0', '3266', '0', '123');
INSERT INTO public.who_import VALUES (62053, '2020-08-07', 'NI', 'Nicaragua', 'AMRO', '0', '3266', '0', '123');
INSERT INTO public.who_import VALUES (62054, '2020-08-08', 'NI', 'Nicaragua', 'AMRO', '0', '3266', '0', '123');
INSERT INTO public.who_import VALUES (62055, '2020-08-09', 'NI', 'Nicaragua', 'AMRO', '0', '3266', '0', '123');
INSERT INTO public.who_import VALUES (62056, '2020-08-10', 'NI', 'Nicaragua', 'AMRO', '0', '3266', '0', '123');
INSERT INTO public.who_import VALUES (62057, '2020-08-11', 'NI', 'Nicaragua', 'AMRO', '0', '3266', '0', '123');
INSERT INTO public.who_import VALUES (62058, '2020-08-12', 'NI', 'Nicaragua', 'AMRO', '147', '3413', '5', '128');
INSERT INTO public.who_import VALUES (62059, '2020-08-13', 'NI', 'Nicaragua', 'AMRO', '0', '3413', '0', '128');
INSERT INTO public.who_import VALUES (62060, '2020-08-14', 'NI', 'Nicaragua', 'AMRO', '0', '3413', '0', '128');
INSERT INTO public.who_import VALUES (62061, '2020-08-15', 'NI', 'Nicaragua', 'AMRO', '0', '3413', '0', '128');
INSERT INTO public.who_import VALUES (62062, '2020-08-16', 'NI', 'Nicaragua', 'AMRO', '0', '3413', '0', '128');
INSERT INTO public.who_import VALUES (62063, '2020-08-17', 'NI', 'Nicaragua', 'AMRO', '0', '3413', '0', '128');
INSERT INTO public.who_import VALUES (62064, '2020-08-18', 'NI', 'Nicaragua', 'AMRO', '0', '3413', '0', '128');
INSERT INTO public.who_import VALUES (62065, '2020-08-19', 'NI', 'Nicaragua', 'AMRO', '127', '3540', '5', '133');
INSERT INTO public.who_import VALUES (62066, '2020-08-20', 'NI', 'Nicaragua', 'AMRO', '0', '3540', '0', '133');
INSERT INTO public.who_import VALUES (62067, '2020-08-21', 'NI', 'Nicaragua', 'AMRO', '0', '3540', '0', '133');
INSERT INTO public.who_import VALUES (62068, '2020-08-22', 'NI', 'Nicaragua', 'AMRO', '0', '3540', '0', '133');
INSERT INTO public.who_import VALUES (62069, '2020-08-23', 'NI', 'Nicaragua', 'AMRO', '0', '3540', '0', '133');
INSERT INTO public.who_import VALUES (62070, '2020-08-24', 'NI', 'Nicaragua', 'AMRO', '0', '3540', '0', '133');
INSERT INTO public.who_import VALUES (62071, '2020-08-25', 'NI', 'Nicaragua', 'AMRO', '0', '3540', '0', '133');
INSERT INTO public.who_import VALUES (62072, '2020-08-26', 'NI', 'Nicaragua', 'AMRO', '119', '3659', '4', '137');
INSERT INTO public.who_import VALUES (62073, '2020-08-27', 'NI', 'Nicaragua', 'AMRO', '0', '3659', '0', '137');
INSERT INTO public.who_import VALUES (62074, '2020-08-28', 'NI', 'Nicaragua', 'AMRO', '0', '3659', '0', '137');
INSERT INTO public.who_import VALUES (62075, '2020-08-29', 'NI', 'Nicaragua', 'AMRO', '0', '3659', '0', '137');
INSERT INTO public.who_import VALUES (62076, '2020-08-30', 'NI', 'Nicaragua', 'AMRO', '0', '3659', '0', '137');
INSERT INTO public.who_import VALUES (62077, '2020-08-31', 'NI', 'Nicaragua', 'AMRO', '0', '3659', '0', '137');
INSERT INTO public.who_import VALUES (62078, '2020-09-01', 'NI', 'Nicaragua', 'AMRO', '0', '3659', '0', '137');
INSERT INTO public.who_import VALUES (62079, '2020-09-02', 'NI', 'Nicaragua', 'AMRO', '114', '3773', '4', '141');
INSERT INTO public.who_import VALUES (62080, '2020-09-03', 'NI', 'Nicaragua', 'AMRO', '0', '3773', '0', '141');
INSERT INTO public.who_import VALUES (62081, '2020-09-04', 'NI', 'Nicaragua', 'AMRO', '0', '3773', '0', '141');
INSERT INTO public.who_import VALUES (62082, '2020-09-05', 'NI', 'Nicaragua', 'AMRO', '0', '3773', '0', '141');
INSERT INTO public.who_import VALUES (62083, '2020-09-06', 'NI', 'Nicaragua', 'AMRO', '0', '3773', '0', '141');
INSERT INTO public.who_import VALUES (62084, '2020-09-07', 'NI', 'Nicaragua', 'AMRO', '0', '3773', '0', '141');
INSERT INTO public.who_import VALUES (62085, '2020-09-08', 'NI', 'Nicaragua', 'AMRO', '0', '3773', '0', '141');
INSERT INTO public.who_import VALUES (62086, '2020-09-09', 'NI', 'Nicaragua', 'AMRO', '104', '3877', '3', '144');
INSERT INTO public.who_import VALUES (62087, '2020-09-10', 'NI', 'Nicaragua', 'AMRO', '0', '3877', '0', '144');
INSERT INTO public.who_import VALUES (62088, '2020-09-11', 'NI', 'Nicaragua', 'AMRO', '0', '3877', '0', '144');
INSERT INTO public.who_import VALUES (62089, '2020-09-12', 'NI', 'Nicaragua', 'AMRO', '0', '3877', '0', '144');
INSERT INTO public.who_import VALUES (62090, '2020-09-13', 'NI', 'Nicaragua', 'AMRO', '0', '3877', '0', '144');
INSERT INTO public.who_import VALUES (62091, '2020-09-14', 'NI', 'Nicaragua', 'AMRO', '0', '3877', '0', '144');
INSERT INTO public.who_import VALUES (62092, '2020-09-15', 'NI', 'Nicaragua', 'AMRO', '0', '3877', '0', '144');
INSERT INTO public.who_import VALUES (62093, '2020-09-16', 'NI', 'Nicaragua', 'AMRO', '102', '3979', '3', '147');
INSERT INTO public.who_import VALUES (62094, '2020-09-17', 'NI', 'Nicaragua', 'AMRO', '0', '3979', '0', '147');
INSERT INTO public.who_import VALUES (62095, '2020-09-18', 'NI', 'Nicaragua', 'AMRO', '0', '3979', '0', '147');
INSERT INTO public.who_import VALUES (62096, '2020-09-19', 'NI', 'Nicaragua', 'AMRO', '0', '3979', '0', '147');
INSERT INTO public.who_import VALUES (62097, '2020-09-20', 'NI', 'Nicaragua', 'AMRO', '0', '3979', '0', '147');
INSERT INTO public.who_import VALUES (62098, '2020-09-21', 'NI', 'Nicaragua', 'AMRO', '0', '3979', '0', '147');
INSERT INTO public.who_import VALUES (62099, '2020-09-22', 'NI', 'Nicaragua', 'AMRO', '0', '3979', '0', '147');
INSERT INTO public.who_import VALUES (62100, '2020-09-23', 'NI', 'Nicaragua', 'AMRO', '86', '4065', '2', '149');
INSERT INTO public.who_import VALUES (62101, '2020-09-24', 'NI', 'Nicaragua', 'AMRO', '0', '4065', '0', '149');
INSERT INTO public.who_import VALUES (62102, '2020-09-25', 'NI', 'Nicaragua', 'AMRO', '0', '4065', '0', '149');
INSERT INTO public.who_import VALUES (62103, '2020-09-26', 'NI', 'Nicaragua', 'AMRO', '0', '4065', '0', '149');
INSERT INTO public.who_import VALUES (62104, '2020-09-27', 'NI', 'Nicaragua', 'AMRO', '0', '4065', '0', '149');
INSERT INTO public.who_import VALUES (62105, '2020-09-28', 'NI', 'Nicaragua', 'AMRO', '0', '4065', '0', '149');
INSERT INTO public.who_import VALUES (62106, '2020-09-29', 'NI', 'Nicaragua', 'AMRO', '0', '4065', '0', '149');
INSERT INTO public.who_import VALUES (62107, '2020-09-30', 'NI', 'Nicaragua', 'AMRO', '81', '4146', '2', '151');
INSERT INTO public.who_import VALUES (62108, '2020-10-01', 'NI', 'Nicaragua', 'AMRO', '0', '4146', '0', '151');
INSERT INTO public.who_import VALUES (62109, '2020-10-02', 'NI', 'Nicaragua', 'AMRO', '0', '4146', '0', '151');
INSERT INTO public.who_import VALUES (62110, '2020-10-03', 'NI', 'Nicaragua', 'AMRO', '0', '4146', '0', '151');
INSERT INTO public.who_import VALUES (62111, '2020-10-04', 'NI', 'Nicaragua', 'AMRO', '0', '4146', '0', '151');
INSERT INTO public.who_import VALUES (62112, '2020-10-05', 'NI', 'Nicaragua', 'AMRO', '0', '4146', '0', '151');
INSERT INTO public.who_import VALUES (62113, '2020-10-06', 'NI', 'Nicaragua', 'AMRO', '0', '4146', '0', '151');
INSERT INTO public.who_import VALUES (62114, '2020-10-07', 'NI', 'Nicaragua', 'AMRO', '79', '4225', '2', '153');
INSERT INTO public.who_import VALUES (62115, '2020-10-08', 'NI', 'Nicaragua', 'AMRO', '0', '4225', '0', '153');
INSERT INTO public.who_import VALUES (62116, '2020-10-09', 'NI', 'Nicaragua', 'AMRO', '0', '4225', '0', '153');
INSERT INTO public.who_import VALUES (62117, '2020-10-10', 'NI', 'Nicaragua', 'AMRO', '0', '4225', '0', '153');
INSERT INTO public.who_import VALUES (62118, '2020-10-11', 'NI', 'Nicaragua', 'AMRO', '0', '4225', '0', '153');
INSERT INTO public.who_import VALUES (62119, '2020-10-12', 'NI', 'Nicaragua', 'AMRO', '0', '4225', '0', '153');
INSERT INTO public.who_import VALUES (62120, '2020-10-13', 'NI', 'Nicaragua', 'AMRO', '0', '4225', '0', '153');
INSERT INTO public.who_import VALUES (62121, '2020-10-14', 'NI', 'Nicaragua', 'AMRO', '72', '4297', '1', '154');
INSERT INTO public.who_import VALUES (62122, '2020-10-15', 'NI', 'Nicaragua', 'AMRO', '0', '4297', '0', '154');
INSERT INTO public.who_import VALUES (62123, '2020-10-16', 'NI', 'Nicaragua', 'AMRO', '0', '4297', '0', '154');
INSERT INTO public.who_import VALUES (62124, '2020-10-17', 'NI', 'Nicaragua', 'AMRO', '0', '4297', '0', '154');
INSERT INTO public.who_import VALUES (62125, '2020-10-18', 'NI', 'Nicaragua', 'AMRO', '0', '4297', '0', '154');
INSERT INTO public.who_import VALUES (62126, '2020-10-19', 'NI', 'Nicaragua', 'AMRO', '0', '4297', '0', '154');
INSERT INTO public.who_import VALUES (62127, '2020-10-20', 'NI', 'Nicaragua', 'AMRO', '0', '4297', '0', '154');
INSERT INTO public.who_import VALUES (62128, '2020-10-21', 'NI', 'Nicaragua', 'AMRO', '65', '4362', '1', '155');
INSERT INTO public.who_import VALUES (62129, '2020-10-22', 'NI', 'Nicaragua', 'AMRO', '0', '4362', '0', '155');
INSERT INTO public.who_import VALUES (62130, '2020-10-23', 'NI', 'Nicaragua', 'AMRO', '0', '4362', '0', '155');
INSERT INTO public.who_import VALUES (62131, '2020-10-24', 'NI', 'Nicaragua', 'AMRO', '0', '4362', '0', '155');
INSERT INTO public.who_import VALUES (62132, '2020-10-25', 'NI', 'Nicaragua', 'AMRO', '0', '4362', '0', '155');
INSERT INTO public.who_import VALUES (62133, '2020-10-26', 'NI', 'Nicaragua', 'AMRO', '0', '4362', '0', '155');
INSERT INTO public.who_import VALUES (62134, '2020-10-27', 'NI', 'Nicaragua', 'AMRO', '0', '4362', '0', '155');
INSERT INTO public.who_import VALUES (62135, '2020-10-28', 'NI', 'Nicaragua', 'AMRO', '62', '4424', '1', '156');
INSERT INTO public.who_import VALUES (62136, '2020-10-29', 'NI', 'Nicaragua', 'AMRO', '0', '4424', '0', '156');
INSERT INTO public.who_import VALUES (62137, '2020-10-30', 'NI', 'Nicaragua', 'AMRO', '0', '4424', '0', '156');
INSERT INTO public.who_import VALUES (62138, '2020-10-31', 'NI', 'Nicaragua', 'AMRO', '0', '4424', '0', '156');
INSERT INTO public.who_import VALUES (62139, '2020-11-01', 'NI', 'Nicaragua', 'AMRO', '0', '4424', '0', '156');
INSERT INTO public.who_import VALUES (62140, '2020-11-02', 'NI', 'Nicaragua', 'AMRO', '0', '4424', '0', '156');
INSERT INTO public.who_import VALUES (62141, '2020-11-03', 'NI', 'Nicaragua', 'AMRO', '0', '4424', '0', '156');
INSERT INTO public.who_import VALUES (62142, '2020-11-04', 'NI', 'Nicaragua', 'AMRO', '56', '4480', '1', '157');
INSERT INTO public.who_import VALUES (62143, '2020-11-05', 'NI', 'Nicaragua', 'AMRO', '0', '4480', '0', '157');
INSERT INTO public.who_import VALUES (62144, '2020-11-06', 'NI', 'Nicaragua', 'AMRO', '0', '4480', '0', '157');
INSERT INTO public.who_import VALUES (62145, '2020-11-07', 'NI', 'Nicaragua', 'AMRO', '0', '4480', '0', '157');
INSERT INTO public.who_import VALUES (62146, '2020-11-08', 'NI', 'Nicaragua', 'AMRO', '0', '4480', '0', '157');
INSERT INTO public.who_import VALUES (62147, '2020-11-09', 'NI', 'Nicaragua', 'AMRO', '0', '4480', '0', '157');
INSERT INTO public.who_import VALUES (62148, '2020-11-10', 'NI', 'Nicaragua', 'AMRO', '0', '4480', '0', '157');
INSERT INTO public.who_import VALUES (62149, '2020-11-11', 'NI', 'Nicaragua', 'AMRO', '53', '4533', '1', '158');
INSERT INTO public.who_import VALUES (62150, '2020-11-12', 'NI', 'Nicaragua', 'AMRO', '0', '4533', '0', '158');
INSERT INTO public.who_import VALUES (62151, '2020-11-13', 'NI', 'Nicaragua', 'AMRO', '0', '4533', '0', '158');
INSERT INTO public.who_import VALUES (62152, '2020-11-14', 'NI', 'Nicaragua', 'AMRO', '0', '4533', '0', '158');
INSERT INTO public.who_import VALUES (62153, '2020-11-15', 'NI', 'Nicaragua', 'AMRO', '0', '4533', '0', '158');
INSERT INTO public.who_import VALUES (62154, '2020-11-16', 'NI', 'Nicaragua', 'AMRO', '0', '4533', '0', '158');
INSERT INTO public.who_import VALUES (62155, '2020-11-17', 'NI', 'Nicaragua', 'AMRO', '0', '4533', '0', '158');
INSERT INTO public.who_import VALUES (62156, '2020-11-18', 'NI', 'Nicaragua', 'AMRO', '50', '4583', '1', '159');
INSERT INTO public.who_import VALUES (62157, '2020-11-19', 'NI', 'Nicaragua', 'AMRO', '0', '4583', '0', '159');
INSERT INTO public.who_import VALUES (62158, '2020-11-20', 'NI', 'Nicaragua', 'AMRO', '0', '4583', '0', '159');
INSERT INTO public.who_import VALUES (62159, '2020-11-21', 'NI', 'Nicaragua', 'AMRO', '0', '4583', '0', '159');
INSERT INTO public.who_import VALUES (62160, '2020-11-22', 'NI', 'Nicaragua', 'AMRO', '0', '4583', '0', '159');
INSERT INTO public.who_import VALUES (62161, '2020-11-23', 'NI', 'Nicaragua', 'AMRO', '0', '4583', '0', '159');
INSERT INTO public.who_import VALUES (62162, '2020-11-24', 'NI', 'Nicaragua', 'AMRO', '0', '4583', '0', '159');
INSERT INTO public.who_import VALUES (62163, '2020-11-25', 'NI', 'Nicaragua', 'AMRO', '46', '4629', '1', '160');
INSERT INTO public.who_import VALUES (62164, '2020-11-26', 'NI', 'Nicaragua', 'AMRO', '0', '4629', '0', '160');
INSERT INTO public.who_import VALUES (62165, '2020-11-27', 'NI', 'Nicaragua', 'AMRO', '0', '4629', '0', '160');
INSERT INTO public.who_import VALUES (62166, '2020-11-28', 'NI', 'Nicaragua', 'AMRO', '0', '4629', '0', '160');
INSERT INTO public.who_import VALUES (62167, '2020-11-29', 'NI', 'Nicaragua', 'AMRO', '0', '4629', '0', '160');
INSERT INTO public.who_import VALUES (62168, '2020-11-30', 'NI', 'Nicaragua', 'AMRO', '0', '4629', '0', '160');
INSERT INTO public.who_import VALUES (62169, '2020-12-01', 'NI', 'Nicaragua', 'AMRO', '0', '4629', '0', '160');
INSERT INTO public.who_import VALUES (62170, '2020-12-02', 'NI', 'Nicaragua', 'AMRO', '42', '4671', '1', '161');
INSERT INTO public.who_import VALUES (62171, '2020-12-03', 'NI', 'Nicaragua', 'AMRO', '0', '4671', '0', '161');
INSERT INTO public.who_import VALUES (62172, '2020-12-04', 'NI', 'Nicaragua', 'AMRO', '0', '4671', '0', '161');
INSERT INTO public.who_import VALUES (62173, '2020-12-05', 'NI', 'Nicaragua', 'AMRO', '0', '4671', '0', '161');
INSERT INTO public.who_import VALUES (62174, '2020-12-06', 'NI', 'Nicaragua', 'AMRO', '0', '4671', '0', '161');
INSERT INTO public.who_import VALUES (62175, '2020-12-07', 'NI', 'Nicaragua', 'AMRO', '0', '4671', '0', '161');
INSERT INTO public.who_import VALUES (62176, '2020-12-08', 'NI', 'Nicaragua', 'AMRO', '0', '4671', '0', '161');
INSERT INTO public.who_import VALUES (62177, '2020-12-09', 'NI', 'Nicaragua', 'AMRO', '38', '4709', '1', '162');
INSERT INTO public.who_import VALUES (62178, '2020-12-10', 'NI', 'Nicaragua', 'AMRO', '0', '4709', '0', '162');
INSERT INTO public.who_import VALUES (62179, '2020-12-11', 'NI', 'Nicaragua', 'AMRO', '0', '4709', '0', '162');
INSERT INTO public.who_import VALUES (62180, '2020-12-12', 'NI', 'Nicaragua', 'AMRO', '0', '4709', '0', '162');
INSERT INTO public.who_import VALUES (62181, '2020-12-13', 'NI', 'Nicaragua', 'AMRO', '0', '4709', '0', '162');
INSERT INTO public.who_import VALUES (62182, '2020-12-14', 'NI', 'Nicaragua', 'AMRO', '0', '4709', '0', '162');
INSERT INTO public.who_import VALUES (62183, '2020-12-15', 'NI', 'Nicaragua', 'AMRO', '0', '4709', '0', '162');
INSERT INTO public.who_import VALUES (62184, '2020-12-16', 'NI', 'Nicaragua', 'AMRO', '39', '4748', '1', '163');
INSERT INTO public.who_import VALUES (62185, '2020-12-17', 'NI', 'Nicaragua', 'AMRO', '0', '4748', '0', '163');
INSERT INTO public.who_import VALUES (62186, '2020-12-18', 'NI', 'Nicaragua', 'AMRO', '0', '4748', '0', '163');
INSERT INTO public.who_import VALUES (62187, '2020-12-19', 'NI', 'Nicaragua', 'AMRO', '0', '4748', '0', '163');
INSERT INTO public.who_import VALUES (62188, '2020-12-20', 'NI', 'Nicaragua', 'AMRO', '0', '4748', '0', '163');
INSERT INTO public.who_import VALUES (62189, '2020-12-21', 'NI', 'Nicaragua', 'AMRO', '0', '4748', '0', '163');
INSERT INTO public.who_import VALUES (62190, '2020-12-22', 'NI', 'Nicaragua', 'AMRO', '42', '4790', '1', '164');
INSERT INTO public.who_import VALUES (62191, '2020-12-23', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62192, '2020-12-24', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62193, '2020-12-25', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62194, '2020-12-26', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62195, '2020-12-27', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62196, '2020-12-28', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62197, '2020-12-29', 'NI', 'Nicaragua', 'AMRO', '0', '4790', '0', '164');
INSERT INTO public.who_import VALUES (62198, '2020-12-30', 'NI', 'Nicaragua', 'AMRO', '39', '4829', '1', '165');
INSERT INTO public.who_import VALUES (62199, '2020-12-31', 'NI', 'Nicaragua', 'AMRO', '0', '4829', '0', '165');
INSERT INTO public.who_import VALUES (62200, '2021-01-01', 'NI', 'Nicaragua', 'AMRO', '0', '4829', '0', '165');
INSERT INTO public.who_import VALUES (62201, '2021-01-02', 'NI', 'Nicaragua', 'AMRO', '0', '4829', '0', '165');
INSERT INTO public.who_import VALUES (62202, '2021-01-03', 'NI', 'Nicaragua', 'AMRO', '0', '4829', '0', '165');
INSERT INTO public.who_import VALUES (62203, '2021-01-04', 'NI', 'Nicaragua', 'AMRO', '0', '4829', '0', '165');
INSERT INTO public.who_import VALUES (62204, '2021-01-05', 'NI', 'Nicaragua', 'AMRO', '0', '4829', '0', '165');
INSERT INTO public.who_import VALUES (62205, '2021-01-06', 'NI', 'Nicaragua', 'AMRO', '38', '4867', '1', '166');
INSERT INTO public.who_import VALUES (62206, '2021-01-07', 'NI', 'Nicaragua', 'AMRO', '0', '4867', '0', '166');
INSERT INTO public.who_import VALUES (62207, '2021-01-08', 'NI', 'Nicaragua', 'AMRO', '0', '4867', '0', '166');
INSERT INTO public.who_import VALUES (62208, '2021-01-09', 'NI', 'Nicaragua', 'AMRO', '0', '4867', '0', '166');
INSERT INTO public.who_import VALUES (62209, '2021-01-10', 'NI', 'Nicaragua', 'AMRO', '0', '4867', '0', '166');
INSERT INTO public.who_import VALUES (62210, '2021-01-11', 'NI', 'Nicaragua', 'AMRO', '0', '4867', '0', '166');
INSERT INTO public.who_import VALUES (62211, '2021-01-12', 'NI', 'Nicaragua', 'AMRO', '0', '4867', '0', '166');
INSERT INTO public.who_import VALUES (62212, '2021-01-13', 'NI', 'Nicaragua', 'AMRO', '49', '4916', '1', '167');
INSERT INTO public.who_import VALUES (62213, '2021-01-14', 'NI', 'Nicaragua', 'AMRO', '0', '4916', '0', '167');
INSERT INTO public.who_import VALUES (62214, '2021-01-15', 'NI', 'Nicaragua', 'AMRO', '0', '4916', '0', '167');
INSERT INTO public.who_import VALUES (62215, '2021-01-16', 'NI', 'Nicaragua', 'AMRO', '0', '4916', '0', '167');
INSERT INTO public.who_import VALUES (62216, '2021-01-17', 'NI', 'Nicaragua', 'AMRO', '0', '4916', '0', '167');
INSERT INTO public.who_import VALUES (62217, '2021-01-18', 'NI', 'Nicaragua', 'AMRO', '0', '4916', '0', '167');
INSERT INTO public.who_import VALUES (62218, '2021-01-19', 'NI', 'Nicaragua', 'AMRO', '0', '4916', '0', '167');
INSERT INTO public.who_import VALUES (62219, '2021-01-20', 'NI', 'Nicaragua', 'AMRO', '37', '4953', '1', '168');
INSERT INTO public.who_import VALUES (62220, '2021-01-21', 'NI', 'Nicaragua', 'AMRO', '0', '4953', '0', '168');
INSERT INTO public.who_import VALUES (62221, '2021-01-22', 'NI', 'Nicaragua', 'AMRO', '0', '4953', '0', '168');
INSERT INTO public.who_import VALUES (62222, '2021-01-23', 'NI', 'Nicaragua', 'AMRO', '0', '4953', '0', '168');
INSERT INTO public.who_import VALUES (62223, '2021-01-24', 'NI', 'Nicaragua', 'AMRO', '0', '4953', '0', '168');
INSERT INTO public.who_import VALUES (62224, '2021-01-25', 'NI', 'Nicaragua', 'AMRO', '0', '4953', '0', '168');
INSERT INTO public.who_import VALUES (62225, '2021-01-26', 'NI', 'Nicaragua', 'AMRO', '0', '4953', '0', '168');
INSERT INTO public.who_import VALUES (62226, '2021-01-27', 'NI', 'Nicaragua', 'AMRO', '39', '4992', '1', '169');
INSERT INTO public.who_import VALUES (62227, '2021-01-28', 'NI', 'Nicaragua', 'AMRO', '0', '4992', '0', '169');
INSERT INTO public.who_import VALUES (62228, '2021-01-29', 'NI', 'Nicaragua', 'AMRO', '0', '4992', '0', '169');
INSERT INTO public.who_import VALUES (62229, '2021-01-30', 'NI', 'Nicaragua', 'AMRO', '0', '4992', '0', '169');
INSERT INTO public.who_import VALUES (62230, '2021-01-31', 'NI', 'Nicaragua', 'AMRO', '0', '4992', '0', '169');
INSERT INTO public.who_import VALUES (62231, '2021-02-01', 'NI', 'Nicaragua', 'AMRO', '0', '4992', '0', '169');
INSERT INTO public.who_import VALUES (62232, '2021-02-02', 'NI', 'Nicaragua', 'AMRO', '0', '4992', '0', '169');
INSERT INTO public.who_import VALUES (62233, '2021-02-03', 'NI', 'Nicaragua', 'AMRO', '35', '5027', '1', '170');
INSERT INTO public.who_import VALUES (62234, '2021-02-04', 'NI', 'Nicaragua', 'AMRO', '0', '5027', '0', '170');
INSERT INTO public.who_import VALUES (62235, '2021-02-05', 'NI', 'Nicaragua', 'AMRO', '0', '5027', '0', '170');
INSERT INTO public.who_import VALUES (62236, '2021-02-06', 'NI', 'Nicaragua', 'AMRO', '0', '5027', '0', '170');
INSERT INTO public.who_import VALUES (62237, '2021-02-07', 'NI', 'Nicaragua', 'AMRO', '0', '5027', '0', '170');
INSERT INTO public.who_import VALUES (62238, '2021-02-08', 'NI', 'Nicaragua', 'AMRO', '0', '5027', '0', '170');
INSERT INTO public.who_import VALUES (62239, '2021-02-09', 'NI', 'Nicaragua', 'AMRO', '0', '5027', '0', '170');
INSERT INTO public.who_import VALUES (62240, '2021-02-10', 'NI', 'Nicaragua', 'AMRO', '37', '5064', '1', '171');
INSERT INTO public.who_import VALUES (62241, '2021-02-11', 'NI', 'Nicaragua', 'AMRO', '0', '5064', '0', '171');
INSERT INTO public.who_import VALUES (62242, '2021-02-12', 'NI', 'Nicaragua', 'AMRO', '0', '5064', '0', '171');
INSERT INTO public.who_import VALUES (62243, '2021-02-13', 'NI', 'Nicaragua', 'AMRO', '0', '5064', '0', '171');
INSERT INTO public.who_import VALUES (62244, '2021-02-14', 'NI', 'Nicaragua', 'AMRO', '0', '5064', '0', '171');
INSERT INTO public.who_import VALUES (62245, '2021-02-15', 'NI', 'Nicaragua', 'AMRO', '0', '5064', '0', '171');
INSERT INTO public.who_import VALUES (62246, '2021-02-16', 'NI', 'Nicaragua', 'AMRO', '0', '5064', '0', '171');
INSERT INTO public.who_import VALUES (62247, '2021-02-17', 'NI', 'Nicaragua', 'AMRO', '42', '5106', '1', '172');
INSERT INTO public.who_import VALUES (62248, '2021-02-18', 'NI', 'Nicaragua', 'AMRO', '0', '5106', '0', '172');
INSERT INTO public.who_import VALUES (62249, '2021-02-19', 'NI', 'Nicaragua', 'AMRO', '0', '5106', '0', '172');
INSERT INTO public.who_import VALUES (62250, '2021-02-20', 'NI', 'Nicaragua', 'AMRO', '0', '5106', '0', '172');
INSERT INTO public.who_import VALUES (62251, '2020-01-03', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62252, '2020-01-04', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62253, '2020-01-05', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62254, '2020-01-06', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62255, '2020-01-07', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62256, '2020-01-08', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62257, '2020-01-09', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62258, '2020-01-10', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62259, '2020-01-11', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62260, '2020-01-12', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62261, '2020-01-13', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62262, '2020-01-14', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62263, '2020-01-15', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62264, '2020-01-16', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62265, '2020-01-17', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62266, '2020-01-18', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62267, '2020-01-19', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62268, '2020-01-20', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62269, '2020-01-21', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62270, '2020-01-22', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62271, '2020-01-23', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62272, '2020-01-24', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62273, '2020-01-25', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62274, '2020-01-26', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62275, '2020-01-27', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62276, '2020-01-28', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62277, '2020-01-29', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62278, '2020-01-30', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62279, '2020-01-31', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62280, '2020-02-01', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62281, '2020-02-02', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62282, '2020-02-03', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62283, '2020-02-04', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62284, '2020-02-05', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62285, '2020-02-06', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62286, '2020-02-07', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62287, '2020-02-08', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62288, '2020-02-09', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62289, '2020-02-10', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62290, '2020-02-11', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62291, '2020-02-12', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62292, '2020-02-13', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62293, '2020-02-14', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62294, '2020-02-15', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62295, '2020-02-16', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62296, '2020-02-17', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62297, '2020-02-18', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62298, '2020-02-19', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62299, '2020-02-20', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62300, '2020-02-21', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62301, '2020-02-22', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62302, '2020-02-23', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62303, '2020-02-24', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62304, '2020-02-25', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62305, '2020-02-26', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62306, '2020-02-27', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62307, '2020-02-28', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62308, '2020-02-29', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62309, '2020-03-01', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62310, '2020-03-02', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62311, '2020-03-03', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62312, '2020-03-04', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62313, '2020-03-05', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62314, '2020-03-06', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62315, '2020-03-07', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62316, '2020-03-08', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62317, '2020-03-09', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62318, '2020-03-10', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62319, '2020-03-11', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62320, '2020-03-12', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62321, '2020-03-13', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62322, '2020-03-14', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62323, '2020-03-15', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62324, '2020-03-16', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62325, '2020-03-17', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62326, '2020-03-18', 'NE', 'Niger', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62327, '2020-03-19', 'NE', 'Niger', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (62328, '2020-03-20', 'NE', 'Niger', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62329, '2020-03-21', 'NE', 'Niger', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62330, '2020-03-22', 'NE', 'Niger', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62331, '2020-03-23', 'NE', 'Niger', 'AFRO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (62332, '2020-03-24', 'NE', 'Niger', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (62333, '2020-03-25', 'NE', 'Niger', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (62334, '2020-03-26', 'NE', 'Niger', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (62335, '2020-03-27', 'NE', 'Niger', 'AFRO', '8', '10', '1', '1');
INSERT INTO public.who_import VALUES (62336, '2020-03-28', 'NE', 'Niger', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (62337, '2020-03-29', 'NE', 'Niger', 'AFRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (62338, '2020-03-30', 'NE', 'Niger', 'AFRO', '10', '20', '2', '3');
INSERT INTO public.who_import VALUES (62339, '2020-03-31', 'NE', 'Niger', 'AFRO', '0', '20', '0', '3');
INSERT INTO public.who_import VALUES (62340, '2020-04-01', 'NE', 'Niger', 'AFRO', '0', '20', '0', '3');
INSERT INTO public.who_import VALUES (62341, '2020-04-02', 'NE', 'Niger', 'AFRO', '54', '74', '2', '5');
INSERT INTO public.who_import VALUES (62342, '2020-04-03', 'NE', 'Niger', 'AFRO', '24', '98', '0', '5');
INSERT INTO public.who_import VALUES (62343, '2020-04-04', 'NE', 'Niger', 'AFRO', '22', '120', '0', '5');
INSERT INTO public.who_import VALUES (62344, '2020-04-05', 'NE', 'Niger', 'AFRO', '24', '144', '3', '8');
INSERT INTO public.who_import VALUES (62345, '2020-04-06', 'NE', 'Niger', 'AFRO', '40', '184', '2', '10');
INSERT INTO public.who_import VALUES (62346, '2020-04-07', 'NE', 'Niger', 'AFRO', '69', '253', '0', '10');
INSERT INTO public.who_import VALUES (62347, '2020-04-08', 'NE', 'Niger', 'AFRO', '25', '278', '1', '11');
INSERT INTO public.who_import VALUES (62348, '2020-04-09', 'NE', 'Niger', 'AFRO', '64', '342', '0', '11');
INSERT INTO public.who_import VALUES (62349, '2020-04-10', 'NE', 'Niger', 'AFRO', '68', '410', '0', '11');
INSERT INTO public.who_import VALUES (62350, '2020-04-11', 'NE', 'Niger', 'AFRO', '28', '438', '0', '11');
INSERT INTO public.who_import VALUES (62351, '2020-04-12', 'NE', 'Niger', 'AFRO', '53', '491', '0', '11');
INSERT INTO public.who_import VALUES (62352, '2020-04-13', 'NE', 'Niger', 'AFRO', '38', '529', '1', '12');
INSERT INTO public.who_import VALUES (62353, '2020-04-14', 'NE', 'Niger', 'AFRO', '19', '548', '1', '13');
INSERT INTO public.who_import VALUES (62354, '2020-04-15', 'NE', 'Niger', 'AFRO', '22', '570', '1', '14');
INSERT INTO public.who_import VALUES (62355, '2020-04-16', 'NE', 'Niger', 'AFRO', '14', '584', '0', '14');
INSERT INTO public.who_import VALUES (62356, '2020-04-17', 'NE', 'Niger', 'AFRO', '25', '609', '1', '15');
INSERT INTO public.who_import VALUES (62357, '2020-04-18', 'NE', 'Niger', 'AFRO', '18', '627', '3', '18');
INSERT INTO public.who_import VALUES (62358, '2020-04-19', 'NE', 'Niger', 'AFRO', '12', '639', '1', '19');
INSERT INTO public.who_import VALUES (62359, '2020-04-20', 'NE', 'Niger', 'AFRO', '9', '648', '1', '20');
INSERT INTO public.who_import VALUES (62360, '2020-04-21', 'NE', 'Niger', 'AFRO', '7', '655', '0', '20');
INSERT INTO public.who_import VALUES (62361, '2020-04-22', 'NE', 'Niger', 'AFRO', '2', '657', '0', '20');
INSERT INTO public.who_import VALUES (62362, '2020-04-23', 'NE', 'Niger', 'AFRO', '5', '662', '2', '22');
INSERT INTO public.who_import VALUES (62364, '2020-04-25', 'NE', 'Niger', 'AFRO', '10', '681', '0', '24');
INSERT INTO public.who_import VALUES (62365, '2020-04-26', 'NE', 'Niger', 'AFRO', '3', '684', '3', '27');
INSERT INTO public.who_import VALUES (62366, '2020-04-27', 'NE', 'Niger', 'AFRO', '12', '696', '2', '29');
INSERT INTO public.who_import VALUES (62367, '2020-04-28', 'NE', 'Niger', 'AFRO', '5', '701', '0', '29');
INSERT INTO public.who_import VALUES (62368, '2020-04-29', 'NE', 'Niger', 'AFRO', '8', '709', '2', '31');
INSERT INTO public.who_import VALUES (62369, '2020-04-30', 'NE', 'Niger', 'AFRO', '4', '713', '1', '32');
INSERT INTO public.who_import VALUES (62370, '2020-05-01', 'NE', 'Niger', 'AFRO', '6', '719', '0', '32');
INSERT INTO public.who_import VALUES (62371, '2020-05-02', 'NE', 'Niger', 'AFRO', '9', '728', '1', '33');
INSERT INTO public.who_import VALUES (62372, '2020-05-03', 'NE', 'Niger', 'AFRO', '8', '736', '2', '35');
INSERT INTO public.who_import VALUES (62373, '2020-05-04', 'NE', 'Niger', 'AFRO', '14', '750', '1', '36');
INSERT INTO public.who_import VALUES (62374, '2020-05-05', 'NE', 'Niger', 'AFRO', '5', '755', '1', '37');
INSERT INTO public.who_import VALUES (62375, '2020-05-06', 'NE', 'Niger', 'AFRO', '8', '763', '1', '38');
INSERT INTO public.who_import VALUES (62376, '2020-05-07', 'NE', 'Niger', 'AFRO', '7', '770', '0', '38');
INSERT INTO public.who_import VALUES (62377, '2020-05-08', 'NE', 'Niger', 'AFRO', '11', '781', '4', '42');
INSERT INTO public.who_import VALUES (62378, '2020-05-09', 'NE', 'Niger', 'AFRO', '14', '795', '2', '44');
INSERT INTO public.who_import VALUES (62379, '2020-05-10', 'NE', 'Niger', 'AFRO', '20', '815', '1', '45');
INSERT INTO public.who_import VALUES (62380, '2020-05-11', 'NE', 'Niger', 'AFRO', '6', '821', '1', '46');
INSERT INTO public.who_import VALUES (62381, '2020-05-12', 'NE', 'Niger', 'AFRO', '11', '832', '0', '46');
INSERT INTO public.who_import VALUES (62382, '2020-05-13', 'NE', 'Niger', 'AFRO', '22', '854', '1', '47');
INSERT INTO public.who_import VALUES (62383, '2020-05-14', 'NE', 'Niger', 'AFRO', '6', '860', '2', '49');
INSERT INTO public.who_import VALUES (62384, '2020-05-15', 'NE', 'Niger', 'AFRO', '16', '876', '1', '50');
INSERT INTO public.who_import VALUES (62385, '2020-05-16', 'NE', 'Niger', 'AFRO', '9', '885', '1', '51');
INSERT INTO public.who_import VALUES (62386, '2020-05-17', 'NE', 'Niger', 'AFRO', '4', '889', '0', '51');
INSERT INTO public.who_import VALUES (62387, '2020-05-18', 'NE', 'Niger', 'AFRO', '15', '904', '3', '54');
INSERT INTO public.who_import VALUES (62388, '2020-05-19', 'NE', 'Niger', 'AFRO', '5', '909', '1', '55');
INSERT INTO public.who_import VALUES (62389, '2020-05-20', 'NE', 'Niger', 'AFRO', '5', '914', '0', '55');
INSERT INTO public.who_import VALUES (62390, '2020-05-21', 'NE', 'Niger', 'AFRO', '6', '920', '3', '58');
INSERT INTO public.who_import VALUES (62391, '2020-05-22', 'NE', 'Niger', 'AFRO', '4', '924', '2', '60');
INSERT INTO public.who_import VALUES (62392, '2020-05-23', 'NE', 'Niger', 'AFRO', '13', '937', '0', '60');
INSERT INTO public.who_import VALUES (62393, '2020-05-24', 'NE', 'Niger', 'AFRO', '6', '943', '1', '61');
INSERT INTO public.who_import VALUES (62394, '2020-05-25', 'NE', 'Niger', 'AFRO', '2', '945', '0', '61');
INSERT INTO public.who_import VALUES (62395, '2020-05-26', 'NE', 'Niger', 'AFRO', '6', '951', '1', '62');
INSERT INTO public.who_import VALUES (62396, '2020-05-27', 'NE', 'Niger', 'AFRO', '1', '952', '1', '63');
INSERT INTO public.who_import VALUES (62397, '2020-05-28', 'NE', 'Niger', 'AFRO', '3', '955', '1', '64');
INSERT INTO public.who_import VALUES (62398, '2020-05-29', 'NE', 'Niger', 'AFRO', '0', '955', '0', '64');
INSERT INTO public.who_import VALUES (62399, '2020-05-30', 'NE', 'Niger', 'AFRO', '0', '955', '0', '64');
INSERT INTO public.who_import VALUES (62400, '2020-05-31', 'NE', 'Niger', 'AFRO', '1', '956', '0', '64');
INSERT INTO public.who_import VALUES (62401, '2020-06-01', 'NE', 'Niger', 'AFRO', '2', '958', '0', '64');
INSERT INTO public.who_import VALUES (62402, '2020-06-02', 'NE', 'Niger', 'AFRO', '0', '958', '0', '64');
INSERT INTO public.who_import VALUES (62403, '2020-06-03', 'NE', 'Niger', 'AFRO', '2', '960', '1', '65');
INSERT INTO public.who_import VALUES (62404, '2020-06-04', 'NE', 'Niger', 'AFRO', '1', '961', '0', '65');
INSERT INTO public.who_import VALUES (62405, '2020-06-05', 'NE', 'Niger', 'AFRO', '2', '963', '0', '65');
INSERT INTO public.who_import VALUES (62406, '2020-06-06', 'NE', 'Niger', 'AFRO', '3', '966', '0', '65');
INSERT INTO public.who_import VALUES (62407, '2020-06-07', 'NE', 'Niger', 'AFRO', '4', '970', '0', '65');
INSERT INTO public.who_import VALUES (62408, '2020-06-08', 'NE', 'Niger', 'AFRO', '3', '973', '0', '65');
INSERT INTO public.who_import VALUES (62409, '2020-06-09', 'NE', 'Niger', 'AFRO', '0', '973', '0', '65');
INSERT INTO public.who_import VALUES (62410, '2020-06-10', 'NE', 'Niger', 'AFRO', '1', '974', '0', '65');
INSERT INTO public.who_import VALUES (62411, '2020-06-11', 'NE', 'Niger', 'AFRO', '0', '974', '0', '65');
INSERT INTO public.who_import VALUES (62412, '2020-06-12', 'NE', 'Niger', 'AFRO', '0', '974', '0', '65');
INSERT INTO public.who_import VALUES (62413, '2020-06-13', 'NE', 'Niger', 'AFRO', '4', '978', '0', '65');
INSERT INTO public.who_import VALUES (62414, '2020-06-14', 'NE', 'Niger', 'AFRO', '0', '978', '0', '65');
INSERT INTO public.who_import VALUES (62415, '2020-06-15', 'NE', 'Niger', 'AFRO', '2', '980', '1', '66');
INSERT INTO public.who_import VALUES (62416, '2020-06-16', 'NE', 'Niger', 'AFRO', '0', '980', '0', '66');
INSERT INTO public.who_import VALUES (62417, '2020-06-17', 'NE', 'Niger', 'AFRO', '36', '1016', '0', '66');
INSERT INTO public.who_import VALUES (62418, '2020-06-18', 'NE', 'Niger', 'AFRO', '4', '1020', '1', '67');
INSERT INTO public.who_import VALUES (62419, '2020-06-19', 'NE', 'Niger', 'AFRO', '0', '1020', '0', '67');
INSERT INTO public.who_import VALUES (62420, '2020-06-20', 'NE', 'Niger', 'AFRO', '6', '1026', '0', '67');
INSERT INTO public.who_import VALUES (62421, '2020-06-21', 'NE', 'Niger', 'AFRO', '9', '1035', '0', '67');
INSERT INTO public.who_import VALUES (62422, '2020-06-22', 'NE', 'Niger', 'AFRO', '1', '1036', '0', '67');
INSERT INTO public.who_import VALUES (62423, '2020-06-23', 'NE', 'Niger', 'AFRO', '10', '1046', '0', '67');
INSERT INTO public.who_import VALUES (62424, '2020-06-24', 'NE', 'Niger', 'AFRO', '5', '1051', '0', '67');
INSERT INTO public.who_import VALUES (62425, '2020-06-25', 'NE', 'Niger', 'AFRO', '5', '1056', '0', '67');
INSERT INTO public.who_import VALUES (62426, '2020-06-26', 'NE', 'Niger', 'AFRO', '3', '1059', '0', '67');
INSERT INTO public.who_import VALUES (62427, '2020-06-27', 'NE', 'Niger', 'AFRO', '0', '1059', '0', '67');
INSERT INTO public.who_import VALUES (62428, '2020-06-28', 'NE', 'Niger', 'AFRO', '0', '1059', '0', '67');
INSERT INTO public.who_import VALUES (62429, '2020-06-29', 'NE', 'Niger', 'AFRO', '15', '1074', '0', '67');
INSERT INTO public.who_import VALUES (62430, '2020-06-30', 'NE', 'Niger', 'AFRO', '1', '1075', '0', '67');
INSERT INTO public.who_import VALUES (62431, '2020-07-01', 'NE', 'Niger', 'AFRO', '0', '1075', '0', '67');
INSERT INTO public.who_import VALUES (62432, '2020-07-02', 'NE', 'Niger', 'AFRO', '0', '1075', '0', '67');
INSERT INTO public.who_import VALUES (62433, '2020-07-03', 'NE', 'Niger', 'AFRO', '6', '1081', '1', '68');
INSERT INTO public.who_import VALUES (62434, '2020-07-04', 'NE', 'Niger', 'AFRO', '1', '1082', '0', '68');
INSERT INTO public.who_import VALUES (62435, '2020-07-05', 'NE', 'Niger', 'AFRO', '0', '1082', '0', '68');
INSERT INTO public.who_import VALUES (62436, '2020-07-06', 'NE', 'Niger', 'AFRO', '11', '1093', '0', '68');
INSERT INTO public.who_import VALUES (62437, '2020-07-07', 'NE', 'Niger', 'AFRO', '0', '1093', '0', '68');
INSERT INTO public.who_import VALUES (62438, '2020-07-08', 'NE', 'Niger', 'AFRO', '1', '1094', '0', '68');
INSERT INTO public.who_import VALUES (62439, '2020-07-09', 'NE', 'Niger', 'AFRO', '3', '1097', '0', '68');
INSERT INTO public.who_import VALUES (62440, '2020-07-10', 'NE', 'Niger', 'AFRO', '0', '1097', '0', '68');
INSERT INTO public.who_import VALUES (62441, '2020-07-11', 'NE', 'Niger', 'AFRO', '2', '1099', '0', '68');
INSERT INTO public.who_import VALUES (62442, '2020-07-12', 'NE', 'Niger', 'AFRO', '0', '1099', '0', '68');
INSERT INTO public.who_import VALUES (62443, '2020-07-13', 'NE', 'Niger', 'AFRO', '0', '1099', '0', '68');
INSERT INTO public.who_import VALUES (62444, '2020-07-14', 'NE', 'Niger', 'AFRO', '0', '1099', '0', '68');
INSERT INTO public.who_import VALUES (62445, '2020-07-15', 'NE', 'Niger', 'AFRO', '0', '1099', '0', '68');
INSERT INTO public.who_import VALUES (62446, '2020-07-16', 'NE', 'Niger', 'AFRO', '0', '1099', '0', '68');
INSERT INTO public.who_import VALUES (62447, '2020-07-17', 'NE', 'Niger', 'AFRO', '3', '1102', '1', '69');
INSERT INTO public.who_import VALUES (62448, '2020-07-18', 'NE', 'Niger', 'AFRO', '0', '1102', '0', '69');
INSERT INTO public.who_import VALUES (62449, '2020-07-19', 'NE', 'Niger', 'AFRO', '2', '1104', '0', '69');
INSERT INTO public.who_import VALUES (62450, '2020-07-20', 'NE', 'Niger', 'AFRO', '0', '1104', '0', '69');
INSERT INTO public.who_import VALUES (62451, '2020-07-21', 'NE', 'Niger', 'AFRO', '1', '1105', '0', '69');
INSERT INTO public.who_import VALUES (62452, '2020-07-22', 'NE', 'Niger', 'AFRO', '3', '1108', '0', '69');
INSERT INTO public.who_import VALUES (62453, '2020-07-23', 'NE', 'Niger', 'AFRO', '14', '1122', '0', '69');
INSERT INTO public.who_import VALUES (62454, '2020-07-24', 'NE', 'Niger', 'AFRO', '2', '1124', '0', '69');
INSERT INTO public.who_import VALUES (62455, '2020-07-25', 'NE', 'Niger', 'AFRO', '0', '1124', '0', '69');
INSERT INTO public.who_import VALUES (62456, '2020-07-26', 'NE', 'Niger', 'AFRO', '0', '1124', '0', '69');
INSERT INTO public.who_import VALUES (62457, '2020-07-27', 'NE', 'Niger', 'AFRO', '8', '1132', '0', '69');
INSERT INTO public.who_import VALUES (62458, '2020-07-28', 'NE', 'Niger', 'AFRO', '0', '1132', '0', '69');
INSERT INTO public.who_import VALUES (62459, '2020-07-29', 'NE', 'Niger', 'AFRO', '0', '1132', '0', '69');
INSERT INTO public.who_import VALUES (62460, '2020-07-30', 'NE', 'Niger', 'AFRO', '2', '1134', '0', '69');
INSERT INTO public.who_import VALUES (62461, '2020-07-31', 'NE', 'Niger', 'AFRO', '0', '1134', '0', '69');
INSERT INTO public.who_import VALUES (62462, '2020-08-01', 'NE', 'Niger', 'AFRO', '2', '1136', '0', '69');
INSERT INTO public.who_import VALUES (62463, '2020-08-02', 'NE', 'Niger', 'AFRO', '0', '1136', '0', '69');
INSERT INTO public.who_import VALUES (62464, '2020-08-03', 'NE', 'Niger', 'AFRO', '2', '1138', '0', '69');
INSERT INTO public.who_import VALUES (62465, '2020-08-04', 'NE', 'Niger', 'AFRO', '9', '1147', '0', '69');
INSERT INTO public.who_import VALUES (62466, '2020-08-05', 'NE', 'Niger', 'AFRO', '5', '1152', '0', '69');
INSERT INTO public.who_import VALUES (62467, '2020-08-06', 'NE', 'Niger', 'AFRO', '0', '1152', '0', '69');
INSERT INTO public.who_import VALUES (62468, '2020-08-07', 'NE', 'Niger', 'AFRO', '1', '1153', '0', '69');
INSERT INTO public.who_import VALUES (62469, '2020-08-08', 'NE', 'Niger', 'AFRO', '0', '1153', '0', '69');
INSERT INTO public.who_import VALUES (62470, '2020-08-09', 'NE', 'Niger', 'AFRO', '4', '1157', '0', '69');
INSERT INTO public.who_import VALUES (62471, '2020-08-10', 'NE', 'Niger', 'AFRO', '1', '1158', '0', '69');
INSERT INTO public.who_import VALUES (62472, '2020-08-11', 'NE', 'Niger', 'AFRO', '0', '1158', '0', '69');
INSERT INTO public.who_import VALUES (62473, '2020-08-12', 'NE', 'Niger', 'AFRO', '0', '1158', '0', '69');
INSERT INTO public.who_import VALUES (62474, '2020-08-13', 'NE', 'Niger', 'AFRO', '3', '1161', '0', '69');
INSERT INTO public.who_import VALUES (62692, '2020-01-29', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62475, '2020-08-14', 'NE', 'Niger', 'AFRO', '0', '1161', '0', '69');
INSERT INTO public.who_import VALUES (62476, '2020-08-15', 'NE', 'Niger', 'AFRO', '4', '1165', '0', '69');
INSERT INTO public.who_import VALUES (62477, '2020-08-16', 'NE', 'Niger', 'AFRO', '0', '1165', '0', '69');
INSERT INTO public.who_import VALUES (62478, '2020-08-17', 'NE', 'Niger', 'AFRO', '2', '1167', '0', '69');
INSERT INTO public.who_import VALUES (62479, '2020-08-18', 'NE', 'Niger', 'AFRO', '0', '1167', '0', '69');
INSERT INTO public.who_import VALUES (62480, '2020-08-19', 'NE', 'Niger', 'AFRO', '0', '1167', '0', '69');
INSERT INTO public.who_import VALUES (62481, '2020-08-20', 'NE', 'Niger', 'AFRO', '0', '1167', '0', '69');
INSERT INTO public.who_import VALUES (62482, '2020-08-21', 'NE', 'Niger', 'AFRO', '2', '1169', '0', '69');
INSERT INTO public.who_import VALUES (62483, '2020-08-22', 'NE', 'Niger', 'AFRO', '3', '1172', '0', '69');
INSERT INTO public.who_import VALUES (62484, '2020-08-23', 'NE', 'Niger', 'AFRO', '0', '1172', '0', '69');
INSERT INTO public.who_import VALUES (62485, '2020-08-24', 'NE', 'Niger', 'AFRO', '0', '1172', '0', '69');
INSERT INTO public.who_import VALUES (62486, '2020-08-25', 'NE', 'Niger', 'AFRO', '0', '1172', '0', '69');
INSERT INTO public.who_import VALUES (62487, '2020-08-26', 'NE', 'Niger', 'AFRO', '1', '1173', '0', '69');
INSERT INTO public.who_import VALUES (62488, '2020-08-27', 'NE', 'Niger', 'AFRO', '0', '1173', '0', '69');
INSERT INTO public.who_import VALUES (62489, '2020-08-28', 'NE', 'Niger', 'AFRO', '0', '1173', '0', '69');
INSERT INTO public.who_import VALUES (62490, '2020-08-29', 'NE', 'Niger', 'AFRO', '0', '1173', '0', '69');
INSERT INTO public.who_import VALUES (62491, '2020-08-30', 'NE', 'Niger', 'AFRO', '2', '1175', '0', '69');
INSERT INTO public.who_import VALUES (62492, '2020-08-31', 'NE', 'Niger', 'AFRO', '0', '1175', '0', '69');
INSERT INTO public.who_import VALUES (62493, '2020-09-01', 'NE', 'Niger', 'AFRO', '1', '1176', '0', '69');
INSERT INTO public.who_import VALUES (62494, '2020-09-02', 'NE', 'Niger', 'AFRO', '0', '1176', '0', '69');
INSERT INTO public.who_import VALUES (62495, '2020-09-03', 'NE', 'Niger', 'AFRO', '0', '1176', '0', '69');
INSERT INTO public.who_import VALUES (62496, '2020-09-04', 'NE', 'Niger', 'AFRO', '1', '1177', '0', '69');
INSERT INTO public.who_import VALUES (62497, '2020-09-05', 'NE', 'Niger', 'AFRO', '0', '1177', '0', '69');
INSERT INTO public.who_import VALUES (62498, '2020-09-06', 'NE', 'Niger', 'AFRO', '0', '1177', '0', '69');
INSERT INTO public.who_import VALUES (62499, '2020-09-07', 'NE', 'Niger', 'AFRO', '0', '1177', '0', '69');
INSERT INTO public.who_import VALUES (62500, '2020-09-08', 'NE', 'Niger', 'AFRO', '1', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62501, '2020-09-09', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62502, '2020-09-10', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62503, '2020-09-11', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62504, '2020-09-12', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62505, '2020-09-13', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62506, '2020-09-14', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62507, '2020-09-15', 'NE', 'Niger', 'AFRO', '0', '1178', '0', '69');
INSERT INTO public.who_import VALUES (62508, '2020-09-16', 'NE', 'Niger', 'AFRO', '2', '1180', '0', '69');
INSERT INTO public.who_import VALUES (62509, '2020-09-17', 'NE', 'Niger', 'AFRO', '0', '1180', '0', '69');
INSERT INTO public.who_import VALUES (62510, '2020-09-18', 'NE', 'Niger', 'AFRO', '0', '1180', '0', '69');
INSERT INTO public.who_import VALUES (62511, '2020-09-19', 'NE', 'Niger', 'AFRO', '2', '1182', '0', '69');
INSERT INTO public.who_import VALUES (62512, '2020-09-20', 'NE', 'Niger', 'AFRO', '0', '1182', '0', '69');
INSERT INTO public.who_import VALUES (62513, '2020-09-21', 'NE', 'Niger', 'AFRO', '1', '1183', '0', '69');
INSERT INTO public.who_import VALUES (62514, '2020-09-22', 'NE', 'Niger', 'AFRO', '6', '1189', '0', '69');
INSERT INTO public.who_import VALUES (62515, '2020-09-23', 'NE', 'Niger', 'AFRO', '0', '1189', '0', '69');
INSERT INTO public.who_import VALUES (62516, '2020-09-24', 'NE', 'Niger', 'AFRO', '4', '1193', '0', '69');
INSERT INTO public.who_import VALUES (62517, '2020-09-25', 'NE', 'Niger', 'AFRO', '0', '1193', '0', '69');
INSERT INTO public.who_import VALUES (62518, '2020-09-26', 'NE', 'Niger', 'AFRO', '1', '1194', '0', '69');
INSERT INTO public.who_import VALUES (62519, '2020-09-27', 'NE', 'Niger', 'AFRO', '0', '1194', '0', '69');
INSERT INTO public.who_import VALUES (62520, '2020-09-28', 'NE', 'Niger', 'AFRO', '2', '1196', '0', '69');
INSERT INTO public.who_import VALUES (62521, '2020-09-29', 'NE', 'Niger', 'AFRO', '0', '1196', '0', '69');
INSERT INTO public.who_import VALUES (62522, '2020-09-30', 'NE', 'Niger', 'AFRO', '0', '1196', '0', '69');
INSERT INTO public.who_import VALUES (62523, '2020-10-01', 'NE', 'Niger', 'AFRO', '1', '1197', '0', '69');
INSERT INTO public.who_import VALUES (62524, '2020-10-02', 'NE', 'Niger', 'AFRO', '0', '1197', '0', '69');
INSERT INTO public.who_import VALUES (62525, '2020-10-03', 'NE', 'Niger', 'AFRO', '0', '1197', '0', '69');
INSERT INTO public.who_import VALUES (62526, '2020-10-04', 'NE', 'Niger', 'AFRO', '3', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62527, '2020-10-05', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62528, '2020-10-06', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62529, '2020-10-07', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62530, '2020-10-08', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62531, '2020-10-09', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62532, '2020-10-10', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62533, '2020-10-11', 'NE', 'Niger', 'AFRO', '0', '1200', '0', '69');
INSERT INTO public.who_import VALUES (62534, '2020-10-12', 'NE', 'Niger', 'AFRO', '1', '1201', '0', '69');
INSERT INTO public.who_import VALUES (62535, '2020-10-13', 'NE', 'Niger', 'AFRO', '0', '1201', '0', '69');
INSERT INTO public.who_import VALUES (62536, '2020-10-14', 'NE', 'Niger', 'AFRO', '0', '1201', '0', '69');
INSERT INTO public.who_import VALUES (62537, '2020-10-15', 'NE', 'Niger', 'AFRO', '4', '1205', '0', '69');
INSERT INTO public.who_import VALUES (62538, '2020-10-16', 'NE', 'Niger', 'AFRO', '0', '1205', '0', '69');
INSERT INTO public.who_import VALUES (62539, '2020-10-17', 'NE', 'Niger', 'AFRO', '4', '1209', '0', '69');
INSERT INTO public.who_import VALUES (62540, '2020-10-18', 'NE', 'Niger', 'AFRO', '0', '1209', '0', '69');
INSERT INTO public.who_import VALUES (62541, '2020-10-19', 'NE', 'Niger', 'AFRO', '1', '1210', '0', '69');
INSERT INTO public.who_import VALUES (62542, '2020-10-20', 'NE', 'Niger', 'AFRO', '1', '1211', '0', '69');
INSERT INTO public.who_import VALUES (62543, '2020-10-21', 'NE', 'Niger', 'AFRO', '1', '1212', '0', '69');
INSERT INTO public.who_import VALUES (62544, '2020-10-22', 'NE', 'Niger', 'AFRO', '2', '1214', '0', '69');
INSERT INTO public.who_import VALUES (62545, '2020-10-23', 'NE', 'Niger', 'AFRO', '1', '1215', '0', '69');
INSERT INTO public.who_import VALUES (62546, '2020-10-24', 'NE', 'Niger', 'AFRO', '0', '1215', '0', '69');
INSERT INTO public.who_import VALUES (62547, '2020-10-25', 'NE', 'Niger', 'AFRO', '0', '1215', '0', '69');
INSERT INTO public.who_import VALUES (62548, '2020-10-26', 'NE', 'Niger', 'AFRO', '0', '1215', '0', '69');
INSERT INTO public.who_import VALUES (62549, '2020-10-27', 'NE', 'Niger', 'AFRO', '0', '1215', '0', '69');
INSERT INTO public.who_import VALUES (62550, '2020-10-28', 'NE', 'Niger', 'AFRO', '3', '1218', '0', '69');
INSERT INTO public.who_import VALUES (62551, '2020-10-29', 'NE', 'Niger', 'AFRO', '0', '1218', '0', '69');
INSERT INTO public.who_import VALUES (62552, '2020-10-30', 'NE', 'Niger', 'AFRO', '1', '1219', '0', '69');
INSERT INTO public.who_import VALUES (62553, '2020-10-31', 'NE', 'Niger', 'AFRO', '1', '1220', '0', '69');
INSERT INTO public.who_import VALUES (62554, '2020-11-01', 'NE', 'Niger', 'AFRO', '0', '1220', '0', '69');
INSERT INTO public.who_import VALUES (62555, '2020-11-02', 'NE', 'Niger', 'AFRO', '1', '1221', '0', '69');
INSERT INTO public.who_import VALUES (62556, '2020-11-03', 'NE', 'Niger', 'AFRO', '0', '1221', '0', '69');
INSERT INTO public.who_import VALUES (62557, '2020-11-04', 'NE', 'Niger', 'AFRO', '1', '1222', '0', '69');
INSERT INTO public.who_import VALUES (62558, '2020-11-05', 'NE', 'Niger', 'AFRO', '0', '1222', '0', '69');
INSERT INTO public.who_import VALUES (62559, '2020-11-06', 'NE', 'Niger', 'AFRO', '0', '1222', '0', '69');
INSERT INTO public.who_import VALUES (62560, '2020-11-07', 'NE', 'Niger', 'AFRO', '0', '1222', '0', '69');
INSERT INTO public.who_import VALUES (62561, '2020-11-08', 'NE', 'Niger', 'AFRO', '20', '1242', '0', '69');
INSERT INTO public.who_import VALUES (62562, '2020-11-09', 'NE', 'Niger', 'AFRO', '1', '1243', '0', '69');
INSERT INTO public.who_import VALUES (62563, '2020-11-10', 'NE', 'Niger', 'AFRO', '0', '1243', '0', '69');
INSERT INTO public.who_import VALUES (62564, '2020-11-11', 'NE', 'Niger', 'AFRO', '13', '1256', '0', '69');
INSERT INTO public.who_import VALUES (62565, '2020-11-12', 'NE', 'Niger', 'AFRO', '0', '1256', '0', '69');
INSERT INTO public.who_import VALUES (62566, '2020-11-13', 'NE', 'Niger', 'AFRO', '7', '1263', '0', '69');
INSERT INTO public.who_import VALUES (62567, '2020-11-14', 'NE', 'Niger', 'AFRO', '19', '1282', '0', '69');
INSERT INTO public.who_import VALUES (62568, '2020-11-15', 'NE', 'Niger', 'AFRO', '19', '1301', '1', '70');
INSERT INTO public.who_import VALUES (62569, '2020-11-16', 'NE', 'Niger', 'AFRO', '6', '1307', '0', '70');
INSERT INTO public.who_import VALUES (62570, '2020-11-17', 'NE', 'Niger', 'AFRO', '9', '1316', '0', '70');
INSERT INTO public.who_import VALUES (62571, '2020-11-18', 'NE', 'Niger', 'AFRO', '11', '1327', '0', '70');
INSERT INTO public.who_import VALUES (62572, '2020-11-19', 'NE', 'Niger', 'AFRO', '4', '1331', '0', '70');
INSERT INTO public.who_import VALUES (62573, '2020-11-20', 'NE', 'Niger', 'AFRO', '4', '1335', '0', '70');
INSERT INTO public.who_import VALUES (62574, '2020-11-21', 'NE', 'Niger', 'AFRO', '0', '1335', '0', '70');
INSERT INTO public.who_import VALUES (62575, '2020-11-22', 'NE', 'Niger', 'AFRO', '16', '1351', '0', '70');
INSERT INTO public.who_import VALUES (62576, '2020-11-23', 'NE', 'Niger', 'AFRO', '17', '1368', '0', '70');
INSERT INTO public.who_import VALUES (62577, '2020-11-24', 'NE', 'Niger', 'AFRO', '13', '1381', '0', '70');
INSERT INTO public.who_import VALUES (62578, '2020-11-25', 'NE', 'Niger', 'AFRO', '0', '1381', '0', '70');
INSERT INTO public.who_import VALUES (62579, '2020-11-26', 'NE', 'Niger', 'AFRO', '38', '1419', '0', '70');
INSERT INTO public.who_import VALUES (62580, '2020-11-27', 'NE', 'Niger', 'AFRO', '24', '1443', '0', '70');
INSERT INTO public.who_import VALUES (62581, '2020-11-28', 'NE', 'Niger', 'AFRO', '29', '1472', '0', '70');
INSERT INTO public.who_import VALUES (62582, '2020-11-29', 'NE', 'Niger', 'AFRO', '0', '1472', '0', '70');
INSERT INTO public.who_import VALUES (62583, '2020-11-30', 'NE', 'Niger', 'AFRO', '44', '1516', '0', '70');
INSERT INTO public.who_import VALUES (62584, '2020-12-01', 'NE', 'Niger', 'AFRO', '32', '1548', '2', '72');
INSERT INTO public.who_import VALUES (62585, '2020-12-02', 'NE', 'Niger', 'AFRO', '0', '1548', '0', '72');
INSERT INTO public.who_import VALUES (62586, '2020-12-03', 'NE', 'Niger', 'AFRO', '92', '1640', '4', '76');
INSERT INTO public.who_import VALUES (62587, '2020-12-04', 'NE', 'Niger', 'AFRO', '0', '1640', '0', '76');
INSERT INTO public.who_import VALUES (62588, '2020-12-05', 'NE', 'Niger', 'AFRO', '0', '1640', '0', '76');
INSERT INTO public.who_import VALUES (62589, '2020-12-06', 'NE', 'Niger', 'AFRO', '149', '1789', '1', '77');
INSERT INTO public.who_import VALUES (62590, '2020-12-07', 'NE', 'Niger', 'AFRO', '0', '1789', '0', '77');
INSERT INTO public.who_import VALUES (62591, '2020-12-08', 'NE', 'Niger', 'AFRO', '0', '1789', '0', '77');
INSERT INTO public.who_import VALUES (62592, '2020-12-09', 'NE', 'Niger', 'AFRO', '67', '1856', '0', '77');
INSERT INTO public.who_import VALUES (62593, '2020-12-10', 'NE', 'Niger', 'AFRO', '0', '1856', '0', '77');
INSERT INTO public.who_import VALUES (62594, '2020-12-11', 'NE', 'Niger', 'AFRO', '0', '1856', '0', '77');
INSERT INTO public.who_import VALUES (62595, '2020-12-12', 'NE', 'Niger', 'AFRO', '0', '1856', '0', '77');
INSERT INTO public.who_import VALUES (62596, '2020-12-13', 'NE', 'Niger', 'AFRO', '0', '1856', '0', '77');
INSERT INTO public.who_import VALUES (62597, '2020-12-14', 'NE', 'Niger', 'AFRO', '222', '2078', '0', '77');
INSERT INTO public.who_import VALUES (62598, '2020-12-15', 'NE', 'Niger', 'AFRO', '0', '2078', '0', '77');
INSERT INTO public.who_import VALUES (62599, '2020-12-16', 'NE', 'Niger', 'AFRO', '0', '2078', '0', '77');
INSERT INTO public.who_import VALUES (62600, '2020-12-17', 'NE', 'Niger', 'AFRO', '0', '2078', '0', '77');
INSERT INTO public.who_import VALUES (62601, '2020-12-18', 'NE', 'Niger', 'AFRO', '0', '2078', '0', '77');
INSERT INTO public.who_import VALUES (62602, '2020-12-19', 'NE', 'Niger', 'AFRO', '283', '2361', '5', '82');
INSERT INTO public.who_import VALUES (62603, '2020-12-20', 'NE', 'Niger', 'AFRO', '0', '2361', '0', '82');
INSERT INTO public.who_import VALUES (62604, '2020-12-21', 'NE', 'Niger', 'AFRO', '0', '2361', '0', '82');
INSERT INTO public.who_import VALUES (62605, '2020-12-22', 'NE', 'Niger', 'AFRO', '0', '2361', '0', '82');
INSERT INTO public.who_import VALUES (62606, '2020-12-23', 'NE', 'Niger', 'AFRO', '0', '2361', '0', '82');
INSERT INTO public.who_import VALUES (62607, '2020-12-24', 'NE', 'Niger', 'AFRO', '442', '2803', '7', '89');
INSERT INTO public.who_import VALUES (62608, '2020-12-25', 'NE', 'Niger', 'AFRO', '0', '2803', '0', '89');
INSERT INTO public.who_import VALUES (62609, '2020-12-26', 'NE', 'Niger', 'AFRO', '0', '2803', '0', '89');
INSERT INTO public.who_import VALUES (62610, '2020-12-27', 'NE', 'Niger', 'AFRO', '0', '2803', '0', '89');
INSERT INTO public.who_import VALUES (62611, '2020-12-28', 'NE', 'Niger', 'AFRO', '202', '3005', '2', '91');
INSERT INTO public.who_import VALUES (62612, '2020-12-29', 'NE', 'Niger', 'AFRO', '0', '3005', '0', '91');
INSERT INTO public.who_import VALUES (62613, '2020-12-30', 'NE', 'Niger', 'AFRO', '105', '3110', '5', '96');
INSERT INTO public.who_import VALUES (62614, '2020-12-31', 'NE', 'Niger', 'AFRO', '0', '3110', '0', '96');
INSERT INTO public.who_import VALUES (62615, '2021-01-01', 'NE', 'Niger', 'AFRO', '98', '3208', '6', '102');
INSERT INTO public.who_import VALUES (62616, '2021-01-02', 'NE', 'Niger', 'AFRO', '0', '3208', '0', '102');
INSERT INTO public.who_import VALUES (62617, '2021-01-03', 'NE', 'Niger', 'AFRO', '0', '3208', '0', '102');
INSERT INTO public.who_import VALUES (62618, '2021-01-04', 'NE', 'Niger', 'AFRO', '0', '3208', '0', '102');
INSERT INTO public.who_import VALUES (62619, '2021-01-05', 'NE', 'Niger', 'AFRO', '114', '3322', '2', '104');
INSERT INTO public.who_import VALUES (62620, '2021-01-06', 'NE', 'Niger', 'AFRO', '0', '3322', '0', '104');
INSERT INTO public.who_import VALUES (62621, '2021-01-07', 'NE', 'Niger', 'AFRO', '0', '3322', '0', '104');
INSERT INTO public.who_import VALUES (62622, '2021-01-08', 'NE', 'Niger', 'AFRO', '0', '3322', '0', '104');
INSERT INTO public.who_import VALUES (62623, '2021-01-09', 'NE', 'Niger', 'AFRO', '0', '3322', '0', '104');
INSERT INTO public.who_import VALUES (62624, '2021-01-10', 'NE', 'Niger', 'AFRO', '0', '3322', '0', '104');
INSERT INTO public.who_import VALUES (62625, '2021-01-11', 'NE', 'Niger', 'AFRO', '555', '3877', '22', '126');
INSERT INTO public.who_import VALUES (62626, '2021-01-12', 'NE', 'Niger', 'AFRO', '0', '3877', '0', '126');
INSERT INTO public.who_import VALUES (62627, '2021-01-13', 'NE', 'Niger', 'AFRO', '92', '3969', '9', '135');
INSERT INTO public.who_import VALUES (62628, '2021-01-14', 'NE', 'Niger', 'AFRO', '29', '3998', '1', '136');
INSERT INTO public.who_import VALUES (62629, '2021-01-15', 'NE', 'Niger', 'AFRO', '60', '4058', '1', '137');
INSERT INTO public.who_import VALUES (62630, '2021-01-16', 'NE', 'Niger', 'AFRO', '47', '4105', '1', '138');
INSERT INTO public.who_import VALUES (62631, '2021-01-17', 'NE', 'Niger', 'AFRO', '27', '4132', '0', '138');
INSERT INTO public.who_import VALUES (62632, '2021-01-18', 'NE', 'Niger', 'AFRO', '24', '4156', '2', '140');
INSERT INTO public.who_import VALUES (62633, '2021-01-19', 'NE', 'Niger', 'AFRO', '48', '4204', '5', '145');
INSERT INTO public.who_import VALUES (62634, '2021-01-20', 'NE', 'Niger', 'AFRO', '21', '4225', '1', '146');
INSERT INTO public.who_import VALUES (62635, '2021-01-21', 'NE', 'Niger', 'AFRO', '24', '4249', '1', '147');
INSERT INTO public.who_import VALUES (62636, '2021-01-22', 'NE', 'Niger', 'AFRO', '18', '4267', '0', '147');
INSERT INTO public.who_import VALUES (62637, '2021-01-23', 'NE', 'Niger', 'AFRO', '0', '4267', '0', '147');
INSERT INTO public.who_import VALUES (62638, '2021-01-24', 'NE', 'Niger', 'AFRO', '54', '4321', '4', '151');
INSERT INTO public.who_import VALUES (62639, '2021-01-25', 'NE', 'Niger', 'AFRO', '32', '4353', '0', '151');
INSERT INTO public.who_import VALUES (62640, '2021-01-26', 'NE', 'Niger', 'AFRO', '21', '4374', '0', '151');
INSERT INTO public.who_import VALUES (62641, '2021-01-27', 'NE', 'Niger', 'AFRO', '0', '4374', '0', '151');
INSERT INTO public.who_import VALUES (62642, '2021-01-28', 'NE', 'Niger', 'AFRO', '59', '4433', '2', '153');
INSERT INTO public.who_import VALUES (62643, '2021-01-29', 'NE', 'Niger', 'AFRO', '41', '4474', '4', '157');
INSERT INTO public.who_import VALUES (62644, '2021-01-30', 'NE', 'Niger', 'AFRO', '15', '4489', '2', '159');
INSERT INTO public.who_import VALUES (62645, '2021-01-31', 'NE', 'Niger', 'AFRO', '27', '4516', '0', '159');
INSERT INTO public.who_import VALUES (62646, '2021-02-01', 'NE', 'Niger', 'AFRO', '1', '4517', '0', '159');
INSERT INTO public.who_import VALUES (62647, '2021-02-02', 'NE', 'Niger', 'AFRO', '20', '4537', '2', '161');
INSERT INTO public.who_import VALUES (62648, '2021-02-03', 'NE', 'Niger', 'AFRO', '11', '4548', '1', '162');
INSERT INTO public.who_import VALUES (62649, '2021-02-04', 'NE', 'Niger', 'AFRO', '17', '4565', '1', '163');
INSERT INTO public.who_import VALUES (62650, '2021-02-05', 'NE', 'Niger', 'AFRO', '10', '4575', '1', '164');
INSERT INTO public.who_import VALUES (62651, '2021-02-06', 'NE', 'Niger', 'AFRO', '0', '4575', '0', '164');
INSERT INTO public.who_import VALUES (62652, '2021-02-07', 'NE', 'Niger', 'AFRO', '23', '4598', '1', '165');
INSERT INTO public.who_import VALUES (62653, '2021-02-08', 'NE', 'Niger', 'AFRO', '14', '4612', '0', '165');
INSERT INTO public.who_import VALUES (62654, '2021-02-09', 'NE', 'Niger', 'AFRO', '9', '4621', '1', '166');
INSERT INTO public.who_import VALUES (62655, '2021-02-10', 'NE', 'Niger', 'AFRO', '22', '4643', '1', '167');
INSERT INTO public.who_import VALUES (62656, '2021-02-11', 'NE', 'Niger', 'AFRO', '0', '4643', '0', '167');
INSERT INTO public.who_import VALUES (62657, '2021-02-12', 'NE', 'Niger', 'AFRO', '22', '4665', '0', '167');
INSERT INTO public.who_import VALUES (62658, '2021-02-13', 'NE', 'Niger', 'AFRO', '13', '4678', '2', '169');
INSERT INTO public.who_import VALUES (62659, '2021-02-14', 'NE', 'Niger', 'AFRO', '12', '4690', '0', '169');
INSERT INTO public.who_import VALUES (62660, '2021-02-15', 'NE', 'Niger', 'AFRO', '5', '4695', '0', '169');
INSERT INTO public.who_import VALUES (62661, '2021-02-16', 'NE', 'Niger', 'AFRO', '7', '4702', '0', '169');
INSERT INTO public.who_import VALUES (62662, '2021-02-17', 'NE', 'Niger', 'AFRO', '4', '4706', '0', '169');
INSERT INTO public.who_import VALUES (62663, '2021-02-18', 'NE', 'Niger', 'AFRO', '9', '4715', '1', '170');
INSERT INTO public.who_import VALUES (62664, '2021-02-19', 'NE', 'Niger', 'AFRO', '3', '4718', '0', '170');
INSERT INTO public.who_import VALUES (62665, '2021-02-20', 'NE', 'Niger', 'AFRO', '7', '4725', '0', '170');
INSERT INTO public.who_import VALUES (62666, '2020-01-03', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62667, '2020-01-04', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62668, '2020-01-05', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62669, '2020-01-06', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62670, '2020-01-07', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62671, '2020-01-08', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62672, '2020-01-09', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62673, '2020-01-10', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62674, '2020-01-11', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62675, '2020-01-12', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62676, '2020-01-13', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62677, '2020-01-14', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62678, '2020-01-15', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62679, '2020-01-16', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62680, '2020-01-17', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62681, '2020-01-18', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62682, '2020-01-19', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62683, '2020-01-20', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62684, '2020-01-21', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62685, '2020-01-22', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62686, '2020-01-23', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62687, '2020-01-24', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62688, '2020-01-25', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62689, '2020-01-26', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62690, '2020-01-27', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62691, '2020-01-28', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62693, '2020-01-30', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62694, '2020-01-31', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62695, '2020-02-01', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62696, '2020-02-02', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62697, '2020-02-03', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62698, '2020-02-04', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62699, '2020-02-05', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62700, '2020-02-06', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62701, '2020-02-07', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62702, '2020-02-08', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62703, '2020-02-09', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62704, '2020-02-10', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62705, '2020-02-11', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62706, '2020-02-12', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62707, '2020-02-13', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62708, '2020-02-14', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62709, '2020-02-15', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62710, '2020-02-16', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62711, '2020-02-17', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62712, '2020-02-18', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62713, '2020-02-19', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62714, '2020-02-20', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62715, '2020-02-21', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62716, '2020-02-22', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62717, '2020-02-23', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62718, '2020-02-24', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62719, '2020-02-25', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62720, '2020-02-26', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62721, '2020-02-27', 'NG', 'Nigeria', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (62722, '2020-02-28', 'NG', 'Nigeria', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (62723, '2020-02-29', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62724, '2020-03-01', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62725, '2020-03-02', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62726, '2020-03-03', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62727, '2020-03-04', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62728, '2020-03-05', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62729, '2020-03-06', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62730, '2020-03-07', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62731, '2020-03-08', 'NG', 'Nigeria', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (62732, '2020-03-09', 'NG', 'Nigeria', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (62733, '2020-03-10', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62734, '2020-03-11', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62735, '2020-03-12', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62736, '2020-03-13', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62737, '2020-03-14', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62738, '2020-03-15', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62739, '2020-03-16', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62740, '2020-03-17', 'NG', 'Nigeria', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (62741, '2020-03-18', 'NG', 'Nigeria', 'AFRO', '6', '12', '0', '0');
INSERT INTO public.who_import VALUES (62742, '2020-03-19', 'NG', 'Nigeria', 'AFRO', '4', '16', '0', '0');
INSERT INTO public.who_import VALUES (62743, '2020-03-20', 'NG', 'Nigeria', 'AFRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (62744, '2020-03-21', 'NG', 'Nigeria', 'AFRO', '6', '22', '0', '0');
INSERT INTO public.who_import VALUES (62745, '2020-03-22', 'NG', 'Nigeria', 'AFRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (62746, '2020-03-23', 'NG', 'Nigeria', 'AFRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (62747, '2020-03-24', 'NG', 'Nigeria', 'AFRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (62748, '2020-03-25', 'NG', 'Nigeria', 'AFRO', '20', '42', '0', '0');
INSERT INTO public.who_import VALUES (62749, '2020-03-26', 'NG', 'Nigeria', 'AFRO', '4', '46', '1', '1');
INSERT INTO public.who_import VALUES (62750, '2020-03-27', 'NG', 'Nigeria', 'AFRO', '19', '65', '0', '1');
INSERT INTO public.who_import VALUES (62751, '2020-03-28', 'NG', 'Nigeria', 'AFRO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (62752, '2020-03-29', 'NG', 'Nigeria', 'AFRO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (62753, '2020-03-30', 'NG', 'Nigeria', 'AFRO', '0', '65', '0', '1');
INSERT INTO public.who_import VALUES (62754, '2020-03-31', 'NG', 'Nigeria', 'AFRO', '46', '111', '0', '1');
INSERT INTO public.who_import VALUES (62755, '2020-04-01', 'NG', 'Nigeria', 'AFRO', '28', '139', '1', '2');
INSERT INTO public.who_import VALUES (62756, '2020-04-02', 'NG', 'Nigeria', 'AFRO', '35', '174', '0', '2');
INSERT INTO public.who_import VALUES (62757, '2020-04-03', 'NG', 'Nigeria', 'AFRO', '16', '190', '0', '2');
INSERT INTO public.who_import VALUES (62758, '2020-04-04', 'NG', 'Nigeria', 'AFRO', '18', '208', '2', '4');
INSERT INTO public.who_import VALUES (62759, '2020-04-05', 'NG', 'Nigeria', 'AFRO', '0', '208', '0', '4');
INSERT INTO public.who_import VALUES (62760, '2020-04-06', 'NG', 'Nigeria', 'AFRO', '24', '232', '1', '5');
INSERT INTO public.who_import VALUES (62761, '2020-04-07', 'NG', 'Nigeria', 'AFRO', '0', '232', '0', '5');
INSERT INTO public.who_import VALUES (62762, '2020-04-08', 'NG', 'Nigeria', 'AFRO', '22', '254', '1', '6');
INSERT INTO public.who_import VALUES (62763, '2020-04-09', 'NG', 'Nigeria', 'AFRO', '22', '276', '0', '6');
INSERT INTO public.who_import VALUES (62764, '2020-04-10', 'NG', 'Nigeria', 'AFRO', '12', '288', '1', '7');
INSERT INTO public.who_import VALUES (62765, '2020-04-11', 'NG', 'Nigeria', 'AFRO', '17', '305', '0', '7');
INSERT INTO public.who_import VALUES (62766, '2020-04-12', 'NG', 'Nigeria', 'AFRO', '13', '318', '3', '10');
INSERT INTO public.who_import VALUES (62767, '2020-04-13', 'NG', 'Nigeria', 'AFRO', '5', '323', '0', '10');
INSERT INTO public.who_import VALUES (62768, '2020-04-14', 'NG', 'Nigeria', 'AFRO', '20', '343', '0', '10');
INSERT INTO public.who_import VALUES (62769, '2020-04-15', 'NG', 'Nigeria', 'AFRO', '0', '343', '0', '10');
INSERT INTO public.who_import VALUES (62770, '2020-04-16', 'NG', 'Nigeria', 'AFRO', '30', '373', '1', '11');
INSERT INTO public.who_import VALUES (62771, '2020-04-17', 'NG', 'Nigeria', 'AFRO', '0', '373', '0', '11');
INSERT INTO public.who_import VALUES (62772, '2020-04-18', 'NG', 'Nigeria', 'AFRO', '0', '373', '0', '11');
INSERT INTO public.who_import VALUES (62773, '2020-04-19', 'NG', 'Nigeria', 'AFRO', '0', '373', '0', '11');
INSERT INTO public.who_import VALUES (62774, '2020-04-20', 'NG', 'Nigeria', 'AFRO', '168', '541', '8', '19');
INSERT INTO public.who_import VALUES (62775, '2020-04-21', 'NG', 'Nigeria', 'AFRO', '0', '541', '0', '19');
INSERT INTO public.who_import VALUES (62776, '2020-04-22', 'NG', 'Nigeria', 'AFRO', '0', '541', '0', '19');
INSERT INTO public.who_import VALUES (62777, '2020-04-23', 'NG', 'Nigeria', 'AFRO', '0', '541', '0', '19');
INSERT INTO public.who_import VALUES (62778, '2020-04-24', 'NG', 'Nigeria', 'AFRO', '440', '981', '12', '31');
INSERT INTO public.who_import VALUES (62779, '2020-04-25', 'NG', 'Nigeria', 'AFRO', '114', '1095', '1', '32');
INSERT INTO public.who_import VALUES (62780, '2020-04-26', 'NG', 'Nigeria', 'AFRO', '87', '1182', '3', '35');
INSERT INTO public.who_import VALUES (62781, '2020-04-27', 'NG', 'Nigeria', 'AFRO', '91', '1273', '5', '40');
INSERT INTO public.who_import VALUES (62782, '2020-04-28', 'NG', 'Nigeria', 'AFRO', '64', '1337', '0', '40');
INSERT INTO public.who_import VALUES (62783, '2020-04-29', 'NG', 'Nigeria', 'AFRO', '0', '1337', '0', '40');
INSERT INTO public.who_import VALUES (62784, '2020-04-30', 'NG', 'Nigeria', 'AFRO', '195', '1532', '4', '44');
INSERT INTO public.who_import VALUES (62785, '2020-05-01', 'NG', 'Nigeria', 'AFRO', '400', '1932', '14', '58');
INSERT INTO public.who_import VALUES (62786, '2020-05-02', 'NG', 'Nigeria', 'AFRO', '238', '2170', '10', '68');
INSERT INTO public.who_import VALUES (62787, '2020-05-03', 'NG', 'Nigeria', 'AFRO', '218', '2388', '17', '85');
INSERT INTO public.who_import VALUES (62788, '2020-05-04', 'NG', 'Nigeria', 'AFRO', '0', '2388', '0', '85');
INSERT INTO public.who_import VALUES (62789, '2020-05-05', 'NG', 'Nigeria', 'AFRO', '414', '2802', '8', '93');
INSERT INTO public.who_import VALUES (62790, '2020-05-06', 'NG', 'Nigeria', 'AFRO', '148', '2950', '5', '98');
INSERT INTO public.who_import VALUES (62791, '2020-05-07', 'NG', 'Nigeria', 'AFRO', '195', '3145', '5', '103');
INSERT INTO public.who_import VALUES (62792, '2020-05-08', 'NG', 'Nigeria', 'AFRO', '381', '3526', '4', '107');
INSERT INTO public.who_import VALUES (62793, '2020-05-09', 'NG', 'Nigeria', 'AFRO', '386', '3912', '10', '117');
INSERT INTO public.who_import VALUES (62794, '2020-05-10', 'NG', 'Nigeria', 'AFRO', '239', '4151', '11', '128');
INSERT INTO public.who_import VALUES (62795, '2020-05-11', 'NG', 'Nigeria', 'AFRO', '248', '4399', '15', '143');
INSERT INTO public.who_import VALUES (62796, '2020-05-12', 'NG', 'Nigeria', 'AFRO', '242', '4641', '7', '150');
INSERT INTO public.who_import VALUES (62797, '2020-05-13', 'NG', 'Nigeria', 'AFRO', '146', '4787', '8', '158');
INSERT INTO public.who_import VALUES (62798, '2020-05-14', 'NG', 'Nigeria', 'AFRO', '184', '4971', '6', '164');
INSERT INTO public.who_import VALUES (62799, '2020-05-15', 'NG', 'Nigeria', 'AFRO', '191', '5162', '3', '167');
INSERT INTO public.who_import VALUES (62800, '2020-05-16', 'NG', 'Nigeria', 'AFRO', '288', '5450', '4', '171');
INSERT INTO public.who_import VALUES (62801, '2020-05-17', 'NG', 'Nigeria', 'AFRO', '171', '5621', '5', '176');
INSERT INTO public.who_import VALUES (62802, '2020-05-18', 'NG', 'Nigeria', 'AFRO', '338', '5959', '6', '182');
INSERT INTO public.who_import VALUES (62803, '2020-05-19', 'NG', 'Nigeria', 'AFRO', '216', '6175', '9', '191');
INSERT INTO public.who_import VALUES (62804, '2020-05-20', 'NG', 'Nigeria', 'AFRO', '226', '6401', '1', '192');
INSERT INTO public.who_import VALUES (62805, '2020-05-21', 'NG', 'Nigeria', 'AFRO', '276', '6677', '8', '200');
INSERT INTO public.who_import VALUES (62806, '2020-05-22', 'NG', 'Nigeria', 'AFRO', '339', '7016', '11', '211');
INSERT INTO public.who_import VALUES (62807, '2020-05-23', 'NG', 'Nigeria', 'AFRO', '245', '7261', '10', '221');
INSERT INTO public.who_import VALUES (62808, '2020-05-24', 'NG', 'Nigeria', 'AFRO', '265', '7526', '0', '221');
INSERT INTO public.who_import VALUES (62809, '2020-05-25', 'NG', 'Nigeria', 'AFRO', '313', '7839', '5', '226');
INSERT INTO public.who_import VALUES (62810, '2020-05-26', 'NG', 'Nigeria', 'AFRO', '229', '8068', '7', '233');
INSERT INTO public.who_import VALUES (62811, '2020-05-27', 'NG', 'Nigeria', 'AFRO', '276', '8344', '16', '249');
INSERT INTO public.who_import VALUES (62812, '2020-05-28', 'NG', 'Nigeria', 'AFRO', '389', '8733', '5', '254');
INSERT INTO public.who_import VALUES (62813, '2020-05-29', 'NG', 'Nigeria', 'AFRO', '182', '8915', '5', '259');
INSERT INTO public.who_import VALUES (62814, '2020-05-30', 'NG', 'Nigeria', 'AFRO', '387', '9302', '2', '261');
INSERT INTO public.who_import VALUES (62815, '2020-05-31', 'NG', 'Nigeria', 'AFRO', '553', '9855', '12', '273');
INSERT INTO public.who_import VALUES (62816, '2020-06-01', 'NG', 'Nigeria', 'AFRO', '307', '10162', '14', '287');
INSERT INTO public.who_import VALUES (62817, '2020-06-02', 'NG', 'Nigeria', 'AFRO', '416', '10578', '12', '299');
INSERT INTO public.who_import VALUES (62818, '2020-06-03', 'NG', 'Nigeria', 'AFRO', '241', '10819', '15', '314');
INSERT INTO public.who_import VALUES (62819, '2020-06-04', 'NG', 'Nigeria', 'AFRO', '347', '11166', '1', '315');
INSERT INTO public.who_import VALUES (62820, '2020-06-05', 'NG', 'Nigeria', 'AFRO', '350', '11516', '8', '323');
INSERT INTO public.who_import VALUES (62821, '2020-06-06', 'NG', 'Nigeria', 'AFRO', '328', '11844', '10', '333');
INSERT INTO public.who_import VALUES (62822, '2020-06-07', 'NG', 'Nigeria', 'AFRO', '389', '12233', '9', '342');
INSERT INTO public.who_import VALUES (62823, '2020-06-08', 'NG', 'Nigeria', 'AFRO', '253', '12486', '12', '354');
INSERT INTO public.who_import VALUES (62824, '2020-06-09', 'NG', 'Nigeria', 'AFRO', '315', '12801', '7', '361');
INSERT INTO public.who_import VALUES (62825, '2020-06-10', 'NG', 'Nigeria', 'AFRO', '663', '13464', '4', '365');
INSERT INTO public.who_import VALUES (62826, '2020-06-11', 'NG', 'Nigeria', 'AFRO', '409', '13873', '17', '382');
INSERT INTO public.who_import VALUES (62827, '2020-06-12', 'NG', 'Nigeria', 'AFRO', '681', '14554', '5', '387');
INSERT INTO public.who_import VALUES (62828, '2020-06-13', 'NG', 'Nigeria', 'AFRO', '0', '14554', '0', '387');
INSERT INTO public.who_import VALUES (62829, '2020-06-14', 'NG', 'Nigeria', 'AFRO', '627', '15181', '12', '399');
INSERT INTO public.who_import VALUES (62830, '2020-06-15', 'NG', 'Nigeria', 'AFRO', '904', '16085', '21', '420');
INSERT INTO public.who_import VALUES (62831, '2020-06-16', 'NG', 'Nigeria', 'AFRO', '573', '16658', '4', '424');
INSERT INTO public.who_import VALUES (62832, '2020-06-17', 'NG', 'Nigeria', 'AFRO', '490', '17148', '0', '424');
INSERT INTO public.who_import VALUES (62833, '2020-06-18', 'NG', 'Nigeria', 'AFRO', '587', '17735', '45', '469');
INSERT INTO public.who_import VALUES (62834, '2020-06-19', 'NG', 'Nigeria', 'AFRO', '745', '18480', '6', '475');
INSERT INTO public.who_import VALUES (62835, '2020-06-20', 'NG', 'Nigeria', 'AFRO', '667', '19147', '12', '487');
INSERT INTO public.who_import VALUES (62836, '2020-06-21', 'NG', 'Nigeria', 'AFRO', '661', '19808', '19', '506');
INSERT INTO public.who_import VALUES (62837, '2020-06-22', 'NG', 'Nigeria', 'AFRO', '436', '20244', '12', '518');
INSERT INTO public.who_import VALUES (62838, '2020-06-23', 'NG', 'Nigeria', 'AFRO', '675', '20919', '7', '525');
INSERT INTO public.who_import VALUES (62839, '2020-06-24', 'NG', 'Nigeria', 'AFRO', '452', '21371', '8', '533');
INSERT INTO public.who_import VALUES (62840, '2020-06-25', 'NG', 'Nigeria', 'AFRO', '649', '22020', '9', '542');
INSERT INTO public.who_import VALUES (62841, '2020-06-26', 'NG', 'Nigeria', 'AFRO', '594', '22614', '7', '549');
INSERT INTO public.who_import VALUES (62842, '2020-06-27', 'NG', 'Nigeria', 'AFRO', '684', '23298', '5', '554');
INSERT INTO public.who_import VALUES (62843, '2020-06-28', 'NG', 'Nigeria', 'AFRO', '779', '24077', '4', '558');
INSERT INTO public.who_import VALUES (62844, '2020-06-29', 'NG', 'Nigeria', 'AFRO', '490', '24567', '7', '565');
INSERT INTO public.who_import VALUES (62845, '2020-06-30', 'NG', 'Nigeria', 'AFRO', '566', '25133', '8', '573');
INSERT INTO public.who_import VALUES (62846, '2020-07-01', 'NG', 'Nigeria', 'AFRO', '561', '25694', '17', '590');
INSERT INTO public.who_import VALUES (62847, '2020-07-02', 'NG', 'Nigeria', 'AFRO', '790', '26484', '13', '603');
INSERT INTO public.who_import VALUES (62848, '2020-07-03', 'NG', 'Nigeria', 'AFRO', '626', '27110', '13', '616');
INSERT INTO public.who_import VALUES (62849, '2020-07-04', 'NG', 'Nigeria', 'AFRO', '454', '27564', '12', '628');
INSERT INTO public.who_import VALUES (62850, '2020-07-05', 'NG', 'Nigeria', 'AFRO', '603', '28167', '6', '634');
INSERT INTO public.who_import VALUES (62851, '2020-07-06', 'NG', 'Nigeria', 'AFRO', '544', '28711', '11', '645');
INSERT INTO public.who_import VALUES (62852, '2020-07-07', 'NG', 'Nigeria', 'AFRO', '575', '29286', '9', '654');
INSERT INTO public.who_import VALUES (62853, '2020-07-08', 'NG', 'Nigeria', 'AFRO', '503', '29789', '15', '669');
INSERT INTO public.who_import VALUES (62854, '2020-07-09', 'NG', 'Nigeria', 'AFRO', '460', '30249', '15', '684');
INSERT INTO public.who_import VALUES (62855, '2020-07-10', 'NG', 'Nigeria', 'AFRO', '499', '30748', '5', '689');
INSERT INTO public.who_import VALUES (62856, '2020-07-11', 'NG', 'Nigeria', 'AFRO', '575', '31323', '20', '709');
INSERT INTO public.who_import VALUES (62857, '2020-07-12', 'NG', 'Nigeria', 'AFRO', '664', '31987', '15', '724');
INSERT INTO public.who_import VALUES (62858, '2020-07-13', 'NG', 'Nigeria', 'AFRO', '571', '32558', '16', '740');
INSERT INTO public.who_import VALUES (62859, '2020-07-14', 'NG', 'Nigeria', 'AFRO', '595', '33153', '4', '744');
INSERT INTO public.who_import VALUES (62860, '2020-07-15', 'NG', 'Nigeria', 'AFRO', '463', '33616', '10', '754');
INSERT INTO public.who_import VALUES (62861, '2020-07-16', 'NG', 'Nigeria', 'AFRO', '643', '34259', '6', '760');
INSERT INTO public.who_import VALUES (62862, '2020-07-17', 'NG', 'Nigeria', 'AFRO', '595', '34854', '9', '769');
INSERT INTO public.who_import VALUES (62863, '2020-07-18', 'NG', 'Nigeria', 'AFRO', '600', '35454', '3', '772');
INSERT INTO public.who_import VALUES (62864, '2020-07-19', 'NG', 'Nigeria', 'AFRO', '653', '36107', '6', '778');
INSERT INTO public.who_import VALUES (62865, '2020-07-20', 'NG', 'Nigeria', 'AFRO', '556', '36663', '11', '789');
INSERT INTO public.who_import VALUES (62866, '2020-07-21', 'NG', 'Nigeria', 'AFRO', '562', '37225', '12', '801');
INSERT INTO public.who_import VALUES (62867, '2020-07-22', 'NG', 'Nigeria', 'AFRO', '576', '37801', '4', '805');
INSERT INTO public.who_import VALUES (62868, '2020-07-23', 'NG', 'Nigeria', 'AFRO', '543', '38344', '8', '813');
INSERT INTO public.who_import VALUES (62869, '2020-07-24', 'NG', 'Nigeria', 'AFRO', '604', '38948', '20', '833');
INSERT INTO public.who_import VALUES (62870, '2020-07-25', 'NG', 'Nigeria', 'AFRO', '591', '39539', '12', '845');
INSERT INTO public.who_import VALUES (62871, '2020-07-26', 'NG', 'Nigeria', 'AFRO', '438', '39977', '11', '856');
INSERT INTO public.who_import VALUES (62872, '2020-07-27', 'NG', 'Nigeria', 'AFRO', '555', '40532', '2', '858');
INSERT INTO public.who_import VALUES (62873, '2020-07-28', 'NG', 'Nigeria', 'AFRO', '648', '41180', '2', '860');
INSERT INTO public.who_import VALUES (62874, '2020-07-29', 'NG', 'Nigeria', 'AFRO', '624', '41804', '8', '868');
INSERT INTO public.who_import VALUES (62875, '2020-07-30', 'NG', 'Nigeria', 'AFRO', '404', '42208', '5', '873');
INSERT INTO public.who_import VALUES (62876, '2020-07-31', 'NG', 'Nigeria', 'AFRO', '481', '42689', '5', '878');
INSERT INTO public.who_import VALUES (62877, '2020-08-01', 'NG', 'Nigeria', 'AFRO', '462', '43151', '1', '879');
INSERT INTO public.who_import VALUES (62878, '2020-08-02', 'NG', 'Nigeria', 'AFRO', '386', '43537', '4', '883');
INSERT INTO public.who_import VALUES (62879, '2020-08-03', 'NG', 'Nigeria', 'AFRO', '304', '43841', '5', '888');
INSERT INTO public.who_import VALUES (62880, '2020-08-04', 'NG', 'Nigeria', 'AFRO', '288', '44129', '8', '896');
INSERT INTO public.who_import VALUES (62881, '2020-08-05', 'NG', 'Nigeria', 'AFRO', '304', '44433', '14', '910');
INSERT INTO public.who_import VALUES (62882, '2020-08-06', 'NG', 'Nigeria', 'AFRO', '457', '44890', '17', '927');
INSERT INTO public.who_import VALUES (62883, '2020-08-07', 'NG', 'Nigeria', 'AFRO', '354', '45244', '3', '930');
INSERT INTO public.who_import VALUES (62884, '2020-08-08', 'NG', 'Nigeria', 'AFRO', '443', '45687', '6', '936');
INSERT INTO public.who_import VALUES (62885, '2020-08-09', 'NG', 'Nigeria', 'AFRO', '453', '46140', '6', '942');
INSERT INTO public.who_import VALUES (62886, '2020-08-10', 'NG', 'Nigeria', 'AFRO', '437', '46577', '3', '945');
INSERT INTO public.who_import VALUES (62887, '2020-08-11', 'NG', 'Nigeria', 'AFRO', '290', '46867', '5', '950');
INSERT INTO public.who_import VALUES (62888, '2020-08-12', 'NG', 'Nigeria', 'AFRO', '423', '47290', '6', '956');
INSERT INTO public.who_import VALUES (62889, '2020-08-13', 'NG', 'Nigeria', 'AFRO', '453', '47743', '0', '956');
INSERT INTO public.who_import VALUES (62890, '2020-08-14', 'NG', 'Nigeria', 'AFRO', '373', '48116', '10', '966');
INSERT INTO public.who_import VALUES (62891, '2020-08-15', 'NG', 'Nigeria', 'AFRO', '329', '48445', '7', '973');
INSERT INTO public.who_import VALUES (62892, '2020-08-16', 'NG', 'Nigeria', 'AFRO', '325', '48770', '1', '974');
INSERT INTO public.who_import VALUES (62893, '2020-08-17', 'NG', 'Nigeria', 'AFRO', '298', '49068', '1', '975');
INSERT INTO public.who_import VALUES (62894, '2020-08-18', 'NG', 'Nigeria', 'AFRO', '417', '49485', '2', '977');
INSERT INTO public.who_import VALUES (62895, '2020-08-19', 'NG', 'Nigeria', 'AFRO', '410', '49895', '4', '981');
INSERT INTO public.who_import VALUES (62896, '2020-08-20', 'NG', 'Nigeria', 'AFRO', '593', '50488', '4', '985');
INSERT INTO public.who_import VALUES (62897, '2020-08-21', 'NG', 'Nigeria', 'AFRO', '476', '50964', '7', '992');
INSERT INTO public.who_import VALUES (62898, '2020-08-22', 'NG', 'Nigeria', 'AFRO', '340', '51304', '4', '996');
INSERT INTO public.who_import VALUES (62899, '2020-08-23', 'NG', 'Nigeria', 'AFRO', '601', '51905', '1', '997');
INSERT INTO public.who_import VALUES (62900, '2020-08-24', 'NG', 'Nigeria', 'AFRO', '322', '52227', '5', '1002');
INSERT INTO public.who_import VALUES (62901, '2020-08-25', 'NG', 'Nigeria', 'AFRO', '321', '52548', '2', '1004');
INSERT INTO public.who_import VALUES (62902, '2020-08-26', 'NG', 'Nigeria', 'AFRO', '252', '52800', '3', '1007');
INSERT INTO public.who_import VALUES (62903, '2020-08-27', 'NG', 'Nigeria', 'AFRO', '221', '53021', '3', '1010');
INSERT INTO public.who_import VALUES (62904, '2020-08-28', 'NG', 'Nigeria', 'AFRO', '296', '53317', '1', '1011');
INSERT INTO public.who_import VALUES (62905, '2020-08-29', 'NG', 'Nigeria', 'AFRO', '160', '53477', '0', '1011');
INSERT INTO public.who_import VALUES (62906, '2020-08-30', 'NG', 'Nigeria', 'AFRO', '250', '53727', '0', '1011');
INSERT INTO public.who_import VALUES (62907, '2020-08-31', 'NG', 'Nigeria', 'AFRO', '138', '53865', '2', '1013');
INSERT INTO public.who_import VALUES (62908, '2020-09-01', 'NG', 'Nigeria', 'AFRO', '143', '54008', '0', '1013');
INSERT INTO public.who_import VALUES (62909, '2020-09-02', 'NG', 'Nigeria', 'AFRO', '239', '54247', '10', '1023');
INSERT INTO public.who_import VALUES (62910, '2020-09-03', 'NG', 'Nigeria', 'AFRO', '216', '54463', '4', '1027');
INSERT INTO public.who_import VALUES (62911, '2020-09-04', 'NG', 'Nigeria', 'AFRO', '125', '54588', '21', '1048');
INSERT INTO public.who_import VALUES (62912, '2020-09-05', 'NG', 'Nigeria', 'AFRO', '155', '54743', '3', '1051');
INSERT INTO public.who_import VALUES (62913, '2020-09-06', 'NG', 'Nigeria', 'AFRO', '162', '54905', '3', '1054');
INSERT INTO public.who_import VALUES (62914, '2020-09-07', 'NG', 'Nigeria', 'AFRO', '100', '55005', '3', '1057');
INSERT INTO public.who_import VALUES (62915, '2020-09-08', 'NG', 'Nigeria', 'AFRO', '155', '55160', '4', '1061');
INSERT INTO public.who_import VALUES (62916, '2020-09-09', 'NG', 'Nigeria', 'AFRO', '296', '55456', '6', '1067');
INSERT INTO public.who_import VALUES (62917, '2020-09-10', 'NG', 'Nigeria', 'AFRO', '176', '55632', '3', '1070');
INSERT INTO public.who_import VALUES (62918, '2020-09-11', 'NG', 'Nigeria', 'AFRO', '197', '55829', '5', '1075');
INSERT INTO public.who_import VALUES (62919, '2020-09-12', 'NG', 'Nigeria', 'AFRO', '188', '56017', '1', '1076');
INSERT INTO public.who_import VALUES (62920, '2020-09-13', 'NG', 'Nigeria', 'AFRO', '160', '56177', '2', '1078');
INSERT INTO public.who_import VALUES (62921, '2020-09-14', 'NG', 'Nigeria', 'AFRO', '79', '56256', '4', '1082');
INSERT INTO public.who_import VALUES (62922, '2020-09-15', 'NG', 'Nigeria', 'AFRO', '132', '56388', '1', '1083');
INSERT INTO public.who_import VALUES (62923, '2020-09-16', 'NG', 'Nigeria', 'AFRO', '90', '56478', '5', '1088');
INSERT INTO public.who_import VALUES (62924, '2020-09-17', 'NG', 'Nigeria', 'AFRO', '126', '56604', '3', '1091');
INSERT INTO public.who_import VALUES (62925, '2020-09-18', 'NG', 'Nigeria', 'AFRO', '131', '56735', '2', '1093');
INSERT INTO public.who_import VALUES (62926, '2020-09-19', 'NG', 'Nigeria', 'AFRO', '221', '56956', '1', '1094');
INSERT INTO public.who_import VALUES (62927, '2020-09-20', 'NG', 'Nigeria', 'AFRO', '189', '57145', '1', '1095');
INSERT INTO public.who_import VALUES (62928, '2020-09-21', 'NG', 'Nigeria', 'AFRO', '97', '57242', '3', '1098');
INSERT INTO public.who_import VALUES (62929, '2020-09-22', 'NG', 'Nigeria', 'AFRO', '195', '57437', '2', '1100');
INSERT INTO public.who_import VALUES (62930, '2020-09-23', 'NG', 'Nigeria', 'AFRO', '176', '57613', '0', '1100');
INSERT INTO public.who_import VALUES (62931, '2020-09-24', 'NG', 'Nigeria', 'AFRO', '111', '57724', '2', '1102');
INSERT INTO public.who_import VALUES (62932, '2020-09-25', 'NG', 'Nigeria', 'AFRO', '125', '57849', '0', '1102');
INSERT INTO public.who_import VALUES (62933, '2020-09-26', 'NG', 'Nigeria', 'AFRO', '213', '58062', '1', '1103');
INSERT INTO public.who_import VALUES (62934, '2020-09-27', 'NG', 'Nigeria', 'AFRO', '136', '58198', '3', '1106');
INSERT INTO public.who_import VALUES (62935, '2020-09-28', 'NG', 'Nigeria', 'AFRO', '126', '58324', '2', '1108');
INSERT INTO public.who_import VALUES (62936, '2020-09-29', 'NG', 'Nigeria', 'AFRO', '136', '58460', '3', '1111');
INSERT INTO public.who_import VALUES (62937, '2020-09-30', 'NG', 'Nigeria', 'AFRO', '187', '58647', '0', '1111');
INSERT INTO public.who_import VALUES (62938, '2020-10-01', 'NG', 'Nigeria', 'AFRO', '201', '58848', '1', '1112');
INSERT INTO public.who_import VALUES (62939, '2020-10-02', 'NG', 'Nigeria', 'AFRO', '153', '59001', '0', '1112');
INSERT INTO public.who_import VALUES (62940, '2020-10-03', 'NG', 'Nigeria', 'AFRO', '126', '59127', '0', '1112');
INSERT INTO public.who_import VALUES (62941, '2020-10-04', 'NG', 'Nigeria', 'AFRO', '160', '59287', '1', '1113');
INSERT INTO public.who_import VALUES (62942, '2020-10-05', 'NG', 'Nigeria', 'AFRO', '58', '59345', '0', '1113');
INSERT INTO public.who_import VALUES (62943, '2020-10-06', 'NG', 'Nigeria', 'AFRO', '120', '59465', '0', '1113');
INSERT INTO public.who_import VALUES (62944, '2020-10-07', 'NG', 'Nigeria', 'AFRO', '118', '59583', '0', '1113');
INSERT INTO public.who_import VALUES (62945, '2020-10-08', 'NG', 'Nigeria', 'AFRO', '155', '59738', '0', '1113');
INSERT INTO public.who_import VALUES (62946, '2020-10-09', 'NG', 'Nigeria', 'AFRO', '103', '59841', '0', '1113');
INSERT INTO public.who_import VALUES (62947, '2020-10-10', 'NG', 'Nigeria', 'AFRO', '151', '59992', '0', '1113');
INSERT INTO public.who_import VALUES (62948, '2020-10-11', 'NG', 'Nigeria', 'AFRO', '111', '60103', '2', '1115');
INSERT INTO public.who_import VALUES (62949, '2020-10-12', 'NG', 'Nigeria', 'AFRO', '163', '60266', '0', '1115');
INSERT INTO public.who_import VALUES (62950, '2020-10-13', 'NG', 'Nigeria', 'AFRO', '164', '60430', '0', '1115');
INSERT INTO public.who_import VALUES (62951, '2020-10-14', 'NG', 'Nigeria', 'AFRO', '225', '60655', '1', '1116');
INSERT INTO public.who_import VALUES (62952, '2020-10-15', 'NG', 'Nigeria', 'AFRO', '179', '60834', '0', '1116');
INSERT INTO public.who_import VALUES (62953, '2020-10-16', 'NG', 'Nigeria', 'AFRO', '148', '60982', '0', '1116');
INSERT INTO public.who_import VALUES (62954, '2020-10-17', 'NG', 'Nigeria', 'AFRO', '212', '61194', '3', '1119');
INSERT INTO public.who_import VALUES (62955, '2020-10-18', 'NG', 'Nigeria', 'AFRO', '113', '61307', '4', '1123');
INSERT INTO public.who_import VALUES (62956, '2020-10-19', 'NG', 'Nigeria', 'AFRO', '133', '61440', '2', '1125');
INSERT INTO public.who_import VALUES (62957, '2020-10-20', 'NG', 'Nigeria', 'AFRO', '118', '61558', '0', '1125');
INSERT INTO public.who_import VALUES (62958, '2020-10-21', 'NG', 'Nigeria', 'AFRO', '72', '61630', '0', '1125');
INSERT INTO public.who_import VALUES (62959, '2020-10-22', 'NG', 'Nigeria', 'AFRO', '37', '61667', '0', '1125');
INSERT INTO public.who_import VALUES (62960, '2020-10-23', 'NG', 'Nigeria', 'AFRO', '138', '61805', '2', '1127');
INSERT INTO public.who_import VALUES (62961, '2020-10-24', 'NG', 'Nigeria', 'AFRO', '77', '61882', '2', '1129');
INSERT INTO public.who_import VALUES (62962, '2020-10-25', 'NG', 'Nigeria', 'AFRO', '48', '61930', '0', '1129');
INSERT INTO public.who_import VALUES (62963, '2020-10-26', 'NG', 'Nigeria', 'AFRO', '62', '61992', '1', '1130');
INSERT INTO public.who_import VALUES (62964, '2020-10-27', 'NG', 'Nigeria', 'AFRO', '119', '62111', '2', '1132');
INSERT INTO public.who_import VALUES (62965, '2020-10-28', 'NG', 'Nigeria', 'AFRO', '113', '62224', '3', '1135');
INSERT INTO public.who_import VALUES (62966, '2020-10-29', 'NG', 'Nigeria', 'AFRO', '147', '62371', '4', '1139');
INSERT INTO public.who_import VALUES (62967, '2020-10-30', 'NG', 'Nigeria', 'AFRO', '150', '62521', '2', '1141');
INSERT INTO public.who_import VALUES (62968, '2020-10-31', 'NG', 'Nigeria', 'AFRO', '170', '62691', '3', '1144');
INSERT INTO public.who_import VALUES (62969, '2020-11-01', 'NG', 'Nigeria', 'AFRO', '162', '62853', '0', '1144');
INSERT INTO public.who_import VALUES (62970, '2020-11-02', 'NG', 'Nigeria', 'AFRO', '111', '62964', '2', '1146');
INSERT INTO public.who_import VALUES (62971, '2020-11-03', 'NG', 'Nigeria', 'AFRO', '72', '63036', '1', '1147');
INSERT INTO public.who_import VALUES (62972, '2020-11-04', 'NG', 'Nigeria', 'AFRO', '137', '63173', '4', '1151');
INSERT INTO public.who_import VALUES (62973, '2020-11-05', 'NG', 'Nigeria', 'AFRO', '155', '63328', '4', '1155');
INSERT INTO public.who_import VALUES (62974, '2020-11-06', 'NG', 'Nigeria', 'AFRO', '180', '63508', '0', '1155');
INSERT INTO public.who_import VALUES (62975, '2020-11-07', 'NG', 'Nigeria', 'AFRO', '223', '63731', '1', '1156');
INSERT INTO public.who_import VALUES (62976, '2020-11-08', 'NG', 'Nigeria', 'AFRO', '59', '63790', '0', '1156');
INSERT INTO public.who_import VALUES (62977, '2020-11-09', 'NG', 'Nigeria', 'AFRO', '300', '64090', '0', '1156');
INSERT INTO public.who_import VALUES (62978, '2020-11-10', 'NG', 'Nigeria', 'AFRO', '94', '64184', '2', '1158');
INSERT INTO public.who_import VALUES (62979, '2020-11-11', 'NG', 'Nigeria', 'AFRO', '152', '64336', '2', '1160');
INSERT INTO public.who_import VALUES (62980, '2020-11-12', 'NG', 'Nigeria', 'AFRO', '180', '64516', '2', '1162');
INSERT INTO public.who_import VALUES (62981, '2020-11-13', 'NG', 'Nigeria', 'AFRO', '212', '64728', '0', '1162');
INSERT INTO public.who_import VALUES (62982, '2020-11-14', 'NG', 'Nigeria', 'AFRO', '156', '64884', '1', '1163');
INSERT INTO public.who_import VALUES (62983, '2020-11-15', 'NG', 'Nigeria', 'AFRO', '112', '64996', '0', '1163');
INSERT INTO public.who_import VALUES (62984, '2020-11-16', 'NG', 'Nigeria', 'AFRO', '152', '65148', '0', '1163');
INSERT INTO public.who_import VALUES (62985, '2020-11-17', 'NG', 'Nigeria', 'AFRO', '157', '65305', '0', '1163');
INSERT INTO public.who_import VALUES (62986, '2020-11-18', 'NG', 'Nigeria', 'AFRO', '152', '65457', '0', '1163');
INSERT INTO public.who_import VALUES (62987, '2020-11-19', 'NG', 'Nigeria', 'AFRO', '236', '65693', '0', '1163');
INSERT INTO public.who_import VALUES (62988, '2020-11-20', 'NG', 'Nigeria', 'AFRO', '146', '65839', '2', '1165');
INSERT INTO public.who_import VALUES (62989, '2020-11-21', 'NG', 'Nigeria', 'AFRO', '143', '65982', '0', '1165');
INSERT INTO public.who_import VALUES (62990, '2020-11-22', 'NG', 'Nigeria', 'AFRO', '246', '66228', '1', '1166');
INSERT INTO public.who_import VALUES (62991, '2020-11-23', 'NG', 'Nigeria', 'AFRO', '155', '66383', '1', '1167');
INSERT INTO public.who_import VALUES (62992, '2020-11-24', 'NG', 'Nigeria', 'AFRO', '56', '66439', '1', '1168');
INSERT INTO public.who_import VALUES (62993, '2020-11-25', 'NG', 'Nigeria', 'AFRO', '168', '66607', '1', '1169');
INSERT INTO public.who_import VALUES (62994, '2020-11-26', 'NG', 'Nigeria', 'AFRO', '198', '66805', '0', '1169');
INSERT INTO public.who_import VALUES (62995, '2020-11-27', 'NG', 'Nigeria', 'AFRO', '169', '66974', '0', '1169');
INSERT INTO public.who_import VALUES (62996, '2020-11-28', 'NG', 'Nigeria', 'AFRO', '246', '67220', '2', '1171');
INSERT INTO public.who_import VALUES (62997, '2020-11-29', 'NG', 'Nigeria', 'AFRO', '110', '67330', '0', '1171');
INSERT INTO public.who_import VALUES (62998, '2020-11-30', 'NG', 'Nigeria', 'AFRO', '82', '67412', '2', '1173');
INSERT INTO public.who_import VALUES (62999, '2020-12-01', 'NG', 'Nigeria', 'AFRO', '145', '67557', '0', '1173');
INSERT INTO public.who_import VALUES (63000, '2020-12-02', 'NG', 'Nigeria', 'AFRO', '281', '67838', '3', '1176');
INSERT INTO public.who_import VALUES (63001, '2020-12-03', 'NG', 'Nigeria', 'AFRO', '122', '67960', '1', '1177');
INSERT INTO public.who_import VALUES (63002, '2020-12-04', 'NG', 'Nigeria', 'AFRO', '343', '68303', '2', '1179');
INSERT INTO public.who_import VALUES (63003, '2020-12-05', 'NG', 'Nigeria', 'AFRO', '324', '68627', '0', '1179');
INSERT INTO public.who_import VALUES (63004, '2020-12-06', 'NG', 'Nigeria', 'AFRO', '310', '68937', '1', '1180');
INSERT INTO public.who_import VALUES (63005, '2020-12-07', 'NG', 'Nigeria', 'AFRO', '318', '69255', '0', '1180');
INSERT INTO public.who_import VALUES (63006, '2020-12-08', 'NG', 'Nigeria', 'AFRO', '390', '69645', '1', '1181');
INSERT INTO public.who_import VALUES (63007, '2020-12-09', 'NG', 'Nigeria', 'AFRO', '550', '70195', '1', '1182');
INSERT INTO public.who_import VALUES (63008, '2020-12-10', 'NG', 'Nigeria', 'AFRO', '474', '70669', '2', '1184');
INSERT INTO public.who_import VALUES (63009, '2020-12-11', 'NG', 'Nigeria', 'AFRO', '675', '71344', '6', '1190');
INSERT INTO public.who_import VALUES (63010, '2020-12-12', 'NG', 'Nigeria', 'AFRO', '796', '72140', '0', '1190');
INSERT INTO public.who_import VALUES (63011, '2020-12-13', 'NG', 'Nigeria', 'AFRO', '617', '72757', '4', '1194');
INSERT INTO public.who_import VALUES (63012, '2020-12-14', 'NG', 'Nigeria', 'AFRO', '418', '73175', '3', '1197');
INSERT INTO public.who_import VALUES (63013, '2020-12-15', 'NG', 'Nigeria', 'AFRO', '199', '73374', '0', '1197');
INSERT INTO public.who_import VALUES (63014, '2020-12-16', 'NG', 'Nigeria', 'AFRO', '758', '74132', '3', '1200');
INSERT INTO public.who_import VALUES (63015, '2020-12-17', 'NG', 'Nigeria', 'AFRO', '930', '75062', '0', '1200');
INSERT INTO public.who_import VALUES (63016, '2020-12-18', 'NG', 'Nigeria', 'AFRO', '1145', '76207', '1', '1201');
INSERT INTO public.who_import VALUES (63017, '2020-12-19', 'NG', 'Nigeria', 'AFRO', '806', '77013', '11', '1212');
INSERT INTO public.who_import VALUES (63018, '2020-12-20', 'NG', 'Nigeria', 'AFRO', '920', '77933', '6', '1218');
INSERT INTO public.who_import VALUES (63019, '2020-12-21', 'NG', 'Nigeria', 'AFRO', '501', '78434', '3', '1221');
INSERT INTO public.who_import VALUES (63020, '2020-12-22', 'NG', 'Nigeria', 'AFRO', '356', '78790', '6', '1227');
INSERT INTO public.who_import VALUES (63021, '2020-12-23', 'NG', 'Nigeria', 'AFRO', '999', '79789', '4', '1231');
INSERT INTO public.who_import VALUES (63022, '2020-12-24', 'NG', 'Nigeria', 'AFRO', '1133', '80922', '5', '1236');
INSERT INTO public.who_import VALUES (63023, '2020-12-25', 'NG', 'Nigeria', 'AFRO', '0', '80922', '0', '1236');
INSERT INTO public.who_import VALUES (63024, '2020-12-26', 'NG', 'Nigeria', 'AFRO', '1825', '82747', '10', '1246');
INSERT INTO public.who_import VALUES (63025, '2020-12-27', 'NG', 'Nigeria', 'AFRO', '829', '83576', '1', '1247');
INSERT INTO public.who_import VALUES (63026, '2020-12-28', 'NG', 'Nigeria', 'AFRO', '838', '84414', '7', '1254');
INSERT INTO public.who_import VALUES (63027, '2020-12-29', 'NG', 'Nigeria', 'AFRO', '397', '84811', '10', '1264');
INSERT INTO public.who_import VALUES (63028, '2020-12-30', 'NG', 'Nigeria', 'AFRO', '749', '85560', '3', '1267');
INSERT INTO public.who_import VALUES (63029, '2020-12-31', 'NG', 'Nigeria', 'AFRO', '1016', '86576', '11', '1278');
INSERT INTO public.who_import VALUES (63030, '2021-01-01', 'NG', 'Nigeria', 'AFRO', '934', '87510', '11', '1289');
INSERT INTO public.who_import VALUES (63031, '2021-01-02', 'NG', 'Nigeria', 'AFRO', '0', '87510', '0', '1289');
INSERT INTO public.who_import VALUES (63032, '2021-01-03', 'NG', 'Nigeria', 'AFRO', '1653', '89163', '13', '1302');
INSERT INTO public.who_import VALUES (63033, '2021-01-04', 'NG', 'Nigeria', 'AFRO', '917', '90080', '9', '1311');
INSERT INTO public.who_import VALUES (63034, '2021-01-05', 'NG', 'Nigeria', 'AFRO', '1204', '91284', '7', '1318');
INSERT INTO public.who_import VALUES (63035, '2021-01-06', 'NG', 'Nigeria', 'AFRO', '1421', '92705', '1', '1319');
INSERT INTO public.who_import VALUES (63036, '2021-01-07', 'NG', 'Nigeria', 'AFRO', '1664', '94369', '5', '1324');
INSERT INTO public.who_import VALUES (63037, '2021-01-08', 'NG', 'Nigeria', 'AFRO', '1565', '95934', '6', '1330');
INSERT INTO public.who_import VALUES (63038, '2021-01-09', 'NG', 'Nigeria', 'AFRO', '1544', '97478', '12', '1342');
INSERT INTO public.who_import VALUES (63039, '2021-01-10', 'NG', 'Nigeria', 'AFRO', '0', '97478', '0', '1342');
INSERT INTO public.who_import VALUES (63040, '2021-01-11', 'NG', 'Nigeria', 'AFRO', '2609', '100087', '16', '1358');
INSERT INTO public.who_import VALUES (63041, '2021-01-12', 'NG', 'Nigeria', 'AFRO', '1244', '101331', '3', '1361');
INSERT INTO public.who_import VALUES (63042, '2021-01-13', 'NG', 'Nigeria', 'AFRO', '1270', '102601', '12', '1373');
INSERT INTO public.who_import VALUES (63043, '2021-01-14', 'NG', 'Nigeria', 'AFRO', '1398', '103999', '9', '1382');
INSERT INTO public.who_import VALUES (63044, '2021-01-15', 'NG', 'Nigeria', 'AFRO', '1479', '105478', '23', '1405');
INSERT INTO public.who_import VALUES (63045, '2021-01-16', 'NG', 'Nigeria', 'AFRO', '1867', '107345', '8', '1413');
INSERT INTO public.who_import VALUES (63046, '2021-01-17', 'NG', 'Nigeria', 'AFRO', '1598', '108943', '7', '1420');
INSERT INTO public.who_import VALUES (63047, '2021-01-18', 'NG', 'Nigeria', 'AFRO', '1444', '110387', '15', '1435');
INSERT INTO public.who_import VALUES (63048, '2021-01-19', 'NG', 'Nigeria', 'AFRO', '1617', '112004', '14', '1449');
INSERT INTO public.who_import VALUES (63049, '2021-01-20', 'NG', 'Nigeria', 'AFRO', '1301', '113305', '15', '1464');
INSERT INTO public.who_import VALUES (63050, '2021-01-21', 'NG', 'Nigeria', 'AFRO', '1386', '114691', '14', '1478');
INSERT INTO public.who_import VALUES (63051, '2021-01-22', 'NG', 'Nigeria', 'AFRO', '1962', '116653', '7', '1485');
INSERT INTO public.who_import VALUES (63052, '2021-01-23', 'NG', 'Nigeria', 'AFRO', '1485', '118138', '5', '1490');
INSERT INTO public.who_import VALUES (63053, '2021-01-24', 'NG', 'Nigeria', 'AFRO', '2464', '120602', '5', '1495');
INSERT INTO public.who_import VALUES (63054, '2021-01-25', 'NG', 'Nigeria', 'AFRO', '964', '121566', '2', '1497');
INSERT INTO public.who_import VALUES (63055, '2021-01-26', 'NG', 'Nigeria', 'AFRO', '1430', '122996', '10', '1507');
INSERT INTO public.who_import VALUES (63056, '2021-01-27', 'NG', 'Nigeria', 'AFRO', '1303', '124299', '15', '1522');
INSERT INTO public.who_import VALUES (63057, '2021-01-28', 'NG', 'Nigeria', 'AFRO', '1861', '126160', '21', '1543');
INSERT INTO public.who_import VALUES (63058, '2021-01-29', 'NG', 'Nigeria', 'AFRO', '864', '127024', '4', '1547');
INSERT INTO public.who_import VALUES (63059, '2021-01-30', 'NG', 'Nigeria', 'AFRO', '1650', '128674', '30', '1577');
INSERT INTO public.who_import VALUES (63060, '2021-01-31', 'NG', 'Nigeria', 'AFRO', '1883', '130557', '1', '1578');
INSERT INTO public.who_import VALUES (63061, '2021-02-01', 'NG', 'Nigeria', 'AFRO', '685', '131242', '8', '1586');
INSERT INTO public.who_import VALUES (63062, '2021-02-02', 'NG', 'Nigeria', 'AFRO', '676', '131918', '21', '1607');
INSERT INTO public.who_import VALUES (63063, '2021-02-03', 'NG', 'Nigeria', 'AFRO', '1634', '133552', '6', '1613');
INSERT INTO public.who_import VALUES (63064, '2021-02-04', 'NG', 'Nigeria', 'AFRO', '1138', '134690', '5', '1618');
INSERT INTO public.who_import VALUES (63065, '2021-02-05', 'NG', 'Nigeria', 'AFRO', '1340', '136030', '14', '1632');
INSERT INTO public.who_import VALUES (63066, '2021-02-06', 'NG', 'Nigeria', 'AFRO', '1624', '137654', '9', '1641');
INSERT INTO public.who_import VALUES (63067, '2021-02-07', 'NG', 'Nigeria', 'AFRO', '1588', '139242', '6', '1647');
INSERT INTO public.who_import VALUES (63068, '2021-02-08', 'NG', 'Nigeria', 'AFRO', '506', '139748', '20', '1667');
INSERT INTO public.who_import VALUES (63069, '2021-02-09', 'NG', 'Nigeria', 'AFRO', '643', '140391', '6', '1673');
INSERT INTO public.who_import VALUES (63070, '2021-02-10', 'NG', 'Nigeria', 'AFRO', '1056', '141447', '21', '1694');
INSERT INTO public.who_import VALUES (63071, '2021-02-11', 'NG', 'Nigeria', 'AFRO', '1131', '142578', '8', '1702');
INSERT INTO public.who_import VALUES (63072, '2021-02-12', 'NG', 'Nigeria', 'AFRO', '938', '143516', '8', '1710');
INSERT INTO public.who_import VALUES (63073, '2021-02-13', 'NG', 'Nigeria', 'AFRO', '1005', '144521', '24', '1734');
INSERT INTO public.who_import VALUES (63074, '2021-02-14', 'NG', 'Nigeria', 'AFRO', '1143', '145664', '13', '1747');
INSERT INTO public.who_import VALUES (63075, '2021-02-15', 'NG', 'Nigeria', 'AFRO', '520', '146184', '5', '1752');
INSERT INTO public.who_import VALUES (63076, '2021-02-16', 'NG', 'Nigeria', 'AFRO', '744', '146928', '0', '1752');
INSERT INTO public.who_import VALUES (63077, '2021-02-17', 'NG', 'Nigeria', 'AFRO', '1368', '148296', '25', '1777');
INSERT INTO public.who_import VALUES (63078, '2021-02-18', 'NG', 'Nigeria', 'AFRO', '1073', '149369', '10', '1787');
INSERT INTO public.who_import VALUES (63079, '2021-02-19', 'NG', 'Nigeria', 'AFRO', '877', '150246', '16', '1803');
INSERT INTO public.who_import VALUES (63080, '2021-02-20', 'NG', 'Nigeria', 'AFRO', '662', '150908', '10', '1813');
INSERT INTO public.who_import VALUES (63081, '2020-01-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63082, '2020-01-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63083, '2020-01-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63084, '2020-01-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63085, '2020-01-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63086, '2020-01-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63087, '2020-01-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63088, '2020-01-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63089, '2020-01-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63090, '2020-01-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63091, '2020-01-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63092, '2020-01-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63093, '2020-01-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63094, '2020-01-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63095, '2020-01-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63096, '2020-01-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63097, '2020-01-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63098, '2020-01-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63099, '2020-01-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63100, '2020-01-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63101, '2020-01-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63102, '2020-01-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63103, '2020-01-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63104, '2020-01-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63105, '2020-01-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63106, '2020-01-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63107, '2020-01-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63108, '2020-01-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63109, '2020-01-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63110, '2020-02-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63111, '2020-02-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63112, '2020-02-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63113, '2020-02-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63114, '2020-02-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63115, '2020-02-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63116, '2020-02-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63117, '2020-02-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63118, '2020-02-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63119, '2020-02-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63120, '2020-02-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63121, '2020-02-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63122, '2020-02-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63123, '2020-02-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63124, '2020-02-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63125, '2020-02-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63126, '2020-02-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63127, '2020-02-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63128, '2020-02-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63129, '2020-02-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63130, '2020-02-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63131, '2020-02-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63132, '2020-02-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63133, '2020-02-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63134, '2020-02-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63135, '2020-02-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63136, '2020-02-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63137, '2020-02-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63138, '2020-02-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63139, '2020-03-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63140, '2020-03-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63141, '2020-03-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63142, '2020-03-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63143, '2020-03-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63144, '2020-03-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63145, '2020-03-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63146, '2020-03-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63147, '2020-03-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63148, '2020-03-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63149, '2020-03-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63150, '2020-03-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63151, '2020-03-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63152, '2020-03-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63153, '2020-03-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63154, '2020-03-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63155, '2020-03-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63156, '2020-03-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63157, '2020-03-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63158, '2020-03-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63159, '2020-03-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63160, '2020-03-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63161, '2020-03-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63162, '2020-03-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63163, '2020-03-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63164, '2020-03-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63165, '2020-03-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63166, '2020-03-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63167, '2020-03-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63168, '2020-03-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63169, '2020-03-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63170, '2020-04-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63171, '2020-04-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63172, '2020-04-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63173, '2020-04-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63174, '2020-04-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63175, '2020-04-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63176, '2020-04-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63177, '2020-04-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63178, '2020-04-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63179, '2020-04-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63180, '2020-04-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63181, '2020-04-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63182, '2020-04-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63183, '2020-04-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63184, '2020-04-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63185, '2020-04-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63186, '2020-04-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63187, '2020-04-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63188, '2020-04-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63189, '2020-04-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63190, '2020-04-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63191, '2020-04-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63192, '2020-04-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63193, '2020-04-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63194, '2020-04-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63195, '2020-04-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63196, '2020-04-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63197, '2020-04-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63198, '2020-04-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63199, '2020-04-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63200, '2020-05-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63201, '2020-05-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63202, '2020-05-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63203, '2020-05-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63204, '2020-05-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63205, '2020-05-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63206, '2020-05-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63207, '2020-05-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63208, '2020-05-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63209, '2020-05-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63210, '2020-05-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63211, '2020-05-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63212, '2020-05-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63213, '2020-05-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63214, '2020-05-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63215, '2020-05-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63216, '2020-05-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63217, '2020-05-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63218, '2020-05-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63219, '2020-05-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63220, '2020-05-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63221, '2020-05-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63222, '2020-05-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63223, '2020-05-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63224, '2020-05-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63225, '2020-05-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63226, '2020-05-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63227, '2020-05-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63228, '2020-05-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63229, '2020-05-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63230, '2020-05-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63231, '2020-06-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63232, '2020-06-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63233, '2020-06-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63234, '2020-06-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63235, '2020-06-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63236, '2020-06-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63237, '2020-06-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63238, '2020-06-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63239, '2020-06-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63240, '2020-06-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63241, '2020-06-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63242, '2020-06-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63243, '2020-06-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63244, '2020-06-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63245, '2020-06-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63246, '2020-06-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63247, '2020-06-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63248, '2020-06-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63249, '2020-06-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63250, '2020-06-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63251, '2020-06-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63252, '2020-06-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63253, '2020-06-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63254, '2020-06-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63255, '2020-06-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63256, '2020-06-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63257, '2020-06-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63258, '2020-06-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63259, '2020-06-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63260, '2020-06-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63261, '2020-07-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63262, '2020-07-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63263, '2020-07-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63264, '2020-07-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63265, '2020-07-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63266, '2020-07-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63267, '2020-07-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63268, '2020-07-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63269, '2020-07-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63270, '2020-07-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63271, '2020-07-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63272, '2020-07-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63273, '2020-07-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63274, '2020-07-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63275, '2020-07-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63276, '2020-07-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63277, '2020-07-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63278, '2020-07-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63279, '2020-07-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63280, '2020-07-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63281, '2020-07-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63282, '2020-07-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63283, '2020-07-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63284, '2020-07-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63285, '2020-07-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63286, '2020-07-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63287, '2020-07-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63288, '2020-07-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63289, '2020-07-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63290, '2020-07-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63291, '2020-07-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63292, '2020-08-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63293, '2020-08-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63294, '2020-08-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63295, '2020-08-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63296, '2020-08-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63297, '2020-08-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63298, '2020-08-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63299, '2020-08-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63300, '2020-08-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63301, '2020-08-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63302, '2020-08-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63303, '2020-08-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63304, '2020-08-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63305, '2020-08-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63306, '2020-08-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63307, '2020-08-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63308, '2020-08-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63309, '2020-08-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63310, '2020-08-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63311, '2020-08-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63312, '2020-08-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63313, '2020-08-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63314, '2020-08-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63315, '2020-08-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63316, '2020-08-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63317, '2020-08-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63318, '2020-08-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63319, '2020-08-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63320, '2020-08-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63321, '2020-08-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63322, '2020-08-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63323, '2020-09-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63324, '2020-09-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63325, '2020-09-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63326, '2020-09-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63327, '2020-09-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63328, '2020-09-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63329, '2020-09-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63330, '2020-09-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63331, '2020-09-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63332, '2020-09-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63333, '2020-09-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63334, '2020-09-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63335, '2020-09-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63336, '2020-09-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63337, '2020-09-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63338, '2020-09-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63339, '2020-09-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63340, '2020-09-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63341, '2020-09-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63342, '2020-09-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63343, '2020-09-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63344, '2020-09-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63345, '2020-09-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63346, '2020-09-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63347, '2020-09-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63348, '2020-09-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63349, '2020-09-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63350, '2020-09-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63351, '2020-09-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63352, '2020-09-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63353, '2020-10-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63354, '2020-10-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63355, '2020-10-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63356, '2020-10-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63357, '2020-10-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63358, '2020-10-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63359, '2020-10-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63360, '2020-10-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63361, '2020-10-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63362, '2020-10-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63363, '2020-10-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63364, '2020-10-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63365, '2020-10-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63366, '2020-10-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63367, '2020-10-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63368, '2020-10-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63369, '2020-10-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63370, '2020-10-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63371, '2020-10-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63372, '2020-10-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63373, '2020-10-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63374, '2020-10-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63375, '2020-10-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63376, '2020-10-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63377, '2020-10-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63378, '2020-10-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63379, '2020-10-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63380, '2020-10-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63381, '2020-10-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63382, '2020-10-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63383, '2020-10-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63384, '2020-11-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63385, '2020-11-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63386, '2020-11-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63387, '2020-11-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63388, '2020-11-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63389, '2020-11-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63390, '2020-11-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63391, '2020-11-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63392, '2020-11-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63393, '2020-11-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63394, '2020-11-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63395, '2020-11-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63396, '2020-11-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63397, '2020-11-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63398, '2020-11-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63399, '2020-11-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63400, '2020-11-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63401, '2020-11-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63402, '2020-11-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63403, '2020-11-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63404, '2020-11-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63405, '2020-11-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63406, '2020-11-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63407, '2020-11-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63408, '2020-11-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63409, '2020-11-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63410, '2020-11-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63411, '2020-11-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63412, '2020-11-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63413, '2020-11-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63414, '2020-12-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63415, '2020-12-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63416, '2020-12-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63417, '2020-12-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63418, '2020-12-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63419, '2020-12-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63420, '2020-12-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63421, '2020-12-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63422, '2020-12-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63423, '2020-12-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63424, '2020-12-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63425, '2020-12-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63426, '2020-12-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63427, '2020-12-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63428, '2020-12-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63429, '2020-12-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63430, '2020-12-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63431, '2020-12-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63432, '2020-12-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63433, '2020-12-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63434, '2020-12-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63435, '2020-12-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63436, '2020-12-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63437, '2020-12-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63438, '2020-12-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63439, '2020-12-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63440, '2020-12-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63441, '2020-12-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63442, '2020-12-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63443, '2020-12-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63444, '2020-12-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63445, '2021-01-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63446, '2021-01-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63447, '2021-01-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63448, '2021-01-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63449, '2021-01-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63450, '2021-01-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63451, '2021-01-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63452, '2021-01-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63453, '2021-01-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63454, '2021-01-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63455, '2021-01-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63456, '2021-01-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63457, '2021-01-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63458, '2021-01-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63459, '2021-01-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63460, '2021-01-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63461, '2021-01-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63462, '2021-01-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63463, '2021-01-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63464, '2021-01-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63465, '2021-01-21', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63466, '2021-01-22', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63467, '2021-01-23', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63468, '2021-01-24', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63469, '2021-01-25', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63470, '2021-01-26', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63471, '2021-01-27', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63472, '2021-01-28', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63473, '2021-01-29', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63474, '2021-01-30', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63475, '2021-01-31', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63476, '2021-02-01', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63477, '2021-02-02', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63478, '2021-02-03', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63479, '2021-02-04', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63480, '2021-02-05', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63481, '2021-02-06', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63482, '2021-02-07', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63483, '2021-02-08', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63484, '2021-02-09', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63485, '2021-02-10', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63486, '2021-02-11', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63487, '2021-02-12', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63488, '2021-02-13', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63489, '2021-02-14', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63490, '2021-02-15', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63491, '2021-02-16', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63492, '2021-02-17', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63493, '2021-02-18', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63494, '2021-02-19', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63495, '2021-02-20', 'NU', 'Niue', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63496, '2020-01-03', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63497, '2020-01-04', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63498, '2020-01-05', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63499, '2020-01-06', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63500, '2020-01-07', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63501, '2020-01-08', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63502, '2020-01-09', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63503, '2020-01-10', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63504, '2020-01-11', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63505, '2020-01-12', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63506, '2020-01-13', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63507, '2020-01-14', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63508, '2020-01-15', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63509, '2020-01-16', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63510, '2020-01-17', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63511, '2020-01-18', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63512, '2020-01-19', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63513, '2020-01-20', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63514, '2020-01-21', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63515, '2020-01-22', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63516, '2020-01-23', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63517, '2020-01-24', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63518, '2020-01-25', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63519, '2020-01-26', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63520, '2020-01-27', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63521, '2020-01-28', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63522, '2020-01-29', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63523, '2020-01-30', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63524, '2020-01-31', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63525, '2020-02-01', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63526, '2020-02-02', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63527, '2020-02-03', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63528, '2020-02-04', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63529, '2020-02-05', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63530, '2020-02-06', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63531, '2020-02-07', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63532, '2020-02-08', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63533, '2020-02-09', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63534, '2020-02-10', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63535, '2020-02-11', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63536, '2020-02-12', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63537, '2020-02-13', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63538, '2020-02-14', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63539, '2020-02-15', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63540, '2020-02-16', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63541, '2020-02-17', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63542, '2020-02-18', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63543, '2020-02-19', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63544, '2020-02-20', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63545, '2020-02-21', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63546, '2020-02-22', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63547, '2020-02-23', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63548, '2020-02-24', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63549, '2020-02-25', 'MK', 'North Macedonia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63550, '2020-02-26', 'MK', 'North Macedonia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (63551, '2020-02-27', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63552, '2020-02-28', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63553, '2020-02-29', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63554, '2020-03-01', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63555, '2020-03-02', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63556, '2020-03-03', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63557, '2020-03-04', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63558, '2020-03-05', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63559, '2020-03-06', 'MK', 'North Macedonia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (63560, '2020-03-07', 'MK', 'North Macedonia', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (63561, '2020-03-08', 'MK', 'North Macedonia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (63562, '2020-03-09', 'MK', 'North Macedonia', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (63563, '2020-03-10', 'MK', 'North Macedonia', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (63564, '2020-03-11', 'MK', 'North Macedonia', 'EURO', '3', '7', '0', '0');
INSERT INTO public.who_import VALUES (63565, '2020-03-12', 'MK', 'North Macedonia', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (63566, '2020-03-13', 'MK', 'North Macedonia', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (63567, '2020-03-14', 'MK', 'North Macedonia', 'EURO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (63568, '2020-03-15', 'MK', 'North Macedonia', 'EURO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (63569, '2020-03-16', 'MK', 'North Macedonia', 'EURO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (63570, '2020-03-17', 'MK', 'North Macedonia', 'EURO', '6', '19', '0', '0');
INSERT INTO public.who_import VALUES (63571, '2020-03-18', 'MK', 'North Macedonia', 'EURO', '12', '31', '0', '0');
INSERT INTO public.who_import VALUES (63572, '2020-03-19', 'MK', 'North Macedonia', 'EURO', '4', '35', '0', '0');
INSERT INTO public.who_import VALUES (63573, '2020-03-20', 'MK', 'North Macedonia', 'EURO', '13', '48', '0', '0');
INSERT INTO public.who_import VALUES (63574, '2020-03-21', 'MK', 'North Macedonia', 'EURO', '37', '85', '0', '0');
INSERT INTO public.who_import VALUES (63575, '2020-03-22', 'MK', 'North Macedonia', 'EURO', '29', '114', '0', '0');
INSERT INTO public.who_import VALUES (63576, '2020-03-23', 'MK', 'North Macedonia', 'EURO', '22', '136', '2', '2');
INSERT INTO public.who_import VALUES (63577, '2020-03-24', 'MK', 'North Macedonia', 'EURO', '12', '148', '0', '2');
INSERT INTO public.who_import VALUES (63578, '2020-03-25', 'MK', 'North Macedonia', 'EURO', '29', '177', '0', '2');
INSERT INTO public.who_import VALUES (63579, '2020-03-26', 'MK', 'North Macedonia', 'EURO', '24', '201', '1', '3');
INSERT INTO public.who_import VALUES (63580, '2020-03-27', 'MK', 'North Macedonia', 'EURO', '18', '219', '0', '3');
INSERT INTO public.who_import VALUES (63581, '2020-03-28', 'MK', 'North Macedonia', 'EURO', '22', '241', '1', '4');
INSERT INTO public.who_import VALUES (63582, '2020-03-29', 'MK', 'North Macedonia', 'EURO', '0', '241', '0', '4');
INSERT INTO public.who_import VALUES (63583, '2020-03-30', 'MK', 'North Macedonia', 'EURO', '44', '285', '3', '7');
INSERT INTO public.who_import VALUES (63584, '2020-03-31', 'MK', 'North Macedonia', 'EURO', '44', '329', '2', '9');
INSERT INTO public.who_import VALUES (63585, '2020-04-01', 'MK', 'North Macedonia', 'EURO', '25', '354', '2', '11');
INSERT INTO public.who_import VALUES (63586, '2020-04-02', 'MK', 'North Macedonia', 'EURO', '0', '354', '0', '11');
INSERT INTO public.who_import VALUES (63587, '2020-04-03', 'MK', 'North Macedonia', 'EURO', '30', '384', '0', '11');
INSERT INTO public.who_import VALUES (63588, '2020-04-04', 'MK', 'North Macedonia', 'EURO', '46', '430', '1', '12');
INSERT INTO public.who_import VALUES (63589, '2020-04-05', 'MK', 'North Macedonia', 'EURO', '53', '483', '5', '17');
INSERT INTO public.who_import VALUES (63590, '2020-04-06', 'MK', 'North Macedonia', 'EURO', '72', '555', '1', '18');
INSERT INTO public.who_import VALUES (63591, '2020-04-07', 'MK', 'North Macedonia', 'EURO', '15', '570', '3', '21');
INSERT INTO public.who_import VALUES (63592, '2020-04-08', 'MK', 'North Macedonia', 'EURO', '29', '599', '6', '27');
INSERT INTO public.who_import VALUES (63593, '2020-04-09', 'MK', 'North Macedonia', 'EURO', '18', '617', '3', '30');
INSERT INTO public.who_import VALUES (63594, '2020-04-10', 'MK', 'North Macedonia', 'EURO', '46', '663', '0', '30');
INSERT INTO public.who_import VALUES (63595, '2020-04-11', 'MK', 'North Macedonia', 'EURO', '48', '711', '2', '32');
INSERT INTO public.who_import VALUES (63596, '2020-04-12', 'MK', 'North Macedonia', 'EURO', '117', '828', '2', '34');
INSERT INTO public.who_import VALUES (63597, '2020-04-13', 'MK', 'North Macedonia', 'EURO', '0', '828', '0', '34');
INSERT INTO public.who_import VALUES (63598, '2020-04-14', 'MK', 'North Macedonia', 'EURO', '26', '854', '4', '38');
INSERT INTO public.who_import VALUES (63599, '2020-04-15', 'MK', 'North Macedonia', 'EURO', '54', '908', '6', '44');
INSERT INTO public.who_import VALUES (63600, '2020-04-16', 'MK', 'North Macedonia', 'EURO', '66', '974', '1', '45');
INSERT INTO public.who_import VALUES (63601, '2020-04-17', 'MK', 'North Macedonia', 'EURO', '107', '1081', '1', '46');
INSERT INTO public.who_import VALUES (63602, '2020-04-18', 'MK', 'North Macedonia', 'EURO', '36', '1117', '3', '49');
INSERT INTO public.who_import VALUES (63603, '2020-04-19', 'MK', 'North Macedonia', 'EURO', '53', '1170', '0', '49');
INSERT INTO public.who_import VALUES (63604, '2020-04-20', 'MK', 'North Macedonia', 'EURO', '37', '1207', '2', '51');
INSERT INTO public.who_import VALUES (63605, '2020-04-21', 'MK', 'North Macedonia', 'EURO', '18', '1225', '3', '54');
INSERT INTO public.who_import VALUES (63606, '2020-04-22', 'MK', 'North Macedonia', 'EURO', '6', '1231', '1', '55');
INSERT INTO public.who_import VALUES (63607, '2020-04-23', 'MK', 'North Macedonia', 'EURO', '28', '1259', '1', '56');
INSERT INTO public.who_import VALUES (63608, '2020-04-24', 'MK', 'North Macedonia', 'EURO', '41', '1300', '0', '56');
INSERT INTO public.who_import VALUES (63609, '2020-04-25', 'MK', 'North Macedonia', 'EURO', '26', '1326', '1', '57');
INSERT INTO public.who_import VALUES (63610, '2020-04-26', 'MK', 'North Macedonia', 'EURO', '41', '1367', '2', '59');
INSERT INTO public.who_import VALUES (63611, '2020-04-27', 'MK', 'North Macedonia', 'EURO', '19', '1386', '2', '61');
INSERT INTO public.who_import VALUES (63612, '2020-04-28', 'MK', 'North Macedonia', 'EURO', '13', '1399', '4', '65');
INSERT INTO public.who_import VALUES (63613, '2020-04-29', 'MK', 'North Macedonia', 'EURO', '22', '1421', '6', '71');
INSERT INTO public.who_import VALUES (63614, '2020-04-30', 'MK', 'North Macedonia', 'EURO', '21', '1442', '2', '73');
INSERT INTO public.who_import VALUES (63615, '2020-05-01', 'MK', 'North Macedonia', 'EURO', '23', '1465', '4', '77');
INSERT INTO public.who_import VALUES (63616, '2020-05-02', 'MK', 'North Macedonia', 'EURO', '29', '1494', '4', '81');
INSERT INTO public.who_import VALUES (63617, '2020-05-03', 'MK', 'North Macedonia', 'EURO', '12', '1506', '1', '82');
INSERT INTO public.who_import VALUES (63618, '2020-05-04', 'MK', 'North Macedonia', 'EURO', '5', '1511', '2', '84');
INSERT INTO public.who_import VALUES (63619, '2020-05-05', 'MK', 'North Macedonia', 'EURO', '7', '1518', '1', '85');
INSERT INTO public.who_import VALUES (63620, '2020-05-06', 'MK', 'North Macedonia', 'EURO', '8', '1526', '1', '86');
INSERT INTO public.who_import VALUES (63621, '2020-05-07', 'MK', 'North Macedonia', 'EURO', '13', '1539', '2', '88');
INSERT INTO public.who_import VALUES (63622, '2020-05-08', 'MK', 'North Macedonia', 'EURO', '33', '1572', '1', '89');
INSERT INTO public.who_import VALUES (63623, '2020-05-09', 'MK', 'North Macedonia', 'EURO', '14', '1586', '1', '90');
INSERT INTO public.who_import VALUES (63624, '2020-05-10', 'MK', 'North Macedonia', 'EURO', '36', '1622', '1', '91');
INSERT INTO public.who_import VALUES (63625, '2020-05-11', 'MK', 'North Macedonia', 'EURO', '20', '1642', '0', '91');
INSERT INTO public.who_import VALUES (63626, '2020-05-12', 'MK', 'North Macedonia', 'EURO', '22', '1664', '0', '91');
INSERT INTO public.who_import VALUES (63627, '2020-05-13', 'MK', 'North Macedonia', 'EURO', '10', '1674', '1', '92');
INSERT INTO public.who_import VALUES (63628, '2020-05-14', 'MK', 'North Macedonia', 'EURO', '20', '1694', '3', '95');
INSERT INTO public.who_import VALUES (63629, '2020-05-15', 'MK', 'North Macedonia', 'EURO', '29', '1723', '0', '95');
INSERT INTO public.who_import VALUES (63630, '2020-05-16', 'MK', 'North Macedonia', 'EURO', '17', '1740', '2', '97');
INSERT INTO public.who_import VALUES (63631, '2020-05-17', 'MK', 'North Macedonia', 'EURO', '22', '1762', '1', '98');
INSERT INTO public.who_import VALUES (63632, '2020-05-18', 'MK', 'North Macedonia', 'EURO', '30', '1792', '3', '101');
INSERT INTO public.who_import VALUES (63633, '2020-05-19', 'MK', 'North Macedonia', 'EURO', '25', '1817', '3', '104');
INSERT INTO public.who_import VALUES (63634, '2020-05-20', 'MK', 'North Macedonia', 'EURO', '22', '1839', '2', '106');
INSERT INTO public.who_import VALUES (63635, '2020-05-21', 'MK', 'North Macedonia', 'EURO', '19', '1858', '4', '110');
INSERT INTO public.who_import VALUES (63636, '2020-05-22', 'MK', 'North Macedonia', 'EURO', '40', '1898', '1', '111');
INSERT INTO public.who_import VALUES (63637, '2020-05-23', 'MK', 'North Macedonia', 'EURO', '23', '1921', '1', '112');
INSERT INTO public.who_import VALUES (63638, '2020-05-24', 'MK', 'North Macedonia', 'EURO', '20', '1941', '1', '113');
INSERT INTO public.who_import VALUES (63639, '2020-05-25', 'MK', 'North Macedonia', 'EURO', '37', '1978', '0', '113');
INSERT INTO public.who_import VALUES (63640, '2020-05-26', 'MK', 'North Macedonia', 'EURO', '21', '1999', '0', '113');
INSERT INTO public.who_import VALUES (63641, '2020-05-27', 'MK', 'North Macedonia', 'EURO', '16', '2015', '3', '116');
INSERT INTO public.who_import VALUES (63642, '2020-05-28', 'MK', 'North Macedonia', 'EURO', '25', '2040', '3', '119');
INSERT INTO public.who_import VALUES (63643, '2020-05-29', 'MK', 'North Macedonia', 'EURO', '38', '2078', '3', '122');
INSERT INTO public.who_import VALUES (63644, '2020-05-30', 'MK', 'North Macedonia', 'EURO', '52', '2130', '4', '126');
INSERT INTO public.who_import VALUES (63645, '2020-05-31', 'MK', 'North Macedonia', 'EURO', '34', '2164', '5', '131');
INSERT INTO public.who_import VALUES (63646, '2020-06-01', 'MK', 'North Macedonia', 'EURO', '62', '2226', '2', '133');
INSERT INTO public.who_import VALUES (63647, '2020-06-02', 'MK', 'North Macedonia', 'EURO', '89', '2315', '7', '140');
INSERT INTO public.who_import VALUES (63648, '2020-06-03', 'MK', 'North Macedonia', 'EURO', '76', '2391', '1', '141');
INSERT INTO public.who_import VALUES (63649, '2020-06-04', 'MK', 'North Macedonia', 'EURO', '101', '2492', '4', '145');
INSERT INTO public.who_import VALUES (63650, '2020-06-05', 'MK', 'North Macedonia', 'EURO', '120', '2612', '2', '147');
INSERT INTO public.who_import VALUES (63651, '2020-06-06', 'MK', 'North Macedonia', 'EURO', '180', '2792', '2', '149');
INSERT INTO public.who_import VALUES (63652, '2020-06-07', 'MK', 'North Macedonia', 'EURO', '123', '2915', '2', '151');
INSERT INTO public.who_import VALUES (63653, '2020-06-08', 'MK', 'North Macedonia', 'EURO', '113', '3028', '2', '153');
INSERT INTO public.who_import VALUES (63654, '2020-06-09', 'MK', 'North Macedonia', 'EURO', '127', '3155', '3', '156');
INSERT INTO public.who_import VALUES (63655, '2020-06-10', 'MK', 'North Macedonia', 'EURO', '87', '3242', '1', '157');
INSERT INTO public.who_import VALUES (63656, '2020-06-11', 'MK', 'North Macedonia', 'EURO', '125', '3367', '7', '164');
INSERT INTO public.who_import VALUES (63657, '2020-06-12', 'MK', 'North Macedonia', 'EURO', '175', '3542', '5', '169');
INSERT INTO public.who_import VALUES (63658, '2020-06-13', 'MK', 'North Macedonia', 'EURO', '164', '3706', '2', '171');
INSERT INTO public.who_import VALUES (63659, '2020-06-14', 'MK', 'North Macedonia', 'EURO', '196', '3902', '8', '179');
INSERT INTO public.who_import VALUES (63660, '2020-06-15', 'MK', 'North Macedonia', 'EURO', '155', '4057', '9', '188');
INSERT INTO public.who_import VALUES (63661, '2020-06-16', 'MK', 'North Macedonia', 'EURO', '100', '4157', '5', '193');
INSERT INTO public.who_import VALUES (63662, '2020-06-17', 'MK', 'North Macedonia', 'EURO', '132', '4289', '8', '201');
INSERT INTO public.who_import VALUES (63663, '2020-06-18', 'MK', 'North Macedonia', 'EURO', '193', '4482', '9', '210');
INSERT INTO public.who_import VALUES (63664, '2020-06-19', 'MK', 'North Macedonia', 'EURO', '182', '4664', '6', '216');
INSERT INTO public.who_import VALUES (63665, '2020-06-20', 'MK', 'North Macedonia', 'EURO', '156', '4820', '6', '222');
INSERT INTO public.who_import VALUES (63666, '2020-06-21', 'MK', 'North Macedonia', 'EURO', '185', '5005', '11', '233');
INSERT INTO public.who_import VALUES (63667, '2020-06-22', 'MK', 'North Macedonia', 'EURO', '101', '5106', '5', '238');
INSERT INTO public.who_import VALUES (63668, '2020-06-23', 'MK', 'North Macedonia', 'EURO', '90', '5196', '9', '247');
INSERT INTO public.who_import VALUES (63669, '2020-06-24', 'MK', 'North Macedonia', 'EURO', '118', '5314', '4', '251');
INSERT INTO public.who_import VALUES (63670, '2020-06-25', 'MK', 'North Macedonia', 'EURO', '136', '5450', '8', '259');
INSERT INTO public.who_import VALUES (63671, '2020-06-26', 'MK', 'North Macedonia', 'EURO', '153', '5603', '6', '265');
INSERT INTO public.who_import VALUES (63672, '2020-06-27', 'MK', 'North Macedonia', 'EURO', '155', '5758', '3', '268');
INSERT INTO public.who_import VALUES (63673, '2020-06-28', 'MK', 'North Macedonia', 'EURO', '148', '5906', '9', '277');
INSERT INTO public.who_import VALUES (63674, '2020-06-29', 'MK', 'North Macedonia', 'EURO', '186', '6092', '9', '286');
INSERT INTO public.who_import VALUES (63675, '2020-06-30', 'MK', 'North Macedonia', 'EURO', '132', '6224', '12', '298');
INSERT INTO public.who_import VALUES (63676, '2020-07-01', 'MK', 'North Macedonia', 'EURO', '126', '6350', '4', '302');
INSERT INTO public.who_import VALUES (63677, '2020-07-02', 'MK', 'North Macedonia', 'EURO', '120', '6470', '4', '306');
INSERT INTO public.who_import VALUES (63678, '2020-07-03', 'MK', 'North Macedonia', 'EURO', '173', '6643', '15', '321');
INSERT INTO public.who_import VALUES (63679, '2020-07-04', 'MK', 'North Macedonia', 'EURO', '144', '6787', '7', '328');
INSERT INTO public.who_import VALUES (63680, '2020-07-05', 'MK', 'North Macedonia', 'EURO', '145', '6932', '6', '334');
INSERT INTO public.who_import VALUES (63681, '2020-07-06', 'MK', 'North Macedonia', 'EURO', '114', '7046', '7', '341');
INSERT INTO public.who_import VALUES (63682, '2020-07-07', 'MK', 'North Macedonia', 'EURO', '78', '7124', '5', '346');
INSERT INTO public.who_import VALUES (63683, '2020-07-08', 'MK', 'North Macedonia', 'EURO', '119', '7243', '5', '351');
INSERT INTO public.who_import VALUES (63684, '2020-07-09', 'MK', 'North Macedonia', 'EURO', '162', '7405', '8', '359');
INSERT INTO public.who_import VALUES (63685, '2020-07-10', 'MK', 'North Macedonia', 'EURO', '167', '7572', '3', '362');
INSERT INTO public.who_import VALUES (63686, '2020-07-11', 'MK', 'North Macedonia', 'EURO', '198', '7770', '5', '367');
INSERT INTO public.who_import VALUES (63687, '2020-07-12', 'MK', 'North Macedonia', 'EURO', '197', '7967', '8', '375');
INSERT INTO public.who_import VALUES (63688, '2020-07-13', 'MK', 'North Macedonia', 'EURO', '144', '8111', '7', '382');
INSERT INTO public.who_import VALUES (63689, '2020-07-14', 'MK', 'North Macedonia', 'EURO', '86', '8197', '3', '385');
INSERT INTO public.who_import VALUES (63690, '2020-07-15', 'MK', 'North Macedonia', 'EURO', '134', '8331', '4', '389');
INSERT INTO public.who_import VALUES (63691, '2020-07-16', 'MK', 'North Macedonia', 'EURO', '191', '8522', '4', '393');
INSERT INTO public.who_import VALUES (63692, '2020-07-17', 'MK', 'North Macedonia', 'EURO', '90', '8612', '8', '401');
INSERT INTO public.who_import VALUES (63693, '2020-07-18', 'MK', 'North Macedonia', 'EURO', '174', '8786', '5', '406');
INSERT INTO public.who_import VALUES (63694, '2020-07-19', 'MK', 'North Macedonia', 'EURO', '240', '9026', '8', '414');
INSERT INTO public.who_import VALUES (63695, '2020-07-20', 'MK', 'North Macedonia', 'EURO', '127', '9153', '8', '422');
INSERT INTO public.who_import VALUES (63696, '2020-07-21', 'MK', 'North Macedonia', 'EURO', '96', '9249', '10', '432');
INSERT INTO public.who_import VALUES (63697, '2020-07-22', 'MK', 'North Macedonia', 'EURO', '163', '9412', '0', '432');
INSERT INTO public.who_import VALUES (63698, '2020-07-23', 'MK', 'North Macedonia', 'EURO', '135', '9547', '10', '442');
INSERT INTO public.who_import VALUES (63699, '2020-07-24', 'MK', 'North Macedonia', 'EURO', '121', '9668', '3', '445');
INSERT INTO public.who_import VALUES (63700, '2020-07-25', 'MK', 'North Macedonia', 'EURO', '129', '9797', '6', '451');
INSERT INTO public.who_import VALUES (63701, '2020-07-26', 'MK', 'North Macedonia', 'EURO', '137', '9934', '9', '460');
INSERT INTO public.who_import VALUES (63702, '2020-07-27', 'MK', 'North Macedonia', 'EURO', '152', '10086', '0', '460');
INSERT INTO public.who_import VALUES (63703, '2020-07-28', 'MK', 'North Macedonia', 'EURO', '127', '10213', '6', '466');
INSERT INTO public.who_import VALUES (63704, '2020-07-29', 'MK', 'North Macedonia', 'EURO', '102', '10315', '5', '471');
INSERT INTO public.who_import VALUES (63705, '2020-07-30', 'MK', 'North Macedonia', 'EURO', '185', '10500', '5', '476');
INSERT INTO public.who_import VALUES (63706, '2020-07-31', 'MK', 'North Macedonia', 'EURO', '117', '10617', '4', '480');
INSERT INTO public.who_import VALUES (63707, '2020-08-01', 'MK', 'North Macedonia', 'EURO', '145', '10762', '6', '486');
INSERT INTO public.who_import VALUES (63708, '2020-08-02', 'MK', 'North Macedonia', 'EURO', '138', '10900', '7', '493');
INSERT INTO public.who_import VALUES (63709, '2020-08-03', 'MK', 'North Macedonia', 'EURO', '166', '11066', '4', '497');
INSERT INTO public.who_import VALUES (63710, '2020-08-04', 'MK', 'North Macedonia', 'EURO', '74', '11140', '3', '500');
INSERT INTO public.who_import VALUES (63711, '2020-08-05', 'MK', 'North Macedonia', 'EURO', '61', '11201', '5', '505');
INSERT INTO public.who_import VALUES (63712, '2020-08-06', 'MK', 'North Macedonia', 'EURO', '88', '11289', '6', '511');
INSERT INTO public.who_import VALUES (63713, '2020-08-07', 'MK', 'North Macedonia', 'EURO', '110', '11399', '6', '517');
INSERT INTO public.who_import VALUES (63714, '2020-08-08', 'MK', 'North Macedonia', 'EURO', '172', '11571', '2', '519');
INSERT INTO public.who_import VALUES (63715, '2020-08-09', 'MK', 'North Macedonia', 'EURO', '200', '11771', '4', '523');
INSERT INTO public.who_import VALUES (63716, '2020-08-10', 'MK', 'North Macedonia', 'EURO', '85', '11856', '4', '527');
INSERT INTO public.who_import VALUES (63717, '2020-08-11', 'MK', 'North Macedonia', 'EURO', '109', '11965', '1', '528');
INSERT INTO public.who_import VALUES (63718, '2020-08-12', 'MK', 'North Macedonia', 'EURO', '141', '12106', '1', '529');
INSERT INTO public.who_import VALUES (63719, '2020-08-13', 'MK', 'North Macedonia', 'EURO', '139', '12245', '1', '530');
INSERT INTO public.who_import VALUES (63720, '2020-08-14', 'MK', 'North Macedonia', 'EURO', '141', '12386', '2', '532');
INSERT INTO public.who_import VALUES (63721, '2020-08-15', 'MK', 'North Macedonia', 'EURO', '0', '12386', '0', '532');
INSERT INTO public.who_import VALUES (63722, '2020-08-16', 'MK', 'North Macedonia', 'EURO', '160', '12546', '3', '535');
INSERT INTO public.who_import VALUES (63723, '2020-08-17', 'MK', 'North Macedonia', 'EURO', '193', '12739', '9', '544');
INSERT INTO public.who_import VALUES (63724, '2020-08-18', 'MK', 'North Macedonia', 'EURO', '101', '12840', '3', '547');
INSERT INTO public.who_import VALUES (63725, '2020-08-19', 'MK', 'North Macedonia', 'EURO', '130', '12970', '2', '549');
INSERT INTO public.who_import VALUES (63726, '2020-08-20', 'MK', 'North Macedonia', 'EURO', '106', '13076', '2', '551');
INSERT INTO public.who_import VALUES (63727, '2020-08-21', 'MK', 'North Macedonia', 'EURO', '118', '13194', '3', '554');
INSERT INTO public.who_import VALUES (63728, '2020-08-22', 'MK', 'North Macedonia', 'EURO', '114', '13308', '3', '557');
INSERT INTO public.who_import VALUES (63729, '2020-08-23', 'MK', 'North Macedonia', 'EURO', '0', '13308', '0', '557');
INSERT INTO public.who_import VALUES (63730, '2020-08-24', 'MK', 'North Macedonia', 'EURO', '287', '13595', '7', '564');
INSERT INTO public.who_import VALUES (63731, '2020-08-25', 'MK', 'North Macedonia', 'EURO', '78', '13673', '4', '568');
INSERT INTO public.who_import VALUES (63732, '2020-08-26', 'MK', 'North Macedonia', 'EURO', '126', '13799', '5', '573');
INSERT INTO public.who_import VALUES (63733, '2020-08-27', 'MK', 'North Macedonia', 'EURO', '115', '13914', '5', '578');
INSERT INTO public.who_import VALUES (63734, '2020-08-28', 'MK', 'North Macedonia', 'EURO', '90', '14004', '7', '585');
INSERT INTO public.who_import VALUES (63735, '2020-08-29', 'MK', 'North Macedonia', 'EURO', '159', '14163', '5', '590');
INSERT INTO public.who_import VALUES (63736, '2020-08-30', 'MK', 'North Macedonia', 'EURO', '130', '14293', '6', '596');
INSERT INTO public.who_import VALUES (63737, '2020-08-31', 'MK', 'North Macedonia', 'EURO', '37', '14330', '4', '600');
INSERT INTO public.who_import VALUES (63738, '2020-09-01', 'MK', 'North Macedonia', 'EURO', '11', '14341', '3', '603');
INSERT INTO public.who_import VALUES (63739, '2020-09-02', 'MK', 'North Macedonia', 'EURO', '114', '14455', '1', '604');
INSERT INTO public.who_import VALUES (63740, '2020-09-03', 'MK', 'North Macedonia', 'EURO', '145', '14600', '2', '606');
INSERT INTO public.who_import VALUES (63741, '2020-09-04', 'MK', 'North Macedonia', 'EURO', '162', '14762', '0', '606');
INSERT INTO public.who_import VALUES (63742, '2020-09-05', 'MK', 'North Macedonia', 'EURO', '109', '14871', '3', '609');
INSERT INTO public.who_import VALUES (63743, '2020-09-06', 'MK', 'North Macedonia', 'EURO', '127', '14998', '5', '614');
INSERT INTO public.who_import VALUES (63744, '2020-09-07', 'MK', 'North Macedonia', 'EURO', '92', '15090', '3', '617');
INSERT INTO public.who_import VALUES (63745, '2020-09-08', 'MK', 'North Macedonia', 'EURO', '37', '15127', '6', '623');
INSERT INTO public.who_import VALUES (63746, '2020-09-09', 'MK', 'North Macedonia', 'EURO', '99', '15226', '8', '631');
INSERT INTO public.who_import VALUES (63747, '2020-09-10', 'MK', 'North Macedonia', 'EURO', '67', '15293', '3', '634');
INSERT INTO public.who_import VALUES (63748, '2020-09-11', 'MK', 'North Macedonia', 'EURO', '121', '15414', '3', '637');
INSERT INTO public.who_import VALUES (63749, '2020-09-12', 'MK', 'North Macedonia', 'EURO', '141', '15555', '5', '642');
INSERT INTO public.who_import VALUES (63750, '2020-09-13', 'MK', 'North Macedonia', 'EURO', '139', '15694', '4', '646');
INSERT INTO public.who_import VALUES (63751, '2020-09-14', 'MK', 'North Macedonia', 'EURO', '97', '15791', '2', '648');
INSERT INTO public.who_import VALUES (63752, '2020-09-15', 'MK', 'North Macedonia', 'EURO', '36', '15827', '4', '652');
INSERT INTO public.who_import VALUES (63753, '2020-09-16', 'MK', 'North Macedonia', 'EURO', '98', '15925', '9', '661');
INSERT INTO public.who_import VALUES (63754, '2020-09-17', 'MK', 'North Macedonia', 'EURO', '163', '16088', '7', '668');
INSERT INTO public.who_import VALUES (63755, '2020-09-18', 'MK', 'North Macedonia', 'EURO', '186', '16274', '7', '675');
INSERT INTO public.who_import VALUES (63756, '2020-09-19', 'MK', 'North Macedonia', 'EURO', '143', '16417', '8', '683');
INSERT INTO public.who_import VALUES (63757, '2020-09-20', 'MK', 'North Macedonia', 'EURO', '140', '16557', '6', '689');
INSERT INTO public.who_import VALUES (63758, '2020-09-21', 'MK', 'North Macedonia', 'EURO', '178', '16735', '4', '693');
INSERT INTO public.who_import VALUES (63759, '2020-09-22', 'MK', 'North Macedonia', 'EURO', '45', '16780', '7', '700');
INSERT INTO public.who_import VALUES (63760, '2020-09-23', 'MK', 'North Macedonia', 'EURO', '87', '16867', '5', '705');
INSERT INTO public.who_import VALUES (63761, '2020-09-24', 'MK', 'North Macedonia', 'EURO', '182', '17049', '5', '710');
INSERT INTO public.who_import VALUES (63762, '2020-09-25', 'MK', 'North Macedonia', 'EURO', '151', '17200', '2', '712');
INSERT INTO public.who_import VALUES (63763, '2020-09-26', 'MK', 'North Macedonia', 'EURO', '143', '17343', '9', '721');
INSERT INTO public.who_import VALUES (63764, '2020-09-27', 'MK', 'North Macedonia', 'EURO', '0', '17343', '0', '721');
INSERT INTO public.who_import VALUES (63765, '2020-09-28', 'MK', 'North Macedonia', 'EURO', '286', '17629', '4', '725');
INSERT INTO public.who_import VALUES (63766, '2020-09-29', 'MK', 'North Macedonia', 'EURO', '45', '17674', '4', '729');
INSERT INTO public.who_import VALUES (63767, '2020-09-30', 'MK', 'North Macedonia', 'EURO', '112', '17786', '8', '737');
INSERT INTO public.who_import VALUES (63768, '2020-10-01', 'MK', 'North Macedonia', 'EURO', '191', '17977', '2', '739');
INSERT INTO public.who_import VALUES (63769, '2020-10-02', 'MK', 'North Macedonia', 'EURO', '161', '18138', '4', '743');
INSERT INTO public.who_import VALUES (63770, '2020-10-03', 'MK', 'North Macedonia', 'EURO', '225', '18363', '6', '749');
INSERT INTO public.who_import VALUES (63771, '2020-10-04', 'MK', 'North Macedonia', 'EURO', '239', '18602', '4', '753');
INSERT INTO public.who_import VALUES (63772, '2020-10-05', 'MK', 'North Macedonia', 'EURO', '188', '18790', '3', '756');
INSERT INTO public.who_import VALUES (63773, '2020-10-06', 'MK', 'North Macedonia', 'EURO', '83', '18873', '4', '760');
INSERT INTO public.who_import VALUES (63774, '2020-10-07', 'MK', 'North Macedonia', 'EURO', '223', '19096', '8', '768');
INSERT INTO public.who_import VALUES (63775, '2020-10-08', 'MK', 'North Macedonia', 'EURO', '317', '19413', '4', '772');
INSERT INTO public.who_import VALUES (63776, '2020-10-09', 'MK', 'North Macedonia', 'EURO', '364', '19777', '3', '775');
INSERT INTO public.who_import VALUES (63777, '2020-10-10', 'MK', 'North Macedonia', 'EURO', '386', '20163', '6', '781');
INSERT INTO public.who_import VALUES (63778, '2020-10-11', 'MK', 'North Macedonia', 'EURO', '392', '20555', '4', '785');
INSERT INTO public.who_import VALUES (63779, '2020-10-12', 'MK', 'North Macedonia', 'EURO', '382', '20937', '7', '792');
INSERT INTO public.who_import VALUES (63780, '2020-10-13', 'MK', 'North Macedonia', 'EURO', '176', '21113', '5', '797');
INSERT INTO public.who_import VALUES (63781, '2020-10-14', 'MK', 'North Macedonia', 'EURO', '80', '21193', '3', '800');
INSERT INTO public.who_import VALUES (63782, '2020-10-15', 'MK', 'North Macedonia', 'EURO', '443', '21636', '9', '809');
INSERT INTO public.who_import VALUES (63783, '2020-10-16', 'MK', 'North Macedonia', 'EURO', '534', '22170', '6', '815');
INSERT INTO public.who_import VALUES (63784, '2020-10-17', 'MK', 'North Macedonia', 'EURO', '437', '22607', '6', '821');
INSERT INTO public.who_import VALUES (63785, '2020-10-18', 'MK', 'North Macedonia', 'EURO', '594', '23201', '3', '824');
INSERT INTO public.who_import VALUES (63786, '2020-10-19', 'MK', 'North Macedonia', 'EURO', '427', '23628', '10', '834');
INSERT INTO public.who_import VALUES (63787, '2020-10-20', 'MK', 'North Macedonia', 'EURO', '160', '23788', '12', '846');
INSERT INTO public.who_import VALUES (63788, '2020-10-21', 'MK', 'North Macedonia', 'EURO', '408', '24196', '4', '850');
INSERT INTO public.who_import VALUES (63789, '2020-10-22', 'MK', 'North Macedonia', 'EURO', '640', '24836', '12', '862');
INSERT INTO public.who_import VALUES (63790, '2020-10-23', 'MK', 'North Macedonia', 'EURO', '637', '25473', '12', '874');
INSERT INTO public.who_import VALUES (63791, '2020-10-24', 'MK', 'North Macedonia', 'EURO', '518', '25991', '9', '883');
INSERT INTO public.who_import VALUES (63792, '2020-10-25', 'MK', 'North Macedonia', 'EURO', '403', '26394', '14', '897');
INSERT INTO public.who_import VALUES (63793, '2020-10-26', 'MK', 'North Macedonia', 'EURO', '560', '26954', '22', '919');
INSERT INTO public.who_import VALUES (63794, '2020-10-27', 'MK', 'North Macedonia', 'EURO', '245', '27199', '15', '934');
INSERT INTO public.who_import VALUES (63795, '2020-10-28', 'MK', 'North Macedonia', 'EURO', '628', '27827', '15', '949');
INSERT INTO public.who_import VALUES (63796, '2020-10-29', 'MK', 'North Macedonia', 'EURO', '870', '28697', '14', '963');
INSERT INTO public.who_import VALUES (63797, '2020-10-30', 'MK', 'North Macedonia', 'EURO', '861', '29558', '14', '977');
INSERT INTO public.who_import VALUES (63798, '2020-10-31', 'MK', 'North Macedonia', 'EURO', '930', '30488', '5', '982');
INSERT INTO public.who_import VALUES (63799, '2020-11-01', 'MK', 'North Macedonia', 'EURO', '1089', '31577', '12', '994');
INSERT INTO public.who_import VALUES (63800, '2020-11-02', 'MK', 'North Macedonia', 'EURO', '859', '32436', '10', '1004');
INSERT INTO public.who_import VALUES (63801, '2020-11-03', 'MK', 'North Macedonia', 'EURO', '561', '32997', '21', '1025');
INSERT INTO public.who_import VALUES (63802, '2020-11-04', 'MK', 'North Macedonia', 'EURO', '911', '33908', '24', '1049');
INSERT INTO public.who_import VALUES (63803, '2020-11-05', 'MK', 'North Macedonia', 'EURO', '1189', '35097', '22', '1071');
INSERT INTO public.who_import VALUES (63804, '2020-11-06', 'MK', 'North Macedonia', 'EURO', '1275', '36372', '13', '1084');
INSERT INTO public.who_import VALUES (63805, '2020-11-07', 'MK', 'North Macedonia', 'EURO', '1127', '37499', '12', '1096');
INSERT INTO public.who_import VALUES (63806, '2020-11-08', 'MK', 'North Macedonia', 'EURO', '1283', '38782', '14', '1110');
INSERT INTO public.who_import VALUES (63807, '2020-11-09', 'MK', 'North Macedonia', 'EURO', '978', '39760', '26', '1136');
INSERT INTO public.who_import VALUES (63808, '2020-11-10', 'MK', 'North Macedonia', 'EURO', '515', '40275', '20', '1156');
INSERT INTO public.who_import VALUES (63809, '2020-11-11', 'MK', 'North Macedonia', 'EURO', '947', '41222', '30', '1186');
INSERT INTO public.who_import VALUES (63810, '2020-11-12', 'MK', 'North Macedonia', 'EURO', '1318', '42540', '26', '1212');
INSERT INTO public.who_import VALUES (63811, '2020-11-13', 'MK', 'North Macedonia', 'EURO', '1295', '43835', '26', '1238');
INSERT INTO public.who_import VALUES (63812, '2020-11-14', 'MK', 'North Macedonia', 'EURO', '1063', '44898', '25', '1263');
INSERT INTO public.who_import VALUES (63813, '2020-11-15', 'MK', 'North Macedonia', 'EURO', '1164', '46062', '18', '1281');
INSERT INTO public.who_import VALUES (63814, '2020-11-16', 'MK', 'North Macedonia', 'EURO', '988', '47050', '24', '1305');
INSERT INTO public.who_import VALUES (63815, '2020-11-17', 'MK', 'North Macedonia', 'EURO', '586', '47636', '40', '1345');
INSERT INTO public.who_import VALUES (63816, '2020-11-18', 'MK', 'North Macedonia', 'EURO', '977', '48613', '31', '1376');
INSERT INTO public.who_import VALUES (63817, '2020-11-19', 'MK', 'North Macedonia', 'EURO', '1402', '50015', '21', '1397');
INSERT INTO public.who_import VALUES (63818, '2020-11-20', 'MK', 'North Macedonia', 'EURO', '1198', '51213', '26', '1423');
INSERT INTO public.who_import VALUES (63819, '2020-11-21', 'MK', 'North Macedonia', 'EURO', '1236', '52449', '39', '1462');
INSERT INTO public.who_import VALUES (63820, '2020-11-22', 'MK', 'North Macedonia', 'EURO', '1182', '53631', '25', '1487');
INSERT INTO public.who_import VALUES (63821, '2020-11-23', 'MK', 'North Macedonia', 'EURO', '1112', '54743', '24', '1511');
INSERT INTO public.who_import VALUES (63822, '2020-11-24', 'MK', 'North Macedonia', 'EURO', '384', '55127', '35', '1546');
INSERT INTO public.who_import VALUES (63823, '2020-11-25', 'MK', 'North Macedonia', 'EURO', '1037', '56164', '15', '1561');
INSERT INTO public.who_import VALUES (63824, '2020-11-26', 'MK', 'North Macedonia', 'EURO', '1287', '57451', '39', '1600');
INSERT INTO public.who_import VALUES (63825, '2020-11-27', 'MK', 'North Macedonia', 'EURO', '1157', '58608', '30', '1630');
INSERT INTO public.who_import VALUES (63826, '2020-11-28', 'MK', 'North Macedonia', 'EURO', '1093', '59701', '28', '1658');
INSERT INTO public.who_import VALUES (63827, '2020-11-29', 'MK', 'North Macedonia', 'EURO', '1022', '60723', '41', '1699');
INSERT INTO public.who_import VALUES (63828, '2020-11-30', 'MK', 'North Macedonia', 'EURO', '820', '61543', '32', '1731');
INSERT INTO public.who_import VALUES (63829, '2020-12-01', 'MK', 'North Macedonia', 'EURO', '335', '61878', '32', '1763');
INSERT INTO public.who_import VALUES (63830, '2020-12-02', 'MK', 'North Macedonia', 'EURO', '1067', '62945', '29', '1792');
INSERT INTO public.who_import VALUES (63831, '2020-12-03', 'MK', 'North Macedonia', 'EURO', '945', '63890', '33', '1825');
INSERT INTO public.who_import VALUES (63832, '2020-12-04', 'MK', 'North Macedonia', 'EURO', '1341', '65231', '22', '1847');
INSERT INTO public.who_import VALUES (63833, '2020-12-05', 'MK', 'North Macedonia', 'EURO', '1099', '66330', '30', '1877');
INSERT INTO public.who_import VALUES (63834, '2020-12-06', 'MK', 'North Macedonia', 'EURO', '981', '67311', '24', '1901');
INSERT INTO public.who_import VALUES (63835, '2020-12-07', 'MK', 'North Macedonia', 'EURO', '657', '67968', '23', '1924');
INSERT INTO public.who_import VALUES (63836, '2020-12-08', 'MK', 'North Macedonia', 'EURO', '364', '68332', '25', '1949');
INSERT INTO public.who_import VALUES (63837, '2020-12-09', 'MK', 'North Macedonia', 'EURO', '1120', '69452', '28', '1977');
INSERT INTO public.who_import VALUES (63838, '2020-12-10', 'MK', 'North Macedonia', 'EURO', '502', '69954', '46', '2023');
INSERT INTO public.who_import VALUES (63839, '2020-12-11', 'MK', 'North Macedonia', 'EURO', '929', '70883', '28', '2051');
INSERT INTO public.who_import VALUES (63840, '2020-12-12', 'MK', 'North Macedonia', 'EURO', '1161', '72044', '26', '2077');
INSERT INTO public.who_import VALUES (63841, '2020-12-13', 'MK', 'North Macedonia', 'EURO', '1043', '73087', '19', '2096');
INSERT INTO public.who_import VALUES (63842, '2020-12-14', 'MK', 'North Macedonia', 'EURO', '551', '73638', '25', '2121');
INSERT INTO public.who_import VALUES (63843, '2020-12-15', 'MK', 'North Macedonia', 'EURO', '213', '73851', '26', '2147');
INSERT INTO public.who_import VALUES (63844, '2020-12-16', 'MK', 'North Macedonia', 'EURO', '881', '74732', '22', '2169');
INSERT INTO public.who_import VALUES (63845, '2020-12-17', 'MK', 'North Macedonia', 'EURO', '865', '75597', '25', '2194');
INSERT INTO public.who_import VALUES (63846, '2020-12-18', 'MK', 'North Macedonia', 'EURO', '654', '76251', '31', '2225');
INSERT INTO public.who_import VALUES (63847, '2020-12-19', 'MK', 'North Macedonia', 'EURO', '883', '77134', '29', '2254');
INSERT INTO public.who_import VALUES (63848, '2020-12-20', 'MK', 'North Macedonia', 'EURO', '815', '77949', '20', '2274');
INSERT INTO public.who_import VALUES (63849, '2020-12-21', 'MK', 'North Macedonia', 'EURO', '356', '78305', '18', '2292');
INSERT INTO public.who_import VALUES (63850, '2020-12-22', 'MK', 'North Macedonia', 'EURO', '129', '78434', '22', '2314');
INSERT INTO public.who_import VALUES (63851, '2020-12-23', 'MK', 'North Macedonia', 'EURO', '756', '79190', '26', '2340');
INSERT INTO public.who_import VALUES (63852, '2020-12-24', 'MK', 'North Macedonia', 'EURO', '625', '79815', '14', '2354');
INSERT INTO public.who_import VALUES (63853, '2020-12-25', 'MK', 'North Macedonia', 'EURO', '592', '80407', '21', '2375');
INSERT INTO public.who_import VALUES (63854, '2020-12-26', 'MK', 'North Macedonia', 'EURO', '489', '80896', '26', '2401');
INSERT INTO public.who_import VALUES (63855, '2020-12-27', 'MK', 'North Macedonia', 'EURO', '529', '81425', '26', '2427');
INSERT INTO public.who_import VALUES (63856, '2020-12-28', 'MK', 'North Macedonia', 'EURO', '296', '81721', '18', '2445');
INSERT INTO public.who_import VALUES (63857, '2020-12-29', 'MK', 'North Macedonia', 'EURO', '83', '81804', '11', '2456');
INSERT INTO public.who_import VALUES (63858, '2020-12-30', 'MK', 'North Macedonia', 'EURO', '497', '82301', '17', '2473');
INSERT INTO public.who_import VALUES (63859, '2020-12-31', 'MK', 'North Macedonia', 'EURO', '493', '82794', '15', '2488');
INSERT INTO public.who_import VALUES (63860, '2021-01-01', 'MK', 'North Macedonia', 'EURO', '535', '83329', '15', '2503');
INSERT INTO public.who_import VALUES (63861, '2021-01-02', 'MK', 'North Macedonia', 'EURO', '414', '83743', '7', '2510');
INSERT INTO public.who_import VALUES (63862, '2021-01-03', 'MK', 'North Macedonia', 'EURO', '46', '83789', '12', '2522');
INSERT INTO public.who_import VALUES (63863, '2021-01-04', 'MK', 'North Macedonia', 'EURO', '235', '84024', '8', '2530');
INSERT INTO public.who_import VALUES (63864, '2021-01-05', 'MK', 'North Macedonia', 'EURO', '105', '84129', '20', '2550');
INSERT INTO public.who_import VALUES (63865, '2021-01-06', 'MK', 'North Macedonia', 'EURO', '580', '84709', '9', '2559');
INSERT INTO public.who_import VALUES (63866, '2021-01-07', 'MK', 'North Macedonia', 'EURO', '619', '85328', '12', '2571');
INSERT INTO public.who_import VALUES (63867, '2021-01-08', 'MK', 'North Macedonia', 'EURO', '166', '85494', '10', '2581');
INSERT INTO public.who_import VALUES (63868, '2021-01-09', 'MK', 'North Macedonia', 'EURO', '100', '85594', '11', '2592');
INSERT INTO public.who_import VALUES (63869, '2021-01-10', 'MK', 'North Macedonia', 'EURO', '556', '86150', '22', '2614');
INSERT INTO public.who_import VALUES (63870, '2021-01-11', 'MK', 'North Macedonia', 'EURO', '344', '86494', '8', '2622');
INSERT INTO public.who_import VALUES (63871, '2021-01-12', 'MK', 'North Macedonia', 'EURO', '103', '86597', '13', '2635');
INSERT INTO public.who_import VALUES (63872, '2021-01-13', 'MK', 'North Macedonia', 'EURO', '520', '87117', '12', '2647');
INSERT INTO public.who_import VALUES (63873, '2021-01-14', 'MK', 'North Macedonia', 'EURO', '473', '87590', '10', '2657');
INSERT INTO public.who_import VALUES (63874, '2021-01-15', 'MK', 'North Macedonia', 'EURO', '396', '87986', '15', '2672');
INSERT INTO public.who_import VALUES (63875, '2021-01-16', 'MK', 'North Macedonia', 'EURO', '403', '88389', '10', '2682');
INSERT INTO public.who_import VALUES (63876, '2021-01-17', 'MK', 'North Macedonia', 'EURO', '360', '88749', '14', '2696');
INSERT INTO public.who_import VALUES (63877, '2021-01-18', 'MK', 'North Macedonia', 'EURO', '189', '88938', '6', '2702');
INSERT INTO public.who_import VALUES (63878, '2021-01-19', 'MK', 'North Macedonia', 'EURO', '54', '88992', '13', '2715');
INSERT INTO public.who_import VALUES (63879, '2021-01-20', 'MK', 'North Macedonia', 'EURO', '400', '89392', '11', '2726');
INSERT INTO public.who_import VALUES (63880, '2021-01-21', 'MK', 'North Macedonia', 'EURO', '71', '89463', '13', '2739');
INSERT INTO public.who_import VALUES (63881, '2021-01-22', 'MK', 'North Macedonia', 'EURO', '354', '89817', '15', '2754');
INSERT INTO public.who_import VALUES (63882, '2021-01-23', 'MK', 'North Macedonia', 'EURO', '307', '90124', '14', '2768');
INSERT INTO public.who_import VALUES (63883, '2021-01-24', 'MK', 'North Macedonia', 'EURO', '347', '90471', '11', '2779');
INSERT INTO public.who_import VALUES (63884, '2021-01-25', 'MK', 'North Macedonia', 'EURO', '183', '90654', '6', '2785');
INSERT INTO public.who_import VALUES (63885, '2021-01-26', 'MK', 'North Macedonia', 'EURO', '63', '90717', '6', '2791');
INSERT INTO public.who_import VALUES (63886, '2021-01-27', 'MK', 'North Macedonia', 'EURO', '444', '91161', '21', '2812');
INSERT INTO public.who_import VALUES (63887, '2021-01-28', 'MK', 'North Macedonia', 'EURO', '394', '91555', '9', '2821');
INSERT INTO public.who_import VALUES (63888, '2021-01-29', 'MK', 'North Macedonia', 'EURO', '336', '91891', '10', '2831');
INSERT INTO public.who_import VALUES (63889, '2021-01-30', 'MK', 'North Macedonia', 'EURO', '302', '92193', '10', '2841');
INSERT INTO public.who_import VALUES (63890, '2021-01-31', 'MK', 'North Macedonia', 'EURO', '325', '92518', '7', '2848');
INSERT INTO public.who_import VALUES (63891, '2021-02-01', 'MK', 'North Macedonia', 'EURO', '175', '92693', '7', '2855');
INSERT INTO public.who_import VALUES (63892, '2021-02-02', 'MK', 'North Macedonia', 'EURO', '60', '92753', '11', '2866');
INSERT INTO public.who_import VALUES (63893, '2021-02-03', 'MK', 'North Macedonia', 'EURO', '407', '93160', '7', '2873');
INSERT INTO public.who_import VALUES (63894, '2021-02-04', 'MK', 'North Macedonia', 'EURO', '350', '93510', '20', '2893');
INSERT INTO public.who_import VALUES (63895, '2021-02-05', 'MK', 'North Macedonia', 'EURO', '372', '93882', '7', '2900');
INSERT INTO public.who_import VALUES (63896, '2021-02-06', 'MK', 'North Macedonia', 'EURO', '314', '94196', '8', '2908');
INSERT INTO public.who_import VALUES (63897, '2021-02-07', 'MK', 'North Macedonia', 'EURO', '403', '94599', '8', '2916');
INSERT INTO public.who_import VALUES (63898, '2021-02-08', 'MK', 'North Macedonia', 'EURO', '199', '94798', '8', '2924');
INSERT INTO public.who_import VALUES (63899, '2021-02-09', 'MK', 'North Macedonia', 'EURO', '73', '94871', '22', '2946');
INSERT INTO public.who_import VALUES (63900, '2021-02-10', 'MK', 'North Macedonia', 'EURO', '476', '95347', '9', '2955');
INSERT INTO public.who_import VALUES (63901, '2021-02-11', 'MK', 'North Macedonia', 'EURO', '389', '95736', '4', '2959');
INSERT INTO public.who_import VALUES (63902, '2021-02-12', 'MK', 'North Macedonia', 'EURO', '416', '96152', '7', '2966');
INSERT INTO public.who_import VALUES (63903, '2021-02-13', 'MK', 'North Macedonia', 'EURO', '366', '96518', '5', '2971');
INSERT INTO public.who_import VALUES (63904, '2021-02-14', 'MK', 'North Macedonia', 'EURO', '354', '96872', '5', '2976');
INSERT INTO public.who_import VALUES (63905, '2021-02-15', 'MK', 'North Macedonia', 'EURO', '180', '97052', '13', '2989');
INSERT INTO public.who_import VALUES (63906, '2021-02-16', 'MK', 'North Macedonia', 'EURO', '49', '97101', '9', '2998');
INSERT INTO public.who_import VALUES (63907, '2021-02-17', 'MK', 'North Macedonia', 'EURO', '355', '97456', '5', '3003');
INSERT INTO public.who_import VALUES (63908, '2021-02-18', 'MK', 'North Macedonia', 'EURO', '347', '97803', '7', '3010');
INSERT INTO public.who_import VALUES (63909, '2021-02-19', 'MK', 'North Macedonia', 'EURO', '371', '98174', '8', '3018');
INSERT INTO public.who_import VALUES (63910, '2021-02-20', 'MK', 'North Macedonia', 'EURO', '410', '98584', '19', '3037');
INSERT INTO public.who_import VALUES (63911, '2020-01-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63912, '2020-01-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63913, '2020-01-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63914, '2020-01-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63915, '2020-01-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63916, '2020-01-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63917, '2020-01-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63918, '2020-01-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63919, '2020-01-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63920, '2020-01-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63921, '2020-01-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63922, '2020-01-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63923, '2020-01-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63924, '2020-01-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63925, '2020-01-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63926, '2020-01-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63927, '2020-01-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63928, '2020-01-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63929, '2020-01-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63930, '2020-01-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63931, '2020-01-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63932, '2020-01-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63933, '2020-01-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63934, '2020-01-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63935, '2020-01-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63936, '2020-01-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63937, '2020-01-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63938, '2020-01-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63939, '2020-01-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63940, '2020-02-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63941, '2020-02-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63942, '2020-02-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63943, '2020-02-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63944, '2020-02-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63945, '2020-02-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63946, '2020-02-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63947, '2020-02-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63948, '2020-02-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63949, '2020-02-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63950, '2020-02-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63951, '2020-02-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63952, '2020-02-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63953, '2020-02-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63954, '2020-02-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63955, '2020-02-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63956, '2020-02-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63957, '2020-02-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63958, '2020-02-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63959, '2020-02-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63960, '2020-02-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63961, '2020-02-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63962, '2020-02-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63963, '2020-02-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63964, '2020-02-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63965, '2020-02-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63966, '2020-02-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63967, '2020-02-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63968, '2020-02-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63969, '2020-03-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63970, '2020-03-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63971, '2020-03-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63972, '2020-03-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63973, '2020-03-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63974, '2020-03-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63975, '2020-03-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63976, '2020-03-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63977, '2020-03-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63978, '2020-03-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63979, '2020-03-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63980, '2020-03-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63981, '2020-03-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63982, '2020-03-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63983, '2020-03-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63984, '2020-03-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63985, '2020-03-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63986, '2020-03-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63987, '2020-03-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63988, '2020-03-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63989, '2020-03-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63990, '2020-03-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63991, '2020-03-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63992, '2020-03-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63993, '2020-03-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63994, '2020-03-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63995, '2020-03-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63996, '2020-03-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (63997, '2020-03-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (63998, '2020-03-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (63999, '2020-03-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (64000, '2020-04-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '4', '6', '0', '0');
INSERT INTO public.who_import VALUES (64001, '2020-04-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (64002, '2020-04-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '8', '1', '1');
INSERT INTO public.who_import VALUES (64003, '2020-04-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (64004, '2020-04-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (64005, '2020-04-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (64006, '2020-04-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (64007, '2020-04-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '11', '1', '2');
INSERT INTO public.who_import VALUES (64008, '2020-04-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '11', '0', '2');
INSERT INTO public.who_import VALUES (64009, '2020-04-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '11', '0', '2');
INSERT INTO public.who_import VALUES (64010, '2020-04-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '11', '0', '2');
INSERT INTO public.who_import VALUES (64011, '2020-04-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '11', '0', '2');
INSERT INTO public.who_import VALUES (64012, '2020-04-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '11', '0', '2');
INSERT INTO public.who_import VALUES (64013, '2020-04-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '11', '0', '2');
INSERT INTO public.who_import VALUES (64014, '2020-04-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '13', '0', '2');
INSERT INTO public.who_import VALUES (64015, '2020-04-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '13', '0', '2');
INSERT INTO public.who_import VALUES (64016, '2020-04-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '13', '0', '2');
INSERT INTO public.who_import VALUES (64017, '2020-04-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '14', '0', '2');
INSERT INTO public.who_import VALUES (64018, '2020-04-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64019, '2020-04-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64020, '2020-04-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64021, '2020-04-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64022, '2020-04-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64023, '2020-04-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64024, '2020-04-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64025, '2020-04-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64026, '2020-04-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64027, '2020-04-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64028, '2020-04-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64029, '2020-04-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64030, '2020-05-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64031, '2020-05-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64032, '2020-05-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64338, '2020-01-15', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64033, '2020-05-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64034, '2020-05-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64035, '2020-05-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (64036, '2020-05-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '15', '0', '2');
INSERT INTO public.who_import VALUES (64037, '2020-05-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '15', '0', '2');
INSERT INTO public.who_import VALUES (64038, '2020-05-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '15', '0', '2');
INSERT INTO public.who_import VALUES (64039, '2020-05-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '16', '0', '2');
INSERT INTO public.who_import VALUES (64040, '2020-05-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '16', '0', '2');
INSERT INTO public.who_import VALUES (64041, '2020-05-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '19', '0', '2');
INSERT INTO public.who_import VALUES (64042, '2020-05-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (64043, '2020-05-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (64044, '2020-05-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (64045, '2020-05-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (64046, '2020-05-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '21', '0', '2');
INSERT INTO public.who_import VALUES (64047, '2020-05-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (64048, '2020-05-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (64049, '2020-05-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (64050, '2020-05-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '21', '0', '2');
INSERT INTO public.who_import VALUES (64051, '2020-05-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '22', '0', '2');
INSERT INTO public.who_import VALUES (64052, '2020-05-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64053, '2020-05-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64054, '2020-05-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64055, '2020-05-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64056, '2020-05-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64057, '2020-05-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64058, '2020-05-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64059, '2020-05-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64060, '2020-05-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64061, '2020-06-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64062, '2020-06-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (64063, '2020-06-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '23', '0', '2');
INSERT INTO public.who_import VALUES (64064, '2020-06-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '24', '0', '2');
INSERT INTO public.who_import VALUES (64065, '2020-06-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '26', '0', '2');
INSERT INTO public.who_import VALUES (64066, '2020-06-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '26', '0', '2');
INSERT INTO public.who_import VALUES (64067, '2020-06-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '26', '0', '2');
INSERT INTO public.who_import VALUES (64068, '2020-06-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '27', '0', '2');
INSERT INTO public.who_import VALUES (64069, '2020-06-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '28', '0', '2');
INSERT INTO public.who_import VALUES (64070, '2020-06-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '30', '0', '2');
INSERT INTO public.who_import VALUES (64071, '2020-06-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64072, '2020-06-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64073, '2020-06-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64074, '2020-06-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64075, '2020-06-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64076, '2020-06-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64077, '2020-06-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64078, '2020-06-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64079, '2020-06-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64080, '2020-06-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64081, '2020-06-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64082, '2020-06-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64083, '2020-06-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64084, '2020-06-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64085, '2020-06-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64086, '2020-06-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64087, '2020-06-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64088, '2020-06-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64089, '2020-06-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64090, '2020-06-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64091, '2020-07-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64092, '2020-07-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '30', '0', '2');
INSERT INTO public.who_import VALUES (64093, '2020-07-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '31', '0', '2');
INSERT INTO public.who_import VALUES (64094, '2020-07-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64095, '2020-07-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64096, '2020-07-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64097, '2020-07-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64098, '2020-07-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64099, '2020-07-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64100, '2020-07-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64101, '2020-07-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (64102, '2020-07-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '33', '0', '2');
INSERT INTO public.who_import VALUES (64103, '2020-07-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (64104, '2020-07-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (64105, '2020-07-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '36', '0', '2');
INSERT INTO public.who_import VALUES (64106, '2020-07-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '36', '0', '2');
INSERT INTO public.who_import VALUES (64107, '2020-07-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '37', '0', '2');
INSERT INTO public.who_import VALUES (64339, '2020-01-16', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64108, '2020-07-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (64109, '2020-07-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (64110, '2020-07-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (64111, '2020-07-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (64112, '2020-07-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '38', '0', '2');
INSERT INTO public.who_import VALUES (64113, '2020-07-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (64114, '2020-07-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (64115, '2020-07-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (64116, '2020-07-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '39', '0', '2');
INSERT INTO public.who_import VALUES (64117, '2020-07-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '40', '0', '2');
INSERT INTO public.who_import VALUES (64118, '2020-07-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (64119, '2020-07-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (64120, '2020-07-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (64121, '2020-07-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '42', '0', '2');
INSERT INTO public.who_import VALUES (64122, '2020-08-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '42', '0', '2');
INSERT INTO public.who_import VALUES (64123, '2020-08-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '44', '0', '2');
INSERT INTO public.who_import VALUES (64124, '2020-08-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '45', '0', '2');
INSERT INTO public.who_import VALUES (64125, '2020-08-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '46', '0', '2');
INSERT INTO public.who_import VALUES (64126, '2020-08-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (64127, '2020-08-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '46', '0', '2');
INSERT INTO public.who_import VALUES (64128, '2020-08-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '47', '0', '2');
INSERT INTO public.who_import VALUES (64129, '2020-08-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '47', '0', '2');
INSERT INTO public.who_import VALUES (64130, '2020-08-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '48', '0', '2');
INSERT INTO public.who_import VALUES (64131, '2020-08-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (64132, '2020-08-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '49', '0', '2');
INSERT INTO public.who_import VALUES (64133, '2020-08-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (64134, '2020-08-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (64135, '2020-08-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '49', '0', '2');
INSERT INTO public.who_import VALUES (64136, '2020-08-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '50', '0', '2');
INSERT INTO public.who_import VALUES (64137, '2020-08-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '50', '0', '2');
INSERT INTO public.who_import VALUES (64138, '2020-08-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '50', '0', '2');
INSERT INTO public.who_import VALUES (64139, '2020-08-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '4', '54', '0', '2');
INSERT INTO public.who_import VALUES (64140, '2020-08-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64141, '2020-08-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64142, '2020-08-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64143, '2020-08-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64144, '2020-08-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64145, '2020-08-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64146, '2020-08-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64147, '2020-08-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64148, '2020-08-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64149, '2020-08-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64150, '2020-08-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '54', '0', '2');
INSERT INTO public.who_import VALUES (64151, '2020-08-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '56', '0', '2');
INSERT INTO public.who_import VALUES (64152, '2020-08-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (64153, '2020-09-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (64154, '2020-09-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '57', '0', '2');
INSERT INTO public.who_import VALUES (64155, '2020-09-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '57', '0', '2');
INSERT INTO public.who_import VALUES (64156, '2020-09-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '57', '0', '2');
INSERT INTO public.who_import VALUES (64157, '2020-09-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '57', '0', '2');
INSERT INTO public.who_import VALUES (64158, '2020-09-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '58', '0', '2');
INSERT INTO public.who_import VALUES (64159, '2020-09-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '58', '0', '2');
INSERT INTO public.who_import VALUES (64160, '2020-09-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '59', '0', '2');
INSERT INTO public.who_import VALUES (64161, '2020-09-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '59', '0', '2');
INSERT INTO public.who_import VALUES (64162, '2020-09-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '59', '0', '2');
INSERT INTO public.who_import VALUES (64163, '2020-09-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '59', '0', '2');
INSERT INTO public.who_import VALUES (64164, '2020-09-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '59', '0', '2');
INSERT INTO public.who_import VALUES (64165, '2020-09-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '60', '0', '2');
INSERT INTO public.who_import VALUES (64166, '2020-09-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '60', '0', '2');
INSERT INTO public.who_import VALUES (64167, '2020-09-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '61', '0', '2');
INSERT INTO public.who_import VALUES (64168, '2020-09-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (64169, '2020-09-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '61', '0', '2');
INSERT INTO public.who_import VALUES (64170, '2020-09-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '62', '0', '2');
INSERT INTO public.who_import VALUES (64171, '2020-09-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '62', '0', '2');
INSERT INTO public.who_import VALUES (64172, '2020-09-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '6', '68', '0', '2');
INSERT INTO public.who_import VALUES (64173, '2020-09-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '68', '0', '2');
INSERT INTO public.who_import VALUES (64174, '2020-09-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '69', '0', '2');
INSERT INTO public.who_import VALUES (64175, '2020-09-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '69', '0', '2');
INSERT INTO public.who_import VALUES (64176, '2020-09-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '69', '0', '2');
INSERT INTO public.who_import VALUES (64177, '2020-09-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '69', '0', '2');
INSERT INTO public.who_import VALUES (64178, '2020-09-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '69', '0', '2');
INSERT INTO public.who_import VALUES (64179, '2020-09-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '70', '0', '2');
INSERT INTO public.who_import VALUES (64180, '2020-09-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '70', '0', '2');
INSERT INTO public.who_import VALUES (64181, '2020-09-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '70', '0', '2');
INSERT INTO public.who_import VALUES (64182, '2020-09-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '70', '0', '2');
INSERT INTO public.who_import VALUES (64340, '2020-01-17', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64183, '2020-10-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '70', '0', '2');
INSERT INTO public.who_import VALUES (64184, '2020-10-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '73', '0', '2');
INSERT INTO public.who_import VALUES (64185, '2020-10-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '73', '0', '2');
INSERT INTO public.who_import VALUES (64186, '2020-10-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '73', '0', '2');
INSERT INTO public.who_import VALUES (64187, '2020-10-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '73', '0', '2');
INSERT INTO public.who_import VALUES (64188, '2020-10-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '75', '0', '2');
INSERT INTO public.who_import VALUES (64189, '2020-10-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '75', '0', '2');
INSERT INTO public.who_import VALUES (64190, '2020-10-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '75', '0', '2');
INSERT INTO public.who_import VALUES (64191, '2020-10-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '75', '0', '2');
INSERT INTO public.who_import VALUES (64192, '2020-10-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '75', '0', '2');
INSERT INTO public.who_import VALUES (64193, '2020-10-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '77', '0', '2');
INSERT INTO public.who_import VALUES (64194, '2020-10-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '77', '0', '2');
INSERT INTO public.who_import VALUES (64195, '2020-10-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '77', '0', '2');
INSERT INTO public.who_import VALUES (64196, '2020-10-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '77', '0', '2');
INSERT INTO public.who_import VALUES (64197, '2020-10-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '77', '0', '2');
INSERT INTO public.who_import VALUES (64198, '2020-10-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '80', '0', '2');
INSERT INTO public.who_import VALUES (64199, '2020-10-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '80', '0', '2');
INSERT INTO public.who_import VALUES (64200, '2020-10-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '6', '86', '0', '2');
INSERT INTO public.who_import VALUES (64201, '2020-10-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '86', '0', '2');
INSERT INTO public.who_import VALUES (64202, '2020-10-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '86', '0', '2');
INSERT INTO public.who_import VALUES (64203, '2020-10-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '88', '0', '2');
INSERT INTO public.who_import VALUES (64204, '2020-10-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '88', '0', '2');
INSERT INTO public.who_import VALUES (64205, '2020-10-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '88', '0', '2');
INSERT INTO public.who_import VALUES (64206, '2020-10-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '88', '0', '2');
INSERT INTO public.who_import VALUES (64207, '2020-10-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '88', '0', '2');
INSERT INTO public.who_import VALUES (64208, '2020-10-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '88', '0', '2');
INSERT INTO public.who_import VALUES (64209, '2020-10-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '4', '92', '0', '2');
INSERT INTO public.who_import VALUES (64210, '2020-10-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '92', '0', '2');
INSERT INTO public.who_import VALUES (64211, '2020-10-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '92', '0', '2');
INSERT INTO public.who_import VALUES (64212, '2020-10-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '92', '0', '2');
INSERT INTO public.who_import VALUES (64213, '2020-10-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '92', '0', '2');
INSERT INTO public.who_import VALUES (64214, '2020-11-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '4', '96', '0', '2');
INSERT INTO public.who_import VALUES (64215, '2020-11-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (64216, '2020-11-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (64217, '2020-11-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (64218, '2020-11-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '96', '0', '2');
INSERT INTO public.who_import VALUES (64219, '2020-11-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '98', '0', '2');
INSERT INTO public.who_import VALUES (64220, '2020-11-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '98', '0', '2');
INSERT INTO public.who_import VALUES (64221, '2020-11-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '98', '0', '2');
INSERT INTO public.who_import VALUES (64222, '2020-11-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '98', '0', '2');
INSERT INTO public.who_import VALUES (64223, '2020-11-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '100', '0', '2');
INSERT INTO public.who_import VALUES (64224, '2020-11-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (64225, '2020-11-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (64226, '2020-11-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (64227, '2020-11-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '100', '0', '2');
INSERT INTO public.who_import VALUES (64228, '2020-11-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '102', '0', '2');
INSERT INTO public.who_import VALUES (64229, '2020-11-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '102', '0', '2');
INSERT INTO public.who_import VALUES (64230, '2020-11-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '103', '0', '2');
INSERT INTO public.who_import VALUES (64231, '2020-11-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '103', '0', '2');
INSERT INTO public.who_import VALUES (64232, '2020-11-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '103', '0', '2');
INSERT INTO public.who_import VALUES (64233, '2020-11-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '103', '0', '2');
INSERT INTO public.who_import VALUES (64234, '2020-11-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '103', '0', '2');
INSERT INTO public.who_import VALUES (64235, '2020-11-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '104', '0', '2');
INSERT INTO public.who_import VALUES (64236, '2020-11-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '104', '0', '2');
INSERT INTO public.who_import VALUES (64237, '2020-11-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '104', '0', '2');
INSERT INTO public.who_import VALUES (64238, '2020-11-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '104', '0', '2');
INSERT INTO public.who_import VALUES (64239, '2020-11-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '104', '0', '2');
INSERT INTO public.who_import VALUES (64240, '2020-11-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '104', '0', '2');
INSERT INTO public.who_import VALUES (64241, '2020-11-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '104', '0', '2');
INSERT INTO public.who_import VALUES (64242, '2020-11-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '105', '0', '2');
INSERT INTO public.who_import VALUES (64243, '2020-11-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '105', '0', '2');
INSERT INTO public.who_import VALUES (64244, '2020-12-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '106', '0', '2');
INSERT INTO public.who_import VALUES (64245, '2020-12-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '106', '0', '2');
INSERT INTO public.who_import VALUES (64246, '2020-12-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '106', '0', '2');
INSERT INTO public.who_import VALUES (64247, '2020-12-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '106', '0', '2');
INSERT INTO public.who_import VALUES (64248, '2020-12-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '106', '0', '2');
INSERT INTO public.who_import VALUES (64249, '2020-12-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '109', '0', '2');
INSERT INTO public.who_import VALUES (64250, '2020-12-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '109', '0', '2');
INSERT INTO public.who_import VALUES (64251, '2020-12-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '111', '0', '2');
INSERT INTO public.who_import VALUES (64252, '2020-12-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '113', '0', '2');
INSERT INTO public.who_import VALUES (64253, '2020-12-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64254, '2020-12-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64255, '2020-12-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64256, '2020-12-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64257, '2020-12-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64341, '2020-01-18', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64258, '2020-12-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64259, '2020-12-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64260, '2020-12-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (64261, '2020-12-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '115', '0', '2');
INSERT INTO public.who_import VALUES (64262, '2020-12-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '115', '0', '2');
INSERT INTO public.who_import VALUES (64263, '2020-12-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '116', '0', '2');
INSERT INTO public.who_import VALUES (64264, '2020-12-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '116', '0', '2');
INSERT INTO public.who_import VALUES (64265, '2020-12-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '116', '0', '2');
INSERT INTO public.who_import VALUES (64266, '2020-12-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '118', '0', '2');
INSERT INTO public.who_import VALUES (64267, '2020-12-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '118', '0', '2');
INSERT INTO public.who_import VALUES (64268, '2020-12-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '4', '122', '0', '2');
INSERT INTO public.who_import VALUES (64269, '2020-12-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64270, '2020-12-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64271, '2020-12-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64272, '2020-12-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64273, '2020-12-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64274, '2020-12-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64275, '2021-01-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64276, '2021-01-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64277, '2021-01-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '122', '0', '2');
INSERT INTO public.who_import VALUES (64278, '2021-01-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '2', '124', '0', '2');
INSERT INTO public.who_import VALUES (64279, '2021-01-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '125', '0', '2');
INSERT INTO public.who_import VALUES (64280, '2021-01-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '125', '0', '2');
INSERT INTO public.who_import VALUES (64281, '2021-01-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '125', '0', '2');
INSERT INTO public.who_import VALUES (64282, '2021-01-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '125', '0', '2');
INSERT INTO public.who_import VALUES (64283, '2021-01-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '125', '0', '2');
INSERT INTO public.who_import VALUES (64284, '2021-01-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '125', '0', '2');
INSERT INTO public.who_import VALUES (64285, '2021-01-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '125', '0', '2');
INSERT INTO public.who_import VALUES (64286, '2021-01-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '128', '0', '2');
INSERT INTO public.who_import VALUES (64287, '2021-01-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '128', '0', '2');
INSERT INTO public.who_import VALUES (64288, '2021-01-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '128', '0', '2');
INSERT INTO public.who_import VALUES (64289, '2021-01-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '128', '0', '2');
INSERT INTO public.who_import VALUES (64290, '2021-01-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '128', '0', '2');
INSERT INTO public.who_import VALUES (64291, '2021-01-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '128', '0', '2');
INSERT INTO public.who_import VALUES (64292, '2021-01-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '129', '0', '2');
INSERT INTO public.who_import VALUES (64293, '2021-01-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '129', '0', '2');
INSERT INTO public.who_import VALUES (64294, '2021-01-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '129', '0', '2');
INSERT INTO public.who_import VALUES (64295, '2021-01-21', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '129', '0', '2');
INSERT INTO public.who_import VALUES (64296, '2021-01-22', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '129', '0', '2');
INSERT INTO public.who_import VALUES (64297, '2021-01-23', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '129', '0', '2');
INSERT INTO public.who_import VALUES (64298, '2021-01-24', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '3', '132', '0', '2');
INSERT INTO public.who_import VALUES (64299, '2021-01-25', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64300, '2021-01-26', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64301, '2021-01-27', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64302, '2021-01-28', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64303, '2021-01-29', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64304, '2021-01-30', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64305, '2021-01-31', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64306, '2021-02-01', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '132', '0', '2');
INSERT INTO public.who_import VALUES (64307, '2021-02-02', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '133', '0', '2');
INSERT INTO public.who_import VALUES (64308, '2021-02-03', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64309, '2021-02-04', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64310, '2021-02-05', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64311, '2021-02-06', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64312, '2021-02-07', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64313, '2021-02-08', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64314, '2021-02-09', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64315, '2021-02-10', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64316, '2021-02-11', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '133', '0', '2');
INSERT INTO public.who_import VALUES (64317, '2021-02-12', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '134', '0', '2');
INSERT INTO public.who_import VALUES (64318, '2021-02-13', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '134', '0', '2');
INSERT INTO public.who_import VALUES (64319, '2021-02-14', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '134', '0', '2');
INSERT INTO public.who_import VALUES (64320, '2021-02-15', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '134', '0', '2');
INSERT INTO public.who_import VALUES (64321, '2021-02-16', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '134', '0', '2');
INSERT INTO public.who_import VALUES (64322, '2021-02-17', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '1', '135', '0', '2');
INSERT INTO public.who_import VALUES (64323, '2021-02-18', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '135', '0', '2');
INSERT INTO public.who_import VALUES (64324, '2021-02-19', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '135', '0', '2');
INSERT INTO public.who_import VALUES (64325, '2021-02-20', 'MP', 'Northern Mariana Islands (Commonwealth of the)', 'WPRO', '0', '135', '0', '2');
INSERT INTO public.who_import VALUES (64326, '2020-01-03', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64327, '2020-01-04', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64328, '2020-01-05', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64329, '2020-01-06', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64330, '2020-01-07', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64331, '2020-01-08', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64332, '2020-01-09', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64333, '2020-01-10', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64334, '2020-01-11', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64335, '2020-01-12', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64336, '2020-01-13', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64337, '2020-01-14', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64342, '2020-01-19', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64343, '2020-01-20', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64344, '2020-01-21', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64345, '2020-01-22', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64346, '2020-01-23', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64347, '2020-01-24', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64348, '2020-01-25', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64349, '2020-01-26', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64350, '2020-01-27', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64351, '2020-01-28', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64352, '2020-01-29', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64353, '2020-01-30', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64354, '2020-01-31', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64355, '2020-02-01', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64356, '2020-02-02', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64357, '2020-02-03', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64358, '2020-02-04', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64359, '2020-02-05', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64360, '2020-02-06', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64361, '2020-02-07', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64362, '2020-02-08', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64363, '2020-02-09', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64364, '2020-02-10', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64365, '2020-02-11', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64366, '2020-02-12', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64367, '2020-02-13', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64368, '2020-02-14', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64369, '2020-02-15', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64370, '2020-02-16', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64371, '2020-02-17', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64372, '2020-02-18', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64373, '2020-02-19', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64374, '2020-02-20', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64375, '2020-02-21', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64376, '2020-02-22', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64377, '2020-02-23', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64378, '2020-02-24', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64379, '2020-02-25', 'NO', 'Norway', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64380, '2020-02-26', 'NO', 'Norway', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (64381, '2020-02-27', 'NO', 'Norway', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (64382, '2020-02-28', 'NO', 'Norway', 'EURO', '3', '4', '0', '0');
INSERT INTO public.who_import VALUES (64383, '2020-02-29', 'NO', 'Norway', 'EURO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (64384, '2020-03-01', 'NO', 'Norway', 'EURO', '9', '15', '0', '0');
INSERT INTO public.who_import VALUES (64385, '2020-03-02', 'NO', 'Norway', 'EURO', '4', '19', '0', '0');
INSERT INTO public.who_import VALUES (64386, '2020-03-03', 'NO', 'Norway', 'EURO', '6', '25', '0', '0');
INSERT INTO public.who_import VALUES (64387, '2020-03-04', 'NO', 'Norway', 'EURO', '8', '33', '0', '0');
INSERT INTO public.who_import VALUES (64388, '2020-03-05', 'NO', 'Norway', 'EURO', '23', '56', '0', '0');
INSERT INTO public.who_import VALUES (64389, '2020-03-06', 'NO', 'Norway', 'EURO', '30', '86', '0', '0');
INSERT INTO public.who_import VALUES (64390, '2020-03-07', 'NO', 'Norway', 'EURO', '27', '113', '0', '0');
INSERT INTO public.who_import VALUES (64391, '2020-03-08', 'NO', 'Norway', 'EURO', '34', '147', '0', '0');
INSERT INTO public.who_import VALUES (64392, '2020-03-09', 'NO', 'Norway', 'EURO', '22', '169', '0', '0');
INSERT INTO public.who_import VALUES (64393, '2020-03-10', 'NO', 'Norway', 'EURO', '23', '192', '0', '0');
INSERT INTO public.who_import VALUES (64394, '2020-03-11', 'NO', 'Norway', 'EURO', '85', '277', '0', '0');
INSERT INTO public.who_import VALUES (64395, '2020-03-12', 'NO', 'Norway', 'EURO', '212', '489', '0', '0');
INSERT INTO public.who_import VALUES (64396, '2020-03-13', 'NO', 'Norway', 'EURO', '132', '621', '1', '1');
INSERT INTO public.who_import VALUES (64397, '2020-03-14', 'NO', 'Norway', 'EURO', '0', '621', '0', '1');
INSERT INTO public.who_import VALUES (64398, '2020-03-15', 'NO', 'Norway', 'EURO', '286', '907', '0', '1');
INSERT INTO public.who_import VALUES (64399, '2020-03-16', 'NO', 'Norway', 'EURO', '170', '1077', '0', '1');
INSERT INTO public.who_import VALUES (64400, '2020-03-17', 'NO', 'Norway', 'EURO', '92', '1169', '2', '3');
INSERT INTO public.who_import VALUES (64401, '2020-03-18', 'NO', 'Norway', 'EURO', '139', '1308', '0', '3');
INSERT INTO public.who_import VALUES (64402, '2020-03-19', 'NO', 'Norway', 'EURO', '115', '1423', '0', '3');
INSERT INTO public.who_import VALUES (64403, '2020-03-20', 'NO', 'Norway', 'EURO', '129', '1552', '3', '6');
INSERT INTO public.who_import VALUES (64404, '2020-03-21', 'NO', 'Norway', 'EURO', '190', '1742', '1', '7');
INSERT INTO public.who_import VALUES (64405, '2020-03-22', 'NO', 'Norway', 'EURO', '184', '1926', '0', '7');
INSERT INTO public.who_import VALUES (64406, '2020-03-23', 'NO', 'Norway', 'EURO', '206', '2132', '0', '7');
INSERT INTO public.who_import VALUES (64407, '2020-03-24', 'NO', 'Norway', 'EURO', '239', '2371', '1', '8');
INSERT INTO public.who_import VALUES (64408, '2020-03-25', 'NO', 'Norway', 'EURO', '195', '2566', '2', '10');
INSERT INTO public.who_import VALUES (64409, '2020-03-26', 'NO', 'Norway', 'EURO', '350', '2916', '2', '12');
INSERT INTO public.who_import VALUES (64410, '2020-03-27', 'NO', 'Norway', 'EURO', '240', '3156', '2', '14');
INSERT INTO public.who_import VALUES (64411, '2020-03-28', 'NO', 'Norway', 'EURO', '425', '3581', '2', '16');
INSERT INTO public.who_import VALUES (64412, '2020-03-29', 'NO', 'Norway', 'EURO', '264', '3845', '4', '20');
INSERT INTO public.who_import VALUES (64413, '2020-03-30', 'NO', 'Norway', 'EURO', '257', '4102', '2', '22');
INSERT INTO public.who_import VALUES (64414, '2020-03-31', 'NO', 'Norway', 'EURO', '124', '4226', '4', '26');
INSERT INTO public.who_import VALUES (64415, '2020-04-01', 'NO', 'Norway', 'EURO', '221', '4447', '2', '28');
INSERT INTO public.who_import VALUES (64416, '2020-04-02', 'NO', 'Norway', 'EURO', '218', '4665', '4', '32');
INSERT INTO public.who_import VALUES (64417, '2020-04-03', 'NO', 'Norway', 'EURO', '270', '4935', '10', '42');
INSERT INTO public.who_import VALUES (64418, '2020-04-04', 'NO', 'Norway', 'EURO', '273', '5208', '2', '44');
INSERT INTO public.who_import VALUES (64419, '2020-04-05', 'NO', 'Norway', 'EURO', '302', '5510', '6', '50');
INSERT INTO public.who_import VALUES (64420, '2020-04-06', 'NO', 'Norway', 'EURO', '130', '5640', '8', '58');
INSERT INTO public.who_import VALUES (64421, '2020-04-07', 'NO', 'Norway', 'EURO', '115', '5755', '1', '59');
INSERT INTO public.who_import VALUES (64422, '2020-04-08', 'NO', 'Norway', 'EURO', '108', '5863', '10', '69');
INSERT INTO public.who_import VALUES (64423, '2020-04-09', 'NO', 'Norway', 'EURO', '147', '6010', '11', '80');
INSERT INTO public.who_import VALUES (64424, '2020-04-10', 'NO', 'Norway', 'EURO', '150', '6160', '8', '88');
INSERT INTO public.who_import VALUES (64425, '2020-04-11', 'NO', 'Norway', 'EURO', '84', '6244', '4', '92');
INSERT INTO public.who_import VALUES (64426, '2020-04-12', 'NO', 'Norway', 'EURO', '76', '6320', '6', '98');
INSERT INTO public.who_import VALUES (64427, '2020-04-13', 'NO', 'Norway', 'EURO', '95', '6415', '5', '103');
INSERT INTO public.who_import VALUES (64428, '2020-04-14', 'NO', 'Norway', 'EURO', '73', '6488', '11', '114');
INSERT INTO public.who_import VALUES (64429, '2020-04-15', 'NO', 'Norway', 'EURO', '78', '6566', '13', '127');
INSERT INTO public.who_import VALUES (64430, '2020-04-16', 'NO', 'Norway', 'EURO', '111', '6677', '3', '130');
INSERT INTO public.who_import VALUES (64431, '2020-04-17', 'NO', 'Norway', 'EURO', '114', '6791', '6', '136');
INSERT INTO public.who_import VALUES (64432, '2020-04-18', 'NO', 'Norway', 'EURO', '0', '6791', '0', '136');
INSERT INTO public.who_import VALUES (64433, '2020-04-19', 'NO', 'Norway', 'EURO', '193', '6984', '12', '148');
INSERT INTO public.who_import VALUES (64434, '2020-04-20', 'NO', 'Norway', 'EURO', '84', '7068', '6', '154');
INSERT INTO public.who_import VALUES (64435, '2020-04-21', 'NO', 'Norway', 'EURO', '45', '7113', '0', '154');
INSERT INTO public.who_import VALUES (64436, '2020-04-22', 'NO', 'Norway', 'EURO', '53', '7166', '9', '163');
INSERT INTO public.who_import VALUES (64437, '2020-04-23', 'NO', 'Norway', 'EURO', '84', '7250', '6', '169');
INSERT INTO public.who_import VALUES (64438, '2020-04-24', 'NO', 'Norway', 'EURO', '95', '7345', '11', '180');
INSERT INTO public.who_import VALUES (64439, '2020-04-25', 'NO', 'Norway', 'EURO', '63', '7408', '11', '191');
INSERT INTO public.who_import VALUES (64440, '2020-04-26', 'NO', 'Norway', 'EURO', '59', '7467', '2', '193');
INSERT INTO public.who_import VALUES (64441, '2020-04-27', 'NO', 'Norway', 'EURO', '38', '7505', '0', '193');
INSERT INTO public.who_import VALUES (64442, '2020-04-28', 'NO', 'Norway', 'EURO', '28', '7533', '0', '193');
INSERT INTO public.who_import VALUES (64443, '2020-04-29', 'NO', 'Norway', 'EURO', '72', '7605', '2', '195');
INSERT INTO public.who_import VALUES (64444, '2020-04-30', 'NO', 'Norway', 'EURO', '62', '7667', '7', '202');
INSERT INTO public.who_import VALUES (64445, '2020-05-01', 'NO', 'Norway', 'EURO', '43', '7710', '2', '204');
INSERT INTO public.who_import VALUES (64446, '2020-05-02', 'NO', 'Norway', 'EURO', '49', '7759', '0', '204');
INSERT INTO public.who_import VALUES (64447, '2020-05-03', 'NO', 'Norway', 'EURO', '0', '7759', '0', '204');
INSERT INTO public.who_import VALUES (64448, '2020-05-04', 'NO', 'Norway', 'EURO', '50', '7809', '4', '208');
INSERT INTO public.who_import VALUES (64449, '2020-05-05', 'NO', 'Norway', 'EURO', '38', '7847', '0', '208');
INSERT INTO public.who_import VALUES (64450, '2020-05-06', 'NO', 'Norway', 'EURO', '56', '7903', '1', '209');
INSERT INTO public.who_import VALUES (64451, '2020-05-07', 'NO', 'Norway', 'EURO', '50', '7953', '0', '209');
INSERT INTO public.who_import VALUES (64452, '2020-05-08', 'NO', 'Norway', 'EURO', '42', '7995', '0', '209');
INSERT INTO public.who_import VALUES (64453, '2020-05-09', 'NO', 'Norway', 'EURO', '39', '8034', '4', '213');
INSERT INTO public.who_import VALUES (64454, '2020-05-10', 'NO', 'Norway', 'EURO', '35', '8069', '0', '213');
INSERT INTO public.who_import VALUES (64455, '2020-05-11', 'NO', 'Norway', 'EURO', '30', '8099', '4', '217');
INSERT INTO public.who_import VALUES (64456, '2020-05-12', 'NO', 'Norway', 'EURO', '7', '8106', '7', '224');
INSERT INTO public.who_import VALUES (64457, '2020-05-13', 'NO', 'Norway', 'EURO', '29', '8135', '4', '228');
INSERT INTO public.who_import VALUES (64458, '2020-05-14', 'NO', 'Norway', 'EURO', '23', '8158', '1', '229');
INSERT INTO public.who_import VALUES (64459, '2020-05-15', 'NO', 'Norway', 'EURO', '17', '8175', '3', '232');
INSERT INTO public.who_import VALUES (64460, '2020-05-16', 'NO', 'Norway', 'EURO', '22', '8197', '0', '232');
INSERT INTO public.who_import VALUES (64461, '2020-05-17', 'NO', 'Norway', 'EURO', '0', '8197', '0', '232');
INSERT INTO public.who_import VALUES (64462, '2020-05-18', 'NO', 'Norway', 'EURO', '0', '8197', '0', '232');
INSERT INTO public.who_import VALUES (64463, '2020-05-19', 'NO', 'Norway', 'EURO', '52', '8249', '1', '233');
INSERT INTO public.who_import VALUES (64464, '2020-05-20', 'NO', 'Norway', 'EURO', '8', '8257', '0', '233');
INSERT INTO public.who_import VALUES (64465, '2020-05-21', 'NO', 'Norway', 'EURO', '11', '8268', '1', '234');
INSERT INTO public.who_import VALUES (64466, '2020-05-22', 'NO', 'Norway', 'EURO', '0', '8268', '0', '234');
INSERT INTO public.who_import VALUES (64467, '2020-05-23', 'NO', 'Norway', 'EURO', '41', '8309', '1', '235');
INSERT INTO public.who_import VALUES (64468, '2020-05-24', 'NO', 'Norway', 'EURO', '0', '8309', '0', '235');
INSERT INTO public.who_import VALUES (64469, '2020-05-25', 'NO', 'Norway', 'EURO', '0', '8309', '0', '235');
INSERT INTO public.who_import VALUES (64470, '2020-05-26', 'NO', 'Norway', 'EURO', '43', '8352', '0', '235');
INSERT INTO public.who_import VALUES (64471, '2020-05-27', 'NO', 'Norway', 'EURO', '12', '8364', '0', '235');
INSERT INTO public.who_import VALUES (64472, '2020-05-28', 'NO', 'Norway', 'EURO', '19', '8383', '0', '235');
INSERT INTO public.who_import VALUES (64473, '2020-05-29', 'NO', 'Norway', 'EURO', '18', '8401', '1', '236');
INSERT INTO public.who_import VALUES (64474, '2020-05-30', 'NO', 'Norway', 'EURO', '10', '8411', '0', '236');
INSERT INTO public.who_import VALUES (64475, '2020-05-31', 'NO', 'Norway', 'EURO', '0', '8411', '0', '236');
INSERT INTO public.who_import VALUES (64476, '2020-06-01', 'NO', 'Norway', 'EURO', '0', '8411', '0', '236');
INSERT INTO public.who_import VALUES (64477, '2020-06-02', 'NO', 'Norway', 'EURO', '0', '8411', '0', '236');
INSERT INTO public.who_import VALUES (64478, '2020-06-03', 'NO', 'Norway', 'EURO', '35', '8446', '1', '237');
INSERT INTO public.who_import VALUES (64479, '2020-06-04', 'NO', 'Norway', 'EURO', '0', '8446', '0', '237');
INSERT INTO public.who_import VALUES (64480, '2020-06-05', 'NO', 'Norway', 'EURO', '31', '8477', '1', '238');
INSERT INTO public.who_import VALUES (64481, '2020-06-06', 'NO', 'Norway', 'EURO', '27', '8504', '0', '238');
INSERT INTO public.who_import VALUES (64482, '2020-06-07', 'NO', 'Norway', 'EURO', '0', '8504', '0', '238');
INSERT INTO public.who_import VALUES (64483, '2020-06-08', 'NO', 'Norway', 'EURO', '0', '8504', '0', '238');
INSERT INTO public.who_import VALUES (64484, '2020-06-09', 'NO', 'Norway', 'EURO', '43', '8547', '1', '239');
INSERT INTO public.who_import VALUES (64485, '2020-06-10', 'NO', 'Norway', 'EURO', '16', '8563', '0', '239');
INSERT INTO public.who_import VALUES (64486, '2020-06-11', 'NO', 'Norway', 'EURO', '13', '8576', '0', '239');
INSERT INTO public.who_import VALUES (64487, '2020-06-12', 'NO', 'Norway', 'EURO', '18', '8594', '3', '242');
INSERT INTO public.who_import VALUES (64488, '2020-06-13', 'NO', 'Norway', 'EURO', '12', '8606', '0', '242');
INSERT INTO public.who_import VALUES (64489, '2020-06-14', 'NO', 'Norway', 'EURO', '0', '8606', '0', '242');
INSERT INTO public.who_import VALUES (64490, '2020-06-15', 'NO', 'Norway', 'EURO', '0', '8606', '0', '242');
INSERT INTO public.who_import VALUES (64491, '2020-06-16', 'NO', 'Norway', 'EURO', '25', '8631', '0', '242');
INSERT INTO public.who_import VALUES (64492, '2020-06-17', 'NO', 'Norway', 'EURO', '0', '8631', '0', '242');
INSERT INTO public.who_import VALUES (64493, '2020-06-18', 'NO', 'Norway', 'EURO', '29', '8660', '1', '243');
INSERT INTO public.who_import VALUES (64494, '2020-06-19', 'NO', 'Norway', 'EURO', '32', '8692', '1', '244');
INSERT INTO public.who_import VALUES (64495, '2020-06-20', 'NO', 'Norway', 'EURO', '0', '8692', '0', '244');
INSERT INTO public.who_import VALUES (64496, '2020-06-21', 'NO', 'Norway', 'EURO', '16', '8708', '0', '244');
INSERT INTO public.who_import VALUES (64497, '2020-06-22', 'NO', 'Norway', 'EURO', '0', '8708', '0', '244');
INSERT INTO public.who_import VALUES (64498, '2020-06-23', 'NO', 'Norway', 'EURO', '37', '8745', '4', '248');
INSERT INTO public.who_import VALUES (64499, '2020-06-24', 'NO', 'Norway', 'EURO', '6', '8751', '0', '248');
INSERT INTO public.who_import VALUES (64500, '2020-06-25', 'NO', 'Norway', 'EURO', '26', '8777', '1', '249');
INSERT INTO public.who_import VALUES (64501, '2020-06-26', 'NO', 'Norway', 'EURO', '16', '8793', '0', '249');
INSERT INTO public.who_import VALUES (64502, '2020-06-27', 'NO', 'Norway', 'EURO', '22', '8815', '0', '249');
INSERT INTO public.who_import VALUES (64503, '2020-06-28', 'NO', 'Norway', 'EURO', '0', '8815', '0', '249');
INSERT INTO public.who_import VALUES (64504, '2020-06-29', 'NO', 'Norway', 'EURO', '0', '8815', '0', '249');
INSERT INTO public.who_import VALUES (64505, '2020-06-30', 'NO', 'Norway', 'EURO', '40', '8855', '0', '249');
INSERT INTO public.who_import VALUES (64506, '2020-07-01', 'NO', 'Norway', 'EURO', '10', '8865', '1', '250');
INSERT INTO public.who_import VALUES (64507, '2020-07-02', 'NO', 'Norway', 'EURO', '22', '8887', '1', '251');
INSERT INTO public.who_import VALUES (64508, '2020-07-03', 'NO', 'Norway', 'EURO', '8', '8895', '0', '251');
INSERT INTO public.who_import VALUES (64509, '2020-07-04', 'NO', 'Norway', 'EURO', '0', '8895', '0', '251');
INSERT INTO public.who_import VALUES (64510, '2020-07-05', 'NO', 'Norway', 'EURO', '0', '8895', '0', '251');
INSERT INTO public.who_import VALUES (64511, '2020-07-06', 'NO', 'Norway', 'EURO', '0', '8895', '0', '251');
INSERT INTO public.who_import VALUES (64512, '2020-07-07', 'NO', 'Norway', 'EURO', '35', '8930', '0', '251');
INSERT INTO public.who_import VALUES (64513, '2020-07-08', 'NO', 'Norway', 'EURO', '6', '8936', '0', '251');
INSERT INTO public.who_import VALUES (64514, '2020-07-09', 'NO', 'Norway', 'EURO', '11', '8947', '0', '251');
INSERT INTO public.who_import VALUES (64515, '2020-07-10', 'NO', 'Norway', 'EURO', '7', '8954', '1', '252');
INSERT INTO public.who_import VALUES (64516, '2020-07-11', 'NO', 'Norway', 'EURO', '11', '8965', '0', '252');
INSERT INTO public.who_import VALUES (64517, '2020-07-12', 'NO', 'Norway', 'EURO', '0', '8965', '0', '252');
INSERT INTO public.who_import VALUES (64518, '2020-07-13', 'NO', 'Norway', 'EURO', '0', '8965', '0', '252');
INSERT INTO public.who_import VALUES (64519, '2020-07-14', 'NO', 'Norway', 'EURO', '16', '8981', '1', '253');
INSERT INTO public.who_import VALUES (64520, '2020-07-15', 'NO', 'Norway', 'EURO', '3', '8984', '0', '253');
INSERT INTO public.who_import VALUES (64521, '2020-07-16', 'NO', 'Norway', 'EURO', '17', '9001', '0', '253');
INSERT INTO public.who_import VALUES (64522, '2020-07-17', 'NO', 'Norway', 'EURO', '10', '9011', '1', '254');
INSERT INTO public.who_import VALUES (64523, '2020-07-18', 'NO', 'Norway', 'EURO', '4', '9015', '1', '255');
INSERT INTO public.who_import VALUES (64524, '2020-07-19', 'NO', 'Norway', 'EURO', '0', '9015', '0', '255');
INSERT INTO public.who_import VALUES (64525, '2020-07-20', 'NO', 'Norway', 'EURO', '0', '9015', '0', '255');
INSERT INTO public.who_import VALUES (64526, '2020-07-21', 'NO', 'Norway', 'EURO', '13', '9028', '0', '255');
INSERT INTO public.who_import VALUES (64527, '2020-07-22', 'NO', 'Norway', 'EURO', '10', '9038', '0', '255');
INSERT INTO public.who_import VALUES (64528, '2020-07-23', 'NO', 'Norway', 'EURO', '15', '9053', '0', '255');
INSERT INTO public.who_import VALUES (64529, '2020-07-24', 'NO', 'Norway', 'EURO', '9', '9062', '0', '255');
INSERT INTO public.who_import VALUES (64530, '2020-07-25', 'NO', 'Norway', 'EURO', '23', '9085', '0', '255');
INSERT INTO public.who_import VALUES (64531, '2020-07-26', 'NO', 'Norway', 'EURO', '0', '9085', '0', '255');
INSERT INTO public.who_import VALUES (64532, '2020-07-27', 'NO', 'Norway', 'EURO', '0', '9085', '0', '255');
INSERT INTO public.who_import VALUES (64533, '2020-07-28', 'NO', 'Norway', 'EURO', '32', '9117', '0', '255');
INSERT INTO public.who_import VALUES (64534, '2020-07-29', 'NO', 'Norway', 'EURO', '15', '9132', '0', '255');
INSERT INTO public.who_import VALUES (64535, '2020-07-30', 'NO', 'Norway', 'EURO', '18', '9150', '0', '255');
INSERT INTO public.who_import VALUES (64536, '2020-07-31', 'NO', 'Norway', 'EURO', '22', '9172', '0', '255');
INSERT INTO public.who_import VALUES (64537, '2020-08-01', 'NO', 'Norway', 'EURO', '36', '9208', '0', '255');
INSERT INTO public.who_import VALUES (64538, '2020-08-02', 'NO', 'Norway', 'EURO', '0', '9208', '0', '255');
INSERT INTO public.who_import VALUES (64539, '2020-08-03', 'NO', 'Norway', 'EURO', '0', '9208', '0', '255');
INSERT INTO public.who_import VALUES (64540, '2020-08-04', 'NO', 'Norway', 'EURO', '60', '9268', '1', '256');
INSERT INTO public.who_import VALUES (64541, '2020-08-05', 'NO', 'Norway', 'EURO', '65', '9333', '0', '256');
INSERT INTO public.who_import VALUES (64542, '2020-08-06', 'NO', 'Norway', 'EURO', '29', '9362', '0', '256');
INSERT INTO public.who_import VALUES (64543, '2020-08-07', 'NO', 'Norway', 'EURO', '47', '9409', '0', '256');
INSERT INTO public.who_import VALUES (64544, '2020-08-08', 'NO', 'Norway', 'EURO', '59', '9468', '0', '256');
INSERT INTO public.who_import VALUES (64545, '2020-08-09', 'NO', 'Norway', 'EURO', '0', '9468', '0', '256');
INSERT INTO public.who_import VALUES (64546, '2020-08-10', 'NO', 'Norway', 'EURO', '0', '9468', '0', '256');
INSERT INTO public.who_import VALUES (64547, '2020-08-11', 'NO', 'Norway', 'EURO', '170', '9638', '0', '256');
INSERT INTO public.who_import VALUES (64548, '2020-08-12', 'NO', 'Norway', 'EURO', '46', '9684', '0', '256');
INSERT INTO public.who_import VALUES (64549, '2020-08-13', 'NO', 'Norway', 'EURO', '66', '9750', '0', '256');
INSERT INTO public.who_import VALUES (64550, '2020-08-14', 'NO', 'Norway', 'EURO', '33', '9783', '1', '257');
INSERT INTO public.who_import VALUES (64551, '2020-08-15', 'NO', 'Norway', 'EURO', '67', '9850', '4', '261');
INSERT INTO public.who_import VALUES (64552, '2020-08-16', 'NO', 'Norway', 'EURO', '0', '9850', '0', '261');
INSERT INTO public.who_import VALUES (64553, '2020-08-17', 'NO', 'Norway', 'EURO', '0', '9850', '0', '261');
INSERT INTO public.who_import VALUES (64554, '2020-08-18', 'NO', 'Norway', 'EURO', '154', '10004', '0', '261');
INSERT INTO public.who_import VALUES (64555, '2020-08-19', 'NO', 'Norway', 'EURO', '56', '10060', '1', '262');
INSERT INTO public.who_import VALUES (64556, '2020-08-20', 'NO', 'Norway', 'EURO', '51', '10111', '0', '262');
INSERT INTO public.who_import VALUES (64557, '2020-08-21', 'NO', 'Norway', 'EURO', '51', '10162', '2', '264');
INSERT INTO public.who_import VALUES (64558, '2020-08-22', 'NO', 'Norway', 'EURO', '35', '10197', '0', '264');
INSERT INTO public.who_import VALUES (64559, '2020-08-23', 'NO', 'Norway', 'EURO', '0', '10197', '0', '264');
INSERT INTO public.who_import VALUES (64560, '2020-08-24', 'NO', 'Norway', 'EURO', '0', '10197', '0', '264');
INSERT INTO public.who_import VALUES (64561, '2020-08-25', 'NO', 'Norway', 'EURO', '126', '10323', '0', '264');
INSERT INTO public.who_import VALUES (64562, '2020-08-26', 'NO', 'Norway', 'EURO', '72', '10395', '0', '264');
INSERT INTO public.who_import VALUES (64563, '2020-08-27', 'NO', 'Norway', 'EURO', '59', '10454', '0', '264');
INSERT INTO public.who_import VALUES (64564, '2020-08-28', 'NO', 'Norway', 'EURO', '51', '10505', '0', '264');
INSERT INTO public.who_import VALUES (64565, '2020-08-29', 'NO', 'Norway', 'EURO', '38', '10543', '0', '264');
INSERT INTO public.who_import VALUES (64566, '2020-08-30', 'NO', 'Norway', 'EURO', '0', '10543', '0', '264');
INSERT INTO public.who_import VALUES (64567, '2020-08-31', 'NO', 'Norway', 'EURO', '0', '10543', '0', '264');
INSERT INTO public.who_import VALUES (64568, '2020-09-01', 'NO', 'Norway', 'EURO', '101', '10644', '0', '264');
INSERT INTO public.who_import VALUES (64569, '2020-09-02', 'NO', 'Norway', 'EURO', '139', '10783', '0', '264');
INSERT INTO public.who_import VALUES (64570, '2020-09-03', 'NO', 'Norway', 'EURO', '88', '10871', '0', '264');
INSERT INTO public.who_import VALUES (64571, '2020-09-04', 'NO', 'Norway', 'EURO', '164', '11035', '0', '264');
INSERT INTO public.who_import VALUES (64572, '2020-09-05', 'NO', 'Norway', 'EURO', '85', '11120', '0', '264');
INSERT INTO public.who_import VALUES (64573, '2020-09-06', 'NO', 'Norway', 'EURO', '0', '11120', '0', '264');
INSERT INTO public.who_import VALUES (64574, '2020-09-07', 'NO', 'Norway', 'EURO', '0', '11120', '0', '264');
INSERT INTO public.who_import VALUES (64575, '2020-09-08', 'NO', 'Norway', 'EURO', '267', '11387', '0', '264');
INSERT INTO public.who_import VALUES (64576, '2020-09-09', 'NO', 'Norway', 'EURO', '132', '11519', '0', '264');
INSERT INTO public.who_import VALUES (64577, '2020-09-10', 'NO', 'Norway', 'EURO', '105', '11624', '0', '264');
INSERT INTO public.who_import VALUES (64578, '2020-09-11', 'NO', 'Norway', 'EURO', '122', '11746', '1', '265');
INSERT INTO public.who_import VALUES (64579, '2020-09-12', 'NO', 'Norway', 'EURO', '120', '11866', '0', '265');
INSERT INTO public.who_import VALUES (64580, '2020-09-13', 'NO', 'Norway', 'EURO', '0', '11866', '0', '265');
INSERT INTO public.who_import VALUES (64581, '2020-09-14', 'NO', 'Norway', 'EURO', '0', '11866', '0', '265');
INSERT INTO public.who_import VALUES (64582, '2020-09-15', 'NO', 'Norway', 'EURO', '289', '12155', '0', '265');
INSERT INTO public.who_import VALUES (64583, '2020-09-16', 'NO', 'Norway', 'EURO', '122', '12277', '0', '265');
INSERT INTO public.who_import VALUES (64584, '2020-09-17', 'NO', 'Norway', 'EURO', '116', '12393', '0', '265');
INSERT INTO public.who_import VALUES (64585, '2020-09-18', 'NO', 'Norway', 'EURO', '106', '12499', '1', '266');
INSERT INTO public.who_import VALUES (64586, '2020-09-19', 'NO', 'Norway', 'EURO', '146', '12645', '1', '267');
INSERT INTO public.who_import VALUES (64587, '2020-09-20', 'NO', 'Norway', 'EURO', '0', '12645', '0', '267');
INSERT INTO public.who_import VALUES (64588, '2020-09-21', 'NO', 'Norway', 'EURO', '0', '12645', '0', '267');
INSERT INTO public.who_import VALUES (64589, '2020-09-22', 'NO', 'Norway', 'EURO', '251', '12896', '0', '267');
INSERT INTO public.who_import VALUES (64590, '2020-09-23', 'NO', 'Norway', 'EURO', '104', '13000', '0', '267');
INSERT INTO public.who_import VALUES (64591, '2020-09-24', 'NO', 'Norway', 'EURO', '152', '13152', '0', '267');
INSERT INTO public.who_import VALUES (64592, '2020-09-25', 'NO', 'Norway', 'EURO', '123', '13275', '3', '270');
INSERT INTO public.who_import VALUES (64593, '2020-09-26', 'NO', 'Norway', 'EURO', '131', '13406', '0', '270');
INSERT INTO public.who_import VALUES (64594, '2020-09-27', 'NO', 'Norway', 'EURO', '0', '13406', '0', '270');
INSERT INTO public.who_import VALUES (64595, '2020-09-28', 'NO', 'Norway', 'EURO', '0', '13406', '0', '270');
INSERT INTO public.who_import VALUES (64596, '2020-09-29', 'NO', 'Norway', 'EURO', '292', '13698', '4', '274');
INSERT INTO public.who_import VALUES (64597, '2020-09-30', 'NO', 'Norway', 'EURO', '90', '13788', '0', '274');
INSERT INTO public.who_import VALUES (64598, '2020-10-01', 'NO', 'Norway', 'EURO', '126', '13914', '0', '274');
INSERT INTO public.who_import VALUES (64599, '2020-10-02', 'NO', 'Norway', 'EURO', '113', '14027', '0', '274');
INSERT INTO public.who_import VALUES (64600, '2020-10-03', 'NO', 'Norway', 'EURO', '122', '14149', '1', '275');
INSERT INTO public.who_import VALUES (64601, '2020-10-04', 'NO', 'Norway', 'EURO', '0', '14149', '0', '275');
INSERT INTO public.who_import VALUES (64602, '2020-10-05', 'NO', 'Norway', 'EURO', '0', '14149', '0', '275');
INSERT INTO public.who_import VALUES (64603, '2020-10-06', 'NO', 'Norway', 'EURO', '308', '14457', '0', '275');
INSERT INTO public.who_import VALUES (64604, '2020-10-07', 'NO', 'Norway', 'EURO', '147', '14604', '0', '275');
INSERT INTO public.who_import VALUES (64605, '2020-10-08', 'NO', 'Norway', 'EURO', '180', '14784', '0', '275');
INSERT INTO public.who_import VALUES (64606, '2020-10-09', 'NO', 'Norway', 'EURO', '228', '15012', '0', '275');
INSERT INTO public.who_import VALUES (64607, '2020-10-10', 'NO', 'Norway', 'EURO', '209', '15221', '0', '275');
INSERT INTO public.who_import VALUES (64608, '2020-10-11', 'NO', 'Norway', 'EURO', '0', '15221', '0', '275');
INSERT INTO public.who_import VALUES (64609, '2020-10-12', 'NO', 'Norway', 'EURO', '0', '15221', '0', '275');
INSERT INTO public.who_import VALUES (64610, '2020-10-13', 'NO', 'Norway', 'EURO', '303', '15524', '1', '276');
INSERT INTO public.who_import VALUES (64611, '2020-10-14', 'NO', 'Norway', 'EURO', '115', '15639', '1', '277');
INSERT INTO public.who_import VALUES (64612, '2020-10-15', 'NO', 'Norway', 'EURO', '152', '15791', '0', '277');
INSERT INTO public.who_import VALUES (64613, '2020-10-16', 'NO', 'Norway', 'EURO', '162', '15953', '1', '278');
INSERT INTO public.who_import VALUES (64614, '2020-10-17', 'NO', 'Norway', 'EURO', '183', '16136', '0', '278');
INSERT INTO public.who_import VALUES (64615, '2020-10-18', 'NO', 'Norway', 'EURO', '0', '16136', '0', '278');
INSERT INTO public.who_import VALUES (64616, '2020-10-19', 'NO', 'Norway', 'EURO', '0', '16136', '0', '278');
INSERT INTO public.who_import VALUES (64617, '2020-10-20', 'NO', 'Norway', 'EURO', '320', '16456', '0', '278');
INSERT INTO public.who_import VALUES (64618, '2020-10-21', 'NO', 'Norway', 'EURO', '147', '16603', '0', '278');
INSERT INTO public.who_import VALUES (64619, '2020-10-22', 'NO', 'Norway', 'EURO', '168', '16771', '1', '279');
INSERT INTO public.who_import VALUES (64620, '2020-10-23', 'NO', 'Norway', 'EURO', '193', '16964', '0', '279');
INSERT INTO public.who_import VALUES (64621, '2020-10-24', 'NO', 'Norway', 'EURO', '268', '17232', '0', '279');
INSERT INTO public.who_import VALUES (64622, '2020-10-25', 'NO', 'Norway', 'EURO', '0', '17232', '0', '279');
INSERT INTO public.who_import VALUES (64623, '2020-10-26', 'NO', 'Norway', 'EURO', '0', '17232', '0', '279');
INSERT INTO public.who_import VALUES (64624, '2020-10-27', 'NO', 'Norway', 'EURO', '676', '17908', '0', '279');
INSERT INTO public.who_import VALUES (64625, '2020-10-28', 'NO', 'Norway', 'EURO', '433', '18341', '1', '280');
INSERT INTO public.who_import VALUES (64626, '2020-10-29', 'NO', 'Norway', 'EURO', '322', '18663', '0', '280');
INSERT INTO public.who_import VALUES (64627, '2020-10-30', 'NO', 'Norway', 'EURO', '403', '19066', '1', '281');
INSERT INTO public.who_import VALUES (64628, '2020-10-31', 'NO', 'Norway', 'EURO', '497', '19563', '1', '282');
INSERT INTO public.who_import VALUES (64629, '2020-11-01', 'NO', 'Norway', 'EURO', '0', '19563', '0', '282');
INSERT INTO public.who_import VALUES (64630, '2020-11-02', 'NO', 'Norway', 'EURO', '0', '19563', '0', '282');
INSERT INTO public.who_import VALUES (64631, '2020-11-03', 'NO', 'Norway', 'EURO', '1071', '20634', '0', '282');
INSERT INTO public.who_import VALUES (64632, '2020-11-04', 'NO', 'Norway', 'EURO', '700', '21334', '0', '282');
INSERT INTO public.who_import VALUES (64633, '2020-11-05', 'NO', 'Norway', 'EURO', '620', '21954', '0', '282');
INSERT INTO public.who_import VALUES (64634, '2020-11-06', 'NO', 'Norway', 'EURO', '621', '22575', '2', '284');
INSERT INTO public.who_import VALUES (64635, '2020-11-07', 'NO', 'Norway', 'EURO', '650', '23225', '1', '285');
INSERT INTO public.who_import VALUES (64636, '2020-11-08', 'NO', 'Norway', 'EURO', '0', '23225', '0', '285');
INSERT INTO public.who_import VALUES (64637, '2020-11-09', 'NO', 'Norway', 'EURO', '0', '23225', '0', '285');
INSERT INTO public.who_import VALUES (64638, '2020-11-10', 'NO', 'Norway', 'EURO', '1502', '24727', '0', '285');
INSERT INTO public.who_import VALUES (64639, '2020-11-11', 'NO', 'Norway', 'EURO', '594', '25321', '0', '285');
INSERT INTO public.who_import VALUES (64640, '2020-11-12', 'NO', 'Norway', 'EURO', '564', '25885', '0', '285');
INSERT INTO public.who_import VALUES (64641, '2020-11-13', 'NO', 'Norway', 'EURO', '618', '26503', '6', '291');
INSERT INTO public.who_import VALUES (64642, '2020-11-14', 'NO', 'Norway', 'EURO', '723', '27226', '3', '294');
INSERT INTO public.who_import VALUES (64643, '2020-11-15', 'NO', 'Norway', 'EURO', '0', '27226', '0', '294');
INSERT INTO public.who_import VALUES (64644, '2020-11-16', 'NO', 'Norway', 'EURO', '0', '27226', '0', '294');
INSERT INTO public.who_import VALUES (64645, '2020-11-17', 'NO', 'Norway', 'EURO', '1737', '28963', '0', '294');
INSERT INTO public.who_import VALUES (64646, '2020-11-18', 'NO', 'Norway', 'EURO', '547', '29510', '4', '298');
INSERT INTO public.who_import VALUES (64647, '2020-11-19', 'NO', 'Norway', 'EURO', '603', '30113', '1', '299');
INSERT INTO public.who_import VALUES (64648, '2020-11-20', 'NO', 'Norway', 'EURO', '655', '30768', '6', '305');
INSERT INTO public.who_import VALUES (64649, '2020-11-21', 'NO', 'Norway', 'EURO', '670', '31438', '1', '306');
INSERT INTO public.who_import VALUES (64650, '2020-11-22', 'NO', 'Norway', 'EURO', '0', '31438', '0', '306');
INSERT INTO public.who_import VALUES (64651, '2020-11-23', 'NO', 'Norway', 'EURO', '0', '31438', '0', '306');
INSERT INTO public.who_import VALUES (64652, '2020-11-24', 'NO', 'Norway', 'EURO', '1329', '32767', '5', '311');
INSERT INTO public.who_import VALUES (64653, '2020-11-25', 'NO', 'Norway', 'EURO', '416', '33183', '3', '314');
INSERT INTO public.who_import VALUES (64654, '2020-11-26', 'NO', 'Norway', 'EURO', '531', '33714', '2', '316');
INSERT INTO public.who_import VALUES (64655, '2020-11-27', 'NO', 'Norway', 'EURO', '553', '34267', '0', '316');
INSERT INTO public.who_import VALUES (64656, '2020-11-28', 'NO', 'Norway', 'EURO', '480', '34747', '12', '328');
INSERT INTO public.who_import VALUES (64657, '2020-11-29', 'NO', 'Norway', 'EURO', '0', '34747', '0', '328');
INSERT INTO public.who_import VALUES (64658, '2020-11-30', 'NO', 'Norway', 'EURO', '0', '34747', '0', '328');
INSERT INTO public.who_import VALUES (64659, '2020-12-01', 'NO', 'Norway', 'EURO', '1079', '35826', '4', '332');
INSERT INTO public.who_import VALUES (64660, '2020-12-02', 'NO', 'Norway', 'EURO', '324', '36150', '2', '334');
INSERT INTO public.who_import VALUES (64661, '2020-12-03', 'NO', 'Norway', 'EURO', '441', '36591', '17', '351');
INSERT INTO public.who_import VALUES (64662, '2020-12-04', 'NO', 'Norway', 'EURO', '377', '36968', '2', '353');
INSERT INTO public.who_import VALUES (64663, '2020-12-05', 'NO', 'Norway', 'EURO', '403', '37371', '1', '354');
INSERT INTO public.who_import VALUES (64664, '2020-12-06', 'NO', 'Norway', 'EURO', '0', '37371', '0', '354');
INSERT INTO public.who_import VALUES (64665, '2020-12-07', 'NO', 'Norway', 'EURO', '0', '37371', '0', '354');
INSERT INTO public.who_import VALUES (64666, '2020-12-08', 'NO', 'Norway', 'EURO', '951', '38322', '5', '359');
INSERT INTO public.who_import VALUES (64667, '2020-12-09', 'NO', 'Norway', 'EURO', '381', '38703', '2', '361');
INSERT INTO public.who_import VALUES (64668, '2020-12-10', 'NO', 'Norway', 'EURO', '459', '39162', '0', '361');
INSERT INTO public.who_import VALUES (64669, '2020-12-11', 'NO', 'Norway', 'EURO', '362', '39524', '21', '382');
INSERT INTO public.who_import VALUES (64670, '2020-12-12', 'NO', 'Norway', 'EURO', '498', '40022', '5', '387');
INSERT INTO public.who_import VALUES (64671, '2020-12-13', 'NO', 'Norway', 'EURO', '0', '40022', '0', '387');
INSERT INTO public.who_import VALUES (64672, '2020-12-14', 'NO', 'Norway', 'EURO', '0', '40022', '0', '387');
INSERT INTO public.who_import VALUES (64673, '2020-12-15', 'NO', 'Norway', 'EURO', '981', '41003', '6', '393');
INSERT INTO public.who_import VALUES (64674, '2020-12-16', 'NO', 'Norway', 'EURO', '331', '41334', '2', '395');
INSERT INTO public.who_import VALUES (64675, '2020-12-17', 'NO', 'Norway', 'EURO', '518', '41852', '7', '402');
INSERT INTO public.who_import VALUES (64676, '2020-12-18', 'NO', 'Norway', 'EURO', '460', '42312', '2', '404');
INSERT INTO public.who_import VALUES (64677, '2020-12-19', 'NO', 'Norway', 'EURO', '463', '42775', '0', '404');
INSERT INTO public.who_import VALUES (64678, '2020-12-20', 'NO', 'Norway', 'EURO', '0', '42775', '0', '404');
INSERT INTO public.who_import VALUES (64679, '2020-12-21', 'NO', 'Norway', 'EURO', '0', '42775', '0', '404');
INSERT INTO public.who_import VALUES (64680, '2020-12-22', 'NO', 'Norway', 'EURO', '1130', '43905', '1', '405');
INSERT INTO public.who_import VALUES (64681, '2020-12-23', 'NO', 'Norway', 'EURO', '431', '44336', '0', '405');
INSERT INTO public.who_import VALUES (64682, '2020-12-24', 'NO', 'Norway', 'EURO', '596', '44932', '16', '421');
INSERT INTO public.who_import VALUES (64683, '2020-12-25', 'NO', 'Norway', 'EURO', '0', '44932', '0', '421');
INSERT INTO public.who_import VALUES (64684, '2020-12-26', 'NO', 'Norway', 'EURO', '0', '44932', '0', '421');
INSERT INTO public.who_import VALUES (64685, '2020-12-27', 'NO', 'Norway', 'EURO', '0', '44932', '0', '421');
INSERT INTO public.who_import VALUES (64686, '2020-12-28', 'NO', 'Norway', 'EURO', '0', '44932', '0', '421');
INSERT INTO public.who_import VALUES (64687, '2020-12-29', 'NO', 'Norway', 'EURO', '2125', '47057', '8', '429');
INSERT INTO public.who_import VALUES (64688, '2020-12-30', 'NO', 'Norway', 'EURO', '526', '47583', '4', '433');
INSERT INTO public.who_import VALUES (64689, '2020-12-31', 'NO', 'Norway', 'EURO', '695', '48278', '3', '436');
INSERT INTO public.who_import VALUES (64690, '2021-01-01', 'NO', 'Norway', 'EURO', '0', '48278', '0', '436');
INSERT INTO public.who_import VALUES (64691, '2021-01-02', 'NO', 'Norway', 'EURO', '0', '48278', '0', '436');
INSERT INTO public.who_import VALUES (64692, '2021-01-03', 'NO', 'Norway', 'EURO', '0', '48278', '0', '436');
INSERT INTO public.who_import VALUES (64693, '2021-01-04', 'NO', 'Norway', 'EURO', '0', '48278', '0', '436');
INSERT INTO public.who_import VALUES (64694, '2021-01-05', 'NO', 'Norway', 'EURO', '2437', '50715', '13', '449');
INSERT INTO public.who_import VALUES (64695, '2021-01-06', 'NO', 'Norway', 'EURO', '525', '51240', '3', '452');
INSERT INTO public.who_import VALUES (64696, '2021-01-07', 'NO', 'Norway', 'EURO', '940', '52180', '14', '466');
INSERT INTO public.who_import VALUES (64697, '2021-01-08', 'NO', 'Norway', 'EURO', '787', '52967', '1', '467');
INSERT INTO public.who_import VALUES (64698, '2021-01-09', 'NO', 'Norway', 'EURO', '825', '53792', '4', '471');
INSERT INTO public.who_import VALUES (64699, '2021-01-10', 'NO', 'Norway', 'EURO', '0', '53792', '0', '471');
INSERT INTO public.who_import VALUES (64700, '2021-01-11', 'NO', 'Norway', 'EURO', '1681', '55473', '7', '478');
INSERT INTO public.who_import VALUES (64701, '2021-01-12', 'NO', 'Norway', 'EURO', '428', '55901', '4', '482');
INSERT INTO public.who_import VALUES (64702, '2021-01-13', 'NO', 'Norway', 'EURO', '713', '56614', '27', '509');
INSERT INTO public.who_import VALUES (64703, '2021-01-14', 'NO', 'Norway', 'EURO', '665', '57279', '2', '511');
INSERT INTO public.who_import VALUES (64704, '2021-01-15', 'NO', 'Norway', 'EURO', '455', '57734', '6', '517');
INSERT INTO public.who_import VALUES (64705, '2021-01-16', 'NO', 'Norway', 'EURO', '0', '57734', '0', '517');
INSERT INTO public.who_import VALUES (64706, '2021-01-17', 'NO', 'Norway', 'EURO', '0', '57734', '0', '517');
INSERT INTO public.who_import VALUES (64707, '2021-01-18', 'NO', 'Norway', 'EURO', '711', '58445', '0', '517');
INSERT INTO public.who_import VALUES (64708, '2021-01-19', 'NO', 'Norway', 'EURO', '206', '58651', '4', '521');
INSERT INTO public.who_import VALUES (64709, '2021-01-20', 'NO', 'Norway', 'EURO', '382', '59033', '4', '525');
INSERT INTO public.who_import VALUES (64710, '2021-01-21', 'NO', 'Norway', 'EURO', '423', '59456', '18', '543');
INSERT INTO public.who_import VALUES (64711, '2021-01-22', 'NO', 'Norway', 'EURO', '431', '59887', '1', '544');
INSERT INTO public.who_import VALUES (64712, '2021-01-23', 'NO', 'Norway', 'EURO', '372', '60259', '0', '544');
INSERT INTO public.who_import VALUES (64713, '2021-01-24', 'NO', 'Norway', 'EURO', '306', '60565', '0', '544');
INSERT INTO public.who_import VALUES (64714, '2021-01-25', 'NO', 'Norway', 'EURO', '238', '60803', '0', '544');
INSERT INTO public.who_import VALUES (64715, '2021-01-26', 'NO', 'Norway', 'EURO', '279', '61082', '4', '548');
INSERT INTO public.who_import VALUES (64716, '2021-01-27', 'NO', 'Norway', 'EURO', '232', '61314', '2', '550');
INSERT INTO public.who_import VALUES (64717, '2021-01-28', 'NO', 'Norway', 'EURO', '280', '61594', '6', '556');
INSERT INTO public.who_import VALUES (64718, '2021-01-29', 'NO', 'Norway', 'EURO', '366', '61960', '1', '557');
INSERT INTO public.who_import VALUES (64719, '2021-01-30', 'NO', 'Norway', 'EURO', '316', '62276', '6', '563');
INSERT INTO public.who_import VALUES (64720, '2021-01-31', 'NO', 'Norway', 'EURO', '299', '62575', '0', '563');
INSERT INTO public.who_import VALUES (64721, '2021-02-01', 'NO', 'Norway', 'EURO', '218', '62793', '0', '563');
INSERT INTO public.who_import VALUES (64722, '2021-02-02', 'NO', 'Norway', 'EURO', '173', '62966', '4', '567');
INSERT INTO public.who_import VALUES (64723, '2021-02-03', 'NO', 'Norway', 'EURO', '294', '63260', '1', '568');
INSERT INTO public.who_import VALUES (64724, '2021-02-04', 'NO', 'Norway', 'EURO', '293', '63553', '6', '574');
INSERT INTO public.who_import VALUES (64725, '2021-02-05', 'NO', 'Norway', 'EURO', '284', '63837', '8', '582');
INSERT INTO public.who_import VALUES (64726, '2021-02-06', 'NO', 'Norway', 'EURO', '372', '64209', '0', '582');
INSERT INTO public.who_import VALUES (64727, '2021-02-07', 'NO', 'Norway', 'EURO', '274', '64483', '0', '582');
INSERT INTO public.who_import VALUES (64728, '2021-02-08', 'NO', 'Norway', 'EURO', '170', '64653', '0', '582');
INSERT INTO public.who_import VALUES (64729, '2021-02-09', 'NO', 'Norway', 'EURO', '119', '64772', '0', '582');
INSERT INTO public.who_import VALUES (64730, '2021-02-10', 'NO', 'Norway', 'EURO', '344', '65116', '1', '583');
INSERT INTO public.who_import VALUES (64731, '2021-02-11', 'NO', 'Norway', 'EURO', '222', '65338', '9', '592');
INSERT INTO public.who_import VALUES (64732, '2021-02-12', 'NO', 'Norway', 'EURO', '209', '65547', '0', '592');
INSERT INTO public.who_import VALUES (64733, '2021-02-13', 'NO', 'Norway', 'EURO', '264', '65811', '0', '592');
INSERT INTO public.who_import VALUES (64734, '2021-02-14', 'NO', 'Norway', 'EURO', '425', '66236', '0', '592');
INSERT INTO public.who_import VALUES (64735, '2021-02-15', 'NO', 'Norway', 'EURO', '156', '66392', '0', '592');
INSERT INTO public.who_import VALUES (64736, '2021-02-16', 'NO', 'Norway', 'EURO', '109', '66501', '1', '593');
INSERT INTO public.who_import VALUES (64737, '2021-02-17', 'NO', 'Norway', 'EURO', '348', '66849', '0', '593');
INSERT INTO public.who_import VALUES (64738, '2021-02-18', 'NO', 'Norway', 'EURO', '290', '67139', '14', '607');
INSERT INTO public.who_import VALUES (64739, '2021-02-19', 'NO', 'Norway', 'EURO', '358', '67497', '0', '607');
INSERT INTO public.who_import VALUES (64740, '2021-02-20', 'NO', 'Norway', 'EURO', '327', '67824', '0', '607');
INSERT INTO public.who_import VALUES (64741, '2020-01-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64742, '2020-01-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64743, '2020-01-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64744, '2020-01-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64745, '2020-01-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64746, '2020-01-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64747, '2020-01-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64748, '2020-01-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64749, '2020-01-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64750, '2020-01-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64751, '2020-01-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64752, '2020-01-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64753, '2020-01-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64754, '2020-01-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64755, '2020-01-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64756, '2020-01-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64757, '2020-01-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64758, '2020-01-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64759, '2020-01-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64760, '2020-01-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64761, '2020-01-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64762, '2020-01-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65268, '2020-04-24', 'OM', 'Oman', 'EMRO', '74', '1790', '1', '9');
INSERT INTO public.who_import VALUES (64763, '2020-01-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64764, '2020-01-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64765, '2020-01-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64766, '2020-01-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64767, '2020-01-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64768, '2020-01-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64769, '2020-01-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64770, '2020-02-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64771, '2020-02-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64772, '2020-02-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64773, '2020-02-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64774, '2020-02-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64775, '2020-02-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64776, '2020-02-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64777, '2020-02-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64778, '2020-02-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64779, '2020-02-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64780, '2020-02-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64781, '2020-02-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64782, '2020-02-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64783, '2020-02-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64784, '2020-02-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64785, '2020-02-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64786, '2020-02-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64787, '2020-02-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64788, '2020-02-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64789, '2020-02-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64790, '2020-02-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64791, '2020-02-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64792, '2020-02-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64793, '2020-02-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64794, '2020-02-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64795, '2020-02-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64796, '2020-02-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64797, '2020-02-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64798, '2020-02-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64799, '2020-03-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64800, '2020-03-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64801, '2020-03-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64802, '2020-03-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (64803, '2020-03-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '11', '11', '0', '0');
INSERT INTO public.who_import VALUES (64804, '2020-03-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '20', '0', '0');
INSERT INTO public.who_import VALUES (64805, '2020-03-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (64806, '2020-03-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '3', '23', '0', '0');
INSERT INTO public.who_import VALUES (64807, '2020-03-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '29', '0', '0');
INSERT INTO public.who_import VALUES (64808, '2020-03-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '33', '0', '0');
INSERT INTO public.who_import VALUES (64809, '2020-03-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (64810, '2020-03-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (64811, '2020-03-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '39', '0', '0');
INSERT INTO public.who_import VALUES (64812, '2020-03-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '3', '42', '0', '0');
INSERT INTO public.who_import VALUES (64813, '2020-03-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (64814, '2020-03-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '43', '0', '0');
INSERT INTO public.who_import VALUES (64815, '2020-03-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '45', '0', '0');
INSERT INTO public.who_import VALUES (64816, '2020-03-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (64817, '2020-03-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '51', '0', '0');
INSERT INTO public.who_import VALUES (64818, '2020-03-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '-3', '48', '0', '0');
INSERT INTO public.who_import VALUES (64819, '2020-03-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '52', '0', '0');
INSERT INTO public.who_import VALUES (64820, '2020-03-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '7', '59', '0', '0');
INSERT INTO public.who_import VALUES (64821, '2020-03-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '59', '0', '0');
INSERT INTO public.who_import VALUES (64822, '2020-03-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '60', '0', '0');
INSERT INTO public.who_import VALUES (64823, '2020-03-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '62', '0', '0');
INSERT INTO public.who_import VALUES (64824, '2020-03-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '22', '84', '1', '1');
INSERT INTO public.who_import VALUES (64825, '2020-03-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '7', '91', '0', '1');
INSERT INTO public.who_import VALUES (64826, '2020-03-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '97', '0', '1');
INSERT INTO public.who_import VALUES (64827, '2020-03-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '106', '0', '1');
INSERT INTO public.who_import VALUES (64828, '2020-03-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '115', '0', '1');
INSERT INTO public.who_import VALUES (64829, '2020-03-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '117', '0', '1');
INSERT INTO public.who_import VALUES (64830, '2020-04-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '17', '134', '0', '1');
INSERT INTO public.who_import VALUES (64831, '2020-04-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '21', '155', '0', '1');
INSERT INTO public.who_import VALUES (64832, '2020-04-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '16', '171', '0', '1');
INSERT INTO public.who_import VALUES (64833, '2020-04-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '34', '205', '0', '1');
INSERT INTO public.who_import VALUES (64834, '2020-04-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '12', '217', '0', '1');
INSERT INTO public.who_import VALUES (64835, '2020-04-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '36', '253', '0', '1');
INSERT INTO public.who_import VALUES (64836, '2020-04-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '254', '0', '1');
INSERT INTO public.who_import VALUES (64837, '2020-04-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '263', '0', '1');
INSERT INTO public.who_import VALUES (64838, '2020-04-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '263', '0', '1');
INSERT INTO public.who_import VALUES (64839, '2020-04-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '3', '266', '1', '2');
INSERT INTO public.who_import VALUES (64840, '2020-04-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '268', '0', '2');
INSERT INTO public.who_import VALUES (64841, '2020-04-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '268', '0', '2');
INSERT INTO public.who_import VALUES (64842, '2020-04-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '5', '273', '0', '2');
INSERT INTO public.who_import VALUES (64843, '2020-04-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '14', '287', '0', '2');
INSERT INTO public.who_import VALUES (64844, '2020-04-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '291', '0', '2');
INSERT INTO public.who_import VALUES (64845, '2020-04-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '3', '294', '0', '2');
INSERT INTO public.who_import VALUES (64846, '2020-04-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '13', '307', '0', '2');
INSERT INTO public.who_import VALUES (64847, '2020-04-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '313', '0', '2');
INSERT INTO public.who_import VALUES (64848, '2020-04-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '322', '0', '2');
INSERT INTO public.who_import VALUES (64849, '2020-04-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '7', '329', '0', '2');
INSERT INTO public.who_import VALUES (64850, '2020-04-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '329', '0', '2');
INSERT INTO public.who_import VALUES (64851, '2020-04-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '335', '0', '2');
INSERT INTO public.who_import VALUES (64852, '2020-04-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '336', '0', '2');
INSERT INTO public.who_import VALUES (64853, '2020-04-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '340', '0', '2');
INSERT INTO public.who_import VALUES (64854, '2020-04-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '342', '0', '2');
INSERT INTO public.who_import VALUES (64855, '2020-04-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '342', '0', '2');
INSERT INTO public.who_import VALUES (64856, '2020-04-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '342', '0', '2');
INSERT INTO public.who_import VALUES (64857, '2020-04-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '343', '0', '2');
INSERT INTO public.who_import VALUES (64858, '2020-04-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '343', '0', '2');
INSERT INTO public.who_import VALUES (64859, '2020-04-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '344', '0', '2');
INSERT INTO public.who_import VALUES (64860, '2020-05-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '353', '0', '2');
INSERT INTO public.who_import VALUES (64861, '2020-05-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '353', '0', '2');
INSERT INTO public.who_import VALUES (64862, '2020-05-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '353', '0', '2');
INSERT INTO public.who_import VALUES (64863, '2020-05-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '171', '524', '2', '4');
INSERT INTO public.who_import VALUES (64864, '2020-05-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '14', '538', '0', '4');
INSERT INTO public.who_import VALUES (64865, '2020-05-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '8', '546', '0', '4');
INSERT INTO public.who_import VALUES (64866, '2020-05-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '547', '0', '4');
INSERT INTO public.who_import VALUES (64867, '2020-05-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '547', '0', '4');
INSERT INTO public.who_import VALUES (64868, '2020-05-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '547', '0', '4');
INSERT INTO public.who_import VALUES (64869, '2020-05-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '547', '0', '4');
INSERT INTO public.who_import VALUES (64870, '2020-05-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '547', '0', '4');
INSERT INTO public.who_import VALUES (64871, '2020-05-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '547', '0', '4');
INSERT INTO public.who_import VALUES (64872, '2020-05-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '548', '0', '4');
INSERT INTO public.who_import VALUES (64873, '2020-05-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '548', '0', '4');
INSERT INTO public.who_import VALUES (64874, '2020-05-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '554', '0', '4');
INSERT INTO public.who_import VALUES (64875, '2020-05-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '554', '0', '4');
INSERT INTO public.who_import VALUES (64876, '2020-05-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '560', '0', '4');
INSERT INTO public.who_import VALUES (64877, '2020-05-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '560', '0', '4');
INSERT INTO public.who_import VALUES (64878, '2020-05-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '7', '567', '0', '4');
INSERT INTO public.who_import VALUES (64879, '2020-05-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '10', '577', '0', '4');
INSERT INTO public.who_import VALUES (64880, '2020-05-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '19', '596', '0', '4');
INSERT INTO public.who_import VALUES (64881, '2020-05-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '602', '0', '4');
INSERT INTO public.who_import VALUES (64882, '2020-05-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '602', '0', '4');
INSERT INTO public.who_import VALUES (64883, '2020-05-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '602', '1', '5');
INSERT INTO public.who_import VALUES (64884, '2020-05-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '602', '0', '5');
INSERT INTO public.who_import VALUES (64885, '2020-05-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '602', '0', '5');
INSERT INTO public.who_import VALUES (64886, '2020-05-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '3', '605', '0', '5');
INSERT INTO public.who_import VALUES (64887, '2020-05-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '8', '613', '0', '5');
INSERT INTO public.who_import VALUES (64888, '2020-05-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '12', '625', '0', '5');
INSERT INTO public.who_import VALUES (64889, '2020-05-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '625', '0', '5');
INSERT INTO public.who_import VALUES (64890, '2020-05-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '626', '0', '5');
INSERT INTO public.who_import VALUES (64891, '2020-06-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '627', '0', '5');
INSERT INTO public.who_import VALUES (64892, '2020-06-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1', '628', '0', '5');
INSERT INTO public.who_import VALUES (64893, '2020-06-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '630', '0', '5');
INSERT INTO public.who_import VALUES (64894, '2020-06-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '636', '0', '5');
INSERT INTO public.who_import VALUES (64895, '2020-06-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '7', '643', '0', '5');
INSERT INTO public.who_import VALUES (65264, '2020-04-20', 'OM', 'Oman', 'EMRO', '144', '1410', '1', '7');
INSERT INTO public.who_import VALUES (64896, '2020-06-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '643', '0', '5');
INSERT INTO public.who_import VALUES (64897, '2020-06-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '643', '0', '5');
INSERT INTO public.who_import VALUES (64898, '2020-06-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '0', '643', '0', '5');
INSERT INTO public.who_import VALUES (64899, '2020-06-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '652', '0', '5');
INSERT INTO public.who_import VALUES (64900, '2020-06-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '9', '661', '0', '5');
INSERT INTO public.who_import VALUES (64901, '2020-06-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '665', '0', '5');
INSERT INTO public.who_import VALUES (64902, '2020-06-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '667', '0', '5');
INSERT INTO public.who_import VALUES (64903, '2020-06-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2', '669', '0', '5');
INSERT INTO public.who_import VALUES (64904, '2020-06-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '4', '673', '0', '5');
INSERT INTO public.who_import VALUES (64905, '2020-06-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '3', '676', '0', '5');
INSERT INTO public.who_import VALUES (64906, '2020-06-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '13', '689', '0', '5');
INSERT INTO public.who_import VALUES (64907, '2020-06-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '6', '695', '0', '5');
INSERT INTO public.who_import VALUES (64908, '2020-06-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '50', '745', '0', '5');
INSERT INTO public.who_import VALUES (64909, '2020-06-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '50', '795', '0', '5');
INSERT INTO public.who_import VALUES (64910, '2020-06-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '75', '870', '0', '5');
INSERT INTO public.who_import VALUES (64911, '2020-06-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '109', '979', '0', '5');
INSERT INTO public.who_import VALUES (64912, '2020-06-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '49', '1028', '0', '5');
INSERT INTO public.who_import VALUES (64913, '2020-06-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '168', '1196', '0', '5');
INSERT INTO public.who_import VALUES (64914, '2020-06-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '179', '1375', '0', '5');
INSERT INTO public.who_import VALUES (64915, '2020-06-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '159', '1534', '0', '5');
INSERT INTO public.who_import VALUES (64916, '2020-06-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '54', '1588', '0', '5');
INSERT INTO public.who_import VALUES (64917, '2020-06-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '207', '1795', '0', '5');
INSERT INTO public.who_import VALUES (64918, '2020-06-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '258', '2053', '2', '7');
INSERT INTO public.who_import VALUES (64919, '2020-06-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '195', '2248', '0', '7');
INSERT INTO public.who_import VALUES (64920, '2020-06-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '195', '2443', '1', '8');
INSERT INTO public.who_import VALUES (64921, '2020-07-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '322', '2765', '3', '11');
INSERT INTO public.who_import VALUES (64922, '2020-07-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '330', '3095', '0', '11');
INSERT INTO public.who_import VALUES (64923, '2020-07-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '322', '3417', '0', '11');
INSERT INTO public.who_import VALUES (64924, '2020-07-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '272', '3689', '4', '15');
INSERT INTO public.who_import VALUES (64925, '2020-07-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '561', '4250', '4', '19');
INSERT INTO public.who_import VALUES (64926, '2020-07-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '472', '4722', '1', '20');
INSERT INTO public.who_import VALUES (64927, '2020-07-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '64', '4786', '1', '21');
INSERT INTO public.who_import VALUES (64928, '2020-07-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '306', '5092', '1', '22');
INSERT INTO public.who_import VALUES (64929, '2020-07-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '475', '5567', '2', '24');
INSERT INTO public.who_import VALUES (64930, '2020-07-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '262', '5829', '3', '27');
INSERT INTO public.who_import VALUES (64931, '2020-07-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '396', '6225', '3', '30');
INSERT INTO public.who_import VALUES (64932, '2020-07-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '463', '6688', '2', '32');
INSERT INTO public.who_import VALUES (64933, '2020-07-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '349', '7037', '7', '39');
INSERT INTO public.who_import VALUES (64934, '2020-07-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '404', '7441', '2', '41');
INSERT INTO public.who_import VALUES (64935, '2020-07-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '293', '7734', '6', '47');
INSERT INTO public.who_import VALUES (64936, '2020-07-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '419', '8153', '0', '47');
INSERT INTO public.who_import VALUES (64937, '2020-07-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '463', '8616', '5', '52');
INSERT INTO public.who_import VALUES (64938, '2020-07-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '439', '9055', '5', '57');
INSERT INTO public.who_import VALUES (64939, '2020-07-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '532', '9587', '5', '62');
INSERT INTO public.who_import VALUES (64940, '2020-07-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '465', '10052', '3', '65');
INSERT INTO public.who_import VALUES (64941, '2020-07-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '468', '10520', '1', '66');
INSERT INTO public.who_import VALUES (64942, '2020-07-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '403', '10923', '1', '67');
INSERT INTO public.who_import VALUES (64943, '2020-07-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '356', '11279', '2', '69');
INSERT INTO public.who_import VALUES (64944, '2020-07-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '596', '11875', '1', '70');
INSERT INTO public.who_import VALUES (64945, '2020-07-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '537', '12412', '3', '73');
INSERT INTO public.who_import VALUES (64946, '2020-07-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '383', '12795', '5', '78');
INSERT INTO public.who_import VALUES (64947, '2020-07-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '330', '13125', '1', '79');
INSERT INTO public.who_import VALUES (64948, '2020-07-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '332', '13457', '2', '81');
INSERT INTO public.who_import VALUES (64949, '2020-07-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '481', '13938', '0', '81');
INSERT INTO public.who_import VALUES (64950, '2020-07-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '520', '14458', '2', '83');
INSERT INTO public.who_import VALUES (64951, '2020-07-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '380', '14838', '1', '84');
INSERT INTO public.who_import VALUES (64952, '2020-08-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '394', '15232', '1', '85');
INSERT INTO public.who_import VALUES (64953, '2020-08-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '323', '15555', '1', '86');
INSERT INTO public.who_import VALUES (64954, '2020-08-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '225', '15780', '1', '87');
INSERT INTO public.who_import VALUES (64955, '2020-08-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '244', '16024', '0', '87');
INSERT INTO public.who_import VALUES (64956, '2020-08-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '604', '16628', '2', '89');
INSERT INTO public.who_import VALUES (64957, '2020-08-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '353', '16981', '3', '92');
INSERT INTO public.who_import VALUES (64958, '2020-08-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '453', '17434', '3', '95');
INSERT INTO public.who_import VALUES (64959, '2020-08-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '514', '17948', '2', '97');
INSERT INTO public.who_import VALUES (64960, '2020-08-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '426', '18374', '6', '103');
INSERT INTO public.who_import VALUES (65265, '2020-04-21', 'OM', 'Oman', 'EMRO', '98', '1508', '1', '8');
INSERT INTO public.who_import VALUES (64961, '2020-08-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '277', '18651', '0', '103');
INSERT INTO public.who_import VALUES (64962, '2020-08-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '470', '19121', '7', '110');
INSERT INTO public.who_import VALUES (64963, '2020-08-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '473', '19594', '4', '114');
INSERT INTO public.who_import VALUES (64964, '2020-08-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '499', '20093', '1', '115');
INSERT INTO public.who_import VALUES (64965, '2020-08-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '432', '20525', '1', '116');
INSERT INTO public.who_import VALUES (64966, '2020-08-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '531', '21056', '0', '116');
INSERT INTO public.who_import VALUES (64967, '2020-08-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '498', '21554', '3', '119');
INSERT INTO public.who_import VALUES (64968, '2020-08-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '381', '21935', '2', '121');
INSERT INTO public.who_import VALUES (64969, '2020-08-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '456', '22391', '2', '123');
INSERT INTO public.who_import VALUES (64970, '2020-08-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '612', '23003', '1', '124');
INSERT INTO public.who_import VALUES (64971, '2020-08-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '424', '23427', '3', '127');
INSERT INTO public.who_import VALUES (64972, '2020-08-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '503', '23930', '4', '131');
INSERT INTO public.who_import VALUES (64973, '2020-08-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '457', '24387', '4', '135');
INSERT INTO public.who_import VALUES (64974, '2020-08-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '311', '24698', '3', '138');
INSERT INTO public.who_import VALUES (64975, '2020-08-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '326', '25024', '5', '143');
INSERT INTO public.who_import VALUES (64976, '2020-08-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '553', '25577', '7', '150');
INSERT INTO public.who_import VALUES (64977, '2020-08-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '585', '26162', '0', '150');
INSERT INTO public.who_import VALUES (64978, '2020-08-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '602', '26764', '2', '152');
INSERT INTO public.who_import VALUES (64979, '2020-08-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '622', '27386', '6', '158');
INSERT INTO public.who_import VALUES (64980, '2020-08-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '724', '28110', '4', '162');
INSERT INTO public.who_import VALUES (64981, '2020-08-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '417', '28527', '2', '164');
INSERT INTO public.who_import VALUES (64982, '2020-08-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '536', '29063', '5', '169');
INSERT INTO public.who_import VALUES (64983, '2020-09-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '875', '29938', '4', '173');
INSERT INTO public.who_import VALUES (64984, '2020-09-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '552', '30490', '7', '180');
INSERT INTO public.who_import VALUES (64985, '2020-09-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '843', '31333', '4', '184');
INSERT INTO public.who_import VALUES (64986, '2020-09-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '596', '31929', '5', '189');
INSERT INTO public.who_import VALUES (64987, '2020-09-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '888', '32817', '3', '192');
INSERT INTO public.who_import VALUES (64988, '2020-09-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '433', '33250', '7', '199');
INSERT INTO public.who_import VALUES (64989, '2020-09-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '762', '34012', '4', '203');
INSERT INTO public.who_import VALUES (64990, '2020-09-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '789', '34801', '3', '206');
INSERT INTO public.who_import VALUES (64991, '2020-09-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '717', '35518', '9', '215');
INSERT INTO public.who_import VALUES (64992, '2020-09-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '696', '36214', '2', '217');
INSERT INTO public.who_import VALUES (64993, '2020-09-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1000', '37214', '7', '224');
INSERT INTO public.who_import VALUES (64994, '2020-09-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '652', '37866', '8', '232');
INSERT INTO public.who_import VALUES (64995, '2020-09-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '650', '38516', '6', '238');
INSERT INTO public.who_import VALUES (64996, '2020-09-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '994', '39510', '12', '250');
INSERT INTO public.who_import VALUES (64997, '2020-09-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '788', '40298', '5', '255');
INSERT INTO public.who_import VALUES (64998, '2020-09-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1118', '41416', '6', '261');
INSERT INTO public.who_import VALUES (64999, '2020-09-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '963', '42379', '15', '276');
INSERT INTO public.who_import VALUES (65000, '2020-09-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '966', '43345', '2', '278');
INSERT INTO public.who_import VALUES (65001, '2020-09-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '692', '44037', '8', '286');
INSERT INTO public.who_import VALUES (65002, '2020-09-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '726', '44763', '5', '291');
INSERT INTO public.who_import VALUES (65003, '2020-09-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '683', '45446', '9', '300');
INSERT INTO public.who_import VALUES (65004, '2020-09-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '611', '46057', '9', '309');
INSERT INTO public.who_import VALUES (65005, '2020-09-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '557', '46614', '5', '314');
INSERT INTO public.who_import VALUES (65006, '2020-09-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '503', '47117', '3', '317');
INSERT INTO public.who_import VALUES (65007, '2020-09-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '713', '47830', '5', '322');
INSERT INTO public.who_import VALUES (65008, '2020-09-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '452', '48282', '5', '327');
INSERT INTO public.who_import VALUES (65009, '2020-09-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '290', '48572', '7', '334');
INSERT INTO public.who_import VALUES (65010, '2020-09-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '620', '49192', '9', '343');
INSERT INTO public.who_import VALUES (65011, '2020-09-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '503', '49695', '10', '353');
INSERT INTO public.who_import VALUES (65012, '2020-09-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '420', '50115', '7', '360');
INSERT INTO public.who_import VALUES (65013, '2020-10-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '426', '50541', '8', '368');
INSERT INTO public.who_import VALUES (65014, '2020-10-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '521', '51062', '8', '376');
INSERT INTO public.who_import VALUES (65015, '2020-10-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '545', '51607', '3', '379');
INSERT INTO public.who_import VALUES (65016, '2020-10-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '406', '52013', '11', '390');
INSERT INTO public.who_import VALUES (65017, '2020-10-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '420', '52433', '1', '391');
INSERT INTO public.who_import VALUES (65018, '2020-10-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '521', '52954', '11', '402');
INSERT INTO public.who_import VALUES (65019, '2020-10-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '475', '53429', '10', '412');
INSERT INTO public.who_import VALUES (65020, '2020-10-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '510', '53939', '6', '418');
INSERT INTO public.who_import VALUES (65021, '2020-10-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '416', '54355', '4', '422');
INSERT INTO public.who_import VALUES (65022, '2020-10-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '498', '54853', '9', '431');
INSERT INTO public.who_import VALUES (65023, '2020-10-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '281', '55134', '11', '442');
INSERT INTO public.who_import VALUES (65024, '2020-10-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '422', '55556', '3', '445');
INSERT INTO public.who_import VALUES (65025, '2020-10-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '395', '55951', '10', '455');
INSERT INTO public.who_import VALUES (65026, '2020-10-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '516', '56467', '4', '459');
INSERT INTO public.who_import VALUES (65027, '2020-10-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '532', '56999', '4', '463');
INSERT INTO public.who_import VALUES (65028, '2020-10-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '442', '57441', '8', '471');
INSERT INTO public.who_import VALUES (65029, '2020-10-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '397', '57838', '1', '472');
INSERT INTO public.who_import VALUES (65030, '2020-10-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '312', '58150', '0', '472');
INSERT INTO public.who_import VALUES (65031, '2020-10-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '389', '58539', '6', '478');
INSERT INTO public.who_import VALUES (65032, '2020-10-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '543', '59082', '6', '484');
INSERT INTO public.who_import VALUES (65033, '2020-10-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '513', '59595', '8', '492');
INSERT INTO public.who_import VALUES (65034, '2020-10-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '569', '60164', '6', '498');
INSERT INTO public.who_import VALUES (65035, '2020-10-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '506', '60670', '8', '506');
INSERT INTO public.who_import VALUES (65036, '2020-10-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '513', '61183', '4', '510');
INSERT INTO public.who_import VALUES (65037, '2020-10-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '410', '61593', '4', '514');
INSERT INTO public.who_import VALUES (65038, '2020-10-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '453', '62046', '5', '519');
INSERT INTO public.who_import VALUES (65039, '2020-10-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '542', '62588', '6', '525');
INSERT INTO public.who_import VALUES (65040, '2020-10-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '576', '63164', '4', '529');
INSERT INTO public.who_import VALUES (65041, '2020-10-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '450', '63614', '8', '537');
INSERT INTO public.who_import VALUES (65042, '2020-10-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '623', '64237', '8', '545');
INSERT INTO public.who_import VALUES (65043, '2020-10-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '504', '64741', '8', '553');
INSERT INTO public.who_import VALUES (65044, '2020-11-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '521', '65262', '2', '555');
INSERT INTO public.who_import VALUES (65045, '2020-11-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '540', '65802', '6', '561');
INSERT INTO public.who_import VALUES (65046, '2020-11-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '749', '66551', '4', '565');
INSERT INTO public.who_import VALUES (65047, '2020-11-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '633', '67184', '8', '573');
INSERT INTO public.who_import VALUES (65048, '2020-11-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '734', '67918', '3', '576');
INSERT INTO public.who_import VALUES (65049, '2020-11-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '582', '68500', '4', '580');
INSERT INTO public.who_import VALUES (65050, '2020-11-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '681', '69181', '3', '583');
INSERT INTO public.who_import VALUES (65051, '2020-11-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '431', '69612', '1', '584');
INSERT INTO public.who_import VALUES (65052, '2020-11-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '549', '70161', '3', '587');
INSERT INTO public.who_import VALUES (65053, '2020-11-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '680', '70841', '6', '593');
INSERT INTO public.who_import VALUES (65054, '2020-11-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '660', '71501', '14', '607');
INSERT INTO public.who_import VALUES (65055, '2020-11-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '643', '72144', '5', '612');
INSERT INTO public.who_import VALUES (65056, '2020-11-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '823', '72967', '5', '617');
INSERT INTO public.who_import VALUES (65057, '2020-11-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '730', '73697', '6', '623');
INSERT INTO public.who_import VALUES (65058, '2020-11-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '653', '74350', '10', '633');
INSERT INTO public.who_import VALUES (65059, '2020-11-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '976', '75326', '7', '640');
INSERT INTO public.who_import VALUES (65060, '2020-11-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '836', '76162', '7', '647');
INSERT INTO public.who_import VALUES (65061, '2020-11-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1158', '77320', '11', '658');
INSERT INTO public.who_import VALUES (65062, '2020-11-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1251', '78571', '9', '667');
INSERT INTO public.who_import VALUES (65063, '2020-11-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1251', '79822', '9', '676');
INSERT INTO public.who_import VALUES (65064, '2020-11-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1472', '81294', '8', '684');
INSERT INTO public.who_import VALUES (65065, '2020-11-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1486', '82780', '14', '698');
INSERT INTO public.who_import VALUES (65066, '2020-11-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1560', '84340', '16', '714');
INSERT INTO public.who_import VALUES (65067, '2020-11-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1552', '85892', '9', '723');
INSERT INTO public.who_import VALUES (65068, '2020-11-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1946', '87838', '17', '740');
INSERT INTO public.who_import VALUES (65069, '2020-11-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1720', '89558', '9', '749');
INSERT INTO public.who_import VALUES (65070, '2020-11-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1906', '91464', '18', '767');
INSERT INTO public.who_import VALUES (65071, '2020-11-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1936', '93400', '9', '776');
INSERT INTO public.who_import VALUES (65072, '2020-11-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1461', '94861', '15', '791');
INSERT INTO public.who_import VALUES (65073, '2020-11-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1927', '96788', '16', '807');
INSERT INTO public.who_import VALUES (65074, '2020-12-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2062', '98850', '15', '822');
INSERT INTO public.who_import VALUES (65075, '2020-12-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2536', '101386', '16', '838');
INSERT INTO public.who_import VALUES (65076, '2020-12-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2188', '103574', '16', '854');
INSERT INTO public.who_import VALUES (65077, '2020-12-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2738', '106312', '19', '873');
INSERT INTO public.who_import VALUES (65078, '2020-12-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1968', '108280', '17', '890');
INSERT INTO public.who_import VALUES (65079, '2020-12-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1422', '109702', '15', '905');
INSERT INTO public.who_import VALUES (65080, '2020-12-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2333', '112035', '17', '922');
INSERT INTO public.who_import VALUES (65081, '2020-12-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1720', '113755', '20', '942');
INSERT INTO public.who_import VALUES (65082, '2020-12-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1595', '115350', '19', '961');
INSERT INTO public.who_import VALUES (65083, '2020-12-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1883', '117233', '23', '984');
INSERT INTO public.who_import VALUES (65084, '2020-12-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2181', '119414', '24', '1008');
INSERT INTO public.who_import VALUES (65085, '2020-12-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1743', '121157', '21', '1029');
INSERT INTO public.who_import VALUES (65086, '2020-12-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1845', '123002', '33', '1062');
INSERT INTO public.who_import VALUES (65087, '2020-12-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1639', '124641', '17', '1079');
INSERT INTO public.who_import VALUES (65088, '2020-12-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1564', '126205', '28', '1107');
INSERT INTO public.who_import VALUES (65266, '2020-04-22', 'OM', 'Oman', 'EMRO', '106', '1614', '0', '8');
INSERT INTO public.who_import VALUES (65089, '2020-12-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2307', '128512', '23', '1130');
INSERT INTO public.who_import VALUES (65090, '2020-12-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2525', '131037', '26', '1156');
INSERT INTO public.who_import VALUES (65091, '2020-12-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2149', '133186', '30', '1186');
INSERT INTO public.who_import VALUES (65092, '2020-12-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2170', '135356', '21', '1207');
INSERT INTO public.who_import VALUES (65093, '2020-12-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1750', '137106', '25', '1232');
INSERT INTO public.who_import VALUES (65094, '2020-12-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1427', '138533', '24', '1256');
INSERT INTO public.who_import VALUES (65095, '2020-12-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1514', '140047', '31', '1287');
INSERT INTO public.who_import VALUES (65096, '2020-12-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1561', '141608', '29', '1316');
INSERT INTO public.who_import VALUES (65097, '2020-12-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '2110', '143718', '31', '1347');
INSERT INTO public.who_import VALUES (65098, '2020-12-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1704', '145422', '17', '1364');
INSERT INTO public.who_import VALUES (65099, '2020-12-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1812', '147234', '21', '1385');
INSERT INTO public.who_import VALUES (65100, '2020-12-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1306', '148540', '21', '1406');
INSERT INTO public.who_import VALUES (65101, '2020-12-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1506', '150046', '28', '1434');
INSERT INTO public.who_import VALUES (65102, '2020-12-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1363', '151409', '26', '1460');
INSERT INTO public.who_import VALUES (65103, '2020-12-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1149', '152558', '19', '1479');
INSERT INTO public.who_import VALUES (65104, '2020-12-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1539', '154097', '21', '1500');
INSERT INTO public.who_import VALUES (65105, '2021-01-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1268', '155365', '29', '1529');
INSERT INTO public.who_import VALUES (65106, '2021-01-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1450', '156815', '21', '1550');
INSERT INTO public.who_import VALUES (65107, '2021-01-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1064', '157879', '28', '1578');
INSERT INTO public.who_import VALUES (65108, '2021-01-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1155', '159034', '31', '1609');
INSERT INTO public.who_import VALUES (65109, '2021-01-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1009', '160043', '20', '1629');
INSERT INTO public.who_import VALUES (65110, '2021-01-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1191', '161234', '20', '1649');
INSERT INTO public.who_import VALUES (65111, '2021-01-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1088', '162322', '14', '1663');
INSERT INTO public.who_import VALUES (65112, '2021-01-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1251', '163573', '21', '1684');
INSERT INTO public.who_import VALUES (65113, '2021-01-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '822', '164395', '23', '1707');
INSERT INTO public.who_import VALUES (65114, '2021-01-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '855', '165250', '28', '1735');
INSERT INTO public.who_import VALUES (65115, '2021-01-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '699', '165949', '21', '1756');
INSERT INTO public.who_import VALUES (65116, '2021-01-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '928', '166877', '12', '1768');
INSERT INTO public.who_import VALUES (65117, '2021-01-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '797', '167674', '16', '1784');
INSERT INTO public.who_import VALUES (65118, '2021-01-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '978', '168652', '30', '1814');
INSERT INTO public.who_import VALUES (65119, '2021-01-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '736', '169388', '7', '1821');
INSERT INTO public.who_import VALUES (65120, '2021-01-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '822', '170210', '27', '1848');
INSERT INTO public.who_import VALUES (65121, '2021-01-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '427', '170637', '13', '1861');
INSERT INTO public.who_import VALUES (65122, '2021-01-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '578', '171215', '20', '1881');
INSERT INTO public.who_import VALUES (65123, '2021-01-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '524', '171739', '8', '1889');
INSERT INTO public.who_import VALUES (65124, '2021-01-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '660', '172399', '19', '1908');
INSERT INTO public.who_import VALUES (65125, '2021-01-21', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '497', '172896', '10', '1918');
INSERT INTO public.who_import VALUES (65126, '2021-01-22', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '574', '173470', '7', '1925');
INSERT INTO public.who_import VALUES (65127, '2021-01-23', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '494', '173964', '12', '1937');
INSERT INTO public.who_import VALUES (65128, '2021-01-24', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '449', '174413', '14', '1951');
INSERT INTO public.who_import VALUES (65129, '2021-01-25', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '533', '174946', '11', '1962');
INSERT INTO public.who_import VALUES (65130, '2021-01-26', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '470', '175416', '5', '1967');
INSERT INTO public.who_import VALUES (65131, '2021-01-27', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '660', '176076', '10', '1977');
INSERT INTO public.who_import VALUES (65132, '2021-01-28', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '603', '176679', '5', '1982');
INSERT INTO public.who_import VALUES (65133, '2021-01-29', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '747', '177426', '8', '1990');
INSERT INTO public.who_import VALUES (65134, '2021-01-30', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '575', '178001', '11', '2001');
INSERT INTO public.who_import VALUES (65135, '2021-01-31', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '515', '178516', '9', '2010');
INSERT INTO public.who_import VALUES (65136, '2021-02-01', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '403', '178919', '2', '2012');
INSERT INTO public.who_import VALUES (65137, '2021-02-02', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '586', '179505', '11', '2023');
INSERT INTO public.who_import VALUES (65138, '2021-02-03', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '513', '180018', '9', '2032');
INSERT INTO public.who_import VALUES (65139, '2021-02-04', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '670', '180688', '10', '2042');
INSERT INTO public.who_import VALUES (65140, '2021-02-05', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '661', '181349', '8', '2050');
INSERT INTO public.who_import VALUES (65141, '2021-02-06', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '722', '182071', '5', '2055');
INSERT INTO public.who_import VALUES (65142, '2021-02-07', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '470', '182541', '3', '2058');
INSERT INTO public.who_import VALUES (65143, '2021-02-08', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '824', '183365', '14', '2072');
INSERT INTO public.who_import VALUES (65144, '2021-02-09', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '612', '183977', '7', '2079');
INSERT INTO public.who_import VALUES (65145, '2021-02-10', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1022', '184999', '9', '2088');
INSERT INTO public.who_import VALUES (65146, '2021-02-11', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '761', '185760', '12', '2100');
INSERT INTO public.who_import VALUES (65147, '2021-02-12', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1101', '186861', '2', '2102');
INSERT INTO public.who_import VALUES (65148, '2021-02-13', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '665', '187526', '8', '2110');
INSERT INTO public.who_import VALUES (65149, '2021-02-14', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '938', '188464', '15', '2125');
INSERT INTO public.who_import VALUES (65267, '2020-04-23', 'OM', 'Oman', 'EMRO', '102', '1716', '0', '8');
INSERT INTO public.who_import VALUES (65150, '2021-02-15', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '804', '189268', '3', '2128');
INSERT INTO public.who_import VALUES (65151, '2021-02-16', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1048', '190316', '5', '2133');
INSERT INTO public.who_import VALUES (65152, '2021-02-17', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1043', '191359', '6', '2139');
INSERT INTO public.who_import VALUES (65153, '2021-02-18', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '1432', '192791', '8', '2147');
INSERT INTO public.who_import VALUES (65154, '2021-02-19', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '627', '193418', '8', '2155');
INSERT INTO public.who_import VALUES (65155, '2021-02-20', 'PS', 'occupied Palestinian territory, including east Jerusalem', 'EMRO', '859', '194277', '7', '2162');
INSERT INTO public.who_import VALUES (65156, '2020-01-03', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65157, '2020-01-04', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65158, '2020-01-05', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65159, '2020-01-06', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65160, '2020-01-07', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65161, '2020-01-08', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65162, '2020-01-09', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65163, '2020-01-10', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65164, '2020-01-11', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65165, '2020-01-12', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65166, '2020-01-13', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65167, '2020-01-14', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65168, '2020-01-15', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65169, '2020-01-16', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65170, '2020-01-17', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65171, '2020-01-18', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65172, '2020-01-19', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65173, '2020-01-20', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65174, '2020-01-21', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65175, '2020-01-22', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65176, '2020-01-23', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65177, '2020-01-24', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65178, '2020-01-25', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65179, '2020-01-26', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65180, '2020-01-27', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65181, '2020-01-28', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65182, '2020-01-29', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65183, '2020-01-30', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65184, '2020-01-31', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65185, '2020-02-01', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65186, '2020-02-02', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65187, '2020-02-03', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65188, '2020-02-04', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65189, '2020-02-05', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65190, '2020-02-06', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65191, '2020-02-07', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65192, '2020-02-08', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65193, '2020-02-09', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65194, '2020-02-10', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65195, '2020-02-11', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65196, '2020-02-12', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65197, '2020-02-13', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65198, '2020-02-14', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65199, '2020-02-15', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65200, '2020-02-16', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65201, '2020-02-17', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65202, '2020-02-18', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65203, '2020-02-19', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65204, '2020-02-20', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65205, '2020-02-21', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65206, '2020-02-22', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65207, '2020-02-23', 'OM', 'Oman', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65208, '2020-02-24', 'OM', 'Oman', 'EMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (65209, '2020-02-25', 'OM', 'Oman', 'EMRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (65210, '2020-02-26', 'OM', 'Oman', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (65211, '2020-02-27', 'OM', 'Oman', 'EMRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (65212, '2020-02-28', 'OM', 'Oman', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (65213, '2020-02-29', 'OM', 'Oman', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (65214, '2020-03-01', 'OM', 'Oman', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (65215, '2020-03-02', 'OM', 'Oman', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (65216, '2020-03-03', 'OM', 'Oman', 'EMRO', '6', '16', '0', '0');
INSERT INTO public.who_import VALUES (65217, '2020-03-04', 'OM', 'Oman', 'EMRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (65218, '2020-03-05', 'OM', 'Oman', 'EMRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (65219, '2020-03-06', 'OM', 'Oman', 'EMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (65220, '2020-03-07', 'OM', 'Oman', 'EMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (65221, '2020-03-08', 'OM', 'Oman', 'EMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (65222, '2020-03-09', 'OM', 'Oman', 'EMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (65223, '2020-03-10', 'OM', 'Oman', 'EMRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (65224, '2020-03-11', 'OM', 'Oman', 'EMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (65225, '2020-03-12', 'OM', 'Oman', 'EMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (65226, '2020-03-13', 'OM', 'Oman', 'EMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (65227, '2020-03-14', 'OM', 'Oman', 'EMRO', '2', '24', '0', '0');
INSERT INTO public.who_import VALUES (65228, '2020-03-15', 'OM', 'Oman', 'EMRO', '2', '26', '0', '0');
INSERT INTO public.who_import VALUES (65229, '2020-03-16', 'OM', 'Oman', 'EMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (65230, '2020-03-17', 'OM', 'Oman', 'EMRO', '2', '28', '0', '0');
INSERT INTO public.who_import VALUES (65231, '2020-03-18', 'OM', 'Oman', 'EMRO', '9', '37', '0', '0');
INSERT INTO public.who_import VALUES (65232, '2020-03-19', 'OM', 'Oman', 'EMRO', '6', '43', '0', '0');
INSERT INTO public.who_import VALUES (65233, '2020-03-20', 'OM', 'Oman', 'EMRO', '5', '48', '0', '0');
INSERT INTO public.who_import VALUES (65234, '2020-03-21', 'OM', 'Oman', 'EMRO', '4', '52', '0', '0');
INSERT INTO public.who_import VALUES (65235, '2020-03-22', 'OM', 'Oman', 'EMRO', '3', '55', '0', '0');
INSERT INTO public.who_import VALUES (65236, '2020-03-23', 'OM', 'Oman', 'EMRO', '11', '66', '0', '0');
INSERT INTO public.who_import VALUES (65237, '2020-03-24', 'OM', 'Oman', 'EMRO', '18', '84', '0', '0');
INSERT INTO public.who_import VALUES (65238, '2020-03-25', 'OM', 'Oman', 'EMRO', '15', '99', '0', '0');
INSERT INTO public.who_import VALUES (65239, '2020-03-26', 'OM', 'Oman', 'EMRO', '10', '109', '0', '0');
INSERT INTO public.who_import VALUES (65240, '2020-03-27', 'OM', 'Oman', 'EMRO', '22', '131', '0', '0');
INSERT INTO public.who_import VALUES (65241, '2020-03-28', 'OM', 'Oman', 'EMRO', '21', '152', '0', '0');
INSERT INTO public.who_import VALUES (65242, '2020-03-29', 'OM', 'Oman', 'EMRO', '15', '167', '0', '0');
INSERT INTO public.who_import VALUES (65243, '2020-03-30', 'OM', 'Oman', 'EMRO', '12', '179', '0', '0');
INSERT INTO public.who_import VALUES (65244, '2020-03-31', 'OM', 'Oman', 'EMRO', '13', '192', '0', '0');
INSERT INTO public.who_import VALUES (65245, '2020-04-01', 'OM', 'Oman', 'EMRO', '18', '210', '1', '1');
INSERT INTO public.who_import VALUES (65246, '2020-04-02', 'OM', 'Oman', 'EMRO', '21', '231', '0', '1');
INSERT INTO public.who_import VALUES (65247, '2020-04-03', 'OM', 'Oman', 'EMRO', '21', '252', '0', '1');
INSERT INTO public.who_import VALUES (65248, '2020-04-04', 'OM', 'Oman', 'EMRO', '25', '277', '0', '1');
INSERT INTO public.who_import VALUES (65249, '2020-04-05', 'OM', 'Oman', 'EMRO', '21', '298', '1', '2');
INSERT INTO public.who_import VALUES (65250, '2020-04-06', 'OM', 'Oman', 'EMRO', '33', '331', '0', '2');
INSERT INTO public.who_import VALUES (65251, '2020-04-07', 'OM', 'Oman', 'EMRO', '40', '371', '0', '2');
INSERT INTO public.who_import VALUES (65252, '2020-04-08', 'OM', 'Oman', 'EMRO', '48', '419', '0', '2');
INSERT INTO public.who_import VALUES (65253, '2020-04-09', 'OM', 'Oman', 'EMRO', '38', '457', '0', '2');
INSERT INTO public.who_import VALUES (65254, '2020-04-10', 'OM', 'Oman', 'EMRO', '27', '484', '1', '3');
INSERT INTO public.who_import VALUES (65255, '2020-04-11', 'OM', 'Oman', 'EMRO', '62', '546', '0', '3');
INSERT INTO public.who_import VALUES (65256, '2020-04-12', 'OM', 'Oman', 'EMRO', '53', '599', '1', '4');
INSERT INTO public.who_import VALUES (65257, '2020-04-13', 'OM', 'Oman', 'EMRO', '128', '727', '0', '4');
INSERT INTO public.who_import VALUES (65258, '2020-04-14', 'OM', 'Oman', 'EMRO', '86', '813', '0', '4');
INSERT INTO public.who_import VALUES (65259, '2020-04-15', 'OM', 'Oman', 'EMRO', '97', '910', '0', '4');
INSERT INTO public.who_import VALUES (65260, '2020-04-16', 'OM', 'Oman', 'EMRO', '109', '1019', '0', '4');
INSERT INTO public.who_import VALUES (65261, '2020-04-17', 'OM', 'Oman', 'EMRO', '50', '1069', '1', '5');
INSERT INTO public.who_import VALUES (65262, '2020-04-18', 'OM', 'Oman', 'EMRO', '111', '1180', '1', '6');
INSERT INTO public.who_import VALUES (65263, '2020-04-19', 'OM', 'Oman', 'EMRO', '86', '1266', '0', '6');
INSERT INTO public.who_import VALUES (65269, '2020-04-25', 'OM', 'Oman', 'EMRO', '115', '1905', '1', '10');
INSERT INTO public.who_import VALUES (65270, '2020-04-26', 'OM', 'Oman', 'EMRO', '93', '1998', '0', '10');
INSERT INTO public.who_import VALUES (65271, '2020-04-27', 'OM', 'Oman', 'EMRO', '51', '2049', '0', '10');
INSERT INTO public.who_import VALUES (65272, '2020-04-28', 'OM', 'Oman', 'EMRO', '82', '2131', '0', '10');
INSERT INTO public.who_import VALUES (65273, '2020-04-29', 'OM', 'Oman', 'EMRO', '143', '2274', '0', '10');
INSERT INTO public.who_import VALUES (65274, '2020-04-30', 'OM', 'Oman', 'EMRO', '74', '2348', '1', '11');
INSERT INTO public.who_import VALUES (65275, '2020-05-01', 'OM', 'Oman', 'EMRO', '99', '2447', '0', '11');
INSERT INTO public.who_import VALUES (65276, '2020-05-02', 'OM', 'Oman', 'EMRO', '36', '2483', '1', '12');
INSERT INTO public.who_import VALUES (65277, '2020-05-03', 'OM', 'Oman', 'EMRO', '85', '2568', '0', '12');
INSERT INTO public.who_import VALUES (65278, '2020-05-04', 'OM', 'Oman', 'EMRO', '69', '2637', '0', '12');
INSERT INTO public.who_import VALUES (65279, '2020-05-05', 'OM', 'Oman', 'EMRO', '98', '2735', '0', '12');
INSERT INTO public.who_import VALUES (65280, '2020-05-06', 'OM', 'Oman', 'EMRO', '168', '2903', '1', '13');
INSERT INTO public.who_import VALUES (65281, '2020-05-07', 'OM', 'Oman', 'EMRO', '55', '2958', '1', '14');
INSERT INTO public.who_import VALUES (65282, '2020-05-08', 'OM', 'Oman', 'EMRO', '154', '3112', '1', '15');
INSERT INTO public.who_import VALUES (65283, '2020-05-09', 'OM', 'Oman', 'EMRO', '112', '3224', '2', '17');
INSERT INTO public.who_import VALUES (65284, '2020-05-10', 'OM', 'Oman', 'EMRO', '176', '3400', '0', '17');
INSERT INTO public.who_import VALUES (65285, '2020-05-11', 'OM', 'Oman', 'EMRO', '174', '3574', '0', '17');
INSERT INTO public.who_import VALUES (65286, '2020-05-12', 'OM', 'Oman', 'EMRO', '147', '3721', '0', '17');
INSERT INTO public.who_import VALUES (65287, '2020-05-13', 'OM', 'Oman', 'EMRO', '298', '4019', '0', '17');
INSERT INTO public.who_import VALUES (65288, '2020-05-14', 'OM', 'Oman', 'EMRO', '322', '4341', '0', '17');
INSERT INTO public.who_import VALUES (65289, '2020-05-15', 'OM', 'Oman', 'EMRO', '284', '4625', '3', '20');
INSERT INTO public.who_import VALUES (65290, '2020-05-16', 'OM', 'Oman', 'EMRO', '404', '5029', '1', '21');
INSERT INTO public.who_import VALUES (65291, '2020-05-17', 'OM', 'Oman', 'EMRO', '157', '5186', '1', '22');
INSERT INTO public.who_import VALUES (65292, '2020-05-18', 'OM', 'Oman', 'EMRO', '193', '5379', '1', '23');
INSERT INTO public.who_import VALUES (65293, '2020-05-19', 'OM', 'Oman', 'EMRO', '292', '5671', '4', '27');
INSERT INTO public.who_import VALUES (65294, '2020-05-20', 'OM', 'Oman', 'EMRO', '372', '6043', '2', '29');
INSERT INTO public.who_import VALUES (65295, '2020-05-21', 'OM', 'Oman', 'EMRO', '327', '6370', '1', '30');
INSERT INTO public.who_import VALUES (65296, '2020-05-22', 'OM', 'Oman', 'EMRO', '0', '6370', '2', '32');
INSERT INTO public.who_import VALUES (65297, '2020-05-23', 'OM', 'Oman', 'EMRO', '424', '6794', '2', '34');
INSERT INTO public.who_import VALUES (65298, '2020-05-24', 'OM', 'Oman', 'EMRO', '463', '7257', '2', '36');
INSERT INTO public.who_import VALUES (65299, '2020-05-25', 'OM', 'Oman', 'EMRO', '513', '7770', '1', '37');
INSERT INTO public.who_import VALUES (65300, '2020-05-26', 'OM', 'Oman', 'EMRO', '0', '7770', '0', '37');
INSERT INTO public.who_import VALUES (65301, '2020-05-27', 'OM', 'Oman', 'EMRO', '348', '8118', '0', '37');
INSERT INTO public.who_import VALUES (65302, '2020-05-28', 'OM', 'Oman', 'EMRO', '255', '8373', '2', '39');
INSERT INTO public.who_import VALUES (65303, '2020-05-29', 'OM', 'Oman', 'EMRO', '636', '9009', '1', '40');
INSERT INTO public.who_import VALUES (65304, '2020-05-30', 'OM', 'Oman', 'EMRO', '811', '9820', '1', '41');
INSERT INTO public.who_import VALUES (65305, '2020-05-31', 'OM', 'Oman', 'EMRO', '603', '10423', '1', '42');
INSERT INTO public.who_import VALUES (65306, '2020-06-01', 'OM', 'Oman', 'EMRO', '1014', '11437', '7', '49');
INSERT INTO public.who_import VALUES (65307, '2020-06-02', 'OM', 'Oman', 'EMRO', '786', '12223', '1', '50');
INSERT INTO public.who_import VALUES (65308, '2020-06-03', 'OM', 'Oman', 'EMRO', '576', '12799', '9', '59');
INSERT INTO public.who_import VALUES (65309, '2020-06-04', 'OM', 'Oman', 'EMRO', '738', '13537', '8', '67');
INSERT INTO public.who_import VALUES (65310, '2020-06-05', 'OM', 'Oman', 'EMRO', '779', '14316', '0', '67');
INSERT INTO public.who_import VALUES (65311, '2020-06-06', 'OM', 'Oman', 'EMRO', '770', '15086', '5', '72');
INSERT INTO public.who_import VALUES (65312, '2020-06-07', 'OM', 'Oman', 'EMRO', '930', '16016', '0', '72');
INSERT INTO public.who_import VALUES (65313, '2020-06-08', 'OM', 'Oman', 'EMRO', '866', '16882', '3', '75');
INSERT INTO public.who_import VALUES (65314, '2020-06-09', 'OM', 'Oman', 'EMRO', '604', '17486', '6', '81');
INSERT INTO public.who_import VALUES (65315, '2020-06-10', 'OM', 'Oman', 'EMRO', '712', '18198', '2', '83');
INSERT INTO public.who_import VALUES (65316, '2020-06-11', 'OM', 'Oman', 'EMRO', '689', '18887', '1', '84');
INSERT INTO public.who_import VALUES (65317, '2020-06-12', 'OM', 'Oman', 'EMRO', '1067', '19954', '5', '89');
INSERT INTO public.who_import VALUES (65318, '2020-06-13', 'OM', 'Oman', 'EMRO', '1117', '21071', '7', '96');
INSERT INTO public.who_import VALUES (65319, '2020-06-14', 'OM', 'Oman', 'EMRO', '1006', '22077', '3', '99');
INSERT INTO public.who_import VALUES (65320, '2020-06-15', 'OM', 'Oman', 'EMRO', '1404', '23481', '5', '104');
INSERT INTO public.who_import VALUES (65321, '2020-06-16', 'OM', 'Oman', 'EMRO', '1043', '24524', '4', '108');
INSERT INTO public.who_import VALUES (65322, '2020-06-17', 'OM', 'Oman', 'EMRO', '745', '25269', '6', '114');
INSERT INTO public.who_import VALUES (65323, '2020-06-18', 'OM', 'Oman', 'EMRO', '810', '26079', '2', '116');
INSERT INTO public.who_import VALUES (65324, '2020-06-19', 'OM', 'Oman', 'EMRO', '739', '26818', '3', '119');
INSERT INTO public.who_import VALUES (65325, '2020-06-20', 'OM', 'Oman', 'EMRO', '852', '27670', '6', '125');
INSERT INTO public.who_import VALUES (65326, '2020-06-21', 'OM', 'Oman', 'EMRO', '896', '28566', '3', '128');
INSERT INTO public.who_import VALUES (65327, '2020-06-22', 'OM', 'Oman', 'EMRO', '905', '29471', '3', '131');
INSERT INTO public.who_import VALUES (65328, '2020-06-23', 'OM', 'Oman', 'EMRO', '1605', '31076', '6', '137');
INSERT INTO public.who_import VALUES (65329, '2020-06-24', 'OM', 'Oman', 'EMRO', '1318', '32394', '3', '140');
INSERT INTO public.who_import VALUES (65330, '2020-06-25', 'OM', 'Oman', 'EMRO', '1142', '33536', '2', '142');
INSERT INTO public.who_import VALUES (65331, '2020-06-26', 'OM', 'Oman', 'EMRO', '1366', '34902', '2', '144');
INSERT INTO public.who_import VALUES (65332, '2020-06-27', 'OM', 'Oman', 'EMRO', '1132', '36034', '9', '153');
INSERT INTO public.who_import VALUES (65333, '2020-06-28', 'OM', 'Oman', 'EMRO', '919', '36953', '6', '159');
INSERT INTO public.who_import VALUES (65334, '2020-06-29', 'OM', 'Oman', 'EMRO', '1197', '38150', '4', '163');
INSERT INTO public.who_import VALUES (65335, '2020-06-30', 'OM', 'Oman', 'EMRO', '910', '39060', '6', '169');
INSERT INTO public.who_import VALUES (65336, '2020-07-01', 'OM', 'Oman', 'EMRO', '1010', '40070', '7', '176');
INSERT INTO public.who_import VALUES (65337, '2020-07-02', 'OM', 'Oman', 'EMRO', '1124', '41194', '9', '185');
INSERT INTO public.who_import VALUES (65338, '2020-07-03', 'OM', 'Oman', 'EMRO', '1361', '42555', '3', '188');
INSERT INTO public.who_import VALUES (65339, '2020-07-04', 'OM', 'Oman', 'EMRO', '1374', '43929', '5', '193');
INSERT INTO public.who_import VALUES (65340, '2020-07-05', 'OM', 'Oman', 'EMRO', '1177', '45106', '10', '203');
INSERT INTO public.who_import VALUES (65341, '2020-07-06', 'OM', 'Oman', 'EMRO', '1072', '46178', '10', '213');
INSERT INTO public.who_import VALUES (65342, '2020-07-07', 'OM', 'Oman', 'EMRO', '1557', '47735', '5', '218');
INSERT INTO public.who_import VALUES (65343, '2020-07-08', 'OM', 'Oman', 'EMRO', '1262', '48997', '6', '224');
INSERT INTO public.who_import VALUES (65344, '2020-07-09', 'OM', 'Oman', 'EMRO', '1210', '50207', '9', '233');
INSERT INTO public.who_import VALUES (65345, '2020-07-10', 'OM', 'Oman', 'EMRO', '1518', '51725', '3', '236');
INSERT INTO public.who_import VALUES (65346, '2020-07-11', 'OM', 'Oman', 'EMRO', '1889', '53614', '8', '244');
INSERT INTO public.who_import VALUES (65347, '2020-07-12', 'OM', 'Oman', 'EMRO', '1083', '54697', '4', '248');
INSERT INTO public.who_import VALUES (65348, '2020-07-13', 'OM', 'Oman', 'EMRO', '1318', '56015', '9', '257');
INSERT INTO public.who_import VALUES (65349, '2020-07-14', 'OM', 'Oman', 'EMRO', '2164', '58179', '2', '259');
INSERT INTO public.who_import VALUES (65350, '2020-07-15', 'OM', 'Oman', 'EMRO', '1389', '59568', '14', '273');
INSERT INTO public.who_import VALUES (65351, '2020-07-16', 'OM', 'Oman', 'EMRO', '1679', '61247', '8', '281');
INSERT INTO public.who_import VALUES (65352, '2020-07-17', 'OM', 'Oman', 'EMRO', '1327', '62574', '9', '290');
INSERT INTO public.who_import VALUES (65353, '2020-07-18', 'OM', 'Oman', 'EMRO', '1619', '64193', '8', '298');
INSERT INTO public.who_import VALUES (65354, '2020-07-19', 'OM', 'Oman', 'EMRO', '1311', '65504', '10', '308');
INSERT INTO public.who_import VALUES (65355, '2020-07-20', 'OM', 'Oman', 'EMRO', '1157', '66661', '10', '318');
INSERT INTO public.who_import VALUES (65356, '2020-07-21', 'OM', 'Oman', 'EMRO', '1739', '68400', '8', '326');
INSERT INTO public.who_import VALUES (65357, '2020-07-22', 'OM', 'Oman', 'EMRO', '1487', '69887', '11', '337');
INSERT INTO public.who_import VALUES (65358, '2020-07-23', 'OM', 'Oman', 'EMRO', '1660', '71547', '12', '349');
INSERT INTO public.who_import VALUES (65359, '2020-07-24', 'OM', 'Oman', 'EMRO', '1099', '72646', '6', '355');
INSERT INTO public.who_import VALUES (65360, '2020-07-25', 'OM', 'Oman', 'EMRO', '1145', '73791', '4', '359');
INSERT INTO public.who_import VALUES (65361, '2020-07-26', 'OM', 'Oman', 'EMRO', '1067', '74858', '12', '371');
INSERT INTO public.who_import VALUES (65362, '2020-07-27', 'OM', 'Oman', 'EMRO', '1147', '76005', '13', '384');
INSERT INTO public.who_import VALUES (65363, '2020-07-28', 'OM', 'Oman', 'EMRO', '1053', '77058', '9', '393');
INSERT INTO public.who_import VALUES (65364, '2020-07-29', 'OM', 'Oman', 'EMRO', '846', '77904', '9', '402');
INSERT INTO public.who_import VALUES (65365, '2020-07-30', 'OM', 'Oman', 'EMRO', '665', '78569', '10', '412');
INSERT INTO public.who_import VALUES (65366, '2020-07-31', 'OM', 'Oman', 'EMRO', '590', '79159', '9', '421');
INSERT INTO public.who_import VALUES (65367, '2020-08-01', 'OM', 'Oman', 'EMRO', '0', '79159', '0', '421');
INSERT INTO public.who_import VALUES (65368, '2020-08-02', 'OM', 'Oman', 'EMRO', '0', '79159', '0', '421');
INSERT INTO public.who_import VALUES (65369, '2020-08-03', 'OM', 'Oman', 'EMRO', '0', '79159', '0', '421');
INSERT INTO public.who_import VALUES (65370, '2020-08-04', 'OM', 'Oman', 'EMRO', '542', '79701', '62', '483');
INSERT INTO public.who_import VALUES (65371, '2020-08-05', 'OM', 'Oman', 'EMRO', '0', '79701', '0', '483');
INSERT INTO public.who_import VALUES (65372, '2020-08-06', 'OM', 'Oman', 'EMRO', '585', '80286', '5', '488');
INSERT INTO public.who_import VALUES (65373, '2020-08-07', 'OM', 'Oman', 'EMRO', '427', '80713', '4', '492');
INSERT INTO public.who_import VALUES (65374, '2020-08-08', 'OM', 'Oman', 'EMRO', '354', '81067', '10', '502');
INSERT INTO public.who_import VALUES (65375, '2020-08-09', 'OM', 'Oman', 'EMRO', '290', '81357', '7', '509');
INSERT INTO public.who_import VALUES (65376, '2020-08-10', 'OM', 'Oman', 'EMRO', '223', '81580', '4', '513');
INSERT INTO public.who_import VALUES (65377, '2020-08-11', 'OM', 'Oman', 'EMRO', '207', '81787', '8', '521');
INSERT INTO public.who_import VALUES (65378, '2020-08-12', 'OM', 'Oman', 'EMRO', '263', '82050', '12', '533');
INSERT INTO public.who_import VALUES (65379, '2020-08-13', 'OM', 'Oman', 'EMRO', '249', '82299', '6', '539');
INSERT INTO public.who_import VALUES (65380, '2020-08-14', 'OM', 'Oman', 'EMRO', '232', '82531', '12', '551');
INSERT INTO public.who_import VALUES (65381, '2020-08-15', 'OM', 'Oman', 'EMRO', '212', '82743', '6', '557');
INSERT INTO public.who_import VALUES (65382, '2020-08-16', 'OM', 'Oman', 'EMRO', '181', '82924', '5', '562');
INSERT INTO public.who_import VALUES (65383, '2020-08-17', 'OM', 'Oman', 'EMRO', '162', '83086', '10', '572');
INSERT INTO public.who_import VALUES (65384, '2020-08-18', 'OM', 'Oman', 'EMRO', '140', '83226', '16', '588');
INSERT INTO public.who_import VALUES (65385, '2020-08-19', 'OM', 'Oman', 'EMRO', '192', '83418', '9', '597');
INSERT INTO public.who_import VALUES (65386, '2020-08-20', 'OM', 'Oman', 'EMRO', '188', '83606', '6', '603');
INSERT INTO public.who_import VALUES (65387, '2020-08-21', 'OM', 'Oman', 'EMRO', '163', '83769', '6', '609');
INSERT INTO public.who_import VALUES (65388, '2020-08-22', 'OM', 'Oman', 'EMRO', '0', '83769', '0', '609');
INSERT INTO public.who_import VALUES (65389, '2020-08-23', 'OM', 'Oman', 'EMRO', '0', '83769', '0', '609');
INSERT INTO public.who_import VALUES (65390, '2020-08-24', 'OM', 'Oman', 'EMRO', '0', '83769', '0', '609');
INSERT INTO public.who_import VALUES (65391, '2020-08-25', 'OM', 'Oman', 'EMRO', '740', '84509', '28', '637');
INSERT INTO public.who_import VALUES (65392, '2020-08-26', 'OM', 'Oman', 'EMRO', '143', '84652', '5', '642');
INSERT INTO public.who_import VALUES (65393, '2020-08-27', 'OM', 'Oman', 'EMRO', '166', '84818', '4', '646');
INSERT INTO public.who_import VALUES (65394, '2020-08-28', 'OM', 'Oman', 'EMRO', '187', '85005', '4', '650');
INSERT INTO public.who_import VALUES (65395, '2020-08-29', 'OM', 'Oman', 'EMRO', '0', '85005', '0', '650');
INSERT INTO public.who_import VALUES (65396, '2020-08-30', 'OM', 'Oman', 'EMRO', '0', '85005', '0', '650');
INSERT INTO public.who_import VALUES (65397, '2020-08-31', 'OM', 'Oman', 'EMRO', '539', '85544', '27', '677');
INSERT INTO public.who_import VALUES (65398, '2020-09-01', 'OM', 'Oman', 'EMRO', '178', '85722', '8', '685');
INSERT INTO public.who_import VALUES (65399, '2020-09-02', 'OM', 'Oman', 'EMRO', '206', '85928', '4', '689');
INSERT INTO public.who_import VALUES (65400, '2020-09-03', 'OM', 'Oman', 'EMRO', '0', '85928', '0', '689');
INSERT INTO public.who_import VALUES (65401, '2020-09-04', 'OM', 'Oman', 'EMRO', '452', '86380', '16', '705');
INSERT INTO public.who_import VALUES (65402, '2020-09-05', 'OM', 'Oman', 'EMRO', '0', '86380', '0', '705');
INSERT INTO public.who_import VALUES (65403, '2020-09-06', 'OM', 'Oman', 'EMRO', '0', '86380', '0', '705');
INSERT INTO public.who_import VALUES (65404, '2020-09-07', 'OM', 'Oman', 'EMRO', '692', '87072', '23', '728');
INSERT INTO public.who_import VALUES (65405, '2020-09-08', 'OM', 'Oman', 'EMRO', '256', '87328', '6', '734');
INSERT INTO public.who_import VALUES (65406, '2020-09-09', 'OM', 'Oman', 'EMRO', '262', '87590', '8', '742');
INSERT INTO public.who_import VALUES (65407, '2020-09-10', 'OM', 'Oman', 'EMRO', '349', '87939', '9', '751');
INSERT INTO public.who_import VALUES (65408, '2020-09-11', 'OM', 'Oman', 'EMRO', '398', '88337', '11', '762');
INSERT INTO public.who_import VALUES (65409, '2020-09-12', 'OM', 'Oman', 'EMRO', '0', '88337', '0', '762');
INSERT INTO public.who_import VALUES (65410, '2020-09-13', 'OM', 'Oman', 'EMRO', '0', '88337', '0', '762');
INSERT INTO public.who_import VALUES (65411, '2020-09-14', 'OM', 'Oman', 'EMRO', '1409', '89746', '18', '780');
INSERT INTO public.who_import VALUES (65412, '2020-09-15', 'OM', 'Oman', 'EMRO', '476', '90222', '10', '790');
INSERT INTO public.who_import VALUES (65413, '2020-09-16', 'OM', 'Oman', 'EMRO', '438', '90660', '7', '797');
INSERT INTO public.who_import VALUES (65414, '2020-09-17', 'OM', 'Oman', 'EMRO', '536', '91196', '8', '805');
INSERT INTO public.who_import VALUES (65415, '2020-09-18', 'OM', 'Oman', 'EMRO', '557', '91753', '13', '818');
INSERT INTO public.who_import VALUES (65416, '2020-09-19', 'OM', 'Oman', 'EMRO', '0', '91753', '0', '818');
INSERT INTO public.who_import VALUES (65417, '2020-09-20', 'OM', 'Oman', 'EMRO', '0', '91753', '0', '818');
INSERT INTO public.who_import VALUES (65418, '2020-09-21', 'OM', 'Oman', 'EMRO', '1722', '93475', '28', '846');
INSERT INTO public.who_import VALUES (65419, '2020-09-22', 'OM', 'Oman', 'EMRO', '576', '94051', '7', '853');
INSERT INTO public.who_import VALUES (65420, '2020-09-23', 'OM', 'Oman', 'EMRO', '660', '94711', '12', '865');
INSERT INTO public.who_import VALUES (65421, '2020-09-24', 'OM', 'Oman', 'EMRO', '628', '95339', '10', '875');
INSERT INTO public.who_import VALUES (65422, '2020-09-25', 'OM', 'Oman', 'EMRO', '568', '95907', '10', '885');
INSERT INTO public.who_import VALUES (65423, '2020-09-26', 'OM', 'Oman', 'EMRO', '0', '95907', '0', '885');
INSERT INTO public.who_import VALUES (65424, '2020-09-27', 'OM', 'Oman', 'EMRO', '0', '95907', '0', '885');
INSERT INTO public.who_import VALUES (65425, '2020-09-28', 'OM', 'Oman', 'EMRO', '1543', '97450', '24', '909');
INSERT INTO public.who_import VALUES (65426, '2020-09-29', 'OM', 'Oman', 'EMRO', '607', '98057', '15', '924');
INSERT INTO public.who_import VALUES (65427, '2020-09-30', 'OM', 'Oman', 'EMRO', '528', '98585', '11', '935');
INSERT INTO public.who_import VALUES (65428, '2020-10-01', 'OM', 'Oman', 'EMRO', '0', '98585', '0', '935');
INSERT INTO public.who_import VALUES (65429, '2020-10-02', 'OM', 'Oman', 'EMRO', '0', '98585', '0', '935');
INSERT INTO public.who_import VALUES (65430, '2020-10-03', 'OM', 'Oman', 'EMRO', '0', '98585', '0', '935');
INSERT INTO public.who_import VALUES (65431, '2020-10-04', 'OM', 'Oman', 'EMRO', '0', '98585', '0', '935');
INSERT INTO public.who_import VALUES (65432, '2020-10-05', 'OM', 'Oman', 'EMRO', '2685', '101270', '42', '977');
INSERT INTO public.who_import VALUES (65433, '2020-10-06', 'OM', 'Oman', 'EMRO', '544', '101814', '8', '985');
INSERT INTO public.who_import VALUES (65434, '2020-10-07', 'OM', 'Oman', 'EMRO', '834', '102648', '5', '990');
INSERT INTO public.who_import VALUES (65435, '2020-10-08', 'OM', 'Oman', 'EMRO', '817', '103465', '10', '1000');
INSERT INTO public.who_import VALUES (65436, '2020-10-09', 'OM', 'Oman', 'EMRO', '664', '104129', '9', '1009');
INSERT INTO public.who_import VALUES (65437, '2020-10-10', 'OM', 'Oman', 'EMRO', '0', '104129', '0', '1009');
INSERT INTO public.who_import VALUES (65438, '2020-10-11', 'OM', 'Oman', 'EMRO', '0', '104129', '0', '1009');
INSERT INTO public.who_import VALUES (65439, '2020-10-12', 'OM', 'Oman', 'EMRO', '1761', '105890', '29', '1038');
INSERT INTO public.who_import VALUES (65440, '2020-10-13', 'OM', 'Oman', 'EMRO', '685', '106575', '8', '1046');
INSERT INTO public.who_import VALUES (65441, '2020-10-14', 'OM', 'Oman', 'EMRO', '638', '107213', '7', '1053');
INSERT INTO public.who_import VALUES (65442, '2020-10-15', 'OM', 'Oman', 'EMRO', '563', '107776', '8', '1061');
INSERT INTO public.who_import VALUES (65443, '2020-10-16', 'OM', 'Oman', 'EMRO', '520', '108296', '10', '1071');
INSERT INTO public.who_import VALUES (65444, '2020-10-17', 'OM', 'Oman', 'EMRO', '0', '108296', '0', '1071');
INSERT INTO public.who_import VALUES (65445, '2020-10-18', 'OM', 'Oman', 'EMRO', '0', '108296', '0', '1071');
INSERT INTO public.who_import VALUES (65446, '2020-10-19', 'OM', 'Oman', 'EMRO', '1657', '109953', '30', '1101');
INSERT INTO public.who_import VALUES (65447, '2020-10-20', 'OM', 'Oman', 'EMRO', '641', '110594', '13', '1114');
INSERT INTO public.who_import VALUES (65448, '2020-10-21', 'OM', 'Oman', 'EMRO', '439', '111033', '8', '1122');
INSERT INTO public.who_import VALUES (65449, '2020-10-22', 'OM', 'Oman', 'EMRO', '451', '111484', '15', '1137');
INSERT INTO public.who_import VALUES (65450, '2020-10-23', 'OM', 'Oman', 'EMRO', '353', '111837', '10', '1147');
INSERT INTO public.who_import VALUES (65451, '2020-10-24', 'OM', 'Oman', 'EMRO', '0', '111837', '0', '1147');
INSERT INTO public.who_import VALUES (65452, '2020-10-25', 'OM', 'Oman', 'EMRO', '0', '111837', '0', '1147');
INSERT INTO public.who_import VALUES (65453, '2020-10-26', 'OM', 'Oman', 'EMRO', '1095', '112932', '27', '1174');
INSERT INTO public.who_import VALUES (65454, '2020-10-27', 'OM', 'Oman', 'EMRO', '422', '113354', '16', '1190');
INSERT INTO public.who_import VALUES (65455, '2020-10-28', 'OM', 'Oman', 'EMRO', '466', '113820', '13', '1203');
INSERT INTO public.who_import VALUES (65456, '2020-10-29', 'OM', 'Oman', 'EMRO', '614', '114434', '5', '1208');
INSERT INTO public.who_import VALUES (65457, '2020-10-30', 'OM', 'Oman', 'EMRO', '0', '114434', '0', '1208');
INSERT INTO public.who_import VALUES (65458, '2020-10-31', 'OM', 'Oman', 'EMRO', '0', '114434', '0', '1208');
INSERT INTO public.who_import VALUES (65459, '2020-11-01', 'OM', 'Oman', 'EMRO', '0', '114434', '0', '1208');
INSERT INTO public.who_import VALUES (65460, '2020-11-02', 'OM', 'Oman', 'EMRO', '1300', '115734', '38', '1246');
INSERT INTO public.who_import VALUES (65461, '2020-11-03', 'OM', 'Oman', 'EMRO', '418', '116152', '10', '1256');
INSERT INTO public.who_import VALUES (65462, '2020-11-04', 'OM', 'Oman', 'EMRO', '376', '116528', '8', '1264');
INSERT INTO public.who_import VALUES (65463, '2020-11-05', 'OM', 'Oman', 'EMRO', '319', '116847', '11', '1275');
INSERT INTO public.who_import VALUES (65464, '2020-11-06', 'OM', 'Oman', 'EMRO', '320', '117167', '11', '1286');
INSERT INTO public.who_import VALUES (65465, '2020-11-07', 'OM', 'Oman', 'EMRO', '0', '117167', '0', '1286');
INSERT INTO public.who_import VALUES (65466, '2020-11-08', 'OM', 'Oman', 'EMRO', '0', '117167', '0', '1286');
INSERT INTO public.who_import VALUES (65467, '2020-11-09', 'OM', 'Oman', 'EMRO', '973', '118140', '15', '1301');
INSERT INTO public.who_import VALUES (65468, '2020-11-10', 'OM', 'Oman', 'EMRO', '363', '118503', '9', '1310');
INSERT INTO public.who_import VALUES (65469, '2020-11-11', 'OM', 'Oman', 'EMRO', '381', '118884', '6', '1316');
INSERT INTO public.who_import VALUES (65470, '2020-11-12', 'OM', 'Oman', 'EMRO', '302', '119186', '5', '1321');
INSERT INTO public.who_import VALUES (65471, '2020-11-13', 'OM', 'Oman', 'EMRO', '256', '119442', '5', '1326');
INSERT INTO public.who_import VALUES (65472, '2020-11-14', 'OM', 'Oman', 'EMRO', '0', '119442', '0', '1326');
INSERT INTO public.who_import VALUES (65473, '2020-11-15', 'OM', 'Oman', 'EMRO', '0', '119442', '0', '1326');
INSERT INTO public.who_import VALUES (65474, '2020-11-16', 'OM', 'Oman', 'EMRO', '947', '120389', '12', '1338');
INSERT INTO public.who_import VALUES (65475, '2020-11-17', 'OM', 'Oman', 'EMRO', '329', '120718', '12', '1350');
INSERT INTO public.who_import VALUES (65476, '2020-11-18', 'OM', 'Oman', 'EMRO', '0', '120718', '0', '1350');
INSERT INTO public.who_import VALUES (65477, '2020-11-19', 'OM', 'Oman', 'EMRO', '411', '121129', '10', '1360');
INSERT INTO public.who_import VALUES (65478, '2020-11-20', 'OM', 'Oman', 'EMRO', '231', '121360', '5', '1365');
INSERT INTO public.who_import VALUES (65479, '2020-11-21', 'OM', 'Oman', 'EMRO', '0', '121360', '0', '1365');
INSERT INTO public.who_import VALUES (65480, '2020-11-22', 'OM', 'Oman', 'EMRO', '0', '121360', '0', '1365');
INSERT INTO public.who_import VALUES (65481, '2020-11-23', 'OM', 'Oman', 'EMRO', '721', '122081', '15', '1380');
INSERT INTO public.who_import VALUES (65482, '2020-11-24', 'OM', 'Oman', 'EMRO', '275', '122356', '6', '1386');
INSERT INTO public.who_import VALUES (65483, '2020-11-25', 'OM', 'Oman', 'EMRO', '223', '122579', '5', '1391');
INSERT INTO public.who_import VALUES (65484, '2020-11-26', 'OM', 'Oman', 'EMRO', '0', '122579', '0', '1391');
INSERT INTO public.who_import VALUES (65485, '2020-11-27', 'OM', 'Oman', 'EMRO', '0', '122579', '0', '1391');
INSERT INTO public.who_import VALUES (65486, '2020-11-28', 'OM', 'Oman', 'EMRO', '0', '122579', '0', '1391');
INSERT INTO public.who_import VALUES (65487, '2020-11-29', 'OM', 'Oman', 'EMRO', '0', '122579', '0', '1391');
INSERT INTO public.who_import VALUES (65488, '2020-11-30', 'OM', 'Oman', 'EMRO', '905', '123484', '27', '1418');
INSERT INTO public.who_import VALUES (65489, '2020-12-01', 'OM', 'Oman', 'EMRO', '215', '123699', '5', '1423');
INSERT INTO public.who_import VALUES (65490, '2020-12-02', 'OM', 'Oman', 'EMRO', '209', '123908', '7', '1430');
INSERT INTO public.who_import VALUES (65491, '2020-12-03', 'OM', 'Oman', 'EMRO', '237', '124145', '0', '1430');
INSERT INTO public.who_import VALUES (65492, '2020-12-04', 'OM', 'Oman', 'EMRO', '184', '124329', '5', '1435');
INSERT INTO public.who_import VALUES (65493, '2020-12-05', 'OM', 'Oman', 'EMRO', '0', '124329', '0', '1435');
INSERT INTO public.who_import VALUES (65494, '2020-12-06', 'OM', 'Oman', 'EMRO', '0', '124329', '0', '1435');
INSERT INTO public.who_import VALUES (65495, '2020-12-07', 'OM', 'Oman', 'EMRO', '557', '124886', '9', '1444');
INSERT INTO public.who_import VALUES (65496, '2020-12-08', 'OM', 'Oman', 'EMRO', '229', '125115', '8', '1452');
INSERT INTO public.who_import VALUES (65497, '2020-12-09', 'OM', 'Oman', 'EMRO', '211', '125326', '2', '1454');
INSERT INTO public.who_import VALUES (65498, '2020-12-10', 'OM', 'Oman', 'EMRO', '164', '125490', '7', '1461');
INSERT INTO public.who_import VALUES (65499, '2020-12-11', 'OM', 'Oman', 'EMRO', '179', '125669', '2', '1463');
INSERT INTO public.who_import VALUES (65500, '2020-12-12', 'OM', 'Oman', 'EMRO', '0', '125669', '0', '1463');
INSERT INTO public.who_import VALUES (65501, '2020-12-13', 'OM', 'Oman', 'EMRO', '0', '125669', '0', '1463');
INSERT INTO public.who_import VALUES (65502, '2020-12-14', 'OM', 'Oman', 'EMRO', '571', '126240', '8', '1471');
INSERT INTO public.who_import VALUES (65503, '2020-12-15', 'OM', 'Oman', 'EMRO', '264', '126504', '1', '1472');
INSERT INTO public.who_import VALUES (65504, '2020-12-16', 'OM', 'Oman', 'EMRO', '215', '126719', '3', '1475');
INSERT INTO public.who_import VALUES (65505, '2020-12-17', 'OM', 'Oman', 'EMRO', '116', '126835', '5', '1480');
INSERT INTO public.who_import VALUES (65506, '2020-12-18', 'OM', 'Oman', 'EMRO', '184', '127019', '3', '1483');
INSERT INTO public.who_import VALUES (65507, '2020-12-19', 'OM', 'Oman', 'EMRO', '0', '127019', '0', '1483');
INSERT INTO public.who_import VALUES (65508, '2020-12-20', 'OM', 'Oman', 'EMRO', '0', '127019', '0', '1483');
INSERT INTO public.who_import VALUES (65509, '2020-12-21', 'OM', 'Oman', 'EMRO', '648', '127667', '5', '1488');
INSERT INTO public.who_import VALUES (65510, '2020-12-22', 'OM', 'Oman', 'EMRO', '264', '127931', '1', '1489');
INSERT INTO public.who_import VALUES (65511, '2020-12-23', 'OM', 'Oman', 'EMRO', '212', '128143', '1', '1490');
INSERT INTO public.who_import VALUES (65512, '2020-12-24', 'OM', 'Oman', 'EMRO', '93', '128236', '1', '1491');
INSERT INTO public.who_import VALUES (65513, '2020-12-25', 'OM', 'Oman', 'EMRO', '54', '128290', '0', '1491');
INSERT INTO public.who_import VALUES (65514, '2020-12-26', 'OM', 'Oman', 'EMRO', '0', '128290', '0', '1491');
INSERT INTO public.who_import VALUES (65515, '2020-12-27', 'OM', 'Oman', 'EMRO', '0', '128290', '0', '1491');
INSERT INTO public.who_import VALUES (65516, '2020-12-28', 'OM', 'Oman', 'EMRO', '182', '128472', '4', '1495');
INSERT INTO public.who_import VALUES (65517, '2020-12-29', 'OM', 'Oman', 'EMRO', '91', '128563', '0', '1495');
INSERT INTO public.who_import VALUES (65518, '2020-12-30', 'OM', 'Oman', 'EMRO', '70', '128633', '2', '1497');
INSERT INTO public.who_import VALUES (65519, '2020-12-31', 'OM', 'Oman', 'EMRO', '86', '128719', '0', '1497');
INSERT INTO public.who_import VALUES (65520, '2021-01-01', 'OM', 'Oman', 'EMRO', '148', '128867', '2', '1499');
INSERT INTO public.who_import VALUES (65521, '2021-01-02', 'OM', 'Oman', 'EMRO', '0', '128867', '0', '1499');
INSERT INTO public.who_import VALUES (65522, '2021-01-03', 'OM', 'Oman', 'EMRO', '0', '128867', '0', '1499');
INSERT INTO public.who_import VALUES (65523, '2021-01-04', 'OM', 'Oman', 'EMRO', '537', '129404', '2', '1501');
INSERT INTO public.who_import VALUES (65524, '2021-01-05', 'OM', 'Oman', 'EMRO', '180', '129584', '1', '1502');
INSERT INTO public.who_import VALUES (65525, '2021-01-06', 'OM', 'Oman', 'EMRO', '190', '129774', '0', '1502');
INSERT INTO public.who_import VALUES (65526, '2021-01-07', 'OM', 'Oman', 'EMRO', '114', '129888', '2', '1504');
INSERT INTO public.who_import VALUES (65527, '2021-01-08', 'OM', 'Oman', 'EMRO', '182', '130070', '1', '1505');
INSERT INTO public.who_import VALUES (65528, '2021-01-09', 'OM', 'Oman', 'EMRO', '0', '130070', '0', '1505');
INSERT INTO public.who_import VALUES (65529, '2021-01-10', 'OM', 'Oman', 'EMRO', '0', '130070', '0', '1505');
INSERT INTO public.who_import VALUES (65530, '2021-01-11', 'OM', 'Oman', 'EMRO', '538', '130608', '3', '1508');
INSERT INTO public.who_import VALUES (65531, '2021-01-12', 'OM', 'Oman', 'EMRO', '172', '130780', '0', '1508');
INSERT INTO public.who_import VALUES (65532, '2021-01-13', 'OM', 'Oman', 'EMRO', '164', '130944', '0', '1508');
INSERT INTO public.who_import VALUES (65533, '2021-01-14', 'OM', 'Oman', 'EMRO', '142', '131086', '0', '1508');
INSERT INTO public.who_import VALUES (65534, '2021-01-15', 'OM', 'Oman', 'EMRO', '178', '131264', '1', '1509');
INSERT INTO public.who_import VALUES (65535, '2021-01-16', 'OM', 'Oman', 'EMRO', '0', '131264', '0', '1509');
INSERT INTO public.who_import VALUES (65536, '2021-01-17', 'OM', 'Oman', 'EMRO', '0', '131264', '0', '1509');
INSERT INTO public.who_import VALUES (65537, '2021-01-18', 'OM', 'Oman', 'EMRO', '526', '131790', '3', '1512');
INSERT INTO public.who_import VALUES (65538, '2021-01-19', 'OM', 'Oman', 'EMRO', '221', '132011', '2', '1514');
INSERT INTO public.who_import VALUES (65539, '2021-01-20', 'OM', 'Oman', 'EMRO', '135', '132146', '2', '1516');
INSERT INTO public.who_import VALUES (65540, '2021-01-21', 'OM', 'Oman', 'EMRO', '171', '132317', '0', '1516');
INSERT INTO public.who_import VALUES (65541, '2021-01-22', 'OM', 'Oman', 'EMRO', '169', '132486', '1', '1517');
INSERT INTO public.who_import VALUES (65542, '2021-01-23', 'OM', 'Oman', 'EMRO', '0', '132486', '0', '1517');
INSERT INTO public.who_import VALUES (65543, '2021-01-24', 'OM', 'Oman', 'EMRO', '0', '132486', '0', '1517');
INSERT INTO public.who_import VALUES (65544, '2021-01-25', 'OM', 'Oman', 'EMRO', '558', '133044', '4', '1521');
INSERT INTO public.who_import VALUES (65545, '2021-01-26', 'OM', 'Oman', 'EMRO', '209', '133253', '1', '1522');
INSERT INTO public.who_import VALUES (65546, '2021-01-27', 'OM', 'Oman', 'EMRO', '154', '133407', '2', '1524');
INSERT INTO public.who_import VALUES (65547, '2021-01-28', 'OM', 'Oman', 'EMRO', '167', '133574', '1', '1525');
INSERT INTO public.who_import VALUES (65548, '2021-01-29', 'OM', 'Oman', 'EMRO', '154', '133728', '2', '1527');
INSERT INTO public.who_import VALUES (65549, '2021-01-30', 'OM', 'Oman', 'EMRO', '0', '133728', '0', '1527');
INSERT INTO public.who_import VALUES (65550, '2021-01-31', 'OM', 'Oman', 'EMRO', '0', '133728', '0', '1527');
INSERT INTO public.who_import VALUES (65551, '2021-02-01', 'OM', 'Oman', 'EMRO', '598', '134326', '2', '1529');
INSERT INTO public.who_import VALUES (65552, '2021-02-02', 'OM', 'Oman', 'EMRO', '198', '134524', '3', '1532');
INSERT INTO public.who_import VALUES (65553, '2021-02-03', 'OM', 'Oman', 'EMRO', '161', '134685', '0', '1532');
INSERT INTO public.who_import VALUES (65554, '2021-02-04', 'OM', 'Oman', 'EMRO', '171', '134856', '0', '1532');
INSERT INTO public.who_import VALUES (65555, '2021-02-05', 'OM', 'Oman', 'EMRO', '185', '135041', '0', '1532');
INSERT INTO public.who_import VALUES (65556, '2021-02-06', 'OM', 'Oman', 'EMRO', '0', '135041', '0', '1532');
INSERT INTO public.who_import VALUES (65557, '2021-02-07', 'OM', 'Oman', 'EMRO', '0', '135041', '0', '1532');
INSERT INTO public.who_import VALUES (65558, '2021-02-08', 'OM', 'Oman', 'EMRO', '633', '135674', '2', '1534');
INSERT INTO public.who_import VALUES (65559, '2021-02-09', 'OM', 'Oman', 'EMRO', '316', '135990', '1', '1535');
INSERT INTO public.who_import VALUES (65560, '2021-02-10', 'OM', 'Oman', 'EMRO', '197', '136187', '1', '1536');
INSERT INTO public.who_import VALUES (65561, '2021-02-11', 'OM', 'Oman', 'EMRO', '190', '136377', '1', '1537');
INSERT INTO public.who_import VALUES (65562, '2021-02-12', 'OM', 'Oman', 'EMRO', '245', '136622', '2', '1539');
INSERT INTO public.who_import VALUES (65563, '2021-02-13', 'OM', 'Oman', 'EMRO', '0', '136622', '0', '1539');
INSERT INTO public.who_import VALUES (65564, '2021-02-14', 'OM', 'Oman', 'EMRO', '0', '136622', '0', '1539');
INSERT INTO public.who_import VALUES (65565, '2021-02-15', 'OM', 'Oman', 'EMRO', '684', '137306', '3', '1542');
INSERT INTO public.who_import VALUES (65566, '2021-02-16', 'OM', 'Oman', 'EMRO', '286', '137592', '1', '1543');
INSERT INTO public.who_import VALUES (65567, '2021-02-17', 'OM', 'Oman', 'EMRO', '337', '137929', '1', '1544');
INSERT INTO public.who_import VALUES (65568, '2021-02-18', 'OM', 'Oman', 'EMRO', '277', '138206', '5', '1549');
INSERT INTO public.who_import VALUES (65569, '2021-02-19', 'OM', 'Oman', 'EMRO', '288', '138494', '0', '1549');
INSERT INTO public.who_import VALUES (65570, '2021-02-20', 'OM', 'Oman', 'EMRO', '0', '138494', '0', '1549');
INSERT INTO public.who_import VALUES (65571, '2020-01-03', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65572, '2020-01-04', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65573, '2020-01-05', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65574, '2020-01-06', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65575, '2020-01-07', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65576, '2020-01-08', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65577, '2020-01-09', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65578, '2020-01-10', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65579, '2020-01-11', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65580, '2020-01-12', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65581, '2020-01-13', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65582, '2020-01-14', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65583, '2020-01-15', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65584, '2020-01-16', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65585, '2020-01-17', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65586, '2020-01-18', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65587, '2020-01-19', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65588, '2020-01-20', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65589, '2020-01-21', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65590, '2020-01-22', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65591, '2020-01-23', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65592, '2020-01-24', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65593, '2020-01-25', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65594, '2020-01-26', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65595, '2020-01-27', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65596, '2020-01-28', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65597, '2020-01-29', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65598, '2020-01-30', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65599, '2020-01-31', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65600, '2020-02-01', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65601, '2020-02-02', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65602, '2020-02-03', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65603, '2020-02-04', ' ', 'Other', 'Other', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65604, '2020-02-05', ' ', 'Other', 'Other', '14', '14', '0', '0');
INSERT INTO public.who_import VALUES (65605, '2020-02-06', ' ', 'Other', 'Other', '10', '24', '0', '0');
INSERT INTO public.who_import VALUES (65606, '2020-02-07', ' ', 'Other', 'Other', '41', '65', '0', '0');
INSERT INTO public.who_import VALUES (65607, '2020-02-08', ' ', 'Other', 'Other', '3', '68', '0', '0');
INSERT INTO public.who_import VALUES (65608, '2020-02-09', ' ', 'Other', 'Other', '6', '74', '0', '0');
INSERT INTO public.who_import VALUES (65609, '2020-02-10', ' ', 'Other', 'Other', '65', '139', '0', '0');
INSERT INTO public.who_import VALUES (65610, '2020-02-11', ' ', 'Other', 'Other', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (65611, '2020-02-12', ' ', 'Other', 'Other', '39', '178', '0', '0');
INSERT INTO public.who_import VALUES (65612, '2020-02-13', ' ', 'Other', 'Other', '44', '222', '0', '0');
INSERT INTO public.who_import VALUES (65613, '2020-02-14', ' ', 'Other', 'Other', '0', '222', '0', '0');
INSERT INTO public.who_import VALUES (65614, '2020-02-15', ' ', 'Other', 'Other', '67', '289', '0', '0');
INSERT INTO public.who_import VALUES (65615, '2020-02-16', ' ', 'Other', 'Other', '70', '359', '0', '0');
INSERT INTO public.who_import VALUES (65616, '2020-02-17', ' ', 'Other', 'Other', '99', '458', '0', '0');
INSERT INTO public.who_import VALUES (65617, '2020-02-18', ' ', 'Other', 'Other', '88', '546', '0', '0');
INSERT INTO public.who_import VALUES (65618, '2020-02-19', ' ', 'Other', 'Other', '79', '625', '0', '0');
INSERT INTO public.who_import VALUES (65619, '2020-02-20', ' ', 'Other', 'Other', '13', '638', '2', '2');
INSERT INTO public.who_import VALUES (65620, '2020-02-21', ' ', 'Other', 'Other', '0', '638', '0', '2');
INSERT INTO public.who_import VALUES (65621, '2020-02-22', ' ', 'Other', 'Other', '0', '638', '0', '2');
INSERT INTO public.who_import VALUES (65622, '2020-02-23', ' ', 'Other', 'Other', '57', '695', '1', '3');
INSERT INTO public.who_import VALUES (65623, '2020-02-24', ' ', 'Other', 'Other', '0', '695', '0', '3');
INSERT INTO public.who_import VALUES (65624, '2020-02-25', ' ', 'Other', 'Other', '0', '695', '1', '4');
INSERT INTO public.who_import VALUES (65625, '2020-02-26', ' ', 'Other', 'Other', '4', '699', '0', '4');
INSERT INTO public.who_import VALUES (65626, '2020-02-27', ' ', 'Other', 'Other', '0', '699', '0', '4');
INSERT INTO public.who_import VALUES (65627, '2020-02-28', ' ', 'Other', 'Other', '0', '699', '2', '6');
INSERT INTO public.who_import VALUES (65628, '2020-02-29', ' ', 'Other', 'Other', '0', '699', '0', '6');
INSERT INTO public.who_import VALUES (65629, '2020-03-01', ' ', 'Other', 'Other', '1', '700', '0', '6');
INSERT INTO public.who_import VALUES (65630, '2020-03-02', ' ', 'Other', 'Other', '0', '700', '0', '6');
INSERT INTO public.who_import VALUES (65631, '2020-03-03', ' ', 'Other', 'Other', '0', '700', '0', '6');
INSERT INTO public.who_import VALUES (65632, '2020-03-04', ' ', 'Other', 'Other', '0', '700', '0', '6');
INSERT INTO public.who_import VALUES (65633, '2020-03-05', ' ', 'Other', 'Other', '0', '700', '0', '6');
INSERT INTO public.who_import VALUES (65634, '2020-03-06', ' ', 'Other', 'Other', '0', '700', '0', '6');
INSERT INTO public.who_import VALUES (65635, '2020-03-07', ' ', 'Other', 'Other', '0', '700', '0', '6');
INSERT INTO public.who_import VALUES (65636, '2020-03-08', ' ', 'Other', 'Other', '0', '700', '1', '7');
INSERT INTO public.who_import VALUES (65637, '2020-03-09', ' ', 'Other', 'Other', '0', '700', '0', '7');
INSERT INTO public.who_import VALUES (65638, '2020-03-10', ' ', 'Other', 'Other', '0', '700', '0', '7');
INSERT INTO public.who_import VALUES (65639, '2020-03-11', ' ', 'Other', 'Other', '0', '700', '0', '7');
INSERT INTO public.who_import VALUES (65640, '2020-03-12', ' ', 'Other', 'Other', '0', '700', '0', '7');
INSERT INTO public.who_import VALUES (65641, '2020-03-13', ' ', 'Other', 'Other', '1', '701', '0', '7');
INSERT INTO public.who_import VALUES (65642, '2020-03-14', ' ', 'Other', 'Other', '0', '701', '0', '7');
INSERT INTO public.who_import VALUES (65643, '2020-03-15', ' ', 'Other', 'Other', '15', '716', '0', '7');
INSERT INTO public.who_import VALUES (65644, '2020-03-16', ' ', 'Other', 'Other', '0', '716', '0', '7');
INSERT INTO public.who_import VALUES (65645, '2020-03-17', ' ', 'Other', 'Other', '0', '716', '0', '7');
INSERT INTO public.who_import VALUES (65646, '2020-03-18', ' ', 'Other', 'Other', '0', '716', '0', '7');
INSERT INTO public.who_import VALUES (65647, '2020-03-19', ' ', 'Other', 'Other', '0', '716', '0', '7');
INSERT INTO public.who_import VALUES (65648, '2020-03-20', ' ', 'Other', 'Other', '-4', '712', '1', '8');
INSERT INTO public.who_import VALUES (65649, '2020-03-21', ' ', 'Other', 'Other', '0', '712', '0', '8');
INSERT INTO public.who_import VALUES (65650, '2020-03-22', ' ', 'Other', 'Other', '0', '712', '0', '8');
INSERT INTO public.who_import VALUES (65651, '2020-03-23', ' ', 'Other', 'Other', '0', '712', '0', '8');
INSERT INTO public.who_import VALUES (65652, '2020-03-24', ' ', 'Other', 'Other', '0', '712', '2', '10');
INSERT INTO public.who_import VALUES (65653, '2020-03-25', ' ', 'Other', 'Other', '0', '712', '0', '10');
INSERT INTO public.who_import VALUES (65654, '2020-03-26', ' ', 'Other', 'Other', '0', '712', '0', '10');
INSERT INTO public.who_import VALUES (65655, '2020-03-27', ' ', 'Other', 'Other', '0', '712', '0', '10');
INSERT INTO public.who_import VALUES (65656, '2020-03-28', ' ', 'Other', 'Other', '0', '712', '0', '10');
INSERT INTO public.who_import VALUES (65657, '2020-03-29', ' ', 'Other', 'Other', '0', '712', '0', '10');
INSERT INTO public.who_import VALUES (65658, '2020-03-30', ' ', 'Other', 'Other', '0', '712', '0', '10');
INSERT INTO public.who_import VALUES (65659, '2020-03-31', ' ', 'Other', 'Other', '0', '712', '1', '11');
INSERT INTO public.who_import VALUES (65660, '2020-04-01', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65661, '2020-04-02', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65662, '2020-04-03', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65663, '2020-04-04', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65664, '2020-04-05', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65665, '2020-04-06', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65666, '2020-04-07', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65667, '2020-04-08', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65668, '2020-04-09', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65669, '2020-04-10', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65670, '2020-04-11', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65671, '2020-04-12', ' ', 'Other', 'Other', '0', '712', '0', '11');
INSERT INTO public.who_import VALUES (65672, '2020-04-13', ' ', 'Other', 'Other', '0', '712', '1', '12');
INSERT INTO public.who_import VALUES (65673, '2020-04-14', ' ', 'Other', 'Other', '0', '712', '0', '12');
INSERT INTO public.who_import VALUES (65674, '2020-04-15', ' ', 'Other', 'Other', '0', '712', '0', '12');
INSERT INTO public.who_import VALUES (65675, '2020-04-16', ' ', 'Other', 'Other', '0', '712', '0', '12');
INSERT INTO public.who_import VALUES (65676, '2020-04-17', ' ', 'Other', 'Other', '0', '712', '1', '13');
INSERT INTO public.who_import VALUES (65677, '2020-04-18', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65678, '2020-04-19', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65679, '2020-04-20', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65680, '2020-04-21', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65681, '2020-04-22', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65682, '2020-04-23', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65683, '2020-04-24', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65684, '2020-04-25', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65685, '2020-04-26', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65686, '2020-04-27', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65687, '2020-04-28', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65688, '2020-04-29', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65689, '2020-04-30', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65690, '2020-05-01', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65691, '2020-05-02', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65692, '2020-05-03', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65693, '2020-05-04', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65694, '2020-05-05', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65695, '2020-05-06', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65696, '2020-05-07', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65697, '2020-05-08', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65698, '2020-05-09', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65699, '2020-05-10', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65700, '2020-05-11', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65701, '2020-05-12', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65702, '2020-05-13', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65703, '2020-05-14', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65704, '2020-05-15', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65705, '2020-05-16', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65706, '2020-05-17', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65707, '2020-05-18', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65708, '2020-05-19', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65709, '2020-05-20', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65710, '2020-05-21', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65711, '2020-05-22', ' ', 'Other', 'Other', '0', '712', '0', '13');
INSERT INTO public.who_import VALUES (65712, '2020-05-23', ' ', 'Other', 'Other', '29', '741', '0', '13');
INSERT INTO public.who_import VALUES (65713, '2020-05-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65714, '2020-05-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65715, '2020-05-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65716, '2020-05-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65717, '2020-05-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65718, '2020-05-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65719, '2020-05-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65720, '2020-05-31', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65721, '2020-06-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65722, '2020-06-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65723, '2020-06-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65724, '2020-06-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65725, '2020-06-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65726, '2020-06-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65727, '2020-06-07', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65728, '2020-06-08', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65729, '2020-06-09', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65730, '2020-06-10', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65731, '2020-06-11', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65732, '2020-06-12', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65733, '2020-06-13', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65734, '2020-06-14', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65735, '2020-06-15', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65736, '2020-06-16', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65737, '2020-06-17', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65738, '2020-06-18', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65739, '2020-06-19', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65740, '2020-06-20', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65741, '2020-06-21', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65742, '2020-06-22', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65743, '2020-06-23', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65744, '2020-06-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65745, '2020-06-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65746, '2020-06-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65747, '2020-06-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65748, '2020-06-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65749, '2020-06-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65750, '2020-06-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65751, '2020-07-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65752, '2020-07-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65753, '2020-07-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65754, '2020-07-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65755, '2020-07-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65756, '2020-07-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65757, '2020-07-07', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65758, '2020-07-08', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65759, '2020-07-09', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65760, '2020-07-10', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65761, '2020-07-11', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65762, '2020-07-12', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65763, '2020-07-13', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65764, '2020-07-14', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65765, '2020-07-15', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65766, '2020-07-16', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65767, '2020-07-17', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65768, '2020-07-18', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65769, '2020-07-19', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65770, '2020-07-20', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65771, '2020-07-21', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65772, '2020-07-22', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65773, '2020-07-23', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65774, '2020-07-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65775, '2020-07-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65776, '2020-07-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65777, '2020-07-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65778, '2020-07-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65779, '2020-07-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65780, '2020-07-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65781, '2020-07-31', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65782, '2020-08-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65783, '2020-08-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65784, '2020-08-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65785, '2020-08-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65786, '2020-08-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65787, '2020-08-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65788, '2020-08-07', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65789, '2020-08-08', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65790, '2020-08-09', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65791, '2020-08-10', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65792, '2020-08-11', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65793, '2020-08-12', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65794, '2020-08-13', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65795, '2020-08-14', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65796, '2020-08-15', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65797, '2020-08-16', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65798, '2020-08-17', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65799, '2020-08-18', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65800, '2020-08-19', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65801, '2020-08-20', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65802, '2020-08-21', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65803, '2020-08-22', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65804, '2020-08-23', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65805, '2020-08-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65806, '2020-08-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65807, '2020-08-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65808, '2020-08-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65809, '2020-08-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65810, '2020-08-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65811, '2020-08-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65812, '2020-08-31', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65813, '2020-09-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65814, '2020-09-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65815, '2020-09-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65816, '2020-09-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65817, '2020-09-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65818, '2020-09-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65819, '2020-09-07', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65820, '2020-09-08', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65821, '2020-09-09', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65822, '2020-09-10', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65823, '2020-09-11', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65824, '2020-09-12', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65825, '2020-09-13', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65826, '2020-09-14', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65827, '2020-09-15', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65828, '2020-09-16', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65829, '2020-09-17', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65830, '2020-09-18', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65831, '2020-09-19', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65832, '2020-09-20', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65833, '2020-09-21', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65834, '2020-09-22', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65835, '2020-09-23', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65836, '2020-09-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65837, '2020-09-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65838, '2020-09-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65839, '2020-09-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65840, '2020-09-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65841, '2020-09-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65842, '2020-09-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65843, '2020-10-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65844, '2020-10-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65845, '2020-10-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65846, '2020-10-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65847, '2020-10-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65848, '2020-10-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65849, '2020-10-07', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65850, '2020-10-08', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65851, '2020-10-09', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65852, '2020-10-10', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65853, '2020-10-11', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65854, '2020-10-12', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65855, '2020-10-13', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65856, '2020-10-14', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65857, '2020-10-15', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65858, '2020-10-16', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65859, '2020-10-17', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65860, '2020-10-18', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65861, '2020-10-19', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65862, '2020-10-20', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65863, '2020-10-21', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65864, '2020-10-22', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65865, '2020-10-23', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65866, '2020-10-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65867, '2020-10-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65868, '2020-10-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65869, '2020-10-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65870, '2020-10-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65871, '2020-10-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65872, '2020-10-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65873, '2020-10-31', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65874, '2020-11-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65875, '2020-11-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65876, '2020-11-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65877, '2020-11-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65878, '2020-11-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65879, '2020-11-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65880, '2020-11-07', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65881, '2020-11-08', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65882, '2020-11-09', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65883, '2020-11-10', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65884, '2020-11-11', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65885, '2020-11-12', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65886, '2020-11-13', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65887, '2020-11-14', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65888, '2020-11-15', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65889, '2020-11-16', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65890, '2020-11-17', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65891, '2020-11-18', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65892, '2020-11-19', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65893, '2020-11-20', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65894, '2020-11-21', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65895, '2020-11-22', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65896, '2020-11-23', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65897, '2020-11-24', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65898, '2020-11-25', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65899, '2020-11-26', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65900, '2020-11-27', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65901, '2020-11-28', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65902, '2020-11-29', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65903, '2020-11-30', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65904, '2020-12-01', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65905, '2020-12-02', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65906, '2020-12-03', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65907, '2020-12-04', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65908, '2020-12-05', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65909, '2020-12-06', ' ', 'Other', 'Other', '0', '741', '0', '13');
INSERT INTO public.who_import VALUES (65910, '2020-12-07', ' ', 'Other', 'Other', '3', '744', '0', '13');
INSERT INTO public.who_import VALUES (65911, '2020-12-08', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65912, '2020-12-09', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65913, '2020-12-10', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65914, '2020-12-11', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65915, '2020-12-12', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65916, '2020-12-13', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65917, '2020-12-14', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65918, '2020-12-15', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65919, '2020-12-16', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65920, '2020-12-17', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65921, '2020-12-18', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65922, '2020-12-19', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65923, '2020-12-20', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65924, '2020-12-21', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65925, '2020-12-22', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65926, '2020-12-23', ' ', 'Other', 'Other', '0', '744', '0', '13');
INSERT INTO public.who_import VALUES (65927, '2020-12-24', ' ', 'Other', 'Other', '1', '745', '0', '13');
INSERT INTO public.who_import VALUES (65928, '2020-12-25', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65929, '2020-12-26', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65930, '2020-12-27', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65931, '2020-12-28', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65932, '2020-12-29', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65933, '2020-12-30', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65934, '2020-12-31', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65935, '2021-01-01', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65936, '2021-01-02', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65937, '2021-01-03', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65938, '2021-01-04', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65939, '2021-01-05', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65940, '2021-01-06', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65941, '2021-01-07', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65942, '2021-01-08', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65943, '2021-01-09', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65944, '2021-01-10', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65945, '2021-01-11', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65946, '2021-01-12', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65947, '2021-01-13', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65948, '2021-01-14', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65949, '2021-01-15', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65950, '2021-01-16', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65951, '2021-01-17', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65952, '2021-01-18', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65953, '2021-01-19', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65954, '2021-01-20', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65955, '2021-01-21', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65956, '2021-01-22', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65957, '2021-01-23', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65958, '2021-01-24', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65959, '2021-01-25', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65960, '2021-01-26', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65961, '2021-01-27', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65962, '2021-01-28', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65963, '2021-01-29', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65964, '2021-01-30', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65965, '2021-01-31', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65966, '2021-02-01', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65967, '2021-02-02', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65968, '2021-02-03', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65969, '2021-02-04', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65970, '2021-02-05', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65971, '2021-02-06', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65972, '2021-02-07', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65973, '2021-02-08', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65974, '2021-02-09', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65975, '2021-02-10', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65976, '2021-02-11', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65977, '2021-02-12', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65978, '2021-02-13', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65979, '2021-02-14', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65980, '2021-02-15', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65981, '2021-02-16', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65982, '2021-02-17', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65983, '2021-02-18', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65984, '2021-02-19', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65985, '2021-02-20', ' ', 'Other', 'Other', '0', '745', '0', '13');
INSERT INTO public.who_import VALUES (65986, '2020-01-03', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65987, '2020-01-04', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65988, '2020-01-05', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65989, '2020-01-06', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65990, '2020-01-07', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65991, '2020-01-08', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65992, '2020-01-09', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65993, '2020-01-10', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65994, '2020-01-11', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65995, '2020-01-12', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65996, '2020-01-13', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65997, '2020-01-14', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65998, '2020-01-15', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (65999, '2020-01-16', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66000, '2020-01-17', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66001, '2020-01-18', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66002, '2020-01-19', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66003, '2020-01-20', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66004, '2020-01-21', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66005, '2020-01-22', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66006, '2020-01-23', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66007, '2020-01-24', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66008, '2020-01-25', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66009, '2020-01-26', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66010, '2020-01-27', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66011, '2020-01-28', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66012, '2020-01-29', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66013, '2020-01-30', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66014, '2020-01-31', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66015, '2020-02-01', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66016, '2020-02-02', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66017, '2020-02-03', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66018, '2020-02-04', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66019, '2020-02-05', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66020, '2020-02-06', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66021, '2020-02-07', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66022, '2020-02-08', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66023, '2020-02-09', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66024, '2020-02-10', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66025, '2020-02-11', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66026, '2020-02-12', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66027, '2020-02-13', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66028, '2020-02-14', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66029, '2020-02-15', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66030, '2020-02-16', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66031, '2020-02-17', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66032, '2020-02-18', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66033, '2020-02-19', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66034, '2020-02-20', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66035, '2020-02-21', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66036, '2020-02-22', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66037, '2020-02-23', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66038, '2020-02-24', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66039, '2020-02-25', 'PK', 'Pakistan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66040, '2020-02-26', 'PK', 'Pakistan', 'EMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (66041, '2020-02-27', 'PK', 'Pakistan', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (66042, '2020-02-28', 'PK', 'Pakistan', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (66043, '2020-02-29', 'PK', 'Pakistan', 'EMRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (66044, '2020-03-01', 'PK', 'Pakistan', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (66045, '2020-03-02', 'PK', 'Pakistan', 'EMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (66046, '2020-03-03', 'PK', 'Pakistan', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (66047, '2020-03-04', 'PK', 'Pakistan', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (66048, '2020-03-05', 'PK', 'Pakistan', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (66049, '2020-03-06', 'PK', 'Pakistan', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (66050, '2020-03-07', 'PK', 'Pakistan', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (66051, '2020-03-08', 'PK', 'Pakistan', 'EMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (66052, '2020-03-09', 'PK', 'Pakistan', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (66053, '2020-03-10', 'PK', 'Pakistan', 'EMRO', '10', '20', '0', '0');
INSERT INTO public.who_import VALUES (66054, '2020-03-11', 'PK', 'Pakistan', 'EMRO', '3', '23', '0', '0');
INSERT INTO public.who_import VALUES (66055, '2020-03-12', 'PK', 'Pakistan', 'EMRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (66056, '2020-03-13', 'PK', 'Pakistan', 'EMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (66057, '2020-03-14', 'PK', 'Pakistan', 'EMRO', '8', '32', '0', '0');
INSERT INTO public.who_import VALUES (66058, '2020-03-15', 'PK', 'Pakistan', 'EMRO', '24', '56', '0', '0');
INSERT INTO public.who_import VALUES (66059, '2020-03-16', 'PK', 'Pakistan', 'EMRO', '1', '57', '0', '0');
INSERT INTO public.who_import VALUES (66060, '2020-03-17', 'PK', 'Pakistan', 'EMRO', '134', '191', '0', '0');
INSERT INTO public.who_import VALUES (66061, '2020-03-18', 'PK', 'Pakistan', 'EMRO', '54', '245', '0', '0');
INSERT INTO public.who_import VALUES (66062, '2020-03-19', 'PK', 'Pakistan', 'EMRO', '61', '306', '2', '2');
INSERT INTO public.who_import VALUES (66063, '2020-03-20', 'PK', 'Pakistan', 'EMRO', '155', '461', '0', '2');
INSERT INTO public.who_import VALUES (66064, '2020-03-21', 'PK', 'Pakistan', 'EMRO', '34', '495', '1', '3');
INSERT INTO public.who_import VALUES (66065, '2020-03-22', 'PK', 'Pakistan', 'EMRO', '151', '646', '0', '3');
INSERT INTO public.who_import VALUES (66066, '2020-03-23', 'PK', 'Pakistan', 'EMRO', '138', '784', '2', '5');
INSERT INTO public.who_import VALUES (66067, '2020-03-24', 'PK', 'Pakistan', 'EMRO', '103', '887', '1', '6');
INSERT INTO public.who_import VALUES (66068, '2020-03-25', 'PK', 'Pakistan', 'EMRO', '104', '991', '1', '7');
INSERT INTO public.who_import VALUES (66474, '2020-03-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66069, '2020-03-26', 'PK', 'Pakistan', 'EMRO', '66', '1057', '1', '8');
INSERT INTO public.who_import VALUES (66070, '2020-03-27', 'PK', 'Pakistan', 'EMRO', '140', '1197', '1', '9');
INSERT INTO public.who_import VALUES (66071, '2020-03-28', 'PK', 'Pakistan', 'EMRO', '211', '1408', '2', '11');
INSERT INTO public.who_import VALUES (66072, '2020-03-29', 'PK', 'Pakistan', 'EMRO', '118', '1526', '2', '13');
INSERT INTO public.who_import VALUES (66073, '2020-03-30', 'PK', 'Pakistan', 'EMRO', '99', '1625', '5', '18');
INSERT INTO public.who_import VALUES (66074, '2020-03-31', 'PK', 'Pakistan', 'EMRO', '240', '1865', '7', '25');
INSERT INTO public.who_import VALUES (66075, '2020-04-01', 'PK', 'Pakistan', 'EMRO', '174', '2039', '1', '26');
INSERT INTO public.who_import VALUES (66076, '2020-04-02', 'PK', 'Pakistan', 'EMRO', '252', '2291', '5', '31');
INSERT INTO public.who_import VALUES (66077, '2020-04-03', 'PK', 'Pakistan', 'EMRO', '159', '2450', '4', '35');
INSERT INTO public.who_import VALUES (66078, '2020-04-04', 'PK', 'Pakistan', 'EMRO', '0', '2450', '0', '35');
INSERT INTO public.who_import VALUES (66079, '2020-04-05', 'PK', 'Pakistan', 'EMRO', '609', '3059', '10', '45');
INSERT INTO public.who_import VALUES (66080, '2020-04-06', 'PK', 'Pakistan', 'EMRO', '365', '3424', '5', '50');
INSERT INTO public.who_import VALUES (66081, '2020-04-07', 'PK', 'Pakistan', 'EMRO', '581', '4005', '4', '54');
INSERT INTO public.who_import VALUES (66082, '2020-04-08', 'PK', 'Pakistan', 'EMRO', '178', '4183', '4', '58');
INSERT INTO public.who_import VALUES (66083, '2020-04-09', 'PK', 'Pakistan', 'EMRO', '306', '4489', '5', '63');
INSERT INTO public.who_import VALUES (66084, '2020-04-10', 'PK', 'Pakistan', 'EMRO', '206', '4695', '3', '66');
INSERT INTO public.who_import VALUES (66085, '2020-04-11', 'PK', 'Pakistan', 'EMRO', '275', '4970', '11', '77');
INSERT INTO public.who_import VALUES (66086, '2020-04-12', 'PK', 'Pakistan', 'EMRO', '213', '5183', '11', '88');
INSERT INTO public.who_import VALUES (66087, '2020-04-13', 'PK', 'Pakistan', 'EMRO', '313', '5496', '5', '93');
INSERT INTO public.who_import VALUES (66088, '2020-04-14', 'PK', 'Pakistan', 'EMRO', '341', '5837', '3', '96');
INSERT INTO public.who_import VALUES (66089, '2020-04-15', 'PK', 'Pakistan', 'EMRO', '151', '5988', '11', '107');
INSERT INTO public.who_import VALUES (66090, '2020-04-16', 'PK', 'Pakistan', 'EMRO', '931', '6919', '21', '128');
INSERT INTO public.who_import VALUES (66091, '2020-04-17', 'PK', 'Pakistan', 'EMRO', '106', '7025', '7', '135');
INSERT INTO public.who_import VALUES (66092, '2020-04-18', 'PK', 'Pakistan', 'EMRO', '613', '7638', '8', '143');
INSERT INTO public.who_import VALUES (66093, '2020-04-19', 'PK', 'Pakistan', 'EMRO', '355', '7993', '16', '159');
INSERT INTO public.who_import VALUES (66094, '2020-04-20', 'PK', 'Pakistan', 'EMRO', '425', '8418', '17', '176');
INSERT INTO public.who_import VALUES (66095, '2020-04-21', 'PK', 'Pakistan', 'EMRO', '1087', '9505', '21', '197');
INSERT INTO public.who_import VALUES (66096, '2020-04-22', 'PK', 'Pakistan', 'EMRO', '244', '9749', '12', '209');
INSERT INTO public.who_import VALUES (66097, '2020-04-23', 'PK', 'Pakistan', 'EMRO', '1066', '10815', '19', '228');
INSERT INTO public.who_import VALUES (66098, '2020-04-24', 'PK', 'Pakistan', 'EMRO', '340', '11155', '9', '237');
INSERT INTO public.who_import VALUES (66099, '2020-04-25', 'PK', 'Pakistan', 'EMRO', '1072', '12227', '19', '256');
INSERT INTO public.who_import VALUES (66100, '2020-04-26', 'PK', 'Pakistan', 'EMRO', '970', '13197', '21', '277');
INSERT INTO public.who_import VALUES (66101, '2020-04-27', 'PK', 'Pakistan', 'EMRO', '718', '13915', '15', '292');
INSERT INTO public.who_import VALUES (66102, '2020-04-28', 'PK', 'Pakistan', 'EMRO', '164', '14079', '9', '301');
INSERT INTO public.who_import VALUES (66103, '2020-04-29', 'PK', 'Pakistan', 'EMRO', '1210', '15289', '34', '335');
INSERT INTO public.who_import VALUES (66104, '2020-04-30', 'PK', 'Pakistan', 'EMRO', '828', '16117', '23', '358');
INSERT INTO public.who_import VALUES (66105, '2020-05-01', 'PK', 'Pakistan', 'EMRO', '1494', '17611', '48', '406');
INSERT INTO public.who_import VALUES (66106, '2020-05-02', 'PK', 'Pakistan', 'EMRO', '1159', '18770', '26', '432');
INSERT INTO public.who_import VALUES (66107, '2020-05-03', 'PK', 'Pakistan', 'EMRO', '1314', '20084', '25', '457');
INSERT INTO public.who_import VALUES (66108, '2020-05-04', 'PK', 'Pakistan', 'EMRO', '800', '20884', '19', '476');
INSERT INTO public.who_import VALUES (66109, '2020-05-05', 'PK', 'Pakistan', 'EMRO', '617', '21501', '10', '486');
INSERT INTO public.who_import VALUES (66110, '2020-05-06', 'PK', 'Pakistan', 'EMRO', '1049', '22550', '40', '526');
INSERT INTO public.who_import VALUES (66111, '2020-05-07', 'PK', 'Pakistan', 'EMRO', '2094', '24644', '59', '585');
INSERT INTO public.who_import VALUES (66112, '2020-05-08', 'PK', 'Pakistan', 'EMRO', '1791', '26435', '14', '599');
INSERT INTO public.who_import VALUES (66113, '2020-05-09', 'PK', 'Pakistan', 'EMRO', '1039', '27474', '19', '618');
INSERT INTO public.who_import VALUES (66114, '2020-05-10', 'PK', 'Pakistan', 'EMRO', '1991', '29465', '21', '639');
INSERT INTO public.who_import VALUES (66115, '2020-05-11', 'PK', 'Pakistan', 'EMRO', '1476', '30941', '28', '667');
INSERT INTO public.who_import VALUES (66116, '2020-05-12', 'PK', 'Pakistan', 'EMRO', '1733', '32674', '57', '724');
INSERT INTO public.who_import VALUES (66117, '2020-05-13', 'PK', 'Pakistan', 'EMRO', '1662', '34336', '13', '737');
INSERT INTO public.who_import VALUES (66118, '2020-05-14', 'PK', 'Pakistan', 'EMRO', '1452', '35788', '33', '770');
INSERT INTO public.who_import VALUES (66119, '2020-05-15', 'PK', 'Pakistan', 'EMRO', '1430', '37218', '33', '803');
INSERT INTO public.who_import VALUES (66120, '2020-05-16', 'PK', 'Pakistan', 'EMRO', '1581', '38799', '31', '834');
INSERT INTO public.who_import VALUES (66121, '2020-05-17', 'PK', 'Pakistan', 'EMRO', '1352', '40151', '39', '873');
INSERT INTO public.who_import VALUES (66122, '2020-05-18', 'PK', 'Pakistan', 'EMRO', '1974', '42125', '30', '903');
INSERT INTO public.who_import VALUES (66123, '2020-05-19', 'PK', 'Pakistan', 'EMRO', '1841', '43966', '36', '939');
INSERT INTO public.who_import VALUES (66124, '2020-05-20', 'PK', 'Pakistan', 'EMRO', '1932', '45898', '46', '985');
INSERT INTO public.who_import VALUES (66125, '2020-05-21', 'PK', 'Pakistan', 'EMRO', '2193', '48091', '32', '1017');
INSERT INTO public.who_import VALUES (66126, '2020-05-22', 'PK', 'Pakistan', 'EMRO', '2603', '50694', '50', '1067');
INSERT INTO public.who_import VALUES (66127, '2020-05-23', 'PK', 'Pakistan', 'EMRO', '1743', '52437', '34', '1101');
INSERT INTO public.who_import VALUES (66128, '2020-05-24', 'PK', 'Pakistan', 'EMRO', '2164', '54601', '32', '1133');
INSERT INTO public.who_import VALUES (66129, '2020-05-25', 'PK', 'Pakistan', 'EMRO', '1748', '56349', '34', '1167');
INSERT INTO public.who_import VALUES (66130, '2020-05-26', 'PK', 'Pakistan', 'EMRO', '1356', '57705', '30', '1197');
INSERT INTO public.who_import VALUES (66131, '2020-05-27', 'PK', 'Pakistan', 'EMRO', '1446', '59151', '28', '1225');
INSERT INTO public.who_import VALUES (66132, '2020-05-28', 'PK', 'Pakistan', 'EMRO', '2076', '61227', '35', '1260');
INSERT INTO public.who_import VALUES (66133, '2020-05-29', 'PK', 'Pakistan', 'EMRO', '2801', '64028', '57', '1317');
INSERT INTO public.who_import VALUES (66134, '2020-05-30', 'PK', 'Pakistan', 'EMRO', '2429', '66457', '78', '1395');
INSERT INTO public.who_import VALUES (66135, '2020-05-31', 'PK', 'Pakistan', 'EMRO', '3039', '69496', '88', '1483');
INSERT INTO public.who_import VALUES (66136, '2020-06-01', 'PK', 'Pakistan', 'EMRO', '2964', '72460', '60', '1543');
INSERT INTO public.who_import VALUES (66137, '2020-06-02', 'PK', 'Pakistan', 'EMRO', '3938', '76398', '78', '1621');
INSERT INTO public.who_import VALUES (66138, '2020-06-03', 'PK', 'Pakistan', 'EMRO', '4065', '80463', '67', '1688');
INSERT INTO public.who_import VALUES (66139, '2020-06-04', 'PK', 'Pakistan', 'EMRO', '4801', '85264', '82', '1770');
INSERT INTO public.who_import VALUES (66140, '2020-06-05', 'PK', 'Pakistan', 'EMRO', '3985', '89249', '68', '1838');
INSERT INTO public.who_import VALUES (66141, '2020-06-06', 'PK', 'Pakistan', 'EMRO', '4734', '93983', '97', '1935');
INSERT INTO public.who_import VALUES (66142, '2020-06-07', 'PK', 'Pakistan', 'EMRO', '4960', '98943', '67', '2002');
INSERT INTO public.who_import VALUES (66143, '2020-06-08', 'PK', 'Pakistan', 'EMRO', '4728', '103671', '65', '2067');
INSERT INTO public.who_import VALUES (66144, '2020-06-09', 'PK', 'Pakistan', 'EMRO', '4646', '108317', '105', '2172');
INSERT INTO public.who_import VALUES (66145, '2020-06-10', 'PK', 'Pakistan', 'EMRO', '5385', '113702', '83', '2255');
INSERT INTO public.who_import VALUES (66146, '2020-06-11', 'PK', 'Pakistan', 'EMRO', '5834', '119536', '101', '2356');
INSERT INTO public.who_import VALUES (66147, '2020-06-12', 'PK', 'Pakistan', 'EMRO', '5985', '125521', '107', '2463');
INSERT INTO public.who_import VALUES (66148, '2020-06-13', 'PK', 'Pakistan', 'EMRO', '6884', '132405', '88', '2551');
INSERT INTO public.who_import VALUES (66149, '2020-06-14', 'PK', 'Pakistan', 'EMRO', '6825', '139230', '81', '2632');
INSERT INTO public.who_import VALUES (66150, '2020-06-15', 'PK', 'Pakistan', 'EMRO', '5248', '144478', '97', '2729');
INSERT INTO public.who_import VALUES (66151, '2020-06-16', 'PK', 'Pakistan', 'EMRO', '4443', '148921', '110', '2839');
INSERT INTO public.who_import VALUES (66152, '2020-06-17', 'PK', 'Pakistan', 'EMRO', '5839', '154760', '136', '2975');
INSERT INTO public.who_import VALUES (66153, '2020-06-18', 'PK', 'Pakistan', 'EMRO', '5358', '160118', '118', '3093');
INSERT INTO public.who_import VALUES (66154, '2020-06-19', 'PK', 'Pakistan', 'EMRO', '4944', '165062', '136', '3229');
INSERT INTO public.who_import VALUES (66155, '2020-06-20', 'PK', 'Pakistan', 'EMRO', '6604', '171666', '153', '3382');
INSERT INTO public.who_import VALUES (66156, '2020-06-21', 'PK', 'Pakistan', 'EMRO', '4951', '176617', '119', '3501');
INSERT INTO public.who_import VALUES (66157, '2020-06-22', 'PK', 'Pakistan', 'EMRO', '4471', '181088', '89', '3590');
INSERT INTO public.who_import VALUES (66158, '2020-06-23', 'PK', 'Pakistan', 'EMRO', '3946', '185034', '105', '3695');
INSERT INTO public.who_import VALUES (66159, '2020-06-24', 'PK', 'Pakistan', 'EMRO', '3892', '188926', '60', '3755');
INSERT INTO public.who_import VALUES (66160, '2020-06-25', 'PK', 'Pakistan', 'EMRO', '4044', '192970', '148', '3903');
INSERT INTO public.who_import VALUES (66161, '2020-06-26', 'PK', 'Pakistan', 'EMRO', '2775', '195745', '59', '3962');
INSERT INTO public.who_import VALUES (66162, '2020-06-27', 'PK', 'Pakistan', 'EMRO', '3138', '198883', '73', '4035');
INSERT INTO public.who_import VALUES (66163, '2020-06-28', 'PK', 'Pakistan', 'EMRO', '4072', '202955', '83', '4118');
INSERT INTO public.who_import VALUES (66164, '2020-06-29', 'PK', 'Pakistan', 'EMRO', '3557', '206512', '49', '4167');
INSERT INTO public.who_import VALUES (66165, '2020-06-30', 'PK', 'Pakistan', 'EMRO', '2825', '209337', '137', '4304');
INSERT INTO public.who_import VALUES (66166, '2020-07-01', 'PK', 'Pakistan', 'EMRO', '4133', '213470', '91', '4395');
INSERT INTO public.who_import VALUES (66167, '2020-07-02', 'PK', 'Pakistan', 'EMRO', '4339', '217809', '78', '4473');
INSERT INTO public.who_import VALUES (66168, '2020-07-03', 'PK', 'Pakistan', 'EMRO', '4087', '221896', '78', '4551');
INSERT INTO public.who_import VALUES (66169, '2020-07-04', 'PK', 'Pakistan', 'EMRO', '3387', '225283', '68', '4619');
INSERT INTO public.who_import VALUES (66170, '2020-07-05', 'PK', 'Pakistan', 'EMRO', '3191', '228474', '93', '4712');
INSERT INTO public.who_import VALUES (66171, '2020-07-06', 'PK', 'Pakistan', 'EMRO', '3344', '231818', '50', '4762');
INSERT INTO public.who_import VALUES (66172, '2020-07-07', 'PK', 'Pakistan', 'EMRO', '2691', '234509', '77', '4839');
INSERT INTO public.who_import VALUES (66173, '2020-07-08', 'PK', 'Pakistan', 'EMRO', '2980', '237489', '83', '4922');
INSERT INTO public.who_import VALUES (66174, '2020-07-09', 'PK', 'Pakistan', 'EMRO', '3359', '240848', '61', '4983');
INSERT INTO public.who_import VALUES (66175, '2020-07-10', 'PK', 'Pakistan', 'EMRO', '2748', '243596', '75', '5058');
INSERT INTO public.who_import VALUES (66176, '2020-07-11', 'PK', 'Pakistan', 'EMRO', '2755', '246351', '65', '5123');
INSERT INTO public.who_import VALUES (66177, '2020-07-12', 'PK', 'Pakistan', 'EMRO', '2521', '248872', '74', '5197');
INSERT INTO public.who_import VALUES (66178, '2020-07-13', 'PK', 'Pakistan', 'EMRO', '2753', '251625', '73', '5270');
INSERT INTO public.who_import VALUES (66179, '2020-07-14', 'PK', 'Pakistan', 'EMRO', '1979', '253604', '49', '5319');
INSERT INTO public.who_import VALUES (66180, '2020-07-15', 'PK', 'Pakistan', 'EMRO', '2165', '255769', '67', '5386');
INSERT INTO public.who_import VALUES (66181, '2020-07-16', 'PK', 'Pakistan', 'EMRO', '2145', '257914', '40', '5426');
INSERT INTO public.who_import VALUES (66182, '2020-07-17', 'PK', 'Pakistan', 'EMRO', '2085', '259999', '49', '5475');
INSERT INTO public.who_import VALUES (66183, '2020-07-18', 'PK', 'Pakistan', 'EMRO', '1918', '261917', '47', '5522');
INSERT INTO public.who_import VALUES (66184, '2020-07-19', 'PK', 'Pakistan', 'EMRO', '1579', '263496', '46', '5568');
INSERT INTO public.who_import VALUES (66185, '2020-07-20', 'PK', 'Pakistan', 'EMRO', '1587', '265083', '31', '5599');
INSERT INTO public.who_import VALUES (66186, '2020-07-21', 'PK', 'Pakistan', 'EMRO', '1013', '266096', '40', '5639');
INSERT INTO public.who_import VALUES (66187, '2020-07-22', 'PK', 'Pakistan', 'EMRO', '1332', '267428', '38', '5677');
INSERT INTO public.who_import VALUES (66188, '2020-07-23', 'PK', 'Pakistan', 'EMRO', '1763', '269191', '32', '5709');
INSERT INTO public.who_import VALUES (66189, '2020-07-24', 'PK', 'Pakistan', 'EMRO', '1209', '270400', '54', '5763');
INSERT INTO public.who_import VALUES (66190, '2020-07-25', 'PK', 'Pakistan', 'EMRO', '1487', '271887', '24', '5787');
INSERT INTO public.who_import VALUES (66191, '2020-07-26', 'PK', 'Pakistan', 'EMRO', '1226', '273113', '35', '5822');
INSERT INTO public.who_import VALUES (66192, '2020-07-27', 'PK', 'Pakistan', 'EMRO', '1176', '274289', '20', '5842');
INSERT INTO public.who_import VALUES (66193, '2020-07-28', 'PK', 'Pakistan', 'EMRO', '936', '275225', '23', '5865');
INSERT INTO public.who_import VALUES (66194, '2020-07-29', 'PK', 'Pakistan', 'EMRO', '1063', '276288', '27', '5892');
INSERT INTO public.who_import VALUES (66195, '2020-07-30', 'PK', 'Pakistan', 'EMRO', '1114', '277402', '32', '5924');
INSERT INTO public.who_import VALUES (66196, '2020-07-31', 'PK', 'Pakistan', 'EMRO', '903', '278305', '27', '5951');
INSERT INTO public.who_import VALUES (66197, '2020-08-01', 'PK', 'Pakistan', 'EMRO', '841', '279146', '19', '5970');
INSERT INTO public.who_import VALUES (66198, '2020-08-02', 'PK', 'Pakistan', 'EMRO', '553', '279699', '6', '5976');
INSERT INTO public.who_import VALUES (66199, '2020-08-03', 'PK', 'Pakistan', 'EMRO', '330', '280029', '8', '5984');
INSERT INTO public.who_import VALUES (66200, '2020-08-04', 'PK', 'Pakistan', 'EMRO', '432', '280461', '15', '5999');
INSERT INTO public.who_import VALUES (66201, '2020-08-05', 'PK', 'Pakistan', 'EMRO', '675', '281136', '15', '6014');
INSERT INTO public.who_import VALUES (66202, '2020-08-06', 'PK', 'Pakistan', 'EMRO', '727', '281863', '21', '6035');
INSERT INTO public.who_import VALUES (66203, '2020-08-07', 'PK', 'Pakistan', 'EMRO', '782', '282645', '19', '6054');
INSERT INTO public.who_import VALUES (66204, '2020-08-08', 'PK', 'Pakistan', 'EMRO', '842', '283487', '20', '6074');
INSERT INTO public.who_import VALUES (66205, '2020-08-09', 'PK', 'Pakistan', 'EMRO', '634', '284121', '8', '6082');
INSERT INTO public.who_import VALUES (66206, '2020-08-10', 'PK', 'Pakistan', 'EMRO', '539', '284660', '15', '6097');
INSERT INTO public.who_import VALUES (66207, '2020-08-11', 'PK', 'Pakistan', 'EMRO', '531', '285191', '15', '6112');
INSERT INTO public.who_import VALUES (66208, '2020-08-12', 'PK', 'Pakistan', 'EMRO', '730', '285921', '17', '6129');
INSERT INTO public.who_import VALUES (66209, '2020-08-13', 'PK', 'Pakistan', 'EMRO', '753', '286674', '10', '6139');
INSERT INTO public.who_import VALUES (66210, '2020-08-14', 'PK', 'Pakistan', 'EMRO', '626', '287300', '14', '6153');
INSERT INTO public.who_import VALUES (66211, '2020-08-15', 'PK', 'Pakistan', 'EMRO', '747', '288047', '9', '6162');
INSERT INTO public.who_import VALUES (66212, '2020-08-16', 'PK', 'Pakistan', 'EMRO', '670', '288717', '6', '6168');
INSERT INTO public.who_import VALUES (66213, '2020-08-17', 'PK', 'Pakistan', 'EMRO', '498', '289215', '7', '6175');
INSERT INTO public.who_import VALUES (66214, '2020-08-18', 'PK', 'Pakistan', 'EMRO', '617', '289832', '15', '6190');
INSERT INTO public.who_import VALUES (66215, '2020-08-19', 'PK', 'Pakistan', 'EMRO', '613', '290445', '11', '6201');
INSERT INTO public.who_import VALUES (66216, '2020-08-20', 'PK', 'Pakistan', 'EMRO', '513', '290958', '8', '6209');
INSERT INTO public.who_import VALUES (66217, '2020-08-21', 'PK', 'Pakistan', 'EMRO', '630', '291588', '10', '6219');
INSERT INTO public.who_import VALUES (66218, '2020-08-22', 'PK', 'Pakistan', 'EMRO', '586', '292174', '12', '6231');
INSERT INTO public.who_import VALUES (66219, '2020-08-23', 'PK', 'Pakistan', 'EMRO', '591', '292765', '4', '6235');
INSERT INTO public.who_import VALUES (66220, '2020-08-24', 'PK', 'Pakistan', 'EMRO', '496', '293261', '9', '6244');
INSERT INTO public.who_import VALUES (66221, '2020-08-25', 'PK', 'Pakistan', 'EMRO', '450', '293711', '11', '6255');
INSERT INTO public.who_import VALUES (66222, '2020-08-26', 'PK', 'Pakistan', 'EMRO', '482', '294193', '12', '6267');
INSERT INTO public.who_import VALUES (66223, '2020-08-27', 'PK', 'Pakistan', 'EMRO', '445', '294638', '7', '6274');
INSERT INTO public.who_import VALUES (66224, '2020-08-28', 'PK', 'Pakistan', 'EMRO', '415', '295053', '9', '6283');
INSERT INTO public.who_import VALUES (66225, '2020-08-29', 'PK', 'Pakistan', 'EMRO', '319', '295372', '1', '6284');
INSERT INTO public.who_import VALUES (66226, '2020-08-30', 'PK', 'Pakistan', 'EMRO', '264', '295636', '4', '6288');
INSERT INTO public.who_import VALUES (66227, '2020-08-31', 'PK', 'Pakistan', 'EMRO', '213', '295849', '6', '6294');
INSERT INTO public.who_import VALUES (66228, '2020-09-01', 'PK', 'Pakistan', 'EMRO', '300', '296149', '4', '6298');
INSERT INTO public.who_import VALUES (66229, '2020-09-02', 'PK', 'Pakistan', 'EMRO', '441', '296590', '20', '6318');
INSERT INTO public.who_import VALUES (66230, '2020-09-03', 'PK', 'Pakistan', 'EMRO', '424', '297014', '10', '6328');
INSERT INTO public.who_import VALUES (66231, '2020-09-04', 'PK', 'Pakistan', 'EMRO', '498', '297512', '7', '6335');
INSERT INTO public.who_import VALUES (66232, '2020-09-05', 'PK', 'Pakistan', 'EMRO', '513', '298025', '5', '6340');
INSERT INTO public.who_import VALUES (66233, '2020-09-06', 'PK', 'Pakistan', 'EMRO', '484', '298509', '2', '6342');
INSERT INTO public.who_import VALUES (66234, '2020-09-07', 'PK', 'Pakistan', 'EMRO', '394', '298903', '3', '6345');
INSERT INTO public.who_import VALUES (66235, '2020-09-08', 'PK', 'Pakistan', 'EMRO', '330', '299233', '5', '6350');
INSERT INTO public.who_import VALUES (66236, '2020-09-09', 'PK', 'Pakistan', 'EMRO', '426', '299659', '9', '6359');
INSERT INTO public.who_import VALUES (66237, '2020-09-10', 'PK', 'Pakistan', 'EMRO', '196', '299855', '6', '6365');
INSERT INTO public.who_import VALUES (66238, '2020-09-11', 'PK', 'Pakistan', 'EMRO', '516', '300371', '5', '6370');
INSERT INTO public.who_import VALUES (66239, '2020-09-12', 'PK', 'Pakistan', 'EMRO', '584', '300955', '3', '6373');
INSERT INTO public.who_import VALUES (66240, '2020-09-13', 'PK', 'Pakistan', 'EMRO', '526', '301481', '6', '6379');
INSERT INTO public.who_import VALUES (66241, '2020-09-14', 'PK', 'Pakistan', 'EMRO', '539', '302020', '4', '6383');
INSERT INTO public.who_import VALUES (66242, '2020-09-15', 'PK', 'Pakistan', 'EMRO', '404', '302424', '6', '6389');
INSERT INTO public.who_import VALUES (66243, '2020-09-16', 'PK', 'Pakistan', 'EMRO', '665', '303089', '4', '6393');
INSERT INTO public.who_import VALUES (66244, '2020-09-17', 'PK', 'Pakistan', 'EMRO', '545', '303634', '6', '6399');
INSERT INTO public.who_import VALUES (66245, '2020-09-18', 'PK', 'Pakistan', 'EMRO', '752', '304386', '9', '6408');
INSERT INTO public.who_import VALUES (66246, '2020-09-19', 'PK', 'Pakistan', 'EMRO', '645', '305031', '7', '6415');
INSERT INTO public.who_import VALUES (66247, '2020-09-20', 'PK', 'Pakistan', 'EMRO', '640', '305671', '1', '6416');
INSERT INTO public.who_import VALUES (66248, '2020-09-21', 'PK', 'Pakistan', 'EMRO', '633', '306304', '4', '6420');
INSERT INTO public.who_import VALUES (66249, '2020-09-22', 'PK', 'Pakistan', 'EMRO', '582', '306886', '4', '6424');
INSERT INTO public.who_import VALUES (66250, '2020-09-23', 'PK', 'Pakistan', 'EMRO', '532', '307418', '8', '6432');
INSERT INTO public.who_import VALUES (66251, '2020-09-24', 'PK', 'Pakistan', 'EMRO', '799', '308217', '5', '6437');
INSERT INTO public.who_import VALUES (66252, '2020-09-25', 'PK', 'Pakistan', 'EMRO', '798', '309015', '7', '6444');
INSERT INTO public.who_import VALUES (66253, '2020-09-26', 'PK', 'Pakistan', 'EMRO', '566', '309581', '7', '6451');
INSERT INTO public.who_import VALUES (66254, '2020-09-27', 'PK', 'Pakistan', 'EMRO', '694', '310275', '6', '6457');
INSERT INTO public.who_import VALUES (66255, '2020-09-28', 'PK', 'Pakistan', 'EMRO', '566', '310841', '9', '6466');
INSERT INTO public.who_import VALUES (66256, '2020-09-29', 'PK', 'Pakistan', 'EMRO', '675', '311516', '8', '6474');
INSERT INTO public.who_import VALUES (66257, '2020-09-30', 'PK', 'Pakistan', 'EMRO', '747', '312263', '5', '6479');
INSERT INTO public.who_import VALUES (66258, '2020-10-01', 'PK', 'Pakistan', 'EMRO', '543', '312806', '5', '6484');
INSERT INTO public.who_import VALUES (66259, '2020-10-02', 'PK', 'Pakistan', 'EMRO', '625', '313431', '15', '6499');
INSERT INTO public.who_import VALUES (66260, '2020-10-03', 'PK', 'Pakistan', 'EMRO', '553', '313984', '8', '6507');
INSERT INTO public.who_import VALUES (66261, '2020-10-04', 'PK', 'Pakistan', 'EMRO', '632', '314616', '6', '6513');
INSERT INTO public.who_import VALUES (66262, '2020-10-05', 'PK', 'Pakistan', 'EMRO', '644', '315260', '4', '6517');
INSERT INTO public.who_import VALUES (66263, '2020-10-06', 'PK', 'Pakistan', 'EMRO', '467', '315727', '6', '6523');
INSERT INTO public.who_import VALUES (66264, '2020-10-07', 'PK', 'Pakistan', 'EMRO', '624', '316351', '12', '6535');
INSERT INTO public.who_import VALUES (66265, '2020-10-08', 'PK', 'Pakistan', 'EMRO', '583', '316934', '9', '6544');
INSERT INTO public.who_import VALUES (66266, '2020-10-09', 'PK', 'Pakistan', 'EMRO', '661', '317595', '8', '6552');
INSERT INTO public.who_import VALUES (66267, '2020-10-10', 'PK', 'Pakistan', 'EMRO', '671', '318266', '6', '6558');
INSERT INTO public.who_import VALUES (66268, '2020-10-11', 'PK', 'Pakistan', 'EMRO', '666', '318932', '12', '6570');
INSERT INTO public.who_import VALUES (66269, '2020-10-12', 'PK', 'Pakistan', 'EMRO', '385', '319317', '10', '6580');
INSERT INTO public.who_import VALUES (66270, '2020-10-13', 'PK', 'Pakistan', 'EMRO', '531', '319848', '8', '6588');
INSERT INTO public.who_import VALUES (66271, '2020-10-14', 'PK', 'Pakistan', 'EMRO', '615', '320463', '13', '6601');
INSERT INTO public.who_import VALUES (66272, '2020-10-15', 'PK', 'Pakistan', 'EMRO', '755', '321218', '13', '6614');
INSERT INTO public.who_import VALUES (66273, '2020-10-16', 'PK', 'Pakistan', 'EMRO', '593', '321811', '7', '6621');
INSERT INTO public.who_import VALUES (66274, '2020-10-17', 'PK', 'Pakistan', 'EMRO', '641', '322452', '17', '6638');
INSERT INTO public.who_import VALUES (66275, '2020-10-18', 'PK', 'Pakistan', 'EMRO', '567', '323019', '16', '6654');
INSERT INTO public.who_import VALUES (66276, '2020-10-19', 'PK', 'Pakistan', 'EMRO', '440', '323459', '5', '6659');
INSERT INTO public.who_import VALUES (66277, '2020-10-20', 'PK', 'Pakistan', 'EMRO', '618', '324077', '14', '6673');
INSERT INTO public.who_import VALUES (66278, '2020-10-21', 'PK', 'Pakistan', 'EMRO', '0', '324077', '0', '6673');
INSERT INTO public.who_import VALUES (66279, '2020-10-22', 'PK', 'Pakistan', 'EMRO', '660', '324737', '19', '6692');
INSERT INTO public.who_import VALUES (66280, '2020-10-23', 'PK', 'Pakistan', 'EMRO', '736', '325473', '10', '6702');
INSERT INTO public.who_import VALUES (66281, '2020-10-24', 'PK', 'Pakistan', 'EMRO', '736', '326209', '13', '6715');
INSERT INTO public.who_import VALUES (66282, '2020-10-25', 'PK', 'Pakistan', 'EMRO', '847', '327056', '12', '6727');
INSERT INTO public.who_import VALUES (66283, '2020-10-26', 'PK', 'Pakistan', 'EMRO', '839', '327895', '9', '6736');
INSERT INTO public.who_import VALUES (66284, '2020-10-27', 'PK', 'Pakistan', 'EMRO', '707', '328602', '3', '6739');
INSERT INTO public.who_import VALUES (66285, '2020-10-28', 'PK', 'Pakistan', 'EMRO', '773', '329375', '6', '6745');
INSERT INTO public.who_import VALUES (66286, '2020-10-29', 'PK', 'Pakistan', 'EMRO', '825', '330200', '14', '6759');
INSERT INTO public.who_import VALUES (66287, '2020-10-30', 'PK', 'Pakistan', 'EMRO', '908', '331108', '16', '6775');
INSERT INTO public.who_import VALUES (66288, '2020-10-31', 'PK', 'Pakistan', 'EMRO', '1078', '332186', '20', '6795');
INSERT INTO public.who_import VALUES (66289, '2020-11-01', 'PK', 'Pakistan', 'EMRO', '807', '332993', '11', '6806');
INSERT INTO public.who_import VALUES (66290, '2020-11-02', 'PK', 'Pakistan', 'EMRO', '977', '333970', '17', '6823');
INSERT INTO public.who_import VALUES (66291, '2020-11-03', 'PK', 'Pakistan', 'EMRO', '1123', '335093', '12', '6835');
INSERT INTO public.who_import VALUES (66292, '2020-11-04', 'PK', 'Pakistan', 'EMRO', '1167', '336260', '14', '6849');
INSERT INTO public.who_import VALUES (66293, '2020-11-05', 'PK', 'Pakistan', 'EMRO', '1313', '337573', '18', '6867');
INSERT INTO public.who_import VALUES (66294, '2020-11-06', 'PK', 'Pakistan', 'EMRO', '1302', '338875', '26', '6893');
INSERT INTO public.who_import VALUES (66295, '2020-11-07', 'PK', 'Pakistan', 'EMRO', '1376', '340251', '30', '6923');
INSERT INTO public.who_import VALUES (66296, '2020-11-08', 'PK', 'Pakistan', 'EMRO', '1502', '341753', '20', '6943');
INSERT INTO public.who_import VALUES (66297, '2020-11-09', 'PK', 'Pakistan', 'EMRO', '1436', '343189', '25', '6968');
INSERT INTO public.who_import VALUES (66298, '2020-11-10', 'PK', 'Pakistan', 'EMRO', '1650', '344839', '9', '6977');
INSERT INTO public.who_import VALUES (66299, '2020-11-11', 'PK', 'Pakistan', 'EMRO', '1637', '346476', '23', '7000');
INSERT INTO public.who_import VALUES (66300, '2020-11-12', 'PK', 'Pakistan', 'EMRO', '1708', '348184', '21', '7021');
INSERT INTO public.who_import VALUES (66301, '2020-11-13', 'PK', 'Pakistan', 'EMRO', '1808', '349992', '34', '7055');
INSERT INTO public.who_import VALUES (66302, '2020-11-14', 'PK', 'Pakistan', 'EMRO', '2304', '352296', '37', '7092');
INSERT INTO public.who_import VALUES (66303, '2020-11-15', 'PK', 'Pakistan', 'EMRO', '2165', '354461', '17', '7109');
INSERT INTO public.who_import VALUES (66304, '2020-11-16', 'PK', 'Pakistan', 'EMRO', '2443', '356904', '32', '7141');
INSERT INTO public.who_import VALUES (66305, '2020-11-17', 'PK', 'Pakistan', 'EMRO', '2128', '359032', '19', '7160');
INSERT INTO public.who_import VALUES (66306, '2020-11-18', 'PK', 'Pakistan', 'EMRO', '2050', '361082', '33', '7193');
INSERT INTO public.who_import VALUES (66307, '2020-11-19', 'PK', 'Pakistan', 'EMRO', '2298', '363380', '37', '7230');
INSERT INTO public.who_import VALUES (66308, '2020-11-20', 'PK', 'Pakistan', 'EMRO', '2547', '365927', '18', '7248');
INSERT INTO public.who_import VALUES (66309, '2020-11-21', 'PK', 'Pakistan', 'EMRO', '2738', '368665', '313', '7561');
INSERT INTO public.who_import VALUES (66310, '2020-11-22', 'PK', 'Pakistan', 'EMRO', '2843', '371508', '42', '7603');
INSERT INTO public.who_import VALUES (66311, '2020-11-23', 'PK', 'Pakistan', 'EMRO', '2665', '374173', '59', '7662');
INSERT INTO public.who_import VALUES (66312, '2020-11-24', 'PK', 'Pakistan', 'EMRO', '2756', '376929', '34', '7696');
INSERT INTO public.who_import VALUES (66313, '2020-11-25', 'PK', 'Pakistan', 'EMRO', '2954', '379883', '48', '7744');
INSERT INTO public.who_import VALUES (66314, '2020-11-26', 'PK', 'Pakistan', 'EMRO', '3009', '382892', '59', '7803');
INSERT INTO public.who_import VALUES (66315, '2020-11-27', 'PK', 'Pakistan', 'EMRO', '3306', '386198', '40', '7843');
INSERT INTO public.who_import VALUES (66316, '2020-11-28', 'PK', 'Pakistan', 'EMRO', '3113', '389311', '54', '7897');
INSERT INTO public.who_import VALUES (66317, '2020-11-29', 'PK', 'Pakistan', 'EMRO', '3045', '392356', '45', '7942');
INSERT INTO public.who_import VALUES (66318, '2020-11-30', 'PK', 'Pakistan', 'EMRO', '2829', '395185', '43', '7985');
INSERT INTO public.who_import VALUES (66319, '2020-12-01', 'PK', 'Pakistan', 'EMRO', '2839', '398024', '40', '8025');
INSERT INTO public.who_import VALUES (66320, '2020-12-02', 'PK', 'Pakistan', 'EMRO', '2458', '400482', '66', '8091');
INSERT INTO public.who_import VALUES (66321, '2020-12-03', 'PK', 'Pakistan', 'EMRO', '2829', '403311', '75', '8166');
INSERT INTO public.who_import VALUES (66322, '2020-12-04', 'PK', 'Pakistan', 'EMRO', '3499', '406810', '39', '8205');
INSERT INTO public.who_import VALUES (66323, '2020-12-05', 'PK', 'Pakistan', 'EMRO', '3262', '410072', '55', '8260');
INSERT INTO public.who_import VALUES (66324, '2020-12-06', 'PK', 'Pakistan', 'EMRO', '3119', '413191', '43', '8303');
INSERT INTO public.who_import VALUES (66325, '2020-12-07', 'PK', 'Pakistan', 'EMRO', '3308', '416499', '58', '8361');
INSERT INTO public.who_import VALUES (66326, '2020-12-08', 'PK', 'Pakistan', 'EMRO', '3795', '420294', '37', '8398');
INSERT INTO public.who_import VALUES (66327, '2020-12-09', 'PK', 'Pakistan', 'EMRO', '2885', '423179', '89', '8487');
INSERT INTO public.who_import VALUES (66328, '2020-12-10', 'PK', 'Pakistan', 'EMRO', '2963', '426142', '60', '8547');
INSERT INTO public.who_import VALUES (66329, '2020-12-11', 'PK', 'Pakistan', 'EMRO', '3138', '429280', '56', '8603');
INSERT INTO public.who_import VALUES (66330, '2020-12-12', 'PK', 'Pakistan', 'EMRO', '3047', '432327', '50', '8653');
INSERT INTO public.who_import VALUES (66331, '2020-12-13', 'PK', 'Pakistan', 'EMRO', '2729', '435056', '71', '8724');
INSERT INTO public.who_import VALUES (66332, '2020-12-14', 'PK', 'Pakistan', 'EMRO', '3369', '438425', '72', '8796');
INSERT INTO public.who_import VALUES (66333, '2020-12-15', 'PK', 'Pakistan', 'EMRO', '2362', '440787', '36', '8832');
INSERT INTO public.who_import VALUES (66334, '2020-12-16', 'PK', 'Pakistan', 'EMRO', '2459', '443246', '73', '8905');
INSERT INTO public.who_import VALUES (66335, '2020-12-17', 'PK', 'Pakistan', 'EMRO', '2731', '445977', '105', '9010');
INSERT INTO public.who_import VALUES (66336, '2020-12-18', 'PK', 'Pakistan', 'EMRO', '2545', '448522', '70', '9080');
INSERT INTO public.who_import VALUES (66337, '2020-12-19', 'PK', 'Pakistan', 'EMRO', '2972', '451494', '84', '9164');
INSERT INTO public.who_import VALUES (66338, '2020-12-20', 'PK', 'Pakistan', 'EMRO', '3179', '454673', '86', '9250');
INSERT INTO public.who_import VALUES (66339, '2020-12-21', 'PK', 'Pakistan', 'EMRO', '2615', '457288', '80', '9330');
INSERT INTO public.who_import VALUES (66340, '2020-12-22', 'PK', 'Pakistan', 'EMRO', '1680', '458968', '62', '9392');
INSERT INTO public.who_import VALUES (66341, '2020-12-23', 'PK', 'Pakistan', 'EMRO', '1704', '460672', '82', '9474');
INSERT INTO public.who_import VALUES (66342, '2020-12-24', 'PK', 'Pakistan', 'EMRO', '2142', '462814', '83', '9557');
INSERT INTO public.who_import VALUES (66343, '2020-12-25', 'PK', 'Pakistan', 'EMRO', '2256', '465070', '111', '9668');
INSERT INTO public.who_import VALUES (66344, '2020-12-26', 'PK', 'Pakistan', 'EMRO', '2152', '467222', '85', '9753');
INSERT INTO public.who_import VALUES (66345, '2020-12-27', 'PK', 'Pakistan', 'EMRO', '2260', '469482', '63', '9816');
INSERT INTO public.who_import VALUES (66346, '2020-12-28', 'PK', 'Pakistan', 'EMRO', '1853', '471335', '58', '9874');
INSERT INTO public.who_import VALUES (66347, '2020-12-29', 'PK', 'Pakistan', 'EMRO', '1974', '473309', '55', '9929');
INSERT INTO public.who_import VALUES (66348, '2020-12-30', 'PK', 'Pakistan', 'EMRO', '1776', '475085', '63', '9992');
INSERT INTO public.who_import VALUES (66349, '2020-12-31', 'PK', 'Pakistan', 'EMRO', '2155', '477240', '55', '10047');
INSERT INTO public.who_import VALUES (66350, '2021-01-01', 'PK', 'Pakistan', 'EMRO', '2475', '479715', '58', '10105');
INSERT INTO public.who_import VALUES (66351, '2021-01-02', 'PK', 'Pakistan', 'EMRO', '2463', '482178', '71', '10176');
INSERT INTO public.who_import VALUES (66352, '2021-01-03', 'PK', 'Pakistan', 'EMRO', '2184', '484362', '82', '10258');
INSERT INTO public.who_import VALUES (66353, '2021-01-04', 'PK', 'Pakistan', 'EMRO', '2272', '486634', '53', '10311');
INSERT INTO public.who_import VALUES (66354, '2021-01-05', 'PK', 'Pakistan', 'EMRO', '1895', '488529', '39', '10350');
INSERT INTO public.who_import VALUES (66355, '2021-01-06', 'PK', 'Pakistan', 'EMRO', '1947', '490476', '59', '10409');
INSERT INTO public.who_import VALUES (66356, '2021-01-07', 'PK', 'Pakistan', 'EMRO', '2118', '492594', '52', '10461');
INSERT INTO public.who_import VALUES (66357, '2021-01-08', 'PK', 'Pakistan', 'EMRO', '2481', '495075', '50', '10511');
INSERT INTO public.who_import VALUES (66358, '2021-01-09', 'PK', 'Pakistan', 'EMRO', '2435', '497510', '47', '10558');
INSERT INTO public.who_import VALUES (66359, '2021-01-10', 'PK', 'Pakistan', 'EMRO', '2007', '499517', '40', '10598');
INSERT INTO public.who_import VALUES (66360, '2021-01-11', 'PK', 'Pakistan', 'EMRO', '2899', '502416', '46', '10644');
INSERT INTO public.who_import VALUES (66361, '2021-01-12', 'PK', 'Pakistan', 'EMRO', '1877', '504293', '32', '10676');
INSERT INTO public.who_import VALUES (66362, '2021-01-13', 'PK', 'Pakistan', 'EMRO', '2408', '506701', '41', '10717');
INSERT INTO public.who_import VALUES (66363, '2021-01-14', 'PK', 'Pakistan', 'EMRO', '2123', '508824', '55', '10772');
INSERT INTO public.who_import VALUES (66364, '2021-01-15', 'PK', 'Pakistan', 'EMRO', '3097', '511921', '46', '10818');
INSERT INTO public.who_import VALUES (66365, '2021-01-16', 'PK', 'Pakistan', 'EMRO', '2417', '514338', '45', '10863');
INSERT INTO public.who_import VALUES (66366, '2021-01-17', 'PK', 'Pakistan', 'EMRO', '2432', '516770', '45', '10908');
INSERT INTO public.who_import VALUES (66367, '2021-01-18', 'PK', 'Pakistan', 'EMRO', '2521', '519291', '43', '10951');
INSERT INTO public.who_import VALUES (66368, '2021-01-19', 'PK', 'Pakistan', 'EMRO', '1920', '521211', '46', '10997');
INSERT INTO public.who_import VALUES (66369, '2021-01-20', 'PK', 'Pakistan', 'EMRO', '1800', '523011', '58', '11055');
INSERT INTO public.who_import VALUES (66370, '2021-01-21', 'PK', 'Pakistan', 'EMRO', '1772', '524783', '48', '11103');
INSERT INTO public.who_import VALUES (66371, '2021-01-22', 'PK', 'Pakistan', 'EMRO', '2363', '527146', '54', '11157');
INSERT INTO public.who_import VALUES (66372, '2021-01-23', 'PK', 'Pakistan', 'EMRO', '1745', '528891', '47', '11204');
INSERT INTO public.who_import VALUES (66373, '2021-01-24', 'PK', 'Pakistan', 'EMRO', '1927', '530818', '43', '11247');
INSERT INTO public.who_import VALUES (66374, '2021-01-25', 'PK', 'Pakistan', 'EMRO', '1594', '532412', '48', '11295');
INSERT INTO public.who_import VALUES (66375, '2021-01-26', 'PK', 'Pakistan', 'EMRO', '1629', '534041', '23', '11318');
INSERT INTO public.who_import VALUES (66376, '2021-01-27', 'PK', 'Pakistan', 'EMRO', '1873', '535914', '58', '11376');
INSERT INTO public.who_import VALUES (66377, '2021-01-28', 'PK', 'Pakistan', 'EMRO', '1563', '537477', '74', '11450');
INSERT INTO public.who_import VALUES (66378, '2021-01-29', 'PK', 'Pakistan', 'EMRO', '1910', '539387', '64', '11514');
INSERT INTO public.who_import VALUES (66379, '2021-01-30', 'PK', 'Pakistan', 'EMRO', '1644', '541031', '46', '11560');
INSERT INTO public.who_import VALUES (66380, '2021-01-31', 'PK', 'Pakistan', 'EMRO', '2183', '543214', '63', '11623');
INSERT INTO public.who_import VALUES (66381, '2021-02-01', 'PK', 'Pakistan', 'EMRO', '1599', '544813', '34', '11657');
INSERT INTO public.who_import VALUES (66382, '2021-02-02', 'PK', 'Pakistan', 'EMRO', '1615', '546428', '26', '11683');
INSERT INTO public.who_import VALUES (66383, '2021-02-03', 'PK', 'Pakistan', 'EMRO', '1220', '547648', '63', '11746');
INSERT INTO public.who_import VALUES (66384, '2021-02-04', 'PK', 'Pakistan', 'EMRO', '1384', '549032', '56', '11802');
INSERT INTO public.who_import VALUES (66385, '2021-02-05', 'PK', 'Pakistan', 'EMRO', '1508', '550540', '31', '11833');
INSERT INTO public.who_import VALUES (66386, '2021-02-06', 'PK', 'Pakistan', 'EMRO', '1302', '551842', '53', '11886');
INSERT INTO public.who_import VALUES (66387, '2021-02-07', 'PK', 'Pakistan', 'EMRO', '1286', '553128', '28', '11914');
INSERT INTO public.who_import VALUES (66388, '2021-02-08', 'PK', 'Pakistan', 'EMRO', '1346', '554474', '53', '11967');
INSERT INTO public.who_import VALUES (66389, '2021-02-09', 'PK', 'Pakistan', 'EMRO', '1037', '555511', '59', '12026');
INSERT INTO public.who_import VALUES (66390, '2021-02-10', 'PK', 'Pakistan', 'EMRO', '1008', '556519', '40', '12066');
INSERT INTO public.who_import VALUES (66391, '2021-02-11', 'PK', 'Pakistan', 'EMRO', '1072', '557591', '62', '12128');
INSERT INTO public.who_import VALUES (66392, '2021-02-12', 'PK', 'Pakistan', 'EMRO', '1502', '559093', '57', '12185');
INSERT INTO public.who_import VALUES (66393, '2021-02-13', 'PK', 'Pakistan', 'EMRO', '1270', '560363', '33', '12218');
INSERT INTO public.who_import VALUES (66394, '2021-02-14', 'PK', 'Pakistan', 'EMRO', '1262', '561625', '58', '12276');
INSERT INTO public.who_import VALUES (66395, '2021-02-15', 'PK', 'Pakistan', 'EMRO', '1404', '563029', '31', '12307');
INSERT INTO public.who_import VALUES (66396, '2021-02-16', 'PK', 'Pakistan', 'EMRO', '1048', '564077', '26', '12333');
INSERT INTO public.who_import VALUES (66397, '2021-02-17', 'PK', 'Pakistan', 'EMRO', '747', '564824', '47', '12380');
INSERT INTO public.who_import VALUES (66398, '2021-02-18', 'PK', 'Pakistan', 'EMRO', '1165', '565989', '56', '12436');
INSERT INTO public.who_import VALUES (66399, '2021-02-19', 'PK', 'Pakistan', 'EMRO', '1272', '567261', '52', '12488');
INSERT INTO public.who_import VALUES (66400, '2021-02-20', 'PK', 'Pakistan', 'EMRO', '1245', '568506', '39', '12527');
INSERT INTO public.who_import VALUES (66401, '2020-01-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66402, '2020-01-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66403, '2020-01-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66404, '2020-01-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66405, '2020-01-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66406, '2020-01-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66407, '2020-01-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66408, '2020-01-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66409, '2020-01-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66410, '2020-01-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66411, '2020-01-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66412, '2020-01-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66413, '2020-01-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66414, '2020-01-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66415, '2020-01-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66416, '2020-01-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66417, '2020-01-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66418, '2020-01-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66419, '2020-01-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66420, '2020-01-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66421, '2020-01-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66422, '2020-01-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66423, '2020-01-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66424, '2020-01-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66425, '2020-01-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66426, '2020-01-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66427, '2020-01-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66428, '2020-01-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66429, '2020-01-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66430, '2020-02-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66431, '2020-02-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66432, '2020-02-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66433, '2020-02-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66434, '2020-02-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66435, '2020-02-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66436, '2020-02-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66437, '2020-02-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66438, '2020-02-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66439, '2020-02-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66440, '2020-02-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66441, '2020-02-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66442, '2020-02-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66443, '2020-02-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66444, '2020-02-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66445, '2020-02-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66446, '2020-02-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66447, '2020-02-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66448, '2020-02-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66449, '2020-02-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66450, '2020-02-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66451, '2020-02-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66452, '2020-02-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66453, '2020-02-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66454, '2020-02-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66455, '2020-02-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66456, '2020-02-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66457, '2020-02-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66458, '2020-02-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66459, '2020-03-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66460, '2020-03-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66461, '2020-03-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66462, '2020-03-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66463, '2020-03-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66464, '2020-03-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66465, '2020-03-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66466, '2020-03-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66467, '2020-03-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66468, '2020-03-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66469, '2020-03-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66470, '2020-03-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66471, '2020-03-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66472, '2020-03-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66473, '2020-03-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66475, '2020-03-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66476, '2020-03-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66477, '2020-03-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66478, '2020-03-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66479, '2020-03-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66480, '2020-03-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66481, '2020-03-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66482, '2020-03-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66483, '2020-03-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66484, '2020-03-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66485, '2020-03-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66486, '2020-03-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66487, '2020-03-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66488, '2020-03-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66489, '2020-03-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66490, '2020-04-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66491, '2020-04-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66492, '2020-04-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66493, '2020-04-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66494, '2020-04-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66495, '2020-04-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66496, '2020-04-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66497, '2020-04-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66498, '2020-04-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66499, '2020-04-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66500, '2020-04-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66501, '2020-04-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66502, '2020-04-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66503, '2020-04-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66504, '2020-04-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66505, '2020-04-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66506, '2020-04-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66507, '2020-04-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66508, '2020-04-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66509, '2020-04-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66510, '2020-04-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66511, '2020-04-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66512, '2020-04-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66513, '2020-04-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66514, '2020-04-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66515, '2020-04-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66516, '2020-04-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66517, '2020-04-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66518, '2020-04-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66519, '2020-04-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66520, '2020-05-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66521, '2020-05-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66522, '2020-05-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66523, '2020-05-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66524, '2020-05-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66525, '2020-05-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66526, '2020-05-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66527, '2020-05-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66528, '2020-05-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66529, '2020-05-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66530, '2020-05-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66531, '2020-05-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66532, '2020-05-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66533, '2020-05-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66534, '2020-05-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66535, '2020-05-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66536, '2020-05-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66537, '2020-05-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66538, '2020-05-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66539, '2020-05-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66540, '2020-05-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66541, '2020-05-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66542, '2020-05-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66543, '2020-05-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66544, '2020-05-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66545, '2020-05-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66546, '2020-05-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66547, '2020-05-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66548, '2020-05-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66549, '2020-05-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66550, '2020-05-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66551, '2020-06-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66552, '2020-06-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66553, '2020-06-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66554, '2020-06-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66555, '2020-06-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66556, '2020-06-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66557, '2020-06-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66558, '2020-06-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66559, '2020-06-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66560, '2020-06-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66561, '2020-06-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66562, '2020-06-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66563, '2020-06-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66564, '2020-06-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66565, '2020-06-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66566, '2020-06-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66567, '2020-06-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66568, '2020-06-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66569, '2020-06-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66570, '2020-06-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66571, '2020-06-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66572, '2020-06-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66573, '2020-06-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66574, '2020-06-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66575, '2020-06-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66576, '2020-06-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66577, '2020-06-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66578, '2020-06-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66579, '2020-06-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66580, '2020-06-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66581, '2020-07-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66582, '2020-07-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66583, '2020-07-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66584, '2020-07-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66585, '2020-07-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66586, '2020-07-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66587, '2020-07-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66588, '2020-07-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66589, '2020-07-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66590, '2020-07-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66591, '2020-07-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66592, '2020-07-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66593, '2020-07-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66594, '2020-07-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66595, '2020-07-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66596, '2020-07-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66597, '2020-07-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66598, '2020-07-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66599, '2020-07-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66600, '2020-07-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66601, '2020-07-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66602, '2020-07-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66603, '2020-07-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66604, '2020-07-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66605, '2020-07-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66606, '2020-07-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66607, '2020-07-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66608, '2020-07-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66609, '2020-07-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66610, '2020-07-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66611, '2020-07-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66612, '2020-08-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66613, '2020-08-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66614, '2020-08-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66615, '2020-08-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66616, '2020-08-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66617, '2020-08-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66618, '2020-08-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66619, '2020-08-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66620, '2020-08-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66621, '2020-08-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66622, '2020-08-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66623, '2020-08-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66624, '2020-08-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66625, '2020-08-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66626, '2020-08-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66627, '2020-08-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66628, '2020-08-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66629, '2020-08-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66630, '2020-08-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66631, '2020-08-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66632, '2020-08-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66633, '2020-08-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66634, '2020-08-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66635, '2020-08-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66636, '2020-08-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66637, '2020-08-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66638, '2020-08-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66639, '2020-08-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66640, '2020-08-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66641, '2020-08-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66642, '2020-08-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66643, '2020-09-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66644, '2020-09-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66645, '2020-09-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66646, '2020-09-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66647, '2020-09-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66648, '2020-09-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66649, '2020-09-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66650, '2020-09-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66651, '2020-09-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66652, '2020-09-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66653, '2020-09-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66654, '2020-09-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66655, '2020-09-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66656, '2020-09-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66657, '2020-09-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66658, '2020-09-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66659, '2020-09-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66660, '2020-09-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66661, '2020-09-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66662, '2020-09-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66663, '2020-09-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66664, '2020-09-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66665, '2020-09-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66666, '2020-09-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66667, '2020-09-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66668, '2020-09-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66669, '2020-09-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66670, '2020-09-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66671, '2020-09-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66672, '2020-09-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66673, '2020-10-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66674, '2020-10-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66675, '2020-10-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66676, '2020-10-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66677, '2020-10-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66678, '2020-10-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66679, '2020-10-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66680, '2020-10-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66681, '2020-10-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66682, '2020-10-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66683, '2020-10-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66684, '2020-10-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66685, '2020-10-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66686, '2020-10-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66687, '2020-10-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66688, '2020-10-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66689, '2020-10-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66690, '2020-10-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66691, '2020-10-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66692, '2020-10-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66693, '2020-10-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66694, '2020-10-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66695, '2020-10-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66696, '2020-10-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66697, '2020-10-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66698, '2020-10-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66699, '2020-10-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66700, '2020-10-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66701, '2020-10-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66702, '2020-10-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66703, '2020-10-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66704, '2020-11-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66705, '2020-11-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66706, '2020-11-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66707, '2020-11-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66708, '2020-11-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66709, '2020-11-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66710, '2020-11-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66711, '2020-11-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66712, '2020-11-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66713, '2020-11-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66714, '2020-11-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66715, '2020-11-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66716, '2020-11-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66717, '2020-11-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66718, '2020-11-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66719, '2020-11-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66720, '2020-11-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66721, '2020-11-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66722, '2020-11-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66723, '2020-11-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66724, '2020-11-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66725, '2020-11-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66726, '2020-11-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66727, '2020-11-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66728, '2020-11-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66729, '2020-11-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66730, '2020-11-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66731, '2020-11-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66732, '2020-11-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66733, '2020-11-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66734, '2020-12-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66735, '2020-12-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66736, '2020-12-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66737, '2020-12-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66738, '2020-12-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66739, '2020-12-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66740, '2020-12-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66741, '2020-12-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66742, '2020-12-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66743, '2020-12-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66744, '2020-12-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66745, '2020-12-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66746, '2020-12-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66747, '2020-12-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66748, '2020-12-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66749, '2020-12-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66750, '2020-12-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66751, '2020-12-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66752, '2020-12-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66753, '2020-12-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66754, '2020-12-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66755, '2020-12-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66756, '2020-12-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66757, '2020-12-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66758, '2020-12-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66759, '2020-12-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66760, '2020-12-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66761, '2020-12-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66762, '2020-12-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66763, '2020-12-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66764, '2020-12-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66765, '2021-01-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66766, '2021-01-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66767, '2021-01-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66768, '2021-01-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66769, '2021-01-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66770, '2021-01-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66771, '2021-01-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66772, '2021-01-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66773, '2021-01-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66774, '2021-01-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66775, '2021-01-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66776, '2021-01-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66777, '2021-01-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66778, '2021-01-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66779, '2021-01-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66780, '2021-01-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66781, '2021-01-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66782, '2021-01-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66783, '2021-01-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66784, '2021-01-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66785, '2021-01-21', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66786, '2021-01-22', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66787, '2021-01-23', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66788, '2021-01-24', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66789, '2021-01-25', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66790, '2021-01-26', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66791, '2021-01-27', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66792, '2021-01-28', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66793, '2021-01-29', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66794, '2021-01-30', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66795, '2021-01-31', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66796, '2021-02-01', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66797, '2021-02-02', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66798, '2021-02-03', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66799, '2021-02-04', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66800, '2021-02-05', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66801, '2021-02-06', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66802, '2021-02-07', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66803, '2021-02-08', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66804, '2021-02-09', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66805, '2021-02-10', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66806, '2021-02-11', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66807, '2021-02-12', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66808, '2021-02-13', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66809, '2021-02-14', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66810, '2021-02-15', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66811, '2021-02-16', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66812, '2021-02-17', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66813, '2021-02-18', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66814, '2021-02-19', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66815, '2021-02-20', 'PW', 'Palau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66816, '2020-01-03', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66817, '2020-01-04', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66818, '2020-01-05', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66819, '2020-01-06', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66820, '2020-01-07', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66821, '2020-01-08', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66822, '2020-01-09', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66823, '2020-01-10', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66824, '2020-01-11', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66825, '2020-01-12', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66826, '2020-01-13', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66827, '2020-01-14', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66828, '2020-01-15', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66829, '2020-01-16', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66830, '2020-01-17', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66831, '2020-01-18', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66832, '2020-01-19', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66833, '2020-01-20', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66834, '2020-01-21', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66835, '2020-01-22', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66836, '2020-01-23', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66837, '2020-01-24', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66838, '2020-01-25', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66839, '2020-01-26', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66840, '2020-01-27', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66841, '2020-01-28', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66842, '2020-01-29', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66843, '2020-01-30', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66844, '2020-01-31', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66845, '2020-02-01', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66846, '2020-02-02', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66847, '2020-02-03', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66848, '2020-02-04', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66849, '2020-02-05', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66850, '2020-02-06', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66851, '2020-02-07', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66852, '2020-02-08', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66853, '2020-02-09', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66854, '2020-02-10', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66855, '2020-02-11', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66856, '2020-02-12', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66857, '2020-02-13', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66858, '2020-02-14', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66859, '2020-02-15', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66860, '2020-02-16', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66861, '2020-02-17', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66862, '2020-02-18', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66863, '2020-02-19', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66864, '2020-02-20', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66865, '2020-02-21', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66866, '2020-02-22', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66867, '2020-02-23', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66868, '2020-02-24', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66869, '2020-02-25', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66870, '2020-02-26', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66871, '2020-02-27', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66872, '2020-02-28', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66873, '2020-02-29', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66874, '2020-03-01', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66875, '2020-03-02', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66876, '2020-03-03', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66877, '2020-03-04', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66878, '2020-03-05', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66879, '2020-03-06', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66880, '2020-03-07', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66881, '2020-03-08', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66882, '2020-03-09', 'PA', 'Panama', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66883, '2020-03-10', 'PA', 'Panama', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (66884, '2020-03-11', 'PA', 'Panama', 'AMRO', '7', '12', '1', '1');
INSERT INTO public.who_import VALUES (66885, '2020-03-12', 'PA', 'Panama', 'AMRO', '2', '14', '0', '1');
INSERT INTO public.who_import VALUES (66886, '2020-03-13', 'PA', 'Panama', 'AMRO', '4', '18', '0', '1');
INSERT INTO public.who_import VALUES (66887, '2020-03-14', 'PA', 'Panama', 'AMRO', '13', '31', '0', '1');
INSERT INTO public.who_import VALUES (66888, '2020-03-15', 'PA', 'Panama', 'AMRO', '0', '31', '0', '1');
INSERT INTO public.who_import VALUES (66889, '2020-03-16', 'PA', 'Panama', 'AMRO', '16', '47', '0', '1');
INSERT INTO public.who_import VALUES (66890, '2020-03-17', 'PA', 'Panama', 'AMRO', '26', '73', '0', '1');
INSERT INTO public.who_import VALUES (66891, '2020-03-18', 'PA', 'Panama', 'AMRO', '17', '90', '0', '1');
INSERT INTO public.who_import VALUES (66892, '2020-03-19', 'PA', 'Panama', 'AMRO', '19', '109', '0', '1');
INSERT INTO public.who_import VALUES (66893, '2020-03-20', 'PA', 'Panama', 'AMRO', '28', '137', '0', '1');
INSERT INTO public.who_import VALUES (66894, '2020-03-21', 'PA', 'Panama', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (66895, '2020-03-22', 'PA', 'Panama', 'AMRO', '0', '137', '0', '1');
INSERT INTO public.who_import VALUES (66896, '2020-03-23', 'PA', 'Panama', 'AMRO', '108', '245', '2', '3');
INSERT INTO public.who_import VALUES (66897, '2020-03-24', 'PA', 'Panama', 'AMRO', '100', '345', '3', '6');
INSERT INTO public.who_import VALUES (66898, '2020-03-25', 'PA', 'Panama', 'AMRO', '0', '345', '0', '6');
INSERT INTO public.who_import VALUES (66899, '2020-03-26', 'PA', 'Panama', 'AMRO', '213', '558', '2', '8');
INSERT INTO public.who_import VALUES (66900, '2020-03-27', 'PA', 'Panama', 'AMRO', '0', '558', '0', '8');
INSERT INTO public.who_import VALUES (66901, '2020-03-28', 'PA', 'Panama', 'AMRO', '116', '674', '1', '9');
INSERT INTO public.who_import VALUES (66902, '2020-03-29', 'PA', 'Panama', 'AMRO', '112', '786', '5', '14');
INSERT INTO public.who_import VALUES (66903, '2020-03-30', 'PA', 'Panama', 'AMRO', '115', '901', '3', '17');
INSERT INTO public.who_import VALUES (66904, '2020-03-31', 'PA', 'Panama', 'AMRO', '88', '989', '7', '24');
INSERT INTO public.who_import VALUES (66905, '2020-04-01', 'PA', 'Panama', 'AMRO', '0', '989', '0', '24');
INSERT INTO public.who_import VALUES (66906, '2020-04-02', 'PA', 'Panama', 'AMRO', '192', '1181', '6', '30');
INSERT INTO public.who_import VALUES (66907, '2020-04-03', 'PA', 'Panama', 'AMRO', '136', '1317', '2', '32');
INSERT INTO public.who_import VALUES (66908, '2020-04-04', 'PA', 'Panama', 'AMRO', '158', '1475', '5', '37');
INSERT INTO public.who_import VALUES (66909, '2020-04-05', 'PA', 'Panama', 'AMRO', '198', '1673', '4', '41');
INSERT INTO public.who_import VALUES (66910, '2020-04-06', 'PA', 'Panama', 'AMRO', '128', '1801', '5', '46');
INSERT INTO public.who_import VALUES (66911, '2020-04-07', 'PA', 'Panama', 'AMRO', '187', '1988', '8', '54');
INSERT INTO public.who_import VALUES (66912, '2020-04-08', 'PA', 'Panama', 'AMRO', '112', '2100', '1', '55');
INSERT INTO public.who_import VALUES (66913, '2020-04-09', 'PA', 'Panama', 'AMRO', '149', '2249', '4', '59');
INSERT INTO public.who_import VALUES (66914, '2020-04-10', 'PA', 'Panama', 'AMRO', '279', '2528', '4', '63');
INSERT INTO public.who_import VALUES (66915, '2020-04-11', 'PA', 'Panama', 'AMRO', '224', '2752', '3', '66');
INSERT INTO public.who_import VALUES (66916, '2020-04-12', 'PA', 'Panama', 'AMRO', '222', '2974', '8', '74');
INSERT INTO public.who_import VALUES (66917, '2020-04-13', 'PA', 'Panama', 'AMRO', '260', '3234', '5', '79');
INSERT INTO public.who_import VALUES (66918, '2020-04-14', 'PA', 'Panama', 'AMRO', '166', '3400', '8', '87');
INSERT INTO public.who_import VALUES (66919, '2020-04-15', 'PA', 'Panama', 'AMRO', '72', '3472', '7', '94');
INSERT INTO public.who_import VALUES (66920, '2020-04-16', 'PA', 'Panama', 'AMRO', '102', '3574', '1', '95');
INSERT INTO public.who_import VALUES (66921, '2020-04-17', 'PA', 'Panama', 'AMRO', '177', '3751', '8', '103');
INSERT INTO public.who_import VALUES (66922, '2020-04-18', 'PA', 'Panama', 'AMRO', '265', '4016', '6', '109');
INSERT INTO public.who_import VALUES (66923, '2020-04-19', 'PA', 'Panama', 'AMRO', '194', '4210', '6', '115');
INSERT INTO public.who_import VALUES (66924, '2020-04-20', 'PA', 'Panama', 'AMRO', '63', '4273', '5', '120');
INSERT INTO public.who_import VALUES (66925, '2020-04-21', 'PA', 'Panama', 'AMRO', '194', '4467', '6', '126');
INSERT INTO public.who_import VALUES (66926, '2020-04-22', 'PA', 'Panama', 'AMRO', '191', '4658', '10', '136');
INSERT INTO public.who_import VALUES (66927, '2020-04-23', 'PA', 'Panama', 'AMRO', '163', '4821', '5', '141');
INSERT INTO public.who_import VALUES (66928, '2020-04-24', 'PA', 'Panama', 'AMRO', '171', '4992', '3', '144');
INSERT INTO public.who_import VALUES (66929, '2020-04-25', 'PA', 'Panama', 'AMRO', '174', '5166', '2', '146');
INSERT INTO public.who_import VALUES (66930, '2020-04-26', 'PA', 'Panama', 'AMRO', '172', '5338', '8', '154');
INSERT INTO public.who_import VALUES (66931, '2020-04-27', 'PA', 'Panama', 'AMRO', '200', '5538', '5', '159');
INSERT INTO public.who_import VALUES (66932, '2020-04-28', 'PA', 'Panama', 'AMRO', '241', '5779', '6', '165');
INSERT INTO public.who_import VALUES (66933, '2020-04-29', 'PA', 'Panama', 'AMRO', '242', '6021', '2', '167');
INSERT INTO public.who_import VALUES (66934, '2020-04-30', 'PA', 'Panama', 'AMRO', '179', '6200', '9', '176');
INSERT INTO public.who_import VALUES (66935, '2020-05-01', 'PA', 'Panama', 'AMRO', '178', '6378', '2', '178');
INSERT INTO public.who_import VALUES (66936, '2020-05-02', 'PA', 'Panama', 'AMRO', '154', '6532', '10', '188');
INSERT INTO public.who_import VALUES (66937, '2020-05-03', 'PA', 'Panama', 'AMRO', '188', '6720', '4', '192');
INSERT INTO public.who_import VALUES (66938, '2020-05-04', 'PA', 'Panama', 'AMRO', '370', '7090', '5', '197');
INSERT INTO public.who_import VALUES (66939, '2020-05-05', 'PA', 'Panama', 'AMRO', '107', '7197', '3', '200');
INSERT INTO public.who_import VALUES (66940, '2020-05-06', 'PA', 'Panama', 'AMRO', '190', '7387', '3', '203');
INSERT INTO public.who_import VALUES (66941, '2020-05-07', 'PA', 'Panama', 'AMRO', '136', '7523', '7', '210');
INSERT INTO public.who_import VALUES (66942, '2020-05-08', 'PA', 'Panama', 'AMRO', '208', '7731', '8', '218');
INSERT INTO public.who_import VALUES (66943, '2020-05-09', 'PA', 'Panama', 'AMRO', '137', '7868', '7', '225');
INSERT INTO public.who_import VALUES (66944, '2020-05-10', 'PA', 'Panama', 'AMRO', '202', '8070', '6', '231');
INSERT INTO public.who_import VALUES (66945, '2020-05-11', 'PA', 'Panama', 'AMRO', '212', '8282', '6', '237');
INSERT INTO public.who_import VALUES (66946, '2020-05-12', 'PA', 'Panama', 'AMRO', '166', '8448', '7', '244');
INSERT INTO public.who_import VALUES (66947, '2020-05-13', 'PA', 'Panama', 'AMRO', '168', '8616', '5', '249');
INSERT INTO public.who_import VALUES (67656, '2020-01-13', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (66948, '2020-05-14', 'PA', 'Panama', 'AMRO', '0', '8616', '0', '249');
INSERT INTO public.who_import VALUES (66949, '2020-05-15', 'PA', 'Panama', 'AMRO', '328', '8944', '7', '256');
INSERT INTO public.who_import VALUES (66950, '2020-05-16', 'PA', 'Panama', 'AMRO', '174', '9118', '4', '260');
INSERT INTO public.who_import VALUES (66951, '2020-05-17', 'PA', 'Panama', 'AMRO', '150', '9268', '6', '266');
INSERT INTO public.who_import VALUES (66952, '2020-05-18', 'PA', 'Panama', 'AMRO', '181', '9449', '3', '269');
INSERT INTO public.who_import VALUES (66953, '2020-05-19', 'PA', 'Panama', 'AMRO', '157', '9606', '6', '275');
INSERT INTO public.who_import VALUES (66954, '2020-05-20', 'PA', 'Panama', 'AMRO', '120', '9726', '4', '279');
INSERT INTO public.who_import VALUES (66955, '2020-05-21', 'PA', 'Panama', 'AMRO', '141', '9867', '2', '281');
INSERT INTO public.who_import VALUES (66956, '2020-05-22', 'PA', 'Panama', 'AMRO', '110', '9977', '6', '287');
INSERT INTO public.who_import VALUES (66957, '2020-05-23', 'PA', 'Panama', 'AMRO', '139', '10116', '4', '291');
INSERT INTO public.who_import VALUES (66958, '2020-05-24', 'PA', 'Panama', 'AMRO', '151', '10267', '4', '295');
INSERT INTO public.who_import VALUES (66959, '2020-05-25', 'PA', 'Panama', 'AMRO', '310', '10577', '4', '299');
INSERT INTO public.who_import VALUES (66960, '2020-05-26', 'PA', 'Panama', 'AMRO', '349', '10926', '7', '306');
INSERT INTO public.who_import VALUES (66961, '2020-05-27', 'PA', 'Panama', 'AMRO', '257', '11183', '4', '310');
INSERT INTO public.who_import VALUES (66962, '2020-05-28', 'PA', 'Panama', 'AMRO', '264', '11447', '3', '313');
INSERT INTO public.who_import VALUES (66963, '2020-05-29', 'PA', 'Panama', 'AMRO', '281', '11728', '2', '315');
INSERT INTO public.who_import VALUES (66964, '2020-05-30', 'PA', 'Panama', 'AMRO', '403', '12131', '5', '320');
INSERT INTO public.who_import VALUES (66965, '2020-05-31', 'PA', 'Panama', 'AMRO', '400', '12531', '6', '326');
INSERT INTO public.who_import VALUES (66966, '2020-06-01', 'PA', 'Panama', 'AMRO', '487', '13018', '4', '330');
INSERT INTO public.who_import VALUES (66967, '2020-06-02', 'PA', 'Panama', 'AMRO', '445', '13463', '6', '336');
INSERT INTO public.who_import VALUES (66968, '2020-06-03', 'PA', 'Panama', 'AMRO', '374', '13837', '8', '344');
INSERT INTO public.who_import VALUES (66969, '2020-06-04', 'PA', 'Panama', 'AMRO', '258', '14095', '8', '352');
INSERT INTO public.who_import VALUES (66970, '2020-06-05', 'PA', 'Panama', 'AMRO', '514', '14609', '5', '357');
INSERT INTO public.who_import VALUES (66971, '2020-06-06', 'PA', 'Panama', 'AMRO', '435', '15044', '6', '363');
INSERT INTO public.who_import VALUES (66972, '2020-06-07', 'PA', 'Panama', 'AMRO', '419', '15463', '7', '370');
INSERT INTO public.who_import VALUES (66973, '2020-06-08', 'PA', 'Panama', 'AMRO', '541', '16004', '16', '386');
INSERT INTO public.who_import VALUES (66974, '2020-06-09', 'PA', 'Panama', 'AMRO', '421', '16425', '7', '393');
INSERT INTO public.who_import VALUES (66975, '2020-06-10', 'PA', 'Panama', 'AMRO', '429', '16854', '5', '398');
INSERT INTO public.who_import VALUES (66976, '2020-06-11', 'PA', 'Panama', 'AMRO', '379', '17233', '5', '403');
INSERT INTO public.who_import VALUES (66977, '2020-06-12', 'PA', 'Panama', 'AMRO', '656', '17889', '10', '413');
INSERT INTO public.who_import VALUES (66978, '2020-06-13', 'PA', 'Panama', 'AMRO', '697', '18586', '5', '418');
INSERT INTO public.who_import VALUES (66979, '2020-06-14', 'PA', 'Panama', 'AMRO', '625', '19211', '3', '421');
INSERT INTO public.who_import VALUES (66980, '2020-06-15', 'PA', 'Panama', 'AMRO', '848', '20059', '8', '429');
INSERT INTO public.who_import VALUES (66981, '2020-06-16', 'PA', 'Panama', 'AMRO', '627', '20686', '8', '437');
INSERT INTO public.who_import VALUES (66982, '2020-06-17', 'PA', 'Panama', 'AMRO', '736', '21422', '11', '448');
INSERT INTO public.who_import VALUES (66983, '2020-06-18', 'PA', 'Panama', 'AMRO', '540', '21962', '9', '457');
INSERT INTO public.who_import VALUES (66984, '2020-06-19', 'PA', 'Panama', 'AMRO', '635', '22597', '13', '470');
INSERT INTO public.who_import VALUES (66985, '2020-06-20', 'PA', 'Panama', 'AMRO', '754', '23351', '5', '475');
INSERT INTO public.who_import VALUES (66986, '2020-06-21', 'PA', 'Panama', 'AMRO', '923', '24274', '10', '485');
INSERT INTO public.who_import VALUES (66987, '2020-06-22', 'PA', 'Panama', 'AMRO', '948', '25222', '8', '493');
INSERT INTO public.who_import VALUES (66988, '2020-06-23', 'PA', 'Panama', 'AMRO', '808', '26030', '8', '501');
INSERT INTO public.who_import VALUES (66989, '2020-06-24', 'PA', 'Panama', 'AMRO', '722', '26752', '20', '521');
INSERT INTO public.who_import VALUES (66990, '2020-06-25', 'PA', 'Panama', 'AMRO', '562', '27314', '15', '536');
INSERT INTO public.who_import VALUES (66991, '2020-06-26', 'PA', 'Panama', 'AMRO', '716', '28030', '11', '547');
INSERT INTO public.who_import VALUES (66992, '2020-06-27', 'PA', 'Panama', 'AMRO', '1007', '29037', '17', '564');
INSERT INTO public.who_import VALUES (66993, '2020-06-28', 'PA', 'Panama', 'AMRO', '868', '29905', '11', '575');
INSERT INTO public.who_import VALUES (66994, '2020-06-29', 'PA', 'Panama', 'AMRO', '753', '30658', '17', '592');
INSERT INTO public.who_import VALUES (66995, '2020-06-30', 'PA', 'Panama', 'AMRO', '1028', '31686', '12', '604');
INSERT INTO public.who_import VALUES (66996, '2020-07-01', 'PA', 'Panama', 'AMRO', '1099', '32785', '16', '620');
INSERT INTO public.who_import VALUES (66997, '2020-07-02', 'PA', 'Panama', 'AMRO', '765', '33550', '11', '631');
INSERT INTO public.who_import VALUES (66998, '2020-07-03', 'PA', 'Panama', 'AMRO', '913', '34463', '14', '645');
INSERT INTO public.who_import VALUES (66999, '2020-07-04', 'PA', 'Panama', 'AMRO', '774', '35237', '22', '667');
INSERT INTO public.who_import VALUES (67000, '2020-07-05', 'PA', 'Panama', 'AMRO', '758', '35995', '31', '698');
INSERT INTO public.who_import VALUES (67001, '2020-07-06', 'PA', 'Panama', 'AMRO', '988', '36983', '22', '720');
INSERT INTO public.who_import VALUES (67002, '2020-07-07', 'PA', 'Panama', 'AMRO', '1166', '38149', '27', '747');
INSERT INTO public.who_import VALUES (67003, '2020-07-08', 'PA', 'Panama', 'AMRO', '1185', '39334', '23', '770');
INSERT INTO public.who_import VALUES (67004, '2020-07-09', 'PA', 'Panama', 'AMRO', '957', '40291', '29', '799');
INSERT INTO public.who_import VALUES (67005, '2020-07-10', 'PA', 'Panama', 'AMRO', '960', '41251', '20', '819');
INSERT INTO public.who_import VALUES (67006, '2020-07-11', 'PA', 'Panama', 'AMRO', '965', '42216', '20', '839');
INSERT INTO public.who_import VALUES (67007, '2020-07-12', 'PA', 'Panama', 'AMRO', '1041', '43257', '24', '863');
INSERT INTO public.who_import VALUES (67008, '2020-07-13', 'PA', 'Panama', 'AMRO', '1075', '44332', '30', '893');
INSERT INTO public.who_import VALUES (67009, '2020-07-14', 'PA', 'Panama', 'AMRO', '1301', '45633', '16', '909');
INSERT INTO public.who_import VALUES (67010, '2020-07-15', 'PA', 'Panama', 'AMRO', '1540', '47173', '23', '932');
INSERT INTO public.who_import VALUES (67011, '2020-07-16', 'PA', 'Panama', 'AMRO', '923', '48096', '28', '960');
INSERT INTO public.who_import VALUES (67012, '2020-07-17', 'PA', 'Panama', 'AMRO', '1147', '49243', '22', '982');
INSERT INTO public.who_import VALUES (67013, '2020-07-18', 'PA', 'Panama', 'AMRO', '1130', '50373', '18', '1000');
INSERT INTO public.who_import VALUES (67014, '2020-07-19', 'PA', 'Panama', 'AMRO', '1035', '51408', '38', '1038');
INSERT INTO public.who_import VALUES (67015, '2020-07-20', 'PA', 'Panama', 'AMRO', '853', '52261', '33', '1071');
INSERT INTO public.who_import VALUES (67016, '2020-07-21', 'PA', 'Panama', 'AMRO', '1207', '53468', '25', '1096');
INSERT INTO public.who_import VALUES (67017, '2020-07-22', 'PA', 'Panama', 'AMRO', '958', '54426', '31', '1127');
INSERT INTO public.who_import VALUES (67018, '2020-07-23', 'PA', 'Panama', 'AMRO', '727', '55153', '32', '1159');
INSERT INTO public.who_import VALUES (67019, '2020-07-24', 'PA', 'Panama', 'AMRO', '753', '55906', '21', '1180');
INSERT INTO public.who_import VALUES (67020, '2020-07-25', 'PA', 'Panama', 'AMRO', '911', '56817', '29', '1209');
INSERT INTO public.who_import VALUES (67021, '2020-07-26', 'PA', 'Panama', 'AMRO', '1176', '57993', '41', '1250');
INSERT INTO public.who_import VALUES (67022, '2020-07-27', 'PA', 'Panama', 'AMRO', '871', '58864', '25', '1275');
INSERT INTO public.who_import VALUES (67023, '2020-07-28', 'PA', 'Panama', 'AMRO', '1432', '60296', '19', '1294');
INSERT INTO public.who_import VALUES (67024, '2020-07-29', 'PA', 'Panama', 'AMRO', '1146', '61442', '28', '1322');
INSERT INTO public.who_import VALUES (67025, '2020-07-30', 'PA', 'Panama', 'AMRO', '781', '62223', '27', '1349');
INSERT INTO public.who_import VALUES (67026, '2020-07-31', 'PA', 'Panama', 'AMRO', '1046', '63269', '25', '1374');
INSERT INTO public.who_import VALUES (67027, '2020-08-01', 'PA', 'Panama', 'AMRO', '922', '64191', '23', '1397');
INSERT INTO public.who_import VALUES (67028, '2020-08-02', 'PA', 'Panama', 'AMRO', '1065', '65256', '24', '1421');
INSERT INTO public.who_import VALUES (67029, '2020-08-03', 'PA', 'Panama', 'AMRO', '1127', '66383', '28', '1449');
INSERT INTO public.who_import VALUES (67030, '2020-08-04', 'PA', 'Panama', 'AMRO', '1070', '67453', '22', '1471');
INSERT INTO public.who_import VALUES (67031, '2020-08-05', 'PA', 'Panama', 'AMRO', '1003', '68456', '26', '1497');
INSERT INTO public.who_import VALUES (67032, '2020-08-06', 'PA', 'Panama', 'AMRO', '968', '69424', '25', '1522');
INSERT INTO public.who_import VALUES (67033, '2020-08-07', 'PA', 'Panama', 'AMRO', '807', '70231', '31', '1553');
INSERT INTO public.who_import VALUES (67034, '2020-08-08', 'PA', 'Panama', 'AMRO', '1187', '71418', '21', '1574');
INSERT INTO public.who_import VALUES (67035, '2020-08-09', 'PA', 'Panama', 'AMRO', '1142', '72560', '17', '1591');
INSERT INTO public.who_import VALUES (67036, '2020-08-10', 'PA', 'Panama', 'AMRO', '1091', '73651', '18', '1609');
INSERT INTO public.who_import VALUES (67037, '2020-08-11', 'PA', 'Panama', 'AMRO', '841', '74492', '30', '1639');
INSERT INTO public.who_import VALUES (67038, '2020-08-12', 'PA', 'Panama', 'AMRO', '902', '75394', '25', '1664');
INSERT INTO public.who_import VALUES (67039, '2020-08-13', 'PA', 'Panama', 'AMRO', '1070', '76464', '16', '1680');
INSERT INTO public.who_import VALUES (67040, '2020-08-14', 'PA', 'Panama', 'AMRO', '913', '77377', '23', '1703');
INSERT INTO public.who_import VALUES (67041, '2020-08-15', 'PA', 'Panama', 'AMRO', '1069', '78446', '19', '1722');
INSERT INTO public.who_import VALUES (67042, '2020-08-16', 'PA', 'Panama', 'AMRO', '956', '79402', '12', '1734');
INSERT INTO public.who_import VALUES (67043, '2020-08-17', 'PA', 'Panama', 'AMRO', '1263', '80665', '12', '1746');
INSERT INTO public.who_import VALUES (67044, '2020-08-18', 'PA', 'Panama', 'AMRO', '1275', '81940', '21', '1767');
INSERT INTO public.who_import VALUES (67045, '2020-08-19', 'PA', 'Panama', 'AMRO', '603', '82543', '21', '1788');
INSERT INTO public.who_import VALUES (67046, '2020-08-20', 'PA', 'Panama', 'AMRO', '247', '82790', '21', '1809');
INSERT INTO public.who_import VALUES (67047, '2020-08-21', 'PA', 'Panama', 'AMRO', '964', '83754', '18', '1827');
INSERT INTO public.who_import VALUES (67048, '2020-08-22', 'PA', 'Panama', 'AMRO', '101', '83855', '17', '1844');
INSERT INTO public.who_import VALUES (67049, '2020-08-23', 'PA', 'Panama', 'AMRO', '537', '84392', '15', '1859');
INSERT INTO public.who_import VALUES (67050, '2020-08-24', 'PA', 'Panama', 'AMRO', '1088', '85480', '19', '1878');
INSERT INTO public.who_import VALUES (67051, '2020-08-25', 'PA', 'Panama', 'AMRO', '1420', '86900', '14', '1892');
INSERT INTO public.who_import VALUES (67052, '2020-08-26', 'PA', 'Panama', 'AMRO', '585', '87485', '14', '1906');
INSERT INTO public.who_import VALUES (67053, '2020-08-27', 'PA', 'Panama', 'AMRO', '896', '88381', '13', '1919');
INSERT INTO public.who_import VALUES (67054, '2020-08-28', 'PA', 'Panama', 'AMRO', '701', '89082', '13', '1932');
INSERT INTO public.who_import VALUES (67055, '2020-08-29', 'PA', 'Panama', 'AMRO', '900', '89982', '16', '1948');
INSERT INTO public.who_import VALUES (67056, '2020-08-30', 'PA', 'Panama', 'AMRO', '642', '90624', '18', '1966');
INSERT INTO public.who_import VALUES (67057, '2020-08-31', 'PA', 'Panama', 'AMRO', '713', '91337', '17', '1983');
INSERT INTO public.who_import VALUES (67058, '2020-09-01', 'PA', 'Panama', 'AMRO', '728', '92065', '12', '1995');
INSERT INTO public.who_import VALUES (67059, '2020-09-02', 'PA', 'Panama', 'AMRO', '917', '92982', '7', '2002');
INSERT INTO public.who_import VALUES (67060, '2020-09-03', 'PA', 'Panama', 'AMRO', '570', '93552', '16', '2018');
INSERT INTO public.who_import VALUES (67061, '2020-09-04', 'PA', 'Panama', 'AMRO', '532', '94084', '12', '2030');
INSERT INTO public.who_import VALUES (67062, '2020-09-05', 'PA', 'Panama', 'AMRO', '830', '94914', '16', '2046');
INSERT INTO public.who_import VALUES (67063, '2020-09-06', 'PA', 'Panama', 'AMRO', '682', '95596', '17', '2063');
INSERT INTO public.who_import VALUES (67064, '2020-09-07', 'PA', 'Panama', 'AMRO', '709', '96305', '12', '2075');
INSERT INTO public.who_import VALUES (67065, '2020-09-08', 'PA', 'Panama', 'AMRO', '738', '97043', '11', '2086');
INSERT INTO public.who_import VALUES (67066, '2020-09-09', 'PA', 'Panama', 'AMRO', '535', '97578', '13', '2099');
INSERT INTO public.who_import VALUES (67067, '2020-09-10', 'PA', 'Panama', 'AMRO', '829', '98407', '8', '2107');
INSERT INTO public.who_import VALUES (67068, '2020-09-11', 'PA', 'Panama', 'AMRO', '635', '99042', '9', '2116');
INSERT INTO public.who_import VALUES (67069, '2020-09-12', 'PA', 'Panama', 'AMRO', '673', '99715', '11', '2127');
INSERT INTO public.who_import VALUES (67070, '2020-09-13', 'PA', 'Panama', 'AMRO', '615', '100330', '13', '2140');
INSERT INTO public.who_import VALUES (67071, '2020-09-14', 'PA', 'Panama', 'AMRO', '711', '101041', '15', '2155');
INSERT INTO public.who_import VALUES (67072, '2020-09-15', 'PA', 'Panama', 'AMRO', '704', '101745', '11', '2166');
INSERT INTO public.who_import VALUES (67073, '2020-09-16', 'PA', 'Panama', 'AMRO', '459', '102204', '7', '2173');
INSERT INTO public.who_import VALUES (67074, '2020-09-17', 'PA', 'Panama', 'AMRO', '628', '102832', '14', '2187');
INSERT INTO public.who_import VALUES (67075, '2020-09-18', 'PA', 'Panama', 'AMRO', '634', '103466', '11', '2198');
INSERT INTO public.who_import VALUES (67076, '2020-09-19', 'PA', 'Panama', 'AMRO', '672', '104138', '15', '2213');
INSERT INTO public.who_import VALUES (67077, '2020-09-20', 'PA', 'Panama', 'AMRO', '741', '104879', '16', '2229');
INSERT INTO public.who_import VALUES (67078, '2020-09-21', 'PA', 'Panama', 'AMRO', '722', '105601', '18', '2247');
INSERT INTO public.who_import VALUES (67079, '2020-09-22', 'PA', 'Panama', 'AMRO', '602', '106203', '10', '2257');
INSERT INTO public.who_import VALUES (67080, '2020-09-23', 'PA', 'Panama', 'AMRO', '607', '106810', '15', '2272');
INSERT INTO public.who_import VALUES (67081, '2020-09-24', 'PA', 'Panama', 'AMRO', '474', '107284', '13', '2285');
INSERT INTO public.who_import VALUES (67082, '2020-09-25', 'PA', 'Panama', 'AMRO', '706', '107990', '6', '2291');
INSERT INTO public.who_import VALUES (67083, '2020-09-26', 'PA', 'Panama', 'AMRO', '736', '108726', '6', '2297');
INSERT INTO public.who_import VALUES (67084, '2020-09-27', 'PA', 'Panama', 'AMRO', '705', '109431', '14', '2311');
INSERT INTO public.who_import VALUES (67085, '2020-09-28', 'PA', 'Panama', 'AMRO', '677', '110108', '12', '2323');
INSERT INTO public.who_import VALUES (67086, '2020-09-29', 'PA', 'Panama', 'AMRO', '447', '110555', '17', '2340');
INSERT INTO public.who_import VALUES (67087, '2020-09-30', 'PA', 'Panama', 'AMRO', '722', '111277', '8', '2348');
INSERT INTO public.who_import VALUES (67088, '2020-10-01', 'PA', 'Panama', 'AMRO', '576', '111853', '16', '2364');
INSERT INTO public.who_import VALUES (67089, '2020-10-02', 'PA', 'Panama', 'AMRO', '742', '112595', '8', '2372');
INSERT INTO public.who_import VALUES (67090, '2020-10-03', 'PA', 'Panama', 'AMRO', '747', '113342', '15', '2387');
INSERT INTO public.who_import VALUES (67091, '2020-10-04', 'PA', 'Panama', 'AMRO', '620', '113962', '19', '2406');
INSERT INTO public.who_import VALUES (67092, '2020-10-05', 'PA', 'Panama', 'AMRO', '691', '114653', '8', '2414');
INSERT INTO public.who_import VALUES (67093, '2020-10-06', 'PA', 'Panama', 'AMRO', '633', '115286', '9', '2423');
INSERT INTO public.who_import VALUES (67094, '2020-10-07', 'PA', 'Panama', 'AMRO', '633', '115919', '7', '2430');
INSERT INTO public.who_import VALUES (67095, '2020-10-08', 'PA', 'Panama', 'AMRO', '683', '116602', '10', '2440');
INSERT INTO public.who_import VALUES (67096, '2020-10-09', 'PA', 'Panama', 'AMRO', '698', '117300', '8', '2448');
INSERT INTO public.who_import VALUES (67097, '2020-10-10', 'PA', 'Panama', 'AMRO', '754', '118054', '15', '2463');
INSERT INTO public.who_import VALUES (67098, '2020-10-11', 'PA', 'Panama', 'AMRO', '787', '118841', '11', '2474');
INSERT INTO public.who_import VALUES (67099, '2020-10-12', 'PA', 'Panama', 'AMRO', '825', '119666', '8', '2482');
INSERT INTO public.who_import VALUES (67100, '2020-10-13', 'PA', 'Panama', 'AMRO', '647', '120313', '9', '2491');
INSERT INTO public.who_import VALUES (67101, '2020-10-14', 'PA', 'Panama', 'AMRO', '489', '120802', '11', '2502');
INSERT INTO public.who_import VALUES (67102, '2020-10-15', 'PA', 'Panama', 'AMRO', '494', '121296', '9', '2511');
INSERT INTO public.who_import VALUES (67103, '2020-10-16', 'PA', 'Panama', 'AMRO', '832', '122128', '8', '2519');
INSERT INTO public.who_import VALUES (67104, '2020-10-17', 'PA', 'Panama', 'AMRO', '755', '122883', '10', '2529');
INSERT INTO public.who_import VALUES (67105, '2020-10-18', 'PA', 'Panama', 'AMRO', '615', '123498', '17', '2546');
INSERT INTO public.who_import VALUES (67106, '2020-10-19', 'PA', 'Panama', 'AMRO', '609', '124107', '11', '2557');
INSERT INTO public.who_import VALUES (67107, '2020-10-20', 'PA', 'Panama', 'AMRO', '638', '124745', '7', '2564');
INSERT INTO public.who_import VALUES (67108, '2020-10-21', 'PA', 'Panama', 'AMRO', '436', '125181', '10', '2574');
INSERT INTO public.who_import VALUES (67109, '2020-10-22', 'PA', 'Panama', 'AMRO', '558', '125739', '11', '2585');
INSERT INTO public.who_import VALUES (67110, '2020-10-23', 'PA', 'Panama', 'AMRO', '696', '126435', '12', '2597');
INSERT INTO public.who_import VALUES (67111, '2020-10-24', 'PA', 'Panama', 'AMRO', '792', '127227', '15', '2612');
INSERT INTO public.who_import VALUES (67112, '2020-10-25', 'PA', 'Panama', 'AMRO', '639', '127866', '10', '2622');
INSERT INTO public.who_import VALUES (67113, '2020-10-26', 'PA', 'Panama', 'AMRO', '649', '128515', '6', '2628');
INSERT INTO public.who_import VALUES (67114, '2020-10-27', 'PA', 'Panama', 'AMRO', '685', '129200', '5', '2633');
INSERT INTO public.who_import VALUES (67115, '2020-10-28', 'PA', 'Panama', 'AMRO', '551', '129751', '5', '2638');
INSERT INTO public.who_import VALUES (67116, '2020-10-29', 'PA', 'Panama', 'AMRO', '671', '130422', '12', '2650');
INSERT INTO public.who_import VALUES (67117, '2020-10-30', 'PA', 'Panama', 'AMRO', '825', '131247', '13', '2663');
INSERT INTO public.who_import VALUES (67118, '2020-10-31', 'PA', 'Panama', 'AMRO', '798', '132045', '15', '2678');
INSERT INTO public.who_import VALUES (67119, '2020-11-01', 'PA', 'Panama', 'AMRO', '822', '132867', '10', '2688');
INSERT INTO public.who_import VALUES (67120, '2020-11-02', 'PA', 'Panama', 'AMRO', '731', '133598', '12', '2700');
INSERT INTO public.who_import VALUES (67121, '2020-11-03', 'PA', 'Panama', 'AMRO', '738', '134336', '6', '2706');
INSERT INTO public.who_import VALUES (67122, '2020-11-04', 'PA', 'Panama', 'AMRO', '579', '134915', '14', '2720');
INSERT INTO public.who_import VALUES (67123, '2020-11-05', 'PA', 'Panama', 'AMRO', '677', '135592', '11', '2731');
INSERT INTO public.who_import VALUES (67124, '2020-11-06', 'PA', 'Panama', 'AMRO', '432', '136024', '13', '2744');
INSERT INTO public.who_import VALUES (67125, '2020-11-07', 'PA', 'Panama', 'AMRO', '543', '136567', '12', '2756');
INSERT INTO public.who_import VALUES (67126, '2020-11-08', 'PA', 'Panama', 'AMRO', '1193', '137760', '14', '2770');
INSERT INTO public.who_import VALUES (67127, '2020-11-09', 'PA', 'Panama', 'AMRO', '746', '138506', '11', '2781');
INSERT INTO public.who_import VALUES (67128, '2020-11-10', 'PA', 'Panama', 'AMRO', '1021', '139527', '17', '2798');
INSERT INTO public.who_import VALUES (67129, '2020-11-11', 'PA', 'Panama', 'AMRO', '804', '140331', '10', '2808');
INSERT INTO public.who_import VALUES (67130, '2020-11-12', 'PA', 'Panama', 'AMRO', '971', '141302', '9', '2817');
INSERT INTO public.who_import VALUES (67131, '2020-11-13', 'PA', 'Panama', 'AMRO', '1163', '142465', '6', '2823');
INSERT INTO public.who_import VALUES (67132, '2020-11-14', 'PA', 'Panama', 'AMRO', '887', '143352', '7', '2830');
INSERT INTO public.who_import VALUES (67133, '2020-11-15', 'PA', 'Panama', 'AMRO', '1125', '144477', '26', '2856');
INSERT INTO public.who_import VALUES (67134, '2020-11-16', 'PA', 'Panama', 'AMRO', '832', '145309', '11', '2867');
INSERT INTO public.who_import VALUES (67135, '2020-11-17', 'PA', 'Panama', 'AMRO', '1344', '146653', '6', '2873');
INSERT INTO public.who_import VALUES (67136, '2020-11-18', 'PA', 'Panama', 'AMRO', '1014', '147667', '8', '2881');
INSERT INTO public.who_import VALUES (67137, '2020-11-19', 'PA', 'Panama', 'AMRO', '1054', '148721', '12', '2893');
INSERT INTO public.who_import VALUES (67138, '2020-11-20', 'PA', 'Panama', 'AMRO', '1112', '149833', '14', '2907');
INSERT INTO public.who_import VALUES (67139, '2020-11-21', 'PA', 'Panama', 'AMRO', '1256', '151089', '15', '2922');
INSERT INTO public.who_import VALUES (67140, '2020-11-22', 'PA', 'Panama', 'AMRO', '1200', '152289', '10', '2932');
INSERT INTO public.who_import VALUES (67141, '2020-11-23', 'PA', 'Panama', 'AMRO', '1288', '153577', '14', '2946');
INSERT INTO public.who_import VALUES (67142, '2020-11-24', 'PA', 'Panama', 'AMRO', '1206', '154783', '11', '2957');
INSERT INTO public.who_import VALUES (67143, '2020-11-25', 'PA', 'Panama', 'AMRO', '875', '155658', '16', '2973');
INSERT INTO public.who_import VALUES (67144, '2020-11-26', 'PA', 'Panama', 'AMRO', '1272', '156930', '13', '2986');
INSERT INTO public.who_import VALUES (67145, '2020-11-27', 'PA', 'Panama', 'AMRO', '1602', '158532', '16', '3002');
INSERT INTO public.who_import VALUES (67146, '2020-11-28', 'PA', 'Panama', 'AMRO', '1755', '160287', '16', '3018');
INSERT INTO public.who_import VALUES (67147, '2020-11-29', 'PA', 'Panama', 'AMRO', '1457', '161744', '12', '3030');
INSERT INTO public.who_import VALUES (67148, '2020-11-30', 'PA', 'Panama', 'AMRO', '1709', '163453', '9', '3039');
INSERT INTO public.who_import VALUES (67149, '2020-12-01', 'PA', 'Panama', 'AMRO', '1276', '164729', '21', '3060');
INSERT INTO public.who_import VALUES (67150, '2020-12-02', 'PA', 'Panama', 'AMRO', '1077', '165806', '19', '3079');
INSERT INTO public.who_import VALUES (67151, '2020-12-03', 'PA', 'Panama', 'AMRO', '1505', '167311', '19', '3098');
INSERT INTO public.who_import VALUES (67152, '2020-12-04', 'PA', 'Panama', 'AMRO', '2028', '169339', '16', '3114');
INSERT INTO public.who_import VALUES (67153, '2020-12-05', 'PA', 'Panama', 'AMRO', '1880', '171219', '27', '3141');
INSERT INTO public.who_import VALUES (67154, '2020-12-06', 'PA', 'Panama', 'AMRO', '2388', '173607', '13', '3154');
INSERT INTO public.who_import VALUES (67155, '2020-12-07', 'PA', 'Panama', 'AMRO', '2300', '175907', '19', '3173');
INSERT INTO public.who_import VALUES (67156, '2020-12-08', 'PA', 'Panama', 'AMRO', '1812', '177719', '20', '3193');
INSERT INTO public.who_import VALUES (67157, '2020-12-09', 'PA', 'Panama', 'AMRO', '1511', '179230', '19', '3212');
INSERT INTO public.who_import VALUES (67158, '2020-12-10', 'PA', 'Panama', 'AMRO', '1936', '181166', '29', '3241');
INSERT INTO public.who_import VALUES (67159, '2020-12-11', 'PA', 'Panama', 'AMRO', '1811', '182977', '23', '3264');
INSERT INTO public.who_import VALUES (67160, '2020-12-12', 'PA', 'Panama', 'AMRO', '2447', '185424', '23', '3287');
INSERT INTO public.who_import VALUES (67161, '2020-12-13', 'PA', 'Panama', 'AMRO', '2355', '187779', '22', '3309');
INSERT INTO public.who_import VALUES (67162, '2020-12-14', 'PA', 'Panama', 'AMRO', '2806', '190585', '22', '3331');
INSERT INTO public.who_import VALUES (67163, '2020-12-15', 'PA', 'Panama', 'AMRO', '2422', '193007', '25', '3356');
INSERT INTO public.who_import VALUES (67164, '2020-12-16', 'PA', 'Panama', 'AMRO', '1612', '194619', '26', '3382');
INSERT INTO public.who_import VALUES (67165, '2020-12-17', 'PA', 'Panama', 'AMRO', '2368', '196987', '29', '3411');
INSERT INTO public.who_import VALUES (67166, '2020-12-18', 'PA', 'Panama', 'AMRO', '2960', '199947', '28', '3439');
INSERT INTO public.who_import VALUES (67167, '2020-12-19', 'PA', 'Panama', 'AMRO', '3348', '203295', '42', '3481');
INSERT INTO public.who_import VALUES (67168, '2020-12-20', 'PA', 'Panama', 'AMRO', '3015', '206310', '23', '3504');
INSERT INTO public.who_import VALUES (67169, '2020-12-21', 'PA', 'Panama', 'AMRO', '3274', '209584', '23', '3527');
INSERT INTO public.who_import VALUES (67170, '2020-12-22', 'PA', 'Panama', 'AMRO', '2755', '212339', '39', '3566');
INSERT INTO public.who_import VALUES (67171, '2020-12-23', 'PA', 'Panama', 'AMRO', '1699', '214038', '31', '3597');
INSERT INTO public.who_import VALUES (67172, '2020-12-24', 'PA', 'Panama', 'AMRO', '3164', '217202', '35', '3632');
INSERT INTO public.who_import VALUES (67173, '2020-12-25', 'PA', 'Panama', 'AMRO', '3059', '220261', '32', '3664');
INSERT INTO public.who_import VALUES (67174, '2020-12-26', 'PA', 'Panama', 'AMRO', '3413', '223674', '51', '3715');
INSERT INTO public.who_import VALUES (67175, '2020-12-27', 'PA', 'Panama', 'AMRO', '2986', '226660', '41', '3756');
INSERT INTO public.who_import VALUES (67176, '2020-12-28', 'PA', 'Panama', 'AMRO', '2064', '228724', '43', '3799');
INSERT INTO public.who_import VALUES (67177, '2020-12-29', 'PA', 'Panama', 'AMRO', '2633', '231357', '41', '3840');
INSERT INTO public.who_import VALUES (67178, '2020-12-30', 'PA', 'Panama', 'AMRO', '2348', '233705', '52', '3892');
INSERT INTO public.who_import VALUES (67179, '2020-12-31', 'PA', 'Panama', 'AMRO', '4574', '238279', '41', '3933');
INSERT INTO public.who_import VALUES (67180, '2021-01-01', 'PA', 'Panama', 'AMRO', '4465', '242744', '42', '3975');
INSERT INTO public.who_import VALUES (67181, '2021-01-02', 'PA', 'Panama', 'AMRO', '4046', '246790', '47', '4022');
INSERT INTO public.who_import VALUES (67182, '2021-01-03', 'PA', 'Panama', 'AMRO', '2943', '249733', '42', '4064');
INSERT INTO public.who_import VALUES (67183, '2021-01-04', 'PA', 'Panama', 'AMRO', '2031', '251764', '39', '4103');
INSERT INTO public.who_import VALUES (67184, '2021-01-05', 'PA', 'Panama', 'AMRO', '1972', '253736', '37', '4140');
INSERT INTO public.who_import VALUES (67185, '2021-01-06', 'PA', 'Panama', 'AMRO', '2494', '256230', '57', '4197');
INSERT INTO public.who_import VALUES (67186, '2021-01-07', 'PA', 'Panama', 'AMRO', '3540', '259770', '41', '4238');
INSERT INTO public.who_import VALUES (67187, '2021-01-08', 'PA', 'Panama', 'AMRO', '5186', '264956', '45', '4283');
INSERT INTO public.who_import VALUES (67188, '2021-01-09', 'PA', 'Panama', 'AMRO', '4135', '269091', '38', '4321');
INSERT INTO public.who_import VALUES (67189, '2021-01-10', 'PA', 'Panama', 'AMRO', '3946', '273037', '42', '4363');
INSERT INTO public.who_import VALUES (67190, '2021-01-11', 'PA', 'Panama', 'AMRO', '3735', '276772', '47', '4410');
INSERT INTO public.who_import VALUES (67191, '2021-01-12', 'PA', 'Panama', 'AMRO', '2424', '279196', '45', '4455');
INSERT INTO public.who_import VALUES (67192, '2021-01-13', 'PA', 'Panama', 'AMRO', '2157', '281353', '45', '4500');
INSERT INTO public.who_import VALUES (67193, '2021-01-14', 'PA', 'Panama', 'AMRO', '3740', '285093', '61', '4561');
INSERT INTO public.who_import VALUES (67194, '2021-01-15', 'PA', 'Panama', 'AMRO', '3315', '288408', '33', '4594');
INSERT INTO public.who_import VALUES (67195, '2021-01-16', 'PA', 'Panama', 'AMRO', '2877', '291285', '57', '4651');
INSERT INTO public.who_import VALUES (67196, '2021-01-17', 'PA', 'Panama', 'AMRO', '2307', '293592', '38', '4689');
INSERT INTO public.who_import VALUES (67197, '2021-01-18', 'PA', 'Panama', 'AMRO', '2677', '296269', '49', '4738');
INSERT INTO public.who_import VALUES (67198, '2021-01-19', 'PA', 'Panama', 'AMRO', '1750', '298019', '49', '4787');
INSERT INTO public.who_import VALUES (67199, '2021-01-20', 'PA', 'Panama', 'AMRO', '1342', '299361', '41', '4828');
INSERT INTO public.who_import VALUES (67200, '2021-01-21', 'PA', 'Panama', 'AMRO', '2173', '301534', '36', '4864');
INSERT INTO public.who_import VALUES (67201, '2021-01-22', 'PA', 'Panama', 'AMRO', '2243', '303777', '48', '4912');
INSERT INTO public.who_import VALUES (67202, '2021-01-23', 'PA', 'Panama', 'AMRO', '1975', '305752', '32', '4944');
INSERT INTO public.who_import VALUES (67203, '2021-01-24', 'PA', 'Panama', 'AMRO', '2041', '307793', '36', '4980');
INSERT INTO public.who_import VALUES (67204, '2021-01-25', 'PA', 'Panama', 'AMRO', '2058', '309851', '54', '5034');
INSERT INTO public.who_import VALUES (67205, '2021-01-26', 'PA', 'Panama', 'AMRO', '1393', '311244', '29', '5063');
INSERT INTO public.who_import VALUES (67206, '2021-01-27', 'PA', 'Panama', 'AMRO', '914', '312158', '35', '5098');
INSERT INTO public.who_import VALUES (67207, '2021-01-28', 'PA', 'Panama', 'AMRO', '1676', '313834', '39', '5137');
INSERT INTO public.who_import VALUES (67208, '2021-01-29', 'PA', 'Panama', 'AMRO', '1566', '315400', '39', '5176');
INSERT INTO public.who_import VALUES (67209, '2021-01-30', 'PA', 'Panama', 'AMRO', '1408', '316808', '20', '5196');
INSERT INTO public.who_import VALUES (67210, '2021-01-31', 'PA', 'Panama', 'AMRO', '1445', '318253', '25', '5221');
INSERT INTO public.who_import VALUES (67211, '2021-02-01', 'PA', 'Panama', 'AMRO', '1200', '319453', '23', '5244');
INSERT INTO public.who_import VALUES (67212, '2021-02-02', 'PA', 'Panama', 'AMRO', '926', '320379', '26', '5270');
INSERT INTO public.who_import VALUES (67213, '2021-02-03', 'PA', 'Panama', 'AMRO', '724', '321103', '26', '5296');
INSERT INTO public.who_import VALUES (67214, '2021-02-04', 'PA', 'Panama', 'AMRO', '1098', '322201', '43', '5339');
INSERT INTO public.who_import VALUES (67215, '2021-02-05', 'PA', 'Panama', 'AMRO', '1181', '323382', '27', '5366');
INSERT INTO public.who_import VALUES (67216, '2021-02-06', 'PA', 'Panama', 'AMRO', '1107', '324489', '25', '5391');
INSERT INTO public.who_import VALUES (67217, '2021-02-07', 'PA', 'Panama', 'AMRO', '998', '325487', '35', '5426');
INSERT INTO public.who_import VALUES (67218, '2021-02-08', 'PA', 'Panama', 'AMRO', '977', '326464', '29', '5455');
INSERT INTO public.who_import VALUES (67219, '2021-02-09', 'PA', 'Panama', 'AMRO', '627', '327091', '25', '5480');
INSERT INTO public.who_import VALUES (67220, '2021-02-10', 'PA', 'Panama', 'AMRO', '563', '327654', '26', '5506');
INSERT INTO public.who_import VALUES (67221, '2021-02-11', 'PA', 'Panama', 'AMRO', '822', '328476', '25', '5531');
INSERT INTO public.who_import VALUES (67222, '2021-02-12', 'PA', 'Panama', 'AMRO', '891', '329367', '19', '5550');
INSERT INTO public.who_import VALUES (67223, '2021-02-13', 'PA', 'Panama', 'AMRO', '708', '330075', '22', '5572');
INSERT INTO public.who_import VALUES (67224, '2021-02-14', 'PA', 'Panama', 'AMRO', '910', '330985', '23', '5595');
INSERT INTO public.who_import VALUES (67225, '2021-02-15', 'PA', 'Panama', 'AMRO', '707', '331692', '26', '5621');
INSERT INTO public.who_import VALUES (67226, '2021-02-16', 'PA', 'Panama', 'AMRO', '487', '332179', '15', '5636');
INSERT INTO public.who_import VALUES (67227, '2021-02-17', 'PA', 'Panama', 'AMRO', '500', '332679', '6', '5642');
INSERT INTO public.who_import VALUES (67228, '2021-02-18', 'PA', 'Panama', 'AMRO', '572', '333251', '13', '5655');
INSERT INTO public.who_import VALUES (67229, '2021-02-19', 'PA', 'Panama', 'AMRO', '504', '333755', '17', '5672');
INSERT INTO public.who_import VALUES (67230, '2021-02-20', 'PA', 'Panama', 'AMRO', '708', '334463', '22', '5694');
INSERT INTO public.who_import VALUES (67231, '2020-01-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67232, '2020-01-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67233, '2020-01-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67234, '2020-01-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67235, '2020-01-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67236, '2020-01-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67237, '2020-01-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67238, '2020-01-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67239, '2020-01-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67240, '2020-01-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67241, '2020-01-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67242, '2020-01-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67243, '2020-01-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67244, '2020-01-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67245, '2020-01-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67246, '2020-01-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67247, '2020-01-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67248, '2020-01-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67249, '2020-01-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67250, '2020-01-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67251, '2020-01-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67252, '2020-01-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67253, '2020-01-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67254, '2020-01-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67255, '2020-01-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67256, '2020-01-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67257, '2020-01-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67258, '2020-01-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67259, '2020-01-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67260, '2020-02-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67261, '2020-02-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67262, '2020-02-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67263, '2020-02-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67264, '2020-02-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67265, '2020-02-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67266, '2020-02-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67267, '2020-02-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67268, '2020-02-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67269, '2020-02-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67270, '2020-02-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67271, '2020-02-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67272, '2020-02-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67273, '2020-02-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67274, '2020-02-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67275, '2020-02-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67276, '2020-02-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67277, '2020-02-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67278, '2020-02-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67279, '2020-02-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67280, '2020-02-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67281, '2020-02-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67282, '2020-02-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67283, '2020-02-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67284, '2020-02-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67285, '2020-02-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67286, '2020-02-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67287, '2020-02-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67288, '2020-02-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67289, '2020-03-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67290, '2020-03-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67291, '2020-03-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67292, '2020-03-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67293, '2020-03-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67294, '2020-03-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67295, '2020-03-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67296, '2020-03-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67297, '2020-03-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67298, '2020-03-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67299, '2020-03-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67300, '2020-03-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67301, '2020-03-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67302, '2020-03-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67303, '2020-03-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67304, '2020-03-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67305, '2020-03-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67306, '2020-03-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67307, '2020-03-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67308, '2020-03-20', 'PG', 'Papua New Guinea', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (67309, '2020-03-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67310, '2020-03-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67311, '2020-03-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67312, '2020-03-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67313, '2020-03-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67314, '2020-03-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67315, '2020-03-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67316, '2020-03-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67317, '2020-03-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67318, '2020-03-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67319, '2020-03-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67320, '2020-04-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67321, '2020-04-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67322, '2020-04-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67323, '2020-04-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67324, '2020-04-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67325, '2020-04-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67326, '2020-04-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67327, '2020-04-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (67328, '2020-04-09', 'PG', 'Papua New Guinea', 'WPRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (67329, '2020-04-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67330, '2020-04-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67331, '2020-04-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67332, '2020-04-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67333, '2020-04-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67334, '2020-04-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67335, '2020-04-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (67336, '2020-04-17', 'PG', 'Papua New Guinea', 'WPRO', '5', '7', '0', '0');
INSERT INTO public.who_import VALUES (67337, '2020-04-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (67338, '2020-04-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (67339, '2020-04-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (67340, '2020-04-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (67341, '2020-04-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (67342, '2020-04-23', 'PG', 'Papua New Guinea', 'WPRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (67343, '2020-04-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67344, '2020-04-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67345, '2020-04-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67346, '2020-04-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67347, '2020-04-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67348, '2020-04-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67349, '2020-04-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67350, '2020-05-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67351, '2020-05-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67352, '2020-05-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67353, '2020-05-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67354, '2020-05-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67355, '2020-05-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67356, '2020-05-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67357, '2020-05-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67358, '2020-05-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67359, '2020-05-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67360, '2020-05-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67361, '2020-05-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67362, '2020-05-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67363, '2020-05-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67364, '2020-05-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67365, '2020-05-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67366, '2020-05-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67367, '2020-05-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67368, '2020-05-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67369, '2020-05-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67370, '2020-05-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67371, '2020-05-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67372, '2020-05-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67373, '2020-05-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67374, '2020-05-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67375, '2020-05-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67376, '2020-05-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67377, '2020-05-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67378, '2020-05-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67379, '2020-05-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67380, '2020-05-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67381, '2020-06-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67382, '2020-06-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67383, '2020-06-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67384, '2020-06-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67385, '2020-06-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67386, '2020-06-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67387, '2020-06-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67388, '2020-06-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67389, '2020-06-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67390, '2020-06-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67391, '2020-06-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67392, '2020-06-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67393, '2020-06-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67394, '2020-06-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67395, '2020-06-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67396, '2020-06-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67397, '2020-06-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67398, '2020-06-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67399, '2020-06-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67400, '2020-06-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (67401, '2020-06-21', 'PG', 'Papua New Guinea', 'WPRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (67402, '2020-06-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (67403, '2020-06-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (67404, '2020-06-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (67405, '2020-06-25', 'PG', 'Papua New Guinea', 'WPRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (67406, '2020-06-26', 'PG', 'Papua New Guinea', 'WPRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (67407, '2020-06-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67408, '2020-06-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67409, '2020-06-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67410, '2020-06-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67411, '2020-07-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67412, '2020-07-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67413, '2020-07-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67414, '2020-07-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67415, '2020-07-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67416, '2020-07-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67417, '2020-07-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67418, '2020-07-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67419, '2020-07-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67420, '2020-07-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67421, '2020-07-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67422, '2020-07-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67423, '2020-07-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67424, '2020-07-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67425, '2020-07-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67426, '2020-07-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (67427, '2020-07-17', 'PG', 'Papua New Guinea', 'WPRO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (67428, '2020-07-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (67429, '2020-07-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (67430, '2020-07-20', 'PG', 'Papua New Guinea', 'WPRO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (67431, '2020-07-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (67432, '2020-07-22', 'PG', 'Papua New Guinea', 'WPRO', '10', '27', '0', '0');
INSERT INTO public.who_import VALUES (67433, '2020-07-23', 'PG', 'Papua New Guinea', 'WPRO', '3', '30', '0', '0');
INSERT INTO public.who_import VALUES (67434, '2020-07-24', 'PG', 'Papua New Guinea', 'WPRO', '1', '31', '0', '0');
INSERT INTO public.who_import VALUES (67435, '2020-07-25', 'PG', 'Papua New Guinea', 'WPRO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (67436, '2020-07-26', 'PG', 'Papua New Guinea', 'WPRO', '7', '39', '0', '0');
INSERT INTO public.who_import VALUES (67437, '2020-07-27', 'PG', 'Papua New Guinea', 'WPRO', '23', '62', '0', '0');
INSERT INTO public.who_import VALUES (67438, '2020-07-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (67439, '2020-07-29', 'PG', 'Papua New Guinea', 'WPRO', '1', '63', '0', '0');
INSERT INTO public.who_import VALUES (67440, '2020-07-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '63', '1', '1');
INSERT INTO public.who_import VALUES (67441, '2020-07-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '63', '1', '2');
INSERT INTO public.who_import VALUES (67442, '2020-08-01', 'PG', 'Papua New Guinea', 'WPRO', '9', '72', '0', '2');
INSERT INTO public.who_import VALUES (67443, '2020-08-02', 'PG', 'Papua New Guinea', 'WPRO', '19', '91', '0', '2');
INSERT INTO public.who_import VALUES (67444, '2020-08-03', 'PG', 'Papua New Guinea', 'WPRO', '19', '110', '0', '2');
INSERT INTO public.who_import VALUES (67445, '2020-08-04', 'PG', 'Papua New Guinea', 'WPRO', '1', '111', '0', '2');
INSERT INTO public.who_import VALUES (67446, '2020-08-05', 'PG', 'Papua New Guinea', 'WPRO', '3', '114', '0', '2');
INSERT INTO public.who_import VALUES (67447, '2020-08-06', 'PG', 'Papua New Guinea', 'WPRO', '39', '153', '0', '2');
INSERT INTO public.who_import VALUES (67448, '2020-08-07', 'PG', 'Papua New Guinea', 'WPRO', '10', '163', '1', '3');
INSERT INTO public.who_import VALUES (67449, '2020-08-08', 'PG', 'Papua New Guinea', 'WPRO', '25', '188', '0', '3');
INSERT INTO public.who_import VALUES (67450, '2020-08-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '188', '0', '3');
INSERT INTO public.who_import VALUES (67451, '2020-08-10', 'PG', 'Papua New Guinea', 'WPRO', '26', '214', '0', '3');
INSERT INTO public.who_import VALUES (67452, '2020-08-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '214', '0', '3');
INSERT INTO public.who_import VALUES (67453, '2020-08-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '214', '0', '3');
INSERT INTO public.who_import VALUES (67454, '2020-08-13', 'PG', 'Papua New Guinea', 'WPRO', '55', '269', '0', '3');
INSERT INTO public.who_import VALUES (67455, '2020-08-14', 'PG', 'Papua New Guinea', 'WPRO', '2', '271', '0', '3');
INSERT INTO public.who_import VALUES (67456, '2020-08-15', 'PG', 'Papua New Guinea', 'WPRO', '4', '275', '0', '3');
INSERT INTO public.who_import VALUES (67457, '2020-08-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '275', '0', '3');
INSERT INTO public.who_import VALUES (67458, '2020-08-17', 'PG', 'Papua New Guinea', 'WPRO', '48', '323', '0', '3');
INSERT INTO public.who_import VALUES (67459, '2020-08-18', 'PG', 'Papua New Guinea', 'WPRO', '10', '333', '0', '3');
INSERT INTO public.who_import VALUES (67460, '2020-08-19', 'PG', 'Papua New Guinea', 'WPRO', '14', '347', '0', '3');
INSERT INTO public.who_import VALUES (67461, '2020-08-20', 'PG', 'Papua New Guinea', 'WPRO', '12', '359', '0', '3');
INSERT INTO public.who_import VALUES (67462, '2020-08-21', 'PG', 'Papua New Guinea', 'WPRO', '2', '361', '1', '4');
INSERT INTO public.who_import VALUES (67463, '2020-08-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '361', '0', '4');
INSERT INTO public.who_import VALUES (67464, '2020-08-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '361', '0', '4');
INSERT INTO public.who_import VALUES (67465, '2020-08-24', 'PG', 'Papua New Guinea', 'WPRO', '40', '401', '0', '4');
INSERT INTO public.who_import VALUES (67466, '2020-08-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '401', '0', '4');
INSERT INTO public.who_import VALUES (67467, '2020-08-26', 'PG', 'Papua New Guinea', 'WPRO', '18', '419', '0', '4');
INSERT INTO public.who_import VALUES (67468, '2020-08-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '419', '0', '4');
INSERT INTO public.who_import VALUES (67469, '2020-08-28', 'PG', 'Papua New Guinea', 'WPRO', '5', '424', '0', '4');
INSERT INTO public.who_import VALUES (67470, '2020-08-29', 'PG', 'Papua New Guinea', 'WPRO', '29', '453', '1', '5');
INSERT INTO public.who_import VALUES (67471, '2020-08-30', 'PG', 'Papua New Guinea', 'WPRO', '6', '459', '0', '5');
INSERT INTO public.who_import VALUES (67472, '2020-08-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '459', '0', '5');
INSERT INTO public.who_import VALUES (67473, '2020-09-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '459', '0', '5');
INSERT INTO public.who_import VALUES (67474, '2020-09-02', 'PG', 'Papua New Guinea', 'WPRO', '1', '460', '0', '5');
INSERT INTO public.who_import VALUES (67475, '2020-09-03', 'PG', 'Papua New Guinea', 'WPRO', '11', '471', '0', '5');
INSERT INTO public.who_import VALUES (67476, '2020-09-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '471', '0', '5');
INSERT INTO public.who_import VALUES (67477, '2020-09-05', 'PG', 'Papua New Guinea', 'WPRO', '8', '479', '0', '5');
INSERT INTO public.who_import VALUES (67478, '2020-09-06', 'PG', 'Papua New Guinea', 'WPRO', '9', '488', '0', '5');
INSERT INTO public.who_import VALUES (67479, '2020-09-07', 'PG', 'Papua New Guinea', 'WPRO', '9', '497', '0', '5');
INSERT INTO public.who_import VALUES (67480, '2020-09-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '497', '0', '5');
INSERT INTO public.who_import VALUES (67481, '2020-09-09', 'PG', 'Papua New Guinea', 'WPRO', '6', '503', '0', '5');
INSERT INTO public.who_import VALUES (67482, '2020-09-10', 'PG', 'Papua New Guinea', 'WPRO', '1', '504', '0', '5');
INSERT INTO public.who_import VALUES (67483, '2020-09-11', 'PG', 'Papua New Guinea', 'WPRO', '3', '507', '0', '5');
INSERT INTO public.who_import VALUES (67484, '2020-09-12', 'PG', 'Papua New Guinea', 'WPRO', '1', '508', '0', '5');
INSERT INTO public.who_import VALUES (67485, '2020-09-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '508', '0', '5');
INSERT INTO public.who_import VALUES (67486, '2020-09-14', 'PG', 'Papua New Guinea', 'WPRO', '3', '511', '1', '6');
INSERT INTO public.who_import VALUES (67487, '2020-09-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '511', '0', '6');
INSERT INTO public.who_import VALUES (67488, '2020-09-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '511', '0', '6');
INSERT INTO public.who_import VALUES (67489, '2020-09-17', 'PG', 'Papua New Guinea', 'WPRO', '5', '516', '0', '6');
INSERT INTO public.who_import VALUES (67490, '2020-09-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '516', '0', '6');
INSERT INTO public.who_import VALUES (67491, '2020-09-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '516', '0', '6');
INSERT INTO public.who_import VALUES (67492, '2020-09-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '516', '0', '6');
INSERT INTO public.who_import VALUES (67493, '2020-09-21', 'PG', 'Papua New Guinea', 'WPRO', '1', '517', '1', '7');
INSERT INTO public.who_import VALUES (67494, '2020-09-22', 'PG', 'Papua New Guinea', 'WPRO', '9', '526', '0', '7');
INSERT INTO public.who_import VALUES (67495, '2020-09-23', 'PG', 'Papua New Guinea', 'WPRO', '1', '527', '0', '7');
INSERT INTO public.who_import VALUES (67496, '2020-09-24', 'PG', 'Papua New Guinea', 'WPRO', '4', '531', '0', '7');
INSERT INTO public.who_import VALUES (67497, '2020-09-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '531', '0', '7');
INSERT INTO public.who_import VALUES (67498, '2020-09-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '531', '0', '7');
INSERT INTO public.who_import VALUES (67499, '2020-09-27', 'PG', 'Papua New Guinea', 'WPRO', '1', '532', '0', '7');
INSERT INTO public.who_import VALUES (67500, '2020-09-28', 'PG', 'Papua New Guinea', 'WPRO', '2', '534', '0', '7');
INSERT INTO public.who_import VALUES (67501, '2020-09-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '534', '0', '7');
INSERT INTO public.who_import VALUES (67502, '2020-09-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '534', '0', '7');
INSERT INTO public.who_import VALUES (67503, '2020-10-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '534', '0', '7');
INSERT INTO public.who_import VALUES (67504, '2020-10-02', 'PG', 'Papua New Guinea', 'WPRO', '5', '539', '0', '7');
INSERT INTO public.who_import VALUES (67505, '2020-10-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '539', '0', '7');
INSERT INTO public.who_import VALUES (67506, '2020-10-04', 'PG', 'Papua New Guinea', 'WPRO', '1', '540', '0', '7');
INSERT INTO public.who_import VALUES (67507, '2020-10-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '540', '0', '7');
INSERT INTO public.who_import VALUES (67508, '2020-10-06', 'PG', 'Papua New Guinea', 'WPRO', '1', '541', '0', '7');
INSERT INTO public.who_import VALUES (67509, '2020-10-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '541', '0', '7');
INSERT INTO public.who_import VALUES (67510, '2020-10-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '541', '0', '7');
INSERT INTO public.who_import VALUES (67511, '2020-10-09', 'PG', 'Papua New Guinea', 'WPRO', '8', '549', '0', '7');
INSERT INTO public.who_import VALUES (67512, '2020-10-10', 'PG', 'Papua New Guinea', 'WPRO', '1', '550', '0', '7');
INSERT INTO public.who_import VALUES (67513, '2020-10-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '550', '0', '7');
INSERT INTO public.who_import VALUES (67514, '2020-10-12', 'PG', 'Papua New Guinea', 'WPRO', '4', '554', '0', '7');
INSERT INTO public.who_import VALUES (67515, '2020-10-13', 'PG', 'Papua New Guinea', 'WPRO', '11', '565', '0', '7');
INSERT INTO public.who_import VALUES (67516, '2020-10-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '565', '0', '7');
INSERT INTO public.who_import VALUES (67517, '2020-10-15', 'PG', 'Papua New Guinea', 'WPRO', '13', '578', '0', '7');
INSERT INTO public.who_import VALUES (67518, '2020-10-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '578', '0', '7');
INSERT INTO public.who_import VALUES (67519, '2020-10-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '578', '0', '7');
INSERT INTO public.who_import VALUES (67520, '2020-10-18', 'PG', 'Papua New Guinea', 'WPRO', '3', '581', '0', '7');
INSERT INTO public.who_import VALUES (67521, '2020-10-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '581', '0', '7');
INSERT INTO public.who_import VALUES (67522, '2020-10-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '581', '0', '7');
INSERT INTO public.who_import VALUES (67523, '2020-10-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '581', '0', '7');
INSERT INTO public.who_import VALUES (67524, '2020-10-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '581', '0', '7');
INSERT INTO public.who_import VALUES (67525, '2020-10-23', 'PG', 'Papua New Guinea', 'WPRO', '2', '583', '0', '7');
INSERT INTO public.who_import VALUES (67526, '2020-10-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '583', '0', '7');
INSERT INTO public.who_import VALUES (67527, '2020-10-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '583', '0', '7');
INSERT INTO public.who_import VALUES (67528, '2020-10-26', 'PG', 'Papua New Guinea', 'WPRO', '5', '588', '0', '7');
INSERT INTO public.who_import VALUES (67529, '2020-10-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '588', '0', '7');
INSERT INTO public.who_import VALUES (67530, '2020-10-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '588', '0', '7');
INSERT INTO public.who_import VALUES (67531, '2020-10-29', 'PG', 'Papua New Guinea', 'WPRO', '1', '589', '0', '7');
INSERT INTO public.who_import VALUES (67532, '2020-10-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '589', '0', '7');
INSERT INTO public.who_import VALUES (67533, '2020-10-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '589', '0', '7');
INSERT INTO public.who_import VALUES (67534, '2020-11-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '589', '0', '7');
INSERT INTO public.who_import VALUES (67535, '2020-11-02', 'PG', 'Papua New Guinea', 'WPRO', '1', '590', '0', '7');
INSERT INTO public.who_import VALUES (67536, '2020-11-03', 'PG', 'Papua New Guinea', 'WPRO', '2', '592', '0', '7');
INSERT INTO public.who_import VALUES (67537, '2020-11-04', 'PG', 'Papua New Guinea', 'WPRO', '5', '597', '0', '7');
INSERT INTO public.who_import VALUES (67538, '2020-11-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '597', '0', '7');
INSERT INTO public.who_import VALUES (67539, '2020-11-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '597', '0', '7');
INSERT INTO public.who_import VALUES (67540, '2020-11-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '597', '0', '7');
INSERT INTO public.who_import VALUES (67541, '2020-11-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '597', '0', '7');
INSERT INTO public.who_import VALUES (67542, '2020-11-09', 'PG', 'Papua New Guinea', 'WPRO', '2', '599', '0', '7');
INSERT INTO public.who_import VALUES (67543, '2020-11-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '599', '0', '7');
INSERT INTO public.who_import VALUES (67544, '2020-11-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '599', '0', '7');
INSERT INTO public.who_import VALUES (67545, '2020-11-12', 'PG', 'Papua New Guinea', 'WPRO', '0', '599', '0', '7');
INSERT INTO public.who_import VALUES (67546, '2020-11-13', 'PG', 'Papua New Guinea', 'WPRO', '1', '600', '0', '7');
INSERT INTO public.who_import VALUES (67547, '2020-11-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '600', '0', '7');
INSERT INTO public.who_import VALUES (67548, '2020-11-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '600', '0', '7');
INSERT INTO public.who_import VALUES (67549, '2020-11-16', 'PG', 'Papua New Guinea', 'WPRO', '2', '602', '0', '7');
INSERT INTO public.who_import VALUES (67550, '2020-11-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '602', '0', '7');
INSERT INTO public.who_import VALUES (67551, '2020-11-18', 'PG', 'Papua New Guinea', 'WPRO', '2', '604', '0', '7');
INSERT INTO public.who_import VALUES (67552, '2020-11-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '604', '0', '7');
INSERT INTO public.who_import VALUES (67553, '2020-11-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '604', '0', '7');
INSERT INTO public.who_import VALUES (67554, '2020-11-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '604', '0', '7');
INSERT INTO public.who_import VALUES (67555, '2020-11-22', 'PG', 'Papua New Guinea', 'WPRO', '0', '604', '0', '7');
INSERT INTO public.who_import VALUES (67556, '2020-11-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '604', '0', '7');
INSERT INTO public.who_import VALUES (67557, '2020-11-24', 'PG', 'Papua New Guinea', 'WPRO', '8', '612', '0', '7');
INSERT INTO public.who_import VALUES (67558, '2020-11-25', 'PG', 'Papua New Guinea', 'WPRO', '18', '630', '0', '7');
INSERT INTO public.who_import VALUES (67559, '2020-11-26', 'PG', 'Papua New Guinea', 'WPRO', '15', '645', '0', '7');
INSERT INTO public.who_import VALUES (67560, '2020-11-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '645', '0', '7');
INSERT INTO public.who_import VALUES (67561, '2020-11-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '645', '0', '7');
INSERT INTO public.who_import VALUES (67562, '2020-11-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '645', '0', '7');
INSERT INTO public.who_import VALUES (67563, '2020-11-30', 'PG', 'Papua New Guinea', 'WPRO', '10', '655', '0', '7');
INSERT INTO public.who_import VALUES (67564, '2020-12-01', 'PG', 'Papua New Guinea', 'WPRO', '1', '656', '0', '7');
INSERT INTO public.who_import VALUES (67565, '2020-12-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '656', '0', '7');
INSERT INTO public.who_import VALUES (67566, '2020-12-03', 'PG', 'Papua New Guinea', 'WPRO', '13', '669', '0', '7');
INSERT INTO public.who_import VALUES (67567, '2020-12-04', 'PG', 'Papua New Guinea', 'WPRO', '2', '671', '0', '7');
INSERT INTO public.who_import VALUES (67568, '2020-12-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '671', '0', '7');
INSERT INTO public.who_import VALUES (67569, '2020-12-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '671', '0', '7');
INSERT INTO public.who_import VALUES (67570, '2020-12-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '671', '0', '7');
INSERT INTO public.who_import VALUES (67571, '2020-12-08', 'PG', 'Papua New Guinea', 'WPRO', '13', '684', '0', '7');
INSERT INTO public.who_import VALUES (67572, '2020-12-09', 'PG', 'Papua New Guinea', 'WPRO', '0', '684', '0', '7');
INSERT INTO public.who_import VALUES (67573, '2020-12-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '684', '0', '7');
INSERT INTO public.who_import VALUES (67574, '2020-12-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '684', '0', '7');
INSERT INTO public.who_import VALUES (67575, '2020-12-12', 'PG', 'Papua New Guinea', 'WPRO', '36', '720', '1', '8');
INSERT INTO public.who_import VALUES (67576, '2020-12-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '720', '0', '8');
INSERT INTO public.who_import VALUES (67577, '2020-12-14', 'PG', 'Papua New Guinea', 'WPRO', '5', '725', '0', '8');
INSERT INTO public.who_import VALUES (67578, '2020-12-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '725', '0', '8');
INSERT INTO public.who_import VALUES (67579, '2020-12-16', 'PG', 'Papua New Guinea', 'WPRO', '4', '729', '0', '8');
INSERT INTO public.who_import VALUES (67580, '2020-12-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '729', '0', '8');
INSERT INTO public.who_import VALUES (67581, '2020-12-18', 'PG', 'Papua New Guinea', 'WPRO', '31', '760', '0', '8');
INSERT INTO public.who_import VALUES (67582, '2020-12-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '760', '0', '8');
INSERT INTO public.who_import VALUES (67583, '2020-12-20', 'PG', 'Papua New Guinea', 'WPRO', '0', '760', '0', '8');
INSERT INTO public.who_import VALUES (67584, '2020-12-21', 'PG', 'Papua New Guinea', 'WPRO', '0', '760', '0', '8');
INSERT INTO public.who_import VALUES (67585, '2020-12-22', 'PG', 'Papua New Guinea', 'WPRO', '1', '761', '1', '9');
INSERT INTO public.who_import VALUES (67586, '2020-12-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '761', '0', '9');
INSERT INTO public.who_import VALUES (67587, '2020-12-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '761', '0', '9');
INSERT INTO public.who_import VALUES (67588, '2020-12-25', 'PG', 'Papua New Guinea', 'WPRO', '19', '780', '0', '9');
INSERT INTO public.who_import VALUES (67589, '2020-12-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67590, '2020-12-27', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67591, '2020-12-28', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67592, '2020-12-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67593, '2020-12-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67594, '2020-12-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67595, '2021-01-01', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67596, '2021-01-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67597, '2021-01-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '780', '0', '9');
INSERT INTO public.who_import VALUES (67598, '2021-01-04', 'PG', 'Papua New Guinea', 'WPRO', '19', '799', '0', '9');
INSERT INTO public.who_import VALUES (67599, '2021-01-05', 'PG', 'Papua New Guinea', 'WPRO', '0', '799', '0', '9');
INSERT INTO public.who_import VALUES (67600, '2021-01-06', 'PG', 'Papua New Guinea', 'WPRO', '0', '799', '0', '9');
INSERT INTO public.who_import VALUES (67601, '2021-01-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '799', '0', '9');
INSERT INTO public.who_import VALUES (67602, '2021-01-08', 'PG', 'Papua New Guinea', 'WPRO', '0', '799', '0', '9');
INSERT INTO public.who_import VALUES (67603, '2021-01-09', 'PG', 'Papua New Guinea', 'WPRO', '12', '811', '0', '9');
INSERT INTO public.who_import VALUES (67604, '2021-01-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '811', '0', '9');
INSERT INTO public.who_import VALUES (67605, '2021-01-11', 'PG', 'Papua New Guinea', 'WPRO', '0', '811', '0', '9');
INSERT INTO public.who_import VALUES (67606, '2021-01-12', 'PG', 'Papua New Guinea', 'WPRO', '8', '819', '0', '9');
INSERT INTO public.who_import VALUES (67607, '2021-01-13', 'PG', 'Papua New Guinea', 'WPRO', '4', '823', '0', '9');
INSERT INTO public.who_import VALUES (67608, '2021-01-14', 'PG', 'Papua New Guinea', 'WPRO', '10', '833', '0', '9');
INSERT INTO public.who_import VALUES (67609, '2021-01-15', 'PG', 'Papua New Guinea', 'WPRO', '1', '834', '0', '9');
INSERT INTO public.who_import VALUES (67610, '2021-01-16', 'PG', 'Papua New Guinea', 'WPRO', '0', '834', '0', '9');
INSERT INTO public.who_import VALUES (67611, '2021-01-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '834', '0', '9');
INSERT INTO public.who_import VALUES (67612, '2021-01-18', 'PG', 'Papua New Guinea', 'WPRO', '0', '834', '0', '9');
INSERT INTO public.who_import VALUES (67613, '2021-01-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '834', '0', '9');
INSERT INTO public.who_import VALUES (67614, '2021-01-20', 'PG', 'Papua New Guinea', 'WPRO', '9', '843', '0', '9');
INSERT INTO public.who_import VALUES (67615, '2021-01-21', 'PG', 'Papua New Guinea', 'WPRO', '1', '844', '0', '9');
INSERT INTO public.who_import VALUES (67616, '2021-01-22', 'PG', 'Papua New Guinea', 'WPRO', '5', '849', '0', '9');
INSERT INTO public.who_import VALUES (67617, '2021-01-23', 'PG', 'Papua New Guinea', 'WPRO', '0', '849', '0', '9');
INSERT INTO public.who_import VALUES (67618, '2021-01-24', 'PG', 'Papua New Guinea', 'WPRO', '0', '849', '0', '9');
INSERT INTO public.who_import VALUES (67619, '2021-01-25', 'PG', 'Papua New Guinea', 'WPRO', '0', '849', '0', '9');
INSERT INTO public.who_import VALUES (67620, '2021-01-26', 'PG', 'Papua New Guinea', 'WPRO', '0', '849', '0', '9');
INSERT INTO public.who_import VALUES (67621, '2021-01-27', 'PG', 'Papua New Guinea', 'WPRO', '1', '850', '0', '9');
INSERT INTO public.who_import VALUES (67622, '2021-01-28', 'PG', 'Papua New Guinea', 'WPRO', '1', '851', '0', '9');
INSERT INTO public.who_import VALUES (67623, '2021-01-29', 'PG', 'Papua New Guinea', 'WPRO', '0', '851', '0', '9');
INSERT INTO public.who_import VALUES (67624, '2021-01-30', 'PG', 'Papua New Guinea', 'WPRO', '0', '851', '0', '9');
INSERT INTO public.who_import VALUES (67625, '2021-01-31', 'PG', 'Papua New Guinea', 'WPRO', '0', '851', '0', '9');
INSERT INTO public.who_import VALUES (67626, '2021-02-01', 'PG', 'Papua New Guinea', 'WPRO', '16', '867', '0', '9');
INSERT INTO public.who_import VALUES (67627, '2021-02-02', 'PG', 'Papua New Guinea', 'WPRO', '0', '867', '0', '9');
INSERT INTO public.who_import VALUES (67628, '2021-02-03', 'PG', 'Papua New Guinea', 'WPRO', '0', '867', '0', '9');
INSERT INTO public.who_import VALUES (67629, '2021-02-04', 'PG', 'Papua New Guinea', 'WPRO', '0', '867', '0', '9');
INSERT INTO public.who_import VALUES (67630, '2021-02-05', 'PG', 'Papua New Guinea', 'WPRO', '24', '891', '0', '9');
INSERT INTO public.who_import VALUES (67631, '2021-02-06', 'PG', 'Papua New Guinea', 'WPRO', '3', '894', '0', '9');
INSERT INTO public.who_import VALUES (67632, '2021-02-07', 'PG', 'Papua New Guinea', 'WPRO', '0', '894', '0', '9');
INSERT INTO public.who_import VALUES (67633, '2021-02-08', 'PG', 'Papua New Guinea', 'WPRO', '1', '895', '0', '9');
INSERT INTO public.who_import VALUES (67634, '2021-02-09', 'PG', 'Papua New Guinea', 'WPRO', '5', '900', '0', '9');
INSERT INTO public.who_import VALUES (67635, '2021-02-10', 'PG', 'Papua New Guinea', 'WPRO', '0', '900', '0', '9');
INSERT INTO public.who_import VALUES (67636, '2021-02-11', 'PG', 'Papua New Guinea', 'WPRO', '14', '914', '0', '9');
INSERT INTO public.who_import VALUES (67637, '2021-02-12', 'PG', 'Papua New Guinea', 'WPRO', '8', '922', '1', '10');
INSERT INTO public.who_import VALUES (67638, '2021-02-13', 'PG', 'Papua New Guinea', 'WPRO', '0', '922', '0', '10');
INSERT INTO public.who_import VALUES (67639, '2021-02-14', 'PG', 'Papua New Guinea', 'WPRO', '0', '922', '0', '10');
INSERT INTO public.who_import VALUES (67640, '2021-02-15', 'PG', 'Papua New Guinea', 'WPRO', '0', '922', '0', '10');
INSERT INTO public.who_import VALUES (67641, '2021-02-16', 'PG', 'Papua New Guinea', 'WPRO', '33', '955', '0', '10');
INSERT INTO public.who_import VALUES (67642, '2021-02-17', 'PG', 'Papua New Guinea', 'WPRO', '0', '955', '0', '10');
INSERT INTO public.who_import VALUES (67643, '2021-02-18', 'PG', 'Papua New Guinea', 'WPRO', '6', '961', '0', '10');
INSERT INTO public.who_import VALUES (67644, '2021-02-19', 'PG', 'Papua New Guinea', 'WPRO', '0', '961', '0', '10');
INSERT INTO public.who_import VALUES (67645, '2021-02-20', 'PG', 'Papua New Guinea', 'WPRO', '9', '970', '0', '10');
INSERT INTO public.who_import VALUES (67646, '2020-01-03', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67647, '2020-01-04', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67648, '2020-01-05', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67649, '2020-01-06', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67650, '2020-01-07', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67651, '2020-01-08', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67652, '2020-01-09', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67653, '2020-01-10', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67654, '2020-01-11', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67655, '2020-01-12', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67657, '2020-01-14', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67658, '2020-01-15', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67659, '2020-01-16', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67660, '2020-01-17', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67661, '2020-01-18', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67662, '2020-01-19', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67663, '2020-01-20', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67664, '2020-01-21', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67665, '2020-01-22', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67666, '2020-01-23', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67667, '2020-01-24', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67668, '2020-01-25', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67669, '2020-01-26', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67670, '2020-01-27', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67671, '2020-01-28', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67672, '2020-01-29', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67673, '2020-01-30', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67674, '2020-01-31', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67675, '2020-02-01', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67676, '2020-02-02', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67677, '2020-02-03', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67678, '2020-02-04', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67679, '2020-02-05', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67680, '2020-02-06', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67681, '2020-02-07', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67682, '2020-02-08', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67683, '2020-02-09', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67684, '2020-02-10', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67685, '2020-02-11', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67686, '2020-02-12', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67687, '2020-02-13', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67688, '2020-02-14', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67689, '2020-02-15', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67690, '2020-02-16', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67691, '2020-02-17', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67692, '2020-02-18', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67693, '2020-02-19', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67694, '2020-02-20', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67695, '2020-02-21', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67696, '2020-02-22', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67697, '2020-02-23', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67698, '2020-02-24', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67699, '2020-02-25', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67700, '2020-02-26', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67701, '2020-02-27', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67702, '2020-02-28', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67703, '2020-02-29', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67704, '2020-03-01', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67705, '2020-03-02', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67706, '2020-03-03', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67707, '2020-03-04', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67708, '2020-03-05', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67709, '2020-03-06', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67710, '2020-03-07', 'PY', 'Paraguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (67711, '2020-03-08', 'PY', 'Paraguay', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (67712, '2020-03-09', 'PY', 'Paraguay', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (67713, '2020-03-10', 'PY', 'Paraguay', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (67714, '2020-03-11', 'PY', 'Paraguay', 'AMRO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (67715, '2020-03-12', 'PY', 'Paraguay', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (67716, '2020-03-13', 'PY', 'Paraguay', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (67717, '2020-03-14', 'PY', 'Paraguay', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (67718, '2020-03-15', 'PY', 'Paraguay', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (67719, '2020-03-16', 'PY', 'Paraguay', 'AMRO', '2', '12', '0', '0');
INSERT INTO public.who_import VALUES (67720, '2020-03-17', 'PY', 'Paraguay', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (67721, '2020-03-18', 'PY', 'Paraguay', 'AMRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (67722, '2020-03-19', 'PY', 'Paraguay', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (67723, '2020-03-20', 'PY', 'Paraguay', 'AMRO', '-2', '13', '0', '0');
INSERT INTO public.who_import VALUES (67724, '2020-03-21', 'PY', 'Paraguay', 'AMRO', '5', '18', '1', '1');
INSERT INTO public.who_import VALUES (67725, '2020-03-22', 'PY', 'Paraguay', 'AMRO', '0', '18', '0', '1');
INSERT INTO public.who_import VALUES (67726, '2020-03-23', 'PY', 'Paraguay', 'AMRO', '4', '22', '0', '1');
INSERT INTO public.who_import VALUES (67727, '2020-03-24', 'PY', 'Paraguay', 'AMRO', '5', '27', '1', '2');
INSERT INTO public.who_import VALUES (67728, '2020-03-25', 'PY', 'Paraguay', 'AMRO', '0', '27', '0', '2');
INSERT INTO public.who_import VALUES (67729, '2020-03-26', 'PY', 'Paraguay', 'AMRO', '14', '41', '1', '3');
INSERT INTO public.who_import VALUES (67730, '2020-03-27', 'PY', 'Paraguay', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (67731, '2020-03-28', 'PY', 'Paraguay', 'AMRO', '11', '52', '0', '3');
INSERT INTO public.who_import VALUES (67732, '2020-03-29', 'PY', 'Paraguay', 'AMRO', '4', '56', '0', '3');
INSERT INTO public.who_import VALUES (67733, '2020-03-30', 'PY', 'Paraguay', 'AMRO', '3', '59', '0', '3');
INSERT INTO public.who_import VALUES (67734, '2020-03-31', 'PY', 'Paraguay', 'AMRO', '5', '64', '0', '3');
INSERT INTO public.who_import VALUES (67735, '2020-04-01', 'PY', 'Paraguay', 'AMRO', '1', '65', '0', '3');
INSERT INTO public.who_import VALUES (67736, '2020-04-02', 'PY', 'Paraguay', 'AMRO', '4', '69', '0', '3');
INSERT INTO public.who_import VALUES (67737, '2020-04-03', 'PY', 'Paraguay', 'AMRO', '8', '77', '0', '3');
INSERT INTO public.who_import VALUES (67738, '2020-04-04', 'PY', 'Paraguay', 'AMRO', '15', '92', '0', '3');
INSERT INTO public.who_import VALUES (67739, '2020-04-05', 'PY', 'Paraguay', 'AMRO', '4', '96', '0', '3');
INSERT INTO public.who_import VALUES (67740, '2020-04-06', 'PY', 'Paraguay', 'AMRO', '8', '104', '0', '3');
INSERT INTO public.who_import VALUES (67741, '2020-04-07', 'PY', 'Paraguay', 'AMRO', '9', '113', '2', '5');
INSERT INTO public.who_import VALUES (67742, '2020-04-08', 'PY', 'Paraguay', 'AMRO', '2', '115', '0', '5');
INSERT INTO public.who_import VALUES (67743, '2020-04-09', 'PY', 'Paraguay', 'AMRO', '4', '119', '0', '5');
INSERT INTO public.who_import VALUES (67744, '2020-04-10', 'PY', 'Paraguay', 'AMRO', '5', '124', '0', '5');
INSERT INTO public.who_import VALUES (67745, '2020-04-11', 'PY', 'Paraguay', 'AMRO', '5', '129', '1', '6');
INSERT INTO public.who_import VALUES (67746, '2020-04-12', 'PY', 'Paraguay', 'AMRO', '4', '133', '0', '6');
INSERT INTO public.who_import VALUES (67747, '2020-04-13', 'PY', 'Paraguay', 'AMRO', '1', '134', '0', '6');
INSERT INTO public.who_import VALUES (67748, '2020-04-14', 'PY', 'Paraguay', 'AMRO', '13', '147', '0', '6');
INSERT INTO public.who_import VALUES (67749, '2020-04-15', 'PY', 'Paraguay', 'AMRO', '12', '159', '1', '7');
INSERT INTO public.who_import VALUES (67750, '2020-04-16', 'PY', 'Paraguay', 'AMRO', '2', '161', '1', '8');
INSERT INTO public.who_import VALUES (67751, '2020-04-17', 'PY', 'Paraguay', 'AMRO', '13', '174', '0', '8');
INSERT INTO public.who_import VALUES (67752, '2020-04-18', 'PY', 'Paraguay', 'AMRO', '25', '199', '0', '8');
INSERT INTO public.who_import VALUES (67753, '2020-04-19', 'PY', 'Paraguay', 'AMRO', '3', '202', '0', '8');
INSERT INTO public.who_import VALUES (67754, '2020-04-20', 'PY', 'Paraguay', 'AMRO', '4', '206', '0', '8');
INSERT INTO public.who_import VALUES (67755, '2020-04-21', 'PY', 'Paraguay', 'AMRO', '2', '208', '0', '8');
INSERT INTO public.who_import VALUES (67756, '2020-04-22', 'PY', 'Paraguay', 'AMRO', '0', '208', '0', '8');
INSERT INTO public.who_import VALUES (67757, '2020-04-23', 'PY', 'Paraguay', 'AMRO', '5', '213', '1', '9');
INSERT INTO public.who_import VALUES (67758, '2020-04-24', 'PY', 'Paraguay', 'AMRO', '0', '213', '0', '9');
INSERT INTO public.who_import VALUES (67759, '2020-04-25', 'PY', 'Paraguay', 'AMRO', '7', '220', '0', '9');
INSERT INTO public.who_import VALUES (67760, '2020-04-26', 'PY', 'Paraguay', 'AMRO', '3', '223', '0', '9');
INSERT INTO public.who_import VALUES (67761, '2020-04-27', 'PY', 'Paraguay', 'AMRO', '5', '228', '0', '9');
INSERT INTO public.who_import VALUES (67762, '2020-04-28', 'PY', 'Paraguay', 'AMRO', '0', '228', '0', '9');
INSERT INTO public.who_import VALUES (67763, '2020-04-29', 'PY', 'Paraguay', 'AMRO', '2', '230', '0', '9');
INSERT INTO public.who_import VALUES (67764, '2020-04-30', 'PY', 'Paraguay', 'AMRO', '9', '239', '0', '9');
INSERT INTO public.who_import VALUES (67765, '2020-05-01', 'PY', 'Paraguay', 'AMRO', '10', '249', '0', '9');
INSERT INTO public.who_import VALUES (67766, '2020-05-02', 'PY', 'Paraguay', 'AMRO', '17', '266', '1', '10');
INSERT INTO public.who_import VALUES (67767, '2020-05-03', 'PY', 'Paraguay', 'AMRO', '67', '333', '0', '10');
INSERT INTO public.who_import VALUES (67768, '2020-05-04', 'PY', 'Paraguay', 'AMRO', '37', '370', '0', '10');
INSERT INTO public.who_import VALUES (67769, '2020-05-05', 'PY', 'Paraguay', 'AMRO', '26', '396', '0', '10');
INSERT INTO public.who_import VALUES (67770, '2020-05-06', 'PY', 'Paraguay', 'AMRO', '35', '431', '0', '10');
INSERT INTO public.who_import VALUES (67771, '2020-05-07', 'PY', 'Paraguay', 'AMRO', '9', '440', '0', '10');
INSERT INTO public.who_import VALUES (67772, '2020-05-08', 'PY', 'Paraguay', 'AMRO', '22', '462', '0', '10');
INSERT INTO public.who_import VALUES (67773, '2020-05-09', 'PY', 'Paraguay', 'AMRO', '101', '563', '0', '10');
INSERT INTO public.who_import VALUES (67774, '2020-05-10', 'PY', 'Paraguay', 'AMRO', '126', '689', '0', '10');
INSERT INTO public.who_import VALUES (67775, '2020-05-11', 'PY', 'Paraguay', 'AMRO', '24', '713', '0', '10');
INSERT INTO public.who_import VALUES (67776, '2020-05-12', 'PY', 'Paraguay', 'AMRO', '11', '724', '0', '10');
INSERT INTO public.who_import VALUES (67777, '2020-05-13', 'PY', 'Paraguay', 'AMRO', '13', '737', '0', '10');
INSERT INTO public.who_import VALUES (67778, '2020-05-14', 'PY', 'Paraguay', 'AMRO', '3', '740', '1', '11');
INSERT INTO public.who_import VALUES (67779, '2020-05-15', 'PY', 'Paraguay', 'AMRO', '14', '754', '0', '11');
INSERT INTO public.who_import VALUES (67780, '2020-05-16', 'PY', 'Paraguay', 'AMRO', '5', '759', '0', '11');
INSERT INTO public.who_import VALUES (67781, '2020-05-17', 'PY', 'Paraguay', 'AMRO', '19', '778', '0', '11');
INSERT INTO public.who_import VALUES (67782, '2020-05-18', 'PY', 'Paraguay', 'AMRO', '8', '786', '0', '11');
INSERT INTO public.who_import VALUES (67783, '2020-05-19', 'PY', 'Paraguay', 'AMRO', '2', '788', '0', '11');
INSERT INTO public.who_import VALUES (67784, '2020-05-20', 'PY', 'Paraguay', 'AMRO', '41', '829', '0', '11');
INSERT INTO public.who_import VALUES (67785, '2020-05-21', 'PY', 'Paraguay', 'AMRO', '4', '833', '0', '11');
INSERT INTO public.who_import VALUES (67786, '2020-05-22', 'PY', 'Paraguay', 'AMRO', '3', '836', '0', '11');
INSERT INTO public.who_import VALUES (67787, '2020-05-23', 'PY', 'Paraguay', 'AMRO', '2', '838', '0', '11');
INSERT INTO public.who_import VALUES (67788, '2020-05-24', 'PY', 'Paraguay', 'AMRO', '12', '850', '0', '11');
INSERT INTO public.who_import VALUES (67789, '2020-05-25', 'PY', 'Paraguay', 'AMRO', '12', '862', '0', '11');
INSERT INTO public.who_import VALUES (67790, '2020-05-26', 'PY', 'Paraguay', 'AMRO', '3', '865', '0', '11');
INSERT INTO public.who_import VALUES (67791, '2020-05-27', 'PY', 'Paraguay', 'AMRO', '12', '877', '0', '11');
INSERT INTO public.who_import VALUES (67792, '2020-05-28', 'PY', 'Paraguay', 'AMRO', '7', '884', '0', '11');
INSERT INTO public.who_import VALUES (67793, '2020-05-29', 'PY', 'Paraguay', 'AMRO', '16', '900', '0', '11');
INSERT INTO public.who_import VALUES (67794, '2020-05-30', 'PY', 'Paraguay', 'AMRO', '17', '917', '0', '11');
INSERT INTO public.who_import VALUES (67795, '2020-05-31', 'PY', 'Paraguay', 'AMRO', '47', '964', '0', '11');
INSERT INTO public.who_import VALUES (67796, '2020-06-01', 'PY', 'Paraguay', 'AMRO', '22', '986', '0', '11');
INSERT INTO public.who_import VALUES (67797, '2020-06-02', 'PY', 'Paraguay', 'AMRO', '9', '995', '0', '11');
INSERT INTO public.who_import VALUES (67798, '2020-06-03', 'PY', 'Paraguay', 'AMRO', '18', '1013', '0', '11');
INSERT INTO public.who_import VALUES (67799, '2020-06-04', 'PY', 'Paraguay', 'AMRO', '57', '1070', '0', '11');
INSERT INTO public.who_import VALUES (67800, '2020-06-05', 'PY', 'Paraguay', 'AMRO', '16', '1086', '0', '11');
INSERT INTO public.who_import VALUES (67801, '2020-06-06', 'PY', 'Paraguay', 'AMRO', '1', '1087', '0', '11');
INSERT INTO public.who_import VALUES (67802, '2020-06-07', 'PY', 'Paraguay', 'AMRO', '3', '1090', '0', '11');
INSERT INTO public.who_import VALUES (67803, '2020-06-08', 'PY', 'Paraguay', 'AMRO', '45', '1135', '0', '11');
INSERT INTO public.who_import VALUES (67804, '2020-06-09', 'PY', 'Paraguay', 'AMRO', '10', '1145', '0', '11');
INSERT INTO public.who_import VALUES (67805, '2020-06-10', 'PY', 'Paraguay', 'AMRO', '42', '1187', '0', '11');
INSERT INTO public.who_import VALUES (67806, '2020-06-11', 'PY', 'Paraguay', 'AMRO', '15', '1202', '0', '11');
INSERT INTO public.who_import VALUES (67807, '2020-06-12', 'PY', 'Paraguay', 'AMRO', '28', '1230', '0', '11');
INSERT INTO public.who_import VALUES (67808, '2020-06-13', 'PY', 'Paraguay', 'AMRO', '24', '1254', '0', '11');
INSERT INTO public.who_import VALUES (67809, '2020-06-14', 'PY', 'Paraguay', 'AMRO', '7', '1261', '0', '11');
INSERT INTO public.who_import VALUES (67810, '2020-06-15', 'PY', 'Paraguay', 'AMRO', '28', '1289', '0', '11');
INSERT INTO public.who_import VALUES (67811, '2020-06-16', 'PY', 'Paraguay', 'AMRO', '7', '1296', '1', '12');
INSERT INTO public.who_import VALUES (67812, '2020-06-17', 'PY', 'Paraguay', 'AMRO', '7', '1303', '0', '12');
INSERT INTO public.who_import VALUES (67813, '2020-06-18', 'PY', 'Paraguay', 'AMRO', '5', '1308', '1', '13');
INSERT INTO public.who_import VALUES (67814, '2020-06-19', 'PY', 'Paraguay', 'AMRO', '22', '1330', '0', '13');
INSERT INTO public.who_import VALUES (67815, '2020-06-20', 'PY', 'Paraguay', 'AMRO', '6', '1336', '0', '13');
INSERT INTO public.who_import VALUES (67816, '2020-06-21', 'PY', 'Paraguay', 'AMRO', '26', '1362', '0', '13');
INSERT INTO public.who_import VALUES (67817, '2020-06-22', 'PY', 'Paraguay', 'AMRO', '17', '1379', '0', '13');
INSERT INTO public.who_import VALUES (67818, '2020-06-23', 'PY', 'Paraguay', 'AMRO', '13', '1392', '0', '13');
INSERT INTO public.who_import VALUES (67819, '2020-06-24', 'PY', 'Paraguay', 'AMRO', '30', '1422', '0', '13');
INSERT INTO public.who_import VALUES (67820, '2020-06-25', 'PY', 'Paraguay', 'AMRO', '106', '1528', '0', '13');
INSERT INTO public.who_import VALUES (67821, '2020-06-26', 'PY', 'Paraguay', 'AMRO', '41', '1569', '0', '13');
INSERT INTO public.who_import VALUES (67822, '2020-06-27', 'PY', 'Paraguay', 'AMRO', '142', '1711', '0', '13');
INSERT INTO public.who_import VALUES (67823, '2020-06-28', 'PY', 'Paraguay', 'AMRO', '0', '1711', '0', '13');
INSERT INTO public.who_import VALUES (67824, '2020-06-29', 'PY', 'Paraguay', 'AMRO', '231', '1942', '2', '15');
INSERT INTO public.who_import VALUES (67825, '2020-06-30', 'PY', 'Paraguay', 'AMRO', '185', '2127', '0', '15');
INSERT INTO public.who_import VALUES (67826, '2020-07-01', 'PY', 'Paraguay', 'AMRO', '94', '2221', '2', '17');
INSERT INTO public.who_import VALUES (67827, '2020-07-02', 'PY', 'Paraguay', 'AMRO', '39', '2260', '2', '19');
INSERT INTO public.who_import VALUES (67828, '2020-07-03', 'PY', 'Paraguay', 'AMRO', '43', '2303', '0', '19');
INSERT INTO public.who_import VALUES (67829, '2020-07-04', 'PY', 'Paraguay', 'AMRO', '46', '2349', '0', '19');
INSERT INTO public.who_import VALUES (67830, '2020-07-05', 'PY', 'Paraguay', 'AMRO', '36', '2385', '1', '20');
INSERT INTO public.who_import VALUES (67831, '2020-07-06', 'PY', 'Paraguay', 'AMRO', '42', '2427', '0', '20');
INSERT INTO public.who_import VALUES (67832, '2020-07-07', 'PY', 'Paraguay', 'AMRO', '29', '2456', '0', '20');
INSERT INTO public.who_import VALUES (67833, '2020-07-08', 'PY', 'Paraguay', 'AMRO', '46', '2502', '0', '20');
INSERT INTO public.who_import VALUES (67834, '2020-07-09', 'PY', 'Paraguay', 'AMRO', '52', '2554', '0', '20');
INSERT INTO public.who_import VALUES (67835, '2020-07-10', 'PY', 'Paraguay', 'AMRO', '84', '2638', '0', '20');
INSERT INTO public.who_import VALUES (67836, '2020-07-11', 'PY', 'Paraguay', 'AMRO', '98', '2736', '0', '20');
INSERT INTO public.who_import VALUES (67837, '2020-07-12', 'PY', 'Paraguay', 'AMRO', '0', '2736', '0', '20');
INSERT INTO public.who_import VALUES (67838, '2020-07-13', 'PY', 'Paraguay', 'AMRO', '84', '2820', '1', '21');
INSERT INTO public.who_import VALUES (67839, '2020-07-14', 'PY', 'Paraguay', 'AMRO', '160', '2980', '4', '25');
INSERT INTO public.who_import VALUES (67840, '2020-07-15', 'PY', 'Paraguay', 'AMRO', '0', '2980', '0', '25');
INSERT INTO public.who_import VALUES (67841, '2020-07-16', 'PY', 'Paraguay', 'AMRO', '94', '3074', '0', '25');
INSERT INTO public.who_import VALUES (67842, '2020-07-17', 'PY', 'Paraguay', 'AMRO', '124', '3198', '0', '25');
INSERT INTO public.who_import VALUES (67843, '2020-07-18', 'PY', 'Paraguay', 'AMRO', '144', '3342', '2', '27');
INSERT INTO public.who_import VALUES (67844, '2020-07-19', 'PY', 'Paraguay', 'AMRO', '115', '3457', '1', '28');
INSERT INTO public.who_import VALUES (67845, '2020-07-20', 'PY', 'Paraguay', 'AMRO', '172', '3629', '1', '29');
INSERT INTO public.who_import VALUES (67846, '2020-07-21', 'PY', 'Paraguay', 'AMRO', '92', '3721', '2', '31');
INSERT INTO public.who_import VALUES (67847, '2020-07-22', 'PY', 'Paraguay', 'AMRO', '27', '3748', '2', '33');
INSERT INTO public.who_import VALUES (67848, '2020-07-23', 'PY', 'Paraguay', 'AMRO', '69', '3817', '2', '35');
INSERT INTO public.who_import VALUES (67849, '2020-07-24', 'PY', 'Paraguay', 'AMRO', '183', '4000', '1', '36');
INSERT INTO public.who_import VALUES (67850, '2020-07-25', 'PY', 'Paraguay', 'AMRO', '113', '4113', '0', '36');
INSERT INTO public.who_import VALUES (67851, '2020-07-26', 'PY', 'Paraguay', 'AMRO', '111', '4224', '2', '38');
INSERT INTO public.who_import VALUES (67852, '2020-07-27', 'PY', 'Paraguay', 'AMRO', '104', '4328', '2', '40');
INSERT INTO public.who_import VALUES (67853, '2020-07-28', 'PY', 'Paraguay', 'AMRO', '116', '4444', '1', '41');
INSERT INTO public.who_import VALUES (67854, '2020-07-29', 'PY', 'Paraguay', 'AMRO', '104', '4548', '2', '43');
INSERT INTO public.who_import VALUES (67855, '2020-07-30', 'PY', 'Paraguay', 'AMRO', '126', '4674', '2', '45');
INSERT INTO public.who_import VALUES (67856, '2020-07-31', 'PY', 'Paraguay', 'AMRO', '192', '4866', '1', '46');
INSERT INTO public.who_import VALUES (67857, '2020-08-01', 'PY', 'Paraguay', 'AMRO', '341', '5207', '1', '47');
INSERT INTO public.who_import VALUES (67858, '2020-08-02', 'PY', 'Paraguay', 'AMRO', '131', '5338', '2', '49');
INSERT INTO public.who_import VALUES (67859, '2020-08-03', 'PY', 'Paraguay', 'AMRO', '147', '5485', '3', '52');
INSERT INTO public.who_import VALUES (67860, '2020-08-04', 'PY', 'Paraguay', 'AMRO', '159', '5644', '0', '52');
INSERT INTO public.who_import VALUES (67861, '2020-08-05', 'PY', 'Paraguay', 'AMRO', '80', '5724', '3', '55');
INSERT INTO public.who_import VALUES (67862, '2020-08-06', 'PY', 'Paraguay', 'AMRO', '128', '5852', '4', '59');
INSERT INTO public.who_import VALUES (67863, '2020-08-07', 'PY', 'Paraguay', 'AMRO', '208', '6060', '2', '61');
INSERT INTO public.who_import VALUES (67864, '2020-08-08', 'PY', 'Paraguay', 'AMRO', '315', '6375', '5', '66');
INSERT INTO public.who_import VALUES (67865, '2020-08-09', 'PY', 'Paraguay', 'AMRO', '133', '6508', '3', '69');
INSERT INTO public.who_import VALUES (67866, '2020-08-10', 'PY', 'Paraguay', 'AMRO', '197', '6705', '3', '72');
INSERT INTO public.who_import VALUES (67867, '2020-08-11', 'PY', 'Paraguay', 'AMRO', '202', '6907', '3', '75');
INSERT INTO public.who_import VALUES (67868, '2020-08-12', 'PY', 'Paraguay', 'AMRO', '327', '7234', '7', '82');
INSERT INTO public.who_import VALUES (67869, '2020-08-13', 'PY', 'Paraguay', 'AMRO', '285', '7519', '4', '86');
INSERT INTO public.who_import VALUES (67870, '2020-08-14', 'PY', 'Paraguay', 'AMRO', '499', '8018', '7', '93');
INSERT INTO public.who_import VALUES (67871, '2020-08-15', 'PY', 'Paraguay', 'AMRO', '371', '8389', '4', '97');
INSERT INTO public.who_import VALUES (67872, '2020-08-16', 'PY', 'Paraguay', 'AMRO', '633', '9022', '11', '108');
INSERT INTO public.who_import VALUES (67873, '2020-08-17', 'PY', 'Paraguay', 'AMRO', '359', '9381', '19', '127');
INSERT INTO public.who_import VALUES (67874, '2020-08-18', 'PY', 'Paraguay', 'AMRO', '410', '9791', '11', '138');
INSERT INTO public.who_import VALUES (67875, '2020-08-19', 'PY', 'Paraguay', 'AMRO', '344', '10135', '7', '145');
INSERT INTO public.who_import VALUES (67876, '2020-08-20', 'PY', 'Paraguay', 'AMRO', '471', '10606', '16', '161');
INSERT INTO public.who_import VALUES (67877, '2020-08-21', 'PY', 'Paraguay', 'AMRO', '527', '11133', '4', '165');
INSERT INTO public.who_import VALUES (67878, '2020-08-22', 'PY', 'Paraguay', 'AMRO', '684', '11817', '5', '170');
INSERT INTO public.who_import VALUES (67879, '2020-08-23', 'PY', 'Paraguay', 'AMRO', '719', '12536', '12', '182');
INSERT INTO public.who_import VALUES (67880, '2020-08-24', 'PY', 'Paraguay', 'AMRO', '438', '12974', '10', '192');
INSERT INTO public.who_import VALUES (67881, '2020-08-25', 'PY', 'Paraguay', 'AMRO', '259', '13233', '13', '205');
INSERT INTO public.who_import VALUES (67882, '2020-08-26', 'PY', 'Paraguay', 'AMRO', '369', '13602', '14', '219');
INSERT INTO public.who_import VALUES (67883, '2020-08-27', 'PY', 'Paraguay', 'AMRO', '626', '14228', '12', '231');
INSERT INTO public.who_import VALUES (67884, '2020-08-28', 'PY', 'Paraguay', 'AMRO', '644', '14872', '16', '247');
INSERT INTO public.who_import VALUES (67885, '2020-08-29', 'PY', 'Paraguay', 'AMRO', '418', '15290', '18', '265');
INSERT INTO public.who_import VALUES (67886, '2020-08-30', 'PY', 'Paraguay', 'AMRO', '584', '15874', '15', '280');
INSERT INTO public.who_import VALUES (67887, '2020-08-31', 'PY', 'Paraguay', 'AMRO', '600', '16474', '14', '294');
INSERT INTO public.who_import VALUES (67888, '2020-09-01', 'PY', 'Paraguay', 'AMRO', '631', '17105', '14', '308');
INSERT INTO public.who_import VALUES (67889, '2020-09-02', 'PY', 'Paraguay', 'AMRO', '557', '17662', '18', '326');
INSERT INTO public.who_import VALUES (67890, '2020-09-03', 'PY', 'Paraguay', 'AMRO', '676', '18338', '22', '348');
INSERT INTO public.who_import VALUES (67891, '2020-09-04', 'PY', 'Paraguay', 'AMRO', '800', '19138', '10', '358');
INSERT INTO public.who_import VALUES (67892, '2020-09-05', 'PY', 'Paraguay', 'AMRO', '821', '19959', '15', '373');
INSERT INTO public.who_import VALUES (67893, '2020-09-06', 'PY', 'Paraguay', 'AMRO', '695', '20654', '25', '398');
INSERT INTO public.who_import VALUES (67894, '2020-09-07', 'PY', 'Paraguay', 'AMRO', '1217', '21871', '14', '412');
INSERT INTO public.who_import VALUES (67895, '2020-09-08', 'PY', 'Paraguay', 'AMRO', '615', '22486', '23', '435');
INSERT INTO public.who_import VALUES (67896, '2020-09-09', 'PY', 'Paraguay', 'AMRO', '867', '23353', '14', '449');
INSERT INTO public.who_import VALUES (67897, '2020-09-10', 'PY', 'Paraguay', 'AMRO', '861', '24214', '14', '463');
INSERT INTO public.who_import VALUES (67898, '2020-09-11', 'PY', 'Paraguay', 'AMRO', '812', '25026', '11', '474');
INSERT INTO public.who_import VALUES (67899, '2020-09-12', 'PY', 'Paraguay', 'AMRO', '605', '25631', '11', '485');
INSERT INTO public.who_import VALUES (67900, '2020-09-13', 'PY', 'Paraguay', 'AMRO', '881', '26512', '11', '496');
INSERT INTO public.who_import VALUES (67901, '2020-09-14', 'PY', 'Paraguay', 'AMRO', '812', '27324', '18', '514');
INSERT INTO public.who_import VALUES (67902, '2020-09-15', 'PY', 'Paraguay', 'AMRO', '493', '27817', '11', '525');
INSERT INTO public.who_import VALUES (67903, '2020-09-16', 'PY', 'Paraguay', 'AMRO', '670', '28487', '14', '539');
INSERT INTO public.who_import VALUES (67904, '2020-09-17', 'PY', 'Paraguay', 'AMRO', '811', '29298', '13', '552');
INSERT INTO public.who_import VALUES (67905, '2020-09-18', 'PY', 'Paraguay', 'AMRO', '1121', '30419', '14', '566');
INSERT INTO public.who_import VALUES (67906, '2020-09-19', 'PY', 'Paraguay', 'AMRO', '694', '31113', '18', '584');
INSERT INTO public.who_import VALUES (67907, '2020-09-20', 'PY', 'Paraguay', 'AMRO', '1014', '32127', '27', '611');
INSERT INTO public.who_import VALUES (67908, '2020-09-21', 'PY', 'Paraguay', 'AMRO', '888', '33015', '25', '636');
INSERT INTO public.who_import VALUES (67909, '2020-09-22', 'PY', 'Paraguay', 'AMRO', '505', '33520', '23', '659');
INSERT INTO public.who_import VALUES (67910, '2020-09-23', 'PY', 'Paraguay', 'AMRO', '740', '34260', '17', '676');
INSERT INTO public.who_import VALUES (67911, '2020-09-24', 'PY', 'Paraguay', 'AMRO', '568', '34828', '29', '705');
INSERT INTO public.who_import VALUES (67912, '2020-09-25', 'PY', 'Paraguay', 'AMRO', '743', '35571', '22', '727');
INSERT INTO public.who_import VALUES (67913, '2020-09-26', 'PY', 'Paraguay', 'AMRO', '833', '36404', '16', '743');
INSERT INTO public.who_import VALUES (67914, '2020-09-27', 'PY', 'Paraguay', 'AMRO', '822', '37226', '18', '761');
INSERT INTO public.who_import VALUES (67915, '2020-09-28', 'PY', 'Paraguay', 'AMRO', '696', '37922', '21', '782');
INSERT INTO public.who_import VALUES (67916, '2020-09-29', 'PY', 'Paraguay', 'AMRO', '762', '38684', '21', '803');
INSERT INTO public.who_import VALUES (67917, '2020-09-30', 'PY', 'Paraguay', 'AMRO', '748', '39432', '15', '818');
INSERT INTO public.who_import VALUES (67918, '2020-10-01', 'PY', 'Paraguay', 'AMRO', '669', '40101', '23', '841');
INSERT INTO public.who_import VALUES (67919, '2020-10-02', 'PY', 'Paraguay', 'AMRO', '657', '40758', '16', '857');
INSERT INTO public.who_import VALUES (67920, '2020-10-03', 'PY', 'Paraguay', 'AMRO', '1041', '41799', '12', '869');
INSERT INTO public.who_import VALUES (67921, '2020-10-04', 'PY', 'Paraguay', 'AMRO', '885', '42684', '21', '890');
INSERT INTO public.who_import VALUES (67922, '2020-10-05', 'PY', 'Paraguay', 'AMRO', '768', '43452', '23', '913');
INSERT INTO public.who_import VALUES (67923, '2020-10-06', 'PY', 'Paraguay', 'AMRO', '730', '44182', '16', '929');
INSERT INTO public.who_import VALUES (67924, '2020-10-07', 'PY', 'Paraguay', 'AMRO', '533', '44715', '18', '947');
INSERT INTO public.who_import VALUES (67925, '2020-10-08', 'PY', 'Paraguay', 'AMRO', '932', '45647', '19', '966');
INSERT INTO public.who_import VALUES (67926, '2020-10-09', 'PY', 'Paraguay', 'AMRO', '788', '46435', '23', '989');
INSERT INTO public.who_import VALUES (67927, '2020-10-10', 'PY', 'Paraguay', 'AMRO', '881', '47316', '23', '1012');
INSERT INTO public.who_import VALUES (67928, '2020-10-11', 'PY', 'Paraguay', 'AMRO', '959', '48275', '33', '1045');
INSERT INTO public.who_import VALUES (67929, '2020-10-12', 'PY', 'Paraguay', 'AMRO', '703', '48978', '20', '1065');
INSERT INTO public.who_import VALUES (67930, '2020-10-13', 'PY', 'Paraguay', 'AMRO', '697', '49675', '12', '1077');
INSERT INTO public.who_import VALUES (67931, '2020-10-14', 'PY', 'Paraguay', 'AMRO', '669', '50344', '19', '1096');
INSERT INTO public.who_import VALUES (67932, '2020-10-15', 'PY', 'Paraguay', 'AMRO', '853', '51197', '12', '1108');
INSERT INTO public.who_import VALUES (67933, '2020-10-16', 'PY', 'Paraguay', 'AMRO', '648', '51845', '23', '1131');
INSERT INTO public.who_import VALUES (67934, '2020-10-17', 'PY', 'Paraguay', 'AMRO', '751', '52596', '19', '1150');
INSERT INTO public.who_import VALUES (67935, '2020-10-18', 'PY', 'Paraguay', 'AMRO', '886', '53482', '16', '1166');
INSERT INTO public.who_import VALUES (67936, '2020-10-19', 'PY', 'Paraguay', 'AMRO', '533', '54015', '13', '1179');
INSERT INTO public.who_import VALUES (67937, '2020-10-20', 'PY', 'Paraguay', 'AMRO', '709', '54724', '9', '1188');
INSERT INTO public.who_import VALUES (67938, '2020-10-21', 'PY', 'Paraguay', 'AMRO', '728', '55452', '19', '1207');
INSERT INTO public.who_import VALUES (67939, '2020-10-22', 'PY', 'Paraguay', 'AMRO', '621', '56073', '24', '1231');
INSERT INTO public.who_import VALUES (67940, '2020-10-23', 'PY', 'Paraguay', 'AMRO', '746', '56819', '19', '1250');
INSERT INTO public.who_import VALUES (67941, '2020-10-24', 'PY', 'Paraguay', 'AMRO', '707', '57526', '17', '1267');
INSERT INTO public.who_import VALUES (67942, '2020-10-25', 'PY', 'Paraguay', 'AMRO', '733', '58259', '11', '1278');
INSERT INTO public.who_import VALUES (67943, '2020-10-26', 'PY', 'Paraguay', 'AMRO', '784', '59043', '15', '1293');
INSERT INTO public.who_import VALUES (67944, '2020-10-27', 'PY', 'Paraguay', 'AMRO', '551', '59594', '16', '1309');
INSERT INTO public.who_import VALUES (67945, '2020-10-28', 'PY', 'Paraguay', 'AMRO', '515', '60109', '24', '1333');
INSERT INTO public.who_import VALUES (67946, '2020-10-29', 'PY', 'Paraguay', 'AMRO', '448', '60557', '14', '1347');
INSERT INTO public.who_import VALUES (67947, '2020-10-30', 'PY', 'Paraguay', 'AMRO', '733', '61290', '12', '1359');
INSERT INTO public.who_import VALUES (67948, '2020-10-31', 'PY', 'Paraguay', 'AMRO', '760', '62050', '14', '1373');
INSERT INTO public.who_import VALUES (67949, '2020-11-01', 'PY', 'Paraguay', 'AMRO', '546', '62596', '14', '1387');
INSERT INTO public.who_import VALUES (67950, '2020-11-02', 'PY', 'Paraguay', 'AMRO', '589', '63185', '17', '1404');
INSERT INTO public.who_import VALUES (67951, '2020-11-03', 'PY', 'Paraguay', 'AMRO', '546', '63731', '14', '1418');
INSERT INTO public.who_import VALUES (67952, '2020-11-04', 'PY', 'Paraguay', 'AMRO', '425', '64156', '11', '1429');
INSERT INTO public.who_import VALUES (67953, '2020-11-05', 'PY', 'Paraguay', 'AMRO', '472', '64628', '12', '1441');
INSERT INTO public.who_import VALUES (67954, '2020-11-06', 'PY', 'Paraguay', 'AMRO', '630', '65258', '13', '1454');
INSERT INTO public.who_import VALUES (67955, '2020-11-07', 'PY', 'Paraguay', 'AMRO', '520', '65778', '8', '1462');
INSERT INTO public.who_import VALUES (67956, '2020-11-08', 'PY', 'Paraguay', 'AMRO', '703', '66481', '10', '1472');
INSERT INTO public.who_import VALUES (67957, '2020-11-09', 'PY', 'Paraguay', 'AMRO', '460', '66941', '7', '1479');
INSERT INTO public.who_import VALUES (67958, '2020-11-10', 'PY', 'Paraguay', 'AMRO', '648', '67589', '11', '1490');
INSERT INTO public.who_import VALUES (67959, '2020-11-11', 'PY', 'Paraguay', 'AMRO', '359', '67948', '12', '1502');
INSERT INTO public.who_import VALUES (67960, '2020-11-12', 'PY', 'Paraguay', 'AMRO', '549', '68497', '14', '1516');
INSERT INTO public.who_import VALUES (67961, '2020-11-13', 'PY', 'Paraguay', 'AMRO', '609', '69106', '16', '1532');
INSERT INTO public.who_import VALUES (67962, '2020-11-14', 'PY', 'Paraguay', 'AMRO', '547', '69653', '11', '1543');
INSERT INTO public.who_import VALUES (67963, '2020-11-15', 'PY', 'Paraguay', 'AMRO', '739', '70392', '13', '1556');
INSERT INTO public.who_import VALUES (67964, '2020-11-16', 'PY', 'Paraguay', 'AMRO', '673', '71065', '13', '1569');
INSERT INTO public.who_import VALUES (67965, '2020-11-17', 'PY', 'Paraguay', 'AMRO', '509', '71574', '18', '1587');
INSERT INTO public.who_import VALUES (67966, '2020-11-18', 'PY', 'Paraguay', 'AMRO', '525', '72099', '15', '1602');
INSERT INTO public.who_import VALUES (67967, '2020-11-19', 'PY', 'Paraguay', 'AMRO', '758', '72857', '11', '1613');
INSERT INTO public.who_import VALUES (67968, '2020-11-20', 'PY', 'Paraguay', 'AMRO', '782', '73639', '11', '1624');
INSERT INTO public.who_import VALUES (67969, '2020-11-21', 'PY', 'Paraguay', 'AMRO', '856', '74495', '12', '1636');
INSERT INTO public.who_import VALUES (67970, '2020-11-22', 'PY', 'Paraguay', 'AMRO', '563', '75058', '11', '1647');
INSERT INTO public.who_import VALUES (67971, '2020-11-23', 'PY', 'Paraguay', 'AMRO', '799', '75857', '5', '1652');
INSERT INTO public.who_import VALUES (67972, '2020-11-24', 'PY', 'Paraguay', 'AMRO', '619', '76476', '5', '1657');
INSERT INTO public.who_import VALUES (67973, '2020-11-25', 'PY', 'Paraguay', 'AMRO', '596', '77072', '8', '1665');
INSERT INTO public.who_import VALUES (67974, '2020-11-26', 'PY', 'Paraguay', 'AMRO', '819', '77891', '12', '1677');
INSERT INTO public.who_import VALUES (67975, '2020-11-27', 'PY', 'Paraguay', 'AMRO', '987', '78878', '14', '1691');
INSERT INTO public.who_import VALUES (67976, '2020-11-28', 'PY', 'Paraguay', 'AMRO', '639', '79517', '13', '1704');
INSERT INTO public.who_import VALUES (67977, '2020-11-29', 'PY', 'Paraguay', 'AMRO', '919', '80436', '16', '1720');
INSERT INTO public.who_import VALUES (67978, '2020-11-30', 'PY', 'Paraguay', 'AMRO', '695', '81131', '11', '1731');
INSERT INTO public.who_import VALUES (67979, '2020-12-01', 'PY', 'Paraguay', 'AMRO', '775', '81906', '12', '1743');
INSERT INTO public.who_import VALUES (67980, '2020-12-02', 'PY', 'Paraguay', 'AMRO', '518', '82424', '13', '1756');
INSERT INTO public.who_import VALUES (67981, '2020-12-03', 'PY', 'Paraguay', 'AMRO', '1055', '83479', '15', '1771');
INSERT INTO public.who_import VALUES (67982, '2020-12-04', 'PY', 'Paraguay', 'AMRO', '1003', '84482', '12', '1783');
INSERT INTO public.who_import VALUES (67983, '2020-12-05', 'PY', 'Paraguay', 'AMRO', '995', '85477', '13', '1796');
INSERT INTO public.who_import VALUES (67984, '2020-12-06', 'PY', 'Paraguay', 'AMRO', '1022', '86499', '17', '1813');
INSERT INTO public.who_import VALUES (67985, '2020-12-07', 'PY', 'Paraguay', 'AMRO', '714', '87213', '20', '1833');
INSERT INTO public.who_import VALUES (67986, '2020-12-08', 'PY', 'Paraguay', 'AMRO', '707', '87920', '20', '1853');
INSERT INTO public.who_import VALUES (67987, '2020-12-09', 'PY', 'Paraguay', 'AMRO', '803', '88723', '19', '1872');
INSERT INTO public.who_import VALUES (67988, '2020-12-10', 'PY', 'Paraguay', 'AMRO', '698', '89421', '15', '1887');
INSERT INTO public.who_import VALUES (67989, '2020-12-11', 'PY', 'Paraguay', 'AMRO', '725', '90146', '14', '1901');
INSERT INTO public.who_import VALUES (67990, '2020-12-12', 'PY', 'Paraguay', 'AMRO', '812', '90958', '13', '1914');
INSERT INTO public.who_import VALUES (67991, '2020-12-13', 'PY', 'Paraguay', 'AMRO', '1155', '92113', '13', '1927');
INSERT INTO public.who_import VALUES (67992, '2020-12-14', 'PY', 'Paraguay', 'AMRO', '800', '92913', '10', '1937');
INSERT INTO public.who_import VALUES (67993, '2020-12-15', 'PY', 'Paraguay', 'AMRO', '669', '93582', '16', '1953');
INSERT INTO public.who_import VALUES (67994, '2020-12-16', 'PY', 'Paraguay', 'AMRO', '641', '94223', '18', '1971');
INSERT INTO public.who_import VALUES (67995, '2020-12-17', 'PY', 'Paraguay', 'AMRO', '1130', '95353', '20', '1991');
INSERT INTO public.who_import VALUES (67996, '2020-12-18', 'PY', 'Paraguay', 'AMRO', '856', '96209', '23', '2014');
INSERT INTO public.who_import VALUES (67997, '2020-12-19', 'PY', 'Paraguay', 'AMRO', '819', '97028', '18', '2032');
INSERT INTO public.who_import VALUES (67998, '2020-12-20', 'PY', 'Paraguay', 'AMRO', '1268', '98296', '18', '2050');
INSERT INTO public.who_import VALUES (67999, '2020-12-21', 'PY', 'Paraguay', 'AMRO', '861', '99157', '22', '2072');
INSERT INTO public.who_import VALUES (68000, '2020-12-22', 'PY', 'Paraguay', 'AMRO', '632', '99789', '16', '2088');
INSERT INTO public.who_import VALUES (68001, '2020-12-23', 'PY', 'Paraguay', 'AMRO', '823', '100612', '15', '2103');
INSERT INTO public.who_import VALUES (68002, '2020-12-24', 'PY', 'Paraguay', 'AMRO', '932', '101544', '17', '2120');
INSERT INTO public.who_import VALUES (68003, '2020-12-25', 'PY', 'Paraguay', 'AMRO', '827', '102371', '18', '2138');
INSERT INTO public.who_import VALUES (68004, '2020-12-26', 'PY', 'Paraguay', 'AMRO', '958', '103329', '16', '2154');
INSERT INTO public.who_import VALUES (68005, '2020-12-27', 'PY', 'Paraguay', 'AMRO', '559', '103888', '0', '2154');
INSERT INTO public.who_import VALUES (68006, '2020-12-28', 'PY', 'Paraguay', 'AMRO', '274', '104162', '20', '2174');
INSERT INTO public.who_import VALUES (68007, '2020-12-29', 'PY', 'Paraguay', 'AMRO', '260', '104422', '14', '2188');
INSERT INTO public.who_import VALUES (68008, '2020-12-30', 'PY', 'Paraguay', 'AMRO', '952', '105374', '14', '2202');
INSERT INTO public.who_import VALUES (68009, '2020-12-31', 'PY', 'Paraguay', 'AMRO', '762', '106136', '18', '2220');
INSERT INTO public.who_import VALUES (68010, '2021-01-01', 'PY', 'Paraguay', 'AMRO', '822', '106958', '22', '2242');
INSERT INTO public.who_import VALUES (68011, '2021-01-02', 'PY', 'Paraguay', 'AMRO', '974', '107932', '20', '2262');
INSERT INTO public.who_import VALUES (68012, '2021-01-03', 'PY', 'Paraguay', 'AMRO', '417', '108349', '0', '2262');
INSERT INTO public.who_import VALUES (68013, '2021-01-04', 'PY', 'Paraguay', 'AMRO', '369', '108718', '17', '2279');
INSERT INTO public.who_import VALUES (68014, '2021-01-05', 'PY', 'Paraguay', 'AMRO', '355', '109073', '13', '2292');
INSERT INTO public.who_import VALUES (68015, '2021-01-06', 'PY', 'Paraguay', 'AMRO', '764', '109837', '13', '2305');
INSERT INTO public.who_import VALUES (68016, '2021-01-07', 'PY', 'Paraguay', 'AMRO', '959', '110796', '16', '2321');
INSERT INTO public.who_import VALUES (68017, '2021-01-08', 'PY', 'Paraguay', 'AMRO', '898', '111694', '16', '2337');
INSERT INTO public.who_import VALUES (68018, '2021-01-09', 'PY', 'Paraguay', 'AMRO', '1162', '112856', '15', '2352');
INSERT INTO public.who_import VALUES (68019, '2021-01-10', 'PY', 'Paraguay', 'AMRO', '1138', '113994', '20', '2372');
INSERT INTO public.who_import VALUES (68020, '2021-01-11', 'PY', 'Paraguay', 'AMRO', '1032', '115026', '15', '2387');
INSERT INTO public.who_import VALUES (68021, '2021-01-12', 'PY', 'Paraguay', 'AMRO', '707', '115733', '18', '2405');
INSERT INTO public.who_import VALUES (68022, '2021-01-13', 'PY', 'Paraguay', 'AMRO', '802', '116535', '15', '2420');
INSERT INTO public.who_import VALUES (68023, '2021-01-14', 'PY', 'Paraguay', 'AMRO', '1055', '117590', '17', '2437');
INSERT INTO public.who_import VALUES (68024, '2021-01-15', 'PY', 'Paraguay', 'AMRO', '1002', '118592', '15', '2452');
INSERT INTO public.who_import VALUES (68025, '2021-01-16', 'PY', 'Paraguay', 'AMRO', '1048', '119640', '15', '2467');
INSERT INTO public.who_import VALUES (68026, '2021-01-17', 'PY', 'Paraguay', 'AMRO', '1149', '120789', '12', '2479');
INSERT INTO public.who_import VALUES (68027, '2021-01-18', 'PY', 'Paraguay', 'AMRO', '859', '121648', '16', '2495');
INSERT INTO public.who_import VALUES (68028, '2021-01-19', 'PY', 'Paraguay', 'AMRO', '512', '122160', '10', '2505');
INSERT INTO public.who_import VALUES (68029, '2021-01-20', 'PY', 'Paraguay', 'AMRO', '428', '122588', '13', '2518');
INSERT INTO public.who_import VALUES (68030, '2021-01-21', 'PY', 'Paraguay', 'AMRO', '771', '123359', '17', '2535');
INSERT INTO public.who_import VALUES (68031, '2021-01-22', 'PY', 'Paraguay', 'AMRO', '1088', '124447', '22', '2557');
INSERT INTO public.who_import VALUES (68032, '2021-01-23', 'PY', 'Paraguay', 'AMRO', '1071', '125518', '13', '2570');
INSERT INTO public.who_import VALUES (68033, '2021-01-24', 'PY', 'Paraguay', 'AMRO', '852', '126370', '15', '2585');
INSERT INTO public.who_import VALUES (68034, '2021-01-25', 'PY', 'Paraguay', 'AMRO', '711', '127081', '22', '2607');
INSERT INTO public.who_import VALUES (68035, '2021-01-26', 'PY', 'Paraguay', 'AMRO', '571', '127652', '10', '2617');
INSERT INTO public.who_import VALUES (68036, '2021-01-27', 'PY', 'Paraguay', 'AMRO', '714', '128366', '15', '2632');
INSERT INTO public.who_import VALUES (68037, '2021-01-28', 'PY', 'Paraguay', 'AMRO', '1028', '129394', '19', '2651');
INSERT INTO public.who_import VALUES (68038, '2021-01-29', 'PY', 'Paraguay', 'AMRO', '769', '130163', '17', '2668');
INSERT INTO public.who_import VALUES (68039, '2021-01-30', 'PY', 'Paraguay', 'AMRO', '754', '130917', '13', '2681');
INSERT INTO public.who_import VALUES (68040, '2021-01-31', 'PY', 'Paraguay', 'AMRO', '969', '131886', '12', '2693');
INSERT INTO public.who_import VALUES (68041, '2021-02-01', 'PY', 'Paraguay', 'AMRO', '662', '132548', '11', '2704');
INSERT INTO public.who_import VALUES (68042, '2021-02-02', 'PY', 'Paraguay', 'AMRO', '679', '133227', '15', '2719');
INSERT INTO public.who_import VALUES (68043, '2021-02-03', 'PY', 'Paraguay', 'AMRO', '554', '133781', '14', '2733');
INSERT INTO public.who_import VALUES (68044, '2021-02-04', 'PY', 'Paraguay', 'AMRO', '701', '134482', '17', '2750');
INSERT INTO public.who_import VALUES (68045, '2021-02-05', 'PY', 'Paraguay', 'AMRO', '747', '135229', '15', '2765');
INSERT INTO public.who_import VALUES (68046, '2021-02-06', 'PY', 'Paraguay', 'AMRO', '794', '136023', '14', '2779');
INSERT INTO public.who_import VALUES (68047, '2021-02-07', 'PY', 'Paraguay', 'AMRO', '867', '136890', '12', '2791');
INSERT INTO public.who_import VALUES (68048, '2021-02-08', 'PY', 'Paraguay', 'AMRO', '713', '137603', '16', '2807');
INSERT INTO public.who_import VALUES (68049, '2021-02-09', 'PY', 'Paraguay', 'AMRO', '515', '138118', '19', '2826');
INSERT INTO public.who_import VALUES (68050, '2021-02-10', 'PY', 'Paraguay', 'AMRO', '827', '138945', '20', '2846');
INSERT INTO public.who_import VALUES (68051, '2021-02-11', 'PY', 'Paraguay', 'AMRO', '874', '139819', '16', '2862');
INSERT INTO public.who_import VALUES (68052, '2021-02-12', 'PY', 'Paraguay', 'AMRO', '978', '140797', '14', '2876');
INSERT INTO public.who_import VALUES (68053, '2021-02-13', 'PY', 'Paraguay', 'AMRO', '978', '141775', '15', '2891');
INSERT INTO public.who_import VALUES (68054, '2021-02-14', 'PY', 'Paraguay', 'AMRO', '823', '142598', '13', '2904');
INSERT INTO public.who_import VALUES (68055, '2021-02-15', 'PY', 'Paraguay', 'AMRO', '845', '143443', '16', '2920');
INSERT INTO public.who_import VALUES (68056, '2021-02-16', 'PY', 'Paraguay', 'AMRO', '599', '144042', '16', '2936');
INSERT INTO public.who_import VALUES (68057, '2021-02-17', 'PY', 'Paraguay', 'AMRO', '1053', '145095', '17', '2953');
INSERT INTO public.who_import VALUES (68058, '2021-02-18', 'PY', 'Paraguay', 'AMRO', '1121', '146216', '18', '2971');
INSERT INTO public.who_import VALUES (68059, '2021-02-19', 'PY', 'Paraguay', 'AMRO', '1037', '147253', '20', '2991');
INSERT INTO public.who_import VALUES (68060, '2021-02-20', 'PY', 'Paraguay', 'AMRO', '1369', '148622', '17', '3008');
INSERT INTO public.who_import VALUES (68061, '2020-01-03', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68062, '2020-01-04', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68063, '2020-01-05', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68064, '2020-01-06', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68065, '2020-01-07', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68066, '2020-01-08', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68067, '2020-01-09', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68068, '2020-01-10', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68069, '2020-01-11', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68070, '2020-01-12', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68071, '2020-01-13', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68072, '2020-01-14', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68073, '2020-01-15', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68074, '2020-01-16', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68075, '2020-01-17', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68076, '2020-01-18', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68077, '2020-01-19', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68078, '2020-01-20', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68079, '2020-01-21', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68080, '2020-01-22', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68081, '2020-01-23', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68082, '2020-01-24', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68083, '2020-01-25', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68084, '2020-01-26', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68085, '2020-01-27', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68086, '2020-01-28', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68087, '2020-01-29', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68088, '2020-01-30', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68089, '2020-01-31', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68090, '2020-02-01', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68091, '2020-02-02', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68092, '2020-02-03', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68093, '2020-02-04', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68094, '2020-02-05', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68095, '2020-02-06', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68096, '2020-02-07', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68097, '2020-02-08', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68098, '2020-02-09', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68099, '2020-02-10', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68100, '2020-02-11', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68101, '2020-02-12', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68102, '2020-02-13', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68103, '2020-02-14', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68104, '2020-02-15', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68105, '2020-02-16', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68106, '2020-02-17', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68107, '2020-02-18', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68108, '2020-02-19', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68109, '2020-02-20', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68110, '2020-02-21', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68111, '2020-02-22', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68112, '2020-02-23', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68113, '2020-02-24', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68114, '2020-02-25', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68115, '2020-02-26', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68116, '2020-02-27', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68117, '2020-02-28', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68118, '2020-02-29', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68119, '2020-03-01', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68120, '2020-03-02', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68121, '2020-03-03', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68122, '2020-03-04', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68123, '2020-03-05', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68124, '2020-03-06', 'PE', 'Peru', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68125, '2020-03-07', 'PE', 'Peru', 'AMRO', '10', '10', '0', '0');
INSERT INTO public.who_import VALUES (68126, '2020-03-08', 'PE', 'Peru', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (68127, '2020-03-09', 'PE', 'Peru', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (68128, '2020-03-10', 'PE', 'Peru', 'AMRO', '2', '13', '0', '0');
INSERT INTO public.who_import VALUES (68129, '2020-03-11', 'PE', 'Peru', 'AMRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (68130, '2020-03-12', 'PE', 'Peru', 'AMRO', '6', '21', '0', '0');
INSERT INTO public.who_import VALUES (68131, '2020-03-13', 'PE', 'Peru', 'AMRO', '5', '26', '0', '0');
INSERT INTO public.who_import VALUES (68132, '2020-03-14', 'PE', 'Peru', 'AMRO', '6', '32', '0', '0');
INSERT INTO public.who_import VALUES (68133, '2020-03-15', 'PE', 'Peru', 'AMRO', '15', '47', '0', '0');
INSERT INTO public.who_import VALUES (68134, '2020-03-16', 'PE', 'Peru', 'AMRO', '28', '75', '0', '0');
INSERT INTO public.who_import VALUES (68135, '2020-03-17', 'PE', 'Peru', 'AMRO', '15', '90', '0', '0');
INSERT INTO public.who_import VALUES (68136, '2020-03-18', 'PE', 'Peru', 'AMRO', '59', '149', '0', '0');
INSERT INTO public.who_import VALUES (68137, '2020-03-19', 'PE', 'Peru', 'AMRO', '85', '234', '0', '0');
INSERT INTO public.who_import VALUES (68138, '2020-03-20', 'PE', 'Peru', 'AMRO', '0', '234', '2', '2');
INSERT INTO public.who_import VALUES (68139, '2020-03-21', 'PE', 'Peru', 'AMRO', '84', '318', '0', '2');
INSERT INTO public.who_import VALUES (68140, '2020-03-22', 'PE', 'Peru', 'AMRO', '0', '318', '0', '2');
INSERT INTO public.who_import VALUES (68141, '2020-03-23', 'PE', 'Peru', 'AMRO', '0', '318', '0', '2');
INSERT INTO public.who_import VALUES (68142, '2020-03-24', 'PE', 'Peru', 'AMRO', '98', '416', '3', '5');
INSERT INTO public.who_import VALUES (68143, '2020-03-25', 'PE', 'Peru', 'AMRO', '0', '416', '0', '5');
INSERT INTO public.who_import VALUES (68144, '2020-03-26', 'PE', 'Peru', 'AMRO', '164', '580', '4', '9');
INSERT INTO public.who_import VALUES (68145, '2020-03-27', 'PE', 'Peru', 'AMRO', '0', '580', '0', '9');
INSERT INTO public.who_import VALUES (68146, '2020-03-28', 'PE', 'Peru', 'AMRO', '0', '580', '0', '9');
INSERT INTO public.who_import VALUES (68147, '2020-03-29', 'PE', 'Peru', 'AMRO', '55', '635', '2', '11');
INSERT INTO public.who_import VALUES (68148, '2020-03-30', 'PE', 'Peru', 'AMRO', '36', '671', '0', '11');
INSERT INTO public.who_import VALUES (68149, '2020-03-31', 'PE', 'Peru', 'AMRO', '181', '852', '0', '11');
INSERT INTO public.who_import VALUES (68150, '2020-04-01', 'PE', 'Peru', 'AMRO', '213', '1065', '13', '24');
INSERT INTO public.who_import VALUES (68151, '2020-04-02', 'PE', 'Peru', 'AMRO', '258', '1323', '0', '24');
INSERT INTO public.who_import VALUES (68152, '2020-04-03', 'PE', 'Peru', 'AMRO', '0', '1323', '17', '41');
INSERT INTO public.who_import VALUES (68153, '2020-04-04', 'PE', 'Peru', 'AMRO', '91', '1414', '10', '51');
INSERT INTO public.who_import VALUES (68154, '2020-04-05', 'PE', 'Peru', 'AMRO', '181', '1595', '10', '61');
INSERT INTO public.who_import VALUES (68155, '2020-04-06', 'PE', 'Peru', 'AMRO', '151', '1746', '12', '73');
INSERT INTO public.who_import VALUES (68156, '2020-04-07', 'PE', 'Peru', 'AMRO', '535', '2281', '10', '83');
INSERT INTO public.who_import VALUES (68157, '2020-04-08', 'PE', 'Peru', 'AMRO', '280', '2561', '9', '92');
INSERT INTO public.who_import VALUES (68158, '2020-04-09', 'PE', 'Peru', 'AMRO', '393', '2954', '15', '107');
INSERT INTO public.who_import VALUES (68159, '2020-04-10', 'PE', 'Peru', 'AMRO', '1388', '4342', '14', '121');
INSERT INTO public.who_import VALUES (68160, '2020-04-11', 'PE', 'Peru', 'AMRO', '914', '5256', '17', '138');
INSERT INTO public.who_import VALUES (68161, '2020-04-12', 'PE', 'Peru', 'AMRO', '641', '5897', '31', '169');
INSERT INTO public.who_import VALUES (68162, '2020-04-13', 'PE', 'Peru', 'AMRO', '951', '6848', '12', '181');
INSERT INTO public.who_import VALUES (68163, '2020-04-14', 'PE', 'Peru', 'AMRO', '671', '7519', '12', '193');
INSERT INTO public.who_import VALUES (68164, '2020-04-15', 'PE', 'Peru', 'AMRO', '0', '7519', '0', '193');
INSERT INTO public.who_import VALUES (68165, '2020-04-16', 'PE', 'Peru', 'AMRO', '2784', '10303', '37', '230');
INSERT INTO public.who_import VALUES (68166, '2020-04-17', 'PE', 'Peru', 'AMRO', '1172', '11475', '24', '254');
INSERT INTO public.who_import VALUES (68167, '2020-04-18', 'PE', 'Peru', 'AMRO', '2014', '13489', '46', '300');
INSERT INTO public.who_import VALUES (68168, '2020-04-19', 'PE', 'Peru', 'AMRO', '0', '13489', '0', '300');
INSERT INTO public.who_import VALUES (68169, '2020-04-20', 'PE', 'Peru', 'AMRO', '931', '14420', '48', '348');
INSERT INTO public.who_import VALUES (68170, '2020-04-21', 'PE', 'Peru', 'AMRO', '1208', '15628', '52', '400');
INSERT INTO public.who_import VALUES (68171, '2020-04-22', 'PE', 'Peru', 'AMRO', '697', '16325', '45', '445');
INSERT INTO public.who_import VALUES (68172, '2020-04-23', 'PE', 'Peru', 'AMRO', '1512', '17837', '39', '484');
INSERT INTO public.who_import VALUES (68173, '2020-04-24', 'PE', 'Peru', 'AMRO', '1413', '19250', '46', '530');
INSERT INTO public.who_import VALUES (68174, '2020-04-25', 'PE', 'Peru', 'AMRO', '1664', '20914', '42', '572');
INSERT INTO public.who_import VALUES (68175, '2020-04-26', 'PE', 'Peru', 'AMRO', '734', '21648', '62', '634');
INSERT INTO public.who_import VALUES (68176, '2020-04-27', 'PE', 'Peru', 'AMRO', '3683', '25331', '66', '700');
INSERT INTO public.who_import VALUES (68177, '2020-04-28', 'PE', 'Peru', 'AMRO', '2186', '27517', '28', '728');
INSERT INTO public.who_import VALUES (68178, '2020-04-29', 'PE', 'Peru', 'AMRO', '1182', '28699', '54', '782');
INSERT INTO public.who_import VALUES (68179, '2020-04-30', 'PE', 'Peru', 'AMRO', '2491', '31190', '72', '854');
INSERT INTO public.who_import VALUES (68180, '2020-05-01', 'PE', 'Peru', 'AMRO', '2741', '33931', '89', '943');
INSERT INTO public.who_import VALUES (68181, '2020-05-02', 'PE', 'Peru', 'AMRO', '3045', '36976', '108', '1051');
INSERT INTO public.who_import VALUES (68182, '2020-05-03', 'PE', 'Peru', 'AMRO', '3483', '40459', '73', '1124');
INSERT INTO public.who_import VALUES (68183, '2020-05-04', 'PE', 'Peru', 'AMRO', '2075', '42534', '76', '1200');
INSERT INTO public.who_import VALUES (68184, '2020-05-05', 'PE', 'Peru', 'AMRO', '3394', '45928', '86', '1286');
INSERT INTO public.who_import VALUES (68185, '2020-05-06', 'PE', 'Peru', 'AMRO', '1444', '47372', '58', '1344');
INSERT INTO public.who_import VALUES (68186, '2020-05-07', 'PE', 'Peru', 'AMRO', '3817', '51189', '100', '1444');
INSERT INTO public.who_import VALUES (68187, '2020-05-08', 'PE', 'Peru', 'AMRO', '3628', '54817', '89', '1533');
INSERT INTO public.who_import VALUES (68188, '2020-05-09', 'PE', 'Peru', 'AMRO', '3709', '58526', '94', '1627');
INSERT INTO public.who_import VALUES (68189, '2020-05-10', 'PE', 'Peru', 'AMRO', '3321', '61847', '87', '1714');
INSERT INTO public.who_import VALUES (68190, '2020-05-11', 'PE', 'Peru', 'AMRO', '3168', '65015', '100', '1814');
INSERT INTO public.who_import VALUES (68191, '2020-05-12', 'PE', 'Peru', 'AMRO', '2292', '67307', '75', '1889');
INSERT INTO public.who_import VALUES (68192, '2020-05-13', 'PE', 'Peru', 'AMRO', '1515', '68822', '72', '1961');
INSERT INTO public.who_import VALUES (68193, '2020-05-14', 'PE', 'Peru', 'AMRO', '3237', '72059', '96', '2057');
INSERT INTO public.who_import VALUES (68194, '2020-05-15', 'PE', 'Peru', 'AMRO', '4247', '76306', '112', '2169');
INSERT INTO public.who_import VALUES (68195, '2020-05-16', 'PE', 'Peru', 'AMRO', '4298', '80604', '98', '2267');
INSERT INTO public.who_import VALUES (68196, '2020-05-17', 'PE', 'Peru', 'AMRO', '3891', '84495', '125', '2392');
INSERT INTO public.who_import VALUES (68197, '2020-05-18', 'PE', 'Peru', 'AMRO', '4046', '88541', '131', '2523');
INSERT INTO public.who_import VALUES (68198, '2020-05-19', 'PE', 'Peru', 'AMRO', '3732', '92273', '125', '2648');
INSERT INTO public.who_import VALUES (68199, '2020-05-20', 'PE', 'Peru', 'AMRO', '2660', '94933', '141', '2789');
INSERT INTO public.who_import VALUES (68200, '2020-05-21', 'PE', 'Peru', 'AMRO', '4550', '99483', '125', '2914');
INSERT INTO public.who_import VALUES (68201, '2020-05-22', 'PE', 'Peru', 'AMRO', '4537', '104020', '110', '3024');
INSERT INTO public.who_import VALUES (68202, '2020-05-23', 'PE', 'Peru', 'AMRO', '4749', '108769', '124', '3148');
INSERT INTO public.who_import VALUES (68203, '2020-05-24', 'PE', 'Peru', 'AMRO', '2929', '111698', '96', '3244');
INSERT INTO public.who_import VALUES (68204, '2020-05-25', 'PE', 'Peru', 'AMRO', '4056', '115754', '129', '3373');
INSERT INTO public.who_import VALUES (68205, '2020-05-26', 'PE', 'Peru', 'AMRO', '4205', '119959', '83', '3456');
INSERT INTO public.who_import VALUES (68206, '2020-05-27', 'PE', 'Peru', 'AMRO', '4020', '123979', '173', '3629');
INSERT INTO public.who_import VALUES (68207, '2020-05-28', 'PE', 'Peru', 'AMRO', '5772', '129751', '159', '3788');
INSERT INTO public.who_import VALUES (68208, '2020-05-29', 'PE', 'Peru', 'AMRO', '6154', '135905', '195', '3983');
INSERT INTO public.who_import VALUES (68209, '2020-05-30', 'PE', 'Peru', 'AMRO', '5874', '141779', '116', '4099');
INSERT INTO public.who_import VALUES (68210, '2020-05-31', 'PE', 'Peru', 'AMRO', '6506', '148285', '131', '4230');
INSERT INTO public.who_import VALUES (68211, '2020-06-01', 'PE', 'Peru', 'AMRO', '7386', '155671', '141', '4371');
INSERT INTO public.who_import VALUES (68212, '2020-06-02', 'PE', 'Peru', 'AMRO', '8805', '164476', '135', '4506');
INSERT INTO public.who_import VALUES (68213, '2020-06-03', 'PE', 'Peru', 'AMRO', '5563', '170039', '128', '4634');
INSERT INTO public.who_import VALUES (68214, '2020-06-04', 'PE', 'Peru', 'AMRO', '4845', '174884', '133', '4767');
INSERT INTO public.who_import VALUES (68215, '2020-06-05', 'PE', 'Peru', 'AMRO', '4030', '178914', '127', '4894');
INSERT INTO public.who_import VALUES (68216, '2020-06-06', 'PE', 'Peru', 'AMRO', '4284', '183198', '137', '5031');
INSERT INTO public.who_import VALUES (68217, '2020-06-07', 'PE', 'Peru', 'AMRO', '4202', '187400', '131', '5162');
INSERT INTO public.who_import VALUES (68218, '2020-06-08', 'PE', 'Peru', 'AMRO', '4358', '191758', '139', '5301');
INSERT INTO public.who_import VALUES (68219, '2020-06-09', 'PE', 'Peru', 'AMRO', '4757', '196515', '164', '5465');
INSERT INTO public.who_import VALUES (68220, '2020-06-10', 'PE', 'Peru', 'AMRO', '3181', '199696', '106', '5571');
INSERT INTO public.who_import VALUES (68221, '2020-06-11', 'PE', 'Peru', 'AMRO', '4040', '203736', '167', '5738');
INSERT INTO public.who_import VALUES (68222, '2020-06-12', 'PE', 'Peru', 'AMRO', '5087', '208823', '165', '5903');
INSERT INTO public.who_import VALUES (68223, '2020-06-13', 'PE', 'Peru', 'AMRO', '5965', '214788', '206', '6109');
INSERT INTO public.who_import VALUES (68224, '2020-06-14', 'PE', 'Peru', 'AMRO', '5961', '220749', '199', '6308');
INSERT INTO public.who_import VALUES (68225, '2020-06-15', 'PE', 'Peru', 'AMRO', '4383', '225132', '190', '6498');
INSERT INTO public.who_import VALUES (68226, '2020-06-16', 'PE', 'Peru', 'AMRO', '4604', '229736', '190', '6688');
INSERT INTO public.who_import VALUES (68227, '2020-06-17', 'PE', 'Peru', 'AMRO', '3256', '232992', '172', '6860');
INSERT INTO public.who_import VALUES (68228, '2020-06-18', 'PE', 'Peru', 'AMRO', '4164', '237156', '196', '7056');
INSERT INTO public.who_import VALUES (68229, '2020-06-19', 'PE', 'Peru', 'AMRO', '3752', '240908', '201', '7257');
INSERT INTO public.who_import VALUES (68230, '2020-06-20', 'PE', 'Peru', 'AMRO', '3480', '244388', '204', '7461');
INSERT INTO public.who_import VALUES (68231, '2020-06-21', 'PE', 'Peru', 'AMRO', '3537', '247925', '199', '7660');
INSERT INTO public.who_import VALUES (68232, '2020-06-22', 'PE', 'Peru', 'AMRO', '3413', '251338', '201', '7861');
INSERT INTO public.who_import VALUES (68233, '2020-06-23', 'PE', 'Peru', 'AMRO', '3598', '254936', '184', '8045');
INSERT INTO public.who_import VALUES (68234, '2020-06-24', 'PE', 'Peru', 'AMRO', '2511', '257447', '178', '8223');
INSERT INTO public.who_import VALUES (68235, '2020-06-25', 'PE', 'Peru', 'AMRO', '3363', '260810', '181', '8404');
INSERT INTO public.who_import VALUES (68236, '2020-06-26', 'PE', 'Peru', 'AMRO', '3879', '264689', '182', '8586');
INSERT INTO public.who_import VALUES (68237, '2020-06-27', 'PE', 'Peru', 'AMRO', '3913', '268602', '175', '8761');
INSERT INTO public.who_import VALUES (68238, '2020-06-28', 'PE', 'Peru', 'AMRO', '3762', '272364', '178', '8939');
INSERT INTO public.who_import VALUES (68239, '2020-06-29', 'PE', 'Peru', 'AMRO', '3625', '275989', '196', '9135');
INSERT INTO public.who_import VALUES (68240, '2020-06-30', 'PE', 'Peru', 'AMRO', '3430', '279419', '182', '9317');
INSERT INTO public.who_import VALUES (68241, '2020-07-01', 'PE', 'Peru', 'AMRO', '2946', '282365', '187', '9504');
INSERT INTO public.who_import VALUES (68242, '2020-07-02', 'PE', 'Peru', 'AMRO', '2848', '285213', '173', '9677');
INSERT INTO public.who_import VALUES (68243, '2020-07-03', 'PE', 'Peru', 'AMRO', '3264', '288477', '183', '9860');
INSERT INTO public.who_import VALUES (68244, '2020-07-04', 'PE', 'Peru', 'AMRO', '3527', '292004', '185', '10045');
INSERT INTO public.who_import VALUES (68245, '2020-07-05', 'PE', 'Peru', 'AMRO', '3595', '295599', '181', '10226');
INSERT INTO public.who_import VALUES (68246, '2020-07-06', 'PE', 'Peru', 'AMRO', '3481', '299080', '186', '10412');
INSERT INTO public.who_import VALUES (68247, '2020-07-07', 'PE', 'Peru', 'AMRO', '3638', '302718', '177', '10589');
INSERT INTO public.who_import VALUES (68248, '2020-07-08', 'PE', 'Peru', 'AMRO', '2985', '305703', '183', '10772');
INSERT INTO public.who_import VALUES (68249, '2020-07-09', 'PE', 'Peru', 'AMRO', '3575', '309278', '180', '10952');
INSERT INTO public.who_import VALUES (68250, '2020-07-10', 'PE', 'Peru', 'AMRO', '3633', '312911', '181', '11133');
INSERT INTO public.who_import VALUES (68251, '2020-07-11', 'PE', 'Peru', 'AMRO', '3537', '316448', '181', '11314');
INSERT INTO public.who_import VALUES (68252, '2020-07-12', 'PE', 'Peru', 'AMRO', '3198', '319646', '186', '11500');
INSERT INTO public.who_import VALUES (68253, '2020-07-13', 'PE', 'Peru', 'AMRO', '3064', '322710', '182', '11682');
INSERT INTO public.who_import VALUES (68254, '2020-07-14', 'PE', 'Peru', 'AMRO', '3616', '326326', '188', '11870');
INSERT INTO public.who_import VALUES (68255, '2020-07-15', 'PE', 'Peru', 'AMRO', '3797', '330123', '184', '12054');
INSERT INTO public.who_import VALUES (68256, '2020-07-16', 'PE', 'Peru', 'AMRO', '3744', '333867', '175', '12229');
INSERT INTO public.who_import VALUES (68257, '2020-07-17', 'PE', 'Peru', 'AMRO', '3857', '337724', '188', '12417');
INSERT INTO public.who_import VALUES (68258, '2020-07-18', 'PE', 'Peru', 'AMRO', '3862', '341586', '198', '12615');
INSERT INTO public.who_import VALUES (68259, '2020-07-19', 'PE', 'Peru', 'AMRO', '3951', '345537', '184', '12799');
INSERT INTO public.who_import VALUES (68260, '2020-07-20', 'PE', 'Peru', 'AMRO', '3963', '349500', '199', '12998');
INSERT INTO public.who_import VALUES (68261, '2020-07-21', 'PE', 'Peru', 'AMRO', '4090', '353590', '189', '13187');
INSERT INTO public.who_import VALUES (68262, '2020-07-22', 'PE', 'Peru', 'AMRO', '4091', '357681', '197', '13384');
INSERT INTO public.who_import VALUES (68263, '2020-07-23', 'PE', 'Peru', 'AMRO', '4406', '362087', '195', '13579');
INSERT INTO public.who_import VALUES (68264, '2020-07-24', 'PE', 'Peru', 'AMRO', '4463', '366550', '3876', '17455');
INSERT INTO public.who_import VALUES (68265, '2020-07-25', 'PE', 'Peru', 'AMRO', '4546', '371096', '199', '17654');
INSERT INTO public.who_import VALUES (68266, '2020-07-26', 'PE', 'Peru', 'AMRO', '4865', '375961', '189', '17843');
INSERT INTO public.who_import VALUES (68267, '2020-07-27', 'PE', 'Peru', 'AMRO', '3923', '379884', '187', '18030');
INSERT INTO public.who_import VALUES (68268, '2020-07-28', 'PE', 'Peru', 'AMRO', '4913', '384797', '199', '18229');
INSERT INTO public.who_import VALUES (68269, '2020-07-29', 'PE', 'Peru', 'AMRO', '4920', '389717', '189', '18418');
INSERT INTO public.who_import VALUES (68270, '2020-07-30', 'PE', 'Peru', 'AMRO', '5288', '395005', '194', '18612');
INSERT INTO public.who_import VALUES (68271, '2020-07-31', 'PE', 'Peru', 'AMRO', '5678', '400683', '204', '18816');
INSERT INTO public.who_import VALUES (68272, '2020-08-01', 'PE', 'Peru', 'AMRO', '6809', '407492', '205', '19021');
INSERT INTO public.who_import VALUES (68273, '2020-08-02', 'PE', 'Peru', 'AMRO', '0', '407492', '0', '19021');
INSERT INTO public.who_import VALUES (68274, '2020-08-03', 'PE', 'Peru', 'AMRO', '14691', '422183', '387', '19408');
INSERT INTO public.who_import VALUES (68275, '2020-08-04', 'PE', 'Peru', 'AMRO', '6667', '428850', '206', '19614');
INSERT INTO public.who_import VALUES (68276, '2020-08-05', 'PE', 'Peru', 'AMRO', '4250', '433100', '197', '19811');
INSERT INTO public.who_import VALUES (68277, '2020-08-06', 'PE', 'Peru', 'AMRO', '6790', '439890', '196', '20007');
INSERT INTO public.who_import VALUES (68278, '2020-08-07', 'PE', 'Peru', 'AMRO', '7734', '447624', '221', '20228');
INSERT INTO public.who_import VALUES (68279, '2020-08-08', 'PE', 'Peru', 'AMRO', '7785', '455409', '196', '20424');
INSERT INTO public.who_import VALUES (68280, '2020-08-09', 'PE', 'Peru', 'AMRO', '8466', '463875', '225', '20649');
INSERT INTO public.who_import VALUES (68281, '2020-08-10', 'PE', 'Peru', 'AMRO', '7137', '471012', '195', '20844');
INSERT INTO public.who_import VALUES (68282, '2020-08-11', 'PE', 'Peru', 'AMRO', '7012', '478024', '228', '21072');
INSERT INTO public.who_import VALUES (68283, '2020-08-12', 'PE', 'Peru', 'AMRO', '5109', '483133', '204', '21276');
INSERT INTO public.who_import VALUES (68284, '2020-08-13', 'PE', 'Peru', 'AMRO', '6547', '489680', '225', '21501');
INSERT INTO public.who_import VALUES (68285, '2020-08-14', 'PE', 'Peru', 'AMRO', '8875', '498555', '212', '21713');
INSERT INTO public.who_import VALUES (68286, '2020-08-15', 'PE', 'Peru', 'AMRO', '9441', '507996', '3935', '25648');
INSERT INTO public.who_import VALUES (68287, '2020-08-16', 'PE', 'Peru', 'AMRO', '8300', '516296', '208', '25856');
INSERT INTO public.who_import VALUES (68288, '2020-08-17', 'PE', 'Peru', 'AMRO', '9507', '525803', '219', '26075');
INSERT INTO public.who_import VALUES (68289, '2020-08-18', 'PE', 'Peru', 'AMRO', '10143', '535946', '206', '26281');
INSERT INTO public.who_import VALUES (68290, '2020-08-19', 'PE', 'Peru', 'AMRO', '5547', '541493', '200', '26481');
INSERT INTO public.who_import VALUES (68291, '2020-08-20', 'PE', 'Peru', 'AMRO', '7828', '549321', '177', '26658');
INSERT INTO public.who_import VALUES (68292, '2020-08-21', 'PE', 'Peru', 'AMRO', '9099', '558420', '176', '26834');
INSERT INTO public.who_import VALUES (68293, '2020-08-22', 'PE', 'Peru', 'AMRO', '8639', '567059', '200', '27034');
INSERT INTO public.who_import VALUES (68294, '2020-08-23', 'PE', 'Peru', 'AMRO', '9008', '576067', '211', '27245');
INSERT INTO public.who_import VALUES (68295, '2020-08-24', 'PE', 'Peru', 'AMRO', '9169', '585236', '208', '27453');
INSERT INTO public.who_import VALUES (68296, '2020-08-25', 'PE', 'Peru', 'AMRO', '9090', '594326', '210', '27663');
INSERT INTO public.who_import VALUES (68297, '2020-08-26', 'PE', 'Peru', 'AMRO', '6112', '600438', '150', '27813');
INSERT INTO public.who_import VALUES (68298, '2020-08-27', 'PE', 'Peru', 'AMRO', '6944', '607382', '188', '28001');
INSERT INTO public.who_import VALUES (68299, '2020-08-28', 'PE', 'Peru', 'AMRO', '5996', '613378', '123', '28124');
INSERT INTO public.who_import VALUES (68300, '2020-08-29', 'PE', 'Peru', 'AMRO', '8619', '621997', '153', '28277');
INSERT INTO public.who_import VALUES (68301, '2020-08-30', 'PE', 'Peru', 'AMRO', '7964', '629961', '194', '28471');
INSERT INTO public.who_import VALUES (68302, '2020-08-31', 'PE', 'Peru', 'AMRO', '9474', '639435', '136', '28607');
INSERT INTO public.who_import VALUES (68303, '2020-09-01', 'PE', 'Peru', 'AMRO', '7731', '647166', '181', '28788');
INSERT INTO public.who_import VALUES (68304, '2020-09-02', 'PE', 'Peru', 'AMRO', '4871', '652037', '156', '28944');
INSERT INTO public.who_import VALUES (68305, '2020-09-03', 'PE', 'Peru', 'AMRO', '5092', '657129', '124', '29068');
INSERT INTO public.who_import VALUES (68306, '2020-09-04', 'PE', 'Peru', 'AMRO', '6308', '663437', '191', '29259');
INSERT INTO public.who_import VALUES (68307, '2020-09-05', 'PE', 'Peru', 'AMRO', '6708', '670145', '146', '29405');
INSERT INTO public.who_import VALUES (68308, '2020-09-06', 'PE', 'Peru', 'AMRO', '6703', '676848', '149', '29554');
INSERT INTO public.who_import VALUES (68309, '2020-09-07', 'PE', 'Peru', 'AMRO', '6854', '683702', '133', '29687');
INSERT INTO public.who_import VALUES (68310, '2020-09-08', 'PE', 'Peru', 'AMRO', '6275', '689977', '151', '29838');
INSERT INTO public.who_import VALUES (68311, '2020-09-09', 'PE', 'Peru', 'AMRO', '1598', '691575', '138', '29976');
INSERT INTO public.who_import VALUES (68312, '2020-09-10', 'PE', 'Peru', 'AMRO', '4615', '696190', '147', '30123');
INSERT INTO public.who_import VALUES (68313, '2020-09-11', 'PE', 'Peru', 'AMRO', '6586', '702776', '113', '30236');
INSERT INTO public.who_import VALUES (68314, '2020-09-12', 'PE', 'Peru', 'AMRO', '7291', '710067', '108', '30344');
INSERT INTO public.who_import VALUES (68315, '2020-09-13', 'PE', 'Peru', 'AMRO', '6603', '716670', '126', '30470');
INSERT INTO public.who_import VALUES (68316, '2020-09-14', 'PE', 'Peru', 'AMRO', '6162', '722832', '123', '30593');
INSERT INTO public.who_import VALUES (68317, '2020-09-15', 'PE', 'Peru', 'AMRO', '6787', '729619', '117', '30710');
INSERT INTO public.who_import VALUES (68318, '2020-09-16', 'PE', 'Peru', 'AMRO', '4241', '733860', '102', '30812');
INSERT INTO public.who_import VALUES (68319, '2020-09-17', 'PE', 'Peru', 'AMRO', '4160', '738020', '115', '30927');
INSERT INTO public.who_import VALUES (68320, '2020-09-18', 'PE', 'Peru', 'AMRO', '6380', '744400', '124', '31051');
INSERT INTO public.who_import VALUES (68321, '2020-09-19', 'PE', 'Peru', 'AMRO', '5698', '750098', '95', '31146');
INSERT INTO public.who_import VALUES (68322, '2020-09-20', 'PE', 'Peru', 'AMRO', '6314', '756412', '137', '31283');
INSERT INTO public.who_import VALUES (68323, '2020-09-21', 'PE', 'Peru', 'AMRO', '6453', '762865', '86', '31369');
INSERT INTO public.who_import VALUES (68324, '2020-09-22', 'PE', 'Peru', 'AMRO', '6030', '768895', '0', '31369');
INSERT INTO public.who_import VALUES (68325, '2020-09-23', 'PE', 'Peru', 'AMRO', '4001', '772896', '105', '31474');
INSERT INTO public.who_import VALUES (68326, '2020-09-24', 'PE', 'Peru', 'AMRO', '3650', '776546', '94', '31568');
INSERT INTO public.who_import VALUES (68327, '2020-09-25', 'PE', 'Peru', 'AMRO', '6149', '782695', '302', '31870');
INSERT INTO public.who_import VALUES (68328, '2020-09-26', 'PE', 'Peru', 'AMRO', '6235', '788930', '68', '31938');
INSERT INTO public.who_import VALUES (68329, '2020-09-27', 'PE', 'Peru', 'AMRO', '5654', '794584', '99', '32037');
INSERT INTO public.who_import VALUES (68330, '2020-09-28', 'PE', 'Peru', 'AMRO', '5558', '800142', '105', '32142');
INSERT INTO public.who_import VALUES (68331, '2020-09-29', 'PE', 'Peru', 'AMRO', '5160', '805302', '120', '32262');
INSERT INTO public.who_import VALUES (68332, '2020-09-30', 'PE', 'Peru', 'AMRO', '3412', '808714', '62', '32324');
INSERT INTO public.who_import VALUES (68333, '2020-10-01', 'PE', 'Peru', 'AMRO', '3054', '811768', '72', '32396');
INSERT INTO public.who_import VALUES (68334, '2020-10-02', 'PE', 'Peru', 'AMRO', '3061', '814829', '67', '32463');
INSERT INTO public.who_import VALUES (68335, '2020-10-03', 'PE', 'Peru', 'AMRO', '3468', '818297', '72', '32535');
INSERT INTO public.who_import VALUES (68336, '2020-10-04', 'PE', 'Peru', 'AMRO', '3267', '821564', '74', '32609');
INSERT INTO public.who_import VALUES (68337, '2020-10-05', 'PE', 'Peru', 'AMRO', '3421', '824985', '56', '32665');
INSERT INTO public.who_import VALUES (68338, '2020-10-06', 'PE', 'Peru', 'AMRO', '3184', '828169', '77', '32742');
INSERT INTO public.who_import VALUES (68339, '2020-10-07', 'PE', 'Peru', 'AMRO', '1830', '829999', '92', '32834');
INSERT INTO public.who_import VALUES (68340, '2020-10-08', 'PE', 'Peru', 'AMRO', '2930', '832929', '80', '32914');
INSERT INTO public.who_import VALUES (68341, '2020-10-09', 'PE', 'Peru', 'AMRO', '2733', '835662', '95', '33009');
INSERT INTO public.who_import VALUES (68342, '2020-10-10', 'PE', 'Peru', 'AMRO', '2952', '838614', '89', '33098');
INSERT INTO public.who_import VALUES (68343, '2020-10-11', 'PE', 'Peru', 'AMRO', '4741', '843355', '60', '33158');
INSERT INTO public.who_import VALUES (68344, '2020-10-12', 'PE', 'Peru', 'AMRO', '2733', '846088', '65', '33223');
INSERT INTO public.who_import VALUES (68345, '2020-10-13', 'PE', 'Peru', 'AMRO', '3283', '849371', '82', '33305');
INSERT INTO public.who_import VALUES (68346, '2020-10-14', 'PE', 'Peru', 'AMRO', '1800', '851171', '52', '33357');
INSERT INTO public.who_import VALUES (68347, '2020-10-15', 'PE', 'Peru', 'AMRO', '2803', '853974', '62', '33419');
INSERT INTO public.who_import VALUES (68348, '2020-10-16', 'PE', 'Peru', 'AMRO', '2977', '856951', '93', '33512');
INSERT INTO public.who_import VALUES (68349, '2020-10-17', 'PE', 'Peru', 'AMRO', '2789', '859740', '65', '33577');
INSERT INTO public.who_import VALUES (68350, '2020-10-18', 'PE', 'Peru', 'AMRO', '2677', '862417', '71', '33648');
INSERT INTO public.who_import VALUES (68351, '2020-10-19', 'PE', 'Peru', 'AMRO', '3132', '865549', '54', '33702');
INSERT INTO public.who_import VALUES (68352, '2020-10-20', 'PE', 'Peru', 'AMRO', '3126', '868675', '57', '33759');
INSERT INTO public.who_import VALUES (68353, '2020-10-21', 'PE', 'Peru', 'AMRO', '2201', '870876', '61', '33820');
INSERT INTO public.who_import VALUES (68354, '2020-10-22', 'PE', 'Peru', 'AMRO', '3242', '874118', '55', '33875');
INSERT INTO public.who_import VALUES (68355, '2020-10-23', 'PE', 'Peru', 'AMRO', '2767', '876885', '62', '33937');
INSERT INTO public.who_import VALUES (68356, '2020-10-24', 'PE', 'Peru', 'AMRO', '2991', '879876', '47', '33984');
INSERT INTO public.who_import VALUES (68357, '2020-10-25', 'PE', 'Peru', 'AMRO', '3240', '883116', '49', '34033');
INSERT INTO public.who_import VALUES (68358, '2020-10-26', 'PE', 'Peru', 'AMRO', '3098', '886214', '62', '34095');
INSERT INTO public.who_import VALUES (68359, '2020-10-27', 'PE', 'Peru', 'AMRO', '2501', '888715', '54', '34149');
INSERT INTO public.who_import VALUES (68360, '2020-10-28', 'PE', 'Peru', 'AMRO', '1859', '890574', '48', '34197');
INSERT INTO public.who_import VALUES (68361, '2020-10-29', 'PE', 'Peru', 'AMRO', '1923', '892497', '60', '34257');
INSERT INTO public.who_import VALUES (68362, '2020-10-30', 'PE', 'Peru', 'AMRO', '2431', '894928', '58', '34315');
INSERT INTO public.who_import VALUES (68363, '2020-10-31', 'PE', 'Peru', 'AMRO', '2666', '897594', '47', '34362');
INSERT INTO public.who_import VALUES (68364, '2020-11-01', 'PE', 'Peru', 'AMRO', '2586', '900180', '49', '34411');
INSERT INTO public.who_import VALUES (68365, '2020-11-02', 'PE', 'Peru', 'AMRO', '2323', '902503', '65', '34476');
INSERT INTO public.who_import VALUES (68366, '2020-11-03', 'PE', 'Peru', 'AMRO', '2408', '904911', '53', '34529');
INSERT INTO public.who_import VALUES (68367, '2020-11-04', 'PE', 'Peru', 'AMRO', '1634', '906545', '56', '34585');
INSERT INTO public.who_import VALUES (68368, '2020-11-05', 'PE', 'Peru', 'AMRO', '2357', '908902', '38', '34623');
INSERT INTO public.who_import VALUES (68369, '2020-11-06', 'PE', 'Peru', 'AMRO', '2885', '911787', '48', '34671');
INSERT INTO public.who_import VALUES (68370, '2020-11-07', 'PE', 'Peru', 'AMRO', '2935', '914722', '59', '34730');
INSERT INTO public.who_import VALUES (68371, '2020-11-08', 'PE', 'Peru', 'AMRO', '2781', '917503', '53', '34783');
INSERT INTO public.who_import VALUES (68372, '2020-11-09', 'PE', 'Peru', 'AMRO', '2507', '920010', '57', '34840');
INSERT INTO public.who_import VALUES (68373, '2020-11-10', 'PE', 'Peru', 'AMRO', '2323', '922333', '39', '34879');
INSERT INTO public.who_import VALUES (68374, '2020-11-11', 'PE', 'Peru', 'AMRO', '1194', '923527', '64', '34943');
INSERT INTO public.who_import VALUES (68375, '2020-11-12', 'PE', 'Peru', 'AMRO', '1904', '925431', '49', '34992');
INSERT INTO public.who_import VALUES (68376, '2020-11-13', 'PE', 'Peru', 'AMRO', '2575', '928006', '39', '35031');
INSERT INTO public.who_import VALUES (68377, '2020-11-14', 'PE', 'Peru', 'AMRO', '2231', '930237', '36', '35067');
INSERT INTO public.who_import VALUES (68378, '2020-11-15', 'PE', 'Peru', 'AMRO', '2413', '932650', '39', '35106');
INSERT INTO public.who_import VALUES (68379, '2020-11-16', 'PE', 'Peru', 'AMRO', '2249', '934899', '71', '35177');
INSERT INTO public.who_import VALUES (68380, '2020-11-17', 'PE', 'Peru', 'AMRO', '2112', '937011', '54', '35231');
INSERT INTO public.who_import VALUES (68381, '2020-11-18', 'PE', 'Peru', 'AMRO', '1257', '938268', '40', '35271');
INSERT INTO public.who_import VALUES (68382, '2020-11-19', 'PE', 'Peru', 'AMRO', '1663', '939931', '46', '35317');
INSERT INTO public.who_import VALUES (68383, '2020-11-20', 'PE', 'Peru', 'AMRO', '2020', '941951', '85', '35402');
INSERT INTO public.who_import VALUES (68384, '2020-11-21', 'PE', 'Peru', 'AMRO', '1966', '943917', '44', '35446');
INSERT INTO public.who_import VALUES (68385, '2020-11-22', 'PE', 'Peru', 'AMRO', '2170', '946087', '38', '35484');
INSERT INTO public.who_import VALUES (68386, '2020-11-23', 'PE', 'Peru', 'AMRO', '1994', '948081', '65', '35549');
INSERT INTO public.who_import VALUES (68387, '2020-11-24', 'PE', 'Peru', 'AMRO', '1589', '949670', '46', '35595');
INSERT INTO public.who_import VALUES (68388, '2020-11-25', 'PE', 'Peru', 'AMRO', '887', '950557', '46', '35641');
INSERT INTO public.who_import VALUES (68389, '2020-11-26', 'PE', 'Peru', 'AMRO', '1882', '952439', '44', '35685');
INSERT INTO public.who_import VALUES (68390, '2020-11-27', 'PE', 'Peru', 'AMRO', '2020', '954459', '42', '35727');
INSERT INTO public.who_import VALUES (68391, '2020-11-28', 'PE', 'Peru', 'AMRO', '1888', '956347', '58', '35785');
INSERT INTO public.who_import VALUES (68392, '2020-11-29', 'PE', 'Peru', 'AMRO', '1977', '958324', '54', '35839');
INSERT INTO public.who_import VALUES (68393, '2020-11-30', 'PE', 'Peru', 'AMRO', '2044', '960368', '40', '35879');
INSERT INTO public.who_import VALUES (68394, '2020-12-01', 'PE', 'Peru', 'AMRO', '2162', '962530', '44', '35923');
INSERT INTO public.who_import VALUES (68395, '2020-12-02', 'PE', 'Peru', 'AMRO', '1075', '963605', '43', '35966');
INSERT INTO public.who_import VALUES (68396, '2020-12-03', 'PE', 'Peru', 'AMRO', '1623', '965228', '65', '36031');
INSERT INTO public.who_import VALUES (68397, '2020-12-04', 'PE', 'Peru', 'AMRO', '1847', '967075', '45', '36076');
INSERT INTO public.who_import VALUES (68398, '2020-12-05', 'PE', 'Peru', 'AMRO', '1771', '968846', '28', '36104');
INSERT INTO public.who_import VALUES (68399, '2020-12-06', 'PE', 'Peru', 'AMRO', '2014', '970860', '91', '36195');
INSERT INTO public.who_import VALUES (68400, '2020-12-07', 'PE', 'Peru', 'AMRO', '1828', '972688', '36', '36231');
INSERT INTO public.who_import VALUES (68401, '2020-12-08', 'PE', 'Peru', 'AMRO', '1224', '973912', '43', '36274');
INSERT INTO public.who_import VALUES (68402, '2020-12-09', 'PE', 'Peru', 'AMRO', '1204', '975116', '50', '36324');
INSERT INTO public.who_import VALUES (68403, '2020-12-10', 'PE', 'Peru', 'AMRO', '1505', '976621', '77', '36401');
INSERT INTO public.who_import VALUES (68404, '2020-12-11', 'PE', 'Peru', 'AMRO', '691', '977312', '54', '36455');
INSERT INTO public.who_import VALUES (68405, '2020-12-12', 'PE', 'Peru', 'AMRO', '1799', '979111', '44', '36499');
INSERT INTO public.who_import VALUES (68406, '2020-12-13', 'PE', 'Peru', 'AMRO', '1832', '980943', '45', '36544');
INSERT INTO public.who_import VALUES (68407, '2020-12-14', 'PE', 'Peru', 'AMRO', '2102', '983045', '65', '36609');
INSERT INTO public.who_import VALUES (68408, '2020-12-15', 'PE', 'Peru', 'AMRO', '1928', '984973', '68', '36677');
INSERT INTO public.who_import VALUES (68409, '2020-12-16', 'PE', 'Peru', 'AMRO', '1157', '986130', '77', '36754');
INSERT INTO public.who_import VALUES (68410, '2020-12-17', 'PE', 'Peru', 'AMRO', '1545', '987675', '63', '36817');
INSERT INTO public.who_import VALUES (68411, '2020-12-18', 'PE', 'Peru', 'AMRO', '1782', '989457', '41', '36858');
INSERT INTO public.who_import VALUES (68412, '2020-12-19', 'PE', 'Peru', 'AMRO', '2061', '991518', '43', '36901');
INSERT INTO public.who_import VALUES (68413, '2020-12-20', 'PE', 'Peru', 'AMRO', '2242', '993760', '68', '36969');
INSERT INTO public.who_import VALUES (68414, '2020-12-21', 'PE', 'Peru', 'AMRO', '2139', '995899', '65', '37034');
INSERT INTO public.who_import VALUES (68415, '2020-12-22', 'PE', 'Peru', 'AMRO', '1618', '997517', '69', '37103');
INSERT INTO public.who_import VALUES (68416, '2020-12-23', 'PE', 'Peru', 'AMRO', '958', '998475', '70', '37173');
INSERT INTO public.who_import VALUES (68417, '2020-12-24', 'PE', 'Peru', 'AMRO', '1678', '1000153', '45', '37218');
INSERT INTO public.who_import VALUES (68418, '2020-12-25', 'PE', 'Peru', 'AMRO', '3829', '1003982', '99', '37317');
INSERT INTO public.who_import VALUES (68419, '2020-12-26', 'PE', 'Peru', 'AMRO', '0', '1003982', '0', '37317');
INSERT INTO public.who_import VALUES (68420, '2020-12-27', 'PE', 'Peru', 'AMRO', '1564', '1005546', '51', '37368');
INSERT INTO public.who_import VALUES (68421, '2020-12-28', 'PE', 'Peru', 'AMRO', '772', '1006318', '46', '37414');
INSERT INTO public.who_import VALUES (68422, '2020-12-29', 'PE', 'Peru', 'AMRO', '1339', '1007657', '60', '37474');
INSERT INTO public.who_import VALUES (68423, '2020-12-30', 'PE', 'Peru', 'AMRO', '1251', '1008908', '51', '37525');
INSERT INTO public.who_import VALUES (68424, '2020-12-31', 'PE', 'Peru', 'AMRO', '1588', '1010496', '49', '37574');
INSERT INTO public.who_import VALUES (68425, '2021-01-01', 'PE', 'Peru', 'AMRO', '2118', '1012614', '47', '37621');
INSERT INTO public.who_import VALUES (68426, '2021-01-02', 'PE', 'Peru', 'AMRO', '2523', '1015137', '59', '37680');
INSERT INTO public.who_import VALUES (68427, '2021-01-03', 'PE', 'Peru', 'AMRO', '2062', '1017199', '44', '37724');
INSERT INTO public.who_import VALUES (68428, '2021-01-04', 'PE', 'Peru', 'AMRO', '900', '1018099', '49', '37773');
INSERT INTO public.who_import VALUES (68429, '2021-01-05', 'PE', 'Peru', 'AMRO', '1376', '1019475', '57', '37830');
INSERT INTO public.who_import VALUES (68430, '2021-01-06', 'PE', 'Peru', 'AMRO', '1583', '1021058', '43', '37873');
INSERT INTO public.who_import VALUES (68431, '2021-01-07', 'PE', 'Peru', 'AMRO', '960', '1022018', '52', '37925');
INSERT INTO public.who_import VALUES (68432, '2021-01-08', 'PE', 'Peru', 'AMRO', '2414', '1024432', '66', '37991');
INSERT INTO public.who_import VALUES (68433, '2021-01-09', 'PE', 'Peru', 'AMRO', '2258', '1026690', '58', '38049');
INSERT INTO public.who_import VALUES (68434, '2021-01-10', 'PE', 'Peru', 'AMRO', '2781', '1029471', '96', '38145');
INSERT INTO public.who_import VALUES (68435, '2021-01-11', 'PE', 'Peru', 'AMRO', '2804', '1032275', '68', '38213');
INSERT INTO public.who_import VALUES (68436, '2021-01-12', 'PE', 'Peru', 'AMRO', '2909', '1035184', '67', '38280');
INSERT INTO public.who_import VALUES (68437, '2021-01-13', 'PE', 'Peru', 'AMRO', '2166', '1037350', '55', '38335');
INSERT INTO public.who_import VALUES (68438, '2021-01-14', 'PE', 'Peru', 'AMRO', '2881', '1040231', '4', '38339');
INSERT INTO public.who_import VALUES (68439, '2021-01-15', 'PE', 'Peru', 'AMRO', '3409', '1043640', '134', '38473');
INSERT INTO public.who_import VALUES (68440, '2021-01-16', 'PE', 'Peru', 'AMRO', '5022', '1048662', '91', '38564');
INSERT INTO public.who_import VALUES (68441, '2021-01-17', 'PE', 'Peru', 'AMRO', '7361', '1056023', '90', '38654');
INSERT INTO public.who_import VALUES (68442, '2021-01-18', 'PE', 'Peru', 'AMRO', '4544', '1060567', '116', '38770');
INSERT INTO public.who_import VALUES (68443, '2021-01-19', 'PE', 'Peru', 'AMRO', '4342', '1064909', '101', '38871');
INSERT INTO public.who_import VALUES (68444, '2021-01-20', 'PE', 'Peru', 'AMRO', '3893', '1068802', '60', '38931');
INSERT INTO public.who_import VALUES (68445, '2021-01-21', 'PE', 'Peru', 'AMRO', '4412', '1073214', '113', '39044');
INSERT INTO public.who_import VALUES (68446, '2021-01-22', 'PE', 'Peru', 'AMRO', '5461', '1078675', '113', '39157');
INSERT INTO public.who_import VALUES (68447, '2021-01-23', 'PE', 'Peru', 'AMRO', '4232', '1082907', '117', '39274');
INSERT INTO public.who_import VALUES (68448, '2021-01-24', 'PE', 'Peru', 'AMRO', '5189', '1088096', '153', '39427');
INSERT INTO public.who_import VALUES (68449, '2021-01-25', 'PE', 'Peru', 'AMRO', '5842', '1093938', '181', '39608');
INSERT INTO public.who_import VALUES (68450, '2021-01-26', 'PE', 'Peru', 'AMRO', '5075', '1099013', '169', '39777');
INSERT INTO public.who_import VALUES (68451, '2021-01-27', 'PE', 'Peru', 'AMRO', '3782', '1102795', '110', '39887');
INSERT INTO public.who_import VALUES (68452, '2021-01-28', 'PE', 'Peru', 'AMRO', '4444', '1107239', '220', '40107');
INSERT INTO public.who_import VALUES (68453, '2021-01-29', 'PE', 'Peru', 'AMRO', '6731', '1113970', '165', '40272');
INSERT INTO public.who_import VALUES (68454, '2021-01-30', 'PE', 'Peru', 'AMRO', '5715', '1119685', '212', '40484');
INSERT INTO public.who_import VALUES (68455, '2021-01-31', 'PE', 'Peru', 'AMRO', '6190', '1125875', '202', '40686');
INSERT INTO public.who_import VALUES (68456, '2021-02-01', 'PE', 'Peru', 'AMRO', '7147', '1133022', '171', '40857');
INSERT INTO public.who_import VALUES (68457, '2021-02-02', 'PE', 'Peru', 'AMRO', '5217', '1138239', '169', '41026');
INSERT INTO public.who_import VALUES (68458, '2021-02-03', 'PE', 'Peru', 'AMRO', '4477', '1142716', '155', '41181');
INSERT INTO public.who_import VALUES (68459, '2021-02-04', 'PE', 'Peru', 'AMRO', '7048', '1149764', '173', '41354');
INSERT INTO public.who_import VALUES (68460, '2021-02-05', 'PE', 'Peru', 'AMRO', '8573', '1158337', '184', '41538');
INSERT INTO public.who_import VALUES (68461, '2021-02-06', 'PE', 'Peru', 'AMRO', '6715', '1165052', '215', '41753');
INSERT INTO public.who_import VALUES (68462, '2021-02-07', 'PE', 'Peru', 'AMRO', '7993', '1173045', '180', '41933');
INSERT INTO public.who_import VALUES (68463, '2021-02-08', 'PE', 'Peru', 'AMRO', '7433', '1180478', '188', '42121');
INSERT INTO public.who_import VALUES (68464, '2021-02-09', 'PE', 'Peru', 'AMRO', '6220', '1186698', '187', '42308');
INSERT INTO public.who_import VALUES (68465, '2021-02-10', 'PE', 'Peru', 'AMRO', '4523', '1191221', '159', '42467');
INSERT INTO public.who_import VALUES (68466, '2021-02-11', 'PE', 'Peru', 'AMRO', '5557', '1196778', '159', '42626');
INSERT INTO public.who_import VALUES (68467, '2021-02-12', 'PE', 'Peru', 'AMRO', '6724', '1203502', '233', '42859');
INSERT INTO public.who_import VALUES (68468, '2021-02-13', 'PE', 'Peru', 'AMRO', '8807', '1212309', '186', '43045');
INSERT INTO public.who_import VALUES (68469, '2021-02-14', 'PE', 'Peru', 'AMRO', '8439', '1220748', '210', '43255');
INSERT INTO public.who_import VALUES (68470, '2021-02-15', 'PE', 'Peru', 'AMRO', '6457', '1227205', '236', '43491');
INSERT INTO public.who_import VALUES (68471, '2021-02-16', 'PE', 'Peru', 'AMRO', '8093', '1235298', '212', '43703');
INSERT INTO public.who_import VALUES (68472, '2021-02-17', 'PE', 'Peru', 'AMRO', '3203', '1238501', '177', '43880');
INSERT INTO public.who_import VALUES (68473, '2021-02-18', 'PE', 'Peru', 'AMRO', '6228', '1244729', '176', '44056');
INSERT INTO public.who_import VALUES (68474, '2021-02-19', 'PE', 'Peru', 'AMRO', '7408', '1252137', '252', '44308');
INSERT INTO public.who_import VALUES (68475, '2021-02-20', 'PE', 'Peru', 'AMRO', '9667', '1261804', '181', '44489');
INSERT INTO public.who_import VALUES (68476, '2020-01-03', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68477, '2020-01-04', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68478, '2020-01-05', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68479, '2020-01-06', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68480, '2020-01-07', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68481, '2020-01-08', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68482, '2020-01-09', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68483, '2020-01-10', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68484, '2020-01-11', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68485, '2020-01-12', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68486, '2020-01-13', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68487, '2020-01-14', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68488, '2020-01-15', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68489, '2020-01-16', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68490, '2020-01-17', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68491, '2020-01-18', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68492, '2020-01-19', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68493, '2020-01-20', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68494, '2020-01-21', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68495, '2020-01-22', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68496, '2020-01-23', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68497, '2020-01-24', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68498, '2020-01-25', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68499, '2020-01-26', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68500, '2020-01-27', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68501, '2020-01-28', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68502, '2020-01-29', 'PH', 'Philippines', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68503, '2020-01-30', 'PH', 'Philippines', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (68504, '2020-01-31', 'PH', 'Philippines', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (68505, '2020-02-01', 'PH', 'Philippines', 'WPRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (68506, '2020-02-02', 'PH', 'Philippines', 'WPRO', '0', '6', '1', '1');
INSERT INTO public.who_import VALUES (68507, '2020-02-03', 'PH', 'Philippines', 'WPRO', '0', '6', '0', '1');
INSERT INTO public.who_import VALUES (68508, '2020-02-04', 'PH', 'Philippines', 'WPRO', '1', '7', '0', '1');
INSERT INTO public.who_import VALUES (68509, '2020-02-05', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68510, '2020-02-06', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68511, '2020-02-07', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68512, '2020-02-08', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68513, '2020-02-09', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68514, '2020-02-10', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68515, '2020-02-11', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68516, '2020-02-12', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68517, '2020-02-13', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68518, '2020-02-14', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68519, '2020-02-15', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68520, '2020-02-16', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68521, '2020-02-17', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68522, '2020-02-18', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68523, '2020-02-19', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68524, '2020-02-20', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68525, '2020-02-21', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68526, '2020-02-22', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68527, '2020-02-23', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68528, '2020-02-24', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68529, '2020-02-25', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68530, '2020-02-26', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68531, '2020-02-27', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68532, '2020-02-28', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68533, '2020-02-29', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68534, '2020-03-01', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68535, '2020-03-02', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68536, '2020-03-03', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68537, '2020-03-04', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68538, '2020-03-05', 'PH', 'Philippines', 'WPRO', '0', '7', '0', '1');
INSERT INTO public.who_import VALUES (68539, '2020-03-06', 'PH', 'Philippines', 'WPRO', '2', '9', '0', '1');
INSERT INTO public.who_import VALUES (68540, '2020-03-07', 'PH', 'Philippines', 'WPRO', '1', '10', '0', '1');
INSERT INTO public.who_import VALUES (68541, '2020-03-08', 'PH', 'Philippines', 'WPRO', '4', '14', '0', '1');
INSERT INTO public.who_import VALUES (68542, '2020-03-09', 'PH', 'Philippines', 'WPRO', '14', '28', '0', '1');
INSERT INTO public.who_import VALUES (68543, '2020-03-10', 'PH', 'Philippines', 'WPRO', '9', '37', '0', '1');
INSERT INTO public.who_import VALUES (68544, '2020-03-11', 'PH', 'Philippines', 'WPRO', '16', '53', '0', '1');
INSERT INTO public.who_import VALUES (68545, '2020-03-12', 'PH', 'Philippines', 'WPRO', '3', '56', '1', '2');
INSERT INTO public.who_import VALUES (68546, '2020-03-13', 'PH', 'Philippines', 'WPRO', '0', '56', '0', '2');
INSERT INTO public.who_import VALUES (68547, '2020-03-14', 'PH', 'Philippines', 'WPRO', '12', '68', '0', '2');
INSERT INTO public.who_import VALUES (68548, '2020-03-15', 'PH', 'Philippines', 'WPRO', '76', '144', '10', '12');
INSERT INTO public.who_import VALUES (68549, '2020-03-16', 'PH', 'Philippines', 'WPRO', '2', '146', '0', '12');
INSERT INTO public.who_import VALUES (68550, '2020-03-17', 'PH', 'Philippines', 'WPRO', '45', '191', '0', '12');
INSERT INTO public.who_import VALUES (68551, '2020-03-18', 'PH', 'Philippines', 'WPRO', '0', '191', '2', '14');
INSERT INTO public.who_import VALUES (68552, '2020-03-19', 'PH', 'Philippines', 'WPRO', '26', '217', '3', '17');
INSERT INTO public.who_import VALUES (68553, '2020-03-20', 'PH', 'Philippines', 'WPRO', '13', '230', '1', '18');
INSERT INTO public.who_import VALUES (68554, '2020-03-21', 'PH', 'Philippines', 'WPRO', '77', '307', '1', '19');
INSERT INTO public.who_import VALUES (68555, '2020-03-22', 'PH', 'Philippines', 'WPRO', '73', '380', '6', '25');
INSERT INTO public.who_import VALUES (68556, '2020-03-23', 'PH', 'Philippines', 'WPRO', '16', '396', '8', '33');
INSERT INTO public.who_import VALUES (68557, '2020-03-24', 'PH', 'Philippines', 'WPRO', '66', '462', '0', '33');
INSERT INTO public.who_import VALUES (68558, '2020-03-25', 'PH', 'Philippines', 'WPRO', '174', '636', '5', '38');
INSERT INTO public.who_import VALUES (68559, '2020-03-26', 'PH', 'Philippines', 'WPRO', '71', '707', '7', '45');
INSERT INTO public.who_import VALUES (68560, '2020-03-27', 'PH', 'Philippines', 'WPRO', '0', '707', '0', '45');
INSERT INTO public.who_import VALUES (68561, '2020-03-28', 'PH', 'Philippines', 'WPRO', '368', '1075', '23', '68');
INSERT INTO public.who_import VALUES (68562, '2020-03-29', 'PH', 'Philippines', 'WPRO', '0', '1075', '0', '68');
INSERT INTO public.who_import VALUES (68563, '2020-03-30', 'PH', 'Philippines', 'WPRO', '471', '1546', '10', '78');
INSERT INTO public.who_import VALUES (68564, '2020-03-31', 'PH', 'Philippines', 'WPRO', '0', '1546', '0', '78');
INSERT INTO public.who_import VALUES (68565, '2020-04-01', 'PH', 'Philippines', 'WPRO', '765', '2311', '18', '96');
INSERT INTO public.who_import VALUES (68566, '2020-04-02', 'PH', 'Philippines', 'WPRO', '0', '2311', '0', '96');
INSERT INTO public.who_import VALUES (68567, '2020-04-03', 'PH', 'Philippines', 'WPRO', '322', '2633', '11', '107');
INSERT INTO public.who_import VALUES (68568, '2020-04-04', 'PH', 'Philippines', 'WPRO', '385', '3018', '29', '136');
INSERT INTO public.who_import VALUES (68569, '2020-04-05', 'PH', 'Philippines', 'WPRO', '76', '3094', '8', '144');
INSERT INTO public.who_import VALUES (68570, '2020-04-06', 'PH', 'Philippines', 'WPRO', '152', '3246', '8', '152');
INSERT INTO public.who_import VALUES (68571, '2020-04-07', 'PH', 'Philippines', 'WPRO', '414', '3660', '11', '163');
INSERT INTO public.who_import VALUES (68572, '2020-04-08', 'PH', 'Philippines', 'WPRO', '210', '3870', '19', '182');
INSERT INTO public.who_import VALUES (68573, '2020-04-09', 'PH', 'Philippines', 'WPRO', '206', '4076', '21', '203');
INSERT INTO public.who_import VALUES (68574, '2020-04-10', 'PH', 'Philippines', 'WPRO', '0', '4076', '0', '203');
INSERT INTO public.who_import VALUES (68575, '2020-04-11', 'PH', 'Philippines', 'WPRO', '352', '4428', '44', '247');
INSERT INTO public.who_import VALUES (68576, '2020-04-12', 'PH', 'Philippines', 'WPRO', '220', '4648', '50', '297');
INSERT INTO public.who_import VALUES (68577, '2020-04-13', 'PH', 'Philippines', 'WPRO', '284', '4932', '18', '315');
INSERT INTO public.who_import VALUES (68578, '2020-04-14', 'PH', 'Philippines', 'WPRO', '291', '5223', '20', '335');
INSERT INTO public.who_import VALUES (68579, '2020-04-15', 'PH', 'Philippines', 'WPRO', '0', '5223', '0', '335');
INSERT INTO public.who_import VALUES (68580, '2020-04-16', 'PH', 'Philippines', 'WPRO', '437', '5660', '27', '362');
INSERT INTO public.who_import VALUES (68581, '2020-04-17', 'PH', 'Philippines', 'WPRO', '0', '5660', '0', '362');
INSERT INTO public.who_import VALUES (68582, '2020-04-18', 'PH', 'Philippines', 'WPRO', '218', '5878', '25', '387');
INSERT INTO public.who_import VALUES (68583, '2020-04-19', 'PH', 'Philippines', 'WPRO', '209', '6087', '10', '397');
INSERT INTO public.who_import VALUES (68584, '2020-04-20', 'PH', 'Philippines', 'WPRO', '172', '6259', '12', '409');
INSERT INTO public.who_import VALUES (68585, '2020-04-21', 'PH', 'Philippines', 'WPRO', '200', '6459', '19', '428');
INSERT INTO public.who_import VALUES (68586, '2020-04-22', 'PH', 'Philippines', 'WPRO', '140', '6599', '9', '437');
INSERT INTO public.who_import VALUES (68587, '2020-04-23', 'PH', 'Philippines', 'WPRO', '111', '6710', '9', '446');
INSERT INTO public.who_import VALUES (68588, '2020-04-24', 'PH', 'Philippines', 'WPRO', '271', '6981', '16', '462');
INSERT INTO public.who_import VALUES (68589, '2020-04-25', 'PH', 'Philippines', 'WPRO', '211', '7192', '15', '477');
INSERT INTO public.who_import VALUES (68590, '2020-04-26', 'PH', 'Philippines', 'WPRO', '102', '7294', '17', '494');
INSERT INTO public.who_import VALUES (68591, '2020-04-27', 'PH', 'Philippines', 'WPRO', '285', '7579', '7', '501');
INSERT INTO public.who_import VALUES (68592, '2020-04-28', 'PH', 'Philippines', 'WPRO', '198', '7777', '10', '511');
INSERT INTO public.who_import VALUES (68593, '2020-04-29', 'PH', 'Philippines', 'WPRO', '181', '7958', '19', '530');
INSERT INTO public.who_import VALUES (68594, '2020-04-30', 'PH', 'Philippines', 'WPRO', '254', '8212', '28', '558');
INSERT INTO public.who_import VALUES (68595, '2020-05-01', 'PH', 'Philippines', 'WPRO', '276', '8488', '10', '568');
INSERT INTO public.who_import VALUES (68596, '2020-05-02', 'PH', 'Philippines', 'WPRO', '284', '8772', '11', '579');
INSERT INTO public.who_import VALUES (68597, '2020-05-03', 'PH', 'Philippines', 'WPRO', '156', '8928', '24', '603');
INSERT INTO public.who_import VALUES (68598, '2020-05-04', 'PH', 'Philippines', 'WPRO', '295', '9223', '4', '607');
INSERT INTO public.who_import VALUES (68599, '2020-05-05', 'PH', 'Philippines', 'WPRO', '262', '9485', '16', '623');
INSERT INTO public.who_import VALUES (68600, '2020-05-06', 'PH', 'Philippines', 'WPRO', '199', '9684', '14', '637');
INSERT INTO public.who_import VALUES (68601, '2020-05-07', 'PH', 'Philippines', 'WPRO', '320', '10004', '21', '658');
INSERT INTO public.who_import VALUES (68602, '2020-05-08', 'PH', 'Philippines', 'WPRO', '339', '10343', '27', '685');
INSERT INTO public.who_import VALUES (68603, '2020-05-09', 'PH', 'Philippines', 'WPRO', '120', '10463', '11', '696');
INSERT INTO public.who_import VALUES (68604, '2020-05-10', 'PH', 'Philippines', 'WPRO', '147', '10610', '8', '704');
INSERT INTO public.who_import VALUES (68605, '2020-05-11', 'PH', 'Philippines', 'WPRO', '184', '10794', '15', '719');
INSERT INTO public.who_import VALUES (68606, '2020-05-12', 'PH', 'Philippines', 'WPRO', '292', '11086', '7', '726');
INSERT INTO public.who_import VALUES (68607, '2020-05-13', 'PH', 'Philippines', 'WPRO', '264', '11350', '25', '751');
INSERT INTO public.who_import VALUES (68608, '2020-05-14', 'PH', 'Philippines', 'WPRO', '268', '11618', '21', '772');
INSERT INTO public.who_import VALUES (68609, '2020-05-15', 'PH', 'Philippines', 'WPRO', '258', '11876', '18', '790');
INSERT INTO public.who_import VALUES (68610, '2020-05-16', 'PH', 'Philippines', 'WPRO', '429', '12305', '27', '817');
INSERT INTO public.who_import VALUES (68611, '2020-05-17', 'PH', 'Philippines', 'WPRO', '208', '12513', '7', '824');
INSERT INTO public.who_import VALUES (68612, '2020-05-18', 'PH', 'Philippines', 'WPRO', '205', '12718', '7', '831');
INSERT INTO public.who_import VALUES (68613, '2020-05-19', 'PH', 'Philippines', 'WPRO', '0', '12718', '0', '831');
INSERT INTO public.who_import VALUES (68614, '2020-05-20', 'PH', 'Philippines', 'WPRO', '224', '12942', '6', '837');
INSERT INTO public.who_import VALUES (68615, '2020-05-21', 'PH', 'Philippines', 'WPRO', '492', '13434', '9', '846');
INSERT INTO public.who_import VALUES (68616, '2020-05-22', 'PH', 'Philippines', 'WPRO', '163', '13597', '11', '857');
INSERT INTO public.who_import VALUES (68617, '2020-05-23', 'PH', 'Philippines', 'WPRO', '0', '13597', '0', '857');
INSERT INTO public.who_import VALUES (68618, '2020-05-24', 'PH', 'Philippines', 'WPRO', '180', '13777', '6', '863');
INSERT INTO public.who_import VALUES (68619, '2020-05-25', 'PH', 'Philippines', 'WPRO', '258', '14035', '5', '868');
INSERT INTO public.who_import VALUES (68620, '2020-05-26', 'PH', 'Philippines', 'WPRO', '284', '14319', '5', '873');
INSERT INTO public.who_import VALUES (68621, '2020-05-27', 'PH', 'Philippines', 'WPRO', '350', '14669', '13', '886');
INSERT INTO public.who_import VALUES (68622, '2020-05-28', 'PH', 'Philippines', 'WPRO', '380', '15049', '18', '904');
INSERT INTO public.who_import VALUES (68623, '2020-05-29', 'PH', 'Philippines', 'WPRO', '539', '15588', '17', '921');
INSERT INTO public.who_import VALUES (68624, '2020-05-30', 'PH', 'Philippines', 'WPRO', '1046', '16634', '21', '942');
INSERT INTO public.who_import VALUES (68625, '2020-05-31', 'PH', 'Philippines', 'WPRO', '1452', '18086', '15', '957');
INSERT INTO public.who_import VALUES (68626, '2020-06-01', 'PH', 'Philippines', 'WPRO', '0', '18086', '0', '957');
INSERT INTO public.who_import VALUES (68627, '2020-06-02', 'PH', 'Philippines', 'WPRO', '552', '18638', '3', '960');
INSERT INTO public.who_import VALUES (68628, '2020-06-03', 'PH', 'Philippines', 'WPRO', '359', '18997', '6', '966');
INSERT INTO public.who_import VALUES (68629, '2020-06-04', 'PH', 'Philippines', 'WPRO', '751', '19748', '8', '974');
INSERT INTO public.who_import VALUES (68630, '2020-06-05', 'PH', 'Philippines', 'WPRO', '634', '20382', '10', '984');
INSERT INTO public.who_import VALUES (68631, '2020-06-06', 'PH', 'Philippines', 'WPRO', '244', '20626', '3', '987');
INSERT INTO public.who_import VALUES (68632, '2020-06-07', 'PH', 'Philippines', 'WPRO', '714', '21340', '7', '994');
INSERT INTO public.who_import VALUES (68633, '2020-06-08', 'PH', 'Philippines', 'WPRO', '555', '21895', '9', '1003');
INSERT INTO public.who_import VALUES (68634, '2020-06-09', 'PH', 'Philippines', 'WPRO', '579', '22474', '8', '1011');
INSERT INTO public.who_import VALUES (68635, '2020-06-10', 'PH', 'Philippines', 'WPRO', '518', '22992', '6', '1017');
INSERT INTO public.who_import VALUES (68636, '2020-06-11', 'PH', 'Philippines', 'WPRO', '740', '23732', '10', '1027');
INSERT INTO public.who_import VALUES (68637, '2020-06-12', 'PH', 'Philippines', 'WPRO', '443', '24175', '9', '1036');
INSERT INTO public.who_import VALUES (68638, '2020-06-13', 'PH', 'Philippines', 'WPRO', '612', '24787', '16', '1052');
INSERT INTO public.who_import VALUES (68639, '2020-06-14', 'PH', 'Philippines', 'WPRO', '605', '25392', '22', '1074');
INSERT INTO public.who_import VALUES (68640, '2020-06-15', 'PH', 'Philippines', 'WPRO', '538', '25930', '14', '1088');
INSERT INTO public.who_import VALUES (68641, '2020-06-16', 'PH', 'Philippines', 'WPRO', '490', '26420', '10', '1098');
INSERT INTO public.who_import VALUES (68642, '2020-06-17', 'PH', 'Philippines', 'WPRO', '361', '26781', '5', '1103');
INSERT INTO public.who_import VALUES (68643, '2020-06-18', 'PH', 'Philippines', 'WPRO', '457', '27238', '5', '1108');
INSERT INTO public.who_import VALUES (68644, '2020-06-19', 'PH', 'Philippines', 'WPRO', '561', '27799', '8', '1116');
INSERT INTO public.who_import VALUES (68645, '2020-06-20', 'PH', 'Philippines', 'WPRO', '660', '28459', '14', '1130');
INSERT INTO public.who_import VALUES (68646, '2020-06-21', 'PH', 'Philippines', 'WPRO', '941', '29400', '20', '1150');
INSERT INTO public.who_import VALUES (68647, '2020-06-22', 'PH', 'Philippines', 'WPRO', '652', '30052', '19', '1169');
INSERT INTO public.who_import VALUES (68648, '2020-06-23', 'PH', 'Philippines', 'WPRO', '630', '30682', '8', '1177');
INSERT INTO public.who_import VALUES (68649, '2020-06-24', 'PH', 'Philippines', 'WPRO', '1143', '31825', '9', '1186');
INSERT INTO public.who_import VALUES (68650, '2020-06-25', 'PH', 'Philippines', 'WPRO', '470', '32295', '18', '1204');
INSERT INTO public.who_import VALUES (68651, '2020-06-26', 'PH', 'Philippines', 'WPRO', '774', '33069', '8', '1212');
INSERT INTO public.who_import VALUES (68652, '2020-06-27', 'PH', 'Philippines', 'WPRO', '1004', '34073', '12', '1224');
INSERT INTO public.who_import VALUES (68653, '2020-06-28', 'PH', 'Philippines', 'WPRO', '730', '34803', '12', '1236');
INSERT INTO public.who_import VALUES (68654, '2020-06-29', 'PH', 'Philippines', 'WPRO', '652', '35455', '8', '1244');
INSERT INTO public.who_import VALUES (68655, '2020-06-30', 'PH', 'Philippines', 'WPRO', '983', '36438', '11', '1255');
INSERT INTO public.who_import VALUES (68656, '2020-07-01', 'PH', 'Philippines', 'WPRO', '1076', '37514', '11', '1266');
INSERT INTO public.who_import VALUES (68657, '2020-07-02', 'PH', 'Philippines', 'WPRO', '997', '38511', '4', '1270');
INSERT INTO public.who_import VALUES (68658, '2020-07-03', 'PH', 'Philippines', 'WPRO', '294', '38805', '4', '1274');
INSERT INTO public.who_import VALUES (68659, '2020-07-04', 'PH', 'Philippines', 'WPRO', '1531', '40336', '6', '1280');
INSERT INTO public.who_import VALUES (68660, '2020-07-05', 'PH', 'Philippines', 'WPRO', '1494', '41830', '10', '1290');
INSERT INTO public.who_import VALUES (68661, '2020-07-06', 'PH', 'Philippines', 'WPRO', '2424', '44254', '7', '1297');
INSERT INTO public.who_import VALUES (68662, '2020-07-07', 'PH', 'Philippines', 'WPRO', '2079', '46333', '6', '1303');
INSERT INTO public.who_import VALUES (68663, '2020-07-08', 'PH', 'Philippines', 'WPRO', '1540', '47873', '6', '1309');
INSERT INTO public.who_import VALUES (68664, '2020-07-09', 'PH', 'Philippines', 'WPRO', '2486', '50359', '5', '1314');
INSERT INTO public.who_import VALUES (68665, '2020-07-10', 'PH', 'Philippines', 'WPRO', '1395', '51754', '4', '1318');
INSERT INTO public.who_import VALUES (68666, '2020-07-11', 'PH', 'Philippines', 'WPRO', '1160', '52914', '42', '1360');
INSERT INTO public.who_import VALUES (68667, '2020-07-12', 'PH', 'Philippines', 'WPRO', '1308', '54222', '12', '1372');
INSERT INTO public.who_import VALUES (68668, '2020-07-13', 'PH', 'Philippines', 'WPRO', '2037', '56259', '162', '1534');
INSERT INTO public.who_import VALUES (68669, '2020-07-14', 'PH', 'Philippines', 'WPRO', '747', '57006', '65', '1599');
INSERT INTO public.who_import VALUES (68670, '2020-07-15', 'PH', 'Philippines', 'WPRO', '539', '57545', '4', '1603');
INSERT INTO public.who_import VALUES (68671, '2020-07-16', 'PH', 'Philippines', 'WPRO', '1305', '58850', '11', '1614');
INSERT INTO public.who_import VALUES (68672, '2020-07-17', 'PH', 'Philippines', 'WPRO', '2416', '61266', '29', '1643');
INSERT INTO public.who_import VALUES (68673, '2020-07-18', 'PH', 'Philippines', 'WPRO', '1735', '63001', '17', '1660');
INSERT INTO public.who_import VALUES (68674, '2020-07-19', 'PH', 'Philippines', 'WPRO', '2303', '65304', '113', '1773');
INSERT INTO public.who_import VALUES (68675, '2020-07-20', 'PH', 'Philippines', 'WPRO', '2152', '67456', '58', '1831');
INSERT INTO public.who_import VALUES (68676, '2020-07-21', 'PH', 'Philippines', 'WPRO', '1442', '68898', '4', '1835');
INSERT INTO public.who_import VALUES (68677, '2020-07-22', 'PH', 'Philippines', 'WPRO', '1866', '70764', '2', '1837');
INSERT INTO public.who_import VALUES (68678, '2020-07-23', 'PH', 'Philippines', 'WPRO', '1505', '72269', '6', '1843');
INSERT INTO public.who_import VALUES (68679, '2020-07-24', 'PH', 'Philippines', 'WPRO', '2121', '74390', '28', '1871');
INSERT INTO public.who_import VALUES (68680, '2020-07-25', 'PH', 'Philippines', 'WPRO', '2054', '76444', '8', '1879');
INSERT INTO public.who_import VALUES (68681, '2020-07-26', 'PH', 'Philippines', 'WPRO', '1968', '78412', '18', '1897');
INSERT INTO public.who_import VALUES (68682, '2020-07-27', 'PH', 'Philippines', 'WPRO', '2036', '80448', '35', '1932');
INSERT INTO public.who_import VALUES (68683, '2020-07-28', 'PH', 'Philippines', 'WPRO', '1592', '82040', '13', '1945');
INSERT INTO public.who_import VALUES (68684, '2020-07-29', 'PH', 'Philippines', 'WPRO', '1633', '83673', '2', '1947');
INSERT INTO public.who_import VALUES (68685, '2020-07-30', 'PH', 'Philippines', 'WPRO', '1813', '85486', '15', '1962');
INSERT INTO public.who_import VALUES (68686, '2020-07-31', 'PH', 'Philippines', 'WPRO', '3888', '89374', '21', '1983');
INSERT INTO public.who_import VALUES (68687, '2020-08-01', 'PH', 'Philippines', 'WPRO', '3980', '93354', '40', '2023');
INSERT INTO public.who_import VALUES (68688, '2020-08-02', 'PH', 'Philippines', 'WPRO', '4878', '98232', '16', '2039');
INSERT INTO public.who_import VALUES (68689, '2020-08-03', 'PH', 'Philippines', 'WPRO', '4953', '103185', '20', '2059');
INSERT INTO public.who_import VALUES (68690, '2020-08-04', 'PH', 'Philippines', 'WPRO', '3145', '106330', '45', '2104');
INSERT INTO public.who_import VALUES (68691, '2020-08-05', 'PH', 'Philippines', 'WPRO', '6263', '112593', '11', '2115');
INSERT INTO public.who_import VALUES (68692, '2020-08-06', 'PH', 'Philippines', 'WPRO', '3387', '115980', '8', '2123');
INSERT INTO public.who_import VALUES (68693, '2020-08-07', 'PH', 'Philippines', 'WPRO', '3480', '119460', '27', '2150');
INSERT INTO public.who_import VALUES (68694, '2020-08-08', 'PH', 'Philippines', 'WPRO', '3294', '122754', '18', '2168');
INSERT INTO public.who_import VALUES (68695, '2020-08-09', 'PH', 'Philippines', 'WPRO', '4131', '126885', '41', '2209');
INSERT INTO public.who_import VALUES (68696, '2020-08-10', 'PH', 'Philippines', 'WPRO', '3028', '129913', '61', '2270');
INSERT INTO public.who_import VALUES (68697, '2020-08-11', 'PH', 'Philippines', 'WPRO', '6725', '136638', '23', '2293');
INSERT INTO public.who_import VALUES (68698, '2020-08-12', 'PH', 'Philippines', 'WPRO', '2900', '139538', '19', '2312');
INSERT INTO public.who_import VALUES (68699, '2020-08-13', 'PH', 'Philippines', 'WPRO', '4211', '143749', '92', '2404');
INSERT INTO public.who_import VALUES (68700, '2020-08-14', 'PH', 'Philippines', 'WPRO', '3777', '147526', '22', '2426');
INSERT INTO public.who_import VALUES (68701, '2020-08-15', 'PH', 'Philippines', 'WPRO', '6134', '153660', '16', '2442');
INSERT INTO public.who_import VALUES (68702, '2020-08-16', 'PH', 'Philippines', 'WPRO', '4258', '157918', '158', '2600');
INSERT INTO public.who_import VALUES (68703, '2020-08-17', 'PH', 'Philippines', 'WPRO', '3335', '161253', '65', '2665');
INSERT INTO public.who_import VALUES (68704, '2020-08-18', 'PH', 'Philippines', 'WPRO', '3221', '164474', '16', '2681');
INSERT INTO public.who_import VALUES (68705, '2020-08-19', 'PH', 'Philippines', 'WPRO', '4739', '169213', '6', '2687');
INSERT INTO public.who_import VALUES (68706, '2020-08-20', 'PH', 'Philippines', 'WPRO', '4561', '173774', '108', '2795');
INSERT INTO public.who_import VALUES (68707, '2020-08-21', 'PH', 'Philippines', 'WPRO', '4248', '178022', '88', '2883');
INSERT INTO public.who_import VALUES (68708, '2020-08-22', 'PH', 'Philippines', 'WPRO', '4343', '182365', '57', '2940');
INSERT INTO public.who_import VALUES (68709, '2020-08-23', 'PH', 'Philippines', 'WPRO', '4884', '187249', '26', '2966');
INSERT INTO public.who_import VALUES (68710, '2020-08-24', 'PH', 'Philippines', 'WPRO', '2352', '189601', '32', '2998');
INSERT INTO public.who_import VALUES (68711, '2020-08-25', 'PH', 'Philippines', 'WPRO', '4651', '194252', '12', '3010');
INSERT INTO public.who_import VALUES (68712, '2020-08-26', 'PH', 'Philippines', 'WPRO', '2912', '197164', '28', '3038');
INSERT INTO public.who_import VALUES (68713, '2020-08-27', 'PH', 'Philippines', 'WPRO', '5197', '202361', '99', '3137');
INSERT INTO public.who_import VALUES (68714, '2020-08-28', 'PH', 'Philippines', 'WPRO', '3220', '205581', '97', '3234');
INSERT INTO public.who_import VALUES (68715, '2020-08-29', 'PH', 'Philippines', 'WPRO', '3963', '209544', '91', '3325');
INSERT INTO public.who_import VALUES (68716, '2020-08-30', 'PH', 'Philippines', 'WPRO', '3587', '213131', '94', '3419');
INSERT INTO public.who_import VALUES (68717, '2020-08-31', 'PH', 'Philippines', 'WPRO', '4265', '217396', '101', '3520');
INSERT INTO public.who_import VALUES (68718, '2020-09-01', 'PH', 'Philippines', 'WPRO', '3423', '220819', '38', '3558');
INSERT INTO public.who_import VALUES (68719, '2020-09-02', 'PH', 'Philippines', 'WPRO', '3445', '224264', '39', '3597');
INSERT INTO public.who_import VALUES (68720, '2020-09-03', 'PH', 'Philippines', 'WPRO', '2176', '226440', '26', '3623');
INSERT INTO public.who_import VALUES (68721, '2020-09-04', 'PH', 'Philippines', 'WPRO', '1963', '228403', '65', '3688');
INSERT INTO public.who_import VALUES (68722, '2020-09-05', 'PH', 'Philippines', 'WPRO', '3669', '232072', '49', '3737');
INSERT INTO public.who_import VALUES (68723, '2020-09-06', 'PH', 'Philippines', 'WPRO', '2498', '234570', '53', '3790');
INSERT INTO public.who_import VALUES (68724, '2020-09-07', 'PH', 'Philippines', 'WPRO', '2795', '237365', '85', '3875');
INSERT INTO public.who_import VALUES (68725, '2020-09-08', 'PH', 'Philippines', 'WPRO', '1362', '238727', '15', '3890');
INSERT INTO public.who_import VALUES (68726, '2020-09-09', 'PH', 'Philippines', 'WPRO', '3260', '241987', '26', '3916');
INSERT INTO public.who_import VALUES (68727, '2020-09-10', 'PH', 'Philippines', 'WPRO', '3156', '245143', '70', '3986');
INSERT INTO public.who_import VALUES (68728, '2020-09-11', 'PH', 'Philippines', 'WPRO', '3804', '248947', '80', '4066');
INSERT INTO public.who_import VALUES (68729, '2020-09-12', 'PH', 'Philippines', 'WPRO', '4017', '252964', '42', '4108');
INSERT INTO public.who_import VALUES (68730, '2020-09-13', 'PH', 'Philippines', 'WPRO', '4899', '257863', '184', '4292');
INSERT INTO public.who_import VALUES (68731, '2020-09-14', 'PH', 'Philippines', 'WPRO', '3353', '261216', '79', '4371');
INSERT INTO public.who_import VALUES (68732, '2020-09-15', 'PH', 'Philippines', 'WPRO', '4672', '265888', '259', '4630');
INSERT INTO public.who_import VALUES (68733, '2020-09-16', 'PH', 'Philippines', 'WPRO', '3519', '269407', '33', '4663');
INSERT INTO public.who_import VALUES (68734, '2020-09-17', 'PH', 'Philippines', 'WPRO', '3527', '272934', '69', '4732');
INSERT INTO public.who_import VALUES (68735, '2020-09-18', 'PH', 'Philippines', 'WPRO', '3355', '276289', '53', '4785');
INSERT INTO public.who_import VALUES (68736, '2020-09-19', 'PH', 'Philippines', 'WPRO', '3237', '279526', '45', '4830');
INSERT INTO public.who_import VALUES (68737, '2020-09-20', 'PH', 'Philippines', 'WPRO', '3934', '283460', '100', '4930');
INSERT INTO public.who_import VALUES (68738, '2020-09-21', 'PH', 'Philippines', 'WPRO', '3283', '286743', '54', '4984');
INSERT INTO public.who_import VALUES (68739, '2020-09-22', 'PH', 'Philippines', 'WPRO', '3447', '290190', '15', '4999');
INSERT INTO public.who_import VALUES (68740, '2020-09-23', 'PH', 'Philippines', 'WPRO', '1599', '291789', '50', '5049');
INSERT INTO public.who_import VALUES (68741, '2020-09-24', 'PH', 'Philippines', 'WPRO', '2802', '294591', '42', '5091');
INSERT INTO public.who_import VALUES (68742, '2020-09-25', 'PH', 'Philippines', 'WPRO', '2164', '296755', '36', '5127');
INSERT INTO public.who_import VALUES (68743, '2020-09-26', 'PH', 'Philippines', 'WPRO', '2606', '299361', '69', '5196');
INSERT INTO public.who_import VALUES (68744, '2020-09-27', 'PH', 'Philippines', 'WPRO', '1895', '301256', '88', '5284');
INSERT INTO public.who_import VALUES (68745, '2020-09-28', 'PH', 'Philippines', 'WPRO', '2970', '304226', '60', '5344');
INSERT INTO public.who_import VALUES (68746, '2020-09-29', 'PH', 'Philippines', 'WPRO', '3062', '307288', '37', '5381');
INSERT INTO public.who_import VALUES (68747, '2020-09-30', 'PH', 'Philippines', 'WPRO', '2015', '309303', '67', '5448');
INSERT INTO public.who_import VALUES (68748, '2020-10-01', 'PH', 'Philippines', 'WPRO', '2391', '311694', '56', '5504');
INSERT INTO public.who_import VALUES (68749, '2020-10-02', 'PH', 'Philippines', 'WPRO', '2385', '314079', '58', '5562');
INSERT INTO public.who_import VALUES (68750, '2020-10-03', 'PH', 'Philippines', 'WPRO', '2599', '316678', '54', '5616');
INSERT INTO public.who_import VALUES (68751, '2020-10-04', 'PH', 'Philippines', 'WPRO', '2652', '319330', '62', '5678');
INSERT INTO public.who_import VALUES (68752, '2020-10-05', 'PH', 'Philippines', 'WPRO', '3167', '322497', '98', '5776');
INSERT INTO public.who_import VALUES (68753, '2020-10-06', 'PH', 'Philippines', 'WPRO', '2265', '324762', '64', '5840');
INSERT INTO public.who_import VALUES (68754, '2020-10-07', 'PH', 'Philippines', 'WPRO', '2071', '326833', '25', '5865');
INSERT INTO public.who_import VALUES (68755, '2020-10-08', 'PH', 'Philippines', 'WPRO', '2804', '329637', '60', '5925');
INSERT INTO public.who_import VALUES (68756, '2020-10-09', 'PH', 'Philippines', 'WPRO', '2232', '331869', '144', '6069');
INSERT INTO public.who_import VALUES (68757, '2020-10-10', 'PH', 'Philippines', 'WPRO', '2901', '334770', '83', '6152');
INSERT INTO public.who_import VALUES (68758, '2020-10-11', 'PH', 'Philippines', 'WPRO', '2156', '336926', '86', '6238');
INSERT INTO public.who_import VALUES (68759, '2020-10-12', 'PH', 'Philippines', 'WPRO', '2415', '339341', '83', '6321');
INSERT INTO public.who_import VALUES (68760, '2020-10-13', 'PH', 'Philippines', 'WPRO', '3475', '342816', '11', '6332');
INSERT INTO public.who_import VALUES (68761, '2020-10-14', 'PH', 'Philippines', 'WPRO', '1897', '344713', '40', '6372');
INSERT INTO public.who_import VALUES (68762, '2020-10-15', 'PH', 'Philippines', 'WPRO', '1823', '346536', '77', '6449');
INSERT INTO public.who_import VALUES (68763, '2020-10-16', 'PH', 'Philippines', 'WPRO', '2162', '348698', '48', '6497');
INSERT INTO public.who_import VALUES (68764, '2020-10-17', 'PH', 'Philippines', 'WPRO', '3052', '351750', '34', '6531');
INSERT INTO public.who_import VALUES (68765, '2020-10-18', 'PH', 'Philippines', 'WPRO', '2588', '354338', '72', '6603');
INSERT INTO public.who_import VALUES (68766, '2020-10-19', 'PH', 'Philippines', 'WPRO', '2280', '356618', '49', '6652');
INSERT INTO public.who_import VALUES (68767, '2020-10-20', 'PH', 'Philippines', 'WPRO', '2551', '359169', '23', '6675');
INSERT INTO public.who_import VALUES (68768, '2020-10-21', 'PH', 'Philippines', 'WPRO', '1606', '360775', '15', '6690');
INSERT INTO public.who_import VALUES (68769, '2020-10-22', 'PH', 'Philippines', 'WPRO', '1468', '362243', '57', '6747');
INSERT INTO public.who_import VALUES (68770, '2020-10-23', 'PH', 'Philippines', 'WPRO', '1645', '363888', '36', '6783');
INSERT INTO public.who_import VALUES (68771, '2020-10-24', 'PH', 'Philippines', 'WPRO', '1911', '365799', '132', '6915');
INSERT INTO public.who_import VALUES (68772, '2020-10-25', 'PH', 'Philippines', 'WPRO', '2020', '367819', '19', '6934');
INSERT INTO public.who_import VALUES (68773, '2020-10-26', 'PH', 'Philippines', 'WPRO', '2209', '370028', '43', '6977');
INSERT INTO public.who_import VALUES (68774, '2020-10-27', 'PH', 'Philippines', 'WPRO', '1602', '371630', '62', '7039');
INSERT INTO public.who_import VALUES (68775, '2020-10-28', 'PH', 'Philippines', 'WPRO', '1514', '373144', '14', '7053');
INSERT INTO public.who_import VALUES (68776, '2020-10-29', 'PH', 'Philippines', 'WPRO', '2036', '375180', '61', '7114');
INSERT INTO public.who_import VALUES (68777, '2020-10-30', 'PH', 'Philippines', 'WPRO', '1755', '376935', '33', '7147');
INSERT INTO public.who_import VALUES (68778, '2020-10-31', 'PH', 'Philippines', 'WPRO', '1998', '378933', '38', '7185');
INSERT INTO public.who_import VALUES (68779, '2020-11-01', 'PH', 'Philippines', 'WPRO', '1796', '380729', '36', '7221');
INSERT INTO public.who_import VALUES (68780, '2020-11-02', 'PH', 'Philippines', 'WPRO', '2384', '383113', '17', '7238');
INSERT INTO public.who_import VALUES (68781, '2020-11-03', 'PH', 'Philippines', 'WPRO', '2287', '385400', '31', '7269');
INSERT INTO public.who_import VALUES (68782, '2020-11-04', 'PH', 'Philippines', 'WPRO', '1761', '387161', '49', '7318');
INSERT INTO public.who_import VALUES (68783, '2020-11-05', 'PH', 'Philippines', 'WPRO', '976', '388137', '49', '7367');
INSERT INTO public.who_import VALUES (68784, '2020-11-06', 'PH', 'Philippines', 'WPRO', '1588', '389725', '42', '7409');
INSERT INTO public.who_import VALUES (68785, '2020-11-07', 'PH', 'Philippines', 'WPRO', '2084', '391809', '52', '7461');
INSERT INTO public.who_import VALUES (68786, '2020-11-08', 'PH', 'Philippines', 'WPRO', '2152', '393961', '24', '7485');
INSERT INTO public.who_import VALUES (68787, '2020-11-09', 'PH', 'Philippines', 'WPRO', '2434', '396395', '54', '7539');
INSERT INTO public.who_import VALUES (68788, '2020-11-10', 'PH', 'Philippines', 'WPRO', '2054', '398449', '108', '7647');
INSERT INTO public.who_import VALUES (68789, '2020-11-11', 'PH', 'Philippines', 'WPRO', '1300', '399749', '14', '7661');
INSERT INTO public.who_import VALUES (68790, '2020-11-12', 'PH', 'Philippines', 'WPRO', '1667', '401416', '49', '7710');
INSERT INTO public.who_import VALUES (68791, '2020-11-13', 'PH', 'Philippines', 'WPRO', '1404', '402820', '11', '7721');
INSERT INTO public.who_import VALUES (68792, '2020-11-14', 'PH', 'Philippines', 'WPRO', '1893', '404713', '31', '7752');
INSERT INTO public.who_import VALUES (68793, '2020-11-15', 'PH', 'Philippines', 'WPRO', '1624', '406337', '39', '7791');
INSERT INTO public.who_import VALUES (68794, '2020-11-16', 'PH', 'Philippines', 'WPRO', '1501', '407838', '41', '7832');
INSERT INTO public.who_import VALUES (68795, '2020-11-17', 'PH', 'Philippines', 'WPRO', '1736', '409574', '7', '7839');
INSERT INTO public.who_import VALUES (68796, '2020-11-18', 'PH', 'Philippines', 'WPRO', '1144', '410718', '23', '7862');
INSERT INTO public.who_import VALUES (68797, '2020-11-19', 'PH', 'Philippines', 'WPRO', '1379', '412097', '95', '7957');
INSERT INTO public.who_import VALUES (68798, '2020-11-20', 'PH', 'Philippines', 'WPRO', '1333', '413430', '41', '7998');
INSERT INTO public.who_import VALUES (68799, '2020-11-21', 'PH', 'Philippines', 'WPRO', '1637', '415067', '27', '8025');
INSERT INTO public.who_import VALUES (68800, '2020-11-22', 'PH', 'Philippines', 'WPRO', '1785', '416852', '55', '8080');
INSERT INTO public.who_import VALUES (68801, '2020-11-23', 'PH', 'Philippines', 'WPRO', '1966', '418818', '43', '8123');
INSERT INTO public.who_import VALUES (68802, '2020-11-24', 'PH', 'Philippines', 'WPRO', '1796', '420614', '50', '8173');
INSERT INTO public.who_import VALUES (68803, '2020-11-25', 'PH', 'Philippines', 'WPRO', '1108', '421722', '12', '8185');
INSERT INTO public.who_import VALUES (68804, '2020-11-26', 'PH', 'Philippines', 'WPRO', '1193', '422915', '30', '8215');
INSERT INTO public.who_import VALUES (68805, '2020-11-27', 'PH', 'Philippines', 'WPRO', '1382', '424297', '27', '8242');
INSERT INTO public.who_import VALUES (68806, '2020-11-28', 'PH', 'Philippines', 'WPRO', '1621', '425918', '13', '8255');
INSERT INTO public.who_import VALUES (68807, '2020-11-29', 'PH', 'Philippines', 'WPRO', '1879', '427797', '78', '8333');
INSERT INTO public.who_import VALUES (68808, '2020-11-30', 'PH', 'Philippines', 'WPRO', '2067', '429864', '40', '8373');
INSERT INTO public.who_import VALUES (68809, '2020-12-01', 'PH', 'Philippines', 'WPRO', '1766', '431630', '19', '8392');
INSERT INTO public.who_import VALUES (68810, '2020-12-02', 'PH', 'Philippines', 'WPRO', '1295', '432925', '26', '8418');
INSERT INTO public.who_import VALUES (68811, '2020-12-03', 'PH', 'Philippines', 'WPRO', '1432', '434357', '18', '8436');
INSERT INTO public.who_import VALUES (68812, '2020-12-04', 'PH', 'Philippines', 'WPRO', '1056', '435413', '10', '8446');
INSERT INTO public.who_import VALUES (68813, '2020-12-05', 'PH', 'Philippines', 'WPRO', '932', '436345', '63', '8509');
INSERT INTO public.who_import VALUES (68814, '2020-12-06', 'PH', 'Philippines', 'WPRO', '1724', '438069', '17', '8526');
INSERT INTO public.who_import VALUES (68815, '2020-12-07', 'PH', 'Philippines', 'WPRO', '1765', '439834', '28', '8554');
INSERT INTO public.who_import VALUES (68816, '2020-12-08', 'PH', 'Philippines', 'WPRO', '1565', '441399', '18', '8572');
INSERT INTO public.who_import VALUES (68817, '2020-12-09', 'PH', 'Philippines', 'WPRO', '1386', '442785', '98', '8670');
INSERT INTO public.who_import VALUES (68818, '2020-12-10', 'PH', 'Philippines', 'WPRO', '1379', '444164', '7', '8677');
INSERT INTO public.who_import VALUES (68819, '2020-12-11', 'PH', 'Philippines', 'WPRO', '1376', '445540', '24', '8701');
INSERT INTO public.who_import VALUES (68820, '2020-12-12', 'PH', 'Philippines', 'WPRO', '1499', '447039', '8', '8709');
INSERT INTO public.who_import VALUES (68821, '2020-12-13', 'PH', 'Philippines', 'WPRO', '1292', '448331', '21', '8730');
INSERT INTO public.who_import VALUES (68822, '2020-12-14', 'PH', 'Philippines', 'WPRO', '1069', '449400', '3', '8733');
INSERT INTO public.who_import VALUES (68823, '2020-12-15', 'PH', 'Philippines', 'WPRO', '1333', '450733', '24', '8757');
INSERT INTO public.who_import VALUES (68824, '2020-12-16', 'PH', 'Philippines', 'WPRO', '1106', '451839', '55', '8812');
INSERT INTO public.who_import VALUES (68825, '2020-12-17', 'PH', 'Philippines', 'WPRO', '1149', '452988', '21', '8833');
INSERT INTO public.who_import VALUES (68826, '2020-12-18', 'PH', 'Philippines', 'WPRO', '1459', '454447', '17', '8850');
INSERT INTO public.who_import VALUES (68827, '2020-12-19', 'PH', 'Philippines', 'WPRO', '2115', '456562', '25', '8875');
INSERT INTO public.who_import VALUES (68828, '2020-12-20', 'PH', 'Philippines', 'WPRO', '1482', '458044', '36', '8911');
INSERT INTO public.who_import VALUES (68829, '2020-12-21', 'PH', 'Philippines', 'WPRO', '1745', '459789', '36', '8947');
INSERT INTO public.who_import VALUES (68830, '2020-12-22', 'PH', 'Philippines', 'WPRO', '1716', '461505', '10', '8957');
INSERT INTO public.who_import VALUES (68831, '2020-12-23', 'PH', 'Philippines', 'WPRO', '1310', '462815', '64', '9021');
INSERT INTO public.who_import VALUES (68832, '2020-12-24', 'PH', 'Philippines', 'WPRO', '1189', '464004', '27', '9048');
INSERT INTO public.who_import VALUES (68833, '2020-12-25', 'PH', 'Philippines', 'WPRO', '1720', '465724', '7', '9055');
INSERT INTO public.who_import VALUES (68834, '2020-12-26', 'PH', 'Philippines', 'WPRO', '1877', '467601', '7', '9062');
INSERT INTO public.who_import VALUES (68835, '2020-12-27', 'PH', 'Philippines', 'WPRO', '1404', '469005', '5', '9067');
INSERT INTO public.who_import VALUES (68836, '2020-12-28', 'PH', 'Philippines', 'WPRO', '881', '469886', '42', '9109');
INSERT INTO public.who_import VALUES (68837, '2020-12-29', 'PH', 'Philippines', 'WPRO', '764', '470650', '15', '9124');
INSERT INTO public.who_import VALUES (68838, '2020-12-30', 'PH', 'Philippines', 'WPRO', '876', '471526', '38', '9162');
INSERT INTO public.who_import VALUES (68839, '2020-12-31', 'PH', 'Philippines', 'WPRO', '1006', '472532', '68', '9230');
INSERT INTO public.who_import VALUES (68840, '2021-01-01', 'PH', 'Philippines', 'WPRO', '1532', '474064', '14', '9244');
INSERT INTO public.who_import VALUES (68841, '2021-01-02', 'PH', 'Philippines', 'WPRO', '1756', '475820', '4', '9248');
INSERT INTO public.who_import VALUES (68842, '2021-01-03', 'PH', 'Philippines', 'WPRO', '1096', '476916', '5', '9253');
INSERT INTO public.who_import VALUES (68843, '2021-01-04', 'PH', 'Philippines', 'WPRO', '891', '477807', '4', '9257');
INSERT INTO public.who_import VALUES (68844, '2021-01-05', 'PH', 'Philippines', 'WPRO', '954', '478761', '6', '9263');
INSERT INTO public.who_import VALUES (68845, '2021-01-06', 'PH', 'Philippines', 'WPRO', '932', '479693', '58', '9321');
INSERT INTO public.who_import VALUES (68846, '2021-01-07', 'PH', 'Philippines', 'WPRO', '1044', '480737', '26', '9347');
INSERT INTO public.who_import VALUES (68847, '2021-01-08', 'PH', 'Philippines', 'WPRO', '1346', '482083', '9', '9356');
INSERT INTO public.who_import VALUES (68848, '2021-01-09', 'PH', 'Philippines', 'WPRO', '1769', '483852', '8', '9364');
INSERT INTO public.who_import VALUES (68849, '2021-01-10', 'PH', 'Philippines', 'WPRO', '1945', '485797', '34', '9398');
INSERT INTO public.who_import VALUES (68850, '2021-01-11', 'PH', 'Philippines', 'WPRO', '1893', '487690', '7', '9405');
INSERT INTO public.who_import VALUES (68851, '2021-01-12', 'PH', 'Philippines', 'WPRO', '2046', '489736', '11', '9416');
INSERT INTO public.who_import VALUES (68852, '2021-01-13', 'PH', 'Philippines', 'WPRO', '1522', '491258', '138', '9554');
INSERT INTO public.who_import VALUES (68853, '2021-01-14', 'PH', 'Philippines', 'WPRO', '1442', '492700', '145', '9699');
INSERT INTO public.who_import VALUES (68854, '2021-01-15', 'PH', 'Philippines', 'WPRO', '1905', '494605', '40', '9739');
INSERT INTO public.who_import VALUES (68855, '2021-01-16', 'PH', 'Philippines', 'WPRO', '2041', '496646', '137', '9876');
INSERT INTO public.who_import VALUES (68856, '2021-01-17', 'PH', 'Philippines', 'WPRO', '2045', '498691', '8', '9884');
INSERT INTO public.who_import VALUES (68857, '2021-01-18', 'PH', 'Philippines', 'WPRO', '1886', '500577', '11', '9895');
INSERT INTO public.who_import VALUES (68858, '2021-01-19', 'PH', 'Philippines', 'WPRO', '2159', '502736', '14', '9909');
INSERT INTO public.who_import VALUES (68859, '2021-01-20', 'PH', 'Philippines', 'WPRO', '1348', '504084', '69', '9978');
INSERT INTO public.who_import VALUES (68860, '2021-01-21', 'PH', 'Philippines', 'WPRO', '1855', '505939', '64', '10042');
INSERT INTO public.who_import VALUES (68861, '2021-01-22', 'PH', 'Philippines', 'WPRO', '1778', '507717', '74', '10116');
INSERT INTO public.who_import VALUES (68862, '2021-01-23', 'PH', 'Philippines', 'WPRO', '2170', '509887', '20', '10136');
INSERT INTO public.who_import VALUES (68863, '2021-01-24', 'PH', 'Philippines', 'WPRO', '1792', '511679', '54', '10190');
INSERT INTO public.who_import VALUES (68864, '2021-01-25', 'PH', 'Philippines', 'WPRO', '1940', '513619', '52', '10242');
INSERT INTO public.who_import VALUES (68865, '2021-01-26', 'PH', 'Philippines', 'WPRO', '1377', '514996', '50', '10292');
INSERT INTO public.who_import VALUES (68866, '2021-01-27', 'PH', 'Philippines', 'WPRO', '1170', '516166', '94', '10386');
INSERT INTO public.who_import VALUES (68867, '2021-01-28', 'PH', 'Philippines', 'WPRO', '2241', '518407', '95', '10481');
INSERT INTO public.who_import VALUES (68868, '2021-01-29', 'PH', 'Philippines', 'WPRO', '1168', '519575', '71', '10552');
INSERT INTO public.who_import VALUES (68869, '2021-01-30', 'PH', 'Philippines', 'WPRO', '1838', '521413', '48', '10600');
INSERT INTO public.who_import VALUES (68870, '2021-01-31', 'PH', 'Philippines', 'WPRO', '2103', '523516', '69', '10669');
INSERT INTO public.who_import VALUES (68871, '2021-02-01', 'PH', 'Philippines', 'WPRO', '2102', '525618', '80', '10749');
INSERT INTO public.who_import VALUES (68872, '2021-02-02', 'PH', 'Philippines', 'WPRO', '1654', '527272', '58', '10807');
INSERT INTO public.who_import VALUES (68873, '2021-02-03', 'PH', 'Philippines', 'WPRO', '1581', '528853', '67', '10874');
INSERT INTO public.who_import VALUES (68874, '2021-02-04', 'PH', 'Philippines', 'WPRO', '1265', '530118', '68', '10942');
INSERT INTO public.who_import VALUES (68875, '2021-02-05', 'PH', 'Philippines', 'WPRO', '1581', '531699', '55', '10997');
INSERT INTO public.who_import VALUES (68876, '2021-02-06', 'PH', 'Philippines', 'WPRO', '1888', '533587', '61', '11058');
INSERT INTO public.who_import VALUES (68877, '2021-02-07', 'PH', 'Philippines', 'WPRO', '1934', '535521', '52', '11110');
INSERT INTO public.who_import VALUES (68878, '2021-02-08', 'PH', 'Philippines', 'WPRO', '1789', '537310', '69', '11179');
INSERT INTO public.who_import VALUES (68879, '2021-02-09', 'PH', 'Philippines', 'WPRO', '1685', '538995', '52', '11231');
INSERT INTO public.who_import VALUES (68880, '2021-02-10', 'PH', 'Philippines', 'WPRO', '1232', '540227', '65', '11296');
INSERT INTO public.who_import VALUES (68881, '2021-02-11', 'PH', 'Philippines', 'WPRO', '1333', '541560', '105', '11401');
INSERT INTO public.who_import VALUES (68882, '2021-02-12', 'PH', 'Philippines', 'WPRO', '1722', '543282', '68', '11469');
INSERT INTO public.who_import VALUES (68883, '2021-02-13', 'PH', 'Philippines', 'WPRO', '2018', '545300', '26', '11495');
INSERT INTO public.who_import VALUES (68884, '2021-02-14', 'PH', 'Philippines', 'WPRO', '1955', '547255', '12', '11507');
INSERT INTO public.who_import VALUES (68885, '2021-02-15', 'PH', 'Philippines', 'WPRO', '1921', '549176', '8', '11515');
INSERT INTO public.who_import VALUES (68886, '2021-02-16', 'PH', 'Philippines', 'WPRO', '1684', '550860', '2', '11517');
INSERT INTO public.who_import VALUES (68887, '2021-02-17', 'PH', 'Philippines', 'WPRO', '1386', '552246', '7', '11524');
INSERT INTO public.who_import VALUES (68888, '2021-02-18', 'PH', 'Philippines', 'WPRO', '1178', '553424', '53', '11577');
INSERT INTO public.who_import VALUES (68889, '2021-02-19', 'PH', 'Philippines', 'WPRO', '1739', '555163', '96', '11673');
INSERT INTO public.who_import VALUES (68890, '2021-02-20', 'PH', 'Philippines', 'WPRO', '1895', '557058', '156', '11829');
INSERT INTO public.who_import VALUES (68891, '2020-01-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68892, '2020-01-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68893, '2020-01-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68894, '2020-01-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68895, '2020-01-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68896, '2020-01-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68897, '2020-01-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68898, '2020-01-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68899, '2020-01-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68900, '2020-01-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68901, '2020-01-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68902, '2020-01-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68903, '2020-01-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68904, '2020-01-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68905, '2020-01-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68906, '2020-01-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68907, '2020-01-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68908, '2020-01-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68909, '2020-01-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68910, '2020-01-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68911, '2020-01-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68912, '2020-01-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68913, '2020-01-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68914, '2020-01-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68915, '2020-01-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68916, '2020-01-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68917, '2020-01-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68918, '2020-01-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68919, '2020-01-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68920, '2020-02-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68921, '2020-02-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68922, '2020-02-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68923, '2020-02-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68924, '2020-02-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68925, '2020-02-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68926, '2020-02-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68927, '2020-02-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68928, '2020-02-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68929, '2020-02-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68930, '2020-02-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68931, '2020-02-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68932, '2020-02-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68933, '2020-02-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68934, '2020-02-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68935, '2020-02-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68936, '2020-02-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68937, '2020-02-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68938, '2020-02-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68939, '2020-02-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68940, '2020-02-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68941, '2020-02-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68942, '2020-02-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68943, '2020-02-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68944, '2020-02-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68945, '2020-02-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68946, '2020-02-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68947, '2020-02-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68948, '2020-02-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68949, '2020-03-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68950, '2020-03-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68951, '2020-03-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68952, '2020-03-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68953, '2020-03-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68954, '2020-03-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68955, '2020-03-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68956, '2020-03-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68957, '2020-03-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68958, '2020-03-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68959, '2020-03-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68960, '2020-03-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68961, '2020-03-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68962, '2020-03-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68963, '2020-03-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68964, '2020-03-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68965, '2020-03-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68966, '2020-03-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68967, '2020-03-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68968, '2020-03-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68969, '2020-03-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68970, '2020-03-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68971, '2020-03-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68972, '2020-03-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68973, '2020-03-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68974, '2020-03-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68975, '2020-03-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68976, '2020-03-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68977, '2020-03-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68978, '2020-03-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68979, '2020-03-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68980, '2020-04-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68981, '2020-04-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68982, '2020-04-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68983, '2020-04-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68984, '2020-04-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68985, '2020-04-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68986, '2020-04-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68987, '2020-04-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68988, '2020-04-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68989, '2020-04-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68990, '2020-04-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68991, '2020-04-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68992, '2020-04-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68993, '2020-04-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68994, '2020-04-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68995, '2020-04-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68996, '2020-04-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68997, '2020-04-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68998, '2020-04-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (68999, '2020-04-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69000, '2020-04-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69001, '2020-04-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69002, '2020-04-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69003, '2020-04-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69004, '2020-04-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69005, '2020-04-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69006, '2020-04-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69007, '2020-04-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69008, '2020-04-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69009, '2020-04-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69010, '2020-05-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69011, '2020-05-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69012, '2020-05-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69013, '2020-05-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69014, '2020-05-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69015, '2020-05-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69016, '2020-05-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69017, '2020-05-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69018, '2020-05-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69019, '2020-05-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69020, '2020-05-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69021, '2020-05-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69022, '2020-05-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69023, '2020-05-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69024, '2020-05-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69025, '2020-05-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69026, '2020-05-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69027, '2020-05-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69028, '2020-05-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69029, '2020-05-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69030, '2020-05-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69031, '2020-05-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69032, '2020-05-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69033, '2020-05-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69034, '2020-05-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69035, '2020-05-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69036, '2020-05-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69037, '2020-05-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69038, '2020-05-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69039, '2020-05-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69040, '2020-05-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69041, '2020-06-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69042, '2020-06-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69043, '2020-06-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69044, '2020-06-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69045, '2020-06-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69046, '2020-06-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69047, '2020-06-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69048, '2020-06-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69049, '2020-06-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69050, '2020-06-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69051, '2020-06-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69052, '2020-06-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69053, '2020-06-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69054, '2020-06-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69055, '2020-06-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69056, '2020-06-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69057, '2020-06-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69058, '2020-06-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69059, '2020-06-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69060, '2020-06-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69061, '2020-06-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69062, '2020-06-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69063, '2020-06-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69064, '2020-06-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69065, '2020-06-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69066, '2020-06-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69067, '2020-06-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69068, '2020-06-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69069, '2020-06-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69070, '2020-06-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69071, '2020-07-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69072, '2020-07-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69073, '2020-07-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69074, '2020-07-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69075, '2020-07-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69076, '2020-07-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69077, '2020-07-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69078, '2020-07-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69079, '2020-07-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69080, '2020-07-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69081, '2020-07-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69082, '2020-07-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69083, '2020-07-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69084, '2020-07-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69085, '2020-07-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69086, '2020-07-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69087, '2020-07-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69088, '2020-07-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69089, '2020-07-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69090, '2020-07-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69091, '2020-07-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69092, '2020-07-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69093, '2020-07-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69094, '2020-07-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69095, '2020-07-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69096, '2020-07-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69097, '2020-07-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69098, '2020-07-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69099, '2020-07-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69100, '2020-07-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69101, '2020-07-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69102, '2020-08-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69103, '2020-08-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69104, '2020-08-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69105, '2020-08-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69106, '2020-08-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69107, '2020-08-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69108, '2020-08-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69109, '2020-08-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69110, '2020-08-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69111, '2020-08-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69112, '2020-08-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69113, '2020-08-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69114, '2020-08-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69115, '2020-08-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69116, '2020-08-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69117, '2020-08-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69118, '2020-08-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69119, '2020-08-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69120, '2020-08-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69121, '2020-08-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69122, '2020-08-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69123, '2020-08-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69124, '2020-08-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69125, '2020-08-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69126, '2020-08-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69127, '2020-08-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69128, '2020-08-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69129, '2020-08-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69130, '2020-08-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69131, '2020-08-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69132, '2020-08-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69133, '2020-09-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69134, '2020-09-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69135, '2020-09-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69136, '2020-09-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69137, '2020-09-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69138, '2020-09-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69139, '2020-09-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69140, '2020-09-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69141, '2020-09-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69142, '2020-09-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69143, '2020-09-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69144, '2020-09-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69145, '2020-09-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69146, '2020-09-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69147, '2020-09-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69148, '2020-09-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69149, '2020-09-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69150, '2020-09-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69151, '2020-09-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69152, '2020-09-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69153, '2020-09-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69154, '2020-09-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69155, '2020-09-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69156, '2020-09-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69157, '2020-09-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69158, '2020-09-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69159, '2020-09-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69160, '2020-09-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69161, '2020-09-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69162, '2020-09-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69163, '2020-10-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69164, '2020-10-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69165, '2020-10-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69166, '2020-10-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69167, '2020-10-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69168, '2020-10-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69169, '2020-10-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69170, '2020-10-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69171, '2020-10-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69172, '2020-10-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69173, '2020-10-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69174, '2020-10-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69175, '2020-10-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69176, '2020-10-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69177, '2020-10-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69178, '2020-10-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69179, '2020-10-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69180, '2020-10-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69181, '2020-10-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69182, '2020-10-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69183, '2020-10-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69184, '2020-10-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69185, '2020-10-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69186, '2020-10-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69187, '2020-10-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69188, '2020-10-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69189, '2020-10-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69190, '2020-10-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69191, '2020-10-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69192, '2020-10-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69193, '2020-10-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69194, '2020-11-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69195, '2020-11-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69196, '2020-11-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69197, '2020-11-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69198, '2020-11-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69199, '2020-11-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69200, '2020-11-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69201, '2020-11-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69202, '2020-11-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69203, '2020-11-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69204, '2020-11-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69205, '2020-11-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69206, '2020-11-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69207, '2020-11-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69208, '2020-11-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69209, '2020-11-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69210, '2020-11-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69211, '2020-11-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69212, '2020-11-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69213, '2020-11-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69214, '2020-11-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69215, '2020-11-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69216, '2020-11-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69217, '2020-11-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69218, '2020-11-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69219, '2020-11-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69220, '2020-11-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69221, '2020-11-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69222, '2020-11-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69223, '2020-11-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69224, '2020-12-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69225, '2020-12-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69226, '2020-12-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69227, '2020-12-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69228, '2020-12-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69229, '2020-12-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69230, '2020-12-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69231, '2020-12-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69232, '2020-12-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69233, '2020-12-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69234, '2020-12-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69235, '2020-12-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69236, '2020-12-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69237, '2020-12-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69238, '2020-12-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69239, '2020-12-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69240, '2020-12-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69241, '2020-12-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69242, '2020-12-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69243, '2020-12-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69244, '2020-12-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69245, '2020-12-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69246, '2020-12-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69247, '2020-12-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69248, '2020-12-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69249, '2020-12-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69250, '2020-12-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69251, '2020-12-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69252, '2020-12-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69253, '2020-12-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69254, '2020-12-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69255, '2021-01-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69256, '2021-01-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69257, '2021-01-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69258, '2021-01-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69259, '2021-01-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69260, '2021-01-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69261, '2021-01-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69262, '2021-01-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69263, '2021-01-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69264, '2021-01-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69265, '2021-01-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69266, '2021-01-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69267, '2021-01-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69268, '2021-01-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69269, '2021-01-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69270, '2021-01-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69271, '2021-01-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69272, '2021-01-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69273, '2021-01-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69274, '2021-01-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69275, '2021-01-21', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69276, '2021-01-22', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69277, '2021-01-23', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69278, '2021-01-24', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69279, '2021-01-25', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69280, '2021-01-26', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69281, '2021-01-27', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69282, '2021-01-28', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69283, '2021-01-29', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69284, '2021-01-30', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69285, '2021-01-31', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69286, '2021-02-01', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69287, '2021-02-02', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69288, '2021-02-03', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69289, '2021-02-04', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69290, '2021-02-05', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69291, '2021-02-06', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69292, '2021-02-07', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69293, '2021-02-08', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69294, '2021-02-09', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69295, '2021-02-10', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69296, '2021-02-11', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69297, '2021-02-12', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69298, '2021-02-13', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69299, '2021-02-14', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69300, '2021-02-15', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69301, '2021-02-16', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69302, '2021-02-17', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69303, '2021-02-18', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69304, '2021-02-19', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69305, '2021-02-20', 'PN', 'Pitcairn Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69306, '2020-01-03', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69307, '2020-01-04', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69308, '2020-01-05', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69309, '2020-01-06', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69310, '2020-01-07', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69311, '2020-01-08', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69312, '2020-01-09', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69313, '2020-01-10', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69314, '2020-01-11', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69315, '2020-01-12', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69316, '2020-01-13', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69317, '2020-01-14', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69318, '2020-01-15', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69319, '2020-01-16', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69320, '2020-01-17', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69321, '2020-01-18', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69322, '2020-01-19', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69323, '2020-01-20', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69324, '2020-01-21', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69325, '2020-01-22', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69326, '2020-01-23', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69327, '2020-01-24', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69328, '2020-01-25', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69329, '2020-01-26', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69330, '2020-01-27', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69331, '2020-01-28', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69332, '2020-01-29', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69333, '2020-01-30', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69334, '2020-01-31', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69335, '2020-02-01', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69336, '2020-02-02', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69337, '2020-02-03', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69338, '2020-02-04', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69339, '2020-02-05', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69340, '2020-02-06', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69341, '2020-02-07', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69342, '2020-02-08', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69343, '2020-02-09', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69344, '2020-02-10', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69345, '2020-02-11', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69346, '2020-02-12', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69347, '2020-02-13', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69348, '2020-02-14', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69349, '2020-02-15', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69350, '2020-02-16', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69351, '2020-02-17', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69352, '2020-02-18', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69353, '2020-02-19', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69354, '2020-02-20', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69355, '2020-02-21', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69356, '2020-02-22', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69357, '2020-02-23', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69358, '2020-02-24', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69359, '2020-02-25', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69360, '2020-02-26', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69361, '2020-02-27', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69362, '2020-02-28', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69363, '2020-02-29', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69364, '2020-03-01', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69365, '2020-03-02', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69366, '2020-03-03', 'PL', 'Poland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69367, '2020-03-04', 'PL', 'Poland', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (69368, '2020-03-05', 'PL', 'Poland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (69369, '2020-03-06', 'PL', 'Poland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (69370, '2020-03-07', 'PL', 'Poland', 'EURO', '4', '5', '0', '0');
INSERT INTO public.who_import VALUES (69371, '2020-03-08', 'PL', 'Poland', 'EURO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (69372, '2020-03-09', 'PL', 'Poland', 'EURO', '5', '11', '0', '0');
INSERT INTO public.who_import VALUES (69373, '2020-03-10', 'PL', 'Poland', 'EURO', '6', '17', '0', '0');
INSERT INTO public.who_import VALUES (69374, '2020-03-11', 'PL', 'Poland', 'EURO', '5', '22', '0', '0');
INSERT INTO public.who_import VALUES (69375, '2020-03-12', 'PL', 'Poland', 'EURO', '9', '31', '0', '0');
INSERT INTO public.who_import VALUES (69376, '2020-03-13', 'PL', 'Poland', 'EURO', '18', '49', '1', '1');
INSERT INTO public.who_import VALUES (69377, '2020-03-14', 'PL', 'Poland', 'EURO', '19', '68', '1', '2');
INSERT INTO public.who_import VALUES (69378, '2020-03-15', 'PL', 'Poland', 'EURO', '36', '104', '1', '3');
INSERT INTO public.who_import VALUES (69379, '2020-03-16', 'PL', 'Poland', 'EURO', '21', '125', '0', '3');
INSERT INTO public.who_import VALUES (69380, '2020-03-17', 'PL', 'Poland', 'EURO', '52', '177', '1', '4');
INSERT INTO public.who_import VALUES (69381, '2020-03-18', 'PL', 'Poland', 'EURO', '61', '238', '1', '5');
INSERT INTO public.who_import VALUES (69382, '2020-03-19', 'PL', 'Poland', 'EURO', '49', '287', '0', '5');
INSERT INTO public.who_import VALUES (69383, '2020-03-20', 'PL', 'Poland', 'EURO', '68', '355', '0', '5');
INSERT INTO public.who_import VALUES (69384, '2020-03-21', 'PL', 'Poland', 'EURO', '70', '425', '0', '5');
INSERT INTO public.who_import VALUES (69385, '2020-03-22', 'PL', 'Poland', 'EURO', '111', '536', '0', '5');
INSERT INTO public.who_import VALUES (69386, '2020-03-23', 'PL', 'Poland', 'EURO', '98', '634', '2', '7');
INSERT INTO public.who_import VALUES (69387, '2020-03-24', 'PL', 'Poland', 'EURO', '115', '749', '1', '8');
INSERT INTO public.who_import VALUES (69388, '2020-03-25', 'PL', 'Poland', 'EURO', '152', '901', '2', '10');
INSERT INTO public.who_import VALUES (69389, '2020-03-26', 'PL', 'Poland', 'EURO', '150', '1051', '4', '14');
INSERT INTO public.who_import VALUES (69390, '2020-03-27', 'PL', 'Poland', 'EURO', '170', '1221', '2', '16');
INSERT INTO public.who_import VALUES (69391, '2020-03-28', 'PL', 'Poland', 'EURO', '168', '1389', '0', '16');
INSERT INTO public.who_import VALUES (69392, '2020-03-29', 'PL', 'Poland', 'EURO', '249', '1638', '2', '18');
INSERT INTO public.who_import VALUES (69393, '2020-03-30', 'PL', 'Poland', 'EURO', '224', '1862', '4', '22');
INSERT INTO public.who_import VALUES (69394, '2020-03-31', 'PL', 'Poland', 'EURO', '193', '2055', '9', '31');
INSERT INTO public.who_import VALUES (69395, '2020-04-01', 'PL', 'Poland', 'EURO', '256', '2311', '2', '33');
INSERT INTO public.who_import VALUES (69396, '2020-04-02', 'PL', 'Poland', 'EURO', '243', '2554', '10', '43');
INSERT INTO public.who_import VALUES (69397, '2020-04-03', 'PL', 'Poland', 'EURO', '392', '2946', '14', '57');
INSERT INTO public.who_import VALUES (69398, '2020-04-04', 'PL', 'Poland', 'EURO', '437', '3383', '14', '71');
INSERT INTO public.who_import VALUES (69399, '2020-04-05', 'PL', 'Poland', 'EURO', '244', '3627', '8', '79');
INSERT INTO public.who_import VALUES (69400, '2020-04-06', 'PL', 'Poland', 'EURO', '475', '4102', '15', '94');
INSERT INTO public.who_import VALUES (69401, '2020-04-07', 'PL', 'Poland', 'EURO', '311', '4413', '13', '107');
INSERT INTO public.who_import VALUES (69402, '2020-04-08', 'PL', 'Poland', 'EURO', '435', '4848', '22', '129');
INSERT INTO public.who_import VALUES (69403, '2020-04-09', 'PL', 'Poland', 'EURO', '357', '5205', '30', '159');
INSERT INTO public.who_import VALUES (69404, '2020-04-10', 'PL', 'Poland', 'EURO', '370', '5575', '15', '174');
INSERT INTO public.who_import VALUES (69405, '2020-04-11', 'PL', 'Poland', 'EURO', '380', '5955', '7', '181');
INSERT INTO public.who_import VALUES (69406, '2020-04-12', 'PL', 'Poland', 'EURO', '401', '6356', '27', '208');
INSERT INTO public.who_import VALUES (69407, '2020-04-13', 'PL', 'Poland', 'EURO', '318', '6674', '24', '232');
INSERT INTO public.who_import VALUES (69408, '2020-04-14', 'PL', 'Poland', 'EURO', '260', '6934', '13', '245');
INSERT INTO public.who_import VALUES (69409, '2020-04-15', 'PL', 'Poland', 'EURO', '268', '7202', '18', '263');
INSERT INTO public.who_import VALUES (69410, '2020-04-16', 'PL', 'Poland', 'EURO', '380', '7582', '23', '286');
INSERT INTO public.who_import VALUES (69411, '2020-04-17', 'PL', 'Poland', 'EURO', '336', '7918', '28', '314');
INSERT INTO public.who_import VALUES (69412, '2020-04-18', 'PL', 'Poland', 'EURO', '461', '8379', '18', '332');
INSERT INTO public.who_import VALUES (69413, '2020-04-19', 'PL', 'Poland', 'EURO', '363', '8742', '15', '347');
INSERT INTO public.who_import VALUES (69414, '2020-04-20', 'PL', 'Poland', 'EURO', '545', '9287', '13', '360');
INSERT INTO public.who_import VALUES (69415, '2020-04-21', 'PL', 'Poland', 'EURO', '306', '9593', '20', '380');
INSERT INTO public.who_import VALUES (69416, '2020-04-22', 'PL', 'Poland', 'EURO', '263', '9856', '21', '401');
INSERT INTO public.who_import VALUES (69417, '2020-04-23', 'PL', 'Poland', 'EURO', '313', '10169', '25', '426');
INSERT INTO public.who_import VALUES (69418, '2020-04-24', 'PL', 'Poland', 'EURO', '342', '10511', '28', '454');
INSERT INTO public.who_import VALUES (69419, '2020-04-25', 'PL', 'Poland', 'EURO', '381', '10892', '40', '494');
INSERT INTO public.who_import VALUES (69420, '2020-04-26', 'PL', 'Poland', 'EURO', '381', '11273', '30', '524');
INSERT INTO public.who_import VALUES (69421, '2020-04-27', 'PL', 'Poland', 'EURO', '344', '11617', '11', '535');
INSERT INTO public.who_import VALUES (69422, '2020-04-28', 'PL', 'Poland', 'EURO', '285', '11902', '27', '562');
INSERT INTO public.who_import VALUES (69423, '2020-04-29', 'PL', 'Poland', 'EURO', '316', '12218', '34', '596');
INSERT INTO public.who_import VALUES (69424, '2020-04-30', 'PL', 'Poland', 'EURO', '422', '12640', '28', '624');
INSERT INTO public.who_import VALUES (69425, '2020-05-01', 'PL', 'Poland', 'EURO', '237', '12877', '20', '644');
INSERT INTO public.who_import VALUES (69426, '2020-05-02', 'PL', 'Poland', 'EURO', '228', '13105', '7', '651');
INSERT INTO public.who_import VALUES (69427, '2020-05-03', 'PL', 'Poland', 'EURO', '270', '13375', '13', '664');
INSERT INTO public.who_import VALUES (69428, '2020-05-04', 'PL', 'Poland', 'EURO', '318', '13693', '14', '678');
INSERT INTO public.who_import VALUES (69429, '2020-05-05', 'PL', 'Poland', 'EURO', '313', '14006', '20', '698');
INSERT INTO public.who_import VALUES (69430, '2020-05-06', 'PL', 'Poland', 'EURO', '425', '14431', '18', '716');
INSERT INTO public.who_import VALUES (69431, '2020-05-07', 'PL', 'Poland', 'EURO', '309', '14740', '17', '733');
INSERT INTO public.who_import VALUES (69432, '2020-05-08', 'PL', 'Poland', 'EURO', '307', '15047', '22', '755');
INSERT INTO public.who_import VALUES (69433, '2020-05-09', 'PL', 'Poland', 'EURO', '319', '15366', '21', '776');
INSERT INTO public.who_import VALUES (69434, '2020-05-10', 'PL', 'Poland', 'EURO', '285', '15651', '9', '785');
INSERT INTO public.who_import VALUES (69435, '2020-05-11', 'PL', 'Poland', 'EURO', '345', '15996', '15', '800');
INSERT INTO public.who_import VALUES (69436, '2020-05-12', 'PL', 'Poland', 'EURO', '330', '16326', '11', '811');
INSERT INTO public.who_import VALUES (69437, '2020-05-13', 'PL', 'Poland', 'EURO', '595', '16921', '28', '839');
INSERT INTO public.who_import VALUES (69438, '2020-05-14', 'PL', 'Poland', 'EURO', '283', '17204', '22', '861');
INSERT INTO public.who_import VALUES (69439, '2020-05-15', 'PL', 'Poland', 'EURO', '411', '17615', '22', '883');
INSERT INTO public.who_import VALUES (69440, '2020-05-16', 'PL', 'Poland', 'EURO', '401', '18016', '24', '907');
INSERT INTO public.who_import VALUES (69441, '2020-05-17', 'PL', 'Poland', 'EURO', '241', '18257', '8', '915');
INSERT INTO public.who_import VALUES (69442, '2020-05-18', 'PL', 'Poland', 'EURO', '272', '18529', '10', '925');
INSERT INTO public.who_import VALUES (69443, '2020-05-19', 'PL', 'Poland', 'EURO', '356', '18885', '11', '936');
INSERT INTO public.who_import VALUES (69444, '2020-05-20', 'PL', 'Poland', 'EURO', '383', '19268', '12', '948');
INSERT INTO public.who_import VALUES (69445, '2020-05-21', 'PL', 'Poland', 'EURO', '471', '19739', '14', '962');
INSERT INTO public.who_import VALUES (69446, '2020-05-22', 'PL', 'Poland', 'EURO', '404', '20143', '10', '972');
INSERT INTO public.who_import VALUES (69447, '2020-05-23', 'PL', 'Poland', 'EURO', '476', '20619', '10', '982');
INSERT INTO public.who_import VALUES (69448, '2020-05-24', 'PL', 'Poland', 'EURO', '312', '20931', '11', '993');
INSERT INTO public.who_import VALUES (69449, '2020-05-25', 'PL', 'Poland', 'EURO', '395', '21326', '3', '996');
INSERT INTO public.who_import VALUES (69450, '2020-05-26', 'PL', 'Poland', 'EURO', '305', '21631', '11', '1007');
INSERT INTO public.who_import VALUES (69451, '2020-05-27', 'PL', 'Poland', 'EURO', '443', '22074', '17', '1024');
INSERT INTO public.who_import VALUES (69452, '2020-05-28', 'PL', 'Poland', 'EURO', '399', '22473', '4', '1028');
INSERT INTO public.who_import VALUES (69453, '2020-05-29', 'PL', 'Poland', 'EURO', '352', '22825', '10', '1038');
INSERT INTO public.who_import VALUES (69454, '2020-05-30', 'PL', 'Poland', 'EURO', '330', '23155', '13', '1051');
INSERT INTO public.who_import VALUES (69455, '2020-05-31', 'PL', 'Poland', 'EURO', '416', '23571', '10', '1061');
INSERT INTO public.who_import VALUES (69456, '2020-06-01', 'PL', 'Poland', 'EURO', '215', '23786', '3', '1064');
INSERT INTO public.who_import VALUES (69457, '2020-06-02', 'PL', 'Poland', 'EURO', '379', '24165', '10', '1074');
INSERT INTO public.who_import VALUES (69458, '2020-06-03', 'PL', 'Poland', 'EURO', '230', '24395', '18', '1092');
INSERT INTO public.who_import VALUES (69459, '2020-06-04', 'PL', 'Poland', 'EURO', '292', '24687', '23', '1115');
INSERT INTO public.who_import VALUES (69460, '2020-06-05', 'PL', 'Poland', 'EURO', '361', '25048', '2', '1117');
INSERT INTO public.who_import VALUES (69461, '2020-06-06', 'PL', 'Poland', 'EURO', '371', '25419', '20', '1137');
INSERT INTO public.who_import VALUES (69462, '2020-06-07', 'PL', 'Poland', 'EURO', '567', '25986', '16', '1153');
INSERT INTO public.who_import VALUES (69463, '2020-06-08', 'PL', 'Poland', 'EURO', '575', '26561', '4', '1157');
INSERT INTO public.who_import VALUES (69464, '2020-06-09', 'PL', 'Poland', 'EURO', '599', '27160', '9', '1166');
INSERT INTO public.who_import VALUES (69465, '2020-06-10', 'PL', 'Poland', 'EURO', '400', '27560', '17', '1183');
INSERT INTO public.who_import VALUES (69466, '2020-06-11', 'PL', 'Poland', 'EURO', '197', '27757', '23', '1206');
INSERT INTO public.who_import VALUES (69467, '2020-06-12', 'PL', 'Poland', 'EURO', '444', '28201', '9', '1215');
INSERT INTO public.who_import VALUES (69468, '2020-06-13', 'PL', 'Poland', 'EURO', '376', '28577', '7', '1222');
INSERT INTO public.who_import VALUES (69469, '2020-06-14', 'PL', 'Poland', 'EURO', '440', '29017', '15', '1237');
INSERT INTO public.who_import VALUES (69470, '2020-06-15', 'PL', 'Poland', 'EURO', '375', '29392', '10', '1247');
INSERT INTO public.who_import VALUES (69471, '2020-06-16', 'PL', 'Poland', 'EURO', '396', '29788', '9', '1256');
INSERT INTO public.who_import VALUES (69472, '2020-06-17', 'PL', 'Poland', 'EURO', '407', '30195', '16', '1272');
INSERT INTO public.who_import VALUES (69473, '2020-06-18', 'PL', 'Poland', 'EURO', '506', '30701', '14', '1286');
INSERT INTO public.who_import VALUES (69474, '2020-06-19', 'PL', 'Poland', 'EURO', '314', '31015', '30', '1316');
INSERT INTO public.who_import VALUES (69475, '2020-06-20', 'PL', 'Poland', 'EURO', '301', '31316', '18', '1334');
INSERT INTO public.who_import VALUES (69476, '2020-06-21', 'PL', 'Poland', 'EURO', '304', '31620', '12', '1346');
INSERT INTO public.who_import VALUES (69477, '2020-06-22', 'PL', 'Poland', 'EURO', '311', '31931', '10', '1356');
INSERT INTO public.who_import VALUES (69478, '2020-06-23', 'PL', 'Poland', 'EURO', '296', '32227', '3', '1359');
INSERT INTO public.who_import VALUES (69479, '2020-06-24', 'PL', 'Poland', 'EURO', '300', '32527', '16', '1375');
INSERT INTO public.who_import VALUES (69480, '2020-06-25', 'PL', 'Poland', 'EURO', '294', '32821', '21', '1396');
INSERT INTO public.who_import VALUES (69481, '2020-06-26', 'PL', 'Poland', 'EURO', '298', '33119', '16', '1412');
INSERT INTO public.who_import VALUES (69482, '2020-06-27', 'PL', 'Poland', 'EURO', '276', '33395', '17', '1429');
INSERT INTO public.who_import VALUES (69483, '2020-06-28', 'PL', 'Poland', 'EURO', '319', '33714', '6', '1435');
INSERT INTO public.who_import VALUES (69484, '2020-06-29', 'PL', 'Poland', 'EURO', '193', '33907', '3', '1438');
INSERT INTO public.who_import VALUES (69485, '2020-06-30', 'PL', 'Poland', 'EURO', '247', '34154', '6', '1444');
INSERT INTO public.who_import VALUES (69486, '2020-07-01', 'PL', 'Poland', 'EURO', '239', '34393', '19', '1463');
INSERT INTO public.who_import VALUES (69487, '2020-07-02', 'PL', 'Poland', 'EURO', '382', '34775', '14', '1477');
INSERT INTO public.who_import VALUES (69488, '2020-07-03', 'PL', 'Poland', 'EURO', '371', '35146', '15', '1492');
INSERT INTO public.who_import VALUES (69489, '2020-07-04', 'PL', 'Poland', 'EURO', '259', '35405', '15', '1507');
INSERT INTO public.who_import VALUES (69490, '2020-07-05', 'PL', 'Poland', 'EURO', '314', '35719', '5', '1512');
INSERT INTO public.who_import VALUES (69491, '2020-07-06', 'PL', 'Poland', 'EURO', '231', '35950', '5', '1517');
INSERT INTO public.who_import VALUES (69492, '2020-07-07', 'PL', 'Poland', 'EURO', '205', '36155', '4', '1521');
INSERT INTO public.who_import VALUES (69493, '2020-07-08', 'PL', 'Poland', 'EURO', '257', '36412', '7', '1528');
INSERT INTO public.who_import VALUES (69494, '2020-07-09', 'PL', 'Poland', 'EURO', '277', '36689', '14', '1542');
INSERT INTO public.who_import VALUES (69495, '2020-07-10', 'PL', 'Poland', 'EURO', '262', '36951', '9', '1551');
INSERT INTO public.who_import VALUES (69496, '2020-07-11', 'PL', 'Poland', 'EURO', '265', '37216', '11', '1562');
INSERT INTO public.who_import VALUES (69497, '2020-07-12', 'PL', 'Poland', 'EURO', '305', '37521', '6', '1568');
INSERT INTO public.who_import VALUES (69498, '2020-07-13', 'PL', 'Poland', 'EURO', '370', '37891', '3', '1571');
INSERT INTO public.who_import VALUES (69499, '2020-07-14', 'PL', 'Poland', 'EURO', '299', '38190', '5', '1576');
INSERT INTO public.who_import VALUES (69500, '2020-07-15', 'PL', 'Poland', 'EURO', '267', '38457', '12', '1588');
INSERT INTO public.who_import VALUES (69501, '2020-07-16', 'PL', 'Poland', 'EURO', '323', '38780', '6', '1594');
INSERT INTO public.who_import VALUES (69502, '2020-07-17', 'PL', 'Poland', 'EURO', '274', '39054', '11', '1605');
INSERT INTO public.who_import VALUES (69503, '2020-07-18', 'PL', 'Poland', 'EURO', '353', '39407', '7', '1612');
INSERT INTO public.who_import VALUES (69504, '2020-07-19', 'PL', 'Poland', 'EURO', '339', '39746', '6', '1618');
INSERT INTO public.who_import VALUES (69505, '2020-07-20', 'PL', 'Poland', 'EURO', '358', '40104', '6', '1624');
INSERT INTO public.who_import VALUES (69506, '2020-07-21', 'PL', 'Poland', 'EURO', '279', '40383', '3', '1627');
INSERT INTO public.who_import VALUES (69507, '2020-07-22', 'PL', 'Poland', 'EURO', '399', '40782', '9', '1636');
INSERT INTO public.who_import VALUES (69508, '2020-07-23', 'PL', 'Poland', 'EURO', '380', '41162', '6', '1642');
INSERT INTO public.who_import VALUES (69509, '2020-07-24', 'PL', 'Poland', 'EURO', '418', '41580', '9', '1651');
INSERT INTO public.who_import VALUES (69510, '2020-07-25', 'PL', 'Poland', 'EURO', '458', '42038', '4', '1655');
INSERT INTO public.who_import VALUES (69511, '2020-07-26', 'PL', 'Poland', 'EURO', '584', '42622', '9', '1664');
INSERT INTO public.who_import VALUES (69512, '2020-07-27', 'PL', 'Poland', 'EURO', '443', '43065', '7', '1671');
INSERT INTO public.who_import VALUES (69513, '2020-07-28', 'PL', 'Poland', 'EURO', '337', '43402', '5', '1676');
INSERT INTO public.who_import VALUES (69514, '2020-07-29', 'PL', 'Poland', 'EURO', '502', '43904', '6', '1682');
INSERT INTO public.who_import VALUES (69515, '2020-07-30', 'PL', 'Poland', 'EURO', '512', '44416', '12', '1694');
INSERT INTO public.who_import VALUES (69516, '2020-07-31', 'PL', 'Poland', 'EURO', '615', '45031', '15', '1709');
INSERT INTO public.who_import VALUES (69517, '2020-08-01', 'PL', 'Poland', 'EURO', '657', '45688', '7', '1716');
INSERT INTO public.who_import VALUES (69518, '2020-08-02', 'PL', 'Poland', 'EURO', '658', '46346', '5', '1721');
INSERT INTO public.who_import VALUES (69519, '2020-08-03', 'PL', 'Poland', 'EURO', '548', '46894', '10', '1731');
INSERT INTO public.who_import VALUES (69520, '2020-08-04', 'PL', 'Poland', 'EURO', '575', '47469', '1', '1732');
INSERT INTO public.who_import VALUES (69521, '2020-08-05', 'PL', 'Poland', 'EURO', '680', '48149', '6', '1738');
INSERT INTO public.who_import VALUES (69522, '2020-08-06', 'PL', 'Poland', 'EURO', '640', '48789', '18', '1756');
INSERT INTO public.who_import VALUES (69523, '2020-08-07', 'PL', 'Poland', 'EURO', '726', '49515', '18', '1774');
INSERT INTO public.who_import VALUES (69524, '2020-08-08', 'PL', 'Poland', 'EURO', '809', '50324', '13', '1787');
INSERT INTO public.who_import VALUES (69525, '2020-08-09', 'PL', 'Poland', 'EURO', '843', '51167', '13', '1800');
INSERT INTO public.who_import VALUES (69526, '2020-08-10', 'PL', 'Poland', 'EURO', '624', '51791', '7', '1807');
INSERT INTO public.who_import VALUES (69527, '2020-08-11', 'PL', 'Poland', 'EURO', '619', '52410', '2', '1809');
INSERT INTO public.who_import VALUES (69528, '2020-08-12', 'PL', 'Poland', 'EURO', '551', '52961', '12', '1821');
INSERT INTO public.who_import VALUES (69529, '2020-08-13', 'PL', 'Poland', 'EURO', '715', '53676', '9', '1830');
INSERT INTO public.who_import VALUES (69530, '2020-08-14', 'PL', 'Poland', 'EURO', '811', '54487', '14', '1844');
INSERT INTO public.who_import VALUES (69531, '2020-08-15', 'PL', 'Poland', 'EURO', '832', '55319', '14', '1858');
INSERT INTO public.who_import VALUES (69532, '2020-08-16', 'PL', 'Poland', 'EURO', '771', '56090', '11', '1869');
INSERT INTO public.who_import VALUES (69533, '2020-08-17', 'PL', 'Poland', 'EURO', '594', '56684', '8', '1877');
INSERT INTO public.who_import VALUES (69534, '2020-08-18', 'PL', 'Poland', 'EURO', '595', '57279', '8', '1885');
INSERT INTO public.who_import VALUES (69535, '2020-08-19', 'PL', 'Poland', 'EURO', '597', '57876', '11', '1896');
INSERT INTO public.who_import VALUES (69536, '2020-08-20', 'PL', 'Poland', 'EURO', '735', '58611', '17', '1913');
INSERT INTO public.who_import VALUES (69537, '2020-08-21', 'PL', 'Poland', 'EURO', '767', '59378', '12', '1925');
INSERT INTO public.who_import VALUES (69538, '2020-08-22', 'PL', 'Poland', 'EURO', '903', '60281', '13', '1938');
INSERT INTO public.who_import VALUES (69539, '2020-08-23', 'PL', 'Poland', 'EURO', '900', '61181', '13', '1951');
INSERT INTO public.who_import VALUES (69540, '2020-08-24', 'PL', 'Poland', 'EURO', '581', '61762', '4', '1955');
INSERT INTO public.who_import VALUES (69541, '2020-08-25', 'PL', 'Poland', 'EURO', '548', '62310', '5', '1960');
INSERT INTO public.who_import VALUES (69542, '2020-08-26', 'PL', 'Poland', 'EURO', '763', '63073', '17', '1977');
INSERT INTO public.who_import VALUES (69543, '2020-08-27', 'PL', 'Poland', 'EURO', '729', '63802', '17', '1994');
INSERT INTO public.who_import VALUES (69544, '2020-08-28', 'PL', 'Poland', 'EURO', '887', '64689', '16', '2010');
INSERT INTO public.who_import VALUES (69545, '2020-08-29', 'PL', 'Poland', 'EURO', '791', '65480', '8', '2018');
INSERT INTO public.who_import VALUES (69546, '2020-08-30', 'PL', 'Poland', 'EURO', '759', '66239', '14', '2032');
INSERT INTO public.who_import VALUES (69547, '2020-08-31', 'PL', 'Poland', 'EURO', '631', '66870', '1', '2033');
INSERT INTO public.who_import VALUES (69548, '2020-09-01', 'PL', 'Poland', 'EURO', '502', '67372', '6', '2039');
INSERT INTO public.who_import VALUES (69549, '2020-09-02', 'PL', 'Poland', 'EURO', '550', '67922', '19', '2058');
INSERT INTO public.who_import VALUES (69550, '2020-09-03', 'PL', 'Poland', 'EURO', '595', '68517', '20', '2078');
INSERT INTO public.who_import VALUES (69551, '2020-09-04', 'PL', 'Poland', 'EURO', '612', '69129', '14', '2092');
INSERT INTO public.who_import VALUES (69552, '2020-09-05', 'PL', 'Poland', 'EURO', '691', '69820', '8', '2100');
INSERT INTO public.who_import VALUES (69553, '2020-09-06', 'PL', 'Poland', 'EURO', '567', '70387', '13', '2113');
INSERT INTO public.who_import VALUES (69554, '2020-09-07', 'PL', 'Poland', 'EURO', '437', '70824', '7', '2120');
INSERT INTO public.who_import VALUES (69555, '2020-09-08', 'PL', 'Poland', 'EURO', '302', '71126', '4', '2124');
INSERT INTO public.who_import VALUES (69556, '2020-09-09', 'PL', 'Poland', 'EURO', '400', '71526', '12', '2136');
INSERT INTO public.who_import VALUES (69557, '2020-09-10', 'PL', 'Poland', 'EURO', '421', '71947', '11', '2147');
INSERT INTO public.who_import VALUES (69558, '2020-09-11', 'PL', 'Poland', 'EURO', '506', '72453', '12', '2159');
INSERT INTO public.who_import VALUES (69559, '2020-09-12', 'PL', 'Poland', 'EURO', '594', '73047', '10', '2169');
INSERT INTO public.who_import VALUES (69560, '2020-09-13', 'PL', 'Poland', 'EURO', '603', '73650', '13', '2182');
INSERT INTO public.who_import VALUES (69561, '2020-09-14', 'PL', 'Poland', 'EURO', '502', '74152', '6', '2188');
INSERT INTO public.who_import VALUES (69562, '2020-09-15', 'PL', 'Poland', 'EURO', '377', '74529', '15', '2203');
INSERT INTO public.who_import VALUES (69563, '2020-09-16', 'PL', 'Poland', 'EURO', '605', '75134', '24', '2227');
INSERT INTO public.who_import VALUES (69564, '2020-09-17', 'PL', 'Poland', 'EURO', '600', '75734', '10', '2237');
INSERT INTO public.who_import VALUES (69565, '2020-09-18', 'PL', 'Poland', 'EURO', '837', '76571', '16', '2253');
INSERT INTO public.who_import VALUES (69566, '2020-09-19', 'PL', 'Poland', 'EURO', '757', '77328', '17', '2270');
INSERT INTO public.who_import VALUES (69567, '2020-09-20', 'PL', 'Poland', 'EURO', '1002', '78330', '12', '2282');
INSERT INTO public.who_import VALUES (69568, '2020-09-21', 'PL', 'Poland', 'EURO', '910', '79240', '11', '2293');
INSERT INTO public.who_import VALUES (69569, '2020-09-22', 'PL', 'Poland', 'EURO', '748', '79988', '5', '2298');
INSERT INTO public.who_import VALUES (69570, '2020-09-23', 'PL', 'Poland', 'EURO', '711', '80699', '18', '2316');
INSERT INTO public.who_import VALUES (69571, '2020-09-24', 'PL', 'Poland', 'EURO', '974', '81673', '28', '2344');
INSERT INTO public.who_import VALUES (69572, '2020-09-25', 'PL', 'Poland', 'EURO', '1136', '82809', '25', '2369');
INSERT INTO public.who_import VALUES (69573, '2020-09-26', 'PL', 'Poland', 'EURO', '1587', '84396', '23', '2392');
INSERT INTO public.who_import VALUES (69574, '2020-09-27', 'PL', 'Poland', 'EURO', '1584', '85980', '32', '2424');
INSERT INTO public.who_import VALUES (69575, '2020-09-28', 'PL', 'Poland', 'EURO', '1350', '87330', '8', '2432');
INSERT INTO public.who_import VALUES (69576, '2020-09-29', 'PL', 'Poland', 'EURO', '1306', '88636', '15', '2447');
INSERT INTO public.who_import VALUES (69577, '2020-09-30', 'PL', 'Poland', 'EURO', '1326', '89962', '36', '2483');
INSERT INTO public.who_import VALUES (69578, '2020-10-01', 'PL', 'Poland', 'EURO', '1552', '91514', '30', '2513');
INSERT INTO public.who_import VALUES (69579, '2020-10-02', 'PL', 'Poland', 'EURO', '1967', '93481', '30', '2543');
INSERT INTO public.who_import VALUES (69580, '2020-10-03', 'PL', 'Poland', 'EURO', '2292', '95773', '27', '2570');
INSERT INTO public.who_import VALUES (69581, '2020-10-04', 'PL', 'Poland', 'EURO', '2367', '98140', '34', '2604');
INSERT INTO public.who_import VALUES (69582, '2020-10-05', 'PL', 'Poland', 'EURO', '0', '98140', '0', '2604');
INSERT INTO public.who_import VALUES (69583, '2020-10-06', 'PL', 'Poland', 'EURO', '3940', '102080', '55', '2659');
INSERT INTO public.who_import VALUES (69584, '2020-10-07', 'PL', 'Poland', 'EURO', '2236', '104316', '58', '2717');
INSERT INTO public.who_import VALUES (69585, '2020-10-08', 'PL', 'Poland', 'EURO', '3003', '107319', '75', '2792');
INSERT INTO public.who_import VALUES (69586, '2020-10-09', 'PL', 'Poland', 'EURO', '4280', '111599', '75', '2867');
INSERT INTO public.who_import VALUES (69587, '2020-10-10', 'PL', 'Poland', 'EURO', '4739', '116338', '52', '2919');
INSERT INTO public.who_import VALUES (69588, '2020-10-11', 'PL', 'Poland', 'EURO', '5300', '121638', '53', '2972');
INSERT INTO public.who_import VALUES (69589, '2020-10-12', 'PL', 'Poland', 'EURO', '4178', '125816', '32', '3004');
INSERT INTO public.who_import VALUES (69590, '2020-10-13', 'PL', 'Poland', 'EURO', '4394', '130210', '35', '3039');
INSERT INTO public.who_import VALUES (69591, '2020-10-14', 'PL', 'Poland', 'EURO', '5068', '135278', '62', '3101');
INSERT INTO public.who_import VALUES (69592, '2020-10-15', 'PL', 'Poland', 'EURO', '6526', '141804', '116', '3217');
INSERT INTO public.who_import VALUES (69593, '2020-10-16', 'PL', 'Poland', 'EURO', '8099', '149903', '91', '3308');
INSERT INTO public.who_import VALUES (69594, '2020-10-17', 'PL', 'Poland', 'EURO', '7705', '157608', '132', '3440');
INSERT INTO public.who_import VALUES (69595, '2020-10-18', 'PL', 'Poland', 'EURO', '9622', '167230', '84', '3524');
INSERT INTO public.who_import VALUES (69596, '2020-10-19', 'PL', 'Poland', 'EURO', '8536', '175766', '49', '3573');
INSERT INTO public.who_import VALUES (69597, '2020-10-20', 'PL', 'Poland', 'EURO', '7482', '183248', '41', '3614');
INSERT INTO public.who_import VALUES (69598, '2020-10-21', 'PL', 'Poland', 'EURO', '9291', '192539', '107', '3721');
INSERT INTO public.who_import VALUES (69599, '2020-10-22', 'PL', 'Poland', 'EURO', '10040', '202579', '130', '3851');
INSERT INTO public.who_import VALUES (69600, '2020-10-23', 'PL', 'Poland', 'EURO', '12107', '214686', '168', '4019');
INSERT INTO public.who_import VALUES (69601, '2020-10-24', 'PL', 'Poland', 'EURO', '13632', '228318', '153', '4172');
INSERT INTO public.who_import VALUES (69602, '2020-10-25', 'PL', 'Poland', 'EURO', '13628', '241946', '179', '4351');
INSERT INTO public.who_import VALUES (69603, '2020-10-26', 'PL', 'Poland', 'EURO', '11742', '253688', '87', '4438');
INSERT INTO public.who_import VALUES (69604, '2020-10-27', 'PL', 'Poland', 'EURO', '10241', '263929', '45', '4483');
INSERT INTO public.who_import VALUES (69605, '2020-10-28', 'PL', 'Poland', 'EURO', '16300', '280229', '132', '4615');
INSERT INTO public.who_import VALUES (69606, '2020-10-29', 'PL', 'Poland', 'EURO', '18820', '299049', '236', '4851');
INSERT INTO public.who_import VALUES (69607, '2020-10-30', 'PL', 'Poland', 'EURO', '20156', '319205', '298', '5149');
INSERT INTO public.who_import VALUES (69608, '2020-10-31', 'PL', 'Poland', 'EURO', '21629', '340834', '202', '5351');
INSERT INTO public.who_import VALUES (69609, '2020-11-01', 'PL', 'Poland', 'EURO', '21897', '362731', '280', '5631');
INSERT INTO public.who_import VALUES (69610, '2020-11-02', 'PL', 'Poland', 'EURO', '17171', '379902', '152', '5783');
INSERT INTO public.who_import VALUES (69611, '2020-11-03', 'PL', 'Poland', 'EURO', '15578', '395480', '92', '5875');
INSERT INTO public.who_import VALUES (69612, '2020-11-04', 'PL', 'Poland', 'EURO', '19364', '414844', '227', '6102');
INSERT INTO public.who_import VALUES (69613, '2020-11-05', 'PL', 'Poland', 'EURO', '24692', '439536', '373', '6475');
INSERT INTO public.who_import VALUES (69614, '2020-11-06', 'PL', 'Poland', 'EURO', '27143', '466679', '367', '6842');
INSERT INTO public.who_import VALUES (69615, '2020-11-07', 'PL', 'Poland', 'EURO', '27086', '493765', '445', '7287');
INSERT INTO public.who_import VALUES (69616, '2020-11-08', 'PL', 'Poland', 'EURO', '27875', '521640', '349', '7636');
INSERT INTO public.who_import VALUES (69617, '2020-11-09', 'PL', 'Poland', 'EURO', '24785', '546425', '236', '7872');
INSERT INTO public.who_import VALUES (69618, '2020-11-10', 'PL', 'Poland', 'EURO', '21713', '568138', '173', '8045');
INSERT INTO public.who_import VALUES (69619, '2020-11-11', 'PL', 'Poland', 'EURO', '25454', '593592', '330', '8375');
INSERT INTO public.who_import VALUES (69620, '2020-11-12', 'PL', 'Poland', 'EURO', '25221', '618813', '430', '8805');
INSERT INTO public.who_import VALUES (69621, '2020-11-13', 'PL', 'Poland', 'EURO', '22683', '641496', '275', '9080');
INSERT INTO public.who_import VALUES (69622, '2020-11-14', 'PL', 'Poland', 'EURO', '24051', '665547', '419', '9499');
INSERT INTO public.who_import VALUES (69623, '2020-11-15', 'PL', 'Poland', 'EURO', '25571', '691118', '546', '10045');
INSERT INTO public.who_import VALUES (69624, '2020-11-16', 'PL', 'Poland', 'EURO', '21854', '712972', '303', '10348');
INSERT INTO public.who_import VALUES (69625, '2020-11-17', 'PL', 'Poland', 'EURO', '20816', '733788', '143', '10491');
INSERT INTO public.who_import VALUES (69723, '2020-01-05', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69626, '2020-11-18', 'PL', 'Poland', 'EURO', '19152', '752940', '357', '10848');
INSERT INTO public.who_import VALUES (69627, '2020-11-19', 'PL', 'Poland', 'EURO', '19883', '772823', '603', '11451');
INSERT INTO public.who_import VALUES (69628, '2020-11-20', 'PL', 'Poland', 'EURO', '23975', '796798', '637', '12088');
INSERT INTO public.who_import VALUES (69629, '2020-11-21', 'PL', 'Poland', 'EURO', '22464', '819262', '626', '12714');
INSERT INTO public.who_import VALUES (69630, '2020-11-22', 'PL', 'Poland', 'EURO', '24213', '843475', '574', '13288');
INSERT INTO public.who_import VALUES (69631, '2020-11-23', 'PL', 'Poland', 'EURO', '17856', '861331', '330', '13618');
INSERT INTO public.who_import VALUES (69632, '2020-11-24', 'PL', 'Poland', 'EURO', '15002', '876333', '156', '13774');
INSERT INTO public.who_import VALUES (69633, '2020-11-25', 'PL', 'Poland', 'EURO', '32733', '909066', '540', '14314');
INSERT INTO public.who_import VALUES (69634, '2020-11-26', 'PL', 'Poland', 'EURO', '15356', '924422', '674', '14988');
INSERT INTO public.who_import VALUES (69635, '2020-11-27', 'PL', 'Poland', 'EURO', '16690', '941112', '580', '15568');
INSERT INTO public.who_import VALUES (69636, '2020-11-28', 'PL', 'Poland', 'EURO', '17304', '958416', '579', '16147');
INSERT INTO public.who_import VALUES (69637, '2020-11-29', 'PL', 'Poland', 'EURO', '15177', '973593', '599', '16746');
INSERT INTO public.who_import VALUES (69638, '2020-11-30', 'PL', 'Poland', 'EURO', '11482', '985075', '283', '17029');
INSERT INTO public.who_import VALUES (69639, '2020-12-01', 'PL', 'Poland', 'EURO', '5736', '990811', '121', '17150');
INSERT INTO public.who_import VALUES (69640, '2020-12-02', 'PL', 'Poland', 'EURO', '9113', '999924', '449', '17599');
INSERT INTO public.who_import VALUES (69641, '2020-12-03', 'PL', 'Poland', 'EURO', '13823', '1013747', '609', '18208');
INSERT INTO public.who_import VALUES (69642, '2020-12-04', 'PL', 'Poland', 'EURO', '14863', '1028610', '620', '18828');
INSERT INTO public.who_import VALUES (69643, '2020-12-05', 'PL', 'Poland', 'EURO', '13236', '1041846', '531', '19359');
INSERT INTO public.who_import VALUES (69644, '2020-12-06', 'PL', 'Poland', 'EURO', '12427', '1054273', '502', '19861');
INSERT INTO public.who_import VALUES (69645, '2020-12-07', 'PL', 'Poland', 'EURO', '9176', '1063449', '228', '20089');
INSERT INTO public.who_import VALUES (69646, '2020-12-08', 'PL', 'Poland', 'EURO', '4421', '1067870', '92', '20181');
INSERT INTO public.who_import VALUES (69647, '2020-12-09', 'PL', 'Poland', 'EURO', '8310', '1076180', '411', '20592');
INSERT INTO public.who_import VALUES (69648, '2020-12-10', 'PL', 'Poland', 'EURO', '12166', '1088346', '568', '21160');
INSERT INTO public.who_import VALUES (69649, '2020-12-11', 'PL', 'Poland', 'EURO', '13750', '1102096', '470', '21630');
INSERT INTO public.who_import VALUES (69650, '2020-12-12', 'PL', 'Poland', 'EURO', '13105', '1115201', '544', '22174');
INSERT INTO public.who_import VALUES (69651, '2020-12-13', 'PL', 'Poland', 'EURO', '11499', '1126700', '502', '22676');
INSERT INTO public.who_import VALUES (69652, '2020-12-14', 'PL', 'Poland', 'EURO', '8976', '1135676', '188', '22864');
INSERT INTO public.who_import VALUES (69653, '2020-12-15', 'PL', 'Poland', 'EURO', '11770', '1147446', '445', '23309');
INSERT INTO public.who_import VALUES (69654, '2020-12-16', 'PL', 'Poland', 'EURO', '12455', '1159901', '605', '23914');
INSERT INTO public.who_import VALUES (69655, '2020-12-17', 'PL', 'Poland', 'EURO', '11953', '1171854', '431', '24345');
INSERT INTO public.who_import VALUES (69656, '2020-12-18', 'PL', 'Poland', 'EURO', '11010', '1182864', '426', '24771');
INSERT INTO public.who_import VALUES (69657, '2020-12-19', 'PL', 'Poland', 'EURO', '11246', '1194110', '483', '25254');
INSERT INTO public.who_import VALUES (69658, '2020-12-20', 'PL', 'Poland', 'EURO', '8590', '1202700', '143', '25397');
INSERT INTO public.who_import VALUES (69659, '2020-12-21', 'PL', 'Poland', 'EURO', '4633', '1207333', '77', '25474');
INSERT INTO public.who_import VALUES (69660, '2020-12-22', 'PL', 'Poland', 'EURO', '7192', '1214525', '309', '25783');
INSERT INTO public.who_import VALUES (69661, '2020-12-23', 'PL', 'Poland', 'EURO', '12358', '1226883', '472', '26255');
INSERT INTO public.who_import VALUES (69662, '2020-12-24', 'PL', 'Poland', 'EURO', '13115', '1239998', '497', '26752');
INSERT INTO public.who_import VALUES (69663, '2020-12-25', 'PL', 'Poland', 'EURO', '9081', '1249079', '240', '26992');
INSERT INTO public.who_import VALUES (69664, '2020-12-26', 'PL', 'Poland', 'EURO', '4878', '1253957', '69', '27061');
INSERT INTO public.who_import VALUES (69665, '2020-12-27', 'PL', 'Poland', 'EURO', '3842', '1257799', '57', '27118');
INSERT INTO public.who_import VALUES (69666, '2020-12-28', 'PL', 'Poland', 'EURO', '3211', '1261010', '29', '27147');
INSERT INTO public.who_import VALUES (69667, '2020-12-29', 'PL', 'Poland', 'EURO', '7624', '1268634', '307', '27454');
INSERT INTO public.who_import VALUES (69668, '2020-12-30', 'PL', 'Poland', 'EURO', '12780', '1281414', '565', '28019');
INSERT INTO public.who_import VALUES (69669, '2020-12-31', 'PL', 'Poland', 'EURO', '13464', '1294878', '535', '28554');
INSERT INTO public.who_import VALUES (69670, '2021-01-01', 'PL', 'Poland', 'EURO', '10896', '1305774', '402', '28956');
INSERT INTO public.who_import VALUES (69671, '2021-01-02', 'PL', 'Poland', 'EURO', '7006', '1312780', '102', '29058');
INSERT INTO public.who_import VALUES (69672, '2021-01-03', 'PL', 'Poland', 'EURO', '5782', '1318562', '61', '29119');
INSERT INTO public.who_import VALUES (69673, '2021-01-04', 'PL', 'Poland', 'EURO', '4385', '1322947', '42', '29161');
INSERT INTO public.who_import VALUES (69674, '2021-01-05', 'PL', 'Poland', 'EURO', '7596', '1330543', '341', '29502');
INSERT INTO public.who_import VALUES (69675, '2021-01-06', 'PL', 'Poland', 'EURO', '14220', '1344763', '553', '30055');
INSERT INTO public.who_import VALUES (69676, '2021-01-07', 'PL', 'Poland', 'EURO', '12119', '1356882', '186', '30241');
INSERT INTO public.who_import VALUES (69677, '2021-01-08', 'PL', 'Poland', 'EURO', '8763', '1365645', '333', '30574');
INSERT INTO public.who_import VALUES (69678, '2021-01-09', 'PL', 'Poland', 'EURO', '10744', '1376389', '437', '31011');
INSERT INTO public.who_import VALUES (69679, '2021-01-10', 'PL', 'Poland', 'EURO', '9133', '1385522', '178', '31189');
INSERT INTO public.who_import VALUES (69680, '2021-01-11', 'PL', 'Poland', 'EURO', '4863', '1390385', '75', '31264');
INSERT INTO public.who_import VALUES (69681, '2021-01-12', 'PL', 'Poland', 'EURO', '5467', '1395852', '329', '31593');
INSERT INTO public.who_import VALUES (69682, '2021-01-13', 'PL', 'Poland', 'EURO', '9053', '1404905', '481', '32074');
INSERT INTO public.who_import VALUES (69683, '2021-01-14', 'PL', 'Poland', 'EURO', '9457', '1414362', '382', '32456');
INSERT INTO public.who_import VALUES (69684, '2021-01-15', 'PL', 'Poland', 'EURO', '7958', '1422320', '388', '32844');
INSERT INTO public.who_import VALUES (69685, '2021-01-16', 'PL', 'Poland', 'EURO', '7292', '1429612', '369', '33213');
INSERT INTO public.who_import VALUES (69686, '2021-01-17', 'PL', 'Poland', 'EURO', '5970', '1435582', '142', '33355');
INSERT INTO public.who_import VALUES (69687, '2021-01-18', 'PL', 'Poland', 'EURO', '3332', '1438914', '52', '33407');
INSERT INTO public.who_import VALUES (69688, '2021-01-19', 'PL', 'Poland', 'EURO', '4890', '1443804', '291', '33698');
INSERT INTO public.who_import VALUES (69689, '2021-01-20', 'PL', 'Poland', 'EURO', '6943', '1450747', '443', '34141');
INSERT INTO public.who_import VALUES (69690, '2021-01-21', 'PL', 'Poland', 'EURO', '7008', '1457755', '420', '34561');
INSERT INTO public.who_import VALUES (69691, '2021-01-22', 'PL', 'Poland', 'EURO', '6693', '1464448', '347', '34908');
INSERT INTO public.who_import VALUES (69692, '2021-01-23', 'PL', 'Poland', 'EURO', '6431', '1470879', '345', '35253');
INSERT INTO public.who_import VALUES (69693, '2021-01-24', 'PL', 'Poland', 'EURO', '4566', '1475445', '110', '35363');
INSERT INTO public.who_import VALUES (69694, '2021-01-25', 'PL', 'Poland', 'EURO', '2674', '1478119', '38', '35401');
INSERT INTO public.who_import VALUES (69695, '2021-01-26', 'PL', 'Poland', 'EURO', '4603', '1482722', '264', '35665');
INSERT INTO public.who_import VALUES (69696, '2021-01-27', 'PL', 'Poland', 'EURO', '6790', '1489512', '389', '36054');
INSERT INTO public.who_import VALUES (69697, '2021-01-28', 'PL', 'Poland', 'EURO', '7153', '1496665', '389', '36443');
INSERT INTO public.who_import VALUES (69698, '2021-01-29', 'PL', 'Poland', 'EURO', '6145', '1502810', '337', '36780');
INSERT INTO public.who_import VALUES (69699, '2021-01-30', 'PL', 'Poland', 'EURO', '5864', '1508674', '302', '37082');
INSERT INTO public.who_import VALUES (69700, '2021-01-31', 'PL', 'Poland', 'EURO', '4711', '1513385', '98', '37180');
INSERT INTO public.who_import VALUES (69701, '2021-02-01', 'PL', 'Poland', 'EURO', '2504', '1515889', '42', '37222');
INSERT INTO public.who_import VALUES (69702, '2021-02-02', 'PL', 'Poland', 'EURO', '4326', '1520215', '254', '37476');
INSERT INTO public.who_import VALUES (69703, '2021-02-03', 'PL', 'Poland', 'EURO', '6801', '1527016', '421', '37897');
INSERT INTO public.who_import VALUES (69704, '2021-02-04', 'PL', 'Poland', 'EURO', '6495', '1533511', '447', '38344');
INSERT INTO public.who_import VALUES (69705, '2021-02-05', 'PL', 'Poland', 'EURO', '6053', '1539564', '368', '38712');
INSERT INTO public.who_import VALUES (69706, '2021-02-06', 'PL', 'Poland', 'EURO', '5966', '1545530', '282', '38994');
INSERT INTO public.who_import VALUES (69707, '2021-02-07', 'PL', 'Poland', 'EURO', '4725', '1550255', '93', '39087');
INSERT INTO public.who_import VALUES (69708, '2021-02-08', 'PL', 'Poland', 'EURO', '2431', '1552686', '45', '39132');
INSERT INTO public.who_import VALUES (69709, '2021-02-09', 'PL', 'Poland', 'EURO', '3999', '1556685', '228', '39360');
INSERT INTO public.who_import VALUES (69710, '2021-02-10', 'PL', 'Poland', 'EURO', '6960', '1563645', '361', '39721');
INSERT INTO public.who_import VALUES (69711, '2021-02-11', 'PL', 'Poland', 'EURO', '7013', '1570658', '456', '40177');
INSERT INTO public.who_import VALUES (69712, '2021-02-12', 'PL', 'Poland', 'EURO', '6378', '1577036', '247', '40424');
INSERT INTO public.who_import VALUES (69713, '2021-02-13', 'PL', 'Poland', 'EURO', '6585', '1583621', '285', '40709');
INSERT INTO public.who_import VALUES (69714, '2021-02-14', 'PL', 'Poland', 'EURO', '5334', '1588955', '98', '40807');
INSERT INTO public.who_import VALUES (69715, '2021-02-15', 'PL', 'Poland', 'EURO', '2542', '1591497', '25', '40832');
INSERT INTO public.who_import VALUES (69716, '2021-02-16', 'PL', 'Poland', 'EURO', '5176', '1596673', '196', '41028');
INSERT INTO public.who_import VALUES (69717, '2021-02-17', 'PL', 'Poland', 'EURO', '8699', '1605372', '280', '41308');
INSERT INTO public.who_import VALUES (69718, '2021-02-18', 'PL', 'Poland', 'EURO', '9074', '1614446', '274', '41582');
INSERT INTO public.who_import VALUES (69719, '2021-02-19', 'PL', 'Poland', 'EURO', '8772', '1623218', '241', '41823');
INSERT INTO public.who_import VALUES (69720, '2021-02-20', 'PL', 'Poland', 'EURO', '8509', '1631727', '254', '42077');
INSERT INTO public.who_import VALUES (69721, '2020-01-03', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69722, '2020-01-04', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69724, '2020-01-06', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69725, '2020-01-07', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69726, '2020-01-08', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69727, '2020-01-09', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69728, '2020-01-10', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69729, '2020-01-11', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69730, '2020-01-12', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69731, '2020-01-13', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69732, '2020-01-14', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69733, '2020-01-15', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69734, '2020-01-16', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69735, '2020-01-17', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69736, '2020-01-18', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69737, '2020-01-19', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69738, '2020-01-20', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69739, '2020-01-21', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69740, '2020-01-22', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69741, '2020-01-23', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69742, '2020-01-24', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69743, '2020-01-25', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69744, '2020-01-26', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69745, '2020-01-27', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69746, '2020-01-28', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69747, '2020-01-29', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69748, '2020-01-30', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69749, '2020-01-31', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69750, '2020-02-01', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69751, '2020-02-02', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69752, '2020-02-03', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69753, '2020-02-04', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69754, '2020-02-05', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69755, '2020-02-06', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69756, '2020-02-07', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69757, '2020-02-08', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69758, '2020-02-09', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69759, '2020-02-10', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69760, '2020-02-11', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69761, '2020-02-12', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69762, '2020-02-13', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69763, '2020-02-14', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69764, '2020-02-15', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69765, '2020-02-16', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69766, '2020-02-17', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69767, '2020-02-18', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69768, '2020-02-19', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69769, '2020-02-20', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69770, '2020-02-21', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69771, '2020-02-22', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69772, '2020-02-23', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69773, '2020-02-24', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69774, '2020-02-25', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69775, '2020-02-26', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69776, '2020-02-27', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69777, '2020-02-28', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69778, '2020-02-29', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69779, '2020-03-01', 'PT', 'Portugal', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (69780, '2020-03-02', 'PT', 'Portugal', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (69781, '2020-03-03', 'PT', 'Portugal', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (69782, '2020-03-04', 'PT', 'Portugal', 'EURO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (69783, '2020-03-05', 'PT', 'Portugal', 'EURO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (69784, '2020-03-06', 'PT', 'Portugal', 'EURO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (69785, '2020-03-07', 'PT', 'Portugal', 'EURO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (69786, '2020-03-08', 'PT', 'Portugal', 'EURO', '8', '21', '0', '0');
INSERT INTO public.who_import VALUES (69787, '2020-03-09', 'PT', 'Portugal', 'EURO', '9', '30', '0', '0');
INSERT INTO public.who_import VALUES (69788, '2020-03-10', 'PT', 'Portugal', 'EURO', '9', '39', '0', '0');
INSERT INTO public.who_import VALUES (69789, '2020-03-11', 'PT', 'Portugal', 'EURO', '2', '41', '0', '0');
INSERT INTO public.who_import VALUES (69790, '2020-03-12', 'PT', 'Portugal', 'EURO', '18', '59', '0', '0');
INSERT INTO public.who_import VALUES (69791, '2020-03-13', 'PT', 'Portugal', 'EURO', '19', '78', '0', '0');
INSERT INTO public.who_import VALUES (69792, '2020-03-14', 'PT', 'Portugal', 'EURO', '34', '112', '0', '0');
INSERT INTO public.who_import VALUES (69793, '2020-03-15', 'PT', 'Portugal', 'EURO', '57', '169', '0', '0');
INSERT INTO public.who_import VALUES (69794, '2020-03-16', 'PT', 'Portugal', 'EURO', '76', '245', '0', '0');
INSERT INTO public.who_import VALUES (69795, '2020-03-17', 'PT', 'Portugal', 'EURO', '86', '331', '0', '0');
INSERT INTO public.who_import VALUES (69796, '2020-03-18', 'PT', 'Portugal', 'EURO', '117', '448', '1', '1');
INSERT INTO public.who_import VALUES (69797, '2020-03-19', 'PT', 'Portugal', 'EURO', '194', '642', '1', '2');
INSERT INTO public.who_import VALUES (69798, '2020-03-20', 'PT', 'Portugal', 'EURO', '143', '785', '1', '3');
INSERT INTO public.who_import VALUES (69799, '2020-03-21', 'PT', 'Portugal', 'EURO', '235', '1020', '3', '6');
INSERT INTO public.who_import VALUES (69800, '2020-03-22', 'PT', 'Portugal', 'EURO', '260', '1280', '6', '12');
INSERT INTO public.who_import VALUES (69801, '2020-03-23', 'PT', 'Portugal', 'EURO', '320', '1600', '2', '14');
INSERT INTO public.who_import VALUES (69802, '2020-03-24', 'PT', 'Portugal', 'EURO', '460', '2060', '9', '23');
INSERT INTO public.who_import VALUES (69803, '2020-03-25', 'PT', 'Portugal', 'EURO', '302', '2362', '10', '33');
INSERT INTO public.who_import VALUES (69804, '2020-03-26', 'PT', 'Portugal', 'EURO', '633', '2995', '10', '43');
INSERT INTO public.who_import VALUES (69805, '2020-03-27', 'PT', 'Portugal', 'EURO', '549', '3544', '17', '60');
INSERT INTO public.who_import VALUES (69806, '2020-03-28', 'PT', 'Portugal', 'EURO', '724', '4268', '16', '76');
INSERT INTO public.who_import VALUES (69807, '2020-03-29', 'PT', 'Portugal', 'EURO', '902', '5170', '24', '100');
INSERT INTO public.who_import VALUES (69808, '2020-03-30', 'PT', 'Portugal', 'EURO', '792', '5962', '19', '119');
INSERT INTO public.who_import VALUES (69809, '2020-03-31', 'PT', 'Portugal', 'EURO', '446', '6408', '21', '140');
INSERT INTO public.who_import VALUES (69810, '2020-04-01', 'PT', 'Portugal', 'EURO', '1035', '7443', '20', '160');
INSERT INTO public.who_import VALUES (69811, '2020-04-02', 'PT', 'Portugal', 'EURO', '808', '8251', '27', '187');
INSERT INTO public.who_import VALUES (69812, '2020-04-03', 'PT', 'Portugal', 'EURO', '783', '9034', '22', '209');
INSERT INTO public.who_import VALUES (69813, '2020-04-04', 'PT', 'Portugal', 'EURO', '852', '9886', '37', '246');
INSERT INTO public.who_import VALUES (69814, '2020-04-05', 'PT', 'Portugal', 'EURO', '638', '10524', '20', '266');
INSERT INTO public.who_import VALUES (69815, '2020-04-06', 'PT', 'Portugal', 'EURO', '754', '11278', '29', '295');
INSERT INTO public.who_import VALUES (69816, '2020-04-07', 'PT', 'Portugal', 'EURO', '452', '11730', '16', '311');
INSERT INTO public.who_import VALUES (69817, '2020-04-08', 'PT', 'Portugal', 'EURO', '712', '12442', '34', '345');
INSERT INTO public.who_import VALUES (69818, '2020-04-09', 'PT', 'Portugal', 'EURO', '699', '13141', '35', '380');
INSERT INTO public.who_import VALUES (69819, '2020-04-10', 'PT', 'Portugal', 'EURO', '815', '13956', '29', '409');
INSERT INTO public.who_import VALUES (69820, '2020-04-11', 'PT', 'Portugal', 'EURO', '1516', '15472', '26', '435');
INSERT INTO public.who_import VALUES (69821, '2020-04-12', 'PT', 'Portugal', 'EURO', '515', '15987', '35', '470');
INSERT INTO public.who_import VALUES (69822, '2020-04-13', 'PT', 'Portugal', 'EURO', '598', '16585', '34', '504');
INSERT INTO public.who_import VALUES (69823, '2020-04-14', 'PT', 'Portugal', 'EURO', '349', '16934', '31', '535');
INSERT INTO public.who_import VALUES (69824, '2020-04-15', 'PT', 'Portugal', 'EURO', '514', '17448', '32', '567');
INSERT INTO public.who_import VALUES (69825, '2020-04-16', 'PT', 'Portugal', 'EURO', '643', '18091', '32', '599');
INSERT INTO public.who_import VALUES (69826, '2020-04-17', 'PT', 'Portugal', 'EURO', '750', '18841', '30', '629');
INSERT INTO public.who_import VALUES (69827, '2020-04-18', 'PT', 'Portugal', 'EURO', '181', '19022', '28', '657');
INSERT INTO public.who_import VALUES (69828, '2020-04-19', 'PT', 'Portugal', 'EURO', '663', '19685', '30', '687');
INSERT INTO public.who_import VALUES (69829, '2020-04-20', 'PT', 'Portugal', 'EURO', '521', '20206', '27', '714');
INSERT INTO public.who_import VALUES (69830, '2020-04-21', 'PT', 'Portugal', 'EURO', '657', '20863', '21', '735');
INSERT INTO public.who_import VALUES (69831, '2020-04-22', 'PT', 'Portugal', 'EURO', '516', '21379', '27', '762');
INSERT INTO public.who_import VALUES (69832, '2020-04-23', 'PT', 'Portugal', 'EURO', '603', '21982', '23', '785');
INSERT INTO public.who_import VALUES (69833, '2020-04-24', 'PT', 'Portugal', 'EURO', '371', '22353', '35', '820');
INSERT INTO public.who_import VALUES (69834, '2020-04-25', 'PT', 'Portugal', 'EURO', '918', '23271', '60', '880');
INSERT INTO public.who_import VALUES (69835, '2020-04-26', 'PT', 'Portugal', 'EURO', '412', '23683', '23', '903');
INSERT INTO public.who_import VALUES (69836, '2020-04-27', 'PT', 'Portugal', 'EURO', '163', '23846', '25', '928');
INSERT INTO public.who_import VALUES (69837, '2020-04-28', 'PT', 'Portugal', 'EURO', '298', '24144', '20', '948');
INSERT INTO public.who_import VALUES (69838, '2020-04-29', 'PT', 'Portugal', 'EURO', '180', '24324', '25', '973');
INSERT INTO public.who_import VALUES (69839, '2020-04-30', 'PT', 'Portugal', 'EURO', '368', '24692', '16', '989');
INSERT INTO public.who_import VALUES (69840, '2020-05-01', 'PT', 'Portugal', 'EURO', '295', '24987', '18', '1007');
INSERT INTO public.who_import VALUES (69841, '2020-05-02', 'PT', 'Portugal', 'EURO', '364', '25351', '0', '1007');
INSERT INTO public.who_import VALUES (69842, '2020-05-03', 'PT', 'Portugal', 'EURO', '-161', '25190', '16', '1023');
INSERT INTO public.who_import VALUES (69843, '2020-05-04', 'PT', 'Portugal', 'EURO', '334', '25524', '40', '1063');
INSERT INTO public.who_import VALUES (69844, '2020-05-05', 'PT', 'Portugal', 'EURO', '0', '25524', '0', '1063');
INSERT INTO public.who_import VALUES (69845, '2020-05-06', 'PT', 'Portugal', 'EURO', '178', '25702', '11', '1074');
INSERT INTO public.who_import VALUES (69846, '2020-05-07', 'PT', 'Portugal', 'EURO', '480', '26182', '15', '1089');
INSERT INTO public.who_import VALUES (69847, '2020-05-08', 'PT', 'Portugal', 'EURO', '533', '26715', '16', '1105');
INSERT INTO public.who_import VALUES (69848, '2020-05-09', 'PT', 'Portugal', 'EURO', '553', '27268', '9', '1114');
INSERT INTO public.who_import VALUES (69849, '2020-05-10', 'PT', 'Portugal', 'EURO', '138', '27406', '12', '1126');
INSERT INTO public.who_import VALUES (69850, '2020-05-11', 'PT', 'Portugal', 'EURO', '175', '27581', '9', '1135');
INSERT INTO public.who_import VALUES (69851, '2020-05-12', 'PT', 'Portugal', 'EURO', '98', '27679', '9', '1144');
INSERT INTO public.who_import VALUES (69852, '2020-05-13', 'PT', 'Portugal', 'EURO', '234', '27913', '19', '1163');
INSERT INTO public.who_import VALUES (69853, '2020-05-14', 'PT', 'Portugal', 'EURO', '219', '28132', '12', '1175');
INSERT INTO public.who_import VALUES (69854, '2020-05-15', 'PT', 'Portugal', 'EURO', '187', '28319', '9', '1184');
INSERT INTO public.who_import VALUES (69855, '2020-05-16', 'PT', 'Portugal', 'EURO', '264', '28583', '6', '1190');
INSERT INTO public.who_import VALUES (69856, '2020-05-17', 'PT', 'Portugal', 'EURO', '227', '28810', '13', '1203');
INSERT INTO public.who_import VALUES (69857, '2020-05-18', 'PT', 'Portugal', 'EURO', '226', '29036', '15', '1218');
INSERT INTO public.who_import VALUES (69858, '2020-05-19', 'PT', 'Portugal', 'EURO', '173', '29209', '13', '1231');
INSERT INTO public.who_import VALUES (69859, '2020-05-20', 'PT', 'Portugal', 'EURO', '223', '29432', '16', '1247');
INSERT INTO public.who_import VALUES (69860, '2020-05-21', 'PT', 'Portugal', 'EURO', '228', '29660', '16', '1263');
INSERT INTO public.who_import VALUES (69861, '2020-05-22', 'PT', 'Portugal', 'EURO', '252', '29912', '14', '1277');
INSERT INTO public.who_import VALUES (69862, '2020-05-23', 'PT', 'Portugal', 'EURO', '288', '30200', '12', '1289');
INSERT INTO public.who_import VALUES (69863, '2020-05-24', 'PT', 'Portugal', 'EURO', '271', '30471', '13', '1302');
INSERT INTO public.who_import VALUES (69864, '2020-05-25', 'PT', 'Portugal', 'EURO', '152', '30623', '14', '1316');
INSERT INTO public.who_import VALUES (69865, '2020-05-26', 'PT', 'Portugal', 'EURO', '165', '30788', '14', '1330');
INSERT INTO public.who_import VALUES (69866, '2020-05-27', 'PT', 'Portugal', 'EURO', '219', '31007', '12', '1342');
INSERT INTO public.who_import VALUES (69867, '2020-05-28', 'PT', 'Portugal', 'EURO', '285', '31292', '14', '1356');
INSERT INTO public.who_import VALUES (69868, '2020-05-29', 'PT', 'Portugal', 'EURO', '304', '31596', '13', '1369');
INSERT INTO public.who_import VALUES (69869, '2020-05-30', 'PT', 'Portugal', 'EURO', '350', '31946', '14', '1383');
INSERT INTO public.who_import VALUES (69870, '2020-05-31', 'PT', 'Portugal', 'EURO', '257', '32203', '13', '1396');
INSERT INTO public.who_import VALUES (69871, '2020-06-01', 'PT', 'Portugal', 'EURO', '297', '32500', '14', '1410');
INSERT INTO public.who_import VALUES (69872, '2020-06-02', 'PT', 'Portugal', 'EURO', '200', '32700', '14', '1424');
INSERT INTO public.who_import VALUES (69873, '2020-06-03', 'PT', 'Portugal', 'EURO', '195', '32895', '12', '1436');
INSERT INTO public.who_import VALUES (69874, '2020-06-04', 'PT', 'Portugal', 'EURO', '366', '33261', '11', '1447');
INSERT INTO public.who_import VALUES (69875, '2020-06-05', 'PT', 'Portugal', 'EURO', '331', '33592', '8', '1455');
INSERT INTO public.who_import VALUES (69876, '2020-06-06', 'PT', 'Portugal', 'EURO', '377', '33969', '10', '1465');
INSERT INTO public.who_import VALUES (69877, '2020-06-07', 'PT', 'Portugal', 'EURO', '382', '34351', '9', '1474');
INSERT INTO public.who_import VALUES (69878, '2020-06-08', 'PT', 'Portugal', 'EURO', '142', '34493', '5', '1479');
INSERT INTO public.who_import VALUES (69879, '2020-06-09', 'PT', 'Portugal', 'EURO', '392', '34885', '6', '1485');
INSERT INTO public.who_import VALUES (69880, '2020-06-10', 'PT', 'Portugal', 'EURO', '421', '35306', '7', '1492');
INSERT INTO public.who_import VALUES (69881, '2020-06-11', 'PT', 'Portugal', 'EURO', '294', '35600', '3', '1495');
INSERT INTO public.who_import VALUES (69882, '2020-06-12', 'PT', 'Portugal', 'EURO', '310', '35910', '9', '1504');
INSERT INTO public.who_import VALUES (69883, '2020-06-13', 'PT', 'Portugal', 'EURO', '270', '36180', '1', '1505');
INSERT INTO public.who_import VALUES (69884, '2020-06-14', 'PT', 'Portugal', 'EURO', '283', '36463', '7', '1512');
INSERT INTO public.who_import VALUES (69885, '2020-06-15', 'PT', 'Portugal', 'EURO', '227', '36690', '5', '1517');
INSERT INTO public.who_import VALUES (69886, '2020-06-16', 'PT', 'Portugal', 'EURO', '346', '37036', '3', '1520');
INSERT INTO public.who_import VALUES (69887, '2020-06-17', 'PT', 'Portugal', 'EURO', '300', '37336', '2', '1522');
INSERT INTO public.who_import VALUES (69888, '2020-06-18', 'PT', 'Portugal', 'EURO', '336', '37672', '1', '1523');
INSERT INTO public.who_import VALUES (69889, '2020-06-19', 'PT', 'Portugal', 'EURO', '417', '38089', '1', '1524');
INSERT INTO public.who_import VALUES (69890, '2020-06-20', 'PT', 'Portugal', 'EURO', '375', '38464', '3', '1527');
INSERT INTO public.who_import VALUES (69891, '2020-06-21', 'PT', 'Portugal', 'EURO', '377', '38841', '1', '1528');
INSERT INTO public.who_import VALUES (69892, '2020-06-22', 'PT', 'Portugal', 'EURO', '292', '39133', '2', '1530');
INSERT INTO public.who_import VALUES (69893, '2020-06-23', 'PT', 'Portugal', 'EURO', '259', '39392', '4', '1534');
INSERT INTO public.who_import VALUES (69894, '2020-06-24', 'PT', 'Portugal', 'EURO', '345', '39737', '6', '1540');
INSERT INTO public.who_import VALUES (69895, '2020-06-25', 'PT', 'Portugal', 'EURO', '367', '40104', '3', '1543');
INSERT INTO public.who_import VALUES (69896, '2020-06-26', 'PT', 'Portugal', 'EURO', '311', '40415', '6', '1549');
INSERT INTO public.who_import VALUES (69897, '2020-06-27', 'PT', 'Portugal', 'EURO', '451', '40866', '6', '1555');
INSERT INTO public.who_import VALUES (69898, '2020-06-28', 'PT', 'Portugal', 'EURO', '323', '41189', '6', '1561');
INSERT INTO public.who_import VALUES (69899, '2020-06-29', 'PT', 'Portugal', 'EURO', '457', '41646', '3', '1564');
INSERT INTO public.who_import VALUES (69900, '2020-06-30', 'PT', 'Portugal', 'EURO', '266', '41912', '4', '1568');
INSERT INTO public.who_import VALUES (69901, '2020-07-01', 'PT', 'Portugal', 'EURO', '229', '42141', '8', '1576');
INSERT INTO public.who_import VALUES (69902, '2020-07-02', 'PT', 'Portugal', 'EURO', '313', '42454', '3', '1579');
INSERT INTO public.who_import VALUES (69903, '2020-07-03', 'PT', 'Portugal', 'EURO', '328', '42782', '8', '1587');
INSERT INTO public.who_import VALUES (69904, '2020-07-04', 'PT', 'Portugal', 'EURO', '374', '43156', '11', '1598');
INSERT INTO public.who_import VALUES (69905, '2020-07-05', 'PT', 'Portugal', 'EURO', '413', '43569', '7', '1605');
INSERT INTO public.who_import VALUES (69906, '2020-07-06', 'PT', 'Portugal', 'EURO', '328', '43897', '9', '1614');
INSERT INTO public.who_import VALUES (69907, '2020-07-07', 'PT', 'Portugal', 'EURO', '232', '44129', '6', '1620');
INSERT INTO public.who_import VALUES (69908, '2020-07-08', 'PT', 'Portugal', 'EURO', '287', '44416', '9', '1629');
INSERT INTO public.who_import VALUES (69909, '2020-07-09', 'PT', 'Portugal', 'EURO', '443', '44859', '2', '1631');
INSERT INTO public.who_import VALUES (69910, '2020-07-10', 'PT', 'Portugal', 'EURO', '418', '45277', '13', '1644');
INSERT INTO public.who_import VALUES (69911, '2020-07-11', 'PT', 'Portugal', 'EURO', '402', '45679', '2', '1646');
INSERT INTO public.who_import VALUES (69912, '2020-07-12', 'PT', 'Portugal', 'EURO', '542', '46221', '8', '1654');
INSERT INTO public.who_import VALUES (69913, '2020-07-13', 'PT', 'Portugal', 'EURO', '291', '46512', '6', '1660');
INSERT INTO public.who_import VALUES (69914, '2020-07-14', 'PT', 'Portugal', 'EURO', '306', '46818', '2', '1662');
INSERT INTO public.who_import VALUES (69915, '2020-07-15', 'PT', 'Portugal', 'EURO', '233', '47051', '6', '1668');
INSERT INTO public.who_import VALUES (69916, '2020-07-16', 'PT', 'Portugal', 'EURO', '375', '47426', '8', '1676');
INSERT INTO public.who_import VALUES (69917, '2020-07-17', 'PT', 'Portugal', 'EURO', '339', '47765', '3', '1679');
INSERT INTO public.who_import VALUES (69918, '2020-07-18', 'PT', 'Portugal', 'EURO', '312', '48077', '3', '1682');
INSERT INTO public.who_import VALUES (69919, '2020-07-19', 'PT', 'Portugal', 'EURO', '313', '48390', '2', '1684');
INSERT INTO public.who_import VALUES (69920, '2020-07-20', 'PT', 'Portugal', 'EURO', '246', '48636', '5', '1689');
INSERT INTO public.who_import VALUES (69921, '2020-07-21', 'PT', 'Portugal', 'EURO', '135', '48771', '2', '1691');
INSERT INTO public.who_import VALUES (69922, '2020-07-22', 'PT', 'Portugal', 'EURO', '127', '48898', '6', '1697');
INSERT INTO public.who_import VALUES (69923, '2020-07-23', 'PT', 'Portugal', 'EURO', '252', '49150', '5', '1702');
INSERT INTO public.who_import VALUES (69924, '2020-07-24', 'PT', 'Portugal', 'EURO', '229', '49379', '3', '1705');
INSERT INTO public.who_import VALUES (69925, '2020-07-25', 'PT', 'Portugal', 'EURO', '313', '49692', '7', '1712');
INSERT INTO public.who_import VALUES (69926, '2020-07-26', 'PT', 'Portugal', 'EURO', '263', '49955', '4', '1716');
INSERT INTO public.who_import VALUES (69927, '2020-07-27', 'PT', 'Portugal', 'EURO', '209', '50164', '1', '1717');
INSERT INTO public.who_import VALUES (69928, '2020-07-28', 'PT', 'Portugal', 'EURO', '135', '50299', '2', '1719');
INSERT INTO public.who_import VALUES (69929, '2020-07-29', 'PT', 'Portugal', 'EURO', '111', '50410', '3', '1722');
INSERT INTO public.who_import VALUES (69930, '2020-07-30', 'PT', 'Portugal', 'EURO', '203', '50613', '3', '1725');
INSERT INTO public.who_import VALUES (69931, '2020-07-31', 'PT', 'Portugal', 'EURO', '255', '50868', '2', '1727');
INSERT INTO public.who_import VALUES (69932, '2020-08-01', 'PT', 'Portugal', 'EURO', '204', '51072', '8', '1735');
INSERT INTO public.who_import VALUES (69933, '2020-08-02', 'PT', 'Portugal', 'EURO', '238', '51310', '2', '1737');
INSERT INTO public.who_import VALUES (69934, '2020-08-03', 'PT', 'Portugal', 'EURO', '153', '51463', '1', '1738');
INSERT INTO public.who_import VALUES (69935, '2020-08-04', 'PT', 'Portugal', 'EURO', '106', '51569', '0', '1738');
INSERT INTO public.who_import VALUES (69936, '2020-08-05', 'PT', 'Portugal', 'EURO', '112', '51681', '1', '1739');
INSERT INTO public.who_import VALUES (69937, '2020-08-06', 'PT', 'Portugal', 'EURO', '167', '51848', '1', '1740');
INSERT INTO public.who_import VALUES (69938, '2020-08-07', 'PT', 'Portugal', 'EURO', '213', '52061', '3', '1743');
INSERT INTO public.who_import VALUES (69939, '2020-08-08', 'PT', 'Portugal', 'EURO', '290', '52351', '3', '1746');
INSERT INTO public.who_import VALUES (69940, '2020-08-09', 'PT', 'Portugal', 'EURO', '186', '52537', '4', '1750');
INSERT INTO public.who_import VALUES (69941, '2020-08-10', 'PT', 'Portugal', 'EURO', '131', '52668', '6', '1756');
INSERT INTO public.who_import VALUES (69942, '2020-08-11', 'PT', 'Portugal', 'EURO', '157', '52825', '3', '1759');
INSERT INTO public.who_import VALUES (69943, '2020-08-12', 'PT', 'Portugal', 'EURO', '120', '52945', '2', '1761');
INSERT INTO public.who_import VALUES (69944, '2020-08-13', 'PT', 'Portugal', 'EURO', '278', '53223', '3', '1764');
INSERT INTO public.who_import VALUES (69945, '2020-08-14', 'PT', 'Portugal', 'EURO', '325', '53548', '6', '1770');
INSERT INTO public.who_import VALUES (69946, '2020-08-15', 'PT', 'Portugal', 'EURO', '235', '53783', '2', '1772');
INSERT INTO public.who_import VALUES (69947, '2020-08-16', 'PT', 'Portugal', 'EURO', '198', '53981', '3', '1775');
INSERT INTO public.who_import VALUES (69948, '2020-08-17', 'PT', 'Portugal', 'EURO', '121', '54102', '3', '1778');
INSERT INTO public.who_import VALUES (69949, '2020-08-18', 'PT', 'Portugal', 'EURO', '132', '54234', '1', '1779');
INSERT INTO public.who_import VALUES (69950, '2020-08-19', 'PT', 'Portugal', 'EURO', '214', '54448', '5', '1784');
INSERT INTO public.who_import VALUES (69951, '2020-08-20', 'PT', 'Portugal', 'EURO', '253', '54701', '2', '1786');
INSERT INTO public.who_import VALUES (69952, '2020-08-21', 'PT', 'Portugal', 'EURO', '291', '54992', '2', '1788');
INSERT INTO public.who_import VALUES (69953, '2020-08-22', 'PT', 'Portugal', 'EURO', '219', '55211', '4', '1792');
INSERT INTO public.who_import VALUES (69954, '2020-08-23', 'PT', 'Portugal', 'EURO', '241', '55452', '2', '1794');
INSERT INTO public.who_import VALUES (69955, '2020-08-24', 'PT', 'Portugal', 'EURO', '145', '55597', '2', '1796');
INSERT INTO public.who_import VALUES (69956, '2020-08-25', 'PT', 'Portugal', 'EURO', '123', '55720', '5', '1801');
INSERT INTO public.who_import VALUES (69957, '2020-08-26', 'PT', 'Portugal', 'EURO', '192', '55912', '4', '1805');
INSERT INTO public.who_import VALUES (69958, '2020-08-27', 'PT', 'Portugal', 'EURO', '362', '56274', '2', '1807');
INSERT INTO public.who_import VALUES (69959, '2020-08-28', 'PT', 'Portugal', 'EURO', '399', '56673', '2', '1809');
INSERT INTO public.who_import VALUES (69960, '2020-08-29', 'PT', 'Portugal', 'EURO', '401', '57074', '6', '1815');
INSERT INTO public.who_import VALUES (69961, '2020-08-30', 'PT', 'Portugal', 'EURO', '374', '57448', '3', '1818');
INSERT INTO public.who_import VALUES (69962, '2020-08-31', 'PT', 'Portugal', 'EURO', '320', '57768', '1', '1819');
INSERT INTO public.who_import VALUES (69963, '2020-09-01', 'PT', 'Portugal', 'EURO', '244', '58012', '3', '1822');
INSERT INTO public.who_import VALUES (69964, '2020-09-02', 'PT', 'Portugal', 'EURO', '231', '58243', '2', '1824');
INSERT INTO public.who_import VALUES (69965, '2020-09-03', 'PT', 'Portugal', 'EURO', '390', '58633', '3', '1827');
INSERT INTO public.who_import VALUES (69966, '2020-09-04', 'PT', 'Portugal', 'EURO', '418', '59051', '2', '1829');
INSERT INTO public.who_import VALUES (69967, '2020-09-05', 'PT', 'Portugal', 'EURO', '406', '59457', '4', '1833');
INSERT INTO public.who_import VALUES (69968, '2020-09-06', 'PT', 'Portugal', 'EURO', '486', '59943', '5', '1838');
INSERT INTO public.who_import VALUES (69969, '2020-09-07', 'PT', 'Portugal', 'EURO', '315', '60258', '2', '1840');
INSERT INTO public.who_import VALUES (69970, '2020-09-08', 'PT', 'Portugal', 'EURO', '249', '60507', '3', '1843');
INSERT INTO public.who_import VALUES (69971, '2020-09-09', 'PT', 'Portugal', 'EURO', '388', '60895', '3', '1846');
INSERT INTO public.who_import VALUES (69972, '2020-09-10', 'PT', 'Portugal', 'EURO', '646', '61541', '3', '1849');
INSERT INTO public.who_import VALUES (69973, '2020-09-11', 'PT', 'Portugal', 'EURO', '585', '62126', '3', '1852');
INSERT INTO public.who_import VALUES (69974, '2020-09-12', 'PT', 'Portugal', 'EURO', '687', '62813', '3', '1855');
INSERT INTO public.who_import VALUES (69975, '2020-09-13', 'PT', 'Portugal', 'EURO', '497', '63310', '5', '1860');
INSERT INTO public.who_import VALUES (69976, '2020-09-14', 'PT', 'Portugal', 'EURO', '673', '63983', '7', '1867');
INSERT INTO public.who_import VALUES (69977, '2020-09-15', 'PT', 'Portugal', 'EURO', '613', '64596', '4', '1871');
INSERT INTO public.who_import VALUES (69978, '2020-09-16', 'PT', 'Portugal', 'EURO', '425', '65021', '4', '1875');
INSERT INTO public.who_import VALUES (69979, '2020-09-17', 'PT', 'Portugal', 'EURO', '605', '65626', '3', '1878');
INSERT INTO public.who_import VALUES (69980, '2020-09-18', 'PT', 'Portugal', 'EURO', '770', '66396', '10', '1888');
INSERT INTO public.who_import VALUES (69981, '2020-09-19', 'PT', 'Portugal', 'EURO', '780', '67176', '6', '1894');
INSERT INTO public.who_import VALUES (69982, '2020-09-20', 'PT', 'Portugal', 'EURO', '849', '68025', '5', '1899');
INSERT INTO public.who_import VALUES (69983, '2020-09-21', 'PT', 'Portugal', 'EURO', '552', '68577', '13', '1912');
INSERT INTO public.who_import VALUES (69984, '2020-09-22', 'PT', 'Portugal', 'EURO', '623', '69200', '8', '1920');
INSERT INTO public.who_import VALUES (69985, '2020-09-23', 'PT', 'Portugal', 'EURO', '463', '69663', '5', '1925');
INSERT INTO public.who_import VALUES (69986, '2020-09-24', 'PT', 'Portugal', 'EURO', '802', '70465', '3', '1928');
INSERT INTO public.who_import VALUES (69987, '2020-09-25', 'PT', 'Portugal', 'EURO', '691', '71156', '3', '1931');
INSERT INTO public.who_import VALUES (69988, '2020-09-26', 'PT', 'Portugal', 'EURO', '899', '72055', '5', '1936');
INSERT INTO public.who_import VALUES (69989, '2020-09-27', 'PT', 'Portugal', 'EURO', '884', '72939', '8', '1944');
INSERT INTO public.who_import VALUES (69990, '2020-09-28', 'PT', 'Portugal', 'EURO', '665', '73604', '9', '1953');
INSERT INTO public.who_import VALUES (69991, '2020-09-29', 'PT', 'Portugal', 'EURO', '425', '74029', '4', '1957');
INSERT INTO public.who_import VALUES (69992, '2020-09-30', 'PT', 'Portugal', 'EURO', '688', '74717', '6', '1963');
INSERT INTO public.who_import VALUES (69993, '2020-10-01', 'PT', 'Portugal', 'EURO', '825', '75542', '8', '1971');
INSERT INTO public.who_import VALUES (69994, '2020-10-02', 'PT', 'Portugal', 'EURO', '854', '76396', '6', '1977');
INSERT INTO public.who_import VALUES (69995, '2020-10-03', 'PT', 'Portugal', 'EURO', '888', '77284', '6', '1983');
INSERT INTO public.who_import VALUES (69996, '2020-10-04', 'PT', 'Portugal', 'EURO', '963', '78247', '12', '1995');
INSERT INTO public.who_import VALUES (69997, '2020-10-05', 'PT', 'Portugal', 'EURO', '0', '78247', '0', '1995');
INSERT INTO public.who_import VALUES (69998, '2020-10-06', 'PT', 'Portugal', 'EURO', '1638', '79885', '23', '2018');
INSERT INTO public.who_import VALUES (69999, '2020-10-07', 'PT', 'Portugal', 'EURO', '427', '80312', '14', '2032');
INSERT INTO public.who_import VALUES (70000, '2020-10-08', 'PT', 'Portugal', 'EURO', '944', '81256', '8', '2040');
INSERT INTO public.who_import VALUES (70001, '2020-10-09', 'PT', 'Portugal', 'EURO', '1278', '82534', '10', '2050');
INSERT INTO public.who_import VALUES (70002, '2020-10-10', 'PT', 'Portugal', 'EURO', '1394', '83928', '12', '2062');
INSERT INTO public.who_import VALUES (70003, '2020-10-11', 'PT', 'Portugal', 'EURO', '1646', '85574', '5', '2067');
INSERT INTO public.who_import VALUES (70004, '2020-10-12', 'PT', 'Portugal', 'EURO', '1090', '86664', '13', '2080');
INSERT INTO public.who_import VALUES (70005, '2020-10-13', 'PT', 'Portugal', 'EURO', '1249', '87913', '14', '2094');
INSERT INTO public.who_import VALUES (70006, '2020-10-14', 'PT', 'Portugal', 'EURO', '1208', '89121', '16', '2110');
INSERT INTO public.who_import VALUES (70007, '2020-10-15', 'PT', 'Portugal', 'EURO', '2072', '91193', '7', '2117');
INSERT INTO public.who_import VALUES (70008, '2020-10-16', 'PT', 'Portugal', 'EURO', '2101', '93294', '11', '2128');
INSERT INTO public.who_import VALUES (70009, '2020-10-17', 'PT', 'Portugal', 'EURO', '2608', '95902', '21', '2149');
INSERT INTO public.who_import VALUES (70010, '2020-10-18', 'PT', 'Portugal', 'EURO', '2153', '98055', '13', '2162');
INSERT INTO public.who_import VALUES (70011, '2020-10-19', 'PT', 'Portugal', 'EURO', '1856', '99911', '19', '2181');
INSERT INTO public.who_import VALUES (70012, '2020-10-20', 'PT', 'Portugal', 'EURO', '1949', '101860', '17', '2198');
INSERT INTO public.who_import VALUES (70013, '2020-10-21', 'PT', 'Portugal', 'EURO', '1876', '103736', '15', '2213');
INSERT INTO public.who_import VALUES (70014, '2020-10-22', 'PT', 'Portugal', 'EURO', '2535', '106271', '16', '2229');
INSERT INTO public.who_import VALUES (70015, '2020-10-23', 'PT', 'Portugal', 'EURO', '3270', '109541', '16', '2245');
INSERT INTO public.who_import VALUES (70016, '2020-10-24', 'PT', 'Portugal', 'EURO', '2899', '112440', '31', '2276');
INSERT INTO public.who_import VALUES (70017, '2020-10-25', 'PT', 'Portugal', 'EURO', '3669', '116109', '21', '2297');
INSERT INTO public.who_import VALUES (70018, '2020-10-26', 'PT', 'Portugal', 'EURO', '2577', '118686', '19', '2316');
INSERT INTO public.who_import VALUES (70019, '2020-10-27', 'PT', 'Portugal', 'EURO', '2447', '121133', '27', '2343');
INSERT INTO public.who_import VALUES (70020, '2020-10-28', 'PT', 'Portugal', 'EURO', '3299', '124432', '28', '2371');
INSERT INTO public.who_import VALUES (70021, '2020-10-29', 'PT', 'Portugal', 'EURO', '3960', '128392', '24', '2395');
INSERT INTO public.who_import VALUES (70022, '2020-10-30', 'PT', 'Portugal', 'EURO', '4224', '132616', '33', '2428');
INSERT INTO public.who_import VALUES (70023, '2020-10-31', 'PT', 'Portugal', 'EURO', '4656', '137272', '40', '2468');
INSERT INTO public.who_import VALUES (70024, '2020-11-01', 'PT', 'Portugal', 'EURO', '4007', '141279', '39', '2507');
INSERT INTO public.who_import VALUES (70025, '2020-11-02', 'PT', 'Portugal', 'EURO', '3062', '144341', '37', '2544');
INSERT INTO public.who_import VALUES (70026, '2020-11-03', 'PT', 'Portugal', 'EURO', '2506', '146847', '46', '2590');
INSERT INTO public.who_import VALUES (70027, '2020-11-04', 'PT', 'Portugal', 'EURO', '2596', '149443', '45', '2635');
INSERT INTO public.who_import VALUES (70028, '2020-11-05', 'PT', 'Portugal', 'EURO', '7497', '156940', '59', '2694');
INSERT INTO public.who_import VALUES (70029, '2020-11-06', 'PT', 'Portugal', 'EURO', '4410', '161350', '46', '2740');
INSERT INTO public.who_import VALUES (70030, '2020-11-07', 'PT', 'Portugal', 'EURO', '5550', '166900', '52', '2792');
INSERT INTO public.who_import VALUES (70031, '2020-11-08', 'PT', 'Portugal', 'EURO', '6640', '173540', '56', '2848');
INSERT INTO public.who_import VALUES (70032, '2020-11-09', 'PT', 'Portugal', 'EURO', '5784', '179324', '48', '2896');
INSERT INTO public.who_import VALUES (70033, '2020-11-10', 'PT', 'Portugal', 'EURO', '4096', '183420', '63', '2959');
INSERT INTO public.who_import VALUES (70034, '2020-11-11', 'PT', 'Portugal', 'EURO', '3817', '187237', '62', '3021');
INSERT INTO public.who_import VALUES (70035, '2020-11-12', 'PT', 'Portugal', 'EURO', '4935', '192172', '82', '3103');
INSERT INTO public.who_import VALUES (70036, '2020-11-13', 'PT', 'Portugal', 'EURO', '5839', '198011', '78', '3181');
INSERT INTO public.who_import VALUES (70037, '2020-11-14', 'PT', 'Portugal', 'EURO', '6653', '204664', '69', '3250');
INSERT INTO public.who_import VALUES (70038, '2020-11-15', 'PT', 'Portugal', 'EURO', '6602', '211266', '55', '3305');
INSERT INTO public.who_import VALUES (70039, '2020-11-16', 'PT', 'Portugal', 'EURO', '6035', '217301', '76', '3381');
INSERT INTO public.who_import VALUES (70040, '2020-11-17', 'PT', 'Portugal', 'EURO', '8371', '225672', '91', '3472');
INSERT INTO public.who_import VALUES (70041, '2020-11-18', 'PT', 'Portugal', 'EURO', '4452', '230124', '81', '3553');
INSERT INTO public.who_import VALUES (70042, '2020-11-19', 'PT', 'Portugal', 'EURO', '5891', '236015', '79', '3632');
INSERT INTO public.who_import VALUES (70043, '2020-11-20', 'PT', 'Portugal', 'EURO', '6994', '243009', '69', '3701');
INSERT INTO public.who_import VALUES (70044, '2020-11-21', 'PT', 'Portugal', 'EURO', '6489', '249498', '61', '3762');
INSERT INTO public.who_import VALUES (70045, '2020-11-22', 'PT', 'Portugal', 'EURO', '6472', '255970', '62', '3824');
INSERT INTO public.who_import VALUES (70046, '2020-11-23', 'PT', 'Portugal', 'EURO', '4788', '260758', '73', '3897');
INSERT INTO public.who_import VALUES (70047, '2020-11-24', 'PT', 'Portugal', 'EURO', '4044', '264802', '74', '3971');
INSERT INTO public.who_import VALUES (70048, '2020-11-25', 'PT', 'Portugal', 'EURO', '3919', '268721', '85', '4056');
INSERT INTO public.who_import VALUES (70049, '2020-11-26', 'PT', 'Portugal', 'EURO', '5290', '274011', '71', '4127');
INSERT INTO public.who_import VALUES (70050, '2020-11-27', 'PT', 'Portugal', 'EURO', '6383', '280394', '82', '4209');
INSERT INTO public.who_import VALUES (70051, '2020-11-28', 'PT', 'Portugal', 'EURO', '5444', '285838', '67', '4276');
INSERT INTO public.who_import VALUES (70052, '2020-11-29', 'PT', 'Portugal', 'EURO', '4868', '290706', '87', '4363');
INSERT INTO public.who_import VALUES (70053, '2020-11-30', 'PT', 'Portugal', 'EURO', '4093', '294799', '64', '4427');
INSERT INTO public.who_import VALUES (70054, '2020-12-01', 'PT', 'Portugal', 'EURO', '3262', '298061', '78', '4505');
INSERT INTO public.who_import VALUES (70055, '2020-12-02', 'PT', 'Portugal', 'EURO', '2401', '300462', '72', '4577');
INSERT INTO public.who_import VALUES (70056, '2020-12-03', 'PT', 'Portugal', 'EURO', '3384', '303846', '68', '4645');
INSERT INTO public.who_import VALUES (70057, '2020-12-04', 'PT', 'Portugal', 'EURO', '3772', '307618', '79', '4724');
INSERT INTO public.who_import VALUES (70058, '2020-12-05', 'PT', 'Portugal', 'EURO', '4935', '312553', '79', '4803');
INSERT INTO public.who_import VALUES (70059, '2020-12-06', 'PT', 'Portugal', 'EURO', '6087', '318640', '73', '4876');
INSERT INTO public.who_import VALUES (70060, '2020-12-07', 'PT', 'Portugal', 'EURO', '3834', '322474', '87', '4963');
INSERT INTO public.who_import VALUES (70061, '2020-12-08', 'PT', 'Portugal', 'EURO', '2597', '325071', '78', '5041');
INSERT INTO public.who_import VALUES (70062, '2020-12-09', 'PT', 'Portugal', 'EURO', '2905', '327976', '81', '5122');
INSERT INTO public.who_import VALUES (70063, '2020-12-10', 'PT', 'Portugal', 'EURO', '4097', '332073', '70', '5192');
INSERT INTO public.who_import VALUES (70064, '2020-12-11', 'PT', 'Portugal', 'EURO', '3134', '335207', '86', '5278');
INSERT INTO public.who_import VALUES (70065, '2020-12-12', 'PT', 'Portugal', 'EURO', '5080', '340287', '95', '5373');
INSERT INTO public.who_import VALUES (70066, '2020-12-13', 'PT', 'Portugal', 'EURO', '4413', '344700', '88', '5461');
INSERT INTO public.who_import VALUES (70067, '2020-12-14', 'PT', 'Portugal', 'EURO', '4044', '348744', '98', '5559');
INSERT INTO public.who_import VALUES (70068, '2020-12-15', 'PT', 'Portugal', 'EURO', '2194', '350938', '90', '5649');
INSERT INTO public.who_import VALUES (70069, '2020-12-16', 'PT', 'Portugal', 'EURO', '2638', '353576', '84', '5733');
INSERT INTO public.who_import VALUES (70070, '2020-12-17', 'PT', 'Portugal', 'EURO', '4720', '358296', '82', '5815');
INSERT INTO public.who_import VALUES (70071, '2020-12-18', 'PT', 'Portugal', 'EURO', '4320', '362616', '87', '5902');
INSERT INTO public.who_import VALUES (70072, '2020-12-19', 'PT', 'Portugal', 'EURO', '4336', '366952', '75', '5977');
INSERT INTO public.who_import VALUES (70073, '2020-12-20', 'PT', 'Portugal', 'EURO', '3835', '370787', '86', '6063');
INSERT INTO public.who_import VALUES (70074, '2020-12-21', 'PT', 'Portugal', 'EURO', '3334', '374121', '71', '6134');
INSERT INTO public.who_import VALUES (70075, '2020-12-22', 'PT', 'Portugal', 'EURO', '2099', '376220', '57', '6191');
INSERT INTO public.who_import VALUES (70076, '2020-12-23', 'PT', 'Portugal', 'EURO', '2436', '378656', '63', '6254');
INSERT INTO public.who_import VALUES (70077, '2020-12-24', 'PT', 'Portugal', 'EURO', '4602', '383258', '89', '6343');
INSERT INTO public.who_import VALUES (70078, '2020-12-25', 'PT', 'Portugal', 'EURO', '4378', '387636', '70', '6413');
INSERT INTO public.who_import VALUES (70079, '2020-12-26', 'PT', 'Portugal', 'EURO', '4146', '391782', '65', '6478');
INSERT INTO public.who_import VALUES (70080, '2020-12-27', 'PT', 'Portugal', 'EURO', '1214', '392996', '78', '6556');
INSERT INTO public.who_import VALUES (70081, '2020-12-28', 'PT', 'Portugal', 'EURO', '1577', '394573', '63', '6619');
INSERT INTO public.who_import VALUES (70082, '2020-12-29', 'PT', 'Portugal', 'EURO', '2093', '396666', '58', '6677');
INSERT INTO public.who_import VALUES (70083, '2020-12-30', 'PT', 'Portugal', 'EURO', '3336', '400002', '74', '6751');
INSERT INTO public.who_import VALUES (70084, '2020-12-31', 'PT', 'Portugal', 'EURO', '6049', '406051', '79', '6830');
INSERT INTO public.who_import VALUES (70085, '2021-01-01', 'PT', 'Portugal', 'EURO', '7627', '413678', '76', '6906');
INSERT INTO public.who_import VALUES (70086, '2021-01-02', 'PT', 'Portugal', 'EURO', '6951', '420629', '66', '6972');
INSERT INTO public.who_import VALUES (70087, '2021-01-03', 'PT', 'Portugal', 'EURO', '3241', '423870', '73', '7045');
INSERT INTO public.who_import VALUES (70088, '2021-01-04', 'PT', 'Portugal', 'EURO', '3384', '427254', '73', '7118');
INSERT INTO public.who_import VALUES (70089, '2021-01-05', 'PT', 'Portugal', 'EURO', '4369', '431623', '78', '7196');
INSERT INTO public.who_import VALUES (70090, '2021-01-06', 'PT', 'Portugal', 'EURO', '4956', '436579', '90', '7286');
INSERT INTO public.who_import VALUES (70091, '2021-01-07', 'PT', 'Portugal', 'EURO', '10027', '446606', '91', '7377');
INSERT INTO public.who_import VALUES (70092, '2021-01-08', 'PT', 'Portugal', 'EURO', '9927', '456533', '95', '7472');
INSERT INTO public.who_import VALUES (70093, '2021-01-09', 'PT', 'Portugal', 'EURO', '10176', '466709', '118', '7590');
INSERT INTO public.who_import VALUES (70094, '2021-01-10', 'PT', 'Portugal', 'EURO', '9478', '476187', '111', '7701');
INSERT INTO public.who_import VALUES (70095, '2021-01-11', 'PT', 'Portugal', 'EURO', '7502', '483689', '102', '7803');
INSERT INTO public.who_import VALUES (70096, '2021-01-12', 'PT', 'Portugal', 'EURO', '5604', '489293', '122', '7925');
INSERT INTO public.who_import VALUES (70097, '2021-01-13', 'PT', 'Portugal', 'EURO', '7259', '496552', '155', '8080');
INSERT INTO public.who_import VALUES (70098, '2021-01-14', 'PT', 'Portugal', 'EURO', '10556', '507108', '156', '8236');
INSERT INTO public.who_import VALUES (70099, '2021-01-15', 'PT', 'Portugal', 'EURO', '10698', '517806', '148', '8384');
INSERT INTO public.who_import VALUES (70100, '2021-01-16', 'PT', 'Portugal', 'EURO', '10663', '528469', '159', '8543');
INSERT INTO public.who_import VALUES (70101, '2021-01-17', 'PT', 'Portugal', 'EURO', '10947', '539416', '166', '8709');
INSERT INTO public.who_import VALUES (70102, '2021-01-18', 'PT', 'Portugal', 'EURO', '10385', '549801', '152', '8861');
INSERT INTO public.who_import VALUES (70103, '2021-01-19', 'PT', 'Portugal', 'EURO', '6702', '556503', '167', '9028');
INSERT INTO public.who_import VALUES (70104, '2021-01-20', 'PT', 'Portugal', 'EURO', '10455', '566958', '218', '9246');
INSERT INTO public.who_import VALUES (70105, '2021-01-21', 'PT', 'Portugal', 'EURO', '14647', '581605', '219', '9465');
INSERT INTO public.who_import VALUES (70106, '2021-01-22', 'PT', 'Portugal', 'EURO', '13544', '595149', '221', '9686');
INSERT INTO public.who_import VALUES (70107, '2021-01-23', 'PT', 'Portugal', 'EURO', '13987', '609136', '234', '9920');
INSERT INTO public.who_import VALUES (70108, '2021-01-24', 'PT', 'Portugal', 'EURO', '15333', '624469', '274', '10194');
INSERT INTO public.who_import VALUES (70109, '2021-01-25', 'PT', 'Portugal', 'EURO', '11721', '636190', '275', '10469');
INSERT INTO public.who_import VALUES (70110, '2021-01-26', 'PT', 'Portugal', 'EURO', '6923', '643113', '252', '10721');
INSERT INTO public.who_import VALUES (70111, '2021-01-27', 'PT', 'Portugal', 'EURO', '10765', '653878', '291', '11012');
INSERT INTO public.who_import VALUES (70112, '2021-01-28', 'PT', 'Portugal', 'EURO', '15073', '668951', '293', '11305');
INSERT INTO public.who_import VALUES (70113, '2021-01-29', 'PT', 'Portugal', 'EURO', '16432', '685383', '303', '11608');
INSERT INTO public.who_import VALUES (70114, '2021-01-30', 'PT', 'Portugal', 'EURO', '13200', '698583', '278', '11886');
INSERT INTO public.who_import VALUES (70115, '2021-01-31', 'PT', 'Portugal', 'EURO', '12435', '711018', '293', '12179');
INSERT INTO public.who_import VALUES (70116, '2021-02-01', 'PT', 'Portugal', 'EURO', '9498', '720516', '303', '12482');
INSERT INTO public.who_import VALUES (70117, '2021-02-02', 'PT', 'Portugal', 'EURO', '5805', '726321', '275', '12757');
INSERT INTO public.who_import VALUES (70118, '2021-02-03', 'PT', 'Portugal', 'EURO', '5540', '731861', '260', '13017');
INSERT INTO public.who_import VALUES (70119, '2021-02-04', 'PT', 'Portugal', 'EURO', '9083', '740944', '240', '13257');
INSERT INTO public.who_import VALUES (70120, '2021-02-05', 'PT', 'Portugal', 'EURO', '7914', '748858', '225', '13482');
INSERT INTO public.who_import VALUES (70121, '2021-02-06', 'PT', 'Portugal', 'EURO', '6916', '755774', '258', '13740');
INSERT INTO public.who_import VALUES (70122, '2021-02-07', 'PT', 'Portugal', 'EURO', '6132', '761906', '214', '13954');
INSERT INTO public.who_import VALUES (70123, '2021-02-08', 'PT', 'Portugal', 'EURO', '3508', '765414', '204', '14158');
INSERT INTO public.who_import VALUES (70124, '2021-02-09', 'PT', 'Portugal', 'EURO', '2505', '767919', '196', '14354');
INSERT INTO public.who_import VALUES (70125, '2021-02-10', 'PT', 'Portugal', 'EURO', '2583', '770502', '203', '14557');
INSERT INTO public.who_import VALUES (70126, '2021-02-11', 'PT', 'Portugal', 'EURO', '4387', '774889', '161', '14718');
INSERT INTO public.who_import VALUES (70127, '2021-02-12', 'PT', 'Portugal', 'EURO', '3480', '778369', '167', '14885');
INSERT INTO public.who_import VALUES (70128, '2021-02-13', 'PT', 'Portugal', 'EURO', '2854', '781223', '149', '15034');
INSERT INTO public.who_import VALUES (70129, '2021-02-14', 'PT', 'Portugal', 'EURO', '2856', '784079', '149', '15183');
INSERT INTO public.who_import VALUES (70130, '2021-02-15', 'PT', 'Portugal', 'EURO', '1677', '785756', '138', '15321');
INSERT INTO public.who_import VALUES (70131, '2021-02-16', 'PT', 'Portugal', 'EURO', '1303', '787059', '90', '15411');
INSERT INTO public.who_import VALUES (70132, '2021-02-17', 'PT', 'Portugal', 'EURO', '1502', '788561', '111', '15522');
INSERT INTO public.who_import VALUES (70133, '2021-02-18', 'PT', 'Portugal', 'EURO', '2324', '790885', '127', '15649');
INSERT INTO public.who_import VALUES (70134, '2021-02-19', 'PT', 'Portugal', 'EURO', '1944', '792829', '105', '15754');
INSERT INTO public.who_import VALUES (70135, '2021-02-20', 'PT', 'Portugal', 'EURO', '1940', '794769', '67', '15821');
INSERT INTO public.who_import VALUES (70136, '2020-01-03', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70137, '2020-01-04', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70138, '2020-01-05', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70139, '2020-01-06', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70140, '2020-01-07', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70141, '2020-01-08', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70142, '2020-01-09', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70143, '2020-01-10', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70144, '2020-01-11', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70145, '2020-01-12', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70146, '2020-01-13', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70147, '2020-01-14', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70148, '2020-01-15', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70149, '2020-01-16', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70150, '2020-01-17', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70151, '2020-01-18', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70152, '2020-01-19', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70153, '2020-01-20', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70154, '2020-01-21', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70155, '2020-01-22', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70156, '2020-01-23', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70157, '2020-01-24', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70158, '2020-01-25', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70159, '2020-01-26', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70160, '2020-01-27', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70161, '2020-01-28', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70162, '2020-01-29', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70163, '2020-01-30', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70164, '2020-01-31', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70165, '2020-02-01', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70166, '2020-02-02', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70167, '2020-02-03', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70168, '2020-02-04', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70169, '2020-02-05', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70170, '2020-02-06', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70171, '2020-02-07', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70172, '2020-02-08', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70173, '2020-02-09', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70174, '2020-02-10', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70175, '2020-02-11', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70176, '2020-02-12', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70177, '2020-02-13', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70178, '2020-02-14', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70179, '2020-02-15', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70180, '2020-02-16', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70181, '2020-02-17', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70182, '2020-02-18', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70183, '2020-02-19', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70184, '2020-02-20', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70185, '2020-02-21', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70186, '2020-02-22', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70187, '2020-02-23', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70188, '2020-02-24', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70189, '2020-02-25', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70190, '2020-02-26', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70191, '2020-02-27', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70192, '2020-02-28', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70193, '2020-02-29', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70194, '2020-03-01', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70195, '2020-03-02', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70196, '2020-03-03', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70197, '2020-03-04', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70198, '2020-03-05', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70199, '2020-03-06', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70200, '2020-03-07', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70201, '2020-03-08', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70202, '2020-03-09', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70203, '2020-03-10', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70204, '2020-03-11', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70205, '2020-03-12', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70206, '2020-03-13', 'PR', 'Puerto Rico', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70207, '2020-03-14', 'PR', 'Puerto Rico', 'AMRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (70208, '2020-03-15', 'PR', 'Puerto Rico', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (70209, '2020-03-16', 'PR', 'Puerto Rico', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (70210, '2020-03-17', 'PR', 'Puerto Rico', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (70211, '2020-03-18', 'PR', 'Puerto Rico', 'AMRO', '2', '9', '0', '0');
INSERT INTO public.who_import VALUES (70212, '2020-03-19', 'PR', 'Puerto Rico', 'AMRO', '-3', '6', '0', '0');
INSERT INTO public.who_import VALUES (70213, '2020-03-20', 'PR', 'Puerto Rico', 'AMRO', '8', '14', '0', '0');
INSERT INTO public.who_import VALUES (70214, '2020-03-21', 'PR', 'Puerto Rico', 'AMRO', '7', '21', '1', '1');
INSERT INTO public.who_import VALUES (70215, '2020-03-22', 'PR', 'Puerto Rico', 'AMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (70216, '2020-03-23', 'PR', 'Puerto Rico', 'AMRO', '2', '23', '0', '1');
INSERT INTO public.who_import VALUES (70217, '2020-03-24', 'PR', 'Puerto Rico', 'AMRO', '16', '39', '1', '2');
INSERT INTO public.who_import VALUES (70218, '2020-03-25', 'PR', 'Puerto Rico', 'AMRO', '0', '39', '0', '2');
INSERT INTO public.who_import VALUES (70219, '2020-03-26', 'PR', 'Puerto Rico', 'AMRO', '25', '64', '0', '2');
INSERT INTO public.who_import VALUES (70220, '2020-03-27', 'PR', 'Puerto Rico', 'AMRO', '0', '64', '0', '2');
INSERT INTO public.who_import VALUES (70221, '2020-03-28', 'PR', 'Puerto Rico', 'AMRO', '0', '64', '0', '2');
INSERT INTO public.who_import VALUES (70222, '2020-03-29', 'PR', 'Puerto Rico', 'AMRO', '0', '64', '0', '2');
INSERT INTO public.who_import VALUES (70223, '2020-03-30', 'PR', 'Puerto Rico', 'AMRO', '0', '64', '0', '2');
INSERT INTO public.who_import VALUES (70224, '2020-03-31', 'PR', 'Puerto Rico', 'AMRO', '110', '174', '4', '6');
INSERT INTO public.who_import VALUES (70225, '2020-04-01', 'PR', 'Puerto Rico', 'AMRO', '65', '239', '2', '8');
INSERT INTO public.who_import VALUES (70226, '2020-04-02', 'PR', 'Puerto Rico', 'AMRO', '47', '286', '3', '11');
INSERT INTO public.who_import VALUES (70227, '2020-04-03', 'PR', 'Puerto Rico', 'AMRO', '30', '316', '1', '12');
INSERT INTO public.who_import VALUES (70228, '2020-04-04', 'PR', 'Puerto Rico', 'AMRO', '62', '378', '3', '15');
INSERT INTO public.who_import VALUES (70229, '2020-04-05', 'PR', 'Puerto Rico', 'AMRO', '74', '452', '3', '18');
INSERT INTO public.who_import VALUES (70230, '2020-04-06', 'PR', 'Puerto Rico', 'AMRO', '0', '452', '0', '18');
INSERT INTO public.who_import VALUES (70231, '2020-04-07', 'PR', 'Puerto Rico', 'AMRO', '61', '513', '3', '21');
INSERT INTO public.who_import VALUES (70232, '2020-04-08', 'PR', 'Puerto Rico', 'AMRO', '60', '573', '2', '23');
INSERT INTO public.who_import VALUES (70233, '2020-04-09', 'PR', 'Puerto Rico', 'AMRO', '47', '620', '1', '24');
INSERT INTO public.who_import VALUES (70234, '2020-04-10', 'PR', 'Puerto Rico', 'AMRO', '63', '683', '9', '33');
INSERT INTO public.who_import VALUES (70235, '2020-04-11', 'PR', 'Puerto Rico', 'AMRO', '42', '725', '6', '39');
INSERT INTO public.who_import VALUES (70236, '2020-04-12', 'PR', 'Puerto Rico', 'AMRO', '63', '788', '3', '42');
INSERT INTO public.who_import VALUES (70237, '2020-04-13', 'PR', 'Puerto Rico', 'AMRO', '109', '897', '2', '44');
INSERT INTO public.who_import VALUES (70238, '2020-04-14', 'PR', 'Puerto Rico', 'AMRO', '6', '903', '1', '45');
INSERT INTO public.who_import VALUES (70239, '2020-04-15', 'PR', 'Puerto Rico', 'AMRO', '20', '923', '0', '45');
INSERT INTO public.who_import VALUES (70240, '2020-04-16', 'PR', 'Puerto Rico', 'AMRO', '51', '974', '3', '48');
INSERT INTO public.who_import VALUES (70241, '2020-04-17', 'PR', 'Puerto Rico', 'AMRO', '69', '1043', '0', '48');
INSERT INTO public.who_import VALUES (70242, '2020-04-18', 'PR', 'Puerto Rico', 'AMRO', '25', '1068', '0', '48');
INSERT INTO public.who_import VALUES (70243, '2020-04-19', 'PR', 'Puerto Rico', 'AMRO', '50', '1118', '0', '48');
INSERT INTO public.who_import VALUES (70244, '2020-04-20', 'PR', 'Puerto Rico', 'AMRO', '95', '1213', '0', '48');
INSERT INTO public.who_import VALUES (70245, '2020-04-21', 'PR', 'Puerto Rico', 'AMRO', '39', '1252', '0', '48');
INSERT INTO public.who_import VALUES (70246, '2020-04-22', 'PR', 'Puerto Rico', 'AMRO', '24', '1276', '0', '48');
INSERT INTO public.who_import VALUES (70247, '2020-04-23', 'PR', 'Puerto Rico', 'AMRO', '0', '1276', '0', '48');
INSERT INTO public.who_import VALUES (70248, '2020-04-24', 'PR', 'Puerto Rico', 'AMRO', '0', '1276', '0', '48');
INSERT INTO public.who_import VALUES (70249, '2020-04-25', 'PR', 'Puerto Rico', 'AMRO', '0', '1276', '3', '51');
INSERT INTO public.who_import VALUES (70250, '2020-04-26', 'PR', 'Puerto Rico', 'AMRO', '0', '1276', '2', '53');
INSERT INTO public.who_import VALUES (70251, '2020-04-27', 'PR', 'Puerto Rico', 'AMRO', '95', '1371', '0', '53');
INSERT INTO public.who_import VALUES (70252, '2020-04-28', 'PR', 'Puerto Rico', 'AMRO', '18', '1389', '0', '53');
INSERT INTO public.who_import VALUES (70253, '2020-04-29', 'PR', 'Puerto Rico', 'AMRO', '11', '1400', '1', '54');
INSERT INTO public.who_import VALUES (70254, '2020-04-30', 'PR', 'Puerto Rico', 'AMRO', '33', '1433', '0', '54');
INSERT INTO public.who_import VALUES (70255, '2020-05-01', 'PR', 'Puerto Rico', 'AMRO', '106', '1539', '0', '54');
INSERT INTO public.who_import VALUES (70256, '2020-05-02', 'PR', 'Puerto Rico', 'AMRO', '36', '1575', '0', '54');
INSERT INTO public.who_import VALUES (70257, '2020-05-03', 'PR', 'Puerto Rico', 'AMRO', '182', '1757', '0', '54');
INSERT INTO public.who_import VALUES (70258, '2020-05-04', 'PR', 'Puerto Rico', 'AMRO', '51', '1808', '43', '97');
INSERT INTO public.who_import VALUES (70259, '2020-05-05', 'PR', 'Puerto Rico', 'AMRO', '35', '1843', '-43', '54');
INSERT INTO public.who_import VALUES (70260, '2020-05-06', 'PR', 'Puerto Rico', 'AMRO', '81', '1924', '2', '56');
INSERT INTO public.who_import VALUES (70261, '2020-05-07', 'PR', 'Puerto Rico', 'AMRO', '44', '1968', '0', '56');
INSERT INTO public.who_import VALUES (70262, '2020-05-08', 'PR', 'Puerto Rico', 'AMRO', '63', '2031', '0', '56');
INSERT INTO public.who_import VALUES (70263, '2020-05-09', 'PR', 'Puerto Rico', 'AMRO', '125', '2156', '0', '56');
INSERT INTO public.who_import VALUES (70264, '2020-05-10', 'PR', 'Puerto Rico', 'AMRO', '17', '2173', '52', '108');
INSERT INTO public.who_import VALUES (70265, '2020-05-11', 'PR', 'Puerto Rico', 'AMRO', '25', '2198', '3', '111');
INSERT INTO public.who_import VALUES (70266, '2020-05-12', 'PR', 'Puerto Rico', 'AMRO', '58', '2256', '2', '113');
INSERT INTO public.who_import VALUES (70267, '2020-05-13', 'PR', 'Puerto Rico', 'AMRO', '43', '2299', '1', '114');
INSERT INTO public.who_import VALUES (70268, '2020-05-14', 'PR', 'Puerto Rico', 'AMRO', '30', '2329', '1', '115');
INSERT INTO public.who_import VALUES (70269, '2020-05-15', 'PR', 'Puerto Rico', 'AMRO', '98', '2427', '2', '117');
INSERT INTO public.who_import VALUES (70270, '2020-05-16', 'PR', 'Puerto Rico', 'AMRO', '115', '2542', '5', '122');
INSERT INTO public.who_import VALUES (70271, '2020-05-17', 'PR', 'Puerto Rico', 'AMRO', '47', '2589', '0', '122');
INSERT INTO public.who_import VALUES (70272, '2020-05-18', 'PR', 'Puerto Rico', 'AMRO', '57', '2646', '1', '123');
INSERT INTO public.who_import VALUES (70273, '2020-05-19', 'PR', 'Puerto Rico', 'AMRO', '64', '2710', '1', '124');
INSERT INTO public.who_import VALUES (70274, '2020-05-20', 'PR', 'Puerto Rico', 'AMRO', '95', '2805', '0', '124');
INSERT INTO public.who_import VALUES (70275, '2020-05-21', 'PR', 'Puerto Rico', 'AMRO', '61', '2866', '1', '125');
INSERT INTO public.who_import VALUES (70276, '2020-05-22', 'PR', 'Puerto Rico', 'AMRO', '47', '2913', '1', '126');
INSERT INTO public.who_import VALUES (70277, '2020-05-23', 'PR', 'Puerto Rico', 'AMRO', '117', '3030', '0', '126');
INSERT INTO public.who_import VALUES (70278, '2020-05-24', 'PR', 'Puerto Rico', 'AMRO', '70', '3100', '1', '127');
INSERT INTO public.who_import VALUES (70279, '2020-05-25', 'PR', 'Puerto Rico', 'AMRO', '89', '3189', '0', '127');
INSERT INTO public.who_import VALUES (70280, '2020-05-26', 'PR', 'Puerto Rico', 'AMRO', '71', '3260', '2', '129');
INSERT INTO public.who_import VALUES (70281, '2020-05-27', 'PR', 'Puerto Rico', 'AMRO', '64', '3324', '0', '129');
INSERT INTO public.who_import VALUES (70282, '2020-05-28', 'PR', 'Puerto Rico', 'AMRO', '73', '3397', '0', '129');
INSERT INTO public.who_import VALUES (70283, '2020-05-29', 'PR', 'Puerto Rico', 'AMRO', '89', '3486', '2', '131');
INSERT INTO public.who_import VALUES (70284, '2020-05-30', 'PR', 'Puerto Rico', 'AMRO', '161', '3647', '1', '132');
INSERT INTO public.who_import VALUES (70285, '2020-05-31', 'PR', 'Puerto Rico', 'AMRO', '71', '3718', '1', '133');
INSERT INTO public.who_import VALUES (70286, '2020-06-01', 'PR', 'Puerto Rico', 'AMRO', '58', '3776', '3', '136');
INSERT INTO public.who_import VALUES (70287, '2020-06-02', 'PR', 'Puerto Rico', 'AMRO', '97', '3873', '0', '136');
INSERT INTO public.who_import VALUES (70288, '2020-06-03', 'PR', 'Puerto Rico', 'AMRO', '62', '3935', '2', '138');
INSERT INTO public.who_import VALUES (70289, '2020-06-04', 'PR', 'Puerto Rico', 'AMRO', '88', '4023', '2', '140');
INSERT INTO public.who_import VALUES (70290, '2020-06-05', 'PR', 'Puerto Rico', 'AMRO', '485', '4508', '0', '140');
INSERT INTO public.who_import VALUES (70291, '2020-06-06', 'PR', 'Puerto Rico', 'AMRO', '112', '4620', '1', '141');
INSERT INTO public.who_import VALUES (70292, '2020-06-07', 'PR', 'Puerto Rico', 'AMRO', '295', '4915', '1', '142');
INSERT INTO public.who_import VALUES (70293, '2020-06-08', 'PR', 'Puerto Rico', 'AMRO', '70', '4985', '0', '142');
INSERT INTO public.who_import VALUES (70294, '2020-06-09', 'PR', 'Puerto Rico', 'AMRO', '61', '5046', '0', '142');
INSERT INTO public.who_import VALUES (70295, '2020-06-10', 'PR', 'Puerto Rico', 'AMRO', '139', '5185', '0', '142');
INSERT INTO public.who_import VALUES (70296, '2020-06-11', 'PR', 'Puerto Rico', 'AMRO', '144', '5329', '1', '143');
INSERT INTO public.who_import VALUES (70297, '2020-06-12', 'PR', 'Puerto Rico', 'AMRO', '23', '5352', '1', '144');
INSERT INTO public.who_import VALUES (70298, '2020-06-13', 'PR', 'Puerto Rico', 'AMRO', '184', '5536', '2', '146');
INSERT INTO public.who_import VALUES (70299, '2020-06-14', 'PR', 'Puerto Rico', 'AMRO', '154', '5690', '0', '146');
INSERT INTO public.who_import VALUES (70300, '2020-06-15', 'PR', 'Puerto Rico', 'AMRO', '121', '5811', '1', '147');
INSERT INTO public.who_import VALUES (70301, '2020-06-16', 'PR', 'Puerto Rico', 'AMRO', '79', '5890', '0', '147');
INSERT INTO public.who_import VALUES (70302, '2020-06-17', 'PR', 'Puerto Rico', 'AMRO', '61', '5951', '0', '147');
INSERT INTO public.who_import VALUES (70303, '2020-06-18', 'PR', 'Puerto Rico', 'AMRO', '52', '6003', '0', '147');
INSERT INTO public.who_import VALUES (70304, '2020-06-19', 'PR', 'Puerto Rico', 'AMRO', '108', '6111', '0', '147');
INSERT INTO public.who_import VALUES (70305, '2020-06-20', 'PR', 'Puerto Rico', 'AMRO', '84', '6195', '0', '147');
INSERT INTO public.who_import VALUES (70306, '2020-06-21', 'PR', 'Puerto Rico', 'AMRO', '268', '6463', '0', '147');
INSERT INTO public.who_import VALUES (70307, '2020-06-22', 'PR', 'Puerto Rico', 'AMRO', '62', '6525', '2', '149');
INSERT INTO public.who_import VALUES (70308, '2020-06-23', 'PR', 'Puerto Rico', 'AMRO', '39', '6564', '0', '149');
INSERT INTO public.who_import VALUES (70309, '2020-06-24', 'PR', 'Puerto Rico', 'AMRO', '121', '6685', '0', '149');
INSERT INTO public.who_import VALUES (70310, '2020-06-25', 'PR', 'Puerto Rico', 'AMRO', '135', '6820', '0', '149');
INSERT INTO public.who_import VALUES (70311, '2020-06-26', 'PR', 'Puerto Rico', 'AMRO', '57', '6877', '2', '151');
INSERT INTO public.who_import VALUES (70312, '2020-06-27', 'PR', 'Puerto Rico', 'AMRO', '45', '6922', '0', '151');
INSERT INTO public.who_import VALUES (70313, '2020-06-28', 'PR', 'Puerto Rico', 'AMRO', '144', '7066', '1', '152');
INSERT INTO public.who_import VALUES (70314, '2020-06-29', 'PR', 'Puerto Rico', 'AMRO', '123', '7189', '1', '153');
INSERT INTO public.who_import VALUES (70315, '2020-06-30', 'PR', 'Puerto Rico', 'AMRO', '61', '7250', '0', '153');
INSERT INTO public.who_import VALUES (70316, '2020-07-01', 'PR', 'Puerto Rico', 'AMRO', '215', '7465', '0', '153');
INSERT INTO public.who_import VALUES (70317, '2020-07-02', 'PR', 'Puerto Rico', 'AMRO', '72', '7537', '0', '153');
INSERT INTO public.who_import VALUES (70318, '2020-07-03', 'PR', 'Puerto Rico', 'AMRO', '71', '7608', '0', '153');
INSERT INTO public.who_import VALUES (70319, '2020-07-04', 'PR', 'Puerto Rico', 'AMRO', '75', '7683', '1', '154');
INSERT INTO public.who_import VALUES (70320, '2020-07-05', 'PR', 'Puerto Rico', 'AMRO', '104', '7787', '1', '155');
INSERT INTO public.who_import VALUES (70321, '2020-07-06', 'PR', 'Puerto Rico', 'AMRO', '129', '7916', '0', '155');
INSERT INTO public.who_import VALUES (70322, '2020-07-07', 'PR', 'Puerto Rico', 'AMRO', '669', '8585', '0', '155');
INSERT INTO public.who_import VALUES (70323, '2020-07-08', 'PR', 'Puerto Rico', 'AMRO', '129', '8714', '2', '157');
INSERT INTO public.who_import VALUES (70324, '2020-07-09', 'PR', 'Puerto Rico', 'AMRO', '31', '8745', '2', '159');
INSERT INTO public.who_import VALUES (70325, '2020-07-10', 'PR', 'Puerto Rico', 'AMRO', '117', '8862', '0', '159');
INSERT INTO public.who_import VALUES (70326, '2020-07-11', 'PR', 'Puerto Rico', 'AMRO', '275', '9137', '0', '159');
INSERT INTO public.who_import VALUES (70327, '2020-07-12', 'PR', 'Puerto Rico', 'AMRO', '229', '9366', '8', '167');
INSERT INTO public.who_import VALUES (70328, '2020-07-13', 'PR', 'Puerto Rico', 'AMRO', '288', '9654', '0', '167');
INSERT INTO public.who_import VALUES (70329, '2020-07-14', 'PR', 'Puerto Rico', 'AMRO', '356', '10010', '0', '167');
INSERT INTO public.who_import VALUES (70330, '2020-07-15', 'PR', 'Puerto Rico', 'AMRO', '113', '10123', '2', '169');
INSERT INTO public.who_import VALUES (70638, '2020-03-30', 'QA', 'Qatar', 'EMRO', '44', '634', '1', '1');
INSERT INTO public.who_import VALUES (70331, '2020-07-16', 'PR', 'Puerto Rico', 'AMRO', '256', '10379', '2', '171');
INSERT INTO public.who_import VALUES (70332, '2020-07-17', 'PR', 'Puerto Rico', 'AMRO', '195', '10574', '1', '172');
INSERT INTO public.who_import VALUES (70333, '2020-07-18', 'PR', 'Puerto Rico', 'AMRO', '546', '11120', '5', '177');
INSERT INTO public.who_import VALUES (70334, '2020-07-19', 'PR', 'Puerto Rico', 'AMRO', '333', '11453', '1', '178');
INSERT INTO public.who_import VALUES (70335, '2020-07-20', 'PR', 'Puerto Rico', 'AMRO', '610', '12063', '0', '178');
INSERT INTO public.who_import VALUES (70336, '2020-07-21', 'PR', 'Puerto Rico', 'AMRO', '398', '12461', '2', '180');
INSERT INTO public.who_import VALUES (70337, '2020-07-22', 'PR', 'Puerto Rico', 'AMRO', '479', '12940', '0', '180');
INSERT INTO public.who_import VALUES (70338, '2020-07-23', 'PR', 'Puerto Rico', 'AMRO', '98', '13038', '5', '185');
INSERT INTO public.who_import VALUES (70339, '2020-07-24', 'PR', 'Puerto Rico', 'AMRO', '435', '13473', '3', '188');
INSERT INTO public.who_import VALUES (70340, '2020-07-25', 'PR', 'Puerto Rico', 'AMRO', '494', '13967', '3', '191');
INSERT INTO public.who_import VALUES (70341, '2020-07-26', 'PR', 'Puerto Rico', 'AMRO', '573', '14540', '10', '201');
INSERT INTO public.who_import VALUES (70342, '2020-07-27', 'PR', 'Puerto Rico', 'AMRO', '603', '15143', '0', '201');
INSERT INTO public.who_import VALUES (70343, '2020-07-28', 'PR', 'Puerto Rico', 'AMRO', '288', '15431', '0', '201');
INSERT INTO public.who_import VALUES (70344, '2020-07-29', 'PR', 'Puerto Rico', 'AMRO', '409', '15840', '8', '209');
INSERT INTO public.who_import VALUES (70345, '2020-07-30', 'PR', 'Puerto Rico', 'AMRO', '221', '16061', '2', '211');
INSERT INTO public.who_import VALUES (70346, '2020-07-31', 'PR', 'Puerto Rico', 'AMRO', '511', '16572', '3', '214');
INSERT INTO public.who_import VALUES (70347, '2020-08-01', 'PR', 'Puerto Rico', 'AMRO', '209', '16781', '5', '219');
INSERT INTO public.who_import VALUES (70348, '2020-08-02', 'PR', 'Puerto Rico', 'AMRO', '1091', '17872', '6', '225');
INSERT INTO public.who_import VALUES (70349, '2020-08-03', 'PR', 'Puerto Rico', 'AMRO', '539', '18411', '5', '230');
INSERT INTO public.who_import VALUES (70350, '2020-08-04', 'PR', 'Puerto Rico', 'AMRO', '380', '18791', '0', '230');
INSERT INTO public.who_import VALUES (70351, '2020-08-05', 'PR', 'Puerto Rico', 'AMRO', '533', '19324', '7', '237');
INSERT INTO public.who_import VALUES (70352, '2020-08-06', 'PR', 'Puerto Rico', 'AMRO', '327', '19651', '9', '246');
INSERT INTO public.who_import VALUES (70353, '2020-08-07', 'PR', 'Puerto Rico', 'AMRO', '283', '19934', '12', '258');
INSERT INTO public.who_import VALUES (70354, '2020-08-08', 'PR', 'Puerto Rico', 'AMRO', '752', '20686', '7', '265');
INSERT INTO public.who_import VALUES (70355, '2020-08-09', 'PR', 'Puerto Rico', 'AMRO', '738', '21424', '9', '274');
INSERT INTO public.who_import VALUES (70356, '2020-08-10', 'PR', 'Puerto Rico', 'AMRO', '697', '22121', '5', '279');
INSERT INTO public.who_import VALUES (70357, '2020-08-11', 'PR', 'Puerto Rico', 'AMRO', '700', '22821', '0', '279');
INSERT INTO public.who_import VALUES (70358, '2020-08-12', 'PR', 'Puerto Rico', 'AMRO', '582', '23403', '8', '287');
INSERT INTO public.who_import VALUES (70359, '2020-08-13', 'PR', 'Puerto Rico', 'AMRO', '671', '24074', '8', '295');
INSERT INTO public.who_import VALUES (70360, '2020-08-14', 'PR', 'Puerto Rico', 'AMRO', '372', '24446', '11', '306');
INSERT INTO public.who_import VALUES (70361, '2020-08-15', 'PR', 'Puerto Rico', 'AMRO', '682', '25128', '11', '317');
INSERT INTO public.who_import VALUES (70362, '2020-08-16', 'PR', 'Puerto Rico', 'AMRO', '567', '25695', '12', '329');
INSERT INTO public.who_import VALUES (70363, '2020-08-17', 'PR', 'Puerto Rico', 'AMRO', '311', '26006', '6', '335');
INSERT INTO public.who_import VALUES (70364, '2020-08-18', 'PR', 'Puerto Rico', 'AMRO', '754', '26760', '0', '335');
INSERT INTO public.who_import VALUES (70365, '2020-08-19', 'PR', 'Puerto Rico', 'AMRO', '953', '27713', '11', '346');
INSERT INTO public.who_import VALUES (70366, '2020-08-20', 'PR', 'Puerto Rico', 'AMRO', '221', '27934', '10', '356');
INSERT INTO public.who_import VALUES (70367, '2020-08-21', 'PR', 'Puerto Rico', 'AMRO', '209', '28143', '11', '367');
INSERT INTO public.who_import VALUES (70368, '2020-08-22', 'PR', 'Puerto Rico', 'AMRO', '703', '28846', '7', '374');
INSERT INTO public.who_import VALUES (70369, '2020-08-23', 'PR', 'Puerto Rico', 'AMRO', '731', '29577', '7', '381');
INSERT INTO public.who_import VALUES (70370, '2020-08-24', 'PR', 'Puerto Rico', 'AMRO', '319', '29896', '9', '390');
INSERT INTO public.who_import VALUES (70371, '2020-08-25', 'PR', 'Puerto Rico', 'AMRO', '722', '30618', '0', '390');
INSERT INTO public.who_import VALUES (70372, '2020-08-26', 'PR', 'Puerto Rico', 'AMRO', '102', '30720', '5', '395');
INSERT INTO public.who_import VALUES (70373, '2020-08-27', 'PR', 'Puerto Rico', 'AMRO', '24', '30744', '9', '404');
INSERT INTO public.who_import VALUES (70374, '2020-08-28', 'PR', 'Puerto Rico', 'AMRO', '639', '31383', '8', '412');
INSERT INTO public.who_import VALUES (70375, '2020-08-29', 'PR', 'Puerto Rico', 'AMRO', '605', '31988', '12', '424');
INSERT INTO public.who_import VALUES (70376, '2020-08-30', 'PR', 'Puerto Rico', 'AMRO', '562', '32550', '4', '428');
INSERT INTO public.who_import VALUES (70377, '2020-08-31', 'PR', 'Puerto Rico', 'AMRO', '298', '32848', '6', '434');
INSERT INTO public.who_import VALUES (70378, '2020-09-01', 'PR', 'Puerto Rico', 'AMRO', '351', '33199', '0', '434');
INSERT INTO public.who_import VALUES (70379, '2020-09-02', 'PR', 'Puerto Rico', 'AMRO', '222', '33421', '1', '435');
INSERT INTO public.who_import VALUES (70380, '2020-09-03', 'PR', 'Puerto Rico', 'AMRO', '582', '34003', '8', '443');
INSERT INTO public.who_import VALUES (70381, '2020-09-04', 'PR', 'Puerto Rico', 'AMRO', '195', '34198', '5', '448');
INSERT INTO public.who_import VALUES (70382, '2020-09-05', 'PR', 'Puerto Rico', 'AMRO', '43', '34241', '7', '455');
INSERT INTO public.who_import VALUES (70383, '2020-09-06', 'PR', 'Puerto Rico', 'AMRO', '251', '34492', '9', '464');
INSERT INTO public.who_import VALUES (70384, '2020-09-07', 'PR', 'Puerto Rico', 'AMRO', '41', '34533', '13', '477');
INSERT INTO public.who_import VALUES (70385, '2020-09-08', 'PR', 'Puerto Rico', 'AMRO', '842', '35375', '0', '477');
INSERT INTO public.who_import VALUES (70386, '2020-09-09', 'PR', 'Puerto Rico', 'AMRO', '129', '35504', '5', '482');
INSERT INTO public.who_import VALUES (70387, '2020-09-10', 'PR', 'Puerto Rico', 'AMRO', '3', '35507', '18', '500');
INSERT INTO public.who_import VALUES (70388, '2020-09-11', 'PR', 'Puerto Rico', 'AMRO', '772', '36279', '12', '512');
INSERT INTO public.who_import VALUES (70389, '2020-09-12', 'PR', 'Puerto Rico', 'AMRO', '302', '36581', '11', '523');
INSERT INTO public.who_import VALUES (70390, '2020-09-13', 'PR', 'Puerto Rico', 'AMRO', '511', '37092', '12', '535');
INSERT INTO public.who_import VALUES (70391, '2020-09-14', 'PR', 'Puerto Rico', 'AMRO', '288', '37380', '4', '539');
INSERT INTO public.who_import VALUES (70392, '2020-09-15', 'PR', 'Puerto Rico', 'AMRO', '370', '37750', '3', '542');
INSERT INTO public.who_import VALUES (70393, '2020-09-16', 'PR', 'Puerto Rico', 'AMRO', '422', '38172', '9', '551');
INSERT INTO public.who_import VALUES (70394, '2020-09-17', 'PR', 'Puerto Rico', 'AMRO', '112', '38284', '19', '570');
INSERT INTO public.who_import VALUES (70395, '2020-09-18', 'PR', 'Puerto Rico', 'AMRO', '583', '38867', '18', '588');
INSERT INTO public.who_import VALUES (70396, '2020-09-19', 'PR', 'Puerto Rico', 'AMRO', '817', '39684', '11', '599');
INSERT INTO public.who_import VALUES (70397, '2020-09-20', 'PR', 'Puerto Rico', 'AMRO', '1309', '40993', '6', '605');
INSERT INTO public.who_import VALUES (70398, '2020-09-21', 'PR', 'Puerto Rico', 'AMRO', '845', '41838', '3', '608');
INSERT INTO public.who_import VALUES (70399, '2020-09-22', 'PR', 'Puerto Rico', 'AMRO', '638', '42476', '1', '609');
INSERT INTO public.who_import VALUES (70400, '2020-09-23', 'PR', 'Puerto Rico', 'AMRO', '120', '42596', '4', '613');
INSERT INTO public.who_import VALUES (70401, '2020-09-24', 'PR', 'Puerto Rico', 'AMRO', '64', '42660', '4', '617');
INSERT INTO public.who_import VALUES (70402, '2020-09-25', 'PR', 'Puerto Rico', 'AMRO', '1182', '43842', '10', '627');
INSERT INTO public.who_import VALUES (70403, '2020-09-26', 'PR', 'Puerto Rico', 'AMRO', '1063', '44905', '8', '635');
INSERT INTO public.who_import VALUES (70404, '2020-09-27', 'PR', 'Puerto Rico', 'AMRO', '508', '45413', '7', '642');
INSERT INTO public.who_import VALUES (70405, '2020-09-28', 'PR', 'Puerto Rico', 'AMRO', '891', '46304', '2', '644');
INSERT INTO public.who_import VALUES (70406, '2020-09-29', 'PR', 'Puerto Rico', 'AMRO', '1118', '47422', '4', '648');
INSERT INTO public.who_import VALUES (70407, '2020-09-30', 'PR', 'Puerto Rico', 'AMRO', '1045', '48467', '6', '654');
INSERT INTO public.who_import VALUES (70408, '2020-10-01', 'PR', 'Puerto Rico', 'AMRO', '288', '48755', '7', '661');
INSERT INTO public.who_import VALUES (70409, '2020-10-02', 'PR', 'Puerto Rico', 'AMRO', '312', '49067', '4', '665');
INSERT INTO public.who_import VALUES (70410, '2020-10-03', 'PR', 'Puerto Rico', 'AMRO', '680', '49747', '8', '673');
INSERT INTO public.who_import VALUES (70411, '2020-10-04', 'PR', 'Puerto Rico', 'AMRO', '628', '50375', '8', '681');
INSERT INTO public.who_import VALUES (70412, '2020-10-05', 'PR', 'Puerto Rico', 'AMRO', '300', '50675', '5', '686');
INSERT INTO public.who_import VALUES (70413, '2020-10-06', 'PR', 'Puerto Rico', 'AMRO', '630', '51305', '9', '695');
INSERT INTO public.who_import VALUES (70414, '2020-10-07', 'PR', 'Puerto Rico', 'AMRO', '432', '51737', '1', '696');
INSERT INTO public.who_import VALUES (70415, '2020-10-08', 'PR', 'Puerto Rico', 'AMRO', '31', '51768', '9', '705');
INSERT INTO public.who_import VALUES (70416, '2020-10-09', 'PR', 'Puerto Rico', 'AMRO', '526', '52294', '10', '715');
INSERT INTO public.who_import VALUES (70417, '2020-10-10', 'PR', 'Puerto Rico', 'AMRO', '598', '52892', '5', '720');
INSERT INTO public.who_import VALUES (70418, '2020-10-11', 'PR', 'Puerto Rico', 'AMRO', '472', '53364', '8', '728');
INSERT INTO public.who_import VALUES (70419, '2020-10-12', 'PR', 'Puerto Rico', 'AMRO', '307', '53671', '2', '730');
INSERT INTO public.who_import VALUES (70420, '2020-10-13', 'PR', 'Puerto Rico', 'AMRO', '563', '54234', '5', '735');
INSERT INTO public.who_import VALUES (70421, '2020-10-14', 'PR', 'Puerto Rico', 'AMRO', '306', '54540', '3', '738');
INSERT INTO public.who_import VALUES (70422, '2020-10-15', 'PR', 'Puerto Rico', 'AMRO', '976', '55516', '4', '742');
INSERT INTO public.who_import VALUES (70423, '2020-10-16', 'PR', 'Puerto Rico', 'AMRO', '569', '56085', '1', '743');
INSERT INTO public.who_import VALUES (70424, '2020-10-17', 'PR', 'Puerto Rico', 'AMRO', '327', '56412', '15', '758');
INSERT INTO public.who_import VALUES (70425, '2020-10-18', 'PR', 'Puerto Rico', 'AMRO', '238', '56650', '3', '761');
INSERT INTO public.who_import VALUES (70426, '2020-10-19', 'PR', 'Puerto Rico', 'AMRO', '643', '57293', '5', '766');
INSERT INTO public.who_import VALUES (70427, '2020-10-20', 'PR', 'Puerto Rico', 'AMRO', '657', '57950', '2', '768');
INSERT INTO public.who_import VALUES (70428, '2020-10-21', 'PR', 'Puerto Rico', 'AMRO', '693', '58643', '1', '769');
INSERT INTO public.who_import VALUES (70429, '2020-10-22', 'PR', 'Puerto Rico', 'AMRO', '187', '58830', '5', '774');
INSERT INTO public.who_import VALUES (70430, '2020-10-23', 'PR', 'Puerto Rico', 'AMRO', '207', '59037', '9', '783');
INSERT INTO public.who_import VALUES (70431, '2020-10-24', 'PR', 'Puerto Rico', 'AMRO', '1947', '60984', '8', '791');
INSERT INTO public.who_import VALUES (70432, '2020-10-25', 'PR', 'Puerto Rico', 'AMRO', '296', '61280', '3', '794');
INSERT INTO public.who_import VALUES (70433, '2020-10-26', 'PR', 'Puerto Rico', 'AMRO', '1223', '62503', '7', '801');
INSERT INTO public.who_import VALUES (70434, '2020-10-27', 'PR', 'Puerto Rico', 'AMRO', '632', '63135', '3', '804');
INSERT INTO public.who_import VALUES (70435, '2020-10-28', 'PR', 'Puerto Rico', 'AMRO', '362', '63497', '4', '808');
INSERT INTO public.who_import VALUES (70436, '2020-10-29', 'PR', 'Puerto Rico', 'AMRO', '90', '63587', '5', '813');
INSERT INTO public.who_import VALUES (70437, '2020-10-30', 'PR', 'Puerto Rico', 'AMRO', '1211', '64798', '1', '814');
INSERT INTO public.who_import VALUES (70438, '2020-10-31', 'PR', 'Puerto Rico', 'AMRO', '945', '65743', '6', '820');
INSERT INTO public.who_import VALUES (70439, '2020-11-01', 'PR', 'Puerto Rico', 'AMRO', '385', '66128', '2', '822');
INSERT INTO public.who_import VALUES (70440, '2020-11-02', 'PR', 'Puerto Rico', 'AMRO', '533', '66661', '10', '832');
INSERT INTO public.who_import VALUES (70441, '2020-11-03', 'PR', 'Puerto Rico', 'AMRO', '1511', '68172', '7', '839');
INSERT INTO public.who_import VALUES (70442, '2020-11-04', 'PR', 'Puerto Rico', 'AMRO', '771', '68943', '3', '842');
INSERT INTO public.who_import VALUES (70443, '2020-11-05', 'PR', 'Puerto Rico', 'AMRO', '77', '69020', '8', '850');
INSERT INTO public.who_import VALUES (70444, '2020-11-06', 'PR', 'Puerto Rico', 'AMRO', '396', '69416', '5', '855');
INSERT INTO public.who_import VALUES (70445, '2020-11-07', 'PR', 'Puerto Rico', 'AMRO', '1103', '70519', '7', '862');
INSERT INTO public.who_import VALUES (70446, '2020-11-08', 'PR', 'Puerto Rico', 'AMRO', '-32952', '37567', '0', '862');
INSERT INTO public.who_import VALUES (70447, '2020-11-09', 'PR', 'Puerto Rico', 'AMRO', '533', '38100', '10', '872');
INSERT INTO public.who_import VALUES (70448, '2020-11-10', 'PR', 'Puerto Rico', 'AMRO', '481', '38581', '10', '882');
INSERT INTO public.who_import VALUES (70449, '2020-11-11', 'PR', 'Puerto Rico', 'AMRO', '275', '38856', '7', '889');
INSERT INTO public.who_import VALUES (70450, '2020-11-12', 'PR', 'Puerto Rico', 'AMRO', '264', '39120', '12', '901');
INSERT INTO public.who_import VALUES (70451, '2020-11-13', 'PR', 'Puerto Rico', 'AMRO', '1332', '40452', '8', '909');
INSERT INTO public.who_import VALUES (70452, '2020-11-14', 'PR', 'Puerto Rico', 'AMRO', '667', '41119', '5', '914');
INSERT INTO public.who_import VALUES (70453, '2020-11-15', 'PR', 'Puerto Rico', 'AMRO', '653', '41772', '7', '921');
INSERT INTO public.who_import VALUES (70454, '2020-11-16', 'PR', 'Puerto Rico', 'AMRO', '707', '42479', '14', '935');
INSERT INTO public.who_import VALUES (70455, '2020-11-17', 'PR', 'Puerto Rico', 'AMRO', '537', '43016', '7', '942');
INSERT INTO public.who_import VALUES (70456, '2020-11-18', 'PR', 'Puerto Rico', 'AMRO', '569', '43585', '9', '951');
INSERT INTO public.who_import VALUES (70457, '2020-11-19', 'PR', 'Puerto Rico', 'AMRO', '325', '43910', '20', '971');
INSERT INTO public.who_import VALUES (70458, '2020-11-20', 'PR', 'Puerto Rico', 'AMRO', '521', '44431', '11', '982');
INSERT INTO public.who_import VALUES (70459, '2020-11-21', 'PR', 'Puerto Rico', 'AMRO', '904', '45335', '9', '991');
INSERT INTO public.who_import VALUES (70460, '2020-11-22', 'PR', 'Puerto Rico', 'AMRO', '1099', '46434', '21', '1012');
INSERT INTO public.who_import VALUES (70461, '2020-11-23', 'PR', 'Puerto Rico', 'AMRO', '1025', '47459', '5', '1017');
INSERT INTO public.who_import VALUES (70462, '2020-11-24', 'PR', 'Puerto Rico', 'AMRO', '741', '48200', '15', '1032');
INSERT INTO public.who_import VALUES (70463, '2020-11-25', 'PR', 'Puerto Rico', 'AMRO', '348', '48548', '6', '1038');
INSERT INTO public.who_import VALUES (70464, '2020-11-26', 'PR', 'Puerto Rico', 'AMRO', '177', '48725', '14', '1052');
INSERT INTO public.who_import VALUES (70465, '2020-11-27', 'PR', 'Puerto Rico', 'AMRO', '501', '49226', '17', '1069');
INSERT INTO public.who_import VALUES (70466, '2020-11-28', 'PR', 'Puerto Rico', 'AMRO', '1452', '50678', '7', '1076');
INSERT INTO public.who_import VALUES (70467, '2020-11-29', 'PR', 'Puerto Rico', 'AMRO', '903', '51581', '7', '1083');
INSERT INTO public.who_import VALUES (70468, '2020-11-30', 'PR', 'Puerto Rico', 'AMRO', '121', '51702', '11', '1094');
INSERT INTO public.who_import VALUES (70469, '2020-12-01', 'PR', 'Puerto Rico', 'AMRO', '843', '52545', '12', '1106');
INSERT INTO public.who_import VALUES (70470, '2020-12-02', 'PR', 'Puerto Rico', 'AMRO', '775', '53320', '16', '1122');
INSERT INTO public.who_import VALUES (70471, '2020-12-03', 'PR', 'Puerto Rico', 'AMRO', '388', '53708', '22', '1144');
INSERT INTO public.who_import VALUES (70472, '2020-12-04', 'PR', 'Puerto Rico', 'AMRO', '397', '54105', '11', '1155');
INSERT INTO public.who_import VALUES (70473, '2020-12-05', 'PR', 'Puerto Rico', 'AMRO', '492', '54597', '18', '1173');
INSERT INTO public.who_import VALUES (70474, '2020-12-06', 'PR', 'Puerto Rico', 'AMRO', '935', '55532', '12', '1185');
INSERT INTO public.who_import VALUES (70475, '2020-12-07', 'PR', 'Puerto Rico', 'AMRO', '1139', '56671', '7', '1192');
INSERT INTO public.who_import VALUES (70476, '2020-12-08', 'PR', 'Puerto Rico', 'AMRO', '951', '57622', '11', '1203');
INSERT INTO public.who_import VALUES (70477, '2020-12-09', 'PR', 'Puerto Rico', 'AMRO', '694', '58316', '3', '1206');
INSERT INTO public.who_import VALUES (70478, '2020-12-10', 'PR', 'Puerto Rico', 'AMRO', '646', '58962', '13', '1219');
INSERT INTO public.who_import VALUES (70479, '2020-12-11', 'PR', 'Puerto Rico', 'AMRO', '496', '59458', '19', '1238');
INSERT INTO public.who_import VALUES (70480, '2020-12-12', 'PR', 'Puerto Rico', 'AMRO', '1544', '61002', '11', '1249');
INSERT INTO public.who_import VALUES (70481, '2020-12-13', 'PR', 'Puerto Rico', 'AMRO', '721', '61723', '17', '1266');
INSERT INTO public.who_import VALUES (70482, '2020-12-14', 'PR', 'Puerto Rico', 'AMRO', '708', '62431', '6', '1272');
INSERT INTO public.who_import VALUES (70483, '2020-12-15', 'PR', 'Puerto Rico', 'AMRO', '554', '62985', '10', '1282');
INSERT INTO public.who_import VALUES (70484, '2020-12-16', 'PR', 'Puerto Rico', 'AMRO', '434', '63419', '12', '1294');
INSERT INTO public.who_import VALUES (70485, '2020-12-17', 'PR', 'Puerto Rico', 'AMRO', '267', '63686', '18', '1312');
INSERT INTO public.who_import VALUES (70486, '2020-12-18', 'PR', 'Puerto Rico', 'AMRO', '1065', '64751', '11', '1323');
INSERT INTO public.who_import VALUES (70487, '2020-12-19', 'PR', 'Puerto Rico', 'AMRO', '1381', '66132', '10', '1333');
INSERT INTO public.who_import VALUES (70488, '2020-12-20', 'PR', 'Puerto Rico', 'AMRO', '1079', '67211', '9', '1342');
INSERT INTO public.who_import VALUES (70489, '2020-12-21', 'PR', 'Puerto Rico', 'AMRO', '1222', '68433', '26', '1368');
INSERT INTO public.who_import VALUES (70490, '2020-12-22', 'PR', 'Puerto Rico', 'AMRO', '416', '68849', '14', '1382');
INSERT INTO public.who_import VALUES (70491, '2020-12-23', 'PR', 'Puerto Rico', 'AMRO', '1063', '69912', '9', '1391');
INSERT INTO public.who_import VALUES (70492, '2020-12-24', 'PR', 'Puerto Rico', 'AMRO', '576', '70488', '17', '1408');
INSERT INTO public.who_import VALUES (70493, '2020-12-25', 'PR', 'Puerto Rico', 'AMRO', '320', '70808', '15', '1423');
INSERT INTO public.who_import VALUES (70494, '2020-12-26', 'PR', 'Puerto Rico', 'AMRO', '616', '71424', '9', '1432');
INSERT INTO public.who_import VALUES (70495, '2020-12-27', 'PR', 'Puerto Rico', 'AMRO', '1019', '72443', '0', '1432');
INSERT INTO public.who_import VALUES (70496, '2020-12-28', 'PR', 'Puerto Rico', 'AMRO', '784', '73227', '13', '1445');
INSERT INTO public.who_import VALUES (70497, '2020-12-29', 'PR', 'Puerto Rico', 'AMRO', '431', '73658', '11', '1456');
INSERT INTO public.who_import VALUES (70498, '2020-12-30', 'PR', 'Puerto Rico', 'AMRO', '2132', '75790', '4', '1460');
INSERT INTO public.who_import VALUES (70499, '2020-12-31', 'PR', 'Puerto Rico', 'AMRO', '98', '75888', '24', '1484');
INSERT INTO public.who_import VALUES (70500, '2021-01-01', 'PR', 'Puerto Rico', 'AMRO', '403', '76291', '19', '1503');
INSERT INTO public.who_import VALUES (70501, '2021-01-02', 'PR', 'Puerto Rico', 'AMRO', '763', '77054', '18', '1521');
INSERT INTO public.who_import VALUES (70502, '2021-01-03', 'PR', 'Puerto Rico', 'AMRO', '878', '77932', '5', '1526');
INSERT INTO public.who_import VALUES (70503, '2021-01-04', 'PR', 'Puerto Rico', 'AMRO', '237', '78169', '19', '1545');
INSERT INTO public.who_import VALUES (70504, '2021-01-05', 'PR', 'Puerto Rico', 'AMRO', '636', '78805', '10', '1555');
INSERT INTO public.who_import VALUES (70505, '2021-01-06', 'PR', 'Puerto Rico', 'AMRO', '514', '79319', '7', '1562');
INSERT INTO public.who_import VALUES (70506, '2021-01-07', 'PR', 'Puerto Rico', 'AMRO', '293', '79612', '8', '1570');
INSERT INTO public.who_import VALUES (70507, '2021-01-08', 'PR', 'Puerto Rico', 'AMRO', '286', '79898', '18', '1588');
INSERT INTO public.who_import VALUES (70508, '2021-01-09', 'PR', 'Puerto Rico', 'AMRO', '2169', '82067', '4', '1592');
INSERT INTO public.who_import VALUES (70509, '2021-01-10', 'PR', 'Puerto Rico', 'AMRO', '563', '82630', '24', '1616');
INSERT INTO public.who_import VALUES (70510, '2021-01-11', 'PR', 'Puerto Rico', 'AMRO', '489', '83119', '14', '1630');
INSERT INTO public.who_import VALUES (70511, '2021-01-12', 'PR', 'Puerto Rico', 'AMRO', '349', '83468', '12', '1642');
INSERT INTO public.who_import VALUES (70512, '2021-01-13', 'PR', 'Puerto Rico', 'AMRO', '959', '84427', '3', '1645');
INSERT INTO public.who_import VALUES (70513, '2021-01-14', 'PR', 'Puerto Rico', 'AMRO', '212', '84639', '14', '1659');
INSERT INTO public.who_import VALUES (70514, '2021-01-15', 'PR', 'Puerto Rico', 'AMRO', '177', '84816', '20', '1679');
INSERT INTO public.who_import VALUES (70515, '2021-01-16', 'PR', 'Puerto Rico', 'AMRO', '1138', '85954', '13', '1692');
INSERT INTO public.who_import VALUES (70516, '2021-01-17', 'PR', 'Puerto Rico', 'AMRO', '569', '86523', '11', '1703');
INSERT INTO public.who_import VALUES (70517, '2021-01-18', 'PR', 'Puerto Rico', 'AMRO', '849', '87372', '0', '1703');
INSERT INTO public.who_import VALUES (70518, '2021-01-19', 'PR', 'Puerto Rico', 'AMRO', '567', '87939', '0', '1703');
INSERT INTO public.who_import VALUES (70519, '2021-01-20', 'PR', 'Puerto Rico', 'AMRO', '434', '88373', '0', '1703');
INSERT INTO public.who_import VALUES (70520, '2021-01-21', 'PR', 'Puerto Rico', 'AMRO', '140', '88513', '14', '1717');
INSERT INTO public.who_import VALUES (70521, '2021-01-22', 'PR', 'Puerto Rico', 'AMRO', '215', '88728', '15', '1732');
INSERT INTO public.who_import VALUES (70522, '2021-01-23', 'PR', 'Puerto Rico', 'AMRO', '554', '89282', '29', '1761');
INSERT INTO public.who_import VALUES (70523, '2021-01-24', 'PR', 'Puerto Rico', 'AMRO', '791', '90073', '10', '1771');
INSERT INTO public.who_import VALUES (70524, '2021-01-25', 'PR', 'Puerto Rico', 'AMRO', '955', '91028', '2', '1773');
INSERT INTO public.who_import VALUES (70525, '2021-01-26', 'PR', 'Puerto Rico', 'AMRO', '568', '91596', '5', '1778');
INSERT INTO public.who_import VALUES (70526, '2021-01-27', 'PR', 'Puerto Rico', 'AMRO', '473', '92069', '5', '1783');
INSERT INTO public.who_import VALUES (70527, '2021-01-28', 'PR', 'Puerto Rico', 'AMRO', '175', '92244', '11', '1794');
INSERT INTO public.who_import VALUES (70528, '2021-01-29', 'PR', 'Puerto Rico', 'AMRO', '297', '92541', '7', '1801');
INSERT INTO public.who_import VALUES (70529, '2021-01-30', 'PR', 'Puerto Rico', 'AMRO', '427', '92968', '11', '1812');
INSERT INTO public.who_import VALUES (70530, '2021-01-31', 'PR', 'Puerto Rico', 'AMRO', '438', '93406', '11', '1823');
INSERT INTO public.who_import VALUES (70531, '2021-02-01', 'PR', 'Puerto Rico', 'AMRO', '218', '93624', '6', '1829');
INSERT INTO public.who_import VALUES (70532, '2021-02-02', 'PR', 'Puerto Rico', 'AMRO', '614', '94238', '7', '1836');
INSERT INTO public.who_import VALUES (70533, '2021-02-03', 'PR', 'Puerto Rico', 'AMRO', '288', '94526', '10', '1846');
INSERT INTO public.who_import VALUES (70534, '2021-02-04', 'PR', 'Puerto Rico', 'AMRO', '136', '94662', '7', '1853');
INSERT INTO public.who_import VALUES (70535, '2021-02-05', 'PR', 'Puerto Rico', 'AMRO', '322', '94984', '8', '1861');
INSERT INTO public.who_import VALUES (70536, '2021-02-06', 'PR', 'Puerto Rico', 'AMRO', '80', '95064', '6', '1867');
INSERT INTO public.who_import VALUES (70537, '2021-02-07', 'PR', 'Puerto Rico', 'AMRO', '291', '95355', '5', '1872');
INSERT INTO public.who_import VALUES (70538, '2021-02-08', 'PR', 'Puerto Rico', 'AMRO', '484', '95839', '11', '1883');
INSERT INTO public.who_import VALUES (70539, '2021-02-09', 'PR', 'Puerto Rico', 'AMRO', '322', '96161', '5', '1888');
INSERT INTO public.who_import VALUES (70540, '2021-02-10', 'PR', 'Puerto Rico', 'AMRO', '241', '96402', '5', '1893');
INSERT INTO public.who_import VALUES (70541, '2021-02-11', 'PR', 'Puerto Rico', 'AMRO', '92', '96494', '4', '1897');
INSERT INTO public.who_import VALUES (70542, '2021-02-12', 'PR', 'Puerto Rico', 'AMRO', '142', '96636', '5', '1902');
INSERT INTO public.who_import VALUES (70543, '2021-02-13', 'PR', 'Puerto Rico', 'AMRO', '288', '96924', '5', '1907');
INSERT INTO public.who_import VALUES (70544, '2021-02-14', 'PR', 'Puerto Rico', 'AMRO', '389', '97313', '8', '1915');
INSERT INTO public.who_import VALUES (70545, '2021-02-15', 'PR', 'Puerto Rico', 'AMRO', '296', '97609', '4', '1919');
INSERT INTO public.who_import VALUES (70546, '2021-02-16', 'PR', 'Puerto Rico', 'AMRO', '228', '97837', '1', '1920');
INSERT INTO public.who_import VALUES (70547, '2021-02-17', 'PR', 'Puerto Rico', 'AMRO', '480', '98317', '4', '1924');
INSERT INTO public.who_import VALUES (70548, '2021-02-18', 'PR', 'Puerto Rico', 'AMRO', '111', '98428', '6', '1930');
INSERT INTO public.who_import VALUES (70549, '2021-02-19', 'PR', 'Puerto Rico', 'AMRO', '78', '98506', '10', '1940');
INSERT INTO public.who_import VALUES (70550, '2021-02-20', 'PR', 'Puerto Rico', 'AMRO', '118', '98624', '7', '1947');
INSERT INTO public.who_import VALUES (70551, '2020-01-03', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70552, '2020-01-04', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70553, '2020-01-05', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70554, '2020-01-06', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70555, '2020-01-07', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70556, '2020-01-08', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70557, '2020-01-09', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70558, '2020-01-10', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70559, '2020-01-11', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70560, '2020-01-12', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70561, '2020-01-13', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70562, '2020-01-14', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70563, '2020-01-15', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70564, '2020-01-16', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70565, '2020-01-17', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70566, '2020-01-18', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70567, '2020-01-19', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70568, '2020-01-20', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70569, '2020-01-21', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70570, '2020-01-22', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70571, '2020-01-23', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70572, '2020-01-24', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70573, '2020-01-25', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70574, '2020-01-26', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70575, '2020-01-27', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70576, '2020-01-28', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70577, '2020-01-29', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70578, '2020-01-30', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70579, '2020-01-31', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70580, '2020-02-01', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70581, '2020-02-02', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70582, '2020-02-03', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70583, '2020-02-04', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70584, '2020-02-05', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70585, '2020-02-06', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70586, '2020-02-07', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70587, '2020-02-08', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70588, '2020-02-09', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70589, '2020-02-10', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70590, '2020-02-11', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70591, '2020-02-12', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70592, '2020-02-13', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70593, '2020-02-14', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70594, '2020-02-15', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70595, '2020-02-16', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70596, '2020-02-17', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70597, '2020-02-18', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70598, '2020-02-19', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70599, '2020-02-20', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70600, '2020-02-21', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70601, '2020-02-22', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70602, '2020-02-23', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70603, '2020-02-24', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70604, '2020-02-25', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70605, '2020-02-26', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70606, '2020-02-27', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70607, '2020-02-28', 'QA', 'Qatar', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70608, '2020-02-29', 'QA', 'Qatar', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (70609, '2020-03-01', 'QA', 'Qatar', 'EMRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (70610, '2020-03-02', 'QA', 'Qatar', 'EMRO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (70611, '2020-03-03', 'QA', 'Qatar', 'EMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (70612, '2020-03-04', 'QA', 'Qatar', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (70613, '2020-03-05', 'QA', 'Qatar', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (70614, '2020-03-06', 'QA', 'Qatar', 'EMRO', '3', '15', '0', '0');
INSERT INTO public.who_import VALUES (70615, '2020-03-07', 'QA', 'Qatar', 'EMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (70616, '2020-03-08', 'QA', 'Qatar', 'EMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (70617, '2020-03-09', 'QA', 'Qatar', 'EMRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (70618, '2020-03-10', 'QA', 'Qatar', 'EMRO', '3', '22', '0', '0');
INSERT INTO public.who_import VALUES (70619, '2020-03-11', 'QA', 'Qatar', 'EMRO', '244', '266', '0', '0');
INSERT INTO public.who_import VALUES (70620, '2020-03-12', 'QA', 'Qatar', 'EMRO', '0', '266', '0', '0');
INSERT INTO public.who_import VALUES (70621, '2020-03-13', 'QA', 'Qatar', 'EMRO', '0', '266', '0', '0');
INSERT INTO public.who_import VALUES (70622, '2020-03-14', 'QA', 'Qatar', 'EMRO', '75', '341', '0', '0');
INSERT INTO public.who_import VALUES (70623, '2020-03-15', 'QA', 'Qatar', 'EMRO', '0', '341', '0', '0');
INSERT INTO public.who_import VALUES (70624, '2020-03-16', 'QA', 'Qatar', 'EMRO', '64', '405', '0', '0');
INSERT INTO public.who_import VALUES (70625, '2020-03-17', 'QA', 'Qatar', 'EMRO', '41', '446', '0', '0');
INSERT INTO public.who_import VALUES (70626, '2020-03-18', 'QA', 'Qatar', 'EMRO', '0', '446', '0', '0');
INSERT INTO public.who_import VALUES (70627, '2020-03-19', 'QA', 'Qatar', 'EMRO', '10', '456', '0', '0');
INSERT INTO public.who_import VALUES (70628, '2020-03-20', 'QA', 'Qatar', 'EMRO', '4', '460', '0', '0');
INSERT INTO public.who_import VALUES (70629, '2020-03-21', 'QA', 'Qatar', 'EMRO', '10', '470', '0', '0');
INSERT INTO public.who_import VALUES (70630, '2020-03-22', 'QA', 'Qatar', 'EMRO', '11', '481', '0', '0');
INSERT INTO public.who_import VALUES (70631, '2020-03-23', 'QA', 'Qatar', 'EMRO', '13', '494', '0', '0');
INSERT INTO public.who_import VALUES (70632, '2020-03-24', 'QA', 'Qatar', 'EMRO', '7', '501', '0', '0');
INSERT INTO public.who_import VALUES (70633, '2020-03-25', 'QA', 'Qatar', 'EMRO', '25', '526', '0', '0');
INSERT INTO public.who_import VALUES (70634, '2020-03-26', 'QA', 'Qatar', 'EMRO', '11', '537', '0', '0');
INSERT INTO public.who_import VALUES (70635, '2020-03-27', 'QA', 'Qatar', 'EMRO', '12', '549', '0', '0');
INSERT INTO public.who_import VALUES (70636, '2020-03-28', 'QA', 'Qatar', 'EMRO', '13', '562', '0', '0');
INSERT INTO public.who_import VALUES (70637, '2020-03-29', 'QA', 'Qatar', 'EMRO', '28', '590', '0', '0');
INSERT INTO public.who_import VALUES (70639, '2020-03-31', 'QA', 'Qatar', 'EMRO', '59', '693', '0', '1');
INSERT INTO public.who_import VALUES (70640, '2020-04-01', 'QA', 'Qatar', 'EMRO', '88', '781', '1', '2');
INSERT INTO public.who_import VALUES (70641, '2020-04-02', 'QA', 'Qatar', 'EMRO', '54', '835', '0', '2');
INSERT INTO public.who_import VALUES (70642, '2020-04-03', 'QA', 'Qatar', 'EMRO', '240', '1075', '1', '3');
INSERT INTO public.who_import VALUES (70643, '2020-04-04', 'QA', 'Qatar', 'EMRO', '0', '1075', '0', '3');
INSERT INTO public.who_import VALUES (70644, '2020-04-05', 'QA', 'Qatar', 'EMRO', '250', '1325', '0', '3');
INSERT INTO public.who_import VALUES (70645, '2020-04-06', 'QA', 'Qatar', 'EMRO', '279', '1604', '1', '4');
INSERT INTO public.who_import VALUES (70646, '2020-04-07', 'QA', 'Qatar', 'EMRO', '228', '1832', '0', '4');
INSERT INTO public.who_import VALUES (70647, '2020-04-08', 'QA', 'Qatar', 'EMRO', '378', '2210', '2', '6');
INSERT INTO public.who_import VALUES (70648, '2020-04-09', 'QA', 'Qatar', 'EMRO', '166', '2376', '0', '6');
INSERT INTO public.who_import VALUES (70649, '2020-04-10', 'QA', 'Qatar', 'EMRO', '136', '2512', '0', '6');
INSERT INTO public.who_import VALUES (70650, '2020-04-11', 'QA', 'Qatar', 'EMRO', '216', '2728', '0', '6');
INSERT INTO public.who_import VALUES (70651, '2020-04-12', 'QA', 'Qatar', 'EMRO', '251', '2979', '1', '7');
INSERT INTO public.who_import VALUES (70652, '2020-04-13', 'QA', 'Qatar', 'EMRO', '252', '3231', '0', '7');
INSERT INTO public.who_import VALUES (70653, '2020-04-14', 'QA', 'Qatar', 'EMRO', '197', '3428', '0', '7');
INSERT INTO public.who_import VALUES (70654, '2020-04-15', 'QA', 'Qatar', 'EMRO', '283', '3711', '0', '7');
INSERT INTO public.who_import VALUES (70655, '2020-04-16', 'QA', 'Qatar', 'EMRO', '392', '4103', '0', '7');
INSERT INTO public.who_import VALUES (70656, '2020-04-17', 'QA', 'Qatar', 'EMRO', '560', '4663', '0', '7');
INSERT INTO public.who_import VALUES (70657, '2020-04-18', 'QA', 'Qatar', 'EMRO', '345', '5008', '1', '8');
INSERT INTO public.who_import VALUES (70658, '2020-04-19', 'QA', 'Qatar', 'EMRO', '440', '5448', '0', '8');
INSERT INTO public.who_import VALUES (70659, '2020-04-20', 'QA', 'Qatar', 'EMRO', '567', '6015', '1', '9');
INSERT INTO public.who_import VALUES (70660, '2020-04-21', 'QA', 'Qatar', 'EMRO', '518', '6533', '0', '9');
INSERT INTO public.who_import VALUES (70661, '2020-04-22', 'QA', 'Qatar', 'EMRO', '608', '7141', '1', '10');
INSERT INTO public.who_import VALUES (70662, '2020-04-23', 'QA', 'Qatar', 'EMRO', '623', '7764', '0', '10');
INSERT INTO public.who_import VALUES (70663, '2020-04-24', 'QA', 'Qatar', 'EMRO', '761', '8525', '0', '10');
INSERT INTO public.who_import VALUES (70664, '2020-04-25', 'QA', 'Qatar', 'EMRO', '833', '9358', '0', '10');
INSERT INTO public.who_import VALUES (70665, '2020-04-26', 'QA', 'Qatar', 'EMRO', '929', '10287', '0', '10');
INSERT INTO public.who_import VALUES (70666, '2020-04-27', 'QA', 'Qatar', 'EMRO', '957', '11244', '0', '10');
INSERT INTO public.who_import VALUES (70667, '2020-04-28', 'QA', 'Qatar', 'EMRO', '677', '11921', '0', '10');
INSERT INTO public.who_import VALUES (70668, '2020-04-29', 'QA', 'Qatar', 'EMRO', '643', '12564', '0', '10');
INSERT INTO public.who_import VALUES (70669, '2020-04-30', 'QA', 'Qatar', 'EMRO', '845', '13409', '0', '10');
INSERT INTO public.who_import VALUES (70670, '2020-05-01', 'QA', 'Qatar', 'EMRO', '687', '14096', '2', '12');
INSERT INTO public.who_import VALUES (70671, '2020-05-02', 'QA', 'Qatar', 'EMRO', '776', '14872', '0', '12');
INSERT INTO public.who_import VALUES (70672, '2020-05-03', 'QA', 'Qatar', 'EMRO', '679', '15551', '0', '12');
INSERT INTO public.who_import VALUES (70673, '2020-05-04', 'QA', 'Qatar', 'EMRO', '640', '16191', '0', '12');
INSERT INTO public.who_import VALUES (70674, '2020-05-05', 'QA', 'Qatar', 'EMRO', '951', '17142', '0', '12');
INSERT INTO public.who_import VALUES (70675, '2020-05-06', 'QA', 'Qatar', 'EMRO', '830', '17972', '0', '12');
INSERT INTO public.who_import VALUES (70676, '2020-05-07', 'QA', 'Qatar', 'EMRO', '918', '18890', '0', '12');
INSERT INTO public.who_import VALUES (70677, '2020-05-08', 'QA', 'Qatar', 'EMRO', '1311', '20201', '0', '12');
INSERT INTO public.who_import VALUES (70678, '2020-05-09', 'QA', 'Qatar', 'EMRO', '1130', '21331', '1', '13');
INSERT INTO public.who_import VALUES (70679, '2020-05-10', 'QA', 'Qatar', 'EMRO', '1189', '22520', '1', '14');
INSERT INTO public.who_import VALUES (70680, '2020-05-11', 'QA', 'Qatar', 'EMRO', '1103', '23623', '0', '14');
INSERT INTO public.who_import VALUES (70681, '2020-05-12', 'QA', 'Qatar', 'EMRO', '1526', '25149', '0', '14');
INSERT INTO public.who_import VALUES (70682, '2020-05-13', 'QA', 'Qatar', 'EMRO', '1390', '26539', '0', '14');
INSERT INTO public.who_import VALUES (70683, '2020-05-14', 'QA', 'Qatar', 'EMRO', '1733', '28272', '0', '14');
INSERT INTO public.who_import VALUES (70684, '2020-05-15', 'QA', 'Qatar', 'EMRO', '1153', '29425', '0', '14');
INSERT INTO public.who_import VALUES (70685, '2020-05-16', 'QA', 'Qatar', 'EMRO', '1547', '30972', '1', '15');
INSERT INTO public.who_import VALUES (70686, '2020-05-17', 'QA', 'Qatar', 'EMRO', '1632', '32604', '0', '15');
INSERT INTO public.who_import VALUES (70687, '2020-05-18', 'QA', 'Qatar', 'EMRO', '1365', '33969', '0', '15');
INSERT INTO public.who_import VALUES (70688, '2020-05-19', 'QA', 'Qatar', 'EMRO', '1637', '35606', '0', '15');
INSERT INTO public.who_import VALUES (70689, '2020-05-20', 'QA', 'Qatar', 'EMRO', '1491', '37097', '1', '16');
INSERT INTO public.who_import VALUES (70690, '2020-05-21', 'QA', 'Qatar', 'EMRO', '1554', '38651', '1', '17');
INSERT INTO public.who_import VALUES (70691, '2020-05-22', 'QA', 'Qatar', 'EMRO', '0', '38651', '0', '17');
INSERT INTO public.who_import VALUES (70692, '2020-05-23', 'QA', 'Qatar', 'EMRO', '1830', '40481', '2', '19');
INSERT INTO public.who_import VALUES (70693, '2020-05-24', 'QA', 'Qatar', 'EMRO', '1732', '42213', '2', '21');
INSERT INTO public.who_import VALUES (70694, '2020-05-25', 'QA', 'Qatar', 'EMRO', '1501', '43714', '2', '23');
INSERT INTO public.who_import VALUES (70695, '2020-05-26', 'QA', 'Qatar', 'EMRO', '1751', '45465', '3', '26');
INSERT INTO public.who_import VALUES (70696, '2020-05-27', 'QA', 'Qatar', 'EMRO', '1742', '47207', '2', '28');
INSERT INTO public.who_import VALUES (70697, '2020-05-28', 'QA', 'Qatar', 'EMRO', '1740', '48947', '2', '30');
INSERT INTO public.who_import VALUES (70698, '2020-05-29', 'QA', 'Qatar', 'EMRO', '1967', '50914', '3', '33');
INSERT INTO public.who_import VALUES (70699, '2020-05-30', 'QA', 'Qatar', 'EMRO', '1993', '52907', '3', '36');
INSERT INTO public.who_import VALUES (70700, '2020-05-31', 'QA', 'Qatar', 'EMRO', '2355', '55262', '0', '36');
INSERT INTO public.who_import VALUES (70701, '2020-06-01', 'QA', 'Qatar', 'EMRO', '1648', '56910', '2', '38');
INSERT INTO public.who_import VALUES (70702, '2020-06-02', 'QA', 'Qatar', 'EMRO', '1523', '58433', '2', '40');
INSERT INTO public.who_import VALUES (70703, '2020-06-03', 'QA', 'Qatar', 'EMRO', '1826', '60259', '3', '43');
INSERT INTO public.who_import VALUES (70704, '2020-06-04', 'QA', 'Qatar', 'EMRO', '1901', '62160', '2', '45');
INSERT INTO public.who_import VALUES (70705, '2020-06-05', 'QA', 'Qatar', 'EMRO', '1581', '63741', '0', '45');
INSERT INTO public.who_import VALUES (70706, '2020-06-06', 'QA', 'Qatar', 'EMRO', '1754', '65495', '4', '49');
INSERT INTO public.who_import VALUES (70707, '2020-06-07', 'QA', 'Qatar', 'EMRO', '1700', '67195', '2', '51');
INSERT INTO public.who_import VALUES (70708, '2020-06-08', 'QA', 'Qatar', 'EMRO', '1595', '68790', '3', '54');
INSERT INTO public.who_import VALUES (70709, '2020-06-09', 'QA', 'Qatar', 'EMRO', '1368', '70158', '3', '57');
INSERT INTO public.who_import VALUES (70710, '2020-06-10', 'QA', 'Qatar', 'EMRO', '1721', '71879', '5', '62');
INSERT INTO public.who_import VALUES (70711, '2020-06-11', 'QA', 'Qatar', 'EMRO', '1716', '73595', '4', '66');
INSERT INTO public.who_import VALUES (70712, '2020-06-12', 'QA', 'Qatar', 'EMRO', '1476', '75071', '3', '69');
INSERT INTO public.who_import VALUES (70713, '2020-06-13', 'QA', 'Qatar', 'EMRO', '1517', '76588', '1', '70');
INSERT INTO public.who_import VALUES (70714, '2020-06-14', 'QA', 'Qatar', 'EMRO', '1828', '78416', '0', '70');
INSERT INTO public.who_import VALUES (70715, '2020-06-15', 'QA', 'Qatar', 'EMRO', '1186', '79602', '3', '73');
INSERT INTO public.who_import VALUES (70716, '2020-06-16', 'QA', 'Qatar', 'EMRO', '1274', '80876', '3', '76');
INSERT INTO public.who_import VALUES (70717, '2020-06-17', 'QA', 'Qatar', 'EMRO', '1201', '82077', '4', '80');
INSERT INTO public.who_import VALUES (70718, '2020-06-18', 'QA', 'Qatar', 'EMRO', '1097', '83174', '2', '82');
INSERT INTO public.who_import VALUES (70719, '2020-06-19', 'QA', 'Qatar', 'EMRO', '1267', '84441', '4', '86');
INSERT INTO public.who_import VALUES (70720, '2020-06-20', 'QA', 'Qatar', 'EMRO', '1021', '85462', '7', '93');
INSERT INTO public.who_import VALUES (70721, '2020-06-21', 'QA', 'Qatar', 'EMRO', '1026', '86488', '1', '94');
INSERT INTO public.who_import VALUES (70722, '2020-06-22', 'QA', 'Qatar', 'EMRO', '881', '87369', '4', '98');
INSERT INTO public.who_import VALUES (70723, '2020-06-23', 'QA', 'Qatar', 'EMRO', '1034', '88403', '1', '99');
INSERT INTO public.who_import VALUES (70724, '2020-06-24', 'QA', 'Qatar', 'EMRO', '1176', '89579', '0', '99');
INSERT INTO public.who_import VALUES (70725, '2020-06-25', 'QA', 'Qatar', 'EMRO', '1199', '90778', '5', '104');
INSERT INTO public.who_import VALUES (70726, '2020-06-26', 'QA', 'Qatar', 'EMRO', '1060', '91838', '2', '106');
INSERT INTO public.who_import VALUES (70727, '2020-06-27', 'QA', 'Qatar', 'EMRO', '946', '92784', '3', '109');
INSERT INTO public.who_import VALUES (70728, '2020-06-28', 'QA', 'Qatar', 'EMRO', '879', '93663', '1', '110');
INSERT INTO public.who_import VALUES (70729, '2020-06-29', 'QA', 'Qatar', 'EMRO', '750', '94413', '0', '110');
INSERT INTO public.who_import VALUES (70730, '2020-06-30', 'QA', 'Qatar', 'EMRO', '693', '95106', '3', '113');
INSERT INTO public.who_import VALUES (70731, '2020-07-01', 'QA', 'Qatar', 'EMRO', '982', '96088', '0', '113');
INSERT INTO public.who_import VALUES (70732, '2020-07-02', 'QA', 'Qatar', 'EMRO', '915', '97003', '2', '115');
INSERT INTO public.who_import VALUES (70733, '2020-07-03', 'QA', 'Qatar', 'EMRO', '894', '97897', '3', '118');
INSERT INTO public.who_import VALUES (70734, '2020-07-04', 'QA', 'Qatar', 'EMRO', '756', '98653', '3', '121');
INSERT INTO public.who_import VALUES (70735, '2020-07-05', 'QA', 'Qatar', 'EMRO', '530', '99183', '2', '123');
INSERT INTO public.who_import VALUES (70736, '2020-07-06', 'QA', 'Qatar', 'EMRO', '616', '99799', '5', '128');
INSERT INTO public.who_import VALUES (70737, '2020-07-07', 'QA', 'Qatar', 'EMRO', '546', '100345', '5', '133');
INSERT INTO public.who_import VALUES (70738, '2020-07-08', 'QA', 'Qatar', 'EMRO', '600', '100945', '1', '134');
INSERT INTO public.who_import VALUES (70739, '2020-07-09', 'QA', 'Qatar', 'EMRO', '608', '101553', '4', '138');
INSERT INTO public.who_import VALUES (70740, '2020-07-10', 'QA', 'Qatar', 'EMRO', '557', '102110', '4', '142');
INSERT INTO public.who_import VALUES (70741, '2020-07-11', 'QA', 'Qatar', 'EMRO', '520', '102630', '4', '146');
INSERT INTO public.who_import VALUES (70742, '2020-07-12', 'QA', 'Qatar', 'EMRO', '498', '103128', '0', '146');
INSERT INTO public.who_import VALUES (70743, '2020-07-13', 'QA', 'Qatar', 'EMRO', '470', '103598', '1', '147');
INSERT INTO public.who_import VALUES (70744, '2020-07-14', 'QA', 'Qatar', 'EMRO', '418', '104016', '2', '149');
INSERT INTO public.who_import VALUES (70745, '2020-07-15', 'QA', 'Qatar', 'EMRO', '517', '104533', '1', '150');
INSERT INTO public.who_import VALUES (72222, '2020-01-14', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70746, '2020-07-16', 'QA', 'Qatar', 'EMRO', '450', '104983', '1', '151');
INSERT INTO public.who_import VALUES (70747, '2020-07-17', 'QA', 'Qatar', 'EMRO', '494', '105477', '1', '152');
INSERT INTO public.who_import VALUES (70748, '2020-07-18', 'QA', 'Qatar', 'EMRO', '421', '105898', '1', '153');
INSERT INTO public.who_import VALUES (70749, '2020-07-19', 'QA', 'Qatar', 'EMRO', '410', '106308', '1', '154');
INSERT INTO public.who_import VALUES (70750, '2020-07-20', 'QA', 'Qatar', 'EMRO', '340', '106648', '3', '157');
INSERT INTO public.who_import VALUES (70751, '2020-07-21', 'QA', 'Qatar', 'EMRO', '389', '107037', '2', '159');
INSERT INTO public.who_import VALUES (70752, '2020-07-22', 'QA', 'Qatar', 'EMRO', '393', '107430', '1', '160');
INSERT INTO public.who_import VALUES (70753, '2020-07-23', 'QA', 'Qatar', 'EMRO', '441', '107871', '3', '163');
INSERT INTO public.who_import VALUES (70754, '2020-07-24', 'QA', 'Qatar', 'EMRO', '373', '108244', '1', '164');
INSERT INTO public.who_import VALUES (70755, '2020-07-25', 'QA', 'Qatar', 'EMRO', '394', '108638', '0', '164');
INSERT INTO public.who_import VALUES (70756, '2020-07-26', 'QA', 'Qatar', 'EMRO', '398', '109036', '0', '164');
INSERT INTO public.who_import VALUES (70757, '2020-07-27', 'QA', 'Qatar', 'EMRO', '269', '109305', '1', '165');
INSERT INTO public.who_import VALUES (70758, '2020-07-28', 'QA', 'Qatar', 'EMRO', '292', '109597', '0', '165');
INSERT INTO public.who_import VALUES (70759, '2020-07-29', 'QA', 'Qatar', 'EMRO', '283', '109880', '2', '167');
INSERT INTO public.who_import VALUES (70760, '2020-07-30', 'QA', 'Qatar', 'EMRO', '273', '110153', '2', '169');
INSERT INTO public.who_import VALUES (70761, '2020-07-31', 'QA', 'Qatar', 'EMRO', '307', '110460', '2', '171');
INSERT INTO public.who_import VALUES (70762, '2020-08-01', 'QA', 'Qatar', 'EMRO', '235', '110695', '3', '174');
INSERT INTO public.who_import VALUES (70763, '2020-08-02', 'QA', 'Qatar', 'EMRO', '216', '110911', '0', '174');
INSERT INTO public.who_import VALUES (70764, '2020-08-03', 'QA', 'Qatar', 'EMRO', '196', '111107', '3', '177');
INSERT INTO public.who_import VALUES (70765, '2020-08-04', 'QA', 'Qatar', 'EMRO', '215', '111322', '0', '177');
INSERT INTO public.who_import VALUES (70766, '2020-08-05', 'QA', 'Qatar', 'EMRO', '216', '111538', '0', '177');
INSERT INTO public.who_import VALUES (70767, '2020-08-06', 'QA', 'Qatar', 'EMRO', '267', '111805', '1', '178');
INSERT INTO public.who_import VALUES (70768, '2020-08-07', 'QA', 'Qatar', 'EMRO', '287', '112092', '0', '178');
INSERT INTO public.who_import VALUES (70769, '2020-08-08', 'QA', 'Qatar', 'EMRO', '291', '112383', '2', '180');
INSERT INTO public.who_import VALUES (70770, '2020-08-09', 'QA', 'Qatar', 'EMRO', '267', '112650', '2', '182');
INSERT INTO public.who_import VALUES (70771, '2020-08-10', 'QA', 'Qatar', 'EMRO', '297', '112947', '2', '184');
INSERT INTO public.who_import VALUES (70772, '2020-08-11', 'QA', 'Qatar', 'EMRO', '315', '113262', '4', '188');
INSERT INTO public.who_import VALUES (70773, '2020-08-12', 'QA', 'Qatar', 'EMRO', '384', '113646', '0', '188');
INSERT INTO public.who_import VALUES (70774, '2020-08-13', 'QA', 'Qatar', 'EMRO', '292', '113938', '2', '190');
INSERT INTO public.who_import VALUES (70775, '2020-08-14', 'QA', 'Qatar', 'EMRO', '343', '114281', '0', '190');
INSERT INTO public.who_import VALUES (70776, '2020-08-15', 'QA', 'Qatar', 'EMRO', '251', '114532', '0', '190');
INSERT INTO public.who_import VALUES (70777, '2020-08-16', 'QA', 'Qatar', 'EMRO', '277', '114809', '2', '192');
INSERT INTO public.who_import VALUES (70778, '2020-08-17', 'QA', 'Qatar', 'EMRO', '271', '115080', '1', '193');
INSERT INTO public.who_import VALUES (70779, '2020-08-18', 'QA', 'Qatar', 'EMRO', '288', '115368', '0', '193');
INSERT INTO public.who_import VALUES (70780, '2020-08-19', 'QA', 'Qatar', 'EMRO', '293', '115661', '0', '193');
INSERT INTO public.who_import VALUES (70781, '2020-08-20', 'QA', 'Qatar', 'EMRO', '295', '115956', '0', '193');
INSERT INTO public.who_import VALUES (70782, '2020-08-21', 'QA', 'Qatar', 'EMRO', '268', '116224', '0', '193');
INSERT INTO public.who_import VALUES (70783, '2020-08-22', 'QA', 'Qatar', 'EMRO', '257', '116481', '0', '193');
INSERT INTO public.who_import VALUES (70784, '2020-08-23', 'QA', 'Qatar', 'EMRO', '284', '116765', '0', '193');
INSERT INTO public.who_import VALUES (70785, '2020-08-24', 'QA', 'Qatar', 'EMRO', '243', '117008', '0', '193');
INSERT INTO public.who_import VALUES (70786, '2020-08-25', 'QA', 'Qatar', 'EMRO', '258', '117266', '1', '194');
INSERT INTO public.who_import VALUES (70787, '2020-08-26', 'QA', 'Qatar', 'EMRO', '232', '117498', '0', '194');
INSERT INTO public.who_import VALUES (70788, '2020-08-27', 'QA', 'Qatar', 'EMRO', '244', '117742', '0', '194');
INSERT INTO public.who_import VALUES (70789, '2020-08-28', 'QA', 'Qatar', 'EMRO', '246', '117988', '1', '195');
INSERT INTO public.who_import VALUES (70790, '2020-08-29', 'QA', 'Qatar', 'EMRO', '208', '118196', '1', '196');
INSERT INTO public.who_import VALUES (70791, '2020-08-30', 'QA', 'Qatar', 'EMRO', '211', '118407', '0', '196');
INSERT INTO public.who_import VALUES (70792, '2020-08-31', 'QA', 'Qatar', 'EMRO', '168', '118575', '1', '197');
INSERT INTO public.who_import VALUES (70793, '2020-09-01', 'QA', 'Qatar', 'EMRO', '203', '118778', '0', '197');
INSERT INTO public.who_import VALUES (70794, '2020-09-02', 'QA', 'Qatar', 'EMRO', '216', '118994', '1', '198');
INSERT INTO public.who_import VALUES (70795, '2020-09-03', 'QA', 'Qatar', 'EMRO', '212', '119206', '1', '199');
INSERT INTO public.who_import VALUES (70796, '2020-09-04', 'QA', 'Qatar', 'EMRO', '214', '119420', '2', '201');
INSERT INTO public.who_import VALUES (70797, '2020-09-05', 'QA', 'Qatar', 'EMRO', '217', '119637', '0', '201');
INSERT INTO public.who_import VALUES (70798, '2020-09-06', 'QA', 'Qatar', 'EMRO', '227', '119864', '1', '202');
INSERT INTO public.who_import VALUES (70799, '2020-09-07', 'QA', 'Qatar', 'EMRO', '231', '120095', '1', '203');
INSERT INTO public.who_import VALUES (70800, '2020-09-08', 'QA', 'Qatar', 'EMRO', '253', '120348', '2', '205');
INSERT INTO public.who_import VALUES (70801, '2020-09-09', 'QA', 'Qatar', 'EMRO', '231', '120579', '0', '205');
INSERT INTO public.who_import VALUES (70802, '2020-09-10', 'QA', 'Qatar', 'EMRO', '267', '120846', '0', '205');
INSERT INTO public.who_import VALUES (70803, '2020-09-11', 'QA', 'Qatar', 'EMRO', '206', '121052', '0', '205');
INSERT INTO public.who_import VALUES (70804, '2020-09-12', 'QA', 'Qatar', 'EMRO', '235', '121287', '0', '205');
INSERT INTO public.who_import VALUES (70805, '2020-09-13', 'QA', 'Qatar', 'EMRO', '236', '121523', '0', '205');
INSERT INTO public.who_import VALUES (70806, '2020-09-14', 'QA', 'Qatar', 'EMRO', '217', '121740', '0', '205');
INSERT INTO public.who_import VALUES (70807, '2020-09-15', 'QA', 'Qatar', 'EMRO', '235', '121975', '2', '207');
INSERT INTO public.who_import VALUES (70808, '2020-09-16', 'QA', 'Qatar', 'EMRO', '239', '122214', '1', '208');
INSERT INTO public.who_import VALUES (70809, '2020-09-17', 'QA', 'Qatar', 'EMRO', '235', '122449', '0', '208');
INSERT INTO public.who_import VALUES (70810, '2020-09-18', 'QA', 'Qatar', 'EMRO', '244', '122693', '0', '208');
INSERT INTO public.who_import VALUES (70811, '2020-09-19', 'QA', 'Qatar', 'EMRO', '224', '122917', '1', '209');
INSERT INTO public.who_import VALUES (70812, '2020-09-20', 'QA', 'Qatar', 'EMRO', '229', '123146', '0', '209');
INSERT INTO public.who_import VALUES (70813, '2020-09-21', 'QA', 'Qatar', 'EMRO', '230', '123376', '1', '210');
INSERT INTO public.who_import VALUES (70814, '2020-09-22', 'QA', 'Qatar', 'EMRO', '228', '123604', '1', '211');
INSERT INTO public.who_import VALUES (70815, '2020-09-23', 'QA', 'Qatar', 'EMRO', '313', '123917', '0', '211');
INSERT INTO public.who_import VALUES (70816, '2020-09-24', 'QA', 'Qatar', 'EMRO', '258', '124175', '1', '212');
INSERT INTO public.who_import VALUES (70817, '2020-09-25', 'QA', 'Qatar', 'EMRO', '250', '124425', '0', '212');
INSERT INTO public.who_import VALUES (70818, '2020-09-26', 'QA', 'Qatar', 'EMRO', '225', '124650', '0', '212');
INSERT INTO public.who_import VALUES (70819, '2020-09-27', 'QA', 'Qatar', 'EMRO', '200', '124850', '2', '214');
INSERT INTO public.who_import VALUES (70820, '2020-09-28', 'QA', 'Qatar', 'EMRO', '234', '125084', '0', '214');
INSERT INTO public.who_import VALUES (70821, '2020-09-29', 'QA', 'Qatar', 'EMRO', '227', '125311', '0', '214');
INSERT INTO public.who_import VALUES (70822, '2020-09-30', 'QA', 'Qatar', 'EMRO', '222', '125533', '0', '214');
INSERT INTO public.who_import VALUES (70823, '2020-10-01', 'QA', 'Qatar', 'EMRO', '227', '125760', '0', '214');
INSERT INTO public.who_import VALUES (70824, '2020-10-02', 'QA', 'Qatar', 'EMRO', '199', '125959', '0', '214');
INSERT INTO public.who_import VALUES (70825, '2020-10-03', 'QA', 'Qatar', 'EMRO', '205', '126164', '1', '215');
INSERT INTO public.who_import VALUES (70826, '2020-10-04', 'QA', 'Qatar', 'EMRO', '175', '126339', '1', '216');
INSERT INTO public.who_import VALUES (70827, '2020-10-05', 'QA', 'Qatar', 'EMRO', '159', '126498', '0', '216');
INSERT INTO public.who_import VALUES (70828, '2020-10-06', 'QA', 'Qatar', 'EMRO', '194', '126692', '0', '216');
INSERT INTO public.who_import VALUES (70829, '2020-10-07', 'QA', 'Qatar', 'EMRO', '251', '126943', '0', '216');
INSERT INTO public.who_import VALUES (70830, '2020-10-08', 'QA', 'Qatar', 'EMRO', '238', '127181', '2', '218');
INSERT INTO public.who_import VALUES (70831, '2020-10-09', 'QA', 'Qatar', 'EMRO', '213', '127394', '0', '218');
INSERT INTO public.who_import VALUES (70832, '2020-10-10', 'QA', 'Qatar', 'EMRO', '206', '127600', '1', '219');
INSERT INTO public.who_import VALUES (70833, '2020-10-11', 'QA', 'Qatar', 'EMRO', '178', '127778', '0', '219');
INSERT INTO public.who_import VALUES (70834, '2020-10-12', 'QA', 'Qatar', 'EMRO', '207', '127985', '1', '220');
INSERT INTO public.who_import VALUES (70835, '2020-10-13', 'QA', 'Qatar', 'EMRO', '206', '128191', '0', '220');
INSERT INTO public.who_import VALUES (70836, '2020-10-14', 'QA', 'Qatar', 'EMRO', '214', '128405', '0', '220');
INSERT INTO public.who_import VALUES (70837, '2020-10-15', 'QA', 'Qatar', 'EMRO', '198', '128603', '0', '220');
INSERT INTO public.who_import VALUES (70838, '2020-10-16', 'QA', 'Qatar', 'EMRO', '200', '128803', '2', '222');
INSERT INTO public.who_import VALUES (70839, '2020-10-17', 'QA', 'Qatar', 'EMRO', '189', '128992', '0', '222');
INSERT INTO public.who_import VALUES (70840, '2020-10-18', 'QA', 'Qatar', 'EMRO', '235', '129227', '1', '223');
INSERT INTO public.who_import VALUES (70841, '2020-10-19', 'QA', 'Qatar', 'EMRO', '204', '129431', '1', '224');
INSERT INTO public.who_import VALUES (70842, '2020-10-20', 'QA', 'Qatar', 'EMRO', '240', '129671', '0', '224');
INSERT INTO public.who_import VALUES (70843, '2020-10-21', 'QA', 'Qatar', 'EMRO', '273', '129944', '0', '224');
INSERT INTO public.who_import VALUES (70844, '2020-10-22', 'QA', 'Qatar', 'EMRO', '266', '130210', '1', '225');
INSERT INTO public.who_import VALUES (70845, '2020-10-23', 'QA', 'Qatar', 'EMRO', '252', '130462', '3', '228');
INSERT INTO public.who_import VALUES (70846, '2020-10-24', 'QA', 'Qatar', 'EMRO', '249', '130711', '1', '229');
INSERT INTO public.who_import VALUES (70847, '2020-10-25', 'QA', 'Qatar', 'EMRO', '254', '130965', '0', '229');
INSERT INTO public.who_import VALUES (70848, '2020-10-26', 'QA', 'Qatar', 'EMRO', '205', '131170', '1', '230');
INSERT INTO public.who_import VALUES (70849, '2020-10-27', 'QA', 'Qatar', 'EMRO', '262', '131432', '0', '230');
INSERT INTO public.who_import VALUES (70850, '2020-10-28', 'QA', 'Qatar', 'EMRO', '257', '131689', '0', '230');
INSERT INTO public.who_import VALUES (70851, '2020-10-29', 'QA', 'Qatar', 'EMRO', '250', '131939', '0', '230');
INSERT INTO public.who_import VALUES (70852, '2020-10-30', 'QA', 'Qatar', 'EMRO', '211', '132150', '1', '231');
INSERT INTO public.who_import VALUES (70853, '2020-10-31', 'QA', 'Qatar', 'EMRO', '193', '132343', '1', '232');
INSERT INTO public.who_import VALUES (70854, '2020-11-01', 'QA', 'Qatar', 'EMRO', '213', '132556', '0', '232');
INSERT INTO public.who_import VALUES (70855, '2020-11-02', 'QA', 'Qatar', 'EMRO', '164', '132720', '0', '232');
INSERT INTO public.who_import VALUES (70856, '2020-11-03', 'QA', 'Qatar', 'EMRO', '197', '132917', '0', '232');
INSERT INTO public.who_import VALUES (70857, '2020-11-04', 'QA', 'Qatar', 'EMRO', '226', '133143', '0', '232');
INSERT INTO public.who_import VALUES (70858, '2020-11-05', 'QA', 'Qatar', 'EMRO', '227', '133370', '0', '232');
INSERT INTO public.who_import VALUES (70859, '2020-11-06', 'QA', 'Qatar', 'EMRO', '249', '133619', '0', '232');
INSERT INTO public.who_import VALUES (70860, '2020-11-07', 'QA', 'Qatar', 'EMRO', '192', '133811', '0', '232');
INSERT INTO public.who_import VALUES (70861, '2020-11-08', 'QA', 'Qatar', 'EMRO', '202', '134013', '0', '232');
INSERT INTO public.who_import VALUES (70862, '2020-11-09', 'QA', 'Qatar', 'EMRO', '190', '134203', '0', '232');
INSERT INTO public.who_import VALUES (70863, '2020-11-10', 'QA', 'Qatar', 'EMRO', '230', '134433', '0', '232');
INSERT INTO public.who_import VALUES (70864, '2020-11-11', 'QA', 'Qatar', 'EMRO', '230', '134663', '1', '233');
INSERT INTO public.who_import VALUES (70865, '2020-11-12', 'QA', 'Qatar', 'EMRO', '224', '134887', '0', '233');
INSERT INTO public.who_import VALUES (70866, '2020-11-13', 'QA', 'Qatar', 'EMRO', '245', '135132', '1', '234');
INSERT INTO public.who_import VALUES (70867, '2020-11-14', 'QA', 'Qatar', 'EMRO', '235', '135367', '0', '234');
INSERT INTO public.who_import VALUES (70868, '2020-11-15', 'QA', 'Qatar', 'EMRO', '203', '135570', '0', '234');
INSERT INTO public.who_import VALUES (70869, '2020-11-16', 'QA', 'Qatar', 'EMRO', '215', '135785', '0', '234');
INSERT INTO public.who_import VALUES (70870, '2020-11-17', 'QA', 'Qatar', 'EMRO', '243', '136028', '1', '235');
INSERT INTO public.who_import VALUES (70871, '2020-11-18', 'QA', 'Qatar', 'EMRO', '194', '136222', '0', '235');
INSERT INTO public.who_import VALUES (70872, '2020-11-19', 'QA', 'Qatar', 'EMRO', '219', '136441', '0', '235');
INSERT INTO public.who_import VALUES (70873, '2020-11-20', 'QA', 'Qatar', 'EMRO', '208', '136649', '0', '235');
INSERT INTO public.who_import VALUES (70874, '2020-11-21', 'QA', 'Qatar', 'EMRO', '239', '136888', '0', '235');
INSERT INTO public.who_import VALUES (70875, '2020-11-22', 'QA', 'Qatar', 'EMRO', '174', '137062', '0', '235');
INSERT INTO public.who_import VALUES (70876, '2020-11-23', 'QA', 'Qatar', 'EMRO', '167', '137229', '1', '236');
INSERT INTO public.who_import VALUES (70877, '2020-11-24', 'QA', 'Qatar', 'EMRO', '186', '137415', '0', '236');
INSERT INTO public.who_import VALUES (70878, '2020-11-25', 'QA', 'Qatar', 'EMRO', '227', '137642', '0', '236');
INSERT INTO public.who_import VALUES (70879, '2020-11-26', 'QA', 'Qatar', 'EMRO', '209', '137851', '1', '237');
INSERT INTO public.who_import VALUES (70880, '2020-11-27', 'QA', 'Qatar', 'EMRO', '215', '138066', '0', '237');
INSERT INTO public.who_import VALUES (70881, '2020-11-28', 'QA', 'Qatar', 'EMRO', '184', '138250', '0', '237');
INSERT INTO public.who_import VALUES (70882, '2020-11-29', 'QA', 'Qatar', 'EMRO', '227', '138477', '0', '237');
INSERT INTO public.who_import VALUES (70883, '2020-11-30', 'QA', 'Qatar', 'EMRO', '171', '138648', '0', '237');
INSERT INTO public.who_import VALUES (70884, '2020-12-01', 'QA', 'Qatar', 'EMRO', '185', '138833', '0', '237');
INSERT INTO public.who_import VALUES (70885, '2020-12-02', 'QA', 'Qatar', 'EMRO', '168', '139001', '1', '238');
INSERT INTO public.who_import VALUES (70886, '2020-12-03', 'QA', 'Qatar', 'EMRO', '255', '139256', '1', '239');
INSERT INTO public.who_import VALUES (70887, '2020-12-04', 'QA', 'Qatar', 'EMRO', '221', '139477', '0', '239');
INSERT INTO public.who_import VALUES (70888, '2020-12-05', 'QA', 'Qatar', 'EMRO', '166', '139643', '0', '239');
INSERT INTO public.who_import VALUES (70889, '2020-12-06', 'QA', 'Qatar', 'EMRO', '140', '139783', '0', '239');
INSERT INTO public.who_import VALUES (70890, '2020-12-07', 'QA', 'Qatar', 'EMRO', '125', '139908', '0', '239');
INSERT INTO public.who_import VALUES (70891, '2020-12-08', 'QA', 'Qatar', 'EMRO', '178', '140086', '0', '239');
INSERT INTO public.who_import VALUES (70892, '2020-12-09', 'QA', 'Qatar', 'EMRO', '117', '140203', '0', '239');
INSERT INTO public.who_import VALUES (70893, '2020-12-10', 'QA', 'Qatar', 'EMRO', '150', '140353', '1', '240');
INSERT INTO public.who_import VALUES (70894, '2020-12-11', 'QA', 'Qatar', 'EMRO', '163', '140516', '0', '240');
INSERT INTO public.who_import VALUES (70895, '2020-12-12', 'QA', 'Qatar', 'EMRO', '164', '140680', '0', '240');
INSERT INTO public.who_import VALUES (70896, '2020-12-13', 'QA', 'Qatar', 'EMRO', '147', '140827', '0', '240');
INSERT INTO public.who_import VALUES (70897, '2020-12-14', 'QA', 'Qatar', 'EMRO', '134', '140961', '0', '240');
INSERT INTO public.who_import VALUES (70898, '2020-12-15', 'QA', 'Qatar', 'EMRO', '160', '141121', '1', '241');
INSERT INTO public.who_import VALUES (70899, '2020-12-16', 'QA', 'Qatar', 'EMRO', '151', '141272', '0', '241');
INSERT INTO public.who_import VALUES (70900, '2020-12-17', 'QA', 'Qatar', 'EMRO', '145', '141417', '1', '242');
INSERT INTO public.who_import VALUES (70901, '2020-12-18', 'QA', 'Qatar', 'EMRO', '140', '141557', '0', '242');
INSERT INTO public.who_import VALUES (70902, '2020-12-19', 'QA', 'Qatar', 'EMRO', '159', '141716', '0', '242');
INSERT INTO public.who_import VALUES (70903, '2020-12-20', 'QA', 'Qatar', 'EMRO', '142', '141858', '1', '243');
INSERT INTO public.who_import VALUES (70904, '2020-12-21', 'QA', 'Qatar', 'EMRO', '143', '142001', '0', '243');
INSERT INTO public.who_import VALUES (70905, '2020-12-22', 'QA', 'Qatar', 'EMRO', '158', '142159', '0', '243');
INSERT INTO public.who_import VALUES (70906, '2020-12-23', 'QA', 'Qatar', 'EMRO', '149', '142308', '0', '243');
INSERT INTO public.who_import VALUES (70907, '2020-12-24', 'QA', 'Qatar', 'EMRO', '140', '142448', '0', '243');
INSERT INTO public.who_import VALUES (70908, '2020-12-25', 'QA', 'Qatar', 'EMRO', '157', '142605', '0', '243');
INSERT INTO public.who_import VALUES (70909, '2020-12-26', 'QA', 'Qatar', 'EMRO', '129', '142734', '1', '244');
INSERT INTO public.who_import VALUES (70910, '2020-12-27', 'QA', 'Qatar', 'EMRO', '169', '142903', '0', '244');
INSERT INTO public.who_import VALUES (70911, '2020-12-28', 'QA', 'Qatar', 'EMRO', '159', '143062', '0', '244');
INSERT INTO public.who_import VALUES (70912, '2020-12-29', 'QA', 'Qatar', 'EMRO', '160', '143222', '0', '244');
INSERT INTO public.who_import VALUES (70913, '2020-12-30', 'QA', 'Qatar', 'EMRO', '206', '143428', '1', '245');
INSERT INTO public.who_import VALUES (70914, '2020-12-31', 'QA', 'Qatar', 'EMRO', '193', '143621', '0', '245');
INSERT INTO public.who_import VALUES (70915, '2021-01-01', 'QA', 'Qatar', 'EMRO', '213', '143834', '0', '245');
INSERT INTO public.who_import VALUES (70916, '2021-01-02', 'QA', 'Qatar', 'EMRO', '208', '144042', '0', '245');
INSERT INTO public.who_import VALUES (70917, '2021-01-03', 'QA', 'Qatar', 'EMRO', '198', '144240', '0', '245');
INSERT INTO public.who_import VALUES (70918, '2021-01-04', 'QA', 'Qatar', 'EMRO', '197', '144437', '0', '245');
INSERT INTO public.who_import VALUES (70919, '2021-01-05', 'QA', 'Qatar', 'EMRO', '207', '144644', '0', '245');
INSERT INTO public.who_import VALUES (70920, '2021-01-06', 'QA', 'Qatar', 'EMRO', '208', '144852', '0', '245');
INSERT INTO public.who_import VALUES (70921, '2021-01-07', 'QA', 'Qatar', 'EMRO', '209', '145061', '0', '245');
INSERT INTO public.who_import VALUES (70922, '2021-01-08', 'QA', 'Qatar', 'EMRO', '210', '145271', '0', '245');
INSERT INTO public.who_import VALUES (70923, '2021-01-09', 'QA', 'Qatar', 'EMRO', '195', '145466', '1', '246');
INSERT INTO public.who_import VALUES (70924, '2021-01-10', 'QA', 'Qatar', 'EMRO', '206', '145672', '0', '246');
INSERT INTO public.who_import VALUES (70925, '2021-01-11', 'QA', 'Qatar', 'EMRO', '193', '145865', '0', '246');
INSERT INTO public.who_import VALUES (70926, '2021-01-12', 'QA', 'Qatar', 'EMRO', '203', '146068', '0', '246');
INSERT INTO public.who_import VALUES (70927, '2021-01-13', 'QA', 'Qatar', 'EMRO', '211', '146279', '0', '246');
INSERT INTO public.who_import VALUES (70928, '2021-01-14', 'QA', 'Qatar', 'EMRO', '201', '146480', '0', '246');
INSERT INTO public.who_import VALUES (70929, '2021-01-15', 'QA', 'Qatar', 'EMRO', '209', '146689', '0', '246');
INSERT INTO public.who_import VALUES (70930, '2021-01-16', 'QA', 'Qatar', 'EMRO', '196', '146885', '0', '246');
INSERT INTO public.who_import VALUES (70931, '2021-01-17', 'QA', 'Qatar', 'EMRO', '204', '147089', '0', '246');
INSERT INTO public.who_import VALUES (70932, '2021-01-18', 'QA', 'Qatar', 'EMRO', '188', '147277', '0', '246');
INSERT INTO public.who_import VALUES (70933, '2021-01-19', 'QA', 'Qatar', 'EMRO', '227', '147504', '2', '248');
INSERT INTO public.who_import VALUES (70934, '2021-01-20', 'QA', 'Qatar', 'EMRO', '225', '147729', '0', '248');
INSERT INTO public.who_import VALUES (70935, '2021-01-21', 'QA', 'Qatar', 'EMRO', '271', '148000', '0', '248');
INSERT INTO public.who_import VALUES (70936, '2021-01-22', 'QA', 'Qatar', 'EMRO', '258', '148258', '0', '248');
INSERT INTO public.who_import VALUES (70937, '2021-01-23', 'QA', 'Qatar', 'EMRO', '263', '148521', '0', '248');
INSERT INTO public.who_import VALUES (70938, '2021-01-24', 'QA', 'Qatar', 'EMRO', '251', '148772', '0', '248');
INSERT INTO public.who_import VALUES (70939, '2021-01-25', 'QA', 'Qatar', 'EMRO', '247', '149019', '0', '248');
INSERT INTO public.who_import VALUES (70940, '2021-01-26', 'QA', 'Qatar', 'EMRO', '277', '149296', '0', '248');
INSERT INTO public.who_import VALUES (70941, '2021-01-27', 'QA', 'Qatar', 'EMRO', '299', '149595', '0', '248');
INSERT INTO public.who_import VALUES (70942, '2021-01-28', 'QA', 'Qatar', 'EMRO', '338', '149933', '0', '248');
INSERT INTO public.who_import VALUES (70943, '2021-01-29', 'QA', 'Qatar', 'EMRO', '347', '150280', '0', '248');
INSERT INTO public.who_import VALUES (70944, '2021-01-30', 'QA', 'Qatar', 'EMRO', '341', '150621', '0', '248');
INSERT INTO public.who_import VALUES (70945, '2021-01-31', 'QA', 'Qatar', 'EMRO', '363', '150984', '0', '248');
INSERT INTO public.who_import VALUES (70946, '2021-02-01', 'QA', 'Qatar', 'EMRO', '351', '151335', '0', '248');
INSERT INTO public.who_import VALUES (70947, '2021-02-02', 'QA', 'Qatar', 'EMRO', '385', '151720', '1', '249');
INSERT INTO public.who_import VALUES (70948, '2021-02-03', 'QA', 'Qatar', 'EMRO', '375', '152095', '0', '249');
INSERT INTO public.who_import VALUES (70949, '2021-02-04', 'QA', 'Qatar', 'EMRO', '396', '152491', '0', '249');
INSERT INTO public.who_import VALUES (70950, '2021-02-05', 'QA', 'Qatar', 'EMRO', '407', '152898', '0', '249');
INSERT INTO public.who_import VALUES (70951, '2021-02-06', 'QA', 'Qatar', 'EMRO', '398', '153296', '1', '250');
INSERT INTO public.who_import VALUES (70952, '2021-02-07', 'QA', 'Qatar', 'EMRO', '394', '153690', '0', '250');
INSERT INTO public.who_import VALUES (70953, '2021-02-08', 'QA', 'Qatar', 'EMRO', '408', '154098', '0', '250');
INSERT INTO public.who_import VALUES (70954, '2021-02-09', 'QA', 'Qatar', 'EMRO', '427', '154525', '1', '251');
INSERT INTO public.who_import VALUES (70955, '2021-02-10', 'QA', 'Qatar', 'EMRO', '477', '155002', '2', '253');
INSERT INTO public.who_import VALUES (70956, '2021-02-11', 'QA', 'Qatar', 'EMRO', '451', '155453', '0', '253');
INSERT INTO public.who_import VALUES (70957, '2021-02-12', 'QA', 'Qatar', 'EMRO', '448', '155901', '1', '254');
INSERT INTO public.who_import VALUES (70958, '2021-02-13', 'QA', 'Qatar', 'EMRO', '450', '156351', '0', '254');
INSERT INTO public.who_import VALUES (70959, '2021-02-14', 'QA', 'Qatar', 'EMRO', '453', '156804', '1', '255');
INSERT INTO public.who_import VALUES (70960, '2021-02-15', 'QA', 'Qatar', 'EMRO', '440', '157244', '0', '255');
INSERT INTO public.who_import VALUES (70961, '2021-02-16', 'QA', 'Qatar', 'EMRO', '448', '157692', '0', '255');
INSERT INTO public.who_import VALUES (70962, '2021-02-17', 'QA', 'Qatar', 'EMRO', '446', '158138', '1', '256');
INSERT INTO public.who_import VALUES (70963, '2021-02-18', 'QA', 'Qatar', 'EMRO', '453', '158591', '0', '256');
INSERT INTO public.who_import VALUES (70964, '2021-02-19', 'QA', 'Qatar', 'EMRO', '462', '159053', '0', '256');
INSERT INTO public.who_import VALUES (70965, '2021-02-20', 'QA', 'Qatar', 'EMRO', '465', '159518', '0', '256');
INSERT INTO public.who_import VALUES (70966, '2020-01-03', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70967, '2020-01-04', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70968, '2020-01-05', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70969, '2020-01-06', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70970, '2020-01-07', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70971, '2020-01-08', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70972, '2020-01-09', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70973, '2020-01-10', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70974, '2020-01-11', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70975, '2020-01-12', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70976, '2020-01-13', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70977, '2020-01-14', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70978, '2020-01-15', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70979, '2020-01-16', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70980, '2020-01-17', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70981, '2020-01-18', 'KR', 'Republic of Korea', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (70982, '2020-01-19', 'KR', 'Republic of Korea', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (70983, '2020-01-20', 'KR', 'Republic of Korea', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (70984, '2020-01-21', 'KR', 'Republic of Korea', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (70985, '2020-01-22', 'KR', 'Republic of Korea', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (70986, '2020-01-23', 'KR', 'Republic of Korea', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (70987, '2020-01-24', 'KR', 'Republic of Korea', 'WPRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (70988, '2020-01-25', 'KR', 'Republic of Korea', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (70989, '2020-01-26', 'KR', 'Republic of Korea', 'WPRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (70990, '2020-01-27', 'KR', 'Republic of Korea', 'WPRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (70991, '2020-01-28', 'KR', 'Republic of Korea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (70992, '2020-01-29', 'KR', 'Republic of Korea', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (70993, '2020-01-30', 'KR', 'Republic of Korea', 'WPRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (70994, '2020-01-31', 'KR', 'Republic of Korea', 'WPRO', '5', '15', '0', '0');
INSERT INTO public.who_import VALUES (70995, '2020-02-01', 'KR', 'Republic of Korea', 'WPRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (70996, '2020-02-02', 'KR', 'Republic of Korea', 'WPRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (70997, '2020-02-03', 'KR', 'Republic of Korea', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (70998, '2020-02-04', 'KR', 'Republic of Korea', 'WPRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (70999, '2020-02-05', 'KR', 'Republic of Korea', 'WPRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (71000, '2020-02-06', 'KR', 'Republic of Korea', 'WPRO', '5', '27', '0', '0');
INSERT INTO public.who_import VALUES (71001, '2020-02-07', 'KR', 'Republic of Korea', 'WPRO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (71002, '2020-02-08', 'KR', 'Republic of Korea', 'WPRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (71003, '2020-02-09', 'KR', 'Republic of Korea', 'WPRO', '3', '31', '0', '0');
INSERT INTO public.who_import VALUES (71004, '2020-02-10', 'KR', 'Republic of Korea', 'WPRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (71005, '2020-02-11', 'KR', 'Republic of Korea', 'WPRO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (71006, '2020-02-12', 'KR', 'Republic of Korea', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (71007, '2020-02-13', 'KR', 'Republic of Korea', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (71008, '2020-02-14', 'KR', 'Republic of Korea', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (71009, '2020-02-15', 'KR', 'Republic of Korea', 'WPRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (71010, '2020-02-16', 'KR', 'Republic of Korea', 'WPRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (71011, '2020-02-17', 'KR', 'Republic of Korea', 'WPRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (71012, '2020-02-18', 'KR', 'Republic of Korea', 'WPRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (71013, '2020-02-19', 'KR', 'Republic of Korea', 'WPRO', '20', '55', '0', '0');
INSERT INTO public.who_import VALUES (71014, '2020-02-20', 'KR', 'Republic of Korea', 'WPRO', '53', '108', '1', '1');
INSERT INTO public.who_import VALUES (71015, '2020-02-21', 'KR', 'Republic of Korea', 'WPRO', '100', '208', '0', '1');
INSERT INTO public.who_import VALUES (71016, '2020-02-22', 'KR', 'Republic of Korea', 'WPRO', '229', '437', '1', '2');
INSERT INTO public.who_import VALUES (71017, '2020-02-23', 'KR', 'Republic of Korea', 'WPRO', '169', '606', '0', '2');
INSERT INTO public.who_import VALUES (71018, '2020-02-24', 'KR', 'Republic of Korea', 'WPRO', '231', '837', '5', '7');
INSERT INTO public.who_import VALUES (71019, '2020-02-25', 'KR', 'Republic of Korea', 'WPRO', '144', '981', '3', '10');
INSERT INTO public.who_import VALUES (71020, '2020-02-26', 'KR', 'Republic of Korea', 'WPRO', '284', '1265', '2', '12');
INSERT INTO public.who_import VALUES (71021, '2020-02-27', 'KR', 'Republic of Korea', 'WPRO', '505', '1770', '1', '13');
INSERT INTO public.who_import VALUES (71022, '2020-02-28', 'KR', 'Republic of Korea', 'WPRO', '571', '2341', '0', '13');
INSERT INTO public.who_import VALUES (71023, '2020-02-29', 'KR', 'Republic of Korea', 'WPRO', '813', '3154', '4', '17');
INSERT INTO public.who_import VALUES (71024, '2020-03-01', 'KR', 'Republic of Korea', 'WPRO', '586', '3740', '1', '18');
INSERT INTO public.who_import VALUES (71025, '2020-03-02', 'KR', 'Republic of Korea', 'WPRO', '476', '4216', '4', '22');
INSERT INTO public.who_import VALUES (71026, '2020-03-03', 'KR', 'Republic of Korea', 'WPRO', '600', '4816', '6', '28');
INSERT INTO public.who_import VALUES (71027, '2020-03-04', 'KR', 'Republic of Korea', 'WPRO', '516', '5332', '4', '32');
INSERT INTO public.who_import VALUES (71028, '2020-03-05', 'KR', 'Republic of Korea', 'WPRO', '438', '5770', '3', '35');
INSERT INTO public.who_import VALUES (71029, '2020-03-06', 'KR', 'Republic of Korea', 'WPRO', '518', '6288', '7', '42');
INSERT INTO public.who_import VALUES (71030, '2020-03-07', 'KR', 'Republic of Korea', 'WPRO', '483', '6771', '2', '44');
INSERT INTO public.who_import VALUES (71031, '2020-03-08', 'KR', 'Republic of Korea', 'WPRO', '367', '7138', '6', '50');
INSERT INTO public.who_import VALUES (71032, '2020-03-09', 'KR', 'Republic of Korea', 'WPRO', '248', '7386', '1', '51');
INSERT INTO public.who_import VALUES (71033, '2020-03-10', 'KR', 'Republic of Korea', 'WPRO', '131', '7517', '3', '54');
INSERT INTO public.who_import VALUES (71034, '2020-03-11', 'KR', 'Republic of Korea', 'WPRO', '242', '7759', '6', '60');
INSERT INTO public.who_import VALUES (71035, '2020-03-12', 'KR', 'Republic of Korea', 'WPRO', '224', '7983', '6', '66');
INSERT INTO public.who_import VALUES (71036, '2020-03-13', 'KR', 'Republic of Korea', 'WPRO', '0', '7983', '1', '67');
INSERT INTO public.who_import VALUES (71037, '2020-03-14', 'KR', 'Republic of Korea', 'WPRO', '107', '8090', '5', '72');
INSERT INTO public.who_import VALUES (71038, '2020-03-15', 'KR', 'Republic of Korea', 'WPRO', '76', '8166', '3', '75');
INSERT INTO public.who_import VALUES (71039, '2020-03-16', 'KR', 'Republic of Korea', 'WPRO', '74', '8240', '0', '75');
INSERT INTO public.who_import VALUES (71040, '2020-03-17', 'KR', 'Republic of Korea', 'WPRO', '84', '8324', '6', '81');
INSERT INTO public.who_import VALUES (71041, '2020-03-18', 'KR', 'Republic of Korea', 'WPRO', '93', '8417', '3', '84');
INSERT INTO public.who_import VALUES (71042, '2020-03-19', 'KR', 'Republic of Korea', 'WPRO', '235', '8652', '10', '94');
INSERT INTO public.who_import VALUES (71043, '2020-03-20', 'KR', 'Republic of Korea', 'WPRO', '147', '8799', '8', '102');
INSERT INTO public.who_import VALUES (71044, '2020-03-21', 'KR', 'Republic of Korea', 'WPRO', '98', '8897', '2', '104');
INSERT INTO public.who_import VALUES (71045, '2020-03-22', 'KR', 'Republic of Korea', 'WPRO', '0', '8897', '0', '104');
INSERT INTO public.who_import VALUES (71046, '2020-03-23', 'KR', 'Republic of Korea', 'WPRO', '64', '8961', '7', '111');
INSERT INTO public.who_import VALUES (71047, '2020-03-24', 'KR', 'Republic of Korea', 'WPRO', '76', '9037', '9', '120');
INSERT INTO public.who_import VALUES (71048, '2020-03-25', 'KR', 'Republic of Korea', 'WPRO', '100', '9137', '6', '126');
INSERT INTO public.who_import VALUES (71049, '2020-03-26', 'KR', 'Republic of Korea', 'WPRO', '104', '9241', '5', '131');
INSERT INTO public.who_import VALUES (71050, '2020-03-27', 'KR', 'Republic of Korea', 'WPRO', '91', '9332', '8', '139');
INSERT INTO public.who_import VALUES (71051, '2020-03-28', 'KR', 'Republic of Korea', 'WPRO', '146', '9478', '5', '144');
INSERT INTO public.who_import VALUES (71052, '2020-03-29', 'KR', 'Republic of Korea', 'WPRO', '105', '9583', '8', '152');
INSERT INTO public.who_import VALUES (71053, '2020-03-30', 'KR', 'Republic of Korea', 'WPRO', '78', '9661', '6', '158');
INSERT INTO public.who_import VALUES (71054, '2020-03-31', 'KR', 'Republic of Korea', 'WPRO', '125', '9786', '4', '162');
INSERT INTO public.who_import VALUES (71055, '2020-04-01', 'KR', 'Republic of Korea', 'WPRO', '101', '9887', '3', '165');
INSERT INTO public.who_import VALUES (71056, '2020-04-02', 'KR', 'Republic of Korea', 'WPRO', '89', '9976', '4', '169');
INSERT INTO public.who_import VALUES (72223, '2020-01-15', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71057, '2020-04-03', 'KR', 'Republic of Korea', 'WPRO', '86', '10062', '5', '174');
INSERT INTO public.who_import VALUES (71058, '2020-04-04', 'KR', 'Republic of Korea', 'WPRO', '94', '10156', '3', '177');
INSERT INTO public.who_import VALUES (71059, '2020-04-05', 'KR', 'Republic of Korea', 'WPRO', '81', '10237', '6', '183');
INSERT INTO public.who_import VALUES (71060, '2020-04-06', 'KR', 'Republic of Korea', 'WPRO', '47', '10284', '3', '186');
INSERT INTO public.who_import VALUES (71061, '2020-04-07', 'KR', 'Republic of Korea', 'WPRO', '47', '10331', '6', '192');
INSERT INTO public.who_import VALUES (71062, '2020-04-08', 'KR', 'Republic of Korea', 'WPRO', '53', '10384', '8', '200');
INSERT INTO public.who_import VALUES (71063, '2020-04-09', 'KR', 'Republic of Korea', 'WPRO', '39', '10423', '4', '204');
INSERT INTO public.who_import VALUES (71064, '2020-04-10', 'KR', 'Republic of Korea', 'WPRO', '27', '10450', '4', '208');
INSERT INTO public.who_import VALUES (71065, '2020-04-11', 'KR', 'Republic of Korea', 'WPRO', '30', '10480', '3', '211');
INSERT INTO public.who_import VALUES (71066, '2020-04-12', 'KR', 'Republic of Korea', 'WPRO', '32', '10512', '3', '214');
INSERT INTO public.who_import VALUES (71067, '2020-04-13', 'KR', 'Republic of Korea', 'WPRO', '25', '10537', '3', '217');
INSERT INTO public.who_import VALUES (71068, '2020-04-14', 'KR', 'Republic of Korea', 'WPRO', '27', '10564', '5', '222');
INSERT INTO public.who_import VALUES (71069, '2020-04-15', 'KR', 'Republic of Korea', 'WPRO', '27', '10591', '3', '225');
INSERT INTO public.who_import VALUES (71070, '2020-04-16', 'KR', 'Republic of Korea', 'WPRO', '22', '10613', '4', '229');
INSERT INTO public.who_import VALUES (71071, '2020-04-17', 'KR', 'Republic of Korea', 'WPRO', '22', '10635', '1', '230');
INSERT INTO public.who_import VALUES (71072, '2020-04-18', 'KR', 'Republic of Korea', 'WPRO', '18', '10653', '2', '232');
INSERT INTO public.who_import VALUES (71073, '2020-04-19', 'KR', 'Republic of Korea', 'WPRO', '8', '10661', '2', '234');
INSERT INTO public.who_import VALUES (71074, '2020-04-20', 'KR', 'Republic of Korea', 'WPRO', '13', '10674', '2', '236');
INSERT INTO public.who_import VALUES (71075, '2020-04-21', 'KR', 'Republic of Korea', 'WPRO', '9', '10683', '1', '237');
INSERT INTO public.who_import VALUES (71076, '2020-04-22', 'KR', 'Republic of Korea', 'WPRO', '11', '10694', '1', '238');
INSERT INTO public.who_import VALUES (71077, '2020-04-23', 'KR', 'Republic of Korea', 'WPRO', '8', '10702', '2', '240');
INSERT INTO public.who_import VALUES (71078, '2020-04-24', 'KR', 'Republic of Korea', 'WPRO', '6', '10708', '0', '240');
INSERT INTO public.who_import VALUES (71079, '2020-04-25', 'KR', 'Republic of Korea', 'WPRO', '10', '10718', '0', '240');
INSERT INTO public.who_import VALUES (71080, '2020-04-26', 'KR', 'Republic of Korea', 'WPRO', '10', '10728', '2', '242');
INSERT INTO public.who_import VALUES (71081, '2020-04-27', 'KR', 'Republic of Korea', 'WPRO', '10', '10738', '1', '243');
INSERT INTO public.who_import VALUES (71082, '2020-04-28', 'KR', 'Republic of Korea', 'WPRO', '14', '10752', '1', '244');
INSERT INTO public.who_import VALUES (71083, '2020-04-29', 'KR', 'Republic of Korea', 'WPRO', '9', '10761', '2', '246');
INSERT INTO public.who_import VALUES (71084, '2020-04-30', 'KR', 'Republic of Korea', 'WPRO', '4', '10765', '1', '247');
INSERT INTO public.who_import VALUES (71085, '2020-05-01', 'KR', 'Republic of Korea', 'WPRO', '9', '10774', '1', '248');
INSERT INTO public.who_import VALUES (71086, '2020-05-02', 'KR', 'Republic of Korea', 'WPRO', '6', '10780', '2', '250');
INSERT INTO public.who_import VALUES (71087, '2020-05-03', 'KR', 'Republic of Korea', 'WPRO', '13', '10793', '0', '250');
INSERT INTO public.who_import VALUES (71088, '2020-05-04', 'KR', 'Republic of Korea', 'WPRO', '8', '10801', '2', '252');
INSERT INTO public.who_import VALUES (71089, '2020-05-05', 'KR', 'Republic of Korea', 'WPRO', '3', '10804', '2', '254');
INSERT INTO public.who_import VALUES (71090, '2020-05-06', 'KR', 'Republic of Korea', 'WPRO', '2', '10806', '1', '255');
INSERT INTO public.who_import VALUES (71091, '2020-05-07', 'KR', 'Republic of Korea', 'WPRO', '4', '10810', '1', '256');
INSERT INTO public.who_import VALUES (71092, '2020-05-08', 'KR', 'Republic of Korea', 'WPRO', '12', '10822', '0', '256');
INSERT INTO public.who_import VALUES (71093, '2020-05-09', 'KR', 'Republic of Korea', 'WPRO', '18', '10840', '0', '256');
INSERT INTO public.who_import VALUES (71094, '2020-05-10', 'KR', 'Republic of Korea', 'WPRO', '34', '10874', '0', '256');
INSERT INTO public.who_import VALUES (71095, '2020-05-11', 'KR', 'Republic of Korea', 'WPRO', '35', '10909', '0', '256');
INSERT INTO public.who_import VALUES (71096, '2020-05-12', 'KR', 'Republic of Korea', 'WPRO', '27', '10936', '2', '258');
INSERT INTO public.who_import VALUES (71097, '2020-05-13', 'KR', 'Republic of Korea', 'WPRO', '26', '10962', '1', '259');
INSERT INTO public.who_import VALUES (71098, '2020-05-14', 'KR', 'Republic of Korea', 'WPRO', '29', '10991', '1', '260');
INSERT INTO public.who_import VALUES (71099, '2020-05-15', 'KR', 'Republic of Korea', 'WPRO', '27', '11018', '0', '260');
INSERT INTO public.who_import VALUES (71100, '2020-05-16', 'KR', 'Republic of Korea', 'WPRO', '19', '11037', '2', '262');
INSERT INTO public.who_import VALUES (71101, '2020-05-17', 'KR', 'Republic of Korea', 'WPRO', '13', '11050', '0', '262');
INSERT INTO public.who_import VALUES (71102, '2020-05-18', 'KR', 'Republic of Korea', 'WPRO', '15', '11065', '1', '263');
INSERT INTO public.who_import VALUES (71103, '2020-05-19', 'KR', 'Republic of Korea', 'WPRO', '13', '11078', '0', '263');
INSERT INTO public.who_import VALUES (71104, '2020-05-20', 'KR', 'Republic of Korea', 'WPRO', '32', '11110', '0', '263');
INSERT INTO public.who_import VALUES (71105, '2020-05-21', 'KR', 'Republic of Korea', 'WPRO', '12', '11122', '1', '264');
INSERT INTO public.who_import VALUES (71106, '2020-05-22', 'KR', 'Republic of Korea', 'WPRO', '20', '11142', '0', '264');
INSERT INTO public.who_import VALUES (71107, '2020-05-23', 'KR', 'Republic of Korea', 'WPRO', '23', '11165', '2', '266');
INSERT INTO public.who_import VALUES (71108, '2020-05-24', 'KR', 'Republic of Korea', 'WPRO', '25', '11190', '0', '266');
INSERT INTO public.who_import VALUES (71109, '2020-05-25', 'KR', 'Republic of Korea', 'WPRO', '16', '11206', '1', '267');
INSERT INTO public.who_import VALUES (71110, '2020-05-26', 'KR', 'Republic of Korea', 'WPRO', '19', '11225', '2', '269');
INSERT INTO public.who_import VALUES (71111, '2020-05-27', 'KR', 'Republic of Korea', 'WPRO', '40', '11265', '0', '269');
INSERT INTO public.who_import VALUES (71112, '2020-05-28', 'KR', 'Republic of Korea', 'WPRO', '79', '11344', '0', '269');
INSERT INTO public.who_import VALUES (71113, '2020-05-29', 'KR', 'Republic of Korea', 'WPRO', '58', '11402', '0', '269');
INSERT INTO public.who_import VALUES (71114, '2020-05-30', 'KR', 'Republic of Korea', 'WPRO', '39', '11441', '0', '269');
INSERT INTO public.who_import VALUES (71115, '2020-05-31', 'KR', 'Republic of Korea', 'WPRO', '27', '11468', '1', '270');
INSERT INTO public.who_import VALUES (71116, '2020-06-01', 'KR', 'Republic of Korea', 'WPRO', '35', '11503', '1', '271');
INSERT INTO public.who_import VALUES (71117, '2020-06-02', 'KR', 'Republic of Korea', 'WPRO', '38', '11541', '1', '272');
INSERT INTO public.who_import VALUES (71118, '2020-06-03', 'KR', 'Republic of Korea', 'WPRO', '49', '11590', '1', '273');
INSERT INTO public.who_import VALUES (71119, '2020-06-04', 'KR', 'Republic of Korea', 'WPRO', '39', '11629', '0', '273');
INSERT INTO public.who_import VALUES (71120, '2020-06-05', 'KR', 'Republic of Korea', 'WPRO', '39', '11668', '0', '273');
INSERT INTO public.who_import VALUES (71121, '2020-06-06', 'KR', 'Republic of Korea', 'WPRO', '51', '11719', '0', '273');
INSERT INTO public.who_import VALUES (71122, '2020-06-07', 'KR', 'Republic of Korea', 'WPRO', '57', '11776', '0', '273');
INSERT INTO public.who_import VALUES (71123, '2020-06-08', 'KR', 'Republic of Korea', 'WPRO', '37', '11813', '0', '273');
INSERT INTO public.who_import VALUES (71124, '2020-06-09', 'KR', 'Republic of Korea', 'WPRO', '38', '11851', '1', '274');
INSERT INTO public.who_import VALUES (71125, '2020-06-10', 'KR', 'Republic of Korea', 'WPRO', '50', '11901', '2', '276');
INSERT INTO public.who_import VALUES (71126, '2020-06-11', 'KR', 'Republic of Korea', 'WPRO', '45', '11946', '0', '276');
INSERT INTO public.who_import VALUES (71127, '2020-06-12', 'KR', 'Republic of Korea', 'WPRO', '56', '12002', '1', '277');
INSERT INTO public.who_import VALUES (71128, '2020-06-13', 'KR', 'Republic of Korea', 'WPRO', '48', '12050', '0', '277');
INSERT INTO public.who_import VALUES (71129, '2020-06-14', 'KR', 'Republic of Korea', 'WPRO', '34', '12084', '0', '277');
INSERT INTO public.who_import VALUES (71130, '2020-06-15', 'KR', 'Republic of Korea', 'WPRO', '37', '12121', '0', '277');
INSERT INTO public.who_import VALUES (71131, '2020-06-16', 'KR', 'Republic of Korea', 'WPRO', '34', '12155', '1', '278');
INSERT INTO public.who_import VALUES (71132, '2020-06-17', 'KR', 'Republic of Korea', 'WPRO', '43', '12198', '1', '279');
INSERT INTO public.who_import VALUES (71133, '2020-06-18', 'KR', 'Republic of Korea', 'WPRO', '59', '12257', '1', '280');
INSERT INTO public.who_import VALUES (71134, '2020-06-19', 'KR', 'Republic of Korea', 'WPRO', '49', '12306', '0', '280');
INSERT INTO public.who_import VALUES (71135, '2020-06-20', 'KR', 'Republic of Korea', 'WPRO', '67', '12373', '0', '280');
INSERT INTO public.who_import VALUES (71136, '2020-06-21', 'KR', 'Republic of Korea', 'WPRO', '48', '12421', '0', '280');
INSERT INTO public.who_import VALUES (71137, '2020-06-22', 'KR', 'Republic of Korea', 'WPRO', '17', '12438', '0', '280');
INSERT INTO public.who_import VALUES (71138, '2020-06-23', 'KR', 'Republic of Korea', 'WPRO', '46', '12484', '1', '281');
INSERT INTO public.who_import VALUES (71139, '2020-06-24', 'KR', 'Republic of Korea', 'WPRO', '51', '12535', '0', '281');
INSERT INTO public.who_import VALUES (71140, '2020-06-25', 'KR', 'Republic of Korea', 'WPRO', '28', '12563', '1', '282');
INSERT INTO public.who_import VALUES (71141, '2020-06-26', 'KR', 'Republic of Korea', 'WPRO', '39', '12602', '0', '282');
INSERT INTO public.who_import VALUES (71142, '2020-06-27', 'KR', 'Republic of Korea', 'WPRO', '51', '12653', '0', '282');
INSERT INTO public.who_import VALUES (71143, '2020-06-28', 'KR', 'Republic of Korea', 'WPRO', '62', '12715', '0', '282');
INSERT INTO public.who_import VALUES (71144, '2020-06-29', 'KR', 'Republic of Korea', 'WPRO', '42', '12757', '0', '282');
INSERT INTO public.who_import VALUES (71145, '2020-06-30', 'KR', 'Republic of Korea', 'WPRO', '42', '12799', '0', '282');
INSERT INTO public.who_import VALUES (71146, '2020-07-01', 'KR', 'Republic of Korea', 'WPRO', '51', '12850', '0', '282');
INSERT INTO public.who_import VALUES (71147, '2020-07-02', 'KR', 'Republic of Korea', 'WPRO', '54', '12904', '0', '282');
INSERT INTO public.who_import VALUES (71148, '2020-07-03', 'KR', 'Republic of Korea', 'WPRO', '61', '12965', '0', '282');
INSERT INTO public.who_import VALUES (71149, '2020-07-04', 'KR', 'Republic of Korea', 'WPRO', '63', '13028', '1', '283');
INSERT INTO public.who_import VALUES (71150, '2020-07-05', 'KR', 'Republic of Korea', 'WPRO', '61', '13089', '0', '283');
INSERT INTO public.who_import VALUES (71151, '2020-07-06', 'KR', 'Republic of Korea', 'WPRO', '48', '13137', '1', '284');
INSERT INTO public.who_import VALUES (71152, '2020-07-07', 'KR', 'Republic of Korea', 'WPRO', '44', '13181', '1', '285');
INSERT INTO public.who_import VALUES (71153, '2020-07-08', 'KR', 'Republic of Korea', 'WPRO', '62', '13243', '0', '285');
INSERT INTO public.who_import VALUES (71154, '2020-07-09', 'KR', 'Republic of Korea', 'WPRO', '50', '13293', '2', '287');
INSERT INTO public.who_import VALUES (71155, '2020-07-10', 'KR', 'Republic of Korea', 'WPRO', '45', '13338', '1', '288');
INSERT INTO public.who_import VALUES (71156, '2020-07-11', 'KR', 'Republic of Korea', 'WPRO', '35', '13373', '0', '288');
INSERT INTO public.who_import VALUES (71157, '2020-07-12', 'KR', 'Republic of Korea', 'WPRO', '44', '13417', '1', '289');
INSERT INTO public.who_import VALUES (71158, '2020-07-13', 'KR', 'Republic of Korea', 'WPRO', '62', '13479', '0', '289');
INSERT INTO public.who_import VALUES (71159, '2020-07-14', 'KR', 'Republic of Korea', 'WPRO', '33', '13512', '0', '289');
INSERT INTO public.who_import VALUES (71160, '2020-07-15', 'KR', 'Republic of Korea', 'WPRO', '39', '13551', '0', '289');
INSERT INTO public.who_import VALUES (71161, '2020-07-16', 'KR', 'Republic of Korea', 'WPRO', '61', '13612', '2', '291');
INSERT INTO public.who_import VALUES (71162, '2020-07-17', 'KR', 'Republic of Korea', 'WPRO', '60', '13672', '2', '293');
INSERT INTO public.who_import VALUES (71163, '2020-07-18', 'KR', 'Republic of Korea', 'WPRO', '39', '13711', '1', '294');
INSERT INTO public.who_import VALUES (71164, '2020-07-19', 'KR', 'Republic of Korea', 'WPRO', '34', '13745', '1', '295');
INSERT INTO public.who_import VALUES (71165, '2020-07-20', 'KR', 'Republic of Korea', 'WPRO', '26', '13771', '1', '296');
INSERT INTO public.who_import VALUES (71166, '2020-07-21', 'KR', 'Republic of Korea', 'WPRO', '45', '13816', '0', '296');
INSERT INTO public.who_import VALUES (71167, '2020-07-22', 'KR', 'Republic of Korea', 'WPRO', '63', '13879', '1', '297');
INSERT INTO public.who_import VALUES (71168, '2020-07-23', 'KR', 'Republic of Korea', 'WPRO', '59', '13938', '0', '297');
INSERT INTO public.who_import VALUES (71169, '2020-07-24', 'KR', 'Republic of Korea', 'WPRO', '41', '13979', '1', '298');
INSERT INTO public.who_import VALUES (71170, '2020-07-25', 'KR', 'Republic of Korea', 'WPRO', '113', '14092', '0', '298');
INSERT INTO public.who_import VALUES (71171, '2020-07-26', 'KR', 'Republic of Korea', 'WPRO', '58', '14150', '0', '298');
INSERT INTO public.who_import VALUES (71172, '2020-07-27', 'KR', 'Republic of Korea', 'WPRO', '25', '14175', '1', '299');
INSERT INTO public.who_import VALUES (71173, '2020-07-28', 'KR', 'Republic of Korea', 'WPRO', '28', '14203', '1', '300');
INSERT INTO public.who_import VALUES (71174, '2020-07-29', 'KR', 'Republic of Korea', 'WPRO', '48', '14251', '0', '300');
INSERT INTO public.who_import VALUES (71175, '2020-07-30', 'KR', 'Republic of Korea', 'WPRO', '18', '14269', '0', '300');
INSERT INTO public.who_import VALUES (71176, '2020-07-31', 'KR', 'Republic of Korea', 'WPRO', '36', '14305', '1', '301');
INSERT INTO public.who_import VALUES (71177, '2020-08-01', 'KR', 'Republic of Korea', 'WPRO', '31', '14336', '0', '301');
INSERT INTO public.who_import VALUES (71178, '2020-08-02', 'KR', 'Republic of Korea', 'WPRO', '30', '14366', '0', '301');
INSERT INTO public.who_import VALUES (71179, '2020-08-03', 'KR', 'Republic of Korea', 'WPRO', '23', '14389', '0', '301');
INSERT INTO public.who_import VALUES (71180, '2020-08-04', 'KR', 'Republic of Korea', 'WPRO', '34', '14423', '0', '301');
INSERT INTO public.who_import VALUES (71181, '2020-08-05', 'KR', 'Republic of Korea', 'WPRO', '33', '14456', '1', '302');
INSERT INTO public.who_import VALUES (71182, '2020-08-06', 'KR', 'Republic of Korea', 'WPRO', '43', '14499', '0', '302');
INSERT INTO public.who_import VALUES (71183, '2020-08-07', 'KR', 'Republic of Korea', 'WPRO', '20', '14519', '1', '303');
INSERT INTO public.who_import VALUES (71184, '2020-08-08', 'KR', 'Republic of Korea', 'WPRO', '43', '14562', '1', '304');
INSERT INTO public.who_import VALUES (71185, '2020-08-09', 'KR', 'Republic of Korea', 'WPRO', '36', '14598', '1', '305');
INSERT INTO public.who_import VALUES (71186, '2020-08-10', 'KR', 'Republic of Korea', 'WPRO', '28', '14626', '0', '305');
INSERT INTO public.who_import VALUES (71187, '2020-08-11', 'KR', 'Republic of Korea', 'WPRO', '34', '14660', '0', '305');
INSERT INTO public.who_import VALUES (71188, '2020-08-12', 'KR', 'Republic of Korea', 'WPRO', '54', '14714', '0', '305');
INSERT INTO public.who_import VALUES (71189, '2020-08-13', 'KR', 'Republic of Korea', 'WPRO', '56', '14770', '0', '305');
INSERT INTO public.who_import VALUES (71190, '2020-08-14', 'KR', 'Republic of Korea', 'WPRO', '103', '14873', '0', '305');
INSERT INTO public.who_import VALUES (71191, '2020-08-15', 'KR', 'Republic of Korea', 'WPRO', '166', '15039', '0', '305');
INSERT INTO public.who_import VALUES (71192, '2020-08-16', 'KR', 'Republic of Korea', 'WPRO', '279', '15318', '0', '305');
INSERT INTO public.who_import VALUES (71193, '2020-08-17', 'KR', 'Republic of Korea', 'WPRO', '197', '15515', '0', '305');
INSERT INTO public.who_import VALUES (71194, '2020-08-18', 'KR', 'Republic of Korea', 'WPRO', '246', '15761', '1', '306');
INSERT INTO public.who_import VALUES (71195, '2020-08-19', 'KR', 'Republic of Korea', 'WPRO', '297', '16058', '0', '306');
INSERT INTO public.who_import VALUES (71196, '2020-08-20', 'KR', 'Republic of Korea', 'WPRO', '288', '16346', '1', '307');
INSERT INTO public.who_import VALUES (71197, '2020-08-21', 'KR', 'Republic of Korea', 'WPRO', '324', '16670', '2', '309');
INSERT INTO public.who_import VALUES (71198, '2020-08-22', 'KR', 'Republic of Korea', 'WPRO', '332', '17002', '0', '309');
INSERT INTO public.who_import VALUES (71199, '2020-08-23', 'KR', 'Republic of Korea', 'WPRO', '397', '17399', '0', '309');
INSERT INTO public.who_import VALUES (71200, '2020-08-24', 'KR', 'Republic of Korea', 'WPRO', '266', '17665', '0', '309');
INSERT INTO public.who_import VALUES (71201, '2020-08-25', 'KR', 'Republic of Korea', 'WPRO', '280', '17945', '1', '310');
INSERT INTO public.who_import VALUES (71202, '2020-08-26', 'KR', 'Republic of Korea', 'WPRO', '320', '18265', '2', '312');
INSERT INTO public.who_import VALUES (71203, '2020-08-27', 'KR', 'Republic of Korea', 'WPRO', '441', '18706', '1', '313');
INSERT INTO public.who_import VALUES (71204, '2020-08-28', 'KR', 'Republic of Korea', 'WPRO', '371', '19077', '3', '316');
INSERT INTO public.who_import VALUES (71205, '2020-08-29', 'KR', 'Republic of Korea', 'WPRO', '323', '19400', '5', '321');
INSERT INTO public.who_import VALUES (71206, '2020-08-30', 'KR', 'Republic of Korea', 'WPRO', '299', '19699', '2', '323');
INSERT INTO public.who_import VALUES (71207, '2020-08-31', 'KR', 'Republic of Korea', 'WPRO', '248', '19947', '1', '324');
INSERT INTO public.who_import VALUES (71208, '2020-09-01', 'KR', 'Republic of Korea', 'WPRO', '235', '20182', '0', '324');
INSERT INTO public.who_import VALUES (71209, '2020-09-02', 'KR', 'Republic of Korea', 'WPRO', '267', '20449', '2', '326');
INSERT INTO public.who_import VALUES (71210, '2020-09-03', 'KR', 'Republic of Korea', 'WPRO', '195', '20644', '3', '329');
INSERT INTO public.who_import VALUES (71211, '2020-09-04', 'KR', 'Republic of Korea', 'WPRO', '198', '20842', '2', '331');
INSERT INTO public.who_import VALUES (71212, '2020-09-05', 'KR', 'Republic of Korea', 'WPRO', '168', '21010', '2', '333');
INSERT INTO public.who_import VALUES (71213, '2020-09-06', 'KR', 'Republic of Korea', 'WPRO', '167', '21177', '1', '334');
INSERT INTO public.who_import VALUES (71214, '2020-09-07', 'KR', 'Republic of Korea', 'WPRO', '119', '21296', '2', '336');
INSERT INTO public.who_import VALUES (71215, '2020-09-08', 'KR', 'Republic of Korea', 'WPRO', '136', '21432', '5', '341');
INSERT INTO public.who_import VALUES (71216, '2020-09-09', 'KR', 'Republic of Korea', 'WPRO', '156', '21588', '3', '344');
INSERT INTO public.who_import VALUES (71217, '2020-09-10', 'KR', 'Republic of Korea', 'WPRO', '155', '21743', '2', '346');
INSERT INTO public.who_import VALUES (71218, '2020-09-11', 'KR', 'Republic of Korea', 'WPRO', '176', '21919', '4', '350');
INSERT INTO public.who_import VALUES (71219, '2020-09-12', 'KR', 'Republic of Korea', 'WPRO', '136', '22055', '5', '355');
INSERT INTO public.who_import VALUES (71220, '2020-09-13', 'KR', 'Republic of Korea', 'WPRO', '121', '22176', '3', '358');
INSERT INTO public.who_import VALUES (71221, '2020-09-14', 'KR', 'Republic of Korea', 'WPRO', '109', '22285', '5', '363');
INSERT INTO public.who_import VALUES (71222, '2020-09-15', 'KR', 'Republic of Korea', 'WPRO', '106', '22391', '4', '367');
INSERT INTO public.who_import VALUES (71223, '2020-09-16', 'KR', 'Republic of Korea', 'WPRO', '113', '22504', '0', '367');
INSERT INTO public.who_import VALUES (71224, '2020-09-17', 'KR', 'Republic of Korea', 'WPRO', '153', '22657', '5', '372');
INSERT INTO public.who_import VALUES (71225, '2020-09-18', 'KR', 'Republic of Korea', 'WPRO', '126', '22783', '5', '377');
INSERT INTO public.who_import VALUES (71226, '2020-09-19', 'KR', 'Republic of Korea', 'WPRO', '110', '22893', '1', '378');
INSERT INTO public.who_import VALUES (71227, '2020-09-20', 'KR', 'Republic of Korea', 'WPRO', '82', '22975', '5', '383');
INSERT INTO public.who_import VALUES (71228, '2020-09-21', 'KR', 'Republic of Korea', 'WPRO', '70', '23045', '2', '385');
INSERT INTO public.who_import VALUES (71229, '2020-09-22', 'KR', 'Republic of Korea', 'WPRO', '61', '23106', '3', '388');
INSERT INTO public.who_import VALUES (71230, '2020-09-23', 'KR', 'Republic of Korea', 'WPRO', '110', '23216', '0', '388');
INSERT INTO public.who_import VALUES (71231, '2020-09-24', 'KR', 'Republic of Korea', 'WPRO', '125', '23341', '5', '393');
INSERT INTO public.who_import VALUES (71232, '2020-09-25', 'KR', 'Republic of Korea', 'WPRO', '114', '23455', '2', '395');
INSERT INTO public.who_import VALUES (71233, '2020-09-26', 'KR', 'Republic of Korea', 'WPRO', '61', '23516', '4', '399');
INSERT INTO public.who_import VALUES (71234, '2020-09-27', 'KR', 'Republic of Korea', 'WPRO', '95', '23611', '2', '401');
INSERT INTO public.who_import VALUES (71235, '2020-09-28', 'KR', 'Republic of Korea', 'WPRO', '50', '23661', '5', '406');
INSERT INTO public.who_import VALUES (71236, '2020-09-29', 'KR', 'Republic of Korea', 'WPRO', '38', '23699', '1', '407');
INSERT INTO public.who_import VALUES (71237, '2020-09-30', 'KR', 'Republic of Korea', 'WPRO', '113', '23812', '6', '413');
INSERT INTO public.who_import VALUES (71238, '2020-10-01', 'KR', 'Republic of Korea', 'WPRO', '77', '23889', '2', '415');
INSERT INTO public.who_import VALUES (71239, '2020-10-02', 'KR', 'Republic of Korea', 'WPRO', '63', '23952', '1', '416');
INSERT INTO public.who_import VALUES (71240, '2020-10-03', 'KR', 'Republic of Korea', 'WPRO', '75', '24027', '4', '420');
INSERT INTO public.who_import VALUES (71241, '2020-10-04', 'KR', 'Republic of Korea', 'WPRO', '64', '24091', '1', '421');
INSERT INTO public.who_import VALUES (71242, '2020-10-05', 'KR', 'Republic of Korea', 'WPRO', '73', '24164', '1', '422');
INSERT INTO public.who_import VALUES (71243, '2020-10-06', 'KR', 'Republic of Korea', 'WPRO', '75', '24239', '0', '422');
INSERT INTO public.who_import VALUES (71244, '2020-10-07', 'KR', 'Republic of Korea', 'WPRO', '114', '24353', '3', '425');
INSERT INTO public.who_import VALUES (71245, '2020-10-08', 'KR', 'Republic of Korea', 'WPRO', '69', '24422', '2', '427');
INSERT INTO public.who_import VALUES (71246, '2020-10-09', 'KR', 'Republic of Korea', 'WPRO', '54', '24476', '1', '428');
INSERT INTO public.who_import VALUES (71247, '2020-10-10', 'KR', 'Republic of Korea', 'WPRO', '72', '24548', '2', '430');
INSERT INTO public.who_import VALUES (71248, '2020-10-11', 'KR', 'Republic of Korea', 'WPRO', '58', '24606', '2', '432');
INSERT INTO public.who_import VALUES (71249, '2020-10-12', 'KR', 'Republic of Korea', 'WPRO', '97', '24703', '1', '433');
INSERT INTO public.who_import VALUES (71250, '2020-10-13', 'KR', 'Republic of Korea', 'WPRO', '102', '24805', '1', '434');
INSERT INTO public.who_import VALUES (71251, '2020-10-14', 'KR', 'Republic of Korea', 'WPRO', '73', '24878', '4', '438');
INSERT INTO public.who_import VALUES (71252, '2020-10-15', 'KR', 'Republic of Korea', 'WPRO', '110', '24988', '1', '439');
INSERT INTO public.who_import VALUES (71253, '2020-10-16', 'KR', 'Republic of Korea', 'WPRO', '47', '25035', '2', '441');
INSERT INTO public.who_import VALUES (71254, '2020-10-17', 'KR', 'Republic of Korea', 'WPRO', '73', '25108', '2', '443');
INSERT INTO public.who_import VALUES (71255, '2020-10-18', 'KR', 'Republic of Korea', 'WPRO', '91', '25199', '1', '444');
INSERT INTO public.who_import VALUES (71256, '2020-10-19', 'KR', 'Republic of Korea', 'WPRO', '76', '25275', '0', '444');
INSERT INTO public.who_import VALUES (71257, '2020-10-20', 'KR', 'Republic of Korea', 'WPRO', '58', '25333', '3', '447');
INSERT INTO public.who_import VALUES (71258, '2020-10-21', 'KR', 'Republic of Korea', 'WPRO', '89', '25422', '3', '450');
INSERT INTO public.who_import VALUES (71259, '2020-10-22', 'KR', 'Republic of Korea', 'WPRO', '121', '25543', '3', '453');
INSERT INTO public.who_import VALUES (71260, '2020-10-23', 'KR', 'Republic of Korea', 'WPRO', '155', '25698', '2', '455');
INSERT INTO public.who_import VALUES (71261, '2020-10-24', 'KR', 'Republic of Korea', 'WPRO', '77', '25775', '2', '457');
INSERT INTO public.who_import VALUES (71262, '2020-10-25', 'KR', 'Republic of Korea', 'WPRO', '61', '25836', '0', '457');
INSERT INTO public.who_import VALUES (71263, '2020-10-26', 'KR', 'Republic of Korea', 'WPRO', '119', '25955', '0', '457');
INSERT INTO public.who_import VALUES (71264, '2020-10-27', 'KR', 'Republic of Korea', 'WPRO', '88', '26043', '3', '460');
INSERT INTO public.who_import VALUES (71265, '2020-10-28', 'KR', 'Republic of Korea', 'WPRO', '103', '26146', '1', '461');
INSERT INTO public.who_import VALUES (71266, '2020-10-29', 'KR', 'Republic of Korea', 'WPRO', '125', '26271', '1', '462');
INSERT INTO public.who_import VALUES (71267, '2020-10-30', 'KR', 'Republic of Korea', 'WPRO', '113', '26384', '1', '463');
INSERT INTO public.who_import VALUES (71268, '2020-10-31', 'KR', 'Republic of Korea', 'WPRO', '127', '26511', '1', '464');
INSERT INTO public.who_import VALUES (71269, '2020-11-01', 'KR', 'Republic of Korea', 'WPRO', '124', '26635', '2', '466');
INSERT INTO public.who_import VALUES (71270, '2020-11-02', 'KR', 'Republic of Korea', 'WPRO', '97', '26732', '2', '468');
INSERT INTO public.who_import VALUES (71271, '2020-11-03', 'KR', 'Republic of Korea', 'WPRO', '75', '26807', '4', '472');
INSERT INTO public.who_import VALUES (71272, '2020-11-04', 'KR', 'Republic of Korea', 'WPRO', '117', '26924', '2', '474');
INSERT INTO public.who_import VALUES (71273, '2020-11-05', 'KR', 'Republic of Korea', 'WPRO', '125', '27049', '1', '475');
INSERT INTO public.who_import VALUES (71274, '2020-11-06', 'KR', 'Republic of Korea', 'WPRO', '145', '27194', '1', '476');
INSERT INTO public.who_import VALUES (71275, '2020-11-07', 'KR', 'Republic of Korea', 'WPRO', '89', '27283', '1', '477');
INSERT INTO public.who_import VALUES (71276, '2020-11-08', 'KR', 'Republic of Korea', 'WPRO', '143', '27426', '1', '478');
INSERT INTO public.who_import VALUES (71277, '2020-11-09', 'KR', 'Republic of Korea', 'WPRO', '126', '27552', '2', '480');
INSERT INTO public.who_import VALUES (71278, '2020-11-10', 'KR', 'Republic of Korea', 'WPRO', '100', '27652', '5', '485');
INSERT INTO public.who_import VALUES (71279, '2020-11-11', 'KR', 'Republic of Korea', 'WPRO', '145', '27797', '2', '487');
INSERT INTO public.who_import VALUES (71280, '2020-11-12', 'KR', 'Republic of Korea', 'WPRO', '143', '27940', '0', '487');
INSERT INTO public.who_import VALUES (71281, '2020-11-13', 'KR', 'Republic of Korea', 'WPRO', '191', '28131', '1', '488');
INSERT INTO public.who_import VALUES (71282, '2020-11-14', 'KR', 'Republic of Korea', 'WPRO', '205', '28336', '4', '492');
INSERT INTO public.who_import VALUES (71283, '2020-11-15', 'KR', 'Republic of Korea', 'WPRO', '208', '28544', '1', '493');
INSERT INTO public.who_import VALUES (71284, '2020-11-16', 'KR', 'Republic of Korea', 'WPRO', '222', '28766', '1', '494');
INSERT INTO public.who_import VALUES (71285, '2020-11-17', 'KR', 'Republic of Korea', 'WPRO', '230', '28996', '0', '494');
INSERT INTO public.who_import VALUES (71286, '2020-11-18', 'KR', 'Republic of Korea', 'WPRO', '285', '29281', '2', '496');
INSERT INTO public.who_import VALUES (71287, '2020-11-19', 'KR', 'Republic of Korea', 'WPRO', '325', '29606', '2', '498');
INSERT INTO public.who_import VALUES (71288, '2020-11-20', 'KR', 'Republic of Korea', 'WPRO', '348', '29954', '3', '501');
INSERT INTO public.who_import VALUES (71289, '2020-11-21', 'KR', 'Republic of Korea', 'WPRO', '386', '30340', '2', '503');
INSERT INTO public.who_import VALUES (71290, '2020-11-22', 'KR', 'Republic of Korea', 'WPRO', '330', '30670', '2', '505');
INSERT INTO public.who_import VALUES (71291, '2020-11-23', 'KR', 'Republic of Korea', 'WPRO', '271', '30941', '4', '509');
INSERT INTO public.who_import VALUES (71292, '2020-11-24', 'KR', 'Republic of Korea', 'WPRO', '349', '31290', '1', '510');
INSERT INTO public.who_import VALUES (71293, '2020-11-25', 'KR', 'Republic of Korea', 'WPRO', '382', '31672', '3', '513');
INSERT INTO public.who_import VALUES (71294, '2020-11-26', 'KR', 'Republic of Korea', 'WPRO', '581', '32253', '2', '515');
INSERT INTO public.who_import VALUES (71295, '2020-11-27', 'KR', 'Republic of Korea', 'WPRO', '555', '32808', '1', '516');
INSERT INTO public.who_import VALUES (71296, '2020-11-28', 'KR', 'Republic of Korea', 'WPRO', '503', '33311', '6', '522');
INSERT INTO public.who_import VALUES (71297, '2020-11-29', 'KR', 'Republic of Korea', 'WPRO', '450', '33761', '1', '523');
INSERT INTO public.who_import VALUES (71298, '2020-11-30', 'KR', 'Republic of Korea', 'WPRO', '438', '34199', '3', '526');
INSERT INTO public.who_import VALUES (71299, '2020-12-01', 'KR', 'Republic of Korea', 'WPRO', '451', '34650', '0', '526');
INSERT INTO public.who_import VALUES (71300, '2020-12-02', 'KR', 'Republic of Korea', 'WPRO', '511', '35161', '0', '526');
INSERT INTO public.who_import VALUES (71301, '2020-12-03', 'KR', 'Republic of Korea', 'WPRO', '540', '35701', '3', '529');
INSERT INTO public.who_import VALUES (71302, '2020-12-04', 'KR', 'Republic of Korea', 'WPRO', '628', '36329', '7', '536');
INSERT INTO public.who_import VALUES (71303, '2020-12-05', 'KR', 'Republic of Korea', 'WPRO', '577', '36906', '4', '540');
INSERT INTO public.who_import VALUES (71304, '2020-12-06', 'KR', 'Republic of Korea', 'WPRO', '631', '37537', '5', '545');
INSERT INTO public.who_import VALUES (71305, '2020-12-07', 'KR', 'Republic of Korea', 'WPRO', '615', '38152', '4', '549');
INSERT INTO public.who_import VALUES (71306, '2020-12-08', 'KR', 'Republic of Korea', 'WPRO', '589', '38741', '3', '552');
INSERT INTO public.who_import VALUES (71307, '2020-12-09', 'KR', 'Republic of Korea', 'WPRO', '670', '39411', '4', '556');
INSERT INTO public.who_import VALUES (71308, '2020-12-10', 'KR', 'Republic of Korea', 'WPRO', '680', '40091', '8', '564');
INSERT INTO public.who_import VALUES (71309, '2020-12-11', 'KR', 'Republic of Korea', 'WPRO', '689', '40780', '8', '572');
INSERT INTO public.who_import VALUES (71310, '2020-12-12', 'KR', 'Republic of Korea', 'WPRO', '950', '41730', '6', '578');
INSERT INTO public.who_import VALUES (71311, '2020-12-13', 'KR', 'Republic of Korea', 'WPRO', '1030', '42760', '2', '580');
INSERT INTO public.who_import VALUES (71312, '2020-12-14', 'KR', 'Republic of Korea', 'WPRO', '718', '43478', '7', '587');
INSERT INTO public.who_import VALUES (71313, '2020-12-15', 'KR', 'Republic of Korea', 'WPRO', '880', '44358', '13', '600');
INSERT INTO public.who_import VALUES (71314, '2020-12-16', 'KR', 'Republic of Korea', 'WPRO', '1078', '45436', '12', '612');
INSERT INTO public.who_import VALUES (71315, '2020-12-17', 'KR', 'Republic of Korea', 'WPRO', '1014', '46450', '22', '634');
INSERT INTO public.who_import VALUES (71316, '2020-12-18', 'KR', 'Republic of Korea', 'WPRO', '1064', '47514', '11', '645');
INSERT INTO public.who_import VALUES (71317, '2020-12-19', 'KR', 'Republic of Korea', 'WPRO', '1046', '48560', '14', '659');
INSERT INTO public.who_import VALUES (71318, '2020-12-20', 'KR', 'Republic of Korea', 'WPRO', '1097', '49657', '15', '674');
INSERT INTO public.who_import VALUES (71319, '2020-12-21', 'KR', 'Republic of Korea', 'WPRO', '924', '50581', '24', '698');
INSERT INTO public.who_import VALUES (71320, '2020-12-22', 'KR', 'Republic of Korea', 'WPRO', '866', '51447', '24', '722');
INSERT INTO public.who_import VALUES (71321, '2020-12-23', 'KR', 'Republic of Korea', 'WPRO', '1090', '52537', '17', '739');
INSERT INTO public.who_import VALUES (71322, '2020-12-24', 'KR', 'Republic of Korea', 'WPRO', '985', '53522', '17', '756');
INSERT INTO public.who_import VALUES (71323, '2020-12-25', 'KR', 'Republic of Korea', 'WPRO', '1235', '54757', '17', '773');
INSERT INTO public.who_import VALUES (71324, '2020-12-26', 'KR', 'Republic of Korea', 'WPRO', '1131', '55888', '20', '793');
INSERT INTO public.who_import VALUES (71325, '2020-12-27', 'KR', 'Republic of Korea', 'WPRO', '970', '56858', '15', '808');
INSERT INTO public.who_import VALUES (71326, '2020-12-28', 'KR', 'Republic of Korea', 'WPRO', '807', '57665', '11', '819');
INSERT INTO public.who_import VALUES (71327, '2020-12-29', 'KR', 'Republic of Korea', 'WPRO', '1044', '58709', '40', '859');
INSERT INTO public.who_import VALUES (71328, '2020-12-30', 'KR', 'Republic of Korea', 'WPRO', '1050', '59759', '20', '879');
INSERT INTO public.who_import VALUES (71329, '2020-12-31', 'KR', 'Republic of Korea', 'WPRO', '967', '60726', '21', '900');
INSERT INTO public.who_import VALUES (71330, '2021-01-01', 'KR', 'Republic of Korea', 'WPRO', '1028', '61754', '17', '917');
INSERT INTO public.who_import VALUES (71331, '2021-01-02', 'KR', 'Republic of Korea', 'WPRO', '824', '62578', '25', '942');
INSERT INTO public.who_import VALUES (71332, '2021-01-03', 'KR', 'Republic of Korea', 'WPRO', '657', '63235', '20', '962');
INSERT INTO public.who_import VALUES (71333, '2021-01-04', 'KR', 'Republic of Korea', 'WPRO', '1020', '64255', '19', '981');
INSERT INTO public.who_import VALUES (71334, '2021-01-05', 'KR', 'Republic of Korea', 'WPRO', '714', '64969', '26', '1007');
INSERT INTO public.who_import VALUES (71335, '2021-01-06', 'KR', 'Republic of Korea', 'WPRO', '838', '65807', '20', '1027');
INSERT INTO public.who_import VALUES (71336, '2021-01-07', 'KR', 'Republic of Korea', 'WPRO', '869', '66676', '19', '1046');
INSERT INTO public.who_import VALUES (71337, '2021-01-08', 'KR', 'Republic of Korea', 'WPRO', '674', '67350', '35', '1081');
INSERT INTO public.who_import VALUES (71338, '2021-01-09', 'KR', 'Republic of Korea', 'WPRO', '641', '67991', '19', '1100');
INSERT INTO public.who_import VALUES (71339, '2021-01-10', 'KR', 'Republic of Korea', 'WPRO', '657', '68648', '25', '1125');
INSERT INTO public.who_import VALUES (71340, '2021-01-11', 'KR', 'Republic of Korea', 'WPRO', '451', '69099', '15', '1140');
INSERT INTO public.who_import VALUES (71341, '2021-01-12', 'KR', 'Republic of Korea', 'WPRO', '537', '69636', '25', '1165');
INSERT INTO public.who_import VALUES (71342, '2021-01-13', 'KR', 'Republic of Korea', 'WPRO', '561', '70197', '20', '1185');
INSERT INTO public.who_import VALUES (71343, '2021-01-14', 'KR', 'Republic of Korea', 'WPRO', '524', '70721', '10', '1195');
INSERT INTO public.who_import VALUES (71344, '2021-01-15', 'KR', 'Republic of Korea', 'WPRO', '512', '71233', '22', '1217');
INSERT INTO public.who_import VALUES (71345, '2021-01-16', 'KR', 'Republic of Korea', 'WPRO', '580', '71813', '19', '1236');
INSERT INTO public.who_import VALUES (71346, '2021-01-17', 'KR', 'Republic of Korea', 'WPRO', '520', '72333', '13', '1249');
INSERT INTO public.who_import VALUES (71347, '2021-01-18', 'KR', 'Republic of Korea', 'WPRO', '389', '72722', '15', '1264');
INSERT INTO public.who_import VALUES (71348, '2021-01-19', 'KR', 'Republic of Korea', 'WPRO', '386', '73108', '19', '1283');
INSERT INTO public.who_import VALUES (71349, '2021-01-20', 'KR', 'Republic of Korea', 'WPRO', '404', '73512', '17', '1300');
INSERT INTO public.who_import VALUES (71350, '2021-01-21', 'KR', 'Republic of Korea', 'WPRO', '401', '73913', '16', '1316');
INSERT INTO public.who_import VALUES (71351, '2021-01-22', 'KR', 'Republic of Korea', 'WPRO', '345', '74258', '12', '1328');
INSERT INTO public.who_import VALUES (71352, '2021-01-23', 'KR', 'Republic of Korea', 'WPRO', '431', '74689', '9', '1337');
INSERT INTO public.who_import VALUES (71353, '2021-01-24', 'KR', 'Republic of Korea', 'WPRO', '392', '75081', '12', '1349');
INSERT INTO public.who_import VALUES (71354, '2021-01-25', 'KR', 'Republic of Korea', 'WPRO', '437', '75518', '11', '1360');
INSERT INTO public.who_import VALUES (71355, '2021-01-26', 'KR', 'Republic of Korea', 'WPRO', '349', '75867', '11', '1371');
INSERT INTO public.who_import VALUES (71356, '2021-01-27', 'KR', 'Republic of Korea', 'WPRO', '559', '76426', '7', '1378');
INSERT INTO public.who_import VALUES (71357, '2021-01-28', 'KR', 'Republic of Korea', 'WPRO', '497', '76923', '8', '1386');
INSERT INTO public.who_import VALUES (71358, '2021-01-29', 'KR', 'Republic of Korea', 'WPRO', '469', '77392', '13', '1399');
INSERT INTO public.who_import VALUES (71359, '2021-01-30', 'KR', 'Republic of Korea', 'WPRO', '456', '77848', '15', '1414');
INSERT INTO public.who_import VALUES (71360, '2021-01-31', 'KR', 'Republic of Korea', 'WPRO', '354', '78202', '6', '1420');
INSERT INTO public.who_import VALUES (71361, '2021-02-01', 'KR', 'Republic of Korea', 'WPRO', '305', '78507', '5', '1425');
INSERT INTO public.who_import VALUES (71362, '2021-02-02', 'KR', 'Republic of Korea', 'WPRO', '336', '78843', '10', '1435');
INSERT INTO public.who_import VALUES (71363, '2021-02-03', 'KR', 'Republic of Korea', 'WPRO', '467', '79310', '6', '1441');
INSERT INTO public.who_import VALUES (71364, '2021-02-04', 'KR', 'Republic of Korea', 'WPRO', '451', '79761', '7', '1448');
INSERT INTO public.who_import VALUES (71365, '2021-02-05', 'KR', 'Republic of Korea', 'WPRO', '370', '80131', '11', '1459');
INSERT INTO public.who_import VALUES (71366, '2021-02-06', 'KR', 'Republic of Korea', 'WPRO', '393', '80524', '5', '1464');
INSERT INTO public.who_import VALUES (71367, '2021-02-07', 'KR', 'Republic of Korea', 'WPRO', '372', '80896', '7', '1471');
INSERT INTO public.who_import VALUES (71368, '2021-02-08', 'KR', 'Republic of Korea', 'WPRO', '288', '81184', '3', '1474');
INSERT INTO public.who_import VALUES (71369, '2021-02-09', 'KR', 'Republic of Korea', 'WPRO', '302', '81486', '8', '1482');
INSERT INTO public.who_import VALUES (71370, '2021-02-10', 'KR', 'Republic of Korea', 'WPRO', '444', '81930', '4', '1486');
INSERT INTO public.who_import VALUES (71371, '2021-02-11', 'KR', 'Republic of Korea', 'WPRO', '504', '82434', '10', '1496');
INSERT INTO public.who_import VALUES (71372, '2021-02-12', 'KR', 'Republic of Korea', 'WPRO', '403', '82837', '11', '1507');
INSERT INTO public.who_import VALUES (71373, '2021-02-13', 'KR', 'Republic of Korea', 'WPRO', '362', '83199', '7', '1514');
INSERT INTO public.who_import VALUES (71374, '2021-02-14', 'KR', 'Republic of Korea', 'WPRO', '326', '83525', '8', '1522');
INSERT INTO public.who_import VALUES (71375, '2021-02-15', 'KR', 'Republic of Korea', 'WPRO', '343', '83868', '5', '1527');
INSERT INTO public.who_import VALUES (71376, '2021-02-16', 'KR', 'Republic of Korea', 'WPRO', '457', '84325', '7', '1534');
INSERT INTO public.who_import VALUES (71377, '2021-02-17', 'KR', 'Republic of Korea', 'WPRO', '621', '84946', '4', '1538');
INSERT INTO public.who_import VALUES (71378, '2021-02-18', 'KR', 'Republic of Korea', 'WPRO', '621', '85567', '6', '1544');
INSERT INTO public.who_import VALUES (71379, '2021-02-19', 'KR', 'Republic of Korea', 'WPRO', '561', '86128', '6', '1550');
INSERT INTO public.who_import VALUES (71380, '2021-02-20', 'KR', 'Republic of Korea', 'WPRO', '446', '86574', '3', '1553');
INSERT INTO public.who_import VALUES (71381, '2020-01-03', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71382, '2020-01-04', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71383, '2020-01-05', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71384, '2020-01-06', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71385, '2020-01-07', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71386, '2020-01-08', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71387, '2020-01-09', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71388, '2020-01-10', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71389, '2020-01-11', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71390, '2020-01-12', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71391, '2020-01-13', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71392, '2020-01-14', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71393, '2020-01-15', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71394, '2020-01-16', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71395, '2020-01-17', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71396, '2020-01-18', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71397, '2020-01-19', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71398, '2020-01-20', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71399, '2020-01-21', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71400, '2020-01-22', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71401, '2020-01-23', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71402, '2020-01-24', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71403, '2020-01-25', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71404, '2020-01-26', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71405, '2020-01-27', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71406, '2020-01-28', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71407, '2020-01-29', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71408, '2020-01-30', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71409, '2020-01-31', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71410, '2020-02-01', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71411, '2020-02-02', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71412, '2020-02-03', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71413, '2020-02-04', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71414, '2020-02-05', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71415, '2020-02-06', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71416, '2020-02-07', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71417, '2020-02-08', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71418, '2020-02-09', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71419, '2020-02-10', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71420, '2020-02-11', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71421, '2020-02-12', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71422, '2020-02-13', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71423, '2020-02-14', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71424, '2020-02-15', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71425, '2020-02-16', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71426, '2020-02-17', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71427, '2020-02-18', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71428, '2020-02-19', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71429, '2020-02-20', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71430, '2020-02-21', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71431, '2020-02-22', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71432, '2020-02-23', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71433, '2020-02-24', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71434, '2020-02-25', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71435, '2020-02-26', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71436, '2020-02-27', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71437, '2020-02-28', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71438, '2020-02-29', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71439, '2020-03-01', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71440, '2020-03-02', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71441, '2020-03-03', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71442, '2020-03-04', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71443, '2020-03-05', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71444, '2020-03-06', 'MD', 'Republic of Moldova', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71445, '2020-03-07', 'MD', 'Republic of Moldova', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (71446, '2020-03-08', 'MD', 'Republic of Moldova', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (71447, '2020-03-09', 'MD', 'Republic of Moldova', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (71448, '2020-03-10', 'MD', 'Republic of Moldova', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (71449, '2020-03-11', 'MD', 'Republic of Moldova', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (71450, '2020-03-12', 'MD', 'Republic of Moldova', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (71451, '2020-03-13', 'MD', 'Republic of Moldova', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (71452, '2020-03-14', 'MD', 'Republic of Moldova', 'EURO', '4', '8', '0', '0');
INSERT INTO public.who_import VALUES (71453, '2020-03-15', 'MD', 'Republic of Moldova', 'EURO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (71454, '2020-03-16', 'MD', 'Republic of Moldova', 'EURO', '15', '23', '0', '0');
INSERT INTO public.who_import VALUES (71455, '2020-03-17', 'MD', 'Republic of Moldova', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (71456, '2020-03-18', 'MD', 'Republic of Moldova', 'EURO', '7', '30', '0', '0');
INSERT INTO public.who_import VALUES (71457, '2020-03-19', 'MD', 'Republic of Moldova', 'EURO', '6', '36', '0', '0');
INSERT INTO public.who_import VALUES (71458, '2020-03-20', 'MD', 'Republic of Moldova', 'EURO', '13', '49', '0', '0');
INSERT INTO public.who_import VALUES (71459, '2020-03-21', 'MD', 'Republic of Moldova', 'EURO', '31', '80', '1', '1');
INSERT INTO public.who_import VALUES (71460, '2020-03-22', 'MD', 'Republic of Moldova', 'EURO', '0', '80', '0', '1');
INSERT INTO public.who_import VALUES (71461, '2020-03-23', 'MD', 'Republic of Moldova', 'EURO', '14', '94', '0', '1');
INSERT INTO public.who_import VALUES (71462, '2020-03-24', 'MD', 'Republic of Moldova', 'EURO', '15', '109', '0', '1');
INSERT INTO public.who_import VALUES (71463, '2020-03-25', 'MD', 'Republic of Moldova', 'EURO', '40', '149', '0', '1');
INSERT INTO public.who_import VALUES (71464, '2020-03-26', 'MD', 'Republic of Moldova', 'EURO', '0', '149', '0', '1');
INSERT INTO public.who_import VALUES (71465, '2020-03-27', 'MD', 'Republic of Moldova', 'EURO', '50', '199', '1', '2');
INSERT INTO public.who_import VALUES (71466, '2020-03-28', 'MD', 'Republic of Moldova', 'EURO', '0', '199', '0', '2');
INSERT INTO public.who_import VALUES (71467, '2020-03-29', 'MD', 'Republic of Moldova', 'EURO', '32', '231', '0', '2');
INSERT INTO public.who_import VALUES (71468, '2020-03-30', 'MD', 'Republic of Moldova', 'EURO', '32', '263', '0', '2');
INSERT INTO public.who_import VALUES (71469, '2020-03-31', 'MD', 'Republic of Moldova', 'EURO', '90', '353', '1', '3');
INSERT INTO public.who_import VALUES (71470, '2020-04-01', 'MD', 'Republic of Moldova', 'EURO', '70', '423', '2', '5');
INSERT INTO public.who_import VALUES (71471, '2020-04-02', 'MD', 'Republic of Moldova', 'EURO', '0', '423', '0', '5');
INSERT INTO public.who_import VALUES (71472, '2020-04-03', 'MD', 'Republic of Moldova', 'EURO', '168', '591', '3', '8');
INSERT INTO public.who_import VALUES (71473, '2020-04-04', 'MD', 'Republic of Moldova', 'EURO', '0', '591', '1', '9');
INSERT INTO public.who_import VALUES (71474, '2020-04-05', 'MD', 'Republic of Moldova', 'EURO', '161', '752', '3', '12');
INSERT INTO public.who_import VALUES (71475, '2020-04-06', 'MD', 'Republic of Moldova', 'EURO', '112', '864', '3', '15');
INSERT INTO public.who_import VALUES (71476, '2020-04-07', 'MD', 'Republic of Moldova', 'EURO', '101', '965', '4', '19');
INSERT INTO public.who_import VALUES (71477, '2020-04-08', 'MD', 'Republic of Moldova', 'EURO', '91', '1056', '3', '22');
INSERT INTO public.who_import VALUES (71478, '2020-04-09', 'MD', 'Republic of Moldova', 'EURO', '118', '1174', '6', '28');
INSERT INTO public.who_import VALUES (71479, '2020-04-10', 'MD', 'Republic of Moldova', 'EURO', '115', '1289', '1', '29');
INSERT INTO public.who_import VALUES (71480, '2020-04-11', 'MD', 'Republic of Moldova', 'EURO', '149', '1438', '0', '29');
INSERT INTO public.who_import VALUES (71481, '2020-04-12', 'MD', 'Republic of Moldova', 'EURO', '122', '1560', '1', '30');
INSERT INTO public.who_import VALUES (71482, '2020-04-13', 'MD', 'Republic of Moldova', 'EURO', '102', '1662', '3', '33');
INSERT INTO public.who_import VALUES (71483, '2020-04-14', 'MD', 'Republic of Moldova', 'EURO', '50', '1712', '3', '36');
INSERT INTO public.who_import VALUES (71484, '2020-04-15', 'MD', 'Republic of Moldova', 'EURO', '222', '1934', '5', '41');
INSERT INTO public.who_import VALUES (71485, '2020-04-16', 'MD', 'Republic of Moldova', 'EURO', '115', '2049', '5', '46');
INSERT INTO public.who_import VALUES (71486, '2020-04-17', 'MD', 'Republic of Moldova', 'EURO', '105', '2154', '8', '54');
INSERT INTO public.who_import VALUES (71487, '2020-04-18', 'MD', 'Republic of Moldova', 'EURO', '110', '2264', '2', '56');
INSERT INTO public.who_import VALUES (71488, '2020-04-19', 'MD', 'Republic of Moldova', 'EURO', '87', '2351', '4', '60');
INSERT INTO public.who_import VALUES (71489, '2020-04-20', 'MD', 'Republic of Moldova', 'EURO', '121', '2472', '7', '67');
INSERT INTO public.who_import VALUES (71490, '2020-04-21', 'MD', 'Republic of Moldova', 'EURO', '76', '2548', '3', '70');
INSERT INTO public.who_import VALUES (71491, '2020-04-22', 'MD', 'Republic of Moldova', 'EURO', '93', '2641', '3', '73');
INSERT INTO public.who_import VALUES (71492, '2020-04-23', 'MD', 'Republic of Moldova', 'EURO', '137', '2778', '3', '76');
INSERT INTO public.who_import VALUES (71493, '2020-04-24', 'MD', 'Republic of Moldova', 'EURO', '148', '2926', '4', '80');
INSERT INTO public.who_import VALUES (71494, '2020-04-25', 'MD', 'Republic of Moldova', 'EURO', '184', '3110', '7', '87');
INSERT INTO public.who_import VALUES (71495, '2020-04-26', 'MD', 'Republic of Moldova', 'EURO', '194', '3304', '7', '94');
INSERT INTO public.who_import VALUES (71496, '2020-04-27', 'MD', 'Republic of Moldova', 'EURO', '104', '3408', '2', '96');
INSERT INTO public.who_import VALUES (71497, '2020-04-28', 'MD', 'Republic of Moldova', 'EURO', '73', '3481', '7', '103');
INSERT INTO public.who_import VALUES (71498, '2020-04-29', 'MD', 'Republic of Moldova', 'EURO', '157', '3638', '6', '109');
INSERT INTO public.who_import VALUES (71499, '2020-04-30', 'MD', 'Republic of Moldova', 'EURO', '133', '3771', '7', '116');
INSERT INTO public.who_import VALUES (71500, '2020-05-01', 'MD', 'Republic of Moldova', 'EURO', '126', '3897', '3', '119');
INSERT INTO public.who_import VALUES (71501, '2020-05-02', 'MD', 'Republic of Moldova', 'EURO', '83', '3980', '3', '122');
INSERT INTO public.who_import VALUES (71502, '2020-05-03', 'MD', 'Republic of Moldova', 'EURO', '72', '4052', '2', '124');
INSERT INTO public.who_import VALUES (71503, '2020-05-04', 'MD', 'Republic of Moldova', 'EURO', '69', '4121', '4', '128');
INSERT INTO public.who_import VALUES (71504, '2020-05-05', 'MD', 'Republic of Moldova', 'EURO', '127', '4248', '5', '133');
INSERT INTO public.who_import VALUES (71505, '2020-05-06', 'MD', 'Republic of Moldova', 'EURO', '115', '4363', '7', '140');
INSERT INTO public.who_import VALUES (71506, '2020-05-07', 'MD', 'Republic of Moldova', 'EURO', '113', '4476', '3', '143');
INSERT INTO public.who_import VALUES (71507, '2020-05-08', 'MD', 'Republic of Moldova', 'EURO', '129', '4605', '2', '145');
INSERT INTO public.who_import VALUES (71508, '2020-05-09', 'MD', 'Republic of Moldova', 'EURO', '123', '4728', '14', '159');
INSERT INTO public.who_import VALUES (71509, '2020-05-10', 'MD', 'Republic of Moldova', 'EURO', '139', '4867', '6', '165');
INSERT INTO public.who_import VALUES (71510, '2020-05-11', 'MD', 'Republic of Moldova', 'EURO', '60', '4927', '6', '171');
INSERT INTO public.who_import VALUES (71511, '2020-05-12', 'MD', 'Republic of Moldova', 'EURO', '68', '4995', '8', '179');
INSERT INTO public.who_import VALUES (71512, '2020-05-13', 'MD', 'Republic of Moldova', 'EURO', '159', '5154', '3', '182');
INSERT INTO public.who_import VALUES (71513, '2020-05-14', 'MD', 'Republic of Moldova', 'EURO', '252', '5406', '8', '190');
INSERT INTO public.who_import VALUES (71514, '2020-05-15', 'MD', 'Republic of Moldova', 'EURO', '147', '5553', '6', '196');
INSERT INTO public.who_import VALUES (71515, '2020-05-16', 'MD', 'Republic of Moldova', 'EURO', '192', '5745', '8', '204');
INSERT INTO public.who_import VALUES (71516, '2020-05-17', 'MD', 'Republic of Moldova', 'EURO', '189', '5934', '5', '209');
INSERT INTO public.who_import VALUES (71517, '2020-05-18', 'MD', 'Republic of Moldova', 'EURO', '126', '6060', '2', '211');
INSERT INTO public.who_import VALUES (71518, '2020-05-19', 'MD', 'Republic of Moldova', 'EURO', '78', '6138', '8', '219');
INSERT INTO public.who_import VALUES (71519, '2020-05-20', 'MD', 'Republic of Moldova', 'EURO', '202', '6340', '5', '224');
INSERT INTO public.who_import VALUES (71520, '2020-05-21', 'MD', 'Republic of Moldova', 'EURO', '213', '6553', '8', '232');
INSERT INTO public.who_import VALUES (71521, '2020-05-22', 'MD', 'Republic of Moldova', 'EURO', '151', '6704', '1', '233');
INSERT INTO public.who_import VALUES (71522, '2020-05-23', 'MD', 'Republic of Moldova', 'EURO', '143', '6847', '5', '238');
INSERT INTO public.who_import VALUES (71523, '2020-05-24', 'MD', 'Republic of Moldova', 'EURO', '147', '6994', '12', '250');
INSERT INTO public.who_import VALUES (71524, '2020-05-25', 'MD', 'Republic of Moldova', 'EURO', '99', '7093', '6', '256');
INSERT INTO public.who_import VALUES (71525, '2020-05-26', 'MD', 'Republic of Moldova', 'EURO', '56', '7149', '9', '265');
INSERT INTO public.who_import VALUES (71526, '2020-05-27', 'MD', 'Republic of Moldova', 'EURO', '156', '7305', '8', '273');
INSERT INTO public.who_import VALUES (71527, '2020-05-28', 'MD', 'Republic of Moldova', 'EURO', '232', '7537', '3', '276');
INSERT INTO public.who_import VALUES (71528, '2020-05-29', 'MD', 'Republic of Moldova', 'EURO', '188', '7725', '6', '282');
INSERT INTO public.who_import VALUES (71529, '2020-05-30', 'MD', 'Republic of Moldova', 'EURO', '171', '7896', '7', '289');
INSERT INTO public.who_import VALUES (71530, '2020-05-31', 'MD', 'Republic of Moldova', 'EURO', '202', '8098', '5', '294');
INSERT INTO public.who_import VALUES (71531, '2020-06-01', 'MD', 'Republic of Moldova', 'EURO', '153', '8251', '1', '295');
INSERT INTO public.who_import VALUES (71532, '2020-06-02', 'MD', 'Republic of Moldova', 'EURO', '109', '8360', '12', '307');
INSERT INTO public.who_import VALUES (71533, '2020-06-03', 'MD', 'Republic of Moldova', 'EURO', '188', '8548', '2', '309');
INSERT INTO public.who_import VALUES (71534, '2020-06-04', 'MD', 'Republic of Moldova', 'EURO', '247', '8795', '5', '314');
INSERT INTO public.who_import VALUES (71535, '2020-06-05', 'MD', 'Republic of Moldova', 'EURO', '223', '9018', '1', '315');
INSERT INTO public.who_import VALUES (71536, '2020-06-06', 'MD', 'Republic of Moldova', 'EURO', '229', '9247', '8', '323');
INSERT INTO public.who_import VALUES (71537, '2020-06-07', 'MD', 'Republic of Moldova', 'EURO', '264', '9511', '12', '335');
INSERT INTO public.who_import VALUES (71538, '2020-06-08', 'MD', 'Republic of Moldova', 'EURO', '189', '9700', '11', '346');
INSERT INTO public.who_import VALUES (71539, '2020-06-09', 'MD', 'Republic of Moldova', 'EURO', '107', '9807', '13', '359');
INSERT INTO public.who_import VALUES (71540, '2020-06-10', 'MD', 'Republic of Moldova', 'EURO', '218', '10025', '8', '367');
INSERT INTO public.who_import VALUES (71541, '2020-06-11', 'MD', 'Republic of Moldova', 'EURO', '296', '10321', '4', '371');
INSERT INTO public.who_import VALUES (71542, '2020-06-12', 'MD', 'Republic of Moldova', 'EURO', '406', '10727', '4', '375');
INSERT INTO public.who_import VALUES (71543, '2020-06-13', 'MD', 'Republic of Moldova', 'EURO', '366', '11093', '20', '395');
INSERT INTO public.who_import VALUES (71544, '2020-06-14', 'MD', 'Republic of Moldova', 'EURO', '366', '11459', '4', '399');
INSERT INTO public.who_import VALUES (71545, '2020-06-15', 'MD', 'Republic of Moldova', 'EURO', '281', '11740', '7', '406');
INSERT INTO public.who_import VALUES (71546, '2020-06-16', 'MD', 'Republic of Moldova', 'EURO', '139', '11879', '11', '417');
INSERT INTO public.who_import VALUES (71547, '2020-06-17', 'MD', 'Republic of Moldova', 'EURO', '375', '12254', '10', '427');
INSERT INTO public.who_import VALUES (71548, '2020-06-18', 'MD', 'Republic of Moldova', 'EURO', '478', '12732', '6', '433');
INSERT INTO public.who_import VALUES (71549, '2020-06-19', 'MD', 'Republic of Moldova', 'EURO', '374', '13106', '16', '449');
INSERT INTO public.who_import VALUES (71550, '2020-06-20', 'MD', 'Republic of Moldova', 'EURO', '450', '13556', '9', '458');
INSERT INTO public.who_import VALUES (71551, '2020-06-21', 'MD', 'Republic of Moldova', 'EURO', '397', '13953', '6', '464');
INSERT INTO public.who_import VALUES (71552, '2020-06-22', 'MD', 'Republic of Moldova', 'EURO', '247', '14200', '11', '475');
INSERT INTO public.who_import VALUES (71553, '2020-06-23', 'MD', 'Republic of Moldova', 'EURO', '163', '14363', '9', '484');
INSERT INTO public.who_import VALUES (71554, '2020-06-24', 'MD', 'Republic of Moldova', 'EURO', '351', '14714', '8', '492');
INSERT INTO public.who_import VALUES (71555, '2020-06-25', 'MD', 'Republic of Moldova', 'EURO', '364', '15078', '10', '502');
INSERT INTO public.who_import VALUES (71556, '2020-06-26', 'MD', 'Republic of Moldova', 'EURO', '375', '15453', '0', '502');
INSERT INTO public.who_import VALUES (71557, '2020-06-27', 'MD', 'Republic of Moldova', 'EURO', '323', '15776', '13', '515');
INSERT INTO public.who_import VALUES (71558, '2020-06-28', 'MD', 'Republic of Moldova', 'EURO', '304', '16080', '11', '526');
INSERT INTO public.who_import VALUES (71559, '2020-06-29', 'MD', 'Republic of Moldova', 'EURO', '170', '16250', '7', '533');
INSERT INTO public.who_import VALUES (71560, '2020-06-30', 'MD', 'Republic of Moldova', 'EURO', '107', '16357', '8', '541');
INSERT INTO public.who_import VALUES (71561, '2020-07-01', 'MD', 'Republic of Moldova', 'EURO', '256', '16613', '6', '547');
INSERT INTO public.who_import VALUES (71562, '2020-07-02', 'MD', 'Republic of Moldova', 'EURO', '285', '16898', '2', '549');
INSERT INTO public.who_import VALUES (71563, '2020-07-03', 'MD', 'Republic of Moldova', 'EURO', '252', '17150', '14', '563');
INSERT INTO public.who_import VALUES (71564, '2020-07-04', 'MD', 'Republic of Moldova', 'EURO', '295', '17445', '13', '576');
INSERT INTO public.who_import VALUES (71565, '2020-07-05', 'MD', 'Republic of Moldova', 'EURO', '227', '17672', '6', '582');
INSERT INTO public.who_import VALUES (71566, '2020-07-06', 'MD', 'Republic of Moldova', 'EURO', '142', '17814', '6', '588');
INSERT INTO public.who_import VALUES (71567, '2020-07-07', 'MD', 'Republic of Moldova', 'EURO', '92', '17906', '10', '598');
INSERT INTO public.who_import VALUES (71568, '2020-07-08', 'MD', 'Republic of Moldova', 'EURO', '235', '18141', '6', '604');
INSERT INTO public.who_import VALUES (71569, '2020-07-09', 'MD', 'Republic of Moldova', 'EURO', '330', '18471', '10', '614');
INSERT INTO public.who_import VALUES (71570, '2020-07-10', 'MD', 'Republic of Moldova', 'EURO', '195', '18666', '13', '627');
INSERT INTO public.who_import VALUES (71571, '2020-07-11', 'MD', 'Republic of Moldova', 'EURO', '258', '18924', '8', '635');
INSERT INTO public.who_import VALUES (71572, '2020-07-12', 'MD', 'Republic of Moldova', 'EURO', '284', '19208', '5', '640');
INSERT INTO public.who_import VALUES (71573, '2020-07-13', 'MD', 'Republic of Moldova', 'EURO', '174', '19382', '2', '642');
INSERT INTO public.who_import VALUES (71574, '2020-07-14', 'MD', 'Republic of Moldova', 'EURO', '57', '19439', '10', '652');
INSERT INTO public.who_import VALUES (71575, '2020-07-15', 'MD', 'Republic of Moldova', 'EURO', '269', '19708', '6', '658');
INSERT INTO public.who_import VALUES (71576, '2020-07-16', 'MD', 'Republic of Moldova', 'EURO', '332', '20040', '4', '662');
INSERT INTO public.who_import VALUES (71577, '2020-07-17', 'MD', 'Republic of Moldova', 'EURO', '224', '20264', '4', '666');
INSERT INTO public.who_import VALUES (71578, '2020-07-18', 'MD', 'Republic of Moldova', 'EURO', '230', '20494', '9', '675');
INSERT INTO public.who_import VALUES (71579, '2020-07-19', 'MD', 'Republic of Moldova', 'EURO', '300', '20794', '5', '680');
INSERT INTO public.who_import VALUES (71580, '2020-07-20', 'MD', 'Republic of Moldova', 'EURO', '186', '20980', '8', '688');
INSERT INTO public.who_import VALUES (71581, '2020-07-21', 'MD', 'Republic of Moldova', 'EURO', '135', '21115', '9', '697');
INSERT INTO public.who_import VALUES (71582, '2020-07-22', 'MD', 'Republic of Moldova', 'EURO', '327', '21442', '11', '708');
INSERT INTO public.who_import VALUES (71583, '2020-07-23', 'MD', 'Republic of Moldova', 'EURO', '356', '21798', '5', '713');
INSERT INTO public.who_import VALUES (71584, '2020-07-24', 'MD', 'Republic of Moldova', 'EURO', '307', '22105', '8', '721');
INSERT INTO public.who_import VALUES (71585, '2020-07-25', 'MD', 'Republic of Moldova', 'EURO', '378', '22483', '5', '726');
INSERT INTO public.who_import VALUES (71586, '2020-07-26', 'MD', 'Republic of Moldova', 'EURO', '345', '22828', '7', '733');
INSERT INTO public.who_import VALUES (71587, '2020-07-27', 'MD', 'Republic of Moldova', 'EURO', '206', '23034', '7', '740');
INSERT INTO public.who_import VALUES (71588, '2020-07-28', 'MD', 'Republic of Moldova', 'EURO', '120', '23154', '11', '751');
INSERT INTO public.who_import VALUES (71589, '2020-07-29', 'MD', 'Republic of Moldova', 'EURO', '367', '23521', '6', '757');
INSERT INTO public.who_import VALUES (71590, '2020-07-30', 'MD', 'Republic of Moldova', 'EURO', '426', '23947', '5', '762');
INSERT INTO public.who_import VALUES (71591, '2020-07-31', 'MD', 'Republic of Moldova', 'EURO', '396', '24343', '9', '771');
INSERT INTO public.who_import VALUES (71592, '2020-08-01', 'MD', 'Republic of Moldova', 'EURO', '390', '24733', '7', '778');
INSERT INTO public.who_import VALUES (71593, '2020-08-02', 'MD', 'Republic of Moldova', 'EURO', '380', '25113', '11', '789');
INSERT INTO public.who_import VALUES (71594, '2020-08-03', 'MD', 'Republic of Moldova', 'EURO', '249', '25362', '3', '792');
INSERT INTO public.who_import VALUES (71595, '2020-08-04', 'MD', 'Republic of Moldova', 'EURO', '120', '25482', '8', '800');
INSERT INTO public.who_import VALUES (71596, '2020-08-05', 'MD', 'Republic of Moldova', 'EURO', '332', '25814', '10', '810');
INSERT INTO public.who_import VALUES (71597, '2020-08-06', 'MD', 'Republic of Moldova', 'EURO', '408', '26222', '13', '823');
INSERT INTO public.who_import VALUES (71598, '2020-08-07', 'MD', 'Republic of Moldova', 'EURO', '406', '26628', '5', '828');
INSERT INTO public.who_import VALUES (71599, '2020-08-08', 'MD', 'Republic of Moldova', 'EURO', '362', '26990', '7', '835');
INSERT INTO public.who_import VALUES (71600, '2020-08-09', 'MD', 'Republic of Moldova', 'EURO', '453', '27443', '6', '841');
INSERT INTO public.who_import VALUES (71601, '2020-08-10', 'MD', 'Republic of Moldova', 'EURO', '217', '27660', '4', '845');
INSERT INTO public.who_import VALUES (71602, '2020-08-11', 'MD', 'Republic of Moldova', 'EURO', '181', '27841', '5', '850');
INSERT INTO public.who_import VALUES (71603, '2020-08-12', 'MD', 'Republic of Moldova', 'EURO', '382', '28223', '7', '857');
INSERT INTO public.who_import VALUES (71604, '2020-08-13', 'MD', 'Republic of Moldova', 'EURO', '474', '28697', '6', '863');
INSERT INTO public.who_import VALUES (71605, '2020-08-14', 'MD', 'Republic of Moldova', 'EURO', '390', '29087', '15', '878');
INSERT INTO public.who_import VALUES (71606, '2020-08-15', 'MD', 'Republic of Moldova', 'EURO', '396', '29483', '6', '884');
INSERT INTO public.who_import VALUES (71607, '2020-08-16', 'MD', 'Republic of Moldova', 'EURO', '422', '29905', '11', '895');
INSERT INTO public.who_import VALUES (71608, '2020-08-17', 'MD', 'Republic of Moldova', 'EURO', '278', '30183', '1', '896');
INSERT INTO public.who_import VALUES (71609, '2020-08-18', 'MD', 'Republic of Moldova', 'EURO', '194', '30377', '12', '908');
INSERT INTO public.who_import VALUES (71610, '2020-08-19', 'MD', 'Republic of Moldova', 'EURO', '412', '30789', '0', '908');
INSERT INTO public.who_import VALUES (72224, '2020-01-16', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71611, '2020-08-20', 'MD', 'Republic of Moldova', 'EURO', '626', '31415', '6', '914');
INSERT INTO public.who_import VALUES (71612, '2020-08-21', 'MD', 'Republic of Moldova', 'EURO', '522', '31937', '7', '921');
INSERT INTO public.who_import VALUES (71613, '2020-08-22', 'MD', 'Republic of Moldova', 'EURO', '547', '32484', '8', '929');
INSERT INTO public.who_import VALUES (71614, '2020-08-23', 'MD', 'Republic of Moldova', 'EURO', '588', '33072', '6', '935');
INSERT INTO public.who_import VALUES (71615, '2020-08-24', 'MD', 'Republic of Moldova', 'EURO', '406', '33478', '5', '940');
INSERT INTO public.who_import VALUES (71616, '2020-08-25', 'MD', 'Republic of Moldova', 'EURO', '350', '33828', '5', '945');
INSERT INTO public.who_import VALUES (71617, '2020-08-26', 'MD', 'Republic of Moldova', 'EURO', '530', '34358', '15', '960');
INSERT INTO public.who_import VALUES (71618, '2020-08-27', 'MD', 'Republic of Moldova', 'EURO', '624', '34982', '7', '967');
INSERT INTO public.who_import VALUES (71619, '2020-08-28', 'MD', 'Republic of Moldova', 'EURO', '564', '35546', '10', '977');
INSERT INTO public.who_import VALUES (71620, '2020-08-29', 'MD', 'Republic of Moldova', 'EURO', '358', '35904', '4', '981');
INSERT INTO public.who_import VALUES (71621, '2020-08-30', 'MD', 'Republic of Moldova', 'EURO', '500', '36404', '9', '990');
INSERT INTO public.who_import VALUES (71622, '2020-08-31', 'MD', 'Republic of Moldova', 'EURO', '296', '36700', '2', '992');
INSERT INTO public.who_import VALUES (71623, '2020-09-01', 'MD', 'Republic of Moldova', 'EURO', '220', '36920', '3', '995');
INSERT INTO public.who_import VALUES (71624, '2020-09-02', 'MD', 'Republic of Moldova', 'EURO', '288', '37208', '13', '1008');
INSERT INTO public.who_import VALUES (71625, '2020-09-03', 'MD', 'Republic of Moldova', 'EURO', '532', '37740', '16', '1024');
INSERT INTO public.who_import VALUES (71626, '2020-09-04', 'MD', 'Republic of Moldova', 'EURO', '632', '38372', '12', '1036');
INSERT INTO public.who_import VALUES (71627, '2020-09-05', 'MD', 'Republic of Moldova', 'EURO', '534', '38906', '11', '1047');
INSERT INTO public.who_import VALUES (71628, '2020-09-06', 'MD', 'Republic of Moldova', 'EURO', '567', '39473', '16', '1063');
INSERT INTO public.who_import VALUES (71629, '2020-09-07', 'MD', 'Republic of Moldova', 'EURO', '324', '39797', '0', '1063');
INSERT INTO public.who_import VALUES (71630, '2020-09-08', 'MD', 'Republic of Moldova', 'EURO', '258', '40055', '11', '1074');
INSERT INTO public.who_import VALUES (71631, '2020-09-09', 'MD', 'Republic of Moldova', 'EURO', '501', '40556', '13', '1087');
INSERT INTO public.who_import VALUES (71632, '2020-09-10', 'MD', 'Republic of Moldova', 'EURO', '588', '41144', '9', '1096');
INSERT INTO public.who_import VALUES (71633, '2020-09-11', 'MD', 'Republic of Moldova', 'EURO', '560', '41704', '10', '1106');
INSERT INTO public.who_import VALUES (71634, '2020-09-12', 'MD', 'Republic of Moldova', 'EURO', '479', '42183', '8', '1114');
INSERT INTO public.who_import VALUES (71635, '2020-09-13', 'MD', 'Republic of Moldova', 'EURO', '531', '42714', '4', '1118');
INSERT INTO public.who_import VALUES (71636, '2020-09-14', 'MD', 'Republic of Moldova', 'EURO', '264', '42978', '5', '1123');
INSERT INTO public.who_import VALUES (71637, '2020-09-15', 'MD', 'Republic of Moldova', 'EURO', '229', '43207', '7', '1130');
INSERT INTO public.who_import VALUES (71638, '2020-09-16', 'MD', 'Republic of Moldova', 'EURO', '527', '43734', '14', '1144');
INSERT INTO public.who_import VALUES (71639, '2020-09-17', 'MD', 'Republic of Moldova', 'EURO', '627', '44361', '15', '1159');
INSERT INTO public.who_import VALUES (71640, '2020-09-18', 'MD', 'Republic of Moldova', 'EURO', '622', '44983', '11', '1170');
INSERT INTO public.who_import VALUES (71641, '2020-09-19', 'MD', 'Republic of Moldova', 'EURO', '665', '45648', '16', '1186');
INSERT INTO public.who_import VALUES (71642, '2020-09-20', 'MD', 'Republic of Moldova', 'EURO', '688', '46336', '15', '1201');
INSERT INTO public.who_import VALUES (71643, '2020-09-21', 'MD', 'Republic of Moldova', 'EURO', '260', '46596', '2', '1203');
INSERT INTO public.who_import VALUES (71644, '2020-09-22', 'MD', 'Republic of Moldova', 'EURO', '200', '46796', '8', '1211');
INSERT INTO public.who_import VALUES (71645, '2020-09-23', 'MD', 'Republic of Moldova', 'EURO', '650', '47446', '19', '1230');
INSERT INTO public.who_import VALUES (71646, '2020-09-24', 'MD', 'Republic of Moldova', 'EURO', '786', '48232', '14', '1244');
INSERT INTO public.who_import VALUES (71647, '2020-09-25', 'MD', 'Republic of Moldova', 'EURO', '721', '48953', '8', '1252');
INSERT INTO public.who_import VALUES (71648, '2020-09-26', 'MD', 'Republic of Moldova', 'EURO', '713', '49666', '12', '1264');
INSERT INTO public.who_import VALUES (71649, '2020-09-27', 'MD', 'Republic of Moldova', 'EURO', '868', '50534', '15', '1279');
INSERT INTO public.who_import VALUES (71650, '2020-09-28', 'MD', 'Republic of Moldova', 'EURO', '341', '50875', '8', '1287');
INSERT INTO public.who_import VALUES (71651, '2020-09-29', 'MD', 'Republic of Moldova', 'EURO', '319', '51194', '14', '1301');
INSERT INTO public.who_import VALUES (71652, '2020-09-30', 'MD', 'Republic of Moldova', 'EURO', '835', '52029', '9', '1310');
INSERT INTO public.who_import VALUES (71653, '2020-10-01', 'MD', 'Republic of Moldova', 'EURO', '1013', '53042', '10', '1320');
INSERT INTO public.who_import VALUES (71654, '2020-10-02', 'MD', 'Republic of Moldova', 'EURO', '1022', '54064', '16', '1336');
INSERT INTO public.who_import VALUES (71655, '2020-10-03', 'MD', 'Republic of Moldova', 'EURO', '952', '55016', '8', '1344');
INSERT INTO public.who_import VALUES (71656, '2020-10-04', 'MD', 'Republic of Moldova', 'EURO', '872', '55888', '9', '1353');
INSERT INTO public.who_import VALUES (71657, '2020-10-05', 'MD', 'Republic of Moldova', 'EURO', '691', '56579', '13', '1366');
INSERT INTO public.who_import VALUES (71658, '2020-10-06', 'MD', 'Republic of Moldova', 'EURO', '322', '56901', '9', '1375');
INSERT INTO public.who_import VALUES (71659, '2020-10-07', 'MD', 'Republic of Moldova', 'EURO', '831', '57732', '14', '1389');
INSERT INTO public.who_import VALUES (71660, '2020-10-08', 'MD', 'Republic of Moldova', 'EURO', '1062', '58794', '17', '1406');
INSERT INTO public.who_import VALUES (71661, '2020-10-09', 'MD', 'Republic of Moldova', 'EURO', '1121', '59915', '18', '1424');
INSERT INTO public.who_import VALUES (71662, '2020-10-10', 'MD', 'Republic of Moldova', 'EURO', '918', '60833', '18', '1442');
INSERT INTO public.who_import VALUES (71663, '2020-10-11', 'MD', 'Republic of Moldova', 'EURO', '929', '61762', '16', '1458');
INSERT INTO public.who_import VALUES (71664, '2020-10-12', 'MD', 'Republic of Moldova', 'EURO', '389', '62151', '3', '1461');
INSERT INTO public.who_import VALUES (71665, '2020-10-13', 'MD', 'Republic of Moldova', 'EURO', '467', '62618', '17', '1478');
INSERT INTO public.who_import VALUES (71666, '2020-10-14', 'MD', 'Republic of Moldova', 'EURO', '657', '63275', '17', '1495');
INSERT INTO public.who_import VALUES (71667, '2020-10-15', 'MD', 'Republic of Moldova', 'EURO', '1149', '64424', '19', '1514');
INSERT INTO public.who_import VALUES (71668, '2020-10-16', 'MD', 'Republic of Moldova', 'EURO', '652', '65076', '16', '1530');
INSERT INTO public.who_import VALUES (71669, '2020-10-17', 'MD', 'Republic of Moldova', 'EURO', '784', '65860', '19', '1549');
INSERT INTO public.who_import VALUES (71670, '2020-10-18', 'MD', 'Republic of Moldova', 'EURO', '792', '66652', '20', '1569');
INSERT INTO public.who_import VALUES (71671, '2020-10-19', 'MD', 'Republic of Moldova', 'EURO', '398', '67050', '15', '1584');
INSERT INTO public.who_import VALUES (71672, '2020-10-20', 'MD', 'Republic of Moldova', 'EURO', '252', '67302', '17', '1601');
INSERT INTO public.who_import VALUES (71673, '2020-10-21', 'MD', 'Republic of Moldova', 'EURO', '656', '67958', '16', '1617');
INSERT INTO public.who_import VALUES (71674, '2020-10-22', 'MD', 'Republic of Moldova', 'EURO', '833', '68791', '13', '1630');
INSERT INTO public.who_import VALUES (71675, '2020-10-23', 'MD', 'Republic of Moldova', 'EURO', '777', '69568', '11', '1641');
INSERT INTO public.who_import VALUES (71676, '2020-10-24', 'MD', 'Republic of Moldova', 'EURO', '688', '70256', '14', '1655');
INSERT INTO public.who_import VALUES (71677, '2020-10-25', 'MD', 'Republic of Moldova', 'EURO', '833', '71089', '14', '1669');
INSERT INTO public.who_import VALUES (71678, '2020-10-26', 'MD', 'Republic of Moldova', 'EURO', '414', '71503', '16', '1685');
INSERT INTO public.who_import VALUES (71679, '2020-10-27', 'MD', 'Republic of Moldova', 'EURO', '308', '71811', '15', '1700');
INSERT INTO public.who_import VALUES (71680, '2020-10-28', 'MD', 'Republic of Moldova', 'EURO', '649', '72460', '10', '1710');
INSERT INTO public.who_import VALUES (71681, '2020-10-29', 'MD', 'Republic of Moldova', 'EURO', '861', '73321', '19', '1729');
INSERT INTO public.who_import VALUES (71682, '2020-10-30', 'MD', 'Republic of Moldova', 'EURO', '912', '74233', '18', '1747');
INSERT INTO public.who_import VALUES (71683, '2020-10-31', 'MD', 'Republic of Moldova', 'EURO', '968', '75201', '19', '1766');
INSERT INTO public.who_import VALUES (71684, '2020-11-01', 'MD', 'Republic of Moldova', 'EURO', '839', '76040', '19', '1785');
INSERT INTO public.who_import VALUES (71685, '2020-11-02', 'MD', 'Republic of Moldova', 'EURO', '542', '76582', '15', '1800');
INSERT INTO public.who_import VALUES (71686, '2020-11-03', 'MD', 'Republic of Moldova', 'EURO', '195', '76777', '18', '1818');
INSERT INTO public.who_import VALUES (71687, '2020-11-04', 'MD', 'Republic of Moldova', 'EURO', '710', '77487', '20', '1838');
INSERT INTO public.who_import VALUES (71688, '2020-11-05', 'MD', 'Republic of Moldova', 'EURO', '1020', '78507', '13', '1851');
INSERT INTO public.who_import VALUES (71689, '2020-11-06', 'MD', 'Republic of Moldova', 'EURO', '1059', '79566', '15', '1866');
INSERT INTO public.who_import VALUES (71690, '2020-11-07', 'MD', 'Republic of Moldova', 'EURO', '935', '80501', '16', '1882');
INSERT INTO public.who_import VALUES (71691, '2020-11-08', 'MD', 'Republic of Moldova', 'EURO', '1174', '81675', '9', '1891');
INSERT INTO public.who_import VALUES (71692, '2020-11-09', 'MD', 'Republic of Moldova', 'EURO', '671', '82346', '2', '1893');
INSERT INTO public.who_import VALUES (71693, '2020-11-10', 'MD', 'Republic of Moldova', 'EURO', '331', '82677', '19', '1912');
INSERT INTO public.who_import VALUES (71694, '2020-11-11', 'MD', 'Republic of Moldova', 'EURO', '915', '83592', '18', '1930');
INSERT INTO public.who_import VALUES (71695, '2020-11-12', 'MD', 'Republic of Moldova', 'EURO', '1115', '84707', '20', '1950');
INSERT INTO public.who_import VALUES (71696, '2020-11-13', 'MD', 'Republic of Moldova', 'EURO', '1331', '86038', '19', '1969');
INSERT INTO public.who_import VALUES (71697, '2020-11-14', 'MD', 'Republic of Moldova', 'EURO', '1323', '87361', '18', '1987');
INSERT INTO public.who_import VALUES (71698, '2020-11-15', 'MD', 'Republic of Moldova', 'EURO', '1411', '88772', '19', '2006');
INSERT INTO public.who_import VALUES (72225, '2020-01-17', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71699, '2020-11-16', 'MD', 'Republic of Moldova', 'EURO', '507', '89279', '13', '2019');
INSERT INTO public.who_import VALUES (71700, '2020-11-17', 'MD', 'Republic of Moldova', 'EURO', '564', '89843', '16', '2035');
INSERT INTO public.who_import VALUES (71701, '2020-11-18', 'MD', 'Republic of Moldova', 'EURO', '1069', '90912', '19', '2054');
INSERT INTO public.who_import VALUES (71702, '2020-11-19', 'MD', 'Republic of Moldova', 'EURO', '1607', '92519', '18', '2072');
INSERT INTO public.who_import VALUES (71703, '2020-11-20', 'MD', 'Republic of Moldova', 'EURO', '1442', '93961', '19', '2091');
INSERT INTO public.who_import VALUES (71704, '2020-11-21', 'MD', 'Republic of Moldova', 'EURO', '1422', '95383', '20', '2111');
INSERT INTO public.who_import VALUES (71705, '2020-11-22', 'MD', 'Republic of Moldova', 'EURO', '1306', '96689', '19', '2130');
INSERT INTO public.who_import VALUES (71706, '2020-11-23', 'MD', 'Republic of Moldova', 'EURO', '1252', '97941', '19', '2149');
INSERT INTO public.who_import VALUES (71707, '2020-11-24', 'MD', 'Republic of Moldova', 'EURO', '477', '98418', '20', '2169');
INSERT INTO public.who_import VALUES (71708, '2020-11-25', 'MD', 'Republic of Moldova', 'EURO', '1215', '99633', '19', '2188');
INSERT INTO public.who_import VALUES (71709, '2020-11-26', 'MD', 'Republic of Moldova', 'EURO', '1570', '101203', '21', '2209');
INSERT INTO public.who_import VALUES (71710, '2020-11-27', 'MD', 'Republic of Moldova', 'EURO', '1691', '102894', '20', '2229');
INSERT INTO public.who_import VALUES (71711, '2020-11-28', 'MD', 'Republic of Moldova', 'EURO', '1246', '104140', '21', '2250');
INSERT INTO public.who_import VALUES (71712, '2020-11-29', 'MD', 'Republic of Moldova', 'EURO', '1712', '105852', '19', '2269');
INSERT INTO public.who_import VALUES (71713, '2020-11-30', 'MD', 'Republic of Moldova', 'EURO', '1165', '107017', '21', '2290');
INSERT INTO public.who_import VALUES (71714, '2020-12-01', 'MD', 'Republic of Moldova', 'EURO', '347', '107364', '14', '2304');
INSERT INTO public.who_import VALUES (71715, '2020-12-02', 'MD', 'Republic of Moldova', 'EURO', '1499', '108863', '19', '2323');
INSERT INTO public.who_import VALUES (71716, '2020-12-03', 'MD', 'Republic of Moldova', 'EURO', '1717', '110580', '20', '2343');
INSERT INTO public.who_import VALUES (71717, '2020-12-04', 'MD', 'Republic of Moldova', 'EURO', '1727', '112307', '20', '2363');
INSERT INTO public.who_import VALUES (71718, '2020-12-05', 'MD', 'Republic of Moldova', 'EURO', '1522', '113829', '21', '2384');
INSERT INTO public.who_import VALUES (71719, '2020-12-06', 'MD', 'Republic of Moldova', 'EURO', '1728', '115557', '19', '2403');
INSERT INTO public.who_import VALUES (71720, '2020-12-07', 'MD', 'Republic of Moldova', 'EURO', '1078', '116635', '16', '2419');
INSERT INTO public.who_import VALUES (71721, '2020-12-08', 'MD', 'Republic of Moldova', 'EURO', '860', '117495', '19', '2438');
INSERT INTO public.who_import VALUES (71722, '2020-12-09', 'MD', 'Republic of Moldova', 'EURO', '1709', '119204', '22', '2460');
INSERT INTO public.who_import VALUES (71723, '2020-12-10', 'MD', 'Republic of Moldova', 'EURO', '1766', '120970', '21', '2481');
INSERT INTO public.who_import VALUES (71724, '2020-12-11', 'MD', 'Republic of Moldova', 'EURO', '1715', '122685', '19', '2500');
INSERT INTO public.who_import VALUES (71725, '2020-12-12', 'MD', 'Republic of Moldova', 'EURO', '1579', '124264', '21', '2521');
INSERT INTO public.who_import VALUES (71726, '2020-12-13', 'MD', 'Republic of Moldova', 'EURO', '1459', '125723', '26', '2547');
INSERT INTO public.who_import VALUES (71727, '2020-12-14', 'MD', 'Republic of Moldova', 'EURO', '795', '126518', '25', '2572');
INSERT INTO public.who_import VALUES (71728, '2020-12-15', 'MD', 'Republic of Moldova', 'EURO', '735', '127253', '26', '2598');
INSERT INTO public.who_import VALUES (71729, '2020-12-16', 'MD', 'Republic of Moldova', 'EURO', '1403', '128656', '27', '2625');
INSERT INTO public.who_import VALUES (71730, '2020-12-17', 'MD', 'Republic of Moldova', 'EURO', '1673', '130329', '25', '2650');
INSERT INTO public.who_import VALUES (71731, '2020-12-18', 'MD', 'Republic of Moldova', 'EURO', '1590', '131919', '24', '2674');
INSERT INTO public.who_import VALUES (71732, '2020-12-19', 'MD', 'Republic of Moldova', 'EURO', '1441', '133360', '26', '2700');
INSERT INTO public.who_import VALUES (71733, '2020-12-20', 'MD', 'Republic of Moldova', 'EURO', '1218', '134578', '27', '2727');
INSERT INTO public.who_import VALUES (71734, '2020-12-21', 'MD', 'Republic of Moldova', 'EURO', '629', '135207', '25', '2752');
INSERT INTO public.who_import VALUES (71735, '2020-12-22', 'MD', 'Republic of Moldova', 'EURO', '703', '135910', '26', '2778');
INSERT INTO public.who_import VALUES (71736, '2020-12-23', 'MD', 'Republic of Moldova', 'EURO', '1021', '136931', '25', '2803');
INSERT INTO public.who_import VALUES (71737, '2020-12-24', 'MD', 'Republic of Moldova', 'EURO', '1282', '138213', '22', '2825');
INSERT INTO public.who_import VALUES (71738, '2020-12-25', 'MD', 'Republic of Moldova', 'EURO', '1222', '139435', '23', '2848');
INSERT INTO public.who_import VALUES (71739, '2020-12-26', 'MD', 'Republic of Moldova', 'EURO', '815', '140250', '23', '2871');
INSERT INTO public.who_import VALUES (71740, '2020-12-27', 'MD', 'Republic of Moldova', 'EURO', '746', '140996', '12', '2883');
INSERT INTO public.who_import VALUES (71741, '2020-12-28', 'MD', 'Republic of Moldova', 'EURO', '359', '141355', '8', '2891');
INSERT INTO public.who_import VALUES (71742, '2020-12-29', 'MD', 'Republic of Moldova', 'EURO', '569', '141924', '18', '2909');
INSERT INTO public.who_import VALUES (71743, '2020-12-30', 'MD', 'Republic of Moldova', 'EURO', '927', '142851', '25', '2934');
INSERT INTO public.who_import VALUES (71744, '2020-12-31', 'MD', 'Republic of Moldova', 'EURO', '990', '143841', '25', '2959');
INSERT INTO public.who_import VALUES (71745, '2021-01-01', 'MD', 'Republic of Moldova', 'EURO', '977', '144818', '26', '2985');
INSERT INTO public.who_import VALUES (71746, '2021-01-02', 'MD', 'Republic of Moldova', 'EURO', '440', '145258', '19', '3004');
INSERT INTO public.who_import VALUES (71747, '2021-01-03', 'MD', 'Republic of Moldova', 'EURO', '436', '145694', '16', '3020');
INSERT INTO public.who_import VALUES (71748, '2021-01-04', 'MD', 'Republic of Moldova', 'EURO', '179', '145873', '17', '3037');
INSERT INTO public.who_import VALUES (71749, '2021-01-05', 'MD', 'Republic of Moldova', 'EURO', '436', '146309', '17', '3054');
INSERT INTO public.who_import VALUES (71750, '2021-01-06', 'MD', 'Republic of Moldova', 'EURO', '612', '146921', '16', '3070');
INSERT INTO public.who_import VALUES (71751, '2021-01-07', 'MD', 'Republic of Moldova', 'EURO', '950', '147871', '18', '3088');
INSERT INTO public.who_import VALUES (71752, '2021-01-08', 'MD', 'Republic of Moldova', 'EURO', '423', '148294', '18', '3106');
INSERT INTO public.who_import VALUES (71753, '2021-01-09', 'MD', 'Republic of Moldova', 'EURO', '375', '148669', '16', '3122');
INSERT INTO public.who_import VALUES (71754, '2021-01-10', 'MD', 'Republic of Moldova', 'EURO', '424', '149093', '8', '3130');
INSERT INTO public.who_import VALUES (71755, '2021-01-11', 'MD', 'Republic of Moldova', 'EURO', '298', '149391', '9', '3139');
INSERT INTO public.who_import VALUES (71756, '2021-01-12', 'MD', 'Republic of Moldova', 'EURO', '271', '149662', '17', '3156');
INSERT INTO public.who_import VALUES (71757, '2021-01-13', 'MD', 'Republic of Moldova', 'EURO', '476', '150138', '20', '3176');
INSERT INTO public.who_import VALUES (71758, '2021-01-14', 'MD', 'Republic of Moldova', 'EURO', '808', '150946', '17', '3193');
INSERT INTO public.who_import VALUES (71759, '2021-01-15', 'MD', 'Republic of Moldova', 'EURO', '741', '151687', '18', '3211');
INSERT INTO public.who_import VALUES (71760, '2021-01-16', 'MD', 'Republic of Moldova', 'EURO', '576', '152263', '17', '3228');
INSERT INTO public.who_import VALUES (71761, '2021-01-17', 'MD', 'Republic of Moldova', 'EURO', '377', '152640', '17', '3245');
INSERT INTO public.who_import VALUES (71762, '2021-01-18', 'MD', 'Republic of Moldova', 'EURO', '214', '152854', '5', '3250');
INSERT INTO public.who_import VALUES (71763, '2021-01-19', 'MD', 'Republic of Moldova', 'EURO', '258', '153112', '17', '3267');
INSERT INTO public.who_import VALUES (71764, '2021-01-20', 'MD', 'Republic of Moldova', 'EURO', '394', '153506', '15', '3282');
INSERT INTO public.who_import VALUES (71765, '2021-01-21', 'MD', 'Republic of Moldova', 'EURO', '612', '154118', '17', '3299');
INSERT INTO public.who_import VALUES (71766, '2021-01-22', 'MD', 'Republic of Moldova', 'EURO', '670', '154788', '16', '3315');
INSERT INTO public.who_import VALUES (71767, '2021-01-23', 'MD', 'Republic of Moldova', 'EURO', '514', '155302', '17', '3332');
INSERT INTO public.who_import VALUES (71768, '2021-01-24', 'MD', 'Republic of Moldova', 'EURO', '635', '155937', '15', '3347');
INSERT INTO public.who_import VALUES (71769, '2021-01-25', 'MD', 'Republic of Moldova', 'EURO', '265', '156202', '14', '3361');
INSERT INTO public.who_import VALUES (71770, '2021-01-26', 'MD', 'Republic of Moldova', 'EURO', '224', '156426', '7', '3368');
INSERT INTO public.who_import VALUES (71771, '2021-01-27', 'MD', 'Republic of Moldova', 'EURO', '546', '156972', '13', '3381');
INSERT INTO public.who_import VALUES (71772, '2021-01-28', 'MD', 'Republic of Moldova', 'EURO', '654', '157626', '15', '3396');
INSERT INTO public.who_import VALUES (71773, '2021-01-29', 'MD', 'Republic of Moldova', 'EURO', '683', '158309', '17', '3413');
INSERT INTO public.who_import VALUES (71774, '2021-01-30', 'MD', 'Republic of Moldova', 'EURO', '551', '158860', '11', '3424');
INSERT INTO public.who_import VALUES (71775, '2021-01-31', 'MD', 'Republic of Moldova', 'EURO', '653', '159513', '10', '3434');
INSERT INTO public.who_import VALUES (71776, '2021-02-01', 'MD', 'Republic of Moldova', 'EURO', '291', '159804', '4', '3438');
INSERT INTO public.who_import VALUES (71777, '2021-02-02', 'MD', 'Republic of Moldova', 'EURO', '282', '160086', '8', '3446');
INSERT INTO public.who_import VALUES (71778, '2021-02-03', 'MD', 'Republic of Moldova', 'EURO', '639', '160725', '16', '3462');
INSERT INTO public.who_import VALUES (71779, '2021-02-04', 'MD', 'Republic of Moldova', 'EURO', '917', '161642', '18', '3480');
INSERT INTO public.who_import VALUES (71780, '2021-02-05', 'MD', 'Republic of Moldova', 'EURO', '982', '162624', '17', '3497');
INSERT INTO public.who_import VALUES (71781, '2021-02-06', 'MD', 'Republic of Moldova', 'EURO', '776', '163400', '18', '3515');
INSERT INTO public.who_import VALUES (71782, '2021-02-07', 'MD', 'Republic of Moldova', 'EURO', '843', '164243', '15', '3530');
INSERT INTO public.who_import VALUES (71783, '2021-02-08', 'MD', 'Republic of Moldova', 'EURO', '326', '164569', '13', '3543');
INSERT INTO public.who_import VALUES (71784, '2021-02-09', 'MD', 'Republic of Moldova', 'EURO', '289', '164858', '14', '3557');
INSERT INTO public.who_import VALUES (71785, '2021-02-10', 'MD', 'Republic of Moldova', 'EURO', '805', '165663', '16', '3573');
INSERT INTO public.who_import VALUES (71786, '2021-02-11', 'MD', 'Republic of Moldova', 'EURO', '890', '166553', '16', '3589');
INSERT INTO public.who_import VALUES (72226, '2020-01-18', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71787, '2021-02-12', 'MD', 'Republic of Moldova', 'EURO', '993', '167546', '18', '3607');
INSERT INTO public.who_import VALUES (71788, '2021-02-13', 'MD', 'Republic of Moldova', 'EURO', '1280', '168826', '19', '3626');
INSERT INTO public.who_import VALUES (71789, '2021-02-14', 'MD', 'Republic of Moldova', 'EURO', '979', '169805', '14', '3640');
INSERT INTO public.who_import VALUES (71790, '2021-02-15', 'MD', 'Republic of Moldova', 'EURO', '381', '170186', '11', '3651');
INSERT INTO public.who_import VALUES (71791, '2021-02-16', 'MD', 'Republic of Moldova', 'EURO', '363', '170549', '10', '3661');
INSERT INTO public.who_import VALUES (71792, '2021-02-17', 'MD', 'Republic of Moldova', 'EURO', '965', '171514', '17', '3678');
INSERT INTO public.who_import VALUES (71793, '2021-02-18', 'MD', 'Republic of Moldova', 'EURO', '1301', '172815', '19', '3697');
INSERT INTO public.who_import VALUES (71794, '2021-02-19', 'MD', 'Republic of Moldova', 'EURO', '1340', '174155', '20', '3717');
INSERT INTO public.who_import VALUES (71795, '2021-02-20', 'MD', 'Republic of Moldova', 'EURO', '1028', '175183', '22', '3739');
INSERT INTO public.who_import VALUES (71796, '2020-01-03', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71797, '2020-01-04', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71798, '2020-01-05', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71799, '2020-01-06', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71800, '2020-01-07', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71801, '2020-01-08', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71802, '2020-01-09', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71803, '2020-01-10', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71804, '2020-01-11', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71805, '2020-01-12', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71806, '2020-01-13', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71807, '2020-01-14', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71808, '2020-01-15', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71809, '2020-01-16', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71810, '2020-01-17', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71811, '2020-01-18', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71812, '2020-01-19', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71813, '2020-01-20', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71814, '2020-01-21', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71815, '2020-01-22', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71816, '2020-01-23', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71817, '2020-01-24', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71818, '2020-01-25', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71819, '2020-01-26', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71820, '2020-01-27', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71821, '2020-01-28', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71822, '2020-01-29', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71823, '2020-01-30', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71824, '2020-01-31', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71825, '2020-02-01', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71826, '2020-02-02', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71827, '2020-02-03', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71828, '2020-02-04', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71829, '2020-02-05', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71830, '2020-02-06', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71831, '2020-02-07', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71832, '2020-02-08', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71833, '2020-02-09', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71834, '2020-02-10', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71835, '2020-02-11', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71836, '2020-02-12', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71837, '2020-02-13', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71838, '2020-02-14', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71839, '2020-02-15', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71840, '2020-02-16', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71841, '2020-02-17', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71842, '2020-02-18', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71843, '2020-02-19', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71844, '2020-02-20', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71845, '2020-02-21', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71846, '2020-02-22', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71847, '2020-02-23', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71848, '2020-02-24', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71849, '2020-02-25', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71850, '2020-02-26', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71851, '2020-02-27', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71852, '2020-02-28', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71853, '2020-02-29', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71854, '2020-03-01', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71855, '2020-03-02', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71856, '2020-03-03', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71857, '2020-03-04', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71858, '2020-03-05', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71859, '2020-03-06', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71860, '2020-03-07', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71861, '2020-03-08', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71862, '2020-03-09', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71863, '2020-03-10', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71864, '2020-03-11', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71865, '2020-03-12', 'RE', 'Réunion', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (71866, '2020-03-13', 'RE', 'Réunion', 'AFRO', '7', '7', '0', '0');
INSERT INTO public.who_import VALUES (71867, '2020-03-14', 'RE', 'Réunion', 'AFRO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (71868, '2020-03-15', 'RE', 'Réunion', 'AFRO', '3', '13', '0', '0');
INSERT INTO public.who_import VALUES (71869, '2020-03-16', 'RE', 'Réunion', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (71870, '2020-03-17', 'RE', 'Réunion', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (71871, '2020-03-18', 'RE', 'Réunion', 'AFRO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (71872, '2020-03-19', 'RE', 'Réunion', 'AFRO', '3', '19', '0', '0');
INSERT INTO public.who_import VALUES (71873, '2020-03-20', 'RE', 'Réunion', 'AFRO', '9', '28', '0', '0');
INSERT INTO public.who_import VALUES (71874, '2020-03-21', 'RE', 'Réunion', 'AFRO', '19', '47', '0', '0');
INSERT INTO public.who_import VALUES (71875, '2020-03-22', 'RE', 'Réunion', 'AFRO', '0', '47', '0', '0');
INSERT INTO public.who_import VALUES (71876, '2020-03-23', 'RE', 'Réunion', 'AFRO', '17', '64', '0', '0');
INSERT INTO public.who_import VALUES (71877, '2020-03-24', 'RE', 'Réunion', 'AFRO', '7', '71', '0', '0');
INSERT INTO public.who_import VALUES (71878, '2020-03-25', 'RE', 'Réunion', 'AFRO', '12', '83', '0', '0');
INSERT INTO public.who_import VALUES (71879, '2020-03-26', 'RE', 'Réunion', 'AFRO', '11', '94', '0', '0');
INSERT INTO public.who_import VALUES (71880, '2020-03-27', 'RE', 'Réunion', 'AFRO', '41', '135', '0', '0');
INSERT INTO public.who_import VALUES (71881, '2020-03-28', 'RE', 'Réunion', 'AFRO', '8', '143', '0', '0');
INSERT INTO public.who_import VALUES (71882, '2020-03-29', 'RE', 'Réunion', 'AFRO', '0', '143', '0', '0');
INSERT INTO public.who_import VALUES (71883, '2020-03-30', 'RE', 'Réunion', 'AFRO', '64', '207', '0', '0');
INSERT INTO public.who_import VALUES (71884, '2020-03-31', 'RE', 'Réunion', 'AFRO', '0', '207', '0', '0');
INSERT INTO public.who_import VALUES (71885, '2020-04-01', 'RE', 'Réunion', 'AFRO', '40', '247', '0', '0');
INSERT INTO public.who_import VALUES (71886, '2020-04-02', 'RE', 'Réunion', 'AFRO', '34', '281', '0', '0');
INSERT INTO public.who_import VALUES (71887, '2020-04-03', 'RE', 'Réunion', 'AFRO', '27', '308', '0', '0');
INSERT INTO public.who_import VALUES (71888, '2020-04-04', 'RE', 'Réunion', 'AFRO', '13', '321', '0', '0');
INSERT INTO public.who_import VALUES (71889, '2020-04-05', 'RE', 'Réunion', 'AFRO', '13', '334', '0', '0');
INSERT INTO public.who_import VALUES (71890, '2020-04-06', 'RE', 'Réunion', 'AFRO', '10', '344', '0', '0');
INSERT INTO public.who_import VALUES (71891, '2020-04-07', 'RE', 'Réunion', 'AFRO', '5', '349', '0', '0');
INSERT INTO public.who_import VALUES (71892, '2020-04-08', 'RE', 'Réunion', 'AFRO', '9', '358', '0', '0');
INSERT INTO public.who_import VALUES (71893, '2020-04-09', 'RE', 'Réunion', 'AFRO', '4', '362', '0', '0');
INSERT INTO public.who_import VALUES (71894, '2020-04-10', 'RE', 'Réunion', 'AFRO', '14', '376', '0', '0');
INSERT INTO public.who_import VALUES (71895, '2020-04-11', 'RE', 'Réunion', 'AFRO', '6', '382', '0', '0');
INSERT INTO public.who_import VALUES (71896, '2020-04-12', 'RE', 'Réunion', 'AFRO', '6', '388', '0', '0');
INSERT INTO public.who_import VALUES (71897, '2020-04-13', 'RE', 'Réunion', 'AFRO', '1', '389', '0', '0');
INSERT INTO public.who_import VALUES (71898, '2020-04-14', 'RE', 'Réunion', 'AFRO', '1', '390', '0', '0');
INSERT INTO public.who_import VALUES (71899, '2020-04-15', 'RE', 'Réunion', 'AFRO', '0', '390', '0', '0');
INSERT INTO public.who_import VALUES (71900, '2020-04-16', 'RE', 'Réunion', 'AFRO', '0', '390', '0', '0');
INSERT INTO public.who_import VALUES (71901, '2020-04-17', 'RE', 'Réunion', 'AFRO', '4', '394', '0', '0');
INSERT INTO public.who_import VALUES (71902, '2020-04-18', 'RE', 'Réunion', 'AFRO', '8', '402', '0', '0');
INSERT INTO public.who_import VALUES (71903, '2020-04-19', 'RE', 'Réunion', 'AFRO', '5', '407', '0', '0');
INSERT INTO public.who_import VALUES (71904, '2020-04-20', 'RE', 'Réunion', 'AFRO', '1', '408', '0', '0');
INSERT INTO public.who_import VALUES (71905, '2020-04-21', 'RE', 'Réunion', 'AFRO', '0', '408', '0', '0');
INSERT INTO public.who_import VALUES (71906, '2020-04-22', 'RE', 'Réunion', 'AFRO', '2', '410', '0', '0');
INSERT INTO public.who_import VALUES (71907, '2020-04-23', 'RE', 'Réunion', 'AFRO', '0', '410', '0', '0');
INSERT INTO public.who_import VALUES (71908, '2020-04-24', 'RE', 'Réunion', 'AFRO', '1', '411', '0', '0');
INSERT INTO public.who_import VALUES (71909, '2020-04-25', 'RE', 'Réunion', 'AFRO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (71910, '2020-04-26', 'RE', 'Réunion', 'AFRO', '0', '411', '0', '0');
INSERT INTO public.who_import VALUES (71911, '2020-04-27', 'RE', 'Réunion', 'AFRO', '5', '416', '0', '0');
INSERT INTO public.who_import VALUES (71912, '2020-04-28', 'RE', 'Réunion', 'AFRO', '1', '417', '0', '0');
INSERT INTO public.who_import VALUES (71913, '2020-04-29', 'RE', 'Réunion', 'AFRO', '0', '417', '0', '0');
INSERT INTO public.who_import VALUES (71914, '2020-04-30', 'RE', 'Réunion', 'AFRO', '3', '420', '0', '0');
INSERT INTO public.who_import VALUES (71915, '2020-05-01', 'RE', 'Réunion', 'AFRO', '0', '420', '0', '0');
INSERT INTO public.who_import VALUES (71916, '2020-05-02', 'RE', 'Réunion', 'AFRO', '0', '420', '0', '0');
INSERT INTO public.who_import VALUES (71917, '2020-05-03', 'RE', 'Réunion', 'AFRO', '0', '420', '0', '0');
INSERT INTO public.who_import VALUES (71918, '2020-05-04', 'RE', 'Réunion', 'AFRO', '3', '423', '0', '0');
INSERT INTO public.who_import VALUES (71919, '2020-05-05', 'RE', 'Réunion', 'AFRO', '1', '424', '0', '0');
INSERT INTO public.who_import VALUES (71920, '2020-05-06', 'RE', 'Réunion', 'AFRO', '1', '425', '0', '0');
INSERT INTO public.who_import VALUES (71921, '2020-05-07', 'RE', 'Réunion', 'AFRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (71922, '2020-05-08', 'RE', 'Réunion', 'AFRO', '2', '427', '0', '0');
INSERT INTO public.who_import VALUES (71923, '2020-05-09', 'RE', 'Réunion', 'AFRO', '3', '430', '0', '0');
INSERT INTO public.who_import VALUES (71924, '2020-05-10', 'RE', 'Réunion', 'AFRO', '0', '430', '0', '0');
INSERT INTO public.who_import VALUES (71925, '2020-05-11', 'RE', 'Réunion', 'AFRO', '6', '436', '0', '0');
INSERT INTO public.who_import VALUES (71926, '2020-05-12', 'RE', 'Réunion', 'AFRO', '0', '436', '0', '0');
INSERT INTO public.who_import VALUES (71927, '2020-05-13', 'RE', 'Réunion', 'AFRO', '1', '437', '0', '0');
INSERT INTO public.who_import VALUES (71928, '2020-05-14', 'RE', 'Réunion', 'AFRO', '2', '439', '0', '0');
INSERT INTO public.who_import VALUES (71929, '2020-05-15', 'RE', 'Réunion', 'AFRO', '1', '440', '0', '0');
INSERT INTO public.who_import VALUES (71930, '2020-05-16', 'RE', 'Réunion', 'AFRO', '1', '441', '0', '0');
INSERT INTO public.who_import VALUES (71931, '2020-05-17', 'RE', 'Réunion', 'AFRO', '2', '443', '0', '0');
INSERT INTO public.who_import VALUES (71932, '2020-05-18', 'RE', 'Réunion', 'AFRO', '0', '443', '0', '0');
INSERT INTO public.who_import VALUES (71933, '2020-05-19', 'RE', 'Réunion', 'AFRO', '3', '446', '0', '0');
INSERT INTO public.who_import VALUES (71934, '2020-05-20', 'RE', 'Réunion', 'AFRO', '0', '446', '0', '0');
INSERT INTO public.who_import VALUES (71935, '2020-05-21', 'RE', 'Réunion', 'AFRO', '1', '447', '1', '1');
INSERT INTO public.who_import VALUES (71936, '2020-05-22', 'RE', 'Réunion', 'AFRO', '2', '449', '0', '1');
INSERT INTO public.who_import VALUES (71937, '2020-05-23', 'RE', 'Réunion', 'AFRO', '0', '449', '0', '1');
INSERT INTO public.who_import VALUES (71938, '2020-05-24', 'RE', 'Réunion', 'AFRO', '3', '452', '0', '1');
INSERT INTO public.who_import VALUES (71939, '2020-05-25', 'RE', 'Réunion', 'AFRO', '0', '452', '0', '1');
INSERT INTO public.who_import VALUES (71940, '2020-05-26', 'RE', 'Réunion', 'AFRO', '4', '456', '0', '1');
INSERT INTO public.who_import VALUES (71941, '2020-05-27', 'RE', 'Réunion', 'AFRO', '3', '459', '0', '1');
INSERT INTO public.who_import VALUES (71942, '2020-05-28', 'RE', 'Réunion', 'AFRO', '1', '460', '0', '1');
INSERT INTO public.who_import VALUES (71943, '2020-05-29', 'RE', 'Réunion', 'AFRO', '5', '465', '0', '1');
INSERT INTO public.who_import VALUES (71944, '2020-05-30', 'RE', 'Réunion', 'AFRO', '5', '470', '0', '1');
INSERT INTO public.who_import VALUES (71945, '2020-05-31', 'RE', 'Réunion', 'AFRO', '1', '471', '0', '1');
INSERT INTO public.who_import VALUES (71946, '2020-06-01', 'RE', 'Réunion', 'AFRO', '0', '471', '0', '1');
INSERT INTO public.who_import VALUES (71947, '2020-06-02', 'RE', 'Réunion', 'AFRO', '2', '473', '0', '1');
INSERT INTO public.who_import VALUES (71948, '2020-06-03', 'RE', 'Réunion', 'AFRO', '4', '477', '0', '1');
INSERT INTO public.who_import VALUES (71949, '2020-06-04', 'RE', 'Réunion', 'AFRO', '1', '478', '0', '1');
INSERT INTO public.who_import VALUES (71950, '2020-06-05', 'RE', 'Réunion', 'AFRO', '1', '479', '0', '1');
INSERT INTO public.who_import VALUES (71951, '2020-06-06', 'RE', 'Réunion', 'AFRO', '1', '480', '0', '1');
INSERT INTO public.who_import VALUES (71952, '2020-06-07', 'RE', 'Réunion', 'AFRO', '0', '480', '0', '1');
INSERT INTO public.who_import VALUES (71953, '2020-06-08', 'RE', 'Réunion', 'AFRO', '0', '480', '0', '1');
INSERT INTO public.who_import VALUES (71954, '2020-06-09', 'RE', 'Réunion', 'AFRO', '1', '481', '0', '1');
INSERT INTO public.who_import VALUES (71955, '2020-06-10', 'RE', 'Réunion', 'AFRO', '0', '481', '0', '1');
INSERT INTO public.who_import VALUES (71956, '2020-06-11', 'RE', 'Réunion', 'AFRO', '5', '486', '0', '1');
INSERT INTO public.who_import VALUES (71957, '2020-06-12', 'RE', 'Réunion', 'AFRO', '1', '487', '0', '1');
INSERT INTO public.who_import VALUES (71958, '2020-06-13', 'RE', 'Réunion', 'AFRO', '1', '488', '0', '1');
INSERT INTO public.who_import VALUES (71959, '2020-06-14', 'RE', 'Réunion', 'AFRO', '1', '489', '0', '1');
INSERT INTO public.who_import VALUES (71960, '2020-06-15', 'RE', 'Réunion', 'AFRO', '6', '495', '0', '1');
INSERT INTO public.who_import VALUES (71961, '2020-06-16', 'RE', 'Réunion', 'AFRO', '1', '496', '0', '1');
INSERT INTO public.who_import VALUES (71962, '2020-06-17', 'RE', 'Réunion', 'AFRO', '-1', '495', '0', '1');
INSERT INTO public.who_import VALUES (71963, '2020-06-18', 'RE', 'Réunion', 'AFRO', '2', '497', '0', '1');
INSERT INTO public.who_import VALUES (71964, '2020-06-19', 'RE', 'Réunion', 'AFRO', '5', '502', '0', '1');
INSERT INTO public.who_import VALUES (71965, '2020-06-20', 'RE', 'Réunion', 'AFRO', '2', '504', '0', '1');
INSERT INTO public.who_import VALUES (71966, '2020-06-21', 'RE', 'Réunion', 'AFRO', '1', '505', '0', '1');
INSERT INTO public.who_import VALUES (71967, '2020-06-22', 'RE', 'Réunion', 'AFRO', '1', '506', '0', '1');
INSERT INTO public.who_import VALUES (71968, '2020-06-23', 'RE', 'Réunion', 'AFRO', '1', '507', '0', '1');
INSERT INTO public.who_import VALUES (71969, '2020-06-24', 'RE', 'Réunion', 'AFRO', '0', '507', '0', '1');
INSERT INTO public.who_import VALUES (71970, '2020-06-25', 'RE', 'Réunion', 'AFRO', '1', '508', '1', '2');
INSERT INTO public.who_import VALUES (71971, '2020-06-26', 'RE', 'Réunion', 'AFRO', '8', '516', '0', '2');
INSERT INTO public.who_import VALUES (71972, '2020-06-27', 'RE', 'Réunion', 'AFRO', '1', '517', '0', '2');
INSERT INTO public.who_import VALUES (71973, '2020-06-28', 'RE', 'Réunion', 'AFRO', '3', '520', '0', '2');
INSERT INTO public.who_import VALUES (71974, '2020-06-29', 'RE', 'Réunion', 'AFRO', '1', '521', '0', '2');
INSERT INTO public.who_import VALUES (71975, '2020-06-30', 'RE', 'Réunion', 'AFRO', '1', '522', '0', '2');
INSERT INTO public.who_import VALUES (71976, '2020-07-01', 'RE', 'Réunion', 'AFRO', '4', '526', '0', '2');
INSERT INTO public.who_import VALUES (71977, '2020-07-02', 'RE', 'Réunion', 'AFRO', '2', '528', '0', '2');
INSERT INTO public.who_import VALUES (71978, '2020-07-03', 'RE', 'Réunion', 'AFRO', '3', '531', '0', '2');
INSERT INTO public.who_import VALUES (71979, '2020-07-04', 'RE', 'Réunion', 'AFRO', '2', '533', '0', '2');
INSERT INTO public.who_import VALUES (71980, '2020-07-05', 'RE', 'Réunion', 'AFRO', '3', '536', '0', '2');
INSERT INTO public.who_import VALUES (71981, '2020-07-06', 'RE', 'Réunion', 'AFRO', '11', '547', '0', '2');
INSERT INTO public.who_import VALUES (71982, '2020-07-07', 'RE', 'Réunion', 'AFRO', '3', '550', '0', '2');
INSERT INTO public.who_import VALUES (71983, '2020-07-08', 'RE', 'Réunion', 'AFRO', '1', '551', '1', '3');
INSERT INTO public.who_import VALUES (71984, '2020-07-09', 'RE', 'Réunion', 'AFRO', '12', '563', '0', '3');
INSERT INTO public.who_import VALUES (71985, '2020-07-10', 'RE', 'Réunion', 'AFRO', '3', '566', '0', '3');
INSERT INTO public.who_import VALUES (71986, '2020-07-11', 'RE', 'Réunion', 'AFRO', '5', '571', '0', '3');
INSERT INTO public.who_import VALUES (71987, '2020-07-12', 'RE', 'Réunion', 'AFRO', '6', '577', '0', '3');
INSERT INTO public.who_import VALUES (71988, '2020-07-13', 'RE', 'Réunion', 'AFRO', '16', '593', '0', '3');
INSERT INTO public.who_import VALUES (71989, '2020-07-14', 'RE', 'Réunion', 'AFRO', '3', '596', '0', '3');
INSERT INTO public.who_import VALUES (71990, '2020-07-15', 'RE', 'Réunion', 'AFRO', '3', '599', '0', '3');
INSERT INTO public.who_import VALUES (71991, '2020-07-16', 'RE', 'Réunion', 'AFRO', '9', '608', '0', '3');
INSERT INTO public.who_import VALUES (71992, '2020-07-17', 'RE', 'Réunion', 'AFRO', '6', '614', '0', '3');
INSERT INTO public.who_import VALUES (71993, '2020-07-18', 'RE', 'Réunion', 'AFRO', '10', '624', '0', '3');
INSERT INTO public.who_import VALUES (71994, '2020-07-19', 'RE', 'Réunion', 'AFRO', '0', '624', '0', '3');
INSERT INTO public.who_import VALUES (71995, '2020-07-20', 'RE', 'Réunion', 'AFRO', '4', '628', '0', '3');
INSERT INTO public.who_import VALUES (71996, '2020-07-21', 'RE', 'Réunion', 'AFRO', '3', '631', '0', '3');
INSERT INTO public.who_import VALUES (71997, '2020-07-22', 'RE', 'Réunion', 'AFRO', '8', '639', '0', '3');
INSERT INTO public.who_import VALUES (71998, '2020-07-23', 'RE', 'Réunion', 'AFRO', '6', '645', '0', '3');
INSERT INTO public.who_import VALUES (71999, '2020-07-24', 'RE', 'Réunion', 'AFRO', '1', '646', '0', '3');
INSERT INTO public.who_import VALUES (72000, '2020-07-25', 'RE', 'Réunion', 'AFRO', '8', '654', '0', '3');
INSERT INTO public.who_import VALUES (72001, '2020-07-26', 'RE', 'Réunion', 'AFRO', '3', '657', '0', '3');
INSERT INTO public.who_import VALUES (72002, '2020-07-27', 'RE', 'Réunion', 'AFRO', '0', '657', '0', '3');
INSERT INTO public.who_import VALUES (72003, '2020-07-28', 'RE', 'Réunion', 'AFRO', '0', '657', '1', '4');
INSERT INTO public.who_import VALUES (72004, '2020-07-29', 'RE', 'Réunion', 'AFRO', '0', '657', '0', '4');
INSERT INTO public.who_import VALUES (72005, '2020-07-30', 'RE', 'Réunion', 'AFRO', '0', '657', '0', '4');
INSERT INTO public.who_import VALUES (72006, '2020-07-31', 'RE', 'Réunion', 'AFRO', '0', '657', '0', '4');
INSERT INTO public.who_import VALUES (72007, '2020-08-01', 'RE', 'Réunion', 'AFRO', '3', '660', '0', '4');
INSERT INTO public.who_import VALUES (72008, '2020-08-02', 'RE', 'Réunion', 'AFRO', '4', '664', '0', '4');
INSERT INTO public.who_import VALUES (72009, '2020-08-03', 'RE', 'Réunion', 'AFRO', '3', '667', '0', '4');
INSERT INTO public.who_import VALUES (72010, '2020-08-04', 'RE', 'Réunion', 'AFRO', '0', '667', '0', '4');
INSERT INTO public.who_import VALUES (72011, '2020-08-05', 'RE', 'Réunion', 'AFRO', '2', '669', '0', '4');
INSERT INTO public.who_import VALUES (72012, '2020-08-06', 'RE', 'Réunion', 'AFRO', '1', '670', '1', '5');
INSERT INTO public.who_import VALUES (72013, '2020-08-07', 'RE', 'Réunion', 'AFRO', '1', '671', '0', '5');
INSERT INTO public.who_import VALUES (72014, '2020-08-08', 'RE', 'Réunion', 'AFRO', '4', '675', '0', '5');
INSERT INTO public.who_import VALUES (72015, '2020-08-09', 'RE', 'Réunion', 'AFRO', '6', '681', '0', '5');
INSERT INTO public.who_import VALUES (72016, '2020-08-10', 'RE', 'Réunion', 'AFRO', '6', '687', '0', '5');
INSERT INTO public.who_import VALUES (72017, '2020-08-11', 'RE', 'Réunion', 'AFRO', '3', '690', '0', '5');
INSERT INTO public.who_import VALUES (72018, '2020-08-12', 'RE', 'Réunion', 'AFRO', '12', '702', '0', '5');
INSERT INTO public.who_import VALUES (72019, '2020-08-13', 'RE', 'Réunion', 'AFRO', '32', '734', '0', '5');
INSERT INTO public.who_import VALUES (72020, '2020-08-14', 'RE', 'Réunion', 'AFRO', '20', '754', '0', '5');
INSERT INTO public.who_import VALUES (72021, '2020-08-15', 'RE', 'Réunion', 'AFRO', '22', '776', '0', '5');
INSERT INTO public.who_import VALUES (72022, '2020-08-16', 'RE', 'Réunion', 'AFRO', '12', '788', '0', '5');
INSERT INTO public.who_import VALUES (72023, '2020-08-17', 'RE', 'Réunion', 'AFRO', '67', '855', '0', '5');
INSERT INTO public.who_import VALUES (72024, '2020-08-18', 'RE', 'Réunion', 'AFRO', '25', '880', '0', '5');
INSERT INTO public.who_import VALUES (72025, '2020-08-19', 'RE', 'Réunion', 'AFRO', '23', '903', '0', '5');
INSERT INTO public.who_import VALUES (72026, '2020-08-20', 'RE', 'Réunion', 'AFRO', '42', '945', '0', '5');
INSERT INTO public.who_import VALUES (72027, '2020-08-21', 'RE', 'Réunion', 'AFRO', '51', '996', '0', '5');
INSERT INTO public.who_import VALUES (72028, '2020-08-22', 'RE', 'Réunion', 'AFRO', '79', '1075', '0', '5');
INSERT INTO public.who_import VALUES (72029, '2020-08-23', 'RE', 'Réunion', 'AFRO', '42', '1117', '1', '6');
INSERT INTO public.who_import VALUES (72030, '2020-08-24', 'RE', 'Réunion', 'AFRO', '92', '1209', '0', '6');
INSERT INTO public.who_import VALUES (72031, '2020-08-25', 'RE', 'Réunion', 'AFRO', '35', '1244', '-4', '2');
INSERT INTO public.who_import VALUES (72032, '2020-08-26', 'RE', 'Réunion', 'AFRO', '48', '1292', '0', '2');
INSERT INTO public.who_import VALUES (72033, '2020-08-27', 'RE', 'Réunion', 'AFRO', '80', '1372', '0', '2');
INSERT INTO public.who_import VALUES (72034, '2020-08-28', 'RE', 'Réunion', 'AFRO', '38', '1410', '0', '2');
INSERT INTO public.who_import VALUES (72035, '2020-08-29', 'RE', 'Réunion', 'AFRO', '77', '1487', '0', '2');
INSERT INTO public.who_import VALUES (72036, '2020-08-30', 'RE', 'Réunion', 'AFRO', '70', '1557', '1', '3');
INSERT INTO public.who_import VALUES (72037, '2020-08-31', 'RE', 'Réunion', 'AFRO', '77', '1634', '1', '4');
INSERT INTO public.who_import VALUES (72038, '2020-09-01', 'RE', 'Réunion', 'AFRO', '45', '1679', '1', '5');
INSERT INTO public.who_import VALUES (72039, '2020-09-02', 'RE', 'Réunion', 'AFRO', '35', '1714', '0', '5');
INSERT INTO public.who_import VALUES (72040, '2020-09-03', 'RE', 'Réunion', 'AFRO', '82', '1796', '0', '5');
INSERT INTO public.who_import VALUES (72041, '2020-09-04', 'RE', 'Réunion', 'AFRO', '116', '1912', '0', '5');
INSERT INTO public.who_import VALUES (72042, '2020-09-05', 'RE', 'Réunion', 'AFRO', '90', '2002', '0', '5');
INSERT INTO public.who_import VALUES (72043, '2020-09-06', 'RE', 'Réunion', 'AFRO', '113', '2115', '1', '6');
INSERT INTO public.who_import VALUES (72044, '2020-09-07', 'RE', 'Réunion', 'AFRO', '107', '2222', '2', '8');
INSERT INTO public.who_import VALUES (72045, '2020-09-08', 'RE', 'Réunion', 'AFRO', '55', '2277', '0', '8');
INSERT INTO public.who_import VALUES (72046, '2020-09-09', 'RE', 'Réunion', 'AFRO', '69', '2346', '0', '8');
INSERT INTO public.who_import VALUES (72047, '2020-09-10', 'RE', 'Réunion', 'AFRO', '70', '2416', '1', '9');
INSERT INTO public.who_import VALUES (72048, '2020-09-11', 'RE', 'Réunion', 'AFRO', '94', '2510', '0', '9');
INSERT INTO public.who_import VALUES (72049, '2020-09-12', 'RE', 'Réunion', 'AFRO', '113', '2623', '0', '9');
INSERT INTO public.who_import VALUES (72050, '2020-09-13', 'RE', 'Réunion', 'AFRO', '100', '2723', '1', '10');
INSERT INTO public.who_import VALUES (72051, '2020-09-14', 'RE', 'Réunion', 'AFRO', '82', '2805', '0', '10');
INSERT INTO public.who_import VALUES (72052, '2020-09-15', 'RE', 'Réunion', 'AFRO', '67', '2872', '0', '10');
INSERT INTO public.who_import VALUES (72053, '2020-09-16', 'RE', 'Réunion', 'AFRO', '30', '2902', '0', '10');
INSERT INTO public.who_import VALUES (72054, '2020-09-17', 'RE', 'Réunion', 'AFRO', '100', '3002', '0', '10');
INSERT INTO public.who_import VALUES (72055, '2020-09-18', 'RE', 'Réunion', 'AFRO', '97', '3099', '0', '10');
INSERT INTO public.who_import VALUES (72056, '2020-09-19', 'RE', 'Réunion', 'AFRO', '95', '3194', '0', '10');
INSERT INTO public.who_import VALUES (72057, '2020-09-20', 'RE', 'Réunion', 'AFRO', '0', '3194', '0', '10');
INSERT INTO public.who_import VALUES (72058, '2020-09-21', 'RE', 'Réunion', 'AFRO', '0', '3194', '0', '10');
INSERT INTO public.who_import VALUES (72059, '2020-09-22', 'RE', 'Réunion', 'AFRO', '221', '3415', '1', '11');
INSERT INTO public.who_import VALUES (72060, '2020-09-23', 'RE', 'Réunion', 'AFRO', '0', '3415', '0', '11');
INSERT INTO public.who_import VALUES (72061, '2020-09-24', 'RE', 'Réunion', 'AFRO', '86', '3501', '0', '11');
INSERT INTO public.who_import VALUES (72062, '2020-09-25', 'RE', 'Réunion', 'AFRO', '0', '3501', '0', '11');
INSERT INTO public.who_import VALUES (72063, '2020-09-26', 'RE', 'Réunion', 'AFRO', '184', '3685', '0', '11');
INSERT INTO public.who_import VALUES (72064, '2020-09-27', 'RE', 'Réunion', 'AFRO', '0', '3685', '0', '11');
INSERT INTO public.who_import VALUES (72065, '2020-09-28', 'RE', 'Réunion', 'AFRO', '0', '3685', '0', '11');
INSERT INTO public.who_import VALUES (72066, '2020-09-29', 'RE', 'Réunion', 'AFRO', '197', '3882', '3', '14');
INSERT INTO public.who_import VALUES (72067, '2020-09-30', 'RE', 'Réunion', 'AFRO', '0', '3882', '0', '14');
INSERT INTO public.who_import VALUES (72068, '2020-10-01', 'RE', 'Réunion', 'AFRO', '111', '3993', '2', '16');
INSERT INTO public.who_import VALUES (72069, '2020-10-02', 'RE', 'Réunion', 'AFRO', '0', '3993', '0', '16');
INSERT INTO public.who_import VALUES (72070, '2020-10-03', 'RE', 'Réunion', 'AFRO', '185', '4178', '0', '16');
INSERT INTO public.who_import VALUES (72071, '2020-10-04', 'RE', 'Réunion', 'AFRO', '0', '4178', '0', '16');
INSERT INTO public.who_import VALUES (72072, '2020-10-05', 'RE', 'Réunion', 'AFRO', '0', '4178', '0', '16');
INSERT INTO public.who_import VALUES (72073, '2020-10-06', 'RE', 'Réunion', 'AFRO', '150', '4328', '0', '16');
INSERT INTO public.who_import VALUES (72074, '2020-10-07', 'RE', 'Réunion', 'AFRO', '0', '4328', '0', '16');
INSERT INTO public.who_import VALUES (72075, '2020-10-08', 'RE', 'Réunion', 'AFRO', '57', '4385', '0', '16');
INSERT INTO public.who_import VALUES (72076, '2020-10-09', 'RE', 'Réunion', 'AFRO', '0', '4385', '0', '16');
INSERT INTO public.who_import VALUES (72077, '2020-10-10', 'RE', 'Réunion', 'AFRO', '106', '4491', '0', '16');
INSERT INTO public.who_import VALUES (72078, '2020-10-11', 'RE', 'Réunion', 'AFRO', '0', '4491', '0', '16');
INSERT INTO public.who_import VALUES (72079, '2020-10-12', 'RE', 'Réunion', 'AFRO', '0', '4491', '0', '16');
INSERT INTO public.who_import VALUES (72080, '2020-10-13', 'RE', 'Réunion', 'AFRO', '133', '4624', '1', '17');
INSERT INTO public.who_import VALUES (72081, '2020-10-14', 'RE', 'Réunion', 'AFRO', '0', '4624', '0', '17');
INSERT INTO public.who_import VALUES (72082, '2020-10-15', 'RE', 'Réunion', 'AFRO', '54', '4678', '0', '17');
INSERT INTO public.who_import VALUES (72083, '2020-10-16', 'RE', 'Réunion', 'AFRO', '0', '4678', '0', '17');
INSERT INTO public.who_import VALUES (72084, '2020-10-17', 'RE', 'Réunion', 'AFRO', '98', '4776', '0', '17');
INSERT INTO public.who_import VALUES (72085, '2020-10-18', 'RE', 'Réunion', 'AFRO', '0', '4776', '0', '17');
INSERT INTO public.who_import VALUES (72086, '2020-10-19', 'RE', 'Réunion', 'AFRO', '0', '4776', '0', '17');
INSERT INTO public.who_import VALUES (72087, '2020-10-20', 'RE', 'Réunion', 'AFRO', '145', '4921', '0', '17');
INSERT INTO public.who_import VALUES (72088, '2020-10-21', 'RE', 'Réunion', 'AFRO', '0', '4921', '0', '17');
INSERT INTO public.who_import VALUES (72089, '2020-10-22', 'RE', 'Réunion', 'AFRO', '94', '5015', '2', '19');
INSERT INTO public.who_import VALUES (72090, '2020-10-23', 'RE', 'Réunion', 'AFRO', '0', '5015', '0', '19');
INSERT INTO public.who_import VALUES (72091, '2020-10-24', 'RE', 'Réunion', 'AFRO', '134', '5149', '1', '20');
INSERT INTO public.who_import VALUES (72092, '2020-10-25', 'RE', 'Réunion', 'AFRO', '0', '5149', '0', '20');
INSERT INTO public.who_import VALUES (72093, '2020-10-26', 'RE', 'Réunion', 'AFRO', '0', '5149', '0', '20');
INSERT INTO public.who_import VALUES (72094, '2020-10-27', 'RE', 'Réunion', 'AFRO', '212', '5361', '2', '22');
INSERT INTO public.who_import VALUES (72095, '2020-10-28', 'RE', 'Réunion', 'AFRO', '0', '5361', '0', '22');
INSERT INTO public.who_import VALUES (72096, '2020-10-29', 'RE', 'Réunion', 'AFRO', '111', '5472', '0', '22');
INSERT INTO public.who_import VALUES (72097, '2020-10-30', 'RE', 'Réunion', 'AFRO', '0', '5472', '0', '22');
INSERT INTO public.who_import VALUES (72098, '2020-10-31', 'RE', 'Réunion', 'AFRO', '187', '5659', '0', '22');
INSERT INTO public.who_import VALUES (72099, '2020-11-01', 'RE', 'Réunion', 'AFRO', '0', '5659', '0', '22');
INSERT INTO public.who_import VALUES (72100, '2020-11-02', 'RE', 'Réunion', 'AFRO', '0', '5659', '0', '22');
INSERT INTO public.who_import VALUES (72101, '2020-11-03', 'RE', 'Réunion', 'AFRO', '239', '5898', '4', '26');
INSERT INTO public.who_import VALUES (72102, '2020-11-04', 'RE', 'Réunion', 'AFRO', '0', '5898', '0', '26');
INSERT INTO public.who_import VALUES (72103, '2020-11-05', 'RE', 'Réunion', 'AFRO', '139', '6037', '0', '26');
INSERT INTO public.who_import VALUES (72104, '2020-11-06', 'RE', 'Réunion', 'AFRO', '0', '6037', '0', '26');
INSERT INTO public.who_import VALUES (72105, '2020-11-07', 'RE', 'Réunion', 'AFRO', '227', '6264', '1', '27');
INSERT INTO public.who_import VALUES (72106, '2020-11-08', 'RE', 'Réunion', 'AFRO', '0', '6264', '0', '27');
INSERT INTO public.who_import VALUES (72107, '2020-11-09', 'RE', 'Réunion', 'AFRO', '0', '6264', '0', '27');
INSERT INTO public.who_import VALUES (72108, '2020-11-10', 'RE', 'Réunion', 'AFRO', '308', '6572', '1', '28');
INSERT INTO public.who_import VALUES (72109, '2020-11-11', 'RE', 'Réunion', 'AFRO', '0', '6572', '0', '28');
INSERT INTO public.who_import VALUES (72110, '2020-11-12', 'RE', 'Réunion', 'AFRO', '163', '6735', '0', '28');
INSERT INTO public.who_import VALUES (72111, '2020-11-13', 'RE', 'Réunion', 'AFRO', '0', '6735', '0', '28');
INSERT INTO public.who_import VALUES (72112, '2020-11-14', 'RE', 'Réunion', 'AFRO', '146', '6881', '1', '29');
INSERT INTO public.who_import VALUES (72113, '2020-11-15', 'RE', 'Réunion', 'AFRO', '0', '6881', '0', '29');
INSERT INTO public.who_import VALUES (72114, '2020-11-16', 'RE', 'Réunion', 'AFRO', '0', '6881', '0', '29');
INSERT INTO public.who_import VALUES (72115, '2020-11-17', 'RE', 'Réunion', 'AFRO', '280', '7161', '2', '31');
INSERT INTO public.who_import VALUES (72116, '2020-11-18', 'RE', 'Réunion', 'AFRO', '0', '7161', '0', '31');
INSERT INTO public.who_import VALUES (72117, '2020-11-19', 'RE', 'Réunion', 'AFRO', '137', '7298', '3', '34');
INSERT INTO public.who_import VALUES (72118, '2020-11-20', 'RE', 'Réunion', 'AFRO', '0', '7298', '0', '34');
INSERT INTO public.who_import VALUES (72119, '2020-11-21', 'RE', 'Réunion', 'AFRO', '203', '7501', '1', '35');
INSERT INTO public.who_import VALUES (72120, '2020-11-22', 'RE', 'Réunion', 'AFRO', '0', '7501', '0', '35');
INSERT INTO public.who_import VALUES (72121, '2020-11-23', 'RE', 'Réunion', 'AFRO', '0', '7501', '0', '35');
INSERT INTO public.who_import VALUES (72122, '2020-11-24', 'RE', 'Réunion', 'AFRO', '188', '7689', '0', '35');
INSERT INTO public.who_import VALUES (72123, '2020-11-25', 'RE', 'Réunion', 'AFRO', '0', '7689', '0', '35');
INSERT INTO public.who_import VALUES (72124, '2020-11-26', 'RE', 'Réunion', 'AFRO', '147', '7836', '4', '39');
INSERT INTO public.who_import VALUES (72125, '2020-11-27', 'RE', 'Réunion', 'AFRO', '0', '7836', '0', '39');
INSERT INTO public.who_import VALUES (72126, '2020-11-28', 'RE', 'Réunion', 'AFRO', '104', '7940', '1', '40');
INSERT INTO public.who_import VALUES (72127, '2020-11-29', 'RE', 'Réunion', 'AFRO', '0', '7940', '0', '40');
INSERT INTO public.who_import VALUES (72128, '2020-11-30', 'RE', 'Réunion', 'AFRO', '114', '8054', '0', '40');
INSERT INTO public.who_import VALUES (72129, '2020-12-01', 'RE', 'Réunion', 'AFRO', '0', '8054', '0', '40');
INSERT INTO public.who_import VALUES (72130, '2020-12-02', 'RE', 'Réunion', 'AFRO', '48', '8102', '0', '40');
INSERT INTO public.who_import VALUES (72131, '2020-12-03', 'RE', 'Réunion', 'AFRO', '0', '8102', '0', '40');
INSERT INTO public.who_import VALUES (72132, '2020-12-04', 'RE', 'Réunion', 'AFRO', '0', '8102', '0', '40');
INSERT INTO public.who_import VALUES (72133, '2020-12-05', 'RE', 'Réunion', 'AFRO', '98', '8200', '1', '41');
INSERT INTO public.who_import VALUES (72134, '2020-12-06', 'RE', 'Réunion', 'AFRO', '0', '8200', '0', '41');
INSERT INTO public.who_import VALUES (72135, '2020-12-07', 'RE', 'Réunion', 'AFRO', '0', '8200', '0', '41');
INSERT INTO public.who_import VALUES (72136, '2020-12-08', 'RE', 'Réunion', 'AFRO', '94', '8294', '0', '41');
INSERT INTO public.who_import VALUES (72137, '2020-12-09', 'RE', 'Réunion', 'AFRO', '0', '8294', '0', '41');
INSERT INTO public.who_import VALUES (72138, '2020-12-10', 'RE', 'Réunion', 'AFRO', '51', '8345', '0', '41');
INSERT INTO public.who_import VALUES (72139, '2020-12-11', 'RE', 'Réunion', 'AFRO', '0', '8345', '0', '41');
INSERT INTO public.who_import VALUES (72140, '2020-12-12', 'RE', 'Réunion', 'AFRO', '0', '8345', '0', '41');
INSERT INTO public.who_import VALUES (72141, '2020-12-13', 'RE', 'Réunion', 'AFRO', '0', '8345', '0', '41');
INSERT INTO public.who_import VALUES (72142, '2020-12-14', 'RE', 'Réunion', 'AFRO', '0', '8345', '0', '41');
INSERT INTO public.who_import VALUES (72143, '2020-12-15', 'RE', 'Réunion', 'AFRO', '189', '8534', '1', '42');
INSERT INTO public.who_import VALUES (72144, '2020-12-16', 'RE', 'Réunion', 'AFRO', '0', '8534', '0', '42');
INSERT INTO public.who_import VALUES (72145, '2020-12-17', 'RE', 'Réunion', 'AFRO', '54', '8588', '0', '42');
INSERT INTO public.who_import VALUES (72146, '2020-12-18', 'RE', 'Réunion', 'AFRO', '0', '8588', '0', '42');
INSERT INTO public.who_import VALUES (72147, '2020-12-19', 'RE', 'Réunion', 'AFRO', '116', '8704', '0', '42');
INSERT INTO public.who_import VALUES (72148, '2020-12-20', 'RE', 'Réunion', 'AFRO', '0', '8704', '0', '42');
INSERT INTO public.who_import VALUES (72149, '2020-12-21', 'RE', 'Réunion', 'AFRO', '0', '8704', '0', '42');
INSERT INTO public.who_import VALUES (72150, '2020-12-22', 'RE', 'Réunion', 'AFRO', '97', '8801', '0', '42');
INSERT INTO public.who_import VALUES (72151, '2020-12-23', 'RE', 'Réunion', 'AFRO', '0', '8801', '0', '42');
INSERT INTO public.who_import VALUES (72152, '2020-12-24', 'RE', 'Réunion', 'AFRO', '45', '8846', '0', '42');
INSERT INTO public.who_import VALUES (72153, '2020-12-25', 'RE', 'Réunion', 'AFRO', '0', '8846', '0', '42');
INSERT INTO public.who_import VALUES (72154, '2020-12-26', 'RE', 'Réunion', 'AFRO', '63', '8909', '0', '42');
INSERT INTO public.who_import VALUES (72155, '2020-12-27', 'RE', 'Réunion', 'AFRO', '0', '8909', '0', '42');
INSERT INTO public.who_import VALUES (72156, '2020-12-28', 'RE', 'Réunion', 'AFRO', '0', '8909', '0', '42');
INSERT INTO public.who_import VALUES (72157, '2020-12-29', 'RE', 'Réunion', 'AFRO', '27', '8936', '0', '42');
INSERT INTO public.who_import VALUES (72158, '2020-12-30', 'RE', 'Réunion', 'AFRO', '36', '8972', '0', '42');
INSERT INTO public.who_import VALUES (72159, '2020-12-31', 'RE', 'Réunion', 'AFRO', '0', '8972', '0', '42');
INSERT INTO public.who_import VALUES (72160, '2021-01-01', 'RE', 'Réunion', 'AFRO', '65', '9037', '0', '42');
INSERT INTO public.who_import VALUES (72161, '2021-01-02', 'RE', 'Réunion', 'AFRO', '0', '9037', '0', '42');
INSERT INTO public.who_import VALUES (72162, '2021-01-03', 'RE', 'Réunion', 'AFRO', '0', '9037', '0', '42');
INSERT INTO public.who_import VALUES (72163, '2021-01-04', 'RE', 'Réunion', 'AFRO', '0', '9037', '0', '42');
INSERT INTO public.who_import VALUES (72164, '2021-01-05', 'RE', 'Réunion', 'AFRO', '81', '9118', '0', '42');
INSERT INTO public.who_import VALUES (72165, '2021-01-06', 'RE', 'Réunion', 'AFRO', '0', '9118', '0', '42');
INSERT INTO public.who_import VALUES (72166, '2021-01-07', 'RE', 'Réunion', 'AFRO', '55', '9173', '0', '42');
INSERT INTO public.who_import VALUES (72167, '2021-01-08', 'RE', 'Réunion', 'AFRO', '0', '9173', '0', '42');
INSERT INTO public.who_import VALUES (72168, '2021-01-09', 'RE', 'Réunion', 'AFRO', '74', '9247', '0', '42');
INSERT INTO public.who_import VALUES (72169, '2021-01-10', 'RE', 'Réunion', 'AFRO', '0', '9247', '0', '42');
INSERT INTO public.who_import VALUES (72170, '2021-01-11', 'RE', 'Réunion', 'AFRO', '112', '9359', '0', '42');
INSERT INTO public.who_import VALUES (72171, '2021-01-12', 'RE', 'Réunion', 'AFRO', '0', '9359', '0', '42');
INSERT INTO public.who_import VALUES (72172, '2021-01-13', 'RE', 'Réunion', 'AFRO', '0', '9359', '0', '42');
INSERT INTO public.who_import VALUES (72173, '2021-01-14', 'RE', 'Réunion', 'AFRO', '47', '9406', '0', '42');
INSERT INTO public.who_import VALUES (72174, '2021-01-15', 'RE', 'Réunion', 'AFRO', '0', '9406', '0', '42');
INSERT INTO public.who_import VALUES (72175, '2021-01-16', 'RE', 'Réunion', 'AFRO', '37', '9443', '3', '45');
INSERT INTO public.who_import VALUES (72176, '2021-01-17', 'RE', 'Réunion', 'AFRO', '0', '9443', '0', '45');
INSERT INTO public.who_import VALUES (72177, '2021-01-18', 'RE', 'Réunion', 'AFRO', '0', '9443', '0', '45');
INSERT INTO public.who_import VALUES (72178, '2021-01-19', 'RE', 'Réunion', 'AFRO', '109', '9552', '0', '45');
INSERT INTO public.who_import VALUES (72179, '2021-01-20', 'RE', 'Réunion', 'AFRO', '0', '9552', '0', '45');
INSERT INTO public.who_import VALUES (72180, '2021-01-21', 'RE', 'Réunion', 'AFRO', '32', '9584', '0', '45');
INSERT INTO public.who_import VALUES (72181, '2021-01-22', 'RE', 'Réunion', 'AFRO', '0', '9584', '0', '45');
INSERT INTO public.who_import VALUES (72182, '2021-01-23', 'RE', 'Réunion', 'AFRO', '117', '9701', '0', '45');
INSERT INTO public.who_import VALUES (72183, '2021-01-24', 'RE', 'Réunion', 'AFRO', '0', '9701', '0', '45');
INSERT INTO public.who_import VALUES (72184, '2021-01-25', 'RE', 'Réunion', 'AFRO', '0', '9701', '0', '45');
INSERT INTO public.who_import VALUES (72185, '2021-01-26', 'RE', 'Réunion', 'AFRO', '142', '9843', '0', '45');
INSERT INTO public.who_import VALUES (72186, '2021-01-27', 'RE', 'Réunion', 'AFRO', '0', '9843', '0', '45');
INSERT INTO public.who_import VALUES (72187, '2021-01-28', 'RE', 'Réunion', 'AFRO', '61', '9904', '0', '45');
INSERT INTO public.who_import VALUES (72188, '2021-01-29', 'RE', 'Réunion', 'AFRO', '0', '9904', '0', '45');
INSERT INTO public.who_import VALUES (72189, '2021-01-30', 'RE', 'Réunion', 'AFRO', '92', '9996', '1', '46');
INSERT INTO public.who_import VALUES (72190, '2021-01-31', 'RE', 'Réunion', 'AFRO', '0', '9996', '0', '46');
INSERT INTO public.who_import VALUES (72191, '2021-02-01', 'RE', 'Réunion', 'AFRO', '0', '9996', '0', '46');
INSERT INTO public.who_import VALUES (72192, '2021-02-02', 'RE', 'Réunion', 'AFRO', '198', '10194', '0', '46');
INSERT INTO public.who_import VALUES (72193, '2021-02-03', 'RE', 'Réunion', 'AFRO', '0', '10194', '0', '46');
INSERT INTO public.who_import VALUES (72194, '2021-02-04', 'RE', 'Réunion', 'AFRO', '136', '10330', '1', '47');
INSERT INTO public.who_import VALUES (72195, '2021-02-05', 'RE', 'Réunion', 'AFRO', '0', '10330', '0', '47');
INSERT INTO public.who_import VALUES (72196, '2021-02-06', 'RE', 'Réunion', 'AFRO', '157', '10487', '0', '47');
INSERT INTO public.who_import VALUES (72197, '2021-02-07', 'RE', 'Réunion', 'AFRO', '0', '10487', '0', '47');
INSERT INTO public.who_import VALUES (72198, '2021-02-08', 'RE', 'Réunion', 'AFRO', '0', '10487', '0', '47');
INSERT INTO public.who_import VALUES (72199, '2021-02-09', 'RE', 'Réunion', 'AFRO', '0', '10487', '0', '47');
INSERT INTO public.who_import VALUES (72200, '2021-02-10', 'RE', 'Réunion', 'AFRO', '0', '10487', '0', '47');
INSERT INTO public.who_import VALUES (72201, '2021-02-11', 'RE', 'Réunion', 'AFRO', '420', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72202, '2021-02-12', 'RE', 'Réunion', 'AFRO', '0', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72203, '2021-02-13', 'RE', 'Réunion', 'AFRO', '0', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72204, '2021-02-14', 'RE', 'Réunion', 'AFRO', '0', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72205, '2021-02-15', 'RE', 'Réunion', 'AFRO', '0', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72206, '2021-02-16', 'RE', 'Réunion', 'AFRO', '0', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72207, '2021-02-17', 'RE', 'Réunion', 'AFRO', '0', '10907', '0', '47');
INSERT INTO public.who_import VALUES (72208, '2021-02-18', 'RE', 'Réunion', 'AFRO', '655', '11562', '1', '48');
INSERT INTO public.who_import VALUES (72209, '2021-02-19', 'RE', 'Réunion', 'AFRO', '0', '11562', '0', '48');
INSERT INTO public.who_import VALUES (72210, '2021-02-20', 'RE', 'Réunion', 'AFRO', '0', '11562', '0', '48');
INSERT INTO public.who_import VALUES (72211, '2020-01-03', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72212, '2020-01-04', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72213, '2020-01-05', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72214, '2020-01-06', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72215, '2020-01-07', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72216, '2020-01-08', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72217, '2020-01-09', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72218, '2020-01-10', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72219, '2020-01-11', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72220, '2020-01-12', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72221, '2020-01-13', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72227, '2020-01-19', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72228, '2020-01-20', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72229, '2020-01-21', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72230, '2020-01-22', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72231, '2020-01-23', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72232, '2020-01-24', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72233, '2020-01-25', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72234, '2020-01-26', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72235, '2020-01-27', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72236, '2020-01-28', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72237, '2020-01-29', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72238, '2020-01-30', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72239, '2020-01-31', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72240, '2020-02-01', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72241, '2020-02-02', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72242, '2020-02-03', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72243, '2020-02-04', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72244, '2020-02-05', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72245, '2020-02-06', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72246, '2020-02-07', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72247, '2020-02-08', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72248, '2020-02-09', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72249, '2020-02-10', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72250, '2020-02-11', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72251, '2020-02-12', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72252, '2020-02-13', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72253, '2020-02-14', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72254, '2020-02-15', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72255, '2020-02-16', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72256, '2020-02-17', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72257, '2020-02-18', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72258, '2020-02-19', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72259, '2020-02-20', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72260, '2020-02-21', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72261, '2020-02-22', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72262, '2020-02-23', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72263, '2020-02-24', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72264, '2020-02-25', 'RO', 'Romania', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72265, '2020-02-26', 'RO', 'Romania', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (72266, '2020-02-27', 'RO', 'Romania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (72267, '2020-02-28', 'RO', 'Romania', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (72268, '2020-02-29', 'RO', 'Romania', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (72269, '2020-03-01', 'RO', 'Romania', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (72270, '2020-03-02', 'RO', 'Romania', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (72271, '2020-03-03', 'RO', 'Romania', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (72272, '2020-03-04', 'RO', 'Romania', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (72273, '2020-03-05', 'RO', 'Romania', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (72274, '2020-03-06', 'RO', 'Romania', 'EURO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (72275, '2020-03-07', 'RO', 'Romania', 'EURO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (72276, '2020-03-08', 'RO', 'Romania', 'EURO', '6', '13', '0', '0');
INSERT INTO public.who_import VALUES (72277, '2020-03-09', 'RO', 'Romania', 'EURO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (72278, '2020-03-10', 'RO', 'Romania', 'EURO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (72279, '2020-03-11', 'RO', 'Romania', 'EURO', '8', '25', '0', '0');
INSERT INTO public.who_import VALUES (72280, '2020-03-12', 'RO', 'Romania', 'EURO', '20', '45', '0', '0');
INSERT INTO public.who_import VALUES (72281, '2020-03-13', 'RO', 'Romania', 'EURO', '19', '64', '0', '0');
INSERT INTO public.who_import VALUES (72282, '2020-03-14', 'RO', 'Romania', 'EURO', '25', '89', '0', '0');
INSERT INTO public.who_import VALUES (72283, '2020-03-15', 'RO', 'Romania', 'EURO', '24', '113', '0', '0');
INSERT INTO public.who_import VALUES (72284, '2020-03-16', 'RO', 'Romania', 'EURO', '26', '139', '0', '0');
INSERT INTO public.who_import VALUES (72285, '2020-03-17', 'RO', 'Romania', 'EURO', '45', '184', '0', '0');
INSERT INTO public.who_import VALUES (72286, '2020-03-18', 'RO', 'Romania', 'EURO', '33', '217', '0', '0');
INSERT INTO public.who_import VALUES (72287, '2020-03-19', 'RO', 'Romania', 'EURO', '43', '260', '0', '0');
INSERT INTO public.who_import VALUES (72288, '2020-03-20', 'RO', 'Romania', 'EURO', '17', '277', '0', '0');
INSERT INTO public.who_import VALUES (72289, '2020-03-21', 'RO', 'Romania', 'EURO', '31', '308', '0', '0');
INSERT INTO public.who_import VALUES (72290, '2020-03-22', 'RO', 'Romania', 'EURO', '59', '367', '0', '0');
INSERT INTO public.who_import VALUES (72291, '2020-03-23', 'RO', 'Romania', 'EURO', '66', '433', '2', '2');
INSERT INTO public.who_import VALUES (72292, '2020-03-24', 'RO', 'Romania', 'EURO', '143', '576', '5', '7');
INSERT INTO public.who_import VALUES (72293, '2020-03-25', 'RO', 'Romania', 'EURO', '186', '762', '4', '11');
INSERT INTO public.who_import VALUES (72294, '2020-03-26', 'RO', 'Romania', 'EURO', '144', '906', '2', '13');
INSERT INTO public.who_import VALUES (72295, '2020-03-27', 'RO', 'Romania', 'EURO', '123', '1029', '4', '17');
INSERT INTO public.who_import VALUES (72296, '2020-03-28', 'RO', 'Romania', 'EURO', '263', '1292', '7', '24');
INSERT INTO public.who_import VALUES (72297, '2020-03-29', 'RO', 'Romania', 'EURO', '160', '1452', '5', '29');
INSERT INTO public.who_import VALUES (72298, '2020-03-30', 'RO', 'Romania', 'EURO', '308', '1760', '11', '40');
INSERT INTO public.who_import VALUES (72299, '2020-03-31', 'RO', 'Romania', 'EURO', '192', '1952', '4', '44');
INSERT INTO public.who_import VALUES (72300, '2020-04-01', 'RO', 'Romania', 'EURO', '293', '2245', '25', '69');
INSERT INTO public.who_import VALUES (72301, '2020-04-02', 'RO', 'Romania', 'EURO', '215', '2460', '16', '85');
INSERT INTO public.who_import VALUES (72302, '2020-04-03', 'RO', 'Romania', 'EURO', '278', '2738', '9', '94');
INSERT INTO public.who_import VALUES (72303, '2020-04-04', 'RO', 'Romania', 'EURO', '445', '3183', '39', '133');
INSERT INTO public.who_import VALUES (72304, '2020-04-05', 'RO', 'Romania', 'EURO', '430', '3613', '8', '141');
INSERT INTO public.who_import VALUES (72305, '2020-04-06', 'RO', 'Romania', 'EURO', '251', '3864', '7', '148');
INSERT INTO public.who_import VALUES (72306, '2020-04-07', 'RO', 'Romania', 'EURO', '193', '4057', '9', '157');
INSERT INTO public.who_import VALUES (72307, '2020-04-08', 'RO', 'Romania', 'EURO', '360', '4417', '25', '182');
INSERT INTO public.who_import VALUES (72308, '2020-04-09', 'RO', 'Romania', 'EURO', '344', '4761', '27', '209');
INSERT INTO public.who_import VALUES (72309, '2020-04-10', 'RO', 'Romania', 'EURO', '441', '5202', '20', '229');
INSERT INTO public.who_import VALUES (72310, '2020-04-11', 'RO', 'Romania', 'EURO', '265', '5467', '28', '257');
INSERT INTO public.who_import VALUES (72311, '2020-04-12', 'RO', 'Romania', 'EURO', '523', '5990', '25', '282');
INSERT INTO public.who_import VALUES (72312, '2020-04-13', 'RO', 'Romania', 'EURO', '310', '6300', '24', '306');
INSERT INTO public.who_import VALUES (72313, '2020-04-14', 'RO', 'Romania', 'EURO', '333', '6633', '12', '318');
INSERT INTO public.who_import VALUES (72314, '2020-04-15', 'RO', 'Romania', 'EURO', '246', '6879', '26', '344');
INSERT INTO public.who_import VALUES (72315, '2020-04-16', 'RO', 'Romania', 'EURO', '337', '7216', '28', '372');
INSERT INTO public.who_import VALUES (72316, '2020-04-17', 'RO', 'Romania', 'EURO', '491', '7707', '15', '387');
INSERT INTO public.who_import VALUES (72317, '2020-04-18', 'RO', 'Romania', 'EURO', '360', '8067', '13', '400');
INSERT INTO public.who_import VALUES (72318, '2020-04-19', 'RO', 'Romania', 'EURO', '351', '8418', '17', '417');
INSERT INTO public.who_import VALUES (72319, '2020-04-20', 'RO', 'Romania', 'EURO', '328', '8746', '17', '434');
INSERT INTO public.who_import VALUES (72320, '2020-04-21', 'RO', 'Romania', 'EURO', '190', '8936', '17', '451');
INSERT INTO public.who_import VALUES (72321, '2020-04-22', 'RO', 'Romania', 'EURO', '306', '9242', '32', '483');
INSERT INTO public.who_import VALUES (72322, '2020-04-23', 'RO', 'Romania', 'EURO', '468', '9710', '25', '508');
INSERT INTO public.who_import VALUES (72323, '2020-04-24', 'RO', 'Romania', 'EURO', '386', '10096', '19', '527');
INSERT INTO public.who_import VALUES (72324, '2020-04-25', 'RO', 'Romania', 'EURO', '321', '10417', '25', '552');
INSERT INTO public.who_import VALUES (72325, '2020-04-26', 'RO', 'Romania', 'EURO', '218', '10635', '23', '575');
INSERT INTO public.who_import VALUES (72326, '2020-04-27', 'RO', 'Romania', 'EURO', '401', '11036', '33', '608');
INSERT INTO public.who_import VALUES (72327, '2020-04-28', 'RO', 'Romania', 'EURO', '303', '11339', '23', '631');
INSERT INTO public.who_import VALUES (72328, '2020-04-29', 'RO', 'Romania', 'EURO', '277', '11616', '19', '650');
INSERT INTO public.who_import VALUES (72329, '2020-04-30', 'RO', 'Romania', 'EURO', '362', '11978', '25', '675');
INSERT INTO public.who_import VALUES (72330, '2020-05-01', 'RO', 'Romania', 'EURO', '262', '12240', '42', '717');
INSERT INTO public.who_import VALUES (72331, '2020-05-02', 'RO', 'Romania', 'EURO', '327', '12567', '27', '744');
INSERT INTO public.who_import VALUES (72332, '2020-05-03', 'RO', 'Romania', 'EURO', '165', '12732', '27', '771');
INSERT INTO public.who_import VALUES (72333, '2020-05-04', 'RO', 'Romania', 'EURO', '431', '13163', '9', '780');
INSERT INTO public.who_import VALUES (72334, '2020-05-05', 'RO', 'Romania', 'EURO', '349', '13512', '23', '803');
INSERT INTO public.who_import VALUES (72335, '2020-05-06', 'RO', 'Romania', 'EURO', '325', '13837', '24', '827');
INSERT INTO public.who_import VALUES (72336, '2020-05-07', 'RO', 'Romania', 'EURO', '270', '14107', '31', '858');
INSERT INTO public.who_import VALUES (72337, '2020-05-08', 'RO', 'Romania', 'EURO', '392', '14499', '18', '876');
INSERT INTO public.who_import VALUES (72338, '2020-05-09', 'RO', 'Romania', 'EURO', '312', '14811', '22', '898');
INSERT INTO public.who_import VALUES (72339, '2020-05-10', 'RO', 'Romania', 'EURO', '320', '15131', '28', '926');
INSERT INTO public.who_import VALUES (72340, '2020-05-11', 'RO', 'Romania', 'EURO', '231', '15362', '26', '952');
INSERT INTO public.who_import VALUES (72341, '2020-05-12', 'RO', 'Romania', 'EURO', '226', '15588', '20', '972');
INSERT INTO public.who_import VALUES (72342, '2020-05-13', 'RO', 'Romania', 'EURO', '190', '15778', '30', '1002');
INSERT INTO public.who_import VALUES (72343, '2020-05-14', 'RO', 'Romania', 'EURO', '224', '16002', '14', '1016');
INSERT INTO public.who_import VALUES (72344, '2020-05-15', 'RO', 'Romania', 'EURO', '245', '16247', '30', '1046');
INSERT INTO public.who_import VALUES (72345, '2020-05-16', 'RO', 'Romania', 'EURO', '190', '16437', '10', '1056');
INSERT INTO public.who_import VALUES (72346, '2020-05-17', 'RO', 'Romania', 'EURO', '267', '16704', '25', '1081');
INSERT INTO public.who_import VALUES (72347, '2020-05-18', 'RO', 'Romania', 'EURO', '167', '16871', '16', '1097');
INSERT INTO public.who_import VALUES (72348, '2020-05-19', 'RO', 'Romania', 'EURO', '165', '17036', '10', '1107');
INSERT INTO public.who_import VALUES (72349, '2020-05-20', 'RO', 'Romania', 'EURO', '155', '17191', '19', '1126');
INSERT INTO public.who_import VALUES (72350, '2020-05-21', 'RO', 'Romania', 'EURO', '196', '17387', '15', '1141');
INSERT INTO public.who_import VALUES (72351, '2020-05-22', 'RO', 'Romania', 'EURO', '198', '17585', '10', '1151');
INSERT INTO public.who_import VALUES (72352, '2020-05-23', 'RO', 'Romania', 'EURO', '127', '17712', '8', '1159');
INSERT INTO public.who_import VALUES (72353, '2020-05-24', 'RO', 'Romania', 'EURO', '145', '17857', '11', '1170');
INSERT INTO public.who_import VALUES (72354, '2020-05-25', 'RO', 'Romania', 'EURO', '213', '18070', '9', '1179');
INSERT INTO public.who_import VALUES (72355, '2020-05-26', 'RO', 'Romania', 'EURO', '213', '18283', '18', '1197');
INSERT INTO public.who_import VALUES (72356, '2020-05-27', 'RO', 'Romania', 'EURO', '146', '18429', '13', '1210');
INSERT INTO public.who_import VALUES (72357, '2020-05-28', 'RO', 'Romania', 'EURO', '165', '18594', '9', '1219');
INSERT INTO public.who_import VALUES (72358, '2020-05-29', 'RO', 'Romania', 'EURO', '197', '18791', '10', '1229');
INSERT INTO public.who_import VALUES (72359, '2020-05-30', 'RO', 'Romania', 'EURO', '191', '18982', '11', '1240');
INSERT INTO public.who_import VALUES (72360, '2020-05-31', 'RO', 'Romania', 'EURO', '151', '19133', '13', '1253');
INSERT INTO public.who_import VALUES (72361, '2020-06-01', 'RO', 'Romania', 'EURO', '124', '19257', '9', '1262');
INSERT INTO public.who_import VALUES (72362, '2020-06-02', 'RO', 'Romania', 'EURO', '141', '19398', '17', '1279');
INSERT INTO public.who_import VALUES (72363, '2020-06-03', 'RO', 'Romania', 'EURO', '119', '19517', '0', '1279');
INSERT INTO public.who_import VALUES (72364, '2020-06-04', 'RO', 'Romania', 'EURO', '152', '19669', '9', '1288');
INSERT INTO public.who_import VALUES (72365, '2020-06-05', 'RO', 'Romania', 'EURO', '238', '19907', '11', '1299');
INSERT INTO public.who_import VALUES (72366, '2020-06-06', 'RO', 'Romania', 'EURO', '196', '20103', '9', '1308');
INSERT INTO public.who_import VALUES (72367, '2020-06-07', 'RO', 'Romania', 'EURO', '187', '20290', '10', '1318');
INSERT INTO public.who_import VALUES (72368, '2020-06-08', 'RO', 'Romania', 'EURO', '189', '20479', '8', '1326');
INSERT INTO public.who_import VALUES (72369, '2020-06-09', 'RO', 'Romania', 'EURO', '125', '20604', '8', '1334');
INSERT INTO public.who_import VALUES (72370, '2020-06-10', 'RO', 'Romania', 'EURO', '145', '20749', '11', '1345');
INSERT INTO public.who_import VALUES (72371, '2020-06-11', 'RO', 'Romania', 'EURO', '196', '20945', '15', '1360');
INSERT INTO public.who_import VALUES (72372, '2020-06-12', 'RO', 'Romania', 'EURO', '237', '21182', '9', '1369');
INSERT INTO public.who_import VALUES (72373, '2020-06-13', 'RO', 'Romania', 'EURO', '222', '21404', '11', '1380');
INSERT INTO public.who_import VALUES (72374, '2020-06-14', 'RO', 'Romania', 'EURO', '275', '21679', '11', '1391');
INSERT INTO public.who_import VALUES (72375, '2020-06-15', 'RO', 'Romania', 'EURO', '320', '21999', '19', '1410');
INSERT INTO public.who_import VALUES (72376, '2020-06-16', 'RO', 'Romania', 'EURO', '166', '22165', '17', '1427');
INSERT INTO public.who_import VALUES (72377, '2020-06-17', 'RO', 'Romania', 'EURO', '250', '22415', '10', '1437');
INSERT INTO public.who_import VALUES (72378, '2020-06-18', 'RO', 'Romania', 'EURO', '345', '22760', '14', '1451');
INSERT INTO public.who_import VALUES (72379, '2020-06-19', 'RO', 'Romania', 'EURO', '320', '23080', '22', '1473');
INSERT INTO public.who_import VALUES (72380, '2020-06-20', 'RO', 'Romania', 'EURO', '320', '23400', '11', '1484');
INSERT INTO public.who_import VALUES (72381, '2020-06-21', 'RO', 'Romania', 'EURO', '330', '23730', '16', '1500');
INSERT INTO public.who_import VALUES (72382, '2020-06-22', 'RO', 'Romania', 'EURO', '315', '24045', '12', '1512');
INSERT INTO public.who_import VALUES (72383, '2020-06-23', 'RO', 'Romania', 'EURO', '246', '24291', '11', '1523');
INSERT INTO public.who_import VALUES (72384, '2020-06-24', 'RO', 'Romania', 'EURO', '214', '24505', '16', '1539');
INSERT INTO public.who_import VALUES (72385, '2020-06-25', 'RO', 'Romania', 'EURO', '321', '24826', '16', '1555');
INSERT INTO public.who_import VALUES (72386, '2020-06-26', 'RO', 'Romania', 'EURO', '460', '25286', '10', '1565');
INSERT INTO public.who_import VALUES (72387, '2020-06-27', 'RO', 'Romania', 'EURO', '411', '25697', '14', '1579');
INSERT INTO public.who_import VALUES (72388, '2020-06-28', 'RO', 'Romania', 'EURO', '325', '26022', '10', '1589');
INSERT INTO public.who_import VALUES (72389, '2020-06-29', 'RO', 'Romania', 'EURO', '291', '26313', '23', '1612');
INSERT INTO public.who_import VALUES (72390, '2020-06-30', 'RO', 'Romania', 'EURO', '269', '26582', '22', '1634');
INSERT INTO public.who_import VALUES (72391, '2020-07-01', 'RO', 'Romania', 'EURO', '388', '26970', '17', '1651');
INSERT INTO public.who_import VALUES (72392, '2020-07-02', 'RO', 'Romania', 'EURO', '326', '27296', '16', '1667');
INSERT INTO public.who_import VALUES (72393, '2020-07-03', 'RO', 'Romania', 'EURO', '450', '27746', '20', '1687');
INSERT INTO public.who_import VALUES (72394, '2020-07-04', 'RO', 'Romania', 'EURO', '420', '28166', '21', '1708');
INSERT INTO public.who_import VALUES (72395, '2020-07-05', 'RO', 'Romania', 'EURO', '416', '28582', '23', '1731');
INSERT INTO public.who_import VALUES (72396, '2020-07-06', 'RO', 'Romania', 'EURO', '391', '28973', '19', '1750');
INSERT INTO public.who_import VALUES (72397, '2020-07-07', 'RO', 'Romania', 'EURO', '250', '29223', '18', '1768');
INSERT INTO public.who_import VALUES (72398, '2020-07-08', 'RO', 'Romania', 'EURO', '397', '29620', '31', '1799');
INSERT INTO public.who_import VALUES (72399, '2020-07-09', 'RO', 'Romania', 'EURO', '555', '30175', '18', '1817');
INSERT INTO public.who_import VALUES (72400, '2020-07-10', 'RO', 'Romania', 'EURO', '614', '30789', '17', '1834');
INSERT INTO public.who_import VALUES (72401, '2020-07-11', 'RO', 'Romania', 'EURO', '592', '31381', '13', '1847');
INSERT INTO public.who_import VALUES (72402, '2020-07-12', 'RO', 'Romania', 'EURO', '698', '32079', '24', '1871');
INSERT INTO public.who_import VALUES (72403, '2020-07-13', 'RO', 'Romania', 'EURO', '456', '32535', '13', '1884');
INSERT INTO public.who_import VALUES (72404, '2020-07-14', 'RO', 'Romania', 'EURO', '413', '32948', '17', '1901');
INSERT INTO public.who_import VALUES (72405, '2020-07-15', 'RO', 'Romania', 'EURO', '637', '33585', '30', '1931');
INSERT INTO public.who_import VALUES (72406, '2020-07-16', 'RO', 'Romania', 'EURO', '641', '34226', '21', '1952');
INSERT INTO public.who_import VALUES (72407, '2020-07-17', 'RO', 'Romania', 'EURO', '777', '35003', '19', '1971');
INSERT INTO public.who_import VALUES (72408, '2020-07-18', 'RO', 'Romania', 'EURO', '799', '35802', '17', '1988');
INSERT INTO public.who_import VALUES (72409, '2020-07-19', 'RO', 'Romania', 'EURO', '889', '36691', '21', '2009');
INSERT INTO public.who_import VALUES (72410, '2020-07-20', 'RO', 'Romania', 'EURO', '767', '37458', '17', '2026');
INSERT INTO public.who_import VALUES (72411, '2020-07-21', 'RO', 'Romania', 'EURO', '681', '38139', '12', '2038');
INSERT INTO public.who_import VALUES (72412, '2020-07-22', 'RO', 'Romania', 'EURO', '994', '39133', '36', '2074');
INSERT INTO public.who_import VALUES (72413, '2020-07-23', 'RO', 'Romania', 'EURO', '1030', '40163', '27', '2101');
INSERT INTO public.who_import VALUES (72414, '2020-07-24', 'RO', 'Romania', 'EURO', '1112', '41275', '25', '2126');
INSERT INTO public.who_import VALUES (72415, '2020-07-25', 'RO', 'Romania', 'EURO', '1119', '42394', '24', '2150');
INSERT INTO public.who_import VALUES (72416, '2020-07-26', 'RO', 'Romania', 'EURO', '1284', '43678', '15', '2165');
INSERT INTO public.who_import VALUES (72417, '2020-07-27', 'RO', 'Romania', 'EURO', '1120', '44798', '22', '2187');
INSERT INTO public.who_import VALUES (72418, '2020-07-28', 'RO', 'Romania', 'EURO', '1104', '45902', '19', '2206');
INSERT INTO public.who_import VALUES (72419, '2020-07-29', 'RO', 'Romania', 'EURO', '1151', '47053', '33', '2239');
INSERT INTO public.who_import VALUES (72420, '2020-07-30', 'RO', 'Romania', 'EURO', '1182', '48235', '30', '2269');
INSERT INTO public.who_import VALUES (72421, '2020-07-31', 'RO', 'Romania', 'EURO', '1356', '49591', '35', '2304');
INSERT INTO public.who_import VALUES (72422, '2020-08-01', 'RO', 'Romania', 'EURO', '1295', '50886', '39', '2343');
INSERT INTO public.who_import VALUES (72423, '2020-08-02', 'RO', 'Romania', 'EURO', '1225', '52111', '36', '2379');
INSERT INTO public.who_import VALUES (72424, '2020-08-03', 'RO', 'Romania', 'EURO', '1075', '53186', '34', '2413');
INSERT INTO public.who_import VALUES (72425, '2020-08-04', 'RO', 'Romania', 'EURO', '823', '54009', '19', '2432');
INSERT INTO public.who_import VALUES (72426, '2020-08-05', 'RO', 'Romania', 'EURO', '1232', '55241', '48', '2480');
INSERT INTO public.who_import VALUES (72427, '2020-08-06', 'RO', 'Romania', 'EURO', '1309', '56550', '41', '2521');
INSERT INTO public.who_import VALUES (72428, '2020-08-07', 'RO', 'Romania', 'EURO', '1345', '57895', '45', '2566');
INSERT INTO public.who_import VALUES (72429, '2020-08-08', 'RO', 'Romania', 'EURO', '1378', '59273', '50', '2616');
INSERT INTO public.who_import VALUES (72430, '2020-08-09', 'RO', 'Romania', 'EURO', '1350', '60623', '43', '2659');
INSERT INTO public.who_import VALUES (72431, '2020-08-10', 'RO', 'Romania', 'EURO', '1145', '61768', '41', '2700');
INSERT INTO public.who_import VALUES (72432, '2020-08-11', 'RO', 'Romania', 'EURO', '779', '62547', '29', '2729');
INSERT INTO public.who_import VALUES (72433, '2020-08-12', 'RO', 'Romania', 'EURO', '1215', '63762', '35', '2764');
INSERT INTO public.who_import VALUES (72434, '2020-08-13', 'RO', 'Romania', 'EURO', '1415', '65177', '43', '2807');
INSERT INTO public.who_import VALUES (72435, '2020-08-14', 'RO', 'Romania', 'EURO', '1454', '66631', '53', '2860');
INSERT INTO public.who_import VALUES (72436, '2020-08-15', 'RO', 'Romania', 'EURO', '1415', '68046', '44', '2904');
INSERT INTO public.who_import VALUES (72437, '2020-08-16', 'RO', 'Romania', 'EURO', '1328', '69374', '50', '2954');
INSERT INTO public.who_import VALUES (72438, '2020-08-17', 'RO', 'Romania', 'EURO', '1087', '70461', '37', '2991');
INSERT INTO public.who_import VALUES (72439, '2020-08-18', 'RO', 'Romania', 'EURO', '733', '71194', '38', '3029');
INSERT INTO public.who_import VALUES (72440, '2020-08-19', 'RO', 'Romania', 'EURO', '1014', '72208', '45', '3074');
INSERT INTO public.who_import VALUES (72441, '2020-08-20', 'RO', 'Romania', 'EURO', '1409', '73617', '32', '3106');
INSERT INTO public.who_import VALUES (72442, '2020-08-21', 'RO', 'Romania', 'EURO', '1346', '74963', '48', '3154');
INSERT INTO public.who_import VALUES (72443, '2020-08-22', 'RO', 'Romania', 'EURO', '1392', '76355', '42', '3196');
INSERT INTO public.who_import VALUES (72444, '2020-08-23', 'RO', 'Romania', 'EURO', '1189', '77544', '37', '3233');
INSERT INTO public.who_import VALUES (72445, '2020-08-24', 'RO', 'Romania', 'EURO', '981', '78525', '39', '3272');
INSERT INTO public.who_import VALUES (72446, '2020-08-25', 'RO', 'Romania', 'EURO', '805', '79330', '37', '3309');
INSERT INTO public.who_import VALUES (72447, '2020-08-26', 'RO', 'Romania', 'EURO', '1060', '80390', '58', '3367');
INSERT INTO public.who_import VALUES (72448, '2020-08-27', 'RO', 'Romania', 'EURO', '1256', '81646', '54', '3421');
INSERT INTO public.who_import VALUES (72449, '2020-08-28', 'RO', 'Romania', 'EURO', '1504', '83150', '38', '3459');
INSERT INTO public.who_import VALUES (72450, '2020-08-29', 'RO', 'Romania', 'EURO', '1318', '84468', '48', '3507');
INSERT INTO public.who_import VALUES (72451, '2020-08-30', 'RO', 'Romania', 'EURO', '1365', '85833', '32', '3539');
INSERT INTO public.who_import VALUES (72452, '2020-08-31', 'RO', 'Romania', 'EURO', '952', '86785', '39', '3578');
INSERT INTO public.who_import VALUES (72453, '2020-09-01', 'RO', 'Romania', 'EURO', '755', '87540', '43', '3621');
INSERT INTO public.who_import VALUES (72454, '2020-09-02', 'RO', 'Romania', 'EURO', '1053', '88593', '60', '3681');
INSERT INTO public.who_import VALUES (72455, '2020-09-03', 'RO', 'Romania', 'EURO', '1298', '89891', '40', '3721');
INSERT INTO public.who_import VALUES (72456, '2020-09-04', 'RO', 'Romania', 'EURO', '1365', '91256', '44', '3765');
INSERT INTO public.who_import VALUES (72457, '2020-09-05', 'RO', 'Romania', 'EURO', '1339', '92595', '47', '3812');
INSERT INTO public.who_import VALUES (72458, '2020-09-06', 'RO', 'Romania', 'EURO', '1269', '93864', '38', '3850');
INSERT INTO public.who_import VALUES (72459, '2020-09-07', 'RO', 'Romania', 'EURO', '1150', '95014', '43', '3893');
INSERT INTO public.who_import VALUES (72460, '2020-09-08', 'RO', 'Romania', 'EURO', '883', '95897', '33', '3926');
INSERT INTO public.who_import VALUES (72461, '2020-09-09', 'RO', 'Romania', 'EURO', '1136', '97033', '41', '3967');
INSERT INTO public.who_import VALUES (72462, '2020-09-10', 'RO', 'Romania', 'EURO', '1271', '98304', '51', '4018');
INSERT INTO public.who_import VALUES (72463, '2020-09-11', 'RO', 'Romania', 'EURO', '1380', '99684', '47', '4065');
INSERT INTO public.who_import VALUES (72464, '2020-09-12', 'RO', 'Romania', 'EURO', '1391', '101075', '35', '4100');
INSERT INTO public.who_import VALUES (72465, '2020-09-13', 'RO', 'Romania', 'EURO', '1311', '102386', '27', '4127');
INSERT INTO public.who_import VALUES (72466, '2020-09-14', 'RO', 'Romania', 'EURO', '1109', '103495', '36', '4163');
INSERT INTO public.who_import VALUES (72467, '2020-09-15', 'RO', 'Romania', 'EURO', '692', '104187', '22', '4185');
INSERT INTO public.who_import VALUES (72468, '2020-09-16', 'RO', 'Romania', 'EURO', '1111', '105298', '51', '4236');
INSERT INTO public.who_import VALUES (72469, '2020-09-17', 'RO', 'Romania', 'EURO', '1713', '107011', '49', '4285');
INSERT INTO public.who_import VALUES (72470, '2020-09-18', 'RO', 'Romania', 'EURO', '1679', '108690', '27', '4312');
INSERT INTO public.who_import VALUES (72471, '2020-09-19', 'RO', 'Romania', 'EURO', '1527', '110217', '48', '4360');
INSERT INTO public.who_import VALUES (72472, '2020-09-20', 'RO', 'Romania', 'EURO', '1333', '111550', '42', '4402');
INSERT INTO public.who_import VALUES (72473, '2020-09-21', 'RO', 'Romania', 'EURO', '1231', '112781', '33', '4435');
INSERT INTO public.who_import VALUES (72474, '2020-09-22', 'RO', 'Romania', 'EURO', '808', '113589', '23', '4458');
INSERT INTO public.who_import VALUES (72475, '2020-09-23', 'RO', 'Romania', 'EURO', '1059', '114648', '45', '4503');
INSERT INTO public.who_import VALUES (72476, '2020-09-24', 'RO', 'Romania', 'EURO', '1767', '116415', '47', '4550');
INSERT INTO public.who_import VALUES (72477, '2020-09-25', 'RO', 'Romania', 'EURO', '1639', '118054', '41', '4591');
INSERT INTO public.who_import VALUES (72478, '2020-09-26', 'RO', 'Romania', 'EURO', '1629', '119683', '42', '4633');
INSERT INTO public.who_import VALUES (72479, '2020-09-27', 'RO', 'Romania', 'EURO', '1552', '121235', '54', '4687');
INSERT INTO public.who_import VALUES (72480, '2020-09-28', 'RO', 'Romania', 'EURO', '1438', '122673', '31', '4718');
INSERT INTO public.who_import VALUES (72481, '2020-09-29', 'RO', 'Romania', 'EURO', '1271', '123944', '30', '4748');
INSERT INTO public.who_import VALUES (72482, '2020-09-30', 'RO', 'Romania', 'EURO', '1470', '125414', '44', '4792');
INSERT INTO public.who_import VALUES (72483, '2020-10-01', 'RO', 'Romania', 'EURO', '2158', '127572', '33', '4825');
INSERT INTO public.who_import VALUES (72484, '2020-10-02', 'RO', 'Romania', 'EURO', '2086', '129658', '37', '4862');
INSERT INTO public.who_import VALUES (72485, '2020-10-03', 'RO', 'Romania', 'EURO', '2343', '132001', '53', '4915');
INSERT INTO public.who_import VALUES (72486, '2020-10-04', 'RO', 'Romania', 'EURO', '2064', '134065', '32', '4947');
INSERT INTO public.who_import VALUES (72487, '2020-10-05', 'RO', 'Romania', 'EURO', '0', '134065', '0', '4947');
INSERT INTO public.who_import VALUES (72488, '2020-10-06', 'RO', 'Romania', 'EURO', '3426', '137491', '101', '5048');
INSERT INTO public.who_import VALUES (72489, '2020-10-07', 'RO', 'Romania', 'EURO', '2121', '139612', '73', '5121');
INSERT INTO public.who_import VALUES (72490, '2020-10-08', 'RO', 'Romania', 'EURO', '2958', '142570', '82', '5203');
INSERT INTO public.who_import VALUES (72491, '2020-10-09', 'RO', 'Romania', 'EURO', '3130', '145700', '44', '5247');
INSERT INTO public.who_import VALUES (72492, '2020-10-10', 'RO', 'Romania', 'EURO', '3186', '148886', '52', '5299');
INSERT INTO public.who_import VALUES (72493, '2020-10-11', 'RO', 'Romania', 'EURO', '3517', '152403', '59', '5358');
INSERT INTO public.who_import VALUES (72494, '2020-10-12', 'RO', 'Romania', 'EURO', '2880', '155283', '53', '5411');
INSERT INTO public.who_import VALUES (72495, '2020-10-13', 'RO', 'Romania', 'EURO', '2069', '157352', '56', '5467');
INSERT INTO public.who_import VALUES (72496, '2020-10-14', 'RO', 'Romania', 'EURO', '3109', '160461', '68', '5535');
INSERT INTO public.who_import VALUES (72497, '2020-10-15', 'RO', 'Romania', 'EURO', '4016', '164477', '66', '5601');
INSERT INTO public.who_import VALUES (72498, '2020-10-16', 'RO', 'Romania', 'EURO', '4013', '168490', '73', '5674');
INSERT INTO public.who_import VALUES (72499, '2020-10-17', 'RO', 'Romania', 'EURO', '4026', '172516', '75', '5749');
INSERT INTO public.who_import VALUES (72500, '2020-10-18', 'RO', 'Romania', 'EURO', '3952', '176468', '63', '5812');
INSERT INTO public.who_import VALUES (72501, '2020-10-19', 'RO', 'Romania', 'EURO', '3920', '180388', '60', '5872');
INSERT INTO public.who_import VALUES (72502, '2020-10-20', 'RO', 'Romania', 'EURO', '2466', '182854', '59', '5931');
INSERT INTO public.who_import VALUES (72503, '2020-10-21', 'RO', 'Romania', 'EURO', '3400', '186254', '65', '5996');
INSERT INTO public.who_import VALUES (72504, '2020-10-22', 'RO', 'Romania', 'EURO', '4848', '191102', '69', '6065');
INSERT INTO public.who_import VALUES (72505, '2020-10-23', 'RO', 'Romania', 'EURO', '4902', '196004', '98', '6163');
INSERT INTO public.who_import VALUES (72506, '2020-10-24', 'RO', 'Romania', 'EURO', '5028', '201032', '82', '6245');
INSERT INTO public.who_import VALUES (72507, '2020-10-25', 'RO', 'Romania', 'EURO', '4761', '205793', '73', '6318');
INSERT INTO public.who_import VALUES (72508, '2020-10-26', 'RO', 'Romania', 'EURO', '3855', '209648', '73', '6391');
INSERT INTO public.who_import VALUES (72509, '2020-10-27', 'RO', 'Romania', 'EURO', '2844', '212492', '79', '6470');
INSERT INTO public.who_import VALUES (72510, '2020-10-28', 'RO', 'Romania', 'EURO', '4724', '217216', '104', '6574');
INSERT INTO public.who_import VALUES (72511, '2020-10-29', 'RO', 'Romania', 'EURO', '5343', '222559', '107', '6681');
INSERT INTO public.who_import VALUES (72512, '2020-10-30', 'RO', 'Romania', 'EURO', '6481', '229040', '83', '6764');
INSERT INTO public.who_import VALUES (72513, '2020-10-31', 'RO', 'Romania', 'EURO', '6546', '235586', '103', '6867');
INSERT INTO public.who_import VALUES (72514, '2020-11-01', 'RO', 'Romania', 'EURO', '5753', '241339', '101', '6968');
INSERT INTO public.who_import VALUES (72515, '2020-11-02', 'RO', 'Romania', 'EURO', '5324', '246663', '99', '7067');
INSERT INTO public.who_import VALUES (72516, '2020-11-03', 'RO', 'Romania', 'EURO', '4041', '250704', '86', '7153');
INSERT INTO public.who_import VALUES (72517, '2020-11-04', 'RO', 'Romania', 'EURO', '7733', '258437', '120', '7273');
INSERT INTO public.who_import VALUES (72518, '2020-11-05', 'RO', 'Romania', 'EURO', '8651', '267088', '146', '7419');
INSERT INTO public.who_import VALUES (72519, '2020-11-06', 'RO', 'Romania', 'EURO', '9714', '276802', '121', '7540');
INSERT INTO public.who_import VALUES (72520, '2020-11-07', 'RO', 'Romania', 'EURO', '10260', '287062', '123', '7663');
INSERT INTO public.who_import VALUES (72521, '2020-11-08', 'RO', 'Romania', 'EURO', '9937', '296999', '130', '7793');
INSERT INTO public.who_import VALUES (72522, '2020-11-09', 'RO', 'Romania', 'EURO', '6752', '303751', '86', '7879');
INSERT INTO public.who_import VALUES (72523, '2020-11-10', 'RO', 'Romania', 'EURO', '3240', '306991', '130', '8009');
INSERT INTO public.who_import VALUES (72524, '2020-11-11', 'RO', 'Romania', 'EURO', '7304', '314295', '177', '8186');
INSERT INTO public.who_import VALUES (72525, '2020-11-12', 'RO', 'Romania', 'EURO', '9799', '324094', '203', '8389');
INSERT INTO public.who_import VALUES (72526, '2020-11-13', 'RO', 'Romania', 'EURO', '10142', '334236', '121', '8510');
INSERT INTO public.who_import VALUES (72527, '2020-11-14', 'RO', 'Romania', 'EURO', '9489', '343725', '174', '8684');
INSERT INTO public.who_import VALUES (72528, '2020-11-15', 'RO', 'Romania', 'EURO', '9460', '353185', '129', '8813');
INSERT INTO public.who_import VALUES (72529, '2020-11-16', 'RO', 'Romania', 'EURO', '7096', '360281', '113', '8926');
INSERT INTO public.who_import VALUES (72530, '2020-11-17', 'RO', 'Romania', 'EURO', '4931', '365212', '149', '9075');
INSERT INTO public.who_import VALUES (72531, '2020-11-18', 'RO', 'Romania', 'EURO', '8262', '373474', '186', '9261');
INSERT INTO public.who_import VALUES (72532, '2020-11-19', 'RO', 'Romania', 'EURO', '10269', '383743', '168', '9429');
INSERT INTO public.who_import VALUES (72533, '2020-11-20', 'RO', 'Romania', 'EURO', '10108', '393851', '167', '9596');
INSERT INTO public.who_import VALUES (72534, '2020-11-21', 'RO', 'Romania', 'EURO', '9272', '403123', '160', '9756');
INSERT INTO public.who_import VALUES (72535, '2020-11-22', 'RO', 'Romania', 'EURO', '9685', '412808', '160', '9916');
INSERT INTO public.who_import VALUES (72536, '2020-11-23', 'RO', 'Romania', 'EURO', '5837', '418645', '131', '10047');
INSERT INTO public.who_import VALUES (72537, '2020-11-24', 'RO', 'Romania', 'EURO', '4207', '422852', '130', '10177');
INSERT INTO public.who_import VALUES (72538, '2020-11-25', 'RO', 'Romania', 'EURO', '7753', '430605', '196', '10373');
INSERT INTO public.who_import VALUES (72539, '2020-11-26', 'RO', 'Romania', 'EURO', '9739', '440344', '168', '10541');
INSERT INTO public.who_import VALUES (72540, '2020-11-27', 'RO', 'Romania', 'EURO', '9005', '449349', '171', '10712');
INSERT INTO public.who_import VALUES (72541, '2020-11-28', 'RO', 'Romania', 'EURO', '8499', '457848', '172', '10884');
INSERT INTO public.who_import VALUES (72542, '2020-11-29', 'RO', 'Romania', 'EURO', '8134', '465982', '161', '11045');
INSERT INTO public.who_import VALUES (72543, '2020-11-30', 'RO', 'Romania', 'EURO', '5554', '471536', '148', '11193');
INSERT INTO public.who_import VALUES (72544, '2020-12-01', 'RO', 'Romania', 'EURO', '3826', '475362', '138', '11331');
INSERT INTO public.who_import VALUES (72545, '2020-12-02', 'RO', 'Romania', 'EURO', '4272', '479634', '199', '11530');
INSERT INTO public.who_import VALUES (72546, '2020-12-03', 'RO', 'Romania', 'EURO', '4916', '484550', '135', '11665');
INSERT INTO public.who_import VALUES (72547, '2020-12-04', 'RO', 'Romania', 'EURO', '7661', '492211', '211', '11876');
INSERT INTO public.who_import VALUES (72548, '2020-12-05', 'RO', 'Romania', 'EURO', '8062', '500273', '176', '12052');
INSERT INTO public.who_import VALUES (72549, '2020-12-06', 'RO', 'Romania', 'EURO', '8072', '508345', '134', '12186');
INSERT INTO public.who_import VALUES (72550, '2020-12-07', 'RO', 'Romania', 'EURO', '5231', '513576', '134', '12320');
INSERT INTO public.who_import VALUES (72551, '2020-12-08', 'RO', 'Romania', 'EURO', '3660', '517236', '127', '12447');
INSERT INTO public.who_import VALUES (72552, '2020-12-09', 'RO', 'Romania', 'EURO', '7439', '524675', '213', '12660');
INSERT INTO public.who_import VALUES (72553, '2020-12-10', 'RO', 'Romania', 'EURO', '7365', '532040', '161', '12821');
INSERT INTO public.who_import VALUES (72554, '2020-12-11', 'RO', 'Romania', 'EURO', '7067', '539107', '127', '12948');
INSERT INTO public.who_import VALUES (72555, '2020-12-12', 'RO', 'Romania', 'EURO', '6460', '545567', '168', '13116');
INSERT INTO public.who_import VALUES (72556, '2020-12-13', 'RO', 'Romania', 'EURO', '6333', '551900', '148', '13264');
INSERT INTO public.who_import VALUES (72557, '2020-12-14', 'RO', 'Romania', 'EURO', '4435', '556335', '121', '13385');
INSERT INTO public.who_import VALUES (72558, '2020-12-15', 'RO', 'Romania', 'EURO', '3252', '559587', '109', '13494');
INSERT INTO public.who_import VALUES (72559, '2020-12-16', 'RO', 'Romania', 'EURO', '6171', '565758', '204', '13698');
INSERT INTO public.who_import VALUES (72560, '2020-12-17', 'RO', 'Romania', 'EURO', '5991', '571749', '164', '13862');
INSERT INTO public.who_import VALUES (72561, '2020-12-18', 'RO', 'Romania', 'EURO', '5697', '577446', '107', '13969');
INSERT INTO public.who_import VALUES (72562, '2020-12-19', 'RO', 'Romania', 'EURO', '5340', '582786', '188', '14157');
INSERT INTO public.who_import VALUES (72563, '2020-12-20', 'RO', 'Romania', 'EURO', '5158', '587944', '139', '14296');
INSERT INTO public.who_import VALUES (72564, '2020-12-21', 'RO', 'Romania', 'EURO', '3350', '591294', '98', '14394');
INSERT INTO public.who_import VALUES (72565, '2020-12-22', 'RO', 'Romania', 'EURO', '2489', '593783', '87', '14481');
INSERT INTO public.who_import VALUES (72566, '2020-12-23', 'RO', 'Romania', 'EURO', '5009', '598792', '155', '14636');
INSERT INTO public.who_import VALUES (72567, '2020-12-24', 'RO', 'Romania', 'EURO', '5459', '604251', '130', '14766');
INSERT INTO public.who_import VALUES (72568, '2020-12-25', 'RO', 'Romania', 'EURO', '4310', '608561', '146', '14912');
INSERT INTO public.who_import VALUES (72569, '2020-12-26', 'RO', 'Romania', 'EURO', '3812', '612373', '101', '15013');
INSERT INTO public.who_import VALUES (72570, '2020-12-27', 'RO', 'Romania', 'EURO', '1387', '613760', '95', '15108');
INSERT INTO public.who_import VALUES (72571, '2020-12-28', 'RO', 'Romania', 'EURO', '2049', '615809', '122', '15230');
INSERT INTO public.who_import VALUES (72572, '2020-12-29', 'RO', 'Romania', 'EURO', '2620', '618429', '104', '15334');
INSERT INTO public.who_import VALUES (72573, '2020-12-30', 'RO', 'Romania', 'EURO', '4637', '623066', '135', '15469');
INSERT INTO public.who_import VALUES (72574, '2020-12-31', 'RO', 'Romania', 'EURO', '4875', '627941', '127', '15596');
INSERT INTO public.who_import VALUES (72575, '2021-01-01', 'RO', 'Romania', 'EURO', '4322', '632263', '171', '15767');
INSERT INTO public.who_import VALUES (72576, '2021-01-02', 'RO', 'Romania', 'EURO', '3938', '636201', '74', '15841');
INSERT INTO public.who_import VALUES (72577, '2021-01-03', 'RO', 'Romania', 'EURO', '1194', '637395', '78', '15919');
INSERT INTO public.who_import VALUES (72578, '2021-01-04', 'RO', 'Romania', 'EURO', '3034', '640429', '60', '15979');
INSERT INTO public.who_import VALUES (72579, '2021-01-05', 'RO', 'Romania', 'EURO', '3130', '643559', '78', '16057');
INSERT INTO public.who_import VALUES (72580, '2021-01-06', 'RO', 'Romania', 'EURO', '4729', '648288', '121', '16178');
INSERT INTO public.who_import VALUES (72581, '2021-01-07', 'RO', 'Romania', 'EURO', '5719', '654007', '121', '16299');
INSERT INTO public.who_import VALUES (72582, '2021-01-08', 'RO', 'Romania', 'EURO', '4951', '658958', '111', '16410');
INSERT INTO public.who_import VALUES (72583, '2021-01-09', 'RO', 'Romania', 'EURO', '4821', '663779', '96', '16506');
INSERT INTO public.who_import VALUES (72584, '2021-01-10', 'RO', 'Romania', 'EURO', '4423', '668202', '86', '16592');
INSERT INTO public.who_import VALUES (72585, '2021-01-11', 'RO', 'Romania', 'EURO', '3082', '671284', '62', '16654');
INSERT INTO public.who_import VALUES (72586, '2021-01-12', 'RO', 'Romania', 'EURO', '1987', '673271', '71', '16725');
INSERT INTO public.who_import VALUES (72587, '2021-01-13', 'RO', 'Romania', 'EURO', '3697', '676968', '156', '16881');
INSERT INTO public.who_import VALUES (72588, '2021-01-14', 'RO', 'Romania', 'EURO', '4424', '681392', '88', '16969');
INSERT INTO public.who_import VALUES (72589, '2021-01-15', 'RO', 'Romania', 'EURO', '3525', '684917', '66', '17035');
INSERT INTO public.who_import VALUES (72590, '2021-01-16', 'RO', 'Romania', 'EURO', '3353', '688270', '63', '17098');
INSERT INTO public.who_import VALUES (72591, '2021-01-17', 'RO', 'Romania', 'EURO', '3218', '691488', '66', '17164');
INSERT INTO public.who_import VALUES (72592, '2021-01-18', 'RO', 'Romania', 'EURO', '2156', '693644', '57', '17221');
INSERT INTO public.who_import VALUES (72593, '2021-01-19', 'RO', 'Romania', 'EURO', '1509', '695153', '50', '17271');
INSERT INTO public.who_import VALUES (72594, '2021-01-20', 'RO', 'Romania', 'EURO', '2745', '697898', '98', '17369');
INSERT INTO public.who_import VALUES (72595, '2021-01-21', 'RO', 'Romania', 'EURO', '3000', '700898', '116', '17485');
INSERT INTO public.who_import VALUES (72596, '2021-01-22', 'RO', 'Romania', 'EURO', '2878', '703776', '69', '17554');
INSERT INTO public.who_import VALUES (72597, '2021-01-23', 'RO', 'Romania', 'EURO', '2699', '706475', '74', '17628');
INSERT INTO public.who_import VALUES (72598, '2021-01-24', 'RO', 'Romania', 'EURO', '2719', '709194', '94', '17722');
INSERT INTO public.who_import VALUES (72599, '2021-01-25', 'RO', 'Romania', 'EURO', '1816', '711010', '54', '17776');
INSERT INTO public.who_import VALUES (72600, '2021-01-26', 'RO', 'Romania', 'EURO', '1551', '712561', '65', '17841');
INSERT INTO public.who_import VALUES (72601, '2021-01-27', 'RO', 'Romania', 'EURO', '2877', '715438', '97', '17938');
INSERT INTO public.who_import VALUES (72602, '2021-01-28', 'RO', 'Romania', 'EURO', '3174', '718612', '77', '18015');
INSERT INTO public.who_import VALUES (72603, '2021-01-29', 'RO', 'Romania', 'EURO', '2901', '721513', '90', '18105');
INSERT INTO public.who_import VALUES (72604, '2021-01-30', 'RO', 'Romania', 'EURO', '2737', '724250', '91', '18196');
INSERT INTO public.who_import VALUES (72605, '2021-01-31', 'RO', 'Romania', 'EURO', '2668', '726918', '68', '18264');
INSERT INTO public.who_import VALUES (72606, '2021-02-01', 'RO', 'Romania', 'EURO', '1825', '728743', '71', '18335');
INSERT INTO public.who_import VALUES (72607, '2021-02-02', 'RO', 'Romania', 'EURO', '1313', '730056', '67', '18402');
INSERT INTO public.who_import VALUES (72608, '2021-02-03', 'RO', 'Romania', 'EURO', '2676', '732732', '111', '18513');
INSERT INTO public.who_import VALUES (72609, '2021-02-04', 'RO', 'Romania', 'EURO', '2752', '735484', '87', '18600');
INSERT INTO public.who_import VALUES (72610, '2021-02-05', 'RO', 'Romania', 'EURO', '2668', '738152', '75', '18675');
INSERT INTO public.who_import VALUES (72611, '2021-02-06', 'RO', 'Romania', 'EURO', '2580', '740732', '73', '18748');
INSERT INTO public.who_import VALUES (72612, '2021-02-07', 'RO', 'Romania', 'EURO', '2611', '743343', '61', '18809');
INSERT INTO public.who_import VALUES (72613, '2021-02-08', 'RO', 'Romania', 'EURO', '1975', '745318', '72', '18881');
INSERT INTO public.who_import VALUES (72614, '2021-02-09', 'RO', 'Romania', 'EURO', '1319', '746637', '80', '18961');
INSERT INTO public.who_import VALUES (72615, '2021-02-10', 'RO', 'Romania', 'EURO', '2797', '749434', '95', '19056');
INSERT INTO public.who_import VALUES (72616, '2021-02-11', 'RO', 'Romania', 'EURO', '3048', '752482', '79', '19135');
INSERT INTO public.who_import VALUES (72617, '2021-02-12', 'RO', 'Romania', 'EURO', '2644', '755126', '65', '19200');
INSERT INTO public.who_import VALUES (72618, '2021-02-13', 'RO', 'Romania', 'EURO', '2550', '757676', '77', '19277');
INSERT INTO public.who_import VALUES (72619, '2021-02-14', 'RO', 'Romania', 'EURO', '2415', '760091', '48', '19325');
INSERT INTO public.who_import VALUES (72620, '2021-02-15', 'RO', 'Romania', 'EURO', '1872', '761963', '41', '19366');
INSERT INTO public.who_import VALUES (72621, '2021-02-16', 'RO', 'Romania', 'EURO', '1331', '763294', '79', '19445');
INSERT INTO public.who_import VALUES (72622, '2021-02-17', 'RO', 'Romania', 'EURO', '2676', '765970', '81', '19526');
INSERT INTO public.who_import VALUES (72623, '2021-02-18', 'RO', 'Romania', 'EURO', '2815', '768785', '62', '19588');
INSERT INTO public.who_import VALUES (72624, '2021-02-19', 'RO', 'Romania', 'EURO', '3058', '771843', '71', '19659');
INSERT INTO public.who_import VALUES (72625, '2021-02-20', 'RO', 'Romania', 'EURO', '2712', '774555', '79', '19738');
INSERT INTO public.who_import VALUES (72626, '2020-01-03', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72627, '2020-01-04', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72628, '2020-01-05', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72629, '2020-01-06', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72630, '2020-01-07', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72631, '2020-01-08', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72632, '2020-01-09', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72633, '2020-01-10', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72634, '2020-01-11', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72635, '2020-01-12', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72636, '2020-01-13', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72637, '2020-01-14', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72638, '2020-01-15', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72639, '2020-01-16', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72640, '2020-01-17', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72641, '2020-01-18', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72642, '2020-01-19', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72643, '2020-01-20', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72644, '2020-01-21', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72645, '2020-01-22', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72646, '2020-01-23', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72647, '2020-01-24', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72648, '2020-01-25', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72649, '2020-01-26', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72650, '2020-01-27', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72651, '2020-01-28', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72652, '2020-01-29', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72653, '2020-01-30', 'RU', 'Russian Federation', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72654, '2020-01-31', 'RU', 'Russian Federation', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (72655, '2020-02-01', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72656, '2020-02-02', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72657, '2020-02-03', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72658, '2020-02-04', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72659, '2020-02-05', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72660, '2020-02-06', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72661, '2020-02-07', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72662, '2020-02-08', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72663, '2020-02-09', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72664, '2020-02-10', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72665, '2020-02-11', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72666, '2020-02-12', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72667, '2020-02-13', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72668, '2020-02-14', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72669, '2020-02-15', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72670, '2020-02-16', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72671, '2020-02-17', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72672, '2020-02-18', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72673, '2020-02-19', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72674, '2020-02-20', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72675, '2020-02-21', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72676, '2020-02-22', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72677, '2020-02-23', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72678, '2020-02-24', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72679, '2020-02-25', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72680, '2020-02-26', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72681, '2020-02-27', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72682, '2020-02-28', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72683, '2020-02-29', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72684, '2020-03-01', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72685, '2020-03-02', 'RU', 'Russian Federation', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (72686, '2020-03-03', 'RU', 'Russian Federation', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (72687, '2020-03-04', 'RU', 'Russian Federation', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (72688, '2020-03-05', 'RU', 'Russian Federation', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (72689, '2020-03-06', 'RU', 'Russian Federation', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (72690, '2020-03-07', 'RU', 'Russian Federation', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (72691, '2020-03-08', 'RU', 'Russian Federation', 'EURO', '3', '7', '0', '0');
INSERT INTO public.who_import VALUES (72692, '2020-03-09', 'RU', 'Russian Federation', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (72693, '2020-03-10', 'RU', 'Russian Federation', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (72694, '2020-03-11', 'RU', 'Russian Federation', 'EURO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (72695, '2020-03-12', 'RU', 'Russian Federation', 'EURO', '13', '20', '0', '0');
INSERT INTO public.who_import VALUES (72696, '2020-03-13', 'RU', 'Russian Federation', 'EURO', '14', '34', '0', '0');
INSERT INTO public.who_import VALUES (72697, '2020-03-14', 'RU', 'Russian Federation', 'EURO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (72698, '2020-03-15', 'RU', 'Russian Federation', 'EURO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (72699, '2020-03-16', 'RU', 'Russian Federation', 'EURO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (72700, '2020-03-17', 'RU', 'Russian Federation', 'EURO', '59', '93', '0', '0');
INSERT INTO public.who_import VALUES (72701, '2020-03-18', 'RU', 'Russian Federation', 'EURO', '0', '93', '0', '0');
INSERT INTO public.who_import VALUES (72702, '2020-03-19', 'RU', 'Russian Federation', 'EURO', '54', '147', '0', '0');
INSERT INTO public.who_import VALUES (72703, '2020-03-20', 'RU', 'Russian Federation', 'EURO', '52', '199', '0', '0');
INSERT INTO public.who_import VALUES (72704, '2020-03-21', 'RU', 'Russian Federation', 'EURO', '54', '253', '0', '0');
INSERT INTO public.who_import VALUES (72705, '2020-03-22', 'RU', 'Russian Federation', 'EURO', '53', '306', '0', '0');
INSERT INTO public.who_import VALUES (72706, '2020-03-23', 'RU', 'Russian Federation', 'EURO', '132', '438', '0', '0');
INSERT INTO public.who_import VALUES (72707, '2020-03-24', 'RU', 'Russian Federation', 'EURO', '57', '495', '0', '0');
INSERT INTO public.who_import VALUES (72708, '2020-03-25', 'RU', 'Russian Federation', 'EURO', '163', '658', '0', '0');
INSERT INTO public.who_import VALUES (72709, '2020-03-26', 'RU', 'Russian Federation', 'EURO', '182', '840', '2', '2');
INSERT INTO public.who_import VALUES (72710, '2020-03-27', 'RU', 'Russian Federation', 'EURO', '196', '1036', '1', '3');
INSERT INTO public.who_import VALUES (72711, '2020-03-28', 'RU', 'Russian Federation', 'EURO', '228', '1264', '1', '4');
INSERT INTO public.who_import VALUES (72712, '2020-03-29', 'RU', 'Russian Federation', 'EURO', '270', '1534', '4', '8');
INSERT INTO public.who_import VALUES (72713, '2020-03-30', 'RU', 'Russian Federation', 'EURO', '303', '1837', '1', '9');
INSERT INTO public.who_import VALUES (72714, '2020-03-31', 'RU', 'Russian Federation', 'EURO', '500', '2337', '8', '17');
INSERT INTO public.who_import VALUES (72715, '2020-04-01', 'RU', 'Russian Federation', 'EURO', '440', '2777', '7', '24');
INSERT INTO public.who_import VALUES (72716, '2020-04-02', 'RU', 'Russian Federation', 'EURO', '0', '2777', '0', '24');
INSERT INTO public.who_import VALUES (72717, '2020-04-03', 'RU', 'Russian Federation', 'EURO', '771', '3548', '6', '30');
INSERT INTO public.who_import VALUES (72718, '2020-04-04', 'RU', 'Russian Federation', 'EURO', '601', '4149', '4', '34');
INSERT INTO public.who_import VALUES (72719, '2020-04-05', 'RU', 'Russian Federation', 'EURO', '582', '4731', '9', '43');
INSERT INTO public.who_import VALUES (72720, '2020-04-06', 'RU', 'Russian Federation', 'EURO', '658', '5389', '2', '45');
INSERT INTO public.who_import VALUES (72721, '2020-04-07', 'RU', 'Russian Federation', 'EURO', '954', '6343', '2', '47');
INSERT INTO public.who_import VALUES (72722, '2020-04-08', 'RU', 'Russian Federation', 'EURO', '1154', '7497', '11', '58');
INSERT INTO public.who_import VALUES (72723, '2020-04-09', 'RU', 'Russian Federation', 'EURO', '2634', '10131', '18', '76');
INSERT INTO public.who_import VALUES (72724, '2020-04-10', 'RU', 'Russian Federation', 'EURO', '1786', '11917', '18', '94');
INSERT INTO public.who_import VALUES (72725, '2020-04-11', 'RU', 'Russian Federation', 'EURO', '1667', '13584', '12', '106');
INSERT INTO public.who_import VALUES (72726, '2020-04-12', 'RU', 'Russian Federation', 'EURO', '2186', '15770', '24', '130');
INSERT INTO public.who_import VALUES (72727, '2020-04-13', 'RU', 'Russian Federation', 'EURO', '2558', '18328', '18', '148');
INSERT INTO public.who_import VALUES (72728, '2020-04-14', 'RU', 'Russian Federation', 'EURO', '2774', '21102', '22', '170');
INSERT INTO public.who_import VALUES (72729, '2020-04-15', 'RU', 'Russian Federation', 'EURO', '3388', '24490', '28', '198');
INSERT INTO public.who_import VALUES (72730, '2020-04-16', 'RU', 'Russian Federation', 'EURO', '3448', '27938', '34', '232');
INSERT INTO public.who_import VALUES (72731, '2020-04-17', 'RU', 'Russian Federation', 'EURO', '4070', '32008', '41', '273');
INSERT INTO public.who_import VALUES (72732, '2020-04-18', 'RU', 'Russian Federation', 'EURO', '4785', '36793', '40', '313');
INSERT INTO public.who_import VALUES (72733, '2020-04-19', 'RU', 'Russian Federation', 'EURO', '6060', '42853', '48', '361');
INSERT INTO public.who_import VALUES (72734, '2020-04-20', 'RU', 'Russian Federation', 'EURO', '4268', '47121', '44', '405');
INSERT INTO public.who_import VALUES (72735, '2020-04-21', 'RU', 'Russian Federation', 'EURO', '5642', '52763', '51', '456');
INSERT INTO public.who_import VALUES (72736, '2020-04-22', 'RU', 'Russian Federation', 'EURO', '5236', '57999', '57', '513');
INSERT INTO public.who_import VALUES (72737, '2020-04-23', 'RU', 'Russian Federation', 'EURO', '4774', '62773', '42', '555');
INSERT INTO public.who_import VALUES (72738, '2020-04-24', 'RU', 'Russian Federation', 'EURO', '5849', '68622', '60', '615');
INSERT INTO public.who_import VALUES (72739, '2020-04-25', 'RU', 'Russian Federation', 'EURO', '5966', '74588', '66', '681');
INSERT INTO public.who_import VALUES (72740, '2020-04-26', 'RU', 'Russian Federation', 'EURO', '6361', '80949', '66', '747');
INSERT INTO public.who_import VALUES (72741, '2020-04-27', 'RU', 'Russian Federation', 'EURO', '6198', '87147', '47', '794');
INSERT INTO public.who_import VALUES (72742, '2020-04-28', 'RU', 'Russian Federation', 'EURO', '6411', '93558', '73', '867');
INSERT INTO public.who_import VALUES (72743, '2020-04-29', 'RU', 'Russian Federation', 'EURO', '5841', '99399', '105', '972');
INSERT INTO public.who_import VALUES (72744, '2020-04-30', 'RU', 'Russian Federation', 'EURO', '7099', '106498', '101', '1073');
INSERT INTO public.who_import VALUES (72745, '2020-05-01', 'RU', 'Russian Federation', 'EURO', '7933', '114431', '96', '1169');
INSERT INTO public.who_import VALUES (72746, '2020-05-02', 'RU', 'Russian Federation', 'EURO', '9623', '124054', '53', '1222');
INSERT INTO public.who_import VALUES (72747, '2020-05-03', 'RU', 'Russian Federation', 'EURO', '10633', '134687', '58', '1280');
INSERT INTO public.who_import VALUES (72748, '2020-05-04', 'RU', 'Russian Federation', 'EURO', '10581', '145268', '76', '1356');
INSERT INTO public.who_import VALUES (72749, '2020-05-05', 'RU', 'Russian Federation', 'EURO', '10102', '155370', '95', '1451');
INSERT INTO public.who_import VALUES (72750, '2020-05-06', 'RU', 'Russian Federation', 'EURO', '10559', '165929', '86', '1537');
INSERT INTO public.who_import VALUES (72751, '2020-05-07', 'RU', 'Russian Federation', 'EURO', '11231', '177160', '88', '1625');
INSERT INTO public.who_import VALUES (72752, '2020-05-08', 'RU', 'Russian Federation', 'EURO', '10699', '187859', '98', '1723');
INSERT INTO public.who_import VALUES (72753, '2020-05-09', 'RU', 'Russian Federation', 'EURO', '10817', '198676', '104', '1827');
INSERT INTO public.who_import VALUES (72754, '2020-05-10', 'RU', 'Russian Federation', 'EURO', '11012', '209688', '88', '1915');
INSERT INTO public.who_import VALUES (72755, '2020-05-11', 'RU', 'Russian Federation', 'EURO', '11656', '221344', '94', '2009');
INSERT INTO public.who_import VALUES (72756, '2020-05-12', 'RU', 'Russian Federation', 'EURO', '10899', '232243', '107', '2116');
INSERT INTO public.who_import VALUES (72757, '2020-05-13', 'RU', 'Russian Federation', 'EURO', '10028', '242271', '96', '2212');
INSERT INTO public.who_import VALUES (72758, '2020-05-14', 'RU', 'Russian Federation', 'EURO', '9974', '252245', '93', '2305');
INSERT INTO public.who_import VALUES (72759, '2020-05-15', 'RU', 'Russian Federation', 'EURO', '10598', '262843', '113', '2418');
INSERT INTO public.who_import VALUES (72760, '2020-05-16', 'RU', 'Russian Federation', 'EURO', '9200', '272043', '119', '2537');
INSERT INTO public.who_import VALUES (72761, '2020-05-17', 'RU', 'Russian Federation', 'EURO', '9709', '281752', '94', '2631');
INSERT INTO public.who_import VALUES (72762, '2020-05-18', 'RU', 'Russian Federation', 'EURO', '8926', '290678', '91', '2722');
INSERT INTO public.who_import VALUES (72763, '2020-05-19', 'RU', 'Russian Federation', 'EURO', '9263', '299941', '115', '2837');
INSERT INTO public.who_import VALUES (72764, '2020-05-20', 'RU', 'Russian Federation', 'EURO', '8764', '308705', '135', '2972');
INSERT INTO public.who_import VALUES (72765, '2020-05-21', 'RU', 'Russian Federation', 'EURO', '8849', '317554', '127', '3099');
INSERT INTO public.who_import VALUES (72766, '2020-05-22', 'RU', 'Russian Federation', 'EURO', '8894', '326448', '150', '3249');
INSERT INTO public.who_import VALUES (72767, '2020-05-23', 'RU', 'Russian Federation', 'EURO', '9434', '335882', '139', '3388');
INSERT INTO public.who_import VALUES (72768, '2020-05-24', 'RU', 'Russian Federation', 'EURO', '8599', '344481', '153', '3541');
INSERT INTO public.who_import VALUES (72769, '2020-05-25', 'RU', 'Russian Federation', 'EURO', '8946', '353427', '92', '3633');
INSERT INTO public.who_import VALUES (72770, '2020-05-26', 'RU', 'Russian Federation', 'EURO', '8915', '362342', '174', '3807');
INSERT INTO public.who_import VALUES (72771, '2020-05-27', 'RU', 'Russian Federation', 'EURO', '8338', '370680', '161', '3968');
INSERT INTO public.who_import VALUES (72772, '2020-05-28', 'RU', 'Russian Federation', 'EURO', '8371', '379051', '174', '4142');
INSERT INTO public.who_import VALUES (72773, '2020-05-29', 'RU', 'Russian Federation', 'EURO', '8572', '387623', '232', '4374');
INSERT INTO public.who_import VALUES (72774, '2020-05-30', 'RU', 'Russian Federation', 'EURO', '8952', '396575', '181', '4555');
INSERT INTO public.who_import VALUES (72775, '2020-05-31', 'RU', 'Russian Federation', 'EURO', '9268', '405843', '138', '4693');
INSERT INTO public.who_import VALUES (72776, '2020-06-01', 'RU', 'Russian Federation', 'EURO', '9035', '414878', '162', '4855');
INSERT INTO public.who_import VALUES (72777, '2020-06-02', 'RU', 'Russian Federation', 'EURO', '8863', '423741', '182', '5037');
INSERT INTO public.who_import VALUES (72778, '2020-06-03', 'RU', 'Russian Federation', 'EURO', '8536', '432277', '178', '5215');
INSERT INTO public.who_import VALUES (72779, '2020-06-04', 'RU', 'Russian Federation', 'EURO', '8831', '441108', '169', '5384');
INSERT INTO public.who_import VALUES (72780, '2020-06-05', 'RU', 'Russian Federation', 'EURO', '8726', '449834', '144', '5528');
INSERT INTO public.who_import VALUES (72781, '2020-06-06', 'RU', 'Russian Federation', 'EURO', '8855', '458689', '197', '5725');
INSERT INTO public.who_import VALUES (72782, '2020-06-07', 'RU', 'Russian Federation', 'EURO', '8984', '467673', '134', '5859');
INSERT INTO public.who_import VALUES (72783, '2020-06-08', 'RU', 'Russian Federation', 'EURO', '8985', '476658', '112', '5971');
INSERT INTO public.who_import VALUES (72784, '2020-06-09', 'RU', 'Russian Federation', 'EURO', '8595', '485253', '171', '6142');
INSERT INTO public.who_import VALUES (72785, '2020-06-10', 'RU', 'Russian Federation', 'EURO', '8404', '493657', '216', '6358');
INSERT INTO public.who_import VALUES (72786, '2020-06-11', 'RU', 'Russian Federation', 'EURO', '8779', '502436', '174', '6532');
INSERT INTO public.who_import VALUES (72787, '2020-06-12', 'RU', 'Russian Federation', 'EURO', '8987', '511423', '183', '6715');
INSERT INTO public.who_import VALUES (72788, '2020-06-13', 'RU', 'Russian Federation', 'EURO', '8706', '520129', '114', '6829');
INSERT INTO public.who_import VALUES (72789, '2020-06-14', 'RU', 'Russian Federation', 'EURO', '8835', '528964', '119', '6948');
INSERT INTO public.who_import VALUES (72790, '2020-06-15', 'RU', 'Russian Federation', 'EURO', '8246', '537210', '143', '7091');
INSERT INTO public.who_import VALUES (72791, '2020-06-16', 'RU', 'Russian Federation', 'EURO', '8248', '545458', '193', '7284');
INSERT INTO public.who_import VALUES (72792, '2020-06-17', 'RU', 'Russian Federation', 'EURO', '7843', '553301', '194', '7478');
INSERT INTO public.who_import VALUES (72793, '2020-06-18', 'RU', 'Russian Federation', 'EURO', '7790', '561091', '182', '7660');
INSERT INTO public.who_import VALUES (72794, '2020-06-19', 'RU', 'Russian Federation', 'EURO', '7972', '569063', '181', '7841');
INSERT INTO public.who_import VALUES (72795, '2020-06-20', 'RU', 'Russian Federation', 'EURO', '7889', '576952', '161', '8002');
INSERT INTO public.who_import VALUES (72796, '2020-06-21', 'RU', 'Russian Federation', 'EURO', '7728', '584680', '109', '8111');
INSERT INTO public.who_import VALUES (72797, '2020-06-22', 'RU', 'Russian Federation', 'EURO', '7600', '592280', '95', '8206');
INSERT INTO public.who_import VALUES (72798, '2020-06-23', 'RU', 'Russian Federation', 'EURO', '7425', '599705', '153', '8359');
INSERT INTO public.who_import VALUES (72799, '2020-06-24', 'RU', 'Russian Federation', 'EURO', '7176', '606881', '154', '8513');
INSERT INTO public.who_import VALUES (72800, '2020-06-25', 'RU', 'Russian Federation', 'EURO', '7113', '613994', '92', '8605');
INSERT INTO public.who_import VALUES (72801, '2020-06-26', 'RU', 'Russian Federation', 'EURO', '6800', '620794', '176', '8781');
INSERT INTO public.who_import VALUES (72802, '2020-06-27', 'RU', 'Russian Federation', 'EURO', '6852', '627646', '188', '8969');
INSERT INTO public.who_import VALUES (72803, '2020-06-28', 'RU', 'Russian Federation', 'EURO', '6791', '634437', '104', '9073');
INSERT INTO public.who_import VALUES (72804, '2020-06-29', 'RU', 'Russian Federation', 'EURO', '6719', '641156', '93', '9166');
INSERT INTO public.who_import VALUES (72805, '2020-06-30', 'RU', 'Russian Federation', 'EURO', '6693', '647849', '154', '9320');
INSERT INTO public.who_import VALUES (72806, '2020-07-01', 'RU', 'Russian Federation', 'EURO', '6556', '654405', '216', '9536');
INSERT INTO public.who_import VALUES (72807, '2020-07-02', 'RU', 'Russian Federation', 'EURO', '6760', '661165', '147', '9683');
INSERT INTO public.who_import VALUES (72808, '2020-07-03', 'RU', 'Russian Federation', 'EURO', '6718', '667883', '176', '9859');
INSERT INTO public.who_import VALUES (72809, '2020-07-04', 'RU', 'Russian Federation', 'EURO', '6632', '674515', '168', '10027');
INSERT INTO public.who_import VALUES (72810, '2020-07-05', 'RU', 'Russian Federation', 'EURO', '6736', '681251', '134', '10161');
INSERT INTO public.who_import VALUES (72811, '2020-07-06', 'RU', 'Russian Federation', 'EURO', '6611', '687862', '135', '10296');
INSERT INTO public.who_import VALUES (72812, '2020-07-07', 'RU', 'Russian Federation', 'EURO', '6368', '694230', '198', '10494');
INSERT INTO public.who_import VALUES (72813, '2020-07-08', 'RU', 'Russian Federation', 'EURO', '6562', '700792', '173', '10667');
INSERT INTO public.who_import VALUES (72814, '2020-07-09', 'RU', 'Russian Federation', 'EURO', '6509', '707301', '176', '10843');
INSERT INTO public.who_import VALUES (72815, '2020-07-10', 'RU', 'Russian Federation', 'EURO', '6635', '713936', '174', '11017');
INSERT INTO public.who_import VALUES (73075, '2020-02-06', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72816, '2020-07-11', 'RU', 'Russian Federation', 'EURO', '6611', '720547', '188', '11205');
INSERT INTO public.who_import VALUES (72817, '2020-07-12', 'RU', 'Russian Federation', 'EURO', '6615', '727162', '130', '11335');
INSERT INTO public.who_import VALUES (72818, '2020-07-13', 'RU', 'Russian Federation', 'EURO', '6537', '733699', '104', '11439');
INSERT INTO public.who_import VALUES (72819, '2020-07-14', 'RU', 'Russian Federation', 'EURO', '6248', '739947', '175', '11614');
INSERT INTO public.who_import VALUES (72820, '2020-07-15', 'RU', 'Russian Federation', 'EURO', '6422', '746369', '156', '11770');
INSERT INTO public.who_import VALUES (72821, '2020-07-16', 'RU', 'Russian Federation', 'EURO', '6428', '752797', '167', '11937');
INSERT INTO public.who_import VALUES (72822, '2020-07-17', 'RU', 'Russian Federation', 'EURO', '6406', '759203', '186', '12123');
INSERT INTO public.who_import VALUES (72823, '2020-07-18', 'RU', 'Russian Federation', 'EURO', '6234', '765437', '124', '12247');
INSERT INTO public.who_import VALUES (72824, '2020-07-19', 'RU', 'Russian Federation', 'EURO', '6109', '771546', '95', '12342');
INSERT INTO public.who_import VALUES (72825, '2020-07-20', 'RU', 'Russian Federation', 'EURO', '5940', '777486', '85', '12427');
INSERT INTO public.who_import VALUES (72826, '2020-07-21', 'RU', 'Russian Federation', 'EURO', '5842', '783328', '153', '12580');
INSERT INTO public.who_import VALUES (72827, '2020-07-22', 'RU', 'Russian Federation', 'EURO', '5862', '789190', '165', '12745');
INSERT INTO public.who_import VALUES (72828, '2020-07-23', 'RU', 'Russian Federation', 'EURO', '5848', '795038', '147', '12892');
INSERT INTO public.who_import VALUES (72829, '2020-07-24', 'RU', 'Russian Federation', 'EURO', '5811', '800849', '154', '13046');
INSERT INTO public.who_import VALUES (72830, '2020-07-25', 'RU', 'Russian Federation', 'EURO', '5871', '806720', '146', '13192');
INSERT INTO public.who_import VALUES (72831, '2020-07-26', 'RU', 'Russian Federation', 'EURO', '5765', '812485', '77', '13269');
INSERT INTO public.who_import VALUES (72832, '2020-07-27', 'RU', 'Russian Federation', 'EURO', '5635', '818120', '85', '13354');
INSERT INTO public.who_import VALUES (72833, '2020-07-28', 'RU', 'Russian Federation', 'EURO', '5395', '823515', '150', '13504');
INSERT INTO public.who_import VALUES (72834, '2020-07-29', 'RU', 'Russian Federation', 'EURO', '5475', '828990', '169', '13673');
INSERT INTO public.who_import VALUES (72835, '2020-07-30', 'RU', 'Russian Federation', 'EURO', '5509', '834499', '129', '13802');
INSERT INTO public.who_import VALUES (72836, '2020-07-31', 'RU', 'Russian Federation', 'EURO', '5482', '839981', '161', '13963');
INSERT INTO public.who_import VALUES (72837, '2020-08-01', 'RU', 'Russian Federation', 'EURO', '5462', '845443', '95', '14058');
INSERT INTO public.who_import VALUES (72838, '2020-08-02', 'RU', 'Russian Federation', 'EURO', '5427', '850870', '70', '14128');
INSERT INTO public.who_import VALUES (72839, '2020-08-03', 'RU', 'Russian Federation', 'EURO', '5394', '856264', '79', '14207');
INSERT INTO public.who_import VALUES (72840, '2020-08-04', 'RU', 'Russian Federation', 'EURO', '5159', '861423', '144', '14351');
INSERT INTO public.who_import VALUES (72841, '2020-08-05', 'RU', 'Russian Federation', 'EURO', '5204', '866627', '139', '14490');
INSERT INTO public.who_import VALUES (72842, '2020-08-06', 'RU', 'Russian Federation', 'EURO', '5267', '871894', '116', '14606');
INSERT INTO public.who_import VALUES (72843, '2020-08-07', 'RU', 'Russian Federation', 'EURO', '5241', '877135', '119', '14725');
INSERT INTO public.who_import VALUES (72844, '2020-08-08', 'RU', 'Russian Federation', 'EURO', '5212', '882347', '129', '14854');
INSERT INTO public.who_import VALUES (72845, '2020-08-09', 'RU', 'Russian Federation', 'EURO', '5189', '887536', '77', '14931');
INSERT INTO public.who_import VALUES (72846, '2020-08-10', 'RU', 'Russian Federation', 'EURO', '5118', '892654', '70', '15001');
INSERT INTO public.who_import VALUES (72847, '2020-08-11', 'RU', 'Russian Federation', 'EURO', '4945', '897599', '130', '15131');
INSERT INTO public.who_import VALUES (72848, '2020-08-12', 'RU', 'Russian Federation', 'EURO', '5102', '902701', '129', '15260');
INSERT INTO public.who_import VALUES (72849, '2020-08-13', 'RU', 'Russian Federation', 'EURO', '5057', '907758', '124', '15384');
INSERT INTO public.who_import VALUES (72850, '2020-08-14', 'RU', 'Russian Federation', 'EURO', '5065', '912823', '114', '15498');
INSERT INTO public.who_import VALUES (72851, '2020-08-15', 'RU', 'Russian Federation', 'EURO', '5061', '917884', '119', '15617');
INSERT INTO public.who_import VALUES (72852, '2020-08-16', 'RU', 'Russian Federation', 'EURO', '4969', '922853', '68', '15685');
INSERT INTO public.who_import VALUES (72853, '2020-08-17', 'RU', 'Russian Federation', 'EURO', '4892', '927745', '55', '15740');
INSERT INTO public.who_import VALUES (72854, '2020-08-18', 'RU', 'Russian Federation', 'EURO', '4748', '932493', '132', '15872');
INSERT INTO public.who_import VALUES (72855, '2020-08-19', 'RU', 'Russian Federation', 'EURO', '4828', '937321', '117', '15989');
INSERT INTO public.who_import VALUES (72856, '2020-08-20', 'RU', 'Russian Federation', 'EURO', '4785', '942106', '110', '16099');
INSERT INTO public.who_import VALUES (72857, '2020-08-21', 'RU', 'Russian Federation', 'EURO', '4870', '946976', '90', '16189');
INSERT INTO public.who_import VALUES (72858, '2020-08-22', 'RU', 'Russian Federation', 'EURO', '4921', '951897', '121', '16310');
INSERT INTO public.who_import VALUES (72859, '2020-08-23', 'RU', 'Russian Federation', 'EURO', '4852', '956749', '73', '16383');
INSERT INTO public.who_import VALUES (72860, '2020-08-24', 'RU', 'Russian Federation', 'EURO', '4744', '961493', '65', '16448');
INSERT INTO public.who_import VALUES (72861, '2020-08-25', 'RU', 'Russian Federation', 'EURO', '4696', '966189', '120', '16568');
INSERT INTO public.who_import VALUES (72862, '2020-08-26', 'RU', 'Russian Federation', 'EURO', '4676', '970865', '115', '16683');
INSERT INTO public.who_import VALUES (72863, '2020-08-27', 'RU', 'Russian Federation', 'EURO', '4711', '975576', '121', '16804');
INSERT INTO public.who_import VALUES (72864, '2020-08-28', 'RU', 'Russian Federation', 'EURO', '4829', '980405', '110', '16914');
INSERT INTO public.who_import VALUES (72865, '2020-08-29', 'RU', 'Russian Federation', 'EURO', '4941', '985346', '111', '17025');
INSERT INTO public.who_import VALUES (72866, '2020-08-30', 'RU', 'Russian Federation', 'EURO', '4980', '990326', '68', '17093');
INSERT INTO public.who_import VALUES (72867, '2020-08-31', 'RU', 'Russian Federation', 'EURO', '4993', '995319', '83', '17176');
INSERT INTO public.who_import VALUES (72868, '2020-09-01', 'RU', 'Russian Federation', 'EURO', '4729', '1000048', '123', '17299');
INSERT INTO public.who_import VALUES (72869, '2020-09-02', 'RU', 'Russian Federation', 'EURO', '4952', '1005000', '115', '17414');
INSERT INTO public.who_import VALUES (72870, '2020-09-03', 'RU', 'Russian Federation', 'EURO', '4995', '1009995', '114', '17528');
INSERT INTO public.who_import VALUES (72871, '2020-09-04', 'RU', 'Russian Federation', 'EURO', '5110', '1015105', '121', '17649');
INSERT INTO public.who_import VALUES (72872, '2020-09-05', 'RU', 'Russian Federation', 'EURO', '5205', '1020310', '110', '17759');
INSERT INTO public.who_import VALUES (72873, '2020-09-06', 'RU', 'Russian Federation', 'EURO', '5195', '1025505', '61', '17820');
INSERT INTO public.who_import VALUES (72874, '2020-09-07', 'RU', 'Russian Federation', 'EURO', '5185', '1030690', '51', '17871');
INSERT INTO public.who_import VALUES (72875, '2020-09-08', 'RU', 'Russian Federation', 'EURO', '5099', '1035789', '122', '17993');
INSERT INTO public.who_import VALUES (72876, '2020-09-09', 'RU', 'Russian Federation', 'EURO', '5218', '1041007', '142', '18135');
INSERT INTO public.who_import VALUES (72877, '2020-09-10', 'RU', 'Russian Federation', 'EURO', '5363', '1046370', '128', '18263');
INSERT INTO public.who_import VALUES (72878, '2020-09-11', 'RU', 'Russian Federation', 'EURO', '5504', '1051874', '102', '18365');
INSERT INTO public.who_import VALUES (72879, '2020-09-12', 'RU', 'Russian Federation', 'EURO', '5488', '1057362', '119', '18484');
INSERT INTO public.who_import VALUES (72880, '2020-09-13', 'RU', 'Russian Federation', 'EURO', '5449', '1062811', '94', '18578');
INSERT INTO public.who_import VALUES (72881, '2020-09-14', 'RU', 'Russian Federation', 'EURO', '5509', '1068320', '57', '18635');
INSERT INTO public.who_import VALUES (72882, '2020-09-15', 'RU', 'Russian Federation', 'EURO', '5529', '1073849', '150', '18785');
INSERT INTO public.who_import VALUES (72883, '2020-09-16', 'RU', 'Russian Federation', 'EURO', '5670', '1079519', '132', '18917');
INSERT INTO public.who_import VALUES (72884, '2020-09-17', 'RU', 'Russian Federation', 'EURO', '5762', '1085281', '144', '19061');
INSERT INTO public.who_import VALUES (72885, '2020-09-18', 'RU', 'Russian Federation', 'EURO', '5905', '1091186', '134', '19195');
INSERT INTO public.who_import VALUES (72886, '2020-09-19', 'RU', 'Russian Federation', 'EURO', '6065', '1097251', '144', '19339');
INSERT INTO public.who_import VALUES (72887, '2020-09-20', 'RU', 'Russian Federation', 'EURO', '6148', '1103399', '79', '19418');
INSERT INTO public.who_import VALUES (72888, '2020-09-21', 'RU', 'Russian Federation', 'EURO', '6196', '1109595', '71', '19489');
INSERT INTO public.who_import VALUES (72889, '2020-09-22', 'RU', 'Russian Federation', 'EURO', '6215', '1115810', '160', '19649');
INSERT INTO public.who_import VALUES (72890, '2020-09-23', 'RU', 'Russian Federation', 'EURO', '6431', '1122241', '150', '19799');
INSERT INTO public.who_import VALUES (72891, '2020-09-24', 'RU', 'Russian Federation', 'EURO', '6595', '1128836', '149', '19948');
INSERT INTO public.who_import VALUES (72892, '2020-09-25', 'RU', 'Russian Federation', 'EURO', '7212', '1136048', '108', '20056');
INSERT INTO public.who_import VALUES (72893, '2020-09-26', 'RU', 'Russian Federation', 'EURO', '7523', '1143571', '169', '20225');
INSERT INTO public.who_import VALUES (72894, '2020-09-27', 'RU', 'Russian Federation', 'EURO', '7867', '1151438', '99', '20324');
INSERT INTO public.who_import VALUES (72895, '2020-09-28', 'RU', 'Russian Federation', 'EURO', '8135', '1159573', '61', '20385');
INSERT INTO public.who_import VALUES (72896, '2020-09-29', 'RU', 'Russian Federation', 'EURO', '8232', '1167805', '160', '20545');
INSERT INTO public.who_import VALUES (72897, '2020-09-30', 'RU', 'Russian Federation', 'EURO', '8481', '1176286', '177', '20722');
INSERT INTO public.who_import VALUES (72898, '2020-10-01', 'RU', 'Russian Federation', 'EURO', '8945', '1185231', '169', '20891');
INSERT INTO public.who_import VALUES (72899, '2020-10-02', 'RU', 'Russian Federation', 'EURO', '9412', '1194643', '186', '21077');
INSERT INTO public.who_import VALUES (72900, '2020-10-03', 'RU', 'Russian Federation', 'EURO', '9859', '1204502', '174', '21251');
INSERT INTO public.who_import VALUES (72901, '2020-10-04', 'RU', 'Russian Federation', 'EURO', '10499', '1215001', '107', '21358');
INSERT INTO public.who_import VALUES (72902, '2020-10-05', 'RU', 'Russian Federation', 'EURO', '10888', '1225889', '117', '21475');
INSERT INTO public.who_import VALUES (72903, '2020-10-06', 'RU', 'Russian Federation', 'EURO', '11615', '1237504', '188', '21663');
INSERT INTO public.who_import VALUES (72904, '2020-10-07', 'RU', 'Russian Federation', 'EURO', '11115', '1248619', '202', '21865');
INSERT INTO public.who_import VALUES (72905, '2020-10-08', 'RU', 'Russian Federation', 'EURO', '11493', '1260112', '191', '22056');
INSERT INTO public.who_import VALUES (72906, '2020-10-09', 'RU', 'Russian Federation', 'EURO', '12126', '1272238', '201', '22257');
INSERT INTO public.who_import VALUES (72907, '2020-10-10', 'RU', 'Russian Federation', 'EURO', '12846', '1285084', '197', '22454');
INSERT INTO public.who_import VALUES (72908, '2020-10-11', 'RU', 'Russian Federation', 'EURO', '13634', '1298718', '143', '22597');
INSERT INTO public.who_import VALUES (72909, '2020-10-12', 'RU', 'Russian Federation', 'EURO', '13592', '1312310', '125', '22722');
INSERT INTO public.who_import VALUES (72910, '2020-10-13', 'RU', 'Russian Federation', 'EURO', '13868', '1326178', '244', '22966');
INSERT INTO public.who_import VALUES (72911, '2020-10-14', 'RU', 'Russian Federation', 'EURO', '14231', '1340409', '239', '23205');
INSERT INTO public.who_import VALUES (72912, '2020-10-15', 'RU', 'Russian Federation', 'EURO', '13754', '1354163', '286', '23491');
INSERT INTO public.who_import VALUES (72913, '2020-10-16', 'RU', 'Russian Federation', 'EURO', '15150', '1369313', '232', '23723');
INSERT INTO public.who_import VALUES (72914, '2020-10-17', 'RU', 'Russian Federation', 'EURO', '14922', '1384235', '279', '24002');
INSERT INTO public.who_import VALUES (72915, '2020-10-18', 'RU', 'Russian Federation', 'EURO', '15099', '1399334', '185', '24187');
INSERT INTO public.who_import VALUES (72916, '2020-10-19', 'RU', 'Russian Federation', 'EURO', '15982', '1415316', '179', '24366');
INSERT INTO public.who_import VALUES (72917, '2020-10-20', 'RU', 'Russian Federation', 'EURO', '16319', '1431635', '269', '24635');
INSERT INTO public.who_import VALUES (72918, '2020-10-21', 'RU', 'Russian Federation', 'EURO', '15700', '1447335', '317', '24952');
INSERT INTO public.who_import VALUES (72919, '2020-10-22', 'RU', 'Russian Federation', 'EURO', '15971', '1463306', '290', '25242');
INSERT INTO public.who_import VALUES (72920, '2020-10-23', 'RU', 'Russian Federation', 'EURO', '17340', '1480646', '283', '25525');
INSERT INTO public.who_import VALUES (72921, '2020-10-24', 'RU', 'Russian Federation', 'EURO', '16521', '1497167', '296', '25821');
INSERT INTO public.who_import VALUES (72922, '2020-10-25', 'RU', 'Russian Federation', 'EURO', '16710', '1513877', '229', '26050');
INSERT INTO public.who_import VALUES (72923, '2020-10-26', 'RU', 'Russian Federation', 'EURO', '17347', '1531224', '219', '26269');
INSERT INTO public.who_import VALUES (72924, '2020-10-27', 'RU', 'Russian Federation', 'EURO', '16550', '1547774', '320', '26589');
INSERT INTO public.who_import VALUES (72925, '2020-10-28', 'RU', 'Russian Federation', 'EURO', '16202', '1563976', '346', '26935');
INSERT INTO public.who_import VALUES (72926, '2020-10-29', 'RU', 'Russian Federation', 'EURO', '17717', '1581693', '366', '27301');
INSERT INTO public.who_import VALUES (72927, '2020-10-30', 'RU', 'Russian Federation', 'EURO', '18283', '1599976', '355', '27656');
INSERT INTO public.who_import VALUES (72928, '2020-10-31', 'RU', 'Russian Federation', 'EURO', '18140', '1618116', '334', '27990');
INSERT INTO public.who_import VALUES (72929, '2020-11-01', 'RU', 'Russian Federation', 'EURO', '18665', '1636781', '245', '28235');
INSERT INTO public.who_import VALUES (72930, '2020-11-02', 'RU', 'Russian Federation', 'EURO', '18253', '1655034', '238', '28473');
INSERT INTO public.who_import VALUES (72931, '2020-11-03', 'RU', 'Russian Federation', 'EURO', '18652', '1673686', '355', '28828');
INSERT INTO public.who_import VALUES (72932, '2020-11-04', 'RU', 'Russian Federation', 'EURO', '19768', '1693454', '389', '29217');
INSERT INTO public.who_import VALUES (72933, '2020-11-05', 'RU', 'Russian Federation', 'EURO', '19404', '1712858', '292', '29509');
INSERT INTO public.who_import VALUES (72934, '2020-11-06', 'RU', 'Russian Federation', 'EURO', '20582', '1733440', '378', '29887');
INSERT INTO public.who_import VALUES (72935, '2020-11-07', 'RU', 'Russian Federation', 'EURO', '20396', '1753836', '364', '30251');
INSERT INTO public.who_import VALUES (72936, '2020-11-08', 'RU', 'Russian Federation', 'EURO', '20498', '1774334', '286', '30537');
INSERT INTO public.who_import VALUES (72937, '2020-11-09', 'RU', 'Russian Federation', 'EURO', '21798', '1796132', '256', '30793');
INSERT INTO public.who_import VALUES (72938, '2020-11-10', 'RU', 'Russian Federation', 'EURO', '20977', '1817109', '368', '31161');
INSERT INTO public.who_import VALUES (72939, '2020-11-11', 'RU', 'Russian Federation', 'EURO', '19851', '1836960', '432', '31593');
INSERT INTO public.who_import VALUES (72940, '2020-11-12', 'RU', 'Russian Federation', 'EURO', '21608', '1858568', '439', '32032');
INSERT INTO public.who_import VALUES (72941, '2020-11-13', 'RU', 'Russian Federation', 'EURO', '21983', '1880551', '411', '32443');
INSERT INTO public.who_import VALUES (72942, '2020-11-14', 'RU', 'Russian Federation', 'EURO', '22702', '1903253', '391', '32834');
INSERT INTO public.who_import VALUES (72943, '2020-11-15', 'RU', 'Russian Federation', 'EURO', '22572', '1925825', '352', '33186');
INSERT INTO public.who_import VALUES (72944, '2020-11-16', 'RU', 'Russian Federation', 'EURO', '22778', '1948603', '303', '33489');
INSERT INTO public.who_import VALUES (72945, '2020-11-17', 'RU', 'Russian Federation', 'EURO', '22410', '1971013', '442', '33931');
INSERT INTO public.who_import VALUES (72946, '2020-11-18', 'RU', 'Russian Federation', 'EURO', '20985', '1991998', '456', '34387');
INSERT INTO public.who_import VALUES (72947, '2020-11-19', 'RU', 'Russian Federation', 'EURO', '23610', '2015608', '463', '34850');
INSERT INTO public.who_import VALUES (72948, '2020-11-20', 'RU', 'Russian Federation', 'EURO', '24318', '2039926', '461', '35311');
INSERT INTO public.who_import VALUES (72949, '2020-11-21', 'RU', 'Russian Federation', 'EURO', '24822', '2064748', '467', '35778');
INSERT INTO public.who_import VALUES (72950, '2020-11-22', 'RU', 'Russian Federation', 'EURO', '24581', '2089329', '401', '36179');
INSERT INTO public.who_import VALUES (72951, '2020-11-23', 'RU', 'Russian Federation', 'EURO', '25173', '2114502', '361', '36540');
INSERT INTO public.who_import VALUES (72952, '2020-11-24', 'RU', 'Russian Federation', 'EURO', '24326', '2138828', '491', '37031');
INSERT INTO public.who_import VALUES (72953, '2020-11-25', 'RU', 'Russian Federation', 'EURO', '23675', '2162503', '507', '37538');
INSERT INTO public.who_import VALUES (72954, '2020-11-26', 'RU', 'Russian Federation', 'EURO', '25487', '2187990', '524', '38062');
INSERT INTO public.who_import VALUES (72955, '2020-11-27', 'RU', 'Russian Federation', 'EURO', '27543', '2215533', '496', '38558');
INSERT INTO public.who_import VALUES (72956, '2020-11-28', 'RU', 'Russian Federation', 'EURO', '27100', '2242633', '510', '39068');
INSERT INTO public.who_import VALUES (72957, '2020-11-29', 'RU', 'Russian Federation', 'EURO', '26683', '2269316', '459', '39527');
INSERT INTO public.who_import VALUES (72958, '2020-11-30', 'RU', 'Russian Federation', 'EURO', '26338', '2295654', '368', '39895');
INSERT INTO public.who_import VALUES (72959, '2020-12-01', 'RU', 'Russian Federation', 'EURO', '26402', '2322056', '569', '40464');
INSERT INTO public.who_import VALUES (72960, '2020-12-02', 'RU', 'Russian Federation', 'EURO', '25345', '2347401', '589', '41053');
INSERT INTO public.who_import VALUES (72961, '2020-12-03', 'RU', 'Russian Federation', 'EURO', '28145', '2375546', '554', '41607');
INSERT INTO public.who_import VALUES (72962, '2020-12-04', 'RU', 'Russian Federation', 'EURO', '27403', '2402949', '569', '42176');
INSERT INTO public.who_import VALUES (72963, '2020-12-05', 'RU', 'Russian Federation', 'EURO', '28782', '2431731', '508', '42684');
INSERT INTO public.who_import VALUES (72964, '2020-12-06', 'RU', 'Russian Federation', 'EURO', '29039', '2460770', '457', '43141');
INSERT INTO public.who_import VALUES (72965, '2020-12-07', 'RU', 'Russian Federation', 'EURO', '28142', '2488912', '456', '43597');
INSERT INTO public.who_import VALUES (72966, '2020-12-08', 'RU', 'Russian Federation', 'EURO', '26097', '2515009', '562', '44159');
INSERT INTO public.who_import VALUES (72967, '2020-12-09', 'RU', 'Russian Federation', 'EURO', '26190', '2541199', '559', '44718');
INSERT INTO public.who_import VALUES (72968, '2020-12-10', 'RU', 'Russian Federation', 'EURO', '27927', '2569126', '562', '45280');
INSERT INTO public.who_import VALUES (72969, '2020-12-11', 'RU', 'Russian Federation', 'EURO', '28585', '2597711', '613', '45893');
INSERT INTO public.who_import VALUES (72970, '2020-12-12', 'RU', 'Russian Federation', 'EURO', '28137', '2625848', '560', '46453');
INSERT INTO public.who_import VALUES (72971, '2020-12-13', 'RU', 'Russian Federation', 'EURO', '28080', '2653928', '488', '46941');
INSERT INTO public.who_import VALUES (72972, '2020-12-14', 'RU', 'Russian Federation', 'EURO', '27328', '2681256', '450', '47391');
INSERT INTO public.who_import VALUES (72973, '2020-12-15', 'RU', 'Russian Federation', 'EURO', '26689', '2707945', '577', '47968');
INSERT INTO public.who_import VALUES (72974, '2020-12-16', 'RU', 'Russian Federation', 'EURO', '26509', '2734454', '596', '48564');
INSERT INTO public.who_import VALUES (72975, '2020-12-17', 'RU', 'Russian Federation', 'EURO', '28214', '2762668', '587', '49151');
INSERT INTO public.who_import VALUES (72976, '2020-12-18', 'RU', 'Russian Federation', 'EURO', '28552', '2791220', '611', '49762');
INSERT INTO public.who_import VALUES (72977, '2020-12-19', 'RU', 'Russian Federation', 'EURO', '28209', '2819429', '585', '50347');
INSERT INTO public.who_import VALUES (72978, '2020-12-20', 'RU', 'Russian Federation', 'EURO', '28948', '2848377', '511', '50858');
INSERT INTO public.who_import VALUES (72979, '2020-12-21', 'RU', 'Russian Federation', 'EURO', '29350', '2877727', '493', '51351');
INSERT INTO public.who_import VALUES (72980, '2020-12-22', 'RU', 'Russian Federation', 'EURO', '28776', '2906503', '561', '51912');
INSERT INTO public.who_import VALUES (72981, '2020-12-23', 'RU', 'Russian Federation', 'EURO', '27250', '2933753', '549', '52461');
INSERT INTO public.who_import VALUES (72982, '2020-12-24', 'RU', 'Russian Federation', 'EURO', '29935', '2963688', '635', '53096');
INSERT INTO public.who_import VALUES (73076, '2020-02-07', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (72983, '2020-12-25', 'RU', 'Russian Federation', 'EURO', '29018', '2992706', '563', '53659');
INSERT INTO public.who_import VALUES (72984, '2020-12-26', 'RU', 'Russian Federation', 'EURO', '29258', '3021964', '567', '54226');
INSERT INTO public.who_import VALUES (72985, '2020-12-27', 'RU', 'Russian Federation', 'EURO', '28284', '3050248', '552', '54778');
INSERT INTO public.who_import VALUES (72986, '2020-12-28', 'RU', 'Russian Federation', 'EURO', '27787', '3078035', '487', '55265');
INSERT INTO public.who_import VALUES (72987, '2020-12-29', 'RU', 'Russian Federation', 'EURO', '27002', '3105037', '562', '55827');
INSERT INTO public.who_import VALUES (72988, '2020-12-30', 'RU', 'Russian Federation', 'EURO', '26513', '3131550', '599', '56426');
INSERT INTO public.who_import VALUES (72989, '2020-12-31', 'RU', 'Russian Federation', 'EURO', '27747', '3159297', '593', '57019');
INSERT INTO public.who_import VALUES (72990, '2021-01-01', 'RU', 'Russian Federation', 'EURO', '27039', '3186336', '536', '57555');
INSERT INTO public.who_import VALUES (72991, '2021-01-02', 'RU', 'Russian Federation', 'EURO', '26301', '3212637', '447', '58002');
INSERT INTO public.who_import VALUES (72992, '2021-01-03', 'RU', 'Russian Federation', 'EURO', '24150', '3236787', '504', '58506');
INSERT INTO public.who_import VALUES (72993, '2021-01-04', 'RU', 'Russian Federation', 'EURO', '23351', '3260138', '482', '58988');
INSERT INTO public.who_import VALUES (72994, '2021-01-05', 'RU', 'Russian Federation', 'EURO', '24246', '3284384', '518', '59506');
INSERT INTO public.who_import VALUES (72995, '2021-01-06', 'RU', 'Russian Federation', 'EURO', '24217', '3308601', '445', '59951');
INSERT INTO public.who_import VALUES (72996, '2021-01-07', 'RU', 'Russian Federation', 'EURO', '23541', '3332142', '506', '60457');
INSERT INTO public.who_import VALUES (72997, '2021-01-08', 'RU', 'Russian Federation', 'EURO', '23652', '3355794', '454', '60911');
INSERT INTO public.who_import VALUES (72998, '2021-01-09', 'RU', 'Russian Federation', 'EURO', '23309', '3379103', '470', '61381');
INSERT INTO public.who_import VALUES (72999, '2021-01-10', 'RU', 'Russian Federation', 'EURO', '22851', '3401954', '456', '61837');
INSERT INTO public.who_import VALUES (73000, '2021-01-11', 'RU', 'Russian Federation', 'EURO', '23315', '3425269', '436', '62273');
INSERT INTO public.who_import VALUES (73001, '2021-01-12', 'RU', 'Russian Federation', 'EURO', '22934', '3448203', '531', '62804');
INSERT INTO public.who_import VALUES (73002, '2021-01-13', 'RU', 'Russian Federation', 'EURO', '22850', '3471053', '566', '63370');
INSERT INTO public.who_import VALUES (73003, '2021-01-14', 'RU', 'Russian Federation', 'EURO', '24763', '3495816', '570', '63940');
INSERT INTO public.who_import VALUES (73004, '2021-01-15', 'RU', 'Russian Federation', 'EURO', '24715', '3520531', '555', '64495');
INSERT INTO public.who_import VALUES (73005, '2021-01-16', 'RU', 'Russian Federation', 'EURO', '24092', '3544623', '590', '65085');
INSERT INTO public.who_import VALUES (73006, '2021-01-17', 'RU', 'Russian Federation', 'EURO', '23586', '3568209', '481', '65566');
INSERT INTO public.who_import VALUES (73007, '2021-01-18', 'RU', 'Russian Federation', 'EURO', '22857', '3591066', '471', '66037');
INSERT INTO public.who_import VALUES (73008, '2021-01-19', 'RU', 'Russian Federation', 'EURO', '21734', '3612800', '586', '66623');
INSERT INTO public.who_import VALUES (73009, '2021-01-20', 'RU', 'Russian Federation', 'EURO', '21152', '3633952', '597', '67220');
INSERT INTO public.who_import VALUES (73010, '2021-01-21', 'RU', 'Russian Federation', 'EURO', '21887', '3655839', '612', '67832');
INSERT INTO public.who_import VALUES (73011, '2021-01-22', 'RU', 'Russian Federation', 'EURO', '21513', '3677352', '580', '68412');
INSERT INTO public.who_import VALUES (73012, '2021-01-23', 'RU', 'Russian Federation', 'EURO', '20921', '3698273', '559', '68971');
INSERT INTO public.who_import VALUES (73013, '2021-01-24', 'RU', 'Russian Federation', 'EURO', '21127', '3719400', '491', '69462');
INSERT INTO public.who_import VALUES (73014, '2021-01-25', 'RU', 'Russian Federation', 'EURO', '19290', '3738690', '456', '69918');
INSERT INTO public.who_import VALUES (73015, '2021-01-26', 'RU', 'Russian Federation', 'EURO', '18241', '3756931', '564', '70482');
INSERT INTO public.who_import VALUES (73016, '2021-01-27', 'RU', 'Russian Federation', 'EURO', '17741', '3774672', '594', '71076');
INSERT INTO public.who_import VALUES (73017, '2021-01-28', 'RU', 'Russian Federation', 'EURO', '19138', '3793810', '575', '71651');
INSERT INTO public.who_import VALUES (73018, '2021-01-29', 'RU', 'Russian Federation', 'EURO', '19238', '3813048', '534', '72185');
INSERT INTO public.who_import VALUES (73019, '2021-01-30', 'RU', 'Russian Federation', 'EURO', '19032', '3832080', '512', '72697');
INSERT INTO public.who_import VALUES (73020, '2021-01-31', 'RU', 'Russian Federation', 'EURO', '18359', '3850439', '485', '73182');
INSERT INTO public.who_import VALUES (73021, '2021-02-01', 'RU', 'Russian Federation', 'EURO', '17648', '3868087', '437', '73619');
INSERT INTO public.who_import VALUES (73022, '2021-02-02', 'RU', 'Russian Federation', 'EURO', '16643', '3884730', '539', '74158');
INSERT INTO public.who_import VALUES (73023, '2021-02-03', 'RU', 'Russian Federation', 'EURO', '16474', '3901204', '526', '74684');
INSERT INTO public.who_import VALUES (73024, '2021-02-04', 'RU', 'Russian Federation', 'EURO', '16714', '3917918', '521', '75205');
INSERT INTO public.who_import VALUES (73025, '2021-02-05', 'RU', 'Russian Federation', 'EURO', '16688', '3934606', '527', '75732');
INSERT INTO public.who_import VALUES (73026, '2021-02-06', 'RU', 'Russian Federation', 'EURO', '16627', '3951233', '497', '76229');
INSERT INTO public.who_import VALUES (73027, '2021-02-07', 'RU', 'Russian Federation', 'EURO', '16048', '3967281', '432', '76661');
INSERT INTO public.who_import VALUES (73028, '2021-02-08', 'RU', 'Russian Federation', 'EURO', '15916', '3983197', '407', '77068');
INSERT INTO public.who_import VALUES (73029, '2021-02-09', 'RU', 'Russian Federation', 'EURO', '15019', '3998216', '530', '77598');
INSERT INTO public.who_import VALUES (73030, '2021-02-10', 'RU', 'Russian Federation', 'EURO', '14494', '4012710', '536', '78134');
INSERT INTO public.who_import VALUES (73031, '2021-02-11', 'RU', 'Russian Federation', 'EURO', '15038', '4027748', '553', '78687');
INSERT INTO public.who_import VALUES (73032, '2021-02-12', 'RU', 'Russian Federation', 'EURO', '15089', '4042837', '507', '79194');
INSERT INTO public.who_import VALUES (73033, '2021-02-13', 'RU', 'Russian Federation', 'EURO', '14861', '4057698', '502', '79696');
INSERT INTO public.who_import VALUES (73034, '2021-02-14', 'RU', 'Russian Federation', 'EURO', '14185', '4071883', '430', '80126');
INSERT INTO public.who_import VALUES (73035, '2021-02-15', 'RU', 'Russian Federation', 'EURO', '14207', '4086090', '394', '80520');
INSERT INTO public.who_import VALUES (73036, '2021-02-16', 'RU', 'Russian Federation', 'EURO', '13233', '4099323', '459', '80979');
INSERT INTO public.who_import VALUES (73037, '2021-02-17', 'RU', 'Russian Federation', 'EURO', '12828', '4112151', '467', '81446');
INSERT INTO public.who_import VALUES (73038, '2021-02-18', 'RU', 'Russian Federation', 'EURO', '13447', '4125598', '480', '81926');
INSERT INTO public.who_import VALUES (73039, '2021-02-19', 'RU', 'Russian Federation', 'EURO', '13433', '4139031', '470', '82396');
INSERT INTO public.who_import VALUES (73040, '2021-02-20', 'RU', 'Russian Federation', 'EURO', '12953', '4151984', '480', '82876');
INSERT INTO public.who_import VALUES (73041, '2020-01-03', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73042, '2020-01-04', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73043, '2020-01-05', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73044, '2020-01-06', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73045, '2020-01-07', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73046, '2020-01-08', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73047, '2020-01-09', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73048, '2020-01-10', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73049, '2020-01-11', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73050, '2020-01-12', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73051, '2020-01-13', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73052, '2020-01-14', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73053, '2020-01-15', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73054, '2020-01-16', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73055, '2020-01-17', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73056, '2020-01-18', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73057, '2020-01-19', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73058, '2020-01-20', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73059, '2020-01-21', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73060, '2020-01-22', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73061, '2020-01-23', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73062, '2020-01-24', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73063, '2020-01-25', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73064, '2020-01-26', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73065, '2020-01-27', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73066, '2020-01-28', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73067, '2020-01-29', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73068, '2020-01-30', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73069, '2020-01-31', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73070, '2020-02-01', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73071, '2020-02-02', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73072, '2020-02-03', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73073, '2020-02-04', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73074, '2020-02-05', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73077, '2020-02-08', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73078, '2020-02-09', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73079, '2020-02-10', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73080, '2020-02-11', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73081, '2020-02-12', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73082, '2020-02-13', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73083, '2020-02-14', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73084, '2020-02-15', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73085, '2020-02-16', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73086, '2020-02-17', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73087, '2020-02-18', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73088, '2020-02-19', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73089, '2020-02-20', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73090, '2020-02-21', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73091, '2020-02-22', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73092, '2020-02-23', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73093, '2020-02-24', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73094, '2020-02-25', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73095, '2020-02-26', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73096, '2020-02-27', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73097, '2020-02-28', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73098, '2020-02-29', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73099, '2020-03-01', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73100, '2020-03-02', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73101, '2020-03-03', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73102, '2020-03-04', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73103, '2020-03-05', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73104, '2020-03-06', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73105, '2020-03-07', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73106, '2020-03-08', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73107, '2020-03-09', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73108, '2020-03-10', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73109, '2020-03-11', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73110, '2020-03-12', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73111, '2020-03-13', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73112, '2020-03-14', 'RW', 'Rwanda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73113, '2020-03-15', 'RW', 'Rwanda', 'AFRO', '9', '9', '0', '0');
INSERT INTO public.who_import VALUES (73114, '2020-03-16', 'RW', 'Rwanda', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (73115, '2020-03-17', 'RW', 'Rwanda', 'AFRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (73116, '2020-03-18', 'RW', 'Rwanda', 'AFRO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (73117, '2020-03-19', 'RW', 'Rwanda', 'AFRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (73118, '2020-03-20', 'RW', 'Rwanda', 'AFRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (73119, '2020-03-21', 'RW', 'Rwanda', 'AFRO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (73120, '2020-03-22', 'RW', 'Rwanda', 'AFRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (73121, '2020-03-23', 'RW', 'Rwanda', 'AFRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (73122, '2020-03-24', 'RW', 'Rwanda', 'AFRO', '19', '36', '0', '0');
INSERT INTO public.who_import VALUES (73123, '2020-03-25', 'RW', 'Rwanda', 'AFRO', '4', '40', '0', '0');
INSERT INTO public.who_import VALUES (73124, '2020-03-26', 'RW', 'Rwanda', 'AFRO', '1', '41', '0', '0');
INSERT INTO public.who_import VALUES (73125, '2020-03-27', 'RW', 'Rwanda', 'AFRO', '9', '50', '0', '0');
INSERT INTO public.who_import VALUES (73126, '2020-03-28', 'RW', 'Rwanda', 'AFRO', '4', '54', '0', '0');
INSERT INTO public.who_import VALUES (73127, '2020-03-29', 'RW', 'Rwanda', 'AFRO', '6', '60', '0', '0');
INSERT INTO public.who_import VALUES (73128, '2020-03-30', 'RW', 'Rwanda', 'AFRO', '10', '70', '0', '0');
INSERT INTO public.who_import VALUES (73129, '2020-03-31', 'RW', 'Rwanda', 'AFRO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (73130, '2020-04-01', 'RW', 'Rwanda', 'AFRO', '5', '75', '0', '0');
INSERT INTO public.who_import VALUES (73131, '2020-04-02', 'RW', 'Rwanda', 'AFRO', '7', '82', '0', '0');
INSERT INTO public.who_import VALUES (73132, '2020-04-03', 'RW', 'Rwanda', 'AFRO', '2', '84', '0', '0');
INSERT INTO public.who_import VALUES (73133, '2020-04-04', 'RW', 'Rwanda', 'AFRO', '5', '89', '0', '0');
INSERT INTO public.who_import VALUES (73134, '2020-04-05', 'RW', 'Rwanda', 'AFRO', '13', '102', '0', '0');
INSERT INTO public.who_import VALUES (73135, '2020-04-06', 'RW', 'Rwanda', 'AFRO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (73136, '2020-04-07', 'RW', 'Rwanda', 'AFRO', '2', '104', '0', '0');
INSERT INTO public.who_import VALUES (73137, '2020-04-08', 'RW', 'Rwanda', 'AFRO', '1', '105', '0', '0');
INSERT INTO public.who_import VALUES (73138, '2020-04-09', 'RW', 'Rwanda', 'AFRO', '5', '110', '0', '0');
INSERT INTO public.who_import VALUES (73139, '2020-04-10', 'RW', 'Rwanda', 'AFRO', '3', '113', '0', '0');
INSERT INTO public.who_import VALUES (73140, '2020-04-11', 'RW', 'Rwanda', 'AFRO', '5', '118', '0', '0');
INSERT INTO public.who_import VALUES (73141, '2020-04-12', 'RW', 'Rwanda', 'AFRO', '2', '120', '0', '0');
INSERT INTO public.who_import VALUES (73142, '2020-04-13', 'RW', 'Rwanda', 'AFRO', '6', '126', '0', '0');
INSERT INTO public.who_import VALUES (73143, '2020-04-14', 'RW', 'Rwanda', 'AFRO', '1', '127', '0', '0');
INSERT INTO public.who_import VALUES (73144, '2020-04-15', 'RW', 'Rwanda', 'AFRO', '7', '134', '0', '0');
INSERT INTO public.who_import VALUES (73145, '2020-04-16', 'RW', 'Rwanda', 'AFRO', '2', '136', '0', '0');
INSERT INTO public.who_import VALUES (73146, '2020-04-17', 'RW', 'Rwanda', 'AFRO', '2', '138', '0', '0');
INSERT INTO public.who_import VALUES (73147, '2020-04-18', 'RW', 'Rwanda', 'AFRO', '0', '138', '0', '0');
INSERT INTO public.who_import VALUES (73148, '2020-04-19', 'RW', 'Rwanda', 'AFRO', '6', '144', '0', '0');
INSERT INTO public.who_import VALUES (73149, '2020-04-20', 'RW', 'Rwanda', 'AFRO', '3', '147', '0', '0');
INSERT INTO public.who_import VALUES (73150, '2020-04-21', 'RW', 'Rwanda', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (73151, '2020-04-22', 'RW', 'Rwanda', 'AFRO', '3', '150', '0', '0');
INSERT INTO public.who_import VALUES (73152, '2020-04-23', 'RW', 'Rwanda', 'AFRO', '3', '153', '0', '0');
INSERT INTO public.who_import VALUES (73153, '2020-04-24', 'RW', 'Rwanda', 'AFRO', '1', '154', '0', '0');
INSERT INTO public.who_import VALUES (73154, '2020-04-25', 'RW', 'Rwanda', 'AFRO', '22', '176', '0', '0');
INSERT INTO public.who_import VALUES (73155, '2020-04-26', 'RW', 'Rwanda', 'AFRO', '7', '183', '0', '0');
INSERT INTO public.who_import VALUES (73156, '2020-04-27', 'RW', 'Rwanda', 'AFRO', '8', '191', '0', '0');
INSERT INTO public.who_import VALUES (73157, '2020-04-28', 'RW', 'Rwanda', 'AFRO', '16', '207', '0', '0');
INSERT INTO public.who_import VALUES (73158, '2020-04-29', 'RW', 'Rwanda', 'AFRO', '5', '212', '0', '0');
INSERT INTO public.who_import VALUES (73159, '2020-04-30', 'RW', 'Rwanda', 'AFRO', '13', '225', '0', '0');
INSERT INTO public.who_import VALUES (73160, '2020-05-01', 'RW', 'Rwanda', 'AFRO', '18', '243', '0', '0');
INSERT INTO public.who_import VALUES (73161, '2020-05-02', 'RW', 'Rwanda', 'AFRO', '6', '249', '0', '0');
INSERT INTO public.who_import VALUES (73162, '2020-05-03', 'RW', 'Rwanda', 'AFRO', '6', '255', '0', '0');
INSERT INTO public.who_import VALUES (73163, '2020-05-04', 'RW', 'Rwanda', 'AFRO', '4', '259', '0', '0');
INSERT INTO public.who_import VALUES (73164, '2020-05-05', 'RW', 'Rwanda', 'AFRO', '2', '261', '0', '0');
INSERT INTO public.who_import VALUES (73165, '2020-05-06', 'RW', 'Rwanda', 'AFRO', '0', '261', '0', '0');
INSERT INTO public.who_import VALUES (73166, '2020-05-07', 'RW', 'Rwanda', 'AFRO', '7', '268', '0', '0');
INSERT INTO public.who_import VALUES (73167, '2020-05-08', 'RW', 'Rwanda', 'AFRO', '3', '271', '0', '0');
INSERT INTO public.who_import VALUES (73168, '2020-05-09', 'RW', 'Rwanda', 'AFRO', '2', '273', '0', '0');
INSERT INTO public.who_import VALUES (73169, '2020-05-10', 'RW', 'Rwanda', 'AFRO', '7', '280', '0', '0');
INSERT INTO public.who_import VALUES (73170, '2020-05-11', 'RW', 'Rwanda', 'AFRO', '4', '284', '0', '0');
INSERT INTO public.who_import VALUES (73171, '2020-05-12', 'RW', 'Rwanda', 'AFRO', '1', '285', '0', '0');
INSERT INTO public.who_import VALUES (73172, '2020-05-13', 'RW', 'Rwanda', 'AFRO', '1', '286', '0', '0');
INSERT INTO public.who_import VALUES (73173, '2020-05-14', 'RW', 'Rwanda', 'AFRO', '1', '287', '0', '0');
INSERT INTO public.who_import VALUES (73174, '2020-05-15', 'RW', 'Rwanda', 'AFRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (73175, '2020-05-16', 'RW', 'Rwanda', 'AFRO', '0', '287', '0', '0');
INSERT INTO public.who_import VALUES (73176, '2020-05-17', 'RW', 'Rwanda', 'AFRO', '2', '289', '0', '0');
INSERT INTO public.who_import VALUES (73177, '2020-05-18', 'RW', 'Rwanda', 'AFRO', '3', '292', '0', '0');
INSERT INTO public.who_import VALUES (73178, '2020-05-19', 'RW', 'Rwanda', 'AFRO', '5', '297', '0', '0');
INSERT INTO public.who_import VALUES (73179, '2020-05-20', 'RW', 'Rwanda', 'AFRO', '11', '308', '0', '0');
INSERT INTO public.who_import VALUES (73180, '2020-05-21', 'RW', 'Rwanda', 'AFRO', '6', '314', '0', '0');
INSERT INTO public.who_import VALUES (73181, '2020-05-22', 'RW', 'Rwanda', 'AFRO', '6', '320', '0', '0');
INSERT INTO public.who_import VALUES (73182, '2020-05-23', 'RW', 'Rwanda', 'AFRO', '1', '321', '0', '0');
INSERT INTO public.who_import VALUES (73183, '2020-05-24', 'RW', 'Rwanda', 'AFRO', '4', '325', '0', '0');
INSERT INTO public.who_import VALUES (73184, '2020-05-25', 'RW', 'Rwanda', 'AFRO', '2', '327', '0', '0');
INSERT INTO public.who_import VALUES (73185, '2020-05-26', 'RW', 'Rwanda', 'AFRO', '9', '336', '0', '0');
INSERT INTO public.who_import VALUES (73186, '2020-05-27', 'RW', 'Rwanda', 'AFRO', '3', '339', '0', '0');
INSERT INTO public.who_import VALUES (73187, '2020-05-28', 'RW', 'Rwanda', 'AFRO', '7', '346', '0', '0');
INSERT INTO public.who_import VALUES (73188, '2020-05-29', 'RW', 'Rwanda', 'AFRO', '3', '349', '0', '0');
INSERT INTO public.who_import VALUES (73189, '2020-05-30', 'RW', 'Rwanda', 'AFRO', '6', '355', '0', '0');
INSERT INTO public.who_import VALUES (73190, '2020-05-31', 'RW', 'Rwanda', 'AFRO', '4', '359', '1', '1');
INSERT INTO public.who_import VALUES (73191, '2020-06-01', 'RW', 'Rwanda', 'AFRO', '11', '370', '0', '1');
INSERT INTO public.who_import VALUES (73192, '2020-06-02', 'RW', 'Rwanda', 'AFRO', '7', '377', '0', '1');
INSERT INTO public.who_import VALUES (73193, '2020-06-03', 'RW', 'Rwanda', 'AFRO', '7', '384', '1', '2');
INSERT INTO public.who_import VALUES (73194, '2020-06-04', 'RW', 'Rwanda', 'AFRO', '13', '397', '0', '2');
INSERT INTO public.who_import VALUES (73195, '2020-06-05', 'RW', 'Rwanda', 'AFRO', '13', '410', '0', '2');
INSERT INTO public.who_import VALUES (73196, '2020-06-06', 'RW', 'Rwanda', 'AFRO', '10', '420', '0', '2');
INSERT INTO public.who_import VALUES (73197, '2020-06-07', 'RW', 'Rwanda', 'AFRO', '11', '431', '0', '2');
INSERT INTO public.who_import VALUES (73198, '2020-06-08', 'RW', 'Rwanda', 'AFRO', '8', '439', '0', '2');
INSERT INTO public.who_import VALUES (73199, '2020-06-09', 'RW', 'Rwanda', 'AFRO', '12', '451', '0', '2');
INSERT INTO public.who_import VALUES (73200, '2020-06-10', 'RW', 'Rwanda', 'AFRO', '12', '463', '0', '2');
INSERT INTO public.who_import VALUES (73201, '2020-06-11', 'RW', 'Rwanda', 'AFRO', '13', '476', '0', '2');
INSERT INTO public.who_import VALUES (73202, '2020-06-12', 'RW', 'Rwanda', 'AFRO', '18', '494', '0', '2');
INSERT INTO public.who_import VALUES (73203, '2020-06-13', 'RW', 'Rwanda', 'AFRO', '16', '510', '0', '2');
INSERT INTO public.who_import VALUES (73204, '2020-06-14', 'RW', 'Rwanda', 'AFRO', '31', '541', '0', '2');
INSERT INTO public.who_import VALUES (73205, '2020-06-15', 'RW', 'Rwanda', 'AFRO', '41', '582', '0', '2');
INSERT INTO public.who_import VALUES (73206, '2020-06-16', 'RW', 'Rwanda', 'AFRO', '30', '612', '0', '2');
INSERT INTO public.who_import VALUES (73207, '2020-06-17', 'RW', 'Rwanda', 'AFRO', '24', '636', '0', '2');
INSERT INTO public.who_import VALUES (73208, '2020-06-18', 'RW', 'Rwanda', 'AFRO', '3', '639', '0', '2');
INSERT INTO public.who_import VALUES (73209, '2020-06-19', 'RW', 'Rwanda', 'AFRO', '7', '646', '0', '2');
INSERT INTO public.who_import VALUES (73210, '2020-06-20', 'RW', 'Rwanda', 'AFRO', '15', '661', '0', '2');
INSERT INTO public.who_import VALUES (73211, '2020-06-21', 'RW', 'Rwanda', 'AFRO', '41', '702', '0', '2');
INSERT INTO public.who_import VALUES (73212, '2020-06-22', 'RW', 'Rwanda', 'AFRO', '26', '728', '0', '2');
INSERT INTO public.who_import VALUES (73213, '2020-06-23', 'RW', 'Rwanda', 'AFRO', '59', '787', '0', '2');
INSERT INTO public.who_import VALUES (73214, '2020-06-24', 'RW', 'Rwanda', 'AFRO', '11', '798', '0', '2');
INSERT INTO public.who_import VALUES (73215, '2020-06-25', 'RW', 'Rwanda', 'AFRO', '32', '830', '0', '2');
INSERT INTO public.who_import VALUES (73216, '2020-06-26', 'RW', 'Rwanda', 'AFRO', '20', '850', '0', '2');
INSERT INTO public.who_import VALUES (73217, '2020-06-27', 'RW', 'Rwanda', 'AFRO', '8', '858', '0', '2');
INSERT INTO public.who_import VALUES (73218, '2020-06-28', 'RW', 'Rwanda', 'AFRO', '20', '878', '0', '2');
INSERT INTO public.who_import VALUES (73219, '2020-06-29', 'RW', 'Rwanda', 'AFRO', '22', '900', '0', '2');
INSERT INTO public.who_import VALUES (73220, '2020-06-30', 'RW', 'Rwanda', 'AFRO', '101', '1001', '0', '2');
INSERT INTO public.who_import VALUES (73221, '2020-07-01', 'RW', 'Rwanda', 'AFRO', '24', '1025', '0', '2');
INSERT INTO public.who_import VALUES (73222, '2020-07-02', 'RW', 'Rwanda', 'AFRO', '17', '1042', '1', '3');
INSERT INTO public.who_import VALUES (73223, '2020-07-03', 'RW', 'Rwanda', 'AFRO', '21', '1063', '0', '3');
INSERT INTO public.who_import VALUES (73224, '2020-07-04', 'RW', 'Rwanda', 'AFRO', '18', '1081', '0', '3');
INSERT INTO public.who_import VALUES (73225, '2020-07-05', 'RW', 'Rwanda', 'AFRO', '11', '1092', '0', '3');
INSERT INTO public.who_import VALUES (73226, '2020-07-06', 'RW', 'Rwanda', 'AFRO', '13', '1105', '0', '3');
INSERT INTO public.who_import VALUES (73227, '2020-07-07', 'RW', 'Rwanda', 'AFRO', '8', '1113', '0', '3');
INSERT INTO public.who_import VALUES (73228, '2020-07-08', 'RW', 'Rwanda', 'AFRO', '59', '1172', '0', '3');
INSERT INTO public.who_import VALUES (73229, '2020-07-09', 'RW', 'Rwanda', 'AFRO', '22', '1194', '0', '3');
INSERT INTO public.who_import VALUES (73230, '2020-07-10', 'RW', 'Rwanda', 'AFRO', '16', '1210', '0', '3');
INSERT INTO public.who_import VALUES (73231, '2020-07-11', 'RW', 'Rwanda', 'AFRO', '42', '1252', '0', '3');
INSERT INTO public.who_import VALUES (73232, '2020-07-12', 'RW', 'Rwanda', 'AFRO', '47', '1299', '0', '3');
INSERT INTO public.who_import VALUES (73233, '2020-07-13', 'RW', 'Rwanda', 'AFRO', '38', '1337', '1', '4');
INSERT INTO public.who_import VALUES (73234, '2020-07-14', 'RW', 'Rwanda', 'AFRO', '41', '1378', '0', '4');
INSERT INTO public.who_import VALUES (73235, '2020-07-15', 'RW', 'Rwanda', 'AFRO', '38', '1416', '0', '4');
INSERT INTO public.who_import VALUES (73236, '2020-07-16', 'RW', 'Rwanda', 'AFRO', '19', '1435', '0', '4');
INSERT INTO public.who_import VALUES (73237, '2020-07-17', 'RW', 'Rwanda', 'AFRO', '38', '1473', '0', '4');
INSERT INTO public.who_import VALUES (73238, '2020-07-18', 'RW', 'Rwanda', 'AFRO', '12', '1485', '0', '4');
INSERT INTO public.who_import VALUES (73239, '2020-07-19', 'RW', 'Rwanda', 'AFRO', '54', '1539', '1', '5');
INSERT INTO public.who_import VALUES (73240, '2020-07-20', 'RW', 'Rwanda', 'AFRO', '43', '1582', '0', '5');
INSERT INTO public.who_import VALUES (73241, '2020-07-21', 'RW', 'Rwanda', 'AFRO', '47', '1629', '0', '5');
INSERT INTO public.who_import VALUES (73242, '2020-07-22', 'RW', 'Rwanda', 'AFRO', '26', '1655', '0', '5');
INSERT INTO public.who_import VALUES (73243, '2020-07-23', 'RW', 'Rwanda', 'AFRO', '34', '1689', '0', '5');
INSERT INTO public.who_import VALUES (73244, '2020-07-24', 'RW', 'Rwanda', 'AFRO', '21', '1710', '0', '5');
INSERT INTO public.who_import VALUES (73245, '2020-07-25', 'RW', 'Rwanda', 'AFRO', '19', '1729', '0', '5');
INSERT INTO public.who_import VALUES (73246, '2020-07-26', 'RW', 'Rwanda', 'AFRO', '23', '1752', '0', '5');
INSERT INTO public.who_import VALUES (73247, '2020-07-27', 'RW', 'Rwanda', 'AFRO', '71', '1823', '0', '5');
INSERT INTO public.who_import VALUES (73248, '2020-07-28', 'RW', 'Rwanda', 'AFRO', '56', '1879', '0', '5');
INSERT INTO public.who_import VALUES (73249, '2020-07-29', 'RW', 'Rwanda', 'AFRO', '47', '1926', '0', '5');
INSERT INTO public.who_import VALUES (73250, '2020-07-30', 'RW', 'Rwanda', 'AFRO', '37', '1963', '0', '5');
INSERT INTO public.who_import VALUES (73251, '2020-07-31', 'RW', 'Rwanda', 'AFRO', '31', '1994', '0', '5');
INSERT INTO public.who_import VALUES (73252, '2020-08-01', 'RW', 'Rwanda', 'AFRO', '28', '2022', '0', '5');
INSERT INTO public.who_import VALUES (73253, '2020-08-02', 'RW', 'Rwanda', 'AFRO', '20', '2042', '0', '5');
INSERT INTO public.who_import VALUES (73254, '2020-08-03', 'RW', 'Rwanda', 'AFRO', '20', '2062', '0', '5');
INSERT INTO public.who_import VALUES (73255, '2020-08-04', 'RW', 'Rwanda', 'AFRO', '30', '2092', '0', '5');
INSERT INTO public.who_import VALUES (73256, '2020-08-05', 'RW', 'Rwanda', 'AFRO', '7', '2099', '0', '5');
INSERT INTO public.who_import VALUES (73257, '2020-08-06', 'RW', 'Rwanda', 'AFRO', '5', '2104', '0', '5');
INSERT INTO public.who_import VALUES (73258, '2020-08-07', 'RW', 'Rwanda', 'AFRO', '7', '2111', '0', '5');
INSERT INTO public.who_import VALUES (73259, '2020-08-08', 'RW', 'Rwanda', 'AFRO', '17', '2128', '0', '5');
INSERT INTO public.who_import VALUES (73260, '2020-08-09', 'RW', 'Rwanda', 'AFRO', '6', '2134', '1', '6');
INSERT INTO public.who_import VALUES (73261, '2020-08-10', 'RW', 'Rwanda', 'AFRO', '6', '2140', '1', '7');
INSERT INTO public.who_import VALUES (73262, '2020-08-11', 'RW', 'Rwanda', 'AFRO', '12', '2152', '0', '7');
INSERT INTO public.who_import VALUES (73263, '2020-08-12', 'RW', 'Rwanda', 'AFRO', '19', '2171', '0', '7');
INSERT INTO public.who_import VALUES (73264, '2020-08-13', 'RW', 'Rwanda', 'AFRO', '18', '2189', '1', '8');
INSERT INTO public.who_import VALUES (73265, '2020-08-14', 'RW', 'Rwanda', 'AFRO', '11', '2200', '0', '8');
INSERT INTO public.who_import VALUES (73266, '2020-08-15', 'RW', 'Rwanda', 'AFRO', '0', '2200', '0', '8');
INSERT INTO public.who_import VALUES (73267, '2020-08-16', 'RW', 'Rwanda', 'AFRO', '152', '2352', '0', '8');
INSERT INTO public.who_import VALUES (73268, '2020-08-17', 'RW', 'Rwanda', 'AFRO', '101', '2453', '0', '8');
INSERT INTO public.who_import VALUES (73269, '2020-08-18', 'RW', 'Rwanda', 'AFRO', '87', '2540', '0', '8');
INSERT INTO public.who_import VALUES (73270, '2020-08-19', 'RW', 'Rwanda', 'AFRO', '37', '2577', '2', '10');
INSERT INTO public.who_import VALUES (73271, '2020-08-20', 'RW', 'Rwanda', 'AFRO', '67', '2644', '0', '10');
INSERT INTO public.who_import VALUES (73272, '2020-08-21', 'RW', 'Rwanda', 'AFRO', '73', '2717', '1', '11');
INSERT INTO public.who_import VALUES (73273, '2020-08-22', 'RW', 'Rwanda', 'AFRO', '63', '2780', '0', '11');
INSERT INTO public.who_import VALUES (73274, '2020-08-23', 'RW', 'Rwanda', 'AFRO', '109', '2889', '0', '11');
INSERT INTO public.who_import VALUES (73275, '2020-08-24', 'RW', 'Rwanda', 'AFRO', '200', '3089', '1', '12');
INSERT INTO public.who_import VALUES (73276, '2020-08-25', 'RW', 'Rwanda', 'AFRO', '217', '3306', '2', '14');
INSERT INTO public.who_import VALUES (73277, '2020-08-26', 'RW', 'Rwanda', 'AFRO', '231', '3537', '1', '15');
INSERT INTO public.who_import VALUES (73278, '2020-08-27', 'RW', 'Rwanda', 'AFRO', '88', '3625', '0', '15');
INSERT INTO public.who_import VALUES (73279, '2020-08-28', 'RW', 'Rwanda', 'AFRO', '47', '3672', '0', '15');
INSERT INTO public.who_import VALUES (73280, '2020-08-29', 'RW', 'Rwanda', 'AFRO', '70', '3742', '1', '16');
INSERT INTO public.who_import VALUES (73281, '2020-08-30', 'RW', 'Rwanda', 'AFRO', '101', '3843', '0', '16');
INSERT INTO public.who_import VALUES (73282, '2020-08-31', 'RW', 'Rwanda', 'AFRO', '177', '4020', '0', '16');
INSERT INTO public.who_import VALUES (73283, '2020-09-01', 'RW', 'Rwanda', 'AFRO', '43', '4063', '0', '16');
INSERT INTO public.who_import VALUES (73284, '2020-09-02', 'RW', 'Rwanda', 'AFRO', '79', '4142', '0', '16');
INSERT INTO public.who_import VALUES (73285, '2020-09-03', 'RW', 'Rwanda', 'AFRO', '76', '4218', '1', '17');
INSERT INTO public.who_import VALUES (73286, '2020-09-04', 'RW', 'Rwanda', 'AFRO', '37', '4255', '1', '18');
INSERT INTO public.who_import VALUES (73287, '2020-09-05', 'RW', 'Rwanda', 'AFRO', '49', '4304', '0', '18');
INSERT INTO public.who_import VALUES (73288, '2020-09-06', 'RW', 'Rwanda', 'AFRO', '45', '4349', '0', '18');
INSERT INTO public.who_import VALUES (73289, '2020-09-07', 'RW', 'Rwanda', 'AFRO', '25', '4374', '1', '19');
INSERT INTO public.who_import VALUES (73290, '2020-09-08', 'RW', 'Rwanda', 'AFRO', '35', '4409', '0', '19');
INSERT INTO public.who_import VALUES (73291, '2020-09-09', 'RW', 'Rwanda', 'AFRO', '30', '4439', '1', '20');
INSERT INTO public.who_import VALUES (73292, '2020-09-10', 'RW', 'Rwanda', 'AFRO', '21', '4460', '1', '21');
INSERT INTO public.who_import VALUES (73293, '2020-09-11', 'RW', 'Rwanda', 'AFRO', '19', '4479', '1', '22');
INSERT INTO public.who_import VALUES (73294, '2020-09-12', 'RW', 'Rwanda', 'AFRO', '55', '4534', '0', '22');
INSERT INTO public.who_import VALUES (73295, '2020-09-13', 'RW', 'Rwanda', 'AFRO', '31', '4565', '0', '22');
INSERT INTO public.who_import VALUES (73296, '2020-09-14', 'RW', 'Rwanda', 'AFRO', '26', '4591', '0', '22');
INSERT INTO public.who_import VALUES (73297, '2020-09-15', 'RW', 'Rwanda', 'AFRO', '11', '4602', '0', '22');
INSERT INTO public.who_import VALUES (73298, '2020-09-16', 'RW', 'Rwanda', 'AFRO', '22', '4624', '0', '22');
INSERT INTO public.who_import VALUES (73299, '2020-09-17', 'RW', 'Rwanda', 'AFRO', '10', '4634', '0', '22');
INSERT INTO public.who_import VALUES (73300, '2020-09-18', 'RW', 'Rwanda', 'AFRO', '19', '4653', '1', '23');
INSERT INTO public.who_import VALUES (73301, '2020-09-19', 'RW', 'Rwanda', 'AFRO', '18', '4671', '2', '25');
INSERT INTO public.who_import VALUES (73302, '2020-09-20', 'RW', 'Rwanda', 'AFRO', '0', '4671', '0', '25');
INSERT INTO public.who_import VALUES (73524, '2020-03-11', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73303, '2020-09-21', 'RW', 'Rwanda', 'AFRO', '40', '4711', '1', '26');
INSERT INTO public.who_import VALUES (73304, '2020-09-22', 'RW', 'Rwanda', 'AFRO', '11', '4722', '1', '27');
INSERT INTO public.who_import VALUES (73305, '2020-09-23', 'RW', 'Rwanda', 'AFRO', '16', '4738', '0', '27');
INSERT INTO public.who_import VALUES (73306, '2020-09-24', 'RW', 'Rwanda', 'AFRO', '41', '4779', '0', '27');
INSERT INTO public.who_import VALUES (73307, '2020-09-25', 'RW', 'Rwanda', 'AFRO', '10', '4789', '0', '27');
INSERT INTO public.who_import VALUES (73308, '2020-09-26', 'RW', 'Rwanda', 'AFRO', '9', '4798', '2', '29');
INSERT INTO public.who_import VALUES (73309, '2020-09-27', 'RW', 'Rwanda', 'AFRO', '13', '4811', '0', '29');
INSERT INTO public.who_import VALUES (73310, '2020-09-28', 'RW', 'Rwanda', 'AFRO', '9', '4820', '0', '29');
INSERT INTO public.who_import VALUES (73311, '2020-09-29', 'RW', 'Rwanda', 'AFRO', '12', '4832', '0', '29');
INSERT INTO public.who_import VALUES (73312, '2020-09-30', 'RW', 'Rwanda', 'AFRO', '4', '4836', '0', '29');
INSERT INTO public.who_import VALUES (73313, '2020-10-01', 'RW', 'Rwanda', 'AFRO', '4', '4840', '0', '29');
INSERT INTO public.who_import VALUES (73314, '2020-10-02', 'RW', 'Rwanda', 'AFRO', '3', '4843', '0', '29');
INSERT INTO public.who_import VALUES (73315, '2020-10-03', 'RW', 'Rwanda', 'AFRO', '4', '4847', '0', '29');
INSERT INTO public.who_import VALUES (73316, '2020-10-04', 'RW', 'Rwanda', 'AFRO', '5', '4852', '0', '29');
INSERT INTO public.who_import VALUES (73317, '2020-10-05', 'RW', 'Rwanda', 'AFRO', '14', '4866', '0', '29');
INSERT INTO public.who_import VALUES (73318, '2020-10-06', 'RW', 'Rwanda', 'AFRO', '1', '4867', '0', '29');
INSERT INTO public.who_import VALUES (73319, '2020-10-07', 'RW', 'Rwanda', 'AFRO', '6', '4873', '0', '29');
INSERT INTO public.who_import VALUES (73320, '2020-10-08', 'RW', 'Rwanda', 'AFRO', '10', '4883', '0', '29');
INSERT INTO public.who_import VALUES (73321, '2020-10-09', 'RW', 'Rwanda', 'AFRO', '2', '4885', '0', '29');
INSERT INTO public.who_import VALUES (73322, '2020-10-10', 'RW', 'Rwanda', 'AFRO', '5', '4890', '0', '29');
INSERT INTO public.who_import VALUES (73323, '2020-10-11', 'RW', 'Rwanda', 'AFRO', '2', '4892', '1', '30');
INSERT INTO public.who_import VALUES (73324, '2020-10-12', 'RW', 'Rwanda', 'AFRO', '4', '4896', '1', '31');
INSERT INTO public.who_import VALUES (73325, '2020-10-13', 'RW', 'Rwanda', 'AFRO', '9', '4905', '1', '32');
INSERT INTO public.who_import VALUES (73326, '2020-10-14', 'RW', 'Rwanda', 'AFRO', '3', '4908', '0', '32');
INSERT INTO public.who_import VALUES (73327, '2020-10-15', 'RW', 'Rwanda', 'AFRO', '32', '4940', '1', '33');
INSERT INTO public.who_import VALUES (73328, '2020-10-16', 'RW', 'Rwanda', 'AFRO', '13', '4953', '0', '33');
INSERT INTO public.who_import VALUES (73329, '2020-10-17', 'RW', 'Rwanda', 'AFRO', '12', '4965', '1', '34');
INSERT INTO public.who_import VALUES (73330, '2020-10-18', 'RW', 'Rwanda', 'AFRO', '6', '4971', '0', '34');
INSERT INTO public.who_import VALUES (73331, '2020-10-19', 'RW', 'Rwanda', 'AFRO', '3', '4974', '0', '34');
INSERT INTO public.who_import VALUES (73332, '2020-10-20', 'RW', 'Rwanda', 'AFRO', '18', '4992', '0', '34');
INSERT INTO public.who_import VALUES (73333, '2020-10-21', 'RW', 'Rwanda', 'AFRO', '4', '4996', '0', '34');
INSERT INTO public.who_import VALUES (73334, '2020-10-22', 'RW', 'Rwanda', 'AFRO', '16', '5012', '0', '34');
INSERT INTO public.who_import VALUES (73335, '2020-10-23', 'RW', 'Rwanda', 'AFRO', '5', '5017', '0', '34');
INSERT INTO public.who_import VALUES (73336, '2020-10-24', 'RW', 'Rwanda', 'AFRO', '35', '5052', '0', '34');
INSERT INTO public.who_import VALUES (73337, '2020-10-25', 'RW', 'Rwanda', 'AFRO', '8', '5060', '0', '34');
INSERT INTO public.who_import VALUES (73338, '2020-10-26', 'RW', 'Rwanda', 'AFRO', '6', '5066', '0', '34');
INSERT INTO public.who_import VALUES (73339, '2020-10-27', 'RW', 'Rwanda', 'AFRO', '7', '5073', '0', '34');
INSERT INTO public.who_import VALUES (73340, '2020-10-28', 'RW', 'Rwanda', 'AFRO', '11', '5084', '1', '35');
INSERT INTO public.who_import VALUES (73341, '2020-10-29', 'RW', 'Rwanda', 'AFRO', '45', '5129', '0', '35');
INSERT INTO public.who_import VALUES (73342, '2020-10-30', 'RW', 'Rwanda', 'AFRO', '2', '5131', '0', '35');
INSERT INTO public.who_import VALUES (73343, '2020-10-31', 'RW', 'Rwanda', 'AFRO', '3', '5134', '0', '35');
INSERT INTO public.who_import VALUES (73344, '2020-11-01', 'RW', 'Rwanda', 'AFRO', '3', '5137', '0', '35');
INSERT INTO public.who_import VALUES (73345, '2020-11-02', 'RW', 'Rwanda', 'AFRO', '9', '5146', '0', '35');
INSERT INTO public.who_import VALUES (73346, '2020-11-03', 'RW', 'Rwanda', 'AFRO', '9', '5155', '0', '35');
INSERT INTO public.who_import VALUES (73347, '2020-11-04', 'RW', 'Rwanda', 'AFRO', '7', '5162', '0', '35');
INSERT INTO public.who_import VALUES (73348, '2020-11-05', 'RW', 'Rwanda', 'AFRO', '12', '5174', '0', '35');
INSERT INTO public.who_import VALUES (73349, '2020-11-06', 'RW', 'Rwanda', 'AFRO', '18', '5192', '1', '36');
INSERT INTO public.who_import VALUES (73350, '2020-11-07', 'RW', 'Rwanda', 'AFRO', '16', '5208', '0', '36');
INSERT INTO public.who_import VALUES (73351, '2020-11-08', 'RW', 'Rwanda', 'AFRO', '5', '5213', '0', '36');
INSERT INTO public.who_import VALUES (73352, '2020-11-09', 'RW', 'Rwanda', 'AFRO', '9', '5222', '0', '36');
INSERT INTO public.who_import VALUES (73353, '2020-11-10', 'RW', 'Rwanda', 'AFRO', '20', '5242', '2', '38');
INSERT INTO public.who_import VALUES (73354, '2020-11-11', 'RW', 'Rwanda', 'AFRO', '20', '5262', '2', '40');
INSERT INTO public.who_import VALUES (73355, '2020-11-12', 'RW', 'Rwanda', 'AFRO', '50', '5312', '1', '41');
INSERT INTO public.who_import VALUES (73356, '2020-11-13', 'RW', 'Rwanda', 'AFRO', '7', '5319', '0', '41');
INSERT INTO public.who_import VALUES (73357, '2020-11-14', 'RW', 'Rwanda', 'AFRO', '43', '5362', '1', '42');
INSERT INTO public.who_import VALUES (73358, '2020-11-15', 'RW', 'Rwanda', 'AFRO', '32', '5394', '0', '42');
INSERT INTO public.who_import VALUES (73359, '2020-11-16', 'RW', 'Rwanda', 'AFRO', '61', '5455', '0', '42');
INSERT INTO public.who_import VALUES (73360, '2020-11-17', 'RW', 'Rwanda', 'AFRO', '36', '5491', '3', '45');
INSERT INTO public.who_import VALUES (73361, '2020-11-18', 'RW', 'Rwanda', 'AFRO', '16', '5507', '1', '46');
INSERT INTO public.who_import VALUES (73362, '2020-11-19', 'RW', 'Rwanda', 'AFRO', '36', '5543', '0', '46');
INSERT INTO public.who_import VALUES (73363, '2020-11-20', 'RW', 'Rwanda', 'AFRO', '0', '5543', '0', '46');
INSERT INTO public.who_import VALUES (73364, '2020-11-21', 'RW', 'Rwanda', 'AFRO', '43', '5586', '0', '46');
INSERT INTO public.who_import VALUES (73365, '2020-11-22', 'RW', 'Rwanda', 'AFRO', '34', '5620', '0', '46');
INSERT INTO public.who_import VALUES (73366, '2020-11-23', 'RW', 'Rwanda', 'AFRO', '45', '5665', '1', '47');
INSERT INTO public.who_import VALUES (73367, '2020-11-24', 'RW', 'Rwanda', 'AFRO', '61', '5726', '0', '47');
INSERT INTO public.who_import VALUES (73368, '2020-11-25', 'RW', 'Rwanda', 'AFRO', '24', '5750', '0', '47');
INSERT INTO public.who_import VALUES (73369, '2020-11-26', 'RW', 'Rwanda', 'AFRO', '29', '5779', '0', '47');
INSERT INTO public.who_import VALUES (73370, '2020-11-27', 'RW', 'Rwanda', 'AFRO', '72', '5851', '0', '47');
INSERT INTO public.who_import VALUES (73371, '2020-11-28', 'RW', 'Rwanda', 'AFRO', '21', '5872', '0', '47');
INSERT INTO public.who_import VALUES (73372, '2020-11-29', 'RW', 'Rwanda', 'AFRO', '0', '5872', '0', '47');
INSERT INTO public.who_import VALUES (73373, '2020-11-30', 'RW', 'Rwanda', 'AFRO', '47', '5919', '1', '48');
INSERT INTO public.who_import VALUES (73374, '2020-12-01', 'RW', 'Rwanda', 'AFRO', '15', '5934', '1', '49');
INSERT INTO public.who_import VALUES (73375, '2020-12-02', 'RW', 'Rwanda', 'AFRO', '14', '5948', '0', '49');
INSERT INTO public.who_import VALUES (73376, '2020-12-03', 'RW', 'Rwanda', 'AFRO', '46', '5994', '1', '50');
INSERT INTO public.who_import VALUES (73377, '2020-12-04', 'RW', 'Rwanda', 'AFRO', '17', '6011', '0', '50');
INSERT INTO public.who_import VALUES (73378, '2020-12-05', 'RW', 'Rwanda', 'AFRO', '32', '6043', '1', '51');
INSERT INTO public.who_import VALUES (73379, '2020-12-06', 'RW', 'Rwanda', 'AFRO', '41', '6084', '0', '51');
INSERT INTO public.who_import VALUES (73380, '2020-12-07', 'RW', 'Rwanda', 'AFRO', '45', '6129', '0', '51');
INSERT INTO public.who_import VALUES (73381, '2020-12-08', 'RW', 'Rwanda', 'AFRO', '62', '6191', '0', '51');
INSERT INTO public.who_import VALUES (73382, '2020-12-09', 'RW', 'Rwanda', 'AFRO', '46', '6237', '0', '51');
INSERT INTO public.who_import VALUES (73383, '2020-12-10', 'RW', 'Rwanda', 'AFRO', '41', '6278', '2', '53');
INSERT INTO public.who_import VALUES (73384, '2020-12-11', 'RW', 'Rwanda', 'AFRO', '71', '6349', '0', '53');
INSERT INTO public.who_import VALUES (73385, '2020-12-12', 'RW', 'Rwanda', 'AFRO', '79', '6428', '1', '54');
INSERT INTO public.who_import VALUES (73386, '2020-12-13', 'RW', 'Rwanda', 'AFRO', '100', '6528', '2', '56');
INSERT INTO public.who_import VALUES (73387, '2020-12-14', 'RW', 'Rwanda', 'AFRO', '131', '6659', '0', '56');
INSERT INTO public.who_import VALUES (73388, '2020-12-15', 'RW', 'Rwanda', 'AFRO', '88', '6747', '0', '56');
INSERT INTO public.who_import VALUES (73389, '2020-12-16', 'RW', 'Rwanda', 'AFRO', '85', '6832', '1', '57');
INSERT INTO public.who_import VALUES (73390, '2020-12-17', 'RW', 'Rwanda', 'AFRO', '0', '6832', '0', '57');
INSERT INTO public.who_import VALUES (73391, '2020-12-18', 'RW', 'Rwanda', 'AFRO', '200', '7032', '0', '57');
INSERT INTO public.who_import VALUES (73392, '2020-12-19', 'RW', 'Rwanda', 'AFRO', '73', '7105', '0', '57');
INSERT INTO public.who_import VALUES (73393, '2020-12-20', 'RW', 'Rwanda', 'AFRO', '127', '7232', '2', '59');
INSERT INTO public.who_import VALUES (73394, '2020-12-21', 'RW', 'Rwanda', 'AFRO', '0', '7232', '0', '59');
INSERT INTO public.who_import VALUES (73395, '2020-12-22', 'RW', 'Rwanda', 'AFRO', '0', '7232', '0', '59');
INSERT INTO public.who_import VALUES (73396, '2020-12-23', 'RW', 'Rwanda', 'AFRO', '279', '7511', '7', '66');
INSERT INTO public.who_import VALUES (73397, '2020-12-24', 'RW', 'Rwanda', 'AFRO', '0', '7511', '0', '66');
INSERT INTO public.who_import VALUES (73398, '2020-12-25', 'RW', 'Rwanda', 'AFRO', '0', '7511', '0', '66');
INSERT INTO public.who_import VALUES (73399, '2020-12-26', 'RW', 'Rwanda', 'AFRO', '0', '7511', '0', '66');
INSERT INTO public.who_import VALUES (73400, '2020-12-27', 'RW', 'Rwanda', 'AFRO', '306', '7817', '6', '72');
INSERT INTO public.who_import VALUES (73401, '2020-12-28', 'RW', 'Rwanda', 'AFRO', '153', '7970', '2', '74');
INSERT INTO public.who_import VALUES (73402, '2020-12-29', 'RW', 'Rwanda', 'AFRO', '51', '8021', '1', '75');
INSERT INTO public.who_import VALUES (73403, '2020-12-30', 'RW', 'Rwanda', 'AFRO', '0', '8021', '0', '75');
INSERT INTO public.who_import VALUES (73404, '2020-12-31', 'RW', 'Rwanda', 'AFRO', '229', '8250', '11', '86');
INSERT INTO public.who_import VALUES (73405, '2021-01-01', 'RW', 'Rwanda', 'AFRO', '133', '8383', '6', '92');
INSERT INTO public.who_import VALUES (73406, '2021-01-02', 'RW', 'Rwanda', 'AFRO', '0', '8383', '0', '92');
INSERT INTO public.who_import VALUES (73407, '2021-01-03', 'RW', 'Rwanda', 'AFRO', '184', '8567', '6', '98');
INSERT INTO public.who_import VALUES (73408, '2021-01-04', 'RW', 'Rwanda', 'AFRO', '109', '8676', '3', '101');
INSERT INTO public.who_import VALUES (73409, '2021-01-05', 'RW', 'Rwanda', 'AFRO', '172', '8848', '4', '105');
INSERT INTO public.who_import VALUES (73410, '2021-01-06', 'RW', 'Rwanda', 'AFRO', '0', '8848', '0', '105');
INSERT INTO public.who_import VALUES (73411, '2021-01-07', 'RW', 'Rwanda', 'AFRO', '210', '9058', '7', '112');
INSERT INTO public.who_import VALUES (73412, '2021-01-08', 'RW', 'Rwanda', 'AFRO', '0', '9058', '0', '112');
INSERT INTO public.who_import VALUES (73413, '2021-01-09', 'RW', 'Rwanda', 'AFRO', '0', '9058', '0', '112');
INSERT INTO public.who_import VALUES (73414, '2021-01-10', 'RW', 'Rwanda', 'AFRO', '403', '9461', '6', '118');
INSERT INTO public.who_import VALUES (73415, '2021-01-11', 'RW', 'Rwanda', 'AFRO', '169', '9630', '2', '120');
INSERT INTO public.who_import VALUES (73416, '2021-01-12', 'RW', 'Rwanda', 'AFRO', '154', '9784', '4', '124');
INSERT INTO public.who_import VALUES (73417, '2021-01-13', 'RW', 'Rwanda', 'AFRO', '166', '9950', '1', '125');
INSERT INTO public.who_import VALUES (73418, '2021-01-14', 'RW', 'Rwanda', 'AFRO', '172', '10122', '3', '128');
INSERT INTO public.who_import VALUES (73419, '2021-01-15', 'RW', 'Rwanda', 'AFRO', '194', '10316', '5', '133');
INSERT INTO public.who_import VALUES (73420, '2021-01-16', 'RW', 'Rwanda', 'AFRO', '257', '10573', '5', '138');
INSERT INTO public.who_import VALUES (73421, '2021-01-17', 'RW', 'Rwanda', 'AFRO', '277', '10850', '2', '140');
INSERT INTO public.who_import VALUES (73422, '2021-01-18', 'RW', 'Rwanda', 'AFRO', '182', '11032', '2', '142');
INSERT INTO public.who_import VALUES (73423, '2021-01-19', 'RW', 'Rwanda', 'AFRO', '227', '11259', '4', '146');
INSERT INTO public.who_import VALUES (73424, '2021-01-20', 'RW', 'Rwanda', 'AFRO', '289', '11548', '2', '148');
INSERT INTO public.who_import VALUES (73425, '2021-01-21', 'RW', 'Rwanda', 'AFRO', '312', '11860', '5', '153');
INSERT INTO public.who_import VALUES (73426, '2021-01-22', 'RW', 'Rwanda', 'AFRO', '310', '12170', '9', '162');
INSERT INTO public.who_import VALUES (73427, '2021-01-23', 'RW', 'Rwanda', 'AFRO', '273', '12443', '3', '165');
INSERT INTO public.who_import VALUES (73428, '2021-01-24', 'RW', 'Rwanda', 'AFRO', '204', '12647', '7', '172');
INSERT INTO public.who_import VALUES (73429, '2021-01-25', 'RW', 'Rwanda', 'AFRO', '328', '12975', '2', '174');
INSERT INTO public.who_import VALUES (73430, '2021-01-26', 'RW', 'Rwanda', 'AFRO', '336', '13311', '3', '177');
INSERT INTO public.who_import VALUES (73431, '2021-01-27', 'RW', 'Rwanda', 'AFRO', '574', '13885', '4', '181');
INSERT INTO public.who_import VALUES (73432, '2021-01-28', 'RW', 'Rwanda', 'AFRO', '281', '14166', '2', '183');
INSERT INTO public.who_import VALUES (73433, '2021-01-29', 'RW', 'Rwanda', 'AFRO', '363', '14529', '0', '183');
INSERT INTO public.who_import VALUES (73434, '2021-01-30', 'RW', 'Rwanda', 'AFRO', '255', '14784', '5', '188');
INSERT INTO public.who_import VALUES (73435, '2021-01-31', 'RW', 'Rwanda', 'AFRO', '334', '15118', '5', '193');
INSERT INTO public.who_import VALUES (73436, '2021-02-01', 'RW', 'Rwanda', 'AFRO', '186', '15304', '3', '196');
INSERT INTO public.who_import VALUES (73437, '2021-02-02', 'RW', 'Rwanda', 'AFRO', '155', '15459', '2', '198');
INSERT INTO public.who_import VALUES (73438, '2021-02-03', 'RW', 'Rwanda', 'AFRO', '229', '15688', '7', '205');
INSERT INTO public.who_import VALUES (73439, '2021-02-04', 'RW', 'Rwanda', 'AFRO', '146', '15834', '3', '208');
INSERT INTO public.who_import VALUES (73440, '2021-02-05', 'RW', 'Rwanda', 'AFRO', '154', '15988', '2', '210');
INSERT INTO public.who_import VALUES (73441, '2021-02-06', 'RW', 'Rwanda', 'AFRO', '198', '16186', '3', '213');
INSERT INTO public.who_import VALUES (73442, '2021-02-07', 'RW', 'Rwanda', 'AFRO', '151', '16337', '4', '217');
INSERT INTO public.who_import VALUES (73443, '2021-02-08', 'RW', 'Rwanda', 'AFRO', '114', '16451', '3', '220');
INSERT INTO public.who_import VALUES (73444, '2021-02-09', 'RW', 'Rwanda', 'AFRO', '170', '16621', '3', '223');
INSERT INTO public.who_import VALUES (73445, '2021-02-10', 'RW', 'Rwanda', 'AFRO', '190', '16811', '3', '226');
INSERT INTO public.who_import VALUES (73446, '2021-02-11', 'RW', 'Rwanda', 'AFRO', '130', '16941', '3', '229');
INSERT INTO public.who_import VALUES (73447, '2021-02-12', 'RW', 'Rwanda', 'AFRO', '127', '17068', '2', '231');
INSERT INTO public.who_import VALUES (73448, '2021-02-13', 'RW', 'Rwanda', 'AFRO', '132', '17200', '5', '236');
INSERT INTO public.who_import VALUES (73449, '2021-02-14', 'RW', 'Rwanda', 'AFRO', '67', '17267', '0', '236');
INSERT INTO public.who_import VALUES (73450, '2021-02-15', 'RW', 'Rwanda', 'AFRO', '76', '17343', '3', '239');
INSERT INTO public.who_import VALUES (73451, '2021-02-16', 'RW', 'Rwanda', 'AFRO', '141', '17484', '0', '239');
INSERT INTO public.who_import VALUES (73452, '2021-02-17', 'RW', 'Rwanda', 'AFRO', '110', '17594', '1', '240');
INSERT INTO public.who_import VALUES (73453, '2021-02-18', 'RW', 'Rwanda', 'AFRO', '122', '17716', '3', '243');
INSERT INTO public.who_import VALUES (73454, '2021-02-19', 'RW', 'Rwanda', 'AFRO', '119', '17835', '0', '243');
INSERT INTO public.who_import VALUES (73455, '2021-02-20', 'RW', 'Rwanda', 'AFRO', '94', '17929', '2', '245');
INSERT INTO public.who_import VALUES (73456, '2020-01-03', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73457, '2020-01-04', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73458, '2020-01-05', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73459, '2020-01-06', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73460, '2020-01-07', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73461, '2020-01-08', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73462, '2020-01-09', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73463, '2020-01-10', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73464, '2020-01-11', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73465, '2020-01-12', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73466, '2020-01-13', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73467, '2020-01-14', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73468, '2020-01-15', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73469, '2020-01-16', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73470, '2020-01-17', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73471, '2020-01-18', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73472, '2020-01-19', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73473, '2020-01-20', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73474, '2020-01-21', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73475, '2020-01-22', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73476, '2020-01-23', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73477, '2020-01-24', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73478, '2020-01-25', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73479, '2020-01-26', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73480, '2020-01-27', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73481, '2020-01-28', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73482, '2020-01-29', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73483, '2020-01-30', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73484, '2020-01-31', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73485, '2020-02-01', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73486, '2020-02-02', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73487, '2020-02-03', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73488, '2020-02-04', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73489, '2020-02-05', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73490, '2020-02-06', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73491, '2020-02-07', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73492, '2020-02-08', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73493, '2020-02-09', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73494, '2020-02-10', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73495, '2020-02-11', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73496, '2020-02-12', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73497, '2020-02-13', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73498, '2020-02-14', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73499, '2020-02-15', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73500, '2020-02-16', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73501, '2020-02-17', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73502, '2020-02-18', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73503, '2020-02-19', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73504, '2020-02-20', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73505, '2020-02-21', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73506, '2020-02-22', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73507, '2020-02-23', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73508, '2020-02-24', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73509, '2020-02-25', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73510, '2020-02-26', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73511, '2020-02-27', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73512, '2020-02-28', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73513, '2020-02-29', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73514, '2020-03-01', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73515, '2020-03-02', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73516, '2020-03-03', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73517, '2020-03-04', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73518, '2020-03-05', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73519, '2020-03-06', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73520, '2020-03-07', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73521, '2020-03-08', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73522, '2020-03-09', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73523, '2020-03-10', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73525, '2020-03-12', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73526, '2020-03-13', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73527, '2020-03-14', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73528, '2020-03-15', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73529, '2020-03-16', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73530, '2020-03-17', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73531, '2020-03-18', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73532, '2020-03-19', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73533, '2020-03-20', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73534, '2020-03-21', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73535, '2020-03-22', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73536, '2020-03-23', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73537, '2020-03-24', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73538, '2020-03-25', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73539, '2020-03-26', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73540, '2020-03-27', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73541, '2020-03-28', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73542, '2020-03-29', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73543, '2020-03-30', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73544, '2020-03-31', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73545, '2020-04-01', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73546, '2020-04-02', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73547, '2020-04-03', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73548, '2020-04-04', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73549, '2020-04-05', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73550, '2020-04-06', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73551, '2020-04-07', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73552, '2020-04-08', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73553, '2020-04-09', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73554, '2020-04-10', 'XC', 'Saba', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73555, '2020-04-11', 'XC', 'Saba', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (73556, '2020-04-12', 'XC', 'Saba', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73557, '2020-04-13', 'XC', 'Saba', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (73558, '2020-04-14', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73559, '2020-04-15', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73560, '2020-04-16', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73561, '2020-04-17', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73562, '2020-04-18', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73563, '2020-04-19', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73564, '2020-04-20', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73565, '2020-04-21', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73566, '2020-04-22', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73567, '2020-04-23', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73568, '2020-04-24', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73569, '2020-04-25', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73570, '2020-04-26', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73571, '2020-04-27', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73572, '2020-04-28', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73573, '2020-04-29', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73574, '2020-04-30', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73575, '2020-05-01', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73576, '2020-05-02', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73577, '2020-05-03', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73578, '2020-05-04', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73579, '2020-05-05', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73580, '2020-05-06', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73581, '2020-05-07', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73582, '2020-05-08', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73583, '2020-05-09', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73584, '2020-05-10', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73585, '2020-05-11', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73586, '2020-05-12', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73587, '2020-05-13', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73588, '2020-05-14', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73589, '2020-05-15', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73590, '2020-05-16', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73591, '2020-05-17', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73592, '2020-05-18', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73593, '2020-05-19', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73594, '2020-05-20', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73595, '2020-05-21', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73596, '2020-05-22', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73597, '2020-05-23', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73598, '2020-05-24', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73599, '2020-05-25', 'XC', 'Saba', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (73600, '2020-05-26', 'XC', 'Saba', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (73601, '2020-05-27', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73602, '2020-05-28', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73603, '2020-05-29', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73604, '2020-05-30', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73605, '2020-05-31', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73606, '2020-06-01', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73607, '2020-06-02', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73608, '2020-06-03', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73609, '2020-06-04', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73610, '2020-06-05', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73611, '2020-06-06', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73612, '2020-06-07', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73613, '2020-06-08', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73614, '2020-06-09', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73615, '2020-06-10', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73616, '2020-06-11', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73617, '2020-06-12', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73618, '2020-06-13', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73619, '2020-06-14', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73620, '2020-06-15', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73621, '2020-06-16', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73622, '2020-06-17', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73623, '2020-06-18', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73624, '2020-06-19', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73625, '2020-06-20', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73626, '2020-06-21', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73627, '2020-06-22', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73628, '2020-06-23', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73629, '2020-06-24', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73630, '2020-06-25', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73631, '2020-06-26', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73632, '2020-06-27', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73633, '2020-06-28', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73634, '2020-06-29', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73635, '2020-06-30', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73636, '2020-07-01', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73637, '2020-07-02', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73638, '2020-07-03', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73639, '2020-07-04', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73640, '2020-07-05', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73641, '2020-07-06', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73642, '2020-07-07', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73643, '2020-07-08', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73644, '2020-07-09', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73645, '2020-07-10', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73646, '2020-07-11', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73647, '2020-07-12', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73648, '2020-07-13', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73649, '2020-07-14', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73650, '2020-07-15', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73651, '2020-07-16', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73652, '2020-07-17', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73653, '2020-07-18', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73654, '2020-07-19', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73655, '2020-07-20', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73656, '2020-07-21', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73657, '2020-07-22', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73658, '2020-07-23', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73659, '2020-07-24', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73660, '2020-07-25', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73661, '2020-07-26', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73662, '2020-07-27', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73663, '2020-07-28', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73664, '2020-07-29', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73665, '2020-07-30', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73666, '2020-07-31', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73667, '2020-08-01', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73668, '2020-08-02', 'XC', 'Saba', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73669, '2020-08-03', 'XC', 'Saba', 'AMRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (73670, '2020-08-04', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73671, '2020-08-05', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73672, '2020-08-06', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73673, '2020-08-07', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73674, '2020-08-08', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73675, '2020-08-09', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73676, '2020-08-10', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73677, '2020-08-11', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73678, '2020-08-12', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73679, '2020-08-13', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73680, '2020-08-14', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73681, '2020-08-15', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73682, '2020-08-16', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73683, '2020-08-17', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73684, '2020-08-18', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73685, '2020-08-19', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73686, '2020-08-20', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73687, '2020-08-21', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73688, '2020-08-22', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73689, '2020-08-23', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73690, '2020-08-24', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73691, '2020-08-25', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73692, '2020-08-26', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73693, '2020-08-27', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73694, '2020-08-28', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73695, '2020-08-29', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73696, '2020-08-30', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73697, '2020-08-31', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73698, '2020-09-01', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73699, '2020-09-02', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73700, '2020-09-03', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73701, '2020-09-04', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73702, '2020-09-05', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73703, '2020-09-06', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73704, '2020-09-07', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73705, '2020-09-08', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73706, '2020-09-09', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73707, '2020-09-10', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73708, '2020-09-11', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73709, '2020-09-12', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73710, '2020-09-13', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73711, '2020-09-14', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73712, '2020-09-15', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73713, '2020-09-16', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73714, '2020-09-17', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73715, '2020-09-18', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73716, '2020-09-19', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73717, '2020-09-20', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73718, '2020-09-21', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73719, '2020-09-22', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73720, '2020-09-23', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73721, '2020-09-24', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73722, '2020-09-25', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73723, '2020-09-26', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73724, '2020-09-27', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73725, '2020-09-28', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73726, '2020-09-29', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73727, '2020-09-30', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73728, '2020-10-01', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73729, '2020-10-02', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73730, '2020-10-03', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73731, '2020-10-04', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73732, '2020-10-05', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73733, '2020-10-06', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73734, '2020-10-07', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73735, '2020-10-08', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73736, '2020-10-09', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73737, '2020-10-10', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73738, '2020-10-11', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73739, '2020-10-12', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73740, '2020-10-13', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73741, '2020-10-14', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73742, '2020-10-15', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73743, '2020-10-16', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73744, '2020-10-17', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73745, '2020-10-18', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73746, '2020-10-19', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73747, '2020-10-20', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73748, '2020-10-21', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73749, '2020-10-22', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73750, '2020-10-23', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73751, '2020-10-24', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73752, '2020-10-25', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73753, '2020-10-26', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73754, '2020-10-27', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73755, '2020-10-28', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73756, '2020-10-29', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73757, '2020-10-30', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73758, '2020-10-31', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73759, '2020-11-01', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73760, '2020-11-02', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73761, '2020-11-03', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73762, '2020-11-04', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73763, '2020-11-05', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73764, '2020-11-06', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73765, '2020-11-07', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73766, '2020-11-08', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73767, '2020-11-09', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73768, '2020-11-10', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73769, '2020-11-11', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73770, '2020-11-12', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73771, '2020-11-13', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73772, '2020-11-14', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73773, '2020-11-15', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73774, '2020-11-16', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73775, '2020-11-17', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73776, '2020-11-18', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73777, '2020-11-19', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73778, '2020-11-20', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73779, '2020-11-21', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73780, '2020-11-22', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73781, '2020-11-23', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73782, '2020-11-24', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73783, '2020-11-25', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73784, '2020-11-26', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73785, '2020-11-27', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73786, '2020-11-28', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73787, '2020-11-29', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73788, '2020-11-30', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73789, '2020-12-01', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73790, '2020-12-02', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73791, '2020-12-03', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73792, '2020-12-04', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73793, '2020-12-05', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73794, '2020-12-06', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73795, '2020-12-07', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73796, '2020-12-08', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73797, '2020-12-09', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73798, '2020-12-10', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73799, '2020-12-11', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73800, '2020-12-12', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73801, '2020-12-13', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73802, '2020-12-14', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73803, '2020-12-15', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73804, '2020-12-16', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73805, '2020-12-17', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73806, '2020-12-18', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73807, '2020-12-19', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73808, '2020-12-20', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73809, '2020-12-21', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73810, '2020-12-22', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73811, '2020-12-23', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73812, '2020-12-24', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73813, '2020-12-25', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73814, '2020-12-26', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73815, '2020-12-27', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73816, '2020-12-28', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73817, '2020-12-29', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73818, '2020-12-30', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73819, '2020-12-31', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73820, '2021-01-01', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73821, '2021-01-02', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73822, '2021-01-03', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73823, '2021-01-04', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73824, '2021-01-05', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73825, '2021-01-06', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73826, '2021-01-07', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73827, '2021-01-08', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73828, '2021-01-09', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73829, '2021-01-10', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73830, '2021-01-11', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73831, '2021-01-12', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73832, '2021-01-13', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73833, '2021-01-14', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73834, '2021-01-15', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73835, '2021-01-16', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73836, '2021-01-17', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73837, '2021-01-18', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73838, '2021-01-19', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73839, '2021-01-20', 'XC', 'Saba', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73840, '2021-01-21', 'XC', 'Saba', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (73841, '2021-01-22', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73842, '2021-01-23', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73843, '2021-01-24', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73844, '2021-01-25', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73845, '2021-01-26', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73846, '2021-01-27', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73847, '2021-01-28', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73848, '2021-01-29', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73849, '2021-01-30', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73850, '2021-01-31', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73851, '2021-02-01', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73852, '2021-02-02', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73853, '2021-02-03', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73854, '2021-02-04', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73855, '2021-02-05', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73856, '2021-02-06', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73857, '2021-02-07', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73858, '2021-02-08', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73859, '2021-02-09', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73860, '2021-02-10', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73861, '2021-02-11', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73862, '2021-02-12', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73863, '2021-02-13', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73864, '2021-02-14', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73865, '2021-02-15', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73866, '2021-02-16', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73867, '2021-02-17', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73868, '2021-02-18', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73869, '2021-02-19', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73870, '2021-02-20', 'XC', 'Saba', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73871, '2020-01-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73872, '2020-01-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73873, '2020-01-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73874, '2020-01-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73875, '2020-01-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73876, '2020-01-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73877, '2020-01-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73878, '2020-01-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73879, '2020-01-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73880, '2020-01-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73881, '2020-01-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73882, '2020-01-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73883, '2020-01-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73884, '2020-01-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73885, '2020-01-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73886, '2020-01-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73887, '2020-01-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73888, '2020-01-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73889, '2020-01-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73890, '2020-01-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73891, '2020-01-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73892, '2020-01-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73893, '2020-01-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73894, '2020-01-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73895, '2020-01-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73896, '2020-01-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73897, '2020-01-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73898, '2020-01-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73899, '2020-01-31', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73900, '2020-02-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73901, '2020-02-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73902, '2020-02-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73903, '2020-02-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73904, '2020-02-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73905, '2020-02-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73906, '2020-02-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73907, '2020-02-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73908, '2020-02-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73909, '2020-02-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73910, '2020-02-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73911, '2020-02-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73912, '2020-02-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73913, '2020-02-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73914, '2020-02-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73915, '2020-02-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73916, '2020-02-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73917, '2020-02-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73918, '2020-02-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73919, '2020-02-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73920, '2020-02-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73921, '2020-02-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73922, '2020-02-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73923, '2020-02-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73924, '2020-02-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73925, '2020-02-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73926, '2020-02-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73927, '2020-02-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73928, '2020-02-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73929, '2020-03-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (73930, '2020-03-02', 'BL', 'Saint Barthélemy', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (73931, '2020-03-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73932, '2020-03-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73933, '2020-03-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73934, '2020-03-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73935, '2020-03-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73936, '2020-03-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73937, '2020-03-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73938, '2020-03-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73939, '2020-03-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73940, '2020-03-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73941, '2020-03-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73942, '2020-03-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (73943, '2020-03-15', 'BL', 'Saint Barthélemy', 'AMRO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (73944, '2020-03-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73945, '2020-03-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73946, '2020-03-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73947, '2020-03-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73948, '2020-03-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73949, '2020-03-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73950, '2020-03-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73951, '2020-03-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73952, '2020-03-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73953, '2020-03-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73954, '2020-03-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73955, '2020-03-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (73956, '2020-03-28', 'BL', 'Saint Barthélemy', 'AMRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (73957, '2020-03-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73958, '2020-03-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (73959, '2020-03-31', 'BL', 'Saint Barthélemy', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (73960, '2020-04-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73961, '2020-04-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73962, '2020-04-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73963, '2020-04-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73964, '2020-04-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73965, '2020-04-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73966, '2020-04-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73967, '2020-04-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73968, '2020-04-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73969, '2020-04-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73970, '2020-04-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73971, '2020-04-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73972, '2020-04-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73973, '2020-04-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73974, '2020-04-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73975, '2020-04-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73976, '2020-04-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73977, '2020-04-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73978, '2020-04-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73979, '2020-04-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73980, '2020-04-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73981, '2020-04-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73982, '2020-04-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73983, '2020-04-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73984, '2020-04-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73985, '2020-04-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73986, '2020-04-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73987, '2020-04-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73988, '2020-04-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73989, '2020-04-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73990, '2020-05-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73991, '2020-05-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73992, '2020-05-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73993, '2020-05-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73994, '2020-05-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73995, '2020-05-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73996, '2020-05-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73997, '2020-05-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73998, '2020-05-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (73999, '2020-05-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74000, '2020-05-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74001, '2020-05-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74002, '2020-05-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74003, '2020-05-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74004, '2020-05-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74005, '2020-05-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74006, '2020-05-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74007, '2020-05-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74008, '2020-05-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74009, '2020-05-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74010, '2020-05-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74011, '2020-05-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74012, '2020-05-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74013, '2020-05-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74014, '2020-05-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74015, '2020-05-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74016, '2020-05-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74017, '2020-05-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74018, '2020-05-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74019, '2020-05-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74020, '2020-05-31', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74021, '2020-06-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74022, '2020-06-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74023, '2020-06-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74024, '2020-06-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74025, '2020-06-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74026, '2020-06-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74027, '2020-06-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74028, '2020-06-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74029, '2020-06-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74030, '2020-06-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74031, '2020-06-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74032, '2020-06-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74033, '2020-06-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74034, '2020-06-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74035, '2020-06-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74036, '2020-06-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74037, '2020-06-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74038, '2020-06-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74039, '2020-06-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74040, '2020-06-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74041, '2020-06-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74042, '2020-06-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74043, '2020-06-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74044, '2020-06-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74045, '2020-06-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74046, '2020-06-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74047, '2020-06-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74048, '2020-06-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74049, '2020-06-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74050, '2020-06-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74051, '2020-07-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74052, '2020-07-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74053, '2020-07-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74054, '2020-07-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74055, '2020-07-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74056, '2020-07-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74057, '2020-07-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74058, '2020-07-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74059, '2020-07-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74060, '2020-07-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74061, '2020-07-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74062, '2020-07-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74063, '2020-07-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74064, '2020-07-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74065, '2020-07-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74066, '2020-07-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74067, '2020-07-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74068, '2020-07-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74069, '2020-07-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74070, '2020-07-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74071, '2020-07-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74072, '2020-07-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74073, '2020-07-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74074, '2020-07-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74075, '2020-07-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (74076, '2020-07-26', 'BL', 'Saint Barthélemy', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (74077, '2020-07-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (74078, '2020-07-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (74079, '2020-07-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (74080, '2020-07-30', 'BL', 'Saint Barthélemy', 'AMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (74081, '2020-07-31', 'BL', 'Saint Barthélemy', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (74082, '2020-08-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (74083, '2020-08-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (74084, '2020-08-03', 'BL', 'Saint Barthélemy', 'AMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (74085, '2020-08-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74086, '2020-08-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74087, '2020-08-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74088, '2020-08-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74089, '2020-08-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74090, '2020-08-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74091, '2020-08-10', 'BL', 'Saint Barthélemy', 'AMRO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (74092, '2020-08-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74093, '2020-08-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74094, '2020-08-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74095, '2020-08-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74096, '2020-08-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74097, '2020-08-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74098, '2020-08-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74099, '2020-08-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (74100, '2020-08-19', 'BL', 'Saint Barthélemy', 'AMRO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (74101, '2020-08-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74102, '2020-08-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74103, '2020-08-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74104, '2020-08-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74105, '2020-08-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74106, '2020-08-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74107, '2020-08-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74108, '2020-08-27', 'BL', 'Saint Barthélemy', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (74109, '2020-08-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74110, '2020-08-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74111, '2020-08-30', 'BL', 'Saint Barthélemy', 'AMRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (74112, '2020-08-31', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74113, '2020-09-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74114, '2020-09-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74115, '2020-09-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74116, '2020-09-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74117, '2020-09-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74118, '2020-09-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74119, '2020-09-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74120, '2020-09-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74121, '2020-09-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74122, '2020-09-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (74123, '2020-09-11', 'BL', 'Saint Barthélemy', 'AMRO', '3', '21', '0', '0');
INSERT INTO public.who_import VALUES (74124, '2020-09-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (74125, '2020-09-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (74126, '2020-09-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (74127, '2020-09-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (74128, '2020-09-16', 'BL', 'Saint Barthélemy', 'AMRO', '2', '23', '0', '0');
INSERT INTO public.who_import VALUES (74129, '2020-09-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74130, '2020-09-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74131, '2020-09-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74132, '2020-09-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74133, '2020-09-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74134, '2020-09-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74135, '2020-09-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (74136, '2020-09-24', 'BL', 'Saint Barthélemy', 'AMRO', '22', '45', '0', '0');
INSERT INTO public.who_import VALUES (74137, '2020-09-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (74138, '2020-09-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (74139, '2020-09-27', 'BL', 'Saint Barthélemy', 'AMRO', '3', '48', '0', '0');
INSERT INTO public.who_import VALUES (74140, '2020-09-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (74141, '2020-09-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (74142, '2020-09-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (74143, '2020-10-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (74144, '2020-10-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (74145, '2020-10-03', 'BL', 'Saint Barthélemy', 'AMRO', '14', '62', '0', '0');
INSERT INTO public.who_import VALUES (74146, '2020-10-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74147, '2020-10-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74148, '2020-10-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74149, '2020-10-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74150, '2020-10-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74151, '2020-10-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74152, '2020-10-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (74153, '2020-10-11', 'BL', 'Saint Barthélemy', 'AMRO', '3', '65', '0', '0');
INSERT INTO public.who_import VALUES (74154, '2020-10-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '65', '0', '0');
INSERT INTO public.who_import VALUES (74155, '2020-10-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '65', '0', '0');
INSERT INTO public.who_import VALUES (74156, '2020-10-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '65', '0', '0');
INSERT INTO public.who_import VALUES (74157, '2020-10-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '65', '0', '0');
INSERT INTO public.who_import VALUES (74158, '2020-10-16', 'BL', 'Saint Barthélemy', 'AMRO', '2', '67', '0', '0');
INSERT INTO public.who_import VALUES (74159, '2020-10-17', 'BL', 'Saint Barthélemy', 'AMRO', '5', '72', '0', '0');
INSERT INTO public.who_import VALUES (74160, '2020-10-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (74161, '2020-10-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (74162, '2020-10-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (74163, '2020-10-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (74164, '2020-10-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (74165, '2020-10-23', 'BL', 'Saint Barthélemy', 'AMRO', '5', '77', '0', '0');
INSERT INTO public.who_import VALUES (74166, '2020-10-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (74167, '2020-10-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (74168, '2020-10-26', 'BL', 'Saint Barthélemy', 'AMRO', '6', '83', '0', '0');
INSERT INTO public.who_import VALUES (74169, '2020-10-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '83', '0', '0');
INSERT INTO public.who_import VALUES (74170, '2020-10-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '83', '0', '0');
INSERT INTO public.who_import VALUES (74171, '2020-10-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '83', '0', '0');
INSERT INTO public.who_import VALUES (74172, '2020-10-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '83', '0', '0');
INSERT INTO public.who_import VALUES (74173, '2020-10-31', 'BL', 'Saint Barthélemy', 'AMRO', '6', '89', '0', '0');
INSERT INTO public.who_import VALUES (74174, '2020-11-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '89', '0', '0');
INSERT INTO public.who_import VALUES (74175, '2020-11-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '89', '0', '0');
INSERT INTO public.who_import VALUES (74176, '2020-11-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '89', '0', '0');
INSERT INTO public.who_import VALUES (74177, '2020-11-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '89', '0', '0');
INSERT INTO public.who_import VALUES (74178, '2020-11-05', 'BL', 'Saint Barthélemy', 'AMRO', '1', '90', '0', '0');
INSERT INTO public.who_import VALUES (74179, '2020-11-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74180, '2020-11-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74181, '2020-11-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74182, '2020-11-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74183, '2020-11-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74184, '2020-11-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74185, '2020-11-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '90', '0', '0');
INSERT INTO public.who_import VALUES (74186, '2020-11-13', 'BL', 'Saint Barthélemy', 'AMRO', '19', '109', '0', '0');
INSERT INTO public.who_import VALUES (74187, '2020-11-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (74188, '2020-11-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (74189, '2020-11-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (74190, '2020-11-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (74191, '2020-11-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (74192, '2020-11-19', 'BL', 'Saint Barthélemy', 'AMRO', '18', '127', '0', '0');
INSERT INTO public.who_import VALUES (74193, '2020-11-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74194, '2020-11-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74195, '2020-11-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74196, '2020-11-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74197, '2020-11-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74198, '2020-11-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74199, '2020-11-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74200, '2020-11-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74201, '2020-11-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74202, '2020-11-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74203, '2020-11-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (74204, '2020-12-01', 'BL', 'Saint Barthélemy', 'AMRO', '25', '152', '0', '0');
INSERT INTO public.who_import VALUES (74205, '2020-12-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (74206, '2020-12-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (74207, '2020-12-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (74208, '2020-12-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (74209, '2020-12-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (74210, '2020-12-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (74211, '2020-12-08', 'BL', 'Saint Barthélemy', 'AMRO', '12', '164', '0', '0');
INSERT INTO public.who_import VALUES (74212, '2020-12-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '164', '0', '0');
INSERT INTO public.who_import VALUES (74213, '2020-12-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '164', '0', '0');
INSERT INTO public.who_import VALUES (74214, '2020-12-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '164', '0', '0');
INSERT INTO public.who_import VALUES (74215, '2020-12-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '164', '0', '0');
INSERT INTO public.who_import VALUES (74216, '2020-12-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '164', '0', '0');
INSERT INTO public.who_import VALUES (74217, '2020-12-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '164', '0', '0');
INSERT INTO public.who_import VALUES (74218, '2020-12-15', 'BL', 'Saint Barthélemy', 'AMRO', '8', '172', '0', '0');
INSERT INTO public.who_import VALUES (74219, '2020-12-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (74220, '2020-12-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (74221, '2020-12-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (74222, '2020-12-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (74223, '2020-12-20', 'BL', 'Saint Barthélemy', 'AMRO', '10', '182', '0', '0');
INSERT INTO public.who_import VALUES (74224, '2020-12-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (74225, '2020-12-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (74226, '2020-12-23', 'BL', 'Saint Barthélemy', 'AMRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (74227, '2020-12-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (74228, '2020-12-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (74229, '2020-12-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (74230, '2020-12-27', 'BL', 'Saint Barthélemy', 'AMRO', '7', '189', '0', '0');
INSERT INTO public.who_import VALUES (74231, '2020-12-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '189', '0', '0');
INSERT INTO public.who_import VALUES (74232, '2020-12-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '189', '0', '0');
INSERT INTO public.who_import VALUES (74233, '2020-12-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '189', '0', '0');
INSERT INTO public.who_import VALUES (74234, '2020-12-31', 'BL', 'Saint Barthélemy', 'AMRO', '0', '189', '0', '0');
INSERT INTO public.who_import VALUES (74235, '2021-01-01', 'BL', 'Saint Barthélemy', 'AMRO', '1', '190', '0', '0');
INSERT INTO public.who_import VALUES (74236, '2021-01-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '190', '0', '0');
INSERT INTO public.who_import VALUES (74237, '2021-01-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '190', '0', '0');
INSERT INTO public.who_import VALUES (74238, '2021-01-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '190', '0', '0');
INSERT INTO public.who_import VALUES (74239, '2021-01-05', 'BL', 'Saint Barthélemy', 'AMRO', '1', '191', '0', '0');
INSERT INTO public.who_import VALUES (74240, '2021-01-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (74241, '2021-01-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (74242, '2021-01-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (74243, '2021-01-09', 'BL', 'Saint Barthélemy', 'AMRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (74244, '2021-01-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (74245, '2021-01-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '191', '0', '0');
INSERT INTO public.who_import VALUES (74246, '2021-01-12', 'BL', 'Saint Barthélemy', 'AMRO', '33', '224', '0', '0');
INSERT INTO public.who_import VALUES (74247, '2021-01-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '224', '0', '0');
INSERT INTO public.who_import VALUES (74248, '2021-01-14', 'BL', 'Saint Barthélemy', 'AMRO', '0', '224', '0', '0');
INSERT INTO public.who_import VALUES (74249, '2021-01-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '224', '0', '0');
INSERT INTO public.who_import VALUES (74250, '2021-01-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '224', '0', '0');
INSERT INTO public.who_import VALUES (74251, '2021-01-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '224', '0', '0');
INSERT INTO public.who_import VALUES (74252, '2021-01-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '224', '0', '0');
INSERT INTO public.who_import VALUES (74253, '2021-01-19', 'BL', 'Saint Barthélemy', 'AMRO', '57', '281', '0', '0');
INSERT INTO public.who_import VALUES (74254, '2021-01-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '281', '0', '0');
INSERT INTO public.who_import VALUES (74255, '2021-01-21', 'BL', 'Saint Barthélemy', 'AMRO', '0', '281', '0', '0');
INSERT INTO public.who_import VALUES (74256, '2021-01-22', 'BL', 'Saint Barthélemy', 'AMRO', '0', '281', '0', '0');
INSERT INTO public.who_import VALUES (74257, '2021-01-23', 'BL', 'Saint Barthélemy', 'AMRO', '95', '376', '0', '0');
INSERT INTO public.who_import VALUES (74258, '2021-01-24', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74259, '2021-01-25', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74260, '2021-01-26', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74261, '2021-01-27', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74262, '2021-01-28', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74263, '2021-01-29', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74264, '2021-01-30', 'BL', 'Saint Barthélemy', 'AMRO', '0', '376', '0', '0');
INSERT INTO public.who_import VALUES (74265, '2021-01-31', 'BL', 'Saint Barthélemy', 'AMRO', '3', '379', '0', '0');
INSERT INTO public.who_import VALUES (74266, '2021-02-01', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74267, '2021-02-02', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74268, '2021-02-03', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74269, '2021-02-04', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74270, '2021-02-05', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74271, '2021-02-06', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74272, '2021-02-07', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74273, '2021-02-08', 'BL', 'Saint Barthélemy', 'AMRO', '0', '379', '0', '0');
INSERT INTO public.who_import VALUES (74274, '2021-02-09', 'BL', 'Saint Barthélemy', 'AMRO', '46', '425', '0', '0');
INSERT INTO public.who_import VALUES (74275, '2021-02-10', 'BL', 'Saint Barthélemy', 'AMRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (74276, '2021-02-11', 'BL', 'Saint Barthélemy', 'AMRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (74277, '2021-02-12', 'BL', 'Saint Barthélemy', 'AMRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (74278, '2021-02-13', 'BL', 'Saint Barthélemy', 'AMRO', '0', '425', '0', '0');
INSERT INTO public.who_import VALUES (74279, '2021-02-14', 'BL', 'Saint Barthélemy', 'AMRO', '50', '475', '0', '0');
INSERT INTO public.who_import VALUES (74280, '2021-02-15', 'BL', 'Saint Barthélemy', 'AMRO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (74281, '2021-02-16', 'BL', 'Saint Barthélemy', 'AMRO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (74282, '2021-02-17', 'BL', 'Saint Barthélemy', 'AMRO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (74283, '2021-02-18', 'BL', 'Saint Barthélemy', 'AMRO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (74284, '2021-02-19', 'BL', 'Saint Barthélemy', 'AMRO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (74285, '2021-02-20', 'BL', 'Saint Barthélemy', 'AMRO', '0', '475', '0', '0');
INSERT INTO public.who_import VALUES (74286, '2020-01-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74287, '2020-01-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74288, '2020-01-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74289, '2020-01-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74290, '2020-01-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74291, '2020-01-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74292, '2020-01-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74293, '2020-01-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74294, '2020-01-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74295, '2020-01-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74296, '2020-01-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74297, '2020-01-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74298, '2020-01-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74299, '2020-01-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74300, '2020-01-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74301, '2020-01-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74302, '2020-01-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74303, '2020-01-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74304, '2020-01-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74305, '2020-01-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74306, '2020-01-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74307, '2020-01-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74308, '2020-01-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74309, '2020-01-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74310, '2020-01-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74311, '2020-01-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74312, '2020-01-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74313, '2020-01-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74314, '2020-01-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74315, '2020-02-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74316, '2020-02-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74317, '2020-02-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74318, '2020-02-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74319, '2020-02-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74320, '2020-02-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74321, '2020-02-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74322, '2020-02-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74323, '2020-02-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74324, '2020-02-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74325, '2020-02-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74326, '2020-02-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74327, '2020-02-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74328, '2020-02-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74329, '2020-02-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74330, '2020-02-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74331, '2020-02-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74332, '2020-02-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74333, '2020-02-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74334, '2020-02-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74335, '2020-02-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74336, '2020-02-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74337, '2020-02-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74338, '2020-02-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74339, '2020-02-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74340, '2020-02-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74341, '2020-02-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74342, '2020-02-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74343, '2020-02-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74344, '2020-03-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74345, '2020-03-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74346, '2020-03-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74347, '2020-03-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74348, '2020-03-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74349, '2020-03-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74350, '2020-03-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74351, '2020-03-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74352, '2020-03-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74353, '2020-03-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74354, '2020-03-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74355, '2020-03-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74356, '2020-03-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74357, '2020-03-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74358, '2020-03-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74359, '2020-03-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74360, '2020-03-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74361, '2020-03-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74362, '2020-03-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74363, '2020-03-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74364, '2020-03-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74365, '2020-03-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74366, '2020-03-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74367, '2020-03-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74368, '2020-03-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74369, '2020-03-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74370, '2020-03-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74371, '2020-03-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74372, '2020-03-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74373, '2020-03-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74374, '2020-03-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74375, '2020-04-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74376, '2020-04-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74377, '2020-04-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74378, '2020-04-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74379, '2020-04-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74380, '2020-04-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74381, '2020-04-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74382, '2020-04-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74383, '2020-04-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74384, '2020-04-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74385, '2020-04-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74386, '2020-04-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74387, '2020-04-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74388, '2020-04-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74389, '2020-04-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74390, '2020-04-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74391, '2020-04-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74392, '2020-04-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74393, '2020-04-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74394, '2020-04-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74395, '2020-04-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74396, '2020-04-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74397, '2020-04-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74398, '2020-04-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74399, '2020-04-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74400, '2020-04-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74401, '2020-04-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74402, '2020-04-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74403, '2020-04-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74404, '2020-04-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74405, '2020-05-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74406, '2020-05-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74407, '2020-05-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74408, '2020-05-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74409, '2020-05-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74410, '2020-05-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74411, '2020-05-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74412, '2020-05-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74413, '2020-05-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74414, '2020-05-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74415, '2020-05-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74416, '2020-05-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74417, '2020-05-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74418, '2020-05-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74419, '2020-05-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74420, '2020-05-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74421, '2020-05-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74422, '2020-05-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74423, '2020-05-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74424, '2020-05-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74425, '2020-05-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74426, '2020-05-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74427, '2020-05-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74428, '2020-05-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74429, '2020-05-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74430, '2020-05-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74431, '2020-05-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74432, '2020-05-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74433, '2020-05-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74434, '2020-05-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74435, '2020-05-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74436, '2020-06-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74437, '2020-06-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74438, '2020-06-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74439, '2020-06-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74440, '2020-06-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74441, '2020-06-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74442, '2020-06-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74443, '2020-06-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74444, '2020-06-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74445, '2020-06-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74446, '2020-06-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74447, '2020-06-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74448, '2020-06-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74449, '2020-06-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74450, '2020-06-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74451, '2020-06-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74452, '2020-06-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74453, '2020-06-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74454, '2020-06-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74455, '2020-06-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74456, '2020-06-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74457, '2020-06-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74458, '2020-06-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74459, '2020-06-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74460, '2020-06-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74461, '2020-06-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74462, '2020-06-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74463, '2020-06-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74464, '2020-06-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74465, '2020-06-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74466, '2020-07-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74467, '2020-07-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74468, '2020-07-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74469, '2020-07-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74470, '2020-07-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74471, '2020-07-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74472, '2020-07-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74473, '2020-07-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74474, '2020-07-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74475, '2020-07-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74476, '2020-07-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74477, '2020-07-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74478, '2020-07-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74479, '2020-07-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74480, '2020-07-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74481, '2020-07-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74482, '2020-07-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74483, '2020-07-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74484, '2020-07-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74485, '2020-07-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74486, '2020-07-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74487, '2020-07-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74488, '2020-07-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74489, '2020-07-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74490, '2020-07-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74491, '2020-07-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74492, '2020-07-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74493, '2020-07-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74494, '2020-07-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74495, '2020-07-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74496, '2020-07-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74497, '2020-08-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74498, '2020-08-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74499, '2020-08-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74500, '2020-08-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74501, '2020-08-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74502, '2020-08-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74503, '2020-08-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74504, '2020-08-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74505, '2020-08-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74506, '2020-08-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74507, '2020-08-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74508, '2020-08-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74509, '2020-08-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74510, '2020-08-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74511, '2020-08-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74512, '2020-08-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74513, '2020-08-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74514, '2020-08-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74515, '2020-08-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74516, '2020-08-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74517, '2020-08-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74518, '2020-08-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74519, '2020-08-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74520, '2020-08-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74521, '2020-08-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74522, '2020-08-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74523, '2020-08-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74524, '2020-08-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74525, '2020-08-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74526, '2020-08-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74527, '2020-08-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74528, '2020-09-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74529, '2020-09-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74530, '2020-09-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74531, '2020-09-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74532, '2020-09-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74533, '2020-09-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74534, '2020-09-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74535, '2020-09-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74536, '2020-09-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74537, '2020-09-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74538, '2020-09-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74539, '2020-09-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74540, '2020-09-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74541, '2020-09-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74542, '2020-09-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74543, '2020-09-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74544, '2020-09-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74545, '2020-09-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74546, '2020-09-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74547, '2020-09-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74548, '2020-09-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74549, '2020-09-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74550, '2020-09-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74551, '2020-09-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74552, '2020-09-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74553, '2020-09-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74554, '2020-09-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74555, '2020-09-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74556, '2020-09-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74557, '2020-09-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74558, '2020-10-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74559, '2020-10-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74560, '2020-10-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74561, '2020-10-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74562, '2020-10-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74563, '2020-10-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74564, '2020-10-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74565, '2020-10-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74566, '2020-10-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74567, '2020-10-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74568, '2020-10-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74569, '2020-10-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74570, '2020-10-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74571, '2020-10-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74572, '2020-10-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74573, '2020-10-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74574, '2020-10-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74575, '2020-10-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74576, '2020-10-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74577, '2020-10-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74578, '2020-10-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74579, '2020-10-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74580, '2020-10-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74581, '2020-10-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74582, '2020-10-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74583, '2020-10-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74584, '2020-10-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74585, '2020-10-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74586, '2020-10-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74587, '2020-10-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74588, '2020-10-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74589, '2020-11-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74590, '2020-11-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74591, '2020-11-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74592, '2020-11-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74593, '2020-11-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74594, '2020-11-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74595, '2020-11-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74596, '2020-11-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74597, '2020-11-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74598, '2020-11-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74599, '2020-11-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74600, '2020-11-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74601, '2020-11-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74602, '2020-11-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74603, '2020-11-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74604, '2020-11-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74605, '2020-11-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74606, '2020-11-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74607, '2020-11-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74608, '2020-11-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74609, '2020-11-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74610, '2020-11-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74611, '2020-11-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74612, '2020-11-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74613, '2020-11-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74614, '2020-11-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74615, '2020-11-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74616, '2020-11-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74617, '2020-11-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74618, '2020-11-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74619, '2020-12-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74620, '2020-12-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74621, '2020-12-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74622, '2020-12-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74623, '2020-12-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74624, '2020-12-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74625, '2020-12-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74626, '2020-12-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74627, '2020-12-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74628, '2020-12-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74629, '2020-12-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74630, '2020-12-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74631, '2020-12-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74632, '2020-12-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74633, '2020-12-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74634, '2020-12-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74635, '2020-12-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74636, '2020-12-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74637, '2020-12-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74638, '2020-12-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74639, '2020-12-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74640, '2020-12-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74641, '2020-12-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74642, '2020-12-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74643, '2020-12-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74644, '2020-12-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74645, '2020-12-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74646, '2020-12-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74647, '2020-12-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74648, '2020-12-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74649, '2020-12-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74650, '2021-01-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74651, '2021-01-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74652, '2021-01-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74653, '2021-01-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74654, '2021-01-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74655, '2021-01-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74656, '2021-01-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74657, '2021-01-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74658, '2021-01-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74659, '2021-01-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74660, '2021-01-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74661, '2021-01-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74662, '2021-01-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74663, '2021-01-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74664, '2021-01-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74665, '2021-01-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74666, '2021-01-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74667, '2021-01-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74668, '2021-01-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74669, '2021-01-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74670, '2021-01-21', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74671, '2021-01-22', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74672, '2021-01-23', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74673, '2021-01-24', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74674, '2021-01-25', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74675, '2021-01-26', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74676, '2021-01-27', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74677, '2021-01-28', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74678, '2021-01-29', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74679, '2021-01-30', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74680, '2021-01-31', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74681, '2021-02-01', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74682, '2021-02-02', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74683, '2021-02-03', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74684, '2021-02-04', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74685, '2021-02-05', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74686, '2021-02-06', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74687, '2021-02-07', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74688, '2021-02-08', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74689, '2021-02-09', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74690, '2021-02-10', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74691, '2021-02-11', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74692, '2021-02-12', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74693, '2021-02-13', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74694, '2021-02-14', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74695, '2021-02-15', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74696, '2021-02-16', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74697, '2021-02-17', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74698, '2021-02-18', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74699, '2021-02-19', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74700, '2021-02-20', 'SH', 'Saint Helena', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74701, '2020-01-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74702, '2020-01-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74703, '2020-01-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74704, '2020-01-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74705, '2020-01-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74706, '2020-01-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74707, '2020-01-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74708, '2020-01-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74709, '2020-01-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74710, '2020-01-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74711, '2020-01-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74712, '2020-01-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74713, '2020-01-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74714, '2020-01-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74715, '2020-01-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74716, '2020-01-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74717, '2020-01-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74718, '2020-01-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74719, '2020-01-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74720, '2020-01-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74721, '2020-01-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74722, '2020-01-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74723, '2020-01-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74724, '2020-01-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74725, '2020-01-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74726, '2020-01-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74727, '2020-01-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74728, '2020-01-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74729, '2020-01-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74730, '2020-02-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74731, '2020-02-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74732, '2020-02-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74733, '2020-02-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74734, '2020-02-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74735, '2020-02-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74736, '2020-02-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74737, '2020-02-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74738, '2020-02-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74739, '2020-02-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74740, '2020-02-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74741, '2020-02-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74742, '2020-02-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74743, '2020-02-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74744, '2020-02-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74745, '2020-02-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74746, '2020-02-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74747, '2020-02-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74748, '2020-02-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74749, '2020-02-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74750, '2020-02-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74751, '2020-02-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74752, '2020-02-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74753, '2020-02-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74754, '2020-02-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74755, '2020-02-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74756, '2020-02-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74757, '2020-02-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74758, '2020-02-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74759, '2020-03-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74760, '2020-03-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74761, '2020-03-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74762, '2020-03-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74763, '2020-03-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74764, '2020-03-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74765, '2020-03-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74766, '2020-03-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74767, '2020-03-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74768, '2020-03-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74769, '2020-03-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74770, '2020-03-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74771, '2020-03-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74772, '2020-03-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74773, '2020-03-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74774, '2020-03-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74775, '2020-03-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74776, '2020-03-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74777, '2020-03-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74778, '2020-03-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74779, '2020-03-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74780, '2020-03-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74781, '2020-03-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74782, '2020-03-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74783, '2020-03-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (74784, '2020-03-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (74785, '2020-03-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (74786, '2020-03-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (74787, '2020-03-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (74788, '2020-03-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (74789, '2020-03-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (74790, '2020-04-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '6', '8', '0', '0');
INSERT INTO public.who_import VALUES (74791, '2020-04-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (74792, '2020-04-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (74793, '2020-04-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (74794, '2020-04-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (74795, '2020-04-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (74796, '2020-04-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (74797, '2020-04-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (74798, '2020-04-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (74799, '2020-04-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (74800, '2020-04-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (74801, '2020-04-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (74802, '2020-04-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (74803, '2020-04-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (74804, '2020-04-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (74805, '2020-04-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (74806, '2020-04-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (74807, '2020-04-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (74808, '2020-04-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (74809, '2020-04-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (74810, '2020-04-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (74811, '2020-04-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74812, '2020-04-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74813, '2020-04-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74814, '2020-04-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74815, '2020-04-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74816, '2020-04-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74817, '2020-04-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74818, '2020-04-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74819, '2020-04-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74820, '2020-05-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74821, '2020-05-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74822, '2020-05-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74823, '2020-05-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74824, '2020-05-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74825, '2020-05-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74826, '2020-05-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74827, '2020-05-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74828, '2020-05-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74829, '2020-05-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74830, '2020-05-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74831, '2020-05-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74832, '2020-05-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74833, '2020-05-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74834, '2020-05-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74835, '2020-05-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74836, '2020-05-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74837, '2020-05-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74838, '2020-05-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74839, '2020-05-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74840, '2020-05-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74841, '2020-05-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74842, '2020-05-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74843, '2020-05-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74844, '2020-05-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74845, '2020-05-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74846, '2020-05-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74847, '2020-05-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74848, '2020-05-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74849, '2020-05-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74850, '2020-05-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74851, '2020-06-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74852, '2020-06-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74853, '2020-06-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74854, '2020-06-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74855, '2020-06-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74856, '2020-06-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74857, '2020-06-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74858, '2020-06-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74859, '2020-06-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74860, '2020-06-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74861, '2020-06-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74862, '2020-06-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74863, '2020-06-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74864, '2020-06-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74865, '2020-06-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74866, '2020-06-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74867, '2020-06-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74868, '2020-06-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74869, '2020-06-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74870, '2020-06-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74871, '2020-06-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74872, '2020-06-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74873, '2020-06-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74874, '2020-06-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74875, '2020-06-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74876, '2020-06-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74877, '2020-06-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74878, '2020-06-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74879, '2020-06-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74880, '2020-06-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74881, '2020-07-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74882, '2020-07-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74883, '2020-07-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74884, '2020-07-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74885, '2020-07-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (74886, '2020-07-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (74887, '2020-07-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74888, '2020-07-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74889, '2020-07-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74890, '2020-07-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (74891, '2020-07-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (74892, '2020-07-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74893, '2020-07-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74894, '2020-07-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74895, '2020-07-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74896, '2020-07-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74897, '2020-07-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74898, '2020-07-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74899, '2020-07-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74900, '2020-07-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74901, '2020-07-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74902, '2020-07-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74903, '2020-07-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74904, '2020-07-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74905, '2020-07-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74906, '2020-07-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74907, '2020-07-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74908, '2020-07-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74909, '2020-07-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74910, '2020-07-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74911, '2020-07-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74912, '2020-08-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74913, '2020-08-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74914, '2020-08-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74915, '2020-08-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74916, '2020-08-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74917, '2020-08-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74918, '2020-08-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74919, '2020-08-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74920, '2020-08-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74921, '2020-08-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74922, '2020-08-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74923, '2020-08-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74924, '2020-08-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74925, '2020-08-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74926, '2020-08-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74927, '2020-08-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74928, '2020-08-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74929, '2020-08-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74930, '2020-08-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74931, '2020-08-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74932, '2020-08-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74933, '2020-08-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74934, '2020-08-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74935, '2020-08-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74936, '2020-08-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74937, '2020-08-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74938, '2020-08-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74939, '2020-08-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74940, '2020-08-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74941, '2020-08-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74942, '2020-08-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74943, '2020-09-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74944, '2020-09-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74945, '2020-09-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74946, '2020-09-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74947, '2020-09-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74948, '2020-09-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74949, '2020-09-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74950, '2020-09-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74951, '2020-09-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74952, '2020-09-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74953, '2020-09-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74954, '2020-09-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74955, '2020-09-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74956, '2020-09-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74957, '2020-09-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74958, '2020-09-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74959, '2020-09-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74960, '2020-09-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74961, '2020-09-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74962, '2020-09-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74963, '2020-09-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (74964, '2020-09-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '19', '0', '0');
INSERT INTO public.who_import VALUES (74965, '2020-09-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74966, '2020-09-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74967, '2020-09-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74968, '2020-09-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74969, '2020-09-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74970, '2020-09-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74971, '2020-09-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74972, '2020-09-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74973, '2020-10-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74974, '2020-10-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74975, '2020-10-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74976, '2020-10-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74977, '2020-10-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74978, '2020-10-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74979, '2020-10-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74980, '2020-10-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74981, '2020-10-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74982, '2020-10-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74983, '2020-10-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74984, '2020-10-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74985, '2020-10-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74986, '2020-10-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74987, '2020-10-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74988, '2020-10-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74989, '2020-10-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74990, '2020-10-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74991, '2020-10-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74992, '2020-10-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74993, '2020-10-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74994, '2020-10-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74995, '2020-10-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74996, '2020-10-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74997, '2020-10-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74998, '2020-10-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (74999, '2020-10-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75000, '2020-10-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75001, '2020-10-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75002, '2020-10-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75003, '2020-10-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75004, '2020-11-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75005, '2020-11-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75006, '2020-11-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75007, '2020-11-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75008, '2020-11-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75009, '2020-11-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75010, '2020-11-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75011, '2020-11-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75012, '2020-11-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75013, '2020-11-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75014, '2020-11-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75015, '2020-11-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75016, '2020-11-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75017, '2020-11-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75018, '2020-11-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75019, '2020-11-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75020, '2020-11-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75021, '2020-11-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75022, '2020-11-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75023, '2020-11-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75024, '2020-11-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75025, '2020-11-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75026, '2020-11-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (75027, '2020-11-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (75028, '2020-11-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (75029, '2020-11-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75030, '2020-11-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75031, '2020-11-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75032, '2020-11-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75033, '2020-11-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75034, '2020-12-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75035, '2020-12-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75036, '2020-12-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75037, '2020-12-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75038, '2020-12-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75039, '2020-12-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75040, '2020-12-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '3', '25', '0', '0');
INSERT INTO public.who_import VALUES (75041, '2020-12-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75042, '2020-12-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75043, '2020-12-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75044, '2020-12-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '26', '0', '0');
INSERT INTO public.who_import VALUES (75045, '2020-12-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (75046, '2020-12-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75047, '2020-12-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75048, '2020-12-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (75049, '2020-12-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (75050, '2020-12-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (75051, '2020-12-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (75052, '2020-12-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '30', '0', '0');
INSERT INTO public.who_import VALUES (75053, '2020-12-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75054, '2020-12-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75055, '2020-12-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75056, '2020-12-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75057, '2020-12-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75058, '2020-12-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75059, '2020-12-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75060, '2020-12-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75061, '2020-12-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (75062, '2020-12-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '32', '0', '0');
INSERT INTO public.who_import VALUES (75063, '2020-12-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (75064, '2020-12-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (75065, '2021-01-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (75066, '2021-01-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '32', '0', '0');
INSERT INTO public.who_import VALUES (75067, '2021-01-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (75068, '2021-01-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (75069, '2021-01-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (75070, '2021-01-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (75071, '2021-01-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (75072, '2021-01-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (75073, '2021-01-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '34', '0', '0');
INSERT INTO public.who_import VALUES (75074, '2021-01-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75075, '2021-01-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75076, '2021-01-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75077, '2021-01-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75078, '2021-01-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75079, '2021-01-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75080, '2021-01-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75081, '2021-01-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75082, '2021-01-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (75083, '2021-01-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (75084, '2021-01-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75085, '2021-01-21', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75086, '2021-01-22', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75087, '2021-01-23', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75088, '2021-01-24', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75089, '2021-01-25', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75090, '2021-01-26', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75091, '2021-01-27', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (75092, '2021-01-28', 'KN', 'Saint Kitts and Nevis', 'AMRO', '2', '37', '0', '0');
INSERT INTO public.who_import VALUES (75093, '2021-01-29', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (75094, '2021-01-30', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (75095, '2021-01-31', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (75096, '2021-02-01', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (75097, '2021-02-02', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '38', '0', '0');
INSERT INTO public.who_import VALUES (75098, '2021-02-03', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '39', '0', '0');
INSERT INTO public.who_import VALUES (75099, '2021-02-04', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (75100, '2021-02-05', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (75101, '2021-02-06', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '40', '0', '0');
INSERT INTO public.who_import VALUES (75102, '2021-02-07', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75103, '2021-02-08', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75104, '2021-02-09', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75105, '2021-02-10', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75106, '2021-02-11', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75107, '2021-02-12', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75108, '2021-02-13', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75109, '2021-02-14', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (75110, '2021-02-15', 'KN', 'Saint Kitts and Nevis', 'AMRO', '1', '41', '0', '0');
INSERT INTO public.who_import VALUES (75111, '2021-02-16', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (75112, '2021-02-17', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (75113, '2021-02-18', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (75114, '2021-02-19', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (75115, '2021-02-20', 'KN', 'Saint Kitts and Nevis', 'AMRO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (75116, '2020-01-03', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75117, '2020-01-04', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75118, '2020-01-05', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75119, '2020-01-06', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75120, '2020-01-07', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75121, '2020-01-08', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75122, '2020-01-09', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75123, '2020-01-10', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75124, '2020-01-11', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75125, '2020-01-12', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75126, '2020-01-13', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75127, '2020-01-14', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75128, '2020-01-15', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75129, '2020-01-16', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75130, '2020-01-17', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75131, '2020-01-18', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75132, '2020-01-19', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75133, '2020-01-20', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75134, '2020-01-21', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75135, '2020-01-22', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75136, '2020-01-23', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75137, '2020-01-24', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75138, '2020-01-25', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75139, '2020-01-26', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75140, '2020-01-27', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75141, '2020-01-28', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75142, '2020-01-29', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75143, '2020-01-30', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75144, '2020-01-31', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75145, '2020-02-01', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75146, '2020-02-02', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75147, '2020-02-03', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75148, '2020-02-04', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75149, '2020-02-05', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75150, '2020-02-06', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75151, '2020-02-07', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75152, '2020-02-08', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75153, '2020-02-09', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75154, '2020-02-10', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75155, '2020-02-11', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75156, '2020-02-12', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75157, '2020-02-13', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75158, '2020-02-14', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75159, '2020-02-15', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75160, '2020-02-16', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75161, '2020-02-17', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75162, '2020-02-18', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75163, '2020-02-19', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75164, '2020-02-20', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75165, '2020-02-21', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75166, '2020-02-22', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75167, '2020-02-23', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75168, '2020-02-24', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75169, '2020-02-25', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75170, '2020-02-26', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75171, '2020-02-27', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75172, '2020-02-28', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75173, '2020-02-29', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75174, '2020-03-01', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75175, '2020-03-02', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75176, '2020-03-03', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75177, '2020-03-04', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75178, '2020-03-05', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75179, '2020-03-06', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75180, '2020-03-07', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75181, '2020-03-08', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75182, '2020-03-09', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75183, '2020-03-10', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75184, '2020-03-11', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75185, '2020-03-12', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75186, '2020-03-13', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75187, '2020-03-14', 'LC', 'Saint Lucia', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75188, '2020-03-15', 'LC', 'Saint Lucia', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (75189, '2020-03-16', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75190, '2020-03-17', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75191, '2020-03-18', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75192, '2020-03-19', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75193, '2020-03-20', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75194, '2020-03-21', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75195, '2020-03-22', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75196, '2020-03-23', 'LC', 'Saint Lucia', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75197, '2020-03-24', 'LC', 'Saint Lucia', 'AMRO', '-3', '3', '0', '0');
INSERT INTO public.who_import VALUES (75198, '2020-03-25', 'LC', 'Saint Lucia', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (75199, '2020-03-26', 'LC', 'Saint Lucia', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (75200, '2020-03-27', 'LC', 'Saint Lucia', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (75201, '2020-03-28', 'LC', 'Saint Lucia', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (75202, '2020-03-29', 'LC', 'Saint Lucia', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (75203, '2020-03-30', 'LC', 'Saint Lucia', 'AMRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (75204, '2020-03-31', 'LC', 'Saint Lucia', 'AMRO', '5', '9', '0', '0');
INSERT INTO public.who_import VALUES (75205, '2020-04-01', 'LC', 'Saint Lucia', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (75206, '2020-04-02', 'LC', 'Saint Lucia', 'AMRO', '4', '13', '0', '0');
INSERT INTO public.who_import VALUES (75207, '2020-04-03', 'LC', 'Saint Lucia', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (75208, '2020-04-04', 'LC', 'Saint Lucia', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (75209, '2020-04-05', 'LC', 'Saint Lucia', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (75210, '2020-04-06', 'LC', 'Saint Lucia', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (75211, '2020-04-07', 'LC', 'Saint Lucia', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (75212, '2020-04-08', 'LC', 'Saint Lucia', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (75213, '2020-04-09', 'LC', 'Saint Lucia', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (75214, '2020-04-10', 'LC', 'Saint Lucia', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (75215, '2020-04-11', 'LC', 'Saint Lucia', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (75216, '2020-04-12', 'LC', 'Saint Lucia', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (75217, '2020-04-13', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75218, '2020-04-14', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75219, '2020-04-15', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75220, '2020-04-16', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75221, '2020-04-17', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75222, '2020-04-18', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75223, '2020-04-19', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75224, '2020-04-20', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75225, '2020-04-21', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75226, '2020-04-22', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75227, '2020-04-23', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75228, '2020-04-24', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75229, '2020-04-25', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75230, '2020-04-26', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75231, '2020-04-27', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75232, '2020-04-28', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75233, '2020-04-29', 'LC', 'Saint Lucia', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (75234, '2020-04-30', 'LC', 'Saint Lucia', 'AMRO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (75235, '2020-05-01', 'LC', 'Saint Lucia', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (75236, '2020-05-02', 'LC', 'Saint Lucia', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (75237, '2020-05-03', 'LC', 'Saint Lucia', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (75238, '2020-05-04', 'LC', 'Saint Lucia', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (75239, '2020-05-05', 'LC', 'Saint Lucia', 'AMRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (75240, '2020-05-06', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75241, '2020-05-07', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75242, '2020-05-08', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75243, '2020-05-09', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75244, '2020-05-10', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75245, '2020-05-11', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75246, '2020-05-12', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75247, '2020-05-13', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75248, '2020-05-14', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75249, '2020-05-15', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75250, '2020-05-16', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75251, '2020-05-17', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75252, '2020-05-18', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75253, '2020-05-19', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75254, '2020-05-20', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75255, '2020-05-21', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75256, '2020-05-22', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75257, '2020-05-23', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75258, '2020-05-24', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75259, '2020-05-25', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75260, '2020-05-26', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75261, '2020-05-27', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75262, '2020-05-28', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75263, '2020-05-29', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75264, '2020-05-30', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75265, '2020-05-31', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75266, '2020-06-01', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75267, '2020-06-02', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75268, '2020-06-03', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75269, '2020-06-04', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75270, '2020-06-05', 'LC', 'Saint Lucia', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (75271, '2020-06-06', 'LC', 'Saint Lucia', 'AMRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (75272, '2020-06-07', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75273, '2020-06-08', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75274, '2020-06-09', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75275, '2020-06-10', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75276, '2020-06-11', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75277, '2020-06-12', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75278, '2020-06-13', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75279, '2020-06-14', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75280, '2020-06-15', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75281, '2020-06-16', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75282, '2020-06-17', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75283, '2020-06-18', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75284, '2020-06-19', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75285, '2020-06-20', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75286, '2020-06-21', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75287, '2020-06-22', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75288, '2020-06-23', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75289, '2020-06-24', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75290, '2020-06-25', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75291, '2020-06-26', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75292, '2020-06-27', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75293, '2020-06-28', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75294, '2020-06-29', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75295, '2020-06-30', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75296, '2020-07-01', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75297, '2020-07-02', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75298, '2020-07-03', 'LC', 'Saint Lucia', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (75299, '2020-07-04', 'LC', 'Saint Lucia', 'AMRO', '3', '22', '0', '0');
INSERT INTO public.who_import VALUES (75300, '2020-07-05', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75301, '2020-07-06', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75302, '2020-07-07', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75303, '2020-07-08', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75304, '2020-07-09', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75305, '2020-07-10', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75306, '2020-07-11', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75307, '2020-07-12', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75308, '2020-07-13', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75309, '2020-07-14', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75310, '2020-07-15', 'LC', 'Saint Lucia', 'AMRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (75311, '2020-07-16', 'LC', 'Saint Lucia', 'AMRO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (75312, '2020-07-17', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75313, '2020-07-18', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75314, '2020-07-19', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75315, '2020-07-20', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75316, '2020-07-21', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75317, '2020-07-22', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75318, '2020-07-23', 'LC', 'Saint Lucia', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (75319, '2020-07-24', 'LC', 'Saint Lucia', 'AMRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (75320, '2020-07-25', 'LC', 'Saint Lucia', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (75321, '2020-07-26', 'LC', 'Saint Lucia', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (75322, '2020-07-27', 'LC', 'Saint Lucia', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (75323, '2020-07-28', 'LC', 'Saint Lucia', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (75324, '2020-07-29', 'LC', 'Saint Lucia', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (75325, '2020-07-30', 'LC', 'Saint Lucia', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (75326, '2020-07-31', 'LC', 'Saint Lucia', 'AMRO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (75327, '2020-08-01', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75328, '2020-08-02', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75329, '2020-08-03', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75330, '2020-08-04', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75331, '2020-08-05', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75332, '2020-08-06', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75333, '2020-08-07', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75334, '2020-08-08', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75335, '2020-08-09', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75336, '2020-08-10', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75337, '2020-08-11', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75338, '2020-08-12', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75339, '2020-08-13', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75340, '2020-08-14', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75341, '2020-08-15', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75342, '2020-08-16', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75343, '2020-08-17', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75344, '2020-08-18', 'LC', 'Saint Lucia', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (75345, '2020-08-19', 'LC', 'Saint Lucia', 'AMRO', '1', '26', '0', '0');
INSERT INTO public.who_import VALUES (75346, '2020-08-20', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75347, '2020-08-21', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75348, '2020-08-22', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75349, '2020-08-23', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75350, '2020-08-24', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75351, '2020-08-25', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75352, '2020-08-26', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75353, '2020-08-27', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75354, '2020-08-28', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75355, '2020-08-29', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75356, '2020-08-30', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75357, '2020-08-31', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75358, '2020-09-01', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75359, '2020-09-02', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75360, '2020-09-03', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75361, '2020-09-04', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75362, '2020-09-05', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75363, '2020-09-06', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75364, '2020-09-07', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75365, '2020-09-08', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75366, '2020-09-09', 'LC', 'Saint Lucia', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (75367, '2020-09-10', 'LC', 'Saint Lucia', 'AMRO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (75368, '2020-09-11', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75369, '2020-09-12', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75370, '2020-09-13', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75371, '2020-09-14', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75372, '2020-09-15', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75373, '2020-09-16', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75374, '2020-09-17', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75375, '2020-09-18', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75376, '2020-09-19', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75377, '2020-09-20', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75378, '2020-09-21', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75379, '2020-09-22', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75380, '2020-09-23', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75381, '2020-09-24', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75382, '2020-09-25', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75383, '2020-09-26', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75384, '2020-09-27', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75385, '2020-09-28', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75386, '2020-09-29', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75387, '2020-09-30', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75388, '2020-10-01', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75389, '2020-10-02', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75390, '2020-10-03', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75391, '2020-10-04', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75392, '2020-10-05', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75393, '2020-10-06', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75394, '2020-10-07', 'LC', 'Saint Lucia', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (75395, '2020-10-08', 'LC', 'Saint Lucia', 'AMRO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (75396, '2020-10-09', 'LC', 'Saint Lucia', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (75397, '2020-10-10', 'LC', 'Saint Lucia', 'AMRO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (75398, '2020-10-11', 'LC', 'Saint Lucia', 'AMRO', '1', '29', '0', '0');
INSERT INTO public.who_import VALUES (75399, '2020-10-12', 'LC', 'Saint Lucia', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (75400, '2020-10-13', 'LC', 'Saint Lucia', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (75401, '2020-10-14', 'LC', 'Saint Lucia', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (75402, '2020-10-15', 'LC', 'Saint Lucia', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (75403, '2020-10-16', 'LC', 'Saint Lucia', 'AMRO', '2', '31', '0', '0');
INSERT INTO public.who_import VALUES (75404, '2020-10-17', 'LC', 'Saint Lucia', 'AMRO', '1', '32', '0', '0');
INSERT INTO public.who_import VALUES (75405, '2020-10-18', 'LC', 'Saint Lucia', 'AMRO', '1', '33', '0', '0');
INSERT INTO public.who_import VALUES (75406, '2020-10-19', 'LC', 'Saint Lucia', 'AMRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (75407, '2020-10-20', 'LC', 'Saint Lucia', 'AMRO', '3', '36', '0', '0');
INSERT INTO public.who_import VALUES (75408, '2020-10-21', 'LC', 'Saint Lucia', 'AMRO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (75409, '2020-10-22', 'LC', 'Saint Lucia', 'AMRO', '2', '38', '0', '0');
INSERT INTO public.who_import VALUES (75410, '2020-10-23', 'LC', 'Saint Lucia', 'AMRO', '4', '42', '0', '0');
INSERT INTO public.who_import VALUES (75411, '2020-10-24', 'LC', 'Saint Lucia', 'AMRO', '6', '48', '0', '0');
INSERT INTO public.who_import VALUES (75412, '2020-10-25', 'LC', 'Saint Lucia', 'AMRO', '4', '52', '0', '0');
INSERT INTO public.who_import VALUES (75413, '2020-10-26', 'LC', 'Saint Lucia', 'AMRO', '2', '54', '0', '0');
INSERT INTO public.who_import VALUES (75414, '2020-10-27', 'LC', 'Saint Lucia', 'AMRO', '0', '54', '0', '0');
INSERT INTO public.who_import VALUES (75415, '2020-10-28', 'LC', 'Saint Lucia', 'AMRO', '9', '63', '0', '0');
INSERT INTO public.who_import VALUES (75416, '2020-10-29', 'LC', 'Saint Lucia', 'AMRO', '2', '65', '0', '0');
INSERT INTO public.who_import VALUES (75417, '2020-10-30', 'LC', 'Saint Lucia', 'AMRO', '11', '76', '0', '0');
INSERT INTO public.who_import VALUES (75418, '2020-10-31', 'LC', 'Saint Lucia', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (75419, '2020-11-01', 'LC', 'Saint Lucia', 'AMRO', '2', '78', '0', '0');
INSERT INTO public.who_import VALUES (75420, '2020-11-02', 'LC', 'Saint Lucia', 'AMRO', '6', '84', '0', '0');
INSERT INTO public.who_import VALUES (75421, '2020-11-03', 'LC', 'Saint Lucia', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (75422, '2020-11-04', 'LC', 'Saint Lucia', 'AMRO', '13', '97', '0', '0');
INSERT INTO public.who_import VALUES (75423, '2020-11-05', 'LC', 'Saint Lucia', 'AMRO', '8', '105', '0', '0');
INSERT INTO public.who_import VALUES (75424, '2020-11-06', 'LC', 'Saint Lucia', 'AMRO', '1', '106', '0', '0');
INSERT INTO public.who_import VALUES (75425, '2020-11-07', 'LC', 'Saint Lucia', 'AMRO', '4', '110', '0', '0');
INSERT INTO public.who_import VALUES (75426, '2020-11-08', 'LC', 'Saint Lucia', 'AMRO', '0', '110', '0', '0');
INSERT INTO public.who_import VALUES (75427, '2020-11-09', 'LC', 'Saint Lucia', 'AMRO', '13', '123', '0', '0');
INSERT INTO public.who_import VALUES (75428, '2020-11-10', 'LC', 'Saint Lucia', 'AMRO', '8', '131', '0', '0');
INSERT INTO public.who_import VALUES (75429, '2020-11-11', 'LC', 'Saint Lucia', 'AMRO', '11', '142', '1', '1');
INSERT INTO public.who_import VALUES (75430, '2020-11-12', 'LC', 'Saint Lucia', 'AMRO', '6', '148', '1', '2');
INSERT INTO public.who_import VALUES (75431, '2020-11-13', 'LC', 'Saint Lucia', 'AMRO', '8', '156', '0', '2');
INSERT INTO public.who_import VALUES (75432, '2020-11-14', 'LC', 'Saint Lucia', 'AMRO', '0', '156', '0', '2');
INSERT INTO public.who_import VALUES (75433, '2020-11-15', 'LC', 'Saint Lucia', 'AMRO', '4', '160', '0', '2');
INSERT INTO public.who_import VALUES (75434, '2020-11-16', 'LC', 'Saint Lucia', 'AMRO', '2', '162', '0', '2');
INSERT INTO public.who_import VALUES (75435, '2020-11-17', 'LC', 'Saint Lucia', 'AMRO', '11', '173', '0', '2');
INSERT INTO public.who_import VALUES (75436, '2020-11-18', 'LC', 'Saint Lucia', 'AMRO', '5', '178', '0', '2');
INSERT INTO public.who_import VALUES (75437, '2020-11-19', 'LC', 'Saint Lucia', 'AMRO', '5', '183', '0', '2');
INSERT INTO public.who_import VALUES (75438, '2020-11-20', 'LC', 'Saint Lucia', 'AMRO', '20', '203', '0', '2');
INSERT INTO public.who_import VALUES (75439, '2020-11-21', 'LC', 'Saint Lucia', 'AMRO', '0', '203', '0', '2');
INSERT INTO public.who_import VALUES (75440, '2020-11-22', 'LC', 'Saint Lucia', 'AMRO', '0', '203', '0', '2');
INSERT INTO public.who_import VALUES (75441, '2020-11-23', 'LC', 'Saint Lucia', 'AMRO', '1', '204', '0', '2');
INSERT INTO public.who_import VALUES (75442, '2020-11-24', 'LC', 'Saint Lucia', 'AMRO', '19', '223', '0', '2');
INSERT INTO public.who_import VALUES (75443, '2020-11-25', 'LC', 'Saint Lucia', 'AMRO', '3', '226', '0', '2');
INSERT INTO public.who_import VALUES (75444, '2020-11-26', 'LC', 'Saint Lucia', 'AMRO', '9', '235', '0', '2');
INSERT INTO public.who_import VALUES (75445, '2020-11-27', 'LC', 'Saint Lucia', 'AMRO', '3', '238', '0', '2');
INSERT INTO public.who_import VALUES (75446, '2020-11-28', 'LC', 'Saint Lucia', 'AMRO', '8', '246', '0', '2');
INSERT INTO public.who_import VALUES (75447, '2020-11-29', 'LC', 'Saint Lucia', 'AMRO', '0', '246', '0', '2');
INSERT INTO public.who_import VALUES (75448, '2020-11-30', 'LC', 'Saint Lucia', 'AMRO', '6', '252', '0', '2');
INSERT INTO public.who_import VALUES (75449, '2020-12-01', 'LC', 'Saint Lucia', 'AMRO', '5', '257', '0', '2');
INSERT INTO public.who_import VALUES (75450, '2020-12-02', 'LC', 'Saint Lucia', 'AMRO', '2', '259', '0', '2');
INSERT INTO public.who_import VALUES (75451, '2020-12-03', 'LC', 'Saint Lucia', 'AMRO', '2', '261', '0', '2');
INSERT INTO public.who_import VALUES (75452, '2020-12-04', 'LC', 'Saint Lucia', 'AMRO', '1', '262', '0', '2');
INSERT INTO public.who_import VALUES (75453, '2020-12-05', 'LC', 'Saint Lucia', 'AMRO', '0', '262', '0', '2');
INSERT INTO public.who_import VALUES (75454, '2020-12-06', 'LC', 'Saint Lucia', 'AMRO', '3', '265', '0', '2');
INSERT INTO public.who_import VALUES (75455, '2020-12-07', 'LC', 'Saint Lucia', 'AMRO', '0', '265', '0', '2');
INSERT INTO public.who_import VALUES (75456, '2020-12-08', 'LC', 'Saint Lucia', 'AMRO', '0', '265', '0', '2');
INSERT INTO public.who_import VALUES (75457, '2020-12-09', 'LC', 'Saint Lucia', 'AMRO', '5', '270', '0', '2');
INSERT INTO public.who_import VALUES (75458, '2020-12-10', 'LC', 'Saint Lucia', 'AMRO', '1', '271', '1', '3');
INSERT INTO public.who_import VALUES (75459, '2020-12-11', 'LC', 'Saint Lucia', 'AMRO', '3', '274', '1', '4');
INSERT INTO public.who_import VALUES (75460, '2020-12-12', 'LC', 'Saint Lucia', 'AMRO', '0', '274', '0', '4');
INSERT INTO public.who_import VALUES (75461, '2020-12-13', 'LC', 'Saint Lucia', 'AMRO', '0', '274', '0', '4');
INSERT INTO public.who_import VALUES (75462, '2020-12-14', 'LC', 'Saint Lucia', 'AMRO', '1', '275', '0', '4');
INSERT INTO public.who_import VALUES (75463, '2020-12-15', 'LC', 'Saint Lucia', 'AMRO', '0', '275', '0', '4');
INSERT INTO public.who_import VALUES (75464, '2020-12-16', 'LC', 'Saint Lucia', 'AMRO', '3', '278', '0', '4');
INSERT INTO public.who_import VALUES (75465, '2020-12-17', 'LC', 'Saint Lucia', 'AMRO', '0', '278', '0', '4');
INSERT INTO public.who_import VALUES (75466, '2020-12-18', 'LC', 'Saint Lucia', 'AMRO', '1', '279', '0', '4');
INSERT INTO public.who_import VALUES (75467, '2020-12-19', 'LC', 'Saint Lucia', 'AMRO', '1', '280', '1', '5');
INSERT INTO public.who_import VALUES (75468, '2020-12-20', 'LC', 'Saint Lucia', 'AMRO', '0', '280', '0', '5');
INSERT INTO public.who_import VALUES (75469, '2020-12-21', 'LC', 'Saint Lucia', 'AMRO', '2', '282', '0', '5');
INSERT INTO public.who_import VALUES (75470, '2020-12-22', 'LC', 'Saint Lucia', 'AMRO', '5', '287', '0', '5');
INSERT INTO public.who_import VALUES (75471, '2020-12-23', 'LC', 'Saint Lucia', 'AMRO', '16', '303', '0', '5');
INSERT INTO public.who_import VALUES (75472, '2020-12-24', 'LC', 'Saint Lucia', 'AMRO', '2', '305', '0', '5');
INSERT INTO public.who_import VALUES (75473, '2020-12-25', 'LC', 'Saint Lucia', 'AMRO', '0', '305', '0', '5');
INSERT INTO public.who_import VALUES (75474, '2020-12-26', 'LC', 'Saint Lucia', 'AMRO', '0', '305', '0', '5');
INSERT INTO public.who_import VALUES (75475, '2020-12-27', 'LC', 'Saint Lucia', 'AMRO', '0', '305', '0', '5');
INSERT INTO public.who_import VALUES (75476, '2020-12-28', 'LC', 'Saint Lucia', 'AMRO', '0', '305', '0', '5');
INSERT INTO public.who_import VALUES (75477, '2020-12-29', 'LC', 'Saint Lucia', 'AMRO', '26', '331', '0', '5');
INSERT INTO public.who_import VALUES (75478, '2020-12-30', 'LC', 'Saint Lucia', 'AMRO', '0', '331', '0', '5');
INSERT INTO public.who_import VALUES (75479, '2020-12-31', 'LC', 'Saint Lucia', 'AMRO', '9', '340', '0', '5');
INSERT INTO public.who_import VALUES (75480, '2021-01-01', 'LC', 'Saint Lucia', 'AMRO', '13', '353', '0', '5');
INSERT INTO public.who_import VALUES (75481, '2021-01-02', 'LC', 'Saint Lucia', 'AMRO', '0', '353', '0', '5');
INSERT INTO public.who_import VALUES (75482, '2021-01-03', 'LC', 'Saint Lucia', 'AMRO', '0', '353', '0', '5');
INSERT INTO public.who_import VALUES (75483, '2021-01-04', 'LC', 'Saint Lucia', 'AMRO', '0', '353', '0', '5');
INSERT INTO public.who_import VALUES (75484, '2021-01-05', 'LC', 'Saint Lucia', 'AMRO', '0', '353', '0', '5');
INSERT INTO public.who_import VALUES (75485, '2021-01-06', 'LC', 'Saint Lucia', 'AMRO', '7', '360', '0', '5');
INSERT INTO public.who_import VALUES (75486, '2021-01-07', 'LC', 'Saint Lucia', 'AMRO', '20', '380', '0', '5');
INSERT INTO public.who_import VALUES (75487, '2021-01-08', 'LC', 'Saint Lucia', 'AMRO', '2', '382', '0', '5');
INSERT INTO public.who_import VALUES (75488, '2021-01-09', 'LC', 'Saint Lucia', 'AMRO', '1', '383', '0', '5');
INSERT INTO public.who_import VALUES (75489, '2021-01-10', 'LC', 'Saint Lucia', 'AMRO', '12', '395', '0', '5');
INSERT INTO public.who_import VALUES (75490, '2021-01-11', 'LC', 'Saint Lucia', 'AMRO', '43', '438', '0', '5');
INSERT INTO public.who_import VALUES (75491, '2021-01-12', 'LC', 'Saint Lucia', 'AMRO', '0', '438', '0', '5');
INSERT INTO public.who_import VALUES (75492, '2021-01-13', 'LC', 'Saint Lucia', 'AMRO', '40', '478', '0', '5');
INSERT INTO public.who_import VALUES (75493, '2021-01-14', 'LC', 'Saint Lucia', 'AMRO', '12', '490', '0', '5');
INSERT INTO public.who_import VALUES (75494, '2021-01-15', 'LC', 'Saint Lucia', 'AMRO', '12', '502', '1', '6');
INSERT INTO public.who_import VALUES (75495, '2021-01-16', 'LC', 'Saint Lucia', 'AMRO', '41', '543', '0', '6');
INSERT INTO public.who_import VALUES (75496, '2021-01-17', 'LC', 'Saint Lucia', 'AMRO', '33', '576', '0', '6');
INSERT INTO public.who_import VALUES (75497, '2021-01-18', 'LC', 'Saint Lucia', 'AMRO', '35', '611', '2', '8');
INSERT INTO public.who_import VALUES (75498, '2021-01-19', 'LC', 'Saint Lucia', 'AMRO', '10', '621', '0', '8');
INSERT INTO public.who_import VALUES (75499, '2021-01-20', 'LC', 'Saint Lucia', 'AMRO', '35', '656', '0', '8');
INSERT INTO public.who_import VALUES (75500, '2021-01-21', 'LC', 'Saint Lucia', 'AMRO', '57', '713', '0', '8');
INSERT INTO public.who_import VALUES (75501, '2021-01-22', 'LC', 'Saint Lucia', 'AMRO', '5', '718', '0', '8');
INSERT INTO public.who_import VALUES (75502, '2021-01-23', 'LC', 'Saint Lucia', 'AMRO', '37', '755', '0', '8');
INSERT INTO public.who_import VALUES (75503, '2021-01-24', 'LC', 'Saint Lucia', 'AMRO', '15', '770', '2', '10');
INSERT INTO public.who_import VALUES (75504, '2021-01-25', 'LC', 'Saint Lucia', 'AMRO', '40', '810', '1', '11');
INSERT INTO public.who_import VALUES (75505, '2021-01-26', 'LC', 'Saint Lucia', 'AMRO', '76', '886', '0', '11');
INSERT INTO public.who_import VALUES (75506, '2021-01-27', 'LC', 'Saint Lucia', 'AMRO', '35', '921', '2', '13');
INSERT INTO public.who_import VALUES (75507, '2021-01-28', 'LC', 'Saint Lucia', 'AMRO', '48', '969', '0', '13');
INSERT INTO public.who_import VALUES (75508, '2021-01-29', 'LC', 'Saint Lucia', 'AMRO', '60', '1029', '0', '13');
INSERT INTO public.who_import VALUES (75509, '2021-01-30', 'LC', 'Saint Lucia', 'AMRO', '77', '1106', '0', '13');
INSERT INTO public.who_import VALUES (75510, '2021-01-31', 'LC', 'Saint Lucia', 'AMRO', '89', '1195', '0', '13');
INSERT INTO public.who_import VALUES (75511, '2021-02-01', 'LC', 'Saint Lucia', 'AMRO', '0', '1195', '0', '13');
INSERT INTO public.who_import VALUES (75512, '2021-02-02', 'LC', 'Saint Lucia', 'AMRO', '216', '1411', '2', '15');
INSERT INTO public.who_import VALUES (75513, '2021-02-03', 'LC', 'Saint Lucia', 'AMRO', '0', '1411', '0', '15');
INSERT INTO public.who_import VALUES (75514, '2021-02-04', 'LC', 'Saint Lucia', 'AMRO', '68', '1479', '1', '16');
INSERT INTO public.who_import VALUES (75515, '2021-02-05', 'LC', 'Saint Lucia', 'AMRO', '77', '1556', '2', '18');
INSERT INTO public.who_import VALUES (75516, '2021-02-06', 'LC', 'Saint Lucia', 'AMRO', '0', '1556', '0', '18');
INSERT INTO public.who_import VALUES (75517, '2021-02-07', 'LC', 'Saint Lucia', 'AMRO', '257', '1813', '0', '18');
INSERT INTO public.who_import VALUES (75518, '2021-02-08', 'LC', 'Saint Lucia', 'AMRO', '0', '1813', '0', '18');
INSERT INTO public.who_import VALUES (75519, '2021-02-09', 'LC', 'Saint Lucia', 'AMRO', '214', '2027', '1', '19');
INSERT INTO public.who_import VALUES (75520, '2021-02-10', 'LC', 'Saint Lucia', 'AMRO', '0', '2027', '0', '19');
INSERT INTO public.who_import VALUES (75521, '2021-02-11', 'LC', 'Saint Lucia', 'AMRO', '110', '2137', '3', '22');
INSERT INTO public.who_import VALUES (75522, '2021-02-12', 'LC', 'Saint Lucia', 'AMRO', '0', '2137', '0', '22');
INSERT INTO public.who_import VALUES (75523, '2021-02-13', 'LC', 'Saint Lucia', 'AMRO', '278', '2415', '0', '22');
INSERT INTO public.who_import VALUES (75524, '2021-02-14', 'LC', 'Saint Lucia', 'AMRO', '72', '2487', '1', '23');
INSERT INTO public.who_import VALUES (75525, '2021-02-15', 'LC', 'Saint Lucia', 'AMRO', '0', '2487', '0', '23');
INSERT INTO public.who_import VALUES (75526, '2021-02-16', 'LC', 'Saint Lucia', 'AMRO', '32', '2519', '0', '23');
INSERT INTO public.who_import VALUES (75527, '2021-02-17', 'LC', 'Saint Lucia', 'AMRO', '30', '2549', '0', '23');
INSERT INTO public.who_import VALUES (75528, '2021-02-18', 'LC', 'Saint Lucia', 'AMRO', '27', '2576', '1', '24');
INSERT INTO public.who_import VALUES (75529, '2021-02-19', 'LC', 'Saint Lucia', 'AMRO', '44', '2620', '1', '25');
INSERT INTO public.who_import VALUES (75530, '2021-02-20', 'LC', 'Saint Lucia', 'AMRO', '0', '2620', '0', '25');
INSERT INTO public.who_import VALUES (75531, '2020-01-03', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75532, '2020-01-04', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75533, '2020-01-05', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75534, '2020-01-06', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75535, '2020-01-07', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75536, '2020-01-08', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75537, '2020-01-09', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75538, '2020-01-10', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75539, '2020-01-11', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75540, '2020-01-12', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75541, '2020-01-13', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75542, '2020-01-14', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75543, '2020-01-15', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75544, '2020-01-16', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75545, '2020-01-17', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75546, '2020-01-18', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75547, '2020-01-19', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75548, '2020-01-20', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75549, '2020-01-21', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75550, '2020-01-22', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75551, '2020-01-23', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75552, '2020-01-24', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75553, '2020-01-25', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75554, '2020-01-26', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75555, '2020-01-27', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75556, '2020-01-28', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75557, '2020-01-29', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75558, '2020-01-30', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75559, '2020-01-31', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75560, '2020-02-01', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75561, '2020-02-02', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75562, '2020-02-03', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75563, '2020-02-04', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75564, '2020-02-05', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75565, '2020-02-06', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75566, '2020-02-07', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75567, '2020-02-08', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75568, '2020-02-09', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75569, '2020-02-10', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75570, '2020-02-11', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75571, '2020-02-12', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75572, '2020-02-13', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75573, '2020-02-14', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75574, '2020-02-15', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75575, '2020-02-16', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75576, '2020-02-17', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75577, '2020-02-18', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75578, '2020-02-19', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75579, '2020-02-20', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75580, '2020-02-21', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75581, '2020-02-22', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75582, '2020-02-23', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75583, '2020-02-24', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75584, '2020-02-25', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75585, '2020-02-26', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75586, '2020-02-27', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75587, '2020-02-28', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75588, '2020-02-29', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75589, '2020-03-01', 'MF', 'Saint Martin', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75590, '2020-03-02', 'MF', 'Saint Martin', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (75591, '2020-03-03', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75592, '2020-03-04', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75593, '2020-03-05', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75594, '2020-03-06', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75595, '2020-03-07', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75596, '2020-03-08', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75597, '2020-03-09', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75598, '2020-03-10', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75599, '2020-03-11', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75600, '2020-03-12', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75601, '2020-03-13', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75602, '2020-03-14', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75603, '2020-03-15', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75604, '2020-03-16', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75605, '2020-03-17', 'MF', 'Saint Martin', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (75606, '2020-03-18', 'MF', 'Saint Martin', 'AMRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (75607, '2020-03-19', 'MF', 'Saint Martin', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (75608, '2020-03-20', 'MF', 'Saint Martin', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (75609, '2020-03-21', 'MF', 'Saint Martin', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (75610, '2020-03-22', 'MF', 'Saint Martin', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (75611, '2020-03-23', 'MF', 'Saint Martin', 'AMRO', '-3', '5', '0', '0');
INSERT INTO public.who_import VALUES (75612, '2020-03-24', 'MF', 'Saint Martin', 'AMRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (75613, '2020-03-25', 'MF', 'Saint Martin', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (75614, '2020-03-26', 'MF', 'Saint Martin', 'AMRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (76796, '2020-01-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75615, '2020-03-27', 'MF', 'Saint Martin', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (75616, '2020-03-28', 'MF', 'Saint Martin', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (75617, '2020-03-29', 'MF', 'Saint Martin', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (75618, '2020-03-30', 'MF', 'Saint Martin', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (75619, '2020-03-31', 'MF', 'Saint Martin', 'AMRO', '6', '18', '1', '1');
INSERT INTO public.who_import VALUES (75620, '2020-04-01', 'MF', 'Saint Martin', 'AMRO', '0', '18', '1', '2');
INSERT INTO public.who_import VALUES (75621, '2020-04-02', 'MF', 'Saint Martin', 'AMRO', '3', '21', '0', '2');
INSERT INTO public.who_import VALUES (75622, '2020-04-03', 'MF', 'Saint Martin', 'AMRO', '1', '22', '0', '2');
INSERT INTO public.who_import VALUES (75623, '2020-04-04', 'MF', 'Saint Martin', 'AMRO', '0', '22', '0', '2');
INSERT INTO public.who_import VALUES (75624, '2020-04-05', 'MF', 'Saint Martin', 'AMRO', '2', '24', '0', '2');
INSERT INTO public.who_import VALUES (75625, '2020-04-06', 'MF', 'Saint Martin', 'AMRO', '5', '29', '0', '2');
INSERT INTO public.who_import VALUES (75626, '2020-04-07', 'MF', 'Saint Martin', 'AMRO', '2', '31', '0', '2');
INSERT INTO public.who_import VALUES (75627, '2020-04-08', 'MF', 'Saint Martin', 'AMRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (75628, '2020-04-09', 'MF', 'Saint Martin', 'AMRO', '0', '31', '0', '2');
INSERT INTO public.who_import VALUES (75629, '2020-04-10', 'MF', 'Saint Martin', 'AMRO', '1', '32', '0', '2');
INSERT INTO public.who_import VALUES (75630, '2020-04-11', 'MF', 'Saint Martin', 'AMRO', '0', '32', '0', '2');
INSERT INTO public.who_import VALUES (75631, '2020-04-12', 'MF', 'Saint Martin', 'AMRO', '1', '33', '0', '2');
INSERT INTO public.who_import VALUES (75632, '2020-04-13', 'MF', 'Saint Martin', 'AMRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (75633, '2020-04-14', 'MF', 'Saint Martin', 'AMRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (75634, '2020-04-15', 'MF', 'Saint Martin', 'AMRO', '2', '35', '0', '2');
INSERT INTO public.who_import VALUES (75635, '2020-04-16', 'MF', 'Saint Martin', 'AMRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (75636, '2020-04-17', 'MF', 'Saint Martin', 'AMRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (75637, '2020-04-18', 'MF', 'Saint Martin', 'AMRO', '0', '35', '0', '2');
INSERT INTO public.who_import VALUES (75638, '2020-04-19', 'MF', 'Saint Martin', 'AMRO', '2', '37', '0', '2');
INSERT INTO public.who_import VALUES (75639, '2020-04-20', 'MF', 'Saint Martin', 'AMRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (75640, '2020-04-21', 'MF', 'Saint Martin', 'AMRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (75641, '2020-04-22', 'MF', 'Saint Martin', 'AMRO', '0', '37', '0', '2');
INSERT INTO public.who_import VALUES (75642, '2020-04-23', 'MF', 'Saint Martin', 'AMRO', '1', '38', '0', '2');
INSERT INTO public.who_import VALUES (75643, '2020-04-24', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (75644, '2020-04-25', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (75645, '2020-04-26', 'MF', 'Saint Martin', 'AMRO', '0', '38', '1', '3');
INSERT INTO public.who_import VALUES (75646, '2020-04-27', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75647, '2020-04-28', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75648, '2020-04-29', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75649, '2020-04-30', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75650, '2020-05-01', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75651, '2020-05-02', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75652, '2020-05-03', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75653, '2020-05-04', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75654, '2020-05-05', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75655, '2020-05-06', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75656, '2020-05-07', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75657, '2020-05-08', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75658, '2020-05-09', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75659, '2020-05-10', 'MF', 'Saint Martin', 'AMRO', '0', '38', '0', '3');
INSERT INTO public.who_import VALUES (75660, '2020-05-11', 'MF', 'Saint Martin', 'AMRO', '1', '39', '0', '3');
INSERT INTO public.who_import VALUES (75661, '2020-05-12', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75662, '2020-05-13', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75663, '2020-05-14', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75664, '2020-05-15', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75665, '2020-05-16', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75666, '2020-05-17', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75667, '2020-05-18', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75668, '2020-05-19', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75669, '2020-05-20', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75670, '2020-05-21', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75671, '2020-05-22', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75672, '2020-05-23', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75673, '2020-05-24', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75674, '2020-05-25', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75675, '2020-05-26', 'MF', 'Saint Martin', 'AMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (75676, '2020-05-27', 'MF', 'Saint Martin', 'AMRO', '1', '40', '0', '3');
INSERT INTO public.who_import VALUES (75677, '2020-05-28', 'MF', 'Saint Martin', 'AMRO', '0', '40', '0', '3');
INSERT INTO public.who_import VALUES (75678, '2020-05-29', 'MF', 'Saint Martin', 'AMRO', '0', '40', '0', '3');
INSERT INTO public.who_import VALUES (75679, '2020-05-30', 'MF', 'Saint Martin', 'AMRO', '0', '40', '0', '3');
INSERT INTO public.who_import VALUES (75680, '2020-05-31', 'MF', 'Saint Martin', 'AMRO', '1', '41', '0', '3');
INSERT INTO public.who_import VALUES (75681, '2020-06-01', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75682, '2020-06-02', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75683, '2020-06-03', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75684, '2020-06-04', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75685, '2020-06-05', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75686, '2020-06-06', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75687, '2020-06-07', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75688, '2020-06-08', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75689, '2020-06-09', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75690, '2020-06-10', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75691, '2020-06-11', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75692, '2020-06-12', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75693, '2020-06-13', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75694, '2020-06-14', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75695, '2020-06-15', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75696, '2020-06-16', 'MF', 'Saint Martin', 'AMRO', '0', '41', '0', '3');
INSERT INTO public.who_import VALUES (75697, '2020-06-17', 'MF', 'Saint Martin', 'AMRO', '1', '42', '0', '3');
INSERT INTO public.who_import VALUES (75698, '2020-06-18', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75699, '2020-06-19', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75700, '2020-06-20', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75701, '2020-06-21', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75702, '2020-06-22', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75703, '2020-06-23', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75704, '2020-06-24', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75705, '2020-06-25', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75706, '2020-06-26', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75707, '2020-06-27', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75708, '2020-06-28', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75709, '2020-06-29', 'MF', 'Saint Martin', 'AMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (75710, '2020-06-30', 'MF', 'Saint Martin', 'AMRO', '1', '43', '0', '3');
INSERT INTO public.who_import VALUES (75711, '2020-07-01', 'MF', 'Saint Martin', 'AMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (75712, '2020-07-02', 'MF', 'Saint Martin', 'AMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (75713, '2020-07-03', 'MF', 'Saint Martin', 'AMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (75714, '2020-07-04', 'MF', 'Saint Martin', 'AMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (75715, '2020-07-05', 'MF', 'Saint Martin', 'AMRO', '1', '44', '0', '3');
INSERT INTO public.who_import VALUES (75716, '2020-07-06', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75717, '2020-07-07', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75718, '2020-07-08', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75719, '2020-07-09', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75720, '2020-07-10', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75721, '2020-07-11', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75722, '2020-07-12', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75723, '2020-07-13', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75724, '2020-07-14', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75725, '2020-07-15', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75726, '2020-07-16', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75727, '2020-07-17', 'MF', 'Saint Martin', 'AMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (75728, '2020-07-18', 'MF', 'Saint Martin', 'AMRO', '2', '46', '0', '3');
INSERT INTO public.who_import VALUES (75729, '2020-07-19', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75730, '2020-07-20', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75731, '2020-07-21', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75732, '2020-07-22', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75733, '2020-07-23', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75734, '2020-07-24', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75735, '2020-07-25', 'MF', 'Saint Martin', 'AMRO', '0', '46', '0', '3');
INSERT INTO public.who_import VALUES (75736, '2020-07-26', 'MF', 'Saint Martin', 'AMRO', '3', '49', '0', '3');
INSERT INTO public.who_import VALUES (75737, '2020-07-27', 'MF', 'Saint Martin', 'AMRO', '0', '49', '0', '3');
INSERT INTO public.who_import VALUES (75738, '2020-07-28', 'MF', 'Saint Martin', 'AMRO', '0', '49', '0', '3');
INSERT INTO public.who_import VALUES (75739, '2020-07-29', 'MF', 'Saint Martin', 'AMRO', '0', '49', '0', '3');
INSERT INTO public.who_import VALUES (75740, '2020-07-30', 'MF', 'Saint Martin', 'AMRO', '4', '53', '0', '3');
INSERT INTO public.who_import VALUES (75741, '2020-07-31', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75742, '2020-08-01', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75743, '2020-08-02', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75744, '2020-08-03', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75745, '2020-08-04', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75746, '2020-08-05', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75747, '2020-08-06', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75748, '2020-08-07', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75749, '2020-08-08', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75750, '2020-08-09', 'MF', 'Saint Martin', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (75751, '2020-08-10', 'MF', 'Saint Martin', 'AMRO', '25', '78', '0', '3');
INSERT INTO public.who_import VALUES (75752, '2020-08-11', 'MF', 'Saint Martin', 'AMRO', '0', '78', '0', '3');
INSERT INTO public.who_import VALUES (75753, '2020-08-12', 'MF', 'Saint Martin', 'AMRO', '6', '84', '1', '4');
INSERT INTO public.who_import VALUES (75754, '2020-08-13', 'MF', 'Saint Martin', 'AMRO', '0', '84', '0', '4');
INSERT INTO public.who_import VALUES (75755, '2020-08-14', 'MF', 'Saint Martin', 'AMRO', '8', '92', '0', '4');
INSERT INTO public.who_import VALUES (75756, '2020-08-15', 'MF', 'Saint Martin', 'AMRO', '0', '92', '0', '4');
INSERT INTO public.who_import VALUES (75757, '2020-08-16', 'MF', 'Saint Martin', 'AMRO', '17', '109', '1', '5');
INSERT INTO public.who_import VALUES (75758, '2020-08-17', 'MF', 'Saint Martin', 'AMRO', '0', '109', '0', '5');
INSERT INTO public.who_import VALUES (75759, '2020-08-18', 'MF', 'Saint Martin', 'AMRO', '0', '109', '0', '5');
INSERT INTO public.who_import VALUES (75760, '2020-08-19', 'MF', 'Saint Martin', 'AMRO', '12', '121', '0', '5');
INSERT INTO public.who_import VALUES (75761, '2020-08-20', 'MF', 'Saint Martin', 'AMRO', '0', '121', '0', '5');
INSERT INTO public.who_import VALUES (75762, '2020-08-21', 'MF', 'Saint Martin', 'AMRO', '0', '121', '0', '5');
INSERT INTO public.who_import VALUES (75763, '2020-08-22', 'MF', 'Saint Martin', 'AMRO', '0', '121', '0', '5');
INSERT INTO public.who_import VALUES (75764, '2020-08-23', 'MF', 'Saint Martin', 'AMRO', '55', '176', '0', '5');
INSERT INTO public.who_import VALUES (75765, '2020-08-24', 'MF', 'Saint Martin', 'AMRO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (75766, '2020-08-25', 'MF', 'Saint Martin', 'AMRO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (75767, '2020-08-26', 'MF', 'Saint Martin', 'AMRO', '0', '176', '0', '5');
INSERT INTO public.who_import VALUES (75768, '2020-08-27', 'MF', 'Saint Martin', 'AMRO', '22', '198', '0', '5');
INSERT INTO public.who_import VALUES (75769, '2020-08-28', 'MF', 'Saint Martin', 'AMRO', '0', '198', '0', '5');
INSERT INTO public.who_import VALUES (75770, '2020-08-29', 'MF', 'Saint Martin', 'AMRO', '0', '198', '0', '5');
INSERT INTO public.who_import VALUES (75771, '2020-08-30', 'MF', 'Saint Martin', 'AMRO', '15', '213', '0', '5');
INSERT INTO public.who_import VALUES (75772, '2020-08-31', 'MF', 'Saint Martin', 'AMRO', '0', '213', '0', '5');
INSERT INTO public.who_import VALUES (75773, '2020-09-01', 'MF', 'Saint Martin', 'AMRO', '0', '213', '0', '5');
INSERT INTO public.who_import VALUES (75774, '2020-09-02', 'MF', 'Saint Martin', 'AMRO', '0', '213', '0', '5');
INSERT INTO public.who_import VALUES (75775, '2020-09-03', 'MF', 'Saint Martin', 'AMRO', '0', '213', '0', '5');
INSERT INTO public.who_import VALUES (75776, '2020-09-04', 'MF', 'Saint Martin', 'AMRO', '26', '239', '1', '6');
INSERT INTO public.who_import VALUES (75777, '2020-09-05', 'MF', 'Saint Martin', 'AMRO', '0', '239', '0', '6');
INSERT INTO public.who_import VALUES (75778, '2020-09-06', 'MF', 'Saint Martin', 'AMRO', '0', '239', '0', '6');
INSERT INTO public.who_import VALUES (75779, '2020-09-07', 'MF', 'Saint Martin', 'AMRO', '0', '239', '0', '6');
INSERT INTO public.who_import VALUES (75780, '2020-09-08', 'MF', 'Saint Martin', 'AMRO', '0', '239', '0', '6');
INSERT INTO public.who_import VALUES (75781, '2020-09-09', 'MF', 'Saint Martin', 'AMRO', '0', '239', '0', '6');
INSERT INTO public.who_import VALUES (75782, '2020-09-10', 'MF', 'Saint Martin', 'AMRO', '0', '239', '0', '6');
INSERT INTO public.who_import VALUES (75783, '2020-09-11', 'MF', 'Saint Martin', 'AMRO', '17', '256', '0', '6');
INSERT INTO public.who_import VALUES (75784, '2020-09-12', 'MF', 'Saint Martin', 'AMRO', '0', '256', '0', '6');
INSERT INTO public.who_import VALUES (75785, '2020-09-13', 'MF', 'Saint Martin', 'AMRO', '0', '256', '0', '6');
INSERT INTO public.who_import VALUES (75786, '2020-09-14', 'MF', 'Saint Martin', 'AMRO', '0', '256', '0', '6');
INSERT INTO public.who_import VALUES (75787, '2020-09-15', 'MF', 'Saint Martin', 'AMRO', '0', '256', '0', '6');
INSERT INTO public.who_import VALUES (75788, '2020-09-16', 'MF', 'Saint Martin', 'AMRO', '74', '330', '0', '6');
INSERT INTO public.who_import VALUES (75789, '2020-09-17', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75790, '2020-09-18', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75791, '2020-09-19', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75792, '2020-09-20', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75793, '2020-09-21', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75794, '2020-09-22', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75795, '2020-09-23', 'MF', 'Saint Martin', 'AMRO', '0', '330', '0', '6');
INSERT INTO public.who_import VALUES (75796, '2020-09-24', 'MF', 'Saint Martin', 'AMRO', '37', '367', '2', '8');
INSERT INTO public.who_import VALUES (75797, '2020-09-25', 'MF', 'Saint Martin', 'AMRO', '0', '367', '0', '8');
INSERT INTO public.who_import VALUES (75798, '2020-09-26', 'MF', 'Saint Martin', 'AMRO', '0', '367', '0', '8');
INSERT INTO public.who_import VALUES (75799, '2020-09-27', 'MF', 'Saint Martin', 'AMRO', '16', '383', '0', '8');
INSERT INTO public.who_import VALUES (75800, '2020-09-28', 'MF', 'Saint Martin', 'AMRO', '0', '383', '0', '8');
INSERT INTO public.who_import VALUES (75801, '2020-09-29', 'MF', 'Saint Martin', 'AMRO', '0', '383', '0', '8');
INSERT INTO public.who_import VALUES (75802, '2020-09-30', 'MF', 'Saint Martin', 'AMRO', '0', '383', '0', '8');
INSERT INTO public.who_import VALUES (75803, '2020-10-01', 'MF', 'Saint Martin', 'AMRO', '0', '383', '0', '8');
INSERT INTO public.who_import VALUES (75804, '2020-10-02', 'MF', 'Saint Martin', 'AMRO', '0', '383', '0', '8');
INSERT INTO public.who_import VALUES (75805, '2020-10-03', 'MF', 'Saint Martin', 'AMRO', '29', '412', '0', '8');
INSERT INTO public.who_import VALUES (75806, '2020-10-04', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75807, '2020-10-05', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75808, '2020-10-06', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75809, '2020-10-07', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75810, '2020-10-08', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75811, '2020-10-09', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75812, '2020-10-10', 'MF', 'Saint Martin', 'AMRO', '0', '412', '0', '8');
INSERT INTO public.who_import VALUES (75813, '2020-10-11', 'MF', 'Saint Martin', 'AMRO', '54', '466', '0', '8');
INSERT INTO public.who_import VALUES (75814, '2020-10-12', 'MF', 'Saint Martin', 'AMRO', '0', '466', '0', '8');
INSERT INTO public.who_import VALUES (75815, '2020-10-13', 'MF', 'Saint Martin', 'AMRO', '0', '466', '0', '8');
INSERT INTO public.who_import VALUES (75816, '2020-10-14', 'MF', 'Saint Martin', 'AMRO', '0', '466', '0', '8');
INSERT INTO public.who_import VALUES (75817, '2020-10-15', 'MF', 'Saint Martin', 'AMRO', '0', '466', '0', '8');
INSERT INTO public.who_import VALUES (75818, '2020-10-16', 'MF', 'Saint Martin', 'AMRO', '35', '501', '0', '8');
INSERT INTO public.who_import VALUES (75819, '2020-10-17', 'MF', 'Saint Martin', 'AMRO', '30', '531', '0', '8');
INSERT INTO public.who_import VALUES (75820, '2020-10-18', 'MF', 'Saint Martin', 'AMRO', '0', '531', '0', '8');
INSERT INTO public.who_import VALUES (75821, '2020-10-19', 'MF', 'Saint Martin', 'AMRO', '0', '531', '0', '8');
INSERT INTO public.who_import VALUES (75822, '2020-10-20', 'MF', 'Saint Martin', 'AMRO', '0', '531', '0', '8');
INSERT INTO public.who_import VALUES (75823, '2020-10-21', 'MF', 'Saint Martin', 'AMRO', '0', '531', '0', '8');
INSERT INTO public.who_import VALUES (75824, '2020-10-22', 'MF', 'Saint Martin', 'AMRO', '0', '531', '0', '8');
INSERT INTO public.who_import VALUES (75825, '2020-10-23', 'MF', 'Saint Martin', 'AMRO', '7', '538', '0', '8');
INSERT INTO public.who_import VALUES (75826, '2020-10-24', 'MF', 'Saint Martin', 'AMRO', '0', '538', '0', '8');
INSERT INTO public.who_import VALUES (75827, '2020-10-25', 'MF', 'Saint Martin', 'AMRO', '0', '538', '0', '8');
INSERT INTO public.who_import VALUES (75828, '2020-10-26', 'MF', 'Saint Martin', 'AMRO', '4', '542', '0', '8');
INSERT INTO public.who_import VALUES (75829, '2020-10-27', 'MF', 'Saint Martin', 'AMRO', '0', '542', '0', '8');
INSERT INTO public.who_import VALUES (75830, '2020-10-28', 'MF', 'Saint Martin', 'AMRO', '0', '542', '0', '8');
INSERT INTO public.who_import VALUES (75831, '2020-10-29', 'MF', 'Saint Martin', 'AMRO', '24', '566', '1', '9');
INSERT INTO public.who_import VALUES (75832, '2020-10-30', 'MF', 'Saint Martin', 'AMRO', '0', '566', '0', '9');
INSERT INTO public.who_import VALUES (75833, '2020-10-31', 'MF', 'Saint Martin', 'AMRO', '25', '591', '0', '9');
INSERT INTO public.who_import VALUES (75834, '2020-11-01', 'MF', 'Saint Martin', 'AMRO', '0', '591', '0', '9');
INSERT INTO public.who_import VALUES (75835, '2020-11-02', 'MF', 'Saint Martin', 'AMRO', '0', '591', '0', '9');
INSERT INTO public.who_import VALUES (75836, '2020-11-03', 'MF', 'Saint Martin', 'AMRO', '0', '591', '0', '9');
INSERT INTO public.who_import VALUES (75837, '2020-11-04', 'MF', 'Saint Martin', 'AMRO', '0', '591', '0', '9');
INSERT INTO public.who_import VALUES (75838, '2020-11-05', 'MF', 'Saint Martin', 'AMRO', '13', '604', '3', '12');
INSERT INTO public.who_import VALUES (75839, '2020-11-06', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75840, '2020-11-07', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75841, '2020-11-08', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75842, '2020-11-09', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75843, '2020-11-10', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75844, '2020-11-11', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75845, '2020-11-12', 'MF', 'Saint Martin', 'AMRO', '0', '604', '0', '12');
INSERT INTO public.who_import VALUES (75846, '2020-11-13', 'MF', 'Saint Martin', 'AMRO', '51', '655', '0', '12');
INSERT INTO public.who_import VALUES (75847, '2020-11-14', 'MF', 'Saint Martin', 'AMRO', '0', '655', '0', '12');
INSERT INTO public.who_import VALUES (75848, '2020-11-15', 'MF', 'Saint Martin', 'AMRO', '0', '655', '0', '12');
INSERT INTO public.who_import VALUES (75849, '2020-11-16', 'MF', 'Saint Martin', 'AMRO', '0', '655', '0', '12');
INSERT INTO public.who_import VALUES (75850, '2020-11-17', 'MF', 'Saint Martin', 'AMRO', '0', '655', '0', '12');
INSERT INTO public.who_import VALUES (75851, '2020-11-18', 'MF', 'Saint Martin', 'AMRO', '0', '655', '0', '12');
INSERT INTO public.who_import VALUES (75852, '2020-11-19', 'MF', 'Saint Martin', 'AMRO', '35', '690', '0', '12');
INSERT INTO public.who_import VALUES (75853, '2020-11-20', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75854, '2020-11-21', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75855, '2020-11-22', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75856, '2020-11-23', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75857, '2020-11-24', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75858, '2020-11-25', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75859, '2020-11-26', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75860, '2020-11-27', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75861, '2020-11-28', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75862, '2020-11-29', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75863, '2020-11-30', 'MF', 'Saint Martin', 'AMRO', '0', '690', '0', '12');
INSERT INTO public.who_import VALUES (75864, '2020-12-01', 'MF', 'Saint Martin', 'AMRO', '54', '744', '0', '12');
INSERT INTO public.who_import VALUES (75865, '2020-12-02', 'MF', 'Saint Martin', 'AMRO', '0', '744', '0', '12');
INSERT INTO public.who_import VALUES (75866, '2020-12-03', 'MF', 'Saint Martin', 'AMRO', '0', '744', '0', '12');
INSERT INTO public.who_import VALUES (75867, '2020-12-04', 'MF', 'Saint Martin', 'AMRO', '0', '744', '0', '12');
INSERT INTO public.who_import VALUES (75868, '2020-12-05', 'MF', 'Saint Martin', 'AMRO', '0', '744', '0', '12');
INSERT INTO public.who_import VALUES (75869, '2020-12-06', 'MF', 'Saint Martin', 'AMRO', '0', '744', '0', '12');
INSERT INTO public.who_import VALUES (75870, '2020-12-07', 'MF', 'Saint Martin', 'AMRO', '0', '744', '0', '12');
INSERT INTO public.who_import VALUES (75871, '2020-12-08', 'MF', 'Saint Martin', 'AMRO', '94', '838', '0', '12');
INSERT INTO public.who_import VALUES (75872, '2020-12-09', 'MF', 'Saint Martin', 'AMRO', '0', '838', '0', '12');
INSERT INTO public.who_import VALUES (75873, '2020-12-10', 'MF', 'Saint Martin', 'AMRO', '0', '838', '0', '12');
INSERT INTO public.who_import VALUES (75874, '2020-12-11', 'MF', 'Saint Martin', 'AMRO', '0', '838', '0', '12');
INSERT INTO public.who_import VALUES (75875, '2020-12-12', 'MF', 'Saint Martin', 'AMRO', '0', '838', '0', '12');
INSERT INTO public.who_import VALUES (75876, '2020-12-13', 'MF', 'Saint Martin', 'AMRO', '0', '838', '0', '12');
INSERT INTO public.who_import VALUES (75877, '2020-12-14', 'MF', 'Saint Martin', 'AMRO', '0', '838', '0', '12');
INSERT INTO public.who_import VALUES (75878, '2020-12-15', 'MF', 'Saint Martin', 'AMRO', '61', '899', '0', '12');
INSERT INTO public.who_import VALUES (75879, '2020-12-16', 'MF', 'Saint Martin', 'AMRO', '0', '899', '0', '12');
INSERT INTO public.who_import VALUES (75880, '2020-12-17', 'MF', 'Saint Martin', 'AMRO', '0', '899', '0', '12');
INSERT INTO public.who_import VALUES (75881, '2020-12-18', 'MF', 'Saint Martin', 'AMRO', '0', '899', '0', '12');
INSERT INTO public.who_import VALUES (75882, '2020-12-19', 'MF', 'Saint Martin', 'AMRO', '0', '899', '0', '12');
INSERT INTO public.who_import VALUES (75883, '2020-12-20', 'MF', 'Saint Martin', 'AMRO', '49', '948', '0', '12');
INSERT INTO public.who_import VALUES (75884, '2020-12-21', 'MF', 'Saint Martin', 'AMRO', '0', '948', '0', '12');
INSERT INTO public.who_import VALUES (75885, '2020-12-22', 'MF', 'Saint Martin', 'AMRO', '0', '948', '0', '12');
INSERT INTO public.who_import VALUES (75886, '2020-12-23', 'MF', 'Saint Martin', 'AMRO', '0', '948', '0', '12');
INSERT INTO public.who_import VALUES (75887, '2020-12-24', 'MF', 'Saint Martin', 'AMRO', '0', '948', '0', '12');
INSERT INTO public.who_import VALUES (75888, '2020-12-25', 'MF', 'Saint Martin', 'AMRO', '0', '948', '0', '12');
INSERT INTO public.who_import VALUES (75889, '2020-12-26', 'MF', 'Saint Martin', 'AMRO', '0', '948', '0', '12');
INSERT INTO public.who_import VALUES (75890, '2020-12-27', 'MF', 'Saint Martin', 'AMRO', '38', '986', '0', '12');
INSERT INTO public.who_import VALUES (75891, '2020-12-28', 'MF', 'Saint Martin', 'AMRO', '0', '986', '0', '12');
INSERT INTO public.who_import VALUES (75892, '2020-12-29', 'MF', 'Saint Martin', 'AMRO', '0', '986', '0', '12');
INSERT INTO public.who_import VALUES (75893, '2020-12-30', 'MF', 'Saint Martin', 'AMRO', '0', '986', '0', '12');
INSERT INTO public.who_import VALUES (75894, '2020-12-31', 'MF', 'Saint Martin', 'AMRO', '0', '986', '0', '12');
INSERT INTO public.who_import VALUES (75895, '2021-01-01', 'MF', 'Saint Martin', 'AMRO', '9', '995', '0', '12');
INSERT INTO public.who_import VALUES (75896, '2021-01-02', 'MF', 'Saint Martin', 'AMRO', '0', '995', '0', '12');
INSERT INTO public.who_import VALUES (75897, '2021-01-03', 'MF', 'Saint Martin', 'AMRO', '0', '995', '0', '12');
INSERT INTO public.who_import VALUES (75898, '2021-01-04', 'MF', 'Saint Martin', 'AMRO', '0', '995', '0', '12');
INSERT INTO public.who_import VALUES (75899, '2021-01-05', 'MF', 'Saint Martin', 'AMRO', '7', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75900, '2021-01-06', 'MF', 'Saint Martin', 'AMRO', '0', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75901, '2021-01-07', 'MF', 'Saint Martin', 'AMRO', '0', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75902, '2021-01-08', 'MF', 'Saint Martin', 'AMRO', '0', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75903, '2021-01-09', 'MF', 'Saint Martin', 'AMRO', '0', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75904, '2021-01-10', 'MF', 'Saint Martin', 'AMRO', '0', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75905, '2021-01-11', 'MF', 'Saint Martin', 'AMRO', '0', '1002', '0', '12');
INSERT INTO public.who_import VALUES (75906, '2021-01-12', 'MF', 'Saint Martin', 'AMRO', '44', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75907, '2021-01-13', 'MF', 'Saint Martin', 'AMRO', '0', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75908, '2021-01-14', 'MF', 'Saint Martin', 'AMRO', '0', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75909, '2021-01-15', 'MF', 'Saint Martin', 'AMRO', '0', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75910, '2021-01-16', 'MF', 'Saint Martin', 'AMRO', '0', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75911, '2021-01-17', 'MF', 'Saint Martin', 'AMRO', '0', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75912, '2021-01-18', 'MF', 'Saint Martin', 'AMRO', '0', '1046', '0', '12');
INSERT INTO public.who_import VALUES (75913, '2021-01-19', 'MF', 'Saint Martin', 'AMRO', '71', '1117', '0', '12');
INSERT INTO public.who_import VALUES (75914, '2021-01-20', 'MF', 'Saint Martin', 'AMRO', '0', '1117', '0', '12');
INSERT INTO public.who_import VALUES (75915, '2021-01-21', 'MF', 'Saint Martin', 'AMRO', '0', '1117', '0', '12');
INSERT INTO public.who_import VALUES (75916, '2021-01-22', 'MF', 'Saint Martin', 'AMRO', '0', '1117', '0', '12');
INSERT INTO public.who_import VALUES (75917, '2021-01-23', 'MF', 'Saint Martin', 'AMRO', '74', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75918, '2021-01-24', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75919, '2021-01-25', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75920, '2021-01-26', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75921, '2021-01-27', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75922, '2021-01-28', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75923, '2021-01-29', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75924, '2021-01-30', 'MF', 'Saint Martin', 'AMRO', '0', '1191', '0', '12');
INSERT INTO public.who_import VALUES (75925, '2021-01-31', 'MF', 'Saint Martin', 'AMRO', '98', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75926, '2021-02-01', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75927, '2021-02-02', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75928, '2021-02-03', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75929, '2021-02-04', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75930, '2021-02-05', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75931, '2021-02-06', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75932, '2021-02-07', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75933, '2021-02-08', 'MF', 'Saint Martin', 'AMRO', '0', '1289', '0', '12');
INSERT INTO public.who_import VALUES (75934, '2021-02-09', 'MF', 'Saint Martin', 'AMRO', '88', '1377', '0', '12');
INSERT INTO public.who_import VALUES (76797, '2020-01-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75935, '2021-02-10', 'MF', 'Saint Martin', 'AMRO', '0', '1377', '0', '12');
INSERT INTO public.who_import VALUES (75936, '2021-02-11', 'MF', 'Saint Martin', 'AMRO', '0', '1377', '0', '12');
INSERT INTO public.who_import VALUES (75937, '2021-02-12', 'MF', 'Saint Martin', 'AMRO', '0', '1377', '0', '12');
INSERT INTO public.who_import VALUES (75938, '2021-02-13', 'MF', 'Saint Martin', 'AMRO', '0', '1377', '0', '12');
INSERT INTO public.who_import VALUES (75939, '2021-02-14', 'MF', 'Saint Martin', 'AMRO', '79', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75940, '2021-02-15', 'MF', 'Saint Martin', 'AMRO', '0', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75941, '2021-02-16', 'MF', 'Saint Martin', 'AMRO', '0', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75942, '2021-02-17', 'MF', 'Saint Martin', 'AMRO', '0', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75943, '2021-02-18', 'MF', 'Saint Martin', 'AMRO', '0', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75944, '2021-02-19', 'MF', 'Saint Martin', 'AMRO', '0', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75945, '2021-02-20', 'MF', 'Saint Martin', 'AMRO', '0', '1456', '0', '12');
INSERT INTO public.who_import VALUES (75946, '2020-01-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75947, '2020-01-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75948, '2020-01-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75949, '2020-01-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75950, '2020-01-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75951, '2020-01-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75952, '2020-01-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75953, '2020-01-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75954, '2020-01-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75955, '2020-01-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75956, '2020-01-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75957, '2020-01-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75958, '2020-01-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75959, '2020-01-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75960, '2020-01-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75961, '2020-01-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75962, '2020-01-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75963, '2020-01-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75964, '2020-01-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75965, '2020-01-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75966, '2020-01-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75967, '2020-01-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75968, '2020-01-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75969, '2020-01-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75970, '2020-01-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75971, '2020-01-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75972, '2020-01-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75973, '2020-01-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75974, '2020-01-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75975, '2020-02-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75976, '2020-02-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75977, '2020-02-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75978, '2020-02-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75979, '2020-02-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75980, '2020-02-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75981, '2020-02-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75982, '2020-02-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75983, '2020-02-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75984, '2020-02-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75985, '2020-02-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75986, '2020-02-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75987, '2020-02-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75988, '2020-02-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75989, '2020-02-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75990, '2020-02-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75991, '2020-02-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75992, '2020-02-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75993, '2020-02-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75994, '2020-02-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75995, '2020-02-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75996, '2020-02-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75997, '2020-02-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75998, '2020-02-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (75999, '2020-02-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76000, '2020-02-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76001, '2020-02-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76002, '2020-02-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76003, '2020-02-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76004, '2020-03-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76005, '2020-03-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76006, '2020-03-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76007, '2020-03-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76008, '2020-03-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76009, '2020-03-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76010, '2020-03-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76011, '2020-03-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76012, '2020-03-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76013, '2020-03-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76014, '2020-03-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76015, '2020-03-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76016, '2020-03-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76017, '2020-03-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76018, '2020-03-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76019, '2020-03-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76020, '2020-03-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76021, '2020-03-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76022, '2020-03-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76023, '2020-03-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76024, '2020-03-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76025, '2020-03-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76026, '2020-03-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76027, '2020-03-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76028, '2020-03-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76029, '2020-03-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76030, '2020-03-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76031, '2020-03-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76032, '2020-03-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76033, '2020-03-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76034, '2020-03-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76035, '2020-04-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76036, '2020-04-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76037, '2020-04-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76038, '2020-04-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76039, '2020-04-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76040, '2020-04-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76041, '2020-04-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76042, '2020-04-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (76043, '2020-04-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76044, '2020-04-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76045, '2020-04-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76046, '2020-04-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76047, '2020-04-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76048, '2020-04-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76049, '2020-04-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76050, '2020-04-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76051, '2020-04-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76052, '2020-04-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76053, '2020-04-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76054, '2020-04-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76055, '2020-04-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76056, '2020-04-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76057, '2020-04-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76058, '2020-04-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76059, '2020-04-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76060, '2020-04-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76061, '2020-04-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76062, '2020-04-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76063, '2020-04-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76064, '2020-04-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76065, '2020-05-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76066, '2020-05-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76067, '2020-05-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76068, '2020-05-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76069, '2020-05-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76070, '2020-05-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76071, '2020-05-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76072, '2020-05-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76073, '2020-05-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76074, '2020-05-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76075, '2020-05-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76076, '2020-05-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76077, '2020-05-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76078, '2020-05-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76079, '2020-05-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76080, '2020-05-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76081, '2020-05-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76082, '2020-05-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76083, '2020-05-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76084, '2020-05-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76085, '2020-05-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76086, '2020-05-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76087, '2020-05-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76088, '2020-05-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76089, '2020-05-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76090, '2020-05-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76091, '2020-05-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76092, '2020-05-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76093, '2020-05-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76094, '2020-05-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76095, '2020-05-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76096, '2020-06-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76097, '2020-06-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76098, '2020-06-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76099, '2020-06-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76100, '2020-06-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76101, '2020-06-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76102, '2020-06-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76103, '2020-06-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76104, '2020-06-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76105, '2020-06-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76106, '2020-06-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76107, '2020-06-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76108, '2020-06-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76109, '2020-06-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76110, '2020-06-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76111, '2020-06-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76112, '2020-06-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76798, '2020-01-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76113, '2020-06-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76114, '2020-06-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76115, '2020-06-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76116, '2020-06-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76117, '2020-06-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76118, '2020-06-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76119, '2020-06-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76120, '2020-06-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76121, '2020-06-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76122, '2020-06-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76123, '2020-06-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76124, '2020-06-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76125, '2020-06-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76126, '2020-07-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76127, '2020-07-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76128, '2020-07-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76129, '2020-07-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76130, '2020-07-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76131, '2020-07-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76132, '2020-07-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76133, '2020-07-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76134, '2020-07-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76135, '2020-07-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (76136, '2020-07-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (76137, '2020-07-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (76138, '2020-07-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (76139, '2020-07-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (76140, '2020-07-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (76141, '2020-07-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (76142, '2020-07-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (76143, '2020-07-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76144, '2020-07-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76145, '2020-07-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76146, '2020-07-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76147, '2020-07-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76148, '2020-07-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76149, '2020-07-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76150, '2020-07-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76151, '2020-07-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76152, '2020-07-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76153, '2020-07-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76154, '2020-07-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76155, '2020-07-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76156, '2020-07-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76157, '2020-08-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76158, '2020-08-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76159, '2020-08-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76160, '2020-08-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76161, '2020-08-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76162, '2020-08-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76163, '2020-08-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76164, '2020-08-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76165, '2020-08-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76166, '2020-08-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76167, '2020-08-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76168, '2020-08-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76169, '2020-08-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76170, '2020-08-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76171, '2020-08-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76172, '2020-08-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (76173, '2020-08-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (76174, '2020-08-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76175, '2020-08-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76176, '2020-08-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76177, '2020-08-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76178, '2020-08-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76179, '2020-08-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76180, '2020-08-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76181, '2020-08-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76182, '2020-08-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76183, '2020-08-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76184, '2020-08-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76185, '2020-08-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76186, '2020-08-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76187, '2020-08-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76188, '2020-09-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76189, '2020-09-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76190, '2020-09-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76191, '2020-09-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76192, '2020-09-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (76193, '2020-09-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (76194, '2020-09-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (76195, '2020-09-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (76196, '2020-09-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (76197, '2020-09-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (76198, '2020-09-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (76199, '2020-09-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (76200, '2020-09-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76799, '2020-01-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76201, '2020-09-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76202, '2020-09-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76203, '2020-09-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76204, '2020-09-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76205, '2020-09-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76206, '2020-09-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76207, '2020-09-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76208, '2020-09-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76209, '2020-09-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76210, '2020-09-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (76211, '2020-09-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (76212, '2020-09-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76213, '2020-09-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76214, '2020-09-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76215, '2020-09-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76216, '2020-09-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76217, '2020-09-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76218, '2020-10-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76219, '2020-10-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76220, '2020-10-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76221, '2020-10-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76222, '2020-10-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76223, '2020-10-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76224, '2020-10-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76225, '2020-10-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76226, '2020-10-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76227, '2020-10-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76228, '2020-10-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76229, '2020-10-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76230, '2020-10-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76231, '2020-10-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76232, '2020-10-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76233, '2020-10-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76234, '2020-10-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76235, '2020-10-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76236, '2020-10-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76237, '2020-10-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76238, '2020-10-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76239, '2020-10-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76240, '2020-10-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76241, '2020-10-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76242, '2020-10-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76243, '2020-10-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76244, '2020-10-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76245, '2020-10-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76246, '2020-10-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76247, '2020-10-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76248, '2020-10-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76249, '2020-11-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76250, '2020-11-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76251, '2020-11-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76252, '2020-11-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76253, '2020-11-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76254, '2020-11-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (76255, '2020-11-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (76256, '2020-11-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (76257, '2020-11-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76258, '2020-11-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76259, '2020-11-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76260, '2020-11-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76261, '2020-11-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76262, '2020-11-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76263, '2020-11-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76264, '2020-11-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76265, '2020-11-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76266, '2020-11-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76267, '2020-11-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76268, '2020-11-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76269, '2020-11-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76270, '2020-11-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76271, '2020-11-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76272, '2020-11-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76273, '2020-11-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76274, '2020-11-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76275, '2020-11-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76276, '2020-11-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76277, '2020-11-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76278, '2020-11-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76279, '2020-12-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76280, '2020-12-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76281, '2020-12-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76282, '2020-12-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76283, '2020-12-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76284, '2020-12-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76285, '2020-12-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76286, '2020-12-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76287, '2020-12-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76288, '2020-12-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76800, '2020-01-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76289, '2020-12-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76290, '2020-12-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76291, '2020-12-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76292, '2020-12-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76293, '2020-12-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76294, '2020-12-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76295, '2020-12-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76296, '2020-12-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76297, '2020-12-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76298, '2020-12-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76299, '2020-12-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (76300, '2020-12-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (76301, '2020-12-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (76302, '2020-12-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (76303, '2020-12-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (76304, '2020-12-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (76305, '2020-12-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76306, '2020-12-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76307, '2020-12-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76308, '2020-12-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76309, '2020-12-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76310, '2021-01-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76311, '2021-01-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76312, '2021-01-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76313, '2021-01-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76314, '2021-01-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76315, '2021-01-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76316, '2021-01-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76317, '2021-01-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76318, '2021-01-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76319, '2021-01-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76320, '2021-01-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76321, '2021-01-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76322, '2021-01-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76323, '2021-01-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76324, '2021-01-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76325, '2021-01-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76326, '2021-01-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76327, '2021-01-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76328, '2021-01-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76329, '2021-01-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76330, '2021-01-21', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76331, '2021-01-22', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76332, '2021-01-23', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76333, '2021-01-24', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '4', '20', '0', '0');
INSERT INTO public.who_import VALUES (76334, '2021-01-25', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (76335, '2021-01-26', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '2', '23', '0', '0');
INSERT INTO public.who_import VALUES (76336, '2021-01-27', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (76337, '2021-01-28', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (76338, '2021-01-29', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (76339, '2021-01-30', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76340, '2021-01-31', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76341, '2021-02-01', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76342, '2021-02-02', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76343, '2021-02-03', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76344, '2021-02-04', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76345, '2021-02-05', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76346, '2021-02-06', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76347, '2021-02-07', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76348, '2021-02-08', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76349, '2021-02-09', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76350, '2021-02-10', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76351, '2021-02-11', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76352, '2021-02-12', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76353, '2021-02-13', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76354, '2021-02-14', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76355, '2021-02-15', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76356, '2021-02-16', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76357, '2021-02-17', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76358, '2021-02-18', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76359, '2021-02-19', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76360, '2021-02-20', 'PM', 'Saint Pierre and Miquelon', 'AMRO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (76361, '2020-01-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76362, '2020-01-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76363, '2020-01-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76364, '2020-01-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76365, '2020-01-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76366, '2020-01-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76367, '2020-01-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76368, '2020-01-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76369, '2020-01-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76370, '2020-01-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76371, '2020-01-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76372, '2020-01-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76373, '2020-01-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76374, '2020-01-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76375, '2020-01-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76376, '2020-01-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76801, '2020-01-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76377, '2020-01-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76378, '2020-01-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76379, '2020-01-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76380, '2020-01-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76381, '2020-01-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76382, '2020-01-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76383, '2020-01-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76384, '2020-01-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76385, '2020-01-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76386, '2020-01-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76387, '2020-01-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76388, '2020-01-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76389, '2020-01-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76390, '2020-02-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76391, '2020-02-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76392, '2020-02-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76393, '2020-02-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76394, '2020-02-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76395, '2020-02-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76396, '2020-02-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76397, '2020-02-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76398, '2020-02-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76399, '2020-02-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76400, '2020-02-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76401, '2020-02-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76402, '2020-02-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76403, '2020-02-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76404, '2020-02-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76405, '2020-02-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76406, '2020-02-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76407, '2020-02-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76408, '2020-02-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76409, '2020-02-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76410, '2020-02-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76411, '2020-02-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76412, '2020-02-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76413, '2020-02-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76414, '2020-02-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76415, '2020-02-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76416, '2020-02-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76417, '2020-02-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76418, '2020-02-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76419, '2020-03-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76420, '2020-03-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76421, '2020-03-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76422, '2020-03-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76423, '2020-03-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76424, '2020-03-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76425, '2020-03-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76426, '2020-03-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76427, '2020-03-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76428, '2020-03-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76429, '2020-03-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76430, '2020-03-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76431, '2020-03-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (76432, '2020-03-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76433, '2020-03-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76434, '2020-03-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76435, '2020-03-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76436, '2020-03-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76437, '2020-03-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76438, '2020-03-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76439, '2020-03-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76440, '2020-03-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76441, '2020-03-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76442, '2020-03-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76443, '2020-03-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76444, '2020-03-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76445, '2020-03-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76446, '2020-03-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76447, '2020-03-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76448, '2020-03-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76449, '2020-03-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76450, '2020-04-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76451, '2020-04-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (76452, '2020-04-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (76453, '2020-04-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (76454, '2020-04-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (76455, '2020-04-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (76456, '2020-04-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '7', '0', '0');
INSERT INTO public.who_import VALUES (76457, '2020-04-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (76458, '2020-04-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (76459, '2020-04-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (76460, '2020-04-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '12', '0', '0');
INSERT INTO public.who_import VALUES (76461, '2020-04-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76462, '2020-04-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76463, '2020-04-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76464, '2020-04-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76465, '2020-04-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76466, '2020-04-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76467, '2020-04-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76468, '2020-04-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76469, '2020-04-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76470, '2020-04-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76471, '2020-04-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (76472, '2020-04-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (76473, '2020-04-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (76474, '2020-04-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (76475, '2020-04-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76476, '2020-04-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (76477, '2020-04-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '15', '0', '0');
INSERT INTO public.who_import VALUES (76478, '2020-04-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (76479, '2020-04-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (76480, '2020-05-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76481, '2020-05-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76482, '2020-05-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76483, '2020-05-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (76484, '2020-05-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (76485, '2020-05-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76486, '2020-05-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76487, '2020-05-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76488, '2020-05-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76489, '2020-05-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76490, '2020-05-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76491, '2020-05-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76492, '2020-05-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76493, '2020-05-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76494, '2020-05-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76495, '2020-05-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76496, '2020-05-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76497, '2020-05-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76498, '2020-05-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76499, '2020-05-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (76500, '2020-05-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (76501, '2020-05-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76502, '2020-05-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76503, '2020-05-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76504, '2020-05-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76505, '2020-05-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76506, '2020-05-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76507, '2020-05-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (76508, '2020-05-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '7', '25', '0', '0');
INSERT INTO public.who_import VALUES (76509, '2020-05-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (76510, '2020-05-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (76511, '2020-06-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '26', '0', '0');
INSERT INTO public.who_import VALUES (76512, '2020-06-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76513, '2020-06-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76514, '2020-06-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76515, '2020-06-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76516, '2020-06-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76517, '2020-06-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76518, '2020-06-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (76519, '2020-06-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (76520, '2020-06-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76521, '2020-06-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76522, '2020-06-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76523, '2020-06-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76524, '2020-06-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76525, '2020-06-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76526, '2020-06-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76527, '2020-06-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (76528, '2020-06-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '29', '0', '0');
INSERT INTO public.who_import VALUES (76529, '2020-06-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76530, '2020-06-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76531, '2020-06-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76532, '2020-06-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76533, '2020-06-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76534, '2020-06-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76535, '2020-06-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76536, '2020-06-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76537, '2020-06-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76538, '2020-06-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76539, '2020-06-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76540, '2020-06-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76541, '2020-07-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76542, '2020-07-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76543, '2020-07-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76544, '2020-07-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76545, '2020-07-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76802, '2020-01-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76546, '2020-07-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76547, '2020-07-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76548, '2020-07-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76549, '2020-07-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76550, '2020-07-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76551, '2020-07-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76552, '2020-07-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76553, '2020-07-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (76554, '2020-07-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '6', '35', '0', '0');
INSERT INTO public.who_import VALUES (76555, '2020-07-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (76556, '2020-07-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (76557, '2020-07-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (76558, '2020-07-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (76559, '2020-07-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (76560, '2020-07-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '3', '38', '0', '0');
INSERT INTO public.who_import VALUES (76561, '2020-07-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '12', '50', '0', '0');
INSERT INTO public.who_import VALUES (76562, '2020-07-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (76563, '2020-07-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '50', '0', '0');
INSERT INTO public.who_import VALUES (76564, '2020-07-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '52', '0', '0');
INSERT INTO public.who_import VALUES (76565, '2020-07-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76566, '2020-07-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76567, '2020-07-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76568, '2020-07-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76569, '2020-07-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76570, '2020-07-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76571, '2020-07-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (76572, '2020-08-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '54', '0', '0');
INSERT INTO public.who_import VALUES (76573, '2020-08-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '54', '0', '0');
INSERT INTO public.who_import VALUES (76574, '2020-08-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '54', '0', '0');
INSERT INTO public.who_import VALUES (76575, '2020-08-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '55', '0', '0');
INSERT INTO public.who_import VALUES (76576, '2020-08-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (76577, '2020-08-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (76578, '2020-08-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '56', '0', '0');
INSERT INTO public.who_import VALUES (76579, '2020-08-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '56', '0', '0');
INSERT INTO public.who_import VALUES (76580, '2020-08-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '56', '0', '0');
INSERT INTO public.who_import VALUES (76581, '2020-08-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '56', '0', '0');
INSERT INTO public.who_import VALUES (76582, '2020-08-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '57', '0', '0');
INSERT INTO public.who_import VALUES (76583, '2020-08-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76584, '2020-08-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76585, '2020-08-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76586, '2020-08-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76587, '2020-08-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76588, '2020-08-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76589, '2020-08-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (76590, '2020-08-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '58', '0', '0');
INSERT INTO public.who_import VALUES (76591, '2020-08-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76592, '2020-08-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76593, '2020-08-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76594, '2020-08-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76595, '2020-08-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76596, '2020-08-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76597, '2020-08-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76598, '2020-08-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '58', '0', '0');
INSERT INTO public.who_import VALUES (76599, '2020-08-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '60', '0', '0');
INSERT INTO public.who_import VALUES (76600, '2020-08-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (76601, '2020-08-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (76602, '2020-08-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (76603, '2020-09-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (76604, '2020-09-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '60', '0', '0');
INSERT INTO public.who_import VALUES (76605, '2020-09-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '61', '0', '0');
INSERT INTO public.who_import VALUES (76606, '2020-09-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '61', '0', '0');
INSERT INTO public.who_import VALUES (76607, '2020-09-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '61', '0', '0');
INSERT INTO public.who_import VALUES (76608, '2020-09-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '61', '0', '0');
INSERT INTO public.who_import VALUES (76609, '2020-09-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '61', '0', '0');
INSERT INTO public.who_import VALUES (76610, '2020-09-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '61', '0', '0');
INSERT INTO public.who_import VALUES (76611, '2020-09-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '62', '0', '0');
INSERT INTO public.who_import VALUES (76612, '2020-09-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (76613, '2020-09-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (76614, '2020-09-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '62', '0', '0');
INSERT INTO public.who_import VALUES (76615, '2020-09-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '64', '0', '0');
INSERT INTO public.who_import VALUES (76616, '2020-09-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76617, '2020-09-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76618, '2020-09-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76619, '2020-09-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76620, '2020-09-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76621, '2020-09-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76622, '2020-09-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76623, '2020-09-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76624, '2020-09-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76625, '2020-09-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76626, '2020-09-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76803, '2020-01-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76627, '2020-09-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76628, '2020-09-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76629, '2020-09-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76630, '2020-09-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76631, '2020-09-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76632, '2020-09-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76633, '2020-10-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76634, '2020-10-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76635, '2020-10-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76636, '2020-10-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76637, '2020-10-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76638, '2020-10-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76639, '2020-10-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76640, '2020-10-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76641, '2020-10-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76642, '2020-10-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76643, '2020-10-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76644, '2020-10-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76645, '2020-10-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76646, '2020-10-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76647, '2020-10-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76648, '2020-10-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '64', '0', '0');
INSERT INTO public.who_import VALUES (76649, '2020-10-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '65', '0', '0');
INSERT INTO public.who_import VALUES (76650, '2020-10-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '67', '0', '0');
INSERT INTO public.who_import VALUES (76651, '2020-10-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (76652, '2020-10-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (76653, '2020-10-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '68', '0', '0');
INSERT INTO public.who_import VALUES (76654, '2020-10-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (76655, '2020-10-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (76656, '2020-10-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '5', '73', '0', '0');
INSERT INTO public.who_import VALUES (76657, '2020-10-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '73', '0', '0');
INSERT INTO public.who_import VALUES (76658, '2020-10-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '73', '0', '0');
INSERT INTO public.who_import VALUES (76659, '2020-10-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '73', '0', '0');
INSERT INTO public.who_import VALUES (76660, '2020-10-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '74', '0', '0');
INSERT INTO public.who_import VALUES (76661, '2020-10-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '74', '0', '0');
INSERT INTO public.who_import VALUES (76662, '2020-10-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '74', '0', '0');
INSERT INTO public.who_import VALUES (76663, '2020-10-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '74', '0', '0');
INSERT INTO public.who_import VALUES (76664, '2020-11-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '74', '0', '0');
INSERT INTO public.who_import VALUES (76665, '2020-11-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '75', '0', '0');
INSERT INTO public.who_import VALUES (76666, '2020-11-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '75', '0', '0');
INSERT INTO public.who_import VALUES (76667, '2020-11-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '75', '0', '0');
INSERT INTO public.who_import VALUES (76668, '2020-11-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '75', '0', '0');
INSERT INTO public.who_import VALUES (76669, '2020-11-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '75', '0', '0');
INSERT INTO public.who_import VALUES (76670, '2020-11-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '76', '0', '0');
INSERT INTO public.who_import VALUES (76671, '2020-11-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (76672, '2020-11-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (76673, '2020-11-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (76674, '2020-11-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (76675, '2020-11-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '76', '0', '0');
INSERT INTO public.who_import VALUES (76676, '2020-11-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '77', '0', '0');
INSERT INTO public.who_import VALUES (76677, '2020-11-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '78', '0', '0');
INSERT INTO public.who_import VALUES (76678, '2020-11-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '78', '0', '0');
INSERT INTO public.who_import VALUES (76679, '2020-11-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '78', '0', '0');
INSERT INTO public.who_import VALUES (76680, '2020-11-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '78', '0', '0');
INSERT INTO public.who_import VALUES (76681, '2020-11-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '78', '0', '0');
INSERT INTO public.who_import VALUES (76682, '2020-11-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '5', '83', '0', '0');
INSERT INTO public.who_import VALUES (76683, '2020-11-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '83', '0', '0');
INSERT INTO public.who_import VALUES (76684, '2020-11-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '84', '0', '0');
INSERT INTO public.who_import VALUES (76685, '2020-11-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (76686, '2020-11-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (76687, '2020-11-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (76688, '2020-11-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (76689, '2020-11-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (76690, '2020-11-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '84', '0', '0');
INSERT INTO public.who_import VALUES (76691, '2020-11-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '85', '0', '0');
INSERT INTO public.who_import VALUES (76692, '2020-11-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (76693, '2020-11-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (76694, '2020-12-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (76695, '2020-12-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (76696, '2020-12-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (76697, '2020-12-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '85', '0', '0');
INSERT INTO public.who_import VALUES (76698, '2020-12-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '87', '0', '0');
INSERT INTO public.who_import VALUES (76699, '2020-12-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (76700, '2020-12-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (76701, '2020-12-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (76702, '2020-12-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '87', '0', '0');
INSERT INTO public.who_import VALUES (76703, '2020-12-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '3', '90', '0', '0');
INSERT INTO public.who_import VALUES (76704, '2020-12-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '91', '0', '0');
INSERT INTO public.who_import VALUES (76705, '2020-12-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '3', '94', '0', '0');
INSERT INTO public.who_import VALUES (76706, '2020-12-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (76707, '2020-12-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '98', '0', '0');
INSERT INTO public.who_import VALUES (76804, '2020-01-31', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76708, '2020-12-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '98', '0', '0');
INSERT INTO public.who_import VALUES (76709, '2020-12-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '98', '0', '0');
INSERT INTO public.who_import VALUES (76710, '2020-12-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '98', '0', '0');
INSERT INTO public.who_import VALUES (76711, '2020-12-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '100', '0', '0');
INSERT INTO public.who_import VALUES (76712, '2020-12-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (76713, '2020-12-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (76714, '2020-12-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '104', '0', '0');
INSERT INTO public.who_import VALUES (76715, '2020-12-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '104', '0', '0');
INSERT INTO public.who_import VALUES (76716, '2020-12-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '3', '107', '0', '0');
INSERT INTO public.who_import VALUES (76717, '2020-12-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '108', '0', '0');
INSERT INTO public.who_import VALUES (76718, '2020-12-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (76719, '2020-12-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (76720, '2020-12-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (76721, '2020-12-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '109', '0', '0');
INSERT INTO public.who_import VALUES (76722, '2020-12-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '109', '0', '0');
INSERT INTO public.who_import VALUES (76723, '2020-12-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '113', '0', '0');
INSERT INTO public.who_import VALUES (76724, '2020-12-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '115', '0', '0');
INSERT INTO public.who_import VALUES (76725, '2021-01-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '119', '0', '0');
INSERT INTO public.who_import VALUES (76726, '2021-01-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '121', '0', '0');
INSERT INTO public.who_import VALUES (76727, '2021-01-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '1', '122', '0', '0');
INSERT INTO public.who_import VALUES (76728, '2021-01-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '2', '124', '0', '0');
INSERT INTO public.who_import VALUES (76729, '2021-01-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '124', '0', '0');
INSERT INTO public.who_import VALUES (76730, '2021-01-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '9', '133', '0', '0');
INSERT INTO public.who_import VALUES (76731, '2021-01-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '16', '149', '0', '0');
INSERT INTO public.who_import VALUES (76732, '2021-01-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '149', '0', '0');
INSERT INTO public.who_import VALUES (76733, '2021-01-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '55', '204', '0', '0');
INSERT INTO public.who_import VALUES (76734, '2021-01-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '204', '0', '0');
INSERT INTO public.who_import VALUES (76735, '2021-01-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '21', '225', '0', '0');
INSERT INTO public.who_import VALUES (76736, '2021-01-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '24', '249', '0', '0');
INSERT INTO public.who_import VALUES (76737, '2021-01-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '253', '0', '0');
INSERT INTO public.who_import VALUES (76738, '2021-01-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '31', '284', '0', '0');
INSERT INTO public.who_import VALUES (76739, '2021-01-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '56', '340', '0', '0');
INSERT INTO public.who_import VALUES (76740, '2021-01-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '48', '388', '0', '0');
INSERT INTO public.who_import VALUES (76741, '2021-01-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '62', '450', '1', '1');
INSERT INTO public.who_import VALUES (76742, '2021-01-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '28', '478', '0', '1');
INSERT INTO public.who_import VALUES (76743, '2021-01-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '16', '494', '1', '2');
INSERT INTO public.who_import VALUES (76744, '2021-01-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '46', '540', '0', '2');
INSERT INTO public.who_import VALUES (76745, '2021-01-21', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '62', '602', '0', '2');
INSERT INTO public.who_import VALUES (76746, '2021-01-22', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '53', '655', '0', '2');
INSERT INTO public.who_import VALUES (76747, '2021-01-23', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '35', '690', '0', '2');
INSERT INTO public.who_import VALUES (76748, '2021-01-24', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '30', '720', '0', '2');
INSERT INTO public.who_import VALUES (76749, '2021-01-25', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '18', '738', '0', '2');
INSERT INTO public.who_import VALUES (76750, '2021-01-26', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '8', '746', '0', '2');
INSERT INTO public.who_import VALUES (76751, '2021-01-27', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '17', '763', '0', '2');
INSERT INTO public.who_import VALUES (76752, '2021-01-28', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '35', '798', '0', '2');
INSERT INTO public.who_import VALUES (76753, '2021-01-29', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '29', '827', '0', '2');
INSERT INTO public.who_import VALUES (76754, '2021-01-30', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '38', '865', '0', '2');
INSERT INTO public.who_import VALUES (76755, '2021-01-31', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '31', '896', '0', '2');
INSERT INTO public.who_import VALUES (76756, '2021-02-01', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '5', '901', '0', '2');
INSERT INTO public.who_import VALUES (76757, '2021-02-02', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '50', '951', '0', '2');
INSERT INTO public.who_import VALUES (76758, '2021-02-03', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '57', '1008', '0', '2');
INSERT INTO public.who_import VALUES (76759, '2021-02-04', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '51', '1059', '0', '2');
INSERT INTO public.who_import VALUES (76760, '2021-02-05', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '8', '1067', '1', '3');
INSERT INTO public.who_import VALUES (76761, '2021-02-06', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '103', '1170', '0', '3');
INSERT INTO public.who_import VALUES (76762, '2021-02-07', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1170', '0', '3');
INSERT INTO public.who_import VALUES (76763, '2021-02-08', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '99', '1269', '1', '4');
INSERT INTO public.who_import VALUES (76764, '2021-02-09', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '14', '1283', '0', '4');
INSERT INTO public.who_import VALUES (76765, '2021-02-10', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '41', '1324', '0', '4');
INSERT INTO public.who_import VALUES (76766, '2021-02-11', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '16', '1340', '2', '6');
INSERT INTO public.who_import VALUES (76767, '2021-02-12', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '30', '1370', '0', '6');
INSERT INTO public.who_import VALUES (76768, '2021-02-13', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '25', '1395', '0', '6');
INSERT INTO public.who_import VALUES (76769, '2021-02-14', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '23', '1418', '0', '6');
INSERT INTO public.who_import VALUES (76770, '2021-02-15', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '0', '1418', '0', '6');
INSERT INTO public.who_import VALUES (76771, '2021-02-16', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '35', '1453', '0', '6');
INSERT INTO public.who_import VALUES (76772, '2021-02-17', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '4', '1457', '0', '6');
INSERT INTO public.who_import VALUES (76773, '2021-02-18', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '5', '1462', '0', '6');
INSERT INTO public.who_import VALUES (76774, '2021-02-19', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '12', '1474', '0', '6');
INSERT INTO public.who_import VALUES (76775, '2021-02-20', 'VC', 'Saint Vincent and the Grenadines', 'AMRO', '20', '1494', '0', '6');
INSERT INTO public.who_import VALUES (76776, '2020-01-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76777, '2020-01-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76778, '2020-01-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76779, '2020-01-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76780, '2020-01-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76781, '2020-01-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76782, '2020-01-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76783, '2020-01-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76784, '2020-01-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76785, '2020-01-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76786, '2020-01-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76787, '2020-01-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76788, '2020-01-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76789, '2020-01-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76790, '2020-01-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76791, '2020-01-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76792, '2020-01-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76793, '2020-01-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76794, '2020-01-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76795, '2020-01-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76805, '2020-02-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76806, '2020-02-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76807, '2020-02-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76808, '2020-02-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76809, '2020-02-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76810, '2020-02-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76811, '2020-02-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76812, '2020-02-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76813, '2020-02-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76814, '2020-02-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76815, '2020-02-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76816, '2020-02-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76817, '2020-02-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76818, '2020-02-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76819, '2020-02-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76820, '2020-02-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76821, '2020-02-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76822, '2020-02-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76823, '2020-02-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76824, '2020-02-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76825, '2020-02-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76826, '2020-02-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76827, '2020-02-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76828, '2020-02-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76829, '2020-02-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76830, '2020-02-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76831, '2020-02-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76832, '2020-02-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76833, '2020-02-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76834, '2020-03-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76835, '2020-03-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76836, '2020-03-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76837, '2020-03-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76838, '2020-03-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76839, '2020-03-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76840, '2020-03-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76841, '2020-03-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76842, '2020-03-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76843, '2020-03-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76844, '2020-03-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76845, '2020-03-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76846, '2020-03-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76847, '2020-03-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76848, '2020-03-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76849, '2020-03-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76850, '2020-03-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76851, '2020-03-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76852, '2020-03-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76853, '2020-03-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76854, '2020-03-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76855, '2020-03-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76856, '2020-03-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76857, '2020-03-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76858, '2020-03-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76859, '2020-03-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76860, '2020-03-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76861, '2020-03-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76862, '2020-03-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76863, '2020-03-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76864, '2020-03-31', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76865, '2020-04-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76866, '2020-04-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76867, '2020-04-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76868, '2020-04-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76869, '2020-04-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76870, '2020-04-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76871, '2020-04-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76872, '2020-04-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76873, '2020-04-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76874, '2020-04-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76875, '2020-04-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76876, '2020-04-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76877, '2020-04-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76878, '2020-04-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76879, '2020-04-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76880, '2020-04-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76881, '2020-04-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76882, '2020-04-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76883, '2020-04-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76884, '2020-04-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76885, '2020-04-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76886, '2020-04-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76887, '2020-04-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76888, '2020-04-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76889, '2020-04-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76890, '2020-04-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76891, '2020-04-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76892, '2020-04-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76893, '2020-04-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76894, '2020-04-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76895, '2020-05-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76896, '2020-05-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76897, '2020-05-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76898, '2020-05-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76899, '2020-05-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76900, '2020-05-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76901, '2020-05-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76902, '2020-05-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76903, '2020-05-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76904, '2020-05-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76905, '2020-05-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76906, '2020-05-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76907, '2020-05-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76908, '2020-05-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76909, '2020-05-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76910, '2020-05-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76911, '2020-05-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76912, '2020-05-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76913, '2020-05-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76914, '2020-05-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76915, '2020-05-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76916, '2020-05-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76917, '2020-05-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76918, '2020-05-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76919, '2020-05-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76920, '2020-05-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76921, '2020-05-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76922, '2020-05-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76923, '2020-05-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76924, '2020-05-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76925, '2020-05-31', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76926, '2020-06-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76927, '2020-06-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76928, '2020-06-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76929, '2020-06-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76930, '2020-06-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76931, '2020-06-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76932, '2020-06-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76933, '2020-06-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76934, '2020-06-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76935, '2020-06-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76936, '2020-06-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76937, '2020-06-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76938, '2020-06-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76939, '2020-06-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76940, '2020-06-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76941, '2020-06-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76942, '2020-06-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76943, '2020-06-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76944, '2020-06-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76945, '2020-06-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76946, '2020-06-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76947, '2020-06-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76948, '2020-06-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76949, '2020-06-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76950, '2020-06-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76951, '2020-06-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76952, '2020-06-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76953, '2020-06-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76954, '2020-06-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76955, '2020-06-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76956, '2020-07-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76957, '2020-07-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76958, '2020-07-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76959, '2020-07-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76960, '2020-07-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76961, '2020-07-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76962, '2020-07-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76963, '2020-07-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76964, '2020-07-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76965, '2020-07-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76966, '2020-07-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76967, '2020-07-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76968, '2020-07-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76969, '2020-07-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76970, '2020-07-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76971, '2020-07-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76972, '2020-07-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76973, '2020-07-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76974, '2020-07-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76975, '2020-07-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76976, '2020-07-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76977, '2020-07-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76978, '2020-07-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76979, '2020-07-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76980, '2020-07-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76981, '2020-07-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76982, '2020-07-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76983, '2020-07-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76984, '2020-07-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76985, '2020-07-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76986, '2020-07-31', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76987, '2020-08-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76988, '2020-08-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76989, '2020-08-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76990, '2020-08-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76991, '2020-08-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76992, '2020-08-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76993, '2020-08-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76994, '2020-08-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76995, '2020-08-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76996, '2020-08-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76997, '2020-08-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76998, '2020-08-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (76999, '2020-08-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77000, '2020-08-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77001, '2020-08-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77002, '2020-08-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77003, '2020-08-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77004, '2020-08-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77005, '2020-08-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77006, '2020-08-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77007, '2020-08-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77008, '2020-08-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77009, '2020-08-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77010, '2020-08-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77011, '2020-08-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77012, '2020-08-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77013, '2020-08-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77014, '2020-08-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77015, '2020-08-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77016, '2020-08-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77017, '2020-08-31', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77018, '2020-09-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77019, '2020-09-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77020, '2020-09-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77021, '2020-09-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77022, '2020-09-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77023, '2020-09-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77024, '2020-09-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77025, '2020-09-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77026, '2020-09-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77027, '2020-09-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77028, '2020-09-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77029, '2020-09-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77030, '2020-09-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77031, '2020-09-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77032, '2020-09-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77033, '2020-09-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77034, '2020-09-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77035, '2020-09-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77036, '2020-09-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77037, '2020-09-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77038, '2020-09-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77039, '2020-09-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77040, '2020-09-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77041, '2020-09-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77042, '2020-09-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77043, '2020-09-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77044, '2020-09-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77045, '2020-09-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77046, '2020-09-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77047, '2020-09-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77048, '2020-10-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77049, '2020-10-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77050, '2020-10-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77051, '2020-10-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77052, '2020-10-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77053, '2020-10-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77054, '2020-10-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77055, '2020-10-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77056, '2020-10-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77057, '2020-10-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77058, '2020-10-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77059, '2020-10-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77060, '2020-10-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77061, '2020-10-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77062, '2020-10-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77063, '2020-10-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77064, '2020-10-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77065, '2020-10-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77066, '2020-10-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77067, '2020-10-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77068, '2020-10-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77069, '2020-10-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77070, '2020-10-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77071, '2020-10-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77072, '2020-10-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77073, '2020-10-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77074, '2020-10-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77075, '2020-10-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77076, '2020-10-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77077, '2020-10-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77078, '2020-10-31', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77079, '2020-11-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77080, '2020-11-02', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77081, '2020-11-03', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77082, '2020-11-04', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77083, '2020-11-05', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77084, '2020-11-06', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77085, '2020-11-07', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77086, '2020-11-08', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77087, '2020-11-09', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77088, '2020-11-10', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77089, '2020-11-11', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77090, '2020-11-12', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77091, '2020-11-13', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77092, '2020-11-14', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77093, '2020-11-15', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77094, '2020-11-16', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77095, '2020-11-17', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77096, '2020-11-18', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77097, '2020-11-19', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77098, '2020-11-20', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77099, '2020-11-21', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77100, '2020-11-22', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77101, '2020-11-23', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77102, '2020-11-24', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77103, '2020-11-25', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77104, '2020-11-26', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77105, '2020-11-27', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77106, '2020-11-28', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77107, '2020-11-29', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77108, '2020-11-30', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77109, '2020-12-01', 'WS', 'Samoa', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77110, '2020-12-02', 'WS', 'Samoa', 'WPRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (77111, '2020-12-03', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77112, '2020-12-04', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77113, '2020-12-05', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77114, '2020-12-06', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77115, '2020-12-07', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77116, '2020-12-08', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77117, '2020-12-09', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77118, '2020-12-10', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77119, '2020-12-11', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77120, '2020-12-12', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77121, '2020-12-13', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77122, '2020-12-14', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77123, '2020-12-15', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77124, '2020-12-16', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77125, '2020-12-17', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77126, '2020-12-18', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77127, '2020-12-19', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77128, '2020-12-20', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77129, '2020-12-21', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77130, '2020-12-22', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77131, '2020-12-23', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77132, '2020-12-24', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77133, '2020-12-25', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77134, '2020-12-26', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77135, '2020-12-27', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77136, '2020-12-28', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77137, '2020-12-29', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77138, '2020-12-30', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77139, '2020-12-31', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77140, '2021-01-01', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77141, '2021-01-02', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77142, '2021-01-03', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77143, '2021-01-04', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77144, '2021-01-05', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77145, '2021-01-06', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77146, '2021-01-07', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77147, '2021-01-08', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77148, '2021-01-09', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77149, '2021-01-10', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77150, '2021-01-11', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77151, '2021-01-12', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77152, '2021-01-13', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77153, '2021-01-14', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77154, '2021-01-15', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77155, '2021-01-16', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77156, '2021-01-17', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77157, '2021-01-18', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77158, '2021-01-19', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77159, '2021-01-20', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77160, '2021-01-21', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77161, '2021-01-22', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77162, '2021-01-23', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77163, '2021-01-24', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77164, '2021-01-25', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77165, '2021-01-26', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77166, '2021-01-27', 'WS', 'Samoa', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (77167, '2021-01-28', 'WS', 'Samoa', 'WPRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (77168, '2021-01-29', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77169, '2021-01-30', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77170, '2021-01-31', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77171, '2021-02-01', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77172, '2021-02-02', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77173, '2021-02-03', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77174, '2021-02-04', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77175, '2021-02-05', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77176, '2021-02-06', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77177, '2021-02-07', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77178, '2021-02-08', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77179, '2021-02-09', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77180, '2021-02-10', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77181, '2021-02-11', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77182, '2021-02-12', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77183, '2021-02-13', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77184, '2021-02-14', 'WS', 'Samoa', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (77185, '2021-02-15', 'WS', 'Samoa', 'WPRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (77186, '2021-02-16', 'WS', 'Samoa', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77187, '2021-02-17', 'WS', 'Samoa', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77188, '2021-02-18', 'WS', 'Samoa', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77189, '2021-02-19', 'WS', 'Samoa', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77190, '2021-02-20', 'WS', 'Samoa', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77191, '2020-01-03', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77192, '2020-01-04', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77193, '2020-01-05', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77194, '2020-01-06', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77195, '2020-01-07', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77196, '2020-01-08', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77197, '2020-01-09', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77198, '2020-01-10', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77199, '2020-01-11', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77200, '2020-01-12', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77201, '2020-01-13', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77202, '2020-01-14', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77203, '2020-01-15', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77204, '2020-01-16', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77205, '2020-01-17', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77206, '2020-01-18', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77207, '2020-01-19', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77208, '2020-01-20', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77209, '2020-01-21', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77210, '2020-01-22', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77211, '2020-01-23', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77212, '2020-01-24', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77213, '2020-01-25', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77214, '2020-01-26', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77215, '2020-01-27', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77216, '2020-01-28', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77217, '2020-01-29', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77218, '2020-01-30', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77219, '2020-01-31', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77220, '2020-02-01', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77221, '2020-02-02', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77222, '2020-02-03', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77223, '2020-02-04', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77224, '2020-02-05', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77225, '2020-02-06', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77226, '2020-02-07', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77227, '2020-02-08', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77228, '2020-02-09', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77229, '2020-02-10', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77230, '2020-02-11', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77231, '2020-02-12', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77232, '2020-02-13', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77233, '2020-02-14', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77234, '2020-02-15', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77235, '2020-02-16', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77236, '2020-02-17', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77237, '2020-02-18', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77238, '2020-02-19', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77239, '2020-02-20', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77240, '2020-02-21', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77241, '2020-02-22', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77242, '2020-02-23', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77243, '2020-02-24', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77244, '2020-02-25', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77245, '2020-02-26', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77246, '2020-02-27', 'SM', 'San Marino', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77247, '2020-02-28', 'SM', 'San Marino', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (77248, '2020-02-29', 'SM', 'San Marino', 'EURO', '0', '1', '1', '1');
INSERT INTO public.who_import VALUES (77249, '2020-03-01', 'SM', 'San Marino', 'EURO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (77250, '2020-03-02', 'SM', 'San Marino', 'EURO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (77251, '2020-03-03', 'SM', 'San Marino', 'EURO', '8', '9', '0', '1');
INSERT INTO public.who_import VALUES (77252, '2020-03-04', 'SM', 'San Marino', 'EURO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (77253, '2020-03-05', 'SM', 'San Marino', 'EURO', '7', '16', '0', '1');
INSERT INTO public.who_import VALUES (77254, '2020-03-06', 'SM', 'San Marino', 'EURO', '6', '22', '0', '1');
INSERT INTO public.who_import VALUES (77255, '2020-03-07', 'SM', 'San Marino', 'EURO', '2', '24', '0', '1');
INSERT INTO public.who_import VALUES (77256, '2020-03-08', 'SM', 'San Marino', 'EURO', '3', '27', '0', '1');
INSERT INTO public.who_import VALUES (77257, '2020-03-09', 'SM', 'San Marino', 'EURO', '10', '37', '0', '1');
INSERT INTO public.who_import VALUES (77258, '2020-03-10', 'SM', 'San Marino', 'EURO', '12', '49', '1', '2');
INSERT INTO public.who_import VALUES (77259, '2020-03-11', 'SM', 'San Marino', 'EURO', '11', '60', '0', '2');
INSERT INTO public.who_import VALUES (77260, '2020-03-12', 'SM', 'San Marino', 'EURO', '0', '60', '0', '2');
INSERT INTO public.who_import VALUES (77261, '2020-03-13', 'SM', 'San Marino', 'EURO', '4', '64', '3', '5');
INSERT INTO public.who_import VALUES (77262, '2020-03-14', 'SM', 'San Marino', 'EURO', '13', '77', '0', '5');
INSERT INTO public.who_import VALUES (77263, '2020-03-15', 'SM', 'San Marino', 'EURO', '0', '77', '0', '5');
INSERT INTO public.who_import VALUES (77264, '2020-03-16', 'SM', 'San Marino', 'EURO', '0', '77', '0', '5');
INSERT INTO public.who_import VALUES (77265, '2020-03-17', 'SM', 'San Marino', 'EURO', '25', '102', '4', '9');
INSERT INTO public.who_import VALUES (77266, '2020-03-18', 'SM', 'San Marino', 'EURO', '2', '104', '2', '11');
INSERT INTO public.who_import VALUES (77267, '2020-03-19', 'SM', 'San Marino', 'EURO', '5', '109', '3', '14');
INSERT INTO public.who_import VALUES (77268, '2020-03-20', 'SM', 'San Marino', 'EURO', '17', '126', '0', '14');
INSERT INTO public.who_import VALUES (77269, '2020-03-21', 'SM', 'San Marino', 'EURO', '25', '151', '6', '20');
INSERT INTO public.who_import VALUES (77270, '2020-03-22', 'SM', 'San Marino', 'EURO', '24', '175', '0', '20');
INSERT INTO public.who_import VALUES (77271, '2020-03-23', 'SM', 'San Marino', 'EURO', '12', '187', '0', '20');
INSERT INTO public.who_import VALUES (77272, '2020-03-24', 'SM', 'San Marino', 'EURO', '0', '187', '1', '21');
INSERT INTO public.who_import VALUES (77273, '2020-03-25', 'SM', 'San Marino', 'EURO', '21', '208', '0', '21');
INSERT INTO public.who_import VALUES (77274, '2020-03-26', 'SM', 'San Marino', 'EURO', '10', '218', '0', '21');
INSERT INTO public.who_import VALUES (77275, '2020-03-27', 'SM', 'San Marino', 'EURO', '5', '223', '0', '21');
INSERT INTO public.who_import VALUES (77276, '2020-03-28', 'SM', 'San Marino', 'EURO', '5', '228', '1', '22');
INSERT INTO public.who_import VALUES (77277, '2020-03-29', 'SM', 'San Marino', 'EURO', '0', '228', '0', '22');
INSERT INTO public.who_import VALUES (77278, '2020-03-30', 'SM', 'San Marino', 'EURO', '2', '230', '3', '25');
INSERT INTO public.who_import VALUES (77279, '2020-03-31', 'SM', 'San Marino', 'EURO', '6', '236', '1', '26');
INSERT INTO public.who_import VALUES (77280, '2020-04-01', 'SM', 'San Marino', 'EURO', '0', '236', '2', '28');
INSERT INTO public.who_import VALUES (77281, '2020-04-02', 'SM', 'San Marino', 'EURO', '0', '236', '0', '28');
INSERT INTO public.who_import VALUES (77282, '2020-04-03', 'SM', 'San Marino', 'EURO', '9', '245', '2', '30');
INSERT INTO public.who_import VALUES (77283, '2020-04-04', 'SM', 'San Marino', 'EURO', '7', '252', '2', '32');
INSERT INTO public.who_import VALUES (77284, '2020-04-05', 'SM', 'San Marino', 'EURO', '7', '259', '0', '32');
INSERT INTO public.who_import VALUES (77285, '2020-04-06', 'SM', 'San Marino', 'EURO', '7', '266', '0', '32');
INSERT INTO public.who_import VALUES (77286, '2020-04-07', 'SM', 'San Marino', 'EURO', '11', '277', '0', '32');
INSERT INTO public.who_import VALUES (77287, '2020-04-08', 'SM', 'San Marino', 'EURO', '2', '279', '2', '34');
INSERT INTO public.who_import VALUES (77288, '2020-04-09', 'SM', 'San Marino', 'EURO', '29', '308', '0', '34');
INSERT INTO public.who_import VALUES (77289, '2020-04-10', 'SM', 'San Marino', 'EURO', '36', '344', '0', '34');
INSERT INTO public.who_import VALUES (77290, '2020-04-11', 'SM', 'San Marino', 'EURO', '0', '344', '0', '34');
INSERT INTO public.who_import VALUES (77291, '2020-04-12', 'SM', 'San Marino', 'EURO', '12', '356', '1', '35');
INSERT INTO public.who_import VALUES (77292, '2020-04-13', 'SM', 'San Marino', 'EURO', '0', '356', '0', '35');
INSERT INTO public.who_import VALUES (77293, '2020-04-14', 'SM', 'San Marino', 'EURO', '15', '371', '1', '36');
INSERT INTO public.who_import VALUES (77294, '2020-04-15', 'SM', 'San Marino', 'EURO', '1', '372', '0', '36');
INSERT INTO public.who_import VALUES (77295, '2020-04-16', 'SM', 'San Marino', 'EURO', '21', '393', '0', '36');
INSERT INTO public.who_import VALUES (77296, '2020-04-17', 'SM', 'San Marino', 'EURO', '33', '426', '2', '38');
INSERT INTO public.who_import VALUES (77297, '2020-04-18', 'SM', 'San Marino', 'EURO', '0', '426', '0', '38');
INSERT INTO public.who_import VALUES (77298, '2020-04-19', 'SM', 'San Marino', 'EURO', '29', '455', '1', '39');
INSERT INTO public.who_import VALUES (77299, '2020-04-20', 'SM', 'San Marino', 'EURO', '6', '461', '0', '39');
INSERT INTO public.who_import VALUES (77300, '2020-04-21', 'SM', 'San Marino', 'EURO', '1', '462', '0', '39');
INSERT INTO public.who_import VALUES (77301, '2020-04-22', 'SM', 'San Marino', 'EURO', '14', '476', '1', '40');
INSERT INTO public.who_import VALUES (77302, '2020-04-23', 'SM', 'San Marino', 'EURO', '12', '488', '0', '40');
INSERT INTO public.who_import VALUES (77303, '2020-04-24', 'SM', 'San Marino', 'EURO', '13', '501', '0', '40');
INSERT INTO public.who_import VALUES (77304, '2020-04-25', 'SM', 'San Marino', 'EURO', '12', '513', '0', '40');
INSERT INTO public.who_import VALUES (77305, '2020-04-26', 'SM', 'San Marino', 'EURO', '0', '513', '0', '40');
INSERT INTO public.who_import VALUES (77306, '2020-04-27', 'SM', 'San Marino', 'EURO', '25', '538', '1', '41');
INSERT INTO public.who_import VALUES (77307, '2020-04-28', 'SM', 'San Marino', 'EURO', '0', '538', '0', '41');
INSERT INTO public.who_import VALUES (77308, '2020-04-29', 'SM', 'San Marino', 'EURO', '15', '553', '0', '41');
INSERT INTO public.who_import VALUES (77309, '2020-04-30', 'SM', 'San Marino', 'EURO', '10', '563', '0', '41');
INSERT INTO public.who_import VALUES (77310, '2020-05-01', 'SM', 'San Marino', 'EURO', '6', '569', '0', '41');
INSERT INTO public.who_import VALUES (77311, '2020-05-02', 'SM', 'San Marino', 'EURO', '11', '580', '0', '41');
INSERT INTO public.who_import VALUES (77312, '2020-05-03', 'SM', 'San Marino', 'EURO', '0', '580', '0', '41');
INSERT INTO public.who_import VALUES (77313, '2020-05-04', 'SM', 'San Marino', 'EURO', '2', '582', '0', '41');
INSERT INTO public.who_import VALUES (77314, '2020-05-05', 'SM', 'San Marino', 'EURO', '0', '582', '0', '41');
INSERT INTO public.who_import VALUES (77315, '2020-05-06', 'SM', 'San Marino', 'EURO', '7', '589', '0', '41');
INSERT INTO public.who_import VALUES (77316, '2020-05-07', 'SM', 'San Marino', 'EURO', '19', '608', '0', '41');
INSERT INTO public.who_import VALUES (77317, '2020-05-08', 'SM', 'San Marino', 'EURO', '24', '632', '0', '41');
INSERT INTO public.who_import VALUES (77318, '2020-05-09', 'SM', 'San Marino', 'EURO', '0', '632', '0', '41');
INSERT INTO public.who_import VALUES (77319, '2020-05-10', 'SM', 'San Marino', 'EURO', '0', '632', '0', '41');
INSERT INTO public.who_import VALUES (77320, '2020-05-11', 'SM', 'San Marino', 'EURO', '5', '637', '0', '41');
INSERT INTO public.who_import VALUES (77321, '2020-05-12', 'SM', 'San Marino', 'EURO', '10', '647', '0', '41');
INSERT INTO public.who_import VALUES (77322, '2020-05-13', 'SM', 'San Marino', 'EURO', '0', '647', '0', '41');
INSERT INTO public.who_import VALUES (77323, '2020-05-14', 'SM', 'San Marino', 'EURO', '0', '647', '0', '41');
INSERT INTO public.who_import VALUES (77324, '2020-05-15', 'SM', 'San Marino', 'EURO', '0', '647', '0', '41');
INSERT INTO public.who_import VALUES (77325, '2020-05-16', 'SM', 'San Marino', 'EURO', '5', '652', '0', '41');
INSERT INTO public.who_import VALUES (77326, '2020-05-17', 'SM', 'San Marino', 'EURO', '0', '652', '0', '41');
INSERT INTO public.who_import VALUES (77327, '2020-05-18', 'SM', 'San Marino', 'EURO', '16', '668', '0', '41');
INSERT INTO public.who_import VALUES (77328, '2020-05-19', 'SM', 'San Marino', 'EURO', '0', '668', '0', '41');
INSERT INTO public.who_import VALUES (77329, '2020-05-20', 'SM', 'San Marino', 'EURO', '0', '668', '0', '41');
INSERT INTO public.who_import VALUES (77330, '2020-05-21', 'SM', 'San Marino', 'EURO', '2', '670', '0', '41');
INSERT INTO public.who_import VALUES (77331, '2020-05-22', 'SM', 'San Marino', 'EURO', '2', '672', '0', '41');
INSERT INTO public.who_import VALUES (77332, '2020-05-23', 'SM', 'San Marino', 'EURO', '0', '672', '0', '41');
INSERT INTO public.who_import VALUES (77333, '2020-05-24', 'SM', 'San Marino', 'EURO', '0', '672', '1', '42');
INSERT INTO public.who_import VALUES (77334, '2020-05-25', 'SM', 'San Marino', 'EURO', '0', '672', '0', '42');
INSERT INTO public.who_import VALUES (77335, '2020-05-26', 'SM', 'San Marino', 'EURO', '0', '672', '0', '42');
INSERT INTO public.who_import VALUES (77336, '2020-05-27', 'SM', 'San Marino', 'EURO', '0', '672', '0', '42');
INSERT INTO public.who_import VALUES (77337, '2020-05-28', 'SM', 'San Marino', 'EURO', '0', '672', '0', '42');
INSERT INTO public.who_import VALUES (77338, '2020-05-29', 'SM', 'San Marino', 'EURO', '15', '687', '0', '42');
INSERT INTO public.who_import VALUES (77339, '2020-05-30', 'SM', 'San Marino', 'EURO', '0', '687', '0', '42');
INSERT INTO public.who_import VALUES (77340, '2020-05-31', 'SM', 'San Marino', 'EURO', '0', '687', '0', '42');
INSERT INTO public.who_import VALUES (77341, '2020-06-01', 'SM', 'San Marino', 'EURO', '0', '687', '0', '42');
INSERT INTO public.who_import VALUES (77342, '2020-06-02', 'SM', 'San Marino', 'EURO', '0', '687', '0', '42');
INSERT INTO public.who_import VALUES (77343, '2020-06-03', 'SM', 'San Marino', 'EURO', '0', '687', '0', '42');
INSERT INTO public.who_import VALUES (77344, '2020-06-04', 'SM', 'San Marino', 'EURO', '0', '687', '0', '42');
INSERT INTO public.who_import VALUES (77345, '2020-06-05', 'SM', 'San Marino', 'EURO', '8', '695', '0', '42');
INSERT INTO public.who_import VALUES (77346, '2020-06-06', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77347, '2020-06-07', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77348, '2020-06-08', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77349, '2020-06-09', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77350, '2020-06-10', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77351, '2020-06-11', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77352, '2020-06-12', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77353, '2020-06-13', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77354, '2020-06-14', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77355, '2020-06-15', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77356, '2020-06-16', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77357, '2020-06-17', 'SM', 'San Marino', 'EURO', '0', '695', '0', '42');
INSERT INTO public.who_import VALUES (77358, '2020-06-18', 'SM', 'San Marino', 'EURO', '14', '709', '0', '42');
INSERT INTO public.who_import VALUES (77359, '2020-06-19', 'SM', 'San Marino', 'EURO', '0', '709', '0', '42');
INSERT INTO public.who_import VALUES (77360, '2020-06-20', 'SM', 'San Marino', 'EURO', '4', '713', '0', '42');
INSERT INTO public.who_import VALUES (77361, '2020-06-21', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77362, '2020-06-22', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77363, '2020-06-23', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77364, '2020-06-24', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77365, '2020-06-25', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77366, '2020-06-26', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77367, '2020-06-27', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77368, '2020-06-28', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77369, '2020-06-29', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77370, '2020-06-30', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77371, '2020-07-01', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77372, '2020-07-02', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77373, '2020-07-03', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77374, '2020-07-04', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77375, '2020-07-05', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77376, '2020-07-06', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77377, '2020-07-07', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77378, '2020-07-08', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77379, '2020-07-09', 'SM', 'San Marino', 'EURO', '0', '713', '0', '42');
INSERT INTO public.who_import VALUES (77380, '2020-07-10', 'SM', 'San Marino', 'EURO', '3', '716', '0', '42');
INSERT INTO public.who_import VALUES (77381, '2020-07-11', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77382, '2020-07-12', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77383, '2020-07-13', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77384, '2020-07-14', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77385, '2020-07-15', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77386, '2020-07-16', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77387, '2020-07-17', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77388, '2020-07-18', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77389, '2020-07-19', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77390, '2020-07-20', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77391, '2020-07-21', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77392, '2020-07-22', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77393, '2020-07-23', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77394, '2020-07-24', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77395, '2020-07-25', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77396, '2020-07-26', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77397, '2020-07-27', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77398, '2020-07-28', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77399, '2020-07-29', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77400, '2020-07-30', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77401, '2020-07-31', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77402, '2020-08-01', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77403, '2020-08-02', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77404, '2020-08-03', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77405, '2020-08-04', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77406, '2020-08-05', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77407, '2020-08-06', 'SM', 'San Marino', 'EURO', '0', '716', '0', '42');
INSERT INTO public.who_import VALUES (77408, '2020-08-07', 'SM', 'San Marino', 'EURO', '1', '717', '0', '42');
INSERT INTO public.who_import VALUES (77409, '2020-08-08', 'SM', 'San Marino', 'EURO', '0', '717', '0', '42');
INSERT INTO public.who_import VALUES (77410, '2020-08-09', 'SM', 'San Marino', 'EURO', '0', '717', '0', '42');
INSERT INTO public.who_import VALUES (77411, '2020-08-10', 'SM', 'San Marino', 'EURO', '0', '717', '0', '42');
INSERT INTO public.who_import VALUES (77412, '2020-08-11', 'SM', 'San Marino', 'EURO', '0', '717', '0', '42');
INSERT INTO public.who_import VALUES (77413, '2020-08-12', 'SM', 'San Marino', 'EURO', '2', '719', '0', '42');
INSERT INTO public.who_import VALUES (77414, '2020-08-13', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77415, '2020-08-14', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77416, '2020-08-15', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77417, '2020-08-16', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77418, '2020-08-17', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77419, '2020-08-18', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77420, '2020-08-19', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77421, '2020-08-20', 'SM', 'San Marino', 'EURO', '0', '719', '0', '42');
INSERT INTO public.who_import VALUES (77422, '2020-08-21', 'SM', 'San Marino', 'EURO', '7', '726', '0', '42');
INSERT INTO public.who_import VALUES (77423, '2020-08-22', 'SM', 'San Marino', 'EURO', '0', '726', '0', '42');
INSERT INTO public.who_import VALUES (77424, '2020-08-23', 'SM', 'San Marino', 'EURO', '0', '726', '0', '42');
INSERT INTO public.who_import VALUES (77425, '2020-08-24', 'SM', 'San Marino', 'EURO', '0', '726', '0', '42');
INSERT INTO public.who_import VALUES (77426, '2020-08-25', 'SM', 'San Marino', 'EURO', '0', '726', '0', '42');
INSERT INTO public.who_import VALUES (77427, '2020-08-26', 'SM', 'San Marino', 'EURO', '4', '730', '0', '42');
INSERT INTO public.who_import VALUES (77428, '2020-08-27', 'SM', 'San Marino', 'EURO', '0', '730', '0', '42');
INSERT INTO public.who_import VALUES (77429, '2020-08-28', 'SM', 'San Marino', 'EURO', '2', '732', '0', '42');
INSERT INTO public.who_import VALUES (77430, '2020-08-29', 'SM', 'San Marino', 'EURO', '1', '733', '0', '42');
INSERT INTO public.who_import VALUES (77431, '2020-08-30', 'SM', 'San Marino', 'EURO', '0', '733', '0', '42');
INSERT INTO public.who_import VALUES (77432, '2020-08-31', 'SM', 'San Marino', 'EURO', '2', '735', '0', '42');
INSERT INTO public.who_import VALUES (77433, '2020-09-01', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77434, '2020-09-02', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77435, '2020-09-03', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77436, '2020-09-04', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77437, '2020-09-05', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77438, '2020-09-06', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77439, '2020-09-07', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77440, '2020-09-08', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77441, '2020-09-09', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77442, '2020-09-10', 'SM', 'San Marino', 'EURO', '0', '735', '0', '42');
INSERT INTO public.who_import VALUES (77443, '2020-09-11', 'SM', 'San Marino', 'EURO', '6', '741', '0', '42');
INSERT INTO public.who_import VALUES (77444, '2020-09-12', 'SM', 'San Marino', 'EURO', '0', '741', '0', '42');
INSERT INTO public.who_import VALUES (77445, '2020-09-13', 'SM', 'San Marino', 'EURO', '0', '741', '0', '42');
INSERT INTO public.who_import VALUES (77446, '2020-09-14', 'SM', 'San Marino', 'EURO', '0', '741', '0', '42');
INSERT INTO public.who_import VALUES (77447, '2020-09-15', 'SM', 'San Marino', 'EURO', '0', '741', '0', '42');
INSERT INTO public.who_import VALUES (77448, '2020-09-16', 'SM', 'San Marino', 'EURO', '0', '741', '0', '42');
INSERT INTO public.who_import VALUES (77449, '2020-09-17', 'SM', 'San Marino', 'EURO', '1', '742', '0', '42');
INSERT INTO public.who_import VALUES (77450, '2020-09-18', 'SM', 'San Marino', 'EURO', '0', '742', '0', '42');
INSERT INTO public.who_import VALUES (77451, '2020-09-19', 'SM', 'San Marino', 'EURO', '0', '742', '0', '42');
INSERT INTO public.who_import VALUES (77452, '2020-09-20', 'SM', 'San Marino', 'EURO', '0', '742', '0', '42');
INSERT INTO public.who_import VALUES (77453, '2020-09-21', 'SM', 'San Marino', 'EURO', '0', '742', '0', '42');
INSERT INTO public.who_import VALUES (77454, '2020-09-22', 'SM', 'San Marino', 'EURO', '0', '742', '0', '42');
INSERT INTO public.who_import VALUES (77455, '2020-09-23', 'SM', 'San Marino', 'EURO', '0', '742', '0', '42');
INSERT INTO public.who_import VALUES (77456, '2020-09-24', 'SM', 'San Marino', 'EURO', '4', '746', '0', '42');
INSERT INTO public.who_import VALUES (77457, '2020-09-25', 'SM', 'San Marino', 'EURO', '0', '746', '0', '42');
INSERT INTO public.who_import VALUES (77458, '2020-09-26', 'SM', 'San Marino', 'EURO', '0', '746', '0', '42');
INSERT INTO public.who_import VALUES (77459, '2020-09-27', 'SM', 'San Marino', 'EURO', '0', '746', '0', '42');
INSERT INTO public.who_import VALUES (77460, '2020-09-28', 'SM', 'San Marino', 'EURO', '0', '746', '0', '42');
INSERT INTO public.who_import VALUES (77461, '2020-09-29', 'SM', 'San Marino', 'EURO', '3', '749', '0', '42');
INSERT INTO public.who_import VALUES (77462, '2020-09-30', 'SM', 'San Marino', 'EURO', '0', '749', '0', '42');
INSERT INTO public.who_import VALUES (77463, '2020-10-01', 'SM', 'San Marino', 'EURO', '1', '750', '0', '42');
INSERT INTO public.who_import VALUES (77464, '2020-10-02', 'SM', 'San Marino', 'EURO', '0', '750', '0', '42');
INSERT INTO public.who_import VALUES (77465, '2020-10-03', 'SM', 'San Marino', 'EURO', '0', '750', '0', '42');
INSERT INTO public.who_import VALUES (77466, '2020-10-04', 'SM', 'San Marino', 'EURO', '0', '750', '0', '42');
INSERT INTO public.who_import VALUES (77467, '2020-10-05', 'SM', 'San Marino', 'EURO', '0', '750', '0', '42');
INSERT INTO public.who_import VALUES (77468, '2020-10-06', 'SM', 'San Marino', 'EURO', '1', '751', '0', '42');
INSERT INTO public.who_import VALUES (77469, '2020-10-07', 'SM', 'San Marino', 'EURO', '0', '751', '0', '42');
INSERT INTO public.who_import VALUES (77470, '2020-10-08', 'SM', 'San Marino', 'EURO', '1', '752', '0', '42');
INSERT INTO public.who_import VALUES (77471, '2020-10-09', 'SM', 'San Marino', 'EURO', '0', '752', '0', '42');
INSERT INTO public.who_import VALUES (77472, '2020-10-10', 'SM', 'San Marino', 'EURO', '14', '766', '0', '42');
INSERT INTO public.who_import VALUES (77473, '2020-10-11', 'SM', 'San Marino', 'EURO', '0', '766', '0', '42');
INSERT INTO public.who_import VALUES (77474, '2020-10-12', 'SM', 'San Marino', 'EURO', '0', '766', '0', '42');
INSERT INTO public.who_import VALUES (77475, '2020-10-13', 'SM', 'San Marino', 'EURO', '0', '766', '0', '42');
INSERT INTO public.who_import VALUES (77476, '2020-10-14', 'SM', 'San Marino', 'EURO', '6', '772', '0', '42');
INSERT INTO public.who_import VALUES (77477, '2020-10-15', 'SM', 'San Marino', 'EURO', '0', '772', '0', '42');
INSERT INTO public.who_import VALUES (77478, '2020-10-16', 'SM', 'San Marino', 'EURO', '9', '781', '0', '42');
INSERT INTO public.who_import VALUES (77479, '2020-10-17', 'SM', 'San Marino', 'EURO', '3', '784', '0', '42');
INSERT INTO public.who_import VALUES (77480, '2020-10-18', 'SM', 'San Marino', 'EURO', '0', '784', '0', '42');
INSERT INTO public.who_import VALUES (77481, '2020-10-19', 'SM', 'San Marino', 'EURO', '0', '784', '0', '42');
INSERT INTO public.who_import VALUES (77482, '2020-10-20', 'SM', 'San Marino', 'EURO', '5', '789', '0', '42');
INSERT INTO public.who_import VALUES (77483, '2020-10-21', 'SM', 'San Marino', 'EURO', '5', '794', '0', '42');
INSERT INTO public.who_import VALUES (77484, '2020-10-22', 'SM', 'San Marino', 'EURO', '2', '796', '0', '42');
INSERT INTO public.who_import VALUES (77485, '2020-10-23', 'SM', 'San Marino', 'EURO', '6', '802', '0', '42');
INSERT INTO public.who_import VALUES (77486, '2020-10-24', 'SM', 'San Marino', 'EURO', '17', '819', '0', '42');
INSERT INTO public.who_import VALUES (77487, '2020-10-25', 'SM', 'San Marino', 'EURO', '25', '844', '0', '42');
INSERT INTO public.who_import VALUES (77488, '2020-10-26', 'SM', 'San Marino', 'EURO', '0', '844', '0', '42');
INSERT INTO public.who_import VALUES (77489, '2020-10-27', 'SM', 'San Marino', 'EURO', '8', '852', '0', '42');
INSERT INTO public.who_import VALUES (77490, '2020-10-28', 'SM', 'San Marino', 'EURO', '31', '883', '0', '42');
INSERT INTO public.who_import VALUES (77491, '2020-10-29', 'SM', 'San Marino', 'EURO', '20', '903', '0', '42');
INSERT INTO public.who_import VALUES (77492, '2020-10-30', 'SM', 'San Marino', 'EURO', '26', '929', '0', '42');
INSERT INTO public.who_import VALUES (77493, '2020-10-31', 'SM', 'San Marino', 'EURO', '29', '958', '0', '42');
INSERT INTO public.who_import VALUES (77494, '2020-11-01', 'SM', 'San Marino', 'EURO', '0', '958', '0', '42');
INSERT INTO public.who_import VALUES (77495, '2020-11-02', 'SM', 'San Marino', 'EURO', '0', '958', '0', '42');
INSERT INTO public.who_import VALUES (77496, '2020-11-03', 'SM', 'San Marino', 'EURO', '0', '958', '0', '42');
INSERT INTO public.who_import VALUES (77497, '2020-11-04', 'SM', 'San Marino', 'EURO', '36', '994', '0', '42');
INSERT INTO public.who_import VALUES (77498, '2020-11-05', 'SM', 'San Marino', 'EURO', '8', '1002', '0', '42');
INSERT INTO public.who_import VALUES (77499, '2020-11-06', 'SM', 'San Marino', 'EURO', '41', '1043', '0', '42');
INSERT INTO public.who_import VALUES (77500, '2020-11-07', 'SM', 'San Marino', 'EURO', '58', '1101', '0', '42');
INSERT INTO public.who_import VALUES (77501, '2020-11-08', 'SM', 'San Marino', 'EURO', '0', '1101', '0', '42');
INSERT INTO public.who_import VALUES (77502, '2020-11-09', 'SM', 'San Marino', 'EURO', '0', '1101', '0', '42');
INSERT INTO public.who_import VALUES (77503, '2020-11-10', 'SM', 'San Marino', 'EURO', '13', '1114', '0', '42');
INSERT INTO public.who_import VALUES (77504, '2020-11-11', 'SM', 'San Marino', 'EURO', '41', '1155', '0', '42');
INSERT INTO public.who_import VALUES (77505, '2020-11-12', 'SM', 'San Marino', 'EURO', '35', '1190', '0', '42');
INSERT INTO public.who_import VALUES (77506, '2020-11-13', 'SM', 'San Marino', 'EURO', '44', '1234', '0', '42');
INSERT INTO public.who_import VALUES (77507, '2020-11-14', 'SM', 'San Marino', 'EURO', '19', '1253', '0', '42');
INSERT INTO public.who_import VALUES (77508, '2020-11-15', 'SM', 'San Marino', 'EURO', '0', '1253', '0', '42');
INSERT INTO public.who_import VALUES (77509, '2020-11-16', 'SM', 'San Marino', 'EURO', '37', '1290', '0', '42');
INSERT INTO public.who_import VALUES (77510, '2020-11-17', 'SM', 'San Marino', 'EURO', '0', '1290', '0', '42');
INSERT INTO public.who_import VALUES (77511, '2020-11-18', 'SM', 'San Marino', 'EURO', '31', '1321', '1', '43');
INSERT INTO public.who_import VALUES (77512, '2020-11-19', 'SM', 'San Marino', 'EURO', '37', '1358', '0', '43');
INSERT INTO public.who_import VALUES (77513, '2020-11-20', 'SM', 'San Marino', 'EURO', '15', '1373', '0', '43');
INSERT INTO public.who_import VALUES (77514, '2020-11-21', 'SM', 'San Marino', 'EURO', '22', '1395', '0', '43');
INSERT INTO public.who_import VALUES (77515, '2020-11-22', 'SM', 'San Marino', 'EURO', '32', '1427', '0', '43');
INSERT INTO public.who_import VALUES (77516, '2020-11-23', 'SM', 'San Marino', 'EURO', '1', '1428', '1', '44');
INSERT INTO public.who_import VALUES (77517, '2020-11-24', 'SM', 'San Marino', 'EURO', '0', '1428', '0', '44');
INSERT INTO public.who_import VALUES (77518, '2020-11-25', 'SM', 'San Marino', 'EURO', '26', '1454', '0', '44');
INSERT INTO public.who_import VALUES (77519, '2020-11-26', 'SM', 'San Marino', 'EURO', '38', '1492', '0', '44');
INSERT INTO public.who_import VALUES (77520, '2020-11-27', 'SM', 'San Marino', 'EURO', '22', '1514', '0', '44');
INSERT INTO public.who_import VALUES (77521, '2020-11-28', 'SM', 'San Marino', 'EURO', '40', '1554', '0', '44');
INSERT INTO public.who_import VALUES (77522, '2020-11-29', 'SM', 'San Marino', 'EURO', '32', '1586', '1', '45');
INSERT INTO public.who_import VALUES (77523, '2020-11-30', 'SM', 'San Marino', 'EURO', '23', '1609', '0', '45');
INSERT INTO public.who_import VALUES (77524, '2020-12-01', 'SM', 'San Marino', 'EURO', '3', '1612', '1', '46');
INSERT INTO public.who_import VALUES (77525, '2020-12-02', 'SM', 'San Marino', 'EURO', '38', '1650', '0', '46');
INSERT INTO public.who_import VALUES (77526, '2020-12-03', 'SM', 'San Marino', 'EURO', '37', '1687', '0', '46');
INSERT INTO public.who_import VALUES (77527, '2020-12-04', 'SM', 'San Marino', 'EURO', '27', '1714', '0', '46');
INSERT INTO public.who_import VALUES (77528, '2020-12-05', 'SM', 'San Marino', 'EURO', '42', '1756', '1', '47');
INSERT INTO public.who_import VALUES (77529, '2020-12-06', 'SM', 'San Marino', 'EURO', '33', '1789', '1', '48');
INSERT INTO public.who_import VALUES (77530, '2020-12-07', 'SM', 'San Marino', 'EURO', '0', '1789', '0', '48');
INSERT INTO public.who_import VALUES (77531, '2020-12-08', 'SM', 'San Marino', 'EURO', '11', '1800', '0', '48');
INSERT INTO public.who_import VALUES (77532, '2020-12-09', 'SM', 'San Marino', 'EURO', '32', '1832', '0', '48');
INSERT INTO public.who_import VALUES (77533, '2020-12-10', 'SM', 'San Marino', 'EURO', '2', '1834', '1', '49');
INSERT INTO public.who_import VALUES (77534, '2020-12-11', 'SM', 'San Marino', 'EURO', '34', '1868', '0', '49');
INSERT INTO public.who_import VALUES (77535, '2020-12-12', 'SM', 'San Marino', 'EURO', '40', '1908', '1', '50');
INSERT INTO public.who_import VALUES (77536, '2020-12-13', 'SM', 'San Marino', 'EURO', '24', '1932', '1', '51');
INSERT INTO public.who_import VALUES (77537, '2020-12-14', 'SM', 'San Marino', 'EURO', '15', '1947', '0', '51');
INSERT INTO public.who_import VALUES (77538, '2020-12-15', 'SM', 'San Marino', 'EURO', '35', '1982', '1', '52');
INSERT INTO public.who_import VALUES (77539, '2020-12-16', 'SM', 'San Marino', 'EURO', '43', '2025', '2', '54');
INSERT INTO public.who_import VALUES (77540, '2020-12-17', 'SM', 'San Marino', 'EURO', '0', '2025', '0', '54');
INSERT INTO public.who_import VALUES (77541, '2020-12-18', 'SM', 'San Marino', 'EURO', '24', '2049', '0', '54');
INSERT INTO public.who_import VALUES (77542, '2020-12-19', 'SM', 'San Marino', 'EURO', '0', '2049', '1', '55');
INSERT INTO public.who_import VALUES (77543, '2020-12-20', 'SM', 'San Marino', 'EURO', '58', '2107', '0', '55');
INSERT INTO public.who_import VALUES (77544, '2020-12-21', 'SM', 'San Marino', 'EURO', '0', '2107', '0', '55');
INSERT INTO public.who_import VALUES (77545, '2020-12-22', 'SM', 'San Marino', 'EURO', '28', '2135', '0', '55');
INSERT INTO public.who_import VALUES (77546, '2020-12-23', 'SM', 'San Marino', 'EURO', '41', '2176', '1', '56');
INSERT INTO public.who_import VALUES (77547, '2020-12-24', 'SM', 'San Marino', 'EURO', '30', '2206', '0', '56');
INSERT INTO public.who_import VALUES (77548, '2020-12-25', 'SM', 'San Marino', 'EURO', '25', '2231', '0', '56');
INSERT INTO public.who_import VALUES (77549, '2020-12-26', 'SM', 'San Marino', 'EURO', '33', '2264', '1', '57');
INSERT INTO public.who_import VALUES (77550, '2020-12-27', 'SM', 'San Marino', 'EURO', '0', '2264', '0', '57');
INSERT INTO public.who_import VALUES (77551, '2020-12-28', 'SM', 'San Marino', 'EURO', '12', '2276', '0', '57');
INSERT INTO public.who_import VALUES (77552, '2020-12-29', 'SM', 'San Marino', 'EURO', '0', '2276', '0', '57');
INSERT INTO public.who_import VALUES (77553, '2020-12-30', 'SM', 'San Marino', 'EURO', '57', '2333', '2', '59');
INSERT INTO public.who_import VALUES (77554, '2020-12-31', 'SM', 'San Marino', 'EURO', '0', '2333', '0', '59');
INSERT INTO public.who_import VALUES (77555, '2021-01-01', 'SM', 'San Marino', 'EURO', '51', '2384', '0', '59');
INSERT INTO public.who_import VALUES (77556, '2021-01-02', 'SM', 'San Marino', 'EURO', '44', '2428', '0', '59');
INSERT INTO public.who_import VALUES (77557, '2021-01-03', 'SM', 'San Marino', 'EURO', '35', '2463', '2', '61');
INSERT INTO public.who_import VALUES (77558, '2021-01-04', 'SM', 'San Marino', 'EURO', '0', '2463', '0', '61');
INSERT INTO public.who_import VALUES (77559, '2021-01-05', 'SM', 'San Marino', 'EURO', '30', '2493', '1', '62');
INSERT INTO public.who_import VALUES (77560, '2021-01-06', 'SM', 'San Marino', 'EURO', '56', '2549', '0', '62');
INSERT INTO public.who_import VALUES (77561, '2021-01-07', 'SM', 'San Marino', 'EURO', '0', '2549', '0', '62');
INSERT INTO public.who_import VALUES (77562, '2021-01-08', 'SM', 'San Marino', 'EURO', '34', '2583', '2', '64');
INSERT INTO public.who_import VALUES (77563, '2021-01-09', 'SM', 'San Marino', 'EURO', '45', '2628', '0', '64');
INSERT INTO public.who_import VALUES (77564, '2021-01-10', 'SM', 'San Marino', 'EURO', '22', '2650', '0', '64');
INSERT INTO public.who_import VALUES (77565, '2021-01-11', 'SM', 'San Marino', 'EURO', '0', '2650', '0', '64');
INSERT INTO public.who_import VALUES (77566, '2021-01-12', 'SM', 'San Marino', 'EURO', '0', '2650', '0', '64');
INSERT INTO public.who_import VALUES (77567, '2021-01-13', 'SM', 'San Marino', 'EURO', '56', '2706', '1', '65');
INSERT INTO public.who_import VALUES (77568, '2021-01-14', 'SM', 'San Marino', 'EURO', '17', '2723', '0', '65');
INSERT INTO public.who_import VALUES (77569, '2021-01-15', 'SM', 'San Marino', 'EURO', '15', '2738', '0', '65');
INSERT INTO public.who_import VALUES (77570, '2021-01-16', 'SM', 'San Marino', 'EURO', '29', '2767', '0', '65');
INSERT INTO public.who_import VALUES (77571, '2021-01-17', 'SM', 'San Marino', 'EURO', '11', '2778', '0', '65');
INSERT INTO public.who_import VALUES (77572, '2021-01-18', 'SM', 'San Marino', 'EURO', '0', '2778', '0', '65');
INSERT INTO public.who_import VALUES (77573, '2021-01-19', 'SM', 'San Marino', 'EURO', '9', '2787', '0', '65');
INSERT INTO public.who_import VALUES (77574, '2021-01-20', 'SM', 'San Marino', 'EURO', '0', '2787', '0', '65');
INSERT INTO public.who_import VALUES (77575, '2021-01-21', 'SM', 'San Marino', 'EURO', '28', '2815', '0', '65');
INSERT INTO public.who_import VALUES (77576, '2021-01-22', 'SM', 'San Marino', 'EURO', '18', '2833', '0', '65');
INSERT INTO public.who_import VALUES (77577, '2021-01-23', 'SM', 'San Marino', 'EURO', '28', '2861', '0', '65');
INSERT INTO public.who_import VALUES (77578, '2021-01-24', 'SM', 'San Marino', 'EURO', '13', '2874', '0', '65');
INSERT INTO public.who_import VALUES (77579, '2021-01-25', 'SM', 'San Marino', 'EURO', '0', '2874', '0', '65');
INSERT INTO public.who_import VALUES (77580, '2021-01-26', 'SM', 'San Marino', 'EURO', '15', '2889', '0', '65');
INSERT INTO public.who_import VALUES (77581, '2021-01-27', 'SM', 'San Marino', 'EURO', '26', '2915', '0', '65');
INSERT INTO public.who_import VALUES (77582, '2021-01-28', 'SM', 'San Marino', 'EURO', '26', '2941', '0', '65');
INSERT INTO public.who_import VALUES (77583, '2021-01-29', 'SM', 'San Marino', 'EURO', '28', '2969', '0', '65');
INSERT INTO public.who_import VALUES (77584, '2021-01-30', 'SM', 'San Marino', 'EURO', '27', '2996', '0', '65');
INSERT INTO public.who_import VALUES (77585, '2021-01-31', 'SM', 'San Marino', 'EURO', '29', '3025', '2', '67');
INSERT INTO public.who_import VALUES (77586, '2021-02-01', 'SM', 'San Marino', 'EURO', '0', '3025', '0', '67');
INSERT INTO public.who_import VALUES (77587, '2021-02-02', 'SM', 'San Marino', 'EURO', '41', '3066', '0', '67');
INSERT INTO public.who_import VALUES (77588, '2021-02-03', 'SM', 'San Marino', 'EURO', '28', '3094', '1', '68');
INSERT INTO public.who_import VALUES (77589, '2021-02-04', 'SM', 'San Marino', 'EURO', '17', '3111', '0', '68');
INSERT INTO public.who_import VALUES (77590, '2021-02-05', 'SM', 'San Marino', 'EURO', '14', '3125', '0', '68');
INSERT INTO public.who_import VALUES (77591, '2021-02-06', 'SM', 'San Marino', 'EURO', '2', '3127', '1', '69');
INSERT INTO public.who_import VALUES (77592, '2021-02-07', 'SM', 'San Marino', 'EURO', '9', '3136', '0', '69');
INSERT INTO public.who_import VALUES (77593, '2021-02-08', 'SM', 'San Marino', 'EURO', '1', '3137', '0', '69');
INSERT INTO public.who_import VALUES (77594, '2021-02-09', 'SM', 'San Marino', 'EURO', '0', '3137', '0', '69');
INSERT INTO public.who_import VALUES (77595, '2021-02-10', 'SM', 'San Marino', 'EURO', '50', '3187', '2', '71');
INSERT INTO public.who_import VALUES (77596, '2021-02-11', 'SM', 'San Marino', 'EURO', '26', '3213', '0', '71');
INSERT INTO public.who_import VALUES (77597, '2021-02-12', 'SM', 'San Marino', 'EURO', '34', '3247', '1', '72');
INSERT INTO public.who_import VALUES (77598, '2021-02-13', 'SM', 'San Marino', 'EURO', '31', '3278', '0', '72');
INSERT INTO public.who_import VALUES (77599, '2021-02-14', 'SM', 'San Marino', 'EURO', '26', '3304', '0', '72');
INSERT INTO public.who_import VALUES (77600, '2021-02-15', 'SM', 'San Marino', 'EURO', '10', '3314', '0', '72');
INSERT INTO public.who_import VALUES (77601, '2021-02-16', 'SM', 'San Marino', 'EURO', '3', '3317', '0', '72');
INSERT INTO public.who_import VALUES (77602, '2021-02-17', 'SM', 'San Marino', 'EURO', '35', '3352', '0', '72');
INSERT INTO public.who_import VALUES (77603, '2021-02-18', 'SM', 'San Marino', 'EURO', '42', '3394', '0', '72');
INSERT INTO public.who_import VALUES (77604, '2021-02-19', 'SM', 'San Marino', 'EURO', '26', '3420', '0', '72');
INSERT INTO public.who_import VALUES (77605, '2021-02-20', 'SM', 'San Marino', 'EURO', '20', '3440', '0', '72');
INSERT INTO public.who_import VALUES (77606, '2020-01-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77607, '2020-01-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77608, '2020-01-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77609, '2020-01-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77610, '2020-01-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77611, '2020-01-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77612, '2020-01-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77613, '2020-01-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77614, '2020-01-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77615, '2020-01-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77616, '2020-01-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77617, '2020-01-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77618, '2020-01-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77619, '2020-01-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77620, '2020-01-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77621, '2020-01-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77622, '2020-01-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77623, '2020-01-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77624, '2020-01-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77625, '2020-01-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77626, '2020-01-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77627, '2020-01-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77628, '2020-01-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77629, '2020-01-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77630, '2020-01-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77631, '2020-01-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77632, '2020-01-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77633, '2020-01-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77634, '2020-01-31', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77635, '2020-02-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77636, '2020-02-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77637, '2020-02-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77638, '2020-02-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77639, '2020-02-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77640, '2020-02-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77641, '2020-02-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77642, '2020-02-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77643, '2020-02-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77644, '2020-02-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77645, '2020-02-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77646, '2020-02-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77647, '2020-02-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77648, '2020-02-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77649, '2020-02-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77650, '2020-02-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77651, '2020-02-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77652, '2020-02-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77653, '2020-02-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77654, '2020-02-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77655, '2020-02-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77656, '2020-02-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77657, '2020-02-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77658, '2020-02-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77659, '2020-02-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77660, '2020-02-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77661, '2020-02-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77662, '2020-02-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77663, '2020-02-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77664, '2020-03-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77665, '2020-03-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77666, '2020-03-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77667, '2020-03-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77668, '2020-03-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77669, '2020-03-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77670, '2020-03-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77671, '2020-03-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77672, '2020-03-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77673, '2020-03-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77674, '2020-03-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77675, '2020-03-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77676, '2020-03-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77677, '2020-03-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77678, '2020-03-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77679, '2020-03-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77680, '2020-03-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77681, '2020-03-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77682, '2020-03-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77683, '2020-03-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77684, '2020-03-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77685, '2020-03-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77686, '2020-03-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77687, '2020-03-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77688, '2020-03-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77689, '2020-03-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77690, '2020-03-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77691, '2020-03-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77692, '2020-03-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77693, '2020-03-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77694, '2020-03-31', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77695, '2020-04-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77696, '2020-04-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77697, '2020-04-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77698, '2020-04-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77699, '2020-04-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77700, '2020-04-06', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '4', '0', '0');
INSERT INTO public.who_import VALUES (77701, '2020-04-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77702, '2020-04-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77703, '2020-04-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77704, '2020-04-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77705, '2020-04-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77706, '2020-04-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77707, '2020-04-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77708, '2020-04-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77709, '2020-04-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77710, '2020-04-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77711, '2020-04-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77712, '2020-04-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77713, '2020-04-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77714, '2020-04-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77715, '2020-04-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77716, '2020-04-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (77717, '2020-04-23', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '7', '0', '0');
INSERT INTO public.who_import VALUES (77718, '2020-04-24', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (77719, '2020-04-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (77720, '2020-04-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (77721, '2020-04-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (77722, '2020-04-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (77723, '2020-04-29', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '11', '0', '0');
INSERT INTO public.who_import VALUES (77724, '2020-04-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (77725, '2020-05-01', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '16', '1', '1');
INSERT INTO public.who_import VALUES (77726, '2020-05-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (77727, '2020-05-03', 'ST', 'Sao Tome and Principe', 'AFRO', '7', '23', '2', '3');
INSERT INTO public.who_import VALUES (77728, '2020-05-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '23', '0', '3');
INSERT INTO public.who_import VALUES (77729, '2020-05-05', 'ST', 'Sao Tome and Principe', 'AFRO', '138', '161', '0', '3');
INSERT INTO public.who_import VALUES (77730, '2020-05-06', 'ST', 'Sao Tome and Principe', 'AFRO', '10', '171', '0', '3');
INSERT INTO public.who_import VALUES (77731, '2020-05-07', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '174', '0', '3');
INSERT INTO public.who_import VALUES (77732, '2020-05-08', 'ST', 'Sao Tome and Principe', 'AFRO', '-9', '165', '1', '4');
INSERT INTO public.who_import VALUES (77733, '2020-05-09', 'ST', 'Sao Tome and Principe', 'AFRO', '43', '208', '1', '5');
INSERT INTO public.who_import VALUES (77734, '2020-05-10', 'ST', 'Sao Tome and Principe', 'AFRO', '-43', '165', '-1', '4');
INSERT INTO public.who_import VALUES (77735, '2020-05-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '0', '4');
INSERT INTO public.who_import VALUES (77736, '2020-05-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '0', '4');
INSERT INTO public.who_import VALUES (77737, '2020-05-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '0', '4');
INSERT INTO public.who_import VALUES (77738, '2020-05-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '3', '7');
INSERT INTO public.who_import VALUES (77739, '2020-05-15', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '166', '0', '7');
INSERT INTO public.who_import VALUES (77740, '2020-05-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '166', '0', '7');
INSERT INTO public.who_import VALUES (77741, '2020-05-17', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '169', '0', '7');
INSERT INTO public.who_import VALUES (77742, '2020-05-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '169', '0', '7');
INSERT INTO public.who_import VALUES (77743, '2020-05-19', 'ST', 'Sao Tome and Principe', 'AFRO', '-4', '165', '0', '7');
INSERT INTO public.who_import VALUES (77744, '2020-05-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '0', '7');
INSERT INTO public.who_import VALUES (77745, '2020-05-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '1', '8');
INSERT INTO public.who_import VALUES (77746, '2020-05-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '0', '8');
INSERT INTO public.who_import VALUES (77747, '2020-05-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '165', '0', '8');
INSERT INTO public.who_import VALUES (77748, '2020-05-24', 'ST', 'Sao Tome and Principe', 'AFRO', '9', '174', '0', '8');
INSERT INTO public.who_import VALUES (77749, '2020-05-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '174', '1', '9');
INSERT INTO public.who_import VALUES (77750, '2020-05-26', 'ST', 'Sao Tome and Principe', 'AFRO', '-9', '165', '1', '10');
INSERT INTO public.who_import VALUES (77751, '2020-05-27', 'ST', 'Sao Tome and Principe', 'AFRO', '130', '295', '0', '10');
INSERT INTO public.who_import VALUES (77752, '2020-05-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77753, '2020-05-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77754, '2020-05-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77755, '2020-05-31', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77756, '2020-06-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77757, '2020-06-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77758, '2020-06-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77759, '2020-06-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77760, '2020-06-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77761, '2020-06-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77762, '2020-06-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77763, '2020-06-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77764, '2020-06-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77765, '2020-06-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '295', '0', '10');
INSERT INTO public.who_import VALUES (77766, '2020-06-11', 'ST', 'Sao Tome and Principe', 'AFRO', '93', '388', '0', '10');
INSERT INTO public.who_import VALUES (77767, '2020-06-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77768, '2020-06-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77769, '2020-06-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77770, '2020-06-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77771, '2020-06-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77772, '2020-06-17', 'ST', 'Sao Tome and Principe', 'AFRO', '10', '398', '0', '10');
INSERT INTO public.who_import VALUES (77773, '2020-06-18', 'ST', 'Sao Tome and Principe', 'AFRO', '-10', '388', '0', '10');
INSERT INTO public.who_import VALUES (77774, '2020-06-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77775, '2020-06-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77776, '2020-06-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77777, '2020-06-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77778, '2020-06-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77779, '2020-06-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77780, '2020-06-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '388', '0', '10');
INSERT INTO public.who_import VALUES (77781, '2020-06-26', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '392', '1', '11');
INSERT INTO public.who_import VALUES (77782, '2020-06-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '392', '0', '11');
INSERT INTO public.who_import VALUES (77783, '2020-06-28', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '393', '0', '11');
INSERT INTO public.who_import VALUES (77784, '2020-06-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '393', '0', '11');
INSERT INTO public.who_import VALUES (77785, '2020-06-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '393', '0', '11');
INSERT INTO public.who_import VALUES (77786, '2020-07-01', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '394', '0', '11');
INSERT INTO public.who_import VALUES (77787, '2020-07-02', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '395', '0', '11');
INSERT INTO public.who_import VALUES (77788, '2020-07-03', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '397', '0', '11');
INSERT INTO public.who_import VALUES (77789, '2020-07-04', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '399', '0', '11');
INSERT INTO public.who_import VALUES (77790, '2020-07-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '399', '0', '11');
INSERT INTO public.who_import VALUES (77791, '2020-07-06', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '400', '0', '11');
INSERT INTO public.who_import VALUES (77792, '2020-07-07', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '401', '0', '11');
INSERT INTO public.who_import VALUES (77793, '2020-07-08', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '404', '0', '11');
INSERT INTO public.who_import VALUES (77794, '2020-07-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '404', '0', '11');
INSERT INTO public.who_import VALUES (77795, '2020-07-10', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '406', '1', '12');
INSERT INTO public.who_import VALUES (77796, '2020-07-11', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '407', '0', '12');
INSERT INTO public.who_import VALUES (77797, '2020-07-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '407', '0', '12');
INSERT INTO public.who_import VALUES (77798, '2020-07-13', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '409', '0', '12');
INSERT INTO public.who_import VALUES (77799, '2020-07-14', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '412', '0', '12');
INSERT INTO public.who_import VALUES (77800, '2020-07-15', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '416', '0', '12');
INSERT INTO public.who_import VALUES (77801, '2020-07-16', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '417', '0', '12');
INSERT INTO public.who_import VALUES (77802, '2020-07-17', 'ST', 'Sao Tome and Principe', 'AFRO', '323', '740', '2', '14');
INSERT INTO public.who_import VALUES (77803, '2020-07-18', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '741', '0', '14');
INSERT INTO public.who_import VALUES (77804, '2020-07-19', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '743', '0', '14');
INSERT INTO public.who_import VALUES (77805, '2020-07-20', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '746', '0', '14');
INSERT INTO public.who_import VALUES (77806, '2020-07-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '746', '0', '14');
INSERT INTO public.who_import VALUES (77807, '2020-07-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '746', '0', '14');
INSERT INTO public.who_import VALUES (77808, '2020-07-23', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '747', '0', '14');
INSERT INTO public.who_import VALUES (77809, '2020-07-24', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '749', '0', '14');
INSERT INTO public.who_import VALUES (77810, '2020-07-25', 'ST', 'Sao Tome and Principe', 'AFRO', '111', '860', '0', '14');
INSERT INTO public.who_import VALUES (77811, '2020-07-26', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '862', '0', '14');
INSERT INTO public.who_import VALUES (77812, '2020-07-27', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '863', '0', '14');
INSERT INTO public.who_import VALUES (77813, '2020-07-28', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '865', '0', '14');
INSERT INTO public.who_import VALUES (77814, '2020-07-29', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '867', '0', '14');
INSERT INTO public.who_import VALUES (77815, '2020-07-30', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '868', '1', '15');
INSERT INTO public.who_import VALUES (77816, '2020-07-31', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '870', '0', '15');
INSERT INTO public.who_import VALUES (77817, '2020-08-01', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '871', '0', '15');
INSERT INTO public.who_import VALUES (77818, '2020-08-02', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '874', '0', '15');
INSERT INTO public.who_import VALUES (77819, '2020-08-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '874', '0', '15');
INSERT INTO public.who_import VALUES (77820, '2020-08-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '874', '0', '15');
INSERT INTO public.who_import VALUES (77821, '2020-08-05', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '875', '0', '15');
INSERT INTO public.who_import VALUES (77822, '2020-08-06', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '878', '0', '15');
INSERT INTO public.who_import VALUES (77823, '2020-08-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '878', '0', '15');
INSERT INTO public.who_import VALUES (77824, '2020-08-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '878', '0', '15');
INSERT INTO public.who_import VALUES (77825, '2020-08-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '878', '0', '15');
INSERT INTO public.who_import VALUES (77826, '2020-08-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '878', '0', '15');
INSERT INTO public.who_import VALUES (77827, '2020-08-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '878', '0', '15');
INSERT INTO public.who_import VALUES (77828, '2020-08-12', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '881', '0', '15');
INSERT INTO public.who_import VALUES (77829, '2020-08-13', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '882', '0', '15');
INSERT INTO public.who_import VALUES (77830, '2020-08-14', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '883', '0', '15');
INSERT INTO public.who_import VALUES (77831, '2020-08-15', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '885', '0', '15');
INSERT INTO public.who_import VALUES (77832, '2020-08-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '885', '0', '15');
INSERT INTO public.who_import VALUES (77833, '2020-08-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '885', '0', '15');
INSERT INTO public.who_import VALUES (77834, '2020-08-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '885', '0', '15');
INSERT INTO public.who_import VALUES (77835, '2020-08-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '885', '0', '15');
INSERT INTO public.who_import VALUES (77836, '2020-08-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '885', '0', '15');
INSERT INTO public.who_import VALUES (77837, '2020-08-21', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '888', '0', '15');
INSERT INTO public.who_import VALUES (77838, '2020-08-22', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '891', '0', '15');
INSERT INTO public.who_import VALUES (77839, '2020-08-23', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '892', '0', '15');
INSERT INTO public.who_import VALUES (77840, '2020-08-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '892', '0', '15');
INSERT INTO public.who_import VALUES (77841, '2020-08-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '892', '0', '15');
INSERT INTO public.who_import VALUES (77842, '2020-08-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '892', '0', '15');
INSERT INTO public.who_import VALUES (77843, '2020-08-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '892', '0', '15');
INSERT INTO public.who_import VALUES (77844, '2020-08-28', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '894', '0', '15');
INSERT INTO public.who_import VALUES (77845, '2020-08-29', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '895', '0', '15');
INSERT INTO public.who_import VALUES (77846, '2020-08-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '895', '0', '15');
INSERT INTO public.who_import VALUES (77847, '2020-08-31', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '896', '0', '15');
INSERT INTO public.who_import VALUES (77848, '2020-09-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '896', '0', '15');
INSERT INTO public.who_import VALUES (77849, '2020-09-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '896', '0', '15');
INSERT INTO public.who_import VALUES (77850, '2020-09-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '896', '0', '15');
INSERT INTO public.who_import VALUES (77851, '2020-09-04', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '897', '0', '15');
INSERT INTO public.who_import VALUES (77852, '2020-09-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '897', '0', '15');
INSERT INTO public.who_import VALUES (77853, '2020-09-06', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '898', '0', '15');
INSERT INTO public.who_import VALUES (77854, '2020-09-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '898', '0', '15');
INSERT INTO public.who_import VALUES (77855, '2020-09-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '898', '0', '15');
INSERT INTO public.who_import VALUES (77856, '2020-09-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '898', '0', '15');
INSERT INTO public.who_import VALUES (77857, '2020-09-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '898', '0', '15');
INSERT INTO public.who_import VALUES (77858, '2020-09-11', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '901', '0', '15');
INSERT INTO public.who_import VALUES (77859, '2020-09-12', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '906', '0', '15');
INSERT INTO public.who_import VALUES (77860, '2020-09-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '906', '0', '15');
INSERT INTO public.who_import VALUES (77861, '2020-09-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '906', '0', '15');
INSERT INTO public.who_import VALUES (77862, '2020-09-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '906', '0', '15');
INSERT INTO public.who_import VALUES (77863, '2020-09-16', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '907', '0', '15');
INSERT INTO public.who_import VALUES (77864, '2020-09-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '907', '0', '15');
INSERT INTO public.who_import VALUES (77865, '2020-09-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '907', '0', '15');
INSERT INTO public.who_import VALUES (77866, '2020-09-19', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '908', '0', '15');
INSERT INTO public.who_import VALUES (77867, '2020-09-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '908', '0', '15');
INSERT INTO public.who_import VALUES (77868, '2020-09-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '908', '0', '15');
INSERT INTO public.who_import VALUES (77869, '2020-09-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '908', '0', '15');
INSERT INTO public.who_import VALUES (77870, '2020-09-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '908', '0', '15');
INSERT INTO public.who_import VALUES (77871, '2020-09-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '908', '0', '15');
INSERT INTO public.who_import VALUES (77872, '2020-09-25', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '910', '0', '15');
INSERT INTO public.who_import VALUES (77873, '2020-09-26', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '911', '0', '15');
INSERT INTO public.who_import VALUES (77874, '2020-09-27', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77875, '2020-09-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77876, '2020-09-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77877, '2020-09-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77878, '2020-10-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77879, '2020-10-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77880, '2020-10-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '911', '0', '15');
INSERT INTO public.who_import VALUES (77881, '2020-10-04', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '913', '0', '15');
INSERT INTO public.who_import VALUES (77882, '2020-10-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '913', '0', '15');
INSERT INTO public.who_import VALUES (77883, '2020-10-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '913', '0', '15');
INSERT INTO public.who_import VALUES (77884, '2020-10-07', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '914', '0', '15');
INSERT INTO public.who_import VALUES (77885, '2020-10-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '914', '0', '15');
INSERT INTO public.who_import VALUES (77886, '2020-10-09', 'ST', 'Sao Tome and Principe', 'AFRO', '7', '921', '0', '15');
INSERT INTO public.who_import VALUES (77887, '2020-10-10', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '922', '0', '15');
INSERT INTO public.who_import VALUES (77888, '2020-10-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '922', '0', '15');
INSERT INTO public.who_import VALUES (77889, '2020-10-12', 'ST', 'Sao Tome and Principe', 'AFRO', '7', '929', '0', '15');
INSERT INTO public.who_import VALUES (77890, '2020-10-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '929', '0', '15');
INSERT INTO public.who_import VALUES (77891, '2020-10-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '929', '0', '15');
INSERT INTO public.who_import VALUES (77892, '2020-10-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '929', '0', '15');
INSERT INTO public.who_import VALUES (77893, '2020-10-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '929', '0', '15');
INSERT INTO public.who_import VALUES (77894, '2020-10-17', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '932', '0', '15');
INSERT INTO public.who_import VALUES (77895, '2020-10-18', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '932', '0', '15');
INSERT INTO public.who_import VALUES (77896, '2020-10-19', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '933', '0', '15');
INSERT INTO public.who_import VALUES (77897, '2020-10-20', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '933', '0', '15');
INSERT INTO public.who_import VALUES (77898, '2020-10-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '933', '0', '15');
INSERT INTO public.who_import VALUES (77899, '2020-10-22', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '935', '0', '15');
INSERT INTO public.who_import VALUES (77900, '2020-10-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '935', '0', '15');
INSERT INTO public.who_import VALUES (77901, '2020-10-24', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '938', '0', '15');
INSERT INTO public.who_import VALUES (77902, '2020-10-25', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '940', '0', '15');
INSERT INTO public.who_import VALUES (77903, '2020-10-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '940', '0', '15');
INSERT INTO public.who_import VALUES (77904, '2020-10-27', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '941', '0', '15');
INSERT INTO public.who_import VALUES (77905, '2020-10-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '941', '0', '15');
INSERT INTO public.who_import VALUES (77906, '2020-10-29', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '943', '0', '15');
INSERT INTO public.who_import VALUES (77907, '2020-10-30', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '944', '1', '16');
INSERT INTO public.who_import VALUES (77908, '2020-10-31', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '945', '0', '16');
INSERT INTO public.who_import VALUES (77909, '2020-11-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '945', '0', '16');
INSERT INTO public.who_import VALUES (77910, '2020-11-02', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '949', '0', '16');
INSERT INTO public.who_import VALUES (77911, '2020-11-03', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '949', '0', '16');
INSERT INTO public.who_import VALUES (77912, '2020-11-04', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '954', '0', '16');
INSERT INTO public.who_import VALUES (77913, '2020-11-05', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '958', '0', '16');
INSERT INTO public.who_import VALUES (77914, '2020-11-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '958', '0', '16');
INSERT INTO public.who_import VALUES (77915, '2020-11-07', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '960', '0', '16');
INSERT INTO public.who_import VALUES (77916, '2020-11-08', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '962', '0', '16');
INSERT INTO public.who_import VALUES (77917, '2020-11-09', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '962', '0', '16');
INSERT INTO public.who_import VALUES (77918, '2020-11-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '962', '0', '16');
INSERT INTO public.who_import VALUES (77919, '2020-11-11', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '962', '0', '16');
INSERT INTO public.who_import VALUES (77920, '2020-11-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '962', '0', '16');
INSERT INTO public.who_import VALUES (77921, '2020-11-13', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '963', '0', '16');
INSERT INTO public.who_import VALUES (77922, '2020-11-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '963', '0', '16');
INSERT INTO public.who_import VALUES (77923, '2020-11-15', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '964', '0', '16');
INSERT INTO public.who_import VALUES (77924, '2020-11-16', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '965', '0', '16');
INSERT INTO public.who_import VALUES (77925, '2020-11-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '965', '0', '16');
INSERT INTO public.who_import VALUES (77926, '2020-11-18', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '967', '0', '16');
INSERT INTO public.who_import VALUES (77927, '2020-11-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '967', '0', '16');
INSERT INTO public.who_import VALUES (77928, '2020-11-20', 'ST', 'Sao Tome and Principe', 'AFRO', '7', '974', '0', '16');
INSERT INTO public.who_import VALUES (77929, '2020-11-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '974', '1', '17');
INSERT INTO public.who_import VALUES (77930, '2020-11-22', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '979', '0', '17');
INSERT INTO public.who_import VALUES (77931, '2020-11-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '979', '0', '17');
INSERT INTO public.who_import VALUES (77932, '2020-11-24', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '981', '0', '17');
INSERT INTO public.who_import VALUES (77933, '2020-11-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '981', '0', '17');
INSERT INTO public.who_import VALUES (77934, '2020-11-26', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '982', '0', '17');
INSERT INTO public.who_import VALUES (77935, '2020-11-27', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '985', '0', '17');
INSERT INTO public.who_import VALUES (77936, '2020-11-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '985', '0', '17');
INSERT INTO public.who_import VALUES (77937, '2020-11-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '985', '0', '17');
INSERT INTO public.who_import VALUES (77938, '2020-11-30', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '989', '0', '17');
INSERT INTO public.who_import VALUES (77939, '2020-12-01', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '991', '0', '17');
INSERT INTO public.who_import VALUES (77940, '2020-12-02', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '996', '0', '17');
INSERT INTO public.who_import VALUES (77941, '2020-12-03', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '997', '0', '17');
INSERT INTO public.who_import VALUES (77942, '2020-12-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '997', '0', '17');
INSERT INTO public.who_import VALUES (77943, '2020-12-05', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '999', '0', '17');
INSERT INTO public.who_import VALUES (77944, '2020-12-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '999', '0', '17');
INSERT INTO public.who_import VALUES (77945, '2020-12-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '999', '0', '17');
INSERT INTO public.who_import VALUES (77946, '2020-12-08', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '1002', '0', '17');
INSERT INTO public.who_import VALUES (77947, '2020-12-09', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '1005', '0', '17');
INSERT INTO public.who_import VALUES (77948, '2020-12-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1005', '0', '17');
INSERT INTO public.who_import VALUES (77949, '2020-12-11', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '1009', '0', '17');
INSERT INTO public.who_import VALUES (77950, '2020-12-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1009', '0', '17');
INSERT INTO public.who_import VALUES (77951, '2020-12-13', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1009', '0', '17');
INSERT INTO public.who_import VALUES (77952, '2020-12-14', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1009', '0', '17');
INSERT INTO public.who_import VALUES (77953, '2020-12-15', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '1010', '0', '17');
INSERT INTO public.who_import VALUES (77954, '2020-12-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1010', '0', '17');
INSERT INTO public.who_import VALUES (77955, '2020-12-17', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1010', '0', '17');
INSERT INTO public.who_import VALUES (77956, '2020-12-18', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '1011', '0', '17');
INSERT INTO public.who_import VALUES (77957, '2020-12-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1011', '0', '17');
INSERT INTO public.who_import VALUES (77958, '2020-12-20', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77959, '2020-12-21', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77960, '2020-12-22', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77961, '2020-12-23', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77962, '2020-12-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77963, '2020-12-25', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77964, '2020-12-26', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1012', '0', '17');
INSERT INTO public.who_import VALUES (77965, '2020-12-27', 'ST', 'Sao Tome and Principe', 'AFRO', '2', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77966, '2020-12-28', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77967, '2020-12-29', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77968, '2020-12-30', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77969, '2020-12-31', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77970, '2021-01-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77971, '2021-01-02', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1014', '0', '17');
INSERT INTO public.who_import VALUES (77972, '2021-01-03', 'ST', 'Sao Tome and Principe', 'AFRO', '10', '1024', '0', '17');
INSERT INTO public.who_import VALUES (77973, '2021-01-04', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1024', '0', '17');
INSERT INTO public.who_import VALUES (77974, '2021-01-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1024', '0', '17');
INSERT INTO public.who_import VALUES (77975, '2021-01-06', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1024', '0', '17');
INSERT INTO public.who_import VALUES (77976, '2021-01-07', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1024', '0', '17');
INSERT INTO public.who_import VALUES (77977, '2021-01-08', 'ST', 'Sao Tome and Principe', 'AFRO', '11', '1035', '0', '17');
INSERT INTO public.who_import VALUES (77978, '2021-01-09', 'ST', 'Sao Tome and Principe', 'AFRO', '19', '1054', '0', '17');
INSERT INTO public.who_import VALUES (77979, '2021-01-10', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1054', '0', '17');
INSERT INTO public.who_import VALUES (78477, '2020-02-13', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (77980, '2021-01-11', 'ST', 'Sao Tome and Principe', 'AFRO', '12', '1066', '0', '17');
INSERT INTO public.who_import VALUES (77981, '2021-01-12', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1066', '0', '17');
INSERT INTO public.who_import VALUES (77982, '2021-01-13', 'ST', 'Sao Tome and Principe', 'AFRO', '24', '1090', '0', '17');
INSERT INTO public.who_import VALUES (77983, '2021-01-14', 'ST', 'Sao Tome and Principe', 'AFRO', '15', '1105', '0', '17');
INSERT INTO public.who_import VALUES (77984, '2021-01-15', 'ST', 'Sao Tome and Principe', 'AFRO', '14', '1119', '0', '17');
INSERT INTO public.who_import VALUES (77985, '2021-01-16', 'ST', 'Sao Tome and Principe', 'AFRO', '6', '1125', '0', '17');
INSERT INTO public.who_import VALUES (77986, '2021-01-17', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '1130', '0', '17');
INSERT INTO public.who_import VALUES (77987, '2021-01-18', 'ST', 'Sao Tome and Principe', 'AFRO', '12', '1142', '0', '17');
INSERT INTO public.who_import VALUES (77988, '2021-01-19', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1142', '0', '17');
INSERT INTO public.who_import VALUES (77989, '2021-01-20', 'ST', 'Sao Tome and Principe', 'AFRO', '9', '1151', '0', '17');
INSERT INTO public.who_import VALUES (77990, '2021-01-21', 'ST', 'Sao Tome and Principe', 'AFRO', '19', '1170', '0', '17');
INSERT INTO public.who_import VALUES (77991, '2021-01-22', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '1171', '0', '17');
INSERT INTO public.who_import VALUES (77992, '2021-01-23', 'ST', 'Sao Tome and Principe', 'AFRO', '11', '1182', '0', '17');
INSERT INTO public.who_import VALUES (77993, '2021-01-24', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1182', '0', '17');
INSERT INTO public.who_import VALUES (77994, '2021-01-25', 'ST', 'Sao Tome and Principe', 'AFRO', '6', '1188', '0', '17');
INSERT INTO public.who_import VALUES (77995, '2021-01-26', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '1189', '0', '17');
INSERT INTO public.who_import VALUES (77996, '2021-01-27', 'ST', 'Sao Tome and Principe', 'AFRO', '21', '1210', '0', '17');
INSERT INTO public.who_import VALUES (77997, '2021-01-28', 'ST', 'Sao Tome and Principe', 'AFRO', '11', '1221', '0', '17');
INSERT INTO public.who_import VALUES (77998, '2021-01-29', 'ST', 'Sao Tome and Principe', 'AFRO', '11', '1232', '0', '17');
INSERT INTO public.who_import VALUES (77999, '2021-01-30', 'ST', 'Sao Tome and Principe', 'AFRO', '13', '1245', '0', '17');
INSERT INTO public.who_import VALUES (78000, '2021-01-31', 'ST', 'Sao Tome and Principe', 'AFRO', '11', '1256', '0', '17');
INSERT INTO public.who_import VALUES (78001, '2021-02-01', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1256', '0', '17');
INSERT INTO public.who_import VALUES (78002, '2021-02-02', 'ST', 'Sao Tome and Principe', 'AFRO', '3', '1259', '0', '17');
INSERT INTO public.who_import VALUES (78003, '2021-02-03', 'ST', 'Sao Tome and Principe', 'AFRO', '12', '1271', '0', '17');
INSERT INTO public.who_import VALUES (78004, '2021-02-04', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '1275', '0', '17');
INSERT INTO public.who_import VALUES (78005, '2021-02-05', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1275', '0', '17');
INSERT INTO public.who_import VALUES (78006, '2021-02-06', 'ST', 'Sao Tome and Principe', 'AFRO', '59', '1334', '1', '18');
INSERT INTO public.who_import VALUES (78007, '2021-02-07', 'ST', 'Sao Tome and Principe', 'AFRO', '5', '1339', '0', '18');
INSERT INTO public.who_import VALUES (78008, '2021-02-08', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1339', '0', '18');
INSERT INTO public.who_import VALUES (78009, '2021-02-09', 'ST', 'Sao Tome and Principe', 'AFRO', '16', '1355', '0', '18');
INSERT INTO public.who_import VALUES (78010, '2021-02-10', 'ST', 'Sao Tome and Principe', 'AFRO', '30', '1385', '0', '18');
INSERT INTO public.who_import VALUES (78011, '2021-02-11', 'ST', 'Sao Tome and Principe', 'AFRO', '45', '1430', '0', '18');
INSERT INTO public.who_import VALUES (78012, '2021-02-12', 'ST', 'Sao Tome and Principe', 'AFRO', '1', '1431', '1', '19');
INSERT INTO public.who_import VALUES (78013, '2021-02-13', 'ST', 'Sao Tome and Principe', 'AFRO', '47', '1478', '0', '19');
INSERT INTO public.who_import VALUES (78014, '2021-02-14', 'ST', 'Sao Tome and Principe', 'AFRO', '4', '1482', '0', '19');
INSERT INTO public.who_import VALUES (78015, '2021-02-15', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1482', '0', '19');
INSERT INTO public.who_import VALUES (78016, '2021-02-16', 'ST', 'Sao Tome and Principe', 'AFRO', '0', '1482', '0', '19');
INSERT INTO public.who_import VALUES (78017, '2021-02-17', 'ST', 'Sao Tome and Principe', 'AFRO', '38', '1520', '0', '19');
INSERT INTO public.who_import VALUES (78018, '2021-02-18', 'ST', 'Sao Tome and Principe', 'AFRO', '15', '1535', '1', '20');
INSERT INTO public.who_import VALUES (78019, '2021-02-19', 'ST', 'Sao Tome and Principe', 'AFRO', '13', '1548', '0', '20');
INSERT INTO public.who_import VALUES (78020, '2021-02-20', 'ST', 'Sao Tome and Principe', 'AFRO', '30', '1578', '0', '20');
INSERT INTO public.who_import VALUES (78021, '2020-01-03', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78022, '2020-01-04', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78023, '2020-01-05', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78024, '2020-01-06', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78025, '2020-01-07', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78026, '2020-01-08', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78027, '2020-01-09', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78028, '2020-01-10', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78029, '2020-01-11', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78030, '2020-01-12', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78031, '2020-01-13', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78032, '2020-01-14', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78033, '2020-01-15', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78034, '2020-01-16', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78035, '2020-01-17', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78036, '2020-01-18', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78037, '2020-01-19', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78038, '2020-01-20', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78039, '2020-01-21', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78040, '2020-01-22', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78041, '2020-01-23', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78042, '2020-01-24', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78043, '2020-01-25', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78044, '2020-01-26', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78045, '2020-01-27', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78046, '2020-01-28', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78047, '2020-01-29', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78048, '2020-01-30', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78049, '2020-01-31', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78050, '2020-02-01', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78051, '2020-02-02', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78052, '2020-02-03', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78053, '2020-02-04', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78054, '2020-02-05', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78055, '2020-02-06', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78056, '2020-02-07', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78057, '2020-02-08', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78058, '2020-02-09', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78059, '2020-02-10', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78060, '2020-02-11', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78061, '2020-02-12', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78062, '2020-02-13', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78063, '2020-02-14', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78064, '2020-02-15', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78065, '2020-02-16', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78066, '2020-02-17', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78067, '2020-02-18', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78068, '2020-02-19', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78069, '2020-02-20', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78070, '2020-02-21', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78071, '2020-02-22', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78072, '2020-02-23', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78073, '2020-02-24', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78074, '2020-02-25', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78075, '2020-02-26', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78076, '2020-02-27', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78077, '2020-02-28', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78078, '2020-02-29', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78079, '2020-03-01', 'SA', 'Saudi Arabia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78080, '2020-03-02', 'SA', 'Saudi Arabia', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (78081, '2020-03-03', 'SA', 'Saudi Arabia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (78082, '2020-03-04', 'SA', 'Saudi Arabia', 'EMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (78083, '2020-03-05', 'SA', 'Saudi Arabia', 'EMRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (78084, '2020-03-06', 'SA', 'Saudi Arabia', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (78085, '2020-03-07', 'SA', 'Saudi Arabia', 'EMRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (78086, '2020-03-08', 'SA', 'Saudi Arabia', 'EMRO', '4', '15', '0', '0');
INSERT INTO public.who_import VALUES (78087, '2020-03-09', 'SA', 'Saudi Arabia', 'EMRO', '4', '19', '0', '0');
INSERT INTO public.who_import VALUES (78088, '2020-03-10', 'SA', 'Saudi Arabia', 'EMRO', '5', '24', '0', '0');
INSERT INTO public.who_import VALUES (78089, '2020-03-11', 'SA', 'Saudi Arabia', 'EMRO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (78090, '2020-03-12', 'SA', 'Saudi Arabia', 'EMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (78091, '2020-03-13', 'SA', 'Saudi Arabia', 'EMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (78092, '2020-03-14', 'SA', 'Saudi Arabia', 'EMRO', '82', '107', '0', '0');
INSERT INTO public.who_import VALUES (78093, '2020-03-15', 'SA', 'Saudi Arabia', 'EMRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (78094, '2020-03-16', 'SA', 'Saudi Arabia', 'EMRO', '30', '137', '0', '0');
INSERT INTO public.who_import VALUES (78095, '2020-03-17', 'SA', 'Saudi Arabia', 'EMRO', '38', '175', '0', '0');
INSERT INTO public.who_import VALUES (78096, '2020-03-18', 'SA', 'Saudi Arabia', 'EMRO', '67', '242', '0', '0');
INSERT INTO public.who_import VALUES (78097, '2020-03-19', 'SA', 'Saudi Arabia', 'EMRO', '0', '242', '0', '0');
INSERT INTO public.who_import VALUES (78098, '2020-03-20', 'SA', 'Saudi Arabia', 'EMRO', '32', '274', '0', '0');
INSERT INTO public.who_import VALUES (78099, '2020-03-21', 'SA', 'Saudi Arabia', 'EMRO', '118', '392', '0', '0');
INSERT INTO public.who_import VALUES (78100, '2020-03-22', 'SA', 'Saudi Arabia', 'EMRO', '119', '511', '0', '0');
INSERT INTO public.who_import VALUES (78101, '2020-03-23', 'SA', 'Saudi Arabia', 'EMRO', '51', '562', '0', '0');
INSERT INTO public.who_import VALUES (78102, '2020-03-24', 'SA', 'Saudi Arabia', 'EMRO', '205', '767', '1', '1');
INSERT INTO public.who_import VALUES (78103, '2020-03-25', 'SA', 'Saudi Arabia', 'EMRO', '133', '900', '1', '2');
INSERT INTO public.who_import VALUES (78104, '2020-03-26', 'SA', 'Saudi Arabia', 'EMRO', '112', '1012', '1', '3');
INSERT INTO public.who_import VALUES (78105, '2020-03-27', 'SA', 'Saudi Arabia', 'EMRO', '92', '1104', '0', '3');
INSERT INTO public.who_import VALUES (78106, '2020-03-28', 'SA', 'Saudi Arabia', 'EMRO', '99', '1203', '1', '4');
INSERT INTO public.who_import VALUES (78107, '2020-03-29', 'SA', 'Saudi Arabia', 'EMRO', '96', '1299', '4', '8');
INSERT INTO public.who_import VALUES (78108, '2020-03-30', 'SA', 'Saudi Arabia', 'EMRO', '154', '1453', '0', '8');
INSERT INTO public.who_import VALUES (78109, '2020-03-31', 'SA', 'Saudi Arabia', 'EMRO', '110', '1563', '2', '10');
INSERT INTO public.who_import VALUES (78110, '2020-04-01', 'SA', 'Saudi Arabia', 'EMRO', '157', '1720', '6', '16');
INSERT INTO public.who_import VALUES (78111, '2020-04-02', 'SA', 'Saudi Arabia', 'EMRO', '165', '1885', '5', '21');
INSERT INTO public.who_import VALUES (78112, '2020-04-03', 'SA', 'Saudi Arabia', 'EMRO', '154', '2039', '4', '25');
INSERT INTO public.who_import VALUES (78113, '2020-04-04', 'SA', 'Saudi Arabia', 'EMRO', '140', '2179', '4', '29');
INSERT INTO public.who_import VALUES (78114, '2020-04-05', 'SA', 'Saudi Arabia', 'EMRO', '206', '2385', '5', '34');
INSERT INTO public.who_import VALUES (78115, '2020-04-06', 'SA', 'Saudi Arabia', 'EMRO', '138', '2523', '4', '38');
INSERT INTO public.who_import VALUES (78116, '2020-04-07', 'SA', 'Saudi Arabia', 'EMRO', '272', '2795', '3', '41');
INSERT INTO public.who_import VALUES (78117, '2020-04-08', 'SA', 'Saudi Arabia', 'EMRO', '137', '2932', '0', '41');
INSERT INTO public.who_import VALUES (78118, '2020-04-09', 'SA', 'Saudi Arabia', 'EMRO', '355', '3287', '3', '44');
INSERT INTO public.who_import VALUES (78119, '2020-04-10', 'SA', 'Saudi Arabia', 'EMRO', '364', '3651', '3', '47');
INSERT INTO public.who_import VALUES (78120, '2020-04-11', 'SA', 'Saudi Arabia', 'EMRO', '382', '4033', '5', '52');
INSERT INTO public.who_import VALUES (78121, '2020-04-12', 'SA', 'Saudi Arabia', 'EMRO', '429', '4462', '7', '59');
INSERT INTO public.who_import VALUES (78122, '2020-04-13', 'SA', 'Saudi Arabia', 'EMRO', '472', '4934', '6', '65');
INSERT INTO public.who_import VALUES (78123, '2020-04-14', 'SA', 'Saudi Arabia', 'EMRO', '435', '5369', '8', '73');
INSERT INTO public.who_import VALUES (78124, '2020-04-15', 'SA', 'Saudi Arabia', 'EMRO', '493', '5862', '6', '79');
INSERT INTO public.who_import VALUES (78125, '2020-04-16', 'SA', 'Saudi Arabia', 'EMRO', '518', '6380', '4', '83');
INSERT INTO public.who_import VALUES (78126, '2020-04-17', 'SA', 'Saudi Arabia', 'EMRO', '762', '7142', '4', '87');
INSERT INTO public.who_import VALUES (78127, '2020-04-18', 'SA', 'Saudi Arabia', 'EMRO', '1132', '8274', '5', '92');
INSERT INTO public.who_import VALUES (78128, '2020-04-19', 'SA', 'Saudi Arabia', 'EMRO', '1088', '9362', '5', '97');
INSERT INTO public.who_import VALUES (78129, '2020-04-20', 'SA', 'Saudi Arabia', 'EMRO', '1122', '10484', '6', '103');
INSERT INTO public.who_import VALUES (78130, '2020-04-21', 'SA', 'Saudi Arabia', 'EMRO', '1147', '11631', '6', '109');
INSERT INTO public.who_import VALUES (78131, '2020-04-22', 'SA', 'Saudi Arabia', 'EMRO', '1141', '12772', '5', '114');
INSERT INTO public.who_import VALUES (78132, '2020-04-23', 'SA', 'Saudi Arabia', 'EMRO', '1158', '13930', '7', '121');
INSERT INTO public.who_import VALUES (78133, '2020-04-24', 'SA', 'Saudi Arabia', 'EMRO', '1172', '15102', '6', '127');
INSERT INTO public.who_import VALUES (78134, '2020-04-25', 'SA', 'Saudi Arabia', 'EMRO', '1197', '16299', '9', '136');
INSERT INTO public.who_import VALUES (78135, '2020-04-26', 'SA', 'Saudi Arabia', 'EMRO', '1223', '17522', '3', '139');
INSERT INTO public.who_import VALUES (78136, '2020-04-27', 'SA', 'Saudi Arabia', 'EMRO', '1289', '18811', '5', '144');
INSERT INTO public.who_import VALUES (78137, '2020-04-28', 'SA', 'Saudi Arabia', 'EMRO', '1266', '20077', '8', '152');
INSERT INTO public.who_import VALUES (78138, '2020-04-29', 'SA', 'Saudi Arabia', 'EMRO', '1325', '21402', '5', '157');
INSERT INTO public.who_import VALUES (78139, '2020-04-30', 'SA', 'Saudi Arabia', 'EMRO', '1351', '22753', '5', '162');
INSERT INTO public.who_import VALUES (78140, '2020-05-01', 'SA', 'Saudi Arabia', 'EMRO', '1344', '24097', '7', '169');
INSERT INTO public.who_import VALUES (78141, '2020-05-02', 'SA', 'Saudi Arabia', 'EMRO', '1362', '25459', '7', '176');
INSERT INTO public.who_import VALUES (78142, '2020-05-03', 'SA', 'Saudi Arabia', 'EMRO', '1552', '27011', '8', '184');
INSERT INTO public.who_import VALUES (78143, '2020-05-04', 'SA', 'Saudi Arabia', 'EMRO', '1645', '28656', '7', '191');
INSERT INTO public.who_import VALUES (78144, '2020-05-05', 'SA', 'Saudi Arabia', 'EMRO', '1595', '30251', '9', '200');
INSERT INTO public.who_import VALUES (78145, '2020-05-06', 'SA', 'Saudi Arabia', 'EMRO', '1687', '31938', '9', '209');
INSERT INTO public.who_import VALUES (78146, '2020-05-07', 'SA', 'Saudi Arabia', 'EMRO', '1793', '33731', '10', '219');
INSERT INTO public.who_import VALUES (78147, '2020-05-08', 'SA', 'Saudi Arabia', 'EMRO', '1701', '35432', '10', '229');
INSERT INTO public.who_import VALUES (78148, '2020-05-09', 'SA', 'Saudi Arabia', 'EMRO', '1704', '37136', '10', '239');
INSERT INTO public.who_import VALUES (78149, '2020-05-10', 'SA', 'Saudi Arabia', 'EMRO', '1912', '39048', '7', '246');
INSERT INTO public.who_import VALUES (78150, '2020-05-11', 'SA', 'Saudi Arabia', 'EMRO', '1966', '41014', '9', '255');
INSERT INTO public.who_import VALUES (78151, '2020-05-12', 'SA', 'Saudi Arabia', 'EMRO', '1911', '42925', '9', '264');
INSERT INTO public.who_import VALUES (78152, '2020-05-13', 'SA', 'Saudi Arabia', 'EMRO', '1905', '44830', '9', '273');
INSERT INTO public.who_import VALUES (78153, '2020-05-14', 'SA', 'Saudi Arabia', 'EMRO', '2039', '46869', '10', '283');
INSERT INTO public.who_import VALUES (78154, '2020-05-15', 'SA', 'Saudi Arabia', 'EMRO', '2307', '49176', '9', '292');
INSERT INTO public.who_import VALUES (78155, '2020-05-16', 'SA', 'Saudi Arabia', 'EMRO', '2840', '52016', '10', '302');
INSERT INTO public.who_import VALUES (78156, '2020-05-17', 'SA', 'Saudi Arabia', 'EMRO', '2736', '54752', '10', '312');
INSERT INTO public.who_import VALUES (78157, '2020-05-18', 'SA', 'Saudi Arabia', 'EMRO', '2593', '57345', '8', '320');
INSERT INTO public.who_import VALUES (78158, '2020-05-19', 'SA', 'Saudi Arabia', 'EMRO', '2509', '59854', '9', '329');
INSERT INTO public.who_import VALUES (78159, '2020-05-20', 'SA', 'Saudi Arabia', 'EMRO', '2691', '62545', '10', '339');
INSERT INTO public.who_import VALUES (78160, '2020-05-21', 'SA', 'Saudi Arabia', 'EMRO', '2532', '65077', '12', '351');
INSERT INTO public.who_import VALUES (78161, '2020-05-22', 'SA', 'Saudi Arabia', 'EMRO', '0', '65077', '0', '351');
INSERT INTO public.who_import VALUES (78162, '2020-05-23', 'SA', 'Saudi Arabia', 'EMRO', '2642', '67719', '13', '364');
INSERT INTO public.who_import VALUES (78163, '2020-05-24', 'SA', 'Saudi Arabia', 'EMRO', '2442', '70161', '15', '379');
INSERT INTO public.who_import VALUES (78164, '2020-05-25', 'SA', 'Saudi Arabia', 'EMRO', '2399', '72560', '11', '390');
INSERT INTO public.who_import VALUES (78165, '2020-05-26', 'SA', 'Saudi Arabia', 'EMRO', '2235', '74795', '9', '399');
INSERT INTO public.who_import VALUES (78166, '2020-05-27', 'SA', 'Saudi Arabia', 'EMRO', '1931', '76726', '12', '411');
INSERT INTO public.who_import VALUES (78167, '2020-05-28', 'SA', 'Saudi Arabia', 'EMRO', '1815', '78541', '14', '425');
INSERT INTO public.who_import VALUES (78168, '2020-05-29', 'SA', 'Saudi Arabia', 'EMRO', '1644', '80185', '16', '441');
INSERT INTO public.who_import VALUES (78169, '2020-05-30', 'SA', 'Saudi Arabia', 'EMRO', '1581', '81766', '17', '458');
INSERT INTO public.who_import VALUES (78170, '2020-05-31', 'SA', 'Saudi Arabia', 'EMRO', '1618', '83384', '22', '480');
INSERT INTO public.who_import VALUES (78171, '2020-06-01', 'SA', 'Saudi Arabia', 'EMRO', '1877', '85261', '23', '503');
INSERT INTO public.who_import VALUES (78172, '2020-06-02', 'SA', 'Saudi Arabia', 'EMRO', '1881', '87142', '22', '525');
INSERT INTO public.who_import VALUES (78173, '2020-06-03', 'SA', 'Saudi Arabia', 'EMRO', '1869', '89011', '24', '549');
INSERT INTO public.who_import VALUES (78174, '2020-06-04', 'SA', 'Saudi Arabia', 'EMRO', '2171', '91182', '30', '579');
INSERT INTO public.who_import VALUES (78175, '2020-06-05', 'SA', 'Saudi Arabia', 'EMRO', '1975', '93157', '32', '611');
INSERT INTO public.who_import VALUES (78176, '2020-06-06', 'SA', 'Saudi Arabia', 'EMRO', '2591', '95748', '31', '642');
INSERT INTO public.who_import VALUES (78177, '2020-06-07', 'SA', 'Saudi Arabia', 'EMRO', '3121', '98869', '34', '676');
INSERT INTO public.who_import VALUES (78178, '2020-06-08', 'SA', 'Saudi Arabia', 'EMRO', '3045', '101914', '36', '712');
INSERT INTO public.who_import VALUES (78179, '2020-06-09', 'SA', 'Saudi Arabia', 'EMRO', '3369', '105283', '34', '746');
INSERT INTO public.who_import VALUES (78180, '2020-06-10', 'SA', 'Saudi Arabia', 'EMRO', '3288', '108571', '37', '783');
INSERT INTO public.who_import VALUES (78181, '2020-06-11', 'SA', 'Saudi Arabia', 'EMRO', '3717', '112288', '36', '819');
INSERT INTO public.who_import VALUES (78182, '2020-06-12', 'SA', 'Saudi Arabia', 'EMRO', '3733', '116021', '38', '857');
INSERT INTO public.who_import VALUES (78183, '2020-06-13', 'SA', 'Saudi Arabia', 'EMRO', '3921', '119942', '36', '893');
INSERT INTO public.who_import VALUES (78184, '2020-06-14', 'SA', 'Saudi Arabia', 'EMRO', '3366', '123308', '39', '932');
INSERT INTO public.who_import VALUES (78185, '2020-06-15', 'SA', 'Saudi Arabia', 'EMRO', '4233', '127541', '40', '972');
INSERT INTO public.who_import VALUES (78186, '2020-06-16', 'SA', 'Saudi Arabia', 'EMRO', '4507', '132048', '39', '1011');
INSERT INTO public.who_import VALUES (78187, '2020-06-17', 'SA', 'Saudi Arabia', 'EMRO', '4267', '136315', '41', '1052');
INSERT INTO public.who_import VALUES (78188, '2020-06-18', 'SA', 'Saudi Arabia', 'EMRO', '4919', '141234', '39', '1091');
INSERT INTO public.who_import VALUES (78189, '2020-06-19', 'SA', 'Saudi Arabia', 'EMRO', '4757', '145991', '48', '1139');
INSERT INTO public.who_import VALUES (78190, '2020-06-20', 'SA', 'Saudi Arabia', 'EMRO', '4301', '150292', '45', '1184');
INSERT INTO public.who_import VALUES (78191, '2020-06-21', 'SA', 'Saudi Arabia', 'EMRO', '3941', '154233', '46', '1230');
INSERT INTO public.who_import VALUES (78192, '2020-06-22', 'SA', 'Saudi Arabia', 'EMRO', '3379', '157612', '37', '1267');
INSERT INTO public.who_import VALUES (78193, '2020-06-23', 'SA', 'Saudi Arabia', 'EMRO', '3393', '161005', '40', '1307');
INSERT INTO public.who_import VALUES (78194, '2020-06-24', 'SA', 'Saudi Arabia', 'EMRO', '3139', '164144', '39', '1346');
INSERT INTO public.who_import VALUES (78195, '2020-06-25', 'SA', 'Saudi Arabia', 'EMRO', '3123', '167267', '41', '1387');
INSERT INTO public.who_import VALUES (78196, '2020-06-26', 'SA', 'Saudi Arabia', 'EMRO', '3372', '170639', '41', '1428');
INSERT INTO public.who_import VALUES (78197, '2020-06-27', 'SA', 'Saudi Arabia', 'EMRO', '3938', '174577', '46', '1474');
INSERT INTO public.who_import VALUES (78198, '2020-06-28', 'SA', 'Saudi Arabia', 'EMRO', '3927', '178504', '37', '1511');
INSERT INTO public.who_import VALUES (78199, '2020-06-29', 'SA', 'Saudi Arabia', 'EMRO', '3989', '182493', '40', '1551');
INSERT INTO public.who_import VALUES (78200, '2020-06-30', 'SA', 'Saudi Arabia', 'EMRO', '3943', '186436', '48', '1599');
INSERT INTO public.who_import VALUES (78201, '2020-07-01', 'SA', 'Saudi Arabia', 'EMRO', '4387', '190823', '50', '1649');
INSERT INTO public.who_import VALUES (78202, '2020-07-02', 'SA', 'Saudi Arabia', 'EMRO', '3402', '194225', '49', '1698');
INSERT INTO public.who_import VALUES (78203, '2020-07-03', 'SA', 'Saudi Arabia', 'EMRO', '3383', '197608', '54', '1752');
INSERT INTO public.who_import VALUES (78204, '2020-07-04', 'SA', 'Saudi Arabia', 'EMRO', '4193', '201801', '50', '1802');
INSERT INTO public.who_import VALUES (78205, '2020-07-05', 'SA', 'Saudi Arabia', 'EMRO', '4128', '205929', '56', '1858');
INSERT INTO public.who_import VALUES (78206, '2020-07-06', 'SA', 'Saudi Arabia', 'EMRO', '3580', '209509', '58', '1916');
INSERT INTO public.who_import VALUES (78207, '2020-07-07', 'SA', 'Saudi Arabia', 'EMRO', '4207', '213716', '52', '1968');
INSERT INTO public.who_import VALUES (78208, '2020-07-08', 'SA', 'Saudi Arabia', 'EMRO', '3392', '217108', '49', '2017');
INSERT INTO public.who_import VALUES (78209, '2020-07-09', 'SA', 'Saudi Arabia', 'EMRO', '3036', '220144', '42', '2059');
INSERT INTO public.who_import VALUES (78210, '2020-07-10', 'SA', 'Saudi Arabia', 'EMRO', '3183', '223327', '41', '2100');
INSERT INTO public.who_import VALUES (78211, '2020-07-11', 'SA', 'Saudi Arabia', 'EMRO', '3159', '226486', '51', '2151');
INSERT INTO public.who_import VALUES (78212, '2020-07-12', 'SA', 'Saudi Arabia', 'EMRO', '2994', '229480', '30', '2181');
INSERT INTO public.who_import VALUES (78213, '2020-07-13', 'SA', 'Saudi Arabia', 'EMRO', '2779', '232259', '42', '2223');
INSERT INTO public.who_import VALUES (78214, '2020-07-14', 'SA', 'Saudi Arabia', 'EMRO', '2852', '235111', '20', '2243');
INSERT INTO public.who_import VALUES (78215, '2020-07-15', 'SA', 'Saudi Arabia', 'EMRO', '2692', '237803', '40', '2283');
INSERT INTO public.who_import VALUES (78216, '2020-07-16', 'SA', 'Saudi Arabia', 'EMRO', '2671', '240474', '42', '2325');
INSERT INTO public.who_import VALUES (78217, '2020-07-17', 'SA', 'Saudi Arabia', 'EMRO', '2764', '243238', '45', '2370');
INSERT INTO public.who_import VALUES (78218, '2020-07-18', 'SA', 'Saudi Arabia', 'EMRO', '2613', '245851', '37', '2407');
INSERT INTO public.who_import VALUES (78219, '2020-07-19', 'SA', 'Saudi Arabia', 'EMRO', '2565', '248416', '40', '2447');
INSERT INTO public.who_import VALUES (78220, '2020-07-20', 'SA', 'Saudi Arabia', 'EMRO', '2504', '250920', '39', '2486');
INSERT INTO public.who_import VALUES (78221, '2020-07-21', 'SA', 'Saudi Arabia', 'EMRO', '2429', '253349', '37', '2523');
INSERT INTO public.who_import VALUES (78222, '2020-07-22', 'SA', 'Saudi Arabia', 'EMRO', '2476', '255825', '34', '2557');
INSERT INTO public.who_import VALUES (78223, '2020-07-23', 'SA', 'Saudi Arabia', 'EMRO', '2331', '258156', '44', '2601');
INSERT INTO public.who_import VALUES (78224, '2020-07-24', 'SA', 'Saudi Arabia', 'EMRO', '2238', '260394', '34', '2635');
INSERT INTO public.who_import VALUES (78225, '2020-07-25', 'SA', 'Saudi Arabia', 'EMRO', '2378', '262772', '37', '2672');
INSERT INTO public.who_import VALUES (78226, '2020-07-26', 'SA', 'Saudi Arabia', 'EMRO', '2201', '264973', '31', '2703');
INSERT INTO public.who_import VALUES (78227, '2020-07-27', 'SA', 'Saudi Arabia', 'EMRO', '1968', '266941', '30', '2733');
INSERT INTO public.who_import VALUES (78228, '2020-07-28', 'SA', 'Saudi Arabia', 'EMRO', '1993', '268934', '27', '2760');
INSERT INTO public.who_import VALUES (78229, '2020-07-29', 'SA', 'Saudi Arabia', 'EMRO', '1897', '270831', '29', '2789');
INSERT INTO public.who_import VALUES (78230, '2020-07-30', 'SA', 'Saudi Arabia', 'EMRO', '1759', '272590', '27', '2816');
INSERT INTO public.who_import VALUES (78231, '2020-07-31', 'SA', 'Saudi Arabia', 'EMRO', '1629', '274219', '26', '2842');
INSERT INTO public.who_import VALUES (78232, '2020-08-01', 'SA', 'Saudi Arabia', 'EMRO', '1686', '275905', '24', '2866');
INSERT INTO public.who_import VALUES (78233, '2020-08-02', 'SA', 'Saudi Arabia', 'EMRO', '1573', '277478', '21', '2887');
INSERT INTO public.who_import VALUES (78234, '2020-08-03', 'SA', 'Saudi Arabia', 'EMRO', '1357', '278835', '30', '2917');
INSERT INTO public.who_import VALUES (78235, '2020-08-04', 'SA', 'Saudi Arabia', 'EMRO', '1258', '280093', '32', '2949');
INSERT INTO public.who_import VALUES (78236, '2020-08-05', 'SA', 'Saudi Arabia', 'EMRO', '1342', '281435', '35', '2984');
INSERT INTO public.who_import VALUES (78237, '2020-08-06', 'SA', 'Saudi Arabia', 'EMRO', '1389', '282824', '36', '3020');
INSERT INTO public.who_import VALUES (78238, '2020-08-07', 'SA', 'Saudi Arabia', 'EMRO', '1402', '284226', '35', '3055');
INSERT INTO public.who_import VALUES (78239, '2020-08-08', 'SA', 'Saudi Arabia', 'EMRO', '1567', '285793', '38', '3093');
INSERT INTO public.who_import VALUES (78240, '2020-08-09', 'SA', 'Saudi Arabia', 'EMRO', '1469', '287262', '37', '3130');
INSERT INTO public.who_import VALUES (78241, '2020-08-10', 'SA', 'Saudi Arabia', 'EMRO', '1428', '288690', '37', '3167');
INSERT INTO public.who_import VALUES (78242, '2020-08-11', 'SA', 'Saudi Arabia', 'EMRO', '1257', '289947', '32', '3199');
INSERT INTO public.who_import VALUES (78243, '2020-08-12', 'SA', 'Saudi Arabia', 'EMRO', '1521', '291468', '34', '3233');
INSERT INTO public.who_import VALUES (78244, '2020-08-13', 'SA', 'Saudi Arabia', 'EMRO', '1569', '293037', '36', '3269');
INSERT INTO public.who_import VALUES (78245, '2020-08-14', 'SA', 'Saudi Arabia', 'EMRO', '1482', '294519', '34', '3303');
INSERT INTO public.who_import VALUES (78246, '2020-08-15', 'SA', 'Saudi Arabia', 'EMRO', '1383', '295902', '35', '3338');
INSERT INTO public.who_import VALUES (78247, '2020-08-16', 'SA', 'Saudi Arabia', 'EMRO', '1413', '297315', '31', '3369');
INSERT INTO public.who_import VALUES (78248, '2020-08-17', 'SA', 'Saudi Arabia', 'EMRO', '1227', '298542', '39', '3408');
INSERT INTO public.who_import VALUES (78249, '2020-08-18', 'SA', 'Saudi Arabia', 'EMRO', '1372', '299914', '28', '3436');
INSERT INTO public.who_import VALUES (78250, '2020-08-19', 'SA', 'Saudi Arabia', 'EMRO', '1409', '301323', '34', '3470');
INSERT INTO public.who_import VALUES (78251, '2020-08-20', 'SA', 'Saudi Arabia', 'EMRO', '1363', '302686', '36', '3506');
INSERT INTO public.who_import VALUES (78252, '2020-08-21', 'SA', 'Saudi Arabia', 'EMRO', '1287', '303973', '42', '3548');
INSERT INTO public.who_import VALUES (78253, '2020-08-22', 'SA', 'Saudi Arabia', 'EMRO', '1213', '305186', '32', '3580');
INSERT INTO public.who_import VALUES (78254, '2020-08-23', 'SA', 'Saudi Arabia', 'EMRO', '1184', '306370', '39', '3619');
INSERT INTO public.who_import VALUES (78255, '2020-08-24', 'SA', 'Saudi Arabia', 'EMRO', '1109', '307479', '30', '3649');
INSERT INTO public.who_import VALUES (78256, '2020-08-25', 'SA', 'Saudi Arabia', 'EMRO', '1175', '308654', '42', '3691');
INSERT INTO public.who_import VALUES (78257, '2020-08-26', 'SA', 'Saudi Arabia', 'EMRO', '1114', '309768', '31', '3722');
INSERT INTO public.who_import VALUES (78258, '2020-08-27', 'SA', 'Saudi Arabia', 'EMRO', '1068', '310836', '33', '3755');
INSERT INTO public.who_import VALUES (78259, '2020-08-28', 'SA', 'Saudi Arabia', 'EMRO', '1019', '311855', '30', '3785');
INSERT INTO public.who_import VALUES (78260, '2020-08-29', 'SA', 'Saudi Arabia', 'EMRO', '1069', '312924', '28', '3813');
INSERT INTO public.who_import VALUES (78261, '2020-08-30', 'SA', 'Saudi Arabia', 'EMRO', '987', '313911', '27', '3840');
INSERT INTO public.who_import VALUES (78262, '2020-08-31', 'SA', 'Saudi Arabia', 'EMRO', '910', '314821', '30', '3870');
INSERT INTO public.who_import VALUES (78263, '2020-09-01', 'SA', 'Saudi Arabia', 'EMRO', '951', '315772', '27', '3897');
INSERT INTO public.who_import VALUES (78264, '2020-09-02', 'SA', 'Saudi Arabia', 'EMRO', '898', '316670', '32', '3929');
INSERT INTO public.who_import VALUES (78265, '2020-09-03', 'SA', 'Saudi Arabia', 'EMRO', '816', '317486', '27', '3956');
INSERT INTO public.who_import VALUES (78266, '2020-09-04', 'SA', 'Saudi Arabia', 'EMRO', '833', '318319', '26', '3982');
INSERT INTO public.who_import VALUES (78267, '2020-09-05', 'SA', 'Saudi Arabia', 'EMRO', '822', '319141', '33', '4015');
INSERT INTO public.who_import VALUES (78268, '2020-09-06', 'SA', 'Saudi Arabia', 'EMRO', '791', '319932', '34', '4049');
INSERT INTO public.who_import VALUES (78269, '2020-09-07', 'SA', 'Saudi Arabia', 'EMRO', '895', '320827', '32', '4081');
INSERT INTO public.who_import VALUES (78270, '2020-09-08', 'SA', 'Saudi Arabia', 'EMRO', '629', '321456', '26', '4107');
INSERT INTO public.who_import VALUES (78271, '2020-09-09', 'SA', 'Saudi Arabia', 'EMRO', '781', '322237', '30', '4137');
INSERT INTO public.who_import VALUES (78272, '2020-09-10', 'SA', 'Saudi Arabia', 'EMRO', '775', '323012', '28', '4165');
INSERT INTO public.who_import VALUES (78273, '2020-09-11', 'SA', 'Saudi Arabia', 'EMRO', '708', '323720', '24', '4189');
INSERT INTO public.who_import VALUES (78274, '2020-09-12', 'SA', 'Saudi Arabia', 'EMRO', '687', '324407', '24', '4213');
INSERT INTO public.who_import VALUES (78275, '2020-09-13', 'SA', 'Saudi Arabia', 'EMRO', '643', '325050', '27', '4240');
INSERT INTO public.who_import VALUES (78276, '2020-09-14', 'SA', 'Saudi Arabia', 'EMRO', '601', '325651', '28', '4268');
INSERT INTO public.who_import VALUES (78277, '2020-09-15', 'SA', 'Saudi Arabia', 'EMRO', '607', '326258', '37', '4305');
INSERT INTO public.who_import VALUES (78278, '2020-09-16', 'SA', 'Saudi Arabia', 'EMRO', '672', '326930', '33', '4338');
INSERT INTO public.who_import VALUES (78279, '2020-09-17', 'SA', 'Saudi Arabia', 'EMRO', '621', '327551', '31', '4369');
INSERT INTO public.who_import VALUES (78280, '2020-09-18', 'SA', 'Saudi Arabia', 'EMRO', '593', '328144', '30', '4399');
INSERT INTO public.who_import VALUES (78281, '2020-09-19', 'SA', 'Saudi Arabia', 'EMRO', '576', '328720', '31', '4430');
INSERT INTO public.who_import VALUES (78282, '2020-09-20', 'SA', 'Saudi Arabia', 'EMRO', '551', '329271', '28', '4458');
INSERT INTO public.who_import VALUES (78283, '2020-09-21', 'SA', 'Saudi Arabia', 'EMRO', '483', '329754', '27', '4485');
INSERT INTO public.who_import VALUES (78284, '2020-09-22', 'SA', 'Saudi Arabia', 'EMRO', '492', '330246', '27', '4512');
INSERT INTO public.who_import VALUES (78285, '2020-09-23', 'SA', 'Saudi Arabia', 'EMRO', '552', '330798', '30', '4542');
INSERT INTO public.who_import VALUES (78286, '2020-09-24', 'SA', 'Saudi Arabia', 'EMRO', '561', '331359', '27', '4569');
INSERT INTO public.who_import VALUES (78287, '2020-09-25', 'SA', 'Saudi Arabia', 'EMRO', '498', '331857', '30', '4599');
INSERT INTO public.who_import VALUES (78288, '2020-09-26', 'SA', 'Saudi Arabia', 'EMRO', '472', '332329', '26', '4625');
INSERT INTO public.who_import VALUES (78289, '2020-09-27', 'SA', 'Saudi Arabia', 'EMRO', '461', '332790', '30', '4655');
INSERT INTO public.who_import VALUES (78290, '2020-09-28', 'SA', 'Saudi Arabia', 'EMRO', '403', '333193', '28', '4683');
INSERT INTO public.who_import VALUES (78291, '2020-09-29', 'SA', 'Saudi Arabia', 'EMRO', '455', '333648', '29', '4712');
INSERT INTO public.who_import VALUES (78292, '2020-09-30', 'SA', 'Saudi Arabia', 'EMRO', '539', '334187', '27', '4739');
INSERT INTO public.who_import VALUES (78293, '2020-10-01', 'SA', 'Saudi Arabia', 'EMRO', '418', '334605', '29', '4768');
INSERT INTO public.who_import VALUES (78294, '2020-10-02', 'SA', 'Saudi Arabia', 'EMRO', '492', '335097', '26', '4794');
INSERT INTO public.who_import VALUES (78295, '2020-10-03', 'SA', 'Saudi Arabia', 'EMRO', '481', '335578', '29', '4823');
INSERT INTO public.who_import VALUES (78296, '2020-10-04', 'SA', 'Saudi Arabia', 'EMRO', '419', '335997', '27', '4850');
INSERT INTO public.who_import VALUES (78297, '2020-10-05', 'SA', 'Saudi Arabia', 'EMRO', '390', '336387', '25', '4875');
INSERT INTO public.who_import VALUES (78298, '2020-10-06', 'SA', 'Saudi Arabia', 'EMRO', '379', '336766', '23', '4898');
INSERT INTO public.who_import VALUES (78299, '2020-10-07', 'SA', 'Saudi Arabia', 'EMRO', '477', '337243', '25', '4923');
INSERT INTO public.who_import VALUES (78300, '2020-10-08', 'SA', 'Saudi Arabia', 'EMRO', '468', '337711', '24', '4947');
INSERT INTO public.who_import VALUES (78301, '2020-10-09', 'SA', 'Saudi Arabia', 'EMRO', '421', '338132', '25', '4972');
INSERT INTO public.who_import VALUES (78302, '2020-10-10', 'SA', 'Saudi Arabia', 'EMRO', '407', '338539', '24', '4996');
INSERT INTO public.who_import VALUES (78303, '2020-10-11', 'SA', 'Saudi Arabia', 'EMRO', '405', '338944', '22', '5018');
INSERT INTO public.who_import VALUES (78304, '2020-10-12', 'SA', 'Saudi Arabia', 'EMRO', '323', '339267', '25', '5043');
INSERT INTO public.who_import VALUES (78305, '2020-10-13', 'SA', 'Saudi Arabia', 'EMRO', '348', '339615', '25', '5068');
INSERT INTO public.who_import VALUES (78306, '2020-10-14', 'SA', 'Saudi Arabia', 'EMRO', '474', '340089', '19', '5087');
INSERT INTO public.who_import VALUES (78307, '2020-10-15', 'SA', 'Saudi Arabia', 'EMRO', '501', '340590', '21', '5108');
INSERT INTO public.who_import VALUES (78308, '2020-10-16', 'SA', 'Saudi Arabia', 'EMRO', '472', '341062', '19', '5127');
INSERT INTO public.who_import VALUES (78309, '2020-10-17', 'SA', 'Saudi Arabia', 'EMRO', '433', '341495', '17', '5144');
INSERT INTO public.who_import VALUES (78310, '2020-10-18', 'SA', 'Saudi Arabia', 'EMRO', '359', '341854', '21', '5165');
INSERT INTO public.who_import VALUES (78311, '2020-10-19', 'SA', 'Saudi Arabia', 'EMRO', '348', '342202', '20', '5185');
INSERT INTO public.who_import VALUES (78312, '2020-10-20', 'SA', 'Saudi Arabia', 'EMRO', '381', '342583', '16', '5201');
INSERT INTO public.who_import VALUES (78313, '2020-10-21', 'SA', 'Saudi Arabia', 'EMRO', '385', '342968', '16', '5217');
INSERT INTO public.who_import VALUES (78314, '2020-10-22', 'SA', 'Saudi Arabia', 'EMRO', '405', '343373', '18', '5235');
INSERT INTO public.who_import VALUES (78315, '2020-10-23', 'SA', 'Saudi Arabia', 'EMRO', '401', '343774', '15', '5250');
INSERT INTO public.who_import VALUES (78316, '2020-10-24', 'SA', 'Saudi Arabia', 'EMRO', '383', '344157', '14', '5264');
INSERT INTO public.who_import VALUES (78317, '2020-10-25', 'SA', 'Saudi Arabia', 'EMRO', '395', '344552', '17', '5281');
INSERT INTO public.who_import VALUES (78318, '2020-10-26', 'SA', 'Saudi Arabia', 'EMRO', '323', '344875', '15', '5296');
INSERT INTO public.who_import VALUES (78319, '2020-10-27', 'SA', 'Saudi Arabia', 'EMRO', '357', '345232', '17', '5313');
INSERT INTO public.who_import VALUES (78320, '2020-10-28', 'SA', 'Saudi Arabia', 'EMRO', '399', '345631', '16', '5329');
INSERT INTO public.who_import VALUES (78321, '2020-10-29', 'SA', 'Saudi Arabia', 'EMRO', '416', '346047', '19', '5348');
INSERT INTO public.who_import VALUES (78322, '2020-10-30', 'SA', 'Saudi Arabia', 'EMRO', '435', '346482', '15', '5363');
INSERT INTO public.who_import VALUES (78323, '2020-10-31', 'SA', 'Saudi Arabia', 'EMRO', '398', '346880', '20', '5383');
INSERT INTO public.who_import VALUES (78324, '2020-11-01', 'SA', 'Saudi Arabia', 'EMRO', '402', '347282', '19', '5402');
INSERT INTO public.who_import VALUES (78325, '2020-11-02', 'SA', 'Saudi Arabia', 'EMRO', '374', '347656', '18', '5420');
INSERT INTO public.who_import VALUES (78326, '2020-11-03', 'SA', 'Saudi Arabia', 'EMRO', '381', '348037', '17', '5437');
INSERT INTO public.who_import VALUES (78327, '2020-11-04', 'SA', 'Saudi Arabia', 'EMRO', '473', '348510', '19', '5456');
INSERT INTO public.who_import VALUES (78328, '2020-11-05', 'SA', 'Saudi Arabia', 'EMRO', '426', '348936', '15', '5471');
INSERT INTO public.who_import VALUES (78329, '2020-11-06', 'SA', 'Saudi Arabia', 'EMRO', '450', '349386', '18', '5489');
INSERT INTO public.who_import VALUES (78330, '2020-11-07', 'SA', 'Saudi Arabia', 'EMRO', '436', '349822', '17', '5506');
INSERT INTO public.who_import VALUES (78331, '2020-11-08', 'SA', 'Saudi Arabia', 'EMRO', '407', '350229', '19', '5525');
INSERT INTO public.who_import VALUES (78332, '2020-11-09', 'SA', 'Saudi Arabia', 'EMRO', '363', '350592', '15', '5540');
INSERT INTO public.who_import VALUES (78333, '2020-11-10', 'SA', 'Saudi Arabia', 'EMRO', '392', '350984', '19', '5559');
INSERT INTO public.who_import VALUES (78334, '2020-11-11', 'SA', 'Saudi Arabia', 'EMRO', '471', '351455', '17', '5576');
INSERT INTO public.who_import VALUES (78335, '2020-11-12', 'SA', 'Saudi Arabia', 'EMRO', '394', '351849', '14', '5590');
INSERT INTO public.who_import VALUES (78336, '2020-11-13', 'SA', 'Saudi Arabia', 'EMRO', '311', '352160', '15', '5605');
INSERT INTO public.who_import VALUES (78337, '2020-11-14', 'SA', 'Saudi Arabia', 'EMRO', '441', '352601', '20', '5625');
INSERT INTO public.who_import VALUES (78338, '2020-11-15', 'SA', 'Saudi Arabia', 'EMRO', '349', '352950', '16', '5641');
INSERT INTO public.who_import VALUES (78339, '2020-11-16', 'SA', 'Saudi Arabia', 'EMRO', '305', '353255', '16', '5657');
INSERT INTO public.who_import VALUES (78340, '2020-11-17', 'SA', 'Saudi Arabia', 'EMRO', '301', '353556', '19', '5676');
INSERT INTO public.who_import VALUES (78341, '2020-11-18', 'SA', 'Saudi Arabia', 'EMRO', '362', '353918', '16', '5692');
INSERT INTO public.who_import VALUES (78342, '2020-11-19', 'SA', 'Saudi Arabia', 'EMRO', '290', '354208', '18', '5710');
INSERT INTO public.who_import VALUES (78343, '2020-11-20', 'SA', 'Saudi Arabia', 'EMRO', '319', '354527', '19', '5729');
INSERT INTO public.who_import VALUES (78344, '2020-11-21', 'SA', 'Saudi Arabia', 'EMRO', '286', '354813', '16', '5745');
INSERT INTO public.who_import VALUES (78345, '2020-11-22', 'SA', 'Saudi Arabia', 'EMRO', '221', '355034', '16', '5761');
INSERT INTO public.who_import VALUES (78346, '2020-11-23', 'SA', 'Saudi Arabia', 'EMRO', '224', '355258', '19', '5780');
INSERT INTO public.who_import VALUES (78347, '2020-11-24', 'SA', 'Saudi Arabia', 'EMRO', '231', '355489', '16', '5796');
INSERT INTO public.who_import VALUES (78348, '2020-11-25', 'SA', 'Saudi Arabia', 'EMRO', '252', '355741', '15', '5811');
INSERT INTO public.who_import VALUES (78349, '2020-11-26', 'SA', 'Saudi Arabia', 'EMRO', '326', '356067', '14', '5825');
INSERT INTO public.who_import VALUES (78350, '2020-11-27', 'SA', 'Saudi Arabia', 'EMRO', '322', '356389', '15', '5840');
INSERT INTO public.who_import VALUES (78351, '2020-11-28', 'SA', 'Saudi Arabia', 'EMRO', '302', '356691', '17', '5857');
INSERT INTO public.who_import VALUES (78352, '2020-11-29', 'SA', 'Saudi Arabia', 'EMRO', '220', '356911', '13', '5870');
INSERT INTO public.who_import VALUES (78353, '2020-11-30', 'SA', 'Saudi Arabia', 'EMRO', '217', '357128', '14', '5884');
INSERT INTO public.who_import VALUES (78354, '2020-12-01', 'SA', 'Saudi Arabia', 'EMRO', '232', '357360', '12', '5896');
INSERT INTO public.who_import VALUES (78355, '2020-12-02', 'SA', 'Saudi Arabia', 'EMRO', '263', '357623', '11', '5907');
INSERT INTO public.who_import VALUES (78356, '2020-12-03', 'SA', 'Saudi Arabia', 'EMRO', '249', '357872', '12', '5919');
INSERT INTO public.who_import VALUES (78357, '2020-12-04', 'SA', 'Saudi Arabia', 'EMRO', '230', '358102', '11', '5930');
INSERT INTO public.who_import VALUES (78358, '2020-12-05', 'SA', 'Saudi Arabia', 'EMRO', '234', '358336', '10', '5940');
INSERT INTO public.who_import VALUES (78359, '2020-12-06', 'SA', 'Saudi Arabia', 'EMRO', '190', '358526', '14', '5954');
INSERT INTO public.who_import VALUES (78360, '2020-12-07', 'SA', 'Saudi Arabia', 'EMRO', '187', '358713', '11', '5965');
INSERT INTO public.who_import VALUES (78361, '2020-12-08', 'SA', 'Saudi Arabia', 'EMRO', '209', '358922', '12', '5977');
INSERT INTO public.who_import VALUES (78362, '2020-12-09', 'SA', 'Saudi Arabia', 'EMRO', '193', '359115', '12', '5989');
INSERT INTO public.who_import VALUES (78363, '2020-12-10', 'SA', 'Saudi Arabia', 'EMRO', '159', '359274', '13', '6002');
INSERT INTO public.who_import VALUES (78364, '2020-12-11', 'SA', 'Saudi Arabia', 'EMRO', '141', '359415', '10', '6012');
INSERT INTO public.who_import VALUES (78365, '2020-12-12', 'SA', 'Saudi Arabia', 'EMRO', '168', '359583', '11', '6023');
INSERT INTO public.who_import VALUES (78366, '2020-12-13', 'SA', 'Saudi Arabia', 'EMRO', '166', '359749', '13', '6036');
INSERT INTO public.who_import VALUES (78367, '2020-12-14', 'SA', 'Saudi Arabia', 'EMRO', '139', '359888', '12', '6048');
INSERT INTO public.who_import VALUES (78368, '2020-12-15', 'SA', 'Saudi Arabia', 'EMRO', '125', '360013', '11', '6059');
INSERT INTO public.who_import VALUES (78369, '2020-12-16', 'SA', 'Saudi Arabia', 'EMRO', '142', '360155', '10', '6069');
INSERT INTO public.who_import VALUES (78370, '2020-12-17', 'SA', 'Saudi Arabia', 'EMRO', '180', '360335', '11', '6080');
INSERT INTO public.who_import VALUES (78371, '2020-12-18', 'SA', 'Saudi Arabia', 'EMRO', '181', '360516', '11', '6091');
INSERT INTO public.who_import VALUES (78372, '2020-12-19', 'SA', 'Saudi Arabia', 'EMRO', '174', '360690', '10', '6101');
INSERT INTO public.who_import VALUES (78373, '2020-12-20', 'SA', 'Saudi Arabia', 'EMRO', '158', '360848', '11', '6112');
INSERT INTO public.who_import VALUES (78374, '2020-12-21', 'SA', 'Saudi Arabia', 'EMRO', '162', '361010', '10', '6122');
INSERT INTO public.who_import VALUES (78375, '2020-12-22', 'SA', 'Saudi Arabia', 'EMRO', '168', '361178', '9', '6131');
INSERT INTO public.who_import VALUES (78376, '2020-12-23', 'SA', 'Saudi Arabia', 'EMRO', '181', '361359', '8', '6139');
INSERT INTO public.who_import VALUES (78377, '2020-12-24', 'SA', 'Saudi Arabia', 'EMRO', '177', '361536', '9', '6148');
INSERT INTO public.who_import VALUES (78378, '2020-12-25', 'SA', 'Saudi Arabia', 'EMRO', '189', '361725', '11', '6159');
INSERT INTO public.who_import VALUES (78379, '2020-12-26', 'SA', 'Saudi Arabia', 'EMRO', '178', '361903', '9', '6168');
INSERT INTO public.who_import VALUES (78380, '2020-12-27', 'SA', 'Saudi Arabia', 'EMRO', '163', '362066', '8', '6176');
INSERT INTO public.who_import VALUES (78381, '2020-12-28', 'SA', 'Saudi Arabia', 'EMRO', '154', '362220', '9', '6185');
INSERT INTO public.who_import VALUES (78382, '2020-12-29', 'SA', 'Saudi Arabia', 'EMRO', '119', '362339', '11', '6196');
INSERT INTO public.who_import VALUES (78383, '2020-12-30', 'SA', 'Saudi Arabia', 'EMRO', '149', '362488', '8', '6204');
INSERT INTO public.who_import VALUES (78384, '2020-12-31', 'SA', 'Saudi Arabia', 'EMRO', '113', '362601', '10', '6214');
INSERT INTO public.who_import VALUES (78385, '2021-01-01', 'SA', 'Saudi Arabia', 'EMRO', '140', '362741', '9', '6223');
INSERT INTO public.who_import VALUES (78386, '2021-01-02', 'SA', 'Saudi Arabia', 'EMRO', '137', '362878', '7', '6230');
INSERT INTO public.who_import VALUES (78387, '2021-01-03', 'SA', 'Saudi Arabia', 'EMRO', '101', '362979', '9', '6239');
INSERT INTO public.who_import VALUES (78388, '2021-01-04', 'SA', 'Saudi Arabia', 'EMRO', '82', '363061', '7', '6246');
INSERT INTO public.who_import VALUES (78389, '2021-01-05', 'SA', 'Saudi Arabia', 'EMRO', '94', '363155', '10', '6256');
INSERT INTO public.who_import VALUES (78390, '2021-01-06', 'SA', 'Saudi Arabia', 'EMRO', '104', '363259', '9', '6265');
INSERT INTO public.who_import VALUES (78391, '2021-01-07', 'SA', 'Saudi Arabia', 'EMRO', '118', '363377', '7', '6272');
INSERT INTO public.who_import VALUES (78392, '2021-01-08', 'SA', 'Saudi Arabia', 'EMRO', '108', '363485', '6', '6278');
INSERT INTO public.who_import VALUES (78393, '2021-01-09', 'SA', 'Saudi Arabia', 'EMRO', '97', '363582', '4', '6282');
INSERT INTO public.who_import VALUES (78394, '2021-01-10', 'SA', 'Saudi Arabia', 'EMRO', '110', '363692', '4', '6286');
INSERT INTO public.who_import VALUES (78395, '2021-01-11', 'SA', 'Saudi Arabia', 'EMRO', '117', '363809', '5', '6291');
INSERT INTO public.who_import VALUES (78396, '2021-01-12', 'SA', 'Saudi Arabia', 'EMRO', '140', '363949', '4', '6295');
INSERT INTO public.who_import VALUES (78397, '2021-01-13', 'SA', 'Saudi Arabia', 'EMRO', '147', '364096', '5', '6300');
INSERT INTO public.who_import VALUES (78398, '2021-01-14', 'SA', 'Saudi Arabia', 'EMRO', '175', '364271', '4', '6304');
INSERT INTO public.who_import VALUES (78399, '2021-01-15', 'SA', 'Saudi Arabia', 'EMRO', '169', '364440', '6', '6310');
INSERT INTO public.who_import VALUES (78400, '2021-01-16', 'SA', 'Saudi Arabia', 'EMRO', '173', '364613', '3', '6313');
INSERT INTO public.who_import VALUES (78401, '2021-01-17', 'SA', 'Saudi Arabia', 'EMRO', '140', '364753', '5', '6318');
INSERT INTO public.who_import VALUES (78402, '2021-01-18', 'SA', 'Saudi Arabia', 'EMRO', '176', '364929', '5', '6323');
INSERT INTO public.who_import VALUES (78403, '2021-01-19', 'SA', 'Saudi Arabia', 'EMRO', '170', '365099', '6', '6329');
INSERT INTO public.who_import VALUES (78404, '2021-01-20', 'SA', 'Saudi Arabia', 'EMRO', '226', '365325', '6', '6335');
INSERT INTO public.who_import VALUES (78405, '2021-01-21', 'SA', 'Saudi Arabia', 'EMRO', '238', '365563', '3', '6338');
INSERT INTO public.who_import VALUES (78406, '2021-01-22', 'SA', 'Saudi Arabia', 'EMRO', '212', '365775', '4', '6342');
INSERT INTO public.who_import VALUES (78407, '2021-01-23', 'SA', 'Saudi Arabia', 'EMRO', '213', '365988', '4', '6346');
INSERT INTO public.who_import VALUES (78408, '2021-01-24', 'SA', 'Saudi Arabia', 'EMRO', '197', '366185', '4', '6350');
INSERT INTO public.who_import VALUES (78409, '2021-01-25', 'SA', 'Saudi Arabia', 'EMRO', '186', '366371', '2', '6352');
INSERT INTO public.who_import VALUES (78410, '2021-01-26', 'SA', 'Saudi Arabia', 'EMRO', '213', '366584', '3', '6355');
INSERT INTO public.who_import VALUES (78411, '2021-01-27', 'SA', 'Saudi Arabia', 'EMRO', '223', '366807', '4', '6359');
INSERT INTO public.who_import VALUES (78412, '2021-01-28', 'SA', 'Saudi Arabia', 'EMRO', '216', '367023', '4', '6363');
INSERT INTO public.who_import VALUES (78413, '2021-01-29', 'SA', 'Saudi Arabia', 'EMRO', '253', '367276', '3', '6366');
INSERT INTO public.who_import VALUES (78414, '2021-01-30', 'SA', 'Saudi Arabia', 'EMRO', '267', '367543', '2', '6368');
INSERT INTO public.who_import VALUES (78415, '2021-01-31', 'SA', 'Saudi Arabia', 'EMRO', '270', '367813', '4', '6372');
INSERT INTO public.who_import VALUES (78416, '2021-02-01', 'SA', 'Saudi Arabia', 'EMRO', '261', '368074', '3', '6375');
INSERT INTO public.who_import VALUES (78417, '2021-02-02', 'SA', 'Saudi Arabia', 'EMRO', '255', '368329', '4', '6379');
INSERT INTO public.who_import VALUES (78418, '2021-02-03', 'SA', 'Saudi Arabia', 'EMRO', '310', '368639', '4', '6383');
INSERT INTO public.who_import VALUES (78419, '2021-02-04', 'SA', 'Saudi Arabia', 'EMRO', '306', '368945', '3', '6386');
INSERT INTO public.who_import VALUES (78420, '2021-02-05', 'SA', 'Saudi Arabia', 'EMRO', '303', '369248', '3', '6389');
INSERT INTO public.who_import VALUES (78421, '2021-02-06', 'SA', 'Saudi Arabia', 'EMRO', '327', '369575', '4', '6393');
INSERT INTO public.who_import VALUES (78422, '2021-02-07', 'SA', 'Saudi Arabia', 'EMRO', '386', '369961', '4', '6397');
INSERT INTO public.who_import VALUES (78423, '2021-02-08', 'SA', 'Saudi Arabia', 'EMRO', '317', '370278', '5', '6402');
INSERT INTO public.who_import VALUES (78424, '2021-02-09', 'SA', 'Saudi Arabia', 'EMRO', '356', '370634', '4', '6406');
INSERT INTO public.who_import VALUES (78425, '2021-02-10', 'SA', 'Saudi Arabia', 'EMRO', '353', '370987', '4', '6410');
INSERT INTO public.who_import VALUES (78426, '2021-02-11', 'SA', 'Saudi Arabia', 'EMRO', '369', '371356', '5', '6415');
INSERT INTO public.who_import VALUES (78427, '2021-02-12', 'SA', 'Saudi Arabia', 'EMRO', '364', '371720', '5', '6420');
INSERT INTO public.who_import VALUES (78428, '2021-02-13', 'SA', 'Saudi Arabia', 'EMRO', '353', '372073', '4', '6424');
INSERT INTO public.who_import VALUES (78429, '2021-02-14', 'SA', 'Saudi Arabia', 'EMRO', '337', '372410', '4', '6428');
INSERT INTO public.who_import VALUES (78430, '2021-02-15', 'SA', 'Saudi Arabia', 'EMRO', '322', '372732', '4', '6432');
INSERT INTO public.who_import VALUES (78431, '2021-02-16', 'SA', 'Saudi Arabia', 'EMRO', '314', '373046', '6', '6438');
INSERT INTO public.who_import VALUES (78432, '2021-02-17', 'SA', 'Saudi Arabia', 'EMRO', '322', '373368', '3', '6441');
INSERT INTO public.who_import VALUES (78433, '2021-02-18', 'SA', 'Saudi Arabia', 'EMRO', '334', '373702', '4', '6445');
INSERT INTO public.who_import VALUES (78434, '2021-02-19', 'SA', 'Saudi Arabia', 'EMRO', '327', '374029', '5', '6450');
INSERT INTO public.who_import VALUES (78435, '2021-02-20', 'SA', 'Saudi Arabia', 'EMRO', '337', '374366', '4', '6454');
INSERT INTO public.who_import VALUES (78436, '2020-01-03', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78437, '2020-01-04', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78438, '2020-01-05', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78439, '2020-01-06', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78440, '2020-01-07', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78441, '2020-01-08', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78442, '2020-01-09', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78443, '2020-01-10', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78444, '2020-01-11', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78445, '2020-01-12', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78446, '2020-01-13', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78447, '2020-01-14', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78448, '2020-01-15', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78449, '2020-01-16', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78450, '2020-01-17', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78451, '2020-01-18', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78452, '2020-01-19', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78453, '2020-01-20', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78454, '2020-01-21', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78455, '2020-01-22', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78456, '2020-01-23', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78457, '2020-01-24', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78458, '2020-01-25', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78459, '2020-01-26', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78460, '2020-01-27', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78461, '2020-01-28', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78462, '2020-01-29', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78463, '2020-01-30', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78464, '2020-01-31', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78465, '2020-02-01', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78466, '2020-02-02', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78467, '2020-02-03', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78468, '2020-02-04', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78469, '2020-02-05', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78470, '2020-02-06', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78471, '2020-02-07', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78472, '2020-02-08', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78473, '2020-02-09', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78474, '2020-02-10', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78475, '2020-02-11', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78476, '2020-02-12', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78478, '2020-02-14', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78479, '2020-02-15', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78480, '2020-02-16', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78481, '2020-02-17', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78482, '2020-02-18', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78483, '2020-02-19', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78484, '2020-02-20', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78485, '2020-02-21', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78486, '2020-02-22', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78487, '2020-02-23', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78488, '2020-02-24', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78489, '2020-02-25', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78490, '2020-02-26', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78491, '2020-02-27', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78492, '2020-02-28', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78493, '2020-02-29', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78494, '2020-03-01', 'SN', 'Senegal', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78495, '2020-03-02', 'SN', 'Senegal', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (78496, '2020-03-03', 'SN', 'Senegal', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (78497, '2020-03-04', 'SN', 'Senegal', 'AFRO', '3', '8', '0', '0');
INSERT INTO public.who_import VALUES (78498, '2020-03-05', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78499, '2020-03-06', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78500, '2020-03-07', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78501, '2020-03-08', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78502, '2020-03-09', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78503, '2020-03-10', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78504, '2020-03-11', 'SN', 'Senegal', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (78505, '2020-03-12', 'SN', 'Senegal', 'AFRO', '6', '14', '0', '0');
INSERT INTO public.who_import VALUES (78506, '2020-03-13', 'SN', 'Senegal', 'AFRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (78507, '2020-03-14', 'SN', 'Senegal', 'AFRO', '11', '25', '0', '0');
INSERT INTO public.who_import VALUES (78508, '2020-03-15', 'SN', 'Senegal', 'AFRO', '5', '30', '0', '0');
INSERT INTO public.who_import VALUES (78509, '2020-03-16', 'SN', 'Senegal', 'AFRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (78510, '2020-03-17', 'SN', 'Senegal', 'AFRO', '1', '31', '0', '0');
INSERT INTO public.who_import VALUES (78511, '2020-03-18', 'SN', 'Senegal', 'AFRO', '9', '40', '0', '0');
INSERT INTO public.who_import VALUES (78512, '2020-03-19', 'SN', 'Senegal', 'AFRO', '2', '42', '0', '0');
INSERT INTO public.who_import VALUES (78513, '2020-03-20', 'SN', 'Senegal', 'AFRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (78514, '2020-03-21', 'SN', 'Senegal', 'AFRO', '14', '56', '0', '0');
INSERT INTO public.who_import VALUES (78515, '2020-03-22', 'SN', 'Senegal', 'AFRO', '0', '56', '0', '0');
INSERT INTO public.who_import VALUES (78516, '2020-03-23', 'SN', 'Senegal', 'AFRO', '11', '67', '0', '0');
INSERT INTO public.who_import VALUES (78517, '2020-03-24', 'SN', 'Senegal', 'AFRO', '12', '79', '0', '0');
INSERT INTO public.who_import VALUES (78518, '2020-03-25', 'SN', 'Senegal', 'AFRO', '7', '86', '0', '0');
INSERT INTO public.who_import VALUES (78519, '2020-03-26', 'SN', 'Senegal', 'AFRO', '13', '99', '0', '0');
INSERT INTO public.who_import VALUES (78520, '2020-03-27', 'SN', 'Senegal', 'AFRO', '6', '105', '0', '0');
INSERT INTO public.who_import VALUES (78521, '2020-03-28', 'SN', 'Senegal', 'AFRO', '14', '119', '0', '0');
INSERT INTO public.who_import VALUES (78522, '2020-03-29', 'SN', 'Senegal', 'AFRO', '11', '130', '0', '0');
INSERT INTO public.who_import VALUES (78523, '2020-03-30', 'SN', 'Senegal', 'AFRO', '12', '142', '0', '0');
INSERT INTO public.who_import VALUES (78524, '2020-03-31', 'SN', 'Senegal', 'AFRO', '20', '162', '0', '0');
INSERT INTO public.who_import VALUES (78525, '2020-04-01', 'SN', 'Senegal', 'AFRO', '13', '175', '0', '0');
INSERT INTO public.who_import VALUES (78526, '2020-04-02', 'SN', 'Senegal', 'AFRO', '15', '190', '1', '1');
INSERT INTO public.who_import VALUES (78527, '2020-04-03', 'SN', 'Senegal', 'AFRO', '5', '195', '0', '1');
INSERT INTO public.who_import VALUES (78528, '2020-04-04', 'SN', 'Senegal', 'AFRO', '24', '219', '1', '2');
INSERT INTO public.who_import VALUES (78529, '2020-04-05', 'SN', 'Senegal', 'AFRO', '0', '219', '0', '2');
INSERT INTO public.who_import VALUES (78530, '2020-04-06', 'SN', 'Senegal', 'AFRO', '7', '226', '0', '2');
INSERT INTO public.who_import VALUES (78531, '2020-04-07', 'SN', 'Senegal', 'AFRO', '0', '226', '0', '2');
INSERT INTO public.who_import VALUES (78532, '2020-04-08', 'SN', 'Senegal', 'AFRO', '11', '237', '0', '2');
INSERT INTO public.who_import VALUES (78533, '2020-04-09', 'SN', 'Senegal', 'AFRO', '7', '244', '0', '2');
INSERT INTO public.who_import VALUES (78534, '2020-04-10', 'SN', 'Senegal', 'AFRO', '6', '250', '0', '2');
INSERT INTO public.who_import VALUES (78535, '2020-04-11', 'SN', 'Senegal', 'AFRO', '15', '265', '0', '2');
INSERT INTO public.who_import VALUES (78536, '2020-04-12', 'SN', 'Senegal', 'AFRO', '13', '278', '0', '2');
INSERT INTO public.who_import VALUES (78537, '2020-04-13', 'SN', 'Senegal', 'AFRO', '2', '280', '0', '2');
INSERT INTO public.who_import VALUES (78538, '2020-04-14', 'SN', 'Senegal', 'AFRO', '11', '291', '0', '2');
INSERT INTO public.who_import VALUES (78539, '2020-04-15', 'SN', 'Senegal', 'AFRO', '8', '299', '0', '2');
INSERT INTO public.who_import VALUES (78540, '2020-04-16', 'SN', 'Senegal', 'AFRO', '15', '314', '0', '2');
INSERT INTO public.who_import VALUES (78541, '2020-04-17', 'SN', 'Senegal', 'AFRO', '21', '335', '0', '2');
INSERT INTO public.who_import VALUES (78542, '2020-04-18', 'SN', 'Senegal', 'AFRO', '7', '342', '1', '3');
INSERT INTO public.who_import VALUES (78543, '2020-04-19', 'SN', 'Senegal', 'AFRO', '8', '350', '0', '3');
INSERT INTO public.who_import VALUES (78544, '2020-04-20', 'SN', 'Senegal', 'AFRO', '17', '367', '0', '3');
INSERT INTO public.who_import VALUES (78545, '2020-04-21', 'SN', 'Senegal', 'AFRO', '10', '377', '2', '5');
INSERT INTO public.who_import VALUES (78546, '2020-04-22', 'SN', 'Senegal', 'AFRO', '35', '412', '0', '5');
INSERT INTO public.who_import VALUES (78547, '2020-04-23', 'SN', 'Senegal', 'AFRO', '30', '442', '1', '6');
INSERT INTO public.who_import VALUES (78548, '2020-04-24', 'SN', 'Senegal', 'AFRO', '37', '479', '0', '6');
INSERT INTO public.who_import VALUES (78549, '2020-04-25', 'SN', 'Senegal', 'AFRO', '66', '545', '1', '7');
INSERT INTO public.who_import VALUES (78550, '2020-04-26', 'SN', 'Senegal', 'AFRO', '69', '614', '0', '7');
INSERT INTO public.who_import VALUES (78551, '2020-04-27', 'SN', 'Senegal', 'AFRO', '57', '671', '2', '9');
INSERT INTO public.who_import VALUES (78552, '2020-04-28', 'SN', 'Senegal', 'AFRO', '64', '735', '0', '9');
INSERT INTO public.who_import VALUES (78553, '2020-04-29', 'SN', 'Senegal', 'AFRO', '88', '823', '0', '9');
INSERT INTO public.who_import VALUES (78554, '2020-04-30', 'SN', 'Senegal', 'AFRO', '59', '882', '0', '9');
INSERT INTO public.who_import VALUES (78555, '2020-05-01', 'SN', 'Senegal', 'AFRO', '51', '933', '0', '9');
INSERT INTO public.who_import VALUES (78556, '2020-05-02', 'SN', 'Senegal', 'AFRO', '91', '1024', '0', '9');
INSERT INTO public.who_import VALUES (78557, '2020-05-03', 'SN', 'Senegal', 'AFRO', '89', '1113', '0', '9');
INSERT INTO public.who_import VALUES (78558, '2020-05-04', 'SN', 'Senegal', 'AFRO', '158', '1271', '0', '9');
INSERT INTO public.who_import VALUES (78559, '2020-05-05', 'SN', 'Senegal', 'AFRO', '0', '1271', '1', '10');
INSERT INTO public.who_import VALUES (78560, '2020-05-06', 'SN', 'Senegal', 'AFRO', '58', '1329', '1', '11');
INSERT INTO public.who_import VALUES (78561, '2020-05-07', 'SN', 'Senegal', 'AFRO', '104', '1433', '1', '12');
INSERT INTO public.who_import VALUES (78562, '2020-05-08', 'SN', 'Senegal', 'AFRO', '59', '1492', '1', '13');
INSERT INTO public.who_import VALUES (78563, '2020-05-09', 'SN', 'Senegal', 'AFRO', '59', '1551', '0', '13');
INSERT INTO public.who_import VALUES (78564, '2020-05-10', 'SN', 'Senegal', 'AFRO', '83', '1634', '4', '17');
INSERT INTO public.who_import VALUES (78565, '2020-05-11', 'SN', 'Senegal', 'AFRO', '75', '1709', '2', '19');
INSERT INTO public.who_import VALUES (78566, '2020-05-12', 'SN', 'Senegal', 'AFRO', '177', '1886', '0', '19');
INSERT INTO public.who_import VALUES (78567, '2020-05-13', 'SN', 'Senegal', 'AFRO', '109', '1995', '0', '19');
INSERT INTO public.who_import VALUES (78568, '2020-05-14', 'SN', 'Senegal', 'AFRO', '110', '2105', '3', '22');
INSERT INTO public.who_import VALUES (78569, '2020-05-15', 'SN', 'Senegal', 'AFRO', '84', '2189', '1', '23');
INSERT INTO public.who_import VALUES (78570, '2020-05-16', 'SN', 'Senegal', 'AFRO', '121', '2310', '0', '23');
INSERT INTO public.who_import VALUES (78571, '2020-05-17', 'SN', 'Senegal', 'AFRO', '119', '2429', '2', '25');
INSERT INTO public.who_import VALUES (78572, '2020-05-18', 'SN', 'Senegal', 'AFRO', '51', '2480', '0', '25');
INSERT INTO public.who_import VALUES (78573, '2020-05-19', 'SN', 'Senegal', 'AFRO', '64', '2544', '1', '26');
INSERT INTO public.who_import VALUES (78574, '2020-05-20', 'SN', 'Senegal', 'AFRO', '73', '2617', '4', '30');
INSERT INTO public.who_import VALUES (78575, '2020-05-21', 'SN', 'Senegal', 'AFRO', '97', '2714', '0', '30');
INSERT INTO public.who_import VALUES (78576, '2020-05-22', 'SN', 'Senegal', 'AFRO', '101', '2815', '3', '33');
INSERT INTO public.who_import VALUES (78577, '2020-05-23', 'SN', 'Senegal', 'AFRO', '94', '2909', '0', '33');
INSERT INTO public.who_import VALUES (78578, '2020-05-24', 'SN', 'Senegal', 'AFRO', '67', '2976', '1', '34');
INSERT INTO public.who_import VALUES (78579, '2020-05-25', 'SN', 'Senegal', 'AFRO', '71', '3047', '1', '35');
INSERT INTO public.who_import VALUES (78580, '2020-05-26', 'SN', 'Senegal', 'AFRO', '83', '3130', '0', '35');
INSERT INTO public.who_import VALUES (78581, '2020-05-27', 'SN', 'Senegal', 'AFRO', '31', '3161', '2', '37');
INSERT INTO public.who_import VALUES (78582, '2020-05-28', 'SN', 'Senegal', 'AFRO', '92', '3253', '2', '39');
INSERT INTO public.who_import VALUES (78583, '2020-05-29', 'SN', 'Senegal', 'AFRO', '95', '3348', '2', '41');
INSERT INTO public.who_import VALUES (78584, '2020-05-30', 'SN', 'Senegal', 'AFRO', '81', '3429', '0', '41');
INSERT INTO public.who_import VALUES (78585, '2020-05-31', 'SN', 'Senegal', 'AFRO', '106', '3535', '1', '42');
INSERT INTO public.who_import VALUES (78586, '2020-06-01', 'SN', 'Senegal', 'AFRO', '110', '3645', '0', '42');
INSERT INTO public.who_import VALUES (78587, '2020-06-02', 'SN', 'Senegal', 'AFRO', '94', '3739', '0', '42');
INSERT INTO public.who_import VALUES (78588, '2020-06-03', 'SN', 'Senegal', 'AFRO', '97', '3836', '1', '43');
INSERT INTO public.who_import VALUES (78589, '2020-06-04', 'SN', 'Senegal', 'AFRO', '96', '3932', '2', '45');
INSERT INTO public.who_import VALUES (78590, '2020-06-05', 'SN', 'Senegal', 'AFRO', '89', '4021', '0', '45');
INSERT INTO public.who_import VALUES (78591, '2020-06-06', 'SN', 'Senegal', 'AFRO', '134', '4155', '0', '45');
INSERT INTO public.who_import VALUES (78592, '2020-06-07', 'SN', 'Senegal', 'AFRO', '94', '4249', '2', '47');
INSERT INTO public.who_import VALUES (78593, '2020-06-08', 'SN', 'Senegal', 'AFRO', '79', '4328', '2', '49');
INSERT INTO public.who_import VALUES (78594, '2020-06-09', 'SN', 'Senegal', 'AFRO', '102', '4430', '0', '49');
INSERT INTO public.who_import VALUES (78595, '2020-06-10', 'SN', 'Senegal', 'AFRO', '86', '4516', '3', '52');
INSERT INTO public.who_import VALUES (78596, '2020-06-11', 'SN', 'Senegal', 'AFRO', '124', '4640', '2', '54');
INSERT INTO public.who_import VALUES (78597, '2020-06-12', 'SN', 'Senegal', 'AFRO', '119', '4759', '1', '55');
INSERT INTO public.who_import VALUES (78598, '2020-06-13', 'SN', 'Senegal', 'AFRO', '92', '4851', '1', '56');
INSERT INTO public.who_import VALUES (78599, '2020-06-14', 'SN', 'Senegal', 'AFRO', '145', '4996', '4', '60');
INSERT INTO public.who_import VALUES (78600, '2020-06-15', 'SN', 'Senegal', 'AFRO', '94', '5090', '0', '60');
INSERT INTO public.who_import VALUES (78601, '2020-06-16', 'SN', 'Senegal', 'AFRO', '0', '5090', '0', '60');
INSERT INTO public.who_import VALUES (78602, '2020-06-17', 'SN', 'Senegal', 'AFRO', '157', '5247', '10', '70');
INSERT INTO public.who_import VALUES (78603, '2020-06-18', 'SN', 'Senegal', 'AFRO', '122', '5369', '3', '73');
INSERT INTO public.who_import VALUES (78604, '2020-06-19', 'SN', 'Senegal', 'AFRO', '106', '5475', '3', '76');
INSERT INTO public.who_import VALUES (78605, '2020-06-20', 'SN', 'Senegal', 'AFRO', '164', '5639', '3', '79');
INSERT INTO public.who_import VALUES (78606, '2020-06-21', 'SN', 'Senegal', 'AFRO', '144', '5783', '3', '82');
INSERT INTO public.who_import VALUES (78607, '2020-06-22', 'SN', 'Senegal', 'AFRO', '105', '5888', '2', '84');
INSERT INTO public.who_import VALUES (78608, '2020-06-23', 'SN', 'Senegal', 'AFRO', '82', '5970', '2', '86');
INSERT INTO public.who_import VALUES (78609, '2020-06-24', 'SN', 'Senegal', 'AFRO', '64', '6034', '3', '89');
INSERT INTO public.who_import VALUES (78610, '2020-06-25', 'SN', 'Senegal', 'AFRO', '95', '6129', '4', '93');
INSERT INTO public.who_import VALUES (78611, '2020-06-26', 'SN', 'Senegal', 'AFRO', '104', '6233', '1', '94');
INSERT INTO public.who_import VALUES (78612, '2020-06-27', 'SN', 'Senegal', 'AFRO', '121', '6354', '4', '98');
INSERT INTO public.who_import VALUES (78613, '2020-06-28', 'SN', 'Senegal', 'AFRO', '105', '6459', '4', '102');
INSERT INTO public.who_import VALUES (78614, '2020-06-29', 'SN', 'Senegal', 'AFRO', '127', '6586', '3', '105');
INSERT INTO public.who_import VALUES (78615, '2020-06-30', 'SN', 'Senegal', 'AFRO', '112', '6698', '3', '108');
INSERT INTO public.who_import VALUES (78616, '2020-07-01', 'SN', 'Senegal', 'AFRO', '95', '6793', '4', '112');
INSERT INTO public.who_import VALUES (78617, '2020-07-02', 'SN', 'Senegal', 'AFRO', '132', '6925', '4', '116');
INSERT INTO public.who_import VALUES (78618, '2020-07-03', 'SN', 'Senegal', 'AFRO', '129', '7054', '5', '121');
INSERT INTO public.who_import VALUES (78619, '2020-07-04', 'SN', 'Senegal', 'AFRO', '110', '7164', '4', '125');
INSERT INTO public.who_import VALUES (78620, '2020-07-05', 'SN', 'Senegal', 'AFRO', '108', '7272', '4', '129');
INSERT INTO public.who_import VALUES (78621, '2020-07-06', 'SN', 'Senegal', 'AFRO', '128', '7400', '4', '133');
INSERT INTO public.who_import VALUES (78622, '2020-07-07', 'SN', 'Senegal', 'AFRO', '78', '7478', '3', '136');
INSERT INTO public.who_import VALUES (78623, '2020-07-08', 'SN', 'Senegal', 'AFRO', '69', '7547', '1', '137');
INSERT INTO public.who_import VALUES (78624, '2020-07-09', 'SN', 'Senegal', 'AFRO', '110', '7657', '4', '141');
INSERT INTO public.who_import VALUES (78625, '2020-07-10', 'SN', 'Senegal', 'AFRO', '127', '7784', '2', '143');
INSERT INTO public.who_import VALUES (78626, '2020-07-11', 'SN', 'Senegal', 'AFRO', '98', '7882', '2', '145');
INSERT INTO public.who_import VALUES (78627, '2020-07-12', 'SN', 'Senegal', 'AFRO', '132', '8014', '0', '145');
INSERT INTO public.who_import VALUES (78628, '2020-07-13', 'SN', 'Senegal', 'AFRO', '121', '8135', '3', '148');
INSERT INTO public.who_import VALUES (78629, '2020-07-14', 'SN', 'Senegal', 'AFRO', '63', '8198', '2', '150');
INSERT INTO public.who_import VALUES (78630, '2020-07-15', 'SN', 'Senegal', 'AFRO', '45', '8243', '0', '150');
INSERT INTO public.who_import VALUES (78631, '2020-07-16', 'SN', 'Senegal', 'AFRO', '126', '8369', '3', '153');
INSERT INTO public.who_import VALUES (78632, '2020-07-17', 'SN', 'Senegal', 'AFRO', '112', '8481', '3', '156');
INSERT INTO public.who_import VALUES (78633, '2020-07-18', 'SN', 'Senegal', 'AFRO', '63', '8544', '4', '160');
INSERT INTO public.who_import VALUES (78634, '2020-07-19', 'SN', 'Senegal', 'AFRO', '125', '8669', '3', '163');
INSERT INTO public.who_import VALUES (78635, '2020-07-20', 'SN', 'Senegal', 'AFRO', '141', '8810', '4', '167');
INSERT INTO public.who_import VALUES (78636, '2020-07-21', 'SN', 'Senegal', 'AFRO', '138', '8948', '3', '170');
INSERT INTO public.who_import VALUES (78637, '2020-07-22', 'SN', 'Senegal', 'AFRO', '37', '8985', '4', '174');
INSERT INTO public.who_import VALUES (78638, '2020-07-23', 'SN', 'Senegal', 'AFRO', '136', '9121', '3', '177');
INSERT INTO public.who_import VALUES (78639, '2020-07-24', 'SN', 'Senegal', 'AFRO', '145', '9266', '1', '178');
INSERT INTO public.who_import VALUES (78640, '2020-07-25', 'SN', 'Senegal', 'AFRO', '156', '9422', '4', '182');
INSERT INTO public.who_import VALUES (78641, '2020-07-26', 'SN', 'Senegal', 'AFRO', '130', '9552', '5', '187');
INSERT INTO public.who_import VALUES (78642, '2020-07-27', 'SN', 'Senegal', 'AFRO', '129', '9681', '4', '191');
INSERT INTO public.who_import VALUES (78643, '2020-07-28', 'SN', 'Senegal', 'AFRO', '83', '9764', '3', '194');
INSERT INTO public.who_import VALUES (78644, '2020-07-29', 'SN', 'Senegal', 'AFRO', '41', '9805', '4', '198');
INSERT INTO public.who_import VALUES (78645, '2020-07-30', 'SN', 'Senegal', 'AFRO', '156', '9961', '2', '200');
INSERT INTO public.who_import VALUES (78646, '2020-07-31', 'SN', 'Senegal', 'AFRO', '145', '10106', '4', '204');
INSERT INTO public.who_import VALUES (78647, '2020-08-01', 'SN', 'Senegal', 'AFRO', '126', '10232', '1', '205');
INSERT INTO public.who_import VALUES (78648, '2020-08-02', 'SN', 'Senegal', 'AFRO', '52', '10284', '4', '209');
INSERT INTO public.who_import VALUES (78649, '2020-08-03', 'SN', 'Senegal', 'AFRO', '60', '10344', '0', '209');
INSERT INTO public.who_import VALUES (78650, '2020-08-04', 'SN', 'Senegal', 'AFRO', '42', '10386', '2', '211');
INSERT INTO public.who_import VALUES (78651, '2020-08-05', 'SN', 'Senegal', 'AFRO', '46', '10432', '3', '214');
INSERT INTO public.who_import VALUES (78652, '2020-08-06', 'SN', 'Senegal', 'AFRO', '106', '10538', '4', '218');
INSERT INTO public.who_import VALUES (78653, '2020-08-07', 'SN', 'Senegal', 'AFRO', '177', '10715', '5', '223');
INSERT INTO public.who_import VALUES (78654, '2020-08-08', 'SN', 'Senegal', 'AFRO', '172', '10887', '2', '225');
INSERT INTO public.who_import VALUES (78655, '2020-08-09', 'SN', 'Senegal', 'AFRO', '116', '11003', '4', '229');
INSERT INTO public.who_import VALUES (78656, '2020-08-10', 'SN', 'Senegal', 'AFRO', '172', '11175', '3', '232');
INSERT INTO public.who_import VALUES (78657, '2020-08-11', 'SN', 'Senegal', 'AFRO', '137', '11312', '4', '236');
INSERT INTO public.who_import VALUES (78658, '2020-08-12', 'SN', 'Senegal', 'AFRO', '68', '11380', '2', '238');
INSERT INTO public.who_import VALUES (78659, '2020-08-13', 'SN', 'Senegal', 'AFRO', '207', '11587', '4', '242');
INSERT INTO public.who_import VALUES (78660, '2020-08-14', 'SN', 'Senegal', 'AFRO', '153', '11740', '2', '244');
INSERT INTO public.who_import VALUES (78661, '2020-08-15', 'SN', 'Senegal', 'AFRO', '132', '11872', '5', '249');
INSERT INTO public.who_import VALUES (78662, '2020-08-16', 'SN', 'Senegal', 'AFRO', '160', '12032', '2', '251');
INSERT INTO public.who_import VALUES (78663, '2020-08-17', 'SN', 'Senegal', 'AFRO', '130', '12162', '2', '253');
INSERT INTO public.who_import VALUES (78664, '2020-08-18', 'SN', 'Senegal', 'AFRO', '75', '12237', '3', '256');
INSERT INTO public.who_import VALUES (78665, '2020-08-19', 'SN', 'Senegal', 'AFRO', '68', '12305', '0', '256');
INSERT INTO public.who_import VALUES (78666, '2020-08-20', 'SN', 'Senegal', 'AFRO', '141', '12446', '2', '258');
INSERT INTO public.who_import VALUES (78667, '2020-08-21', 'SN', 'Senegal', 'AFRO', '113', '12559', '3', '261');
INSERT INTO public.who_import VALUES (78668, '2020-08-22', 'SN', 'Senegal', 'AFRO', '130', '12689', '1', '262');
INSERT INTO public.who_import VALUES (78669, '2020-08-23', 'SN', 'Senegal', 'AFRO', '161', '12850', '4', '266');
INSERT INTO public.who_import VALUES (78670, '2020-08-24', 'SN', 'Senegal', 'AFRO', '99', '12949', '3', '269');
INSERT INTO public.who_import VALUES (78671, '2020-08-25', 'SN', 'Senegal', 'AFRO', '64', '13013', '3', '272');
INSERT INTO public.who_import VALUES (78672, '2020-08-26', 'SN', 'Senegal', 'AFRO', '43', '13056', '2', '274');
INSERT INTO public.who_import VALUES (78673, '2020-08-27', 'SN', 'Senegal', 'AFRO', '130', '13186', '1', '275');
INSERT INTO public.who_import VALUES (78674, '2020-08-28', 'SN', 'Senegal', 'AFRO', '108', '13294', '2', '277');
INSERT INTO public.who_import VALUES (78675, '2020-08-29', 'SN', 'Senegal', 'AFRO', '90', '13384', '2', '279');
INSERT INTO public.who_import VALUES (78676, '2020-08-30', 'SN', 'Senegal', 'AFRO', '72', '13456', '3', '282');
INSERT INTO public.who_import VALUES (78677, '2020-08-31', 'SN', 'Senegal', 'AFRO', '100', '13556', '2', '284');
INSERT INTO public.who_import VALUES (78678, '2020-09-01', 'SN', 'Senegal', 'AFRO', '55', '13611', '0', '284');
INSERT INTO public.who_import VALUES (78679, '2020-09-02', 'SN', 'Senegal', 'AFRO', '44', '13655', '0', '284');
INSERT INTO public.who_import VALUES (78680, '2020-09-03', 'SN', 'Senegal', 'AFRO', '88', '13743', '3', '287');
INSERT INTO public.who_import VALUES (78681, '2020-09-04', 'SN', 'Senegal', 'AFRO', '83', '13826', '0', '287');
INSERT INTO public.who_import VALUES (78682, '2020-09-05', 'SN', 'Senegal', 'AFRO', '55', '13881', '2', '289');
INSERT INTO public.who_import VALUES (78683, '2020-09-06', 'SN', 'Senegal', 'AFRO', '0', '13881', '0', '289');
INSERT INTO public.who_import VALUES (78684, '2020-09-07', 'SN', 'Senegal', 'AFRO', '106', '13987', '1', '290');
INSERT INTO public.who_import VALUES (78685, '2020-09-08', 'SN', 'Senegal', 'AFRO', '0', '13987', '0', '290');
INSERT INTO public.who_import VALUES (78686, '2020-09-09', 'SN', 'Senegal', 'AFRO', '27', '14014', '1', '291');
INSERT INTO public.who_import VALUES (78687, '2020-09-10', 'SN', 'Senegal', 'AFRO', '88', '14102', '2', '293');
INSERT INTO public.who_import VALUES (78688, '2020-09-11', 'SN', 'Senegal', 'AFRO', '48', '14150', '0', '293');
INSERT INTO public.who_import VALUES (78689, '2020-09-12', 'SN', 'Senegal', 'AFRO', '43', '14193', '0', '293');
INSERT INTO public.who_import VALUES (78690, '2020-09-13', 'SN', 'Senegal', 'AFRO', '0', '14193', '0', '293');
INSERT INTO public.who_import VALUES (78691, '2020-09-14', 'SN', 'Senegal', 'AFRO', '0', '14193', '0', '293');
INSERT INTO public.who_import VALUES (78692, '2020-09-15', 'SN', 'Senegal', 'AFRO', '113', '14306', '4', '297');
INSERT INTO public.who_import VALUES (78693, '2020-09-16', 'SN', 'Senegal', 'AFRO', '223', '14529', '1', '298');
INSERT INTO public.who_import VALUES (78694, '2020-09-17', 'SN', 'Senegal', 'AFRO', '39', '14568', '1', '299');
INSERT INTO public.who_import VALUES (78695, '2020-09-18', 'SN', 'Senegal', 'AFRO', '50', '14618', '1', '300');
INSERT INTO public.who_import VALUES (78696, '2020-09-19', 'SN', 'Senegal', 'AFRO', '27', '14645', '1', '301');
INSERT INTO public.who_import VALUES (78697, '2020-09-20', 'SN', 'Senegal', 'AFRO', '43', '14688', '1', '302');
INSERT INTO public.who_import VALUES (78698, '2020-09-21', 'SN', 'Senegal', 'AFRO', '26', '14714', '0', '302');
INSERT INTO public.who_import VALUES (78699, '2020-09-22', 'SN', 'Senegal', 'AFRO', '24', '14738', '0', '302');
INSERT INTO public.who_import VALUES (78700, '2020-09-23', 'SN', 'Senegal', 'AFRO', '21', '14759', '0', '302');
INSERT INTO public.who_import VALUES (78701, '2020-09-24', 'SN', 'Senegal', 'AFRO', '36', '14795', '1', '303');
INSERT INTO public.who_import VALUES (78702, '2020-09-25', 'SN', 'Senegal', 'AFRO', '21', '14816', '1', '304');
INSERT INTO public.who_import VALUES (78703, '2020-09-26', 'SN', 'Senegal', 'AFRO', '0', '14816', '0', '304');
INSERT INTO public.who_import VALUES (78704, '2020-09-27', 'SN', 'Senegal', 'AFRO', '53', '14869', '2', '306');
INSERT INTO public.who_import VALUES (78705, '2020-09-28', 'SN', 'Senegal', 'AFRO', '40', '14909', '2', '308');
INSERT INTO public.who_import VALUES (78706, '2020-09-29', 'SN', 'Senegal', 'AFRO', '10', '14919', '1', '309');
INSERT INTO public.who_import VALUES (78707, '2020-09-30', 'SN', 'Senegal', 'AFRO', '0', '14919', '0', '309');
INSERT INTO public.who_import VALUES (78708, '2020-10-01', 'SN', 'Senegal', 'AFRO', '63', '14982', '2', '311');
INSERT INTO public.who_import VALUES (78709, '2020-10-02', 'SN', 'Senegal', 'AFRO', '37', '15019', '0', '311');
INSERT INTO public.who_import VALUES (78710, '2020-10-03', 'SN', 'Senegal', 'AFRO', '0', '15019', '0', '311');
INSERT INTO public.who_import VALUES (78711, '2020-10-04', 'SN', 'Senegal', 'AFRO', '32', '15051', '1', '312');
INSERT INTO public.who_import VALUES (78712, '2020-10-05', 'SN', 'Senegal', 'AFRO', '43', '15094', '0', '312');
INSERT INTO public.who_import VALUES (78713, '2020-10-06', 'SN', 'Senegal', 'AFRO', '28', '15122', '0', '312');
INSERT INTO public.who_import VALUES (78714, '2020-10-07', 'SN', 'Senegal', 'AFRO', '19', '15141', '0', '312');
INSERT INTO public.who_import VALUES (78715, '2020-10-08', 'SN', 'Senegal', 'AFRO', '0', '15141', '0', '312');
INSERT INTO public.who_import VALUES (78716, '2020-10-09', 'SN', 'Senegal', 'AFRO', '49', '15190', '1', '313');
INSERT INTO public.who_import VALUES (78717, '2020-10-10', 'SN', 'Senegal', 'AFRO', '23', '15213', '0', '313');
INSERT INTO public.who_import VALUES (78718, '2020-10-11', 'SN', 'Senegal', 'AFRO', '0', '15213', '0', '313');
INSERT INTO public.who_import VALUES (78719, '2020-10-12', 'SN', 'Senegal', 'AFRO', '0', '15213', '0', '313');
INSERT INTO public.who_import VALUES (78720, '2020-10-13', 'SN', 'Senegal', 'AFRO', '79', '15292', '2', '315');
INSERT INTO public.who_import VALUES (78721, '2020-10-14', 'SN', 'Senegal', 'AFRO', '15', '15307', '0', '315');
INSERT INTO public.who_import VALUES (78722, '2020-10-15', 'SN', 'Senegal', 'AFRO', '24', '15331', '1', '316');
INSERT INTO public.who_import VALUES (78723, '2020-10-16', 'SN', 'Senegal', 'AFRO', '17', '15348', '0', '316');
INSERT INTO public.who_import VALUES (78724, '2020-10-17', 'SN', 'Senegal', 'AFRO', '20', '15368', '1', '317');
INSERT INTO public.who_import VALUES (78725, '2020-10-18', 'SN', 'Senegal', 'AFRO', '0', '15368', '0', '317');
INSERT INTO public.who_import VALUES (78726, '2020-10-19', 'SN', 'Senegal', 'AFRO', '50', '15418', '0', '317');
INSERT INTO public.who_import VALUES (78727, '2020-10-20', 'SN', 'Senegal', 'AFRO', '14', '15432', '2', '319');
INSERT INTO public.who_import VALUES (78728, '2020-10-21', 'SN', 'Senegal', 'AFRO', '27', '15459', '1', '320');
INSERT INTO public.who_import VALUES (78729, '2020-10-22', 'SN', 'Senegal', 'AFRO', '25', '15484', '1', '321');
INSERT INTO public.who_import VALUES (78730, '2020-10-23', 'SN', 'Senegal', 'AFRO', '24', '15508', '0', '321');
INSERT INTO public.who_import VALUES (78731, '2020-10-24', 'SN', 'Senegal', 'AFRO', '17', '15525', '0', '321');
INSERT INTO public.who_import VALUES (78732, '2020-10-25', 'SN', 'Senegal', 'AFRO', '18', '15543', '0', '321');
INSERT INTO public.who_import VALUES (78733, '2020-10-26', 'SN', 'Senegal', 'AFRO', '8', '15551', '0', '321');
INSERT INTO public.who_import VALUES (78734, '2020-10-27', 'SN', 'Senegal', 'AFRO', '14', '15565', '1', '322');
INSERT INTO public.who_import VALUES (78735, '2020-10-28', 'SN', 'Senegal', 'AFRO', '6', '15571', '0', '322');
INSERT INTO public.who_import VALUES (78736, '2020-10-29', 'SN', 'Senegal', 'AFRO', '11', '15582', '0', '322');
INSERT INTO public.who_import VALUES (78737, '2020-10-30', 'SN', 'Senegal', 'AFRO', '11', '15593', '1', '323');
INSERT INTO public.who_import VALUES (78738, '2020-10-31', 'SN', 'Senegal', 'AFRO', '0', '15593', '0', '323');
INSERT INTO public.who_import VALUES (78739, '2020-11-01', 'SN', 'Senegal', 'AFRO', '23', '15616', '1', '324');
INSERT INTO public.who_import VALUES (78740, '2020-11-02', 'SN', 'Senegal', 'AFRO', '0', '15616', '0', '324');
INSERT INTO public.who_import VALUES (78741, '2020-11-03', 'SN', 'Senegal', 'AFRO', '14', '15630', '1', '325');
INSERT INTO public.who_import VALUES (78742, '2020-11-04', 'SN', 'Senegal', 'AFRO', '10', '15640', '1', '326');
INSERT INTO public.who_import VALUES (78743, '2020-11-05', 'SN', 'Senegal', 'AFRO', '10', '15650', '0', '326');
INSERT INTO public.who_import VALUES (78744, '2020-11-06', 'SN', 'Senegal', 'AFRO', '18', '15668', '0', '326');
INSERT INTO public.who_import VALUES (78745, '2020-11-07', 'SN', 'Senegal', 'AFRO', '0', '15668', '0', '326');
INSERT INTO public.who_import VALUES (78746, '2020-11-08', 'SN', 'Senegal', 'AFRO', '0', '15668', '0', '326');
INSERT INTO public.who_import VALUES (78747, '2020-11-09', 'SN', 'Senegal', 'AFRO', '40', '15708', '0', '326');
INSERT INTO public.who_import VALUES (78748, '2020-11-10', 'SN', 'Senegal', 'AFRO', '3', '15711', '0', '326');
INSERT INTO public.who_import VALUES (78749, '2020-11-11', 'SN', 'Senegal', 'AFRO', '9', '15720', '0', '326');
INSERT INTO public.who_import VALUES (78750, '2020-11-12', 'SN', 'Senegal', 'AFRO', '15', '15735', '0', '326');
INSERT INTO public.who_import VALUES (78751, '2020-11-13', 'SN', 'Senegal', 'AFRO', '9', '15744', '0', '326');
INSERT INTO public.who_import VALUES (78752, '2020-11-14', 'SN', 'Senegal', 'AFRO', '11', '15755', '0', '326');
INSERT INTO public.who_import VALUES (78753, '2020-11-15', 'SN', 'Senegal', 'AFRO', '24', '15779', '1', '327');
INSERT INTO public.who_import VALUES (78754, '2020-11-16', 'SN', 'Senegal', 'AFRO', '14', '15793', '1', '328');
INSERT INTO public.who_import VALUES (78755, '2020-11-17', 'SN', 'Senegal', 'AFRO', '0', '15793', '0', '328');
INSERT INTO public.who_import VALUES (78756, '2020-11-18', 'SN', 'Senegal', 'AFRO', '13', '15806', '1', '329');
INSERT INTO public.who_import VALUES (78757, '2020-11-19', 'SN', 'Senegal', 'AFRO', '17', '15823', '0', '329');
INSERT INTO public.who_import VALUES (78758, '2020-11-20', 'SN', 'Senegal', 'AFRO', '12', '15835', '0', '329');
INSERT INTO public.who_import VALUES (78759, '2020-11-21', 'SN', 'Senegal', 'AFRO', '13', '15848', '1', '330');
INSERT INTO public.who_import VALUES (78760, '2020-11-22', 'SN', 'Senegal', 'AFRO', '17', '15865', '0', '330');
INSERT INTO public.who_import VALUES (78761, '2020-11-23', 'SN', 'Senegal', 'AFRO', '17', '15882', '0', '330');
INSERT INTO public.who_import VALUES (78762, '2020-11-24', 'SN', 'Senegal', 'AFRO', '15', '15897', '0', '330');
INSERT INTO public.who_import VALUES (78763, '2020-11-25', 'SN', 'Senegal', 'AFRO', '11', '15908', '1', '331');
INSERT INTO public.who_import VALUES (78764, '2020-11-26', 'SN', 'Senegal', 'AFRO', '19', '15927', '0', '331');
INSERT INTO public.who_import VALUES (78765, '2020-11-27', 'SN', 'Senegal', 'AFRO', '33', '15960', '0', '331');
INSERT INTO public.who_import VALUES (78766, '2020-11-28', 'SN', 'Senegal', 'AFRO', '21', '15981', '1', '332');
INSERT INTO public.who_import VALUES (78767, '2020-11-29', 'SN', 'Senegal', 'AFRO', '46', '16027', '0', '332');
INSERT INTO public.who_import VALUES (78768, '2020-11-30', 'SN', 'Senegal', 'AFRO', '48', '16075', '1', '333');
INSERT INTO public.who_import VALUES (78769, '2020-12-01', 'SN', 'Senegal', 'AFRO', '14', '16089', '0', '333');
INSERT INTO public.who_import VALUES (78770, '2020-12-02', 'SN', 'Senegal', 'AFRO', '18', '16107', '0', '333');
INSERT INTO public.who_import VALUES (78771, '2020-12-03', 'SN', 'Senegal', 'AFRO', '66', '16173', '1', '334');
INSERT INTO public.who_import VALUES (78772, '2020-12-04', 'SN', 'Senegal', 'AFRO', '44', '16217', '1', '335');
INSERT INTO public.who_import VALUES (78773, '2020-12-05', 'SN', 'Senegal', 'AFRO', '80', '16297', '1', '336');
INSERT INTO public.who_import VALUES (78774, '2020-12-06', 'SN', 'Senegal', 'AFRO', '100', '16397', '1', '337');
INSERT INTO public.who_import VALUES (78775, '2020-12-07', 'SN', 'Senegal', 'AFRO', '80', '16477', '1', '338');
INSERT INTO public.who_import VALUES (78776, '2020-12-08', 'SN', 'Senegal', 'AFRO', '76', '16553', '2', '340');
INSERT INTO public.who_import VALUES (78777, '2020-12-09', 'SN', 'Senegal', 'AFRO', '43', '16596', '0', '340');
INSERT INTO public.who_import VALUES (78778, '2020-12-10', 'SN', 'Senegal', 'AFRO', '69', '16665', '1', '341');
INSERT INTO public.who_import VALUES (78779, '2020-12-11', 'SN', 'Senegal', 'AFRO', '101', '16766', '2', '343');
INSERT INTO public.who_import VALUES (78780, '2020-12-12', 'SN', 'Senegal', 'AFRO', '127', '16893', '2', '345');
INSERT INTO public.who_import VALUES (78781, '2020-12-13', 'SN', 'Senegal', 'AFRO', '168', '17061', '4', '349');
INSERT INTO public.who_import VALUES (78782, '2020-12-14', 'SN', 'Senegal', 'AFRO', '14', '17075', '0', '349');
INSERT INTO public.who_import VALUES (78783, '2020-12-15', 'SN', 'Senegal', 'AFRO', '71', '17146', '1', '350');
INSERT INTO public.who_import VALUES (78784, '2020-12-16', 'SN', 'Senegal', 'AFRO', '70', '17216', '0', '350');
INSERT INTO public.who_import VALUES (78785, '2020-12-17', 'SN', 'Senegal', 'AFRO', '120', '17336', '2', '352');
INSERT INTO public.who_import VALUES (78786, '2020-12-18', 'SN', 'Senegal', 'AFRO', '115', '17451', '3', '355');
INSERT INTO public.who_import VALUES (78787, '2020-12-19', 'SN', 'Senegal', 'AFRO', '108', '17559', '2', '357');
INSERT INTO public.who_import VALUES (78788, '2020-12-20', 'SN', 'Senegal', 'AFRO', '111', '17670', '4', '361');
INSERT INTO public.who_import VALUES (78789, '2020-12-21', 'SN', 'Senegal', 'AFRO', '88', '17758', '4', '365');
INSERT INTO public.who_import VALUES (78790, '2020-12-22', 'SN', 'Senegal', 'AFRO', '121', '17879', '6', '371');
INSERT INTO public.who_import VALUES (78791, '2020-12-23', 'SN', 'Senegal', 'AFRO', '66', '17945', '1', '372');
INSERT INTO public.who_import VALUES (78792, '2020-12-24', 'SN', 'Senegal', 'AFRO', '98', '18043', '6', '378');
INSERT INTO public.who_import VALUES (78793, '2020-12-25', 'SN', 'Senegal', 'AFRO', '157', '18200', '3', '381');
INSERT INTO public.who_import VALUES (78794, '2020-12-26', 'SN', 'Senegal', 'AFRO', '169', '18369', '5', '386');
INSERT INTO public.who_import VALUES (78795, '2020-12-27', 'SN', 'Senegal', 'AFRO', '154', '18523', '1', '387');
INSERT INTO public.who_import VALUES (78796, '2020-12-28', 'SN', 'Senegal', 'AFRO', '86', '18609', '1', '388');
INSERT INTO public.who_import VALUES (78797, '2020-12-29', 'SN', 'Senegal', 'AFRO', '119', '18728', '2', '390');
INSERT INTO public.who_import VALUES (78798, '2020-12-30', 'SN', 'Senegal', 'AFRO', '78', '18806', '5', '395');
INSERT INTO public.who_import VALUES (78799, '2020-12-31', 'SN', 'Senegal', 'AFRO', '139', '18945', '7', '402');
INSERT INTO public.who_import VALUES (78800, '2021-01-01', 'SN', 'Senegal', 'AFRO', '195', '19140', '8', '410');
INSERT INTO public.who_import VALUES (78801, '2021-01-02', 'SN', 'Senegal', 'AFRO', '0', '19140', '0', '410');
INSERT INTO public.who_import VALUES (78802, '2021-01-03', 'SN', 'Senegal', 'AFRO', '371', '19511', '6', '416');
INSERT INTO public.who_import VALUES (78803, '2021-01-04', 'SN', 'Senegal', 'AFRO', '186', '19697', '5', '421');
INSERT INTO public.who_import VALUES (78804, '2021-01-05', 'SN', 'Senegal', 'AFRO', '106', '19803', '3', '424');
INSERT INTO public.who_import VALUES (78805, '2021-01-06', 'SN', 'Senegal', 'AFRO', '161', '19964', '4', '428');
INSERT INTO public.who_import VALUES (78806, '2021-01-07', 'SN', 'Senegal', 'AFRO', '192', '20156', '5', '433');
INSERT INTO public.who_import VALUES (78807, '2021-01-08', 'SN', 'Senegal', 'AFRO', '220', '20376', '5', '438');
INSERT INTO public.who_import VALUES (78808, '2021-01-09', 'SN', 'Senegal', 'AFRO', '296', '20672', '8', '446');
INSERT INTO public.who_import VALUES (78809, '2021-01-10', 'SN', 'Senegal', 'AFRO', '328', '21000', '13', '459');
INSERT INTO public.who_import VALUES (78810, '2021-01-11', 'SN', 'Senegal', 'AFRO', '245', '21245', '6', '465');
INSERT INTO public.who_import VALUES (78811, '2021-01-12', 'SN', 'Senegal', 'AFRO', '288', '21533', '4', '469');
INSERT INTO public.who_import VALUES (78812, '2021-01-13', 'SN', 'Senegal', 'AFRO', '152', '21685', '11', '480');
INSERT INTO public.who_import VALUES (78813, '2021-01-14', 'SN', 'Senegal', 'AFRO', '198', '21883', '9', '489');
INSERT INTO public.who_import VALUES (78814, '2021-01-15', 'SN', 'Senegal', 'AFRO', '295', '22178', '7', '496');
INSERT INTO public.who_import VALUES (78815, '2021-01-16', 'SN', 'Senegal', 'AFRO', '218', '22396', '10', '506');
INSERT INTO public.who_import VALUES (78816, '2021-01-17', 'SN', 'Senegal', 'AFRO', '342', '22738', '3', '509');
INSERT INTO public.who_import VALUES (78817, '2021-01-18', 'SN', 'Senegal', 'AFRO', '290', '23028', '6', '515');
INSERT INTO public.who_import VALUES (78818, '2021-01-19', 'SN', 'Senegal', 'AFRO', '196', '23224', '11', '526');
INSERT INTO public.who_import VALUES (78819, '2021-01-20', 'SN', 'Senegal', 'AFRO', '168', '23392', '10', '536');
INSERT INTO public.who_import VALUES (78820, '2021-01-21', 'SN', 'Senegal', 'AFRO', '250', '23642', '10', '546');
INSERT INTO public.who_import VALUES (78821, '2021-01-22', 'SN', 'Senegal', 'AFRO', '268', '23910', '6', '552');
INSERT INTO public.who_import VALUES (78822, '2021-01-23', 'SN', 'Senegal', 'AFRO', '300', '24210', '9', '561');
INSERT INTO public.who_import VALUES (78823, '2021-01-24', 'SN', 'Senegal', 'AFRO', '250', '24460', '8', '569');
INSERT INTO public.who_import VALUES (78824, '2021-01-25', 'SN', 'Senegal', 'AFRO', '268', '24728', '6', '575');
INSERT INTO public.who_import VALUES (78825, '2021-01-26', 'SN', 'Senegal', 'AFRO', '265', '24993', '7', '582');
INSERT INTO public.who_import VALUES (78826, '2021-01-27', 'SN', 'Senegal', 'AFRO', '133', '25126', '10', '592');
INSERT INTO public.who_import VALUES (78827, '2021-01-28', 'SN', 'Senegal', 'AFRO', '281', '25407', '9', '601');
INSERT INTO public.who_import VALUES (78828, '2021-01-29', 'SN', 'Senegal', 'AFRO', '304', '25711', '13', '614');
INSERT INTO public.who_import VALUES (78829, '2021-01-30', 'SN', 'Senegal', 'AFRO', '184', '25895', '3', '617');
INSERT INTO public.who_import VALUES (78830, '2021-01-31', 'SN', 'Senegal', 'AFRO', '318', '26213', '4', '621');
INSERT INTO public.who_import VALUES (78831, '2021-02-01', 'SN', 'Senegal', 'AFRO', '310', '26523', '7', '628');
INSERT INTO public.who_import VALUES (78832, '2021-02-02', 'SN', 'Senegal', 'AFRO', '404', '26927', '10', '638');
INSERT INTO public.who_import VALUES (78833, '2021-02-03', 'SN', 'Senegal', 'AFRO', '153', '27080', '3', '641');
INSERT INTO public.who_import VALUES (78834, '2021-02-04', 'SN', 'Senegal', 'AFRO', '285', '27365', '7', '648');
INSERT INTO public.who_import VALUES (78835, '2021-02-05', 'SN', 'Senegal', 'AFRO', '368', '27733', '11', '659');
INSERT INTO public.who_import VALUES (78836, '2021-02-06', 'SN', 'Senegal', 'AFRO', '373', '28106', '7', '666');
INSERT INTO public.who_import VALUES (78837, '2021-02-07', 'SN', 'Senegal', 'AFRO', '383', '28489', '9', '675');
INSERT INTO public.who_import VALUES (78838, '2021-02-08', 'SN', 'Senegal', 'AFRO', '271', '28760', '7', '682');
INSERT INTO public.who_import VALUES (78839, '2021-02-09', 'SN', 'Senegal', 'AFRO', '297', '29057', '7', '689');
INSERT INTO public.who_import VALUES (78840, '2021-02-10', 'SN', 'Senegal', 'AFRO', '188', '29245', '11', '700');
INSERT INTO public.who_import VALUES (78841, '2021-02-11', 'SN', 'Senegal', 'AFRO', '276', '29521', '12', '712');
INSERT INTO public.who_import VALUES (78842, '2021-02-12', 'SN', 'Senegal', 'AFRO', '393', '29914', '12', '724');
INSERT INTO public.who_import VALUES (78843, '2021-02-13', 'SN', 'Senegal', 'AFRO', '462', '30376', '11', '735');
INSERT INTO public.who_import VALUES (78844, '2021-02-14', 'SN', 'Senegal', 'AFRO', '265', '30641', '6', '741');
INSERT INTO public.who_import VALUES (78845, '2021-02-15', 'SN', 'Senegal', 'AFRO', '366', '31007', '7', '748');
INSERT INTO public.who_import VALUES (78846, '2021-02-16', 'SN', 'Senegal', 'AFRO', '268', '31275', '6', '754');
INSERT INTO public.who_import VALUES (78847, '2021-02-17', 'SN', 'Senegal', 'AFRO', '201', '31476', '6', '760');
INSERT INTO public.who_import VALUES (78848, '2021-02-18', 'SN', 'Senegal', 'AFRO', '295', '31771', '9', '769');
INSERT INTO public.who_import VALUES (78849, '2021-02-19', 'SN', 'Senegal', 'AFRO', '328', '32099', '12', '781');
INSERT INTO public.who_import VALUES (78850, '2021-02-20', 'SN', 'Senegal', 'AFRO', '279', '32378', '6', '787');
INSERT INTO public.who_import VALUES (78851, '2020-01-03', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78852, '2020-01-04', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78853, '2020-01-05', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78854, '2020-01-06', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78855, '2020-01-07', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78856, '2020-01-08', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78857, '2020-01-09', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78858, '2020-01-10', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78859, '2020-01-11', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78860, '2020-01-12', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78861, '2020-01-13', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78862, '2020-01-14', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78863, '2020-01-15', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78864, '2020-01-16', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78865, '2020-01-17', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78866, '2020-01-18', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78867, '2020-01-19', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78868, '2020-01-20', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78869, '2020-01-21', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78870, '2020-01-22', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78871, '2020-01-23', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78872, '2020-01-24', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78873, '2020-01-25', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78874, '2020-01-26', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78875, '2020-01-27', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78876, '2020-01-28', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78877, '2020-01-29', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78878, '2020-01-30', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78879, '2020-01-31', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78880, '2020-02-01', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78881, '2020-02-02', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78882, '2020-02-03', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78883, '2020-02-04', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78884, '2020-02-05', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78885, '2020-02-06', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78886, '2020-02-07', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78887, '2020-02-08', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78888, '2020-02-09', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78889, '2020-02-10', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78890, '2020-02-11', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78891, '2020-02-12', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78892, '2020-02-13', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78893, '2020-02-14', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78894, '2020-02-15', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78895, '2020-02-16', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78896, '2020-02-17', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78897, '2020-02-18', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78898, '2020-02-19', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78899, '2020-02-20', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78900, '2020-02-21', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78901, '2020-02-22', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78902, '2020-02-23', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78903, '2020-02-24', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78904, '2020-02-25', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78905, '2020-02-26', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78906, '2020-02-27', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78907, '2020-02-28', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78908, '2020-02-29', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78909, '2020-03-01', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78910, '2020-03-02', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78911, '2020-03-03', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78912, '2020-03-04', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78913, '2020-03-05', 'RS', 'Serbia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (78914, '2020-03-06', 'RS', 'Serbia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (78915, '2020-03-07', 'RS', 'Serbia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (78916, '2020-03-08', 'RS', 'Serbia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (78917, '2020-03-09', 'RS', 'Serbia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (78918, '2020-03-10', 'RS', 'Serbia', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (78919, '2020-03-11', 'RS', 'Serbia', 'EURO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (78920, '2020-03-12', 'RS', 'Serbia', 'EURO', '8', '12', '0', '0');
INSERT INTO public.who_import VALUES (78921, '2020-03-13', 'RS', 'Serbia', 'EURO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (78922, '2020-03-14', 'RS', 'Serbia', 'EURO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (78923, '2020-03-15', 'RS', 'Serbia', 'EURO', '32', '46', '0', '0');
INSERT INTO public.who_import VALUES (78924, '2020-03-16', 'RS', 'Serbia', 'EURO', '0', '46', '0', '0');
INSERT INTO public.who_import VALUES (78925, '2020-03-17', 'RS', 'Serbia', 'EURO', '0', '46', '0', '0');
INSERT INTO public.who_import VALUES (78926, '2020-03-18', 'RS', 'Serbia', 'EURO', '26', '72', '0', '0');
INSERT INTO public.who_import VALUES (78927, '2020-03-19', 'RS', 'Serbia', 'EURO', '22', '94', '0', '0');
INSERT INTO public.who_import VALUES (78928, '2020-03-20', 'RS', 'Serbia', 'EURO', '29', '123', '0', '0');
INSERT INTO public.who_import VALUES (78929, '2020-03-21', 'RS', 'Serbia', 'EURO', '50', '173', '1', '1');
INSERT INTO public.who_import VALUES (78930, '2020-03-22', 'RS', 'Serbia', 'EURO', '46', '219', '0', '1');
INSERT INTO public.who_import VALUES (78931, '2020-03-23', 'RS', 'Serbia', 'EURO', '3', '222', '1', '2');
INSERT INTO public.who_import VALUES (78932, '2020-03-24', 'RS', 'Serbia', 'EURO', '27', '249', '0', '2');
INSERT INTO public.who_import VALUES (78933, '2020-03-25', 'RS', 'Serbia', 'EURO', '135', '384', '2', '4');
INSERT INTO public.who_import VALUES (78934, '2020-03-26', 'RS', 'Serbia', 'EURO', '0', '384', '0', '4');
INSERT INTO public.who_import VALUES (78935, '2020-03-27', 'RS', 'Serbia', 'EURO', '73', '457', '3', '7');
INSERT INTO public.who_import VALUES (78936, '2020-03-28', 'RS', 'Serbia', 'EURO', '71', '528', '0', '7');
INSERT INTO public.who_import VALUES (78937, '2020-03-29', 'RS', 'Serbia', 'EURO', '131', '659', '3', '10');
INSERT INTO public.who_import VALUES (78938, '2020-03-30', 'RS', 'Serbia', 'EURO', '82', '741', '3', '13');
INSERT INTO public.who_import VALUES (78939, '2020-03-31', 'RS', 'Serbia', 'EURO', '44', '785', '0', '13');
INSERT INTO public.who_import VALUES (78940, '2020-04-01', 'RS', 'Serbia', 'EURO', '115', '900', '0', '13');
INSERT INTO public.who_import VALUES (78941, '2020-04-02', 'RS', 'Serbia', 'EURO', '160', '1060', '0', '13');
INSERT INTO public.who_import VALUES (78942, '2020-04-03', 'RS', 'Serbia', 'EURO', '111', '1171', '0', '13');
INSERT INTO public.who_import VALUES (78943, '2020-04-04', 'RS', 'Serbia', 'EURO', '305', '1476', '26', '39');
INSERT INTO public.who_import VALUES (78944, '2020-04-05', 'RS', 'Serbia', 'EURO', '148', '1624', '0', '39');
INSERT INTO public.who_import VALUES (78945, '2020-04-06', 'RS', 'Serbia', 'EURO', '284', '1908', '12', '51');
INSERT INTO public.who_import VALUES (78946, '2020-04-07', 'RS', 'Serbia', 'EURO', '292', '2200', '7', '58');
INSERT INTO public.who_import VALUES (78947, '2020-04-08', 'RS', 'Serbia', 'EURO', '247', '2447', '3', '61');
INSERT INTO public.who_import VALUES (78948, '2020-04-09', 'RS', 'Serbia', 'EURO', '219', '2666', '4', '65');
INSERT INTO public.who_import VALUES (78949, '2020-04-10', 'RS', 'Serbia', 'EURO', '201', '2867', '0', '65');
INSERT INTO public.who_import VALUES (78950, '2020-04-11', 'RS', 'Serbia', 'EURO', '238', '3105', '6', '71');
INSERT INTO public.who_import VALUES (78951, '2020-04-12', 'RS', 'Serbia', 'EURO', '275', '3380', '3', '74');
INSERT INTO public.who_import VALUES (78952, '2020-04-13', 'RS', 'Serbia', 'EURO', '250', '3630', '6', '80');
INSERT INTO public.who_import VALUES (78953, '2020-04-14', 'RS', 'Serbia', 'EURO', '424', '4054', '5', '85');
INSERT INTO public.who_import VALUES (78954, '2020-04-15', 'RS', 'Serbia', 'EURO', '411', '4465', '9', '94');
INSERT INTO public.who_import VALUES (78955, '2020-04-16', 'RS', 'Serbia', 'EURO', '408', '4873', '5', '99');
INSERT INTO public.who_import VALUES (78956, '2020-04-17', 'RS', 'Serbia', 'EURO', '445', '5318', '4', '103');
INSERT INTO public.who_import VALUES (78957, '2020-04-18', 'RS', 'Serbia', 'EURO', '372', '5690', '7', '110');
INSERT INTO public.who_import VALUES (78958, '2020-04-19', 'RS', 'Serbia', 'EURO', '304', '5994', '7', '117');
INSERT INTO public.who_import VALUES (78959, '2020-04-20', 'RS', 'Serbia', 'EURO', '324', '6318', '5', '122');
INSERT INTO public.who_import VALUES (78960, '2020-04-21', 'RS', 'Serbia', 'EURO', '312', '6630', '3', '125');
INSERT INTO public.who_import VALUES (78961, '2020-04-22', 'RS', 'Serbia', 'EURO', '260', '6890', '5', '130');
INSERT INTO public.who_import VALUES (78962, '2020-04-23', 'RS', 'Serbia', 'EURO', '224', '7114', '4', '134');
INSERT INTO public.who_import VALUES (78963, '2020-04-24', 'RS', 'Serbia', 'EURO', '162', '7276', '5', '139');
INSERT INTO public.who_import VALUES (78964, '2020-04-25', 'RS', 'Serbia', 'EURO', '207', '7483', '5', '144');
INSERT INTO public.who_import VALUES (78965, '2020-04-26', 'RS', 'Serbia', 'EURO', '296', '7779', '7', '151');
INSERT INTO public.who_import VALUES (78966, '2020-04-27', 'RS', 'Serbia', 'EURO', '263', '8042', '5', '156');
INSERT INTO public.who_import VALUES (78967, '2020-04-28', 'RS', 'Serbia', 'EURO', '233', '8275', '6', '162');
INSERT INTO public.who_import VALUES (78968, '2020-04-29', 'RS', 'Serbia', 'EURO', '222', '8497', '6', '168');
INSERT INTO public.who_import VALUES (78969, '2020-04-30', 'RS', 'Serbia', 'EURO', '227', '8724', '5', '173');
INSERT INTO public.who_import VALUES (78970, '2020-05-01', 'RS', 'Serbia', 'EURO', '285', '9009', '6', '179');
INSERT INTO public.who_import VALUES (78971, '2020-05-02', 'RS', 'Serbia', 'EURO', '196', '9205', '6', '185');
INSERT INTO public.who_import VALUES (78972, '2020-05-03', 'RS', 'Serbia', 'EURO', '157', '9362', '4', '189');
INSERT INTO public.who_import VALUES (78973, '2020-05-04', 'RS', 'Serbia', 'EURO', '102', '9464', '4', '193');
INSERT INTO public.who_import VALUES (78974, '2020-05-05', 'RS', 'Serbia', 'EURO', '93', '9557', '4', '197');
INSERT INTO public.who_import VALUES (78975, '2020-05-06', 'RS', 'Serbia', 'EURO', '120', '9677', '3', '200');
INSERT INTO public.who_import VALUES (78976, '2020-05-07', 'RS', 'Serbia', 'EURO', '114', '9791', '3', '203');
INSERT INTO public.who_import VALUES (78977, '2020-05-08', 'RS', 'Serbia', 'EURO', '57', '9848', '3', '206');
INSERT INTO public.who_import VALUES (78978, '2020-05-09', 'RS', 'Serbia', 'EURO', '95', '9943', '3', '209');
INSERT INTO public.who_import VALUES (78979, '2020-05-10', 'RS', 'Serbia', 'EURO', '89', '10032', '4', '213');
INSERT INTO public.who_import VALUES (78980, '2020-05-11', 'RS', 'Serbia', 'EURO', '82', '10114', '2', '215');
INSERT INTO public.who_import VALUES (78981, '2020-05-12', 'RS', 'Serbia', 'EURO', '62', '10176', '3', '218');
INSERT INTO public.who_import VALUES (78982, '2020-05-13', 'RS', 'Serbia', 'EURO', '67', '10243', '2', '220');
INSERT INTO public.who_import VALUES (78983, '2020-05-14', 'RS', 'Serbia', 'EURO', '52', '10295', '2', '222');
INSERT INTO public.who_import VALUES (78984, '2020-05-15', 'RS', 'Serbia', 'EURO', '79', '10374', '2', '224');
INSERT INTO public.who_import VALUES (78985, '2020-05-16', 'RS', 'Serbia', 'EURO', '64', '10438', '1', '225');
INSERT INTO public.who_import VALUES (78986, '2020-05-17', 'RS', 'Serbia', 'EURO', '58', '10496', '3', '228');
INSERT INTO public.who_import VALUES (78987, '2020-05-18', 'RS', 'Serbia', 'EURO', '114', '10610', '2', '230');
INSERT INTO public.who_import VALUES (78988, '2020-05-19', 'RS', 'Serbia', 'EURO', '89', '10699', '1', '231');
INSERT INTO public.who_import VALUES (78989, '2020-05-20', 'RS', 'Serbia', 'EURO', '34', '10733', '3', '234');
INSERT INTO public.who_import VALUES (78990, '2020-05-21', 'RS', 'Serbia', 'EURO', '100', '10833', '1', '235');
INSERT INTO public.who_import VALUES (78991, '2020-05-22', 'RS', 'Serbia', 'EURO', '86', '10919', '2', '237');
INSERT INTO public.who_import VALUES (78992, '2020-05-23', 'RS', 'Serbia', 'EURO', '105', '11024', '0', '237');
INSERT INTO public.who_import VALUES (78993, '2020-05-24', 'RS', 'Serbia', 'EURO', '68', '11092', '1', '238');
INSERT INTO public.who_import VALUES (78994, '2020-05-25', 'RS', 'Serbia', 'EURO', '67', '11159', '0', '238');
INSERT INTO public.who_import VALUES (78995, '2020-05-26', 'RS', 'Serbia', 'EURO', '34', '11193', '1', '239');
INSERT INTO public.who_import VALUES (78996, '2020-05-27', 'RS', 'Serbia', 'EURO', '34', '11227', '0', '239');
INSERT INTO public.who_import VALUES (78997, '2020-05-28', 'RS', 'Serbia', 'EURO', '48', '11275', '1', '240');
INSERT INTO public.who_import VALUES (78998, '2020-05-29', 'RS', 'Serbia', 'EURO', '25', '11300', '1', '241');
INSERT INTO public.who_import VALUES (78999, '2020-05-30', 'RS', 'Serbia', 'EURO', '54', '11354', '1', '242');
INSERT INTO public.who_import VALUES (79000, '2020-05-31', 'RS', 'Serbia', 'EURO', '27', '11381', '0', '242');
INSERT INTO public.who_import VALUES (79001, '2020-06-01', 'RS', 'Serbia', 'EURO', '31', '11412', '1', '243');
INSERT INTO public.who_import VALUES (79002, '2020-06-02', 'RS', 'Serbia', 'EURO', '18', '11430', '1', '244');
INSERT INTO public.who_import VALUES (79003, '2020-06-03', 'RS', 'Serbia', 'EURO', '24', '11454', '1', '245');
INSERT INTO public.who_import VALUES (79004, '2020-06-04', 'RS', 'Serbia', 'EURO', '69', '11523', '0', '245');
INSERT INTO public.who_import VALUES (79005, '2020-06-05', 'RS', 'Serbia', 'EURO', '48', '11571', '1', '246');
INSERT INTO public.who_import VALUES (79006, '2020-06-06', 'RS', 'Serbia', 'EURO', '96', '11667', '1', '247');
INSERT INTO public.who_import VALUES (79007, '2020-06-07', 'RS', 'Serbia', 'EURO', '74', '11741', '1', '248');
INSERT INTO public.who_import VALUES (79008, '2020-06-08', 'RS', 'Serbia', 'EURO', '82', '11823', '1', '249');
INSERT INTO public.who_import VALUES (79009, '2020-06-09', 'RS', 'Serbia', 'EURO', '73', '11896', '1', '250');
INSERT INTO public.who_import VALUES (79010, '2020-06-10', 'RS', 'Serbia', 'EURO', '69', '11965', '0', '250');
INSERT INTO public.who_import VALUES (79011, '2020-06-11', 'RS', 'Serbia', 'EURO', '66', '12031', '1', '251');
INSERT INTO public.who_import VALUES (79012, '2020-06-12', 'RS', 'Serbia', 'EURO', '71', '12102', '1', '252');
INSERT INTO public.who_import VALUES (79013, '2020-06-13', 'RS', 'Serbia', 'EURO', '73', '12175', '0', '252');
INSERT INTO public.who_import VALUES (79014, '2020-06-14', 'RS', 'Serbia', 'EURO', '76', '12251', '1', '253');
INSERT INTO public.who_import VALUES (79015, '2020-06-15', 'RS', 'Serbia', 'EURO', '59', '12310', '1', '254');
INSERT INTO public.who_import VALUES (79016, '2020-06-16', 'RS', 'Serbia', 'EURO', '57', '12367', '1', '255');
INSERT INTO public.who_import VALUES (79017, '2020-06-17', 'RS', 'Serbia', 'EURO', '59', '12426', '1', '256');
INSERT INTO public.who_import VALUES (79018, '2020-06-18', 'RS', 'Serbia', 'EURO', '96', '12522', '1', '257');
INSERT INTO public.who_import VALUES (79019, '2020-06-19', 'RS', 'Serbia', 'EURO', '94', '12616', '1', '258');
INSERT INTO public.who_import VALUES (79020, '2020-06-20', 'RS', 'Serbia', 'EURO', '93', '12709', '1', '259');
INSERT INTO public.who_import VALUES (79021, '2020-06-21', 'RS', 'Serbia', 'EURO', '94', '12803', '1', '260');
INSERT INTO public.who_import VALUES (79022, '2020-06-22', 'RS', 'Serbia', 'EURO', '91', '12894', '1', '261');
INSERT INTO public.who_import VALUES (79023, '2020-06-23', 'RS', 'Serbia', 'EURO', '96', '12990', '1', '262');
INSERT INTO public.who_import VALUES (79024, '2020-06-24', 'RS', 'Serbia', 'EURO', '102', '13092', '1', '263');
INSERT INTO public.who_import VALUES (79025, '2020-06-25', 'RS', 'Serbia', 'EURO', '143', '13235', '0', '263');
INSERT INTO public.who_import VALUES (79026, '2020-06-26', 'RS', 'Serbia', 'EURO', '137', '13372', '1', '264');
INSERT INTO public.who_import VALUES (79027, '2020-06-27', 'RS', 'Serbia', 'EURO', '193', '13565', '1', '265');
INSERT INTO public.who_import VALUES (79028, '2020-06-28', 'RS', 'Serbia', 'EURO', '227', '13792', '2', '267');
INSERT INTO public.who_import VALUES (79029, '2020-06-29', 'RS', 'Serbia', 'EURO', '254', '14046', '3', '270');
INSERT INTO public.who_import VALUES (79030, '2020-06-30', 'RS', 'Serbia', 'EURO', '242', '14288', '4', '274');
INSERT INTO public.who_import VALUES (79031, '2020-07-01', 'RS', 'Serbia', 'EURO', '276', '14564', '3', '277');
INSERT INTO public.who_import VALUES (79032, '2020-07-02', 'RS', 'Serbia', 'EURO', '272', '14836', '4', '281');
INSERT INTO public.who_import VALUES (79033, '2020-07-03', 'RS', 'Serbia', 'EURO', '359', '15195', '6', '287');
INSERT INTO public.who_import VALUES (79034, '2020-07-04', 'RS', 'Serbia', 'EURO', '309', '15504', '11', '298');
INSERT INTO public.who_import VALUES (79035, '2020-07-05', 'RS', 'Serbia', 'EURO', '325', '15829', '8', '306');
INSERT INTO public.who_import VALUES (79036, '2020-07-06', 'RS', 'Serbia', 'EURO', '302', '16131', '5', '311');
INSERT INTO public.who_import VALUES (79037, '2020-07-07', 'RS', 'Serbia', 'EURO', '289', '16420', '6', '317');
INSERT INTO public.who_import VALUES (79038, '2020-07-08', 'RS', 'Serbia', 'EURO', '299', '16719', '13', '330');
INSERT INTO public.who_import VALUES (79039, '2020-07-09', 'RS', 'Serbia', 'EURO', '357', '17076', '11', '341');
INSERT INTO public.who_import VALUES (79040, '2020-07-10', 'RS', 'Serbia', 'EURO', '266', '17342', '11', '352');
INSERT INTO public.who_import VALUES (79041, '2020-07-11', 'RS', 'Serbia', 'EURO', '386', '17728', '18', '370');
INSERT INTO public.who_import VALUES (79042, '2020-07-12', 'RS', 'Serbia', 'EURO', '345', '18073', '12', '382');
INSERT INTO public.who_import VALUES (79043, '2020-07-13', 'RS', 'Serbia', 'EURO', '287', '18360', '11', '393');
INSERT INTO public.who_import VALUES (79044, '2020-07-14', 'RS', 'Serbia', 'EURO', '279', '18639', '12', '405');
INSERT INTO public.who_import VALUES (79045, '2020-07-15', 'RS', 'Serbia', 'EURO', '344', '18983', '13', '418');
INSERT INTO public.who_import VALUES (79046, '2020-07-16', 'RS', 'Serbia', 'EURO', '351', '19334', '11', '429');
INSERT INTO public.who_import VALUES (79047, '2020-07-17', 'RS', 'Serbia', 'EURO', '383', '19717', '13', '442');
INSERT INTO public.who_import VALUES (79048, '2020-07-18', 'RS', 'Serbia', 'EURO', '392', '20109', '10', '452');
INSERT INTO public.who_import VALUES (79049, '2020-07-19', 'RS', 'Serbia', 'EURO', '389', '20498', '9', '461');
INSERT INTO public.who_import VALUES (79050, '2020-07-20', 'RS', 'Serbia', 'EURO', '396', '20894', '11', '472');
INSERT INTO public.who_import VALUES (79051, '2020-07-21', 'RS', 'Serbia', 'EURO', '359', '21253', '10', '482');
INSERT INTO public.who_import VALUES (79052, '2020-07-22', 'RS', 'Serbia', 'EURO', '352', '21605', '9', '491');
INSERT INTO public.who_import VALUES (79053, '2020-07-23', 'RS', 'Serbia', 'EURO', '426', '22031', '8', '499');
INSERT INTO public.who_import VALUES (79054, '2020-07-24', 'RS', 'Serbia', 'EURO', '412', '22443', '9', '508');
INSERT INTO public.who_import VALUES (79055, '2020-07-25', 'RS', 'Serbia', 'EURO', '409', '22852', '10', '518');
INSERT INTO public.who_import VALUES (79056, '2020-07-26', 'RS', 'Serbia', 'EURO', '411', '23263', '8', '526');
INSERT INTO public.who_import VALUES (79057, '2020-07-27', 'RS', 'Serbia', 'EURO', '467', '23730', '8', '534');
INSERT INTO public.who_import VALUES (79058, '2020-07-28', 'RS', 'Serbia', 'EURO', '411', '24141', '9', '543');
INSERT INTO public.who_import VALUES (79059, '2020-07-29', 'RS', 'Serbia', 'EURO', '379', '24520', '8', '551');
INSERT INTO public.who_import VALUES (79060, '2020-07-30', 'RS', 'Serbia', 'EURO', '372', '24892', '7', '558');
INSERT INTO public.who_import VALUES (79061, '2020-07-31', 'RS', 'Serbia', 'EURO', '321', '25213', '7', '565');
INSERT INTO public.who_import VALUES (79062, '2020-08-01', 'RS', 'Serbia', 'EURO', '339', '25552', '8', '573');
INSERT INTO public.who_import VALUES (79063, '2020-08-02', 'RS', 'Serbia', 'EURO', '330', '25882', '9', '582');
INSERT INTO public.who_import VALUES (79064, '2020-08-03', 'RS', 'Serbia', 'EURO', '311', '26193', '8', '590');
INSERT INTO public.who_import VALUES (79065, '2020-08-04', 'RS', 'Serbia', 'EURO', '258', '26451', '8', '598');
INSERT INTO public.who_import VALUES (79066, '2020-08-05', 'RS', 'Serbia', 'EURO', '287', '26738', '7', '605');
INSERT INTO public.who_import VALUES (79067, '2020-08-06', 'RS', 'Serbia', 'EURO', '295', '27033', '9', '614');
INSERT INTO public.who_import VALUES (79068, '2020-08-07', 'RS', 'Serbia', 'EURO', '299', '27332', '7', '621');
INSERT INTO public.who_import VALUES (79069, '2020-08-08', 'RS', 'Serbia', 'EURO', '276', '27608', '5', '626');
INSERT INTO public.who_import VALUES (79070, '2020-08-09', 'RS', 'Serbia', 'EURO', '255', '27863', '6', '632');
INSERT INTO public.who_import VALUES (79071, '2020-08-10', 'RS', 'Serbia', 'EURO', '236', '28099', '9', '641');
INSERT INTO public.who_import VALUES (79072, '2020-08-11', 'RS', 'Serbia', 'EURO', '163', '28262', '5', '646');
INSERT INTO public.who_import VALUES (79073, '2020-08-12', 'RS', 'Serbia', 'EURO', '235', '28497', '6', '652');
INSERT INTO public.who_import VALUES (79074, '2020-08-13', 'RS', 'Serbia', 'EURO', '254', '28751', '6', '658');
INSERT INTO public.who_import VALUES (79075, '2020-08-14', 'RS', 'Serbia', 'EURO', '247', '28998', '3', '661');
INSERT INTO public.who_import VALUES (79076, '2020-08-15', 'RS', 'Serbia', 'EURO', '235', '29233', '4', '665');
INSERT INTO public.who_import VALUES (79077, '2020-08-16', 'RS', 'Serbia', 'EURO', '238', '29471', '5', '670');
INSERT INTO public.who_import VALUES (79078, '2020-08-17', 'RS', 'Serbia', 'EURO', '211', '29682', '4', '674');
INSERT INTO public.who_import VALUES (79079, '2020-08-18', 'RS', 'Serbia', 'EURO', '100', '29782', '3', '677');
INSERT INTO public.who_import VALUES (79080, '2020-08-19', 'RS', 'Serbia', 'EURO', '108', '29890', '4', '681');
INSERT INTO public.who_import VALUES (79081, '2020-08-20', 'RS', 'Serbia', 'EURO', '158', '30048', '3', '684');
INSERT INTO public.who_import VALUES (79082, '2020-08-21', 'RS', 'Serbia', 'EURO', '161', '30209', '5', '689');
INSERT INTO public.who_import VALUES (79083, '2020-08-22', 'RS', 'Serbia', 'EURO', '169', '30378', '3', '692');
INSERT INTO public.who_import VALUES (79084, '2020-08-23', 'RS', 'Serbia', 'EURO', '170', '30548', '3', '695');
INSERT INTO public.who_import VALUES (79085, '2020-08-24', 'RS', 'Serbia', 'EURO', '109', '30657', '3', '698');
INSERT INTO public.who_import VALUES (79086, '2020-08-25', 'RS', 'Serbia', 'EURO', '57', '30714', '3', '701');
INSERT INTO public.who_import VALUES (79087, '2020-08-26', 'RS', 'Serbia', 'EURO', '106', '30820', '4', '705');
INSERT INTO public.who_import VALUES (79088, '2020-08-27', 'RS', 'Serbia', 'EURO', '154', '30974', '2', '707');
INSERT INTO public.who_import VALUES (79089, '2020-08-28', 'RS', 'Serbia', 'EURO', '125', '31099', '0', '707');
INSERT INTO public.who_import VALUES (79090, '2020-08-29', 'RS', 'Serbia', 'EURO', '108', '31207', '2', '709');
INSERT INTO public.who_import VALUES (79091, '2020-08-30', 'RS', 'Serbia', 'EURO', '75', '31282', '1', '710');
INSERT INTO public.who_import VALUES (79092, '2020-08-31', 'RS', 'Serbia', 'EURO', '83', '31365', '1', '711');
INSERT INTO public.who_import VALUES (79093, '2020-09-01', 'RS', 'Serbia', 'EURO', '41', '31406', '2', '713');
INSERT INTO public.who_import VALUES (79094, '2020-09-02', 'RS', 'Serbia', 'EURO', '76', '31482', '2', '715');
INSERT INTO public.who_import VALUES (79095, '2020-09-03', 'RS', 'Serbia', 'EURO', '99', '31581', '1', '716');
INSERT INTO public.who_import VALUES (79096, '2020-09-04', 'RS', 'Serbia', 'EURO', '95', '31676', '2', '718');
INSERT INTO public.who_import VALUES (79097, '2020-09-05', 'RS', 'Serbia', 'EURO', '96', '31772', '3', '721');
INSERT INTO public.who_import VALUES (79098, '2020-09-06', 'RS', 'Serbia', 'EURO', '77', '31849', '2', '723');
INSERT INTO public.who_import VALUES (79099, '2020-09-07', 'RS', 'Serbia', 'EURO', '56', '31905', '1', '724');
INSERT INTO public.who_import VALUES (79100, '2020-09-08', 'RS', 'Serbia', 'EURO', '36', '31941', '1', '725');
INSERT INTO public.who_import VALUES (79101, '2020-09-09', 'RS', 'Serbia', 'EURO', '53', '31994', '2', '727');
INSERT INTO public.who_import VALUES (79102, '2020-09-10', 'RS', 'Serbia', 'EURO', '84', '32078', '1', '728');
INSERT INTO public.who_import VALUES (79103, '2020-09-11', 'RS', 'Serbia', 'EURO', '58', '32136', '1', '729');
INSERT INTO public.who_import VALUES (79104, '2020-09-12', 'RS', 'Serbia', 'EURO', '92', '32228', '1', '730');
INSERT INTO public.who_import VALUES (79105, '2020-09-13', 'RS', 'Serbia', 'EURO', '72', '32300', '1', '731');
INSERT INTO public.who_import VALUES (79106, '2020-09-14', 'RS', 'Serbia', 'EURO', '108', '32408', '2', '733');
INSERT INTO public.who_import VALUES (79107, '2020-09-15', 'RS', 'Serbia', 'EURO', '29', '32437', '0', '733');
INSERT INTO public.who_import VALUES (79108, '2020-09-16', 'RS', 'Serbia', 'EURO', '74', '32511', '2', '735');
INSERT INTO public.who_import VALUES (79109, '2020-09-17', 'RS', 'Serbia', 'EURO', '102', '32613', '1', '736');
INSERT INTO public.who_import VALUES (79110, '2020-09-18', 'RS', 'Serbia', 'EURO', '82', '32695', '2', '738');
INSERT INTO public.who_import VALUES (79111, '2020-09-19', 'RS', 'Serbia', 'EURO', '62', '32757', '1', '739');
INSERT INTO public.who_import VALUES (79112, '2020-09-20', 'RS', 'Serbia', 'EURO', '83', '32840', '1', '740');
INSERT INTO public.who_import VALUES (79113, '2020-09-21', 'RS', 'Serbia', 'EURO', '68', '32908', '1', '741');
INSERT INTO public.who_import VALUES (79114, '2020-09-22', 'RS', 'Serbia', 'EURO', '30', '32938', '2', '743');
INSERT INTO public.who_import VALUES (79115, '2020-09-23', 'RS', 'Serbia', 'EURO', '61', '32999', '0', '743');
INSERT INTO public.who_import VALUES (79116, '2020-09-24', 'RS', 'Serbia', 'EURO', '81', '33080', '1', '744');
INSERT INTO public.who_import VALUES (79117, '2020-09-25', 'RS', 'Serbia', 'EURO', '83', '33163', '1', '745');
INSERT INTO public.who_import VALUES (79118, '2020-09-26', 'RS', 'Serbia', 'EURO', '75', '33238', '1', '746');
INSERT INTO public.who_import VALUES (79119, '2020-09-27', 'RS', 'Serbia', 'EURO', '74', '33312', '0', '746');
INSERT INTO public.who_import VALUES (79120, '2020-09-28', 'RS', 'Serbia', 'EURO', '72', '33384', '1', '747');
INSERT INTO public.who_import VALUES (79121, '2020-09-29', 'RS', 'Serbia', 'EURO', '30', '33414', '1', '748');
INSERT INTO public.who_import VALUES (79122, '2020-09-30', 'RS', 'Serbia', 'EURO', '65', '33479', '1', '749');
INSERT INTO public.who_import VALUES (79123, '2020-10-01', 'RS', 'Serbia', 'EURO', '72', '33551', '0', '749');
INSERT INTO public.who_import VALUES (79124, '2020-10-02', 'RS', 'Serbia', 'EURO', '111', '33662', '1', '750');
INSERT INTO public.who_import VALUES (79125, '2020-10-03', 'RS', 'Serbia', 'EURO', '73', '33735', '1', '751');
INSERT INTO public.who_import VALUES (79126, '2020-10-04', 'RS', 'Serbia', 'EURO', '107', '33842', '2', '753');
INSERT INTO public.who_import VALUES (79127, '2020-10-05', 'RS', 'Serbia', 'EURO', '59', '33901', '1', '754');
INSERT INTO public.who_import VALUES (79128, '2020-10-06', 'RS', 'Serbia', 'EURO', '51', '33952', '2', '756');
INSERT INTO public.who_import VALUES (79129, '2020-10-07', 'RS', 'Serbia', 'EURO', '120', '34072', '1', '757');
INSERT INTO public.who_import VALUES (79130, '2020-10-08', 'RS', 'Serbia', 'EURO', '121', '34193', '1', '758');
INSERT INTO public.who_import VALUES (79131, '2020-10-09', 'RS', 'Serbia', 'EURO', '151', '34344', '2', '760');
INSERT INTO public.who_import VALUES (79132, '2020-10-10', 'RS', 'Serbia', 'EURO', '173', '34517', '1', '761');
INSERT INTO public.who_import VALUES (79133, '2020-10-11', 'RS', 'Serbia', 'EURO', '168', '34685', '1', '762');
INSERT INTO public.who_import VALUES (79134, '2020-10-12', 'RS', 'Serbia', 'EURO', '102', '34787', '1', '763');
INSERT INTO public.who_import VALUES (79135, '2020-10-13', 'RS', 'Serbia', 'EURO', '67', '34854', '2', '765');
INSERT INTO public.who_import VALUES (79136, '2020-10-14', 'RS', 'Serbia', 'EURO', '152', '35006', '2', '767');
INSERT INTO public.who_import VALUES (79137, '2020-10-15', 'RS', 'Serbia', 'EURO', '245', '35251', '1', '768');
INSERT INTO public.who_import VALUES (79138, '2020-10-16', 'RS', 'Serbia', 'EURO', '203', '35454', '2', '770');
INSERT INTO public.who_import VALUES (79139, '2020-10-17', 'RS', 'Serbia', 'EURO', '265', '35719', '2', '772');
INSERT INTO public.who_import VALUES (79140, '2020-10-18', 'RS', 'Serbia', 'EURO', '227', '35946', '2', '774');
INSERT INTO public.who_import VALUES (79141, '2020-10-19', 'RS', 'Serbia', 'EURO', '214', '36160', '2', '776');
INSERT INTO public.who_import VALUES (79142, '2020-10-20', 'RS', 'Serbia', 'EURO', '122', '36282', '2', '778');
INSERT INTO public.who_import VALUES (79143, '2020-10-21', 'RS', 'Serbia', 'EURO', '326', '36608', '2', '780');
INSERT INTO public.who_import VALUES (79144, '2020-10-22', 'RS', 'Serbia', 'EURO', '512', '37120', '1', '781');
INSERT INTO public.who_import VALUES (79145, '2020-10-23', 'RS', 'Serbia', 'EURO', '416', '37536', '2', '783');
INSERT INTO public.who_import VALUES (79146, '2020-10-24', 'RS', 'Serbia', 'EURO', '579', '38115', '3', '786');
INSERT INTO public.who_import VALUES (79147, '2020-10-25', 'RS', 'Serbia', 'EURO', '757', '38872', '3', '789');
INSERT INTO public.who_import VALUES (79148, '2020-10-26', 'RS', 'Serbia', 'EURO', '614', '39486', '3', '792');
INSERT INTO public.who_import VALUES (79149, '2020-10-27', 'RS', 'Serbia', 'EURO', '341', '39827', '1', '793');
INSERT INTO public.who_import VALUES (79150, '2020-10-28', 'RS', 'Serbia', 'EURO', '1053', '40880', '5', '798');
INSERT INTO public.who_import VALUES (79151, '2020-10-29', 'RS', 'Serbia', 'EURO', '1328', '42208', '5', '803');
INSERT INTO public.who_import VALUES (79152, '2020-10-30', 'RS', 'Serbia', 'EURO', '1384', '43592', '6', '809');
INSERT INTO public.who_import VALUES (79153, '2020-10-31', 'RS', 'Serbia', 'EURO', '1545', '45137', '5', '814');
INSERT INTO public.who_import VALUES (79154, '2020-11-01', 'RS', 'Serbia', 'EURO', '1817', '46954', '6', '820');
INSERT INTO public.who_import VALUES (79155, '2020-11-02', 'RS', 'Serbia', 'EURO', '1449', '48403', '6', '826');
INSERT INTO public.who_import VALUES (79156, '2020-11-03', 'RS', 'Serbia', 'EURO', '802', '49205', '7', '833');
INSERT INTO public.who_import VALUES (79157, '2020-11-04', 'RS', 'Serbia', 'EURO', '1878', '51083', '11', '844');
INSERT INTO public.who_import VALUES (79158, '2020-11-05', 'RS', 'Serbia', 'EURO', '2412', '53495', '6', '850');
INSERT INTO public.who_import VALUES (79159, '2020-11-06', 'RS', 'Serbia', 'EURO', '2181', '55676', '11', '861');
INSERT INTO public.who_import VALUES (79160, '2020-11-07', 'RS', 'Serbia', 'EURO', '2282', '57958', '10', '871');
INSERT INTO public.who_import VALUES (79161, '2020-11-08', 'RS', 'Serbia', 'EURO', '2677', '60635', '9', '880');
INSERT INTO public.who_import VALUES (79162, '2020-11-09', 'RS', 'Serbia', 'EURO', '2112', '62747', '10', '890');
INSERT INTO public.who_import VALUES (79163, '2020-11-10', 'RS', 'Serbia', 'EURO', '1318', '64065', '11', '901');
INSERT INTO public.who_import VALUES (79164, '2020-11-11', 'RS', 'Serbia', 'EURO', '2823', '66888', '14', '915');
INSERT INTO public.who_import VALUES (79165, '2020-11-12', 'RS', 'Serbia', 'EURO', '3536', '70424', '21', '936');
INSERT INTO public.who_import VALUES (79166, '2020-11-13', 'RS', 'Serbia', 'EURO', '3341', '73765', '19', '955');
INSERT INTO public.who_import VALUES (79167, '2020-11-14', 'RS', 'Serbia', 'EURO', '3499', '77264', '17', '972');
INSERT INTO public.who_import VALUES (79168, '2020-11-15', 'RS', 'Serbia', 'EURO', '3822', '81086', '17', '989');
INSERT INTO public.who_import VALUES (79169, '2020-11-16', 'RS', 'Serbia', 'EURO', '3482', '84568', '20', '1009');
INSERT INTO public.who_import VALUES (79170, '2020-11-17', 'RS', 'Serbia', 'EURO', '2813', '87381', '21', '1030');
INSERT INTO public.who_import VALUES (79171, '2020-11-18', 'RS', 'Serbia', 'EURO', '4994', '92375', '24', '1054');
INSERT INTO public.who_import VALUES (79172, '2020-11-19', 'RS', 'Serbia', 'EURO', '5613', '97988', '27', '1081');
INSERT INTO public.who_import VALUES (79173, '2020-11-20', 'RS', 'Serbia', 'EURO', '6109', '104097', '29', '1110');
INSERT INTO public.who_import VALUES (79174, '2020-11-21', 'RS', 'Serbia', 'EURO', '6254', '110351', '30', '1140');
INSERT INTO public.who_import VALUES (79175, '2020-11-22', 'RS', 'Serbia', 'EURO', '5774', '116125', '28', '1168');
INSERT INTO public.who_import VALUES (79176, '2020-11-23', 'RS', 'Serbia', 'EURO', '4995', '121120', '31', '1199');
INSERT INTO public.who_import VALUES (79177, '2020-11-24', 'RS', 'Serbia', 'EURO', '5067', '126187', '38', '1237');
INSERT INTO public.who_import VALUES (79178, '2020-11-25', 'RS', 'Serbia', 'EURO', '6842', '133029', '37', '1274');
INSERT INTO public.who_import VALUES (79179, '2020-11-26', 'RS', 'Serbia', 'EURO', '7579', '140608', '41', '1315');
INSERT INTO public.who_import VALUES (79180, '2020-11-27', 'RS', 'Serbia', 'EURO', '7606', '148214', '51', '1366');
INSERT INTO public.who_import VALUES (79181, '2020-11-28', 'RS', 'Serbia', 'EURO', '7780', '155994', '57', '1423');
INSERT INTO public.who_import VALUES (79182, '2020-11-29', 'RS', 'Serbia', 'EURO', '7041', '163035', '61', '1484');
INSERT INTO public.who_import VALUES (79183, '2020-11-30', 'RS', 'Serbia', 'EURO', '6179', '169214', '65', '1549');
INSERT INTO public.who_import VALUES (79184, '2020-12-01', 'RS', 'Serbia', 'EURO', '6224', '175438', '55', '1604');
INSERT INTO public.who_import VALUES (79185, '2020-12-02', 'RS', 'Serbia', 'EURO', '7999', '183437', '48', '1652');
INSERT INTO public.who_import VALUES (79186, '2020-12-03', 'RS', 'Serbia', 'EURO', '7919', '191356', '52', '1704');
INSERT INTO public.who_import VALUES (79187, '2020-12-04', 'RS', 'Serbia', 'EURO', '7802', '199158', '61', '1765');
INSERT INTO public.who_import VALUES (79188, '2020-12-05', 'RS', 'Serbia', 'EURO', '7782', '206940', '69', '1834');
INSERT INTO public.who_import VALUES (79189, '2020-12-06', 'RS', 'Serbia', 'EURO', '6903', '213843', '57', '1891');
INSERT INTO public.who_import VALUES (79190, '2020-12-07', 'RS', 'Serbia', 'EURO', '5809', '219652', '58', '1949');
INSERT INTO public.who_import VALUES (79191, '2020-12-08', 'RS', 'Serbia', 'EURO', '6557', '226209', '56', '2005');
INSERT INTO public.who_import VALUES (79192, '2020-12-09', 'RS', 'Serbia', 'EURO', '7818', '234027', '57', '2062');
INSERT INTO public.who_import VALUES (79193, '2020-12-10', 'RS', 'Serbia', 'EURO', '7804', '241831', '54', '2116');
INSERT INTO public.who_import VALUES (79194, '2020-12-11', 'RS', 'Serbia', 'EURO', '7393', '249224', '56', '2172');
INSERT INTO public.who_import VALUES (79195, '2020-12-12', 'RS', 'Serbia', 'EURO', '6534', '255758', '55', '2227');
INSERT INTO public.who_import VALUES (79196, '2020-12-13', 'RS', 'Serbia', 'EURO', '5679', '261437', '48', '2275');
INSERT INTO public.who_import VALUES (79197, '2020-12-14', 'RS', 'Serbia', 'EURO', '4995', '266432', '56', '2331');
INSERT INTO public.who_import VALUES (79198, '2020-12-15', 'RS', 'Serbia', 'EURO', '4932', '271364', '49', '2380');
INSERT INTO public.who_import VALUES (79199, '2020-12-16', 'RS', 'Serbia', 'EURO', '5884', '277248', '53', '2433');
INSERT INTO public.who_import VALUES (79200, '2020-12-17', 'RS', 'Serbia', 'EURO', '5353', '282601', '49', '2482');
INSERT INTO public.who_import VALUES (79201, '2020-12-18', 'RS', 'Serbia', 'EURO', '5129', '287730', '47', '2529');
INSERT INTO public.who_import VALUES (79202, '2020-12-19', 'RS', 'Serbia', 'EURO', '4910', '292640', '51', '2580');
INSERT INTO public.who_import VALUES (79203, '2020-12-20', 'RS', 'Serbia', 'EURO', '3888', '296528', '52', '2632');
INSERT INTO public.who_import VALUES (79204, '2020-12-21', 'RS', 'Serbia', 'EURO', '3534', '300062', '54', '2686');
INSERT INTO public.who_import VALUES (79205, '2020-12-22', 'RS', 'Serbia', 'EURO', '3685', '303747', '47', '2733');
INSERT INTO public.who_import VALUES (79206, '2020-12-23', 'RS', 'Serbia', 'EURO', '4080', '307827', '49', '2782');
INSERT INTO public.who_import VALUES (79207, '2020-12-24', 'RS', 'Serbia', 'EURO', '4426', '312253', '51', '2833');
INSERT INTO public.who_import VALUES (79208, '2020-12-25', 'RS', 'Serbia', 'EURO', '4091', '316344', '49', '2882');
INSERT INTO public.who_import VALUES (79209, '2020-12-26', 'RS', 'Serbia', 'EURO', '3823', '320167', '49', '2931');
INSERT INTO public.who_import VALUES (79210, '2020-12-27', 'RS', 'Serbia', 'EURO', '3200', '323367', '52', '2983');
INSERT INTO public.who_import VALUES (79211, '2020-12-28', 'RS', 'Serbia', 'EURO', '2693', '326060', '47', '3030');
INSERT INTO public.who_import VALUES (79212, '2020-12-29', 'RS', 'Serbia', 'EURO', '2559', '328619', '43', '3073');
INSERT INTO public.who_import VALUES (79213, '2020-12-30', 'RS', 'Serbia', 'EURO', '3136', '331755', '46', '3119');
INSERT INTO public.who_import VALUES (79214, '2020-12-31', 'RS', 'Serbia', 'EURO', '3236', '334991', '44', '3163');
INSERT INTO public.who_import VALUES (79215, '2021-01-01', 'RS', 'Serbia', 'EURO', '2932', '337923', '48', '3211');
INSERT INTO public.who_import VALUES (79216, '2021-01-02', 'RS', 'Serbia', 'EURO', '2074', '339997', '39', '3250');
INSERT INTO public.who_import VALUES (79217, '2021-01-03', 'RS', 'Serbia', 'EURO', '1907', '341904', '38', '3288');
INSERT INTO public.who_import VALUES (79218, '2021-01-04', 'RS', 'Serbia', 'EURO', '1966', '343870', '37', '3325');
INSERT INTO public.who_import VALUES (79219, '2021-01-05', 'RS', 'Serbia', 'EURO', '2715', '346585', '39', '3364');
INSERT INTO public.who_import VALUES (79220, '2021-01-06', 'RS', 'Serbia', 'EURO', '2653', '349238', '41', '3405');
INSERT INTO public.who_import VALUES (79221, '2021-01-07', 'RS', 'Serbia', 'EURO', '2882', '352120', '39', '3444');
INSERT INTO public.who_import VALUES (79222, '2021-01-08', 'RS', 'Serbia', 'EURO', '1787', '353907', '35', '3479');
INSERT INTO public.who_import VALUES (79223, '2021-01-09', 'RS', 'Serbia', 'EURO', '2218', '356125', '34', '3513');
INSERT INTO public.who_import VALUES (79224, '2021-01-10', 'RS', 'Serbia', 'EURO', '1769', '357894', '35', '3548');
INSERT INTO public.who_import VALUES (79225, '2021-01-11', 'RS', 'Serbia', 'EURO', '1795', '359689', '34', '3582');
INSERT INTO public.who_import VALUES (79226, '2021-01-12', 'RS', 'Serbia', 'EURO', '2093', '361782', '28', '3610');
INSERT INTO public.who_import VALUES (79227, '2021-01-13', 'RS', 'Serbia', 'EURO', '2142', '363924', '29', '3639');
INSERT INTO public.who_import VALUES (79228, '2021-01-14', 'RS', 'Serbia', 'EURO', '2267', '366191', '25', '3664');
INSERT INTO public.who_import VALUES (79229, '2021-01-15', 'RS', 'Serbia', 'EURO', '1881', '368072', '23', '3687');
INSERT INTO public.who_import VALUES (79230, '2021-01-16', 'RS', 'Serbia', 'EURO', '1751', '369823', '21', '3708');
INSERT INTO public.who_import VALUES (79231, '2021-01-17', 'RS', 'Serbia', 'EURO', '1393', '371216', '22', '3730');
INSERT INTO public.who_import VALUES (79232, '2021-01-18', 'RS', 'Serbia', 'EURO', '1317', '372533', '20', '3750');
INSERT INTO public.who_import VALUES (79233, '2021-01-19', 'RS', 'Serbia', 'EURO', '1578', '374111', '21', '3771');
INSERT INTO public.who_import VALUES (79234, '2021-01-20', 'RS', 'Serbia', 'EURO', '1688', '375799', '20', '3791');
INSERT INTO public.who_import VALUES (79235, '2021-01-21', 'RS', 'Serbia', 'EURO', '1646', '377445', '19', '3810');
INSERT INTO public.who_import VALUES (79236, '2021-01-22', 'RS', 'Serbia', 'EURO', '1648', '379093', '20', '3830');
INSERT INTO public.who_import VALUES (79237, '2021-01-23', 'RS', 'Serbia', 'EURO', '1709', '380802', '19', '3849');
INSERT INTO public.who_import VALUES (79238, '2021-01-24', 'RS', 'Serbia', 'EURO', '1483', '382285', '19', '3868');
INSERT INTO public.who_import VALUES (79239, '2021-01-25', 'RS', 'Serbia', 'EURO', '1318', '383603', '18', '3886');
INSERT INTO public.who_import VALUES (79240, '2021-01-26', 'RS', 'Serbia', 'EURO', '1523', '385126', '19', '3905');
INSERT INTO public.who_import VALUES (79241, '2021-01-27', 'RS', 'Serbia', 'EURO', '2080', '387206', '19', '3924');
INSERT INTO public.who_import VALUES (79242, '2021-01-28', 'RS', 'Serbia', 'EURO', '1839', '389045', '20', '3944');
INSERT INTO public.who_import VALUES (79243, '2021-01-29', 'RS', 'Serbia', 'EURO', '1592', '390637', '21', '3965');
INSERT INTO public.who_import VALUES (79244, '2021-01-30', 'RS', 'Serbia', 'EURO', '1717', '392354', '18', '3983');
INSERT INTO public.who_import VALUES (79245, '2021-01-31', 'RS', 'Serbia', 'EURO', '1543', '393897', '17', '4000');
INSERT INTO public.who_import VALUES (79246, '2021-02-01', 'RS', 'Serbia', 'EURO', '1366', '395263', '20', '4020');
INSERT INTO public.who_import VALUES (79247, '2021-02-02', 'RS', 'Serbia', 'EURO', '1739', '397002', '18', '4038');
INSERT INTO public.who_import VALUES (79248, '2021-02-03', 'RS', 'Serbia', 'EURO', '1903', '398905', '18', '4056');
INSERT INTO public.who_import VALUES (79249, '2021-02-04', 'RS', 'Serbia', 'EURO', '1932', '400837', '15', '4071');
INSERT INTO public.who_import VALUES (79250, '2021-02-05', 'RS', 'Serbia', 'EURO', '1863', '402700', '14', '4085');
INSERT INTO public.who_import VALUES (79251, '2021-02-06', 'RS', 'Serbia', 'EURO', '1968', '404668', '14', '4099');
INSERT INTO public.who_import VALUES (79252, '2021-02-07', 'RS', 'Serbia', 'EURO', '1684', '406352', '13', '4112');
INSERT INTO public.who_import VALUES (79253, '2021-02-08', 'RS', 'Serbia', 'EURO', '1529', '407881', '14', '4126');
INSERT INTO public.who_import VALUES (79254, '2021-02-09', 'RS', 'Serbia', 'EURO', '1960', '409841', '13', '4139');
INSERT INTO public.who_import VALUES (79255, '2021-02-10', 'RS', 'Serbia', 'EURO', '2014', '411855', '15', '4154');
INSERT INTO public.who_import VALUES (79256, '2021-02-11', 'RS', 'Serbia', 'EURO', '2088', '413943', '14', '4168');
INSERT INTO public.who_import VALUES (79257, '2021-02-12', 'RS', 'Serbia', 'EURO', '2000', '415943', '15', '4183');
INSERT INTO public.who_import VALUES (79258, '2021-02-13', 'RS', 'Serbia', 'EURO', '1928', '417871', '16', '4199');
INSERT INTO public.who_import VALUES (79259, '2021-02-14', 'RS', 'Serbia', 'EURO', '1622', '419493', '15', '4214');
INSERT INTO public.who_import VALUES (79260, '2021-02-15', 'RS', 'Serbia', 'EURO', '1386', '420879', '16', '4230');
INSERT INTO public.who_import VALUES (79261, '2021-02-16', 'RS', 'Serbia', 'EURO', '1331', '422210', '15', '4245');
INSERT INTO public.who_import VALUES (79262, '2021-02-17', 'RS', 'Serbia', 'EURO', '1810', '424020', '16', '4261');
INSERT INTO public.who_import VALUES (79263, '2021-02-18', 'RS', 'Serbia', 'EURO', '2467', '426487', '16', '4277');
INSERT INTO public.who_import VALUES (79264, '2021-02-19', 'RS', 'Serbia', 'EURO', '2561', '429048', '15', '4292');
INSERT INTO public.who_import VALUES (79265, '2021-02-20', 'RS', 'Serbia', 'EURO', '2632', '431680', '14', '4306');
INSERT INTO public.who_import VALUES (79266, '2020-01-03', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79267, '2020-01-04', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79268, '2020-01-05', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79269, '2020-01-06', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79270, '2020-01-07', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79271, '2020-01-08', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79272, '2020-01-09', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79273, '2020-01-10', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79274, '2020-01-11', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79275, '2020-01-12', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79276, '2020-01-13', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79277, '2020-01-14', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79278, '2020-01-15', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79279, '2020-01-16', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79280, '2020-01-17', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79281, '2020-01-18', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79282, '2020-01-19', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79283, '2020-01-20', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79284, '2020-01-21', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79285, '2020-01-22', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79286, '2020-01-23', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79287, '2020-01-24', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79288, '2020-01-25', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79289, '2020-01-26', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79290, '2020-01-27', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79291, '2020-01-28', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79292, '2020-01-29', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79293, '2020-01-30', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79294, '2020-01-31', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79295, '2020-02-01', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79296, '2020-02-02', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79297, '2020-02-03', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79298, '2020-02-04', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79299, '2020-02-05', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79300, '2020-02-06', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79301, '2020-02-07', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79302, '2020-02-08', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79303, '2020-02-09', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79304, '2020-02-10', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79305, '2020-02-11', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79306, '2020-02-12', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79307, '2020-02-13', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79308, '2020-02-14', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79309, '2020-02-15', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79310, '2020-02-16', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79311, '2020-02-17', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79312, '2020-02-18', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79313, '2020-02-19', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79314, '2020-02-20', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79315, '2020-02-21', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79316, '2020-02-22', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79317, '2020-02-23', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79318, '2020-02-24', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79319, '2020-02-25', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79320, '2020-02-26', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79321, '2020-02-27', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79322, '2020-02-28', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79323, '2020-02-29', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79324, '2020-03-01', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79325, '2020-03-02', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79326, '2020-03-03', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79327, '2020-03-04', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79328, '2020-03-05', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79329, '2020-03-06', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79330, '2020-03-07', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79331, '2020-03-08', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79332, '2020-03-09', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79333, '2020-03-10', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79334, '2020-03-11', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81356, '2020-01-18', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79335, '2020-03-12', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79336, '2020-03-13', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79337, '2020-03-14', 'SC', 'Seychelles', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79338, '2020-03-15', 'SC', 'Seychelles', 'AFRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (79339, '2020-03-16', 'SC', 'Seychelles', 'AFRO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (79340, '2020-03-17', 'SC', 'Seychelles', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (79341, '2020-03-18', 'SC', 'Seychelles', 'AFRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (79342, '2020-03-19', 'SC', 'Seychelles', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79343, '2020-03-20', 'SC', 'Seychelles', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79344, '2020-03-21', 'SC', 'Seychelles', 'AFRO', '-3', '7', '0', '0');
INSERT INTO public.who_import VALUES (79345, '2020-03-22', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79346, '2020-03-23', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79347, '2020-03-24', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79348, '2020-03-25', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79349, '2020-03-26', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79350, '2020-03-27', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79351, '2020-03-28', 'SC', 'Seychelles', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79352, '2020-03-29', 'SC', 'Seychelles', 'AFRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (79353, '2020-03-30', 'SC', 'Seychelles', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (79354, '2020-03-31', 'SC', 'Seychelles', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (79355, '2020-04-01', 'SC', 'Seychelles', 'AFRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (79356, '2020-04-02', 'SC', 'Seychelles', 'AFRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (79357, '2020-04-03', 'SC', 'Seychelles', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79358, '2020-04-04', 'SC', 'Seychelles', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79359, '2020-04-05', 'SC', 'Seychelles', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79360, '2020-04-06', 'SC', 'Seychelles', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79361, '2020-04-07', 'SC', 'Seychelles', 'AFRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (79362, '2020-04-08', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79363, '2020-04-09', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79364, '2020-04-10', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79365, '2020-04-11', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79366, '2020-04-12', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79367, '2020-04-13', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79368, '2020-04-14', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79369, '2020-04-15', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79370, '2020-04-16', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79371, '2020-04-17', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79372, '2020-04-18', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79373, '2020-04-19', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79374, '2020-04-20', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79375, '2020-04-21', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79376, '2020-04-22', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79377, '2020-04-23', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79378, '2020-04-24', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79379, '2020-04-25', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79380, '2020-04-26', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79381, '2020-04-27', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79382, '2020-04-28', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79383, '2020-04-29', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79384, '2020-04-30', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79385, '2020-05-01', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79386, '2020-05-02', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79387, '2020-05-03', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79388, '2020-05-04', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79389, '2020-05-05', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79390, '2020-05-06', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79391, '2020-05-07', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79392, '2020-05-08', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79393, '2020-05-09', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79394, '2020-05-10', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79395, '2020-05-11', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79396, '2020-05-12', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79397, '2020-05-13', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79398, '2020-05-14', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79399, '2020-05-15', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79400, '2020-05-16', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79401, '2020-05-17', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79402, '2020-05-18', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79403, '2020-05-19', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79404, '2020-05-20', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79405, '2020-05-21', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79406, '2020-05-22', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79407, '2020-05-23', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79408, '2020-05-24', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79409, '2020-05-25', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79410, '2020-05-26', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79411, '2020-05-27', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79412, '2020-05-28', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79413, '2020-05-29', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79414, '2020-05-30', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79415, '2020-05-31', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79416, '2020-06-01', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79417, '2020-06-02', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79418, '2020-06-03', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79419, '2020-06-04', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79420, '2020-06-05', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79421, '2020-06-06', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79422, '2020-06-07', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79423, '2020-06-08', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79424, '2020-06-09', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79425, '2020-06-10', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79426, '2020-06-11', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79427, '2020-06-12', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79428, '2020-06-13', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79429, '2020-06-14', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79430, '2020-06-15', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79431, '2020-06-16', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79432, '2020-06-17', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79433, '2020-06-18', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79434, '2020-06-19', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79435, '2020-06-20', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79436, '2020-06-21', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79437, '2020-06-22', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79438, '2020-06-23', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79439, '2020-06-24', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79440, '2020-06-25', 'SC', 'Seychelles', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (79441, '2020-06-26', 'SC', 'Seychelles', 'AFRO', '5', '16', '0', '0');
INSERT INTO public.who_import VALUES (79442, '2020-06-27', 'SC', 'Seychelles', 'AFRO', '4', '20', '0', '0');
INSERT INTO public.who_import VALUES (79443, '2020-06-28', 'SC', 'Seychelles', 'AFRO', '50', '70', '0', '0');
INSERT INTO public.who_import VALUES (79444, '2020-06-29', 'SC', 'Seychelles', 'AFRO', '7', '77', '0', '0');
INSERT INTO public.who_import VALUES (79445, '2020-06-30', 'SC', 'Seychelles', 'AFRO', '4', '81', '0', '0');
INSERT INTO public.who_import VALUES (79446, '2020-07-01', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79447, '2020-07-02', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79448, '2020-07-03', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79449, '2020-07-04', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79450, '2020-07-05', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79451, '2020-07-06', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79452, '2020-07-07', 'SC', 'Seychelles', 'AFRO', '0', '81', '0', '0');
INSERT INTO public.who_import VALUES (79453, '2020-07-08', 'SC', 'Seychelles', 'AFRO', '10', '91', '0', '0');
INSERT INTO public.who_import VALUES (79454, '2020-07-09', 'SC', 'Seychelles', 'AFRO', '3', '94', '0', '0');
INSERT INTO public.who_import VALUES (79455, '2020-07-10', 'SC', 'Seychelles', 'AFRO', '6', '100', '0', '0');
INSERT INTO public.who_import VALUES (79456, '2020-07-11', 'SC', 'Seychelles', 'AFRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (79457, '2020-07-12', 'SC', 'Seychelles', 'AFRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (79458, '2020-07-13', 'SC', 'Seychelles', 'AFRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (79459, '2020-07-14', 'SC', 'Seychelles', 'AFRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (79460, '2020-07-15', 'SC', 'Seychelles', 'AFRO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (79461, '2020-07-16', 'SC', 'Seychelles', 'AFRO', '8', '108', '0', '0');
INSERT INTO public.who_import VALUES (79462, '2020-07-17', 'SC', 'Seychelles', 'AFRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (79463, '2020-07-18', 'SC', 'Seychelles', 'AFRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (79464, '2020-07-19', 'SC', 'Seychelles', 'AFRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (79465, '2020-07-20', 'SC', 'Seychelles', 'AFRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (79466, '2020-07-21', 'SC', 'Seychelles', 'AFRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (79467, '2020-07-22', 'SC', 'Seychelles', 'AFRO', '0', '108', '0', '0');
INSERT INTO public.who_import VALUES (79468, '2020-07-23', 'SC', 'Seychelles', 'AFRO', '-1', '107', '0', '0');
INSERT INTO public.who_import VALUES (79469, '2020-07-24', 'SC', 'Seychelles', 'AFRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (79470, '2020-07-25', 'SC', 'Seychelles', 'AFRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (79471, '2020-07-26', 'SC', 'Seychelles', 'AFRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (79472, '2020-07-27', 'SC', 'Seychelles', 'AFRO', '0', '107', '0', '0');
INSERT INTO public.who_import VALUES (79473, '2020-07-28', 'SC', 'Seychelles', 'AFRO', '7', '114', '0', '0');
INSERT INTO public.who_import VALUES (79474, '2020-07-29', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79475, '2020-07-30', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79476, '2020-07-31', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79477, '2020-08-01', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79478, '2020-08-02', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79479, '2020-08-03', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79480, '2020-08-04', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79481, '2020-08-05', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79482, '2020-08-06', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79483, '2020-08-07', 'SC', 'Seychelles', 'AFRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (79484, '2020-08-08', 'SC', 'Seychelles', 'AFRO', '12', '126', '0', '0');
INSERT INTO public.who_import VALUES (79485, '2020-08-09', 'SC', 'Seychelles', 'AFRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (79486, '2020-08-10', 'SC', 'Seychelles', 'AFRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (79487, '2020-08-11', 'SC', 'Seychelles', 'AFRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (79488, '2020-08-12', 'SC', 'Seychelles', 'AFRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (79489, '2020-08-13', 'SC', 'Seychelles', 'AFRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (79490, '2020-08-14', 'SC', 'Seychelles', 'AFRO', '0', '126', '0', '0');
INSERT INTO public.who_import VALUES (79491, '2020-08-15', 'SC', 'Seychelles', 'AFRO', '1', '127', '0', '0');
INSERT INTO public.who_import VALUES (79492, '2020-08-16', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79493, '2020-08-17', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79494, '2020-08-18', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79495, '2020-08-19', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79496, '2020-08-20', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79497, '2020-08-21', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79498, '2020-08-22', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79499, '2020-08-23', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79500, '2020-08-24', 'SC', 'Seychelles', 'AFRO', '0', '127', '0', '0');
INSERT INTO public.who_import VALUES (79501, '2020-08-25', 'SC', 'Seychelles', 'AFRO', '4', '131', '0', '0');
INSERT INTO public.who_import VALUES (79502, '2020-08-26', 'SC', 'Seychelles', 'AFRO', '0', '131', '0', '0');
INSERT INTO public.who_import VALUES (79503, '2020-08-27', 'SC', 'Seychelles', 'AFRO', '0', '131', '0', '0');
INSERT INTO public.who_import VALUES (79504, '2020-08-28', 'SC', 'Seychelles', 'AFRO', '0', '131', '0', '0');
INSERT INTO public.who_import VALUES (79505, '2020-08-29', 'SC', 'Seychelles', 'AFRO', '0', '131', '0', '0');
INSERT INTO public.who_import VALUES (79506, '2020-08-30', 'SC', 'Seychelles', 'AFRO', '0', '131', '0', '0');
INSERT INTO public.who_import VALUES (79507, '2020-08-31', 'SC', 'Seychelles', 'AFRO', '0', '131', '0', '0');
INSERT INTO public.who_import VALUES (79508, '2020-09-01', 'SC', 'Seychelles', 'AFRO', '4', '135', '0', '0');
INSERT INTO public.who_import VALUES (79509, '2020-09-02', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79510, '2020-09-03', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79511, '2020-09-04', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79512, '2020-09-05', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79513, '2020-09-06', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79514, '2020-09-07', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79515, '2020-09-08', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79516, '2020-09-09', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79517, '2020-09-10', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79518, '2020-09-11', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79519, '2020-09-12', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79520, '2020-09-13', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79521, '2020-09-14', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79522, '2020-09-15', 'SC', 'Seychelles', 'AFRO', '0', '135', '0', '0');
INSERT INTO public.who_import VALUES (79523, '2020-09-16', 'SC', 'Seychelles', 'AFRO', '3', '138', '0', '0');
INSERT INTO public.who_import VALUES (79524, '2020-09-17', 'SC', 'Seychelles', 'AFRO', '0', '138', '0', '0');
INSERT INTO public.who_import VALUES (79525, '2020-09-18', 'SC', 'Seychelles', 'AFRO', '1', '139', '0', '0');
INSERT INTO public.who_import VALUES (79526, '2020-09-19', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79527, '2020-09-20', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79528, '2020-09-21', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79529, '2020-09-22', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79530, '2020-09-23', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79531, '2020-09-24', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79532, '2020-09-25', 'SC', 'Seychelles', 'AFRO', '0', '139', '0', '0');
INSERT INTO public.who_import VALUES (79533, '2020-09-26', 'SC', 'Seychelles', 'AFRO', '2', '141', '0', '0');
INSERT INTO public.who_import VALUES (79534, '2020-09-27', 'SC', 'Seychelles', 'AFRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (79535, '2020-09-28', 'SC', 'Seychelles', 'AFRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (79536, '2020-09-29', 'SC', 'Seychelles', 'AFRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (79537, '2020-09-30', 'SC', 'Seychelles', 'AFRO', '0', '141', '0', '0');
INSERT INTO public.who_import VALUES (79538, '2020-10-01', 'SC', 'Seychelles', 'AFRO', '1', '142', '0', '0');
INSERT INTO public.who_import VALUES (79539, '2020-10-02', 'SC', 'Seychelles', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (79540, '2020-10-03', 'SC', 'Seychelles', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (79541, '2020-10-04', 'SC', 'Seychelles', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (79542, '2020-10-05', 'SC', 'Seychelles', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (79543, '2020-10-06', 'SC', 'Seychelles', 'AFRO', '0', '142', '0', '0');
INSERT INTO public.who_import VALUES (79544, '2020-10-07', 'SC', 'Seychelles', 'AFRO', '4', '146', '0', '0');
INSERT INTO public.who_import VALUES (79545, '2020-10-08', 'SC', 'Seychelles', 'AFRO', '1', '147', '0', '0');
INSERT INTO public.who_import VALUES (79546, '2020-10-09', 'SC', 'Seychelles', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (79547, '2020-10-10', 'SC', 'Seychelles', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (79548, '2020-10-11', 'SC', 'Seychelles', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (79549, '2020-10-12', 'SC', 'Seychelles', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (79550, '2020-10-13', 'SC', 'Seychelles', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (79551, '2020-10-14', 'SC', 'Seychelles', 'AFRO', '0', '147', '0', '0');
INSERT INTO public.who_import VALUES (79552, '2020-10-15', 'SC', 'Seychelles', 'AFRO', '1', '148', '0', '0');
INSERT INTO public.who_import VALUES (79553, '2020-10-16', 'SC', 'Seychelles', 'AFRO', '0', '148', '0', '0');
INSERT INTO public.who_import VALUES (79554, '2020-10-17', 'SC', 'Seychelles', 'AFRO', '0', '148', '0', '0');
INSERT INTO public.who_import VALUES (79555, '2020-10-18', 'SC', 'Seychelles', 'AFRO', '0', '148', '0', '0');
INSERT INTO public.who_import VALUES (79556, '2020-10-19', 'SC', 'Seychelles', 'AFRO', '0', '148', '0', '0');
INSERT INTO public.who_import VALUES (79557, '2020-10-20', 'SC', 'Seychelles', 'AFRO', '0', '148', '0', '0');
INSERT INTO public.who_import VALUES (79558, '2020-10-21', 'SC', 'Seychelles', 'AFRO', '0', '148', '0', '0');
INSERT INTO public.who_import VALUES (79559, '2020-10-22', 'SC', 'Seychelles', 'AFRO', '1', '149', '0', '0');
INSERT INTO public.who_import VALUES (79560, '2020-10-23', 'SC', 'Seychelles', 'AFRO', '3', '152', '0', '0');
INSERT INTO public.who_import VALUES (79561, '2020-10-24', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79562, '2020-10-25', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79563, '2020-10-26', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79564, '2020-10-27', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79565, '2020-10-28', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79566, '2020-10-29', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79567, '2020-10-30', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79568, '2020-10-31', 'SC', 'Seychelles', 'AFRO', '0', '152', '0', '0');
INSERT INTO public.who_import VALUES (79569, '2020-11-01', 'SC', 'Seychelles', 'AFRO', '2', '154', '0', '0');
INSERT INTO public.who_import VALUES (79570, '2020-11-02', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79571, '2020-11-03', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79572, '2020-11-04', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79573, '2020-11-05', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79574, '2020-11-06', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79575, '2020-11-07', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79576, '2020-11-08', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79577, '2020-11-09', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79578, '2020-11-10', 'SC', 'Seychelles', 'AFRO', '0', '154', '0', '0');
INSERT INTO public.who_import VALUES (79579, '2020-11-11', 'SC', 'Seychelles', 'AFRO', '4', '158', '0', '0');
INSERT INTO public.who_import VALUES (79580, '2020-11-12', 'SC', 'Seychelles', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (79581, '2020-11-13', 'SC', 'Seychelles', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (79582, '2020-11-14', 'SC', 'Seychelles', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (79583, '2020-11-15', 'SC', 'Seychelles', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (79584, '2020-11-16', 'SC', 'Seychelles', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (79585, '2020-11-17', 'SC', 'Seychelles', 'AFRO', '0', '158', '0', '0');
INSERT INTO public.who_import VALUES (79586, '2020-11-18', 'SC', 'Seychelles', 'AFRO', '3', '161', '0', '0');
INSERT INTO public.who_import VALUES (79587, '2020-11-19', 'SC', 'Seychelles', 'AFRO', '0', '161', '0', '0');
INSERT INTO public.who_import VALUES (79588, '2020-11-20', 'SC', 'Seychelles', 'AFRO', '0', '161', '0', '0');
INSERT INTO public.who_import VALUES (79589, '2020-11-21', 'SC', 'Seychelles', 'AFRO', '0', '161', '0', '0');
INSERT INTO public.who_import VALUES (79590, '2020-11-22', 'SC', 'Seychelles', 'AFRO', '0', '161', '0', '0');
INSERT INTO public.who_import VALUES (79591, '2020-11-23', 'SC', 'Seychelles', 'AFRO', '0', '161', '0', '0');
INSERT INTO public.who_import VALUES (79592, '2020-11-24', 'SC', 'Seychelles', 'AFRO', '0', '161', '0', '0');
INSERT INTO public.who_import VALUES (79593, '2020-11-25', 'SC', 'Seychelles', 'AFRO', '6', '167', '0', '0');
INSERT INTO public.who_import VALUES (79594, '2020-11-26', 'SC', 'Seychelles', 'AFRO', '0', '167', '0', '0');
INSERT INTO public.who_import VALUES (79595, '2020-11-27', 'SC', 'Seychelles', 'AFRO', '0', '167', '0', '0');
INSERT INTO public.who_import VALUES (79596, '2020-11-28', 'SC', 'Seychelles', 'AFRO', '0', '167', '0', '0');
INSERT INTO public.who_import VALUES (79597, '2020-11-29', 'SC', 'Seychelles', 'AFRO', '5', '172', '0', '0');
INSERT INTO public.who_import VALUES (79598, '2020-11-30', 'SC', 'Seychelles', 'AFRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (79599, '2020-12-01', 'SC', 'Seychelles', 'AFRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (79600, '2020-12-02', 'SC', 'Seychelles', 'AFRO', '0', '172', '0', '0');
INSERT INTO public.who_import VALUES (79601, '2020-12-03', 'SC', 'Seychelles', 'AFRO', '9', '181', '0', '0');
INSERT INTO public.who_import VALUES (79602, '2020-12-04', 'SC', 'Seychelles', 'AFRO', '0', '181', '0', '0');
INSERT INTO public.who_import VALUES (79603, '2020-12-05', 'SC', 'Seychelles', 'AFRO', '1', '182', '0', '0');
INSERT INTO public.who_import VALUES (79604, '2020-12-06', 'SC', 'Seychelles', 'AFRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (79605, '2020-12-07', 'SC', 'Seychelles', 'AFRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (79606, '2020-12-08', 'SC', 'Seychelles', 'AFRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (79607, '2020-12-09', 'SC', 'Seychelles', 'AFRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (79608, '2020-12-10', 'SC', 'Seychelles', 'AFRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (79609, '2020-12-11', 'SC', 'Seychelles', 'AFRO', '0', '182', '0', '0');
INSERT INTO public.who_import VALUES (79610, '2020-12-12', 'SC', 'Seychelles', 'AFRO', '3', '185', '0', '0');
INSERT INTO public.who_import VALUES (79611, '2020-12-13', 'SC', 'Seychelles', 'AFRO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (79612, '2020-12-14', 'SC', 'Seychelles', 'AFRO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (79613, '2020-12-15', 'SC', 'Seychelles', 'AFRO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (79614, '2020-12-16', 'SC', 'Seychelles', 'AFRO', '0', '185', '0', '0');
INSERT INTO public.who_import VALUES (79615, '2020-12-17', 'SC', 'Seychelles', 'AFRO', '17', '202', '0', '0');
INSERT INTO public.who_import VALUES (79616, '2020-12-18', 'SC', 'Seychelles', 'AFRO', '0', '202', '0', '0');
INSERT INTO public.who_import VALUES (79617, '2020-12-19', 'SC', 'Seychelles', 'AFRO', '0', '202', '0', '0');
INSERT INTO public.who_import VALUES (79618, '2020-12-20', 'SC', 'Seychelles', 'AFRO', '0', '202', '0', '0');
INSERT INTO public.who_import VALUES (79619, '2020-12-21', 'SC', 'Seychelles', 'AFRO', '0', '202', '0', '0');
INSERT INTO public.who_import VALUES (79620, '2020-12-22', 'SC', 'Seychelles', 'AFRO', '0', '202', '0', '0');
INSERT INTO public.who_import VALUES (79621, '2020-12-23', 'SC', 'Seychelles', 'AFRO', '9', '211', '0', '0');
INSERT INTO public.who_import VALUES (79622, '2020-12-24', 'SC', 'Seychelles', 'AFRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (79623, '2020-12-25', 'SC', 'Seychelles', 'AFRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (79624, '2020-12-26', 'SC', 'Seychelles', 'AFRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (79625, '2020-12-27', 'SC', 'Seychelles', 'AFRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (79626, '2020-12-28', 'SC', 'Seychelles', 'AFRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (79627, '2020-12-29', 'SC', 'Seychelles', 'AFRO', '0', '211', '0', '0');
INSERT INTO public.who_import VALUES (79628, '2020-12-30', 'SC', 'Seychelles', 'AFRO', '15', '226', '0', '0');
INSERT INTO public.who_import VALUES (79629, '2020-12-31', 'SC', 'Seychelles', 'AFRO', '0', '226', '0', '0');
INSERT INTO public.who_import VALUES (79630, '2021-01-01', 'SC', 'Seychelles', 'AFRO', '41', '267', '0', '0');
INSERT INTO public.who_import VALUES (79631, '2021-01-02', 'SC', 'Seychelles', 'AFRO', '0', '267', '0', '0');
INSERT INTO public.who_import VALUES (79632, '2021-01-03', 'SC', 'Seychelles', 'AFRO', '17', '284', '0', '0');
INSERT INTO public.who_import VALUES (79633, '2021-01-04', 'SC', 'Seychelles', 'AFRO', '12', '296', '0', '0');
INSERT INTO public.who_import VALUES (79634, '2021-01-05', 'SC', 'Seychelles', 'AFRO', '26', '322', '1', '1');
INSERT INTO public.who_import VALUES (79635, '2021-01-06', 'SC', 'Seychelles', 'AFRO', '24', '346', '0', '1');
INSERT INTO public.who_import VALUES (79636, '2021-01-07', 'SC', 'Seychelles', 'AFRO', '27', '373', '0', '1');
INSERT INTO public.who_import VALUES (79637, '2021-01-08', 'SC', 'Seychelles', 'AFRO', '45', '418', '0', '1');
INSERT INTO public.who_import VALUES (79638, '2021-01-09', 'SC', 'Seychelles', 'AFRO', '30', '448', '0', '1');
INSERT INTO public.who_import VALUES (79639, '2021-01-10', 'SC', 'Seychelles', 'AFRO', '54', '502', '0', '1');
INSERT INTO public.who_import VALUES (79640, '2021-01-11', 'SC', 'Seychelles', 'AFRO', '23', '525', '0', '1');
INSERT INTO public.who_import VALUES (79641, '2021-01-12', 'SC', 'Seychelles', 'AFRO', '52', '577', '0', '1');
INSERT INTO public.who_import VALUES (79642, '2021-01-13', 'SC', 'Seychelles', 'AFRO', '0', '577', '0', '1');
INSERT INTO public.who_import VALUES (79643, '2021-01-14', 'SC', 'Seychelles', 'AFRO', '33', '610', '0', '1');
INSERT INTO public.who_import VALUES (79644, '2021-01-15', 'SC', 'Seychelles', 'AFRO', '16', '626', '0', '1');
INSERT INTO public.who_import VALUES (79645, '2021-01-16', 'SC', 'Seychelles', 'AFRO', '0', '626', '0', '1');
INSERT INTO public.who_import VALUES (79646, '2021-01-17', 'SC', 'Seychelles', 'AFRO', '63', '689', '0', '1');
INSERT INTO public.who_import VALUES (79647, '2021-01-18', 'SC', 'Seychelles', 'AFRO', '-1', '688', '1', '2');
INSERT INTO public.who_import VALUES (79648, '2021-01-19', 'SC', 'Seychelles', 'AFRO', '58', '746', '0', '2');
INSERT INTO public.who_import VALUES (79649, '2021-01-20', 'SC', 'Seychelles', 'AFRO', '16', '762', '0', '2');
INSERT INTO public.who_import VALUES (79650, '2021-01-21', 'SC', 'Seychelles', 'AFRO', '82', '844', '1', '3');
INSERT INTO public.who_import VALUES (79651, '2021-01-22', 'SC', 'Seychelles', 'AFRO', '22', '866', '0', '3');
INSERT INTO public.who_import VALUES (79652, '2021-01-23', 'SC', 'Seychelles', 'AFRO', '106', '972', '0', '3');
INSERT INTO public.who_import VALUES (79653, '2021-01-24', 'SC', 'Seychelles', 'AFRO', '61', '1033', '0', '3');
INSERT INTO public.who_import VALUES (79654, '2021-01-25', 'SC', 'Seychelles', 'AFRO', '0', '1033', '0', '3');
INSERT INTO public.who_import VALUES (79655, '2021-01-26', 'SC', 'Seychelles', 'AFRO', '36', '1069', '0', '3');
INSERT INTO public.who_import VALUES (79656, '2021-01-27', 'SC', 'Seychelles', 'AFRO', '47', '1116', '0', '3');
INSERT INTO public.who_import VALUES (79657, '2021-01-28', 'SC', 'Seychelles', 'AFRO', '14', '1130', '0', '3');
INSERT INTO public.who_import VALUES (79658, '2021-01-29', 'SC', 'Seychelles', 'AFRO', '0', '1130', '0', '3');
INSERT INTO public.who_import VALUES (79659, '2021-01-30', 'SC', 'Seychelles', 'AFRO', '27', '1157', '0', '3');
INSERT INTO public.who_import VALUES (79660, '2021-01-31', 'SC', 'Seychelles', 'AFRO', '29', '1186', '0', '3');
INSERT INTO public.who_import VALUES (79661, '2021-02-01', 'SC', 'Seychelles', 'AFRO', '15', '1201', '1', '4');
INSERT INTO public.who_import VALUES (79662, '2021-02-02', 'SC', 'Seychelles', 'AFRO', '4', '1205', '0', '4');
INSERT INTO public.who_import VALUES (79663, '2021-02-03', 'SC', 'Seychelles', 'AFRO', '38', '1243', '1', '5');
INSERT INTO public.who_import VALUES (79664, '2021-02-04', 'SC', 'Seychelles', 'AFRO', '0', '1243', '0', '5');
INSERT INTO public.who_import VALUES (79665, '2021-02-05', 'SC', 'Seychelles', 'AFRO', '36', '1279', '0', '5');
INSERT INTO public.who_import VALUES (79666, '2021-02-06', 'SC', 'Seychelles', 'AFRO', '10', '1289', '0', '5');
INSERT INTO public.who_import VALUES (79667, '2021-02-07', 'SC', 'Seychelles', 'AFRO', '215', '1504', '1', '6');
INSERT INTO public.who_import VALUES (79668, '2021-02-08', 'SC', 'Seychelles', 'AFRO', '9', '1513', '1', '7');
INSERT INTO public.who_import VALUES (79669, '2021-02-09', 'SC', 'Seychelles', 'AFRO', '62', '1575', '0', '7');
INSERT INTO public.who_import VALUES (79670, '2021-02-10', 'SC', 'Seychelles', 'AFRO', '0', '1575', '0', '7');
INSERT INTO public.who_import VALUES (79671, '2021-02-11', 'SC', 'Seychelles', 'AFRO', '120', '1695', '0', '7');
INSERT INTO public.who_import VALUES (79672, '2021-02-12', 'SC', 'Seychelles', 'AFRO', '0', '1695', '0', '7');
INSERT INTO public.who_import VALUES (79673, '2021-02-13', 'SC', 'Seychelles', 'AFRO', '107', '1802', '0', '7');
INSERT INTO public.who_import VALUES (79674, '2021-02-14', 'SC', 'Seychelles', 'AFRO', '90', '1892', '1', '8');
INSERT INTO public.who_import VALUES (79675, '2021-02-15', 'SC', 'Seychelles', 'AFRO', '0', '1892', '0', '8');
INSERT INTO public.who_import VALUES (79676, '2021-02-16', 'SC', 'Seychelles', 'AFRO', '95', '1987', '1', '9');
INSERT INTO public.who_import VALUES (79677, '2021-02-17', 'SC', 'Seychelles', 'AFRO', '0', '1987', '0', '9');
INSERT INTO public.who_import VALUES (79678, '2021-02-18', 'SC', 'Seychelles', 'AFRO', '224', '2211', '1', '10');
INSERT INTO public.who_import VALUES (79679, '2021-02-19', 'SC', 'Seychelles', 'AFRO', '53', '2264', '0', '10');
INSERT INTO public.who_import VALUES (79680, '2021-02-20', 'SC', 'Seychelles', 'AFRO', '0', '2264', '0', '10');
INSERT INTO public.who_import VALUES (79681, '2020-01-03', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79682, '2020-01-04', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79683, '2020-01-05', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79684, '2020-01-06', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79685, '2020-01-07', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79686, '2020-01-08', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79687, '2020-01-09', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79688, '2020-01-10', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79689, '2020-01-11', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79690, '2020-01-12', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79691, '2020-01-13', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79692, '2020-01-14', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79693, '2020-01-15', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79694, '2020-01-16', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79695, '2020-01-17', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79696, '2020-01-18', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79697, '2020-01-19', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79698, '2020-01-20', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79699, '2020-01-21', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79700, '2020-01-22', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79701, '2020-01-23', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79702, '2020-01-24', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79703, '2020-01-25', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79704, '2020-01-26', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79705, '2020-01-27', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79706, '2020-01-28', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79707, '2020-01-29', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79708, '2020-01-30', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79709, '2020-01-31', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79710, '2020-02-01', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79711, '2020-02-02', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79712, '2020-02-03', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79713, '2020-02-04', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79714, '2020-02-05', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79715, '2020-02-06', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79716, '2020-02-07', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79717, '2020-02-08', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79718, '2020-02-09', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79719, '2020-02-10', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79720, '2020-02-11', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79721, '2020-02-12', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79722, '2020-02-13', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79723, '2020-02-14', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79724, '2020-02-15', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79725, '2020-02-16', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79726, '2020-02-17', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79727, '2020-02-18', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79728, '2020-02-19', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79729, '2020-02-20', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79730, '2020-02-21', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79731, '2020-02-22', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79732, '2020-02-23', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79733, '2020-02-24', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79734, '2020-02-25', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79735, '2020-02-26', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79736, '2020-02-27', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79737, '2020-02-28', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79738, '2020-02-29', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79739, '2020-03-01', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79740, '2020-03-02', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79741, '2020-03-03', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79742, '2020-03-04', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79743, '2020-03-05', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79744, '2020-03-06', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79745, '2020-03-07', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79746, '2020-03-08', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79747, '2020-03-09', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79748, '2020-03-10', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79749, '2020-03-11', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79750, '2020-03-12', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79751, '2020-03-13', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79752, '2020-03-14', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79753, '2020-03-15', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79754, '2020-03-16', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79755, '2020-03-17', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79756, '2020-03-18', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79757, '2020-03-19', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79758, '2020-03-20', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79759, '2020-03-21', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79760, '2020-03-22', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79761, '2020-03-23', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79762, '2020-03-24', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79763, '2020-03-25', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79764, '2020-03-26', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79765, '2020-03-27', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79766, '2020-03-28', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79767, '2020-03-29', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79768, '2020-03-30', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79769, '2020-03-31', 'SL', 'Sierra Leone', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (79770, '2020-04-01', 'SL', 'Sierra Leone', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (79771, '2020-04-02', 'SL', 'Sierra Leone', 'AFRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (79772, '2020-04-03', 'SL', 'Sierra Leone', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (79773, '2020-04-04', 'SL', 'Sierra Leone', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (79774, '2020-04-05', 'SL', 'Sierra Leone', 'AFRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (79775, '2020-04-06', 'SL', 'Sierra Leone', 'AFRO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (79776, '2020-04-07', 'SL', 'Sierra Leone', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (79777, '2020-04-08', 'SL', 'Sierra Leone', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (79778, '2020-04-09', 'SL', 'Sierra Leone', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (79779, '2020-04-10', 'SL', 'Sierra Leone', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79780, '2020-04-11', 'SL', 'Sierra Leone', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (79781, '2020-04-12', 'SL', 'Sierra Leone', 'AFRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (79782, '2020-04-13', 'SL', 'Sierra Leone', 'AFRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (79783, '2020-04-14', 'SL', 'Sierra Leone', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (79784, '2020-04-15', 'SL', 'Sierra Leone', 'AFRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (79785, '2020-04-16', 'SL', 'Sierra Leone', 'AFRO', '2', '13', '0', '0');
INSERT INTO public.who_import VALUES (79786, '2020-04-17', 'SL', 'Sierra Leone', 'AFRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (79787, '2020-04-18', 'SL', 'Sierra Leone', 'AFRO', '11', '26', '0', '0');
INSERT INTO public.who_import VALUES (79788, '2020-04-19', 'SL', 'Sierra Leone', 'AFRO', '4', '30', '0', '0');
INSERT INTO public.who_import VALUES (79789, '2020-04-20', 'SL', 'Sierra Leone', 'AFRO', '5', '35', '0', '0');
INSERT INTO public.who_import VALUES (79790, '2020-04-21', 'SL', 'Sierra Leone', 'AFRO', '8', '43', '0', '0');
INSERT INTO public.who_import VALUES (79791, '2020-04-22', 'SL', 'Sierra Leone', 'AFRO', '7', '50', '0', '0');
INSERT INTO public.who_import VALUES (79792, '2020-04-23', 'SL', 'Sierra Leone', 'AFRO', '11', '61', '1', '1');
INSERT INTO public.who_import VALUES (79793, '2020-04-24', 'SL', 'Sierra Leone', 'AFRO', '3', '64', '0', '1');
INSERT INTO public.who_import VALUES (79794, '2020-04-25', 'SL', 'Sierra Leone', 'AFRO', '18', '82', '2', '3');
INSERT INTO public.who_import VALUES (79795, '2020-04-26', 'SL', 'Sierra Leone', 'AFRO', '4', '86', '0', '3');
INSERT INTO public.who_import VALUES (79796, '2020-04-27', 'SL', 'Sierra Leone', 'AFRO', '7', '93', '1', '4');
INSERT INTO public.who_import VALUES (79797, '2020-04-28', 'SL', 'Sierra Leone', 'AFRO', '6', '99', '0', '4');
INSERT INTO public.who_import VALUES (79798, '2020-04-29', 'SL', 'Sierra Leone', 'AFRO', '5', '104', '0', '4');
INSERT INTO public.who_import VALUES (79799, '2020-04-30', 'SL', 'Sierra Leone', 'AFRO', '12', '116', '1', '5');
INSERT INTO public.who_import VALUES (79800, '2020-05-01', 'SL', 'Sierra Leone', 'AFRO', '8', '124', '2', '7');
INSERT INTO public.who_import VALUES (79801, '2020-05-02', 'SL', 'Sierra Leone', 'AFRO', '12', '136', '1', '8');
INSERT INTO public.who_import VALUES (79802, '2020-05-03', 'SL', 'Sierra Leone', 'AFRO', '19', '155', '0', '8');
INSERT INTO public.who_import VALUES (79803, '2020-05-04', 'SL', 'Sierra Leone', 'AFRO', '2', '157', '0', '8');
INSERT INTO public.who_import VALUES (79804, '2020-05-05', 'SL', 'Sierra Leone', 'AFRO', '21', '178', '1', '9');
INSERT INTO public.who_import VALUES (79805, '2020-05-06', 'SL', 'Sierra Leone', 'AFRO', '21', '199', '2', '11');
INSERT INTO public.who_import VALUES (79806, '2020-05-07', 'SL', 'Sierra Leone', 'AFRO', '26', '225', '3', '14');
INSERT INTO public.who_import VALUES (79807, '2020-05-08', 'SL', 'Sierra Leone', 'AFRO', '6', '231', '0', '14');
INSERT INTO public.who_import VALUES (79808, '2020-05-09', 'SL', 'Sierra Leone', 'AFRO', '26', '257', '3', '17');
INSERT INTO public.who_import VALUES (79809, '2020-05-10', 'SL', 'Sierra Leone', 'AFRO', '34', '291', '1', '18');
INSERT INTO public.who_import VALUES (79810, '2020-05-11', 'SL', 'Sierra Leone', 'AFRO', '16', '307', '0', '18');
INSERT INTO public.who_import VALUES (79811, '2020-05-12', 'SL', 'Sierra Leone', 'AFRO', '31', '338', '1', '19');
INSERT INTO public.who_import VALUES (79812, '2020-05-13', 'SL', 'Sierra Leone', 'AFRO', '0', '338', '1', '20');
INSERT INTO public.who_import VALUES (79813, '2020-05-14', 'SL', 'Sierra Leone', 'AFRO', '49', '387', '1', '21');
INSERT INTO public.who_import VALUES (79814, '2020-05-15', 'SL', 'Sierra Leone', 'AFRO', '21', '408', '5', '26');
INSERT INTO public.who_import VALUES (79815, '2020-05-16', 'SL', 'Sierra Leone', 'AFRO', '39', '447', '1', '27');
INSERT INTO public.who_import VALUES (79816, '2020-05-17', 'SL', 'Sierra Leone', 'AFRO', '15', '462', '2', '29');
INSERT INTO public.who_import VALUES (79817, '2020-05-18', 'SL', 'Sierra Leone', 'AFRO', '43', '505', '3', '32');
INSERT INTO public.who_import VALUES (79818, '2020-05-19', 'SL', 'Sierra Leone', 'AFRO', '14', '519', '1', '33');
INSERT INTO public.who_import VALUES (79819, '2020-05-20', 'SL', 'Sierra Leone', 'AFRO', '15', '534', '0', '33');
INSERT INTO public.who_import VALUES (79820, '2020-05-21', 'SL', 'Sierra Leone', 'AFRO', '36', '570', '1', '34');
INSERT INTO public.who_import VALUES (79821, '2020-05-22', 'SL', 'Sierra Leone', 'AFRO', '15', '585', '1', '35');
INSERT INTO public.who_import VALUES (79822, '2020-05-23', 'SL', 'Sierra Leone', 'AFRO', '21', '606', '3', '38');
INSERT INTO public.who_import VALUES (79823, '2020-05-24', 'SL', 'Sierra Leone', 'AFRO', '15', '621', '1', '39');
INSERT INTO public.who_import VALUES (79824, '2020-05-25', 'SL', 'Sierra Leone', 'AFRO', '100', '721', '1', '40');
INSERT INTO public.who_import VALUES (79825, '2020-05-26', 'SL', 'Sierra Leone', 'AFRO', '14', '735', '2', '42');
INSERT INTO public.who_import VALUES (79826, '2020-05-27', 'SL', 'Sierra Leone', 'AFRO', '19', '754', '2', '44');
INSERT INTO public.who_import VALUES (79827, '2020-05-28', 'SL', 'Sierra Leone', 'AFRO', '28', '782', '1', '45');
INSERT INTO public.who_import VALUES (79828, '2020-05-29', 'SL', 'Sierra Leone', 'AFRO', '30', '812', '0', '45');
INSERT INTO public.who_import VALUES (79829, '2020-05-30', 'SL', 'Sierra Leone', 'AFRO', '17', '829', '0', '45');
INSERT INTO public.who_import VALUES (79830, '2020-05-31', 'SL', 'Sierra Leone', 'AFRO', '23', '852', '1', '46');
INSERT INTO public.who_import VALUES (79831, '2020-06-01', 'SL', 'Sierra Leone', 'AFRO', '9', '861', '0', '46');
INSERT INTO public.who_import VALUES (79832, '2020-06-02', 'SL', 'Sierra Leone', 'AFRO', '4', '865', '0', '46');
INSERT INTO public.who_import VALUES (79833, '2020-06-03', 'SL', 'Sierra Leone', 'AFRO', '31', '896', '0', '46');
INSERT INTO public.who_import VALUES (79834, '2020-06-04', 'SL', 'Sierra Leone', 'AFRO', '13', '909', '1', '47');
INSERT INTO public.who_import VALUES (79835, '2020-06-05', 'SL', 'Sierra Leone', 'AFRO', '5', '914', '0', '47');
INSERT INTO public.who_import VALUES (79836, '2020-06-06', 'SL', 'Sierra Leone', 'AFRO', '15', '929', '0', '47');
INSERT INTO public.who_import VALUES (79837, '2020-06-07', 'SL', 'Sierra Leone', 'AFRO', '17', '946', '1', '48');
INSERT INTO public.who_import VALUES (79838, '2020-06-08', 'SL', 'Sierra Leone', 'AFRO', '23', '969', '0', '48');
INSERT INTO public.who_import VALUES (79839, '2020-06-09', 'SL', 'Sierra Leone', 'AFRO', '32', '1001', '1', '49');
INSERT INTO public.who_import VALUES (79840, '2020-06-10', 'SL', 'Sierra Leone', 'AFRO', '24', '1025', '1', '50');
INSERT INTO public.who_import VALUES (79841, '2020-06-11', 'SL', 'Sierra Leone', 'AFRO', '37', '1062', '0', '50');
INSERT INTO public.who_import VALUES (79842, '2020-06-12', 'SL', 'Sierra Leone', 'AFRO', '23', '1085', '0', '50');
INSERT INTO public.who_import VALUES (79843, '2020-06-13', 'SL', 'Sierra Leone', 'AFRO', '18', '1103', '1', '51');
INSERT INTO public.who_import VALUES (79844, '2020-06-14', 'SL', 'Sierra Leone', 'AFRO', '29', '1132', '0', '51');
INSERT INTO public.who_import VALUES (79845, '2020-06-15', 'SL', 'Sierra Leone', 'AFRO', '37', '1169', '0', '51');
INSERT INTO public.who_import VALUES (79846, '2020-06-16', 'SL', 'Sierra Leone', 'AFRO', '7', '1176', '0', '51');
INSERT INTO public.who_import VALUES (79847, '2020-06-17', 'SL', 'Sierra Leone', 'AFRO', '49', '1225', '0', '51');
INSERT INTO public.who_import VALUES (79848, '2020-06-18', 'SL', 'Sierra Leone', 'AFRO', '24', '1249', '0', '51');
INSERT INTO public.who_import VALUES (79849, '2020-06-19', 'SL', 'Sierra Leone', 'AFRO', '23', '1272', '0', '51');
INSERT INTO public.who_import VALUES (79850, '2020-06-20', 'SL', 'Sierra Leone', 'AFRO', '26', '1298', '2', '53');
INSERT INTO public.who_import VALUES (79851, '2020-06-21', 'SL', 'Sierra Leone', 'AFRO', '11', '1309', '0', '53');
INSERT INTO public.who_import VALUES (79852, '2020-06-22', 'SL', 'Sierra Leone', 'AFRO', '18', '1327', '2', '55');
INSERT INTO public.who_import VALUES (79853, '2020-06-23', 'SL', 'Sierra Leone', 'AFRO', '13', '1340', '0', '55');
INSERT INTO public.who_import VALUES (79854, '2020-06-24', 'SL', 'Sierra Leone', 'AFRO', '7', '1347', '0', '55');
INSERT INTO public.who_import VALUES (79855, '2020-06-25', 'SL', 'Sierra Leone', 'AFRO', '7', '1354', '1', '56');
INSERT INTO public.who_import VALUES (79856, '2020-06-26', 'SL', 'Sierra Leone', 'AFRO', '27', '1381', '0', '56');
INSERT INTO public.who_import VALUES (79857, '2020-06-27', 'SL', 'Sierra Leone', 'AFRO', '13', '1394', '3', '59');
INSERT INTO public.who_import VALUES (79858, '2020-06-28', 'SL', 'Sierra Leone', 'AFRO', '16', '1410', '0', '59');
INSERT INTO public.who_import VALUES (79859, '2020-06-29', 'SL', 'Sierra Leone', 'AFRO', '17', '1427', '1', '60');
INSERT INTO public.who_import VALUES (79860, '2020-06-30', 'SL', 'Sierra Leone', 'AFRO', '23', '1450', '0', '60');
INSERT INTO public.who_import VALUES (79861, '2020-07-01', 'SL', 'Sierra Leone', 'AFRO', '12', '1462', '0', '60');
INSERT INTO public.who_import VALUES (79862, '2020-07-02', 'SL', 'Sierra Leone', 'AFRO', '36', '1498', '0', '60');
INSERT INTO public.who_import VALUES (79863, '2020-07-03', 'SL', 'Sierra Leone', 'AFRO', '20', '1518', '0', '60');
INSERT INTO public.who_import VALUES (79864, '2020-07-04', 'SL', 'Sierra Leone', 'AFRO', '6', '1524', '2', '62');
INSERT INTO public.who_import VALUES (79865, '2020-07-05', 'SL', 'Sierra Leone', 'AFRO', '9', '1533', '0', '62');
INSERT INTO public.who_import VALUES (79866, '2020-07-06', 'SL', 'Sierra Leone', 'AFRO', '9', '1542', '0', '62');
INSERT INTO public.who_import VALUES (79867, '2020-07-07', 'SL', 'Sierra Leone', 'AFRO', '5', '1547', '0', '62');
INSERT INTO public.who_import VALUES (79868, '2020-07-08', 'SL', 'Sierra Leone', 'AFRO', '25', '1572', '1', '63');
INSERT INTO public.who_import VALUES (79869, '2020-07-09', 'SL', 'Sierra Leone', 'AFRO', '12', '1584', '0', '63');
INSERT INTO public.who_import VALUES (79870, '2020-07-10', 'SL', 'Sierra Leone', 'AFRO', '14', '1598', '0', '63');
INSERT INTO public.who_import VALUES (79871, '2020-07-11', 'SL', 'Sierra Leone', 'AFRO', '15', '1613', '0', '63');
INSERT INTO public.who_import VALUES (79872, '2020-07-12', 'SL', 'Sierra Leone', 'AFRO', '5', '1618', '0', '63');
INSERT INTO public.who_import VALUES (79873, '2020-07-13', 'SL', 'Sierra Leone', 'AFRO', '17', '1635', '0', '63');
INSERT INTO public.who_import VALUES (79874, '2020-07-14', 'SL', 'Sierra Leone', 'AFRO', '7', '1642', '0', '63');
INSERT INTO public.who_import VALUES (79875, '2020-07-15', 'SL', 'Sierra Leone', 'AFRO', '9', '1651', '1', '64');
INSERT INTO public.who_import VALUES (79876, '2020-07-16', 'SL', 'Sierra Leone', 'AFRO', '17', '1668', '0', '64');
INSERT INTO public.who_import VALUES (79877, '2020-07-17', 'SL', 'Sierra Leone', 'AFRO', '10', '1678', '0', '64');
INSERT INTO public.who_import VALUES (79878, '2020-07-18', 'SL', 'Sierra Leone', 'AFRO', '10', '1688', '1', '65');
INSERT INTO public.who_import VALUES (79879, '2020-07-19', 'SL', 'Sierra Leone', 'AFRO', '13', '1701', '0', '65');
INSERT INTO public.who_import VALUES (79880, '2020-07-20', 'SL', 'Sierra Leone', 'AFRO', '10', '1711', '0', '65');
INSERT INTO public.who_import VALUES (79881, '2020-07-21', 'SL', 'Sierra Leone', 'AFRO', '0', '1711', '1', '66');
INSERT INTO public.who_import VALUES (79882, '2020-07-22', 'SL', 'Sierra Leone', 'AFRO', '16', '1727', '0', '66');
INSERT INTO public.who_import VALUES (79883, '2020-07-23', 'SL', 'Sierra Leone', 'AFRO', '4', '1731', '0', '66');
INSERT INTO public.who_import VALUES (79884, '2020-07-24', 'SL', 'Sierra Leone', 'AFRO', '21', '1752', '0', '66');
INSERT INTO public.who_import VALUES (79885, '2020-07-25', 'SL', 'Sierra Leone', 'AFRO', '13', '1765', '0', '66');
INSERT INTO public.who_import VALUES (79886, '2020-07-26', 'SL', 'Sierra Leone', 'AFRO', '3', '1768', '0', '66');
INSERT INTO public.who_import VALUES (79887, '2020-07-27', 'SL', 'Sierra Leone', 'AFRO', '15', '1783', '0', '66');
INSERT INTO public.who_import VALUES (79888, '2020-07-28', 'SL', 'Sierra Leone', 'AFRO', '0', '1783', '0', '66');
INSERT INTO public.who_import VALUES (79889, '2020-07-29', 'SL', 'Sierra Leone', 'AFRO', '3', '1786', '0', '66');
INSERT INTO public.who_import VALUES (79890, '2020-07-30', 'SL', 'Sierra Leone', 'AFRO', '17', '1803', '1', '67');
INSERT INTO public.who_import VALUES (79891, '2020-07-31', 'SL', 'Sierra Leone', 'AFRO', '15', '1818', '0', '67');
INSERT INTO public.who_import VALUES (79892, '2020-08-01', 'SL', 'Sierra Leone', 'AFRO', '5', '1823', '0', '67');
INSERT INTO public.who_import VALUES (79893, '2020-08-02', 'SL', 'Sierra Leone', 'AFRO', '12', '1835', '0', '67');
INSERT INTO public.who_import VALUES (79894, '2020-08-03', 'SL', 'Sierra Leone', 'AFRO', '8', '1843', '0', '67');
INSERT INTO public.who_import VALUES (79895, '2020-08-04', 'SL', 'Sierra Leone', 'AFRO', '5', '1848', '0', '67');
INSERT INTO public.who_import VALUES (79896, '2020-08-05', 'SL', 'Sierra Leone', 'AFRO', '7', '1855', '0', '67');
INSERT INTO public.who_import VALUES (79897, '2020-08-06', 'SL', 'Sierra Leone', 'AFRO', '5', '1860', '0', '67');
INSERT INTO public.who_import VALUES (79898, '2020-08-07', 'SL', 'Sierra Leone', 'AFRO', '17', '1877', '1', '68');
INSERT INTO public.who_import VALUES (79899, '2020-08-08', 'SL', 'Sierra Leone', 'AFRO', '10', '1887', '0', '68');
INSERT INTO public.who_import VALUES (79900, '2020-08-09', 'SL', 'Sierra Leone', 'AFRO', '8', '1895', '0', '68');
INSERT INTO public.who_import VALUES (79901, '2020-08-10', 'SL', 'Sierra Leone', 'AFRO', '21', '1916', '0', '68');
INSERT INTO public.who_import VALUES (79902, '2020-08-11', 'SL', 'Sierra Leone', 'AFRO', '1', '1917', '1', '69');
INSERT INTO public.who_import VALUES (79903, '2020-08-12', 'SL', 'Sierra Leone', 'AFRO', '15', '1932', '0', '69');
INSERT INTO public.who_import VALUES (79904, '2020-08-13', 'SL', 'Sierra Leone', 'AFRO', '5', '1937', '0', '69');
INSERT INTO public.who_import VALUES (79905, '2020-08-14', 'SL', 'Sierra Leone', 'AFRO', '3', '1940', '0', '69');
INSERT INTO public.who_import VALUES (79906, '2020-08-15', 'SL', 'Sierra Leone', 'AFRO', '7', '1947', '0', '69');
INSERT INTO public.who_import VALUES (79907, '2020-08-16', 'SL', 'Sierra Leone', 'AFRO', '7', '1954', '0', '69');
INSERT INTO public.who_import VALUES (79908, '2020-08-17', 'SL', 'Sierra Leone', 'AFRO', '2', '1956', '0', '69');
INSERT INTO public.who_import VALUES (79909, '2020-08-18', 'SL', 'Sierra Leone', 'AFRO', '0', '1956', '0', '69');
INSERT INTO public.who_import VALUES (79910, '2020-08-19', 'SL', 'Sierra Leone', 'AFRO', '3', '1959', '0', '69');
INSERT INTO public.who_import VALUES (79911, '2020-08-20', 'SL', 'Sierra Leone', 'AFRO', '2', '1961', '0', '69');
INSERT INTO public.who_import VALUES (79912, '2020-08-21', 'SL', 'Sierra Leone', 'AFRO', '8', '1969', '0', '69');
INSERT INTO public.who_import VALUES (79913, '2020-08-22', 'SL', 'Sierra Leone', 'AFRO', '3', '1972', '0', '69');
INSERT INTO public.who_import VALUES (79914, '2020-08-23', 'SL', 'Sierra Leone', 'AFRO', '8', '1980', '0', '69');
INSERT INTO public.who_import VALUES (79915, '2020-08-24', 'SL', 'Sierra Leone', 'AFRO', '12', '1992', '0', '69');
INSERT INTO public.who_import VALUES (79916, '2020-08-25', 'SL', 'Sierra Leone', 'AFRO', '5', '1997', '0', '69');
INSERT INTO public.who_import VALUES (79917, '2020-08-26', 'SL', 'Sierra Leone', 'AFRO', '4', '2001', '0', '69');
INSERT INTO public.who_import VALUES (79918, '2020-08-27', 'SL', 'Sierra Leone', 'AFRO', '2', '2003', '0', '69');
INSERT INTO public.who_import VALUES (79919, '2020-08-28', 'SL', 'Sierra Leone', 'AFRO', '10', '2013', '1', '70');
INSERT INTO public.who_import VALUES (79920, '2020-08-29', 'SL', 'Sierra Leone', 'AFRO', '2', '2015', '0', '70');
INSERT INTO public.who_import VALUES (79921, '2020-08-30', 'SL', 'Sierra Leone', 'AFRO', '4', '2019', '0', '70');
INSERT INTO public.who_import VALUES (79922, '2020-08-31', 'SL', 'Sierra Leone', 'AFRO', '3', '2022', '0', '70');
INSERT INTO public.who_import VALUES (79923, '2020-09-01', 'SL', 'Sierra Leone', 'AFRO', '4', '2026', '0', '70');
INSERT INTO public.who_import VALUES (79924, '2020-09-02', 'SL', 'Sierra Leone', 'AFRO', '2', '2028', '1', '71');
INSERT INTO public.who_import VALUES (79925, '2020-09-03', 'SL', 'Sierra Leone', 'AFRO', '1', '2029', '0', '71');
INSERT INTO public.who_import VALUES (79926, '2020-09-04', 'SL', 'Sierra Leone', 'AFRO', '6', '2035', '0', '71');
INSERT INTO public.who_import VALUES (79927, '2020-09-05', 'SL', 'Sierra Leone', 'AFRO', '6', '2041', '0', '71');
INSERT INTO public.who_import VALUES (79928, '2020-09-06', 'SL', 'Sierra Leone', 'AFRO', '2', '2043', '0', '71');
INSERT INTO public.who_import VALUES (79929, '2020-09-07', 'SL', 'Sierra Leone', 'AFRO', '11', '2054', '0', '71');
INSERT INTO public.who_import VALUES (79930, '2020-09-08', 'SL', 'Sierra Leone', 'AFRO', '1', '2055', '0', '71');
INSERT INTO public.who_import VALUES (79931, '2020-09-09', 'SL', 'Sierra Leone', 'AFRO', '9', '2064', '1', '72');
INSERT INTO public.who_import VALUES (79932, '2020-09-10', 'SL', 'Sierra Leone', 'AFRO', '3', '2067', '0', '72');
INSERT INTO public.who_import VALUES (79933, '2020-09-11', 'SL', 'Sierra Leone', 'AFRO', '2', '2069', '0', '72');
INSERT INTO public.who_import VALUES (79934, '2020-09-12', 'SL', 'Sierra Leone', 'AFRO', '18', '2087', '0', '72');
INSERT INTO public.who_import VALUES (79935, '2020-09-13', 'SL', 'Sierra Leone', 'AFRO', '9', '2096', '0', '72');
INSERT INTO public.who_import VALUES (79936, '2020-09-14', 'SL', 'Sierra Leone', 'AFRO', '13', '2109', '0', '72');
INSERT INTO public.who_import VALUES (79937, '2020-09-15', 'SL', 'Sierra Leone', 'AFRO', '2', '2111', '0', '72');
INSERT INTO public.who_import VALUES (79938, '2020-09-16', 'SL', 'Sierra Leone', 'AFRO', '15', '2126', '0', '72');
INSERT INTO public.who_import VALUES (79939, '2020-09-17', 'SL', 'Sierra Leone', 'AFRO', '7', '2133', '0', '72');
INSERT INTO public.who_import VALUES (79940, '2020-09-18', 'SL', 'Sierra Leone', 'AFRO', '4', '2137', '0', '72');
INSERT INTO public.who_import VALUES (79941, '2020-09-19', 'SL', 'Sierra Leone', 'AFRO', '16', '2153', '0', '72');
INSERT INTO public.who_import VALUES (79942, '2020-09-20', 'SL', 'Sierra Leone', 'AFRO', '6', '2159', '0', '72');
INSERT INTO public.who_import VALUES (79943, '2020-09-21', 'SL', 'Sierra Leone', 'AFRO', '9', '2168', '0', '72');
INSERT INTO public.who_import VALUES (79944, '2020-09-22', 'SL', 'Sierra Leone', 'AFRO', '0', '2168', '0', '72');
INSERT INTO public.who_import VALUES (79945, '2020-09-23', 'SL', 'Sierra Leone', 'AFRO', '6', '2174', '0', '72');
INSERT INTO public.who_import VALUES (79946, '2020-09-24', 'SL', 'Sierra Leone', 'AFRO', '9', '2183', '0', '72');
INSERT INTO public.who_import VALUES (79947, '2020-09-25', 'SL', 'Sierra Leone', 'AFRO', '5', '2188', '0', '72');
INSERT INTO public.who_import VALUES (79948, '2020-09-26', 'SL', 'Sierra Leone', 'AFRO', '11', '2199', '0', '72');
INSERT INTO public.who_import VALUES (79949, '2020-09-27', 'SL', 'Sierra Leone', 'AFRO', '9', '2208', '0', '72');
INSERT INTO public.who_import VALUES (79950, '2020-09-28', 'SL', 'Sierra Leone', 'AFRO', '7', '2215', '0', '72');
INSERT INTO public.who_import VALUES (79951, '2020-09-29', 'SL', 'Sierra Leone', 'AFRO', '0', '2215', '0', '72');
INSERT INTO public.who_import VALUES (79952, '2020-09-30', 'SL', 'Sierra Leone', 'AFRO', '7', '2222', '0', '72');
INSERT INTO public.who_import VALUES (79953, '2020-10-01', 'SL', 'Sierra Leone', 'AFRO', '9', '2231', '0', '72');
INSERT INTO public.who_import VALUES (79954, '2020-10-02', 'SL', 'Sierra Leone', 'AFRO', '7', '2238', '0', '72');
INSERT INTO public.who_import VALUES (79955, '2020-10-03', 'SL', 'Sierra Leone', 'AFRO', '14', '2252', '0', '72');
INSERT INTO public.who_import VALUES (79956, '2020-10-04', 'SL', 'Sierra Leone', 'AFRO', '7', '2259', '0', '72');
INSERT INTO public.who_import VALUES (79957, '2020-10-05', 'SL', 'Sierra Leone', 'AFRO', '10', '2269', '0', '72');
INSERT INTO public.who_import VALUES (79958, '2020-10-06', 'SL', 'Sierra Leone', 'AFRO', '0', '2269', '0', '72');
INSERT INTO public.who_import VALUES (79959, '2020-10-07', 'SL', 'Sierra Leone', 'AFRO', '8', '2277', '0', '72');
INSERT INTO public.who_import VALUES (79960, '2020-10-08', 'SL', 'Sierra Leone', 'AFRO', '10', '2287', '0', '72');
INSERT INTO public.who_import VALUES (79961, '2020-10-09', 'SL', 'Sierra Leone', 'AFRO', '6', '2293', '0', '72');
INSERT INTO public.who_import VALUES (79962, '2020-10-10', 'SL', 'Sierra Leone', 'AFRO', '2', '2295', '0', '72');
INSERT INTO public.who_import VALUES (79963, '2020-10-11', 'SL', 'Sierra Leone', 'AFRO', '5', '2300', '0', '72');
INSERT INTO public.who_import VALUES (79964, '2020-10-12', 'SL', 'Sierra Leone', 'AFRO', '0', '2300', '0', '72');
INSERT INTO public.who_import VALUES (79965, '2020-10-13', 'SL', 'Sierra Leone', 'AFRO', '6', '2306', '0', '72');
INSERT INTO public.who_import VALUES (79966, '2020-10-14', 'SL', 'Sierra Leone', 'AFRO', '3', '2309', '0', '72');
INSERT INTO public.who_import VALUES (79967, '2020-10-15', 'SL', 'Sierra Leone', 'AFRO', '6', '2315', '1', '73');
INSERT INTO public.who_import VALUES (79968, '2020-10-16', 'SL', 'Sierra Leone', 'AFRO', '8', '2323', '0', '73');
INSERT INTO public.who_import VALUES (79969, '2020-10-17', 'SL', 'Sierra Leone', 'AFRO', '2', '2325', '0', '73');
INSERT INTO public.who_import VALUES (79970, '2020-10-18', 'SL', 'Sierra Leone', 'AFRO', '2', '2327', '0', '73');
INSERT INTO public.who_import VALUES (79971, '2020-10-19', 'SL', 'Sierra Leone', 'AFRO', '3', '2330', '0', '73');
INSERT INTO public.who_import VALUES (79972, '2020-10-20', 'SL', 'Sierra Leone', 'AFRO', '1', '2331', '0', '73');
INSERT INTO public.who_import VALUES (79973, '2020-10-21', 'SL', 'Sierra Leone', 'AFRO', '5', '2336', '0', '73');
INSERT INTO public.who_import VALUES (79974, '2020-10-22', 'SL', 'Sierra Leone', 'AFRO', '1', '2337', '0', '73');
INSERT INTO public.who_import VALUES (79975, '2020-10-23', 'SL', 'Sierra Leone', 'AFRO', '3', '2340', '0', '73');
INSERT INTO public.who_import VALUES (79976, '2020-10-24', 'SL', 'Sierra Leone', 'AFRO', '3', '2343', '1', '74');
INSERT INTO public.who_import VALUES (79977, '2020-10-25', 'SL', 'Sierra Leone', 'AFRO', '2', '2345', '0', '74');
INSERT INTO public.who_import VALUES (79978, '2020-10-26', 'SL', 'Sierra Leone', 'AFRO', '1', '2346', '0', '74');
INSERT INTO public.who_import VALUES (79979, '2020-10-27', 'SL', 'Sierra Leone', 'AFRO', '0', '2346', '0', '74');
INSERT INTO public.who_import VALUES (79980, '2020-10-28', 'SL', 'Sierra Leone', 'AFRO', '4', '2350', '0', '74');
INSERT INTO public.who_import VALUES (79981, '2020-10-29', 'SL', 'Sierra Leone', 'AFRO', '4', '2354', '0', '74');
INSERT INTO public.who_import VALUES (79982, '2020-10-30', 'SL', 'Sierra Leone', 'AFRO', '8', '2362', '0', '74');
INSERT INTO public.who_import VALUES (79983, '2020-10-31', 'SL', 'Sierra Leone', 'AFRO', '3', '2365', '0', '74');
INSERT INTO public.who_import VALUES (79984, '2020-11-01', 'SL', 'Sierra Leone', 'AFRO', '1', '2366', '0', '74');
INSERT INTO public.who_import VALUES (79985, '2020-11-02', 'SL', 'Sierra Leone', 'AFRO', '0', '2366', '0', '74');
INSERT INTO public.who_import VALUES (79986, '2020-11-03', 'SL', 'Sierra Leone', 'AFRO', '0', '2366', '0', '74');
INSERT INTO public.who_import VALUES (79987, '2020-11-04', 'SL', 'Sierra Leone', 'AFRO', '2', '2368', '0', '74');
INSERT INTO public.who_import VALUES (79988, '2020-11-05', 'SL', 'Sierra Leone', 'AFRO', '1', '2369', '0', '74');
INSERT INTO public.who_import VALUES (79989, '2020-11-06', 'SL', 'Sierra Leone', 'AFRO', '4', '2373', '0', '74');
INSERT INTO public.who_import VALUES (79990, '2020-11-07', 'SL', 'Sierra Leone', 'AFRO', '0', '2373', '0', '74');
INSERT INTO public.who_import VALUES (79991, '2020-11-08', 'SL', 'Sierra Leone', 'AFRO', '0', '2373', '0', '74');
INSERT INTO public.who_import VALUES (79992, '2020-11-09', 'SL', 'Sierra Leone', 'AFRO', '10', '2383', '0', '74');
INSERT INTO public.who_import VALUES (79993, '2020-11-10', 'SL', 'Sierra Leone', 'AFRO', '0', '2383', '0', '74');
INSERT INTO public.who_import VALUES (79994, '2020-11-11', 'SL', 'Sierra Leone', 'AFRO', '0', '2383', '0', '74');
INSERT INTO public.who_import VALUES (79995, '2020-11-12', 'SL', 'Sierra Leone', 'AFRO', '3', '2386', '0', '74');
INSERT INTO public.who_import VALUES (79996, '2020-11-13', 'SL', 'Sierra Leone', 'AFRO', '0', '2386', '0', '74');
INSERT INTO public.who_import VALUES (79997, '2020-11-14', 'SL', 'Sierra Leone', 'AFRO', '3', '2389', '0', '74');
INSERT INTO public.who_import VALUES (79998, '2020-11-15', 'SL', 'Sierra Leone', 'AFRO', '0', '2389', '0', '74');
INSERT INTO public.who_import VALUES (79999, '2020-11-16', 'SL', 'Sierra Leone', 'AFRO', '2', '2391', '0', '74');
INSERT INTO public.who_import VALUES (80000, '2020-11-17', 'SL', 'Sierra Leone', 'AFRO', '0', '2391', '0', '74');
INSERT INTO public.who_import VALUES (80001, '2020-11-18', 'SL', 'Sierra Leone', 'AFRO', '0', '2391', '0', '74');
INSERT INTO public.who_import VALUES (80002, '2020-11-19', 'SL', 'Sierra Leone', 'AFRO', '6', '2397', '0', '74');
INSERT INTO public.who_import VALUES (80003, '2020-11-20', 'SL', 'Sierra Leone', 'AFRO', '0', '2397', '0', '74');
INSERT INTO public.who_import VALUES (80004, '2020-11-21', 'SL', 'Sierra Leone', 'AFRO', '2', '2399', '0', '74');
INSERT INTO public.who_import VALUES (80005, '2020-11-22', 'SL', 'Sierra Leone', 'AFRO', '6', '2405', '0', '74');
INSERT INTO public.who_import VALUES (80006, '2020-11-23', 'SL', 'Sierra Leone', 'AFRO', '0', '2405', '0', '74');
INSERT INTO public.who_import VALUES (80007, '2020-11-24', 'SL', 'Sierra Leone', 'AFRO', '1', '2406', '0', '74');
INSERT INTO public.who_import VALUES (80008, '2020-11-25', 'SL', 'Sierra Leone', 'AFRO', '0', '2406', '0', '74');
INSERT INTO public.who_import VALUES (80009, '2020-11-26', 'SL', 'Sierra Leone', 'AFRO', '2', '2408', '0', '74');
INSERT INTO public.who_import VALUES (80010, '2020-11-27', 'SL', 'Sierra Leone', 'AFRO', '1', '2409', '0', '74');
INSERT INTO public.who_import VALUES (80011, '2020-11-28', 'SL', 'Sierra Leone', 'AFRO', '1', '2410', '0', '74');
INSERT INTO public.who_import VALUES (80012, '2020-11-29', 'SL', 'Sierra Leone', 'AFRO', '0', '2410', '0', '74');
INSERT INTO public.who_import VALUES (80013, '2020-11-30', 'SL', 'Sierra Leone', 'AFRO', '1', '2411', '0', '74');
INSERT INTO public.who_import VALUES (80014, '2020-12-01', 'SL', 'Sierra Leone', 'AFRO', '1', '2412', '0', '74');
INSERT INTO public.who_import VALUES (80015, '2020-12-02', 'SL', 'Sierra Leone', 'AFRO', '1', '2413', '0', '74');
INSERT INTO public.who_import VALUES (80016, '2020-12-03', 'SL', 'Sierra Leone', 'AFRO', '3', '2416', '0', '74');
INSERT INTO public.who_import VALUES (80017, '2020-12-04', 'SL', 'Sierra Leone', 'AFRO', '0', '2416', '0', '74');
INSERT INTO public.who_import VALUES (80018, '2020-12-05', 'SL', 'Sierra Leone', 'AFRO', '4', '2420', '0', '74');
INSERT INTO public.who_import VALUES (80019, '2020-12-06', 'SL', 'Sierra Leone', 'AFRO', '0', '2420', '0', '74');
INSERT INTO public.who_import VALUES (80020, '2020-12-07', 'SL', 'Sierra Leone', 'AFRO', '6', '2426', '0', '74');
INSERT INTO public.who_import VALUES (80021, '2020-12-08', 'SL', 'Sierra Leone', 'AFRO', '2', '2428', '0', '74');
INSERT INTO public.who_import VALUES (80022, '2020-12-09', 'SL', 'Sierra Leone', 'AFRO', '0', '2428', '0', '74');
INSERT INTO public.who_import VALUES (80023, '2020-12-10', 'SL', 'Sierra Leone', 'AFRO', '6', '2434', '0', '74');
INSERT INTO public.who_import VALUES (80024, '2020-12-11', 'SL', 'Sierra Leone', 'AFRO', '1', '2435', '1', '75');
INSERT INTO public.who_import VALUES (80025, '2020-12-12', 'SL', 'Sierra Leone', 'AFRO', '0', '2435', '0', '75');
INSERT INTO public.who_import VALUES (80026, '2020-12-13', 'SL', 'Sierra Leone', 'AFRO', '0', '2435', '0', '75');
INSERT INTO public.who_import VALUES (80027, '2020-12-14', 'SL', 'Sierra Leone', 'AFRO', '7', '2442', '0', '75');
INSERT INTO public.who_import VALUES (80028, '2020-12-15', 'SL', 'Sierra Leone', 'AFRO', '3', '2445', '0', '75');
INSERT INTO public.who_import VALUES (80029, '2020-12-16', 'SL', 'Sierra Leone', 'AFRO', '6', '2451', '0', '75');
INSERT INTO public.who_import VALUES (80030, '2020-12-17', 'SL', 'Sierra Leone', 'AFRO', '0', '2451', '0', '75');
INSERT INTO public.who_import VALUES (80031, '2020-12-18', 'SL', 'Sierra Leone', 'AFRO', '13', '2464', '0', '75');
INSERT INTO public.who_import VALUES (80032, '2020-12-19', 'SL', 'Sierra Leone', 'AFRO', '22', '2486', '0', '75');
INSERT INTO public.who_import VALUES (80033, '2020-12-20', 'SL', 'Sierra Leone', 'AFRO', '0', '2486', '0', '75');
INSERT INTO public.who_import VALUES (80034, '2020-12-21', 'SL', 'Sierra Leone', 'AFRO', '11', '2497', '0', '75');
INSERT INTO public.who_import VALUES (80035, '2020-12-22', 'SL', 'Sierra Leone', 'AFRO', '0', '2497', '0', '75');
INSERT INTO public.who_import VALUES (80036, '2020-12-23', 'SL', 'Sierra Leone', 'AFRO', '0', '2497', '0', '75');
INSERT INTO public.who_import VALUES (80037, '2020-12-24', 'SL', 'Sierra Leone', 'AFRO', '0', '2497', '0', '75');
INSERT INTO public.who_import VALUES (80038, '2020-12-25', 'SL', 'Sierra Leone', 'AFRO', '0', '2497', '0', '75');
INSERT INTO public.who_import VALUES (80039, '2020-12-26', 'SL', 'Sierra Leone', 'AFRO', '52', '2549', '1', '76');
INSERT INTO public.who_import VALUES (80040, '2020-12-27', 'SL', 'Sierra Leone', 'AFRO', '0', '2549', '0', '76');
INSERT INTO public.who_import VALUES (80041, '2020-12-28', 'SL', 'Sierra Leone', 'AFRO', '0', '2549', '0', '76');
INSERT INTO public.who_import VALUES (80042, '2020-12-29', 'SL', 'Sierra Leone', 'AFRO', '11', '2560', '0', '76');
INSERT INTO public.who_import VALUES (80043, '2020-12-30', 'SL', 'Sierra Leone', 'AFRO', '0', '2560', '0', '76');
INSERT INTO public.who_import VALUES (80044, '2020-12-31', 'SL', 'Sierra Leone', 'AFRO', '0', '2560', '0', '76');
INSERT INTO public.who_import VALUES (80045, '2021-01-01', 'SL', 'Sierra Leone', 'AFRO', '0', '2560', '0', '76');
INSERT INTO public.who_import VALUES (80046, '2021-01-02', 'SL', 'Sierra Leone', 'AFRO', '0', '2560', '0', '76');
INSERT INTO public.who_import VALUES (80047, '2021-01-03', 'SL', 'Sierra Leone', 'AFRO', '0', '2560', '0', '76');
INSERT INTO public.who_import VALUES (80048, '2021-01-04', 'SL', 'Sierra Leone', 'AFRO', '113', '2673', '0', '76');
INSERT INTO public.who_import VALUES (80049, '2021-01-05', 'SL', 'Sierra Leone', 'AFRO', '0', '2673', '0', '76');
INSERT INTO public.who_import VALUES (80050, '2021-01-06', 'SL', 'Sierra Leone', 'AFRO', '51', '2724', '0', '76');
INSERT INTO public.who_import VALUES (80051, '2021-01-07', 'SL', 'Sierra Leone', 'AFRO', '15', '2739', '0', '76');
INSERT INTO public.who_import VALUES (80052, '2021-01-08', 'SL', 'Sierra Leone', 'AFRO', '18', '2757', '1', '77');
INSERT INTO public.who_import VALUES (80053, '2021-01-09', 'SL', 'Sierra Leone', 'AFRO', '25', '2782', '0', '77');
INSERT INTO public.who_import VALUES (80054, '2021-01-10', 'SL', 'Sierra Leone', 'AFRO', '21', '2803', '0', '77');
INSERT INTO public.who_import VALUES (80055, '2021-01-11', 'SL', 'Sierra Leone', 'AFRO', '31', '2834', '0', '77');
INSERT INTO public.who_import VALUES (80056, '2021-01-12', 'SL', 'Sierra Leone', 'AFRO', '12', '2846', '0', '77');
INSERT INTO public.who_import VALUES (80057, '2021-01-13', 'SL', 'Sierra Leone', 'AFRO', '18', '2864', '0', '77');
INSERT INTO public.who_import VALUES (80058, '2021-01-14', 'SL', 'Sierra Leone', 'AFRO', '23', '2887', '0', '77');
INSERT INTO public.who_import VALUES (80059, '2021-01-15', 'SL', 'Sierra Leone', 'AFRO', '46', '2933', '0', '77');
INSERT INTO public.who_import VALUES (80060, '2021-01-16', 'SL', 'Sierra Leone', 'AFRO', '26', '2959', '0', '77');
INSERT INTO public.who_import VALUES (80061, '2021-01-17', 'SL', 'Sierra Leone', 'AFRO', '11', '2970', '0', '77');
INSERT INTO public.who_import VALUES (80062, '2021-01-18', 'SL', 'Sierra Leone', 'AFRO', '36', '3006', '0', '77');
INSERT INTO public.who_import VALUES (80063, '2021-01-19', 'SL', 'Sierra Leone', 'AFRO', '8', '3014', '0', '77');
INSERT INTO public.who_import VALUES (80064, '2021-01-20', 'SL', 'Sierra Leone', 'AFRO', '16', '3030', '0', '77');
INSERT INTO public.who_import VALUES (80065, '2021-01-21', 'SL', 'Sierra Leone', 'AFRO', '21', '3051', '0', '77');
INSERT INTO public.who_import VALUES (80066, '2021-01-22', 'SL', 'Sierra Leone', 'AFRO', '30', '3081', '0', '77');
INSERT INTO public.who_import VALUES (80067, '2021-01-23', 'SL', 'Sierra Leone', 'AFRO', '12', '3093', '0', '77');
INSERT INTO public.who_import VALUES (80068, '2021-01-24', 'SL', 'Sierra Leone', 'AFRO', '27', '3120', '0', '77');
INSERT INTO public.who_import VALUES (80069, '2021-01-25', 'SL', 'Sierra Leone', 'AFRO', '19', '3139', '0', '77');
INSERT INTO public.who_import VALUES (80070, '2021-01-26', 'SL', 'Sierra Leone', 'AFRO', '34', '3173', '0', '77');
INSERT INTO public.who_import VALUES (80071, '2021-01-27', 'SL', 'Sierra Leone', 'AFRO', '21', '3194', '0', '77');
INSERT INTO public.who_import VALUES (80072, '2021-01-28', 'SL', 'Sierra Leone', 'AFRO', '42', '3236', '0', '77');
INSERT INTO public.who_import VALUES (80073, '2021-01-29', 'SL', 'Sierra Leone', 'AFRO', '46', '3282', '0', '77');
INSERT INTO public.who_import VALUES (80074, '2021-01-30', 'SL', 'Sierra Leone', 'AFRO', '100', '3382', '2', '79');
INSERT INTO public.who_import VALUES (80075, '2021-01-31', 'SL', 'Sierra Leone', 'AFRO', '146', '3528', '0', '79');
INSERT INTO public.who_import VALUES (80076, '2021-02-01', 'SL', 'Sierra Leone', 'AFRO', '65', '3593', '0', '79');
INSERT INTO public.who_import VALUES (80077, '2021-02-02', 'SL', 'Sierra Leone', 'AFRO', '41', '3634', '0', '79');
INSERT INTO public.who_import VALUES (80078, '2021-02-03', 'SL', 'Sierra Leone', 'AFRO', '26', '3660', '0', '79');
INSERT INTO public.who_import VALUES (80079, '2021-02-04', 'SL', 'Sierra Leone', 'AFRO', '39', '3699', '0', '79');
INSERT INTO public.who_import VALUES (80080, '2021-02-05', 'SL', 'Sierra Leone', 'AFRO', '29', '3728', '0', '79');
INSERT INTO public.who_import VALUES (80081, '2021-02-06', 'SL', 'Sierra Leone', 'AFRO', '31', '3759', '0', '79');
INSERT INTO public.who_import VALUES (80082, '2021-02-07', 'SL', 'Sierra Leone', 'AFRO', '0', '3759', '0', '79');
INSERT INTO public.who_import VALUES (80083, '2021-02-08', 'SL', 'Sierra Leone', 'AFRO', '26', '3785', '0', '79');
INSERT INTO public.who_import VALUES (80084, '2021-02-09', 'SL', 'Sierra Leone', 'AFRO', '4', '3789', '0', '79');
INSERT INTO public.who_import VALUES (80085, '2021-02-10', 'SL', 'Sierra Leone', 'AFRO', '0', '3789', '0', '79');
INSERT INTO public.who_import VALUES (80086, '2021-02-11', 'SL', 'Sierra Leone', 'AFRO', '14', '3803', '0', '79');
INSERT INTO public.who_import VALUES (80087, '2021-02-12', 'SL', 'Sierra Leone', 'AFRO', '10', '3813', '0', '79');
INSERT INTO public.who_import VALUES (80088, '2021-02-13', 'SL', 'Sierra Leone', 'AFRO', '4', '3817', '0', '79');
INSERT INTO public.who_import VALUES (80089, '2021-02-14', 'SL', 'Sierra Leone', 'AFRO', '4', '3821', '0', '79');
INSERT INTO public.who_import VALUES (80090, '2021-02-15', 'SL', 'Sierra Leone', 'AFRO', '0', '3821', '0', '79');
INSERT INTO public.who_import VALUES (80091, '2021-02-16', 'SL', 'Sierra Leone', 'AFRO', '2', '3823', '0', '79');
INSERT INTO public.who_import VALUES (80092, '2021-02-17', 'SL', 'Sierra Leone', 'AFRO', '2', '3825', '0', '79');
INSERT INTO public.who_import VALUES (80093, '2021-02-18', 'SL', 'Sierra Leone', 'AFRO', '0', '3825', '0', '79');
INSERT INTO public.who_import VALUES (80094, '2021-02-19', 'SL', 'Sierra Leone', 'AFRO', '4', '3829', '0', '79');
INSERT INTO public.who_import VALUES (80095, '2021-02-20', 'SL', 'Sierra Leone', 'AFRO', '12', '3841', '0', '79');
INSERT INTO public.who_import VALUES (80096, '2020-01-03', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80097, '2020-01-04', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80098, '2020-01-05', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80099, '2020-01-06', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80100, '2020-01-07', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80101, '2020-01-08', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80102, '2020-01-09', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80103, '2020-01-10', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80104, '2020-01-11', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80105, '2020-01-12', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80106, '2020-01-13', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80107, '2020-01-14', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80108, '2020-01-15', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80109, '2020-01-16', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80110, '2020-01-17', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80111, '2020-01-18', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80112, '2020-01-19', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80113, '2020-01-20', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80114, '2020-01-21', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80115, '2020-01-22', 'SG', 'Singapore', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80116, '2020-01-23', 'SG', 'Singapore', 'WPRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (80117, '2020-01-24', 'SG', 'Singapore', 'WPRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (80118, '2020-01-25', 'SG', 'Singapore', 'WPRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (80119, '2020-01-26', 'SG', 'Singapore', 'WPRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (80120, '2020-01-27', 'SG', 'Singapore', 'WPRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (80121, '2020-01-28', 'SG', 'Singapore', 'WPRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (80122, '2020-01-29', 'SG', 'Singapore', 'WPRO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (80123, '2020-01-30', 'SG', 'Singapore', 'WPRO', '3', '17', '0', '0');
INSERT INTO public.who_import VALUES (80124, '2020-01-31', 'SG', 'Singapore', 'WPRO', '3', '20', '0', '0');
INSERT INTO public.who_import VALUES (80125, '2020-02-01', 'SG', 'Singapore', 'WPRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (80126, '2020-02-02', 'SG', 'Singapore', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (80127, '2020-02-03', 'SG', 'Singapore', 'WPRO', '0', '22', '0', '0');
INSERT INTO public.who_import VALUES (80128, '2020-02-04', 'SG', 'Singapore', 'WPRO', '6', '28', '0', '0');
INSERT INTO public.who_import VALUES (80129, '2020-02-05', 'SG', 'Singapore', 'WPRO', '4', '32', '0', '0');
INSERT INTO public.who_import VALUES (80130, '2020-02-06', 'SG', 'Singapore', 'WPRO', '2', '34', '0', '0');
INSERT INTO public.who_import VALUES (80131, '2020-02-07', 'SG', 'Singapore', 'WPRO', '3', '37', '0', '0');
INSERT INTO public.who_import VALUES (80132, '2020-02-08', 'SG', 'Singapore', 'WPRO', '7', '44', '0', '0');
INSERT INTO public.who_import VALUES (80133, '2020-02-09', 'SG', 'Singapore', 'WPRO', '3', '47', '0', '0');
INSERT INTO public.who_import VALUES (80134, '2020-02-10', 'SG', 'Singapore', 'WPRO', '2', '49', '0', '0');
INSERT INTO public.who_import VALUES (80135, '2020-02-11', 'SG', 'Singapore', 'WPRO', '2', '51', '0', '0');
INSERT INTO public.who_import VALUES (80136, '2020-02-12', 'SG', 'Singapore', 'WPRO', '3', '54', '0', '0');
INSERT INTO public.who_import VALUES (80137, '2020-02-13', 'SG', 'Singapore', 'WPRO', '8', '62', '0', '0');
INSERT INTO public.who_import VALUES (80138, '2020-02-14', 'SG', 'Singapore', 'WPRO', '9', '71', '0', '0');
INSERT INTO public.who_import VALUES (80139, '2020-02-15', 'SG', 'Singapore', 'WPRO', '5', '76', '0', '0');
INSERT INTO public.who_import VALUES (80140, '2020-02-16', 'SG', 'Singapore', 'WPRO', '3', '79', '0', '0');
INSERT INTO public.who_import VALUES (80141, '2020-02-17', 'SG', 'Singapore', 'WPRO', '2', '81', '0', '0');
INSERT INTO public.who_import VALUES (80142, '2020-02-18', 'SG', 'Singapore', 'WPRO', '4', '85', '0', '0');
INSERT INTO public.who_import VALUES (80143, '2020-02-19', 'SG', 'Singapore', 'WPRO', '3', '88', '0', '0');
INSERT INTO public.who_import VALUES (80144, '2020-02-20', 'SG', 'Singapore', 'WPRO', '1', '89', '0', '0');
INSERT INTO public.who_import VALUES (80145, '2020-02-21', 'SG', 'Singapore', 'WPRO', '1', '90', '0', '0');
INSERT INTO public.who_import VALUES (80146, '2020-02-22', 'SG', 'Singapore', 'WPRO', '3', '93', '0', '0');
INSERT INTO public.who_import VALUES (80147, '2020-02-23', 'SG', 'Singapore', 'WPRO', '0', '93', '0', '0');
INSERT INTO public.who_import VALUES (80148, '2020-02-24', 'SG', 'Singapore', 'WPRO', '1', '94', '0', '0');
INSERT INTO public.who_import VALUES (80149, '2020-02-25', 'SG', 'Singapore', 'WPRO', '1', '95', '0', '0');
INSERT INTO public.who_import VALUES (80150, '2020-02-26', 'SG', 'Singapore', 'WPRO', '2', '97', '0', '0');
INSERT INTO public.who_import VALUES (80151, '2020-02-27', 'SG', 'Singapore', 'WPRO', '3', '100', '0', '0');
INSERT INTO public.who_import VALUES (80152, '2020-02-28', 'SG', 'Singapore', 'WPRO', '2', '102', '0', '0');
INSERT INTO public.who_import VALUES (80153, '2020-02-29', 'SG', 'Singapore', 'WPRO', '4', '106', '0', '0');
INSERT INTO public.who_import VALUES (80154, '2020-03-01', 'SG', 'Singapore', 'WPRO', '4', '110', '0', '0');
INSERT INTO public.who_import VALUES (80155, '2020-03-02', 'SG', 'Singapore', 'WPRO', '2', '112', '0', '0');
INSERT INTO public.who_import VALUES (80156, '2020-03-03', 'SG', 'Singapore', 'WPRO', '2', '114', '0', '0');
INSERT INTO public.who_import VALUES (80157, '2020-03-04', 'SG', 'Singapore', 'WPRO', '0', '114', '0', '0');
INSERT INTO public.who_import VALUES (80158, '2020-03-05', 'SG', 'Singapore', 'WPRO', '7', '121', '0', '0');
INSERT INTO public.who_import VALUES (80159, '2020-03-06', 'SG', 'Singapore', 'WPRO', '13', '134', '0', '0');
INSERT INTO public.who_import VALUES (80160, '2020-03-07', 'SG', 'Singapore', 'WPRO', '8', '142', '0', '0');
INSERT INTO public.who_import VALUES (80161, '2020-03-08', 'SG', 'Singapore', 'WPRO', '12', '154', '0', '0');
INSERT INTO public.who_import VALUES (80162, '2020-03-09', 'SG', 'Singapore', 'WPRO', '10', '164', '0', '0');
INSERT INTO public.who_import VALUES (80163, '2020-03-10', 'SG', 'Singapore', 'WPRO', '6', '170', '0', '0');
INSERT INTO public.who_import VALUES (80164, '2020-03-11', 'SG', 'Singapore', 'WPRO', '12', '182', '0', '0');
INSERT INTO public.who_import VALUES (80165, '2020-03-12', 'SG', 'Singapore', 'WPRO', '9', '191', '0', '0');
INSERT INTO public.who_import VALUES (80166, '2020-03-13', 'SG', 'Singapore', 'WPRO', '13', '204', '0', '0');
INSERT INTO public.who_import VALUES (80167, '2020-03-14', 'SG', 'Singapore', 'WPRO', '12', '216', '0', '0');
INSERT INTO public.who_import VALUES (80168, '2020-03-15', 'SG', 'Singapore', 'WPRO', '14', '230', '0', '0');
INSERT INTO public.who_import VALUES (80169, '2020-03-16', 'SG', 'Singapore', 'WPRO', '17', '247', '0', '0');
INSERT INTO public.who_import VALUES (80170, '2020-03-17', 'SG', 'Singapore', 'WPRO', '23', '270', '0', '0');
INSERT INTO public.who_import VALUES (80171, '2020-03-18', 'SG', 'Singapore', 'WPRO', '47', '317', '0', '0');
INSERT INTO public.who_import VALUES (80172, '2020-03-19', 'SG', 'Singapore', 'WPRO', '28', '345', '0', '0');
INSERT INTO public.who_import VALUES (80173, '2020-03-20', 'SG', 'Singapore', 'WPRO', '40', '385', '2', '2');
INSERT INTO public.who_import VALUES (80174, '2020-03-21', 'SG', 'Singapore', 'WPRO', '47', '432', '0', '2');
INSERT INTO public.who_import VALUES (80175, '2020-03-22', 'SG', 'Singapore', 'WPRO', '0', '432', '0', '2');
INSERT INTO public.who_import VALUES (80176, '2020-03-23', 'SG', 'Singapore', 'WPRO', '23', '455', '0', '2');
INSERT INTO public.who_import VALUES (80177, '2020-03-24', 'SG', 'Singapore', 'WPRO', '52', '507', '0', '2');
INSERT INTO public.who_import VALUES (80178, '2020-03-25', 'SG', 'Singapore', 'WPRO', '51', '558', '0', '2');
INSERT INTO public.who_import VALUES (80179, '2020-03-26', 'SG', 'Singapore', 'WPRO', '73', '631', '0', '2');
INSERT INTO public.who_import VALUES (80180, '2020-03-27', 'SG', 'Singapore', 'WPRO', '52', '683', '0', '2');
INSERT INTO public.who_import VALUES (80181, '2020-03-28', 'SG', 'Singapore', 'WPRO', '49', '732', '0', '2');
INSERT INTO public.who_import VALUES (80182, '2020-03-29', 'SG', 'Singapore', 'WPRO', '70', '802', '0', '2');
INSERT INTO public.who_import VALUES (80183, '2020-03-30', 'SG', 'Singapore', 'WPRO', '42', '844', '1', '3');
INSERT INTO public.who_import VALUES (80184, '2020-03-31', 'SG', 'Singapore', 'WPRO', '35', '879', '0', '3');
INSERT INTO public.who_import VALUES (80185, '2020-04-01', 'SG', 'Singapore', 'WPRO', '47', '926', '0', '3');
INSERT INTO public.who_import VALUES (80186, '2020-04-02', 'SG', 'Singapore', 'WPRO', '74', '1000', '0', '3');
INSERT INTO public.who_import VALUES (80187, '2020-04-03', 'SG', 'Singapore', 'WPRO', '49', '1049', '1', '4');
INSERT INTO public.who_import VALUES (80188, '2020-04-04', 'SG', 'Singapore', 'WPRO', '65', '1114', '1', '5');
INSERT INTO public.who_import VALUES (80189, '2020-04-05', 'SG', 'Singapore', 'WPRO', '75', '1189', '0', '5');
INSERT INTO public.who_import VALUES (80190, '2020-04-06', 'SG', 'Singapore', 'WPRO', '120', '1309', '1', '6');
INSERT INTO public.who_import VALUES (80191, '2020-04-07', 'SG', 'Singapore', 'WPRO', '66', '1375', '0', '6');
INSERT INTO public.who_import VALUES (80192, '2020-04-08', 'SG', 'Singapore', 'WPRO', '106', '1481', '0', '6');
INSERT INTO public.who_import VALUES (80193, '2020-04-09', 'SG', 'Singapore', 'WPRO', '142', '1623', '0', '6');
INSERT INTO public.who_import VALUES (80194, '2020-04-10', 'SG', 'Singapore', 'WPRO', '287', '1910', '1', '7');
INSERT INTO public.who_import VALUES (80195, '2020-04-11', 'SG', 'Singapore', 'WPRO', '198', '2108', '0', '7');
INSERT INTO public.who_import VALUES (80196, '2020-04-12', 'SG', 'Singapore', 'WPRO', '191', '2299', '1', '8');
INSERT INTO public.who_import VALUES (80197, '2020-04-13', 'SG', 'Singapore', 'WPRO', '233', '2532', '0', '8');
INSERT INTO public.who_import VALUES (80198, '2020-04-14', 'SG', 'Singapore', 'WPRO', '386', '2918', '1', '9');
INSERT INTO public.who_import VALUES (80199, '2020-04-15', 'SG', 'Singapore', 'WPRO', '334', '3252', '1', '10');
INSERT INTO public.who_import VALUES (80200, '2020-04-16', 'SG', 'Singapore', 'WPRO', '447', '3699', '0', '10');
INSERT INTO public.who_import VALUES (80201, '2020-04-17', 'SG', 'Singapore', 'WPRO', '728', '4427', '0', '10');
INSERT INTO public.who_import VALUES (80202, '2020-04-18', 'SG', 'Singapore', 'WPRO', '623', '5050', '1', '11');
INSERT INTO public.who_import VALUES (80203, '2020-04-19', 'SG', 'Singapore', 'WPRO', '942', '5992', '0', '11');
INSERT INTO public.who_import VALUES (80204, '2020-04-20', 'SG', 'Singapore', 'WPRO', '596', '6588', '0', '11');
INSERT INTO public.who_import VALUES (80205, '2020-04-21', 'SG', 'Singapore', 'WPRO', '1426', '8014', '0', '11');
INSERT INTO public.who_import VALUES (80206, '2020-04-22', 'SG', 'Singapore', 'WPRO', '1111', '9125', '0', '11');
INSERT INTO public.who_import VALUES (80207, '2020-04-23', 'SG', 'Singapore', 'WPRO', '1016', '10141', '1', '12');
INSERT INTO public.who_import VALUES (80208, '2020-04-24', 'SG', 'Singapore', 'WPRO', '1037', '11178', '0', '12');
INSERT INTO public.who_import VALUES (80209, '2020-04-25', 'SG', 'Singapore', 'WPRO', '897', '12075', '0', '12');
INSERT INTO public.who_import VALUES (80210, '2020-04-26', 'SG', 'Singapore', 'WPRO', '618', '12693', '0', '12');
INSERT INTO public.who_import VALUES (80211, '2020-04-27', 'SG', 'Singapore', 'WPRO', '931', '13624', '0', '12');
INSERT INTO public.who_import VALUES (80212, '2020-04-28', 'SG', 'Singapore', 'WPRO', '799', '14423', '2', '14');
INSERT INTO public.who_import VALUES (80213, '2020-04-29', 'SG', 'Singapore', 'WPRO', '528', '14951', '0', '14');
INSERT INTO public.who_import VALUES (80214, '2020-04-30', 'SG', 'Singapore', 'WPRO', '690', '15641', '0', '14');
INSERT INTO public.who_import VALUES (80215, '2020-05-01', 'SG', 'Singapore', 'WPRO', '528', '16169', '1', '15');
INSERT INTO public.who_import VALUES (80216, '2020-05-02', 'SG', 'Singapore', 'WPRO', '932', '17101', '1', '16');
INSERT INTO public.who_import VALUES (80217, '2020-05-03', 'SG', 'Singapore', 'WPRO', '447', '17548', '1', '17');
INSERT INTO public.who_import VALUES (80218, '2020-05-04', 'SG', 'Singapore', 'WPRO', '657', '18205', '1', '18');
INSERT INTO public.who_import VALUES (80219, '2020-05-05', 'SG', 'Singapore', 'WPRO', '573', '18778', '0', '18');
INSERT INTO public.who_import VALUES (80220, '2020-05-06', 'SG', 'Singapore', 'WPRO', '632', '19410', '0', '18');
INSERT INTO public.who_import VALUES (80221, '2020-05-07', 'SG', 'Singapore', 'WPRO', '788', '20198', '2', '20');
INSERT INTO public.who_import VALUES (80222, '2020-05-08', 'SG', 'Singapore', 'WPRO', '741', '20939', '0', '20');
INSERT INTO public.who_import VALUES (80223, '2020-05-09', 'SG', 'Singapore', 'WPRO', '768', '21707', '0', '20');
INSERT INTO public.who_import VALUES (80224, '2020-05-10', 'SG', 'Singapore', 'WPRO', '753', '22460', '0', '20');
INSERT INTO public.who_import VALUES (80225, '2020-05-11', 'SG', 'Singapore', 'WPRO', '876', '23336', '0', '20');
INSERT INTO public.who_import VALUES (80226, '2020-05-12', 'SG', 'Singapore', 'WPRO', '486', '23822', '1', '21');
INSERT INTO public.who_import VALUES (80227, '2020-05-13', 'SG', 'Singapore', 'WPRO', '849', '24671', '0', '21');
INSERT INTO public.who_import VALUES (80228, '2020-05-14', 'SG', 'Singapore', 'WPRO', '675', '25346', '0', '21');
INSERT INTO public.who_import VALUES (80229, '2020-05-15', 'SG', 'Singapore', 'WPRO', '752', '26098', '0', '21');
INSERT INTO public.who_import VALUES (80230, '2020-05-16', 'SG', 'Singapore', 'WPRO', '793', '26891', '0', '21');
INSERT INTO public.who_import VALUES (80231, '2020-05-17', 'SG', 'Singapore', 'WPRO', '465', '27356', '1', '22');
INSERT INTO public.who_import VALUES (80232, '2020-05-18', 'SG', 'Singapore', 'WPRO', '682', '28038', '0', '22');
INSERT INTO public.who_import VALUES (80233, '2020-05-19', 'SG', 'Singapore', 'WPRO', '305', '28343', '0', '22');
INSERT INTO public.who_import VALUES (80234, '2020-05-20', 'SG', 'Singapore', 'WPRO', '451', '28794', '0', '22');
INSERT INTO public.who_import VALUES (80235, '2020-05-21', 'SG', 'Singapore', 'WPRO', '570', '29364', '0', '22');
INSERT INTO public.who_import VALUES (80236, '2020-05-22', 'SG', 'Singapore', 'WPRO', '448', '29812', '1', '23');
INSERT INTO public.who_import VALUES (80237, '2020-05-23', 'SG', 'Singapore', 'WPRO', '614', '30426', '0', '23');
INSERT INTO public.who_import VALUES (80238, '2020-05-24', 'SG', 'Singapore', 'WPRO', '642', '31068', '0', '23');
INSERT INTO public.who_import VALUES (80239, '2020-05-25', 'SG', 'Singapore', 'WPRO', '548', '31616', '0', '23');
INSERT INTO public.who_import VALUES (80240, '2020-05-26', 'SG', 'Singapore', 'WPRO', '344', '31960', '0', '23');
INSERT INTO public.who_import VALUES (80241, '2020-05-27', 'SG', 'Singapore', 'WPRO', '383', '32343', '0', '23');
INSERT INTO public.who_import VALUES (80242, '2020-05-28', 'SG', 'Singapore', 'WPRO', '533', '32876', '0', '23');
INSERT INTO public.who_import VALUES (80243, '2020-05-29', 'SG', 'Singapore', 'WPRO', '373', '33249', '0', '23');
INSERT INTO public.who_import VALUES (80244, '2020-05-30', 'SG', 'Singapore', 'WPRO', '611', '33860', '0', '23');
INSERT INTO public.who_import VALUES (80245, '2020-05-31', 'SG', 'Singapore', 'WPRO', '506', '34366', '0', '23');
INSERT INTO public.who_import VALUES (80246, '2020-06-01', 'SG', 'Singapore', 'WPRO', '518', '34884', '0', '23');
INSERT INTO public.who_import VALUES (80247, '2020-06-02', 'SG', 'Singapore', 'WPRO', '408', '35292', '1', '24');
INSERT INTO public.who_import VALUES (80248, '2020-06-03', 'SG', 'Singapore', 'WPRO', '544', '35836', '0', '24');
INSERT INTO public.who_import VALUES (80249, '2020-06-04', 'SG', 'Singapore', 'WPRO', '569', '36405', '0', '24');
INSERT INTO public.who_import VALUES (80250, '2020-06-05', 'SG', 'Singapore', 'WPRO', '517', '36922', '0', '24');
INSERT INTO public.who_import VALUES (80251, '2020-06-06', 'SG', 'Singapore', 'WPRO', '261', '37183', '0', '24');
INSERT INTO public.who_import VALUES (80252, '2020-06-07', 'SG', 'Singapore', 'WPRO', '344', '37527', '1', '25');
INSERT INTO public.who_import VALUES (80253, '2020-06-08', 'SG', 'Singapore', 'WPRO', '383', '37910', '0', '25');
INSERT INTO public.who_import VALUES (80254, '2020-06-09', 'SG', 'Singapore', 'WPRO', '386', '38296', '0', '25');
INSERT INTO public.who_import VALUES (80255, '2020-06-10', 'SG', 'Singapore', 'WPRO', '218', '38514', '0', '25');
INSERT INTO public.who_import VALUES (80256, '2020-06-11', 'SG', 'Singapore', 'WPRO', '451', '38965', '0', '25');
INSERT INTO public.who_import VALUES (80257, '2020-06-12', 'SG', 'Singapore', 'WPRO', '422', '39387', '0', '25');
INSERT INTO public.who_import VALUES (80258, '2020-06-13', 'SG', 'Singapore', 'WPRO', '463', '39850', '0', '25');
INSERT INTO public.who_import VALUES (80259, '2020-06-14', 'SG', 'Singapore', 'WPRO', '347', '40197', '1', '26');
INSERT INTO public.who_import VALUES (80260, '2020-06-15', 'SG', 'Singapore', 'WPRO', '407', '40604', '0', '26');
INSERT INTO public.who_import VALUES (80261, '2020-06-16', 'SG', 'Singapore', 'WPRO', '214', '40818', '0', '26');
INSERT INTO public.who_import VALUES (80262, '2020-06-17', 'SG', 'Singapore', 'WPRO', '151', '40969', '0', '26');
INSERT INTO public.who_import VALUES (80263, '2020-06-18', 'SG', 'Singapore', 'WPRO', '247', '41216', '0', '26');
INSERT INTO public.who_import VALUES (80264, '2020-06-19', 'SG', 'Singapore', 'WPRO', '257', '41473', '0', '26');
INSERT INTO public.who_import VALUES (80265, '2020-06-20', 'SG', 'Singapore', 'WPRO', '142', '41615', '0', '26');
INSERT INTO public.who_import VALUES (80266, '2020-06-21', 'SG', 'Singapore', 'WPRO', '218', '41833', '0', '26');
INSERT INTO public.who_import VALUES (80267, '2020-06-22', 'SG', 'Singapore', 'WPRO', '262', '42095', '0', '26');
INSERT INTO public.who_import VALUES (80268, '2020-06-23', 'SG', 'Singapore', 'WPRO', '218', '42313', '0', '26');
INSERT INTO public.who_import VALUES (80269, '2020-06-24', 'SG', 'Singapore', 'WPRO', '119', '42432', '0', '26');
INSERT INTO public.who_import VALUES (80270, '2020-06-25', 'SG', 'Singapore', 'WPRO', '191', '42623', '0', '26');
INSERT INTO public.who_import VALUES (80271, '2020-06-26', 'SG', 'Singapore', 'WPRO', '113', '42736', '0', '26');
INSERT INTO public.who_import VALUES (80272, '2020-06-27', 'SG', 'Singapore', 'WPRO', '219', '42955', '0', '26');
INSERT INTO public.who_import VALUES (80273, '2020-06-28', 'SG', 'Singapore', 'WPRO', '291', '43246', '0', '26');
INSERT INTO public.who_import VALUES (80274, '2020-06-29', 'SG', 'Singapore', 'WPRO', '213', '43459', '0', '26');
INSERT INTO public.who_import VALUES (80275, '2020-06-30', 'SG', 'Singapore', 'WPRO', '202', '43661', '0', '26');
INSERT INTO public.who_import VALUES (80276, '2020-07-01', 'SG', 'Singapore', 'WPRO', '246', '43907', '0', '26');
INSERT INTO public.who_import VALUES (80277, '2020-07-02', 'SG', 'Singapore', 'WPRO', '215', '44122', '0', '26');
INSERT INTO public.who_import VALUES (80278, '2020-07-03', 'SG', 'Singapore', 'WPRO', '188', '44310', '0', '26');
INSERT INTO public.who_import VALUES (80279, '2020-07-04', 'SG', 'Singapore', 'WPRO', '169', '44479', '0', '26');
INSERT INTO public.who_import VALUES (80280, '2020-07-05', 'SG', 'Singapore', 'WPRO', '185', '44664', '0', '26');
INSERT INTO public.who_import VALUES (80281, '2020-07-06', 'SG', 'Singapore', 'WPRO', '136', '44800', '0', '26');
INSERT INTO public.who_import VALUES (80282, '2020-07-07', 'SG', 'Singapore', 'WPRO', '183', '44983', '0', '26');
INSERT INTO public.who_import VALUES (80283, '2020-07-08', 'SG', 'Singapore', 'WPRO', '157', '45140', '0', '26');
INSERT INTO public.who_import VALUES (80284, '2020-07-09', 'SG', 'Singapore', 'WPRO', '158', '45298', '0', '26');
INSERT INTO public.who_import VALUES (80285, '2020-07-10', 'SG', 'Singapore', 'WPRO', '125', '45423', '0', '26');
INSERT INTO public.who_import VALUES (80286, '2020-07-11', 'SG', 'Singapore', 'WPRO', '191', '45614', '0', '26');
INSERT INTO public.who_import VALUES (80287, '2020-07-12', 'SG', 'Singapore', 'WPRO', '169', '45783', '0', '26');
INSERT INTO public.who_import VALUES (80288, '2020-07-13', 'SG', 'Singapore', 'WPRO', '178', '45961', '0', '26');
INSERT INTO public.who_import VALUES (80289, '2020-07-14', 'SG', 'Singapore', 'WPRO', '322', '46283', '0', '26');
INSERT INTO public.who_import VALUES (80290, '2020-07-15', 'SG', 'Singapore', 'WPRO', '347', '46630', '1', '27');
INSERT INTO public.who_import VALUES (80291, '2020-07-16', 'SG', 'Singapore', 'WPRO', '249', '46879', '0', '27');
INSERT INTO public.who_import VALUES (80292, '2020-07-17', 'SG', 'Singapore', 'WPRO', '248', '47127', '0', '27');
INSERT INTO public.who_import VALUES (80293, '2020-07-18', 'SG', 'Singapore', 'WPRO', '327', '47454', '0', '27');
INSERT INTO public.who_import VALUES (80294, '2020-07-19', 'SG', 'Singapore', 'WPRO', '202', '47656', '0', '27');
INSERT INTO public.who_import VALUES (80295, '2020-07-20', 'SG', 'Singapore', 'WPRO', '257', '47913', '0', '27');
INSERT INTO public.who_import VALUES (80296, '2020-07-21', 'SG', 'Singapore', 'WPRO', '123', '48036', '0', '27');
INSERT INTO public.who_import VALUES (80297, '2020-07-22', 'SG', 'Singapore', 'WPRO', '398', '48434', '0', '27');
INSERT INTO public.who_import VALUES (80298, '2020-07-23', 'SG', 'Singapore', 'WPRO', '310', '48744', '0', '27');
INSERT INTO public.who_import VALUES (80299, '2020-07-24', 'SG', 'Singapore', 'WPRO', '354', '49098', '0', '27');
INSERT INTO public.who_import VALUES (80300, '2020-07-25', 'SG', 'Singapore', 'WPRO', '277', '49375', '0', '27');
INSERT INTO public.who_import VALUES (80301, '2020-07-26', 'SG', 'Singapore', 'WPRO', '513', '49888', '0', '27');
INSERT INTO public.who_import VALUES (80302, '2020-07-27', 'SG', 'Singapore', 'WPRO', '481', '50369', '0', '27');
INSERT INTO public.who_import VALUES (80303, '2020-07-28', 'SG', 'Singapore', 'WPRO', '469', '50838', '0', '27');
INSERT INTO public.who_import VALUES (80304, '2020-07-29', 'SG', 'Singapore', 'WPRO', '359', '51197', '0', '27');
INSERT INTO public.who_import VALUES (80305, '2020-07-30', 'SG', 'Singapore', 'WPRO', '334', '51531', '0', '27');
INSERT INTO public.who_import VALUES (80306, '2020-07-31', 'SG', 'Singapore', 'WPRO', '278', '51809', '0', '27');
INSERT INTO public.who_import VALUES (80307, '2020-08-01', 'SG', 'Singapore', 'WPRO', '396', '52205', '0', '27');
INSERT INTO public.who_import VALUES (80308, '2020-08-02', 'SG', 'Singapore', 'WPRO', '307', '52512', '0', '27');
INSERT INTO public.who_import VALUES (80309, '2020-08-03', 'SG', 'Singapore', 'WPRO', '313', '52825', '0', '27');
INSERT INTO public.who_import VALUES (80310, '2020-08-04', 'SG', 'Singapore', 'WPRO', '226', '53051', '0', '27');
INSERT INTO public.who_import VALUES (80311, '2020-08-05', 'SG', 'Singapore', 'WPRO', '295', '53346', '0', '27');
INSERT INTO public.who_import VALUES (80312, '2020-08-06', 'SG', 'Singapore', 'WPRO', '908', '54254', '0', '27');
INSERT INTO public.who_import VALUES (80313, '2020-08-07', 'SG', 'Singapore', 'WPRO', '301', '54555', '0', '27');
INSERT INTO public.who_import VALUES (80314, '2020-08-08', 'SG', 'Singapore', 'WPRO', '242', '54797', '0', '27');
INSERT INTO public.who_import VALUES (80315, '2020-08-09', 'SG', 'Singapore', 'WPRO', '132', '54929', '0', '27');
INSERT INTO public.who_import VALUES (80316, '2020-08-10', 'SG', 'Singapore', 'WPRO', '175', '55104', '0', '27');
INSERT INTO public.who_import VALUES (80317, '2020-08-11', 'SG', 'Singapore', 'WPRO', '188', '55292', '0', '27');
INSERT INTO public.who_import VALUES (80318, '2020-08-12', 'SG', 'Singapore', 'WPRO', '61', '55353', '0', '27');
INSERT INTO public.who_import VALUES (80319, '2020-08-13', 'SG', 'Singapore', 'WPRO', '42', '55395', '0', '27');
INSERT INTO public.who_import VALUES (80320, '2020-08-14', 'SG', 'Singapore', 'WPRO', '102', '55497', '0', '27');
INSERT INTO public.who_import VALUES (80321, '2020-08-15', 'SG', 'Singapore', 'WPRO', '83', '55580', '0', '27');
INSERT INTO public.who_import VALUES (80322, '2020-08-16', 'SG', 'Singapore', 'WPRO', '81', '55661', '0', '27');
INSERT INTO public.who_import VALUES (80323, '2020-08-17', 'SG', 'Singapore', 'WPRO', '86', '55747', '0', '27');
INSERT INTO public.who_import VALUES (80324, '2020-08-18', 'SG', 'Singapore', 'WPRO', '91', '55838', '0', '27');
INSERT INTO public.who_import VALUES (80325, '2020-08-19', 'SG', 'Singapore', 'WPRO', '100', '55938', '0', '27');
INSERT INTO public.who_import VALUES (80326, '2020-08-20', 'SG', 'Singapore', 'WPRO', '93', '56031', '0', '27');
INSERT INTO public.who_import VALUES (80327, '2020-08-21', 'SG', 'Singapore', 'WPRO', '68', '56099', '0', '27');
INSERT INTO public.who_import VALUES (80328, '2020-08-22', 'SG', 'Singapore', 'WPRO', '117', '56216', '0', '27');
INSERT INTO public.who_import VALUES (80329, '2020-08-23', 'SG', 'Singapore', 'WPRO', '50', '56266', '0', '27');
INSERT INTO public.who_import VALUES (80330, '2020-08-24', 'SG', 'Singapore', 'WPRO', '87', '56353', '0', '27');
INSERT INTO public.who_import VALUES (80331, '2020-08-25', 'SG', 'Singapore', 'WPRO', '51', '56404', '0', '27');
INSERT INTO public.who_import VALUES (80332, '2020-08-26', 'SG', 'Singapore', 'WPRO', '31', '56435', '0', '27');
INSERT INTO public.who_import VALUES (80333, '2020-08-27', 'SG', 'Singapore', 'WPRO', '60', '56495', '0', '27');
INSERT INTO public.who_import VALUES (80334, '2020-08-28', 'SG', 'Singapore', 'WPRO', '77', '56572', '0', '27');
INSERT INTO public.who_import VALUES (80335, '2020-08-29', 'SG', 'Singapore', 'WPRO', '94', '56666', '0', '27');
INSERT INTO public.who_import VALUES (80336, '2020-08-30', 'SG', 'Singapore', 'WPRO', '51', '56717', '0', '27');
INSERT INTO public.who_import VALUES (80337, '2020-08-31', 'SG', 'Singapore', 'WPRO', '54', '56771', '0', '27');
INSERT INTO public.who_import VALUES (80338, '2020-09-01', 'SG', 'Singapore', 'WPRO', '41', '56812', '0', '27');
INSERT INTO public.who_import VALUES (80339, '2020-09-02', 'SG', 'Singapore', 'WPRO', '40', '56852', '0', '27');
INSERT INTO public.who_import VALUES (80340, '2020-09-03', 'SG', 'Singapore', 'WPRO', '8', '56860', '0', '27');
INSERT INTO public.who_import VALUES (80341, '2020-09-04', 'SG', 'Singapore', 'WPRO', '48', '56908', '0', '27');
INSERT INTO public.who_import VALUES (80342, '2020-09-05', 'SG', 'Singapore', 'WPRO', '40', '56948', '0', '27');
INSERT INTO public.who_import VALUES (80343, '2020-09-06', 'SG', 'Singapore', 'WPRO', '34', '56982', '0', '27');
INSERT INTO public.who_import VALUES (80344, '2020-09-07', 'SG', 'Singapore', 'WPRO', '40', '57022', '0', '27');
INSERT INTO public.who_import VALUES (80345, '2020-09-08', 'SG', 'Singapore', 'WPRO', '22', '57044', '0', '27');
INSERT INTO public.who_import VALUES (80346, '2020-09-09', 'SG', 'Singapore', 'WPRO', '47', '57091', '0', '27');
INSERT INTO public.who_import VALUES (80347, '2020-09-10', 'SG', 'Singapore', 'WPRO', '75', '57166', '0', '27');
INSERT INTO public.who_import VALUES (80348, '2020-09-11', 'SG', 'Singapore', 'WPRO', '63', '57229', '0', '27');
INSERT INTO public.who_import VALUES (80349, '2020-09-12', 'SG', 'Singapore', 'WPRO', '86', '57315', '0', '27');
INSERT INTO public.who_import VALUES (80350, '2020-09-13', 'SG', 'Singapore', 'WPRO', '42', '57357', '0', '27');
INSERT INTO public.who_import VALUES (80351, '2020-09-14', 'SG', 'Singapore', 'WPRO', '49', '57406', '0', '27');
INSERT INTO public.who_import VALUES (80352, '2020-09-15', 'SG', 'Singapore', 'WPRO', '48', '57454', '0', '27');
INSERT INTO public.who_import VALUES (80353, '2020-09-16', 'SG', 'Singapore', 'WPRO', '34', '57488', '0', '27');
INSERT INTO public.who_import VALUES (80354, '2020-09-17', 'SG', 'Singapore', 'WPRO', '26', '57514', '0', '27');
INSERT INTO public.who_import VALUES (80355, '2020-09-18', 'SG', 'Singapore', 'WPRO', '18', '57532', '0', '27');
INSERT INTO public.who_import VALUES (80356, '2020-09-19', 'SG', 'Singapore', 'WPRO', '11', '57543', '0', '27');
INSERT INTO public.who_import VALUES (80357, '2020-09-20', 'SG', 'Singapore', 'WPRO', '15', '57558', '0', '27');
INSERT INTO public.who_import VALUES (80358, '2020-09-21', 'SG', 'Singapore', 'WPRO', '18', '57576', '0', '27');
INSERT INTO public.who_import VALUES (80359, '2020-09-22', 'SG', 'Singapore', 'WPRO', '30', '57606', '0', '27');
INSERT INTO public.who_import VALUES (80360, '2020-09-23', 'SG', 'Singapore', 'WPRO', '21', '57627', '0', '27');
INSERT INTO public.who_import VALUES (80361, '2020-09-24', 'SG', 'Singapore', 'WPRO', '12', '57639', '0', '27');
INSERT INTO public.who_import VALUES (80362, '2020-09-25', 'SG', 'Singapore', 'WPRO', '15', '57654', '0', '27');
INSERT INTO public.who_import VALUES (80363, '2020-09-26', 'SG', 'Singapore', 'WPRO', '11', '57665', '0', '27');
INSERT INTO public.who_import VALUES (80364, '2020-09-27', 'SG', 'Singapore', 'WPRO', '20', '57685', '0', '27');
INSERT INTO public.who_import VALUES (80365, '2020-09-28', 'SG', 'Singapore', 'WPRO', '15', '57700', '0', '27');
INSERT INTO public.who_import VALUES (80366, '2020-09-29', 'SG', 'Singapore', 'WPRO', '15', '57715', '0', '27');
INSERT INTO public.who_import VALUES (80367, '2020-09-30', 'SG', 'Singapore', 'WPRO', '27', '57742', '0', '27');
INSERT INTO public.who_import VALUES (80368, '2020-10-01', 'SG', 'Singapore', 'WPRO', '23', '57765', '0', '27');
INSERT INTO public.who_import VALUES (80369, '2020-10-02', 'SG', 'Singapore', 'WPRO', '19', '57784', '0', '27');
INSERT INTO public.who_import VALUES (80370, '2020-10-03', 'SG', 'Singapore', 'WPRO', '10', '57794', '0', '27');
INSERT INTO public.who_import VALUES (80371, '2020-10-04', 'SG', 'Singapore', 'WPRO', '6', '57800', '0', '27');
INSERT INTO public.who_import VALUES (80372, '2020-10-05', 'SG', 'Singapore', 'WPRO', '12', '57812', '0', '27');
INSERT INTO public.who_import VALUES (80373, '2020-10-06', 'SG', 'Singapore', 'WPRO', '7', '57819', '0', '27');
INSERT INTO public.who_import VALUES (80374, '2020-10-07', 'SG', 'Singapore', 'WPRO', '11', '57830', '0', '27');
INSERT INTO public.who_import VALUES (80375, '2020-10-08', 'SG', 'Singapore', 'WPRO', '10', '57840', '0', '27');
INSERT INTO public.who_import VALUES (80376, '2020-10-09', 'SG', 'Singapore', 'WPRO', '9', '57849', '0', '27');
INSERT INTO public.who_import VALUES (80377, '2020-10-10', 'SG', 'Singapore', 'WPRO', '10', '57859', '0', '27');
INSERT INTO public.who_import VALUES (80378, '2020-10-11', 'SG', 'Singapore', 'WPRO', '7', '57866', '0', '27');
INSERT INTO public.who_import VALUES (80379, '2020-10-12', 'SG', 'Singapore', 'WPRO', '10', '57876', '0', '27');
INSERT INTO public.who_import VALUES (80380, '2020-10-13', 'SG', 'Singapore', 'WPRO', '4', '57880', '1', '28');
INSERT INTO public.who_import VALUES (80381, '2020-10-14', 'SG', 'Singapore', 'WPRO', '4', '57884', '0', '28');
INSERT INTO public.who_import VALUES (80382, '2020-10-15', 'SG', 'Singapore', 'WPRO', '5', '57889', '0', '28');
INSERT INTO public.who_import VALUES (80383, '2020-10-16', 'SG', 'Singapore', 'WPRO', '3', '57892', '0', '28');
INSERT INTO public.who_import VALUES (80384, '2020-10-17', 'SG', 'Singapore', 'WPRO', '9', '57901', '0', '28');
INSERT INTO public.who_import VALUES (80385, '2020-10-18', 'SG', 'Singapore', 'WPRO', '3', '57904', '0', '28');
INSERT INTO public.who_import VALUES (80386, '2020-10-19', 'SG', 'Singapore', 'WPRO', '7', '57911', '0', '28');
INSERT INTO public.who_import VALUES (80387, '2020-10-20', 'SG', 'Singapore', 'WPRO', '4', '57915', '0', '28');
INSERT INTO public.who_import VALUES (80388, '2020-10-21', 'SG', 'Singapore', 'WPRO', '6', '57921', '0', '28');
INSERT INTO public.who_import VALUES (80389, '2020-10-22', 'SG', 'Singapore', 'WPRO', '12', '57933', '0', '28');
INSERT INTO public.who_import VALUES (80390, '2020-10-23', 'SG', 'Singapore', 'WPRO', '8', '57941', '0', '28');
INSERT INTO public.who_import VALUES (80391, '2020-10-24', 'SG', 'Singapore', 'WPRO', '10', '57951', '0', '28');
INSERT INTO public.who_import VALUES (80392, '2020-10-25', 'SG', 'Singapore', 'WPRO', '14', '57965', '0', '28');
INSERT INTO public.who_import VALUES (80393, '2020-10-26', 'SG', 'Singapore', 'WPRO', '5', '57970', '0', '28');
INSERT INTO public.who_import VALUES (80394, '2020-10-27', 'SG', 'Singapore', 'WPRO', '3', '57973', '0', '28');
INSERT INTO public.who_import VALUES (80395, '2020-10-28', 'SG', 'Singapore', 'WPRO', '7', '57980', '0', '28');
INSERT INTO public.who_import VALUES (80396, '2020-10-29', 'SG', 'Singapore', 'WPRO', '7', '57987', '0', '28');
INSERT INTO public.who_import VALUES (80397, '2020-10-30', 'SG', 'Singapore', 'WPRO', '7', '57994', '0', '28');
INSERT INTO public.who_import VALUES (80398, '2020-10-31', 'SG', 'Singapore', 'WPRO', '9', '58003', '0', '28');
INSERT INTO public.who_import VALUES (80399, '2020-11-01', 'SG', 'Singapore', 'WPRO', '12', '58015', '0', '28');
INSERT INTO public.who_import VALUES (80400, '2020-11-02', 'SG', 'Singapore', 'WPRO', '4', '58019', '0', '28');
INSERT INTO public.who_import VALUES (80401, '2020-11-03', 'SG', 'Singapore', 'WPRO', '1', '58020', '0', '28');
INSERT INTO public.who_import VALUES (80402, '2020-11-04', 'SG', 'Singapore', 'WPRO', '9', '58029', '0', '28');
INSERT INTO public.who_import VALUES (80403, '2020-11-05', 'SG', 'Singapore', 'WPRO', '7', '58036', '0', '28');
INSERT INTO public.who_import VALUES (80404, '2020-11-06', 'SG', 'Singapore', 'WPRO', '7', '58043', '0', '28');
INSERT INTO public.who_import VALUES (80405, '2020-11-07', 'SG', 'Singapore', 'WPRO', '4', '58047', '0', '28');
INSERT INTO public.who_import VALUES (80406, '2020-11-08', 'SG', 'Singapore', 'WPRO', '7', '58054', '0', '28');
INSERT INTO public.who_import VALUES (80407, '2020-11-09', 'SG', 'Singapore', 'WPRO', '2', '58056', '0', '28');
INSERT INTO public.who_import VALUES (80408, '2020-11-10', 'SG', 'Singapore', 'WPRO', '8', '58064', '0', '28');
INSERT INTO public.who_import VALUES (80409, '2020-11-11', 'SG', 'Singapore', 'WPRO', '9', '58073', '0', '28');
INSERT INTO public.who_import VALUES (80410, '2020-11-12', 'SG', 'Singapore', 'WPRO', '18', '58091', '0', '28');
INSERT INTO public.who_import VALUES (80411, '2020-11-13', 'SG', 'Singapore', 'WPRO', '11', '58102', '0', '28');
INSERT INTO public.who_import VALUES (80412, '2020-11-14', 'SG', 'Singapore', 'WPRO', '12', '58114', '0', '28');
INSERT INTO public.who_import VALUES (80413, '2020-11-15', 'SG', 'Singapore', 'WPRO', '2', '58116', '0', '28');
INSERT INTO public.who_import VALUES (80414, '2020-11-16', 'SG', 'Singapore', 'WPRO', '3', '58119', '0', '28');
INSERT INTO public.who_import VALUES (80415, '2020-11-17', 'SG', 'Singapore', 'WPRO', '5', '58124', '0', '28');
INSERT INTO public.who_import VALUES (80416, '2020-11-18', 'SG', 'Singapore', 'WPRO', '6', '58130', '0', '28');
INSERT INTO public.who_import VALUES (80417, '2020-11-19', 'SG', 'Singapore', 'WPRO', '5', '58135', '0', '28');
INSERT INTO public.who_import VALUES (80418, '2020-11-20', 'SG', 'Singapore', 'WPRO', '4', '58139', '0', '28');
INSERT INTO public.who_import VALUES (80419, '2020-11-21', 'SG', 'Singapore', 'WPRO', '4', '58143', '0', '28');
INSERT INTO public.who_import VALUES (80420, '2020-11-22', 'SG', 'Singapore', 'WPRO', '5', '58148', '0', '28');
INSERT INTO public.who_import VALUES (80421, '2020-11-23', 'SG', 'Singapore', 'WPRO', '12', '58160', '0', '28');
INSERT INTO public.who_import VALUES (80422, '2020-11-24', 'SG', 'Singapore', 'WPRO', '5', '58165', '0', '28');
INSERT INTO public.who_import VALUES (80423, '2020-11-25', 'SG', 'Singapore', 'WPRO', '18', '58183', '0', '28');
INSERT INTO public.who_import VALUES (80424, '2020-11-26', 'SG', 'Singapore', 'WPRO', '7', '58190', '0', '28');
INSERT INTO public.who_import VALUES (80425, '2020-11-27', 'SG', 'Singapore', 'WPRO', '5', '58195', '0', '28');
INSERT INTO public.who_import VALUES (80426, '2020-11-28', 'SG', 'Singapore', 'WPRO', '4', '58199', '0', '28');
INSERT INTO public.who_import VALUES (80427, '2020-11-29', 'SG', 'Singapore', 'WPRO', '6', '58205', '1', '29');
INSERT INTO public.who_import VALUES (80428, '2020-11-30', 'SG', 'Singapore', 'WPRO', '8', '58213', '0', '29');
INSERT INTO public.who_import VALUES (80429, '2020-12-01', 'SG', 'Singapore', 'WPRO', '5', '58218', '0', '29');
INSERT INTO public.who_import VALUES (80430, '2020-12-02', 'SG', 'Singapore', 'WPRO', '10', '58228', '0', '29');
INSERT INTO public.who_import VALUES (80431, '2020-12-03', 'SG', 'Singapore', 'WPRO', '2', '58230', '0', '29');
INSERT INTO public.who_import VALUES (80432, '2020-12-04', 'SG', 'Singapore', 'WPRO', '9', '58239', '0', '29');
INSERT INTO public.who_import VALUES (80433, '2020-12-05', 'SG', 'Singapore', 'WPRO', '3', '58242', '0', '29');
INSERT INTO public.who_import VALUES (80434, '2020-12-06', 'SG', 'Singapore', 'WPRO', '13', '58255', '0', '29');
INSERT INTO public.who_import VALUES (80435, '2020-12-07', 'SG', 'Singapore', 'WPRO', '5', '58260', '0', '29');
INSERT INTO public.who_import VALUES (80436, '2020-12-08', 'SG', 'Singapore', 'WPRO', '13', '58273', '0', '29');
INSERT INTO public.who_import VALUES (80437, '2020-12-09', 'SG', 'Singapore', 'WPRO', '12', '58285', '0', '29');
INSERT INTO public.who_import VALUES (80438, '2020-12-10', 'SG', 'Singapore', 'WPRO', '6', '58291', '0', '29');
INSERT INTO public.who_import VALUES (80439, '2020-12-11', 'SG', 'Singapore', 'WPRO', '6', '58297', '0', '29');
INSERT INTO public.who_import VALUES (80440, '2020-12-12', 'SG', 'Singapore', 'WPRO', '8', '58305', '0', '29');
INSERT INTO public.who_import VALUES (80441, '2020-12-13', 'SG', 'Singapore', 'WPRO', '8', '58313', '0', '29');
INSERT INTO public.who_import VALUES (80442, '2020-12-14', 'SG', 'Singapore', 'WPRO', '7', '58320', '0', '29');
INSERT INTO public.who_import VALUES (80443, '2020-12-15', 'SG', 'Singapore', 'WPRO', '5', '58325', '0', '29');
INSERT INTO public.who_import VALUES (80444, '2020-12-16', 'SG', 'Singapore', 'WPRO', '16', '58341', '0', '29');
INSERT INTO public.who_import VALUES (80445, '2020-12-17', 'SG', 'Singapore', 'WPRO', '12', '58353', '0', '29');
INSERT INTO public.who_import VALUES (80446, '2020-12-18', 'SG', 'Singapore', 'WPRO', '24', '58377', '0', '29');
INSERT INTO public.who_import VALUES (80447, '2020-12-19', 'SG', 'Singapore', 'WPRO', '9', '58386', '0', '29');
INSERT INTO public.who_import VALUES (80448, '2020-12-20', 'SG', 'Singapore', 'WPRO', '17', '58403', '0', '29');
INSERT INTO public.who_import VALUES (80449, '2020-12-21', 'SG', 'Singapore', 'WPRO', '19', '58422', '0', '29');
INSERT INTO public.who_import VALUES (80450, '2020-12-22', 'SG', 'Singapore', 'WPRO', '10', '58432', '0', '29');
INSERT INTO public.who_import VALUES (80451, '2020-12-23', 'SG', 'Singapore', 'WPRO', '29', '58461', '0', '29');
INSERT INTO public.who_import VALUES (80452, '2020-12-24', 'SG', 'Singapore', 'WPRO', '21', '58482', '0', '29');
INSERT INTO public.who_import VALUES (80453, '2020-12-25', 'SG', 'Singapore', 'WPRO', '13', '58495', '0', '29');
INSERT INTO public.who_import VALUES (80454, '2020-12-26', 'SG', 'Singapore', 'WPRO', '14', '58509', '0', '29');
INSERT INTO public.who_import VALUES (80455, '2020-12-27', 'SG', 'Singapore', 'WPRO', '10', '58519', '0', '29');
INSERT INTO public.who_import VALUES (80456, '2020-12-28', 'SG', 'Singapore', 'WPRO', '5', '58524', '0', '29');
INSERT INTO public.who_import VALUES (80457, '2020-12-29', 'SG', 'Singapore', 'WPRO', '5', '58529', '0', '29');
INSERT INTO public.who_import VALUES (80458, '2020-12-30', 'SG', 'Singapore', 'WPRO', '13', '58542', '0', '29');
INSERT INTO public.who_import VALUES (80459, '2020-12-31', 'SG', 'Singapore', 'WPRO', '27', '58569', '0', '29');
INSERT INTO public.who_import VALUES (80460, '2021-01-01', 'SG', 'Singapore', 'WPRO', '30', '58599', '0', '29');
INSERT INTO public.who_import VALUES (80461, '2021-01-02', 'SG', 'Singapore', 'WPRO', '30', '58629', '0', '29');
INSERT INTO public.who_import VALUES (80462, '2021-01-03', 'SG', 'Singapore', 'WPRO', '33', '58662', '0', '29');
INSERT INTO public.who_import VALUES (80463, '2021-01-04', 'SG', 'Singapore', 'WPRO', '35', '58697', '0', '29');
INSERT INTO public.who_import VALUES (80464, '2021-01-05', 'SG', 'Singapore', 'WPRO', '24', '58721', '0', '29');
INSERT INTO public.who_import VALUES (80465, '2021-01-06', 'SG', 'Singapore', 'WPRO', '28', '58749', '0', '29');
INSERT INTO public.who_import VALUES (80466, '2021-01-07', 'SG', 'Singapore', 'WPRO', '31', '58780', '0', '29');
INSERT INTO public.who_import VALUES (80467, '2021-01-08', 'SG', 'Singapore', 'WPRO', '33', '58813', '0', '29');
INSERT INTO public.who_import VALUES (80468, '2021-01-09', 'SG', 'Singapore', 'WPRO', '23', '58836', '0', '29');
INSERT INTO public.who_import VALUES (80469, '2021-01-10', 'SG', 'Singapore', 'WPRO', '29', '58865', '0', '29');
INSERT INTO public.who_import VALUES (80470, '2021-01-11', 'SG', 'Singapore', 'WPRO', '42', '58907', '0', '29');
INSERT INTO public.who_import VALUES (80471, '2021-01-12', 'SG', 'Singapore', 'WPRO', '22', '58929', '0', '29');
INSERT INTO public.who_import VALUES (80472, '2021-01-13', 'SG', 'Singapore', 'WPRO', '17', '58946', '0', '29');
INSERT INTO public.who_import VALUES (80473, '2021-01-14', 'SG', 'Singapore', 'WPRO', '38', '58984', '0', '29');
INSERT INTO public.who_import VALUES (80474, '2021-01-15', 'SG', 'Singapore', 'WPRO', '45', '59029', '0', '29');
INSERT INTO public.who_import VALUES (80475, '2021-01-16', 'SG', 'Singapore', 'WPRO', '30', '59059', '0', '29');
INSERT INTO public.who_import VALUES (80476, '2021-01-17', 'SG', 'Singapore', 'WPRO', '24', '59083', '0', '29');
INSERT INTO public.who_import VALUES (80477, '2021-01-18', 'SG', 'Singapore', 'WPRO', '30', '59113', '0', '29');
INSERT INTO public.who_import VALUES (80478, '2021-01-19', 'SG', 'Singapore', 'WPRO', '14', '59127', '0', '29');
INSERT INTO public.who_import VALUES (80479, '2021-01-20', 'SG', 'Singapore', 'WPRO', '30', '59157', '0', '29');
INSERT INTO public.who_import VALUES (80480, '2021-01-21', 'SG', 'Singapore', 'WPRO', '40', '59197', '0', '29');
INSERT INTO public.who_import VALUES (80481, '2021-01-22', 'SG', 'Singapore', 'WPRO', '38', '59235', '0', '29');
INSERT INTO public.who_import VALUES (80482, '2021-01-23', 'SG', 'Singapore', 'WPRO', '15', '59250', '0', '29');
INSERT INTO public.who_import VALUES (80483, '2021-01-24', 'SG', 'Singapore', 'WPRO', '10', '59260', '0', '29');
INSERT INTO public.who_import VALUES (80484, '2021-01-25', 'SG', 'Singapore', 'WPRO', '48', '59308', '0', '29');
INSERT INTO public.who_import VALUES (80485, '2021-01-26', 'SG', 'Singapore', 'WPRO', '44', '59352', '0', '29');
INSERT INTO public.who_import VALUES (80486, '2021-01-27', 'SG', 'Singapore', 'WPRO', '14', '59366', '0', '29');
INSERT INTO public.who_import VALUES (80487, '2021-01-28', 'SG', 'Singapore', 'WPRO', '25', '59391', '0', '29');
INSERT INTO public.who_import VALUES (80488, '2021-01-29', 'SG', 'Singapore', 'WPRO', '34', '59425', '0', '29');
INSERT INTO public.who_import VALUES (80489, '2021-01-30', 'SG', 'Singapore', 'WPRO', '24', '59449', '0', '29');
INSERT INTO public.who_import VALUES (80490, '2021-01-31', 'SG', 'Singapore', 'WPRO', '58', '59507', '0', '29');
INSERT INTO public.who_import VALUES (80491, '2021-02-01', 'SG', 'Singapore', 'WPRO', '29', '59536', '0', '29');
INSERT INTO public.who_import VALUES (80492, '2021-02-02', 'SG', 'Singapore', 'WPRO', '29', '59565', '0', '29');
INSERT INTO public.who_import VALUES (80493, '2021-02-03', 'SG', 'Singapore', 'WPRO', '19', '59584', '0', '29');
INSERT INTO public.who_import VALUES (80494, '2021-02-04', 'SG', 'Singapore', 'WPRO', '18', '59602', '0', '29');
INSERT INTO public.who_import VALUES (80495, '2021-02-05', 'SG', 'Singapore', 'WPRO', '22', '59624', '0', '29');
INSERT INTO public.who_import VALUES (80496, '2021-02-06', 'SG', 'Singapore', 'WPRO', '25', '59649', '0', '29');
INSERT INTO public.who_import VALUES (80497, '2021-02-07', 'SG', 'Singapore', 'WPRO', '26', '59675', '0', '29');
INSERT INTO public.who_import VALUES (80498, '2021-02-08', 'SG', 'Singapore', 'WPRO', '24', '59699', '0', '29');
INSERT INTO public.who_import VALUES (80499, '2021-02-09', 'SG', 'Singapore', 'WPRO', '22', '59721', '0', '29');
INSERT INTO public.who_import VALUES (80500, '2021-02-10', 'SG', 'Singapore', 'WPRO', '11', '59732', '0', '29');
INSERT INTO public.who_import VALUES (80501, '2021-02-11', 'SG', 'Singapore', 'WPRO', '15', '59747', '0', '29');
INSERT INTO public.who_import VALUES (80502, '2021-02-12', 'SG', 'Singapore', 'WPRO', '12', '59759', '0', '29');
INSERT INTO public.who_import VALUES (80503, '2021-02-13', 'SG', 'Singapore', 'WPRO', '18', '59777', '0', '29');
INSERT INTO public.who_import VALUES (80504, '2021-02-14', 'SG', 'Singapore', 'WPRO', '9', '59786', '0', '29');
INSERT INTO public.who_import VALUES (80505, '2021-02-15', 'SG', 'Singapore', 'WPRO', '14', '59800', '0', '29');
INSERT INTO public.who_import VALUES (80506, '2021-02-16', 'SG', 'Singapore', 'WPRO', '9', '59809', '0', '29');
INSERT INTO public.who_import VALUES (80507, '2021-02-17', 'SG', 'Singapore', 'WPRO', '1', '59810', '0', '29');
INSERT INTO public.who_import VALUES (80508, '2021-02-18', 'SG', 'Singapore', 'WPRO', '11', '59821', '0', '29');
INSERT INTO public.who_import VALUES (80509, '2021-02-19', 'SG', 'Singapore', 'WPRO', '11', '59832', '0', '29');
INSERT INTO public.who_import VALUES (80510, '2021-02-20', 'SG', 'Singapore', 'WPRO', '14', '59846', '0', '29');
INSERT INTO public.who_import VALUES (80511, '2020-01-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80512, '2020-01-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80513, '2020-01-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80514, '2020-01-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80515, '2020-01-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80516, '2020-01-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80517, '2020-01-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80518, '2020-01-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80519, '2020-01-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80520, '2020-01-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80521, '2020-01-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80522, '2020-01-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80523, '2020-01-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80524, '2020-01-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80525, '2020-01-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80526, '2020-01-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80527, '2020-01-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80528, '2020-01-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80529, '2020-01-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80530, '2020-01-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80531, '2020-01-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80532, '2020-01-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80533, '2020-01-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80534, '2020-01-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80535, '2020-01-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80536, '2020-01-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80537, '2020-01-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80538, '2020-01-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80539, '2020-01-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80540, '2020-02-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80541, '2020-02-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80542, '2020-02-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80543, '2020-02-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80544, '2020-02-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80545, '2020-02-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80546, '2020-02-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80547, '2020-02-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80548, '2020-02-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80549, '2020-02-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80550, '2020-02-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80551, '2020-02-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80552, '2020-02-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80553, '2020-02-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80554, '2020-02-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80555, '2020-02-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80556, '2020-02-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80557, '2020-02-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80558, '2020-02-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80559, '2020-02-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80560, '2020-02-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80561, '2020-02-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80562, '2020-02-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80563, '2020-02-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80564, '2020-02-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80565, '2020-02-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80566, '2020-02-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80567, '2020-02-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80568, '2020-02-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80569, '2020-03-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80570, '2020-03-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80571, '2020-03-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80572, '2020-03-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80573, '2020-03-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80574, '2020-03-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80575, '2020-03-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80576, '2020-03-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80577, '2020-03-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80578, '2020-03-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80579, '2020-03-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80580, '2020-03-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80581, '2020-03-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80582, '2020-03-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80583, '2020-03-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80584, '2020-03-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80585, '2020-03-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80586, '2020-03-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80587, '2020-03-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80588, '2020-03-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80589, '2020-03-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80590, '2020-03-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80591, '2020-03-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80592, '2020-03-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80593, '2020-03-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80594, '2020-03-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80595, '2020-03-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80596, '2020-03-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80597, '2020-03-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80598, '2020-03-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80599, '2020-03-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80600, '2020-04-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80601, '2020-04-02', 'XB', 'Sint Eustatius', 'AMRO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (80602, '2020-04-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80603, '2020-04-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80604, '2020-04-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80605, '2020-04-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80606, '2020-04-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80607, '2020-04-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80608, '2020-04-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80609, '2020-04-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80610, '2020-04-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80611, '2020-04-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80612, '2020-04-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80613, '2020-04-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80614, '2020-04-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80615, '2020-04-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80616, '2020-04-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80617, '2020-04-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80618, '2020-04-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80619, '2020-04-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80620, '2020-04-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80621, '2020-04-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80622, '2020-04-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80623, '2020-04-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80624, '2020-04-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80625, '2020-04-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80626, '2020-04-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80627, '2020-04-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80628, '2020-04-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80629, '2020-04-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80630, '2020-05-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80631, '2020-05-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80632, '2020-05-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80633, '2020-05-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80634, '2020-05-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80635, '2020-05-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80636, '2020-05-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80637, '2020-05-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80638, '2020-05-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80639, '2020-05-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80640, '2020-05-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80641, '2020-05-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80642, '2020-05-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80643, '2020-05-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80644, '2020-05-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80645, '2020-05-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80646, '2020-05-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80647, '2020-05-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80648, '2020-05-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80649, '2020-05-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80650, '2020-05-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80651, '2020-05-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80652, '2020-05-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80653, '2020-05-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80654, '2020-05-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80655, '2020-05-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80656, '2020-05-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80657, '2020-05-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80658, '2020-05-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80659, '2020-05-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80660, '2020-05-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80661, '2020-06-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80662, '2020-06-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80663, '2020-06-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80664, '2020-06-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80665, '2020-06-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80666, '2020-06-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80667, '2020-06-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80668, '2020-06-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80669, '2020-06-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80670, '2020-06-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80671, '2020-06-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80672, '2020-06-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80673, '2020-06-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80674, '2020-06-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80675, '2020-06-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80676, '2020-06-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80677, '2020-06-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80678, '2020-06-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80679, '2020-06-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80680, '2020-06-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80681, '2020-06-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80682, '2020-06-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80683, '2020-06-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80684, '2020-06-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80685, '2020-06-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80686, '2020-06-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80687, '2020-06-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80688, '2020-06-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80689, '2020-06-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80690, '2020-06-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80691, '2020-07-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80692, '2020-07-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80693, '2020-07-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80694, '2020-07-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80695, '2020-07-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80696, '2020-07-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80697, '2020-07-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80698, '2020-07-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80699, '2020-07-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80700, '2020-07-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80701, '2020-07-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80702, '2020-07-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80703, '2020-07-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80704, '2020-07-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80705, '2020-07-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80706, '2020-07-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80707, '2020-07-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80708, '2020-07-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80709, '2020-07-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80710, '2020-07-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80711, '2020-07-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80712, '2020-07-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (80713, '2020-07-23', 'XB', 'Sint Eustatius', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (80714, '2020-07-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80715, '2020-07-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80716, '2020-07-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80717, '2020-07-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80718, '2020-07-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80719, '2020-07-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80720, '2020-07-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80721, '2020-07-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80722, '2020-08-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80723, '2020-08-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80724, '2020-08-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80725, '2020-08-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80726, '2020-08-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80727, '2020-08-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80728, '2020-08-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80729, '2020-08-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80730, '2020-08-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80731, '2020-08-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80732, '2020-08-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80733, '2020-08-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80734, '2020-08-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80735, '2020-08-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80736, '2020-08-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80737, '2020-08-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80738, '2020-08-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80739, '2020-08-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80740, '2020-08-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80741, '2020-08-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80742, '2020-08-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80743, '2020-08-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80744, '2020-08-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80745, '2020-08-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80746, '2020-08-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80747, '2020-08-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (80748, '2020-08-27', 'XB', 'Sint Eustatius', 'AMRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (80749, '2020-08-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80750, '2020-08-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80751, '2020-08-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80752, '2020-08-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80753, '2020-09-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80754, '2020-09-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80755, '2020-09-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80756, '2020-09-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80757, '2020-09-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80758, '2020-09-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (80759, '2020-09-07', 'XB', 'Sint Eustatius', 'AMRO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (80760, '2020-09-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (80761, '2020-09-09', 'XB', 'Sint Eustatius', 'AMRO', '4', '10', '0', '0');
INSERT INTO public.who_import VALUES (80762, '2020-09-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (80763, '2020-09-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (80764, '2020-09-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (80765, '2020-09-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (80766, '2020-09-14', 'XB', 'Sint Eustatius', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (80767, '2020-09-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80768, '2020-09-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80769, '2020-09-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80770, '2020-09-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80771, '2020-09-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80772, '2020-09-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80773, '2020-09-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (80774, '2020-09-22', 'XB', 'Sint Eustatius', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (80775, '2020-09-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (80776, '2020-09-24', 'XB', 'Sint Eustatius', 'AMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (80777, '2020-09-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80778, '2020-09-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80779, '2020-09-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80780, '2020-09-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80781, '2020-09-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80782, '2020-09-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80783, '2020-10-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80784, '2020-10-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80785, '2020-10-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80786, '2020-10-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80787, '2020-10-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80788, '2020-10-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80789, '2020-10-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80790, '2020-10-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80791, '2020-10-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80792, '2020-10-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80793, '2020-10-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (80794, '2020-10-12', 'XB', 'Sint Eustatius', 'AMRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (80795, '2020-10-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80796, '2020-10-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80797, '2020-10-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80798, '2020-10-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80799, '2020-10-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80800, '2020-10-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80801, '2020-10-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80802, '2020-10-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80803, '2020-10-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80804, '2020-10-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80805, '2020-10-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80806, '2020-10-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80807, '2020-10-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80808, '2020-10-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80809, '2020-10-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80810, '2020-10-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80811, '2020-10-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80812, '2020-10-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80813, '2020-10-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80814, '2020-11-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80815, '2020-11-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80816, '2020-11-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80817, '2020-11-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80818, '2020-11-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80819, '2020-11-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80820, '2020-11-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80821, '2020-11-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80822, '2020-11-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80823, '2020-11-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80824, '2020-11-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80825, '2020-11-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80826, '2020-11-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80827, '2020-11-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80828, '2020-11-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80829, '2020-11-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80830, '2020-11-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80831, '2020-11-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80832, '2020-11-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80833, '2020-11-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80834, '2020-11-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80835, '2020-11-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80836, '2020-11-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80837, '2020-11-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80838, '2020-11-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80839, '2020-11-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80840, '2020-11-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80841, '2020-11-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80842, '2020-11-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80843, '2020-11-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80844, '2020-12-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80845, '2020-12-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80846, '2020-12-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80847, '2020-12-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80848, '2020-12-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80849, '2020-12-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80850, '2020-12-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (80851, '2020-12-08', 'XB', 'Sint Eustatius', 'AMRO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (80852, '2020-12-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (80853, '2020-12-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (80854, '2020-12-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (80855, '2020-12-12', 'XB', 'Sint Eustatius', 'AMRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (80856, '2020-12-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80857, '2020-12-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80858, '2020-12-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80859, '2020-12-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80860, '2020-12-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80861, '2020-12-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80862, '2020-12-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80863, '2020-12-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80864, '2020-12-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (80865, '2020-12-22', 'XB', 'Sint Eustatius', 'AMRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (80866, '2020-12-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80867, '2020-12-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80868, '2020-12-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80869, '2020-12-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80870, '2020-12-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80871, '2020-12-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80872, '2020-12-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80873, '2020-12-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80874, '2020-12-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80875, '2021-01-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80876, '2021-01-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80877, '2021-01-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80878, '2021-01-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80879, '2021-01-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80880, '2021-01-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80881, '2021-01-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80882, '2021-01-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80883, '2021-01-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80884, '2021-01-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80885, '2021-01-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80886, '2021-01-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80887, '2021-01-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80888, '2021-01-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80889, '2021-01-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80890, '2021-01-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80891, '2021-01-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80892, '2021-01-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (80893, '2021-01-19', 'XB', 'Sint Eustatius', 'AMRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (80894, '2021-01-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80895, '2021-01-21', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80896, '2021-01-22', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80897, '2021-01-23', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80898, '2021-01-24', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80899, '2021-01-25', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80900, '2021-01-26', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80901, '2021-01-27', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80902, '2021-01-28', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80903, '2021-01-29', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80904, '2021-01-30', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80905, '2021-01-31', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80906, '2021-02-01', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80907, '2021-02-02', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80908, '2021-02-03', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80909, '2021-02-04', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80910, '2021-02-05', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80911, '2021-02-06', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80912, '2021-02-07', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80913, '2021-02-08', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80914, '2021-02-09', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80915, '2021-02-10', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80916, '2021-02-11', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80917, '2021-02-12', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80918, '2021-02-13', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80919, '2021-02-14', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80920, '2021-02-15', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80921, '2021-02-16', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80922, '2021-02-17', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80923, '2021-02-18', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80924, '2021-02-19', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80925, '2021-02-20', 'XB', 'Sint Eustatius', 'AMRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (80926, '2020-01-03', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80927, '2020-01-04', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80928, '2020-01-05', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80929, '2020-01-06', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80930, '2020-01-07', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80931, '2020-01-08', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80932, '2020-01-09', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80933, '2020-01-10', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80934, '2020-01-11', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80935, '2020-01-12', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80936, '2020-01-13', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80937, '2020-01-14', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80938, '2020-01-15', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80939, '2020-01-16', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80940, '2020-01-17', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80941, '2020-01-18', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80942, '2020-01-19', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80943, '2020-01-20', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80944, '2020-01-21', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80945, '2020-01-22', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80946, '2020-01-23', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80947, '2020-01-24', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80948, '2020-01-25', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80949, '2020-01-26', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80950, '2020-01-27', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80951, '2020-01-28', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80952, '2020-01-29', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80953, '2020-01-30', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80954, '2020-01-31', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80955, '2020-02-01', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80956, '2020-02-02', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80957, '2020-02-03', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80958, '2020-02-04', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80959, '2020-02-05', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80960, '2020-02-06', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80961, '2020-02-07', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80962, '2020-02-08', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80963, '2020-02-09', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80964, '2020-02-10', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80965, '2020-02-11', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80966, '2020-02-12', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80967, '2020-02-13', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80968, '2020-02-14', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80969, '2020-02-15', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80970, '2020-02-16', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80971, '2020-02-17', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80972, '2020-02-18', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80973, '2020-02-19', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80974, '2020-02-20', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80975, '2020-02-21', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80976, '2020-02-22', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80977, '2020-02-23', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80978, '2020-02-24', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80979, '2020-02-25', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80980, '2020-02-26', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80981, '2020-02-27', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80982, '2020-02-28', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80983, '2020-02-29', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80984, '2020-03-01', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80985, '2020-03-02', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80986, '2020-03-03', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80987, '2020-03-04', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80988, '2020-03-05', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80989, '2020-03-06', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80990, '2020-03-07', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80991, '2020-03-08', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80992, '2020-03-09', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80993, '2020-03-10', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80994, '2020-03-11', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80995, '2020-03-12', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80996, '2020-03-13', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80997, '2020-03-14', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80998, '2020-03-15', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (80999, '2020-03-16', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81000, '2020-03-17', 'SX', 'Sint Maarten', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81001, '2020-03-18', 'SX', 'Sint Maarten', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (81002, '2020-03-19', 'SX', 'Sint Maarten', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (81003, '2020-03-20', 'SX', 'Sint Maarten', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (81004, '2020-03-21', 'SX', 'Sint Maarten', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (81005, '2020-03-22', 'SX', 'Sint Maarten', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (81006, '2020-03-23', 'SX', 'Sint Maarten', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (81007, '2020-03-24', 'SX', 'Sint Maarten', 'AMRO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (81008, '2020-03-25', 'SX', 'Sint Maarten', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (81009, '2020-03-26', 'SX', 'Sint Maarten', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (81010, '2020-03-27', 'SX', 'Sint Maarten', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (81011, '2020-03-28', 'SX', 'Sint Maarten', 'AMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (81012, '2020-03-29', 'SX', 'Sint Maarten', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (81013, '2020-03-30', 'SX', 'Sint Maarten', 'AMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (81014, '2020-03-31', 'SX', 'Sint Maarten', 'AMRO', '3', '6', '0', '0');
INSERT INTO public.who_import VALUES (81015, '2020-04-01', 'SX', 'Sint Maarten', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (81016, '2020-04-02', 'SX', 'Sint Maarten', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (81017, '2020-04-03', 'SX', 'Sint Maarten', 'AMRO', '12', '18', '1', '1');
INSERT INTO public.who_import VALUES (81018, '2020-04-04', 'SX', 'Sint Maarten', 'AMRO', '5', '23', '1', '2');
INSERT INTO public.who_import VALUES (81019, '2020-04-05', 'SX', 'Sint Maarten', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (81020, '2020-04-06', 'SX', 'Sint Maarten', 'AMRO', '0', '23', '0', '2');
INSERT INTO public.who_import VALUES (81021, '2020-04-07', 'SX', 'Sint Maarten', 'AMRO', '14', '37', '4', '6');
INSERT INTO public.who_import VALUES (81022, '2020-04-08', 'SX', 'Sint Maarten', 'AMRO', '3', '40', '2', '8');
INSERT INTO public.who_import VALUES (81023, '2020-04-09', 'SX', 'Sint Maarten', 'AMRO', '0', '40', '0', '8');
INSERT INTO public.who_import VALUES (81024, '2020-04-10', 'SX', 'Sint Maarten', 'AMRO', '3', '43', '0', '8');
INSERT INTO public.who_import VALUES (81025, '2020-04-11', 'SX', 'Sint Maarten', 'AMRO', '7', '50', '1', '9');
INSERT INTO public.who_import VALUES (81026, '2020-04-12', 'SX', 'Sint Maarten', 'AMRO', '0', '50', '0', '9');
INSERT INTO public.who_import VALUES (81027, '2020-04-13', 'SX', 'Sint Maarten', 'AMRO', '0', '50', '0', '9');
INSERT INTO public.who_import VALUES (81028, '2020-04-14', 'SX', 'Sint Maarten', 'AMRO', '2', '52', '0', '9');
INSERT INTO public.who_import VALUES (81029, '2020-04-15', 'SX', 'Sint Maarten', 'AMRO', '0', '52', '0', '9');
INSERT INTO public.who_import VALUES (81030, '2020-04-16', 'SX', 'Sint Maarten', 'AMRO', '1', '53', '0', '9');
INSERT INTO public.who_import VALUES (81031, '2020-04-17', 'SX', 'Sint Maarten', 'AMRO', '4', '57', '0', '9');
INSERT INTO public.who_import VALUES (81032, '2020-04-18', 'SX', 'Sint Maarten', 'AMRO', '0', '57', '0', '9');
INSERT INTO public.who_import VALUES (81033, '2020-04-19', 'SX', 'Sint Maarten', 'AMRO', '0', '57', '0', '9');
INSERT INTO public.who_import VALUES (81034, '2020-04-20', 'SX', 'Sint Maarten', 'AMRO', '7', '64', '0', '9');
INSERT INTO public.who_import VALUES (81035, '2020-04-21', 'SX', 'Sint Maarten', 'AMRO', '3', '67', '1', '10');
INSERT INTO public.who_import VALUES (81036, '2020-04-22', 'SX', 'Sint Maarten', 'AMRO', '1', '68', '0', '10');
INSERT INTO public.who_import VALUES (81037, '2020-04-23', 'SX', 'Sint Maarten', 'AMRO', '3', '71', '1', '11');
INSERT INTO public.who_import VALUES (81038, '2020-04-24', 'SX', 'Sint Maarten', 'AMRO', '2', '73', '1', '12');
INSERT INTO public.who_import VALUES (81039, '2020-04-25', 'SX', 'Sint Maarten', 'AMRO', '0', '73', '0', '12');
INSERT INTO public.who_import VALUES (81040, '2020-04-26', 'SX', 'Sint Maarten', 'AMRO', '0', '73', '0', '12');
INSERT INTO public.who_import VALUES (81041, '2020-04-27', 'SX', 'Sint Maarten', 'AMRO', '1', '74', '1', '13');
INSERT INTO public.who_import VALUES (81042, '2020-04-28', 'SX', 'Sint Maarten', 'AMRO', '0', '74', '0', '13');
INSERT INTO public.who_import VALUES (81043, '2020-04-29', 'SX', 'Sint Maarten', 'AMRO', '1', '75', '0', '13');
INSERT INTO public.who_import VALUES (81044, '2020-04-30', 'SX', 'Sint Maarten', 'AMRO', '0', '75', '0', '13');
INSERT INTO public.who_import VALUES (81045, '2020-05-01', 'SX', 'Sint Maarten', 'AMRO', '1', '76', '0', '13');
INSERT INTO public.who_import VALUES (81046, '2020-05-02', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '13');
INSERT INTO public.who_import VALUES (81047, '2020-05-03', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '13');
INSERT INTO public.who_import VALUES (81048, '2020-05-04', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '13');
INSERT INTO public.who_import VALUES (81049, '2020-05-05', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '13');
INSERT INTO public.who_import VALUES (81050, '2020-05-06', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '1', '14');
INSERT INTO public.who_import VALUES (81051, '2020-05-07', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '14');
INSERT INTO public.who_import VALUES (81052, '2020-05-08', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '14');
INSERT INTO public.who_import VALUES (81053, '2020-05-09', 'SX', 'Sint Maarten', 'AMRO', '0', '76', '0', '14');
INSERT INTO public.who_import VALUES (81054, '2020-05-10', 'SX', 'Sint Maarten', 'AMRO', '1', '77', '1', '15');
INSERT INTO public.who_import VALUES (81055, '2020-05-11', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81056, '2020-05-12', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81057, '2020-05-13', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81058, '2020-05-14', 'SX', 'Sint Maarten', 'AMRO', '1', '78', '0', '15');
INSERT INTO public.who_import VALUES (81059, '2020-05-15', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81060, '2020-05-16', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81061, '2020-05-17', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81062, '2020-05-18', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81063, '2020-05-19', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81064, '2020-05-20', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81065, '2020-05-21', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81066, '2020-05-22', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81067, '2020-05-23', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81068, '2020-05-24', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81069, '2020-05-25', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81070, '2020-05-26', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81071, '2020-05-27', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81072, '2020-05-28', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81073, '2020-05-29', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81074, '2020-05-30', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81075, '2020-05-31', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81076, '2020-06-01', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81077, '2020-06-02', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81078, '2020-06-03', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81079, '2020-06-04', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81080, '2020-06-05', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81081, '2020-06-06', 'SX', 'Sint Maarten', 'AMRO', '-1', '77', '0', '15');
INSERT INTO public.who_import VALUES (81082, '2020-06-07', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81083, '2020-06-08', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81084, '2020-06-09', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81085, '2020-06-10', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81086, '2020-06-11', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81087, '2020-06-12', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81088, '2020-06-13', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81089, '2020-06-14', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81090, '2020-06-15', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81091, '2020-06-16', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81092, '2020-06-17', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81093, '2020-06-18', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81094, '2020-06-19', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81095, '2020-06-20', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81096, '2020-06-21', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81097, '2020-06-22', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81098, '2020-06-23', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81099, '2020-06-24', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81100, '2020-06-25', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81101, '2020-06-26', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81102, '2020-06-27', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81103, '2020-06-28', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81104, '2020-06-29', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81105, '2020-06-30', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81106, '2020-07-01', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81107, '2020-07-02', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81108, '2020-07-03', 'SX', 'Sint Maarten', 'AMRO', '0', '77', '0', '15');
INSERT INTO public.who_import VALUES (81109, '2020-07-04', 'SX', 'Sint Maarten', 'AMRO', '1', '78', '0', '15');
INSERT INTO public.who_import VALUES (81110, '2020-07-05', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81111, '2020-07-06', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81112, '2020-07-07', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81113, '2020-07-08', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81114, '2020-07-09', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81115, '2020-07-10', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81116, '2020-07-11', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81117, '2020-07-12', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81118, '2020-07-13', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81119, '2020-07-14', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81120, '2020-07-15', 'SX', 'Sint Maarten', 'AMRO', '0', '78', '0', '15');
INSERT INTO public.who_import VALUES (81121, '2020-07-16', 'SX', 'Sint Maarten', 'AMRO', '1', '79', '0', '15');
INSERT INTO public.who_import VALUES (81122, '2020-07-17', 'SX', 'Sint Maarten', 'AMRO', '0', '79', '0', '15');
INSERT INTO public.who_import VALUES (81123, '2020-07-18', 'SX', 'Sint Maarten', 'AMRO', '0', '79', '0', '15');
INSERT INTO public.who_import VALUES (81124, '2020-07-19', 'SX', 'Sint Maarten', 'AMRO', '0', '79', '0', '15');
INSERT INTO public.who_import VALUES (81125, '2020-07-20', 'SX', 'Sint Maarten', 'AMRO', '0', '79', '0', '15');
INSERT INTO public.who_import VALUES (81126, '2020-07-21', 'SX', 'Sint Maarten', 'AMRO', '0', '79', '0', '15');
INSERT INTO public.who_import VALUES (81127, '2020-07-22', 'SX', 'Sint Maarten', 'AMRO', '0', '79', '0', '15');
INSERT INTO public.who_import VALUES (81128, '2020-07-23', 'SX', 'Sint Maarten', 'AMRO', '2', '81', '0', '15');
INSERT INTO public.who_import VALUES (81129, '2020-07-24', 'SX', 'Sint Maarten', 'AMRO', '3', '84', '0', '15');
INSERT INTO public.who_import VALUES (81130, '2020-07-25', 'SX', 'Sint Maarten', 'AMRO', '10', '94', '0', '15');
INSERT INTO public.who_import VALUES (81131, '2020-07-26', 'SX', 'Sint Maarten', 'AMRO', '0', '94', '0', '15');
INSERT INTO public.who_import VALUES (81132, '2020-07-27', 'SX', 'Sint Maarten', 'AMRO', '0', '94', '0', '15');
INSERT INTO public.who_import VALUES (81133, '2020-07-28', 'SX', 'Sint Maarten', 'AMRO', '20', '114', '0', '15');
INSERT INTO public.who_import VALUES (81134, '2020-07-29', 'SX', 'Sint Maarten', 'AMRO', '1', '115', '0', '15');
INSERT INTO public.who_import VALUES (81135, '2020-07-30', 'SX', 'Sint Maarten', 'AMRO', '6', '121', '0', '15');
INSERT INTO public.who_import VALUES (81136, '2020-07-31', 'SX', 'Sint Maarten', 'AMRO', '5', '126', '0', '15');
INSERT INTO public.who_import VALUES (81137, '2020-08-01', 'SX', 'Sint Maarten', 'AMRO', '2', '128', '0', '15');
INSERT INTO public.who_import VALUES (81138, '2020-08-02', 'SX', 'Sint Maarten', 'AMRO', '0', '128', '0', '15');
INSERT INTO public.who_import VALUES (81139, '2020-08-03', 'SX', 'Sint Maarten', 'AMRO', '0', '128', '0', '15');
INSERT INTO public.who_import VALUES (81140, '2020-08-04', 'SX', 'Sint Maarten', 'AMRO', '18', '146', '1', '16');
INSERT INTO public.who_import VALUES (81141, '2020-08-05', 'SX', 'Sint Maarten', 'AMRO', '4', '150', '0', '16');
INSERT INTO public.who_import VALUES (81142, '2020-08-06', 'SX', 'Sint Maarten', 'AMRO', '6', '156', '0', '16');
INSERT INTO public.who_import VALUES (81143, '2020-08-07', 'SX', 'Sint Maarten', 'AMRO', '4', '160', '0', '16');
INSERT INTO public.who_import VALUES (81144, '2020-08-08', 'SX', 'Sint Maarten', 'AMRO', '16', '176', '0', '16');
INSERT INTO public.who_import VALUES (81145, '2020-08-09', 'SX', 'Sint Maarten', 'AMRO', '0', '176', '0', '16');
INSERT INTO public.who_import VALUES (81146, '2020-08-10', 'SX', 'Sint Maarten', 'AMRO', '0', '176', '0', '16');
INSERT INTO public.who_import VALUES (81147, '2020-08-11', 'SX', 'Sint Maarten', 'AMRO', '16', '192', '1', '17');
INSERT INTO public.who_import VALUES (81148, '2020-08-12', 'SX', 'Sint Maarten', 'AMRO', '0', '192', '0', '17');
INSERT INTO public.who_import VALUES (81149, '2020-08-13', 'SX', 'Sint Maarten', 'AMRO', '27', '219', '0', '17');
INSERT INTO public.who_import VALUES (81150, '2020-08-14', 'SX', 'Sint Maarten', 'AMRO', '29', '248', '0', '17');
INSERT INTO public.who_import VALUES (81151, '2020-08-15', 'SX', 'Sint Maarten', 'AMRO', '15', '263', '0', '17');
INSERT INTO public.who_import VALUES (81152, '2020-08-16', 'SX', 'Sint Maarten', 'AMRO', '0', '263', '0', '17');
INSERT INTO public.who_import VALUES (81153, '2020-08-17', 'SX', 'Sint Maarten', 'AMRO', '0', '263', '0', '17');
INSERT INTO public.who_import VALUES (81154, '2020-08-18', 'SX', 'Sint Maarten', 'AMRO', '54', '317', '0', '17');
INSERT INTO public.who_import VALUES (81155, '2020-08-19', 'SX', 'Sint Maarten', 'AMRO', '9', '326', '0', '17');
INSERT INTO public.who_import VALUES (81156, '2020-08-20', 'SX', 'Sint Maarten', 'AMRO', '7', '333', '0', '17');
INSERT INTO public.who_import VALUES (81157, '2020-08-21', 'SX', 'Sint Maarten', 'AMRO', '15', '348', '0', '17');
INSERT INTO public.who_import VALUES (81158, '2020-08-22', 'SX', 'Sint Maarten', 'AMRO', '5', '353', '0', '17');
INSERT INTO public.who_import VALUES (81159, '2020-08-23', 'SX', 'Sint Maarten', 'AMRO', '0', '353', '0', '17');
INSERT INTO public.who_import VALUES (81160, '2020-08-24', 'SX', 'Sint Maarten', 'AMRO', '0', '353', '0', '17');
INSERT INTO public.who_import VALUES (81161, '2020-08-25', 'SX', 'Sint Maarten', 'AMRO', '43', '396', '0', '17');
INSERT INTO public.who_import VALUES (81162, '2020-08-26', 'SX', 'Sint Maarten', 'AMRO', '12', '408', '0', '17');
INSERT INTO public.who_import VALUES (81163, '2020-08-27', 'SX', 'Sint Maarten', 'AMRO', '10', '418', '0', '17');
INSERT INTO public.who_import VALUES (81164, '2020-08-28', 'SX', 'Sint Maarten', 'AMRO', '24', '442', '0', '17');
INSERT INTO public.who_import VALUES (81165, '2020-08-29', 'SX', 'Sint Maarten', 'AMRO', '2', '444', '0', '17');
INSERT INTO public.who_import VALUES (81166, '2020-08-30', 'SX', 'Sint Maarten', 'AMRO', '0', '444', '0', '17');
INSERT INTO public.who_import VALUES (81167, '2020-08-31', 'SX', 'Sint Maarten', 'AMRO', '0', '444', '0', '17');
INSERT INTO public.who_import VALUES (81168, '2020-09-01', 'SX', 'Sint Maarten', 'AMRO', '19', '463', '0', '17');
INSERT INTO public.who_import VALUES (81169, '2020-09-02', 'SX', 'Sint Maarten', 'AMRO', '13', '476', '0', '17');
INSERT INTO public.who_import VALUES (81170, '2020-09-03', 'SX', 'Sint Maarten', 'AMRO', '6', '482', '2', '19');
INSERT INTO public.who_import VALUES (81171, '2020-09-04', 'SX', 'Sint Maarten', 'AMRO', '13', '495', '0', '19');
INSERT INTO public.who_import VALUES (81172, '2020-09-05', 'SX', 'Sint Maarten', 'AMRO', '9', '504', '0', '19');
INSERT INTO public.who_import VALUES (81173, '2020-09-06', 'SX', 'Sint Maarten', 'AMRO', '0', '504', '0', '19');
INSERT INTO public.who_import VALUES (81174, '2020-09-07', 'SX', 'Sint Maarten', 'AMRO', '0', '504', '0', '19');
INSERT INTO public.who_import VALUES (81175, '2020-09-08', 'SX', 'Sint Maarten', 'AMRO', '7', '511', '0', '19');
INSERT INTO public.who_import VALUES (81176, '2020-09-09', 'SX', 'Sint Maarten', 'AMRO', '5', '516', '0', '19');
INSERT INTO public.who_import VALUES (81177, '2020-09-10', 'SX', 'Sint Maarten', 'AMRO', '11', '527', '0', '19');
INSERT INTO public.who_import VALUES (81178, '2020-09-11', 'SX', 'Sint Maarten', 'AMRO', '3', '530', '0', '19');
INSERT INTO public.who_import VALUES (81179, '2020-09-12', 'SX', 'Sint Maarten', 'AMRO', '0', '530', '0', '19');
INSERT INTO public.who_import VALUES (81180, '2020-09-13', 'SX', 'Sint Maarten', 'AMRO', '0', '530', '0', '19');
INSERT INTO public.who_import VALUES (81181, '2020-09-14', 'SX', 'Sint Maarten', 'AMRO', '0', '530', '0', '19');
INSERT INTO public.who_import VALUES (81182, '2020-09-15', 'SX', 'Sint Maarten', 'AMRO', '19', '549', '0', '19');
INSERT INTO public.who_import VALUES (81183, '2020-09-16', 'SX', 'Sint Maarten', 'AMRO', '0', '549', '0', '19');
INSERT INTO public.who_import VALUES (81184, '2020-09-17', 'SX', 'Sint Maarten', 'AMRO', '0', '549', '0', '19');
INSERT INTO public.who_import VALUES (81185, '2020-09-18', 'SX', 'Sint Maarten', 'AMRO', '8', '557', '0', '19');
INSERT INTO public.who_import VALUES (81186, '2020-09-19', 'SX', 'Sint Maarten', 'AMRO', '8', '565', '0', '19');
INSERT INTO public.who_import VALUES (81187, '2020-09-20', 'SX', 'Sint Maarten', 'AMRO', '0', '565', '0', '19');
INSERT INTO public.who_import VALUES (81188, '2020-09-21', 'SX', 'Sint Maarten', 'AMRO', '0', '565', '0', '19');
INSERT INTO public.who_import VALUES (81189, '2020-09-22', 'SX', 'Sint Maarten', 'AMRO', '19', '584', '1', '20');
INSERT INTO public.who_import VALUES (81190, '2020-09-23', 'SX', 'Sint Maarten', 'AMRO', '7', '591', '0', '20');
INSERT INTO public.who_import VALUES (81191, '2020-09-24', 'SX', 'Sint Maarten', 'AMRO', '3', '594', '0', '20');
INSERT INTO public.who_import VALUES (81192, '2020-09-25', 'SX', 'Sint Maarten', 'AMRO', '22', '616', '1', '21');
INSERT INTO public.who_import VALUES (81193, '2020-09-26', 'SX', 'Sint Maarten', 'AMRO', '2', '618', '1', '22');
INSERT INTO public.who_import VALUES (81194, '2020-09-27', 'SX', 'Sint Maarten', 'AMRO', '0', '618', '0', '22');
INSERT INTO public.who_import VALUES (81195, '2020-09-28', 'SX', 'Sint Maarten', 'AMRO', '0', '618', '0', '22');
INSERT INTO public.who_import VALUES (81196, '2020-09-29', 'SX', 'Sint Maarten', 'AMRO', '26', '644', '0', '22');
INSERT INTO public.who_import VALUES (81197, '2020-09-30', 'SX', 'Sint Maarten', 'AMRO', '1', '645', '0', '22');
INSERT INTO public.who_import VALUES (81198, '2020-10-01', 'SX', 'Sint Maarten', 'AMRO', '0', '645', '0', '22');
INSERT INTO public.who_import VALUES (81199, '2020-10-02', 'SX', 'Sint Maarten', 'AMRO', '14', '659', '0', '22');
INSERT INTO public.who_import VALUES (81200, '2020-10-03', 'SX', 'Sint Maarten', 'AMRO', '9', '668', '0', '22');
INSERT INTO public.who_import VALUES (81201, '2020-10-04', 'SX', 'Sint Maarten', 'AMRO', '0', '668', '0', '22');
INSERT INTO public.who_import VALUES (81202, '2020-10-05', 'SX', 'Sint Maarten', 'AMRO', '0', '668', '0', '22');
INSERT INTO public.who_import VALUES (81203, '2020-10-06', 'SX', 'Sint Maarten', 'AMRO', '11', '679', '0', '22');
INSERT INTO public.who_import VALUES (81204, '2020-10-07', 'SX', 'Sint Maarten', 'AMRO', '7', '686', '0', '22');
INSERT INTO public.who_import VALUES (81205, '2020-10-08', 'SX', 'Sint Maarten', 'AMRO', '3', '689', '0', '22');
INSERT INTO public.who_import VALUES (81206, '2020-10-09', 'SX', 'Sint Maarten', 'AMRO', '9', '698', '0', '22');
INSERT INTO public.who_import VALUES (81207, '2020-10-10', 'SX', 'Sint Maarten', 'AMRO', '1', '699', '0', '22');
INSERT INTO public.who_import VALUES (81208, '2020-10-11', 'SX', 'Sint Maarten', 'AMRO', '0', '699', '0', '22');
INSERT INTO public.who_import VALUES (81209, '2020-10-12', 'SX', 'Sint Maarten', 'AMRO', '0', '699', '0', '22');
INSERT INTO public.who_import VALUES (81210, '2020-10-13', 'SX', 'Sint Maarten', 'AMRO', '11', '710', '0', '22');
INSERT INTO public.who_import VALUES (81211, '2020-10-14', 'SX', 'Sint Maarten', 'AMRO', '0', '710', '0', '22');
INSERT INTO public.who_import VALUES (81212, '2020-10-15', 'SX', 'Sint Maarten', 'AMRO', '9', '719', '0', '22');
INSERT INTO public.who_import VALUES (81213, '2020-10-16', 'SX', 'Sint Maarten', 'AMRO', '10', '729', '0', '22');
INSERT INTO public.who_import VALUES (81214, '2020-10-17', 'SX', 'Sint Maarten', 'AMRO', '8', '737', '0', '22');
INSERT INTO public.who_import VALUES (81215, '2020-10-18', 'SX', 'Sint Maarten', 'AMRO', '0', '737', '0', '22');
INSERT INTO public.who_import VALUES (81216, '2020-10-19', 'SX', 'Sint Maarten', 'AMRO', '0', '737', '0', '22');
INSERT INTO public.who_import VALUES (81217, '2020-10-20', 'SX', 'Sint Maarten', 'AMRO', '16', '753', '0', '22');
INSERT INTO public.who_import VALUES (81218, '2020-10-21', 'SX', 'Sint Maarten', 'AMRO', '3', '756', '0', '22');
INSERT INTO public.who_import VALUES (81219, '2020-10-22', 'SX', 'Sint Maarten', 'AMRO', '6', '762', '0', '22');
INSERT INTO public.who_import VALUES (81220, '2020-10-23', 'SX', 'Sint Maarten', 'AMRO', '7', '769', '0', '22');
INSERT INTO public.who_import VALUES (81221, '2020-10-24', 'SX', 'Sint Maarten', 'AMRO', '7', '776', '0', '22');
INSERT INTO public.who_import VALUES (81222, '2020-10-25', 'SX', 'Sint Maarten', 'AMRO', '0', '776', '0', '22');
INSERT INTO public.who_import VALUES (81223, '2020-10-26', 'SX', 'Sint Maarten', 'AMRO', '0', '776', '0', '22');
INSERT INTO public.who_import VALUES (81224, '2020-10-27', 'SX', 'Sint Maarten', 'AMRO', '8', '784', '0', '22');
INSERT INTO public.who_import VALUES (81225, '2020-10-28', 'SX', 'Sint Maarten', 'AMRO', '5', '789', '0', '22');
INSERT INTO public.who_import VALUES (81226, '2020-10-29', 'SX', 'Sint Maarten', 'AMRO', '3', '792', '0', '22');
INSERT INTO public.who_import VALUES (81227, '2020-10-30', 'SX', 'Sint Maarten', 'AMRO', '13', '805', '0', '22');
INSERT INTO public.who_import VALUES (81228, '2020-10-31', 'SX', 'Sint Maarten', 'AMRO', '0', '805', '0', '22');
INSERT INTO public.who_import VALUES (81229, '2020-11-01', 'SX', 'Sint Maarten', 'AMRO', '0', '805', '0', '22');
INSERT INTO public.who_import VALUES (81230, '2020-11-02', 'SX', 'Sint Maarten', 'AMRO', '0', '805', '0', '22');
INSERT INTO public.who_import VALUES (81231, '2020-11-03', 'SX', 'Sint Maarten', 'AMRO', '26', '831', '0', '22');
INSERT INTO public.who_import VALUES (81232, '2020-11-04', 'SX', 'Sint Maarten', 'AMRO', '13', '844', '0', '22');
INSERT INTO public.who_import VALUES (81233, '2020-11-05', 'SX', 'Sint Maarten', 'AMRO', '15', '859', '0', '22');
INSERT INTO public.who_import VALUES (81234, '2020-11-06', 'SX', 'Sint Maarten', 'AMRO', '11', '870', '0', '22');
INSERT INTO public.who_import VALUES (81235, '2020-11-07', 'SX', 'Sint Maarten', 'AMRO', '0', '870', '0', '22');
INSERT INTO public.who_import VALUES (81236, '2020-11-08', 'SX', 'Sint Maarten', 'AMRO', '0', '870', '0', '22');
INSERT INTO public.who_import VALUES (81237, '2020-11-09', 'SX', 'Sint Maarten', 'AMRO', '0', '870', '0', '22');
INSERT INTO public.who_import VALUES (81238, '2020-11-10', 'SX', 'Sint Maarten', 'AMRO', '26', '896', '1', '23');
INSERT INTO public.who_import VALUES (81239, '2020-11-11', 'SX', 'Sint Maarten', 'AMRO', '0', '896', '0', '23');
INSERT INTO public.who_import VALUES (81240, '2020-11-12', 'SX', 'Sint Maarten', 'AMRO', '12', '908', '0', '23');
INSERT INTO public.who_import VALUES (81241, '2020-11-13', 'SX', 'Sint Maarten', 'AMRO', '0', '908', '0', '23');
INSERT INTO public.who_import VALUES (81242, '2020-11-14', 'SX', 'Sint Maarten', 'AMRO', '6', '914', '0', '23');
INSERT INTO public.who_import VALUES (81243, '2020-11-15', 'SX', 'Sint Maarten', 'AMRO', '0', '914', '0', '23');
INSERT INTO public.who_import VALUES (81244, '2020-11-16', 'SX', 'Sint Maarten', 'AMRO', '0', '914', '0', '23');
INSERT INTO public.who_import VALUES (81245, '2020-11-17', 'SX', 'Sint Maarten', 'AMRO', '19', '933', '1', '24');
INSERT INTO public.who_import VALUES (81246, '2020-11-18', 'SX', 'Sint Maarten', 'AMRO', '6', '939', '0', '24');
INSERT INTO public.who_import VALUES (81247, '2020-11-19', 'SX', 'Sint Maarten', 'AMRO', '15', '954', '0', '24');
INSERT INTO public.who_import VALUES (81248, '2020-11-20', 'SX', 'Sint Maarten', 'AMRO', '10', '964', '0', '24');
INSERT INTO public.who_import VALUES (81249, '2020-11-21', 'SX', 'Sint Maarten', 'AMRO', '9', '973', '0', '24');
INSERT INTO public.who_import VALUES (81250, '2020-11-22', 'SX', 'Sint Maarten', 'AMRO', '0', '973', '0', '24');
INSERT INTO public.who_import VALUES (81251, '2020-11-23', 'SX', 'Sint Maarten', 'AMRO', '0', '973', '0', '24');
INSERT INTO public.who_import VALUES (81252, '2020-11-24', 'SX', 'Sint Maarten', 'AMRO', '34', '1007', '1', '25');
INSERT INTO public.who_import VALUES (81253, '2020-11-25', 'SX', 'Sint Maarten', 'AMRO', '10', '1017', '0', '25');
INSERT INTO public.who_import VALUES (81254, '2020-11-26', 'SX', 'Sint Maarten', 'AMRO', '3', '1020', '0', '25');
INSERT INTO public.who_import VALUES (81255, '2020-11-27', 'SX', 'Sint Maarten', 'AMRO', '16', '1036', '0', '25');
INSERT INTO public.who_import VALUES (81256, '2020-11-28', 'SX', 'Sint Maarten', 'AMRO', '5', '1041', '0', '25');
INSERT INTO public.who_import VALUES (81257, '2020-11-29', 'SX', 'Sint Maarten', 'AMRO', '0', '1041', '0', '25');
INSERT INTO public.who_import VALUES (81258, '2020-11-30', 'SX', 'Sint Maarten', 'AMRO', '0', '1041', '0', '25');
INSERT INTO public.who_import VALUES (81259, '2020-12-01', 'SX', 'Sint Maarten', 'AMRO', '25', '1066', '0', '25');
INSERT INTO public.who_import VALUES (81260, '2020-12-02', 'SX', 'Sint Maarten', 'AMRO', '3', '1069', '0', '25');
INSERT INTO public.who_import VALUES (81261, '2020-12-03', 'SX', 'Sint Maarten', 'AMRO', '3', '1072', '0', '25');
INSERT INTO public.who_import VALUES (81262, '2020-12-04', 'SX', 'Sint Maarten', 'AMRO', '20', '1092', '0', '25');
INSERT INTO public.who_import VALUES (81263, '2020-12-05', 'SX', 'Sint Maarten', 'AMRO', '13', '1105', '0', '25');
INSERT INTO public.who_import VALUES (81264, '2020-12-06', 'SX', 'Sint Maarten', 'AMRO', '0', '1105', '0', '25');
INSERT INTO public.who_import VALUES (81265, '2020-12-07', 'SX', 'Sint Maarten', 'AMRO', '0', '1105', '0', '25');
INSERT INTO public.who_import VALUES (81266, '2020-12-08', 'SX', 'Sint Maarten', 'AMRO', '36', '1141', '0', '25');
INSERT INTO public.who_import VALUES (81267, '2020-12-09', 'SX', 'Sint Maarten', 'AMRO', '14', '1155', '1', '26');
INSERT INTO public.who_import VALUES (81268, '2020-12-10', 'SX', 'Sint Maarten', 'AMRO', '0', '1155', '0', '26');
INSERT INTO public.who_import VALUES (81269, '2020-12-11', 'SX', 'Sint Maarten', 'AMRO', '30', '1185', '0', '26');
INSERT INTO public.who_import VALUES (81270, '2020-12-12', 'SX', 'Sint Maarten', 'AMRO', '16', '1201', '0', '26');
INSERT INTO public.who_import VALUES (81271, '2020-12-13', 'SX', 'Sint Maarten', 'AMRO', '0', '1201', '0', '26');
INSERT INTO public.who_import VALUES (81272, '2020-12-14', 'SX', 'Sint Maarten', 'AMRO', '0', '1201', '0', '26');
INSERT INTO public.who_import VALUES (81273, '2020-12-15', 'SX', 'Sint Maarten', 'AMRO', '31', '1232', '0', '26');
INSERT INTO public.who_import VALUES (81274, '2020-12-16', 'SX', 'Sint Maarten', 'AMRO', '17', '1249', '0', '26');
INSERT INTO public.who_import VALUES (81275, '2020-12-17', 'SX', 'Sint Maarten', 'AMRO', '20', '1269', '0', '26');
INSERT INTO public.who_import VALUES (81276, '2020-12-18', 'SX', 'Sint Maarten', 'AMRO', '7', '1276', '0', '26');
INSERT INTO public.who_import VALUES (81277, '2020-12-19', 'SX', 'Sint Maarten', 'AMRO', '18', '1294', '0', '26');
INSERT INTO public.who_import VALUES (81278, '2020-12-20', 'SX', 'Sint Maarten', 'AMRO', '0', '1294', '0', '26');
INSERT INTO public.who_import VALUES (81279, '2020-12-21', 'SX', 'Sint Maarten', 'AMRO', '0', '1294', '0', '26');
INSERT INTO public.who_import VALUES (81280, '2020-12-22', 'SX', 'Sint Maarten', 'AMRO', '34', '1328', '0', '26');
INSERT INTO public.who_import VALUES (81281, '2020-12-23', 'SX', 'Sint Maarten', 'AMRO', '10', '1338', '0', '26');
INSERT INTO public.who_import VALUES (81282, '2020-12-24', 'SX', 'Sint Maarten', 'AMRO', '24', '1362', '0', '26');
INSERT INTO public.who_import VALUES (81283, '2020-12-25', 'SX', 'Sint Maarten', 'AMRO', '8', '1370', '0', '26');
INSERT INTO public.who_import VALUES (81284, '2020-12-26', 'SX', 'Sint Maarten', 'AMRO', '0', '1370', '0', '26');
INSERT INTO public.who_import VALUES (81285, '2020-12-27', 'SX', 'Sint Maarten', 'AMRO', '0', '1370', '0', '26');
INSERT INTO public.who_import VALUES (81286, '2020-12-28', 'SX', 'Sint Maarten', 'AMRO', '0', '1370', '0', '26');
INSERT INTO public.who_import VALUES (81287, '2020-12-29', 'SX', 'Sint Maarten', 'AMRO', '41', '1411', '0', '26');
INSERT INTO public.who_import VALUES (81288, '2020-12-30', 'SX', 'Sint Maarten', 'AMRO', '0', '1411', '0', '26');
INSERT INTO public.who_import VALUES (81289, '2020-12-31', 'SX', 'Sint Maarten', 'AMRO', '12', '1423', '1', '27');
INSERT INTO public.who_import VALUES (81290, '2021-01-01', 'SX', 'Sint Maarten', 'AMRO', '11', '1434', '0', '27');
INSERT INTO public.who_import VALUES (81291, '2021-01-02', 'SX', 'Sint Maarten', 'AMRO', '0', '1434', '0', '27');
INSERT INTO public.who_import VALUES (81292, '2021-01-03', 'SX', 'Sint Maarten', 'AMRO', '0', '1434', '0', '27');
INSERT INTO public.who_import VALUES (81293, '2021-01-04', 'SX', 'Sint Maarten', 'AMRO', '0', '1434', '0', '27');
INSERT INTO public.who_import VALUES (81294, '2021-01-05', 'SX', 'Sint Maarten', 'AMRO', '28', '1462', '0', '27');
INSERT INTO public.who_import VALUES (81295, '2021-01-06', 'SX', 'Sint Maarten', 'AMRO', '3', '1465', '0', '27');
INSERT INTO public.who_import VALUES (81296, '2021-01-07', 'SX', 'Sint Maarten', 'AMRO', '39', '1504', '0', '27');
INSERT INTO public.who_import VALUES (81297, '2021-01-08', 'SX', 'Sint Maarten', 'AMRO', '8', '1512', '0', '27');
INSERT INTO public.who_import VALUES (81298, '2021-01-09', 'SX', 'Sint Maarten', 'AMRO', '19', '1531', '0', '27');
INSERT INTO public.who_import VALUES (81299, '2021-01-10', 'SX', 'Sint Maarten', 'AMRO', '0', '1531', '0', '27');
INSERT INTO public.who_import VALUES (81300, '2021-01-11', 'SX', 'Sint Maarten', 'AMRO', '0', '1531', '0', '27');
INSERT INTO public.who_import VALUES (81301, '2021-01-12', 'SX', 'Sint Maarten', 'AMRO', '24', '1555', '0', '27');
INSERT INTO public.who_import VALUES (81302, '2021-01-13', 'SX', 'Sint Maarten', 'AMRO', '20', '1575', '0', '27');
INSERT INTO public.who_import VALUES (81303, '2021-01-14', 'SX', 'Sint Maarten', 'AMRO', '14', '1589', '0', '27');
INSERT INTO public.who_import VALUES (81304, '2021-01-15', 'SX', 'Sint Maarten', 'AMRO', '18', '1607', '0', '27');
INSERT INTO public.who_import VALUES (81305, '2021-01-16', 'SX', 'Sint Maarten', 'AMRO', '22', '1629', '0', '27');
INSERT INTO public.who_import VALUES (81306, '2021-01-17', 'SX', 'Sint Maarten', 'AMRO', '0', '1629', '0', '27');
INSERT INTO public.who_import VALUES (81307, '2021-01-18', 'SX', 'Sint Maarten', 'AMRO', '0', '1629', '0', '27');
INSERT INTO public.who_import VALUES (81308, '2021-01-19', 'SX', 'Sint Maarten', 'AMRO', '27', '1656', '0', '27');
INSERT INTO public.who_import VALUES (81309, '2021-01-20', 'SX', 'Sint Maarten', 'AMRO', '13', '1669', '0', '27');
INSERT INTO public.who_import VALUES (81310, '2021-01-21', 'SX', 'Sint Maarten', 'AMRO', '8', '1677', '0', '27');
INSERT INTO public.who_import VALUES (81311, '2021-01-22', 'SX', 'Sint Maarten', 'AMRO', '26', '1703', '0', '27');
INSERT INTO public.who_import VALUES (81312, '2021-01-23', 'SX', 'Sint Maarten', 'AMRO', '5', '1708', '0', '27');
INSERT INTO public.who_import VALUES (81313, '2021-01-24', 'SX', 'Sint Maarten', 'AMRO', '0', '1708', '0', '27');
INSERT INTO public.who_import VALUES (81314, '2021-01-25', 'SX', 'Sint Maarten', 'AMRO', '0', '1708', '0', '27');
INSERT INTO public.who_import VALUES (81315, '2021-01-26', 'SX', 'Sint Maarten', 'AMRO', '41', '1749', '0', '27');
INSERT INTO public.who_import VALUES (81316, '2021-01-27', 'SX', 'Sint Maarten', 'AMRO', '9', '1758', '0', '27');
INSERT INTO public.who_import VALUES (81317, '2021-01-28', 'SX', 'Sint Maarten', 'AMRO', '9', '1767', '0', '27');
INSERT INTO public.who_import VALUES (81318, '2021-01-29', 'SX', 'Sint Maarten', 'AMRO', '40', '1807', '0', '27');
INSERT INTO public.who_import VALUES (81319, '2021-01-30', 'SX', 'Sint Maarten', 'AMRO', '15', '1822', '0', '27');
INSERT INTO public.who_import VALUES (81320, '2021-01-31', 'SX', 'Sint Maarten', 'AMRO', '0', '1822', '0', '27');
INSERT INTO public.who_import VALUES (81321, '2021-02-01', 'SX', 'Sint Maarten', 'AMRO', '0', '1822', '0', '27');
INSERT INTO public.who_import VALUES (81322, '2021-02-02', 'SX', 'Sint Maarten', 'AMRO', '40', '1862', '0', '27');
INSERT INTO public.who_import VALUES (81323, '2021-02-03', 'SX', 'Sint Maarten', 'AMRO', '8', '1870', '0', '27');
INSERT INTO public.who_import VALUES (81324, '2021-02-04', 'SX', 'Sint Maarten', 'AMRO', '15', '1885', '0', '27');
INSERT INTO public.who_import VALUES (81325, '2021-02-05', 'SX', 'Sint Maarten', 'AMRO', '14', '1899', '0', '27');
INSERT INTO public.who_import VALUES (81326, '2021-02-06', 'SX', 'Sint Maarten', 'AMRO', '12', '1911', '0', '27');
INSERT INTO public.who_import VALUES (81327, '2021-02-07', 'SX', 'Sint Maarten', 'AMRO', '0', '1911', '0', '27');
INSERT INTO public.who_import VALUES (81328, '2021-02-08', 'SX', 'Sint Maarten', 'AMRO', '0', '1911', '0', '27');
INSERT INTO public.who_import VALUES (81329, '2021-02-09', 'SX', 'Sint Maarten', 'AMRO', '25', '1936', '0', '27');
INSERT INTO public.who_import VALUES (81330, '2021-02-10', 'SX', 'Sint Maarten', 'AMRO', '2', '1938', '0', '27');
INSERT INTO public.who_import VALUES (81331, '2021-02-11', 'SX', 'Sint Maarten', 'AMRO', '14', '1952', '0', '27');
INSERT INTO public.who_import VALUES (81332, '2021-02-12', 'SX', 'Sint Maarten', 'AMRO', '20', '1972', '0', '27');
INSERT INTO public.who_import VALUES (81333, '2021-02-13', 'SX', 'Sint Maarten', 'AMRO', '13', '1985', '0', '27');
INSERT INTO public.who_import VALUES (81334, '2021-02-14', 'SX', 'Sint Maarten', 'AMRO', '0', '1985', '0', '27');
INSERT INTO public.who_import VALUES (81335, '2021-02-15', 'SX', 'Sint Maarten', 'AMRO', '0', '1985', '0', '27');
INSERT INTO public.who_import VALUES (81336, '2021-02-16', 'SX', 'Sint Maarten', 'AMRO', '13', '1998', '0', '27');
INSERT INTO public.who_import VALUES (81337, '2021-02-17', 'SX', 'Sint Maarten', 'AMRO', '3', '2001', '0', '27');
INSERT INTO public.who_import VALUES (81338, '2021-02-18', 'SX', 'Sint Maarten', 'AMRO', '12', '2013', '0', '27');
INSERT INTO public.who_import VALUES (81339, '2021-02-19', 'SX', 'Sint Maarten', 'AMRO', '0', '2013', '0', '27');
INSERT INTO public.who_import VALUES (81340, '2021-02-20', 'SX', 'Sint Maarten', 'AMRO', '14', '2027', '0', '27');
INSERT INTO public.who_import VALUES (81341, '2020-01-03', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81342, '2020-01-04', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81343, '2020-01-05', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81344, '2020-01-06', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81345, '2020-01-07', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81346, '2020-01-08', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81347, '2020-01-09', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81348, '2020-01-10', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81349, '2020-01-11', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81350, '2020-01-12', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81351, '2020-01-13', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81352, '2020-01-14', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81353, '2020-01-15', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81354, '2020-01-16', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81355, '2020-01-17', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81357, '2020-01-19', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81358, '2020-01-20', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81359, '2020-01-21', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81360, '2020-01-22', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81361, '2020-01-23', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81362, '2020-01-24', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81363, '2020-01-25', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81364, '2020-01-26', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81365, '2020-01-27', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81366, '2020-01-28', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81367, '2020-01-29', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81368, '2020-01-30', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81369, '2020-01-31', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81370, '2020-02-01', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81371, '2020-02-02', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81372, '2020-02-03', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81373, '2020-02-04', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81374, '2020-02-05', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81375, '2020-02-06', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81376, '2020-02-07', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81377, '2020-02-08', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81378, '2020-02-09', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81379, '2020-02-10', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81380, '2020-02-11', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81381, '2020-02-12', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81382, '2020-02-13', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81383, '2020-02-14', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81384, '2020-02-15', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81385, '2020-02-16', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81386, '2020-02-17', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81387, '2020-02-18', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81388, '2020-02-19', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81389, '2020-02-20', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81390, '2020-02-21', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81391, '2020-02-22', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81392, '2020-02-23', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81393, '2020-02-24', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81394, '2020-02-25', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81395, '2020-02-26', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81396, '2020-02-27', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81397, '2020-02-28', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81398, '2020-02-29', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81399, '2020-03-01', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81400, '2020-03-02', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81401, '2020-03-03', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81402, '2020-03-04', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81403, '2020-03-05', 'SK', 'Slovakia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81404, '2020-03-06', 'SK', 'Slovakia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (81405, '2020-03-07', 'SK', 'Slovakia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (81406, '2020-03-08', 'SK', 'Slovakia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (81407, '2020-03-09', 'SK', 'Slovakia', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (81408, '2020-03-10', 'SK', 'Slovakia', 'EURO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (81409, '2020-03-11', 'SK', 'Slovakia', 'EURO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (81410, '2020-03-12', 'SK', 'Slovakia', 'EURO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (81411, '2020-03-13', 'SK', 'Slovakia', 'EURO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (81412, '2020-03-14', 'SK', 'Slovakia', 'EURO', '11', '21', '0', '0');
INSERT INTO public.who_import VALUES (81413, '2020-03-15', 'SK', 'Slovakia', 'EURO', '9', '30', '0', '0');
INSERT INTO public.who_import VALUES (81414, '2020-03-16', 'SK', 'Slovakia', 'EURO', '14', '44', '0', '0');
INSERT INTO public.who_import VALUES (81415, '2020-03-17', 'SK', 'Slovakia', 'EURO', '17', '61', '0', '0');
INSERT INTO public.who_import VALUES (81416, '2020-03-18', 'SK', 'Slovakia', 'EURO', '23', '84', '0', '0');
INSERT INTO public.who_import VALUES (81417, '2020-03-19', 'SK', 'Slovakia', 'EURO', '13', '97', '0', '0');
INSERT INTO public.who_import VALUES (81418, '2020-03-20', 'SK', 'Slovakia', 'EURO', '10', '107', '0', '0');
INSERT INTO public.who_import VALUES (81419, '2020-03-21', 'SK', 'Slovakia', 'EURO', '16', '123', '0', '0');
INSERT INTO public.who_import VALUES (81420, '2020-03-22', 'SK', 'Slovakia', 'EURO', '14', '137', '0', '0');
INSERT INTO public.who_import VALUES (81421, '2020-03-23', 'SK', 'Slovakia', 'EURO', '41', '178', '0', '0');
INSERT INTO public.who_import VALUES (81422, '2020-03-24', 'SK', 'Slovakia', 'EURO', '7', '185', '0', '0');
INSERT INTO public.who_import VALUES (81423, '2020-03-25', 'SK', 'Slovakia', 'EURO', '6', '191', '0', '0');
INSERT INTO public.who_import VALUES (81424, '2020-03-26', 'SK', 'Slovakia', 'EURO', '13', '204', '0', '0');
INSERT INTO public.who_import VALUES (81425, '2020-03-27', 'SK', 'Slovakia', 'EURO', '12', '216', '0', '0');
INSERT INTO public.who_import VALUES (81426, '2020-03-28', 'SK', 'Slovakia', 'EURO', '10', '226', '0', '0');
INSERT INTO public.who_import VALUES (81427, '2020-03-29', 'SK', 'Slovakia', 'EURO', '69', '295', '0', '0');
INSERT INTO public.who_import VALUES (81428, '2020-03-30', 'SK', 'Slovakia', 'EURO', '0', '295', '0', '0');
INSERT INTO public.who_import VALUES (81429, '2020-03-31', 'SK', 'Slovakia', 'EURO', '41', '336', '0', '0');
INSERT INTO public.who_import VALUES (81430, '2020-04-01', 'SK', 'Slovakia', 'EURO', '0', '336', '0', '0');
INSERT INTO public.who_import VALUES (81431, '2020-04-02', 'SK', 'Slovakia', 'EURO', '27', '363', '0', '0');
INSERT INTO public.who_import VALUES (81432, '2020-04-03', 'SK', 'Slovakia', 'EURO', '37', '400', '0', '0');
INSERT INTO public.who_import VALUES (81433, '2020-04-04', 'SK', 'Slovakia', 'EURO', '26', '426', '0', '0');
INSERT INTO public.who_import VALUES (81434, '2020-04-05', 'SK', 'Slovakia', 'EURO', '24', '450', '0', '0');
INSERT INTO public.who_import VALUES (81435, '2020-04-06', 'SK', 'Slovakia', 'EURO', '21', '471', '0', '0');
INSERT INTO public.who_import VALUES (81436, '2020-04-07', 'SK', 'Slovakia', 'EURO', '14', '485', '2', '2');
INSERT INTO public.who_import VALUES (81437, '2020-04-08', 'SK', 'Slovakia', 'EURO', '49', '534', '0', '2');
INSERT INTO public.who_import VALUES (81438, '2020-04-09', 'SK', 'Slovakia', 'EURO', '47', '581', '0', '2');
INSERT INTO public.who_import VALUES (81439, '2020-04-10', 'SK', 'Slovakia', 'EURO', '101', '682', '0', '2');
INSERT INTO public.who_import VALUES (81440, '2020-04-11', 'SK', 'Slovakia', 'EURO', '19', '701', '0', '2');
INSERT INTO public.who_import VALUES (81441, '2020-04-12', 'SK', 'Slovakia', 'EURO', '14', '715', '0', '2');
INSERT INTO public.who_import VALUES (81442, '2020-04-13', 'SK', 'Slovakia', 'EURO', '13', '728', '0', '2');
INSERT INTO public.who_import VALUES (81443, '2020-04-14', 'SK', 'Slovakia', 'EURO', '14', '742', '0', '2');
INSERT INTO public.who_import VALUES (81444, '2020-04-15', 'SK', 'Slovakia', 'EURO', '27', '769', '0', '2');
INSERT INTO public.who_import VALUES (81445, '2020-04-16', 'SK', 'Slovakia', 'EURO', '66', '835', '0', '2');
INSERT INTO public.who_import VALUES (81446, '2020-04-17', 'SK', 'Slovakia', 'EURO', '28', '863', '4', '6');
INSERT INTO public.who_import VALUES (81447, '2020-04-18', 'SK', 'Slovakia', 'EURO', '114', '977', '2', '8');
INSERT INTO public.who_import VALUES (81448, '2020-04-19', 'SK', 'Slovakia', 'EURO', '72', '1049', '1', '9');
INSERT INTO public.who_import VALUES (81449, '2020-04-20', 'SK', 'Slovakia', 'EURO', '40', '1089', '2', '11');
INSERT INTO public.who_import VALUES (81450, '2020-04-21', 'SK', 'Slovakia', 'EURO', '72', '1161', '1', '12');
INSERT INTO public.who_import VALUES (81451, '2020-04-22', 'SK', 'Slovakia', 'EURO', '12', '1173', '1', '13');
INSERT INTO public.who_import VALUES (81452, '2020-04-23', 'SK', 'Slovakia', 'EURO', '26', '1199', '1', '14');
INSERT INTO public.who_import VALUES (81453, '2020-04-24', 'SK', 'Slovakia', 'EURO', '45', '1244', '0', '14');
INSERT INTO public.who_import VALUES (81454, '2020-04-25', 'SK', 'Slovakia', 'EURO', '81', '1325', '1', '15');
INSERT INTO public.who_import VALUES (81455, '2020-04-26', 'SK', 'Slovakia', 'EURO', '35', '1360', '2', '17');
INSERT INTO public.who_import VALUES (81456, '2020-04-27', 'SK', 'Slovakia', 'EURO', '13', '1373', '0', '17');
INSERT INTO public.who_import VALUES (81457, '2020-04-28', 'SK', 'Slovakia', 'EURO', '6', '1379', '1', '18');
INSERT INTO public.who_import VALUES (81458, '2020-04-29', 'SK', 'Slovakia', 'EURO', '2', '1381', '0', '18');
INSERT INTO public.who_import VALUES (81459, '2020-04-30', 'SK', 'Slovakia', 'EURO', '3', '1384', '2', '20');
INSERT INTO public.who_import VALUES (81460, '2020-05-01', 'SK', 'Slovakia', 'EURO', '7', '1391', '2', '22');
INSERT INTO public.who_import VALUES (81461, '2020-05-02', 'SK', 'Slovakia', 'EURO', '5', '1396', '1', '23');
INSERT INTO public.who_import VALUES (81462, '2020-05-03', 'SK', 'Slovakia', 'EURO', '7', '1403', '0', '23');
INSERT INTO public.who_import VALUES (81463, '2020-05-04', 'SK', 'Slovakia', 'EURO', '4', '1407', '1', '24');
INSERT INTO public.who_import VALUES (81464, '2020-05-05', 'SK', 'Slovakia', 'EURO', '1', '1408', '0', '24');
INSERT INTO public.who_import VALUES (81465, '2020-05-06', 'SK', 'Slovakia', 'EURO', '5', '1413', '1', '25');
INSERT INTO public.who_import VALUES (81466, '2020-05-07', 'SK', 'Slovakia', 'EURO', '8', '1421', '0', '25');
INSERT INTO public.who_import VALUES (81467, '2020-05-08', 'SK', 'Slovakia', 'EURO', '8', '1429', '0', '25');
INSERT INTO public.who_import VALUES (81468, '2020-05-09', 'SK', 'Slovakia', 'EURO', '16', '1445', '1', '26');
INSERT INTO public.who_import VALUES (81469, '2020-05-10', 'SK', 'Slovakia', 'EURO', '10', '1455', '0', '26');
INSERT INTO public.who_import VALUES (81470, '2020-05-11', 'SK', 'Slovakia', 'EURO', '0', '1455', '0', '26');
INSERT INTO public.who_import VALUES (81471, '2020-05-12', 'SK', 'Slovakia', 'EURO', '2', '1457', '0', '26');
INSERT INTO public.who_import VALUES (81472, '2020-05-13', 'SK', 'Slovakia', 'EURO', '0', '1457', '0', '26');
INSERT INTO public.who_import VALUES (81473, '2020-05-14', 'SK', 'Slovakia', 'EURO', '8', '1465', '1', '27');
INSERT INTO public.who_import VALUES (81474, '2020-05-15', 'SK', 'Slovakia', 'EURO', '4', '1469', '0', '27');
INSERT INTO public.who_import VALUES (81475, '2020-05-16', 'SK', 'Slovakia', 'EURO', '8', '1477', '0', '27');
INSERT INTO public.who_import VALUES (81476, '2020-05-17', 'SK', 'Slovakia', 'EURO', '3', '1480', '0', '27');
INSERT INTO public.who_import VALUES (81477, '2020-05-18', 'SK', 'Slovakia', 'EURO', '13', '1493', '1', '28');
INSERT INTO public.who_import VALUES (81478, '2020-05-19', 'SK', 'Slovakia', 'EURO', '1', '1494', '0', '28');
INSERT INTO public.who_import VALUES (81479, '2020-05-20', 'SK', 'Slovakia', 'EURO', '1', '1495', '0', '28');
INSERT INTO public.who_import VALUES (81480, '2020-05-21', 'SK', 'Slovakia', 'EURO', '0', '1495', '0', '28');
INSERT INTO public.who_import VALUES (81481, '2020-05-22', 'SK', 'Slovakia', 'EURO', '1', '1496', '0', '28');
INSERT INTO public.who_import VALUES (81482, '2020-05-23', 'SK', 'Slovakia', 'EURO', '6', '1502', '0', '28');
INSERT INTO public.who_import VALUES (81483, '2020-05-24', 'SK', 'Slovakia', 'EURO', '1', '1503', '0', '28');
INSERT INTO public.who_import VALUES (81484, '2020-05-25', 'SK', 'Slovakia', 'EURO', '1', '1504', '0', '28');
INSERT INTO public.who_import VALUES (81485, '2020-05-26', 'SK', 'Slovakia', 'EURO', '5', '1509', '0', '28');
INSERT INTO public.who_import VALUES (81486, '2020-05-27', 'SK', 'Slovakia', 'EURO', '2', '1511', '0', '28');
INSERT INTO public.who_import VALUES (81487, '2020-05-28', 'SK', 'Slovakia', 'EURO', '2', '1513', '0', '28');
INSERT INTO public.who_import VALUES (81488, '2020-05-29', 'SK', 'Slovakia', 'EURO', '2', '1515', '0', '28');
INSERT INTO public.who_import VALUES (81489, '2020-05-30', 'SK', 'Slovakia', 'EURO', '5', '1520', '0', '28');
INSERT INTO public.who_import VALUES (81490, '2020-05-31', 'SK', 'Slovakia', 'EURO', '0', '1520', '0', '28');
INSERT INTO public.who_import VALUES (81491, '2020-06-01', 'SK', 'Slovakia', 'EURO', '1', '1521', '0', '28');
INSERT INTO public.who_import VALUES (81492, '2020-06-02', 'SK', 'Slovakia', 'EURO', '1', '1522', '0', '28');
INSERT INTO public.who_import VALUES (81493, '2020-06-03', 'SK', 'Slovakia', 'EURO', '0', '1522', '0', '28');
INSERT INTO public.who_import VALUES (81494, '2020-06-04', 'SK', 'Slovakia', 'EURO', '0', '1522', '0', '28');
INSERT INTO public.who_import VALUES (81495, '2020-06-05', 'SK', 'Slovakia', 'EURO', '3', '1525', '0', '28');
INSERT INTO public.who_import VALUES (81496, '2020-06-06', 'SK', 'Slovakia', 'EURO', '1', '1526', '0', '28');
INSERT INTO public.who_import VALUES (81497, '2020-06-07', 'SK', 'Slovakia', 'EURO', '0', '1526', '0', '28');
INSERT INTO public.who_import VALUES (81498, '2020-06-08', 'SK', 'Slovakia', 'EURO', '2', '1528', '0', '28');
INSERT INTO public.who_import VALUES (81499, '2020-06-09', 'SK', 'Slovakia', 'EURO', '0', '1528', '0', '28');
INSERT INTO public.who_import VALUES (81500, '2020-06-10', 'SK', 'Slovakia', 'EURO', '2', '1530', '0', '28');
INSERT INTO public.who_import VALUES (81501, '2020-06-11', 'SK', 'Slovakia', 'EURO', '1', '1531', '0', '28');
INSERT INTO public.who_import VALUES (81502, '2020-06-12', 'SK', 'Slovakia', 'EURO', '2', '1533', '0', '28');
INSERT INTO public.who_import VALUES (81503, '2020-06-13', 'SK', 'Slovakia', 'EURO', '8', '1541', '0', '28');
INSERT INTO public.who_import VALUES (81504, '2020-06-14', 'SK', 'Slovakia', 'EURO', '1', '1542', '0', '28');
INSERT INTO public.who_import VALUES (81505, '2020-06-15', 'SK', 'Slovakia', 'EURO', '3', '1545', '0', '28');
INSERT INTO public.who_import VALUES (81506, '2020-06-16', 'SK', 'Slovakia', 'EURO', '3', '1548', '0', '28');
INSERT INTO public.who_import VALUES (81507, '2020-06-17', 'SK', 'Slovakia', 'EURO', '4', '1552', '0', '28');
INSERT INTO public.who_import VALUES (81508, '2020-06-18', 'SK', 'Slovakia', 'EURO', '0', '1552', '0', '28');
INSERT INTO public.who_import VALUES (81509, '2020-06-19', 'SK', 'Slovakia', 'EURO', '9', '1561', '0', '28');
INSERT INTO public.who_import VALUES (81510, '2020-06-20', 'SK', 'Slovakia', 'EURO', '1', '1562', '0', '28');
INSERT INTO public.who_import VALUES (81511, '2020-06-21', 'SK', 'Slovakia', 'EURO', '14', '1576', '0', '28');
INSERT INTO public.who_import VALUES (81512, '2020-06-22', 'SK', 'Slovakia', 'EURO', '10', '1586', '0', '28');
INSERT INTO public.who_import VALUES (81513, '2020-06-23', 'SK', 'Slovakia', 'EURO', '1', '1587', '0', '28');
INSERT INTO public.who_import VALUES (81514, '2020-06-24', 'SK', 'Slovakia', 'EURO', '1', '1588', '0', '28');
INSERT INTO public.who_import VALUES (81515, '2020-06-25', 'SK', 'Slovakia', 'EURO', '1', '1589', '0', '28');
INSERT INTO public.who_import VALUES (81516, '2020-06-26', 'SK', 'Slovakia', 'EURO', '18', '1607', '0', '28');
INSERT INTO public.who_import VALUES (81517, '2020-06-27', 'SK', 'Slovakia', 'EURO', '23', '1630', '0', '28');
INSERT INTO public.who_import VALUES (81518, '2020-06-28', 'SK', 'Slovakia', 'EURO', '13', '1643', '0', '28');
INSERT INTO public.who_import VALUES (81519, '2020-06-29', 'SK', 'Slovakia', 'EURO', '14', '1657', '0', '28');
INSERT INTO public.who_import VALUES (81520, '2020-06-30', 'SK', 'Slovakia', 'EURO', '7', '1664', '0', '28');
INSERT INTO public.who_import VALUES (81521, '2020-07-01', 'SK', 'Slovakia', 'EURO', '1', '1665', '0', '28');
INSERT INTO public.who_import VALUES (81522, '2020-07-02', 'SK', 'Slovakia', 'EURO', '2', '1667', '0', '28');
INSERT INTO public.who_import VALUES (81523, '2020-07-03', 'SK', 'Slovakia', 'EURO', '20', '1687', '0', '28');
INSERT INTO public.who_import VALUES (81524, '2020-07-04', 'SK', 'Slovakia', 'EURO', '13', '1700', '0', '28');
INSERT INTO public.who_import VALUES (81525, '2020-07-05', 'SK', 'Slovakia', 'EURO', '20', '1720', '0', '28');
INSERT INTO public.who_import VALUES (81526, '2020-07-06', 'SK', 'Slovakia', 'EURO', '29', '1749', '0', '28');
INSERT INTO public.who_import VALUES (81527, '2020-07-07', 'SK', 'Slovakia', 'EURO', '15', '1764', '0', '28');
INSERT INTO public.who_import VALUES (81528, '2020-07-08', 'SK', 'Slovakia', 'EURO', '1', '1765', '0', '28');
INSERT INTO public.who_import VALUES (81529, '2020-07-09', 'SK', 'Slovakia', 'EURO', '2', '1767', '0', '28');
INSERT INTO public.who_import VALUES (81530, '2020-07-10', 'SK', 'Slovakia', 'EURO', '31', '1798', '0', '28');
INSERT INTO public.who_import VALUES (81531, '2020-07-11', 'SK', 'Slovakia', 'EURO', '53', '1851', '0', '28');
INSERT INTO public.who_import VALUES (81532, '2020-07-12', 'SK', 'Slovakia', 'EURO', '19', '1870', '0', '28');
INSERT INTO public.who_import VALUES (81533, '2020-07-13', 'SK', 'Slovakia', 'EURO', '23', '1893', '0', '28');
INSERT INTO public.who_import VALUES (81534, '2020-07-14', 'SK', 'Slovakia', 'EURO', '8', '1901', '0', '28');
INSERT INTO public.who_import VALUES (81535, '2020-07-15', 'SK', 'Slovakia', 'EURO', '1', '1902', '0', '28');
INSERT INTO public.who_import VALUES (81536, '2020-07-16', 'SK', 'Slovakia', 'EURO', '6', '1908', '0', '28');
INSERT INTO public.who_import VALUES (81537, '2020-07-17', 'SK', 'Slovakia', 'EURO', '19', '1927', '0', '28');
INSERT INTO public.who_import VALUES (81538, '2020-07-18', 'SK', 'Slovakia', 'EURO', '24', '1951', '0', '28');
INSERT INTO public.who_import VALUES (81539, '2020-07-19', 'SK', 'Slovakia', 'EURO', '14', '1965', '0', '28');
INSERT INTO public.who_import VALUES (81540, '2020-07-20', 'SK', 'Slovakia', 'EURO', '11', '1976', '0', '28');
INSERT INTO public.who_import VALUES (81541, '2020-07-21', 'SK', 'Slovakia', 'EURO', '3', '1979', '0', '28');
INSERT INTO public.who_import VALUES (81542, '2020-07-22', 'SK', 'Slovakia', 'EURO', '1', '1980', '0', '28');
INSERT INTO public.who_import VALUES (81543, '2020-07-23', 'SK', 'Slovakia', 'EURO', '41', '2021', '0', '28');
INSERT INTO public.who_import VALUES (81544, '2020-07-24', 'SK', 'Slovakia', 'EURO', '37', '2058', '0', '28');
INSERT INTO public.who_import VALUES (81545, '2020-07-25', 'SK', 'Slovakia', 'EURO', '31', '2089', '0', '28');
INSERT INTO public.who_import VALUES (81546, '2020-07-26', 'SK', 'Slovakia', 'EURO', '29', '2118', '0', '28');
INSERT INTO public.who_import VALUES (81547, '2020-07-27', 'SK', 'Slovakia', 'EURO', '23', '2141', '0', '28');
INSERT INTO public.who_import VALUES (81548, '2020-07-28', 'SK', 'Slovakia', 'EURO', '38', '2179', '0', '28');
INSERT INTO public.who_import VALUES (81549, '2020-07-29', 'SK', 'Slovakia', 'EURO', '2', '2181', '0', '28');
INSERT INTO public.who_import VALUES (81550, '2020-07-30', 'SK', 'Slovakia', 'EURO', '23', '2204', '0', '28');
INSERT INTO public.who_import VALUES (81551, '2020-07-31', 'SK', 'Slovakia', 'EURO', '41', '2245', '0', '28');
INSERT INTO public.who_import VALUES (81552, '2020-08-01', 'SK', 'Slovakia', 'EURO', '20', '2265', '0', '28');
INSERT INTO public.who_import VALUES (81553, '2020-08-02', 'SK', 'Slovakia', 'EURO', '27', '2292', '1', '29');
INSERT INTO public.who_import VALUES (81554, '2020-08-03', 'SK', 'Slovakia', 'EURO', '45', '2337', '0', '29');
INSERT INTO public.who_import VALUES (81555, '2020-08-04', 'SK', 'Slovakia', 'EURO', '7', '2344', '0', '29');
INSERT INTO public.who_import VALUES (81556, '2020-08-05', 'SK', 'Slovakia', 'EURO', '10', '2354', '0', '29');
INSERT INTO public.who_import VALUES (81557, '2020-08-06', 'SK', 'Slovakia', 'EURO', '14', '2368', '0', '29');
INSERT INTO public.who_import VALUES (81558, '2020-08-07', 'SK', 'Slovakia', 'EURO', '49', '2417', '0', '29');
INSERT INTO public.who_import VALUES (81559, '2020-08-08', 'SK', 'Slovakia', 'EURO', '63', '2480', '0', '29');
INSERT INTO public.who_import VALUES (81560, '2020-08-09', 'SK', 'Slovakia', 'EURO', '43', '2523', '2', '31');
INSERT INTO public.who_import VALUES (81561, '2020-08-10', 'SK', 'Slovakia', 'EURO', '43', '2566', '0', '31');
INSERT INTO public.who_import VALUES (81562, '2020-08-11', 'SK', 'Slovakia', 'EURO', '30', '2596', '0', '31');
INSERT INTO public.who_import VALUES (81563, '2020-08-12', 'SK', 'Slovakia', 'EURO', '3', '2599', '0', '31');
INSERT INTO public.who_import VALUES (81564, '2020-08-13', 'SK', 'Slovakia', 'EURO', '16', '2615', '0', '31');
INSERT INTO public.who_import VALUES (81565, '2020-08-14', 'SK', 'Slovakia', 'EURO', '75', '2690', '0', '31');
INSERT INTO public.who_import VALUES (81566, '2020-08-15', 'SK', 'Slovakia', 'EURO', '49', '2739', '0', '31');
INSERT INTO public.who_import VALUES (81567, '2020-08-16', 'SK', 'Slovakia', 'EURO', '62', '2801', '0', '31');
INSERT INTO public.who_import VALUES (81568, '2020-08-17', 'SK', 'Slovakia', 'EURO', '54', '2855', '0', '31');
INSERT INTO public.who_import VALUES (81569, '2020-08-18', 'SK', 'Slovakia', 'EURO', '47', '2902', '0', '31');
INSERT INTO public.who_import VALUES (81570, '2020-08-19', 'SK', 'Slovakia', 'EURO', '5', '2907', '0', '31');
INSERT INTO public.who_import VALUES (81571, '2020-08-20', 'SK', 'Slovakia', 'EURO', '15', '2922', '0', '31');
INSERT INTO public.who_import VALUES (81572, '2020-08-21', 'SK', 'Slovakia', 'EURO', '100', '3022', '2', '33');
INSERT INTO public.who_import VALUES (81573, '2020-08-22', 'SK', 'Slovakia', 'EURO', '80', '3102', '0', '33');
INSERT INTO public.who_import VALUES (81574, '2020-08-23', 'SK', 'Slovakia', 'EURO', '123', '3225', '0', '33');
INSERT INTO public.who_import VALUES (81575, '2020-08-24', 'SK', 'Slovakia', 'EURO', '91', '3316', '0', '33');
INSERT INTO public.who_import VALUES (81576, '2020-08-25', 'SK', 'Slovakia', 'EURO', '40', '3356', '0', '33');
INSERT INTO public.who_import VALUES (81577, '2020-08-26', 'SK', 'Slovakia', 'EURO', '68', '3424', '0', '33');
INSERT INTO public.who_import VALUES (81578, '2020-08-27', 'SK', 'Slovakia', 'EURO', '28', '3452', '0', '33');
INSERT INTO public.who_import VALUES (81579, '2020-08-28', 'SK', 'Slovakia', 'EURO', '84', '3536', '0', '33');
INSERT INTO public.who_import VALUES (81580, '2020-08-29', 'SK', 'Slovakia', 'EURO', '90', '3626', '0', '33');
INSERT INTO public.who_import VALUES (81581, '2020-08-30', 'SK', 'Slovakia', 'EURO', '102', '3728', '0', '33');
INSERT INTO public.who_import VALUES (81582, '2020-08-31', 'SK', 'Slovakia', 'EURO', '114', '3842', '0', '33');
INSERT INTO public.who_import VALUES (81583, '2020-09-01', 'SK', 'Slovakia', 'EURO', '34', '3876', '0', '33');
INSERT INTO public.who_import VALUES (81584, '2020-09-02', 'SK', 'Slovakia', 'EURO', '41', '3917', '0', '33');
INSERT INTO public.who_import VALUES (81585, '2020-09-03', 'SK', 'Slovakia', 'EURO', '72', '3989', '0', '33');
INSERT INTO public.who_import VALUES (81586, '2020-09-04', 'SK', 'Slovakia', 'EURO', '53', '4042', '0', '33');
INSERT INTO public.who_import VALUES (81587, '2020-09-05', 'SK', 'Slovakia', 'EURO', '121', '4163', '4', '37');
INSERT INTO public.who_import VALUES (81588, '2020-09-06', 'SK', 'Slovakia', 'EURO', '137', '4300', '0', '37');
INSERT INTO public.who_import VALUES (81589, '2020-09-07', 'SK', 'Slovakia', 'EURO', '226', '4526', '0', '37');
INSERT INTO public.who_import VALUES (81590, '2020-09-08', 'SK', 'Slovakia', 'EURO', '88', '4614', '0', '37');
INSERT INTO public.who_import VALUES (81591, '2020-09-09', 'SK', 'Slovakia', 'EURO', '22', '4636', '0', '37');
INSERT INTO public.who_import VALUES (81592, '2020-09-10', 'SK', 'Slovakia', 'EURO', '91', '4727', '0', '37');
INSERT INTO public.who_import VALUES (81593, '2020-09-11', 'SK', 'Slovakia', 'EURO', '161', '4888', '0', '37');
INSERT INTO public.who_import VALUES (81594, '2020-09-12', 'SK', 'Slovakia', 'EURO', '133', '5021', '0', '37');
INSERT INTO public.who_import VALUES (81595, '2020-09-13', 'SK', 'Slovakia', 'EURO', '231', '5252', '0', '37');
INSERT INTO public.who_import VALUES (81596, '2020-09-14', 'SK', 'Slovakia', 'EURO', '201', '5453', '1', '38');
INSERT INTO public.who_import VALUES (81597, '2020-09-15', 'SK', 'Slovakia', 'EURO', '79', '5532', '0', '38');
INSERT INTO public.who_import VALUES (81598, '2020-09-16', 'SK', 'Slovakia', 'EURO', '48', '5580', '0', '38');
INSERT INTO public.who_import VALUES (81599, '2020-09-17', 'SK', 'Slovakia', 'EURO', '188', '5768', '0', '38');
INSERT INTO public.who_import VALUES (81600, '2020-09-18', 'SK', 'Slovakia', 'EURO', '92', '5860', '0', '38');
INSERT INTO public.who_import VALUES (81601, '2020-09-19', 'SK', 'Slovakia', 'EURO', '161', '6021', '1', '39');
INSERT INTO public.who_import VALUES (81602, '2020-09-20', 'SK', 'Slovakia', 'EURO', '235', '6256', '0', '39');
INSERT INTO public.who_import VALUES (81603, '2020-09-21', 'SK', 'Slovakia', 'EURO', '290', '6546', '0', '39');
INSERT INTO public.who_import VALUES (81604, '2020-09-22', 'SK', 'Slovakia', 'EURO', '131', '6677', '0', '39');
INSERT INTO public.who_import VALUES (81605, '2020-09-23', 'SK', 'Slovakia', 'EURO', '79', '6756', '0', '39');
INSERT INTO public.who_import VALUES (81606, '2020-09-24', 'SK', 'Slovakia', 'EURO', '175', '6931', '1', '40');
INSERT INTO public.who_import VALUES (81607, '2020-09-25', 'SK', 'Slovakia', 'EURO', '338', '7269', '1', '41');
INSERT INTO public.who_import VALUES (81608, '2020-09-26', 'SK', 'Slovakia', 'EURO', '360', '7629', '0', '41');
INSERT INTO public.who_import VALUES (81609, '2020-09-27', 'SK', 'Slovakia', 'EURO', '419', '8048', '0', '41');
INSERT INTO public.who_import VALUES (81610, '2020-09-28', 'SK', 'Slovakia', 'EURO', '552', '8600', '3', '44');
INSERT INTO public.who_import VALUES (81611, '2020-09-29', 'SK', 'Slovakia', 'EURO', '478', '9078', '0', '44');
INSERT INTO public.who_import VALUES (81612, '2020-09-30', 'SK', 'Slovakia', 'EURO', '265', '9343', '0', '44');
INSERT INTO public.who_import VALUES (81613, '2020-10-01', 'SK', 'Slovakia', 'EURO', '231', '9574', '1', '45');
INSERT INTO public.who_import VALUES (81614, '2020-10-02', 'SK', 'Slovakia', 'EURO', '567', '10141', '3', '48');
INSERT INTO public.who_import VALUES (81615, '2020-10-03', 'SK', 'Slovakia', 'EURO', '797', '10938', '0', '48');
INSERT INTO public.who_import VALUES (81616, '2020-10-04', 'SK', 'Slovakia', 'EURO', '679', '11617', '6', '54');
INSERT INTO public.who_import VALUES (81617, '2020-10-05', 'SK', 'Slovakia', 'EURO', '704', '12321', '0', '54');
INSERT INTO public.who_import VALUES (81618, '2020-10-06', 'SK', 'Slovakia', 'EURO', '818', '13139', '1', '55');
INSERT INTO public.who_import VALUES (81619, '2020-10-07', 'SK', 'Slovakia', 'EURO', '353', '13492', '0', '55');
INSERT INTO public.who_import VALUES (81620, '2020-10-08', 'SK', 'Slovakia', 'EURO', '320', '13812', '0', '55');
INSERT INTO public.who_import VALUES (81621, '2020-10-09', 'SK', 'Slovakia', 'EURO', '877', '14689', '0', '55');
INSERT INTO public.who_import VALUES (81622, '2020-10-10', 'SK', 'Slovakia', 'EURO', '1037', '15726', '2', '57');
INSERT INTO public.who_import VALUES (81623, '2020-10-11', 'SK', 'Slovakia', 'EURO', '1184', '16910', '0', '57');
INSERT INTO public.who_import VALUES (81624, '2020-10-12', 'SK', 'Slovakia', 'EURO', '1887', '18797', '4', '61');
INSERT INTO public.who_import VALUES (81625, '2020-10-13', 'SK', 'Slovakia', 'EURO', '1054', '19851', '0', '61');
INSERT INTO public.who_import VALUES (81626, '2020-10-14', 'SK', 'Slovakia', 'EURO', '504', '20355', '0', '61');
INSERT INTO public.who_import VALUES (81627, '2020-10-15', 'SK', 'Slovakia', 'EURO', '531', '20886', '0', '61');
INSERT INTO public.who_import VALUES (81628, '2020-10-16', 'SK', 'Slovakia', 'EURO', '1410', '22296', '5', '66');
INSERT INTO public.who_import VALUES (81629, '2020-10-17', 'SK', 'Slovakia', 'EURO', '1929', '24225', '5', '71');
INSERT INTO public.who_import VALUES (81630, '2020-10-18', 'SK', 'Slovakia', 'EURO', '2075', '26300', '0', '71');
INSERT INTO public.who_import VALUES (81631, '2020-10-19', 'SK', 'Slovakia', 'EURO', '1968', '28268', '11', '82');
INSERT INTO public.who_import VALUES (81632, '2020-10-20', 'SK', 'Slovakia', 'EURO', '1567', '29835', '6', '88');
INSERT INTO public.who_import VALUES (81633, '2020-10-21', 'SK', 'Slovakia', 'EURO', '860', '30695', '4', '92');
INSERT INTO public.who_import VALUES (81634, '2020-10-22', 'SK', 'Slovakia', 'EURO', '705', '31400', '6', '98');
INSERT INTO public.who_import VALUES (81635, '2020-10-23', 'SK', 'Slovakia', 'EURO', '2202', '33602', '0', '98');
INSERT INTO public.who_import VALUES (81636, '2020-10-24', 'SK', 'Slovakia', 'EURO', '1728', '35330', '17', '115');
INSERT INTO public.who_import VALUES (81637, '2020-10-25', 'SK', 'Slovakia', 'EURO', '2581', '37911', '19', '134');
INSERT INTO public.who_import VALUES (81638, '2020-10-26', 'SK', 'Slovakia', 'EURO', '2890', '40801', '25', '159');
INSERT INTO public.who_import VALUES (81639, '2020-10-27', 'SK', 'Slovakia', 'EURO', '3042', '43843', '0', '159');
INSERT INTO public.who_import VALUES (81640, '2020-10-28', 'SK', 'Slovakia', 'EURO', '1312', '45155', '6', '165');
INSERT INTO public.who_import VALUES (81641, '2020-10-29', 'SK', 'Slovakia', 'EURO', '901', '46056', '11', '176');
INSERT INTO public.who_import VALUES (81642, '2020-10-30', 'SK', 'Slovakia', 'EURO', '2887', '48943', '8', '184');
INSERT INTO public.who_import VALUES (81643, '2020-10-31', 'SK', 'Slovakia', 'EURO', '2785', '51728', '16', '200');
INSERT INTO public.who_import VALUES (81644, '2020-11-01', 'SK', 'Slovakia', 'EURO', '3363', '55091', '12', '212');
INSERT INTO public.who_import VALUES (81645, '2020-11-02', 'SK', 'Slovakia', 'EURO', '2573', '57664', '7', '219');
INSERT INTO public.who_import VALUES (81646, '2020-11-03', 'SK', 'Slovakia', 'EURO', '2282', '59946', '0', '219');
INSERT INTO public.who_import VALUES (81647, '2020-11-04', 'SK', 'Slovakia', 'EURO', '1883', '61829', '0', '219');
INSERT INTO public.who_import VALUES (81648, '2020-11-05', 'SK', 'Slovakia', 'EURO', '1727', '63556', '16', '235');
INSERT INTO public.who_import VALUES (81649, '2020-11-06', 'SK', 'Slovakia', 'EURO', '3216', '66772', '26', '261');
INSERT INTO public.who_import VALUES (81650, '2020-11-07', 'SK', 'Slovakia', 'EURO', '1962', '68734', '25', '286');
INSERT INTO public.who_import VALUES (81651, '2020-11-08', 'SK', 'Slovakia', 'EURO', '2354', '71088', '31', '317');
INSERT INTO public.who_import VALUES (81652, '2020-11-09', 'SK', 'Slovakia', 'EURO', '2579', '73667', '34', '351');
INSERT INTO public.who_import VALUES (81653, '2020-11-10', 'SK', 'Slovakia', 'EURO', '1828', '75495', '0', '351');
INSERT INTO public.who_import VALUES (81654, '2020-11-11', 'SK', 'Slovakia', 'EURO', '577', '76072', '15', '366');
INSERT INTO public.who_import VALUES (81655, '2020-11-12', 'SK', 'Slovakia', 'EURO', '1051', '77123', '24', '390');
INSERT INTO public.who_import VALUES (81656, '2020-11-13', 'SK', 'Slovakia', 'EURO', '2058', '79181', '24', '414');
INSERT INTO public.who_import VALUES (81657, '2020-11-14', 'SK', 'Slovakia', 'EURO', '2591', '81772', '50', '464');
INSERT INTO public.who_import VALUES (81658, '2020-11-15', 'SK', 'Slovakia', 'EURO', '2024', '83796', '27', '491');
INSERT INTO public.who_import VALUES (81659, '2020-11-16', 'SK', 'Slovakia', 'EURO', '1771', '85567', '19', '510');
INSERT INTO public.who_import VALUES (81660, '2020-11-17', 'SK', 'Slovakia', 'EURO', '1200', '86767', '0', '510');
INSERT INTO public.who_import VALUES (81661, '2020-11-18', 'SK', 'Slovakia', 'EURO', '509', '87276', '16', '526');
INSERT INTO public.who_import VALUES (81662, '2020-11-19', 'SK', 'Slovakia', 'EURO', '1326', '88602', '31', '557');
INSERT INTO public.who_import VALUES (81663, '2020-11-20', 'SK', 'Slovakia', 'EURO', '1311', '89913', '22', '579');
INSERT INTO public.who_import VALUES (81664, '2020-11-21', 'SK', 'Slovakia', 'EURO', '1665', '91578', '0', '579');
INSERT INTO public.who_import VALUES (81665, '2020-11-22', 'SK', 'Slovakia', 'EURO', '1818', '93396', '35', '614');
INSERT INTO public.who_import VALUES (81666, '2020-11-23', 'SK', 'Slovakia', 'EURO', '1861', '95257', '30', '644');
INSERT INTO public.who_import VALUES (81667, '2020-11-24', 'SK', 'Slovakia', 'EURO', '984', '96241', '27', '671');
INSERT INTO public.who_import VALUES (81668, '2020-11-25', 'SK', 'Slovakia', 'EURO', '231', '96472', '22', '693');
INSERT INTO public.who_import VALUES (81669, '2020-11-26', 'SK', 'Slovakia', 'EURO', '1021', '97493', '16', '709');
INSERT INTO public.who_import VALUES (81670, '2020-11-27', 'SK', 'Slovakia', 'EURO', '1811', '99304', '23', '732');
INSERT INTO public.who_import VALUES (81671, '2020-11-28', 'SK', 'Slovakia', 'EURO', '1953', '101257', '17', '749');
INSERT INTO public.who_import VALUES (81672, '2020-11-29', 'SK', 'Slovakia', 'EURO', '1849', '103106', '22', '771');
INSERT INTO public.who_import VALUES (81673, '2020-11-30', 'SK', 'Slovakia', 'EURO', '1526', '104632', '27', '798');
INSERT INTO public.who_import VALUES (81674, '2020-12-01', 'SK', 'Slovakia', 'EURO', '1101', '105733', '18', '816');
INSERT INTO public.who_import VALUES (81675, '2020-12-02', 'SK', 'Slovakia', 'EURO', '2760', '108493', '43', '859');
INSERT INTO public.who_import VALUES (81676, '2020-12-03', 'SK', 'Slovakia', 'EURO', '1254', '109747', '29', '888');
INSERT INTO public.who_import VALUES (81677, '2020-12-04', 'SK', 'Slovakia', 'EURO', '2043', '111790', '30', '918');
INSERT INTO public.who_import VALUES (81678, '2020-12-05', 'SK', 'Slovakia', 'EURO', '1982', '113772', '32', '950');
INSERT INTO public.who_import VALUES (81679, '2020-12-06', 'SK', 'Slovakia', 'EURO', '2184', '115956', '27', '977');
INSERT INTO public.who_import VALUES (81680, '2020-12-07', 'SK', 'Slovakia', 'EURO', '2070', '118026', '24', '1001');
INSERT INTO public.who_import VALUES (81681, '2020-12-08', 'SK', 'Slovakia', 'EURO', '1269', '119295', '15', '1016');
INSERT INTO public.who_import VALUES (81682, '2020-12-09', 'SK', 'Slovakia', 'EURO', '552', '119847', '22', '1038');
INSERT INTO public.who_import VALUES (81683, '2020-12-10', 'SK', 'Slovakia', 'EURO', '1949', '121796', '28', '1066');
INSERT INTO public.who_import VALUES (81684, '2020-12-11', 'SK', 'Slovakia', 'EURO', '3125', '124921', '38', '1104');
INSERT INTO public.who_import VALUES (81685, '2020-12-12', 'SK', 'Slovakia', 'EURO', '2166', '127087', '18', '1122');
INSERT INTO public.who_import VALUES (81686, '2020-12-13', 'SK', 'Slovakia', 'EURO', '3707', '130794', '26', '1148');
INSERT INTO public.who_import VALUES (81687, '2020-12-14', 'SK', 'Slovakia', 'EURO', '2190', '132984', '27', '1175');
INSERT INTO public.who_import VALUES (81688, '2020-12-15', 'SK', 'Slovakia', 'EURO', '505', '133489', '30', '1205');
INSERT INTO public.who_import VALUES (81689, '2020-12-16', 'SK', 'Slovakia', 'EURO', '2034', '135523', '46', '1251');
INSERT INTO public.who_import VALUES (81690, '2020-12-17', 'SK', 'Slovakia', 'EURO', '3565', '139088', '58', '1309');
INSERT INTO public.who_import VALUES (81691, '2020-12-18', 'SK', 'Slovakia', 'EURO', '3045', '142133', '69', '1378');
INSERT INTO public.who_import VALUES (81692, '2020-12-19', 'SK', 'Slovakia', 'EURO', '3991', '146124', '62', '1440');
INSERT INTO public.who_import VALUES (81693, '2020-12-20', 'SK', 'Slovakia', 'EURO', '3151', '149275', '70', '1510');
INSERT INTO public.who_import VALUES (81694, '2020-12-21', 'SK', 'Slovakia', 'EURO', '2061', '151336', '45', '1555');
INSERT INTO public.who_import VALUES (81695, '2020-12-22', 'SK', 'Slovakia', 'EURO', '1219', '152555', '63', '1618');
INSERT INTO public.who_import VALUES (81696, '2020-12-23', 'SK', 'Slovakia', 'EURO', '2663', '155218', '0', '1618');
INSERT INTO public.who_import VALUES (81697, '2020-12-24', 'SK', 'Slovakia', 'EURO', '3687', '158905', '68', '1686');
INSERT INTO public.who_import VALUES (81698, '2020-12-25', 'SK', 'Slovakia', 'EURO', '2657', '161562', '46', '1732');
INSERT INTO public.who_import VALUES (81699, '2020-12-26', 'SK', 'Slovakia', 'EURO', '4046', '165608', '0', '1732');
INSERT INTO public.who_import VALUES (81700, '2020-12-27', 'SK', 'Slovakia', 'EURO', '1041', '166649', '0', '1732');
INSERT INTO public.who_import VALUES (81701, '2020-12-28', 'SK', 'Slovakia', 'EURO', '874', '167523', '41', '1773');
INSERT INTO public.who_import VALUES (81702, '2020-12-29', 'SK', 'Slovakia', 'EURO', '569', '168092', '106', '1879');
INSERT INTO public.who_import VALUES (81703, '2020-12-30', 'SK', 'Slovakia', 'EURO', '2095', '170187', '104', '1983');
INSERT INTO public.who_import VALUES (81704, '2020-12-31', 'SK', 'Slovakia', 'EURO', '3041', '173228', '82', '2065');
INSERT INTO public.who_import VALUES (81705, '2021-01-01', 'SK', 'Slovakia', 'EURO', '6315', '179543', '73', '2138');
INSERT INTO public.who_import VALUES (81706, '2021-01-02', 'SK', 'Slovakia', 'EURO', '4965', '184508', '112', '2250');
INSERT INTO public.who_import VALUES (81707, '2021-01-03', 'SK', 'Slovakia', 'EURO', '1736', '186244', '0', '2250');
INSERT INTO public.who_import VALUES (81708, '2021-01-04', 'SK', 'Slovakia', 'EURO', '1219', '187463', '67', '2317');
INSERT INTO public.who_import VALUES (81709, '2021-01-05', 'SK', 'Slovakia', 'EURO', '636', '188099', '204', '2521');
INSERT INTO public.who_import VALUES (81710, '2021-01-06', 'SK', 'Slovakia', 'EURO', '2989', '191088', '82', '2603');
INSERT INTO public.who_import VALUES (81711, '2021-01-07', 'SK', 'Slovakia', 'EURO', '4959', '196047', '54', '2657');
INSERT INTO public.who_import VALUES (81712, '2021-01-08', 'SK', 'Slovakia', 'EURO', '2137', '198184', '60', '2717');
INSERT INTO public.who_import VALUES (81713, '2021-01-09', 'SK', 'Slovakia', 'EURO', '2980', '201164', '71', '2788');
INSERT INTO public.who_import VALUES (81714, '2021-01-10', 'SK', 'Slovakia', 'EURO', '4072', '205236', '48', '2836');
INSERT INTO public.who_import VALUES (81715, '2021-01-11', 'SK', 'Slovakia', 'EURO', '2973', '208209', '82', '2918');
INSERT INTO public.who_import VALUES (81716, '2021-01-12', 'SK', 'Slovakia', 'EURO', '860', '209069', '89', '3007');
INSERT INTO public.who_import VALUES (81717, '2021-01-13', 'SK', 'Slovakia', 'EURO', '2410', '211479', '95', '3102');
INSERT INTO public.who_import VALUES (81718, '2021-01-14', 'SK', 'Slovakia', 'EURO', '3576', '215055', '61', '3163');
INSERT INTO public.who_import VALUES (81719, '2021-01-15', 'SK', 'Slovakia', 'EURO', '2923', '217978', '97', '3260');
INSERT INTO public.who_import VALUES (81720, '2021-01-16', 'SK', 'Slovakia', 'EURO', '2729', '220707', '102', '3362');
INSERT INTO public.who_import VALUES (81721, '2021-01-17', 'SK', 'Slovakia', 'EURO', '2045', '222752', '55', '3417');
INSERT INTO public.who_import VALUES (81722, '2021-01-18', 'SK', 'Slovakia', 'EURO', '573', '223325', '57', '3474');
INSERT INTO public.who_import VALUES (81723, '2021-01-19', 'SK', 'Slovakia', 'EURO', '1060', '224385', '52', '3526');
INSERT INTO public.who_import VALUES (81724, '2021-01-20', 'SK', 'Slovakia', 'EURO', '1909', '226294', '111', '3637');
INSERT INTO public.who_import VALUES (81725, '2021-01-21', 'SK', 'Slovakia', 'EURO', '2484', '228778', '100', '3737');
INSERT INTO public.who_import VALUES (81726, '2021-01-22', 'SK', 'Slovakia', 'EURO', '2464', '231242', '64', '3801');
INSERT INTO public.who_import VALUES (81727, '2021-01-23', 'SK', 'Slovakia', 'EURO', '1785', '233027', '93', '3894');
INSERT INTO public.who_import VALUES (81728, '2021-01-24', 'SK', 'Slovakia', 'EURO', '1544', '234571', '71', '3965');
INSERT INTO public.who_import VALUES (81729, '2021-01-25', 'SK', 'Slovakia', 'EURO', '1905', '236476', '103', '4068');
INSERT INTO public.who_import VALUES (81730, '2021-01-26', 'SK', 'Slovakia', 'EURO', '551', '237027', '0', '4068');
INSERT INTO public.who_import VALUES (81731, '2021-01-27', 'SK', 'Slovakia', 'EURO', '1590', '238617', '192', '4260');
INSERT INTO public.who_import VALUES (81732, '2021-01-28', 'SK', 'Slovakia', 'EURO', '2775', '241392', '101', '4361');
INSERT INTO public.who_import VALUES (81733, '2021-01-29', 'SK', 'Slovakia', 'EURO', '2035', '243427', '50', '4411');
INSERT INTO public.who_import VALUES (81734, '2021-01-30', 'SK', 'Slovakia', 'EURO', '2581', '246008', '84', '4495');
INSERT INTO public.who_import VALUES (81735, '2021-01-31', 'SK', 'Slovakia', 'EURO', '991', '246999', '70', '4565');
INSERT INTO public.who_import VALUES (81736, '2021-02-01', 'SK', 'Slovakia', 'EURO', '2914', '249913', '77', '4642');
INSERT INTO public.who_import VALUES (81737, '2021-02-02', 'SK', 'Slovakia', 'EURO', '444', '250357', '69', '4711');
INSERT INTO public.who_import VALUES (81738, '2021-02-03', 'SK', 'Slovakia', 'EURO', '1737', '252094', '73', '4784');
INSERT INTO public.who_import VALUES (81739, '2021-02-04', 'SK', 'Slovakia', 'EURO', '2732', '254826', '105', '4889');
INSERT INTO public.who_import VALUES (81740, '2021-02-05', 'SK', 'Slovakia', 'EURO', '2077', '256903', '87', '4976');
INSERT INTO public.who_import VALUES (81741, '2021-02-06', 'SK', 'Slovakia', 'EURO', '2630', '259533', '74', '5050');
INSERT INTO public.who_import VALUES (81742, '2021-02-07', 'SK', 'Slovakia', 'EURO', '2241', '261774', '85', '5135');
INSERT INTO public.who_import VALUES (81743, '2021-02-08', 'SK', 'Slovakia', 'EURO', '1552', '263326', '64', '5199');
INSERT INTO public.who_import VALUES (81744, '2021-02-09', 'SK', 'Slovakia', 'EURO', '757', '264083', '72', '5271');
INSERT INTO public.who_import VALUES (81745, '2021-02-10', 'SK', 'Slovakia', 'EURO', '1724', '265807', '111', '5382');
INSERT INTO public.who_import VALUES (81746, '2021-02-11', 'SK', 'Slovakia', 'EURO', '3179', '268986', '120', '5502');
INSERT INTO public.who_import VALUES (81747, '2021-02-12', 'SK', 'Slovakia', 'EURO', '2487', '271473', '127', '5629');
INSERT INTO public.who_import VALUES (81748, '2021-02-13', 'SK', 'Slovakia', 'EURO', '2431', '273904', '104', '5733');
INSERT INTO public.who_import VALUES (81749, '2021-02-14', 'SK', 'Slovakia', 'EURO', '2330', '276234', '79', '5812');
INSERT INTO public.who_import VALUES (81750, '2021-02-15', 'SK', 'Slovakia', 'EURO', '2020', '278254', '140', '5952');
INSERT INTO public.who_import VALUES (81751, '2021-02-16', 'SK', 'Slovakia', 'EURO', '1442', '279696', '111', '6063');
INSERT INTO public.who_import VALUES (81752, '2021-02-17', 'SK', 'Slovakia', 'EURO', '3168', '282864', '105', '6168');
INSERT INTO public.who_import VALUES (81753, '2021-02-18', 'SK', 'Slovakia', 'EURO', '2555', '285419', '103', '6271');
INSERT INTO public.who_import VALUES (81754, '2021-02-19', 'SK', 'Slovakia', 'EURO', '2333', '287752', '79', '6350');
INSERT INTO public.who_import VALUES (81755, '2021-02-20', 'SK', 'Slovakia', 'EURO', '2705', '290457', '74', '6424');
INSERT INTO public.who_import VALUES (81756, '2020-01-03', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81757, '2020-01-04', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81758, '2020-01-05', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81759, '2020-01-06', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81760, '2020-01-07', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81761, '2020-01-08', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81762, '2020-01-09', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81763, '2020-01-10', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81764, '2020-01-11', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81765, '2020-01-12', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81766, '2020-01-13', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81767, '2020-01-14', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81768, '2020-01-15', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81769, '2020-01-16', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81770, '2020-01-17', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81771, '2020-01-18', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81772, '2020-01-19', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81773, '2020-01-20', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81774, '2020-01-21', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81775, '2020-01-22', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81776, '2020-01-23', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81777, '2020-01-24', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81778, '2020-01-25', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81779, '2020-01-26', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81780, '2020-01-27', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81781, '2020-01-28', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81782, '2020-01-29', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81783, '2020-01-30', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81784, '2020-01-31', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81785, '2020-02-01', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81786, '2020-02-02', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81787, '2020-02-03', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81788, '2020-02-04', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81789, '2020-02-05', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81790, '2020-02-06', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81791, '2020-02-07', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81792, '2020-02-08', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81793, '2020-02-09', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81794, '2020-02-10', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81795, '2020-02-11', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81796, '2020-02-12', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81797, '2020-02-13', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81798, '2020-02-14', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81799, '2020-02-15', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81800, '2020-02-16', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81801, '2020-02-17', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81802, '2020-02-18', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81803, '2020-02-19', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81804, '2020-02-20', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81805, '2020-02-21', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81806, '2020-02-22', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81807, '2020-02-23', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81808, '2020-02-24', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81809, '2020-02-25', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81810, '2020-02-26', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81811, '2020-02-27', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81812, '2020-02-28', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81813, '2020-02-29', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81814, '2020-03-01', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81815, '2020-03-02', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81816, '2020-03-03', 'SI', 'Slovenia', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (81817, '2020-03-04', 'SI', 'Slovenia', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (81818, '2020-03-05', 'SI', 'Slovenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (81819, '2020-03-06', 'SI', 'Slovenia', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (81820, '2020-03-07', 'SI', 'Slovenia', 'EURO', '5', '6', '0', '0');
INSERT INTO public.who_import VALUES (81821, '2020-03-08', 'SI', 'Slovenia', 'EURO', '4', '10', '0', '0');
INSERT INTO public.who_import VALUES (81822, '2020-03-09', 'SI', 'Slovenia', 'EURO', '5', '15', '0', '0');
INSERT INTO public.who_import VALUES (81823, '2020-03-10', 'SI', 'Slovenia', 'EURO', '5', '20', '0', '0');
INSERT INTO public.who_import VALUES (81824, '2020-03-11', 'SI', 'Slovenia', 'EURO', '11', '31', '0', '0');
INSERT INTO public.who_import VALUES (81825, '2020-03-12', 'SI', 'Slovenia', 'EURO', '17', '48', '0', '0');
INSERT INTO public.who_import VALUES (81826, '2020-03-13', 'SI', 'Slovenia', 'EURO', '35', '83', '0', '0');
INSERT INTO public.who_import VALUES (81827, '2020-03-14', 'SI', 'Slovenia', 'EURO', '50', '133', '1', '1');
INSERT INTO public.who_import VALUES (81828, '2020-03-15', 'SI', 'Slovenia', 'EURO', '46', '179', '0', '1');
INSERT INTO public.who_import VALUES (81829, '2020-03-16', 'SI', 'Slovenia', 'EURO', '36', '215', '0', '1');
INSERT INTO public.who_import VALUES (81830, '2020-03-17', 'SI', 'Slovenia', 'EURO', '35', '250', '0', '1');
INSERT INTO public.who_import VALUES (81831, '2020-03-18', 'SI', 'Slovenia', 'EURO', '26', '276', '0', '1');
INSERT INTO public.who_import VALUES (81832, '2020-03-19', 'SI', 'Slovenia', 'EURO', '10', '286', '0', '1');
INSERT INTO public.who_import VALUES (81833, '2020-03-20', 'SI', 'Slovenia', 'EURO', '32', '318', '0', '1');
INSERT INTO public.who_import VALUES (81834, '2020-03-21', 'SI', 'Slovenia', 'EURO', '23', '341', '0', '1');
INSERT INTO public.who_import VALUES (81835, '2020-03-22', 'SI', 'Slovenia', 'EURO', '28', '369', '0', '1');
INSERT INTO public.who_import VALUES (81836, '2020-03-23', 'SI', 'Slovenia', 'EURO', '37', '406', '0', '1');
INSERT INTO public.who_import VALUES (81837, '2020-03-24', 'SI', 'Slovenia', 'EURO', '36', '442', '1', '2');
INSERT INTO public.who_import VALUES (81838, '2020-03-25', 'SI', 'Slovenia', 'EURO', '36', '478', '1', '3');
INSERT INTO public.who_import VALUES (81839, '2020-03-26', 'SI', 'Slovenia', 'EURO', '48', '526', '3', '6');
INSERT INTO public.who_import VALUES (81840, '2020-03-27', 'SI', 'Slovenia', 'EURO', '47', '573', '0', '6');
INSERT INTO public.who_import VALUES (81841, '2020-03-28', 'SI', 'Slovenia', 'EURO', '61', '634', '2', '8');
INSERT INTO public.who_import VALUES (81842, '2020-03-29', 'SI', 'Slovenia', 'EURO', '52', '686', '2', '10');
INSERT INTO public.who_import VALUES (81843, '2020-03-30', 'SI', 'Slovenia', 'EURO', '47', '733', '2', '12');
INSERT INTO public.who_import VALUES (81844, '2020-03-31', 'SI', 'Slovenia', 'EURO', '24', '757', '1', '13');
INSERT INTO public.who_import VALUES (81845, '2020-04-01', 'SI', 'Slovenia', 'EURO', '48', '805', '5', '18');
INSERT INTO public.who_import VALUES (81846, '2020-04-02', 'SI', 'Slovenia', 'EURO', '37', '842', '1', '19');
INSERT INTO public.who_import VALUES (81847, '2020-04-03', 'SI', 'Slovenia', 'EURO', '55', '897', '1', '20');
INSERT INTO public.who_import VALUES (81848, '2020-04-04', 'SI', 'Slovenia', 'EURO', '40', '937', '3', '23');
INSERT INTO public.who_import VALUES (81849, '2020-04-05', 'SI', 'Slovenia', 'EURO', '41', '978', '3', '26');
INSERT INTO public.who_import VALUES (81850, '2020-04-06', 'SI', 'Slovenia', 'EURO', '20', '998', '4', '30');
INSERT INTO public.who_import VALUES (81851, '2020-04-07', 'SI', 'Slovenia', 'EURO', '23', '1021', '3', '33');
INSERT INTO public.who_import VALUES (81852, '2020-04-08', 'SI', 'Slovenia', 'EURO', '35', '1056', '7', '40');
INSERT INTO public.who_import VALUES (81853, '2020-04-09', 'SI', 'Slovenia', 'EURO', '36', '1092', '2', '42');
INSERT INTO public.who_import VALUES (81854, '2020-04-10', 'SI', 'Slovenia', 'EURO', '33', '1125', '4', '46');
INSERT INTO public.who_import VALUES (81855, '2020-04-11', 'SI', 'Slovenia', 'EURO', '35', '1160', '2', '48');
INSERT INTO public.who_import VALUES (81856, '2020-04-12', 'SI', 'Slovenia', 'EURO', '29', '1189', '6', '54');
INSERT INTO public.who_import VALUES (81857, '2020-04-13', 'SI', 'Slovenia', 'EURO', '17', '1206', '3', '57');
INSERT INTO public.who_import VALUES (81858, '2020-04-14', 'SI', 'Slovenia', 'EURO', '7', '1213', '4', '61');
INSERT INTO public.who_import VALUES (81859, '2020-04-15', 'SI', 'Slovenia', 'EURO', '8', '1221', '3', '64');
INSERT INTO public.who_import VALUES (81860, '2020-04-16', 'SI', 'Slovenia', 'EURO', '27', '1248', '1', '65');
INSERT INTO public.who_import VALUES (81861, '2020-04-17', 'SI', 'Slovenia', 'EURO', '21', '1269', '0', '65');
INSERT INTO public.who_import VALUES (81862, '2020-04-18', 'SI', 'Slovenia', 'EURO', '36', '1305', '6', '71');
INSERT INTO public.who_import VALUES (81863, '2020-04-19', 'SI', 'Slovenia', 'EURO', '13', '1318', '4', '75');
INSERT INTO public.who_import VALUES (81864, '2020-04-20', 'SI', 'Slovenia', 'EURO', '13', '1331', '3', '78');
INSERT INTO public.who_import VALUES (81865, '2020-04-21', 'SI', 'Slovenia', 'EURO', '5', '1336', '5', '83');
INSERT INTO public.who_import VALUES (81866, '2020-04-22', 'SI', 'Slovenia', 'EURO', '9', '1345', '1', '84');
INSERT INTO public.who_import VALUES (81867, '2020-04-23', 'SI', 'Slovenia', 'EURO', '9', '1354', '3', '87');
INSERT INTO public.who_import VALUES (81868, '2020-04-24', 'SI', 'Slovenia', 'EURO', '13', '1367', '0', '87');
INSERT INTO public.who_import VALUES (81869, '2020-04-25', 'SI', 'Slovenia', 'EURO', '7', '1374', '1', '88');
INSERT INTO public.who_import VALUES (81870, '2020-04-26', 'SI', 'Slovenia', 'EURO', '15', '1389', '1', '89');
INSERT INTO public.who_import VALUES (81871, '2020-04-27', 'SI', 'Slovenia', 'EURO', '8', '1397', '1', '90');
INSERT INTO public.who_import VALUES (81872, '2020-04-28', 'SI', 'Slovenia', 'EURO', '6', '1403', '0', '90');
INSERT INTO public.who_import VALUES (81873, '2020-04-29', 'SI', 'Slovenia', 'EURO', '6', '1409', '3', '93');
INSERT INTO public.who_import VALUES (81874, '2020-04-30', 'SI', 'Slovenia', 'EURO', '9', '1418', '3', '96');
INSERT INTO public.who_import VALUES (81875, '2020-05-01', 'SI', 'Slovenia', 'EURO', '11', '1429', '1', '97');
INSERT INTO public.who_import VALUES (81876, '2020-05-02', 'SI', 'Slovenia', 'EURO', '5', '1434', '3', '100');
INSERT INTO public.who_import VALUES (81877, '2020-05-03', 'SI', 'Slovenia', 'EURO', '5', '1439', '2', '102');
INSERT INTO public.who_import VALUES (81878, '2020-05-04', 'SI', 'Slovenia', 'EURO', '0', '1439', '2', '104');
INSERT INTO public.who_import VALUES (81879, '2020-05-05', 'SI', 'Slovenia', 'EURO', '0', '1439', '1', '105');
INSERT INTO public.who_import VALUES (81880, '2020-05-06', 'SI', 'Slovenia', 'EURO', '6', '1445', '0', '105');
INSERT INTO public.who_import VALUES (81881, '2020-05-07', 'SI', 'Slovenia', 'EURO', '3', '1448', '2', '107');
INSERT INTO public.who_import VALUES (81882, '2020-05-08', 'SI', 'Slovenia', 'EURO', '1', '1449', '0', '107');
INSERT INTO public.who_import VALUES (81883, '2020-05-09', 'SI', 'Slovenia', 'EURO', '1', '1450', '1', '108');
INSERT INTO public.who_import VALUES (81884, '2020-05-10', 'SI', 'Slovenia', 'EURO', '4', '1454', '1', '109');
INSERT INTO public.who_import VALUES (81885, '2020-05-11', 'SI', 'Slovenia', 'EURO', '3', '1457', '1', '110');
INSERT INTO public.who_import VALUES (81886, '2020-05-12', 'SI', 'Slovenia', 'EURO', '3', '1460', '0', '110');
INSERT INTO public.who_import VALUES (81887, '2020-05-13', 'SI', 'Slovenia', 'EURO', '1', '1461', '0', '110');
INSERT INTO public.who_import VALUES (81888, '2020-05-14', 'SI', 'Slovenia', 'EURO', '2', '1463', '1', '111');
INSERT INTO public.who_import VALUES (81889, '2020-05-15', 'SI', 'Slovenia', 'EURO', '1', '1464', '0', '111');
INSERT INTO public.who_import VALUES (81890, '2020-05-16', 'SI', 'Slovenia', 'EURO', '1', '1465', '0', '111');
INSERT INTO public.who_import VALUES (81891, '2020-05-17', 'SI', 'Slovenia', 'EURO', '0', '1465', '0', '111');
INSERT INTO public.who_import VALUES (81892, '2020-05-18', 'SI', 'Slovenia', 'EURO', '1', '1466', '0', '111');
INSERT INTO public.who_import VALUES (81893, '2020-05-19', 'SI', 'Slovenia', 'EURO', '0', '1466', '0', '111');
INSERT INTO public.who_import VALUES (81894, '2020-05-20', 'SI', 'Slovenia', 'EURO', '1', '1467', '0', '111');
INSERT INTO public.who_import VALUES (81895, '2020-05-21', 'SI', 'Slovenia', 'EURO', '1', '1468', '1', '112');
INSERT INTO public.who_import VALUES (81896, '2020-05-22', 'SI', 'Slovenia', 'EURO', '0', '1468', '1', '113');
INSERT INTO public.who_import VALUES (81897, '2020-05-23', 'SI', 'Slovenia', 'EURO', '0', '1468', '0', '113');
INSERT INTO public.who_import VALUES (81898, '2020-05-24', 'SI', 'Slovenia', 'EURO', '0', '1468', '0', '113');
INSERT INTO public.who_import VALUES (81899, '2020-05-25', 'SI', 'Slovenia', 'EURO', '0', '1468', '0', '113');
INSERT INTO public.who_import VALUES (81900, '2020-05-26', 'SI', 'Slovenia', 'EURO', '1', '1469', '0', '113');
INSERT INTO public.who_import VALUES (81901, '2020-05-27', 'SI', 'Slovenia', 'EURO', '0', '1469', '0', '113');
INSERT INTO public.who_import VALUES (81902, '2020-05-28', 'SI', 'Slovenia', 'EURO', '2', '1471', '0', '113');
INSERT INTO public.who_import VALUES (81903, '2020-05-29', 'SI', 'Slovenia', 'EURO', '2', '1473', '0', '113');
INSERT INTO public.who_import VALUES (81904, '2020-05-30', 'SI', 'Slovenia', 'EURO', '0', '1473', '0', '113');
INSERT INTO public.who_import VALUES (81905, '2020-05-31', 'SI', 'Slovenia', 'EURO', '0', '1473', '0', '113');
INSERT INTO public.who_import VALUES (81906, '2020-06-01', 'SI', 'Slovenia', 'EURO', '0', '1473', '0', '113');
INSERT INTO public.who_import VALUES (81907, '2020-06-02', 'SI', 'Slovenia', 'EURO', '0', '1473', '0', '113');
INSERT INTO public.who_import VALUES (81908, '2020-06-03', 'SI', 'Slovenia', 'EURO', '2', '1475', '0', '113');
INSERT INTO public.who_import VALUES (81909, '2020-06-04', 'SI', 'Slovenia', 'EURO', '2', '1477', '0', '113');
INSERT INTO public.who_import VALUES (81910, '2020-06-05', 'SI', 'Slovenia', 'EURO', '0', '1477', '0', '113');
INSERT INTO public.who_import VALUES (81911, '2020-06-06', 'SI', 'Slovenia', 'EURO', '2', '1479', '0', '113');
INSERT INTO public.who_import VALUES (81912, '2020-06-07', 'SI', 'Slovenia', 'EURO', '5', '1484', '0', '113');
INSERT INTO public.who_import VALUES (81913, '2020-06-08', 'SI', 'Slovenia', 'EURO', '1', '1485', '0', '113');
INSERT INTO public.who_import VALUES (81914, '2020-06-09', 'SI', 'Slovenia', 'EURO', '0', '1485', '0', '113');
INSERT INTO public.who_import VALUES (81915, '2020-06-10', 'SI', 'Slovenia', 'EURO', '1', '1486', '0', '113');
INSERT INTO public.who_import VALUES (81916, '2020-06-11', 'SI', 'Slovenia', 'EURO', '2', '1488', '0', '113');
INSERT INTO public.who_import VALUES (81917, '2020-06-12', 'SI', 'Slovenia', 'EURO', '0', '1488', '0', '113');
INSERT INTO public.who_import VALUES (81918, '2020-06-13', 'SI', 'Slovenia', 'EURO', '2', '1490', '0', '113');
INSERT INTO public.who_import VALUES (81919, '2020-06-14', 'SI', 'Slovenia', 'EURO', '2', '1492', '0', '113');
INSERT INTO public.who_import VALUES (81920, '2020-06-15', 'SI', 'Slovenia', 'EURO', '3', '1495', '0', '113');
INSERT INTO public.who_import VALUES (81921, '2020-06-16', 'SI', 'Slovenia', 'EURO', '1', '1496', '0', '113');
INSERT INTO public.who_import VALUES (81922, '2020-06-17', 'SI', 'Slovenia', 'EURO', '3', '1499', '0', '113');
INSERT INTO public.who_import VALUES (81923, '2020-06-18', 'SI', 'Slovenia', 'EURO', '4', '1503', '1', '114');
INSERT INTO public.who_import VALUES (81924, '2020-06-19', 'SI', 'Slovenia', 'EURO', '8', '1511', '0', '114');
INSERT INTO public.who_import VALUES (81925, '2020-06-20', 'SI', 'Slovenia', 'EURO', '2', '1513', '0', '114');
INSERT INTO public.who_import VALUES (81926, '2020-06-21', 'SI', 'Slovenia', 'EURO', '6', '1519', '0', '114');
INSERT INTO public.who_import VALUES (81927, '2020-06-22', 'SI', 'Slovenia', 'EURO', '1', '1520', '0', '114');
INSERT INTO public.who_import VALUES (81928, '2020-06-23', 'SI', 'Slovenia', 'EURO', '1', '1521', '0', '114');
INSERT INTO public.who_import VALUES (81929, '2020-06-24', 'SI', 'Slovenia', 'EURO', '13', '1534', '0', '114');
INSERT INTO public.who_import VALUES (81930, '2020-06-25', 'SI', 'Slovenia', 'EURO', '6', '1540', '0', '114');
INSERT INTO public.who_import VALUES (81931, '2020-06-26', 'SI', 'Slovenia', 'EURO', '6', '1546', '0', '114');
INSERT INTO public.who_import VALUES (81932, '2020-06-27', 'SI', 'Slovenia', 'EURO', '11', '1557', '0', '114');
INSERT INTO public.who_import VALUES (81933, '2020-06-28', 'SI', 'Slovenia', 'EURO', '14', '1571', '0', '114');
INSERT INTO public.who_import VALUES (81934, '2020-06-29', 'SI', 'Slovenia', 'EURO', '9', '1580', '0', '114');
INSERT INTO public.who_import VALUES (81935, '2020-06-30', 'SI', 'Slovenia', 'EURO', '4', '1584', '0', '114');
INSERT INTO public.who_import VALUES (81936, '2020-07-01', 'SI', 'Slovenia', 'EURO', '15', '1599', '0', '114');
INSERT INTO public.who_import VALUES (81937, '2020-07-02', 'SI', 'Slovenia', 'EURO', '13', '1612', '0', '114');
INSERT INTO public.who_import VALUES (81938, '2020-07-03', 'SI', 'Slovenia', 'EURO', '21', '1633', '0', '114');
INSERT INTO public.who_import VALUES (81939, '2020-07-04', 'SI', 'Slovenia', 'EURO', '16', '1649', '0', '114');
INSERT INTO public.who_import VALUES (81940, '2020-07-05', 'SI', 'Slovenia', 'EURO', '30', '1679', '0', '114');
INSERT INTO public.who_import VALUES (81941, '2020-07-06', 'SI', 'Slovenia', 'EURO', '21', '1700', '0', '114');
INSERT INTO public.who_import VALUES (81942, '2020-07-07', 'SI', 'Slovenia', 'EURO', '16', '1716', '0', '114');
INSERT INTO public.who_import VALUES (81943, '2020-07-08', 'SI', 'Slovenia', 'EURO', '23', '1739', '0', '114');
INSERT INTO public.who_import VALUES (81944, '2020-07-09', 'SI', 'Slovenia', 'EURO', '24', '1763', '0', '114');
INSERT INTO public.who_import VALUES (81945, '2020-07-10', 'SI', 'Slovenia', 'EURO', '13', '1776', '0', '114');
INSERT INTO public.who_import VALUES (81946, '2020-07-11', 'SI', 'Slovenia', 'EURO', '17', '1793', '0', '114');
INSERT INTO public.who_import VALUES (81947, '2020-07-12', 'SI', 'Slovenia', 'EURO', '34', '1827', '0', '114');
INSERT INTO public.who_import VALUES (81948, '2020-07-13', 'SI', 'Slovenia', 'EURO', '15', '1842', '0', '114');
INSERT INTO public.who_import VALUES (81949, '2020-07-14', 'SI', 'Slovenia', 'EURO', '8', '1850', '0', '114');
INSERT INTO public.who_import VALUES (81950, '2020-07-15', 'SI', 'Slovenia', 'EURO', '10', '1860', '0', '114');
INSERT INTO public.who_import VALUES (81951, '2020-07-16', 'SI', 'Slovenia', 'EURO', '19', '1879', '0', '114');
INSERT INTO public.who_import VALUES (81952, '2020-07-17', 'SI', 'Slovenia', 'EURO', '19', '1898', '0', '114');
INSERT INTO public.who_import VALUES (81953, '2020-07-18', 'SI', 'Slovenia', 'EURO', '19', '1917', '0', '114');
INSERT INTO public.who_import VALUES (81954, '2020-07-19', 'SI', 'Slovenia', 'EURO', '24', '1941', '0', '114');
INSERT INTO public.who_import VALUES (81955, '2020-07-20', 'SI', 'Slovenia', 'EURO', '6', '1947', '0', '114');
INSERT INTO public.who_import VALUES (81956, '2020-07-21', 'SI', 'Slovenia', 'EURO', '7', '1954', '1', '115');
INSERT INTO public.who_import VALUES (81957, '2020-07-22', 'SI', 'Slovenia', 'EURO', '24', '1978', '1', '116');
INSERT INTO public.who_import VALUES (81958, '2020-07-23', 'SI', 'Slovenia', 'EURO', '29', '2007', '1', '117');
INSERT INTO public.who_import VALUES (81959, '2020-07-24', 'SI', 'Slovenia', 'EURO', '27', '2034', '0', '117');
INSERT INTO public.who_import VALUES (81960, '2020-07-25', 'SI', 'Slovenia', 'EURO', '19', '2053', '0', '117');
INSERT INTO public.who_import VALUES (81961, '2020-07-26', 'SI', 'Slovenia', 'EURO', '14', '2067', '1', '118');
INSERT INTO public.who_import VALUES (81962, '2020-07-27', 'SI', 'Slovenia', 'EURO', '16', '2083', '0', '118');
INSERT INTO public.who_import VALUES (81963, '2020-07-28', 'SI', 'Slovenia', 'EURO', '5', '2088', '1', '119');
INSERT INTO public.who_import VALUES (81964, '2020-07-29', 'SI', 'Slovenia', 'EURO', '14', '2102', '0', '119');
INSERT INTO public.who_import VALUES (81965, '2020-07-30', 'SI', 'Slovenia', 'EURO', '14', '2116', '1', '120');
INSERT INTO public.who_import VALUES (81966, '2020-07-31', 'SI', 'Slovenia', 'EURO', '24', '2140', '0', '120');
INSERT INTO public.who_import VALUES (81967, '2020-08-01', 'SI', 'Slovenia', 'EURO', '17', '2157', '1', '121');
INSERT INTO public.who_import VALUES (81968, '2020-08-02', 'SI', 'Slovenia', 'EURO', '15', '2172', '0', '121');
INSERT INTO public.who_import VALUES (81969, '2020-08-03', 'SI', 'Slovenia', 'EURO', '9', '2181', '1', '122');
INSERT INTO public.who_import VALUES (81970, '2020-08-04', 'SI', 'Slovenia', 'EURO', '1', '2182', '2', '124');
INSERT INTO public.who_import VALUES (81971, '2020-08-05', 'SI', 'Slovenia', 'EURO', '9', '2191', '1', '125');
INSERT INTO public.who_import VALUES (81972, '2020-08-06', 'SI', 'Slovenia', 'EURO', '18', '2209', '1', '126');
INSERT INTO public.who_import VALUES (81973, '2020-08-07', 'SI', 'Slovenia', 'EURO', '15', '2224', '0', '126');
INSERT INTO public.who_import VALUES (81974, '2020-08-08', 'SI', 'Slovenia', 'EURO', '10', '2234', '0', '126');
INSERT INTO public.who_import VALUES (81975, '2020-08-09', 'SI', 'Slovenia', 'EURO', '14', '2248', '1', '127');
INSERT INTO public.who_import VALUES (81976, '2020-08-10', 'SI', 'Slovenia', 'EURO', '2', '2250', '2', '129');
INSERT INTO public.who_import VALUES (81977, '2020-08-11', 'SI', 'Slovenia', 'EURO', '6', '2256', '1', '130');
INSERT INTO public.who_import VALUES (81978, '2020-08-12', 'SI', 'Slovenia', 'EURO', '17', '2273', '1', '131');
INSERT INTO public.who_import VALUES (81979, '2020-08-13', 'SI', 'Slovenia', 'EURO', '31', '2304', '0', '131');
INSERT INTO public.who_import VALUES (81980, '2020-08-14', 'SI', 'Slovenia', 'EURO', '29', '2333', '0', '131');
INSERT INTO public.who_import VALUES (81981, '2020-08-15', 'SI', 'Slovenia', 'EURO', '37', '2370', '0', '131');
INSERT INTO public.who_import VALUES (81982, '2020-08-16', 'SI', 'Slovenia', 'EURO', '32', '2402', '0', '131');
INSERT INTO public.who_import VALUES (81983, '2020-08-17', 'SI', 'Slovenia', 'EURO', '15', '2417', '0', '131');
INSERT INTO public.who_import VALUES (81984, '2020-08-18', 'SI', 'Slovenia', 'EURO', '13', '2430', '0', '131');
INSERT INTO public.who_import VALUES (81985, '2020-08-19', 'SI', 'Slovenia', 'EURO', '27', '2457', '0', '131');
INSERT INTO public.who_import VALUES (81986, '2020-08-20', 'SI', 'Slovenia', 'EURO', '37', '2494', '0', '131');
INSERT INTO public.who_import VALUES (81987, '2020-08-21', 'SI', 'Slovenia', 'EURO', '43', '2537', '0', '131');
INSERT INTO public.who_import VALUES (81988, '2020-08-22', 'SI', 'Slovenia', 'EURO', '38', '2575', '1', '132');
INSERT INTO public.who_import VALUES (81989, '2020-08-23', 'SI', 'Slovenia', 'EURO', '43', '2618', '0', '132');
INSERT INTO public.who_import VALUES (81990, '2020-08-24', 'SI', 'Slovenia', 'EURO', '34', '2652', '0', '132');
INSERT INTO public.who_import VALUES (81991, '2020-08-25', 'SI', 'Slovenia', 'EURO', '14', '2666', '1', '133');
INSERT INTO public.who_import VALUES (81992, '2020-08-26', 'SI', 'Slovenia', 'EURO', '21', '2687', '0', '133');
INSERT INTO public.who_import VALUES (81993, '2020-08-27', 'SI', 'Slovenia', 'EURO', '36', '2723', '0', '133');
INSERT INTO public.who_import VALUES (81994, '2020-08-28', 'SI', 'Slovenia', 'EURO', '33', '2756', '0', '133');
INSERT INTO public.who_import VALUES (81995, '2020-08-29', 'SI', 'Slovenia', 'EURO', '42', '2798', '0', '133');
INSERT INTO public.who_import VALUES (81996, '2020-08-30', 'SI', 'Slovenia', 'EURO', '37', '2835', '0', '133');
INSERT INTO public.who_import VALUES (81997, '2020-08-31', 'SI', 'Slovenia', 'EURO', '31', '2866', '0', '133');
INSERT INTO public.who_import VALUES (81998, '2020-09-01', 'SI', 'Slovenia', 'EURO', '18', '2884', '0', '133');
INSERT INTO public.who_import VALUES (81999, '2020-09-02', 'SI', 'Slovenia', 'EURO', '41', '2925', '0', '133');
INSERT INTO public.who_import VALUES (82000, '2020-09-03', 'SI', 'Slovenia', 'EURO', '55', '2980', '0', '133');
INSERT INTO public.who_import VALUES (82001, '2020-09-04', 'SI', 'Slovenia', 'EURO', '53', '3033', '0', '133');
INSERT INTO public.who_import VALUES (82002, '2020-09-05', 'SI', 'Slovenia', 'EURO', '47', '3080', '0', '133');
INSERT INTO public.who_import VALUES (82003, '2020-09-06', 'SI', 'Slovenia', 'EURO', '43', '3123', '1', '134');
INSERT INTO public.who_import VALUES (82004, '2020-09-07', 'SI', 'Slovenia', 'EURO', '43', '3166', '0', '134');
INSERT INTO public.who_import VALUES (82005, '2020-09-08', 'SI', 'Slovenia', 'EURO', '25', '3191', '0', '134');
INSERT INTO public.who_import VALUES (82006, '2020-09-09', 'SI', 'Slovenia', 'EURO', '43', '3234', '0', '134');
INSERT INTO public.who_import VALUES (82007, '2020-09-10', 'SI', 'Slovenia', 'EURO', '79', '3313', '1', '135');
INSERT INTO public.who_import VALUES (82008, '2020-09-11', 'SI', 'Slovenia', 'EURO', '78', '3391', '0', '135');
INSERT INTO public.who_import VALUES (82009, '2020-09-12', 'SI', 'Slovenia', 'EURO', '108', '3499', '0', '135');
INSERT INTO public.who_import VALUES (82010, '2020-09-13', 'SI', 'Slovenia', 'EURO', '105', '3604', '1', '136');
INSERT INTO public.who_import VALUES (82011, '2020-09-14', 'SI', 'Slovenia', 'EURO', '99', '3703', '1', '137');
INSERT INTO public.who_import VALUES (82012, '2020-09-15', 'SI', 'Slovenia', 'EURO', '47', '3750', '0', '137');
INSERT INTO public.who_import VALUES (82013, '2020-09-16', 'SI', 'Slovenia', 'EURO', '83', '3833', '0', '137');
INSERT INTO public.who_import VALUES (82014, '2020-09-17', 'SI', 'Slovenia', 'EURO', '123', '3956', '0', '137');
INSERT INTO public.who_import VALUES (82015, '2020-09-18', 'SI', 'Slovenia', 'EURO', '104', '4060', '1', '138');
INSERT INTO public.who_import VALUES (82016, '2020-09-19', 'SI', 'Slovenia', 'EURO', '137', '4197', '4', '142');
INSERT INTO public.who_import VALUES (82017, '2020-09-20', 'SI', 'Slovenia', 'EURO', '113', '4310', '2', '144');
INSERT INTO public.who_import VALUES (82018, '2020-09-21', 'SI', 'Slovenia', 'EURO', '111', '4421', '1', '145');
INSERT INTO public.who_import VALUES (82019, '2020-09-22', 'SI', 'Slovenia', 'EURO', '50', '4471', '0', '145');
INSERT INTO public.who_import VALUES (82020, '2020-09-23', 'SI', 'Slovenia', 'EURO', '88', '4559', '1', '146');
INSERT INTO public.who_import VALUES (82021, '2020-09-24', 'SI', 'Slovenia', 'EURO', '136', '4695', '1', '147');
INSERT INTO public.who_import VALUES (82022, '2020-09-25', 'SI', 'Slovenia', 'EURO', '121', '4816', '2', '149');
INSERT INTO public.who_import VALUES (82023, '2020-09-26', 'SI', 'Slovenia', 'EURO', '193', '5009', '1', '150');
INSERT INTO public.who_import VALUES (82024, '2020-09-27', 'SI', 'Slovenia', 'EURO', '184', '5193', '1', '151');
INSERT INTO public.who_import VALUES (82025, '2020-09-28', 'SI', 'Slovenia', 'EURO', '158', '5351', '1', '152');
INSERT INTO public.who_import VALUES (82026, '2020-09-29', 'SI', 'Slovenia', 'EURO', '39', '5390', '2', '154');
INSERT INTO public.who_import VALUES (82027, '2020-09-30', 'SI', 'Slovenia', 'EURO', '99', '5489', '0', '154');
INSERT INTO public.who_import VALUES (82028, '2020-10-01', 'SI', 'Slovenia', 'EURO', '202', '5691', '1', '155');
INSERT INTO public.who_import VALUES (82029, '2020-10-02', 'SI', 'Slovenia', 'EURO', '175', '5866', '2', '157');
INSERT INTO public.who_import VALUES (82030, '2020-10-03', 'SI', 'Slovenia', 'EURO', '239', '6105', '2', '159');
INSERT INTO public.who_import VALUES (82031, '2020-10-04', 'SI', 'Slovenia', 'EURO', '228', '6333', '0', '159');
INSERT INTO public.who_import VALUES (82032, '2020-10-05', 'SI', 'Slovenia', 'EURO', '168', '6501', '0', '159');
INSERT INTO public.who_import VALUES (82033, '2020-10-06', 'SI', 'Slovenia', 'EURO', '75', '6576', '2', '161');
INSERT INTO public.who_import VALUES (82034, '2020-10-07', 'SI', 'Slovenia', 'EURO', '190', '6766', '5', '166');
INSERT INTO public.who_import VALUES (82035, '2020-10-08', 'SI', 'Slovenia', 'EURO', '357', '7123', '0', '166');
INSERT INTO public.who_import VALUES (82036, '2020-10-09', 'SI', 'Slovenia', 'EURO', '388', '7511', '1', '167');
INSERT INTO public.who_import VALUES (82037, '2020-10-10', 'SI', 'Slovenia', 'EURO', '363', '7874', '2', '169');
INSERT INTO public.who_import VALUES (82038, '2020-10-11', 'SI', 'Slovenia', 'EURO', '380', '8254', '7', '176');
INSERT INTO public.who_import VALUES (82039, '2020-10-12', 'SI', 'Slovenia', 'EURO', '411', '8665', '0', '176');
INSERT INTO public.who_import VALUES (82040, '2020-10-13', 'SI', 'Slovenia', 'EURO', '169', '8834', '2', '178');
INSERT INTO public.who_import VALUES (82041, '2020-10-14', 'SI', 'Slovenia', 'EURO', '399', '9233', '3', '181');
INSERT INTO public.who_import VALUES (82042, '2020-10-15', 'SI', 'Slovenia', 'EURO', '707', '9940', '5', '186');
INSERT INTO public.who_import VALUES (82043, '2020-10-16', 'SI', 'Slovenia', 'EURO', '748', '10688', '3', '189');
INSERT INTO public.who_import VALUES (82044, '2020-10-17', 'SI', 'Slovenia', 'EURO', '836', '11524', '8', '197');
INSERT INTO public.who_import VALUES (82045, '2020-10-18', 'SI', 'Slovenia', 'EURO', '898', '12422', '5', '202');
INSERT INTO public.who_import VALUES (82046, '2020-10-19', 'SI', 'Slovenia', 'EURO', '727', '13149', '6', '208');
INSERT INTO public.who_import VALUES (82047, '2020-10-20', 'SI', 'Slovenia', 'EURO', '537', '13686', '4', '212');
INSERT INTO public.who_import VALUES (82048, '2020-10-21', 'SI', 'Slovenia', 'EURO', '802', '14488', '6', '218');
INSERT INTO public.who_import VALUES (82049, '2020-10-22', 'SI', 'Slovenia', 'EURO', '1505', '15993', '11', '229');
INSERT INTO public.who_import VALUES (82050, '2020-10-23', 'SI', 'Slovenia', 'EURO', '1670', '17663', '8', '237');
INSERT INTO public.who_import VALUES (82051, '2020-10-24', 'SI', 'Slovenia', 'EURO', '1661', '19324', '9', '246');
INSERT INTO public.who_import VALUES (82052, '2020-10-25', 'SI', 'Slovenia', 'EURO', '1969', '21293', '20', '266');
INSERT INTO public.who_import VALUES (82053, '2020-10-26', 'SI', 'Slovenia', 'EURO', '1702', '22995', '5', '271');
INSERT INTO public.who_import VALUES (82054, '2020-10-27', 'SI', 'Slovenia', 'EURO', '1118', '24113', '17', '288');
INSERT INTO public.who_import VALUES (82055, '2020-10-28', 'SI', 'Slovenia', 'EURO', '1502', '25615', '15', '303');
INSERT INTO public.who_import VALUES (82056, '2020-10-29', 'SI', 'Slovenia', 'EURO', '2611', '28226', '16', '319');
INSERT INTO public.who_import VALUES (82057, '2020-10-30', 'SI', 'Slovenia', 'EURO', '2492', '30718', '20', '339');
INSERT INTO public.who_import VALUES (82058, '2020-10-31', 'SI', 'Slovenia', 'EURO', '1800', '32518', '25', '364');
INSERT INTO public.who_import VALUES (82059, '2020-11-01', 'SI', 'Slovenia', 'EURO', '1797', '34315', '27', '391');
INSERT INTO public.who_import VALUES (82060, '2020-11-02', 'SI', 'Slovenia', 'EURO', '1347', '35662', '27', '418');
INSERT INTO public.who_import VALUES (82061, '2020-11-03', 'SI', 'Slovenia', 'EURO', '557', '36219', '23', '441');
INSERT INTO public.who_import VALUES (82062, '2020-11-04', 'SI', 'Slovenia', 'EURO', '1177', '37396', '32', '473');
INSERT INTO public.who_import VALUES (82063, '2020-11-05', 'SI', 'Slovenia', 'EURO', '2032', '39428', '31', '504');
INSERT INTO public.who_import VALUES (82064, '2020-11-06', 'SI', 'Slovenia', 'EURO', '1691', '41119', '31', '535');
INSERT INTO public.who_import VALUES (82065, '2020-11-07', 'SI', 'Slovenia', 'EURO', '1567', '42686', '28', '563');
INSERT INTO public.who_import VALUES (82066, '2020-11-08', 'SI', 'Slovenia', 'EURO', '1613', '44299', '35', '598');
INSERT INTO public.who_import VALUES (82067, '2020-11-09', 'SI', 'Slovenia', 'EURO', '891', '45190', '21', '619');
INSERT INTO public.who_import VALUES (82068, '2020-11-10', 'SI', 'Slovenia', 'EURO', '466', '45656', '26', '645');
INSERT INTO public.who_import VALUES (82069, '2020-11-11', 'SI', 'Slovenia', 'EURO', '1089', '46745', '28', '673');
INSERT INTO public.who_import VALUES (82070, '2020-11-12', 'SI', 'Slovenia', 'EURO', '2228', '48973', '43', '716');
INSERT INTO public.who_import VALUES (82071, '2020-11-13', 'SI', 'Slovenia', 'EURO', '1932', '50905', '49', '765');
INSERT INTO public.who_import VALUES (82072, '2020-11-14', 'SI', 'Slovenia', 'EURO', '1516', '52421', '43', '808');
INSERT INTO public.who_import VALUES (82073, '2020-11-15', 'SI', 'Slovenia', 'EURO', '1740', '54161', '41', '849');
INSERT INTO public.who_import VALUES (82074, '2020-11-16', 'SI', 'Slovenia', 'EURO', '922', '55083', '32', '881');
INSERT INTO public.who_import VALUES (82075, '2020-11-17', 'SI', 'Slovenia', 'EURO', '500', '55583', '34', '915');
INSERT INTO public.who_import VALUES (82076, '2020-11-18', 'SI', 'Slovenia', 'EURO', '1393', '56976', '44', '959');
INSERT INTO public.who_import VALUES (82077, '2020-11-19', 'SI', 'Slovenia', 'EURO', '2018', '58994', '45', '1004');
INSERT INTO public.who_import VALUES (82078, '2020-11-20', 'SI', 'Slovenia', 'EURO', '2068', '61062', '43', '1047');
INSERT INTO public.who_import VALUES (82079, '2020-11-21', 'SI', 'Slovenia', 'EURO', '1549', '62611', '37', '1084');
INSERT INTO public.who_import VALUES (82080, '2020-11-22', 'SI', 'Slovenia', 'EURO', '1691', '64302', '43', '1127');
INSERT INTO public.who_import VALUES (82081, '2020-11-23', 'SI', 'Slovenia', 'EURO', '1025', '65327', '26', '1153');
INSERT INTO public.who_import VALUES (82082, '2020-11-24', 'SI', 'Slovenia', 'EURO', '471', '65798', '53', '1206');
INSERT INTO public.who_import VALUES (82083, '2020-11-25', 'SI', 'Slovenia', 'EURO', '1308', '67106', '56', '1262');
INSERT INTO public.who_import VALUES (82084, '2020-11-26', 'SI', 'Slovenia', 'EURO', '2235', '69341', '44', '1306');
INSERT INTO public.who_import VALUES (82085, '2020-11-27', 'SI', 'Slovenia', 'EURO', '1782', '71123', '54', '1360');
INSERT INTO public.who_import VALUES (82086, '2020-11-28', 'SI', 'Slovenia', 'EURO', '1612', '72735', '47', '1407');
INSERT INTO public.who_import VALUES (82087, '2020-11-29', 'SI', 'Slovenia', 'EURO', '1601', '74336', '63', '1470');
INSERT INTO public.who_import VALUES (82088, '2020-11-30', 'SI', 'Slovenia', 'EURO', '1109', '75445', '46', '1516');
INSERT INTO public.who_import VALUES (82089, '2020-12-01', 'SI', 'Slovenia', 'EURO', '427', '75872', '51', '1567');
INSERT INTO public.who_import VALUES (82090, '2020-12-02', 'SI', 'Slovenia', 'EURO', '1299', '77171', '58', '1625');
INSERT INTO public.who_import VALUES (82091, '2020-12-03', 'SI', 'Slovenia', 'EURO', '2438', '79609', '64', '1689');
INSERT INTO public.who_import VALUES (82092, '2020-12-04', 'SI', 'Slovenia', 'EURO', '1776', '81385', '49', '1738');
INSERT INTO public.who_import VALUES (82093, '2020-12-05', 'SI', 'Slovenia', 'EURO', '1786', '83171', '74', '1812');
INSERT INTO public.who_import VALUES (82094, '2020-12-06', 'SI', 'Slovenia', 'EURO', '1647', '84818', '51', '1863');
INSERT INTO public.who_import VALUES (82095, '2020-12-07', 'SI', 'Slovenia', 'EURO', '1033', '85851', '49', '1912');
INSERT INTO public.who_import VALUES (82096, '2020-12-08', 'SI', 'Slovenia', 'EURO', '480', '86331', '59', '1971');
INSERT INTO public.who_import VALUES (82097, '2020-12-09', 'SI', 'Slovenia', 'EURO', '1630', '87961', '60', '2031');
INSERT INTO public.who_import VALUES (82098, '2020-12-10', 'SI', 'Slovenia', 'EURO', '2140', '90101', '43', '2074');
INSERT INTO public.who_import VALUES (82099, '2020-12-11', 'SI', 'Slovenia', 'EURO', '1852', '91953', '55', '2129');
INSERT INTO public.who_import VALUES (82100, '2020-12-12', 'SI', 'Slovenia', 'EURO', '1816', '93769', '57', '2186');
INSERT INTO public.who_import VALUES (82101, '2020-12-13', 'SI', 'Slovenia', 'EURO', '1750', '95519', '53', '2239');
INSERT INTO public.who_import VALUES (82102, '2020-12-14', 'SI', 'Slovenia', 'EURO', '834', '96353', '39', '2278');
INSERT INTO public.who_import VALUES (82103, '2020-12-15', 'SI', 'Slovenia', 'EURO', '433', '96786', '46', '2324');
INSERT INTO public.who_import VALUES (82104, '2020-12-16', 'SI', 'Slovenia', 'EURO', '1532', '98318', '55', '2379');
INSERT INTO public.who_import VALUES (82105, '2020-12-17', 'SI', 'Slovenia', 'EURO', '2112', '100430', '52', '2431');
INSERT INTO public.who_import VALUES (82106, '2020-12-18', 'SI', 'Slovenia', 'EURO', '1648', '102078', '42', '2473');
INSERT INTO public.who_import VALUES (82107, '2020-12-19', 'SI', 'Slovenia', 'EURO', '1517', '103595', '39', '2512');
INSERT INTO public.who_import VALUES (82108, '2020-12-20', 'SI', 'Slovenia', 'EURO', '1430', '105025', '42', '2554');
INSERT INTO public.who_import VALUES (82109, '2020-12-21', 'SI', 'Slovenia', 'EURO', '882', '105907', '40', '2594');
INSERT INTO public.who_import VALUES (82110, '2020-12-22', 'SI', 'Slovenia', 'EURO', '396', '106303', '27', '2621');
INSERT INTO public.who_import VALUES (82111, '2020-12-23', 'SI', 'Slovenia', 'EURO', '1551', '107854', '45', '2666');
INSERT INTO public.who_import VALUES (82112, '2020-12-24', 'SI', 'Slovenia', 'EURO', '2157', '110011', '37', '2703');
INSERT INTO public.who_import VALUES (82113, '2020-12-25', 'SI', 'Slovenia', 'EURO', '2064', '112075', '32', '2735');
INSERT INTO public.who_import VALUES (82114, '2020-12-26', 'SI', 'Slovenia', 'EURO', '1812', '113887', '35', '2770');
INSERT INTO public.who_import VALUES (82115, '2020-12-27', 'SI', 'Slovenia', 'EURO', '369', '114256', '33', '2803');
INSERT INTO public.who_import VALUES (82116, '2020-12-28', 'SI', 'Slovenia', 'EURO', '623', '114879', '27', '2830');
INSERT INTO public.who_import VALUES (82117, '2020-12-29', 'SI', 'Slovenia', 'EURO', '533', '115412', '48', '2878');
INSERT INTO public.who_import VALUES (82118, '2020-12-30', 'SI', 'Slovenia', 'EURO', '1992', '117404', '44', '2922');
INSERT INTO public.who_import VALUES (82119, '2020-12-31', 'SI', 'Slovenia', 'EURO', '2430', '119834', '31', '2953');
INSERT INTO public.who_import VALUES (82120, '2021-01-01', 'SI', 'Slovenia', 'EURO', '2429', '122263', '28', '2981');
INSERT INTO public.who_import VALUES (82121, '2021-01-02', 'SI', 'Slovenia', 'EURO', '1772', '124035', '42', '3023');
INSERT INTO public.who_import VALUES (82122, '2021-01-03', 'SI', 'Slovenia', 'EURO', '398', '124433', '35', '3058');
INSERT INTO public.who_import VALUES (82123, '2021-01-04', 'SI', 'Slovenia', 'EURO', '761', '125194', '35', '3093');
INSERT INTO public.who_import VALUES (82124, '2021-01-05', 'SI', 'Slovenia', 'EURO', '766', '125960', '32', '3125');
INSERT INTO public.who_import VALUES (82125, '2021-01-06', 'SI', 'Slovenia', 'EURO', '2600', '128560', '30', '3155');
INSERT INTO public.who_import VALUES (82126, '2021-01-07', 'SI', 'Slovenia', 'EURO', '3428', '131988', '37', '3192');
INSERT INTO public.who_import VALUES (82127, '2021-01-08', 'SI', 'Slovenia', 'EURO', '2697', '134685', '24', '3216');
INSERT INTO public.who_import VALUES (82128, '2021-01-09', 'SI', 'Slovenia', 'EURO', '2081', '136766', '29', '3245');
INSERT INTO public.who_import VALUES (82129, '2021-01-10', 'SI', 'Slovenia', 'EURO', '1860', '138626', '28', '3273');
INSERT INTO public.who_import VALUES (82130, '2021-01-11', 'SI', 'Slovenia', 'EURO', '763', '139389', '33', '3306');
INSERT INTO public.who_import VALUES (82131, '2021-01-12', 'SI', 'Slovenia', 'EURO', '426', '139815', '20', '3326');
INSERT INTO public.who_import VALUES (82132, '2021-01-13', 'SI', 'Slovenia', 'EURO', '1909', '141724', '29', '3355');
INSERT INTO public.who_import VALUES (82133, '2021-01-14', 'SI', 'Slovenia', 'EURO', '2104', '143828', '23', '3378');
INSERT INTO public.who_import VALUES (82134, '2021-01-15', 'SI', 'Slovenia', 'EURO', '1807', '145635', '18', '3396');
INSERT INTO public.who_import VALUES (82135, '2021-01-16', 'SI', 'Slovenia', 'EURO', '1499', '147134', '25', '3421');
INSERT INTO public.who_import VALUES (82136, '2021-01-17', 'SI', 'Slovenia', 'EURO', '1549', '148683', '30', '3451');
INSERT INTO public.who_import VALUES (82137, '2021-01-18', 'SI', 'Slovenia', 'EURO', '574', '149257', '33', '3484');
INSERT INTO public.who_import VALUES (82138, '2021-01-19', 'SI', 'Slovenia', 'EURO', '300', '149557', '31', '3515');
INSERT INTO public.who_import VALUES (82139, '2021-01-20', 'SI', 'Slovenia', 'EURO', '1706', '151263', '28', '3543');
INSERT INTO public.who_import VALUES (82140, '2021-01-21', 'SI', 'Slovenia', 'EURO', '1717', '152980', '24', '3567');
INSERT INTO public.who_import VALUES (82141, '2021-01-22', 'SI', 'Slovenia', 'EURO', '1456', '154436', '29', '3596');
INSERT INTO public.who_import VALUES (82142, '2021-01-23', 'SI', 'Slovenia', 'EURO', '1457', '155893', '24', '3620');
INSERT INTO public.who_import VALUES (82143, '2021-01-24', 'SI', 'Slovenia', 'EURO', '1519', '157412', '27', '3647');
INSERT INTO public.who_import VALUES (82144, '2021-01-25', 'SI', 'Slovenia', 'EURO', '541', '157953', '30', '3677');
INSERT INTO public.who_import VALUES (82145, '2021-01-26', 'SI', 'Slovenia', 'EURO', '297', '158250', '24', '3701');
INSERT INTO public.who_import VALUES (82146, '2021-01-27', 'SI', 'Slovenia', 'EURO', '1679', '159929', '23', '3724');
INSERT INTO public.who_import VALUES (82147, '2021-01-28', 'SI', 'Slovenia', 'EURO', '1875', '161804', '24', '3748');
INSERT INTO public.who_import VALUES (82148, '2021-01-29', 'SI', 'Slovenia', 'EURO', '1539', '163343', '16', '3764');
INSERT INTO public.who_import VALUES (82149, '2021-01-30', 'SI', 'Slovenia', 'EURO', '1306', '164649', '26', '3790');
INSERT INTO public.who_import VALUES (82150, '2021-01-31', 'SI', 'Slovenia', 'EURO', '1303', '165952', '22', '3812');
INSERT INTO public.who_import VALUES (82151, '2021-02-01', 'SI', 'Slovenia', 'EURO', '588', '166540', '17', '3829');
INSERT INTO public.who_import VALUES (82152, '2021-02-02', 'SI', 'Slovenia', 'EURO', '348', '166888', '21', '3850');
INSERT INTO public.who_import VALUES (82153, '2021-02-03', 'SI', 'Slovenia', 'EURO', '1517', '168405', '16', '3866');
INSERT INTO public.who_import VALUES (82154, '2021-02-04', 'SI', 'Slovenia', 'EURO', '1560', '169965', '23', '3889');
INSERT INTO public.who_import VALUES (82155, '2021-02-05', 'SI', 'Slovenia', 'EURO', '1267', '171232', '25', '3914');
INSERT INTO public.who_import VALUES (82156, '2021-02-06', 'SI', 'Slovenia', 'EURO', '962', '172194', '14', '3928');
INSERT INTO public.who_import VALUES (82157, '2021-02-07', 'SI', 'Slovenia', 'EURO', '981', '173175', '13', '3941');
INSERT INTO public.who_import VALUES (82158, '2021-02-08', 'SI', 'Slovenia', 'EURO', '497', '173672', '16', '3957');
INSERT INTO public.who_import VALUES (82159, '2021-02-09', 'SI', 'Slovenia', 'EURO', '310', '173982', '7', '3964');
INSERT INTO public.who_import VALUES (82160, '2021-02-10', 'SI', 'Slovenia', 'EURO', '337', '174319', '15', '3979');
INSERT INTO public.who_import VALUES (82161, '2021-02-11', 'SI', 'Slovenia', 'EURO', '1388', '175707', '10', '3989');
INSERT INTO public.who_import VALUES (82162, '2021-02-12', 'SI', 'Slovenia', 'EURO', '1368', '177075', '8', '3997');
INSERT INTO public.who_import VALUES (82163, '2021-02-13', 'SI', 'Slovenia', 'EURO', '1062', '178137', '12', '4009');
INSERT INTO public.who_import VALUES (82164, '2021-02-14', 'SI', 'Slovenia', 'EURO', '1007', '179144', '9', '4018');
INSERT INTO public.who_import VALUES (82165, '2021-02-15', 'SI', 'Slovenia', 'EURO', '384', '179528', '2', '4020');
INSERT INTO public.who_import VALUES (82166, '2021-02-16', 'SI', 'Slovenia', 'EURO', '244', '179772', '5', '4025');
INSERT INTO public.who_import VALUES (82167, '2021-02-17', 'SI', 'Slovenia', 'EURO', '742', '180514', '4', '4029');
INSERT INTO public.who_import VALUES (82168, '2021-02-18', 'SI', 'Slovenia', 'EURO', '1099', '181613', '1', '4030');
INSERT INTO public.who_import VALUES (82169, '2021-02-19', 'SI', 'Slovenia', 'EURO', '873', '182486', '2', '4032');
INSERT INTO public.who_import VALUES (82170, '2021-02-20', 'SI', 'Slovenia', 'EURO', '910', '183396', '2', '4034');
INSERT INTO public.who_import VALUES (82171, '2020-01-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82172, '2020-01-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82173, '2020-01-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82174, '2020-01-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82175, '2020-01-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82176, '2020-01-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82177, '2020-01-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82178, '2020-01-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82179, '2020-01-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82180, '2020-01-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82181, '2020-01-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82182, '2020-01-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82183, '2020-01-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82184, '2020-01-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82185, '2020-01-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82186, '2020-01-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82187, '2020-01-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82188, '2020-01-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82189, '2020-01-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82190, '2020-01-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82191, '2020-01-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82192, '2020-01-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82193, '2020-01-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82194, '2020-01-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82195, '2020-01-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82196, '2020-01-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82197, '2020-01-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82198, '2020-01-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82199, '2020-01-31', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82200, '2020-02-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82201, '2020-02-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82202, '2020-02-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82203, '2020-02-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82204, '2020-02-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82205, '2020-02-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82206, '2020-02-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82207, '2020-02-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82208, '2020-02-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82209, '2020-02-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82210, '2020-02-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82211, '2020-02-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82212, '2020-02-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82213, '2020-02-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82214, '2020-02-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82215, '2020-02-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82216, '2020-02-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82217, '2020-02-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82218, '2020-02-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82219, '2020-02-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82220, '2020-02-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82221, '2020-02-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82222, '2020-02-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82223, '2020-02-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82224, '2020-02-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82225, '2020-02-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82226, '2020-02-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82227, '2020-02-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82228, '2020-02-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82229, '2020-03-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82230, '2020-03-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82231, '2020-03-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82232, '2020-03-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82233, '2020-03-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82234, '2020-03-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82235, '2020-03-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82236, '2020-03-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82237, '2020-03-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82238, '2020-03-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82239, '2020-03-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82240, '2020-03-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82241, '2020-03-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82242, '2020-03-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82243, '2020-03-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82244, '2020-03-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82245, '2020-03-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82246, '2020-03-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82247, '2020-03-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82248, '2020-03-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82249, '2020-03-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82250, '2020-03-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82251, '2020-03-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82252, '2020-03-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82253, '2020-03-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82254, '2020-03-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82255, '2020-03-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82256, '2020-03-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82257, '2020-03-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82258, '2020-03-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82259, '2020-03-31', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82260, '2020-04-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82261, '2020-04-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82262, '2020-04-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82263, '2020-04-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82264, '2020-04-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82265, '2020-04-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82266, '2020-04-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82267, '2020-04-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82268, '2020-04-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82269, '2020-04-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82270, '2020-04-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82271, '2020-04-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82272, '2020-04-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82273, '2020-04-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82274, '2020-04-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82275, '2020-04-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82276, '2020-04-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82277, '2020-04-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82278, '2020-04-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82279, '2020-04-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82280, '2020-04-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82281, '2020-04-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82282, '2020-04-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82283, '2020-04-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82284, '2020-04-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82285, '2020-04-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82286, '2020-04-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82287, '2020-04-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82288, '2020-04-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82289, '2020-04-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82290, '2020-05-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82291, '2020-05-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82292, '2020-05-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82293, '2020-05-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82294, '2020-05-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82295, '2020-05-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82296, '2020-05-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82297, '2020-05-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82298, '2020-05-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82299, '2020-05-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82300, '2020-05-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82301, '2020-05-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82302, '2020-05-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82303, '2020-05-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82304, '2020-05-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82305, '2020-05-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82306, '2020-05-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82307, '2020-05-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82308, '2020-05-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82309, '2020-05-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82310, '2020-05-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82311, '2020-05-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82312, '2020-05-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82313, '2020-05-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82314, '2020-05-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82315, '2020-05-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82316, '2020-05-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82317, '2020-05-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82318, '2020-05-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82319, '2020-05-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82320, '2020-05-31', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82321, '2020-06-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82322, '2020-06-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82323, '2020-06-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82324, '2020-06-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82325, '2020-06-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82326, '2020-06-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82327, '2020-06-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82328, '2020-06-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82329, '2020-06-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82330, '2020-06-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82331, '2020-06-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82332, '2020-06-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82333, '2020-06-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82334, '2020-06-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82335, '2020-06-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82336, '2020-06-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82337, '2020-06-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82338, '2020-06-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82339, '2020-06-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82340, '2020-06-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82341, '2020-06-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82342, '2020-06-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82343, '2020-06-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82344, '2020-06-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82345, '2020-06-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82346, '2020-06-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82347, '2020-06-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82348, '2020-06-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82349, '2020-06-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82350, '2020-06-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82351, '2020-07-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82352, '2020-07-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82353, '2020-07-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82354, '2020-07-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82355, '2020-07-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82356, '2020-07-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82357, '2020-07-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82358, '2020-07-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82359, '2020-07-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82360, '2020-07-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82361, '2020-07-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82362, '2020-07-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82363, '2020-07-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82364, '2020-07-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82365, '2020-07-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82366, '2020-07-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82367, '2020-07-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82368, '2020-07-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82369, '2020-07-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82370, '2020-07-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82371, '2020-07-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82372, '2020-07-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82373, '2020-07-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82374, '2020-07-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82375, '2020-07-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82376, '2020-07-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82377, '2020-07-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82378, '2020-07-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82379, '2020-07-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82380, '2020-07-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82381, '2020-07-31', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82382, '2020-08-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82383, '2020-08-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82384, '2020-08-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82385, '2020-08-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82386, '2020-08-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82387, '2020-08-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82388, '2020-08-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82389, '2020-08-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82390, '2020-08-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82391, '2020-08-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82392, '2020-08-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82393, '2020-08-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82394, '2020-08-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82395, '2020-08-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82396, '2020-08-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82397, '2020-08-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82398, '2020-08-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82399, '2020-08-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82400, '2020-08-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82401, '2020-08-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82402, '2020-08-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82403, '2020-08-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82404, '2020-08-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82405, '2020-08-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82406, '2020-08-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82407, '2020-08-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82408, '2020-08-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82409, '2020-08-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82410, '2020-08-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82411, '2020-08-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82412, '2020-08-31', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82413, '2020-09-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82414, '2020-09-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82415, '2020-09-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82416, '2020-09-04', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82417, '2020-09-05', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82418, '2020-09-06', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82419, '2020-09-07', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82420, '2020-09-08', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82421, '2020-09-09', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82422, '2020-09-10', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82423, '2020-09-11', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82424, '2020-09-12', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82425, '2020-09-13', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82426, '2020-09-14', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82427, '2020-09-15', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82428, '2020-09-16', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82429, '2020-09-17', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82430, '2020-09-18', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82431, '2020-09-19', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82432, '2020-09-20', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82433, '2020-09-21', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82434, '2020-09-22', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82435, '2020-09-23', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82436, '2020-09-24', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82437, '2020-09-25', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82438, '2020-09-26', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82439, '2020-09-27', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82440, '2020-09-28', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82441, '2020-09-29', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82442, '2020-09-30', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82443, '2020-10-01', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82444, '2020-10-02', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82445, '2020-10-03', 'SB', 'Solomon Islands', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82446, '2020-10-04', 'SB', 'Solomon Islands', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (82447, '2020-10-05', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82448, '2020-10-06', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82449, '2020-10-07', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82450, '2020-10-08', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82451, '2020-10-09', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82452, '2020-10-10', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82453, '2020-10-11', 'SB', 'Solomon Islands', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (82454, '2020-10-12', 'SB', 'Solomon Islands', 'WPRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (82455, '2020-10-13', 'SB', 'Solomon Islands', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (82456, '2020-10-14', 'SB', 'Solomon Islands', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (82457, '2020-10-15', 'SB', 'Solomon Islands', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (82458, '2020-10-16', 'SB', 'Solomon Islands', 'WPRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (82459, '2020-10-17', 'SB', 'Solomon Islands', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82460, '2020-10-18', 'SB', 'Solomon Islands', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82461, '2020-10-19', 'SB', 'Solomon Islands', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82462, '2020-10-20', 'SB', 'Solomon Islands', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82463, '2020-10-21', 'SB', 'Solomon Islands', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82464, '2020-10-22', 'SB', 'Solomon Islands', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82465, '2020-10-23', 'SB', 'Solomon Islands', 'WPRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (82466, '2020-10-24', 'SB', 'Solomon Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (82467, '2020-10-25', 'SB', 'Solomon Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (82468, '2020-10-26', 'SB', 'Solomon Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (82469, '2020-10-27', 'SB', 'Solomon Islands', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (82470, '2020-10-28', 'SB', 'Solomon Islands', 'WPRO', '4', '8', '0', '0');
INSERT INTO public.who_import VALUES (82471, '2020-10-29', 'SB', 'Solomon Islands', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (82472, '2020-10-30', 'SB', 'Solomon Islands', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (82473, '2020-10-31', 'SB', 'Solomon Islands', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (82474, '2020-11-01', 'SB', 'Solomon Islands', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (82475, '2020-11-02', 'SB', 'Solomon Islands', 'WPRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (82476, '2020-11-03', 'SB', 'Solomon Islands', 'WPRO', '5', '13', '0', '0');
INSERT INTO public.who_import VALUES (82477, '2020-11-04', 'SB', 'Solomon Islands', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (82478, '2020-11-05', 'SB', 'Solomon Islands', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (82479, '2020-11-06', 'SB', 'Solomon Islands', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (82480, '2020-11-07', 'SB', 'Solomon Islands', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (82481, '2020-11-08', 'SB', 'Solomon Islands', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (82482, '2020-11-09', 'SB', 'Solomon Islands', 'WPRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (82483, '2020-11-10', 'SB', 'Solomon Islands', 'WPRO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (82484, '2020-11-11', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82485, '2020-11-12', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82486, '2020-11-13', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82487, '2020-11-14', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82488, '2020-11-15', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82489, '2020-11-16', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82490, '2020-11-17', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82491, '2020-11-18', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82492, '2020-11-19', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82493, '2020-11-20', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82494, '2020-11-21', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82495, '2020-11-22', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82496, '2020-11-23', 'SB', 'Solomon Islands', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (82497, '2020-11-24', 'SB', 'Solomon Islands', 'WPRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (82498, '2020-11-25', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82499, '2020-11-26', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82500, '2020-11-27', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82501, '2020-11-28', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82502, '2020-11-29', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82503, '2020-11-30', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82504, '2020-12-01', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82505, '2020-12-02', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82506, '2020-12-03', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82507, '2020-12-04', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82508, '2020-12-05', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82509, '2020-12-06', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82510, '2020-12-07', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82511, '2020-12-08', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82512, '2020-12-09', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82513, '2020-12-10', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82514, '2020-12-11', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82515, '2020-12-12', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82516, '2020-12-13', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82517, '2020-12-14', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82518, '2020-12-15', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82519, '2020-12-16', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82520, '2020-12-17', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82521, '2020-12-18', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82522, '2020-12-19', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82523, '2020-12-20', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82524, '2020-12-21', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82525, '2020-12-22', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82526, '2020-12-23', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82527, '2020-12-24', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82528, '2020-12-25', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82529, '2020-12-26', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82530, '2020-12-27', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82531, '2020-12-28', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82532, '2020-12-29', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82533, '2020-12-30', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82534, '2020-12-31', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82535, '2021-01-01', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82536, '2021-01-02', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82537, '2021-01-03', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82538, '2021-01-04', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82539, '2021-01-05', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82540, '2021-01-06', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82541, '2021-01-07', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82542, '2021-01-08', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82543, '2021-01-09', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82544, '2021-01-10', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82545, '2021-01-11', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82546, '2021-01-12', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82547, '2021-01-13', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82548, '2021-01-14', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82549, '2021-01-15', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82550, '2021-01-16', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82551, '2021-01-17', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82552, '2021-01-18', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82553, '2021-01-19', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82554, '2021-01-20', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82555, '2021-01-21', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82556, '2021-01-22', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82557, '2021-01-23', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82558, '2021-01-24', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82559, '2021-01-25', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82560, '2021-01-26', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82561, '2021-01-27', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82562, '2021-01-28', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82563, '2021-01-29', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82564, '2021-01-30', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82565, '2021-01-31', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82566, '2021-02-01', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82567, '2021-02-02', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82568, '2021-02-03', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82569, '2021-02-04', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82570, '2021-02-05', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82571, '2021-02-06', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82572, '2021-02-07', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82573, '2021-02-08', 'SB', 'Solomon Islands', 'WPRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (82574, '2021-02-09', 'SB', 'Solomon Islands', 'WPRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (82575, '2021-02-10', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82576, '2021-02-11', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82577, '2021-02-12', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82578, '2021-02-13', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82579, '2021-02-14', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82580, '2021-02-15', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82581, '2021-02-16', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82582, '2021-02-17', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82583, '2021-02-18', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82584, '2021-02-19', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82585, '2021-02-20', 'SB', 'Solomon Islands', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (82586, '2020-01-03', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82587, '2020-01-04', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82588, '2020-01-05', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82589, '2020-01-06', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82590, '2020-01-07', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82591, '2020-01-08', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82592, '2020-01-09', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82593, '2020-01-10', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82594, '2020-01-11', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82595, '2020-01-12', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82596, '2020-01-13', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82597, '2020-01-14', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82598, '2020-01-15', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82599, '2020-01-16', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82600, '2020-01-17', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82601, '2020-01-18', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82602, '2020-01-19', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82603, '2020-01-20', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82604, '2020-01-21', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82605, '2020-01-22', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82606, '2020-01-23', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82607, '2020-01-24', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82608, '2020-01-25', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82609, '2020-01-26', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82610, '2020-01-27', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82611, '2020-01-28', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82612, '2020-01-29', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82613, '2020-01-30', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82614, '2020-01-31', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82615, '2020-02-01', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82616, '2020-02-02', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82617, '2020-02-03', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82618, '2020-02-04', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82619, '2020-02-05', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82620, '2020-02-06', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82621, '2020-02-07', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82622, '2020-02-08', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82623, '2020-02-09', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82624, '2020-02-10', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82625, '2020-02-11', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82626, '2020-02-12', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82627, '2020-02-13', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82628, '2020-02-14', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82629, '2020-02-15', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82630, '2020-02-16', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82631, '2020-02-17', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82632, '2020-02-18', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82633, '2020-02-19', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82634, '2020-02-20', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82635, '2020-02-21', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82636, '2020-02-22', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82637, '2020-02-23', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82638, '2020-02-24', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82639, '2020-02-25', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82640, '2020-02-26', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82641, '2020-02-27', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82642, '2020-02-28', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82643, '2020-02-29', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82644, '2020-03-01', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82645, '2020-03-02', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82646, '2020-03-03', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82647, '2020-03-04', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82648, '2020-03-05', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82649, '2020-03-06', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82650, '2020-03-07', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82651, '2020-03-08', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82652, '2020-03-09', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82653, '2020-03-10', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82654, '2020-03-11', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82655, '2020-03-12', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82656, '2020-03-13', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82657, '2020-03-14', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82658, '2020-03-15', 'SO', 'Somalia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (82659, '2020-03-16', 'SO', 'Somalia', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (82660, '2020-03-17', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82661, '2020-03-18', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82662, '2020-03-19', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82663, '2020-03-20', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82664, '2020-03-21', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82665, '2020-03-22', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82666, '2020-03-23', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82667, '2020-03-24', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82668, '2020-03-25', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82669, '2020-03-26', 'SO', 'Somalia', 'EMRO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (82670, '2020-03-27', 'SO', 'Somalia', 'EMRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (82671, '2020-03-28', 'SO', 'Somalia', 'EMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82672, '2020-03-29', 'SO', 'Somalia', 'EMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82673, '2020-03-30', 'SO', 'Somalia', 'EMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82674, '2020-03-31', 'SO', 'Somalia', 'EMRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (82675, '2020-04-01', 'SO', 'Somalia', 'EMRO', '2', '5', '0', '0');
INSERT INTO public.who_import VALUES (82676, '2020-04-02', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82677, '2020-04-03', 'SO', 'Somalia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (82678, '2020-04-04', 'SO', 'Somalia', 'EMRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (82679, '2020-04-05', 'SO', 'Somalia', 'EMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (82680, '2020-04-06', 'SO', 'Somalia', 'EMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (82681, '2020-04-07', 'SO', 'Somalia', 'EMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (82682, '2020-04-08', 'SO', 'Somalia', 'EMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (82683, '2020-04-09', 'SO', 'Somalia', 'EMRO', '4', '12', '1', '1');
INSERT INTO public.who_import VALUES (82684, '2020-04-10', 'SO', 'Somalia', 'EMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (82685, '2020-04-11', 'SO', 'Somalia', 'EMRO', '9', '21', '0', '1');
INSERT INTO public.who_import VALUES (82686, '2020-04-12', 'SO', 'Somalia', 'EMRO', '0', '21', '0', '1');
INSERT INTO public.who_import VALUES (82687, '2020-04-13', 'SO', 'Somalia', 'EMRO', '4', '25', '1', '2');
INSERT INTO public.who_import VALUES (82688, '2020-04-14', 'SO', 'Somalia', 'EMRO', '35', '60', '0', '2');
INSERT INTO public.who_import VALUES (82689, '2020-04-15', 'SO', 'Somalia', 'EMRO', '0', '60', '0', '2');
INSERT INTO public.who_import VALUES (82690, '2020-04-16', 'SO', 'Somalia', 'EMRO', '20', '80', '3', '5');
INSERT INTO public.who_import VALUES (82691, '2020-04-17', 'SO', 'Somalia', 'EMRO', '0', '80', '0', '5');
INSERT INTO public.who_import VALUES (82692, '2020-04-18', 'SO', 'Somalia', 'EMRO', '36', '116', '0', '5');
INSERT INTO public.who_import VALUES (82693, '2020-04-19', 'SO', 'Somalia', 'EMRO', '19', '135', '2', '7');
INSERT INTO public.who_import VALUES (82694, '2020-04-20', 'SO', 'Somalia', 'EMRO', '29', '164', '0', '7');
INSERT INTO public.who_import VALUES (82695, '2020-04-21', 'SO', 'Somalia', 'EMRO', '73', '237', '1', '8');
INSERT INTO public.who_import VALUES (82696, '2020-04-22', 'SO', 'Somalia', 'EMRO', '49', '286', '6', '14');
INSERT INTO public.who_import VALUES (82697, '2020-04-23', 'SO', 'Somalia', 'EMRO', '42', '328', '2', '16');
INSERT INTO public.who_import VALUES (82698, '2020-04-24', 'SO', 'Somalia', 'EMRO', '0', '328', '0', '16');
INSERT INTO public.who_import VALUES (82699, '2020-04-25', 'SO', 'Somalia', 'EMRO', '62', '390', '2', '18');
INSERT INTO public.who_import VALUES (82700, '2020-04-26', 'SO', 'Somalia', 'EMRO', '46', '436', '5', '23');
INSERT INTO public.who_import VALUES (82701, '2020-04-27', 'SO', 'Somalia', 'EMRO', '44', '480', '3', '26');
INSERT INTO public.who_import VALUES (82702, '2020-04-28', 'SO', 'Somalia', 'EMRO', '48', '528', '2', '28');
INSERT INTO public.who_import VALUES (82703, '2020-04-29', 'SO', 'Somalia', 'EMRO', '54', '582', '0', '28');
INSERT INTO public.who_import VALUES (82704, '2020-04-30', 'SO', 'Somalia', 'EMRO', '19', '601', '0', '28');
INSERT INTO public.who_import VALUES (82705, '2020-05-01', 'SO', 'Somalia', 'EMRO', '0', '601', '0', '28');
INSERT INTO public.who_import VALUES (82706, '2020-05-02', 'SO', 'Somalia', 'EMRO', '70', '671', '3', '31');
INSERT INTO public.who_import VALUES (82707, '2020-05-03', 'SO', 'Somalia', 'EMRO', '51', '722', '1', '32');
INSERT INTO public.who_import VALUES (82708, '2020-05-04', 'SO', 'Somalia', 'EMRO', '34', '756', '3', '35');
INSERT INTO public.who_import VALUES (82709, '2020-05-05', 'SO', 'Somalia', 'EMRO', '79', '835', '3', '38');
INSERT INTO public.who_import VALUES (82710, '2020-05-06', 'SO', 'Somalia', 'EMRO', '38', '873', '1', '39');
INSERT INTO public.who_import VALUES (82711, '2020-05-07', 'SO', 'Somalia', 'EMRO', '55', '928', '5', '44');
INSERT INTO public.who_import VALUES (82712, '2020-05-08', 'SO', 'Somalia', 'EMRO', '0', '928', '0', '44');
INSERT INTO public.who_import VALUES (82713, '2020-05-09', 'SO', 'Somalia', 'EMRO', '69', '997', '4', '48');
INSERT INTO public.who_import VALUES (82714, '2020-05-10', 'SO', 'Somalia', 'EMRO', '57', '1054', '3', '51');
INSERT INTO public.who_import VALUES (82715, '2020-05-11', 'SO', 'Somalia', 'EMRO', '35', '1089', '1', '52');
INSERT INTO public.who_import VALUES (82716, '2020-05-12', 'SO', 'Somalia', 'EMRO', '81', '1170', '0', '52');
INSERT INTO public.who_import VALUES (82717, '2020-05-13', 'SO', 'Somalia', 'EMRO', '49', '1219', '0', '52');
INSERT INTO public.who_import VALUES (82718, '2020-05-14', 'SO', 'Somalia', 'EMRO', '65', '1284', '1', '53');
INSERT INTO public.who_import VALUES (82719, '2020-05-15', 'SO', 'Somalia', 'EMRO', '0', '1284', '0', '53');
INSERT INTO public.who_import VALUES (82720, '2020-05-16', 'SO', 'Somalia', 'EMRO', '73', '1357', '2', '55');
INSERT INTO public.who_import VALUES (82721, '2020-05-17', 'SO', 'Somalia', 'EMRO', '64', '1421', '1', '56');
INSERT INTO public.who_import VALUES (82722, '2020-05-18', 'SO', 'Somalia', 'EMRO', '34', '1455', '1', '57');
INSERT INTO public.who_import VALUES (82723, '2020-05-19', 'SO', 'Somalia', 'EMRO', '47', '1502', '2', '59');
INSERT INTO public.who_import VALUES (82724, '2020-05-20', 'SO', 'Somalia', 'EMRO', '71', '1573', '2', '61');
INSERT INTO public.who_import VALUES (82725, '2020-05-21', 'SO', 'Somalia', 'EMRO', '21', '1594', '0', '61');
INSERT INTO public.who_import VALUES (82726, '2020-05-22', 'SO', 'Somalia', 'EMRO', '0', '1594', '0', '61');
INSERT INTO public.who_import VALUES (82727, '2020-05-23', 'SO', 'Somalia', 'EMRO', '0', '1594', '0', '61');
INSERT INTO public.who_import VALUES (82728, '2020-05-24', 'SO', 'Somalia', 'EMRO', '0', '1594', '0', '61');
INSERT INTO public.who_import VALUES (82729, '2020-05-25', 'SO', 'Somalia', 'EMRO', '0', '1594', '0', '61');
INSERT INTO public.who_import VALUES (82730, '2020-05-26', 'SO', 'Somalia', 'EMRO', '95', '1689', '5', '66');
INSERT INTO public.who_import VALUES (82731, '2020-05-27', 'SO', 'Somalia', 'EMRO', '22', '1711', '1', '67');
INSERT INTO public.who_import VALUES (82732, '2020-05-28', 'SO', 'Somalia', 'EMRO', '20', '1731', '0', '67');
INSERT INTO public.who_import VALUES (82733, '2020-05-29', 'SO', 'Somalia', 'EMRO', '97', '1828', '5', '72');
INSERT INTO public.who_import VALUES (82734, '2020-05-30', 'SO', 'Somalia', 'EMRO', '0', '1828', '0', '72');
INSERT INTO public.who_import VALUES (82735, '2020-05-31', 'SO', 'Somalia', 'EMRO', '88', '1916', '1', '73');
INSERT INTO public.who_import VALUES (82736, '2020-06-01', 'SO', 'Somalia', 'EMRO', '60', '1976', '5', '78');
INSERT INTO public.who_import VALUES (82737, '2020-06-02', 'SO', 'Somalia', 'EMRO', '47', '2023', '1', '79');
INSERT INTO public.who_import VALUES (82738, '2020-06-03', 'SO', 'Somalia', 'EMRO', '66', '2089', '0', '79');
INSERT INTO public.who_import VALUES (82739, '2020-06-04', 'SO', 'Somalia', 'EMRO', '57', '2146', '0', '79');
INSERT INTO public.who_import VALUES (82740, '2020-06-05', 'SO', 'Somalia', 'EMRO', '58', '2204', '0', '79');
INSERT INTO public.who_import VALUES (82741, '2020-06-06', 'SO', 'Somalia', 'EMRO', '0', '2204', '0', '79');
INSERT INTO public.who_import VALUES (82742, '2020-06-07', 'SO', 'Somalia', 'EMRO', '85', '2289', '3', '82');
INSERT INTO public.who_import VALUES (82743, '2020-06-08', 'SO', 'Somalia', 'EMRO', '45', '2334', '1', '83');
INSERT INTO public.who_import VALUES (82744, '2020-06-09', 'SO', 'Somalia', 'EMRO', '34', '2368', '1', '84');
INSERT INTO public.who_import VALUES (82745, '2020-06-10', 'SO', 'Somalia', 'EMRO', '48', '2416', '1', '85');
INSERT INTO public.who_import VALUES (82746, '2020-06-11', 'SO', 'Somalia', 'EMRO', '36', '2452', '0', '85');
INSERT INTO public.who_import VALUES (82747, '2020-06-12', 'SO', 'Somalia', 'EMRO', '61', '2513', '0', '85');
INSERT INTO public.who_import VALUES (82748, '2020-06-13', 'SO', 'Somalia', 'EMRO', '0', '2513', '0', '85');
INSERT INTO public.who_import VALUES (82749, '2020-06-14', 'SO', 'Somalia', 'EMRO', '66', '2579', '2', '87');
INSERT INTO public.who_import VALUES (82750, '2020-06-15', 'SO', 'Somalia', 'EMRO', '24', '2603', '1', '88');
INSERT INTO public.who_import VALUES (82751, '2020-06-16', 'SO', 'Somalia', 'EMRO', '39', '2642', '0', '88');
INSERT INTO public.who_import VALUES (82752, '2020-06-17', 'SO', 'Somalia', 'EMRO', '16', '2658', '0', '88');
INSERT INTO public.who_import VALUES (82753, '2020-06-18', 'SO', 'Somalia', 'EMRO', '38', '2696', '0', '88');
INSERT INTO public.who_import VALUES (82754, '2020-06-19', 'SO', 'Somalia', 'EMRO', '23', '2719', '0', '88');
INSERT INTO public.who_import VALUES (82755, '2020-06-20', 'SO', 'Somalia', 'EMRO', '0', '2719', '0', '88');
INSERT INTO public.who_import VALUES (82756, '2020-06-21', 'SO', 'Somalia', 'EMRO', '36', '2755', '0', '88');
INSERT INTO public.who_import VALUES (82757, '2020-06-22', 'SO', 'Somalia', 'EMRO', '24', '2779', '2', '90');
INSERT INTO public.who_import VALUES (82758, '2020-06-23', 'SO', 'Somalia', 'EMRO', '33', '2812', '0', '90');
INSERT INTO public.who_import VALUES (82759, '2020-06-24', 'SO', 'Somalia', 'EMRO', '23', '2835', '0', '90');
INSERT INTO public.who_import VALUES (82760, '2020-06-25', 'SO', 'Somalia', 'EMRO', '25', '2860', '0', '90');
INSERT INTO public.who_import VALUES (82761, '2020-06-26', 'SO', 'Somalia', 'EMRO', '18', '2878', '0', '90');
INSERT INTO public.who_import VALUES (82762, '2020-06-27', 'SO', 'Somalia', 'EMRO', '0', '2878', '0', '90');
INSERT INTO public.who_import VALUES (82763, '2020-06-28', 'SO', 'Somalia', 'EMRO', '0', '2878', '0', '90');
INSERT INTO public.who_import VALUES (82764, '2020-06-29', 'SO', 'Somalia', 'EMRO', '16', '2894', '0', '90');
INSERT INTO public.who_import VALUES (82765, '2020-06-30', 'SO', 'Somalia', 'EMRO', '10', '2904', '0', '90');
INSERT INTO public.who_import VALUES (82766, '2020-07-01', 'SO', 'Somalia', 'EMRO', '20', '2924', '0', '90');
INSERT INTO public.who_import VALUES (82767, '2020-07-02', 'SO', 'Somalia', 'EMRO', '0', '2924', '0', '90');
INSERT INTO public.who_import VALUES (82768, '2020-07-03', 'SO', 'Somalia', 'EMRO', '20', '2944', '0', '90');
INSERT INTO public.who_import VALUES (82769, '2020-07-04', 'SO', 'Somalia', 'EMRO', '0', '2944', '0', '90');
INSERT INTO public.who_import VALUES (82770, '2020-07-05', 'SO', 'Somalia', 'EMRO', '17', '2961', '2', '92');
INSERT INTO public.who_import VALUES (82771, '2020-07-06', 'SO', 'Somalia', 'EMRO', '36', '2997', '0', '92');
INSERT INTO public.who_import VALUES (82772, '2020-07-07', 'SO', 'Somalia', 'EMRO', '9', '3006', '0', '92');
INSERT INTO public.who_import VALUES (82773, '2020-07-08', 'SO', 'Somalia', 'EMRO', '9', '3015', '0', '92');
INSERT INTO public.who_import VALUES (82774, '2020-07-09', 'SO', 'Somalia', 'EMRO', '13', '3028', '0', '92');
INSERT INTO public.who_import VALUES (82775, '2020-07-10', 'SO', 'Somalia', 'EMRO', '10', '3038', '0', '92');
INSERT INTO public.who_import VALUES (82776, '2020-07-11', 'SO', 'Somalia', 'EMRO', '0', '3038', '0', '92');
INSERT INTO public.who_import VALUES (82777, '2020-07-12', 'SO', 'Somalia', 'EMRO', '13', '3051', '0', '92');
INSERT INTO public.who_import VALUES (82778, '2020-07-13', 'SO', 'Somalia', 'EMRO', '8', '3059', '1', '93');
INSERT INTO public.who_import VALUES (82779, '2020-07-14', 'SO', 'Somalia', 'EMRO', '13', '3072', '0', '93');
INSERT INTO public.who_import VALUES (82780, '2020-07-15', 'SO', 'Somalia', 'EMRO', '4', '3076', '0', '93');
INSERT INTO public.who_import VALUES (82781, '2020-07-16', 'SO', 'Somalia', 'EMRO', '7', '3083', '0', '93');
INSERT INTO public.who_import VALUES (82782, '2020-07-17', 'SO', 'Somalia', 'EMRO', '23', '3106', '0', '93');
INSERT INTO public.who_import VALUES (82783, '2020-07-18', 'SO', 'Somalia', 'EMRO', '0', '3106', '0', '93');
INSERT INTO public.who_import VALUES (82784, '2020-07-19', 'SO', 'Somalia', 'EMRO', '5', '3111', '0', '93');
INSERT INTO public.who_import VALUES (82785, '2020-07-20', 'SO', 'Somalia', 'EMRO', '8', '3119', '0', '93');
INSERT INTO public.who_import VALUES (82786, '2020-07-21', 'SO', 'Somalia', 'EMRO', '11', '3130', '0', '93');
INSERT INTO public.who_import VALUES (82787, '2020-07-22', 'SO', 'Somalia', 'EMRO', '5', '3135', '0', '93');
INSERT INTO public.who_import VALUES (82788, '2020-07-23', 'SO', 'Somalia', 'EMRO', '26', '3161', '0', '93');
INSERT INTO public.who_import VALUES (82789, '2020-07-24', 'SO', 'Somalia', 'EMRO', '10', '3171', '0', '93');
INSERT INTO public.who_import VALUES (82790, '2020-07-25', 'SO', 'Somalia', 'EMRO', '0', '3171', '0', '93');
INSERT INTO public.who_import VALUES (82791, '2020-07-26', 'SO', 'Somalia', 'EMRO', '7', '3178', '0', '93');
INSERT INTO public.who_import VALUES (82792, '2020-07-27', 'SO', 'Somalia', 'EMRO', '0', '3178', '0', '93');
INSERT INTO public.who_import VALUES (82793, '2020-07-28', 'SO', 'Somalia', 'EMRO', '18', '3196', '0', '93');
INSERT INTO public.who_import VALUES (82794, '2020-07-29', 'SO', 'Somalia', 'EMRO', '16', '3212', '0', '93');
INSERT INTO public.who_import VALUES (82795, '2020-07-30', 'SO', 'Somalia', 'EMRO', '0', '3212', '0', '93');
INSERT INTO public.who_import VALUES (82796, '2020-07-31', 'SO', 'Somalia', 'EMRO', '0', '3212', '0', '93');
INSERT INTO public.who_import VALUES (82797, '2020-08-01', 'SO', 'Somalia', 'EMRO', '0', '3212', '0', '93');
INSERT INTO public.who_import VALUES (82798, '2020-08-02', 'SO', 'Somalia', 'EMRO', '0', '3212', '0', '93');
INSERT INTO public.who_import VALUES (82799, '2020-08-03', 'SO', 'Somalia', 'EMRO', '8', '3220', '0', '93');
INSERT INTO public.who_import VALUES (82800, '2020-08-04', 'SO', 'Somalia', 'EMRO', '0', '3220', '0', '93');
INSERT INTO public.who_import VALUES (82801, '2020-08-05', 'SO', 'Somalia', 'EMRO', '0', '3220', '0', '93');
INSERT INTO public.who_import VALUES (82802, '2020-08-06', 'SO', 'Somalia', 'EMRO', '7', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82803, '2020-08-07', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82804, '2020-08-08', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82805, '2020-08-09', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82806, '2020-08-10', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82807, '2020-08-11', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82808, '2020-08-12', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82809, '2020-08-13', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82810, '2020-08-14', 'SO', 'Somalia', 'EMRO', '0', '3227', '0', '93');
INSERT INTO public.who_import VALUES (82811, '2020-08-15', 'SO', 'Somalia', 'EMRO', '23', '3250', '0', '93');
INSERT INTO public.who_import VALUES (82812, '2020-08-16', 'SO', 'Somalia', 'EMRO', '6', '3256', '0', '93');
INSERT INTO public.who_import VALUES (82813, '2020-08-17', 'SO', 'Somalia', 'EMRO', '0', '3256', '0', '93');
INSERT INTO public.who_import VALUES (82814, '2020-08-18', 'SO', 'Somalia', 'EMRO', '1', '3257', '0', '93');
INSERT INTO public.who_import VALUES (82815, '2020-08-19', 'SO', 'Somalia', 'EMRO', '0', '3257', '0', '93');
INSERT INTO public.who_import VALUES (82816, '2020-08-20', 'SO', 'Somalia', 'EMRO', '8', '3265', '0', '93');
INSERT INTO public.who_import VALUES (82817, '2020-08-21', 'SO', 'Somalia', 'EMRO', '0', '3265', '0', '93');
INSERT INTO public.who_import VALUES (82818, '2020-08-22', 'SO', 'Somalia', 'EMRO', '0', '3265', '0', '93');
INSERT INTO public.who_import VALUES (82819, '2020-08-23', 'SO', 'Somalia', 'EMRO', '4', '3269', '0', '93');
INSERT INTO public.who_import VALUES (82820, '2020-08-24', 'SO', 'Somalia', 'EMRO', '0', '3269', '0', '93');
INSERT INTO public.who_import VALUES (82821, '2020-08-25', 'SO', 'Somalia', 'EMRO', '0', '3269', '0', '93');
INSERT INTO public.who_import VALUES (82822, '2020-08-26', 'SO', 'Somalia', 'EMRO', '0', '3269', '0', '93');
INSERT INTO public.who_import VALUES (82823, '2020-08-27', 'SO', 'Somalia', 'EMRO', '0', '3269', '0', '93');
INSERT INTO public.who_import VALUES (82824, '2020-08-28', 'SO', 'Somalia', 'EMRO', '0', '3269', '0', '93');
INSERT INTO public.who_import VALUES (82825, '2020-08-29', 'SO', 'Somalia', 'EMRO', '6', '3275', '2', '95');
INSERT INTO public.who_import VALUES (82826, '2020-08-30', 'SO', 'Somalia', 'EMRO', '35', '3310', '2', '97');
INSERT INTO public.who_import VALUES (82827, '2020-08-31', 'SO', 'Somalia', 'EMRO', '0', '3310', '0', '97');
INSERT INTO public.who_import VALUES (82828, '2020-09-01', 'SO', 'Somalia', 'EMRO', '0', '3310', '0', '97');
INSERT INTO public.who_import VALUES (82829, '2020-09-02', 'SO', 'Somalia', 'EMRO', '0', '3310', '0', '97');
INSERT INTO public.who_import VALUES (82830, '2020-09-03', 'SO', 'Somalia', 'EMRO', '0', '3310', '0', '97');
INSERT INTO public.who_import VALUES (82831, '2020-09-04', 'SO', 'Somalia', 'EMRO', '0', '3310', '0', '97');
INSERT INTO public.who_import VALUES (82832, '2020-09-05', 'SO', 'Somalia', 'EMRO', '22', '3332', '0', '97');
INSERT INTO public.who_import VALUES (82833, '2020-09-06', 'SO', 'Somalia', 'EMRO', '30', '3362', '0', '97');
INSERT INTO public.who_import VALUES (82834, '2020-09-07', 'SO', 'Somalia', 'EMRO', '0', '3362', '0', '97');
INSERT INTO public.who_import VALUES (82835, '2020-09-08', 'SO', 'Somalia', 'EMRO', '0', '3362', '0', '97');
INSERT INTO public.who_import VALUES (82836, '2020-09-09', 'SO', 'Somalia', 'EMRO', '0', '3362', '0', '97');
INSERT INTO public.who_import VALUES (82837, '2020-09-10', 'SO', 'Somalia', 'EMRO', '9', '3371', '0', '97');
INSERT INTO public.who_import VALUES (82838, '2020-09-11', 'SO', 'Somalia', 'EMRO', '5', '3376', '1', '98');
INSERT INTO public.who_import VALUES (82839, '2020-09-12', 'SO', 'Somalia', 'EMRO', '0', '3376', '0', '98');
INSERT INTO public.who_import VALUES (82840, '2020-09-13', 'SO', 'Somalia', 'EMRO', '0', '3376', '0', '98');
INSERT INTO public.who_import VALUES (82841, '2020-09-14', 'SO', 'Somalia', 'EMRO', '13', '3389', '0', '98');
INSERT INTO public.who_import VALUES (82842, '2020-09-15', 'SO', 'Somalia', 'EMRO', '0', '3389', '0', '98');
INSERT INTO public.who_import VALUES (82843, '2020-09-16', 'SO', 'Somalia', 'EMRO', '1', '3390', '0', '98');
INSERT INTO public.who_import VALUES (82844, '2020-09-17', 'SO', 'Somalia', 'EMRO', '0', '3390', '0', '98');
INSERT INTO public.who_import VALUES (82845, '2020-09-18', 'SO', 'Somalia', 'EMRO', '0', '3390', '0', '98');
INSERT INTO public.who_import VALUES (82846, '2020-09-19', 'SO', 'Somalia', 'EMRO', '0', '3390', '0', '98');
INSERT INTO public.who_import VALUES (82847, '2020-09-20', 'SO', 'Somalia', 'EMRO', '11', '3401', '0', '98');
INSERT INTO public.who_import VALUES (82848, '2020-09-21', 'SO', 'Somalia', 'EMRO', '41', '3442', '0', '98');
INSERT INTO public.who_import VALUES (82849, '2020-09-22', 'SO', 'Somalia', 'EMRO', '23', '3465', '0', '98');
INSERT INTO public.who_import VALUES (82850, '2020-09-23', 'SO', 'Somalia', 'EMRO', '0', '3465', '0', '98');
INSERT INTO public.who_import VALUES (82851, '2020-09-24', 'SO', 'Somalia', 'EMRO', '0', '3465', '0', '98');
INSERT INTO public.who_import VALUES (82852, '2020-09-25', 'SO', 'Somalia', 'EMRO', '0', '3465', '0', '98');
INSERT INTO public.who_import VALUES (82853, '2020-09-26', 'SO', 'Somalia', 'EMRO', '0', '3465', '0', '98');
INSERT INTO public.who_import VALUES (82854, '2020-09-27', 'SO', 'Somalia', 'EMRO', '123', '3588', '1', '99');
INSERT INTO public.who_import VALUES (82855, '2020-09-28', 'SO', 'Somalia', 'EMRO', '0', '3588', '0', '99');
INSERT INTO public.who_import VALUES (82856, '2020-09-29', 'SO', 'Somalia', 'EMRO', '0', '3588', '0', '99');
INSERT INTO public.who_import VALUES (82857, '2020-09-30', 'SO', 'Somalia', 'EMRO', '0', '3588', '0', '99');
INSERT INTO public.who_import VALUES (82858, '2020-10-01', 'SO', 'Somalia', 'EMRO', '0', '3588', '0', '99');
INSERT INTO public.who_import VALUES (82859, '2020-10-02', 'SO', 'Somalia', 'EMRO', '5', '3593', '0', '99');
INSERT INTO public.who_import VALUES (82860, '2020-10-03', 'SO', 'Somalia', 'EMRO', '0', '3593', '0', '99');
INSERT INTO public.who_import VALUES (82861, '2020-10-04', 'SO', 'Somalia', 'EMRO', '0', '3593', '0', '99');
INSERT INTO public.who_import VALUES (82862, '2020-10-05', 'SO', 'Somalia', 'EMRO', '152', '3745', '0', '99');
INSERT INTO public.who_import VALUES (82863, '2020-10-06', 'SO', 'Somalia', 'EMRO', '0', '3745', '0', '99');
INSERT INTO public.who_import VALUES (82864, '2020-10-07', 'SO', 'Somalia', 'EMRO', '0', '3745', '0', '99');
INSERT INTO public.who_import VALUES (82865, '2020-10-08', 'SO', 'Somalia', 'EMRO', '0', '3745', '0', '99');
INSERT INTO public.who_import VALUES (82866, '2020-10-09', 'SO', 'Somalia', 'EMRO', '0', '3745', '0', '99');
INSERT INTO public.who_import VALUES (82867, '2020-10-10', 'SO', 'Somalia', 'EMRO', '0', '3745', '0', '99');
INSERT INTO public.who_import VALUES (82868, '2020-10-11', 'SO', 'Somalia', 'EMRO', '102', '3847', '0', '99');
INSERT INTO public.who_import VALUES (82869, '2020-10-12', 'SO', 'Somalia', 'EMRO', '17', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82870, '2020-10-13', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82871, '2020-10-14', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82872, '2020-10-15', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82873, '2020-10-16', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82874, '2020-10-17', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82875, '2020-10-18', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82876, '2020-10-19', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82877, '2020-10-20', 'SO', 'Somalia', 'EMRO', '0', '3864', '0', '99');
INSERT INTO public.who_import VALUES (82878, '2020-10-21', 'SO', 'Somalia', 'EMRO', '26', '3890', '2', '101');
INSERT INTO public.who_import VALUES (82879, '2020-10-22', 'SO', 'Somalia', 'EMRO', '0', '3890', '0', '101');
INSERT INTO public.who_import VALUES (82880, '2020-10-23', 'SO', 'Somalia', 'EMRO', '7', '3897', '1', '102');
INSERT INTO public.who_import VALUES (82881, '2020-10-24', 'SO', 'Somalia', 'EMRO', '0', '3897', '0', '102');
INSERT INTO public.who_import VALUES (82882, '2020-10-25', 'SO', 'Somalia', 'EMRO', '0', '3897', '0', '102');
INSERT INTO public.who_import VALUES (82883, '2020-10-26', 'SO', 'Somalia', 'EMRO', '44', '3941', '2', '104');
INSERT INTO public.who_import VALUES (82884, '2020-10-27', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82885, '2020-10-28', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82886, '2020-10-29', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82887, '2020-10-30', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82888, '2020-10-31', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82889, '2020-11-01', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82890, '2020-11-02', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82891, '2020-11-03', 'SO', 'Somalia', 'EMRO', '0', '3941', '0', '104');
INSERT INTO public.who_import VALUES (82892, '2020-11-04', 'SO', 'Somalia', 'EMRO', '288', '4229', '3', '107');
INSERT INTO public.who_import VALUES (82893, '2020-11-05', 'SO', 'Somalia', 'EMRO', '0', '4229', '0', '107');
INSERT INTO public.who_import VALUES (82894, '2020-11-06', 'SO', 'Somalia', 'EMRO', '0', '4229', '0', '107');
INSERT INTO public.who_import VALUES (82895, '2020-11-07', 'SO', 'Somalia', 'EMRO', '0', '4229', '0', '107');
INSERT INTO public.who_import VALUES (82896, '2020-11-08', 'SO', 'Somalia', 'EMRO', '0', '4229', '0', '107');
INSERT INTO public.who_import VALUES (82897, '2020-11-09', 'SO', 'Somalia', 'EMRO', '0', '4229', '0', '107');
INSERT INTO public.who_import VALUES (82898, '2020-11-10', 'SO', 'Somalia', 'EMRO', '72', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82899, '2020-11-11', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82900, '2020-11-12', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82901, '2020-11-13', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82902, '2020-11-14', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82903, '2020-11-15', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82904, '2020-11-16', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82905, '2020-11-17', 'SO', 'Somalia', 'EMRO', '0', '4301', '0', '107');
INSERT INTO public.who_import VALUES (82906, '2020-11-18', 'SO', 'Somalia', 'EMRO', '81', '4382', '1', '108');
INSERT INTO public.who_import VALUES (82907, '2020-11-19', 'SO', 'Somalia', 'EMRO', '0', '4382', '0', '108');
INSERT INTO public.who_import VALUES (82908, '2020-11-20', 'SO', 'Somalia', 'EMRO', '0', '4382', '0', '108');
INSERT INTO public.who_import VALUES (82909, '2020-11-21', 'SO', 'Somalia', 'EMRO', '0', '4382', '0', '108');
INSERT INTO public.who_import VALUES (82910, '2020-11-22', 'SO', 'Somalia', 'EMRO', '0', '4382', '0', '108');
INSERT INTO public.who_import VALUES (82911, '2020-11-23', 'SO', 'Somalia', 'EMRO', '63', '4445', '5', '113');
INSERT INTO public.who_import VALUES (82912, '2020-11-24', 'SO', 'Somalia', 'EMRO', '0', '4445', '0', '113');
INSERT INTO public.who_import VALUES (82913, '2020-11-25', 'SO', 'Somalia', 'EMRO', '0', '4445', '0', '113');
INSERT INTO public.who_import VALUES (82914, '2020-11-26', 'SO', 'Somalia', 'EMRO', '0', '4445', '0', '113');
INSERT INTO public.who_import VALUES (82915, '2020-11-27', 'SO', 'Somalia', 'EMRO', '6', '4451', '0', '113');
INSERT INTO public.who_import VALUES (82916, '2020-11-28', 'SO', 'Somalia', 'EMRO', '0', '4451', '0', '113');
INSERT INTO public.who_import VALUES (82917, '2020-11-29', 'SO', 'Somalia', 'EMRO', '0', '4451', '0', '113');
INSERT INTO public.who_import VALUES (82918, '2020-11-30', 'SO', 'Somalia', 'EMRO', '0', '4451', '0', '113');
INSERT INTO public.who_import VALUES (82919, '2020-12-01', 'SO', 'Somalia', 'EMRO', '0', '4451', '0', '113');
INSERT INTO public.who_import VALUES (82920, '2020-12-02', 'SO', 'Somalia', 'EMRO', '0', '4451', '0', '113');
INSERT INTO public.who_import VALUES (82921, '2020-12-03', 'SO', 'Somalia', 'EMRO', '74', '4525', '8', '121');
INSERT INTO public.who_import VALUES (82922, '2020-12-04', 'SO', 'Somalia', 'EMRO', '0', '4525', '0', '121');
INSERT INTO public.who_import VALUES (82923, '2020-12-05', 'SO', 'Somalia', 'EMRO', '0', '4525', '0', '121');
INSERT INTO public.who_import VALUES (82924, '2020-12-06', 'SO', 'Somalia', 'EMRO', '0', '4525', '0', '121');
INSERT INTO public.who_import VALUES (82925, '2020-12-07', 'SO', 'Somalia', 'EMRO', '0', '4525', '0', '121');
INSERT INTO public.who_import VALUES (82926, '2020-12-08', 'SO', 'Somalia', 'EMRO', '54', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82927, '2020-12-09', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82928, '2020-12-10', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82929, '2020-12-11', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82930, '2020-12-12', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82931, '2020-12-13', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82932, '2020-12-14', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82933, '2020-12-15', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82934, '2020-12-16', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82935, '2020-12-17', 'SO', 'Somalia', 'EMRO', '0', '4579', '0', '121');
INSERT INTO public.who_import VALUES (82936, '2020-12-18', 'SO', 'Somalia', 'EMRO', '83', '4662', '3', '124');
INSERT INTO public.who_import VALUES (82937, '2020-12-19', 'SO', 'Somalia', 'EMRO', '0', '4662', '0', '124');
INSERT INTO public.who_import VALUES (82938, '2020-12-20', 'SO', 'Somalia', 'EMRO', '0', '4662', '0', '124');
INSERT INTO public.who_import VALUES (82939, '2020-12-21', 'SO', 'Somalia', 'EMRO', '0', '4662', '0', '124');
INSERT INTO public.who_import VALUES (82940, '2020-12-22', 'SO', 'Somalia', 'EMRO', '0', '4662', '0', '124');
INSERT INTO public.who_import VALUES (82941, '2020-12-23', 'SO', 'Somalia', 'EMRO', '28', '4690', '3', '127');
INSERT INTO public.who_import VALUES (82942, '2020-12-24', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82943, '2020-12-25', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82944, '2020-12-26', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82945, '2020-12-27', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82946, '2020-12-28', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82947, '2020-12-29', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82948, '2020-12-30', 'SO', 'Somalia', 'EMRO', '0', '4690', '0', '127');
INSERT INTO public.who_import VALUES (82949, '2020-12-31', 'SO', 'Somalia', 'EMRO', '24', '4714', '3', '130');
INSERT INTO public.who_import VALUES (82950, '2021-01-01', 'SO', 'Somalia', 'EMRO', '0', '4714', '0', '130');
INSERT INTO public.who_import VALUES (82951, '2021-01-02', 'SO', 'Somalia', 'EMRO', '0', '4714', '0', '130');
INSERT INTO public.who_import VALUES (82952, '2021-01-03', 'SO', 'Somalia', 'EMRO', '0', '4714', '0', '130');
INSERT INTO public.who_import VALUES (82953, '2021-01-04', 'SO', 'Somalia', 'EMRO', '0', '4714', '0', '130');
INSERT INTO public.who_import VALUES (82954, '2021-01-05', 'SO', 'Somalia', 'EMRO', '0', '4714', '0', '130');
INSERT INTO public.who_import VALUES (82955, '2021-01-06', 'SO', 'Somalia', 'EMRO', '0', '4714', '0', '130');
INSERT INTO public.who_import VALUES (82956, '2021-01-07', 'SO', 'Somalia', 'EMRO', '12', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82957, '2021-01-08', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82958, '2021-01-09', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82959, '2021-01-10', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82960, '2021-01-11', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82961, '2021-01-12', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82962, '2021-01-13', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82963, '2021-01-14', 'SO', 'Somalia', 'EMRO', '0', '4726', '0', '130');
INSERT INTO public.who_import VALUES (82964, '2021-01-15', 'SO', 'Somalia', 'EMRO', '18', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82965, '2021-01-16', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82966, '2021-01-17', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82967, '2021-01-18', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82968, '2021-01-19', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82969, '2021-01-20', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82970, '2021-01-21', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82971, '2021-01-22', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82972, '2021-01-23', 'SO', 'Somalia', 'EMRO', '0', '4744', '0', '130');
INSERT INTO public.who_import VALUES (82973, '2021-01-24', 'SO', 'Somalia', 'EMRO', '10', '4754', '0', '130');
INSERT INTO public.who_import VALUES (82974, '2021-01-25', 'SO', 'Somalia', 'EMRO', '0', '4754', '0', '130');
INSERT INTO public.who_import VALUES (82975, '2021-01-26', 'SO', 'Somalia', 'EMRO', '0', '4754', '0', '130');
INSERT INTO public.who_import VALUES (82976, '2021-01-27', 'SO', 'Somalia', 'EMRO', '30', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82977, '2021-01-28', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82978, '2021-01-29', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82979, '2021-01-30', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82980, '2021-01-31', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82981, '2021-02-01', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82982, '2021-02-02', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82983, '2021-02-03', 'SO', 'Somalia', 'EMRO', '0', '4784', '0', '130');
INSERT INTO public.who_import VALUES (82984, '2021-02-04', 'SO', 'Somalia', 'EMRO', '30', '4814', '2', '132');
INSERT INTO public.who_import VALUES (82985, '2021-02-05', 'SO', 'Somalia', 'EMRO', '0', '4814', '0', '132');
INSERT INTO public.who_import VALUES (82986, '2021-02-06', 'SO', 'Somalia', 'EMRO', '0', '4814', '0', '132');
INSERT INTO public.who_import VALUES (82987, '2021-02-07', 'SO', 'Somalia', 'EMRO', '40', '4854', '2', '134');
INSERT INTO public.who_import VALUES (82988, '2021-02-08', 'SO', 'Somalia', 'EMRO', '8', '4862', '0', '134');
INSERT INTO public.who_import VALUES (82989, '2021-02-09', 'SO', 'Somalia', 'EMRO', '0', '4862', '0', '134');
INSERT INTO public.who_import VALUES (82990, '2021-02-10', 'SO', 'Somalia', 'EMRO', '0', '4862', '0', '134');
INSERT INTO public.who_import VALUES (82991, '2021-02-11', 'SO', 'Somalia', 'EMRO', '73', '4935', '5', '139');
INSERT INTO public.who_import VALUES (82992, '2021-02-12', 'SO', 'Somalia', 'EMRO', '78', '5013', '5', '144');
INSERT INTO public.who_import VALUES (82993, '2021-02-13', 'SO', 'Somalia', 'EMRO', '62', '5075', '2', '146');
INSERT INTO public.who_import VALUES (82994, '2021-02-14', 'SO', 'Somalia', 'EMRO', '17', '5092', '2', '148');
INSERT INTO public.who_import VALUES (82995, '2021-02-15', 'SO', 'Somalia', 'EMRO', '91', '5183', '4', '152');
INSERT INTO public.who_import VALUES (82996, '2021-02-16', 'SO', 'Somalia', 'EMRO', '90', '5273', '2', '154');
INSERT INTO public.who_import VALUES (82997, '2021-02-17', 'SO', 'Somalia', 'EMRO', '100', '5373', '9', '163');
INSERT INTO public.who_import VALUES (82998, '2021-02-18', 'SO', 'Somalia', 'EMRO', '127', '5500', '9', '172');
INSERT INTO public.who_import VALUES (82999, '2021-02-19', 'SO', 'Somalia', 'EMRO', '132', '5632', '7', '179');
INSERT INTO public.who_import VALUES (83000, '2021-02-20', 'SO', 'Somalia', 'EMRO', '0', '5632', '0', '179');
INSERT INTO public.who_import VALUES (83001, '2020-01-03', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83002, '2020-01-04', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83003, '2020-01-05', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83004, '2020-01-06', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83005, '2020-01-07', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83006, '2020-01-08', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83007, '2020-01-09', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83008, '2020-01-10', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83009, '2020-01-11', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83010, '2020-01-12', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83011, '2020-01-13', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83012, '2020-01-14', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83013, '2020-01-15', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83014, '2020-01-16', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83015, '2020-01-17', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83016, '2020-01-18', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83017, '2020-01-19', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83018, '2020-01-20', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83019, '2020-01-21', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83020, '2020-01-22', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83021, '2020-01-23', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83022, '2020-01-24', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83023, '2020-01-25', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83024, '2020-01-26', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83025, '2020-01-27', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83026, '2020-01-28', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83027, '2020-01-29', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83028, '2020-01-30', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83029, '2020-01-31', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83030, '2020-02-01', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83031, '2020-02-02', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83032, '2020-02-03', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83033, '2020-02-04', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83034, '2020-02-05', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83035, '2020-02-06', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83036, '2020-02-07', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83037, '2020-02-08', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83038, '2020-02-09', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83039, '2020-02-10', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83040, '2020-02-11', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83041, '2020-02-12', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83042, '2020-02-13', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83043, '2020-02-14', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83044, '2020-02-15', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83045, '2020-02-16', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83046, '2020-02-17', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83047, '2020-02-18', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83048, '2020-02-19', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83049, '2020-02-20', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83050, '2020-02-21', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83051, '2020-02-22', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83052, '2020-02-23', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83053, '2020-02-24', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83054, '2020-02-25', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83055, '2020-02-26', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83056, '2020-02-27', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83057, '2020-02-28', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83058, '2020-02-29', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83059, '2020-03-01', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83060, '2020-03-02', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83061, '2020-03-03', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83062, '2020-03-04', 'ZA', 'South Africa', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83063, '2020-03-05', 'ZA', 'South Africa', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (83064, '2020-03-06', 'ZA', 'South Africa', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (83065, '2020-03-07', 'ZA', 'South Africa', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (83066, '2020-03-08', 'ZA', 'South Africa', 'AFRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (83067, '2020-03-09', 'ZA', 'South Africa', 'AFRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (83068, '2020-03-10', 'ZA', 'South Africa', 'AFRO', '4', '11', '0', '0');
INSERT INTO public.who_import VALUES (83069, '2020-03-11', 'ZA', 'South Africa', 'AFRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (83070, '2020-03-12', 'ZA', 'South Africa', 'AFRO', '10', '21', '0', '0');
INSERT INTO public.who_import VALUES (83071, '2020-03-13', 'ZA', 'South Africa', 'AFRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (83072, '2020-03-14', 'ZA', 'South Africa', 'AFRO', '21', '42', '0', '0');
INSERT INTO public.who_import VALUES (83073, '2020-03-15', 'ZA', 'South Africa', 'AFRO', '0', '42', '0', '0');
INSERT INTO public.who_import VALUES (83074, '2020-03-16', 'ZA', 'South Africa', 'AFRO', '13', '55', '0', '0');
INSERT INTO public.who_import VALUES (83075, '2020-03-17', 'ZA', 'South Africa', 'AFRO', '11', '66', '0', '0');
INSERT INTO public.who_import VALUES (83076, '2020-03-18', 'ZA', 'South Africa', 'AFRO', '54', '120', '0', '0');
INSERT INTO public.who_import VALUES (83077, '2020-03-19', 'ZA', 'South Africa', 'AFRO', '34', '154', '0', '0');
INSERT INTO public.who_import VALUES (83078, '2020-03-20', 'ZA', 'South Africa', 'AFRO', '51', '205', '0', '0');
INSERT INTO public.who_import VALUES (83079, '2020-03-21', 'ZA', 'South Africa', 'AFRO', '35', '240', '0', '0');
INSERT INTO public.who_import VALUES (83080, '2020-03-22', 'ZA', 'South Africa', 'AFRO', '0', '240', '0', '0');
INSERT INTO public.who_import VALUES (83081, '2020-03-23', 'ZA', 'South Africa', 'AFRO', '34', '274', '0', '0');
INSERT INTO public.who_import VALUES (83082, '2020-03-24', 'ZA', 'South Africa', 'AFRO', '128', '402', '0', '0');
INSERT INTO public.who_import VALUES (83083, '2020-03-25', 'ZA', 'South Africa', 'AFRO', '152', '554', '0', '0');
INSERT INTO public.who_import VALUES (83084, '2020-03-26', 'ZA', 'South Africa', 'AFRO', '373', '927', '0', '0');
INSERT INTO public.who_import VALUES (83085, '2020-03-27', 'ZA', 'South Africa', 'AFRO', '0', '927', '0', '0');
INSERT INTO public.who_import VALUES (83086, '2020-03-28', 'ZA', 'South Africa', 'AFRO', '243', '1170', '1', '1');
INSERT INTO public.who_import VALUES (83087, '2020-03-29', 'ZA', 'South Africa', 'AFRO', '17', '1187', '0', '1');
INSERT INTO public.who_import VALUES (83088, '2020-03-30', 'ZA', 'South Africa', 'AFRO', '93', '1280', '0', '1');
INSERT INTO public.who_import VALUES (83089, '2020-03-31', 'ZA', 'South Africa', 'AFRO', '46', '1326', '2', '3');
INSERT INTO public.who_import VALUES (83090, '2020-04-01', 'ZA', 'South Africa', 'AFRO', '27', '1353', '2', '5');
INSERT INTO public.who_import VALUES (83091, '2020-04-02', 'ZA', 'South Africa', 'AFRO', '27', '1380', '0', '5');
INSERT INTO public.who_import VALUES (83092, '2020-04-03', 'ZA', 'South Africa', 'AFRO', '82', '1462', '0', '5');
INSERT INTO public.who_import VALUES (83093, '2020-04-04', 'ZA', 'South Africa', 'AFRO', '43', '1505', '2', '7');
INSERT INTO public.who_import VALUES (83094, '2020-04-05', 'ZA', 'South Africa', 'AFRO', '80', '1585', '2', '9');
INSERT INTO public.who_import VALUES (83095, '2020-04-06', 'ZA', 'South Africa', 'AFRO', '70', '1655', '2', '11');
INSERT INTO public.who_import VALUES (83096, '2020-04-07', 'ZA', 'South Africa', 'AFRO', '31', '1686', '1', '12');
INSERT INTO public.who_import VALUES (83097, '2020-04-08', 'ZA', 'South Africa', 'AFRO', '63', '1749', '1', '13');
INSERT INTO public.who_import VALUES (83098, '2020-04-09', 'ZA', 'South Africa', 'AFRO', '96', '1845', '5', '18');
INSERT INTO public.who_import VALUES (83099, '2020-04-10', 'ZA', 'South Africa', 'AFRO', '89', '1934', '0', '18');
INSERT INTO public.who_import VALUES (83100, '2020-04-11', 'ZA', 'South Africa', 'AFRO', '69', '2003', '6', '24');
INSERT INTO public.who_import VALUES (83101, '2020-04-12', 'ZA', 'South Africa', 'AFRO', '25', '2028', '1', '25');
INSERT INTO public.who_import VALUES (83102, '2020-04-13', 'ZA', 'South Africa', 'AFRO', '145', '2173', '0', '25');
INSERT INTO public.who_import VALUES (83103, '2020-04-14', 'ZA', 'South Africa', 'AFRO', '99', '2272', '2', '27');
INSERT INTO public.who_import VALUES (83104, '2020-04-15', 'ZA', 'South Africa', 'AFRO', '143', '2415', '0', '27');
INSERT INTO public.who_import VALUES (83105, '2020-04-16', 'ZA', 'South Africa', 'AFRO', '91', '2506', '7', '34');
INSERT INTO public.who_import VALUES (83106, '2020-04-17', 'ZA', 'South Africa', 'AFRO', '99', '2605', '14', '48');
INSERT INTO public.who_import VALUES (83107, '2020-04-18', 'ZA', 'South Africa', 'AFRO', '178', '2783', '2', '50');
INSERT INTO public.who_import VALUES (83108, '2020-04-19', 'ZA', 'South Africa', 'AFRO', '251', '3034', '2', '52');
INSERT INTO public.who_import VALUES (83109, '2020-04-20', 'ZA', 'South Africa', 'AFRO', '124', '3158', '2', '54');
INSERT INTO public.who_import VALUES (83110, '2020-04-21', 'ZA', 'South Africa', 'AFRO', '142', '3300', '4', '58');
INSERT INTO public.who_import VALUES (83111, '2020-04-22', 'ZA', 'South Africa', 'AFRO', '165', '3465', '0', '58');
INSERT INTO public.who_import VALUES (83112, '2020-04-23', 'ZA', 'South Africa', 'AFRO', '170', '3635', '7', '65');
INSERT INTO public.who_import VALUES (83113, '2020-04-24', 'ZA', 'South Africa', 'AFRO', '318', '3953', '10', '75');
INSERT INTO public.who_import VALUES (83114, '2020-04-25', 'ZA', 'South Africa', 'AFRO', '267', '4220', '4', '79');
INSERT INTO public.who_import VALUES (83115, '2020-04-26', 'ZA', 'South Africa', 'AFRO', '141', '4361', '7', '86');
INSERT INTO public.who_import VALUES (83116, '2020-04-27', 'ZA', 'South Africa', 'AFRO', '185', '4546', '1', '87');
INSERT INTO public.who_import VALUES (83117, '2020-04-28', 'ZA', 'South Africa', 'AFRO', '247', '4793', '3', '90');
INSERT INTO public.who_import VALUES (83118, '2020-04-29', 'ZA', 'South Africa', 'AFRO', '203', '4996', '3', '93');
INSERT INTO public.who_import VALUES (83119, '2020-04-30', 'ZA', 'South Africa', 'AFRO', '354', '5350', '10', '103');
INSERT INTO public.who_import VALUES (83120, '2020-05-01', 'ZA', 'South Africa', 'AFRO', '297', '5647', '0', '103');
INSERT INTO public.who_import VALUES (83121, '2020-05-02', 'ZA', 'South Africa', 'AFRO', '304', '5951', '13', '116');
INSERT INTO public.who_import VALUES (83122, '2020-05-03', 'ZA', 'South Africa', 'AFRO', '385', '6336', '7', '123');
INSERT INTO public.who_import VALUES (83123, '2020-05-04', 'ZA', 'South Africa', 'AFRO', '447', '6783', '8', '131');
INSERT INTO public.who_import VALUES (83124, '2020-05-05', 'ZA', 'South Africa', 'AFRO', '437', '7220', '7', '138');
INSERT INTO public.who_import VALUES (83125, '2020-05-06', 'ZA', 'South Africa', 'AFRO', '219', '7439', '10', '148');
INSERT INTO public.who_import VALUES (83126, '2020-05-07', 'ZA', 'South Africa', 'AFRO', '369', '7808', '5', '153');
INSERT INTO public.who_import VALUES (83127, '2020-05-08', 'ZA', 'South Africa', 'AFRO', '424', '8232', '8', '161');
INSERT INTO public.who_import VALUES (83128, '2020-05-09', 'ZA', 'South Africa', 'AFRO', '663', '8895', '17', '178');
INSERT INTO public.who_import VALUES (83129, '2020-05-10', 'ZA', 'South Africa', 'AFRO', '525', '9420', '8', '186');
INSERT INTO public.who_import VALUES (83130, '2020-05-11', 'ZA', 'South Africa', 'AFRO', '595', '10015', '8', '194');
INSERT INTO public.who_import VALUES (83131, '2020-05-12', 'ZA', 'South Africa', 'AFRO', '637', '10652', '12', '206');
INSERT INTO public.who_import VALUES (83132, '2020-05-13', 'ZA', 'South Africa', 'AFRO', '698', '11350', '0', '206');
INSERT INTO public.who_import VALUES (83133, '2020-05-14', 'ZA', 'South Africa', 'AFRO', '724', '12074', '13', '219');
INSERT INTO public.who_import VALUES (83134, '2020-05-15', 'ZA', 'South Africa', 'AFRO', '665', '12739', '19', '238');
INSERT INTO public.who_import VALUES (83135, '2020-05-16', 'ZA', 'South Africa', 'AFRO', '785', '13524', '9', '247');
INSERT INTO public.who_import VALUES (83136, '2020-05-17', 'ZA', 'South Africa', 'AFRO', '831', '14355', '14', '261');
INSERT INTO public.who_import VALUES (83137, '2020-05-18', 'ZA', 'South Africa', 'AFRO', '1160', '15515', '3', '264');
INSERT INTO public.who_import VALUES (83138, '2020-05-19', 'ZA', 'South Africa', 'AFRO', '918', '16433', '22', '286');
INSERT INTO public.who_import VALUES (83139, '2020-05-20', 'ZA', 'South Africa', 'AFRO', '767', '17200', '26', '312');
INSERT INTO public.who_import VALUES (83140, '2020-05-21', 'ZA', 'South Africa', 'AFRO', '803', '18003', '27', '339');
INSERT INTO public.who_import VALUES (83141, '2020-05-22', 'ZA', 'South Africa', 'AFRO', '1134', '19137', '30', '369');
INSERT INTO public.who_import VALUES (83142, '2020-05-23', 'ZA', 'South Africa', 'AFRO', '988', '20125', '28', '397');
INSERT INTO public.who_import VALUES (83143, '2020-05-24', 'ZA', 'South Africa', 'AFRO', '1218', '21343', '10', '407');
INSERT INTO public.who_import VALUES (83144, '2020-05-25', 'ZA', 'South Africa', 'AFRO', '1240', '22583', '22', '429');
INSERT INTO public.who_import VALUES (83145, '2020-05-26', 'ZA', 'South Africa', 'AFRO', '1032', '23615', '52', '481');
INSERT INTO public.who_import VALUES (83146, '2020-05-27', 'ZA', 'South Africa', 'AFRO', '649', '24264', '43', '524');
INSERT INTO public.who_import VALUES (83147, '2020-05-28', 'ZA', 'South Africa', 'AFRO', '1673', '25937', '28', '552');
INSERT INTO public.who_import VALUES (83148, '2020-05-29', 'ZA', 'South Africa', 'AFRO', '1466', '27403', '25', '577');
INSERT INTO public.who_import VALUES (83149, '2020-05-30', 'ZA', 'South Africa', 'AFRO', '1837', '29240', '34', '611');
INSERT INTO public.who_import VALUES (83150, '2020-05-31', 'ZA', 'South Africa', 'AFRO', '1727', '30967', '32', '643');
INSERT INTO public.who_import VALUES (83151, '2020-06-01', 'ZA', 'South Africa', 'AFRO', '1716', '32683', '40', '683');
INSERT INTO public.who_import VALUES (83152, '2020-06-02', 'ZA', 'South Africa', 'AFRO', '1674', '34357', '22', '705');
INSERT INTO public.who_import VALUES (83153, '2020-06-03', 'ZA', 'South Africa', 'AFRO', '1455', '35812', '50', '755');
INSERT INTO public.who_import VALUES (83154, '2020-06-04', 'ZA', 'South Africa', 'AFRO', '1713', '37525', '37', '792');
INSERT INTO public.who_import VALUES (83155, '2020-06-05', 'ZA', 'South Africa', 'AFRO', '3267', '40792', '56', '848');
INSERT INTO public.who_import VALUES (83156, '2020-06-06', 'ZA', 'South Africa', 'AFRO', '2642', '43434', '60', '908');
INSERT INTO public.who_import VALUES (83157, '2020-06-07', 'ZA', 'South Africa', 'AFRO', '2539', '45973', '44', '952');
INSERT INTO public.who_import VALUES (83158, '2020-06-08', 'ZA', 'South Africa', 'AFRO', '2312', '48285', '46', '998');
INSERT INTO public.who_import VALUES (83159, '2020-06-09', 'ZA', 'South Africa', 'AFRO', '2594', '50879', '82', '1080');
INSERT INTO public.who_import VALUES (83160, '2020-06-10', 'ZA', 'South Africa', 'AFRO', '2112', '52991', '82', '1162');
INSERT INTO public.who_import VALUES (83161, '2020-06-11', 'ZA', 'South Africa', 'AFRO', '2430', '55421', '48', '1210');
INSERT INTO public.who_import VALUES (83162, '2020-06-12', 'ZA', 'South Africa', 'AFRO', '3147', '58568', '74', '1284');
INSERT INTO public.who_import VALUES (83163, '2020-06-13', 'ZA', 'South Africa', 'AFRO', '3359', '61927', '70', '1354');
INSERT INTO public.who_import VALUES (83164, '2020-06-14', 'ZA', 'South Africa', 'AFRO', '3809', '65736', '69', '1423');
INSERT INTO public.who_import VALUES (83165, '2020-06-15', 'ZA', 'South Africa', 'AFRO', '4302', '70038', '57', '1480');
INSERT INTO public.who_import VALUES (83166, '2020-06-16', 'ZA', 'South Africa', 'AFRO', '3495', '73533', '88', '1568');
INSERT INTO public.who_import VALUES (83167, '2020-06-17', 'ZA', 'South Africa', 'AFRO', '2801', '76334', '57', '1625');
INSERT INTO public.who_import VALUES (83168, '2020-06-18', 'ZA', 'South Africa', 'AFRO', '4078', '80412', '49', '1674');
INSERT INTO public.who_import VALUES (83169, '2020-06-19', 'ZA', 'South Africa', 'AFRO', '3478', '83890', '63', '1737');
INSERT INTO public.who_import VALUES (83170, '2020-06-20', 'ZA', 'South Africa', 'AFRO', '3825', '87715', '94', '1831');
INSERT INTO public.who_import VALUES (83171, '2020-06-21', 'ZA', 'South Africa', 'AFRO', '4966', '92681', '46', '1877');
INSERT INTO public.who_import VALUES (83172, '2020-06-22', 'ZA', 'South Africa', 'AFRO', '4621', '97302', '53', '1930');
INSERT INTO public.who_import VALUES (83173, '2020-06-23', 'ZA', 'South Africa', 'AFRO', '4288', '101590', '61', '1991');
INSERT INTO public.who_import VALUES (83174, '2020-06-24', 'ZA', 'South Africa', 'AFRO', '4518', '106108', '111', '2102');
INSERT INTO public.who_import VALUES (83175, '2020-06-25', 'ZA', 'South Africa', 'AFRO', '5688', '111796', '103', '2205');
INSERT INTO public.who_import VALUES (83176, '2020-06-26', 'ZA', 'South Africa', 'AFRO', '6579', '118375', '87', '2292');
INSERT INTO public.who_import VALUES (83177, '2020-06-27', 'ZA', 'South Africa', 'AFRO', '6215', '124590', '48', '2340');
INSERT INTO public.who_import VALUES (83178, '2020-06-28', 'ZA', 'South Africa', 'AFRO', '7210', '131800', '73', '2413');
INSERT INTO public.who_import VALUES (83179, '2020-06-29', 'ZA', 'South Africa', 'AFRO', '6334', '138134', '43', '2456');
INSERT INTO public.who_import VALUES (83180, '2020-06-30', 'ZA', 'South Africa', 'AFRO', '6130', '144264', '73', '2529');
INSERT INTO public.who_import VALUES (83181, '2020-07-01', 'ZA', 'South Africa', 'AFRO', '6945', '151209', '128', '2657');
INSERT INTO public.who_import VALUES (83182, '2020-07-02', 'ZA', 'South Africa', 'AFRO', '8124', '159333', '92', '2749');
INSERT INTO public.who_import VALUES (83183, '2020-07-03', 'ZA', 'South Africa', 'AFRO', '8728', '168061', '95', '2844');
INSERT INTO public.who_import VALUES (83184, '2020-07-04', 'ZA', 'South Africa', 'AFRO', '9063', '177124', '108', '2952');
INSERT INTO public.who_import VALUES (83185, '2020-07-05', 'ZA', 'South Africa', 'AFRO', '10853', '187977', '74', '3026');
INSERT INTO public.who_import VALUES (83186, '2020-07-06', 'ZA', 'South Africa', 'AFRO', '8773', '196750', '173', '3199');
INSERT INTO public.who_import VALUES (83187, '2020-07-07', 'ZA', 'South Africa', 'AFRO', '8971', '205721', '111', '3310');
INSERT INTO public.who_import VALUES (83188, '2020-07-08', 'ZA', 'South Africa', 'AFRO', '10134', '215855', '192', '3502');
INSERT INTO public.who_import VALUES (83189, '2020-07-09', 'ZA', 'South Africa', 'AFRO', '8810', '224665', '100', '3602');
INSERT INTO public.who_import VALUES (83190, '2020-07-10', 'ZA', 'South Africa', 'AFRO', '13674', '238339', '118', '3720');
INSERT INTO public.who_import VALUES (83191, '2020-07-11', 'ZA', 'South Africa', 'AFRO', '12348', '250687', '140', '3860');
INSERT INTO public.who_import VALUES (83192, '2020-07-12', 'ZA', 'South Africa', 'AFRO', '13497', '264184', '111', '3971');
INSERT INTO public.who_import VALUES (83193, '2020-07-13', 'ZA', 'South Africa', 'AFRO', '12058', '276242', '108', '4079');
INSERT INTO public.who_import VALUES (83194, '2020-07-14', 'ZA', 'South Africa', 'AFRO', '11554', '287796', '93', '4172');
INSERT INTO public.who_import VALUES (83195, '2020-07-15', 'ZA', 'South Africa', 'AFRO', '10496', '298292', '174', '4346');
INSERT INTO public.who_import VALUES (83196, '2020-07-16', 'ZA', 'South Africa', 'AFRO', '12757', '311049', '107', '4453');
INSERT INTO public.who_import VALUES (83197, '2020-07-17', 'ZA', 'South Africa', 'AFRO', '13172', '324221', '216', '4669');
INSERT INTO public.who_import VALUES (83198, '2020-07-18', 'ZA', 'South Africa', 'AFRO', '13373', '337594', '135', '4804');
INSERT INTO public.who_import VALUES (83199, '2020-07-19', 'ZA', 'South Africa', 'AFRO', '13285', '350879', '144', '4948');
INSERT INTO public.who_import VALUES (83200, '2020-07-20', 'ZA', 'South Africa', 'AFRO', '13449', '364328', '85', '5033');
INSERT INTO public.who_import VALUES (83201, '2020-07-21', 'ZA', 'South Africa', 'AFRO', '9300', '373628', '140', '5173');
INSERT INTO public.who_import VALUES (83202, '2020-07-22', 'ZA', 'South Africa', 'AFRO', '8170', '381798', '195', '5368');
INSERT INTO public.who_import VALUES (83203, '2020-07-23', 'ZA', 'South Africa', 'AFRO', '13150', '394948', '572', '5940');
INSERT INTO public.who_import VALUES (83204, '2020-07-24', 'ZA', 'South Africa', 'AFRO', '13104', '408052', '153', '6093');
INSERT INTO public.who_import VALUES (83205, '2020-07-25', 'ZA', 'South Africa', 'AFRO', '13944', '421996', '250', '6343');
INSERT INTO public.who_import VALUES (83206, '2020-07-26', 'ZA', 'South Africa', 'AFRO', '12204', '434200', '312', '6655');
INSERT INTO public.who_import VALUES (83207, '2020-07-27', 'ZA', 'South Africa', 'AFRO', '11233', '445433', '114', '6769');
INSERT INTO public.who_import VALUES (83208, '2020-07-28', 'ZA', 'South Africa', 'AFRO', '7097', '452530', '298', '7067');
INSERT INTO public.who_import VALUES (83209, '2020-07-29', 'ZA', 'South Africa', 'AFRO', '7231', '459761', '190', '7257');
INSERT INTO public.who_import VALUES (83210, '2020-07-30', 'ZA', 'South Africa', 'AFRO', '11362', '471123', '240', '7497');
INSERT INTO public.who_import VALUES (83211, '2020-07-31', 'ZA', 'South Africa', 'AFRO', '11046', '482169', '315', '7812');
INSERT INTO public.who_import VALUES (83212, '2020-08-01', 'ZA', 'South Africa', 'AFRO', '11014', '493183', '193', '8005');
INSERT INTO public.who_import VALUES (83213, '2020-08-02', 'ZA', 'South Africa', 'AFRO', '10107', '503290', '148', '8153');
INSERT INTO public.who_import VALUES (83214, '2020-08-03', 'ZA', 'South Africa', 'AFRO', '8195', '511485', '213', '8366');
INSERT INTO public.who_import VALUES (83215, '2020-08-04', 'ZA', 'South Africa', 'AFRO', '5377', '516862', '0', '8366');
INSERT INTO public.who_import VALUES (83216, '2020-08-05', 'ZA', 'South Africa', 'AFRO', '4456', '521318', '518', '8884');
INSERT INTO public.who_import VALUES (83217, '2020-08-06', 'ZA', 'South Africa', 'AFRO', '8559', '529877', '414', '9298');
INSERT INTO public.who_import VALUES (83218, '2020-08-07', 'ZA', 'South Africa', 'AFRO', '8307', '538184', '306', '9604');
INSERT INTO public.who_import VALUES (83219, '2020-08-08', 'ZA', 'South Africa', 'AFRO', '7292', '545476', '305', '9909');
INSERT INTO public.who_import VALUES (83220, '2020-08-09', 'ZA', 'South Africa', 'AFRO', '7712', '553188', '301', '10210');
INSERT INTO public.who_import VALUES (83221, '2020-08-10', 'ZA', 'South Africa', 'AFRO', '6671', '559859', '198', '10408');
INSERT INTO public.who_import VALUES (83222, '2020-08-11', 'ZA', 'South Africa', 'AFRO', '3739', '563598', '213', '10621');
INSERT INTO public.who_import VALUES (83223, '2020-08-12', 'ZA', 'South Africa', 'AFRO', '2511', '566109', '130', '10751');
INSERT INTO public.who_import VALUES (83224, '2020-08-13', 'ZA', 'South Africa', 'AFRO', '2810', '568919', '259', '11010');
INSERT INTO public.who_import VALUES (83225, '2020-08-14', 'ZA', 'South Africa', 'AFRO', '3946', '572865', '260', '11270');
INSERT INTO public.who_import VALUES (83226, '2020-08-15', 'ZA', 'South Africa', 'AFRO', '6275', '579140', '286', '11556');
INSERT INTO public.who_import VALUES (83227, '2020-08-16', 'ZA', 'South Africa', 'AFRO', '4513', '583653', '121', '11677');
INSERT INTO public.who_import VALUES (83228, '2020-08-17', 'ZA', 'South Africa', 'AFRO', '3692', '587345', '162', '11839');
INSERT INTO public.who_import VALUES (83229, '2020-08-18', 'ZA', 'South Africa', 'AFRO', '2541', '589886', '143', '11982');
INSERT INTO public.who_import VALUES (83230, '2020-08-19', 'ZA', 'South Africa', 'AFRO', '2258', '592144', '282', '12264');
INSERT INTO public.who_import VALUES (83231, '2020-08-20', 'ZA', 'South Africa', 'AFRO', '3916', '596060', '159', '12423');
INSERT INTO public.who_import VALUES (83232, '2020-08-21', 'ZA', 'South Africa', 'AFRO', '3880', '599940', '195', '12618');
INSERT INTO public.who_import VALUES (83233, '2020-08-22', 'ZA', 'South Africa', 'AFRO', '3398', '603338', '225', '12843');
INSERT INTO public.who_import VALUES (83234, '2020-08-23', 'ZA', 'South Africa', 'AFRO', '3707', '607045', '144', '12987');
INSERT INTO public.who_import VALUES (83235, '2020-08-24', 'ZA', 'South Africa', 'AFRO', '2728', '609773', '72', '13059');
INSERT INTO public.who_import VALUES (83236, '2020-08-25', 'ZA', 'South Africa', 'AFRO', '1677', '611450', '100', '13159');
INSERT INTO public.who_import VALUES (83237, '2020-08-26', 'ZA', 'South Africa', 'AFRO', '1567', '613017', '149', '13308');
INSERT INTO public.who_import VALUES (83238, '2020-08-27', 'ZA', 'South Africa', 'AFRO', '2684', '615701', '194', '13502');
INSERT INTO public.who_import VALUES (83239, '2020-08-28', 'ZA', 'South Africa', 'AFRO', '0', '615701', '0', '13502');
INSERT INTO public.who_import VALUES (83240, '2020-08-29', 'ZA', 'South Africa', 'AFRO', '4431', '620132', '241', '13743');
INSERT INTO public.who_import VALUES (83241, '2020-08-30', 'ZA', 'South Africa', 'AFRO', '2419', '622551', '238', '13981');
INSERT INTO public.who_import VALUES (83242, '2020-08-31', 'ZA', 'South Africa', 'AFRO', '2505', '625056', '47', '14028');
INSERT INTO public.who_import VALUES (83243, '2020-09-01', 'ZA', 'South Africa', 'AFRO', '1985', '627041', '121', '14149');
INSERT INTO public.who_import VALUES (83244, '2020-09-02', 'ZA', 'South Africa', 'AFRO', '1218', '628259', '114', '14263');
INSERT INTO public.who_import VALUES (83245, '2020-09-03', 'ZA', 'South Africa', 'AFRO', '2336', '630595', '126', '14389');
INSERT INTO public.who_import VALUES (83246, '2020-09-04', 'ZA', 'South Africa', 'AFRO', '2420', '633015', '0', '14389');
INSERT INTO public.who_import VALUES (83247, '2020-09-05', 'ZA', 'South Africa', 'AFRO', '2063', '635078', '289', '14678');
INSERT INTO public.who_import VALUES (83248, '2020-09-06', 'ZA', 'South Africa', 'AFRO', '1806', '636884', '101', '14779');
INSERT INTO public.who_import VALUES (83249, '2020-09-07', 'ZA', 'South Africa', 'AFRO', '1633', '638517', '110', '14889');
INSERT INTO public.who_import VALUES (83250, '2020-09-08', 'ZA', 'South Africa', 'AFRO', '845', '639362', '115', '15004');
INSERT INTO public.who_import VALUES (83251, '2020-09-09', 'ZA', 'South Africa', 'AFRO', '1079', '640441', '82', '15086');
INSERT INTO public.who_import VALUES (83252, '2020-09-10', 'ZA', 'South Africa', 'AFRO', '1990', '642431', '82', '15168');
INSERT INTO public.who_import VALUES (83253, '2020-09-11', 'ZA', 'South Africa', 'AFRO', '2007', '644438', '97', '15265');
INSERT INTO public.who_import VALUES (83254, '2020-09-12', 'ZA', 'South Africa', 'AFRO', '1960', '646398', '113', '15378');
INSERT INTO public.who_import VALUES (83255, '2020-09-13', 'ZA', 'South Africa', 'AFRO', '1816', '648214', '49', '15427');
INSERT INTO public.who_import VALUES (83256, '2020-09-14', 'ZA', 'South Africa', 'AFRO', '1579', '649793', '20', '15447');
INSERT INTO public.who_import VALUES (83257, '2020-09-15', 'ZA', 'South Africa', 'AFRO', '956', '650749', '52', '15499');
INSERT INTO public.who_import VALUES (83258, '2020-09-16', 'ZA', 'South Africa', 'AFRO', '772', '651521', '142', '15641');
INSERT INTO public.who_import VALUES (83259, '2020-09-17', 'ZA', 'South Africa', 'AFRO', '1923', '653444', '64', '15705');
INSERT INTO public.who_import VALUES (83260, '2020-09-18', 'ZA', 'South Africa', 'AFRO', '2128', '655572', '67', '15772');
INSERT INTO public.who_import VALUES (83261, '2020-09-19', 'ZA', 'South Africa', 'AFRO', '2055', '657627', '85', '15857');
INSERT INTO public.who_import VALUES (83262, '2020-09-20', 'ZA', 'South Africa', 'AFRO', '2029', '659656', '83', '15940');
INSERT INTO public.who_import VALUES (83263, '2020-09-21', 'ZA', 'South Africa', 'AFRO', '1555', '661211', '13', '15953');
INSERT INTO public.who_import VALUES (83264, '2020-09-22', 'ZA', 'South Africa', 'AFRO', '725', '661936', '39', '15992');
INSERT INTO public.who_import VALUES (83265, '2020-09-23', 'ZA', 'South Africa', 'AFRO', '1346', '663282', '126', '16118');
INSERT INTO public.who_import VALUES (83266, '2020-09-24', 'ZA', 'South Africa', 'AFRO', '1906', '665188', '88', '16206');
INSERT INTO public.who_import VALUES (83267, '2020-09-25', 'ZA', 'South Africa', 'AFRO', '1861', '667049', '77', '16283');
INSERT INTO public.who_import VALUES (83268, '2020-09-26', 'ZA', 'South Africa', 'AFRO', '1480', '668529', '29', '16312');
INSERT INTO public.who_import VALUES (83269, '2020-09-27', 'ZA', 'South Africa', 'AFRO', '969', '669498', '64', '16376');
INSERT INTO public.who_import VALUES (83270, '2020-09-28', 'ZA', 'South Africa', 'AFRO', '1268', '670766', '22', '16398');
INSERT INTO public.who_import VALUES (83271, '2020-09-29', 'ZA', 'South Africa', 'AFRO', '903', '671669', '188', '16586');
INSERT INTO public.who_import VALUES (83272, '2020-09-30', 'ZA', 'South Africa', 'AFRO', '903', '672572', '81', '16667');
INSERT INTO public.who_import VALUES (83273, '2020-10-01', 'ZA', 'South Africa', 'AFRO', '1767', '674339', '67', '16734');
INSERT INTO public.who_import VALUES (83274, '2020-10-02', 'ZA', 'South Africa', 'AFRO', '1745', '676084', '132', '16866');
INSERT INTO public.who_import VALUES (83275, '2020-10-03', 'ZA', 'South Africa', 'AFRO', '1749', '677833', '43', '16909');
INSERT INTO public.who_import VALUES (83276, '2020-10-04', 'ZA', 'South Africa', 'AFRO', '1883', '679716', '29', '16938');
INSERT INTO public.who_import VALUES (83277, '2020-10-05', 'ZA', 'South Africa', 'AFRO', '1573', '681289', '38', '16976');
INSERT INTO public.who_import VALUES (83278, '2020-10-06', 'ZA', 'South Africa', 'AFRO', '926', '682215', '40', '17016');
INSERT INTO public.who_import VALUES (83279, '2020-10-07', 'ZA', 'South Africa', 'AFRO', '1027', '683242', '87', '17103');
INSERT INTO public.who_import VALUES (83280, '2020-10-08', 'ZA', 'South Africa', 'AFRO', '0', '683242', '0', '17103');
INSERT INTO public.who_import VALUES (83281, '2020-10-09', 'ZA', 'South Africa', 'AFRO', '3649', '686891', '305', '17408');
INSERT INTO public.who_import VALUES (83282, '2020-10-10', 'ZA', 'South Africa', 'AFRO', '1641', '688532', '139', '17547');
INSERT INTO public.who_import VALUES (83283, '2020-10-11', 'ZA', 'South Africa', 'AFRO', '2364', '690896', '126', '17673');
INSERT INTO public.who_import VALUES (83284, '2020-10-12', 'ZA', 'South Africa', 'AFRO', '1575', '692471', '107', '17780');
INSERT INTO public.who_import VALUES (83285, '2020-10-13', 'ZA', 'South Africa', 'AFRO', '888', '693359', '83', '17863');
INSERT INTO public.who_import VALUES (83286, '2020-10-14', 'ZA', 'South Africa', 'AFRO', '1178', '694537', '165', '18028');
INSERT INTO public.who_import VALUES (83287, '2020-10-15', 'ZA', 'South Africa', 'AFRO', '1877', '696414', '123', '18151');
INSERT INTO public.who_import VALUES (83288, '2020-10-16', 'ZA', 'South Africa', 'AFRO', '1770', '698184', '158', '18309');
INSERT INTO public.who_import VALUES (83289, '2020-10-17', 'ZA', 'South Africa', 'AFRO', '2019', '700203', '61', '18370');
INSERT INTO public.who_import VALUES (83290, '2020-10-18', 'ZA', 'South Africa', 'AFRO', '1928', '702131', '38', '18408');
INSERT INTO public.who_import VALUES (83291, '2020-10-19', 'ZA', 'South Africa', 'AFRO', '1662', '703793', '63', '18471');
INSERT INTO public.who_import VALUES (83292, '2020-10-20', 'ZA', 'South Africa', 'AFRO', '1461', '705254', '21', '18492');
INSERT INTO public.who_import VALUES (83293, '2020-10-21', 'ZA', 'South Africa', 'AFRO', '1050', '706304', '164', '18656');
INSERT INTO public.who_import VALUES (83294, '2020-10-22', 'ZA', 'South Africa', 'AFRO', '2055', '708359', '85', '18741');
INSERT INTO public.who_import VALUES (83295, '2020-10-23', 'ZA', 'South Africa', 'AFRO', '2156', '710515', '102', '18843');
INSERT INTO public.who_import VALUES (83296, '2020-10-24', 'ZA', 'South Africa', 'AFRO', '1897', '712412', '48', '18891');
INSERT INTO public.who_import VALUES (83297, '2020-10-25', 'ZA', 'South Africa', 'AFRO', '1834', '714246', '53', '18944');
INSERT INTO public.who_import VALUES (83298, '2020-10-26', 'ZA', 'South Africa', 'AFRO', '1622', '715868', '24', '18968');
INSERT INTO public.who_import VALUES (83299, '2020-10-27', 'ZA', 'South Africa', 'AFRO', '891', '716759', '40', '19008');
INSERT INTO public.who_import VALUES (83300, '2020-10-28', 'ZA', 'South Africa', 'AFRO', '1092', '717851', '45', '19053');
INSERT INTO public.who_import VALUES (83301, '2020-10-29', 'ZA', 'South Africa', 'AFRO', '1863', '719714', '58', '19111');
INSERT INTO public.who_import VALUES (83302, '2020-10-30', 'ZA', 'South Africa', 'AFRO', '2056', '721770', '53', '19164');
INSERT INTO public.who_import VALUES (83303, '2020-10-31', 'ZA', 'South Africa', 'AFRO', '1912', '723682', '66', '19230');
INSERT INTO public.who_import VALUES (83304, '2020-11-01', 'ZA', 'South Africa', 'AFRO', '1770', '725452', '46', '19276');
INSERT INTO public.who_import VALUES (83305, '2020-11-02', 'ZA', 'South Africa', 'AFRO', '1371', '726823', '135', '19411');
INSERT INTO public.who_import VALUES (83306, '2020-11-03', 'ZA', 'South Africa', 'AFRO', '772', '727595', '54', '19465');
INSERT INTO public.who_import VALUES (83307, '2020-11-04', 'ZA', 'South Africa', 'AFRO', '1241', '728836', '74', '19539');
INSERT INTO public.who_import VALUES (83308, '2020-11-05', 'ZA', 'South Africa', 'AFRO', '1712', '730548', '46', '19585');
INSERT INTO public.who_import VALUES (83309, '2020-11-06', 'ZA', 'South Africa', 'AFRO', '1866', '732414', '92', '19677');
INSERT INTO public.who_import VALUES (83310, '2020-11-07', 'ZA', 'South Africa', 'AFRO', '1761', '734175', '72', '19749');
INSERT INTO public.who_import VALUES (83311, '2020-11-08', 'ZA', 'South Africa', 'AFRO', '1731', '735906', '40', '19789');
INSERT INTO public.who_import VALUES (83312, '2020-11-09', 'ZA', 'South Africa', 'AFRO', '1372', '737278', '20', '19809');
INSERT INTO public.who_import VALUES (83313, '2020-11-10', 'ZA', 'South Africa', 'AFRO', '1247', '738525', '36', '19845');
INSERT INTO public.who_import VALUES (83314, '2020-11-11', 'ZA', 'South Africa', 'AFRO', '1729', '740254', '106', '19951');
INSERT INTO public.who_import VALUES (83315, '2020-11-12', 'ZA', 'South Africa', 'AFRO', '2140', '742394', '60', '20011');
INSERT INTO public.who_import VALUES (83316, '2020-11-13', 'ZA', 'South Africa', 'AFRO', '2338', '744732', '65', '20076');
INSERT INTO public.who_import VALUES (83317, '2020-11-14', 'ZA', 'South Africa', 'AFRO', '2213', '746945', '77', '20153');
INSERT INTO public.who_import VALUES (83318, '2020-11-15', 'ZA', 'South Africa', 'AFRO', '2237', '749182', '53', '20206');
INSERT INTO public.who_import VALUES (83319, '2020-11-16', 'ZA', 'South Africa', 'AFRO', '1842', '751024', '35', '20241');
INSERT INTO public.who_import VALUES (83320, '2020-11-17', 'ZA', 'South Africa', 'AFRO', '1245', '752269', '73', '20314');
INSERT INTO public.who_import VALUES (83321, '2020-11-18', 'ZA', 'South Africa', 'AFRO', '1987', '754256', '119', '20433');
INSERT INTO public.who_import VALUES (83322, '2020-11-19', 'ZA', 'South Africa', 'AFRO', '2888', '757144', '123', '20556');
INSERT INTO public.who_import VALUES (83323, '2020-11-20', 'ZA', 'South Africa', 'AFRO', '2514', '759658', '115', '20671');
INSERT INTO public.who_import VALUES (83324, '2020-11-21', 'ZA', 'South Africa', 'AFRO', '3105', '762763', '88', '20759');
INSERT INTO public.who_import VALUES (83325, '2020-11-22', 'ZA', 'South Africa', 'AFRO', '2646', '765409', '86', '20845');
INSERT INTO public.who_import VALUES (83326, '2020-11-23', 'ZA', 'South Africa', 'AFRO', '2270', '767679', '58', '20903');
INSERT INTO public.who_import VALUES (83327, '2020-11-24', 'ZA', 'South Africa', 'AFRO', '2080', '769759', '65', '20968');
INSERT INTO public.who_import VALUES (83328, '2020-11-25', 'ZA', 'South Africa', 'AFRO', '2493', '772252', '115', '21083');
INSERT INTO public.who_import VALUES (83329, '2020-11-26', 'ZA', 'South Africa', 'AFRO', '3250', '775502', '118', '21201');
INSERT INTO public.who_import VALUES (83330, '2020-11-27', 'ZA', 'South Africa', 'AFRO', '3069', '778571', '88', '21289');
INSERT INTO public.who_import VALUES (83331, '2020-11-28', 'ZA', 'South Africa', 'AFRO', '3370', '781941', '89', '21378');
INSERT INTO public.who_import VALUES (83332, '2020-11-29', 'ZA', 'South Africa', 'AFRO', '3198', '785139', '61', '21439');
INSERT INTO public.who_import VALUES (83333, '2020-11-30', 'ZA', 'South Africa', 'AFRO', '2563', '787702', '38', '21477');
INSERT INTO public.who_import VALUES (83334, '2020-12-01', 'ZA', 'South Africa', 'AFRO', '2302', '790004', '58', '21535');
INSERT INTO public.who_import VALUES (83335, '2020-12-02', 'ZA', 'South Africa', 'AFRO', '2295', '792299', '109', '21644');
INSERT INTO public.who_import VALUES (83336, '2020-12-03', 'ZA', 'South Africa', 'AFRO', '4173', '796472', '65', '21709');
INSERT INTO public.who_import VALUES (83337, '2020-12-04', 'ZA', 'South Africa', 'AFRO', '4400', '800872', '94', '21803');
INSERT INTO public.who_import VALUES (83338, '2020-12-05', 'ZA', 'South Africa', 'AFRO', '4932', '805804', '160', '21963');
INSERT INTO public.who_import VALUES (83339, '2020-12-06', 'ZA', 'South Africa', 'AFRO', '4645', '810449', '104', '22067');
INSERT INTO public.who_import VALUES (83340, '2020-12-07', 'ZA', 'South Africa', 'AFRO', '4116', '814565', '139', '22206');
INSERT INTO public.who_import VALUES (83341, '2020-12-08', 'ZA', 'South Africa', 'AFRO', '3313', '817878', '43', '22249');
INSERT INTO public.who_import VALUES (83342, '2020-12-09', 'ZA', 'South Africa', 'AFRO', '4011', '821889', '183', '22432');
INSERT INTO public.who_import VALUES (83343, '2020-12-10', 'ZA', 'South Africa', 'AFRO', '6709', '828598', '142', '22574');
INSERT INTO public.who_import VALUES (83344, '2020-12-11', 'ZA', 'South Africa', 'AFRO', '8166', '836764', '173', '22747');
INSERT INTO public.who_import VALUES (83345, '2020-12-12', 'ZA', 'South Africa', 'AFRO', '8319', '845083', '205', '22952');
INSERT INTO public.who_import VALUES (83346, '2020-12-13', 'ZA', 'South Africa', 'AFRO', '7882', '852965', '154', '23106');
INSERT INTO public.who_import VALUES (83347, '2020-12-14', 'ZA', 'South Africa', 'AFRO', '7999', '860964', '170', '23276');
INSERT INTO public.who_import VALUES (83348, '2020-12-15', 'ZA', 'South Africa', 'AFRO', '5163', '866127', '175', '23451');
INSERT INTO public.who_import VALUES (83349, '2020-12-16', 'ZA', 'South Africa', 'AFRO', '7552', '873679', '210', '23661');
INSERT INTO public.who_import VALUES (83350, '2020-12-17', 'ZA', 'South Africa', 'AFRO', '10008', '883687', '166', '23827');
INSERT INTO public.who_import VALUES (83351, '2020-12-18', 'ZA', 'South Africa', 'AFRO', '9126', '892813', '184', '24011');
INSERT INTO public.who_import VALUES (83352, '2020-12-19', 'ZA', 'South Africa', 'AFRO', '8725', '901538', '274', '24285');
INSERT INTO public.who_import VALUES (83353, '2020-12-20', 'ZA', 'South Africa', 'AFRO', '10939', '912477', '254', '24539');
INSERT INTO public.who_import VALUES (83354, '2020-12-21', 'ZA', 'South Africa', 'AFRO', '9445', '921922', '152', '24691');
INSERT INTO public.who_import VALUES (83355, '2020-12-22', 'ZA', 'South Africa', 'AFRO', '8789', '930711', '216', '24907');
INSERT INTO public.who_import VALUES (83356, '2020-12-23', 'ZA', 'South Africa', 'AFRO', '9501', '940212', '339', '25246');
INSERT INTO public.who_import VALUES (83357, '2020-12-24', 'ZA', 'South Africa', 'AFRO', '14046', '954258', '411', '25657');
INSERT INTO public.who_import VALUES (83358, '2020-12-25', 'ZA', 'South Africa', 'AFRO', '14305', '968563', '326', '25983');
INSERT INTO public.who_import VALUES (83359, '2020-12-26', 'ZA', 'South Africa', 'AFRO', '14796', '983359', '293', '26276');
INSERT INTO public.who_import VALUES (83360, '2020-12-27', 'ZA', 'South Africa', 'AFRO', '11552', '994911', '245', '26521');
INSERT INTO public.who_import VALUES (83361, '2020-12-28', 'ZA', 'South Africa', 'AFRO', '9502', '1004413', '214', '26735');
INSERT INTO public.who_import VALUES (83362, '2020-12-29', 'ZA', 'South Africa', 'AFRO', '7458', '1011871', '336', '27071');
INSERT INTO public.who_import VALUES (83363, '2020-12-30', 'ZA', 'South Africa', 'AFRO', '9580', '1021451', '497', '27568');
INSERT INTO public.who_import VALUES (83364, '2020-12-31', 'ZA', 'South Africa', 'AFRO', '17710', '1039161', '465', '28033');
INSERT INTO public.who_import VALUES (83365, '2021-01-01', 'ZA', 'South Africa', 'AFRO', '18400', '1057561', '436', '28469');
INSERT INTO public.who_import VALUES (83366, '2021-01-02', 'ZA', 'South Africa', 'AFRO', '0', '1057561', '0', '28469');
INSERT INTO public.who_import VALUES (83367, '2021-01-03', 'ZA', 'South Africa', 'AFRO', '31328', '1088889', '706', '29175');
INSERT INTO public.who_import VALUES (83368, '2021-01-04', 'ZA', 'South Africa', 'AFRO', '11859', '1100748', '402', '29577');
INSERT INTO public.who_import VALUES (83369, '2021-01-05', 'ZA', 'South Africa', 'AFRO', '12601', '1113349', '434', '30011');
INSERT INTO public.who_import VALUES (83370, '2021-01-06', 'ZA', 'South Africa', 'AFRO', '14410', '1127759', '513', '30524');
INSERT INTO public.who_import VALUES (83371, '2021-01-07', 'ZA', 'South Africa', 'AFRO', '21832', '1149591', '844', '31368');
INSERT INTO public.who_import VALUES (83372, '2021-01-08', 'ZA', 'South Africa', 'AFRO', '20999', '1170590', '441', '31809');
INSERT INTO public.who_import VALUES (83373, '2021-01-09', 'ZA', 'South Africa', 'AFRO', '21980', '1192570', '616', '32425');
INSERT INTO public.who_import VALUES (83374, '2021-01-10', 'ZA', 'South Africa', 'AFRO', '21606', '1214176', '399', '32824');
INSERT INTO public.who_import VALUES (83375, '2021-01-11', 'ZA', 'South Africa', 'AFRO', '17421', '1231597', '339', '33163');
INSERT INTO public.who_import VALUES (83376, '2021-01-12', 'ZA', 'South Africa', 'AFRO', '15046', '1246643', '416', '33579');
INSERT INTO public.who_import VALUES (83377, '2021-01-13', 'ZA', 'South Africa', 'AFRO', '13105', '1259748', '755', '34334');
INSERT INTO public.who_import VALUES (83378, '2021-01-14', 'ZA', 'South Africa', 'AFRO', '18555', '1278303', '806', '35140');
INSERT INTO public.who_import VALUES (83379, '2021-01-15', 'ZA', 'South Africa', 'AFRO', '18503', '1296806', '712', '35852');
INSERT INTO public.who_import VALUES (83380, '2021-01-16', 'ZA', 'South Africa', 'AFRO', '14880', '1311686', '615', '36467');
INSERT INTO public.who_import VALUES (83381, '2021-01-17', 'ZA', 'South Africa', 'AFRO', '13973', '1325659', '384', '36851');
INSERT INTO public.who_import VALUES (83382, '2021-01-18', 'ZA', 'South Africa', 'AFRO', '12267', '1337926', '254', '37105');
INSERT INTO public.who_import VALUES (83383, '2021-01-19', 'ZA', 'South Africa', 'AFRO', '9010', '1346936', '344', '37449');
INSERT INTO public.who_import VALUES (83384, '2021-01-20', 'ZA', 'South Africa', 'AFRO', '9780', '1356716', '839', '38288');
INSERT INTO public.who_import VALUES (83385, '2021-01-21', 'ZA', 'South Africa', 'AFRO', '12710', '1369426', '566', '38854');
INSERT INTO public.who_import VALUES (83386, '2021-01-22', 'ZA', 'South Africa', 'AFRO', '11381', '1380807', '647', '39501');
INSERT INTO public.who_import VALUES (83387, '2021-01-23', 'ZA', 'South Africa', 'AFRO', '11761', '1392568', '575', '40076');
INSERT INTO public.who_import VALUES (83388, '2021-01-24', 'ZA', 'South Africa', 'AFRO', '12271', '1404839', '498', '40574');
INSERT INTO public.who_import VALUES (83389, '2021-01-25', 'ZA', 'South Africa', 'AFRO', '8147', '1412986', '300', '40874');
INSERT INTO public.who_import VALUES (83390, '2021-01-26', 'ZA', 'South Africa', 'AFRO', '4551', '1417537', '243', '41117');
INSERT INTO public.who_import VALUES (83391, '2021-01-27', 'ZA', 'South Africa', 'AFRO', '6041', '1423578', '680', '41797');
INSERT INTO public.who_import VALUES (83392, '2021-01-28', 'ZA', 'South Africa', 'AFRO', '7070', '1430648', '753', '42550');
INSERT INTO public.who_import VALUES (83393, '2021-01-29', 'ZA', 'South Africa', 'AFRO', '7150', '1437798', '555', '43105');
INSERT INTO public.who_import VALUES (83394, '2021-01-30', 'ZA', 'South Africa', 'AFRO', '6141', '1443939', '528', '43633');
INSERT INTO public.who_import VALUES (83395, '2021-01-31', 'ZA', 'South Africa', 'AFRO', '5297', '1449236', '318', '43951');
INSERT INTO public.who_import VALUES (83396, '2021-02-01', 'ZA', 'South Africa', 'AFRO', '4525', '1453761', '213', '44164');
INSERT INTO public.who_import VALUES (83397, '2021-02-02', 'ZA', 'South Africa', 'AFRO', '2548', '1456309', '235', '44399');
INSERT INTO public.who_import VALUES (83398, '2021-02-03', 'ZA', 'South Africa', 'AFRO', '2649', '1458958', '547', '44946');
INSERT INTO public.who_import VALUES (83399, '2021-02-04', 'ZA', 'South Africa', 'AFRO', '4058', '1463016', '398', '45344');
INSERT INTO public.who_import VALUES (83400, '2021-02-05', 'ZA', 'South Africa', 'AFRO', '3751', '1466767', '261', '45605');
INSERT INTO public.who_import VALUES (83401, '2021-02-06', 'ZA', 'South Africa', 'AFRO', '3749', '1470516', '297', '45902');
INSERT INTO public.who_import VALUES (83402, '2021-02-07', 'ZA', 'South Africa', 'AFRO', '3184', '1473700', '278', '46180');
INSERT INTO public.who_import VALUES (83403, '2021-02-08', 'ZA', 'South Africa', 'AFRO', '2435', '1476135', '110', '46290');
INSERT INTO public.who_import VALUES (83404, '2021-02-09', 'ZA', 'South Africa', 'AFRO', '1376', '1477511', '183', '46473');
INSERT INTO public.who_import VALUES (83405, '2021-02-10', 'ZA', 'South Africa', 'AFRO', '1742', '1479253', '396', '46869');
INSERT INTO public.who_import VALUES (83406, '2021-02-11', 'ZA', 'South Africa', 'AFRO', '3159', '1482412', '276', '47145');
INSERT INTO public.who_import VALUES (83407, '2021-02-12', 'ZA', 'South Africa', 'AFRO', '2488', '1484900', '237', '47382');
INSERT INTO public.who_import VALUES (83408, '2021-02-13', 'ZA', 'South Africa', 'AFRO', '2781', '1487681', '288', '47670');
INSERT INTO public.who_import VALUES (83409, '2021-02-14', 'ZA', 'South Africa', 'AFRO', '2382', '1490063', '151', '47821');
INSERT INTO public.who_import VALUES (83410, '2021-02-15', 'ZA', 'South Africa', 'AFRO', '1744', '1491807', '78', '47899');
INSERT INTO public.who_import VALUES (83411, '2021-02-16', 'ZA', 'South Africa', 'AFRO', '1102', '1492909', '195', '48094');
INSERT INTO public.who_import VALUES (83412, '2021-02-17', 'ZA', 'South Africa', 'AFRO', '1210', '1494119', '219', '48313');
INSERT INTO public.who_import VALUES (83413, '2021-02-18', 'ZA', 'South Africa', 'AFRO', '2320', '1496439', '165', '48478');
INSERT INTO public.who_import VALUES (83414, '2021-02-19', 'ZA', 'South Africa', 'AFRO', '2327', '1498766', '230', '48708');
INSERT INTO public.who_import VALUES (83415, '2021-02-20', 'ZA', 'South Africa', 'AFRO', '1911', '1500677', '151', '48859');
INSERT INTO public.who_import VALUES (83416, '2020-01-03', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83417, '2020-01-04', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83418, '2020-01-05', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83419, '2020-01-06', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83420, '2020-01-07', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83421, '2020-01-08', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83422, '2020-01-09', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83423, '2020-01-10', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83424, '2020-01-11', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83425, '2020-01-12', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83426, '2020-01-13', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83427, '2020-01-14', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83428, '2020-01-15', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83429, '2020-01-16', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83430, '2020-01-17', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83431, '2020-01-18', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83432, '2020-01-19', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83433, '2020-01-20', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83434, '2020-01-21', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83435, '2020-01-22', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83436, '2020-01-23', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83437, '2020-01-24', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83438, '2020-01-25', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83439, '2020-01-26', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83440, '2020-01-27', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83441, '2020-01-28', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83442, '2020-01-29', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83443, '2020-01-30', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83444, '2020-01-31', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83445, '2020-02-01', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83446, '2020-02-02', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83447, '2020-02-03', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83448, '2020-02-04', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83449, '2020-02-05', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83450, '2020-02-06', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83451, '2020-02-07', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83452, '2020-02-08', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83453, '2020-02-09', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83454, '2020-02-10', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83455, '2020-02-11', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83456, '2020-02-12', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83457, '2020-02-13', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83458, '2020-02-14', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83459, '2020-02-15', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83460, '2020-02-16', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83461, '2020-02-17', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83462, '2020-02-18', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83463, '2020-02-19', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83464, '2020-02-20', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83465, '2020-02-21', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83466, '2020-02-22', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83467, '2020-02-23', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83468, '2020-02-24', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83469, '2020-02-25', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83470, '2020-02-26', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83471, '2020-02-27', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83472, '2020-02-28', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83473, '2020-02-29', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83474, '2020-03-01', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83475, '2020-03-02', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83476, '2020-03-03', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83477, '2020-03-04', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83478, '2020-03-05', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83479, '2020-03-06', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83480, '2020-03-07', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83481, '2020-03-08', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83482, '2020-03-09', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83483, '2020-03-10', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83484, '2020-03-11', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83485, '2020-03-12', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83486, '2020-03-13', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83487, '2020-03-14', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83488, '2020-03-15', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83489, '2020-03-16', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83490, '2020-03-17', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83491, '2020-03-18', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83492, '2020-03-19', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83493, '2020-03-20', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83494, '2020-03-21', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83495, '2020-03-22', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83496, '2020-03-23', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83497, '2020-03-24', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83498, '2020-03-25', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83499, '2020-03-26', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83500, '2020-03-27', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83501, '2020-03-28', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83502, '2020-03-29', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83503, '2020-03-30', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83504, '2020-03-31', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83505, '2020-04-01', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83506, '2020-04-02', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83507, '2020-04-03', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83508, '2020-04-04', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83509, '2020-04-05', 'SS', 'South Sudan', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83510, '2020-04-06', 'SS', 'South Sudan', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (83511, '2020-04-07', 'SS', 'South Sudan', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (83512, '2020-04-08', 'SS', 'South Sudan', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (83513, '2020-04-09', 'SS', 'South Sudan', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (83514, '2020-04-10', 'SS', 'South Sudan', 'AFRO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (83515, '2020-04-11', 'SS', 'South Sudan', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (83516, '2020-04-12', 'SS', 'South Sudan', 'AFRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (83517, '2020-04-13', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83518, '2020-04-14', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83519, '2020-04-15', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83520, '2020-04-16', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83521, '2020-04-17', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83522, '2020-04-18', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83523, '2020-04-19', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83524, '2020-04-20', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83525, '2020-04-21', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83526, '2020-04-22', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83527, '2020-04-23', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83528, '2020-04-24', 'SS', 'South Sudan', 'AFRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (83529, '2020-04-25', 'SS', 'South Sudan', 'AFRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (83530, '2020-04-26', 'SS', 'South Sudan', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (83531, '2020-04-27', 'SS', 'South Sudan', 'AFRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (83532, '2020-04-28', 'SS', 'South Sudan', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (83533, '2020-04-29', 'SS', 'South Sudan', 'AFRO', '28', '34', '0', '0');
INSERT INTO public.who_import VALUES (83534, '2020-04-30', 'SS', 'South Sudan', 'AFRO', '0', '34', '0', '0');
INSERT INTO public.who_import VALUES (83535, '2020-05-01', 'SS', 'South Sudan', 'AFRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (83536, '2020-05-02', 'SS', 'South Sudan', 'AFRO', '10', '45', '0', '0');
INSERT INTO public.who_import VALUES (83537, '2020-05-03', 'SS', 'South Sudan', 'AFRO', '0', '45', '0', '0');
INSERT INTO public.who_import VALUES (83538, '2020-05-04', 'SS', 'South Sudan', 'AFRO', '1', '46', '0', '0');
INSERT INTO public.who_import VALUES (83539, '2020-05-05', 'SS', 'South Sudan', 'AFRO', '3', '49', '0', '0');
INSERT INTO public.who_import VALUES (83540, '2020-05-06', 'SS', 'South Sudan', 'AFRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (83541, '2020-05-07', 'SS', 'South Sudan', 'AFRO', '9', '58', '0', '0');
INSERT INTO public.who_import VALUES (83542, '2020-05-08', 'SS', 'South Sudan', 'AFRO', '32', '90', '0', '0');
INSERT INTO public.who_import VALUES (83543, '2020-05-09', 'SS', 'South Sudan', 'AFRO', '30', '120', '0', '0');
INSERT INTO public.who_import VALUES (83544, '2020-05-10', 'SS', 'South Sudan', 'AFRO', '0', '120', '0', '0');
INSERT INTO public.who_import VALUES (83545, '2020-05-11', 'SS', 'South Sudan', 'AFRO', '36', '156', '0', '0');
INSERT INTO public.who_import VALUES (83546, '2020-05-12', 'SS', 'South Sudan', 'AFRO', '18', '174', '0', '0');
INSERT INTO public.who_import VALUES (83547, '2020-05-13', 'SS', 'South Sudan', 'AFRO', '0', '174', '0', '0');
INSERT INTO public.who_import VALUES (83548, '2020-05-14', 'SS', 'South Sudan', 'AFRO', '20', '194', '0', '0');
INSERT INTO public.who_import VALUES (83549, '2020-05-15', 'SS', 'South Sudan', 'AFRO', '37', '231', '1', '1');
INSERT INTO public.who_import VALUES (83550, '2020-05-16', 'SS', 'South Sudan', 'AFRO', '0', '231', '0', '1');
INSERT INTO public.who_import VALUES (83551, '2020-05-17', 'SS', 'South Sudan', 'AFRO', '0', '231', '0', '1');
INSERT INTO public.who_import VALUES (83552, '2020-05-18', 'SS', 'South Sudan', 'AFRO', '51', '282', '3', '4');
INSERT INTO public.who_import VALUES (83553, '2020-05-19', 'SS', 'South Sudan', 'AFRO', '0', '282', '0', '4');
INSERT INTO public.who_import VALUES (83554, '2020-05-20', 'SS', 'South Sudan', 'AFRO', '0', '282', '0', '4');
INSERT INTO public.who_import VALUES (83555, '2020-05-21', 'SS', 'South Sudan', 'AFRO', '57', '339', '2', '6');
INSERT INTO public.who_import VALUES (83556, '2020-05-22', 'SS', 'South Sudan', 'AFRO', '134', '473', '0', '6');
INSERT INTO public.who_import VALUES (83557, '2020-05-23', 'SS', 'South Sudan', 'AFRO', '0', '473', '-1', '5');
INSERT INTO public.who_import VALUES (83558, '2020-05-24', 'SS', 'South Sudan', 'AFRO', '90', '563', '1', '6');
INSERT INTO public.who_import VALUES (83559, '2020-05-25', 'SS', 'South Sudan', 'AFRO', '92', '655', '2', '8');
INSERT INTO public.who_import VALUES (83560, '2020-05-26', 'SS', 'South Sudan', 'AFRO', '0', '655', '0', '8');
INSERT INTO public.who_import VALUES (83561, '2020-05-27', 'SS', 'South Sudan', 'AFRO', '151', '806', '0', '8');
INSERT INTO public.who_import VALUES (83562, '2020-05-28', 'SS', 'South Sudan', 'AFRO', '0', '806', '0', '8');
INSERT INTO public.who_import VALUES (83563, '2020-05-29', 'SS', 'South Sudan', 'AFRO', '188', '994', '2', '10');
INSERT INTO public.who_import VALUES (83564, '2020-05-30', 'SS', 'South Sudan', 'AFRO', '0', '994', '0', '10');
INSERT INTO public.who_import VALUES (83565, '2020-05-31', 'SS', 'South Sudan', 'AFRO', '0', '994', '0', '10');
INSERT INTO public.who_import VALUES (83566, '2020-06-01', 'SS', 'South Sudan', 'AFRO', '0', '994', '0', '10');
INSERT INTO public.who_import VALUES (83567, '2020-06-02', 'SS', 'South Sudan', 'AFRO', '0', '994', '0', '10');
INSERT INTO public.who_import VALUES (83568, '2020-06-03', 'SS', 'South Sudan', 'AFRO', '0', '994', '0', '10');
INSERT INTO public.who_import VALUES (83569, '2020-06-04', 'SS', 'South Sudan', 'AFRO', '323', '1317', '4', '14');
INSERT INTO public.who_import VALUES (83570, '2020-06-05', 'SS', 'South Sudan', 'AFRO', '0', '1317', '0', '14');
INSERT INTO public.who_import VALUES (83571, '2020-06-06', 'SS', 'South Sudan', 'AFRO', '0', '1317', '0', '14');
INSERT INTO public.who_import VALUES (83572, '2020-06-07', 'SS', 'South Sudan', 'AFRO', '0', '1317', '0', '14');
INSERT INTO public.who_import VALUES (83573, '2020-06-08', 'SS', 'South Sudan', 'AFRO', '0', '1317', '0', '14');
INSERT INTO public.who_import VALUES (83574, '2020-06-09', 'SS', 'South Sudan', 'AFRO', '287', '1604', '5', '19');
INSERT INTO public.who_import VALUES (83575, '2020-06-10', 'SS', 'South Sudan', 'AFRO', '2', '1606', '1', '20');
INSERT INTO public.who_import VALUES (83576, '2020-06-11', 'SS', 'South Sudan', 'AFRO', '0', '1606', '0', '20');
INSERT INTO public.who_import VALUES (83577, '2020-06-12', 'SS', 'South Sudan', 'AFRO', '0', '1606', '2', '22');
INSERT INTO public.who_import VALUES (83578, '2020-06-13', 'SS', 'South Sudan', 'AFRO', '64', '1670', '0', '22');
INSERT INTO public.who_import VALUES (83579, '2020-06-14', 'SS', 'South Sudan', 'AFRO', '14', '1684', '3', '25');
INSERT INTO public.who_import VALUES (83580, '2020-06-15', 'SS', 'South Sudan', 'AFRO', '9', '1693', '2', '27');
INSERT INTO public.who_import VALUES (83581, '2020-06-16', 'SS', 'South Sudan', 'AFRO', '62', '1755', '3', '30');
INSERT INTO public.who_import VALUES (83582, '2020-06-17', 'SS', 'South Sudan', 'AFRO', '21', '1776', '0', '30');
INSERT INTO public.who_import VALUES (83583, '2020-06-18', 'SS', 'South Sudan', 'AFRO', '31', '1807', '1', '31');
INSERT INTO public.who_import VALUES (83584, '2020-06-19', 'SS', 'South Sudan', 'AFRO', '6', '1813', '0', '31');
INSERT INTO public.who_import VALUES (83585, '2020-06-20', 'SS', 'South Sudan', 'AFRO', '17', '1830', '1', '32');
INSERT INTO public.who_import VALUES (83586, '2020-06-21', 'SS', 'South Sudan', 'AFRO', '34', '1864', '2', '34');
INSERT INTO public.who_import VALUES (83587, '2020-06-22', 'SS', 'South Sudan', 'AFRO', '18', '1882', '0', '34');
INSERT INTO public.who_import VALUES (83588, '2020-06-23', 'SS', 'South Sudan', 'AFRO', '10', '1892', '0', '34');
INSERT INTO public.who_import VALUES (83589, '2020-06-24', 'SS', 'South Sudan', 'AFRO', '24', '1916', '1', '35');
INSERT INTO public.who_import VALUES (83590, '2020-06-25', 'SS', 'South Sudan', 'AFRO', '14', '1930', '1', '36');
INSERT INTO public.who_import VALUES (83591, '2020-06-26', 'SS', 'South Sudan', 'AFRO', '12', '1942', '0', '36');
INSERT INTO public.who_import VALUES (83592, '2020-06-27', 'SS', 'South Sudan', 'AFRO', '10', '1952', '0', '36');
INSERT INTO public.who_import VALUES (83593, '2020-06-28', 'SS', 'South Sudan', 'AFRO', '6', '1958', '0', '36');
INSERT INTO public.who_import VALUES (83594, '2020-06-29', 'SS', 'South Sudan', 'AFRO', '8', '1966', '0', '36');
INSERT INTO public.who_import VALUES (83595, '2020-06-30', 'SS', 'South Sudan', 'AFRO', '40', '2006', '1', '37');
INSERT INTO public.who_import VALUES (83596, '2020-07-01', 'SS', 'South Sudan', 'AFRO', '1', '2007', '1', '38');
INSERT INTO public.who_import VALUES (83597, '2020-07-02', 'SS', 'South Sudan', 'AFRO', '0', '2007', '0', '38');
INSERT INTO public.who_import VALUES (83598, '2020-07-03', 'SS', 'South Sudan', 'AFRO', '29', '2036', '0', '38');
INSERT INTO public.who_import VALUES (83599, '2020-07-04', 'SS', 'South Sudan', 'AFRO', '0', '2036', '0', '38');
INSERT INTO public.who_import VALUES (83600, '2020-07-05', 'SS', 'South Sudan', 'AFRO', '22', '2058', '0', '38');
INSERT INTO public.who_import VALUES (83601, '2020-07-06', 'SS', 'South Sudan', 'AFRO', '35', '2093', '2', '40');
INSERT INTO public.who_import VALUES (83602, '2020-07-07', 'SS', 'South Sudan', 'AFRO', '5', '2098', '0', '40');
INSERT INTO public.who_import VALUES (83603, '2020-07-08', 'SS', 'South Sudan', 'AFRO', '8', '2106', '0', '40');
INSERT INTO public.who_import VALUES (83604, '2020-07-09', 'SS', 'South Sudan', 'AFRO', '0', '2106', '0', '40');
INSERT INTO public.who_import VALUES (83605, '2020-07-10', 'SS', 'South Sudan', 'AFRO', '23', '2129', '1', '41');
INSERT INTO public.who_import VALUES (83606, '2020-07-11', 'SS', 'South Sudan', 'AFRO', '0', '2129', '0', '41');
INSERT INTO public.who_import VALUES (83607, '2020-07-12', 'SS', 'South Sudan', 'AFRO', '10', '2139', '0', '41');
INSERT INTO public.who_import VALUES (83608, '2020-07-13', 'SS', 'South Sudan', 'AFRO', '9', '2148', '0', '41');
INSERT INTO public.who_import VALUES (83609, '2020-07-14', 'SS', 'South Sudan', 'AFRO', '0', '2148', '0', '41');
INSERT INTO public.who_import VALUES (83610, '2020-07-15', 'SS', 'South Sudan', 'AFRO', '5', '2153', '0', '41');
INSERT INTO public.who_import VALUES (83611, '2020-07-16', 'SS', 'South Sudan', 'AFRO', '18', '2171', '0', '41');
INSERT INTO public.who_import VALUES (83612, '2020-07-17', 'SS', 'South Sudan', 'AFRO', '20', '2191', '2', '43');
INSERT INTO public.who_import VALUES (83613, '2020-07-18', 'SS', 'South Sudan', 'AFRO', '0', '2191', '0', '43');
INSERT INTO public.who_import VALUES (83614, '2020-07-19', 'SS', 'South Sudan', 'AFRO', '9', '2200', '0', '43');
INSERT INTO public.who_import VALUES (83615, '2020-07-20', 'SS', 'South Sudan', 'AFRO', '11', '2211', '2', '45');
INSERT INTO public.who_import VALUES (83616, '2020-07-21', 'SS', 'South Sudan', 'AFRO', '0', '2211', '0', '45');
INSERT INTO public.who_import VALUES (83617, '2020-07-22', 'SS', 'South Sudan', 'AFRO', '0', '2211', '0', '45');
INSERT INTO public.who_import VALUES (83618, '2020-07-23', 'SS', 'South Sudan', 'AFRO', '28', '2239', '0', '45');
INSERT INTO public.who_import VALUES (83619, '2020-07-24', 'SS', 'South Sudan', 'AFRO', '19', '2258', '0', '45');
INSERT INTO public.who_import VALUES (83620, '2020-07-25', 'SS', 'South Sudan', 'AFRO', '0', '2258', '0', '45');
INSERT INTO public.who_import VALUES (83621, '2020-07-26', 'SS', 'South Sudan', 'AFRO', '4', '2262', '0', '45');
INSERT INTO public.who_import VALUES (83622, '2020-07-27', 'SS', 'South Sudan', 'AFRO', '43', '2305', '1', '46');
INSERT INTO public.who_import VALUES (83623, '2020-07-28', 'SS', 'South Sudan', 'AFRO', '0', '2305', '0', '46');
INSERT INTO public.who_import VALUES (83624, '2020-07-29', 'SS', 'South Sudan', 'AFRO', '17', '2322', '0', '46');
INSERT INTO public.who_import VALUES (83625, '2020-07-30', 'SS', 'South Sudan', 'AFRO', '0', '2322', '0', '46');
INSERT INTO public.who_import VALUES (83626, '2020-07-31', 'SS', 'South Sudan', 'AFRO', '0', '2322', '0', '46');
INSERT INTO public.who_import VALUES (83627, '2020-08-01', 'SS', 'South Sudan', 'AFRO', '30', '2352', '0', '46');
INSERT INTO public.who_import VALUES (83628, '2020-08-02', 'SS', 'South Sudan', 'AFRO', '77', '2429', '0', '46');
INSERT INTO public.who_import VALUES (83629, '2020-08-03', 'SS', 'South Sudan', 'AFRO', '0', '2429', '0', '46');
INSERT INTO public.who_import VALUES (83630, '2020-08-04', 'SS', 'South Sudan', 'AFRO', '8', '2437', '1', '47');
INSERT INTO public.who_import VALUES (83631, '2020-08-05', 'SS', 'South Sudan', 'AFRO', '0', '2437', '0', '47');
INSERT INTO public.who_import VALUES (83632, '2020-08-06', 'SS', 'South Sudan', 'AFRO', '13', '2450', '0', '47');
INSERT INTO public.who_import VALUES (83633, '2020-08-07', 'SS', 'South Sudan', 'AFRO', '0', '2450', '0', '47');
INSERT INTO public.who_import VALUES (83634, '2020-08-08', 'SS', 'South Sudan', 'AFRO', '13', '2463', '0', '47');
INSERT INTO public.who_import VALUES (83635, '2020-08-09', 'SS', 'South Sudan', 'AFRO', '7', '2470', '0', '47');
INSERT INTO public.who_import VALUES (83636, '2020-08-10', 'SS', 'South Sudan', 'AFRO', '0', '2470', '0', '47');
INSERT INTO public.who_import VALUES (83637, '2020-08-11', 'SS', 'South Sudan', 'AFRO', '2', '2472', '0', '47');
INSERT INTO public.who_import VALUES (83638, '2020-08-12', 'SS', 'South Sudan', 'AFRO', '5', '2477', '0', '47');
INSERT INTO public.who_import VALUES (83639, '2020-08-13', 'SS', 'South Sudan', 'AFRO', '1', '2478', '0', '47');
INSERT INTO public.who_import VALUES (83640, '2020-08-14', 'SS', 'South Sudan', 'AFRO', '4', '2482', '0', '47');
INSERT INTO public.who_import VALUES (83641, '2020-08-15', 'SS', 'South Sudan', 'AFRO', '6', '2488', '0', '47');
INSERT INTO public.who_import VALUES (83642, '2020-08-16', 'SS', 'South Sudan', 'AFRO', '1', '2489', '0', '47');
INSERT INTO public.who_import VALUES (83643, '2020-08-17', 'SS', 'South Sudan', 'AFRO', '1', '2490', '0', '47');
INSERT INTO public.who_import VALUES (83644, '2020-08-18', 'SS', 'South Sudan', 'AFRO', '0', '2490', '0', '47');
INSERT INTO public.who_import VALUES (83645, '2020-08-19', 'SS', 'South Sudan', 'AFRO', '4', '2494', '0', '47');
INSERT INTO public.who_import VALUES (83646, '2020-08-20', 'SS', 'South Sudan', 'AFRO', '0', '2494', '0', '47');
INSERT INTO public.who_import VALUES (83647, '2020-08-21', 'SS', 'South Sudan', 'AFRO', '3', '2497', '0', '47');
INSERT INTO public.who_import VALUES (83648, '2020-08-22', 'SS', 'South Sudan', 'AFRO', '0', '2497', '0', '47');
INSERT INTO public.who_import VALUES (83649, '2020-08-23', 'SS', 'South Sudan', 'AFRO', '2', '2499', '0', '47');
INSERT INTO public.who_import VALUES (83650, '2020-08-24', 'SS', 'South Sudan', 'AFRO', '5', '2504', '0', '47');
INSERT INTO public.who_import VALUES (83651, '2020-08-25', 'SS', 'South Sudan', 'AFRO', '3', '2507', '0', '47');
INSERT INTO public.who_import VALUES (83652, '2020-08-26', 'SS', 'South Sudan', 'AFRO', '3', '2510', '0', '47');
INSERT INTO public.who_import VALUES (83653, '2020-08-27', 'SS', 'South Sudan', 'AFRO', '4', '2514', '0', '47');
INSERT INTO public.who_import VALUES (83654, '2020-08-28', 'SS', 'South Sudan', 'AFRO', '4', '2518', '0', '47');
INSERT INTO public.who_import VALUES (83655, '2020-08-29', 'SS', 'South Sudan', 'AFRO', '1', '2519', '0', '47');
INSERT INTO public.who_import VALUES (83656, '2020-08-30', 'SS', 'South Sudan', 'AFRO', '0', '2519', '0', '47');
INSERT INTO public.who_import VALUES (83657, '2020-08-31', 'SS', 'South Sudan', 'AFRO', '8', '2527', '0', '47');
INSERT INTO public.who_import VALUES (83658, '2020-09-01', 'SS', 'South Sudan', 'AFRO', '0', '2527', '0', '47');
INSERT INTO public.who_import VALUES (83659, '2020-09-02', 'SS', 'South Sudan', 'AFRO', '5', '2532', '0', '47');
INSERT INTO public.who_import VALUES (83660, '2020-09-03', 'SS', 'South Sudan', 'AFRO', '1', '2533', '0', '47');
INSERT INTO public.who_import VALUES (83661, '2020-09-04', 'SS', 'South Sudan', 'AFRO', '3', '2536', '0', '47');
INSERT INTO public.who_import VALUES (83662, '2020-09-05', 'SS', 'South Sudan', 'AFRO', '8', '2544', '1', '48');
INSERT INTO public.who_import VALUES (83663, '2020-09-06', 'SS', 'South Sudan', 'AFRO', '0', '2544', '0', '48');
INSERT INTO public.who_import VALUES (83664, '2020-09-07', 'SS', 'South Sudan', 'AFRO', '1', '2545', '0', '48');
INSERT INTO public.who_import VALUES (83665, '2020-09-08', 'SS', 'South Sudan', 'AFRO', '7', '2552', '1', '49');
INSERT INTO public.who_import VALUES (83666, '2020-09-09', 'SS', 'South Sudan', 'AFRO', '3', '2555', '0', '49');
INSERT INTO public.who_import VALUES (83667, '2020-09-10', 'SS', 'South Sudan', 'AFRO', '0', '2555', '-1', '48');
INSERT INTO public.who_import VALUES (83668, '2020-09-11', 'SS', 'South Sudan', 'AFRO', '13', '2568', '0', '48');
INSERT INTO public.who_import VALUES (83669, '2020-09-12', 'SS', 'South Sudan', 'AFRO', '10', '2578', '1', '49');
INSERT INTO public.who_import VALUES (83670, '2020-09-13', 'SS', 'South Sudan', 'AFRO', '0', '2578', '0', '49');
INSERT INTO public.who_import VALUES (83671, '2020-09-14', 'SS', 'South Sudan', 'AFRO', '9', '2587', '0', '49');
INSERT INTO public.who_import VALUES (83672, '2020-09-15', 'SS', 'South Sudan', 'AFRO', '5', '2592', '0', '49');
INSERT INTO public.who_import VALUES (83673, '2020-09-16', 'SS', 'South Sudan', 'AFRO', '2', '2594', '0', '49');
INSERT INTO public.who_import VALUES (83674, '2020-09-17', 'SS', 'South Sudan', 'AFRO', '5', '2599', '0', '49');
INSERT INTO public.who_import VALUES (83675, '2020-09-18', 'SS', 'South Sudan', 'AFRO', '10', '2609', '0', '49');
INSERT INTO public.who_import VALUES (83676, '2020-09-19', 'SS', 'South Sudan', 'AFRO', '33', '2642', '0', '49');
INSERT INTO public.who_import VALUES (83677, '2020-09-20', 'SS', 'South Sudan', 'AFRO', '0', '2642', '0', '49');
INSERT INTO public.who_import VALUES (83678, '2020-09-21', 'SS', 'South Sudan', 'AFRO', '7', '2649', '0', '49');
INSERT INTO public.who_import VALUES (83679, '2020-09-22', 'SS', 'South Sudan', 'AFRO', '11', '2660', '0', '49');
INSERT INTO public.who_import VALUES (83680, '2020-09-23', 'SS', 'South Sudan', 'AFRO', '4', '2664', '0', '49');
INSERT INTO public.who_import VALUES (83681, '2020-09-24', 'SS', 'South Sudan', 'AFRO', '5', '2669', '0', '49');
INSERT INTO public.who_import VALUES (83682, '2020-09-25', 'SS', 'South Sudan', 'AFRO', '7', '2676', '0', '49');
INSERT INTO public.who_import VALUES (83683, '2020-09-26', 'SS', 'South Sudan', 'AFRO', '0', '2676', '0', '49');
INSERT INTO public.who_import VALUES (83684, '2020-09-27', 'SS', 'South Sudan', 'AFRO', '10', '2686', '0', '49');
INSERT INTO public.who_import VALUES (83685, '2020-09-28', 'SS', 'South Sudan', 'AFRO', '6', '2692', '0', '49');
INSERT INTO public.who_import VALUES (83686, '2020-09-29', 'SS', 'South Sudan', 'AFRO', '8', '2700', '0', '49');
INSERT INTO public.who_import VALUES (83687, '2020-09-30', 'SS', 'South Sudan', 'AFRO', '4', '2704', '0', '49');
INSERT INTO public.who_import VALUES (83688, '2020-10-01', 'SS', 'South Sudan', 'AFRO', '0', '2704', '0', '49');
INSERT INTO public.who_import VALUES (83689, '2020-10-02', 'SS', 'South Sudan', 'AFRO', '11', '2715', '1', '50');
INSERT INTO public.who_import VALUES (83690, '2020-10-03', 'SS', 'South Sudan', 'AFRO', '0', '2715', '0', '50');
INSERT INTO public.who_import VALUES (83691, '2020-10-04', 'SS', 'South Sudan', 'AFRO', '11', '2726', '0', '50');
INSERT INTO public.who_import VALUES (83692, '2020-10-05', 'SS', 'South Sudan', 'AFRO', '0', '2726', '0', '50');
INSERT INTO public.who_import VALUES (83693, '2020-10-06', 'SS', 'South Sudan', 'AFRO', '8', '2734', '0', '50');
INSERT INTO public.who_import VALUES (83694, '2020-10-07', 'SS', 'South Sudan', 'AFRO', '14', '2748', '0', '50');
INSERT INTO public.who_import VALUES (83695, '2020-10-08', 'SS', 'South Sudan', 'AFRO', '1', '2749', '3', '53');
INSERT INTO public.who_import VALUES (83696, '2020-10-09', 'SS', 'South Sudan', 'AFRO', '12', '2761', '1', '54');
INSERT INTO public.who_import VALUES (83697, '2020-10-10', 'SS', 'South Sudan', 'AFRO', '0', '2761', '0', '54');
INSERT INTO public.who_import VALUES (83698, '2020-10-11', 'SS', 'South Sudan', 'AFRO', '16', '2777', '1', '55');
INSERT INTO public.who_import VALUES (83699, '2020-10-12', 'SS', 'South Sudan', 'AFRO', '10', '2787', '0', '55');
INSERT INTO public.who_import VALUES (83700, '2020-10-13', 'SS', 'South Sudan', 'AFRO', '11', '2798', '0', '55');
INSERT INTO public.who_import VALUES (83701, '2020-10-14', 'SS', 'South Sudan', 'AFRO', '0', '2798', '0', '55');
INSERT INTO public.who_import VALUES (83702, '2020-10-15', 'SS', 'South Sudan', 'AFRO', '9', '2807', '0', '55');
INSERT INTO public.who_import VALUES (83703, '2020-10-16', 'SS', 'South Sudan', 'AFRO', '10', '2817', '0', '55');
INSERT INTO public.who_import VALUES (83704, '2020-10-17', 'SS', 'South Sudan', 'AFRO', '0', '2817', '0', '55');
INSERT INTO public.who_import VALUES (83705, '2020-10-18', 'SS', 'South Sudan', 'AFRO', '25', '2842', '0', '55');
INSERT INTO public.who_import VALUES (83706, '2020-10-19', 'SS', 'South Sudan', 'AFRO', '5', '2847', '0', '55');
INSERT INTO public.who_import VALUES (83707, '2020-10-20', 'SS', 'South Sudan', 'AFRO', '0', '2847', '0', '55');
INSERT INTO public.who_import VALUES (83708, '2020-10-21', 'SS', 'South Sudan', 'AFRO', '23', '2870', '0', '55');
INSERT INTO public.who_import VALUES (83709, '2020-10-22', 'SS', 'South Sudan', 'AFRO', '2', '2872', '0', '55');
INSERT INTO public.who_import VALUES (83710, '2020-10-23', 'SS', 'South Sudan', 'AFRO', '4', '2876', '1', '56');
INSERT INTO public.who_import VALUES (83711, '2020-10-24', 'SS', 'South Sudan', 'AFRO', '2', '2878', '0', '56');
INSERT INTO public.who_import VALUES (83712, '2020-10-25', 'SS', 'South Sudan', 'AFRO', '5', '2883', '0', '56');
INSERT INTO public.who_import VALUES (83713, '2020-10-26', 'SS', 'South Sudan', 'AFRO', '0', '2883', '0', '56');
INSERT INTO public.who_import VALUES (83714, '2020-10-27', 'SS', 'South Sudan', 'AFRO', '7', '2890', '0', '56');
INSERT INTO public.who_import VALUES (83715, '2020-10-28', 'SS', 'South Sudan', 'AFRO', '0', '2890', '0', '56');
INSERT INTO public.who_import VALUES (83716, '2020-10-29', 'SS', 'South Sudan', 'AFRO', '13', '2903', '2', '58');
INSERT INTO public.who_import VALUES (83717, '2020-10-30', 'SS', 'South Sudan', 'AFRO', '0', '2903', '0', '58');
INSERT INTO public.who_import VALUES (83718, '2020-10-31', 'SS', 'South Sudan', 'AFRO', '2', '2905', '0', '58');
INSERT INTO public.who_import VALUES (83719, '2020-11-01', 'SS', 'South Sudan', 'AFRO', '21', '2926', '1', '59');
INSERT INTO public.who_import VALUES (83720, '2020-11-02', 'SS', 'South Sudan', 'AFRO', '0', '2926', '0', '59');
INSERT INTO public.who_import VALUES (83721, '2020-11-03', 'SS', 'South Sudan', 'AFRO', '14', '2940', '0', '59');
INSERT INTO public.who_import VALUES (83722, '2020-11-04', 'SS', 'South Sudan', 'AFRO', '3', '2943', '0', '59');
INSERT INTO public.who_import VALUES (83723, '2020-11-05', 'SS', 'South Sudan', 'AFRO', '0', '2943', '0', '59');
INSERT INTO public.who_import VALUES (83724, '2020-11-06', 'SS', 'South Sudan', 'AFRO', '0', '2943', '0', '59');
INSERT INTO public.who_import VALUES (83725, '2020-11-07', 'SS', 'South Sudan', 'AFRO', '0', '2943', '0', '59');
INSERT INTO public.who_import VALUES (83726, '2020-11-08', 'SS', 'South Sudan', 'AFRO', '0', '2943', '0', '59');
INSERT INTO public.who_import VALUES (83727, '2020-11-09', 'SS', 'South Sudan', 'AFRO', '17', '2960', '0', '59');
INSERT INTO public.who_import VALUES (83728, '2020-11-10', 'SS', 'South Sudan', 'AFRO', '0', '2960', '0', '59');
INSERT INTO public.who_import VALUES (83729, '2020-11-11', 'SS', 'South Sudan', 'AFRO', '0', '2960', '0', '59');
INSERT INTO public.who_import VALUES (83730, '2020-11-12', 'SS', 'South Sudan', 'AFRO', '0', '2960', '0', '59');
INSERT INTO public.who_import VALUES (83731, '2020-11-13', 'SS', 'South Sudan', 'AFRO', '20', '2980', '0', '59');
INSERT INTO public.who_import VALUES (83732, '2020-11-14', 'SS', 'South Sudan', 'AFRO', '23', '3003', '0', '59');
INSERT INTO public.who_import VALUES (83733, '2020-11-15', 'SS', 'South Sudan', 'AFRO', '0', '3003', '0', '59');
INSERT INTO public.who_import VALUES (83734, '2020-11-16', 'SS', 'South Sudan', 'AFRO', '9', '3012', '0', '59');
INSERT INTO public.who_import VALUES (83735, '2020-11-17', 'SS', 'South Sudan', 'AFRO', '4', '3016', '0', '59');
INSERT INTO public.who_import VALUES (83736, '2020-11-18', 'SS', 'South Sudan', 'AFRO', '0', '3016', '0', '59');
INSERT INTO public.who_import VALUES (83737, '2020-11-19', 'SS', 'South Sudan', 'AFRO', '0', '3016', '0', '59');
INSERT INTO public.who_import VALUES (83738, '2020-11-20', 'SS', 'South Sudan', 'AFRO', '0', '3016', '0', '59');
INSERT INTO public.who_import VALUES (83739, '2020-11-21', 'SS', 'South Sudan', 'AFRO', '31', '3047', '1', '60');
INSERT INTO public.who_import VALUES (83740, '2020-11-22', 'SS', 'South Sudan', 'AFRO', '0', '3047', '0', '60');
INSERT INTO public.who_import VALUES (83741, '2020-11-23', 'SS', 'South Sudan', 'AFRO', '0', '3047', '0', '60');
INSERT INTO public.who_import VALUES (83742, '2020-11-24', 'SS', 'South Sudan', 'AFRO', '0', '3047', '0', '60');
INSERT INTO public.who_import VALUES (83743, '2020-11-25', 'SS', 'South Sudan', 'AFRO', '0', '3047', '0', '60');
INSERT INTO public.who_import VALUES (83744, '2020-11-26', 'SS', 'South Sudan', 'AFRO', '0', '3047', '0', '60');
INSERT INTO public.who_import VALUES (83745, '2020-11-27', 'SS', 'South Sudan', 'AFRO', '0', '3047', '0', '60');
INSERT INTO public.who_import VALUES (83746, '2020-11-28', 'SS', 'South Sudan', 'AFRO', '57', '3104', '1', '61');
INSERT INTO public.who_import VALUES (83747, '2020-11-29', 'SS', 'South Sudan', 'AFRO', '0', '3104', '0', '61');
INSERT INTO public.who_import VALUES (83748, '2020-11-30', 'SS', 'South Sudan', 'AFRO', '0', '3104', '0', '61');
INSERT INTO public.who_import VALUES (83749, '2020-12-01', 'SS', 'South Sudan', 'AFRO', '5', '3109', '0', '61');
INSERT INTO public.who_import VALUES (83750, '2020-12-02', 'SS', 'South Sudan', 'AFRO', '0', '3109', '0', '61');
INSERT INTO public.who_import VALUES (83751, '2020-12-03', 'SS', 'South Sudan', 'AFRO', '0', '3109', '0', '61');
INSERT INTO public.who_import VALUES (83752, '2020-12-04', 'SS', 'South Sudan', 'AFRO', '45', '3154', '1', '62');
INSERT INTO public.who_import VALUES (83753, '2020-12-05', 'SS', 'South Sudan', 'AFRO', '0', '3154', '0', '62');
INSERT INTO public.who_import VALUES (83754, '2020-12-06', 'SS', 'South Sudan', 'AFRO', '12', '3166', '-1', '61');
INSERT INTO public.who_import VALUES (83755, '2020-12-07', 'SS', 'South Sudan', 'AFRO', '15', '3181', '1', '62');
INSERT INTO public.who_import VALUES (83756, '2020-12-08', 'SS', 'South Sudan', 'AFRO', '0', '3181', '0', '62');
INSERT INTO public.who_import VALUES (83757, '2020-12-09', 'SS', 'South Sudan', 'AFRO', '0', '3181', '0', '62');
INSERT INTO public.who_import VALUES (83758, '2020-12-10', 'SS', 'South Sudan', 'AFRO', '0', '3181', '0', '62');
INSERT INTO public.who_import VALUES (83759, '2020-12-11', 'SS', 'South Sudan', 'AFRO', '0', '3181', '0', '62');
INSERT INTO public.who_import VALUES (83760, '2020-12-12', 'SS', 'South Sudan', 'AFRO', '0', '3181', '0', '62');
INSERT INTO public.who_import VALUES (83761, '2020-12-13', 'SS', 'South Sudan', 'AFRO', '0', '3181', '0', '62');
INSERT INTO public.who_import VALUES (83762, '2020-12-14', 'SS', 'South Sudan', 'AFRO', '25', '3206', '0', '62');
INSERT INTO public.who_import VALUES (83763, '2020-12-15', 'SS', 'South Sudan', 'AFRO', '0', '3206', '0', '62');
INSERT INTO public.who_import VALUES (83764, '2020-12-16', 'SS', 'South Sudan', 'AFRO', '0', '3206', '0', '62');
INSERT INTO public.who_import VALUES (83765, '2020-12-17', 'SS', 'South Sudan', 'AFRO', '0', '3206', '0', '62');
INSERT INTO public.who_import VALUES (83766, '2020-12-18', 'SS', 'South Sudan', 'AFRO', '17', '3223', '0', '62');
INSERT INTO public.who_import VALUES (83767, '2020-12-19', 'SS', 'South Sudan', 'AFRO', '5', '3228', '0', '62');
INSERT INTO public.who_import VALUES (83768, '2020-12-20', 'SS', 'South Sudan', 'AFRO', '0', '3228', '0', '62');
INSERT INTO public.who_import VALUES (83769, '2020-12-21', 'SS', 'South Sudan', 'AFRO', '0', '3228', '0', '62');
INSERT INTO public.who_import VALUES (83770, '2020-12-22', 'SS', 'South Sudan', 'AFRO', '6', '3234', '0', '62');
INSERT INTO public.who_import VALUES (83771, '2020-12-23', 'SS', 'South Sudan', 'AFRO', '42', '3276', '0', '62');
INSERT INTO public.who_import VALUES (83772, '2020-12-24', 'SS', 'South Sudan', 'AFRO', '0', '3276', '0', '62');
INSERT INTO public.who_import VALUES (83773, '2020-12-25', 'SS', 'South Sudan', 'AFRO', '32', '3308', '0', '62');
INSERT INTO public.who_import VALUES (83774, '2020-12-26', 'SS', 'South Sudan', 'AFRO', '0', '3308', '0', '62');
INSERT INTO public.who_import VALUES (83775, '2020-12-27', 'SS', 'South Sudan', 'AFRO', '0', '3308', '0', '62');
INSERT INTO public.who_import VALUES (83776, '2020-12-28', 'SS', 'South Sudan', 'AFRO', '0', '3308', '0', '62');
INSERT INTO public.who_import VALUES (83777, '2020-12-29', 'SS', 'South Sudan', 'AFRO', '183', '3491', '0', '62');
INSERT INTO public.who_import VALUES (83778, '2020-12-30', 'SS', 'South Sudan', 'AFRO', '0', '3491', '0', '62');
INSERT INTO public.who_import VALUES (83779, '2020-12-31', 'SS', 'South Sudan', 'AFRO', '49', '3540', '1', '63');
INSERT INTO public.who_import VALUES (83780, '2021-01-01', 'SS', 'South Sudan', 'AFRO', '18', '3558', '0', '63');
INSERT INTO public.who_import VALUES (83781, '2021-01-02', 'SS', 'South Sudan', 'AFRO', '0', '3558', '0', '63');
INSERT INTO public.who_import VALUES (83782, '2021-01-03', 'SS', 'South Sudan', 'AFRO', '0', '3558', '0', '63');
INSERT INTO public.who_import VALUES (83783, '2021-01-04', 'SS', 'South Sudan', 'AFRO', '0', '3558', '0', '63');
INSERT INTO public.who_import VALUES (83784, '2021-01-05', 'SS', 'South Sudan', 'AFRO', '31', '3589', '0', '63');
INSERT INTO public.who_import VALUES (83785, '2021-01-06', 'SS', 'South Sudan', 'AFRO', '0', '3589', '0', '63');
INSERT INTO public.who_import VALUES (83786, '2021-01-07', 'SS', 'South Sudan', 'AFRO', '15', '3604', '0', '63');
INSERT INTO public.who_import VALUES (83787, '2021-01-08', 'SS', 'South Sudan', 'AFRO', '0', '3604', '0', '63');
INSERT INTO public.who_import VALUES (83788, '2021-01-09', 'SS', 'South Sudan', 'AFRO', '0', '3604', '0', '63');
INSERT INTO public.who_import VALUES (83789, '2021-01-10', 'SS', 'South Sudan', 'AFRO', '36', '3640', '0', '63');
INSERT INTO public.who_import VALUES (83790, '2021-01-11', 'SS', 'South Sudan', 'AFRO', '9', '3649', '0', '63');
INSERT INTO public.who_import VALUES (83791, '2021-01-12', 'SS', 'South Sudan', 'AFRO', '13', '3662', '0', '63');
INSERT INTO public.who_import VALUES (83792, '2021-01-13', 'SS', 'South Sudan', 'AFRO', '8', '3670', '0', '63');
INSERT INTO public.who_import VALUES (83793, '2021-01-14', 'SS', 'South Sudan', 'AFRO', '0', '3670', '0', '63');
INSERT INTO public.who_import VALUES (83794, '2021-01-15', 'SS', 'South Sudan', 'AFRO', '0', '3670', '0', '63');
INSERT INTO public.who_import VALUES (83795, '2021-01-16', 'SS', 'South Sudan', 'AFRO', '23', '3693', '0', '63');
INSERT INTO public.who_import VALUES (83796, '2021-01-17', 'SS', 'South Sudan', 'AFRO', '0', '3693', '0', '63');
INSERT INTO public.who_import VALUES (83797, '2021-01-18', 'SS', 'South Sudan', 'AFRO', '10', '3703', '0', '63');
INSERT INTO public.who_import VALUES (83798, '2021-01-19', 'SS', 'South Sudan', 'AFRO', '0', '3703', '0', '63');
INSERT INTO public.who_import VALUES (83799, '2021-01-20', 'SS', 'South Sudan', 'AFRO', '59', '3762', '0', '63');
INSERT INTO public.who_import VALUES (83800, '2021-01-21', 'SS', 'South Sudan', 'AFRO', '0', '3762', '0', '63');
INSERT INTO public.who_import VALUES (83801, '2021-01-22', 'SS', 'South Sudan', 'AFRO', '0', '3762', '1', '64');
INSERT INTO public.who_import VALUES (83802, '2021-01-23', 'SS', 'South Sudan', 'AFRO', '11', '3773', '0', '64');
INSERT INTO public.who_import VALUES (83803, '2021-01-24', 'SS', 'South Sudan', 'AFRO', '0', '3773', '0', '64');
INSERT INTO public.who_import VALUES (83804, '2021-01-25', 'SS', 'South Sudan', 'AFRO', '92', '3865', '0', '64');
INSERT INTO public.who_import VALUES (83805, '2021-01-26', 'SS', 'South Sudan', 'AFRO', '0', '3865', '0', '64');
INSERT INTO public.who_import VALUES (83806, '2021-01-27', 'SS', 'South Sudan', 'AFRO', '17', '3882', '0', '64');
INSERT INTO public.who_import VALUES (83807, '2021-01-28', 'SS', 'South Sudan', 'AFRO', '0', '3882', '0', '64');
INSERT INTO public.who_import VALUES (83808, '2021-01-29', 'SS', 'South Sudan', 'AFRO', '47', '3929', '0', '64');
INSERT INTO public.who_import VALUES (83809, '2021-01-30', 'SS', 'South Sudan', 'AFRO', '32', '3961', '0', '64');
INSERT INTO public.who_import VALUES (83810, '2021-01-31', 'SS', 'South Sudan', 'AFRO', '0', '3961', '0', '64');
INSERT INTO public.who_import VALUES (83811, '2021-02-01', 'SS', 'South Sudan', 'AFRO', '0', '3961', '0', '64');
INSERT INTO public.who_import VALUES (83812, '2021-02-02', 'SS', 'South Sudan', 'AFRO', '76', '4037', '0', '64');
INSERT INTO public.who_import VALUES (83813, '2021-02-03', 'SS', 'South Sudan', 'AFRO', '0', '4037', '0', '64');
INSERT INTO public.who_import VALUES (83814, '2021-02-04', 'SS', 'South Sudan', 'AFRO', '69', '4106', '1', '65');
INSERT INTO public.who_import VALUES (83815, '2021-02-05', 'SS', 'South Sudan', 'AFRO', '0', '4106', '0', '65');
INSERT INTO public.who_import VALUES (83816, '2021-02-06', 'SS', 'South Sudan', 'AFRO', '249', '4355', '0', '65');
INSERT INTO public.who_import VALUES (83817, '2021-02-07', 'SS', 'South Sudan', 'AFRO', '0', '4355', '0', '65');
INSERT INTO public.who_import VALUES (83818, '2021-02-08', 'SS', 'South Sudan', 'AFRO', '0', '4355', '0', '65');
INSERT INTO public.who_import VALUES (83819, '2021-02-09', 'SS', 'South Sudan', 'AFRO', '254', '4609', '0', '65');
INSERT INTO public.who_import VALUES (83820, '2021-02-10', 'SS', 'South Sudan', 'AFRO', '0', '4609', '0', '65');
INSERT INTO public.who_import VALUES (83821, '2021-02-11', 'SS', 'South Sudan', 'AFRO', '351', '4960', '6', '71');
INSERT INTO public.who_import VALUES (83822, '2021-02-12', 'SS', 'South Sudan', 'AFRO', '0', '4960', '0', '71');
INSERT INTO public.who_import VALUES (83823, '2021-02-13', 'SS', 'South Sudan', 'AFRO', '174', '5134', '1', '72');
INSERT INTO public.who_import VALUES (83824, '2021-02-14', 'SS', 'South Sudan', 'AFRO', '176', '5310', '2', '74');
INSERT INTO public.who_import VALUES (83825, '2021-02-15', 'SS', 'South Sudan', 'AFRO', '103', '5413', '0', '74');
INSERT INTO public.who_import VALUES (83826, '2021-02-16', 'SS', 'South Sudan', 'AFRO', '0', '5413', '0', '74');
INSERT INTO public.who_import VALUES (83827, '2021-02-17', 'SS', 'South Sudan', 'AFRO', '297', '5710', '3', '77');
INSERT INTO public.who_import VALUES (83828, '2021-02-18', 'SS', 'South Sudan', 'AFRO', '212', '5922', '2', '79');
INSERT INTO public.who_import VALUES (83829, '2021-02-19', 'SS', 'South Sudan', 'AFRO', '162', '6084', '4', '83');
INSERT INTO public.who_import VALUES (83830, '2021-02-20', 'SS', 'South Sudan', 'AFRO', '193', '6277', '0', '83');
INSERT INTO public.who_import VALUES (83831, '2020-01-03', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83832, '2020-01-04', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83833, '2020-01-05', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83834, '2020-01-06', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83835, '2020-01-07', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83836, '2020-01-08', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83837, '2020-01-09', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83838, '2020-01-10', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83839, '2020-01-11', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83840, '2020-01-12', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83841, '2020-01-13', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83842, '2020-01-14', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83843, '2020-01-15', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83844, '2020-01-16', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83845, '2020-01-17', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83846, '2020-01-18', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83847, '2020-01-19', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83848, '2020-01-20', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83849, '2020-01-21', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83850, '2020-01-22', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83851, '2020-01-23', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83852, '2020-01-24', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83853, '2020-01-25', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83854, '2020-01-26', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83855, '2020-01-27', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83856, '2020-01-28', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83857, '2020-01-29', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83858, '2020-01-30', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83859, '2020-01-31', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83860, '2020-02-01', 'ES', 'Spain', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (83861, '2020-02-02', 'ES', 'Spain', 'EURO', '23', '23', '0', '0');
INSERT INTO public.who_import VALUES (83862, '2020-02-03', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83863, '2020-02-04', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83864, '2020-02-05', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83865, '2020-02-06', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83866, '2020-02-07', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83867, '2020-02-08', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83868, '2020-02-09', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83869, '2020-02-10', 'ES', 'Spain', 'EURO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (83870, '2020-02-11', 'ES', 'Spain', 'EURO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (83871, '2020-02-12', 'ES', 'Spain', 'EURO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (83872, '2020-02-13', 'ES', 'Spain', 'EURO', '0', '24', '1', '1');
INSERT INTO public.who_import VALUES (83873, '2020-02-14', 'ES', 'Spain', 'EURO', '5', '29', '0', '1');
INSERT INTO public.who_import VALUES (83874, '2020-02-15', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83875, '2020-02-16', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83876, '2020-02-17', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83877, '2020-02-18', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83878, '2020-02-19', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83879, '2020-02-20', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83880, '2020-02-21', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83881, '2020-02-22', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83882, '2020-02-23', 'ES', 'Spain', 'EURO', '0', '29', '0', '1');
INSERT INTO public.who_import VALUES (83883, '2020-02-24', 'ES', 'Spain', 'EURO', '1', '30', '0', '1');
INSERT INTO public.who_import VALUES (83884, '2020-02-25', 'ES', 'Spain', 'EURO', '2', '32', '0', '1');
INSERT INTO public.who_import VALUES (83885, '2020-02-26', 'ES', 'Spain', 'EURO', '2', '34', '0', '1');
INSERT INTO public.who_import VALUES (83886, '2020-02-27', 'ES', 'Spain', 'EURO', '1', '35', '0', '1');
INSERT INTO public.who_import VALUES (83887, '2020-02-28', 'ES', 'Spain', 'EURO', '7', '42', '0', '1');
INSERT INTO public.who_import VALUES (83888, '2020-02-29', 'ES', 'Spain', 'EURO', '23', '65', '0', '1');
INSERT INTO public.who_import VALUES (83889, '2020-03-01', 'ES', 'Spain', 'EURO', '24', '89', '0', '1');
INSERT INTO public.who_import VALUES (83890, '2020-03-02', 'ES', 'Spain', 'EURO', '19', '108', '0', '1');
INSERT INTO public.who_import VALUES (83891, '2020-03-03', 'ES', 'Spain', 'EURO', '38', '146', '0', '1');
INSERT INTO public.who_import VALUES (83892, '2020-03-04', 'ES', 'Spain', 'EURO', '72', '218', '0', '1');
INSERT INTO public.who_import VALUES (83893, '2020-03-05', 'ES', 'Spain', 'EURO', '85', '303', '1', '2');
INSERT INTO public.who_import VALUES (83894, '2020-03-06', 'ES', 'Spain', 'EURO', '100', '403', '2', '4');
INSERT INTO public.who_import VALUES (83895, '2020-03-07', 'ES', 'Spain', 'EURO', '190', '593', '1', '5');
INSERT INTO public.who_import VALUES (83896, '2020-03-08', 'ES', 'Spain', 'EURO', '275', '868', '3', '8');
INSERT INTO public.who_import VALUES (83897, '2020-03-09', 'ES', 'Spain', 'EURO', '290', '1158', '3', '11');
INSERT INTO public.who_import VALUES (83898, '2020-03-10', 'ES', 'Spain', 'EURO', '369', '1527', '14', '25');
INSERT INTO public.who_import VALUES (83899, '2020-03-11', 'ES', 'Spain', 'EURO', '650', '2177', '17', '42');
INSERT INTO public.who_import VALUES (83900, '2020-03-12', 'ES', 'Spain', 'EURO', '1036', '3213', '28', '70');
INSERT INTO public.who_import VALUES (83901, '2020-03-13', 'ES', 'Spain', 'EURO', '1346', '4559', '35', '105');
INSERT INTO public.who_import VALUES (83902, '2020-03-14', 'ES', 'Spain', 'EURO', '1811', '6370', '59', '164');
INSERT INTO public.who_import VALUES (83903, '2020-03-15', 'ES', 'Spain', 'EURO', '2178', '8548', '79', '243');
INSERT INTO public.who_import VALUES (83904, '2020-03-16', 'ES', 'Spain', 'EURO', '2032', '10580', '108', '351');
INSERT INTO public.who_import VALUES (83905, '2020-03-17', 'ES', 'Spain', 'EURO', '2311', '12891', '131', '482');
INSERT INTO public.who_import VALUES (83906, '2020-03-18', 'ES', 'Spain', 'EURO', '3262', '16153', '183', '665');
INSERT INTO public.who_import VALUES (83907, '2020-03-19', 'ES', 'Spain', 'EURO', '4482', '20635', '191', '856');
INSERT INTO public.who_import VALUES (83908, '2020-03-20', 'ES', 'Spain', 'EURO', '4785', '25420', '246', '1102');
INSERT INTO public.who_import VALUES (83909, '2020-03-21', 'ES', 'Spain', 'EURO', '5879', '31299', '322', '1424');
INSERT INTO public.who_import VALUES (83910, '2020-03-22', 'ES', 'Spain', 'EURO', '6529', '37828', '433', '1857');
INSERT INTO public.who_import VALUES (83911, '2020-03-23', 'ES', 'Spain', 'EURO', '5794', '43622', '506', '2363');
INSERT INTO public.who_import VALUES (83912, '2020-03-24', 'ES', 'Spain', 'EURO', '5322', '48944', '551', '2914');
INSERT INTO public.who_import VALUES (83913, '2020-03-25', 'ES', 'Spain', 'EURO', '8206', '57150', '686', '3600');
INSERT INTO public.who_import VALUES (83914, '2020-03-26', 'ES', 'Spain', 'EURO', '9726', '66876', '723', '4323');
INSERT INTO public.who_import VALUES (83915, '2020-03-27', 'ES', 'Spain', 'EURO', '10144', '77020', '824', '5147');
INSERT INTO public.who_import VALUES (83916, '2020-03-28', 'ES', 'Spain', 'EURO', '10114', '87134', '871', '6018');
INSERT INTO public.who_import VALUES (83917, '2020-03-29', 'ES', 'Spain', 'EURO', '9107', '96241', '909', '6927');
INSERT INTO public.who_import VALUES (83918, '2020-03-30', 'ES', 'Spain', 'EURO', '7095', '103336', '840', '7767');
INSERT INTO public.who_import VALUES (83919, '2020-03-31', 'ES', 'Spain', 'EURO', '5090', '108426', '811', '8578');
INSERT INTO public.who_import VALUES (83920, '2020-04-01', 'ES', 'Spain', 'EURO', '8009', '116435', '913', '9491');
INSERT INTO public.who_import VALUES (83921, '2020-04-02', 'ES', 'Spain', 'EURO', '7926', '124361', '899', '10390');
INSERT INTO public.who_import VALUES (83922, '2020-04-03', 'ES', 'Spain', 'EURO', '7057', '131418', '895', '11285');
INSERT INTO public.who_import VALUES (83923, '2020-04-04', 'ES', 'Spain', 'EURO', '6908', '138326', '858', '12143');
INSERT INTO public.who_import VALUES (83924, '2020-04-05', 'ES', 'Spain', 'EURO', '6822', '145148', '786', '12929');
INSERT INTO public.who_import VALUES (83925, '2020-04-06', 'ES', 'Spain', 'EURO', '4669', '149817', '740', '13669');
INSERT INTO public.who_import VALUES (83926, '2020-04-07', 'ES', 'Spain', 'EURO', '3146', '152963', '750', '14419');
INSERT INTO public.who_import VALUES (83927, '2020-04-08', 'ES', 'Spain', 'EURO', '5396', '158359', '766', '15185');
INSERT INTO public.who_import VALUES (83928, '2020-04-09', 'ES', 'Spain', 'EURO', '5322', '163681', '736', '15921');
INSERT INTO public.who_import VALUES (83929, '2020-04-10', 'ES', 'Spain', 'EURO', '5489', '169170', '749', '16670');
INSERT INTO public.who_import VALUES (83930, '2020-04-11', 'ES', 'Spain', 'EURO', '4611', '173781', '667', '17337');
INSERT INTO public.who_import VALUES (83931, '2020-04-12', 'ES', 'Spain', 'EURO', '4437', '178218', '676', '18013');
INSERT INTO public.who_import VALUES (83932, '2020-04-13', 'ES', 'Spain', 'EURO', '3076', '181294', '628', '18641');
INSERT INTO public.who_import VALUES (83933, '2020-04-14', 'ES', 'Spain', 'EURO', '2380', '183674', '544', '19185');
INSERT INTO public.who_import VALUES (83934, '2020-04-15', 'ES', 'Spain', 'EURO', '3126', '186800', '587', '19772');
INSERT INTO public.who_import VALUES (83935, '2020-04-16', 'ES', 'Spain', 'EURO', '3993', '190793', '607', '20379');
INSERT INTO public.who_import VALUES (83936, '2020-04-17', 'ES', 'Spain', 'EURO', '3703', '194496', '552', '20931');
INSERT INTO public.who_import VALUES (83937, '2020-04-18', 'ES', 'Spain', 'EURO', '3417', '197913', '487', '21418');
INSERT INTO public.who_import VALUES (83938, '2020-04-19', 'ES', 'Spain', 'EURO', '3464', '201377', '507', '21925');
INSERT INTO public.who_import VALUES (83939, '2020-04-20', 'ES', 'Spain', 'EURO', '2182', '203559', '435', '22360');
INSERT INTO public.who_import VALUES (83940, '2020-04-21', 'ES', 'Spain', 'EURO', '1446', '205005', '401', '22761');
INSERT INTO public.who_import VALUES (83941, '2020-04-22', 'ES', 'Spain', 'EURO', '2520', '207525', '387', '23148');
INSERT INTO public.who_import VALUES (83942, '2020-04-23', 'ES', 'Spain', 'EURO', '2733', '210258', '427', '23575');
INSERT INTO public.who_import VALUES (83943, '2020-04-24', 'ES', 'Spain', 'EURO', '2771', '213029', '344', '23919');
INSERT INTO public.who_import VALUES (83944, '2020-04-25', 'ES', 'Spain', 'EURO', '2224', '215253', '331', '24250');
INSERT INTO public.who_import VALUES (83945, '2020-04-26', 'ES', 'Spain', 'EURO', '2292', '217545', '330', '24580');
INSERT INTO public.who_import VALUES (83946, '2020-04-27', 'ES', 'Spain', 'EURO', '1297', '218842', '295', '24875');
INSERT INTO public.who_import VALUES (83947, '2020-04-28', 'ES', 'Spain', 'EURO', '819', '219661', '272', '25147');
INSERT INTO public.who_import VALUES (83948, '2020-04-29', 'ES', 'Spain', 'EURO', '1655', '221316', '258', '25405');
INSERT INTO public.who_import VALUES (83949, '2020-04-30', 'ES', 'Spain', 'EURO', '1742', '223058', '259', '25664');
INSERT INTO public.who_import VALUES (83950, '2020-05-01', 'ES', 'Spain', 'EURO', '1484', '224542', '236', '25900');
INSERT INTO public.who_import VALUES (83951, '2020-05-02', 'ES', 'Spain', 'EURO', '1440', '225982', '223', '26123');
INSERT INTO public.who_import VALUES (83952, '2020-05-03', 'ES', 'Spain', 'EURO', '793', '226775', '176', '26299');
INSERT INTO public.who_import VALUES (83953, '2020-05-04', 'ES', 'Spain', 'EURO', '568', '227343', '202', '26501');
INSERT INTO public.who_import VALUES (83954, '2020-05-05', 'ES', 'Spain', 'EURO', '451', '227794', '197', '26698');
INSERT INTO public.who_import VALUES (83955, '2020-05-06', 'ES', 'Spain', 'EURO', '1014', '228808', '186', '26884');
INSERT INTO public.who_import VALUES (83956, '2020-05-07', 'ES', 'Spain', 'EURO', '984', '229792', '183', '27067');
INSERT INTO public.who_import VALUES (83957, '2020-05-08', 'ES', 'Spain', 'EURO', '981', '230773', '153', '27220');
INSERT INTO public.who_import VALUES (83958, '2020-05-09', 'ES', 'Spain', 'EURO', '963', '231736', '166', '27386');
INSERT INTO public.who_import VALUES (83959, '2020-05-10', 'ES', 'Spain', 'EURO', '926', '232662', '146', '27532');
INSERT INTO public.who_import VALUES (83960, '2020-05-11', 'ES', 'Spain', 'EURO', '494', '233156', '125', '27657');
INSERT INTO public.who_import VALUES (83961, '2020-05-12', 'ES', 'Spain', 'EURO', '317', '233473', '110', '27767');
INSERT INTO public.who_import VALUES (83962, '2020-05-13', 'ES', 'Spain', 'EURO', '603', '234076', '122', '27889');
INSERT INTO public.who_import VALUES (83963, '2020-05-14', 'ES', 'Spain', 'EURO', '721', '234797', '113', '28002');
INSERT INTO public.who_import VALUES (83964, '2020-05-15', 'ES', 'Spain', 'EURO', '901', '235698', '87', '28089');
INSERT INTO public.who_import VALUES (83965, '2020-05-16', 'ES', 'Spain', 'EURO', '899', '236597', '86', '28175');
INSERT INTO public.who_import VALUES (83966, '2020-05-17', 'ES', 'Spain', 'EURO', '928', '237525', '78', '28253');
INSERT INTO public.who_import VALUES (83967, '2020-05-18', 'ES', 'Spain', 'EURO', '404', '237929', '65', '28318');
INSERT INTO public.who_import VALUES (83968, '2020-05-19', 'ES', 'Spain', 'EURO', '265', '238194', '61', '28379');
INSERT INTO public.who_import VALUES (83969, '2020-05-20', 'ES', 'Spain', 'EURO', '706', '238900', '72', '28451');
INSERT INTO public.who_import VALUES (83970, '2020-05-21', 'ES', 'Spain', 'EURO', '987', '239887', '67', '28518');
INSERT INTO public.who_import VALUES (83971, '2020-05-22', 'ES', 'Spain', 'EURO', '860', '240747', '56', '28574');
INSERT INTO public.who_import VALUES (83972, '2020-05-23', 'ES', 'Spain', 'EURO', '978', '241725', '70', '28644');
INSERT INTO public.who_import VALUES (83973, '2020-05-24', 'ES', 'Spain', 'EURO', '1021', '242746', '72', '28716');
INSERT INTO public.who_import VALUES (83974, '2020-05-25', 'ES', 'Spain', 'EURO', '374', '243120', '59', '28775');
INSERT INTO public.who_import VALUES (83975, '2020-05-26', 'ES', 'Spain', 'EURO', '331', '243451', '55', '28830');
INSERT INTO public.who_import VALUES (83976, '2020-05-27', 'ES', 'Spain', 'EURO', '683', '244134', '67', '28897');
INSERT INTO public.who_import VALUES (83977, '2020-05-28', 'ES', 'Spain', 'EURO', '864', '244998', '57', '28954');
INSERT INTO public.who_import VALUES (83978, '2020-05-29', 'ES', 'Spain', 'EURO', '696', '245694', '45', '28999');
INSERT INTO public.who_import VALUES (83979, '2020-05-30', 'ES', 'Spain', 'EURO', '777', '246471', '41', '29040');
INSERT INTO public.who_import VALUES (83980, '2020-05-31', 'ES', 'Spain', 'EURO', '838', '247309', '43', '29083');
INSERT INTO public.who_import VALUES (83981, '2020-06-01', 'ES', 'Spain', 'EURO', '379', '247688', '43', '29126');
INSERT INTO public.who_import VALUES (83982, '2020-06-02', 'ES', 'Spain', 'EURO', '193', '247881', '39', '29165');
INSERT INTO public.who_import VALUES (83983, '2020-06-03', 'ES', 'Spain', 'EURO', '366', '248247', '34', '29199');
INSERT INTO public.who_import VALUES (83984, '2020-06-04', 'ES', 'Spain', 'EURO', '509', '248756', '49', '29248');
INSERT INTO public.who_import VALUES (83985, '2020-06-05', 'ES', 'Spain', 'EURO', '657', '249413', '38', '29286');
INSERT INTO public.who_import VALUES (83986, '2020-06-06', 'ES', 'Spain', 'EURO', '551', '249964', '45', '29331');
INSERT INTO public.who_import VALUES (83987, '2020-06-07', 'ES', 'Spain', 'EURO', '738', '250702', '23', '29354');
INSERT INTO public.who_import VALUES (83988, '2020-06-08', 'ES', 'Spain', 'EURO', '288', '250990', '30', '29384');
INSERT INTO public.who_import VALUES (83989, '2020-06-09', 'ES', 'Spain', 'EURO', '162', '251152', '20', '29404');
INSERT INTO public.who_import VALUES (83990, '2020-06-10', 'ES', 'Spain', 'EURO', '392', '251544', '29', '29433');
INSERT INTO public.who_import VALUES (83991, '2020-06-11', 'ES', 'Spain', 'EURO', '499', '252043', '13', '29446');
INSERT INTO public.who_import VALUES (83992, '2020-06-12', 'ES', 'Spain', 'EURO', '531', '252574', '30', '29476');
INSERT INTO public.who_import VALUES (83993, '2020-06-13', 'ES', 'Spain', 'EURO', '423', '252997', '24', '29500');
INSERT INTO public.who_import VALUES (83994, '2020-06-14', 'ES', 'Spain', 'EURO', '545', '253542', '19', '29519');
INSERT INTO public.who_import VALUES (83995, '2020-06-15', 'ES', 'Spain', 'EURO', '136', '253678', '22', '29541');
INSERT INTO public.who_import VALUES (83996, '2020-06-16', 'ES', 'Spain', 'EURO', '98', '253776', '18', '29559');
INSERT INTO public.who_import VALUES (83997, '2020-06-17', 'ES', 'Spain', 'EURO', '308', '254084', '20', '29579');
INSERT INTO public.who_import VALUES (83998, '2020-06-18', 'ES', 'Spain', 'EURO', '395', '254479', '12', '29591');
INSERT INTO public.who_import VALUES (83999, '2020-06-19', 'ES', 'Spain', 'EURO', '364', '254843', '23', '29614');
INSERT INTO public.who_import VALUES (84000, '2020-06-20', 'ES', 'Spain', 'EURO', '401', '255244', '12', '29626');
INSERT INTO public.who_import VALUES (84001, '2020-06-21', 'ES', 'Spain', 'EURO', '374', '255618', '18', '29644');
INSERT INTO public.who_import VALUES (84002, '2020-06-22', 'ES', 'Spain', 'EURO', '235', '255853', '13', '29657');
INSERT INTO public.who_import VALUES (84003, '2020-06-23', 'ES', 'Spain', 'EURO', '174', '256027', '15', '29672');
INSERT INTO public.who_import VALUES (84004, '2020-06-24', 'ES', 'Spain', 'EURO', '266', '256293', '7', '29679');
INSERT INTO public.who_import VALUES (84005, '2020-06-25', 'ES', 'Spain', 'EURO', '472', '256765', '9', '29688');
INSERT INTO public.who_import VALUES (84006, '2020-06-26', 'ES', 'Spain', 'EURO', '331', '257096', '12', '29700');
INSERT INTO public.who_import VALUES (84007, '2020-06-27', 'ES', 'Spain', 'EURO', '395', '257491', '11', '29711');
INSERT INTO public.who_import VALUES (84008, '2020-06-28', 'ES', 'Spain', 'EURO', '535', '258026', '9', '29720');
INSERT INTO public.who_import VALUES (84009, '2020-06-29', 'ES', 'Spain', 'EURO', '258', '258284', '3', '29723');
INSERT INTO public.who_import VALUES (84010, '2020-06-30', 'ES', 'Spain', 'EURO', '197', '258481', '12', '29735');
INSERT INTO public.who_import VALUES (84011, '2020-07-01', 'ES', 'Spain', 'EURO', '298', '258779', '10', '29745');
INSERT INTO public.who_import VALUES (84012, '2020-07-02', 'ES', 'Spain', 'EURO', '490', '259269', '10', '29755');
INSERT INTO public.who_import VALUES (84013, '2020-07-03', 'ES', 'Spain', 'EURO', '516', '259785', '10', '29765');
INSERT INTO public.who_import VALUES (84014, '2020-07-04', 'ES', 'Spain', 'EURO', '544', '260329', '1', '29766');
INSERT INTO public.who_import VALUES (84015, '2020-07-05', 'ES', 'Spain', 'EURO', '639', '260968', '5', '29771');
INSERT INTO public.who_import VALUES (84016, '2020-07-06', 'ES', 'Spain', 'EURO', '313', '261281', '6', '29777');
INSERT INTO public.who_import VALUES (84017, '2020-07-07', 'ES', 'Spain', 'EURO', '221', '261502', '0', '29777');
INSERT INTO public.who_import VALUES (84018, '2020-07-08', 'ES', 'Spain', 'EURO', '382', '261884', '5', '29782');
INSERT INTO public.who_import VALUES (84019, '2020-07-09', 'ES', 'Spain', 'EURO', '774', '262658', '4', '29786');
INSERT INTO public.who_import VALUES (84020, '2020-07-10', 'ES', 'Spain', 'EURO', '831', '263489', '4', '29790');
INSERT INTO public.who_import VALUES (84021, '2020-07-11', 'ES', 'Spain', 'EURO', '954', '264443', '2', '29792');
INSERT INTO public.who_import VALUES (84022, '2020-07-12', 'ES', 'Spain', 'EURO', '1297', '265740', '4', '29796');
INSERT INTO public.who_import VALUES (84023, '2020-07-13', 'ES', 'Spain', 'EURO', '675', '266415', '5', '29801');
INSERT INTO public.who_import VALUES (84024, '2020-07-14', 'ES', 'Spain', 'EURO', '422', '266837', '4', '29805');
INSERT INTO public.who_import VALUES (84025, '2020-07-15', 'ES', 'Spain', 'EURO', '966', '267803', '1', '29806');
INSERT INTO public.who_import VALUES (84026, '2020-07-16', 'ES', 'Spain', 'EURO', '1390', '269193', '2', '29808');
INSERT INTO public.who_import VALUES (84027, '2020-07-17', 'ES', 'Spain', 'EURO', '1721', '270914', '5', '29813');
INSERT INTO public.who_import VALUES (84028, '2020-07-18', 'ES', 'Spain', 'EURO', '1782', '272696', '2', '29815');
INSERT INTO public.who_import VALUES (84029, '2020-07-19', 'ES', 'Spain', 'EURO', '2286', '274982', '2', '29817');
INSERT INTO public.who_import VALUES (84030, '2020-07-20', 'ES', 'Spain', 'EURO', '1635', '276617', '3', '29820');
INSERT INTO public.who_import VALUES (84031, '2020-07-21', 'ES', 'Spain', 'EURO', '1261', '277878', '5', '29825');
INSERT INTO public.who_import VALUES (84032, '2020-07-22', 'ES', 'Spain', 'EURO', '1760', '279638', '7', '29832');
INSERT INTO public.who_import VALUES (84033, '2020-07-23', 'ES', 'Spain', 'EURO', '2555', '282193', '7', '29839');
INSERT INTO public.who_import VALUES (84034, '2020-07-24', 'ES', 'Spain', 'EURO', '2568', '284761', '3', '29842');
INSERT INTO public.who_import VALUES (84035, '2020-07-25', 'ES', 'Spain', 'EURO', '2577', '287338', '3', '29845');
INSERT INTO public.who_import VALUES (84036, '2020-07-26', 'ES', 'Spain', 'EURO', '3077', '290415', '7', '29852');
INSERT INTO public.who_import VALUES (84037, '2020-07-27', 'ES', 'Spain', 'EURO', '1839', '292254', '10', '29862');
INSERT INTO public.who_import VALUES (84038, '2020-07-28', 'ES', 'Spain', 'EURO', '1482', '293736', '7', '29869');
INSERT INTO public.who_import VALUES (84039, '2020-07-29', 'ES', 'Spain', 'EURO', '2203', '295939', '8', '29877');
INSERT INTO public.who_import VALUES (84040, '2020-07-30', 'ES', 'Spain', 'EURO', '3173', '299112', '12', '29889');
INSERT INTO public.who_import VALUES (84041, '2020-07-31', 'ES', 'Spain', 'EURO', '3418', '302530', '9', '29898');
INSERT INTO public.who_import VALUES (84042, '2020-08-01', 'ES', 'Spain', 'EURO', '3638', '306168', '11', '29909');
INSERT INTO public.who_import VALUES (84043, '2020-08-02', 'ES', 'Spain', 'EURO', '4082', '310250', '15', '29924');
INSERT INTO public.who_import VALUES (84044, '2020-08-03', 'ES', 'Spain', 'EURO', '3152', '313402', '9', '29933');
INSERT INTO public.who_import VALUES (84045, '2020-08-04', 'ES', 'Spain', 'EURO', '1911', '315313', '14', '29947');
INSERT INTO public.who_import VALUES (84046, '2020-08-05', 'ES', 'Spain', 'EURO', '2842', '318155', '12', '29959');
INSERT INTO public.who_import VALUES (84047, '2020-08-06', 'ES', 'Spain', 'EURO', '4619', '322774', '15', '29974');
INSERT INTO public.who_import VALUES (84048, '2020-08-07', 'ES', 'Spain', 'EURO', '4474', '327248', '11', '29985');
INSERT INTO public.who_import VALUES (84049, '2020-08-08', 'ES', 'Spain', 'EURO', '5018', '332266', '27', '30012');
INSERT INTO public.who_import VALUES (84050, '2020-08-09', 'ES', 'Spain', 'EURO', '5862', '338128', '19', '30031');
INSERT INTO public.who_import VALUES (84051, '2020-08-10', 'ES', 'Spain', 'EURO', '3626', '341754', '31', '30062');
INSERT INTO public.who_import VALUES (84052, '2020-08-11', 'ES', 'Spain', 'EURO', '2682', '344436', '16', '30078');
INSERT INTO public.who_import VALUES (84053, '2020-08-12', 'ES', 'Spain', 'EURO', '4023', '348459', '28', '30106');
INSERT INTO public.who_import VALUES (84054, '2020-08-13', 'ES', 'Spain', 'EURO', '6205', '354664', '28', '30134');
INSERT INTO public.who_import VALUES (84055, '2020-08-14', 'ES', 'Spain', 'EURO', '6610', '361274', '26', '30160');
INSERT INTO public.who_import VALUES (84056, '2020-08-15', 'ES', 'Spain', 'EURO', '7228', '368502', '23', '30183');
INSERT INTO public.who_import VALUES (84057, '2020-08-16', 'ES', 'Spain', 'EURO', '8533', '377035', '34', '30217');
INSERT INTO public.who_import VALUES (84058, '2020-08-17', 'ES', 'Spain', 'EURO', '4907', '381942', '29', '30246');
INSERT INTO public.who_import VALUES (84059, '2020-08-18', 'ES', 'Spain', 'EURO', '3363', '385305', '23', '30269');
INSERT INTO public.who_import VALUES (84060, '2020-08-19', 'ES', 'Spain', 'EURO', '5147', '390452', '30', '30299');
INSERT INTO public.who_import VALUES (84061, '2020-08-20', 'ES', 'Spain', 'EURO', '8689', '399141', '40', '30339');
INSERT INTO public.who_import VALUES (84062, '2020-08-21', 'ES', 'Spain', 'EURO', '8850', '407991', '45', '30384');
INSERT INTO public.who_import VALUES (84063, '2020-08-22', 'ES', 'Spain', 'EURO', '9283', '417274', '37', '30421');
INSERT INTO public.who_import VALUES (84064, '2020-08-23', 'ES', 'Spain', 'EURO', '10748', '428022', '41', '30462');
INSERT INTO public.who_import VALUES (84065, '2020-08-24', 'ES', 'Spain', 'EURO', '6142', '434164', '43', '30505');
INSERT INTO public.who_import VALUES (84066, '2020-08-25', 'ES', 'Spain', 'EURO', '4370', '438534', '52', '30557');
INSERT INTO public.who_import VALUES (84067, '2020-08-26', 'ES', 'Spain', 'EURO', '6232', '444766', '53', '30610');
INSERT INTO public.who_import VALUES (84068, '2020-08-27', 'ES', 'Spain', 'EURO', '10588', '455354', '41', '30651');
INSERT INTO public.who_import VALUES (84069, '2020-08-28', 'ES', 'Spain', 'EURO', '10626', '465980', '48', '30699');
INSERT INTO public.who_import VALUES (84070, '2020-08-29', 'ES', 'Spain', 'EURO', '10605', '476585', '45', '30744');
INSERT INTO public.who_import VALUES (84071, '2020-08-30', 'ES', 'Spain', 'EURO', '12198', '488783', '68', '30812');
INSERT INTO public.who_import VALUES (84072, '2020-08-31', 'ES', 'Spain', 'EURO', '6940', '495723', '49', '30861');
INSERT INTO public.who_import VALUES (84073, '2020-09-01', 'ES', 'Spain', 'EURO', '5259', '500982', '54', '30915');
INSERT INTO public.who_import VALUES (84074, '2020-09-02', 'ES', 'Spain', 'EURO', '6853', '507835', '62', '30977');
INSERT INTO public.who_import VALUES (84075, '2020-09-03', 'ES', 'Spain', 'EURO', '10706', '518541', '67', '31044');
INSERT INTO public.who_import VALUES (84076, '2020-09-04', 'ES', 'Spain', 'EURO', '10933', '529474', '81', '31125');
INSERT INTO public.who_import VALUES (84077, '2020-09-05', 'ES', 'Spain', 'EURO', '11199', '540673', '75', '31200');
INSERT INTO public.who_import VALUES (84078, '2020-09-06', 'ES', 'Spain', 'EURO', '13458', '554131', '72', '31272');
INSERT INTO public.who_import VALUES (84079, '2020-09-07', 'ES', 'Spain', 'EURO', '8021', '562152', '66', '31338');
INSERT INTO public.who_import VALUES (84080, '2020-09-08', 'ES', 'Spain', 'EURO', '5567', '567719', '63', '31401');
INSERT INTO public.who_import VALUES (84081, '2020-09-09', 'ES', 'Spain', 'EURO', '7236', '574955', '81', '31482');
INSERT INTO public.who_import VALUES (84082, '2020-09-10', 'ES', 'Spain', 'EURO', '12179', '587134', '83', '31565');
INSERT INTO public.who_import VALUES (84083, '2020-09-11', 'ES', 'Spain', 'EURO', '13017', '600151', '90', '31655');
INSERT INTO public.who_import VALUES (84084, '2020-09-12', 'ES', 'Spain', 'EURO', '13240', '613391', '90', '31745');
INSERT INTO public.who_import VALUES (84085, '2020-09-13', 'ES', 'Spain', 'EURO', '14521', '627912', '99', '31844');
INSERT INTO public.who_import VALUES (84086, '2020-09-14', 'ES', 'Spain', 'EURO', '8436', '636348', '98', '31942');
INSERT INTO public.who_import VALUES (84087, '2020-09-15', 'ES', 'Spain', 'EURO', '6544', '642892', '103', '32045');
INSERT INTO public.who_import VALUES (84088, '2020-09-16', 'ES', 'Spain', 'EURO', '8454', '651346', '98', '32143');
INSERT INTO public.who_import VALUES (84089, '2020-09-17', 'ES', 'Spain', 'EURO', '14110', '665456', '125', '32268');
INSERT INTO public.who_import VALUES (84090, '2020-09-18', 'ES', 'Spain', 'EURO', '14364', '679820', '110', '32378');
INSERT INTO public.who_import VALUES (84091, '2020-09-19', 'ES', 'Spain', 'EURO', '14008', '693828', '121', '32499');
INSERT INTO public.who_import VALUES (84092, '2020-09-20', 'ES', 'Spain', 'EURO', '17040', '710868', '115', '32614');
INSERT INTO public.who_import VALUES (84093, '2020-09-21', 'ES', 'Spain', 'EURO', '8464', '719332', '118', '32732');
INSERT INTO public.who_import VALUES (84094, '2020-09-22', 'ES', 'Spain', 'EURO', '5934', '725266', '101', '32833');
INSERT INTO public.who_import VALUES (84095, '2020-09-23', 'ES', 'Spain', 'EURO', '8318', '733584', '129', '32962');
INSERT INTO public.who_import VALUES (84096, '2020-09-24', 'ES', 'Spain', 'EURO', '13068', '746652', '123', '33085');
INSERT INTO public.who_import VALUES (84097, '2020-09-25', 'ES', 'Spain', 'EURO', '13002', '759654', '109', '33194');
INSERT INTO public.who_import VALUES (84098, '2020-09-26', 'ES', 'Spain', 'EURO', '12848', '772502', '131', '33325');
INSERT INTO public.who_import VALUES (84099, '2020-09-27', 'ES', 'Spain', 'EURO', '13789', '786291', '129', '33454');
INSERT INTO public.who_import VALUES (84100, '2020-09-28', 'ES', 'Spain', 'EURO', '7837', '794128', '115', '33569');
INSERT INTO public.who_import VALUES (84101, '2020-09-29', 'ES', 'Spain', 'EURO', '5136', '799264', '122', '33691');
INSERT INTO public.who_import VALUES (84102, '2020-09-30', 'ES', 'Spain', 'EURO', '7321', '806585', '143', '33834');
INSERT INTO public.who_import VALUES (84103, '2020-10-01', 'ES', 'Spain', 'EURO', '11654', '818239', '146', '33980');
INSERT INTO public.who_import VALUES (84104, '2020-10-02', 'ES', 'Spain', 'EURO', '11593', '829832', '155', '34135');
INSERT INTO public.who_import VALUES (84105, '2020-10-03', 'ES', 'Spain', 'EURO', '11324', '841156', '131', '34266');
INSERT INTO public.who_import VALUES (84106, '2020-10-04', 'ES', 'Spain', 'EURO', '12749', '853905', '142', '34408');
INSERT INTO public.who_import VALUES (84107, '2020-10-05', 'ES', 'Spain', 'EURO', '7087', '860992', '103', '34511');
INSERT INTO public.who_import VALUES (84108, '2020-10-06', 'ES', 'Spain', 'EURO', '5235', '866227', '90', '34601');
INSERT INTO public.who_import VALUES (84109, '2020-10-07', 'ES', 'Spain', 'EURO', '9169', '875396', '131', '34732');
INSERT INTO public.who_import VALUES (84110, '2020-10-08', 'ES', 'Spain', 'EURO', '12640', '888036', '133', '34865');
INSERT INTO public.who_import VALUES (84111, '2020-10-09', 'ES', 'Spain', 'EURO', '12805', '900841', '135', '35000');
INSERT INTO public.who_import VALUES (84112, '2020-10-10', 'ES', 'Spain', 'EURO', '14391', '915232', '130', '35130');
INSERT INTO public.who_import VALUES (84113, '2020-10-11', 'ES', 'Spain', 'EURO', '15282', '930514', '154', '35284');
INSERT INTO public.who_import VALUES (84114, '2020-10-12', 'ES', 'Spain', 'EURO', '8957', '939471', '132', '35416');
INSERT INTO public.who_import VALUES (84115, '2020-10-13', 'ES', 'Spain', 'EURO', '7002', '946473', '114', '35530');
INSERT INTO public.who_import VALUES (84116, '2020-10-14', 'ES', 'Spain', 'EURO', '6504', '952977', '127', '35657');
INSERT INTO public.who_import VALUES (84117, '2020-10-15', 'ES', 'Spain', 'EURO', '12907', '965884', '145', '35802');
INSERT INTO public.who_import VALUES (84118, '2020-10-16', 'ES', 'Spain', 'EURO', '17057', '982941', '136', '35938');
INSERT INTO public.who_import VALUES (84119, '2020-10-17', 'ES', 'Spain', 'EURO', '18228', '1001169', '145', '36083');
INSERT INTO public.who_import VALUES (84120, '2020-10-18', 'ES', 'Spain', 'EURO', '19074', '1020243', '149', '36232');
INSERT INTO public.who_import VALUES (84121, '2020-10-19', 'ES', 'Spain', 'EURO', '12349', '1032592', '123', '36355');
INSERT INTO public.who_import VALUES (84122, '2020-10-20', 'ES', 'Spain', 'EURO', '8570', '1041162', '145', '36500');
INSERT INTO public.who_import VALUES (84123, '2020-10-21', 'ES', 'Spain', 'EURO', '16437', '1057599', '164', '36664');
INSERT INTO public.who_import VALUES (84124, '2020-10-22', 'ES', 'Spain', 'EURO', '22160', '1079759', '184', '36848');
INSERT INTO public.who_import VALUES (84125, '2020-10-23', 'ES', 'Spain', 'EURO', '24432', '1104191', '169', '37017');
INSERT INTO public.who_import VALUES (84126, '2020-10-24', 'ES', 'Spain', 'EURO', '25258', '1129449', '203', '37220');
INSERT INTO public.who_import VALUES (84127, '2020-10-25', 'ES', 'Spain', 'EURO', '26178', '1155627', '219', '37439');
INSERT INTO public.who_import VALUES (84128, '2020-10-26', 'ES', 'Spain', 'EURO', '16038', '1171665', '189', '37628');
INSERT INTO public.who_import VALUES (84129, '2020-10-27', 'ES', 'Spain', 'EURO', '11663', '1183328', '181', '37809');
INSERT INTO public.who_import VALUES (84130, '2020-10-28', 'ES', 'Spain', 'EURO', '20973', '1204301', '205', '38014');
INSERT INTO public.who_import VALUES (84131, '2020-10-29', 'ES', 'Spain', 'EURO', '25485', '1229786', '235', '38249');
INSERT INTO public.who_import VALUES (84132, '2020-10-30', 'ES', 'Spain', 'EURO', '25540', '1255326', '232', '38481');
INSERT INTO public.who_import VALUES (84133, '2020-10-31', 'ES', 'Spain', 'EURO', '25051', '1280377', '239', '38720');
INSERT INTO public.who_import VALUES (84134, '2020-11-01', 'ES', 'Spain', 'EURO', '25972', '1306349', '243', '38963');
INSERT INTO public.who_import VALUES (84135, '2020-11-02', 'ES', 'Spain', 'EURO', '16675', '1323024', '247', '39210');
INSERT INTO public.who_import VALUES (84136, '2020-11-03', 'ES', 'Spain', 'EURO', '11271', '1334295', '251', '39461');
INSERT INTO public.who_import VALUES (84137, '2020-11-04', 'ES', 'Spain', 'EURO', '16438', '1350733', '282', '39743');
INSERT INTO public.who_import VALUES (84138, '2020-11-05', 'ES', 'Spain', 'EURO', '22812', '1373545', '306', '40049');
INSERT INTO public.who_import VALUES (84139, '2020-11-06', 'ES', 'Spain', 'EURO', '24968', '1398513', '334', '40383');
INSERT INTO public.who_import VALUES (84140, '2020-11-07', 'ES', 'Spain', 'EURO', '24354', '1422867', '310', '40693');
INSERT INTO public.who_import VALUES (84141, '2020-11-08', 'ES', 'Spain', 'EURO', '24112', '1446979', '346', '41039');
INSERT INTO public.who_import VALUES (84142, '2020-11-09', 'ES', 'Spain', 'EURO', '14983', '1461962', '256', '41295');
INSERT INTO public.who_import VALUES (84143, '2020-11-10', 'ES', 'Spain', 'EURO', '9994', '1471956', '286', '41581');
INSERT INTO public.who_import VALUES (84144, '2020-11-11', 'ES', 'Spain', 'EURO', '17024', '1488980', '284', '41865');
INSERT INTO public.who_import VALUES (84145, '2020-11-12', 'ES', 'Spain', 'EURO', '21096', '1510076', '312', '42177');
INSERT INTO public.who_import VALUES (84146, '2020-11-13', 'ES', 'Spain', 'EURO', '20207', '1530283', '332', '42509');
INSERT INTO public.who_import VALUES (84147, '2020-11-14', 'ES', 'Spain', 'EURO', '19545', '1549828', '315', '42824');
INSERT INTO public.who_import VALUES (84148, '2020-11-15', 'ES', 'Spain', 'EURO', '18688', '1568516', '304', '43128');
INSERT INTO public.who_import VALUES (84149, '2020-11-16', 'ES', 'Spain', 'EURO', '10738', '1579254', '266', '43394');
INSERT INTO public.who_import VALUES (84150, '2020-11-17', 'ES', 'Spain', 'EURO', '6747', '1586001', '256', '43650');
INSERT INTO public.who_import VALUES (84151, '2020-11-18', 'ES', 'Spain', 'EURO', '13130', '1599131', '270', '43920');
INSERT INTO public.who_import VALUES (84152, '2020-11-19', 'ES', 'Spain', 'EURO', '16219', '1615350', '348', '44268');
INSERT INTO public.who_import VALUES (84153, '2020-11-20', 'ES', 'Spain', 'EURO', '15032', '1630382', '266', '44534');
INSERT INTO public.who_import VALUES (84154, '2020-11-21', 'ES', 'Spain', 'EURO', '13445', '1643827', '290', '44824');
INSERT INTO public.who_import VALUES (84155, '2020-11-22', 'ES', 'Spain', 'EURO', '12847', '1656674', '298', '45122');
INSERT INTO public.who_import VALUES (84156, '2020-11-23', 'ES', 'Spain', 'EURO', '7347', '1664021', '258', '45380');
INSERT INTO public.who_import VALUES (84157, '2020-11-24', 'ES', 'Spain', 'EURO', '4696', '1668717', '237', '45617');
INSERT INTO public.who_import VALUES (84158, '2020-11-25', 'ES', 'Spain', 'EURO', '9400', '1678117', '266', '45883');
INSERT INTO public.who_import VALUES (84159, '2020-11-26', 'ES', 'Spain', 'EURO', '11175', '1689292', '230', '46113');
INSERT INTO public.who_import VALUES (84160, '2020-11-27', 'ES', 'Spain', 'EURO', '10266', '1699558', '265', '46378');
INSERT INTO public.who_import VALUES (84161, '2020-11-28', 'ES', 'Spain', 'EURO', '9885', '1709443', '257', '46635');
INSERT INTO public.who_import VALUES (84162, '2020-11-29', 'ES', 'Spain', 'EURO', '10271', '1719714', '243', '46878');
INSERT INTO public.who_import VALUES (84163, '2020-11-30', 'ES', 'Spain', 'EURO', '5677', '1725391', '199', '47077');
INSERT INTO public.who_import VALUES (84164, '2020-12-01', 'ES', 'Spain', 'EURO', '3480', '1728871', '185', '47262');
INSERT INTO public.who_import VALUES (84165, '2020-12-02', 'ES', 'Spain', 'EURO', '7724', '1736595', '211', '47473');
INSERT INTO public.who_import VALUES (84166, '2020-12-03', 'ES', 'Spain', 'EURO', '9864', '1746459', '203', '47676');
INSERT INTO public.who_import VALUES (84167, '2020-12-04', 'ES', 'Spain', 'EURO', '9141', '1755600', '201', '47877');
INSERT INTO public.who_import VALUES (84168, '2020-12-05', 'ES', 'Spain', 'EURO', '8352', '1763952', '191', '48068');
INSERT INTO public.who_import VALUES (84169, '2020-12-06', 'ES', 'Spain', 'EURO', '8668', '1772620', '203', '48271');
INSERT INTO public.who_import VALUES (84170, '2020-12-07', 'ES', 'Spain', 'EURO', '5044', '1777664', '166', '48437');
INSERT INTO public.who_import VALUES (84171, '2020-12-08', 'ES', 'Spain', 'EURO', '3337', '1781001', '163', '48600');
INSERT INTO public.who_import VALUES (84172, '2020-12-09', 'ES', 'Spain', 'EURO', '5609', '1786610', '175', '48775');
INSERT INTO public.who_import VALUES (84173, '2020-12-10', 'ES', 'Spain', 'EURO', '4145', '1790755', '143', '48918');
INSERT INTO public.who_import VALUES (84174, '2020-12-11', 'ES', 'Spain', 'EURO', '8837', '1799592', '198', '49116');
INSERT INTO public.who_import VALUES (84175, '2020-12-12', 'ES', 'Spain', 'EURO', '11178', '1810770', '161', '49277');
INSERT INTO public.who_import VALUES (84176, '2020-12-13', 'ES', 'Spain', 'EURO', '11736', '1822506', '188', '49465');
INSERT INTO public.who_import VALUES (84177, '2020-12-14', 'ES', 'Spain', 'EURO', '6757', '1829263', '153', '49618');
INSERT INTO public.who_import VALUES (84178, '2020-12-15', 'ES', 'Spain', 'EURO', '4389', '1833652', '145', '49763');
INSERT INTO public.who_import VALUES (84179, '2020-12-16', 'ES', 'Spain', 'EURO', '10365', '1844017', '146', '49909');
INSERT INTO public.who_import VALUES (84180, '2020-12-17', 'ES', 'Spain', 'EURO', '12614', '1856631', '157', '50066');
INSERT INTO public.who_import VALUES (84181, '2020-12-18', 'ES', 'Spain', 'EURO', '12238', '1868869', '128', '50194');
INSERT INTO public.who_import VALUES (84182, '2020-12-19', 'ES', 'Spain', 'EURO', '11333', '1880202', '153', '50347');
INSERT INTO public.who_import VALUES (84183, '2020-12-20', 'ES', 'Spain', 'EURO', '12720', '1892922', '162', '50509');
INSERT INTO public.who_import VALUES (84184, '2020-12-21', 'ES', 'Spain', 'EURO', '7103', '1900025', '125', '50634');
INSERT INTO public.who_import VALUES (84185, '2020-12-22', 'ES', 'Spain', 'EURO', '4521', '1904546', '137', '50771');
INSERT INTO public.who_import VALUES (84186, '2020-12-23', 'ES', 'Spain', 'EURO', '11634', '1916180', '134', '50905');
INSERT INTO public.who_import VALUES (84187, '2020-12-24', 'ES', 'Spain', 'EURO', '14153', '1930333', '155', '51060');
INSERT INTO public.who_import VALUES (84188, '2020-12-25', 'ES', 'Spain', 'EURO', '15043', '1945376', '164', '51224');
INSERT INTO public.who_import VALUES (84189, '2020-12-26', 'ES', 'Spain', 'EURO', '10496', '1955872', '141', '51365');
INSERT INTO public.who_import VALUES (84190, '2020-12-27', 'ES', 'Spain', 'EURO', '5117', '1960989', '122', '51487');
INSERT INTO public.who_import VALUES (84191, '2020-12-28', 'ES', 'Spain', 'EURO', '6623', '1967612', '154', '51641');
INSERT INTO public.who_import VALUES (84192, '2020-12-29', 'ES', 'Spain', 'EURO', '6198', '1973810', '152', '51793');
INSERT INTO public.who_import VALUES (84193, '2020-12-30', 'ES', 'Spain', 'EURO', '16366', '1990176', '165', '51958');
INSERT INTO public.who_import VALUES (84194, '2020-12-31', 'ES', 'Spain', 'EURO', '19916', '2010092', '130', '52088');
INSERT INTO public.who_import VALUES (84195, '2021-01-01', 'ES', 'Spain', 'EURO', '21349', '2031441', '165', '52253');
INSERT INTO public.who_import VALUES (84196, '2021-01-02', 'ES', 'Spain', 'EURO', '14367', '2045808', '150', '52403');
INSERT INTO public.who_import VALUES (84197, '2021-01-03', 'ES', 'Spain', 'EURO', '7304', '2053112', '131', '52534');
INSERT INTO public.who_import VALUES (84198, '2021-01-04', 'ES', 'Spain', 'EURO', '10127', '2063239', '158', '52692');
INSERT INTO public.who_import VALUES (84199, '2021-01-05', 'ES', 'Spain', 'EURO', '9558', '2072797', '143', '52835');
INSERT INTO public.who_import VALUES (84200, '2021-01-06', 'ES', 'Spain', 'EURO', '21516', '2094313', '151', '52986');
INSERT INTO public.who_import VALUES (84201, '2021-01-07', 'ES', 'Spain', 'EURO', '30023', '2124336', '197', '53183');
INSERT INTO public.who_import VALUES (84202, '2021-01-08', 'ES', 'Spain', 'EURO', '14211', '2138547', '154', '53337');
INSERT INTO public.who_import VALUES (84203, '2021-01-09', 'ES', 'Spain', 'EURO', '26168', '2164715', '186', '53523');
INSERT INTO public.who_import VALUES (84204, '2021-01-10', 'ES', 'Spain', 'EURO', '32204', '2196919', '200', '53723');
INSERT INTO public.who_import VALUES (84205, '2021-01-11', 'ES', 'Spain', 'EURO', '19003', '2215922', '178', '53901');
INSERT INTO public.who_import VALUES (84206, '2021-01-12', 'ES', 'Spain', 'EURO', '13639', '2229561', '180', '54081');
INSERT INTO public.who_import VALUES (84207, '2021-01-13', 'ES', 'Spain', 'EURO', '31737', '2261298', '239', '54320');
INSERT INTO public.who_import VALUES (84208, '2021-01-14', 'ES', 'Spain', 'EURO', '36814', '2298112', '234', '54554');
INSERT INTO public.who_import VALUES (84209, '2021-01-15', 'ES', 'Spain', 'EURO', '38293', '2336405', '251', '54805');
INSERT INTO public.who_import VALUES (84210, '2021-01-16', 'ES', 'Spain', 'EURO', '37625', '2374030', '253', '55058');
INSERT INTO public.who_import VALUES (84211, '2021-01-17', 'ES', 'Spain', 'EURO', '42475', '2416505', '327', '55385');
INSERT INTO public.who_import VALUES (84212, '2021-01-18', 'ES', 'Spain', 'EURO', '24633', '2441138', '309', '55694');
INSERT INTO public.who_import VALUES (84213, '2021-01-19', 'ES', 'Spain', 'EURO', '18386', '2459524', '294', '55988');
INSERT INTO public.who_import VALUES (84214, '2021-01-20', 'ES', 'Spain', 'EURO', '35130', '2494654', '355', '56343');
INSERT INTO public.who_import VALUES (84215, '2021-01-21', 'ES', 'Spain', 'EURO', '41737', '2536391', '416', '56759');
INSERT INTO public.who_import VALUES (84216, '2021-01-22', 'ES', 'Spain', 'EURO', '41476', '2577867', '379', '57138');
INSERT INTO public.who_import VALUES (84217, '2021-01-23', 'ES', 'Spain', 'EURO', '40329', '2618196', '420', '57558');
INSERT INTO public.who_import VALUES (84218, '2021-01-24', 'ES', 'Spain', 'EURO', '41808', '2660004', '472', '58030');
INSERT INTO public.who_import VALUES (84219, '2021-01-25', 'ES', 'Spain', 'EURO', '23648', '2683652', '389', '58419');
INSERT INTO public.who_import VALUES (84220, '2021-01-26', 'ES', 'Spain', 'EURO', '17081', '2700733', '433', '58852');
INSERT INTO public.who_import VALUES (84221, '2021-01-27', 'ES', 'Spain', 'EURO', '32201', '2732934', '423', '59275');
INSERT INTO public.who_import VALUES (84222, '2021-01-28', 'ES', 'Spain', 'EURO', '37100', '2770034', '445', '59720');
INSERT INTO public.who_import VALUES (84223, '2021-01-29', 'ES', 'Spain', 'EURO', '35419', '2805453', '514', '60234');
INSERT INTO public.who_import VALUES (84224, '2021-01-30', 'ES', 'Spain', 'EURO', '32806', '2838259', '476', '60710');
INSERT INTO public.who_import VALUES (84225, '2021-01-31', 'ES', 'Spain', 'EURO', '31762', '2870021', '435', '61145');
INSERT INTO public.who_import VALUES (84226, '2021-02-01', 'ES', 'Spain', 'EURO', '18014', '2888035', '434', '61579');
INSERT INTO public.who_import VALUES (84227, '2021-02-02', 'ES', 'Spain', 'EURO', '11469', '2899504', '401', '61980');
INSERT INTO public.who_import VALUES (84228, '2021-02-03', 'ES', 'Spain', 'EURO', '22206', '2921710', '476', '62456');
INSERT INTO public.who_import VALUES (84229, '2021-02-04', 'ES', 'Spain', 'EURO', '25597', '2947307', '410', '62866');
INSERT INTO public.who_import VALUES (84230, '2021-02-05', 'ES', 'Spain', 'EURO', '23515', '2970822', '403', '63269');
INSERT INTO public.who_import VALUES (84231, '2021-02-06', 'ES', 'Spain', 'EURO', '20781', '2991603', '373', '63642');
INSERT INTO public.who_import VALUES (84232, '2021-02-07', 'ES', 'Spain', 'EURO', '19812', '3011415', '362', '64004');
INSERT INTO public.who_import VALUES (84233, '2021-02-08', 'ES', 'Spain', 'EURO', '10189', '3021604', '320', '64324');
INSERT INTO public.who_import VALUES (84234, '2021-02-09', 'ES', 'Spain', 'EURO', '5920', '3027524', '302', '64626');
INSERT INTO public.who_import VALUES (84235, '2021-02-10', 'ES', 'Spain', 'EURO', '13516', '3041040', '328', '64954');
INSERT INTO public.who_import VALUES (84236, '2021-02-11', 'ES', 'Spain', 'EURO', '15084', '3056124', '284', '65238');
INSERT INTO public.who_import VALUES (84237, '2021-02-12', 'ES', 'Spain', 'EURO', '13048', '3069172', '298', '65536');
INSERT INTO public.who_import VALUES (84238, '2021-02-13', 'ES', 'Spain', 'EURO', '11475', '3080647', '253', '65789');
INSERT INTO public.who_import VALUES (84239, '2021-02-14', 'ES', 'Spain', 'EURO', '11276', '3091923', '235', '66024');
INSERT INTO public.who_import VALUES (84240, '2021-02-15', 'ES', 'Spain', 'EURO', '5452', '3097375', '164', '66188');
INSERT INTO public.who_import VALUES (84241, '2021-02-16', 'ES', 'Spain', 'EURO', '3330', '3100705', '173', '66361');
INSERT INTO public.who_import VALUES (84242, '2021-02-17', 'ES', 'Spain', 'EURO', '8215', '3108920', '159', '66520');
INSERT INTO public.who_import VALUES (84243, '2021-02-18', 'ES', 'Spain', 'EURO', '8444', '3117364', '150', '66670');
INSERT INTO public.who_import VALUES (84244, '2021-02-19', 'ES', 'Spain', 'EURO', '4323', '3121687', '34', '66704');
INSERT INTO public.who_import VALUES (84245, '2021-02-20', 'ES', 'Spain', 'EURO', '0', '3121687', '0', '66704');
INSERT INTO public.who_import VALUES (84246, '2020-01-03', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84247, '2020-01-04', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84248, '2020-01-05', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84249, '2020-01-06', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84250, '2020-01-07', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84251, '2020-01-08', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84252, '2020-01-09', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84253, '2020-01-10', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84254, '2020-01-11', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84255, '2020-01-12', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84256, '2020-01-13', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84257, '2020-01-14', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84258, '2020-01-15', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84259, '2020-01-16', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84260, '2020-01-17', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84261, '2020-01-18', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84262, '2020-01-19', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84263, '2020-01-20', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84264, '2020-01-21', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84265, '2020-01-22', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84266, '2020-01-23', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84267, '2020-01-24', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84268, '2020-01-25', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84269, '2020-01-26', 'LK', 'Sri Lanka', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84270, '2020-01-27', 'LK', 'Sri Lanka', 'SEARO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (84271, '2020-01-28', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84272, '2020-01-29', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84273, '2020-01-30', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84274, '2020-01-31', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84275, '2020-02-01', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84276, '2020-02-02', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84277, '2020-02-03', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84278, '2020-02-04', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84279, '2020-02-05', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84280, '2020-02-06', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84281, '2020-02-07', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84282, '2020-02-08', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84283, '2020-02-09', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84284, '2020-02-10', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84285, '2020-02-11', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84286, '2020-02-12', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84287, '2020-02-13', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84288, '2020-02-14', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84289, '2020-02-15', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84290, '2020-02-16', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84291, '2020-02-17', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84292, '2020-02-18', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84293, '2020-02-19', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84294, '2020-02-20', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84295, '2020-02-21', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84296, '2020-02-22', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84297, '2020-02-23', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84298, '2020-02-24', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84299, '2020-02-25', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84300, '2020-02-26', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84301, '2020-02-27', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84302, '2020-02-28', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84303, '2020-02-29', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84304, '2020-03-01', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84305, '2020-03-02', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84306, '2020-03-03', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84307, '2020-03-04', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84308, '2020-03-05', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84309, '2020-03-06', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84310, '2020-03-07', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84311, '2020-03-08', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84312, '2020-03-09', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84313, '2020-03-10', 'LK', 'Sri Lanka', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (84314, '2020-03-11', 'LK', 'Sri Lanka', 'SEARO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (84315, '2020-03-12', 'LK', 'Sri Lanka', 'SEARO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (84316, '2020-03-13', 'LK', 'Sri Lanka', 'SEARO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (84317, '2020-03-14', 'LK', 'Sri Lanka', 'SEARO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (84318, '2020-03-15', 'LK', 'Sri Lanka', 'SEARO', '5', '15', '0', '0');
INSERT INTO public.who_import VALUES (84319, '2020-03-16', 'LK', 'Sri Lanka', 'SEARO', '8', '23', '0', '0');
INSERT INTO public.who_import VALUES (84320, '2020-03-17', 'LK', 'Sri Lanka', 'SEARO', '10', '33', '0', '0');
INSERT INTO public.who_import VALUES (84321, '2020-03-18', 'LK', 'Sri Lanka', 'SEARO', '13', '46', '0', '0');
INSERT INTO public.who_import VALUES (84322, '2020-03-19', 'LK', 'Sri Lanka', 'SEARO', '13', '59', '0', '0');
INSERT INTO public.who_import VALUES (84323, '2020-03-20', 'LK', 'Sri Lanka', 'SEARO', '0', '59', '0', '0');
INSERT INTO public.who_import VALUES (84324, '2020-03-21', 'LK', 'Sri Lanka', 'SEARO', '13', '72', '0', '0');
INSERT INTO public.who_import VALUES (84325, '2020-03-22', 'LK', 'Sri Lanka', 'SEARO', '0', '72', '0', '0');
INSERT INTO public.who_import VALUES (84326, '2020-03-23', 'LK', 'Sri Lanka', 'SEARO', '22', '94', '0', '0');
INSERT INTO public.who_import VALUES (84327, '2020-03-24', 'LK', 'Sri Lanka', 'SEARO', '3', '97', '0', '0');
INSERT INTO public.who_import VALUES (84328, '2020-03-25', 'LK', 'Sri Lanka', 'SEARO', '5', '102', '0', '0');
INSERT INTO public.who_import VALUES (84329, '2020-03-26', 'LK', 'Sri Lanka', 'SEARO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (84330, '2020-03-27', 'LK', 'Sri Lanka', 'SEARO', '4', '106', '0', '0');
INSERT INTO public.who_import VALUES (84331, '2020-03-28', 'LK', 'Sri Lanka', 'SEARO', '0', '106', '0', '0');
INSERT INTO public.who_import VALUES (84332, '2020-03-29', 'LK', 'Sri Lanka', 'SEARO', '9', '115', '1', '1');
INSERT INTO public.who_import VALUES (84333, '2020-03-30', 'LK', 'Sri Lanka', 'SEARO', '5', '120', '0', '1');
INSERT INTO public.who_import VALUES (84334, '2020-03-31', 'LK', 'Sri Lanka', 'SEARO', '2', '122', '1', '2');
INSERT INTO public.who_import VALUES (84335, '2020-04-01', 'LK', 'Sri Lanka', 'SEARO', '21', '143', '0', '2');
INSERT INTO public.who_import VALUES (84336, '2020-04-02', 'LK', 'Sri Lanka', 'SEARO', '5', '148', '1', '3');
INSERT INTO public.who_import VALUES (84337, '2020-04-03', 'LK', 'Sri Lanka', 'SEARO', '3', '151', '1', '4');
INSERT INTO public.who_import VALUES (84338, '2020-04-04', 'LK', 'Sri Lanka', 'SEARO', '8', '159', '1', '5');
INSERT INTO public.who_import VALUES (84339, '2020-04-05', 'LK', 'Sri Lanka', 'SEARO', '7', '166', '0', '5');
INSERT INTO public.who_import VALUES (84340, '2020-04-06', 'LK', 'Sri Lanka', 'SEARO', '10', '176', '0', '5');
INSERT INTO public.who_import VALUES (84341, '2020-04-07', 'LK', 'Sri Lanka', 'SEARO', '4', '180', '1', '6');
INSERT INTO public.who_import VALUES (84342, '2020-04-08', 'LK', 'Sri Lanka', 'SEARO', '6', '186', '0', '6');
INSERT INTO public.who_import VALUES (84343, '2020-04-09', 'LK', 'Sri Lanka', 'SEARO', '3', '189', '1', '7');
INSERT INTO public.who_import VALUES (84344, '2020-04-10', 'LK', 'Sri Lanka', 'SEARO', '1', '190', '0', '7');
INSERT INTO public.who_import VALUES (84345, '2020-04-11', 'LK', 'Sri Lanka', 'SEARO', '7', '197', '0', '7');
INSERT INTO public.who_import VALUES (84346, '2020-04-12', 'LK', 'Sri Lanka', 'SEARO', '2', '199', '0', '7');
INSERT INTO public.who_import VALUES (84347, '2020-04-13', 'LK', 'Sri Lanka', 'SEARO', '11', '210', '0', '7');
INSERT INTO public.who_import VALUES (84348, '2020-04-14', 'LK', 'Sri Lanka', 'SEARO', '8', '218', '0', '7');
INSERT INTO public.who_import VALUES (84349, '2020-04-15', 'LK', 'Sri Lanka', 'SEARO', '15', '233', '0', '7');
INSERT INTO public.who_import VALUES (84350, '2020-04-16', 'LK', 'Sri Lanka', 'SEARO', '5', '238', '0', '7');
INSERT INTO public.who_import VALUES (84351, '2020-04-17', 'LK', 'Sri Lanka', 'SEARO', '0', '238', '0', '7');
INSERT INTO public.who_import VALUES (84352, '2020-04-18', 'LK', 'Sri Lanka', 'SEARO', '6', '244', '0', '7');
INSERT INTO public.who_import VALUES (84353, '2020-04-19', 'LK', 'Sri Lanka', 'SEARO', '10', '254', '0', '7');
INSERT INTO public.who_import VALUES (84354, '2020-04-20', 'LK', 'Sri Lanka', 'SEARO', '17', '271', '0', '7');
INSERT INTO public.who_import VALUES (84355, '2020-04-21', 'LK', 'Sri Lanka', 'SEARO', '33', '304', '0', '7');
INSERT INTO public.who_import VALUES (84356, '2020-04-22', 'LK', 'Sri Lanka', 'SEARO', '6', '310', '0', '7');
INSERT INTO public.who_import VALUES (84357, '2020-04-23', 'LK', 'Sri Lanka', 'SEARO', '20', '330', '0', '7');
INSERT INTO public.who_import VALUES (84358, '2020-04-24', 'LK', 'Sri Lanka', 'SEARO', '38', '368', '0', '7');
INSERT INTO public.who_import VALUES (84359, '2020-04-25', 'LK', 'Sri Lanka', 'SEARO', '52', '420', '0', '7');
INSERT INTO public.who_import VALUES (84360, '2020-04-26', 'LK', 'Sri Lanka', 'SEARO', '40', '460', '0', '7');
INSERT INTO public.who_import VALUES (84361, '2020-04-27', 'LK', 'Sri Lanka', 'SEARO', '63', '523', '0', '7');
INSERT INTO public.who_import VALUES (84362, '2020-04-28', 'LK', 'Sri Lanka', 'SEARO', '65', '588', '0', '7');
INSERT INTO public.who_import VALUES (84363, '2020-04-29', 'LK', 'Sri Lanka', 'SEARO', '31', '619', '0', '7');
INSERT INTO public.who_import VALUES (84364, '2020-04-30', 'LK', 'Sri Lanka', 'SEARO', '30', '649', '0', '7');
INSERT INTO public.who_import VALUES (84365, '2020-05-01', 'LK', 'Sri Lanka', 'SEARO', '16', '665', '0', '7');
INSERT INTO public.who_import VALUES (84366, '2020-05-02', 'LK', 'Sri Lanka', 'SEARO', '25', '690', '0', '7');
INSERT INTO public.who_import VALUES (84367, '2020-05-03', 'LK', 'Sri Lanka', 'SEARO', '15', '705', '0', '7');
INSERT INTO public.who_import VALUES (84368, '2020-05-04', 'LK', 'Sri Lanka', 'SEARO', '13', '718', '0', '7');
INSERT INTO public.who_import VALUES (84369, '2020-05-05', 'LK', 'Sri Lanka', 'SEARO', '37', '755', '1', '8');
INSERT INTO public.who_import VALUES (84370, '2020-05-06', 'LK', 'Sri Lanka', 'SEARO', '16', '771', '1', '9');
INSERT INTO public.who_import VALUES (84371, '2020-05-07', 'LK', 'Sri Lanka', 'SEARO', '26', '797', '0', '9');
INSERT INTO public.who_import VALUES (84372, '2020-05-08', 'LK', 'Sri Lanka', 'SEARO', '27', '824', '0', '9');
INSERT INTO public.who_import VALUES (84373, '2020-05-09', 'LK', 'Sri Lanka', 'SEARO', '11', '835', '0', '9');
INSERT INTO public.who_import VALUES (84374, '2020-05-10', 'LK', 'Sri Lanka', 'SEARO', '12', '847', '0', '9');
INSERT INTO public.who_import VALUES (84375, '2020-05-11', 'LK', 'Sri Lanka', 'SEARO', '16', '863', '0', '9');
INSERT INTO public.who_import VALUES (84376, '2020-05-12', 'LK', 'Sri Lanka', 'SEARO', '6', '869', '0', '9');
INSERT INTO public.who_import VALUES (84377, '2020-05-13', 'LK', 'Sri Lanka', 'SEARO', '24', '893', '0', '9');
INSERT INTO public.who_import VALUES (84378, '2020-05-14', 'LK', 'Sri Lanka', 'SEARO', '23', '916', '0', '9');
INSERT INTO public.who_import VALUES (84379, '2020-05-15', 'LK', 'Sri Lanka', 'SEARO', '9', '925', '0', '9');
INSERT INTO public.who_import VALUES (84380, '2020-05-16', 'LK', 'Sri Lanka', 'SEARO', '24', '949', '0', '9');
INSERT INTO public.who_import VALUES (84381, '2020-05-17', 'LK', 'Sri Lanka', 'SEARO', '21', '970', '0', '9');
INSERT INTO public.who_import VALUES (84382, '2020-05-18', 'LK', 'Sri Lanka', 'SEARO', '16', '986', '0', '9');
INSERT INTO public.who_import VALUES (84383, '2020-05-19', 'LK', 'Sri Lanka', 'SEARO', '34', '1020', '0', '9');
INSERT INTO public.who_import VALUES (84384, '2020-05-20', 'LK', 'Sri Lanka', 'SEARO', '7', '1027', '0', '9');
INSERT INTO public.who_import VALUES (84385, '2020-05-21', 'LK', 'Sri Lanka', 'SEARO', '18', '1045', '0', '9');
INSERT INTO public.who_import VALUES (84386, '2020-05-22', 'LK', 'Sri Lanka', 'SEARO', '15', '1060', '0', '9');
INSERT INTO public.who_import VALUES (84387, '2020-05-23', 'LK', 'Sri Lanka', 'SEARO', '25', '1085', '0', '9');
INSERT INTO public.who_import VALUES (84388, '2020-05-24', 'LK', 'Sri Lanka', 'SEARO', '33', '1118', '0', '9');
INSERT INTO public.who_import VALUES (84389, '2020-05-25', 'LK', 'Sri Lanka', 'SEARO', '64', '1182', '0', '9');
INSERT INTO public.who_import VALUES (84390, '2020-05-26', 'LK', 'Sri Lanka', 'SEARO', '96', '1278', '1', '10');
INSERT INTO public.who_import VALUES (84391, '2020-05-27', 'LK', 'Sri Lanka', 'SEARO', '147', '1425', '0', '10');
INSERT INTO public.who_import VALUES (84392, '2020-05-28', 'LK', 'Sri Lanka', 'SEARO', '78', '1503', '0', '10');
INSERT INTO public.who_import VALUES (84393, '2020-05-29', 'LK', 'Sri Lanka', 'SEARO', '37', '1540', '0', '10');
INSERT INTO public.who_import VALUES (84394, '2020-05-30', 'LK', 'Sri Lanka', 'SEARO', '26', '1566', '0', '10');
INSERT INTO public.who_import VALUES (84395, '2020-05-31', 'LK', 'Sri Lanka', 'SEARO', '64', '1630', '0', '10');
INSERT INTO public.who_import VALUES (84396, '2020-06-01', 'LK', 'Sri Lanka', 'SEARO', '3', '1633', '0', '10');
INSERT INTO public.who_import VALUES (84397, '2020-06-02', 'LK', 'Sri Lanka', 'SEARO', '10', '1643', '1', '11');
INSERT INTO public.who_import VALUES (84398, '2020-06-03', 'LK', 'Sri Lanka', 'SEARO', '40', '1683', '0', '11');
INSERT INTO public.who_import VALUES (84399, '2020-06-04', 'LK', 'Sri Lanka', 'SEARO', '66', '1749', '0', '11');
INSERT INTO public.who_import VALUES (84400, '2020-06-05', 'LK', 'Sri Lanka', 'SEARO', '48', '1797', '0', '11');
INSERT INTO public.who_import VALUES (84401, '2020-06-06', 'LK', 'Sri Lanka', 'SEARO', '4', '1801', '0', '11');
INSERT INTO public.who_import VALUES (84402, '2020-06-07', 'LK', 'Sri Lanka', 'SEARO', '13', '1814', '0', '11');
INSERT INTO public.who_import VALUES (84403, '2020-06-08', 'LK', 'Sri Lanka', 'SEARO', '21', '1835', '0', '11');
INSERT INTO public.who_import VALUES (84404, '2020-06-09', 'LK', 'Sri Lanka', 'SEARO', '22', '1857', '0', '11');
INSERT INTO public.who_import VALUES (84405, '2020-06-10', 'LK', 'Sri Lanka', 'SEARO', '2', '1859', '0', '11');
INSERT INTO public.who_import VALUES (84406, '2020-06-11', 'LK', 'Sri Lanka', 'SEARO', '10', '1869', '0', '11');
INSERT INTO public.who_import VALUES (84407, '2020-06-12', 'LK', 'Sri Lanka', 'SEARO', '8', '1877', '0', '11');
INSERT INTO public.who_import VALUES (84408, '2020-06-13', 'LK', 'Sri Lanka', 'SEARO', '3', '1880', '0', '11');
INSERT INTO public.who_import VALUES (84409, '2020-06-14', 'LK', 'Sri Lanka', 'SEARO', '4', '1884', '0', '11');
INSERT INTO public.who_import VALUES (84410, '2020-06-15', 'LK', 'Sri Lanka', 'SEARO', '5', '1889', '0', '11');
INSERT INTO public.who_import VALUES (84411, '2020-06-16', 'LK', 'Sri Lanka', 'SEARO', '16', '1905', '0', '11');
INSERT INTO public.who_import VALUES (84412, '2020-06-17', 'LK', 'Sri Lanka', 'SEARO', '10', '1915', '0', '11');
INSERT INTO public.who_import VALUES (84413, '2020-06-18', 'LK', 'Sri Lanka', 'SEARO', '9', '1924', '0', '11');
INSERT INTO public.who_import VALUES (84414, '2020-06-19', 'LK', 'Sri Lanka', 'SEARO', '23', '1947', '0', '11');
INSERT INTO public.who_import VALUES (84415, '2020-06-20', 'LK', 'Sri Lanka', 'SEARO', '3', '1950', '0', '11');
INSERT INTO public.who_import VALUES (84416, '2020-06-21', 'LK', 'Sri Lanka', 'SEARO', '0', '1950', '0', '11');
INSERT INTO public.who_import VALUES (84417, '2020-06-22', 'LK', 'Sri Lanka', 'SEARO', '0', '1950', '0', '11');
INSERT INTO public.who_import VALUES (84418, '2020-06-23', 'LK', 'Sri Lanka', 'SEARO', '1', '1951', '0', '11');
INSERT INTO public.who_import VALUES (84419, '2020-06-24', 'LK', 'Sri Lanka', 'SEARO', '40', '1991', '0', '11');
INSERT INTO public.who_import VALUES (84420, '2020-06-25', 'LK', 'Sri Lanka', 'SEARO', '10', '2001', '0', '11');
INSERT INTO public.who_import VALUES (84421, '2020-06-26', 'LK', 'Sri Lanka', 'SEARO', '9', '2010', '0', '11');
INSERT INTO public.who_import VALUES (84422, '2020-06-27', 'LK', 'Sri Lanka', 'SEARO', '4', '2014', '0', '11');
INSERT INTO public.who_import VALUES (84423, '2020-06-28', 'LK', 'Sri Lanka', 'SEARO', '19', '2033', '0', '11');
INSERT INTO public.who_import VALUES (84424, '2020-06-29', 'LK', 'Sri Lanka', 'SEARO', '4', '2037', '0', '11');
INSERT INTO public.who_import VALUES (84425, '2020-06-30', 'LK', 'Sri Lanka', 'SEARO', '5', '2042', '0', '11');
INSERT INTO public.who_import VALUES (84426, '2020-07-01', 'LK', 'Sri Lanka', 'SEARO', '5', '2047', '0', '11');
INSERT INTO public.who_import VALUES (84427, '2020-07-02', 'LK', 'Sri Lanka', 'SEARO', '7', '2054', '0', '11');
INSERT INTO public.who_import VALUES (84428, '2020-07-03', 'LK', 'Sri Lanka', 'SEARO', '12', '2066', '0', '11');
INSERT INTO public.who_import VALUES (84429, '2020-07-04', 'LK', 'Sri Lanka', 'SEARO', '3', '2069', '0', '11');
INSERT INTO public.who_import VALUES (84430, '2020-07-05', 'LK', 'Sri Lanka', 'SEARO', '5', '2074', '0', '11');
INSERT INTO public.who_import VALUES (84431, '2020-07-06', 'LK', 'Sri Lanka', 'SEARO', '2', '2076', '0', '11');
INSERT INTO public.who_import VALUES (84432, '2020-07-07', 'LK', 'Sri Lanka', 'SEARO', '2', '2078', '0', '11');
INSERT INTO public.who_import VALUES (84433, '2020-07-08', 'LK', 'Sri Lanka', 'SEARO', '3', '2081', '0', '11');
INSERT INTO public.who_import VALUES (84434, '2020-07-09', 'LK', 'Sri Lanka', 'SEARO', '13', '2094', '0', '11');
INSERT INTO public.who_import VALUES (84435, '2020-07-10', 'LK', 'Sri Lanka', 'SEARO', '256', '2350', '0', '11');
INSERT INTO public.who_import VALUES (84436, '2020-07-11', 'LK', 'Sri Lanka', 'SEARO', '104', '2454', '0', '11');
INSERT INTO public.who_import VALUES (84437, '2020-07-12', 'LK', 'Sri Lanka', 'SEARO', '57', '2511', '0', '11');
INSERT INTO public.who_import VALUES (84438, '2020-07-13', 'LK', 'Sri Lanka', 'SEARO', '106', '2617', '0', '11');
INSERT INTO public.who_import VALUES (84439, '2020-07-14', 'LK', 'Sri Lanka', 'SEARO', '29', '2646', '0', '11');
INSERT INTO public.who_import VALUES (84440, '2020-07-15', 'LK', 'Sri Lanka', 'SEARO', '19', '2665', '0', '11');
INSERT INTO public.who_import VALUES (84441, '2020-07-16', 'LK', 'Sri Lanka', 'SEARO', '9', '2674', '0', '11');
INSERT INTO public.who_import VALUES (84442, '2020-07-17', 'LK', 'Sri Lanka', 'SEARO', '13', '2687', '0', '11');
INSERT INTO public.who_import VALUES (84443, '2020-07-18', 'LK', 'Sri Lanka', 'SEARO', '10', '2697', '0', '11');
INSERT INTO public.who_import VALUES (84444, '2020-07-19', 'LK', 'Sri Lanka', 'SEARO', '11', '2708', '0', '11');
INSERT INTO public.who_import VALUES (84445, '2020-07-20', 'LK', 'Sri Lanka', 'SEARO', '16', '2724', '0', '11');
INSERT INTO public.who_import VALUES (84446, '2020-07-21', 'LK', 'Sri Lanka', 'SEARO', '6', '2730', '0', '11');
INSERT INTO public.who_import VALUES (84447, '2020-07-22', 'LK', 'Sri Lanka', 'SEARO', '0', '2730', '0', '11');
INSERT INTO public.who_import VALUES (84448, '2020-07-23', 'LK', 'Sri Lanka', 'SEARO', '22', '2752', '0', '11');
INSERT INTO public.who_import VALUES (84449, '2020-07-24', 'LK', 'Sri Lanka', 'SEARO', '1', '2753', '0', '11');
INSERT INTO public.who_import VALUES (84450, '2020-07-25', 'LK', 'Sri Lanka', 'SEARO', '11', '2764', '0', '11');
INSERT INTO public.who_import VALUES (84451, '2020-07-26', 'LK', 'Sri Lanka', 'SEARO', '6', '2770', '0', '11');
INSERT INTO public.who_import VALUES (84452, '2020-07-27', 'LK', 'Sri Lanka', 'SEARO', '12', '2782', '0', '11');
INSERT INTO public.who_import VALUES (84453, '2020-07-28', 'LK', 'Sri Lanka', 'SEARO', '23', '2805', '0', '11');
INSERT INTO public.who_import VALUES (84454, '2020-07-29', 'LK', 'Sri Lanka', 'SEARO', '5', '2810', '0', '11');
INSERT INTO public.who_import VALUES (84455, '2020-07-30', 'LK', 'Sri Lanka', 'SEARO', '0', '2810', '0', '11');
INSERT INTO public.who_import VALUES (84456, '2020-07-31', 'LK', 'Sri Lanka', 'SEARO', '4', '2814', '0', '11');
INSERT INTO public.who_import VALUES (84457, '2020-08-01', 'LK', 'Sri Lanka', 'SEARO', '1', '2815', '0', '11');
INSERT INTO public.who_import VALUES (84458, '2020-08-02', 'LK', 'Sri Lanka', 'SEARO', '0', '2815', '0', '11');
INSERT INTO public.who_import VALUES (84459, '2020-08-03', 'LK', 'Sri Lanka', 'SEARO', '8', '2823', '0', '11');
INSERT INTO public.who_import VALUES (84460, '2020-08-04', 'LK', 'Sri Lanka', 'SEARO', '5', '2828', '0', '11');
INSERT INTO public.who_import VALUES (84461, '2020-08-05', 'LK', 'Sri Lanka', 'SEARO', '6', '2834', '0', '11');
INSERT INTO public.who_import VALUES (84462, '2020-08-06', 'LK', 'Sri Lanka', 'SEARO', '5', '2839', '0', '11');
INSERT INTO public.who_import VALUES (84463, '2020-08-07', 'LK', 'Sri Lanka', 'SEARO', '0', '2839', '0', '11');
INSERT INTO public.who_import VALUES (84464, '2020-08-08', 'LK', 'Sri Lanka', 'SEARO', '0', '2839', '0', '11');
INSERT INTO public.who_import VALUES (84465, '2020-08-09', 'LK', 'Sri Lanka', 'SEARO', '2', '2841', '0', '11');
INSERT INTO public.who_import VALUES (84466, '2020-08-10', 'LK', 'Sri Lanka', 'SEARO', '3', '2844', '0', '11');
INSERT INTO public.who_import VALUES (84467, '2020-08-11', 'LK', 'Sri Lanka', 'SEARO', '27', '2871', '0', '11');
INSERT INTO public.who_import VALUES (84468, '2020-08-12', 'LK', 'Sri Lanka', 'SEARO', '9', '2880', '0', '11');
INSERT INTO public.who_import VALUES (84469, '2020-08-13', 'LK', 'Sri Lanka', 'SEARO', '0', '2880', '0', '11');
INSERT INTO public.who_import VALUES (84470, '2020-08-14', 'LK', 'Sri Lanka', 'SEARO', '2', '2882', '0', '11');
INSERT INTO public.who_import VALUES (84471, '2020-08-15', 'LK', 'Sri Lanka', 'SEARO', '0', '2882', '0', '11');
INSERT INTO public.who_import VALUES (84472, '2020-08-16', 'LK', 'Sri Lanka', 'SEARO', '4', '2886', '0', '11');
INSERT INTO public.who_import VALUES (84473, '2020-08-17', 'LK', 'Sri Lanka', 'SEARO', '7', '2893', '0', '11');
INSERT INTO public.who_import VALUES (84474, '2020-08-18', 'LK', 'Sri Lanka', 'SEARO', '7', '2900', '0', '11');
INSERT INTO public.who_import VALUES (84475, '2020-08-19', 'LK', 'Sri Lanka', 'SEARO', '2', '2902', '0', '11');
INSERT INTO public.who_import VALUES (84476, '2020-08-20', 'LK', 'Sri Lanka', 'SEARO', '0', '2902', '0', '11');
INSERT INTO public.who_import VALUES (84477, '2020-08-21', 'LK', 'Sri Lanka', 'SEARO', '16', '2918', '0', '11');
INSERT INTO public.who_import VALUES (84478, '2020-08-22', 'LK', 'Sri Lanka', 'SEARO', '0', '2918', '0', '11');
INSERT INTO public.who_import VALUES (84479, '2020-08-23', 'LK', 'Sri Lanka', 'SEARO', '29', '2947', '1', '12');
INSERT INTO public.who_import VALUES (84480, '2020-08-24', 'LK', 'Sri Lanka', 'SEARO', '6', '2953', '0', '12');
INSERT INTO public.who_import VALUES (84481, '2020-08-25', 'LK', 'Sri Lanka', 'SEARO', '6', '2959', '0', '12');
INSERT INTO public.who_import VALUES (84482, '2020-08-26', 'LK', 'Sri Lanka', 'SEARO', '0', '2959', '0', '12');
INSERT INTO public.who_import VALUES (84483, '2020-08-27', 'LK', 'Sri Lanka', 'SEARO', '25', '2984', '0', '12');
INSERT INTO public.who_import VALUES (84484, '2020-08-28', 'LK', 'Sri Lanka', 'SEARO', '2', '2986', '0', '12');
INSERT INTO public.who_import VALUES (84485, '2020-08-29', 'LK', 'Sri Lanka', 'SEARO', '2', '2988', '0', '12');
INSERT INTO public.who_import VALUES (84486, '2020-08-30', 'LK', 'Sri Lanka', 'SEARO', '7', '2995', '0', '12');
INSERT INTO public.who_import VALUES (84487, '2020-08-31', 'LK', 'Sri Lanka', 'SEARO', '17', '3012', '0', '12');
INSERT INTO public.who_import VALUES (84488, '2020-09-01', 'LK', 'Sri Lanka', 'SEARO', '37', '3049', '0', '12');
INSERT INTO public.who_import VALUES (84489, '2020-09-02', 'LK', 'Sri Lanka', 'SEARO', '43', '3092', '0', '12');
INSERT INTO public.who_import VALUES (84490, '2020-09-03', 'LK', 'Sri Lanka', 'SEARO', '10', '3102', '0', '12');
INSERT INTO public.who_import VALUES (84491, '2020-09-04', 'LK', 'Sri Lanka', 'SEARO', '9', '3111', '0', '12');
INSERT INTO public.who_import VALUES (84492, '2020-09-05', 'LK', 'Sri Lanka', 'SEARO', '4', '3115', '0', '12');
INSERT INTO public.who_import VALUES (84493, '2020-09-06', 'LK', 'Sri Lanka', 'SEARO', '6', '3121', '0', '12');
INSERT INTO public.who_import VALUES (84494, '2020-09-07', 'LK', 'Sri Lanka', 'SEARO', '2', '3123', '0', '12');
INSERT INTO public.who_import VALUES (84495, '2020-09-08', 'LK', 'Sri Lanka', 'SEARO', '0', '3123', '0', '12');
INSERT INTO public.who_import VALUES (84496, '2020-09-09', 'LK', 'Sri Lanka', 'SEARO', '17', '3140', '0', '12');
INSERT INTO public.who_import VALUES (84497, '2020-09-10', 'LK', 'Sri Lanka', 'SEARO', '7', '3147', '0', '12');
INSERT INTO public.who_import VALUES (84498, '2020-09-11', 'LK', 'Sri Lanka', 'SEARO', '8', '3155', '0', '12');
INSERT INTO public.who_import VALUES (84499, '2020-09-12', 'LK', 'Sri Lanka', 'SEARO', '14', '3169', '0', '12');
INSERT INTO public.who_import VALUES (84500, '2020-09-13', 'LK', 'Sri Lanka', 'SEARO', '35', '3204', '0', '12');
INSERT INTO public.who_import VALUES (84501, '2020-09-14', 'LK', 'Sri Lanka', 'SEARO', '30', '3234', '0', '12');
INSERT INTO public.who_import VALUES (84502, '2020-09-15', 'LK', 'Sri Lanka', 'SEARO', '28', '3262', '0', '12');
INSERT INTO public.who_import VALUES (84503, '2020-09-16', 'LK', 'Sri Lanka', 'SEARO', '9', '3271', '1', '13');
INSERT INTO public.who_import VALUES (84504, '2020-09-17', 'LK', 'Sri Lanka', 'SEARO', '0', '3271', '0', '13');
INSERT INTO public.who_import VALUES (84505, '2020-09-18', 'LK', 'Sri Lanka', 'SEARO', '5', '3276', '0', '13');
INSERT INTO public.who_import VALUES (84506, '2020-09-19', 'LK', 'Sri Lanka', 'SEARO', '5', '3281', '0', '13');
INSERT INTO public.who_import VALUES (84507, '2020-09-20', 'LK', 'Sri Lanka', 'SEARO', '2', '3283', '0', '13');
INSERT INTO public.who_import VALUES (84508, '2020-09-21', 'LK', 'Sri Lanka', 'SEARO', '4', '3287', '0', '13');
INSERT INTO public.who_import VALUES (84509, '2020-09-22', 'LK', 'Sri Lanka', 'SEARO', '12', '3299', '0', '13');
INSERT INTO public.who_import VALUES (84510, '2020-09-23', 'LK', 'Sri Lanka', 'SEARO', '14', '3313', '0', '13');
INSERT INTO public.who_import VALUES (84511, '2020-09-24', 'LK', 'Sri Lanka', 'SEARO', '11', '3324', '0', '13');
INSERT INTO public.who_import VALUES (84512, '2020-09-25', 'LK', 'Sri Lanka', 'SEARO', '9', '3333', '0', '13');
INSERT INTO public.who_import VALUES (84513, '2020-09-26', 'LK', 'Sri Lanka', 'SEARO', '12', '3345', '0', '13');
INSERT INTO public.who_import VALUES (84514, '2020-09-27', 'LK', 'Sri Lanka', 'SEARO', '4', '3349', '0', '13');
INSERT INTO public.who_import VALUES (84515, '2020-09-28', 'LK', 'Sri Lanka', 'SEARO', '11', '3360', '0', '13');
INSERT INTO public.who_import VALUES (84516, '2020-09-29', 'LK', 'Sri Lanka', 'SEARO', '3', '3363', '0', '13');
INSERT INTO public.who_import VALUES (84517, '2020-09-30', 'LK', 'Sri Lanka', 'SEARO', '11', '3374', '0', '13');
INSERT INTO public.who_import VALUES (84518, '2020-10-01', 'LK', 'Sri Lanka', 'SEARO', '6', '3380', '0', '13');
INSERT INTO public.who_import VALUES (84519, '2020-10-02', 'LK', 'Sri Lanka', 'SEARO', '2', '3382', '0', '13');
INSERT INTO public.who_import VALUES (84520, '2020-10-03', 'LK', 'Sri Lanka', 'SEARO', '6', '3388', '0', '13');
INSERT INTO public.who_import VALUES (84521, '2020-10-04', 'LK', 'Sri Lanka', 'SEARO', '7', '3395', '0', '13');
INSERT INTO public.who_import VALUES (84522, '2020-10-05', 'LK', 'Sri Lanka', 'SEARO', '76', '3471', '0', '13');
INSERT INTO public.who_import VALUES (84523, '2020-10-06', 'LK', 'Sri Lanka', 'SEARO', '262', '3733', '0', '13');
INSERT INTO public.who_import VALUES (84524, '2020-10-07', 'LK', 'Sri Lanka', 'SEARO', '519', '4252', '0', '13');
INSERT INTO public.who_import VALUES (84525, '2020-10-08', 'LK', 'Sri Lanka', 'SEARO', '207', '4459', '0', '13');
INSERT INTO public.who_import VALUES (84526, '2020-10-09', 'LK', 'Sri Lanka', 'SEARO', '29', '4488', '0', '13');
INSERT INTO public.who_import VALUES (84527, '2020-10-10', 'LK', 'Sri Lanka', 'SEARO', '35', '4523', '0', '13');
INSERT INTO public.who_import VALUES (84528, '2020-10-11', 'LK', 'Sri Lanka', 'SEARO', '105', '4628', '0', '13');
INSERT INTO public.who_import VALUES (84529, '2020-10-12', 'LK', 'Sri Lanka', 'SEARO', '124', '4752', '0', '13');
INSERT INTO public.who_import VALUES (84530, '2020-10-13', 'LK', 'Sri Lanka', 'SEARO', '92', '4844', '0', '13');
INSERT INTO public.who_import VALUES (84531, '2020-10-14', 'LK', 'Sri Lanka', 'SEARO', '194', '5038', '0', '13');
INSERT INTO public.who_import VALUES (84532, '2020-10-15', 'LK', 'Sri Lanka', 'SEARO', '130', '5168', '0', '13');
INSERT INTO public.who_import VALUES (84533, '2020-10-16', 'LK', 'Sri Lanka', 'SEARO', '76', '5244', '0', '13');
INSERT INTO public.who_import VALUES (84534, '2020-10-17', 'LK', 'Sri Lanka', 'SEARO', '110', '5354', '0', '13');
INSERT INTO public.who_import VALUES (84535, '2020-10-18', 'LK', 'Sri Lanka', 'SEARO', '121', '5475', '0', '13');
INSERT INTO public.who_import VALUES (84536, '2020-10-19', 'LK', 'Sri Lanka', 'SEARO', '63', '5538', '0', '13');
INSERT INTO public.who_import VALUES (84537, '2020-10-20', 'LK', 'Sri Lanka', 'SEARO', '87', '5625', '0', '13');
INSERT INTO public.who_import VALUES (84538, '2020-10-21', 'LK', 'Sri Lanka', 'SEARO', '186', '5811', '0', '13');
INSERT INTO public.who_import VALUES (84539, '2020-10-22', 'LK', 'Sri Lanka', 'SEARO', '167', '5978', '0', '13');
INSERT INTO public.who_import VALUES (84540, '2020-10-23', 'LK', 'Sri Lanka', 'SEARO', '309', '6287', '1', '14');
INSERT INTO public.who_import VALUES (84541, '2020-10-24', 'LK', 'Sri Lanka', 'SEARO', '866', '7153', '0', '14');
INSERT INTO public.who_import VALUES (84542, '2020-10-25', 'LK', 'Sri Lanka', 'SEARO', '368', '7521', '0', '14');
INSERT INTO public.who_import VALUES (84543, '2020-10-26', 'LK', 'Sri Lanka', 'SEARO', '351', '7872', '1', '15');
INSERT INTO public.who_import VALUES (84544, '2020-10-27', 'LK', 'Sri Lanka', 'SEARO', '541', '8413', '1', '16');
INSERT INTO public.who_import VALUES (84545, '2020-10-28', 'LK', 'Sri Lanka', 'SEARO', '457', '8870', '3', '19');
INSERT INTO public.who_import VALUES (84546, '2020-10-29', 'LK', 'Sri Lanka', 'SEARO', '335', '9205', '0', '19');
INSERT INTO public.who_import VALUES (84547, '2020-10-30', 'LK', 'Sri Lanka', 'SEARO', '586', '9791', '0', '19');
INSERT INTO public.who_import VALUES (84548, '2020-10-31', 'LK', 'Sri Lanka', 'SEARO', '633', '10424', '0', '19');
INSERT INTO public.who_import VALUES (84549, '2020-11-01', 'LK', 'Sri Lanka', 'SEARO', '239', '10663', '1', '20');
INSERT INTO public.who_import VALUES (84550, '2020-11-02', 'LK', 'Sri Lanka', 'SEARO', '397', '11060', '1', '21');
INSERT INTO public.who_import VALUES (84551, '2020-11-03', 'LK', 'Sri Lanka', 'SEARO', '275', '11335', '0', '21');
INSERT INTO public.who_import VALUES (84552, '2020-11-04', 'LK', 'Sri Lanka', 'SEARO', '409', '11744', '2', '23');
INSERT INTO public.who_import VALUES (84553, '2020-11-05', 'LK', 'Sri Lanka', 'SEARO', '443', '12187', '1', '24');
INSERT INTO public.who_import VALUES (84554, '2020-11-06', 'LK', 'Sri Lanka', 'SEARO', '383', '12570', '5', '29');
INSERT INTO public.who_import VALUES (84555, '2020-11-07', 'LK', 'Sri Lanka', 'SEARO', '400', '12970', '1', '30');
INSERT INTO public.who_import VALUES (84556, '2020-11-08', 'LK', 'Sri Lanka', 'SEARO', '449', '13419', '4', '34');
INSERT INTO public.who_import VALUES (84557, '2020-11-09', 'LK', 'Sri Lanka', 'SEARO', '510', '13929', '1', '35');
INSERT INTO public.who_import VALUES (84558, '2020-11-10', 'LK', 'Sri Lanka', 'SEARO', '356', '14285', '0', '35');
INSERT INTO public.who_import VALUES (84559, '2020-11-11', 'LK', 'Sri Lanka', 'SEARO', '430', '14715', '6', '41');
INSERT INTO public.who_import VALUES (84560, '2020-11-12', 'LK', 'Sri Lanka', 'SEARO', '0', '14715', '0', '41');
INSERT INTO public.who_import VALUES (84561, '2020-11-13', 'LK', 'Sri Lanka', 'SEARO', '635', '15350', '5', '46');
INSERT INTO public.who_import VALUES (84562, '2020-11-14', 'LK', 'Sri Lanka', 'SEARO', '373', '15723', '2', '48');
INSERT INTO public.who_import VALUES (84563, '2020-11-15', 'LK', 'Sri Lanka', 'SEARO', '468', '16191', '5', '53');
INSERT INTO public.who_import VALUES (84564, '2020-11-16', 'LK', 'Sri Lanka', 'SEARO', '1096', '17287', '5', '58');
INSERT INTO public.who_import VALUES (84565, '2020-11-17', 'LK', 'Sri Lanka', 'SEARO', '387', '17674', '3', '61');
INSERT INTO public.who_import VALUES (84566, '2020-11-18', 'LK', 'Sri Lanka', 'SEARO', '401', '18075', '5', '66');
INSERT INTO public.who_import VALUES (84567, '2020-11-19', 'LK', 'Sri Lanka', 'SEARO', '327', '18402', '3', '69');
INSERT INTO public.who_import VALUES (84568, '2020-11-20', 'LK', 'Sri Lanka', 'SEARO', '439', '18841', '4', '73');
INSERT INTO public.who_import VALUES (84569, '2020-11-21', 'LK', 'Sri Lanka', 'SEARO', '439', '19280', '1', '74');
INSERT INTO public.who_import VALUES (84570, '2020-11-22', 'LK', 'Sri Lanka', 'SEARO', '491', '19771', '9', '83');
INSERT INTO public.who_import VALUES (84571, '2020-11-23', 'LK', 'Sri Lanka', 'SEARO', '400', '20171', '4', '87');
INSERT INTO public.who_import VALUES (84572, '2020-11-24', 'LK', 'Sri Lanka', 'SEARO', '337', '20508', '3', '90');
INSERT INTO public.who_import VALUES (84573, '2020-11-25', 'LK', 'Sri Lanka', 'SEARO', '459', '20967', '4', '94');
INSERT INTO public.who_import VALUES (84574, '2020-11-26', 'LK', 'Sri Lanka', 'SEARO', '502', '21469', '2', '96');
INSERT INTO public.who_import VALUES (84575, '2020-11-27', 'LK', 'Sri Lanka', 'SEARO', '559', '22028', '3', '99');
INSERT INTO public.who_import VALUES (84576, '2020-11-28', 'LK', 'Sri Lanka', 'SEARO', '473', '22501', '8', '107');
INSERT INTO public.who_import VALUES (84577, '2020-11-29', 'LK', 'Sri Lanka', 'SEARO', '0', '22501', '0', '107');
INSERT INTO public.who_import VALUES (84578, '2020-11-30', 'LK', 'Sri Lanka', 'SEARO', '487', '22988', '2', '109');
INSERT INTO public.who_import VALUES (84579, '2020-12-01', 'LK', 'Sri Lanka', 'SEARO', '496', '23484', '7', '116');
INSERT INTO public.who_import VALUES (84580, '2020-12-02', 'LK', 'Sri Lanka', 'SEARO', '1048', '24532', '6', '122');
INSERT INTO public.who_import VALUES (84581, '2020-12-03', 'LK', 'Sri Lanka', 'SEARO', '878', '25410', '2', '124');
INSERT INTO public.who_import VALUES (84582, '2020-12-04', 'LK', 'Sri Lanka', 'SEARO', '0', '25410', '0', '124');
INSERT INTO public.who_import VALUES (84583, '2020-12-05', 'LK', 'Sri Lanka', 'SEARO', '628', '26038', '5', '129');
INSERT INTO public.who_import VALUES (84584, '2020-12-06', 'LK', 'Sri Lanka', 'SEARO', '1190', '27228', '8', '137');
INSERT INTO public.who_import VALUES (84585, '2020-12-07', 'LK', 'Sri Lanka', 'SEARO', '0', '27228', '0', '137');
INSERT INTO public.who_import VALUES (84586, '2020-12-08', 'LK', 'Sri Lanka', 'SEARO', '649', '27877', '3', '140');
INSERT INTO public.who_import VALUES (84587, '2020-12-09', 'LK', 'Sri Lanka', 'SEARO', '1501', '29378', '2', '142');
INSERT INTO public.who_import VALUES (84588, '2020-12-10', 'LK', 'Sri Lanka', 'SEARO', '0', '29378', '0', '142');
INSERT INTO public.who_import VALUES (84589, '2020-12-11', 'LK', 'Sri Lanka', 'SEARO', '1235', '30613', '4', '146');
INSERT INTO public.who_import VALUES (84590, '2020-12-12', 'LK', 'Sri Lanka', 'SEARO', '0', '30613', '0', '146');
INSERT INTO public.who_import VALUES (84591, '2020-12-13', 'LK', 'Sri Lanka', 'SEARO', '1522', '32135', '3', '149');
INSERT INTO public.who_import VALUES (84592, '2020-12-14', 'LK', 'Sri Lanka', 'SEARO', '655', '32790', '3', '152');
INSERT INTO public.who_import VALUES (84593, '2020-12-15', 'LK', 'Sri Lanka', 'SEARO', '688', '33478', '2', '154');
INSERT INTO public.who_import VALUES (84594, '2020-12-16', 'LK', 'Sri Lanka', 'SEARO', '643', '34121', '0', '154');
INSERT INTO public.who_import VALUES (84595, '2020-12-17', 'LK', 'Sri Lanka', 'SEARO', '0', '34121', '0', '154');
INSERT INTO public.who_import VALUES (84596, '2020-12-18', 'LK', 'Sri Lanka', 'SEARO', '1266', '35387', '6', '160');
INSERT INTO public.who_import VALUES (84597, '2020-12-19', 'LK', 'Sri Lanka', 'SEARO', '0', '35387', '0', '160');
INSERT INTO public.who_import VALUES (84598, '2020-12-20', 'LK', 'Sri Lanka', 'SEARO', '662', '36049', '5', '165');
INSERT INTO public.who_import VALUES (84599, '2020-12-21', 'LK', 'Sri Lanka', 'SEARO', '1212', '37261', '11', '176');
INSERT INTO public.who_import VALUES (84600, '2020-12-22', 'LK', 'Sri Lanka', 'SEARO', '0', '37261', '0', '176');
INSERT INTO public.who_import VALUES (84601, '2020-12-23', 'LK', 'Sri Lanka', 'SEARO', '798', '38059', '7', '183');
INSERT INTO public.who_import VALUES (84602, '2020-12-24', 'LK', 'Sri Lanka', 'SEARO', '580', '38639', '1', '184');
INSERT INTO public.who_import VALUES (84603, '2020-12-25', 'LK', 'Sri Lanka', 'SEARO', '0', '38639', '0', '184');
INSERT INTO public.who_import VALUES (84604, '2020-12-26', 'LK', 'Sri Lanka', 'SEARO', '1143', '39782', '2', '186');
INSERT INTO public.who_import VALUES (84605, '2020-12-27', 'LK', 'Sri Lanka', 'SEARO', '598', '40380', '1', '187');
INSERT INTO public.who_import VALUES (84606, '2020-12-28', 'LK', 'Sri Lanka', 'SEARO', '674', '41054', '4', '191');
INSERT INTO public.who_import VALUES (84607, '2020-12-29', 'LK', 'Sri Lanka', 'SEARO', '549', '41603', '3', '194');
INSERT INTO public.who_import VALUES (84608, '2020-12-30', 'LK', 'Sri Lanka', 'SEARO', '460', '42063', '0', '194');
INSERT INTO public.who_import VALUES (84609, '2020-12-31', 'LK', 'Sri Lanka', 'SEARO', '639', '42702', '5', '199');
INSERT INTO public.who_import VALUES (84610, '2021-01-01', 'LK', 'Sri Lanka', 'SEARO', '597', '43299', '5', '204');
INSERT INTO public.who_import VALUES (84611, '2021-01-02', 'LK', 'Sri Lanka', 'SEARO', '557', '43856', '0', '204');
INSERT INTO public.who_import VALUES (84612, '2021-01-03', 'LK', 'Sri Lanka', 'SEARO', '515', '44371', '7', '211');
INSERT INTO public.who_import VALUES (84613, '2021-01-04', 'LK', 'Sri Lanka', 'SEARO', '403', '44774', '2', '213');
INSERT INTO public.who_import VALUES (84614, '2021-01-05', 'LK', 'Sri Lanka', 'SEARO', '468', '45242', '2', '215');
INSERT INTO public.who_import VALUES (84615, '2021-01-06', 'LK', 'Sri Lanka', 'SEARO', '484', '45726', '2', '217');
INSERT INTO public.who_import VALUES (84616, '2021-01-07', 'LK', 'Sri Lanka', 'SEARO', '522', '46248', '2', '219');
INSERT INTO public.who_import VALUES (84617, '2021-01-08', 'LK', 'Sri Lanka', 'SEARO', '532', '46780', '0', '219');
INSERT INTO public.who_import VALUES (84618, '2021-01-09', 'LK', 'Sri Lanka', 'SEARO', '525', '47305', '3', '222');
INSERT INTO public.who_import VALUES (84619, '2021-01-10', 'LK', 'Sri Lanka', 'SEARO', '535', '47840', '7', '229');
INSERT INTO public.who_import VALUES (84620, '2021-01-11', 'LK', 'Sri Lanka', 'SEARO', '540', '48380', '3', '232');
INSERT INTO public.who_import VALUES (84621, '2021-01-12', 'LK', 'Sri Lanka', 'SEARO', '569', '48949', '0', '232');
INSERT INTO public.who_import VALUES (84622, '2021-01-13', 'LK', 'Sri Lanka', 'SEARO', '588', '49537', '12', '244');
INSERT INTO public.who_import VALUES (84623, '2021-01-14', 'LK', 'Sri Lanka', 'SEARO', '692', '50229', '3', '247');
INSERT INTO public.who_import VALUES (84624, '2021-01-15', 'LK', 'Sri Lanka', 'SEARO', '670', '50899', '4', '251');
INSERT INTO public.who_import VALUES (84625, '2021-01-16', 'LK', 'Sri Lanka', 'SEARO', '695', '51594', '4', '255');
INSERT INTO public.who_import VALUES (84626, '2021-01-17', 'LK', 'Sri Lanka', 'SEARO', '719', '52313', '1', '256');
INSERT INTO public.who_import VALUES (84627, '2021-01-18', 'LK', 'Sri Lanka', 'SEARO', '749', '53062', '8', '264');
INSERT INTO public.who_import VALUES (84628, '2021-01-19', 'LK', 'Sri Lanka', 'SEARO', '688', '53750', '6', '270');
INSERT INTO public.who_import VALUES (84629, '2021-01-20', 'LK', 'Sri Lanka', 'SEARO', '669', '54419', '3', '273');
INSERT INTO public.who_import VALUES (84630, '2021-01-21', 'LK', 'Sri Lanka', 'SEARO', '770', '55189', '1', '274');
INSERT INTO public.who_import VALUES (84631, '2021-01-22', 'LK', 'Sri Lanka', 'SEARO', '887', '56076', '2', '276');
INSERT INTO public.who_import VALUES (84632, '2021-01-23', 'LK', 'Sri Lanka', 'SEARO', '787', '56863', '2', '278');
INSERT INTO public.who_import VALUES (84633, '2021-01-24', 'LK', 'Sri Lanka', 'SEARO', '724', '57587', '2', '280');
INSERT INTO public.who_import VALUES (84634, '2021-01-25', 'LK', 'Sri Lanka', 'SEARO', '843', '58430', '3', '283');
INSERT INTO public.who_import VALUES (84635, '2021-01-26', 'LK', 'Sri Lanka', 'SEARO', '737', '59167', '0', '283');
INSERT INTO public.who_import VALUES (84636, '2021-01-27', 'LK', 'Sri Lanka', 'SEARO', '755', '59922', '5', '288');
INSERT INTO public.who_import VALUES (84637, '2021-01-28', 'LK', 'Sri Lanka', 'SEARO', '772', '60694', '2', '290');
INSERT INTO public.who_import VALUES (84638, '2021-01-29', 'LK', 'Sri Lanka', 'SEARO', '892', '61586', '7', '297');
INSERT INTO public.who_import VALUES (84639, '2021-01-30', 'LK', 'Sri Lanka', 'SEARO', '859', '62445', '8', '305');
INSERT INTO public.who_import VALUES (84640, '2021-01-31', 'LK', 'Sri Lanka', 'SEARO', '848', '63293', '8', '313');
INSERT INTO public.who_import VALUES (84641, '2021-02-01', 'LK', 'Sri Lanka', 'SEARO', '864', '64157', '3', '316');
INSERT INTO public.who_import VALUES (84642, '2021-02-02', 'LK', 'Sri Lanka', 'SEARO', '826', '64983', '7', '323');
INSERT INTO public.who_import VALUES (84643, '2021-02-03', 'LK', 'Sri Lanka', 'SEARO', '715', '65698', '7', '330');
INSERT INTO public.who_import VALUES (84644, '2021-02-04', 'LK', 'Sri Lanka', 'SEARO', '711', '66409', '2', '332');
INSERT INTO public.who_import VALUES (84645, '2021-02-05', 'LK', 'Sri Lanka', 'SEARO', '706', '67115', '7', '339');
INSERT INTO public.who_import VALUES (84646, '2021-02-06', 'LK', 'Sri Lanka', 'SEARO', '735', '67850', '4', '343');
INSERT INTO public.who_import VALUES (84647, '2021-02-07', 'LK', 'Sri Lanka', 'SEARO', '726', '68576', '8', '351');
INSERT INTO public.who_import VALUES (84648, '2021-02-08', 'LK', 'Sri Lanka', 'SEARO', '772', '69348', '5', '356');
INSERT INTO public.who_import VALUES (84649, '2021-02-09', 'LK', 'Sri Lanka', 'SEARO', '887', '70235', '9', '365');
INSERT INTO public.who_import VALUES (84650, '2021-02-10', 'LK', 'Sri Lanka', 'SEARO', '976', '71211', '5', '370');
INSERT INTO public.who_import VALUES (84651, '2021-02-11', 'LK', 'Sri Lanka', 'SEARO', '963', '72174', '5', '375');
INSERT INTO public.who_import VALUES (84652, '2021-02-12', 'LK', 'Sri Lanka', 'SEARO', '942', '73116', '4', '379');
INSERT INTO public.who_import VALUES (84653, '2021-02-13', 'LK', 'Sri Lanka', 'SEARO', '940', '74056', '5', '384');
INSERT INTO public.who_import VALUES (84654, '2021-02-14', 'LK', 'Sri Lanka', 'SEARO', '796', '74852', '0', '384');
INSERT INTO public.who_import VALUES (84655, '2021-02-15', 'LK', 'Sri Lanka', 'SEARO', '802', '75654', '13', '397');
INSERT INTO public.who_import VALUES (84656, '2021-02-16', 'LK', 'Sri Lanka', 'SEARO', '774', '76428', '6', '403');
INSERT INTO public.who_import VALUES (84657, '2021-02-17', 'LK', 'Sri Lanka', 'SEARO', '756', '77184', '6', '409');
INSERT INTO public.who_import VALUES (84658, '2021-02-18', 'LK', 'Sri Lanka', 'SEARO', '722', '77906', '13', '422');
INSERT INTO public.who_import VALUES (84659, '2021-02-19', 'LK', 'Sri Lanka', 'SEARO', '514', '78420', '8', '430');
INSERT INTO public.who_import VALUES (84660, '2021-02-20', 'LK', 'Sri Lanka', 'SEARO', '517', '78937', '3', '433');
INSERT INTO public.who_import VALUES (84661, '2020-01-03', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84662, '2020-01-04', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84663, '2020-01-05', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84664, '2020-01-06', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84665, '2020-01-07', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84666, '2020-01-08', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84667, '2020-01-09', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84668, '2020-01-10', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84669, '2020-01-11', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84670, '2020-01-12', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84671, '2020-01-13', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84672, '2020-01-14', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84673, '2020-01-15', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84674, '2020-01-16', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84675, '2020-01-17', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84676, '2020-01-18', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84677, '2020-01-19', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84678, '2020-01-20', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84679, '2020-01-21', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84680, '2020-01-22', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84681, '2020-01-23', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84682, '2020-01-24', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84683, '2020-01-25', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84684, '2020-01-26', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84685, '2020-01-27', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84686, '2020-01-28', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84687, '2020-01-29', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84688, '2020-01-30', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84689, '2020-01-31', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84690, '2020-02-01', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84691, '2020-02-02', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84692, '2020-02-03', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84693, '2020-02-04', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84694, '2020-02-05', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84695, '2020-02-06', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84696, '2020-02-07', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84697, '2020-02-08', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84698, '2020-02-09', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84699, '2020-02-10', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84700, '2020-02-11', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84701, '2020-02-12', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84702, '2020-02-13', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84703, '2020-02-14', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84704, '2020-02-15', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84705, '2020-02-16', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84706, '2020-02-17', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84707, '2020-02-18', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84708, '2020-02-19', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84709, '2020-02-20', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84710, '2020-02-21', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84711, '2020-02-22', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84712, '2020-02-23', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84713, '2020-02-24', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84714, '2020-02-25', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84715, '2020-02-26', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84716, '2020-02-27', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84717, '2020-02-28', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84718, '2020-02-29', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84719, '2020-03-01', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84720, '2020-03-02', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84721, '2020-03-03', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84722, '2020-03-04', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84723, '2020-03-05', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84724, '2020-03-06', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84725, '2020-03-07', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84726, '2020-03-08', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84727, '2020-03-09', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84728, '2020-03-10', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84729, '2020-03-11', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84730, '2020-03-12', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84731, '2020-03-13', 'SD', 'Sudan', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (84732, '2020-03-14', 'SD', 'Sudan', 'EMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (84733, '2020-03-15', 'SD', 'Sudan', 'EMRO', '0', '1', '1', '1');
INSERT INTO public.who_import VALUES (84734, '2020-03-16', 'SD', 'Sudan', 'EMRO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (84735, '2020-03-17', 'SD', 'Sudan', 'EMRO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (84736, '2020-03-18', 'SD', 'Sudan', 'EMRO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (84737, '2020-03-19', 'SD', 'Sudan', 'EMRO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (84738, '2020-03-20', 'SD', 'Sudan', 'EMRO', '0', '1', '0', '1');
INSERT INTO public.who_import VALUES (84739, '2020-03-21', 'SD', 'Sudan', 'EMRO', '1', '2', '0', '1');
INSERT INTO public.who_import VALUES (84740, '2020-03-22', 'SD', 'Sudan', 'EMRO', '0', '2', '0', '1');
INSERT INTO public.who_import VALUES (84741, '2020-03-23', 'SD', 'Sudan', 'EMRO', '0', '2', '0', '1');
INSERT INTO public.who_import VALUES (84742, '2020-03-24', 'SD', 'Sudan', 'EMRO', '1', '3', '0', '1');
INSERT INTO public.who_import VALUES (84743, '2020-03-25', 'SD', 'Sudan', 'EMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (84744, '2020-03-26', 'SD', 'Sudan', 'EMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (84745, '2020-03-27', 'SD', 'Sudan', 'EMRO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (84746, '2020-03-28', 'SD', 'Sudan', 'EMRO', '2', '5', '0', '1');
INSERT INTO public.who_import VALUES (84747, '2020-03-29', 'SD', 'Sudan', 'EMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (84748, '2020-03-30', 'SD', 'Sudan', 'EMRO', '1', '6', '1', '2');
INSERT INTO public.who_import VALUES (84749, '2020-03-31', 'SD', 'Sudan', 'EMRO', '1', '7', '0', '2');
INSERT INTO public.who_import VALUES (84750, '2020-04-01', 'SD', 'Sudan', 'EMRO', '0', '7', '0', '2');
INSERT INTO public.who_import VALUES (84751, '2020-04-02', 'SD', 'Sudan', 'EMRO', '0', '7', '0', '2');
INSERT INTO public.who_import VALUES (84752, '2020-04-03', 'SD', 'Sudan', 'EMRO', '3', '10', '0', '2');
INSERT INTO public.who_import VALUES (84753, '2020-04-04', 'SD', 'Sudan', 'EMRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (84754, '2020-04-05', 'SD', 'Sudan', 'EMRO', '2', '12', '0', '2');
INSERT INTO public.who_import VALUES (84755, '2020-04-06', 'SD', 'Sudan', 'EMRO', '0', '12', '0', '2');
INSERT INTO public.who_import VALUES (84756, '2020-04-07', 'SD', 'Sudan', 'EMRO', '2', '14', '0', '2');
INSERT INTO public.who_import VALUES (84757, '2020-04-08', 'SD', 'Sudan', 'EMRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (84758, '2020-04-09', 'SD', 'Sudan', 'EMRO', '0', '14', '0', '2');
INSERT INTO public.who_import VALUES (84759, '2020-04-10', 'SD', 'Sudan', 'EMRO', '1', '15', '0', '2');
INSERT INTO public.who_import VALUES (84760, '2020-04-11', 'SD', 'Sudan', 'EMRO', '4', '19', '0', '2');
INSERT INTO public.who_import VALUES (84761, '2020-04-12', 'SD', 'Sudan', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (84762, '2020-04-13', 'SD', 'Sudan', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (84763, '2020-04-14', 'SD', 'Sudan', 'EMRO', '10', '29', '2', '4');
INSERT INTO public.who_import VALUES (84764, '2020-04-15', 'SD', 'Sudan', 'EMRO', '3', '32', '1', '5');
INSERT INTO public.who_import VALUES (84765, '2020-04-16', 'SD', 'Sudan', 'EMRO', '0', '32', '0', '5');
INSERT INTO public.who_import VALUES (84766, '2020-04-17', 'SD', 'Sudan', 'EMRO', '0', '32', '0', '5');
INSERT INTO public.who_import VALUES (84767, '2020-04-18', 'SD', 'Sudan', 'EMRO', '34', '66', '5', '10');
INSERT INTO public.who_import VALUES (84768, '2020-04-19', 'SD', 'Sudan', 'EMRO', '0', '66', '0', '10');
INSERT INTO public.who_import VALUES (84769, '2020-04-20', 'SD', 'Sudan', 'EMRO', '26', '92', '2', '12');
INSERT INTO public.who_import VALUES (84770, '2020-04-21', 'SD', 'Sudan', 'EMRO', '15', '107', '0', '12');
INSERT INTO public.who_import VALUES (84771, '2020-04-22', 'SD', 'Sudan', 'EMRO', '33', '140', '1', '13');
INSERT INTO public.who_import VALUES (84772, '2020-04-23', 'SD', 'Sudan', 'EMRO', '22', '162', '0', '13');
INSERT INTO public.who_import VALUES (84773, '2020-04-24', 'SD', 'Sudan', 'EMRO', '12', '174', '3', '16');
INSERT INTO public.who_import VALUES (84774, '2020-04-25', 'SD', 'Sudan', 'EMRO', '39', '213', '1', '17');
INSERT INTO public.who_import VALUES (84775, '2020-04-26', 'SD', 'Sudan', 'EMRO', '24', '237', '4', '21');
INSERT INTO public.who_import VALUES (84776, '2020-04-27', 'SD', 'Sudan', 'EMRO', '38', '275', '1', '22');
INSERT INTO public.who_import VALUES (84777, '2020-04-28', 'SD', 'Sudan', 'EMRO', '43', '318', '3', '25');
INSERT INTO public.who_import VALUES (84778, '2020-04-29', 'SD', 'Sudan', 'EMRO', '57', '375', '3', '28');
INSERT INTO public.who_import VALUES (84779, '2020-04-30', 'SD', 'Sudan', 'EMRO', '0', '375', '0', '28');
INSERT INTO public.who_import VALUES (84780, '2020-05-01', 'SD', 'Sudan', 'EMRO', '67', '442', '3', '31');
INSERT INTO public.who_import VALUES (84781, '2020-05-02', 'SD', 'Sudan', 'EMRO', '91', '533', '5', '36');
INSERT INTO public.who_import VALUES (84782, '2020-05-03', 'SD', 'Sudan', 'EMRO', '59', '592', '5', '41');
INSERT INTO public.who_import VALUES (84783, '2020-05-04', 'SD', 'Sudan', 'EMRO', '86', '678', '0', '41');
INSERT INTO public.who_import VALUES (84784, '2020-05-05', 'SD', 'Sudan', 'EMRO', '100', '778', '4', '45');
INSERT INTO public.who_import VALUES (84785, '2020-05-06', 'SD', 'Sudan', 'EMRO', '74', '852', '4', '49');
INSERT INTO public.who_import VALUES (84786, '2020-05-07', 'SD', 'Sudan', 'EMRO', '78', '930', '3', '52');
INSERT INTO public.who_import VALUES (84787, '2020-05-08', 'SD', 'Sudan', 'EMRO', '0', '930', '0', '52');
INSERT INTO public.who_import VALUES (84788, '2020-05-09', 'SD', 'Sudan', 'EMRO', '181', '1111', '7', '59');
INSERT INTO public.who_import VALUES (84789, '2020-05-10', 'SD', 'Sudan', 'EMRO', '53', '1164', '5', '64');
INSERT INTO public.who_import VALUES (84790, '2020-05-11', 'SD', 'Sudan', 'EMRO', '201', '1365', '6', '70');
INSERT INTO public.who_import VALUES (84791, '2020-05-12', 'SD', 'Sudan', 'EMRO', '161', '1526', '4', '74');
INSERT INTO public.who_import VALUES (84792, '2020-05-13', 'SD', 'Sudan', 'EMRO', '134', '1660', '6', '80');
INSERT INTO public.who_import VALUES (84793, '2020-05-14', 'SD', 'Sudan', 'EMRO', '158', '1818', '10', '90');
INSERT INTO public.who_import VALUES (84794, '2020-05-15', 'SD', 'Sudan', 'EMRO', '146', '1964', '1', '91');
INSERT INTO public.who_import VALUES (84795, '2020-05-16', 'SD', 'Sudan', 'EMRO', '0', '1964', '0', '91');
INSERT INTO public.who_import VALUES (84796, '2020-05-17', 'SD', 'Sudan', 'EMRO', '325', '2289', '6', '97');
INSERT INTO public.who_import VALUES (84797, '2020-05-18', 'SD', 'Sudan', 'EMRO', '302', '2591', '8', '105');
INSERT INTO public.who_import VALUES (84798, '2020-05-19', 'SD', 'Sudan', 'EMRO', '0', '2591', '0', '105');
INSERT INTO public.who_import VALUES (84799, '2020-05-20', 'SD', 'Sudan', 'EMRO', '137', '2728', '6', '111');
INSERT INTO public.who_import VALUES (84800, '2020-05-21', 'SD', 'Sudan', 'EMRO', '410', '3138', '10', '121');
INSERT INTO public.who_import VALUES (84801, '2020-05-22', 'SD', 'Sudan', 'EMRO', '0', '3138', '0', '121');
INSERT INTO public.who_import VALUES (84802, '2020-05-23', 'SD', 'Sudan', 'EMRO', '240', '3378', '16', '137');
INSERT INTO public.who_import VALUES (84803, '2020-05-24', 'SD', 'Sudan', 'EMRO', '256', '3634', '9', '146');
INSERT INTO public.who_import VALUES (84804, '2020-05-25', 'SD', 'Sudan', 'EMRO', '192', '3826', '19', '165');
INSERT INTO public.who_import VALUES (84805, '2020-05-26', 'SD', 'Sudan', 'EMRO', '150', '3976', '5', '170');
INSERT INTO public.who_import VALUES (84806, '2020-05-27', 'SD', 'Sudan', 'EMRO', '170', '4146', '14', '184');
INSERT INTO public.who_import VALUES (84807, '2020-05-28', 'SD', 'Sudan', 'EMRO', '200', '4346', '11', '195');
INSERT INTO public.who_import VALUES (84808, '2020-05-29', 'SD', 'Sudan', 'EMRO', '0', '4346', '0', '195');
INSERT INTO public.who_import VALUES (84809, '2020-05-30', 'SD', 'Sudan', 'EMRO', '175', '4521', '38', '233');
INSERT INTO public.who_import VALUES (84810, '2020-05-31', 'SD', 'Sudan', 'EMRO', '279', '4800', '29', '262');
INSERT INTO public.who_import VALUES (84811, '2020-06-01', 'SD', 'Sudan', 'EMRO', '226', '5026', '24', '286');
INSERT INTO public.who_import VALUES (84812, '2020-06-02', 'SD', 'Sudan', 'EMRO', '147', '5173', '12', '298');
INSERT INTO public.who_import VALUES (84813, '2020-06-03', 'SD', 'Sudan', 'EMRO', '137', '5310', '9', '307');
INSERT INTO public.who_import VALUES (84814, '2020-06-04', 'SD', 'Sudan', 'EMRO', '189', '5499', '7', '314');
INSERT INTO public.who_import VALUES (84815, '2020-06-05', 'SD', 'Sudan', 'EMRO', '215', '5714', '19', '333');
INSERT INTO public.who_import VALUES (84816, '2020-06-06', 'SD', 'Sudan', 'EMRO', '152', '5866', '14', '347');
INSERT INTO public.who_import VALUES (84817, '2020-06-07', 'SD', 'Sudan', 'EMRO', '215', '6081', '12', '359');
INSERT INTO public.who_import VALUES (84818, '2020-06-08', 'SD', 'Sudan', 'EMRO', '0', '6081', '0', '359');
INSERT INTO public.who_import VALUES (84819, '2020-06-09', 'SD', 'Sudan', 'EMRO', '161', '6242', '13', '372');
INSERT INTO public.who_import VALUES (84820, '2020-06-10', 'SD', 'Sudan', 'EMRO', '185', '6427', '17', '389');
INSERT INTO public.who_import VALUES (84821, '2020-06-11', 'SD', 'Sudan', 'EMRO', '155', '6582', '12', '401');
INSERT INTO public.who_import VALUES (84822, '2020-06-12', 'SD', 'Sudan', 'EMRO', '148', '6730', '12', '413');
INSERT INTO public.who_import VALUES (84823, '2020-06-13', 'SD', 'Sudan', 'EMRO', '149', '6879', '20', '433');
INSERT INTO public.who_import VALUES (84824, '2020-06-14', 'SD', 'Sudan', 'EMRO', '128', '7007', '14', '447');
INSERT INTO public.who_import VALUES (84825, '2020-06-15', 'SD', 'Sudan', 'EMRO', '213', '7220', '12', '459');
INSERT INTO public.who_import VALUES (84826, '2020-06-16', 'SD', 'Sudan', 'EMRO', '215', '7435', '9', '468');
INSERT INTO public.who_import VALUES (84827, '2020-06-17', 'SD', 'Sudan', 'EMRO', '305', '7740', '9', '477');
INSERT INTO public.who_import VALUES (84828, '2020-06-18', 'SD', 'Sudan', 'EMRO', '280', '8020', '10', '487');
INSERT INTO public.who_import VALUES (84829, '2020-06-19', 'SD', 'Sudan', 'EMRO', '0', '8020', '0', '487');
INSERT INTO public.who_import VALUES (84830, '2020-06-20', 'SD', 'Sudan', 'EMRO', '396', '8416', '26', '513');
INSERT INTO public.who_import VALUES (84831, '2020-06-21', 'SD', 'Sudan', 'EMRO', '164', '8580', '8', '521');
INSERT INTO public.who_import VALUES (84832, '2020-06-22', 'SD', 'Sudan', 'EMRO', '118', '8698', '12', '533');
INSERT INTO public.who_import VALUES (84833, '2020-06-23', 'SD', 'Sudan', 'EMRO', '98', '8796', '8', '541');
INSERT INTO public.who_import VALUES (84834, '2020-06-24', 'SD', 'Sudan', 'EMRO', '91', '8887', '7', '548');
INSERT INTO public.who_import VALUES (84835, '2020-06-25', 'SD', 'Sudan', 'EMRO', '0', '8887', '0', '548');
INSERT INTO public.who_import VALUES (84836, '2020-06-26', 'SD', 'Sudan', 'EMRO', '95', '8982', '8', '556');
INSERT INTO public.who_import VALUES (84837, '2020-06-27', 'SD', 'Sudan', 'EMRO', '275', '9257', '16', '572');
INSERT INTO public.who_import VALUES (84838, '2020-06-28', 'SD', 'Sudan', 'EMRO', '57', '9314', '4', '576');
INSERT INTO public.who_import VALUES (84839, '2020-06-29', 'SD', 'Sudan', 'EMRO', '6', '9320', '8', '584');
INSERT INTO public.who_import VALUES (84840, '2020-06-30', 'SD', 'Sudan', 'EMRO', '52', '9372', '3', '587');
INSERT INTO public.who_import VALUES (84841, '2020-07-01', 'SD', 'Sudan', 'EMRO', '128', '9500', '5', '592');
INSERT INTO public.who_import VALUES (84842, '2020-07-02', 'SD', 'Sudan', 'EMRO', '73', '9573', '10', '602');
INSERT INTO public.who_import VALUES (84843, '2020-07-03', 'SD', 'Sudan', 'EMRO', '116', '9689', '5', '607');
INSERT INTO public.who_import VALUES (84844, '2020-07-04', 'SD', 'Sudan', 'EMRO', '0', '9689', '0', '607');
INSERT INTO public.who_import VALUES (84845, '2020-07-05', 'SD', 'Sudan', 'EMRO', '78', '9767', '1', '608');
INSERT INTO public.who_import VALUES (84846, '2020-07-06', 'SD', 'Sudan', 'EMRO', '0', '9767', '0', '608');
INSERT INTO public.who_import VALUES (84847, '2020-07-07', 'SD', 'Sudan', 'EMRO', '127', '9894', '8', '616');
INSERT INTO public.who_import VALUES (84848, '2020-07-08', 'SD', 'Sudan', 'EMRO', '103', '9997', '6', '622');
INSERT INTO public.who_import VALUES (84849, '2020-07-09', 'SD', 'Sudan', 'EMRO', '87', '10084', '14', '636');
INSERT INTO public.who_import VALUES (84850, '2020-07-10', 'SD', 'Sudan', 'EMRO', '120', '10204', '13', '649');
INSERT INTO public.who_import VALUES (84851, '2020-07-11', 'SD', 'Sudan', 'EMRO', '0', '10204', '0', '649');
INSERT INTO public.who_import VALUES (84852, '2020-07-12', 'SD', 'Sudan', 'EMRO', '46', '10250', '1', '650');
INSERT INTO public.who_import VALUES (84853, '2020-07-13', 'SD', 'Sudan', 'EMRO', '0', '10250', '0', '650');
INSERT INTO public.who_import VALUES (84854, '2020-07-14', 'SD', 'Sudan', 'EMRO', '66', '10316', '7', '657');
INSERT INTO public.who_import VALUES (84855, '2020-07-15', 'SD', 'Sudan', 'EMRO', '101', '10417', '2', '659');
INSERT INTO public.who_import VALUES (84856, '2020-07-16', 'SD', 'Sudan', 'EMRO', '110', '10527', '9', '668');
INSERT INTO public.who_import VALUES (84857, '2020-07-17', 'SD', 'Sudan', 'EMRO', '0', '10527', '0', '668');
INSERT INTO public.who_import VALUES (84858, '2020-07-18', 'SD', 'Sudan', 'EMRO', '0', '10527', '0', '668');
INSERT INTO public.who_import VALUES (84859, '2020-07-19', 'SD', 'Sudan', 'EMRO', '235', '10762', '12', '680');
INSERT INTO public.who_import VALUES (84860, '2020-07-20', 'SD', 'Sudan', 'EMRO', '230', '10992', '13', '693');
INSERT INTO public.who_import VALUES (84861, '2020-07-21', 'SD', 'Sudan', 'EMRO', '0', '10992', '0', '693');
INSERT INTO public.who_import VALUES (84862, '2020-07-22', 'SD', 'Sudan', 'EMRO', '135', '11127', '13', '706');
INSERT INTO public.who_import VALUES (84863, '2020-07-23', 'SD', 'Sudan', 'EMRO', '110', '11237', '2', '708');
INSERT INTO public.who_import VALUES (84864, '2020-07-24', 'SD', 'Sudan', 'EMRO', '65', '11302', '7', '715');
INSERT INTO public.who_import VALUES (84865, '2020-07-25', 'SD', 'Sudan', 'EMRO', '0', '11302', '0', '715');
INSERT INTO public.who_import VALUES (84866, '2020-07-26', 'SD', 'Sudan', 'EMRO', '83', '11385', '2', '717');
INSERT INTO public.who_import VALUES (84867, '2020-07-27', 'SD', 'Sudan', 'EMRO', '39', '11424', '3', '720');
INSERT INTO public.who_import VALUES (84868, '2020-07-28', 'SD', 'Sudan', 'EMRO', '72', '11496', '5', '725');
INSERT INTO public.who_import VALUES (84869, '2020-07-29', 'SD', 'Sudan', 'EMRO', '83', '11579', '6', '731');
INSERT INTO public.who_import VALUES (84870, '2020-07-30', 'SD', 'Sudan', 'EMRO', '0', '11579', '0', '731');
INSERT INTO public.who_import VALUES (84871, '2020-07-31', 'SD', 'Sudan', 'EMRO', '0', '11579', '0', '731');
INSERT INTO public.who_import VALUES (84872, '2020-08-01', 'SD', 'Sudan', 'EMRO', '65', '11644', '15', '746');
INSERT INTO public.who_import VALUES (84873, '2020-08-02', 'SD', 'Sudan', 'EMRO', '94', '11738', '6', '752');
INSERT INTO public.who_import VALUES (84874, '2020-08-03', 'SD', 'Sudan', 'EMRO', '0', '11738', '0', '752');
INSERT INTO public.who_import VALUES (84875, '2020-08-04', 'SD', 'Sudan', 'EMRO', '42', '11780', '11', '763');
INSERT INTO public.who_import VALUES (84876, '2020-08-05', 'SD', 'Sudan', 'EMRO', '0', '11780', '0', '763');
INSERT INTO public.who_import VALUES (84877, '2020-08-06', 'SD', 'Sudan', 'EMRO', '70', '11850', '6', '769');
INSERT INTO public.who_import VALUES (84878, '2020-08-07', 'SD', 'Sudan', 'EMRO', '44', '11894', '4', '773');
INSERT INTO public.who_import VALUES (84879, '2020-08-08', 'SD', 'Sudan', 'EMRO', '0', '11894', '0', '773');
INSERT INTO public.who_import VALUES (84880, '2020-08-09', 'SD', 'Sudan', 'EMRO', '62', '11956', '8', '781');
INSERT INTO public.who_import VALUES (84881, '2020-08-10', 'SD', 'Sudan', 'EMRO', '77', '12033', '5', '786');
INSERT INTO public.who_import VALUES (84882, '2020-08-11', 'SD', 'Sudan', 'EMRO', '0', '12033', '0', '786');
INSERT INTO public.who_import VALUES (84883, '2020-08-12', 'SD', 'Sudan', 'EMRO', '82', '12115', '6', '792');
INSERT INTO public.who_import VALUES (84884, '2020-08-13', 'SD', 'Sudan', 'EMRO', '47', '12162', '1', '793');
INSERT INTO public.who_import VALUES (84885, '2020-08-14', 'SD', 'Sudan', 'EMRO', '49', '12211', '3', '796');
INSERT INTO public.who_import VALUES (84886, '2020-08-15', 'SD', 'Sudan', 'EMRO', '103', '12314', '2', '798');
INSERT INTO public.who_import VALUES (84887, '2020-08-16', 'SD', 'Sudan', 'EMRO', '96', '12410', '5', '803');
INSERT INTO public.who_import VALUES (84888, '2020-08-17', 'SD', 'Sudan', 'EMRO', '75', '12485', '2', '805');
INSERT INTO public.who_import VALUES (84889, '2020-08-18', 'SD', 'Sudan', 'EMRO', '61', '12546', '3', '808');
INSERT INTO public.who_import VALUES (84890, '2020-08-19', 'SD', 'Sudan', 'EMRO', '36', '12582', '4', '812');
INSERT INTO public.who_import VALUES (84891, '2020-08-20', 'SD', 'Sudan', 'EMRO', '41', '12623', '0', '812');
INSERT INTO public.who_import VALUES (84892, '2020-08-21', 'SD', 'Sudan', 'EMRO', '59', '12682', '3', '815');
INSERT INTO public.who_import VALUES (84893, '2020-08-22', 'SD', 'Sudan', 'EMRO', '154', '12836', '0', '815');
INSERT INTO public.who_import VALUES (84894, '2020-08-23', 'SD', 'Sudan', 'EMRO', '67', '12903', '3', '818');
INSERT INTO public.who_import VALUES (84895, '2020-08-24', 'SD', 'Sudan', 'EMRO', '71', '12974', '1', '819');
INSERT INTO public.who_import VALUES (84896, '2020-08-25', 'SD', 'Sudan', 'EMRO', '0', '12974', '0', '819');
INSERT INTO public.who_import VALUES (84897, '2020-08-26', 'SD', 'Sudan', 'EMRO', '71', '13045', '4', '823');
INSERT INTO public.who_import VALUES (84898, '2020-08-27', 'SD', 'Sudan', 'EMRO', '37', '13082', '0', '823');
INSERT INTO public.who_import VALUES (84899, '2020-08-28', 'SD', 'Sudan', 'EMRO', '107', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84900, '2020-08-29', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84901, '2020-08-30', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84902, '2020-08-31', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84903, '2020-09-01', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84904, '2020-09-02', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84905, '2020-09-03', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84906, '2020-09-04', 'SD', 'Sudan', 'EMRO', '0', '13189', '0', '823');
INSERT INTO public.who_import VALUES (84907, '2020-09-05', 'SD', 'Sudan', 'EMRO', '218', '13407', '9', '832');
INSERT INTO public.who_import VALUES (84908, '2020-09-06', 'SD', 'Sudan', 'EMRO', '30', '13437', '1', '833');
INSERT INTO public.who_import VALUES (84909, '2020-09-07', 'SD', 'Sudan', 'EMRO', '0', '13437', '0', '833');
INSERT INTO public.who_import VALUES (84910, '2020-09-08', 'SD', 'Sudan', 'EMRO', '33', '13470', '1', '834');
INSERT INTO public.who_import VALUES (84911, '2020-09-09', 'SD', 'Sudan', 'EMRO', '0', '13470', '0', '834');
INSERT INTO public.who_import VALUES (84912, '2020-09-10', 'SD', 'Sudan', 'EMRO', '0', '13470', '0', '834');
INSERT INTO public.who_import VALUES (84913, '2020-09-11', 'SD', 'Sudan', 'EMRO', '46', '13516', '1', '835');
INSERT INTO public.who_import VALUES (84914, '2020-09-12', 'SD', 'Sudan', 'EMRO', '16', '13532', '1', '836');
INSERT INTO public.who_import VALUES (84915, '2020-09-13', 'SD', 'Sudan', 'EMRO', '0', '13532', '0', '836');
INSERT INTO public.who_import VALUES (84916, '2020-09-14', 'SD', 'Sudan', 'EMRO', '0', '13532', '0', '836');
INSERT INTO public.who_import VALUES (84917, '2020-09-15', 'SD', 'Sudan', 'EMRO', '3', '13535', '0', '836');
INSERT INTO public.who_import VALUES (84918, '2020-09-16', 'SD', 'Sudan', 'EMRO', '0', '13535', '0', '836');
INSERT INTO public.who_import VALUES (84919, '2020-09-17', 'SD', 'Sudan', 'EMRO', '0', '13535', '0', '836');
INSERT INTO public.who_import VALUES (84920, '2020-09-18', 'SD', 'Sudan', 'EMRO', '20', '13555', '0', '836');
INSERT INTO public.who_import VALUES (84921, '2020-09-19', 'SD', 'Sudan', 'EMRO', '0', '13555', '0', '836');
INSERT INTO public.who_import VALUES (84922, '2020-09-20', 'SD', 'Sudan', 'EMRO', '0', '13555', '0', '836');
INSERT INTO public.who_import VALUES (84923, '2020-09-21', 'SD', 'Sudan', 'EMRO', '21', '13576', '0', '836');
INSERT INTO public.who_import VALUES (84924, '2020-09-22', 'SD', 'Sudan', 'EMRO', '2', '13578', '0', '836');
INSERT INTO public.who_import VALUES (84925, '2020-09-23', 'SD', 'Sudan', 'EMRO', '0', '13578', '0', '836');
INSERT INTO public.who_import VALUES (84926, '2020-09-24', 'SD', 'Sudan', 'EMRO', '14', '13592', '0', '836');
INSERT INTO public.who_import VALUES (84927, '2020-09-25', 'SD', 'Sudan', 'EMRO', '12', '13604', '0', '836');
INSERT INTO public.who_import VALUES (84928, '2020-09-26', 'SD', 'Sudan', 'EMRO', '2', '13606', '0', '836');
INSERT INTO public.who_import VALUES (84929, '2020-09-27', 'SD', 'Sudan', 'EMRO', '4', '13610', '0', '836');
INSERT INTO public.who_import VALUES (84930, '2020-09-28', 'SD', 'Sudan', 'EMRO', '3', '13613', '0', '836');
INSERT INTO public.who_import VALUES (84931, '2020-09-29', 'SD', 'Sudan', 'EMRO', '27', '13640', '0', '836');
INSERT INTO public.who_import VALUES (84932, '2020-09-30', 'SD', 'Sudan', 'EMRO', '6', '13646', '0', '836');
INSERT INTO public.who_import VALUES (84933, '2020-10-01', 'SD', 'Sudan', 'EMRO', '7', '13653', '0', '836');
INSERT INTO public.who_import VALUES (84934, '2020-10-02', 'SD', 'Sudan', 'EMRO', '4', '13657', '0', '836');
INSERT INTO public.who_import VALUES (84935, '2020-10-03', 'SD', 'Sudan', 'EMRO', '1', '13658', '0', '836');
INSERT INTO public.who_import VALUES (84936, '2020-10-04', 'SD', 'Sudan', 'EMRO', '2', '13660', '0', '836');
INSERT INTO public.who_import VALUES (84937, '2020-10-05', 'SD', 'Sudan', 'EMRO', '0', '13660', '0', '836');
INSERT INTO public.who_import VALUES (84938, '2020-10-06', 'SD', 'Sudan', 'EMRO', '8', '13668', '0', '836');
INSERT INTO public.who_import VALUES (84939, '2020-10-07', 'SD', 'Sudan', 'EMRO', '0', '13668', '0', '836');
INSERT INTO public.who_import VALUES (84940, '2020-10-08', 'SD', 'Sudan', 'EMRO', '2', '13670', '0', '836');
INSERT INTO public.who_import VALUES (84941, '2020-10-09', 'SD', 'Sudan', 'EMRO', '3', '13673', '0', '836');
INSERT INTO public.who_import VALUES (84942, '2020-10-10', 'SD', 'Sudan', 'EMRO', '9', '13682', '0', '836');
INSERT INTO public.who_import VALUES (84943, '2020-10-11', 'SD', 'Sudan', 'EMRO', '3', '13685', '0', '836');
INSERT INTO public.who_import VALUES (84944, '2020-10-12', 'SD', 'Sudan', 'EMRO', '6', '13691', '0', '836');
INSERT INTO public.who_import VALUES (84945, '2020-10-13', 'SD', 'Sudan', 'EMRO', '0', '13691', '0', '836');
INSERT INTO public.who_import VALUES (84946, '2020-10-14', 'SD', 'Sudan', 'EMRO', '6', '13697', '0', '836');
INSERT INTO public.who_import VALUES (84947, '2020-10-15', 'SD', 'Sudan', 'EMRO', '0', '13697', '0', '836');
INSERT INTO public.who_import VALUES (84948, '2020-10-16', 'SD', 'Sudan', 'EMRO', '3', '13700', '0', '836');
INSERT INTO public.who_import VALUES (84949, '2020-10-17', 'SD', 'Sudan', 'EMRO', '0', '13700', '0', '836');
INSERT INTO public.who_import VALUES (84950, '2020-10-18', 'SD', 'Sudan', 'EMRO', '11', '13711', '0', '836');
INSERT INTO public.who_import VALUES (84951, '2020-10-19', 'SD', 'Sudan', 'EMRO', '13', '13724', '0', '836');
INSERT INTO public.who_import VALUES (84952, '2020-10-20', 'SD', 'Sudan', 'EMRO', '0', '13724', '0', '836');
INSERT INTO public.who_import VALUES (84953, '2020-10-21', 'SD', 'Sudan', 'EMRO', '4', '13728', '0', '836');
INSERT INTO public.who_import VALUES (84954, '2020-10-22', 'SD', 'Sudan', 'EMRO', '0', '13728', '0', '836');
INSERT INTO public.who_import VALUES (84955, '2020-10-23', 'SD', 'Sudan', 'EMRO', '5', '13733', '0', '836');
INSERT INTO public.who_import VALUES (84956, '2020-10-24', 'SD', 'Sudan', 'EMRO', '0', '13733', '0', '836');
INSERT INTO public.who_import VALUES (84957, '2020-10-25', 'SD', 'Sudan', 'EMRO', '9', '13742', '1', '837');
INSERT INTO public.who_import VALUES (84958, '2020-10-26', 'SD', 'Sudan', 'EMRO', '0', '13742', '0', '837');
INSERT INTO public.who_import VALUES (84959, '2020-10-27', 'SD', 'Sudan', 'EMRO', '5', '13747', '0', '837');
INSERT INTO public.who_import VALUES (84960, '2020-10-28', 'SD', 'Sudan', 'EMRO', '18', '13765', '0', '837');
INSERT INTO public.who_import VALUES (84961, '2020-10-29', 'SD', 'Sudan', 'EMRO', '12', '13777', '0', '837');
INSERT INTO public.who_import VALUES (84962, '2020-10-30', 'SD', 'Sudan', 'EMRO', '27', '13804', '0', '837');
INSERT INTO public.who_import VALUES (84963, '2020-10-31', 'SD', 'Sudan', 'EMRO', '0', '13804', '0', '837');
INSERT INTO public.who_import VALUES (84964, '2020-11-01', 'SD', 'Sudan', 'EMRO', '0', '13804', '0', '837');
INSERT INTO public.who_import VALUES (84965, '2020-11-02', 'SD', 'Sudan', 'EMRO', '15', '13819', '0', '837');
INSERT INTO public.who_import VALUES (84966, '2020-11-03', 'SD', 'Sudan', 'EMRO', '47', '13866', '0', '837');
INSERT INTO public.who_import VALUES (84967, '2020-11-04', 'SD', 'Sudan', 'EMRO', '39', '13905', '0', '837');
INSERT INTO public.who_import VALUES (84968, '2020-11-05', 'SD', 'Sudan', 'EMRO', '91', '13996', '278', '1115');
INSERT INTO public.who_import VALUES (84969, '2020-11-06', 'SD', 'Sudan', 'EMRO', '37', '14033', '0', '1115');
INSERT INTO public.who_import VALUES (84970, '2020-11-07', 'SD', 'Sudan', 'EMRO', '57', '14090', '0', '1115');
INSERT INTO public.who_import VALUES (84971, '2020-11-08', 'SD', 'Sudan', 'EMRO', '65', '14155', '1', '1116');
INSERT INTO public.who_import VALUES (84972, '2020-11-09', 'SD', 'Sudan', 'EMRO', '50', '14205', '0', '1116');
INSERT INTO public.who_import VALUES (84973, '2020-11-10', 'SD', 'Sudan', 'EMRO', '96', '14301', '0', '1116');
INSERT INTO public.who_import VALUES (84974, '2020-11-11', 'SD', 'Sudan', 'EMRO', '45', '14346', '0', '1116');
INSERT INTO public.who_import VALUES (84975, '2020-11-12', 'SD', 'Sudan', 'EMRO', '55', '14401', '0', '1116');
INSERT INTO public.who_import VALUES (84976, '2020-11-13', 'SD', 'Sudan', 'EMRO', '97', '14498', '0', '1116');
INSERT INTO public.who_import VALUES (84977, '2020-11-14', 'SD', 'Sudan', 'EMRO', '128', '14626', '0', '1116');
INSERT INTO public.who_import VALUES (84978, '2020-11-15', 'SD', 'Sudan', 'EMRO', '102', '14728', '3', '1119');
INSERT INTO public.who_import VALUES (84979, '2020-11-16', 'SD', 'Sudan', 'EMRO', '319', '15047', '56', '1175');
INSERT INTO public.who_import VALUES (84980, '2020-11-17', 'SD', 'Sudan', 'EMRO', '106', '15153', '3', '1178');
INSERT INTO public.who_import VALUES (84981, '2020-11-18', 'SD', 'Sudan', 'EMRO', '146', '15299', '1', '1179');
INSERT INTO public.who_import VALUES (84982, '2020-11-19', 'SD', 'Sudan', 'EMRO', '231', '15530', '6', '1185');
INSERT INTO public.who_import VALUES (84983, '2020-11-20', 'SD', 'Sudan', 'EMRO', '309', '15839', '8', '1193');
INSERT INTO public.who_import VALUES (84984, '2020-11-21', 'SD', 'Sudan', 'EMRO', '213', '16052', '4', '1197');
INSERT INTO public.who_import VALUES (84985, '2020-11-22', 'SD', 'Sudan', 'EMRO', '135', '16187', '2', '1199');
INSERT INTO public.who_import VALUES (84986, '2020-11-23', 'SD', 'Sudan', 'EMRO', '244', '16431', '3', '1202');
INSERT INTO public.who_import VALUES (84987, '2020-11-24', 'SD', 'Sudan', 'EMRO', '218', '16649', '8', '1210');
INSERT INTO public.who_import VALUES (84988, '2020-11-25', 'SD', 'Sudan', 'EMRO', '215', '16864', '5', '1215');
INSERT INTO public.who_import VALUES (84989, '2020-11-26', 'SD', 'Sudan', 'EMRO', '204', '17068', '5', '1220');
INSERT INTO public.who_import VALUES (84990, '2020-11-27', 'SD', 'Sudan', 'EMRO', '336', '17404', '15', '1235');
INSERT INTO public.who_import VALUES (84991, '2020-11-28', 'SD', 'Sudan', 'EMRO', '223', '17627', '6', '1241');
INSERT INTO public.who_import VALUES (84992, '2020-11-29', 'SD', 'Sudan', 'EMRO', '183', '17810', '8', '1249');
INSERT INTO public.who_import VALUES (84993, '2020-11-30', 'SD', 'Sudan', 'EMRO', '235', '18045', '6', '1255');
INSERT INTO public.who_import VALUES (84994, '2020-12-01', 'SD', 'Sudan', 'EMRO', '209', '18254', '10', '1265');
INSERT INTO public.who_import VALUES (84995, '2020-12-02', 'SD', 'Sudan', 'EMRO', '281', '18535', '6', '1271');
INSERT INTO public.who_import VALUES (84996, '2020-12-03', 'SD', 'Sudan', 'EMRO', '349', '18884', '9', '1280');
INSERT INTO public.who_import VALUES (84997, '2020-12-04', 'SD', 'Sudan', 'EMRO', '312', '19196', '10', '1290');
INSERT INTO public.who_import VALUES (84998, '2020-12-05', 'SD', 'Sudan', 'EMRO', '272', '19468', '5', '1295');
INSERT INTO public.who_import VALUES (84999, '2020-12-06', 'SD', 'Sudan', 'EMRO', '279', '19747', '6', '1301');
INSERT INTO public.who_import VALUES (85000, '2020-12-07', 'SD', 'Sudan', 'EMRO', '337', '20084', '6', '1307');
INSERT INTO public.who_import VALUES (85001, '2020-12-08', 'SD', 'Sudan', 'EMRO', '212', '20296', '2', '1309');
INSERT INTO public.who_import VALUES (85002, '2020-12-09', 'SD', 'Sudan', 'EMRO', '172', '20468', '10', '1319');
INSERT INTO public.who_import VALUES (85003, '2020-12-10', 'SD', 'Sudan', 'EMRO', '376', '20844', '21', '1340');
INSERT INTO public.who_import VALUES (85004, '2020-12-11', 'SD', 'Sudan', 'EMRO', '303', '21147', '4', '1344');
INSERT INTO public.who_import VALUES (85005, '2020-12-12', 'SD', 'Sudan', 'EMRO', '239', '21386', '3', '1347');
INSERT INTO public.who_import VALUES (85006, '2020-12-13', 'SD', 'Sudan', 'EMRO', '205', '21591', '8', '1355');
INSERT INTO public.who_import VALUES (85007, '2020-12-14', 'SD', 'Sudan', 'EMRO', '273', '21864', '17', '1372');
INSERT INTO public.who_import VALUES (85008, '2020-12-15', 'SD', 'Sudan', 'EMRO', '218', '22082', '12', '1384');
INSERT INTO public.who_import VALUES (85009, '2020-12-16', 'SD', 'Sudan', 'EMRO', '183', '22265', '24', '1408');
INSERT INTO public.who_import VALUES (85010, '2020-12-17', 'SD', 'Sudan', 'EMRO', '356', '22621', '17', '1425');
INSERT INTO public.who_import VALUES (85011, '2020-12-18', 'SD', 'Sudan', 'EMRO', '202', '22823', '9', '1434');
INSERT INTO public.who_import VALUES (85012, '2020-12-19', 'SD', 'Sudan', 'EMRO', '167', '22990', '16', '1450');
INSERT INTO public.who_import VALUES (85013, '2020-12-20', 'SD', 'Sudan', 'EMRO', '110', '23100', '11', '1461');
INSERT INTO public.who_import VALUES (85014, '2020-12-21', 'SD', 'Sudan', 'EMRO', '216', '23316', '7', '1468');
INSERT INTO public.who_import VALUES (85015, '2020-12-22', 'SD', 'Sudan', 'EMRO', '256', '23572', '14', '1482');
INSERT INTO public.who_import VALUES (85016, '2020-12-23', 'SD', 'Sudan', 'EMRO', '274', '23846', '10', '1492');
INSERT INTO public.who_import VALUES (85017, '2020-12-24', 'SD', 'Sudan', 'EMRO', '212', '24058', '5', '1497');
INSERT INTO public.who_import VALUES (85018, '2020-12-25', 'SD', 'Sudan', 'EMRO', '283', '24341', '10', '1507');
INSERT INTO public.who_import VALUES (85019, '2020-12-26', 'SD', 'Sudan', 'EMRO', '247', '24588', '8', '1515');
INSERT INTO public.who_import VALUES (85020, '2020-12-27', 'SD', 'Sudan', 'EMRO', '106', '24694', '5', '1520');
INSERT INTO public.who_import VALUES (85021, '2020-12-28', 'SD', 'Sudan', 'EMRO', '194', '24888', '16', '1536');
INSERT INTO public.who_import VALUES (85022, '2020-12-29', 'SD', 'Sudan', 'EMRO', '172', '25060', '4', '1540');
INSERT INTO public.who_import VALUES (85023, '2020-12-30', 'SD', 'Sudan', 'EMRO', '178', '25238', '9', '1549');
INSERT INTO public.who_import VALUES (85024, '2020-12-31', 'SD', 'Sudan', 'EMRO', '262', '25500', '12', '1561');
INSERT INTO public.who_import VALUES (85025, '2021-01-01', 'SD', 'Sudan', 'EMRO', '230', '25730', '15', '1576');
INSERT INTO public.who_import VALUES (85026, '2021-01-02', 'SD', 'Sudan', 'EMRO', '152', '25882', '12', '1588');
INSERT INTO public.who_import VALUES (85027, '2021-01-03', 'SD', 'Sudan', 'EMRO', '157', '26039', '9', '1597');
INSERT INTO public.who_import VALUES (85028, '2021-01-04', 'SD', 'Sudan', 'EMRO', '240', '26279', '6', '1603');
INSERT INTO public.who_import VALUES (85029, '2021-01-05', 'SD', 'Sudan', 'EMRO', '0', '26279', '0', '1603');
INSERT INTO public.who_import VALUES (85030, '2021-01-06', 'SD', 'Sudan', 'EMRO', '0', '26279', '0', '1603');
INSERT INTO public.who_import VALUES (85031, '2021-01-07', 'SD', 'Sudan', 'EMRO', '0', '26279', '0', '1603');
INSERT INTO public.who_import VALUES (85032, '2021-01-08', 'SD', 'Sudan', 'EMRO', '0', '26279', '0', '1603');
INSERT INTO public.who_import VALUES (85033, '2021-01-09', 'SD', 'Sudan', 'EMRO', '0', '26279', '0', '1603');
INSERT INTO public.who_import VALUES (85034, '2021-01-10', 'SD', 'Sudan', 'EMRO', '1215', '27494', '54', '1657');
INSERT INTO public.who_import VALUES (85035, '2021-01-11', 'SD', 'Sudan', 'EMRO', '125', '27619', '9', '1666');
INSERT INTO public.who_import VALUES (85036, '2021-01-12', 'SD', 'Sudan', 'EMRO', '149', '27768', '6', '1672');
INSERT INTO public.who_import VALUES (85037, '2021-01-13', 'SD', 'Sudan', 'EMRO', '59', '27827', '5', '1677');
INSERT INTO public.who_import VALUES (85038, '2021-01-14', 'SD', 'Sudan', 'EMRO', '142', '27969', '6', '1683');
INSERT INTO public.who_import VALUES (85039, '2021-01-15', 'SD', 'Sudan', 'EMRO', '128', '28097', '12', '1695');
INSERT INTO public.who_import VALUES (85040, '2021-01-16', 'SD', 'Sudan', 'EMRO', '82', '28179', '4', '1699');
INSERT INTO public.who_import VALUES (85041, '2021-01-17', 'SD', 'Sudan', 'EMRO', '54', '28233', '8', '1707');
INSERT INTO public.who_import VALUES (85042, '2021-01-18', 'SD', 'Sudan', 'EMRO', '84', '28317', '10', '1717');
INSERT INTO public.who_import VALUES (85043, '2021-01-19', 'SD', 'Sudan', 'EMRO', '133', '28450', '4', '1721');
INSERT INTO public.who_import VALUES (85044, '2021-01-20', 'SD', 'Sudan', 'EMRO', '72', '28522', '1', '1722');
INSERT INTO public.who_import VALUES (85045, '2021-01-21', 'SD', 'Sudan', 'EMRO', '67', '28589', '10', '1732');
INSERT INTO public.who_import VALUES (85046, '2021-01-22', 'SD', 'Sudan', 'EMRO', '65', '28654', '1', '1733');
INSERT INTO public.who_import VALUES (85047, '2021-01-23', 'SD', 'Sudan', 'EMRO', '134', '28788', '5', '1738');
INSERT INTO public.who_import VALUES (85048, '2021-01-24', 'SD', 'Sudan', 'EMRO', '82', '28870', '0', '1738');
INSERT INTO public.who_import VALUES (85049, '2021-01-25', 'SD', 'Sudan', 'EMRO', '54', '28924', '0', '1738');
INSERT INTO public.who_import VALUES (85050, '2021-01-26', 'SD', 'Sudan', 'EMRO', '70', '28994', '12', '1750');
INSERT INTO public.who_import VALUES (85051, '2021-01-27', 'SD', 'Sudan', 'EMRO', '72', '29066', '10', '1760');
INSERT INTO public.who_import VALUES (85052, '2021-01-28', 'SD', 'Sudan', 'EMRO', '225', '29291', '38', '1798');
INSERT INTO public.who_import VALUES (85053, '2021-01-29', 'SD', 'Sudan', 'EMRO', '49', '29340', '3', '1801');
INSERT INTO public.who_import VALUES (85054, '2021-01-30', 'SD', 'Sudan', 'EMRO', '40', '29380', '3', '1804');
INSERT INTO public.who_import VALUES (85055, '2021-01-31', 'SD', 'Sudan', 'EMRO', '69', '29449', '3', '1807');
INSERT INTO public.who_import VALUES (85056, '2021-02-01', 'SD', 'Sudan', 'EMRO', '39', '29488', '5', '1812');
INSERT INTO public.who_import VALUES (85057, '2021-02-02', 'SD', 'Sudan', 'EMRO', '48', '29536', '17', '1829');
INSERT INTO public.who_import VALUES (85058, '2021-02-03', 'SD', 'Sudan', 'EMRO', '0', '29536', '0', '1829');
INSERT INTO public.who_import VALUES (85059, '2021-02-04', 'SD', 'Sudan', 'EMRO', '41', '29577', '1', '1830');
INSERT INTO public.who_import VALUES (85060, '2021-02-05', 'SD', 'Sudan', 'EMRO', '57', '29634', '1', '1831');
INSERT INTO public.who_import VALUES (85061, '2021-02-06', 'SD', 'Sudan', 'EMRO', '65', '29699', '1', '1832');
INSERT INTO public.who_import VALUES (85062, '2021-02-07', 'SD', 'Sudan', 'EMRO', '54', '29753', '2', '1834');
INSERT INTO public.who_import VALUES (85063, '2021-02-08', 'SD', 'Sudan', 'EMRO', '12', '29765', '1', '1835');
INSERT INTO public.who_import VALUES (85064, '2021-02-09', 'SD', 'Sudan', 'EMRO', '86', '29851', '0', '1835');
INSERT INTO public.who_import VALUES (85065, '2021-02-10', 'SD', 'Sudan', 'EMRO', '50', '29901', '8', '1843');
INSERT INTO public.who_import VALUES (85066, '2021-02-11', 'SD', 'Sudan', 'EMRO', '32', '29933', '6', '1849');
INSERT INTO public.who_import VALUES (85067, '2021-02-12', 'SD', 'Sudan', 'EMRO', '19', '29952', '0', '1849');
INSERT INTO public.who_import VALUES (85068, '2021-02-13', 'SD', 'Sudan', 'EMRO', '26', '29978', '3', '1852');
INSERT INTO public.who_import VALUES (85069, '2021-02-14', 'SD', 'Sudan', 'EMRO', '11', '29989', '1', '1853');
INSERT INTO public.who_import VALUES (85070, '2021-02-15', 'SD', 'Sudan', 'EMRO', '17', '30006', '0', '1853');
INSERT INTO public.who_import VALUES (85071, '2021-02-16', 'SD', 'Sudan', 'EMRO', '46', '30052', '5', '1858');
INSERT INTO public.who_import VALUES (85072, '2021-02-17', 'SD', 'Sudan', 'EMRO', '26', '30078', '5', '1863');
INSERT INTO public.who_import VALUES (85073, '2021-02-18', 'SD', 'Sudan', 'EMRO', '37', '30115', '1', '1864');
INSERT INTO public.who_import VALUES (85074, '2021-02-19', 'SD', 'Sudan', 'EMRO', '13', '30128', '0', '1864');
INSERT INTO public.who_import VALUES (85075, '2021-02-20', 'SD', 'Sudan', 'EMRO', '0', '30128', '0', '1864');
INSERT INTO public.who_import VALUES (85076, '2020-01-03', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85077, '2020-01-04', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85078, '2020-01-05', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85079, '2020-01-06', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85080, '2020-01-07', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85081, '2020-01-08', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85082, '2020-01-09', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85083, '2020-01-10', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85084, '2020-01-11', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85085, '2020-01-12', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85086, '2020-01-13', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85087, '2020-01-14', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85088, '2020-01-15', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85089, '2020-01-16', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85090, '2020-01-17', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85091, '2020-01-18', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85092, '2020-01-19', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85093, '2020-01-20', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85094, '2020-01-21', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85095, '2020-01-22', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85096, '2020-01-23', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85097, '2020-01-24', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85098, '2020-01-25', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85099, '2020-01-26', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85100, '2020-01-27', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85101, '2020-01-28', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85102, '2020-01-29', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85103, '2020-01-30', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85104, '2020-01-31', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85105, '2020-02-01', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85106, '2020-02-02', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85107, '2020-02-03', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85108, '2020-02-04', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85109, '2020-02-05', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85110, '2020-02-06', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85111, '2020-02-07', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85112, '2020-02-08', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85113, '2020-02-09', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85114, '2020-02-10', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85115, '2020-02-11', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85116, '2020-02-12', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85117, '2020-02-13', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85118, '2020-02-14', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85119, '2020-02-15', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85120, '2020-02-16', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85121, '2020-02-17', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85122, '2020-02-18', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85123, '2020-02-19', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85124, '2020-02-20', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85125, '2020-02-21', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85126, '2020-02-22', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85127, '2020-02-23', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85128, '2020-02-24', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85129, '2020-02-25', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85130, '2020-02-26', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85131, '2020-02-27', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85132, '2020-02-28', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85133, '2020-02-29', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85134, '2020-03-01', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85135, '2020-03-02', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85136, '2020-03-03', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85137, '2020-03-04', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85138, '2020-03-05', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85139, '2020-03-06', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85140, '2020-03-07', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85141, '2020-03-08', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85142, '2020-03-09', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85143, '2020-03-10', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85144, '2020-03-11', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85145, '2020-03-12', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85146, '2020-03-13', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85147, '2020-03-14', 'SR', 'Suriname', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85148, '2020-03-15', 'SR', 'Suriname', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (85149, '2020-03-16', 'SR', 'Suriname', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (85150, '2020-03-17', 'SR', 'Suriname', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (85151, '2020-03-18', 'SR', 'Suriname', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (85152, '2020-03-19', 'SR', 'Suriname', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (85153, '2020-03-20', 'SR', 'Suriname', 'AMRO', '-3', '2', '0', '0');
INSERT INTO public.who_import VALUES (85154, '2020-03-21', 'SR', 'Suriname', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (85155, '2020-03-22', 'SR', 'Suriname', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (85156, '2020-03-23', 'SR', 'Suriname', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (85157, '2020-03-24', 'SR', 'Suriname', 'AMRO', '4', '6', '0', '0');
INSERT INTO public.who_import VALUES (85158, '2020-03-25', 'SR', 'Suriname', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (85159, '2020-03-26', 'SR', 'Suriname', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (85160, '2020-03-27', 'SR', 'Suriname', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (85161, '2020-03-28', 'SR', 'Suriname', 'AMRO', '1', '8', '0', '0');
INSERT INTO public.who_import VALUES (85162, '2020-03-29', 'SR', 'Suriname', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (85163, '2020-03-30', 'SR', 'Suriname', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (85164, '2020-03-31', 'SR', 'Suriname', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (85165, '2020-04-01', 'SR', 'Suriname', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (85166, '2020-04-02', 'SR', 'Suriname', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (85167, '2020-04-03', 'SR', 'Suriname', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (85168, '2020-04-04', 'SR', 'Suriname', 'AMRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (85169, '2020-04-05', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (85170, '2020-04-06', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (85171, '2020-04-07', 'SR', 'Suriname', 'AMRO', '0', '10', '1', '1');
INSERT INTO public.who_import VALUES (85172, '2020-04-08', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85173, '2020-04-09', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85174, '2020-04-10', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85175, '2020-04-11', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85176, '2020-04-12', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85177, '2020-04-13', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85178, '2020-04-14', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85179, '2020-04-15', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85180, '2020-04-16', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85181, '2020-04-17', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85182, '2020-04-18', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85183, '2020-04-19', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85184, '2020-04-20', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85185, '2020-04-21', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85186, '2020-04-22', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85187, '2020-04-23', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85188, '2020-04-24', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85189, '2020-04-25', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85190, '2020-04-26', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85191, '2020-04-27', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85192, '2020-04-28', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85193, '2020-04-29', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85194, '2020-04-30', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85195, '2020-05-01', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85196, '2020-05-02', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85197, '2020-05-03', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85198, '2020-05-04', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85199, '2020-05-05', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85200, '2020-05-06', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85201, '2020-05-07', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85202, '2020-05-08', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85203, '2020-05-09', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85204, '2020-05-10', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85205, '2020-05-11', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85206, '2020-05-12', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85207, '2020-05-13', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85208, '2020-05-14', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85209, '2020-05-15', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85210, '2020-05-16', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85211, '2020-05-17', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85212, '2020-05-18', 'SR', 'Suriname', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (85213, '2020-05-19', 'SR', 'Suriname', 'AMRO', '1', '11', '0', '1');
INSERT INTO public.who_import VALUES (85214, '2020-05-20', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85215, '2020-05-21', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85216, '2020-05-22', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85217, '2020-05-23', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85218, '2020-05-24', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85219, '2020-05-25', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85220, '2020-05-26', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85221, '2020-05-27', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85222, '2020-05-28', 'SR', 'Suriname', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (85223, '2020-05-29', 'SR', 'Suriname', 'AMRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (85224, '2020-05-30', 'SR', 'Suriname', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (85225, '2020-05-31', 'SR', 'Suriname', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (85226, '2020-06-01', 'SR', 'Suriname', 'AMRO', '2', '14', '0', '1');
INSERT INTO public.who_import VALUES (85227, '2020-06-02', 'SR', 'Suriname', 'AMRO', '13', '27', '0', '1');
INSERT INTO public.who_import VALUES (85228, '2020-06-03', 'SR', 'Suriname', 'AMRO', '26', '53', '0', '1');
INSERT INTO public.who_import VALUES (85229, '2020-06-04', 'SR', 'Suriname', 'AMRO', '1', '54', '0', '1');
INSERT INTO public.who_import VALUES (85230, '2020-06-05', 'SR', 'Suriname', 'AMRO', '28', '82', '0', '1');
INSERT INTO public.who_import VALUES (85231, '2020-06-06', 'SR', 'Suriname', 'AMRO', '0', '82', '0', '1');
INSERT INTO public.who_import VALUES (85232, '2020-06-07', 'SR', 'Suriname', 'AMRO', '8', '90', '0', '1');
INSERT INTO public.who_import VALUES (85233, '2020-06-08', 'SR', 'Suriname', 'AMRO', '11', '101', '0', '1');
INSERT INTO public.who_import VALUES (85234, '2020-06-09', 'SR', 'Suriname', 'AMRO', '27', '128', '1', '2');
INSERT INTO public.who_import VALUES (85235, '2020-06-10', 'SR', 'Suriname', 'AMRO', '5', '133', '0', '2');
INSERT INTO public.who_import VALUES (85236, '2020-06-11', 'SR', 'Suriname', 'AMRO', '4', '137', '0', '2');
INSERT INTO public.who_import VALUES (85237, '2020-06-12', 'SR', 'Suriname', 'AMRO', '7', '144', '0', '2');
INSERT INTO public.who_import VALUES (85238, '2020-06-13', 'SR', 'Suriname', 'AMRO', '24', '168', '0', '2');
INSERT INTO public.who_import VALUES (85239, '2020-06-14', 'SR', 'Suriname', 'AMRO', '19', '187', '1', '3');
INSERT INTO public.who_import VALUES (85240, '2020-06-15', 'SR', 'Suriname', 'AMRO', '0', '187', '0', '3');
INSERT INTO public.who_import VALUES (85241, '2020-06-16', 'SR', 'Suriname', 'AMRO', '21', '208', '1', '4');
INSERT INTO public.who_import VALUES (85242, '2020-06-17', 'SR', 'Suriname', 'AMRO', '28', '236', '2', '6');
INSERT INTO public.who_import VALUES (85243, '2020-06-18', 'SR', 'Suriname', 'AMRO', '6', '242', '0', '6');
INSERT INTO public.who_import VALUES (85244, '2020-06-19', 'SR', 'Suriname', 'AMRO', '19', '261', '1', '7');
INSERT INTO public.who_import VALUES (85245, '2020-06-20', 'SR', 'Suriname', 'AMRO', '16', '277', '1', '8');
INSERT INTO public.who_import VALUES (85246, '2020-06-21', 'SR', 'Suriname', 'AMRO', '16', '293', '0', '8');
INSERT INTO public.who_import VALUES (85247, '2020-06-22', 'SR', 'Suriname', 'AMRO', '9', '302', '0', '8');
INSERT INTO public.who_import VALUES (85248, '2020-06-23', 'SR', 'Suriname', 'AMRO', '16', '318', '0', '8');
INSERT INTO public.who_import VALUES (85249, '2020-06-24', 'SR', 'Suriname', 'AMRO', '1', '319', '1', '9');
INSERT INTO public.who_import VALUES (85250, '2020-06-25', 'SR', 'Suriname', 'AMRO', '0', '319', '0', '9');
INSERT INTO public.who_import VALUES (85251, '2020-06-26', 'SR', 'Suriname', 'AMRO', '38', '357', '1', '10');
INSERT INTO public.who_import VALUES (85252, '2020-06-27', 'SR', 'Suriname', 'AMRO', '16', '373', '0', '10');
INSERT INTO public.who_import VALUES (85253, '2020-06-28', 'SR', 'Suriname', 'AMRO', '18', '391', '0', '10');
INSERT INTO public.who_import VALUES (85254, '2020-06-29', 'SR', 'Suriname', 'AMRO', '76', '467', '1', '11');
INSERT INTO public.who_import VALUES (85255, '2020-06-30', 'SR', 'Suriname', 'AMRO', '25', '492', '2', '13');
INSERT INTO public.who_import VALUES (85256, '2020-07-01', 'SR', 'Suriname', 'AMRO', '23', '515', '0', '13');
INSERT INTO public.who_import VALUES (85257, '2020-07-02', 'SR', 'Suriname', 'AMRO', '2', '517', '0', '13');
INSERT INTO public.who_import VALUES (85258, '2020-07-03', 'SR', 'Suriname', 'AMRO', '18', '535', '0', '13');
INSERT INTO public.who_import VALUES (85259, '2020-07-04', 'SR', 'Suriname', 'AMRO', '12', '547', '0', '13');
INSERT INTO public.who_import VALUES (85260, '2020-07-05', 'SR', 'Suriname', 'AMRO', '18', '565', '1', '14');
INSERT INTO public.who_import VALUES (85261, '2020-07-06', 'SR', 'Suriname', 'AMRO', '18', '583', '0', '14');
INSERT INTO public.who_import VALUES (85262, '2020-07-07', 'SR', 'Suriname', 'AMRO', '21', '604', '0', '14');
INSERT INTO public.who_import VALUES (85263, '2020-07-08', 'SR', 'Suriname', 'AMRO', '10', '614', '1', '15');
INSERT INTO public.who_import VALUES (85264, '2020-07-09', 'SR', 'Suriname', 'AMRO', '21', '635', '2', '17');
INSERT INTO public.who_import VALUES (85265, '2020-07-10', 'SR', 'Suriname', 'AMRO', '36', '671', '0', '17');
INSERT INTO public.who_import VALUES (85266, '2020-07-11', 'SR', 'Suriname', 'AMRO', '55', '726', '0', '17');
INSERT INTO public.who_import VALUES (85267, '2020-07-12', 'SR', 'Suriname', 'AMRO', '3', '729', '1', '18');
INSERT INTO public.who_import VALUES (85268, '2020-07-13', 'SR', 'Suriname', 'AMRO', '12', '741', '0', '18');
INSERT INTO public.who_import VALUES (85269, '2020-07-14', 'SR', 'Suriname', 'AMRO', '21', '762', '0', '18');
INSERT INTO public.who_import VALUES (85270, '2020-07-15', 'SR', 'Suriname', 'AMRO', '18', '780', '0', '18');
INSERT INTO public.who_import VALUES (85271, '2020-07-16', 'SR', 'Suriname', 'AMRO', '21', '801', '0', '18');
INSERT INTO public.who_import VALUES (85272, '2020-07-17', 'SR', 'Suriname', 'AMRO', '48', '849', '0', '18');
INSERT INTO public.who_import VALUES (85273, '2020-07-18', 'SR', 'Suriname', 'AMRO', '70', '919', '1', '19');
INSERT INTO public.who_import VALUES (85274, '2020-07-19', 'SR', 'Suriname', 'AMRO', '24', '943', '0', '19');
INSERT INTO public.who_import VALUES (85275, '2020-07-20', 'SR', 'Suriname', 'AMRO', '58', '1001', '1', '20');
INSERT INTO public.who_import VALUES (85276, '2020-07-21', 'SR', 'Suriname', 'AMRO', '28', '1029', '1', '21');
INSERT INTO public.who_import VALUES (85277, '2020-07-22', 'SR', 'Suriname', 'AMRO', '50', '1079', '0', '21');
INSERT INTO public.who_import VALUES (85278, '2020-07-23', 'SR', 'Suriname', 'AMRO', '52', '1131', '0', '21');
INSERT INTO public.who_import VALUES (85279, '2020-07-24', 'SR', 'Suriname', 'AMRO', '45', '1176', '0', '21');
INSERT INTO public.who_import VALUES (85280, '2020-07-25', 'SR', 'Suriname', 'AMRO', '58', '1234', '2', '23');
INSERT INTO public.who_import VALUES (85281, '2020-07-26', 'SR', 'Suriname', 'AMRO', '71', '1305', '0', '23');
INSERT INTO public.who_import VALUES (85282, '2020-07-27', 'SR', 'Suriname', 'AMRO', '76', '1381', '0', '23');
INSERT INTO public.who_import VALUES (85283, '2020-07-28', 'SR', 'Suriname', 'AMRO', '58', '1439', '0', '23');
INSERT INTO public.who_import VALUES (85284, '2020-07-29', 'SR', 'Suriname', 'AMRO', '44', '1483', '1', '24');
INSERT INTO public.who_import VALUES (85285, '2020-07-30', 'SR', 'Suriname', 'AMRO', '27', '1510', '0', '24');
INSERT INTO public.who_import VALUES (85286, '2020-07-31', 'SR', 'Suriname', 'AMRO', '97', '1607', '2', '26');
INSERT INTO public.who_import VALUES (85287, '2020-08-01', 'SR', 'Suriname', 'AMRO', '43', '1650', '0', '26');
INSERT INTO public.who_import VALUES (85288, '2020-08-02', 'SR', 'Suriname', 'AMRO', '56', '1706', '0', '26');
INSERT INTO public.who_import VALUES (85289, '2020-08-03', 'SR', 'Suriname', 'AMRO', '54', '1760', '0', '26');
INSERT INTO public.who_import VALUES (85290, '2020-08-04', 'SR', 'Suriname', 'AMRO', '89', '1849', '1', '27');
INSERT INTO public.who_import VALUES (85291, '2020-08-05', 'SR', 'Suriname', 'AMRO', '44', '1893', '0', '27');
INSERT INTO public.who_import VALUES (85292, '2020-08-06', 'SR', 'Suriname', 'AMRO', '88', '1981', '0', '27');
INSERT INTO public.who_import VALUES (85293, '2020-08-07', 'SR', 'Suriname', 'AMRO', '69', '2050', '0', '27');
INSERT INTO public.who_import VALUES (85294, '2020-08-08', 'SR', 'Suriname', 'AMRO', '46', '2096', '2', '29');
INSERT INTO public.who_import VALUES (85295, '2020-08-09', 'SR', 'Suriname', 'AMRO', '107', '2203', '0', '29');
INSERT INTO public.who_import VALUES (85296, '2020-08-10', 'SR', 'Suriname', 'AMRO', '103', '2306', '0', '29');
INSERT INTO public.who_import VALUES (85297, '2020-08-11', 'SR', 'Suriname', 'AMRO', '85', '2391', '0', '29');
INSERT INTO public.who_import VALUES (85298, '2020-08-12', 'SR', 'Suriname', 'AMRO', '98', '2489', '1', '30');
INSERT INTO public.who_import VALUES (85299, '2020-08-13', 'SR', 'Suriname', 'AMRO', '70', '2559', '9', '39');
INSERT INTO public.who_import VALUES (85300, '2020-08-14', 'SR', 'Suriname', 'AMRO', '94', '2653', '0', '39');
INSERT INTO public.who_import VALUES (85301, '2020-08-15', 'SR', 'Suriname', 'AMRO', '108', '2761', '1', '40');
INSERT INTO public.who_import VALUES (85302, '2020-08-16', 'SR', 'Suriname', 'AMRO', '77', '2838', '1', '41');
INSERT INTO public.who_import VALUES (85303, '2020-08-17', 'SR', 'Suriname', 'AMRO', '123', '2961', '1', '42');
INSERT INTO public.who_import VALUES (85304, '2020-08-18', 'SR', 'Suriname', 'AMRO', '55', '3016', '5', '47');
INSERT INTO public.who_import VALUES (85305, '2020-08-19', 'SR', 'Suriname', 'AMRO', '61', '3077', '1', '48');
INSERT INTO public.who_import VALUES (85306, '2020-08-20', 'SR', 'Suriname', 'AMRO', '139', '3216', '6', '54');
INSERT INTO public.who_import VALUES (85307, '2020-08-21', 'SR', 'Suriname', 'AMRO', '79', '3295', '0', '54');
INSERT INTO public.who_import VALUES (85308, '2020-08-22', 'SR', 'Suriname', 'AMRO', '71', '3366', '1', '55');
INSERT INTO public.who_import VALUES (85309, '2020-08-23', 'SR', 'Suriname', 'AMRO', '94', '3460', '1', '56');
INSERT INTO public.who_import VALUES (85310, '2020-08-24', 'SR', 'Suriname', 'AMRO', '109', '3569', '1', '57');
INSERT INTO public.who_import VALUES (85311, '2020-08-25', 'SR', 'Suriname', 'AMRO', '38', '3607', '1', '58');
INSERT INTO public.who_import VALUES (85312, '2020-08-26', 'SR', 'Suriname', 'AMRO', '25', '3632', '2', '60');
INSERT INTO public.who_import VALUES (85313, '2020-08-27', 'SR', 'Suriname', 'AMRO', '66', '3698', '1', '61');
INSERT INTO public.who_import VALUES (85314, '2020-08-28', 'SR', 'Suriname', 'AMRO', '26', '3724', '1', '62');
INSERT INTO public.who_import VALUES (85315, '2020-08-29', 'SR', 'Suriname', 'AMRO', '69', '3793', '4', '66');
INSERT INTO public.who_import VALUES (85316, '2020-08-30', 'SR', 'Suriname', 'AMRO', '55', '3848', '0', '66');
INSERT INTO public.who_import VALUES (85317, '2020-08-31', 'SR', 'Suriname', 'AMRO', '106', '3954', '1', '67');
INSERT INTO public.who_import VALUES (85318, '2020-09-01', 'SR', 'Suriname', 'AMRO', '55', '4009', '0', '67');
INSERT INTO public.who_import VALUES (85319, '2020-09-02', 'SR', 'Suriname', 'AMRO', '25', '4034', '4', '71');
INSERT INTO public.who_import VALUES (85320, '2020-09-03', 'SR', 'Suriname', 'AMRO', '55', '4089', '1', '72');
INSERT INTO public.who_import VALUES (85321, '2020-09-04', 'SR', 'Suriname', 'AMRO', '60', '4149', '0', '72');
INSERT INTO public.who_import VALUES (85322, '2020-09-05', 'SR', 'Suriname', 'AMRO', '66', '4215', '1', '73');
INSERT INTO public.who_import VALUES (85323, '2020-09-06', 'SR', 'Suriname', 'AMRO', '37', '4252', '2', '75');
INSERT INTO public.who_import VALUES (85324, '2020-09-07', 'SR', 'Suriname', 'AMRO', '68', '4320', '2', '77');
INSERT INTO public.who_import VALUES (85325, '2020-09-08', 'SR', 'Suriname', 'AMRO', '26', '4346', '8', '85');
INSERT INTO public.who_import VALUES (85326, '2020-09-09', 'SR', 'Suriname', 'AMRO', '14', '4360', '6', '91');
INSERT INTO public.who_import VALUES (85327, '2020-09-10', 'SR', 'Suriname', 'AMRO', '59', '4419', '0', '91');
INSERT INTO public.who_import VALUES (85328, '2020-09-11', 'SR', 'Suriname', 'AMRO', '28', '4447', '1', '92');
INSERT INTO public.who_import VALUES (85329, '2020-09-12', 'SR', 'Suriname', 'AMRO', '30', '4477', '1', '93');
INSERT INTO public.who_import VALUES (85330, '2020-09-13', 'SR', 'Suriname', 'AMRO', '52', '4529', '0', '93');
INSERT INTO public.who_import VALUES (85331, '2020-09-14', 'SR', 'Suriname', 'AMRO', '50', '4579', '0', '93');
INSERT INTO public.who_import VALUES (85332, '2020-09-15', 'SR', 'Suriname', 'AMRO', '3', '4582', '0', '93');
INSERT INTO public.who_import VALUES (85333, '2020-09-16', 'SR', 'Suriname', 'AMRO', '29', '4611', '2', '95');
INSERT INTO public.who_import VALUES (85334, '2020-09-17', 'SR', 'Suriname', 'AMRO', '14', '4625', '0', '95');
INSERT INTO public.who_import VALUES (85335, '2020-09-18', 'SR', 'Suriname', 'AMRO', '20', '4645', '0', '95');
INSERT INTO public.who_import VALUES (85336, '2020-09-19', 'SR', 'Suriname', 'AMRO', '26', '4671', '0', '95');
INSERT INTO public.who_import VALUES (85337, '2020-09-20', 'SR', 'Suriname', 'AMRO', '20', '4691', '1', '96');
INSERT INTO public.who_import VALUES (85338, '2020-09-21', 'SR', 'Suriname', 'AMRO', '18', '4709', '1', '97');
INSERT INTO public.who_import VALUES (85339, '2020-09-22', 'SR', 'Suriname', 'AMRO', '14', '4723', '0', '97');
INSERT INTO public.who_import VALUES (85340, '2020-09-23', 'SR', 'Suriname', 'AMRO', '17', '4740', '0', '97');
INSERT INTO public.who_import VALUES (85341, '2020-09-24', 'SR', 'Suriname', 'AMRO', '19', '4759', '3', '100');
INSERT INTO public.who_import VALUES (85342, '2020-09-25', 'SR', 'Suriname', 'AMRO', '20', '4779', '1', '101');
INSERT INTO public.who_import VALUES (85343, '2020-09-26', 'SR', 'Suriname', 'AMRO', '10', '4789', '1', '102');
INSERT INTO public.who_import VALUES (85344, '2020-09-27', 'SR', 'Suriname', 'AMRO', '28', '4817', '0', '102');
INSERT INTO public.who_import VALUES (85345, '2020-09-28', 'SR', 'Suriname', 'AMRO', '14', '4831', '0', '102');
INSERT INTO public.who_import VALUES (85346, '2020-09-29', 'SR', 'Suriname', 'AMRO', '4', '4835', '0', '102');
INSERT INTO public.who_import VALUES (85347, '2020-09-30', 'SR', 'Suriname', 'AMRO', '1', '4836', '0', '102');
INSERT INTO public.who_import VALUES (85348, '2020-10-01', 'SR', 'Suriname', 'AMRO', '27', '4863', '2', '104');
INSERT INTO public.who_import VALUES (85349, '2020-10-02', 'SR', 'Suriname', 'AMRO', '14', '4877', '0', '104');
INSERT INTO public.who_import VALUES (85350, '2020-10-03', 'SR', 'Suriname', 'AMRO', '14', '4891', '1', '105');
INSERT INTO public.who_import VALUES (85351, '2020-10-04', 'SR', 'Suriname', 'AMRO', '8', '4899', '0', '105');
INSERT INTO public.who_import VALUES (85352, '2020-10-05', 'SR', 'Suriname', 'AMRO', '25', '4924', '1', '106');
INSERT INTO public.who_import VALUES (85353, '2020-10-06', 'SR', 'Suriname', 'AMRO', '17', '4941', '0', '106');
INSERT INTO public.who_import VALUES (85354, '2020-10-07', 'SR', 'Suriname', 'AMRO', '13', '4954', '0', '106');
INSERT INTO public.who_import VALUES (85355, '2020-10-08', 'SR', 'Suriname', 'AMRO', '11', '4965', '0', '106');
INSERT INTO public.who_import VALUES (85356, '2020-10-09', 'SR', 'Suriname', 'AMRO', '14', '4979', '0', '106');
INSERT INTO public.who_import VALUES (85357, '2020-10-10', 'SR', 'Suriname', 'AMRO', '25', '5004', '0', '106');
INSERT INTO public.who_import VALUES (85358, '2020-10-11', 'SR', 'Suriname', 'AMRO', '14', '5018', '0', '106');
INSERT INTO public.who_import VALUES (85359, '2020-10-12', 'SR', 'Suriname', 'AMRO', '17', '5035', '1', '107');
INSERT INTO public.who_import VALUES (85360, '2020-10-13', 'SR', 'Suriname', 'AMRO', '16', '5051', '0', '107');
INSERT INTO public.who_import VALUES (85361, '2020-10-14', 'SR', 'Suriname', 'AMRO', '7', '5058', '0', '107');
INSERT INTO public.who_import VALUES (85362, '2020-10-15', 'SR', 'Suriname', 'AMRO', '14', '5072', '0', '107');
INSERT INTO public.who_import VALUES (85363, '2020-10-16', 'SR', 'Suriname', 'AMRO', '11', '5083', '1', '108');
INSERT INTO public.who_import VALUES (85364, '2020-10-17', 'SR', 'Suriname', 'AMRO', '11', '5094', '1', '109');
INSERT INTO public.who_import VALUES (85365, '2020-10-18', 'SR', 'Suriname', 'AMRO', '19', '5113', '0', '109');
INSERT INTO public.who_import VALUES (85366, '2020-10-19', 'SR', 'Suriname', 'AMRO', '10', '5123', '0', '109');
INSERT INTO public.who_import VALUES (85367, '2020-10-20', 'SR', 'Suriname', 'AMRO', '7', '5130', '0', '109');
INSERT INTO public.who_import VALUES (85368, '2020-10-21', 'SR', 'Suriname', 'AMRO', '3', '5133', '0', '109');
INSERT INTO public.who_import VALUES (85369, '2020-10-22', 'SR', 'Suriname', 'AMRO', '11', '5144', '0', '109');
INSERT INTO public.who_import VALUES (85370, '2020-10-23', 'SR', 'Suriname', 'AMRO', '6', '5150', '0', '109');
INSERT INTO public.who_import VALUES (85371, '2020-10-24', 'SR', 'Suriname', 'AMRO', '4', '5154', '0', '109');
INSERT INTO public.who_import VALUES (85372, '2020-10-25', 'SR', 'Suriname', 'AMRO', '1', '5155', '0', '109');
INSERT INTO public.who_import VALUES (85373, '2020-10-26', 'SR', 'Suriname', 'AMRO', '11', '5166', '0', '109');
INSERT INTO public.who_import VALUES (85374, '2020-10-27', 'SR', 'Suriname', 'AMRO', '4', '5170', '0', '109');
INSERT INTO public.who_import VALUES (85375, '2020-10-28', 'SR', 'Suriname', 'AMRO', '10', '5180', '1', '110');
INSERT INTO public.who_import VALUES (85376, '2020-10-29', 'SR', 'Suriname', 'AMRO', '7', '5187', '1', '111');
INSERT INTO public.who_import VALUES (85377, '2020-10-30', 'SR', 'Suriname', 'AMRO', '5', '5192', '0', '111');
INSERT INTO public.who_import VALUES (85378, '2020-10-31', 'SR', 'Suriname', 'AMRO', '5', '5197', '0', '111');
INSERT INTO public.who_import VALUES (85379, '2020-11-01', 'SR', 'Suriname', 'AMRO', '4', '5201', '0', '111');
INSERT INTO public.who_import VALUES (85380, '2020-11-02', 'SR', 'Suriname', 'AMRO', '2', '5203', '0', '111');
INSERT INTO public.who_import VALUES (85381, '2020-11-03', 'SR', 'Suriname', 'AMRO', '7', '5210', '0', '111');
INSERT INTO public.who_import VALUES (85382, '2020-11-04', 'SR', 'Suriname', 'AMRO', '2', '5212', '0', '111');
INSERT INTO public.who_import VALUES (85383, '2020-11-05', 'SR', 'Suriname', 'AMRO', '6', '5218', '0', '111');
INSERT INTO public.who_import VALUES (85384, '2020-11-06', 'SR', 'Suriname', 'AMRO', '2', '5220', '1', '112');
INSERT INTO public.who_import VALUES (85385, '2020-11-07', 'SR', 'Suriname', 'AMRO', '5', '5225', '0', '112');
INSERT INTO public.who_import VALUES (85386, '2020-11-08', 'SR', 'Suriname', 'AMRO', '2', '5227', '0', '112');
INSERT INTO public.who_import VALUES (85387, '2020-11-09', 'SR', 'Suriname', 'AMRO', '7', '5234', '1', '113');
INSERT INTO public.who_import VALUES (85388, '2020-11-10', 'SR', 'Suriname', 'AMRO', '5', '5239', '0', '113');
INSERT INTO public.who_import VALUES (85389, '2020-11-11', 'SR', 'Suriname', 'AMRO', '2', '5241', '0', '113');
INSERT INTO public.who_import VALUES (85390, '2020-11-12', 'SR', 'Suriname', 'AMRO', '4', '5245', '0', '113');
INSERT INTO public.who_import VALUES (85391, '2020-11-13', 'SR', 'Suriname', 'AMRO', '9', '5254', '0', '113');
INSERT INTO public.who_import VALUES (85392, '2020-11-14', 'SR', 'Suriname', 'AMRO', '7', '5261', '1', '114');
INSERT INTO public.who_import VALUES (85393, '2020-11-15', 'SR', 'Suriname', 'AMRO', '7', '5268', '0', '114');
INSERT INTO public.who_import VALUES (85394, '2020-11-16', 'SR', 'Suriname', 'AMRO', '6', '5274', '0', '114');
INSERT INTO public.who_import VALUES (85395, '2020-11-17', 'SR', 'Suriname', 'AMRO', '0', '5274', '0', '114');
INSERT INTO public.who_import VALUES (85396, '2020-11-18', 'SR', 'Suriname', 'AMRO', '1', '5275', '1', '115');
INSERT INTO public.who_import VALUES (85397, '2020-11-19', 'SR', 'Suriname', 'AMRO', '3', '5278', '1', '116');
INSERT INTO public.who_import VALUES (85398, '2020-11-20', 'SR', 'Suriname', 'AMRO', '4', '5282', '0', '116');
INSERT INTO public.who_import VALUES (85399, '2020-11-21', 'SR', 'Suriname', 'AMRO', '2', '5284', '0', '116');
INSERT INTO public.who_import VALUES (85400, '2020-11-22', 'SR', 'Suriname', 'AMRO', '5', '5289', '0', '116');
INSERT INTO public.who_import VALUES (85401, '2020-11-23', 'SR', 'Suriname', 'AMRO', '6', '5295', '0', '116');
INSERT INTO public.who_import VALUES (85402, '2020-11-24', 'SR', 'Suriname', 'AMRO', '1', '5296', '0', '116');
INSERT INTO public.who_import VALUES (85403, '2020-11-25', 'SR', 'Suriname', 'AMRO', '1', '5297', '0', '116');
INSERT INTO public.who_import VALUES (85404, '2020-11-26', 'SR', 'Suriname', 'AMRO', '3', '5300', '1', '117');
INSERT INTO public.who_import VALUES (85405, '2020-11-27', 'SR', 'Suriname', 'AMRO', '5', '5305', '0', '117');
INSERT INTO public.who_import VALUES (85406, '2020-11-28', 'SR', 'Suriname', 'AMRO', '2', '5307', '0', '117');
INSERT INTO public.who_import VALUES (85407, '2020-11-29', 'SR', 'Suriname', 'AMRO', '4', '5311', '0', '117');
INSERT INTO public.who_import VALUES (85408, '2020-11-30', 'SR', 'Suriname', 'AMRO', '1', '5312', '0', '117');
INSERT INTO public.who_import VALUES (85409, '2020-12-01', 'SR', 'Suriname', 'AMRO', '0', '5312', '0', '117');
INSERT INTO public.who_import VALUES (85410, '2020-12-02', 'SR', 'Suriname', 'AMRO', '0', '5312', '0', '117');
INSERT INTO public.who_import VALUES (85411, '2020-12-03', 'SR', 'Suriname', 'AMRO', '7', '5319', '0', '117');
INSERT INTO public.who_import VALUES (85412, '2020-12-04', 'SR', 'Suriname', 'AMRO', '1', '5320', '0', '117');
INSERT INTO public.who_import VALUES (85413, '2020-12-05', 'SR', 'Suriname', 'AMRO', '2', '5322', '0', '117');
INSERT INTO public.who_import VALUES (85414, '2020-12-06', 'SR', 'Suriname', 'AMRO', '0', '5322', '0', '117');
INSERT INTO public.who_import VALUES (85415, '2020-12-07', 'SR', 'Suriname', 'AMRO', '2', '5324', '0', '117');
INSERT INTO public.who_import VALUES (85416, '2020-12-08', 'SR', 'Suriname', 'AMRO', '0', '5324', '0', '117');
INSERT INTO public.who_import VALUES (85417, '2020-12-09', 'SR', 'Suriname', 'AMRO', '1', '5325', '0', '117');
INSERT INTO public.who_import VALUES (85418, '2020-12-10', 'SR', 'Suriname', 'AMRO', '1', '5326', '0', '117');
INSERT INTO public.who_import VALUES (85419, '2020-12-11', 'SR', 'Suriname', 'AMRO', '7', '5333', '0', '117');
INSERT INTO public.who_import VALUES (85420, '2020-12-12', 'SR', 'Suriname', 'AMRO', '4', '5337', '0', '117');
INSERT INTO public.who_import VALUES (85421, '2020-12-13', 'SR', 'Suriname', 'AMRO', '2', '5339', '0', '117');
INSERT INTO public.who_import VALUES (85422, '2020-12-14', 'SR', 'Suriname', 'AMRO', '10', '5349', '0', '117');
INSERT INTO public.who_import VALUES (85423, '2020-12-15', 'SR', 'Suriname', 'AMRO', '4', '5353', '0', '117');
INSERT INTO public.who_import VALUES (85424, '2020-12-16', 'SR', 'Suriname', 'AMRO', '6', '5359', '0', '117');
INSERT INTO public.who_import VALUES (85425, '2020-12-17', 'SR', 'Suriname', 'AMRO', '22', '5381', '0', '117');
INSERT INTO public.who_import VALUES (85426, '2020-12-18', 'SR', 'Suriname', 'AMRO', '20', '5401', '0', '117');
INSERT INTO public.who_import VALUES (85427, '2020-12-19', 'SR', 'Suriname', 'AMRO', '27', '5428', '0', '117');
INSERT INTO public.who_import VALUES (85428, '2020-12-20', 'SR', 'Suriname', 'AMRO', '31', '5459', '0', '117');
INSERT INTO public.who_import VALUES (85429, '2020-12-21', 'SR', 'Suriname', 'AMRO', '52', '5511', '1', '118');
INSERT INTO public.who_import VALUES (85430, '2020-12-22', 'SR', 'Suriname', 'AMRO', '41', '5552', '0', '118');
INSERT INTO public.who_import VALUES (85431, '2020-12-23', 'SR', 'Suriname', 'AMRO', '31', '5583', '0', '118');
INSERT INTO public.who_import VALUES (85432, '2020-12-24', 'SR', 'Suriname', 'AMRO', '86', '5669', '0', '118');
INSERT INTO public.who_import VALUES (85433, '2020-12-25', 'SR', 'Suriname', 'AMRO', '65', '5734', '0', '118');
INSERT INTO public.who_import VALUES (85434, '2020-12-26', 'SR', 'Suriname', 'AMRO', '76', '5810', '0', '118');
INSERT INTO public.who_import VALUES (85435, '2020-12-27', 'SR', 'Suriname', 'AMRO', '70', '5880', '1', '119');
INSERT INTO public.who_import VALUES (85436, '2020-12-28', 'SR', 'Suriname', 'AMRO', '58', '5938', '0', '119');
INSERT INTO public.who_import VALUES (85437, '2020-12-29', 'SR', 'Suriname', 'AMRO', '40', '5978', '0', '119');
INSERT INTO public.who_import VALUES (85438, '2020-12-30', 'SR', 'Suriname', 'AMRO', '35', '6013', '1', '120');
INSERT INTO public.who_import VALUES (85439, '2020-12-31', 'SR', 'Suriname', 'AMRO', '85', '6098', '0', '120');
INSERT INTO public.who_import VALUES (85440, '2021-01-01', 'SR', 'Suriname', 'AMRO', '83', '6181', '1', '121');
INSERT INTO public.who_import VALUES (85441, '2021-01-02', 'SR', 'Suriname', 'AMRO', '29', '6210', '1', '122');
INSERT INTO public.who_import VALUES (85442, '2021-01-03', 'SR', 'Suriname', 'AMRO', '67', '6277', '1', '123');
INSERT INTO public.who_import VALUES (85443, '2021-01-04', 'SR', 'Suriname', 'AMRO', '66', '6343', '0', '123');
INSERT INTO public.who_import VALUES (85444, '2021-01-05', 'SR', 'Suriname', 'AMRO', '50', '6393', '0', '123');
INSERT INTO public.who_import VALUES (85445, '2021-01-06', 'SR', 'Suriname', 'AMRO', '100', '6493', '1', '124');
INSERT INTO public.who_import VALUES (85446, '2021-01-07', 'SR', 'Suriname', 'AMRO', '93', '6586', '1', '125');
INSERT INTO public.who_import VALUES (85447, '2021-01-08', 'SR', 'Suriname', 'AMRO', '80', '6666', '1', '126');
INSERT INTO public.who_import VALUES (85448, '2021-01-09', 'SR', 'Suriname', 'AMRO', '84', '6750', '4', '130');
INSERT INTO public.who_import VALUES (85449, '2021-01-10', 'SR', 'Suriname', 'AMRO', '104', '6854', '1', '131');
INSERT INTO public.who_import VALUES (85450, '2021-01-11', 'SR', 'Suriname', 'AMRO', '94', '6948', '1', '132');
INSERT INTO public.who_import VALUES (85451, '2021-01-12', 'SR', 'Suriname', 'AMRO', '60', '7008', '1', '133');
INSERT INTO public.who_import VALUES (85452, '2021-01-13', 'SR', 'Suriname', 'AMRO', '56', '7064', '5', '138');
INSERT INTO public.who_import VALUES (85453, '2021-01-14', 'SR', 'Suriname', 'AMRO', '114', '7178', '0', '138');
INSERT INTO public.who_import VALUES (85454, '2021-01-15', 'SR', 'Suriname', 'AMRO', '69', '7247', '1', '139');
INSERT INTO public.who_import VALUES (85455, '2021-01-16', 'SR', 'Suriname', 'AMRO', '53', '7300', '0', '139');
INSERT INTO public.who_import VALUES (85456, '2021-01-17', 'SR', 'Suriname', 'AMRO', '109', '7409', '0', '139');
INSERT INTO public.who_import VALUES (85457, '2021-01-18', 'SR', 'Suriname', 'AMRO', '60', '7469', '2', '141');
INSERT INTO public.who_import VALUES (85458, '2021-01-19', 'SR', 'Suriname', 'AMRO', '58', '7527', '0', '141');
INSERT INTO public.who_import VALUES (85459, '2021-01-20', 'SR', 'Suriname', 'AMRO', '97', '7624', '4', '145');
INSERT INTO public.who_import VALUES (85460, '2021-01-21', 'SR', 'Suriname', 'AMRO', '85', '7709', '1', '146');
INSERT INTO public.who_import VALUES (85461, '2021-01-22', 'SR', 'Suriname', 'AMRO', '74', '7783', '0', '146');
INSERT INTO public.who_import VALUES (85462, '2021-01-23', 'SR', 'Suriname', 'AMRO', '97', '7880', '0', '146');
INSERT INTO public.who_import VALUES (85463, '2021-01-24', 'SR', 'Suriname', 'AMRO', '65', '7945', '2', '148');
INSERT INTO public.who_import VALUES (85464, '2021-01-25', 'SR', 'Suriname', 'AMRO', '55', '8000', '0', '148');
INSERT INTO public.who_import VALUES (85465, '2021-01-26', 'SR', 'Suriname', 'AMRO', '57', '8057', '1', '149');
INSERT INTO public.who_import VALUES (85466, '2021-01-27', 'SR', 'Suriname', 'AMRO', '55', '8112', '0', '149');
INSERT INTO public.who_import VALUES (85467, '2021-01-28', 'SR', 'Suriname', 'AMRO', '62', '8174', '1', '150');
INSERT INTO public.who_import VALUES (85468, '2021-01-29', 'SR', 'Suriname', 'AMRO', '69', '8243', '2', '152');
INSERT INTO public.who_import VALUES (85469, '2021-01-30', 'SR', 'Suriname', 'AMRO', '50', '8293', '2', '154');
INSERT INTO public.who_import VALUES (85470, '2021-01-31', 'SR', 'Suriname', 'AMRO', '71', '8364', '0', '154');
INSERT INTO public.who_import VALUES (85471, '2021-02-01', 'SR', 'Suriname', 'AMRO', '39', '8403', '0', '154');
INSERT INTO public.who_import VALUES (85472, '2021-02-02', 'SR', 'Suriname', 'AMRO', '35', '8438', '0', '154');
INSERT INTO public.who_import VALUES (85473, '2021-02-03', 'SR', 'Suriname', 'AMRO', '11', '8449', '2', '156');
INSERT INTO public.who_import VALUES (85474, '2021-02-04', 'SR', 'Suriname', 'AMRO', '48', '8497', '0', '156');
INSERT INTO public.who_import VALUES (85475, '2021-02-05', 'SR', 'Suriname', 'AMRO', '59', '8556', '0', '156');
INSERT INTO public.who_import VALUES (85476, '2021-02-06', 'SR', 'Suriname', 'AMRO', '39', '8595', '2', '158');
INSERT INTO public.who_import VALUES (85477, '2021-02-07', 'SR', 'Suriname', 'AMRO', '24', '8619', '0', '158');
INSERT INTO public.who_import VALUES (85478, '2021-02-08', 'SR', 'Suriname', 'AMRO', '31', '8650', '2', '160');
INSERT INTO public.who_import VALUES (85479, '2021-02-09', 'SR', 'Suriname', 'AMRO', '21', '8671', '1', '161');
INSERT INTO public.who_import VALUES (85480, '2021-02-10', 'SR', 'Suriname', 'AMRO', '19', '8690', '1', '162');
INSERT INTO public.who_import VALUES (85481, '2021-02-11', 'SR', 'Suriname', 'AMRO', '20', '8710', '1', '163');
INSERT INTO public.who_import VALUES (85482, '2021-02-12', 'SR', 'Suriname', 'AMRO', '29', '8739', '1', '164');
INSERT INTO public.who_import VALUES (85483, '2021-02-13', 'SR', 'Suriname', 'AMRO', '26', '8765', '2', '166');
INSERT INTO public.who_import VALUES (85484, '2021-02-14', 'SR', 'Suriname', 'AMRO', '13', '8778', '0', '166');
INSERT INTO public.who_import VALUES (85485, '2021-02-15', 'SR', 'Suriname', 'AMRO', '16', '8794', '0', '166');
INSERT INTO public.who_import VALUES (85486, '2021-02-16', 'SR', 'Suriname', 'AMRO', '9', '8803', '0', '166');
INSERT INTO public.who_import VALUES (85487, '2021-02-17', 'SR', 'Suriname', 'AMRO', '8', '8811', '1', '167');
INSERT INTO public.who_import VALUES (85488, '2021-02-18', 'SR', 'Suriname', 'AMRO', '9', '8820', '0', '167');
INSERT INTO public.who_import VALUES (85489, '2021-02-19', 'SR', 'Suriname', 'AMRO', '12', '8832', '1', '168');
INSERT INTO public.who_import VALUES (85490, '2021-02-20', 'SR', 'Suriname', 'AMRO', '6', '8838', '0', '168');
INSERT INTO public.who_import VALUES (85491, '2020-01-03', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85492, '2020-01-04', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85493, '2020-01-05', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85494, '2020-01-06', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85495, '2020-01-07', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85496, '2020-01-08', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85497, '2020-01-09', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85498, '2020-01-10', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85499, '2020-01-11', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85500, '2020-01-12', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85501, '2020-01-13', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85502, '2020-01-14', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85503, '2020-01-15', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85504, '2020-01-16', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85505, '2020-01-17', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85506, '2020-01-18', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85507, '2020-01-19', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85508, '2020-01-20', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85509, '2020-01-21', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85510, '2020-01-22', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85511, '2020-01-23', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85512, '2020-01-24', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85513, '2020-01-25', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85514, '2020-01-26', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85515, '2020-01-27', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85516, '2020-01-28', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85517, '2020-01-29', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85518, '2020-01-30', 'SE', 'Sweden', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85519, '2020-01-31', 'SE', 'Sweden', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (85520, '2020-02-01', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85521, '2020-02-02', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85522, '2020-02-03', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85523, '2020-02-04', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85524, '2020-02-05', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85525, '2020-02-06', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85526, '2020-02-07', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85527, '2020-02-08', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85528, '2020-02-09', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85529, '2020-02-10', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85530, '2020-02-11', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85531, '2020-02-12', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85532, '2020-02-13', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85533, '2020-02-14', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85534, '2020-02-15', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85535, '2020-02-16', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85536, '2020-02-17', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85537, '2020-02-18', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85538, '2020-02-19', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85539, '2020-02-20', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85540, '2020-02-21', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85541, '2020-02-22', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85542, '2020-02-23', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85543, '2020-02-24', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85544, '2020-02-25', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85545, '2020-02-26', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85546, '2020-02-27', 'SE', 'Sweden', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85547, '2020-02-28', 'SE', 'Sweden', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (85548, '2020-02-29', 'SE', 'Sweden', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (85549, '2020-03-01', 'SE', 'Sweden', 'EURO', '8', '11', '0', '0');
INSERT INTO public.who_import VALUES (85550, '2020-03-02', 'SE', 'Sweden', 'EURO', '3', '14', '0', '0');
INSERT INTO public.who_import VALUES (85551, '2020-03-03', 'SE', 'Sweden', 'EURO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (85552, '2020-03-04', 'SE', 'Sweden', 'EURO', '5', '19', '0', '0');
INSERT INTO public.who_import VALUES (85553, '2020-03-05', 'SE', 'Sweden', 'EURO', '13', '32', '0', '0');
INSERT INTO public.who_import VALUES (85554, '2020-03-06', 'SE', 'Sweden', 'EURO', '30', '62', '0', '0');
INSERT INTO public.who_import VALUES (85555, '2020-03-07', 'SE', 'Sweden', 'EURO', '25', '87', '0', '0');
INSERT INTO public.who_import VALUES (85556, '2020-03-08', 'SE', 'Sweden', 'EURO', '59', '146', '0', '0');
INSERT INTO public.who_import VALUES (85557, '2020-03-09', 'SE', 'Sweden', 'EURO', '33', '179', '0', '0');
INSERT INTO public.who_import VALUES (85558, '2020-03-10', 'SE', 'Sweden', 'EURO', '46', '225', '0', '0');
INSERT INTO public.who_import VALUES (85559, '2020-03-11', 'SE', 'Sweden', 'EURO', '101', '326', '0', '0');
INSERT INTO public.who_import VALUES (85560, '2020-03-12', 'SE', 'Sweden', 'EURO', '98', '424', '1', '1');
INSERT INTO public.who_import VALUES (85561, '2020-03-13', 'SE', 'Sweden', 'EURO', '196', '620', '0', '1');
INSERT INTO public.who_import VALUES (85562, '2020-03-14', 'SE', 'Sweden', 'EURO', '151', '771', '0', '1');
INSERT INTO public.who_import VALUES (85563, '2020-03-15', 'SE', 'Sweden', 'EURO', '152', '923', '1', '2');
INSERT INTO public.who_import VALUES (85564, '2020-03-16', 'SE', 'Sweden', 'EURO', '71', '994', '1', '3');
INSERT INTO public.who_import VALUES (85565, '2020-03-17', 'SE', 'Sweden', 'EURO', '69', '1063', '2', '5');
INSERT INTO public.who_import VALUES (85566, '2020-03-18', 'SE', 'Sweden', 'EURO', '83', '1146', '2', '7');
INSERT INTO public.who_import VALUES (85567, '2020-03-19', 'SE', 'Sweden', 'EURO', '119', '1265', '1', '8');
INSERT INTO public.who_import VALUES (85568, '2020-03-20', 'SE', 'Sweden', 'EURO', '145', '1410', '6', '14');
INSERT INTO public.who_import VALUES (85569, '2020-03-21', 'SE', 'Sweden', 'EURO', '143', '1553', '7', '21');
INSERT INTO public.who_import VALUES (85570, '2020-03-22', 'SE', 'Sweden', 'EURO', '180', '1733', '9', '30');
INSERT INTO public.who_import VALUES (85571, '2020-03-23', 'SE', 'Sweden', 'EURO', '136', '1869', '8', '38');
INSERT INTO public.who_import VALUES (85572, '2020-03-24', 'SE', 'Sweden', 'EURO', '118', '1987', '11', '49');
INSERT INTO public.who_import VALUES (85573, '2020-03-25', 'SE', 'Sweden', 'EURO', '182', '2169', '11', '60');
INSERT INTO public.who_import VALUES (85574, '2020-03-26', 'SE', 'Sweden', 'EURO', '230', '2399', '21', '81');
INSERT INTO public.who_import VALUES (85575, '2020-03-27', 'SE', 'Sweden', 'EURO', '314', '2713', '22', '103');
INSERT INTO public.who_import VALUES (85576, '2020-03-28', 'SE', 'Sweden', 'EURO', '286', '2999', '31', '134');
INSERT INTO public.who_import VALUES (85577, '2020-03-29', 'SE', 'Sweden', 'EURO', '365', '3364', '32', '166');
INSERT INTO public.who_import VALUES (85578, '2020-03-30', 'SE', 'Sweden', 'EURO', '300', '3664', '35', '201');
INSERT INTO public.who_import VALUES (85579, '2020-03-31', 'SE', 'Sweden', 'EURO', '280', '3944', '38', '239');
INSERT INTO public.who_import VALUES (85580, '2020-04-01', 'SE', 'Sweden', 'EURO', '416', '4360', '45', '284');
INSERT INTO public.who_import VALUES (85581, '2020-04-02', 'SE', 'Sweden', 'EURO', '474', '4834', '48', '332');
INSERT INTO public.who_import VALUES (85582, '2020-04-03', 'SE', 'Sweden', 'EURO', '486', '5320', '53', '385');
INSERT INTO public.who_import VALUES (85583, '2020-04-04', 'SE', 'Sweden', 'EURO', '554', '5874', '70', '455');
INSERT INTO public.who_import VALUES (85584, '2020-04-05', 'SE', 'Sweden', 'EURO', '602', '6476', '80', '535');
INSERT INTO public.who_import VALUES (85585, '2020-04-06', 'SE', 'Sweden', 'EURO', '357', '6833', '70', '605');
INSERT INTO public.who_import VALUES (85586, '2020-04-07', 'SE', 'Sweden', 'EURO', '340', '7173', '85', '690');
INSERT INTO public.who_import VALUES (85587, '2020-04-08', 'SE', 'Sweden', 'EURO', '389', '7562', '90', '780');
INSERT INTO public.who_import VALUES (85588, '2020-04-09', 'SE', 'Sweden', 'EURO', '739', '8301', '84', '864');
INSERT INTO public.who_import VALUES (85589, '2020-04-10', 'SE', 'Sweden', 'EURO', '654', '8955', '148', '1012');
INSERT INTO public.who_import VALUES (85590, '2020-04-11', 'SE', 'Sweden', 'EURO', '645', '9600', '86', '1098');
INSERT INTO public.who_import VALUES (85591, '2020-04-12', 'SE', 'Sweden', 'EURO', '454', '10054', '90', '1188');
INSERT INTO public.who_import VALUES (85592, '2020-04-13', 'SE', 'Sweden', 'EURO', '395', '10449', '102', '1290');
INSERT INTO public.who_import VALUES (85593, '2020-04-14', 'SE', 'Sweden', 'EURO', '464', '10913', '97', '1387');
INSERT INTO public.who_import VALUES (85594, '2020-04-15', 'SE', 'Sweden', 'EURO', '437', '11350', '84', '1471');
INSERT INTO public.who_import VALUES (85595, '2020-04-16', 'SE', 'Sweden', 'EURO', '479', '11829', '91', '1562');
INSERT INTO public.who_import VALUES (85596, '2020-04-17', 'SE', 'Sweden', 'EURO', '604', '12433', '115', '1677');
INSERT INTO public.who_import VALUES (85597, '2020-04-18', 'SE', 'Sweden', 'EURO', '623', '13056', '111', '1788');
INSERT INTO public.who_import VALUES (85598, '2020-04-19', 'SE', 'Sweden', 'EURO', '688', '13744', '83', '1871');
INSERT INTO public.who_import VALUES (85599, '2020-04-20', 'SE', 'Sweden', 'EURO', '532', '14276', '86', '1957');
INSERT INTO public.who_import VALUES (85600, '2020-04-21', 'SE', 'Sweden', 'EURO', '388', '14664', '87', '2044');
INSERT INTO public.who_import VALUES (85601, '2020-04-22', 'SE', 'Sweden', 'EURO', '461', '15125', '85', '2129');
INSERT INTO public.who_import VALUES (85602, '2020-04-23', 'SE', 'Sweden', 'EURO', '707', '15832', '62', '2191');
INSERT INTO public.who_import VALUES (85603, '2020-04-24', 'SE', 'Sweden', 'EURO', '723', '16555', '77', '2268');
INSERT INTO public.who_import VALUES (85604, '2020-04-25', 'SE', 'Sweden', 'EURO', '758', '17313', '86', '2354');
INSERT INTO public.who_import VALUES (85605, '2020-04-26', 'SE', 'Sweden', 'EURO', '780', '18093', '89', '2443');
INSERT INTO public.who_import VALUES (85606, '2020-04-27', 'SE', 'Sweden', 'EURO', '473', '18566', '73', '2516');
INSERT INTO public.who_import VALUES (85607, '2020-04-28', 'SE', 'Sweden', 'EURO', '300', '18866', '74', '2590');
INSERT INTO public.who_import VALUES (85608, '2020-04-29', 'SE', 'Sweden', 'EURO', '563', '19429', '74', '2664');
INSERT INTO public.who_import VALUES (85609, '2020-04-30', 'SE', 'Sweden', 'EURO', '742', '20171', '83', '2747');
INSERT INTO public.who_import VALUES (85610, '2020-05-01', 'SE', 'Sweden', 'EURO', '799', '20970', '83', '2830');
INSERT INTO public.who_import VALUES (85611, '2020-05-02', 'SE', 'Sweden', 'EURO', '636', '21606', '78', '2908');
INSERT INTO public.who_import VALUES (85612, '2020-05-03', 'SE', 'Sweden', 'EURO', '532', '22138', '78', '2986');
INSERT INTO public.who_import VALUES (85613, '2020-05-04', 'SE', 'Sweden', 'EURO', '299', '22437', '72', '3058');
INSERT INTO public.who_import VALUES (85614, '2020-05-05', 'SE', 'Sweden', 'EURO', '261', '22698', '75', '3133');
INSERT INTO public.who_import VALUES (85615, '2020-05-06', 'SE', 'Sweden', 'EURO', '477', '23175', '84', '3217');
INSERT INTO public.who_import VALUES (85616, '2020-05-07', 'SE', 'Sweden', 'EURO', '657', '23832', '72', '3289');
INSERT INTO public.who_import VALUES (85617, '2020-05-08', 'SE', 'Sweden', 'EURO', '745', '24577', '73', '3362');
INSERT INTO public.who_import VALUES (85618, '2020-05-09', 'SE', 'Sweden', 'EURO', '785', '25362', '80', '3442');
INSERT INTO public.who_import VALUES (85619, '2020-05-10', 'SE', 'Sweden', 'EURO', '701', '26063', '60', '3502');
INSERT INTO public.who_import VALUES (85620, '2020-05-11', 'SE', 'Sweden', 'EURO', '509', '26572', '68', '3570');
INSERT INTO public.who_import VALUES (85621, '2020-05-12', 'SE', 'Sweden', 'EURO', '279', '26851', '73', '3643');
INSERT INTO public.who_import VALUES (85622, '2020-05-13', 'SE', 'Sweden', 'EURO', '455', '27306', '65', '3708');
INSERT INTO public.who_import VALUES (85623, '2020-05-14', 'SE', 'Sweden', 'EURO', '754', '28060', '61', '3769');
INSERT INTO public.who_import VALUES (85624, '2020-05-15', 'SE', 'Sweden', 'EURO', '698', '28758', '50', '3819');
INSERT INTO public.who_import VALUES (85625, '2020-05-16', 'SE', 'Sweden', 'EURO', '657', '29415', '46', '3865');
INSERT INTO public.who_import VALUES (85626, '2020-05-17', 'SE', 'Sweden', 'EURO', '688', '30103', '58', '3923');
INSERT INTO public.who_import VALUES (85627, '2020-05-18', 'SE', 'Sweden', 'EURO', '358', '30461', '48', '3971');
INSERT INTO public.who_import VALUES (85628, '2020-05-19', 'SE', 'Sweden', 'EURO', '259', '30720', '52', '4023');
INSERT INTO public.who_import VALUES (85629, '2020-05-20', 'SE', 'Sweden', 'EURO', '430', '31150', '59', '4082');
INSERT INTO public.who_import VALUES (85630, '2020-05-21', 'SE', 'Sweden', 'EURO', '666', '31816', '41', '4123');
INSERT INTO public.who_import VALUES (85631, '2020-05-22', 'SE', 'Sweden', 'EURO', '808', '32624', '52', '4175');
INSERT INTO public.who_import VALUES (85632, '2020-05-23', 'SE', 'Sweden', 'EURO', '610', '33234', '53', '4228');
INSERT INTO public.who_import VALUES (85633, '2020-05-24', 'SE', 'Sweden', 'EURO', '532', '33766', '56', '4284');
INSERT INTO public.who_import VALUES (85634, '2020-05-25', 'SE', 'Sweden', 'EURO', '403', '34169', '55', '4339');
INSERT INTO public.who_import VALUES (85635, '2020-05-26', 'SE', 'Sweden', 'EURO', '210', '34379', '44', '4383');
INSERT INTO public.who_import VALUES (85636, '2020-05-27', 'SE', 'Sweden', 'EURO', '491', '34870', '42', '4425');
INSERT INTO public.who_import VALUES (85637, '2020-05-28', 'SE', 'Sweden', 'EURO', '746', '35616', '28', '4453');
INSERT INTO public.who_import VALUES (85638, '2020-05-29', 'SE', 'Sweden', 'EURO', '800', '36416', '38', '4491');
INSERT INTO public.who_import VALUES (85639, '2020-05-30', 'SE', 'Sweden', 'EURO', '774', '37190', '40', '4531');
INSERT INTO public.who_import VALUES (85640, '2020-05-31', 'SE', 'Sweden', 'EURO', '773', '37963', '40', '4571');
INSERT INTO public.who_import VALUES (85641, '2020-06-01', 'SE', 'Sweden', 'EURO', '432', '38395', '38', '4609');
INSERT INTO public.who_import VALUES (85642, '2020-06-02', 'SE', 'Sweden', 'EURO', '265', '38660', '46', '4655');
INSERT INTO public.who_import VALUES (85643, '2020-06-03', 'SE', 'Sweden', 'EURO', '648', '39308', '39', '4694');
INSERT INTO public.who_import VALUES (85644, '2020-06-04', 'SE', 'Sweden', 'EURO', '900', '40208', '36', '4730');
INSERT INTO public.who_import VALUES (85645, '2020-06-05', 'SE', 'Sweden', 'EURO', '1046', '41254', '28', '4758');
INSERT INTO public.who_import VALUES (85646, '2020-06-06', 'SE', 'Sweden', 'EURO', '1039', '42293', '43', '4801');
INSERT INTO public.who_import VALUES (85647, '2020-06-07', 'SE', 'Sweden', 'EURO', '1146', '43439', '37', '4838');
INSERT INTO public.who_import VALUES (85648, '2020-06-08', 'SE', 'Sweden', 'EURO', '780', '44219', '29', '4867');
INSERT INTO public.who_import VALUES (85649, '2020-06-09', 'SE', 'Sweden', 'EURO', '462', '44681', '33', '4900');
INSERT INTO public.who_import VALUES (85650, '2020-06-10', 'SE', 'Sweden', 'EURO', '677', '45358', '38', '4938');
INSERT INTO public.who_import VALUES (85651, '2020-06-11', 'SE', 'Sweden', 'EURO', '937', '46295', '33', '4971');
INSERT INTO public.who_import VALUES (85652, '2020-06-12', 'SE', 'Sweden', 'EURO', '1437', '47732', '39', '5010');
INSERT INTO public.who_import VALUES (85653, '2020-06-13', 'SE', 'Sweden', 'EURO', '1293', '49025', '35', '5045');
INSERT INTO public.who_import VALUES (85654, '2020-06-14', 'SE', 'Sweden', 'EURO', '1329', '50354', '29', '5074');
INSERT INTO public.who_import VALUES (85655, '2020-06-15', 'SE', 'Sweden', 'EURO', '1032', '51386', '33', '5107');
INSERT INTO public.who_import VALUES (85656, '2020-06-16', 'SE', 'Sweden', 'EURO', '418', '51804', '27', '5134');
INSERT INTO public.who_import VALUES (85657, '2020-06-17', 'SE', 'Sweden', 'EURO', '685', '52489', '30', '5164');
INSERT INTO public.who_import VALUES (85658, '2020-06-18', 'SE', 'Sweden', 'EURO', '1209', '53698', '28', '5192');
INSERT INTO public.who_import VALUES (85659, '2020-06-19', 'SE', 'Sweden', 'EURO', '1457', '55155', '32', '5224');
INSERT INTO public.who_import VALUES (85660, '2020-06-20', 'SE', 'Sweden', 'EURO', '1494', '56649', '29', '5253');
INSERT INTO public.who_import VALUES (85661, '2020-06-21', 'SE', 'Sweden', 'EURO', '1209', '57858', '30', '5283');
INSERT INTO public.who_import VALUES (85662, '2020-06-22', 'SE', 'Sweden', 'EURO', '698', '58556', '29', '5312');
INSERT INTO public.who_import VALUES (85663, '2020-06-23', 'SE', 'Sweden', 'EURO', '321', '58877', '22', '5334');
INSERT INTO public.who_import VALUES (85664, '2020-06-24', 'SE', 'Sweden', 'EURO', '800', '59677', '20', '5354');
INSERT INTO public.who_import VALUES (85665, '2020-06-25', 'SE', 'Sweden', 'EURO', '1309', '60986', '25', '5379');
INSERT INTO public.who_import VALUES (85666, '2020-06-26', 'SE', 'Sweden', 'EURO', '1698', '62684', '22', '5401');
INSERT INTO public.who_import VALUES (85667, '2020-06-27', 'SE', 'Sweden', 'EURO', '1278', '63962', '23', '5424');
INSERT INTO public.who_import VALUES (85668, '2020-06-28', 'SE', 'Sweden', 'EURO', '1204', '65166', '11', '5435');
INSERT INTO public.who_import VALUES (85669, '2020-06-29', 'SE', 'Sweden', 'EURO', '755', '65921', '14', '5449');
INSERT INTO public.who_import VALUES (85670, '2020-06-30', 'SE', 'Sweden', 'EURO', '415', '66336', '23', '5472');
INSERT INTO public.who_import VALUES (85671, '2020-07-01', 'SE', 'Sweden', 'EURO', '726', '67062', '16', '5488');
INSERT INTO public.who_import VALUES (85672, '2020-07-02', 'SE', 'Sweden', 'EURO', '804', '67866', '20', '5508');
INSERT INTO public.who_import VALUES (85673, '2020-07-03', 'SE', 'Sweden', 'EURO', '685', '68551', '15', '5523');
INSERT INTO public.who_import VALUES (85674, '2020-07-04', 'SE', 'Sweden', 'EURO', '687', '69238', '15', '5538');
INSERT INTO public.who_import VALUES (85675, '2020-07-05', 'SE', 'Sweden', 'EURO', '694', '69932', '8', '5546');
INSERT INTO public.who_import VALUES (85676, '2020-07-06', 'SE', 'Sweden', 'EURO', '364', '70296', '15', '5561');
INSERT INTO public.who_import VALUES (85677, '2020-07-07', 'SE', 'Sweden', 'EURO', '315', '70611', '9', '5570');
INSERT INTO public.who_import VALUES (85678, '2020-07-08', 'SE', 'Sweden', 'EURO', '251', '70862', '15', '5585');
INSERT INTO public.who_import VALUES (85679, '2020-07-09', 'SE', 'Sweden', 'EURO', '278', '71140', '12', '5597');
INSERT INTO public.who_import VALUES (85680, '2020-07-10', 'SE', 'Sweden', 'EURO', '533', '71673', '10', '5607');
INSERT INTO public.who_import VALUES (85681, '2020-07-11', 'SE', 'Sweden', 'EURO', '334', '72007', '15', '5622');
INSERT INTO public.who_import VALUES (85682, '2020-07-12', 'SE', 'Sweden', 'EURO', '369', '72376', '14', '5636');
INSERT INTO public.who_import VALUES (85683, '2020-07-13', 'SE', 'Sweden', 'EURO', '308', '72684', '10', '5646');
INSERT INTO public.who_import VALUES (85684, '2020-07-14', 'SE', 'Sweden', 'EURO', '106', '72790', '8', '5654');
INSERT INTO public.who_import VALUES (85685, '2020-07-15', 'SE', 'Sweden', 'EURO', '170', '72960', '12', '5666');
INSERT INTO public.who_import VALUES (85686, '2020-07-16', 'SE', 'Sweden', 'EURO', '312', '73272', '8', '5674');
INSERT INTO public.who_import VALUES (85687, '2020-07-17', 'SE', 'Sweden', 'EURO', '287', '73559', '6', '5680');
INSERT INTO public.who_import VALUES (85688, '2020-07-18', 'SE', 'Sweden', 'EURO', '268', '73827', '6', '5686');
INSERT INTO public.who_import VALUES (85689, '2020-07-19', 'SE', 'Sweden', 'EURO', '284', '74111', '7', '5693');
INSERT INTO public.who_import VALUES (85690, '2020-07-20', 'SE', 'Sweden', 'EURO', '191', '74302', '11', '5704');
INSERT INTO public.who_import VALUES (85691, '2020-07-21', 'SE', 'Sweden', 'EURO', '110', '74412', '7', '5711');
INSERT INTO public.who_import VALUES (85692, '2020-07-22', 'SE', 'Sweden', 'EURO', '131', '74543', '6', '5717');
INSERT INTO public.who_import VALUES (85693, '2020-07-23', 'SE', 'Sweden', 'EURO', '226', '74769', '7', '5724');
INSERT INTO public.who_import VALUES (85694, '2020-07-24', 'SE', 'Sweden', 'EURO', '297', '75066', '6', '5730');
INSERT INTO public.who_import VALUES (85695, '2020-07-25', 'SE', 'Sweden', 'EURO', '220', '75286', '5', '5735');
INSERT INTO public.who_import VALUES (85696, '2020-07-26', 'SE', 'Sweden', 'EURO', '262', '75548', '3', '5738');
INSERT INTO public.who_import VALUES (85697, '2020-07-27', 'SE', 'Sweden', 'EURO', '138', '75686', '1', '5739');
INSERT INTO public.who_import VALUES (85698, '2020-07-28', 'SE', 'Sweden', 'EURO', '42', '75728', '2', '5741');
INSERT INTO public.who_import VALUES (85699, '2020-07-29', 'SE', 'Sweden', 'EURO', '71', '75799', '6', '5747');
INSERT INTO public.who_import VALUES (85700, '2020-07-30', 'SE', 'Sweden', 'EURO', '283', '76082', '4', '5751');
INSERT INTO public.who_import VALUES (85701, '2020-07-31', 'SE', 'Sweden', 'EURO', '301', '76383', '1', '5752');
INSERT INTO public.who_import VALUES (85702, '2020-08-01', 'SE', 'Sweden', 'EURO', '302', '76685', '0', '5752');
INSERT INTO public.who_import VALUES (85703, '2020-08-02', 'SE', 'Sweden', 'EURO', '258', '76943', '2', '5754');
INSERT INTO public.who_import VALUES (85704, '2020-08-03', 'SE', 'Sweden', 'EURO', '303', '77246', '2', '5756');
INSERT INTO public.who_import VALUES (85705, '2020-08-04', 'SE', 'Sweden', 'EURO', '38', '77284', '3', '5759');
INSERT INTO public.who_import VALUES (85706, '2020-08-05', 'SE', 'Sweden', 'EURO', '165', '77449', '4', '5763');
INSERT INTO public.who_import VALUES (85707, '2020-08-06', 'SE', 'Sweden', 'EURO', '333', '77782', '2', '5765');
INSERT INTO public.who_import VALUES (85708, '2020-08-07', 'SE', 'Sweden', 'EURO', '425', '78207', '1', '5766');
INSERT INTO public.who_import VALUES (85709, '2020-08-08', 'SE', 'Sweden', 'EURO', '378', '78585', '4', '5770');
INSERT INTO public.who_import VALUES (85710, '2020-08-09', 'SE', 'Sweden', 'EURO', '380', '78965', '2', '5772');
INSERT INTO public.who_import VALUES (85711, '2020-08-10', 'SE', 'Sweden', 'EURO', '260', '79225', '1', '5773');
INSERT INTO public.who_import VALUES (85712, '2020-08-11', 'SE', 'Sweden', 'EURO', '73', '79298', '4', '5777');
INSERT INTO public.who_import VALUES (85713, '2020-08-12', 'SE', 'Sweden', 'EURO', '196', '79494', '2', '5779');
INSERT INTO public.who_import VALUES (85714, '2020-08-13', 'SE', 'Sweden', 'EURO', '417', '79911', '4', '5783');
INSERT INTO public.who_import VALUES (85715, '2020-08-14', 'SE', 'Sweden', 'EURO', '443', '80354', '3', '5786');
INSERT INTO public.who_import VALUES (85716, '2020-08-15', 'SE', 'Sweden', 'EURO', '363', '80717', '5', '5791');
INSERT INTO public.who_import VALUES (85717, '2020-08-16', 'SE', 'Sweden', 'EURO', '344', '81061', '1', '5792');
INSERT INTO public.who_import VALUES (85718, '2020-08-17', 'SE', 'Sweden', 'EURO', '226', '81287', '1', '5793');
INSERT INTO public.who_import VALUES (85719, '2020-08-18', 'SE', 'Sweden', 'EURO', '63', '81350', '0', '5793');
INSERT INTO public.who_import VALUES (85720, '2020-08-19', 'SE', 'Sweden', 'EURO', '174', '81524', '3', '5796');
INSERT INTO public.who_import VALUES (85721, '2020-08-20', 'SE', 'Sweden', 'EURO', '314', '81838', '4', '5800');
INSERT INTO public.who_import VALUES (85722, '2020-08-21', 'SE', 'Sweden', 'EURO', '351', '82189', '1', '5801');
INSERT INTO public.who_import VALUES (85723, '2020-08-22', 'SE', 'Sweden', 'EURO', '333', '82522', '2', '5803');
INSERT INTO public.who_import VALUES (85724, '2020-08-23', 'SE', 'Sweden', 'EURO', '298', '82820', '5', '5808');
INSERT INTO public.who_import VALUES (85725, '2020-08-24', 'SE', 'Sweden', 'EURO', '160', '82980', '1', '5809');
INSERT INTO public.who_import VALUES (85726, '2020-08-25', 'SE', 'Sweden', 'EURO', '57', '83037', '3', '5812');
INSERT INTO public.who_import VALUES (85727, '2020-08-26', 'SE', 'Sweden', 'EURO', '174', '83211', '1', '5813');
INSERT INTO public.who_import VALUES (85728, '2020-08-27', 'SE', 'Sweden', 'EURO', '222', '83433', '1', '5814');
INSERT INTO public.who_import VALUES (85729, '2020-08-28', 'SE', 'Sweden', 'EURO', '244', '83677', '2', '5816');
INSERT INTO public.who_import VALUES (85730, '2020-08-29', 'SE', 'Sweden', 'EURO', '202', '83879', '1', '5817');
INSERT INTO public.who_import VALUES (85731, '2020-08-30', 'SE', 'Sweden', 'EURO', '179', '84058', '1', '5818');
INSERT INTO public.who_import VALUES (85732, '2020-08-31', 'SE', 'Sweden', 'EURO', '131', '84189', '1', '5819');
INSERT INTO public.who_import VALUES (85733, '2020-09-01', 'SE', 'Sweden', 'EURO', '48', '84237', '3', '5822');
INSERT INTO public.who_import VALUES (85734, '2020-09-02', 'SE', 'Sweden', 'EURO', '162', '84399', '2', '5824');
INSERT INTO public.who_import VALUES (85735, '2020-09-03', 'SE', 'Sweden', 'EURO', '171', '84570', '3', '5827');
INSERT INTO public.who_import VALUES (85736, '2020-09-04', 'SE', 'Sweden', 'EURO', '213', '84783', '2', '5829');
INSERT INTO public.who_import VALUES (85737, '2020-09-05', 'SE', 'Sweden', 'EURO', '286', '85069', '2', '5831');
INSERT INTO public.who_import VALUES (85738, '2020-09-06', 'SE', 'Sweden', 'EURO', '262', '85331', '0', '5831');
INSERT INTO public.who_import VALUES (85739, '2020-09-07', 'SE', 'Sweden', 'EURO', '171', '85502', '0', '5831');
INSERT INTO public.who_import VALUES (85740, '2020-09-08', 'SE', 'Sweden', 'EURO', '67', '85569', '3', '5834');
INSERT INTO public.who_import VALUES (85741, '2020-09-09', 'SE', 'Sweden', 'EURO', '185', '85754', '1', '5835');
INSERT INTO public.who_import VALUES (85742, '2020-09-10', 'SE', 'Sweden', 'EURO', '236', '85990', '1', '5836');
INSERT INTO public.who_import VALUES (85743, '2020-09-11', 'SE', 'Sweden', 'EURO', '314', '86304', '2', '5838');
INSERT INTO public.who_import VALUES (85744, '2020-09-12', 'SE', 'Sweden', 'EURO', '254', '86558', '2', '5840');
INSERT INTO public.who_import VALUES (85745, '2020-09-13', 'SE', 'Sweden', 'EURO', '291', '86849', '4', '5844');
INSERT INTO public.who_import VALUES (85746, '2020-09-14', 'SE', 'Sweden', 'EURO', '206', '87055', '1', '5845');
INSERT INTO public.who_import VALUES (85747, '2020-09-15', 'SE', 'Sweden', 'EURO', '106', '87161', '2', '5847');
INSERT INTO public.who_import VALUES (85748, '2020-09-16', 'SE', 'Sweden', 'EURO', '220', '87381', '2', '5849');
INSERT INTO public.who_import VALUES (85749, '2020-09-17', 'SE', 'Sweden', 'EURO', '292', '87673', '1', '5850');
INSERT INTO public.who_import VALUES (85750, '2020-09-18', 'SE', 'Sweden', 'EURO', '330', '88003', '2', '5852');
INSERT INTO public.who_import VALUES (85751, '2020-09-19', 'SE', 'Sweden', 'EURO', '389', '88392', '1', '5853');
INSERT INTO public.who_import VALUES (85752, '2020-09-20', 'SE', 'Sweden', 'EURO', '437', '88829', '1', '5854');
INSERT INTO public.who_import VALUES (85753, '2020-09-21', 'SE', 'Sweden', 'EURO', '279', '89108', '1', '5855');
INSERT INTO public.who_import VALUES (85754, '2020-09-22', 'SE', 'Sweden', 'EURO', '133', '89241', '4', '5859');
INSERT INTO public.who_import VALUES (85755, '2020-09-23', 'SE', 'Sweden', 'EURO', '266', '89507', '2', '5861');
INSERT INTO public.who_import VALUES (85756, '2020-09-24', 'SE', 'Sweden', 'EURO', '438', '89945', '1', '5862');
INSERT INTO public.who_import VALUES (85757, '2020-09-25', 'SE', 'Sweden', 'EURO', '553', '90498', '0', '5862');
INSERT INTO public.who_import VALUES (85758, '2020-09-26', 'SE', 'Sweden', 'EURO', '540', '91038', '1', '5863');
INSERT INTO public.who_import VALUES (85759, '2020-09-27', 'SE', 'Sweden', 'EURO', '630', '91668', '4', '5867');
INSERT INTO public.who_import VALUES (85760, '2020-09-28', 'SE', 'Sweden', 'EURO', '325', '91993', '2', '5869');
INSERT INTO public.who_import VALUES (85761, '2020-09-29', 'SE', 'Sweden', 'EURO', '167', '92160', '1', '5870');
INSERT INTO public.who_import VALUES (85762, '2020-09-30', 'SE', 'Sweden', 'EURO', '378', '92538', '1', '5871');
INSERT INTO public.who_import VALUES (85763, '2020-10-01', 'SE', 'Sweden', 'EURO', '613', '93151', '2', '5873');
INSERT INTO public.who_import VALUES (85764, '2020-10-02', 'SE', 'Sweden', 'EURO', '689', '93840', '4', '5877');
INSERT INTO public.who_import VALUES (85765, '2020-10-03', 'SE', 'Sweden', 'EURO', '633', '94473', '1', '5878');
INSERT INTO public.who_import VALUES (85766, '2020-10-04', 'SE', 'Sweden', 'EURO', '712', '95185', '3', '5881');
INSERT INTO public.who_import VALUES (85767, '2020-10-05', 'SE', 'Sweden', 'EURO', '461', '95646', '3', '5884');
INSERT INTO public.who_import VALUES (85768, '2020-10-06', 'SE', 'Sweden', 'EURO', '156', '95802', '3', '5887');
INSERT INTO public.who_import VALUES (85769, '2020-10-07', 'SE', 'Sweden', 'EURO', '374', '96176', '2', '5889');
INSERT INTO public.who_import VALUES (85770, '2020-10-08', 'SE', 'Sweden', 'EURO', '786', '96962', '4', '5893');
INSERT INTO public.who_import VALUES (85771, '2020-10-09', 'SE', 'Sweden', 'EURO', '831', '97793', '3', '5896');
INSERT INTO public.who_import VALUES (85772, '2020-10-10', 'SE', 'Sweden', 'EURO', '834', '98627', '1', '5897');
INSERT INTO public.who_import VALUES (85773, '2020-10-11', 'SE', 'Sweden', 'EURO', '783', '99410', '5', '5902');
INSERT INTO public.who_import VALUES (85774, '2020-10-12', 'SE', 'Sweden', 'EURO', '509', '99919', '5', '5907');
INSERT INTO public.who_import VALUES (85775, '2020-10-13', 'SE', 'Sweden', 'EURO', '161', '100080', '2', '5909');
INSERT INTO public.who_import VALUES (85776, '2020-10-14', 'SE', 'Sweden', 'EURO', '637', '100717', '3', '5912');
INSERT INTO public.who_import VALUES (85777, '2020-10-15', 'SE', 'Sweden', 'EURO', '916', '101633', '1', '5913');
INSERT INTO public.who_import VALUES (85778, '2020-10-16', 'SE', 'Sweden', 'EURO', '968', '102601', '2', '5915');
INSERT INTO public.who_import VALUES (85779, '2020-10-17', 'SE', 'Sweden', 'EURO', '902', '103503', '3', '5918');
INSERT INTO public.who_import VALUES (85780, '2020-10-18', 'SE', 'Sweden', 'EURO', '1179', '104682', '2', '5920');
INSERT INTO public.who_import VALUES (85781, '2020-10-19', 'SE', 'Sweden', 'EURO', '697', '105379', '4', '5924');
INSERT INTO public.who_import VALUES (85782, '2020-10-20', 'SE', 'Sweden', 'EURO', '321', '105700', '1', '5925');
INSERT INTO public.who_import VALUES (85783, '2020-10-21', 'SE', 'Sweden', 'EURO', '771', '106471', '4', '5929');
INSERT INTO public.who_import VALUES (85784, '2020-10-22', 'SE', 'Sweden', 'EURO', '1289', '107760', '4', '5933');
INSERT INTO public.who_import VALUES (85785, '2020-10-23', 'SE', 'Sweden', 'EURO', '1571', '109331', '3', '5936');
INSERT INTO public.who_import VALUES (85786, '2020-10-24', 'SE', 'Sweden', 'EURO', '1666', '110997', '9', '5945');
INSERT INTO public.who_import VALUES (85787, '2020-10-25', 'SE', 'Sweden', 'EURO', '1867', '112864', '7', '5952');
INSERT INTO public.who_import VALUES (85788, '2020-10-26', 'SE', 'Sweden', 'EURO', '1477', '114341', '8', '5960');
INSERT INTO public.who_import VALUES (85789, '2020-10-27', 'SE', 'Sweden', 'EURO', '514', '114855', '8', '5968');
INSERT INTO public.who_import VALUES (85790, '2020-10-28', 'SE', 'Sweden', 'EURO', '1069', '115924', '11', '5979');
INSERT INTO public.who_import VALUES (85791, '2020-10-29', 'SE', 'Sweden', 'EURO', '2414', '118338', '9', '5988');
INSERT INTO public.who_import VALUES (85792, '2020-10-30', 'SE', 'Sweden', 'EURO', '3389', '121727', '9', '5997');
INSERT INTO public.who_import VALUES (85793, '2020-10-31', 'SE', 'Sweden', 'EURO', '3262', '124989', '9', '6006');
INSERT INTO public.who_import VALUES (85794, '2020-11-01', 'SE', 'Sweden', 'EURO', '4056', '129045', '9', '6015');
INSERT INTO public.who_import VALUES (85795, '2020-11-02', 'SE', 'Sweden', 'EURO', '2987', '132032', '13', '6028');
INSERT INTO public.who_import VALUES (85796, '2020-11-03', 'SE', 'Sweden', 'EURO', '1297', '133329', '22', '6050');
INSERT INTO public.who_import VALUES (85797, '2020-11-04', 'SE', 'Sweden', 'EURO', '1569', '134898', '20', '6070');
INSERT INTO public.who_import VALUES (85798, '2020-11-05', 'SE', 'Sweden', 'EURO', '3608', '138506', '20', '6090');
INSERT INTO public.who_import VALUES (85799, '2020-11-06', 'SE', 'Sweden', 'EURO', '4482', '142988', '21', '6111');
INSERT INTO public.who_import VALUES (85800, '2020-11-07', 'SE', 'Sweden', 'EURO', '4744', '147732', '22', '6133');
INSERT INTO public.who_import VALUES (85801, '2020-11-08', 'SE', 'Sweden', 'EURO', '4454', '152186', '25', '6158');
INSERT INTO public.who_import VALUES (85802, '2020-11-09', 'SE', 'Sweden', 'EURO', '4451', '156637', '27', '6185');
INSERT INTO public.who_import VALUES (85803, '2020-11-10', 'SE', 'Sweden', 'EURO', '2097', '158734', '22', '6207');
INSERT INTO public.who_import VALUES (85804, '2020-11-11', 'SE', 'Sweden', 'EURO', '3725', '162459', '35', '6242');
INSERT INTO public.who_import VALUES (85805, '2020-11-12', 'SE', 'Sweden', 'EURO', '4497', '166956', '35', '6277');
INSERT INTO public.who_import VALUES (85806, '2020-11-13', 'SE', 'Sweden', 'EURO', '5709', '172665', '27', '6304');
INSERT INTO public.who_import VALUES (85807, '2020-11-14', 'SE', 'Sweden', 'EURO', '5564', '178229', '28', '6332');
INSERT INTO public.who_import VALUES (85808, '2020-11-15', 'SE', 'Sweden', 'EURO', '6730', '184959', '33', '6365');
INSERT INTO public.who_import VALUES (85809, '2020-11-16', 'SE', 'Sweden', 'EURO', '3513', '188472', '38', '6403');
INSERT INTO public.who_import VALUES (85810, '2020-11-17', 'SE', 'Sweden', 'EURO', '1581', '190053', '39', '6442');
INSERT INTO public.who_import VALUES (85811, '2020-11-18', 'SE', 'Sweden', 'EURO', '2544', '192597', '37', '6479');
INSERT INTO public.who_import VALUES (85812, '2020-11-19', 'SE', 'Sweden', 'EURO', '4458', '197055', '44', '6523');
INSERT INTO public.who_import VALUES (85813, '2020-11-20', 'SE', 'Sweden', 'EURO', '4961', '202016', '50', '6573');
INSERT INTO public.who_import VALUES (85814, '2020-11-21', 'SE', 'Sweden', 'EURO', '7609', '209625', '46', '6619');
INSERT INTO public.who_import VALUES (85815, '2020-11-22', 'SE', 'Sweden', 'EURO', '5458', '215083', '45', '6664');
INSERT INTO public.who_import VALUES (85816, '2020-11-23', 'SE', 'Sweden', 'EURO', '4492', '219575', '51', '6715');
INSERT INTO public.who_import VALUES (85817, '2020-11-24', 'SE', 'Sweden', 'EURO', '2422', '221997', '59', '6774');
INSERT INTO public.who_import VALUES (85818, '2020-11-25', 'SE', 'Sweden', 'EURO', '3877', '225874', '55', '6829');
INSERT INTO public.who_import VALUES (85819, '2020-11-26', 'SE', 'Sweden', 'EURO', '5674', '231548', '68', '6897');
INSERT INTO public.who_import VALUES (85820, '2020-11-27', 'SE', 'Sweden', 'EURO', '6066', '237614', '69', '6966');
INSERT INTO public.who_import VALUES (85821, '2020-11-28', 'SE', 'Sweden', 'EURO', '6903', '244517', '60', '7026');
INSERT INTO public.who_import VALUES (85822, '2020-11-29', 'SE', 'Sweden', 'EURO', '6462', '250979', '65', '7091');
INSERT INTO public.who_import VALUES (85823, '2020-11-30', 'SE', 'Sweden', 'EURO', '3825', '254804', '50', '7141');
INSERT INTO public.who_import VALUES (85824, '2020-12-01', 'SE', 'Sweden', 'EURO', '2753', '257557', '50', '7191');
INSERT INTO public.who_import VALUES (85825, '2020-12-02', 'SE', 'Sweden', 'EURO', '3481', '261038', '67', '7258');
INSERT INTO public.who_import VALUES (85826, '2020-12-03', 'SE', 'Sweden', 'EURO', '5820', '266858', '67', '7325');
INSERT INTO public.who_import VALUES (85827, '2020-12-04', 'SE', 'Sweden', 'EURO', '6547', '273405', '71', '7396');
INSERT INTO public.who_import VALUES (85828, '2020-12-05', 'SE', 'Sweden', 'EURO', '6986', '280391', '77', '7473');
INSERT INTO public.who_import VALUES (85829, '2020-12-06', 'SE', 'Sweden', 'EURO', '7338', '287729', '70', '7543');
INSERT INTO public.who_import VALUES (85830, '2020-12-07', 'SE', 'Sweden', 'EURO', '4864', '292593', '43', '7586');
INSERT INTO public.who_import VALUES (85831, '2020-12-08', 'SE', 'Sweden', 'EURO', '1803', '294396', '81', '7667');
INSERT INTO public.who_import VALUES (85832, '2020-12-09', 'SE', 'Sweden', 'EURO', '3782', '298178', '59', '7726');
INSERT INTO public.who_import VALUES (85833, '2020-12-10', 'SE', 'Sweden', 'EURO', '7446', '305624', '54', '7780');
INSERT INTO public.who_import VALUES (85834, '2020-12-11', 'SE', 'Sweden', 'EURO', '8398', '314022', '75', '7855');
INSERT INTO public.who_import VALUES (85835, '2020-12-12', 'SE', 'Sweden', 'EURO', '6693', '320715', '86', '7941');
INSERT INTO public.who_import VALUES (85836, '2020-12-13', 'SE', 'Sweden', 'EURO', '7717', '328432', '88', '8029');
INSERT INTO public.who_import VALUES (85837, '2020-12-14', 'SE', 'Sweden', 'EURO', '6538', '334970', '67', '8096');
INSERT INTO public.who_import VALUES (85838, '2020-12-15', 'SE', 'Sweden', 'EURO', '3057', '338027', '71', '8167');
INSERT INTO public.who_import VALUES (85839, '2020-12-16', 'SE', 'Sweden', 'EURO', '3534', '341561', '94', '8261');
INSERT INTO public.who_import VALUES (85840, '2020-12-17', 'SE', 'Sweden', 'EURO', '7001', '348562', '88', '8349');
INSERT INTO public.who_import VALUES (85841, '2020-12-18', 'SE', 'Sweden', 'EURO', '8824', '357386', '102', '8451');
INSERT INTO public.who_import VALUES (85842, '2020-12-19', 'SE', 'Sweden', 'EURO', '9640', '367026', '117', '8568');
INSERT INTO public.who_import VALUES (85843, '2020-12-20', 'SE', 'Sweden', 'EURO', '7917', '374943', '71', '8639');
INSERT INTO public.who_import VALUES (85844, '2020-12-21', 'SE', 'Sweden', 'EURO', '5510', '380453', '80', '8719');
INSERT INTO public.who_import VALUES (85845, '2020-12-22', 'SE', 'Sweden', 'EURO', '3752', '384205', '93', '8812');
INSERT INTO public.who_import VALUES (85846, '2020-12-23', 'SE', 'Sweden', 'EURO', '5160', '389365', '77', '8889');
INSERT INTO public.who_import VALUES (85847, '2020-12-24', 'SE', 'Sweden', 'EURO', '6595', '395960', '92', '8981');
INSERT INTO public.who_import VALUES (85848, '2020-12-25', 'SE', 'Sweden', 'EURO', '11376', '407336', '87', '9068');
INSERT INTO public.who_import VALUES (85849, '2020-12-26', 'SE', 'Sweden', 'EURO', '5036', '412372', '88', '9156');
INSERT INTO public.who_import VALUES (85850, '2020-12-27', 'SE', 'Sweden', 'EURO', '2793', '415165', '106', '9262');
INSERT INTO public.who_import VALUES (85851, '2020-12-28', 'SE', 'Sweden', 'EURO', '2966', '418131', '94', '9356');
INSERT INTO public.who_import VALUES (85852, '2020-12-29', 'SE', 'Sweden', 'EURO', '3208', '421339', '99', '9455');
INSERT INTO public.who_import VALUES (85853, '2020-12-30', 'SE', 'Sweden', 'EURO', '7093', '428432', '121', '9576');
INSERT INTO public.who_import VALUES (85854, '2020-12-31', 'SE', 'Sweden', 'EURO', '8872', '437304', '73', '9649');
INSERT INTO public.who_import VALUES (85855, '2021-01-01', 'SE', 'Sweden', 'EURO', '10459', '447763', '90', '9739');
INSERT INTO public.who_import VALUES (85856, '2021-01-02', 'SE', 'Sweden', 'EURO', '7001', '454764', '110', '9849');
INSERT INTO public.who_import VALUES (85857, '2021-01-03', 'SE', 'Sweden', 'EURO', '2618', '457382', '87', '9936');
INSERT INTO public.who_import VALUES (85858, '2021-01-04', 'SE', 'Sweden', 'EURO', '2532', '459914', '100', '10036');
INSERT INTO public.who_import VALUES (85859, '2021-01-05', 'SE', 'Sweden', 'EURO', '2755', '462669', '83', '10119');
INSERT INTO public.who_import VALUES (85860, '2021-01-06', 'SE', 'Sweden', 'EURO', '6984', '469653', '86', '10205');
INSERT INTO public.who_import VALUES (85861, '2021-01-07', 'SE', 'Sweden', 'EURO', '7546', '477199', '93', '10298');
INSERT INTO public.who_import VALUES (85862, '2021-01-08', 'SE', 'Sweden', 'EURO', '5029', '482228', '82', '10380');
INSERT INTO public.who_import VALUES (85863, '2021-01-09', 'SE', 'Sweden', 'EURO', '7152', '489380', '103', '10483');
INSERT INTO public.who_import VALUES (85864, '2021-01-10', 'SE', 'Sweden', 'EURO', '5698', '495078', '99', '10582');
INSERT INTO public.who_import VALUES (85865, '2021-01-11', 'SE', 'Sweden', 'EURO', '4737', '499815', '90', '10672');
INSERT INTO public.who_import VALUES (85866, '2021-01-12', 'SE', 'Sweden', 'EURO', '2318', '502133', '91', '10763');
INSERT INTO public.who_import VALUES (85867, '2021-01-13', 'SE', 'Sweden', 'EURO', '4648', '506781', '89', '10852');
INSERT INTO public.who_import VALUES (85868, '2021-01-14', 'SE', 'Sweden', 'EURO', '5341', '512122', '88', '10940');
INSERT INTO public.who_import VALUES (85869, '2021-01-15', 'SE', 'Sweden', 'EURO', '6597', '518719', '90', '11030');
INSERT INTO public.who_import VALUES (85870, '2021-01-16', 'SE', 'Sweden', 'EURO', '4748', '523467', '95', '11125');
INSERT INTO public.who_import VALUES (85871, '2021-01-17', 'SE', 'Sweden', 'EURO', '4209', '527676', '87', '11212');
INSERT INTO public.who_import VALUES (85872, '2021-01-18', 'SE', 'Sweden', 'EURO', '2162', '529838', '82', '11294');
INSERT INTO public.who_import VALUES (85873, '2021-01-19', 'SE', 'Sweden', 'EURO', '1250', '531088', '61', '11355');
INSERT INTO public.who_import VALUES (85874, '2021-01-20', 'SE', 'Sweden', 'EURO', '2119', '533207', '73', '11428');
INSERT INTO public.who_import VALUES (85875, '2021-01-21', 'SE', 'Sweden', 'EURO', '4735', '537942', '91', '11519');
INSERT INTO public.who_import VALUES (85876, '2021-01-22', 'SE', 'Sweden', 'EURO', '4951', '542893', '87', '11606');
INSERT INTO public.who_import VALUES (85877, '2021-01-23', 'SE', 'Sweden', 'EURO', '4202', '547095', '88', '11694');
INSERT INTO public.who_import VALUES (85878, '2021-01-24', 'SE', 'Sweden', 'EURO', '3724', '550819', '60', '11754');
INSERT INTO public.who_import VALUES (85879, '2021-01-25', 'SE', 'Sweden', 'EURO', '2368', '553187', '63', '11817');
INSERT INTO public.who_import VALUES (85880, '2021-01-26', 'SE', 'Sweden', 'EURO', '1148', '554335', '52', '11869');
INSERT INTO public.who_import VALUES (85881, '2021-01-27', 'SE', 'Sweden', 'EURO', '1887', '556222', '57', '11926');
INSERT INTO public.who_import VALUES (85882, '2021-01-28', 'SE', 'Sweden', 'EURO', '4190', '560412', '66', '11992');
INSERT INTO public.who_import VALUES (85883, '2021-01-29', 'SE', 'Sweden', 'EURO', '4109', '564521', '53', '12045');
INSERT INTO public.who_import VALUES (85884, '2021-01-30', 'SE', 'Sweden', 'EURO', '2373', '566894', '54', '12099');
INSERT INTO public.who_import VALUES (85885, '2021-01-31', 'SE', 'Sweden', 'EURO', '4255', '571149', '58', '12157');
INSERT INTO public.who_import VALUES (85886, '2021-02-01', 'SE', 'Sweden', 'EURO', '2695', '573844', '56', '12213');
INSERT INTO public.who_import VALUES (85887, '2021-02-02', 'SE', 'Sweden', 'EURO', '1165', '575009', '39', '12252');
INSERT INTO public.who_import VALUES (85888, '2021-02-03', 'SE', 'Sweden', 'EURO', '1552', '576561', '43', '12295');
INSERT INTO public.who_import VALUES (85889, '2021-02-04', 'SE', 'Sweden', 'EURO', '4318', '580879', '42', '12337');
INSERT INTO public.who_import VALUES (85890, '2021-02-05', 'SE', 'Sweden', 'EURO', '3739', '584618', '49', '12386');
INSERT INTO public.who_import VALUES (85891, '2021-02-06', 'SE', 'Sweden', 'EURO', '3399', '588017', '29', '12415');
INSERT INTO public.who_import VALUES (85892, '2021-02-07', 'SE', 'Sweden', 'EURO', '3262', '591279', '34', '12449');
INSERT INTO public.who_import VALUES (85893, '2021-02-08', 'SE', 'Sweden', 'EURO', '2337', '593616', '31', '12480');
INSERT INTO public.who_import VALUES (85894, '2021-02-09', 'SE', 'Sweden', 'EURO', '1013', '594629', '26', '12506');
INSERT INTO public.who_import VALUES (85895, '2021-02-10', 'SE', 'Sweden', 'EURO', '1511', '596140', '37', '12543');
INSERT INTO public.who_import VALUES (85896, '2021-02-11', 'SE', 'Sweden', 'EURO', '4073', '600213', '22', '12565');
INSERT INTO public.who_import VALUES (85897, '2021-02-12', 'SE', 'Sweden', 'EURO', '4357', '604570', '19', '12584');
INSERT INTO public.who_import VALUES (85898, '2021-02-13', 'SE', 'Sweden', 'EURO', '3812', '608382', '17', '12601');
INSERT INTO public.who_import VALUES (85899, '2021-02-14', 'SE', 'Sweden', 'EURO', '3572', '611954', '9', '12610');
INSERT INTO public.who_import VALUES (85900, '2021-02-15', 'SE', 'Sweden', 'EURO', '2771', '614725', '14', '12624');
INSERT INTO public.who_import VALUES (85901, '2021-02-16', 'SE', 'Sweden', 'EURO', '1213', '615938', '8', '12632');
INSERT INTO public.who_import VALUES (85902, '2021-02-17', 'SE', 'Sweden', 'EURO', '1905', '617843', '6', '12638');
INSERT INTO public.who_import VALUES (85903, '2021-02-18', 'SE', 'Sweden', 'EURO', '4213', '622056', '2', '12640');
INSERT INTO public.who_import VALUES (85904, '2021-02-19', 'SE', 'Sweden', 'EURO', '4979', '627035', '8', '12648');
INSERT INTO public.who_import VALUES (85905, '2021-02-20', 'SE', 'Sweden', 'EURO', '4131', '631166', '1', '12649');
INSERT INTO public.who_import VALUES (85906, '2020-01-03', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85907, '2020-01-04', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85908, '2020-01-05', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85909, '2020-01-06', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85910, '2020-01-07', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85911, '2020-01-08', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85912, '2020-01-09', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85913, '2020-01-10', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85914, '2020-01-11', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85915, '2020-01-12', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85916, '2020-01-13', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85917, '2020-01-14', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85918, '2020-01-15', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85919, '2020-01-16', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85920, '2020-01-17', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85921, '2020-01-18', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85922, '2020-01-19', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85923, '2020-01-20', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85924, '2020-01-21', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85925, '2020-01-22', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85926, '2020-01-23', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85927, '2020-01-24', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85928, '2020-01-25', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85929, '2020-01-26', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85930, '2020-01-27', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85931, '2020-01-28', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85932, '2020-01-29', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85933, '2020-01-30', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85934, '2020-01-31', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85935, '2020-02-01', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85936, '2020-02-02', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85937, '2020-02-03', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85938, '2020-02-04', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85939, '2020-02-05', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85940, '2020-02-06', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85941, '2020-02-07', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85942, '2020-02-08', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85943, '2020-02-09', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85944, '2020-02-10', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85945, '2020-02-11', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85946, '2020-02-12', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85947, '2020-02-13', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85948, '2020-02-14', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85949, '2020-02-15', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85950, '2020-02-16', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85951, '2020-02-17', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85952, '2020-02-18', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85953, '2020-02-19', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85954, '2020-02-20', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85955, '2020-02-21', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85956, '2020-02-22', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85957, '2020-02-23', 'CH', 'Switzerland', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (85958, '2020-02-24', 'CH', 'Switzerland', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (85959, '2020-02-25', 'CH', 'Switzerland', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (85960, '2020-02-26', 'CH', 'Switzerland', 'EURO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (85961, '2020-02-27', 'CH', 'Switzerland', 'EURO', '10', '12', '0', '0');
INSERT INTO public.who_import VALUES (85962, '2020-02-28', 'CH', 'Switzerland', 'EURO', '10', '22', '0', '0');
INSERT INTO public.who_import VALUES (85963, '2020-02-29', 'CH', 'Switzerland', 'EURO', '10', '32', '0', '0');
INSERT INTO public.who_import VALUES (85964, '2020-03-01', 'CH', 'Switzerland', 'EURO', '13', '45', '0', '0');
INSERT INTO public.who_import VALUES (85965, '2020-03-02', 'CH', 'Switzerland', 'EURO', '11', '56', '0', '0');
INSERT INTO public.who_import VALUES (85966, '2020-03-03', 'CH', 'Switzerland', 'EURO', '30', '86', '0', '0');
INSERT INTO public.who_import VALUES (85967, '2020-03-04', 'CH', 'Switzerland', 'EURO', '33', '119', '0', '0');
INSERT INTO public.who_import VALUES (85968, '2020-03-05', 'CH', 'Switzerland', 'EURO', '61', '180', '2', '2');
INSERT INTO public.who_import VALUES (85969, '2020-03-06', 'CH', 'Switzerland', 'EURO', '62', '242', '0', '2');
INSERT INTO public.who_import VALUES (85970, '2020-03-07', 'CH', 'Switzerland', 'EURO', '73', '315', '0', '2');
INSERT INTO public.who_import VALUES (85971, '2020-03-08', 'CH', 'Switzerland', 'EURO', '49', '364', '0', '2');
INSERT INTO public.who_import VALUES (85972, '2020-03-09', 'CH', 'Switzerland', 'EURO', '68', '432', '1', '3');
INSERT INTO public.who_import VALUES (85973, '2020-03-10', 'CH', 'Switzerland', 'EURO', '192', '624', '0', '3');
INSERT INTO public.who_import VALUES (85974, '2020-03-11', 'CH', 'Switzerland', 'EURO', '210', '834', '2', '5');
INSERT INTO public.who_import VALUES (85975, '2020-03-12', 'CH', 'Switzerland', 'EURO', '333', '1167', '3', '8');
INSERT INTO public.who_import VALUES (85976, '2020-03-13', 'CH', 'Switzerland', 'EURO', '356', '1523', '4', '12');
INSERT INTO public.who_import VALUES (85977, '2020-03-14', 'CH', 'Switzerland', 'EURO', '431', '1954', '3', '15');
INSERT INTO public.who_import VALUES (85978, '2020-03-15', 'CH', 'Switzerland', 'EURO', '416', '2370', '5', '20');
INSERT INTO public.who_import VALUES (85979, '2020-03-16', 'CH', 'Switzerland', 'EURO', '325', '2695', '8', '28');
INSERT INTO public.who_import VALUES (88466, '2020-03-13', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (85980, '2020-03-17', 'CH', 'Switzerland', 'EURO', '1060', '3755', '7', '35');
INSERT INTO public.who_import VALUES (85981, '2020-03-18', 'CH', 'Switzerland', 'EURO', '1082', '4837', '12', '47');
INSERT INTO public.who_import VALUES (85982, '2020-03-19', 'CH', 'Switzerland', 'EURO', '1205', '6042', '8', '55');
INSERT INTO public.who_import VALUES (85983, '2020-03-20', 'CH', 'Switzerland', 'EURO', '835', '6877', '14', '69');
INSERT INTO public.who_import VALUES (85984, '2020-03-21', 'CH', 'Switzerland', 'EURO', '1139', '8016', '21', '90');
INSERT INTO public.who_import VALUES (85985, '2020-03-22', 'CH', 'Switzerland', 'EURO', '691', '8707', '19', '109');
INSERT INTO public.who_import VALUES (85986, '2020-03-23', 'CH', 'Switzerland', 'EURO', '546', '9253', '18', '127');
INSERT INTO public.who_import VALUES (85987, '2020-03-24', 'CH', 'Switzerland', 'EURO', '1461', '10714', '23', '150');
INSERT INTO public.who_import VALUES (85988, '2020-03-25', 'CH', 'Switzerland', 'EURO', '1241', '11955', '19', '169');
INSERT INTO public.who_import VALUES (85989, '2020-03-26', 'CH', 'Switzerland', 'EURO', '1069', '13024', '39', '208');
INSERT INTO public.who_import VALUES (85990, '2020-03-27', 'CH', 'Switzerland', 'EURO', '1114', '14138', '38', '246');
INSERT INTO public.who_import VALUES (85991, '2020-03-28', 'CH', 'Switzerland', 'EURO', '1307', '15445', '32', '278');
INSERT INTO public.who_import VALUES (85992, '2020-03-29', 'CH', 'Switzerland', 'EURO', '722', '16167', '57', '335');
INSERT INTO public.who_import VALUES (85993, '2020-03-30', 'CH', 'Switzerland', 'EURO', '432', '16599', '46', '381');
INSERT INTO public.who_import VALUES (85994, '2020-03-31', 'CH', 'Switzerland', 'EURO', '1307', '17906', '58', '439');
INSERT INTO public.who_import VALUES (85995, '2020-04-01', 'CH', 'Switzerland', 'EURO', '1134', '19040', '44', '483');
INSERT INTO public.who_import VALUES (85996, '2020-04-02', 'CH', 'Switzerland', 'EURO', '1013', '20053', '57', '540');
INSERT INTO public.who_import VALUES (85997, '2020-04-03', 'CH', 'Switzerland', 'EURO', '877', '20930', '60', '600');
INSERT INTO public.who_import VALUES (85998, '2020-04-04', 'CH', 'Switzerland', 'EURO', '927', '21857', '57', '657');
INSERT INTO public.who_import VALUES (85999, '2020-04-05', 'CH', 'Switzerland', 'EURO', '486', '22343', '55', '712');
INSERT INTO public.who_import VALUES (86000, '2020-04-06', 'CH', 'Switzerland', 'EURO', '281', '22624', '50', '762');
INSERT INTO public.who_import VALUES (86001, '2020-04-07', 'CH', 'Switzerland', 'EURO', '924', '23548', '50', '812');
INSERT INTO public.who_import VALUES (86002, '2020-04-08', 'CH', 'Switzerland', 'EURO', '715', '24263', '57', '869');
INSERT INTO public.who_import VALUES (86003, '2020-04-09', 'CH', 'Switzerland', 'EURO', '612', '24875', '58', '927');
INSERT INTO public.who_import VALUES (86004, '2020-04-10', 'CH', 'Switzerland', 'EURO', '560', '25435', '45', '972');
INSERT INTO public.who_import VALUES (86005, '2020-04-11', 'CH', 'Switzerland', 'EURO', '309', '25744', '52', '1024');
INSERT INTO public.who_import VALUES (86006, '2020-04-12', 'CH', 'Switzerland', 'EURO', '260', '26004', '45', '1069');
INSERT INTO public.who_import VALUES (86007, '2020-04-13', 'CH', 'Switzerland', 'EURO', '219', '26223', '36', '1105');
INSERT INTO public.who_import VALUES (86008, '2020-04-14', 'CH', 'Switzerland', 'EURO', '245', '26468', '36', '1141');
INSERT INTO public.who_import VALUES (86009, '2020-04-15', 'CH', 'Switzerland', 'EURO', '424', '26892', '37', '1178');
INSERT INTO public.who_import VALUES (86010, '2020-04-16', 'CH', 'Switzerland', 'EURO', '328', '27220', '38', '1216');
INSERT INTO public.who_import VALUES (86011, '2020-04-17', 'CH', 'Switzerland', 'EURO', '320', '27540', '38', '1254');
INSERT INTO public.who_import VALUES (86012, '2020-04-18', 'CH', 'Switzerland', 'EURO', '291', '27831', '36', '1290');
INSERT INTO public.who_import VALUES (86013, '2020-04-19', 'CH', 'Switzerland', 'EURO', '145', '27976', '34', '1324');
INSERT INTO public.who_import VALUES (86014, '2020-04-20', 'CH', 'Switzerland', 'EURO', '87', '28063', '21', '1345');
INSERT INTO public.who_import VALUES (86015, '2020-04-21', 'CH', 'Switzerland', 'EURO', '277', '28340', '38', '1383');
INSERT INTO public.who_import VALUES (86016, '2020-04-22', 'CH', 'Switzerland', 'EURO', '213', '28553', '33', '1416');
INSERT INTO public.who_import VALUES (86017, '2020-04-23', 'CH', 'Switzerland', 'EURO', '155', '28708', '27', '1443');
INSERT INTO public.who_import VALUES (86018, '2020-04-24', 'CH', 'Switzerland', 'EURO', '207', '28915', '31', '1474');
INSERT INTO public.who_import VALUES (86019, '2020-04-25', 'CH', 'Switzerland', 'EURO', '167', '29082', '27', '1501');
INSERT INTO public.who_import VALUES (86020, '2020-04-26', 'CH', 'Switzerland', 'EURO', '87', '29169', '25', '1526');
INSERT INTO public.who_import VALUES (86021, '2020-04-27', 'CH', 'Switzerland', 'EURO', '61', '29230', '13', '1539');
INSERT INTO public.who_import VALUES (86022, '2020-04-28', 'CH', 'Switzerland', 'EURO', '173', '29403', '23', '1562');
INSERT INTO public.who_import VALUES (86023, '2020-04-29', 'CH', 'Switzerland', 'EURO', '153', '29556', '12', '1574');
INSERT INTO public.who_import VALUES (86024, '2020-04-30', 'CH', 'Switzerland', 'EURO', '120', '29676', '11', '1585');
INSERT INTO public.who_import VALUES (86025, '2020-05-01', 'CH', 'Switzerland', 'EURO', '101', '29777', '14', '1599');
INSERT INTO public.who_import VALUES (86026, '2020-05-02', 'CH', 'Switzerland', 'EURO', '83', '29860', '12', '1611');
INSERT INTO public.who_import VALUES (86027, '2020-05-03', 'CH', 'Switzerland', 'EURO', '47', '29907', '9', '1620');
INSERT INTO public.who_import VALUES (86028, '2020-05-04', 'CH', 'Switzerland', 'EURO', '22', '29929', '8', '1628');
INSERT INTO public.who_import VALUES (86029, '2020-05-05', 'CH', 'Switzerland', 'EURO', '90', '30019', '9', '1637');
INSERT INTO public.who_import VALUES (86030, '2020-05-06', 'CH', 'Switzerland', 'EURO', '73', '30092', '10', '1647');
INSERT INTO public.who_import VALUES (86031, '2020-05-07', 'CH', 'Switzerland', 'EURO', '79', '30171', '4', '1651');
INSERT INTO public.who_import VALUES (86032, '2020-05-08', 'CH', 'Switzerland', 'EURO', '46', '30217', '12', '1663');
INSERT INTO public.who_import VALUES (86033, '2020-05-09', 'CH', 'Switzerland', 'EURO', '59', '30276', '7', '1670');
INSERT INTO public.who_import VALUES (86034, '2020-05-10', 'CH', 'Switzerland', 'EURO', '39', '30315', '5', '1675');
INSERT INTO public.who_import VALUES (86035, '2020-05-11', 'CH', 'Switzerland', 'EURO', '16', '30331', '7', '1682');
INSERT INTO public.who_import VALUES (86036, '2020-05-12', 'CH', 'Switzerland', 'EURO', '47', '30378', '3', '1685');
INSERT INTO public.who_import VALUES (86037, '2020-05-13', 'CH', 'Switzerland', 'EURO', '42', '30420', '1', '1686');
INSERT INTO public.who_import VALUES (86038, '2020-05-14', 'CH', 'Switzerland', 'EURO', '37', '30457', '1', '1687');
INSERT INTO public.who_import VALUES (86039, '2020-05-15', 'CH', 'Switzerland', 'EURO', '37', '30494', '2', '1689');
INSERT INTO public.who_import VALUES (86040, '2020-05-16', 'CH', 'Switzerland', 'EURO', '41', '30535', '5', '1694');
INSERT INTO public.who_import VALUES (86041, '2020-05-17', 'CH', 'Switzerland', 'EURO', '15', '30550', '1', '1695');
INSERT INTO public.who_import VALUES (86042, '2020-05-18', 'CH', 'Switzerland', 'EURO', '12', '30562', '4', '1699');
INSERT INTO public.who_import VALUES (86043, '2020-05-19', 'CH', 'Switzerland', 'EURO', '34', '30596', '3', '1702');
INSERT INTO public.who_import VALUES (86044, '2020-05-20', 'CH', 'Switzerland', 'EURO', '36', '30632', '4', '1706');
INSERT INTO public.who_import VALUES (86045, '2020-05-21', 'CH', 'Switzerland', 'EURO', '29', '30661', '0', '1706');
INSERT INTO public.who_import VALUES (86046, '2020-05-22', 'CH', 'Switzerland', 'EURO', '11', '30672', '5', '1711');
INSERT INTO public.who_import VALUES (86047, '2020-05-23', 'CH', 'Switzerland', 'EURO', '20', '30692', '1', '1712');
INSERT INTO public.who_import VALUES (86048, '2020-05-24', 'CH', 'Switzerland', 'EURO', '14', '30706', '1', '1713');
INSERT INTO public.who_import VALUES (86049, '2020-05-25', 'CH', 'Switzerland', 'EURO', '10', '30716', '0', '1713');
INSERT INTO public.who_import VALUES (86050, '2020-05-26', 'CH', 'Switzerland', 'EURO', '15', '30731', '2', '1715');
INSERT INTO public.who_import VALUES (86051, '2020-05-27', 'CH', 'Switzerland', 'EURO', '18', '30749', '2', '1717');
INSERT INTO public.who_import VALUES (86052, '2020-05-28', 'CH', 'Switzerland', 'EURO', '25', '30774', '0', '1717');
INSERT INTO public.who_import VALUES (86053, '2020-05-29', 'CH', 'Switzerland', 'EURO', '30', '30804', '0', '1717');
INSERT INTO public.who_import VALUES (86054, '2020-05-30', 'CH', 'Switzerland', 'EURO', '21', '30825', '0', '1717');
INSERT INTO public.who_import VALUES (86055, '2020-05-31', 'CH', 'Switzerland', 'EURO', '10', '30835', '0', '1717');
INSERT INTO public.who_import VALUES (86056, '2020-06-01', 'CH', 'Switzerland', 'EURO', '7', '30842', '0', '1717');
INSERT INTO public.who_import VALUES (86057, '2020-06-02', 'CH', 'Switzerland', 'EURO', '3', '30845', '0', '1717');
INSERT INTO public.who_import VALUES (86058, '2020-06-03', 'CH', 'Switzerland', 'EURO', '23', '30868', '0', '1717');
INSERT INTO public.who_import VALUES (86059, '2020-06-04', 'CH', 'Switzerland', 'EURO', '23', '30891', '0', '1717');
INSERT INTO public.who_import VALUES (86060, '2020-06-05', 'CH', 'Switzerland', 'EURO', '17', '30908', '0', '1717');
INSERT INTO public.who_import VALUES (86061, '2020-06-06', 'CH', 'Switzerland', 'EURO', '15', '30923', '0', '1717');
INSERT INTO public.who_import VALUES (86062, '2020-06-07', 'CH', 'Switzerland', 'EURO', '10', '30933', '1', '1718');
INSERT INTO public.who_import VALUES (86063, '2020-06-08', 'CH', 'Switzerland', 'EURO', '8', '30941', '0', '1718');
INSERT INTO public.who_import VALUES (86064, '2020-06-09', 'CH', 'Switzerland', 'EURO', '25', '30966', '1', '1719');
INSERT INTO public.who_import VALUES (86065, '2020-06-10', 'CH', 'Switzerland', 'EURO', '11', '30977', '0', '1719');
INSERT INTO public.who_import VALUES (86066, '2020-06-11', 'CH', 'Switzerland', 'EURO', '24', '31001', '1', '1720');
INSERT INTO public.who_import VALUES (86067, '2020-06-12', 'CH', 'Switzerland', 'EURO', '25', '31026', '0', '1720');
INSERT INTO public.who_import VALUES (86068, '2020-06-13', 'CH', 'Switzerland', 'EURO', '34', '31060', '1', '1721');
INSERT INTO public.who_import VALUES (86069, '2020-06-14', 'CH', 'Switzerland', 'EURO', '9', '31069', '1', '1722');
INSERT INTO public.who_import VALUES (86070, '2020-06-15', 'CH', 'Switzerland', 'EURO', '12', '31081', '0', '1722');
INSERT INTO public.who_import VALUES (86071, '2020-06-16', 'CH', 'Switzerland', 'EURO', '32', '31113', '0', '1722');
INSERT INTO public.who_import VALUES (86072, '2020-06-17', 'CH', 'Switzerland', 'EURO', '21', '31134', '1', '1723');
INSERT INTO public.who_import VALUES (86073, '2020-06-18', 'CH', 'Switzerland', 'EURO', '18', '31152', '0', '1723');
INSERT INTO public.who_import VALUES (86074, '2020-06-19', 'CH', 'Switzerland', 'EURO', '18', '31170', '0', '1723');
INSERT INTO public.who_import VALUES (86075, '2020-06-20', 'CH', 'Switzerland', 'EURO', '37', '31207', '0', '1723');
INSERT INTO public.who_import VALUES (86076, '2020-06-21', 'CH', 'Switzerland', 'EURO', '32', '31239', '0', '1723');
INSERT INTO public.who_import VALUES (86077, '2020-06-22', 'CH', 'Switzerland', 'EURO', '13', '31252', '1', '1724');
INSERT INTO public.who_import VALUES (86078, '2020-06-23', 'CH', 'Switzerland', 'EURO', '56', '31308', '1', '1725');
INSERT INTO public.who_import VALUES (86079, '2020-06-24', 'CH', 'Switzerland', 'EURO', '37', '31345', '0', '1725');
INSERT INTO public.who_import VALUES (86080, '2020-06-25', 'CH', 'Switzerland', 'EURO', '64', '31409', '0', '1725');
INSERT INTO public.who_import VALUES (86081, '2020-06-26', 'CH', 'Switzerland', 'EURO', '48', '31457', '0', '1725');
INSERT INTO public.who_import VALUES (86082, '2020-06-27', 'CH', 'Switzerland', 'EURO', '92', '31549', '0', '1725');
INSERT INTO public.who_import VALUES (86083, '2020-06-28', 'CH', 'Switzerland', 'EURO', '36', '31585', '0', '1725');
INSERT INTO public.who_import VALUES (86084, '2020-06-29', 'CH', 'Switzerland', 'EURO', '24', '31609', '0', '1725');
INSERT INTO public.who_import VALUES (86085, '2020-06-30', 'CH', 'Switzerland', 'EURO', '160', '31769', '1', '1726');
INSERT INTO public.who_import VALUES (86086, '2020-07-01', 'CH', 'Switzerland', 'EURO', '138', '31907', '0', '1726');
INSERT INTO public.who_import VALUES (86087, '2020-07-02', 'CH', 'Switzerland', 'EURO', '101', '32008', '1', '1727');
INSERT INTO public.who_import VALUES (86088, '2020-07-03', 'CH', 'Switzerland', 'EURO', '127', '32135', '0', '1727');
INSERT INTO public.who_import VALUES (86089, '2020-07-04', 'CH', 'Switzerland', 'EURO', '96', '32231', '0', '1727');
INSERT INTO public.who_import VALUES (86090, '2020-07-05', 'CH', 'Switzerland', 'EURO', '26', '32257', '0', '1727');
INSERT INTO public.who_import VALUES (86091, '2020-07-06', 'CH', 'Switzerland', 'EURO', '36', '32293', '0', '1727');
INSERT INTO public.who_import VALUES (86092, '2020-07-07', 'CH', 'Switzerland', 'EURO', '106', '32399', '0', '1727');
INSERT INTO public.who_import VALUES (86093, '2020-07-08', 'CH', 'Switzerland', 'EURO', '107', '32506', '0', '1727');
INSERT INTO public.who_import VALUES (86094, '2020-07-09', 'CH', 'Switzerland', 'EURO', '97', '32603', '2', '1729');
INSERT INTO public.who_import VALUES (86095, '2020-07-10', 'CH', 'Switzerland', 'EURO', '97', '32700', '0', '1729');
INSERT INTO public.who_import VALUES (86096, '2020-07-11', 'CH', 'Switzerland', 'EURO', '111', '32811', '0', '1729');
INSERT INTO public.who_import VALUES (86097, '2020-07-12', 'CH', 'Switzerland', 'EURO', '71', '32882', '0', '1729');
INSERT INTO public.who_import VALUES (86098, '2020-07-13', 'CH', 'Switzerland', 'EURO', '46', '32928', '0', '1729');
INSERT INTO public.who_import VALUES (86099, '2020-07-14', 'CH', 'Switzerland', 'EURO', '120', '33048', '1', '1730');
INSERT INTO public.who_import VALUES (86100, '2020-07-15', 'CH', 'Switzerland', 'EURO', '129', '33177', '0', '1730');
INSERT INTO public.who_import VALUES (86101, '2020-07-16', 'CH', 'Switzerland', 'EURO', '123', '33300', '1', '1731');
INSERT INTO public.who_import VALUES (86102, '2020-07-17', 'CH', 'Switzerland', 'EURO', '106', '33406', '1', '1732');
INSERT INTO public.who_import VALUES (86103, '2020-07-18', 'CH', 'Switzerland', 'EURO', '115', '33521', '1', '1733');
INSERT INTO public.who_import VALUES (86104, '2020-07-19', 'CH', 'Switzerland', 'EURO', '80', '33601', '0', '1733');
INSERT INTO public.who_import VALUES (86105, '2020-07-20', 'CH', 'Switzerland', 'EURO', '42', '33643', '0', '1733');
INSERT INTO public.who_import VALUES (86106, '2020-07-21', 'CH', 'Switzerland', 'EURO', '127', '33770', '2', '1735');
INSERT INTO public.who_import VALUES (86107, '2020-07-22', 'CH', 'Switzerland', 'EURO', '138', '33908', '1', '1736');
INSERT INTO public.who_import VALUES (86108, '2020-07-23', 'CH', 'Switzerland', 'EURO', '118', '34026', '0', '1736');
INSERT INTO public.who_import VALUES (86109, '2020-07-24', 'CH', 'Switzerland', 'EURO', '143', '34169', '0', '1736');
INSERT INTO public.who_import VALUES (86110, '2020-07-25', 'CH', 'Switzerland', 'EURO', '148', '34317', '1', '1737');
INSERT INTO public.who_import VALUES (86111, '2020-07-26', 'CH', 'Switzerland', 'EURO', '95', '34412', '1', '1738');
INSERT INTO public.who_import VALUES (86112, '2020-07-27', 'CH', 'Switzerland', 'EURO', '57', '34469', '0', '1738');
INSERT INTO public.who_import VALUES (86113, '2020-07-28', 'CH', 'Switzerland', 'EURO', '193', '34662', '1', '1739');
INSERT INTO public.who_import VALUES (86114, '2020-07-29', 'CH', 'Switzerland', 'EURO', '189', '34851', '1', '1740');
INSERT INTO public.who_import VALUES (86115, '2020-07-30', 'CH', 'Switzerland', 'EURO', '220', '35071', '0', '1740');
INSERT INTO public.who_import VALUES (86116, '2020-07-31', 'CH', 'Switzerland', 'EURO', '212', '35283', '0', '1740');
INSERT INTO public.who_import VALUES (86117, '2020-08-01', 'CH', 'Switzerland', 'EURO', '164', '35447', '2', '1742');
INSERT INTO public.who_import VALUES (86118, '2020-08-02', 'CH', 'Switzerland', 'EURO', '97', '35544', '1', '1743');
INSERT INTO public.who_import VALUES (86119, '2020-08-03', 'CH', 'Switzerland', 'EURO', '80', '35624', '0', '1743');
INSERT INTO public.who_import VALUES (86120, '2020-08-04', 'CH', 'Switzerland', 'EURO', '196', '35820', '0', '1743');
INSERT INTO public.who_import VALUES (86121, '2020-08-05', 'CH', 'Switzerland', 'EURO', '181', '36001', '1', '1744');
INSERT INTO public.who_import VALUES (86122, '2020-08-06', 'CH', 'Switzerland', 'EURO', '152', '36153', '1', '1745');
INSERT INTO public.who_import VALUES (86123, '2020-08-07', 'CH', 'Switzerland', 'EURO', '156', '36309', '1', '1746');
INSERT INTO public.who_import VALUES (86124, '2020-08-08', 'CH', 'Switzerland', 'EURO', '185', '36494', '1', '1747');
INSERT INTO public.who_import VALUES (86125, '2020-08-09', 'CH', 'Switzerland', 'EURO', '130', '36624', '1', '1748');
INSERT INTO public.who_import VALUES (86126, '2020-08-10', 'CH', 'Switzerland', 'EURO', '100', '36724', '0', '1748');
INSERT INTO public.who_import VALUES (86127, '2020-08-11', 'CH', 'Switzerland', 'EURO', '281', '37005', '1', '1749');
INSERT INTO public.who_import VALUES (86128, '2020-08-12', 'CH', 'Switzerland', 'EURO', '255', '37260', '0', '1749');
INSERT INTO public.who_import VALUES (86129, '2020-08-13', 'CH', 'Switzerland', 'EURO', '246', '37506', '0', '1749');
INSERT INTO public.who_import VALUES (86130, '2020-08-14', 'CH', 'Switzerland', 'EURO', '273', '37779', '1', '1750');
INSERT INTO public.who_import VALUES (86131, '2020-08-15', 'CH', 'Switzerland', 'EURO', '233', '38012', '0', '1750');
INSERT INTO public.who_import VALUES (86132, '2020-08-16', 'CH', 'Switzerland', 'EURO', '149', '38161', '3', '1753');
INSERT INTO public.who_import VALUES (86133, '2020-08-17', 'CH', 'Switzerland', 'EURO', '137', '38298', '0', '1753');
INSERT INTO public.who_import VALUES (86134, '2020-08-18', 'CH', 'Switzerland', 'EURO', '285', '38583', '1', '1754');
INSERT INTO public.who_import VALUES (86135, '2020-08-19', 'CH', 'Switzerland', 'EURO', '294', '38877', '0', '1754');
INSERT INTO public.who_import VALUES (86136, '2020-08-20', 'CH', 'Switzerland', 'EURO', '285', '39162', '0', '1754');
INSERT INTO public.who_import VALUES (86137, '2020-08-21', 'CH', 'Switzerland', 'EURO', '349', '39511', '0', '1754');
INSERT INTO public.who_import VALUES (86138, '2020-08-22', 'CH', 'Switzerland', 'EURO', '314', '39825', '1', '1755');
INSERT INTO public.who_import VALUES (86139, '2020-08-23', 'CH', 'Switzerland', 'EURO', '192', '40017', '1', '1756');
INSERT INTO public.who_import VALUES (86140, '2020-08-24', 'CH', 'Switzerland', 'EURO', '136', '40153', '2', '1758');
INSERT INTO public.who_import VALUES (86141, '2020-08-25', 'CH', 'Switzerland', 'EURO', '304', '40457', '1', '1759');
INSERT INTO public.who_import VALUES (86142, '2020-08-26', 'CH', 'Switzerland', 'EURO', '338', '40795', '0', '1759');
INSERT INTO public.who_import VALUES (86143, '2020-08-27', 'CH', 'Switzerland', 'EURO', '362', '41157', '0', '1759');
INSERT INTO public.who_import VALUES (86144, '2020-08-28', 'CH', 'Switzerland', 'EURO', '352', '41509', '2', '1761');
INSERT INTO public.who_import VALUES (86145, '2020-08-29', 'CH', 'Switzerland', 'EURO', '377', '41886', '0', '1761');
INSERT INTO public.who_import VALUES (86146, '2020-08-30', 'CH', 'Switzerland', 'EURO', '215', '42101', '0', '1761');
INSERT INTO public.who_import VALUES (86147, '2020-08-31', 'CH', 'Switzerland', 'EURO', '144', '42245', '1', '1762');
INSERT INTO public.who_import VALUES (86148, '2020-09-01', 'CH', 'Switzerland', 'EURO', '347', '42592', '1', '1763');
INSERT INTO public.who_import VALUES (86149, '2020-09-02', 'CH', 'Switzerland', 'EURO', '364', '42956', '1', '1764');
INSERT INTO public.who_import VALUES (86150, '2020-09-03', 'CH', 'Switzerland', 'EURO', '417', '43373', '3', '1767');
INSERT INTO public.who_import VALUES (86151, '2020-09-04', 'CH', 'Switzerland', 'EURO', '438', '43811', '1', '1768');
INSERT INTO public.who_import VALUES (86152, '2020-09-05', 'CH', 'Switzerland', 'EURO', '426', '44237', '2', '1770');
INSERT INTO public.who_import VALUES (86153, '2020-09-06', 'CH', 'Switzerland', 'EURO', '294', '44531', '2', '1772');
INSERT INTO public.who_import VALUES (86154, '2020-09-07', 'CH', 'Switzerland', 'EURO', '170', '44701', '3', '1775');
INSERT INTO public.who_import VALUES (86155, '2020-09-08', 'CH', 'Switzerland', 'EURO', '468', '45169', '1', '1776');
INSERT INTO public.who_import VALUES (86156, '2020-09-09', 'CH', 'Switzerland', 'EURO', '387', '45556', '1', '1777');
INSERT INTO public.who_import VALUES (86157, '2020-09-10', 'CH', 'Switzerland', 'EURO', '462', '46018', '7', '1784');
INSERT INTO public.who_import VALUES (86158, '2020-09-11', 'CH', 'Switzerland', 'EURO', '507', '46525', '0', '1784');
INSERT INTO public.who_import VALUES (86159, '2020-09-12', 'CH', 'Switzerland', 'EURO', '533', '47058', '4', '1788');
INSERT INTO public.who_import VALUES (86160, '2020-09-13', 'CH', 'Switzerland', 'EURO', '266', '47324', '3', '1791');
INSERT INTO public.who_import VALUES (86161, '2020-09-14', 'CH', 'Switzerland', 'EURO', '238', '47562', '1', '1792');
INSERT INTO public.who_import VALUES (86162, '2020-09-15', 'CH', 'Switzerland', 'EURO', '504', '48066', '0', '1792');
INSERT INTO public.who_import VALUES (86163, '2020-09-16', 'CH', 'Switzerland', 'EURO', '458', '48524', '3', '1795');
INSERT INTO public.who_import VALUES (86164, '2020-09-17', 'CH', 'Switzerland', 'EURO', '516', '49040', '5', '1800');
INSERT INTO public.who_import VALUES (86165, '2020-09-18', 'CH', 'Switzerland', 'EURO', '499', '49539', '4', '1804');
INSERT INTO public.who_import VALUES (86166, '2020-09-19', 'CH', 'Switzerland', 'EURO', '444', '49983', '2', '1806');
INSERT INTO public.who_import VALUES (86167, '2020-09-20', 'CH', 'Switzerland', 'EURO', '284', '50267', '1', '1807');
INSERT INTO public.who_import VALUES (86168, '2020-09-21', 'CH', 'Switzerland', 'EURO', '200', '50467', '0', '1807');
INSERT INTO public.who_import VALUES (86169, '2020-09-22', 'CH', 'Switzerland', 'EURO', '395', '50862', '3', '1810');
INSERT INTO public.who_import VALUES (86170, '2020-09-23', 'CH', 'Switzerland', 'EURO', '425', '51287', '1', '1811');
INSERT INTO public.who_import VALUES (86171, '2020-09-24', 'CH', 'Switzerland', 'EURO', '389', '51676', '1', '1812');
INSERT INTO public.who_import VALUES (86172, '2020-09-25', 'CH', 'Switzerland', 'EURO', '308', '51984', '4', '1816');
INSERT INTO public.who_import VALUES (86173, '2020-09-26', 'CH', 'Switzerland', 'EURO', '359', '52343', '1', '1817');
INSERT INTO public.who_import VALUES (86174, '2020-09-27', 'CH', 'Switzerland', 'EURO', '222', '52565', '2', '1819');
INSERT INTO public.who_import VALUES (86175, '2020-09-28', 'CH', 'Switzerland', 'EURO', '120', '52685', '1', '1820');
INSERT INTO public.who_import VALUES (86176, '2020-09-29', 'CH', 'Switzerland', 'EURO', '368', '53053', '3', '1823');
INSERT INTO public.who_import VALUES (86177, '2020-09-30', 'CH', 'Switzerland', 'EURO', '449', '53502', '1', '1824');
INSERT INTO public.who_import VALUES (86178, '2020-10-01', 'CH', 'Switzerland', 'EURO', '540', '54042', '0', '1824');
INSERT INTO public.who_import VALUES (86179, '2020-10-02', 'CH', 'Switzerland', 'EURO', '601', '54643', '5', '1829');
INSERT INTO public.who_import VALUES (86180, '2020-10-03', 'CH', 'Switzerland', 'EURO', '677', '55320', '1', '1830');
INSERT INTO public.who_import VALUES (86181, '2020-10-04', 'CH', 'Switzerland', 'EURO', '512', '55832', '0', '1830');
INSERT INTO public.who_import VALUES (86182, '2020-10-05', 'CH', 'Switzerland', 'EURO', '316', '56148', '1', '1831');
INSERT INTO public.who_import VALUES (86183, '2020-10-06', 'CH', 'Switzerland', 'EURO', '1018', '57166', '2', '1833');
INSERT INTO public.who_import VALUES (86184, '2020-10-07', 'CH', 'Switzerland', 'EURO', '1097', '58263', '1', '1834');
INSERT INTO public.who_import VALUES (86185, '2020-10-08', 'CH', 'Switzerland', 'EURO', '1377', '59640', '2', '1836');
INSERT INTO public.who_import VALUES (86186, '2020-10-09', 'CH', 'Switzerland', 'EURO', '1471', '61111', '3', '1839');
INSERT INTO public.who_import VALUES (86187, '2020-10-10', 'CH', 'Switzerland', 'EURO', '1722', '62833', '3', '1842');
INSERT INTO public.who_import VALUES (86188, '2020-10-11', 'CH', 'Switzerland', 'EURO', '1251', '64084', '3', '1845');
INSERT INTO public.who_import VALUES (86189, '2020-10-12', 'CH', 'Switzerland', 'EURO', '812', '64896', '3', '1848');
INSERT INTO public.who_import VALUES (86190, '2020-10-13', 'CH', 'Switzerland', 'EURO', '2557', '67453', '5', '1853');
INSERT INTO public.who_import VALUES (86191, '2020-10-14', 'CH', 'Switzerland', 'EURO', '2687', '70140', '6', '1859');
INSERT INTO public.who_import VALUES (86192, '2020-10-15', 'CH', 'Switzerland', 'EURO', '2999', '73139', '5', '1864');
INSERT INTO public.who_import VALUES (86193, '2020-10-16', 'CH', 'Switzerland', 'EURO', '3393', '76532', '5', '1869');
INSERT INTO public.who_import VALUES (86194, '2020-10-17', 'CH', 'Switzerland', 'EURO', '3680', '80212', '10', '1879');
INSERT INTO public.who_import VALUES (86195, '2020-10-18', 'CH', 'Switzerland', 'EURO', '2379', '82591', '7', '1886');
INSERT INTO public.who_import VALUES (86196, '2020-10-19', 'CH', 'Switzerland', 'EURO', '1786', '84377', '7', '1893');
INSERT INTO public.who_import VALUES (86197, '2020-10-20', 'CH', 'Switzerland', 'EURO', '5397', '89774', '16', '1909');
INSERT INTO public.who_import VALUES (86198, '2020-10-21', 'CH', 'Switzerland', 'EURO', '5670', '95444', '12', '1921');
INSERT INTO public.who_import VALUES (86199, '2020-10-22', 'CH', 'Switzerland', 'EURO', '6449', '101893', '18', '1939');
INSERT INTO public.who_import VALUES (86200, '2020-10-23', 'CH', 'Switzerland', 'EURO', '6768', '108661', '25', '1964');
INSERT INTO public.who_import VALUES (86201, '2020-10-24', 'CH', 'Switzerland', 'EURO', '7505', '116166', '25', '1989');
INSERT INTO public.who_import VALUES (86202, '2020-10-25', 'CH', 'Switzerland', 'EURO', '4656', '120822', '25', '2014');
INSERT INTO public.who_import VALUES (86203, '2020-10-26', 'CH', 'Switzerland', 'EURO', '3204', '124026', '21', '2035');
INSERT INTO public.who_import VALUES (86204, '2020-10-27', 'CH', 'Switzerland', 'EURO', '10113', '134139', '20', '2055');
INSERT INTO public.who_import VALUES (86205, '2020-10-28', 'CH', 'Switzerland', 'EURO', '9752', '143891', '39', '2094');
INSERT INTO public.who_import VALUES (86206, '2020-10-29', 'CH', 'Switzerland', 'EURO', '9303', '153194', '42', '2136');
INSERT INTO public.who_import VALUES (86207, '2020-10-30', 'CH', 'Switzerland', 'EURO', '8979', '162173', '57', '2193');
INSERT INTO public.who_import VALUES (86208, '2020-10-31', 'CH', 'Switzerland', 'EURO', '8942', '171115', '41', '2234');
INSERT INTO public.who_import VALUES (86209, '2020-11-01', 'CH', 'Switzerland', 'EURO', '5128', '176243', '58', '2292');
INSERT INTO public.who_import VALUES (86210, '2020-11-02', 'CH', 'Switzerland', 'EURO', '3626', '179869', '59', '2351');
INSERT INTO public.who_import VALUES (86211, '2020-11-03', 'CH', 'Switzerland', 'EURO', '10514', '190383', '58', '2409');
INSERT INTO public.who_import VALUES (86212, '2020-11-04', 'CH', 'Switzerland', 'EURO', '9596', '199979', '79', '2488');
INSERT INTO public.who_import VALUES (86213, '2020-11-05', 'CH', 'Switzerland', 'EURO', '8707', '208686', '82', '2570');
INSERT INTO public.who_import VALUES (86214, '2020-11-06', 'CH', 'Switzerland', 'EURO', '7828', '216514', '78', '2648');
INSERT INTO public.who_import VALUES (86215, '2020-11-07', 'CH', 'Switzerland', 'EURO', '7377', '223891', '92', '2740');
INSERT INTO public.who_import VALUES (86216, '2020-11-08', 'CH', 'Switzerland', 'EURO', '4189', '228080', '69', '2809');
INSERT INTO public.who_import VALUES (86217, '2020-11-09', 'CH', 'Switzerland', 'EURO', '2979', '231059', '88', '2897');
INSERT INTO public.who_import VALUES (86218, '2020-11-10', 'CH', 'Switzerland', 'EURO', '8683', '239742', '85', '2982');
INSERT INTO public.who_import VALUES (86219, '2020-11-11', 'CH', 'Switzerland', 'EURO', '7387', '247129', '83', '3065');
INSERT INTO public.who_import VALUES (86220, '2020-11-12', 'CH', 'Switzerland', 'EURO', '6354', '253483', '89', '3154');
INSERT INTO public.who_import VALUES (86221, '2020-11-13', 'CH', 'Switzerland', 'EURO', '5962', '259445', '102', '3256');
INSERT INTO public.who_import VALUES (86222, '2020-11-14', 'CH', 'Switzerland', 'EURO', '5679', '265124', '85', '3341');
INSERT INTO public.who_import VALUES (86223, '2020-11-15', 'CH', 'Switzerland', 'EURO', '3203', '268327', '77', '3418');
INSERT INTO public.who_import VALUES (86224, '2020-11-16', 'CH', 'Switzerland', 'EURO', '2314', '270641', '83', '3501');
INSERT INTO public.who_import VALUES (86225, '2020-11-17', 'CH', 'Switzerland', 'EURO', '6584', '277225', '89', '3590');
INSERT INTO public.who_import VALUES (86226, '2020-11-18', 'CH', 'Switzerland', 'EURO', '5417', '282642', '86', '3676');
INSERT INTO public.who_import VALUES (86227, '2020-11-19', 'CH', 'Switzerland', 'EURO', '4858', '287500', '103', '3779');
INSERT INTO public.who_import VALUES (86228, '2020-11-20', 'CH', 'Switzerland', 'EURO', '4493', '291993', '79', '3858');
INSERT INTO public.who_import VALUES (86229, '2020-11-21', 'CH', 'Switzerland', 'EURO', '4323', '296316', '81', '3939');
INSERT INTO public.who_import VALUES (86230, '2020-11-22', 'CH', 'Switzerland', 'EURO', '2571', '298887', '77', '4016');
INSERT INTO public.who_import VALUES (86231, '2020-11-23', 'CH', 'Switzerland', 'EURO', '1871', '300758', '76', '4092');
INSERT INTO public.who_import VALUES (86232, '2020-11-24', 'CH', 'Switzerland', 'EURO', '5434', '306192', '95', '4187');
INSERT INTO public.who_import VALUES (86233, '2020-11-25', 'CH', 'Switzerland', 'EURO', '4433', '310625', '89', '4276');
INSERT INTO public.who_import VALUES (86234, '2020-11-26', 'CH', 'Switzerland', 'EURO', '4302', '314927', '85', '4361');
INSERT INTO public.who_import VALUES (86235, '2020-11-27', 'CH', 'Switzerland', 'EURO', '3954', '318881', '72', '4433');
INSERT INTO public.who_import VALUES (86236, '2020-11-28', 'CH', 'Switzerland', 'EURO', '4070', '322951', '87', '4520');
INSERT INTO public.who_import VALUES (86237, '2020-11-29', 'CH', 'Switzerland', 'EURO', '2311', '325262', '87', '4607');
INSERT INTO public.who_import VALUES (86238, '2020-11-30', 'CH', 'Switzerland', 'EURO', '1692', '326954', '81', '4688');
INSERT INTO public.who_import VALUES (86239, '2020-12-01', 'CH', 'Switzerland', 'EURO', '5271', '332225', '92', '4780');
INSERT INTO public.who_import VALUES (86240, '2020-12-02', 'CH', 'Switzerland', 'EURO', '4252', '336477', '88', '4868');
INSERT INTO public.who_import VALUES (86241, '2020-12-03', 'CH', 'Switzerland', 'EURO', '4423', '340900', '87', '4955');
INSERT INTO public.who_import VALUES (86242, '2020-12-04', 'CH', 'Switzerland', 'EURO', '4320', '345220', '79', '5034');
INSERT INTO public.who_import VALUES (86243, '2020-12-05', 'CH', 'Switzerland', 'EURO', '4562', '349782', '80', '5114');
INSERT INTO public.who_import VALUES (86244, '2020-12-06', 'CH', 'Switzerland', 'EURO', '2519', '352301', '94', '5208');
INSERT INTO public.who_import VALUES (86245, '2020-12-07', 'CH', 'Switzerland', 'EURO', '1938', '354239', '64', '5272');
INSERT INTO public.who_import VALUES (86246, '2020-12-08', 'CH', 'Switzerland', 'EURO', '5830', '360069', '77', '5349');
INSERT INTO public.who_import VALUES (86247, '2020-12-09', 'CH', 'Switzerland', 'EURO', '4670', '364739', '94', '5443');
INSERT INTO public.who_import VALUES (86248, '2020-12-10', 'CH', 'Switzerland', 'EURO', '5241', '369980', '81', '5524');
INSERT INTO public.who_import VALUES (86249, '2020-12-11', 'CH', 'Switzerland', 'EURO', '4638', '374618', '83', '5607');
INSERT INTO public.who_import VALUES (86250, '2020-12-12', 'CH', 'Switzerland', 'EURO', '4679', '379297', '87', '5694');
INSERT INTO public.who_import VALUES (86251, '2020-12-13', 'CH', 'Switzerland', 'EURO', '2864', '382161', '84', '5778');
INSERT INTO public.who_import VALUES (86252, '2020-12-14', 'CH', 'Switzerland', 'EURO', '2086', '384247', '83', '5861');
INSERT INTO public.who_import VALUES (86253, '2020-12-15', 'CH', 'Switzerland', 'EURO', '5915', '390162', '97', '5958');
INSERT INTO public.who_import VALUES (86254, '2020-12-16', 'CH', 'Switzerland', 'EURO', '5166', '395328', '88', '6046');
INSERT INTO public.who_import VALUES (86255, '2020-12-17', 'CH', 'Switzerland', 'EURO', '4819', '400147', '88', '6134');
INSERT INTO public.who_import VALUES (86256, '2020-12-18', 'CH', 'Switzerland', 'EURO', '4387', '404534', '82', '6216');
INSERT INTO public.who_import VALUES (86257, '2020-12-19', 'CH', 'Switzerland', 'EURO', '4342', '408876', '89', '6305');
INSERT INTO public.who_import VALUES (86258, '2020-12-20', 'CH', 'Switzerland', 'EURO', '2675', '411551', '79', '6384');
INSERT INTO public.who_import VALUES (86259, '2020-12-21', 'CH', 'Switzerland', 'EURO', '1955', '413506', '97', '6481');
INSERT INTO public.who_import VALUES (86260, '2020-12-22', 'CH', 'Switzerland', 'EURO', '5626', '419132', '87', '6568');
INSERT INTO public.who_import VALUES (86261, '2020-12-23', 'CH', 'Switzerland', 'EURO', '4601', '423733', '82', '6650');
INSERT INTO public.who_import VALUES (86262, '2020-12-24', 'CH', 'Switzerland', 'EURO', '4474', '428207', '79', '6729');
INSERT INTO public.who_import VALUES (86263, '2020-12-25', 'CH', 'Switzerland', 'EURO', '3047', '431254', '89', '6818');
INSERT INTO public.who_import VALUES (86264, '2020-12-26', 'CH', 'Switzerland', 'EURO', '1721', '432975', '59', '6877');
INSERT INTO public.who_import VALUES (86265, '2020-12-27', 'CH', 'Switzerland', 'EURO', '2355', '435330', '90', '6967');
INSERT INTO public.who_import VALUES (86266, '2020-12-28', 'CH', 'Switzerland', 'EURO', '2114', '437444', '91', '7058');
INSERT INTO public.who_import VALUES (86267, '2020-12-29', 'CH', 'Switzerland', 'EURO', '5032', '442476', '75', '7133');
INSERT INTO public.who_import VALUES (86268, '2020-12-30', 'CH', 'Switzerland', 'EURO', '4463', '446939', '71', '7204');
INSERT INTO public.who_import VALUES (86269, '2020-12-31', 'CH', 'Switzerland', 'EURO', '4210', '451149', '89', '7293');
INSERT INTO public.who_import VALUES (86270, '2021-01-01', 'CH', 'Switzerland', 'EURO', '3054', '454203', '78', '7371');
INSERT INTO public.who_import VALUES (86271, '2021-01-02', 'CH', 'Switzerland', 'EURO', '1679', '455882', '73', '7444');
INSERT INTO public.who_import VALUES (86272, '2021-01-03', 'CH', 'Switzerland', 'EURO', '2717', '458599', '64', '7508');
INSERT INTO public.who_import VALUES (86273, '2021-01-04', 'CH', 'Switzerland', 'EURO', '2219', '460818', '63', '7571');
INSERT INTO public.who_import VALUES (86274, '2021-01-05', 'CH', 'Switzerland', 'EURO', '5278', '466096', '48', '7619');
INSERT INTO public.who_import VALUES (86275, '2021-01-06', 'CH', 'Switzerland', 'EURO', '4163', '470259', '64', '7683');
INSERT INTO public.who_import VALUES (86276, '2021-01-07', 'CH', 'Switzerland', 'EURO', '3348', '473607', '59', '7742');
INSERT INTO public.who_import VALUES (86277, '2021-01-08', 'CH', 'Switzerland', 'EURO', '3177', '476784', '60', '7802');
INSERT INTO public.who_import VALUES (86278, '2021-01-09', 'CH', 'Switzerland', 'EURO', '3049', '479833', '48', '7850');
INSERT INTO public.who_import VALUES (86279, '2021-01-10', 'CH', 'Switzerland', 'EURO', '1682', '481515', '62', '7912');
INSERT INTO public.who_import VALUES (86280, '2021-01-11', 'CH', 'Switzerland', 'EURO', '1293', '482808', '55', '7967');
INSERT INTO public.who_import VALUES (86281, '2021-01-12', 'CH', 'Switzerland', 'EURO', '3458', '486266', '56', '8023');
INSERT INTO public.who_import VALUES (86282, '2021-01-13', 'CH', 'Switzerland', 'EURO', '2607', '488873', '51', '8074');
INSERT INTO public.who_import VALUES (86283, '2021-01-14', 'CH', 'Switzerland', 'EURO', '2461', '491334', '56', '8130');
INSERT INTO public.who_import VALUES (86284, '2021-01-15', 'CH', 'Switzerland', 'EURO', '2239', '493573', '47', '8177');
INSERT INTO public.who_import VALUES (86285, '2021-01-16', 'CH', 'Switzerland', 'EURO', '2159', '495732', '61', '8238');
INSERT INTO public.who_import VALUES (86286, '2021-01-17', 'CH', 'Switzerland', 'EURO', '1337', '497069', '48', '8286');
INSERT INTO public.who_import VALUES (86287, '2021-01-18', 'CH', 'Switzerland', 'EURO', '893', '497962', '31', '8317');
INSERT INTO public.who_import VALUES (86288, '2021-01-19', 'CH', 'Switzerland', 'EURO', '2945', '500907', '36', '8353');
INSERT INTO public.who_import VALUES (86289, '2021-01-20', 'CH', 'Switzerland', 'EURO', '2330', '503237', '61', '8414');
INSERT INTO public.who_import VALUES (86290, '2021-01-21', 'CH', 'Switzerland', 'EURO', '2279', '505516', '43', '8457');
INSERT INTO public.who_import VALUES (86291, '2021-01-22', 'CH', 'Switzerland', 'EURO', '2054', '507570', '42', '8499');
INSERT INTO public.who_import VALUES (86292, '2021-01-23', 'CH', 'Switzerland', 'EURO', '2036', '509606', '43', '8542');
INSERT INTO public.who_import VALUES (86293, '2021-01-24', 'CH', 'Switzerland', 'EURO', '1097', '510703', '44', '8586');
INSERT INTO public.who_import VALUES (86294, '2021-01-25', 'CH', 'Switzerland', 'EURO', '732', '511435', '47', '8633');
INSERT INTO public.who_import VALUES (86295, '2021-01-26', 'CH', 'Switzerland', 'EURO', '2490', '513925', '30', '8663');
INSERT INTO public.who_import VALUES (86296, '2021-01-27', 'CH', 'Switzerland', 'EURO', '1838', '515763', '35', '8698');
INSERT INTO public.who_import VALUES (86297, '2021-01-28', 'CH', 'Switzerland', 'EURO', '1870', '517633', '32', '8730');
INSERT INTO public.who_import VALUES (86298, '2021-01-29', 'CH', 'Switzerland', 'EURO', '1779', '519412', '36', '8766');
INSERT INTO public.who_import VALUES (86299, '2021-01-30', 'CH', 'Switzerland', 'EURO', '1764', '521176', '30', '8796');
INSERT INTO public.who_import VALUES (86300, '2021-01-31', 'CH', 'Switzerland', 'EURO', '1019', '522195', '27', '8823');
INSERT INTO public.who_import VALUES (86301, '2021-02-01', 'CH', 'Switzerland', 'EURO', '739', '522934', '27', '8850');
INSERT INTO public.who_import VALUES (86302, '2021-02-02', 'CH', 'Switzerland', 'EURO', '2162', '525096', '30', '8880');
INSERT INTO public.who_import VALUES (86303, '2021-02-03', 'CH', 'Switzerland', 'EURO', '1650', '526746', '20', '8900');
INSERT INTO public.who_import VALUES (86304, '2021-02-04', 'CH', 'Switzerland', 'EURO', '1730', '528476', '18', '8918');
INSERT INTO public.who_import VALUES (86305, '2021-02-05', 'CH', 'Switzerland', 'EURO', '1442', '529918', '20', '8938');
INSERT INTO public.who_import VALUES (86306, '2021-02-06', 'CH', 'Switzerland', 'EURO', '1506', '531424', '22', '8960');
INSERT INTO public.who_import VALUES (86307, '2021-02-07', 'CH', 'Switzerland', 'EURO', '887', '532311', '24', '8984');
INSERT INTO public.who_import VALUES (86308, '2021-02-08', 'CH', 'Switzerland', 'EURO', '672', '532983', '16', '9000');
INSERT INTO public.who_import VALUES (86309, '2021-02-09', 'CH', 'Switzerland', 'EURO', '1747', '534730', '18', '9018');
INSERT INTO public.who_import VALUES (86310, '2021-02-10', 'CH', 'Switzerland', 'EURO', '1348', '536078', '15', '9033');
INSERT INTO public.who_import VALUES (86311, '2021-02-11', 'CH', 'Switzerland', 'EURO', '1254', '537332', '20', '9053');
INSERT INTO public.who_import VALUES (86312, '2021-02-12', 'CH', 'Switzerland', 'EURO', '1171', '538503', '13', '9066');
INSERT INTO public.who_import VALUES (86313, '2021-02-13', 'CH', 'Switzerland', 'EURO', '1128', '539631', '15', '9081');
INSERT INTO public.who_import VALUES (86314, '2021-02-14', 'CH', 'Switzerland', 'EURO', '716', '540347', '17', '9098');
INSERT INTO public.who_import VALUES (86315, '2021-02-15', 'CH', 'Switzerland', 'EURO', '479', '540826', '18', '9116');
INSERT INTO public.who_import VALUES (86316, '2021-02-16', 'CH', 'Switzerland', 'EURO', '1306', '542132', '14', '9130');
INSERT INTO public.who_import VALUES (86317, '2021-02-17', 'CH', 'Switzerland', 'EURO', '1134', '543266', '6', '9136');
INSERT INTO public.who_import VALUES (86318, '2021-02-18', 'CH', 'Switzerland', 'EURO', '1202', '544468', '8', '9144');
INSERT INTO public.who_import VALUES (86319, '2021-02-19', 'CH', 'Switzerland', 'EURO', '685', '545153', '3', '9147');
INSERT INTO public.who_import VALUES (86320, '2021-02-20', 'CH', 'Switzerland', 'EURO', '5', '545158', '1', '9148');
INSERT INTO public.who_import VALUES (86321, '2020-01-03', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86322, '2020-01-04', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86323, '2020-01-05', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86324, '2020-01-06', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86325, '2020-01-07', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86326, '2020-01-08', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86327, '2020-01-09', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86328, '2020-01-10', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86329, '2020-01-11', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86330, '2020-01-12', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86331, '2020-01-13', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86332, '2020-01-14', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86333, '2020-01-15', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86334, '2020-01-16', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86335, '2020-01-17', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86336, '2020-01-18', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86337, '2020-01-19', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86338, '2020-01-20', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86339, '2020-01-21', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86340, '2020-01-22', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86341, '2020-01-23', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86342, '2020-01-24', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86343, '2020-01-25', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86344, '2020-01-26', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86345, '2020-01-27', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86346, '2020-01-28', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86347, '2020-01-29', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86348, '2020-01-30', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86349, '2020-01-31', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86350, '2020-02-01', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86351, '2020-02-02', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86352, '2020-02-03', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86353, '2020-02-04', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86354, '2020-02-05', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86355, '2020-02-06', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86356, '2020-02-07', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86357, '2020-02-08', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86358, '2020-02-09', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86359, '2020-02-10', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86360, '2020-02-11', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86361, '2020-02-12', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86362, '2020-02-13', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86363, '2020-02-14', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86364, '2020-02-15', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86365, '2020-02-16', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86366, '2020-02-17', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86367, '2020-02-18', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86368, '2020-02-19', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86369, '2020-02-20', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86370, '2020-02-21', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86371, '2020-02-22', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86372, '2020-02-23', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86373, '2020-02-24', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86374, '2020-02-25', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86375, '2020-02-26', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86376, '2020-02-27', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86377, '2020-02-28', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86378, '2020-02-29', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86379, '2020-03-01', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86380, '2020-03-02', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86381, '2020-03-03', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86382, '2020-03-04', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86383, '2020-03-05', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86384, '2020-03-06', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86385, '2020-03-07', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86386, '2020-03-08', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86387, '2020-03-09', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86388, '2020-03-10', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86389, '2020-03-11', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86390, '2020-03-12', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86391, '2020-03-13', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86392, '2020-03-14', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86393, '2020-03-15', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86394, '2020-03-16', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86395, '2020-03-17', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86396, '2020-03-18', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86397, '2020-03-19', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86398, '2020-03-20', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86399, '2020-03-21', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86400, '2020-03-22', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86401, '2020-03-23', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (86402, '2020-03-24', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (86403, '2020-03-25', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (86404, '2020-03-26', 'SY', 'Syrian Arab Republic', 'EMRO', '4', '5', '0', '0');
INSERT INTO public.who_import VALUES (86405, '2020-03-27', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (86406, '2020-03-28', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (86407, '2020-03-29', 'SY', 'Syrian Arab Republic', 'EMRO', '4', '9', '1', '1');
INSERT INTO public.who_import VALUES (86408, '2020-03-30', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (86409, '2020-03-31', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '10', '1', '2');
INSERT INTO public.who_import VALUES (86410, '2020-04-01', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (86411, '2020-04-02', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (86412, '2020-04-03', 'SY', 'Syrian Arab Republic', 'EMRO', '6', '16', '0', '2');
INSERT INTO public.who_import VALUES (86413, '2020-04-04', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '16', '0', '2');
INSERT INTO public.who_import VALUES (86414, '2020-04-05', 'SY', 'Syrian Arab Republic', 'EMRO', '3', '19', '0', '2');
INSERT INTO public.who_import VALUES (86415, '2020-04-06', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (86416, '2020-04-07', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (86417, '2020-04-08', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (86418, '2020-04-09', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (86419, '2020-04-10', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '19', '0', '2');
INSERT INTO public.who_import VALUES (86420, '2020-04-11', 'SY', 'Syrian Arab Republic', 'EMRO', '6', '25', '0', '2');
INSERT INTO public.who_import VALUES (86421, '2020-04-12', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '25', '0', '2');
INSERT INTO public.who_import VALUES (86422, '2020-04-13', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '25', '0', '2');
INSERT INTO public.who_import VALUES (86423, '2020-04-14', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '25', '0', '2');
INSERT INTO public.who_import VALUES (86424, '2020-04-15', 'SY', 'Syrian Arab Republic', 'EMRO', '4', '29', '0', '2');
INSERT INTO public.who_import VALUES (86425, '2020-04-16', 'SY', 'Syrian Arab Republic', 'EMRO', '4', '33', '0', '2');
INSERT INTO public.who_import VALUES (86426, '2020-04-17', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '33', '0', '2');
INSERT INTO public.who_import VALUES (86427, '2020-04-18', 'SY', 'Syrian Arab Republic', 'EMRO', '5', '38', '0', '2');
INSERT INTO public.who_import VALUES (86428, '2020-04-19', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '38', '0', '2');
INSERT INTO public.who_import VALUES (86429, '2020-04-20', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '39', '1', '3');
INSERT INTO public.who_import VALUES (86430, '2020-04-21', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '39', '0', '3');
INSERT INTO public.who_import VALUES (86431, '2020-04-22', 'SY', 'Syrian Arab Republic', 'EMRO', '3', '42', '0', '3');
INSERT INTO public.who_import VALUES (86432, '2020-04-23', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (86433, '2020-04-24', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (86434, '2020-04-25', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (86435, '2020-04-26', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '42', '0', '3');
INSERT INTO public.who_import VALUES (86436, '2020-04-27', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '43', '0', '3');
INSERT INTO public.who_import VALUES (86437, '2020-04-28', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (86438, '2020-04-29', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (86439, '2020-04-30', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (86440, '2020-05-01', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '43', '0', '3');
INSERT INTO public.who_import VALUES (86441, '2020-05-02', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '44', '0', '3');
INSERT INTO public.who_import VALUES (86442, '2020-05-03', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (86443, '2020-05-04', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (86444, '2020-05-05', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (86445, '2020-05-06', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '45', '0', '3');
INSERT INTO public.who_import VALUES (86446, '2020-05-07', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '45', '0', '3');
INSERT INTO public.who_import VALUES (86447, '2020-05-08', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '45', '0', '3');
INSERT INTO public.who_import VALUES (86448, '2020-05-09', 'SY', 'Syrian Arab Republic', 'EMRO', '2', '47', '0', '3');
INSERT INTO public.who_import VALUES (86449, '2020-05-10', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '47', '0', '3');
INSERT INTO public.who_import VALUES (86450, '2020-05-11', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '47', '0', '3');
INSERT INTO public.who_import VALUES (86451, '2020-05-12', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '47', '0', '3');
INSERT INTO public.who_import VALUES (86452, '2020-05-13', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '48', '0', '3');
INSERT INTO public.who_import VALUES (86453, '2020-05-14', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '48', '0', '3');
INSERT INTO public.who_import VALUES (86454, '2020-05-15', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '48', '0', '3');
INSERT INTO public.who_import VALUES (86455, '2020-05-16', 'SY', 'Syrian Arab Republic', 'EMRO', '2', '50', '0', '3');
INSERT INTO public.who_import VALUES (86456, '2020-05-17', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '51', '0', '3');
INSERT INTO public.who_import VALUES (86457, '2020-05-18', 'SY', 'Syrian Arab Republic', 'EMRO', '7', '58', '0', '3');
INSERT INTO public.who_import VALUES (86458, '2020-05-19', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '58', '0', '3');
INSERT INTO public.who_import VALUES (86459, '2020-05-20', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '58', '0', '3');
INSERT INTO public.who_import VALUES (86460, '2020-05-21', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '58', '0', '3');
INSERT INTO public.who_import VALUES (86461, '2020-05-22', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '58', '0', '3');
INSERT INTO public.who_import VALUES (86462, '2020-05-23', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '59', '1', '4');
INSERT INTO public.who_import VALUES (86463, '2020-05-24', 'SY', 'Syrian Arab Republic', 'EMRO', '11', '70', '0', '4');
INSERT INTO public.who_import VALUES (86464, '2020-05-25', 'SY', 'Syrian Arab Republic', 'EMRO', '16', '86', '0', '4');
INSERT INTO public.who_import VALUES (86465, '2020-05-26', 'SY', 'Syrian Arab Republic', 'EMRO', '20', '106', '0', '4');
INSERT INTO public.who_import VALUES (86466, '2020-05-27', 'SY', 'Syrian Arab Republic', 'EMRO', '15', '121', '0', '4');
INSERT INTO public.who_import VALUES (86467, '2020-05-28', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '121', '0', '4');
INSERT INTO public.who_import VALUES (86468, '2020-05-29', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '122', '0', '4');
INSERT INTO public.who_import VALUES (86469, '2020-05-30', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '122', '0', '4');
INSERT INTO public.who_import VALUES (86470, '2020-05-31', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '122', '0', '4');
INSERT INTO public.who_import VALUES (86471, '2020-06-01', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '122', '1', '5');
INSERT INTO public.who_import VALUES (86472, '2020-06-02', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '123', '0', '5');
INSERT INTO public.who_import VALUES (86473, '2020-06-03', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '123', '1', '6');
INSERT INTO public.who_import VALUES (86474, '2020-06-04', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '123', '0', '6');
INSERT INTO public.who_import VALUES (86475, '2020-06-05', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '124', '0', '6');
INSERT INTO public.who_import VALUES (86476, '2020-06-06', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '124', '0', '6');
INSERT INTO public.who_import VALUES (86477, '2020-06-07', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '125', '0', '6');
INSERT INTO public.who_import VALUES (86478, '2020-06-08', 'SY', 'Syrian Arab Republic', 'EMRO', '16', '141', '0', '6');
INSERT INTO public.who_import VALUES (86479, '2020-06-09', 'SY', 'Syrian Arab Republic', 'EMRO', '3', '144', '0', '6');
INSERT INTO public.who_import VALUES (86480, '2020-06-10', 'SY', 'Syrian Arab Republic', 'EMRO', '2', '146', '0', '6');
INSERT INTO public.who_import VALUES (86481, '2020-06-11', 'SY', 'Syrian Arab Republic', 'EMRO', '6', '152', '0', '6');
INSERT INTO public.who_import VALUES (86482, '2020-06-12', 'SY', 'Syrian Arab Republic', 'EMRO', '12', '164', '0', '6');
INSERT INTO public.who_import VALUES (86483, '2020-06-13', 'SY', 'Syrian Arab Republic', 'EMRO', '6', '170', '0', '6');
INSERT INTO public.who_import VALUES (86484, '2020-06-14', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '170', '0', '6');
INSERT INTO public.who_import VALUES (86485, '2020-06-15', 'SY', 'Syrian Arab Republic', 'EMRO', '7', '177', '0', '6');
INSERT INTO public.who_import VALUES (86486, '2020-06-16', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '177', '0', '6');
INSERT INTO public.who_import VALUES (86487, '2020-06-17', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '177', '0', '6');
INSERT INTO public.who_import VALUES (86488, '2020-06-18', 'SY', 'Syrian Arab Republic', 'EMRO', '1', '178', '1', '7');
INSERT INTO public.who_import VALUES (86489, '2020-06-19', 'SY', 'Syrian Arab Republic', 'EMRO', '9', '187', '0', '7');
INSERT INTO public.who_import VALUES (86490, '2020-06-20', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '187', '0', '7');
INSERT INTO public.who_import VALUES (86491, '2020-06-21', 'SY', 'Syrian Arab Republic', 'EMRO', '11', '198', '0', '7');
INSERT INTO public.who_import VALUES (86492, '2020-06-22', 'SY', 'Syrian Arab Republic', 'EMRO', '6', '204', '0', '7');
INSERT INTO public.who_import VALUES (86493, '2020-06-23', 'SY', 'Syrian Arab Republic', 'EMRO', '15', '219', '0', '7');
INSERT INTO public.who_import VALUES (86494, '2020-06-24', 'SY', 'Syrian Arab Republic', 'EMRO', '12', '231', '0', '7');
INSERT INTO public.who_import VALUES (86495, '2020-06-25', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '231', '0', '7');
INSERT INTO public.who_import VALUES (86496, '2020-06-26', 'SY', 'Syrian Arab Republic', 'EMRO', '11', '242', '0', '7');
INSERT INTO public.who_import VALUES (86497, '2020-06-27', 'SY', 'Syrian Arab Republic', 'EMRO', '12', '254', '0', '7');
INSERT INTO public.who_import VALUES (86498, '2020-06-28', 'SY', 'Syrian Arab Republic', 'EMRO', '2', '256', '2', '9');
INSERT INTO public.who_import VALUES (86499, '2020-06-29', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '256', '0', '9');
INSERT INTO public.who_import VALUES (86500, '2020-06-30', 'SY', 'Syrian Arab Republic', 'EMRO', '13', '269', '0', '9');
INSERT INTO public.who_import VALUES (86501, '2020-07-01', 'SY', 'Syrian Arab Republic', 'EMRO', '10', '279', '0', '9');
INSERT INTO public.who_import VALUES (86502, '2020-07-02', 'SY', 'Syrian Arab Republic', 'EMRO', '14', '293', '0', '9');
INSERT INTO public.who_import VALUES (86503, '2020-07-03', 'SY', 'Syrian Arab Republic', 'EMRO', '19', '312', '0', '9');
INSERT INTO public.who_import VALUES (86504, '2020-07-04', 'SY', 'Syrian Arab Republic', 'EMRO', '16', '328', '1', '10');
INSERT INTO public.who_import VALUES (86505, '2020-07-05', 'SY', 'Syrian Arab Republic', 'EMRO', '10', '338', '0', '10');
INSERT INTO public.who_import VALUES (86506, '2020-07-06', 'SY', 'Syrian Arab Republic', 'EMRO', '20', '358', '3', '13');
INSERT INTO public.who_import VALUES (86507, '2020-07-07', 'SY', 'Syrian Arab Republic', 'EMRO', '14', '372', '1', '14');
INSERT INTO public.who_import VALUES (86508, '2020-07-08', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '372', '0', '14');
INSERT INTO public.who_import VALUES (86509, '2020-07-09', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '372', '0', '14');
INSERT INTO public.who_import VALUES (86510, '2020-07-10', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '372', '0', '14');
INSERT INTO public.who_import VALUES (86511, '2020-07-11', 'SY', 'Syrian Arab Republic', 'EMRO', '22', '394', '2', '16');
INSERT INTO public.who_import VALUES (86512, '2020-07-12', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '394', '0', '16');
INSERT INTO public.who_import VALUES (86513, '2020-07-13', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '394', '0', '16');
INSERT INTO public.who_import VALUES (86514, '2020-07-14', 'SY', 'Syrian Arab Republic', 'EMRO', '23', '417', '3', '19');
INSERT INTO public.who_import VALUES (86515, '2020-07-15', 'SY', 'Syrian Arab Republic', 'EMRO', '22', '439', '2', '21');
INSERT INTO public.who_import VALUES (86516, '2020-07-16', 'SY', 'Syrian Arab Republic', 'EMRO', '19', '458', '1', '22');
INSERT INTO public.who_import VALUES (86517, '2020-07-17', 'SY', 'Syrian Arab Republic', 'EMRO', '19', '477', '0', '22');
INSERT INTO public.who_import VALUES (86518, '2020-07-18', 'SY', 'Syrian Arab Republic', 'EMRO', '19', '496', '3', '25');
INSERT INTO public.who_import VALUES (86519, '2020-07-19', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '496', '0', '25');
INSERT INTO public.who_import VALUES (86520, '2020-07-20', 'SY', 'Syrian Arab Republic', 'EMRO', '0', '496', '0', '25');
INSERT INTO public.who_import VALUES (86521, '2020-07-21', 'SY', 'Syrian Arab Republic', 'EMRO', '26', '522', '4', '29');
INSERT INTO public.who_import VALUES (86522, '2020-07-22', 'SY', 'Syrian Arab Republic', 'EMRO', '18', '540', '2', '31');
INSERT INTO public.who_import VALUES (86523, '2020-07-23', 'SY', 'Syrian Arab Republic', 'EMRO', '21', '561', '1', '32');
INSERT INTO public.who_import VALUES (86524, '2020-07-24', 'SY', 'Syrian Arab Republic', 'EMRO', '23', '584', '3', '35');
INSERT INTO public.who_import VALUES (86525, '2020-07-25', 'SY', 'Syrian Arab Republic', 'EMRO', '24', '608', '0', '35');
INSERT INTO public.who_import VALUES (86526, '2020-07-26', 'SY', 'Syrian Arab Republic', 'EMRO', '19', '627', '1', '36');
INSERT INTO public.who_import VALUES (86527, '2020-07-27', 'SY', 'Syrian Arab Republic', 'EMRO', '23', '650', '2', '38');
INSERT INTO public.who_import VALUES (86528, '2020-07-28', 'SY', 'Syrian Arab Republic', 'EMRO', '24', '674', '2', '40');
INSERT INTO public.who_import VALUES (86529, '2020-07-29', 'SY', 'Syrian Arab Republic', 'EMRO', '20', '694', '0', '40');
INSERT INTO public.who_import VALUES (86530, '2020-07-30', 'SY', 'Syrian Arab Republic', 'EMRO', '23', '717', '0', '40');
INSERT INTO public.who_import VALUES (86531, '2020-07-31', 'SY', 'Syrian Arab Republic', 'EMRO', '21', '738', '1', '41');
INSERT INTO public.who_import VALUES (86532, '2020-08-01', 'SY', 'Syrian Arab Republic', 'EMRO', '19', '757', '2', '43');
INSERT INTO public.who_import VALUES (86533, '2020-08-02', 'SY', 'Syrian Arab Republic', 'EMRO', '23', '780', '0', '43');
INSERT INTO public.who_import VALUES (86534, '2020-08-03', 'SY', 'Syrian Arab Republic', 'EMRO', '29', '809', '1', '44');
INSERT INTO public.who_import VALUES (86535, '2020-08-04', 'SY', 'Syrian Arab Republic', 'EMRO', '38', '847', '2', '46');
INSERT INTO public.who_import VALUES (86536, '2020-08-05', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '892', '0', '46');
INSERT INTO public.who_import VALUES (86537, '2020-08-06', 'SY', 'Syrian Arab Republic', 'EMRO', '52', '944', '2', '48');
INSERT INTO public.who_import VALUES (86538, '2020-08-07', 'SY', 'Syrian Arab Republic', 'EMRO', '55', '999', '0', '48');
INSERT INTO public.who_import VALUES (86539, '2020-08-08', 'SY', 'Syrian Arab Republic', 'EMRO', '61', '1060', '0', '48');
INSERT INTO public.who_import VALUES (86540, '2020-08-09', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '1125', '2', '50');
INSERT INTO public.who_import VALUES (86541, '2020-08-10', 'SY', 'Syrian Arab Republic', 'EMRO', '63', '1188', '2', '52');
INSERT INTO public.who_import VALUES (86542, '2020-08-11', 'SY', 'Syrian Arab Republic', 'EMRO', '67', '1255', '0', '52');
INSERT INTO public.who_import VALUES (86543, '2020-08-12', 'SY', 'Syrian Arab Republic', 'EMRO', '72', '1327', '1', '53');
INSERT INTO public.who_import VALUES (86544, '2020-08-13', 'SY', 'Syrian Arab Republic', 'EMRO', '75', '1402', '0', '53');
INSERT INTO public.who_import VALUES (86545, '2020-08-14', 'SY', 'Syrian Arab Republic', 'EMRO', '30', '1432', '2', '55');
INSERT INTO public.who_import VALUES (86546, '2020-08-15', 'SY', 'Syrian Arab Republic', 'EMRO', '83', '1515', '3', '58');
INSERT INTO public.who_import VALUES (86547, '2020-08-16', 'SY', 'Syrian Arab Republic', 'EMRO', '78', '1593', '2', '60');
INSERT INTO public.who_import VALUES (86548, '2020-08-17', 'SY', 'Syrian Arab Republic', 'EMRO', '84', '1677', '4', '64');
INSERT INTO public.who_import VALUES (86549, '2020-08-18', 'SY', 'Syrian Arab Republic', 'EMRO', '87', '1764', '4', '68');
INSERT INTO public.who_import VALUES (86550, '2020-08-19', 'SY', 'Syrian Arab Republic', 'EMRO', '80', '1844', '5', '73');
INSERT INTO public.who_import VALUES (86551, '2020-08-20', 'SY', 'Syrian Arab Republic', 'EMRO', '83', '1927', '5', '78');
INSERT INTO public.who_import VALUES (86552, '2020-08-21', 'SY', 'Syrian Arab Republic', 'EMRO', '81', '2008', '4', '82');
INSERT INTO public.who_import VALUES (86553, '2020-08-22', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '2073', '1', '83');
INSERT INTO public.who_import VALUES (86554, '2020-08-23', 'SY', 'Syrian Arab Republic', 'EMRO', '70', '2143', '2', '85');
INSERT INTO public.who_import VALUES (86555, '2020-08-24', 'SY', 'Syrian Arab Republic', 'EMRO', '74', '2217', '4', '89');
INSERT INTO public.who_import VALUES (86556, '2020-08-25', 'SY', 'Syrian Arab Republic', 'EMRO', '76', '2293', '3', '92');
INSERT INTO public.who_import VALUES (86557, '2020-08-26', 'SY', 'Syrian Arab Republic', 'EMRO', '72', '2365', '3', '95');
INSERT INTO public.who_import VALUES (86558, '2020-08-27', 'SY', 'Syrian Arab Republic', 'EMRO', '75', '2440', '3', '98');
INSERT INTO public.who_import VALUES (86559, '2020-08-28', 'SY', 'Syrian Arab Republic', 'EMRO', '64', '2504', '2', '100');
INSERT INTO public.who_import VALUES (86560, '2020-08-29', 'SY', 'Syrian Arab Republic', 'EMRO', '59', '2563', '3', '103');
INSERT INTO public.who_import VALUES (86561, '2020-08-30', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '2628', '3', '106');
INSERT INTO public.who_import VALUES (86562, '2020-08-31', 'SY', 'Syrian Arab Republic', 'EMRO', '75', '2703', '3', '109');
INSERT INTO public.who_import VALUES (86563, '2020-09-01', 'SY', 'Syrian Arab Republic', 'EMRO', '62', '2765', '3', '112');
INSERT INTO public.who_import VALUES (86564, '2020-09-02', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '2830', '4', '116');
INSERT INTO public.who_import VALUES (86565, '2020-09-03', 'SY', 'Syrian Arab Republic', 'EMRO', '68', '2898', '4', '120');
INSERT INTO public.who_import VALUES (86566, '2020-09-04', 'SY', 'Syrian Arab Republic', 'EMRO', '75', '2973', '4', '124');
INSERT INTO public.who_import VALUES (86567, '2020-09-05', 'SY', 'Syrian Arab Republic', 'EMRO', '68', '3041', '3', '127');
INSERT INTO public.who_import VALUES (86568, '2020-09-06', 'SY', 'Syrian Arab Republic', 'EMRO', '63', '3104', '3', '130');
INSERT INTO public.who_import VALUES (86569, '2020-09-07', 'SY', 'Syrian Arab Republic', 'EMRO', '67', '3171', '4', '134');
INSERT INTO public.who_import VALUES (86570, '2020-09-08', 'SY', 'Syrian Arab Republic', 'EMRO', '58', '3229', '3', '137');
INSERT INTO public.who_import VALUES (86571, '2020-09-09', 'SY', 'Syrian Arab Republic', 'EMRO', '60', '3289', '3', '140');
INSERT INTO public.who_import VALUES (86572, '2020-09-10', 'SY', 'Syrian Arab Republic', 'EMRO', '62', '3351', '3', '143');
INSERT INTO public.who_import VALUES (86573, '2020-09-11', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '3416', '4', '147');
INSERT INTO public.who_import VALUES (86574, '2020-09-12', 'SY', 'Syrian Arab Republic', 'EMRO', '60', '3476', '3', '150');
INSERT INTO public.who_import VALUES (86575, '2020-09-13', 'SY', 'Syrian Arab Republic', 'EMRO', '30', '3506', '2', '152');
INSERT INTO public.who_import VALUES (86576, '2020-09-14', 'SY', 'Syrian Arab Republic', 'EMRO', '34', '3540', '3', '155');
INSERT INTO public.who_import VALUES (86577, '2020-09-15', 'SY', 'Syrian Arab Republic', 'EMRO', '36', '3576', '2', '157');
INSERT INTO public.who_import VALUES (86578, '2020-09-16', 'SY', 'Syrian Arab Republic', 'EMRO', '38', '3614', '3', '160');
INSERT INTO public.who_import VALUES (86579, '2020-09-17', 'SY', 'Syrian Arab Republic', 'EMRO', '40', '3654', '3', '163');
INSERT INTO public.who_import VALUES (86580, '2020-09-18', 'SY', 'Syrian Arab Republic', 'EMRO', '37', '3691', '2', '165');
INSERT INTO public.who_import VALUES (86581, '2020-09-19', 'SY', 'Syrian Arab Republic', 'EMRO', '40', '3731', '3', '168');
INSERT INTO public.who_import VALUES (86582, '2020-09-20', 'SY', 'Syrian Arab Republic', 'EMRO', '34', '3765', '2', '170');
INSERT INTO public.who_import VALUES (86583, '2020-09-21', 'SY', 'Syrian Arab Republic', 'EMRO', '35', '3800', '2', '172');
INSERT INTO public.who_import VALUES (86584, '2020-09-22', 'SY', 'Syrian Arab Republic', 'EMRO', '33', '3833', '3', '175');
INSERT INTO public.who_import VALUES (86585, '2020-09-23', 'SY', 'Syrian Arab Republic', 'EMRO', '44', '3877', '3', '178');
INSERT INTO public.who_import VALUES (86586, '2020-09-24', 'SY', 'Syrian Arab Republic', 'EMRO', '47', '3924', '3', '181');
INSERT INTO public.who_import VALUES (86587, '2020-09-25', 'SY', 'Syrian Arab Republic', 'EMRO', '42', '3966', '2', '183');
INSERT INTO public.who_import VALUES (86588, '2020-09-26', 'SY', 'Syrian Arab Republic', 'EMRO', '35', '4001', '2', '185');
INSERT INTO public.who_import VALUES (86589, '2020-09-27', 'SY', 'Syrian Arab Republic', 'EMRO', '37', '4038', '3', '188');
INSERT INTO public.who_import VALUES (86590, '2020-09-28', 'SY', 'Syrian Arab Republic', 'EMRO', '34', '4072', '4', '192');
INSERT INTO public.who_import VALUES (86591, '2020-09-29', 'SY', 'Syrian Arab Republic', 'EMRO', '30', '4102', '2', '194');
INSERT INTO public.who_import VALUES (86592, '2020-09-30', 'SY', 'Syrian Arab Republic', 'EMRO', '46', '4148', '3', '197');
INSERT INTO public.who_import VALUES (86593, '2020-10-01', 'SY', 'Syrian Arab Republic', 'EMRO', '52', '4200', '3', '200');
INSERT INTO public.who_import VALUES (86594, '2020-10-02', 'SY', 'Syrian Arab Republic', 'EMRO', '47', '4247', '2', '202');
INSERT INTO public.who_import VALUES (86595, '2020-10-03', 'SY', 'Syrian Arab Republic', 'EMRO', '42', '4289', '1', '203');
INSERT INTO public.who_import VALUES (86596, '2020-10-04', 'SY', 'Syrian Arab Republic', 'EMRO', '40', '4329', '1', '204');
INSERT INTO public.who_import VALUES (86597, '2020-10-05', 'SY', 'Syrian Arab Republic', 'EMRO', '37', '4366', '1', '205');
INSERT INTO public.who_import VALUES (86598, '2020-10-06', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '4411', '2', '207');
INSERT INTO public.who_import VALUES (86599, '2020-10-07', 'SY', 'Syrian Arab Republic', 'EMRO', '46', '4457', '2', '209');
INSERT INTO public.who_import VALUES (86600, '2020-10-08', 'SY', 'Syrian Arab Republic', 'EMRO', '47', '4504', '3', '212');
INSERT INTO public.who_import VALUES (86601, '2020-10-09', 'SY', 'Syrian Arab Republic', 'EMRO', '62', '4566', '3', '215');
INSERT INTO public.who_import VALUES (86602, '2020-10-10', 'SY', 'Syrian Arab Republic', 'EMRO', '50', '4616', '3', '218');
INSERT INTO public.who_import VALUES (86603, '2020-10-11', 'SY', 'Syrian Arab Republic', 'EMRO', '57', '4673', '3', '221');
INSERT INTO public.who_import VALUES (86604, '2020-10-12', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '4718', '3', '224');
INSERT INTO public.who_import VALUES (86605, '2020-10-13', 'SY', 'Syrian Arab Republic', 'EMRO', '56', '4774', '4', '228');
INSERT INTO public.who_import VALUES (86606, '2020-10-14', 'SY', 'Syrian Arab Republic', 'EMRO', '52', '4826', '3', '231');
INSERT INTO public.who_import VALUES (86607, '2020-10-15', 'SY', 'Syrian Arab Republic', 'EMRO', '57', '4883', '3', '234');
INSERT INTO public.who_import VALUES (86608, '2020-10-16', 'SY', 'Syrian Arab Republic', 'EMRO', '48', '4931', '4', '238');
INSERT INTO public.who_import VALUES (86609, '2020-10-17', 'SY', 'Syrian Arab Republic', 'EMRO', '56', '4987', '3', '241');
INSERT INTO public.who_import VALUES (86610, '2020-10-18', 'SY', 'Syrian Arab Republic', 'EMRO', '46', '5033', '4', '245');
INSERT INTO public.who_import VALUES (86611, '2020-10-19', 'SY', 'Syrian Arab Republic', 'EMRO', '44', '5077', '3', '248');
INSERT INTO public.who_import VALUES (86612, '2020-10-20', 'SY', 'Syrian Arab Republic', 'EMRO', '57', '5134', '3', '251');
INSERT INTO public.who_import VALUES (86613, '2020-10-21', 'SY', 'Syrian Arab Republic', 'EMRO', '46', '5180', '3', '254');
INSERT INTO public.who_import VALUES (86614, '2020-10-22', 'SY', 'Syrian Arab Republic', 'EMRO', '44', '5224', '3', '257');
INSERT INTO public.who_import VALUES (86615, '2020-10-23', 'SY', 'Syrian Arab Republic', 'EMRO', '43', '5267', '3', '260');
INSERT INTO public.who_import VALUES (86616, '2020-10-24', 'SY', 'Syrian Arab Republic', 'EMRO', '52', '5319', '4', '264');
INSERT INTO public.who_import VALUES (86617, '2020-10-25', 'SY', 'Syrian Arab Republic', 'EMRO', '40', '5359', '3', '267');
INSERT INTO public.who_import VALUES (86618, '2020-10-26', 'SY', 'Syrian Arab Republic', 'EMRO', '49', '5408', '2', '269');
INSERT INTO public.who_import VALUES (86619, '2020-10-27', 'SY', 'Syrian Arab Republic', 'EMRO', '53', '5461', '3', '272');
INSERT INTO public.who_import VALUES (86620, '2020-10-28', 'SY', 'Syrian Arab Republic', 'EMRO', '67', '5528', '3', '275');
INSERT INTO public.who_import VALUES (86621, '2020-10-29', 'SY', 'Syrian Arab Republic', 'EMRO', '52', '5580', '3', '278');
INSERT INTO public.who_import VALUES (86622, '2020-10-30', 'SY', 'Syrian Arab Republic', 'EMRO', '53', '5633', '3', '281');
INSERT INTO public.who_import VALUES (86623, '2020-10-31', 'SY', 'Syrian Arab Republic', 'EMRO', '50', '5683', '4', '285');
INSERT INTO public.who_import VALUES (86624, '2020-11-01', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '5728', '3', '288');
INSERT INTO public.who_import VALUES (86625, '2020-11-02', 'SY', 'Syrian Arab Republic', 'EMRO', '61', '5789', '4', '292');
INSERT INTO public.who_import VALUES (86626, '2020-11-03', 'SY', 'Syrian Arab Republic', 'EMRO', '54', '5843', '3', '295');
INSERT INTO public.who_import VALUES (86627, '2020-11-04', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '5888', '3', '298');
INSERT INTO public.who_import VALUES (86628, '2020-11-05', 'SY', 'Syrian Arab Republic', 'EMRO', '76', '5964', '3', '301');
INSERT INTO public.who_import VALUES (86629, '2020-11-06', 'SY', 'Syrian Arab Republic', 'EMRO', '76', '6040', '4', '305');
INSERT INTO public.who_import VALUES (86630, '2020-11-07', 'SY', 'Syrian Arab Republic', 'EMRO', '62', '6102', '4', '309');
INSERT INTO public.who_import VALUES (86631, '2020-11-08', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '6147', '4', '313');
INSERT INTO public.who_import VALUES (86632, '2020-11-09', 'SY', 'Syrian Arab Republic', 'EMRO', '68', '6215', '4', '317');
INSERT INTO public.who_import VALUES (86633, '2020-11-10', 'SY', 'Syrian Arab Republic', 'EMRO', '69', '6284', '4', '321');
INSERT INTO public.who_import VALUES (86634, '2020-11-11', 'SY', 'Syrian Arab Republic', 'EMRO', '68', '6352', '4', '325');
INSERT INTO public.who_import VALUES (86635, '2020-11-12', 'SY', 'Syrian Arab Republic', 'EMRO', '69', '6421', '4', '329');
INSERT INTO public.who_import VALUES (86636, '2020-11-13', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '6486', '4', '333');
INSERT INTO public.who_import VALUES (86637, '2020-11-14', 'SY', 'Syrian Arab Republic', 'EMRO', '66', '6552', '4', '337');
INSERT INTO public.who_import VALUES (86638, '2020-11-15', 'SY', 'Syrian Arab Republic', 'EMRO', '61', '6613', '4', '341');
INSERT INTO public.who_import VALUES (86639, '2020-11-16', 'SY', 'Syrian Arab Republic', 'EMRO', '71', '6684', '4', '345');
INSERT INTO public.who_import VALUES (86640, '2020-11-17', 'SY', 'Syrian Arab Republic', 'EMRO', '75', '6759', '5', '350');
INSERT INTO public.who_import VALUES (86641, '2020-11-18', 'SY', 'Syrian Arab Republic', 'EMRO', '77', '6836', '4', '354');
INSERT INTO public.who_import VALUES (86642, '2020-11-19', 'SY', 'Syrian Arab Republic', 'EMRO', '83', '6919', '4', '358');
INSERT INTO public.who_import VALUES (86643, '2020-11-20', 'SY', 'Syrian Arab Republic', 'EMRO', '72', '6991', '5', '363');
INSERT INTO public.who_import VALUES (86644, '2020-11-21', 'SY', 'Syrian Arab Republic', 'EMRO', '88', '7079', '5', '368');
INSERT INTO public.who_import VALUES (86645, '2020-11-22', 'SY', 'Syrian Arab Republic', 'EMRO', '75', '7154', '4', '372');
INSERT INTO public.who_import VALUES (86646, '2020-11-23', 'SY', 'Syrian Arab Republic', 'EMRO', '71', '7225', '4', '376');
INSERT INTO public.who_import VALUES (86647, '2020-11-24', 'SY', 'Syrian Arab Republic', 'EMRO', '70', '7295', '4', '380');
INSERT INTO public.who_import VALUES (88467, '2020-03-14', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (86648, '2020-11-25', 'SY', 'Syrian Arab Republic', 'EMRO', '74', '7369', '5', '385');
INSERT INTO public.who_import VALUES (86649, '2020-11-26', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '7459', '6', '391');
INSERT INTO public.who_import VALUES (86650, '2020-11-27', 'SY', 'Syrian Arab Republic', 'EMRO', '83', '7542', '8', '399');
INSERT INTO public.who_import VALUES (86651, '2020-11-28', 'SY', 'Syrian Arab Republic', 'EMRO', '93', '7635', '5', '404');
INSERT INTO public.who_import VALUES (86652, '2020-11-29', 'SY', 'Syrian Arab Republic', 'EMRO', '80', '7715', '5', '409');
INSERT INTO public.who_import VALUES (86653, '2020-11-30', 'SY', 'Syrian Arab Republic', 'EMRO', '82', '7797', '4', '413');
INSERT INTO public.who_import VALUES (86654, '2020-12-01', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '7887', '4', '417');
INSERT INTO public.who_import VALUES (86655, '2020-12-02', 'SY', 'Syrian Arab Republic', 'EMRO', '86', '7973', '5', '422');
INSERT INTO public.who_import VALUES (86656, '2020-12-03', 'SY', 'Syrian Arab Republic', 'EMRO', '86', '8059', '4', '426');
INSERT INTO public.who_import VALUES (86657, '2020-12-04', 'SY', 'Syrian Arab Republic', 'EMRO', '88', '8147', '6', '432');
INSERT INTO public.who_import VALUES (86658, '2020-12-05', 'SY', 'Syrian Arab Republic', 'EMRO', '86', '8233', '5', '437');
INSERT INTO public.who_import VALUES (86659, '2020-12-06', 'SY', 'Syrian Arab Republic', 'EMRO', '87', '8320', '5', '442');
INSERT INTO public.who_import VALUES (86660, '2020-12-07', 'SY', 'Syrian Arab Republic', 'EMRO', '83', '8403', '5', '447');
INSERT INTO public.who_import VALUES (86661, '2020-12-08', 'SY', 'Syrian Arab Republic', 'EMRO', '87', '8490', '5', '452');
INSERT INTO public.who_import VALUES (86662, '2020-12-09', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '8580', '6', '458');
INSERT INTO public.who_import VALUES (86663, '2020-12-10', 'SY', 'Syrian Arab Republic', 'EMRO', '95', '8675', '7', '465');
INSERT INTO public.who_import VALUES (86664, '2020-12-11', 'SY', 'Syrian Arab Republic', 'EMRO', '112', '8787', '11', '476');
INSERT INTO public.who_import VALUES (86665, '2020-12-12', 'SY', 'Syrian Arab Republic', 'EMRO', '124', '8911', '15', '491');
INSERT INTO public.who_import VALUES (86666, '2020-12-13', 'SY', 'Syrian Arab Republic', 'EMRO', '130', '9041', '15', '506');
INSERT INTO public.who_import VALUES (86667, '2020-12-14', 'SY', 'Syrian Arab Republic', 'EMRO', '125', '9166', '12', '518');
INSERT INTO public.who_import VALUES (86668, '2020-12-15', 'SY', 'Syrian Arab Republic', 'EMRO', '136', '9302', '12', '530');
INSERT INTO public.who_import VALUES (86669, '2020-12-16', 'SY', 'Syrian Arab Republic', 'EMRO', '150', '9452', '13', '543');
INSERT INTO public.who_import VALUES (86670, '2020-12-17', 'SY', 'Syrian Arab Republic', 'EMRO', '151', '9603', '11', '554');
INSERT INTO public.who_import VALUES (86671, '2020-12-18', 'SY', 'Syrian Arab Republic', 'EMRO', '156', '9759', '17', '571');
INSERT INTO public.who_import VALUES (86672, '2020-12-19', 'SY', 'Syrian Arab Republic', 'EMRO', '169', '9928', '20', '591');
INSERT INTO public.who_import VALUES (86673, '2020-12-20', 'SY', 'Syrian Arab Republic', 'EMRO', '122', '10050', '10', '601');
INSERT INTO public.who_import VALUES (86674, '2020-12-21', 'SY', 'Syrian Arab Republic', 'EMRO', '145', '10195', '9', '610');
INSERT INTO public.who_import VALUES (86675, '2020-12-22', 'SY', 'Syrian Arab Republic', 'EMRO', '123', '10318', '11', '621');
INSERT INTO public.who_import VALUES (86676, '2020-12-23', 'SY', 'Syrian Arab Republic', 'EMRO', '124', '10442', '9', '630');
INSERT INTO public.who_import VALUES (86677, '2020-12-24', 'SY', 'Syrian Arab Republic', 'EMRO', '129', '10571', '11', '641');
INSERT INTO public.who_import VALUES (86678, '2020-12-25', 'SY', 'Syrian Arab Republic', 'EMRO', '130', '10701', '11', '652');
INSERT INTO public.who_import VALUES (86679, '2020-12-26', 'SY', 'Syrian Arab Republic', 'EMRO', '120', '10821', '8', '660');
INSERT INTO public.who_import VALUES (86680, '2020-12-27', 'SY', 'Syrian Arab Republic', 'EMRO', '111', '10932', '9', '669');
INSERT INTO public.who_import VALUES (86681, '2020-12-28', 'SY', 'Syrian Arab Republic', 'EMRO', '101', '11033', '9', '678');
INSERT INTO public.who_import VALUES (86682, '2020-12-29', 'SY', 'Syrian Arab Republic', 'EMRO', '105', '11138', '8', '686');
INSERT INTO public.who_import VALUES (86683, '2020-12-30', 'SY', 'Syrian Arab Republic', 'EMRO', '105', '11243', '10', '696');
INSERT INTO public.who_import VALUES (86684, '2020-12-31', 'SY', 'Syrian Arab Republic', 'EMRO', '101', '11344', '8', '704');
INSERT INTO public.who_import VALUES (86685, '2021-01-01', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '11434', '7', '711');
INSERT INTO public.who_import VALUES (86686, '2021-01-02', 'SY', 'Syrian Arab Republic', 'EMRO', '92', '11526', '6', '717');
INSERT INTO public.who_import VALUES (86687, '2021-01-03', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '11616', '6', '723');
INSERT INTO public.who_import VALUES (86688, '2021-01-04', 'SY', 'Syrian Arab Republic', 'EMRO', '94', '11710', '6', '729');
INSERT INTO public.who_import VALUES (86689, '2021-01-05', 'SY', 'Syrian Arab Republic', 'EMRO', '89', '11799', '5', '734');
INSERT INTO public.who_import VALUES (86690, '2021-01-06', 'SY', 'Syrian Arab Republic', 'EMRO', '91', '11890', '7', '741');
INSERT INTO public.who_import VALUES (86691, '2021-01-07', 'SY', 'Syrian Arab Republic', 'EMRO', '98', '11988', '6', '747');
INSERT INTO public.who_import VALUES (86692, '2021-01-08', 'SY', 'Syrian Arab Republic', 'EMRO', '96', '12084', '8', '755');
INSERT INTO public.who_import VALUES (86693, '2021-01-09', 'SY', 'Syrian Arab Republic', 'EMRO', '95', '12179', '8', '763');
INSERT INTO public.who_import VALUES (86694, '2021-01-10', 'SY', 'Syrian Arab Republic', 'EMRO', '95', '12274', '5', '768');
INSERT INTO public.who_import VALUES (86695, '2021-01-11', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '12364', '6', '774');
INSERT INTO public.who_import VALUES (86696, '2021-01-12', 'SY', 'Syrian Arab Republic', 'EMRO', '98', '12462', '7', '781');
INSERT INTO public.who_import VALUES (86697, '2021-01-13', 'SY', 'Syrian Arab Republic', 'EMRO', '96', '12558', '9', '790');
INSERT INTO public.who_import VALUES (86698, '2021-01-14', 'SY', 'Syrian Arab Republic', 'EMRO', '102', '12660', '9', '799');
INSERT INTO public.who_import VALUES (86699, '2021-01-15', 'SY', 'Syrian Arab Republic', 'EMRO', '100', '12760', '10', '809');
INSERT INTO public.who_import VALUES (86700, '2021-01-16', 'SY', 'Syrian Arab Republic', 'EMRO', '90', '12850', '8', '817');
INSERT INTO public.who_import VALUES (86701, '2021-01-17', 'SY', 'Syrian Arab Republic', 'EMRO', '92', '12942', '7', '824');
INSERT INTO public.who_import VALUES (86702, '2021-01-18', 'SY', 'Syrian Arab Republic', 'EMRO', '94', '13036', '8', '832');
INSERT INTO public.who_import VALUES (86703, '2021-01-19', 'SY', 'Syrian Arab Republic', 'EMRO', '96', '13132', '9', '841');
INSERT INTO public.who_import VALUES (86704, '2021-01-20', 'SY', 'Syrian Arab Republic', 'EMRO', '92', '13224', '9', '850');
INSERT INTO public.who_import VALUES (86705, '2021-01-21', 'SY', 'Syrian Arab Republic', 'EMRO', '89', '13313', '8', '858');
INSERT INTO public.who_import VALUES (86706, '2021-01-22', 'SY', 'Syrian Arab Republic', 'EMRO', '85', '13398', '8', '866');
INSERT INTO public.who_import VALUES (86707, '2021-01-23', 'SY', 'Syrian Arab Republic', 'EMRO', '81', '13479', '7', '873');
INSERT INTO public.who_import VALUES (86708, '2021-01-24', 'SY', 'Syrian Arab Republic', 'EMRO', '78', '13557', '6', '879');
INSERT INTO public.who_import VALUES (86709, '2021-01-25', 'SY', 'Syrian Arab Republic', 'EMRO', '71', '13628', '6', '885');
INSERT INTO public.who_import VALUES (86710, '2021-01-26', 'SY', 'Syrian Arab Republic', 'EMRO', '69', '13697', '5', '890');
INSERT INTO public.who_import VALUES (86711, '2021-01-27', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '13762', '5', '895');
INSERT INTO public.who_import VALUES (86712, '2021-01-28', 'SY', 'Syrian Arab Republic', 'EMRO', '61', '13823', '5', '900');
INSERT INTO public.who_import VALUES (86713, '2021-01-29', 'SY', 'Syrian Arab Republic', 'EMRO', '62', '13885', '6', '906');
INSERT INTO public.who_import VALUES (86714, '2021-01-30', 'SY', 'Syrian Arab Republic', 'EMRO', '59', '13944', '5', '911');
INSERT INTO public.who_import VALUES (86715, '2021-01-31', 'SY', 'Syrian Arab Republic', 'EMRO', '54', '13998', '5', '916');
INSERT INTO public.who_import VALUES (86716, '2021-02-01', 'SY', 'Syrian Arab Republic', 'EMRO', '50', '14048', '5', '921');
INSERT INTO public.who_import VALUES (86717, '2021-02-02', 'SY', 'Syrian Arab Republic', 'EMRO', '48', '14096', '5', '926');
INSERT INTO public.who_import VALUES (86718, '2021-02-03', 'SY', 'Syrian Arab Republic', 'EMRO', '46', '14142', '3', '929');
INSERT INTO public.who_import VALUES (86719, '2021-02-04', 'SY', 'Syrian Arab Republic', 'EMRO', '60', '14202', '4', '933');
INSERT INTO public.who_import VALUES (86720, '2021-02-05', 'SY', 'Syrian Arab Republic', 'EMRO', '65', '14267', '5', '938');
INSERT INTO public.who_import VALUES (86721, '2021-02-06', 'SY', 'Syrian Arab Republic', 'EMRO', '71', '14338', '5', '943');
INSERT INTO public.who_import VALUES (86722, '2021-02-07', 'SY', 'Syrian Arab Republic', 'EMRO', '70', '14408', '4', '947');
INSERT INTO public.who_import VALUES (86723, '2021-02-08', 'SY', 'Syrian Arab Republic', 'EMRO', '69', '14477', '5', '952');
INSERT INTO public.who_import VALUES (86724, '2021-02-09', 'SY', 'Syrian Arab Republic', 'EMRO', '74', '14551', '6', '958');
INSERT INTO public.who_import VALUES (86725, '2021-02-10', 'SY', 'Syrian Arab Republic', 'EMRO', '60', '14611', '3', '961');
INSERT INTO public.who_import VALUES (86726, '2021-02-11', 'SY', 'Syrian Arab Republic', 'EMRO', '57', '14668', '4', '965');
INSERT INTO public.who_import VALUES (86727, '2021-02-12', 'SY', 'Syrian Arab Republic', 'EMRO', '56', '14724', '3', '968');
INSERT INTO public.who_import VALUES (86728, '2021-02-13', 'SY', 'Syrian Arab Republic', 'EMRO', '41', '14765', '3', '971');
INSERT INTO public.who_import VALUES (86729, '2021-02-14', 'SY', 'Syrian Arab Republic', 'EMRO', '55', '14820', '4', '975');
INSERT INTO public.who_import VALUES (86730, '2021-02-15', 'SY', 'Syrian Arab Republic', 'EMRO', '43', '14863', '3', '978');
INSERT INTO public.who_import VALUES (86731, '2021-02-16', 'SY', 'Syrian Arab Republic', 'EMRO', '43', '14906', '3', '981');
INSERT INTO public.who_import VALUES (86732, '2021-02-17', 'SY', 'Syrian Arab Republic', 'EMRO', '45', '14951', '3', '984');
INSERT INTO public.who_import VALUES (86733, '2021-02-18', 'SY', 'Syrian Arab Republic', 'EMRO', '50', '15001', '3', '987');
INSERT INTO public.who_import VALUES (86734, '2021-02-19', 'SY', 'Syrian Arab Republic', 'EMRO', '44', '15045', '3', '990');
INSERT INTO public.who_import VALUES (86735, '2021-02-20', 'SY', 'Syrian Arab Republic', 'EMRO', '49', '15094', '4', '994');
INSERT INTO public.who_import VALUES (88468, '2020-03-15', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (86736, '2020-01-03', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86737, '2020-01-04', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86738, '2020-01-05', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86739, '2020-01-06', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86740, '2020-01-07', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86741, '2020-01-08', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86742, '2020-01-09', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86743, '2020-01-10', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86744, '2020-01-11', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86745, '2020-01-12', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86746, '2020-01-13', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86747, '2020-01-14', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86748, '2020-01-15', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86749, '2020-01-16', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86750, '2020-01-17', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86751, '2020-01-18', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86752, '2020-01-19', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86753, '2020-01-20', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86754, '2020-01-21', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86755, '2020-01-22', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86756, '2020-01-23', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86757, '2020-01-24', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86758, '2020-01-25', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86759, '2020-01-26', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86760, '2020-01-27', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86761, '2020-01-28', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86762, '2020-01-29', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86763, '2020-01-30', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86764, '2020-01-31', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86765, '2020-02-01', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86766, '2020-02-02', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86767, '2020-02-03', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86768, '2020-02-04', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86769, '2020-02-05', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86770, '2020-02-06', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86771, '2020-02-07', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86772, '2020-02-08', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86773, '2020-02-09', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86774, '2020-02-10', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86775, '2020-02-11', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86776, '2020-02-12', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86777, '2020-02-13', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86778, '2020-02-14', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86779, '2020-02-15', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86780, '2020-02-16', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86781, '2020-02-17', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86782, '2020-02-18', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86783, '2020-02-19', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86784, '2020-02-20', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86785, '2020-02-21', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86786, '2020-02-22', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86787, '2020-02-23', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86788, '2020-02-24', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86789, '2020-02-25', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86790, '2020-02-26', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86791, '2020-02-27', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86792, '2020-02-28', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86793, '2020-02-29', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86794, '2020-03-01', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86795, '2020-03-02', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86796, '2020-03-03', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86797, '2020-03-04', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86798, '2020-03-05', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86799, '2020-03-06', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86800, '2020-03-07', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86801, '2020-03-08', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86802, '2020-03-09', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86803, '2020-03-10', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86804, '2020-03-11', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86805, '2020-03-12', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86806, '2020-03-13', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86807, '2020-03-14', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86808, '2020-03-15', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86809, '2020-03-16', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86810, '2020-03-17', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86811, '2020-03-18', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86812, '2020-03-19', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86813, '2020-03-20', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86814, '2020-03-21', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86815, '2020-03-22', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86816, '2020-03-23', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86817, '2020-03-24', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86818, '2020-03-25', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86819, '2020-03-26', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86820, '2020-03-27', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86821, '2020-03-28', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86822, '2020-03-29', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86823, '2020-03-30', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86824, '2020-03-31', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86825, '2020-04-01', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86826, '2020-04-02', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86827, '2020-04-03', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86828, '2020-04-04', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86829, '2020-04-05', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86830, '2020-04-06', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86831, '2020-04-07', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86832, '2020-04-08', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86833, '2020-04-09', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86834, '2020-04-10', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86835, '2020-04-11', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86836, '2020-04-12', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86837, '2020-04-13', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86838, '2020-04-14', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86839, '2020-04-15', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86840, '2020-04-16', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86841, '2020-04-17', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86842, '2020-04-18', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86843, '2020-04-19', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86844, '2020-04-20', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86845, '2020-04-21', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86846, '2020-04-22', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86847, '2020-04-23', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86848, '2020-04-24', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86849, '2020-04-25', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86850, '2020-04-26', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86851, '2020-04-27', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86852, '2020-04-28', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86853, '2020-04-29', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86854, '2020-04-30', 'TJ', 'Tajikistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (86855, '2020-05-01', 'TJ', 'Tajikistan', 'EURO', '15', '15', '0', '0');
INSERT INTO public.who_import VALUES (86856, '2020-05-02', 'TJ', 'Tajikistan', 'EURO', '17', '32', '0', '0');
INSERT INTO public.who_import VALUES (86857, '2020-05-03', 'TJ', 'Tajikistan', 'EURO', '44', '76', '2', '2');
INSERT INTO public.who_import VALUES (86858, '2020-05-04', 'TJ', 'Tajikistan', 'EURO', '52', '128', '2', '4');
INSERT INTO public.who_import VALUES (86859, '2020-05-05', 'TJ', 'Tajikistan', 'EURO', '102', '230', '3', '7');
INSERT INTO public.who_import VALUES (86860, '2020-05-06', 'TJ', 'Tajikistan', 'EURO', '63', '293', '0', '7');
INSERT INTO public.who_import VALUES (86861, '2020-05-07', 'TJ', 'Tajikistan', 'EURO', '86', '379', '2', '9');
INSERT INTO public.who_import VALUES (86862, '2020-05-08', 'TJ', 'Tajikistan', 'EURO', '82', '461', '7', '16');
INSERT INTO public.who_import VALUES (86863, '2020-05-09', 'TJ', 'Tajikistan', 'EURO', '61', '522', '2', '18');
INSERT INTO public.who_import VALUES (86864, '2020-05-10', 'TJ', 'Tajikistan', 'EURO', '39', '561', '1', '19');
INSERT INTO public.who_import VALUES (86865, '2020-05-11', 'TJ', 'Tajikistan', 'EURO', '51', '612', '1', '20');
INSERT INTO public.who_import VALUES (86866, '2020-05-12', 'TJ', 'Tajikistan', 'EURO', '49', '661', '1', '21');
INSERT INTO public.who_import VALUES (86867, '2020-05-13', 'TJ', 'Tajikistan', 'EURO', '68', '729', '2', '23');
INSERT INTO public.who_import VALUES (86868, '2020-05-14', 'TJ', 'Tajikistan', 'EURO', '178', '907', '9', '32');
INSERT INTO public.who_import VALUES (86869, '2020-05-15', 'TJ', 'Tajikistan', 'EURO', '178', '1085', '4', '36');
INSERT INTO public.who_import VALUES (86870, '2020-05-16', 'TJ', 'Tajikistan', 'EURO', '33', '1118', '0', '36');
INSERT INTO public.who_import VALUES (86871, '2020-05-17', 'TJ', 'Tajikistan', 'EURO', '204', '1322', '3', '39');
INSERT INTO public.who_import VALUES (86872, '2020-05-18', 'TJ', 'Tajikistan', 'EURO', '0', '1322', '0', '39');
INSERT INTO public.who_import VALUES (86873, '2020-05-19', 'TJ', 'Tajikistan', 'EURO', '407', '1729', '5', '44');
INSERT INTO public.who_import VALUES (86874, '2020-05-20', 'TJ', 'Tajikistan', 'EURO', '207', '1936', '0', '44');
INSERT INTO public.who_import VALUES (86875, '2020-05-21', 'TJ', 'Tajikistan', 'EURO', '204', '2140', '0', '44');
INSERT INTO public.who_import VALUES (86876, '2020-05-22', 'TJ', 'Tajikistan', 'EURO', '210', '2350', '0', '44');
INSERT INTO public.who_import VALUES (86877, '2020-05-23', 'TJ', 'Tajikistan', 'EURO', '201', '2551', '0', '44');
INSERT INTO public.who_import VALUES (86878, '2020-05-24', 'TJ', 'Tajikistan', 'EURO', '187', '2738', '0', '44');
INSERT INTO public.who_import VALUES (86879, '2020-05-25', 'TJ', 'Tajikistan', 'EURO', '191', '2929', '2', '46');
INSERT INTO public.who_import VALUES (86880, '2020-05-26', 'TJ', 'Tajikistan', 'EURO', '171', '3100', '0', '46');
INSERT INTO public.who_import VALUES (86881, '2020-05-27', 'TJ', 'Tajikistan', 'EURO', '166', '3266', '1', '47');
INSERT INTO public.who_import VALUES (86882, '2020-05-28', 'TJ', 'Tajikistan', 'EURO', '158', '3424', '0', '47');
INSERT INTO public.who_import VALUES (86883, '2020-05-29', 'TJ', 'Tajikistan', 'EURO', '139', '3563', '0', '47');
INSERT INTO public.who_import VALUES (86884, '2020-05-30', 'TJ', 'Tajikistan', 'EURO', '123', '3686', '0', '47');
INSERT INTO public.who_import VALUES (86885, '2020-05-31', 'TJ', 'Tajikistan', 'EURO', '121', '3807', '0', '47');
INSERT INTO public.who_import VALUES (86886, '2020-06-01', 'TJ', 'Tajikistan', 'EURO', '123', '3930', '0', '47');
INSERT INTO public.who_import VALUES (86887, '2020-06-02', 'TJ', 'Tajikistan', 'EURO', '83', '4013', '0', '47');
INSERT INTO public.who_import VALUES (86888, '2020-06-03', 'TJ', 'Tajikistan', 'EURO', '87', '4100', '0', '47');
INSERT INTO public.who_import VALUES (86889, '2020-06-04', 'TJ', 'Tajikistan', 'EURO', '91', '4191', '1', '48');
INSERT INTO public.who_import VALUES (86890, '2020-06-05', 'TJ', 'Tajikistan', 'EURO', '98', '4289', '0', '48');
INSERT INTO public.who_import VALUES (86891, '2020-06-06', 'TJ', 'Tajikistan', 'EURO', '81', '4370', '0', '48');
INSERT INTO public.who_import VALUES (86892, '2020-06-07', 'TJ', 'Tajikistan', 'EURO', '83', '4453', '0', '48');
INSERT INTO public.who_import VALUES (86893, '2020-06-08', 'TJ', 'Tajikistan', 'EURO', '76', '4529', '0', '48');
INSERT INTO public.who_import VALUES (86894, '2020-06-09', 'TJ', 'Tajikistan', 'EURO', '80', '4609', '0', '48');
INSERT INTO public.who_import VALUES (86895, '2020-06-10', 'TJ', 'Tajikistan', 'EURO', '81', '4690', '0', '48');
INSERT INTO public.who_import VALUES (86896, '2020-06-11', 'TJ', 'Tajikistan', 'EURO', '73', '4763', '0', '48');
INSERT INTO public.who_import VALUES (86897, '2020-06-12', 'TJ', 'Tajikistan', 'EURO', '71', '4834', '1', '49');
INSERT INTO public.who_import VALUES (86898, '2020-06-13', 'TJ', 'Tajikistan', 'EURO', '68', '4902', '0', '49');
INSERT INTO public.who_import VALUES (86899, '2020-06-14', 'TJ', 'Tajikistan', 'EURO', '69', '4971', '1', '50');
INSERT INTO public.who_import VALUES (86900, '2020-06-15', 'TJ', 'Tajikistan', 'EURO', '64', '5035', '0', '50');
INSERT INTO public.who_import VALUES (86901, '2020-06-16', 'TJ', 'Tajikistan', 'EURO', '62', '5097', '0', '50');
INSERT INTO public.who_import VALUES (86902, '2020-06-17', 'TJ', 'Tajikistan', 'EURO', '63', '5160', '0', '50');
INSERT INTO public.who_import VALUES (86903, '2020-06-18', 'TJ', 'Tajikistan', 'EURO', '61', '5221', '1', '51');
INSERT INTO public.who_import VALUES (86904, '2020-06-19', 'TJ', 'Tajikistan', 'EURO', '58', '5279', '0', '51');
INSERT INTO public.who_import VALUES (86905, '2020-06-20', 'TJ', 'Tajikistan', 'EURO', '59', '5338', '0', '51');
INSERT INTO public.who_import VALUES (86906, '2020-06-21', 'TJ', 'Tajikistan', 'EURO', '61', '5399', '1', '52');
INSERT INTO public.who_import VALUES (86907, '2020-06-22', 'TJ', 'Tajikistan', 'EURO', '58', '5457', '0', '52');
INSERT INTO public.who_import VALUES (86908, '2020-06-23', 'TJ', 'Tajikistan', 'EURO', '56', '5513', '0', '52');
INSERT INTO public.who_import VALUES (86909, '2020-06-24', 'TJ', 'Tajikistan', 'EURO', '54', '5567', '0', '52');
INSERT INTO public.who_import VALUES (86910, '2020-06-25', 'TJ', 'Tajikistan', 'EURO', '63', '5630', '0', '52');
INSERT INTO public.who_import VALUES (86911, '2020-06-26', 'TJ', 'Tajikistan', 'EURO', '61', '5691', '0', '52');
INSERT INTO public.who_import VALUES (86912, '2020-06-27', 'TJ', 'Tajikistan', 'EURO', '56', '5747', '0', '52');
INSERT INTO public.who_import VALUES (86913, '2020-06-28', 'TJ', 'Tajikistan', 'EURO', '52', '5799', '0', '52');
INSERT INTO public.who_import VALUES (86914, '2020-06-29', 'TJ', 'Tajikistan', 'EURO', '50', '5849', '0', '52');
INSERT INTO public.who_import VALUES (86915, '2020-06-30', 'TJ', 'Tajikistan', 'EURO', '51', '5900', '0', '52');
INSERT INTO public.who_import VALUES (86916, '2020-07-01', 'TJ', 'Tajikistan', 'EURO', '54', '5954', '0', '52');
INSERT INTO public.who_import VALUES (86917, '2020-07-02', 'TJ', 'Tajikistan', 'EURO', '51', '6005', '0', '52');
INSERT INTO public.who_import VALUES (86918, '2020-07-03', 'TJ', 'Tajikistan', 'EURO', '0', '6005', '0', '52');
INSERT INTO public.who_import VALUES (86919, '2020-07-04', 'TJ', 'Tajikistan', 'EURO', '53', '6058', '0', '52');
INSERT INTO public.who_import VALUES (86920, '2020-07-05', 'TJ', 'Tajikistan', 'EURO', '101', '6159', '0', '52');
INSERT INTO public.who_import VALUES (86921, '2020-07-06', 'TJ', 'Tajikistan', 'EURO', '54', '6213', '1', '53');
INSERT INTO public.who_import VALUES (86922, '2020-07-07', 'TJ', 'Tajikistan', 'EURO', '49', '6262', '0', '53');
INSERT INTO public.who_import VALUES (86923, '2020-07-08', 'TJ', 'Tajikistan', 'EURO', '53', '6315', '0', '53');
INSERT INTO public.who_import VALUES (86924, '2020-07-09', 'TJ', 'Tajikistan', 'EURO', '48', '6363', '1', '54');
INSERT INTO public.who_import VALUES (86925, '2020-07-10', 'TJ', 'Tajikistan', 'EURO', '46', '6409', '0', '54');
INSERT INTO public.who_import VALUES (86926, '2020-07-11', 'TJ', 'Tajikistan', 'EURO', '47', '6456', '1', '55');
INSERT INTO public.who_import VALUES (86927, '2020-07-12', 'TJ', 'Tajikistan', 'EURO', '49', '6505', '0', '55');
INSERT INTO public.who_import VALUES (86928, '2020-07-13', 'TJ', 'Tajikistan', 'EURO', '46', '6551', '0', '55');
INSERT INTO public.who_import VALUES (86929, '2020-07-14', 'TJ', 'Tajikistan', 'EURO', '44', '6595', '0', '55');
INSERT INTO public.who_import VALUES (86930, '2020-07-15', 'TJ', 'Tajikistan', 'EURO', '48', '6643', '1', '56');
INSERT INTO public.who_import VALUES (86931, '2020-07-16', 'TJ', 'Tajikistan', 'EURO', '52', '6695', '0', '56');
INSERT INTO public.who_import VALUES (86932, '2020-07-17', 'TJ', 'Tajikistan', 'EURO', '46', '6741', '0', '56');
INSERT INTO public.who_import VALUES (86933, '2020-07-18', 'TJ', 'Tajikistan', 'EURO', '45', '6786', '0', '56');
INSERT INTO public.who_import VALUES (86934, '2020-07-19', 'TJ', 'Tajikistan', 'EURO', '48', '6834', '1', '57');
INSERT INTO public.who_import VALUES (86935, '2020-07-20', 'TJ', 'Tajikistan', 'EURO', '44', '6878', '0', '57');
INSERT INTO public.who_import VALUES (86936, '2020-07-21', 'TJ', 'Tajikistan', 'EURO', '43', '6921', '0', '57');
INSERT INTO public.who_import VALUES (86937, '2020-07-22', 'TJ', 'Tajikistan', 'EURO', '46', '6967', '0', '57');
INSERT INTO public.who_import VALUES (86938, '2020-07-23', 'TJ', 'Tajikistan', 'EURO', '48', '7015', '1', '58');
INSERT INTO public.who_import VALUES (86939, '2020-07-24', 'TJ', 'Tajikistan', 'EURO', '45', '7060', '0', '58');
INSERT INTO public.who_import VALUES (86940, '2020-07-25', 'TJ', 'Tajikistan', 'EURO', '44', '7104', '0', '58');
INSERT INTO public.who_import VALUES (86941, '2020-07-26', 'TJ', 'Tajikistan', 'EURO', '46', '7150', '1', '59');
INSERT INTO public.who_import VALUES (86942, '2020-07-27', 'TJ', 'Tajikistan', 'EURO', '42', '7192', '0', '59');
INSERT INTO public.who_import VALUES (86943, '2020-07-28', 'TJ', 'Tajikistan', 'EURO', '43', '7235', '1', '60');
INSERT INTO public.who_import VALUES (86944, '2020-07-29', 'TJ', 'Tajikistan', 'EURO', '41', '7276', '0', '60');
INSERT INTO public.who_import VALUES (86945, '2020-07-30', 'TJ', 'Tajikistan', 'EURO', '44', '7320', '0', '60');
INSERT INTO public.who_import VALUES (86946, '2020-07-31', 'TJ', 'Tajikistan', 'EURO', '46', '7366', '0', '60');
INSERT INTO public.who_import VALUES (86947, '2020-08-01', 'TJ', 'Tajikistan', 'EURO', '43', '7409', '0', '60');
INSERT INTO public.who_import VALUES (86948, '2020-08-02', 'TJ', 'Tajikistan', 'EURO', '42', '7451', '0', '60');
INSERT INTO public.who_import VALUES (86949, '2020-08-03', 'TJ', 'Tajikistan', 'EURO', '44', '7495', '1', '61');
INSERT INTO public.who_import VALUES (86950, '2020-08-04', 'TJ', 'Tajikistan', 'EURO', '43', '7538', '0', '61');
INSERT INTO public.who_import VALUES (86951, '2020-08-05', 'TJ', 'Tajikistan', 'EURO', '45', '7583', '0', '61');
INSERT INTO public.who_import VALUES (86952, '2020-08-06', 'TJ', 'Tajikistan', 'EURO', '42', '7625', '0', '61');
INSERT INTO public.who_import VALUES (86953, '2020-08-07', 'TJ', 'Tajikistan', 'EURO', '40', '7665', '1', '62');
INSERT INTO public.who_import VALUES (86954, '2020-08-08', 'TJ', 'Tajikistan', 'EURO', '41', '7706', '0', '62');
INSERT INTO public.who_import VALUES (86955, '2020-08-09', 'TJ', 'Tajikistan', 'EURO', '39', '7745', '0', '62');
INSERT INTO public.who_import VALUES (86956, '2020-08-10', 'TJ', 'Tajikistan', 'EURO', '40', '7785', '0', '62');
INSERT INTO public.who_import VALUES (86957, '2020-08-11', 'TJ', 'Tajikistan', 'EURO', '42', '7827', '0', '62');
INSERT INTO public.who_import VALUES (86958, '2020-08-12', 'TJ', 'Tajikistan', 'EURO', '44', '7871', '1', '63');
INSERT INTO public.who_import VALUES (86959, '2020-08-13', 'TJ', 'Tajikistan', 'EURO', '41', '7912', '0', '63');
INSERT INTO public.who_import VALUES (86960, '2020-08-14', 'TJ', 'Tajikistan', 'EURO', '38', '7950', '0', '63');
INSERT INTO public.who_import VALUES (86961, '2020-08-15', 'TJ', 'Tajikistan', 'EURO', '39', '7989', '0', '63');
INSERT INTO public.who_import VALUES (86962, '2020-08-16', 'TJ', 'Tajikistan', 'EURO', '40', '8029', '1', '64');
INSERT INTO public.who_import VALUES (86963, '2020-08-17', 'TJ', 'Tajikistan', 'EURO', '36', '8065', '0', '64');
INSERT INTO public.who_import VALUES (86964, '2020-08-18', 'TJ', 'Tajikistan', 'EURO', '34', '8099', '0', '64');
INSERT INTO public.who_import VALUES (86965, '2020-08-19', 'TJ', 'Tajikistan', 'EURO', '32', '8131', '1', '65');
INSERT INTO public.who_import VALUES (86966, '2020-08-20', 'TJ', 'Tajikistan', 'EURO', '35', '8166', '0', '65');
INSERT INTO public.who_import VALUES (86967, '2020-08-21', 'TJ', 'Tajikistan', 'EURO', '37', '8203', '1', '66');
INSERT INTO public.who_import VALUES (86968, '2020-08-22', 'TJ', 'Tajikistan', 'EURO', '38', '8241', '0', '66');
INSERT INTO public.who_import VALUES (86969, '2020-08-23', 'TJ', 'Tajikistan', 'EURO', '36', '8277', '0', '66');
INSERT INTO public.who_import VALUES (86970, '2020-08-24', 'TJ', 'Tajikistan', 'EURO', '34', '8311', '0', '66');
INSERT INTO public.who_import VALUES (86971, '2020-08-25', 'TJ', 'Tajikistan', 'EURO', '35', '8346', '1', '67');
INSERT INTO public.who_import VALUES (86972, '2020-08-26', 'TJ', 'Tajikistan', 'EURO', '33', '8379', '0', '67');
INSERT INTO public.who_import VALUES (86973, '2020-08-27', 'TJ', 'Tajikistan', 'EURO', '34', '8413', '0', '67');
INSERT INTO public.who_import VALUES (86974, '2020-08-28', 'TJ', 'Tajikistan', 'EURO', '36', '8449', '1', '68');
INSERT INTO public.who_import VALUES (86975, '2020-08-29', 'TJ', 'Tajikistan', 'EURO', '32', '8481', '0', '68');
INSERT INTO public.who_import VALUES (86976, '2020-08-30', 'TJ', 'Tajikistan', 'EURO', '35', '8516', '0', '68');
INSERT INTO public.who_import VALUES (86977, '2020-08-31', 'TJ', 'Tajikistan', 'EURO', '34', '8550', '0', '68');
INSERT INTO public.who_import VALUES (86978, '2020-09-01', 'TJ', 'Tajikistan', 'EURO', '33', '8583', '0', '68');
INSERT INTO public.who_import VALUES (86979, '2020-09-02', 'TJ', 'Tajikistan', 'EURO', '36', '8619', '1', '69');
INSERT INTO public.who_import VALUES (86980, '2020-09-03', 'TJ', 'Tajikistan', 'EURO', '35', '8654', '0', '69');
INSERT INTO public.who_import VALUES (86981, '2020-09-04', 'TJ', 'Tajikistan', 'EURO', '36', '8690', '0', '69');
INSERT INTO public.who_import VALUES (86982, '2020-09-05', 'TJ', 'Tajikistan', 'EURO', '34', '8724', '0', '69');
INSERT INTO public.who_import VALUES (86983, '2020-09-06', 'TJ', 'Tajikistan', 'EURO', '33', '8757', '1', '70');
INSERT INTO public.who_import VALUES (86984, '2020-09-07', 'TJ', 'Tajikistan', 'EURO', '35', '8792', '0', '70');
INSERT INTO public.who_import VALUES (86985, '2020-09-08', 'TJ', 'Tajikistan', 'EURO', '32', '8824', '0', '70');
INSERT INTO public.who_import VALUES (86986, '2020-09-09', 'TJ', 'Tajikistan', 'EURO', '36', '8860', '0', '70');
INSERT INTO public.who_import VALUES (86987, '2020-09-10', 'TJ', 'Tajikistan', 'EURO', '39', '8899', '1', '71');
INSERT INTO public.who_import VALUES (86988, '2020-09-11', 'TJ', 'Tajikistan', 'EURO', '40', '8939', '1', '72');
INSERT INTO public.who_import VALUES (86989, '2020-09-12', 'TJ', 'Tajikistan', 'EURO', '38', '8977', '0', '72');
INSERT INTO public.who_import VALUES (86990, '2020-09-13', 'TJ', 'Tajikistan', 'EURO', '37', '9014', '0', '72');
INSERT INTO public.who_import VALUES (86991, '2020-09-14', 'TJ', 'Tajikistan', 'EURO', '35', '9049', '0', '72');
INSERT INTO public.who_import VALUES (86992, '2020-09-15', 'TJ', 'Tajikistan', 'EURO', '39', '9088', '0', '72');
INSERT INTO public.who_import VALUES (86993, '2020-09-16', 'TJ', 'Tajikistan', 'EURO', '41', '9129', '1', '73');
INSERT INTO public.who_import VALUES (86994, '2020-09-17', 'TJ', 'Tajikistan', 'EURO', '42', '9171', '0', '73');
INSERT INTO public.who_import VALUES (86995, '2020-09-18', 'TJ', 'Tajikistan', 'EURO', '43', '9214', '0', '73');
INSERT INTO public.who_import VALUES (86996, '2020-09-19', 'TJ', 'Tajikistan', 'EURO', '45', '9259', '0', '73');
INSERT INTO public.who_import VALUES (86997, '2020-09-20', 'TJ', 'Tajikistan', 'EURO', '44', '9303', '0', '73');
INSERT INTO public.who_import VALUES (86998, '2020-09-21', 'TJ', 'Tajikistan', 'EURO', '43', '9346', '0', '73');
INSERT INTO public.who_import VALUES (86999, '2020-09-22', 'TJ', 'Tajikistan', 'EURO', '42', '9388', '0', '73');
INSERT INTO public.who_import VALUES (87000, '2020-09-23', 'TJ', 'Tajikistan', 'EURO', '44', '9432', '0', '73');
INSERT INTO public.who_import VALUES (87001, '2020-09-24', 'TJ', 'Tajikistan', 'EURO', '43', '9475', '1', '74');
INSERT INTO public.who_import VALUES (87002, '2020-09-25', 'TJ', 'Tajikistan', 'EURO', '45', '9520', '0', '74');
INSERT INTO public.who_import VALUES (87003, '2020-09-26', 'TJ', 'Tajikistan', 'EURO', '42', '9562', '0', '74');
INSERT INTO public.who_import VALUES (87004, '2020-09-27', 'TJ', 'Tajikistan', 'EURO', '43', '9605', '1', '75');
INSERT INTO public.who_import VALUES (87005, '2020-09-28', 'TJ', 'Tajikistan', 'EURO', '41', '9646', '0', '75');
INSERT INTO public.who_import VALUES (87006, '2020-09-29', 'TJ', 'Tajikistan', 'EURO', '39', '9685', '0', '75');
INSERT INTO public.who_import VALUES (87007, '2020-09-30', 'TJ', 'Tajikistan', 'EURO', '41', '9726', '0', '75');
INSERT INTO public.who_import VALUES (87008, '2020-10-01', 'TJ', 'Tajikistan', 'EURO', '43', '9769', '1', '76');
INSERT INTO public.who_import VALUES (87009, '2020-10-02', 'TJ', 'Tajikistan', 'EURO', '42', '9811', '1', '77');
INSERT INTO public.who_import VALUES (87010, '2020-10-03', 'TJ', 'Tajikistan', 'EURO', '41', '9852', '0', '77');
INSERT INTO public.who_import VALUES (87011, '2020-10-04', 'TJ', 'Tajikistan', 'EURO', '43', '9895', '0', '77');
INSERT INTO public.who_import VALUES (87012, '2020-10-05', 'TJ', 'Tajikistan', 'EURO', '40', '9935', '1', '78');
INSERT INTO public.who_import VALUES (87013, '2020-10-06', 'TJ', 'Tajikistan', 'EURO', '39', '9974', '0', '78');
INSERT INTO public.who_import VALUES (87014, '2020-10-07', 'TJ', 'Tajikistan', 'EURO', '40', '10014', '0', '78');
INSERT INTO public.who_import VALUES (87015, '2020-10-08', 'TJ', 'Tajikistan', 'EURO', '41', '10055', '0', '78');
INSERT INTO public.who_import VALUES (87016, '2020-10-09', 'TJ', 'Tajikistan', 'EURO', '42', '10097', '0', '78');
INSERT INTO public.who_import VALUES (87017, '2020-10-10', 'TJ', 'Tajikistan', 'EURO', '40', '10137', '1', '79');
INSERT INTO public.who_import VALUES (87018, '2020-10-11', 'TJ', 'Tajikistan', 'EURO', '43', '10180', '0', '79');
INSERT INTO public.who_import VALUES (87019, '2020-10-12', 'TJ', 'Tajikistan', 'EURO', '42', '10222', '0', '79');
INSERT INTO public.who_import VALUES (87020, '2020-10-13', 'TJ', 'Tajikistan', 'EURO', '38', '10260', '0', '79');
INSERT INTO public.who_import VALUES (87021, '2020-10-14', 'TJ', 'Tajikistan', 'EURO', '37', '10297', '0', '79');
INSERT INTO public.who_import VALUES (87022, '2020-10-15', 'TJ', 'Tajikistan', 'EURO', '39', '10336', '0', '79');
INSERT INTO public.who_import VALUES (87023, '2020-10-16', 'TJ', 'Tajikistan', 'EURO', '38', '10374', '1', '80');
INSERT INTO public.who_import VALUES (87024, '2020-10-17', 'TJ', 'Tajikistan', 'EURO', '40', '10414', '0', '80');
INSERT INTO public.who_import VALUES (87025, '2020-10-18', 'TJ', 'Tajikistan', 'EURO', '41', '10455', '0', '80');
INSERT INTO public.who_import VALUES (87026, '2020-10-19', 'TJ', 'Tajikistan', 'EURO', '38', '10493', '0', '80');
INSERT INTO public.who_import VALUES (87027, '2020-10-20', 'TJ', 'Tajikistan', 'EURO', '40', '10533', '0', '80');
INSERT INTO public.who_import VALUES (87028, '2020-10-21', 'TJ', 'Tajikistan', 'EURO', '41', '10574', '0', '80');
INSERT INTO public.who_import VALUES (87029, '2020-10-22', 'TJ', 'Tajikistan', 'EURO', '39', '10613', '0', '80');
INSERT INTO public.who_import VALUES (87030, '2020-10-23', 'TJ', 'Tajikistan', 'EURO', '40', '10653', '1', '81');
INSERT INTO public.who_import VALUES (87031, '2020-10-24', 'TJ', 'Tajikistan', 'EURO', '42', '10695', '0', '81');
INSERT INTO public.who_import VALUES (87032, '2020-10-25', 'TJ', 'Tajikistan', 'EURO', '41', '10736', '0', '81');
INSERT INTO public.who_import VALUES (87033, '2020-10-26', 'TJ', 'Tajikistan', 'EURO', '40', '10776', '0', '81');
INSERT INTO public.who_import VALUES (87034, '2020-10-27', 'TJ', 'Tajikistan', 'EURO', '43', '10819', '0', '81');
INSERT INTO public.who_import VALUES (87035, '2020-10-28', 'TJ', 'Tajikistan', 'EURO', '41', '10860', '0', '81');
INSERT INTO public.who_import VALUES (87036, '2020-10-29', 'TJ', 'Tajikistan', 'EURO', '40', '10900', '1', '82');
INSERT INTO public.who_import VALUES (87037, '2020-10-30', 'TJ', 'Tajikistan', 'EURO', '39', '10939', '0', '82');
INSERT INTO public.who_import VALUES (87038, '2020-10-31', 'TJ', 'Tajikistan', 'EURO', '38', '10977', '0', '82');
INSERT INTO public.who_import VALUES (87039, '2020-11-01', 'TJ', 'Tajikistan', 'EURO', '40', '11017', '0', '82');
INSERT INTO public.who_import VALUES (87040, '2020-11-02', 'TJ', 'Tajikistan', 'EURO', '37', '11054', '0', '82');
INSERT INTO public.who_import VALUES (87041, '2020-11-03', 'TJ', 'Tajikistan', 'EURO', '42', '11096', '0', '82');
INSERT INTO public.who_import VALUES (87042, '2020-11-04', 'TJ', 'Tajikistan', 'EURO', '43', '11139', '1', '83');
INSERT INTO public.who_import VALUES (87043, '2020-11-05', 'TJ', 'Tajikistan', 'EURO', '41', '11180', '0', '83');
INSERT INTO public.who_import VALUES (87044, '2020-11-06', 'TJ', 'Tajikistan', 'EURO', '39', '11219', '0', '83');
INSERT INTO public.who_import VALUES (87045, '2020-11-07', 'TJ', 'Tajikistan', 'EURO', '37', '11256', '0', '83');
INSERT INTO public.who_import VALUES (87046, '2020-11-08', 'TJ', 'Tajikistan', 'EURO', '38', '11294', '0', '83');
INSERT INTO public.who_import VALUES (87047, '2020-11-09', 'TJ', 'Tajikistan', 'EURO', '42', '11336', '0', '83');
INSERT INTO public.who_import VALUES (87048, '2020-11-10', 'TJ', 'Tajikistan', 'EURO', '40', '11376', '0', '83');
INSERT INTO public.who_import VALUES (87049, '2020-11-11', 'TJ', 'Tajikistan', 'EURO', '41', '11417', '1', '84');
INSERT INTO public.who_import VALUES (87050, '2020-11-12', 'TJ', 'Tajikistan', 'EURO', '39', '11456', '0', '84');
INSERT INTO public.who_import VALUES (87051, '2020-11-13', 'TJ', 'Tajikistan', 'EURO', '40', '11496', '0', '84');
INSERT INTO public.who_import VALUES (87052, '2020-11-14', 'TJ', 'Tajikistan', 'EURO', '38', '11534', '1', '85');
INSERT INTO public.who_import VALUES (87053, '2020-11-15', 'TJ', 'Tajikistan', 'EURO', '39', '11573', '0', '85');
INSERT INTO public.who_import VALUES (87054, '2020-11-16', 'TJ', 'Tajikistan', 'EURO', '37', '11610', '0', '85');
INSERT INTO public.who_import VALUES (87055, '2020-11-17', 'TJ', 'Tajikistan', 'EURO', '39', '11649', '0', '85');
INSERT INTO public.who_import VALUES (87056, '2020-11-18', 'TJ', 'Tajikistan', 'EURO', '40', '11689', '0', '85');
INSERT INTO public.who_import VALUES (87057, '2020-11-19', 'TJ', 'Tajikistan', 'EURO', '42', '11731', '1', '86');
INSERT INTO public.who_import VALUES (87058, '2020-11-20', 'TJ', 'Tajikistan', 'EURO', '41', '11772', '0', '86');
INSERT INTO public.who_import VALUES (87059, '2020-11-21', 'TJ', 'Tajikistan', 'EURO', '43', '11815', '0', '86');
INSERT INTO public.who_import VALUES (87060, '2020-11-22', 'TJ', 'Tajikistan', 'EURO', '39', '11854', '0', '86');
INSERT INTO public.who_import VALUES (87061, '2020-11-23', 'TJ', 'Tajikistan', 'EURO', '40', '11894', '0', '86');
INSERT INTO public.who_import VALUES (87062, '2020-11-24', 'TJ', 'Tajikistan', 'EURO', '38', '11932', '0', '86');
INSERT INTO public.who_import VALUES (87063, '2020-11-25', 'TJ', 'Tajikistan', 'EURO', '39', '11971', '0', '86');
INSERT INTO public.who_import VALUES (87064, '2020-11-26', 'TJ', 'Tajikistan', 'EURO', '37', '12008', '0', '86');
INSERT INTO public.who_import VALUES (87065, '2020-11-27', 'TJ', 'Tajikistan', 'EURO', '36', '12044', '0', '86');
INSERT INTO public.who_import VALUES (87066, '2020-11-28', 'TJ', 'Tajikistan', 'EURO', '38', '12082', '0', '86');
INSERT INTO public.who_import VALUES (87067, '2020-11-29', 'TJ', 'Tajikistan', 'EURO', '36', '12118', '0', '86');
INSERT INTO public.who_import VALUES (87068, '2020-11-30', 'TJ', 'Tajikistan', 'EURO', '37', '12155', '0', '86');
INSERT INTO public.who_import VALUES (87069, '2020-12-01', 'TJ', 'Tajikistan', 'EURO', '39', '12194', '0', '86');
INSERT INTO public.who_import VALUES (87070, '2020-12-02', 'TJ', 'Tajikistan', 'EURO', '37', '12231', '0', '86');
INSERT INTO public.who_import VALUES (87071, '2020-12-03', 'TJ', 'Tajikistan', 'EURO', '38', '12269', '1', '87');
INSERT INTO public.who_import VALUES (87072, '2020-12-04', 'TJ', 'Tajikistan', 'EURO', '39', '12308', '0', '87');
INSERT INTO public.who_import VALUES (87073, '2020-12-05', 'TJ', 'Tajikistan', 'EURO', '41', '12349', '0', '87');
INSERT INTO public.who_import VALUES (87074, '2020-12-06', 'TJ', 'Tajikistan', 'EURO', '40', '12389', '0', '87');
INSERT INTO public.who_import VALUES (87075, '2020-12-07', 'TJ', 'Tajikistan', 'EURO', '67', '12456', '0', '87');
INSERT INTO public.who_import VALUES (87076, '2020-12-08', 'TJ', 'Tajikistan', 'EURO', '58', '12514', '0', '87');
INSERT INTO public.who_import VALUES (87077, '2020-12-09', 'TJ', 'Tajikistan', 'EURO', '78', '12592', '0', '87');
INSERT INTO public.who_import VALUES (87078, '2020-12-10', 'TJ', 'Tajikistan', 'EURO', '66', '12658', '0', '87');
INSERT INTO public.who_import VALUES (87079, '2020-12-11', 'TJ', 'Tajikistan', 'EURO', '64', '12722', '0', '87');
INSERT INTO public.who_import VALUES (87080, '2020-12-12', 'TJ', 'Tajikistan', 'EURO', '76', '12798', '0', '87');
INSERT INTO public.who_import VALUES (87081, '2020-12-13', 'TJ', 'Tajikistan', 'EURO', '59', '12857', '0', '87');
INSERT INTO public.who_import VALUES (87082, '2020-12-14', 'TJ', 'Tajikistan', 'EURO', '56', '12913', '0', '87');
INSERT INTO public.who_import VALUES (87083, '2020-12-15', 'TJ', 'Tajikistan', 'EURO', '47', '12960', '0', '87');
INSERT INTO public.who_import VALUES (87084, '2020-12-16', 'TJ', 'Tajikistan', 'EURO', '57', '13017', '2', '89');
INSERT INTO public.who_import VALUES (87085, '2020-12-17', 'TJ', 'Tajikistan', 'EURO', '55', '13072', '0', '89');
INSERT INTO public.who_import VALUES (87086, '2020-12-18', 'TJ', 'Tajikistan', 'EURO', '64', '13136', '0', '89');
INSERT INTO public.who_import VALUES (87087, '2020-12-19', 'TJ', 'Tajikistan', 'EURO', '46', '13182', '0', '89');
INSERT INTO public.who_import VALUES (87088, '2020-12-20', 'TJ', 'Tajikistan', 'EURO', '57', '13239', '0', '89');
INSERT INTO public.who_import VALUES (87089, '2020-12-21', 'TJ', 'Tajikistan', 'EURO', '41', '13280', '0', '89');
INSERT INTO public.who_import VALUES (87090, '2020-12-22', 'TJ', 'Tajikistan', 'EURO', '56', '13336', '0', '89');
INSERT INTO public.who_import VALUES (87091, '2020-12-23', 'TJ', 'Tajikistan', 'EURO', '52', '13388', '0', '89');
INSERT INTO public.who_import VALUES (87092, '2020-12-24', 'TJ', 'Tajikistan', 'EURO', '51', '13439', '0', '89');
INSERT INTO public.who_import VALUES (87093, '2020-12-25', 'TJ', 'Tajikistan', 'EURO', '36', '13475', '0', '89');
INSERT INTO public.who_import VALUES (87094, '2020-12-26', 'TJ', 'Tajikistan', 'EURO', '43', '13518', '1', '90');
INSERT INTO public.who_import VALUES (87095, '2020-12-27', 'TJ', 'Tajikistan', 'EURO', '37', '13555', '0', '90');
INSERT INTO public.who_import VALUES (87096, '2020-12-28', 'TJ', 'Tajikistan', 'EURO', '36', '13591', '0', '90');
INSERT INTO public.who_import VALUES (87097, '2020-12-29', 'TJ', 'Tajikistan', 'EURO', '34', '13625', '0', '90');
INSERT INTO public.who_import VALUES (87098, '2020-12-30', 'TJ', 'Tajikistan', 'EURO', '37', '13662', '0', '90');
INSERT INTO public.who_import VALUES (87099, '2020-12-31', 'TJ', 'Tajikistan', 'EURO', '3', '13665', '0', '90');
INSERT INTO public.who_import VALUES (87100, '2021-01-01', 'TJ', 'Tajikistan', 'EURO', '0', '13665', '0', '90');
INSERT INTO public.who_import VALUES (87101, '2021-01-02', 'TJ', 'Tajikistan', 'EURO', '6', '13671', '1', '91');
INSERT INTO public.who_import VALUES (87102, '2021-01-03', 'TJ', 'Tajikistan', 'EURO', '3', '13674', '0', '91');
INSERT INTO public.who_import VALUES (87103, '2021-01-04', 'TJ', 'Tajikistan', 'EURO', '2', '13676', '0', '91');
INSERT INTO public.who_import VALUES (87104, '2021-01-05', 'TJ', 'Tajikistan', 'EURO', '10', '13686', '0', '91');
INSERT INTO public.who_import VALUES (87105, '2021-01-06', 'TJ', 'Tajikistan', 'EURO', '9', '13695', '0', '91');
INSERT INTO public.who_import VALUES (87106, '2021-01-07', 'TJ', 'Tajikistan', 'EURO', '6', '13701', '0', '91');
INSERT INTO public.who_import VALUES (87107, '2021-01-08', 'TJ', 'Tajikistan', 'EURO', '4', '13705', '0', '91');
INSERT INTO public.who_import VALUES (87108, '2021-01-09', 'TJ', 'Tajikistan', 'EURO', '1', '13706', '0', '91');
INSERT INTO public.who_import VALUES (87109, '2021-01-10', 'TJ', 'Tajikistan', 'EURO', '1', '13707', '0', '91');
INSERT INTO public.who_import VALUES (87110, '2021-01-11', 'TJ', 'Tajikistan', 'EURO', '1', '13708', '0', '91');
INSERT INTO public.who_import VALUES (87111, '2021-01-12', 'TJ', 'Tajikistan', 'EURO', '1', '13709', '0', '91');
INSERT INTO public.who_import VALUES (87112, '2021-01-13', 'TJ', 'Tajikistan', 'EURO', '1', '13710', '0', '91');
INSERT INTO public.who_import VALUES (87113, '2021-01-14', 'TJ', 'Tajikistan', 'EURO', '1', '13711', '0', '91');
INSERT INTO public.who_import VALUES (87114, '2021-01-15', 'TJ', 'Tajikistan', 'EURO', '0', '13711', '0', '91');
INSERT INTO public.who_import VALUES (87115, '2021-01-16', 'TJ', 'Tajikistan', 'EURO', '0', '13711', '0', '91');
INSERT INTO public.who_import VALUES (87116, '2021-01-17', 'TJ', 'Tajikistan', 'EURO', '3', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87117, '2021-01-18', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87118, '2021-01-19', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87119, '2021-01-20', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87120, '2021-01-21', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87121, '2021-01-22', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87122, '2021-01-23', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87123, '2021-01-24', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87124, '2021-01-25', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87125, '2021-01-26', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87126, '2021-01-27', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87127, '2021-01-28', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87128, '2021-01-29', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87129, '2021-01-30', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87130, '2021-01-31', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87131, '2021-02-01', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87132, '2021-02-02', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87133, '2021-02-03', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87134, '2021-02-04', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87135, '2021-02-05', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87136, '2021-02-06', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87137, '2021-02-07', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87138, '2021-02-08', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87139, '2021-02-09', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87140, '2021-02-10', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87141, '2021-02-11', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87142, '2021-02-12', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87143, '2021-02-13', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87144, '2021-02-14', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87145, '2021-02-15', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87146, '2021-02-16', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87147, '2021-02-17', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87148, '2021-02-18', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87149, '2021-02-19', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87150, '2021-02-20', 'TJ', 'Tajikistan', 'EURO', '0', '13714', '0', '91');
INSERT INTO public.who_import VALUES (87151, '2020-01-03', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87152, '2020-01-04', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87153, '2020-01-05', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87154, '2020-01-06', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87155, '2020-01-07', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87156, '2020-01-08', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87157, '2020-01-09', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87158, '2020-01-10', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87159, '2020-01-11', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87160, '2020-01-12', 'TH', 'Thailand', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87161, '2020-01-13', 'TH', 'Thailand', 'SEARO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (87162, '2020-01-14', 'TH', 'Thailand', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (87163, '2020-01-15', 'TH', 'Thailand', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (87164, '2020-01-16', 'TH', 'Thailand', 'SEARO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (87165, '2020-01-17', 'TH', 'Thailand', 'SEARO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (87166, '2020-01-18', 'TH', 'Thailand', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (87167, '2020-01-19', 'TH', 'Thailand', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (87168, '2020-01-20', 'TH', 'Thailand', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (87169, '2020-01-21', 'TH', 'Thailand', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (87170, '2020-01-22', 'TH', 'Thailand', 'SEARO', '2', '8', '0', '0');
INSERT INTO public.who_import VALUES (87171, '2020-01-23', 'TH', 'Thailand', 'SEARO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (87172, '2020-01-24', 'TH', 'Thailand', 'SEARO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (87173, '2020-01-25', 'TH', 'Thailand', 'SEARO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (87174, '2020-01-26', 'TH', 'Thailand', 'SEARO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (87175, '2020-01-27', 'TH', 'Thailand', 'SEARO', '3', '12', '0', '0');
INSERT INTO public.who_import VALUES (87176, '2020-01-28', 'TH', 'Thailand', 'SEARO', '6', '18', '0', '0');
INSERT INTO public.who_import VALUES (87177, '2020-01-29', 'TH', 'Thailand', 'SEARO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (87178, '2020-01-30', 'TH', 'Thailand', 'SEARO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (87179, '2020-01-31', 'TH', 'Thailand', 'SEARO', '5', '23', '0', '0');
INSERT INTO public.who_import VALUES (87180, '2020-02-01', 'TH', 'Thailand', 'SEARO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (87181, '2020-02-02', 'TH', 'Thailand', 'SEARO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (87182, '2020-02-03', 'TH', 'Thailand', 'SEARO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (87183, '2020-02-04', 'TH', 'Thailand', 'SEARO', '6', '29', '0', '0');
INSERT INTO public.who_import VALUES (87184, '2020-02-05', 'TH', 'Thailand', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (87185, '2020-02-06', 'TH', 'Thailand', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (87186, '2020-02-07', 'TH', 'Thailand', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (87187, '2020-02-08', 'TH', 'Thailand', 'SEARO', '7', '36', '0', '0');
INSERT INTO public.who_import VALUES (87188, '2020-02-09', 'TH', 'Thailand', 'SEARO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (87189, '2020-02-10', 'TH', 'Thailand', 'SEARO', '0', '36', '0', '0');
INSERT INTO public.who_import VALUES (87190, '2020-02-11', 'TH', 'Thailand', 'SEARO', '1', '37', '0', '0');
INSERT INTO public.who_import VALUES (87191, '2020-02-12', 'TH', 'Thailand', 'SEARO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (87192, '2020-02-13', 'TH', 'Thailand', 'SEARO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (87193, '2020-02-14', 'TH', 'Thailand', 'SEARO', '0', '37', '0', '0');
INSERT INTO public.who_import VALUES (87194, '2020-02-15', 'TH', 'Thailand', 'SEARO', '1', '38', '0', '0');
INSERT INTO public.who_import VALUES (87195, '2020-02-16', 'TH', 'Thailand', 'SEARO', '0', '38', '0', '0');
INSERT INTO public.who_import VALUES (87196, '2020-02-17', 'TH', 'Thailand', 'SEARO', '1', '39', '0', '0');
INSERT INTO public.who_import VALUES (87197, '2020-02-18', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87198, '2020-02-19', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87199, '2020-02-20', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87200, '2020-02-21', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87201, '2020-02-22', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87202, '2020-02-23', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87203, '2020-02-24', 'TH', 'Thailand', 'SEARO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (87204, '2020-02-25', 'TH', 'Thailand', 'SEARO', '2', '41', '0', '0');
INSERT INTO public.who_import VALUES (87205, '2020-02-26', 'TH', 'Thailand', 'SEARO', '3', '44', '0', '0');
INSERT INTO public.who_import VALUES (87206, '2020-02-27', 'TH', 'Thailand', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (87207, '2020-02-28', 'TH', 'Thailand', 'SEARO', '1', '45', '0', '0');
INSERT INTO public.who_import VALUES (87208, '2020-02-29', 'TH', 'Thailand', 'SEARO', '1', '46', '0', '0');
INSERT INTO public.who_import VALUES (87209, '2020-03-01', 'TH', 'Thailand', 'SEARO', '0', '46', '1', '1');
INSERT INTO public.who_import VALUES (87210, '2020-03-02', 'TH', 'Thailand', 'SEARO', '1', '47', '0', '1');
INSERT INTO public.who_import VALUES (87211, '2020-03-03', 'TH', 'Thailand', 'SEARO', '0', '47', '0', '1');
INSERT INTO public.who_import VALUES (87212, '2020-03-04', 'TH', 'Thailand', 'SEARO', '0', '47', '0', '1');
INSERT INTO public.who_import VALUES (87213, '2020-03-05', 'TH', 'Thailand', 'SEARO', '4', '51', '0', '1');
INSERT INTO public.who_import VALUES (87214, '2020-03-06', 'TH', 'Thailand', 'SEARO', '1', '52', '0', '1');
INSERT INTO public.who_import VALUES (87215, '2020-03-07', 'TH', 'Thailand', 'SEARO', '2', '54', '0', '1');
INSERT INTO public.who_import VALUES (87216, '2020-03-08', 'TH', 'Thailand', 'SEARO', '0', '54', '0', '1');
INSERT INTO public.who_import VALUES (87217, '2020-03-09', 'TH', 'Thailand', 'SEARO', '0', '54', '0', '1');
INSERT INTO public.who_import VALUES (87218, '2020-03-10', 'TH', 'Thailand', 'SEARO', '3', '57', '0', '1');
INSERT INTO public.who_import VALUES (87219, '2020-03-11', 'TH', 'Thailand', 'SEARO', '6', '63', '0', '1');
INSERT INTO public.who_import VALUES (87220, '2020-03-12', 'TH', 'Thailand', 'SEARO', '11', '74', '0', '1');
INSERT INTO public.who_import VALUES (87221, '2020-03-13', 'TH', 'Thailand', 'SEARO', '5', '79', '0', '1');
INSERT INTO public.who_import VALUES (87222, '2020-03-14', 'TH', 'Thailand', 'SEARO', '0', '79', '0', '1');
INSERT INTO public.who_import VALUES (87223, '2020-03-15', 'TH', 'Thailand', 'SEARO', '39', '118', '0', '1');
INSERT INTO public.who_import VALUES (87224, '2020-03-16', 'TH', 'Thailand', 'SEARO', '33', '151', '0', '1');
INSERT INTO public.who_import VALUES (87225, '2020-03-17', 'TH', 'Thailand', 'SEARO', '30', '181', '0', '1');
INSERT INTO public.who_import VALUES (87226, '2020-03-18', 'TH', 'Thailand', 'SEARO', '35', '216', '0', '1');
INSERT INTO public.who_import VALUES (87227, '2020-03-19', 'TH', 'Thailand', 'SEARO', '106', '322', '0', '1');
INSERT INTO public.who_import VALUES (87228, '2020-03-20', 'TH', 'Thailand', 'SEARO', '0', '322', '0', '1');
INSERT INTO public.who_import VALUES (87229, '2020-03-21', 'TH', 'Thailand', 'SEARO', '89', '411', '0', '1');
INSERT INTO public.who_import VALUES (87230, '2020-03-22', 'TH', 'Thailand', 'SEARO', '188', '599', '0', '1');
INSERT INTO public.who_import VALUES (87231, '2020-03-23', 'TH', 'Thailand', 'SEARO', '122', '721', '0', '1');
INSERT INTO public.who_import VALUES (87232, '2020-03-24', 'TH', 'Thailand', 'SEARO', '106', '827', '3', '4');
INSERT INTO public.who_import VALUES (87233, '2020-03-25', 'TH', 'Thailand', 'SEARO', '107', '934', '0', '4');
INSERT INTO public.who_import VALUES (87234, '2020-03-26', 'TH', 'Thailand', 'SEARO', '111', '1045', '0', '4');
INSERT INTO public.who_import VALUES (87235, '2020-03-27', 'TH', 'Thailand', 'SEARO', '91', '1136', '1', '5');
INSERT INTO public.who_import VALUES (87236, '2020-03-28', 'TH', 'Thailand', 'SEARO', '0', '1136', '0', '5');
INSERT INTO public.who_import VALUES (87237, '2020-03-29', 'TH', 'Thailand', 'SEARO', '252', '1388', '2', '7');
INSERT INTO public.who_import VALUES (87238, '2020-03-30', 'TH', 'Thailand', 'SEARO', '136', '1524', '2', '9');
INSERT INTO public.who_import VALUES (87239, '2020-03-31', 'TH', 'Thailand', 'SEARO', '127', '1651', '1', '10');
INSERT INTO public.who_import VALUES (87240, '2020-04-01', 'TH', 'Thailand', 'SEARO', '120', '1771', '2', '12');
INSERT INTO public.who_import VALUES (87241, '2020-04-02', 'TH', 'Thailand', 'SEARO', '104', '1875', '3', '15');
INSERT INTO public.who_import VALUES (87242, '2020-04-03', 'TH', 'Thailand', 'SEARO', '103', '1978', '4', '19');
INSERT INTO public.who_import VALUES (87243, '2020-04-04', 'TH', 'Thailand', 'SEARO', '89', '2067', '1', '20');
INSERT INTO public.who_import VALUES (87244, '2020-04-05', 'TH', 'Thailand', 'SEARO', '102', '2169', '3', '23');
INSERT INTO public.who_import VALUES (87245, '2020-04-06', 'TH', 'Thailand', 'SEARO', '51', '2220', '3', '26');
INSERT INTO public.who_import VALUES (87246, '2020-04-07', 'TH', 'Thailand', 'SEARO', '38', '2258', '1', '27');
INSERT INTO public.who_import VALUES (87247, '2020-04-08', 'TH', 'Thailand', 'SEARO', '111', '2369', '3', '30');
INSERT INTO public.who_import VALUES (87248, '2020-04-09', 'TH', 'Thailand', 'SEARO', '54', '2423', '2', '32');
INSERT INTO public.who_import VALUES (87249, '2020-04-10', 'TH', 'Thailand', 'SEARO', '50', '2473', '1', '33');
INSERT INTO public.who_import VALUES (87250, '2020-04-11', 'TH', 'Thailand', 'SEARO', '45', '2518', '2', '35');
INSERT INTO public.who_import VALUES (87251, '2020-04-12', 'TH', 'Thailand', 'SEARO', '33', '2551', '3', '38');
INSERT INTO public.who_import VALUES (87252, '2020-04-13', 'TH', 'Thailand', 'SEARO', '28', '2579', '2', '40');
INSERT INTO public.who_import VALUES (87253, '2020-04-14', 'TH', 'Thailand', 'SEARO', '34', '2613', '1', '41');
INSERT INTO public.who_import VALUES (87254, '2020-04-15', 'TH', 'Thailand', 'SEARO', '30', '2643', '2', '43');
INSERT INTO public.who_import VALUES (87255, '2020-04-16', 'TH', 'Thailand', 'SEARO', '29', '2672', '3', '46');
INSERT INTO public.who_import VALUES (87256, '2020-04-17', 'TH', 'Thailand', 'SEARO', '28', '2700', '1', '47');
INSERT INTO public.who_import VALUES (87257, '2020-04-18', 'TH', 'Thailand', 'SEARO', '33', '2733', '0', '47');
INSERT INTO public.who_import VALUES (87258, '2020-04-19', 'TH', 'Thailand', 'SEARO', '32', '2765', '0', '47');
INSERT INTO public.who_import VALUES (87259, '2020-04-20', 'TH', 'Thailand', 'SEARO', '27', '2792', '0', '47');
INSERT INTO public.who_import VALUES (87260, '2020-04-21', 'TH', 'Thailand', 'SEARO', '19', '2811', '1', '48');
INSERT INTO public.who_import VALUES (87261, '2020-04-22', 'TH', 'Thailand', 'SEARO', '15', '2826', '1', '49');
INSERT INTO public.who_import VALUES (87262, '2020-04-23', 'TH', 'Thailand', 'SEARO', '13', '2839', '1', '50');
INSERT INTO public.who_import VALUES (87263, '2020-04-24', 'TH', 'Thailand', 'SEARO', '15', '2854', '0', '50');
INSERT INTO public.who_import VALUES (87264, '2020-04-25', 'TH', 'Thailand', 'SEARO', '53', '2907', '1', '51');
INSERT INTO public.who_import VALUES (87265, '2020-04-26', 'TH', 'Thailand', 'SEARO', '15', '2922', '0', '51');
INSERT INTO public.who_import VALUES (87266, '2020-04-27', 'TH', 'Thailand', 'SEARO', '9', '2931', '1', '52');
INSERT INTO public.who_import VALUES (87267, '2020-04-28', 'TH', 'Thailand', 'SEARO', '7', '2938', '2', '54');
INSERT INTO public.who_import VALUES (87268, '2020-04-29', 'TH', 'Thailand', 'SEARO', '9', '2947', '0', '54');
INSERT INTO public.who_import VALUES (87269, '2020-04-30', 'TH', 'Thailand', 'SEARO', '7', '2954', '0', '54');
INSERT INTO public.who_import VALUES (87270, '2020-05-01', 'TH', 'Thailand', 'SEARO', '6', '2960', '0', '54');
INSERT INTO public.who_import VALUES (87271, '2020-05-02', 'TH', 'Thailand', 'SEARO', '6', '2966', '0', '54');
INSERT INTO public.who_import VALUES (87272, '2020-05-03', 'TH', 'Thailand', 'SEARO', '3', '2969', '0', '54');
INSERT INTO public.who_import VALUES (87273, '2020-05-04', 'TH', 'Thailand', 'SEARO', '18', '2987', '0', '54');
INSERT INTO public.who_import VALUES (87274, '2020-05-05', 'TH', 'Thailand', 'SEARO', '1', '2988', '0', '54');
INSERT INTO public.who_import VALUES (87275, '2020-05-06', 'TH', 'Thailand', 'SEARO', '1', '2989', '1', '55');
INSERT INTO public.who_import VALUES (87276, '2020-05-07', 'TH', 'Thailand', 'SEARO', '3', '2992', '0', '55');
INSERT INTO public.who_import VALUES (87277, '2020-05-08', 'TH', 'Thailand', 'SEARO', '8', '3000', '0', '55');
INSERT INTO public.who_import VALUES (87278, '2020-05-09', 'TH', 'Thailand', 'SEARO', '4', '3004', '1', '56');
INSERT INTO public.who_import VALUES (87279, '2020-05-10', 'TH', 'Thailand', 'SEARO', '5', '3009', '0', '56');
INSERT INTO public.who_import VALUES (87280, '2020-05-11', 'TH', 'Thailand', 'SEARO', '6', '3015', '0', '56');
INSERT INTO public.who_import VALUES (87281, '2020-05-12', 'TH', 'Thailand', 'SEARO', '2', '3017', '0', '56');
INSERT INTO public.who_import VALUES (87282, '2020-05-13', 'TH', 'Thailand', 'SEARO', '0', '3017', '0', '56');
INSERT INTO public.who_import VALUES (87283, '2020-05-14', 'TH', 'Thailand', 'SEARO', '1', '3018', '0', '56');
INSERT INTO public.who_import VALUES (87284, '2020-05-15', 'TH', 'Thailand', 'SEARO', '7', '3025', '0', '56');
INSERT INTO public.who_import VALUES (87285, '2020-05-16', 'TH', 'Thailand', 'SEARO', '0', '3025', '0', '56');
INSERT INTO public.who_import VALUES (87286, '2020-05-17', 'TH', 'Thailand', 'SEARO', '3', '3028', '0', '56');
INSERT INTO public.who_import VALUES (87287, '2020-05-18', 'TH', 'Thailand', 'SEARO', '3', '3031', '0', '56');
INSERT INTO public.who_import VALUES (87288, '2020-05-19', 'TH', 'Thailand', 'SEARO', '2', '3033', '0', '56');
INSERT INTO public.who_import VALUES (87289, '2020-05-20', 'TH', 'Thailand', 'SEARO', '1', '3034', '0', '56');
INSERT INTO public.who_import VALUES (87290, '2020-05-21', 'TH', 'Thailand', 'SEARO', '3', '3037', '0', '56');
INSERT INTO public.who_import VALUES (87291, '2020-05-22', 'TH', 'Thailand', 'SEARO', '0', '3037', '0', '56');
INSERT INTO public.who_import VALUES (87292, '2020-05-23', 'TH', 'Thailand', 'SEARO', '3', '3040', '0', '56');
INSERT INTO public.who_import VALUES (87293, '2020-05-24', 'TH', 'Thailand', 'SEARO', '0', '3040', '0', '56');
INSERT INTO public.who_import VALUES (87294, '2020-05-25', 'TH', 'Thailand', 'SEARO', '2', '3042', '1', '57');
INSERT INTO public.who_import VALUES (87295, '2020-05-26', 'TH', 'Thailand', 'SEARO', '3', '3045', '0', '57');
INSERT INTO public.who_import VALUES (87296, '2020-05-27', 'TH', 'Thailand', 'SEARO', '9', '3054', '0', '57');
INSERT INTO public.who_import VALUES (87297, '2020-05-28', 'TH', 'Thailand', 'SEARO', '11', '3065', '0', '57');
INSERT INTO public.who_import VALUES (87298, '2020-05-29', 'TH', 'Thailand', 'SEARO', '11', '3076', '0', '57');
INSERT INTO public.who_import VALUES (87299, '2020-05-30', 'TH', 'Thailand', 'SEARO', '1', '3077', '0', '57');
INSERT INTO public.who_import VALUES (87300, '2020-05-31', 'TH', 'Thailand', 'SEARO', '4', '3081', '0', '57');
INSERT INTO public.who_import VALUES (87301, '2020-06-01', 'TH', 'Thailand', 'SEARO', '1', '3082', '0', '57');
INSERT INTO public.who_import VALUES (87302, '2020-06-02', 'TH', 'Thailand', 'SEARO', '1', '3083', '1', '58');
INSERT INTO public.who_import VALUES (87303, '2020-06-03', 'TH', 'Thailand', 'SEARO', '1', '3084', '0', '58');
INSERT INTO public.who_import VALUES (87304, '2020-06-04', 'TH', 'Thailand', 'SEARO', '17', '3101', '0', '58');
INSERT INTO public.who_import VALUES (87305, '2020-06-05', 'TH', 'Thailand', 'SEARO', '1', '3102', '0', '58');
INSERT INTO public.who_import VALUES (87306, '2020-06-06', 'TH', 'Thailand', 'SEARO', '2', '3104', '0', '58');
INSERT INTO public.who_import VALUES (87307, '2020-06-07', 'TH', 'Thailand', 'SEARO', '8', '3112', '0', '58');
INSERT INTO public.who_import VALUES (87308, '2020-06-08', 'TH', 'Thailand', 'SEARO', '7', '3119', '0', '58');
INSERT INTO public.who_import VALUES (87309, '2020-06-09', 'TH', 'Thailand', 'SEARO', '2', '3121', '0', '58');
INSERT INTO public.who_import VALUES (87310, '2020-06-10', 'TH', 'Thailand', 'SEARO', '4', '3125', '0', '58');
INSERT INTO public.who_import VALUES (87311, '2020-06-11', 'TH', 'Thailand', 'SEARO', '0', '3125', '0', '58');
INSERT INTO public.who_import VALUES (87312, '2020-06-12', 'TH', 'Thailand', 'SEARO', '4', '3129', '0', '58');
INSERT INTO public.who_import VALUES (87313, '2020-06-13', 'TH', 'Thailand', 'SEARO', '5', '3134', '0', '58');
INSERT INTO public.who_import VALUES (87314, '2020-06-14', 'TH', 'Thailand', 'SEARO', '1', '3135', '0', '58');
INSERT INTO public.who_import VALUES (87315, '2020-06-15', 'TH', 'Thailand', 'SEARO', '0', '3135', '0', '58');
INSERT INTO public.who_import VALUES (87316, '2020-06-16', 'TH', 'Thailand', 'SEARO', '0', '3135', '0', '58');
INSERT INTO public.who_import VALUES (87317, '2020-06-17', 'TH', 'Thailand', 'SEARO', '0', '3135', '0', '58');
INSERT INTO public.who_import VALUES (87318, '2020-06-18', 'TH', 'Thailand', 'SEARO', '6', '3141', '0', '58');
INSERT INTO public.who_import VALUES (87319, '2020-06-19', 'TH', 'Thailand', 'SEARO', '5', '3146', '0', '58');
INSERT INTO public.who_import VALUES (87320, '2020-06-20', 'TH', 'Thailand', 'SEARO', '1', '3147', '0', '58');
INSERT INTO public.who_import VALUES (87321, '2020-06-21', 'TH', 'Thailand', 'SEARO', '1', '3148', '0', '58');
INSERT INTO public.who_import VALUES (87322, '2020-06-22', 'TH', 'Thailand', 'SEARO', '3', '3151', '0', '58');
INSERT INTO public.who_import VALUES (87323, '2020-06-23', 'TH', 'Thailand', 'SEARO', '5', '3156', '0', '58');
INSERT INTO public.who_import VALUES (87324, '2020-06-24', 'TH', 'Thailand', 'SEARO', '1', '3157', '0', '58');
INSERT INTO public.who_import VALUES (87325, '2020-06-25', 'TH', 'Thailand', 'SEARO', '1', '3158', '0', '58');
INSERT INTO public.who_import VALUES (87326, '2020-06-26', 'TH', 'Thailand', 'SEARO', '4', '3162', '0', '58');
INSERT INTO public.who_import VALUES (87327, '2020-06-27', 'TH', 'Thailand', 'SEARO', '0', '3162', '0', '58');
INSERT INTO public.who_import VALUES (87328, '2020-06-28', 'TH', 'Thailand', 'SEARO', '0', '3162', '0', '58');
INSERT INTO public.who_import VALUES (87329, '2020-06-29', 'TH', 'Thailand', 'SEARO', '7', '3169', '0', '58');
INSERT INTO public.who_import VALUES (87330, '2020-06-30', 'TH', 'Thailand', 'SEARO', '2', '3171', '0', '58');
INSERT INTO public.who_import VALUES (87331, '2020-07-01', 'TH', 'Thailand', 'SEARO', '2', '3173', '0', '58');
INSERT INTO public.who_import VALUES (87332, '2020-07-02', 'TH', 'Thailand', 'SEARO', '6', '3179', '0', '58');
INSERT INTO public.who_import VALUES (87333, '2020-07-03', 'TH', 'Thailand', 'SEARO', '1', '3180', '0', '58');
INSERT INTO public.who_import VALUES (87334, '2020-07-04', 'TH', 'Thailand', 'SEARO', '5', '3185', '0', '58');
INSERT INTO public.who_import VALUES (87335, '2020-07-05', 'TH', 'Thailand', 'SEARO', '5', '3190', '0', '58');
INSERT INTO public.who_import VALUES (87336, '2020-07-06', 'TH', 'Thailand', 'SEARO', '5', '3195', '0', '58');
INSERT INTO public.who_import VALUES (87337, '2020-07-07', 'TH', 'Thailand', 'SEARO', '0', '3195', '0', '58');
INSERT INTO public.who_import VALUES (87338, '2020-07-08', 'TH', 'Thailand', 'SEARO', '2', '3197', '0', '58');
INSERT INTO public.who_import VALUES (87339, '2020-07-09', 'TH', 'Thailand', 'SEARO', '5', '3202', '0', '58');
INSERT INTO public.who_import VALUES (87340, '2020-07-10', 'TH', 'Thailand', 'SEARO', '0', '3202', '0', '58');
INSERT INTO public.who_import VALUES (87341, '2020-07-11', 'TH', 'Thailand', 'SEARO', '14', '3216', '0', '58');
INSERT INTO public.who_import VALUES (87342, '2020-07-12', 'TH', 'Thailand', 'SEARO', '1', '3217', '0', '58');
INSERT INTO public.who_import VALUES (87343, '2020-07-13', 'TH', 'Thailand', 'SEARO', '3', '3220', '0', '58');
INSERT INTO public.who_import VALUES (87344, '2020-07-14', 'TH', 'Thailand', 'SEARO', '7', '3227', '0', '58');
INSERT INTO public.who_import VALUES (87345, '2020-07-15', 'TH', 'Thailand', 'SEARO', '5', '3232', '0', '58');
INSERT INTO public.who_import VALUES (87346, '2020-07-16', 'TH', 'Thailand', 'SEARO', '4', '3236', '0', '58');
INSERT INTO public.who_import VALUES (87347, '2020-07-17', 'TH', 'Thailand', 'SEARO', '3', '3239', '0', '58');
INSERT INTO public.who_import VALUES (87348, '2020-07-18', 'TH', 'Thailand', 'SEARO', '7', '3246', '0', '58');
INSERT INTO public.who_import VALUES (87349, '2020-07-19', 'TH', 'Thailand', 'SEARO', '3', '3249', '0', '58');
INSERT INTO public.who_import VALUES (87350, '2020-07-20', 'TH', 'Thailand', 'SEARO', '1', '3250', '0', '58');
INSERT INTO public.who_import VALUES (87351, '2020-07-21', 'TH', 'Thailand', 'SEARO', '5', '3255', '0', '58');
INSERT INTO public.who_import VALUES (87352, '2020-07-22', 'TH', 'Thailand', 'SEARO', '6', '3261', '0', '58');
INSERT INTO public.who_import VALUES (87353, '2020-07-23', 'TH', 'Thailand', 'SEARO', '8', '3269', '0', '58');
INSERT INTO public.who_import VALUES (87354, '2020-07-24', 'TH', 'Thailand', 'SEARO', '10', '3279', '0', '58');
INSERT INTO public.who_import VALUES (87355, '2020-07-25', 'TH', 'Thailand', 'SEARO', '3', '3282', '0', '58');
INSERT INTO public.who_import VALUES (87356, '2020-07-26', 'TH', 'Thailand', 'SEARO', '9', '3291', '0', '58');
INSERT INTO public.who_import VALUES (87357, '2020-07-27', 'TH', 'Thailand', 'SEARO', '4', '3295', '0', '58');
INSERT INTO public.who_import VALUES (87358, '2020-07-28', 'TH', 'Thailand', 'SEARO', '2', '3297', '0', '58');
INSERT INTO public.who_import VALUES (87359, '2020-07-29', 'TH', 'Thailand', 'SEARO', '1', '3298', '0', '58');
INSERT INTO public.who_import VALUES (87360, '2020-07-30', 'TH', 'Thailand', 'SEARO', '6', '3304', '0', '58');
INSERT INTO public.who_import VALUES (87361, '2020-07-31', 'TH', 'Thailand', 'SEARO', '6', '3310', '0', '58');
INSERT INTO public.who_import VALUES (87362, '2020-08-01', 'TH', 'Thailand', 'SEARO', '2', '3312', '0', '58');
INSERT INTO public.who_import VALUES (87363, '2020-08-02', 'TH', 'Thailand', 'SEARO', '5', '3317', '0', '58');
INSERT INTO public.who_import VALUES (87364, '2020-08-03', 'TH', 'Thailand', 'SEARO', '3', '3320', '0', '58');
INSERT INTO public.who_import VALUES (87365, '2020-08-04', 'TH', 'Thailand', 'SEARO', '1', '3321', '0', '58');
INSERT INTO public.who_import VALUES (87366, '2020-08-05', 'TH', 'Thailand', 'SEARO', '7', '3328', '0', '58');
INSERT INTO public.who_import VALUES (87367, '2020-08-06', 'TH', 'Thailand', 'SEARO', '2', '3330', '0', '58');
INSERT INTO public.who_import VALUES (87368, '2020-08-07', 'TH', 'Thailand', 'SEARO', '15', '3345', '0', '58');
INSERT INTO public.who_import VALUES (87369, '2020-08-08', 'TH', 'Thailand', 'SEARO', '3', '3348', '0', '58');
INSERT INTO public.who_import VALUES (87370, '2020-08-09', 'TH', 'Thailand', 'SEARO', '3', '3351', '0', '58');
INSERT INTO public.who_import VALUES (87371, '2020-08-10', 'TH', 'Thailand', 'SEARO', '0', '3351', '0', '58');
INSERT INTO public.who_import VALUES (87372, '2020-08-11', 'TH', 'Thailand', 'SEARO', '0', '3351', '0', '58');
INSERT INTO public.who_import VALUES (87373, '2020-08-12', 'TH', 'Thailand', 'SEARO', '5', '3356', '0', '58');
INSERT INTO public.who_import VALUES (87374, '2020-08-13', 'TH', 'Thailand', 'SEARO', '3', '3359', '0', '58');
INSERT INTO public.who_import VALUES (87375, '2020-08-14', 'TH', 'Thailand', 'SEARO', '17', '3376', '0', '58');
INSERT INTO public.who_import VALUES (87376, '2020-08-15', 'TH', 'Thailand', 'SEARO', '0', '3376', '0', '58');
INSERT INTO public.who_import VALUES (87377, '2020-08-16', 'TH', 'Thailand', 'SEARO', '1', '3377', '0', '58');
INSERT INTO public.who_import VALUES (87378, '2020-08-17', 'TH', 'Thailand', 'SEARO', '1', '3378', '0', '58');
INSERT INTO public.who_import VALUES (87379, '2020-08-18', 'TH', 'Thailand', 'SEARO', '3', '3381', '0', '58');
INSERT INTO public.who_import VALUES (87380, '2020-08-19', 'TH', 'Thailand', 'SEARO', '1', '3382', '0', '58');
INSERT INTO public.who_import VALUES (87381, '2020-08-20', 'TH', 'Thailand', 'SEARO', '7', '3389', '0', '58');
INSERT INTO public.who_import VALUES (87382, '2020-08-21', 'TH', 'Thailand', 'SEARO', '1', '3390', '0', '58');
INSERT INTO public.who_import VALUES (87383, '2020-08-22', 'TH', 'Thailand', 'SEARO', '0', '3390', '0', '58');
INSERT INTO public.who_import VALUES (87384, '2020-08-23', 'TH', 'Thailand', 'SEARO', '5', '3395', '0', '58');
INSERT INTO public.who_import VALUES (87385, '2020-08-24', 'TH', 'Thailand', 'SEARO', '2', '3397', '0', '58');
INSERT INTO public.who_import VALUES (87386, '2020-08-25', 'TH', 'Thailand', 'SEARO', '5', '3402', '0', '58');
INSERT INTO public.who_import VALUES (87387, '2020-08-26', 'TH', 'Thailand', 'SEARO', '0', '3402', '0', '58');
INSERT INTO public.who_import VALUES (87388, '2020-08-27', 'TH', 'Thailand', 'SEARO', '2', '3404', '0', '58');
INSERT INTO public.who_import VALUES (87389, '2020-08-28', 'TH', 'Thailand', 'SEARO', '6', '3410', '0', '58');
INSERT INTO public.who_import VALUES (87390, '2020-08-29', 'TH', 'Thailand', 'SEARO', '1', '3411', '0', '58');
INSERT INTO public.who_import VALUES (87391, '2020-08-30', 'TH', 'Thailand', 'SEARO', '0', '3411', '0', '58');
INSERT INTO public.who_import VALUES (87392, '2020-08-31', 'TH', 'Thailand', 'SEARO', '1', '3412', '0', '58');
INSERT INTO public.who_import VALUES (87393, '2020-09-01', 'TH', 'Thailand', 'SEARO', '5', '3417', '0', '58');
INSERT INTO public.who_import VALUES (87394, '2020-09-02', 'TH', 'Thailand', 'SEARO', '8', '3425', '0', '58');
INSERT INTO public.who_import VALUES (87395, '2020-09-03', 'TH', 'Thailand', 'SEARO', '2', '3427', '0', '58');
INSERT INTO public.who_import VALUES (87396, '2020-09-04', 'TH', 'Thailand', 'SEARO', '4', '3431', '0', '58');
INSERT INTO public.who_import VALUES (87397, '2020-09-05', 'TH', 'Thailand', 'SEARO', '7', '3438', '0', '58');
INSERT INTO public.who_import VALUES (87398, '2020-09-06', 'TH', 'Thailand', 'SEARO', '6', '3444', '0', '58');
INSERT INTO public.who_import VALUES (87399, '2020-09-07', 'TH', 'Thailand', 'SEARO', '1', '3445', '0', '58');
INSERT INTO public.who_import VALUES (87400, '2020-09-08', 'TH', 'Thailand', 'SEARO', '1', '3446', '0', '58');
INSERT INTO public.who_import VALUES (87401, '2020-09-09', 'TH', 'Thailand', 'SEARO', '1', '3447', '0', '58');
INSERT INTO public.who_import VALUES (87402, '2020-09-10', 'TH', 'Thailand', 'SEARO', '7', '3454', '0', '58');
INSERT INTO public.who_import VALUES (87403, '2020-09-11', 'TH', 'Thailand', 'SEARO', '7', '3461', '0', '58');
INSERT INTO public.who_import VALUES (87404, '2020-09-12', 'TH', 'Thailand', 'SEARO', '5', '3466', '0', '58');
INSERT INTO public.who_import VALUES (87405, '2020-09-13', 'TH', 'Thailand', 'SEARO', '7', '3473', '0', '58');
INSERT INTO public.who_import VALUES (87406, '2020-09-14', 'TH', 'Thailand', 'SEARO', '2', '3475', '0', '58');
INSERT INTO public.who_import VALUES (87407, '2020-09-15', 'TH', 'Thailand', 'SEARO', '5', '3480', '0', '58');
INSERT INTO public.who_import VALUES (87408, '2020-09-16', 'TH', 'Thailand', 'SEARO', '10', '3490', '0', '58');
INSERT INTO public.who_import VALUES (87409, '2020-09-17', 'TH', 'Thailand', 'SEARO', '0', '3490', '0', '58');
INSERT INTO public.who_import VALUES (87410, '2020-09-18', 'TH', 'Thailand', 'SEARO', '7', '3497', '0', '58');
INSERT INTO public.who_import VALUES (87411, '2020-09-19', 'TH', 'Thailand', 'SEARO', '3', '3500', '1', '59');
INSERT INTO public.who_import VALUES (87412, '2020-09-20', 'TH', 'Thailand', 'SEARO', '6', '3506', '0', '59');
INSERT INTO public.who_import VALUES (87413, '2020-09-21', 'TH', 'Thailand', 'SEARO', '0', '3506', '0', '59');
INSERT INTO public.who_import VALUES (87414, '2020-09-22', 'TH', 'Thailand', 'SEARO', '5', '3511', '0', '59');
INSERT INTO public.who_import VALUES (87415, '2020-09-23', 'TH', 'Thailand', 'SEARO', '3', '3514', '0', '59');
INSERT INTO public.who_import VALUES (87416, '2020-09-24', 'TH', 'Thailand', 'SEARO', '2', '3516', '0', '59');
INSERT INTO public.who_import VALUES (87417, '2020-09-25', 'TH', 'Thailand', 'SEARO', '3', '3519', '0', '59');
INSERT INTO public.who_import VALUES (87418, '2020-09-26', 'TH', 'Thailand', 'SEARO', '3', '3522', '0', '59');
INSERT INTO public.who_import VALUES (87419, '2020-09-27', 'TH', 'Thailand', 'SEARO', '1', '3523', '0', '59');
INSERT INTO public.who_import VALUES (87420, '2020-09-28', 'TH', 'Thailand', 'SEARO', '22', '3545', '0', '59');
INSERT INTO public.who_import VALUES (87421, '2020-09-29', 'TH', 'Thailand', 'SEARO', '14', '3559', '0', '59');
INSERT INTO public.who_import VALUES (87422, '2020-09-30', 'TH', 'Thailand', 'SEARO', '5', '3564', '0', '59');
INSERT INTO public.who_import VALUES (87423, '2020-10-01', 'TH', 'Thailand', 'SEARO', '5', '3569', '0', '59');
INSERT INTO public.who_import VALUES (87424, '2020-10-02', 'TH', 'Thailand', 'SEARO', '6', '3575', '0', '59');
INSERT INTO public.who_import VALUES (87425, '2020-10-03', 'TH', 'Thailand', 'SEARO', '8', '3583', '0', '59');
INSERT INTO public.who_import VALUES (87426, '2020-10-04', 'TH', 'Thailand', 'SEARO', '2', '3585', '0', '59');
INSERT INTO public.who_import VALUES (87427, '2020-10-05', 'TH', 'Thailand', 'SEARO', '5', '3590', '0', '59');
INSERT INTO public.who_import VALUES (87428, '2020-10-06', 'TH', 'Thailand', 'SEARO', '10', '3600', '0', '59');
INSERT INTO public.who_import VALUES (87429, '2020-10-07', 'TH', 'Thailand', 'SEARO', '15', '3615', '0', '59');
INSERT INTO public.who_import VALUES (87430, '2020-10-08', 'TH', 'Thailand', 'SEARO', '7', '3622', '0', '59');
INSERT INTO public.who_import VALUES (87431, '2020-10-09', 'TH', 'Thailand', 'SEARO', '6', '3628', '0', '59');
INSERT INTO public.who_import VALUES (87432, '2020-10-10', 'TH', 'Thailand', 'SEARO', '6', '3634', '0', '59');
INSERT INTO public.who_import VALUES (87433, '2020-10-11', 'TH', 'Thailand', 'SEARO', '2', '3636', '0', '59');
INSERT INTO public.who_import VALUES (87434, '2020-10-12', 'TH', 'Thailand', 'SEARO', '5', '3641', '0', '59');
INSERT INTO public.who_import VALUES (87435, '2020-10-13', 'TH', 'Thailand', 'SEARO', '2', '3643', '0', '59');
INSERT INTO public.who_import VALUES (87436, '2020-10-14', 'TH', 'Thailand', 'SEARO', '9', '3652', '0', '59');
INSERT INTO public.who_import VALUES (87437, '2020-10-15', 'TH', 'Thailand', 'SEARO', '13', '3665', '0', '59');
INSERT INTO public.who_import VALUES (87438, '2020-10-16', 'TH', 'Thailand', 'SEARO', '4', '3669', '0', '59');
INSERT INTO public.who_import VALUES (87439, '2020-10-17', 'TH', 'Thailand', 'SEARO', '10', '3679', '0', '59');
INSERT INTO public.who_import VALUES (87440, '2020-10-18', 'TH', 'Thailand', 'SEARO', '7', '3686', '0', '59');
INSERT INTO public.who_import VALUES (87441, '2020-10-19', 'TH', 'Thailand', 'SEARO', '5', '3691', '0', '59');
INSERT INTO public.who_import VALUES (87442, '2020-10-20', 'TH', 'Thailand', 'SEARO', '9', '3700', '0', '59');
INSERT INTO public.who_import VALUES (87443, '2020-10-21', 'TH', 'Thailand', 'SEARO', '9', '3709', '0', '59');
INSERT INTO public.who_import VALUES (87444, '2020-10-22', 'TH', 'Thailand', 'SEARO', '10', '3719', '0', '59');
INSERT INTO public.who_import VALUES (87445, '2020-10-23', 'TH', 'Thailand', 'SEARO', '8', '3727', '0', '59');
INSERT INTO public.who_import VALUES (87446, '2020-10-24', 'TH', 'Thailand', 'SEARO', '4', '3731', '0', '59');
INSERT INTO public.who_import VALUES (87447, '2020-10-25', 'TH', 'Thailand', 'SEARO', '5', '3736', '0', '59');
INSERT INTO public.who_import VALUES (87448, '2020-10-26', 'TH', 'Thailand', 'SEARO', '7', '3743', '0', '59');
INSERT INTO public.who_import VALUES (87449, '2020-10-27', 'TH', 'Thailand', 'SEARO', '3', '3746', '0', '59');
INSERT INTO public.who_import VALUES (87450, '2020-10-28', 'TH', 'Thailand', 'SEARO', '13', '3759', '0', '59');
INSERT INTO public.who_import VALUES (87451, '2020-10-29', 'TH', 'Thailand', 'SEARO', '4', '3763', '0', '59');
INSERT INTO public.who_import VALUES (87452, '2020-10-30', 'TH', 'Thailand', 'SEARO', '12', '3775', '0', '59');
INSERT INTO public.who_import VALUES (87453, '2020-10-31', 'TH', 'Thailand', 'SEARO', '5', '3780', '0', '59');
INSERT INTO public.who_import VALUES (87454, '2020-11-01', 'TH', 'Thailand', 'SEARO', '4', '3784', '0', '59');
INSERT INTO public.who_import VALUES (87455, '2020-11-02', 'TH', 'Thailand', 'SEARO', '3', '3787', '0', '59');
INSERT INTO public.who_import VALUES (87456, '2020-11-03', 'TH', 'Thailand', 'SEARO', '10', '3797', '0', '59');
INSERT INTO public.who_import VALUES (87457, '2020-11-04', 'TH', 'Thailand', 'SEARO', '7', '3804', '0', '59');
INSERT INTO public.who_import VALUES (87458, '2020-11-05', 'TH', 'Thailand', 'SEARO', '6', '3810', '0', '59');
INSERT INTO public.who_import VALUES (87459, '2020-11-06', 'TH', 'Thailand', 'SEARO', '8', '3818', '1', '60');
INSERT INTO public.who_import VALUES (87460, '2020-11-07', 'TH', 'Thailand', 'SEARO', '12', '3830', '0', '60');
INSERT INTO public.who_import VALUES (87461, '2020-11-08', 'TH', 'Thailand', 'SEARO', '7', '3837', '0', '60');
INSERT INTO public.who_import VALUES (87462, '2020-11-09', 'TH', 'Thailand', 'SEARO', '3', '3840', '0', '60');
INSERT INTO public.who_import VALUES (87463, '2020-11-10', 'TH', 'Thailand', 'SEARO', '4', '3844', '0', '60');
INSERT INTO public.who_import VALUES (87464, '2020-11-11', 'TH', 'Thailand', 'SEARO', '3', '3847', '0', '60');
INSERT INTO public.who_import VALUES (87465, '2020-11-12', 'TH', 'Thailand', 'SEARO', '5', '3852', '0', '60');
INSERT INTO public.who_import VALUES (87466, '2020-11-13', 'TH', 'Thailand', 'SEARO', '9', '3861', '0', '60');
INSERT INTO public.who_import VALUES (87467, '2020-11-14', 'TH', 'Thailand', 'SEARO', '0', '3861', '0', '60');
INSERT INTO public.who_import VALUES (87468, '2020-11-15', 'TH', 'Thailand', 'SEARO', '5', '3866', '0', '60');
INSERT INTO public.who_import VALUES (87469, '2020-11-16', 'TH', 'Thailand', 'SEARO', '9', '3875', '0', '60');
INSERT INTO public.who_import VALUES (87470, '2020-11-17', 'TH', 'Thailand', 'SEARO', '3', '3878', '0', '60');
INSERT INTO public.who_import VALUES (87471, '2020-11-18', 'TH', 'Thailand', 'SEARO', '2', '3880', '0', '60');
INSERT INTO public.who_import VALUES (87472, '2020-11-19', 'TH', 'Thailand', 'SEARO', '8', '3888', '0', '60');
INSERT INTO public.who_import VALUES (87473, '2020-11-20', 'TH', 'Thailand', 'SEARO', '4', '3892', '0', '60');
INSERT INTO public.who_import VALUES (87474, '2020-11-21', 'TH', 'Thailand', 'SEARO', '10', '3902', '0', '60');
INSERT INTO public.who_import VALUES (87475, '2020-11-22', 'TH', 'Thailand', 'SEARO', '11', '3913', '0', '60');
INSERT INTO public.who_import VALUES (87476, '2020-11-23', 'TH', 'Thailand', 'SEARO', '7', '3920', '0', '60');
INSERT INTO public.who_import VALUES (87477, '2020-11-24', 'TH', 'Thailand', 'SEARO', '2', '3922', '0', '60');
INSERT INTO public.who_import VALUES (87478, '2020-11-25', 'TH', 'Thailand', 'SEARO', '4', '3926', '0', '60');
INSERT INTO public.who_import VALUES (87479, '2020-11-26', 'TH', 'Thailand', 'SEARO', '16', '3942', '0', '60');
INSERT INTO public.who_import VALUES (87480, '2020-11-27', 'TH', 'Thailand', 'SEARO', '19', '3961', '0', '60');
INSERT INTO public.who_import VALUES (87481, '2020-11-28', 'TH', 'Thailand', 'SEARO', '5', '3966', '0', '60');
INSERT INTO public.who_import VALUES (87482, '2020-11-29', 'TH', 'Thailand', 'SEARO', '0', '3966', '0', '60');
INSERT INTO public.who_import VALUES (87483, '2020-11-30', 'TH', 'Thailand', 'SEARO', '11', '3977', '0', '60');
INSERT INTO public.who_import VALUES (87484, '2020-12-01', 'TH', 'Thailand', 'SEARO', '21', '3998', '0', '60');
INSERT INTO public.who_import VALUES (87485, '2020-12-02', 'TH', 'Thailand', 'SEARO', '10', '4008', '0', '60');
INSERT INTO public.who_import VALUES (87486, '2020-12-03', 'TH', 'Thailand', 'SEARO', '18', '4026', '0', '60');
INSERT INTO public.who_import VALUES (87487, '2020-12-04', 'TH', 'Thailand', 'SEARO', '13', '4039', '0', '60');
INSERT INTO public.who_import VALUES (87488, '2020-12-05', 'TH', 'Thailand', 'SEARO', '14', '4053', '0', '60');
INSERT INTO public.who_import VALUES (87489, '2020-12-06', 'TH', 'Thailand', 'SEARO', '19', '4072', '0', '60');
INSERT INTO public.who_import VALUES (87490, '2020-12-07', 'TH', 'Thailand', 'SEARO', '14', '4086', '0', '60');
INSERT INTO public.who_import VALUES (87491, '2020-12-08', 'TH', 'Thailand', 'SEARO', '21', '4107', '0', '60');
INSERT INTO public.who_import VALUES (87492, '2020-12-09', 'TH', 'Thailand', 'SEARO', '19', '4126', '0', '60');
INSERT INTO public.who_import VALUES (87493, '2020-12-10', 'TH', 'Thailand', 'SEARO', '25', '4151', '0', '60');
INSERT INTO public.who_import VALUES (87494, '2020-12-11', 'TH', 'Thailand', 'SEARO', '18', '4169', '0', '60');
INSERT INTO public.who_import VALUES (87495, '2020-12-12', 'TH', 'Thailand', 'SEARO', '11', '4180', '0', '60');
INSERT INTO public.who_import VALUES (87496, '2020-12-13', 'TH', 'Thailand', 'SEARO', '12', '4192', '0', '60');
INSERT INTO public.who_import VALUES (87497, '2020-12-14', 'TH', 'Thailand', 'SEARO', '17', '4209', '0', '60');
INSERT INTO public.who_import VALUES (87498, '2020-12-15', 'TH', 'Thailand', 'SEARO', '28', '4237', '0', '60');
INSERT INTO public.who_import VALUES (87499, '2020-12-16', 'TH', 'Thailand', 'SEARO', '9', '4246', '0', '60');
INSERT INTO public.who_import VALUES (87500, '2020-12-17', 'TH', 'Thailand', 'SEARO', '15', '4261', '0', '60');
INSERT INTO public.who_import VALUES (87501, '2020-12-18', 'TH', 'Thailand', 'SEARO', '20', '4281', '0', '60');
INSERT INTO public.who_import VALUES (87502, '2020-12-19', 'TH', 'Thailand', 'SEARO', '16', '4297', '0', '60');
INSERT INTO public.who_import VALUES (87503, '2020-12-20', 'TH', 'Thailand', 'SEARO', '34', '4331', '0', '60');
INSERT INTO public.who_import VALUES (87504, '2020-12-21', 'TH', 'Thailand', 'SEARO', '576', '4907', '0', '60');
INSERT INTO public.who_import VALUES (87505, '2020-12-22', 'TH', 'Thailand', 'SEARO', '382', '5289', '0', '60');
INSERT INTO public.who_import VALUES (87506, '2020-12-23', 'TH', 'Thailand', 'SEARO', '473', '5762', '0', '60');
INSERT INTO public.who_import VALUES (87507, '2020-12-24', 'TH', 'Thailand', 'SEARO', '67', '5829', '0', '60');
INSERT INTO public.who_import VALUES (87508, '2020-12-25', 'TH', 'Thailand', 'SEARO', '0', '5829', '0', '60');
INSERT INTO public.who_import VALUES (87509, '2020-12-26', 'TH', 'Thailand', 'SEARO', '81', '5910', '0', '60');
INSERT INTO public.who_import VALUES (87510, '2020-12-27', 'TH', 'Thailand', 'SEARO', '110', '6020', '0', '60');
INSERT INTO public.who_import VALUES (87511, '2020-12-28', 'TH', 'Thailand', 'SEARO', '121', '6141', '0', '60');
INSERT INTO public.who_import VALUES (87512, '2020-12-29', 'TH', 'Thailand', 'SEARO', '299', '6440', '1', '61');
INSERT INTO public.who_import VALUES (87513, '2020-12-30', 'TH', 'Thailand', 'SEARO', '0', '6440', '0', '61');
INSERT INTO public.who_import VALUES (87514, '2020-12-31', 'TH', 'Thailand', 'SEARO', '250', '6690', '0', '61');
INSERT INTO public.who_import VALUES (87515, '2021-01-01', 'TH', 'Thailand', 'SEARO', '194', '6884', '0', '61');
INSERT INTO public.who_import VALUES (87516, '2021-01-02', 'TH', 'Thailand', 'SEARO', '279', '7163', '2', '63');
INSERT INTO public.who_import VALUES (87517, '2021-01-03', 'TH', 'Thailand', 'SEARO', '216', '7379', '1', '64');
INSERT INTO public.who_import VALUES (87518, '2021-01-04', 'TH', 'Thailand', 'SEARO', '1060', '8439', '1', '65');
INSERT INTO public.who_import VALUES (87519, '2021-01-05', 'TH', 'Thailand', 'SEARO', '527', '8966', '0', '65');
INSERT INTO public.who_import VALUES (87520, '2021-01-06', 'TH', 'Thailand', 'SEARO', '365', '9331', '1', '66');
INSERT INTO public.who_import VALUES (87521, '2021-01-07', 'TH', 'Thailand', 'SEARO', '305', '9636', '1', '67');
INSERT INTO public.who_import VALUES (87522, '2021-01-08', 'TH', 'Thailand', 'SEARO', '205', '9841', '0', '67');
INSERT INTO public.who_import VALUES (87523, '2021-01-09', 'TH', 'Thailand', 'SEARO', '0', '9841', '0', '67');
INSERT INTO public.who_import VALUES (87524, '2021-01-10', 'TH', 'Thailand', 'SEARO', '457', '10298', '0', '67');
INSERT INTO public.who_import VALUES (87525, '2021-01-11', 'TH', 'Thailand', 'SEARO', '249', '10547', '0', '67');
INSERT INTO public.who_import VALUES (87526, '2021-01-12', 'TH', 'Thailand', 'SEARO', '287', '10834', '0', '67');
INSERT INTO public.who_import VALUES (87527, '2021-01-13', 'TH', 'Thailand', 'SEARO', '157', '10991', '0', '67');
INSERT INTO public.who_import VALUES (87528, '2021-01-14', 'TH', 'Thailand', 'SEARO', '271', '11262', '2', '69');
INSERT INTO public.who_import VALUES (87529, '2021-01-15', 'TH', 'Thailand', 'SEARO', '188', '11450', '0', '69');
INSERT INTO public.who_import VALUES (87530, '2021-01-16', 'TH', 'Thailand', 'SEARO', '230', '11680', '1', '70');
INSERT INTO public.who_import VALUES (87531, '2021-01-17', 'TH', 'Thailand', 'SEARO', '374', '12054', '0', '70');
INSERT INTO public.who_import VALUES (87532, '2021-01-18', 'TH', 'Thailand', 'SEARO', '369', '12423', '0', '70');
INSERT INTO public.who_import VALUES (87533, '2021-01-19', 'TH', 'Thailand', 'SEARO', '171', '12594', '0', '70');
INSERT INTO public.who_import VALUES (87534, '2021-01-20', 'TH', 'Thailand', 'SEARO', '59', '12653', '1', '71');
INSERT INTO public.who_import VALUES (87535, '2021-01-21', 'TH', 'Thailand', 'SEARO', '142', '12795', '0', '71');
INSERT INTO public.who_import VALUES (87536, '2021-01-22', 'TH', 'Thailand', 'SEARO', '309', '13104', '0', '71');
INSERT INTO public.who_import VALUES (87537, '2021-01-23', 'TH', 'Thailand', 'SEARO', '198', '13302', '1', '72');
INSERT INTO public.who_import VALUES (87538, '2021-01-24', 'TH', 'Thailand', 'SEARO', '198', '13500', '1', '73');
INSERT INTO public.who_import VALUES (87539, '2021-01-25', 'TH', 'Thailand', 'SEARO', '187', '13687', '2', '75');
INSERT INTO public.who_import VALUES (87540, '2021-01-26', 'TH', 'Thailand', 'SEARO', '959', '14646', '0', '75');
INSERT INTO public.who_import VALUES (87541, '2021-01-27', 'TH', 'Thailand', 'SEARO', '819', '15465', '1', '76');
INSERT INTO public.who_import VALUES (87542, '2021-01-28', 'TH', 'Thailand', 'SEARO', '756', '16221', '0', '76');
INSERT INTO public.who_import VALUES (87543, '2021-01-29', 'TH', 'Thailand', 'SEARO', '802', '17023', '0', '76');
INSERT INTO public.who_import VALUES (87544, '2021-01-30', 'TH', 'Thailand', 'SEARO', '930', '17953', '1', '77');
INSERT INTO public.who_import VALUES (87545, '2021-01-31', 'TH', 'Thailand', 'SEARO', '829', '18782', '0', '77');
INSERT INTO public.who_import VALUES (87546, '2021-02-01', 'TH', 'Thailand', 'SEARO', '836', '19618', '0', '77');
INSERT INTO public.who_import VALUES (87547, '2021-02-02', 'TH', 'Thailand', 'SEARO', '836', '20454', '2', '79');
INSERT INTO public.who_import VALUES (87548, '2021-02-03', 'TH', 'Thailand', 'SEARO', '795', '21249', '0', '79');
INSERT INTO public.who_import VALUES (87549, '2021-02-04', 'TH', 'Thailand', 'SEARO', '809', '22058', '0', '79');
INSERT INTO public.who_import VALUES (87550, '2021-02-05', 'TH', 'Thailand', 'SEARO', '586', '22644', '0', '79');
INSERT INTO public.who_import VALUES (87551, '2021-02-06', 'TH', 'Thailand', 'SEARO', '490', '23134', '0', '79');
INSERT INTO public.who_import VALUES (87552, '2021-02-07', 'TH', 'Thailand', 'SEARO', '237', '23371', '0', '79');
INSERT INTO public.who_import VALUES (87553, '2021-02-08', 'TH', 'Thailand', 'SEARO', '186', '23557', '0', '79');
INSERT INTO public.who_import VALUES (87554, '2021-02-09', 'TH', 'Thailand', 'SEARO', '189', '23746', '0', '79');
INSERT INTO public.who_import VALUES (87555, '2021-02-10', 'TH', 'Thailand', 'SEARO', '157', '23903', '1', '80');
INSERT INTO public.who_import VALUES (87556, '2021-02-11', 'TH', 'Thailand', 'SEARO', '201', '24104', '0', '80');
INSERT INTO public.who_import VALUES (87557, '2021-02-12', 'TH', 'Thailand', 'SEARO', '175', '24279', '0', '80');
INSERT INTO public.who_import VALUES (87558, '2021-02-13', 'TH', 'Thailand', 'SEARO', '126', '24405', '0', '80');
INSERT INTO public.who_import VALUES (87559, '2021-02-14', 'TH', 'Thailand', 'SEARO', '166', '24571', '0', '80');
INSERT INTO public.who_import VALUES (87560, '2021-02-15', 'TH', 'Thailand', 'SEARO', '143', '24714', '2', '82');
INSERT INTO public.who_import VALUES (87561, '2021-02-16', 'TH', 'Thailand', 'SEARO', '72', '24786', '0', '82');
INSERT INTO public.who_import VALUES (87562, '2021-02-17', 'TH', 'Thailand', 'SEARO', '175', '24961', '0', '82');
INSERT INTO public.who_import VALUES (87563, '2021-02-18', 'TH', 'Thailand', 'SEARO', '150', '25111', '0', '82');
INSERT INTO public.who_import VALUES (87564, '2021-02-19', 'TH', 'Thailand', 'SEARO', '130', '25241', '1', '83');
INSERT INTO public.who_import VALUES (87565, '2021-02-20', 'TH', 'Thailand', 'SEARO', '82', '25323', '0', '83');
INSERT INTO public.who_import VALUES (87566, '2020-01-03', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87567, '2020-01-04', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87568, '2020-01-05', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87569, '2020-01-06', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87570, '2020-01-07', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87571, '2020-01-08', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87572, '2020-01-09', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87573, '2020-01-10', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87574, '2020-01-11', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87575, '2020-01-12', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87576, '2020-01-13', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87577, '2020-01-14', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87578, '2020-01-15', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87579, '2020-01-16', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87580, '2020-01-17', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87581, '2020-01-18', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87582, '2020-01-19', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87583, '2020-01-20', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87584, '2020-01-21', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87585, '2020-01-22', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87586, '2020-01-23', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87587, '2020-01-24', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87588, '2020-01-25', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88469, '2020-03-16', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (87589, '2020-01-26', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87590, '2020-01-27', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87591, '2020-01-28', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87592, '2020-01-29', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87593, '2020-01-30', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87594, '2020-01-31', 'GB', 'The United Kingdom', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87595, '2020-02-01', 'GB', 'The United Kingdom', 'EURO', '2', '2', '0', '0');
INSERT INTO public.who_import VALUES (87596, '2020-02-02', 'GB', 'The United Kingdom', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (87597, '2020-02-03', 'GB', 'The United Kingdom', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (87598, '2020-02-04', 'GB', 'The United Kingdom', 'EURO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (87599, '2020-02-05', 'GB', 'The United Kingdom', 'EURO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (87600, '2020-02-06', 'GB', 'The United Kingdom', 'EURO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (87601, '2020-02-07', 'GB', 'The United Kingdom', 'EURO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (87602, '2020-02-08', 'GB', 'The United Kingdom', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (87603, '2020-02-09', 'GB', 'The United Kingdom', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (87604, '2020-02-10', 'GB', 'The United Kingdom', 'EURO', '4', '8', '0', '0');
INSERT INTO public.who_import VALUES (87605, '2020-02-11', 'GB', 'The United Kingdom', 'EURO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (87606, '2020-02-12', 'GB', 'The United Kingdom', 'EURO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (87607, '2020-02-13', 'GB', 'The United Kingdom', 'EURO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (87608, '2020-02-14', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87609, '2020-02-15', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87610, '2020-02-16', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87611, '2020-02-17', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87612, '2020-02-18', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87613, '2020-02-19', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87614, '2020-02-20', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87615, '2020-02-21', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87616, '2020-02-22', 'GB', 'The United Kingdom', 'EURO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (87617, '2020-02-23', 'GB', 'The United Kingdom', 'EURO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (87618, '2020-02-24', 'GB', 'The United Kingdom', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (87619, '2020-02-25', 'GB', 'The United Kingdom', 'EURO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (87620, '2020-02-26', 'GB', 'The United Kingdom', 'EURO', '2', '13', '0', '0');
INSERT INTO public.who_import VALUES (87621, '2020-02-27', 'GB', 'The United Kingdom', 'EURO', '5', '18', '0', '0');
INSERT INTO public.who_import VALUES (87622, '2020-02-28', 'GB', 'The United Kingdom', 'EURO', '4', '22', '0', '0');
INSERT INTO public.who_import VALUES (87623, '2020-02-29', 'GB', 'The United Kingdom', 'EURO', '8', '30', '0', '0');
INSERT INTO public.who_import VALUES (87624, '2020-03-01', 'GB', 'The United Kingdom', 'EURO', '12', '42', '0', '0');
INSERT INTO public.who_import VALUES (87625, '2020-03-02', 'GB', 'The United Kingdom', 'EURO', '5', '47', '0', '0');
INSERT INTO public.who_import VALUES (87626, '2020-03-03', 'GB', 'The United Kingdom', 'EURO', '22', '69', '0', '0');
INSERT INTO public.who_import VALUES (87627, '2020-03-04', 'GB', 'The United Kingdom', 'EURO', '40', '109', '0', '0');
INSERT INTO public.who_import VALUES (87628, '2020-03-05', 'GB', 'The United Kingdom', 'EURO', '55', '164', '0', '0');
INSERT INTO public.who_import VALUES (87629, '2020-03-06', 'GB', 'The United Kingdom', 'EURO', '56', '220', '0', '0');
INSERT INTO public.who_import VALUES (87630, '2020-03-07', 'GB', 'The United Kingdom', 'EURO', '51', '271', '1', '1');
INSERT INTO public.who_import VALUES (87631, '2020-03-08', 'GB', 'The United Kingdom', 'EURO', '81', '352', '1', '2');
INSERT INTO public.who_import VALUES (87632, '2020-03-09', 'GB', 'The United Kingdom', 'EURO', '60', '412', '0', '2');
INSERT INTO public.who_import VALUES (87633, '2020-03-10', 'GB', 'The United Kingdom', 'EURO', '57', '469', '1', '3');
INSERT INTO public.who_import VALUES (87634, '2020-03-11', 'GB', 'The United Kingdom', 'EURO', '148', '617', '4', '7');
INSERT INTO public.who_import VALUES (87635, '2020-03-12', 'GB', 'The United Kingdom', 'EURO', '259', '876', '0', '7');
INSERT INTO public.who_import VALUES (87636, '2020-03-13', 'GB', 'The United Kingdom', 'EURO', '406', '1282', '2', '9');
INSERT INTO public.who_import VALUES (87637, '2020-03-14', 'GB', 'The United Kingdom', 'EURO', '484', '1766', '1', '10');
INSERT INTO public.who_import VALUES (87638, '2020-03-15', 'GB', 'The United Kingdom', 'EURO', '478', '2244', '19', '29');
INSERT INTO public.who_import VALUES (87639, '2020-03-16', 'GB', 'The United Kingdom', 'EURO', '361', '2605', '14', '43');
INSERT INTO public.who_import VALUES (87640, '2020-03-17', 'GB', 'The United Kingdom', 'EURO', '442', '3047', '22', '65');
INSERT INTO public.who_import VALUES (87641, '2020-03-18', 'GB', 'The United Kingdom', 'EURO', '611', '3658', '17', '82');
INSERT INTO public.who_import VALUES (87642, '2020-03-19', 'GB', 'The United Kingdom', 'EURO', '769', '4427', '34', '116');
INSERT INTO public.who_import VALUES (87643, '2020-03-20', 'GB', 'The United Kingdom', 'EURO', '1003', '5430', '46', '162');
INSERT INTO public.who_import VALUES (87644, '2020-03-21', 'GB', 'The United Kingdom', 'EURO', '1055', '6485', '32', '194');
INSERT INTO public.who_import VALUES (87645, '2020-03-22', 'GB', 'The United Kingdom', 'EURO', '1255', '7740', '58', '252');
INSERT INTO public.who_import VALUES (87646, '2020-03-23', 'GB', 'The United Kingdom', 'EURO', '1198', '8938', '36', '288');
INSERT INTO public.who_import VALUES (87647, '2020-03-24', 'GB', 'The United Kingdom', 'EURO', '1378', '10316', '76', '364');
INSERT INTO public.who_import VALUES (87648, '2020-03-25', 'GB', 'The United Kingdom', 'EURO', '2338', '12654', '148', '512');
INSERT INTO public.who_import VALUES (87649, '2020-03-26', 'GB', 'The United Kingdom', 'EURO', '2375', '15029', '191', '703');
INSERT INTO public.who_import VALUES (87650, '2020-03-27', 'GB', 'The United Kingdom', 'EURO', '2692', '17721', '181', '884');
INSERT INTO public.who_import VALUES (87651, '2020-03-28', 'GB', 'The United Kingdom', 'EURO', '3087', '20808', '288', '1172');
INSERT INTO public.who_import VALUES (87652, '2020-03-29', 'GB', 'The United Kingdom', 'EURO', '3197', '24005', '292', '1464');
INSERT INTO public.who_import VALUES (87653, '2020-03-30', 'GB', 'The United Kingdom', 'EURO', '2822', '26827', '212', '1676');
INSERT INTO public.who_import VALUES (87654, '2020-03-31', 'GB', 'The United Kingdom', 'EURO', '2858', '29685', '374', '2050');
INSERT INTO public.who_import VALUES (87655, '2020-04-01', 'GB', 'The United Kingdom', 'EURO', '4273', '33958', '403', '2453');
INSERT INTO public.who_import VALUES (87656, '2020-04-02', 'GB', 'The United Kingdom', 'EURO', '4514', '38472', '672', '3125');
INSERT INTO public.who_import VALUES (87657, '2020-04-03', 'GB', 'The United Kingdom', 'EURO', '4913', '43385', '657', '3782');
INSERT INTO public.who_import VALUES (87658, '2020-04-04', 'GB', 'The United Kingdom', 'EURO', '4868', '48253', '736', '4518');
INSERT INTO public.who_import VALUES (87659, '2020-04-05', 'GB', 'The United Kingdom', 'EURO', '4911', '53164', '756', '5274');
INSERT INTO public.who_import VALUES (87660, '2020-04-06', 'GB', 'The United Kingdom', 'EURO', '4020', '57184', '599', '5873');
INSERT INTO public.who_import VALUES (87661, '2020-04-07', 'GB', 'The United Kingdom', 'EURO', '3592', '60776', '567', '6440');
INSERT INTO public.who_import VALUES (87662, '2020-04-08', 'GB', 'The United Kingdom', 'EURO', '5282', '66058', '1105', '7545');
INSERT INTO public.who_import VALUES (87663, '2020-04-09', 'GB', 'The United Kingdom', 'EURO', '5450', '71508', '1030', '8575');
INSERT INTO public.who_import VALUES (87664, '2020-04-10', 'GB', 'The United Kingdom', 'EURO', '5131', '76639', '1116', '9691');
INSERT INTO public.who_import VALUES (87665, '2020-04-11', 'GB', 'The United Kingdom', 'EURO', '4858', '81497', '1122', '10813');
INSERT INTO public.who_import VALUES (87666, '2020-04-12', 'GB', 'The United Kingdom', 'EURO', '4313', '85810', '843', '11656');
INSERT INTO public.who_import VALUES (87667, '2020-04-13', 'GB', 'The United Kingdom', 'EURO', '3579', '89389', '657', '12313');
INSERT INTO public.who_import VALUES (87668, '2020-04-14', 'GB', 'The United Kingdom', 'EURO', '3489', '92878', '724', '13037');
INSERT INTO public.who_import VALUES (87669, '2020-04-15', 'GB', 'The United Kingdom', 'EURO', '4178', '97056', '1076', '14113');
INSERT INTO public.who_import VALUES (87670, '2020-04-16', 'GB', 'The United Kingdom', 'EURO', '4326', '101382', '880', '14993');
INSERT INTO public.who_import VALUES (87671, '2020-04-17', 'GB', 'The United Kingdom', 'EURO', '5065', '106447', '1036', '16029');
INSERT INTO public.who_import VALUES (87672, '2020-04-18', 'GB', 'The United Kingdom', 'EURO', '5292', '111739', '913', '16942');
INSERT INTO public.who_import VALUES (87673, '2020-04-19', 'GB', 'The United Kingdom', 'EURO', '4956', '116695', '1105', '18047');
INSERT INTO public.who_import VALUES (87674, '2020-04-20', 'GB', 'The United Kingdom', 'EURO', '4721', '121416', '432', '18479');
INSERT INTO public.who_import VALUES (87675, '2020-04-21', 'GB', 'The United Kingdom', 'EURO', '3853', '125269', '570', '19049');
INSERT INTO public.who_import VALUES (87676, '2020-04-22', 'GB', 'The United Kingdom', 'EURO', '4854', '130123', '1224', '20273');
INSERT INTO public.who_import VALUES (87677, '2020-04-23', 'GB', 'The United Kingdom', 'EURO', '4760', '134883', '847', '21120');
INSERT INTO public.who_import VALUES (87678, '2020-04-24', 'GB', 'The United Kingdom', 'EURO', '5487', '140370', '682', '21802');
INSERT INTO public.who_import VALUES (87679, '2020-04-25', 'GB', 'The United Kingdom', 'EURO', '5158', '145528', '1010', '22812');
INSERT INTO public.who_import VALUES (87680, '2020-04-26', 'GB', 'The United Kingdom', 'EURO', '4970', '150498', '815', '23627');
INSERT INTO public.who_import VALUES (87681, '2020-04-27', 'GB', 'The United Kingdom', 'EURO', '3748', '154246', '364', '23991');
INSERT INTO public.who_import VALUES (87682, '2020-04-28', 'GB', 'The United Kingdom', 'EURO', '3473', '157719', '320', '24311');
INSERT INTO public.who_import VALUES (87683, '2020-04-29', 'GB', 'The United Kingdom', 'EURO', '4706', '162425', '969', '25280');
INSERT INTO public.who_import VALUES (87684, '2020-04-30', 'GB', 'The United Kingdom', 'EURO', '4729', '167154', '769', '26049');
INSERT INTO public.who_import VALUES (87685, '2020-05-01', 'GB', 'The United Kingdom', 'EURO', '5442', '172596', '634', '26683');
INSERT INTO public.who_import VALUES (87686, '2020-05-02', 'GB', 'The United Kingdom', 'EURO', '4966', '177562', '698', '27381');
INSERT INTO public.who_import VALUES (87687, '2020-05-03', 'GB', 'The United Kingdom', 'EURO', '4737', '182299', '584', '27965');
INSERT INTO public.who_import VALUES (87688, '2020-05-04', 'GB', 'The United Kingdom', 'EURO', '3229', '185528', '253', '28218');
INSERT INTO public.who_import VALUES (87689, '2020-05-05', 'GB', 'The United Kingdom', 'EURO', '2982', '188510', '272', '28490');
INSERT INTO public.who_import VALUES (87690, '2020-05-06', 'GB', 'The United Kingdom', 'EURO', '3389', '191899', '726', '29216');
INSERT INTO public.who_import VALUES (87691, '2020-05-07', 'GB', 'The United Kingdom', 'EURO', '3682', '195581', '647', '29863');
INSERT INTO public.who_import VALUES (87692, '2020-05-08', 'GB', 'The United Kingdom', 'EURO', '3827', '199408', '458', '30321');
INSERT INTO public.who_import VALUES (87693, '2020-05-09', 'GB', 'The United Kingdom', 'EURO', '3767', '203175', '579', '30900');
INSERT INTO public.who_import VALUES (87694, '2020-05-10', 'GB', 'The United Kingdom', 'EURO', '3063', '206238', '275', '31175');
INSERT INTO public.who_import VALUES (87695, '2020-05-11', 'GB', 'The United Kingdom', 'EURO', '2157', '208395', '217', '31392');
INSERT INTO public.who_import VALUES (87696, '2020-05-12', 'GB', 'The United Kingdom', 'EURO', '2329', '210724', '187', '31579');
INSERT INTO public.who_import VALUES (87697, '2020-05-13', 'GB', 'The United Kingdom', 'EURO', '3586', '214310', '614', '32193');
INSERT INTO public.who_import VALUES (87698, '2020-05-14', 'GB', 'The United Kingdom', 'EURO', '3402', '217712', '447', '32640');
INSERT INTO public.who_import VALUES (87699, '2020-05-15', 'GB', 'The United Kingdom', 'EURO', '3307', '221019', '352', '32992');
INSERT INTO public.who_import VALUES (87700, '2020-05-16', 'GB', 'The United Kingdom', 'EURO', '2628', '223647', '350', '33342');
INSERT INTO public.who_import VALUES (87701, '2020-05-17', 'GB', 'The United Kingdom', 'EURO', '2526', '226173', '411', '33753');
INSERT INTO public.who_import VALUES (87702, '2020-05-18', 'GB', 'The United Kingdom', 'EURO', '2079', '228252', '67', '33820');
INSERT INTO public.who_import VALUES (87703, '2020-05-19', 'GB', 'The United Kingdom', 'EURO', '1838', '230090', '146', '33966');
INSERT INTO public.who_import VALUES (87704, '2020-05-20', 'GB', 'The United Kingdom', 'EURO', '2589', '232679', '500', '34466');
INSERT INTO public.who_import VALUES (87705, '2020-05-21', 'GB', 'The United Kingdom', 'EURO', '3052', '235731', '328', '34794');
INSERT INTO public.who_import VALUES (87706, '2020-05-22', 'GB', 'The United Kingdom', 'EURO', '2718', '238449', '273', '35067');
INSERT INTO public.who_import VALUES (87707, '2020-05-23', 'GB', 'The United Kingdom', 'EURO', '2574', '241023', '291', '35358');
INSERT INTO public.who_import VALUES (87708, '2020-05-24', 'GB', 'The United Kingdom', 'EURO', '2062', '243085', '220', '35578');
INSERT INTO public.who_import VALUES (87709, '2020-05-25', 'GB', 'The United Kingdom', 'EURO', '1527', '244612', '379', '35957');
INSERT INTO public.who_import VALUES (87710, '2020-05-26', 'GB', 'The United Kingdom', 'EURO', '1364', '245976', '104', '36061');
INSERT INTO public.who_import VALUES (87711, '2020-05-27', 'GB', 'The United Kingdom', 'EURO', '1624', '247600', '131', '36192');
INSERT INTO public.who_import VALUES (87712, '2020-05-28', 'GB', 'The United Kingdom', 'EURO', '1672', '249272', '422', '36614');
INSERT INTO public.who_import VALUES (87713, '2020-05-29', 'GB', 'The United Kingdom', 'EURO', '1835', '251107', '343', '36957');
INSERT INTO public.who_import VALUES (87714, '2020-05-30', 'GB', 'The United Kingdom', 'EURO', '1760', '252867', '274', '37231');
INSERT INTO public.who_import VALUES (87715, '2020-05-31', 'GB', 'The United Kingdom', 'EURO', '1527', '254394', '154', '37385');
INSERT INTO public.who_import VALUES (87716, '2020-06-01', 'GB', 'The United Kingdom', 'EURO', '1125', '255519', '60', '37445');
INSERT INTO public.who_import VALUES (87717, '2020-06-02', 'GB', 'The United Kingdom', 'EURO', '1079', '256598', '86', '37531');
INSERT INTO public.who_import VALUES (87718, '2020-06-03', 'GB', 'The United Kingdom', 'EURO', '1441', '258039', '249', '37780');
INSERT INTO public.who_import VALUES (87719, '2020-06-04', 'GB', 'The United Kingdom', 'EURO', '1484', '259523', '254', '38034');
INSERT INTO public.who_import VALUES (87720, '2020-06-05', 'GB', 'The United Kingdom', 'EURO', '1356', '260879', '130', '38164');
INSERT INTO public.who_import VALUES (87721, '2020-06-06', 'GB', 'The United Kingdom', 'EURO', '1243', '262122', '258', '38422');
INSERT INTO public.who_import VALUES (87722, '2020-06-07', 'GB', 'The United Kingdom', 'EURO', '1120', '263242', '143', '38565');
INSERT INTO public.who_import VALUES (87723, '2020-06-08', 'GB', 'The United Kingdom', 'EURO', '801', '264043', '54', '38619');
INSERT INTO public.who_import VALUES (87724, '2020-06-09', 'GB', 'The United Kingdom', 'EURO', '721', '264764', '47', '38666');
INSERT INTO public.who_import VALUES (87725, '2020-06-10', 'GB', 'The United Kingdom', 'EURO', '1099', '265863', '195', '38861');
INSERT INTO public.who_import VALUES (87726, '2020-06-11', 'GB', 'The United Kingdom', 'EURO', '1158', '267021', '164', '39025');
INSERT INTO public.who_import VALUES (87727, '2020-06-12', 'GB', 'The United Kingdom', 'EURO', '1199', '268220', '76', '39101');
INSERT INTO public.who_import VALUES (87728, '2020-06-13', 'GB', 'The United Kingdom', 'EURO', '1017', '269237', '131', '39232');
INSERT INTO public.who_import VALUES (87729, '2020-06-14', 'GB', 'The United Kingdom', 'EURO', '1052', '270289', '107', '39339');
INSERT INTO public.who_import VALUES (87730, '2020-06-15', 'GB', 'The United Kingdom', 'EURO', '890', '271179', '27', '39366');
INSERT INTO public.who_import VALUES (87731, '2020-06-16', 'GB', 'The United Kingdom', 'EURO', '822', '272001', '29', '39395');
INSERT INTO public.who_import VALUES (87732, '2020-06-17', 'GB', 'The United Kingdom', 'EURO', '1043', '273044', '120', '39515');
INSERT INTO public.who_import VALUES (87733, '2020-06-18', 'GB', 'The United Kingdom', 'EURO', '1102', '274146', '110', '39625');
INSERT INTO public.who_import VALUES (87734, '2020-06-19', 'GB', 'The United Kingdom', 'EURO', '1013', '275159', '67', '39692');
INSERT INTO public.who_import VALUES (87735, '2020-06-20', 'GB', 'The United Kingdom', 'EURO', '1027', '276186', '84', '39776');
INSERT INTO public.who_import VALUES (87736, '2020-06-21', 'GB', 'The United Kingdom', 'EURO', '986', '277172', '71', '39847');
INSERT INTO public.who_import VALUES (87737, '2020-06-22', 'GB', 'The United Kingdom', 'EURO', '687', '277859', '31', '39878');
INSERT INTO public.who_import VALUES (87738, '2020-06-23', 'GB', 'The United Kingdom', 'EURO', '639', '278498', '14', '39892');
INSERT INTO public.who_import VALUES (87739, '2020-06-24', 'GB', 'The United Kingdom', 'EURO', '896', '279394', '94', '39986');
INSERT INTO public.who_import VALUES (87740, '2020-06-25', 'GB', 'The United Kingdom', 'EURO', '886', '280280', '87', '40073');
INSERT INTO public.who_import VALUES (87741, '2020-06-26', 'GB', 'The United Kingdom', 'EURO', '778', '281058', '99', '40172');
INSERT INTO public.who_import VALUES (87742, '2020-06-27', 'GB', 'The United Kingdom', 'EURO', '721', '281779', '77', '40249');
INSERT INTO public.who_import VALUES (87743, '2020-06-28', 'GB', 'The United Kingdom', 'EURO', '671', '282450', '40', '40289');
INSERT INTO public.who_import VALUES (87744, '2020-06-29', 'GB', 'The United Kingdom', 'EURO', '649', '283099', '31', '40320');
INSERT INTO public.who_import VALUES (87745, '2020-06-30', 'GB', 'The United Kingdom', 'EURO', '446', '283545', '21', '40341');
INSERT INTO public.who_import VALUES (87746, '2020-07-01', 'GB', 'The United Kingdom', 'EURO', '730', '284275', '53', '40394');
INSERT INTO public.who_import VALUES (87747, '2020-07-02', 'GB', 'The United Kingdom', 'EURO', '617', '284892', '97', '40491');
INSERT INTO public.who_import VALUES (87748, '2020-07-03', 'GB', 'The United Kingdom', 'EURO', '651', '285543', '41', '40532');
INSERT INTO public.who_import VALUES (87749, '2020-07-04', 'GB', 'The United Kingdom', 'EURO', '602', '286145', '49', '40581');
INSERT INTO public.who_import VALUES (87750, '2020-07-05', 'GB', 'The United Kingdom', 'EURO', '579', '286724', '32', '40613');
INSERT INTO public.who_import VALUES (87751, '2020-07-06', 'GB', 'The United Kingdom', 'EURO', '401', '287125', '19', '40632');
INSERT INTO public.who_import VALUES (87752, '2020-07-07', 'GB', 'The United Kingdom', 'EURO', '555', '287680', '11', '40643');
INSERT INTO public.who_import VALUES (87753, '2020-07-08', 'GB', 'The United Kingdom', 'EURO', '704', '288384', '54', '40697');
INSERT INTO public.who_import VALUES (87754, '2020-07-09', 'GB', 'The United Kingdom', 'EURO', '597', '288981', '57', '40754');
INSERT INTO public.who_import VALUES (87755, '2020-07-10', 'GB', 'The United Kingdom', 'EURO', '693', '289674', '31', '40785');
INSERT INTO public.who_import VALUES (87756, '2020-07-11', 'GB', 'The United Kingdom', 'EURO', '715', '290389', '34', '40819');
INSERT INTO public.who_import VALUES (87757, '2020-07-12', 'GB', 'The United Kingdom', 'EURO', '565', '290954', '17', '40836');
INSERT INTO public.who_import VALUES (87758, '2020-07-13', 'GB', 'The United Kingdom', 'EURO', '442', '291396', '9', '40845');
INSERT INTO public.who_import VALUES (87759, '2020-07-14', 'GB', 'The United Kingdom', 'EURO', '361', '291757', '10', '40855');
INSERT INTO public.who_import VALUES (87760, '2020-07-15', 'GB', 'The United Kingdom', 'EURO', '726', '292483', '44', '40899');
INSERT INTO public.who_import VALUES (87761, '2020-07-16', 'GB', 'The United Kingdom', 'EURO', '685', '293168', '26', '40925');
INSERT INTO public.who_import VALUES (87762, '2020-07-17', 'GB', 'The United Kingdom', 'EURO', '772', '293940', '24', '40949');
INSERT INTO public.who_import VALUES (87763, '2020-07-18', 'GB', 'The United Kingdom', 'EURO', '704', '294644', '26', '40975');
INSERT INTO public.who_import VALUES (87764, '2020-07-19', 'GB', 'The United Kingdom', 'EURO', '569', '295213', '9', '40984');
INSERT INTO public.who_import VALUES (87765, '2020-07-20', 'GB', 'The United Kingdom', 'EURO', '493', '295706', '11', '40995');
INSERT INTO public.who_import VALUES (87766, '2020-07-21', 'GB', 'The United Kingdom', 'EURO', '413', '296119', '10', '41005');
INSERT INTO public.who_import VALUES (87767, '2020-07-22', 'GB', 'The United Kingdom', 'EURO', '793', '296912', '25', '41030');
INSERT INTO public.who_import VALUES (87768, '2020-07-23', 'GB', 'The United Kingdom', 'EURO', '751', '297663', '17', '41047');
INSERT INTO public.who_import VALUES (88470, '2020-03-17', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (87769, '2020-07-24', 'GB', 'The United Kingdom', 'EURO', '773', '298436', '9', '41056');
INSERT INTO public.who_import VALUES (87770, '2020-07-25', 'GB', 'The United Kingdom', 'EURO', '731', '299167', '32', '41088');
INSERT INTO public.who_import VALUES (87771, '2020-07-26', 'GB', 'The United Kingdom', 'EURO', '667', '299834', '15', '41103');
INSERT INTO public.who_import VALUES (87772, '2020-07-27', 'GB', 'The United Kingdom', 'EURO', '421', '300255', '8', '41111');
INSERT INTO public.who_import VALUES (87773, '2020-07-28', 'GB', 'The United Kingdom', 'EURO', '371', '300626', '3', '41114');
INSERT INTO public.who_import VALUES (87774, '2020-07-29', 'GB', 'The United Kingdom', 'EURO', '70', '300696', '21', '41135');
INSERT INTO public.who_import VALUES (87775, '2020-07-30', 'GB', 'The United Kingdom', 'EURO', '763', '301459', '34', '41169');
INSERT INTO public.who_import VALUES (87776, '2020-07-31', 'GB', 'The United Kingdom', 'EURO', '846', '302305', '0', '41169');
INSERT INTO public.who_import VALUES (87777, '2020-08-01', 'GB', 'The United Kingdom', 'EURO', '880', '303185', '20', '41189');
INSERT INTO public.who_import VALUES (87778, '2020-08-02', 'GB', 'The United Kingdom', 'EURO', '771', '303956', '13', '41202');
INSERT INTO public.who_import VALUES (87779, '2020-08-03', 'GB', 'The United Kingdom', 'EURO', '743', '304699', '5', '41207');
INSERT INTO public.who_import VALUES (87780, '2020-08-04', 'GB', 'The United Kingdom', 'EURO', '928', '305627', '1', '41208');
INSERT INTO public.who_import VALUES (87781, '2020-08-05', 'GB', 'The United Kingdom', 'EURO', '670', '306297', '18', '41226');
INSERT INTO public.who_import VALUES (87782, '2020-08-06', 'GB', 'The United Kingdom', 'EURO', '891', '307188', '14', '41240');
INSERT INTO public.who_import VALUES (87783, '2020-08-07', 'GB', 'The United Kingdom', 'EURO', '950', '308138', '18', '41258');
INSERT INTO public.who_import VALUES (87784, '2020-08-08', 'GB', 'The United Kingdom', 'EURO', '871', '309009', '12', '41270');
INSERT INTO public.who_import VALUES (87785, '2020-08-09', 'GB', 'The United Kingdom', 'EURO', '758', '309767', '3', '41273');
INSERT INTO public.who_import VALUES (87786, '2020-08-10', 'GB', 'The United Kingdom', 'EURO', '1062', '310829', '5', '41278');
INSERT INTO public.who_import VALUES (87787, '2020-08-11', 'GB', 'The United Kingdom', 'EURO', '816', '311645', '18', '41296');
INSERT INTO public.who_import VALUES (87788, '2020-08-12', 'GB', 'The United Kingdom', 'EURO', '1148', '312793', '13', '41309');
INSERT INTO public.who_import VALUES (87789, '2020-08-13', 'GB', 'The United Kingdom', 'EURO', '1009', '313802', '20', '41329');
INSERT INTO public.who_import VALUES (87790, '2020-08-14', 'GB', 'The United Kingdom', 'EURO', '1129', '314931', '18', '41347');
INSERT INTO public.who_import VALUES (87791, '2020-08-15', 'GB', 'The United Kingdom', 'EURO', '1440', '316371', '11', '41358');
INSERT INTO public.who_import VALUES (87792, '2020-08-16', 'GB', 'The United Kingdom', 'EURO', '1077', '317448', '3', '41361');
INSERT INTO public.who_import VALUES (87793, '2020-08-17', 'GB', 'The United Kingdom', 'EURO', '1040', '318488', '5', '41366');
INSERT INTO public.who_import VALUES (87794, '2020-08-18', 'GB', 'The United Kingdom', 'EURO', '713', '319201', '3', '41369');
INSERT INTO public.who_import VALUES (87795, '2020-08-19', 'GB', 'The United Kingdom', 'EURO', '1089', '320290', '12', '41381');
INSERT INTO public.who_import VALUES (87796, '2020-08-20', 'GB', 'The United Kingdom', 'EURO', '812', '321102', '16', '41397');
INSERT INTO public.who_import VALUES (87797, '2020-08-21', 'GB', 'The United Kingdom', 'EURO', '1182', '322284', '6', '41403');
INSERT INTO public.who_import VALUES (87798, '2020-08-22', 'GB', 'The United Kingdom', 'EURO', '1033', '323317', '2', '41405');
INSERT INTO public.who_import VALUES (87799, '2020-08-23', 'GB', 'The United Kingdom', 'EURO', '1288', '324605', '18', '41423');
INSERT INTO public.who_import VALUES (87800, '2020-08-24', 'GB', 'The United Kingdom', 'EURO', '1041', '325646', '6', '41429');
INSERT INTO public.who_import VALUES (87801, '2020-08-25', 'GB', 'The United Kingdom', 'EURO', '972', '326618', '4', '41433');
INSERT INTO public.who_import VALUES (87802, '2020-08-26', 'GB', 'The United Kingdom', 'EURO', '1184', '327802', '16', '41449');
INSERT INTO public.who_import VALUES (87803, '2020-08-27', 'GB', 'The United Kingdom', 'EURO', '1048', '328850', '16', '41465');
INSERT INTO public.who_import VALUES (87804, '2020-08-28', 'GB', 'The United Kingdom', 'EURO', '1522', '330372', '12', '41477');
INSERT INTO public.who_import VALUES (87805, '2020-08-29', 'GB', 'The United Kingdom', 'EURO', '1276', '331648', '9', '41486');
INSERT INTO public.who_import VALUES (87806, '2020-08-30', 'GB', 'The United Kingdom', 'EURO', '1108', '332756', '12', '41498');
INSERT INTO public.who_import VALUES (87807, '2020-08-31', 'GB', 'The United Kingdom', 'EURO', '1715', '334471', '1', '41499');
INSERT INTO public.who_import VALUES (87808, '2020-09-01', 'GB', 'The United Kingdom', 'EURO', '1406', '335877', '2', '41501');
INSERT INTO public.who_import VALUES (87809, '2020-09-02', 'GB', 'The United Kingdom', 'EURO', '1295', '337172', '3', '41504');
INSERT INTO public.who_import VALUES (87810, '2020-09-03', 'GB', 'The United Kingdom', 'EURO', '1508', '338680', '10', '41514');
INSERT INTO public.who_import VALUES (87811, '2020-09-04', 'GB', 'The United Kingdom', 'EURO', '1735', '340415', '13', '41527');
INSERT INTO public.who_import VALUES (87812, '2020-09-05', 'GB', 'The United Kingdom', 'EURO', '1940', '342355', '10', '41537');
INSERT INTO public.who_import VALUES (87813, '2020-09-06', 'GB', 'The United Kingdom', 'EURO', '1813', '344168', '12', '41549');
INSERT INTO public.who_import VALUES (87814, '2020-09-07', 'GB', 'The United Kingdom', 'EURO', '2988', '347156', '2', '41551');
INSERT INTO public.who_import VALUES (87815, '2020-09-08', 'GB', 'The United Kingdom', 'EURO', '2948', '350104', '3', '41554');
INSERT INTO public.who_import VALUES (87816, '2020-09-09', 'GB', 'The United Kingdom', 'EURO', '2460', '352564', '32', '41586');
INSERT INTO public.who_import VALUES (87817, '2020-09-10', 'GB', 'The United Kingdom', 'EURO', '2659', '355223', '8', '41594');
INSERT INTO public.who_import VALUES (87818, '2020-09-11', 'GB', 'The United Kingdom', 'EURO', '2919', '358142', '14', '41608');
INSERT INTO public.who_import VALUES (87819, '2020-09-12', 'GB', 'The United Kingdom', 'EURO', '3539', '361681', '6', '41614');
INSERT INTO public.who_import VALUES (87820, '2020-09-13', 'GB', 'The United Kingdom', 'EURO', '3497', '365178', '9', '41623');
INSERT INTO public.who_import VALUES (87821, '2020-09-14', 'GB', 'The United Kingdom', 'EURO', '3330', '368508', '5', '41628');
INSERT INTO public.who_import VALUES (87822, '2020-09-15', 'GB', 'The United Kingdom', 'EURO', '2621', '371129', '9', '41637');
INSERT INTO public.who_import VALUES (87823, '2020-09-16', 'GB', 'The United Kingdom', 'EURO', '3103', '374232', '27', '41664');
INSERT INTO public.who_import VALUES (87824, '2020-09-17', 'GB', 'The United Kingdom', 'EURO', '3991', '378223', '20', '41684');
INSERT INTO public.who_import VALUES (87825, '2020-09-18', 'GB', 'The United Kingdom', 'EURO', '3395', '381618', '21', '41705');
INSERT INTO public.who_import VALUES (87826, '2020-09-19', 'GB', 'The United Kingdom', 'EURO', '4322', '385940', '27', '41732');
INSERT INTO public.who_import VALUES (87827, '2020-09-20', 'GB', 'The United Kingdom', 'EURO', '4422', '390362', '27', '41759');
INSERT INTO public.who_import VALUES (87828, '2020-09-21', 'GB', 'The United Kingdom', 'EURO', '3899', '394261', '18', '41777');
INSERT INTO public.who_import VALUES (87829, '2020-09-22', 'GB', 'The United Kingdom', 'EURO', '4368', '398629', '11', '41788');
INSERT INTO public.who_import VALUES (87830, '2020-09-23', 'GB', 'The United Kingdom', 'EURO', '4926', '403555', '37', '41825');
INSERT INTO public.who_import VALUES (87831, '2020-09-24', 'GB', 'The United Kingdom', 'EURO', '6178', '409733', '37', '41862');
INSERT INTO public.who_import VALUES (87832, '2020-09-25', 'GB', 'The United Kingdom', 'EURO', '6634', '416367', '40', '41902');
INSERT INTO public.who_import VALUES (87833, '2020-09-26', 'GB', 'The United Kingdom', 'EURO', '6873', '423240', '34', '41936');
INSERT INTO public.who_import VALUES (87834, '2020-09-27', 'GB', 'The United Kingdom', 'EURO', '6041', '429281', '35', '41971');
INSERT INTO public.who_import VALUES (87835, '2020-09-28', 'GB', 'The United Kingdom', 'EURO', '5692', '434973', '17', '41988');
INSERT INTO public.who_import VALUES (87836, '2020-09-29', 'GB', 'The United Kingdom', 'EURO', '4044', '439017', '13', '42001');
INSERT INTO public.who_import VALUES (87837, '2020-09-30', 'GB', 'The United Kingdom', 'EURO', '7143', '446160', '71', '42072');
INSERT INTO public.who_import VALUES (87838, '2020-10-01', 'GB', 'The United Kingdom', 'EURO', '7108', '453268', '71', '42143');
INSERT INTO public.who_import VALUES (87839, '2020-10-02', 'GB', 'The United Kingdom', 'EURO', '6914', '460182', '59', '42202');
INSERT INTO public.who_import VALUES (87840, '2020-10-03', 'GB', 'The United Kingdom', 'EURO', '6968', '467150', '66', '42268');
INSERT INTO public.who_import VALUES (87841, '2020-10-04', 'GB', 'The United Kingdom', 'EURO', '12871', '480021', '49', '42317');
INSERT INTO public.who_import VALUES (87842, '2020-10-05', 'GB', 'The United Kingdom', 'EURO', '22961', '502982', '33', '42350');
INSERT INTO public.who_import VALUES (87843, '2020-10-06', 'GB', 'The United Kingdom', 'EURO', '12593', '515575', '19', '42369');
INSERT INTO public.who_import VALUES (87844, '2020-10-07', 'GB', 'The United Kingdom', 'EURO', '14542', '530117', '76', '42445');
INSERT INTO public.who_import VALUES (87845, '2020-10-08', 'GB', 'The United Kingdom', 'EURO', '14162', '544279', '70', '42515');
INSERT INTO public.who_import VALUES (87846, '2020-10-09', 'GB', 'The United Kingdom', 'EURO', '17540', '561819', '77', '42592');
INSERT INTO public.who_import VALUES (87847, '2020-10-10', 'GB', 'The United Kingdom', 'EURO', '13864', '575683', '87', '42679');
INSERT INTO public.who_import VALUES (87848, '2020-10-11', 'GB', 'The United Kingdom', 'EURO', '15165', '590848', '81', '42760');
INSERT INTO public.who_import VALUES (87849, '2020-10-12', 'GB', 'The United Kingdom', 'EURO', '12872', '603720', '65', '42825');
INSERT INTO public.who_import VALUES (87850, '2020-10-13', 'GB', 'The United Kingdom', 'EURO', '13972', '617692', '50', '42875');
INSERT INTO public.who_import VALUES (87851, '2020-10-14', 'GB', 'The United Kingdom', 'EURO', '17232', '634924', '143', '43018');
INSERT INTO public.who_import VALUES (87852, '2020-10-15', 'GB', 'The United Kingdom', 'EURO', '19724', '654648', '137', '43155');
INSERT INTO public.who_import VALUES (87853, '2020-10-16', 'GB', 'The United Kingdom', 'EURO', '18978', '673626', '138', '43293');
INSERT INTO public.who_import VALUES (87854, '2020-10-17', 'GB', 'The United Kingdom', 'EURO', '15635', '689261', '136', '43429');
INSERT INTO public.who_import VALUES (87855, '2020-10-18', 'GB', 'The United Kingdom', 'EURO', '16171', '705432', '150', '43579');
INSERT INTO public.who_import VALUES (87856, '2020-10-19', 'GB', 'The United Kingdom', 'EURO', '16981', '722413', '67', '43646');
INSERT INTO public.who_import VALUES (87857, '2020-10-20', 'GB', 'The United Kingdom', 'EURO', '18803', '741216', '80', '43726');
INSERT INTO public.who_import VALUES (87858, '2020-10-21', 'GB', 'The United Kingdom', 'EURO', '21330', '762546', '241', '43967');
INSERT INTO public.who_import VALUES (87859, '2020-10-22', 'GB', 'The United Kingdom', 'EURO', '26687', '789233', '191', '44158');
INSERT INTO public.who_import VALUES (87860, '2020-10-23', 'GB', 'The United Kingdom', 'EURO', '21238', '810471', '189', '44347');
INSERT INTO public.who_import VALUES (87861, '2020-10-24', 'GB', 'The United Kingdom', 'EURO', '20531', '831002', '224', '44571');
INSERT INTO public.who_import VALUES (87862, '2020-10-25', 'GB', 'The United Kingdom', 'EURO', '23012', '854014', '174', '44745');
INSERT INTO public.who_import VALUES (87863, '2020-10-26', 'GB', 'The United Kingdom', 'EURO', '19790', '873804', '151', '44896');
INSERT INTO public.who_import VALUES (87864, '2020-10-27', 'GB', 'The United Kingdom', 'EURO', '20890', '894694', '102', '44998');
INSERT INTO public.who_import VALUES (87865, '2020-10-28', 'GB', 'The United Kingdom', 'EURO', '22885', '917579', '367', '45365');
INSERT INTO public.who_import VALUES (87866, '2020-10-29', 'GB', 'The United Kingdom', 'EURO', '24700', '942279', '310', '45675');
INSERT INTO public.who_import VALUES (87867, '2020-10-30', 'GB', 'The United Kingdom', 'EURO', '23065', '965344', '280', '45955');
INSERT INTO public.who_import VALUES (87868, '2020-10-31', 'GB', 'The United Kingdom', 'EURO', '24405', '989749', '274', '46229');
INSERT INTO public.who_import VALUES (87869, '2020-11-01', 'GB', 'The United Kingdom', 'EURO', '21915', '1011664', '326', '46555');
INSERT INTO public.who_import VALUES (87870, '2020-11-02', 'GB', 'The United Kingdom', 'EURO', '23254', '1034918', '162', '46717');
INSERT INTO public.who_import VALUES (87871, '2020-11-03', 'GB', 'The United Kingdom', 'EURO', '18950', '1053868', '136', '46853');
INSERT INTO public.who_import VALUES (87872, '2020-11-04', 'GB', 'The United Kingdom', 'EURO', '20018', '1073886', '397', '47250');
INSERT INTO public.who_import VALUES (87873, '2020-11-05', 'GB', 'The United Kingdom', 'EURO', '25177', '1099063', '492', '47742');
INSERT INTO public.who_import VALUES (87874, '2020-11-06', 'GB', 'The United Kingdom', 'EURO', '24138', '1123201', '378', '48120');
INSERT INTO public.who_import VALUES (87875, '2020-11-07', 'GB', 'The United Kingdom', 'EURO', '23287', '1146488', '355', '48475');
INSERT INTO public.who_import VALUES (87876, '2020-11-08', 'GB', 'The United Kingdom', 'EURO', '24957', '1171445', '413', '48888');
INSERT INTO public.who_import VALUES (87877, '2020-11-09', 'GB', 'The United Kingdom', 'EURO', '20572', '1192017', '156', '49044');
INSERT INTO public.who_import VALUES (87878, '2020-11-10', 'GB', 'The United Kingdom', 'EURO', '21350', '1213367', '194', '49238');
INSERT INTO public.who_import VALUES (87879, '2020-11-11', 'GB', 'The United Kingdom', 'EURO', '20412', '1233779', '532', '49770');
INSERT INTO public.who_import VALUES (87880, '2020-11-12', 'GB', 'The United Kingdom', 'EURO', '22950', '1256729', '595', '50365');
INSERT INTO public.who_import VALUES (87881, '2020-11-13', 'GB', 'The United Kingdom', 'EURO', '33470', '1290199', '563', '50928');
INSERT INTO public.who_import VALUES (87882, '2020-11-14', 'GB', 'The United Kingdom', 'EURO', '27301', '1317500', '376', '51304');
INSERT INTO public.who_import VALUES (87883, '2020-11-15', 'GB', 'The United Kingdom', 'EURO', '26860', '1344360', '462', '51766');
INSERT INTO public.who_import VALUES (87884, '2020-11-16', 'GB', 'The United Kingdom', 'EURO', '24962', '1369322', '168', '51934');
INSERT INTO public.who_import VALUES (87885, '2020-11-17', 'GB', 'The United Kingdom', 'EURO', '21363', '1390685', '213', '52147');
INSERT INTO public.who_import VALUES (87886, '2020-11-18', 'GB', 'The United Kingdom', 'EURO', '20051', '1410736', '598', '52745');
INSERT INTO public.who_import VALUES (87887, '2020-11-19', 'GB', 'The United Kingdom', 'EURO', '19609', '1430345', '529', '53274');
INSERT INTO public.who_import VALUES (87888, '2020-11-20', 'GB', 'The United Kingdom', 'EURO', '22915', '1453260', '501', '53775');
INSERT INTO public.who_import VALUES (87889, '2020-11-21', 'GB', 'The United Kingdom', 'EURO', '20252', '1473512', '511', '54286');
INSERT INTO public.who_import VALUES (87890, '2020-11-22', 'GB', 'The United Kingdom', 'EURO', '19875', '1493387', '340', '54626');
INSERT INTO public.who_import VALUES (87891, '2020-11-23', 'GB', 'The United Kingdom', 'EURO', '18662', '1512049', '125', '54751');
INSERT INTO public.who_import VALUES (87892, '2020-11-24', 'GB', 'The United Kingdom', 'EURO', '15450', '1527499', '479', '55230');
INSERT INTO public.who_import VALUES (87893, '2020-11-25', 'GB', 'The United Kingdom', 'EURO', '11299', '1538798', '608', '55838');
INSERT INTO public.who_import VALUES (87894, '2020-11-26', 'GB', 'The United Kingdom', 'EURO', '18213', '1557011', '695', '56533');
INSERT INTO public.who_import VALUES (87895, '2020-11-27', 'GB', 'The United Kingdom', 'EURO', '17555', '1574566', '498', '57031');
INSERT INTO public.who_import VALUES (87896, '2020-11-28', 'GB', 'The United Kingdom', 'EURO', '14739', '1589305', '520', '57551');
INSERT INTO public.who_import VALUES (87897, '2020-11-29', 'GB', 'The United Kingdom', 'EURO', '15871', '1605176', '479', '58030');
INSERT INTO public.who_import VALUES (87898, '2020-11-30', 'GB', 'The United Kingdom', 'EURO', '12155', '1617331', '215', '58245');
INSERT INTO public.who_import VALUES (87899, '2020-12-01', 'GB', 'The United Kingdom', 'EURO', '12330', '1629661', '203', '58448');
INSERT INTO public.who_import VALUES (87900, '2020-12-02', 'GB', 'The United Kingdom', 'EURO', '13429', '1643090', '603', '59051');
INSERT INTO public.who_import VALUES (87901, '2020-12-03', 'GB', 'The United Kingdom', 'EURO', '16170', '1659260', '648', '59699');
INSERT INTO public.who_import VALUES (87902, '2020-12-04', 'GB', 'The United Kingdom', 'EURO', '14878', '1674138', '414', '60113');
INSERT INTO public.who_import VALUES (87903, '2020-12-05', 'GB', 'The United Kingdom', 'EURO', '16298', '1690436', '504', '60617');
INSERT INTO public.who_import VALUES (87904, '2020-12-06', 'GB', 'The United Kingdom', 'EURO', '15539', '1705975', '397', '61014');
INSERT INTO public.who_import VALUES (87905, '2020-12-07', 'GB', 'The United Kingdom', 'EURO', '17271', '1723246', '231', '61245');
INSERT INTO public.who_import VALUES (87906, '2020-12-08', 'GB', 'The United Kingdom', 'EURO', '14718', '1737964', '189', '61434');
INSERT INTO public.who_import VALUES (87907, '2020-12-09', 'GB', 'The United Kingdom', 'EURO', '12281', '1750245', '599', '62033');
INSERT INTO public.who_import VALUES (87908, '2020-12-10', 'GB', 'The United Kingdom', 'EURO', '16578', '1766823', '533', '62566');
INSERT INTO public.who_import VALUES (87909, '2020-12-11', 'GB', 'The United Kingdom', 'EURO', '20964', '1787787', '516', '63082');
INSERT INTO public.who_import VALUES (87910, '2020-12-12', 'GB', 'The United Kingdom', 'EURO', '21672', '1809459', '424', '63506');
INSERT INTO public.who_import VALUES (87911, '2020-12-13', 'GB', 'The United Kingdom', 'EURO', '21501', '1830960', '520', '64026');
INSERT INTO public.who_import VALUES (87912, '2020-12-14', 'GB', 'The United Kingdom', 'EURO', '18447', '1849407', '144', '64170');
INSERT INTO public.who_import VALUES (87913, '2020-12-15', 'GB', 'The United Kingdom', 'EURO', '20263', '1869670', '232', '64402');
INSERT INTO public.who_import VALUES (87914, '2020-12-16', 'GB', 'The United Kingdom', 'EURO', '18450', '1888120', '506', '64908');
INSERT INTO public.who_import VALUES (87915, '2020-12-17', 'GB', 'The United Kingdom', 'EURO', '25161', '1913281', '612', '65520');
INSERT INTO public.who_import VALUES (87916, '2020-12-18', 'GB', 'The United Kingdom', 'EURO', '35383', '1948664', '532', '66052');
INSERT INTO public.who_import VALUES (87917, '2020-12-19', 'GB', 'The United Kingdom', 'EURO', '28507', '1977171', '489', '66541');
INSERT INTO public.who_import VALUES (87918, '2020-12-20', 'GB', 'The United Kingdom', 'EURO', '27052', '2004223', '534', '67075');
INSERT INTO public.who_import VALUES (87919, '2020-12-21', 'GB', 'The United Kingdom', 'EURO', '35928', '2040151', '326', '67401');
INSERT INTO public.who_import VALUES (87920, '2020-12-22', 'GB', 'The United Kingdom', 'EURO', '33364', '2073515', '215', '67616');
INSERT INTO public.who_import VALUES (87921, '2020-12-23', 'GB', 'The United Kingdom', 'EURO', '36803', '2110318', '691', '68307');
INSERT INTO public.who_import VALUES (87922, '2020-12-24', 'GB', 'The United Kingdom', 'EURO', '39237', '2149555', '744', '69051');
INSERT INTO public.who_import VALUES (87923, '2020-12-25', 'GB', 'The United Kingdom', 'EURO', '39036', '2188591', '574', '69625');
INSERT INTO public.who_import VALUES (87924, '2020-12-26', 'GB', 'The United Kingdom', 'EURO', '32725', '2221316', '570', '70195');
INSERT INTO public.who_import VALUES (87925, '2020-12-27', 'GB', 'The United Kingdom', 'EURO', '34693', '2256009', '210', '70405');
INSERT INTO public.who_import VALUES (87926, '2020-12-28', 'GB', 'The United Kingdom', 'EURO', '32340', '2288349', '347', '70752');
INSERT INTO public.who_import VALUES (87927, '2020-12-29', 'GB', 'The United Kingdom', 'EURO', '41385', '2329734', '357', '71109');
INSERT INTO public.who_import VALUES (87928, '2020-12-30', 'GB', 'The United Kingdom', 'EURO', '53135', '2382869', '458', '71567');
INSERT INTO public.who_import VALUES (87929, '2020-12-31', 'GB', 'The United Kingdom', 'EURO', '50023', '2432892', '981', '72548');
INSERT INTO public.who_import VALUES (87930, '2021-01-01', 'GB', 'The United Kingdom', 'EURO', '55892', '2488784', '964', '73512');
INSERT INTO public.who_import VALUES (87931, '2021-01-02', 'GB', 'The United Kingdom', 'EURO', '53285', '2542069', '613', '74125');
INSERT INTO public.who_import VALUES (87932, '2021-01-03', 'GB', 'The United Kingdom', 'EURO', '57724', '2599793', '445', '74570');
INSERT INTO public.who_import VALUES (87933, '2021-01-04', 'GB', 'The United Kingdom', 'EURO', '54990', '2654783', '454', '75024');
INSERT INTO public.who_import VALUES (87934, '2021-01-05', 'GB', 'The United Kingdom', 'EURO', '58784', '2713567', '407', '75431');
INSERT INTO public.who_import VALUES (87935, '2021-01-06', 'GB', 'The United Kingdom', 'EURO', '60916', '2774483', '874', '76305');
INSERT INTO public.who_import VALUES (87936, '2021-01-07', 'GB', 'The United Kingdom', 'EURO', '62322', '2836805', '1041', '77346');
INSERT INTO public.who_import VALUES (87937, '2021-01-08', 'GB', 'The United Kingdom', 'EURO', '52618', '2889423', '1162', '78508');
INSERT INTO public.who_import VALUES (88471, '2020-03-18', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (87938, '2021-01-09', 'GB', 'The United Kingdom', 'EURO', '68053', '2957476', '1325', '79833');
INSERT INTO public.who_import VALUES (87939, '2021-01-10', 'GB', 'The United Kingdom', 'EURO', '59937', '3017413', '1035', '80868');
INSERT INTO public.who_import VALUES (87940, '2021-01-11', 'GB', 'The United Kingdom', 'EURO', '54940', '3072353', '563', '81431');
INSERT INTO public.who_import VALUES (87941, '2021-01-12', 'GB', 'The United Kingdom', 'EURO', '46169', '3118522', '529', '81960');
INSERT INTO public.who_import VALUES (87942, '2021-01-13', 'GB', 'The United Kingdom', 'EURO', '45533', '3164055', '1243', '83203');
INSERT INTO public.who_import VALUES (87943, '2021-01-14', 'GB', 'The United Kingdom', 'EURO', '47525', '3211580', '1564', '84767');
INSERT INTO public.who_import VALUES (87944, '2021-01-15', 'GB', 'The United Kingdom', 'EURO', '48682', '3260262', '1248', '86015');
INSERT INTO public.who_import VALUES (87945, '2021-01-16', 'GB', 'The United Kingdom', 'EURO', '55761', '3316023', '1280', '87295');
INSERT INTO public.who_import VALUES (87946, '2021-01-17', 'GB', 'The United Kingdom', 'EURO', '41342', '3357365', '1295', '88590');
INSERT INTO public.who_import VALUES (87947, '2021-01-18', 'GB', 'The United Kingdom', 'EURO', '38598', '3395963', '671', '89261');
INSERT INTO public.who_import VALUES (87948, '2021-01-19', 'GB', 'The United Kingdom', 'EURO', '37535', '3433498', '599', '89860');
INSERT INTO public.who_import VALUES (87949, '2021-01-20', 'GB', 'The United Kingdom', 'EURO', '33355', '3466853', '1610', '91470');
INSERT INTO public.who_import VALUES (87950, '2021-01-21', 'GB', 'The United Kingdom', 'EURO', '38905', '3505758', '1820', '93290');
INSERT INTO public.who_import VALUES (87951, '2021-01-22', 'GB', 'The United Kingdom', 'EURO', '37892', '3543650', '1290', '94580');
INSERT INTO public.who_import VALUES (87952, '2021-01-23', 'GB', 'The United Kingdom', 'EURO', '40261', '3583911', '1401', '95981');
INSERT INTO public.who_import VALUES (87953, '2021-01-24', 'GB', 'The United Kingdom', 'EURO', '33552', '3617463', '1348', '97329');
INSERT INTO public.who_import VALUES (87954, '2021-01-25', 'GB', 'The United Kingdom', 'EURO', '30004', '3647467', '610', '97939');
INSERT INTO public.who_import VALUES (87955, '2021-01-26', 'GB', 'The United Kingdom', 'EURO', '22195', '3669662', '592', '98531');
INSERT INTO public.who_import VALUES (87956, '2021-01-27', 'GB', 'The United Kingdom', 'EURO', '20088', '3689750', '1631', '100162');
INSERT INTO public.who_import VALUES (87957, '2021-01-28', 'GB', 'The United Kingdom', 'EURO', '25308', '3715058', '1725', '101887');
INSERT INTO public.who_import VALUES (87958, '2021-01-29', 'GB', 'The United Kingdom', 'EURO', '28680', '3743738', '1239', '103126');
INSERT INTO public.who_import VALUES (87959, '2021-01-30', 'GB', 'The United Kingdom', 'EURO', '29079', '3772817', '1223', '104349');
INSERT INTO public.who_import VALUES (87960, '2021-01-31', 'GB', 'The United Kingdom', 'EURO', '23275', '3796092', '1222', '105571');
INSERT INTO public.who_import VALUES (87961, '2021-02-01', 'GB', 'The United Kingdom', 'EURO', '21088', '3817180', '587', '106158');
INSERT INTO public.who_import VALUES (87962, '2021-02-02', 'GB', 'The United Kingdom', 'EURO', '18607', '3835787', '406', '106564');
INSERT INTO public.who_import VALUES (87963, '2021-02-03', 'GB', 'The United Kingdom', 'EURO', '16840', '3852627', '1449', '108013');
INSERT INTO public.who_import VALUES (87964, '2021-02-04', 'GB', 'The United Kingdom', 'EURO', '19202', '3871829', '1322', '109335');
INSERT INTO public.who_import VALUES (87965, '2021-02-05', 'GB', 'The United Kingdom', 'EURO', '20634', '3892463', '915', '110250');
INSERT INTO public.who_import VALUES (87966, '2021-02-06', 'GB', 'The United Kingdom', 'EURO', '19114', '3911577', '1014', '111264');
INSERT INTO public.who_import VALUES (87967, '2021-02-07', 'GB', 'The United Kingdom', 'EURO', '18262', '3929839', '828', '112092');
INSERT INTO public.who_import VALUES (87968, '2021-02-08', 'GB', 'The United Kingdom', 'EURO', '15845', '3945684', '373', '112465');
INSERT INTO public.who_import VALUES (87969, '2021-02-09', 'GB', 'The United Kingdom', 'EURO', '14104', '3959788', '333', '112798');
INSERT INTO public.who_import VALUES (87970, '2021-02-10', 'GB', 'The United Kingdom', 'EURO', '12364', '3972152', '1052', '113850');
INSERT INTO public.who_import VALUES (87971, '2021-02-11', 'GB', 'The United Kingdom', 'EURO', '13013', '3985165', '1001', '114851');
INSERT INTO public.who_import VALUES (87972, '2021-02-12', 'GB', 'The United Kingdom', 'EURO', '13494', '3998659', '678', '115529');
INSERT INTO public.who_import VALUES (87973, '2021-02-13', 'GB', 'The United Kingdom', 'EURO', '15144', '4013803', '758', '116287');
INSERT INTO public.who_import VALUES (87974, '2021-02-14', 'GB', 'The United Kingdom', 'EURO', '13307', '4027110', '621', '116908');
INSERT INTO public.who_import VALUES (87975, '2021-02-15', 'GB', 'The United Kingdom', 'EURO', '10972', '4038082', '258', '117166');
INSERT INTO public.who_import VALUES (87976, '2021-02-16', 'GB', 'The United Kingdom', 'EURO', '9765', '4047847', '230', '117396');
INSERT INTO public.who_import VALUES (87977, '2021-02-17', 'GB', 'The United Kingdom', 'EURO', '10625', '4058472', '799', '118195');
INSERT INTO public.who_import VALUES (87978, '2021-02-18', 'GB', 'The United Kingdom', 'EURO', '12717', '4071189', '738', '118933');
INSERT INTO public.who_import VALUES (87979, '2021-02-19', 'GB', 'The United Kingdom', 'EURO', '12057', '4083246', '454', '119387');
INSERT INTO public.who_import VALUES (87980, '2021-02-20', 'GB', 'The United Kingdom', 'EURO', '12027', '4095273', '533', '119920');
INSERT INTO public.who_import VALUES (87981, '2020-01-03', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87982, '2020-01-04', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87983, '2020-01-05', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87984, '2020-01-06', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87985, '2020-01-07', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87986, '2020-01-08', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87987, '2020-01-09', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87988, '2020-01-10', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87989, '2020-01-11', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87990, '2020-01-12', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87991, '2020-01-13', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87992, '2020-01-14', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87993, '2020-01-15', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87994, '2020-01-16', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87995, '2020-01-17', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87996, '2020-01-18', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87997, '2020-01-19', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87998, '2020-01-20', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (87999, '2020-01-21', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88000, '2020-01-22', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88001, '2020-01-23', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88002, '2020-01-24', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88003, '2020-01-25', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88004, '2020-01-26', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88005, '2020-01-27', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88006, '2020-01-28', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88007, '2020-01-29', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88008, '2020-01-30', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88009, '2020-01-31', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88010, '2020-02-01', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88011, '2020-02-02', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88012, '2020-02-03', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88013, '2020-02-04', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88014, '2020-02-05', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88015, '2020-02-06', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88016, '2020-02-07', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88017, '2020-02-08', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88018, '2020-02-09', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88019, '2020-02-10', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88020, '2020-02-11', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88021, '2020-02-12', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88022, '2020-02-13', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88023, '2020-02-14', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88024, '2020-02-15', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88025, '2020-02-16', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88026, '2020-02-17', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88027, '2020-02-18', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88028, '2020-02-19', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88029, '2020-02-20', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88030, '2020-02-21', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88472, '2020-03-19', 'TG', 'Togo', 'AFRO', '8', '13', '0', '0');
INSERT INTO public.who_import VALUES (88031, '2020-02-22', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88032, '2020-02-23', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88033, '2020-02-24', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88034, '2020-02-25', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88035, '2020-02-26', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88036, '2020-02-27', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88037, '2020-02-28', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88038, '2020-02-29', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88039, '2020-03-01', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88040, '2020-03-02', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88041, '2020-03-03', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88042, '2020-03-04', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88043, '2020-03-05', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88044, '2020-03-06', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88045, '2020-03-07', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88046, '2020-03-08', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88047, '2020-03-09', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88048, '2020-03-10', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88049, '2020-03-11', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88050, '2020-03-12', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88051, '2020-03-13', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88052, '2020-03-14', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88053, '2020-03-15', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88054, '2020-03-16', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88055, '2020-03-17', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88056, '2020-03-18', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88057, '2020-03-19', 'TL', 'Timor-Leste', 'SEARO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88058, '2020-03-20', 'TL', 'Timor-Leste', 'SEARO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (88059, '2020-03-21', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88060, '2020-03-22', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88061, '2020-03-23', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88062, '2020-03-24', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88063, '2020-03-25', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88064, '2020-03-26', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88065, '2020-03-27', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88066, '2020-03-28', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88067, '2020-03-29', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88068, '2020-03-30', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88069, '2020-03-31', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88070, '2020-04-01', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88071, '2020-04-02', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88072, '2020-04-03', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88073, '2020-04-04', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88074, '2020-04-05', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88075, '2020-04-06', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88076, '2020-04-07', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88077, '2020-04-08', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88078, '2020-04-09', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88079, '2020-04-10', 'TL', 'Timor-Leste', 'SEARO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (88080, '2020-04-11', 'TL', 'Timor-Leste', 'SEARO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (88081, '2020-04-12', 'TL', 'Timor-Leste', 'SEARO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (88082, '2020-04-13', 'TL', 'Timor-Leste', 'SEARO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (88083, '2020-04-14', 'TL', 'Timor-Leste', 'SEARO', '2', '6', '0', '0');
INSERT INTO public.who_import VALUES (88084, '2020-04-15', 'TL', 'Timor-Leste', 'SEARO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (88085, '2020-04-16', 'TL', 'Timor-Leste', 'SEARO', '12', '18', '0', '0');
INSERT INTO public.who_import VALUES (88086, '2020-04-17', 'TL', 'Timor-Leste', 'SEARO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (88087, '2020-04-18', 'TL', 'Timor-Leste', 'SEARO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (88088, '2020-04-19', 'TL', 'Timor-Leste', 'SEARO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (88089, '2020-04-20', 'TL', 'Timor-Leste', 'SEARO', '3', '22', '0', '0');
INSERT INTO public.who_import VALUES (88090, '2020-04-21', 'TL', 'Timor-Leste', 'SEARO', '1', '23', '0', '0');
INSERT INTO public.who_import VALUES (88091, '2020-04-22', 'TL', 'Timor-Leste', 'SEARO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (88092, '2020-04-23', 'TL', 'Timor-Leste', 'SEARO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (88093, '2020-04-24', 'TL', 'Timor-Leste', 'SEARO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (88094, '2020-04-25', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88095, '2020-04-26', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88096, '2020-04-27', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88097, '2020-04-28', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88098, '2020-04-29', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88099, '2020-04-30', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88100, '2020-05-01', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88101, '2020-05-02', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88102, '2020-05-03', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88103, '2020-05-04', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88104, '2020-05-05', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88105, '2020-05-06', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88106, '2020-05-07', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88107, '2020-05-08', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88108, '2020-05-09', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88109, '2020-05-10', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88110, '2020-05-11', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88111, '2020-05-12', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88112, '2020-05-13', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88113, '2020-05-14', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88114, '2020-05-15', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88115, '2020-05-16', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88116, '2020-05-17', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88117, '2020-05-18', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88118, '2020-05-19', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88119, '2020-05-20', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88120, '2020-05-21', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88121, '2020-05-22', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88122, '2020-05-23', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88123, '2020-05-24', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88124, '2020-05-25', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88125, '2020-05-26', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88126, '2020-05-27', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88127, '2020-05-28', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88128, '2020-05-29', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88129, '2020-05-30', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88130, '2020-05-31', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88131, '2020-06-01', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88132, '2020-06-02', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88133, '2020-06-03', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88134, '2020-06-04', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88135, '2020-06-05', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88136, '2020-06-06', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88137, '2020-06-07', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88138, '2020-06-08', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88139, '2020-06-09', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88140, '2020-06-10', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88141, '2020-06-11', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88142, '2020-06-12', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88143, '2020-06-13', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88144, '2020-06-14', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88145, '2020-06-15', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88146, '2020-06-16', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88147, '2020-06-17', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88148, '2020-06-18', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88149, '2020-06-19', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88150, '2020-06-20', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88151, '2020-06-21', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88152, '2020-06-22', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88153, '2020-06-23', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88154, '2020-06-24', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88155, '2020-06-25', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88156, '2020-06-26', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88157, '2020-06-27', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88158, '2020-06-28', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88159, '2020-06-29', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88160, '2020-06-30', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88161, '2020-07-01', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88162, '2020-07-02', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88163, '2020-07-03', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88164, '2020-07-04', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88165, '2020-07-05', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88166, '2020-07-06', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88167, '2020-07-07', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88168, '2020-07-08', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88169, '2020-07-09', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88170, '2020-07-10', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88171, '2020-07-11', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88172, '2020-07-12', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88173, '2020-07-13', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88174, '2020-07-14', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88175, '2020-07-15', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88176, '2020-07-16', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88177, '2020-07-17', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88178, '2020-07-18', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88179, '2020-07-19', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88180, '2020-07-20', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88181, '2020-07-21', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88182, '2020-07-22', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88183, '2020-07-23', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88184, '2020-07-24', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88185, '2020-07-25', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88186, '2020-07-26', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88187, '2020-07-27', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88188, '2020-07-28', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88189, '2020-07-29', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88190, '2020-07-30', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88191, '2020-07-31', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88192, '2020-08-01', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88193, '2020-08-02', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88194, '2020-08-03', 'TL', 'Timor-Leste', 'SEARO', '0', '24', '0', '0');
INSERT INTO public.who_import VALUES (88195, '2020-08-04', 'TL', 'Timor-Leste', 'SEARO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (88196, '2020-08-05', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88197, '2020-08-06', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88198, '2020-08-07', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88199, '2020-08-08', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88200, '2020-08-09', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88201, '2020-08-10', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88202, '2020-08-11', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88203, '2020-08-12', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88204, '2020-08-13', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88205, '2020-08-14', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88206, '2020-08-15', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88207, '2020-08-16', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88208, '2020-08-17', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88209, '2020-08-18', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88210, '2020-08-19', 'TL', 'Timor-Leste', 'SEARO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (88211, '2020-08-20', 'TL', 'Timor-Leste', 'SEARO', '1', '26', '0', '0');
INSERT INTO public.who_import VALUES (88212, '2020-08-21', 'TL', 'Timor-Leste', 'SEARO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (88213, '2020-08-22', 'TL', 'Timor-Leste', 'SEARO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (88214, '2020-08-23', 'TL', 'Timor-Leste', 'SEARO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (88215, '2020-08-24', 'TL', 'Timor-Leste', 'SEARO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (88216, '2020-08-25', 'TL', 'Timor-Leste', 'SEARO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (88217, '2020-08-26', 'TL', 'Timor-Leste', 'SEARO', '0', '26', '0', '0');
INSERT INTO public.who_import VALUES (88218, '2020-08-27', 'TL', 'Timor-Leste', 'SEARO', '1', '27', '0', '0');
INSERT INTO public.who_import VALUES (88219, '2020-08-28', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88220, '2020-08-29', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88221, '2020-08-30', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88222, '2020-08-31', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88223, '2020-09-01', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88224, '2020-09-02', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88225, '2020-09-03', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88226, '2020-09-04', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88227, '2020-09-05', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88228, '2020-09-06', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88229, '2020-09-07', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88230, '2020-09-08', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88231, '2020-09-09', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88232, '2020-09-10', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88233, '2020-09-11', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88234, '2020-09-12', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88235, '2020-09-13', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88236, '2020-09-14', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88237, '2020-09-15', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88238, '2020-09-16', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88239, '2020-09-17', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88240, '2020-09-18', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88241, '2020-09-19', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88242, '2020-09-20', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88243, '2020-09-21', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88244, '2020-09-22', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88245, '2020-09-23', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88246, '2020-09-24', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88247, '2020-09-25', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88248, '2020-09-26', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88249, '2020-09-27', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88250, '2020-09-28', 'TL', 'Timor-Leste', 'SEARO', '0', '27', '0', '0');
INSERT INTO public.who_import VALUES (88251, '2020-09-29', 'TL', 'Timor-Leste', 'SEARO', '1', '28', '0', '0');
INSERT INTO public.who_import VALUES (88252, '2020-09-30', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88253, '2020-10-01', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88254, '2020-10-02', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88255, '2020-10-03', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88256, '2020-10-04', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88257, '2020-10-05', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88258, '2020-10-06', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88259, '2020-10-07', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88260, '2020-10-08', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88261, '2020-10-09', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88262, '2020-10-10', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88263, '2020-10-11', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88264, '2020-10-12', 'TL', 'Timor-Leste', 'SEARO', '0', '28', '0', '0');
INSERT INTO public.who_import VALUES (88265, '2020-10-13', 'TL', 'Timor-Leste', 'SEARO', '1', '29', '0', '0');
INSERT INTO public.who_import VALUES (88266, '2020-10-14', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88267, '2020-10-15', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88268, '2020-10-16', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88269, '2020-10-17', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88270, '2020-10-18', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88271, '2020-10-19', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88272, '2020-10-20', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88273, '2020-10-21', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88274, '2020-10-22', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88275, '2020-10-23', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88276, '2020-10-24', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88277, '2020-10-25', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88278, '2020-10-26', 'TL', 'Timor-Leste', 'SEARO', '0', '29', '0', '0');
INSERT INTO public.who_import VALUES (88279, '2020-10-27', 'TL', 'Timor-Leste', 'SEARO', '1', '30', '0', '0');
INSERT INTO public.who_import VALUES (88280, '2020-10-28', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88281, '2020-10-29', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88282, '2020-10-30', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88283, '2020-10-31', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88284, '2020-11-01', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88285, '2020-11-02', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88286, '2020-11-03', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88287, '2020-11-04', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88288, '2020-11-05', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88289, '2020-11-06', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88290, '2020-11-07', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88291, '2020-11-08', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88292, '2020-11-09', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88293, '2020-11-10', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88294, '2020-11-11', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88295, '2020-11-12', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88296, '2020-11-13', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88297, '2020-11-14', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88298, '2020-11-15', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88299, '2020-11-16', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88300, '2020-11-17', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88301, '2020-11-18', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88302, '2020-11-19', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88303, '2020-11-20', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88304, '2020-11-21', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88305, '2020-11-22', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88306, '2020-11-23', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88307, '2020-11-24', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88308, '2020-11-25', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88309, '2020-11-26', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88310, '2020-11-27', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88311, '2020-11-28', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88312, '2020-11-29', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88313, '2020-11-30', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88314, '2020-12-01', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88315, '2020-12-02', 'TL', 'Timor-Leste', 'SEARO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (88316, '2020-12-03', 'TL', 'Timor-Leste', 'SEARO', '1', '31', '0', '0');
INSERT INTO public.who_import VALUES (88317, '2020-12-04', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88318, '2020-12-05', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88319, '2020-12-06', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88320, '2020-12-07', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88321, '2020-12-08', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88322, '2020-12-09', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88323, '2020-12-10', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88324, '2020-12-11', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88325, '2020-12-12', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88326, '2020-12-13', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88327, '2020-12-14', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88328, '2020-12-15', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88329, '2020-12-16', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88330, '2020-12-17', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88331, '2020-12-18', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88332, '2020-12-19', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88333, '2020-12-20', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88334, '2020-12-21', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88335, '2020-12-22', 'TL', 'Timor-Leste', 'SEARO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (88336, '2020-12-23', 'TL', 'Timor-Leste', 'SEARO', '2', '33', '0', '0');
INSERT INTO public.who_import VALUES (88337, '2020-12-24', 'TL', 'Timor-Leste', 'SEARO', '3', '36', '0', '0');
INSERT INTO public.who_import VALUES (88338, '2020-12-25', 'TL', 'Timor-Leste', 'SEARO', '5', '41', '0', '0');
INSERT INTO public.who_import VALUES (88339, '2020-12-26', 'TL', 'Timor-Leste', 'SEARO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (88340, '2020-12-27', 'TL', 'Timor-Leste', 'SEARO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (88341, '2020-12-28', 'TL', 'Timor-Leste', 'SEARO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (88342, '2020-12-29', 'TL', 'Timor-Leste', 'SEARO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (88343, '2020-12-30', 'TL', 'Timor-Leste', 'SEARO', '3', '44', '0', '0');
INSERT INTO public.who_import VALUES (88344, '2020-12-31', 'TL', 'Timor-Leste', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (88345, '2021-01-01', 'TL', 'Timor-Leste', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (88346, '2021-01-02', 'TL', 'Timor-Leste', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (88347, '2021-01-03', 'TL', 'Timor-Leste', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (88348, '2021-01-04', 'TL', 'Timor-Leste', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (88349, '2021-01-05', 'TL', 'Timor-Leste', 'SEARO', '0', '44', '0', '0');
INSERT INTO public.who_import VALUES (88350, '2021-01-06', 'TL', 'Timor-Leste', 'SEARO', '5', '49', '0', '0');
INSERT INTO public.who_import VALUES (88351, '2021-01-07', 'TL', 'Timor-Leste', 'SEARO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (88352, '2021-01-08', 'TL', 'Timor-Leste', 'SEARO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (88353, '2021-01-09', 'TL', 'Timor-Leste', 'SEARO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (88354, '2021-01-10', 'TL', 'Timor-Leste', 'SEARO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (88355, '2021-01-11', 'TL', 'Timor-Leste', 'SEARO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (88356, '2021-01-12', 'TL', 'Timor-Leste', 'SEARO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (88357, '2021-01-13', 'TL', 'Timor-Leste', 'SEARO', '2', '51', '0', '0');
INSERT INTO public.who_import VALUES (88358, '2021-01-14', 'TL', 'Timor-Leste', 'SEARO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (88359, '2021-01-15', 'TL', 'Timor-Leste', 'SEARO', '0', '51', '0', '0');
INSERT INTO public.who_import VALUES (88360, '2021-01-16', 'TL', 'Timor-Leste', 'SEARO', '1', '52', '0', '0');
INSERT INTO public.who_import VALUES (88361, '2021-01-17', 'TL', 'Timor-Leste', 'SEARO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (88362, '2021-01-18', 'TL', 'Timor-Leste', 'SEARO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (88363, '2021-01-19', 'TL', 'Timor-Leste', 'SEARO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (88364, '2021-01-20', 'TL', 'Timor-Leste', 'SEARO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (88365, '2021-01-21', 'TL', 'Timor-Leste', 'SEARO', '1', '53', '0', '0');
INSERT INTO public.who_import VALUES (88366, '2021-01-22', 'TL', 'Timor-Leste', 'SEARO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (88367, '2021-01-23', 'TL', 'Timor-Leste', 'SEARO', '11', '64', '0', '0');
INSERT INTO public.who_import VALUES (88368, '2021-01-24', 'TL', 'Timor-Leste', 'SEARO', '3', '67', '0', '0');
INSERT INTO public.who_import VALUES (88369, '2021-01-25', 'TL', 'Timor-Leste', 'SEARO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (88370, '2021-01-26', 'TL', 'Timor-Leste', 'SEARO', '0', '67', '0', '0');
INSERT INTO public.who_import VALUES (88371, '2021-01-27', 'TL', 'Timor-Leste', 'SEARO', '1', '68', '0', '0');
INSERT INTO public.who_import VALUES (88372, '2021-01-28', 'TL', 'Timor-Leste', 'SEARO', '0', '68', '0', '0');
INSERT INTO public.who_import VALUES (88373, '2021-01-29', 'TL', 'Timor-Leste', 'SEARO', '1', '69', '0', '0');
INSERT INTO public.who_import VALUES (88374, '2021-01-30', 'TL', 'Timor-Leste', 'SEARO', '1', '70', '0', '0');
INSERT INTO public.who_import VALUES (88375, '2021-01-31', 'TL', 'Timor-Leste', 'SEARO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (88376, '2021-02-01', 'TL', 'Timor-Leste', 'SEARO', '0', '70', '0', '0');
INSERT INTO public.who_import VALUES (88377, '2021-02-02', 'TL', 'Timor-Leste', 'SEARO', '5', '75', '0', '0');
INSERT INTO public.who_import VALUES (88378, '2021-02-03', 'TL', 'Timor-Leste', 'SEARO', '2', '77', '0', '0');
INSERT INTO public.who_import VALUES (88379, '2021-02-04', 'TL', 'Timor-Leste', 'SEARO', '3', '80', '0', '0');
INSERT INTO public.who_import VALUES (88380, '2021-02-05', 'TL', 'Timor-Leste', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (88381, '2021-02-06', 'TL', 'Timor-Leste', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (88382, '2021-02-07', 'TL', 'Timor-Leste', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (88383, '2021-02-08', 'TL', 'Timor-Leste', 'SEARO', '0', '80', '0', '0');
INSERT INTO public.who_import VALUES (88384, '2021-02-09', 'TL', 'Timor-Leste', 'SEARO', '6', '86', '0', '0');
INSERT INTO public.who_import VALUES (88385, '2021-02-10', 'TL', 'Timor-Leste', 'SEARO', '0', '86', '0', '0');
INSERT INTO public.who_import VALUES (88386, '2021-02-11', 'TL', 'Timor-Leste', 'SEARO', '14', '100', '0', '0');
INSERT INTO public.who_import VALUES (88387, '2021-02-12', 'TL', 'Timor-Leste', 'SEARO', '0', '100', '0', '0');
INSERT INTO public.who_import VALUES (88388, '2021-02-13', 'TL', 'Timor-Leste', 'SEARO', '1', '101', '0', '0');
INSERT INTO public.who_import VALUES (88389, '2021-02-14', 'TL', 'Timor-Leste', 'SEARO', '0', '101', '0', '0');
INSERT INTO public.who_import VALUES (88390, '2021-02-15', 'TL', 'Timor-Leste', 'SEARO', '1', '102', '0', '0');
INSERT INTO public.who_import VALUES (88391, '2021-02-16', 'TL', 'Timor-Leste', 'SEARO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (88392, '2021-02-17', 'TL', 'Timor-Leste', 'SEARO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (88393, '2021-02-18', 'TL', 'Timor-Leste', 'SEARO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (88394, '2021-02-19', 'TL', 'Timor-Leste', 'SEARO', '1', '103', '0', '0');
INSERT INTO public.who_import VALUES (88395, '2021-02-20', 'TL', 'Timor-Leste', 'SEARO', '0', '103', '0', '0');
INSERT INTO public.who_import VALUES (88396, '2020-01-03', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88397, '2020-01-04', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88398, '2020-01-05', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88399, '2020-01-06', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88400, '2020-01-07', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88401, '2020-01-08', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88402, '2020-01-09', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88403, '2020-01-10', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88404, '2020-01-11', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88405, '2020-01-12', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88406, '2020-01-13', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88407, '2020-01-14', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88408, '2020-01-15', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88409, '2020-01-16', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88410, '2020-01-17', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88411, '2020-01-18', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88412, '2020-01-19', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88413, '2020-01-20', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88414, '2020-01-21', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88415, '2020-01-22', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88416, '2020-01-23', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88417, '2020-01-24', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88418, '2020-01-25', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88419, '2020-01-26', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88420, '2020-01-27', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88421, '2020-01-28', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88422, '2020-01-29', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88423, '2020-01-30', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88424, '2020-01-31', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88425, '2020-02-01', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88426, '2020-02-02', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88427, '2020-02-03', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88428, '2020-02-04', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88429, '2020-02-05', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88430, '2020-02-06', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88431, '2020-02-07', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88432, '2020-02-08', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88433, '2020-02-09', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88434, '2020-02-10', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88435, '2020-02-11', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88436, '2020-02-12', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88437, '2020-02-13', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88438, '2020-02-14', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88439, '2020-02-15', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88440, '2020-02-16', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88441, '2020-02-17', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88442, '2020-02-18', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88443, '2020-02-19', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88444, '2020-02-20', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88445, '2020-02-21', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88446, '2020-02-22', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88447, '2020-02-23', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88448, '2020-02-24', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88449, '2020-02-25', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88450, '2020-02-26', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88451, '2020-02-27', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88452, '2020-02-28', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88453, '2020-02-29', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88454, '2020-03-01', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88455, '2020-03-02', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88456, '2020-03-03', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88457, '2020-03-04', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88458, '2020-03-05', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88459, '2020-03-06', 'TG', 'Togo', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88460, '2020-03-07', 'TG', 'Togo', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (88461, '2020-03-08', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (88462, '2020-03-09', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (88463, '2020-03-10', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (88464, '2020-03-11', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (88465, '2020-03-12', 'TG', 'Togo', 'AFRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (88473, '2020-03-20', 'TG', 'Togo', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (88474, '2020-03-21', 'TG', 'Togo', 'AFRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (88475, '2020-03-22', 'TG', 'Togo', 'AFRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (88476, '2020-03-23', 'TG', 'Togo', 'AFRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (88477, '2020-03-24', 'TG', 'Togo', 'AFRO', '2', '18', '0', '0');
INSERT INTO public.who_import VALUES (88478, '2020-03-25', 'TG', 'Togo', 'AFRO', '2', '20', '0', '0');
INSERT INTO public.who_import VALUES (88479, '2020-03-26', 'TG', 'Togo', 'AFRO', '3', '23', '0', '0');
INSERT INTO public.who_import VALUES (88480, '2020-03-27', 'TG', 'Togo', 'AFRO', '1', '24', '0', '0');
INSERT INTO public.who_import VALUES (88481, '2020-03-28', 'TG', 'Togo', 'AFRO', '1', '25', '0', '0');
INSERT INTO public.who_import VALUES (88482, '2020-03-29', 'TG', 'Togo', 'AFRO', '3', '28', '1', '1');
INSERT INTO public.who_import VALUES (88483, '2020-03-30', 'TG', 'Togo', 'AFRO', '0', '28', '0', '1');
INSERT INTO public.who_import VALUES (88484, '2020-03-31', 'TG', 'Togo', 'AFRO', '6', '34', '0', '1');
INSERT INTO public.who_import VALUES (88485, '2020-04-01', 'TG', 'Togo', 'AFRO', '0', '34', '0', '1');
INSERT INTO public.who_import VALUES (88486, '2020-04-02', 'TG', 'Togo', 'AFRO', '2', '36', '1', '2');
INSERT INTO public.who_import VALUES (88487, '2020-04-03', 'TG', 'Togo', 'AFRO', '3', '39', '0', '2');
INSERT INTO public.who_import VALUES (88488, '2020-04-04', 'TG', 'Togo', 'AFRO', '0', '39', '0', '2');
INSERT INTO public.who_import VALUES (88489, '2020-04-05', 'TG', 'Togo', 'AFRO', '1', '40', '1', '3');
INSERT INTO public.who_import VALUES (88490, '2020-04-06', 'TG', 'Togo', 'AFRO', '4', '44', '0', '3');
INSERT INTO public.who_import VALUES (88491, '2020-04-07', 'TG', 'Togo', 'AFRO', '0', '44', '0', '3');
INSERT INTO public.who_import VALUES (88492, '2020-04-08', 'TG', 'Togo', 'AFRO', '14', '58', '0', '3');
INSERT INTO public.who_import VALUES (88493, '2020-04-09', 'TG', 'Togo', 'AFRO', '12', '70', '0', '3');
INSERT INTO public.who_import VALUES (88494, '2020-04-10', 'TG', 'Togo', 'AFRO', '3', '73', '0', '3');
INSERT INTO public.who_import VALUES (88495, '2020-04-11', 'TG', 'Togo', 'AFRO', '0', '73', '0', '3');
INSERT INTO public.who_import VALUES (88496, '2020-04-12', 'TG', 'Togo', 'AFRO', '0', '73', '0', '3');
INSERT INTO public.who_import VALUES (88497, '2020-04-13', 'TG', 'Togo', 'AFRO', '3', '76', '0', '3');
INSERT INTO public.who_import VALUES (88498, '2020-04-14', 'TG', 'Togo', 'AFRO', '0', '76', '0', '3');
INSERT INTO public.who_import VALUES (88499, '2020-04-15', 'TG', 'Togo', 'AFRO', '1', '77', '0', '3');
INSERT INTO public.who_import VALUES (88500, '2020-04-16', 'TG', 'Togo', 'AFRO', '0', '77', '0', '3');
INSERT INTO public.who_import VALUES (88501, '2020-04-17', 'TG', 'Togo', 'AFRO', '4', '81', '2', '5');
INSERT INTO public.who_import VALUES (88502, '2020-04-18', 'TG', 'Togo', 'AFRO', '2', '83', '0', '5');
INSERT INTO public.who_import VALUES (88503, '2020-04-19', 'TG', 'Togo', 'AFRO', '0', '83', '0', '5');
INSERT INTO public.who_import VALUES (88504, '2020-04-20', 'TG', 'Togo', 'AFRO', '0', '83', '0', '5');
INSERT INTO public.who_import VALUES (88505, '2020-04-21', 'TG', 'Togo', 'AFRO', '1', '84', '0', '5');
INSERT INTO public.who_import VALUES (88506, '2020-04-22', 'TG', 'Togo', 'AFRO', '2', '86', '1', '6');
INSERT INTO public.who_import VALUES (88507, '2020-04-23', 'TG', 'Togo', 'AFRO', '2', '88', '0', '6');
INSERT INTO public.who_import VALUES (88508, '2020-04-24', 'TG', 'Togo', 'AFRO', '0', '88', '0', '6');
INSERT INTO public.who_import VALUES (88509, '2020-04-25', 'TG', 'Togo', 'AFRO', '2', '90', '0', '6');
INSERT INTO public.who_import VALUES (88510, '2020-04-26', 'TG', 'Togo', 'AFRO', '6', '96', '0', '6');
INSERT INTO public.who_import VALUES (88511, '2020-04-27', 'TG', 'Togo', 'AFRO', '2', '98', '0', '6');
INSERT INTO public.who_import VALUES (88512, '2020-04-28', 'TG', 'Togo', 'AFRO', '1', '99', '0', '6');
INSERT INTO public.who_import VALUES (88513, '2020-04-29', 'TG', 'Togo', 'AFRO', '0', '99', '0', '6');
INSERT INTO public.who_import VALUES (88514, '2020-04-30', 'TG', 'Togo', 'AFRO', '10', '109', '1', '7');
INSERT INTO public.who_import VALUES (88515, '2020-05-01', 'TG', 'Togo', 'AFRO', '7', '116', '2', '9');
INSERT INTO public.who_import VALUES (88516, '2020-05-02', 'TG', 'Togo', 'AFRO', '7', '123', '0', '9');
INSERT INTO public.who_import VALUES (88517, '2020-05-03', 'TG', 'Togo', 'AFRO', '0', '123', '0', '9');
INSERT INTO public.who_import VALUES (88518, '2020-05-04', 'TG', 'Togo', 'AFRO', '1', '124', '0', '9');
INSERT INTO public.who_import VALUES (88519, '2020-05-05', 'TG', 'Togo', 'AFRO', '2', '126', '0', '9');
INSERT INTO public.who_import VALUES (88520, '2020-05-06', 'TG', 'Togo', 'AFRO', '2', '128', '0', '9');
INSERT INTO public.who_import VALUES (88521, '2020-05-07', 'TG', 'Togo', 'AFRO', '0', '128', '0', '9');
INSERT INTO public.who_import VALUES (88522, '2020-05-08', 'TG', 'Togo', 'AFRO', '7', '135', '0', '9');
INSERT INTO public.who_import VALUES (88523, '2020-05-09', 'TG', 'Togo', 'AFRO', '10', '145', '1', '10');
INSERT INTO public.who_import VALUES (88524, '2020-05-10', 'TG', 'Togo', 'AFRO', '8', '153', '0', '10');
INSERT INTO public.who_import VALUES (88525, '2020-05-11', 'TG', 'Togo', 'AFRO', '20', '173', '1', '11');
INSERT INTO public.who_import VALUES (88526, '2020-05-12', 'TG', 'Togo', 'AFRO', '8', '181', '0', '11');
INSERT INTO public.who_import VALUES (88527, '2020-05-13', 'TG', 'Togo', 'AFRO', '18', '199', '0', '11');
INSERT INTO public.who_import VALUES (88528, '2020-05-14', 'TG', 'Togo', 'AFRO', '20', '219', '0', '11');
INSERT INTO public.who_import VALUES (88529, '2020-05-15', 'TG', 'Togo', 'AFRO', '19', '238', '0', '11');
INSERT INTO public.who_import VALUES (88530, '2020-05-16', 'TG', 'Togo', 'AFRO', '25', '263', '0', '11');
INSERT INTO public.who_import VALUES (88531, '2020-05-17', 'TG', 'Togo', 'AFRO', '35', '298', '0', '11');
INSERT INTO public.who_import VALUES (88532, '2020-05-18', 'TG', 'Togo', 'AFRO', '3', '301', '0', '11');
INSERT INTO public.who_import VALUES (88533, '2020-05-19', 'TG', 'Togo', 'AFRO', '29', '330', '1', '12');
INSERT INTO public.who_import VALUES (88534, '2020-05-20', 'TG', 'Togo', 'AFRO', '8', '338', '0', '12');
INSERT INTO public.who_import VALUES (88535, '2020-05-21', 'TG', 'Togo', 'AFRO', '0', '338', '0', '12');
INSERT INTO public.who_import VALUES (88536, '2020-05-22', 'TG', 'Togo', 'AFRO', '16', '354', '0', '12');
INSERT INTO public.who_import VALUES (88537, '2020-05-23', 'TG', 'Togo', 'AFRO', '9', '363', '0', '12');
INSERT INTO public.who_import VALUES (88538, '2020-05-24', 'TG', 'Togo', 'AFRO', '10', '373', '0', '12');
INSERT INTO public.who_import VALUES (88539, '2020-05-25', 'TG', 'Togo', 'AFRO', '8', '381', '0', '12');
INSERT INTO public.who_import VALUES (88540, '2020-05-26', 'TG', 'Togo', 'AFRO', '5', '386', '1', '13');
INSERT INTO public.who_import VALUES (88541, '2020-05-27', 'TG', 'Togo', 'AFRO', '5', '391', '0', '13');
INSERT INTO public.who_import VALUES (88542, '2020-05-28', 'TG', 'Togo', 'AFRO', '4', '395', '0', '13');
INSERT INTO public.who_import VALUES (88543, '2020-05-29', 'TG', 'Togo', 'AFRO', '27', '422', '0', '13');
INSERT INTO public.who_import VALUES (88544, '2020-05-30', 'TG', 'Togo', 'AFRO', '6', '428', '0', '13');
INSERT INTO public.who_import VALUES (88545, '2020-05-31', 'TG', 'Togo', 'AFRO', '0', '428', '0', '13');
INSERT INTO public.who_import VALUES (88546, '2020-06-01', 'TG', 'Togo', 'AFRO', '14', '442', '0', '13');
INSERT INTO public.who_import VALUES (88547, '2020-06-02', 'TG', 'Togo', 'AFRO', '1', '443', '0', '13');
INSERT INTO public.who_import VALUES (88548, '2020-06-03', 'TG', 'Togo', 'AFRO', '2', '445', '0', '13');
INSERT INTO public.who_import VALUES (88549, '2020-06-04', 'TG', 'Togo', 'AFRO', '7', '452', '0', '13');
INSERT INTO public.who_import VALUES (88550, '2020-06-05', 'TG', 'Togo', 'AFRO', '13', '465', '0', '13');
INSERT INTO public.who_import VALUES (88551, '2020-06-06', 'TG', 'Togo', 'AFRO', '20', '485', '0', '13');
INSERT INTO public.who_import VALUES (88552, '2020-06-07', 'TG', 'Togo', 'AFRO', '2', '487', '0', '13');
INSERT INTO public.who_import VALUES (88553, '2020-06-08', 'TG', 'Togo', 'AFRO', '8', '495', '0', '13');
INSERT INTO public.who_import VALUES (88554, '2020-06-09', 'TG', 'Togo', 'AFRO', '2', '497', '0', '13');
INSERT INTO public.who_import VALUES (88555, '2020-06-10', 'TG', 'Togo', 'AFRO', '0', '497', '0', '13');
INSERT INTO public.who_import VALUES (88556, '2020-06-11', 'TG', 'Togo', 'AFRO', '25', '522', '0', '13');
INSERT INTO public.who_import VALUES (88557, '2020-06-12', 'TG', 'Togo', 'AFRO', '0', '522', '0', '13');
INSERT INTO public.who_import VALUES (88558, '2020-06-13', 'TG', 'Togo', 'AFRO', '2', '524', '0', '13');
INSERT INTO public.who_import VALUES (88559, '2020-06-14', 'TG', 'Togo', 'AFRO', '1', '525', '0', '13');
INSERT INTO public.who_import VALUES (88560, '2020-06-15', 'TG', 'Togo', 'AFRO', '5', '530', '0', '13');
INSERT INTO public.who_import VALUES (88561, '2020-06-16', 'TG', 'Togo', 'AFRO', '1', '531', '0', '13');
INSERT INTO public.who_import VALUES (88562, '2020-06-17', 'TG', 'Togo', 'AFRO', '6', '537', '0', '13');
INSERT INTO public.who_import VALUES (88563, '2020-06-18', 'TG', 'Togo', 'AFRO', '0', '537', '0', '13');
INSERT INTO public.who_import VALUES (88564, '2020-06-19', 'TG', 'Togo', 'AFRO', '7', '544', '0', '13');
INSERT INTO public.who_import VALUES (88565, '2020-06-20', 'TG', 'Togo', 'AFRO', '11', '555', '0', '13');
INSERT INTO public.who_import VALUES (88566, '2020-06-21', 'TG', 'Togo', 'AFRO', '6', '561', '0', '13');
INSERT INTO public.who_import VALUES (88567, '2020-06-22', 'TG', 'Togo', 'AFRO', '8', '569', '0', '13');
INSERT INTO public.who_import VALUES (88568, '2020-06-23', 'TG', 'Togo', 'AFRO', '0', '569', '0', '13');
INSERT INTO public.who_import VALUES (88569, '2020-06-24', 'TG', 'Togo', 'AFRO', '7', '576', '0', '13');
INSERT INTO public.who_import VALUES (88570, '2020-06-25', 'TG', 'Togo', 'AFRO', '0', '576', '0', '13');
INSERT INTO public.who_import VALUES (88571, '2020-06-26', 'TG', 'Togo', 'AFRO', '12', '588', '1', '14');
INSERT INTO public.who_import VALUES (88572, '2020-06-27', 'TG', 'Togo', 'AFRO', '3', '591', '0', '14');
INSERT INTO public.who_import VALUES (88573, '2020-06-28', 'TG', 'Togo', 'AFRO', '24', '615', '0', '14');
INSERT INTO public.who_import VALUES (88574, '2020-06-29', 'TG', 'Togo', 'AFRO', '0', '615', '0', '14');
INSERT INTO public.who_import VALUES (88575, '2020-06-30', 'TG', 'Togo', 'AFRO', '27', '642', '0', '14');
INSERT INTO public.who_import VALUES (88576, '2020-07-01', 'TG', 'Togo', 'AFRO', '1', '643', '0', '14');
INSERT INTO public.who_import VALUES (88577, '2020-07-02', 'TG', 'Togo', 'AFRO', '18', '661', '0', '14');
INSERT INTO public.who_import VALUES (88578, '2020-07-03', 'TG', 'Togo', 'AFRO', '6', '667', '0', '14');
INSERT INTO public.who_import VALUES (88579, '2020-07-04', 'TG', 'Togo', 'AFRO', '4', '671', '0', '14');
INSERT INTO public.who_import VALUES (88580, '2020-07-05', 'TG', 'Togo', 'AFRO', '5', '676', '1', '15');
INSERT INTO public.who_import VALUES (88581, '2020-07-06', 'TG', 'Togo', 'AFRO', '4', '680', '0', '15');
INSERT INTO public.who_import VALUES (88582, '2020-07-07', 'TG', 'Togo', 'AFRO', '0', '680', '0', '15');
INSERT INTO public.who_import VALUES (88583, '2020-07-08', 'TG', 'Togo', 'AFRO', '9', '689', '0', '15');
INSERT INTO public.who_import VALUES (88584, '2020-07-09', 'TG', 'Togo', 'AFRO', '6', '695', '0', '15');
INSERT INTO public.who_import VALUES (88585, '2020-07-10', 'TG', 'Togo', 'AFRO', '9', '704', '0', '15');
INSERT INTO public.who_import VALUES (88586, '2020-07-11', 'TG', 'Togo', 'AFRO', '6', '710', '0', '15');
INSERT INTO public.who_import VALUES (88587, '2020-07-12', 'TG', 'Togo', 'AFRO', '0', '710', '0', '15');
INSERT INTO public.who_import VALUES (88588, '2020-07-13', 'TG', 'Togo', 'AFRO', '10', '720', '0', '15');
INSERT INTO public.who_import VALUES (88589, '2020-07-14', 'TG', 'Togo', 'AFRO', '0', '720', '0', '15');
INSERT INTO public.who_import VALUES (88590, '2020-07-15', 'TG', 'Togo', 'AFRO', '11', '731', '0', '15');
INSERT INTO public.who_import VALUES (88591, '2020-07-16', 'TG', 'Togo', 'AFRO', '9', '740', '0', '15');
INSERT INTO public.who_import VALUES (88592, '2020-07-17', 'TG', 'Togo', 'AFRO', '9', '749', '0', '15');
INSERT INTO public.who_import VALUES (88593, '2020-07-18', 'TG', 'Togo', 'AFRO', '17', '766', '0', '15');
INSERT INTO public.who_import VALUES (88594, '2020-07-19', 'TG', 'Togo', 'AFRO', '8', '774', '0', '15');
INSERT INTO public.who_import VALUES (88595, '2020-07-20', 'TG', 'Togo', 'AFRO', '0', '774', '0', '15');
INSERT INTO public.who_import VALUES (88596, '2020-07-21', 'TG', 'Togo', 'AFRO', '9', '783', '0', '15');
INSERT INTO public.who_import VALUES (88597, '2020-07-22', 'TG', 'Togo', 'AFRO', '7', '790', '0', '15');
INSERT INTO public.who_import VALUES (88598, '2020-07-23', 'TG', 'Togo', 'AFRO', '16', '806', '1', '16');
INSERT INTO public.who_import VALUES (88599, '2020-07-24', 'TG', 'Togo', 'AFRO', '22', '828', '0', '16');
INSERT INTO public.who_import VALUES (88600, '2020-07-25', 'TG', 'Togo', 'AFRO', '11', '839', '1', '17');
INSERT INTO public.who_import VALUES (88601, '2020-07-26', 'TG', 'Togo', 'AFRO', '14', '853', '0', '17');
INSERT INTO public.who_import VALUES (88602, '2020-07-27', 'TG', 'Togo', 'AFRO', '15', '868', '1', '18');
INSERT INTO public.who_import VALUES (88603, '2020-07-28', 'TG', 'Togo', 'AFRO', '6', '874', '0', '18');
INSERT INTO public.who_import VALUES (88604, '2020-07-29', 'TG', 'Togo', 'AFRO', '0', '874', '0', '18');
INSERT INTO public.who_import VALUES (88605, '2020-07-30', 'TG', 'Togo', 'AFRO', '22', '896', '0', '18');
INSERT INTO public.who_import VALUES (88606, '2020-07-31', 'TG', 'Togo', 'AFRO', '12', '908', '0', '18');
INSERT INTO public.who_import VALUES (88607, '2020-08-01', 'TG', 'Togo', 'AFRO', '19', '927', '0', '18');
INSERT INTO public.who_import VALUES (88608, '2020-08-02', 'TG', 'Togo', 'AFRO', '0', '927', '0', '18');
INSERT INTO public.who_import VALUES (88609, '2020-08-03', 'TG', 'Togo', 'AFRO', '0', '927', '0', '18');
INSERT INTO public.who_import VALUES (88610, '2020-08-04', 'TG', 'Togo', 'AFRO', '34', '961', '1', '19');
INSERT INTO public.who_import VALUES (88611, '2020-08-05', 'TG', 'Togo', 'AFRO', '15', '976', '0', '19');
INSERT INTO public.who_import VALUES (88612, '2020-08-06', 'TG', 'Togo', 'AFRO', '12', '988', '0', '19');
INSERT INTO public.who_import VALUES (88613, '2020-08-07', 'TG', 'Togo', 'AFRO', '13', '1001', '2', '21');
INSERT INTO public.who_import VALUES (88614, '2020-08-08', 'TG', 'Togo', 'AFRO', '11', '1012', '1', '22');
INSERT INTO public.who_import VALUES (88615, '2020-08-09', 'TG', 'Togo', 'AFRO', '0', '1012', '0', '22');
INSERT INTO public.who_import VALUES (88616, '2020-08-10', 'TG', 'Togo', 'AFRO', '34', '1046', '0', '22');
INSERT INTO public.who_import VALUES (88617, '2020-08-11', 'TG', 'Togo', 'AFRO', '14', '1060', '1', '23');
INSERT INTO public.who_import VALUES (88618, '2020-08-12', 'TG', 'Togo', 'AFRO', '7', '1067', '2', '25');
INSERT INTO public.who_import VALUES (88619, '2020-08-13', 'TG', 'Togo', 'AFRO', '0', '1067', '0', '25');
INSERT INTO public.who_import VALUES (88620, '2020-08-14', 'TG', 'Togo', 'AFRO', '25', '1092', '1', '26');
INSERT INTO public.who_import VALUES (88621, '2020-08-15', 'TG', 'Togo', 'AFRO', '0', '1092', '0', '26');
INSERT INTO public.who_import VALUES (88622, '2020-08-16', 'TG', 'Togo', 'AFRO', '0', '1092', '0', '26');
INSERT INTO public.who_import VALUES (88623, '2020-08-17', 'TG', 'Togo', 'AFRO', '55', '1147', '1', '27');
INSERT INTO public.who_import VALUES (88624, '2020-08-18', 'TG', 'Togo', 'AFRO', '0', '1147', '0', '27');
INSERT INTO public.who_import VALUES (88625, '2020-08-19', 'TG', 'Togo', 'AFRO', '7', '1154', '0', '27');
INSERT INTO public.who_import VALUES (88626, '2020-08-20', 'TG', 'Togo', 'AFRO', '19', '1173', '0', '27');
INSERT INTO public.who_import VALUES (88627, '2020-08-21', 'TG', 'Togo', 'AFRO', '17', '1190', '0', '27');
INSERT INTO public.who_import VALUES (88628, '2020-08-22', 'TG', 'Togo', 'AFRO', '22', '1212', '0', '27');
INSERT INTO public.who_import VALUES (88629, '2020-08-23', 'TG', 'Togo', 'AFRO', '0', '1212', '0', '27');
INSERT INTO public.who_import VALUES (88630, '2020-08-24', 'TG', 'Togo', 'AFRO', '65', '1277', '0', '27');
INSERT INTO public.who_import VALUES (88631, '2020-08-25', 'TG', 'Togo', 'AFRO', '18', '1295', '0', '27');
INSERT INTO public.who_import VALUES (88632, '2020-08-26', 'TG', 'Togo', 'AFRO', '14', '1309', '0', '27');
INSERT INTO public.who_import VALUES (88633, '2020-08-27', 'TG', 'Togo', 'AFRO', '0', '1309', '0', '27');
INSERT INTO public.who_import VALUES (88634, '2020-08-28', 'TG', 'Togo', 'AFRO', '17', '1326', '0', '27');
INSERT INTO public.who_import VALUES (88635, '2020-08-29', 'TG', 'Togo', 'AFRO', '15', '1341', '0', '27');
INSERT INTO public.who_import VALUES (88636, '2020-08-30', 'TG', 'Togo', 'AFRO', '49', '1390', '0', '27');
INSERT INTO public.who_import VALUES (88637, '2020-08-31', 'TG', 'Togo', 'AFRO', '6', '1396', '0', '27');
INSERT INTO public.who_import VALUES (88638, '2020-09-01', 'TG', 'Togo', 'AFRO', '0', '1396', '0', '27');
INSERT INTO public.who_import VALUES (88639, '2020-09-02', 'TG', 'Togo', 'AFRO', '4', '1400', '0', '27');
INSERT INTO public.who_import VALUES (88640, '2020-09-03', 'TG', 'Togo', 'AFRO', '16', '1416', '1', '28');
INSERT INTO public.who_import VALUES (88641, '2020-09-04', 'TG', 'Togo', 'AFRO', '27', '1443', '3', '31');
INSERT INTO public.who_import VALUES (88642, '2020-09-05', 'TG', 'Togo', 'AFRO', '0', '1443', '0', '31');
INSERT INTO public.who_import VALUES (88643, '2020-09-06', 'TG', 'Togo', 'AFRO', '0', '1443', '0', '31');
INSERT INTO public.who_import VALUES (88644, '2020-09-07', 'TG', 'Togo', 'AFRO', '14', '1457', '0', '31');
INSERT INTO public.who_import VALUES (88645, '2020-09-08', 'TG', 'Togo', 'AFRO', '31', '1488', '1', '32');
INSERT INTO public.who_import VALUES (88646, '2020-09-09', 'TG', 'Togo', 'AFRO', '5', '1493', '1', '33');
INSERT INTO public.who_import VALUES (88647, '2020-09-10', 'TG', 'Togo', 'AFRO', '35', '1528', '3', '36');
INSERT INTO public.who_import VALUES (88648, '2020-09-11', 'TG', 'Togo', 'AFRO', '9', '1537', '1', '37');
INSERT INTO public.who_import VALUES (88649, '2020-09-12', 'TG', 'Togo', 'AFRO', '11', '1548', '0', '37');
INSERT INTO public.who_import VALUES (88650, '2020-09-13', 'TG', 'Togo', 'AFRO', '7', '1555', '0', '37');
INSERT INTO public.who_import VALUES (88651, '2020-09-14', 'TG', 'Togo', 'AFRO', '17', '1572', '0', '37');
INSERT INTO public.who_import VALUES (88652, '2020-09-15', 'TG', 'Togo', 'AFRO', '6', '1578', '3', '40');
INSERT INTO public.who_import VALUES (88653, '2020-09-16', 'TG', 'Togo', 'AFRO', '17', '1595', '0', '40');
INSERT INTO public.who_import VALUES (88654, '2020-09-17', 'TG', 'Togo', 'AFRO', '13', '1608', '0', '40');
INSERT INTO public.who_import VALUES (88655, '2020-09-18', 'TG', 'Togo', 'AFRO', '10', '1618', '1', '41');
INSERT INTO public.who_import VALUES (88656, '2020-09-19', 'TG', 'Togo', 'AFRO', '22', '1640', '0', '41');
INSERT INTO public.who_import VALUES (88657, '2020-09-20', 'TG', 'Togo', 'AFRO', '0', '1640', '0', '41');
INSERT INTO public.who_import VALUES (88658, '2020-09-21', 'TG', 'Togo', 'AFRO', '26', '1666', '0', '41');
INSERT INTO public.who_import VALUES (88659, '2020-09-22', 'TG', 'Togo', 'AFRO', '3', '1669', '0', '41');
INSERT INTO public.who_import VALUES (88660, '2020-09-23', 'TG', 'Togo', 'AFRO', '14', '1683', '0', '41');
INSERT INTO public.who_import VALUES (88661, '2020-09-24', 'TG', 'Togo', 'AFRO', '18', '1701', '0', '41');
INSERT INTO public.who_import VALUES (88662, '2020-09-25', 'TG', 'Togo', 'AFRO', '6', '1707', '3', '44');
INSERT INTO public.who_import VALUES (88663, '2020-09-26', 'TG', 'Togo', 'AFRO', '15', '1722', '0', '44');
INSERT INTO public.who_import VALUES (88664, '2020-09-27', 'TG', 'Togo', 'AFRO', '14', '1736', '2', '46');
INSERT INTO public.who_import VALUES (88665, '2020-09-28', 'TG', 'Togo', 'AFRO', '7', '1743', '0', '46');
INSERT INTO public.who_import VALUES (88666, '2020-09-29', 'TG', 'Togo', 'AFRO', '6', '1749', '1', '47');
INSERT INTO public.who_import VALUES (88667, '2020-09-30', 'TG', 'Togo', 'AFRO', '10', '1759', '1', '48');
INSERT INTO public.who_import VALUES (88668, '2020-10-01', 'TG', 'Togo', 'AFRO', '25', '1784', '0', '48');
INSERT INTO public.who_import VALUES (88669, '2020-10-02', 'TG', 'Togo', 'AFRO', '25', '1809', '0', '48');
INSERT INTO public.who_import VALUES (88670, '2020-10-03', 'TG', 'Togo', 'AFRO', '9', '1818', '0', '48');
INSERT INTO public.who_import VALUES (88671, '2020-10-04', 'TG', 'Togo', 'AFRO', '22', '1840', '0', '48');
INSERT INTO public.who_import VALUES (88672, '2020-10-05', 'TG', 'Togo', 'AFRO', '14', '1854', '0', '48');
INSERT INTO public.who_import VALUES (88673, '2020-10-06', 'TG', 'Togo', 'AFRO', '10', '1864', '0', '48');
INSERT INTO public.who_import VALUES (88674, '2020-10-07', 'TG', 'Togo', 'AFRO', '17', '1881', '1', '49');
INSERT INTO public.who_import VALUES (88675, '2020-10-08', 'TG', 'Togo', 'AFRO', '17', '1898', '0', '49');
INSERT INTO public.who_import VALUES (88676, '2020-10-09', 'TG', 'Togo', 'AFRO', '9', '1907', '0', '49');
INSERT INTO public.who_import VALUES (88677, '2020-10-10', 'TG', 'Togo', 'AFRO', '0', '1907', '0', '49');
INSERT INTO public.who_import VALUES (88678, '2020-10-11', 'TG', 'Togo', 'AFRO', '28', '1935', '0', '49');
INSERT INTO public.who_import VALUES (88679, '2020-10-12', 'TG', 'Togo', 'AFRO', '5', '1940', '0', '49');
INSERT INTO public.who_import VALUES (88680, '2020-10-13', 'TG', 'Togo', 'AFRO', '9', '1949', '0', '49');
INSERT INTO public.who_import VALUES (88681, '2020-10-14', 'TG', 'Togo', 'AFRO', '23', '1972', '1', '50');
INSERT INTO public.who_import VALUES (88682, '2020-10-15', 'TG', 'Togo', 'AFRO', '0', '1972', '0', '50');
INSERT INTO public.who_import VALUES (88683, '2020-10-16', 'TG', 'Togo', 'AFRO', '24', '1996', '1', '51');
INSERT INTO public.who_import VALUES (88684, '2020-10-17', 'TG', 'Togo', 'AFRO', '31', '2027', '0', '51');
INSERT INTO public.who_import VALUES (88685, '2020-10-18', 'TG', 'Togo', 'AFRO', '22', '2049', '0', '51');
INSERT INTO public.who_import VALUES (88686, '2020-10-19', 'TG', 'Togo', 'AFRO', '8', '2057', '0', '51');
INSERT INTO public.who_import VALUES (88687, '2020-10-20', 'TG', 'Togo', 'AFRO', '14', '2071', '0', '51');
INSERT INTO public.who_import VALUES (88688, '2020-10-21', 'TG', 'Togo', 'AFRO', '33', '2104', '0', '51');
INSERT INTO public.who_import VALUES (88689, '2020-10-22', 'TG', 'Togo', 'AFRO', '16', '2120', '0', '51');
INSERT INTO public.who_import VALUES (88690, '2020-10-23', 'TG', 'Togo', 'AFRO', '19', '2139', '1', '52');
INSERT INTO public.who_import VALUES (88691, '2020-10-24', 'TG', 'Togo', 'AFRO', '23', '2162', '0', '52');
INSERT INTO public.who_import VALUES (88692, '2020-10-25', 'TG', 'Togo', 'AFRO', '0', '2162', '0', '52');
INSERT INTO public.who_import VALUES (88693, '2020-10-26', 'TG', 'Togo', 'AFRO', '0', '2162', '0', '52');
INSERT INTO public.who_import VALUES (88694, '2020-10-27', 'TG', 'Togo', 'AFRO', '25', '2187', '0', '52');
INSERT INTO public.who_import VALUES (88695, '2020-10-28', 'TG', 'Togo', 'AFRO', '0', '2187', '0', '52');
INSERT INTO public.who_import VALUES (88696, '2020-10-29', 'TG', 'Togo', 'AFRO', '51', '2238', '2', '54');
INSERT INTO public.who_import VALUES (88697, '2020-10-30', 'TG', 'Togo', 'AFRO', '58', '2296', '1', '55');
INSERT INTO public.who_import VALUES (88698, '2020-10-31', 'TG', 'Togo', 'AFRO', '0', '2296', '0', '55');
INSERT INTO public.who_import VALUES (88699, '2020-11-01', 'TG', 'Togo', 'AFRO', '0', '2296', '0', '55');
INSERT INTO public.who_import VALUES (88700, '2020-11-02', 'TG', 'Togo', 'AFRO', '61', '2357', '2', '57');
INSERT INTO public.who_import VALUES (88701, '2020-11-03', 'TG', 'Togo', 'AFRO', '0', '2357', '0', '57');
INSERT INTO public.who_import VALUES (88702, '2020-11-04', 'TG', 'Togo', 'AFRO', '24', '2381', '0', '57');
INSERT INTO public.who_import VALUES (88703, '2020-11-05', 'TG', 'Togo', 'AFRO', '0', '2381', '0', '57');
INSERT INTO public.who_import VALUES (88704, '2020-11-06', 'TG', 'Togo', 'AFRO', '61', '2442', '0', '57');
INSERT INTO public.who_import VALUES (88705, '2020-11-07', 'TG', 'Togo', 'AFRO', '0', '2442', '0', '57');
INSERT INTO public.who_import VALUES (88706, '2020-11-08', 'TG', 'Togo', 'AFRO', '0', '2442', '0', '57');
INSERT INTO public.who_import VALUES (88707, '2020-11-09', 'TG', 'Togo', 'AFRO', '41', '2483', '0', '57');
INSERT INTO public.who_import VALUES (88708, '2020-11-10', 'TG', 'Togo', 'AFRO', '33', '2516', '0', '57');
INSERT INTO public.who_import VALUES (88709, '2020-11-11', 'TG', 'Togo', 'AFRO', '42', '2558', '0', '57');
INSERT INTO public.who_import VALUES (88710, '2020-11-12', 'TG', 'Togo', 'AFRO', '0', '2558', '0', '57');
INSERT INTO public.who_import VALUES (88711, '2020-11-13', 'TG', 'Togo', 'AFRO', '47', '2605', '3', '60');
INSERT INTO public.who_import VALUES (88712, '2020-11-14', 'TG', 'Togo', 'AFRO', '0', '2605', '0', '60');
INSERT INTO public.who_import VALUES (88713, '2020-11-15', 'TG', 'Togo', 'AFRO', '0', '2605', '0', '60');
INSERT INTO public.who_import VALUES (88714, '2020-11-16', 'TG', 'Togo', 'AFRO', '0', '2605', '0', '60');
INSERT INTO public.who_import VALUES (88715, '2020-11-17', 'TG', 'Togo', 'AFRO', '0', '2605', '0', '60');
INSERT INTO public.who_import VALUES (88716, '2020-11-18', 'TG', 'Togo', 'AFRO', '117', '2722', '2', '62');
INSERT INTO public.who_import VALUES (88717, '2020-11-19', 'TG', 'Togo', 'AFRO', '30', '2752', '1', '63');
INSERT INTO public.who_import VALUES (88718, '2020-11-20', 'TG', 'Togo', 'AFRO', '19', '2771', '0', '63');
INSERT INTO public.who_import VALUES (88719, '2020-11-21', 'TG', 'Togo', 'AFRO', '0', '2771', '0', '63');
INSERT INTO public.who_import VALUES (88720, '2020-11-22', 'TG', 'Togo', 'AFRO', '0', '2771', '0', '63');
INSERT INTO public.who_import VALUES (88721, '2020-11-23', 'TG', 'Togo', 'AFRO', '58', '2829', '1', '64');
INSERT INTO public.who_import VALUES (88722, '2020-11-24', 'TG', 'Togo', 'AFRO', '0', '2829', '0', '64');
INSERT INTO public.who_import VALUES (88723, '2020-11-25', 'TG', 'Togo', 'AFRO', '28', '2857', '0', '64');
INSERT INTO public.who_import VALUES (88724, '2020-11-26', 'TG', 'Togo', 'AFRO', '15', '2872', '0', '64');
INSERT INTO public.who_import VALUES (88725, '2020-11-27', 'TG', 'Togo', 'AFRO', '0', '2872', '0', '64');
INSERT INTO public.who_import VALUES (88726, '2020-11-28', 'TG', 'Togo', 'AFRO', '54', '2926', '0', '64');
INSERT INTO public.who_import VALUES (88727, '2020-11-29', 'TG', 'Togo', 'AFRO', '0', '2926', '0', '64');
INSERT INTO public.who_import VALUES (88728, '2020-11-30', 'TG', 'Togo', 'AFRO', '20', '2946', '0', '64');
INSERT INTO public.who_import VALUES (88729, '2020-12-01', 'TG', 'Togo', 'AFRO', '0', '2946', '0', '64');
INSERT INTO public.who_import VALUES (88730, '2020-12-02', 'TG', 'Togo', 'AFRO', '0', '2946', '0', '64');
INSERT INTO public.who_import VALUES (88731, '2020-12-03', 'TG', 'Togo', 'AFRO', '68', '3014', '1', '65');
INSERT INTO public.who_import VALUES (88732, '2020-12-04', 'TG', 'Togo', 'AFRO', '0', '3014', '0', '65');
INSERT INTO public.who_import VALUES (88733, '2020-12-05', 'TG', 'Togo', 'AFRO', '37', '3051', '0', '65');
INSERT INTO public.who_import VALUES (88734, '2020-12-06', 'TG', 'Togo', 'AFRO', '0', '3051', '0', '65');
INSERT INTO public.who_import VALUES (88735, '2020-12-07', 'TG', 'Togo', 'AFRO', '34', '3085', '0', '65');
INSERT INTO public.who_import VALUES (88736, '2020-12-08', 'TG', 'Togo', 'AFRO', '10', '3095', '0', '65');
INSERT INTO public.who_import VALUES (88737, '2020-12-09', 'TG', 'Togo', 'AFRO', '37', '3132', '0', '65');
INSERT INTO public.who_import VALUES (88738, '2020-12-10', 'TG', 'Togo', 'AFRO', '0', '3132', '0', '65');
INSERT INTO public.who_import VALUES (88739, '2020-12-11', 'TG', 'Togo', 'AFRO', '0', '3132', '0', '65');
INSERT INTO public.who_import VALUES (88740, '2020-12-12', 'TG', 'Togo', 'AFRO', '0', '3132', '0', '65');
INSERT INTO public.who_import VALUES (88741, '2020-12-13', 'TG', 'Togo', 'AFRO', '70', '3202', '1', '66');
INSERT INTO public.who_import VALUES (88742, '2020-12-14', 'TG', 'Togo', 'AFRO', '0', '3202', '0', '66');
INSERT INTO public.who_import VALUES (88743, '2020-12-15', 'TG', 'Togo', 'AFRO', '64', '3266', '0', '66');
INSERT INTO public.who_import VALUES (88744, '2020-12-16', 'TG', 'Togo', 'AFRO', '29', '3295', '0', '66');
INSERT INTO public.who_import VALUES (88745, '2020-12-17', 'TG', 'Togo', 'AFRO', '20', '3315', '0', '66');
INSERT INTO public.who_import VALUES (88746, '2020-12-18', 'TG', 'Togo', 'AFRO', '0', '3315', '0', '66');
INSERT INTO public.who_import VALUES (88747, '2020-12-19', 'TG', 'Togo', 'AFRO', '0', '3315', '0', '66');
INSERT INTO public.who_import VALUES (88748, '2020-12-20', 'TG', 'Togo', 'AFRO', '81', '3396', '0', '66');
INSERT INTO public.who_import VALUES (88749, '2020-12-21', 'TG', 'Togo', 'AFRO', '0', '3396', '0', '66');
INSERT INTO public.who_import VALUES (88750, '2020-12-22', 'TG', 'Togo', 'AFRO', '40', '3436', '0', '66');
INSERT INTO public.who_import VALUES (88751, '2020-12-23', 'TG', 'Togo', 'AFRO', '31', '3467', '0', '66');
INSERT INTO public.who_import VALUES (88752, '2020-12-24', 'TG', 'Togo', 'AFRO', '0', '3467', '0', '66');
INSERT INTO public.who_import VALUES (88753, '2020-12-25', 'TG', 'Togo', 'AFRO', '0', '3467', '0', '66');
INSERT INTO public.who_import VALUES (88754, '2020-12-26', 'TG', 'Togo', 'AFRO', '0', '3467', '0', '66');
INSERT INTO public.who_import VALUES (88755, '2020-12-27', 'TG', 'Togo', 'AFRO', '88', '3555', '2', '68');
INSERT INTO public.who_import VALUES (88756, '2020-12-28', 'TG', 'Togo', 'AFRO', '0', '3555', '0', '68');
INSERT INTO public.who_import VALUES (88757, '2020-12-29', 'TG', 'Togo', 'AFRO', '21', '3576', '0', '68');
INSERT INTO public.who_import VALUES (88758, '2020-12-30', 'TG', 'Togo', 'AFRO', '0', '3576', '0', '68');
INSERT INTO public.who_import VALUES (88759, '2020-12-31', 'TG', 'Togo', 'AFRO', '28', '3604', '0', '68');
INSERT INTO public.who_import VALUES (88760, '2021-01-01', 'TG', 'Togo', 'AFRO', '29', '3633', '0', '68');
INSERT INTO public.who_import VALUES (88761, '2021-01-02', 'TG', 'Togo', 'AFRO', '0', '3633', '0', '68');
INSERT INTO public.who_import VALUES (88762, '2021-01-03', 'TG', 'Togo', 'AFRO', '50', '3683', '0', '68');
INSERT INTO public.who_import VALUES (88763, '2021-01-04', 'TG', 'Togo', 'AFRO', '19', '3702', '0', '68');
INSERT INTO public.who_import VALUES (88764, '2021-01-05', 'TG', 'Togo', 'AFRO', '20', '3722', '1', '69');
INSERT INTO public.who_import VALUES (88765, '2021-01-06', 'TG', 'Togo', 'AFRO', '0', '3722', '0', '69');
INSERT INTO public.who_import VALUES (88766, '2021-01-07', 'TG', 'Togo', 'AFRO', '85', '3807', '1', '70');
INSERT INTO public.who_import VALUES (88767, '2021-01-08', 'TG', 'Togo', 'AFRO', '0', '3807', '0', '70');
INSERT INTO public.who_import VALUES (88768, '2021-01-09', 'TG', 'Togo', 'AFRO', '38', '3845', '2', '72');
INSERT INTO public.who_import VALUES (88769, '2021-01-10', 'TG', 'Togo', 'AFRO', '87', '3932', '0', '72');
INSERT INTO public.who_import VALUES (88770, '2021-01-11', 'TG', 'Togo', 'AFRO', '25', '3957', '0', '72');
INSERT INTO public.who_import VALUES (88771, '2021-01-12', 'TG', 'Togo', 'AFRO', '21', '3978', '1', '73');
INSERT INTO public.who_import VALUES (88772, '2021-01-13', 'TG', 'Togo', 'AFRO', '67', '4045', '0', '73');
INSERT INTO public.who_import VALUES (88773, '2021-01-14', 'TG', 'Togo', 'AFRO', '64', '4109', '0', '73');
INSERT INTO public.who_import VALUES (88774, '2021-01-15', 'TG', 'Togo', 'AFRO', '0', '4109', '0', '73');
INSERT INTO public.who_import VALUES (88775, '2021-01-16', 'TG', 'Togo', 'AFRO', '111', '4220', '0', '73');
INSERT INTO public.who_import VALUES (88776, '2021-01-17', 'TG', 'Togo', 'AFRO', '52', '4272', '0', '73');
INSERT INTO public.who_import VALUES (88777, '2021-01-18', 'TG', 'Togo', 'AFRO', '30', '4302', '0', '73');
INSERT INTO public.who_import VALUES (88778, '2021-01-19', 'TG', 'Togo', 'AFRO', '22', '4324', '1', '74');
INSERT INTO public.who_import VALUES (88779, '2021-01-20', 'TG', 'Togo', 'AFRO', '59', '4383', '0', '74');
INSERT INTO public.who_import VALUES (88780, '2021-01-21', 'TG', 'Togo', 'AFRO', '76', '4459', '0', '74');
INSERT INTO public.who_import VALUES (88781, '2021-01-22', 'TG', 'Togo', 'AFRO', '46', '4505', '0', '74');
INSERT INTO public.who_import VALUES (88782, '2021-01-23', 'TG', 'Togo', 'AFRO', '0', '4505', '0', '74');
INSERT INTO public.who_import VALUES (88783, '2021-01-24', 'TG', 'Togo', 'AFRO', '131', '4636', '0', '74');
INSERT INTO public.who_import VALUES (88784, '2021-01-25', 'TG', 'Togo', 'AFRO', '26', '4662', '1', '75');
INSERT INTO public.who_import VALUES (88785, '2021-01-26', 'TG', 'Togo', 'AFRO', '0', '4662', '0', '75');
INSERT INTO public.who_import VALUES (88786, '2021-01-27', 'TG', 'Togo', 'AFRO', '20', '4682', '1', '76');
INSERT INTO public.who_import VALUES (88787, '2021-01-28', 'TG', 'Togo', 'AFRO', '188', '4870', '0', '76');
INSERT INTO public.who_import VALUES (88788, '2021-01-29', 'TG', 'Togo', 'AFRO', '52', '4922', '0', '76');
INSERT INTO public.who_import VALUES (88789, '2021-01-30', 'TG', 'Togo', 'AFRO', '0', '4922', '0', '76');
INSERT INTO public.who_import VALUES (88790, '2021-01-31', 'TG', 'Togo', 'AFRO', '119', '5041', '1', '77');
INSERT INTO public.who_import VALUES (88791, '2021-02-01', 'TG', 'Togo', 'AFRO', '33', '5074', '0', '77');
INSERT INTO public.who_import VALUES (88792, '2021-02-02', 'TG', 'Togo', 'AFRO', '18', '5092', '2', '79');
INSERT INTO public.who_import VALUES (88793, '2021-02-03', 'TG', 'Togo', 'AFRO', '74', '5166', '0', '79');
INSERT INTO public.who_import VALUES (88794, '2021-02-04', 'TG', 'Togo', 'AFRO', '58', '5224', '0', '79');
INSERT INTO public.who_import VALUES (88795, '2021-02-05', 'TG', 'Togo', 'AFRO', '66', '5290', '0', '79');
INSERT INTO public.who_import VALUES (88796, '2021-02-06', 'TG', 'Togo', 'AFRO', '66', '5356', '0', '79');
INSERT INTO public.who_import VALUES (88797, '2021-02-07', 'TG', 'Togo', 'AFRO', '80', '5436', '0', '79');
INSERT INTO public.who_import VALUES (88798, '2021-02-08', 'TG', 'Togo', 'AFRO', '47', '5483', '1', '80');
INSERT INTO public.who_import VALUES (88799, '2021-02-09', 'TG', 'Togo', 'AFRO', '13', '5496', '0', '80');
INSERT INTO public.who_import VALUES (88800, '2021-02-10', 'TG', 'Togo', 'AFRO', '80', '5576', '0', '80');
INSERT INTO public.who_import VALUES (88801, '2021-02-11', 'TG', 'Togo', 'AFRO', '30', '5606', '0', '80');
INSERT INTO public.who_import VALUES (88802, '2021-02-12', 'TG', 'Togo', 'AFRO', '81', '5687', '0', '80');
INSERT INTO public.who_import VALUES (88803, '2021-02-13', 'TG', 'Togo', 'AFRO', '0', '5687', '0', '80');
INSERT INTO public.who_import VALUES (88804, '2021-02-14', 'TG', 'Togo', 'AFRO', '136', '5823', '0', '80');
INSERT INTO public.who_import VALUES (88805, '2021-02-15', 'TG', 'Togo', 'AFRO', '51', '5874', '1', '81');
INSERT INTO public.who_import VALUES (88806, '2021-02-16', 'TG', 'Togo', 'AFRO', '8', '5882', '0', '81');
INSERT INTO public.who_import VALUES (88807, '2021-02-17', 'TG', 'Togo', 'AFRO', '0', '5882', '0', '81');
INSERT INTO public.who_import VALUES (88808, '2021-02-18', 'TG', 'Togo', 'AFRO', '0', '5882', '0', '81');
INSERT INTO public.who_import VALUES (88809, '2021-02-19', 'TG', 'Togo', 'AFRO', '203', '6085', '0', '81');
INSERT INTO public.who_import VALUES (88810, '2021-02-20', 'TG', 'Togo', 'AFRO', '97', '6182', '0', '81');
INSERT INTO public.who_import VALUES (88811, '2020-01-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88812, '2020-01-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88813, '2020-01-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88814, '2020-01-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88815, '2020-01-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88816, '2020-01-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88817, '2020-01-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88818, '2020-01-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88819, '2020-01-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88820, '2020-01-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88821, '2020-01-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88822, '2020-01-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88823, '2020-01-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88824, '2020-01-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88825, '2020-01-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88826, '2020-01-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88827, '2020-01-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88828, '2020-01-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88829, '2020-01-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88830, '2020-01-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88831, '2020-01-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88832, '2020-01-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88833, '2020-01-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88834, '2020-01-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88835, '2020-01-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88836, '2020-01-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88837, '2020-01-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88838, '2020-01-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88839, '2020-01-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88840, '2020-02-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88841, '2020-02-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88842, '2020-02-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88843, '2020-02-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88844, '2020-02-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88845, '2020-02-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88846, '2020-02-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88847, '2020-02-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88848, '2020-02-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88849, '2020-02-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88850, '2020-02-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88851, '2020-02-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88852, '2020-02-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88853, '2020-02-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88854, '2020-02-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88855, '2020-02-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88856, '2020-02-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88857, '2020-02-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88858, '2020-02-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88859, '2020-02-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88860, '2020-02-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88861, '2020-02-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88862, '2020-02-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88863, '2020-02-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88864, '2020-02-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88865, '2020-02-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88866, '2020-02-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88867, '2020-02-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88868, '2020-02-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88869, '2020-03-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88870, '2020-03-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88871, '2020-03-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88872, '2020-03-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88873, '2020-03-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88874, '2020-03-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88875, '2020-03-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88876, '2020-03-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88877, '2020-03-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88878, '2020-03-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88879, '2020-03-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88880, '2020-03-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88881, '2020-03-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88882, '2020-03-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88883, '2020-03-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88884, '2020-03-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88885, '2020-03-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88886, '2020-03-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88887, '2020-03-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88888, '2020-03-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88889, '2020-03-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88890, '2020-03-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88891, '2020-03-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88892, '2020-03-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88893, '2020-03-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88894, '2020-03-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88895, '2020-03-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88896, '2020-03-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88897, '2020-03-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88898, '2020-03-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88899, '2020-03-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88900, '2020-04-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88901, '2020-04-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88902, '2020-04-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88903, '2020-04-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88904, '2020-04-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88905, '2020-04-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88906, '2020-04-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88907, '2020-04-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88908, '2020-04-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88909, '2020-04-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88910, '2020-04-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88911, '2020-04-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88912, '2020-04-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88913, '2020-04-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88914, '2020-04-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88915, '2020-04-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88916, '2020-04-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88917, '2020-04-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88918, '2020-04-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88919, '2020-04-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88920, '2020-04-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88921, '2020-04-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88922, '2020-04-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88923, '2020-04-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88924, '2020-04-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88925, '2020-04-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88926, '2020-04-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88927, '2020-04-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88928, '2020-04-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88929, '2020-04-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88930, '2020-05-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88931, '2020-05-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88932, '2020-05-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88933, '2020-05-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88934, '2020-05-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88935, '2020-05-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88936, '2020-05-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88937, '2020-05-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88938, '2020-05-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88939, '2020-05-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88940, '2020-05-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88941, '2020-05-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88942, '2020-05-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88943, '2020-05-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88944, '2020-05-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88945, '2020-05-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88946, '2020-05-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88947, '2020-05-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88948, '2020-05-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88949, '2020-05-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88950, '2020-05-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88951, '2020-05-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88952, '2020-05-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88953, '2020-05-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88954, '2020-05-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88955, '2020-05-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88956, '2020-05-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88957, '2020-05-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88958, '2020-05-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88959, '2020-05-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88960, '2020-05-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88961, '2020-06-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88962, '2020-06-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88963, '2020-06-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88964, '2020-06-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88965, '2020-06-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88966, '2020-06-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88967, '2020-06-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88968, '2020-06-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88969, '2020-06-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88970, '2020-06-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88971, '2020-06-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88972, '2020-06-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88973, '2020-06-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88974, '2020-06-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88975, '2020-06-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88976, '2020-06-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88977, '2020-06-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88978, '2020-06-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88979, '2020-06-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88980, '2020-06-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88981, '2020-06-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88982, '2020-06-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88983, '2020-06-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88984, '2020-06-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88985, '2020-06-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88986, '2020-06-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88987, '2020-06-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88988, '2020-06-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88989, '2020-06-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88990, '2020-06-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88991, '2020-07-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88992, '2020-07-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88993, '2020-07-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88994, '2020-07-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88995, '2020-07-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88996, '2020-07-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88997, '2020-07-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88998, '2020-07-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (88999, '2020-07-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89000, '2020-07-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89001, '2020-07-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89002, '2020-07-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89003, '2020-07-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89004, '2020-07-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89005, '2020-07-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89006, '2020-07-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89007, '2020-07-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89008, '2020-07-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89009, '2020-07-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89010, '2020-07-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89011, '2020-07-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89012, '2020-07-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89013, '2020-07-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89014, '2020-07-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89015, '2020-07-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89016, '2020-07-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89017, '2020-07-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89018, '2020-07-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89019, '2020-07-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89020, '2020-07-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89021, '2020-07-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89022, '2020-08-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89023, '2020-08-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89024, '2020-08-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89025, '2020-08-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89026, '2020-08-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89027, '2020-08-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89028, '2020-08-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89029, '2020-08-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89030, '2020-08-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89031, '2020-08-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89032, '2020-08-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89033, '2020-08-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89034, '2020-08-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89035, '2020-08-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89036, '2020-08-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89037, '2020-08-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89038, '2020-08-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89039, '2020-08-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89040, '2020-08-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89041, '2020-08-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89042, '2020-08-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89043, '2020-08-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89044, '2020-08-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89045, '2020-08-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89046, '2020-08-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89047, '2020-08-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89048, '2020-08-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89049, '2020-08-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89050, '2020-08-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89051, '2020-08-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89052, '2020-08-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89053, '2020-09-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89054, '2020-09-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89055, '2020-09-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89056, '2020-09-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89057, '2020-09-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89058, '2020-09-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89059, '2020-09-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89060, '2020-09-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89061, '2020-09-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89062, '2020-09-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89063, '2020-09-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89064, '2020-09-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89065, '2020-09-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89066, '2020-09-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89067, '2020-09-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89068, '2020-09-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89069, '2020-09-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89070, '2020-09-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89071, '2020-09-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89072, '2020-09-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89073, '2020-09-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89074, '2020-09-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89075, '2020-09-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89076, '2020-09-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89077, '2020-09-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89078, '2020-09-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89079, '2020-09-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89080, '2020-09-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89081, '2020-09-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89082, '2020-09-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89083, '2020-10-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89084, '2020-10-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89085, '2020-10-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89086, '2020-10-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89087, '2020-10-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89088, '2020-10-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89089, '2020-10-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89090, '2020-10-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89091, '2020-10-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89092, '2020-10-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89093, '2020-10-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89094, '2020-10-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89095, '2020-10-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89096, '2020-10-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89097, '2020-10-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89098, '2020-10-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89099, '2020-10-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89100, '2020-10-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89101, '2020-10-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89102, '2020-10-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89103, '2020-10-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89104, '2020-10-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89105, '2020-10-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89106, '2020-10-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89107, '2020-10-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89108, '2020-10-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89109, '2020-10-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89110, '2020-10-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89111, '2020-10-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89112, '2020-10-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89113, '2020-10-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89114, '2020-11-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89115, '2020-11-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89116, '2020-11-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89117, '2020-11-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89118, '2020-11-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89119, '2020-11-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89120, '2020-11-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89121, '2020-11-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89122, '2020-11-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89123, '2020-11-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89124, '2020-11-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89125, '2020-11-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89126, '2020-11-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89127, '2020-11-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89128, '2020-11-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89129, '2020-11-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89130, '2020-11-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89131, '2020-11-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89132, '2020-11-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89133, '2020-11-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89134, '2020-11-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89135, '2020-11-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89136, '2020-11-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89137, '2020-11-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89138, '2020-11-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89139, '2020-11-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89140, '2020-11-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89141, '2020-11-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89142, '2020-11-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89143, '2020-11-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89144, '2020-12-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89145, '2020-12-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89146, '2020-12-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89147, '2020-12-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89148, '2020-12-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89149, '2020-12-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89150, '2020-12-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89151, '2020-12-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89152, '2020-12-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89153, '2020-12-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89154, '2020-12-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89155, '2020-12-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89156, '2020-12-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89157, '2020-12-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89158, '2020-12-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89159, '2020-12-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89160, '2020-12-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89161, '2020-12-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89162, '2020-12-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89163, '2020-12-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89164, '2020-12-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89165, '2020-12-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89166, '2020-12-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89167, '2020-12-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89168, '2020-12-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89169, '2020-12-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89170, '2020-12-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89171, '2020-12-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89172, '2020-12-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89173, '2020-12-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89174, '2020-12-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89175, '2021-01-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89176, '2021-01-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89177, '2021-01-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89178, '2021-01-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89179, '2021-01-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89180, '2021-01-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89181, '2021-01-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89182, '2021-01-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89183, '2021-01-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89184, '2021-01-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89185, '2021-01-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89186, '2021-01-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89187, '2021-01-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89188, '2021-01-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89189, '2021-01-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89190, '2021-01-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89191, '2021-01-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89192, '2021-01-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89193, '2021-01-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89194, '2021-01-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89195, '2021-01-21', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89196, '2021-01-22', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89197, '2021-01-23', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89198, '2021-01-24', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89199, '2021-01-25', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89200, '2021-01-26', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89201, '2021-01-27', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89202, '2021-01-28', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89203, '2021-01-29', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89204, '2021-01-30', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89205, '2021-01-31', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89206, '2021-02-01', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89207, '2021-02-02', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89208, '2021-02-03', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89209, '2021-02-04', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89210, '2021-02-05', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89211, '2021-02-06', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89212, '2021-02-07', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89213, '2021-02-08', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89214, '2021-02-09', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89215, '2021-02-10', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89216, '2021-02-11', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89217, '2021-02-12', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89218, '2021-02-13', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89219, '2021-02-14', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89220, '2021-02-15', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89221, '2021-02-16', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89222, '2021-02-17', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89223, '2021-02-18', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89224, '2021-02-19', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89225, '2021-02-20', 'TK', 'Tokelau', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89226, '2020-01-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89227, '2020-01-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89228, '2020-01-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89229, '2020-01-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89230, '2020-01-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89231, '2020-01-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89232, '2020-01-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89233, '2020-01-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89234, '2020-01-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89235, '2020-01-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89236, '2020-01-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89237, '2020-01-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89238, '2020-01-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89239, '2020-01-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89240, '2020-01-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89241, '2020-01-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89242, '2020-01-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89243, '2020-01-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89244, '2020-01-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89245, '2020-01-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89246, '2020-01-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89247, '2020-01-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89248, '2020-01-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89249, '2020-01-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89250, '2020-01-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89251, '2020-01-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89252, '2020-01-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89253, '2020-01-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89254, '2020-01-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89255, '2020-02-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89256, '2020-02-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89257, '2020-02-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89258, '2020-02-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89259, '2020-02-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89260, '2020-02-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89261, '2020-02-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89262, '2020-02-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89263, '2020-02-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89264, '2020-02-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89265, '2020-02-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89266, '2020-02-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89267, '2020-02-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89268, '2020-02-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89269, '2020-02-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89270, '2020-02-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89271, '2020-02-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89272, '2020-02-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89273, '2020-02-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89274, '2020-02-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89275, '2020-02-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89276, '2020-02-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89277, '2020-02-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89278, '2020-02-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89279, '2020-02-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89280, '2020-02-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89281, '2020-02-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89282, '2020-02-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89283, '2020-02-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89284, '2020-03-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89285, '2020-03-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89286, '2020-03-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89287, '2020-03-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89288, '2020-03-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89289, '2020-03-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89290, '2020-03-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89291, '2020-03-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89292, '2020-03-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89293, '2020-03-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89294, '2020-03-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89295, '2020-03-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89296, '2020-03-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89297, '2020-03-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89298, '2020-03-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89299, '2020-03-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89300, '2020-03-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89301, '2020-03-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89302, '2020-03-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89303, '2020-03-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89304, '2020-03-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89305, '2020-03-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89306, '2020-03-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89307, '2020-03-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89308, '2020-03-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89309, '2020-03-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89310, '2020-03-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89311, '2020-03-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89312, '2020-03-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89313, '2020-03-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89314, '2020-03-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89315, '2020-04-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89316, '2020-04-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89317, '2020-04-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89318, '2020-04-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89319, '2020-04-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89320, '2020-04-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89321, '2020-04-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89322, '2020-04-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89323, '2020-04-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89324, '2020-04-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89325, '2020-04-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89326, '2020-04-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89327, '2020-04-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89328, '2020-04-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89329, '2020-04-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89330, '2020-04-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89331, '2020-04-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89332, '2020-04-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89333, '2020-04-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89334, '2020-04-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89335, '2020-04-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89336, '2020-04-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89337, '2020-04-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89338, '2020-04-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89339, '2020-04-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89340, '2020-04-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89341, '2020-04-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89342, '2020-04-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89343, '2020-04-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89344, '2020-04-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89345, '2020-05-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89346, '2020-05-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89347, '2020-05-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89348, '2020-05-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89349, '2020-05-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89350, '2020-05-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89351, '2020-05-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89352, '2020-05-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89353, '2020-05-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89354, '2020-05-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89355, '2020-05-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89356, '2020-05-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89357, '2020-05-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89358, '2020-05-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89359, '2020-05-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89360, '2020-05-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89361, '2020-05-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89362, '2020-05-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89363, '2020-05-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89364, '2020-05-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89365, '2020-05-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89366, '2020-05-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89367, '2020-05-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89368, '2020-05-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89369, '2020-05-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89370, '2020-05-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89371, '2020-05-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89372, '2020-05-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89373, '2020-05-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89374, '2020-05-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89375, '2020-05-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89376, '2020-06-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89377, '2020-06-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89378, '2020-06-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89379, '2020-06-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89380, '2020-06-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89381, '2020-06-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89382, '2020-06-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89383, '2020-06-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89384, '2020-06-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89385, '2020-06-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89386, '2020-06-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89387, '2020-06-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89388, '2020-06-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89389, '2020-06-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89390, '2020-06-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89391, '2020-06-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89392, '2020-06-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89393, '2020-06-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89394, '2020-06-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89395, '2020-06-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89396, '2020-06-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89397, '2020-06-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89398, '2020-06-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89399, '2020-06-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89400, '2020-06-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89401, '2020-06-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89402, '2020-06-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89403, '2020-06-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89404, '2020-06-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89405, '2020-06-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89406, '2020-07-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89407, '2020-07-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89408, '2020-07-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89409, '2020-07-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89410, '2020-07-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89411, '2020-07-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89412, '2020-07-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89413, '2020-07-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89414, '2020-07-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89415, '2020-07-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89416, '2020-07-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89417, '2020-07-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89418, '2020-07-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89419, '2020-07-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89420, '2020-07-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89421, '2020-07-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89422, '2020-07-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89423, '2020-07-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89424, '2020-07-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89425, '2020-07-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89426, '2020-07-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89427, '2020-07-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89428, '2020-07-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89429, '2020-07-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89430, '2020-07-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89431, '2020-07-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89432, '2020-07-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89433, '2020-07-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89434, '2020-07-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89435, '2020-07-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89436, '2020-07-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89437, '2020-08-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89438, '2020-08-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89439, '2020-08-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89440, '2020-08-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89441, '2020-08-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89442, '2020-08-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89443, '2020-08-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89444, '2020-08-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89445, '2020-08-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89446, '2020-08-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89447, '2020-08-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89448, '2020-08-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89449, '2020-08-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89450, '2020-08-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89451, '2020-08-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89452, '2020-08-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89453, '2020-08-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89454, '2020-08-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89455, '2020-08-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89456, '2020-08-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89457, '2020-08-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89458, '2020-08-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89459, '2020-08-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89460, '2020-08-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89461, '2020-08-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89462, '2020-08-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89463, '2020-08-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89464, '2020-08-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89465, '2020-08-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89466, '2020-08-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89467, '2020-08-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89468, '2020-09-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89469, '2020-09-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89470, '2020-09-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89471, '2020-09-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89472, '2020-09-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89473, '2020-09-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89474, '2020-09-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89475, '2020-09-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89476, '2020-09-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89477, '2020-09-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89478, '2020-09-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89479, '2020-09-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89480, '2020-09-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89481, '2020-09-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89482, '2020-09-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89483, '2020-09-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89484, '2020-09-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89485, '2020-09-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89486, '2020-09-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89487, '2020-09-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89488, '2020-09-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89489, '2020-09-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89490, '2020-09-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89491, '2020-09-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89492, '2020-09-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89493, '2020-09-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89494, '2020-09-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89495, '2020-09-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89496, '2020-09-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89497, '2020-09-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89498, '2020-10-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89499, '2020-10-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89500, '2020-10-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89501, '2020-10-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89502, '2020-10-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89503, '2020-10-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89504, '2020-10-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89505, '2020-10-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89506, '2020-10-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89507, '2020-10-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89508, '2020-10-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89509, '2020-10-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89510, '2020-10-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89511, '2020-10-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89512, '2020-10-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89513, '2020-10-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89514, '2020-10-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89515, '2020-10-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89516, '2020-10-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89517, '2020-10-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89518, '2020-10-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89519, '2020-10-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89520, '2020-10-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89521, '2020-10-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89522, '2020-10-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89523, '2020-10-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89524, '2020-10-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89525, '2020-10-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89526, '2020-10-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89527, '2020-10-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89528, '2020-10-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89529, '2020-11-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89530, '2020-11-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89531, '2020-11-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89532, '2020-11-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89533, '2020-11-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89534, '2020-11-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89535, '2020-11-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89536, '2020-11-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89537, '2020-11-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89538, '2020-11-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89539, '2020-11-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89540, '2020-11-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89541, '2020-11-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89542, '2020-11-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89543, '2020-11-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89544, '2020-11-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89545, '2020-11-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89546, '2020-11-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89547, '2020-11-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89548, '2020-11-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89549, '2020-11-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89550, '2020-11-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89551, '2020-11-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89552, '2020-11-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89553, '2020-11-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89554, '2020-11-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89555, '2020-11-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89556, '2020-11-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89557, '2020-11-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89558, '2020-11-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89559, '2020-12-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89560, '2020-12-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89561, '2020-12-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89562, '2020-12-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89563, '2020-12-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89564, '2020-12-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89565, '2020-12-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89566, '2020-12-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89567, '2020-12-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89568, '2020-12-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89569, '2020-12-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89570, '2020-12-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89571, '2020-12-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89572, '2020-12-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89573, '2020-12-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89574, '2020-12-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89575, '2020-12-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89576, '2020-12-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89577, '2020-12-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89578, '2020-12-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89579, '2020-12-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89580, '2020-12-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89581, '2020-12-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89582, '2020-12-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89583, '2020-12-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89584, '2020-12-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89585, '2020-12-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89586, '2020-12-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89587, '2020-12-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89588, '2020-12-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89589, '2020-12-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89590, '2021-01-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89591, '2021-01-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89592, '2021-01-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89593, '2021-01-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89594, '2021-01-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89595, '2021-01-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89596, '2021-01-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89597, '2021-01-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89598, '2021-01-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89599, '2021-01-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89600, '2021-01-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89601, '2021-01-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89602, '2021-01-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89603, '2021-01-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89604, '2021-01-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89605, '2021-01-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89606, '2021-01-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89607, '2021-01-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89608, '2021-01-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89609, '2021-01-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89610, '2021-01-21', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89611, '2021-01-22', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89612, '2021-01-23', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89613, '2021-01-24', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89614, '2021-01-25', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89615, '2021-01-26', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89616, '2021-01-27', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89617, '2021-01-28', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89618, '2021-01-29', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89619, '2021-01-30', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89620, '2021-01-31', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89621, '2021-02-01', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89622, '2021-02-02', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89623, '2021-02-03', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89624, '2021-02-04', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89625, '2021-02-05', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89626, '2021-02-06', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89627, '2021-02-07', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89628, '2021-02-08', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89629, '2021-02-09', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89630, '2021-02-10', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89631, '2021-02-11', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89632, '2021-02-12', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89633, '2021-02-13', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89634, '2021-02-14', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89635, '2021-02-15', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89636, '2021-02-16', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89637, '2021-02-17', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89638, '2021-02-18', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89639, '2021-02-19', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89640, '2021-02-20', 'TO', 'Tonga', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89641, '2020-01-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89642, '2020-01-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89643, '2020-01-05', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89644, '2020-01-06', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89645, '2020-01-07', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89646, '2020-01-08', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89647, '2020-01-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89648, '2020-01-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89649, '2020-01-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89650, '2020-01-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89651, '2020-01-13', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89652, '2020-01-14', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89653, '2020-01-15', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91742, '2020-01-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89654, '2020-01-16', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89655, '2020-01-17', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89656, '2020-01-18', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89657, '2020-01-19', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89658, '2020-01-20', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89659, '2020-01-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89660, '2020-01-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89661, '2020-01-23', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89662, '2020-01-24', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89663, '2020-01-25', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89664, '2020-01-26', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89665, '2020-01-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89666, '2020-01-28', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89667, '2020-01-29', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89668, '2020-01-30', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89669, '2020-01-31', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89670, '2020-02-01', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89671, '2020-02-02', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89672, '2020-02-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89673, '2020-02-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89674, '2020-02-05', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89675, '2020-02-06', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89676, '2020-02-07', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89677, '2020-02-08', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89678, '2020-02-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89679, '2020-02-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89680, '2020-02-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89681, '2020-02-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89682, '2020-02-13', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89683, '2020-02-14', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89684, '2020-02-15', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89685, '2020-02-16', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89686, '2020-02-17', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89687, '2020-02-18', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89688, '2020-02-19', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89689, '2020-02-20', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89690, '2020-02-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89691, '2020-02-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89692, '2020-02-23', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89693, '2020-02-24', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89694, '2020-02-25', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89695, '2020-02-26', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89696, '2020-02-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89697, '2020-02-28', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89698, '2020-02-29', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89699, '2020-03-01', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89700, '2020-03-02', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89701, '2020-03-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89702, '2020-03-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89703, '2020-03-05', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89704, '2020-03-06', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89705, '2020-03-07', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89706, '2020-03-08', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89707, '2020-03-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89708, '2020-03-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89709, '2020-03-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89710, '2020-03-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (89711, '2020-03-13', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (89712, '2020-03-14', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (89713, '2020-03-15', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (89714, '2020-03-16', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (89715, '2020-03-17', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (89716, '2020-03-18', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (89717, '2020-03-19', 'TT', 'Trinidad and Tobago', 'AMRO', '-2', '9', '0', '0');
INSERT INTO public.who_import VALUES (89718, '2020-03-20', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (89719, '2020-03-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (89720, '2020-03-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (89721, '2020-03-23', 'TT', 'Trinidad and Tobago', 'AMRO', '41', '50', '0', '0');
INSERT INTO public.who_import VALUES (89722, '2020-03-24', 'TT', 'Trinidad and Tobago', 'AMRO', '7', '57', '0', '0');
INSERT INTO public.who_import VALUES (89723, '2020-03-25', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (89724, '2020-03-26', 'TT', 'Trinidad and Tobago', 'AMRO', '4', '61', '1', '1');
INSERT INTO public.who_import VALUES (89725, '2020-03-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '61', '0', '1');
INSERT INTO public.who_import VALUES (89726, '2020-03-28', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '66', '1', '2');
INSERT INTO public.who_import VALUES (89727, '2020-03-29', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '74', '0', '2');
INSERT INTO public.who_import VALUES (89728, '2020-03-30', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '76', '1', '3');
INSERT INTO public.who_import VALUES (89729, '2020-03-31', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '82', '0', '3');
INSERT INTO public.who_import VALUES (89730, '2020-04-01', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '85', '0', '3');
INSERT INTO public.who_import VALUES (89731, '2020-04-02', 'TT', 'Trinidad and Tobago', 'AMRO', '4', '89', '2', '5');
INSERT INTO public.who_import VALUES (89732, '2020-04-03', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '90', '0', '5');
INSERT INTO public.who_import VALUES (89733, '2020-04-04', 'TT', 'Trinidad and Tobago', 'AMRO', '7', '97', '1', '6');
INSERT INTO public.who_import VALUES (89734, '2020-04-05', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '100', '0', '6');
INSERT INTO public.who_import VALUES (89735, '2020-04-06', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '103', '0', '6');
INSERT INTO public.who_import VALUES (89736, '2020-04-07', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '105', '2', '8');
INSERT INTO public.who_import VALUES (89737, '2020-04-08', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '106', '0', '8');
INSERT INTO public.who_import VALUES (89738, '2020-04-09', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '107', '0', '8');
INSERT INTO public.who_import VALUES (89739, '2020-04-10', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '109', '0', '8');
INSERT INTO public.who_import VALUES (89740, '2020-04-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '109', '0', '8');
INSERT INTO public.who_import VALUES (89741, '2020-04-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '109', '0', '8');
INSERT INTO public.who_import VALUES (89742, '2020-04-13', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '112', '0', '8');
INSERT INTO public.who_import VALUES (89743, '2020-04-14', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '113', '0', '8');
INSERT INTO public.who_import VALUES (89744, '2020-04-15', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '113', '0', '8');
INSERT INTO public.who_import VALUES (89745, '2020-04-16', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '114', '0', '8');
INSERT INTO public.who_import VALUES (89746, '2020-04-17', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '114', '0', '8');
INSERT INTO public.who_import VALUES (89747, '2020-04-18', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '114', '0', '8');
INSERT INTO public.who_import VALUES (89748, '2020-04-19', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '114', '0', '8');
INSERT INTO public.who_import VALUES (89749, '2020-04-20', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '114', '0', '8');
INSERT INTO public.who_import VALUES (89750, '2020-04-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '114', '0', '8');
INSERT INTO public.who_import VALUES (89751, '2020-04-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '114', '0', '8');
INSERT INTO public.who_import VALUES (89752, '2020-04-23', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '115', '0', '8');
INSERT INTO public.who_import VALUES (89753, '2020-04-24', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '115', '0', '8');
INSERT INTO public.who_import VALUES (89754, '2020-04-25', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '115', '0', '8');
INSERT INTO public.who_import VALUES (89755, '2020-04-26', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '115', '0', '8');
INSERT INTO public.who_import VALUES (89756, '2020-04-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '115', '0', '8');
INSERT INTO public.who_import VALUES (89757, '2020-04-28', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '116', '0', '8');
INSERT INTO public.who_import VALUES (89758, '2020-04-29', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89759, '2020-04-30', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89760, '2020-05-01', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89761, '2020-05-02', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89762, '2020-05-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89763, '2020-05-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89764, '2020-05-05', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89765, '2020-05-06', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89766, '2020-05-07', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89767, '2020-05-08', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89768, '2020-05-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89769, '2020-05-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89770, '2020-05-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89771, '2020-05-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89772, '2020-05-13', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89773, '2020-05-14', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89774, '2020-05-15', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89775, '2020-05-16', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89776, '2020-05-17', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89777, '2020-05-18', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89778, '2020-05-19', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89779, '2020-05-20', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89780, '2020-05-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89781, '2020-05-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89782, '2020-05-23', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89783, '2020-05-24', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89784, '2020-05-25', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89785, '2020-05-26', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89786, '2020-05-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89787, '2020-05-28', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89788, '2020-05-29', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89789, '2020-05-30', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89790, '2020-05-31', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '116', '0', '8');
INSERT INTO public.who_import VALUES (89791, '2020-06-01', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '117', '0', '8');
INSERT INTO public.who_import VALUES (89792, '2020-06-02', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89793, '2020-06-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89794, '2020-06-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89795, '2020-06-05', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89796, '2020-06-06', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89797, '2020-06-07', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89798, '2020-06-08', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89799, '2020-06-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89800, '2020-06-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89801, '2020-06-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89802, '2020-06-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89803, '2020-06-13', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89804, '2020-06-14', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89805, '2020-06-15', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '117', '0', '8');
INSERT INTO public.who_import VALUES (89806, '2020-06-16', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '123', '0', '8');
INSERT INTO public.who_import VALUES (89807, '2020-06-17', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89808, '2020-06-18', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89809, '2020-06-19', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89810, '2020-06-20', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89811, '2020-06-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89812, '2020-06-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89813, '2020-06-23', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89814, '2020-06-24', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89815, '2020-06-25', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89816, '2020-06-26', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89817, '2020-06-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '123', '0', '8');
INSERT INTO public.who_import VALUES (89818, '2020-06-28', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '124', '0', '8');
INSERT INTO public.who_import VALUES (89819, '2020-06-29', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '126', '0', '8');
INSERT INTO public.who_import VALUES (89820, '2020-06-30', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '126', '0', '8');
INSERT INTO public.who_import VALUES (89821, '2020-07-01', 'TT', 'Trinidad and Tobago', 'AMRO', '4', '130', '0', '8');
INSERT INTO public.who_import VALUES (89822, '2020-07-02', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '130', '0', '8');
INSERT INTO public.who_import VALUES (89823, '2020-07-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '130', '0', '8');
INSERT INTO public.who_import VALUES (89824, '2020-07-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '130', '0', '8');
INSERT INTO public.who_import VALUES (89825, '2020-07-05', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '130', '0', '8');
INSERT INTO public.who_import VALUES (89826, '2020-07-06', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '131', '0', '8');
INSERT INTO public.who_import VALUES (89827, '2020-07-07', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '133', '0', '8');
INSERT INTO public.who_import VALUES (89828, '2020-07-08', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89829, '2020-07-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89830, '2020-07-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89831, '2020-07-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89832, '2020-07-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89833, '2020-07-13', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89834, '2020-07-14', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89835, '2020-07-15', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89836, '2020-07-16', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89837, '2020-07-17', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '133', '0', '8');
INSERT INTO public.who_import VALUES (89838, '2020-07-18', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '136', '0', '8');
INSERT INTO public.who_import VALUES (89839, '2020-07-19', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '136', '0', '8');
INSERT INTO public.who_import VALUES (89840, '2020-07-20', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '137', '0', '8');
INSERT INTO public.who_import VALUES (89841, '2020-07-21', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '137', '0', '8');
INSERT INTO public.who_import VALUES (89842, '2020-07-22', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '137', '0', '8');
INSERT INTO public.who_import VALUES (89843, '2020-07-23', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '140', '0', '8');
INSERT INTO public.who_import VALUES (89844, '2020-07-24', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '141', '0', '8');
INSERT INTO public.who_import VALUES (89845, '2020-07-25', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '142', '0', '8');
INSERT INTO public.who_import VALUES (89846, '2020-07-26', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '147', '0', '8');
INSERT INTO public.who_import VALUES (89847, '2020-07-27', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '147', '0', '8');
INSERT INTO public.who_import VALUES (89848, '2020-07-28', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '148', '0', '8');
INSERT INTO public.who_import VALUES (89849, '2020-07-29', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '153', '0', '8');
INSERT INTO public.who_import VALUES (89850, '2020-07-30', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '156', '0', '8');
INSERT INTO public.who_import VALUES (89851, '2020-07-31', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '157', '0', '8');
INSERT INTO public.who_import VALUES (89852, '2020-08-01', 'TT', 'Trinidad and Tobago', 'AMRO', '12', '169', '0', '8');
INSERT INTO public.who_import VALUES (89853, '2020-08-02', 'TT', 'Trinidad and Tobago', 'AMRO', '4', '173', '0', '8');
INSERT INTO public.who_import VALUES (89854, '2020-08-03', 'TT', 'Trinidad and Tobago', 'AMRO', '7', '180', '0', '8');
INSERT INTO public.who_import VALUES (89855, '2020-08-04', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '182', '0', '8');
INSERT INTO public.who_import VALUES (89856, '2020-08-05', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '192', '0', '8');
INSERT INTO public.who_import VALUES (89857, '2020-08-06', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '197', '0', '8');
INSERT INTO public.who_import VALUES (89858, '2020-08-07', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '207', '0', '8');
INSERT INTO public.who_import VALUES (89859, '2020-08-08', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '217', '0', '8');
INSERT INTO public.who_import VALUES (89860, '2020-08-09', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '225', '0', '8');
INSERT INTO public.who_import VALUES (89861, '2020-08-10', 'TT', 'Trinidad and Tobago', 'AMRO', '54', '279', '0', '8');
INSERT INTO public.who_import VALUES (89862, '2020-08-11', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '280', '0', '8');
INSERT INTO public.who_import VALUES (89863, '2020-08-12', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '295', '0', '8');
INSERT INTO public.who_import VALUES (89864, '2020-08-13', 'TT', 'Trinidad and Tobago', 'AMRO', '13', '308', '0', '8');
INSERT INTO public.who_import VALUES (89865, '2020-08-14', 'TT', 'Trinidad and Tobago', 'AMRO', '61', '369', '0', '8');
INSERT INTO public.who_import VALUES (89866, '2020-08-15', 'TT', 'Trinidad and Tobago', 'AMRO', '43', '412', '0', '8');
INSERT INTO public.who_import VALUES (89867, '2020-08-16', 'TT', 'Trinidad and Tobago', 'AMRO', '62', '474', '2', '10');
INSERT INTO public.who_import VALUES (89868, '2020-08-17', 'TT', 'Trinidad and Tobago', 'AMRO', '45', '519', '1', '11');
INSERT INTO public.who_import VALUES (89869, '2020-08-18', 'TT', 'Trinidad and Tobago', 'AMRO', '46', '565', '1', '12');
INSERT INTO public.who_import VALUES (89870, '2020-08-19', 'TT', 'Trinidad and Tobago', 'AMRO', '35', '600', '0', '12');
INSERT INTO public.who_import VALUES (89871, '2020-08-20', 'TT', 'Trinidad and Tobago', 'AMRO', '50', '650', '0', '12');
INSERT INTO public.who_import VALUES (89872, '2020-08-21', 'TT', 'Trinidad and Tobago', 'AMRO', '80', '730', '0', '12');
INSERT INTO public.who_import VALUES (89873, '2020-08-22', 'TT', 'Trinidad and Tobago', 'AMRO', '76', '806', '0', '12');
INSERT INTO public.who_import VALUES (89874, '2020-08-23', 'TT', 'Trinidad and Tobago', 'AMRO', '93', '899', '1', '13');
INSERT INTO public.who_import VALUES (89875, '2020-08-24', 'TT', 'Trinidad and Tobago', 'AMRO', '64', '963', '1', '14');
INSERT INTO public.who_import VALUES (89876, '2020-08-25', 'TT', 'Trinidad and Tobago', 'AMRO', '68', '1031', '1', '15');
INSERT INTO public.who_import VALUES (89877, '2020-08-26', 'TT', 'Trinidad and Tobago', 'AMRO', '153', '1184', '0', '15');
INSERT INTO public.who_import VALUES (89878, '2020-08-27', 'TT', 'Trinidad and Tobago', 'AMRO', '200', '1384', '0', '15');
INSERT INTO public.who_import VALUES (89879, '2020-08-28', 'TT', 'Trinidad and Tobago', 'AMRO', '45', '1429', '0', '15');
INSERT INTO public.who_import VALUES (89880, '2020-08-29', 'TT', 'Trinidad and Tobago', 'AMRO', '83', '1512', '2', '17');
INSERT INTO public.who_import VALUES (89881, '2020-08-30', 'TT', 'Trinidad and Tobago', 'AMRO', '65', '1577', '2', '19');
INSERT INTO public.who_import VALUES (89882, '2020-08-31', 'TT', 'Trinidad and Tobago', 'AMRO', '106', '1683', '2', '21');
INSERT INTO public.who_import VALUES (89883, '2020-09-01', 'TT', 'Trinidad and Tobago', 'AMRO', '44', '1727', '1', '22');
INSERT INTO public.who_import VALUES (89884, '2020-09-02', 'TT', 'Trinidad and Tobago', 'AMRO', '46', '1773', '3', '25');
INSERT INTO public.who_import VALUES (89885, '2020-09-03', 'TT', 'Trinidad and Tobago', 'AMRO', '66', '1839', '3', '28');
INSERT INTO public.who_import VALUES (89886, '2020-09-04', 'TT', 'Trinidad and Tobago', 'AMRO', '102', '1941', '0', '28');
INSERT INTO public.who_import VALUES (89887, '2020-09-05', 'TT', 'Trinidad and Tobago', 'AMRO', '89', '2030', '2', '30');
INSERT INTO public.who_import VALUES (89888, '2020-09-06', 'TT', 'Trinidad and Tobago', 'AMRO', '112', '2142', '2', '32');
INSERT INTO public.who_import VALUES (89889, '2020-09-07', 'TT', 'Trinidad and Tobago', 'AMRO', '92', '2234', '1', '33');
INSERT INTO public.who_import VALUES (89890, '2020-09-08', 'TT', 'Trinidad and Tobago', 'AMRO', '20', '2254', '2', '35');
INSERT INTO public.who_import VALUES (89891, '2020-09-09', 'TT', 'Trinidad and Tobago', 'AMRO', '93', '2347', '3', '38');
INSERT INTO public.who_import VALUES (89892, '2020-09-10', 'TT', 'Trinidad and Tobago', 'AMRO', '146', '2493', '1', '39');
INSERT INTO public.who_import VALUES (89893, '2020-09-11', 'TT', 'Trinidad and Tobago', 'AMRO', '170', '2663', '1', '40');
INSERT INTO public.who_import VALUES (89894, '2020-09-12', 'TT', 'Trinidad and Tobago', 'AMRO', '114', '2777', '5', '45');
INSERT INTO public.who_import VALUES (89895, '2020-09-13', 'TT', 'Trinidad and Tobago', 'AMRO', '115', '2892', '5', '50');
INSERT INTO public.who_import VALUES (89896, '2020-09-14', 'TT', 'Trinidad and Tobago', 'AMRO', '127', '3019', '3', '53');
INSERT INTO public.who_import VALUES (89897, '2020-09-15', 'TT', 'Trinidad and Tobago', 'AMRO', '72', '3091', '1', '54');
INSERT INTO public.who_import VALUES (89898, '2020-09-16', 'TT', 'Trinidad and Tobago', 'AMRO', '92', '3183', '2', '56');
INSERT INTO public.who_import VALUES (89899, '2020-09-17', 'TT', 'Trinidad and Tobago', 'AMRO', '110', '3293', '1', '57');
INSERT INTO public.who_import VALUES (89900, '2020-09-18', 'TT', 'Trinidad and Tobago', 'AMRO', '43', '3336', '1', '58');
INSERT INTO public.who_import VALUES (89901, '2020-09-19', 'TT', 'Trinidad and Tobago', 'AMRO', '176', '3512', '2', '60');
INSERT INTO public.who_import VALUES (89902, '2020-09-20', 'TT', 'Trinidad and Tobago', 'AMRO', '227', '3739', '0', '60');
INSERT INTO public.who_import VALUES (89903, '2020-09-21', 'TT', 'Trinidad and Tobago', 'AMRO', '127', '3866', '4', '64');
INSERT INTO public.who_import VALUES (89904, '2020-09-22', 'TT', 'Trinidad and Tobago', 'AMRO', '64', '3930', '1', '65');
INSERT INTO public.who_import VALUES (89905, '2020-09-23', 'TT', 'Trinidad and Tobago', 'AMRO', '44', '3974', '0', '65');
INSERT INTO public.who_import VALUES (89906, '2020-09-24', 'TT', 'Trinidad and Tobago', 'AMRO', '72', '4046', '2', '67');
INSERT INTO public.who_import VALUES (89907, '2020-09-25', 'TT', 'Trinidad and Tobago', 'AMRO', '176', '4222', '0', '67');
INSERT INTO public.who_import VALUES (89908, '2020-09-26', 'TT', 'Trinidad and Tobago', 'AMRO', '38', '4260', '2', '69');
INSERT INTO public.who_import VALUES (89909, '2020-09-27', 'TT', 'Trinidad and Tobago', 'AMRO', '25', '4285', '1', '70');
INSERT INTO public.who_import VALUES (89910, '2020-09-28', 'TT', 'Trinidad and Tobago', 'AMRO', '36', '4321', '0', '70');
INSERT INTO public.who_import VALUES (89911, '2020-09-29', 'TT', 'Trinidad and Tobago', 'AMRO', '61', '4382', '2', '72');
INSERT INTO public.who_import VALUES (89912, '2020-09-30', 'TT', 'Trinidad and Tobago', 'AMRO', '59', '4441', '2', '74');
INSERT INTO public.who_import VALUES (89913, '2020-10-01', 'TT', 'Trinidad and Tobago', 'AMRO', '76', '4517', '1', '75');
INSERT INTO public.who_import VALUES (89914, '2020-10-02', 'TT', 'Trinidad and Tobago', 'AMRO', '25', '4542', '1', '76');
INSERT INTO public.who_import VALUES (89915, '2020-10-03', 'TT', 'Trinidad and Tobago', 'AMRO', '71', '4613', '0', '76');
INSERT INTO public.who_import VALUES (89916, '2020-10-04', 'TT', 'Trinidad and Tobago', 'AMRO', '96', '4709', '2', '78');
INSERT INTO public.who_import VALUES (89917, '2020-10-05', 'TT', 'Trinidad and Tobago', 'AMRO', '32', '4741', '3', '81');
INSERT INTO public.who_import VALUES (89918, '2020-10-06', 'TT', 'Trinidad and Tobago', 'AMRO', '25', '4766', '0', '81');
INSERT INTO public.who_import VALUES (89919, '2020-10-07', 'TT', 'Trinidad and Tobago', 'AMRO', '52', '4818', '2', '83');
INSERT INTO public.who_import VALUES (89920, '2020-10-08', 'TT', 'Trinidad and Tobago', 'AMRO', '58', '4876', '1', '84');
INSERT INTO public.who_import VALUES (89921, '2020-10-09', 'TT', 'Trinidad and Tobago', 'AMRO', '11', '4887', '0', '84');
INSERT INTO public.who_import VALUES (89922, '2020-10-10', 'TT', 'Trinidad and Tobago', 'AMRO', '76', '4963', '2', '86');
INSERT INTO public.who_import VALUES (89923, '2020-10-11', 'TT', 'Trinidad and Tobago', 'AMRO', '80', '5043', '4', '90');
INSERT INTO public.who_import VALUES (89924, '2020-10-12', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '5043', '0', '90');
INSERT INTO public.who_import VALUES (89925, '2020-10-13', 'TT', 'Trinidad and Tobago', 'AMRO', '58', '5101', '0', '90');
INSERT INTO public.who_import VALUES (89926, '2020-10-14', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '5116', '2', '92');
INSERT INTO public.who_import VALUES (89927, '2020-10-15', 'TT', 'Trinidad and Tobago', 'AMRO', '11', '5127', '1', '93');
INSERT INTO public.who_import VALUES (89928, '2020-10-16', 'TT', 'Trinidad and Tobago', 'AMRO', '27', '5154', '0', '93');
INSERT INTO public.who_import VALUES (89929, '2020-10-17', 'TT', 'Trinidad and Tobago', 'AMRO', '40', '5194', '0', '93');
INSERT INTO public.who_import VALUES (89930, '2020-10-18', 'TT', 'Trinidad and Tobago', 'AMRO', '47', '5241', '2', '95');
INSERT INTO public.who_import VALUES (89931, '2020-10-19', 'TT', 'Trinidad and Tobago', 'AMRO', '40', '5281', '0', '95');
INSERT INTO public.who_import VALUES (89932, '2020-10-20', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '5297', '1', '96');
INSERT INTO public.who_import VALUES (89933, '2020-10-21', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '5298', '1', '97');
INSERT INTO public.who_import VALUES (89934, '2020-10-22', 'TT', 'Trinidad and Tobago', 'AMRO', '35', '5333', '1', '98');
INSERT INTO public.who_import VALUES (89935, '2020-10-23', 'TT', 'Trinidad and Tobago', 'AMRO', '59', '5392', '3', '101');
INSERT INTO public.who_import VALUES (89936, '2020-10-24', 'TT', 'Trinidad and Tobago', 'AMRO', '54', '5446', '2', '103');
INSERT INTO public.who_import VALUES (89937, '2020-10-25', 'TT', 'Trinidad and Tobago', 'AMRO', '41', '5487', '1', '104');
INSERT INTO public.who_import VALUES (89938, '2020-10-26', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '5503', '1', '105');
INSERT INTO public.who_import VALUES (89939, '2020-10-27', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '5511', '0', '105');
INSERT INTO public.who_import VALUES (89940, '2020-10-28', 'TT', 'Trinidad and Tobago', 'AMRO', '24', '5535', '1', '106');
INSERT INTO public.who_import VALUES (89941, '2020-10-29', 'TT', 'Trinidad and Tobago', 'AMRO', '33', '5568', '0', '106');
INSERT INTO public.who_import VALUES (89942, '2020-10-30', 'TT', 'Trinidad and Tobago', 'AMRO', '26', '5594', '1', '107');
INSERT INTO public.who_import VALUES (89943, '2020-10-31', 'TT', 'Trinidad and Tobago', 'AMRO', '42', '5636', '0', '107');
INSERT INTO public.who_import VALUES (89944, '2020-11-01', 'TT', 'Trinidad and Tobago', 'AMRO', '32', '5668', '0', '107');
INSERT INTO public.who_import VALUES (89945, '2020-11-02', 'TT', 'Trinidad and Tobago', 'AMRO', '36', '5704', '1', '108');
INSERT INTO public.who_import VALUES (89946, '2020-11-03', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '5704', '1', '109');
INSERT INTO public.who_import VALUES (89947, '2020-11-04', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '5704', '0', '109');
INSERT INTO public.who_import VALUES (89948, '2020-11-05', 'TT', 'Trinidad and Tobago', 'AMRO', '50', '5754', '1', '110');
INSERT INTO public.who_import VALUES (89949, '2020-11-06', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '5764', '0', '110');
INSERT INTO public.who_import VALUES (89950, '2020-11-07', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '5774', '1', '111');
INSERT INTO public.who_import VALUES (89951, '2020-11-08', 'TT', 'Trinidad and Tobago', 'AMRO', '24', '5798', '0', '111');
INSERT INTO public.who_import VALUES (89952, '2020-11-09', 'TT', 'Trinidad and Tobago', 'AMRO', '40', '5838', '0', '111');
INSERT INTO public.who_import VALUES (89953, '2020-11-10', 'TT', 'Trinidad and Tobago', 'AMRO', '11', '5849', '0', '111');
INSERT INTO public.who_import VALUES (89954, '2020-11-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '5849', '0', '111');
INSERT INTO public.who_import VALUES (89955, '2020-11-12', 'TT', 'Trinidad and Tobago', 'AMRO', '31', '5880', '0', '111');
INSERT INTO public.who_import VALUES (89956, '2020-11-13', 'TT', 'Trinidad and Tobago', 'AMRO', '24', '5904', '0', '111');
INSERT INTO public.who_import VALUES (89957, '2020-11-14', 'TT', 'Trinidad and Tobago', 'AMRO', '26', '5930', '0', '111');
INSERT INTO public.who_import VALUES (89958, '2020-11-15', 'TT', 'Trinidad and Tobago', 'AMRO', '50', '5980', '0', '111');
INSERT INTO public.who_import VALUES (89959, '2020-11-16', 'TT', 'Trinidad and Tobago', 'AMRO', '97', '6077', '1', '112');
INSERT INTO public.who_import VALUES (89960, '2020-11-17', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '6080', '0', '112');
INSERT INTO public.who_import VALUES (89961, '2020-11-18', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '6096', '0', '112');
INSERT INTO public.who_import VALUES (89962, '2020-11-19', 'TT', 'Trinidad and Tobago', 'AMRO', '39', '6135', '1', '113');
INSERT INTO public.who_import VALUES (89963, '2020-11-20', 'TT', 'Trinidad and Tobago', 'AMRO', '45', '6180', '0', '113');
INSERT INTO public.who_import VALUES (89964, '2020-11-21', 'TT', 'Trinidad and Tobago', 'AMRO', '53', '6233', '0', '113');
INSERT INTO public.who_import VALUES (89965, '2020-11-22', 'TT', 'Trinidad and Tobago', 'AMRO', '28', '6261', '0', '113');
INSERT INTO public.who_import VALUES (89966, '2020-11-23', 'TT', 'Trinidad and Tobago', 'AMRO', '63', '6324', '2', '115');
INSERT INTO public.who_import VALUES (89967, '2020-11-24', 'TT', 'Trinidad and Tobago', 'AMRO', '126', '6450', '0', '115');
INSERT INTO public.who_import VALUES (89968, '2020-11-25', 'TT', 'Trinidad and Tobago', 'AMRO', '25', '6475', '0', '115');
INSERT INTO public.who_import VALUES (89969, '2020-11-26', 'TT', 'Trinidad and Tobago', 'AMRO', '13', '6488', '0', '115');
INSERT INTO public.who_import VALUES (89970, '2020-11-27', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '6503', '1', '116');
INSERT INTO public.who_import VALUES (89971, '2020-11-28', 'TT', 'Trinidad and Tobago', 'AMRO', '67', '6570', '0', '116');
INSERT INTO public.who_import VALUES (89972, '2020-11-29', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '6586', '2', '118');
INSERT INTO public.who_import VALUES (89973, '2020-11-30', 'TT', 'Trinidad and Tobago', 'AMRO', '44', '6630', '0', '118');
INSERT INTO public.who_import VALUES (89974, '2020-12-01', 'TT', 'Trinidad and Tobago', 'AMRO', '30', '6660', '2', '120');
INSERT INTO public.who_import VALUES (89975, '2020-12-02', 'TT', 'Trinidad and Tobago', 'AMRO', '9', '6669', '0', '120');
INSERT INTO public.who_import VALUES (89976, '2020-12-03', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '6685', '0', '120');
INSERT INTO public.who_import VALUES (89977, '2020-12-04', 'TT', 'Trinidad and Tobago', 'AMRO', '19', '6704', '1', '121');
INSERT INTO public.who_import VALUES (89978, '2020-12-05', 'TT', 'Trinidad and Tobago', 'AMRO', '21', '6725', '0', '121');
INSERT INTO public.who_import VALUES (89979, '2020-12-06', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '6735', '0', '121');
INSERT INTO public.who_import VALUES (89980, '2020-12-07', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '6751', '1', '122');
INSERT INTO public.who_import VALUES (89981, '2020-12-08', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '6767', '0', '122');
INSERT INTO public.who_import VALUES (89982, '2020-12-09', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '6775', '0', '122');
INSERT INTO public.who_import VALUES (89983, '2020-12-10', 'TT', 'Trinidad and Tobago', 'AMRO', '33', '6808', '0', '122');
INSERT INTO public.who_import VALUES (89984, '2020-12-11', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '6808', '0', '122');
INSERT INTO public.who_import VALUES (89985, '2020-12-12', 'TT', 'Trinidad and Tobago', 'AMRO', '25', '6833', '0', '122');
INSERT INTO public.who_import VALUES (89986, '2020-12-13', 'TT', 'Trinidad and Tobago', 'AMRO', '19', '6852', '0', '122');
INSERT INTO public.who_import VALUES (89987, '2020-12-14', 'TT', 'Trinidad and Tobago', 'AMRO', '12', '6864', '0', '122');
INSERT INTO public.who_import VALUES (89988, '2020-12-15', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '6879', '0', '122');
INSERT INTO public.who_import VALUES (89989, '2020-12-16', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '6885', '1', '123');
INSERT INTO public.who_import VALUES (89990, '2020-12-17', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '6900', '0', '123');
INSERT INTO public.who_import VALUES (89991, '2020-12-18', 'TT', 'Trinidad and Tobago', 'AMRO', '17', '6917', '0', '123');
INSERT INTO public.who_import VALUES (89992, '2020-12-19', 'TT', 'Trinidad and Tobago', 'AMRO', '23', '6940', '0', '123');
INSERT INTO public.who_import VALUES (89993, '2020-12-20', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '6955', '0', '123');
INSERT INTO public.who_import VALUES (89994, '2020-12-21', 'TT', 'Trinidad and Tobago', 'AMRO', '19', '6974', '0', '123');
INSERT INTO public.who_import VALUES (89995, '2020-12-22', 'TT', 'Trinidad and Tobago', 'AMRO', '26', '7000', '0', '123');
INSERT INTO public.who_import VALUES (89996, '2020-12-23', 'TT', 'Trinidad and Tobago', 'AMRO', '12', '7012', '2', '125');
INSERT INTO public.who_import VALUES (89997, '2020-12-24', 'TT', 'Trinidad and Tobago', 'AMRO', '12', '7024', '0', '125');
INSERT INTO public.who_import VALUES (89998, '2020-12-25', 'TT', 'Trinidad and Tobago', 'AMRO', '47', '7071', '0', '125');
INSERT INTO public.who_import VALUES (89999, '2020-12-26', 'TT', 'Trinidad and Tobago', 'AMRO', '18', '7089', '0', '125');
INSERT INTO public.who_import VALUES (90000, '2020-12-27', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '7097', '0', '125');
INSERT INTO public.who_import VALUES (90001, '2020-12-28', 'TT', 'Trinidad and Tobago', 'AMRO', '7', '7104', '0', '125');
INSERT INTO public.who_import VALUES (90002, '2020-12-29', 'TT', 'Trinidad and Tobago', 'AMRO', '11', '7115', '0', '125');
INSERT INTO public.who_import VALUES (90003, '2020-12-30', 'TT', 'Trinidad and Tobago', 'AMRO', '12', '7127', '0', '125');
INSERT INTO public.who_import VALUES (90004, '2020-12-31', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '7132', '1', '126');
INSERT INTO public.who_import VALUES (90005, '2021-01-01', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '7132', '0', '126');
INSERT INTO public.who_import VALUES (90006, '2021-01-02', 'TT', 'Trinidad and Tobago', 'AMRO', '18', '7150', '1', '127');
INSERT INTO public.who_import VALUES (90007, '2021-01-03', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '7158', '0', '127');
INSERT INTO public.who_import VALUES (90008, '2021-01-04', 'TT', 'Trinidad and Tobago', 'AMRO', '4', '7162', '0', '127');
INSERT INTO public.who_import VALUES (90009, '2021-01-05', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '7168', '0', '127');
INSERT INTO public.who_import VALUES (90010, '2021-01-06', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '7178', '0', '127');
INSERT INTO public.who_import VALUES (90011, '2021-01-07', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '7186', '0', '127');
INSERT INTO public.who_import VALUES (90012, '2021-01-08', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '7196', '0', '127');
INSERT INTO public.who_import VALUES (90013, '2021-01-09', 'TT', 'Trinidad and Tobago', 'AMRO', '14', '7210', '0', '127');
INSERT INTO public.who_import VALUES (90014, '2021-01-10', 'TT', 'Trinidad and Tobago', 'AMRO', '9', '7219', '0', '127');
INSERT INTO public.who_import VALUES (90015, '2021-01-11', 'TT', 'Trinidad and Tobago', 'AMRO', '25', '7244', '1', '128');
INSERT INTO public.who_import VALUES (90016, '2021-01-12', 'TT', 'Trinidad and Tobago', 'AMRO', '21', '7265', '0', '128');
INSERT INTO public.who_import VALUES (90017, '2021-01-13', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '7273', '0', '128');
INSERT INTO public.who_import VALUES (90018, '2021-01-14', 'TT', 'Trinidad and Tobago', 'AMRO', '13', '7286', '0', '128');
INSERT INTO public.who_import VALUES (90019, '2021-01-15', 'TT', 'Trinidad and Tobago', 'AMRO', '19', '7305', '1', '129');
INSERT INTO public.who_import VALUES (90020, '2021-01-16', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '7320', '1', '130');
INSERT INTO public.who_import VALUES (90021, '2021-01-17', 'TT', 'Trinidad and Tobago', 'AMRO', '23', '7343', '0', '130');
INSERT INTO public.who_import VALUES (90022, '2021-01-18', 'TT', 'Trinidad and Tobago', 'AMRO', '27', '7370', '1', '131');
INSERT INTO public.who_import VALUES (90023, '2021-01-19', 'TT', 'Trinidad and Tobago', 'AMRO', '23', '7393', '1', '132');
INSERT INTO public.who_import VALUES (90024, '2021-01-20', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '7399', '0', '132');
INSERT INTO public.who_import VALUES (90025, '2021-01-21', 'TT', 'Trinidad and Tobago', 'AMRO', '16', '7415', '0', '132');
INSERT INTO public.who_import VALUES (90026, '2021-01-22', 'TT', 'Trinidad and Tobago', 'AMRO', '15', '7430', '1', '133');
INSERT INTO public.who_import VALUES (90027, '2021-01-23', 'TT', 'Trinidad and Tobago', 'AMRO', '20', '7450', '0', '133');
INSERT INTO public.who_import VALUES (90028, '2021-01-24', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '7456', '0', '133');
INSERT INTO public.who_import VALUES (90029, '2021-01-25', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '7462', '1', '134');
INSERT INTO public.who_import VALUES (90030, '2021-01-26', 'TT', 'Trinidad and Tobago', 'AMRO', '11', '7473', '0', '134');
INSERT INTO public.who_import VALUES (90031, '2021-01-27', 'TT', 'Trinidad and Tobago', 'AMRO', '17', '7490', '0', '134');
INSERT INTO public.who_import VALUES (90032, '2021-01-28', 'TT', 'Trinidad and Tobago', 'AMRO', '6', '7496', '0', '134');
INSERT INTO public.who_import VALUES (90033, '2021-01-29', 'TT', 'Trinidad and Tobago', 'AMRO', '13', '7509', '0', '134');
INSERT INTO public.who_import VALUES (90034, '2021-01-30', 'TT', 'Trinidad and Tobago', 'AMRO', '11', '7520', '0', '134');
INSERT INTO public.who_import VALUES (90035, '2021-01-31', 'TT', 'Trinidad and Tobago', 'AMRO', '13', '7533', '0', '134');
INSERT INTO public.who_import VALUES (90036, '2021-02-01', 'TT', 'Trinidad and Tobago', 'AMRO', '9', '7542', '0', '134');
INSERT INTO public.who_import VALUES (90037, '2021-02-02', 'TT', 'Trinidad and Tobago', 'AMRO', '22', '7564', '0', '134');
INSERT INTO public.who_import VALUES (90038, '2021-02-03', 'TT', 'Trinidad and Tobago', 'AMRO', '2', '7566', '0', '134');
INSERT INTO public.who_import VALUES (90039, '2021-02-04', 'TT', 'Trinidad and Tobago', 'AMRO', '12', '7578', '0', '134');
INSERT INTO public.who_import VALUES (90040, '2021-02-05', 'TT', 'Trinidad and Tobago', 'AMRO', '8', '7586', '1', '135');
INSERT INTO public.who_import VALUES (90041, '2021-02-06', 'TT', 'Trinidad and Tobago', 'AMRO', '21', '7607', '0', '135');
INSERT INTO public.who_import VALUES (90042, '2021-02-07', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '7607', '0', '135');
INSERT INTO public.who_import VALUES (90043, '2021-02-08', 'TT', 'Trinidad and Tobago', 'AMRO', '9', '7616', '0', '135');
INSERT INTO public.who_import VALUES (90044, '2021-02-09', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '7616', '0', '135');
INSERT INTO public.who_import VALUES (90045, '2021-02-10', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '7616', '0', '135');
INSERT INTO public.who_import VALUES (90046, '2021-02-11', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '7617', '1', '136');
INSERT INTO public.who_import VALUES (90047, '2021-02-12', 'TT', 'Trinidad and Tobago', 'AMRO', '14', '7631', '0', '136');
INSERT INTO public.who_import VALUES (90048, '2021-02-13', 'TT', 'Trinidad and Tobago', 'AMRO', '1', '7632', '0', '136');
INSERT INTO public.who_import VALUES (90049, '2021-02-14', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '7637', '1', '137');
INSERT INTO public.who_import VALUES (90050, '2021-02-15', 'TT', 'Trinidad and Tobago', 'AMRO', '5', '7642', '1', '138');
INSERT INTO public.who_import VALUES (90051, '2021-02-16', 'TT', 'Trinidad and Tobago', 'AMRO', '0', '7642', '0', '138');
INSERT INTO public.who_import VALUES (90052, '2021-02-17', 'TT', 'Trinidad and Tobago', 'AMRO', '4', '7646', '0', '138');
INSERT INTO public.who_import VALUES (90053, '2021-02-18', 'TT', 'Trinidad and Tobago', 'AMRO', '10', '7656', '0', '138');
INSERT INTO public.who_import VALUES (90054, '2021-02-19', 'TT', 'Trinidad and Tobago', 'AMRO', '7', '7663', '0', '138');
INSERT INTO public.who_import VALUES (90055, '2021-02-20', 'TT', 'Trinidad and Tobago', 'AMRO', '3', '7666', '0', '138');
INSERT INTO public.who_import VALUES (90056, '2020-01-03', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90057, '2020-01-04', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90058, '2020-01-05', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90059, '2020-01-06', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90060, '2020-01-07', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90061, '2020-01-08', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90062, '2020-01-09', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90063, '2020-01-10', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90064, '2020-01-11', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90065, '2020-01-12', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90066, '2020-01-13', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90067, '2020-01-14', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90068, '2020-01-15', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90069, '2020-01-16', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90070, '2020-01-17', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90071, '2020-01-18', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90072, '2020-01-19', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90073, '2020-01-20', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90074, '2020-01-21', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90075, '2020-01-22', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90076, '2020-01-23', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90077, '2020-01-24', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90078, '2020-01-25', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90079, '2020-01-26', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90080, '2020-01-27', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90081, '2020-01-28', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90082, '2020-01-29', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90083, '2020-01-30', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90084, '2020-01-31', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90085, '2020-02-01', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90086, '2020-02-02', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90087, '2020-02-03', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90088, '2020-02-04', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90089, '2020-02-05', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90090, '2020-02-06', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90091, '2020-02-07', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90092, '2020-02-08', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90093, '2020-02-09', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90094, '2020-02-10', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90095, '2020-02-11', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90096, '2020-02-12', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90097, '2020-02-13', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90098, '2020-02-14', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90099, '2020-02-15', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90100, '2020-02-16', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90101, '2020-02-17', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90102, '2020-02-18', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90103, '2020-02-19', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90104, '2020-02-20', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90105, '2020-02-21', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90106, '2020-02-22', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90107, '2020-02-23', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90108, '2020-02-24', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90109, '2020-02-25', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90110, '2020-02-26', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90111, '2020-02-27', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90112, '2020-02-28', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90113, '2020-02-29', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90114, '2020-03-01', 'TN', 'Tunisia', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90115, '2020-03-02', 'TN', 'Tunisia', 'EMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (90116, '2020-03-03', 'TN', 'Tunisia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (90117, '2020-03-04', 'TN', 'Tunisia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (90118, '2020-03-05', 'TN', 'Tunisia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (90119, '2020-03-06', 'TN', 'Tunisia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (90120, '2020-03-07', 'TN', 'Tunisia', 'EMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (90121, '2020-03-08', 'TN', 'Tunisia', 'EMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (90122, '2020-03-09', 'TN', 'Tunisia', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (90123, '2020-03-10', 'TN', 'Tunisia', 'EMRO', '4', '10', '0', '0');
INSERT INTO public.who_import VALUES (90124, '2020-03-11', 'TN', 'Tunisia', 'EMRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (90125, '2020-03-12', 'TN', 'Tunisia', 'EMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (90126, '2020-03-13', 'TN', 'Tunisia', 'EMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (90127, '2020-03-14', 'TN', 'Tunisia', 'EMRO', '9', '20', '0', '0');
INSERT INTO public.who_import VALUES (90128, '2020-03-15', 'TN', 'Tunisia', 'EMRO', '2', '22', '0', '0');
INSERT INTO public.who_import VALUES (90129, '2020-03-16', 'TN', 'Tunisia', 'EMRO', '2', '24', '0', '0');
INSERT INTO public.who_import VALUES (90130, '2020-03-17', 'TN', 'Tunisia', 'EMRO', '4', '28', '0', '0');
INSERT INTO public.who_import VALUES (90131, '2020-03-18', 'TN', 'Tunisia', 'EMRO', '5', '33', '0', '0');
INSERT INTO public.who_import VALUES (90132, '2020-03-19', 'TN', 'Tunisia', 'EMRO', '6', '39', '0', '0');
INSERT INTO public.who_import VALUES (90133, '2020-03-20', 'TN', 'Tunisia', 'EMRO', '15', '54', '1', '1');
INSERT INTO public.who_import VALUES (90134, '2020-03-21', 'TN', 'Tunisia', 'EMRO', '6', '60', '0', '1');
INSERT INTO public.who_import VALUES (90135, '2020-03-22', 'TN', 'Tunisia', 'EMRO', '15', '75', '2', '3');
INSERT INTO public.who_import VALUES (90136, '2020-03-23', 'TN', 'Tunisia', 'EMRO', '14', '89', '0', '3');
INSERT INTO public.who_import VALUES (90137, '2020-03-24', 'TN', 'Tunisia', 'EMRO', '25', '114', '0', '3');
INSERT INTO public.who_import VALUES (90138, '2020-03-25', 'TN', 'Tunisia', 'EMRO', '59', '173', '2', '5');
INSERT INTO public.who_import VALUES (90139, '2020-03-26', 'TN', 'Tunisia', 'EMRO', '0', '173', '0', '5');
INSERT INTO public.who_import VALUES (90140, '2020-03-27', 'TN', 'Tunisia', 'EMRO', '54', '227', '1', '6');
INSERT INTO public.who_import VALUES (90141, '2020-03-28', 'TN', 'Tunisia', 'EMRO', '0', '227', '0', '6');
INSERT INTO public.who_import VALUES (90142, '2020-03-29', 'TN', 'Tunisia', 'EMRO', '51', '278', '2', '8');
INSERT INTO public.who_import VALUES (90143, '2020-03-30', 'TN', 'Tunisia', 'EMRO', '34', '312', '0', '8');
INSERT INTO public.who_import VALUES (90144, '2020-03-31', 'TN', 'Tunisia', 'EMRO', '50', '362', '1', '9');
INSERT INTO public.who_import VALUES (90145, '2020-04-01', 'TN', 'Tunisia', 'EMRO', '32', '394', '1', '10');
INSERT INTO public.who_import VALUES (90146, '2020-04-02', 'TN', 'Tunisia', 'EMRO', '61', '455', '3', '13');
INSERT INTO public.who_import VALUES (90147, '2020-04-03', 'TN', 'Tunisia', 'EMRO', '40', '495', '5', '18');
INSERT INTO public.who_import VALUES (90148, '2020-04-04', 'TN', 'Tunisia', 'EMRO', '0', '495', '0', '18');
INSERT INTO public.who_import VALUES (90149, '2020-04-05', 'TN', 'Tunisia', 'EMRO', '58', '553', '1', '19');
INSERT INTO public.who_import VALUES (90150, '2020-04-06', 'TN', 'Tunisia', 'EMRO', '21', '574', '3', '22');
INSERT INTO public.who_import VALUES (90151, '2020-04-07', 'TN', 'Tunisia', 'EMRO', '22', '596', '0', '22');
INSERT INTO public.who_import VALUES (90152, '2020-04-08', 'TN', 'Tunisia', 'EMRO', '27', '623', '1', '23');
INSERT INTO public.who_import VALUES (90153, '2020-04-09', 'TN', 'Tunisia', 'EMRO', '5', '628', '1', '24');
INSERT INTO public.who_import VALUES (90154, '2020-04-10', 'TN', 'Tunisia', 'EMRO', '15', '643', '1', '25');
INSERT INTO public.who_import VALUES (90155, '2020-04-11', 'TN', 'Tunisia', 'EMRO', '28', '671', '0', '25');
INSERT INTO public.who_import VALUES (90156, '2020-04-12', 'TN', 'Tunisia', 'EMRO', '14', '685', '3', '28');
INSERT INTO public.who_import VALUES (90157, '2020-04-13', 'TN', 'Tunisia', 'EMRO', '22', '707', '3', '31');
INSERT INTO public.who_import VALUES (90158, '2020-04-14', 'TN', 'Tunisia', 'EMRO', '19', '726', '3', '34');
INSERT INTO public.who_import VALUES (90159, '2020-04-15', 'TN', 'Tunisia', 'EMRO', '21', '747', '0', '34');
INSERT INTO public.who_import VALUES (90160, '2020-04-16', 'TN', 'Tunisia', 'EMRO', '33', '780', '1', '35');
INSERT INTO public.who_import VALUES (90161, '2020-04-17', 'TN', 'Tunisia', 'EMRO', '42', '822', '2', '37');
INSERT INTO public.who_import VALUES (90162, '2020-04-18', 'TN', 'Tunisia', 'EMRO', '42', '864', '0', '37');
INSERT INTO public.who_import VALUES (90163, '2020-04-19', 'TN', 'Tunisia', 'EMRO', '2', '866', '0', '37');
INSERT INTO public.who_import VALUES (90164, '2020-04-20', 'TN', 'Tunisia', 'EMRO', '13', '879', '1', '38');
INSERT INTO public.who_import VALUES (90165, '2020-04-21', 'TN', 'Tunisia', 'EMRO', '5', '884', '0', '38');
INSERT INTO public.who_import VALUES (90166, '2020-04-22', 'TN', 'Tunisia', 'EMRO', '17', '901', '0', '38');
INSERT INTO public.who_import VALUES (90167, '2020-04-23', 'TN', 'Tunisia', 'EMRO', '8', '909', '0', '38');
INSERT INTO public.who_import VALUES (90168, '2020-04-24', 'TN', 'Tunisia', 'EMRO', '9', '918', '0', '38');
INSERT INTO public.who_import VALUES (90169, '2020-04-25', 'TN', 'Tunisia', 'EMRO', '4', '922', '0', '38');
INSERT INTO public.who_import VALUES (90170, '2020-04-26', 'TN', 'Tunisia', 'EMRO', '17', '939', '0', '38');
INSERT INTO public.who_import VALUES (90171, '2020-04-27', 'TN', 'Tunisia', 'EMRO', '10', '949', '0', '38');
INSERT INTO public.who_import VALUES (90172, '2020-04-28', 'TN', 'Tunisia', 'EMRO', '18', '967', '1', '39');
INSERT INTO public.who_import VALUES (90173, '2020-04-29', 'TN', 'Tunisia', 'EMRO', '8', '975', '1', '40');
INSERT INTO public.who_import VALUES (90174, '2020-04-30', 'TN', 'Tunisia', 'EMRO', '5', '980', '0', '40');
INSERT INTO public.who_import VALUES (90175, '2020-05-01', 'TN', 'Tunisia', 'EMRO', '14', '994', '1', '41');
INSERT INTO public.who_import VALUES (90176, '2020-05-02', 'TN', 'Tunisia', 'EMRO', '4', '998', '0', '41');
INSERT INTO public.who_import VALUES (90177, '2020-05-03', 'TN', 'Tunisia', 'EMRO', '11', '1009', '1', '42');
INSERT INTO public.who_import VALUES (90178, '2020-05-04', 'TN', 'Tunisia', 'EMRO', '4', '1013', '0', '42');
INSERT INTO public.who_import VALUES (90179, '2020-05-05', 'TN', 'Tunisia', 'EMRO', '5', '1018', '1', '43');
INSERT INTO public.who_import VALUES (90180, '2020-05-06', 'TN', 'Tunisia', 'EMRO', '4', '1022', '0', '43');
INSERT INTO public.who_import VALUES (90181, '2020-05-07', 'TN', 'Tunisia', 'EMRO', '3', '1025', '0', '43');
INSERT INTO public.who_import VALUES (90182, '2020-05-08', 'TN', 'Tunisia', 'EMRO', '1', '1026', '1', '44');
INSERT INTO public.who_import VALUES (90183, '2020-05-09', 'TN', 'Tunisia', 'EMRO', '4', '1030', '1', '45');
INSERT INTO public.who_import VALUES (90184, '2020-05-10', 'TN', 'Tunisia', 'EMRO', '2', '1032', '0', '45');
INSERT INTO public.who_import VALUES (90185, '2020-05-11', 'TN', 'Tunisia', 'EMRO', '0', '1032', '0', '45');
INSERT INTO public.who_import VALUES (90186, '2020-05-12', 'TN', 'Tunisia', 'EMRO', '0', '1032', '0', '45');
INSERT INTO public.who_import VALUES (90187, '2020-05-13', 'TN', 'Tunisia', 'EMRO', '0', '1032', '0', '45');
INSERT INTO public.who_import VALUES (90188, '2020-05-14', 'TN', 'Tunisia', 'EMRO', '0', '1032', '0', '45');
INSERT INTO public.who_import VALUES (90189, '2020-05-15', 'TN', 'Tunisia', 'EMRO', '0', '1032', '0', '45');
INSERT INTO public.who_import VALUES (90190, '2020-05-16', 'TN', 'Tunisia', 'EMRO', '3', '1035', '0', '45');
INSERT INTO public.who_import VALUES (90191, '2020-05-17', 'TN', 'Tunisia', 'EMRO', '2', '1037', '0', '45');
INSERT INTO public.who_import VALUES (90192, '2020-05-18', 'TN', 'Tunisia', 'EMRO', '0', '1037', '0', '45');
INSERT INTO public.who_import VALUES (90193, '2020-05-19', 'TN', 'Tunisia', 'EMRO', '6', '1043', '1', '46');
INSERT INTO public.who_import VALUES (90194, '2020-05-20', 'TN', 'Tunisia', 'EMRO', '1', '1044', '1', '47');
INSERT INTO public.who_import VALUES (90195, '2020-05-21', 'TN', 'Tunisia', 'EMRO', '1', '1045', '0', '47');
INSERT INTO public.who_import VALUES (90196, '2020-05-22', 'TN', 'Tunisia', 'EMRO', '1', '1046', '0', '47');
INSERT INTO public.who_import VALUES (90197, '2020-05-23', 'TN', 'Tunisia', 'EMRO', '2', '1048', '0', '47');
INSERT INTO public.who_import VALUES (90198, '2020-05-24', 'TN', 'Tunisia', 'EMRO', '0', '1048', '1', '48');
INSERT INTO public.who_import VALUES (90199, '2020-05-25', 'TN', 'Tunisia', 'EMRO', '3', '1051', '0', '48');
INSERT INTO public.who_import VALUES (90200, '2020-05-26', 'TN', 'Tunisia', 'EMRO', '0', '1051', '0', '48');
INSERT INTO public.who_import VALUES (90201, '2020-05-27', 'TN', 'Tunisia', 'EMRO', '0', '1051', '0', '48');
INSERT INTO public.who_import VALUES (90202, '2020-05-28', 'TN', 'Tunisia', 'EMRO', '17', '1068', '0', '48');
INSERT INTO public.who_import VALUES (90203, '2020-05-29', 'TN', 'Tunisia', 'EMRO', '3', '1071', '0', '48');
INSERT INTO public.who_import VALUES (90204, '2020-05-30', 'TN', 'Tunisia', 'EMRO', '5', '1076', '0', '48');
INSERT INTO public.who_import VALUES (90205, '2020-05-31', 'TN', 'Tunisia', 'EMRO', '1', '1077', '0', '48');
INSERT INTO public.who_import VALUES (90206, '2020-06-01', 'TN', 'Tunisia', 'EMRO', '7', '1084', '0', '48');
INSERT INTO public.who_import VALUES (90207, '2020-06-02', 'TN', 'Tunisia', 'EMRO', '2', '1086', '0', '48');
INSERT INTO public.who_import VALUES (90208, '2020-06-03', 'TN', 'Tunisia', 'EMRO', '1', '1087', '1', '49');
INSERT INTO public.who_import VALUES (90209, '2020-06-04', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90210, '2020-06-05', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90211, '2020-06-06', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90212, '2020-06-07', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90213, '2020-06-08', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90214, '2020-06-09', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90215, '2020-06-10', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90216, '2020-06-11', 'TN', 'Tunisia', 'EMRO', '0', '1087', '0', '49');
INSERT INTO public.who_import VALUES (90217, '2020-06-12', 'TN', 'Tunisia', 'EMRO', '6', '1093', '0', '49');
INSERT INTO public.who_import VALUES (90218, '2020-06-13', 'TN', 'Tunisia', 'EMRO', '1', '1094', '0', '49');
INSERT INTO public.who_import VALUES (90219, '2020-06-14', 'TN', 'Tunisia', 'EMRO', '2', '1096', '0', '49');
INSERT INTO public.who_import VALUES (90220, '2020-06-15', 'TN', 'Tunisia', 'EMRO', '14', '1110', '0', '49');
INSERT INTO public.who_import VALUES (90221, '2020-06-16', 'TN', 'Tunisia', 'EMRO', '15', '1125', '0', '49');
INSERT INTO public.who_import VALUES (90222, '2020-06-17', 'TN', 'Tunisia', 'EMRO', '3', '1128', '1', '50');
INSERT INTO public.who_import VALUES (90223, '2020-06-18', 'TN', 'Tunisia', 'EMRO', '4', '1132', '0', '50');
INSERT INTO public.who_import VALUES (90224, '2020-06-19', 'TN', 'Tunisia', 'EMRO', '14', '1146', '0', '50');
INSERT INTO public.who_import VALUES (90225, '2020-06-20', 'TN', 'Tunisia', 'EMRO', '10', '1156', '0', '50');
INSERT INTO public.who_import VALUES (90226, '2020-06-21', 'TN', 'Tunisia', 'EMRO', '1', '1157', '0', '50');
INSERT INTO public.who_import VALUES (90227, '2020-06-22', 'TN', 'Tunisia', 'EMRO', '2', '1159', '0', '50');
INSERT INTO public.who_import VALUES (90228, '2020-06-23', 'TN', 'Tunisia', 'EMRO', '0', '1159', '0', '50');
INSERT INTO public.who_import VALUES (90229, '2020-06-24', 'TN', 'Tunisia', 'EMRO', '1', '1160', '0', '50');
INSERT INTO public.who_import VALUES (90230, '2020-06-25', 'TN', 'Tunisia', 'EMRO', '2', '1162', '0', '50');
INSERT INTO public.who_import VALUES (90231, '2020-06-26', 'TN', 'Tunisia', 'EMRO', '2', '1164', '0', '50');
INSERT INTO public.who_import VALUES (90232, '2020-06-27', 'TN', 'Tunisia', 'EMRO', '4', '1168', '0', '50');
INSERT INTO public.who_import VALUES (90233, '2020-06-28', 'TN', 'Tunisia', 'EMRO', '1', '1169', '0', '50');
INSERT INTO public.who_import VALUES (90234, '2020-06-29', 'TN', 'Tunisia', 'EMRO', '3', '1172', '0', '50');
INSERT INTO public.who_import VALUES (90235, '2020-06-30', 'TN', 'Tunisia', 'EMRO', '2', '1174', '0', '50');
INSERT INTO public.who_import VALUES (90236, '2020-07-01', 'TN', 'Tunisia', 'EMRO', '1', '1175', '0', '50');
INSERT INTO public.who_import VALUES (90237, '2020-07-02', 'TN', 'Tunisia', 'EMRO', '3', '1178', '0', '50');
INSERT INTO public.who_import VALUES (90238, '2020-07-03', 'TN', 'Tunisia', 'EMRO', '3', '1181', '0', '50');
INSERT INTO public.who_import VALUES (90239, '2020-07-04', 'TN', 'Tunisia', 'EMRO', '5', '1186', '0', '50');
INSERT INTO public.who_import VALUES (90240, '2020-07-05', 'TN', 'Tunisia', 'EMRO', '2', '1188', '0', '50');
INSERT INTO public.who_import VALUES (90241, '2020-07-06', 'TN', 'Tunisia', 'EMRO', '11', '1199', '0', '50');
INSERT INTO public.who_import VALUES (90242, '2020-07-07', 'TN', 'Tunisia', 'EMRO', '6', '1205', '0', '50');
INSERT INTO public.who_import VALUES (90243, '2020-07-08', 'TN', 'Tunisia', 'EMRO', '16', '1221', '0', '50');
INSERT INTO public.who_import VALUES (90244, '2020-07-09', 'TN', 'Tunisia', 'EMRO', '10', '1231', '0', '50');
INSERT INTO public.who_import VALUES (90245, '2020-07-10', 'TN', 'Tunisia', 'EMRO', '9', '1240', '0', '50');
INSERT INTO public.who_import VALUES (90246, '2020-07-11', 'TN', 'Tunisia', 'EMRO', '5', '1245', '0', '50');
INSERT INTO public.who_import VALUES (90247, '2020-07-12', 'TN', 'Tunisia', 'EMRO', '18', '1263', '0', '50');
INSERT INTO public.who_import VALUES (90248, '2020-07-13', 'TN', 'Tunisia', 'EMRO', '39', '1302', '0', '50');
INSERT INTO public.who_import VALUES (90249, '2020-07-14', 'TN', 'Tunisia', 'EMRO', '4', '1306', '0', '50');
INSERT INTO public.who_import VALUES (90250, '2020-07-15', 'TN', 'Tunisia', 'EMRO', '13', '1319', '0', '50');
INSERT INTO public.who_import VALUES (90251, '2020-07-16', 'TN', 'Tunisia', 'EMRO', '8', '1327', '0', '50');
INSERT INTO public.who_import VALUES (90252, '2020-07-17', 'TN', 'Tunisia', 'EMRO', '9', '1336', '0', '50');
INSERT INTO public.who_import VALUES (90253, '2020-07-18', 'TN', 'Tunisia', 'EMRO', '12', '1348', '0', '50');
INSERT INTO public.who_import VALUES (90254, '2020-07-19', 'TN', 'Tunisia', 'EMRO', '26', '1374', '0', '50');
INSERT INTO public.who_import VALUES (90255, '2020-07-20', 'TN', 'Tunisia', 'EMRO', '7', '1381', '0', '50');
INSERT INTO public.who_import VALUES (90256, '2020-07-21', 'TN', 'Tunisia', 'EMRO', '8', '1389', '0', '50');
INSERT INTO public.who_import VALUES (90257, '2020-07-22', 'TN', 'Tunisia', 'EMRO', '5', '1394', '0', '50');
INSERT INTO public.who_import VALUES (90258, '2020-07-23', 'TN', 'Tunisia', 'EMRO', '12', '1406', '0', '50');
INSERT INTO public.who_import VALUES (90259, '2020-07-24', 'TN', 'Tunisia', 'EMRO', '19', '1425', '0', '50');
INSERT INTO public.who_import VALUES (90260, '2020-07-25', 'TN', 'Tunisia', 'EMRO', '18', '1443', '0', '50');
INSERT INTO public.who_import VALUES (90261, '2020-07-26', 'TN', 'Tunisia', 'EMRO', '9', '1452', '0', '50');
INSERT INTO public.who_import VALUES (90262, '2020-07-27', 'TN', 'Tunisia', 'EMRO', '3', '1455', '0', '50');
INSERT INTO public.who_import VALUES (90263, '2020-07-28', 'TN', 'Tunisia', 'EMRO', '13', '1468', '0', '50');
INSERT INTO public.who_import VALUES (90264, '2020-07-29', 'TN', 'Tunisia', 'EMRO', '20', '1488', '0', '50');
INSERT INTO public.who_import VALUES (90265, '2020-07-30', 'TN', 'Tunisia', 'EMRO', '26', '1514', '0', '50');
INSERT INTO public.who_import VALUES (90266, '2020-07-31', 'TN', 'Tunisia', 'EMRO', '21', '1535', '0', '50');
INSERT INTO public.who_import VALUES (90267, '2020-08-01', 'TN', 'Tunisia', 'EMRO', '17', '1552', '1', '51');
INSERT INTO public.who_import VALUES (90268, '2020-08-02', 'TN', 'Tunisia', 'EMRO', '9', '1561', '0', '51');
INSERT INTO public.who_import VALUES (90269, '2020-08-03', 'TN', 'Tunisia', 'EMRO', '4', '1565', '0', '51');
INSERT INTO public.who_import VALUES (90270, '2020-08-04', 'TN', 'Tunisia', 'EMRO', '19', '1584', '0', '51');
INSERT INTO public.who_import VALUES (90271, '2020-08-05', 'TN', 'Tunisia', 'EMRO', '17', '1601', '0', '51');
INSERT INTO public.who_import VALUES (90272, '2020-08-06', 'TN', 'Tunisia', 'EMRO', '41', '1642', '0', '51');
INSERT INTO public.who_import VALUES (90273, '2020-08-07', 'TN', 'Tunisia', 'EMRO', '14', '1656', '0', '51');
INSERT INTO public.who_import VALUES (90274, '2020-08-08', 'TN', 'Tunisia', 'EMRO', '22', '1678', '0', '51');
INSERT INTO public.who_import VALUES (90275, '2020-08-09', 'TN', 'Tunisia', 'EMRO', '19', '1697', '0', '51');
INSERT INTO public.who_import VALUES (90276, '2020-08-10', 'TN', 'Tunisia', 'EMRO', '20', '1717', '0', '51');
INSERT INTO public.who_import VALUES (90277, '2020-08-11', 'TN', 'Tunisia', 'EMRO', '21', '1738', '1', '52');
INSERT INTO public.who_import VALUES (90278, '2020-08-12', 'TN', 'Tunisia', 'EMRO', '42', '1780', '0', '52');
INSERT INTO public.who_import VALUES (90279, '2020-08-13', 'TN', 'Tunisia', 'EMRO', '67', '1847', '1', '53');
INSERT INTO public.who_import VALUES (90280, '2020-08-14', 'TN', 'Tunisia', 'EMRO', '56', '1903', '0', '53');
INSERT INTO public.who_import VALUES (90281, '2020-08-15', 'TN', 'Tunisia', 'EMRO', '120', '2023', '1', '54');
INSERT INTO public.who_import VALUES (90282, '2020-08-16', 'TN', 'Tunisia', 'EMRO', '84', '2107', '0', '54');
INSERT INTO public.who_import VALUES (90283, '2020-08-17', 'TN', 'Tunisia', 'EMRO', '78', '2185', '2', '56');
INSERT INTO public.who_import VALUES (90284, '2020-08-18', 'TN', 'Tunisia', 'EMRO', '129', '2314', '1', '57');
INSERT INTO public.who_import VALUES (90285, '2020-08-19', 'TN', 'Tunisia', 'EMRO', '113', '2427', '3', '60');
INSERT INTO public.who_import VALUES (90286, '2020-08-20', 'TN', 'Tunisia', 'EMRO', '116', '2543', '3', '63');
INSERT INTO public.who_import VALUES (90287, '2020-08-21', 'TN', 'Tunisia', 'EMRO', '64', '2607', '0', '63');
INSERT INTO public.who_import VALUES (90288, '2020-08-22', 'TN', 'Tunisia', 'EMRO', '131', '2738', '5', '68');
INSERT INTO public.who_import VALUES (90289, '2020-08-23', 'TN', 'Tunisia', 'EMRO', '80', '2818', '3', '71');
INSERT INTO public.who_import VALUES (90290, '2020-08-24', 'TN', 'Tunisia', 'EMRO', '75', '2893', '0', '71');
INSERT INTO public.who_import VALUES (90291, '2020-08-25', 'TN', 'Tunisia', 'EMRO', '176', '3069', '0', '71');
INSERT INTO public.who_import VALUES (90292, '2020-08-26', 'TN', 'Tunisia', 'EMRO', '137', '3206', '0', '71');
INSERT INTO public.who_import VALUES (90293, '2020-08-27', 'TN', 'Tunisia', 'EMRO', '117', '3323', '2', '73');
INSERT INTO public.who_import VALUES (90294, '2020-08-28', 'TN', 'Tunisia', 'EMRO', '138', '3461', '1', '74');
INSERT INTO public.who_import VALUES (90295, '2020-08-29', 'TN', 'Tunisia', 'EMRO', '111', '3572', '2', '76');
INSERT INTO public.who_import VALUES (90296, '2020-08-30', 'TN', 'Tunisia', 'EMRO', '113', '3685', '0', '76');
INSERT INTO public.who_import VALUES (90297, '2020-08-31', 'TN', 'Tunisia', 'EMRO', '118', '3803', '1', '77');
INSERT INTO public.who_import VALUES (90298, '2020-09-01', 'TN', 'Tunisia', 'EMRO', '160', '3963', '3', '80');
INSERT INTO public.who_import VALUES (90299, '2020-09-02', 'TN', 'Tunisia', 'EMRO', '233', '4196', '1', '81');
INSERT INTO public.who_import VALUES (90300, '2020-09-03', 'TN', 'Tunisia', 'EMRO', '198', '4394', '3', '84');
INSERT INTO public.who_import VALUES (90301, '2020-09-04', 'TN', 'Tunisia', 'EMRO', '148', '4542', '3', '87');
INSERT INTO public.who_import VALUES (90302, '2020-09-05', 'TN', 'Tunisia', 'EMRO', '234', '4776', '6', '93');
INSERT INTO public.who_import VALUES (90303, '2020-09-06', 'TN', 'Tunisia', 'EMRO', '265', '5041', '0', '93');
INSERT INTO public.who_import VALUES (90304, '2020-09-07', 'TN', 'Tunisia', 'EMRO', '83', '5124', '1', '94');
INSERT INTO public.who_import VALUES (90305, '2020-09-08', 'TN', 'Tunisia', 'EMRO', '293', '5417', '2', '96');
INSERT INTO public.who_import VALUES (90306, '2020-09-09', 'TN', 'Tunisia', 'EMRO', '465', '5882', '3', '99');
INSERT INTO public.who_import VALUES (90307, '2020-09-10', 'TN', 'Tunisia', 'EMRO', '377', '6259', '4', '103');
INSERT INTO public.who_import VALUES (90308, '2020-09-11', 'TN', 'Tunisia', 'EMRO', '376', '6635', '4', '107');
INSERT INTO public.who_import VALUES (90309, '2020-09-12', 'TN', 'Tunisia', 'EMRO', '0', '6635', '0', '107');
INSERT INTO public.who_import VALUES (90310, '2020-09-13', 'TN', 'Tunisia', 'EMRO', '747', '7382', '10', '117');
INSERT INTO public.who_import VALUES (90311, '2020-09-14', 'TN', 'Tunisia', 'EMRO', '241', '7623', '6', '123');
INSERT INTO public.who_import VALUES (90312, '2020-09-15', 'TN', 'Tunisia', 'EMRO', '477', '8100', '6', '129');
INSERT INTO public.who_import VALUES (90313, '2020-09-16', 'TN', 'Tunisia', 'EMRO', '470', '8570', '4', '133');
INSERT INTO public.who_import VALUES (90314, '2020-09-17', 'TN', 'Tunisia', 'EMRO', '540', '9110', '5', '138');
INSERT INTO public.who_import VALUES (90315, '2020-09-18', 'TN', 'Tunisia', 'EMRO', '626', '9736', '17', '155');
INSERT INTO public.who_import VALUES (90316, '2020-09-19', 'TN', 'Tunisia', 'EMRO', '0', '9736', '0', '155');
INSERT INTO public.who_import VALUES (90317, '2020-09-20', 'TN', 'Tunisia', 'EMRO', '996', '10732', '4', '159');
INSERT INTO public.who_import VALUES (90318, '2020-09-21', 'TN', 'Tunisia', 'EMRO', '528', '11260', '5', '164');
INSERT INTO public.who_import VALUES (90319, '2020-09-22', 'TN', 'Tunisia', 'EMRO', '0', '11260', '0', '164');
INSERT INTO public.who_import VALUES (90320, '2020-09-23', 'TN', 'Tunisia', 'EMRO', '1219', '12479', '10', '174');
INSERT INTO public.who_import VALUES (90321, '2020-09-24', 'TN', 'Tunisia', 'EMRO', '826', '13305', '6', '180');
INSERT INTO public.who_import VALUES (90322, '2020-09-25', 'TN', 'Tunisia', 'EMRO', '1087', '14392', '11', '191');
INSERT INTO public.who_import VALUES (90323, '2020-09-26', 'TN', 'Tunisia', 'EMRO', '786', '15178', '16', '207');
INSERT INTO public.who_import VALUES (90324, '2020-09-27', 'TN', 'Tunisia', 'EMRO', '936', '16114', '7', '214');
INSERT INTO public.who_import VALUES (90325, '2020-09-28', 'TN', 'Tunisia', 'EMRO', '0', '16114', '0', '214');
INSERT INTO public.who_import VALUES (90326, '2020-09-29', 'TN', 'Tunisia', 'EMRO', '1291', '17405', '32', '246');
INSERT INTO public.who_import VALUES (90327, '2020-09-30', 'TN', 'Tunisia', 'EMRO', '1008', '18413', '19', '265');
INSERT INTO public.who_import VALUES (90328, '2020-10-01', 'TN', 'Tunisia', 'EMRO', '1308', '19721', '6', '271');
INSERT INTO public.who_import VALUES (90329, '2020-10-02', 'TN', 'Tunisia', 'EMRO', '1223', '20944', '5', '276');
INSERT INTO public.who_import VALUES (90330, '2020-10-03', 'TN', 'Tunisia', 'EMRO', '0', '20944', '0', '276');
INSERT INTO public.who_import VALUES (90331, '2020-10-04', 'TN', 'Tunisia', 'EMRO', '2509', '23453', '45', '321');
INSERT INTO public.who_import VALUES (90332, '2020-10-05', 'TN', 'Tunisia', 'EMRO', '0', '23453', '0', '321');
INSERT INTO public.who_import VALUES (90333, '2020-10-06', 'TN', 'Tunisia', 'EMRO', '2312', '25765', '43', '364');
INSERT INTO public.who_import VALUES (90334, '2020-10-07', 'TN', 'Tunisia', 'EMRO', '0', '25765', '0', '364');
INSERT INTO public.who_import VALUES (90335, '2020-10-08', 'TN', 'Tunisia', 'EMRO', '2357', '28122', '45', '409');
INSERT INTO public.who_import VALUES (90336, '2020-10-09', 'TN', 'Tunisia', 'EMRO', '0', '28122', '0', '409');
INSERT INTO public.who_import VALUES (90337, '2020-10-10', 'TN', 'Tunisia', 'EMRO', '3137', '31259', '47', '456');
INSERT INTO public.who_import VALUES (90338, '2020-10-11', 'TN', 'Tunisia', 'EMRO', '1297', '32556', '22', '478');
INSERT INTO public.who_import VALUES (90339, '2020-10-12', 'TN', 'Tunisia', 'EMRO', '0', '32556', '0', '478');
INSERT INTO public.who_import VALUES (90340, '2020-10-13', 'TN', 'Tunisia', 'EMRO', '2234', '34790', '34', '512');
INSERT INTO public.who_import VALUES (90341, '2020-10-14', 'TN', 'Tunisia', 'EMRO', '0', '34790', '0', '512');
INSERT INTO public.who_import VALUES (90342, '2020-10-15', 'TN', 'Tunisia', 'EMRO', '0', '34790', '0', '512');
INSERT INTO public.who_import VALUES (90343, '2020-10-16', 'TN', 'Tunisia', 'EMRO', '0', '34790', '0', '512');
INSERT INTO public.who_import VALUES (90344, '2020-10-17', 'TN', 'Tunisia', 'EMRO', '5752', '40542', '114', '626');
INSERT INTO public.who_import VALUES (90345, '2020-10-18', 'TN', 'Tunisia', 'EMRO', '0', '40542', '0', '626');
INSERT INTO public.who_import VALUES (90346, '2020-10-19', 'TN', 'Tunisia', 'EMRO', '2185', '42727', '61', '687');
INSERT INTO public.who_import VALUES (90347, '2020-10-20', 'TN', 'Tunisia', 'EMRO', '1723', '44450', '24', '711');
INSERT INTO public.who_import VALUES (90348, '2020-10-21', 'TN', 'Tunisia', 'EMRO', '1442', '45892', '29', '740');
INSERT INTO public.who_import VALUES (90349, '2020-10-22', 'TN', 'Tunisia', 'EMRO', '1322', '47214', '44', '784');
INSERT INTO public.who_import VALUES (90350, '2020-10-23', 'TN', 'Tunisia', 'EMRO', '1585', '48799', '35', '819');
INSERT INTO public.who_import VALUES (90351, '2020-10-24', 'TN', 'Tunisia', 'EMRO', '1606', '50405', '58', '877');
INSERT INTO public.who_import VALUES (90352, '2020-10-25', 'TN', 'Tunisia', 'EMRO', '1994', '52399', '106', '983');
INSERT INTO public.who_import VALUES (90353, '2020-10-26', 'TN', 'Tunisia', 'EMRO', '0', '52399', '0', '983');
INSERT INTO public.who_import VALUES (90354, '2020-10-27', 'TN', 'Tunisia', 'EMRO', '1879', '54278', '170', '1153');
INSERT INTO public.who_import VALUES (90355, '2020-10-28', 'TN', 'Tunisia', 'EMRO', '0', '54278', '0', '1153');
INSERT INTO public.who_import VALUES (90356, '2020-10-29', 'TN', 'Tunisia', 'EMRO', '0', '54278', '0', '1153');
INSERT INTO public.who_import VALUES (90357, '2020-10-30', 'TN', 'Tunisia', 'EMRO', '3751', '58029', '100', '1253');
INSERT INTO public.who_import VALUES (90358, '2020-10-31', 'TN', 'Tunisia', 'EMRO', '1784', '59813', '64', '1317');
INSERT INTO public.who_import VALUES (90359, '2020-11-01', 'TN', 'Tunisia', 'EMRO', '1302', '61115', '31', '1348');
INSERT INTO public.who_import VALUES (90360, '2020-11-02', 'TN', 'Tunisia', 'EMRO', '791', '61906', '33', '1381');
INSERT INTO public.who_import VALUES (90361, '2020-11-03', 'TN', 'Tunisia', 'EMRO', '1220', '63126', '102', '1483');
INSERT INTO public.who_import VALUES (90362, '2020-11-04', 'TN', 'Tunisia', 'EMRO', '1237', '64363', '29', '1512');
INSERT INTO public.who_import VALUES (90363, '2020-11-05', 'TN', 'Tunisia', 'EMRO', '1971', '66334', '65', '1577');
INSERT INTO public.who_import VALUES (90364, '2020-11-06', 'TN', 'Tunisia', 'EMRO', '0', '66334', '144', '1721');
INSERT INTO public.who_import VALUES (90365, '2020-11-07', 'TN', 'Tunisia', 'EMRO', '1625', '67959', '66', '1787');
INSERT INTO public.who_import VALUES (90366, '2020-11-08', 'TN', 'Tunisia', 'EMRO', '1584', '69543', '61', '1848');
INSERT INTO public.who_import VALUES (90367, '2020-11-09', 'TN', 'Tunisia', 'EMRO', '1588', '71131', '25', '1873');
INSERT INTO public.who_import VALUES (90368, '2020-11-10', 'TN', 'Tunisia', 'EMRO', '438', '71569', '47', '1920');
INSERT INTO public.who_import VALUES (90369, '2020-11-11', 'TN', 'Tunisia', 'EMRO', '1424', '72993', '86', '2006');
INSERT INTO public.who_import VALUES (90370, '2020-11-12', 'TN', 'Tunisia', 'EMRO', '1529', '74522', '94', '2100');
INSERT INTO public.who_import VALUES (90371, '2020-11-13', 'TN', 'Tunisia', 'EMRO', '1584', '76106', '51', '2151');
INSERT INTO public.who_import VALUES (90372, '2020-11-14', 'TN', 'Tunisia', 'EMRO', '1562', '77668', '58', '2209');
INSERT INTO public.who_import VALUES (90373, '2020-11-15', 'TN', 'Tunisia', 'EMRO', '1671', '79339', '70', '2279');
INSERT INTO public.who_import VALUES (90374, '2020-11-16', 'TN', 'Tunisia', 'EMRO', '1065', '80404', '66', '2345');
INSERT INTO public.who_import VALUES (90375, '2020-11-17', 'TN', 'Tunisia', 'EMRO', '599', '81003', '44', '2389');
INSERT INTO public.who_import VALUES (90376, '2020-11-18', 'TN', 'Tunisia', 'EMRO', '720', '81723', '56', '2445');
INSERT INTO public.who_import VALUES (90377, '2020-11-19', 'TN', 'Tunisia', 'EMRO', '2049', '83772', '96', '2541');
INSERT INTO public.who_import VALUES (90378, '2020-11-20', 'TN', 'Tunisia', 'EMRO', '1270', '85042', '73', '2614');
INSERT INTO public.who_import VALUES (90379, '2020-11-21', 'TN', 'Tunisia', 'EMRO', '1223', '86265', '70', '2684');
INSERT INTO public.who_import VALUES (90380, '2020-11-22', 'TN', 'Tunisia', 'EMRO', '1206', '87471', '68', '2752');
INSERT INTO public.who_import VALUES (90381, '2020-11-23', 'TN', 'Tunisia', 'EMRO', '1240', '88711', '69', '2821');
INSERT INTO public.who_import VALUES (90382, '2020-11-24', 'TN', 'Tunisia', 'EMRO', '485', '89196', '41', '2862');
INSERT INTO public.who_import VALUES (90383, '2020-11-25', 'TN', 'Tunisia', 'EMRO', '1017', '90213', '73', '2935');
INSERT INTO public.who_import VALUES (90384, '2020-11-26', 'TN', 'Tunisia', 'EMRO', '1094', '91307', '48', '2983');
INSERT INTO public.who_import VALUES (90385, '2020-11-27', 'TN', 'Tunisia', 'EMRO', '1168', '92475', '51', '3034');
INSERT INTO public.who_import VALUES (90386, '2020-11-28', 'TN', 'Tunisia', 'EMRO', '1295', '93770', '72', '3106');
INSERT INTO public.who_import VALUES (90387, '2020-11-29', 'TN', 'Tunisia', 'EMRO', '1210', '94980', '47', '3153');
INSERT INTO public.who_import VALUES (90388, '2020-11-30', 'TN', 'Tunisia', 'EMRO', '1271', '96251', '66', '3219');
INSERT INTO public.who_import VALUES (90389, '2020-12-01', 'TN', 'Tunisia', 'EMRO', '518', '96769', '41', '3260');
INSERT INTO public.who_import VALUES (90390, '2020-12-02', 'TN', 'Tunisia', 'EMRO', '1303', '98072', '51', '3311');
INSERT INTO public.who_import VALUES (90391, '2020-12-03', 'TN', 'Tunisia', 'EMRO', '1208', '99280', '48', '3359');
INSERT INTO public.who_import VALUES (90392, '2020-12-04', 'TN', 'Tunisia', 'EMRO', '1403', '100683', '56', '3415');
INSERT INTO public.who_import VALUES (90393, '2020-12-05', 'TN', 'Tunisia', 'EMRO', '1217', '101900', '66', '3481');
INSERT INTO public.who_import VALUES (90394, '2020-12-06', 'TN', 'Tunisia', 'EMRO', '1091', '102991', '45', '3526');
INSERT INTO public.who_import VALUES (90395, '2020-12-07', 'TN', 'Tunisia', 'EMRO', '1011', '104002', '35', '3561');
INSERT INTO public.who_import VALUES (90396, '2020-12-08', 'TN', 'Tunisia', 'EMRO', '327', '104329', '35', '3596');
INSERT INTO public.who_import VALUES (90397, '2020-12-09', 'TN', 'Tunisia', 'EMRO', '1116', '105445', '72', '3668');
INSERT INTO public.who_import VALUES (90398, '2020-12-10', 'TN', 'Tunisia', 'EMRO', '1411', '106856', '49', '3717');
INSERT INTO public.who_import VALUES (90399, '2020-12-11', 'TN', 'Tunisia', 'EMRO', '958', '107814', '41', '3758');
INSERT INTO public.who_import VALUES (90400, '2020-12-12', 'TN', 'Tunisia', 'EMRO', '1290', '109104', '43', '3801');
INSERT INTO public.who_import VALUES (90401, '2020-12-13', 'TN', 'Tunisia', 'EMRO', '1289', '110393', '35', '3836');
INSERT INTO public.who_import VALUES (90402, '2020-12-14', 'TN', 'Tunisia', 'EMRO', '968', '111361', '58', '3894');
INSERT INTO public.who_import VALUES (90403, '2020-12-15', 'TN', 'Tunisia', 'EMRO', '397', '111758', '21', '3915');
INSERT INTO public.who_import VALUES (90404, '2020-12-16', 'TN', 'Tunisia', 'EMRO', '1483', '113241', '41', '3956');
INSERT INTO public.who_import VALUES (90405, '2020-12-17', 'TN', 'Tunisia', 'EMRO', '1306', '114547', '41', '3997');
INSERT INTO public.who_import VALUES (90406, '2020-12-18', 'TN', 'Tunisia', 'EMRO', '1419', '115966', '35', '4032');
INSERT INTO public.who_import VALUES (90407, '2020-12-19', 'TN', 'Tunisia', 'EMRO', '1616', '117582', '58', '4090');
INSERT INTO public.who_import VALUES (90408, '2020-12-20', 'TN', 'Tunisia', 'EMRO', '1569', '119151', '36', '4126');
INSERT INTO public.who_import VALUES (90409, '2020-12-21', 'TN', 'Tunisia', 'EMRO', '1536', '120687', '32', '4158');
INSERT INTO public.who_import VALUES (90410, '2020-12-22', 'TN', 'Tunisia', 'EMRO', '1031', '121718', '41', '4199');
INSERT INTO public.who_import VALUES (90411, '2020-12-23', 'TN', 'Tunisia', 'EMRO', '1605', '123323', '38', '4237');
INSERT INTO public.who_import VALUES (90412, '2020-12-24', 'TN', 'Tunisia', 'EMRO', '1677', '125000', '38', '4275');
INSERT INTO public.who_import VALUES (90413, '2020-12-25', 'TN', 'Tunisia', 'EMRO', '1752', '126752', '49', '4324');
INSERT INTO public.who_import VALUES (90414, '2020-12-26', 'TN', 'Tunisia', 'EMRO', '1826', '128578', '61', '4385');
INSERT INTO public.who_import VALUES (90415, '2020-12-27', 'TN', 'Tunisia', 'EMRO', '1652', '130230', '41', '4426');
INSERT INTO public.who_import VALUES (90416, '2020-12-28', 'TN', 'Tunisia', 'EMRO', '1362', '131592', '40', '4466');
INSERT INTO public.who_import VALUES (90417, '2020-12-29', 'TN', 'Tunisia', 'EMRO', '1612', '133204', '52', '4518');
INSERT INTO public.who_import VALUES (90418, '2020-12-30', 'TN', 'Tunisia', 'EMRO', '1598', '134802', '52', '4570');
INSERT INTO public.who_import VALUES (90419, '2020-12-31', 'TN', 'Tunisia', 'EMRO', '2414', '137216', '50', '4620');
INSERT INTO public.who_import VALUES (90420, '2021-01-01', 'TN', 'Tunisia', 'EMRO', '1924', '139140', '56', '4676');
INSERT INTO public.who_import VALUES (90421, '2021-01-02', 'TN', 'Tunisia', 'EMRO', '1417', '140557', '54', '4730');
INSERT INTO public.who_import VALUES (90422, '2021-01-03', 'TN', 'Tunisia', 'EMRO', '1422', '141979', '35', '4765');
INSERT INTO public.who_import VALUES (90423, '2021-01-04', 'TN', 'Tunisia', 'EMRO', '1565', '143544', '35', '4800');
INSERT INTO public.who_import VALUES (90424, '2021-01-05', 'TN', 'Tunisia', 'EMRO', '1252', '144796', '62', '4862');
INSERT INTO public.who_import VALUES (90425, '2021-01-06', 'TN', 'Tunisia', 'EMRO', '2265', '147061', '72', '4934');
INSERT INTO public.who_import VALUES (90426, '2021-01-07', 'TN', 'Tunisia', 'EMRO', '2820', '149881', '70', '5004');
INSERT INTO public.who_import VALUES (90427, '2021-01-08', 'TN', 'Tunisia', 'EMRO', '2373', '152254', '48', '5052');
INSERT INTO public.who_import VALUES (90428, '2021-01-09', 'TN', 'Tunisia', 'EMRO', '2649', '154903', '56', '5108');
INSERT INTO public.who_import VALUES (90429, '2021-01-10', 'TN', 'Tunisia', 'EMRO', '2611', '157514', '45', '5153');
INSERT INTO public.who_import VALUES (90430, '2021-01-11', 'TN', 'Tunisia', 'EMRO', '1762', '159276', '62', '5215');
INSERT INTO public.who_import VALUES (90431, '2021-01-12', 'TN', 'Tunisia', 'EMRO', '3074', '162350', '69', '5284');
INSERT INTO public.who_import VALUES (90432, '2021-01-13', 'TN', 'Tunisia', 'EMRO', '2586', '164936', '59', '5343');
INSERT INTO public.who_import VALUES (90433, '2021-01-14', 'TN', 'Tunisia', 'EMRO', '3632', '168568', '72', '5415');
INSERT INTO public.who_import VALUES (90434, '2021-01-15', 'TN', 'Tunisia', 'EMRO', '2327', '170895', '63', '5478');
INSERT INTO public.who_import VALUES (90435, '2021-01-16', 'TN', 'Tunisia', 'EMRO', '4170', '175065', '50', '5528');
INSERT INTO public.who_import VALUES (90436, '2021-01-17', 'TN', 'Tunisia', 'EMRO', '2166', '177231', '88', '5616');
INSERT INTO public.who_import VALUES (90437, '2021-01-18', 'TN', 'Tunisia', 'EMRO', '2859', '180090', '76', '5692');
INSERT INTO public.who_import VALUES (90438, '2021-01-19', 'TN', 'Tunisia', 'EMRO', '1795', '181885', '58', '5750');
INSERT INTO public.who_import VALUES (90439, '2021-01-20', 'TN', 'Tunisia', 'EMRO', '2598', '184483', '94', '5844');
INSERT INTO public.who_import VALUES (90440, '2021-01-21', 'TN', 'Tunisia', 'EMRO', '3890', '188373', '77', '5921');
INSERT INTO public.who_import VALUES (90441, '2021-01-22', 'TN', 'Tunisia', 'EMRO', '2511', '190884', '68', '5989');
INSERT INTO public.who_import VALUES (90442, '2021-01-23', 'TN', 'Tunisia', 'EMRO', '2389', '193273', '103', '6092');
INSERT INTO public.who_import VALUES (90443, '2021-01-24', 'TN', 'Tunisia', 'EMRO', '2041', '195314', '62', '6154');
INSERT INTO public.who_import VALUES (90444, '2021-01-25', 'TN', 'Tunisia', 'EMRO', '2059', '197373', '80', '6234');
INSERT INTO public.who_import VALUES (90445, '2021-01-26', 'TN', 'Tunisia', 'EMRO', '1263', '198636', '53', '6287');
INSERT INTO public.who_import VALUES (90446, '2021-01-27', 'TN', 'Tunisia', 'EMRO', '2026', '200662', '83', '6370');
INSERT INTO public.who_import VALUES (90447, '2021-01-28', 'TN', 'Tunisia', 'EMRO', '1661', '202323', '76', '6446');
INSERT INTO public.who_import VALUES (90448, '2021-01-29', 'TN', 'Tunisia', 'EMRO', '2028', '204351', '62', '6508');
INSERT INTO public.who_import VALUES (90449, '2021-01-30', 'TN', 'Tunisia', 'EMRO', '1679', '206030', '91', '6599');
INSERT INTO public.who_import VALUES (90450, '2021-01-31', 'TN', 'Tunisia', 'EMRO', '1438', '207468', '81', '6680');
INSERT INTO public.who_import VALUES (90451, '2021-02-01', 'TN', 'Tunisia', 'EMRO', '1417', '208885', '74', '6754');
INSERT INTO public.who_import VALUES (90452, '2021-02-02', 'TN', 'Tunisia', 'EMRO', '1160', '210045', '48', '6802');
INSERT INTO public.who_import VALUES (90453, '2021-02-03', 'TN', 'Tunisia', 'EMRO', '1367', '211412', '91', '6893');
INSERT INTO public.who_import VALUES (90454, '2021-02-04', 'TN', 'Tunisia', 'EMRO', '1267', '212679', '87', '6980');
INSERT INTO public.who_import VALUES (90455, '2021-02-05', 'TN', 'Tunisia', 'EMRO', '1270', '213949', '68', '7048');
INSERT INTO public.who_import VALUES (90456, '2021-02-06', 'TN', 'Tunisia', 'EMRO', '1163', '215112', '51', '7099');
INSERT INTO public.who_import VALUES (90457, '2021-02-07', 'TN', 'Tunisia', 'EMRO', '1064', '216176', '63', '7162');
INSERT INTO public.who_import VALUES (90458, '2021-02-08', 'TN', 'Tunisia', 'EMRO', '910', '217086', '52', '7214');
INSERT INTO public.who_import VALUES (90459, '2021-02-09', 'TN', 'Tunisia', 'EMRO', '667', '217753', '43', '7257');
INSERT INTO public.who_import VALUES (90460, '2021-02-10', 'TN', 'Tunisia', 'EMRO', '811', '218564', '75', '7332');
INSERT INTO public.who_import VALUES (90461, '2021-02-11', 'TN', 'Tunisia', 'EMRO', '1086', '219650', '46', '7378');
INSERT INTO public.who_import VALUES (90462, '2021-02-12', 'TN', 'Tunisia', 'EMRO', '828', '220478', '51', '7429');
INSERT INTO public.who_import VALUES (90463, '2021-02-13', 'TN', 'Tunisia', 'EMRO', '977', '221455', '32', '7461');
INSERT INTO public.who_import VALUES (90464, '2021-02-14', 'TN', 'Tunisia', 'EMRO', '1049', '222504', '47', '7508');
INSERT INTO public.who_import VALUES (90465, '2021-02-15', 'TN', 'Tunisia', 'EMRO', '740', '223244', '36', '7544');
INSERT INTO public.who_import VALUES (90466, '2021-02-16', 'TN', 'Tunisia', 'EMRO', '305', '223549', '31', '7575');
INSERT INTO public.who_import VALUES (90467, '2021-02-17', 'TN', 'Tunisia', 'EMRO', '780', '224329', '42', '7617');
INSERT INTO public.who_import VALUES (90468, '2021-02-18', 'TN', 'Tunisia', 'EMRO', '787', '225116', '34', '7651');
INSERT INTO public.who_import VALUES (90469, '2021-02-19', 'TN', 'Tunisia', 'EMRO', '899', '226015', '33', '7684');
INSERT INTO public.who_import VALUES (90470, '2021-02-20', 'TN', 'Tunisia', 'EMRO', '725', '226740', '35', '7719');
INSERT INTO public.who_import VALUES (90471, '2020-01-03', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90472, '2020-01-04', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90473, '2020-01-05', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90474, '2020-01-06', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90475, '2020-01-07', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90476, '2020-01-08', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90477, '2020-01-09', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90478, '2020-01-10', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90479, '2020-01-11', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90480, '2020-01-12', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90481, '2020-01-13', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90482, '2020-01-14', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90483, '2020-01-15', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90484, '2020-01-16', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90485, '2020-01-17', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90486, '2020-01-18', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90487, '2020-01-19', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90488, '2020-01-20', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90489, '2020-01-21', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90490, '2020-01-22', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90491, '2020-01-23', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90492, '2020-01-24', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90493, '2020-01-25', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90494, '2020-01-26', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90495, '2020-01-27', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90496, '2020-01-28', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90497, '2020-01-29', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90498, '2020-01-30', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90499, '2020-01-31', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90500, '2020-02-01', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90501, '2020-02-02', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90502, '2020-02-03', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90503, '2020-02-04', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90504, '2020-02-05', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90505, '2020-02-06', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90506, '2020-02-07', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90507, '2020-02-08', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90508, '2020-02-09', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90509, '2020-02-10', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90510, '2020-02-11', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90511, '2020-02-12', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90512, '2020-02-13', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90513, '2020-02-14', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90514, '2020-02-15', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90515, '2020-02-16', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90516, '2020-02-17', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90517, '2020-02-18', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90518, '2020-02-19', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90519, '2020-02-20', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90520, '2020-02-21', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90521, '2020-02-22', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90522, '2020-02-23', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90523, '2020-02-24', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90524, '2020-02-25', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90525, '2020-02-26', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90526, '2020-02-27', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90527, '2020-02-28', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90528, '2020-02-29', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90529, '2020-03-01', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90530, '2020-03-02', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90531, '2020-03-03', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90532, '2020-03-04', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90533, '2020-03-05', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90534, '2020-03-06', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90535, '2020-03-07', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90536, '2020-03-08', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90537, '2020-03-09', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90538, '2020-03-10', 'TR', 'Turkey', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90539, '2020-03-11', 'TR', 'Turkey', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (90540, '2020-03-12', 'TR', 'Turkey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (90541, '2020-03-13', 'TR', 'Turkey', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (90542, '2020-03-14', 'TR', 'Turkey', 'EURO', '4', '5', '0', '0');
INSERT INTO public.who_import VALUES (90543, '2020-03-15', 'TR', 'Turkey', 'EURO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (90544, '2020-03-16', 'TR', 'Turkey', 'EURO', '12', '18', '0', '0');
INSERT INTO public.who_import VALUES (90545, '2020-03-17', 'TR', 'Turkey', 'EURO', '29', '47', '0', '0');
INSERT INTO public.who_import VALUES (90546, '2020-03-18', 'TR', 'Turkey', 'EURO', '51', '98', '0', '0');
INSERT INTO public.who_import VALUES (90547, '2020-03-19', 'TR', 'Turkey', 'EURO', '93', '191', '2', '2');
INSERT INTO public.who_import VALUES (90548, '2020-03-20', 'TR', 'Turkey', 'EURO', '0', '191', '0', '2');
INSERT INTO public.who_import VALUES (90549, '2020-03-21', 'TR', 'Turkey', 'EURO', '479', '670', '7', '9');
INSERT INTO public.who_import VALUES (90550, '2020-03-22', 'TR', 'Turkey', 'EURO', '277', '947', '12', '21');
INSERT INTO public.who_import VALUES (90551, '2020-03-23', 'TR', 'Turkey', 'EURO', '289', '1236', '9', '30');
INSERT INTO public.who_import VALUES (90552, '2020-03-24', 'TR', 'Turkey', 'EURO', '293', '1529', '7', '37');
INSERT INTO public.who_import VALUES (90553, '2020-03-25', 'TR', 'Turkey', 'EURO', '343', '1872', '7', '44');
INSERT INTO public.who_import VALUES (90554, '2020-03-26', 'TR', 'Turkey', 'EURO', '561', '2433', '15', '59');
INSERT INTO public.who_import VALUES (90555, '2020-03-27', 'TR', 'Turkey', 'EURO', '1196', '3629', '16', '75');
INSERT INTO public.who_import VALUES (90556, '2020-03-28', 'TR', 'Turkey', 'EURO', '2069', '5698', '17', '92');
INSERT INTO public.who_import VALUES (90557, '2020-03-29', 'TR', 'Turkey', 'EURO', '1704', '7402', '16', '108');
INSERT INTO public.who_import VALUES (90558, '2020-03-30', 'TR', 'Turkey', 'EURO', '1869', '9271', '23', '131');
INSERT INTO public.who_import VALUES (90559, '2020-03-31', 'TR', 'Turkey', 'EURO', '1556', '10827', '37', '168');
INSERT INTO public.who_import VALUES (90560, '2020-04-01', 'TR', 'Turkey', 'EURO', '2704', '13531', '46', '214');
INSERT INTO public.who_import VALUES (90561, '2020-04-02', 'TR', 'Turkey', 'EURO', '2148', '15679', '63', '277');
INSERT INTO public.who_import VALUES (90562, '2020-04-03', 'TR', 'Turkey', 'EURO', '2456', '18135', '79', '356');
INSERT INTO public.who_import VALUES (90563, '2020-04-04', 'TR', 'Turkey', 'EURO', '2786', '20921', '69', '425');
INSERT INTO public.who_import VALUES (90564, '2020-04-05', 'TR', 'Turkey', 'EURO', '3013', '23934', '76', '501');
INSERT INTO public.who_import VALUES (90565, '2020-04-06', 'TR', 'Turkey', 'EURO', '3135', '27069', '73', '574');
INSERT INTO public.who_import VALUES (90566, '2020-04-07', 'TR', 'Turkey', 'EURO', '3148', '30217', '75', '649');
INSERT INTO public.who_import VALUES (90567, '2020-04-08', 'TR', 'Turkey', 'EURO', '3892', '34109', '76', '725');
INSERT INTO public.who_import VALUES (90568, '2020-04-09', 'TR', 'Turkey', 'EURO', '4117', '38226', '87', '812');
INSERT INTO public.who_import VALUES (90569, '2020-04-10', 'TR', 'Turkey', 'EURO', '4056', '42282', '96', '908');
INSERT INTO public.who_import VALUES (90570, '2020-04-11', 'TR', 'Turkey', 'EURO', '4747', '47029', '98', '1006');
INSERT INTO public.who_import VALUES (90571, '2020-04-12', 'TR', 'Turkey', 'EURO', '5138', '52167', '95', '1101');
INSERT INTO public.who_import VALUES (90572, '2020-04-13', 'TR', 'Turkey', 'EURO', '4789', '56956', '97', '1198');
INSERT INTO public.who_import VALUES (90573, '2020-04-14', 'TR', 'Turkey', 'EURO', '4093', '61049', '98', '1296');
INSERT INTO public.who_import VALUES (90574, '2020-04-15', 'TR', 'Turkey', 'EURO', '4062', '65111', '107', '1403');
INSERT INTO public.who_import VALUES (90575, '2020-04-16', 'TR', 'Turkey', 'EURO', '4281', '69392', '115', '1518');
INSERT INTO public.who_import VALUES (90576, '2020-04-17', 'TR', 'Turkey', 'EURO', '4801', '74193', '125', '1643');
INSERT INTO public.who_import VALUES (90577, '2020-04-18', 'TR', 'Turkey', 'EURO', '4353', '78546', '126', '1769');
INSERT INTO public.who_import VALUES (90578, '2020-04-19', 'TR', 'Turkey', 'EURO', '3783', '82329', '121', '1890');
INSERT INTO public.who_import VALUES (90579, '2020-04-20', 'TR', 'Turkey', 'EURO', '3977', '86306', '127', '2017');
INSERT INTO public.who_import VALUES (90580, '2020-04-21', 'TR', 'Turkey', 'EURO', '4674', '90980', '123', '2140');
INSERT INTO public.who_import VALUES (90581, '2020-04-22', 'TR', 'Turkey', 'EURO', '4611', '95591', '119', '2259');
INSERT INTO public.who_import VALUES (90582, '2020-04-23', 'TR', 'Turkey', 'EURO', '3083', '98674', '117', '2376');
INSERT INTO public.who_import VALUES (90583, '2020-04-24', 'TR', 'Turkey', 'EURO', '3116', '101790', '115', '2491');
INSERT INTO public.who_import VALUES (90584, '2020-04-25', 'TR', 'Turkey', 'EURO', '3122', '104912', '109', '2600');
INSERT INTO public.who_import VALUES (90585, '2020-04-26', 'TR', 'Turkey', 'EURO', '2861', '107773', '106', '2706');
INSERT INTO public.who_import VALUES (90586, '2020-04-27', 'TR', 'Turkey', 'EURO', '2357', '110130', '99', '2805');
INSERT INTO public.who_import VALUES (90587, '2020-04-28', 'TR', 'Turkey', 'EURO', '2131', '112261', '95', '2900');
INSERT INTO public.who_import VALUES (90588, '2020-04-29', 'TR', 'Turkey', 'EURO', '2392', '114653', '92', '2992');
INSERT INTO public.who_import VALUES (90589, '2020-04-30', 'TR', 'Turkey', 'EURO', '2936', '117589', '89', '3081');
INSERT INTO public.who_import VALUES (90590, '2020-05-01', 'TR', 'Turkey', 'EURO', '2615', '120204', '93', '3174');
INSERT INTO public.who_import VALUES (90591, '2020-05-02', 'TR', 'Turkey', 'EURO', '2188', '122392', '84', '3258');
INSERT INTO public.who_import VALUES (90592, '2020-05-03', 'TR', 'Turkey', 'EURO', '1983', '124375', '78', '3336');
INSERT INTO public.who_import VALUES (90593, '2020-05-04', 'TR', 'Turkey', 'EURO', '1670', '126045', '61', '3397');
INSERT INTO public.who_import VALUES (90594, '2020-05-05', 'TR', 'Turkey', 'EURO', '1614', '127659', '64', '3461');
INSERT INTO public.who_import VALUES (90595, '2020-05-06', 'TR', 'Turkey', 'EURO', '1832', '129491', '59', '3520');
INSERT INTO public.who_import VALUES (90596, '2020-05-07', 'TR', 'Turkey', 'EURO', '2253', '131744', '64', '3584');
INSERT INTO public.who_import VALUES (90597, '2020-05-08', 'TR', 'Turkey', 'EURO', '1977', '133721', '57', '3641');
INSERT INTO public.who_import VALUES (90598, '2020-05-09', 'TR', 'Turkey', 'EURO', '1848', '135569', '48', '3689');
INSERT INTO public.who_import VALUES (90599, '2020-05-10', 'TR', 'Turkey', 'EURO', '1546', '137115', '50', '3739');
INSERT INTO public.who_import VALUES (90600, '2020-05-11', 'TR', 'Turkey', 'EURO', '1542', '138657', '47', '3786');
INSERT INTO public.who_import VALUES (90601, '2020-05-12', 'TR', 'Turkey', 'EURO', '1114', '139771', '55', '3841');
INSERT INTO public.who_import VALUES (90602, '2020-05-13', 'TR', 'Turkey', 'EURO', '1704', '141475', '53', '3894');
INSERT INTO public.who_import VALUES (90603, '2020-05-14', 'TR', 'Turkey', 'EURO', '1639', '143114', '58', '3952');
INSERT INTO public.who_import VALUES (90604, '2020-05-15', 'TR', 'Turkey', 'EURO', '1635', '144749', '55', '4007');
INSERT INTO public.who_import VALUES (90605, '2020-05-16', 'TR', 'Turkey', 'EURO', '1708', '146457', '48', '4055');
INSERT INTO public.who_import VALUES (90606, '2020-05-17', 'TR', 'Turkey', 'EURO', '1610', '148067', '41', '4096');
INSERT INTO public.who_import VALUES (90607, '2020-05-18', 'TR', 'Turkey', 'EURO', '1368', '149435', '44', '4140');
INSERT INTO public.who_import VALUES (90608, '2020-05-19', 'TR', 'Turkey', 'EURO', '1158', '150593', '31', '4171');
INSERT INTO public.who_import VALUES (90609, '2020-05-20', 'TR', 'Turkey', 'EURO', '1022', '151615', '28', '4199');
INSERT INTO public.who_import VALUES (90610, '2020-05-21', 'TR', 'Turkey', 'EURO', '972', '152587', '23', '4222');
INSERT INTO public.who_import VALUES (90611, '2020-05-22', 'TR', 'Turkey', 'EURO', '961', '153548', '27', '4249');
INSERT INTO public.who_import VALUES (90612, '2020-05-23', 'TR', 'Turkey', 'EURO', '952', '154500', '27', '4276');
INSERT INTO public.who_import VALUES (90613, '2020-05-24', 'TR', 'Turkey', 'EURO', '1186', '155686', '32', '4308');
INSERT INTO public.who_import VALUES (90614, '2020-05-25', 'TR', 'Turkey', 'EURO', '1141', '156827', '32', '4340');
INSERT INTO public.who_import VALUES (90615, '2020-05-26', 'TR', 'Turkey', 'EURO', '987', '157814', '29', '4369');
INSERT INTO public.who_import VALUES (90616, '2020-05-27', 'TR', 'Turkey', 'EURO', '948', '158762', '28', '4397');
INSERT INTO public.who_import VALUES (90617, '2020-05-28', 'TR', 'Turkey', 'EURO', '1035', '159797', '34', '4431');
INSERT INTO public.who_import VALUES (90618, '2020-05-29', 'TR', 'Turkey', 'EURO', '1182', '160979', '30', '4461');
INSERT INTO public.who_import VALUES (90619, '2020-05-30', 'TR', 'Turkey', 'EURO', '1141', '162120', '28', '4489');
INSERT INTO public.who_import VALUES (90620, '2020-05-31', 'TR', 'Turkey', 'EURO', '983', '163103', '26', '4515');
INSERT INTO public.who_import VALUES (90621, '2020-06-01', 'TR', 'Turkey', 'EURO', '839', '163942', '25', '4540');
INSERT INTO public.who_import VALUES (90622, '2020-06-02', 'TR', 'Turkey', 'EURO', '827', '164769', '23', '4563');
INSERT INTO public.who_import VALUES (90623, '2020-06-03', 'TR', 'Turkey', 'EURO', '786', '165555', '22', '4585');
INSERT INTO public.who_import VALUES (90624, '2020-06-04', 'TR', 'Turkey', 'EURO', '867', '166422', '24', '4609');
INSERT INTO public.who_import VALUES (90625, '2020-06-05', 'TR', 'Turkey', 'EURO', '988', '167410', '21', '4630');
INSERT INTO public.who_import VALUES (90626, '2020-06-06', 'TR', 'Turkey', 'EURO', '930', '168340', '18', '4648');
INSERT INTO public.who_import VALUES (90627, '2020-06-07', 'TR', 'Turkey', 'EURO', '878', '169218', '21', '4669');
INSERT INTO public.who_import VALUES (90628, '2020-06-08', 'TR', 'Turkey', 'EURO', '914', '170132', '23', '4692');
INSERT INTO public.who_import VALUES (90629, '2020-06-09', 'TR', 'Turkey', 'EURO', '989', '171121', '19', '4711');
INSERT INTO public.who_import VALUES (90630, '2020-06-10', 'TR', 'Turkey', 'EURO', '993', '172114', '18', '4729');
INSERT INTO public.who_import VALUES (90631, '2020-06-11', 'TR', 'Turkey', 'EURO', '922', '173036', '17', '4746');
INSERT INTO public.who_import VALUES (90632, '2020-06-12', 'TR', 'Turkey', 'EURO', '987', '174023', '17', '4763');
INSERT INTO public.who_import VALUES (90633, '2020-06-13', 'TR', 'Turkey', 'EURO', '1195', '175218', '15', '4778');
INSERT INTO public.who_import VALUES (90634, '2020-06-14', 'TR', 'Turkey', 'EURO', '1459', '176677', '14', '4792');
INSERT INTO public.who_import VALUES (90635, '2020-06-15', 'TR', 'Turkey', 'EURO', '1562', '178239', '15', '4807');
INSERT INTO public.who_import VALUES (90636, '2020-06-16', 'TR', 'Turkey', 'EURO', '1592', '179831', '18', '4825');
INSERT INTO public.who_import VALUES (90637, '2020-06-17', 'TR', 'Turkey', 'EURO', '1467', '181298', '17', '4842');
INSERT INTO public.who_import VALUES (90638, '2020-06-18', 'TR', 'Turkey', 'EURO', '1429', '182727', '19', '4861');
INSERT INTO public.who_import VALUES (90639, '2020-06-19', 'TR', 'Turkey', 'EURO', '1304', '184031', '21', '4882');
INSERT INTO public.who_import VALUES (90640, '2020-06-20', 'TR', 'Turkey', 'EURO', '1214', '185245', '23', '4905');
INSERT INTO public.who_import VALUES (90641, '2020-06-21', 'TR', 'Turkey', 'EURO', '1248', '186493', '22', '4927');
INSERT INTO public.who_import VALUES (90642, '2020-06-22', 'TR', 'Turkey', 'EURO', '1192', '187685', '23', '4950');
INSERT INTO public.who_import VALUES (90643, '2020-06-23', 'TR', 'Turkey', 'EURO', '1212', '188897', '24', '4974');
INSERT INTO public.who_import VALUES (90644, '2020-06-24', 'TR', 'Turkey', 'EURO', '1268', '190165', '27', '5001');
INSERT INTO public.who_import VALUES (90645, '2020-06-25', 'TR', 'Turkey', 'EURO', '1492', '191657', '24', '5025');
INSERT INTO public.who_import VALUES (90646, '2020-06-26', 'TR', 'Turkey', 'EURO', '1458', '193115', '21', '5046');
INSERT INTO public.who_import VALUES (90647, '2020-06-27', 'TR', 'Turkey', 'EURO', '1396', '194511', '19', '5065');
INSERT INTO public.who_import VALUES (90648, '2020-06-28', 'TR', 'Turkey', 'EURO', '1372', '195883', '17', '5082');
INSERT INTO public.who_import VALUES (90649, '2020-06-29', 'TR', 'Turkey', 'EURO', '1356', '197239', '15', '5097');
INSERT INTO public.who_import VALUES (90650, '2020-06-30', 'TR', 'Turkey', 'EURO', '1374', '198613', '18', '5115');
INSERT INTO public.who_import VALUES (90651, '2020-07-01', 'TR', 'Turkey', 'EURO', '1293', '199906', '16', '5131');
INSERT INTO public.who_import VALUES (90652, '2020-07-02', 'TR', 'Turkey', 'EURO', '1192', '201098', '19', '5150');
INSERT INTO public.who_import VALUES (90653, '2020-07-03', 'TR', 'Turkey', 'EURO', '1186', '202284', '17', '5167');
INSERT INTO public.who_import VALUES (90654, '2020-07-04', 'TR', 'Turkey', 'EURO', '1172', '203456', '19', '5186');
INSERT INTO public.who_import VALUES (90655, '2020-07-05', 'TR', 'Turkey', 'EURO', '1154', '204610', '20', '5206');
INSERT INTO public.who_import VALUES (90656, '2020-07-06', 'TR', 'Turkey', 'EURO', '1148', '205758', '19', '5225');
INSERT INTO public.who_import VALUES (90657, '2020-07-07', 'TR', 'Turkey', 'EURO', '1086', '206844', '16', '5241');
INSERT INTO public.who_import VALUES (90658, '2020-07-08', 'TR', 'Turkey', 'EURO', '1053', '207897', '19', '5260');
INSERT INTO public.who_import VALUES (90659, '2020-07-09', 'TR', 'Turkey', 'EURO', '1041', '208938', '22', '5282');
INSERT INTO public.who_import VALUES (90660, '2020-07-10', 'TR', 'Turkey', 'EURO', '1024', '209962', '18', '5300');
INSERT INTO public.who_import VALUES (90661, '2020-07-11', 'TR', 'Turkey', 'EURO', '1003', '210965', '23', '5323');
INSERT INTO public.who_import VALUES (90662, '2020-07-12', 'TR', 'Turkey', 'EURO', '1016', '211981', '21', '5344');
INSERT INTO public.who_import VALUES (90663, '2020-07-13', 'TR', 'Turkey', 'EURO', '1012', '212993', '19', '5363');
INSERT INTO public.who_import VALUES (90664, '2020-07-14', 'TR', 'Turkey', 'EURO', '1008', '214001', '19', '5382');
INSERT INTO public.who_import VALUES (90665, '2020-07-15', 'TR', 'Turkey', 'EURO', '992', '214993', '20', '5402');
INSERT INTO public.who_import VALUES (90666, '2020-07-16', 'TR', 'Turkey', 'EURO', '947', '215940', '17', '5419');
INSERT INTO public.who_import VALUES (90667, '2020-07-17', 'TR', 'Turkey', 'EURO', '933', '216873', '21', '5440');
INSERT INTO public.who_import VALUES (90668, '2020-07-18', 'TR', 'Turkey', 'EURO', '926', '217799', '18', '5458');
INSERT INTO public.who_import VALUES (90669, '2020-07-19', 'TR', 'Turkey', 'EURO', '918', '218717', '17', '5475');
INSERT INTO public.who_import VALUES (90670, '2020-07-20', 'TR', 'Turkey', 'EURO', '924', '219641', '16', '5491');
INSERT INTO public.who_import VALUES (90671, '2020-07-21', 'TR', 'Turkey', 'EURO', '931', '220572', '17', '5508');
INSERT INTO public.who_import VALUES (90672, '2020-07-22', 'TR', 'Turkey', 'EURO', '928', '221500', '18', '5526');
INSERT INTO public.who_import VALUES (90673, '2020-07-23', 'TR', 'Turkey', 'EURO', '902', '222402', '19', '5545');
INSERT INTO public.who_import VALUES (90674, '2020-07-24', 'TR', 'Turkey', 'EURO', '913', '223315', '18', '5563');
INSERT INTO public.who_import VALUES (90675, '2020-07-25', 'TR', 'Turkey', 'EURO', '937', '224252', '17', '5580');
INSERT INTO public.who_import VALUES (90676, '2020-07-26', 'TR', 'Turkey', 'EURO', '921', '225173', '16', '5596');
INSERT INTO public.who_import VALUES (90677, '2020-07-27', 'TR', 'Turkey', 'EURO', '927', '226100', '17', '5613');
INSERT INTO public.who_import VALUES (90678, '2020-07-28', 'TR', 'Turkey', 'EURO', '919', '227019', '17', '5630');
INSERT INTO public.who_import VALUES (90679, '2020-07-29', 'TR', 'Turkey', 'EURO', '7693', '234712', '15', '5645');
INSERT INTO public.who_import VALUES (90680, '2020-07-30', 'TR', 'Turkey', 'EURO', '7672', '242384', '14', '5659');
INSERT INTO public.who_import VALUES (90681, '2020-07-31', 'TR', 'Turkey', 'EURO', '7697', '250081', '15', '5674');
INSERT INTO public.who_import VALUES (90682, '2020-08-01', 'TR', 'Turkey', 'EURO', '7712', '257793', '17', '5691');
INSERT INTO public.who_import VALUES (90683, '2020-08-02', 'TR', 'Turkey', 'EURO', '7726', '265519', '19', '5710');
INSERT INTO public.who_import VALUES (90684, '2020-08-03', 'TR', 'Turkey', 'EURO', '7717', '273236', '18', '5728');
INSERT INTO public.who_import VALUES (90685, '2020-08-04', 'TR', 'Turkey', 'EURO', '7725', '280961', '19', '5747');
INSERT INTO public.who_import VALUES (90686, '2020-08-05', 'TR', 'Turkey', 'EURO', '7813', '288774', '18', '5765');
INSERT INTO public.who_import VALUES (90687, '2020-08-06', 'TR', 'Turkey', 'EURO', '7908', '296682', '19', '5784');
INSERT INTO public.who_import VALUES (90688, '2020-08-07', 'TR', 'Turkey', 'EURO', '7883', '304565', '14', '5798');
INSERT INTO public.who_import VALUES (90689, '2020-08-08', 'TR', 'Turkey', 'EURO', '7915', '312480', '15', '5813');
INSERT INTO public.who_import VALUES (90690, '2020-08-09', 'TR', 'Turkey', 'EURO', '7902', '320382', '16', '5829');
INSERT INTO public.who_import VALUES (90691, '2020-08-10', 'TR', 'Turkey', 'EURO', '7912', '328294', '15', '5844');
INSERT INTO public.who_import VALUES (90692, '2020-08-11', 'TR', 'Turkey', 'EURO', '7923', '336217', '14', '5858');
INSERT INTO public.who_import VALUES (90693, '2020-08-12', 'TR', 'Turkey', 'EURO', '7913', '344130', '15', '5873');
INSERT INTO public.who_import VALUES (90694, '2020-08-13', 'TR', 'Turkey', 'EURO', '7942', '352072', '18', '5891');
INSERT INTO public.who_import VALUES (90695, '2020-08-14', 'TR', 'Turkey', 'EURO', '7973', '360045', '21', '5912');
INSERT INTO public.who_import VALUES (90696, '2020-08-15', 'TR', 'Turkey', 'EURO', '7956', '368001', '22', '5934');
INSERT INTO public.who_import VALUES (90697, '2020-08-16', 'TR', 'Turkey', 'EURO', '7986', '375987', '21', '5955');
INSERT INTO public.who_import VALUES (90698, '2020-08-17', 'TR', 'Turkey', 'EURO', '7922', '383909', '19', '5974');
INSERT INTO public.who_import VALUES (90699, '2020-08-18', 'TR', 'Turkey', 'EURO', '7963', '391872', '22', '5996');
INSERT INTO public.who_import VALUES (90700, '2020-08-19', 'TR', 'Turkey', 'EURO', '7993', '399865', '20', '6016');
INSERT INTO public.who_import VALUES (90701, '2020-08-20', 'TR', 'Turkey', 'EURO', '8033', '407898', '23', '6039');
INSERT INTO public.who_import VALUES (90702, '2020-08-21', 'TR', 'Turkey', 'EURO', '8142', '416040', '19', '6058');
INSERT INTO public.who_import VALUES (90703, '2020-08-22', 'TR', 'Turkey', 'EURO', '7933', '423973', '22', '6080');
INSERT INTO public.who_import VALUES (90704, '2020-08-23', 'TR', 'Turkey', 'EURO', '8039', '432012', '22', '6102');
INSERT INTO public.who_import VALUES (90705, '2020-08-24', 'TR', 'Turkey', 'EURO', '7947', '439959', '19', '6121');
INSERT INTO public.who_import VALUES (90706, '2020-08-25', 'TR', 'Turkey', 'EURO', '8173', '448132', '18', '6139');
INSERT INTO public.who_import VALUES (90707, '2020-08-26', 'TR', 'Turkey', 'EURO', '8232', '456364', '24', '6163');
INSERT INTO public.who_import VALUES (90708, '2020-08-27', 'TR', 'Turkey', 'EURO', '8043', '464407', '20', '6183');
INSERT INTO public.who_import VALUES (90709, '2020-08-28', 'TR', 'Turkey', 'EURO', '8221', '472628', '26', '6209');
INSERT INTO public.who_import VALUES (90710, '2020-08-29', 'TR', 'Turkey', 'EURO', '8247', '480875', '36', '6245');
INSERT INTO public.who_import VALUES (90711, '2020-08-30', 'TR', 'Turkey', 'EURO', '8279', '489154', '39', '6284');
INSERT INTO public.who_import VALUES (90712, '2020-08-31', 'TR', 'Turkey', 'EURO', '8212', '497366', '42', '6326');
INSERT INTO public.who_import VALUES (90713, '2020-09-01', 'TR', 'Turkey', 'EURO', '8317', '505683', '44', '6370');
INSERT INTO public.who_import VALUES (90714, '2020-09-02', 'TR', 'Turkey', 'EURO', '8302', '513985', '47', '6417');
INSERT INTO public.who_import VALUES (90715, '2020-09-03', 'TR', 'Turkey', 'EURO', '8326', '522311', '45', '6462');
INSERT INTO public.who_import VALUES (90716, '2020-09-04', 'TR', 'Turkey', 'EURO', '8372', '530683', '49', '6511');
INSERT INTO public.who_import VALUES (90717, '2020-09-05', 'TR', 'Turkey', 'EURO', '8342', '539025', '53', '6564');
INSERT INTO public.who_import VALUES (90718, '2020-09-06', 'TR', 'Turkey', 'EURO', '8403', '547428', '56', '6620');
INSERT INTO public.who_import VALUES (90719, '2020-09-07', 'TR', 'Turkey', 'EURO', '8308', '555736', '53', '6673');
INSERT INTO public.who_import VALUES (90720, '2020-09-08', 'TR', 'Turkey', 'EURO', '8433', '564169', '57', '6730');
INSERT INTO public.who_import VALUES (90721, '2020-09-09', 'TR', 'Turkey', 'EURO', '8491', '572660', '52', '6782');
INSERT INTO public.who_import VALUES (90722, '2020-09-10', 'TR', 'Turkey', 'EURO', '8403', '581063', '55', '6837');
INSERT INTO public.who_import VALUES (90723, '2020-09-11', 'TR', 'Turkey', 'EURO', '8242', '589305', '58', '6895');
INSERT INTO public.who_import VALUES (90724, '2020-09-12', 'TR', 'Turkey', 'EURO', '8401', '597706', '56', '6951');
INSERT INTO public.who_import VALUES (90725, '2020-09-13', 'TR', 'Turkey', 'EURO', '8239', '605945', '48', '6999');
INSERT INTO public.who_import VALUES (90726, '2020-09-14', 'TR', 'Turkey', 'EURO', '8257', '614202', '57', '7056');
INSERT INTO public.who_import VALUES (90727, '2020-09-15', 'TR', 'Turkey', 'EURO', '8446', '622648', '63', '7119');
INSERT INTO public.who_import VALUES (90728, '2020-09-16', 'TR', 'Turkey', 'EURO', '8472', '631120', '67', '7186');
INSERT INTO public.who_import VALUES (90729, '2020-09-17', 'TR', 'Turkey', 'EURO', '8501', '639621', '63', '7249');
INSERT INTO public.who_import VALUES (90730, '2020-09-18', 'TR', 'Turkey', 'EURO', '8378', '647999', '66', '7315');
INSERT INTO public.who_import VALUES (90731, '2020-09-19', 'TR', 'Turkey', 'EURO', '8501', '656500', '62', '7377');
INSERT INTO public.who_import VALUES (90732, '2020-09-20', 'TR', 'Turkey', 'EURO', '8268', '664768', '68', '7445');
INSERT INTO public.who_import VALUES (90733, '2020-09-21', 'TR', 'Turkey', 'EURO', '8249', '673017', '61', '7506');
INSERT INTO public.who_import VALUES (90734, '2020-09-22', 'TR', 'Turkey', 'EURO', '8473', '681490', '68', '7574');
INSERT INTO public.who_import VALUES (90735, '2020-09-23', 'TR', 'Turkey', 'EURO', '8422', '689912', '65', '7639');
INSERT INTO public.who_import VALUES (90736, '2020-09-24', 'TR', 'Turkey', 'EURO', '8497', '698409', '72', '7711');
INSERT INTO public.who_import VALUES (90737, '2020-09-25', 'TR', 'Turkey', 'EURO', '8451', '706860', '74', '7785');
INSERT INTO public.who_import VALUES (90738, '2020-09-26', 'TR', 'Turkey', 'EURO', '8395', '715255', '73', '7858');
INSERT INTO public.who_import VALUES (90739, '2020-09-27', 'TR', 'Turkey', 'EURO', '8241', '723496', '71', '7929');
INSERT INTO public.who_import VALUES (90740, '2020-09-28', 'TR', 'Turkey', 'EURO', '8197', '731693', '68', '7997');
INSERT INTO public.who_import VALUES (90741, '2020-09-29', 'TR', 'Turkey', 'EURO', '8142', '739835', '65', '8062');
INSERT INTO public.who_import VALUES (90742, '2020-09-30', 'TR', 'Turkey', 'EURO', '8157', '747992', '68', '8130');
INSERT INTO public.who_import VALUES (90743, '2020-10-01', 'TR', 'Turkey', 'EURO', '8121', '756113', '65', '8195');
INSERT INTO public.who_import VALUES (90744, '2020-10-02', 'TR', 'Turkey', 'EURO', '8137', '764250', '67', '8262');
INSERT INTO public.who_import VALUES (90745, '2020-10-03', 'TR', 'Turkey', 'EURO', '8172', '772422', '63', '8325');
INSERT INTO public.who_import VALUES (90746, '2020-10-04', 'TR', 'Turkey', 'EURO', '8232', '780654', '59', '8384');
INSERT INTO public.who_import VALUES (90747, '2020-10-05', 'TR', 'Turkey', 'EURO', '8159', '788813', '57', '8441');
INSERT INTO public.who_import VALUES (90748, '2020-10-06', 'TR', 'Turkey', 'EURO', '8333', '797146', '57', '8498');
INSERT INTO public.who_import VALUES (90749, '2020-10-07', 'TR', 'Turkey', 'EURO', '8241', '805387', '55', '8553');
INSERT INTO public.who_import VALUES (90750, '2020-10-08', 'TR', 'Turkey', 'EURO', '8311', '813698', '56', '8609');
INSERT INTO public.who_import VALUES (90751, '2020-10-09', 'TR', 'Turkey', 'EURO', '8345', '822043', '58', '8667');
INSERT INTO public.who_import VALUES (90752, '2020-10-10', 'TR', 'Turkey', 'EURO', '8359', '830402', '55', '8722');
INSERT INTO public.who_import VALUES (90753, '2020-10-11', 'TR', 'Turkey', 'EURO', '8379', '838781', '56', '8778');
INSERT INTO public.who_import VALUES (90754, '2020-10-12', 'TR', 'Turkey', 'EURO', '8232', '847013', '59', '8837');
INSERT INTO public.who_import VALUES (90755, '2020-10-13', 'TR', 'Turkey', 'EURO', '8344', '855357', '58', '8895');
INSERT INTO public.who_import VALUES (90756, '2020-10-14', 'TR', 'Turkey', 'EURO', '8362', '863719', '62', '8957');
INSERT INTO public.who_import VALUES (90757, '2020-10-15', 'TR', 'Turkey', 'EURO', '8401', '872120', '57', '9014');
INSERT INTO public.who_import VALUES (90758, '2020-10-16', 'TR', 'Turkey', 'EURO', '8423', '880543', '66', '9080');
INSERT INTO public.who_import VALUES (90759, '2020-10-17', 'TR', 'Turkey', 'EURO', '8542', '889085', '73', '9153');
INSERT INTO public.who_import VALUES (90760, '2020-10-18', 'TR', 'Turkey', 'EURO', '8453', '897538', '71', '9224');
INSERT INTO public.who_import VALUES (90761, '2020-10-19', 'TR', 'Turkey', 'EURO', '8545', '906083', '72', '9296');
INSERT INTO public.who_import VALUES (90762, '2020-10-20', 'TR', 'Turkey', 'EURO', '8756', '914839', '75', '9371');
INSERT INTO public.who_import VALUES (90763, '2020-10-21', 'TR', 'Turkey', 'EURO', '8624', '923463', '74', '9445');
INSERT INTO public.who_import VALUES (90764, '2020-10-22', 'TR', 'Turkey', 'EURO', '8743', '932206', '68', '9513');
INSERT INTO public.who_import VALUES (90765, '2020-10-23', 'TR', 'Turkey', 'EURO', '8832', '941038', '71', '9584');
INSERT INTO public.who_import VALUES (90766, '2020-10-24', 'TR', 'Turkey', 'EURO', '8895', '949933', '74', '9658');
INSERT INTO public.who_import VALUES (90767, '2020-10-25', 'TR', 'Turkey', 'EURO', '8821', '958754', '69', '9727');
INSERT INTO public.who_import VALUES (90768, '2020-10-26', 'TR', 'Turkey', 'EURO', '8747', '967501', '72', '9799');
INSERT INTO public.who_import VALUES (90769, '2020-10-27', 'TR', 'Turkey', 'EURO', '8928', '976429', '75', '9874');
INSERT INTO public.who_import VALUES (90770, '2020-10-28', 'TR', 'Turkey', 'EURO', '8939', '985368', '76', '9950');
INSERT INTO public.who_import VALUES (90771, '2020-10-29', 'TR', 'Turkey', 'EURO', '9035', '994403', '77', '10027');
INSERT INTO public.who_import VALUES (90772, '2020-10-30', 'TR', 'Turkey', 'EURO', '9049', '1003452', '72', '10099');
INSERT INTO public.who_import VALUES (90773, '2020-10-31', 'TR', 'Turkey', 'EURO', '9052', '1012504', '78', '10177');
INSERT INTO public.who_import VALUES (90774, '2020-11-01', 'TR', 'Turkey', 'EURO', '8943', '1021447', '75', '10252');
INSERT INTO public.who_import VALUES (90775, '2020-11-02', 'TR', 'Turkey', 'EURO', '8836', '1030283', '74', '10326');
INSERT INTO public.who_import VALUES (90776, '2020-11-03', 'TR', 'Turkey', 'EURO', '9032', '1039315', '76', '10402');
INSERT INTO public.who_import VALUES (90777, '2020-11-04', 'TR', 'Turkey', 'EURO', '9073', '1048388', '79', '10481');
INSERT INTO public.who_import VALUES (90778, '2020-11-05', 'TR', 'Turkey', 'EURO', '9121', '1057509', '77', '10558');
INSERT INTO public.who_import VALUES (90779, '2020-11-06', 'TR', 'Turkey', 'EURO', '9041', '1066550', '81', '10639');
INSERT INTO public.who_import VALUES (90780, '2020-11-07', 'TR', 'Turkey', 'EURO', '9166', '1075716', '83', '10722');
INSERT INTO public.who_import VALUES (90781, '2020-11-08', 'TR', 'Turkey', 'EURO', '9213', '1084929', '81', '10803');
INSERT INTO public.who_import VALUES (90782, '2020-11-09', 'TR', 'Turkey', 'EURO', '9246', '1094175', '84', '10887');
INSERT INTO public.who_import VALUES (90783, '2020-11-10', 'TR', 'Turkey', 'EURO', '9306', '1103481', '85', '10972');
INSERT INTO public.who_import VALUES (90784, '2020-11-11', 'TR', 'Turkey', 'EURO', '9259', '1112740', '87', '11059');
INSERT INTO public.who_import VALUES (90785, '2020-11-12', 'TR', 'Turkey', 'EURO', '9423', '1122163', '86', '11145');
INSERT INTO public.who_import VALUES (90786, '2020-11-13', 'TR', 'Turkey', 'EURO', '9571', '1131734', '88', '11233');
INSERT INTO public.who_import VALUES (90787, '2020-11-14', 'TR', 'Turkey', 'EURO', '9775', '1141509', '93', '11326');
INSERT INTO public.who_import VALUES (90788, '2020-11-15', 'TR', 'Turkey', 'EURO', '9846', '1151355', '92', '11418');
INSERT INTO public.who_import VALUES (90789, '2020-11-16', 'TR', 'Turkey', 'EURO', '9953', '1161308', '89', '11507');
INSERT INTO public.who_import VALUES (90790, '2020-11-17', 'TR', 'Turkey', 'EURO', '10046', '1171354', '94', '11601');
INSERT INTO public.who_import VALUES (90791, '2020-11-18', 'TR', 'Turkey', 'EURO', '10549', '1181903', '103', '11704');
INSERT INTO public.who_import VALUES (90792, '2020-11-19', 'TR', 'Turkey', 'EURO', '10946', '1192849', '116', '11820');
INSERT INTO public.who_import VALUES (90793, '2020-11-20', 'TR', 'Turkey', 'EURO', '11273', '1204122', '123', '11943');
INSERT INTO public.who_import VALUES (90794, '2020-11-21', 'TR', 'Turkey', 'EURO', '11834', '1215956', '141', '12084');
INSERT INTO public.who_import VALUES (90795, '2020-11-22', 'TR', 'Turkey', 'EURO', '12263', '1228219', '135', '12219');
INSERT INTO public.who_import VALUES (90796, '2020-11-23', 'TR', 'Turkey', 'EURO', '12748', '1240967', '139', '12358');
INSERT INTO public.who_import VALUES (90797, '2020-11-24', 'TR', 'Turkey', 'EURO', '13444', '1254411', '153', '12511');
INSERT INTO public.who_import VALUES (90798, '2020-11-25', 'TR', 'Turkey', 'EURO', '14112', '1268523', '161', '12672');
INSERT INTO public.who_import VALUES (90799, '2020-11-26', 'TR', 'Turkey', 'EURO', '13545', '1282068', '168', '12840');
INSERT INTO public.who_import VALUES (90800, '2020-11-27', 'TR', 'Turkey', 'EURO', '29132', '1311200', '174', '13014');
INSERT INTO public.who_import VALUES (90801, '2020-11-28', 'TR', 'Turkey', 'EURO', '29845', '1341045', '177', '13191');
INSERT INTO public.who_import VALUES (90802, '2020-11-29', 'TR', 'Turkey', 'EURO', '30103', '1371148', '182', '13373');
INSERT INTO public.who_import VALUES (90803, '2020-11-30', 'TR', 'Turkey', 'EURO', '29281', '1400429', '185', '13558');
INSERT INTO public.who_import VALUES (90804, '2020-12-01', 'TR', 'Turkey', 'EURO', '31219', '1431648', '188', '13746');
INSERT INTO public.who_import VALUES (90805, '2020-12-02', 'TR', 'Turkey', 'EURO', '30110', '1461758', '190', '13936');
INSERT INTO public.who_import VALUES (90806, '2020-12-03', 'TR', 'Turkey', 'EURO', '31923', '1493681', '193', '14129');
INSERT INTO public.who_import VALUES (90807, '2020-12-04', 'TR', 'Turkey', 'EURO', '32381', '1526062', '187', '14316');
INSERT INTO public.who_import VALUES (90808, '2020-12-05', 'TR', 'Turkey', 'EURO', '32736', '1558798', '193', '14509');
INSERT INTO public.who_import VALUES (90809, '2020-12-06', 'TR', 'Turkey', 'EURO', '31896', '1590694', '196', '14705');
INSERT INTO public.who_import VALUES (90810, '2020-12-07', 'TR', 'Turkey', 'EURO', '30402', '1621096', '195', '14900');
INSERT INTO public.who_import VALUES (90811, '2020-12-08', 'TR', 'Turkey', 'EURO', '32137', '1653233', '203', '15103');
INSERT INTO public.who_import VALUES (90812, '2020-12-09', 'TR', 'Turkey', 'EURO', '33198', '1686431', '211', '15314');
INSERT INTO public.who_import VALUES (90813, '2020-12-10', 'TR', 'Turkey', 'EURO', '31712', '1718143', '217', '15531');
INSERT INTO public.who_import VALUES (90814, '2020-12-11', 'TR', 'Turkey', 'EURO', '30424', '1748567', '220', '15751');
INSERT INTO public.who_import VALUES (90815, '2020-12-12', 'TR', 'Turkey', 'EURO', '32106', '1780673', '226', '15977');
INSERT INTO public.who_import VALUES (90816, '2020-12-13', 'TR', 'Turkey', 'EURO', '29136', '1809809', '222', '16199');
INSERT INTO public.who_import VALUES (90817, '2020-12-14', 'TR', 'Turkey', 'EURO', '26919', '1836728', '218', '16417');
INSERT INTO public.who_import VALUES (90818, '2020-12-15', 'TR', 'Turkey', 'EURO', '29617', '1866345', '229', '16646');
INSERT INTO public.who_import VALUES (90819, '2020-12-16', 'TR', 'Turkey', 'EURO', '32102', '1898447', '235', '16881');
INSERT INTO public.who_import VALUES (90820, '2020-12-17', 'TR', 'Turkey', 'EURO', '29718', '1928165', '240', '17121');
INSERT INTO public.who_import VALUES (90821, '2020-12-18', 'TR', 'Turkey', 'EURO', '27515', '1955680', '243', '17364');
INSERT INTO public.who_import VALUES (90822, '2020-12-19', 'TR', 'Turkey', 'EURO', '26410', '1982090', '246', '17610');
INSERT INTO public.who_import VALUES (90823, '2020-12-20', 'TR', 'Turkey', 'EURO', '22195', '2004285', '241', '17851');
INSERT INTO public.who_import VALUES (90824, '2020-12-21', 'TR', 'Turkey', 'EURO', '20316', '2024601', '246', '18097');
INSERT INTO public.who_import VALUES (90825, '2020-12-22', 'TR', 'Turkey', 'EURO', '19103', '2043704', '254', '18351');
INSERT INTO public.who_import VALUES (90826, '2020-12-23', 'TR', 'Turkey', 'EURO', '19256', '2062960', '251', '18602');
INSERT INTO public.who_import VALUES (90827, '2020-12-24', 'TR', 'Turkey', 'EURO', '19650', '2082610', '259', '18861');
INSERT INTO public.who_import VALUES (90828, '2020-12-25', 'TR', 'Turkey', 'EURO', '18102', '2100712', '254', '19115');
INSERT INTO public.who_import VALUES (90829, '2020-12-26', 'TR', 'Turkey', 'EURO', '17543', '2118255', '256', '19371');
INSERT INTO public.who_import VALUES (90830, '2020-12-27', 'TR', 'Turkey', 'EURO', '15118', '2133373', '253', '19624');
INSERT INTO public.who_import VALUES (90831, '2020-12-28', 'TR', 'Turkey', 'EURO', '14205', '2147578', '254', '19878');
INSERT INTO public.who_import VALUES (90832, '2020-12-29', 'TR', 'Turkey', 'EURO', '15197', '2162775', '257', '20135');
INSERT INTO public.who_import VALUES (90833, '2020-12-30', 'TR', 'Turkey', 'EURO', '15805', '2178580', '253', '20388');
INSERT INTO public.who_import VALUES (90834, '2020-12-31', 'TR', 'Turkey', 'EURO', '15692', '2194272', '254', '20642');
INSERT INTO public.who_import VALUES (90835, '2021-01-01', 'TR', 'Turkey', 'EURO', '14380', '2208652', '239', '20881');
INSERT INTO public.who_import VALUES (90836, '2021-01-02', 'TR', 'Turkey', 'EURO', '12203', '2220855', '212', '21093');
INSERT INTO public.who_import VALUES (90837, '2021-01-03', 'TR', 'Turkey', 'EURO', '11180', '2232035', '202', '21295');
INSERT INTO public.who_import VALUES (90838, '2021-01-04', 'TR', 'Turkey', 'EURO', '9877', '2241912', '193', '21488');
INSERT INTO public.who_import VALUES (90839, '2021-01-05', 'TR', 'Turkey', 'EURO', '13695', '2255607', '197', '21685');
INSERT INTO public.who_import VALUES (90840, '2021-01-06', 'TR', 'Turkey', 'EURO', '14494', '2270101', '194', '21879');
INSERT INTO public.who_import VALUES (90841, '2021-01-07', 'TR', 'Turkey', 'EURO', '13830', '2283931', '191', '22070');
INSERT INTO public.who_import VALUES (90842, '2021-01-08', 'TR', 'Turkey', 'EURO', '12171', '2296102', '194', '22264');
INSERT INTO public.who_import VALUES (90843, '2021-01-09', 'TR', 'Turkey', 'EURO', '11479', '2307581', '186', '22450');
INSERT INTO public.who_import VALUES (90844, '2021-01-10', 'TR', 'Turkey', 'EURO', '9537', '2317118', '181', '22631');
INSERT INTO public.who_import VALUES (90845, '2021-01-11', 'TR', 'Turkey', 'EURO', '9138', '2326256', '176', '22807');
INSERT INTO public.who_import VALUES (90846, '2021-01-12', 'TR', 'Turkey', 'EURO', '10220', '2336476', '174', '22981');
INSERT INTO public.who_import VALUES (90847, '2021-01-13', 'TR', 'Turkey', 'EURO', '9809', '2346285', '171', '23152');
INSERT INTO public.who_import VALUES (90848, '2021-01-14', 'TR', 'Turkey', 'EURO', '9554', '2355839', '173', '23325');
INSERT INTO public.who_import VALUES (90849, '2021-01-15', 'TR', 'Turkey', 'EURO', '8962', '2364801', '170', '23495');
INSERT INTO public.who_import VALUES (90850, '2021-01-16', 'TR', 'Turkey', 'EURO', '8314', '2373115', '169', '23664');
INSERT INTO public.who_import VALUES (90851, '2021-01-17', 'TR', 'Turkey', 'EURO', '7550', '2380665', '168', '23832');
INSERT INTO public.who_import VALUES (90852, '2021-01-18', 'TR', 'Turkey', 'EURO', '6436', '2387101', '165', '23997');
INSERT INTO public.who_import VALUES (90853, '2021-01-19', 'TR', 'Turkey', 'EURO', '5862', '2392963', '164', '24161');
INSERT INTO public.who_import VALUES (90854, '2021-01-20', 'TR', 'Turkey', 'EURO', '6818', '2399781', '167', '24328');
INSERT INTO public.who_import VALUES (90855, '2021-01-21', 'TR', 'Turkey', 'EURO', '6435', '2406216', '159', '24487');
INSERT INTO public.who_import VALUES (90856, '2021-01-22', 'TR', 'Turkey', 'EURO', '6289', '2412505', '153', '24640');
INSERT INTO public.who_import VALUES (90857, '2021-01-23', 'TR', 'Turkey', 'EURO', '5967', '2418472', '149', '24789');
INSERT INTO public.who_import VALUES (90858, '2021-01-24', 'TR', 'Turkey', 'EURO', '5856', '2424328', '144', '24933');
INSERT INTO public.who_import VALUES (90859, '2021-01-25', 'TR', 'Turkey', 'EURO', '5277', '2429605', '140', '25073');
INSERT INTO public.who_import VALUES (90860, '2021-01-26', 'TR', 'Turkey', 'EURO', '5642', '2435247', '137', '25210');
INSERT INTO public.who_import VALUES (90861, '2021-01-27', 'TR', 'Turkey', 'EURO', '7103', '2442350', '134', '25344');
INSERT INTO public.who_import VALUES (90862, '2021-01-28', 'TR', 'Turkey', 'EURO', '7489', '2449839', '132', '25476');
INSERT INTO public.who_import VALUES (90863, '2021-01-29', 'TR', 'Turkey', 'EURO', '7279', '2457118', '129', '25605');
INSERT INTO public.who_import VALUES (90864, '2021-01-30', 'TR', 'Turkey', 'EURO', '6912', '2464030', '131', '25736');
INSERT INTO public.who_import VALUES (90865, '2021-01-31', 'TR', 'Turkey', 'EURO', '6871', '2470901', '129', '25865');
INSERT INTO public.who_import VALUES (90866, '2021-02-01', 'TR', 'Turkey', 'EURO', '6562', '2477463', '128', '25993');
INSERT INTO public.who_import VALUES (90867, '2021-02-02', 'TR', 'Turkey', 'EURO', '7719', '2485182', '124', '26117');
INSERT INTO public.who_import VALUES (90868, '2021-02-03', 'TR', 'Turkey', 'EURO', '7795', '2492977', '120', '26237');
INSERT INTO public.who_import VALUES (90869, '2021-02-04', 'TR', 'Turkey', 'EURO', '8102', '2501079', '117', '26354');
INSERT INTO public.who_import VALUES (90870, '2021-02-05', 'TR', 'Turkey', 'EURO', '7909', '2508988', '113', '26467');
INSERT INTO public.who_import VALUES (90871, '2021-02-06', 'TR', 'Turkey', 'EURO', '7901', '2516889', '110', '26577');
INSERT INTO public.who_import VALUES (90872, '2021-02-07', 'TR', 'Turkey', 'EURO', '7897', '2524786', '108', '26685');
INSERT INTO public.who_import VALUES (90873, '2021-02-08', 'TR', 'Turkey', 'EURO', '6670', '2531456', '112', '26797');
INSERT INTO public.who_import VALUES (90874, '2021-02-09', 'TR', 'Turkey', 'EURO', '8103', '2539559', '103', '26900');
INSERT INTO public.who_import VALUES (90875, '2021-02-10', 'TR', 'Turkey', 'EURO', '8636', '2548195', '98', '26998');
INSERT INTO public.who_import VALUES (90876, '2021-02-11', 'TR', 'Turkey', 'EURO', '8642', '2556837', '95', '27093');
INSERT INTO public.who_import VALUES (90877, '2021-02-12', 'TR', 'Turkey', 'EURO', '7590', '2564427', '94', '27187');
INSERT INTO public.who_import VALUES (90878, '2021-02-13', 'TR', 'Turkey', 'EURO', '7763', '2572190', '97', '27284');
INSERT INTO public.who_import VALUES (90879, '2021-02-14', 'TR', 'Turkey', 'EURO', '7706', '2579896', '93', '27377');
INSERT INTO public.who_import VALUES (90880, '2021-02-15', 'TR', 'Turkey', 'EURO', '6287', '2586183', '94', '27471');
INSERT INTO public.who_import VALUES (90881, '2021-02-16', 'TR', 'Turkey', 'EURO', '7945', '2594128', '91', '27562');
INSERT INTO public.who_import VALUES (90882, '2021-02-17', 'TR', 'Turkey', 'EURO', '7906', '2602034', '90', '27652');
INSERT INTO public.who_import VALUES (90883, '2021-02-18', 'TR', 'Turkey', 'EURO', '7325', '2609359', '86', '27738');
INSERT INTO public.who_import VALUES (90884, '2021-02-19', 'TR', 'Turkey', 'EURO', '7241', '2616600', '83', '27821');
INSERT INTO public.who_import VALUES (90885, '2021-02-20', 'TR', 'Turkey', 'EURO', '7419', '2624019', '82', '27903');
INSERT INTO public.who_import VALUES (90886, '2020-01-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90887, '2020-01-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90888, '2020-01-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90889, '2020-01-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90890, '2020-01-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90891, '2020-01-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90892, '2020-01-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90893, '2020-01-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90894, '2020-01-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90895, '2020-01-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90896, '2020-01-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90897, '2020-01-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90898, '2020-01-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90899, '2020-01-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90900, '2020-01-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90901, '2020-01-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90902, '2020-01-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90903, '2020-01-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90904, '2020-01-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90905, '2020-01-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90906, '2020-01-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90907, '2020-01-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90908, '2020-01-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90909, '2020-01-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90910, '2020-01-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90911, '2020-01-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90912, '2020-01-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90913, '2020-01-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90914, '2020-01-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90915, '2020-02-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90916, '2020-02-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90917, '2020-02-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90918, '2020-02-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90919, '2020-02-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90920, '2020-02-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90921, '2020-02-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90922, '2020-02-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90923, '2020-02-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90924, '2020-02-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90925, '2020-02-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90926, '2020-02-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90927, '2020-02-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90928, '2020-02-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90929, '2020-02-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90930, '2020-02-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90931, '2020-02-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90932, '2020-02-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90933, '2020-02-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90934, '2020-02-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90935, '2020-02-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90936, '2020-02-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90937, '2020-02-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90938, '2020-02-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90939, '2020-02-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90940, '2020-02-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90941, '2020-02-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90942, '2020-02-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90943, '2020-02-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90944, '2020-03-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90945, '2020-03-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90946, '2020-03-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90947, '2020-03-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90948, '2020-03-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90949, '2020-03-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90950, '2020-03-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90951, '2020-03-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90952, '2020-03-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90953, '2020-03-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90954, '2020-03-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90955, '2020-03-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90956, '2020-03-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90957, '2020-03-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90958, '2020-03-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90959, '2020-03-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90960, '2020-03-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90961, '2020-03-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90962, '2020-03-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90963, '2020-03-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90964, '2020-03-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90965, '2020-03-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90966, '2020-03-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90967, '2020-03-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90968, '2020-03-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90969, '2020-03-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90970, '2020-03-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90971, '2020-03-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90972, '2020-03-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90973, '2020-03-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90974, '2020-03-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90975, '2020-04-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90976, '2020-04-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90977, '2020-04-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90978, '2020-04-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90979, '2020-04-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90980, '2020-04-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90981, '2020-04-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90982, '2020-04-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90983, '2020-04-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90984, '2020-04-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90985, '2020-04-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90986, '2020-04-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90987, '2020-04-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90988, '2020-04-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90989, '2020-04-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90990, '2020-04-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90991, '2020-04-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90992, '2020-04-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90993, '2020-04-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90994, '2020-04-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90995, '2020-04-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90996, '2020-04-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90997, '2020-04-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90998, '2020-04-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (90999, '2020-04-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91000, '2020-04-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91001, '2020-04-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91002, '2020-04-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91003, '2020-04-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91004, '2020-04-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91005, '2020-05-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91006, '2020-05-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91007, '2020-05-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91008, '2020-05-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91009, '2020-05-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91010, '2020-05-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91011, '2020-05-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91012, '2020-05-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91013, '2020-05-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91014, '2020-05-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91015, '2020-05-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91016, '2020-05-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91017, '2020-05-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91018, '2020-05-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91019, '2020-05-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91020, '2020-05-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91021, '2020-05-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91022, '2020-05-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91023, '2020-05-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91024, '2020-05-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91025, '2020-05-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91026, '2020-05-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91027, '2020-05-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91028, '2020-05-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91029, '2020-05-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91030, '2020-05-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91031, '2020-05-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91032, '2020-05-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91033, '2020-05-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91034, '2020-05-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91035, '2020-05-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91036, '2020-06-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91037, '2020-06-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91038, '2020-06-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91039, '2020-06-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91040, '2020-06-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91041, '2020-06-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91042, '2020-06-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91043, '2020-06-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91044, '2020-06-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91045, '2020-06-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91046, '2020-06-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91047, '2020-06-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91048, '2020-06-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91049, '2020-06-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91050, '2020-06-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91051, '2020-06-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91052, '2020-06-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91053, '2020-06-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91054, '2020-06-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91055, '2020-06-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91056, '2020-06-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91057, '2020-06-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91058, '2020-06-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91059, '2020-06-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91060, '2020-06-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91061, '2020-06-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91062, '2020-06-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91063, '2020-06-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91064, '2020-06-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91065, '2020-06-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91066, '2020-07-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91067, '2020-07-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91068, '2020-07-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91069, '2020-07-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91070, '2020-07-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91071, '2020-07-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91072, '2020-07-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91073, '2020-07-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91074, '2020-07-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91075, '2020-07-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91076, '2020-07-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91077, '2020-07-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91078, '2020-07-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91079, '2020-07-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91080, '2020-07-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91081, '2020-07-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91082, '2020-07-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91083, '2020-07-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91084, '2020-07-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91085, '2020-07-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91086, '2020-07-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91087, '2020-07-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91088, '2020-07-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91089, '2020-07-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91090, '2020-07-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91091, '2020-07-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91092, '2020-07-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91093, '2020-07-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91094, '2020-07-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91095, '2020-07-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91096, '2020-07-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91097, '2020-08-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91098, '2020-08-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91099, '2020-08-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91100, '2020-08-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91101, '2020-08-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91102, '2020-08-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91103, '2020-08-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91104, '2020-08-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91105, '2020-08-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91106, '2020-08-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91107, '2020-08-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91108, '2020-08-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91109, '2020-08-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91110, '2020-08-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91111, '2020-08-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91112, '2020-08-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91113, '2020-08-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91114, '2020-08-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91115, '2020-08-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91116, '2020-08-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91117, '2020-08-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91118, '2020-08-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91119, '2020-08-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91120, '2020-08-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91121, '2020-08-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91122, '2020-08-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91123, '2020-08-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91124, '2020-08-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91125, '2020-08-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91126, '2020-08-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91127, '2020-08-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91128, '2020-09-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91129, '2020-09-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91130, '2020-09-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91131, '2020-09-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91132, '2020-09-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91133, '2020-09-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91134, '2020-09-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91135, '2020-09-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91136, '2020-09-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91137, '2020-09-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91138, '2020-09-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91139, '2020-09-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91140, '2020-09-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91141, '2020-09-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91142, '2020-09-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91143, '2020-09-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91144, '2020-09-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91145, '2020-09-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91146, '2020-09-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91147, '2020-09-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91148, '2020-09-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91149, '2020-09-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91150, '2020-09-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91151, '2020-09-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91152, '2020-09-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91153, '2020-09-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91154, '2020-09-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91155, '2020-09-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91156, '2020-09-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91157, '2020-09-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91158, '2020-10-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91159, '2020-10-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91160, '2020-10-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91161, '2020-10-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91162, '2020-10-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91163, '2020-10-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91164, '2020-10-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91165, '2020-10-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91166, '2020-10-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91167, '2020-10-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91168, '2020-10-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91169, '2020-10-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91170, '2020-10-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91171, '2020-10-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91172, '2020-10-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91173, '2020-10-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91174, '2020-10-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91175, '2020-10-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91176, '2020-10-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91177, '2020-10-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91178, '2020-10-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91179, '2020-10-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91180, '2020-10-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91181, '2020-10-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91182, '2020-10-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91183, '2020-10-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91184, '2020-10-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91185, '2020-10-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91186, '2020-10-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91187, '2020-10-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91188, '2020-10-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91189, '2020-11-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91190, '2020-11-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91191, '2020-11-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91192, '2020-11-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91193, '2020-11-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91194, '2020-11-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91195, '2020-11-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91196, '2020-11-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91197, '2020-11-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91198, '2020-11-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91199, '2020-11-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91200, '2020-11-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91201, '2020-11-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91202, '2020-11-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91203, '2020-11-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91204, '2020-11-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91205, '2020-11-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91206, '2020-11-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91207, '2020-11-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91208, '2020-11-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91209, '2020-11-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91210, '2020-11-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91211, '2020-11-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91212, '2020-11-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91213, '2020-11-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91214, '2020-11-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91215, '2020-11-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91216, '2020-11-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91217, '2020-11-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91218, '2020-11-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91219, '2020-12-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91220, '2020-12-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91221, '2020-12-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91222, '2020-12-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91223, '2020-12-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91224, '2020-12-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91225, '2020-12-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91226, '2020-12-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91227, '2020-12-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91228, '2020-12-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91229, '2020-12-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91230, '2020-12-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91231, '2020-12-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91232, '2020-12-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91233, '2020-12-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91234, '2020-12-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91235, '2020-12-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91236, '2020-12-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91237, '2020-12-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91238, '2020-12-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91239, '2020-12-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91240, '2020-12-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91241, '2020-12-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91242, '2020-12-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91243, '2020-12-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91244, '2020-12-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91245, '2020-12-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91246, '2020-12-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91247, '2020-12-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91248, '2020-12-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91249, '2020-12-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91250, '2021-01-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91251, '2021-01-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91252, '2021-01-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91253, '2021-01-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91254, '2021-01-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91255, '2021-01-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91256, '2021-01-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91257, '2021-01-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91258, '2021-01-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91259, '2021-01-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91260, '2021-01-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91261, '2021-01-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91262, '2021-01-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91263, '2021-01-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91264, '2021-01-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91265, '2021-01-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91266, '2021-01-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91267, '2021-01-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91268, '2021-01-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91269, '2021-01-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91270, '2021-01-21', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91271, '2021-01-22', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91272, '2021-01-23', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91273, '2021-01-24', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91274, '2021-01-25', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91275, '2021-01-26', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91276, '2021-01-27', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91277, '2021-01-28', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91278, '2021-01-29', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91279, '2021-01-30', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91280, '2021-01-31', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91281, '2021-02-01', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91282, '2021-02-02', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91283, '2021-02-03', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91284, '2021-02-04', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91285, '2021-02-05', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91286, '2021-02-06', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91287, '2021-02-07', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91288, '2021-02-08', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91289, '2021-02-09', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91290, '2021-02-10', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91291, '2021-02-11', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91292, '2021-02-12', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91293, '2021-02-13', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91294, '2021-02-14', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91295, '2021-02-15', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91296, '2021-02-16', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91297, '2021-02-17', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91298, '2021-02-18', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91299, '2021-02-19', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91300, '2021-02-20', 'TM', 'Turkmenistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91301, '2020-01-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91302, '2020-01-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91303, '2020-01-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91304, '2020-01-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91305, '2020-01-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91306, '2020-01-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91307, '2020-01-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91308, '2020-01-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91309, '2020-01-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91310, '2020-01-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91311, '2020-01-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91312, '2020-01-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91313, '2020-01-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91314, '2020-01-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91315, '2020-01-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91316, '2020-01-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91317, '2020-01-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91318, '2020-01-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91319, '2020-01-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91320, '2020-01-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91321, '2020-01-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91322, '2020-01-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91323, '2020-01-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91324, '2020-01-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91325, '2020-01-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91326, '2020-01-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91327, '2020-01-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91328, '2020-01-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91329, '2020-01-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91330, '2020-02-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91331, '2020-02-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91332, '2020-02-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91333, '2020-02-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91334, '2020-02-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91335, '2020-02-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91336, '2020-02-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91337, '2020-02-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91338, '2020-02-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91339, '2020-02-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91340, '2020-02-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91341, '2020-02-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91342, '2020-02-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91343, '2020-02-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91344, '2020-02-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91345, '2020-02-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91346, '2020-02-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91347, '2020-02-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91348, '2020-02-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91349, '2020-02-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91350, '2020-02-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91351, '2020-02-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91352, '2020-02-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91353, '2020-02-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91354, '2020-02-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91355, '2020-02-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91356, '2020-02-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91357, '2020-02-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91358, '2020-02-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91359, '2020-03-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91360, '2020-03-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91361, '2020-03-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91362, '2020-03-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91363, '2020-03-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91364, '2020-03-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91365, '2020-03-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91366, '2020-03-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91367, '2020-03-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91368, '2020-03-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91369, '2020-03-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91370, '2020-03-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91371, '2020-03-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91372, '2020-03-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91373, '2020-03-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91374, '2020-03-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91375, '2020-03-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91376, '2020-03-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91377, '2020-03-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91378, '2020-03-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91379, '2020-03-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91380, '2020-03-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91743, '2020-01-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91381, '2020-03-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91382, '2020-03-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (91383, '2020-03-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (91384, '2020-03-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (91385, '2020-03-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (91386, '2020-03-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (91387, '2020-03-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (91388, '2020-03-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '4', '0', '0');
INSERT INTO public.who_import VALUES (91389, '2020-03-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (91390, '2020-04-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (91391, '2020-04-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (91392, '2020-04-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (91393, '2020-04-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (91394, '2020-04-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (91395, '2020-04-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '1', '1');
INSERT INTO public.who_import VALUES (91396, '2020-04-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (91397, '2020-04-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '8', '0', '1');
INSERT INTO public.who_import VALUES (91398, '2020-04-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (91399, '2020-04-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (91400, '2020-04-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (91401, '2020-04-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (91402, '2020-04-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (91403, '2020-04-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (91404, '2020-04-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '10', '0', '1');
INSERT INTO public.who_import VALUES (91405, '2020-04-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '10', '0', '1');
INSERT INTO public.who_import VALUES (91406, '2020-04-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '11', '0', '1');
INSERT INTO public.who_import VALUES (91407, '2020-04-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91408, '2020-04-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91409, '2020-04-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91410, '2020-04-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91411, '2020-04-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91412, '2020-04-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91413, '2020-04-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91414, '2020-04-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91415, '2020-04-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91416, '2020-04-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '11', '0', '1');
INSERT INTO public.who_import VALUES (91417, '2020-04-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '12', '0', '1');
INSERT INTO public.who_import VALUES (91418, '2020-04-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91419, '2020-04-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91420, '2020-05-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91421, '2020-05-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91422, '2020-05-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91423, '2020-05-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91424, '2020-05-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91425, '2020-05-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91426, '2020-05-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91427, '2020-05-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91428, '2020-05-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91429, '2020-05-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91430, '2020-05-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91431, '2020-05-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91432, '2020-05-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91433, '2020-05-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91434, '2020-05-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91435, '2020-05-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91436, '2020-05-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91437, '2020-05-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91438, '2020-05-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91439, '2020-05-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91440, '2020-05-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91441, '2020-05-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91442, '2020-05-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91443, '2020-05-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91444, '2020-05-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91445, '2020-05-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91446, '2020-05-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91447, '2020-05-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91448, '2020-05-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91449, '2020-05-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91450, '2020-05-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91451, '2020-06-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91452, '2020-06-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91453, '2020-06-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91454, '2020-06-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91455, '2020-06-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91456, '2020-06-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91457, '2020-06-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91458, '2020-06-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91459, '2020-06-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91460, '2020-06-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91461, '2020-06-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91462, '2020-06-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91463, '2020-06-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91464, '2020-06-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91465, '2020-06-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91466, '2020-06-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91467, '2020-06-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91468, '2020-06-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91469, '2020-06-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91470, '2020-06-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91744, '2020-01-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91471, '2020-06-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '12', '0', '1');
INSERT INTO public.who_import VALUES (91472, '2020-06-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '14', '0', '1');
INSERT INTO public.who_import VALUES (91473, '2020-06-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (91474, '2020-06-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (91475, '2020-06-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '14', '0', '1');
INSERT INTO public.who_import VALUES (91476, '2020-06-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '15', '0', '1');
INSERT INTO public.who_import VALUES (91477, '2020-06-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '16', '0', '1');
INSERT INTO public.who_import VALUES (91478, '2020-06-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (91479, '2020-06-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '16', '0', '1');
INSERT INTO public.who_import VALUES (91480, '2020-06-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '25', '41', '0', '1');
INSERT INTO public.who_import VALUES (91481, '2020-07-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '41', '1', '2');
INSERT INTO public.who_import VALUES (91482, '2020-07-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '42', '0', '2');
INSERT INTO public.who_import VALUES (91483, '2020-07-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '42', '0', '2');
INSERT INTO public.who_import VALUES (91484, '2020-07-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '44', '0', '2');
INSERT INTO public.who_import VALUES (91485, '2020-07-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '45', '0', '2');
INSERT INTO public.who_import VALUES (91486, '2020-07-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '47', '0', '2');
INSERT INTO public.who_import VALUES (91487, '2020-07-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '48', '0', '2');
INSERT INTO public.who_import VALUES (91488, '2020-07-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '49', '0', '2');
INSERT INTO public.who_import VALUES (91489, '2020-07-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '6', '55', '0', '2');
INSERT INTO public.who_import VALUES (91490, '2020-07-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '55', '0', '2');
INSERT INTO public.who_import VALUES (91491, '2020-07-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '11', '66', '0', '2');
INSERT INTO public.who_import VALUES (91492, '2020-07-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '66', '0', '2');
INSERT INTO public.who_import VALUES (91493, '2020-07-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '71', '0', '2');
INSERT INTO public.who_import VALUES (91494, '2020-07-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '72', '0', '2');
INSERT INTO public.who_import VALUES (91495, '2020-07-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '72', '0', '2');
INSERT INTO public.who_import VALUES (91496, '2020-07-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '72', '0', '2');
INSERT INTO public.who_import VALUES (91497, '2020-07-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '72', '0', '2');
INSERT INTO public.who_import VALUES (91498, '2020-07-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '74', '0', '2');
INSERT INTO public.who_import VALUES (91499, '2020-07-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '75', '0', '2');
INSERT INTO public.who_import VALUES (91500, '2020-07-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '75', '0', '2');
INSERT INTO public.who_import VALUES (91501, '2020-07-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '6', '81', '0', '2');
INSERT INTO public.who_import VALUES (91502, '2020-07-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '81', '0', '2');
INSERT INTO public.who_import VALUES (91503, '2020-07-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '82', '0', '2');
INSERT INTO public.who_import VALUES (91504, '2020-07-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '86', '0', '2');
INSERT INTO public.who_import VALUES (91505, '2020-07-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '90', '0', '2');
INSERT INTO public.who_import VALUES (91506, '2020-07-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '92', '0', '2');
INSERT INTO public.who_import VALUES (91507, '2020-07-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '97', '0', '2');
INSERT INTO public.who_import VALUES (91508, '2020-07-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '99', '0', '2');
INSERT INTO public.who_import VALUES (91509, '2020-07-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '99', '0', '2');
INSERT INTO public.who_import VALUES (91510, '2020-07-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '99', '0', '2');
INSERT INTO public.who_import VALUES (91511, '2020-07-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '104', '0', '2');
INSERT INTO public.who_import VALUES (91512, '2020-08-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '107', '0', '2');
INSERT INTO public.who_import VALUES (91513, '2020-08-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '7', '114', '0', '2');
INSERT INTO public.who_import VALUES (91514, '2020-08-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '114', '0', '2');
INSERT INTO public.who_import VALUES (91515, '2020-08-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '114', '0', '2');
INSERT INTO public.who_import VALUES (91516, '2020-08-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '116', '0', '2');
INSERT INTO public.who_import VALUES (91517, '2020-08-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '116', '0', '2');
INSERT INTO public.who_import VALUES (91518, '2020-08-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '13', '129', '0', '2');
INSERT INTO public.who_import VALUES (91519, '2020-08-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '12', '141', '0', '2');
INSERT INTO public.who_import VALUES (91520, '2020-08-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '29', '170', '0', '2');
INSERT INTO public.who_import VALUES (91521, '2020-08-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '27', '197', '0', '2');
INSERT INTO public.who_import VALUES (91522, '2020-08-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '19', '216', '0', '2');
INSERT INTO public.who_import VALUES (91523, '2020-08-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '216', '0', '2');
INSERT INTO public.who_import VALUES (91524, '2020-08-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '8', '224', '0', '2');
INSERT INTO public.who_import VALUES (91525, '2020-08-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '17', '241', '0', '2');
INSERT INTO public.who_import VALUES (91526, '2020-08-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '17', '258', '0', '2');
INSERT INTO public.who_import VALUES (91527, '2020-08-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '16', '274', '0', '2');
INSERT INTO public.who_import VALUES (91528, '2020-08-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '24', '298', '0', '2');
INSERT INTO public.who_import VALUES (91529, '2020-08-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '298', '0', '2');
INSERT INTO public.who_import VALUES (91530, '2020-08-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '298', '0', '2');
INSERT INTO public.who_import VALUES (91531, '2020-08-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '17', '315', '0', '2');
INSERT INTO public.who_import VALUES (91532, '2020-08-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '12', '327', '0', '2');
INSERT INTO public.who_import VALUES (91533, '2020-08-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '7', '334', '0', '2');
INSERT INTO public.who_import VALUES (91534, '2020-08-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '13', '347', '0', '2');
INSERT INTO public.who_import VALUES (91535, '2020-08-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '36', '383', '0', '2');
INSERT INTO public.who_import VALUES (91536, '2020-08-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '383', '0', '2');
INSERT INTO public.who_import VALUES (91537, '2020-08-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '383', '0', '2');
INSERT INTO public.who_import VALUES (91538, '2020-08-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '48', '431', '0', '2');
INSERT INTO public.who_import VALUES (91539, '2020-08-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '33', '464', '1', '3');
INSERT INTO public.who_import VALUES (91540, '2020-08-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '18', '482', '0', '3');
INSERT INTO public.who_import VALUES (91541, '2020-08-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '8', '490', '0', '3');
INSERT INTO public.who_import VALUES (91542, '2020-08-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '15', '505', '0', '3');
INSERT INTO public.who_import VALUES (91543, '2020-09-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '507', '0', '3');
INSERT INTO public.who_import VALUES (91544, '2020-09-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '508', '1', '4');
INSERT INTO public.who_import VALUES (91545, '2020-09-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '30', '538', '0', '4');
INSERT INTO public.who_import VALUES (91546, '2020-09-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '17', '555', '0', '4');
INSERT INTO public.who_import VALUES (91547, '2020-09-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '22', '577', '1', '5');
INSERT INTO public.who_import VALUES (91548, '2020-09-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '14', '591', '0', '5');
INSERT INTO public.who_import VALUES (91549, '2020-09-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '7', '598', '0', '5');
INSERT INTO public.who_import VALUES (91550, '2020-09-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '599', '0', '5');
INSERT INTO public.who_import VALUES (91551, '2020-09-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '599', '0', '5');
INSERT INTO public.who_import VALUES (91552, '2020-09-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '15', '614', '0', '5');
INSERT INTO public.who_import VALUES (91553, '2020-09-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '14', '628', '0', '5');
INSERT INTO public.who_import VALUES (91554, '2020-09-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '10', '638', '0', '5');
INSERT INTO public.who_import VALUES (91555, '2020-09-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '641', '0', '5');
INSERT INTO public.who_import VALUES (91556, '2020-09-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '644', '0', '5');
INSERT INTO public.who_import VALUES (91557, '2020-09-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '646', '0', '5');
INSERT INTO public.who_import VALUES (91558, '2020-09-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '648', '0', '5');
INSERT INTO public.who_import VALUES (91745, '2020-02-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91559, '2020-09-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '650', '0', '5');
INSERT INTO public.who_import VALUES (91560, '2020-09-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '9', '659', '0', '5');
INSERT INTO public.who_import VALUES (91561, '2020-09-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '663', '0', '5');
INSERT INTO public.who_import VALUES (91562, '2020-09-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '667', '0', '5');
INSERT INTO public.who_import VALUES (91563, '2020-09-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '668', '0', '5');
INSERT INTO public.who_import VALUES (91564, '2020-09-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '668', '0', '5');
INSERT INTO public.who_import VALUES (91565, '2020-09-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '668', '0', '5');
INSERT INTO public.who_import VALUES (91566, '2020-09-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '672', '0', '5');
INSERT INTO public.who_import VALUES (91567, '2020-09-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '676', '0', '5');
INSERT INTO public.who_import VALUES (91568, '2020-09-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '679', '0', '5');
INSERT INTO public.who_import VALUES (91569, '2020-09-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '680', '0', '5');
INSERT INTO public.who_import VALUES (91570, '2020-09-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '681', '0', '5');
INSERT INTO public.who_import VALUES (91571, '2020-09-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '682', '0', '5');
INSERT INTO public.who_import VALUES (91572, '2020-09-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '682', '0', '5');
INSERT INTO public.who_import VALUES (91573, '2020-10-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '686', '1', '6');
INSERT INTO public.who_import VALUES (91574, '2020-10-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '689', '0', '6');
INSERT INTO public.who_import VALUES (91575, '2020-10-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '690', '0', '6');
INSERT INTO public.who_import VALUES (91576, '2020-10-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '695', '0', '6');
INSERT INTO public.who_import VALUES (91577, '2020-10-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91578, '2020-10-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91579, '2020-10-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91580, '2020-10-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91581, '2020-10-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91582, '2020-10-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91583, '2020-10-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '695', '0', '6');
INSERT INTO public.who_import VALUES (91584, '2020-10-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '696', '0', '6');
INSERT INTO public.who_import VALUES (91585, '2020-10-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '696', '0', '6');
INSERT INTO public.who_import VALUES (91586, '2020-10-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '696', '0', '6');
INSERT INTO public.who_import VALUES (91587, '2020-10-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '696', '0', '6');
INSERT INTO public.who_import VALUES (91588, '2020-10-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '696', '0', '6');
INSERT INTO public.who_import VALUES (91589, '2020-10-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '696', '0', '6');
INSERT INTO public.who_import VALUES (91590, '2020-10-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '697', '0', '6');
INSERT INTO public.who_import VALUES (91591, '2020-10-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '698', '0', '6');
INSERT INTO public.who_import VALUES (91592, '2020-10-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '698', '0', '6');
INSERT INTO public.who_import VALUES (91593, '2020-10-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '698', '0', '6');
INSERT INTO public.who_import VALUES (91594, '2020-10-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '698', '0', '6');
INSERT INTO public.who_import VALUES (91595, '2020-10-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '698', '0', '6');
INSERT INTO public.who_import VALUES (91596, '2020-10-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '699', '0', '6');
INSERT INTO public.who_import VALUES (91597, '2020-10-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '699', '0', '6');
INSERT INTO public.who_import VALUES (91598, '2020-10-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '701', '0', '6');
INSERT INTO public.who_import VALUES (91599, '2020-10-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '701', '0', '6');
INSERT INTO public.who_import VALUES (91600, '2020-10-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '701', '0', '6');
INSERT INTO public.who_import VALUES (91601, '2020-10-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '703', '0', '6');
INSERT INTO public.who_import VALUES (91602, '2020-10-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '703', '0', '6');
INSERT INTO public.who_import VALUES (91603, '2020-10-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '703', '0', '6');
INSERT INTO public.who_import VALUES (91604, '2020-11-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '703', '0', '6');
INSERT INTO public.who_import VALUES (91605, '2020-11-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '703', '0', '6');
INSERT INTO public.who_import VALUES (91606, '2020-11-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '704', '0', '6');
INSERT INTO public.who_import VALUES (91607, '2020-11-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '704', '0', '6');
INSERT INTO public.who_import VALUES (91608, '2020-11-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '704', '0', '6');
INSERT INTO public.who_import VALUES (91609, '2020-11-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '705', '0', '6');
INSERT INTO public.who_import VALUES (91610, '2020-11-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '705', '0', '6');
INSERT INTO public.who_import VALUES (91611, '2020-11-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '707', '0', '6');
INSERT INTO public.who_import VALUES (91612, '2020-11-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '707', '0', '6');
INSERT INTO public.who_import VALUES (91613, '2020-11-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '707', '0', '6');
INSERT INTO public.who_import VALUES (91614, '2020-11-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '707', '0', '6');
INSERT INTO public.who_import VALUES (91615, '2020-11-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '711', '0', '6');
INSERT INTO public.who_import VALUES (91616, '2020-11-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '716', '0', '6');
INSERT INTO public.who_import VALUES (91617, '2020-11-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '716', '0', '6');
INSERT INTO public.who_import VALUES (91618, '2020-11-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '716', '0', '6');
INSERT INTO public.who_import VALUES (91619, '2020-11-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '720', '0', '6');
INSERT INTO public.who_import VALUES (91620, '2020-11-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '720', '0', '6');
INSERT INTO public.who_import VALUES (91621, '2020-11-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '720', '0', '6');
INSERT INTO public.who_import VALUES (91622, '2020-11-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '721', '0', '6');
INSERT INTO public.who_import VALUES (91623, '2020-11-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '721', '0', '6');
INSERT INTO public.who_import VALUES (91624, '2020-11-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '726', '0', '6');
INSERT INTO public.who_import VALUES (91625, '2020-11-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '726', '0', '6');
INSERT INTO public.who_import VALUES (91626, '2020-11-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '20', '746', '0', '6');
INSERT INTO public.who_import VALUES (91627, '2020-11-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '746', '0', '6');
INSERT INTO public.who_import VALUES (91628, '2020-11-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '746', '0', '6');
INSERT INTO public.who_import VALUES (91629, '2020-11-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '746', '0', '6');
INSERT INTO public.who_import VALUES (91630, '2020-11-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '746', '0', '6');
INSERT INTO public.who_import VALUES (91631, '2020-11-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '746', '0', '6');
INSERT INTO public.who_import VALUES (91632, '2020-11-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '748', '0', '6');
INSERT INTO public.who_import VALUES (91633, '2020-11-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '748', '0', '6');
INSERT INTO public.who_import VALUES (91634, '2020-12-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '748', '0', '6');
INSERT INTO public.who_import VALUES (91635, '2020-12-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '748', '0', '6');
INSERT INTO public.who_import VALUES (91636, '2020-12-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '750', '0', '6');
INSERT INTO public.who_import VALUES (91637, '2020-12-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '751', '0', '6');
INSERT INTO public.who_import VALUES (91638, '2020-12-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '751', '0', '6');
INSERT INTO public.who_import VALUES (91639, '2020-12-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '755', '0', '6');
INSERT INTO public.who_import VALUES (91640, '2020-12-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '756', '0', '6');
INSERT INTO public.who_import VALUES (91641, '2020-12-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '756', '0', '6');
INSERT INTO public.who_import VALUES (91642, '2020-12-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '756', '0', '6');
INSERT INTO public.who_import VALUES (91643, '2020-12-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '761', '0', '6');
INSERT INTO public.who_import VALUES (91644, '2020-12-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '7', '768', '0', '6');
INSERT INTO public.who_import VALUES (91645, '2020-12-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '768', '0', '6');
INSERT INTO public.who_import VALUES (91646, '2020-12-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '769', '0', '6');
INSERT INTO public.who_import VALUES (91746, '2020-02-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91647, '2020-12-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '769', '0', '6');
INSERT INTO public.who_import VALUES (91648, '2020-12-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '769', '0', '6');
INSERT INTO public.who_import VALUES (91649, '2020-12-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '769', '0', '6');
INSERT INTO public.who_import VALUES (91650, '2020-12-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '2', '771', '0', '6');
INSERT INTO public.who_import VALUES (91651, '2020-12-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '772', '0', '6');
INSERT INTO public.who_import VALUES (91652, '2020-12-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '9', '781', '0', '6');
INSERT INTO public.who_import VALUES (91653, '2020-12-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '8', '789', '0', '6');
INSERT INTO public.who_import VALUES (91654, '2020-12-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '9', '798', '0', '6');
INSERT INTO public.who_import VALUES (91655, '2020-12-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '798', '0', '6');
INSERT INTO public.who_import VALUES (91656, '2020-12-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '798', '0', '6');
INSERT INTO public.who_import VALUES (91657, '2020-12-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '9', '807', '0', '6');
INSERT INTO public.who_import VALUES (91658, '2020-12-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '810', '0', '6');
INSERT INTO public.who_import VALUES (91659, '2020-12-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '19', '829', '0', '6');
INSERT INTO public.who_import VALUES (91660, '2020-12-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '15', '844', '0', '6');
INSERT INTO public.who_import VALUES (91661, '2020-12-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '844', '0', '6');
INSERT INTO public.who_import VALUES (91662, '2020-12-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '5', '849', '0', '6');
INSERT INTO public.who_import VALUES (91663, '2020-12-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '16', '865', '0', '6');
INSERT INTO public.who_import VALUES (91664, '2020-12-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '865', '0', '6');
INSERT INTO public.who_import VALUES (91665, '2021-01-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '9', '874', '0', '6');
INSERT INTO public.who_import VALUES (91666, '2021-01-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '19', '893', '0', '6');
INSERT INTO public.who_import VALUES (91667, '2021-01-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '15', '908', '0', '6');
INSERT INTO public.who_import VALUES (91668, '2021-01-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '909', '0', '6');
INSERT INTO public.who_import VALUES (91669, '2021-01-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '910', '0', '6');
INSERT INTO public.who_import VALUES (91670, '2021-01-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '910', '0', '6');
INSERT INTO public.who_import VALUES (91671, '2021-01-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '8', '918', '0', '6');
INSERT INTO public.who_import VALUES (91672, '2021-01-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '23', '941', '0', '6');
INSERT INTO public.who_import VALUES (91673, '2021-01-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '15', '956', '0', '6');
INSERT INTO public.who_import VALUES (91674, '2021-01-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '9', '965', '0', '6');
INSERT INTO public.who_import VALUES (91675, '2021-01-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '29', '994', '0', '6');
INSERT INTO public.who_import VALUES (91676, '2021-01-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '994', '0', '6');
INSERT INTO public.who_import VALUES (91677, '2021-01-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '994', '0', '6');
INSERT INTO public.who_import VALUES (91678, '2021-01-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '17', '1011', '0', '6');
INSERT INTO public.who_import VALUES (91679, '2021-01-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '19', '1030', '0', '6');
INSERT INTO public.who_import VALUES (91680, '2021-01-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '32', '1062', '0', '6');
INSERT INTO public.who_import VALUES (91681, '2021-01-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '17', '1079', '0', '6');
INSERT INTO public.who_import VALUES (91682, '2021-01-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '23', '1102', '0', '6');
INSERT INTO public.who_import VALUES (91683, '2021-01-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1102', '0', '6');
INSERT INTO public.who_import VALUES (91684, '2021-01-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '3', '1105', '1', '7');
INSERT INTO public.who_import VALUES (91685, '2021-01-21', 'TC', 'Turks and Caicos Islands', 'AMRO', '20', '1125', '0', '7');
INSERT INTO public.who_import VALUES (91686, '2021-01-22', 'TC', 'Turks and Caicos Islands', 'AMRO', '39', '1164', '0', '7');
INSERT INTO public.who_import VALUES (91687, '2021-01-23', 'TC', 'Turks and Caicos Islands', 'AMRO', '29', '1193', '0', '7');
INSERT INTO public.who_import VALUES (91688, '2021-01-24', 'TC', 'Turks and Caicos Islands', 'AMRO', '51', '1244', '0', '7');
INSERT INTO public.who_import VALUES (91689, '2021-01-25', 'TC', 'Turks and Caicos Islands', 'AMRO', '43', '1287', '0', '7');
INSERT INTO public.who_import VALUES (91690, '2021-01-26', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1287', '0', '7');
INSERT INTO public.who_import VALUES (91691, '2021-01-27', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1287', '1', '8');
INSERT INTO public.who_import VALUES (91692, '2021-01-28', 'TC', 'Turks and Caicos Islands', 'AMRO', '25', '1312', '0', '8');
INSERT INTO public.who_import VALUES (91693, '2021-01-29', 'TC', 'Turks and Caicos Islands', 'AMRO', '75', '1387', '0', '8');
INSERT INTO public.who_import VALUES (91694, '2021-01-30', 'TC', 'Turks and Caicos Islands', 'AMRO', '48', '1435', '0', '8');
INSERT INTO public.who_import VALUES (91695, '2021-01-31', 'TC', 'Turks and Caicos Islands', 'AMRO', '24', '1459', '0', '8');
INSERT INTO public.who_import VALUES (91696, '2021-02-01', 'TC', 'Turks and Caicos Islands', 'AMRO', '44', '1503', '1', '9');
INSERT INTO public.who_import VALUES (91697, '2021-02-02', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '1504', '0', '9');
INSERT INTO public.who_import VALUES (91698, '2021-02-03', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1504', '0', '9');
INSERT INTO public.who_import VALUES (91699, '2021-02-04', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1504', '0', '9');
INSERT INTO public.who_import VALUES (91700, '2021-02-05', 'TC', 'Turks and Caicos Islands', 'AMRO', '49', '1553', '0', '9');
INSERT INTO public.who_import VALUES (91701, '2021-02-06', 'TC', 'Turks and Caicos Islands', 'AMRO', '37', '1590', '0', '9');
INSERT INTO public.who_import VALUES (91702, '2021-02-07', 'TC', 'Turks and Caicos Islands', 'AMRO', '64', '1654', '0', '9');
INSERT INTO public.who_import VALUES (91703, '2021-02-08', 'TC', 'Turks and Caicos Islands', 'AMRO', '41', '1695', '0', '9');
INSERT INTO public.who_import VALUES (91704, '2021-02-09', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1695', '0', '9');
INSERT INTO public.who_import VALUES (91705, '2021-02-10', 'TC', 'Turks and Caicos Islands', 'AMRO', '0', '1695', '0', '9');
INSERT INTO public.who_import VALUES (91706, '2021-02-11', 'TC', 'Turks and Caicos Islands', 'AMRO', '43', '1738', '0', '9');
INSERT INTO public.who_import VALUES (91707, '2021-02-12', 'TC', 'Turks and Caicos Islands', 'AMRO', '46', '1784', '1', '10');
INSERT INTO public.who_import VALUES (91708, '2021-02-13', 'TC', 'Turks and Caicos Islands', 'AMRO', '28', '1812', '2', '12');
INSERT INTO public.who_import VALUES (91709, '2021-02-14', 'TC', 'Turks and Caicos Islands', 'AMRO', '21', '1833', '0', '12');
INSERT INTO public.who_import VALUES (91710, '2021-02-15', 'TC', 'Turks and Caicos Islands', 'AMRO', '36', '1869', '0', '12');
INSERT INTO public.who_import VALUES (91711, '2021-02-16', 'TC', 'Turks and Caicos Islands', 'AMRO', '4', '1873', '1', '13');
INSERT INTO public.who_import VALUES (91712, '2021-02-17', 'TC', 'Turks and Caicos Islands', 'AMRO', '1', '1874', '0', '13');
INSERT INTO public.who_import VALUES (91713, '2021-02-18', 'TC', 'Turks and Caicos Islands', 'AMRO', '35', '1909', '0', '13');
INSERT INTO public.who_import VALUES (91714, '2021-02-19', 'TC', 'Turks and Caicos Islands', 'AMRO', '19', '1928', '0', '13');
INSERT INTO public.who_import VALUES (91715, '2021-02-20', 'TC', 'Turks and Caicos Islands', 'AMRO', '56', '1984', '0', '13');
INSERT INTO public.who_import VALUES (91716, '2020-01-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91717, '2020-01-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91718, '2020-01-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91719, '2020-01-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91720, '2020-01-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91721, '2020-01-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91722, '2020-01-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91723, '2020-01-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91724, '2020-01-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91725, '2020-01-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91726, '2020-01-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91727, '2020-01-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91728, '2020-01-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91729, '2020-01-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91730, '2020-01-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91731, '2020-01-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91732, '2020-01-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91733, '2020-01-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91734, '2020-01-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91735, '2020-01-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91736, '2020-01-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91737, '2020-01-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91738, '2020-01-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91739, '2020-01-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91740, '2020-01-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91741, '2020-01-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91747, '2020-02-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91748, '2020-02-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91749, '2020-02-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91750, '2020-02-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91751, '2020-02-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91752, '2020-02-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91753, '2020-02-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91754, '2020-02-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91755, '2020-02-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91756, '2020-02-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91757, '2020-02-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91758, '2020-02-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91759, '2020-02-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91760, '2020-02-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91761, '2020-02-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91762, '2020-02-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91763, '2020-02-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91764, '2020-02-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91765, '2020-02-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91766, '2020-02-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91767, '2020-02-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91768, '2020-02-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91769, '2020-02-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91770, '2020-02-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91771, '2020-02-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91772, '2020-02-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91773, '2020-02-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91774, '2020-03-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91775, '2020-03-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91776, '2020-03-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91777, '2020-03-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91778, '2020-03-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91779, '2020-03-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91780, '2020-03-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91781, '2020-03-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91782, '2020-03-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91783, '2020-03-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91784, '2020-03-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91785, '2020-03-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91786, '2020-03-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91787, '2020-03-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91788, '2020-03-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91789, '2020-03-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91790, '2020-03-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91791, '2020-03-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91792, '2020-03-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91793, '2020-03-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91794, '2020-03-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91795, '2020-03-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91796, '2020-03-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91797, '2020-03-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91798, '2020-03-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91799, '2020-03-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91800, '2020-03-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91801, '2020-03-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91802, '2020-03-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91803, '2020-03-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91804, '2020-03-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91805, '2020-04-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91806, '2020-04-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91807, '2020-04-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91808, '2020-04-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91809, '2020-04-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91810, '2020-04-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91811, '2020-04-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91812, '2020-04-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91813, '2020-04-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91814, '2020-04-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91815, '2020-04-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91816, '2020-04-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91817, '2020-04-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91818, '2020-04-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91819, '2020-04-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91820, '2020-04-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91821, '2020-04-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91822, '2020-04-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91823, '2020-04-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91824, '2020-04-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91825, '2020-04-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91826, '2020-04-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91827, '2020-04-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91828, '2020-04-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91829, '2020-04-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91830, '2020-04-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91831, '2020-04-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91832, '2020-04-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91833, '2020-04-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91834, '2020-04-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91835, '2020-05-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91836, '2020-05-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91837, '2020-05-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91838, '2020-05-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91839, '2020-05-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91840, '2020-05-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91841, '2020-05-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91842, '2020-05-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91843, '2020-05-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91844, '2020-05-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91845, '2020-05-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91846, '2020-05-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91847, '2020-05-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91848, '2020-05-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91849, '2020-05-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91850, '2020-05-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91851, '2020-05-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91852, '2020-05-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91853, '2020-05-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91854, '2020-05-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91855, '2020-05-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91856, '2020-05-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91857, '2020-05-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91858, '2020-05-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91859, '2020-05-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91860, '2020-05-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91861, '2020-05-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91862, '2020-05-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91863, '2020-05-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91864, '2020-05-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91865, '2020-05-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91866, '2020-06-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91867, '2020-06-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91868, '2020-06-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91869, '2020-06-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91870, '2020-06-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91871, '2020-06-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91872, '2020-06-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91873, '2020-06-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91874, '2020-06-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91875, '2020-06-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91876, '2020-06-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91877, '2020-06-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91878, '2020-06-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91879, '2020-06-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91880, '2020-06-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91881, '2020-06-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91882, '2020-06-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91883, '2020-06-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91884, '2020-06-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91885, '2020-06-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91886, '2020-06-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91887, '2020-06-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91888, '2020-06-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91889, '2020-06-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91890, '2020-06-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91891, '2020-06-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91892, '2020-06-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91893, '2020-06-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91894, '2020-06-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91895, '2020-06-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91896, '2020-07-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91897, '2020-07-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91898, '2020-07-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91899, '2020-07-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91900, '2020-07-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91901, '2020-07-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91902, '2020-07-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91903, '2020-07-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91904, '2020-07-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91905, '2020-07-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91906, '2020-07-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91907, '2020-07-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91908, '2020-07-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91909, '2020-07-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91910, '2020-07-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91911, '2020-07-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91912, '2020-07-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91913, '2020-07-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91914, '2020-07-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91915, '2020-07-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91916, '2020-07-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91917, '2020-07-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91918, '2020-07-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91919, '2020-07-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91920, '2020-07-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91921, '2020-07-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91922, '2020-07-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91923, '2020-07-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91924, '2020-07-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91925, '2020-07-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91926, '2020-07-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91927, '2020-08-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91928, '2020-08-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91929, '2020-08-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91930, '2020-08-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91931, '2020-08-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91932, '2020-08-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91933, '2020-08-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91934, '2020-08-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91935, '2020-08-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91936, '2020-08-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91937, '2020-08-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91938, '2020-08-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91939, '2020-08-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91940, '2020-08-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91941, '2020-08-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91942, '2020-08-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91943, '2020-08-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91944, '2020-08-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91945, '2020-08-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91946, '2020-08-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91947, '2020-08-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91948, '2020-08-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91949, '2020-08-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91950, '2020-08-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91951, '2020-08-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91952, '2020-08-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91953, '2020-08-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91954, '2020-08-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91955, '2020-08-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91956, '2020-08-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91957, '2020-08-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91958, '2020-09-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91959, '2020-09-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91960, '2020-09-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91961, '2020-09-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91962, '2020-09-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91963, '2020-09-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91964, '2020-09-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91965, '2020-09-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91966, '2020-09-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91967, '2020-09-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91968, '2020-09-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91969, '2020-09-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91970, '2020-09-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91971, '2020-09-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91972, '2020-09-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91973, '2020-09-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91974, '2020-09-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91975, '2020-09-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91976, '2020-09-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91977, '2020-09-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91978, '2020-09-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91979, '2020-09-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91980, '2020-09-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91981, '2020-09-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91982, '2020-09-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91983, '2020-09-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91984, '2020-09-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91985, '2020-09-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91986, '2020-09-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91987, '2020-09-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91988, '2020-10-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91989, '2020-10-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91990, '2020-10-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91991, '2020-10-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91992, '2020-10-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91993, '2020-10-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91994, '2020-10-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91995, '2020-10-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91996, '2020-10-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91997, '2020-10-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91998, '2020-10-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (91999, '2020-10-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92000, '2020-10-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92001, '2020-10-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92002, '2020-10-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92003, '2020-10-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92004, '2020-10-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92005, '2020-10-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92006, '2020-10-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92007, '2020-10-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92008, '2020-10-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92009, '2020-10-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92010, '2020-10-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92011, '2020-10-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92012, '2020-10-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92013, '2020-10-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92014, '2020-10-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92015, '2020-10-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92016, '2020-10-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92017, '2020-10-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92018, '2020-10-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92019, '2020-11-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92020, '2020-11-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92021, '2020-11-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92022, '2020-11-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92023, '2020-11-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92024, '2020-11-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92025, '2020-11-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92026, '2020-11-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92027, '2020-11-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92028, '2020-11-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92029, '2020-11-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92030, '2020-11-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92031, '2020-11-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92032, '2020-11-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92033, '2020-11-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92034, '2020-11-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92035, '2020-11-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92036, '2020-11-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92037, '2020-11-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92038, '2020-11-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92039, '2020-11-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92040, '2020-11-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92041, '2020-11-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92042, '2020-11-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92043, '2020-11-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92044, '2020-11-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92045, '2020-11-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92046, '2020-11-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92047, '2020-11-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92048, '2020-11-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92049, '2020-12-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92050, '2020-12-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92051, '2020-12-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92052, '2020-12-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92053, '2020-12-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92054, '2020-12-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92055, '2020-12-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92056, '2020-12-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92057, '2020-12-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92058, '2020-12-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92059, '2020-12-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92060, '2020-12-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92061, '2020-12-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92062, '2020-12-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92063, '2020-12-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92064, '2020-12-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92065, '2020-12-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92066, '2020-12-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92067, '2020-12-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92068, '2020-12-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92069, '2020-12-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92070, '2020-12-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92071, '2020-12-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92072, '2020-12-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92073, '2020-12-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92074, '2020-12-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92075, '2020-12-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92076, '2020-12-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92077, '2020-12-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92078, '2020-12-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92079, '2020-12-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92080, '2021-01-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92081, '2021-01-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92082, '2021-01-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92083, '2021-01-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92084, '2021-01-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92085, '2021-01-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92086, '2021-01-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92087, '2021-01-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92088, '2021-01-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92089, '2021-01-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92090, '2021-01-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92091, '2021-01-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92092, '2021-01-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92093, '2021-01-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92094, '2021-01-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92095, '2021-01-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92096, '2021-01-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92097, '2021-01-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92098, '2021-01-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92099, '2021-01-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92100, '2021-01-21', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92101, '2021-01-22', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92102, '2021-01-23', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92103, '2021-01-24', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92104, '2021-01-25', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92105, '2021-01-26', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92106, '2021-01-27', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92107, '2021-01-28', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92108, '2021-01-29', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92109, '2021-01-30', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92110, '2021-01-31', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92111, '2021-02-01', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92112, '2021-02-02', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92113, '2021-02-03', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92114, '2021-02-04', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92115, '2021-02-05', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92116, '2021-02-06', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92117, '2021-02-07', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92118, '2021-02-08', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92119, '2021-02-09', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92120, '2021-02-10', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92121, '2021-02-11', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92122, '2021-02-12', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92123, '2021-02-13', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92124, '2021-02-14', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92125, '2021-02-15', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92126, '2021-02-16', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92127, '2021-02-17', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92128, '2021-02-18', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92129, '2021-02-19', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92130, '2021-02-20', 'TV', 'Tuvalu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92131, '2020-01-03', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92132, '2020-01-04', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92133, '2020-01-05', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92134, '2020-01-06', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92135, '2020-01-07', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92136, '2020-01-08', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92137, '2020-01-09', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92138, '2020-01-10', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92139, '2020-01-11', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92140, '2020-01-12', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92141, '2020-01-13', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92142, '2020-01-14', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92143, '2020-01-15', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92144, '2020-01-16', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92145, '2020-01-17', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92146, '2020-01-18', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92147, '2020-01-19', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92148, '2020-01-20', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92149, '2020-01-21', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92150, '2020-01-22', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92151, '2020-01-23', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92152, '2020-01-24', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92153, '2020-01-25', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92154, '2020-01-26', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92155, '2020-01-27', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92156, '2020-01-28', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92157, '2020-01-29', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92158, '2020-01-30', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92159, '2020-01-31', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92160, '2020-02-01', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92161, '2020-02-02', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92162, '2020-02-03', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92163, '2020-02-04', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92164, '2020-02-05', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92165, '2020-02-06', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92166, '2020-02-07', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92167, '2020-02-08', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92168, '2020-02-09', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92169, '2020-02-10', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92170, '2020-02-11', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92171, '2020-02-12', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92172, '2020-02-13', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92173, '2020-02-14', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92174, '2020-02-15', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92175, '2020-02-16', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92176, '2020-02-17', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92177, '2020-02-18', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92178, '2020-02-19', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92179, '2020-02-20', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92180, '2020-02-21', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92181, '2020-02-22', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92182, '2020-02-23', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92183, '2020-02-24', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92184, '2020-02-25', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92185, '2020-02-26', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92186, '2020-02-27', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92187, '2020-02-28', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92188, '2020-02-29', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92189, '2020-03-01', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92190, '2020-03-02', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92191, '2020-03-03', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92192, '2020-03-04', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92193, '2020-03-05', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92194, '2020-03-06', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92195, '2020-03-07', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92196, '2020-03-08', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92197, '2020-03-09', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92198, '2020-03-10', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92199, '2020-03-11', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92200, '2020-03-12', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92201, '2020-03-13', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92202, '2020-03-14', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92203, '2020-03-15', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92204, '2020-03-16', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92205, '2020-03-17', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92206, '2020-03-18', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92207, '2020-03-19', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92208, '2020-03-20', 'UG', 'Uganda', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92209, '2020-03-21', 'UG', 'Uganda', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (92210, '2020-03-22', 'UG', 'Uganda', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92211, '2020-03-23', 'UG', 'Uganda', 'AFRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92212, '2020-03-24', 'UG', 'Uganda', 'AFRO', '8', '9', '0', '0');
INSERT INTO public.who_import VALUES (92213, '2020-03-25', 'UG', 'Uganda', 'AFRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92214, '2020-03-26', 'UG', 'Uganda', 'AFRO', '5', '14', '0', '0');
INSERT INTO public.who_import VALUES (92215, '2020-03-27', 'UG', 'Uganda', 'AFRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (92216, '2020-03-28', 'UG', 'Uganda', 'AFRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (92217, '2020-03-29', 'UG', 'Uganda', 'AFRO', '16', '30', '0', '0');
INSERT INTO public.who_import VALUES (92218, '2020-03-30', 'UG', 'Uganda', 'AFRO', '3', '33', '0', '0');
INSERT INTO public.who_import VALUES (92219, '2020-03-31', 'UG', 'Uganda', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (92220, '2020-04-01', 'UG', 'Uganda', 'AFRO', '0', '33', '0', '0');
INSERT INTO public.who_import VALUES (92221, '2020-04-02', 'UG', 'Uganda', 'AFRO', '11', '44', '0', '0');
INSERT INTO public.who_import VALUES (92222, '2020-04-03', 'UG', 'Uganda', 'AFRO', '1', '45', '0', '0');
INSERT INTO public.who_import VALUES (92223, '2020-04-04', 'UG', 'Uganda', 'AFRO', '3', '48', '0', '0');
INSERT INTO public.who_import VALUES (92224, '2020-04-05', 'UG', 'Uganda', 'AFRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (92225, '2020-04-06', 'UG', 'Uganda', 'AFRO', '0', '48', '0', '0');
INSERT INTO public.who_import VALUES (92226, '2020-04-07', 'UG', 'Uganda', 'AFRO', '4', '52', '0', '0');
INSERT INTO public.who_import VALUES (92227, '2020-04-08', 'UG', 'Uganda', 'AFRO', '0', '52', '0', '0');
INSERT INTO public.who_import VALUES (92228, '2020-04-09', 'UG', 'Uganda', 'AFRO', '1', '53', '0', '0');
INSERT INTO public.who_import VALUES (92229, '2020-04-10', 'UG', 'Uganda', 'AFRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (92230, '2020-04-11', 'UG', 'Uganda', 'AFRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (92231, '2020-04-12', 'UG', 'Uganda', 'AFRO', '0', '53', '0', '0');
INSERT INTO public.who_import VALUES (92232, '2020-04-13', 'UG', 'Uganda', 'AFRO', '1', '54', '0', '0');
INSERT INTO public.who_import VALUES (92233, '2020-04-14', 'UG', 'Uganda', 'AFRO', '0', '54', '0', '0');
INSERT INTO public.who_import VALUES (92234, '2020-04-15', 'UG', 'Uganda', 'AFRO', '0', '54', '0', '0');
INSERT INTO public.who_import VALUES (92235, '2020-04-16', 'UG', 'Uganda', 'AFRO', '1', '55', '0', '0');
INSERT INTO public.who_import VALUES (92236, '2020-04-17', 'UG', 'Uganda', 'AFRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (92237, '2020-04-18', 'UG', 'Uganda', 'AFRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (92238, '2020-04-19', 'UG', 'Uganda', 'AFRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (92239, '2020-04-20', 'UG', 'Uganda', 'AFRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (92240, '2020-04-21', 'UG', 'Uganda', 'AFRO', '0', '55', '0', '0');
INSERT INTO public.who_import VALUES (92241, '2020-04-22', 'UG', 'Uganda', 'AFRO', '1', '56', '0', '0');
INSERT INTO public.who_import VALUES (92242, '2020-04-23', 'UG', 'Uganda', 'AFRO', '5', '61', '0', '0');
INSERT INTO public.who_import VALUES (92243, '2020-04-24', 'UG', 'Uganda', 'AFRO', '2', '63', '0', '0');
INSERT INTO public.who_import VALUES (92244, '2020-04-25', 'UG', 'Uganda', 'AFRO', '12', '75', '0', '0');
INSERT INTO public.who_import VALUES (92245, '2020-04-26', 'UG', 'Uganda', 'AFRO', '0', '75', '0', '0');
INSERT INTO public.who_import VALUES (92246, '2020-04-27', 'UG', 'Uganda', 'AFRO', '0', '75', '0', '0');
INSERT INTO public.who_import VALUES (92247, '2020-04-28', 'UG', 'Uganda', 'AFRO', '4', '79', '0', '0');
INSERT INTO public.who_import VALUES (92248, '2020-04-29', 'UG', 'Uganda', 'AFRO', '0', '79', '0', '0');
INSERT INTO public.who_import VALUES (92249, '2020-04-30', 'UG', 'Uganda', 'AFRO', '0', '79', '0', '0');
INSERT INTO public.who_import VALUES (92250, '2020-05-01', 'UG', 'Uganda', 'AFRO', '2', '81', '0', '0');
INSERT INTO public.who_import VALUES (92251, '2020-05-02', 'UG', 'Uganda', 'AFRO', '2', '83', '0', '0');
INSERT INTO public.who_import VALUES (92252, '2020-05-03', 'UG', 'Uganda', 'AFRO', '2', '85', '0', '0');
INSERT INTO public.who_import VALUES (92253, '2020-05-04', 'UG', 'Uganda', 'AFRO', '3', '88', '0', '0');
INSERT INTO public.who_import VALUES (92254, '2020-05-05', 'UG', 'Uganda', 'AFRO', '1', '89', '0', '0');
INSERT INTO public.who_import VALUES (92255, '2020-05-06', 'UG', 'Uganda', 'AFRO', '8', '97', '0', '0');
INSERT INTO public.who_import VALUES (92256, '2020-05-07', 'UG', 'Uganda', 'AFRO', '1', '98', '0', '0');
INSERT INTO public.who_import VALUES (92257, '2020-05-08', 'UG', 'Uganda', 'AFRO', '3', '101', '0', '0');
INSERT INTO public.who_import VALUES (92258, '2020-05-09', 'UG', 'Uganda', 'AFRO', '0', '101', '0', '0');
INSERT INTO public.who_import VALUES (92259, '2020-05-10', 'UG', 'Uganda', 'AFRO', '15', '116', '0', '0');
INSERT INTO public.who_import VALUES (92260, '2020-05-11', 'UG', 'Uganda', 'AFRO', '5', '121', '0', '0');
INSERT INTO public.who_import VALUES (92261, '2020-05-12', 'UG', 'Uganda', 'AFRO', '1', '122', '0', '0');
INSERT INTO public.who_import VALUES (92262, '2020-05-13', 'UG', 'Uganda', 'AFRO', '4', '126', '0', '0');
INSERT INTO public.who_import VALUES (92263, '2020-05-14', 'UG', 'Uganda', 'AFRO', '13', '139', '0', '0');
INSERT INTO public.who_import VALUES (92264, '2020-05-15', 'UG', 'Uganda', 'AFRO', '21', '160', '0', '0');
INSERT INTO public.who_import VALUES (92265, '2020-05-16', 'UG', 'Uganda', 'AFRO', '43', '203', '0', '0');
INSERT INTO public.who_import VALUES (92266, '2020-05-17', 'UG', 'Uganda', 'AFRO', '24', '227', '0', '0');
INSERT INTO public.who_import VALUES (92267, '2020-05-18', 'UG', 'Uganda', 'AFRO', '0', '227', '0', '0');
INSERT INTO public.who_import VALUES (92268, '2020-05-19', 'UG', 'Uganda', 'AFRO', '33', '260', '0', '0');
INSERT INTO public.who_import VALUES (92269, '2020-05-20', 'UG', 'Uganda', 'AFRO', '0', '260', '0', '0');
INSERT INTO public.who_import VALUES (92270, '2020-05-21', 'UG', 'Uganda', 'AFRO', '4', '264', '0', '0');
INSERT INTO public.who_import VALUES (92271, '2020-05-22', 'UG', 'Uganda', 'AFRO', '0', '264', '0', '0');
INSERT INTO public.who_import VALUES (92272, '2020-05-23', 'UG', 'Uganda', 'AFRO', '10', '274', '0', '0');
INSERT INTO public.who_import VALUES (92273, '2020-05-24', 'UG', 'Uganda', 'AFRO', '38', '312', '0', '0');
INSERT INTO public.who_import VALUES (92274, '2020-05-25', 'UG', 'Uganda', 'AFRO', '-8', '304', '0', '0');
INSERT INTO public.who_import VALUES (92275, '2020-05-26', 'UG', 'Uganda', 'AFRO', '0', '304', '0', '0');
INSERT INTO public.who_import VALUES (92276, '2020-05-27', 'UG', 'Uganda', 'AFRO', '37', '341', '0', '0');
INSERT INTO public.who_import VALUES (92277, '2020-05-28', 'UG', 'Uganda', 'AFRO', '10', '351', '0', '0');
INSERT INTO public.who_import VALUES (92278, '2020-05-29', 'UG', 'Uganda', 'AFRO', '59', '410', '0', '0');
INSERT INTO public.who_import VALUES (92279, '2020-05-30', 'UG', 'Uganda', 'AFRO', '0', '410', '0', '0');
INSERT INTO public.who_import VALUES (92280, '2020-05-31', 'UG', 'Uganda', 'AFRO', '36', '446', '0', '0');
INSERT INTO public.who_import VALUES (92281, '2020-06-01', 'UG', 'Uganda', 'AFRO', '12', '458', '0', '0');
INSERT INTO public.who_import VALUES (92282, '2020-06-02', 'UG', 'Uganda', 'AFRO', '0', '458', '0', '0');
INSERT INTO public.who_import VALUES (92283, '2020-06-03', 'UG', 'Uganda', 'AFRO', '128', '586', '0', '0');
INSERT INTO public.who_import VALUES (92284, '2020-06-04', 'UG', 'Uganda', 'AFRO', '50', '636', '0', '0');
INSERT INTO public.who_import VALUES (92285, '2020-06-05', 'UG', 'Uganda', 'AFRO', '15', '651', '0', '0');
INSERT INTO public.who_import VALUES (92286, '2020-06-06', 'UG', 'Uganda', 'AFRO', '35', '686', '0', '0');
INSERT INTO public.who_import VALUES (92287, '2020-06-07', 'UG', 'Uganda', 'AFRO', '36', '722', '0', '0');
INSERT INTO public.who_import VALUES (92288, '2020-06-08', 'UG', 'Uganda', 'AFRO', '23', '745', '0', '0');
INSERT INTO public.who_import VALUES (92289, '2020-06-09', 'UG', 'Uganda', 'AFRO', '30', '775', '0', '0');
INSERT INTO public.who_import VALUES (92290, '2020-06-10', 'UG', 'Uganda', 'AFRO', '0', '775', '0', '0');
INSERT INTO public.who_import VALUES (92291, '2020-06-11', 'UG', 'Uganda', 'AFRO', '19', '794', '0', '0');
INSERT INTO public.who_import VALUES (92292, '2020-06-12', 'UG', 'Uganda', 'AFRO', '14', '808', '0', '0');
INSERT INTO public.who_import VALUES (92293, '2020-06-13', 'UG', 'Uganda', 'AFRO', '0', '808', '0', '0');
INSERT INTO public.who_import VALUES (92294, '2020-06-14', 'UG', 'Uganda', 'AFRO', '15', '823', '0', '0');
INSERT INTO public.who_import VALUES (92295, '2020-06-15', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92296, '2020-06-16', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92297, '2020-06-17', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92298, '2020-06-18', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92299, '2020-06-19', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92300, '2020-06-20', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92301, '2020-06-21', 'UG', 'Uganda', 'AFRO', '0', '823', '0', '0');
INSERT INTO public.who_import VALUES (92302, '2020-06-22', 'UG', 'Uganda', 'AFRO', '-68', '755', '0', '0');
INSERT INTO public.who_import VALUES (92303, '2020-06-23', 'UG', 'Uganda', 'AFRO', '19', '774', '0', '0');
INSERT INTO public.who_import VALUES (92304, '2020-06-24', 'UG', 'Uganda', 'AFRO', '23', '797', '0', '0');
INSERT INTO public.who_import VALUES (92305, '2020-06-25', 'UG', 'Uganda', 'AFRO', '8', '805', '0', '0');
INSERT INTO public.who_import VALUES (92306, '2020-06-26', 'UG', 'Uganda', 'AFRO', '16', '821', '0', '0');
INSERT INTO public.who_import VALUES (92307, '2020-06-27', 'UG', 'Uganda', 'AFRO', '12', '833', '0', '0');
INSERT INTO public.who_import VALUES (92308, '2020-06-28', 'UG', 'Uganda', 'AFRO', '0', '833', '0', '0');
INSERT INTO public.who_import VALUES (92309, '2020-06-29', 'UG', 'Uganda', 'AFRO', '0', '833', '0', '0');
INSERT INTO public.who_import VALUES (92310, '2020-06-30', 'UG', 'Uganda', 'AFRO', '37', '870', '0', '0');
INSERT INTO public.who_import VALUES (92311, '2020-07-01', 'UG', 'Uganda', 'AFRO', '19', '889', '0', '0');
INSERT INTO public.who_import VALUES (92312, '2020-07-02', 'UG', 'Uganda', 'AFRO', '4', '893', '0', '0');
INSERT INTO public.who_import VALUES (92313, '2020-07-03', 'UG', 'Uganda', 'AFRO', '9', '902', '0', '0');
INSERT INTO public.who_import VALUES (92314, '2020-07-04', 'UG', 'Uganda', 'AFRO', '9', '911', '0', '0');
INSERT INTO public.who_import VALUES (92315, '2020-07-05', 'UG', 'Uganda', 'AFRO', '16', '927', '0', '0');
INSERT INTO public.who_import VALUES (92316, '2020-07-06', 'UG', 'Uganda', 'AFRO', '12', '939', '0', '0');
INSERT INTO public.who_import VALUES (92317, '2020-07-07', 'UG', 'Uganda', 'AFRO', '14', '953', '0', '0');
INSERT INTO public.who_import VALUES (92318, '2020-07-08', 'UG', 'Uganda', 'AFRO', '18', '971', '0', '0');
INSERT INTO public.who_import VALUES (92319, '2020-07-09', 'UG', 'Uganda', 'AFRO', '6', '977', '0', '0');
INSERT INTO public.who_import VALUES (92320, '2020-07-10', 'UG', 'Uganda', 'AFRO', '23', '1000', '0', '0');
INSERT INTO public.who_import VALUES (92321, '2020-07-11', 'UG', 'Uganda', 'AFRO', '6', '1006', '0', '0');
INSERT INTO public.who_import VALUES (92322, '2020-07-12', 'UG', 'Uganda', 'AFRO', '7', '1013', '0', '0');
INSERT INTO public.who_import VALUES (92323, '2020-07-13', 'UG', 'Uganda', 'AFRO', '12', '1025', '0', '0');
INSERT INTO public.who_import VALUES (92324, '2020-07-14', 'UG', 'Uganda', 'AFRO', '4', '1029', '0', '0');
INSERT INTO public.who_import VALUES (92325, '2020-07-15', 'UG', 'Uganda', 'AFRO', '11', '1040', '0', '0');
INSERT INTO public.who_import VALUES (92326, '2020-07-16', 'UG', 'Uganda', 'AFRO', '3', '1043', '0', '0');
INSERT INTO public.who_import VALUES (92327, '2020-07-17', 'UG', 'Uganda', 'AFRO', '8', '1051', '0', '0');
INSERT INTO public.who_import VALUES (92328, '2020-07-18', 'UG', 'Uganda', 'AFRO', '5', '1056', '0', '0');
INSERT INTO public.who_import VALUES (92329, '2020-07-19', 'UG', 'Uganda', 'AFRO', '6', '1062', '0', '0');
INSERT INTO public.who_import VALUES (92330, '2020-07-20', 'UG', 'Uganda', 'AFRO', '3', '1065', '0', '0');
INSERT INTO public.who_import VALUES (92331, '2020-07-21', 'UG', 'Uganda', 'AFRO', '4', '1069', '0', '0');
INSERT INTO public.who_import VALUES (92332, '2020-07-22', 'UG', 'Uganda', 'AFRO', '3', '1072', '0', '0');
INSERT INTO public.who_import VALUES (92333, '2020-07-23', 'UG', 'Uganda', 'AFRO', '3', '1075', '0', '0');
INSERT INTO public.who_import VALUES (92334, '2020-07-24', 'UG', 'Uganda', 'AFRO', '5', '1080', '1', '1');
INSERT INTO public.who_import VALUES (92335, '2020-07-25', 'UG', 'Uganda', 'AFRO', '9', '1089', '0', '1');
INSERT INTO public.who_import VALUES (92336, '2020-07-26', 'UG', 'Uganda', 'AFRO', '14', '1103', '0', '1');
INSERT INTO public.who_import VALUES (92337, '2020-07-27', 'UG', 'Uganda', 'AFRO', '12', '1115', '1', '2');
INSERT INTO public.who_import VALUES (92338, '2020-07-28', 'UG', 'Uganda', 'AFRO', '13', '1128', '0', '2');
INSERT INTO public.who_import VALUES (92339, '2020-07-29', 'UG', 'Uganda', 'AFRO', '7', '1135', '0', '2');
INSERT INTO public.who_import VALUES (92340, '2020-07-30', 'UG', 'Uganda', 'AFRO', '0', '1135', '0', '2');
INSERT INTO public.who_import VALUES (92341, '2020-07-31', 'UG', 'Uganda', 'AFRO', '12', '1147', '0', '2');
INSERT INTO public.who_import VALUES (92342, '2020-08-01', 'UG', 'Uganda', 'AFRO', '7', '1154', '1', '3');
INSERT INTO public.who_import VALUES (92343, '2020-08-02', 'UG', 'Uganda', 'AFRO', '22', '1176', '1', '4');
INSERT INTO public.who_import VALUES (92344, '2020-08-03', 'UG', 'Uganda', 'AFRO', '6', '1182', '0', '4');
INSERT INTO public.who_import VALUES (92345, '2020-08-04', 'UG', 'Uganda', 'AFRO', '13', '1195', '1', '5');
INSERT INTO public.who_import VALUES (92346, '2020-08-05', 'UG', 'Uganda', 'AFRO', '8', '1203', '0', '5');
INSERT INTO public.who_import VALUES (92347, '2020-08-06', 'UG', 'Uganda', 'AFRO', '10', '1213', '0', '5');
INSERT INTO public.who_import VALUES (92348, '2020-08-07', 'UG', 'Uganda', 'AFRO', '10', '1223', '0', '5');
INSERT INTO public.who_import VALUES (92349, '2020-08-08', 'UG', 'Uganda', 'AFRO', '31', '1254', '1', '6');
INSERT INTO public.who_import VALUES (92350, '2020-08-09', 'UG', 'Uganda', 'AFRO', '15', '1269', '0', '6');
INSERT INTO public.who_import VALUES (92351, '2020-08-10', 'UG', 'Uganda', 'AFRO', '14', '1283', '1', '7');
INSERT INTO public.who_import VALUES (92352, '2020-08-11', 'UG', 'Uganda', 'AFRO', '14', '1297', '2', '9');
INSERT INTO public.who_import VALUES (92353, '2020-08-12', 'UG', 'Uganda', 'AFRO', '16', '1313', '0', '9');
INSERT INTO public.who_import VALUES (92354, '2020-08-13', 'UG', 'Uganda', 'AFRO', '19', '1332', '0', '9');
INSERT INTO public.who_import VALUES (92355, '2020-08-14', 'UG', 'Uganda', 'AFRO', '21', '1353', '2', '11');
INSERT INTO public.who_import VALUES (92356, '2020-08-15', 'UG', 'Uganda', 'AFRO', '32', '1385', '1', '12');
INSERT INTO public.who_import VALUES (92357, '2020-08-16', 'UG', 'Uganda', 'AFRO', '49', '1434', '0', '12');
INSERT INTO public.who_import VALUES (92358, '2020-08-17', 'UG', 'Uganda', 'AFRO', '66', '1500', '1', '13');
INSERT INTO public.who_import VALUES (92359, '2020-08-18', 'UG', 'Uganda', 'AFRO', '60', '1560', '2', '15');
INSERT INTO public.who_import VALUES (92360, '2020-08-19', 'UG', 'Uganda', 'AFRO', '43', '1603', '0', '15');
INSERT INTO public.who_import VALUES (92361, '2020-08-20', 'UG', 'Uganda', 'AFRO', '53', '1656', '1', '16');
INSERT INTO public.who_import VALUES (92362, '2020-08-21', 'UG', 'Uganda', 'AFRO', '94', '1750', '3', '19');
INSERT INTO public.who_import VALUES (92363, '2020-08-22', 'UG', 'Uganda', 'AFRO', '0', '1750', '0', '19');
INSERT INTO public.who_import VALUES (92364, '2020-08-23', 'UG', 'Uganda', 'AFRO', '416', '2166', '1', '20');
INSERT INTO public.who_import VALUES (92365, '2020-08-24', 'UG', 'Uganda', 'AFRO', '97', '2263', '0', '20');
INSERT INTO public.who_import VALUES (92366, '2020-08-25', 'UG', 'Uganda', 'AFRO', '99', '2362', '2', '22');
INSERT INTO public.who_import VALUES (92367, '2020-08-26', 'UG', 'Uganda', 'AFRO', '64', '2426', '3', '25');
INSERT INTO public.who_import VALUES (92368, '2020-08-27', 'UG', 'Uganda', 'AFRO', '98', '2524', '1', '26');
INSERT INTO public.who_import VALUES (92369, '2020-08-28', 'UG', 'Uganda', 'AFRO', '0', '2524', '0', '26');
INSERT INTO public.who_import VALUES (92370, '2020-08-29', 'UG', 'Uganda', 'AFRO', '232', '2756', '2', '28');
INSERT INTO public.who_import VALUES (92371, '2020-08-30', 'UG', 'Uganda', 'AFRO', '0', '2756', '0', '28');
INSERT INTO public.who_import VALUES (92372, '2020-08-31', 'UG', 'Uganda', 'AFRO', '132', '2888', '2', '30');
INSERT INTO public.who_import VALUES (92373, '2020-09-01', 'UG', 'Uganda', 'AFRO', '84', '2972', '2', '32');
INSERT INTO public.who_import VALUES (92374, '2020-09-02', 'UG', 'Uganda', 'AFRO', '65', '3037', '0', '32');
INSERT INTO public.who_import VALUES (92375, '2020-09-03', 'UG', 'Uganda', 'AFRO', '75', '3112', '0', '32');
INSERT INTO public.who_import VALUES (92376, '2020-09-04', 'UG', 'Uganda', 'AFRO', '176', '3288', '1', '33');
INSERT INTO public.who_import VALUES (92377, '2020-09-05', 'UG', 'Uganda', 'AFRO', '65', '3353', '2', '35');
INSERT INTO public.who_import VALUES (92378, '2020-09-06', 'UG', 'Uganda', 'AFRO', '186', '3539', '4', '39');
INSERT INTO public.who_import VALUES (92379, '2020-09-07', 'UG', 'Uganda', 'AFRO', '128', '3667', '2', '41');
INSERT INTO public.who_import VALUES (92380, '2020-09-08', 'UG', 'Uganda', 'AFRO', '109', '3776', '3', '44');
INSERT INTO public.who_import VALUES (92381, '2020-09-09', 'UG', 'Uganda', 'AFRO', '124', '3900', '2', '46');
INSERT INTO public.who_import VALUES (92382, '2020-09-10', 'UG', 'Uganda', 'AFRO', '201', '4101', '0', '46');
INSERT INTO public.who_import VALUES (92383, '2020-09-11', 'UG', 'Uganda', 'AFRO', '190', '4291', '2', '48');
INSERT INTO public.who_import VALUES (92384, '2020-09-12', 'UG', 'Uganda', 'AFRO', '86', '4377', '1', '49');
INSERT INTO public.who_import VALUES (92385, '2020-09-13', 'UG', 'Uganda', 'AFRO', '326', '4703', '3', '52');
INSERT INTO public.who_import VALUES (92386, '2020-09-14', 'UG', 'Uganda', 'AFRO', '96', '4799', '3', '55');
INSERT INTO public.who_import VALUES (92387, '2020-09-15', 'UG', 'Uganda', 'AFRO', '179', '4978', '1', '56');
INSERT INTO public.who_import VALUES (92388, '2020-09-16', 'UG', 'Uganda', 'AFRO', '145', '5123', '2', '58');
INSERT INTO public.who_import VALUES (92389, '2020-09-17', 'UG', 'Uganda', 'AFRO', '143', '5266', '2', '60');
INSERT INTO public.who_import VALUES (92390, '2020-09-18', 'UG', 'Uganda', 'AFRO', '114', '5380', '0', '60');
INSERT INTO public.who_import VALUES (92391, '2020-09-19', 'UG', 'Uganda', 'AFRO', '210', '5590', '1', '61');
INSERT INTO public.who_import VALUES (92392, '2020-09-20', 'UG', 'Uganda', 'AFRO', '427', '6017', '2', '63');
INSERT INTO public.who_import VALUES (92393, '2020-09-21', 'UG', 'Uganda', 'AFRO', '270', '6287', '0', '63');
INSERT INTO public.who_import VALUES (92394, '2020-09-22', 'UG', 'Uganda', 'AFRO', '181', '6468', '0', '63');
INSERT INTO public.who_import VALUES (92395, '2020-09-23', 'UG', 'Uganda', 'AFRO', '244', '6712', '1', '64');
INSERT INTO public.who_import VALUES (92396, '2020-09-24', 'UG', 'Uganda', 'AFRO', '167', '6879', '5', '69');
INSERT INTO public.who_import VALUES (92397, '2020-09-25', 'UG', 'Uganda', 'AFRO', '185', '7064', '1', '70');
INSERT INTO public.who_import VALUES (92398, '2020-09-26', 'UG', 'Uganda', 'AFRO', '154', '7218', '1', '71');
INSERT INTO public.who_import VALUES (92399, '2020-09-27', 'UG', 'Uganda', 'AFRO', '146', '7364', '0', '71');
INSERT INTO public.who_import VALUES (92400, '2020-09-28', 'UG', 'Uganda', 'AFRO', '166', '7530', '2', '73');
INSERT INTO public.who_import VALUES (92401, '2020-09-29', 'UG', 'Uganda', 'AFRO', '247', '7777', '2', '75');
INSERT INTO public.who_import VALUES (92402, '2020-09-30', 'UG', 'Uganda', 'AFRO', '240', '8017', '0', '75');
INSERT INTO public.who_import VALUES (92403, '2020-10-01', 'UG', 'Uganda', 'AFRO', '112', '8129', '0', '75');
INSERT INTO public.who_import VALUES (92404, '2020-10-02', 'UG', 'Uganda', 'AFRO', '158', '8287', '0', '75');
INSERT INTO public.who_import VALUES (92405, '2020-10-03', 'UG', 'Uganda', 'AFRO', '204', '8491', '4', '79');
INSERT INTO public.who_import VALUES (92406, '2020-10-04', 'UG', 'Uganda', 'AFRO', '0', '8491', '0', '79');
INSERT INTO public.who_import VALUES (92407, '2020-10-05', 'UG', 'Uganda', 'AFRO', '317', '8808', '2', '81');
INSERT INTO public.who_import VALUES (92408, '2020-10-06', 'UG', 'Uganda', 'AFRO', '157', '8965', '1', '82');
INSERT INTO public.who_import VALUES (92409, '2020-10-07', 'UG', 'Uganda', 'AFRO', '117', '9082', '2', '84');
INSERT INTO public.who_import VALUES (92410, '2020-10-08', 'UG', 'Uganda', 'AFRO', '178', '9260', '1', '85');
INSERT INTO public.who_import VALUES (92411, '2020-10-09', 'UG', 'Uganda', 'AFRO', '182', '9442', '0', '85');
INSERT INTO public.who_import VALUES (92412, '2020-10-10', 'UG', 'Uganda', 'AFRO', '96', '9538', '1', '86');
INSERT INTO public.who_import VALUES (92413, '2020-10-11', 'UG', 'Uganda', 'AFRO', '0', '9538', '0', '86');
INSERT INTO public.who_import VALUES (92414, '2020-10-12', 'UG', 'Uganda', 'AFRO', '263', '9801', '7', '93');
INSERT INTO public.who_import VALUES (92415, '2020-10-13', 'UG', 'Uganda', 'AFRO', '63', '9864', '1', '94');
INSERT INTO public.who_import VALUES (92416, '2020-10-14', 'UG', 'Uganda', 'AFRO', '81', '9945', '1', '95');
INSERT INTO public.who_import VALUES (92417, '2020-10-15', 'UG', 'Uganda', 'AFRO', '124', '10069', '0', '95');
INSERT INTO public.who_import VALUES (92418, '2020-10-16', 'UG', 'Uganda', 'AFRO', '48', '10117', '1', '96');
INSERT INTO public.who_import VALUES (92419, '2020-10-17', 'UG', 'Uganda', 'AFRO', '217', '10334', '0', '96');
INSERT INTO public.who_import VALUES (92420, '2020-10-18', 'UG', 'Uganda', 'AFRO', '121', '10455', '0', '96');
INSERT INTO public.who_import VALUES (92421, '2020-10-19', 'UG', 'Uganda', 'AFRO', '135', '10590', '1', '97');
INSERT INTO public.who_import VALUES (92422, '2020-10-20', 'UG', 'Uganda', 'AFRO', '101', '10691', '0', '97');
INSERT INTO public.who_import VALUES (92423, '2020-10-21', 'UG', 'Uganda', 'AFRO', '97', '10788', '0', '97');
INSERT INTO public.who_import VALUES (92424, '2020-10-22', 'UG', 'Uganda', 'AFRO', '145', '10933', '1', '98');
INSERT INTO public.who_import VALUES (92425, '2020-10-23', 'UG', 'Uganda', 'AFRO', '108', '11041', '0', '98');
INSERT INTO public.who_import VALUES (92426, '2020-10-24', 'UG', 'Uganda', 'AFRO', '122', '11163', '1', '99');
INSERT INTO public.who_import VALUES (92427, '2020-10-25', 'UG', 'Uganda', 'AFRO', '134', '11297', '0', '99');
INSERT INTO public.who_import VALUES (92428, '2020-10-26', 'UG', 'Uganda', 'AFRO', '146', '11443', '2', '101');
INSERT INTO public.who_import VALUES (92429, '2020-10-27', 'UG', 'Uganda', 'AFRO', '114', '11557', '0', '101');
INSERT INTO public.who_import VALUES (92430, '2020-10-28', 'UG', 'Uganda', 'AFRO', '64', '11621', '2', '103');
INSERT INTO public.who_import VALUES (92431, '2020-10-29', 'UG', 'Uganda', 'AFRO', '146', '11767', '3', '106');
INSERT INTO public.who_import VALUES (92432, '2020-10-30', 'UG', 'Uganda', 'AFRO', '434', '12201', '2', '108');
INSERT INTO public.who_import VALUES (92433, '2020-10-31', 'UG', 'Uganda', 'AFRO', '209', '12410', '2', '110');
INSERT INTO public.who_import VALUES (92434, '2020-11-01', 'UG', 'Uganda', 'AFRO', '85', '12495', '1', '111');
INSERT INTO public.who_import VALUES (92435, '2020-11-02', 'UG', 'Uganda', 'AFRO', '248', '12743', '1', '112');
INSERT INTO public.who_import VALUES (92436, '2020-11-03', 'UG', 'Uganda', 'AFRO', '228', '12971', '2', '114');
INSERT INTO public.who_import VALUES (92437, '2020-11-04', 'UG', 'Uganda', 'AFRO', '128', '13099', '1', '115');
INSERT INTO public.who_import VALUES (92438, '2020-11-05', 'UG', 'Uganda', 'AFRO', '252', '13351', '2', '117');
INSERT INTO public.who_import VALUES (92439, '2020-11-06', 'UG', 'Uganda', 'AFRO', '217', '13568', '0', '117');
INSERT INTO public.who_import VALUES (92440, '2020-11-07', 'UG', 'Uganda', 'AFRO', '284', '13852', '14', '131');
INSERT INTO public.who_import VALUES (92441, '2020-11-08', 'UG', 'Uganda', 'AFRO', '214', '14066', '0', '131');
INSERT INTO public.who_import VALUES (92442, '2020-11-09', 'UG', 'Uganda', 'AFRO', '337', '14403', '1', '132');
INSERT INTO public.who_import VALUES (92443, '2020-11-10', 'UG', 'Uganda', 'AFRO', '171', '14574', '1', '133');
INSERT INTO public.who_import VALUES (92444, '2020-11-11', 'UG', 'Uganda', 'AFRO', '130', '14704', '0', '133');
INSERT INTO public.who_import VALUES (92445, '2020-11-12', 'UG', 'Uganda', 'AFRO', '289', '14993', '6', '139');
INSERT INTO public.who_import VALUES (92446, '2020-11-13', 'UG', 'Uganda', 'AFRO', '224', '15217', '4', '143');
INSERT INTO public.who_import VALUES (92447, '2020-11-14', 'UG', 'Uganda', 'AFRO', '185', '15402', '1', '144');
INSERT INTO public.who_import VALUES (92448, '2020-11-15', 'UG', 'Uganda', 'AFRO', '387', '15789', '0', '144');
INSERT INTO public.who_import VALUES (92449, '2020-11-16', 'UG', 'Uganda', 'AFRO', '231', '16020', '1', '145');
INSERT INTO public.who_import VALUES (92450, '2020-11-17', 'UG', 'Uganda', 'AFRO', '237', '16257', '5', '150');
INSERT INTO public.who_import VALUES (92451, '2020-11-18', 'UG', 'Uganda', 'AFRO', '306', '16563', '0', '150');
INSERT INTO public.who_import VALUES (92452, '2020-11-19', 'UG', 'Uganda', 'AFRO', '342', '16905', '7', '157');
INSERT INTO public.who_import VALUES (92453, '2020-11-20', 'UG', 'Uganda', 'AFRO', '243', '17148', '1', '158');
INSERT INTO public.who_import VALUES (92454, '2020-11-21', 'UG', 'Uganda', 'AFRO', '283', '17431', '10', '168');
INSERT INTO public.who_import VALUES (92455, '2020-11-22', 'UG', 'Uganda', 'AFRO', '236', '17667', '0', '168');
INSERT INTO public.who_import VALUES (92456, '2020-11-23', 'UG', 'Uganda', 'AFRO', '301', '17968', '4', '172');
INSERT INTO public.who_import VALUES (92457, '2020-11-24', 'UG', 'Uganda', 'AFRO', '197', '18165', '9', '181');
INSERT INTO public.who_import VALUES (92458, '2020-11-25', 'UG', 'Uganda', 'AFRO', '241', '18406', '5', '186');
INSERT INTO public.who_import VALUES (92459, '2020-11-26', 'UG', 'Uganda', 'AFRO', '484', '18890', '5', '191');
INSERT INTO public.who_import VALUES (92460, '2020-11-27', 'UG', 'Uganda', 'AFRO', '225', '19115', '0', '191');
INSERT INTO public.who_import VALUES (92461, '2020-11-28', 'UG', 'Uganda', 'AFRO', '473', '19588', '6', '197');
INSERT INTO public.who_import VALUES (92462, '2020-11-29', 'UG', 'Uganda', 'AFRO', '356', '19944', '4', '201');
INSERT INTO public.who_import VALUES (92463, '2020-11-30', 'UG', 'Uganda', 'AFRO', '201', '20145', '0', '201');
INSERT INTO public.who_import VALUES (92464, '2020-12-01', 'UG', 'Uganda', 'AFRO', '314', '20459', '4', '205');
INSERT INTO public.who_import VALUES (92465, '2020-12-02', 'UG', 'Uganda', 'AFRO', '576', '21035', '0', '205');
INSERT INTO public.who_import VALUES (92466, '2020-12-03', 'UG', 'Uganda', 'AFRO', '374', '21409', '1', '206');
INSERT INTO public.who_import VALUES (92467, '2020-12-04', 'UG', 'Uganda', 'AFRO', '203', '21612', '0', '206');
INSERT INTO public.who_import VALUES (92468, '2020-12-05', 'UG', 'Uganda', 'AFRO', '286', '21898', '0', '206');
INSERT INTO public.who_import VALUES (92469, '2020-12-06', 'UG', 'Uganda', 'AFRO', '290', '22188', '0', '206');
INSERT INTO public.who_import VALUES (92470, '2020-12-07', 'UG', 'Uganda', 'AFRO', '311', '22499', '0', '206');
INSERT INTO public.who_import VALUES (92471, '2020-12-08', 'UG', 'Uganda', 'AFRO', '701', '23200', '1', '207');
INSERT INTO public.who_import VALUES (92472, '2020-12-09', 'UG', 'Uganda', 'AFRO', '0', '23200', '0', '207');
INSERT INTO public.who_import VALUES (92473, '2020-12-10', 'UG', 'Uganda', 'AFRO', '1859', '25059', '0', '207');
INSERT INTO public.who_import VALUES (92474, '2020-12-11', 'UG', 'Uganda', 'AFRO', '671', '25730', '13', '220');
INSERT INTO public.who_import VALUES (92475, '2020-12-12', 'UG', 'Uganda', 'AFRO', '639', '26369', '0', '220');
INSERT INTO public.who_import VALUES (92476, '2020-12-13', 'UG', 'Uganda', 'AFRO', '702', '27071', '0', '220');
INSERT INTO public.who_import VALUES (92477, '2020-12-14', 'UG', 'Uganda', 'AFRO', '461', '27532', '1', '221');
INSERT INTO public.who_import VALUES (92478, '2020-12-15', 'UG', 'Uganda', 'AFRO', '234', '27766', '3', '224');
INSERT INTO public.who_import VALUES (92479, '2020-12-16', 'UG', 'Uganda', 'AFRO', '402', '28168', '1', '225');
INSERT INTO public.who_import VALUES (92480, '2020-12-17', 'UG', 'Uganda', 'AFRO', '565', '28733', '0', '225');
INSERT INTO public.who_import VALUES (92481, '2020-12-18', 'UG', 'Uganda', 'AFRO', '628', '29361', '3', '228');
INSERT INTO public.who_import VALUES (92482, '2020-12-19', 'UG', 'Uganda', 'AFRO', '710', '30071', '2', '230');
INSERT INTO public.who_import VALUES (92483, '2020-12-20', 'UG', 'Uganda', 'AFRO', '631', '30702', '0', '230');
INSERT INTO public.who_import VALUES (92484, '2020-12-21', 'UG', 'Uganda', 'AFRO', '485', '31187', '1', '231');
INSERT INTO public.who_import VALUES (92485, '2020-12-22', 'UG', 'Uganda', 'AFRO', '197', '31384', '7', '238');
INSERT INTO public.who_import VALUES (92486, '2020-12-23', 'UG', 'Uganda', 'AFRO', '526', '31910', '0', '238');
INSERT INTO public.who_import VALUES (92487, '2020-12-24', 'UG', 'Uganda', 'AFRO', '489', '32399', '7', '245');
INSERT INTO public.who_import VALUES (92488, '2020-12-25', 'UG', 'Uganda', 'AFRO', '515', '32914', '0', '245');
INSERT INTO public.who_import VALUES (92489, '2020-12-26', 'UG', 'Uganda', 'AFRO', '446', '33360', '0', '245');
INSERT INTO public.who_import VALUES (92490, '2020-12-27', 'UG', 'Uganda', 'AFRO', '203', '33563', '0', '245');
INSERT INTO public.who_import VALUES (92491, '2020-12-28', 'UG', 'Uganda', 'AFRO', '248', '33811', '3', '248');
INSERT INTO public.who_import VALUES (92492, '2020-12-29', 'UG', 'Uganda', 'AFRO', '0', '33811', '0', '248');
INSERT INTO public.who_import VALUES (92493, '2020-12-30', 'UG', 'Uganda', 'AFRO', '470', '34281', '0', '248');
INSERT INTO public.who_import VALUES (92494, '2020-12-31', 'UG', 'Uganda', 'AFRO', '396', '34677', '1', '249');
INSERT INTO public.who_import VALUES (92495, '2021-01-01', 'UG', 'Uganda', 'AFRO', '539', '35216', '2', '251');
INSERT INTO public.who_import VALUES (92496, '2021-01-02', 'UG', 'Uganda', 'AFRO', '0', '35216', '0', '251');
INSERT INTO public.who_import VALUES (92497, '2021-01-03', 'UG', 'Uganda', 'AFRO', '496', '35712', '23', '274');
INSERT INTO public.who_import VALUES (92498, '2021-01-04', 'UG', 'Uganda', 'AFRO', '210', '35922', '0', '274');
INSERT INTO public.who_import VALUES (92499, '2021-01-05', 'UG', 'Uganda', 'AFRO', '128', '36050', '0', '274');
INSERT INTO public.who_import VALUES (92500, '2021-01-06', 'UG', 'Uganda', 'AFRO', '0', '36050', '0', '274');
INSERT INTO public.who_import VALUES (92501, '2021-01-07', 'UG', 'Uganda', 'AFRO', '652', '36702', '20', '294');
INSERT INTO public.who_import VALUES (92502, '2021-01-08', 'UG', 'Uganda', 'AFRO', '372', '37074', '3', '297');
INSERT INTO public.who_import VALUES (92503, '2021-01-09', 'UG', 'Uganda', 'AFRO', '222', '37296', '3', '300');
INSERT INTO public.who_import VALUES (92504, '2021-01-10', 'UG', 'Uganda', 'AFRO', '258', '37554', '1', '301');
INSERT INTO public.who_import VALUES (92505, '2021-01-11', 'UG', 'Uganda', 'AFRO', '188', '37742', '0', '301');
INSERT INTO public.who_import VALUES (92506, '2021-01-12', 'UG', 'Uganda', 'AFRO', '66', '37808', '1', '302');
INSERT INTO public.who_import VALUES (92507, '2021-01-13', 'UG', 'Uganda', 'AFRO', '140', '37948', '1', '303');
INSERT INTO public.who_import VALUES (92508, '2021-01-14', 'UG', 'Uganda', 'AFRO', '137', '38085', '1', '304');
INSERT INTO public.who_import VALUES (92509, '2021-01-15', 'UG', 'Uganda', 'AFRO', '0', '38085', '0', '304');
INSERT INTO public.who_import VALUES (92510, '2021-01-16', 'UG', 'Uganda', 'AFRO', '0', '38085', '0', '304');
INSERT INTO public.who_import VALUES (92511, '2021-01-17', 'UG', 'Uganda', 'AFRO', '0', '38085', '0', '304');
INSERT INTO public.who_import VALUES (92512, '2021-01-18', 'UG', 'Uganda', 'AFRO', '0', '38085', '0', '304');
INSERT INTO public.who_import VALUES (92513, '2021-01-19', 'UG', 'Uganda', 'AFRO', '0', '38085', '0', '304');
INSERT INTO public.who_import VALUES (92514, '2021-01-20', 'UG', 'Uganda', 'AFRO', '449', '38534', '1', '305');
INSERT INTO public.who_import VALUES (92515, '2021-01-21', 'UG', 'Uganda', 'AFRO', '94', '38628', '0', '305');
INSERT INTO public.who_import VALUES (92516, '2021-01-22', 'UG', 'Uganda', 'AFRO', '178', '38806', '11', '316');
INSERT INTO public.who_import VALUES (92517, '2021-01-23', 'UG', 'Uganda', 'AFRO', '129', '38935', '1', '317');
INSERT INTO public.who_import VALUES (92518, '2021-01-24', 'UG', 'Uganda', 'AFRO', '109', '39044', '0', '317');
INSERT INTO public.who_import VALUES (92519, '2021-01-25', 'UG', 'Uganda', 'AFRO', '105', '39149', '0', '317');
INSERT INTO public.who_import VALUES (92520, '2021-01-26', 'UG', 'Uganda', 'AFRO', '39', '39188', '1', '318');
INSERT INTO public.who_import VALUES (92521, '2021-01-27', 'UG', 'Uganda', 'AFRO', '73', '39261', '0', '318');
INSERT INTO public.who_import VALUES (92522, '2021-01-28', 'UG', 'Uganda', 'AFRO', '53', '39314', '0', '318');
INSERT INTO public.who_import VALUES (92523, '2021-01-29', 'UG', 'Uganda', 'AFRO', '110', '39424', '0', '318');
INSERT INTO public.who_import VALUES (92524, '2021-01-30', 'UG', 'Uganda', 'AFRO', '66', '39490', '6', '324');
INSERT INTO public.who_import VALUES (92525, '2021-01-31', 'UG', 'Uganda', 'AFRO', '43', '39533', '0', '324');
INSERT INTO public.who_import VALUES (92526, '2021-02-01', 'UG', 'Uganda', 'AFRO', '46', '39579', '0', '324');
INSERT INTO public.who_import VALUES (92527, '2021-02-02', 'UG', 'Uganda', 'AFRO', '27', '39606', '1', '325');
INSERT INTO public.who_import VALUES (92528, '2021-02-03', 'UG', 'Uganda', 'AFRO', '45', '39651', '0', '325');
INSERT INTO public.who_import VALUES (92529, '2021-02-04', 'UG', 'Uganda', 'AFRO', '34', '39685', '2', '327');
INSERT INTO public.who_import VALUES (92530, '2021-02-05', 'UG', 'Uganda', 'AFRO', '50', '39735', '0', '327');
INSERT INTO public.who_import VALUES (92531, '2021-02-06', 'UG', 'Uganda', 'AFRO', '54', '39789', '0', '327');
INSERT INTO public.who_import VALUES (92532, '2021-02-07', 'UG', 'Uganda', 'AFRO', '32', '39821', '0', '327');
INSERT INTO public.who_import VALUES (92533, '2021-02-08', 'UG', 'Uganda', 'AFRO', '27', '39848', '0', '327');
INSERT INTO public.who_import VALUES (92534, '2021-02-09', 'UG', 'Uganda', 'AFRO', '12', '39860', '0', '327');
INSERT INTO public.who_import VALUES (92535, '2021-02-10', 'UG', 'Uganda', 'AFRO', '23', '39883', '0', '327');
INSERT INTO public.who_import VALUES (92536, '2021-02-11', 'UG', 'Uganda', 'AFRO', '28', '39911', '1', '328');
INSERT INTO public.who_import VALUES (92537, '2021-02-12', 'UG', 'Uganda', 'AFRO', '31', '39942', '0', '328');
INSERT INTO public.who_import VALUES (92538, '2021-02-13', 'UG', 'Uganda', 'AFRO', '37', '39979', '0', '328');
INSERT INTO public.who_import VALUES (92539, '2021-02-14', 'UG', 'Uganda', 'AFRO', '40', '40019', '0', '328');
INSERT INTO public.who_import VALUES (92540, '2021-02-15', 'UG', 'Uganda', 'AFRO', '0', '40019', '0', '328');
INSERT INTO public.who_import VALUES (92541, '2021-02-16', 'UG', 'Uganda', 'AFRO', '36', '40055', '0', '328');
INSERT INTO public.who_import VALUES (92542, '2021-02-17', 'UG', 'Uganda', 'AFRO', '26', '40081', '3', '331');
INSERT INTO public.who_import VALUES (92543, '2021-02-18', 'UG', 'Uganda', 'AFRO', '21', '40102', '0', '331');
INSERT INTO public.who_import VALUES (92544, '2021-02-19', 'UG', 'Uganda', 'AFRO', '52', '40154', '0', '331');
INSERT INTO public.who_import VALUES (92545, '2021-02-20', 'UG', 'Uganda', 'AFRO', '14', '40168', '0', '331');
INSERT INTO public.who_import VALUES (92546, '2020-01-03', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92547, '2020-01-04', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92548, '2020-01-05', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92549, '2020-01-06', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92550, '2020-01-07', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92551, '2020-01-08', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92552, '2020-01-09', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92553, '2020-01-10', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92554, '2020-01-11', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92555, '2020-01-12', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92556, '2020-01-13', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92557, '2020-01-14', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92558, '2020-01-15', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92559, '2020-01-16', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92560, '2020-01-17', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92561, '2020-01-18', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92562, '2020-01-19', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92563, '2020-01-20', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92564, '2020-01-21', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92565, '2020-01-22', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92566, '2020-01-23', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92567, '2020-01-24', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92568, '2020-01-25', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92569, '2020-01-26', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92570, '2020-01-27', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92571, '2020-01-28', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92572, '2020-01-29', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92573, '2020-01-30', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92574, '2020-01-31', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92575, '2020-02-01', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92576, '2020-02-02', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92577, '2020-02-03', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92578, '2020-02-04', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92579, '2020-02-05', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92580, '2020-02-06', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92581, '2020-02-07', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92582, '2020-02-08', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92583, '2020-02-09', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92584, '2020-02-10', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92585, '2020-02-11', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92586, '2020-02-12', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92587, '2020-02-13', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92588, '2020-02-14', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92589, '2020-02-15', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92590, '2020-02-16', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92591, '2020-02-17', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92592, '2020-02-18', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92593, '2020-02-19', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92594, '2020-02-20', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92595, '2020-02-21', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92596, '2020-02-22', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92597, '2020-02-23', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92598, '2020-02-24', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92599, '2020-02-25', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92600, '2020-02-26', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92601, '2020-02-27', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92602, '2020-02-28', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92603, '2020-02-29', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92604, '2020-03-01', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92605, '2020-03-02', 'UA', 'Ukraine', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92606, '2020-03-03', 'UA', 'Ukraine', 'EURO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (92607, '2020-03-04', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92608, '2020-03-05', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92609, '2020-03-06', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92610, '2020-03-07', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92611, '2020-03-08', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92612, '2020-03-09', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92613, '2020-03-10', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92614, '2020-03-11', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92615, '2020-03-12', 'UA', 'Ukraine', 'EURO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (92616, '2020-03-13', 'UA', 'Ukraine', 'EURO', '2', '3', '0', '0');
INSERT INTO public.who_import VALUES (92617, '2020-03-14', 'UA', 'Ukraine', 'EURO', '0', '3', '1', '1');
INSERT INTO public.who_import VALUES (92618, '2020-03-15', 'UA', 'Ukraine', 'EURO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (92619, '2020-03-16', 'UA', 'Ukraine', 'EURO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (92620, '2020-03-17', 'UA', 'Ukraine', 'EURO', '0', '3', '0', '1');
INSERT INTO public.who_import VALUES (92621, '2020-03-18', 'UA', 'Ukraine', 'EURO', '11', '14', '1', '2');
INSERT INTO public.who_import VALUES (92622, '2020-03-19', 'UA', 'Ukraine', 'EURO', '2', '16', '0', '2');
INSERT INTO public.who_import VALUES (92623, '2020-03-20', 'UA', 'Ukraine', 'EURO', '0', '16', '0', '2');
INSERT INTO public.who_import VALUES (92624, '2020-03-21', 'UA', 'Ukraine', 'EURO', '31', '47', '1', '3');
INSERT INTO public.who_import VALUES (92625, '2020-03-22', 'UA', 'Ukraine', 'EURO', '0', '47', '0', '3');
INSERT INTO public.who_import VALUES (92626, '2020-03-23', 'UA', 'Ukraine', 'EURO', '26', '73', '0', '3');
INSERT INTO public.who_import VALUES (92627, '2020-03-24', 'UA', 'Ukraine', 'EURO', '11', '84', '0', '3');
INSERT INTO public.who_import VALUES (92628, '2020-03-25', 'UA', 'Ukraine', 'EURO', '29', '113', '1', '4');
INSERT INTO public.who_import VALUES (92629, '2020-03-26', 'UA', 'Ukraine', 'EURO', '43', '156', '1', '5');
INSERT INTO public.who_import VALUES (92630, '2020-03-27', 'UA', 'Ukraine', 'EURO', '62', '218', '0', '5');
INSERT INTO public.who_import VALUES (92631, '2020-03-28', 'UA', 'Ukraine', 'EURO', '93', '311', '3', '8');
INSERT INTO public.who_import VALUES (92632, '2020-03-29', 'UA', 'Ukraine', 'EURO', '107', '418', '1', '9');
INSERT INTO public.who_import VALUES (92633, '2020-03-30', 'UA', 'Ukraine', 'EURO', '62', '480', '2', '11');
INSERT INTO public.who_import VALUES (92634, '2020-03-31', 'UA', 'Ukraine', 'EURO', '69', '549', '2', '13');
INSERT INTO public.who_import VALUES (92635, '2020-04-01', 'UA', 'Ukraine', 'EURO', '120', '669', '4', '17');
INSERT INTO public.who_import VALUES (92636, '2020-04-02', 'UA', 'Ukraine', 'EURO', '135', '804', '3', '20');
INSERT INTO public.who_import VALUES (92637, '2020-04-03', 'UA', 'Ukraine', 'EURO', '183', '987', '3', '23');
INSERT INTO public.who_import VALUES (92638, '2020-04-04', 'UA', 'Ukraine', 'EURO', '109', '1096', '5', '28');
INSERT INTO public.who_import VALUES (92639, '2020-04-05', 'UA', 'Ukraine', 'EURO', '155', '1251', '4', '32');
INSERT INTO public.who_import VALUES (92640, '2020-04-06', 'UA', 'Ukraine', 'EURO', '68', '1319', '6', '38');
INSERT INTO public.who_import VALUES (92641, '2020-04-07', 'UA', 'Ukraine', 'EURO', '143', '1462', '7', '45');
INSERT INTO public.who_import VALUES (92642, '2020-04-08', 'UA', 'Ukraine', 'EURO', '206', '1668', '7', '52');
INSERT INTO public.who_import VALUES (92643, '2020-04-09', 'UA', 'Ukraine', 'EURO', '224', '1892', '5', '57');
INSERT INTO public.who_import VALUES (92644, '2020-04-10', 'UA', 'Ukraine', 'EURO', '311', '2203', '12', '69');
INSERT INTO public.who_import VALUES (92645, '2020-04-11', 'UA', 'Ukraine', 'EURO', '308', '2511', '4', '73');
INSERT INTO public.who_import VALUES (92646, '2020-04-12', 'UA', 'Ukraine', 'EURO', '266', '2777', '10', '83');
INSERT INTO public.who_import VALUES (92647, '2020-04-13', 'UA', 'Ukraine', 'EURO', '325', '3102', '10', '93');
INSERT INTO public.who_import VALUES (92648, '2020-04-14', 'UA', 'Ukraine', 'EURO', '270', '3372', '5', '98');
INSERT INTO public.who_import VALUES (92649, '2020-04-15', 'UA', 'Ukraine', 'EURO', '392', '3764', '10', '108');
INSERT INTO public.who_import VALUES (92650, '2020-04-16', 'UA', 'Ukraine', 'EURO', '398', '4162', '7', '115');
INSERT INTO public.who_import VALUES (92651, '2020-04-17', 'UA', 'Ukraine', 'EURO', '500', '4662', '10', '125');
INSERT INTO public.who_import VALUES (92652, '2020-04-18', 'UA', 'Ukraine', 'EURO', '444', '5106', '8', '133');
INSERT INTO public.who_import VALUES (92653, '2020-04-19', 'UA', 'Ukraine', 'EURO', '343', '5449', '8', '141');
INSERT INTO public.who_import VALUES (92654, '2020-04-20', 'UA', 'Ukraine', 'EURO', '261', '5710', '10', '151');
INSERT INTO public.who_import VALUES (92655, '2020-04-21', 'UA', 'Ukraine', 'EURO', '415', '6125', '10', '161');
INSERT INTO public.who_import VALUES (92656, '2020-04-22', 'UA', 'Ukraine', 'EURO', '467', '6592', '13', '174');
INSERT INTO public.who_import VALUES (92657, '2020-04-23', 'UA', 'Ukraine', 'EURO', '578', '7170', '13', '187');
INSERT INTO public.who_import VALUES (92658, '2020-04-24', 'UA', 'Ukraine', 'EURO', '477', '7647', '6', '193');
INSERT INTO public.who_import VALUES (92659, '2020-04-25', 'UA', 'Ukraine', 'EURO', '478', '8125', '8', '201');
INSERT INTO public.who_import VALUES (92660, '2020-04-26', 'UA', 'Ukraine', 'EURO', '492', '8617', '8', '209');
INSERT INTO public.who_import VALUES (92661, '2020-04-27', 'UA', 'Ukraine', 'EURO', '392', '9009', '11', '220');
INSERT INTO public.who_import VALUES (92662, '2020-04-28', 'UA', 'Ukraine', 'EURO', '401', '9410', '19', '239');
INSERT INTO public.who_import VALUES (92663, '2020-04-29', 'UA', 'Ukraine', 'EURO', '456', '9866', '11', '250');
INSERT INTO public.who_import VALUES (92664, '2020-04-30', 'UA', 'Ukraine', 'EURO', '540', '10406', '11', '261');
INSERT INTO public.who_import VALUES (92665, '2020-05-01', 'UA', 'Ukraine', 'EURO', '455', '10861', '11', '272');
INSERT INTO public.who_import VALUES (92666, '2020-05-02', 'UA', 'Ukraine', 'EURO', '550', '11411', '7', '279');
INSERT INTO public.who_import VALUES (92667, '2020-05-03', 'UA', 'Ukraine', 'EURO', '502', '11913', '9', '288');
INSERT INTO public.who_import VALUES (92668, '2020-05-04', 'UA', 'Ukraine', 'EURO', '418', '12331', '15', '303');
INSERT INTO public.who_import VALUES (92669, '2020-05-05', 'UA', 'Ukraine', 'EURO', '366', '12697', '13', '316');
INSERT INTO public.who_import VALUES (92670, '2020-05-06', 'UA', 'Ukraine', 'EURO', '487', '13184', '11', '327');
INSERT INTO public.who_import VALUES (92671, '2020-05-07', 'UA', 'Ukraine', 'EURO', '507', '13691', '13', '340');
INSERT INTO public.who_import VALUES (92672, '2020-05-08', 'UA', 'Ukraine', 'EURO', '504', '14195', '21', '361');
INSERT INTO public.who_import VALUES (92673, '2020-05-09', 'UA', 'Ukraine', 'EURO', '515', '14710', '15', '376');
INSERT INTO public.who_import VALUES (92674, '2020-05-10', 'UA', 'Ukraine', 'EURO', '522', '15232', '15', '391');
INSERT INTO public.who_import VALUES (92675, '2020-05-11', 'UA', 'Ukraine', 'EURO', '416', '15648', '17', '408');
INSERT INTO public.who_import VALUES (92676, '2020-05-12', 'UA', 'Ukraine', 'EURO', '375', '16023', '17', '425');
INSERT INTO public.who_import VALUES (92677, '2020-05-13', 'UA', 'Ukraine', 'EURO', '402', '16425', '14', '439');
INSERT INTO public.who_import VALUES (92678, '2020-05-14', 'UA', 'Ukraine', 'EURO', '422', '16847', '17', '456');
INSERT INTO public.who_import VALUES (92679, '2020-05-15', 'UA', 'Ukraine', 'EURO', '483', '17330', '20', '476');
INSERT INTO public.who_import VALUES (92680, '2020-05-16', 'UA', 'Ukraine', 'EURO', '528', '17858', '21', '497');
INSERT INTO public.who_import VALUES (92681, '2020-05-17', 'UA', 'Ukraine', 'EURO', '433', '18291', '17', '514');
INSERT INTO public.who_import VALUES (92682, '2020-05-18', 'UA', 'Ukraine', 'EURO', '325', '18616', '21', '535');
INSERT INTO public.who_import VALUES (92683, '2020-05-19', 'UA', 'Ukraine', 'EURO', '260', '18876', '13', '548');
INSERT INTO public.who_import VALUES (92684, '2020-05-20', 'UA', 'Ukraine', 'EURO', '354', '19230', '16', '564');
INSERT INTO public.who_import VALUES (92685, '2020-05-21', 'UA', 'Ukraine', 'EURO', '476', '19706', '15', '579');
INSERT INTO public.who_import VALUES (92686, '2020-05-22', 'UA', 'Ukraine', 'EURO', '442', '20148', '9', '588');
INSERT INTO public.who_import VALUES (92687, '2020-05-23', 'UA', 'Ukraine', 'EURO', '432', '20580', '17', '605');
INSERT INTO public.who_import VALUES (92688, '2020-05-24', 'UA', 'Ukraine', 'EURO', '406', '20986', '12', '617');
INSERT INTO public.who_import VALUES (92689, '2020-05-25', 'UA', 'Ukraine', 'EURO', '259', '21245', '6', '623');
INSERT INTO public.who_import VALUES (92690, '2020-05-26', 'UA', 'Ukraine', 'EURO', '339', '21584', '21', '644');
INSERT INTO public.who_import VALUES (92691, '2020-05-27', 'UA', 'Ukraine', 'EURO', '321', '21905', '14', '658');
INSERT INTO public.who_import VALUES (92692, '2020-05-28', 'UA', 'Ukraine', 'EURO', '477', '22382', '11', '669');
INSERT INTO public.who_import VALUES (92693, '2020-05-29', 'UA', 'Ukraine', 'EURO', '429', '22811', '10', '679');
INSERT INTO public.who_import VALUES (92694, '2020-05-30', 'UA', 'Ukraine', 'EURO', '393', '23204', '17', '696');
INSERT INTO public.who_import VALUES (92695, '2020-05-31', 'UA', 'Ukraine', 'EURO', '468', '23672', '12', '708');
INSERT INTO public.who_import VALUES (92696, '2020-06-01', 'UA', 'Ukraine', 'EURO', '340', '24012', '10', '718');
INSERT INTO public.who_import VALUES (92697, '2020-06-02', 'UA', 'Ukraine', 'EURO', '328', '24340', '9', '727');
INSERT INTO public.who_import VALUES (92698, '2020-06-03', 'UA', 'Ukraine', 'EURO', '483', '24823', '8', '735');
INSERT INTO public.who_import VALUES (92699, '2020-06-04', 'UA', 'Ukraine', 'EURO', '588', '25411', '13', '748');
INSERT INTO public.who_import VALUES (92700, '2020-06-05', 'UA', 'Ukraine', 'EURO', '553', '25964', '14', '762');
INSERT INTO public.who_import VALUES (92701, '2020-06-06', 'UA', 'Ukraine', 'EURO', '550', '26514', '15', '777');
INSERT INTO public.who_import VALUES (92702, '2020-06-07', 'UA', 'Ukraine', 'EURO', '485', '26999', '11', '788');
INSERT INTO public.who_import VALUES (92703, '2020-06-08', 'UA', 'Ukraine', 'EURO', '463', '27462', '9', '797');
INSERT INTO public.who_import VALUES (92704, '2020-06-09', 'UA', 'Ukraine', 'EURO', '394', '27856', '13', '810');
INSERT INTO public.who_import VALUES (92705, '2020-06-10', 'UA', 'Ukraine', 'EURO', '525', '28381', '23', '833');
INSERT INTO public.who_import VALUES (92706, '2020-06-11', 'UA', 'Ukraine', 'EURO', '689', '29070', '21', '854');
INSERT INTO public.who_import VALUES (92707, '2020-06-12', 'UA', 'Ukraine', 'EURO', '683', '29753', '16', '870');
INSERT INTO public.who_import VALUES (92708, '2020-06-13', 'UA', 'Ukraine', 'EURO', '753', '30506', '10', '880');
INSERT INTO public.who_import VALUES (92709, '2020-06-14', 'UA', 'Ukraine', 'EURO', '648', '31154', '9', '889');
INSERT INTO public.who_import VALUES (92710, '2020-06-15', 'UA', 'Ukraine', 'EURO', '656', '31810', '12', '901');
INSERT INTO public.who_import VALUES (92711, '2020-06-16', 'UA', 'Ukraine', 'EURO', '666', '32476', '12', '913');
INSERT INTO public.who_import VALUES (92712, '2020-06-17', 'UA', 'Ukraine', 'EURO', '758', '33234', '30', '943');
INSERT INTO public.who_import VALUES (92713, '2020-06-18', 'UA', 'Ukraine', 'EURO', '829', '34063', '23', '966');
INSERT INTO public.who_import VALUES (92714, '2020-06-19', 'UA', 'Ukraine', 'EURO', '921', '34984', '19', '985');
INSERT INTO public.who_import VALUES (92715, '2020-06-20', 'UA', 'Ukraine', 'EURO', '841', '35825', '9', '994');
INSERT INTO public.who_import VALUES (92716, '2020-06-21', 'UA', 'Ukraine', 'EURO', '735', '36560', '8', '1002');
INSERT INTO public.who_import VALUES (92717, '2020-06-22', 'UA', 'Ukraine', 'EURO', '681', '37241', '10', '1012');
INSERT INTO public.who_import VALUES (92718, '2020-06-23', 'UA', 'Ukraine', 'EURO', '833', '38074', '23', '1035');
INSERT INTO public.who_import VALUES (92719, '2020-06-24', 'UA', 'Ukraine', 'EURO', '940', '39014', '16', '1051');
INSERT INTO public.who_import VALUES (92720, '2020-06-25', 'UA', 'Ukraine', 'EURO', '994', '40008', '16', '1067');
INSERT INTO public.who_import VALUES (92721, '2020-06-26', 'UA', 'Ukraine', 'EURO', '1109', '41117', '19', '1086');
INSERT INTO public.who_import VALUES (92722, '2020-06-27', 'UA', 'Ukraine', 'EURO', '948', '42065', '24', '1110');
INSERT INTO public.who_import VALUES (92723, '2020-06-28', 'UA', 'Ukraine', 'EURO', '917', '42982', '19', '1129');
INSERT INTO public.who_import VALUES (92724, '2020-06-29', 'UA', 'Ukraine', 'EURO', '646', '43628', '18', '1147');
INSERT INTO public.who_import VALUES (92725, '2020-06-30', 'UA', 'Ukraine', 'EURO', '706', '44334', '12', '1159');
INSERT INTO public.who_import VALUES (92726, '2020-07-01', 'UA', 'Ukraine', 'EURO', '664', '44998', '14', '1173');
INSERT INTO public.who_import VALUES (92727, '2020-07-02', 'UA', 'Ukraine', 'EURO', '890', '45888', '12', '1185');
INSERT INTO public.who_import VALUES (92728, '2020-07-03', 'UA', 'Ukraine', 'EURO', '875', '46763', '27', '1212');
INSERT INTO public.who_import VALUES (92729, '2020-07-04', 'UA', 'Ukraine', 'EURO', '914', '47677', '15', '1227');
INSERT INTO public.who_import VALUES (92730, '2020-07-05', 'UA', 'Ukraine', 'EURO', '823', '48500', '22', '1249');
INSERT INTO public.who_import VALUES (92731, '2020-07-06', 'UA', 'Ukraine', 'EURO', '543', '49043', '13', '1262');
INSERT INTO public.who_import VALUES (92732, '2020-07-07', 'UA', 'Ukraine', 'EURO', '564', '49607', '21', '1283');
INSERT INTO public.who_import VALUES (92733, '2020-07-08', 'UA', 'Ukraine', 'EURO', '807', '50414', '24', '1307');
INSERT INTO public.who_import VALUES (92734, '2020-07-09', 'UA', 'Ukraine', 'EURO', '810', '51224', '20', '1327');
INSERT INTO public.who_import VALUES (92735, '2020-07-10', 'UA', 'Ukraine', 'EURO', '819', '52043', '18', '1345');
INSERT INTO public.who_import VALUES (92736, '2020-07-11', 'UA', 'Ukraine', 'EURO', '800', '52843', '27', '1372');
INSERT INTO public.who_import VALUES (92737, '2020-07-12', 'UA', 'Ukraine', 'EURO', '678', '53521', '11', '1383');
INSERT INTO public.who_import VALUES (92738, '2020-07-13', 'UA', 'Ukraine', 'EURO', '612', '54133', '15', '1398');
INSERT INTO public.who_import VALUES (92739, '2020-07-14', 'UA', 'Ukraine', 'EURO', '638', '54771', '14', '1412');
INSERT INTO public.who_import VALUES (92740, '2020-07-15', 'UA', 'Ukraine', 'EURO', '836', '55607', '15', '1427');
INSERT INTO public.who_import VALUES (92741, '2020-07-16', 'UA', 'Ukraine', 'EURO', '848', '56455', '18', '1445');
INSERT INTO public.who_import VALUES (92742, '2020-07-17', 'UA', 'Ukraine', 'EURO', '809', '57264', '11', '1456');
INSERT INTO public.who_import VALUES (92743, '2020-07-18', 'UA', 'Ukraine', 'EURO', '847', '58111', '21', '1477');
INSERT INTO public.who_import VALUES (92744, '2020-07-19', 'UA', 'Ukraine', 'EURO', '731', '58842', '8', '1485');
INSERT INTO public.who_import VALUES (92745, '2020-07-20', 'UA', 'Ukraine', 'EURO', '651', '59493', '13', '1498');
INSERT INTO public.who_import VALUES (92746, '2020-07-21', 'UA', 'Ukraine', 'EURO', '673', '60166', '20', '1518');
INSERT INTO public.who_import VALUES (92747, '2020-07-22', 'UA', 'Ukraine', 'EURO', '829', '60995', '16', '1534');
INSERT INTO public.who_import VALUES (92748, '2020-07-23', 'UA', 'Ukraine', 'EURO', '856', '61851', '17', '1551');
INSERT INTO public.who_import VALUES (92749, '2020-07-24', 'UA', 'Ukraine', 'EURO', '972', '62823', '20', '1571');
INSERT INTO public.who_import VALUES (92750, '2020-07-25', 'UA', 'Ukraine', 'EURO', '1106', '63929', '19', '1590');
INSERT INTO public.who_import VALUES (92751, '2020-07-26', 'UA', 'Ukraine', 'EURO', '920', '64849', '15', '1605');
INSERT INTO public.who_import VALUES (92752, '2020-07-27', 'UA', 'Ukraine', 'EURO', '807', '65656', '11', '1616');
INSERT INTO public.who_import VALUES (92753, '2020-07-28', 'UA', 'Ukraine', 'EURO', '919', '66575', '13', '1629');
INSERT INTO public.who_import VALUES (92754, '2020-07-29', 'UA', 'Ukraine', 'EURO', '1022', '67597', '21', '1650');
INSERT INTO public.who_import VALUES (92755, '2020-07-30', 'UA', 'Ukraine', 'EURO', '1197', '68794', '23', '1673');
INSERT INTO public.who_import VALUES (92756, '2020-07-31', 'UA', 'Ukraine', 'EURO', '1090', '69884', '20', '1693');
INSERT INTO public.who_import VALUES (92757, '2020-08-01', 'UA', 'Ukraine', 'EURO', '1172', '71056', '16', '1709');
INSERT INTO public.who_import VALUES (92758, '2020-08-02', 'UA', 'Ukraine', 'EURO', '1112', '72168', '16', '1725');
INSERT INTO public.who_import VALUES (92759, '2020-08-03', 'UA', 'Ukraine', 'EURO', '990', '73158', '13', '1738');
INSERT INTO public.who_import VALUES (92760, '2020-08-04', 'UA', 'Ukraine', 'EURO', '1061', '74219', '26', '1764');
INSERT INTO public.who_import VALUES (92761, '2020-08-05', 'UA', 'Ukraine', 'EURO', '1271', '75490', '24', '1788');
INSERT INTO public.who_import VALUES (92762, '2020-08-06', 'UA', 'Ukraine', 'EURO', '1318', '76808', '31', '1819');
INSERT INTO public.who_import VALUES (92763, '2020-08-07', 'UA', 'Ukraine', 'EURO', '1453', '78261', '33', '1852');
INSERT INTO public.who_import VALUES (92764, '2020-08-08', 'UA', 'Ukraine', 'EURO', '1489', '79750', '27', '1879');
INSERT INTO public.who_import VALUES (92765, '2020-08-09', 'UA', 'Ukraine', 'EURO', '1199', '80949', '18', '1897');
INSERT INTO public.who_import VALUES (92766, '2020-08-10', 'UA', 'Ukraine', 'EURO', '1008', '81957', '25', '1922');
INSERT INTO public.who_import VALUES (92767, '2020-08-11', 'UA', 'Ukraine', 'EURO', '1158', '83115', '29', '1951');
INSERT INTO public.who_import VALUES (92768, '2020-08-12', 'UA', 'Ukraine', 'EURO', '1433', '84548', '19', '1970');
INSERT INTO public.who_import VALUES (92769, '2020-08-13', 'UA', 'Ukraine', 'EURO', '1592', '86140', '22', '1992');
INSERT INTO public.who_import VALUES (95537, '2020-03-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92770, '2020-08-14', 'UA', 'Ukraine', 'EURO', '1732', '87872', '19', '2011');
INSERT INTO public.who_import VALUES (92771, '2020-08-15', 'UA', 'Ukraine', 'EURO', '1847', '89719', '33', '2044');
INSERT INTO public.who_import VALUES (92772, '2020-08-16', 'UA', 'Ukraine', 'EURO', '1637', '91356', '26', '2070');
INSERT INTO public.who_import VALUES (92773, '2020-08-17', 'UA', 'Ukraine', 'EURO', '1464', '92820', '19', '2089');
INSERT INTO public.who_import VALUES (92774, '2020-08-18', 'UA', 'Ukraine', 'EURO', '1616', '94436', '27', '2116');
INSERT INTO public.who_import VALUES (92775, '2020-08-19', 'UA', 'Ukraine', 'EURO', '1967', '96403', '28', '2144');
INSERT INTO public.who_import VALUES (92776, '2020-08-20', 'UA', 'Ukraine', 'EURO', '2134', '98537', '40', '2184');
INSERT INTO public.who_import VALUES (92777, '2020-08-21', 'UA', 'Ukraine', 'EURO', '2106', '100643', '23', '2207');
INSERT INTO public.who_import VALUES (92778, '2020-08-22', 'UA', 'Ukraine', 'EURO', '2328', '102971', '37', '2244');
INSERT INTO public.who_import VALUES (92779, '2020-08-23', 'UA', 'Ukraine', 'EURO', '1987', '104958', '27', '2271');
INSERT INTO public.who_import VALUES (92780, '2020-08-24', 'UA', 'Ukraine', 'EURO', '1799', '106757', '22', '2293');
INSERT INTO public.who_import VALUES (92781, '2020-08-25', 'UA', 'Ukraine', 'EURO', '1658', '108415', '25', '2318');
INSERT INTO public.who_import VALUES (92782, '2020-08-26', 'UA', 'Ukraine', 'EURO', '1670', '110085', '36', '2354');
INSERT INTO public.who_import VALUES (92783, '2020-08-27', 'UA', 'Ukraine', 'EURO', '1974', '112059', '49', '2403');
INSERT INTO public.who_import VALUES (92784, '2020-08-28', 'UA', 'Ukraine', 'EURO', '2438', '114497', '48', '2451');
INSERT INTO public.who_import VALUES (92785, '2020-08-29', 'UA', 'Ukraine', 'EURO', '2481', '116978', '41', '2492');
INSERT INTO public.who_import VALUES (92786, '2020-08-30', 'UA', 'Ukraine', 'EURO', '2096', '119074', '35', '2527');
INSERT INTO public.who_import VALUES (92787, '2020-08-31', 'UA', 'Ukraine', 'EURO', '2141', '121215', '30', '2557');
INSERT INTO public.who_import VALUES (92788, '2020-09-01', 'UA', 'Ukraine', 'EURO', '2088', '123303', '48', '2605');
INSERT INTO public.who_import VALUES (92789, '2020-09-02', 'UA', 'Ukraine', 'EURO', '2495', '125798', '51', '2656');
INSERT INTO public.who_import VALUES (92790, '2020-09-03', 'UA', 'Ukraine', 'EURO', '2430', '128228', '54', '2710');
INSERT INTO public.who_import VALUES (92791, '2020-09-04', 'UA', 'Ukraine', 'EURO', '2723', '130951', '51', '2761');
INSERT INTO public.who_import VALUES (92792, '2020-09-05', 'UA', 'Ukraine', 'EURO', '2836', '133787', '50', '2811');
INSERT INTO public.who_import VALUES (92793, '2020-09-06', 'UA', 'Ukraine', 'EURO', '2107', '135894', '35', '2846');
INSERT INTO public.who_import VALUES (92794, '2020-09-07', 'UA', 'Ukraine', 'EURO', '2174', '138068', '31', '2877');
INSERT INTO public.who_import VALUES (92795, '2020-09-08', 'UA', 'Ukraine', 'EURO', '2411', '140479', '57', '2934');
INSERT INTO public.who_import VALUES (92796, '2020-09-09', 'UA', 'Ukraine', 'EURO', '2551', '143030', '45', '2979');
INSERT INTO public.who_import VALUES (92797, '2020-09-10', 'UA', 'Ukraine', 'EURO', '2582', '145612', '44', '3023');
INSERT INTO public.who_import VALUES (92798, '2020-09-11', 'UA', 'Ukraine', 'EURO', '3144', '148756', '53', '3076');
INSERT INTO public.who_import VALUES (92799, '2020-09-12', 'UA', 'Ukraine', 'EURO', '3103', '151859', '72', '3148');
INSERT INTO public.who_import VALUES (92800, '2020-09-13', 'UA', 'Ukraine', 'EURO', '2476', '154335', '30', '3178');
INSERT INTO public.who_import VALUES (92801, '2020-09-14', 'UA', 'Ukraine', 'EURO', '2462', '156797', '33', '3211');
INSERT INTO public.who_import VALUES (92802, '2020-09-15', 'UA', 'Ukraine', 'EURO', '2905', '159702', '53', '3264');
INSERT INTO public.who_import VALUES (92803, '2020-09-16', 'UA', 'Ukraine', 'EURO', '2958', '162660', '76', '3340');
INSERT INTO public.who_import VALUES (92804, '2020-09-17', 'UA', 'Ukraine', 'EURO', '3584', '166244', '60', '3400');
INSERT INTO public.who_import VALUES (92805, '2020-09-18', 'UA', 'Ukraine', 'EURO', '3228', '169472', '68', '3468');
INSERT INTO public.who_import VALUES (92806, '2020-09-19', 'UA', 'Ukraine', 'EURO', '3240', '172712', '48', '3516');
INSERT INTO public.who_import VALUES (92807, '2020-09-20', 'UA', 'Ukraine', 'EURO', '2966', '175678', '41', '3557');
INSERT INTO public.who_import VALUES (92808, '2020-09-21', 'UA', 'Ukraine', 'EURO', '2675', '178353', '26', '3583');
INSERT INTO public.who_import VALUES (92809, '2020-09-22', 'UA', 'Ukraine', 'EURO', '2884', '181237', '59', '3642');
INSERT INTO public.who_import VALUES (92810, '2020-09-23', 'UA', 'Ukraine', 'EURO', '3497', '184734', '63', '3705');
INSERT INTO public.who_import VALUES (92811, '2020-09-24', 'UA', 'Ukraine', 'EURO', '3372', '188106', '52', '3757');
INSERT INTO public.who_import VALUES (92812, '2020-09-25', 'UA', 'Ukraine', 'EURO', '3565', '191671', '70', '3827');
INSERT INTO public.who_import VALUES (92813, '2020-09-26', 'UA', 'Ukraine', 'EURO', '3833', '195504', '76', '3903');
INSERT INTO public.who_import VALUES (92814, '2020-09-27', 'UA', 'Ukraine', 'EURO', '3130', '198634', '56', '3959');
INSERT INTO public.who_import VALUES (92815, '2020-09-28', 'UA', 'Ukraine', 'EURO', '2671', '201305', '37', '3996');
INSERT INTO public.who_import VALUES (92816, '2020-09-29', 'UA', 'Ukraine', 'EURO', '3627', '204932', '69', '4065');
INSERT INTO public.who_import VALUES (92817, '2020-09-30', 'UA', 'Ukraine', 'EURO', '4027', '208959', '64', '4129');
INSERT INTO public.who_import VALUES (92818, '2020-10-01', 'UA', 'Ukraine', 'EURO', '4069', '213028', '64', '4193');
INSERT INTO public.who_import VALUES (92819, '2020-10-02', 'UA', 'Ukraine', 'EURO', '4633', '217661', '68', '4261');
INSERT INTO public.who_import VALUES (92820, '2020-10-03', 'UA', 'Ukraine', 'EURO', '4661', '222322', '92', '4353');
INSERT INTO public.who_import VALUES (92821, '2020-10-04', 'UA', 'Ukraine', 'EURO', '4140', '226462', '44', '4397');
INSERT INTO public.who_import VALUES (92822, '2020-10-05', 'UA', 'Ukraine', 'EURO', '3774', '230236', '33', '4430');
INSERT INTO public.who_import VALUES (92823, '2020-10-06', 'UA', 'Ukraine', 'EURO', '4348', '234584', '90', '4520');
INSERT INTO public.who_import VALUES (92824, '2020-10-07', 'UA', 'Ukraine', 'EURO', '4753', '239337', '77', '4597');
INSERT INTO public.who_import VALUES (92825, '2020-10-08', 'UA', 'Ukraine', 'EURO', '5397', '244734', '93', '4690');
INSERT INTO public.who_import VALUES (92826, '2020-10-09', 'UA', 'Ukraine', 'EURO', '5804', '250538', '89', '4779');
INSERT INTO public.who_import VALUES (92827, '2020-10-10', 'UA', 'Ukraine', 'EURO', '5728', '256266', '108', '4887');
INSERT INTO public.who_import VALUES (92828, '2020-10-11', 'UA', 'Ukraine', 'EURO', '4768', '261034', '85', '4972');
INSERT INTO public.who_import VALUES (92829, '2020-10-12', 'UA', 'Ukraine', 'EURO', '4420', '265454', '43', '5015');
INSERT INTO public.who_import VALUES (92830, '2020-10-13', 'UA', 'Ukraine', 'EURO', '5133', '270587', '107', '5122');
INSERT INTO public.who_import VALUES (92831, '2020-10-14', 'UA', 'Ukraine', 'EURO', '5590', '276177', '107', '5229');
INSERT INTO public.who_import VALUES (92832, '2020-10-15', 'UA', 'Ukraine', 'EURO', '5062', '281239', '73', '5302');
INSERT INTO public.who_import VALUES (92833, '2020-10-16', 'UA', 'Ukraine', 'EURO', '5992', '287231', '106', '5408');
INSERT INTO public.who_import VALUES (92834, '2020-10-17', 'UA', 'Ukraine', 'EURO', '6410', '293641', '109', '5517');
INSERT INTO public.who_import VALUES (92835, '2020-10-18', 'UA', 'Ukraine', 'EURO', '5231', '298872', '90', '5607');
INSERT INTO public.who_import VALUES (92836, '2020-10-19', 'UA', 'Ukraine', 'EURO', '4766', '303638', '66', '5673');
INSERT INTO public.who_import VALUES (92837, '2020-10-20', 'UA', 'Ukraine', 'EURO', '5469', '309107', '113', '5786');
INSERT INTO public.who_import VALUES (92838, '2020-10-21', 'UA', 'Ukraine', 'EURO', '6719', '315826', '141', '5927');
INSERT INTO public.who_import VALUES (92839, '2020-10-22', 'UA', 'Ukraine', 'EURO', '7053', '322879', '116', '6043');
INSERT INTO public.who_import VALUES (92840, '2020-10-23', 'UA', 'Ukraine', 'EURO', '7517', '330396', '121', '6164');
INSERT INTO public.who_import VALUES (92841, '2020-10-24', 'UA', 'Ukraine', 'EURO', '7014', '337410', '125', '6289');
INSERT INTO public.who_import VALUES (92842, '2020-10-25', 'UA', 'Ukraine', 'EURO', '6088', '343498', '102', '6391');
INSERT INTO public.who_import VALUES (92843, '2020-10-26', 'UA', 'Ukraine', 'EURO', '5426', '348924', '73', '6464');
INSERT INTO public.who_import VALUES (92844, '2020-10-27', 'UA', 'Ukraine', 'EURO', '6677', '355601', '126', '6590');
INSERT INTO public.who_import VALUES (92845, '2020-10-28', 'UA', 'Ukraine', 'EURO', '7474', '363075', '165', '6755');
INSERT INTO public.who_import VALUES (92846, '2020-10-29', 'UA', 'Ukraine', 'EURO', '7342', '370417', '113', '6868');
INSERT INTO public.who_import VALUES (92847, '2020-10-30', 'UA', 'Ukraine', 'EURO', '8312', '378729', '173', '7041');
INSERT INTO public.who_import VALUES (92848, '2020-10-31', 'UA', 'Ukraine', 'EURO', '8752', '387481', '155', '7196');
INSERT INTO public.who_import VALUES (92849, '2020-11-01', 'UA', 'Ukraine', 'EURO', '7959', '395440', '110', '7306');
INSERT INTO public.who_import VALUES (92850, '2020-11-02', 'UA', 'Ukraine', 'EURO', '6754', '402194', '69', '7375');
INSERT INTO public.who_import VALUES (92851, '2020-11-03', 'UA', 'Ukraine', 'EURO', '8899', '411093', '157', '7532');
INSERT INTO public.who_import VALUES (92852, '2020-11-04', 'UA', 'Ukraine', 'EURO', '9524', '420617', '199', '7731');
INSERT INTO public.who_import VALUES (92853, '2020-11-05', 'UA', 'Ukraine', 'EURO', '9850', '430467', '193', '7924');
INSERT INTO public.who_import VALUES (92854, '2020-11-06', 'UA', 'Ukraine', 'EURO', '9721', '440188', '202', '8126');
INSERT INTO public.who_import VALUES (92855, '2020-11-07', 'UA', 'Ukraine', 'EURO', '10746', '450934', '186', '8312');
INSERT INTO public.who_import VALUES (92856, '2020-11-08', 'UA', 'Ukraine', 'EURO', '9397', '460331', '138', '8450');
INSERT INTO public.who_import VALUES (92857, '2020-11-09', 'UA', 'Ukraine', 'EURO', '8687', '469018', '115', '8565');
INSERT INTO public.who_import VALUES (92858, '2020-11-10', 'UA', 'Ukraine', 'EURO', '10179', '479197', '191', '8756');
INSERT INTO public.who_import VALUES (92859, '2020-11-11', 'UA', 'Ukraine', 'EURO', '10611', '489808', '191', '8947');
INSERT INTO public.who_import VALUES (92860, '2020-11-12', 'UA', 'Ukraine', 'EURO', '11057', '500865', '198', '9145');
INSERT INTO public.who_import VALUES (92861, '2020-11-13', 'UA', 'Ukraine', 'EURO', '11787', '512652', '172', '9317');
INSERT INTO public.who_import VALUES (92862, '2020-11-14', 'UA', 'Ukraine', 'EURO', '12524', '525176', '191', '9508');
INSERT INTO public.who_import VALUES (92863, '2020-11-15', 'UA', 'Ukraine', 'EURO', '10681', '535857', '95', '9603');
INSERT INTO public.who_import VALUES (92864, '2020-11-16', 'UA', 'Ukraine', 'EURO', '9832', '545689', '94', '9697');
INSERT INTO public.who_import VALUES (92865, '2020-11-17', 'UA', 'Ukraine', 'EURO', '11968', '557657', '159', '9856');
INSERT INTO public.who_import VALUES (92866, '2020-11-18', 'UA', 'Ukraine', 'EURO', '12496', '570153', '256', '10112');
INSERT INTO public.who_import VALUES (92867, '2020-11-19', 'UA', 'Ukraine', 'EURO', '13357', '583510', '257', '10369');
INSERT INTO public.who_import VALUES (92868, '2020-11-20', 'UA', 'Ukraine', 'EURO', '14575', '598085', '229', '10598');
INSERT INTO public.who_import VALUES (92869, '2020-11-21', 'UA', 'Ukraine', 'EURO', '14580', '612665', '215', '10813');
INSERT INTO public.who_import VALUES (92870, '2020-11-22', 'UA', 'Ukraine', 'EURO', '12079', '624744', '138', '10951');
INSERT INTO public.who_import VALUES (92871, '2020-11-23', 'UA', 'Ukraine', 'EURO', '10945', '635689', '124', '11075');
INSERT INTO public.who_import VALUES (92872, '2020-11-24', 'UA', 'Ukraine', 'EURO', '12287', '647976', '188', '11263');
INSERT INTO public.who_import VALUES (92873, '2020-11-25', 'UA', 'Ukraine', 'EURO', '13882', '661858', '229', '11492');
INSERT INTO public.who_import VALUES (92874, '2020-11-26', 'UA', 'Ukraine', 'EURO', '15331', '677189', '225', '11717');
INSERT INTO public.who_import VALUES (92875, '2020-11-27', 'UA', 'Ukraine', 'EURO', '16218', '693407', '192', '11909');
INSERT INTO public.who_import VALUES (92876, '2020-11-28', 'UA', 'Ukraine', 'EURO', '16294', '709701', '184', '12093');
INSERT INTO public.who_import VALUES (92877, '2020-11-29', 'UA', 'Ukraine', 'EURO', '12978', '722679', '120', '12213');
INSERT INTO public.who_import VALUES (92878, '2020-11-30', 'UA', 'Ukraine', 'EURO', '9946', '732625', '114', '12327');
INSERT INTO public.who_import VALUES (92879, '2020-12-01', 'UA', 'Ukraine', 'EURO', '12498', '745123', '221', '12548');
INSERT INTO public.who_import VALUES (92880, '2020-12-02', 'UA', 'Ukraine', 'EURO', '13141', '758264', '169', '12717');
INSERT INTO public.who_import VALUES (92881, '2020-12-03', 'UA', 'Ukraine', 'EURO', '14496', '772760', '243', '12960');
INSERT INTO public.who_import VALUES (92882, '2020-12-04', 'UA', 'Ukraine', 'EURO', '15131', '787891', '235', '13195');
INSERT INTO public.who_import VALUES (92883, '2020-12-05', 'UA', 'Ukraine', 'EURO', '13825', '801716', '226', '13421');
INSERT INTO public.who_import VALUES (92884, '2020-12-06', 'UA', 'Ukraine', 'EURO', '11590', '813306', '167', '13588');
INSERT INTO public.who_import VALUES (92885, '2020-12-07', 'UA', 'Ukraine', 'EURO', '8641', '821947', '145', '13733');
INSERT INTO public.who_import VALUES (92886, '2020-12-08', 'UA', 'Ukraine', 'EURO', '10811', '832758', '195', '13928');
INSERT INTO public.who_import VALUES (92887, '2020-12-09', 'UA', 'Ukraine', 'EURO', '12585', '845343', '276', '14204');
INSERT INTO public.who_import VALUES (92888, '2020-12-10', 'UA', 'Ukraine', 'EURO', '13371', '858714', '266', '14470');
INSERT INTO public.who_import VALUES (92889, '2020-12-11', 'UA', 'Ukraine', 'EURO', '13514', '872228', '285', '14755');
INSERT INTO public.who_import VALUES (92890, '2020-12-12', 'UA', 'Ukraine', 'EURO', '12811', '885039', '243', '14998');
INSERT INTO public.who_import VALUES (92891, '2020-12-13', 'UA', 'Ukraine', 'EURO', '9176', '894215', '156', '15154');
INSERT INTO public.who_import VALUES (92892, '2020-12-14', 'UA', 'Ukraine', 'EURO', '6451', '900666', '93', '15247');
INSERT INTO public.who_import VALUES (92893, '2020-12-15', 'UA', 'Ukraine', 'EURO', '8416', '909082', '233', '15480');
INSERT INTO public.who_import VALUES (92894, '2020-12-16', 'UA', 'Ukraine', 'EURO', '10622', '919704', '264', '15744');
INSERT INTO public.who_import VALUES (92895, '2020-12-17', 'UA', 'Ukraine', 'EURO', '12047', '931751', '252', '15996');
INSERT INTO public.who_import VALUES (92896, '2020-12-18', 'UA', 'Ukraine', 'EURO', '12630', '944381', '260', '16256');
INSERT INTO public.who_import VALUES (92897, '2020-12-19', 'UA', 'Ukraine', 'EURO', '11742', '956123', '213', '16469');
INSERT INTO public.who_import VALUES (92898, '2020-12-20', 'UA', 'Ukraine', 'EURO', '8325', '964448', '116', '16585');
INSERT INTO public.who_import VALUES (92899, '2020-12-21', 'UA', 'Ukraine', 'EURO', '6545', '970993', '80', '16665');
INSERT INTO public.who_import VALUES (92900, '2020-12-22', 'UA', 'Ukraine', 'EURO', '8513', '979506', '232', '16897');
INSERT INTO public.who_import VALUES (92901, '2020-12-23', 'UA', 'Ukraine', 'EURO', '10136', '989642', '275', '17172');
INSERT INTO public.who_import VALUES (92902, '2020-12-24', 'UA', 'Ukraine', 'EURO', '11490', '1001132', '223', '17395');
INSERT INTO public.who_import VALUES (92903, '2020-12-25', 'UA', 'Ukraine', 'EURO', '11035', '1012167', '186', '17581');
INSERT INTO public.who_import VALUES (92904, '2020-12-26', 'UA', 'Ukraine', 'EURO', '7709', '1019876', '121', '17702');
INSERT INTO public.who_import VALUES (92905, '2020-12-27', 'UA', 'Ukraine', 'EURO', '6113', '1025989', '72', '17774');
INSERT INTO public.who_import VALUES (92906, '2020-12-28', 'UA', 'Ukraine', 'EURO', '4385', '1030374', '75', '17849');
INSERT INTO public.who_import VALUES (92907, '2020-12-29', 'UA', 'Ukraine', 'EURO', '6988', '1037362', '232', '18081');
INSERT INTO public.who_import VALUES (92908, '2020-12-30', 'UA', 'Ukraine', 'EURO', '7986', '1045348', '243', '18324');
INSERT INTO public.who_import VALUES (92909, '2020-12-31', 'UA', 'Ukraine', 'EURO', '9699', '1055047', '209', '18533');
INSERT INTO public.who_import VALUES (92910, '2021-01-01', 'UA', 'Ukraine', 'EURO', '9432', '1064479', '147', '18680');
INSERT INTO public.who_import VALUES (92911, '2021-01-02', 'UA', 'Ukraine', 'EURO', '5038', '1069517', '51', '18731');
INSERT INTO public.who_import VALUES (92912, '2021-01-03', 'UA', 'Ukraine', 'EURO', '4576', '1074093', '123', '18854');
INSERT INTO public.who_import VALUES (92913, '2021-01-04', 'UA', 'Ukraine', 'EURO', '4158', '1078251', '73', '18927');
INSERT INTO public.who_import VALUES (92914, '2021-01-05', 'UA', 'Ukraine', 'EURO', '5334', '1083585', '202', '19129');
INSERT INTO public.who_import VALUES (92915, '2021-01-06', 'UA', 'Ukraine', 'EURO', '6911', '1090496', '228', '19357');
INSERT INTO public.who_import VALUES (92916, '2021-01-07', 'UA', 'Ukraine', 'EURO', '8997', '1099493', '148', '19505');
INSERT INTO public.who_import VALUES (92917, '2021-01-08', 'UA', 'Ukraine', 'EURO', '5676', '1105169', '83', '19588');
INSERT INTO public.who_import VALUES (92918, '2021-01-09', 'UA', 'Ukraine', 'EURO', '4846', '1110015', '80', '19668');
INSERT INTO public.who_import VALUES (92919, '2021-01-10', 'UA', 'Ukraine', 'EURO', '5011', '1115026', '99', '19767');
INSERT INTO public.who_import VALUES (92920, '2021-01-11', 'UA', 'Ukraine', 'EURO', '4288', '1119314', '68', '19835');
INSERT INTO public.who_import VALUES (92921, '2021-01-12', 'UA', 'Ukraine', 'EURO', '5116', '1124430', '184', '20019');
INSERT INTO public.who_import VALUES (92922, '2021-01-13', 'UA', 'Ukraine', 'EURO', '6409', '1130839', '195', '20214');
INSERT INTO public.who_import VALUES (92923, '2021-01-14', 'UA', 'Ukraine', 'EURO', '7925', '1138764', '162', '20376');
INSERT INTO public.who_import VALUES (92924, '2021-01-15', 'UA', 'Ukraine', 'EURO', '8199', '1146963', '166', '20542');
INSERT INTO public.who_import VALUES (92925, '2021-01-16', 'UA', 'Ukraine', 'EURO', '7729', '1154692', '144', '20686');
INSERT INTO public.who_import VALUES (92926, '2021-01-17', 'UA', 'Ukraine', 'EURO', '5990', '1160682', '116', '20802');
INSERT INTO public.who_import VALUES (92927, '2021-01-18', 'UA', 'Ukraine', 'EURO', '3034', '1163716', '67', '20869');
INSERT INTO public.who_import VALUES (92928, '2021-01-19', 'UA', 'Ukraine', 'EURO', '3939', '1167655', '177', '21046');
INSERT INTO public.who_import VALUES (92929, '2021-01-20', 'UA', 'Ukraine', 'EURO', '4383', '1172038', '212', '21258');
INSERT INTO public.who_import VALUES (92930, '2021-01-21', 'UA', 'Ukraine', 'EURO', '5583', '1177621', '241', '21499');
INSERT INTO public.who_import VALUES (92931, '2021-01-22', 'UA', 'Ukraine', 'EURO', '5348', '1182969', '163', '21662');
INSERT INTO public.who_import VALUES (92932, '2021-01-23', 'UA', 'Ukraine', 'EURO', '4928', '1187897', '116', '21778');
INSERT INTO public.who_import VALUES (92933, '2021-01-24', 'UA', 'Ukraine', 'EURO', '3915', '1191812', '83', '21861');
INSERT INTO public.who_import VALUES (92934, '2021-01-25', 'UA', 'Ukraine', 'EURO', '2516', '1194328', '63', '21924');
INSERT INTO public.who_import VALUES (92935, '2021-01-26', 'UA', 'Ukraine', 'EURO', '2779', '1197107', '133', '22057');
INSERT INTO public.who_import VALUES (92936, '2021-01-27', 'UA', 'Ukraine', 'EURO', '3776', '1200883', '145', '22202');
INSERT INTO public.who_import VALUES (92937, '2021-01-28', 'UA', 'Ukraine', 'EURO', '5529', '1206412', '149', '22351');
INSERT INTO public.who_import VALUES (92938, '2021-01-29', 'UA', 'Ukraine', 'EURO', '5181', '1211593', '128', '22479');
INSERT INTO public.who_import VALUES (92939, '2021-01-30', 'UA', 'Ukraine', 'EURO', '4685', '1216278', '149', '22628');
INSERT INTO public.who_import VALUES (92940, '2021-01-31', 'UA', 'Ukraine', 'EURO', '3177', '1219455', '79', '22707');
INSERT INTO public.who_import VALUES (92941, '2021-02-01', 'UA', 'Ukraine', 'EURO', '2030', '1221485', '61', '22768');
INSERT INTO public.who_import VALUES (92942, '2021-02-02', 'UA', 'Ukraine', 'EURO', '2394', '1223879', '156', '22924');
INSERT INTO public.who_import VALUES (92943, '2021-02-03', 'UA', 'Ukraine', 'EURO', '3285', '1227164', '165', '23089');
INSERT INTO public.who_import VALUES (92944, '2021-02-04', 'UA', 'Ukraine', 'EURO', '5082', '1232246', '140', '23229');
INSERT INTO public.who_import VALUES (92945, '2021-02-05', 'UA', 'Ukraine', 'EURO', '4923', '1237169', '158', '23387');
INSERT INTO public.who_import VALUES (92946, '2021-02-06', 'UA', 'Ukraine', 'EURO', '4310', '1241479', '129', '23516');
INSERT INTO public.who_import VALUES (92947, '2021-02-07', 'UA', 'Ukraine', 'EURO', '3370', '1244849', '81', '23597');
INSERT INTO public.who_import VALUES (92948, '2021-02-08', 'UA', 'Ukraine', 'EURO', '2141', '1246990', '47', '23644');
INSERT INTO public.who_import VALUES (92949, '2021-02-09', 'UA', 'Ukraine', 'EURO', '2656', '1249646', '127', '23771');
INSERT INTO public.who_import VALUES (92950, '2021-02-10', 'UA', 'Ukraine', 'EURO', '3409', '1253055', '163', '23934');
INSERT INTO public.who_import VALUES (92951, '2021-02-11', 'UA', 'Ukraine', 'EURO', '5039', '1258094', '124', '24058');
INSERT INTO public.who_import VALUES (92952, '2021-02-12', 'UA', 'Ukraine', 'EURO', '4773', '1262867', '116', '24174');
INSERT INTO public.who_import VALUES (92953, '2021-02-13', 'UA', 'Ukraine', 'EURO', '5182', '1268049', '111', '24285');
INSERT INTO public.who_import VALUES (92954, '2021-02-14', 'UA', 'Ukraine', 'EURO', '3094', '1271143', '45', '24330');
INSERT INTO public.who_import VALUES (92955, '2021-02-15', 'UA', 'Ukraine', 'EURO', '2332', '1273475', '62', '24392');
INSERT INTO public.who_import VALUES (92956, '2021-02-16', 'UA', 'Ukraine', 'EURO', '3143', '1276618', '150', '24542');
INSERT INTO public.who_import VALUES (92957, '2021-02-17', 'UA', 'Ukraine', 'EURO', '4286', '1280904', '147', '24689');
INSERT INTO public.who_import VALUES (92958, '2021-02-18', 'UA', 'Ukraine', 'EURO', '6237', '1287141', '163', '24852');
INSERT INTO public.who_import VALUES (92959, '2021-02-19', 'UA', 'Ukraine', 'EURO', '6531', '1293672', '120', '24972');
INSERT INTO public.who_import VALUES (92960, '2021-02-20', 'UA', 'Ukraine', 'EURO', '6295', '1299967', '73', '25045');
INSERT INTO public.who_import VALUES (92961, '2020-01-03', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92962, '2020-01-04', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92963, '2020-01-05', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92964, '2020-01-06', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92965, '2020-01-07', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92966, '2020-01-08', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92967, '2020-01-09', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92968, '2020-01-10', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92969, '2020-01-11', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92970, '2020-01-12', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92971, '2020-01-13', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92972, '2020-01-14', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92973, '2020-01-15', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92974, '2020-01-16', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92975, '2020-01-17', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92976, '2020-01-18', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92977, '2020-01-19', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92978, '2020-01-20', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92979, '2020-01-21', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92980, '2020-01-22', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92981, '2020-01-23', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92982, '2020-01-24', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92983, '2020-01-25', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92984, '2020-01-26', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92985, '2020-01-27', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92986, '2020-01-28', 'AE', 'United Arab Emirates', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (92987, '2020-01-29', 'AE', 'United Arab Emirates', 'EMRO', '8', '8', '0', '0');
INSERT INTO public.who_import VALUES (92988, '2020-01-30', 'AE', 'United Arab Emirates', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (92989, '2020-01-31', 'AE', 'United Arab Emirates', 'EMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (92990, '2020-02-01', 'AE', 'United Arab Emirates', 'EMRO', '1', '9', '0', '0');
INSERT INTO public.who_import VALUES (92991, '2020-02-02', 'AE', 'United Arab Emirates', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92992, '2020-02-03', 'AE', 'United Arab Emirates', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92993, '2020-02-04', 'AE', 'United Arab Emirates', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92994, '2020-02-05', 'AE', 'United Arab Emirates', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92995, '2020-02-06', 'AE', 'United Arab Emirates', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92996, '2020-02-07', 'AE', 'United Arab Emirates', 'EMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (92997, '2020-02-08', 'AE', 'United Arab Emirates', 'EMRO', '2', '11', '0', '0');
INSERT INTO public.who_import VALUES (92998, '2020-02-09', 'AE', 'United Arab Emirates', 'EMRO', '0', '11', '0', '0');
INSERT INTO public.who_import VALUES (92999, '2020-02-10', 'AE', 'United Arab Emirates', 'EMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (93000, '2020-02-11', 'AE', 'United Arab Emirates', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93001, '2020-02-12', 'AE', 'United Arab Emirates', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93002, '2020-02-13', 'AE', 'United Arab Emirates', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93003, '2020-02-14', 'AE', 'United Arab Emirates', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93004, '2020-02-15', 'AE', 'United Arab Emirates', 'EMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93005, '2020-02-16', 'AE', 'United Arab Emirates', 'EMRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (93006, '2020-02-17', 'AE', 'United Arab Emirates', 'EMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (93007, '2020-02-18', 'AE', 'United Arab Emirates', 'EMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (93008, '2020-02-19', 'AE', 'United Arab Emirates', 'EMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (93009, '2020-02-20', 'AE', 'United Arab Emirates', 'EMRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (93010, '2020-02-21', 'AE', 'United Arab Emirates', 'EMRO', '2', '15', '0', '0');
INSERT INTO public.who_import VALUES (93011, '2020-02-22', 'AE', 'United Arab Emirates', 'EMRO', '2', '17', '0', '0');
INSERT INTO public.who_import VALUES (93012, '2020-02-23', 'AE', 'United Arab Emirates', 'EMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (93013, '2020-02-24', 'AE', 'United Arab Emirates', 'EMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (93014, '2020-02-25', 'AE', 'United Arab Emirates', 'EMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (93015, '2020-02-26', 'AE', 'United Arab Emirates', 'EMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (93016, '2020-02-27', 'AE', 'United Arab Emirates', 'EMRO', '6', '23', '0', '0');
INSERT INTO public.who_import VALUES (93017, '2020-02-28', 'AE', 'United Arab Emirates', 'EMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (93018, '2020-02-29', 'AE', 'United Arab Emirates', 'EMRO', '0', '23', '0', '0');
INSERT INTO public.who_import VALUES (93019, '2020-03-01', 'AE', 'United Arab Emirates', 'EMRO', '2', '25', '0', '0');
INSERT INTO public.who_import VALUES (93020, '2020-03-02', 'AE', 'United Arab Emirates', 'EMRO', '0', '25', '0', '0');
INSERT INTO public.who_import VALUES (93021, '2020-03-03', 'AE', 'United Arab Emirates', 'EMRO', '6', '31', '0', '0');
INSERT INTO public.who_import VALUES (93022, '2020-03-04', 'AE', 'United Arab Emirates', 'EMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (93023, '2020-03-05', 'AE', 'United Arab Emirates', 'EMRO', '0', '31', '0', '0');
INSERT INTO public.who_import VALUES (93024, '2020-03-06', 'AE', 'United Arab Emirates', 'EMRO', '18', '49', '0', '0');
INSERT INTO public.who_import VALUES (93025, '2020-03-07', 'AE', 'United Arab Emirates', 'EMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (93026, '2020-03-08', 'AE', 'United Arab Emirates', 'EMRO', '0', '49', '0', '0');
INSERT INTO public.who_import VALUES (93027, '2020-03-09', 'AE', 'United Arab Emirates', 'EMRO', '14', '63', '0', '0');
INSERT INTO public.who_import VALUES (93028, '2020-03-10', 'AE', 'United Arab Emirates', 'EMRO', '15', '78', '0', '0');
INSERT INTO public.who_import VALUES (93029, '2020-03-11', 'AE', 'United Arab Emirates', 'EMRO', '0', '78', '0', '0');
INSERT INTO public.who_import VALUES (93030, '2020-03-12', 'AE', 'United Arab Emirates', 'EMRO', '11', '89', '0', '0');
INSERT INTO public.who_import VALUES (93031, '2020-03-13', 'AE', 'United Arab Emirates', 'EMRO', '0', '89', '0', '0');
INSERT INTO public.who_import VALUES (93032, '2020-03-14', 'AE', 'United Arab Emirates', 'EMRO', '0', '89', '0', '0');
INSERT INTO public.who_import VALUES (93033, '2020-03-15', 'AE', 'United Arab Emirates', 'EMRO', '13', '102', '0', '0');
INSERT INTO public.who_import VALUES (93034, '2020-03-16', 'AE', 'United Arab Emirates', 'EMRO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (93035, '2020-03-17', 'AE', 'United Arab Emirates', 'EMRO', '0', '102', '0', '0');
INSERT INTO public.who_import VALUES (93036, '2020-03-18', 'AE', 'United Arab Emirates', 'EMRO', '15', '117', '0', '0');
INSERT INTO public.who_import VALUES (93037, '2020-03-19', 'AE', 'United Arab Emirates', 'EMRO', '23', '140', '0', '0');
INSERT INTO public.who_import VALUES (93038, '2020-03-20', 'AE', 'United Arab Emirates', 'EMRO', '0', '140', '0', '0');
INSERT INTO public.who_import VALUES (93039, '2020-03-21', 'AE', 'United Arab Emirates', 'EMRO', '13', '153', '2', '2');
INSERT INTO public.who_import VALUES (93040, '2020-03-22', 'AE', 'United Arab Emirates', 'EMRO', '0', '153', '0', '2');
INSERT INTO public.who_import VALUES (93041, '2020-03-23', 'AE', 'United Arab Emirates', 'EMRO', '45', '198', '0', '2');
INSERT INTO public.who_import VALUES (93042, '2020-03-24', 'AE', 'United Arab Emirates', 'EMRO', '50', '248', '0', '2');
INSERT INTO public.who_import VALUES (93043, '2020-03-25', 'AE', 'United Arab Emirates', 'EMRO', '85', '333', '0', '2');
INSERT INTO public.who_import VALUES (93044, '2020-03-26', 'AE', 'United Arab Emirates', 'EMRO', '0', '333', '0', '2');
INSERT INTO public.who_import VALUES (93045, '2020-03-27', 'AE', 'United Arab Emirates', 'EMRO', '0', '333', '0', '2');
INSERT INTO public.who_import VALUES (93046, '2020-03-28', 'AE', 'United Arab Emirates', 'EMRO', '135', '468', '0', '2');
INSERT INTO public.who_import VALUES (93047, '2020-03-29', 'AE', 'United Arab Emirates', 'EMRO', '0', '468', '0', '2');
INSERT INTO public.who_import VALUES (93048, '2020-03-30', 'AE', 'United Arab Emirates', 'EMRO', '143', '611', '3', '5');
INSERT INTO public.who_import VALUES (93049, '2020-03-31', 'AE', 'United Arab Emirates', 'EMRO', '53', '664', '1', '6');
INSERT INTO public.who_import VALUES (93050, '2020-04-01', 'AE', 'United Arab Emirates', 'EMRO', '0', '664', '0', '6');
INSERT INTO public.who_import VALUES (93051, '2020-04-02', 'AE', 'United Arab Emirates', 'EMRO', '150', '814', '2', '8');
INSERT INTO public.who_import VALUES (93052, '2020-04-03', 'AE', 'United Arab Emirates', 'EMRO', '210', '1024', '0', '8');
INSERT INTO public.who_import VALUES (93053, '2020-04-04', 'AE', 'United Arab Emirates', 'EMRO', '481', '1505', '2', '10');
INSERT INTO public.who_import VALUES (93054, '2020-04-05', 'AE', 'United Arab Emirates', 'EMRO', '0', '1505', '0', '10');
INSERT INTO public.who_import VALUES (93055, '2020-04-06', 'AE', 'United Arab Emirates', 'EMRO', '571', '2076', '1', '11');
INSERT INTO public.who_import VALUES (93056, '2020-04-07', 'AE', 'United Arab Emirates', 'EMRO', '0', '2076', '0', '11');
INSERT INTO public.who_import VALUES (93057, '2020-04-08', 'AE', 'United Arab Emirates', 'EMRO', '583', '2659', '1', '12');
INSERT INTO public.who_import VALUES (93058, '2020-04-09', 'AE', 'United Arab Emirates', 'EMRO', '0', '2659', '0', '12');
INSERT INTO public.who_import VALUES (93059, '2020-04-10', 'AE', 'United Arab Emirates', 'EMRO', '331', '2990', '2', '14');
INSERT INTO public.who_import VALUES (93060, '2020-04-11', 'AE', 'United Arab Emirates', 'EMRO', '746', '3736', '6', '20');
INSERT INTO public.who_import VALUES (93061, '2020-04-12', 'AE', 'United Arab Emirates', 'EMRO', '0', '3736', '0', '20');
INSERT INTO public.who_import VALUES (93062, '2020-04-13', 'AE', 'United Arab Emirates', 'EMRO', '387', '4123', '5', '25');
INSERT INTO public.who_import VALUES (93063, '2020-04-14', 'AE', 'United Arab Emirates', 'EMRO', '398', '4521', '0', '25');
INSERT INTO public.who_import VALUES (93064, '2020-04-15', 'AE', 'United Arab Emirates', 'EMRO', '412', '4933', '3', '28');
INSERT INTO public.who_import VALUES (93065, '2020-04-16', 'AE', 'United Arab Emirates', 'EMRO', '432', '5365', '5', '33');
INSERT INTO public.who_import VALUES (93066, '2020-04-17', 'AE', 'United Arab Emirates', 'EMRO', '460', '5825', '2', '35');
INSERT INTO public.who_import VALUES (93067, '2020-04-18', 'AE', 'United Arab Emirates', 'EMRO', '477', '6302', '2', '37');
INSERT INTO public.who_import VALUES (93068, '2020-04-19', 'AE', 'United Arab Emirates', 'EMRO', '479', '6781', '4', '41');
INSERT INTO public.who_import VALUES (93069, '2020-04-20', 'AE', 'United Arab Emirates', 'EMRO', '484', '7265', '2', '43');
INSERT INTO public.who_import VALUES (93070, '2020-04-21', 'AE', 'United Arab Emirates', 'EMRO', '490', '7755', '3', '46');
INSERT INTO public.who_import VALUES (93071, '2020-04-22', 'AE', 'United Arab Emirates', 'EMRO', '483', '8238', '6', '52');
INSERT INTO public.who_import VALUES (93072, '2020-04-23', 'AE', 'United Arab Emirates', 'EMRO', '518', '8756', '4', '56');
INSERT INTO public.who_import VALUES (93073, '2020-04-24', 'AE', 'United Arab Emirates', 'EMRO', '525', '9281', '8', '64');
INSERT INTO public.who_import VALUES (93074, '2020-04-25', 'AE', 'United Arab Emirates', 'EMRO', '0', '9281', '0', '64');
INSERT INTO public.who_import VALUES (93075, '2020-04-26', 'AE', 'United Arab Emirates', 'EMRO', '1068', '10349', '12', '76');
INSERT INTO public.who_import VALUES (93076, '2020-04-27', 'AE', 'United Arab Emirates', 'EMRO', '0', '10349', '0', '76');
INSERT INTO public.who_import VALUES (93077, '2020-04-28', 'AE', 'United Arab Emirates', 'EMRO', '1031', '11380', '13', '89');
INSERT INTO public.who_import VALUES (93078, '2020-04-29', 'AE', 'United Arab Emirates', 'EMRO', '0', '11380', '0', '89');
INSERT INTO public.who_import VALUES (93079, '2020-04-30', 'AE', 'United Arab Emirates', 'EMRO', '1101', '12481', '16', '105');
INSERT INTO public.who_import VALUES (93080, '2020-05-01', 'AE', 'United Arab Emirates', 'EMRO', '557', '13038', '6', '111');
INSERT INTO public.who_import VALUES (93081, '2020-05-02', 'AE', 'United Arab Emirates', 'EMRO', '0', '13038', '0', '111');
INSERT INTO public.who_import VALUES (93082, '2020-05-03', 'AE', 'United Arab Emirates', 'EMRO', '1125', '14163', '15', '126');
INSERT INTO public.who_import VALUES (93083, '2020-05-04', 'AE', 'United Arab Emirates', 'EMRO', '0', '14163', '0', '126');
INSERT INTO public.who_import VALUES (93084, '2020-05-05', 'AE', 'United Arab Emirates', 'EMRO', '1029', '15192', '20', '146');
INSERT INTO public.who_import VALUES (93085, '2020-05-06', 'AE', 'United Arab Emirates', 'EMRO', '0', '15192', '0', '146');
INSERT INTO public.who_import VALUES (93086, '2020-05-07', 'AE', 'United Arab Emirates', 'EMRO', '1048', '16240', '19', '165');
INSERT INTO public.who_import VALUES (93087, '2020-05-08', 'AE', 'United Arab Emirates', 'EMRO', '553', '16793', '9', '174');
INSERT INTO public.who_import VALUES (93088, '2020-05-09', 'AE', 'United Arab Emirates', 'EMRO', '0', '16793', '0', '174');
INSERT INTO public.who_import VALUES (93089, '2020-05-10', 'AE', 'United Arab Emirates', 'EMRO', '1405', '18198', '24', '198');
INSERT INTO public.who_import VALUES (93090, '2020-05-11', 'AE', 'United Arab Emirates', 'EMRO', '0', '18198', '0', '198');
INSERT INTO public.who_import VALUES (93091, '2020-05-12', 'AE', 'United Arab Emirates', 'EMRO', '1463', '19661', '5', '203');
INSERT INTO public.who_import VALUES (93092, '2020-05-13', 'AE', 'United Arab Emirates', 'EMRO', '0', '19661', '0', '203');
INSERT INTO public.who_import VALUES (93093, '2020-05-14', 'AE', 'United Arab Emirates', 'EMRO', '1423', '21084', '5', '208');
INSERT INTO public.who_import VALUES (93094, '2020-05-15', 'AE', 'United Arab Emirates', 'EMRO', '747', '21831', '2', '210');
INSERT INTO public.who_import VALUES (93095, '2020-05-16', 'AE', 'United Arab Emirates', 'EMRO', '0', '21831', '0', '210');
INSERT INTO public.who_import VALUES (93096, '2020-05-17', 'AE', 'United Arab Emirates', 'EMRO', '1527', '23358', '10', '220');
INSERT INTO public.who_import VALUES (93097, '2020-05-18', 'AE', 'United Arab Emirates', 'EMRO', '0', '23358', '0', '220');
INSERT INTO public.who_import VALUES (93098, '2020-05-19', 'AE', 'United Arab Emirates', 'EMRO', '1705', '25063', '7', '227');
INSERT INTO public.who_import VALUES (93099, '2020-05-20', 'AE', 'United Arab Emirates', 'EMRO', '0', '25063', '0', '227');
INSERT INTO public.who_import VALUES (93100, '2020-05-21', 'AE', 'United Arab Emirates', 'EMRO', '941', '26004', '6', '233');
INSERT INTO public.who_import VALUES (93101, '2020-05-22', 'AE', 'United Arab Emirates', 'EMRO', '894', '26898', '4', '237');
INSERT INTO public.who_import VALUES (93102, '2020-05-23', 'AE', 'United Arab Emirates', 'EMRO', '994', '27892', '4', '241');
INSERT INTO public.who_import VALUES (93103, '2020-05-24', 'AE', 'United Arab Emirates', 'EMRO', '812', '28704', '3', '244');
INSERT INTO public.who_import VALUES (93104, '2020-05-25', 'AE', 'United Arab Emirates', 'EMRO', '781', '29485', '1', '245');
INSERT INTO public.who_import VALUES (93105, '2020-05-26', 'AE', 'United Arab Emirates', 'EMRO', '822', '30307', '3', '248');
INSERT INTO public.who_import VALUES (93106, '2020-05-27', 'AE', 'United Arab Emirates', 'EMRO', '779', '31086', '5', '253');
INSERT INTO public.who_import VALUES (93107, '2020-05-28', 'AE', 'United Arab Emirates', 'EMRO', '883', '31969', '2', '255');
INSERT INTO public.who_import VALUES (93108, '2020-05-29', 'AE', 'United Arab Emirates', 'EMRO', '563', '32532', '3', '258');
INSERT INTO public.who_import VALUES (93109, '2020-05-30', 'AE', 'United Arab Emirates', 'EMRO', '638', '33170', '2', '260');
INSERT INTO public.who_import VALUES (93110, '2020-05-31', 'AE', 'United Arab Emirates', 'EMRO', '726', '33896', '2', '262');
INSERT INTO public.who_import VALUES (93111, '2020-06-01', 'AE', 'United Arab Emirates', 'EMRO', '661', '34557', '2', '264');
INSERT INTO public.who_import VALUES (93112, '2020-06-02', 'AE', 'United Arab Emirates', 'EMRO', '635', '35192', '2', '266');
INSERT INTO public.who_import VALUES (93113, '2020-06-03', 'AE', 'United Arab Emirates', 'EMRO', '596', '35788', '3', '269');
INSERT INTO public.who_import VALUES (93114, '2020-06-04', 'AE', 'United Arab Emirates', 'EMRO', '571', '36359', '1', '270');
INSERT INTO public.who_import VALUES (93115, '2020-06-05', 'AE', 'United Arab Emirates', 'EMRO', '659', '37018', '3', '273');
INSERT INTO public.who_import VALUES (93116, '2020-06-06', 'AE', 'United Arab Emirates', 'EMRO', '624', '37642', '1', '274');
INSERT INTO public.who_import VALUES (93117, '2020-06-07', 'AE', 'United Arab Emirates', 'EMRO', '626', '38268', '1', '275');
INSERT INTO public.who_import VALUES (93118, '2020-06-08', 'AE', 'United Arab Emirates', 'EMRO', '540', '38808', '1', '276');
INSERT INTO public.who_import VALUES (93119, '2020-06-09', 'AE', 'United Arab Emirates', 'EMRO', '568', '39376', '5', '281');
INSERT INTO public.who_import VALUES (93120, '2020-06-10', 'AE', 'United Arab Emirates', 'EMRO', '528', '39904', '2', '283');
INSERT INTO public.who_import VALUES (93121, '2020-06-11', 'AE', 'United Arab Emirates', 'EMRO', '603', '40507', '1', '284');
INSERT INTO public.who_import VALUES (93122, '2020-06-12', 'AE', 'United Arab Emirates', 'EMRO', '479', '40986', '2', '286');
INSERT INTO public.who_import VALUES (93123, '2020-06-13', 'AE', 'United Arab Emirates', 'EMRO', '513', '41499', '1', '287');
INSERT INTO public.who_import VALUES (93124, '2020-06-14', 'AE', 'United Arab Emirates', 'EMRO', '491', '41990', '1', '288');
INSERT INTO public.who_import VALUES (93125, '2020-06-15', 'AE', 'United Arab Emirates', 'EMRO', '304', '42294', '1', '289');
INSERT INTO public.who_import VALUES (93126, '2020-06-16', 'AE', 'United Arab Emirates', 'EMRO', '342', '42636', '2', '291');
INSERT INTO public.who_import VALUES (93127, '2020-06-17', 'AE', 'United Arab Emirates', 'EMRO', '346', '42982', '2', '293');
INSERT INTO public.who_import VALUES (93128, '2020-06-18', 'AE', 'United Arab Emirates', 'EMRO', '382', '43364', '2', '295');
INSERT INTO public.who_import VALUES (93129, '2020-06-19', 'AE', 'United Arab Emirates', 'EMRO', '388', '43752', '3', '298');
INSERT INTO public.who_import VALUES (93130, '2020-06-20', 'AE', 'United Arab Emirates', 'EMRO', '393', '44145', '2', '300');
INSERT INTO public.who_import VALUES (93131, '2020-06-21', 'AE', 'United Arab Emirates', 'EMRO', '388', '44533', '1', '301');
INSERT INTO public.who_import VALUES (93132, '2020-06-22', 'AE', 'United Arab Emirates', 'EMRO', '392', '44925', '1', '302');
INSERT INTO public.who_import VALUES (93133, '2020-06-23', 'AE', 'United Arab Emirates', 'EMRO', '378', '45303', '1', '303');
INSERT INTO public.who_import VALUES (93134, '2020-06-24', 'AE', 'United Arab Emirates', 'EMRO', '380', '45683', '2', '305');
INSERT INTO public.who_import VALUES (93135, '2020-06-25', 'AE', 'United Arab Emirates', 'EMRO', '450', '46133', '2', '307');
INSERT INTO public.who_import VALUES (93136, '2020-06-26', 'AE', 'United Arab Emirates', 'EMRO', '430', '46563', '1', '308');
INSERT INTO public.who_import VALUES (93137, '2020-06-27', 'AE', 'United Arab Emirates', 'EMRO', '410', '46973', '2', '310');
INSERT INTO public.who_import VALUES (93138, '2020-06-28', 'AE', 'United Arab Emirates', 'EMRO', '387', '47360', '1', '311');
INSERT INTO public.who_import VALUES (93139, '2020-06-29', 'AE', 'United Arab Emirates', 'EMRO', '437', '47797', '2', '313');
INSERT INTO public.who_import VALUES (93140, '2020-06-30', 'AE', 'United Arab Emirates', 'EMRO', '449', '48246', '1', '314');
INSERT INTO public.who_import VALUES (93141, '2020-07-01', 'AE', 'United Arab Emirates', 'EMRO', '421', '48667', '1', '315');
INSERT INTO public.who_import VALUES (93142, '2020-07-02', 'AE', 'United Arab Emirates', 'EMRO', '402', '49069', '1', '316');
INSERT INTO public.who_import VALUES (93143, '2020-07-03', 'AE', 'United Arab Emirates', 'EMRO', '400', '49469', '1', '317');
INSERT INTO public.who_import VALUES (93144, '2020-07-04', 'AE', 'United Arab Emirates', 'EMRO', '672', '50141', '1', '318');
INSERT INTO public.who_import VALUES (93145, '2020-07-05', 'AE', 'United Arab Emirates', 'EMRO', '716', '50857', '3', '321');
INSERT INTO public.who_import VALUES (93146, '2020-07-06', 'AE', 'United Arab Emirates', 'EMRO', '683', '51540', '2', '323');
INSERT INTO public.who_import VALUES (93147, '2020-07-07', 'AE', 'United Arab Emirates', 'EMRO', '528', '52068', '1', '324');
INSERT INTO public.who_import VALUES (95538, '2020-03-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93148, '2020-07-08', 'AE', 'United Arab Emirates', 'EMRO', '532', '52600', '2', '326');
INSERT INTO public.who_import VALUES (93149, '2020-07-09', 'AE', 'United Arab Emirates', 'EMRO', '445', '53045', '1', '327');
INSERT INTO public.who_import VALUES (93150, '2020-07-10', 'AE', 'United Arab Emirates', 'EMRO', '532', '53577', '1', '328');
INSERT INTO public.who_import VALUES (93151, '2020-07-11', 'AE', 'United Arab Emirates', 'EMRO', '473', '54050', '2', '330');
INSERT INTO public.who_import VALUES (93152, '2020-07-12', 'AE', 'United Arab Emirates', 'EMRO', '403', '54453', '1', '331');
INSERT INTO public.who_import VALUES (93153, '2020-07-13', 'AE', 'United Arab Emirates', 'EMRO', '401', '54854', '2', '333');
INSERT INTO public.who_import VALUES (93154, '2020-07-14', 'AE', 'United Arab Emirates', 'EMRO', '344', '55198', '1', '334');
INSERT INTO public.who_import VALUES (93155, '2020-07-15', 'AE', 'United Arab Emirates', 'EMRO', '375', '55573', '1', '335');
INSERT INTO public.who_import VALUES (93156, '2020-07-16', 'AE', 'United Arab Emirates', 'EMRO', '275', '55848', '0', '335');
INSERT INTO public.who_import VALUES (93157, '2020-07-17', 'AE', 'United Arab Emirates', 'EMRO', '281', '56129', '0', '335');
INSERT INTO public.who_import VALUES (93158, '2020-07-18', 'AE', 'United Arab Emirates', 'EMRO', '293', '56422', '2', '337');
INSERT INTO public.who_import VALUES (93159, '2020-07-19', 'AE', 'United Arab Emirates', 'EMRO', '289', '56711', '1', '338');
INSERT INTO public.who_import VALUES (93160, '2020-07-20', 'AE', 'United Arab Emirates', 'EMRO', '211', '56922', '1', '339');
INSERT INTO public.who_import VALUES (93161, '2020-07-21', 'AE', 'United Arab Emirates', 'EMRO', '271', '57193', '1', '340');
INSERT INTO public.who_import VALUES (93162, '2020-07-22', 'AE', 'United Arab Emirates', 'EMRO', '305', '57498', '1', '341');
INSERT INTO public.who_import VALUES (93163, '2020-07-23', 'AE', 'United Arab Emirates', 'EMRO', '236', '57734', '1', '342');
INSERT INTO public.who_import VALUES (93164, '2020-07-24', 'AE', 'United Arab Emirates', 'EMRO', '254', '57988', '0', '342');
INSERT INTO public.who_import VALUES (93165, '2020-07-25', 'AE', 'United Arab Emirates', 'EMRO', '261', '58249', '1', '343');
INSERT INTO public.who_import VALUES (93166, '2020-07-26', 'AE', 'United Arab Emirates', 'EMRO', '313', '58562', '0', '343');
INSERT INTO public.who_import VALUES (93167, '2020-07-27', 'AE', 'United Arab Emirates', 'EMRO', '351', '58913', '1', '344');
INSERT INTO public.who_import VALUES (93168, '2020-07-28', 'AE', 'United Arab Emirates', 'EMRO', '264', '59177', '1', '345');
INSERT INTO public.who_import VALUES (93169, '2020-07-29', 'AE', 'United Arab Emirates', 'EMRO', '369', '59546', '2', '347');
INSERT INTO public.who_import VALUES (93170, '2020-07-30', 'AE', 'United Arab Emirates', 'EMRO', '375', '59921', '0', '347');
INSERT INTO public.who_import VALUES (93171, '2020-07-31', 'AE', 'United Arab Emirates', 'EMRO', '302', '60223', '2', '349');
INSERT INTO public.who_import VALUES (93172, '2020-08-01', 'AE', 'United Arab Emirates', 'EMRO', '283', '60506', '2', '351');
INSERT INTO public.who_import VALUES (93173, '2020-08-02', 'AE', 'United Arab Emirates', 'EMRO', '254', '60760', '0', '351');
INSERT INTO public.who_import VALUES (93174, '2020-08-03', 'AE', 'United Arab Emirates', 'EMRO', '239', '60999', '0', '351');
INSERT INTO public.who_import VALUES (93175, '2020-08-04', 'AE', 'United Arab Emirates', 'EMRO', '164', '61163', '0', '351');
INSERT INTO public.who_import VALUES (93176, '2020-08-05', 'AE', 'United Arab Emirates', 'EMRO', '189', '61352', '0', '351');
INSERT INTO public.who_import VALUES (93177, '2020-08-06', 'AE', 'United Arab Emirates', 'EMRO', '254', '61606', '2', '353');
INSERT INTO public.who_import VALUES (93178, '2020-08-07', 'AE', 'United Arab Emirates', 'EMRO', '239', '61845', '1', '354');
INSERT INTO public.who_import VALUES (93179, '2020-08-08', 'AE', 'United Arab Emirates', 'EMRO', '216', '62061', '2', '356');
INSERT INTO public.who_import VALUES (93180, '2020-08-09', 'AE', 'United Arab Emirates', 'EMRO', '239', '62300', '0', '356');
INSERT INTO public.who_import VALUES (93181, '2020-08-10', 'AE', 'United Arab Emirates', 'EMRO', '225', '62525', '1', '357');
INSERT INTO public.who_import VALUES (93182, '2020-08-11', 'AE', 'United Arab Emirates', 'EMRO', '179', '62704', '0', '357');
INSERT INTO public.who_import VALUES (93183, '2020-08-12', 'AE', 'United Arab Emirates', 'EMRO', '262', '62966', '1', '358');
INSERT INTO public.who_import VALUES (93184, '2020-08-13', 'AE', 'United Arab Emirates', 'EMRO', '246', '63212', '0', '358');
INSERT INTO public.who_import VALUES (93185, '2020-08-14', 'AE', 'United Arab Emirates', 'EMRO', '277', '63489', '0', '358');
INSERT INTO public.who_import VALUES (93186, '2020-08-15', 'AE', 'United Arab Emirates', 'EMRO', '330', '63819', '1', '359');
INSERT INTO public.who_import VALUES (93187, '2020-08-16', 'AE', 'United Arab Emirates', 'EMRO', '283', '64102', '2', '361');
INSERT INTO public.who_import VALUES (93188, '2020-08-17', 'AE', 'United Arab Emirates', 'EMRO', '210', '64312', '3', '364');
INSERT INTO public.who_import VALUES (93189, '2020-08-18', 'AE', 'United Arab Emirates', 'EMRO', '229', '64541', '0', '364');
INSERT INTO public.who_import VALUES (93190, '2020-08-19', 'AE', 'United Arab Emirates', 'EMRO', '365', '64906', '2', '366');
INSERT INTO public.who_import VALUES (93191, '2020-08-20', 'AE', 'United Arab Emirates', 'EMRO', '435', '65341', '1', '367');
INSERT INTO public.who_import VALUES (93192, '2020-08-21', 'AE', 'United Arab Emirates', 'EMRO', '461', '65802', '2', '369');
INSERT INTO public.who_import VALUES (93193, '2020-08-22', 'AE', 'United Arab Emirates', 'EMRO', '391', '66193', '1', '370');
INSERT INTO public.who_import VALUES (93194, '2020-08-23', 'AE', 'United Arab Emirates', 'EMRO', '424', '66617', '2', '372');
INSERT INTO public.who_import VALUES (93195, '2020-08-24', 'AE', 'United Arab Emirates', 'EMRO', '390', '67007', '3', '375');
INSERT INTO public.who_import VALUES (93196, '2020-08-25', 'AE', 'United Arab Emirates', 'EMRO', '275', '67282', '1', '376');
INSERT INTO public.who_import VALUES (93197, '2020-08-26', 'AE', 'United Arab Emirates', 'EMRO', '339', '67621', '1', '377');
INSERT INTO public.who_import VALUES (93198, '2020-08-27', 'AE', 'United Arab Emirates', 'EMRO', '399', '68020', '1', '378');
INSERT INTO public.who_import VALUES (93199, '2020-08-28', 'AE', 'United Arab Emirates', 'EMRO', '491', '68511', '0', '378');
INSERT INTO public.who_import VALUES (93200, '2020-08-29', 'AE', 'United Arab Emirates', 'EMRO', '390', '68901', '1', '379');
INSERT INTO public.who_import VALUES (93201, '2020-08-30', 'AE', 'United Arab Emirates', 'EMRO', '427', '69328', '0', '379');
INSERT INTO public.who_import VALUES (93202, '2020-08-31', 'AE', 'United Arab Emirates', 'EMRO', '362', '69690', '3', '382');
INSERT INTO public.who_import VALUES (93203, '2020-09-01', 'AE', 'United Arab Emirates', 'EMRO', '541', '70231', '2', '384');
INSERT INTO public.who_import VALUES (93204, '2020-09-02', 'AE', 'United Arab Emirates', 'EMRO', '574', '70805', '0', '384');
INSERT INTO public.who_import VALUES (93205, '2020-09-03', 'AE', 'United Arab Emirates', 'EMRO', '735', '71540', '3', '387');
INSERT INTO public.who_import VALUES (93206, '2020-09-04', 'AE', 'United Arab Emirates', 'EMRO', '614', '72154', '0', '387');
INSERT INTO public.who_import VALUES (93207, '2020-09-05', 'AE', 'United Arab Emirates', 'EMRO', '612', '72766', '0', '387');
INSERT INTO public.who_import VALUES (93208, '2020-09-06', 'AE', 'United Arab Emirates', 'EMRO', '705', '73471', '1', '388');
INSERT INTO public.who_import VALUES (93209, '2020-09-07', 'AE', 'United Arab Emirates', 'EMRO', '513', '73984', '0', '388');
INSERT INTO public.who_import VALUES (93210, '2020-09-08', 'AE', 'United Arab Emirates', 'EMRO', '470', '74454', '2', '390');
INSERT INTO public.who_import VALUES (93211, '2020-09-09', 'AE', 'United Arab Emirates', 'EMRO', '644', '75098', '1', '391');
INSERT INTO public.who_import VALUES (93212, '2020-09-10', 'AE', 'United Arab Emirates', 'EMRO', '883', '75981', '2', '393');
INSERT INTO public.who_import VALUES (93213, '2020-09-11', 'AE', 'United Arab Emirates', 'EMRO', '930', '76911', '5', '398');
INSERT INTO public.who_import VALUES (93214, '2020-09-12', 'AE', 'United Arab Emirates', 'EMRO', '931', '77842', '0', '398');
INSERT INTO public.who_import VALUES (93215, '2020-09-13', 'AE', 'United Arab Emirates', 'EMRO', '1007', '78849', '1', '399');
INSERT INTO public.who_import VALUES (93216, '2020-09-14', 'AE', 'United Arab Emirates', 'EMRO', '640', '79489', '0', '399');
INSERT INTO public.who_import VALUES (93217, '2020-09-15', 'AE', 'United Arab Emirates', 'EMRO', '777', '80266', '0', '399');
INSERT INTO public.who_import VALUES (93218, '2020-09-16', 'AE', 'United Arab Emirates', 'EMRO', '674', '80940', '2', '401');
INSERT INTO public.who_import VALUES (93219, '2020-09-17', 'AE', 'United Arab Emirates', 'EMRO', '842', '81782', '1', '402');
INSERT INTO public.who_import VALUES (93220, '2020-09-18', 'AE', 'United Arab Emirates', 'EMRO', '786', '82568', '0', '402');
INSERT INTO public.who_import VALUES (93221, '2020-09-19', 'AE', 'United Arab Emirates', 'EMRO', '865', '83433', '1', '403');
INSERT INTO public.who_import VALUES (93222, '2020-09-20', 'AE', 'United Arab Emirates', 'EMRO', '809', '84242', '1', '404');
INSERT INTO public.who_import VALUES (93223, '2020-09-21', 'AE', 'United Arab Emirates', 'EMRO', '674', '84916', '0', '404');
INSERT INTO public.who_import VALUES (93224, '2020-09-22', 'AE', 'United Arab Emirates', 'EMRO', '679', '85595', '1', '405');
INSERT INTO public.who_import VALUES (93225, '2020-09-23', 'AE', 'United Arab Emirates', 'EMRO', '852', '86447', '0', '405');
INSERT INTO public.who_import VALUES (93226, '2020-09-24', 'AE', 'United Arab Emirates', 'EMRO', '1083', '87530', '1', '406');
INSERT INTO public.who_import VALUES (93227, '2020-09-25', 'AE', 'United Arab Emirates', 'EMRO', '1002', '88532', '1', '407');
INSERT INTO public.who_import VALUES (93228, '2020-09-26', 'AE', 'United Arab Emirates', 'EMRO', '1008', '89540', '2', '409');
INSERT INTO public.who_import VALUES (93229, '2020-09-27', 'AE', 'United Arab Emirates', 'EMRO', '1078', '90618', '2', '411');
INSERT INTO public.who_import VALUES (93230, '2020-09-28', 'AE', 'United Arab Emirates', 'EMRO', '851', '91469', '1', '412');
INSERT INTO public.who_import VALUES (93231, '2020-09-29', 'AE', 'United Arab Emirates', 'EMRO', '626', '92095', '1', '413');
INSERT INTO public.who_import VALUES (93232, '2020-09-30', 'AE', 'United Arab Emirates', 'EMRO', '995', '93090', '3', '416');
INSERT INTO public.who_import VALUES (93233, '2020-10-01', 'AE', 'United Arab Emirates', 'EMRO', '1100', '94190', '3', '419');
INSERT INTO public.who_import VALUES (93234, '2020-10-02', 'AE', 'United Arab Emirates', 'EMRO', '1158', '95348', '2', '421');
INSERT INTO public.who_import VALUES (93235, '2020-10-03', 'AE', 'United Arab Emirates', 'EMRO', '1181', '96529', '3', '424');
INSERT INTO public.who_import VALUES (95539, '2020-03-31', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93236, '2020-10-04', 'AE', 'United Arab Emirates', 'EMRO', '1231', '97760', '2', '426');
INSERT INTO public.who_import VALUES (93237, '2020-10-05', 'AE', 'United Arab Emirates', 'EMRO', '1041', '98801', '0', '426');
INSERT INTO public.who_import VALUES (93238, '2020-10-06', 'AE', 'United Arab Emirates', 'EMRO', '932', '99733', '3', '429');
INSERT INTO public.who_import VALUES (93239, '2020-10-07', 'AE', 'United Arab Emirates', 'EMRO', '1061', '100794', '6', '435');
INSERT INTO public.who_import VALUES (93240, '2020-10-08', 'AE', 'United Arab Emirates', 'EMRO', '1046', '101840', '1', '436');
INSERT INTO public.who_import VALUES (93241, '2020-10-09', 'AE', 'United Arab Emirates', 'EMRO', '1089', '102929', '2', '438');
INSERT INTO public.who_import VALUES (93242, '2020-10-10', 'AE', 'United Arab Emirates', 'EMRO', '1075', '104004', '4', '442');
INSERT INTO public.who_import VALUES (93243, '2020-10-11', 'AE', 'United Arab Emirates', 'EMRO', '1129', '105133', '1', '443');
INSERT INTO public.who_import VALUES (93244, '2020-10-12', 'AE', 'United Arab Emirates', 'EMRO', '1096', '106229', '2', '445');
INSERT INTO public.who_import VALUES (93245, '2020-10-13', 'AE', 'United Arab Emirates', 'EMRO', '1064', '107293', '1', '446');
INSERT INTO public.who_import VALUES (93246, '2020-10-14', 'AE', 'United Arab Emirates', 'EMRO', '1315', '108608', '2', '448');
INSERT INTO public.who_import VALUES (93247, '2020-10-15', 'AE', 'United Arab Emirates', 'EMRO', '1431', '110039', '2', '450');
INSERT INTO public.who_import VALUES (93248, '2020-10-16', 'AE', 'United Arab Emirates', 'EMRO', '1398', '111437', '2', '452');
INSERT INTO public.who_import VALUES (93249, '2020-10-17', 'AE', 'United Arab Emirates', 'EMRO', '1412', '112849', '3', '455');
INSERT INTO public.who_import VALUES (93250, '2020-10-18', 'AE', 'United Arab Emirates', 'EMRO', '1538', '114387', '4', '459');
INSERT INTO public.who_import VALUES (93251, '2020-10-19', 'AE', 'United Arab Emirates', 'EMRO', '1215', '115602', '4', '463');
INSERT INTO public.who_import VALUES (93252, '2020-10-20', 'AE', 'United Arab Emirates', 'EMRO', '915', '116517', '3', '466');
INSERT INTO public.who_import VALUES (93253, '2020-10-21', 'AE', 'United Arab Emirates', 'EMRO', '1077', '117594', '4', '470');
INSERT INTO public.who_import VALUES (93254, '2020-10-22', 'AE', 'United Arab Emirates', 'EMRO', '1538', '119132', '2', '472');
INSERT INTO public.who_import VALUES (93255, '2020-10-23', 'AE', 'United Arab Emirates', 'EMRO', '1578', '120710', '2', '474');
INSERT INTO public.who_import VALUES (93256, '2020-10-24', 'AE', 'United Arab Emirates', 'EMRO', '1563', '122273', '1', '475');
INSERT INTO public.who_import VALUES (93257, '2020-10-25', 'AE', 'United Arab Emirates', 'EMRO', '1491', '123764', '0', '475');
INSERT INTO public.who_import VALUES (93258, '2020-10-26', 'AE', 'United Arab Emirates', 'EMRO', '1359', '125123', '2', '477');
INSERT INTO public.who_import VALUES (93259, '2020-10-27', 'AE', 'United Arab Emirates', 'EMRO', '1111', '126234', '3', '480');
INSERT INTO public.who_import VALUES (93260, '2020-10-28', 'AE', 'United Arab Emirates', 'EMRO', '1390', '127624', '2', '482');
INSERT INTO public.who_import VALUES (93261, '2020-10-29', 'AE', 'United Arab Emirates', 'EMRO', '1400', '129024', '3', '485');
INSERT INTO public.who_import VALUES (93262, '2020-10-30', 'AE', 'United Arab Emirates', 'EMRO', '1312', '130336', '3', '488');
INSERT INTO public.who_import VALUES (93263, '2020-10-31', 'AE', 'United Arab Emirates', 'EMRO', '1172', '131508', '2', '490');
INSERT INTO public.who_import VALUES (93264, '2020-11-01', 'AE', 'United Arab Emirates', 'EMRO', '1121', '132629', '5', '495');
INSERT INTO public.who_import VALUES (93265, '2020-11-02', 'AE', 'United Arab Emirates', 'EMRO', '1278', '133907', '1', '496');
INSERT INTO public.who_import VALUES (93266, '2020-11-03', 'AE', 'United Arab Emirates', 'EMRO', '1234', '135141', '1', '497');
INSERT INTO public.who_import VALUES (93267, '2020-11-04', 'AE', 'United Arab Emirates', 'EMRO', '1008', '136149', '6', '503');
INSERT INTO public.who_import VALUES (93268, '2020-11-05', 'AE', 'United Arab Emirates', 'EMRO', '1161', '137310', '2', '505');
INSERT INTO public.who_import VALUES (93269, '2020-11-06', 'AE', 'United Arab Emirates', 'EMRO', '1289', '138599', '3', '508');
INSERT INTO public.who_import VALUES (93270, '2020-11-07', 'AE', 'United Arab Emirates', 'EMRO', '1292', '139891', '2', '510');
INSERT INTO public.who_import VALUES (93271, '2020-11-08', 'AE', 'United Arab Emirates', 'EMRO', '1141', '141032', '4', '514');
INSERT INTO public.who_import VALUES (93272, '2020-11-09', 'AE', 'United Arab Emirates', 'EMRO', '1111', '142143', '0', '514');
INSERT INTO public.who_import VALUES (93273, '2020-11-10', 'AE', 'United Arab Emirates', 'EMRO', '1146', '143289', '1', '515');
INSERT INTO public.who_import VALUES (93274, '2020-11-11', 'AE', 'United Arab Emirates', 'EMRO', '1096', '144385', '3', '518');
INSERT INTO public.who_import VALUES (93275, '2020-11-12', 'AE', 'United Arab Emirates', 'EMRO', '1214', '145599', '2', '520');
INSERT INTO public.who_import VALUES (93276, '2020-11-13', 'AE', 'United Arab Emirates', 'EMRO', '1136', '146735', '3', '523');
INSERT INTO public.who_import VALUES (93277, '2020-11-14', 'AE', 'United Arab Emirates', 'EMRO', '1226', '147961', '5', '528');
INSERT INTO public.who_import VALUES (93278, '2020-11-15', 'AE', 'United Arab Emirates', 'EMRO', '1174', '149135', '0', '528');
INSERT INTO public.who_import VALUES (93279, '2020-11-16', 'AE', 'United Arab Emirates', 'EMRO', '1210', '150345', '2', '530');
INSERT INTO public.who_import VALUES (93280, '2020-11-17', 'AE', 'United Arab Emirates', 'EMRO', '1209', '151554', '4', '534');
INSERT INTO public.who_import VALUES (93281, '2020-11-18', 'AE', 'United Arab Emirates', 'EMRO', '1255', '152809', '4', '538');
INSERT INTO public.who_import VALUES (93282, '2020-11-19', 'AE', 'United Arab Emirates', 'EMRO', '1292', '154101', '4', '542');
INSERT INTO public.who_import VALUES (93283, '2020-11-20', 'AE', 'United Arab Emirates', 'EMRO', '1153', '155254', '2', '544');
INSERT INTO public.who_import VALUES (93284, '2020-11-21', 'AE', 'United Arab Emirates', 'EMRO', '1269', '156523', '3', '547');
INSERT INTO public.who_import VALUES (93285, '2020-11-22', 'AE', 'United Arab Emirates', 'EMRO', '1262', '157785', '1', '548');
INSERT INTO public.who_import VALUES (93286, '2020-11-23', 'AE', 'United Arab Emirates', 'EMRO', '1205', '158990', '4', '552');
INSERT INTO public.who_import VALUES (93287, '2020-11-24', 'AE', 'United Arab Emirates', 'EMRO', '1065', '160055', '2', '554');
INSERT INTO public.who_import VALUES (93288, '2020-11-25', 'AE', 'United Arab Emirates', 'EMRO', '1310', '161365', '5', '559');
INSERT INTO public.who_import VALUES (93289, '2020-11-26', 'AE', 'United Arab Emirates', 'EMRO', '1297', '162662', '4', '563');
INSERT INTO public.who_import VALUES (93290, '2020-11-27', 'AE', 'United Arab Emirates', 'EMRO', '1305', '163967', '1', '564');
INSERT INTO public.who_import VALUES (93291, '2020-11-28', 'AE', 'United Arab Emirates', 'EMRO', '1283', '165250', '3', '567');
INSERT INTO public.who_import VALUES (93292, '2020-11-29', 'AE', 'United Arab Emirates', 'EMRO', '1252', '166502', '2', '569');
INSERT INTO public.who_import VALUES (93293, '2020-11-30', 'AE', 'United Arab Emirates', 'EMRO', '1251', '167753', '1', '570');
INSERT INTO public.who_import VALUES (93294, '2020-12-01', 'AE', 'United Arab Emirates', 'EMRO', '1107', '168860', '2', '572');
INSERT INTO public.who_import VALUES (93295, '2020-12-02', 'AE', 'United Arab Emirates', 'EMRO', '1289', '170149', '4', '576');
INSERT INTO public.who_import VALUES (93296, '2020-12-03', 'AE', 'United Arab Emirates', 'EMRO', '1285', '171434', '4', '580');
INSERT INTO public.who_import VALUES (93297, '2020-12-04', 'AE', 'United Arab Emirates', 'EMRO', '1317', '172751', '5', '585');
INSERT INTO public.who_import VALUES (93298, '2020-12-05', 'AE', 'United Arab Emirates', 'EMRO', '1311', '174062', '1', '586');
INSERT INTO public.who_import VALUES (93299, '2020-12-06', 'AE', 'United Arab Emirates', 'EMRO', '1214', '175276', '3', '589');
INSERT INTO public.who_import VALUES (93300, '2020-12-07', 'AE', 'United Arab Emirates', 'EMRO', '1153', '176429', '3', '592');
INSERT INTO public.who_import VALUES (93301, '2020-12-08', 'AE', 'United Arab Emirates', 'EMRO', '1148', '177577', '2', '594');
INSERT INTO public.who_import VALUES (93302, '2020-12-09', 'AE', 'United Arab Emirates', 'EMRO', '1260', '178837', '2', '596');
INSERT INTO public.who_import VALUES (93303, '2020-12-10', 'AE', 'United Arab Emirates', 'EMRO', '1313', '180150', '2', '598');
INSERT INTO public.who_import VALUES (93304, '2020-12-11', 'AE', 'United Arab Emirates', 'EMRO', '1255', '181405', '4', '602');
INSERT INTO public.who_import VALUES (93305, '2020-12-12', 'AE', 'United Arab Emirates', 'EMRO', '1196', '182601', '5', '607');
INSERT INTO public.who_import VALUES (93306, '2020-12-13', 'AE', 'United Arab Emirates', 'EMRO', '1154', '183755', '2', '609');
INSERT INTO public.who_import VALUES (93307, '2020-12-14', 'AE', 'United Arab Emirates', 'EMRO', '1194', '184949', '8', '617');
INSERT INTO public.who_import VALUES (93308, '2020-12-15', 'AE', 'United Arab Emirates', 'EMRO', '1092', '186041', '1', '618');
INSERT INTO public.who_import VALUES (93309, '2020-12-16', 'AE', 'United Arab Emirates', 'EMRO', '1226', '187267', '4', '622');
INSERT INTO public.who_import VALUES (93310, '2020-12-17', 'AE', 'United Arab Emirates', 'EMRO', '1278', '188545', '4', '626');
INSERT INTO public.who_import VALUES (93311, '2020-12-18', 'AE', 'United Arab Emirates', 'EMRO', '1321', '189866', '3', '629');
INSERT INTO public.who_import VALUES (93312, '2020-12-19', 'AE', 'United Arab Emirates', 'EMRO', '1284', '191150', '1', '630');
INSERT INTO public.who_import VALUES (93313, '2020-12-20', 'AE', 'United Arab Emirates', 'EMRO', '1254', '192404', '4', '634');
INSERT INTO public.who_import VALUES (93314, '2020-12-21', 'AE', 'United Arab Emirates', 'EMRO', '1171', '193575', '3', '637');
INSERT INTO public.who_import VALUES (93315, '2020-12-22', 'AE', 'United Arab Emirates', 'EMRO', '1077', '194652', '2', '639');
INSERT INTO public.who_import VALUES (93316, '2020-12-23', 'AE', 'United Arab Emirates', 'EMRO', '1226', '195878', '3', '642');
INSERT INTO public.who_import VALUES (93317, '2020-12-24', 'AE', 'United Arab Emirates', 'EMRO', '1246', '197124', '3', '645');
INSERT INTO public.who_import VALUES (93318, '2020-12-25', 'AE', 'United Arab Emirates', 'EMRO', '1311', '198435', '2', '647');
INSERT INTO public.who_import VALUES (93319, '2020-12-26', 'AE', 'United Arab Emirates', 'EMRO', '1230', '199665', '6', '653');
INSERT INTO public.who_import VALUES (93320, '2020-12-27', 'AE', 'United Arab Emirates', 'EMRO', '1227', '200892', '2', '655');
INSERT INTO public.who_import VALUES (93321, '2020-12-28', 'AE', 'United Arab Emirates', 'EMRO', '944', '201836', '2', '657');
INSERT INTO public.who_import VALUES (93322, '2020-12-29', 'AE', 'United Arab Emirates', 'EMRO', '1027', '202863', '3', '660');
INSERT INTO public.who_import VALUES (93323, '2020-12-30', 'AE', 'United Arab Emirates', 'EMRO', '1506', '204369', '2', '662');
INSERT INTO public.who_import VALUES (95540, '2020-04-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93324, '2020-12-31', 'AE', 'United Arab Emirates', 'EMRO', '1723', '206092', '3', '665');
INSERT INTO public.who_import VALUES (93325, '2021-01-01', 'AE', 'United Arab Emirates', 'EMRO', '1730', '207822', '4', '669');
INSERT INTO public.who_import VALUES (93326, '2021-01-02', 'AE', 'United Arab Emirates', 'EMRO', '1856', '209678', '2', '671');
INSERT INTO public.who_import VALUES (93327, '2021-01-03', 'AE', 'United Arab Emirates', 'EMRO', '1963', '211641', '3', '674');
INSERT INTO public.who_import VALUES (93328, '2021-01-04', 'AE', 'United Arab Emirates', 'EMRO', '1590', '213231', '5', '679');
INSERT INTO public.who_import VALUES (93329, '2021-01-05', 'AE', 'United Arab Emirates', 'EMRO', '1501', '214732', '3', '682');
INSERT INTO public.who_import VALUES (93330, '2021-01-06', 'AE', 'United Arab Emirates', 'EMRO', '1967', '216699', '3', '685');
INSERT INTO public.who_import VALUES (93331, '2021-01-07', 'AE', 'United Arab Emirates', 'EMRO', '2067', '218766', '4', '689');
INSERT INTO public.who_import VALUES (93332, '2021-01-08', 'AE', 'United Arab Emirates', 'EMRO', '2988', '221754', '5', '694');
INSERT INTO public.who_import VALUES (93333, '2021-01-09', 'AE', 'United Arab Emirates', 'EMRO', '2950', '224704', '3', '697');
INSERT INTO public.who_import VALUES (93334, '2021-01-10', 'AE', 'United Arab Emirates', 'EMRO', '2998', '227702', '5', '702');
INSERT INTO public.who_import VALUES (93335, '2021-01-11', 'AE', 'United Arab Emirates', 'EMRO', '2876', '230578', '6', '708');
INSERT INTO public.who_import VALUES (93336, '2021-01-12', 'AE', 'United Arab Emirates', 'EMRO', '2404', '232982', '3', '711');
INSERT INTO public.who_import VALUES (93337, '2021-01-13', 'AE', 'United Arab Emirates', 'EMRO', '3243', '236225', '6', '717');
INSERT INTO public.who_import VALUES (93338, '2021-01-14', 'AE', 'United Arab Emirates', 'EMRO', '3362', '239587', '6', '723');
INSERT INTO public.who_import VALUES (93339, '2021-01-15', 'AE', 'United Arab Emirates', 'EMRO', '3382', '242969', '3', '726');
INSERT INTO public.who_import VALUES (93340, '2021-01-16', 'AE', 'United Arab Emirates', 'EMRO', '3407', '246376', '7', '733');
INSERT INTO public.who_import VALUES (93341, '2021-01-17', 'AE', 'United Arab Emirates', 'EMRO', '3432', '249808', '7', '740');
INSERT INTO public.who_import VALUES (93342, '2021-01-18', 'AE', 'United Arab Emirates', 'EMRO', '3453', '253261', '5', '745');
INSERT INTO public.who_import VALUES (93343, '2021-01-19', 'AE', 'United Arab Emirates', 'EMRO', '3471', '256732', '6', '751');
INSERT INTO public.who_import VALUES (93344, '2021-01-20', 'AE', 'United Arab Emirates', 'EMRO', '3491', '260223', '5', '756');
INSERT INTO public.who_import VALUES (93345, '2021-01-21', 'AE', 'United Arab Emirates', 'EMRO', '3506', '263729', '6', '762');
INSERT INTO public.who_import VALUES (93346, '2021-01-22', 'AE', 'United Arab Emirates', 'EMRO', '3529', '267258', '4', '766');
INSERT INTO public.who_import VALUES (93347, '2021-01-23', 'AE', 'United Arab Emirates', 'EMRO', '3552', '270810', '10', '776');
INSERT INTO public.who_import VALUES (93348, '2021-01-24', 'AE', 'United Arab Emirates', 'EMRO', '3566', '274376', '7', '783');
INSERT INTO public.who_import VALUES (93349, '2021-01-25', 'AE', 'United Arab Emirates', 'EMRO', '3579', '277955', '9', '792');
INSERT INTO public.who_import VALUES (93350, '2021-01-26', 'AE', 'United Arab Emirates', 'EMRO', '3591', '281546', '6', '798');
INSERT INTO public.who_import VALUES (93351, '2021-01-27', 'AE', 'United Arab Emirates', 'EMRO', '3601', '285147', '7', '805');
INSERT INTO public.who_import VALUES (93352, '2021-01-28', 'AE', 'United Arab Emirates', 'EMRO', '3939', '289086', '6', '811');
INSERT INTO public.who_import VALUES (93353, '2021-01-29', 'AE', 'United Arab Emirates', 'EMRO', '3966', '293052', '8', '819');
INSERT INTO public.who_import VALUES (93354, '2021-01-30', 'AE', 'United Arab Emirates', 'EMRO', '3962', '297014', '7', '826');
INSERT INTO public.who_import VALUES (93355, '2021-01-31', 'AE', 'United Arab Emirates', 'EMRO', '3647', '300661', '12', '838');
INSERT INTO public.who_import VALUES (93356, '2021-02-01', 'AE', 'United Arab Emirates', 'EMRO', '2948', '303609', '12', '850');
INSERT INTO public.who_import VALUES (93357, '2021-02-02', 'AE', 'United Arab Emirates', 'EMRO', '2730', '306339', '9', '859');
INSERT INTO public.who_import VALUES (93358, '2021-02-03', 'AE', 'United Arab Emirates', 'EMRO', '3310', '309649', '7', '866');
INSERT INTO public.who_import VALUES (93359, '2021-02-04', 'AE', 'United Arab Emirates', 'EMRO', '3977', '313626', '12', '878');
INSERT INTO public.who_import VALUES (93360, '2021-02-05', 'AE', 'United Arab Emirates', 'EMRO', '3249', '316875', '10', '888');
INSERT INTO public.who_import VALUES (93361, '2021-02-06', 'AE', 'United Arab Emirates', 'EMRO', '3251', '320126', '14', '902');
INSERT INTO public.who_import VALUES (93362, '2021-02-07', 'AE', 'United Arab Emirates', 'EMRO', '3276', '323402', '12', '914');
INSERT INTO public.who_import VALUES (93363, '2021-02-08', 'AE', 'United Arab Emirates', 'EMRO', '3093', '326495', '7', '921');
INSERT INTO public.who_import VALUES (93364, '2021-02-09', 'AE', 'United Arab Emirates', 'EMRO', '2798', '329293', '9', '930');
INSERT INTO public.who_import VALUES (93365, '2021-02-10', 'AE', 'United Arab Emirates', 'EMRO', '3310', '332603', '17', '947');
INSERT INTO public.who_import VALUES (93366, '2021-02-11', 'AE', 'United Arab Emirates', 'EMRO', '3539', '336142', '9', '956');
INSERT INTO public.who_import VALUES (93367, '2021-02-12', 'AE', 'United Arab Emirates', 'EMRO', '3525', '339667', '18', '974');
INSERT INTO public.who_import VALUES (93368, '2021-02-13', 'AE', 'United Arab Emirates', 'EMRO', '3307', '342974', '12', '986');
INSERT INTO public.who_import VALUES (93369, '2021-02-14', 'AE', 'United Arab Emirates', 'EMRO', '2631', '345605', '15', '1001');
INSERT INTO public.who_import VALUES (93370, '2021-02-15', 'AE', 'United Arab Emirates', 'EMRO', '3167', '348772', '13', '1014');
INSERT INTO public.who_import VALUES (93371, '2021-02-16', 'AE', 'United Arab Emirates', 'EMRO', '3123', '351895', '13', '1027');
INSERT INTO public.who_import VALUES (93372, '2021-02-17', 'AE', 'United Arab Emirates', 'EMRO', '3236', '355131', '14', '1041');
INSERT INTO public.who_import VALUES (93373, '2021-02-18', 'AE', 'United Arab Emirates', 'EMRO', '3452', '358583', '14', '1055');
INSERT INTO public.who_import VALUES (93374, '2021-02-19', 'AE', 'United Arab Emirates', 'EMRO', '3294', '361877', '18', '1073');
INSERT INTO public.who_import VALUES (93375, '2021-02-20', 'AE', 'United Arab Emirates', 'EMRO', '3140', '365017', '20', '1093');
INSERT INTO public.who_import VALUES (93376, '2020-01-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93377, '2020-01-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93378, '2020-01-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93379, '2020-01-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93380, '2020-01-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93381, '2020-01-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93382, '2020-01-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93383, '2020-01-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93384, '2020-01-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93385, '2020-01-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93386, '2020-01-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93387, '2020-01-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93388, '2020-01-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93389, '2020-01-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93390, '2020-01-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93391, '2020-01-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93392, '2020-01-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93393, '2020-01-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93394, '2020-01-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93395, '2020-01-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93396, '2020-01-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93397, '2020-01-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93398, '2020-01-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93399, '2020-01-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93400, '2020-01-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93401, '2020-01-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93402, '2020-01-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93403, '2020-01-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93404, '2020-01-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93405, '2020-02-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93406, '2020-02-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93407, '2020-02-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93408, '2020-02-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93409, '2020-02-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93410, '2020-02-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93411, '2020-02-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95541, '2020-04-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93412, '2020-02-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93413, '2020-02-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93414, '2020-02-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93415, '2020-02-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93416, '2020-02-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93417, '2020-02-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93418, '2020-02-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93419, '2020-02-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93420, '2020-02-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93421, '2020-02-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93422, '2020-02-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93423, '2020-02-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93424, '2020-02-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93425, '2020-02-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93426, '2020-02-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93427, '2020-02-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93428, '2020-02-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93429, '2020-02-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93430, '2020-02-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93431, '2020-02-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93432, '2020-02-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93433, '2020-02-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93434, '2020-03-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93435, '2020-03-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93436, '2020-03-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93437, '2020-03-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93438, '2020-03-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93439, '2020-03-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93440, '2020-03-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93441, '2020-03-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93442, '2020-03-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93443, '2020-03-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93444, '2020-03-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93445, '2020-03-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93446, '2020-03-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93447, '2020-03-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93448, '2020-03-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93449, '2020-03-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93450, '2020-03-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (93451, '2020-03-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '2', '7', '0', '0');
INSERT INTO public.who_import VALUES (93452, '2020-03-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '3', '10', '0', '0');
INSERT INTO public.who_import VALUES (93453, '2020-03-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (93454, '2020-03-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (93455, '2020-03-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '10', '0', '0');
INSERT INTO public.who_import VALUES (93456, '2020-03-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '2', '12', '0', '0');
INSERT INTO public.who_import VALUES (93457, '2020-03-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93458, '2020-03-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93459, '2020-03-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '1', '13', '0', '0');
INSERT INTO public.who_import VALUES (93460, '2020-03-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (93461, '2020-03-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (93462, '2020-03-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '1', '14', '0', '0');
INSERT INTO public.who_import VALUES (93463, '2020-03-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '5', '19', '0', '0');
INSERT INTO public.who_import VALUES (93464, '2020-03-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93465, '2020-04-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '1', '20', '1', '1');
INSERT INTO public.who_import VALUES (93466, '2020-04-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (93467, '2020-04-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (93468, '2020-04-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (93469, '2020-04-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '20', '0', '1');
INSERT INTO public.who_import VALUES (93470, '2020-04-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '2', '22', '0', '1');
INSERT INTO public.who_import VALUES (93471, '2020-04-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '2', '24', '0', '1');
INSERT INTO public.who_import VALUES (93472, '2020-04-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '24', '0', '1');
INSERT INTO public.who_import VALUES (93473, '2020-04-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '1', '25', '0', '1');
INSERT INTO public.who_import VALUES (93474, '2020-04-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '25', '0', '1');
INSERT INTO public.who_import VALUES (93475, '2020-04-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '7', '32', '2', '3');
INSERT INTO public.who_import VALUES (93476, '2020-04-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '32', '0', '3');
INSERT INTO public.who_import VALUES (93477, '2020-04-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '32', '0', '3');
INSERT INTO public.who_import VALUES (93478, '2020-04-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '17', '49', '0', '3');
INSERT INTO public.who_import VALUES (93479, '2020-04-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '4', '53', '0', '3');
INSERT INTO public.who_import VALUES (93480, '2020-04-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '35', '88', '1', '4');
INSERT INTO public.who_import VALUES (93481, '2020-04-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '6', '94', '0', '4');
INSERT INTO public.who_import VALUES (93482, '2020-04-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '54', '148', '1', '5');
INSERT INTO public.who_import VALUES (93483, '2020-04-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '148', '0', '5');
INSERT INTO public.who_import VALUES (93484, '2020-04-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '23', '171', '2', '7');
INSERT INTO public.who_import VALUES (93485, '2020-04-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '84', '255', '3', '10');
INSERT INTO public.who_import VALUES (93486, '2020-04-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '255', '0', '10');
INSERT INTO public.who_import VALUES (93487, '2020-04-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '30', '285', '0', '10');
INSERT INTO public.who_import VALUES (93488, '2020-04-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '285', '0', '10');
INSERT INTO public.who_import VALUES (93489, '2020-04-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '15', '300', '0', '10');
INSERT INTO public.who_import VALUES (93490, '2020-04-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '300', '0', '10');
INSERT INTO public.who_import VALUES (93491, '2020-04-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '300', '0', '10');
INSERT INTO public.who_import VALUES (93492, '2020-04-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '300', '0', '10');
INSERT INTO public.who_import VALUES (93493, '2020-04-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '300', '0', '10');
INSERT INTO public.who_import VALUES (93494, '2020-04-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '180', '480', '6', '16');
INSERT INTO public.who_import VALUES (93495, '2020-05-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '1', '17');
INSERT INTO public.who_import VALUES (93496, '2020-05-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '0', '17');
INSERT INTO public.who_import VALUES (93497, '2020-05-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '1', '18');
INSERT INTO public.who_import VALUES (93498, '2020-05-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '0', '18');
INSERT INTO public.who_import VALUES (93499, '2020-05-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '0', '18');
INSERT INTO public.who_import VALUES (95542, '2020-04-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93500, '2020-05-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '0', '18');
INSERT INTO public.who_import VALUES (93501, '2020-05-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '480', '0', '18');
INSERT INTO public.who_import VALUES (93502, '2020-05-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '29', '509', '3', '21');
INSERT INTO public.who_import VALUES (93503, '2020-05-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93504, '2020-05-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93505, '2020-05-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93506, '2020-05-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93507, '2020-05-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93508, '2020-05-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93509, '2020-05-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93510, '2020-05-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93511, '2020-05-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93512, '2020-05-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93513, '2020-05-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93514, '2020-05-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93515, '2020-05-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93516, '2020-05-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93517, '2020-05-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93518, '2020-05-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93519, '2020-05-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93520, '2020-05-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93521, '2020-05-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93522, '2020-05-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93523, '2020-05-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93524, '2020-05-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93525, '2020-05-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93526, '2020-06-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93527, '2020-06-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93528, '2020-06-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93529, '2020-06-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93530, '2020-06-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93531, '2020-06-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93532, '2020-06-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93533, '2020-06-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93534, '2020-06-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93535, '2020-06-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93536, '2020-06-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93537, '2020-06-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93538, '2020-06-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93539, '2020-06-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93540, '2020-06-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93541, '2020-06-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93542, '2020-06-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93543, '2020-06-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93544, '2020-06-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93545, '2020-06-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93546, '2020-06-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93547, '2020-06-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93548, '2020-06-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93549, '2020-06-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93550, '2020-06-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93551, '2020-06-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93552, '2020-06-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93553, '2020-06-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93554, '2020-06-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93555, '2020-06-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93556, '2020-07-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93557, '2020-07-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93558, '2020-07-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93559, '2020-07-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93560, '2020-07-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93561, '2020-07-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93562, '2020-07-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93563, '2020-07-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93564, '2020-07-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93565, '2020-07-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93566, '2020-07-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93567, '2020-07-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93568, '2020-07-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93569, '2020-07-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93570, '2020-07-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93571, '2020-07-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93572, '2020-07-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93573, '2020-07-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93574, '2020-07-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93575, '2020-07-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93576, '2020-07-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93577, '2020-07-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93578, '2020-07-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93579, '2020-07-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93580, '2020-07-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93581, '2020-07-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93582, '2020-07-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93583, '2020-07-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93584, '2020-07-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93585, '2020-07-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93586, '2020-07-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93587, '2020-08-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (95543, '2020-04-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93588, '2020-08-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93589, '2020-08-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93590, '2020-08-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93591, '2020-08-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93592, '2020-08-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93593, '2020-08-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93594, '2020-08-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93595, '2020-08-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93596, '2020-08-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93597, '2020-08-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93598, '2020-08-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93599, '2020-08-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93600, '2020-08-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93601, '2020-08-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93602, '2020-08-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93603, '2020-08-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93604, '2020-08-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93605, '2020-08-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93606, '2020-08-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93607, '2020-08-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93608, '2020-08-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93609, '2020-08-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93610, '2020-08-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93611, '2020-08-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93612, '2020-08-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93613, '2020-08-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93614, '2020-08-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93615, '2020-08-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93616, '2020-08-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93617, '2020-08-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93618, '2020-09-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93619, '2020-09-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93620, '2020-09-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93621, '2020-09-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93622, '2020-09-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93623, '2020-09-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93624, '2020-09-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93625, '2020-09-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93626, '2020-09-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93627, '2020-09-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93628, '2020-09-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93629, '2020-09-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93630, '2020-09-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93631, '2020-09-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93632, '2020-09-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93633, '2020-09-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93634, '2020-09-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93635, '2020-09-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93636, '2020-09-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93637, '2020-09-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93638, '2020-09-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93639, '2020-09-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93640, '2020-09-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93641, '2020-09-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93642, '2020-09-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93643, '2020-09-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93644, '2020-09-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93645, '2020-09-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93646, '2020-09-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93647, '2020-09-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93648, '2020-10-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93649, '2020-10-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93650, '2020-10-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93651, '2020-10-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93652, '2020-10-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93653, '2020-10-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93654, '2020-10-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93655, '2020-10-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93656, '2020-10-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93657, '2020-10-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93658, '2020-10-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93659, '2020-10-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93660, '2020-10-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93661, '2020-10-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93662, '2020-10-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93663, '2020-10-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93664, '2020-10-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93665, '2020-10-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93666, '2020-10-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93667, '2020-10-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93668, '2020-10-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93669, '2020-10-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93670, '2020-10-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93671, '2020-10-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93672, '2020-10-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93673, '2020-10-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93674, '2020-10-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93675, '2020-10-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (95544, '2020-04-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93676, '2020-10-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93677, '2020-10-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93678, '2020-10-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93679, '2020-11-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93680, '2020-11-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93681, '2020-11-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93682, '2020-11-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93683, '2020-11-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93684, '2020-11-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93685, '2020-11-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93686, '2020-11-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93687, '2020-11-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93688, '2020-11-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93689, '2020-11-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93690, '2020-11-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93691, '2020-11-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93692, '2020-11-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93693, '2020-11-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93694, '2020-11-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93695, '2020-11-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93696, '2020-11-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93697, '2020-11-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93698, '2020-11-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93699, '2020-11-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93700, '2020-11-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93701, '2020-11-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93702, '2020-11-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93703, '2020-11-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93704, '2020-11-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93705, '2020-11-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93706, '2020-11-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93707, '2020-11-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93708, '2020-11-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93709, '2020-12-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93710, '2020-12-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93711, '2020-12-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93712, '2020-12-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93713, '2020-12-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93714, '2020-12-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93715, '2020-12-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93716, '2020-12-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93717, '2020-12-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93718, '2020-12-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93719, '2020-12-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93720, '2020-12-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93721, '2020-12-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93722, '2020-12-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93723, '2020-12-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93724, '2020-12-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93725, '2020-12-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93726, '2020-12-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93727, '2020-12-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93728, '2020-12-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93729, '2020-12-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93730, '2020-12-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93731, '2020-12-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93732, '2020-12-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93733, '2020-12-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93734, '2020-12-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93735, '2020-12-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93736, '2020-12-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93737, '2020-12-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93738, '2020-12-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93739, '2020-12-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93740, '2021-01-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93741, '2021-01-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93742, '2021-01-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93743, '2021-01-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93744, '2021-01-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93745, '2021-01-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93746, '2021-01-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93747, '2021-01-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93748, '2021-01-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93749, '2021-01-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93750, '2021-01-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93751, '2021-01-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93752, '2021-01-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93753, '2021-01-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93754, '2021-01-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93755, '2021-01-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93756, '2021-01-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93757, '2021-01-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93758, '2021-01-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93759, '2021-01-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93760, '2021-01-21', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93761, '2021-01-22', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93762, '2021-01-23', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93763, '2021-01-24', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (95545, '2020-04-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93764, '2021-01-25', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93765, '2021-01-26', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93766, '2021-01-27', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93767, '2021-01-28', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93768, '2021-01-29', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93769, '2021-01-30', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93770, '2021-01-31', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93771, '2021-02-01', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93772, '2021-02-02', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93773, '2021-02-03', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93774, '2021-02-04', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93775, '2021-02-05', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93776, '2021-02-06', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93777, '2021-02-07', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93778, '2021-02-08', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93779, '2021-02-09', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93780, '2021-02-10', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93781, '2021-02-11', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93782, '2021-02-12', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93783, '2021-02-13', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93784, '2021-02-14', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93785, '2021-02-15', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93786, '2021-02-16', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93787, '2021-02-17', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93788, '2021-02-18', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93789, '2021-02-19', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93790, '2021-02-20', 'TZ', 'United Republic of Tanzania', 'AFRO', '0', '509', '0', '21');
INSERT INTO public.who_import VALUES (93791, '2020-01-03', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93792, '2020-01-04', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93793, '2020-01-05', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93794, '2020-01-06', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93795, '2020-01-07', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93796, '2020-01-08', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93797, '2020-01-09', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93798, '2020-01-10', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93799, '2020-01-11', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93800, '2020-01-12', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93801, '2020-01-13', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93802, '2020-01-14', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93803, '2020-01-15', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93804, '2020-01-16', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93805, '2020-01-17', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93806, '2020-01-18', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93807, '2020-01-19', 'US', 'United States of America', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (93808, '2020-01-20', 'US', 'United States of America', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (93809, '2020-01-21', 'US', 'United States of America', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (93810, '2020-01-22', 'US', 'United States of America', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (93811, '2020-01-23', 'US', 'United States of America', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (93812, '2020-01-24', 'US', 'United States of America', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (93813, '2020-01-25', 'US', 'United States of America', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (93814, '2020-01-26', 'US', 'United States of America', 'AMRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (93815, '2020-01-27', 'US', 'United States of America', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (93816, '2020-01-28', 'US', 'United States of America', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (93817, '2020-01-29', 'US', 'United States of America', 'AMRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (93818, '2020-01-30', 'US', 'United States of America', 'AMRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (93819, '2020-01-31', 'US', 'United States of America', 'AMRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (93820, '2020-02-01', 'US', 'United States of America', 'AMRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (93821, '2020-02-02', 'US', 'United States of America', 'AMRO', '0', '12', '0', '0');
INSERT INTO public.who_import VALUES (93822, '2020-02-03', 'US', 'United States of America', 'AMRO', '3', '15', '0', '0');
INSERT INTO public.who_import VALUES (93823, '2020-02-04', 'US', 'United States of America', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (93824, '2020-02-05', 'US', 'United States of America', 'AMRO', '0', '15', '0', '0');
INSERT INTO public.who_import VALUES (93825, '2020-02-06', 'US', 'United States of America', 'AMRO', '1', '16', '0', '0');
INSERT INTO public.who_import VALUES (93826, '2020-02-07', 'US', 'United States of America', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (93827, '2020-02-08', 'US', 'United States of America', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (93828, '2020-02-09', 'US', 'United States of America', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (93829, '2020-02-10', 'US', 'United States of America', 'AMRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (93830, '2020-02-11', 'US', 'United States of America', 'AMRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (93831, '2020-02-12', 'US', 'United States of America', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (93832, '2020-02-13', 'US', 'United States of America', 'AMRO', '2', '19', '0', '0');
INSERT INTO public.who_import VALUES (93833, '2020-02-14', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93834, '2020-02-15', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93835, '2020-02-16', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93836, '2020-02-17', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93837, '2020-02-18', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93838, '2020-02-19', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93839, '2020-02-20', 'US', 'United States of America', 'AMRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (93840, '2020-02-21', 'US', 'United States of America', 'AMRO', '19', '38', '0', '0');
INSERT INTO public.who_import VALUES (93841, '2020-02-22', 'US', 'United States of America', 'AMRO', '1', '39', '0', '0');
INSERT INTO public.who_import VALUES (93842, '2020-02-23', 'US', 'United States of America', 'AMRO', '0', '39', '0', '0');
INSERT INTO public.who_import VALUES (93843, '2020-02-24', 'US', 'United States of America', 'AMRO', '18', '57', '0', '0');
INSERT INTO public.who_import VALUES (93844, '2020-02-25', 'US', 'United States of America', 'AMRO', '0', '57', '0', '0');
INSERT INTO public.who_import VALUES (93845, '2020-02-26', 'US', 'United States of America', 'AMRO', '6', '63', '0', '0');
INSERT INTO public.who_import VALUES (93846, '2020-02-27', 'US', 'United States of America', 'AMRO', '0', '63', '0', '0');
INSERT INTO public.who_import VALUES (93847, '2020-02-28', 'US', 'United States of America', 'AMRO', '3', '66', '0', '0');
INSERT INTO public.who_import VALUES (93848, '2020-02-29', 'US', 'United States of America', 'AMRO', '0', '66', '0', '0');
INSERT INTO public.who_import VALUES (93849, '2020-03-01', 'US', 'United States of America', 'AMRO', '0', '66', '0', '0');
INSERT INTO public.who_import VALUES (93850, '2020-03-02', 'US', 'United States of America', 'AMRO', '2', '68', '0', '0');
INSERT INTO public.who_import VALUES (93851, '2020-03-03', 'US', 'United States of America', 'AMRO', '44', '112', '2', '2');
INSERT INTO public.who_import VALUES (93852, '2020-03-04', 'US', 'United States of America', 'AMRO', '21', '133', '3', '5');
INSERT INTO public.who_import VALUES (93853, '2020-03-05', 'US', 'United States of America', 'AMRO', '0', '133', '4', '9');
INSERT INTO public.who_import VALUES (93854, '2020-03-06', 'US', 'United States of America', 'AMRO', '84', '217', '2', '11');
INSERT INTO public.who_import VALUES (93855, '2020-03-07', 'US', 'United States of America', 'AMRO', '0', '217', '0', '11');
INSERT INTO public.who_import VALUES (93856, '2020-03-08', 'US', 'United States of America', 'AMRO', '0', '217', '0', '11');
INSERT INTO public.who_import VALUES (93857, '2020-03-09', 'US', 'United States of America', 'AMRO', '259', '476', '8', '19');
INSERT INTO public.who_import VALUES (93858, '2020-03-10', 'US', 'United States of America', 'AMRO', '224', '700', '6', '25');
INSERT INTO public.who_import VALUES (93859, '2020-03-11', 'US', 'United States of America', 'AMRO', '0', '700', '0', '25');
INSERT INTO public.who_import VALUES (93860, '2020-03-12', 'US', 'United States of America', 'AMRO', '291', '991', '4', '29');
INSERT INTO public.who_import VALUES (93861, '2020-03-13', 'US', 'United States of America', 'AMRO', '277', '1268', '7', '36');
INSERT INTO public.who_import VALUES (93862, '2020-03-14', 'US', 'United States of America', 'AMRO', '414', '1682', '5', '41');
INSERT INTO public.who_import VALUES (93863, '2020-03-15', 'US', 'United States of America', 'AMRO', '36', '1718', '0', '41');
INSERT INTO public.who_import VALUES (93864, '2020-03-16', 'US', 'United States of America', 'AMRO', '0', '1718', '0', '41');
INSERT INTO public.who_import VALUES (93865, '2020-03-17', 'US', 'United States of America', 'AMRO', '1822', '3540', '17', '58');
INSERT INTO public.who_import VALUES (93866, '2020-03-18', 'US', 'United States of America', 'AMRO', '3551', '7091', '42', '100');
INSERT INTO public.who_import VALUES (93867, '2020-03-19', 'US', 'United States of America', 'AMRO', '3351', '10442', '50', '150');
INSERT INTO public.who_import VALUES (93868, '2020-03-20', 'US', 'United States of America', 'AMRO', '4777', '15219', '51', '201');
INSERT INTO public.who_import VALUES (93869, '2020-03-21', 'US', 'United States of America', 'AMRO', '0', '15219', '0', '201');
INSERT INTO public.who_import VALUES (93870, '2020-03-22', 'US', 'United States of America', 'AMRO', '0', '15219', '0', '201');
INSERT INTO public.who_import VALUES (93871, '2020-03-23', 'US', 'United States of America', 'AMRO', '16354', '31573', '201', '402');
INSERT INTO public.who_import VALUES (93872, '2020-03-24', 'US', 'United States of America', 'AMRO', '20341', '51914', '271', '673');
INSERT INTO public.who_import VALUES (93873, '2020-03-25', 'US', 'United States of America', 'AMRO', '0', '51914', '0', '673');
INSERT INTO public.who_import VALUES (93874, '2020-03-26', 'US', 'United States of America', 'AMRO', '16420', '68334', '318', '991');
INSERT INTO public.who_import VALUES (93875, '2020-03-27', 'US', 'United States of America', 'AMRO', '0', '68334', '0', '991');
INSERT INTO public.who_import VALUES (93876, '2020-03-28', 'US', 'United States of America', 'AMRO', '16894', '85228', '252', '1243');
INSERT INTO public.who_import VALUES (93877, '2020-03-29', 'US', 'United States of America', 'AMRO', '18093', '103321', '425', '1668');
INSERT INTO public.who_import VALUES (93878, '2020-03-30', 'US', 'United States of America', 'AMRO', '19332', '122653', '444', '2112');
INSERT INTO public.who_import VALUES (93879, '2020-03-31', 'US', 'United States of America', 'AMRO', '17987', '140640', '286', '2398');
INSERT INTO public.who_import VALUES (93880, '2020-04-01', 'US', 'United States of America', 'AMRO', '22559', '163199', '452', '2850');
INSERT INTO public.who_import VALUES (93881, '2020-04-02', 'US', 'United States of America', 'AMRO', '24103', '187302', '996', '3846');
INSERT INTO public.who_import VALUES (93882, '2020-04-03', 'US', 'United States of America', 'AMRO', '26298', '213600', '947', '4793');
INSERT INTO public.who_import VALUES (93883, '2020-04-04', 'US', 'United States of America', 'AMRO', '28103', '241703', '1061', '5854');
INSERT INTO public.who_import VALUES (93884, '2020-04-05', 'US', 'United States of America', 'AMRO', '32105', '273808', '1166', '7020');
INSERT INTO public.who_import VALUES (93885, '2020-04-06', 'US', 'United States of America', 'AMRO', '33510', '307318', '1338', '8358');
INSERT INTO public.who_import VALUES (93886, '2020-04-07', 'US', 'United States of America', 'AMRO', '26493', '333811', '1201', '9559');
INSERT INTO public.who_import VALUES (93887, '2020-04-08', 'US', 'United States of America', 'AMRO', '29510', '363321', '1286', '10845');
INSERT INTO public.who_import VALUES (93888, '2020-04-09', 'US', 'United States of America', 'AMRO', '31709', '395030', '1895', '12740');
INSERT INTO public.who_import VALUES (93889, '2020-04-10', 'US', 'United States of America', 'AMRO', '30859', '425889', '1925', '14665');
INSERT INTO public.who_import VALUES (93890, '2020-04-11', 'US', 'United States of America', 'AMRO', '35386', '461275', '1931', '16596');
INSERT INTO public.who_import VALUES (93891, '2020-04-12', 'US', 'United States of America', 'AMRO', '31606', '492881', '1920', '18516');
INSERT INTO public.who_import VALUES (93892, '2020-04-13', 'US', 'United States of America', 'AMRO', '31633', '524514', '1928', '20444');
INSERT INTO public.who_import VALUES (93893, '2020-04-14', 'US', 'United States of America', 'AMRO', '29308', '553822', '1528', '21972');
INSERT INTO public.who_import VALUES (93894, '2020-04-15', 'US', 'United States of America', 'AMRO', '24446', '578268', '1504', '23476');
INSERT INTO public.who_import VALUES (93895, '2020-04-16', 'US', 'United States of America', 'AMRO', '25802', '604070', '2395', '25871');
INSERT INTO public.who_import VALUES (93896, '2020-04-17', 'US', 'United States of America', 'AMRO', '28711', '632781', '6409', '32280');
INSERT INTO public.who_import VALUES (93897, '2020-04-18', 'US', 'United States of America', 'AMRO', '32549', '665330', '2018', '34298');
INSERT INTO public.who_import VALUES (93898, '2020-04-19', 'US', 'United States of America', 'AMRO', '30023', '695353', '2438', '36736');
INSERT INTO public.who_import VALUES (93899, '2020-04-20', 'US', 'United States of America', 'AMRO', '28252', '723605', '1776', '38512');
INSERT INTO public.who_import VALUES (93900, '2020-04-21', 'US', 'United States of America', 'AMRO', '27668', '751273', '1801', '40313');
INSERT INTO public.who_import VALUES (93901, '2020-04-22', 'US', 'United States of America', 'AMRO', '25634', '776907', '2154', '42467');
INSERT INTO public.who_import VALUES (93902, '2020-04-23', 'US', 'United States of America', 'AMRO', '24019', '800926', '2575', '45042');
INSERT INTO public.who_import VALUES (93903, '2020-04-24', 'US', 'United States of America', 'AMRO', '29127', '830053', '2390', '47432');
INSERT INTO public.who_import VALUES (93904, '2020-04-25', 'US', 'United States of America', 'AMRO', '30719', '860772', '1742', '49174');
INSERT INTO public.who_import VALUES (93905, '2020-04-26', 'US', 'United States of America', 'AMRO', '38509', '899281', '2151', '51325');
INSERT INTO public.who_import VALUES (93906, '2020-04-27', 'US', 'United States of America', 'AMRO', '32417', '931698', '1964', '53289');
INSERT INTO public.who_import VALUES (93907, '2020-04-28', 'US', 'United States of America', 'AMRO', '29218', '960916', '1109', '54398');
INSERT INTO public.who_import VALUES (93908, '2020-04-29', 'US', 'United States of America', 'AMRO', '22541', '983457', '1322', '55720');
INSERT INTO public.who_import VALUES (93909, '2020-04-30', 'US', 'United States of America', 'AMRO', '20517', '1003974', '2010', '57730');
INSERT INTO public.who_import VALUES (93910, '2020-05-01', 'US', 'United States of America', 'AMRO', '31379', '1035353', '2902', '60632');
INSERT INTO public.who_import VALUES (93911, '2020-05-02', 'US', 'United States of America', 'AMRO', '31774', '1067127', '2005', '62637');
INSERT INTO public.who_import VALUES (93912, '2020-05-03', 'US', 'United States of America', 'AMRO', '26753', '1093880', '5000', '67637');
INSERT INTO public.who_import VALUES (93913, '2020-05-04', 'US', 'United States of America', 'AMRO', '31839', '1125719', '156', '67793');
INSERT INTO public.who_import VALUES (93914, '2020-05-05', 'US', 'United States of America', 'AMRO', '29266', '1154985', '-514', '67279');
INSERT INTO public.who_import VALUES (93915, '2020-05-06', 'US', 'United States of America', 'AMRO', '16200', '1171185', '802', '68081');
INSERT INTO public.who_import VALUES (93916, '2020-05-07', 'US', 'United States of America', 'AMRO', '22267', '1193452', '2475', '70556');
INSERT INTO public.who_import VALUES (93917, '2020-05-08', 'US', 'United States of America', 'AMRO', '22119', '1215571', '1968', '72524');
INSERT INTO public.who_import VALUES (93918, '2020-05-09', 'US', 'United States of America', 'AMRO', '30204', '1245775', '2840', '75364');
INSERT INTO public.who_import VALUES (93919, '2020-05-10', 'US', 'United States of America', 'AMRO', '25870', '1271645', '1552', '76916');
INSERT INTO public.who_import VALUES (93920, '2020-05-11', 'US', 'United States of America', 'AMRO', '26642', '1298287', '1736', '78652');
INSERT INTO public.who_import VALUES (93921, '2020-05-12', 'US', 'United States of America', 'AMRO', '23767', '1322054', '982', '79634');
INSERT INTO public.who_import VALUES (93922, '2020-05-13', 'US', 'United States of America', 'AMRO', '18044', '1340098', '1061', '80695');
INSERT INTO public.who_import VALUES (93923, '2020-05-14', 'US', 'United States of America', 'AMRO', '21424', '1361522', '1424', '82119');
INSERT INTO public.who_import VALUES (93924, '2020-05-15', 'US', 'United States of America', 'AMRO', '20840', '1382362', '1700', '83819');
INSERT INTO public.who_import VALUES (93925, '2020-05-16', 'US', 'United States of America', 'AMRO', '27090', '1409452', '2041', '85860');
INSERT INTO public.who_import VALUES (93926, '2020-05-17', 'US', 'United States of America', 'AMRO', '22813', '1432265', '1320', '87180');
INSERT INTO public.who_import VALUES (93927, '2020-05-18', 'US', 'United States of America', 'AMRO', '31967', '1464232', '1394', '88574');
INSERT INTO public.who_import VALUES (93928, '2020-05-19', 'US', 'United States of America', 'AMRO', '13227', '1477459', '697', '89271');
INSERT INTO public.who_import VALUES (93929, '2020-05-20', 'US', 'United States of America', 'AMRO', '24417', '1501876', '932', '90203');
INSERT INTO public.who_import VALUES (93930, '2020-05-21', 'US', 'United States of America', 'AMRO', '23310', '1525186', '1324', '91527');
INSERT INTO public.who_import VALUES (93931, '2020-05-22', 'US', 'United States of America', 'AMRO', '22787', '1547973', '1396', '92923');
INSERT INTO public.who_import VALUES (93932, '2020-05-23', 'US', 'United States of America', 'AMRO', '20475', '1568448', '1088', '94011');
INSERT INTO public.who_import VALUES (93933, '2020-05-24', 'US', 'United States of America', 'AMRO', '24151', '1592599', '1852', '95863');
INSERT INTO public.who_import VALUES (93934, '2020-05-25', 'US', 'United States of America', 'AMRO', '26158', '1618757', '1046', '96909');
INSERT INTO public.who_import VALUES (93935, '2020-05-26', 'US', 'United States of America', 'AMRO', '15253', '1634010', '620', '97529');
INSERT INTO public.who_import VALUES (93936, '2020-05-27', 'US', 'United States of America', 'AMRO', '24886', '1658896', '590', '98119');
INSERT INTO public.who_import VALUES (93937, '2020-05-28', 'US', 'United States of America', 'AMRO', '16362', '1675258', '770', '98889');
INSERT INTO public.who_import VALUES (93938, '2020-05-29', 'US', 'United States of America', 'AMRO', '19606', '1694864', '1415', '100304');
INSERT INTO public.who_import VALUES (93939, '2020-05-30', 'US', 'United States of America', 'AMRO', '21214', '1716078', '1263', '101567');
INSERT INTO public.who_import VALUES (93940, '2020-05-31', 'US', 'United States of America', 'AMRO', '17962', '1734040', '1073', '102640');
INSERT INTO public.who_import VALUES (93941, '2020-06-01', 'US', 'United States of America', 'AMRO', '23482', '1757522', '914', '103554');
INSERT INTO public.who_import VALUES (93942, '2020-06-02', 'US', 'United States of America', 'AMRO', '26116', '1783638', '693', '104247');
INSERT INTO public.who_import VALUES (93943, '2020-06-03', 'US', 'United States of America', 'AMRO', '14692', '1798330', '761', '105008');
INSERT INTO public.who_import VALUES (93944, '2020-06-04', 'US', 'United States of America', 'AMRO', '24890', '1823220', '1043', '106051');
INSERT INTO public.who_import VALUES (93945, '2020-06-05', 'US', 'United States of America', 'AMRO', '14583', '1837803', '825', '106876');
INSERT INTO public.who_import VALUES (93946, '2020-06-06', 'US', 'United States of America', 'AMRO', '20069', '1857872', '1035', '107911');
INSERT INTO public.who_import VALUES (93947, '2020-06-07', 'US', 'United States of America', 'AMRO', '28922', '1886794', '1127', '109038');
INSERT INTO public.who_import VALUES (93948, '2020-06-08', 'US', 'United States of America', 'AMRO', '28918', '1915712', '708', '109746');
INSERT INTO public.who_import VALUES (93949, '2020-06-09', 'US', 'United States of America', 'AMRO', '17848', '1933560', '474', '110220');
INSERT INTO public.who_import VALUES (93950, '2020-06-10', 'US', 'United States of America', 'AMRO', '17536', '1951096', '550', '110770');
INSERT INTO public.who_import VALUES (93951, '2020-06-11', 'US', 'United States of America', 'AMRO', '17235', '1968331', '1208', '111978');
INSERT INTO public.who_import VALUES (93952, '2020-06-12', 'US', 'United States of America', 'AMRO', '20315', '1988646', '832', '112810');
INSERT INTO public.who_import VALUES (93953, '2020-06-13', 'US', 'United States of America', 'AMRO', '21745', '2010391', '947', '113757');
INSERT INTO public.who_import VALUES (93954, '2020-06-14', 'US', 'United States of America', 'AMRO', '22133', '2032524', '709', '114466');
INSERT INTO public.who_import VALUES (93955, '2020-06-15', 'US', 'United States of America', 'AMRO', '25314', '2057838', '646', '115112');
INSERT INTO public.who_import VALUES (93956, '2020-06-16', 'US', 'United States of America', 'AMRO', '21754', '2079592', '372', '115484');
INSERT INTO public.who_import VALUES (93957, '2020-06-17', 'US', 'United States of America', 'AMRO', '18514', '2098106', '496', '115980');
INSERT INTO public.who_import VALUES (93958, '2020-06-18', 'US', 'United States of America', 'AMRO', '27921', '2126027', '722', '116702');
INSERT INTO public.who_import VALUES (93959, '2020-06-19', 'US', 'United States of America', 'AMRO', '23139', '2149166', '770', '117472');
INSERT INTO public.who_import VALUES (93960, '2020-06-20', 'US', 'United States of America', 'AMRO', '23046', '2172212', '733', '118205');
INSERT INTO public.who_import VALUES (93961, '2020-06-21', 'US', 'United States of America', 'AMRO', '36617', '2208829', '690', '118895');
INSERT INTO public.who_import VALUES (93962, '2020-06-22', 'US', 'United States of America', 'AMRO', '32349', '2241178', '558', '119453');
INSERT INTO public.who_import VALUES (93963, '2020-06-23', 'US', 'United States of America', 'AMRO', '27575', '2268753', '308', '119761');
INSERT INTO public.who_import VALUES (93964, '2020-06-24', 'US', 'United States of America', 'AMRO', '26519', '2295272', '410', '120171');
INSERT INTO public.who_import VALUES (93965, '2020-06-25', 'US', 'United States of America', 'AMRO', '34191', '2329463', '784', '120955');
INSERT INTO public.who_import VALUES (93966, '2020-06-26', 'US', 'United States of America', 'AMRO', '37601', '2367064', '690', '121645');
INSERT INTO public.who_import VALUES (93967, '2020-06-27', 'US', 'United States of America', 'AMRO', '40526', '2407590', '2516', '124161');
INSERT INTO public.who_import VALUES (93968, '2020-06-28', 'US', 'United States of America', 'AMRO', '44458', '2452048', '650', '124811');
INSERT INTO public.who_import VALUES (93969, '2020-06-29', 'US', 'United States of America', 'AMRO', '44580', '2496628', '507', '125318');
INSERT INTO public.who_import VALUES (93970, '2020-06-30', 'US', 'United States of America', 'AMRO', '41008', '2537636', '885', '126203');
INSERT INTO public.who_import VALUES (93971, '2020-07-01', 'US', 'United States of America', 'AMRO', '35757', '2573393', '370', '126573');
INSERT INTO public.who_import VALUES (93972, '2020-07-02', 'US', 'United States of America', 'AMRO', '43556', '2616949', '560', '127133');
INSERT INTO public.who_import VALUES (93973, '2020-07-03', 'US', 'United States of America', 'AMRO', '54271', '2671220', '725', '127858');
INSERT INTO public.who_import VALUES (93974, '2020-07-04', 'US', 'United States of America', 'AMRO', '53213', '2724433', '623', '128481');
INSERT INTO public.who_import VALUES (93975, '2020-07-05', 'US', 'United States of America', 'AMRO', '51933', '2776366', '745', '129226');
INSERT INTO public.who_import VALUES (93976, '2020-07-06', 'US', 'United States of America', 'AMRO', '57186', '2833552', '182', '129408');
INSERT INTO public.who_import VALUES (93977, '2020-07-07', 'US', 'United States of America', 'AMRO', '43686', '2877238', '235', '129643');
INSERT INTO public.who_import VALUES (93978, '2020-07-08', 'US', 'United States of America', 'AMRO', '46194', '2923432', '320', '129963');
INSERT INTO public.who_import VALUES (93979, '2020-07-09', 'US', 'United States of America', 'AMRO', '50263', '2973695', '930', '130893');
INSERT INTO public.who_import VALUES (93980, '2020-07-10', 'US', 'United States of America', 'AMRO', '64630', '3038325', '991', '131884');
INSERT INTO public.who_import VALUES (93981, '2020-07-11', 'US', 'United States of America', 'AMRO', '58975', '3097300', '799', '132683');
INSERT INTO public.who_import VALUES (93982, '2020-07-12', 'US', 'United States of America', 'AMRO', '66281', '3163581', '803', '133486');
INSERT INTO public.who_import VALUES (93983, '2020-07-13', 'US', 'United States of America', 'AMRO', '62369', '3225950', '906', '134392');
INSERT INTO public.who_import VALUES (93984, '2020-07-14', 'US', 'United States of America', 'AMRO', '60113', '3286063', '312', '134704');
INSERT INTO public.who_import VALUES (93985, '2020-07-15', 'US', 'United States of America', 'AMRO', '58720', '3344783', '349', '135053');
INSERT INTO public.who_import VALUES (93986, '2020-07-16', 'US', 'United States of America', 'AMRO', '60711', '3405494', '754', '135807');
INSERT INTO public.who_import VALUES (93987, '2020-07-17', 'US', 'United States of America', 'AMRO', '67165', '3472659', '946', '136753');
INSERT INTO public.who_import VALUES (93988, '2020-07-18', 'US', 'United States of America', 'AMRO', '71484', '3544143', '921', '137674');
INSERT INTO public.who_import VALUES (93989, '2020-07-19', 'US', 'United States of America', 'AMRO', '74354', '3618497', '917', '138591');
INSERT INTO public.who_import VALUES (93990, '2020-07-20', 'US', 'United States of America', 'AMRO', '66963', '3685460', '877', '139468');
INSERT INTO public.who_import VALUES (93991, '2020-07-21', 'US', 'United States of America', 'AMRO', '62788', '3748248', '496', '139964');
INSERT INTO public.who_import VALUES (93992, '2020-07-22', 'US', 'United States of America', 'AMRO', '57276', '3805524', '473', '140437');
INSERT INTO public.who_import VALUES (93993, '2020-07-23', 'US', 'United States of America', 'AMRO', '62929', '3868453', '1042', '141479');
INSERT INTO public.who_import VALUES (93994, '2020-07-24', 'US', 'United States of America', 'AMRO', '69641', '3938094', '1074', '142553');
INSERT INTO public.who_import VALUES (93995, '2020-07-25', 'US', 'United States of America', 'AMRO', '71714', '4009808', '1110', '143663');
INSERT INTO public.who_import VALUES (93996, '2020-07-26', 'US', 'United States of America', 'AMRO', '74235', '4084043', '1135', '144798');
INSERT INTO public.who_import VALUES (93997, '2020-07-27', 'US', 'United States of America', 'AMRO', '63968', '4148011', '929', '145727');
INSERT INTO public.who_import VALUES (93998, '2020-07-28', 'US', 'United States of America', 'AMRO', '61498', '4209509', '604', '146331');
INSERT INTO public.who_import VALUES (93999, '2020-07-29', 'US', 'United States of America', 'AMRO', '54022', '4263531', '1118', '147449');
INSERT INTO public.who_import VALUES (94000, '2020-07-30', 'US', 'United States of America', 'AMRO', '59629', '4323160', '1191', '148640');
INSERT INTO public.who_import VALUES (94001, '2020-07-31', 'US', 'United States of America', 'AMRO', '65406', '4388566', '1414', '150054');
INSERT INTO public.who_import VALUES (94002, '2020-08-01', 'US', 'United States of America', 'AMRO', '67823', '4456389', '1211', '151265');
INSERT INTO public.who_import VALUES (94003, '2020-08-02', 'US', 'United States of America', 'AMRO', '67499', '4523888', '1365', '152630');
INSERT INTO public.who_import VALUES (94004, '2020-08-03', 'US', 'United States of America', 'AMRO', '58388', '4582276', '1127', '153757');
INSERT INTO public.who_import VALUES (94005, '2020-08-04', 'US', 'United States of America', 'AMRO', '47183', '4629459', '469', '154226');
INSERT INTO public.who_import VALUES (94006, '2020-08-05', 'US', 'United States of America', 'AMRO', '49151', '4678610', '726', '154952');
INSERT INTO public.who_import VALUES (94007, '2020-08-06', 'US', 'United States of America', 'AMRO', '49629', '4728239', '1098', '156050');
INSERT INTO public.who_import VALUES (94008, '2020-08-07', 'US', 'United States of America', 'AMRO', '53373', '4781612', '1307', '157357');
INSERT INTO public.who_import VALUES (94009, '2020-08-08', 'US', 'United States of America', 'AMRO', '55318', '4836930', '1249', '158606');
INSERT INTO public.who_import VALUES (94010, '2020-08-09', 'US', 'United States of America', 'AMRO', '61028', '4897958', '1324', '159930');
INSERT INTO public.who_import VALUES (95546, '2020-04-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94011, '2020-08-10', 'US', 'United States of America', 'AMRO', '53893', '4951851', '1059', '160989');
INSERT INTO public.who_import VALUES (94012, '2020-08-11', 'US', 'United States of America', 'AMRO', '47964', '4999815', '558', '161547');
INSERT INTO public.who_import VALUES (94013, '2020-08-12', 'US', 'United States of America', 'AMRO', '39894', '5039709', '557', '162104');
INSERT INTO public.who_import VALUES (94014, '2020-08-13', 'US', 'United States of America', 'AMRO', '54791', '5094500', '1236', '163340');
INSERT INTO public.who_import VALUES (94015, '2020-08-14', 'US', 'United States of America', 'AMRO', '55907', '5150407', '1486', '164826');
INSERT INTO public.who_import VALUES (94016, '2020-08-15', 'US', 'United States of America', 'AMRO', '52799', '5203206', '1169', '165995');
INSERT INTO public.who_import VALUES (94017, '2020-08-16', 'US', 'United States of America', 'AMRO', '55359', '5258565', '1206', '167201');
INSERT INTO public.who_import VALUES (94018, '2020-08-17', 'US', 'United States of America', 'AMRO', '54375', '5312940', '1144', '168345');
INSERT INTO public.who_import VALUES (94019, '2020-08-18', 'US', 'United States of America', 'AMRO', '41073', '5354013', '654', '168999');
INSERT INTO public.who_import VALUES (94020, '2020-08-19', 'US', 'United States of America', 'AMRO', '39125', '5393138', '509', '169508');
INSERT INTO public.who_import VALUES (94021, '2020-08-20', 'US', 'United States of America', 'AMRO', '37908', '5431046', '1132', '170640');
INSERT INTO public.who_import VALUES (94022, '2020-08-21', 'US', 'United States of America', 'AMRO', '46259', '5477305', '1393', '172033');
INSERT INTO public.who_import VALUES (94023, '2020-08-22', 'US', 'United States of America', 'AMRO', '43952', '5521257', '1065', '173098');
INSERT INTO public.who_import VALUES (94024, '2020-08-23', 'US', 'United States of America', 'AMRO', '45960', '5567217', '1148', '174246');
INSERT INTO public.who_import VALUES (94025, '2020-08-24', 'US', 'United States of America', 'AMRO', '44946', '5612163', '997', '175243');
INSERT INTO public.who_import VALUES (94026, '2020-08-25', 'US', 'United States of America', 'AMRO', '37765', '5649928', '570', '175813');
INSERT INTO public.who_import VALUES (94027, '2020-08-26', 'US', 'United States of America', 'AMRO', '32883', '5682811', '388', '176201');
INSERT INTO public.who_import VALUES (94028, '2020-08-27', 'US', 'United States of America', 'AMRO', '37030', '5719841', '1131', '177332');
INSERT INTO public.who_import VALUES (94029, '2020-08-28', 'US', 'United States of America', 'AMRO', '45484', '5765325', '1229', '178561');
INSERT INTO public.who_import VALUES (94030, '2020-08-29', 'US', 'United States of America', 'AMRO', '46194', '5811519', '1155', '179716');
INSERT INTO public.who_import VALUES (94031, '2020-08-30', 'US', 'United States of America', 'AMRO', '44002', '5855521', '973', '180689');
INSERT INTO public.who_import VALUES (94032, '2020-08-31', 'US', 'United States of America', 'AMRO', '43983', '5899504', '1000', '181689');
INSERT INTO public.who_import VALUES (94033, '2020-09-01', 'US', 'United States of America', 'AMRO', '37068', '5936572', '473', '182162');
INSERT INTO public.who_import VALUES (94034, '2020-09-02', 'US', 'United States of America', 'AMRO', '31808', '5968380', '423', '182585');
INSERT INTO public.who_import VALUES (94035, '2020-09-03', 'US', 'United States of America', 'AMRO', '42662', '6011042', '1025', '183610');
INSERT INTO public.who_import VALUES (94036, '2020-09-04', 'US', 'United States of America', 'AMRO', '39402', '6050444', '1004', '184614');
INSERT INTO public.who_import VALUES (94037, '2020-09-05', 'US', 'United States of America', 'AMRO', '44563', '6095007', '1073', '185687');
INSERT INTO public.who_import VALUES (94038, '2020-09-06', 'US', 'United States of America', 'AMRO', '49131', '6144138', '976', '186663');
INSERT INTO public.who_import VALUES (94039, '2020-09-07', 'US', 'United States of America', 'AMRO', '45350', '6189488', '878', '187541');
INSERT INTO public.who_import VALUES (94040, '2020-09-08', 'US', 'United States of America', 'AMRO', '33486', '6222974', '462', '188003');
INSERT INTO public.who_import VALUES (94041, '2020-09-09', 'US', 'United States of America', 'AMRO', '26015', '6248989', '169', '188172');
INSERT INTO public.who_import VALUES (94042, '2020-09-10', 'US', 'United States of America', 'AMRO', '23204', '6272193', '436', '188608');
INSERT INTO public.who_import VALUES (94043, '2020-09-11', 'US', 'United States of America', 'AMRO', '31988', '6304181', '1101', '189709');
INSERT INTO public.who_import VALUES (94044, '2020-09-12', 'US', 'United States of America', 'AMRO', '37128', '6341309', '1078', '190787');
INSERT INTO public.who_import VALUES (94045, '2020-09-13', 'US', 'United States of America', 'AMRO', '45523', '6386832', '1022', '191809');
INSERT INTO public.who_import VALUES (94046, '2020-09-14', 'US', 'United States of America', 'AMRO', '40126', '6426958', '803', '192612');
INSERT INTO public.who_import VALUES (94047, '2020-09-15', 'US', 'United States of America', 'AMRO', '35177', '6462135', '507', '193119');
INSERT INTO public.who_import VALUES (94048, '2020-09-16', 'US', 'United States of America', 'AMRO', '34111', '6496246', '375', '193494');
INSERT INTO public.who_import VALUES (94049, '2020-09-17', 'US', 'United States of America', 'AMRO', '34078', '6530324', '940', '194434');
INSERT INTO public.who_import VALUES (94050, '2020-09-18', 'US', 'United States of America', 'AMRO', '40795', '6571119', '1204', '195638');
INSERT INTO public.who_import VALUES (94051, '2020-09-19', 'US', 'United States of America', 'AMRO', '42618', '6613737', '827', '196465');
INSERT INTO public.who_import VALUES (94052, '2020-09-20', 'US', 'United States of America', 'AMRO', '48266', '6662003', '977', '197442');
INSERT INTO public.who_import VALUES (94053, '2020-09-21', 'US', 'United States of America', 'AMRO', '41695', '6703698', '652', '198094');
INSERT INTO public.who_import VALUES (94054, '2020-09-22', 'US', 'United States of America', 'AMRO', '36766', '6740464', '269', '198363');
INSERT INTO public.who_import VALUES (94055, '2020-09-23', 'US', 'United States of America', 'AMRO', '39145', '6779609', '430', '198793');
INSERT INTO public.who_import VALUES (94056, '2020-09-24', 'US', 'United States of America', 'AMRO', '49176', '6828785', '807', '199600');
INSERT INTO public.who_import VALUES (94057, '2020-09-25', 'US', 'United States of America', 'AMRO', '40043', '6868828', '1125', '200725');
INSERT INTO public.who_import VALUES (94058, '2020-09-26', 'US', 'United States of America', 'AMRO', '41254', '6910082', '909', '201634');
INSERT INTO public.who_import VALUES (94059, '2020-09-27', 'US', 'United States of America', 'AMRO', '50070', '6960152', '844', '202478');
INSERT INTO public.who_import VALUES (94060, '2020-09-28', 'US', 'United States of America', 'AMRO', '48958', '7009110', '851', '203329');
INSERT INTO public.who_import VALUES (94061, '2020-09-29', 'US', 'United States of America', 'AMRO', '35217', '7044327', '291', '203620');
INSERT INTO public.who_import VALUES (94062, '2020-09-30', 'US', 'United States of America', 'AMRO', '32688', '7077015', '255', '203875');
INSERT INTO public.who_import VALUES (94063, '2020-10-01', 'US', 'United States of America', 'AMRO', '38476', '7115491', '767', '204642');
INSERT INTO public.who_import VALUES (94064, '2020-10-02', 'US', 'United States of America', 'AMRO', '44985', '7160476', '1024', '205666');
INSERT INTO public.who_import VALUES (94065, '2020-10-03', 'US', 'United States of America', 'AMRO', '46293', '7206769', '892', '206558');
INSERT INTO public.who_import VALUES (94066, '2020-10-04', 'US', 'United States of America', 'AMRO', '49465', '7256234', '808', '207366');
INSERT INTO public.who_import VALUES (94067, '2020-10-05', 'US', 'United States of America', 'AMRO', '49036', '7305270', '698', '208064');
INSERT INTO public.who_import VALUES (94068, '2020-10-06', 'US', 'United States of America', 'AMRO', '36136', '7341406', '369', '208433');
INSERT INTO public.who_import VALUES (94069, '2020-10-07', 'US', 'United States of America', 'AMRO', '38920', '7380326', '354', '208787');
INSERT INTO public.who_import VALUES (94070, '2020-10-08', 'US', 'United States of America', 'AMRO', '38904', '7419230', '663', '209450');
INSERT INTO public.who_import VALUES (94071, '2020-10-09', 'US', 'United States of America', 'AMRO', '52458', '7471688', '888', '210338');
INSERT INTO public.who_import VALUES (94072, '2020-10-10', 'US', 'United States of America', 'AMRO', '54232', '7525920', '973', '211311');
INSERT INTO public.who_import VALUES (94073, '2020-10-11', 'US', 'United States of America', 'AMRO', '57828', '7583748', '918', '212229');
INSERT INTO public.who_import VALUES (94074, '2020-10-12', 'US', 'United States of America', 'AMRO', '53055', '7636803', '575', '212804');
INSERT INTO public.who_import VALUES (94075, '2020-10-13', 'US', 'United States of America', 'AMRO', '45325', '7682128', '487', '213291');
INSERT INTO public.who_import VALUES (94076, '2020-10-14', 'US', 'United States of America', 'AMRO', '46308', '7728436', '335', '213626');
INSERT INTO public.who_import VALUES (94077, '2020-10-15', 'US', 'United States of America', 'AMRO', '46309', '7774745', '743', '214369');
INSERT INTO public.who_import VALUES (94078, '2020-10-16', 'US', 'United States of America', 'AMRO', '59106', '7833851', '830', '215199');
INSERT INTO public.who_import VALUES (94079, '2020-10-17', 'US', 'United States of America', 'AMRO', '63044', '7896895', '874', '216073');
INSERT INTO public.who_import VALUES (94080, '2020-10-18', 'US', 'United States of America', 'AMRO', '69834', '7966729', '998', '217071');
INSERT INTO public.who_import VALUES (94081, '2020-10-19', 'US', 'United States of America', 'AMRO', '52508', '8019237', '588', '217659');
INSERT INTO public.who_import VALUES (94082, '2020-10-20', 'US', 'United States of America', 'AMRO', '46378', '8065615', '472', '218131');
INSERT INTO public.who_import VALUES (94083, '2020-10-21', 'US', 'United States of America', 'AMRO', '59018', '8124633', '510', '218641');
INSERT INTO public.who_import VALUES (94084, '2020-10-22', 'US', 'United States of America', 'AMRO', '60155', '8184788', '856', '219497');
INSERT INTO public.who_import VALUES (94085, '2020-10-23', 'US', 'United States of America', 'AMRO', '63361', '8248149', '1066', '220563');
INSERT INTO public.who_import VALUES (95547, '2020-04-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94086, '2020-10-24', 'US', 'United States of America', 'AMRO', '72342', '8320491', '1001', '221564');
INSERT INTO public.who_import VALUES (94087, '2020-10-25', 'US', 'United States of America', 'AMRO', '82630', '8403121', '943', '222507');
INSERT INTO public.who_import VALUES (94088, '2020-10-26', 'US', 'United States of America', 'AMRO', '82626', '8485747', '821', '223328');
INSERT INTO public.who_import VALUES (94089, '2020-10-27', 'US', 'United States of America', 'AMRO', '62364', '8548111', '371', '223699');
INSERT INTO public.who_import VALUES (94090, '2020-10-28', 'US', 'United States of America', 'AMRO', '63145', '8611256', '479', '224178');
INSERT INTO public.who_import VALUES (94091, '2020-10-29', 'US', 'United States of America', 'AMRO', '72042', '8683298', '895', '225073');
INSERT INTO public.who_import VALUES (94092, '2020-10-30', 'US', 'United States of America', 'AMRO', '80384', '8763682', '1059', '226132');
INSERT INTO public.who_import VALUES (94093, '2020-10-31', 'US', 'United States of America', 'AMRO', '89048', '8852730', '1046', '227178');
INSERT INTO public.who_import VALUES (94094, '2020-11-01', 'US', 'United States of America', 'AMRO', '99356', '8952086', '1007', '228185');
INSERT INTO public.who_import VALUES (94095, '2020-11-02', 'US', 'United States of America', 'AMRO', '80379', '9032465', '813', '228998');
INSERT INTO public.who_import VALUES (94096, '2020-11-03', 'US', 'United States of America', 'AMRO', '75888', '9108353', '444', '229442');
INSERT INTO public.who_import VALUES (94097, '2020-11-04', 'US', 'United States of America', 'AMRO', '85412', '9193765', '506', '229948');
INSERT INTO public.who_import VALUES (94098, '2020-11-05', 'US', 'United States of America', 'AMRO', '88163', '9281928', '1086', '231034');
INSERT INTO public.who_import VALUES (94099, '2020-11-06', 'US', 'United States of America', 'AMRO', '106050', '9387978', '1132', '232166');
INSERT INTO public.who_import VALUES (94100, '2020-11-07', 'US', 'United States of America', 'AMRO', '116780', '9504758', '1126', '233292');
INSERT INTO public.who_import VALUES (94101, '2020-11-08', 'US', 'United States of America', 'AMRO', '131821', '9636579', '1208', '234500');
INSERT INTO public.who_import VALUES (94102, '2020-11-09', 'US', 'United States of America', 'AMRO', '127151', '9763730', '1062', '235562');
INSERT INTO public.who_import VALUES (94103, '2020-11-10', 'US', 'United States of America', 'AMRO', '104659', '9868389', '480', '236042');
INSERT INTO public.who_import VALUES (94104, '2020-11-11', 'US', 'United States of America', 'AMRO', '122231', '9990620', '685', '236727');
INSERT INTO public.who_import VALUES (94105, '2020-11-12', 'US', 'United States of America', 'AMRO', '133935', '10124555', '1846', '238573');
INSERT INTO public.who_import VALUES (94106, '2020-11-13', 'US', 'United States of America', 'AMRO', '142076', '10266631', '1471', '240044');
INSERT INTO public.who_import VALUES (94107, '2020-11-14', 'US', 'United States of America', 'AMRO', '193734', '10460365', '1142', '241186');
INSERT INTO public.who_import VALUES (94108, '2020-11-15', 'US', 'United States of America', 'AMRO', '181066', '10641431', '1356', '242542');
INSERT INTO public.who_import VALUES (94109, '2020-11-16', 'US', 'United States of America', 'AMRO', '155001', '10796432', '1216', '243758');
INSERT INTO public.who_import VALUES (94110, '2020-11-17', 'US', 'United States of America', 'AMRO', '137486', '10933918', '653', '244411');
INSERT INTO public.who_import VALUES (94111, '2020-11-18', 'US', 'United States of America', 'AMRO', '151266', '11085184', '753', '245164');
INSERT INTO public.who_import VALUES (94112, '2020-11-19', 'US', 'United States of America', 'AMRO', '164044', '11249228', '1582', '246746');
INSERT INTO public.who_import VALUES (94113, '2020-11-20', 'US', 'United States of America', 'AMRO', '164560', '11413788', '1825', '248571');
INSERT INTO public.who_import VALUES (94114, '2020-11-21', 'US', 'United States of America', 'AMRO', '184191', '11597979', '2036', '250607');
INSERT INTO public.who_import VALUES (94115, '2020-11-22', 'US', 'United States of America', 'AMRO', '191033', '11789012', '1853', '252460');
INSERT INTO public.who_import VALUES (94116, '2020-11-23', 'US', 'United States of America', 'AMRO', '183544', '11972556', '1471', '253931');
INSERT INTO public.who_import VALUES (94117, '2020-11-24', 'US', 'United States of America', 'AMRO', '147098', '12119654', '867', '254798');
INSERT INTO public.who_import VALUES (94118, '2020-11-25', 'US', 'United States of America', 'AMRO', '157180', '12276834', '1052', '255850');
INSERT INTO public.who_import VALUES (94119, '2020-11-26', 'US', 'United States of America', 'AMRO', '165091', '12441925', '1975', '257825');
INSERT INTO public.who_import VALUES (94120, '2020-11-27', 'US', 'United States of America', 'AMRO', '180850', '12622775', '2248', '260073');
INSERT INTO public.who_import VALUES (94121, '2020-11-28', 'US', 'United States of America', 'AMRO', '141222', '12763997', '1387', '261460');
INSERT INTO public.who_import VALUES (94122, '2020-11-29', 'US', 'United States of America', 'AMRO', '175669', '12939666', '1276', '262736');
INSERT INTO public.who_import VALUES (94123, '2020-11-30', 'US', 'United States of America', 'AMRO', '143211', '13082877', '1210', '263946');
INSERT INTO public.who_import VALUES (94124, '2020-12-01', 'US', 'United States of America', 'AMRO', '151674', '13234551', '862', '264808');
INSERT INTO public.who_import VALUES (94125, '2020-12-02', 'US', 'United States of America', 'AMRO', '151204', '13385755', '1235', '266043');
INSERT INTO public.who_import VALUES (94126, '2020-12-03', 'US', 'United States of America', 'AMRO', '177976', '13563731', '2439', '268482');
INSERT INTO public.who_import VALUES (94127, '2020-12-04', 'US', 'United States of America', 'AMRO', '195769', '13759500', '2751', '271233');
INSERT INTO public.who_import VALUES (94128, '2020-12-05', 'US', 'United States of America', 'AMRO', '218671', '13978171', '2844', '274077');
INSERT INTO public.who_import VALUES (94129, '2020-12-06', 'US', 'United States of America', 'AMRO', '213127', '14191298', '2426', '276503');
INSERT INTO public.who_import VALUES (94130, '2020-12-07', 'US', 'United States of America', 'AMRO', '205837', '14397135', '2303', '278806');
INSERT INTO public.who_import VALUES (94131, '2020-12-08', 'US', 'United States of America', 'AMRO', '173388', '14570523', '1107', '279913');
INSERT INTO public.who_import VALUES (94132, '2020-12-09', 'US', 'United States of America', 'AMRO', '185473', '14755996', '1529', '281442');
INSERT INTO public.who_import VALUES (94133, '2020-12-10', 'US', 'United States of America', 'AMRO', '216360', '14972356', '2552', '283994');
INSERT INTO public.who_import VALUES (94134, '2020-12-11', 'US', 'United States of America', 'AMRO', '230852', '15203208', '3390', '287384');
INSERT INTO public.who_import VALUES (94135, '2020-12-12', 'US', 'United States of America', 'AMRO', '201681', '15404889', '2749', '290133');
INSERT INTO public.who_import VALUES (94136, '2020-12-13', 'US', 'United States of America', 'AMRO', '243209', '15648098', '2996', '293129');
INSERT INTO public.who_import VALUES (94137, '2020-12-14', 'US', 'United States of America', 'AMRO', '212577', '15860675', '2277', '295406');
INSERT INTO public.who_import VALUES (94138, '2020-12-15', 'US', 'United States of America', 'AMRO', '180420', '16041095', '1434', '296840');
INSERT INTO public.who_import VALUES (94139, '2020-12-16', 'US', 'United States of America', 'AMRO', '204281', '16245376', '1754', '298594');
INSERT INTO public.who_import VALUES (94140, '2020-12-17', 'US', 'United States of America', 'AMRO', '201468', '16446844', '2942', '301536');
INSERT INTO public.who_import VALUES (94141, '2020-12-18', 'US', 'United States of America', 'AMRO', '235805', '16682649', '3424', '304960');
INSERT INTO public.who_import VALUES (94142, '2020-12-19', 'US', 'United States of America', 'AMRO', '229915', '16912564', '3443', '308403');
INSERT INTO public.who_import VALUES (94143, '2020-12-20', 'US', 'United States of America', 'AMRO', '402270', '17314834', '2747', '311150');
INSERT INTO public.who_import VALUES (94144, '2020-12-21', 'US', 'United States of America', 'AMRO', '200257', '17515091', '2598', '313748');
INSERT INTO public.who_import VALUES (94145, '2020-12-22', 'US', 'United States of America', 'AMRO', '197199', '17712290', '1570', '315318');
INSERT INTO public.who_import VALUES (94146, '2020-12-23', 'US', 'United States of America', 'AMRO', '182819', '17895109', '1714', '317032');
INSERT INTO public.who_import VALUES (94147, '2020-12-24', 'US', 'United States of America', 'AMRO', '195151', '18090260', '3148', '320180');
INSERT INTO public.who_import VALUES (94148, '2020-12-25', 'US', 'United States of America', 'AMRO', '221145', '18311405', '3347', '323527');
INSERT INTO public.who_import VALUES (94149, '2020-12-26', 'US', 'United States of America', 'AMRO', '192095', '18503500', '2795', '326322');
INSERT INTO public.who_import VALUES (94150, '2020-12-27', 'US', 'United States of America', 'AMRO', '145489', '18648989', '1692', '328014');
INSERT INTO public.who_import VALUES (94151, '2020-12-28', 'US', 'United States of America', 'AMRO', '178311', '18827300', '1296', '329310');
INSERT INTO public.who_import VALUES (94152, '2020-12-29', 'US', 'United States of America', 'AMRO', '145513', '18972813', '1334', '330644');
INSERT INTO public.who_import VALUES (94153, '2020-12-30', 'US', 'United States of America', 'AMRO', '174814', '19147627', '1779', '332423');
INSERT INTO public.who_import VALUES (94154, '2020-12-31', 'US', 'United States of America', 'AMRO', '199163', '19346790', '3366', '335789');
INSERT INTO public.who_import VALUES (94155, '2021-01-01', 'US', 'United States of America', 'AMRO', '231427', '19578217', '3761', '339550');
INSERT INTO public.who_import VALUES (94156, '2021-01-02', 'US', 'United States of America', 'AMRO', '228437', '19806654', '3280', '342830');
INSERT INTO public.who_import VALUES (94157, '2021-01-03', 'US', 'United States of America', 'AMRO', '167759', '19974413', '2423', '345253');
INSERT INTO public.who_import VALUES (94158, '2021-01-04', 'US', 'United States of America', 'AMRO', '284312', '20258725', '2302', '347555');
INSERT INTO public.who_import VALUES (94159, '2021-01-05', 'US', 'United States of America', 'AMRO', '211444', '20470169', '1407', '348962');
INSERT INTO public.who_import VALUES (94160, '2021-01-06', 'US', 'United States of America', 'AMRO', '173375', '20643544', '1791', '350753');
INSERT INTO public.who_import VALUES (95548, '2020-04-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94161, '2021-01-07', 'US', 'United States of America', 'AMRO', '227369', '20870913', '3533', '354286');
INSERT INTO public.who_import VALUES (94162, '2021-01-08', 'US', 'United States of America', 'AMRO', '299562', '21170475', '3825', '358111');
INSERT INTO public.who_import VALUES (94163, '2021-01-09', 'US', 'United States of America', 'AMRO', '277195', '21447670', '4176', '362287');
INSERT INTO public.who_import VALUES (94164, '2021-01-10', 'US', 'United States of America', 'AMRO', '313516', '21761186', '3599', '365886');
INSERT INTO public.who_import VALUES (94165, '2021-01-11', 'US', 'United States of America', 'AMRO', '248089', '22009275', '3418', '369304');
INSERT INTO public.who_import VALUES (94166, '2021-01-12', 'US', 'United States of America', 'AMRO', '220528', '22229803', '2071', '371375');
INSERT INTO public.who_import VALUES (94167, '2021-01-13', 'US', 'United States of America', 'AMRO', '198788', '22428591', '1954', '373329');
INSERT INTO public.who_import VALUES (94168, '2021-01-14', 'US', 'United States of America', 'AMRO', '217166', '22645757', '4117', '377446');
INSERT INTO public.who_import VALUES (94169, '2021-01-15', 'US', 'United States of America', 'AMRO', '225573', '22871330', '4076', '381522');
INSERT INTO public.who_import VALUES (94170, '2021-01-16', 'US', 'United States of America', 'AMRO', '226608', '23097938', '3891', '385413');
INSERT INTO public.who_import VALUES (94171, '2021-01-17', 'US', 'United States of America', 'AMRO', '246485', '23344423', '3671', '389084');
INSERT INTO public.who_import VALUES (94172, '2021-01-18', 'US', 'United States of America', 'AMRO', '212253', '23556676', '3557', '392641');
INSERT INTO public.who_import VALUES (94173, '2021-01-19', 'US', 'United States of America', 'AMRO', '185383', '23742059', '1947', '394588');
INSERT INTO public.who_import VALUES (94174, '2021-01-20', 'US', 'United States of America', 'AMRO', '142240', '23884299', '1567', '396155');
INSERT INTO public.who_import VALUES (94175, '2021-01-21', 'US', 'United States of America', 'AMRO', '152937', '24037236', '2280', '398435');
INSERT INTO public.who_import VALUES (94176, '2021-01-22', 'US', 'United States of America', 'AMRO', '187919', '24225155', '4368', '402803');
INSERT INTO public.who_import VALUES (94177, '2021-01-23', 'US', 'United States of America', 'AMRO', '188176', '24413331', '3979', '406782');
INSERT INTO public.who_import VALUES (94178, '2021-01-24', 'US', 'United States of America', 'AMRO', '190994', '24604325', '3885', '410667');
INSERT INTO public.who_import VALUES (94179, '2021-01-25', 'US', 'United States of America', 'AMRO', '170883', '24775208', '3416', '414083');
INSERT INTO public.who_import VALUES (94180, '2021-01-26', 'US', 'United States of America', 'AMRO', '141691', '24916899', '1921', '416004');
INSERT INTO public.who_import VALUES (94181, '2021-01-27', 'US', 'United States of America', 'AMRO', '133409', '25050308', '1885', '417889');
INSERT INTO public.who_import VALUES (94182, '2021-01-28', 'US', 'United States of America', 'AMRO', '148533', '25198841', '3681', '421570');
INSERT INTO public.who_import VALUES (94183, '2021-01-29', 'US', 'United States of America', 'AMRO', '155203', '25354044', '4100', '425670');
INSERT INTO public.who_import VALUES (94184, '2021-01-30', 'US', 'United States of America', 'AMRO', '158153', '25512197', '3982', '429652');
INSERT INTO public.who_import VALUES (94185, '2021-01-31', 'US', 'United States of America', 'AMRO', '164415', '25676612', '3521', '433173');
INSERT INTO public.who_import VALUES (94186, '2021-02-01', 'US', 'United States of America', 'AMRO', '141327', '25817939', '2878', '436051');
INSERT INTO public.who_import VALUES (94187, '2021-02-02', 'US', 'United States of America', 'AMRO', '112129', '25930068', '1913', '437964');
INSERT INTO public.who_import VALUES (94188, '2021-02-03', 'US', 'United States of America', 'AMRO', '125444', '26055512', '1866', '439830');
INSERT INTO public.who_import VALUES (94189, '2021-02-04', 'US', 'United States of America', 'AMRO', '116762', '26172274', '3426', '443256');
INSERT INTO public.who_import VALUES (94190, '2021-02-05', 'US', 'United States of America', 'AMRO', '120876', '26293150', '3748', '447004');
INSERT INTO public.who_import VALUES (94191, '2021-02-06', 'US', 'United States of America', 'AMRO', '124866', '26418016', '5182', '452186');
INSERT INTO public.who_import VALUES (94192, '2021-02-07', 'US', 'United States of America', 'AMRO', '129961', '26547977', '3549', '455735');
INSERT INTO public.who_import VALUES (94193, '2021-02-08', 'US', 'United States of America', 'AMRO', '106988', '26654965', '2809', '458544');
INSERT INTO public.who_import VALUES (94194, '2021-02-09', 'US', 'United States of America', 'AMRO', '91412', '26746377', '1449', '459993');
INSERT INTO public.who_import VALUES (94195, '2021-02-10', 'US', 'United States of America', 'AMRO', '86449', '26832826', '1617', '461610');
INSERT INTO public.who_import VALUES (94196, '2021-02-11', 'US', 'United States of America', 'AMRO', '90930', '26923756', '2802', '464412');
INSERT INTO public.who_import VALUES (94197, '2021-02-12', 'US', 'United States of America', 'AMRO', '97134', '27020890', '3639', '468051');
INSERT INTO public.who_import VALUES (94198, '2021-02-13', 'US', 'United States of America', 'AMRO', '101693', '27122583', '3584', '471635');
INSERT INTO public.who_import VALUES (94199, '2021-02-14', 'US', 'United States of America', 'AMRO', '99024', '27221607', '5512', '477147');
INSERT INTO public.who_import VALUES (94200, '2021-02-15', 'US', 'United States of America', 'AMRO', '87896', '27309503', '3317', '480464');
INSERT INTO public.who_import VALUES (94201, '2021-02-16', 'US', 'United States of America', 'AMRO', '28313', '27337816', '1312', '481776');
INSERT INTO public.who_import VALUES (94202, '2021-02-17', 'US', 'United States of America', 'AMRO', '95902', '27433718', '1213', '482989');
INSERT INTO public.who_import VALUES (94203, '2021-02-18', 'US', 'United States of America', 'AMRO', '57856', '27491574', '1390', '484379');
INSERT INTO public.who_import VALUES (94204, '2021-02-19', 'US', 'United States of America', 'AMRO', '69069', '27560643', '2591', '486970');
INSERT INTO public.who_import VALUES (94205, '2021-02-20', 'US', 'United States of America', 'AMRO', '68191', '27628834', '2381', '489351');
INSERT INTO public.who_import VALUES (94206, '2020-01-03', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94207, '2020-01-04', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94208, '2020-01-05', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94209, '2020-01-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94210, '2020-01-07', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94211, '2020-01-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94212, '2020-01-09', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94213, '2020-01-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94214, '2020-01-11', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94215, '2020-01-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94216, '2020-01-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94217, '2020-01-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94218, '2020-01-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94219, '2020-01-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94220, '2020-01-17', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94221, '2020-01-18', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94222, '2020-01-19', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94223, '2020-01-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94224, '2020-01-21', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94225, '2020-01-22', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94226, '2020-01-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94227, '2020-01-24', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94228, '2020-01-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94229, '2020-01-26', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94230, '2020-01-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94231, '2020-01-28', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94232, '2020-01-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94233, '2020-01-30', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94234, '2020-01-31', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94235, '2020-02-01', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94236, '2020-02-02', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94237, '2020-02-03', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94238, '2020-02-04', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94239, '2020-02-05', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94240, '2020-02-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95549, '2020-04-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94241, '2020-02-07', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94242, '2020-02-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94243, '2020-02-09', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94244, '2020-02-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94245, '2020-02-11', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94246, '2020-02-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94247, '2020-02-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94248, '2020-02-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94249, '2020-02-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94250, '2020-02-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94251, '2020-02-17', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94252, '2020-02-18', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94253, '2020-02-19', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94254, '2020-02-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94255, '2020-02-21', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94256, '2020-02-22', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94257, '2020-02-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94258, '2020-02-24', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94259, '2020-02-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94260, '2020-02-26', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94261, '2020-02-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94262, '2020-02-28', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94263, '2020-02-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94264, '2020-03-01', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94265, '2020-03-02', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94266, '2020-03-03', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94267, '2020-03-04', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94268, '2020-03-05', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94269, '2020-03-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94270, '2020-03-07', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94271, '2020-03-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94272, '2020-03-09', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94273, '2020-03-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94274, '2020-03-11', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94275, '2020-03-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94276, '2020-03-13', 'VI', 'United States Virgin Islands', 'AMRO', '5', '5', '0', '0');
INSERT INTO public.who_import VALUES (94277, '2020-03-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (94278, '2020-03-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (94279, '2020-03-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (94280, '2020-03-17', 'VI', 'United States Virgin Islands', 'AMRO', '1', '6', '0', '0');
INSERT INTO public.who_import VALUES (94281, '2020-03-18', 'VI', 'United States Virgin Islands', 'AMRO', '1', '7', '0', '0');
INSERT INTO public.who_import VALUES (94282, '2020-03-19', 'VI', 'United States Virgin Islands', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (94283, '2020-03-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '7', '0', '0');
INSERT INTO public.who_import VALUES (94284, '2020-03-21', 'VI', 'United States Virgin Islands', 'AMRO', '-1', '6', '0', '0');
INSERT INTO public.who_import VALUES (94285, '2020-03-22', 'VI', 'United States Virgin Islands', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (94286, '2020-03-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (94287, '2020-03-24', 'VI', 'United States Virgin Islands', 'AMRO', '11', '17', '0', '0');
INSERT INTO public.who_import VALUES (94288, '2020-03-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (94289, '2020-03-26', 'VI', 'United States Virgin Islands', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (94290, '2020-03-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (94291, '2020-03-28', 'VI', 'United States Virgin Islands', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (94292, '2020-03-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '17', '0', '0');
INSERT INTO public.who_import VALUES (94293, '2020-03-30', 'VI', 'United States Virgin Islands', 'AMRO', '5', '22', '0', '0');
INSERT INTO public.who_import VALUES (94294, '2020-03-31', 'VI', 'United States Virgin Islands', 'AMRO', '8', '30', '0', '0');
INSERT INTO public.who_import VALUES (94295, '2020-04-01', 'VI', 'United States Virgin Islands', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (94296, '2020-04-02', 'VI', 'United States Virgin Islands', 'AMRO', '0', '30', '0', '0');
INSERT INTO public.who_import VALUES (94297, '2020-04-03', 'VI', 'United States Virgin Islands', 'AMRO', '3', '33', '0', '0');
INSERT INTO public.who_import VALUES (94298, '2020-04-04', 'VI', 'United States Virgin Islands', 'AMRO', '4', '37', '0', '0');
INSERT INTO public.who_import VALUES (94299, '2020-04-05', 'VI', 'United States Virgin Islands', 'AMRO', '3', '40', '0', '0');
INSERT INTO public.who_import VALUES (94300, '2020-04-06', 'VI', 'United States Virgin Islands', 'AMRO', '2', '42', '0', '0');
INSERT INTO public.who_import VALUES (94301, '2020-04-07', 'VI', 'United States Virgin Islands', 'AMRO', '1', '43', '1', '1');
INSERT INTO public.who_import VALUES (94302, '2020-04-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '43', '0', '1');
INSERT INTO public.who_import VALUES (94303, '2020-04-09', 'VI', 'United States Virgin Islands', 'AMRO', '2', '45', '0', '1');
INSERT INTO public.who_import VALUES (94304, '2020-04-10', 'VI', 'United States Virgin Islands', 'AMRO', '1', '46', '0', '1');
INSERT INTO public.who_import VALUES (94305, '2020-04-11', 'VI', 'United States Virgin Islands', 'AMRO', '5', '51', '0', '1');
INSERT INTO public.who_import VALUES (94306, '2020-04-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (94307, '2020-04-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (94308, '2020-04-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (94309, '2020-04-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (94310, '2020-04-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (94311, '2020-04-17', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '0', '1');
INSERT INTO public.who_import VALUES (94312, '2020-04-18', 'VI', 'United States Virgin Islands', 'AMRO', '0', '51', '1', '2');
INSERT INTO public.who_import VALUES (94313, '2020-04-19', 'VI', 'United States Virgin Islands', 'AMRO', '2', '53', '1', '3');
INSERT INTO public.who_import VALUES (94314, '2020-04-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (94315, '2020-04-21', 'VI', 'United States Virgin Islands', 'AMRO', '0', '53', '0', '3');
INSERT INTO public.who_import VALUES (94316, '2020-04-22', 'VI', 'United States Virgin Islands', 'AMRO', '1', '54', '0', '3');
INSERT INTO public.who_import VALUES (94317, '2020-04-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '54', '0', '3');
INSERT INTO public.who_import VALUES (94318, '2020-04-24', 'VI', 'United States Virgin Islands', 'AMRO', '0', '54', '0', '3');
INSERT INTO public.who_import VALUES (94319, '2020-04-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '54', '0', '3');
INSERT INTO public.who_import VALUES (94320, '2020-04-26', 'VI', 'United States Virgin Islands', 'AMRO', '1', '55', '0', '3');
INSERT INTO public.who_import VALUES (94321, '2020-04-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '55', '0', '3');
INSERT INTO public.who_import VALUES (94322, '2020-04-28', 'VI', 'United States Virgin Islands', 'AMRO', '4', '59', '1', '4');
INSERT INTO public.who_import VALUES (94323, '2020-04-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '59', '0', '4');
INSERT INTO public.who_import VALUES (94324, '2020-04-30', 'VI', 'United States Virgin Islands', 'AMRO', '3', '62', '0', '4');
INSERT INTO public.who_import VALUES (94325, '2020-05-01', 'VI', 'United States Virgin Islands', 'AMRO', '4', '66', '0', '4');
INSERT INTO public.who_import VALUES (94326, '2020-05-02', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (94327, '2020-05-03', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (94328, '2020-05-04', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (95550, '2020-04-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94329, '2020-05-05', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (94330, '2020-05-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (94331, '2020-05-07', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (94332, '2020-05-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '66', '0', '4');
INSERT INTO public.who_import VALUES (94333, '2020-05-09', 'VI', 'United States Virgin Islands', 'AMRO', '2', '68', '0', '4');
INSERT INTO public.who_import VALUES (94334, '2020-05-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '68', '0', '4');
INSERT INTO public.who_import VALUES (94335, '2020-05-11', 'VI', 'United States Virgin Islands', 'AMRO', '1', '69', '0', '4');
INSERT INTO public.who_import VALUES (94336, '2020-05-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '1', '5');
INSERT INTO public.who_import VALUES (94337, '2020-05-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '5');
INSERT INTO public.who_import VALUES (94338, '2020-05-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '1', '6');
INSERT INTO public.who_import VALUES (94339, '2020-05-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94340, '2020-05-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94341, '2020-05-17', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94342, '2020-05-18', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94343, '2020-05-19', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94344, '2020-05-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94345, '2020-05-21', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94346, '2020-05-22', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94347, '2020-05-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94348, '2020-05-24', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94349, '2020-05-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94350, '2020-05-26', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94351, '2020-05-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94352, '2020-05-28', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94353, '2020-05-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94354, '2020-05-30', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94355, '2020-05-31', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94356, '2020-06-01', 'VI', 'United States Virgin Islands', 'AMRO', '0', '69', '0', '6');
INSERT INTO public.who_import VALUES (94357, '2020-06-02', 'VI', 'United States Virgin Islands', 'AMRO', '1', '70', '0', '6');
INSERT INTO public.who_import VALUES (94358, '2020-06-03', 'VI', 'United States Virgin Islands', 'AMRO', '0', '70', '0', '6');
INSERT INTO public.who_import VALUES (94359, '2020-06-04', 'VI', 'United States Virgin Islands', 'AMRO', '0', '70', '0', '6');
INSERT INTO public.who_import VALUES (94360, '2020-06-05', 'VI', 'United States Virgin Islands', 'AMRO', '1', '71', '0', '6');
INSERT INTO public.who_import VALUES (94361, '2020-06-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '71', '0', '6');
INSERT INTO public.who_import VALUES (94362, '2020-06-07', 'VI', 'United States Virgin Islands', 'AMRO', '0', '71', '0', '6');
INSERT INTO public.who_import VALUES (94363, '2020-06-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '71', '0', '6');
INSERT INTO public.who_import VALUES (94364, '2020-06-09', 'VI', 'United States Virgin Islands', 'AMRO', '0', '71', '0', '6');
INSERT INTO public.who_import VALUES (94365, '2020-06-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '71', '0', '6');
INSERT INTO public.who_import VALUES (94366, '2020-06-11', 'VI', 'United States Virgin Islands', 'AMRO', '1', '72', '0', '6');
INSERT INTO public.who_import VALUES (94367, '2020-06-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '72', '0', '6');
INSERT INTO public.who_import VALUES (94368, '2020-06-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '72', '0', '6');
INSERT INTO public.who_import VALUES (94369, '2020-06-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '72', '0', '6');
INSERT INTO public.who_import VALUES (94370, '2020-06-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '72', '0', '6');
INSERT INTO public.who_import VALUES (94371, '2020-06-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '72', '0', '6');
INSERT INTO public.who_import VALUES (94372, '2020-06-17', 'VI', 'United States Virgin Islands', 'AMRO', '1', '73', '0', '6');
INSERT INTO public.who_import VALUES (94373, '2020-06-18', 'VI', 'United States Virgin Islands', 'AMRO', '0', '73', '0', '6');
INSERT INTO public.who_import VALUES (94374, '2020-06-19', 'VI', 'United States Virgin Islands', 'AMRO', '0', '73', '0', '6');
INSERT INTO public.who_import VALUES (94375, '2020-06-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '73', '0', '6');
INSERT INTO public.who_import VALUES (94376, '2020-06-21', 'VI', 'United States Virgin Islands', 'AMRO', '1', '74', '0', '6');
INSERT INTO public.who_import VALUES (94377, '2020-06-22', 'VI', 'United States Virgin Islands', 'AMRO', '2', '76', '0', '6');
INSERT INTO public.who_import VALUES (94378, '2020-06-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '76', '0', '6');
INSERT INTO public.who_import VALUES (94379, '2020-06-24', 'VI', 'United States Virgin Islands', 'AMRO', '0', '76', '0', '6');
INSERT INTO public.who_import VALUES (94380, '2020-06-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '76', '0', '6');
INSERT INTO public.who_import VALUES (94381, '2020-06-26', 'VI', 'United States Virgin Islands', 'AMRO', '4', '80', '0', '6');
INSERT INTO public.who_import VALUES (94382, '2020-06-27', 'VI', 'United States Virgin Islands', 'AMRO', '1', '81', '0', '6');
INSERT INTO public.who_import VALUES (94383, '2020-06-28', 'VI', 'United States Virgin Islands', 'AMRO', '0', '81', '0', '6');
INSERT INTO public.who_import VALUES (94384, '2020-06-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '81', '0', '6');
INSERT INTO public.who_import VALUES (94385, '2020-06-30', 'VI', 'United States Virgin Islands', 'AMRO', '0', '81', '0', '6');
INSERT INTO public.who_import VALUES (94386, '2020-07-01', 'VI', 'United States Virgin Islands', 'AMRO', '3', '84', '0', '6');
INSERT INTO public.who_import VALUES (94387, '2020-07-02', 'VI', 'United States Virgin Islands', 'AMRO', '6', '90', '0', '6');
INSERT INTO public.who_import VALUES (94388, '2020-07-03', 'VI', 'United States Virgin Islands', 'AMRO', '2', '92', '0', '6');
INSERT INTO public.who_import VALUES (94389, '2020-07-04', 'VI', 'United States Virgin Islands', 'AMRO', '6', '98', '0', '6');
INSERT INTO public.who_import VALUES (94390, '2020-07-05', 'VI', 'United States Virgin Islands', 'AMRO', '13', '111', '0', '6');
INSERT INTO public.who_import VALUES (94391, '2020-07-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '111', '0', '6');
INSERT INTO public.who_import VALUES (94392, '2020-07-07', 'VI', 'United States Virgin Islands', 'AMRO', '1', '112', '0', '6');
INSERT INTO public.who_import VALUES (94393, '2020-07-08', 'VI', 'United States Virgin Islands', 'AMRO', '4', '116', '0', '6');
INSERT INTO public.who_import VALUES (94394, '2020-07-09', 'VI', 'United States Virgin Islands', 'AMRO', '6', '122', '0', '6');
INSERT INTO public.who_import VALUES (94395, '2020-07-10', 'VI', 'United States Virgin Islands', 'AMRO', '22', '144', '0', '6');
INSERT INTO public.who_import VALUES (94396, '2020-07-11', 'VI', 'United States Virgin Islands', 'AMRO', '9', '153', '0', '6');
INSERT INTO public.who_import VALUES (94397, '2020-07-12', 'VI', 'United States Virgin Islands', 'AMRO', '14', '167', '0', '6');
INSERT INTO public.who_import VALUES (94398, '2020-07-13', 'VI', 'United States Virgin Islands', 'AMRO', '14', '181', '0', '6');
INSERT INTO public.who_import VALUES (94399, '2020-07-14', 'VI', 'United States Virgin Islands', 'AMRO', '25', '206', '0', '6');
INSERT INTO public.who_import VALUES (94400, '2020-07-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '206', '0', '6');
INSERT INTO public.who_import VALUES (94401, '2020-07-16', 'VI', 'United States Virgin Islands', 'AMRO', '37', '243', '0', '6');
INSERT INTO public.who_import VALUES (94402, '2020-07-17', 'VI', 'United States Virgin Islands', 'AMRO', '6', '249', '0', '6');
INSERT INTO public.who_import VALUES (94403, '2020-07-18', 'VI', 'United States Virgin Islands', 'AMRO', '14', '263', '0', '6');
INSERT INTO public.who_import VALUES (94404, '2020-07-19', 'VI', 'United States Virgin Islands', 'AMRO', '20', '283', '0', '6');
INSERT INTO public.who_import VALUES (94405, '2020-07-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '283', '0', '6');
INSERT INTO public.who_import VALUES (94406, '2020-07-21', 'VI', 'United States Virgin Islands', 'AMRO', '14', '297', '0', '6');
INSERT INTO public.who_import VALUES (94407, '2020-07-22', 'VI', 'United States Virgin Islands', 'AMRO', '11', '308', '0', '6');
INSERT INTO public.who_import VALUES (94408, '2020-07-23', 'VI', 'United States Virgin Islands', 'AMRO', '12', '320', '1', '7');
INSERT INTO public.who_import VALUES (94409, '2020-07-24', 'VI', 'United States Virgin Islands', 'AMRO', '16', '336', '0', '7');
INSERT INTO public.who_import VALUES (94410, '2020-07-25', 'VI', 'United States Virgin Islands', 'AMRO', '6', '342', '0', '7');
INSERT INTO public.who_import VALUES (94411, '2020-07-26', 'VI', 'United States Virgin Islands', 'AMRO', '10', '352', '0', '7');
INSERT INTO public.who_import VALUES (94412, '2020-07-27', 'VI', 'United States Virgin Islands', 'AMRO', '9', '361', '0', '7');
INSERT INTO public.who_import VALUES (94413, '2020-07-28', 'VI', 'United States Virgin Islands', 'AMRO', '3', '364', '0', '7');
INSERT INTO public.who_import VALUES (94414, '2020-07-29', 'VI', 'United States Virgin Islands', 'AMRO', '11', '375', '0', '7');
INSERT INTO public.who_import VALUES (94415, '2020-07-30', 'VI', 'United States Virgin Islands', 'AMRO', '10', '385', '1', '8');
INSERT INTO public.who_import VALUES (94416, '2020-07-31', 'VI', 'United States Virgin Islands', 'AMRO', '13', '398', '0', '8');
INSERT INTO public.who_import VALUES (95551, '2020-04-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94417, '2020-08-01', 'VI', 'United States Virgin Islands', 'AMRO', '8', '406', '0', '8');
INSERT INTO public.who_import VALUES (94418, '2020-08-02', 'VI', 'United States Virgin Islands', 'AMRO', '15', '421', '0', '8');
INSERT INTO public.who_import VALUES (94419, '2020-08-03', 'VI', 'United States Virgin Islands', 'AMRO', '17', '438', '0', '8');
INSERT INTO public.who_import VALUES (94420, '2020-08-04', 'VI', 'United States Virgin Islands', 'AMRO', '1', '439', '0', '8');
INSERT INTO public.who_import VALUES (94421, '2020-08-05', 'VI', 'United States Virgin Islands', 'AMRO', '24', '463', '0', '8');
INSERT INTO public.who_import VALUES (94422, '2020-08-06', 'VI', 'United States Virgin Islands', 'AMRO', '18', '481', '0', '8');
INSERT INTO public.who_import VALUES (94423, '2020-08-07', 'VI', 'United States Virgin Islands', 'AMRO', '20', '501', '1', '9');
INSERT INTO public.who_import VALUES (94424, '2020-08-08', 'VI', 'United States Virgin Islands', 'AMRO', '21', '522', '0', '9');
INSERT INTO public.who_import VALUES (94425, '2020-08-09', 'VI', 'United States Virgin Islands', 'AMRO', '6', '528', '0', '9');
INSERT INTO public.who_import VALUES (94426, '2020-08-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '528', '0', '9');
INSERT INTO public.who_import VALUES (94427, '2020-08-11', 'VI', 'United States Virgin Islands', 'AMRO', '19', '547', '0', '9');
INSERT INTO public.who_import VALUES (94428, '2020-08-12', 'VI', 'United States Virgin Islands', 'AMRO', '29', '576', '0', '9');
INSERT INTO public.who_import VALUES (94429, '2020-08-13', 'VI', 'United States Virgin Islands', 'AMRO', '63', '639', '0', '9');
INSERT INTO public.who_import VALUES (94430, '2020-08-14', 'VI', 'United States Virgin Islands', 'AMRO', '43', '682', '0', '9');
INSERT INTO public.who_import VALUES (94431, '2020-08-15', 'VI', 'United States Virgin Islands', 'AMRO', '22', '704', '0', '9');
INSERT INTO public.who_import VALUES (94432, '2020-08-16', 'VI', 'United States Virgin Islands', 'AMRO', '30', '734', '0', '9');
INSERT INTO public.who_import VALUES (94433, '2020-08-17', 'VI', 'United States Virgin Islands', 'AMRO', '7', '741', '0', '9');
INSERT INTO public.who_import VALUES (94434, '2020-08-18', 'VI', 'United States Virgin Islands', 'AMRO', '19', '760', '0', '9');
INSERT INTO public.who_import VALUES (94435, '2020-08-19', 'VI', 'United States Virgin Islands', 'AMRO', '36', '796', '0', '9');
INSERT INTO public.who_import VALUES (94436, '2020-08-20', 'VI', 'United States Virgin Islands', 'AMRO', '32', '828', '0', '9');
INSERT INTO public.who_import VALUES (94437, '2020-08-21', 'VI', 'United States Virgin Islands', 'AMRO', '41', '869', '1', '10');
INSERT INTO public.who_import VALUES (94438, '2020-08-22', 'VI', 'United States Virgin Islands', 'AMRO', '63', '932', '0', '10');
INSERT INTO public.who_import VALUES (94439, '2020-08-23', 'VI', 'United States Virgin Islands', 'AMRO', '0', '932', '0', '10');
INSERT INTO public.who_import VALUES (94440, '2020-08-24', 'VI', 'United States Virgin Islands', 'AMRO', '28', '960', '0', '10');
INSERT INTO public.who_import VALUES (94441, '2020-08-25', 'VI', 'United States Virgin Islands', 'AMRO', '24', '984', '1', '11');
INSERT INTO public.who_import VALUES (94442, '2020-08-26', 'VI', 'United States Virgin Islands', 'AMRO', '14', '998', '1', '12');
INSERT INTO public.who_import VALUES (94443, '2020-08-27', 'VI', 'United States Virgin Islands', 'AMRO', '32', '1030', '2', '14');
INSERT INTO public.who_import VALUES (94444, '2020-08-28', 'VI', 'United States Virgin Islands', 'AMRO', '22', '1052', '0', '14');
INSERT INTO public.who_import VALUES (94445, '2020-08-29', 'VI', 'United States Virgin Islands', 'AMRO', '23', '1075', '0', '14');
INSERT INTO public.who_import VALUES (94446, '2020-08-30', 'VI', 'United States Virgin Islands', 'AMRO', '43', '1118', '0', '14');
INSERT INTO public.who_import VALUES (94447, '2020-08-31', 'VI', 'United States Virgin Islands', 'AMRO', '11', '1129', '0', '14');
INSERT INTO public.who_import VALUES (94448, '2020-09-01', 'VI', 'United States Virgin Islands', 'AMRO', '5', '1134', '0', '14');
INSERT INTO public.who_import VALUES (94449, '2020-09-02', 'VI', 'United States Virgin Islands', 'AMRO', '5', '1139', '1', '15');
INSERT INTO public.who_import VALUES (94450, '2020-09-03', 'VI', 'United States Virgin Islands', 'AMRO', '4', '1143', '0', '15');
INSERT INTO public.who_import VALUES (94451, '2020-09-04', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1144', '0', '15');
INSERT INTO public.who_import VALUES (94452, '2020-09-05', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1150', '1', '16');
INSERT INTO public.who_import VALUES (94453, '2020-09-06', 'VI', 'United States Virgin Islands', 'AMRO', '17', '1167', '0', '16');
INSERT INTO public.who_import VALUES (94454, '2020-09-07', 'VI', 'United States Virgin Islands', 'AMRO', '14', '1181', '1', '17');
INSERT INTO public.who_import VALUES (94455, '2020-09-08', 'VI', 'United States Virgin Islands', 'AMRO', '9', '1190', '0', '17');
INSERT INTO public.who_import VALUES (94456, '2020-09-09', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1191', '1', '18');
INSERT INTO public.who_import VALUES (94457, '2020-09-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1191', '0', '18');
INSERT INTO public.who_import VALUES (94458, '2020-09-11', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1197', '0', '18');
INSERT INTO public.who_import VALUES (94459, '2020-09-12', 'VI', 'United States Virgin Islands', 'AMRO', '4', '1201', '0', '18');
INSERT INTO public.who_import VALUES (94460, '2020-09-13', 'VI', 'United States Virgin Islands', 'AMRO', '10', '1211', '1', '19');
INSERT INTO public.who_import VALUES (94461, '2020-09-14', 'VI', 'United States Virgin Islands', 'AMRO', '9', '1220', '0', '19');
INSERT INTO public.who_import VALUES (94462, '2020-09-15', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1221', '0', '19');
INSERT INTO public.who_import VALUES (94463, '2020-09-16', 'VI', 'United States Virgin Islands', 'AMRO', '4', '1225', '0', '19');
INSERT INTO public.who_import VALUES (94464, '2020-09-17', 'VI', 'United States Virgin Islands', 'AMRO', '7', '1232', '0', '19');
INSERT INTO public.who_import VALUES (94465, '2020-09-18', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1238', '0', '19');
INSERT INTO public.who_import VALUES (94466, '2020-09-19', 'VI', 'United States Virgin Islands', 'AMRO', '4', '1242', '0', '19');
INSERT INTO public.who_import VALUES (94467, '2020-09-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1242', '0', '19');
INSERT INTO public.who_import VALUES (94468, '2020-09-21', 'VI', 'United States Virgin Islands', 'AMRO', '27', '1269', '0', '19');
INSERT INTO public.who_import VALUES (94469, '2020-09-22', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1269', '0', '19');
INSERT INTO public.who_import VALUES (94470, '2020-09-23', 'VI', 'United States Virgin Islands', 'AMRO', '7', '1276', '0', '19');
INSERT INTO public.who_import VALUES (94471, '2020-09-24', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1278', '0', '19');
INSERT INTO public.who_import VALUES (94472, '2020-09-25', 'VI', 'United States Virgin Islands', 'AMRO', '12', '1290', '0', '19');
INSERT INTO public.who_import VALUES (94473, '2020-09-26', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1296', '0', '19');
INSERT INTO public.who_import VALUES (94474, '2020-09-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1296', '0', '19');
INSERT INTO public.who_import VALUES (94475, '2020-09-28', 'VI', 'United States Virgin Islands', 'AMRO', '21', '1317', '0', '19');
INSERT INTO public.who_import VALUES (94476, '2020-09-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1317', '0', '19');
INSERT INTO public.who_import VALUES (94477, '2020-09-30', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1318', '1', '20');
INSERT INTO public.who_import VALUES (94478, '2020-10-01', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1318', '0', '20');
INSERT INTO public.who_import VALUES (94479, '2020-10-02', 'VI', 'United States Virgin Islands', 'AMRO', '5', '1323', '0', '20');
INSERT INTO public.who_import VALUES (94480, '2020-10-03', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1326', '0', '20');
INSERT INTO public.who_import VALUES (94481, '2020-10-04', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1326', '0', '20');
INSERT INTO public.who_import VALUES (94482, '2020-10-05', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1326', '0', '20');
INSERT INTO public.who_import VALUES (94483, '2020-10-06', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1327', '0', '20');
INSERT INTO public.who_import VALUES (94484, '2020-10-07', 'VI', 'United States Virgin Islands', 'AMRO', '-5', '1322', '0', '20');
INSERT INTO public.who_import VALUES (94485, '2020-10-08', 'VI', 'United States Virgin Islands', 'AMRO', '-1', '1321', '0', '20');
INSERT INTO public.who_import VALUES (94486, '2020-10-09', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1322', '0', '20');
INSERT INTO public.who_import VALUES (94487, '2020-10-10', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1324', '0', '20');
INSERT INTO public.who_import VALUES (94488, '2020-10-11', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1324', '0', '20');
INSERT INTO public.who_import VALUES (94489, '2020-10-12', 'VI', 'United States Virgin Islands', 'AMRO', '1', '1325', '0', '20');
INSERT INTO public.who_import VALUES (94490, '2020-10-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1325', '0', '20');
INSERT INTO public.who_import VALUES (94491, '2020-10-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1325', '0', '20');
INSERT INTO public.who_import VALUES (94492, '2020-10-15', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1328', '0', '20');
INSERT INTO public.who_import VALUES (94493, '2020-10-16', 'VI', 'United States Virgin Islands', 'AMRO', '-1', '1327', '0', '20');
INSERT INTO public.who_import VALUES (94494, '2020-10-17', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1329', '1', '21');
INSERT INTO public.who_import VALUES (94495, '2020-10-18', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1329', '0', '21');
INSERT INTO public.who_import VALUES (94496, '2020-10-19', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1335', '0', '21');
INSERT INTO public.who_import VALUES (94497, '2020-10-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1335', '0', '21');
INSERT INTO public.who_import VALUES (94498, '2020-10-21', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1335', '0', '21');
INSERT INTO public.who_import VALUES (94499, '2020-10-22', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1337', '0', '21');
INSERT INTO public.who_import VALUES (94500, '2020-10-23', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1343', '0', '21');
INSERT INTO public.who_import VALUES (94501, '2020-10-24', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1346', '0', '21');
INSERT INTO public.who_import VALUES (94502, '2020-10-25', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1346', '0', '21');
INSERT INTO public.who_import VALUES (94503, '2020-10-26', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1346', '0', '21');
INSERT INTO public.who_import VALUES (94504, '2020-10-27', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1348', '0', '21');
INSERT INTO public.who_import VALUES (94505, '2020-10-28', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1351', '0', '21');
INSERT INTO public.who_import VALUES (94506, '2020-10-29', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1353', '0', '21');
INSERT INTO public.who_import VALUES (94507, '2020-10-30', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1353', '0', '21');
INSERT INTO public.who_import VALUES (94508, '2020-10-31', 'VI', 'United States Virgin Islands', 'AMRO', '9', '1362', '0', '21');
INSERT INTO public.who_import VALUES (94509, '2020-11-01', 'VI', 'United States Virgin Islands', 'AMRO', '14', '1376', '0', '21');
INSERT INTO public.who_import VALUES (94510, '2020-11-02', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1376', '0', '21');
INSERT INTO public.who_import VALUES (94511, '2020-11-03', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1378', '0', '21');
INSERT INTO public.who_import VALUES (94512, '2020-11-04', 'VI', 'United States Virgin Islands', 'AMRO', '7', '1385', '1', '22');
INSERT INTO public.who_import VALUES (94513, '2020-11-05', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1388', '1', '23');
INSERT INTO public.who_import VALUES (94514, '2020-11-06', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1388', '0', '23');
INSERT INTO public.who_import VALUES (94515, '2020-11-07', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1390', '0', '23');
INSERT INTO public.who_import VALUES (94516, '2020-11-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1390', '0', '23');
INSERT INTO public.who_import VALUES (94517, '2020-11-09', 'VI', 'United States Virgin Islands', 'AMRO', '15', '1405', '0', '23');
INSERT INTO public.who_import VALUES (94518, '2020-11-10', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1405', '0', '23');
INSERT INTO public.who_import VALUES (94519, '2020-11-11', 'VI', 'United States Virgin Islands', 'AMRO', '5', '1410', '0', '23');
INSERT INTO public.who_import VALUES (94520, '2020-11-12', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1413', '0', '23');
INSERT INTO public.who_import VALUES (94521, '2020-11-13', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1413', '0', '23');
INSERT INTO public.who_import VALUES (94522, '2020-11-14', 'VI', 'United States Virgin Islands', 'AMRO', '13', '1426', '0', '23');
INSERT INTO public.who_import VALUES (94523, '2020-11-15', 'VI', 'United States Virgin Islands', 'AMRO', '8', '1434', '0', '23');
INSERT INTO public.who_import VALUES (94524, '2020-11-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1434', '0', '23');
INSERT INTO public.who_import VALUES (94525, '2020-11-17', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1434', '0', '23');
INSERT INTO public.who_import VALUES (94526, '2020-11-18', 'VI', 'United States Virgin Islands', 'AMRO', '16', '1450', '0', '23');
INSERT INTO public.who_import VALUES (94527, '2020-11-19', 'VI', 'United States Virgin Islands', 'AMRO', '13', '1463', '0', '23');
INSERT INTO public.who_import VALUES (94528, '2020-11-20', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1469', '0', '23');
INSERT INTO public.who_import VALUES (94529, '2020-11-21', 'VI', 'United States Virgin Islands', 'AMRO', '13', '1482', '0', '23');
INSERT INTO public.who_import VALUES (94530, '2020-11-22', 'VI', 'United States Virgin Islands', 'AMRO', '9', '1491', '0', '23');
INSERT INTO public.who_import VALUES (94531, '2020-11-23', 'VI', 'United States Virgin Islands', 'AMRO', '13', '1504', '0', '23');
INSERT INTO public.who_import VALUES (94532, '2020-11-24', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1504', '0', '23');
INSERT INTO public.who_import VALUES (94533, '2020-11-25', 'VI', 'United States Virgin Islands', 'AMRO', '3', '1507', '0', '23');
INSERT INTO public.who_import VALUES (94534, '2020-11-26', 'VI', 'United States Virgin Islands', 'AMRO', '14', '1521', '0', '23');
INSERT INTO public.who_import VALUES (94535, '2020-11-27', 'VI', 'United States Virgin Islands', 'AMRO', '15', '1536', '0', '23');
INSERT INTO public.who_import VALUES (94536, '2020-11-28', 'VI', 'United States Virgin Islands', 'AMRO', '2', '1538', '0', '23');
INSERT INTO public.who_import VALUES (94537, '2020-11-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1538', '0', '23');
INSERT INTO public.who_import VALUES (94538, '2020-11-30', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1544', '0', '23');
INSERT INTO public.who_import VALUES (94539, '2020-12-01', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1544', '0', '23');
INSERT INTO public.who_import VALUES (94540, '2020-12-02', 'VI', 'United States Virgin Islands', 'AMRO', '6', '1550', '0', '23');
INSERT INTO public.who_import VALUES (94541, '2020-12-03', 'VI', 'United States Virgin Islands', 'AMRO', '13', '1563', '0', '23');
INSERT INTO public.who_import VALUES (94542, '2020-12-04', 'VI', 'United States Virgin Islands', 'AMRO', '26', '1589', '0', '23');
INSERT INTO public.who_import VALUES (94543, '2020-12-05', 'VI', 'United States Virgin Islands', 'AMRO', '24', '1613', '0', '23');
INSERT INTO public.who_import VALUES (94544, '2020-12-06', 'VI', 'United States Virgin Islands', 'AMRO', '20', '1633', '0', '23');
INSERT INTO public.who_import VALUES (94545, '2020-12-07', 'VI', 'United States Virgin Islands', 'AMRO', '16', '1649', '0', '23');
INSERT INTO public.who_import VALUES (94546, '2020-12-08', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1649', '0', '23');
INSERT INTO public.who_import VALUES (94547, '2020-12-09', 'VI', 'United States Virgin Islands', 'AMRO', '31', '1680', '0', '23');
INSERT INTO public.who_import VALUES (94548, '2020-12-10', 'VI', 'United States Virgin Islands', 'AMRO', '18', '1698', '0', '23');
INSERT INTO public.who_import VALUES (94549, '2020-12-11', 'VI', 'United States Virgin Islands', 'AMRO', '35', '1733', '0', '23');
INSERT INTO public.who_import VALUES (94550, '2020-12-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1733', '0', '23');
INSERT INTO public.who_import VALUES (94551, '2020-12-13', 'VI', 'United States Virgin Islands', 'AMRO', '58', '1791', '0', '23');
INSERT INTO public.who_import VALUES (94552, '2020-12-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1791', '0', '23');
INSERT INTO public.who_import VALUES (94553, '2020-12-15', 'VI', 'United States Virgin Islands', 'AMRO', '16', '1807', '0', '23');
INSERT INTO public.who_import VALUES (94554, '2020-12-16', 'VI', 'United States Virgin Islands', 'AMRO', '21', '1828', '0', '23');
INSERT INTO public.who_import VALUES (94555, '2020-12-17', 'VI', 'United States Virgin Islands', 'AMRO', '22', '1850', '0', '23');
INSERT INTO public.who_import VALUES (94556, '2020-12-18', 'VI', 'United States Virgin Islands', 'AMRO', '28', '1878', '0', '23');
INSERT INTO public.who_import VALUES (94557, '2020-12-19', 'VI', 'United States Virgin Islands', 'AMRO', '22', '1900', '0', '23');
INSERT INTO public.who_import VALUES (94558, '2020-12-20', 'VI', 'United States Virgin Islands', 'AMRO', '10', '1910', '0', '23');
INSERT INTO public.who_import VALUES (94559, '2020-12-21', 'VI', 'United States Virgin Islands', 'AMRO', '11', '1921', '0', '23');
INSERT INTO public.who_import VALUES (94560, '2020-12-22', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1921', '0', '23');
INSERT INTO public.who_import VALUES (94561, '2020-12-23', 'VI', 'United States Virgin Islands', 'AMRO', '13', '1934', '0', '23');
INSERT INTO public.who_import VALUES (94562, '2020-12-24', 'VI', 'United States Virgin Islands', 'AMRO', '16', '1950', '0', '23');
INSERT INTO public.who_import VALUES (94563, '2020-12-25', 'VI', 'United States Virgin Islands', 'AMRO', '17', '1967', '0', '23');
INSERT INTO public.who_import VALUES (94564, '2020-12-26', 'VI', 'United States Virgin Islands', 'AMRO', '12', '1979', '0', '23');
INSERT INTO public.who_import VALUES (94565, '2020-12-27', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1979', '0', '23');
INSERT INTO public.who_import VALUES (94566, '2020-12-28', 'VI', 'United States Virgin Islands', 'AMRO', '9', '1988', '0', '23');
INSERT INTO public.who_import VALUES (94567, '2020-12-29', 'VI', 'United States Virgin Islands', 'AMRO', '0', '1988', '0', '23');
INSERT INTO public.who_import VALUES (94568, '2020-12-30', 'VI', 'United States Virgin Islands', 'AMRO', '16', '2004', '0', '23');
INSERT INTO public.who_import VALUES (94569, '2020-12-31', 'VI', 'United States Virgin Islands', 'AMRO', '6', '2010', '0', '23');
INSERT INTO public.who_import VALUES (94570, '2021-01-01', 'VI', 'United States Virgin Islands', 'AMRO', '21', '2031', '0', '23');
INSERT INTO public.who_import VALUES (94571, '2021-01-02', 'VI', 'United States Virgin Islands', 'AMRO', '5', '2036', '0', '23');
INSERT INTO public.who_import VALUES (94572, '2021-01-03', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2036', '0', '23');
INSERT INTO public.who_import VALUES (94573, '2021-01-04', 'VI', 'United States Virgin Islands', 'AMRO', '5', '2041', '0', '23');
INSERT INTO public.who_import VALUES (94574, '2021-01-05', 'VI', 'United States Virgin Islands', 'AMRO', '1', '2042', '0', '23');
INSERT INTO public.who_import VALUES (94575, '2021-01-06', 'VI', 'United States Virgin Islands', 'AMRO', '13', '2055', '1', '24');
INSERT INTO public.who_import VALUES (94576, '2021-01-07', 'VI', 'United States Virgin Islands', 'AMRO', '28', '2083', '0', '24');
INSERT INTO public.who_import VALUES (94577, '2021-01-08', 'VI', 'United States Virgin Islands', 'AMRO', '23', '2106', '0', '24');
INSERT INTO public.who_import VALUES (94578, '2021-01-09', 'VI', 'United States Virgin Islands', 'AMRO', '24', '2130', '0', '24');
INSERT INTO public.who_import VALUES (94579, '2021-01-10', 'VI', 'United States Virgin Islands', 'AMRO', '13', '2143', '0', '24');
INSERT INTO public.who_import VALUES (94580, '2021-01-11', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2143', '0', '24');
INSERT INTO public.who_import VALUES (94581, '2021-01-12', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2143', '0', '24');
INSERT INTO public.who_import VALUES (94582, '2021-01-13', 'VI', 'United States Virgin Islands', 'AMRO', '23', '2166', '0', '24');
INSERT INTO public.who_import VALUES (94583, '2021-01-14', 'VI', 'United States Virgin Islands', 'AMRO', '14', '2180', '0', '24');
INSERT INTO public.who_import VALUES (94584, '2021-01-15', 'VI', 'United States Virgin Islands', 'AMRO', '38', '2218', '0', '24');
INSERT INTO public.who_import VALUES (94585, '2021-01-16', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2218', '0', '24');
INSERT INTO public.who_import VALUES (94586, '2021-01-17', 'VI', 'United States Virgin Islands', 'AMRO', '34', '2252', '0', '24');
INSERT INTO public.who_import VALUES (94587, '2021-01-18', 'VI', 'United States Virgin Islands', 'AMRO', '8', '2260', '0', '24');
INSERT INTO public.who_import VALUES (94588, '2021-01-19', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2260', '0', '24');
INSERT INTO public.who_import VALUES (94589, '2021-01-20', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2260', '0', '24');
INSERT INTO public.who_import VALUES (94590, '2021-01-21', 'VI', 'United States Virgin Islands', 'AMRO', '23', '2283', '0', '24');
INSERT INTO public.who_import VALUES (94591, '2021-01-22', 'VI', 'United States Virgin Islands', 'AMRO', '22', '2305', '0', '24');
INSERT INTO public.who_import VALUES (94592, '2021-01-23', 'VI', 'United States Virgin Islands', 'AMRO', '16', '2321', '0', '24');
INSERT INTO public.who_import VALUES (94593, '2021-01-24', 'VI', 'United States Virgin Islands', 'AMRO', '14', '2335', '0', '24');
INSERT INTO public.who_import VALUES (94594, '2021-01-25', 'VI', 'United States Virgin Islands', 'AMRO', '6', '2341', '0', '24');
INSERT INTO public.who_import VALUES (94595, '2021-01-26', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2341', '0', '24');
INSERT INTO public.who_import VALUES (94596, '2021-01-27', 'VI', 'United States Virgin Islands', 'AMRO', '9', '2350', '0', '24');
INSERT INTO public.who_import VALUES (94597, '2021-01-28', 'VI', 'United States Virgin Islands', 'AMRO', '23', '2373', '0', '24');
INSERT INTO public.who_import VALUES (94598, '2021-01-29', 'VI', 'United States Virgin Islands', 'AMRO', '11', '2384', '0', '24');
INSERT INTO public.who_import VALUES (94599, '2021-01-30', 'VI', 'United States Virgin Islands', 'AMRO', '14', '2398', '0', '24');
INSERT INTO public.who_import VALUES (94600, '2021-01-31', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2398', '0', '24');
INSERT INTO public.who_import VALUES (94601, '2021-02-01', 'VI', 'United States Virgin Islands', 'AMRO', '23', '2421', '0', '24');
INSERT INTO public.who_import VALUES (94602, '2021-02-02', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2421', '0', '24');
INSERT INTO public.who_import VALUES (94603, '2021-02-03', 'VI', 'United States Virgin Islands', 'AMRO', '5', '2426', '0', '24');
INSERT INTO public.who_import VALUES (94604, '2021-02-04', 'VI', 'United States Virgin Islands', 'AMRO', '4', '2430', '0', '24');
INSERT INTO public.who_import VALUES (94605, '2021-02-05', 'VI', 'United States Virgin Islands', 'AMRO', '10', '2440', '0', '24');
INSERT INTO public.who_import VALUES (94606, '2021-02-06', 'VI', 'United States Virgin Islands', 'AMRO', '9', '2449', '0', '24');
INSERT INTO public.who_import VALUES (94607, '2021-02-07', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2449', '0', '24');
INSERT INTO public.who_import VALUES (94608, '2021-02-08', 'VI', 'United States Virgin Islands', 'AMRO', '17', '2466', '0', '24');
INSERT INTO public.who_import VALUES (94609, '2021-02-09', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2466', '0', '24');
INSERT INTO public.who_import VALUES (94610, '2021-02-10', 'VI', 'United States Virgin Islands', 'AMRO', '7', '2473', '0', '24');
INSERT INTO public.who_import VALUES (94611, '2021-02-11', 'VI', 'United States Virgin Islands', 'AMRO', '12', '2485', '0', '24');
INSERT INTO public.who_import VALUES (94612, '2021-02-12', 'VI', 'United States Virgin Islands', 'AMRO', '20', '2505', '1', '25');
INSERT INTO public.who_import VALUES (94613, '2021-02-13', 'VI', 'United States Virgin Islands', 'AMRO', '19', '2524', '0', '25');
INSERT INTO public.who_import VALUES (94614, '2021-02-14', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2524', '0', '25');
INSERT INTO public.who_import VALUES (94615, '2021-02-15', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2524', '0', '25');
INSERT INTO public.who_import VALUES (94616, '2021-02-16', 'VI', 'United States Virgin Islands', 'AMRO', '18', '2542', '0', '25');
INSERT INTO public.who_import VALUES (94617, '2021-02-17', 'VI', 'United States Virgin Islands', 'AMRO', '0', '2542', '0', '25');
INSERT INTO public.who_import VALUES (94618, '2021-02-18', 'VI', 'United States Virgin Islands', 'AMRO', '3', '2545', '0', '25');
INSERT INTO public.who_import VALUES (94619, '2021-02-19', 'VI', 'United States Virgin Islands', 'AMRO', '13', '2558', '0', '25');
INSERT INTO public.who_import VALUES (94620, '2021-02-20', 'VI', 'United States Virgin Islands', 'AMRO', '7', '2565', '0', '25');
INSERT INTO public.who_import VALUES (94621, '2020-01-03', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94622, '2020-01-04', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94623, '2020-01-05', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94624, '2020-01-06', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94625, '2020-01-07', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94626, '2020-01-08', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94627, '2020-01-09', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94628, '2020-01-10', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94629, '2020-01-11', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94630, '2020-01-12', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94631, '2020-01-13', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94632, '2020-01-14', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94633, '2020-01-15', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94634, '2020-01-16', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94635, '2020-01-17', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94636, '2020-01-18', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94637, '2020-01-19', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94638, '2020-01-20', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94639, '2020-01-21', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94640, '2020-01-22', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94641, '2020-01-23', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94642, '2020-01-24', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94643, '2020-01-25', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94644, '2020-01-26', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94645, '2020-01-27', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94646, '2020-01-28', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94647, '2020-01-29', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94648, '2020-01-30', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94649, '2020-01-31', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94650, '2020-02-01', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94651, '2020-02-02', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94652, '2020-02-03', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94653, '2020-02-04', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94654, '2020-02-05', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94655, '2020-02-06', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94656, '2020-02-07', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94657, '2020-02-08', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94658, '2020-02-09', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94659, '2020-02-10', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94660, '2020-02-11', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94661, '2020-02-12', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94662, '2020-02-13', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94663, '2020-02-14', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94664, '2020-02-15', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94665, '2020-02-16', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94666, '2020-02-17', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94667, '2020-02-18', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94668, '2020-02-19', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94669, '2020-02-20', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94670, '2020-02-21', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94671, '2020-02-22', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94672, '2020-02-23', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94673, '2020-02-24', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94674, '2020-02-25', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94675, '2020-02-26', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94676, '2020-02-27', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94677, '2020-02-28', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94678, '2020-02-29', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94679, '2020-03-01', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94680, '2020-03-02', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94681, '2020-03-03', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94682, '2020-03-04', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94683, '2020-03-05', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94684, '2020-03-06', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94685, '2020-03-07', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94686, '2020-03-08', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94687, '2020-03-09', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94688, '2020-03-10', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94689, '2020-03-11', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94690, '2020-03-12', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94691, '2020-03-13', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94692, '2020-03-14', 'UY', 'Uruguay', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (94693, '2020-03-15', 'UY', 'Uruguay', 'AMRO', '8', '8', '0', '0');
INSERT INTO public.who_import VALUES (94694, '2020-03-16', 'UY', 'Uruguay', 'AMRO', '0', '8', '0', '0');
INSERT INTO public.who_import VALUES (94695, '2020-03-17', 'UY', 'Uruguay', 'AMRO', '2', '10', '0', '0');
INSERT INTO public.who_import VALUES (94696, '2020-03-18', 'UY', 'Uruguay', 'AMRO', '23', '33', '0', '0');
INSERT INTO public.who_import VALUES (94697, '2020-03-19', 'UY', 'Uruguay', 'AMRO', '46', '79', '0', '0');
INSERT INTO public.who_import VALUES (94698, '2020-03-20', 'UY', 'Uruguay', 'AMRO', '15', '94', '0', '0');
INSERT INTO public.who_import VALUES (94699, '2020-03-21', 'UY', 'Uruguay', 'AMRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (94700, '2020-03-22', 'UY', 'Uruguay', 'AMRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (94701, '2020-03-23', 'UY', 'Uruguay', 'AMRO', '41', '135', '0', '0');
INSERT INTO public.who_import VALUES (94702, '2020-03-24', 'UY', 'Uruguay', 'AMRO', '27', '162', '0', '0');
INSERT INTO public.who_import VALUES (94703, '2020-03-25', 'UY', 'Uruguay', 'AMRO', '0', '162', '0', '0');
INSERT INTO public.who_import VALUES (94704, '2020-03-26', 'UY', 'Uruguay', 'AMRO', '55', '217', '0', '0');
INSERT INTO public.who_import VALUES (94705, '2020-03-27', 'UY', 'Uruguay', 'AMRO', '0', '217', '0', '0');
INSERT INTO public.who_import VALUES (94706, '2020-03-28', 'UY', 'Uruguay', 'AMRO', '21', '238', '0', '0');
INSERT INTO public.who_import VALUES (94707, '2020-03-29', 'UY', 'Uruguay', 'AMRO', '36', '274', '0', '0');
INSERT INTO public.who_import VALUES (94708, '2020-03-30', 'UY', 'Uruguay', 'AMRO', '29', '303', '0', '0');
INSERT INTO public.who_import VALUES (94709, '2020-03-31', 'UY', 'Uruguay', 'AMRO', '6', '309', '0', '0');
INSERT INTO public.who_import VALUES (94710, '2020-04-01', 'UY', 'Uruguay', 'AMRO', '11', '320', '1', '1');
INSERT INTO public.who_import VALUES (94711, '2020-04-02', 'UY', 'Uruguay', 'AMRO', '18', '338', '1', '2');
INSERT INTO public.who_import VALUES (94712, '2020-04-03', 'UY', 'Uruguay', 'AMRO', '12', '350', '2', '4');
INSERT INTO public.who_import VALUES (94713, '2020-04-04', 'UY', 'Uruguay', 'AMRO', '19', '369', '0', '4');
INSERT INTO public.who_import VALUES (94714, '2020-04-05', 'UY', 'Uruguay', 'AMRO', '17', '386', '0', '4');
INSERT INTO public.who_import VALUES (94715, '2020-04-06', 'UY', 'Uruguay', 'AMRO', '14', '400', '1', '5');
INSERT INTO public.who_import VALUES (94716, '2020-04-07', 'UY', 'Uruguay', 'AMRO', '6', '406', '1', '6');
INSERT INTO public.who_import VALUES (94717, '2020-04-08', 'UY', 'Uruguay', 'AMRO', '9', '415', '0', '6');
INSERT INTO public.who_import VALUES (94718, '2020-04-09', 'UY', 'Uruguay', 'AMRO', '9', '424', '1', '7');
INSERT INTO public.who_import VALUES (94719, '2020-04-10', 'UY', 'Uruguay', 'AMRO', '22', '446', '0', '7');
INSERT INTO public.who_import VALUES (94720, '2020-04-11', 'UY', 'Uruguay', 'AMRO', '7', '453', '0', '7');
INSERT INTO public.who_import VALUES (94721, '2020-04-12', 'UY', 'Uruguay', 'AMRO', '12', '465', '0', '7');
INSERT INTO public.who_import VALUES (94722, '2020-04-13', 'UY', 'Uruguay', 'AMRO', '7', '472', '0', '7');
INSERT INTO public.who_import VALUES (94723, '2020-04-14', 'UY', 'Uruguay', 'AMRO', '11', '483', '0', '7');
INSERT INTO public.who_import VALUES (94724, '2020-04-15', 'UY', 'Uruguay', 'AMRO', '0', '483', '1', '8');
INSERT INTO public.who_import VALUES (94725, '2020-04-16', 'UY', 'Uruguay', 'AMRO', '9', '492', '0', '8');
INSERT INTO public.who_import VALUES (94726, '2020-04-17', 'UY', 'Uruguay', 'AMRO', '1', '493', '1', '9');
INSERT INTO public.who_import VALUES (94727, '2020-04-18', 'UY', 'Uruguay', 'AMRO', '9', '502', '0', '9');
INSERT INTO public.who_import VALUES (94728, '2020-04-19', 'UY', 'Uruguay', 'AMRO', '6', '508', '0', '9');
INSERT INTO public.who_import VALUES (94729, '2020-04-20', 'UY', 'Uruguay', 'AMRO', '9', '517', '0', '9');
INSERT INTO public.who_import VALUES (94730, '2020-04-21', 'UY', 'Uruguay', 'AMRO', '11', '528', '1', '10');
INSERT INTO public.who_import VALUES (94731, '2020-04-22', 'UY', 'Uruguay', 'AMRO', '7', '535', '0', '10');
INSERT INTO public.who_import VALUES (94732, '2020-04-23', 'UY', 'Uruguay', 'AMRO', '8', '543', '2', '12');
INSERT INTO public.who_import VALUES (94733, '2020-04-24', 'UY', 'Uruguay', 'AMRO', '6', '549', '0', '12');
INSERT INTO public.who_import VALUES (94734, '2020-04-25', 'UY', 'Uruguay', 'AMRO', '8', '557', '0', '12');
INSERT INTO public.who_import VALUES (94735, '2020-04-26', 'UY', 'Uruguay', 'AMRO', '6', '563', '0', '12');
INSERT INTO public.who_import VALUES (94736, '2020-04-27', 'UY', 'Uruguay', 'AMRO', '33', '596', '2', '14');
INSERT INTO public.who_import VALUES (94737, '2020-04-28', 'UY', 'Uruguay', 'AMRO', '10', '606', '1', '15');
INSERT INTO public.who_import VALUES (94738, '2020-04-29', 'UY', 'Uruguay', 'AMRO', '14', '620', '0', '15');
INSERT INTO public.who_import VALUES (94739, '2020-04-30', 'UY', 'Uruguay', 'AMRO', '5', '625', '0', '15');
INSERT INTO public.who_import VALUES (94740, '2020-05-01', 'UY', 'Uruguay', 'AMRO', '5', '630', '0', '15');
INSERT INTO public.who_import VALUES (94741, '2020-05-02', 'UY', 'Uruguay', 'AMRO', '13', '643', '2', '17');
INSERT INTO public.who_import VALUES (94742, '2020-05-03', 'UY', 'Uruguay', 'AMRO', '5', '648', '0', '17');
INSERT INTO public.who_import VALUES (94743, '2020-05-04', 'UY', 'Uruguay', 'AMRO', '4', '652', '0', '17');
INSERT INTO public.who_import VALUES (94744, '2020-05-05', 'UY', 'Uruguay', 'AMRO', '3', '655', '0', '17');
INSERT INTO public.who_import VALUES (94745, '2020-05-06', 'UY', 'Uruguay', 'AMRO', '2', '657', '0', '17');
INSERT INTO public.who_import VALUES (94746, '2020-05-07', 'UY', 'Uruguay', 'AMRO', '13', '670', '0', '17');
INSERT INTO public.who_import VALUES (94747, '2020-05-08', 'UY', 'Uruguay', 'AMRO', '3', '673', '0', '17');
INSERT INTO public.who_import VALUES (94748, '2020-05-09', 'UY', 'Uruguay', 'AMRO', '11', '684', '0', '17');
INSERT INTO public.who_import VALUES (94749, '2020-05-10', 'UY', 'Uruguay', 'AMRO', '10', '694', '0', '17');
INSERT INTO public.who_import VALUES (94750, '2020-05-11', 'UY', 'Uruguay', 'AMRO', '8', '702', '0', '17');
INSERT INTO public.who_import VALUES (94751, '2020-05-12', 'UY', 'Uruguay', 'AMRO', '5', '707', '2', '19');
INSERT INTO public.who_import VALUES (94752, '2020-05-13', 'UY', 'Uruguay', 'AMRO', '4', '711', '0', '19');
INSERT INTO public.who_import VALUES (94753, '2020-05-14', 'UY', 'Uruguay', 'AMRO', '6', '717', '0', '19');
INSERT INTO public.who_import VALUES (94754, '2020-05-15', 'UY', 'Uruguay', 'AMRO', '2', '719', '0', '19');
INSERT INTO public.who_import VALUES (94755, '2020-05-16', 'UY', 'Uruguay', 'AMRO', '5', '724', '0', '19');
INSERT INTO public.who_import VALUES (94756, '2020-05-17', 'UY', 'Uruguay', 'AMRO', '8', '732', '0', '19');
INSERT INTO public.who_import VALUES (94757, '2020-05-18', 'UY', 'Uruguay', 'AMRO', '2', '734', '0', '19');
INSERT INTO public.who_import VALUES (94758, '2020-05-19', 'UY', 'Uruguay', 'AMRO', '0', '734', '1', '20');
INSERT INTO public.who_import VALUES (94759, '2020-05-20', 'UY', 'Uruguay', 'AMRO', '3', '737', '0', '20');
INSERT INTO public.who_import VALUES (94760, '2020-05-21', 'UY', 'Uruguay', 'AMRO', '1', '738', '0', '20');
INSERT INTO public.who_import VALUES (94761, '2020-05-22', 'UY', 'Uruguay', 'AMRO', '8', '746', '0', '20');
INSERT INTO public.who_import VALUES (94762, '2020-05-23', 'UY', 'Uruguay', 'AMRO', '3', '749', '0', '20');
INSERT INTO public.who_import VALUES (94763, '2020-05-24', 'UY', 'Uruguay', 'AMRO', '4', '753', '0', '20');
INSERT INTO public.who_import VALUES (94764, '2020-05-25', 'UY', 'Uruguay', 'AMRO', '11', '764', '2', '22');
INSERT INTO public.who_import VALUES (94765, '2020-05-26', 'UY', 'Uruguay', 'AMRO', '5', '769', '0', '22');
INSERT INTO public.who_import VALUES (94766, '2020-05-27', 'UY', 'Uruguay', 'AMRO', '18', '787', '0', '22');
INSERT INTO public.who_import VALUES (94767, '2020-05-28', 'UY', 'Uruguay', 'AMRO', '2', '789', '0', '22');
INSERT INTO public.who_import VALUES (94768, '2020-05-29', 'UY', 'Uruguay', 'AMRO', '14', '803', '0', '22');
INSERT INTO public.who_import VALUES (94769, '2020-05-30', 'UY', 'Uruguay', 'AMRO', '8', '811', '0', '22');
INSERT INTO public.who_import VALUES (94770, '2020-05-31', 'UY', 'Uruguay', 'AMRO', '5', '816', '0', '22');
INSERT INTO public.who_import VALUES (94771, '2020-06-01', 'UY', 'Uruguay', 'AMRO', '5', '821', '0', '22');
INSERT INTO public.who_import VALUES (94772, '2020-06-02', 'UY', 'Uruguay', 'AMRO', '2', '823', '0', '22');
INSERT INTO public.who_import VALUES (94773, '2020-06-03', 'UY', 'Uruguay', 'AMRO', '2', '825', '1', '23');
INSERT INTO public.who_import VALUES (94774, '2020-06-04', 'UY', 'Uruguay', 'AMRO', '1', '826', '0', '23');
INSERT INTO public.who_import VALUES (94775, '2020-06-05', 'UY', 'Uruguay', 'AMRO', '2', '828', '0', '23');
INSERT INTO public.who_import VALUES (94776, '2020-06-06', 'UY', 'Uruguay', 'AMRO', '4', '832', '0', '23');
INSERT INTO public.who_import VALUES (94777, '2020-06-07', 'UY', 'Uruguay', 'AMRO', '2', '834', '0', '23');
INSERT INTO public.who_import VALUES (94778, '2020-06-08', 'UY', 'Uruguay', 'AMRO', '11', '845', '0', '23');
INSERT INTO public.who_import VALUES (94779, '2020-06-09', 'UY', 'Uruguay', 'AMRO', '0', '845', '0', '23');
INSERT INTO public.who_import VALUES (94780, '2020-06-10', 'UY', 'Uruguay', 'AMRO', '0', '845', '0', '23');
INSERT INTO public.who_import VALUES (94781, '2020-06-11', 'UY', 'Uruguay', 'AMRO', '1', '846', '0', '23');
INSERT INTO public.who_import VALUES (94782, '2020-06-12', 'UY', 'Uruguay', 'AMRO', '1', '847', '0', '23');
INSERT INTO public.who_import VALUES (94783, '2020-06-13', 'UY', 'Uruguay', 'AMRO', '0', '847', '0', '23');
INSERT INTO public.who_import VALUES (94784, '2020-06-14', 'UY', 'Uruguay', 'AMRO', '0', '847', '0', '23');
INSERT INTO public.who_import VALUES (94785, '2020-06-15', 'UY', 'Uruguay', 'AMRO', '0', '847', '0', '23');
INSERT INTO public.who_import VALUES (94786, '2020-06-16', 'UY', 'Uruguay', 'AMRO', '1', '848', '0', '23');
INSERT INTO public.who_import VALUES (94787, '2020-06-17', 'UY', 'Uruguay', 'AMRO', '0', '848', '0', '23');
INSERT INTO public.who_import VALUES (94788, '2020-06-18', 'UY', 'Uruguay', 'AMRO', '1', '849', '1', '24');
INSERT INTO public.who_import VALUES (94789, '2020-06-19', 'UY', 'Uruguay', 'AMRO', '0', '849', '0', '24');
INSERT INTO public.who_import VALUES (94790, '2020-06-20', 'UY', 'Uruguay', 'AMRO', '1', '850', '0', '24');
INSERT INTO public.who_import VALUES (94791, '2020-06-21', 'UY', 'Uruguay', 'AMRO', '3', '853', '0', '24');
INSERT INTO public.who_import VALUES (94792, '2020-06-22', 'UY', 'Uruguay', 'AMRO', '6', '859', '1', '25');
INSERT INTO public.who_import VALUES (94793, '2020-06-23', 'UY', 'Uruguay', 'AMRO', '17', '876', '0', '25');
INSERT INTO public.who_import VALUES (94794, '2020-06-24', 'UY', 'Uruguay', 'AMRO', '6', '882', '0', '25');
INSERT INTO public.who_import VALUES (94795, '2020-06-25', 'UY', 'Uruguay', 'AMRO', '3', '885', '0', '25');
INSERT INTO public.who_import VALUES (94796, '2020-06-26', 'UY', 'Uruguay', 'AMRO', '17', '902', '1', '26');
INSERT INTO public.who_import VALUES (94797, '2020-06-27', 'UY', 'Uruguay', 'AMRO', '5', '907', '0', '26');
INSERT INTO public.who_import VALUES (94798, '2020-06-28', 'UY', 'Uruguay', 'AMRO', '12', '919', '0', '26');
INSERT INTO public.who_import VALUES (94799, '2020-06-29', 'UY', 'Uruguay', 'AMRO', '5', '924', '0', '26');
INSERT INTO public.who_import VALUES (94800, '2020-06-30', 'UY', 'Uruguay', 'AMRO', '5', '929', '1', '27');
INSERT INTO public.who_import VALUES (94801, '2020-07-01', 'UY', 'Uruguay', 'AMRO', '3', '932', '0', '27');
INSERT INTO public.who_import VALUES (94802, '2020-07-02', 'UY', 'Uruguay', 'AMRO', '4', '936', '0', '27');
INSERT INTO public.who_import VALUES (94803, '2020-07-03', 'UY', 'Uruguay', 'AMRO', '7', '943', '1', '28');
INSERT INTO public.who_import VALUES (94804, '2020-07-04', 'UY', 'Uruguay', 'AMRO', '4', '947', '0', '28');
INSERT INTO public.who_import VALUES (94805, '2020-07-05', 'UY', 'Uruguay', 'AMRO', '5', '952', '0', '28');
INSERT INTO public.who_import VALUES (94806, '2020-07-06', 'UY', 'Uruguay', 'AMRO', '3', '955', '0', '28');
INSERT INTO public.who_import VALUES (94807, '2020-07-07', 'UY', 'Uruguay', 'AMRO', '1', '956', '0', '28');
INSERT INTO public.who_import VALUES (94808, '2020-07-08', 'UY', 'Uruguay', 'AMRO', '4', '960', '1', '29');
INSERT INTO public.who_import VALUES (94809, '2020-07-09', 'UY', 'Uruguay', 'AMRO', '5', '965', '0', '29');
INSERT INTO public.who_import VALUES (94810, '2020-07-10', 'UY', 'Uruguay', 'AMRO', '9', '974', '0', '29');
INSERT INTO public.who_import VALUES (94811, '2020-07-11', 'UY', 'Uruguay', 'AMRO', '3', '977', '0', '29');
INSERT INTO public.who_import VALUES (94812, '2020-07-12', 'UY', 'Uruguay', 'AMRO', '8', '985', '0', '29');
INSERT INTO public.who_import VALUES (94813, '2020-07-13', 'UY', 'Uruguay', 'AMRO', '1', '986', '1', '30');
INSERT INTO public.who_import VALUES (94814, '2020-07-14', 'UY', 'Uruguay', 'AMRO', '1', '987', '1', '31');
INSERT INTO public.who_import VALUES (94815, '2020-07-15', 'UY', 'Uruguay', 'AMRO', '2', '989', '0', '31');
INSERT INTO public.who_import VALUES (94816, '2020-07-16', 'UY', 'Uruguay', 'AMRO', '8', '997', '0', '31');
INSERT INTO public.who_import VALUES (94817, '2020-07-17', 'UY', 'Uruguay', 'AMRO', '12', '1009', '0', '31');
INSERT INTO public.who_import VALUES (94818, '2020-07-18', 'UY', 'Uruguay', 'AMRO', '17', '1026', '1', '32');
INSERT INTO public.who_import VALUES (94819, '2020-07-19', 'UY', 'Uruguay', 'AMRO', '11', '1037', '0', '32');
INSERT INTO public.who_import VALUES (94820, '2020-07-20', 'UY', 'Uruguay', 'AMRO', '7', '1044', '1', '33');
INSERT INTO public.who_import VALUES (94821, '2020-07-21', 'UY', 'Uruguay', 'AMRO', '10', '1054', '0', '33');
INSERT INTO public.who_import VALUES (94822, '2020-07-22', 'UY', 'Uruguay', 'AMRO', '10', '1064', '0', '33');
INSERT INTO public.who_import VALUES (94823, '2020-07-23', 'UY', 'Uruguay', 'AMRO', '32', '1096', '0', '33');
INSERT INTO public.who_import VALUES (94824, '2020-07-24', 'UY', 'Uruguay', 'AMRO', '21', '1117', '1', '34');
INSERT INTO public.who_import VALUES (94825, '2020-07-25', 'UY', 'Uruguay', 'AMRO', '24', '1141', '0', '34');
INSERT INTO public.who_import VALUES (94826, '2020-07-26', 'UY', 'Uruguay', 'AMRO', '25', '1166', '0', '34');
INSERT INTO public.who_import VALUES (94827, '2020-07-27', 'UY', 'Uruguay', 'AMRO', '8', '1174', '0', '34');
INSERT INTO public.who_import VALUES (94828, '2020-07-28', 'UY', 'Uruguay', 'AMRO', '18', '1192', '0', '34');
INSERT INTO public.who_import VALUES (94829, '2020-07-29', 'UY', 'Uruguay', 'AMRO', '10', '1202', '1', '35');
INSERT INTO public.who_import VALUES (94830, '2020-07-30', 'UY', 'Uruguay', 'AMRO', '16', '1218', '0', '35');
INSERT INTO public.who_import VALUES (94831, '2020-07-31', 'UY', 'Uruguay', 'AMRO', '19', '1237', '0', '35');
INSERT INTO public.who_import VALUES (94832, '2020-08-01', 'UY', 'Uruguay', 'AMRO', '6', '1243', '0', '35');
INSERT INTO public.who_import VALUES (94833, '2020-08-02', 'UY', 'Uruguay', 'AMRO', '22', '1265', '0', '35');
INSERT INTO public.who_import VALUES (94834, '2020-08-03', 'UY', 'Uruguay', 'AMRO', '13', '1278', '0', '35');
INSERT INTO public.who_import VALUES (94835, '2020-08-04', 'UY', 'Uruguay', 'AMRO', '8', '1286', '1', '36');
INSERT INTO public.who_import VALUES (94836, '2020-08-05', 'UY', 'Uruguay', 'AMRO', '5', '1291', '0', '36');
INSERT INTO public.who_import VALUES (94837, '2020-08-06', 'UY', 'Uruguay', 'AMRO', '9', '1300', '1', '37');
INSERT INTO public.who_import VALUES (94838, '2020-08-07', 'UY', 'Uruguay', 'AMRO', '9', '1309', '0', '37');
INSERT INTO public.who_import VALUES (94839, '2020-08-08', 'UY', 'Uruguay', 'AMRO', '9', '1318', '0', '37');
INSERT INTO public.who_import VALUES (94840, '2020-08-09', 'UY', 'Uruguay', 'AMRO', '7', '1325', '0', '37');
INSERT INTO public.who_import VALUES (94841, '2020-08-10', 'UY', 'Uruguay', 'AMRO', '10', '1335', '0', '37');
INSERT INTO public.who_import VALUES (94842, '2020-08-11', 'UY', 'Uruguay', 'AMRO', '18', '1353', '0', '37');
INSERT INTO public.who_import VALUES (94843, '2020-08-12', 'UY', 'Uruguay', 'AMRO', '11', '1364', '0', '37');
INSERT INTO public.who_import VALUES (94844, '2020-08-13', 'UY', 'Uruguay', 'AMRO', '21', '1385', '0', '37');
INSERT INTO public.who_import VALUES (94845, '2020-08-14', 'UY', 'Uruguay', 'AMRO', '8', '1393', '0', '37');
INSERT INTO public.who_import VALUES (94846, '2020-08-15', 'UY', 'Uruguay', 'AMRO', '16', '1409', '0', '37');
INSERT INTO public.who_import VALUES (94847, '2020-08-16', 'UY', 'Uruguay', 'AMRO', '12', '1421', '1', '38');
INSERT INTO public.who_import VALUES (94848, '2020-08-17', 'UY', 'Uruguay', 'AMRO', '13', '1434', '0', '38');
INSERT INTO public.who_import VALUES (94849, '2020-08-18', 'UY', 'Uruguay', 'AMRO', '6', '1440', '0', '38');
INSERT INTO public.who_import VALUES (94850, '2020-08-19', 'UY', 'Uruguay', 'AMRO', '17', '1457', '2', '40');
INSERT INTO public.who_import VALUES (94851, '2020-08-20', 'UY', 'Uruguay', 'AMRO', '28', '1485', '0', '40');
INSERT INTO public.who_import VALUES (94852, '2020-08-21', 'UY', 'Uruguay', 'AMRO', '8', '1493', '0', '40');
INSERT INTO public.who_import VALUES (94853, '2020-08-22', 'UY', 'Uruguay', 'AMRO', '13', '1506', '1', '41');
INSERT INTO public.who_import VALUES (94854, '2020-08-23', 'UY', 'Uruguay', 'AMRO', '10', '1516', '1', '42');
INSERT INTO public.who_import VALUES (94855, '2020-08-24', 'UY', 'Uruguay', 'AMRO', '5', '1521', '0', '42');
INSERT INTO public.who_import VALUES (94856, '2020-08-25', 'UY', 'Uruguay', 'AMRO', '6', '1527', '0', '42');
INSERT INTO public.who_import VALUES (94857, '2020-08-26', 'UY', 'Uruguay', 'AMRO', '6', '1533', '0', '42');
INSERT INTO public.who_import VALUES (94858, '2020-08-27', 'UY', 'Uruguay', 'AMRO', '3', '1536', '1', '43');
INSERT INTO public.who_import VALUES (94859, '2020-08-28', 'UY', 'Uruguay', 'AMRO', '7', '1543', '0', '43');
INSERT INTO public.who_import VALUES (94860, '2020-08-29', 'UY', 'Uruguay', 'AMRO', '8', '1551', '0', '43');
INSERT INTO public.who_import VALUES (94861, '2020-08-30', 'UY', 'Uruguay', 'AMRO', '5', '1556', '0', '43');
INSERT INTO public.who_import VALUES (94862, '2020-08-31', 'UY', 'Uruguay', 'AMRO', '14', '1570', '1', '44');
INSERT INTO public.who_import VALUES (94863, '2020-09-01', 'UY', 'Uruguay', 'AMRO', '15', '1585', '0', '44');
INSERT INTO public.who_import VALUES (94864, '2020-09-02', 'UY', 'Uruguay', 'AMRO', '10', '1595', '0', '44');
INSERT INTO public.who_import VALUES (94865, '2020-09-03', 'UY', 'Uruguay', 'AMRO', '16', '1611', '0', '44');
INSERT INTO public.who_import VALUES (94866, '2020-09-04', 'UY', 'Uruguay', 'AMRO', '15', '1626', '0', '44');
INSERT INTO public.who_import VALUES (94867, '2020-09-05', 'UY', 'Uruguay', 'AMRO', '10', '1636', '0', '44');
INSERT INTO public.who_import VALUES (94868, '2020-09-06', 'UY', 'Uruguay', 'AMRO', '17', '1653', '1', '45');
INSERT INTO public.who_import VALUES (94869, '2020-09-07', 'UY', 'Uruguay', 'AMRO', '16', '1669', '0', '45');
INSERT INTO public.who_import VALUES (94870, '2020-09-08', 'UY', 'Uruguay', 'AMRO', '10', '1679', '0', '45');
INSERT INTO public.who_import VALUES (94871, '2020-09-09', 'UY', 'Uruguay', 'AMRO', '14', '1693', '0', '45');
INSERT INTO public.who_import VALUES (94872, '2020-09-10', 'UY', 'Uruguay', 'AMRO', '19', '1712', '0', '45');
INSERT INTO public.who_import VALUES (94873, '2020-09-11', 'UY', 'Uruguay', 'AMRO', '29', '1741', '0', '45');
INSERT INTO public.who_import VALUES (94874, '2020-09-12', 'UY', 'Uruguay', 'AMRO', '18', '1759', '0', '45');
INSERT INTO public.who_import VALUES (94875, '2020-09-13', 'UY', 'Uruguay', 'AMRO', '14', '1773', '0', '45');
INSERT INTO public.who_import VALUES (94876, '2020-09-14', 'UY', 'Uruguay', 'AMRO', '7', '1780', '0', '45');
INSERT INTO public.who_import VALUES (94877, '2020-09-15', 'UY', 'Uruguay', 'AMRO', '28', '1808', '0', '45');
INSERT INTO public.who_import VALUES (94878, '2020-09-16', 'UY', 'Uruguay', 'AMRO', '4', '1812', '0', '45');
INSERT INTO public.who_import VALUES (94879, '2020-09-17', 'UY', 'Uruguay', 'AMRO', '15', '1827', '0', '45');
INSERT INTO public.who_import VALUES (94880, '2020-09-18', 'UY', 'Uruguay', 'AMRO', '29', '1856', '0', '45');
INSERT INTO public.who_import VALUES (94881, '2020-09-19', 'UY', 'Uruguay', 'AMRO', '20', '1876', '1', '46');
INSERT INTO public.who_import VALUES (94882, '2020-09-20', 'UY', 'Uruguay', 'AMRO', '14', '1890', '0', '46');
INSERT INTO public.who_import VALUES (94883, '2020-09-21', 'UY', 'Uruguay', 'AMRO', '14', '1904', '0', '46');
INSERT INTO public.who_import VALUES (94884, '2020-09-22', 'UY', 'Uruguay', 'AMRO', '13', '1917', '0', '46');
INSERT INTO public.who_import VALUES (94885, '2020-09-23', 'UY', 'Uruguay', 'AMRO', '10', '1927', '0', '46');
INSERT INTO public.who_import VALUES (94886, '2020-09-24', 'UY', 'Uruguay', 'AMRO', '7', '1934', '0', '46');
INSERT INTO public.who_import VALUES (94887, '2020-09-25', 'UY', 'Uruguay', 'AMRO', '12', '1946', '1', '47');
INSERT INTO public.who_import VALUES (94888, '2020-09-26', 'UY', 'Uruguay', 'AMRO', '13', '1959', '0', '47');
INSERT INTO public.who_import VALUES (94889, '2020-09-27', 'UY', 'Uruguay', 'AMRO', '8', '1967', '0', '47');
INSERT INTO public.who_import VALUES (94890, '2020-09-28', 'UY', 'Uruguay', 'AMRO', '31', '1998', '0', '47');
INSERT INTO public.who_import VALUES (94891, '2020-09-29', 'UY', 'Uruguay', 'AMRO', '10', '2008', '0', '47');
INSERT INTO public.who_import VALUES (94892, '2020-09-30', 'UY', 'Uruguay', 'AMRO', '2', '2010', '0', '47');
INSERT INTO public.who_import VALUES (94893, '2020-10-01', 'UY', 'Uruguay', 'AMRO', '23', '2033', '1', '48');
INSERT INTO public.who_import VALUES (94894, '2020-10-02', 'UY', 'Uruguay', 'AMRO', '13', '2046', '0', '48');
INSERT INTO public.who_import VALUES (94895, '2020-10-03', 'UY', 'Uruguay', 'AMRO', '15', '2061', '0', '48');
INSERT INTO public.who_import VALUES (94896, '2020-10-04', 'UY', 'Uruguay', 'AMRO', '36', '2097', '0', '48');
INSERT INTO public.who_import VALUES (94897, '2020-10-05', 'UY', 'Uruguay', 'AMRO', '25', '2122', '0', '48');
INSERT INTO public.who_import VALUES (94898, '2020-10-06', 'UY', 'Uruguay', 'AMRO', '23', '2145', '0', '48');
INSERT INTO public.who_import VALUES (94899, '2020-10-07', 'UY', 'Uruguay', 'AMRO', '10', '2155', '0', '48');
INSERT INTO public.who_import VALUES (94900, '2020-10-08', 'UY', 'Uruguay', 'AMRO', '22', '2177', '1', '49');
INSERT INTO public.who_import VALUES (94901, '2020-10-09', 'UY', 'Uruguay', 'AMRO', '29', '2206', '0', '49');
INSERT INTO public.who_import VALUES (94902, '2020-10-10', 'UY', 'Uruguay', 'AMRO', '20', '2226', '0', '49');
INSERT INTO public.who_import VALUES (94903, '2020-10-11', 'UY', 'Uruguay', 'AMRO', '25', '2251', '0', '49');
INSERT INTO public.who_import VALUES (94904, '2020-10-12', 'UY', 'Uruguay', 'AMRO', '17', '2268', '1', '50');
INSERT INTO public.who_import VALUES (94905, '2020-10-13', 'UY', 'Uruguay', 'AMRO', '26', '2294', '0', '50');
INSERT INTO public.who_import VALUES (94906, '2020-10-14', 'UY', 'Uruguay', 'AMRO', '19', '2313', '1', '51');
INSERT INTO public.who_import VALUES (94907, '2020-10-15', 'UY', 'Uruguay', 'AMRO', '24', '2337', '0', '51');
INSERT INTO public.who_import VALUES (94908, '2020-10-16', 'UY', 'Uruguay', 'AMRO', '51', '2388', '0', '51');
INSERT INTO public.who_import VALUES (94909, '2020-10-17', 'UY', 'Uruguay', 'AMRO', '29', '2417', '0', '51');
INSERT INTO public.who_import VALUES (94910, '2020-10-18', 'UY', 'Uruguay', 'AMRO', '33', '2450', '0', '51');
INSERT INTO public.who_import VALUES (94911, '2020-10-19', 'UY', 'Uruguay', 'AMRO', '51', '2501', '0', '51');
INSERT INTO public.who_import VALUES (94912, '2020-10-20', 'UY', 'Uruguay', 'AMRO', '30', '2531', '0', '51');
INSERT INTO public.who_import VALUES (94913, '2020-10-21', 'UY', 'Uruguay', 'AMRO', '29', '2560', '0', '51');
INSERT INTO public.who_import VALUES (94914, '2020-10-22', 'UY', 'Uruguay', 'AMRO', '63', '2623', '1', '52');
INSERT INTO public.who_import VALUES (94915, '2020-10-23', 'UY', 'Uruguay', 'AMRO', '40', '2663', '1', '53');
INSERT INTO public.who_import VALUES (94916, '2020-10-24', 'UY', 'Uruguay', 'AMRO', '38', '2701', '0', '53');
INSERT INTO public.who_import VALUES (94917, '2020-10-25', 'UY', 'Uruguay', 'AMRO', '58', '2759', '0', '53');
INSERT INTO public.who_import VALUES (94918, '2020-10-26', 'UY', 'Uruguay', 'AMRO', '48', '2807', '0', '53');
INSERT INTO public.who_import VALUES (94919, '2020-10-27', 'UY', 'Uruguay', 'AMRO', '44', '2851', '0', '53');
INSERT INTO public.who_import VALUES (94920, '2020-10-28', 'UY', 'Uruguay', 'AMRO', '21', '2872', '1', '54');
INSERT INTO public.who_import VALUES (94921, '2020-10-29', 'UY', 'Uruguay', 'AMRO', '44', '2916', '0', '54');
INSERT INTO public.who_import VALUES (94922, '2020-10-30', 'UY', 'Uruguay', 'AMRO', '65', '2981', '1', '55');
INSERT INTO public.who_import VALUES (94923, '2020-10-31', 'UY', 'Uruguay', 'AMRO', '63', '3044', '2', '57');
INSERT INTO public.who_import VALUES (94924, '2020-11-01', 'UY', 'Uruguay', 'AMRO', '38', '3082', '1', '58');
INSERT INTO public.who_import VALUES (94925, '2020-11-02', 'UY', 'Uruguay', 'AMRO', '42', '3124', '0', '58');
INSERT INTO public.who_import VALUES (94926, '2020-11-03', 'UY', 'Uruguay', 'AMRO', '25', '3149', '1', '59');
INSERT INTO public.who_import VALUES (94927, '2020-11-04', 'UY', 'Uruguay', 'AMRO', '16', '3165', '1', '60');
INSERT INTO public.who_import VALUES (94928, '2020-11-05', 'UY', 'Uruguay', 'AMRO', '31', '3196', '1', '61');
INSERT INTO public.who_import VALUES (94929, '2020-11-06', 'UY', 'Uruguay', 'AMRO', '49', '3245', '0', '61');
INSERT INTO public.who_import VALUES (94930, '2020-11-07', 'UY', 'Uruguay', 'AMRO', '64', '3309', '0', '61');
INSERT INTO public.who_import VALUES (94931, '2020-11-08', 'UY', 'Uruguay', 'AMRO', '61', '3370', '0', '61');
INSERT INTO public.who_import VALUES (94932, '2020-11-09', 'UY', 'Uruguay', 'AMRO', '71', '3441', '0', '61');
INSERT INTO public.who_import VALUES (94933, '2020-11-10', 'UY', 'Uruguay', 'AMRO', '73', '3514', '1', '62');
INSERT INTO public.who_import VALUES (94934, '2020-11-11', 'UY', 'Uruguay', 'AMRO', '46', '3560', '0', '62');
INSERT INTO public.who_import VALUES (94935, '2020-11-12', 'UY', 'Uruguay', 'AMRO', '60', '3620', '0', '62');
INSERT INTO public.who_import VALUES (94936, '2020-11-13', 'UY', 'Uruguay', 'AMRO', '80', '3700', '1', '63');
INSERT INTO public.who_import VALUES (94937, '2020-11-14', 'UY', 'Uruguay', 'AMRO', '95', '3795', '0', '63');
INSERT INTO public.who_import VALUES (94938, '2020-11-15', 'UY', 'Uruguay', 'AMRO', '88', '3883', '1', '64');
INSERT INTO public.who_import VALUES (94939, '2020-11-16', 'UY', 'Uruguay', 'AMRO', '74', '3957', '0', '64');
INSERT INTO public.who_import VALUES (94940, '2020-11-17', 'UY', 'Uruguay', 'AMRO', '73', '4030', '1', '65');
INSERT INTO public.who_import VALUES (94941, '2020-11-18', 'UY', 'Uruguay', 'AMRO', '74', '4104', '2', '67');
INSERT INTO public.who_import VALUES (94942, '2020-11-19', 'UY', 'Uruguay', 'AMRO', '104', '4208', '1', '68');
INSERT INTO public.who_import VALUES (94943, '2020-11-20', 'UY', 'Uruguay', 'AMRO', '88', '4296', '0', '68');
INSERT INTO public.who_import VALUES (94944, '2020-11-21', 'UY', 'Uruguay', 'AMRO', '81', '4377', '1', '69');
INSERT INTO public.who_import VALUES (94945, '2020-11-22', 'UY', 'Uruguay', 'AMRO', '100', '4477', '0', '69');
INSERT INTO public.who_import VALUES (94946, '2020-11-23', 'UY', 'Uruguay', 'AMRO', '87', '4564', '0', '69');
INSERT INTO public.who_import VALUES (94947, '2020-11-24', 'UY', 'Uruguay', 'AMRO', '135', '4699', '2', '71');
INSERT INTO public.who_import VALUES (94948, '2020-11-25', 'UY', 'Uruguay', 'AMRO', '64', '4763', '0', '71');
INSERT INTO public.who_import VALUES (94949, '2020-11-26', 'UY', 'Uruguay', 'AMRO', '107', '4870', '1', '72');
INSERT INTO public.who_import VALUES (94950, '2020-11-27', 'UY', 'Uruguay', 'AMRO', '118', '4988', '1', '73');
INSERT INTO public.who_import VALUES (94951, '2020-11-28', 'UY', 'Uruguay', 'AMRO', '129', '5117', '1', '74');
INSERT INTO public.who_import VALUES (94952, '2020-11-29', 'UY', 'Uruguay', 'AMRO', '186', '5303', '0', '74');
INSERT INTO public.who_import VALUES (94953, '2020-11-30', 'UY', 'Uruguay', 'AMRO', '208', '5511', '1', '75');
INSERT INTO public.who_import VALUES (94954, '2020-12-01', 'UY', 'Uruguay', 'AMRO', '205', '5716', '1', '76');
INSERT INTO public.who_import VALUES (94955, '2020-12-02', 'UY', 'Uruguay', 'AMRO', '141', '5857', '1', '77');
INSERT INTO public.who_import VALUES (94956, '2020-12-03', 'UY', 'Uruguay', 'AMRO', '167', '6024', '1', '78');
INSERT INTO public.who_import VALUES (94957, '2020-12-04', 'UY', 'Uruguay', 'AMRO', '201', '6225', '2', '80');
INSERT INTO public.who_import VALUES (94958, '2020-12-05', 'UY', 'Uruguay', 'AMRO', '230', '6455', '0', '80');
INSERT INTO public.who_import VALUES (94959, '2020-12-06', 'UY', 'Uruguay', 'AMRO', '276', '6731', '0', '80');
INSERT INTO public.who_import VALUES (94960, '2020-12-07', 'UY', 'Uruguay', 'AMRO', '234', '6965', '1', '81');
INSERT INTO public.who_import VALUES (94961, '2020-12-08', 'UY', 'Uruguay', 'AMRO', '338', '7303', '1', '82');
INSERT INTO public.who_import VALUES (94962, '2020-12-09', 'UY', 'Uruguay', 'AMRO', '202', '7505', '1', '83');
INSERT INTO public.who_import VALUES (94963, '2020-12-10', 'UY', 'Uruguay', 'AMRO', '301', '7806', '3', '86');
INSERT INTO public.who_import VALUES (94964, '2020-12-11', 'UY', 'Uruguay', 'AMRO', '298', '8104', '1', '87');
INSERT INTO public.who_import VALUES (94965, '2020-12-12', 'UY', 'Uruguay', 'AMRO', '383', '8487', '3', '90');
INSERT INTO public.who_import VALUES (94966, '2020-12-13', 'UY', 'Uruguay', 'AMRO', '362', '8849', '0', '90');
INSERT INTO public.who_import VALUES (94967, '2020-12-14', 'UY', 'Uruguay', 'AMRO', '331', '9180', '1', '91');
INSERT INTO public.who_import VALUES (94968, '2020-12-15', 'UY', 'Uruguay', 'AMRO', '528', '9708', '1', '92');
INSERT INTO public.who_import VALUES (94969, '2020-12-16', 'UY', 'Uruguay', 'AMRO', '321', '10029', '3', '95');
INSERT INTO public.who_import VALUES (94970, '2020-12-17', 'UY', 'Uruguay', 'AMRO', '389', '10418', '3', '98');
INSERT INTO public.who_import VALUES (94971, '2020-12-18', 'UY', 'Uruguay', 'AMRO', '475', '10893', '4', '102');
INSERT INTO public.who_import VALUES (94972, '2020-12-19', 'UY', 'Uruguay', 'AMRO', '543', '11436', '3', '105');
INSERT INTO public.who_import VALUES (94973, '2020-12-20', 'UY', 'Uruguay', 'AMRO', '514', '11950', '4', '109');
INSERT INTO public.who_import VALUES (94974, '2020-12-21', 'UY', 'Uruguay', 'AMRO', '607', '12557', '5', '114');
INSERT INTO public.who_import VALUES (94975, '2020-12-22', 'UY', 'Uruguay', 'AMRO', '491', '13048', '5', '119');
INSERT INTO public.who_import VALUES (94976, '2020-12-23', 'UY', 'Uruguay', 'AMRO', '429', '13477', '0', '119');
INSERT INTO public.who_import VALUES (94977, '2020-12-24', 'UY', 'Uruguay', 'AMRO', '524', '14001', '1', '120');
INSERT INTO public.who_import VALUES (94978, '2020-12-25', 'UY', 'Uruguay', 'AMRO', '709', '14710', '8', '128');
INSERT INTO public.who_import VALUES (94979, '2020-12-26', 'UY', 'Uruguay', 'AMRO', '747', '15457', '7', '135');
INSERT INTO public.who_import VALUES (94980, '2020-12-27', 'UY', 'Uruguay', 'AMRO', '391', '15848', '8', '143');
INSERT INTO public.who_import VALUES (94981, '2020-12-28', 'UY', 'Uruguay', 'AMRO', '370', '16218', '4', '147');
INSERT INTO public.who_import VALUES (94982, '2020-12-29', 'UY', 'Uruguay', 'AMRO', '510', '16728', '11', '158');
INSERT INTO public.who_import VALUES (94983, '2020-12-30', 'UY', 'Uruguay', 'AMRO', '578', '17306', '2', '160');
INSERT INTO public.who_import VALUES (94984, '2020-12-31', 'UY', 'Uruguay', 'AMRO', '656', '17962', '8', '168');
INSERT INTO public.who_import VALUES (94985, '2021-01-01', 'UY', 'Uruguay', 'AMRO', '518', '18480', '6', '174');
INSERT INTO public.who_import VALUES (94986, '2021-01-02', 'UY', 'Uruguay', 'AMRO', '639', '19119', '7', '181');
INSERT INTO public.who_import VALUES (94987, '2021-01-03', 'UY', 'Uruguay', 'AMRO', '634', '19753', '12', '193');
INSERT INTO public.who_import VALUES (94988, '2021-01-04', 'UY', 'Uruguay', 'AMRO', '522', '20275', '8', '201');
INSERT INTO public.who_import VALUES (94989, '2021-01-05', 'UY', 'Uruguay', 'AMRO', '548', '20823', '3', '204');
INSERT INTO public.who_import VALUES (94990, '2021-01-06', 'UY', 'Uruguay', 'AMRO', '603', '21426', '7', '211');
INSERT INTO public.who_import VALUES (94991, '2021-01-07', 'UY', 'Uruguay', 'AMRO', '678', '22104', '6', '217');
INSERT INTO public.who_import VALUES (94992, '2021-01-08', 'UY', 'Uruguay', 'AMRO', '944', '23048', '4', '221');
INSERT INTO public.who_import VALUES (94993, '2021-01-09', 'UY', 'Uruguay', 'AMRO', '759', '23807', '10', '231');
INSERT INTO public.who_import VALUES (94994, '2021-01-10', 'UY', 'Uruguay', 'AMRO', '532', '24339', '9', '240');
INSERT INTO public.who_import VALUES (94995, '2021-01-11', 'UY', 'Uruguay', 'AMRO', '635', '24974', '8', '248');
INSERT INTO public.who_import VALUES (94996, '2021-01-12', 'UY', 'Uruguay', 'AMRO', '1212', '26186', '8', '256');
INSERT INTO public.who_import VALUES (94997, '2021-01-13', 'UY', 'Uruguay', 'AMRO', '715', '26901', '6', '262');
INSERT INTO public.who_import VALUES (94998, '2021-01-14', 'UY', 'Uruguay', 'AMRO', '945', '27846', '7', '269');
INSERT INTO public.who_import VALUES (94999, '2021-01-15', 'UY', 'Uruguay', 'AMRO', '629', '28475', '6', '275');
INSERT INTO public.who_import VALUES (95000, '2021-01-16', 'UY', 'Uruguay', 'AMRO', '1514', '29989', '5', '280');
INSERT INTO public.who_import VALUES (95001, '2021-01-17', 'UY', 'Uruguay', 'AMRO', '957', '30946', '11', '291');
INSERT INTO public.who_import VALUES (95002, '2021-01-18', 'UY', 'Uruguay', 'AMRO', '723', '31669', '7', '298');
INSERT INTO public.who_import VALUES (95003, '2021-01-19', 'UY', 'Uruguay', 'AMRO', '709', '32378', '13', '311');
INSERT INTO public.who_import VALUES (95004, '2021-01-20', 'UY', 'Uruguay', 'AMRO', '485', '32863', '8', '319');
INSERT INTO public.who_import VALUES (95005, '2021-01-21', 'UY', 'Uruguay', 'AMRO', '583', '33446', '11', '330');
INSERT INTO public.who_import VALUES (95006, '2021-01-22', 'UY', 'Uruguay', 'AMRO', '848', '34294', '6', '336');
INSERT INTO public.who_import VALUES (95007, '2021-01-23', 'UY', 'Uruguay', 'AMRO', '698', '34992', '11', '347');
INSERT INTO public.who_import VALUES (95008, '2021-01-24', 'UY', 'Uruguay', 'AMRO', '1178', '36170', '17', '364');
INSERT INTO public.who_import VALUES (95009, '2021-01-25', 'UY', 'Uruguay', 'AMRO', '797', '36967', '3', '367');
INSERT INTO public.who_import VALUES (95010, '2021-01-26', 'UY', 'Uruguay', 'AMRO', '666', '37633', '9', '376');
INSERT INTO public.who_import VALUES (95011, '2021-01-27', 'UY', 'Uruguay', 'AMRO', '408', '38041', '14', '390');
INSERT INTO public.who_import VALUES (95012, '2021-01-28', 'UY', 'Uruguay', 'AMRO', '639', '38680', '11', '401');
INSERT INTO public.who_import VALUES (95013, '2021-01-29', 'UY', 'Uruguay', 'AMRO', '648', '39328', '6', '407');
INSERT INTO public.who_import VALUES (95014, '2021-01-30', 'UY', 'Uruguay', 'AMRO', '559', '39887', '8', '415');
INSERT INTO public.who_import VALUES (95015, '2021-01-31', 'UY', 'Uruguay', 'AMRO', '642', '40529', '10', '425');
INSERT INTO public.who_import VALUES (95016, '2021-02-01', 'UY', 'Uruguay', 'AMRO', '652', '41181', '6', '431');
INSERT INTO public.who_import VALUES (95017, '2021-02-02', 'UY', 'Uruguay', 'AMRO', '557', '41738', '5', '436');
INSERT INTO public.who_import VALUES (95018, '2021-02-03', 'UY', 'Uruguay', 'AMRO', '390', '42128', '8', '444');
INSERT INTO public.who_import VALUES (95019, '2021-02-04', 'UY', 'Uruguay', 'AMRO', '539', '42667', '9', '453');
INSERT INTO public.who_import VALUES (95020, '2021-02-05', 'UY', 'Uruguay', 'AMRO', '548', '43215', '11', '464');
INSERT INTO public.who_import VALUES (95021, '2021-02-06', 'UY', 'Uruguay', 'AMRO', '589', '43804', '12', '476');
INSERT INTO public.who_import VALUES (95022, '2021-02-07', 'UY', 'Uruguay', 'AMRO', '499', '44303', '2', '478');
INSERT INTO public.who_import VALUES (95023, '2021-02-08', 'UY', 'Uruguay', 'AMRO', '509', '44812', '3', '481');
INSERT INTO public.who_import VALUES (95024, '2021-02-09', 'UY', 'Uruguay', 'AMRO', '499', '45311', '9', '490');
INSERT INTO public.who_import VALUES (95025, '2021-02-10', 'UY', 'Uruguay', 'AMRO', '339', '45650', '7', '497');
INSERT INTO public.who_import VALUES (95026, '2021-02-11', 'UY', 'Uruguay', 'AMRO', '503', '46153', '9', '506');
INSERT INTO public.who_import VALUES (95027, '2021-02-12', 'UY', 'Uruguay', 'AMRO', '625', '46778', '10', '516');
INSERT INTO public.who_import VALUES (95028, '2021-02-13', 'UY', 'Uruguay', 'AMRO', '476', '47254', '8', '524');
INSERT INTO public.who_import VALUES (95029, '2021-02-14', 'UY', 'Uruguay', 'AMRO', '574', '47828', '3', '527');
INSERT INTO public.who_import VALUES (95030, '2021-02-15', 'UY', 'Uruguay', 'AMRO', '631', '48459', '6', '533');
INSERT INTO public.who_import VALUES (95031, '2021-02-16', 'UY', 'Uruguay', 'AMRO', '450', '48909', '2', '535');
INSERT INTO public.who_import VALUES (95032, '2021-02-17', 'UY', 'Uruguay', 'AMRO', '451', '49360', '6', '541');
INSERT INTO public.who_import VALUES (95033, '2021-02-18', 'UY', 'Uruguay', 'AMRO', '365', '49725', '5', '546');
INSERT INTO public.who_import VALUES (95034, '2021-02-19', 'UY', 'Uruguay', 'AMRO', '483', '50208', '7', '553');
INSERT INTO public.who_import VALUES (95035, '2021-02-20', 'UY', 'Uruguay', 'AMRO', '544', '50752', '5', '558');
INSERT INTO public.who_import VALUES (95036, '2020-01-03', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95037, '2020-01-04', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95038, '2020-01-05', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95039, '2020-01-06', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95040, '2020-01-07', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95041, '2020-01-08', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95042, '2020-01-09', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95043, '2020-01-10', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95044, '2020-01-11', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95045, '2020-01-12', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95046, '2020-01-13', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95047, '2020-01-14', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95048, '2020-01-15', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95049, '2020-01-16', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95050, '2020-01-17', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95051, '2020-01-18', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95052, '2020-01-19', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95053, '2020-01-20', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95054, '2020-01-21', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95055, '2020-01-22', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95056, '2020-01-23', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95057, '2020-01-24', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95058, '2020-01-25', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95059, '2020-01-26', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95060, '2020-01-27', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95061, '2020-01-28', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95062, '2020-01-29', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95063, '2020-01-30', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95064, '2020-01-31', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95065, '2020-02-01', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95066, '2020-02-02', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95067, '2020-02-03', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95068, '2020-02-04', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95069, '2020-02-05', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95070, '2020-02-06', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95071, '2020-02-07', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95072, '2020-02-08', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95073, '2020-02-09', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95074, '2020-02-10', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95075, '2020-02-11', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95076, '2020-02-12', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95077, '2020-02-13', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95078, '2020-02-14', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95079, '2020-02-15', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95080, '2020-02-16', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95081, '2020-02-17', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95082, '2020-02-18', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95083, '2020-02-19', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95084, '2020-02-20', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95085, '2020-02-21', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95086, '2020-02-22', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95087, '2020-02-23', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95088, '2020-02-24', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95089, '2020-02-25', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95090, '2020-02-26', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95091, '2020-02-27', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95092, '2020-02-28', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95093, '2020-02-29', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95094, '2020-03-01', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95095, '2020-03-02', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95096, '2020-03-03', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95097, '2020-03-04', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95098, '2020-03-05', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95099, '2020-03-06', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95100, '2020-03-07', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95101, '2020-03-08', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95102, '2020-03-09', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95103, '2020-03-10', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95104, '2020-03-11', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95105, '2020-03-12', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95106, '2020-03-13', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95107, '2020-03-14', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95108, '2020-03-15', 'UZ', 'Uzbekistan', 'EURO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95109, '2020-03-16', 'UZ', 'Uzbekistan', 'EURO', '4', '4', '0', '0');
INSERT INTO public.who_import VALUES (95110, '2020-03-17', 'UZ', 'Uzbekistan', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (95111, '2020-03-18', 'UZ', 'Uzbekistan', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (95112, '2020-03-19', 'UZ', 'Uzbekistan', 'EURO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (95113, '2020-03-20', 'UZ', 'Uzbekistan', 'EURO', '17', '21', '0', '0');
INSERT INTO public.who_import VALUES (95114, '2020-03-21', 'UZ', 'Uzbekistan', 'EURO', '20', '41', '0', '0');
INSERT INTO public.who_import VALUES (95115, '2020-03-22', 'UZ', 'Uzbekistan', 'EURO', '0', '41', '0', '0');
INSERT INTO public.who_import VALUES (95116, '2020-03-23', 'UZ', 'Uzbekistan', 'EURO', '5', '46', '0', '0');
INSERT INTO public.who_import VALUES (95117, '2020-03-24', 'UZ', 'Uzbekistan', 'EURO', '4', '50', '0', '0');
INSERT INTO public.who_import VALUES (95118, '2020-03-25', 'UZ', 'Uzbekistan', 'EURO', '6', '56', '0', '0');
INSERT INTO public.who_import VALUES (95119, '2020-03-26', 'UZ', 'Uzbekistan', 'EURO', '9', '65', '0', '0');
INSERT INTO public.who_import VALUES (95120, '2020-03-27', 'UZ', 'Uzbekistan', 'EURO', '23', '88', '0', '0');
INSERT INTO public.who_import VALUES (95121, '2020-03-28', 'UZ', 'Uzbekistan', 'EURO', '16', '104', '1', '1');
INSERT INTO public.who_import VALUES (95122, '2020-03-29', 'UZ', 'Uzbekistan', 'EURO', '40', '144', '1', '2');
INSERT INTO public.who_import VALUES (95123, '2020-03-30', 'UZ', 'Uzbekistan', 'EURO', '5', '149', '0', '2');
INSERT INTO public.who_import VALUES (95124, '2020-03-31', 'UZ', 'Uzbekistan', 'EURO', '18', '167', '0', '2');
INSERT INTO public.who_import VALUES (95125, '2020-04-01', 'UZ', 'Uzbekistan', 'EURO', '6', '173', '0', '2');
INSERT INTO public.who_import VALUES (95126, '2020-04-02', 'UZ', 'Uzbekistan', 'EURO', '17', '190', '0', '2');
INSERT INTO public.who_import VALUES (95127, '2020-04-03', 'UZ', 'Uzbekistan', 'EURO', '31', '221', '0', '2');
INSERT INTO public.who_import VALUES (95128, '2020-04-04', 'UZ', 'Uzbekistan', 'EURO', '20', '241', '0', '2');
INSERT INTO public.who_import VALUES (95129, '2020-04-05', 'UZ', 'Uzbekistan', 'EURO', '57', '298', '0', '2');
INSERT INTO public.who_import VALUES (95130, '2020-04-06', 'UZ', 'Uzbekistan', 'EURO', '92', '390', '0', '2');
INSERT INTO public.who_import VALUES (95131, '2020-04-07', 'UZ', 'Uzbekistan', 'EURO', '82', '472', '0', '2');
INSERT INTO public.who_import VALUES (95132, '2020-04-08', 'UZ', 'Uzbekistan', 'EURO', '62', '534', '1', '3');
INSERT INTO public.who_import VALUES (95133, '2020-04-09', 'UZ', 'Uzbekistan', 'EURO', '21', '555', '0', '3');
INSERT INTO public.who_import VALUES (95134, '2020-04-10', 'UZ', 'Uzbekistan', 'EURO', '69', '624', '0', '3');
INSERT INTO public.who_import VALUES (95135, '2020-04-11', 'UZ', 'Uzbekistan', 'EURO', '0', '624', '0', '3');
INSERT INTO public.who_import VALUES (95136, '2020-04-12', 'UZ', 'Uzbekistan', 'EURO', '172', '796', '0', '3');
INSERT INTO public.who_import VALUES (95137, '2020-04-13', 'UZ', 'Uzbekistan', 'EURO', '100', '896', '1', '4');
INSERT INTO public.who_import VALUES (95138, '2020-04-14', 'UZ', 'Uzbekistan', 'EURO', '158', '1054', '0', '4');
INSERT INTO public.who_import VALUES (95139, '2020-04-15', 'UZ', 'Uzbekistan', 'EURO', '160', '1214', '0', '4');
INSERT INTO public.who_import VALUES (95140, '2020-04-16', 'UZ', 'Uzbekistan', 'EURO', '135', '1349', '0', '4');
INSERT INTO public.who_import VALUES (95141, '2020-04-17', 'UZ', 'Uzbekistan', 'EURO', '31', '1380', '0', '4');
INSERT INTO public.who_import VALUES (95142, '2020-04-18', 'UZ', 'Uzbekistan', 'EURO', '70', '1450', '0', '4');
INSERT INTO public.who_import VALUES (95143, '2020-04-19', 'UZ', 'Uzbekistan', 'EURO', '45', '1495', '1', '5');
INSERT INTO public.who_import VALUES (95144, '2020-04-20', 'UZ', 'Uzbekistan', 'EURO', '70', '1565', '0', '5');
INSERT INTO public.who_import VALUES (95145, '2020-04-21', 'UZ', 'Uzbekistan', 'EURO', '92', '1657', '0', '5');
INSERT INTO public.who_import VALUES (95146, '2020-04-22', 'UZ', 'Uzbekistan', 'EURO', '0', '1657', '1', '6');
INSERT INTO public.who_import VALUES (95147, '2020-04-23', 'UZ', 'Uzbekistan', 'EURO', '59', '1716', '1', '7');
INSERT INTO public.who_import VALUES (95148, '2020-04-24', 'UZ', 'Uzbekistan', 'EURO', '62', '1778', '0', '7');
INSERT INTO public.who_import VALUES (95149, '2020-04-25', 'UZ', 'Uzbekistan', 'EURO', '58', '1836', '1', '8');
INSERT INTO public.who_import VALUES (95150, '2020-04-26', 'UZ', 'Uzbekistan', 'EURO', '29', '1865', '0', '8');
INSERT INTO public.who_import VALUES (95151, '2020-04-27', 'UZ', 'Uzbekistan', 'EURO', '22', '1887', '0', '8');
INSERT INTO public.who_import VALUES (95152, '2020-04-28', 'UZ', 'Uzbekistan', 'EURO', '37', '1924', '0', '8');
INSERT INTO public.who_import VALUES (95153, '2020-04-29', 'UZ', 'Uzbekistan', 'EURO', '31', '1955', '0', '8');
INSERT INTO public.who_import VALUES (95154, '2020-04-30', 'UZ', 'Uzbekistan', 'EURO', '76', '2031', '1', '9');
INSERT INTO public.who_import VALUES (95155, '2020-05-01', 'UZ', 'Uzbekistan', 'EURO', '15', '2046', '0', '9');
INSERT INTO public.who_import VALUES (95156, '2020-05-02', 'UZ', 'Uzbekistan', 'EURO', '48', '2094', '0', '9');
INSERT INTO public.who_import VALUES (95157, '2020-05-03', 'UZ', 'Uzbekistan', 'EURO', '33', '2127', '0', '9');
INSERT INTO public.who_import VALUES (95158, '2020-05-04', 'UZ', 'Uzbekistan', 'EURO', '33', '2160', '1', '10');
INSERT INTO public.who_import VALUES (95159, '2020-05-05', 'UZ', 'Uzbekistan', 'EURO', '29', '2189', '0', '10');
INSERT INTO public.who_import VALUES (95160, '2020-05-06', 'UZ', 'Uzbekistan', 'EURO', '28', '2217', '0', '10');
INSERT INTO public.who_import VALUES (95161, '2020-05-07', 'UZ', 'Uzbekistan', 'EURO', '49', '2266', '0', '10');
INSERT INTO public.who_import VALUES (95162, '2020-05-08', 'UZ', 'Uzbekistan', 'EURO', '48', '2314', '0', '10');
INSERT INTO public.who_import VALUES (95163, '2020-05-09', 'UZ', 'Uzbekistan', 'EURO', '22', '2336', '0', '10');
INSERT INTO public.who_import VALUES (95164, '2020-05-10', 'UZ', 'Uzbekistan', 'EURO', '51', '2387', '0', '10');
INSERT INTO public.who_import VALUES (95165, '2020-05-11', 'UZ', 'Uzbekistan', 'EURO', '24', '2411', '0', '10');
INSERT INTO public.who_import VALUES (95166, '2020-05-12', 'UZ', 'Uzbekistan', 'EURO', '98', '2509', '0', '10');
INSERT INTO public.who_import VALUES (95167, '2020-05-13', 'UZ', 'Uzbekistan', 'EURO', '89', '2598', '0', '10');
INSERT INTO public.who_import VALUES (95168, '2020-05-14', 'UZ', 'Uzbekistan', 'EURO', '22', '2620', '1', '11');
INSERT INTO public.who_import VALUES (95169, '2020-05-15', 'UZ', 'Uzbekistan', 'EURO', '32', '2652', '0', '11');
INSERT INTO public.who_import VALUES (95170, '2020-05-16', 'UZ', 'Uzbekistan', 'EURO', '39', '2691', '0', '11');
INSERT INTO public.who_import VALUES (95171, '2020-05-17', 'UZ', 'Uzbekistan', 'EURO', '50', '2741', '0', '11');
INSERT INTO public.who_import VALUES (95172, '2020-05-18', 'UZ', 'Uzbekistan', 'EURO', '21', '2762', '1', '12');
INSERT INTO public.who_import VALUES (95173, '2020-05-19', 'UZ', 'Uzbekistan', 'EURO', '40', '2802', '1', '13');
INSERT INTO public.who_import VALUES (95174, '2020-05-20', 'UZ', 'Uzbekistan', 'EURO', '78', '2880', '0', '13');
INSERT INTO public.who_import VALUES (95175, '2020-05-21', 'UZ', 'Uzbekistan', 'EURO', '70', '2950', '0', '13');
INSERT INTO public.who_import VALUES (95176, '2020-05-22', 'UZ', 'Uzbekistan', 'EURO', '56', '3006', '0', '13');
INSERT INTO public.who_import VALUES (95177, '2020-05-23', 'UZ', 'Uzbekistan', 'EURO', '72', '3078', '0', '13');
INSERT INTO public.who_import VALUES (95178, '2020-05-24', 'UZ', 'Uzbekistan', 'EURO', '54', '3132', '0', '13');
INSERT INTO public.who_import VALUES (95179, '2020-05-25', 'UZ', 'Uzbekistan', 'EURO', '48', '3180', '0', '13');
INSERT INTO public.who_import VALUES (95180, '2020-05-26', 'UZ', 'Uzbekistan', 'EURO', '81', '3261', '0', '13');
INSERT INTO public.who_import VALUES (95181, '2020-05-27', 'UZ', 'Uzbekistan', 'EURO', '72', '3333', '1', '14');
INSERT INTO public.who_import VALUES (95182, '2020-05-28', 'UZ', 'Uzbekistan', 'EURO', '63', '3396', '0', '14');
INSERT INTO public.who_import VALUES (95183, '2020-05-29', 'UZ', 'Uzbekistan', 'EURO', '67', '3463', '0', '14');
INSERT INTO public.who_import VALUES (95184, '2020-05-30', 'UZ', 'Uzbekistan', 'EURO', '50', '3513', '0', '14');
INSERT INTO public.who_import VALUES (95185, '2020-05-31', 'UZ', 'Uzbekistan', 'EURO', '41', '3554', '0', '14');
INSERT INTO public.who_import VALUES (95186, '2020-06-01', 'UZ', 'Uzbekistan', 'EURO', '108', '3662', '1', '15');
INSERT INTO public.who_import VALUES (95187, '2020-06-02', 'UZ', 'Uzbekistan', 'EURO', '56', '3718', '0', '15');
INSERT INTO public.who_import VALUES (95188, '2020-06-03', 'UZ', 'Uzbekistan', 'EURO', '0', '3718', '0', '15');
INSERT INTO public.who_import VALUES (95189, '2020-06-04', 'UZ', 'Uzbekistan', 'EURO', '156', '3874', '1', '16');
INSERT INTO public.who_import VALUES (95190, '2020-06-05', 'UZ', 'Uzbekistan', 'EURO', '91', '3965', '0', '16');
INSERT INTO public.who_import VALUES (95191, '2020-06-06', 'UZ', 'Uzbekistan', 'EURO', '57', '4022', '0', '16');
INSERT INTO public.who_import VALUES (95192, '2020-06-07', 'UZ', 'Uzbekistan', 'EURO', '159', '4181', '1', '17');
INSERT INTO public.who_import VALUES (95193, '2020-06-08', 'UZ', 'Uzbekistan', 'EURO', '171', '4352', '0', '17');
INSERT INTO public.who_import VALUES (95194, '2020-06-09', 'UZ', 'Uzbekistan', 'EURO', '96', '4448', '1', '18');
INSERT INTO public.who_import VALUES (95195, '2020-06-10', 'UZ', 'Uzbekistan', 'EURO', '99', '4547', '0', '18');
INSERT INTO public.who_import VALUES (95196, '2020-06-11', 'UZ', 'Uzbekistan', 'EURO', '148', '4695', '1', '19');
INSERT INTO public.who_import VALUES (95197, '2020-06-12', 'UZ', 'Uzbekistan', 'EURO', '124', '4819', '0', '19');
INSERT INTO public.who_import VALUES (95198, '2020-06-13', 'UZ', 'Uzbekistan', 'EURO', '82', '4901', '0', '19');
INSERT INTO public.who_import VALUES (95199, '2020-06-14', 'UZ', 'Uzbekistan', 'EURO', '93', '4994', '0', '19');
INSERT INTO public.who_import VALUES (95200, '2020-06-15', 'UZ', 'Uzbekistan', 'EURO', '109', '5103', '0', '19');
INSERT INTO public.who_import VALUES (95201, '2020-06-16', 'UZ', 'Uzbekistan', 'EURO', '190', '5293', '0', '19');
INSERT INTO public.who_import VALUES (95202, '2020-06-17', 'UZ', 'Uzbekistan', 'EURO', '268', '5561', '0', '19');
INSERT INTO public.who_import VALUES (95203, '2020-06-18', 'UZ', 'Uzbekistan', 'EURO', '136', '5697', '0', '19');
INSERT INTO public.who_import VALUES (95204, '2020-06-19', 'UZ', 'Uzbekistan', 'EURO', '158', '5855', '0', '19');
INSERT INTO public.who_import VALUES (95205, '2020-06-20', 'UZ', 'Uzbekistan', 'EURO', '170', '6025', '0', '19');
INSERT INTO public.who_import VALUES (95206, '2020-06-21', 'UZ', 'Uzbekistan', 'EURO', '191', '6216', '0', '19');
INSERT INTO public.who_import VALUES (95207, '2020-06-22', 'UZ', 'Uzbekistan', 'EURO', '142', '6358', '0', '19');
INSERT INTO public.who_import VALUES (95208, '2020-06-23', 'UZ', 'Uzbekistan', 'EURO', '142', '6500', '0', '19');
INSERT INTO public.who_import VALUES (95209, '2020-06-24', 'UZ', 'Uzbekistan', 'EURO', '255', '6755', '0', '19');
INSERT INTO public.who_import VALUES (95210, '2020-06-25', 'UZ', 'Uzbekistan', 'EURO', '235', '6990', '0', '19');
INSERT INTO public.who_import VALUES (95211, '2020-06-26', 'UZ', 'Uzbekistan', 'EURO', '238', '7228', '1', '20');
INSERT INTO public.who_import VALUES (95212, '2020-06-27', 'UZ', 'Uzbekistan', 'EURO', '262', '7490', '0', '20');
INSERT INTO public.who_import VALUES (95213, '2020-06-28', 'UZ', 'Uzbekistan', 'EURO', '235', '7725', '0', '20');
INSERT INTO public.who_import VALUES (95214, '2020-06-29', 'UZ', 'Uzbekistan', 'EURO', '306', '8031', '2', '22');
INSERT INTO public.who_import VALUES (95215, '2020-06-30', 'UZ', 'Uzbekistan', 'EURO', '267', '8298', '2', '24');
INSERT INTO public.who_import VALUES (95216, '2020-07-01', 'UZ', 'Uzbekistan', 'EURO', '329', '8627', '2', '26');
INSERT INTO public.who_import VALUES (95217, '2020-07-02', 'UZ', 'Uzbekistan', 'EURO', '277', '8904', '0', '26');
INSERT INTO public.who_import VALUES (95218, '2020-07-03', 'UZ', 'Uzbekistan', 'EURO', '295', '9199', '1', '27');
INSERT INTO public.who_import VALUES (95219, '2020-07-04', 'UZ', 'Uzbekistan', 'EURO', '301', '9500', '2', '29');
INSERT INTO public.who_import VALUES (95220, '2020-07-05', 'UZ', 'Uzbekistan', 'EURO', '329', '9829', '2', '31');
INSERT INTO public.who_import VALUES (95221, '2020-07-06', 'UZ', 'Uzbekistan', 'EURO', '314', '10143', '4', '35');
INSERT INTO public.who_import VALUES (95222, '2020-07-07', 'UZ', 'Uzbekistan', 'EURO', '316', '10459', '3', '38');
INSERT INTO public.who_import VALUES (95223, '2020-07-08', 'UZ', 'Uzbekistan', 'EURO', '379', '10838', '3', '41');
INSERT INTO public.who_import VALUES (95224, '2020-07-09', 'UZ', 'Uzbekistan', 'EURO', '421', '11259', '6', '47');
INSERT INTO public.who_import VALUES (95225, '2020-07-10', 'UZ', 'Uzbekistan', 'EURO', '464', '11723', '5', '52');
INSERT INTO public.who_import VALUES (95226, '2020-07-11', 'UZ', 'Uzbekistan', 'EURO', '483', '12206', '3', '55');
INSERT INTO public.who_import VALUES (95227, '2020-07-12', 'UZ', 'Uzbekistan', 'EURO', '500', '12706', '3', '58');
INSERT INTO public.who_import VALUES (95228, '2020-07-13', 'UZ', 'Uzbekistan', 'EURO', '487', '13193', '3', '61');
INSERT INTO public.who_import VALUES (95229, '2020-07-14', 'UZ', 'Uzbekistan', 'EURO', '679', '13872', '3', '64');
INSERT INTO public.who_import VALUES (95230, '2020-07-15', 'UZ', 'Uzbekistan', 'EURO', '421', '14293', '4', '68');
INSERT INTO public.who_import VALUES (95231, '2020-07-16', 'UZ', 'Uzbekistan', 'EURO', '494', '14787', '4', '72');
INSERT INTO public.who_import VALUES (95232, '2020-07-17', 'UZ', 'Uzbekistan', 'EURO', '562', '15349', '4', '76');
INSERT INTO public.who_import VALUES (95233, '2020-07-18', 'UZ', 'Uzbekistan', 'EURO', '547', '15896', '4', '80');
INSERT INTO public.who_import VALUES (95234, '2020-07-19', 'UZ', 'Uzbekistan', 'EURO', '533', '16429', '4', '84');
INSERT INTO public.who_import VALUES (95235, '2020-07-20', 'UZ', 'Uzbekistan', 'EURO', '537', '16966', '4', '88');
INSERT INTO public.who_import VALUES (95236, '2020-07-21', 'UZ', 'Uzbekistan', 'EURO', '624', '17590', '4', '92');
INSERT INTO public.who_import VALUES (95237, '2020-07-22', 'UZ', 'Uzbekistan', 'EURO', '581', '18171', '4', '96');
INSERT INTO public.who_import VALUES (95238, '2020-07-23', 'UZ', 'Uzbekistan', 'EURO', '360', '18531', '3', '99');
INSERT INTO public.who_import VALUES (95239, '2020-07-24', 'UZ', 'Uzbekistan', 'EURO', '455', '18986', '4', '103');
INSERT INTO public.who_import VALUES (95240, '2020-07-25', 'UZ', 'Uzbekistan', 'EURO', '667', '19653', '1', '104');
INSERT INTO public.who_import VALUES (95241, '2020-07-26', 'UZ', 'Uzbekistan', 'EURO', '573', '20226', '8', '112');
INSERT INTO public.who_import VALUES (95242, '2020-07-27', 'UZ', 'Uzbekistan', 'EURO', '594', '20820', '5', '117');
INSERT INTO public.who_import VALUES (95243, '2020-07-28', 'UZ', 'Uzbekistan', 'EURO', '686', '21506', '2', '119');
INSERT INTO public.who_import VALUES (95244, '2020-07-29', 'UZ', 'Uzbekistan', 'EURO', '663', '22169', '10', '129');
INSERT INTO public.who_import VALUES (95245, '2020-07-30', 'UZ', 'Uzbekistan', 'EURO', '703', '22872', '3', '132');
INSERT INTO public.who_import VALUES (95246, '2020-07-31', 'UZ', 'Uzbekistan', 'EURO', '686', '23558', '5', '137');
INSERT INTO public.who_import VALUES (95247, '2020-08-01', 'UZ', 'Uzbekistan', 'EURO', '746', '24304', '6', '143');
INSERT INTO public.who_import VALUES (95248, '2020-08-02', 'UZ', 'Uzbekistan', 'EURO', '736', '25040', '6', '149');
INSERT INTO public.who_import VALUES (95249, '2020-08-03', 'UZ', 'Uzbekistan', 'EURO', '788', '25828', '6', '155');
INSERT INTO public.who_import VALUES (95250, '2020-08-04', 'UZ', 'Uzbekistan', 'EURO', '722', '26550', '6', '161');
INSERT INTO public.who_import VALUES (95251, '2020-08-05', 'UZ', 'Uzbekistan', 'EURO', '764', '27314', '6', '167');
INSERT INTO public.who_import VALUES (95252, '2020-08-06', 'UZ', 'Uzbekistan', 'EURO', '755', '28069', '6', '173');
INSERT INTO public.who_import VALUES (95253, '2020-08-07', 'UZ', 'Uzbekistan', 'EURO', '740', '28809', '6', '179');
INSERT INTO public.who_import VALUES (95254, '2020-08-08', 'UZ', 'Uzbekistan', 'EURO', '650', '29459', '6', '185');
INSERT INTO public.who_import VALUES (95255, '2020-08-09', 'UZ', 'Uzbekistan', 'EURO', '738', '30197', '5', '190');
INSERT INTO public.who_import VALUES (95256, '2020-08-10', 'UZ', 'Uzbekistan', 'EURO', '623', '30820', '6', '196');
INSERT INTO public.who_import VALUES (95257, '2020-08-11', 'UZ', 'Uzbekistan', 'EURO', '725', '31545', '6', '202');
INSERT INTO public.who_import VALUES (95258, '2020-08-12', 'UZ', 'Uzbekistan', 'EURO', '670', '32215', '6', '208');
INSERT INTO public.who_import VALUES (95259, '2020-08-13', 'UZ', 'Uzbekistan', 'EURO', '622', '32837', '5', '213');
INSERT INTO public.who_import VALUES (95260, '2020-08-14', 'UZ', 'Uzbekistan', 'EURO', '724', '33561', '5', '218');
INSERT INTO public.who_import VALUES (95261, '2020-08-15', 'UZ', 'Uzbekistan', 'EURO', '690', '34251', '5', '223');
INSERT INTO public.who_import VALUES (95262, '2020-08-16', 'UZ', 'Uzbekistan', 'EURO', '693', '34944', '5', '228');
INSERT INTO public.who_import VALUES (95263, '2020-08-17', 'UZ', 'Uzbekistan', 'EURO', '569', '35513', '6', '234');
INSERT INTO public.who_import VALUES (95264, '2020-08-18', 'UZ', 'Uzbekistan', 'EURO', '587', '36100', '6', '240');
INSERT INTO public.who_import VALUES (95265, '2020-08-19', 'UZ', 'Uzbekistan', 'EURO', '660', '36760', '5', '245');
INSERT INTO public.who_import VALUES (95266, '2020-08-20', 'UZ', 'Uzbekistan', 'EURO', '606', '37366', '5', '250');
INSERT INTO public.who_import VALUES (95267, '2020-08-21', 'UZ', 'Uzbekistan', 'EURO', '459', '37825', '6', '256');
INSERT INTO public.who_import VALUES (95268, '2020-08-22', 'UZ', 'Uzbekistan', 'EURO', '406', '38231', '6', '262');
INSERT INTO public.who_import VALUES (95269, '2020-08-23', 'UZ', 'Uzbekistan', 'EURO', '467', '38698', '7', '269');
INSERT INTO public.who_import VALUES (95270, '2020-08-24', 'UZ', 'Uzbekistan', 'EURO', '367', '39065', '6', '275');
INSERT INTO public.who_import VALUES (95271, '2020-08-25', 'UZ', 'Uzbekistan', 'EURO', '441', '39506', '7', '282');
INSERT INTO public.who_import VALUES (95272, '2020-08-26', 'UZ', 'Uzbekistan', 'EURO', '284', '39790', '7', '289');
INSERT INTO public.who_import VALUES (95273, '2020-08-27', 'UZ', 'Uzbekistan', 'EURO', '405', '40195', '6', '295');
INSERT INTO public.who_import VALUES (95274, '2020-08-28', 'UZ', 'Uzbekistan', 'EURO', '418', '40613', '5', '300');
INSERT INTO public.who_import VALUES (95275, '2020-08-29', 'UZ', 'Uzbekistan', 'EURO', '340', '40953', '5', '305');
INSERT INTO public.who_import VALUES (95276, '2020-08-30', 'UZ', 'Uzbekistan', 'EURO', '350', '41303', '6', '311');
INSERT INTO public.who_import VALUES (95277, '2020-08-31', 'UZ', 'Uzbekistan', 'EURO', '348', '41651', '6', '317');
INSERT INTO public.who_import VALUES (95278, '2020-09-01', 'UZ', 'Uzbekistan', 'EURO', '343', '41994', '5', '322');
INSERT INTO public.who_import VALUES (95279, '2020-09-02', 'UZ', 'Uzbekistan', 'EURO', '376', '42370', '4', '326');
INSERT INTO public.who_import VALUES (95280, '2020-09-03', 'UZ', 'Uzbekistan', 'EURO', '170', '42540', '3', '329');
INSERT INTO public.who_import VALUES (95281, '2020-09-04', 'UZ', 'Uzbekistan', 'EURO', '363', '42903', '7', '336');
INSERT INTO public.who_import VALUES (95282, '2020-09-05', 'UZ', 'Uzbekistan', 'EURO', '266', '43169', '2', '338');
INSERT INTO public.who_import VALUES (95283, '2020-09-06', 'UZ', 'Uzbekistan', 'EURO', '307', '43476', '5', '343');
INSERT INTO public.who_import VALUES (95284, '2020-09-07', 'UZ', 'Uzbekistan', 'EURO', '299', '43775', '7', '350');
INSERT INTO public.who_import VALUES (95285, '2020-09-08', 'UZ', 'Uzbekistan', 'EURO', '332', '44107', '6', '356');
INSERT INTO public.who_import VALUES (95286, '2020-09-09', 'UZ', 'Uzbekistan', 'EURO', '450', '44557', '6', '362');
INSERT INTO public.who_import VALUES (95287, '2020-09-10', 'UZ', 'Uzbekistan', 'EURO', '603', '45160', '6', '368');
INSERT INTO public.who_import VALUES (95288, '2020-09-11', 'UZ', 'Uzbekistan', 'EURO', '767', '45927', '7', '375');
INSERT INTO public.who_import VALUES (95289, '2020-09-12', 'UZ', 'Uzbekistan', 'EURO', '571', '46498', '7', '382');
INSERT INTO public.who_import VALUES (95290, '2020-09-13', 'UZ', 'Uzbekistan', 'EURO', '544', '47042', '6', '388');
INSERT INTO public.who_import VALUES (95291, '2020-09-14', 'UZ', 'Uzbekistan', 'EURO', '578', '47620', '6', '394');
INSERT INTO public.who_import VALUES (95292, '2020-09-15', 'UZ', 'Uzbekistan', 'EURO', '572', '48192', '6', '400');
INSERT INTO public.who_import VALUES (95293, '2020-09-16', 'UZ', 'Uzbekistan', 'EURO', '584', '48776', '5', '405');
INSERT INTO public.who_import VALUES (95294, '2020-09-17', 'UZ', 'Uzbekistan', 'EURO', '609', '49385', '6', '411');
INSERT INTO public.who_import VALUES (95295, '2020-09-18', 'UZ', 'Uzbekistan', 'EURO', '609', '49994', '6', '417');
INSERT INTO public.who_import VALUES (95296, '2020-09-19', 'UZ', 'Uzbekistan', 'EURO', '640', '50634', '6', '423');
INSERT INTO public.who_import VALUES (95297, '2020-09-20', 'UZ', 'Uzbekistan', 'EURO', '601', '51235', '6', '429');
INSERT INTO public.who_import VALUES (95298, '2020-09-21', 'UZ', 'Uzbekistan', 'EURO', '554', '51789', '6', '435');
INSERT INTO public.who_import VALUES (95299, '2020-09-22', 'UZ', 'Uzbekistan', 'EURO', '702', '52491', '5', '440');
INSERT INTO public.who_import VALUES (95300, '2020-09-23', 'UZ', 'Uzbekistan', 'EURO', '560', '53051', '3', '443');
INSERT INTO public.who_import VALUES (95301, '2020-09-24', 'UZ', 'Uzbekistan', 'EURO', '616', '53667', '2', '445');
INSERT INTO public.who_import VALUES (95302, '2020-09-25', 'UZ', 'Uzbekistan', 'EURO', '514', '54181', '3', '448');
INSERT INTO public.who_import VALUES (95303, '2020-09-26', 'UZ', 'Uzbekistan', 'EURO', '281', '54462', '2', '450');
INSERT INTO public.who_import VALUES (95304, '2020-09-27', 'UZ', 'Uzbekistan', 'EURO', '491', '54953', '4', '454');
INSERT INTO public.who_import VALUES (95305, '2020-09-28', 'UZ', 'Uzbekistan', 'EURO', '640', '55593', '6', '460');
INSERT INTO public.who_import VALUES (95306, '2020-09-29', 'UZ', 'Uzbekistan', 'EURO', '475', '56068', '3', '463');
INSERT INTO public.who_import VALUES (95307, '2020-09-30', 'UZ', 'Uzbekistan', 'EURO', '451', '56519', '5', '468');
INSERT INTO public.who_import VALUES (95308, '2020-10-01', 'UZ', 'Uzbekistan', 'EURO', '800', '57319', '6', '474');
INSERT INTO public.who_import VALUES (95309, '2020-10-02', 'UZ', 'Uzbekistan', 'EURO', '457', '57776', '1', '475');
INSERT INTO public.who_import VALUES (95310, '2020-10-03', 'UZ', 'Uzbekistan', 'EURO', '0', '57776', '0', '475');
INSERT INTO public.who_import VALUES (95311, '2020-10-04', 'UZ', 'Uzbekistan', 'EURO', '645', '58421', '4', '479');
INSERT INTO public.who_import VALUES (95312, '2020-10-05', 'UZ', 'Uzbekistan', 'EURO', '438', '58859', '4', '483');
INSERT INTO public.who_import VALUES (95313, '2020-10-06', 'UZ', 'Uzbekistan', 'EURO', '338', '59197', '4', '487');
INSERT INTO public.who_import VALUES (95314, '2020-10-07', 'UZ', 'Uzbekistan', 'EURO', '382', '59579', '4', '491');
INSERT INTO public.who_import VALUES (95315, '2020-10-08', 'UZ', 'Uzbekistan', 'EURO', '326', '59905', '3', '494');
INSERT INTO public.who_import VALUES (95316, '2020-10-09', 'UZ', 'Uzbekistan', 'EURO', '328', '60233', '3', '497');
INSERT INTO public.who_import VALUES (95317, '2020-10-10', 'UZ', 'Uzbekistan', 'EURO', '329', '60562', '3', '500');
INSERT INTO public.who_import VALUES (95318, '2020-10-11', 'UZ', 'Uzbekistan', 'EURO', '332', '60894', '3', '503');
INSERT INTO public.who_import VALUES (95319, '2020-10-12', 'UZ', 'Uzbekistan', 'EURO', '311', '61205', '4', '507');
INSERT INTO public.who_import VALUES (95320, '2020-10-13', 'UZ', 'Uzbekistan', 'EURO', '329', '61534', '3', '510');
INSERT INTO public.who_import VALUES (95321, '2020-10-14', 'UZ', 'Uzbekistan', 'EURO', '325', '61859', '2', '512');
INSERT INTO public.who_import VALUES (95322, '2020-10-15', 'UZ', 'Uzbekistan', 'EURO', '316', '62175', '4', '516');
INSERT INTO public.who_import VALUES (95323, '2020-10-16', 'UZ', 'Uzbekistan', 'EURO', '309', '62484', '3', '519');
INSERT INTO public.who_import VALUES (95324, '2020-10-17', 'UZ', 'Uzbekistan', 'EURO', '325', '62809', '3', '522');
INSERT INTO public.who_import VALUES (95325, '2020-10-18', 'UZ', 'Uzbekistan', 'EURO', '315', '63124', '3', '525');
INSERT INTO public.who_import VALUES (95326, '2020-10-19', 'UZ', 'Uzbekistan', 'EURO', '306', '63430', '4', '529');
INSERT INTO public.who_import VALUES (95327, '2020-10-20', 'UZ', 'Uzbekistan', 'EURO', '307', '63737', '4', '533');
INSERT INTO public.who_import VALUES (95328, '2020-10-21', 'UZ', 'Uzbekistan', 'EURO', '273', '64010', '1', '534');
INSERT INTO public.who_import VALUES (95329, '2020-10-22', 'UZ', 'Uzbekistan', 'EURO', '325', '64335', '4', '538');
INSERT INTO public.who_import VALUES (95330, '2020-10-23', 'UZ', 'Uzbekistan', 'EURO', '298', '64633', '3', '541');
INSERT INTO public.who_import VALUES (95331, '2020-10-24', 'UZ', 'Uzbekistan', 'EURO', '290', '64923', '3', '544');
INSERT INTO public.who_import VALUES (95332, '2020-10-25', 'UZ', 'Uzbekistan', 'EURO', '277', '65200', '3', '547');
INSERT INTO public.who_import VALUES (95333, '2020-10-26', 'UZ', 'Uzbekistan', 'EURO', '280', '65480', '3', '550');
INSERT INTO public.who_import VALUES (95334, '2020-10-27', 'UZ', 'Uzbekistan', 'EURO', '285', '65765', '4', '554');
INSERT INTO public.who_import VALUES (95335, '2020-10-28', 'UZ', 'Uzbekistan', 'EURO', '272', '66037', '3', '557');
INSERT INTO public.who_import VALUES (95336, '2020-10-29', 'UZ', 'Uzbekistan', 'EURO', '276', '66313', '3', '560');
INSERT INTO public.who_import VALUES (95337, '2020-10-30', 'UZ', 'Uzbekistan', 'EURO', '229', '66542', '2', '562');
INSERT INTO public.who_import VALUES (95338, '2020-10-31', 'UZ', 'Uzbekistan', 'EURO', '259', '66801', '2', '564');
INSERT INTO public.who_import VALUES (95339, '2020-11-01', 'UZ', 'Uzbekistan', 'EURO', '254', '67055', '4', '568');
INSERT INTO public.who_import VALUES (95340, '2020-11-02', 'UZ', 'Uzbekistan', 'EURO', '199', '67254', '3', '571');
INSERT INTO public.who_import VALUES (95341, '2020-11-03', 'UZ', 'Uzbekistan', 'EURO', '247', '67501', '2', '573');
INSERT INTO public.who_import VALUES (95342, '2020-11-04', 'UZ', 'Uzbekistan', 'EURO', '197', '67698', '2', '575');
INSERT INTO public.who_import VALUES (95343, '2020-11-05', 'UZ', 'Uzbekistan', 'EURO', '234', '67932', '4', '579');
INSERT INTO public.who_import VALUES (95344, '2020-11-06', 'UZ', 'Uzbekistan', 'EURO', '207', '68139', '0', '579');
INSERT INTO public.who_import VALUES (95345, '2020-11-07', 'UZ', 'Uzbekistan', 'EURO', '84', '68223', '0', '579');
INSERT INTO public.who_import VALUES (95346, '2020-11-08', 'UZ', 'Uzbekistan', 'EURO', '370', '68593', '2', '581');
INSERT INTO public.who_import VALUES (95347, '2020-11-09', 'UZ', 'Uzbekistan', 'EURO', '195', '68788', '4', '585');
INSERT INTO public.who_import VALUES (95348, '2020-11-10', 'UZ', 'Uzbekistan', 'EURO', '239', '69027', '3', '588');
INSERT INTO public.who_import VALUES (95349, '2020-11-11', 'UZ', 'Uzbekistan', 'EURO', '146', '69173', '1', '589');
INSERT INTO public.who_import VALUES (95350, '2020-11-12', 'UZ', 'Uzbekistan', 'EURO', '224', '69397', '2', '591');
INSERT INTO public.who_import VALUES (95351, '2020-11-13', 'UZ', 'Uzbekistan', 'EURO', '283', '69680', '3', '594');
INSERT INTO public.who_import VALUES (95352, '2020-11-14', 'UZ', 'Uzbekistan', 'EURO', '234', '69914', '2', '596');
INSERT INTO public.who_import VALUES (95353, '2020-11-15', 'UZ', 'Uzbekistan', 'EURO', '188', '70102', '2', '598');
INSERT INTO public.who_import VALUES (95354, '2020-11-16', 'UZ', 'Uzbekistan', 'EURO', '141', '70243', '0', '598');
INSERT INTO public.who_import VALUES (95355, '2020-11-17', 'UZ', 'Uzbekistan', 'EURO', '201', '70444', '0', '598');
INSERT INTO public.who_import VALUES (95356, '2020-11-18', 'UZ', 'Uzbekistan', 'EURO', '204', '70648', '1', '599');
INSERT INTO public.who_import VALUES (95357, '2020-11-19', 'UZ', 'Uzbekistan', 'EURO', '210', '70858', '2', '601');
INSERT INTO public.who_import VALUES (95358, '2020-11-20', 'UZ', 'Uzbekistan', 'EURO', '213', '71071', '1', '602');
INSERT INTO public.who_import VALUES (95359, '2020-11-21', 'UZ', 'Uzbekistan', 'EURO', '209', '71280', '1', '603');
INSERT INTO public.who_import VALUES (95360, '2020-11-22', 'UZ', 'Uzbekistan', 'EURO', '272', '71552', '0', '603');
INSERT INTO public.who_import VALUES (95361, '2020-11-23', 'UZ', 'Uzbekistan', 'EURO', '161', '71713', '0', '603');
INSERT INTO public.who_import VALUES (95362, '2020-11-24', 'UZ', 'Uzbekistan', 'EURO', '134', '71847', '1', '604');
INSERT INTO public.who_import VALUES (95363, '2020-11-25', 'UZ', 'Uzbekistan', 'EURO', '192', '72039', '1', '605');
INSERT INTO public.who_import VALUES (95364, '2020-11-26', 'UZ', 'Uzbekistan', 'EURO', '188', '72227', '1', '606');
INSERT INTO public.who_import VALUES (95365, '2020-11-27', 'UZ', 'Uzbekistan', 'EURO', '182', '72409', '1', '607');
INSERT INTO public.who_import VALUES (95366, '2020-11-28', 'UZ', 'Uzbekistan', 'EURO', '173', '72582', '1', '608');
INSERT INTO public.who_import VALUES (95367, '2020-11-29', 'UZ', 'Uzbekistan', 'EURO', '227', '72809', '0', '608');
INSERT INTO public.who_import VALUES (95368, '2020-11-30', 'UZ', 'Uzbekistan', 'EURO', '111', '72920', '0', '608');
INSERT INTO public.who_import VALUES (95369, '2020-12-01', 'UZ', 'Uzbekistan', 'EURO', '174', '73094', '2', '610');
INSERT INTO public.who_import VALUES (95370, '2020-12-02', 'UZ', 'Uzbekistan', 'EURO', '182', '73276', '1', '611');
INSERT INTO public.who_import VALUES (95371, '2020-12-03', 'UZ', 'Uzbekistan', 'EURO', '155', '73431', '0', '611');
INSERT INTO public.who_import VALUES (95372, '2020-12-04', 'UZ', 'Uzbekistan', 'EURO', '161', '73592', '0', '611');
INSERT INTO public.who_import VALUES (95373, '2020-12-05', 'UZ', 'Uzbekistan', 'EURO', '159', '73751', '0', '611');
INSERT INTO public.who_import VALUES (95374, '2020-12-06', 'UZ', 'Uzbekistan', 'EURO', '153', '73904', '0', '611');
INSERT INTO public.who_import VALUES (95375, '2020-12-07', 'UZ', 'Uzbekistan', 'EURO', '149', '74053', '0', '611');
INSERT INTO public.who_import VALUES (95376, '2020-12-08', 'UZ', 'Uzbekistan', 'EURO', '153', '74206', '0', '611');
INSERT INTO public.who_import VALUES (95377, '2020-12-09', 'UZ', 'Uzbekistan', 'EURO', '146', '74352', '0', '611');
INSERT INTO public.who_import VALUES (95378, '2020-12-10', 'UZ', 'Uzbekistan', 'EURO', '146', '74498', '0', '611');
INSERT INTO public.who_import VALUES (95379, '2020-12-11', 'UZ', 'Uzbekistan', 'EURO', '166', '74664', '0', '611');
INSERT INTO public.who_import VALUES (95380, '2020-12-12', 'UZ', 'Uzbekistan', 'EURO', '147', '74811', '1', '612');
INSERT INTO public.who_import VALUES (95381, '2020-12-13', 'UZ', 'Uzbekistan', 'EURO', '0', '74811', '0', '612');
INSERT INTO public.who_import VALUES (95382, '2020-12-14', 'UZ', 'Uzbekistan', 'EURO', '283', '75094', '0', '612');
INSERT INTO public.who_import VALUES (95383, '2020-12-15', 'UZ', 'Uzbekistan', 'EURO', '147', '75241', '0', '612');
INSERT INTO public.who_import VALUES (95384, '2020-12-16', 'UZ', 'Uzbekistan', 'EURO', '155', '75396', '0', '612');
INSERT INTO public.who_import VALUES (95385, '2020-12-17', 'UZ', 'Uzbekistan', 'EURO', '142', '75538', '0', '612');
INSERT INTO public.who_import VALUES (95386, '2020-12-18', 'UZ', 'Uzbekistan', 'EURO', '137', '75675', '0', '612');
INSERT INTO public.who_import VALUES (95387, '2020-12-19', 'UZ', 'Uzbekistan', 'EURO', '131', '75806', '0', '612');
INSERT INTO public.who_import VALUES (95388, '2020-12-20', 'UZ', 'Uzbekistan', 'EURO', '0', '75806', '0', '612');
INSERT INTO public.who_import VALUES (95389, '2020-12-21', 'UZ', 'Uzbekistan', 'EURO', '242', '76048', '0', '612');
INSERT INTO public.who_import VALUES (95390, '2020-12-22', 'UZ', 'Uzbekistan', 'EURO', '0', '76048', '0', '612');
INSERT INTO public.who_import VALUES (95391, '2020-12-23', 'UZ', 'Uzbekistan', 'EURO', '267', '76315', '0', '612');
INSERT INTO public.who_import VALUES (95392, '2020-12-24', 'UZ', 'Uzbekistan', 'EURO', '141', '76456', '0', '612');
INSERT INTO public.who_import VALUES (95393, '2020-12-25', 'UZ', 'Uzbekistan', 'EURO', '112', '76568', '0', '612');
INSERT INTO public.who_import VALUES (95394, '2020-12-26', 'UZ', 'Uzbekistan', 'EURO', '98', '76666', '0', '612');
INSERT INTO public.who_import VALUES (95395, '2020-12-27', 'UZ', 'Uzbekistan', 'EURO', '85', '76751', '1', '613');
INSERT INTO public.who_import VALUES (95396, '2020-12-28', 'UZ', 'Uzbekistan', 'EURO', '81', '76832', '0', '613');
INSERT INTO public.who_import VALUES (95397, '2020-12-29', 'UZ', 'Uzbekistan', 'EURO', '75', '76907', '0', '613');
INSERT INTO public.who_import VALUES (95398, '2020-12-30', 'UZ', 'Uzbekistan', 'EURO', '78', '76985', '1', '614');
INSERT INTO public.who_import VALUES (95399, '2020-12-31', 'UZ', 'Uzbekistan', 'EURO', '75', '77060', '0', '614');
INSERT INTO public.who_import VALUES (95400, '2021-01-01', 'UZ', 'Uzbekistan', 'EURO', '66', '77126', '0', '614');
INSERT INTO public.who_import VALUES (95401, '2021-01-02', 'UZ', 'Uzbekistan', 'EURO', '56', '77182', '0', '614');
INSERT INTO public.who_import VALUES (95402, '2021-01-03', 'UZ', 'Uzbekistan', 'EURO', '56', '77238', '0', '614');
INSERT INTO public.who_import VALUES (95403, '2021-01-04', 'UZ', 'Uzbekistan', 'EURO', '20', '77258', '0', '614');
INSERT INTO public.who_import VALUES (95404, '2021-01-05', 'UZ', 'Uzbekistan', 'EURO', '37', '77295', '0', '614');
INSERT INTO public.who_import VALUES (95405, '2021-01-06', 'UZ', 'Uzbekistan', 'EURO', '55', '77350', '1', '615');
INSERT INTO public.who_import VALUES (95406, '2021-01-07', 'UZ', 'Uzbekistan', 'EURO', '62', '77412', '0', '615');
INSERT INTO public.who_import VALUES (95407, '2021-01-08', 'UZ', 'Uzbekistan', 'EURO', '73', '77485', '1', '616');
INSERT INTO public.who_import VALUES (95408, '2021-01-09', 'UZ', 'Uzbekistan', 'EURO', '45', '77530', '0', '616');
INSERT INTO public.who_import VALUES (95409, '2021-01-10', 'UZ', 'Uzbekistan', 'EURO', '42', '77572', '1', '617');
INSERT INTO public.who_import VALUES (95410, '2021-01-11', 'UZ', 'Uzbekistan', 'EURO', '39', '77611', '0', '617');
INSERT INTO public.who_import VALUES (95411, '2021-01-12', 'UZ', 'Uzbekistan', 'EURO', '52', '77663', '0', '617');
INSERT INTO public.who_import VALUES (95412, '2021-01-13', 'UZ', 'Uzbekistan', 'EURO', '53', '77716', '1', '618');
INSERT INTO public.who_import VALUES (95413, '2021-01-14', 'UZ', 'Uzbekistan', 'EURO', '61', '77777', '0', '618');
INSERT INTO public.who_import VALUES (95414, '2021-01-15', 'UZ', 'Uzbekistan', 'EURO', '68', '77845', '1', '619');
INSERT INTO public.who_import VALUES (95415, '2021-01-16', 'UZ', 'Uzbekistan', 'EURO', '59', '77904', '0', '619');
INSERT INTO public.who_import VALUES (95416, '2021-01-17', 'UZ', 'Uzbekistan', 'EURO', '64', '77968', '0', '619');
INSERT INTO public.who_import VALUES (95417, '2021-01-18', 'UZ', 'Uzbekistan', 'EURO', '68', '78036', '0', '619');
INSERT INTO public.who_import VALUES (95418, '2021-01-19', 'UZ', 'Uzbekistan', 'EURO', '55', '78091', '1', '620');
INSERT INTO public.who_import VALUES (95419, '2021-01-20', 'UZ', 'Uzbekistan', 'EURO', '72', '78163', '0', '620');
INSERT INTO public.who_import VALUES (95420, '2021-01-21', 'UZ', 'Uzbekistan', 'EURO', '56', '78219', '0', '620');
INSERT INTO public.who_import VALUES (95421, '2021-01-22', 'UZ', 'Uzbekistan', 'EURO', '53', '78272', '0', '620');
INSERT INTO public.who_import VALUES (95422, '2021-01-23', 'UZ', 'Uzbekistan', 'EURO', '45', '78317', '1', '621');
INSERT INTO public.who_import VALUES (95423, '2021-01-24', 'UZ', 'Uzbekistan', 'EURO', '58', '78375', '0', '621');
INSERT INTO public.who_import VALUES (95424, '2021-01-25', 'UZ', 'Uzbekistan', 'EURO', '54', '78429', '0', '621');
INSERT INTO public.who_import VALUES (95425, '2021-01-26', 'UZ', 'Uzbekistan', 'EURO', '42', '78471', '0', '621');
INSERT INTO public.who_import VALUES (95426, '2021-01-27', 'UZ', 'Uzbekistan', 'EURO', '39', '78510', '0', '621');
INSERT INTO public.who_import VALUES (95427, '2021-01-28', 'UZ', 'Uzbekistan', 'EURO', '46', '78556', '0', '621');
INSERT INTO public.who_import VALUES (95428, '2021-01-29', 'UZ', 'Uzbekistan', 'EURO', '46', '78602', '0', '621');
INSERT INTO public.who_import VALUES (95429, '2021-01-30', 'UZ', 'Uzbekistan', 'EURO', '70', '78672', '0', '621');
INSERT INTO public.who_import VALUES (95430, '2021-01-31', 'UZ', 'Uzbekistan', 'EURO', '39', '78711', '0', '621');
INSERT INTO public.who_import VALUES (95431, '2021-02-01', 'UZ', 'Uzbekistan', 'EURO', '44', '78755', '0', '621');
INSERT INTO public.who_import VALUES (95432, '2021-02-02', 'UZ', 'Uzbekistan', 'EURO', '46', '78801', '0', '621');
INSERT INTO public.who_import VALUES (95433, '2021-02-03', 'UZ', 'Uzbekistan', 'EURO', '58', '78859', '0', '621');
INSERT INTO public.who_import VALUES (95434, '2021-02-04', 'UZ', 'Uzbekistan', 'EURO', '57', '78916', '0', '621');
INSERT INTO public.who_import VALUES (95435, '2021-02-05', 'UZ', 'Uzbekistan', 'EURO', '73', '78989', '0', '621');
INSERT INTO public.who_import VALUES (95436, '2021-02-06', 'UZ', 'Uzbekistan', 'EURO', '56', '79045', '0', '621');
INSERT INTO public.who_import VALUES (95437, '2021-02-07', 'UZ', 'Uzbekistan', 'EURO', '53', '79098', '0', '621');
INSERT INTO public.who_import VALUES (95438, '2021-02-08', 'UZ', 'Uzbekistan', 'EURO', '64', '79162', '0', '621');
INSERT INTO public.who_import VALUES (95439, '2021-02-09', 'UZ', 'Uzbekistan', 'EURO', '42', '79204', '0', '621');
INSERT INTO public.who_import VALUES (95440, '2021-02-10', 'UZ', 'Uzbekistan', 'EURO', '33', '79237', '0', '621');
INSERT INTO public.who_import VALUES (95441, '2021-02-11', 'UZ', 'Uzbekistan', 'EURO', '66', '79303', '1', '622');
INSERT INTO public.who_import VALUES (95442, '2021-02-12', 'UZ', 'Uzbekistan', 'EURO', '37', '79340', '0', '622');
INSERT INTO public.who_import VALUES (95443, '2021-02-13', 'UZ', 'Uzbekistan', 'EURO', '41', '79381', '0', '622');
INSERT INTO public.who_import VALUES (95444, '2021-02-14', 'UZ', 'Uzbekistan', 'EURO', '35', '79416', '0', '622');
INSERT INTO public.who_import VALUES (95445, '2021-02-15', 'UZ', 'Uzbekistan', 'EURO', '26', '79442', '0', '622');
INSERT INTO public.who_import VALUES (95446, '2021-02-16', 'UZ', 'Uzbekistan', 'EURO', '19', '79461', '0', '622');
INSERT INTO public.who_import VALUES (95447, '2021-02-17', 'UZ', 'Uzbekistan', 'EURO', '36', '79497', '0', '622');
INSERT INTO public.who_import VALUES (95448, '2021-02-18', 'UZ', 'Uzbekistan', 'EURO', '51', '79548', '0', '622');
INSERT INTO public.who_import VALUES (95449, '2021-02-19', 'UZ', 'Uzbekistan', 'EURO', '50', '79598', '0', '622');
INSERT INTO public.who_import VALUES (95450, '2021-02-20', 'UZ', 'Uzbekistan', 'EURO', '34', '79632', '0', '622');
INSERT INTO public.who_import VALUES (95451, '2020-01-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95452, '2020-01-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95453, '2020-01-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95454, '2020-01-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95455, '2020-01-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95456, '2020-01-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95457, '2020-01-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95458, '2020-01-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95459, '2020-01-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95460, '2020-01-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95461, '2020-01-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95462, '2020-01-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95463, '2020-01-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95464, '2020-01-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95465, '2020-01-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95466, '2020-01-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95467, '2020-01-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95468, '2020-01-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95469, '2020-01-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95470, '2020-01-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95471, '2020-01-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95472, '2020-01-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95473, '2020-01-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95474, '2020-01-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95475, '2020-01-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95476, '2020-01-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95477, '2020-01-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95478, '2020-01-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95479, '2020-01-31', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95480, '2020-02-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95481, '2020-02-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95482, '2020-02-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95483, '2020-02-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95484, '2020-02-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95485, '2020-02-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95486, '2020-02-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95487, '2020-02-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95488, '2020-02-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95489, '2020-02-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95490, '2020-02-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95491, '2020-02-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95492, '2020-02-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95493, '2020-02-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95494, '2020-02-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95495, '2020-02-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95496, '2020-02-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95497, '2020-02-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95498, '2020-02-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95499, '2020-02-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95500, '2020-02-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95501, '2020-02-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95502, '2020-02-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95503, '2020-02-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95504, '2020-02-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95505, '2020-02-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95506, '2020-02-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95507, '2020-02-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95508, '2020-02-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95509, '2020-03-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95510, '2020-03-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95511, '2020-03-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95512, '2020-03-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95513, '2020-03-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95514, '2020-03-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95515, '2020-03-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95516, '2020-03-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95517, '2020-03-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95518, '2020-03-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95519, '2020-03-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95520, '2020-03-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95521, '2020-03-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95522, '2020-03-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95523, '2020-03-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95524, '2020-03-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95525, '2020-03-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95526, '2020-03-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95527, '2020-03-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95528, '2020-03-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95529, '2020-03-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95530, '2020-03-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95531, '2020-03-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95532, '2020-03-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95533, '2020-03-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95534, '2020-03-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95535, '2020-03-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95536, '2020-03-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95552, '2020-04-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95553, '2020-04-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95554, '2020-04-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95555, '2020-04-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95556, '2020-04-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95557, '2020-04-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95558, '2020-04-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95559, '2020-04-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95560, '2020-04-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95561, '2020-04-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95562, '2020-04-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95563, '2020-04-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95564, '2020-04-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95565, '2020-04-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95566, '2020-04-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95567, '2020-04-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95568, '2020-04-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95569, '2020-04-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95570, '2020-05-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95571, '2020-05-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95572, '2020-05-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95573, '2020-05-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95574, '2020-05-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95575, '2020-05-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95576, '2020-05-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95577, '2020-05-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95578, '2020-05-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95579, '2020-05-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95580, '2020-05-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95581, '2020-05-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95582, '2020-05-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95583, '2020-05-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95584, '2020-05-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95585, '2020-05-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95586, '2020-05-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95587, '2020-05-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95588, '2020-05-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95589, '2020-05-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95590, '2020-05-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95591, '2020-05-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95592, '2020-05-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95593, '2020-05-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95594, '2020-05-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95595, '2020-05-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95596, '2020-05-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95597, '2020-05-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95598, '2020-05-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95599, '2020-05-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95600, '2020-05-31', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95601, '2020-06-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95602, '2020-06-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95603, '2020-06-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95604, '2020-06-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95605, '2020-06-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95606, '2020-06-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95607, '2020-06-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95608, '2020-06-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95609, '2020-06-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95610, '2020-06-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95611, '2020-06-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95612, '2020-06-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95613, '2020-06-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95614, '2020-06-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95615, '2020-06-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95616, '2020-06-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95617, '2020-06-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95618, '2020-06-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95619, '2020-06-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95620, '2020-06-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95621, '2020-06-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95622, '2020-06-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95623, '2020-06-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95624, '2020-06-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95625, '2020-06-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95626, '2020-06-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95627, '2020-06-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95628, '2020-06-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95629, '2020-06-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95630, '2020-06-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95631, '2020-07-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95632, '2020-07-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95633, '2020-07-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95634, '2020-07-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95635, '2020-07-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95636, '2020-07-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95637, '2020-07-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95638, '2020-07-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95639, '2020-07-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95640, '2020-07-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95641, '2020-07-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95642, '2020-07-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95643, '2020-07-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95644, '2020-07-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95645, '2020-07-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95646, '2020-07-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95647, '2020-07-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95648, '2020-07-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95649, '2020-07-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95650, '2020-07-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95651, '2020-07-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95652, '2020-07-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95653, '2020-07-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95654, '2020-07-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95655, '2020-07-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95656, '2020-07-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95657, '2020-07-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95658, '2020-07-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95659, '2020-07-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95660, '2020-07-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95661, '2020-07-31', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95662, '2020-08-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95663, '2020-08-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95664, '2020-08-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95665, '2020-08-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95666, '2020-08-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95667, '2020-08-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95668, '2020-08-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95669, '2020-08-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95670, '2020-08-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95671, '2020-08-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95672, '2020-08-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95673, '2020-08-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95674, '2020-08-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95675, '2020-08-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95676, '2020-08-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95677, '2020-08-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95678, '2020-08-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95679, '2020-08-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95680, '2020-08-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95681, '2020-08-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95682, '2020-08-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95683, '2020-08-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95684, '2020-08-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95685, '2020-08-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95686, '2020-08-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95687, '2020-08-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95688, '2020-08-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95689, '2020-08-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95690, '2020-08-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95691, '2020-08-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95692, '2020-08-31', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95693, '2020-09-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95694, '2020-09-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95695, '2020-09-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95696, '2020-09-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95697, '2020-09-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95698, '2020-09-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95699, '2020-09-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95700, '2020-09-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95701, '2020-09-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95702, '2020-09-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95703, '2020-09-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95704, '2020-09-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95705, '2020-09-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95706, '2020-09-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95707, '2020-09-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95708, '2020-09-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95709, '2020-09-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95710, '2020-09-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95711, '2020-09-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95712, '2020-09-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95713, '2020-09-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95714, '2020-09-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95715, '2020-09-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95716, '2020-09-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95717, '2020-09-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95718, '2020-09-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95719, '2020-09-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95720, '2020-09-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95721, '2020-09-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95722, '2020-09-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95723, '2020-10-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95724, '2020-10-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95725, '2020-10-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95726, '2020-10-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95727, '2020-10-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95728, '2020-10-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95729, '2020-10-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95730, '2020-10-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95731, '2020-10-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95732, '2020-10-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95733, '2020-10-11', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95734, '2020-10-12', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95735, '2020-10-13', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95736, '2020-10-14', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95737, '2020-10-15', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95738, '2020-10-16', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95739, '2020-10-17', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95740, '2020-10-18', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95741, '2020-10-19', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95742, '2020-10-20', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95743, '2020-10-21', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95744, '2020-10-22', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95745, '2020-10-23', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95746, '2020-10-24', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95747, '2020-10-25', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95748, '2020-10-26', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95749, '2020-10-27', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95750, '2020-10-28', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95751, '2020-10-29', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95752, '2020-10-30', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95753, '2020-10-31', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95754, '2020-11-01', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95755, '2020-11-02', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95756, '2020-11-03', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95757, '2020-11-04', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95758, '2020-11-05', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95759, '2020-11-06', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95760, '2020-11-07', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95761, '2020-11-08', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95762, '2020-11-09', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95763, '2020-11-10', 'VU', 'Vanuatu', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95764, '2020-11-11', 'VU', 'Vanuatu', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (95765, '2020-11-12', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95766, '2020-11-13', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95767, '2020-11-14', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95768, '2020-11-15', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95769, '2020-11-16', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95770, '2020-11-17', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95771, '2020-11-18', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95772, '2020-11-19', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95773, '2020-11-20', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95774, '2020-11-21', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95775, '2020-11-22', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95776, '2020-11-23', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95777, '2020-11-24', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95778, '2020-11-25', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95779, '2020-11-26', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95780, '2020-11-27', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95781, '2020-11-28', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95782, '2020-11-29', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95783, '2020-11-30', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95784, '2020-12-01', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95785, '2020-12-02', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95786, '2020-12-03', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95787, '2020-12-04', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95788, '2020-12-05', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95789, '2020-12-06', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95790, '2020-12-07', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95791, '2020-12-08', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95792, '2020-12-09', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95793, '2020-12-10', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95794, '2020-12-11', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95795, '2020-12-12', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95796, '2020-12-13', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95797, '2020-12-14', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95798, '2020-12-15', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95799, '2020-12-16', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95800, '2020-12-17', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95801, '2020-12-18', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95802, '2020-12-19', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95803, '2020-12-20', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95804, '2020-12-21', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95805, '2020-12-22', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95806, '2020-12-23', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95807, '2020-12-24', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95808, '2020-12-25', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95809, '2020-12-26', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95810, '2020-12-27', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95811, '2020-12-28', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95812, '2020-12-29', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95813, '2020-12-30', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95814, '2020-12-31', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95815, '2021-01-01', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95816, '2021-01-02', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95817, '2021-01-03', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95818, '2021-01-04', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95819, '2021-01-05', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95820, '2021-01-06', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95821, '2021-01-07', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95822, '2021-01-08', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95823, '2021-01-09', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95824, '2021-01-10', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95825, '2021-01-11', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95826, '2021-01-12', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95827, '2021-01-13', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95828, '2021-01-14', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95829, '2021-01-15', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95830, '2021-01-16', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95831, '2021-01-17', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95832, '2021-01-18', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95833, '2021-01-19', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95834, '2021-01-20', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95835, '2021-01-21', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95836, '2021-01-22', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95837, '2021-01-23', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95838, '2021-01-24', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95839, '2021-01-25', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95840, '2021-01-26', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95841, '2021-01-27', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95842, '2021-01-28', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95843, '2021-01-29', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95844, '2021-01-30', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95845, '2021-01-31', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95846, '2021-02-01', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95847, '2021-02-02', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95848, '2021-02-03', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95849, '2021-02-04', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95850, '2021-02-05', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95851, '2021-02-06', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95852, '2021-02-07', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95853, '2021-02-08', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95854, '2021-02-09', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95855, '2021-02-10', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95856, '2021-02-11', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95857, '2021-02-12', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95858, '2021-02-13', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95859, '2021-02-14', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95860, '2021-02-15', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95861, '2021-02-16', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95862, '2021-02-17', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95863, '2021-02-18', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95864, '2021-02-19', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95865, '2021-02-20', 'VU', 'Vanuatu', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (95866, '2020-01-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95867, '2020-01-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95868, '2020-01-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95869, '2020-01-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95870, '2020-01-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95871, '2020-01-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95872, '2020-01-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95873, '2020-01-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95874, '2020-01-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95875, '2020-01-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95876, '2020-01-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95877, '2020-01-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95878, '2020-01-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95879, '2020-01-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95880, '2020-01-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95881, '2020-01-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95882, '2020-01-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95883, '2020-01-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95884, '2020-01-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95885, '2020-01-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95886, '2020-01-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95887, '2020-01-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95888, '2020-01-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95889, '2020-01-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95890, '2020-01-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95891, '2020-01-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95892, '2020-01-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95893, '2020-01-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95894, '2020-01-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95895, '2020-02-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95896, '2020-02-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95897, '2020-02-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95898, '2020-02-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95899, '2020-02-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95900, '2020-02-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95901, '2020-02-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95902, '2020-02-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95903, '2020-02-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95904, '2020-02-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95905, '2020-02-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95906, '2020-02-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95907, '2020-02-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95908, '2020-02-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95909, '2020-02-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95910, '2020-02-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95911, '2020-02-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95912, '2020-02-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95913, '2020-02-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95914, '2020-02-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95915, '2020-02-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95916, '2020-02-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95917, '2020-02-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95918, '2020-02-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95919, '2020-02-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95920, '2020-02-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95921, '2020-02-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95922, '2020-02-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95923, '2020-02-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95924, '2020-03-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95925, '2020-03-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95926, '2020-03-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95927, '2020-03-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95928, '2020-03-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95929, '2020-03-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95930, '2020-03-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95931, '2020-03-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95932, '2020-03-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95933, '2020-03-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95934, '2020-03-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95935, '2020-03-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95936, '2020-03-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95937, '2020-03-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (95938, '2020-03-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '15', '21', '0', '0');
INSERT INTO public.who_import VALUES (95939, '2020-03-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '21', '0', '0');
INSERT INTO public.who_import VALUES (95940, '2020-03-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '16', '37', '0', '0');
INSERT INTO public.who_import VALUES (95941, '2020-03-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '3', '40', '0', '0');
INSERT INTO public.who_import VALUES (95942, '2020-03-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (95943, '2020-03-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (95944, '2020-03-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (95945, '2020-03-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '40', '0', '0');
INSERT INTO public.who_import VALUES (95946, '2020-03-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '30', '70', '0', '0');
INSERT INTO public.who_import VALUES (95947, '2020-03-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '7', '77', '0', '0');
INSERT INTO public.who_import VALUES (95948, '2020-03-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '77', '0', '0');
INSERT INTO public.who_import VALUES (95949, '2020-03-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '14', '91', '0', '0');
INSERT INTO public.who_import VALUES (95950, '2020-03-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '91', '0', '0');
INSERT INTO public.who_import VALUES (95951, '2020-03-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '15', '106', '0', '0');
INSERT INTO public.who_import VALUES (95952, '2020-03-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '7', '113', '2', '2');
INSERT INTO public.who_import VALUES (95953, '2020-03-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '113', '0', '2');
INSERT INTO public.who_import VALUES (95954, '2020-03-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '16', '129', '1', '3');
INSERT INTO public.who_import VALUES (95955, '2020-04-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '129', '0', '3');
INSERT INTO public.who_import VALUES (95956, '2020-04-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '14', '143', '0', '3');
INSERT INTO public.who_import VALUES (95957, '2020-04-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1', '144', '0', '3');
INSERT INTO public.who_import VALUES (95958, '2020-04-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (95959, '2020-04-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (95960, '2020-04-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '144', '0', '3');
INSERT INTO public.who_import VALUES (95961, '2020-04-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '15', '159', '0', '3');
INSERT INTO public.who_import VALUES (95962, '2020-04-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '6', '165', '4', '7');
INSERT INTO public.who_import VALUES (95963, '2020-04-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1', '166', '0', '7');
INSERT INTO public.who_import VALUES (95964, '2020-04-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '166', '0', '7');
INSERT INTO public.who_import VALUES (95965, '2020-04-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '5', '171', '2', '9');
INSERT INTO public.who_import VALUES (95966, '2020-04-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '171', '0', '9');
INSERT INTO public.who_import VALUES (95967, '2020-04-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '171', '0', '9');
INSERT INTO public.who_import VALUES (95968, '2020-04-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '10', '181', '0', '9');
INSERT INTO public.who_import VALUES (95969, '2020-04-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '181', '0', '9');
INSERT INTO public.who_import VALUES (95970, '2020-04-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '12', '193', '0', '9');
INSERT INTO public.who_import VALUES (95971, '2020-04-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '4', '197', '0', '9');
INSERT INTO public.who_import VALUES (95972, '2020-04-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '7', '204', '0', '9');
INSERT INTO public.who_import VALUES (95973, '2020-04-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '204', '0', '9');
INSERT INTO public.who_import VALUES (95974, '2020-04-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '24', '228', '0', '9');
INSERT INTO public.who_import VALUES (95975, '2020-04-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '28', '256', '0', '9');
INSERT INTO public.who_import VALUES (95976, '2020-04-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '29', '285', '1', '10');
INSERT INTO public.who_import VALUES (95977, '2020-04-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '3', '288', '0', '10');
INSERT INTO public.who_import VALUES (96286, '2020-01-08', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (95978, '2020-04-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '10', '298', '0', '10');
INSERT INTO public.who_import VALUES (95979, '2020-04-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '20', '318', '0', '10');
INSERT INTO public.who_import VALUES (95980, '2020-04-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '318', '0', '10');
INSERT INTO public.who_import VALUES (95981, '2020-04-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '5', '323', '0', '10');
INSERT INTO public.who_import VALUES (95982, '2020-04-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '2', '325', '0', '10');
INSERT INTO public.who_import VALUES (95983, '2020-04-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '4', '329', '0', '10');
INSERT INTO public.who_import VALUES (95984, '2020-04-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '329', '0', '10');
INSERT INTO public.who_import VALUES (95985, '2020-05-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '2', '331', '0', '10');
INSERT INTO public.who_import VALUES (95986, '2020-05-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '2', '333', '0', '10');
INSERT INTO public.who_import VALUES (95987, '2020-05-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '12', '345', '0', '10');
INSERT INTO public.who_import VALUES (95988, '2020-05-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '345', '0', '10');
INSERT INTO public.who_import VALUES (95989, '2020-05-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '12', '357', '0', '10');
INSERT INTO public.who_import VALUES (95990, '2020-05-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '4', '361', '0', '10');
INSERT INTO public.who_import VALUES (95991, '2020-05-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '6', '367', '0', '10');
INSERT INTO public.who_import VALUES (95992, '2020-05-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '12', '379', '0', '10');
INSERT INTO public.who_import VALUES (95993, '2020-05-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '2', '381', '0', '10');
INSERT INTO public.who_import VALUES (95994, '2020-05-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '7', '388', '0', '10');
INSERT INTO public.who_import VALUES (95995, '2020-05-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '14', '402', '0', '10');
INSERT INTO public.who_import VALUES (95996, '2020-05-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '12', '414', '0', '10');
INSERT INTO public.who_import VALUES (95997, '2020-05-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '8', '422', '0', '10');
INSERT INTO public.who_import VALUES (95998, '2020-05-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '18', '440', '0', '10');
INSERT INTO public.who_import VALUES (95999, '2020-05-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '440', '0', '10');
INSERT INTO public.who_import VALUES (96000, '2020-05-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '15', '455', '0', '10');
INSERT INTO public.who_import VALUES (96001, '2020-05-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '49', '504', '0', '10');
INSERT INTO public.who_import VALUES (96002, '2020-05-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '37', '541', '0', '10');
INSERT INTO public.who_import VALUES (96003, '2020-05-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '77', '618', '0', '10');
INSERT INTO public.who_import VALUES (96004, '2020-05-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '618', '0', '10');
INSERT INTO public.who_import VALUES (96005, '2020-05-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '206', '824', '0', '10');
INSERT INTO public.who_import VALUES (96006, '2020-05-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '824', '0', '10');
INSERT INTO public.who_import VALUES (96007, '2020-05-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '58', '882', '0', '10');
INSERT INTO public.who_import VALUES (96008, '2020-05-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '62', '944', '0', '10');
INSERT INTO public.who_import VALUES (96009, '2020-05-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '66', '1010', '0', '10');
INSERT INTO public.who_import VALUES (96010, '2020-05-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '111', '1121', '0', '10');
INSERT INTO public.who_import VALUES (96011, '2020-05-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '56', '1177', '0', '10');
INSERT INTO public.who_import VALUES (96012, '2020-05-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '34', '1211', '1', '11');
INSERT INTO public.who_import VALUES (96013, '2020-05-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '34', '1245', '0', '11');
INSERT INTO public.who_import VALUES (96014, '2020-05-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '82', '1327', '0', '11');
INSERT INTO public.who_import VALUES (96015, '2020-05-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '43', '1370', '3', '14');
INSERT INTO public.who_import VALUES (96016, '2020-06-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '89', '1459', '0', '14');
INSERT INTO public.who_import VALUES (96017, '2020-06-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '51', '1510', '0', '14');
INSERT INTO public.who_import VALUES (96018, '2020-06-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '152', '1662', '3', '17');
INSERT INTO public.who_import VALUES (96019, '2020-06-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '157', '1819', '1', '18');
INSERT INTO public.who_import VALUES (96020, '2020-06-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '133', '1952', '2', '20');
INSERT INTO public.who_import VALUES (96021, '2020-06-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '135', '2087', '0', '20');
INSERT INTO public.who_import VALUES (96022, '2020-06-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '58', '2145', '0', '20');
INSERT INTO public.who_import VALUES (96023, '2020-06-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '171', '2316', '2', '22');
INSERT INTO public.who_import VALUES (96024, '2020-06-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '61', '2377', '0', '22');
INSERT INTO public.who_import VALUES (96025, '2020-06-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '96', '2473', '0', '22');
INSERT INTO public.who_import VALUES (96026, '2020-06-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '159', '2632', '1', '23');
INSERT INTO public.who_import VALUES (96027, '2020-06-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '106', '2738', '0', '23');
INSERT INTO public.who_import VALUES (96028, '2020-06-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '76', '2814', '0', '23');
INSERT INTO public.who_import VALUES (96029, '2020-06-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '65', '2879', '0', '23');
INSERT INTO public.who_import VALUES (96030, '2020-06-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '25', '2904', '1', '24');
INSERT INTO public.who_import VALUES (96031, '2020-06-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '74', '2978', '1', '25');
INSERT INTO public.who_import VALUES (96032, '2020-06-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '84', '3062', '1', '26');
INSERT INTO public.who_import VALUES (96033, '2020-06-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '88', '3150', '1', '27');
INSERT INTO public.who_import VALUES (96034, '2020-06-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '236', '3386', '1', '28');
INSERT INTO public.who_import VALUES (96035, '2020-06-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '98', '3484', '0', '28');
INSERT INTO public.who_import VALUES (96036, '2020-06-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '107', '3591', '2', '30');
INSERT INTO public.who_import VALUES (96037, '2020-06-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '199', '3790', '3', '33');
INSERT INTO public.who_import VALUES (96038, '2020-06-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '128', '3918', '0', '33');
INSERT INTO public.who_import VALUES (96039, '2020-06-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '130', '4048', '2', '35');
INSERT INTO public.who_import VALUES (96040, '2020-06-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '138', '4186', '0', '35');
INSERT INTO public.who_import VALUES (96041, '2020-06-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '179', '4365', '3', '38');
INSERT INTO public.who_import VALUES (96042, '2020-06-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '198', '4563', '1', '39');
INSERT INTO public.who_import VALUES (96043, '2020-06-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '216', '4779', '2', '41');
INSERT INTO public.who_import VALUES (96044, '2020-06-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '351', '5130', '1', '42');
INSERT INTO public.who_import VALUES (96045, '2020-06-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '167', '5297', '2', '44');
INSERT INTO public.who_import VALUES (96046, '2020-07-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '233', '5530', '4', '48');
INSERT INTO public.who_import VALUES (96047, '2020-07-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '302', '5832', '3', '51');
INSERT INTO public.who_import VALUES (96048, '2020-07-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '230', '6062', '3', '54');
INSERT INTO public.who_import VALUES (96049, '2020-07-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '211', '6273', '3', '57');
INSERT INTO public.who_import VALUES (96050, '2020-07-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '264', '6537', '2', '59');
INSERT INTO public.who_import VALUES (96051, '2020-07-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '213', '6750', '3', '62');
INSERT INTO public.who_import VALUES (96052, '2020-07-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '419', '7169', '2', '64');
INSERT INTO public.who_import VALUES (96053, '2020-07-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '242', '7411', '4', '68');
INSERT INTO public.who_import VALUES (96054, '2020-07-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '282', '7693', '3', '71');
INSERT INTO public.who_import VALUES (96055, '2020-07-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '317', '8010', '4', '75');
INSERT INTO public.who_import VALUES (96056, '2020-07-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '362', '8372', '5', '80');
INSERT INTO public.who_import VALUES (96057, '2020-07-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '431', '8803', '3', '83');
INSERT INTO public.who_import VALUES (96058, '2020-07-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '375', '9178', '2', '85');
INSERT INTO public.who_import VALUES (96287, '2020-01-09', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96059, '2020-07-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '287', '9465', '4', '89');
INSERT INTO public.who_import VALUES (96060, '2020-07-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '242', '9707', '4', '93');
INSERT INTO public.who_import VALUES (96061, '2020-07-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '303', '10010', '3', '96');
INSERT INTO public.who_import VALUES (96062, '2020-07-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '418', '10428', '4', '100');
INSERT INTO public.who_import VALUES (96063, '2020-07-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '426', '10854', '4', '104');
INSERT INTO public.who_import VALUES (96064, '2020-07-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '337', '11191', '3', '107');
INSERT INTO public.who_import VALUES (96065, '2020-07-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '292', '11483', '3', '110');
INSERT INTO public.who_import VALUES (96066, '2020-07-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '408', '11891', '2', '112');
INSERT INTO public.who_import VALUES (96067, '2020-07-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '443', '12334', '4', '116');
INSERT INTO public.who_import VALUES (96068, '2020-07-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '440', '12774', '4', '120');
INSERT INTO public.who_import VALUES (96069, '2020-07-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '390', '13164', '4', '124');
INSERT INTO public.who_import VALUES (96070, '2020-07-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '449', '13613', '5', '129');
INSERT INTO public.who_import VALUES (96071, '2020-07-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '650', '14263', '5', '134');
INSERT INTO public.who_import VALUES (96072, '2020-07-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '666', '14929', '4', '138');
INSERT INTO public.who_import VALUES (96073, '2020-07-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '534', '15463', '4', '142');
INSERT INTO public.who_import VALUES (96074, '2020-07-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '525', '15988', '4', '146');
INSERT INTO public.who_import VALUES (96075, '2020-07-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '583', '16571', '5', '151');
INSERT INTO public.who_import VALUES (96076, '2020-07-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '588', '17159', '3', '154');
INSERT INTO public.who_import VALUES (96077, '2020-08-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '700', '17859', '4', '158');
INSERT INTO public.who_import VALUES (96078, '2020-08-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '715', '18574', '6', '164');
INSERT INTO public.who_import VALUES (96079, '2020-08-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '869', '19443', '5', '169');
INSERT INTO public.who_import VALUES (96080, '2020-08-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '763', '20206', '5', '174');
INSERT INTO public.who_import VALUES (96081, '2020-08-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '548', '20754', '6', '180');
INSERT INTO public.who_import VALUES (96082, '2020-08-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '684', '21438', '7', '187');
INSERT INTO public.who_import VALUES (96083, '2020-08-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '861', '22299', '8', '195');
INSERT INTO public.who_import VALUES (96084, '2020-08-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '981', '23280', '7', '202');
INSERT INTO public.who_import VALUES (96085, '2020-08-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '886', '24166', '6', '208');
INSERT INTO public.who_import VALUES (96086, '2020-08-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '795', '24961', '7', '215');
INSERT INTO public.who_import VALUES (96087, '2020-08-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '844', '25805', '8', '223');
INSERT INTO public.who_import VALUES (96088, '2020-08-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '995', '26800', '6', '229');
INSERT INTO public.who_import VALUES (96089, '2020-08-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1138', '27938', '9', '238');
INSERT INTO public.who_import VALUES (96090, '2020-08-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1150', '29088', '9', '247');
INSERT INTO public.who_import VALUES (96091, '2020-08-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1281', '30369', '12', '259');
INSERT INTO public.who_import VALUES (96092, '2020-08-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1012', '31381', '7', '266');
INSERT INTO public.who_import VALUES (96093, '2020-08-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1226', '32607', '10', '276');
INSERT INTO public.who_import VALUES (96094, '2020-08-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1148', '33755', '5', '281');
INSERT INTO public.who_import VALUES (96095, '2020-08-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1047', '34802', '7', '288');
INSERT INTO public.who_import VALUES (96096, '2020-08-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '895', '35697', '9', '297');
INSERT INTO public.who_import VALUES (96097, '2020-08-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1171', '36868', '6', '303');
INSERT INTO public.who_import VALUES (96098, '2020-08-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '699', '37567', '8', '311');
INSERT INTO public.who_import VALUES (96099, '2020-08-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '621', '38188', '6', '317');
INSERT INTO public.who_import VALUES (96100, '2020-08-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '769', '38957', '6', '323');
INSERT INTO public.who_import VALUES (96101, '2020-08-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '607', '39564', '6', '329');
INSERT INTO public.who_import VALUES (96102, '2020-08-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '774', '40338', '8', '337');
INSERT INTO public.who_import VALUES (96103, '2020-08-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '820', '41158', '6', '343');
INSERT INTO public.who_import VALUES (96104, '2020-08-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '807', '41965', '8', '351');
INSERT INTO public.who_import VALUES (96105, '2020-08-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '933', '42898', '7', '358');
INSERT INTO public.who_import VALUES (96106, '2020-08-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '981', '43879', '0', '358');
INSERT INTO public.who_import VALUES (96107, '2020-08-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1067', '44946', '17', '375');
INSERT INTO public.who_import VALUES (96108, '2020-09-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '922', '45868', '6', '381');
INSERT INTO public.who_import VALUES (96109, '2020-09-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '860', '46728', '5', '386');
INSERT INTO public.who_import VALUES (96110, '2020-09-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1028', '47756', '5', '391');
INSERT INTO public.who_import VALUES (96111, '2020-09-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1127', '48883', '7', '398');
INSERT INTO public.who_import VALUES (96112, '2020-09-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '994', '49877', '4', '402');
INSERT INTO public.who_import VALUES (96113, '2020-09-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1096', '50973', '10', '412');
INSERT INTO public.who_import VALUES (96114, '2020-09-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1192', '52165', '8', '420');
INSERT INTO public.who_import VALUES (96115, '2020-09-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1124', '53289', '8', '428');
INSERT INTO public.who_import VALUES (96116, '2020-09-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1061', '54350', '8', '436');
INSERT INTO public.who_import VALUES (96117, '2020-09-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1213', '55563', '8', '444');
INSERT INTO public.who_import VALUES (96118, '2020-09-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1188', '56751', '8', '452');
INSERT INTO public.who_import VALUES (96119, '2020-09-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1072', '57823', '8', '460');
INSERT INTO public.who_import VALUES (96120, '2020-09-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '840', '58663', '8', '468');
INSERT INTO public.who_import VALUES (96121, '2020-09-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '967', '59630', '9', '477');
INSERT INTO public.who_import VALUES (96122, '2020-09-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1939', '61569', '17', '494');
INSERT INTO public.who_import VALUES (96123, '2020-09-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '61569', '0', '494');
INSERT INTO public.who_import VALUES (96124, '2020-09-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1086', '62655', '8', '502');
INSERT INTO public.who_import VALUES (96125, '2020-09-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '761', '63416', '9', '511');
INSERT INTO public.who_import VALUES (96126, '2020-09-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '868', '64284', '9', '520');
INSERT INTO public.who_import VALUES (96127, '2020-09-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '890', '65174', '10', '530');
INSERT INTO public.who_import VALUES (96128, '2020-09-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '775', '65949', '9', '539');
INSERT INTO public.who_import VALUES (96129, '2020-09-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '707', '66656', '8', '547');
INSERT INTO public.who_import VALUES (96130, '2020-09-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '787', '67443', '8', '555');
INSERT INTO public.who_import VALUES (96131, '2020-09-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '1010', '68453', '9', '564');
INSERT INTO public.who_import VALUES (96132, '2020-09-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '986', '69439', '10', '574');
INSERT INTO public.who_import VALUES (96133, '2020-09-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '967', '70406', '7', '581');
INSERT INTO public.who_import VALUES (96288, '2020-01-10', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96134, '2020-09-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '867', '71273', '10', '591');
INSERT INTO public.who_import VALUES (96135, '2020-09-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '667', '71940', '9', '600');
INSERT INTO public.who_import VALUES (96136, '2020-09-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '751', '72691', '6', '606');
INSERT INTO public.who_import VALUES (96137, '2020-09-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '837', '73528', '8', '614');
INSERT INTO public.who_import VALUES (96138, '2020-10-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '835', '74363', '7', '621');
INSERT INTO public.who_import VALUES (96139, '2020-10-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '759', '75122', '7', '628');
INSERT INTO public.who_import VALUES (96140, '2020-10-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '907', '76029', '7', '635');
INSERT INTO public.who_import VALUES (96141, '2020-10-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '791', '76820', '8', '643');
INSERT INTO public.who_import VALUES (96142, '2020-10-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '826', '77646', '6', '649');
INSERT INTO public.who_import VALUES (96143, '2020-10-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '788', '78434', '4', '653');
INSERT INTO public.who_import VALUES (96144, '2020-10-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '683', '79117', '5', '658');
INSERT INTO public.who_import VALUES (96145, '2020-10-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '679', '79796', '7', '665');
INSERT INTO public.who_import VALUES (96146, '2020-10-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '608', '80404', '6', '671');
INSERT INTO public.who_import VALUES (96147, '2020-10-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '615', '81019', '7', '678');
INSERT INTO public.who_import VALUES (96148, '2020-10-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '677', '81696', '6', '684');
INSERT INTO public.who_import VALUES (96149, '2020-10-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '757', '82453', '7', '691');
INSERT INTO public.who_import VALUES (96150, '2020-10-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '684', '83137', '6', '697');
INSERT INTO public.who_import VALUES (96151, '2020-10-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '619', '83756', '7', '704');
INSERT INTO public.who_import VALUES (96152, '2020-10-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '635', '84391', '6', '710');
INSERT INTO public.who_import VALUES (96153, '2020-10-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '614', '85005', '4', '714');
INSERT INTO public.who_import VALUES (96154, '2020-10-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '464', '85469', '6', '720');
INSERT INTO public.who_import VALUES (96155, '2020-10-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '289', '85758', '5', '725');
INSERT INTO public.who_import VALUES (96156, '2020-10-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '531', '86289', '6', '731');
INSERT INTO public.who_import VALUES (96157, '2020-10-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '347', '86636', '5', '736');
INSERT INTO public.who_import VALUES (96158, '2020-10-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '525', '87161', '5', '741');
INSERT INTO public.who_import VALUES (96159, '2020-10-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '483', '87644', '6', '747');
INSERT INTO public.who_import VALUES (96160, '2020-10-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '391', '88035', '6', '753');
INSERT INTO public.who_import VALUES (96161, '2020-10-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '381', '88416', '6', '759');
INSERT INTO public.who_import VALUES (96162, '2020-10-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '88416', '0', '759');
INSERT INTO public.who_import VALUES (96163, '2020-10-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '726', '89142', '11', '770');
INSERT INTO public.who_import VALUES (96164, '2020-10-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '423', '89565', '3', '773');
INSERT INTO public.who_import VALUES (96165, '2020-10-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '482', '90047', '4', '777');
INSERT INTO public.who_import VALUES (96166, '2020-10-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '353', '90400', '3', '780');
INSERT INTO public.who_import VALUES (96167, '2020-10-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '476', '90876', '4', '784');
INSERT INTO public.who_import VALUES (96168, '2020-10-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '404', '91280', '5', '789');
INSERT INTO public.who_import VALUES (96169, '2020-11-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '309', '91589', '4', '793');
INSERT INTO public.who_import VALUES (96170, '2020-11-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '424', '92013', '5', '798');
INSERT INTO public.who_import VALUES (96171, '2020-11-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '312', '92325', '3', '801');
INSERT INTO public.who_import VALUES (96172, '2020-11-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '380', '92705', '4', '805');
INSERT INTO public.who_import VALUES (96173, '2020-11-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '395', '93100', '5', '810');
INSERT INTO public.who_import VALUES (96174, '2020-11-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '380', '93480', '4', '814');
INSERT INTO public.who_import VALUES (96175, '2020-11-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '441', '93921', '5', '819');
INSERT INTO public.who_import VALUES (96176, '2020-11-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '384', '94305', '2', '821');
INSERT INTO public.who_import VALUES (96177, '2020-11-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '393', '94698', '3', '824');
INSERT INTO public.who_import VALUES (96178, '2020-11-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '185', '94883', '2', '826');
INSERT INTO public.who_import VALUES (96179, '2020-11-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '266', '95149', '4', '830');
INSERT INTO public.who_import VALUES (96180, '2020-11-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '296', '95445', '4', '834');
INSERT INTO public.who_import VALUES (96181, '2020-11-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '305', '95750', '4', '838');
INSERT INTO public.who_import VALUES (96182, '2020-11-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '390', '96140', '3', '841');
INSERT INTO public.who_import VALUES (96183, '2020-11-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '301', '96441', '3', '844');
INSERT INTO public.who_import VALUES (96184, '2020-11-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '492', '96933', '4', '848');
INSERT INTO public.who_import VALUES (96185, '2020-11-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '419', '97352', '3', '851');
INSERT INTO public.who_import VALUES (96186, '2020-11-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '387', '97739', '4', '855');
INSERT INTO public.who_import VALUES (96187, '2020-11-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '311', '98050', '3', '858');
INSERT INTO public.who_import VALUES (96188, '2020-11-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '300', '98350', '2', '860');
INSERT INTO public.who_import VALUES (96189, '2020-11-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '315', '98665', '3', '863');
INSERT INTO public.who_import VALUES (96190, '2020-11-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '352', '99017', '3', '866');
INSERT INTO public.who_import VALUES (96191, '2020-11-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '418', '99435', '3', '869');
INSERT INTO public.who_import VALUES (96192, '2020-11-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '400', '99835', '2', '871');
INSERT INTO public.who_import VALUES (96193, '2020-11-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '308', '100143', '2', '873');
INSERT INTO public.who_import VALUES (96194, '2020-11-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '355', '100498', '3', '876');
INSERT INTO public.who_import VALUES (96195, '2020-11-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '319', '100817', '4', '880');
INSERT INTO public.who_import VALUES (96196, '2020-11-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '398', '101215', '4', '884');
INSERT INTO public.who_import VALUES (96197, '2020-11-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '309', '101524', '4', '888');
INSERT INTO public.who_import VALUES (96198, '2020-11-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '236', '101760', '4', '892');
INSERT INTO public.who_import VALUES (96199, '2020-12-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '280', '102040', '2', '894');
INSERT INTO public.who_import VALUES (96200, '2020-12-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '354', '102394', '3', '897');
INSERT INTO public.who_import VALUES (96201, '2020-12-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '227', '102621', '4', '901');
INSERT INTO public.who_import VALUES (96202, '2020-12-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '446', '103067', '4', '905');
INSERT INTO public.who_import VALUES (96203, '2020-12-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '481', '103548', '4', '909');
INSERT INTO public.who_import VALUES (96204, '2020-12-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '329', '103877', '4', '913');
INSERT INTO public.who_import VALUES (96205, '2020-12-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '300', '104177', '3', '916');
INSERT INTO public.who_import VALUES (96206, '2020-12-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '265', '104442', '3', '919');
INSERT INTO public.who_import VALUES (96207, '2020-12-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '104442', '0', '919');
INSERT INTO public.who_import VALUES (96208, '2020-12-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '942', '105384', '9', '928');
INSERT INTO public.who_import VALUES (96289, '2020-01-11', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96209, '2020-12-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '468', '105852', '5', '933');
INSERT INTO public.who_import VALUES (96210, '2020-12-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '428', '106280', '5', '938');
INSERT INTO public.who_import VALUES (96211, '2020-12-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '435', '106715', '6', '944');
INSERT INTO public.who_import VALUES (96212, '2020-12-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '462', '107177', '5', '949');
INSERT INTO public.who_import VALUES (96213, '2020-12-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '609', '107786', '5', '954');
INSERT INTO public.who_import VALUES (96214, '2020-12-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '339', '108125', '6', '960');
INSERT INTO public.who_import VALUES (96215, '2020-12-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '355', '108480', '5', '965');
INSERT INTO public.who_import VALUES (96216, '2020-12-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '237', '108717', '5', '970');
INSERT INTO public.who_import VALUES (96217, '2020-12-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '364', '109081', '5', '975');
INSERT INTO public.who_import VALUES (96218, '2020-12-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '314', '109395', '4', '979');
INSERT INTO public.who_import VALUES (96219, '2020-12-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '386', '109781', '5', '984');
INSERT INTO public.who_import VALUES (96220, '2020-12-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '294', '110075', '4', '988');
INSERT INTO public.who_import VALUES (96221, '2020-12-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '438', '110513', '5', '993');
INSERT INTO public.who_import VALUES (96222, '2020-12-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '315', '110828', '4', '997');
INSERT INTO public.who_import VALUES (96223, '2020-12-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '196', '111024', '5', '1002');
INSERT INTO public.who_import VALUES (96224, '2020-12-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '221', '111245', '4', '1006');
INSERT INTO public.who_import VALUES (96225, '2020-12-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '358', '111603', '4', '1010');
INSERT INTO public.who_import VALUES (96226, '2020-12-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '348', '111951', '3', '1013');
INSERT INTO public.who_import VALUES (96227, '2020-12-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '365', '112316', '1', '1014');
INSERT INTO public.who_import VALUES (96228, '2020-12-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '320', '112636', '4', '1018');
INSERT INTO public.who_import VALUES (96229, '2020-12-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '225', '112861', '3', '1021');
INSERT INTO public.who_import VALUES (96230, '2021-01-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '260', '113121', '4', '1025');
INSERT INTO public.who_import VALUES (96231, '2021-01-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '441', '113562', '3', '1028');
INSERT INTO public.who_import VALUES (96232, '2021-01-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '0', '113562', '0', '1028');
INSERT INTO public.who_import VALUES (96233, '2021-01-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '521', '114083', '4', '1032');
INSERT INTO public.who_import VALUES (96234, '2021-01-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '147', '114230', '2', '1034');
INSERT INTO public.who_import VALUES (96235, '2021-01-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '177', '114407', '4', '1038');
INSERT INTO public.who_import VALUES (96236, '2021-01-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '255', '114662', '4', '1042');
INSERT INTO public.who_import VALUES (96237, '2021-01-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '246', '114908', '5', '1047');
INSERT INTO public.who_import VALUES (96238, '2021-01-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '414', '115322', '5', '1052');
INSERT INTO public.who_import VALUES (96239, '2021-01-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '345', '115667', '4', '1056');
INSERT INTO public.who_import VALUES (96240, '2021-01-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '505', '116172', '5', '1061');
INSERT INTO public.who_import VALUES (96241, '2021-01-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '438', '116610', '6', '1067');
INSERT INTO public.who_import VALUES (96242, '2021-01-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '373', '116983', '6', '1073');
INSERT INTO public.who_import VALUES (96243, '2021-01-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '316', '117299', '5', '1078');
INSERT INTO public.who_import VALUES (96244, '2021-01-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '512', '117811', '6', '1084');
INSERT INTO public.who_import VALUES (96245, '2021-01-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '604', '118415', '6', '1090');
INSERT INTO public.who_import VALUES (96246, '2021-01-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '441', '118856', '5', '1095');
INSERT INTO public.who_import VALUES (96247, '2021-01-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '450', '119306', '6', '1101');
INSERT INTO public.who_import VALUES (96248, '2021-01-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '497', '119803', '5', '1106');
INSERT INTO public.who_import VALUES (96249, '2021-01-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '641', '120444', '6', '1112');
INSERT INTO public.who_import VALUES (96250, '2021-01-21', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '673', '121117', '4', '1116');
INSERT INTO public.who_import VALUES (96251, '2021-01-22', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '574', '121691', '6', '1122');
INSERT INTO public.who_import VALUES (96252, '2021-01-23', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '569', '122260', '7', '1129');
INSERT INTO public.who_import VALUES (96253, '2021-01-24', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '535', '122795', '7', '1136');
INSERT INTO public.who_import VALUES (96254, '2021-01-25', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '450', '123245', '6', '1142');
INSERT INTO public.who_import VALUES (96255, '2021-01-26', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '464', '123709', '6', '1148');
INSERT INTO public.who_import VALUES (96256, '2021-01-27', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '403', '124112', '6', '1154');
INSERT INTO public.who_import VALUES (96257, '2021-01-28', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '413', '124525', '5', '1159');
INSERT INTO public.who_import VALUES (96258, '2021-01-29', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '433', '124958', '6', '1165');
INSERT INTO public.who_import VALUES (96259, '2021-01-30', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '406', '125364', '6', '1171');
INSERT INTO public.who_import VALUES (96260, '2021-01-31', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '412', '125776', '6', '1177');
INSERT INTO public.who_import VALUES (96261, '2021-02-01', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '547', '126323', '6', '1183');
INSERT INTO public.who_import VALUES (96262, '2021-02-02', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '604', '126927', '6', '1189');
INSERT INTO public.who_import VALUES (96263, '2021-02-03', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '419', '127346', '7', '1196');
INSERT INTO public.who_import VALUES (96264, '2021-02-04', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '406', '127752', '6', '1202');
INSERT INTO public.who_import VALUES (96265, '2021-02-05', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '563', '128315', '7', '1209');
INSERT INTO public.who_import VALUES (96266, '2021-02-06', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '460', '128775', '7', '1216');
INSERT INTO public.who_import VALUES (96267, '2021-02-07', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '456', '129231', '7', '1223');
INSERT INTO public.who_import VALUES (96268, '2021-02-08', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '412', '129643', '5', '1228');
INSERT INTO public.who_import VALUES (96269, '2021-02-09', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '473', '130116', '5', '1233');
INSERT INTO public.who_import VALUES (96270, '2021-02-10', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '480', '130596', '7', '1240');
INSERT INTO public.who_import VALUES (96271, '2021-02-11', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '500', '131096', '7', '1247');
INSERT INTO public.who_import VALUES (96272, '2021-02-12', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '380', '131476', '6', '1253');
INSERT INTO public.who_import VALUES (96273, '2021-02-13', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '352', '131828', '7', '1260');
INSERT INTO public.who_import VALUES (96274, '2021-02-14', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '431', '132259', '7', '1267');
INSERT INTO public.who_import VALUES (96275, '2021-02-15', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '484', '132743', '6', '1273');
INSERT INTO public.who_import VALUES (96276, '2021-02-16', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '475', '133218', '6', '1279');
INSERT INTO public.who_import VALUES (96277, '2021-02-17', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '359', '133577', '6', '1285');
INSERT INTO public.who_import VALUES (96278, '2021-02-18', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '350', '133927', '7', '1292');
INSERT INTO public.who_import VALUES (96279, '2021-02-19', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '392', '134319', '5', '1297');
INSERT INTO public.who_import VALUES (96280, '2021-02-20', 'VE', 'Venezuela (Bolivarian Republic of)', 'AMRO', '462', '134781', '6', '1303');
INSERT INTO public.who_import VALUES (96281, '2020-01-03', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96282, '2020-01-04', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96283, '2020-01-05', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96284, '2020-01-06', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96285, '2020-01-07', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96290, '2020-01-12', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96291, '2020-01-13', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96292, '2020-01-14', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96293, '2020-01-15', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96294, '2020-01-16', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96295, '2020-01-17', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96296, '2020-01-18', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96297, '2020-01-19', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96298, '2020-01-20', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96299, '2020-01-21', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96300, '2020-01-22', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96301, '2020-01-23', 'VN', 'Viet Nam', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96302, '2020-01-24', 'VN', 'Viet Nam', 'WPRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (96303, '2020-01-25', 'VN', 'Viet Nam', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (96304, '2020-01-26', 'VN', 'Viet Nam', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (96305, '2020-01-27', 'VN', 'Viet Nam', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (96306, '2020-01-28', 'VN', 'Viet Nam', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (96307, '2020-01-29', 'VN', 'Viet Nam', 'WPRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (96308, '2020-01-30', 'VN', 'Viet Nam', 'WPRO', '3', '9', '0', '0');
INSERT INTO public.who_import VALUES (96309, '2020-01-31', 'VN', 'Viet Nam', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (96310, '2020-02-01', 'VN', 'Viet Nam', 'WPRO', '1', '10', '0', '0');
INSERT INTO public.who_import VALUES (96311, '2020-02-02', 'VN', 'Viet Nam', 'WPRO', '1', '11', '0', '0');
INSERT INTO public.who_import VALUES (96312, '2020-02-03', 'VN', 'Viet Nam', 'WPRO', '1', '12', '0', '0');
INSERT INTO public.who_import VALUES (96313, '2020-02-04', 'VN', 'Viet Nam', 'WPRO', '2', '14', '0', '0');
INSERT INTO public.who_import VALUES (96314, '2020-02-05', 'VN', 'Viet Nam', 'WPRO', '0', '14', '0', '0');
INSERT INTO public.who_import VALUES (96315, '2020-02-06', 'VN', 'Viet Nam', 'WPRO', '2', '16', '0', '0');
INSERT INTO public.who_import VALUES (96316, '2020-02-07', 'VN', 'Viet Nam', 'WPRO', '0', '16', '0', '0');
INSERT INTO public.who_import VALUES (96317, '2020-02-08', 'VN', 'Viet Nam', 'WPRO', '1', '17', '0', '0');
INSERT INTO public.who_import VALUES (96318, '2020-02-09', 'VN', 'Viet Nam', 'WPRO', '1', '18', '0', '0');
INSERT INTO public.who_import VALUES (96319, '2020-02-10', 'VN', 'Viet Nam', 'WPRO', '0', '18', '0', '0');
INSERT INTO public.who_import VALUES (96320, '2020-02-11', 'VN', 'Viet Nam', 'WPRO', '1', '19', '0', '0');
INSERT INTO public.who_import VALUES (96321, '2020-02-12', 'VN', 'Viet Nam', 'WPRO', '0', '19', '0', '0');
INSERT INTO public.who_import VALUES (96322, '2020-02-13', 'VN', 'Viet Nam', 'WPRO', '1', '20', '0', '0');
INSERT INTO public.who_import VALUES (96323, '2020-02-14', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96324, '2020-02-15', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96325, '2020-02-16', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96326, '2020-02-17', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96327, '2020-02-18', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96328, '2020-02-19', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96329, '2020-02-20', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96330, '2020-02-21', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96331, '2020-02-22', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96332, '2020-02-23', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96333, '2020-02-24', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96334, '2020-02-25', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96335, '2020-02-26', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96336, '2020-02-27', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96337, '2020-02-28', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96338, '2020-02-29', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96339, '2020-03-01', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96340, '2020-03-02', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96341, '2020-03-03', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96342, '2020-03-04', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96343, '2020-03-05', 'VN', 'Viet Nam', 'WPRO', '0', '20', '0', '0');
INSERT INTO public.who_import VALUES (96344, '2020-03-06', 'VN', 'Viet Nam', 'WPRO', '1', '21', '0', '0');
INSERT INTO public.who_import VALUES (96345, '2020-03-07', 'VN', 'Viet Nam', 'WPRO', '3', '24', '0', '0');
INSERT INTO public.who_import VALUES (96346, '2020-03-08', 'VN', 'Viet Nam', 'WPRO', '10', '34', '0', '0');
INSERT INTO public.who_import VALUES (96347, '2020-03-09', 'VN', 'Viet Nam', 'WPRO', '1', '35', '0', '0');
INSERT INTO public.who_import VALUES (96348, '2020-03-10', 'VN', 'Viet Nam', 'WPRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (96349, '2020-03-11', 'VN', 'Viet Nam', 'WPRO', '4', '39', '0', '0');
INSERT INTO public.who_import VALUES (96350, '2020-03-12', 'VN', 'Viet Nam', 'WPRO', '4', '43', '0', '0');
INSERT INTO public.who_import VALUES (96351, '2020-03-13', 'VN', 'Viet Nam', 'WPRO', '0', '43', '0', '0');
INSERT INTO public.who_import VALUES (96352, '2020-03-14', 'VN', 'Viet Nam', 'WPRO', '9', '52', '0', '0');
INSERT INTO public.who_import VALUES (96353, '2020-03-15', 'VN', 'Viet Nam', 'WPRO', '5', '57', '0', '0');
INSERT INTO public.who_import VALUES (96354, '2020-03-16', 'VN', 'Viet Nam', 'WPRO', '4', '61', '0', '0');
INSERT INTO public.who_import VALUES (96355, '2020-03-17', 'VN', 'Viet Nam', 'WPRO', '4', '65', '0', '0');
INSERT INTO public.who_import VALUES (96356, '2020-03-18', 'VN', 'Viet Nam', 'WPRO', '5', '70', '0', '0');
INSERT INTO public.who_import VALUES (96357, '2020-03-19', 'VN', 'Viet Nam', 'WPRO', '15', '85', '0', '0');
INSERT INTO public.who_import VALUES (96358, '2020-03-20', 'VN', 'Viet Nam', 'WPRO', '6', '91', '0', '0');
INSERT INTO public.who_import VALUES (96359, '2020-03-21', 'VN', 'Viet Nam', 'WPRO', '3', '94', '0', '0');
INSERT INTO public.who_import VALUES (96360, '2020-03-22', 'VN', 'Viet Nam', 'WPRO', '0', '94', '0', '0');
INSERT INTO public.who_import VALUES (96361, '2020-03-23', 'VN', 'Viet Nam', 'WPRO', '24', '118', '0', '0');
INSERT INTO public.who_import VALUES (96362, '2020-03-24', 'VN', 'Viet Nam', 'WPRO', '5', '123', '0', '0');
INSERT INTO public.who_import VALUES (96363, '2020-03-25', 'VN', 'Viet Nam', 'WPRO', '11', '134', '0', '0');
INSERT INTO public.who_import VALUES (96364, '2020-03-26', 'VN', 'Viet Nam', 'WPRO', '14', '148', '0', '0');
INSERT INTO public.who_import VALUES (96365, '2020-03-27', 'VN', 'Viet Nam', 'WPRO', '5', '153', '0', '0');
INSERT INTO public.who_import VALUES (96366, '2020-03-28', 'VN', 'Viet Nam', 'WPRO', '16', '169', '0', '0');
INSERT INTO public.who_import VALUES (96367, '2020-03-29', 'VN', 'Viet Nam', 'WPRO', '10', '179', '0', '0');
INSERT INTO public.who_import VALUES (96368, '2020-03-30', 'VN', 'Viet Nam', 'WPRO', '15', '194', '0', '0');
INSERT INTO public.who_import VALUES (96369, '2020-03-31', 'VN', 'Viet Nam', 'WPRO', '9', '203', '0', '0');
INSERT INTO public.who_import VALUES (96370, '2020-04-01', 'VN', 'Viet Nam', 'WPRO', '9', '212', '0', '0');
INSERT INTO public.who_import VALUES (96371, '2020-04-02', 'VN', 'Viet Nam', 'WPRO', '4', '216', '0', '0');
INSERT INTO public.who_import VALUES (96372, '2020-04-03', 'VN', 'Viet Nam', 'WPRO', '17', '233', '0', '0');
INSERT INTO public.who_import VALUES (96373, '2020-04-04', 'VN', 'Viet Nam', 'WPRO', '6', '239', '0', '0');
INSERT INTO public.who_import VALUES (96374, '2020-04-05', 'VN', 'Viet Nam', 'WPRO', '1', '240', '0', '0');
INSERT INTO public.who_import VALUES (96375, '2020-04-06', 'VN', 'Viet Nam', 'WPRO', '1', '241', '0', '0');
INSERT INTO public.who_import VALUES (96376, '2020-04-07', 'VN', 'Viet Nam', 'WPRO', '4', '245', '0', '0');
INSERT INTO public.who_import VALUES (96377, '2020-04-08', 'VN', 'Viet Nam', 'WPRO', '6', '251', '0', '0');
INSERT INTO public.who_import VALUES (96378, '2020-04-09', 'VN', 'Viet Nam', 'WPRO', '0', '251', '0', '0');
INSERT INTO public.who_import VALUES (96379, '2020-04-10', 'VN', 'Viet Nam', 'WPRO', '4', '255', '0', '0');
INSERT INTO public.who_import VALUES (96380, '2020-04-11', 'VN', 'Viet Nam', 'WPRO', '2', '257', '0', '0');
INSERT INTO public.who_import VALUES (96381, '2020-04-12', 'VN', 'Viet Nam', 'WPRO', '1', '258', '0', '0');
INSERT INTO public.who_import VALUES (96382, '2020-04-13', 'VN', 'Viet Nam', 'WPRO', '4', '262', '0', '0');
INSERT INTO public.who_import VALUES (96383, '2020-04-14', 'VN', 'Viet Nam', 'WPRO', '3', '265', '0', '0');
INSERT INTO public.who_import VALUES (96384, '2020-04-15', 'VN', 'Viet Nam', 'WPRO', '2', '267', '0', '0');
INSERT INTO public.who_import VALUES (96385, '2020-04-16', 'VN', 'Viet Nam', 'WPRO', '0', '267', '0', '0');
INSERT INTO public.who_import VALUES (96386, '2020-04-17', 'VN', 'Viet Nam', 'WPRO', '1', '268', '0', '0');
INSERT INTO public.who_import VALUES (96387, '2020-04-18', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96388, '2020-04-19', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96389, '2020-04-20', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96390, '2020-04-21', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96391, '2020-04-22', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96392, '2020-04-23', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96393, '2020-04-24', 'VN', 'Viet Nam', 'WPRO', '0', '268', '0', '0');
INSERT INTO public.who_import VALUES (96394, '2020-04-25', 'VN', 'Viet Nam', 'WPRO', '2', '270', '0', '0');
INSERT INTO public.who_import VALUES (96395, '2020-04-26', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96396, '2020-04-27', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96397, '2020-04-28', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96398, '2020-04-29', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96399, '2020-04-30', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96400, '2020-05-01', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96401, '2020-05-02', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96402, '2020-05-03', 'VN', 'Viet Nam', 'WPRO', '0', '270', '0', '0');
INSERT INTO public.who_import VALUES (96403, '2020-05-04', 'VN', 'Viet Nam', 'WPRO', '1', '271', '0', '0');
INSERT INTO public.who_import VALUES (96404, '2020-05-05', 'VN', 'Viet Nam', 'WPRO', '0', '271', '0', '0');
INSERT INTO public.who_import VALUES (96405, '2020-05-06', 'VN', 'Viet Nam', 'WPRO', '0', '271', '0', '0');
INSERT INTO public.who_import VALUES (96406, '2020-05-07', 'VN', 'Viet Nam', 'WPRO', '17', '288', '0', '0');
INSERT INTO public.who_import VALUES (96407, '2020-05-08', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96408, '2020-05-09', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96409, '2020-05-10', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96410, '2020-05-11', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96411, '2020-05-12', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96412, '2020-05-13', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96413, '2020-05-14', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96414, '2020-05-15', 'VN', 'Viet Nam', 'WPRO', '0', '288', '0', '0');
INSERT INTO public.who_import VALUES (96415, '2020-05-16', 'VN', 'Viet Nam', 'WPRO', '30', '318', '0', '0');
INSERT INTO public.who_import VALUES (96416, '2020-05-17', 'VN', 'Viet Nam', 'WPRO', '0', '318', '0', '0');
INSERT INTO public.who_import VALUES (96417, '2020-05-18', 'VN', 'Viet Nam', 'WPRO', '2', '320', '0', '0');
INSERT INTO public.who_import VALUES (96418, '2020-05-19', 'VN', 'Viet Nam', 'WPRO', '4', '324', '0', '0');
INSERT INTO public.who_import VALUES (96419, '2020-05-20', 'VN', 'Viet Nam', 'WPRO', '0', '324', '0', '0');
INSERT INTO public.who_import VALUES (96420, '2020-05-21', 'VN', 'Viet Nam', 'WPRO', '0', '324', '0', '0');
INSERT INTO public.who_import VALUES (96421, '2020-05-22', 'VN', 'Viet Nam', 'WPRO', '0', '324', '0', '0');
INSERT INTO public.who_import VALUES (96422, '2020-05-23', 'VN', 'Viet Nam', 'WPRO', '0', '324', '0', '0');
INSERT INTO public.who_import VALUES (96423, '2020-05-24', 'VN', 'Viet Nam', 'WPRO', '1', '325', '0', '0');
INSERT INTO public.who_import VALUES (96424, '2020-05-25', 'VN', 'Viet Nam', 'WPRO', '0', '325', '0', '0');
INSERT INTO public.who_import VALUES (96425, '2020-05-26', 'VN', 'Viet Nam', 'WPRO', '1', '326', '0', '0');
INSERT INTO public.who_import VALUES (96426, '2020-05-27', 'VN', 'Viet Nam', 'WPRO', '1', '327', '0', '0');
INSERT INTO public.who_import VALUES (96427, '2020-05-28', 'VN', 'Viet Nam', 'WPRO', '0', '327', '0', '0');
INSERT INTO public.who_import VALUES (96428, '2020-05-29', 'VN', 'Viet Nam', 'WPRO', '0', '327', '0', '0');
INSERT INTO public.who_import VALUES (96429, '2020-05-30', 'VN', 'Viet Nam', 'WPRO', '0', '327', '0', '0');
INSERT INTO public.who_import VALUES (96430, '2020-05-31', 'VN', 'Viet Nam', 'WPRO', '1', '328', '0', '0');
INSERT INTO public.who_import VALUES (96431, '2020-06-01', 'VN', 'Viet Nam', 'WPRO', '0', '328', '0', '0');
INSERT INTO public.who_import VALUES (96432, '2020-06-02', 'VN', 'Viet Nam', 'WPRO', '0', '328', '0', '0');
INSERT INTO public.who_import VALUES (96433, '2020-06-03', 'VN', 'Viet Nam', 'WPRO', '0', '328', '0', '0');
INSERT INTO public.who_import VALUES (96434, '2020-06-04', 'VN', 'Viet Nam', 'WPRO', '0', '328', '0', '0');
INSERT INTO public.who_import VALUES (96435, '2020-06-05', 'VN', 'Viet Nam', 'WPRO', '0', '328', '0', '0');
INSERT INTO public.who_import VALUES (96436, '2020-06-06', 'VN', 'Viet Nam', 'WPRO', '1', '329', '0', '0');
INSERT INTO public.who_import VALUES (96437, '2020-06-07', 'VN', 'Viet Nam', 'WPRO', '0', '329', '0', '0');
INSERT INTO public.who_import VALUES (96438, '2020-06-08', 'VN', 'Viet Nam', 'WPRO', '0', '329', '0', '0');
INSERT INTO public.who_import VALUES (96439, '2020-06-09', 'VN', 'Viet Nam', 'WPRO', '3', '332', '0', '0');
INSERT INTO public.who_import VALUES (96440, '2020-06-10', 'VN', 'Viet Nam', 'WPRO', '0', '332', '0', '0');
INSERT INTO public.who_import VALUES (96441, '2020-06-11', 'VN', 'Viet Nam', 'WPRO', '0', '332', '0', '0');
INSERT INTO public.who_import VALUES (96442, '2020-06-12', 'VN', 'Viet Nam', 'WPRO', '0', '332', '0', '0');
INSERT INTO public.who_import VALUES (96443, '2020-06-13', 'VN', 'Viet Nam', 'WPRO', '0', '332', '0', '0');
INSERT INTO public.who_import VALUES (96444, '2020-06-14', 'VN', 'Viet Nam', 'WPRO', '2', '334', '0', '0');
INSERT INTO public.who_import VALUES (96445, '2020-06-15', 'VN', 'Viet Nam', 'WPRO', '0', '334', '0', '0');
INSERT INTO public.who_import VALUES (96446, '2020-06-16', 'VN', 'Viet Nam', 'WPRO', '0', '334', '0', '0');
INSERT INTO public.who_import VALUES (96447, '2020-06-17', 'VN', 'Viet Nam', 'WPRO', '1', '335', '0', '0');
INSERT INTO public.who_import VALUES (96448, '2020-06-18', 'VN', 'Viet Nam', 'WPRO', '0', '335', '0', '0');
INSERT INTO public.who_import VALUES (96449, '2020-06-19', 'VN', 'Viet Nam', 'WPRO', '7', '342', '0', '0');
INSERT INTO public.who_import VALUES (96450, '2020-06-20', 'VN', 'Viet Nam', 'WPRO', '7', '349', '0', '0');
INSERT INTO public.who_import VALUES (96451, '2020-06-21', 'VN', 'Viet Nam', 'WPRO', '0', '349', '0', '0');
INSERT INTO public.who_import VALUES (96452, '2020-06-22', 'VN', 'Viet Nam', 'WPRO', '0', '349', '0', '0');
INSERT INTO public.who_import VALUES (96453, '2020-06-23', 'VN', 'Viet Nam', 'WPRO', '0', '349', '0', '0');
INSERT INTO public.who_import VALUES (96454, '2020-06-24', 'VN', 'Viet Nam', 'WPRO', '0', '349', '0', '0');
INSERT INTO public.who_import VALUES (96455, '2020-06-25', 'VN', 'Viet Nam', 'WPRO', '3', '352', '0', '0');
INSERT INTO public.who_import VALUES (96456, '2020-06-26', 'VN', 'Viet Nam', 'WPRO', '0', '352', '0', '0');
INSERT INTO public.who_import VALUES (96457, '2020-06-27', 'VN', 'Viet Nam', 'WPRO', '1', '353', '0', '0');
INSERT INTO public.who_import VALUES (96458, '2020-06-28', 'VN', 'Viet Nam', 'WPRO', '2', '355', '0', '0');
INSERT INTO public.who_import VALUES (96459, '2020-06-29', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96460, '2020-06-30', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96461, '2020-07-01', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96462, '2020-07-02', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96463, '2020-07-03', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96464, '2020-07-04', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96465, '2020-07-05', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96466, '2020-07-06', 'VN', 'Viet Nam', 'WPRO', '0', '355', '0', '0');
INSERT INTO public.who_import VALUES (96467, '2020-07-07', 'VN', 'Viet Nam', 'WPRO', '14', '369', '0', '0');
INSERT INTO public.who_import VALUES (96468, '2020-07-08', 'VN', 'Viet Nam', 'WPRO', '0', '369', '0', '0');
INSERT INTO public.who_import VALUES (96469, '2020-07-09', 'VN', 'Viet Nam', 'WPRO', '0', '369', '0', '0');
INSERT INTO public.who_import VALUES (96470, '2020-07-10', 'VN', 'Viet Nam', 'WPRO', '0', '369', '0', '0');
INSERT INTO public.who_import VALUES (96471, '2020-07-11', 'VN', 'Viet Nam', 'WPRO', '1', '370', '0', '0');
INSERT INTO public.who_import VALUES (96472, '2020-07-12', 'VN', 'Viet Nam', 'WPRO', '0', '370', '0', '0');
INSERT INTO public.who_import VALUES (96473, '2020-07-13', 'VN', 'Viet Nam', 'WPRO', '2', '372', '0', '0');
INSERT INTO public.who_import VALUES (96474, '2020-07-14', 'VN', 'Viet Nam', 'WPRO', '0', '372', '0', '0');
INSERT INTO public.who_import VALUES (96475, '2020-07-15', 'VN', 'Viet Nam', 'WPRO', '1', '373', '0', '0');
INSERT INTO public.who_import VALUES (96476, '2020-07-16', 'VN', 'Viet Nam', 'WPRO', '8', '381', '0', '0');
INSERT INTO public.who_import VALUES (96477, '2020-07-17', 'VN', 'Viet Nam', 'WPRO', '0', '381', '0', '0');
INSERT INTO public.who_import VALUES (96478, '2020-07-18', 'VN', 'Viet Nam', 'WPRO', '1', '382', '0', '0');
INSERT INTO public.who_import VALUES (96479, '2020-07-19', 'VN', 'Viet Nam', 'WPRO', '0', '382', '0', '0');
INSERT INTO public.who_import VALUES (96480, '2020-07-20', 'VN', 'Viet Nam', 'WPRO', '1', '383', '0', '0');
INSERT INTO public.who_import VALUES (96481, '2020-07-21', 'VN', 'Viet Nam', 'WPRO', '1', '384', '0', '0');
INSERT INTO public.who_import VALUES (96482, '2020-07-22', 'VN', 'Viet Nam', 'WPRO', '17', '401', '0', '0');
INSERT INTO public.who_import VALUES (96483, '2020-07-23', 'VN', 'Viet Nam', 'WPRO', '7', '408', '0', '0');
INSERT INTO public.who_import VALUES (96484, '2020-07-24', 'VN', 'Viet Nam', 'WPRO', '4', '412', '0', '0');
INSERT INTO public.who_import VALUES (96485, '2020-07-25', 'VN', 'Viet Nam', 'WPRO', '3', '415', '0', '0');
INSERT INTO public.who_import VALUES (96486, '2020-07-26', 'VN', 'Viet Nam', 'WPRO', '3', '418', '0', '0');
INSERT INTO public.who_import VALUES (96487, '2020-07-27', 'VN', 'Viet Nam', 'WPRO', '2', '420', '0', '0');
INSERT INTO public.who_import VALUES (96488, '2020-07-28', 'VN', 'Viet Nam', 'WPRO', '11', '431', '0', '0');
INSERT INTO public.who_import VALUES (96489, '2020-07-29', 'VN', 'Viet Nam', 'WPRO', '15', '446', '0', '0');
INSERT INTO public.who_import VALUES (96490, '2020-07-30', 'VN', 'Viet Nam', 'WPRO', '13', '459', '0', '0');
INSERT INTO public.who_import VALUES (96491, '2020-07-31', 'VN', 'Viet Nam', 'WPRO', '50', '509', '0', '0');
INSERT INTO public.who_import VALUES (96492, '2020-08-01', 'VN', 'Viet Nam', 'WPRO', '49', '558', '2', '2');
INSERT INTO public.who_import VALUES (96493, '2020-08-02', 'VN', 'Viet Nam', 'WPRO', '32', '590', '1', '3');
INSERT INTO public.who_import VALUES (96494, '2020-08-03', 'VN', 'Viet Nam', 'WPRO', '31', '621', '3', '6');
INSERT INTO public.who_import VALUES (96495, '2020-08-04', 'VN', 'Viet Nam', 'WPRO', '31', '652', '0', '6');
INSERT INTO public.who_import VALUES (96496, '2020-08-05', 'VN', 'Viet Nam', 'WPRO', '20', '672', '2', '8');
INSERT INTO public.who_import VALUES (96497, '2020-08-06', 'VN', 'Viet Nam', 'WPRO', '45', '717', '0', '8');
INSERT INTO public.who_import VALUES (96498, '2020-08-07', 'VN', 'Viet Nam', 'WPRO', '33', '750', '2', '10');
INSERT INTO public.who_import VALUES (96499, '2020-08-08', 'VN', 'Viet Nam', 'WPRO', '39', '789', '0', '10');
INSERT INTO public.who_import VALUES (96500, '2020-08-09', 'VN', 'Viet Nam', 'WPRO', '23', '812', '0', '10');
INSERT INTO public.who_import VALUES (96501, '2020-08-10', 'VN', 'Viet Nam', 'WPRO', '29', '841', '3', '13');
INSERT INTO public.who_import VALUES (96502, '2020-08-11', 'VN', 'Viet Nam', 'WPRO', '6', '847', '2', '15');
INSERT INTO public.who_import VALUES (96503, '2020-08-12', 'VN', 'Viet Nam', 'WPRO', '19', '866', '2', '17');
INSERT INTO public.who_import VALUES (96504, '2020-08-13', 'VN', 'Viet Nam', 'WPRO', '17', '883', '1', '18');
INSERT INTO public.who_import VALUES (96505, '2020-08-14', 'VN', 'Viet Nam', 'WPRO', '28', '911', '3', '21');
INSERT INTO public.who_import VALUES (96506, '2020-08-15', 'VN', 'Viet Nam', 'WPRO', '19', '930', '1', '22');
INSERT INTO public.who_import VALUES (96507, '2020-08-16', 'VN', 'Viet Nam', 'WPRO', '21', '951', '1', '23');
INSERT INTO public.who_import VALUES (96508, '2020-08-17', 'VN', 'Viet Nam', 'WPRO', '13', '964', '1', '24');
INSERT INTO public.who_import VALUES (96509, '2020-08-18', 'VN', 'Viet Nam', 'WPRO', '19', '983', '1', '25');
INSERT INTO public.who_import VALUES (96510, '2020-08-19', 'VN', 'Viet Nam', 'WPRO', '6', '989', '0', '25');
INSERT INTO public.who_import VALUES (96511, '2020-08-20', 'VN', 'Viet Nam', 'WPRO', '4', '993', '0', '25');
INSERT INTO public.who_import VALUES (96512, '2020-08-21', 'VN', 'Viet Nam', 'WPRO', '14', '1007', '0', '25');
INSERT INTO public.who_import VALUES (96513, '2020-08-22', 'VN', 'Viet Nam', 'WPRO', '2', '1009', '0', '25');
INSERT INTO public.who_import VALUES (96514, '2020-08-23', 'VN', 'Viet Nam', 'WPRO', '5', '1014', '1', '26');
INSERT INTO public.who_import VALUES (96515, '2020-08-24', 'VN', 'Viet Nam', 'WPRO', '2', '1016', '1', '27');
INSERT INTO public.who_import VALUES (96516, '2020-08-25', 'VN', 'Viet Nam', 'WPRO', '6', '1022', '0', '27');
INSERT INTO public.who_import VALUES (96517, '2020-08-26', 'VN', 'Viet Nam', 'WPRO', '7', '1029', '0', '27');
INSERT INTO public.who_import VALUES (96518, '2020-08-27', 'VN', 'Viet Nam', 'WPRO', '5', '1034', '2', '29');
INSERT INTO public.who_import VALUES (96519, '2020-08-28', 'VN', 'Viet Nam', 'WPRO', '2', '1036', '1', '30');
INSERT INTO public.who_import VALUES (96520, '2020-08-29', 'VN', 'Viet Nam', 'WPRO', '2', '1038', '0', '30');
INSERT INTO public.who_import VALUES (96521, '2020-08-30', 'VN', 'Viet Nam', 'WPRO', '2', '1040', '2', '32');
INSERT INTO public.who_import VALUES (96522, '2020-08-31', 'VN', 'Viet Nam', 'WPRO', '0', '1040', '0', '32');
INSERT INTO public.who_import VALUES (96523, '2020-09-01', 'VN', 'Viet Nam', 'WPRO', '4', '1044', '2', '34');
INSERT INTO public.who_import VALUES (96524, '2020-09-02', 'VN', 'Viet Nam', 'WPRO', '0', '1044', '0', '34');
INSERT INTO public.who_import VALUES (96525, '2020-09-03', 'VN', 'Viet Nam', 'WPRO', '2', '1046', '0', '34');
INSERT INTO public.who_import VALUES (96526, '2020-09-04', 'VN', 'Viet Nam', 'WPRO', '0', '1046', '1', '35');
INSERT INTO public.who_import VALUES (96527, '2020-09-05', 'VN', 'Viet Nam', 'WPRO', '3', '1049', '0', '35');
INSERT INTO public.who_import VALUES (96528, '2020-09-06', 'VN', 'Viet Nam', 'WPRO', '0', '1049', '0', '35');
INSERT INTO public.who_import VALUES (96529, '2020-09-07', 'VN', 'Viet Nam', 'WPRO', '0', '1049', '0', '35');
INSERT INTO public.who_import VALUES (96530, '2020-09-08', 'VN', 'Viet Nam', 'WPRO', '0', '1049', '0', '35');
INSERT INTO public.who_import VALUES (96531, '2020-09-09', 'VN', 'Viet Nam', 'WPRO', '5', '1054', '0', '35');
INSERT INTO public.who_import VALUES (96532, '2020-09-10', 'VN', 'Viet Nam', 'WPRO', '5', '1059', '0', '35');
INSERT INTO public.who_import VALUES (96533, '2020-09-11', 'VN', 'Viet Nam', 'WPRO', '0', '1059', '0', '35');
INSERT INTO public.who_import VALUES (96534, '2020-09-12', 'VN', 'Viet Nam', 'WPRO', '1', '1060', '0', '35');
INSERT INTO public.who_import VALUES (96535, '2020-09-13', 'VN', 'Viet Nam', 'WPRO', '0', '1060', '0', '35');
INSERT INTO public.who_import VALUES (96536, '2020-09-14', 'VN', 'Viet Nam', 'WPRO', '3', '1063', '0', '35');
INSERT INTO public.who_import VALUES (96537, '2020-09-15', 'VN', 'Viet Nam', 'WPRO', '0', '1063', '0', '35');
INSERT INTO public.who_import VALUES (96538, '2020-09-16', 'VN', 'Viet Nam', 'WPRO', '0', '1063', '0', '35');
INSERT INTO public.who_import VALUES (96539, '2020-09-17', 'VN', 'Viet Nam', 'WPRO', '0', '1063', '0', '35');
INSERT INTO public.who_import VALUES (96540, '2020-09-18', 'VN', 'Viet Nam', 'WPRO', '3', '1066', '0', '35');
INSERT INTO public.who_import VALUES (96541, '2020-09-19', 'VN', 'Viet Nam', 'WPRO', '2', '1068', '0', '35');
INSERT INTO public.who_import VALUES (96542, '2020-09-20', 'VN', 'Viet Nam', 'WPRO', '0', '1068', '0', '35');
INSERT INTO public.who_import VALUES (96543, '2020-09-21', 'VN', 'Viet Nam', 'WPRO', '0', '1068', '0', '35');
INSERT INTO public.who_import VALUES (96544, '2020-09-22', 'VN', 'Viet Nam', 'WPRO', '0', '1068', '0', '35');
INSERT INTO public.who_import VALUES (96545, '2020-09-23', 'VN', 'Viet Nam', 'WPRO', '0', '1068', '0', '35');
INSERT INTO public.who_import VALUES (96546, '2020-09-24', 'VN', 'Viet Nam', 'WPRO', '1', '1069', '0', '35');
INSERT INTO public.who_import VALUES (96547, '2020-09-25', 'VN', 'Viet Nam', 'WPRO', '0', '1069', '0', '35');
INSERT INTO public.who_import VALUES (96548, '2020-09-26', 'VN', 'Viet Nam', 'WPRO', '0', '1069', '0', '35');
INSERT INTO public.who_import VALUES (96549, '2020-09-27', 'VN', 'Viet Nam', 'WPRO', '0', '1069', '0', '35');
INSERT INTO public.who_import VALUES (96550, '2020-09-28', 'VN', 'Viet Nam', 'WPRO', '5', '1074', '0', '35');
INSERT INTO public.who_import VALUES (96551, '2020-09-29', 'VN', 'Viet Nam', 'WPRO', '3', '1077', '0', '35');
INSERT INTO public.who_import VALUES (96552, '2020-09-30', 'VN', 'Viet Nam', 'WPRO', '17', '1094', '0', '35');
INSERT INTO public.who_import VALUES (96553, '2020-10-01', 'VN', 'Viet Nam', 'WPRO', '1', '1095', '0', '35');
INSERT INTO public.who_import VALUES (96554, '2020-10-02', 'VN', 'Viet Nam', 'WPRO', '0', '1095', '0', '35');
INSERT INTO public.who_import VALUES (96555, '2020-10-03', 'VN', 'Viet Nam', 'WPRO', '1', '1096', '0', '35');
INSERT INTO public.who_import VALUES (96556, '2020-10-04', 'VN', 'Viet Nam', 'WPRO', '0', '1096', '0', '35');
INSERT INTO public.who_import VALUES (96557, '2020-10-05', 'VN', 'Viet Nam', 'WPRO', '0', '1096', '0', '35');
INSERT INTO public.who_import VALUES (96558, '2020-10-06', 'VN', 'Viet Nam', 'WPRO', '1', '1097', '0', '35');
INSERT INTO public.who_import VALUES (96559, '2020-10-07', 'VN', 'Viet Nam', 'WPRO', '1', '1098', '0', '35');
INSERT INTO public.who_import VALUES (96560, '2020-10-08', 'VN', 'Viet Nam', 'WPRO', '1', '1099', '0', '35');
INSERT INTO public.who_import VALUES (96561, '2020-10-09', 'VN', 'Viet Nam', 'WPRO', '1', '1100', '0', '35');
INSERT INTO public.who_import VALUES (96562, '2020-10-10', 'VN', 'Viet Nam', 'WPRO', '5', '1105', '0', '35');
INSERT INTO public.who_import VALUES (96563, '2020-10-11', 'VN', 'Viet Nam', 'WPRO', '2', '1107', '0', '35');
INSERT INTO public.who_import VALUES (96564, '2020-10-12', 'VN', 'Viet Nam', 'WPRO', '2', '1109', '0', '35');
INSERT INTO public.who_import VALUES (96565, '2020-10-13', 'VN', 'Viet Nam', 'WPRO', '1', '1110', '0', '35');
INSERT INTO public.who_import VALUES (96566, '2020-10-14', 'VN', 'Viet Nam', 'WPRO', '3', '1113', '0', '35');
INSERT INTO public.who_import VALUES (96567, '2020-10-15', 'VN', 'Viet Nam', 'WPRO', '9', '1122', '0', '35');
INSERT INTO public.who_import VALUES (96568, '2020-10-16', 'VN', 'Viet Nam', 'WPRO', '2', '1124', '0', '35');
INSERT INTO public.who_import VALUES (96569, '2020-10-17', 'VN', 'Viet Nam', 'WPRO', '0', '1124', '0', '35');
INSERT INTO public.who_import VALUES (96570, '2020-10-18', 'VN', 'Viet Nam', 'WPRO', '2', '1126', '0', '35');
INSERT INTO public.who_import VALUES (96571, '2020-10-19', 'VN', 'Viet Nam', 'WPRO', '8', '1134', '0', '35');
INSERT INTO public.who_import VALUES (96572, '2020-10-20', 'VN', 'Viet Nam', 'WPRO', '6', '1140', '0', '35');
INSERT INTO public.who_import VALUES (96573, '2020-10-21', 'VN', 'Viet Nam', 'WPRO', '1', '1141', '0', '35');
INSERT INTO public.who_import VALUES (96574, '2020-10-22', 'VN', 'Viet Nam', 'WPRO', '4', '1145', '0', '35');
INSERT INTO public.who_import VALUES (96575, '2020-10-23', 'VN', 'Viet Nam', 'WPRO', '3', '1148', '0', '35');
INSERT INTO public.who_import VALUES (96576, '2020-10-24', 'VN', 'Viet Nam', 'WPRO', '0', '1148', '0', '35');
INSERT INTO public.who_import VALUES (96577, '2020-10-25', 'VN', 'Viet Nam', 'WPRO', '12', '1160', '0', '35');
INSERT INTO public.who_import VALUES (96578, '2020-10-26', 'VN', 'Viet Nam', 'WPRO', '8', '1168', '0', '35');
INSERT INTO public.who_import VALUES (96579, '2020-10-27', 'VN', 'Viet Nam', 'WPRO', '1', '1169', '0', '35');
INSERT INTO public.who_import VALUES (96580, '2020-10-28', 'VN', 'Viet Nam', 'WPRO', '3', '1172', '0', '35');
INSERT INTO public.who_import VALUES (96581, '2020-10-29', 'VN', 'Viet Nam', 'WPRO', '1', '1173', '0', '35');
INSERT INTO public.who_import VALUES (96582, '2020-10-30', 'VN', 'Viet Nam', 'WPRO', '4', '1177', '0', '35');
INSERT INTO public.who_import VALUES (96583, '2020-10-31', 'VN', 'Viet Nam', 'WPRO', '0', '1177', '0', '35');
INSERT INTO public.who_import VALUES (96584, '2020-11-01', 'VN', 'Viet Nam', 'WPRO', '3', '1180', '0', '35');
INSERT INTO public.who_import VALUES (96585, '2020-11-02', 'VN', 'Viet Nam', 'WPRO', '0', '1180', '0', '35');
INSERT INTO public.who_import VALUES (96586, '2020-11-03', 'VN', 'Viet Nam', 'WPRO', '12', '1192', '0', '35');
INSERT INTO public.who_import VALUES (96587, '2020-11-04', 'VN', 'Viet Nam', 'WPRO', '11', '1203', '0', '35');
INSERT INTO public.who_import VALUES (96588, '2020-11-05', 'VN', 'Viet Nam', 'WPRO', '4', '1207', '0', '35');
INSERT INTO public.who_import VALUES (96589, '2020-11-06', 'VN', 'Viet Nam', 'WPRO', '3', '1210', '0', '35');
INSERT INTO public.who_import VALUES (96590, '2020-11-07', 'VN', 'Viet Nam', 'WPRO', '3', '1213', '0', '35');
INSERT INTO public.who_import VALUES (96591, '2020-11-08', 'VN', 'Viet Nam', 'WPRO', '0', '1213', '0', '35');
INSERT INTO public.who_import VALUES (96592, '2020-11-09', 'VN', 'Viet Nam', 'WPRO', '0', '1213', '0', '35');
INSERT INTO public.who_import VALUES (96593, '2020-11-10', 'VN', 'Viet Nam', 'WPRO', '3', '1216', '0', '35');
INSERT INTO public.who_import VALUES (96594, '2020-11-11', 'VN', 'Viet Nam', 'WPRO', '10', '1226', '0', '35');
INSERT INTO public.who_import VALUES (96595, '2020-11-12', 'VN', 'Viet Nam', 'WPRO', '26', '1252', '0', '35');
INSERT INTO public.who_import VALUES (96596, '2020-11-13', 'VN', 'Viet Nam', 'WPRO', '1', '1253', '0', '35');
INSERT INTO public.who_import VALUES (96597, '2020-11-14', 'VN', 'Viet Nam', 'WPRO', '3', '1256', '0', '35');
INSERT INTO public.who_import VALUES (96598, '2020-11-15', 'VN', 'Viet Nam', 'WPRO', '9', '1265', '0', '35');
INSERT INTO public.who_import VALUES (96599, '2020-11-16', 'VN', 'Viet Nam', 'WPRO', '16', '1281', '0', '35');
INSERT INTO public.who_import VALUES (96600, '2020-11-17', 'VN', 'Viet Nam', 'WPRO', '2', '1283', '0', '35');
INSERT INTO public.who_import VALUES (96601, '2020-11-18', 'VN', 'Viet Nam', 'WPRO', '5', '1288', '0', '35');
INSERT INTO public.who_import VALUES (96602, '2020-11-19', 'VN', 'Viet Nam', 'WPRO', '12', '1300', '0', '35');
INSERT INTO public.who_import VALUES (96603, '2020-11-20', 'VN', 'Viet Nam', 'WPRO', '4', '1304', '0', '35');
INSERT INTO public.who_import VALUES (96604, '2020-11-21', 'VN', 'Viet Nam', 'WPRO', '1', '1305', '0', '35');
INSERT INTO public.who_import VALUES (96605, '2020-11-22', 'VN', 'Viet Nam', 'WPRO', '1', '1306', '0', '35');
INSERT INTO public.who_import VALUES (96606, '2020-11-23', 'VN', 'Viet Nam', 'WPRO', '1', '1307', '0', '35');
INSERT INTO public.who_import VALUES (96607, '2020-11-24', 'VN', 'Viet Nam', 'WPRO', '5', '1312', '0', '35');
INSERT INTO public.who_import VALUES (96608, '2020-11-25', 'VN', 'Viet Nam', 'WPRO', '4', '1316', '0', '35');
INSERT INTO public.who_import VALUES (96609, '2020-11-26', 'VN', 'Viet Nam', 'WPRO', '5', '1321', '0', '35');
INSERT INTO public.who_import VALUES (96610, '2020-11-27', 'VN', 'Viet Nam', 'WPRO', '10', '1331', '0', '35');
INSERT INTO public.who_import VALUES (96611, '2020-11-28', 'VN', 'Viet Nam', 'WPRO', '8', '1339', '0', '35');
INSERT INTO public.who_import VALUES (96612, '2020-11-29', 'VN', 'Viet Nam', 'WPRO', '2', '1341', '0', '35');
INSERT INTO public.who_import VALUES (96613, '2020-11-30', 'VN', 'Viet Nam', 'WPRO', '2', '1343', '0', '35');
INSERT INTO public.who_import VALUES (96614, '2020-12-01', 'VN', 'Viet Nam', 'WPRO', '4', '1347', '0', '35');
INSERT INTO public.who_import VALUES (96615, '2020-12-02', 'VN', 'Viet Nam', 'WPRO', '4', '1351', '0', '35');
INSERT INTO public.who_import VALUES (96616, '2020-12-03', 'VN', 'Viet Nam', 'WPRO', '7', '1358', '0', '35');
INSERT INTO public.who_import VALUES (96617, '2020-12-04', 'VN', 'Viet Nam', 'WPRO', '3', '1361', '0', '35');
INSERT INTO public.who_import VALUES (96618, '2020-12-05', 'VN', 'Viet Nam', 'WPRO', '0', '1361', '0', '35');
INSERT INTO public.who_import VALUES (96619, '2020-12-06', 'VN', 'Viet Nam', 'WPRO', '4', '1365', '0', '35');
INSERT INTO public.who_import VALUES (96620, '2020-12-07', 'VN', 'Viet Nam', 'WPRO', '1', '1366', '0', '35');
INSERT INTO public.who_import VALUES (96621, '2020-12-08', 'VN', 'Viet Nam', 'WPRO', '1', '1367', '0', '35');
INSERT INTO public.who_import VALUES (96622, '2020-12-09', 'VN', 'Viet Nam', 'WPRO', '10', '1377', '0', '35');
INSERT INTO public.who_import VALUES (96623, '2020-12-10', 'VN', 'Viet Nam', 'WPRO', '4', '1381', '0', '35');
INSERT INTO public.who_import VALUES (96624, '2020-12-11', 'VN', 'Viet Nam', 'WPRO', '4', '1385', '0', '35');
INSERT INTO public.who_import VALUES (96625, '2020-12-12', 'VN', 'Viet Nam', 'WPRO', '6', '1391', '0', '35');
INSERT INTO public.who_import VALUES (96626, '2020-12-13', 'VN', 'Viet Nam', 'WPRO', '4', '1395', '0', '35');
INSERT INTO public.who_import VALUES (96627, '2020-12-14', 'VN', 'Viet Nam', 'WPRO', '2', '1397', '0', '35');
INSERT INTO public.who_import VALUES (96628, '2020-12-15', 'VN', 'Viet Nam', 'WPRO', '5', '1402', '0', '35');
INSERT INTO public.who_import VALUES (96629, '2020-12-16', 'VN', 'Viet Nam', 'WPRO', '3', '1405', '0', '35');
INSERT INTO public.who_import VALUES (96630, '2020-12-17', 'VN', 'Viet Nam', 'WPRO', '0', '1405', '0', '35');
INSERT INTO public.who_import VALUES (96631, '2020-12-18', 'VN', 'Viet Nam', 'WPRO', '2', '1407', '0', '35');
INSERT INTO public.who_import VALUES (96632, '2020-12-19', 'VN', 'Viet Nam', 'WPRO', '3', '1410', '0', '35');
INSERT INTO public.who_import VALUES (96633, '2020-12-20', 'VN', 'Viet Nam', 'WPRO', '1', '1411', '0', '35');
INSERT INTO public.who_import VALUES (96634, '2020-12-21', 'VN', 'Viet Nam', 'WPRO', '2', '1413', '0', '35');
INSERT INTO public.who_import VALUES (96635, '2020-12-22', 'VN', 'Viet Nam', 'WPRO', '1', '1414', '0', '35');
INSERT INTO public.who_import VALUES (96636, '2020-12-23', 'VN', 'Viet Nam', 'WPRO', '6', '1420', '0', '35');
INSERT INTO public.who_import VALUES (96637, '2020-12-24', 'VN', 'Viet Nam', 'WPRO', '1', '1421', '0', '35');
INSERT INTO public.who_import VALUES (96638, '2020-12-25', 'VN', 'Viet Nam', 'WPRO', '12', '1433', '0', '35');
INSERT INTO public.who_import VALUES (96639, '2020-12-26', 'VN', 'Viet Nam', 'WPRO', '6', '1439', '0', '35');
INSERT INTO public.who_import VALUES (96640, '2020-12-27', 'VN', 'Viet Nam', 'WPRO', '1', '1440', '0', '35');
INSERT INTO public.who_import VALUES (96641, '2020-12-28', 'VN', 'Viet Nam', 'WPRO', '1', '1441', '0', '35');
INSERT INTO public.who_import VALUES (96642, '2020-12-29', 'VN', 'Viet Nam', 'WPRO', '10', '1451', '0', '35');
INSERT INTO public.who_import VALUES (96643, '2020-12-30', 'VN', 'Viet Nam', 'WPRO', '3', '1454', '0', '35');
INSERT INTO public.who_import VALUES (96644, '2020-12-31', 'VN', 'Viet Nam', 'WPRO', '2', '1456', '0', '35');
INSERT INTO public.who_import VALUES (96645, '2021-01-01', 'VN', 'Viet Nam', 'WPRO', '9', '1465', '0', '35');
INSERT INTO public.who_import VALUES (96646, '2021-01-02', 'VN', 'Viet Nam', 'WPRO', '9', '1474', '0', '35');
INSERT INTO public.who_import VALUES (96647, '2021-01-03', 'VN', 'Viet Nam', 'WPRO', '8', '1482', '0', '35');
INSERT INTO public.who_import VALUES (96648, '2021-01-04', 'VN', 'Viet Nam', 'WPRO', '12', '1494', '0', '35');
INSERT INTO public.who_import VALUES (96649, '2021-01-05', 'VN', 'Viet Nam', 'WPRO', '3', '1497', '0', '35');
INSERT INTO public.who_import VALUES (96650, '2021-01-06', 'VN', 'Viet Nam', 'WPRO', '7', '1504', '0', '35');
INSERT INTO public.who_import VALUES (96651, '2021-01-07', 'VN', 'Viet Nam', 'WPRO', '1', '1505', '0', '35');
INSERT INTO public.who_import VALUES (96652, '2021-01-08', 'VN', 'Viet Nam', 'WPRO', '4', '1509', '0', '35');
INSERT INTO public.who_import VALUES (96653, '2021-01-09', 'VN', 'Viet Nam', 'WPRO', '3', '1512', '0', '35');
INSERT INTO public.who_import VALUES (96654, '2021-01-10', 'VN', 'Viet Nam', 'WPRO', '1', '1513', '0', '35');
INSERT INTO public.who_import VALUES (96655, '2021-01-11', 'VN', 'Viet Nam', 'WPRO', '1', '1514', '0', '35');
INSERT INTO public.who_import VALUES (96656, '2021-01-12', 'VN', 'Viet Nam', 'WPRO', '1', '1515', '0', '35');
INSERT INTO public.who_import VALUES (96657, '2021-01-13', 'VN', 'Viet Nam', 'WPRO', '5', '1520', '0', '35');
INSERT INTO public.who_import VALUES (96658, '2021-01-14', 'VN', 'Viet Nam', 'WPRO', '1', '1521', '0', '35');
INSERT INTO public.who_import VALUES (96659, '2021-01-15', 'VN', 'Viet Nam', 'WPRO', '10', '1531', '0', '35');
INSERT INTO public.who_import VALUES (96660, '2021-01-16', 'VN', 'Viet Nam', 'WPRO', '5', '1536', '0', '35');
INSERT INTO public.who_import VALUES (96661, '2021-01-17', 'VN', 'Viet Nam', 'WPRO', '1', '1537', '0', '35');
INSERT INTO public.who_import VALUES (96662, '2021-01-18', 'VN', 'Viet Nam', 'WPRO', '0', '1537', '0', '35');
INSERT INTO public.who_import VALUES (96663, '2021-01-19', 'VN', 'Viet Nam', 'WPRO', '2', '1539', '0', '35');
INSERT INTO public.who_import VALUES (96664, '2021-01-20', 'VN', 'Viet Nam', 'WPRO', '1', '1540', '0', '35');
INSERT INTO public.who_import VALUES (96665, '2021-01-21', 'VN', 'Viet Nam', 'WPRO', '4', '1544', '0', '35');
INSERT INTO public.who_import VALUES (96666, '2021-01-22', 'VN', 'Viet Nam', 'WPRO', '2', '1546', '0', '35');
INSERT INTO public.who_import VALUES (96667, '2021-01-23', 'VN', 'Viet Nam', 'WPRO', '2', '1548', '0', '35');
INSERT INTO public.who_import VALUES (96668, '2021-01-24', 'VN', 'Viet Nam', 'WPRO', '0', '1548', '0', '35');
INSERT INTO public.who_import VALUES (96669, '2021-01-25', 'VN', 'Viet Nam', 'WPRO', '0', '1548', '0', '35');
INSERT INTO public.who_import VALUES (96670, '2021-01-26', 'VN', 'Viet Nam', 'WPRO', '1', '1549', '0', '35');
INSERT INTO public.who_import VALUES (96671, '2021-01-27', 'VN', 'Viet Nam', 'WPRO', '2', '1551', '0', '35');
INSERT INTO public.who_import VALUES (96672, '2021-01-28', 'VN', 'Viet Nam', 'WPRO', '2', '1553', '0', '35');
INSERT INTO public.who_import VALUES (96673, '2021-01-29', 'VN', 'Viet Nam', 'WPRO', '98', '1651', '0', '35');
INSERT INTO public.who_import VALUES (96674, '2021-01-30', 'VN', 'Viet Nam', 'WPRO', '88', '1739', '0', '35');
INSERT INTO public.who_import VALUES (96675, '2021-01-31', 'VN', 'Viet Nam', 'WPRO', '42', '1781', '0', '35');
INSERT INTO public.who_import VALUES (96676, '2021-02-01', 'VN', 'Viet Nam', 'WPRO', '38', '1819', '0', '35');
INSERT INTO public.who_import VALUES (96677, '2021-02-02', 'VN', 'Viet Nam', 'WPRO', '32', '1851', '0', '35');
INSERT INTO public.who_import VALUES (96678, '2021-02-03', 'VN', 'Viet Nam', 'WPRO', '40', '1891', '0', '35');
INSERT INTO public.who_import VALUES (96679, '2021-02-04', 'VN', 'Viet Nam', 'WPRO', '57', '1948', '0', '35');
INSERT INTO public.who_import VALUES (96680, '2021-02-05', 'VN', 'Viet Nam', 'WPRO', '9', '1957', '0', '35');
INSERT INTO public.who_import VALUES (96681, '2021-02-06', 'VN', 'Viet Nam', 'WPRO', '19', '1976', '0', '35');
INSERT INTO public.who_import VALUES (96682, '2021-02-07', 'VN', 'Viet Nam', 'WPRO', '9', '1985', '0', '35');
INSERT INTO public.who_import VALUES (96683, '2021-02-08', 'VN', 'Viet Nam', 'WPRO', '20', '2005', '0', '35');
INSERT INTO public.who_import VALUES (96684, '2021-02-09', 'VN', 'Viet Nam', 'WPRO', '48', '2053', '0', '35');
INSERT INTO public.who_import VALUES (96685, '2021-02-10', 'VN', 'Viet Nam', 'WPRO', '17', '2070', '0', '35');
INSERT INTO public.who_import VALUES (96686, '2021-02-11', 'VN', 'Viet Nam', 'WPRO', '39', '2109', '0', '35');
INSERT INTO public.who_import VALUES (96687, '2021-02-12', 'VN', 'Viet Nam', 'WPRO', '31', '2140', '0', '35');
INSERT INTO public.who_import VALUES (96688, '2021-02-13', 'VN', 'Viet Nam', 'WPRO', '2', '2142', '0', '35');
INSERT INTO public.who_import VALUES (96689, '2021-02-14', 'VN', 'Viet Nam', 'WPRO', '53', '2195', '0', '35');
INSERT INTO public.who_import VALUES (96690, '2021-02-15', 'VN', 'Viet Nam', 'WPRO', '34', '2229', '0', '35');
INSERT INTO public.who_import VALUES (96691, '2021-02-16', 'VN', 'Viet Nam', 'WPRO', '42', '2271', '0', '35');
INSERT INTO public.who_import VALUES (96692, '2021-02-17', 'VN', 'Viet Nam', 'WPRO', '40', '2311', '0', '35');
INSERT INTO public.who_import VALUES (96693, '2021-02-18', 'VN', 'Viet Nam', 'WPRO', '18', '2329', '0', '35');
INSERT INTO public.who_import VALUES (96694, '2021-02-19', 'VN', 'Viet Nam', 'WPRO', '18', '2347', '0', '35');
INSERT INTO public.who_import VALUES (96695, '2021-02-20', 'VN', 'Viet Nam', 'WPRO', '15', '2362', '0', '35');
INSERT INTO public.who_import VALUES (96696, '2020-01-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96697, '2020-01-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96698, '2020-01-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96699, '2020-01-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96700, '2020-01-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96701, '2020-01-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96702, '2020-01-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96703, '2020-01-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96704, '2020-01-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96705, '2020-01-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96706, '2020-01-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96707, '2020-01-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96708, '2020-01-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96709, '2020-01-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96710, '2020-01-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96711, '2020-01-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96712, '2020-01-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96713, '2020-01-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96714, '2020-01-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96715, '2020-01-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96716, '2020-01-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96717, '2020-01-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96718, '2020-01-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96719, '2020-01-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96720, '2020-01-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96721, '2020-01-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96722, '2020-01-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96723, '2020-01-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96724, '2020-01-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96725, '2020-02-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96726, '2020-02-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96727, '2020-02-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96728, '2020-02-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96729, '2020-02-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96730, '2020-02-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96731, '2020-02-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96732, '2020-02-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96733, '2020-02-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96734, '2020-02-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96735, '2020-02-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96736, '2020-02-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96737, '2020-02-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96738, '2020-02-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96739, '2020-02-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96740, '2020-02-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96741, '2020-02-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96742, '2020-02-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96743, '2020-02-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96744, '2020-02-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96745, '2020-02-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96746, '2020-02-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96747, '2020-02-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96748, '2020-02-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96749, '2020-02-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96750, '2020-02-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96751, '2020-02-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96752, '2020-02-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96753, '2020-02-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96754, '2020-03-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96755, '2020-03-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96756, '2020-03-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96757, '2020-03-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96758, '2020-03-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96759, '2020-03-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96760, '2020-03-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96761, '2020-03-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96762, '2020-03-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96763, '2020-03-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96764, '2020-03-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96765, '2020-03-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96766, '2020-03-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96767, '2020-03-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96768, '2020-03-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96769, '2020-03-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96770, '2020-03-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96771, '2020-03-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96772, '2020-03-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96773, '2020-03-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96774, '2020-03-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96775, '2020-03-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96776, '2020-03-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96777, '2020-03-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96778, '2020-03-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96779, '2020-03-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96780, '2020-03-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96781, '2020-03-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96782, '2020-03-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96783, '2020-03-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96784, '2020-03-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96785, '2020-04-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96786, '2020-04-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96787, '2020-04-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96788, '2020-04-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96789, '2020-04-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96790, '2020-04-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96791, '2020-04-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96792, '2020-04-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96793, '2020-04-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96794, '2020-04-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96795, '2020-04-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96796, '2020-04-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96797, '2020-04-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96798, '2020-04-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96799, '2020-04-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96800, '2020-04-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96801, '2020-04-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96802, '2020-04-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96803, '2020-04-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96804, '2020-04-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96805, '2020-04-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96806, '2020-04-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96807, '2020-04-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96808, '2020-04-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96809, '2020-04-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96810, '2020-04-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96811, '2020-04-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96812, '2020-04-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96813, '2020-04-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96814, '2020-04-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96815, '2020-05-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96816, '2020-05-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96817, '2020-05-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96818, '2020-05-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96819, '2020-05-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96820, '2020-05-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96821, '2020-05-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96822, '2020-05-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96823, '2020-05-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96824, '2020-05-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96825, '2020-05-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96826, '2020-05-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96827, '2020-05-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96828, '2020-05-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96829, '2020-05-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96830, '2020-05-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96831, '2020-05-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96832, '2020-05-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96833, '2020-05-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96834, '2020-05-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96835, '2020-05-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96836, '2020-05-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96837, '2020-05-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96838, '2020-05-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96839, '2020-05-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96840, '2020-05-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96841, '2020-05-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96842, '2020-05-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96843, '2020-05-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96844, '2020-05-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96845, '2020-05-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96846, '2020-06-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96847, '2020-06-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96848, '2020-06-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96849, '2020-06-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96850, '2020-06-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96851, '2020-06-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96852, '2020-06-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96853, '2020-06-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96854, '2020-06-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96855, '2020-06-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96856, '2020-06-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96857, '2020-06-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96858, '2020-06-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96859, '2020-06-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96860, '2020-06-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96861, '2020-06-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96862, '2020-06-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96863, '2020-06-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96864, '2020-06-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96865, '2020-06-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96866, '2020-06-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96867, '2020-06-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96868, '2020-06-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96869, '2020-06-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96870, '2020-06-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96871, '2020-06-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96872, '2020-06-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96873, '2020-06-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96874, '2020-06-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96875, '2020-06-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96876, '2020-07-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96877, '2020-07-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96878, '2020-07-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96879, '2020-07-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96880, '2020-07-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96881, '2020-07-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96882, '2020-07-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96883, '2020-07-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96884, '2020-07-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96885, '2020-07-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96886, '2020-07-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96887, '2020-07-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96888, '2020-07-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96889, '2020-07-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96890, '2020-07-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96891, '2020-07-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96892, '2020-07-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96893, '2020-07-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96894, '2020-07-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96895, '2020-07-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96896, '2020-07-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96897, '2020-07-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96898, '2020-07-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96899, '2020-07-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96900, '2020-07-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96901, '2020-07-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96902, '2020-07-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96903, '2020-07-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96904, '2020-07-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96905, '2020-07-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96906, '2020-07-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96907, '2020-08-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96908, '2020-08-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96909, '2020-08-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96910, '2020-08-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96911, '2020-08-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96912, '2020-08-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96913, '2020-08-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96914, '2020-08-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96915, '2020-08-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96916, '2020-08-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96917, '2020-08-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96918, '2020-08-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96919, '2020-08-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96920, '2020-08-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96921, '2020-08-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96922, '2020-08-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96923, '2020-08-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96924, '2020-08-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96925, '2020-08-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96926, '2020-08-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96927, '2020-08-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96928, '2020-08-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96929, '2020-08-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96930, '2020-08-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96931, '2020-08-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96932, '2020-08-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96933, '2020-08-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96934, '2020-08-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96935, '2020-08-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96936, '2020-08-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96937, '2020-08-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96938, '2020-09-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96939, '2020-09-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96940, '2020-09-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96941, '2020-09-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96942, '2020-09-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96943, '2020-09-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96944, '2020-09-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96945, '2020-09-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96946, '2020-09-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96947, '2020-09-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96948, '2020-09-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96949, '2020-09-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96950, '2020-09-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96951, '2020-09-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96952, '2020-09-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96953, '2020-09-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96954, '2020-09-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96955, '2020-09-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96956, '2020-09-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96957, '2020-09-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96958, '2020-09-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96959, '2020-09-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96960, '2020-09-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96961, '2020-09-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96962, '2020-09-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96963, '2020-09-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96964, '2020-09-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96965, '2020-09-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96966, '2020-09-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96967, '2020-09-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96968, '2020-10-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96969, '2020-10-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96970, '2020-10-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96971, '2020-10-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96972, '2020-10-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96973, '2020-10-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96974, '2020-10-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96975, '2020-10-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96976, '2020-10-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96977, '2020-10-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96978, '2020-10-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96979, '2020-10-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96980, '2020-10-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96981, '2020-10-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96982, '2020-10-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96983, '2020-10-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96984, '2020-10-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96985, '2020-10-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (96986, '2020-10-19', 'WF', 'Wallis and Futuna', 'WPRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (96987, '2020-10-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96988, '2020-10-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96989, '2020-10-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96990, '2020-10-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96991, '2020-10-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96992, '2020-10-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96993, '2020-10-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96994, '2020-10-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96995, '2020-10-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96996, '2020-10-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96997, '2020-10-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96998, '2020-10-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (96999, '2020-11-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97000, '2020-11-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97001, '2020-11-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97002, '2020-11-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97003, '2020-11-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97004, '2020-11-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97005, '2020-11-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97006, '2020-11-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97007, '2020-11-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97008, '2020-11-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97009, '2020-11-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97010, '2020-11-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97011, '2020-11-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97012, '2020-11-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97013, '2020-11-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97014, '2020-11-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97015, '2020-11-17', 'WF', 'Wallis and Futuna', 'WPRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (97016, '2020-11-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97017, '2020-11-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97018, '2020-11-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97019, '2020-11-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97020, '2020-11-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97021, '2020-11-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97022, '2020-11-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (97023, '2020-11-25', 'WF', 'Wallis and Futuna', 'WPRO', '1', '3', '0', '0');
INSERT INTO public.who_import VALUES (97024, '2020-11-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97025, '2020-11-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97026, '2020-11-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97027, '2020-11-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97028, '2020-11-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97029, '2020-12-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97030, '2020-12-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97031, '2020-12-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97032, '2020-12-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97033, '2020-12-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97034, '2020-12-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97035, '2020-12-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97036, '2020-12-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97037, '2020-12-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97038, '2020-12-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97039, '2020-12-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97040, '2020-12-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97041, '2020-12-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97042, '2020-12-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97043, '2020-12-15', 'WF', 'Wallis and Futuna', 'WPRO', '1', '4', '0', '0');
INSERT INTO public.who_import VALUES (97044, '2020-12-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97045, '2020-12-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97046, '2020-12-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97047, '2020-12-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97048, '2020-12-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97049, '2020-12-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97050, '2020-12-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97051, '2020-12-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97052, '2020-12-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97053, '2020-12-25', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97054, '2020-12-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97055, '2020-12-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97056, '2020-12-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97057, '2020-12-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97058, '2020-12-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97059, '2020-12-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97060, '2021-01-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97061, '2021-01-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97062, '2021-01-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97063, '2021-01-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97064, '2021-01-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97065, '2021-01-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97066, '2021-01-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97067, '2021-01-08', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97068, '2021-01-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97069, '2021-01-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97070, '2021-01-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97071, '2021-01-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97072, '2021-01-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97073, '2021-01-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97074, '2021-01-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97075, '2021-01-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97076, '2021-01-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97077, '2021-01-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97078, '2021-01-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97079, '2021-01-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97080, '2021-01-21', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97081, '2021-01-22', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97082, '2021-01-23', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97083, '2021-01-24', 'WF', 'Wallis and Futuna', 'WPRO', '0', '4', '0', '0');
INSERT INTO public.who_import VALUES (97084, '2021-01-25', 'WF', 'Wallis and Futuna', 'WPRO', '1', '5', '0', '0');
INSERT INTO public.who_import VALUES (97085, '2021-01-26', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97086, '2021-01-27', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97087, '2021-01-28', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97088, '2021-01-29', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97089, '2021-01-30', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97090, '2021-01-31', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97091, '2021-02-01', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97092, '2021-02-02', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97093, '2021-02-03', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97094, '2021-02-04', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97095, '2021-02-05', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97096, '2021-02-06', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97097, '2021-02-07', 'WF', 'Wallis and Futuna', 'WPRO', '0', '5', '0', '0');
INSERT INTO public.who_import VALUES (97098, '2021-02-08', 'WF', 'Wallis and Futuna', 'WPRO', '4', '9', '0', '0');
INSERT INTO public.who_import VALUES (97099, '2021-02-09', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97100, '2021-02-10', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97101, '2021-02-11', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97102, '2021-02-12', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97103, '2021-02-13', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97104, '2021-02-14', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97105, '2021-02-15', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97106, '2021-02-16', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97107, '2021-02-17', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97108, '2021-02-18', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97109, '2021-02-19', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97110, '2021-02-20', 'WF', 'Wallis and Futuna', 'WPRO', '0', '9', '0', '0');
INSERT INTO public.who_import VALUES (97111, '2020-01-03', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97112, '2020-01-04', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97113, '2020-01-05', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97114, '2020-01-06', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97115, '2020-01-07', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97116, '2020-01-08', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97117, '2020-01-09', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97118, '2020-01-10', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97119, '2020-01-11', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97120, '2020-01-12', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97121, '2020-01-13', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97122, '2020-01-14', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97123, '2020-01-15', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97124, '2020-01-16', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97125, '2020-01-17', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97126, '2020-01-18', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97127, '2020-01-19', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97128, '2020-01-20', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97129, '2020-01-21', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97130, '2020-01-22', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97131, '2020-01-23', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97132, '2020-01-24', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97133, '2020-01-25', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97134, '2020-01-26', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97135, '2020-01-27', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97136, '2020-01-28', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97137, '2020-01-29', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97138, '2020-01-30', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97139, '2020-01-31', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97140, '2020-02-01', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97141, '2020-02-02', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97142, '2020-02-03', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97143, '2020-02-04', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97144, '2020-02-05', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97145, '2020-02-06', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97146, '2020-02-07', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97147, '2020-02-08', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97148, '2020-02-09', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97149, '2020-02-10', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97150, '2020-02-11', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97151, '2020-02-12', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97152, '2020-02-13', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97153, '2020-02-14', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97154, '2020-02-15', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97155, '2020-02-16', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97156, '2020-02-17', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97157, '2020-02-18', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97158, '2020-02-19', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97159, '2020-02-20', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97160, '2020-02-21', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97161, '2020-02-22', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97162, '2020-02-23', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97163, '2020-02-24', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97164, '2020-02-25', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97165, '2020-02-26', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97166, '2020-02-27', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97167, '2020-02-28', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97168, '2020-02-29', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97169, '2020-03-01', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97170, '2020-03-02', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97171, '2020-03-03', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97172, '2020-03-04', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97173, '2020-03-05', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97174, '2020-03-06', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97175, '2020-03-07', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97176, '2020-03-08', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97177, '2020-03-09', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97178, '2020-03-10', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97179, '2020-03-11', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97180, '2020-03-12', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97181, '2020-03-13', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97182, '2020-03-14', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97183, '2020-03-15', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97184, '2020-03-16', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97185, '2020-03-17', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97186, '2020-03-18', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97187, '2020-03-19', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97188, '2020-03-20', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97189, '2020-03-21', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97190, '2020-03-22', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97191, '2020-03-23', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97192, '2020-03-24', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97193, '2020-03-25', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97194, '2020-03-26', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97195, '2020-03-27', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97196, '2020-03-28', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97197, '2020-03-29', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97198, '2020-03-30', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97199, '2020-03-31', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97200, '2020-04-01', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97201, '2020-04-02', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97202, '2020-04-03', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97203, '2020-04-04', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97204, '2020-04-05', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97205, '2020-04-06', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97206, '2020-04-07', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97207, '2020-04-08', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97208, '2020-04-09', 'YE', 'Yemen', 'EMRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97209, '2020-04-10', 'YE', 'Yemen', 'EMRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (97210, '2020-04-11', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97211, '2020-04-12', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97212, '2020-04-13', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97213, '2020-04-14', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97214, '2020-04-15', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97215, '2020-04-16', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97216, '2020-04-17', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97217, '2020-04-18', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97218, '2020-04-19', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97219, '2020-04-20', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97220, '2020-04-21', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97221, '2020-04-22', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97222, '2020-04-23', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97223, '2020-04-24', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97224, '2020-04-25', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97225, '2020-04-26', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97226, '2020-04-27', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97227, '2020-04-28', 'YE', 'Yemen', 'EMRO', '0', '1', '0', '0');
INSERT INTO public.who_import VALUES (97228, '2020-04-29', 'YE', 'Yemen', 'EMRO', '5', '6', '0', '0');
INSERT INTO public.who_import VALUES (97229, '2020-04-30', 'YE', 'Yemen', 'EMRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (97230, '2020-05-01', 'YE', 'Yemen', 'EMRO', '0', '6', '2', '2');
INSERT INTO public.who_import VALUES (97231, '2020-05-02', 'YE', 'Yemen', 'EMRO', '1', '7', '0', '2');
INSERT INTO public.who_import VALUES (97232, '2020-05-03', 'YE', 'Yemen', 'EMRO', '3', '10', '0', '2');
INSERT INTO public.who_import VALUES (97233, '2020-05-04', 'YE', 'Yemen', 'EMRO', '0', '10', '0', '2');
INSERT INTO public.who_import VALUES (97234, '2020-05-05', 'YE', 'Yemen', 'EMRO', '11', '21', '1', '3');
INSERT INTO public.who_import VALUES (97235, '2020-05-06', 'YE', 'Yemen', 'EMRO', '5', '26', '2', '5');
INSERT INTO public.who_import VALUES (97236, '2020-05-07', 'YE', 'Yemen', 'EMRO', '0', '26', '1', '6');
INSERT INTO public.who_import VALUES (97237, '2020-05-08', 'YE', 'Yemen', 'EMRO', '9', '35', '1', '7');
INSERT INTO public.who_import VALUES (97238, '2020-05-09', 'YE', 'Yemen', 'EMRO', '1', '36', '1', '8');
INSERT INTO public.who_import VALUES (97239, '2020-05-10', 'YE', 'Yemen', 'EMRO', '0', '36', '0', '8');
INSERT INTO public.who_import VALUES (97240, '2020-05-11', 'YE', 'Yemen', 'EMRO', '17', '53', '1', '9');
INSERT INTO public.who_import VALUES (97241, '2020-05-12', 'YE', 'Yemen', 'EMRO', '14', '67', '2', '11');
INSERT INTO public.who_import VALUES (97242, '2020-05-13', 'YE', 'Yemen', 'EMRO', '5', '72', '2', '13');
INSERT INTO public.who_import VALUES (97243, '2020-05-14', 'YE', 'Yemen', 'EMRO', '15', '87', '0', '13');
INSERT INTO public.who_import VALUES (97244, '2020-05-15', 'YE', 'Yemen', 'EMRO', '21', '108', '3', '16');
INSERT INTO public.who_import VALUES (97245, '2020-05-16', 'YE', 'Yemen', 'EMRO', '16', '124', '3', '19');
INSERT INTO public.who_import VALUES (97246, '2020-05-17', 'YE', 'Yemen', 'EMRO', '2', '126', '0', '19');
INSERT INTO public.who_import VALUES (97247, '2020-05-18', 'YE', 'Yemen', 'EMRO', '6', '132', '2', '21');
INSERT INTO public.who_import VALUES (97248, '2020-05-19', 'YE', 'Yemen', 'EMRO', '2', '134', '0', '21');
INSERT INTO public.who_import VALUES (97249, '2020-05-20', 'YE', 'Yemen', 'EMRO', '37', '171', '8', '29');
INSERT INTO public.who_import VALUES (97250, '2020-05-21', 'YE', 'Yemen', 'EMRO', '13', '184', '1', '30');
INSERT INTO public.who_import VALUES (97251, '2020-05-22', 'YE', 'Yemen', 'EMRO', '9', '193', '3', '33');
INSERT INTO public.who_import VALUES (97252, '2020-05-23', 'YE', 'Yemen', 'EMRO', '12', '205', '0', '33');
INSERT INTO public.who_import VALUES (97253, '2020-05-24', 'YE', 'Yemen', 'EMRO', '7', '212', '6', '39');
INSERT INTO public.who_import VALUES (97254, '2020-05-25', 'YE', 'Yemen', 'EMRO', '10', '222', '3', '42');
INSERT INTO public.who_import VALUES (97255, '2020-05-26', 'YE', 'Yemen', 'EMRO', '11', '233', '2', '44');
INSERT INTO public.who_import VALUES (97256, '2020-05-27', 'YE', 'Yemen', 'EMRO', '16', '249', '5', '49');
INSERT INTO public.who_import VALUES (97257, '2020-05-28', 'YE', 'Yemen', 'EMRO', '7', '256', '4', '53');
INSERT INTO public.who_import VALUES (97258, '2020-05-29', 'YE', 'Yemen', 'EMRO', '22', '278', '4', '57');
INSERT INTO public.who_import VALUES (97259, '2020-05-30', 'YE', 'Yemen', 'EMRO', '5', '283', '8', '65');
INSERT INTO public.who_import VALUES (97260, '2020-05-31', 'YE', 'Yemen', 'EMRO', '27', '310', '12', '77');
INSERT INTO public.who_import VALUES (97261, '2020-06-01', 'YE', 'Yemen', 'EMRO', '13', '323', '3', '80');
INSERT INTO public.who_import VALUES (97262, '2020-06-02', 'YE', 'Yemen', 'EMRO', '31', '354', '4', '84');
INSERT INTO public.who_import VALUES (97263, '2020-06-03', 'YE', 'Yemen', 'EMRO', '45', '399', '3', '87');
INSERT INTO public.who_import VALUES (97264, '2020-06-04', 'YE', 'Yemen', 'EMRO', '20', '419', '8', '95');
INSERT INTO public.who_import VALUES (97265, '2020-06-05', 'YE', 'Yemen', 'EMRO', '34', '453', '8', '103');
INSERT INTO public.who_import VALUES (97266, '2020-06-06', 'YE', 'Yemen', 'EMRO', '16', '469', '8', '111');
INSERT INTO public.who_import VALUES (97267, '2020-06-07', 'YE', 'Yemen', 'EMRO', '13', '482', '0', '111');
INSERT INTO public.who_import VALUES (97268, '2020-06-08', 'YE', 'Yemen', 'EMRO', '2', '484', '1', '112');
INSERT INTO public.who_import VALUES (97269, '2020-06-09', 'YE', 'Yemen', 'EMRO', '12', '496', '0', '112');
INSERT INTO public.who_import VALUES (97270, '2020-06-10', 'YE', 'Yemen', 'EMRO', '28', '524', '15', '127');
INSERT INTO public.who_import VALUES (97271, '2020-06-11', 'YE', 'Yemen', 'EMRO', '36', '560', '2', '129');
INSERT INTO public.who_import VALUES (97272, '2020-06-12', 'YE', 'Yemen', 'EMRO', '31', '591', '7', '136');
INSERT INTO public.who_import VALUES (97273, '2020-06-13', 'YE', 'Yemen', 'EMRO', '41', '632', '3', '139');
INSERT INTO public.who_import VALUES (97274, '2020-06-14', 'YE', 'Yemen', 'EMRO', '73', '705', '21', '160');
INSERT INTO public.who_import VALUES (97275, '2020-06-15', 'YE', 'Yemen', 'EMRO', '23', '728', '4', '164');
INSERT INTO public.who_import VALUES (97276, '2020-06-16', 'YE', 'Yemen', 'EMRO', '116', '844', '44', '208');
INSERT INTO public.who_import VALUES (97277, '2020-06-17', 'YE', 'Yemen', 'EMRO', '41', '885', '6', '214');
INSERT INTO public.who_import VALUES (97278, '2020-06-18', 'YE', 'Yemen', 'EMRO', '17', '902', '30', '244');
INSERT INTO public.who_import VALUES (97279, '2020-06-19', 'YE', 'Yemen', 'EMRO', '7', '909', '4', '248');
INSERT INTO public.who_import VALUES (97280, '2020-06-20', 'YE', 'Yemen', 'EMRO', '10', '919', '3', '251');
INSERT INTO public.who_import VALUES (97281, '2020-06-21', 'YE', 'Yemen', 'EMRO', '3', '922', '3', '254');
INSERT INTO public.who_import VALUES (97282, '2020-06-22', 'YE', 'Yemen', 'EMRO', '19', '941', '2', '256');
INSERT INTO public.who_import VALUES (97283, '2020-06-23', 'YE', 'Yemen', 'EMRO', '26', '967', '1', '257');
INSERT INTO public.who_import VALUES (97284, '2020-06-24', 'YE', 'Yemen', 'EMRO', '25', '992', '4', '261');
INSERT INTO public.who_import VALUES (97285, '2020-06-25', 'YE', 'Yemen', 'EMRO', '23', '1015', '13', '274');
INSERT INTO public.who_import VALUES (97286, '2020-06-26', 'YE', 'Yemen', 'EMRO', '61', '1076', '14', '288');
INSERT INTO public.who_import VALUES (97287, '2020-06-27', 'YE', 'Yemen', 'EMRO', '13', '1089', '5', '293');
INSERT INTO public.who_import VALUES (97288, '2020-06-28', 'YE', 'Yemen', 'EMRO', '14', '1103', '3', '296');
INSERT INTO public.who_import VALUES (97289, '2020-06-29', 'YE', 'Yemen', 'EMRO', '15', '1118', '6', '302');
INSERT INTO public.who_import VALUES (97290, '2020-06-30', 'YE', 'Yemen', 'EMRO', '10', '1128', '2', '304');
INSERT INTO public.who_import VALUES (97291, '2020-07-01', 'YE', 'Yemen', 'EMRO', '30', '1158', '8', '312');
INSERT INTO public.who_import VALUES (97292, '2020-07-02', 'YE', 'Yemen', 'EMRO', '32', '1190', '6', '318');
INSERT INTO public.who_import VALUES (97293, '2020-07-03', 'YE', 'Yemen', 'EMRO', '31', '1221', '7', '325');
INSERT INTO public.who_import VALUES (97294, '2020-07-04', 'YE', 'Yemen', 'EMRO', '19', '1240', '10', '335');
INSERT INTO public.who_import VALUES (97295, '2020-07-05', 'YE', 'Yemen', 'EMRO', '8', '1248', '2', '337');
INSERT INTO public.who_import VALUES (97296, '2020-07-06', 'YE', 'Yemen', 'EMRO', '17', '1265', '1', '338');
INSERT INTO public.who_import VALUES (97297, '2020-07-07', 'YE', 'Yemen', 'EMRO', '19', '1284', '7', '345');
INSERT INTO public.who_import VALUES (97298, '2020-07-08', 'YE', 'Yemen', 'EMRO', '13', '1297', '3', '348');
INSERT INTO public.who_import VALUES (97299, '2020-07-09', 'YE', 'Yemen', 'EMRO', '21', '1318', '3', '351');
INSERT INTO public.who_import VALUES (97300, '2020-07-10', 'YE', 'Yemen', 'EMRO', '38', '1356', '10', '361');
INSERT INTO public.who_import VALUES (97301, '2020-07-11', 'YE', 'Yemen', 'EMRO', '24', '1380', '3', '364');
INSERT INTO public.who_import VALUES (97302, '2020-07-12', 'YE', 'Yemen', 'EMRO', '9', '1389', '1', '365');
INSERT INTO public.who_import VALUES (97303, '2020-07-13', 'YE', 'Yemen', 'EMRO', '80', '1469', '53', '418');
INSERT INTO public.who_import VALUES (97304, '2020-07-14', 'YE', 'Yemen', 'EMRO', '33', '1502', '7', '425');
INSERT INTO public.who_import VALUES (97305, '2020-07-15', 'YE', 'Yemen', 'EMRO', '18', '1520', '5', '430');
INSERT INTO public.who_import VALUES (97306, '2020-07-16', 'YE', 'Yemen', 'EMRO', '10', '1530', '4', '434');
INSERT INTO public.who_import VALUES (97307, '2020-07-17', 'YE', 'Yemen', 'EMRO', '26', '1556', '5', '439');
INSERT INTO public.who_import VALUES (97308, '2020-07-18', 'YE', 'Yemen', 'EMRO', '24', '1580', '2', '441');
INSERT INTO public.who_import VALUES (97309, '2020-07-19', 'YE', 'Yemen', 'EMRO', '5', '1585', '3', '444');
INSERT INTO public.who_import VALUES (97310, '2020-07-20', 'YE', 'Yemen', 'EMRO', '25', '1610', '2', '446');
INSERT INTO public.who_import VALUES (97311, '2020-07-21', 'YE', 'Yemen', 'EMRO', '13', '1623', '2', '448');
INSERT INTO public.who_import VALUES (97312, '2020-07-22', 'YE', 'Yemen', 'EMRO', '10', '1633', '9', '457');
INSERT INTO public.who_import VALUES (97313, '2020-07-23', 'YE', 'Yemen', 'EMRO', '11', '1644', '2', '459');
INSERT INTO public.who_import VALUES (97314, '2020-07-24', 'YE', 'Yemen', 'EMRO', '14', '1658', '3', '462');
INSERT INTO public.who_import VALUES (97315, '2020-07-25', 'YE', 'Yemen', 'EMRO', '20', '1678', '8', '470');
INSERT INTO public.who_import VALUES (97316, '2020-07-26', 'YE', 'Yemen', 'EMRO', '0', '1678', '5', '475');
INSERT INTO public.who_import VALUES (97317, '2020-07-27', 'YE', 'Yemen', 'EMRO', '7', '1685', '5', '480');
INSERT INTO public.who_import VALUES (97318, '2020-07-28', 'YE', 'Yemen', 'EMRO', '10', '1695', '4', '484');
INSERT INTO public.who_import VALUES (97319, '2020-07-29', 'YE', 'Yemen', 'EMRO', '12', '1707', '1', '485');
INSERT INTO public.who_import VALUES (97320, '2020-07-30', 'YE', 'Yemen', 'EMRO', '8', '1715', '1', '486');
INSERT INTO public.who_import VALUES (97321, '2020-07-31', 'YE', 'Yemen', 'EMRO', '15', '1730', '2', '488');
INSERT INTO public.who_import VALUES (97322, '2020-08-01', 'YE', 'Yemen', 'EMRO', '2', '1732', '6', '494');
INSERT INTO public.who_import VALUES (97323, '2020-08-02', 'YE', 'Yemen', 'EMRO', '2', '1734', '1', '495');
INSERT INTO public.who_import VALUES (97324, '2020-08-03', 'YE', 'Yemen', 'EMRO', '4', '1738', '3', '498');
INSERT INTO public.who_import VALUES (97325, '2020-08-04', 'YE', 'Yemen', 'EMRO', '0', '1738', '2', '500');
INSERT INTO public.who_import VALUES (97326, '2020-08-05', 'YE', 'Yemen', 'EMRO', '26', '1764', '7', '507');
INSERT INTO public.who_import VALUES (97327, '2020-08-06', 'YE', 'Yemen', 'EMRO', '3', '1767', '2', '509');
INSERT INTO public.who_import VALUES (97328, '2020-08-07', 'YE', 'Yemen', 'EMRO', '5', '1772', '0', '509');
INSERT INTO public.who_import VALUES (97329, '2020-08-08', 'YE', 'Yemen', 'EMRO', '28', '1800', '4', '513');
INSERT INTO public.who_import VALUES (97330, '2020-08-09', 'YE', 'Yemen', 'EMRO', '1', '1801', '0', '513');
INSERT INTO public.who_import VALUES (97331, '2020-08-10', 'YE', 'Yemen', 'EMRO', '7', '1808', '3', '516');
INSERT INTO public.who_import VALUES (97332, '2020-08-11', 'YE', 'Yemen', 'EMRO', '22', '1830', '3', '519');
INSERT INTO public.who_import VALUES (97333, '2020-08-12', 'YE', 'Yemen', 'EMRO', '5', '1835', '5', '524');
INSERT INTO public.who_import VALUES (97334, '2020-08-13', 'YE', 'Yemen', 'EMRO', '10', '1845', '5', '529');
INSERT INTO public.who_import VALUES (97335, '2020-08-14', 'YE', 'Yemen', 'EMRO', '6', '1851', '0', '529');
INSERT INTO public.who_import VALUES (97336, '2020-08-15', 'YE', 'Yemen', 'EMRO', '11', '1862', '0', '529');
INSERT INTO public.who_import VALUES (97337, '2020-08-16', 'YE', 'Yemen', 'EMRO', '0', '1862', '0', '529');
INSERT INTO public.who_import VALUES (97338, '2020-08-17', 'YE', 'Yemen', 'EMRO', '11', '1873', '2', '531');
INSERT INTO public.who_import VALUES (97339, '2020-08-18', 'YE', 'Yemen', 'EMRO', '13', '1886', '5', '536');
INSERT INTO public.who_import VALUES (97340, '2020-08-19', 'YE', 'Yemen', 'EMRO', '7', '1893', '2', '538');
INSERT INTO public.who_import VALUES (97341, '2020-08-20', 'YE', 'Yemen', 'EMRO', '3', '1896', '2', '540');
INSERT INTO public.who_import VALUES (97342, '2020-08-21', 'YE', 'Yemen', 'EMRO', '7', '1903', '2', '542');
INSERT INTO public.who_import VALUES (97343, '2020-08-22', 'YE', 'Yemen', 'EMRO', '7', '1910', '1', '543');
INSERT INTO public.who_import VALUES (97344, '2020-08-23', 'YE', 'Yemen', 'EMRO', '1', '1911', '4', '547');
INSERT INTO public.who_import VALUES (97345, '2020-08-24', 'YE', 'Yemen', 'EMRO', '4', '1915', '7', '554');
INSERT INTO public.who_import VALUES (97346, '2020-08-25', 'YE', 'Yemen', 'EMRO', '5', '1920', '2', '556');
INSERT INTO public.who_import VALUES (97347, '2020-08-26', 'YE', 'Yemen', 'EMRO', '8', '1928', '2', '558');
INSERT INTO public.who_import VALUES (97348, '2020-08-27', 'YE', 'Yemen', 'EMRO', '6', '1934', '3', '561');
INSERT INTO public.who_import VALUES (97349, '2020-08-28', 'YE', 'Yemen', 'EMRO', '3', '1937', '2', '563');
INSERT INTO public.who_import VALUES (97350, '2020-08-29', 'YE', 'Yemen', 'EMRO', '10', '1947', '1', '564');
INSERT INTO public.who_import VALUES (97351, '2020-08-30', 'YE', 'Yemen', 'EMRO', '3', '1950', '0', '564');
INSERT INTO public.who_import VALUES (97352, '2020-08-31', 'YE', 'Yemen', 'EMRO', '7', '1957', '1', '565');
INSERT INTO public.who_import VALUES (97353, '2020-09-01', 'YE', 'Yemen', 'EMRO', '5', '1962', '2', '567');
INSERT INTO public.who_import VALUES (97354, '2020-09-02', 'YE', 'Yemen', 'EMRO', '4', '1966', '4', '571');
INSERT INTO public.who_import VALUES (97355, '2020-09-03', 'YE', 'Yemen', 'EMRO', '14', '1980', '1', '572');
INSERT INTO public.who_import VALUES (97356, '2020-09-04', 'YE', 'Yemen', 'EMRO', '3', '1983', '0', '572');
INSERT INTO public.who_import VALUES (97357, '2020-09-05', 'YE', 'Yemen', 'EMRO', '4', '1987', '1', '573');
INSERT INTO public.who_import VALUES (97358, '2020-09-06', 'YE', 'Yemen', 'EMRO', '0', '1987', '0', '573');
INSERT INTO public.who_import VALUES (97359, '2020-09-07', 'YE', 'Yemen', 'EMRO', '4', '1991', '0', '573');
INSERT INTO public.who_import VALUES (97360, '2020-09-08', 'YE', 'Yemen', 'EMRO', '2', '1993', '1', '574');
INSERT INTO public.who_import VALUES (97361, '2020-09-09', 'YE', 'Yemen', 'EMRO', '5', '1998', '3', '577');
INSERT INTO public.who_import VALUES (97362, '2020-09-10', 'YE', 'Yemen', 'EMRO', '5', '2003', '0', '577');
INSERT INTO public.who_import VALUES (97363, '2020-09-11', 'YE', 'Yemen', 'EMRO', '4', '2007', '4', '581');
INSERT INTO public.who_import VALUES (97364, '2020-09-12', 'YE', 'Yemen', 'EMRO', '4', '2011', '2', '583');
INSERT INTO public.who_import VALUES (97365, '2020-09-13', 'YE', 'Yemen', 'EMRO', '2', '2013', '0', '583');
INSERT INTO public.who_import VALUES (97366, '2020-09-14', 'YE', 'Yemen', 'EMRO', '2', '2015', '1', '584');
INSERT INTO public.who_import VALUES (97367, '2020-09-15', 'YE', 'Yemen', 'EMRO', '2', '2017', '0', '584');
INSERT INTO public.who_import VALUES (97368, '2020-09-16', 'YE', 'Yemen', 'EMRO', '3', '2020', '0', '584');
INSERT INTO public.who_import VALUES (97369, '2020-09-17', 'YE', 'Yemen', 'EMRO', '3', '2023', '0', '584');
INSERT INTO public.who_import VALUES (97370, '2020-09-18', 'YE', 'Yemen', 'EMRO', '3', '2026', '2', '586');
INSERT INTO public.who_import VALUES (97371, '2020-09-19', 'YE', 'Yemen', 'EMRO', '2', '2028', '0', '586');
INSERT INTO public.who_import VALUES (97372, '2020-09-20', 'YE', 'Yemen', 'EMRO', '2', '2030', '0', '586');
INSERT INTO public.who_import VALUES (97373, '2020-09-21', 'YE', 'Yemen', 'EMRO', '0', '2030', '1', '587');
INSERT INTO public.who_import VALUES (97374, '2020-09-22', 'YE', 'Yemen', 'EMRO', '2', '2032', '0', '587');
INSERT INTO public.who_import VALUES (97375, '2020-09-23', 'YE', 'Yemen', 'EMRO', '0', '2032', '0', '587');
INSERT INTO public.who_import VALUES (97376, '2020-09-24', 'YE', 'Yemen', 'EMRO', '1', '2033', '0', '587');
INSERT INTO public.who_import VALUES (97377, '2020-09-25', 'YE', 'Yemen', 'EMRO', '0', '2033', '0', '587');
INSERT INTO public.who_import VALUES (97378, '2020-09-26', 'YE', 'Yemen', 'EMRO', '0', '2033', '1', '588');
INSERT INTO public.who_import VALUES (97379, '2020-09-27', 'YE', 'Yemen', 'EMRO', '1', '2034', '0', '588');
INSERT INTO public.who_import VALUES (97380, '2020-09-28', 'YE', 'Yemen', 'EMRO', '0', '2034', '0', '588');
INSERT INTO public.who_import VALUES (97381, '2020-09-29', 'YE', 'Yemen', 'EMRO', '1', '2035', '0', '588');
INSERT INTO public.who_import VALUES (97382, '2020-09-30', 'YE', 'Yemen', 'EMRO', '0', '2035', '0', '588');
INSERT INTO public.who_import VALUES (97383, '2020-10-01', 'YE', 'Yemen', 'EMRO', '3', '2038', '0', '588');
INSERT INTO public.who_import VALUES (97384, '2020-10-02', 'YE', 'Yemen', 'EMRO', '5', '2043', '0', '588');
INSERT INTO public.who_import VALUES (97385, '2020-10-03', 'YE', 'Yemen', 'EMRO', '1', '2044', '2', '590');
INSERT INTO public.who_import VALUES (97386, '2020-10-04', 'YE', 'Yemen', 'EMRO', '1', '2045', '0', '590');
INSERT INTO public.who_import VALUES (97387, '2020-10-05', 'YE', 'Yemen', 'EMRO', '0', '2045', '2', '592');
INSERT INTO public.who_import VALUES (97388, '2020-10-06', 'YE', 'Yemen', 'EMRO', '0', '2045', '1', '593');
INSERT INTO public.who_import VALUES (97389, '2020-10-07', 'YE', 'Yemen', 'EMRO', '6', '2051', '1', '594');
INSERT INTO public.who_import VALUES (97390, '2020-10-08', 'YE', 'Yemen', 'EMRO', '2', '2053', '0', '594');
INSERT INTO public.who_import VALUES (97391, '2020-10-09', 'YE', 'Yemen', 'EMRO', '1', '2054', '0', '594');
INSERT INTO public.who_import VALUES (97392, '2020-10-10', 'YE', 'Yemen', 'EMRO', '1', '2055', '0', '594');
INSERT INTO public.who_import VALUES (97393, '2020-10-11', 'YE', 'Yemen', 'EMRO', '0', '2055', '2', '596');
INSERT INTO public.who_import VALUES (97394, '2020-10-12', 'YE', 'Yemen', 'EMRO', '1', '2056', '0', '596');
INSERT INTO public.who_import VALUES (97395, '2020-10-13', 'YE', 'Yemen', 'EMRO', '0', '2056', '1', '597');
INSERT INTO public.who_import VALUES (97396, '2020-10-14', 'YE', 'Yemen', 'EMRO', '1', '2057', '0', '597');
INSERT INTO public.who_import VALUES (97397, '2020-10-15', 'YE', 'Yemen', 'EMRO', '0', '2057', '0', '597');
INSERT INTO public.who_import VALUES (97398, '2020-10-16', 'YE', 'Yemen', 'EMRO', '0', '2057', '0', '597');
INSERT INTO public.who_import VALUES (97399, '2020-10-17', 'YE', 'Yemen', 'EMRO', '2', '2059', '0', '597');
INSERT INTO public.who_import VALUES (97400, '2020-10-18', 'YE', 'Yemen', 'EMRO', '0', '2059', '0', '597');
INSERT INTO public.who_import VALUES (97401, '2020-10-19', 'YE', 'Yemen', 'EMRO', '1', '2060', '1', '598');
INSERT INTO public.who_import VALUES (97402, '2020-10-20', 'YE', 'Yemen', 'EMRO', '0', '2060', '0', '598');
INSERT INTO public.who_import VALUES (97403, '2020-10-21', 'YE', 'Yemen', 'EMRO', '1', '2061', '0', '598');
INSERT INTO public.who_import VALUES (97404, '2020-10-22', 'YE', 'Yemen', 'EMRO', '0', '2061', '0', '598');
INSERT INTO public.who_import VALUES (97405, '2020-10-23', 'YE', 'Yemen', 'EMRO', '0', '2061', '0', '598');
INSERT INTO public.who_import VALUES (97406, '2020-10-24', 'YE', 'Yemen', 'EMRO', '3', '2064', '2', '600');
INSERT INTO public.who_import VALUES (97407, '2020-10-25', 'YE', 'Yemen', 'EMRO', '0', '2064', '0', '600');
INSERT INTO public.who_import VALUES (97408, '2020-10-26', 'YE', 'Yemen', 'EMRO', '0', '2064', '0', '600');
INSERT INTO public.who_import VALUES (97409, '2020-10-27', 'YE', 'Yemen', 'EMRO', '0', '2064', '0', '600');
INSERT INTO public.who_import VALUES (97410, '2020-10-28', 'YE', 'Yemen', 'EMRO', '0', '2064', '0', '600');
INSERT INTO public.who_import VALUES (97411, '2020-10-29', 'YE', 'Yemen', 'EMRO', '1', '2065', '0', '600');
INSERT INTO public.who_import VALUES (97412, '2020-10-30', 'YE', 'Yemen', 'EMRO', '1', '2066', '0', '600');
INSERT INTO public.who_import VALUES (97413, '2020-10-31', 'YE', 'Yemen', 'EMRO', '0', '2066', '0', '600');
INSERT INTO public.who_import VALUES (97414, '2020-11-01', 'YE', 'Yemen', 'EMRO', '1', '2067', '0', '600');
INSERT INTO public.who_import VALUES (97415, '2020-11-02', 'YE', 'Yemen', 'EMRO', '0', '2067', '1', '601');
INSERT INTO public.who_import VALUES (97416, '2020-11-03', 'YE', 'Yemen', 'EMRO', '0', '2067', '1', '602');
INSERT INTO public.who_import VALUES (97417, '2020-11-04', 'YE', 'Yemen', 'EMRO', '2', '2069', '0', '602');
INSERT INTO public.who_import VALUES (97418, '2020-11-05', 'YE', 'Yemen', 'EMRO', '0', '2069', '0', '602');
INSERT INTO public.who_import VALUES (97419, '2020-11-06', 'YE', 'Yemen', 'EMRO', '1', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97420, '2020-11-07', 'YE', 'Yemen', 'EMRO', '0', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97421, '2020-11-08', 'YE', 'Yemen', 'EMRO', '0', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97422, '2020-11-09', 'YE', 'Yemen', 'EMRO', '0', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97423, '2020-11-10', 'YE', 'Yemen', 'EMRO', '0', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97424, '2020-11-11', 'YE', 'Yemen', 'EMRO', '0', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97425, '2020-11-12', 'YE', 'Yemen', 'EMRO', '0', '2070', '0', '602');
INSERT INTO public.who_import VALUES (97426, '2020-11-13', 'YE', 'Yemen', 'EMRO', '2', '2072', '1', '603');
INSERT INTO public.who_import VALUES (97427, '2020-11-14', 'YE', 'Yemen', 'EMRO', '0', '2072', '0', '603');
INSERT INTO public.who_import VALUES (97428, '2020-11-15', 'YE', 'Yemen', 'EMRO', '0', '2072', '0', '603');
INSERT INTO public.who_import VALUES (97429, '2020-11-16', 'YE', 'Yemen', 'EMRO', '0', '2072', '1', '604');
INSERT INTO public.who_import VALUES (97430, '2020-11-17', 'YE', 'Yemen', 'EMRO', '0', '2072', '0', '604');
INSERT INTO public.who_import VALUES (97431, '2020-11-18', 'YE', 'Yemen', 'EMRO', '0', '2072', '0', '604');
INSERT INTO public.who_import VALUES (97432, '2020-11-19', 'YE', 'Yemen', 'EMRO', '0', '2072', '0', '604');
INSERT INTO public.who_import VALUES (97433, '2020-11-20', 'YE', 'Yemen', 'EMRO', '0', '2072', '1', '605');
INSERT INTO public.who_import VALUES (97434, '2020-11-21', 'YE', 'Yemen', 'EMRO', '1', '2073', '0', '605');
INSERT INTO public.who_import VALUES (97435, '2020-11-22', 'YE', 'Yemen', 'EMRO', '0', '2073', '0', '605');
INSERT INTO public.who_import VALUES (97436, '2020-11-23', 'YE', 'Yemen', 'EMRO', '0', '2073', '0', '605');
INSERT INTO public.who_import VALUES (97437, '2020-11-24', 'YE', 'Yemen', 'EMRO', '3', '2076', '0', '605');
INSERT INTO public.who_import VALUES (97438, '2020-11-25', 'YE', 'Yemen', 'EMRO', '1', '2077', '0', '605');
INSERT INTO public.who_import VALUES (97439, '2020-11-26', 'YE', 'Yemen', 'EMRO', '0', '2077', '0', '605');
INSERT INTO public.who_import VALUES (97440, '2020-11-27', 'YE', 'Yemen', 'EMRO', '1', '2078', '0', '605');
INSERT INTO public.who_import VALUES (97441, '2020-11-28', 'YE', 'Yemen', 'EMRO', '0', '2078', '0', '605');
INSERT INTO public.who_import VALUES (97442, '2020-11-29', 'YE', 'Yemen', 'EMRO', '0', '2078', '0', '605');
INSERT INTO public.who_import VALUES (97443, '2020-11-30', 'YE', 'Yemen', 'EMRO', '3', '2081', '1', '606');
INSERT INTO public.who_import VALUES (97444, '2020-12-01', 'YE', 'Yemen', 'EMRO', '0', '2081', '0', '606');
INSERT INTO public.who_import VALUES (97445, '2020-12-02', 'YE', 'Yemen', 'EMRO', '0', '2081', '0', '606');
INSERT INTO public.who_import VALUES (97446, '2020-12-03', 'YE', 'Yemen', 'EMRO', '0', '2081', '0', '606');
INSERT INTO public.who_import VALUES (97447, '2020-12-04', 'YE', 'Yemen', 'EMRO', '0', '2081', '1', '607');
INSERT INTO public.who_import VALUES (97448, '2020-12-05', 'YE', 'Yemen', 'EMRO', '0', '2081', '0', '607');
INSERT INTO public.who_import VALUES (97449, '2020-12-06', 'YE', 'Yemen', 'EMRO', '0', '2081', '0', '607');
INSERT INTO public.who_import VALUES (97450, '2020-12-07', 'YE', 'Yemen', 'EMRO', '1', '2082', '0', '607');
INSERT INTO public.who_import VALUES (97451, '2020-12-08', 'YE', 'Yemen', 'EMRO', '0', '2082', '0', '607');
INSERT INTO public.who_import VALUES (97452, '2020-12-09', 'YE', 'Yemen', 'EMRO', '1', '2083', '0', '607');
INSERT INTO public.who_import VALUES (97453, '2020-12-10', 'YE', 'Yemen', 'EMRO', '0', '2083', '0', '607');
INSERT INTO public.who_import VALUES (97454, '2020-12-11', 'YE', 'Yemen', 'EMRO', '2', '2085', '0', '607');
INSERT INTO public.who_import VALUES (97455, '2020-12-12', 'YE', 'Yemen', 'EMRO', '1', '2086', '0', '607');
INSERT INTO public.who_import VALUES (97456, '2020-12-13', 'YE', 'Yemen', 'EMRO', '1', '2087', '0', '607');
INSERT INTO public.who_import VALUES (97457, '2020-12-14', 'YE', 'Yemen', 'EMRO', '0', '2087', '0', '607');
INSERT INTO public.who_import VALUES (97458, '2020-12-15', 'YE', 'Yemen', 'EMRO', '1', '2088', '0', '607');
INSERT INTO public.who_import VALUES (97459, '2020-12-16', 'YE', 'Yemen', 'EMRO', '1', '2089', '0', '607');
INSERT INTO public.who_import VALUES (97460, '2020-12-17', 'YE', 'Yemen', 'EMRO', '0', '2089', '0', '607');
INSERT INTO public.who_import VALUES (97461, '2020-12-18', 'YE', 'Yemen', 'EMRO', '2', '2091', '0', '607');
INSERT INTO public.who_import VALUES (97462, '2020-12-19', 'YE', 'Yemen', 'EMRO', '0', '2091', '0', '607');
INSERT INTO public.who_import VALUES (97463, '2020-12-20', 'YE', 'Yemen', 'EMRO', '0', '2091', '0', '607');
INSERT INTO public.who_import VALUES (97464, '2020-12-21', 'YE', 'Yemen', 'EMRO', '0', '2091', '0', '607');
INSERT INTO public.who_import VALUES (97465, '2020-12-22', 'YE', 'Yemen', 'EMRO', '0', '2091', '0', '607');
INSERT INTO public.who_import VALUES (97466, '2020-12-23', 'YE', 'Yemen', 'EMRO', '3', '2094', '0', '607');
INSERT INTO public.who_import VALUES (97467, '2020-12-24', 'YE', 'Yemen', 'EMRO', '1', '2095', '0', '607');
INSERT INTO public.who_import VALUES (97468, '2020-12-25', 'YE', 'Yemen', 'EMRO', '1', '2096', '0', '607');
INSERT INTO public.who_import VALUES (97469, '2020-12-26', 'YE', 'Yemen', 'EMRO', '0', '2096', '0', '607');
INSERT INTO public.who_import VALUES (97470, '2020-12-27', 'YE', 'Yemen', 'EMRO', '0', '2096', '0', '607');
INSERT INTO public.who_import VALUES (97471, '2020-12-28', 'YE', 'Yemen', 'EMRO', '2', '2098', '1', '608');
INSERT INTO public.who_import VALUES (97472, '2020-12-29', 'YE', 'Yemen', 'EMRO', '2', '2100', '1', '609');
INSERT INTO public.who_import VALUES (97473, '2020-12-30', 'YE', 'Yemen', 'EMRO', '0', '2100', '2', '611');
INSERT INTO public.who_import VALUES (97474, '2020-12-31', 'YE', 'Yemen', 'EMRO', '1', '2101', '0', '611');
INSERT INTO public.who_import VALUES (97475, '2021-01-01', 'YE', 'Yemen', 'EMRO', '2', '2103', '0', '611');
INSERT INTO public.who_import VALUES (97476, '2021-01-02', 'YE', 'Yemen', 'EMRO', '2', '2105', '0', '611');
INSERT INTO public.who_import VALUES (97477, '2021-01-03', 'YE', 'Yemen', 'EMRO', '0', '2105', '0', '611');
INSERT INTO public.who_import VALUES (97478, '2021-01-04', 'YE', 'Yemen', 'EMRO', '0', '2105', '0', '611');
INSERT INTO public.who_import VALUES (97479, '2021-01-05', 'YE', 'Yemen', 'EMRO', '0', '2105', '0', '611');
INSERT INTO public.who_import VALUES (97480, '2021-01-06', 'YE', 'Yemen', 'EMRO', '0', '2105', '0', '611');
INSERT INTO public.who_import VALUES (97481, '2021-01-07', 'YE', 'Yemen', 'EMRO', '1', '2106', '0', '611');
INSERT INTO public.who_import VALUES (97482, '2021-01-08', 'YE', 'Yemen', 'EMRO', '2', '2108', '0', '611');
INSERT INTO public.who_import VALUES (97483, '2021-01-09', 'YE', 'Yemen', 'EMRO', '0', '2108', '0', '611');
INSERT INTO public.who_import VALUES (97484, '2021-01-10', 'YE', 'Yemen', 'EMRO', '0', '2108', '0', '611');
INSERT INTO public.who_import VALUES (97485, '2021-01-11', 'YE', 'Yemen', 'EMRO', '0', '2108', '1', '612');
INSERT INTO public.who_import VALUES (97486, '2021-01-12', 'YE', 'Yemen', 'EMRO', '1', '2109', '1', '613');
INSERT INTO public.who_import VALUES (97487, '2021-01-13', 'YE', 'Yemen', 'EMRO', '2', '2111', '0', '613');
INSERT INTO public.who_import VALUES (97488, '2021-01-14', 'YE', 'Yemen', 'EMRO', '2', '2113', '0', '613');
INSERT INTO public.who_import VALUES (97489, '2021-01-15', 'YE', 'Yemen', 'EMRO', '1', '2114', '0', '613');
INSERT INTO public.who_import VALUES (97490, '2021-01-16', 'YE', 'Yemen', 'EMRO', '1', '2115', '0', '613');
INSERT INTO public.who_import VALUES (97491, '2021-01-17', 'YE', 'Yemen', 'EMRO', '1', '2116', '0', '613');
INSERT INTO public.who_import VALUES (97492, '2021-01-18', 'YE', 'Yemen', 'EMRO', '0', '2116', '0', '613');
INSERT INTO public.who_import VALUES (97493, '2021-01-19', 'YE', 'Yemen', 'EMRO', '1', '2117', '0', '613');
INSERT INTO public.who_import VALUES (97494, '2021-01-20', 'YE', 'Yemen', 'EMRO', '2', '2119', '0', '613');
INSERT INTO public.who_import VALUES (97495, '2021-01-21', 'YE', 'Yemen', 'EMRO', '0', '2119', '0', '613');
INSERT INTO public.who_import VALUES (97496, '2021-01-22', 'YE', 'Yemen', 'EMRO', '0', '2119', '2', '615');
INSERT INTO public.who_import VALUES (97497, '2021-01-23', 'YE', 'Yemen', 'EMRO', '3', '2122', '0', '615');
INSERT INTO public.who_import VALUES (97498, '2021-01-24', 'YE', 'Yemen', 'EMRO', '0', '2122', '1', '616');
INSERT INTO public.who_import VALUES (97499, '2021-01-25', 'YE', 'Yemen', 'EMRO', '0', '2122', '0', '616');
INSERT INTO public.who_import VALUES (97500, '2021-01-26', 'YE', 'Yemen', 'EMRO', '0', '2122', '0', '616');
INSERT INTO public.who_import VALUES (97501, '2021-01-27', 'YE', 'Yemen', 'EMRO', '1', '2123', '0', '616');
INSERT INTO public.who_import VALUES (97502, '2021-01-28', 'YE', 'Yemen', 'EMRO', '1', '2124', '0', '616');
INSERT INTO public.who_import VALUES (97503, '2021-01-29', 'YE', 'Yemen', 'EMRO', '0', '2124', '0', '616');
INSERT INTO public.who_import VALUES (97504, '2021-01-30', 'YE', 'Yemen', 'EMRO', '0', '2124', '0', '616');
INSERT INTO public.who_import VALUES (97505, '2021-01-31', 'YE', 'Yemen', 'EMRO', '0', '2124', '0', '616');
INSERT INTO public.who_import VALUES (97506, '2021-02-01', 'YE', 'Yemen', 'EMRO', '1', '2125', '0', '616');
INSERT INTO public.who_import VALUES (97507, '2021-02-02', 'YE', 'Yemen', 'EMRO', '1', '2126', '0', '616');
INSERT INTO public.who_import VALUES (97508, '2021-02-03', 'YE', 'Yemen', 'EMRO', '0', '2126', '0', '616');
INSERT INTO public.who_import VALUES (97509, '2021-02-04', 'YE', 'Yemen', 'EMRO', '0', '2126', '0', '616');
INSERT INTO public.who_import VALUES (97510, '2021-02-05', 'YE', 'Yemen', 'EMRO', '0', '2126', '0', '616');
INSERT INTO public.who_import VALUES (97511, '2021-02-06', 'YE', 'Yemen', 'EMRO', '1', '2127', '0', '616');
INSERT INTO public.who_import VALUES (97512, '2021-02-07', 'YE', 'Yemen', 'EMRO', '4', '2131', '0', '616');
INSERT INTO public.who_import VALUES (97513, '2021-02-08', 'YE', 'Yemen', 'EMRO', '0', '2131', '0', '616');
INSERT INTO public.who_import VALUES (97514, '2021-02-09', 'YE', 'Yemen', 'EMRO', '3', '2134', '0', '616');
INSERT INTO public.who_import VALUES (97515, '2021-02-10', 'YE', 'Yemen', 'EMRO', '1', '2135', '0', '616');
INSERT INTO public.who_import VALUES (97516, '2021-02-11', 'YE', 'Yemen', 'EMRO', '2', '2137', '1', '617');
INSERT INTO public.who_import VALUES (97517, '2021-02-12', 'YE', 'Yemen', 'EMRO', '1', '2138', '0', '617');
INSERT INTO public.who_import VALUES (97518, '2021-02-13', 'YE', 'Yemen', 'EMRO', '2', '2140', '0', '617');
INSERT INTO public.who_import VALUES (97519, '2021-02-14', 'YE', 'Yemen', 'EMRO', '0', '2140', '0', '617');
INSERT INTO public.who_import VALUES (97520, '2021-02-15', 'YE', 'Yemen', 'EMRO', '9', '2149', '1', '618');
INSERT INTO public.who_import VALUES (97521, '2021-02-16', 'YE', 'Yemen', 'EMRO', '0', '2149', '0', '618');
INSERT INTO public.who_import VALUES (97522, '2021-02-17', 'YE', 'Yemen', 'EMRO', '3', '2152', '1', '619');
INSERT INTO public.who_import VALUES (97523, '2021-02-18', 'YE', 'Yemen', 'EMRO', '3', '2155', '0', '619');
INSERT INTO public.who_import VALUES (97524, '2021-02-19', 'YE', 'Yemen', 'EMRO', '3', '2158', '0', '619');
INSERT INTO public.who_import VALUES (97525, '2021-02-20', 'YE', 'Yemen', 'EMRO', '3', '2161', '0', '619');
INSERT INTO public.who_import VALUES (97526, '2020-01-03', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97527, '2020-01-04', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97528, '2020-01-05', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97529, '2020-01-06', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97530, '2020-01-07', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97531, '2020-01-08', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97532, '2020-01-09', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97533, '2020-01-10', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97534, '2020-01-11', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97535, '2020-01-12', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97536, '2020-01-13', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97537, '2020-01-14', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97538, '2020-01-15', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97539, '2020-01-16', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97540, '2020-01-17', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97541, '2020-01-18', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97542, '2020-01-19', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97543, '2020-01-20', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97544, '2020-01-21', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97545, '2020-01-22', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97546, '2020-01-23', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97547, '2020-01-24', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97548, '2020-01-25', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97549, '2020-01-26', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97550, '2020-01-27', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97551, '2020-01-28', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97552, '2020-01-29', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97553, '2020-01-30', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97554, '2020-01-31', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97555, '2020-02-01', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97556, '2020-02-02', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97557, '2020-02-03', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97558, '2020-02-04', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97559, '2020-02-05', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97560, '2020-02-06', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97561, '2020-02-07', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97562, '2020-02-08', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97563, '2020-02-09', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97564, '2020-02-10', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97565, '2020-02-11', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97566, '2020-02-12', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97567, '2020-02-13', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97568, '2020-02-14', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97569, '2020-02-15', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97570, '2020-02-16', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97571, '2020-02-17', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97572, '2020-02-18', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97573, '2020-02-19', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97574, '2020-02-20', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97575, '2020-02-21', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97576, '2020-02-22', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97577, '2020-02-23', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97578, '2020-02-24', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97579, '2020-02-25', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97580, '2020-02-26', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97581, '2020-02-27', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97582, '2020-02-28', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97583, '2020-02-29', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97584, '2020-03-01', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97585, '2020-03-02', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97586, '2020-03-03', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97587, '2020-03-04', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97588, '2020-03-05', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97589, '2020-03-06', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97590, '2020-03-07', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97591, '2020-03-08', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97592, '2020-03-09', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97593, '2020-03-10', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97594, '2020-03-11', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97595, '2020-03-12', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97596, '2020-03-13', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97597, '2020-03-14', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97598, '2020-03-15', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97599, '2020-03-16', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97600, '2020-03-17', 'ZM', 'Zambia', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97601, '2020-03-18', 'ZM', 'Zambia', 'AFRO', '6', '6', '0', '0');
INSERT INTO public.who_import VALUES (97602, '2020-03-19', 'ZM', 'Zambia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (97603, '2020-03-20', 'ZM', 'Zambia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (97604, '2020-03-21', 'ZM', 'Zambia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (97605, '2020-03-22', 'ZM', 'Zambia', 'AFRO', '0', '6', '0', '0');
INSERT INTO public.who_import VALUES (97606, '2020-03-23', 'ZM', 'Zambia', 'AFRO', '-3', '3', '0', '0');
INSERT INTO public.who_import VALUES (97607, '2020-03-24', 'ZM', 'Zambia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97608, '2020-03-25', 'ZM', 'Zambia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97609, '2020-03-26', 'ZM', 'Zambia', 'AFRO', '0', '3', '0', '0');
INSERT INTO public.who_import VALUES (97610, '2020-03-27', 'ZM', 'Zambia', 'AFRO', '10', '13', '0', '0');
INSERT INTO public.who_import VALUES (97611, '2020-03-28', 'ZM', 'Zambia', 'AFRO', '0', '13', '0', '0');
INSERT INTO public.who_import VALUES (97612, '2020-03-29', 'ZM', 'Zambia', 'AFRO', '3', '16', '0', '0');
INSERT INTO public.who_import VALUES (97613, '2020-03-30', 'ZM', 'Zambia', 'AFRO', '19', '35', '0', '0');
INSERT INTO public.who_import VALUES (97614, '2020-03-31', 'ZM', 'Zambia', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (97615, '2020-04-01', 'ZM', 'Zambia', 'AFRO', '0', '35', '0', '0');
INSERT INTO public.who_import VALUES (97616, '2020-04-02', 'ZM', 'Zambia', 'AFRO', '1', '36', '0', '0');
INSERT INTO public.who_import VALUES (97617, '2020-04-03', 'ZM', 'Zambia', 'AFRO', '3', '39', '1', '1');
INSERT INTO public.who_import VALUES (97618, '2020-04-04', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97619, '2020-04-05', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97620, '2020-04-06', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97621, '2020-04-07', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97622, '2020-04-08', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97623, '2020-04-09', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97624, '2020-04-10', 'ZM', 'Zambia', 'AFRO', '0', '39', '0', '1');
INSERT INTO public.who_import VALUES (97625, '2020-04-11', 'ZM', 'Zambia', 'AFRO', '1', '40', '1', '2');
INSERT INTO public.who_import VALUES (97626, '2020-04-12', 'ZM', 'Zambia', 'AFRO', '0', '40', '0', '2');
INSERT INTO public.who_import VALUES (97627, '2020-04-13', 'ZM', 'Zambia', 'AFRO', '3', '43', '0', '2');
INSERT INTO public.who_import VALUES (97628, '2020-04-14', 'ZM', 'Zambia', 'AFRO', '2', '45', '0', '2');
INSERT INTO public.who_import VALUES (97629, '2020-04-15', 'ZM', 'Zambia', 'AFRO', '0', '45', '0', '2');
INSERT INTO public.who_import VALUES (97630, '2020-04-16', 'ZM', 'Zambia', 'AFRO', '3', '48', '0', '2');
INSERT INTO public.who_import VALUES (97631, '2020-04-17', 'ZM', 'Zambia', 'AFRO', '0', '48', '0', '2');
INSERT INTO public.who_import VALUES (97632, '2020-04-18', 'ZM', 'Zambia', 'AFRO', '4', '52', '0', '2');
INSERT INTO public.who_import VALUES (97633, '2020-04-19', 'ZM', 'Zambia', 'AFRO', '5', '57', '0', '2');
INSERT INTO public.who_import VALUES (97634, '2020-04-20', 'ZM', 'Zambia', 'AFRO', '4', '61', '1', '3');
INSERT INTO public.who_import VALUES (97635, '2020-04-21', 'ZM', 'Zambia', 'AFRO', '4', '65', '0', '3');
INSERT INTO public.who_import VALUES (97636, '2020-04-22', 'ZM', 'Zambia', 'AFRO', '5', '70', '0', '3');
INSERT INTO public.who_import VALUES (97637, '2020-04-23', 'ZM', 'Zambia', 'AFRO', '4', '74', '0', '3');
INSERT INTO public.who_import VALUES (97638, '2020-04-24', 'ZM', 'Zambia', 'AFRO', '2', '76', '0', '3');
INSERT INTO public.who_import VALUES (97639, '2020-04-25', 'ZM', 'Zambia', 'AFRO', '8', '84', '0', '3');
INSERT INTO public.who_import VALUES (97640, '2020-04-26', 'ZM', 'Zambia', 'AFRO', '0', '84', '0', '3');
INSERT INTO public.who_import VALUES (97641, '2020-04-27', 'ZM', 'Zambia', 'AFRO', '4', '88', '0', '3');
INSERT INTO public.who_import VALUES (97642, '2020-04-28', 'ZM', 'Zambia', 'AFRO', '1', '89', '0', '3');
INSERT INTO public.who_import VALUES (97643, '2020-04-29', 'ZM', 'Zambia', 'AFRO', '6', '95', '0', '3');
INSERT INTO public.who_import VALUES (97644, '2020-04-30', 'ZM', 'Zambia', 'AFRO', '2', '97', '0', '3');
INSERT INTO public.who_import VALUES (97645, '2020-05-01', 'ZM', 'Zambia', 'AFRO', '9', '106', '0', '3');
INSERT INTO public.who_import VALUES (97646, '2020-05-02', 'ZM', 'Zambia', 'AFRO', '3', '109', '0', '3');
INSERT INTO public.who_import VALUES (97647, '2020-05-03', 'ZM', 'Zambia', 'AFRO', '10', '119', '0', '3');
INSERT INTO public.who_import VALUES (97648, '2020-05-04', 'ZM', 'Zambia', 'AFRO', '5', '124', '0', '3');
INSERT INTO public.who_import VALUES (97649, '2020-05-05', 'ZM', 'Zambia', 'AFRO', '13', '137', '0', '3');
INSERT INTO public.who_import VALUES (97650, '2020-05-06', 'ZM', 'Zambia', 'AFRO', '0', '137', '1', '4');
INSERT INTO public.who_import VALUES (97651, '2020-05-07', 'ZM', 'Zambia', 'AFRO', '2', '139', '0', '4');
INSERT INTO public.who_import VALUES (97652, '2020-05-08', 'ZM', 'Zambia', 'AFRO', '14', '153', '0', '4');
INSERT INTO public.who_import VALUES (97653, '2020-05-09', 'ZM', 'Zambia', 'AFRO', '14', '167', '0', '4');
INSERT INTO public.who_import VALUES (97654, '2020-05-10', 'ZM', 'Zambia', 'AFRO', '85', '252', '0', '4');
INSERT INTO public.who_import VALUES (97655, '2020-05-11', 'ZM', 'Zambia', 'AFRO', '15', '267', '3', '7');
INSERT INTO public.who_import VALUES (97656, '2020-05-12', 'ZM', 'Zambia', 'AFRO', '0', '267', '0', '7');
INSERT INTO public.who_import VALUES (97657, '2020-05-13', 'ZM', 'Zambia', 'AFRO', '174', '441', '0', '7');
INSERT INTO public.who_import VALUES (97658, '2020-05-14', 'ZM', 'Zambia', 'AFRO', '5', '446', '0', '7');
INSERT INTO public.who_import VALUES (97659, '2020-05-15', 'ZM', 'Zambia', 'AFRO', '208', '654', '0', '7');
INSERT INTO public.who_import VALUES (97660, '2020-05-16', 'ZM', 'Zambia', 'AFRO', '14', '668', '0', '7');
INSERT INTO public.who_import VALUES (97661, '2020-05-17', 'ZM', 'Zambia', 'AFRO', '11', '679', '0', '7');
INSERT INTO public.who_import VALUES (97662, '2020-05-18', 'ZM', 'Zambia', 'AFRO', '74', '753', '0', '7');
INSERT INTO public.who_import VALUES (97663, '2020-05-19', 'ZM', 'Zambia', 'AFRO', '8', '761', '0', '7');
INSERT INTO public.who_import VALUES (97664, '2020-05-20', 'ZM', 'Zambia', 'AFRO', '11', '772', '0', '7');
INSERT INTO public.who_import VALUES (97665, '2020-05-21', 'ZM', 'Zambia', 'AFRO', '60', '832', '0', '7');
INSERT INTO public.who_import VALUES (97666, '2020-05-22', 'ZM', 'Zambia', 'AFRO', '34', '866', '0', '7');
INSERT INTO public.who_import VALUES (97667, '2020-05-23', 'ZM', 'Zambia', 'AFRO', '54', '920', '0', '7');
INSERT INTO public.who_import VALUES (97668, '2020-05-24', 'ZM', 'Zambia', 'AFRO', '0', '920', '0', '7');
INSERT INTO public.who_import VALUES (97669, '2020-05-25', 'ZM', 'Zambia', 'AFRO', '0', '920', '0', '7');
INSERT INTO public.who_import VALUES (97670, '2020-05-26', 'ZM', 'Zambia', 'AFRO', '0', '920', '0', '7');
INSERT INTO public.who_import VALUES (97671, '2020-05-27', 'ZM', 'Zambia', 'AFRO', '0', '920', '0', '7');
INSERT INTO public.who_import VALUES (97672, '2020-05-28', 'ZM', 'Zambia', 'AFRO', '137', '1057', '0', '7');
INSERT INTO public.who_import VALUES (97673, '2020-05-29', 'ZM', 'Zambia', 'AFRO', '0', '1057', '0', '7');
INSERT INTO public.who_import VALUES (97674, '2020-05-30', 'ZM', 'Zambia', 'AFRO', '0', '1057', '0', '7');
INSERT INTO public.who_import VALUES (97675, '2020-05-31', 'ZM', 'Zambia', 'AFRO', '0', '1057', '0', '7');
INSERT INTO public.who_import VALUES (97676, '2020-06-01', 'ZM', 'Zambia', 'AFRO', '0', '1057', '0', '7');
INSERT INTO public.who_import VALUES (97677, '2020-06-02', 'ZM', 'Zambia', 'AFRO', '32', '1089', '0', '7');
INSERT INTO public.who_import VALUES (97678, '2020-06-03', 'ZM', 'Zambia', 'AFRO', '0', '1089', '0', '7');
INSERT INTO public.who_import VALUES (97679, '2020-06-04', 'ZM', 'Zambia', 'AFRO', '0', '1089', '0', '7');
INSERT INTO public.who_import VALUES (97680, '2020-06-05', 'ZM', 'Zambia', 'AFRO', '22', '1111', '0', '7');
INSERT INTO public.who_import VALUES (97681, '2020-06-06', 'ZM', 'Zambia', 'AFRO', '0', '1111', '0', '7');
INSERT INTO public.who_import VALUES (97682, '2020-06-07', 'ZM', 'Zambia', 'AFRO', '43', '1154', '0', '7');
INSERT INTO public.who_import VALUES (97683, '2020-06-08', 'ZM', 'Zambia', 'AFRO', '0', '1154', '0', '7');
INSERT INTO public.who_import VALUES (97684, '2020-06-09', 'ZM', 'Zambia', 'AFRO', '46', '1200', '3', '10');
INSERT INTO public.who_import VALUES (97685, '2020-06-10', 'ZM', 'Zambia', 'AFRO', '0', '1200', '0', '10');
INSERT INTO public.who_import VALUES (97686, '2020-06-11', 'ZM', 'Zambia', 'AFRO', '52', '1252', '0', '10');
INSERT INTO public.who_import VALUES (97687, '2020-06-12', 'ZM', 'Zambia', 'AFRO', '0', '1252', '0', '10');
INSERT INTO public.who_import VALUES (97688, '2020-06-13', 'ZM', 'Zambia', 'AFRO', '69', '1321', '0', '10');
INSERT INTO public.who_import VALUES (97689, '2020-06-14', 'ZM', 'Zambia', 'AFRO', '36', '1357', '0', '10');
INSERT INTO public.who_import VALUES (97690, '2020-06-15', 'ZM', 'Zambia', 'AFRO', '1', '1358', '1', '11');
INSERT INTO public.who_import VALUES (97691, '2020-06-16', 'ZM', 'Zambia', 'AFRO', '24', '1382', '0', '11');
INSERT INTO public.who_import VALUES (97692, '2020-06-17', 'ZM', 'Zambia', 'AFRO', '23', '1405', '0', '11');
INSERT INTO public.who_import VALUES (97693, '2020-06-18', 'ZM', 'Zambia', 'AFRO', '7', '1412', '0', '11');
INSERT INTO public.who_import VALUES (97694, '2020-06-19', 'ZM', 'Zambia', 'AFRO', '4', '1416', '0', '11');
INSERT INTO public.who_import VALUES (97695, '2020-06-20', 'ZM', 'Zambia', 'AFRO', '14', '1430', '0', '11');
INSERT INTO public.who_import VALUES (97696, '2020-06-21', 'ZM', 'Zambia', 'AFRO', '0', '1430', '0', '11');
INSERT INTO public.who_import VALUES (97697, '2020-06-22', 'ZM', 'Zambia', 'AFRO', '0', '1430', '0', '11');
INSERT INTO public.who_import VALUES (97698, '2020-06-23', 'ZM', 'Zambia', 'AFRO', '0', '1430', '0', '11');
INSERT INTO public.who_import VALUES (97699, '2020-06-24', 'ZM', 'Zambia', 'AFRO', '47', '1477', '7', '18');
INSERT INTO public.who_import VALUES (97700, '2020-06-25', 'ZM', 'Zambia', 'AFRO', '12', '1489', '0', '18');
INSERT INTO public.who_import VALUES (97701, '2020-06-26', 'ZM', 'Zambia', 'AFRO', '8', '1497', '0', '18');
INSERT INTO public.who_import VALUES (97702, '2020-06-27', 'ZM', 'Zambia', 'AFRO', '34', '1531', '3', '21');
INSERT INTO public.who_import VALUES (97703, '2020-06-28', 'ZM', 'Zambia', 'AFRO', '0', '1531', '0', '21');
INSERT INTO public.who_import VALUES (97704, '2020-06-29', 'ZM', 'Zambia', 'AFRO', '0', '1531', '0', '21');
INSERT INTO public.who_import VALUES (97705, '2020-06-30', 'ZM', 'Zambia', 'AFRO', '37', '1568', '1', '22');
INSERT INTO public.who_import VALUES (97706, '2020-07-01', 'ZM', 'Zambia', 'AFRO', '26', '1594', '2', '24');
INSERT INTO public.who_import VALUES (97707, '2020-07-02', 'ZM', 'Zambia', 'AFRO', '38', '1632', '6', '30');
INSERT INTO public.who_import VALUES (97708, '2020-07-03', 'ZM', 'Zambia', 'AFRO', '0', '1632', '0', '30');
INSERT INTO public.who_import VALUES (97709, '2020-07-04', 'ZM', 'Zambia', 'AFRO', '0', '1632', '0', '30');
INSERT INTO public.who_import VALUES (97710, '2020-07-05', 'ZM', 'Zambia', 'AFRO', '0', '1632', '0', '30');
INSERT INTO public.who_import VALUES (97711, '2020-07-06', 'ZM', 'Zambia', 'AFRO', '0', '1632', '0', '30');
INSERT INTO public.who_import VALUES (97712, '2020-07-07', 'ZM', 'Zambia', 'AFRO', '0', '1632', '0', '30');
INSERT INTO public.who_import VALUES (97713, '2020-07-08', 'ZM', 'Zambia', 'AFRO', '263', '1895', '12', '42');
INSERT INTO public.who_import VALUES (97714, '2020-07-09', 'ZM', 'Zambia', 'AFRO', '0', '1895', '0', '42');
INSERT INTO public.who_import VALUES (97715, '2020-07-10', 'ZM', 'Zambia', 'AFRO', '0', '1895', '0', '42');
INSERT INTO public.who_import VALUES (97716, '2020-07-11', 'ZM', 'Zambia', 'AFRO', '0', '1895', '0', '42');
INSERT INTO public.who_import VALUES (97717, '2020-07-12', 'ZM', 'Zambia', 'AFRO', '0', '1895', '0', '42');
INSERT INTO public.who_import VALUES (97718, '2020-07-13', 'ZM', 'Zambia', 'AFRO', '0', '1895', '0', '42');
INSERT INTO public.who_import VALUES (97719, '2020-07-14', 'ZM', 'Zambia', 'AFRO', '388', '2283', '40', '82');
INSERT INTO public.who_import VALUES (97720, '2020-07-15', 'ZM', 'Zambia', 'AFRO', '0', '2283', '0', '82');
INSERT INTO public.who_import VALUES (97721, '2020-07-16', 'ZM', 'Zambia', 'AFRO', '0', '2283', '0', '82');
INSERT INTO public.who_import VALUES (97722, '2020-07-17', 'ZM', 'Zambia', 'AFRO', '0', '2283', '0', '82');
INSERT INTO public.who_import VALUES (97723, '2020-07-18', 'ZM', 'Zambia', 'AFRO', '527', '2810', '27', '109');
INSERT INTO public.who_import VALUES (97724, '2020-07-19', 'ZM', 'Zambia', 'AFRO', '170', '2980', '11', '120');
INSERT INTO public.who_import VALUES (97725, '2020-07-20', 'ZM', 'Zambia', 'AFRO', '0', '2980', '0', '120');
INSERT INTO public.who_import VALUES (97726, '2020-07-21', 'ZM', 'Zambia', 'AFRO', '346', '3326', '8', '128');
INSERT INTO public.who_import VALUES (97727, '2020-07-22', 'ZM', 'Zambia', 'AFRO', '0', '3326', '0', '128');
INSERT INTO public.who_import VALUES (97728, '2020-07-23', 'ZM', 'Zambia', 'AFRO', '257', '3583', '0', '128');
INSERT INTO public.who_import VALUES (97729, '2020-07-24', 'ZM', 'Zambia', 'AFRO', '0', '3583', '0', '128');
INSERT INTO public.who_import VALUES (97730, '2020-07-25', 'ZM', 'Zambia', 'AFRO', '270', '3853', '6', '134');
INSERT INTO public.who_import VALUES (97731, '2020-07-26', 'ZM', 'Zambia', 'AFRO', '475', '4328', '5', '139');
INSERT INTO public.who_import VALUES (97732, '2020-07-27', 'ZM', 'Zambia', 'AFRO', '153', '4481', '0', '139');
INSERT INTO public.who_import VALUES (97733, '2020-07-28', 'ZM', 'Zambia', 'AFRO', '71', '4552', '1', '140');
INSERT INTO public.who_import VALUES (97734, '2020-07-29', 'ZM', 'Zambia', 'AFRO', '450', '5002', '2', '142');
INSERT INTO public.who_import VALUES (97735, '2020-07-30', 'ZM', 'Zambia', 'AFRO', '247', '5249', '4', '146');
INSERT INTO public.who_import VALUES (97736, '2020-07-31', 'ZM', 'Zambia', 'AFRO', '306', '5555', '3', '149');
INSERT INTO public.who_import VALUES (97737, '2020-08-01', 'ZM', 'Zambia', 'AFRO', '408', '5963', '2', '151');
INSERT INTO public.who_import VALUES (97738, '2020-08-02', 'ZM', 'Zambia', 'AFRO', '265', '6228', '14', '165');
INSERT INTO public.who_import VALUES (97739, '2020-08-03', 'ZM', 'Zambia', 'AFRO', '119', '6347', '5', '170');
INSERT INTO public.who_import VALUES (97740, '2020-08-04', 'ZM', 'Zambia', 'AFRO', '233', '6580', '1', '171');
INSERT INTO public.who_import VALUES (97741, '2020-08-05', 'ZM', 'Zambia', 'AFRO', '0', '6580', '0', '171');
INSERT INTO public.who_import VALUES (97742, '2020-08-06', 'ZM', 'Zambia', 'AFRO', '442', '7022', '5', '176');
INSERT INTO public.who_import VALUES (97743, '2020-08-07', 'ZM', 'Zambia', 'AFRO', '142', '7164', '23', '199');
INSERT INTO public.who_import VALUES (97744, '2020-08-08', 'ZM', 'Zambia', 'AFRO', '0', '7164', '0', '199');
INSERT INTO public.who_import VALUES (97745, '2020-08-09', 'ZM', 'Zambia', 'AFRO', '739', '7903', '4', '203');
INSERT INTO public.who_import VALUES (97746, '2020-08-10', 'ZM', 'Zambia', 'AFRO', '182', '8085', '32', '235');
INSERT INTO public.who_import VALUES (97747, '2020-08-11', 'ZM', 'Zambia', 'AFRO', '125', '8210', '6', '241');
INSERT INTO public.who_import VALUES (97748, '2020-08-12', 'ZM', 'Zambia', 'AFRO', '65', '8275', '0', '241');
INSERT INTO public.who_import VALUES (97749, '2020-08-13', 'ZM', 'Zambia', 'AFRO', '226', '8501', '5', '246');
INSERT INTO public.who_import VALUES (97750, '2020-08-14', 'ZM', 'Zambia', 'AFRO', '162', '8663', '0', '246');
INSERT INTO public.who_import VALUES (97751, '2020-08-15', 'ZM', 'Zambia', 'AFRO', '358', '9021', '10', '256');
INSERT INTO public.who_import VALUES (97752, '2020-08-16', 'ZM', 'Zambia', 'AFRO', '165', '9186', '4', '260');
INSERT INTO public.who_import VALUES (97753, '2020-08-17', 'ZM', 'Zambia', 'AFRO', '157', '9343', '0', '260');
INSERT INTO public.who_import VALUES (97754, '2020-08-18', 'ZM', 'Zambia', 'AFRO', '493', '9836', '4', '264');
INSERT INTO public.who_import VALUES (97755, '2020-08-19', 'ZM', 'Zambia', 'AFRO', '145', '9981', '0', '264');
INSERT INTO public.who_import VALUES (97756, '2020-08-20', 'ZM', 'Zambia', 'AFRO', '237', '10218', '5', '269');
INSERT INTO public.who_import VALUES (97757, '2020-08-21', 'ZM', 'Zambia', 'AFRO', '154', '10372', '5', '274');
INSERT INTO public.who_import VALUES (97758, '2020-08-22', 'ZM', 'Zambia', 'AFRO', '255', '10627', '3', '277');
INSERT INTO public.who_import VALUES (97759, '2020-08-23', 'ZM', 'Zambia', 'AFRO', '0', '10627', '0', '277');
INSERT INTO public.who_import VALUES (97760, '2020-08-24', 'ZM', 'Zambia', 'AFRO', '455', '11082', '3', '280');
INSERT INTO public.who_import VALUES (97761, '2020-08-25', 'ZM', 'Zambia', 'AFRO', '66', '11148', '0', '280');
INSERT INTO public.who_import VALUES (97762, '2020-08-26', 'ZM', 'Zambia', 'AFRO', '0', '11148', '0', '280');
INSERT INTO public.who_import VALUES (97763, '2020-08-27', 'ZM', 'Zambia', 'AFRO', '228', '11376', '2', '282');
INSERT INTO public.who_import VALUES (97764, '2020-08-28', 'ZM', 'Zambia', 'AFRO', '225', '11601', '0', '282');
INSERT INTO public.who_import VALUES (97765, '2020-08-29', 'ZM', 'Zambia', 'AFRO', '178', '11779', '1', '283');
INSERT INTO public.who_import VALUES (97766, '2020-08-30', 'ZM', 'Zambia', 'AFRO', '123', '11902', '1', '284');
INSERT INTO public.who_import VALUES (97767, '2020-08-31', 'ZM', 'Zambia', 'AFRO', '123', '12025', '3', '287');
INSERT INTO public.who_import VALUES (97768, '2020-09-01', 'ZM', 'Zambia', 'AFRO', '72', '12097', '1', '288');
INSERT INTO public.who_import VALUES (97769, '2020-09-02', 'ZM', 'Zambia', 'AFRO', '284', '12381', '2', '290');
INSERT INTO public.who_import VALUES (97770, '2020-09-03', 'ZM', 'Zambia', 'AFRO', '34', '12415', '2', '292');
INSERT INTO public.who_import VALUES (97771, '2020-09-04', 'ZM', 'Zambia', 'AFRO', '108', '12523', '0', '292');
INSERT INTO public.who_import VALUES (97772, '2020-09-05', 'ZM', 'Zambia', 'AFRO', '116', '12639', '0', '292');
INSERT INTO public.who_import VALUES (97773, '2020-09-06', 'ZM', 'Zambia', 'AFRO', '70', '12709', '0', '292');
INSERT INTO public.who_import VALUES (97774, '2020-09-07', 'ZM', 'Zambia', 'AFRO', '67', '12776', '3', '295');
INSERT INTO public.who_import VALUES (97775, '2020-09-08', 'ZM', 'Zambia', 'AFRO', '60', '12836', '0', '295');
INSERT INTO public.who_import VALUES (97776, '2020-09-09', 'ZM', 'Zambia', 'AFRO', '116', '12952', '2', '297');
INSERT INTO public.who_import VALUES (97777, '2020-09-10', 'ZM', 'Zambia', 'AFRO', '160', '13112', '3', '300');
INSERT INTO public.who_import VALUES (97778, '2020-09-11', 'ZM', 'Zambia', 'AFRO', '102', '13214', '0', '300');
INSERT INTO public.who_import VALUES (97779, '2020-09-12', 'ZM', 'Zambia', 'AFRO', '109', '13323', '6', '306');
INSERT INTO public.who_import VALUES (97780, '2020-09-13', 'ZM', 'Zambia', 'AFRO', '143', '13466', '6', '312');
INSERT INTO public.who_import VALUES (97781, '2020-09-14', 'ZM', 'Zambia', 'AFRO', '73', '13539', '0', '312');
INSERT INTO public.who_import VALUES (97782, '2020-09-15', 'ZM', 'Zambia', 'AFRO', '181', '13720', '8', '320');
INSERT INTO public.who_import VALUES (97783, '2020-09-16', 'ZM', 'Zambia', 'AFRO', '99', '13819', '4', '324');
INSERT INTO public.who_import VALUES (97784, '2020-09-17', 'ZM', 'Zambia', 'AFRO', '68', '13887', '2', '326');
INSERT INTO public.who_import VALUES (97785, '2020-09-18', 'ZM', 'Zambia', 'AFRO', '41', '13928', '0', '326');
INSERT INTO public.who_import VALUES (97786, '2020-09-19', 'ZM', 'Zambia', 'AFRO', '96', '14024', '3', '329');
INSERT INTO public.who_import VALUES (97787, '2020-09-20', 'ZM', 'Zambia', 'AFRO', '0', '14024', '0', '329');
INSERT INTO public.who_import VALUES (97788, '2020-09-21', 'ZM', 'Zambia', 'AFRO', '107', '14131', '1', '330');
INSERT INTO public.who_import VALUES (97789, '2020-09-22', 'ZM', 'Zambia', 'AFRO', '44', '14175', '1', '331');
INSERT INTO public.who_import VALUES (97790, '2020-09-23', 'ZM', 'Zambia', 'AFRO', '214', '14389', '0', '331');
INSERT INTO public.who_import VALUES (97791, '2020-09-24', 'ZM', 'Zambia', 'AFRO', '54', '14443', '1', '332');
INSERT INTO public.who_import VALUES (97792, '2020-09-25', 'ZM', 'Zambia', 'AFRO', '48', '14491', '0', '332');
INSERT INTO public.who_import VALUES (97793, '2020-09-26', 'ZM', 'Zambia', 'AFRO', '24', '14515', '0', '332');
INSERT INTO public.who_import VALUES (97794, '2020-09-27', 'ZM', 'Zambia', 'AFRO', '97', '14612', '0', '332');
INSERT INTO public.who_import VALUES (97795, '2020-09-28', 'ZM', 'Zambia', 'AFRO', '29', '14641', '0', '332');
INSERT INTO public.who_import VALUES (97796, '2020-09-29', 'ZM', 'Zambia', 'AFRO', '19', '14660', '0', '332');
INSERT INTO public.who_import VALUES (97797, '2020-09-30', 'ZM', 'Zambia', 'AFRO', '55', '14715', '0', '332');
INSERT INTO public.who_import VALUES (97798, '2020-10-01', 'ZM', 'Zambia', 'AFRO', '44', '14759', '0', '332');
INSERT INTO public.who_import VALUES (97799, '2020-10-02', 'ZM', 'Zambia', 'AFRO', '43', '14802', '1', '333');
INSERT INTO public.who_import VALUES (97800, '2020-10-03', 'ZM', 'Zambia', 'AFRO', '28', '14830', '0', '333');
INSERT INTO public.who_import VALUES (97801, '2020-10-04', 'ZM', 'Zambia', 'AFRO', '0', '14830', '0', '333');
INSERT INTO public.who_import VALUES (97802, '2020-10-05', 'ZM', 'Zambia', 'AFRO', '222', '15052', '0', '333');
INSERT INTO public.who_import VALUES (97803, '2020-10-06', 'ZM', 'Zambia', 'AFRO', '37', '15089', '1', '334');
INSERT INTO public.who_import VALUES (97804, '2020-10-07', 'ZM', 'Zambia', 'AFRO', '81', '15170', '1', '335');
INSERT INTO public.who_import VALUES (97805, '2020-10-08', 'ZM', 'Zambia', 'AFRO', '54', '15224', '0', '335');
INSERT INTO public.who_import VALUES (97806, '2020-10-09', 'ZM', 'Zambia', 'AFRO', '77', '15301', '0', '335');
INSERT INTO public.who_import VALUES (97807, '2020-10-10', 'ZM', 'Zambia', 'AFRO', '38', '15339', '1', '336');
INSERT INTO public.who_import VALUES (97808, '2020-10-11', 'ZM', 'Zambia', 'AFRO', '76', '15415', '0', '336');
INSERT INTO public.who_import VALUES (97809, '2020-10-12', 'ZM', 'Zambia', 'AFRO', '43', '15458', '0', '336');
INSERT INTO public.who_import VALUES (97810, '2020-10-13', 'ZM', 'Zambia', 'AFRO', '91', '15549', '8', '344');
INSERT INTO public.who_import VALUES (97811, '2020-10-14', 'ZM', 'Zambia', 'AFRO', '0', '15549', '0', '344');
INSERT INTO public.who_import VALUES (97812, '2020-10-15', 'ZM', 'Zambia', 'AFRO', '67', '15616', '0', '344');
INSERT INTO public.who_import VALUES (97813, '2020-10-16', 'ZM', 'Zambia', 'AFRO', '43', '15659', '2', '346');
INSERT INTO public.who_import VALUES (97814, '2020-10-17', 'ZM', 'Zambia', 'AFRO', '0', '15659', '0', '346');
INSERT INTO public.who_import VALUES (97815, '2020-10-18', 'ZM', 'Zambia', 'AFRO', '130', '15789', '0', '346');
INSERT INTO public.who_import VALUES (97816, '2020-10-19', 'ZM', 'Zambia', 'AFRO', '64', '15853', '0', '346');
INSERT INTO public.who_import VALUES (97817, '2020-10-20', 'ZM', 'Zambia', 'AFRO', '44', '15897', '0', '346');
INSERT INTO public.who_import VALUES (97818, '2020-10-21', 'ZM', 'Zambia', 'AFRO', '85', '15982', '0', '346');
INSERT INTO public.who_import VALUES (97819, '2020-10-22', 'ZM', 'Zambia', 'AFRO', '18', '16000', '0', '346');
INSERT INTO public.who_import VALUES (97820, '2020-10-23', 'ZM', 'Zambia', 'AFRO', '35', '16035', '0', '346');
INSERT INTO public.who_import VALUES (97821, '2020-10-24', 'ZM', 'Zambia', 'AFRO', '60', '16095', '0', '346');
INSERT INTO public.who_import VALUES (97822, '2020-10-25', 'ZM', 'Zambia', 'AFRO', '22', '16117', '2', '348');
INSERT INTO public.who_import VALUES (97823, '2020-10-26', 'ZM', 'Zambia', 'AFRO', '0', '16117', '0', '348');
INSERT INTO public.who_import VALUES (97824, '2020-10-27', 'ZM', 'Zambia', 'AFRO', '83', '16200', '0', '348');
INSERT INTO public.who_import VALUES (97825, '2020-10-28', 'ZM', 'Zambia', 'AFRO', '0', '16200', '0', '348');
INSERT INTO public.who_import VALUES (97826, '2020-10-29', 'ZM', 'Zambia', 'AFRO', '0', '16200', '0', '348');
INSERT INTO public.who_import VALUES (97827, '2020-10-30', 'ZM', 'Zambia', 'AFRO', '125', '16325', '0', '348');
INSERT INTO public.who_import VALUES (97828, '2020-10-31', 'ZM', 'Zambia', 'AFRO', '90', '16415', '1', '349');
INSERT INTO public.who_import VALUES (97829, '2020-11-01', 'ZM', 'Zambia', 'AFRO', '17', '16432', '0', '349');
INSERT INTO public.who_import VALUES (97830, '2020-11-02', 'ZM', 'Zambia', 'AFRO', '48', '16480', '0', '349');
INSERT INTO public.who_import VALUES (97831, '2020-11-03', 'ZM', 'Zambia', 'AFRO', '63', '16543', '0', '349');
INSERT INTO public.who_import VALUES (97832, '2020-11-04', 'ZM', 'Zambia', 'AFRO', '118', '16661', '0', '349');
INSERT INTO public.who_import VALUES (97833, '2020-11-05', 'ZM', 'Zambia', 'AFRO', '37', '16698', '0', '349');
INSERT INTO public.who_import VALUES (97834, '2020-11-06', 'ZM', 'Zambia', 'AFRO', '72', '16770', '0', '349');
INSERT INTO public.who_import VALUES (97835, '2020-11-07', 'ZM', 'Zambia', 'AFRO', '49', '16819', '0', '349');
INSERT INTO public.who_import VALUES (97836, '2020-11-08', 'ZM', 'Zambia', 'AFRO', '89', '16908', '0', '349');
INSERT INTO public.who_import VALUES (97837, '2020-11-09', 'ZM', 'Zambia', 'AFRO', '46', '16954', '0', '349');
INSERT INTO public.who_import VALUES (97838, '2020-11-10', 'ZM', 'Zambia', 'AFRO', '17', '16971', '0', '349');
INSERT INTO public.who_import VALUES (97839, '2020-11-11', 'ZM', 'Zambia', 'AFRO', '26', '16997', '1', '350');
INSERT INTO public.who_import VALUES (97840, '2020-11-12', 'ZM', 'Zambia', 'AFRO', '39', '17036', '0', '350');
INSERT INTO public.who_import VALUES (97841, '2020-11-13', 'ZM', 'Zambia', 'AFRO', '20', '17056', '0', '350');
INSERT INTO public.who_import VALUES (97842, '2020-11-14', 'ZM', 'Zambia', 'AFRO', '37', '17093', '0', '350');
INSERT INTO public.who_import VALUES (97843, '2020-11-15', 'ZM', 'Zambia', 'AFRO', '4', '17097', '0', '350');
INSERT INTO public.who_import VALUES (97844, '2020-11-16', 'ZM', 'Zambia', 'AFRO', '26', '17123', '3', '353');
INSERT INTO public.who_import VALUES (97845, '2020-11-17', 'ZM', 'Zambia', 'AFRO', '64', '17187', '0', '353');
INSERT INTO public.who_import VALUES (97846, '2020-11-18', 'ZM', 'Zambia', 'AFRO', '56', '17243', '0', '353');
INSERT INTO public.who_import VALUES (97847, '2020-11-19', 'ZM', 'Zambia', 'AFRO', '37', '17280', '3', '356');
INSERT INTO public.who_import VALUES (97848, '2020-11-20', 'ZM', 'Zambia', 'AFRO', '70', '17350', '0', '356');
INSERT INTO public.who_import VALUES (97849, '2020-11-21', 'ZM', 'Zambia', 'AFRO', '23', '17373', '0', '356');
INSERT INTO public.who_import VALUES (97850, '2020-11-22', 'ZM', 'Zambia', 'AFRO', '21', '17394', '0', '356');
INSERT INTO public.who_import VALUES (97851, '2020-11-23', 'ZM', 'Zambia', 'AFRO', '30', '17424', '1', '357');
INSERT INTO public.who_import VALUES (97852, '2020-11-24', 'ZM', 'Zambia', 'AFRO', '30', '17454', '0', '357');
INSERT INTO public.who_import VALUES (97853, '2020-11-25', 'ZM', 'Zambia', 'AFRO', '12', '17466', '0', '357');
INSERT INTO public.who_import VALUES (97854, '2020-11-26', 'ZM', 'Zambia', 'AFRO', '69', '17535', '0', '357');
INSERT INTO public.who_import VALUES (97855, '2020-11-27', 'ZM', 'Zambia', 'AFRO', '18', '17553', '0', '357');
INSERT INTO public.who_import VALUES (97856, '2020-11-28', 'ZM', 'Zambia', 'AFRO', '16', '17569', '0', '357');
INSERT INTO public.who_import VALUES (97857, '2020-11-29', 'ZM', 'Zambia', 'AFRO', '20', '17589', '0', '357');
INSERT INTO public.who_import VALUES (97858, '2020-11-30', 'ZM', 'Zambia', 'AFRO', '19', '17608', '0', '357');
INSERT INTO public.who_import VALUES (97859, '2020-12-01', 'ZM', 'Zambia', 'AFRO', '39', '17647', '0', '357');
INSERT INTO public.who_import VALUES (97860, '2020-12-02', 'ZM', 'Zambia', 'AFRO', '18', '17665', '0', '357');
INSERT INTO public.who_import VALUES (97861, '2020-12-03', 'ZM', 'Zambia', 'AFRO', '35', '17700', '0', '357');
INSERT INTO public.who_import VALUES (97862, '2020-12-04', 'ZM', 'Zambia', 'AFRO', '30', '17730', '0', '357');
INSERT INTO public.who_import VALUES (97863, '2020-12-05', 'ZM', 'Zambia', 'AFRO', '127', '17857', '7', '364');
INSERT INTO public.who_import VALUES (97864, '2020-12-06', 'ZM', 'Zambia', 'AFRO', '41', '17898', '0', '364');
INSERT INTO public.who_import VALUES (97865, '2020-12-07', 'ZM', 'Zambia', 'AFRO', '18', '17916', '0', '364');
INSERT INTO public.who_import VALUES (97866, '2020-12-08', 'ZM', 'Zambia', 'AFRO', '15', '17931', '0', '364');
INSERT INTO public.who_import VALUES (97867, '2020-12-09', 'ZM', 'Zambia', 'AFRO', '0', '17931', '0', '364');
INSERT INTO public.who_import VALUES (97868, '2020-12-10', 'ZM', 'Zambia', 'AFRO', '131', '18062', '0', '364');
INSERT INTO public.who_import VALUES (97869, '2020-12-11', 'ZM', 'Zambia', 'AFRO', '29', '18091', '0', '364');
INSERT INTO public.who_import VALUES (97870, '2020-12-12', 'ZM', 'Zambia', 'AFRO', '0', '18091', '0', '364');
INSERT INTO public.who_import VALUES (97871, '2020-12-13', 'ZM', 'Zambia', 'AFRO', '0', '18091', '0', '364');
INSERT INTO public.who_import VALUES (97872, '2020-12-14', 'ZM', 'Zambia', 'AFRO', '183', '18274', '3', '367');
INSERT INTO public.who_import VALUES (97873, '2020-12-15', 'ZM', 'Zambia', 'AFRO', '48', '18322', '0', '367');
INSERT INTO public.who_import VALUES (97874, '2020-12-16', 'ZM', 'Zambia', 'AFRO', '106', '18428', '1', '368');
INSERT INTO public.who_import VALUES (97875, '2020-12-17', 'ZM', 'Zambia', 'AFRO', '0', '18428', '0', '368');
INSERT INTO public.who_import VALUES (97876, '2020-12-18', 'ZM', 'Zambia', 'AFRO', '76', '18504', '1', '369');
INSERT INTO public.who_import VALUES (97877, '2020-12-19', 'ZM', 'Zambia', 'AFRO', '72', '18576', '4', '373');
INSERT INTO public.who_import VALUES (97878, '2020-12-20', 'ZM', 'Zambia', 'AFRO', '44', '18620', '0', '373');
INSERT INTO public.who_import VALUES (97879, '2020-12-21', 'ZM', 'Zambia', 'AFRO', '96', '18716', '0', '373');
INSERT INTO public.who_import VALUES (97880, '2020-12-22', 'ZM', 'Zambia', 'AFRO', '52', '18768', '2', '375');
INSERT INTO public.who_import VALUES (97881, '2020-12-23', 'ZM', 'Zambia', 'AFRO', '113', '18881', '4', '379');
INSERT INTO public.who_import VALUES (97882, '2020-12-24', 'ZM', 'Zambia', 'AFRO', '0', '18881', '0', '379');
INSERT INTO public.who_import VALUES (97883, '2020-12-25', 'ZM', 'Zambia', 'AFRO', '353', '19234', '2', '381');
INSERT INTO public.who_import VALUES (97884, '2020-12-26', 'ZM', 'Zambia', 'AFRO', '337', '19571', '0', '381');
INSERT INTO public.who_import VALUES (97885, '2020-12-27', 'ZM', 'Zambia', 'AFRO', '100', '19671', '1', '382');
INSERT INTO public.who_import VALUES (97886, '2020-12-28', 'ZM', 'Zambia', 'AFRO', '0', '19671', '0', '382');
INSERT INTO public.who_import VALUES (97887, '2020-12-29', 'ZM', 'Zambia', 'AFRO', '272', '19943', '2', '384');
INSERT INTO public.who_import VALUES (97888, '2020-12-30', 'ZM', 'Zambia', 'AFRO', '0', '19943', '0', '384');
INSERT INTO public.who_import VALUES (97889, '2020-12-31', 'ZM', 'Zambia', 'AFRO', '519', '20462', '2', '386');
INSERT INTO public.who_import VALUES (97890, '2021-01-01', 'ZM', 'Zambia', 'AFRO', '263', '20725', '2', '388');
INSERT INTO public.who_import VALUES (97891, '2021-01-02', 'ZM', 'Zambia', 'AFRO', '0', '20725', '0', '388');
INSERT INTO public.who_import VALUES (97892, '2021-01-03', 'ZM', 'Zambia', 'AFRO', '505', '21230', '4', '392');
INSERT INTO public.who_import VALUES (97893, '2021-01-04', 'ZM', 'Zambia', 'AFRO', '353', '21583', '2', '394');
INSERT INTO public.who_import VALUES (97894, '2021-01-05', 'ZM', 'Zambia', 'AFRO', '410', '21993', '4', '398');
INSERT INTO public.who_import VALUES (97895, '2021-01-06', 'ZM', 'Zambia', 'AFRO', '652', '22645', '14', '412');
INSERT INTO public.who_import VALUES (97896, '2021-01-07', 'ZM', 'Zambia', 'AFRO', '850', '23495', '5', '417');
INSERT INTO public.who_import VALUES (97897, '2021-01-08', 'ZM', 'Zambia', 'AFRO', '802', '24297', '6', '423');
INSERT INTO public.who_import VALUES (97898, '2021-01-09', 'ZM', 'Zambia', 'AFRO', '1029', '25326', '18', '441');
INSERT INTO public.who_import VALUES (97899, '2021-01-10', 'ZM', 'Zambia', 'AFRO', '1241', '26567', '23', '464');
INSERT INTO public.who_import VALUES (97900, '2021-01-11', 'ZM', 'Zambia', 'AFRO', '1161', '27728', '5', '469');
INSERT INTO public.who_import VALUES (97901, '2021-01-12', 'ZM', 'Zambia', 'AFRO', '868', '28596', '2', '471');
INSERT INTO public.who_import VALUES (97902, '2021-01-13', 'ZM', 'Zambia', 'AFRO', '1161', '29757', '24', '495');
INSERT INTO public.who_import VALUES (97903, '2021-01-14', 'ZM', 'Zambia', 'AFRO', '1343', '31100', '14', '509');
INSERT INTO public.who_import VALUES (97904, '2021-01-15', 'ZM', 'Zambia', 'AFRO', '1700', '32800', '5', '514');
INSERT INTO public.who_import VALUES (97905, '2021-01-16', 'ZM', 'Zambia', 'AFRO', '1478', '34278', '13', '527');
INSERT INTO public.who_import VALUES (97906, '2021-01-17', 'ZM', 'Zambia', 'AFRO', '1796', '36074', '5', '532');
INSERT INTO public.who_import VALUES (97907, '2021-01-18', 'ZM', 'Zambia', 'AFRO', '1531', '37605', '14', '546');
INSERT INTO public.who_import VALUES (97908, '2021-01-19', 'ZM', 'Zambia', 'AFRO', '602', '38207', '13', '559');
INSERT INTO public.who_import VALUES (97909, '2021-01-20', 'ZM', 'Zambia', 'AFRO', '1308', '39515', '19', '578');
INSERT INTO public.who_import VALUES (97910, '2021-01-21', 'ZM', 'Zambia', 'AFRO', '1434', '40949', '7', '585');
INSERT INTO public.who_import VALUES (97911, '2021-01-22', 'ZM', 'Zambia', 'AFRO', '1264', '42213', '12', '597');
INSERT INTO public.who_import VALUES (97912, '2021-01-23', 'ZM', 'Zambia', 'AFRO', '1120', '43333', '13', '610');
INSERT INTO public.who_import VALUES (97913, '2021-01-24', 'ZM', 'Zambia', 'AFRO', '1259', '44592', '17', '627');
INSERT INTO public.who_import VALUES (97914, '2021-01-25', 'ZM', 'Zambia', 'AFRO', '745', '45337', '12', '639');
INSERT INTO public.who_import VALUES (97915, '2021-01-26', 'ZM', 'Zambia', 'AFRO', '809', '46146', '21', '660');
INSERT INTO public.who_import VALUES (97916, '2021-01-27', 'ZM', 'Zambia', 'AFRO', '1476', '47622', '12', '672');
INSERT INTO public.who_import VALUES (97917, '2021-01-28', 'ZM', 'Zambia', 'AFRO', '1289', '48911', '16', '688');
INSERT INTO public.who_import VALUES (97918, '2021-01-29', 'ZM', 'Zambia', 'AFRO', '1408', '50319', '17', '705');
INSERT INTO public.who_import VALUES (97919, '2021-01-30', 'ZM', 'Zambia', 'AFRO', '1305', '51624', '23', '728');
INSERT INTO public.who_import VALUES (97920, '2021-01-31', 'ZM', 'Zambia', 'AFRO', '1728', '53352', '17', '745');
INSERT INTO public.who_import VALUES (97921, '2021-02-01', 'ZM', 'Zambia', 'AFRO', '865', '54217', '18', '763');
INSERT INTO public.who_import VALUES (97922, '2021-02-02', 'ZM', 'Zambia', 'AFRO', '825', '55042', '17', '780');
INSERT INTO public.who_import VALUES (97923, '2021-02-03', 'ZM', 'Zambia', 'AFRO', '1191', '56233', '14', '794');
INSERT INTO public.who_import VALUES (97924, '2021-02-04', 'ZM', 'Zambia', 'AFRO', '1256', '57489', '10', '804');
INSERT INTO public.who_import VALUES (97925, '2021-02-05', 'ZM', 'Zambia', 'AFRO', '1514', '59003', '8', '812');
INSERT INTO public.who_import VALUES (97926, '2021-02-06', 'ZM', 'Zambia', 'AFRO', '1424', '60427', '16', '828');
INSERT INTO public.who_import VALUES (97927, '2021-02-07', 'ZM', 'Zambia', 'AFRO', '1000', '61427', '11', '839');
INSERT INTO public.who_import VALUES (97928, '2021-02-08', 'ZM', 'Zambia', 'AFRO', '1236', '62663', '14', '853');
INSERT INTO public.who_import VALUES (97929, '2021-02-09', 'ZM', 'Zambia', 'AFRO', '0', '62663', '0', '853');
INSERT INTO public.who_import VALUES (97930, '2021-02-10', 'ZM', 'Zambia', 'AFRO', '1947', '64610', '28', '881');
INSERT INTO public.who_import VALUES (97931, '2021-02-11', 'ZM', 'Zambia', 'AFRO', '963', '65573', '20', '901');
INSERT INTO public.who_import VALUES (97932, '2021-02-12', 'ZM', 'Zambia', 'AFRO', '1025', '66598', '13', '914');
INSERT INTO public.who_import VALUES (97933, '2021-02-13', 'ZM', 'Zambia', 'AFRO', '1083', '67681', '17', '931');
INSERT INTO public.who_import VALUES (97934, '2021-02-14', 'ZM', 'Zambia', 'AFRO', '773', '68454', '9', '940');
INSERT INTO public.who_import VALUES (97935, '2021-02-15', 'ZM', 'Zambia', 'AFRO', '983', '69437', '11', '951');
INSERT INTO public.who_import VALUES (97936, '2021-02-16', 'ZM', 'Zambia', 'AFRO', '811', '70248', '8', '959');
INSERT INTO public.who_import VALUES (97937, '2021-02-17', 'ZM', 'Zambia', 'AFRO', '575', '70823', '15', '974');
INSERT INTO public.who_import VALUES (97938, '2021-02-18', 'ZM', 'Zambia', 'AFRO', '854', '71677', '9', '983');
INSERT INTO public.who_import VALUES (97939, '2021-02-19', 'ZM', 'Zambia', 'AFRO', '790', '72467', '8', '991');
INSERT INTO public.who_import VALUES (97940, '2021-02-20', 'ZM', 'Zambia', 'AFRO', '736', '73203', '11', '1002');
INSERT INTO public.who_import VALUES (97941, '2020-01-03', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97942, '2020-01-04', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97943, '2020-01-05', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97944, '2020-01-06', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97945, '2020-01-07', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97946, '2020-01-08', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97947, '2020-01-09', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97948, '2020-01-10', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97949, '2020-01-11', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97950, '2020-01-12', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97951, '2020-01-13', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97952, '2020-01-14', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97953, '2020-01-15', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97954, '2020-01-16', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97955, '2020-01-17', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97956, '2020-01-18', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97957, '2020-01-19', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97958, '2020-01-20', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97959, '2020-01-21', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97960, '2020-01-22', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97961, '2020-01-23', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97962, '2020-01-24', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97963, '2020-01-25', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97964, '2020-01-26', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97965, '2020-01-27', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97966, '2020-01-28', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97967, '2020-01-29', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97968, '2020-01-30', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97969, '2020-01-31', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97970, '2020-02-01', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97971, '2020-02-02', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97972, '2020-02-03', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97973, '2020-02-04', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97974, '2020-02-05', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97975, '2020-02-06', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97976, '2020-02-07', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97977, '2020-02-08', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97978, '2020-02-09', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97979, '2020-02-10', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97980, '2020-02-11', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97981, '2020-02-12', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97982, '2020-02-13', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97983, '2020-02-14', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97984, '2020-02-15', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97985, '2020-02-16', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97986, '2020-02-17', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97987, '2020-02-18', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97988, '2020-02-19', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97989, '2020-02-20', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97990, '2020-02-21', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97991, '2020-02-22', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97992, '2020-02-23', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97993, '2020-02-24', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97994, '2020-02-25', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97995, '2020-02-26', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97996, '2020-02-27', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97997, '2020-02-28', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97998, '2020-02-29', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (97999, '2020-03-01', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98000, '2020-03-02', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98001, '2020-03-03', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98002, '2020-03-04', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98003, '2020-03-05', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98004, '2020-03-06', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98005, '2020-03-07', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98006, '2020-03-08', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98007, '2020-03-09', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98008, '2020-03-10', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98009, '2020-03-11', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98010, '2020-03-12', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98011, '2020-03-13', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98012, '2020-03-14', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98013, '2020-03-15', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98014, '2020-03-16', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98015, '2020-03-17', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98016, '2020-03-18', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98017, '2020-03-19', 'ZW', 'Zimbabwe', 'AFRO', '0', '0', '0', '0');
INSERT INTO public.who_import VALUES (98018, '2020-03-20', 'ZW', 'Zimbabwe', 'AFRO', '1', '1', '0', '0');
INSERT INTO public.who_import VALUES (98019, '2020-03-21', 'ZW', 'Zimbabwe', 'AFRO', '1', '2', '0', '0');
INSERT INTO public.who_import VALUES (98020, '2020-03-22', 'ZW', 'Zimbabwe', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (98021, '2020-03-23', 'ZW', 'Zimbabwe', 'AFRO', '0', '2', '0', '0');
INSERT INTO public.who_import VALUES (98022, '2020-03-24', 'ZW', 'Zimbabwe', 'AFRO', '0', '2', '1', '1');
INSERT INTO public.who_import VALUES (98023, '2020-03-25', 'ZW', 'Zimbabwe', 'AFRO', '0', '2', '0', '1');
INSERT INTO public.who_import VALUES (98024, '2020-03-26', 'ZW', 'Zimbabwe', 'AFRO', '0', '2', '0', '1');
INSERT INTO public.who_import VALUES (98025, '2020-03-27', 'ZW', 'Zimbabwe', 'AFRO', '3', '5', '0', '1');
INSERT INTO public.who_import VALUES (98026, '2020-03-28', 'ZW', 'Zimbabwe', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (98027, '2020-03-29', 'ZW', 'Zimbabwe', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (98028, '2020-03-30', 'ZW', 'Zimbabwe', 'AFRO', '0', '5', '0', '1');
INSERT INTO public.who_import VALUES (98029, '2020-03-31', 'ZW', 'Zimbabwe', 'AFRO', '3', '8', '0', '1');
INSERT INTO public.who_import VALUES (98030, '2020-04-01', 'ZW', 'Zimbabwe', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (98031, '2020-04-02', 'ZW', 'Zimbabwe', 'AFRO', '0', '8', '0', '1');
INSERT INTO public.who_import VALUES (98032, '2020-04-03', 'ZW', 'Zimbabwe', 'AFRO', '1', '9', '0', '1');
INSERT INTO public.who_import VALUES (98033, '2020-04-04', 'ZW', 'Zimbabwe', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (98034, '2020-04-05', 'ZW', 'Zimbabwe', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (98035, '2020-04-06', 'ZW', 'Zimbabwe', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (98036, '2020-04-07', 'ZW', 'Zimbabwe', 'AFRO', '0', '9', '0', '1');
INSERT INTO public.who_import VALUES (98037, '2020-04-08', 'ZW', 'Zimbabwe', 'AFRO', '2', '11', '1', '2');
INSERT INTO public.who_import VALUES (98038, '2020-04-09', 'ZW', 'Zimbabwe', 'AFRO', '0', '11', '1', '3');
INSERT INTO public.who_import VALUES (98039, '2020-04-10', 'ZW', 'Zimbabwe', 'AFRO', '0', '11', '0', '3');
INSERT INTO public.who_import VALUES (98040, '2020-04-11', 'ZW', 'Zimbabwe', 'AFRO', '0', '11', '0', '3');
INSERT INTO public.who_import VALUES (98041, '2020-04-12', 'ZW', 'Zimbabwe', 'AFRO', '2', '13', '0', '3');
INSERT INTO public.who_import VALUES (98042, '2020-04-13', 'ZW', 'Zimbabwe', 'AFRO', '1', '14', '0', '3');
INSERT INTO public.who_import VALUES (98043, '2020-04-14', 'ZW', 'Zimbabwe', 'AFRO', '3', '17', '0', '3');
INSERT INTO public.who_import VALUES (98044, '2020-04-15', 'ZW', 'Zimbabwe', 'AFRO', '1', '18', '0', '3');
INSERT INTO public.who_import VALUES (98045, '2020-04-16', 'ZW', 'Zimbabwe', 'AFRO', '5', '23', '0', '3');
INSERT INTO public.who_import VALUES (98046, '2020-04-17', 'ZW', 'Zimbabwe', 'AFRO', '0', '23', '0', '3');
INSERT INTO public.who_import VALUES (98047, '2020-04-18', 'ZW', 'Zimbabwe', 'AFRO', '1', '24', '0', '3');
INSERT INTO public.who_import VALUES (98048, '2020-04-19', 'ZW', 'Zimbabwe', 'AFRO', '1', '25', '0', '3');
INSERT INTO public.who_import VALUES (98049, '2020-04-20', 'ZW', 'Zimbabwe', 'AFRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (98050, '2020-04-21', 'ZW', 'Zimbabwe', 'AFRO', '0', '25', '0', '3');
INSERT INTO public.who_import VALUES (98051, '2020-04-22', 'ZW', 'Zimbabwe', 'AFRO', '3', '28', '0', '3');
INSERT INTO public.who_import VALUES (98052, '2020-04-23', 'ZW', 'Zimbabwe', 'AFRO', '0', '28', '1', '4');
INSERT INTO public.who_import VALUES (98053, '2020-04-24', 'ZW', 'Zimbabwe', 'AFRO', '0', '28', '0', '4');
INSERT INTO public.who_import VALUES (98054, '2020-04-25', 'ZW', 'Zimbabwe', 'AFRO', '1', '29', '0', '4');
INSERT INTO public.who_import VALUES (98055, '2020-04-26', 'ZW', 'Zimbabwe', 'AFRO', '2', '31', '0', '4');
INSERT INTO public.who_import VALUES (98056, '2020-04-27', 'ZW', 'Zimbabwe', 'AFRO', '0', '31', '0', '4');
INSERT INTO public.who_import VALUES (98057, '2020-04-28', 'ZW', 'Zimbabwe', 'AFRO', '0', '31', '0', '4');
INSERT INTO public.who_import VALUES (98058, '2020-04-29', 'ZW', 'Zimbabwe', 'AFRO', '1', '32', '0', '4');
INSERT INTO public.who_import VALUES (98059, '2020-04-30', 'ZW', 'Zimbabwe', 'AFRO', '0', '32', '0', '4');
INSERT INTO public.who_import VALUES (98060, '2020-05-01', 'ZW', 'Zimbabwe', 'AFRO', '0', '32', '0', '4');
INSERT INTO public.who_import VALUES (98061, '2020-05-02', 'ZW', 'Zimbabwe', 'AFRO', '2', '34', '0', '4');
INSERT INTO public.who_import VALUES (98062, '2020-05-03', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98063, '2020-05-04', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98064, '2020-05-05', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98065, '2020-05-06', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98066, '2020-05-07', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98067, '2020-05-08', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98068, '2020-05-09', 'ZW', 'Zimbabwe', 'AFRO', '0', '34', '0', '4');
INSERT INTO public.who_import VALUES (98069, '2020-05-10', 'ZW', 'Zimbabwe', 'AFRO', '1', '35', '0', '4');
INSERT INTO public.who_import VALUES (98070, '2020-05-11', 'ZW', 'Zimbabwe', 'AFRO', '1', '36', '0', '4');
INSERT INTO public.who_import VALUES (98071, '2020-05-12', 'ZW', 'Zimbabwe', 'AFRO', '0', '36', '0', '4');
INSERT INTO public.who_import VALUES (98072, '2020-05-13', 'ZW', 'Zimbabwe', 'AFRO', '1', '37', '0', '4');
INSERT INTO public.who_import VALUES (98073, '2020-05-14', 'ZW', 'Zimbabwe', 'AFRO', '0', '37', '0', '4');
INSERT INTO public.who_import VALUES (98074, '2020-05-15', 'ZW', 'Zimbabwe', 'AFRO', '0', '37', '0', '4');
INSERT INTO public.who_import VALUES (98075, '2020-05-16', 'ZW', 'Zimbabwe', 'AFRO', '5', '42', '0', '4');
INSERT INTO public.who_import VALUES (98076, '2020-05-17', 'ZW', 'Zimbabwe', 'AFRO', '2', '44', '0', '4');
INSERT INTO public.who_import VALUES (98077, '2020-05-18', 'ZW', 'Zimbabwe', 'AFRO', '0', '44', '0', '4');
INSERT INTO public.who_import VALUES (98078, '2020-05-19', 'ZW', 'Zimbabwe', 'AFRO', '2', '46', '0', '4');
INSERT INTO public.who_import VALUES (98079, '2020-05-20', 'ZW', 'Zimbabwe', 'AFRO', '0', '46', '0', '4');
INSERT INTO public.who_import VALUES (98080, '2020-05-21', 'ZW', 'Zimbabwe', 'AFRO', '2', '48', '0', '4');
INSERT INTO public.who_import VALUES (98081, '2020-05-22', 'ZW', 'Zimbabwe', 'AFRO', '3', '51', '0', '4');
INSERT INTO public.who_import VALUES (98082, '2020-05-23', 'ZW', 'Zimbabwe', 'AFRO', '0', '51', '0', '4');
INSERT INTO public.who_import VALUES (98083, '2020-05-24', 'ZW', 'Zimbabwe', 'AFRO', '5', '56', '0', '4');
INSERT INTO public.who_import VALUES (98084, '2020-05-25', 'ZW', 'Zimbabwe', 'AFRO', '0', '56', '0', '4');
INSERT INTO public.who_import VALUES (98085, '2020-05-26', 'ZW', 'Zimbabwe', 'AFRO', '0', '56', '0', '4');
INSERT INTO public.who_import VALUES (98086, '2020-05-27', 'ZW', 'Zimbabwe', 'AFRO', '0', '56', '0', '4');
INSERT INTO public.who_import VALUES (98087, '2020-05-28', 'ZW', 'Zimbabwe', 'AFRO', '76', '132', '0', '4');
INSERT INTO public.who_import VALUES (98088, '2020-05-29', 'ZW', 'Zimbabwe', 'AFRO', '0', '132', '0', '4');
INSERT INTO public.who_import VALUES (98089, '2020-05-30', 'ZW', 'Zimbabwe', 'AFRO', '17', '149', '0', '4');
INSERT INTO public.who_import VALUES (98090, '2020-05-31', 'ZW', 'Zimbabwe', 'AFRO', '25', '174', '0', '4');
INSERT INTO public.who_import VALUES (98091, '2020-06-01', 'ZW', 'Zimbabwe', 'AFRO', '4', '178', '0', '4');
INSERT INTO public.who_import VALUES (98092, '2020-06-02', 'ZW', 'Zimbabwe', 'AFRO', '0', '178', '0', '4');
INSERT INTO public.who_import VALUES (98093, '2020-06-03', 'ZW', 'Zimbabwe', 'AFRO', '28', '206', '0', '4');
INSERT INTO public.who_import VALUES (98094, '2020-06-04', 'ZW', 'Zimbabwe', 'AFRO', '16', '222', '0', '4');
INSERT INTO public.who_import VALUES (98095, '2020-06-05', 'ZW', 'Zimbabwe', 'AFRO', '0', '222', '0', '4');
INSERT INTO public.who_import VALUES (98096, '2020-06-06', 'ZW', 'Zimbabwe', 'AFRO', '43', '265', '0', '4');
INSERT INTO public.who_import VALUES (98097, '2020-06-07', 'ZW', 'Zimbabwe', 'AFRO', '14', '279', '0', '4');
INSERT INTO public.who_import VALUES (98098, '2020-06-08', 'ZW', 'Zimbabwe', 'AFRO', '0', '279', '0', '4');
INSERT INTO public.who_import VALUES (98099, '2020-06-09', 'ZW', 'Zimbabwe', 'AFRO', '8', '287', '0', '4');
INSERT INTO public.who_import VALUES (98100, '2020-06-10', 'ZW', 'Zimbabwe', 'AFRO', '27', '314', '0', '4');
INSERT INTO public.who_import VALUES (98101, '2020-06-11', 'ZW', 'Zimbabwe', 'AFRO', '6', '320', '0', '4');
INSERT INTO public.who_import VALUES (98102, '2020-06-12', 'ZW', 'Zimbabwe', 'AFRO', '12', '332', '0', '4');
INSERT INTO public.who_import VALUES (98103, '2020-06-13', 'ZW', 'Zimbabwe', 'AFRO', '11', '343', '0', '4');
INSERT INTO public.who_import VALUES (98104, '2020-06-14', 'ZW', 'Zimbabwe', 'AFRO', '13', '356', '0', '4');
INSERT INTO public.who_import VALUES (98105, '2020-06-15', 'ZW', 'Zimbabwe', 'AFRO', '27', '383', '0', '4');
INSERT INTO public.who_import VALUES (98106, '2020-06-16', 'ZW', 'Zimbabwe', 'AFRO', '4', '387', '0', '4');
INSERT INTO public.who_import VALUES (98107, '2020-06-17', 'ZW', 'Zimbabwe', 'AFRO', '4', '391', '0', '4');
INSERT INTO public.who_import VALUES (98108, '2020-06-18', 'ZW', 'Zimbabwe', 'AFRO', '10', '401', '0', '4');
INSERT INTO public.who_import VALUES (98109, '2020-06-19', 'ZW', 'Zimbabwe', 'AFRO', '62', '463', '0', '4');
INSERT INTO public.who_import VALUES (98110, '2020-06-20', 'ZW', 'Zimbabwe', 'AFRO', '16', '479', '0', '4');
INSERT INTO public.who_import VALUES (98111, '2020-06-21', 'ZW', 'Zimbabwe', 'AFRO', '0', '479', '0', '4');
INSERT INTO public.who_import VALUES (98112, '2020-06-22', 'ZW', 'Zimbabwe', 'AFRO', '10', '489', '2', '6');
INSERT INTO public.who_import VALUES (98113, '2020-06-23', 'ZW', 'Zimbabwe', 'AFRO', '23', '512', '0', '6');
INSERT INTO public.who_import VALUES (98114, '2020-06-24', 'ZW', 'Zimbabwe', 'AFRO', '13', '525', '0', '6');
INSERT INTO public.who_import VALUES (98115, '2020-06-25', 'ZW', 'Zimbabwe', 'AFRO', '5', '530', '0', '6');
INSERT INTO public.who_import VALUES (98116, '2020-06-26', 'ZW', 'Zimbabwe', 'AFRO', '21', '551', '0', '6');
INSERT INTO public.who_import VALUES (98117, '2020-06-27', 'ZW', 'Zimbabwe', 'AFRO', '10', '561', '1', '7');
INSERT INTO public.who_import VALUES (98118, '2020-06-28', 'ZW', 'Zimbabwe', 'AFRO', '6', '567', '0', '7');
INSERT INTO public.who_import VALUES (98119, '2020-06-29', 'ZW', 'Zimbabwe', 'AFRO', '0', '567', '-1', '6');
INSERT INTO public.who_import VALUES (98120, '2020-06-30', 'ZW', 'Zimbabwe', 'AFRO', '7', '574', '1', '7');
INSERT INTO public.who_import VALUES (98121, '2020-07-01', 'ZW', 'Zimbabwe', 'AFRO', '17', '591', '0', '7');
INSERT INTO public.who_import VALUES (98122, '2020-07-02', 'ZW', 'Zimbabwe', 'AFRO', '14', '605', '0', '7');
INSERT INTO public.who_import VALUES (98123, '2020-07-03', 'ZW', 'Zimbabwe', 'AFRO', '12', '617', '0', '7');
INSERT INTO public.who_import VALUES (98124, '2020-07-04', 'ZW', 'Zimbabwe', 'AFRO', '8', '625', '0', '7');
INSERT INTO public.who_import VALUES (98125, '2020-07-05', 'ZW', 'Zimbabwe', 'AFRO', '73', '698', '1', '8');
INSERT INTO public.who_import VALUES (98126, '2020-07-06', 'ZW', 'Zimbabwe', 'AFRO', '18', '716', '0', '8');
INSERT INTO public.who_import VALUES (98127, '2020-07-07', 'ZW', 'Zimbabwe', 'AFRO', '18', '734', '1', '9');
INSERT INTO public.who_import VALUES (98128, '2020-07-08', 'ZW', 'Zimbabwe', 'AFRO', '53', '787', '0', '9');
INSERT INTO public.who_import VALUES (98129, '2020-07-09', 'ZW', 'Zimbabwe', 'AFRO', '98', '885', '0', '9');
INSERT INTO public.who_import VALUES (98130, '2020-07-10', 'ZW', 'Zimbabwe', 'AFRO', '41', '926', '3', '12');
INSERT INTO public.who_import VALUES (98131, '2020-07-11', 'ZW', 'Zimbabwe', 'AFRO', '16', '942', '1', '13');
INSERT INTO public.who_import VALUES (98132, '2020-07-12', 'ZW', 'Zimbabwe', 'AFRO', '40', '982', '5', '18');
INSERT INTO public.who_import VALUES (98133, '2020-07-13', 'ZW', 'Zimbabwe', 'AFRO', '3', '985', '0', '18');
INSERT INTO public.who_import VALUES (98134, '2020-07-14', 'ZW', 'Zimbabwe', 'AFRO', '49', '1034', '1', '19');
INSERT INTO public.who_import VALUES (98135, '2020-07-15', 'ZW', 'Zimbabwe', 'AFRO', '30', '1064', '1', '20');
INSERT INTO public.who_import VALUES (98136, '2020-07-16', 'ZW', 'Zimbabwe', 'AFRO', '25', '1089', '0', '20');
INSERT INTO public.who_import VALUES (98137, '2020-07-17', 'ZW', 'Zimbabwe', 'AFRO', '273', '1362', '3', '23');
INSERT INTO public.who_import VALUES (98138, '2020-07-18', 'ZW', 'Zimbabwe', 'AFRO', '58', '1420', '1', '24');
INSERT INTO public.who_import VALUES (98139, '2020-07-19', 'ZW', 'Zimbabwe', 'AFRO', '58', '1478', '1', '25');
INSERT INTO public.who_import VALUES (98140, '2020-07-20', 'ZW', 'Zimbabwe', 'AFRO', '133', '1611', '0', '25');
INSERT INTO public.who_import VALUES (98141, '2020-07-21', 'ZW', 'Zimbabwe', 'AFRO', '102', '1713', '1', '26');
INSERT INTO public.who_import VALUES (98142, '2020-07-22', 'ZW', 'Zimbabwe', 'AFRO', '107', '1820', '0', '26');
INSERT INTO public.who_import VALUES (98143, '2020-07-23', 'ZW', 'Zimbabwe', 'AFRO', '214', '2034', '0', '26');
INSERT INTO public.who_import VALUES (98144, '2020-07-24', 'ZW', 'Zimbabwe', 'AFRO', '90', '2124', '2', '28');
INSERT INTO public.who_import VALUES (98145, '2020-07-25', 'ZW', 'Zimbabwe', 'AFRO', '172', '2296', '4', '32');
INSERT INTO public.who_import VALUES (98146, '2020-07-26', 'ZW', 'Zimbabwe', 'AFRO', '138', '2434', '2', '34');
INSERT INTO public.who_import VALUES (98147, '2020-07-27', 'ZW', 'Zimbabwe', 'AFRO', '78', '2512', '0', '34');
INSERT INTO public.who_import VALUES (98148, '2020-07-28', 'ZW', 'Zimbabwe', 'AFRO', '192', '2704', '2', '36');
INSERT INTO public.who_import VALUES (98149, '2020-07-29', 'ZW', 'Zimbabwe', 'AFRO', '113', '2817', '4', '40');
INSERT INTO public.who_import VALUES (98150, '2020-07-30', 'ZW', 'Zimbabwe', 'AFRO', '62', '2879', '1', '41');
INSERT INTO public.who_import VALUES (98151, '2020-07-31', 'ZW', 'Zimbabwe', 'AFRO', '213', '3092', '12', '53');
INSERT INTO public.who_import VALUES (98152, '2020-08-01', 'ZW', 'Zimbabwe', 'AFRO', '77', '3169', '14', '67');
INSERT INTO public.who_import VALUES (98153, '2020-08-02', 'ZW', 'Zimbabwe', 'AFRO', '490', '3659', '2', '69');
INSERT INTO public.who_import VALUES (98154, '2020-08-03', 'ZW', 'Zimbabwe', 'AFRO', '262', '3921', '1', '70');
INSERT INTO public.who_import VALUES (98155, '2020-08-04', 'ZW', 'Zimbabwe', 'AFRO', '154', '4075', '10', '80');
INSERT INTO public.who_import VALUES (98156, '2020-08-05', 'ZW', 'Zimbabwe', 'AFRO', '146', '4221', '1', '81');
INSERT INTO public.who_import VALUES (98157, '2020-08-06', 'ZW', 'Zimbabwe', 'AFRO', '118', '4339', '3', '84');
INSERT INTO public.who_import VALUES (98158, '2020-08-07', 'ZW', 'Zimbabwe', 'AFRO', '56', '4395', '13', '97');
INSERT INTO public.who_import VALUES (98159, '2020-08-08', 'ZW', 'Zimbabwe', 'AFRO', '56', '4451', '5', '102');
INSERT INTO public.who_import VALUES (98160, '2020-08-09', 'ZW', 'Zimbabwe', 'AFRO', '124', '4575', '0', '102');
INSERT INTO public.who_import VALUES (98161, '2020-08-10', 'ZW', 'Zimbabwe', 'AFRO', '74', '4649', '2', '104');
INSERT INTO public.who_import VALUES (98162, '2020-08-11', 'ZW', 'Zimbabwe', 'AFRO', '99', '4748', '0', '104');
INSERT INTO public.who_import VALUES (98163, '2020-08-12', 'ZW', 'Zimbabwe', 'AFRO', '70', '4818', '0', '104');
INSERT INTO public.who_import VALUES (98164, '2020-08-13', 'ZW', 'Zimbabwe', 'AFRO', '75', '4893', '18', '122');
INSERT INTO public.who_import VALUES (98165, '2020-08-14', 'ZW', 'Zimbabwe', 'AFRO', '97', '4990', '6', '128');
INSERT INTO public.who_import VALUES (98166, '2020-08-15', 'ZW', 'Zimbabwe', 'AFRO', '82', '5072', '0', '128');
INSERT INTO public.who_import VALUES (98167, '2020-08-16', 'ZW', 'Zimbabwe', 'AFRO', '104', '5176', '2', '130');
INSERT INTO public.who_import VALUES (98168, '2020-08-17', 'ZW', 'Zimbabwe', 'AFRO', '85', '5261', '2', '132');
INSERT INTO public.who_import VALUES (98169, '2020-08-18', 'ZW', 'Zimbabwe', 'AFRO', '47', '5308', '3', '135');
INSERT INTO public.who_import VALUES (98170, '2020-08-19', 'ZW', 'Zimbabwe', 'AFRO', '70', '5378', '6', '141');
INSERT INTO public.who_import VALUES (98171, '2020-08-20', 'ZW', 'Zimbabwe', 'AFRO', '265', '5643', '9', '150');
INSERT INTO public.who_import VALUES (98172, '2020-08-21', 'ZW', 'Zimbabwe', 'AFRO', '102', '5745', '1', '151');
INSERT INTO public.who_import VALUES (98173, '2020-08-22', 'ZW', 'Zimbabwe', 'AFRO', '70', '5815', '1', '152');
INSERT INTO public.who_import VALUES (98174, '2020-08-23', 'ZW', 'Zimbabwe', 'AFRO', '78', '5893', '1', '153');
INSERT INTO public.who_import VALUES (98175, '2020-08-24', 'ZW', 'Zimbabwe', 'AFRO', '37', '5930', '2', '155');
INSERT INTO public.who_import VALUES (98176, '2020-08-25', 'ZW', 'Zimbabwe', 'AFRO', '140', '6070', '0', '155');
INSERT INTO public.who_import VALUES (98177, '2020-08-26', 'ZW', 'Zimbabwe', 'AFRO', '126', '6196', '11', '166');
INSERT INTO public.who_import VALUES (98178, '2020-08-27', 'ZW', 'Zimbabwe', 'AFRO', '55', '6251', '13', '179');
INSERT INTO public.who_import VALUES (98179, '2020-08-28', 'ZW', 'Zimbabwe', 'AFRO', '41', '6292', '10', '189');
INSERT INTO public.who_import VALUES (98180, '2020-08-29', 'ZW', 'Zimbabwe', 'AFRO', '96', '6388', '6', '195');
INSERT INTO public.who_import VALUES (98181, '2020-08-30', 'ZW', 'Zimbabwe', 'AFRO', '18', '6406', '1', '196');
INSERT INTO public.who_import VALUES (98182, '2020-08-31', 'ZW', 'Zimbabwe', 'AFRO', '6', '6412', '0', '196');
INSERT INTO public.who_import VALUES (98183, '2020-09-01', 'ZW', 'Zimbabwe', 'AFRO', '85', '6497', '6', '202');
INSERT INTO public.who_import VALUES (98184, '2020-09-02', 'ZW', 'Zimbabwe', 'AFRO', '62', '6559', '1', '203');
INSERT INTO public.who_import VALUES (98185, '2020-09-03', 'ZW', 'Zimbabwe', 'AFRO', '79', '6638', '3', '206');
INSERT INTO public.who_import VALUES (98186, '2020-09-04', 'ZW', 'Zimbabwe', 'AFRO', '40', '6678', '0', '206');
INSERT INTO public.who_import VALUES (98187, '2020-09-05', 'ZW', 'Zimbabwe', 'AFRO', '159', '6837', '0', '206');
INSERT INTO public.who_import VALUES (98188, '2020-09-06', 'ZW', 'Zimbabwe', 'AFRO', '0', '6837', '0', '206');
INSERT INTO public.who_import VALUES (98189, '2020-09-07', 'ZW', 'Zimbabwe', 'AFRO', '0', '6837', '0', '206');
INSERT INTO public.who_import VALUES (98190, '2020-09-08', 'ZW', 'Zimbabwe', 'AFRO', '279', '7116', '2', '208');
INSERT INTO public.who_import VALUES (98191, '2020-09-09', 'ZW', 'Zimbabwe', 'AFRO', '272', '7388', '10', '218');
INSERT INTO public.who_import VALUES (98192, '2020-09-10', 'ZW', 'Zimbabwe', 'AFRO', '41', '7429', '4', '222');
INSERT INTO public.who_import VALUES (98193, '2020-09-11', 'ZW', 'Zimbabwe', 'AFRO', '24', '7453', '0', '222');
INSERT INTO public.who_import VALUES (98194, '2020-09-12', 'ZW', 'Zimbabwe', 'AFRO', '26', '7479', '2', '224');
INSERT INTO public.who_import VALUES (98195, '2020-09-13', 'ZW', 'Zimbabwe', 'AFRO', '29', '7508', '0', '224');
INSERT INTO public.who_import VALUES (98196, '2020-09-14', 'ZW', 'Zimbabwe', 'AFRO', '18', '7526', '0', '224');
INSERT INTO public.who_import VALUES (98197, '2020-09-15', 'ZW', 'Zimbabwe', 'AFRO', '5', '7531', '0', '224');
INSERT INTO public.who_import VALUES (98198, '2020-09-16', 'ZW', 'Zimbabwe', 'AFRO', '45', '7576', '0', '224');
INSERT INTO public.who_import VALUES (98199, '2020-09-17', 'ZW', 'Zimbabwe', 'AFRO', '22', '7598', '0', '224');
INSERT INTO public.who_import VALUES (98200, '2020-09-18', 'ZW', 'Zimbabwe', 'AFRO', '35', '7633', '0', '224');
INSERT INTO public.who_import VALUES (98201, '2020-09-19', 'ZW', 'Zimbabwe', 'AFRO', '14', '7647', '0', '224');
INSERT INTO public.who_import VALUES (98202, '2020-09-20', 'ZW', 'Zimbabwe', 'AFRO', '25', '7672', '1', '225');
INSERT INTO public.who_import VALUES (98203, '2020-09-21', 'ZW', 'Zimbabwe', 'AFRO', '11', '7683', '0', '225');
INSERT INTO public.who_import VALUES (98204, '2020-09-22', 'ZW', 'Zimbabwe', 'AFRO', '0', '7683', '0', '225');
INSERT INTO public.who_import VALUES (98205, '2020-09-23', 'ZW', 'Zimbabwe', 'AFRO', '28', '7711', '1', '226');
INSERT INTO public.who_import VALUES (98206, '2020-09-24', 'ZW', 'Zimbabwe', 'AFRO', '14', '7725', '1', '227');
INSERT INTO public.who_import VALUES (98207, '2020-09-25', 'ZW', 'Zimbabwe', 'AFRO', '0', '7725', '0', '227');
INSERT INTO public.who_import VALUES (98208, '2020-09-26', 'ZW', 'Zimbabwe', 'AFRO', '62', '7787', '0', '227');
INSERT INTO public.who_import VALUES (98209, '2020-09-27', 'ZW', 'Zimbabwe', 'AFRO', '16', '7803', '0', '227');
INSERT INTO public.who_import VALUES (98210, '2020-09-28', 'ZW', 'Zimbabwe', 'AFRO', '9', '7812', '0', '227');
INSERT INTO public.who_import VALUES (98211, '2020-09-29', 'ZW', 'Zimbabwe', 'AFRO', '4', '7816', '1', '228');
INSERT INTO public.who_import VALUES (98212, '2020-09-30', 'ZW', 'Zimbabwe', 'AFRO', '21', '7837', '0', '228');
INSERT INTO public.who_import VALUES (98213, '2020-10-01', 'ZW', 'Zimbabwe', 'AFRO', '1', '7838', '0', '228');
INSERT INTO public.who_import VALUES (98214, '2020-10-02', 'ZW', 'Zimbabwe', 'AFRO', '12', '7850', '0', '228');
INSERT INTO public.who_import VALUES (98215, '2020-10-03', 'ZW', 'Zimbabwe', 'AFRO', '8', '7858', '0', '228');
INSERT INTO public.who_import VALUES (98216, '2020-10-04', 'ZW', 'Zimbabwe', 'AFRO', '0', '7858', '0', '228');
INSERT INTO public.who_import VALUES (98217, '2020-10-05', 'ZW', 'Zimbabwe', 'AFRO', '30', '7888', '0', '228');
INSERT INTO public.who_import VALUES (98218, '2020-10-06', 'ZW', 'Zimbabwe', 'AFRO', '10', '7898', '0', '228');
INSERT INTO public.who_import VALUES (98219, '2020-10-07', 'ZW', 'Zimbabwe', 'AFRO', '17', '7915', '1', '229');
INSERT INTO public.who_import VALUES (98220, '2020-10-08', 'ZW', 'Zimbabwe', 'AFRO', '4', '7919', '0', '229');
INSERT INTO public.who_import VALUES (98221, '2020-10-09', 'ZW', 'Zimbabwe', 'AFRO', '32', '7951', '0', '229');
INSERT INTO public.who_import VALUES (98222, '2020-10-10', 'ZW', 'Zimbabwe', 'AFRO', '43', '7994', '0', '229');
INSERT INTO public.who_import VALUES (98223, '2020-10-11', 'ZW', 'Zimbabwe', 'AFRO', '0', '7994', '0', '229');
INSERT INTO public.who_import VALUES (98224, '2020-10-12', 'ZW', 'Zimbabwe', 'AFRO', '17', '8011', '1', '230');
INSERT INTO public.who_import VALUES (98225, '2020-10-13', 'ZW', 'Zimbabwe', 'AFRO', '10', '8021', '0', '230');
INSERT INTO public.who_import VALUES (98226, '2020-10-14', 'ZW', 'Zimbabwe', 'AFRO', '15', '8036', '0', '230');
INSERT INTO public.who_import VALUES (98227, '2020-10-15', 'ZW', 'Zimbabwe', 'AFRO', '19', '8055', '1', '231');
INSERT INTO public.who_import VALUES (98228, '2020-10-16', 'ZW', 'Zimbabwe', 'AFRO', '20', '8075', '0', '231');
INSERT INTO public.who_import VALUES (98229, '2020-10-17', 'ZW', 'Zimbabwe', 'AFRO', '24', '8099', '0', '231');
INSERT INTO public.who_import VALUES (98230, '2020-10-18', 'ZW', 'Zimbabwe', 'AFRO', '11', '8110', '0', '231');
INSERT INTO public.who_import VALUES (98231, '2020-10-19', 'ZW', 'Zimbabwe', 'AFRO', '37', '8147', '0', '231');
INSERT INTO public.who_import VALUES (98232, '2020-10-20', 'ZW', 'Zimbabwe', 'AFRO', '12', '8159', '1', '232');
INSERT INTO public.who_import VALUES (98233, '2020-10-21', 'ZW', 'Zimbabwe', 'AFRO', '28', '8187', '1', '233');
INSERT INTO public.who_import VALUES (98234, '2020-10-22', 'ZW', 'Zimbabwe', 'AFRO', '28', '8215', '3', '236');
INSERT INTO public.who_import VALUES (98235, '2020-10-23', 'ZW', 'Zimbabwe', 'AFRO', '27', '8242', '0', '236');
INSERT INTO public.who_import VALUES (98236, '2020-10-24', 'ZW', 'Zimbabwe', 'AFRO', '15', '8257', '0', '236');
INSERT INTO public.who_import VALUES (98237, '2020-10-25', 'ZW', 'Zimbabwe', 'AFRO', '12', '8269', '0', '236');
INSERT INTO public.who_import VALUES (98238, '2020-10-26', 'ZW', 'Zimbabwe', 'AFRO', '7', '8276', '1', '237');
INSERT INTO public.who_import VALUES (98239, '2020-10-27', 'ZW', 'Zimbabwe', 'AFRO', '27', '8303', '5', '242');
INSERT INTO public.who_import VALUES (98240, '2020-10-28', 'ZW', 'Zimbabwe', 'AFRO', '12', '8315', '0', '242');
INSERT INTO public.who_import VALUES (98241, '2020-10-29', 'ZW', 'Zimbabwe', 'AFRO', '5', '8320', '0', '242');
INSERT INTO public.who_import VALUES (98242, '2020-10-30', 'ZW', 'Zimbabwe', 'AFRO', '1', '8321', '0', '242');
INSERT INTO public.who_import VALUES (98243, '2020-10-31', 'ZW', 'Zimbabwe', 'AFRO', '41', '8362', '0', '242');
INSERT INTO public.who_import VALUES (98244, '2020-11-01', 'ZW', 'Zimbabwe', 'AFRO', '5', '8367', '1', '243');
INSERT INTO public.who_import VALUES (98245, '2020-11-02', 'ZW', 'Zimbabwe', 'AFRO', '7', '8374', '0', '243');
INSERT INTO public.who_import VALUES (98246, '2020-11-03', 'ZW', 'Zimbabwe', 'AFRO', '15', '8389', '2', '245');
INSERT INTO public.who_import VALUES (98247, '2020-11-04', 'ZW', 'Zimbabwe', 'AFRO', '21', '8410', '1', '246');
INSERT INTO public.who_import VALUES (98248, '2020-11-05', 'ZW', 'Zimbabwe', 'AFRO', '17', '8427', '2', '248');
INSERT INTO public.who_import VALUES (98249, '2020-11-06', 'ZW', 'Zimbabwe', 'AFRO', '16', '8443', '0', '248');
INSERT INTO public.who_import VALUES (98250, '2020-11-07', 'ZW', 'Zimbabwe', 'AFRO', '28', '8471', '2', '250');
INSERT INTO public.who_import VALUES (98251, '2020-11-08', 'ZW', 'Zimbabwe', 'AFRO', '0', '8471', '0', '250');
INSERT INTO public.who_import VALUES (98252, '2020-11-09', 'ZW', 'Zimbabwe', 'AFRO', '60', '8531', '3', '253');
INSERT INTO public.who_import VALUES (98253, '2020-11-10', 'ZW', 'Zimbabwe', 'AFRO', '30', '8561', '1', '254');
INSERT INTO public.who_import VALUES (98254, '2020-11-11', 'ZW', 'Zimbabwe', 'AFRO', '49', '8610', '1', '255');
INSERT INTO public.who_import VALUES (98255, '2020-11-12', 'ZW', 'Zimbabwe', 'AFRO', '57', '8667', '0', '255');
INSERT INTO public.who_import VALUES (98256, '2020-11-13', 'ZW', 'Zimbabwe', 'AFRO', '29', '8696', '0', '255');
INSERT INTO public.who_import VALUES (98257, '2020-11-14', 'ZW', 'Zimbabwe', 'AFRO', '69', '8765', '2', '257');
INSERT INTO public.who_import VALUES (98258, '2020-11-15', 'ZW', 'Zimbabwe', 'AFRO', '21', '8786', '0', '257');
INSERT INTO public.who_import VALUES (98259, '2020-11-16', 'ZW', 'Zimbabwe', 'AFRO', '43', '8829', '0', '257');
INSERT INTO public.who_import VALUES (98260, '2020-11-17', 'ZW', 'Zimbabwe', 'AFRO', '68', '8897', '0', '257');
INSERT INTO public.who_import VALUES (98261, '2020-11-18', 'ZW', 'Zimbabwe', 'AFRO', '48', '8945', '2', '259');
INSERT INTO public.who_import VALUES (98262, '2020-11-19', 'ZW', 'Zimbabwe', 'AFRO', '36', '8981', '2', '261');
INSERT INTO public.who_import VALUES (98263, '2020-11-20', 'ZW', 'Zimbabwe', 'AFRO', '65', '9046', '4', '265');
INSERT INTO public.who_import VALUES (98264, '2020-11-21', 'ZW', 'Zimbabwe', 'AFRO', '74', '9120', '0', '265');
INSERT INTO public.who_import VALUES (98265, '2020-11-22', 'ZW', 'Zimbabwe', 'AFRO', '0', '9120', '0', '265');
INSERT INTO public.who_import VALUES (98266, '2020-11-23', 'ZW', 'Zimbabwe', 'AFRO', '100', '9220', '3', '268');
INSERT INTO public.who_import VALUES (98267, '2020-11-24', 'ZW', 'Zimbabwe', 'AFRO', '88', '9308', '5', '273');
INSERT INTO public.who_import VALUES (98268, '2020-11-25', 'ZW', 'Zimbabwe', 'AFRO', '90', '9398', '1', '274');
INSERT INTO public.who_import VALUES (98269, '2020-11-26', 'ZW', 'Zimbabwe', 'AFRO', '110', '9508', '0', '274');
INSERT INTO public.who_import VALUES (98270, '2020-11-27', 'ZW', 'Zimbabwe', 'AFRO', '115', '9623', '0', '274');
INSERT INTO public.who_import VALUES (98271, '2020-11-28', 'ZW', 'Zimbabwe', 'AFRO', '91', '9714', '1', '275');
INSERT INTO public.who_import VALUES (98272, '2020-11-29', 'ZW', 'Zimbabwe', 'AFRO', '108', '9822', '0', '275');
INSERT INTO public.who_import VALUES (98273, '2020-11-30', 'ZW', 'Zimbabwe', 'AFRO', '128', '9950', '1', '276');
INSERT INTO public.who_import VALUES (98274, '2020-12-01', 'ZW', 'Zimbabwe', 'AFRO', '84', '10034', '1', '277');
INSERT INTO public.who_import VALUES (98275, '2020-12-02', 'ZW', 'Zimbabwe', 'AFRO', '95', '10129', '0', '277');
INSERT INTO public.who_import VALUES (98276, '2020-12-03', 'ZW', 'Zimbabwe', 'AFRO', '114', '10243', '0', '277');
INSERT INTO public.who_import VALUES (98277, '2020-12-04', 'ZW', 'Zimbabwe', 'AFRO', '181', '10424', '3', '280');
INSERT INTO public.who_import VALUES (98278, '2020-12-05', 'ZW', 'Zimbabwe', 'AFRO', '123', '10547', '1', '281');
INSERT INTO public.who_import VALUES (98279, '2020-12-06', 'ZW', 'Zimbabwe', 'AFRO', '70', '10617', '10', '291');
INSERT INTO public.who_import VALUES (98280, '2020-12-07', 'ZW', 'Zimbabwe', 'AFRO', '101', '10718', '0', '291');
INSERT INTO public.who_import VALUES (98281, '2020-12-08', 'ZW', 'Zimbabwe', 'AFRO', '121', '10839', '3', '294');
INSERT INTO public.who_import VALUES (98282, '2020-12-09', 'ZW', 'Zimbabwe', 'AFRO', '0', '10839', '0', '294');
INSERT INTO public.who_import VALUES (98283, '2020-12-10', 'ZW', 'Zimbabwe', 'AFRO', '168', '11007', '10', '304');
INSERT INTO public.who_import VALUES (98284, '2020-12-11', 'ZW', 'Zimbabwe', 'AFRO', '74', '11081', '1', '305');
INSERT INTO public.who_import VALUES (98285, '2020-12-12', 'ZW', 'Zimbabwe', 'AFRO', '0', '11081', '0', '305');
INSERT INTO public.who_import VALUES (98286, '2020-12-13', 'ZW', 'Zimbabwe', 'AFRO', '0', '11081', '0', '305');
INSERT INTO public.who_import VALUES (98287, '2020-12-14', 'ZW', 'Zimbabwe', 'AFRO', '165', '11246', '2', '307');
INSERT INTO public.who_import VALUES (98288, '2020-12-15', 'ZW', 'Zimbabwe', 'AFRO', '112', '11358', '2', '309');
INSERT INTO public.who_import VALUES (98289, '2020-12-16', 'ZW', 'Zimbabwe', 'AFRO', '164', '11522', '1', '310');
INSERT INTO public.who_import VALUES (98290, '2020-12-17', 'ZW', 'Zimbabwe', 'AFRO', '0', '11522', '0', '310');
INSERT INTO public.who_import VALUES (98291, '2020-12-18', 'ZW', 'Zimbabwe', 'AFRO', '344', '11866', '4', '314');
INSERT INTO public.who_import VALUES (98292, '2020-12-19', 'ZW', 'Zimbabwe', 'AFRO', '181', '12047', '2', '316');
INSERT INTO public.who_import VALUES (98293, '2020-12-20', 'ZW', 'Zimbabwe', 'AFRO', '104', '12151', '2', '318');
INSERT INTO public.who_import VALUES (98294, '2020-12-21', 'ZW', 'Zimbabwe', 'AFRO', '174', '12325', '2', '320');
INSERT INTO public.who_import VALUES (98295, '2020-12-22', 'ZW', 'Zimbabwe', 'AFRO', '97', '12422', '2', '322');
INSERT INTO public.who_import VALUES (98296, '2020-12-23', 'ZW', 'Zimbabwe', 'AFRO', '122', '12544', '4', '326');
INSERT INTO public.who_import VALUES (98297, '2020-12-24', 'ZW', 'Zimbabwe', 'AFRO', '0', '12544', '0', '326');
INSERT INTO public.who_import VALUES (98298, '2020-12-25', 'ZW', 'Zimbabwe', 'AFRO', '242', '12786', '13', '339');
INSERT INTO public.who_import VALUES (98299, '2020-12-26', 'ZW', 'Zimbabwe', 'AFRO', '94', '12880', '2', '341');
INSERT INTO public.who_import VALUES (98300, '2020-12-27', 'ZW', 'Zimbabwe', 'AFRO', '83', '12963', '0', '341');
INSERT INTO public.who_import VALUES (98301, '2020-12-28', 'ZW', 'Zimbabwe', 'AFRO', '0', '12963', '0', '341');
INSERT INTO public.who_import VALUES (98302, '2020-12-29', 'ZW', 'Zimbabwe', 'AFRO', '185', '13148', '13', '354');
INSERT INTO public.who_import VALUES (98303, '2020-12-30', 'ZW', 'Zimbabwe', 'AFRO', '0', '13148', '0', '354');
INSERT INTO public.who_import VALUES (98304, '2020-12-31', 'ZW', 'Zimbabwe', 'AFRO', '477', '13625', '6', '360');
INSERT INTO public.who_import VALUES (98305, '2021-01-01', 'ZW', 'Zimbabwe', 'AFRO', '242', '13867', '3', '363');
INSERT INTO public.who_import VALUES (98306, '2021-01-02', 'ZW', 'Zimbabwe', 'AFRO', '0', '13867', '0', '363');
INSERT INTO public.who_import VALUES (98307, '2021-01-03', 'ZW', 'Zimbabwe', 'AFRO', '624', '14491', '14', '377');
INSERT INTO public.who_import VALUES (98308, '2021-01-04', 'ZW', 'Zimbabwe', 'AFRO', '774', '15265', '3', '380');
INSERT INTO public.who_import VALUES (98309, '2021-01-05', 'ZW', 'Zimbabwe', 'AFRO', '564', '15829', '4', '384');
INSERT INTO public.who_import VALUES (98310, '2021-01-06', 'ZW', 'Zimbabwe', 'AFRO', '1365', '17194', '34', '418');
INSERT INTO public.who_import VALUES (98311, '2021-01-07', 'ZW', 'Zimbabwe', 'AFRO', '610', '17804', '13', '431');
INSERT INTO public.who_import VALUES (98312, '2021-01-08', 'ZW', 'Zimbabwe', 'AFRO', '871', '18675', '15', '446');
INSERT INTO public.who_import VALUES (98313, '2021-01-09', 'ZW', 'Zimbabwe', 'AFRO', '985', '19660', '22', '468');
INSERT INTO public.who_import VALUES (98314, '2021-01-10', 'ZW', 'Zimbabwe', 'AFRO', '839', '20499', '15', '483');
INSERT INTO public.who_import VALUES (98315, '2021-01-11', 'ZW', 'Zimbabwe', 'AFRO', '978', '21477', '24', '507');
INSERT INTO public.who_import VALUES (98316, '2021-01-12', 'ZW', 'Zimbabwe', 'AFRO', '820', '22297', '21', '528');
INSERT INTO public.who_import VALUES (98317, '2021-01-13', 'ZW', 'Zimbabwe', 'AFRO', '942', '23239', '23', '551');
INSERT INTO public.who_import VALUES (98318, '2021-01-14', 'ZW', 'Zimbabwe', 'AFRO', '1017', '24256', '38', '589');
INSERT INTO public.who_import VALUES (98319, '2021-01-15', 'ZW', 'Zimbabwe', 'AFRO', '1112', '25368', '47', '636');
INSERT INTO public.who_import VALUES (98320, '2021-01-16', 'ZW', 'Zimbabwe', 'AFRO', '741', '26109', '30', '666');
INSERT INTO public.who_import VALUES (98321, '2021-01-17', 'ZW', 'Zimbabwe', 'AFRO', '772', '26881', '17', '683');
INSERT INTO public.who_import VALUES (98322, '2021-01-18', 'ZW', 'Zimbabwe', 'AFRO', '322', '27203', '30', '713');
INSERT INTO public.who_import VALUES (98323, '2021-01-19', 'ZW', 'Zimbabwe', 'AFRO', '689', '27892', '60', '773');
INSERT INTO public.who_import VALUES (98324, '2021-01-20', 'ZW', 'Zimbabwe', 'AFRO', '783', '28675', '52', '825');
INSERT INTO public.who_import VALUES (98325, '2021-01-21', 'ZW', 'Zimbabwe', 'AFRO', '733', '29408', '54', '879');
INSERT INTO public.who_import VALUES (98326, '2021-01-22', 'ZW', 'Zimbabwe', 'AFRO', '639', '30047', '38', '917');
INSERT INTO public.who_import VALUES (98327, '2021-01-23', 'ZW', 'Zimbabwe', 'AFRO', '476', '30523', '45', '962');
INSERT INTO public.who_import VALUES (98328, '2021-01-24', 'ZW', 'Zimbabwe', 'AFRO', '484', '31007', '12', '974');
INSERT INTO public.who_import VALUES (98329, '2021-01-25', 'ZW', 'Zimbabwe', 'AFRO', '313', '31320', '31', '1005');
INSERT INTO public.who_import VALUES (98330, '2021-01-26', 'ZW', 'Zimbabwe', 'AFRO', '326', '31646', '70', '1075');
INSERT INTO public.who_import VALUES (98331, '2021-01-27', 'ZW', 'Zimbabwe', 'AFRO', '358', '32004', '28', '1103');
INSERT INTO public.who_import VALUES (98332, '2021-01-28', 'ZW', 'Zimbabwe', 'AFRO', '300', '32304', '19', '1122');
INSERT INTO public.who_import VALUES (98333, '2021-01-29', 'ZW', 'Zimbabwe', 'AFRO', '342', '32646', '38', '1160');
INSERT INTO public.who_import VALUES (98334, '2021-01-30', 'ZW', 'Zimbabwe', 'AFRO', '306', '32952', '18', '1178');
INSERT INTO public.who_import VALUES (98335, '2021-01-31', 'ZW', 'Zimbabwe', 'AFRO', '319', '33271', '15', '1193');
INSERT INTO public.who_import VALUES (98336, '2021-02-01', 'ZW', 'Zimbabwe', 'AFRO', '117', '33388', '24', '1217');
INSERT INTO public.who_import VALUES (98337, '2021-02-02', 'ZW', 'Zimbabwe', 'AFRO', '160', '33548', '17', '1234');
INSERT INTO public.who_import VALUES (98338, '2021-02-03', 'ZW', 'Zimbabwe', 'AFRO', '266', '33814', '20', '1254');
INSERT INTO public.who_import VALUES (98339, '2021-02-04', 'ZW', 'Zimbabwe', 'AFRO', '150', '33964', '15', '1269');
INSERT INTO public.who_import VALUES (98340, '2021-02-05', 'ZW', 'Zimbabwe', 'AFRO', '207', '34171', '19', '1288');
INSERT INTO public.who_import VALUES (98341, '2021-02-06', 'ZW', 'Zimbabwe', 'AFRO', '160', '34331', '15', '1303');
INSERT INTO public.who_import VALUES (98342, '2021-02-07', 'ZW', 'Zimbabwe', 'AFRO', '156', '34487', '13', '1316');
INSERT INTO public.who_import VALUES (98343, '2021-02-08', 'ZW', 'Zimbabwe', 'AFRO', '65', '34552', '10', '1326');
INSERT INTO public.who_import VALUES (98344, '2021-02-09', 'ZW', 'Zimbabwe', 'AFRO', '106', '34658', '13', '1339');
INSERT INTO public.who_import VALUES (98345, '2021-02-10', 'ZW', 'Zimbabwe', 'AFRO', '127', '34785', '14', '1353');
INSERT INTO public.who_import VALUES (98346, '2021-02-11', 'ZW', 'Zimbabwe', 'AFRO', '79', '34864', '11', '1364');
INSERT INTO public.who_import VALUES (98347, '2021-02-12', 'ZW', 'Zimbabwe', 'AFRO', '85', '34949', '18', '1382');
INSERT INTO public.who_import VALUES (98348, '2021-02-13', 'ZW', 'Zimbabwe', 'AFRO', '96', '35045', '11', '1393');
INSERT INTO public.who_import VALUES (98349, '2021-02-14', 'ZW', 'Zimbabwe', 'AFRO', '59', '35104', '5', '1398');
INSERT INTO public.who_import VALUES (98350, '2021-02-15', 'ZW', 'Zimbabwe', 'AFRO', '68', '35172', '2', '1400');
INSERT INTO public.who_import VALUES (98351, '2021-02-16', 'ZW', 'Zimbabwe', 'AFRO', '50', '35222', '10', '1410');
INSERT INTO public.who_import VALUES (98352, '2021-02-17', 'ZW', 'Zimbabwe', 'AFRO', '93', '35315', '4', '1414');
INSERT INTO public.who_import VALUES (98353, '2021-02-18', 'ZW', 'Zimbabwe', 'AFRO', '108', '35423', '4', '1418');
INSERT INTO public.who_import VALUES (98354, '2021-02-19', 'ZW', 'Zimbabwe', 'AFRO', '120', '35543', '2', '1420');
INSERT INTO public.who_import VALUES (98355, '2021-02-20', 'ZW', 'Zimbabwe', 'AFRO', '167', '35710', '10', '1430');


--
-- Data for Name: who_region; Type: TABLE DATA; Schema: public; Owner: covid19data
--

INSERT INTO public.who_region VALUES (1, 'AFRO');
INSERT INTO public.who_region VALUES (2, 'AMRO');
INSERT INTO public.who_region VALUES (3, 'EMRO');
INSERT INTO public.who_region VALUES (4, 'EURO');
INSERT INTO public.who_region VALUES (5, 'Other');
INSERT INTO public.who_region VALUES (6, 'SEARO');
INSERT INTO public.who_region VALUES (7, 'WPRO');


--
-- Name: application_date_reported_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.application_date_reported_id_seq', 1, false);


--
-- Name: application_region_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.application_region_id_seq', 1, false);


--
-- Name: ecdc_continent_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.ecdc_continent_id_seq', 6, true);


--
-- Name: ecdc_country_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.ecdc_country_id_seq', 214, true);


--
-- Name: ecdc_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.ecdc_data_id_seq', 61900, true);


--
-- Name: ecdc_date_reported_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.ecdc_date_reported_id_seq', 350, true);


--
-- Name: ecdc_import_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.ecdc_import_id_seq', 61900, true);


--
-- Name: owid_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.owid_data_id_seq', 1, false);


--
-- Name: owid_date_reported_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.owid_date_reported_id_seq', 1, false);


--
-- Name: owid_import_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.owid_import_id_seq', 1, false);


--
-- Name: rki_bundeslaender_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_bundeslaender_id_seq', 1, false);


--
-- Name: rki_bundeslsaender_import_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_bundeslsaender_import_id_seq', 1, false);


--
-- Name: rki_country_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_country_id_seq', 1, false);


--
-- Name: rki_date_reported_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_date_reported_id_seq', 1, false);


--
-- Name: rki_landkreise_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_landkreise_id_seq', 1, false);


--
-- Name: rki_landkreise_import_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_landkreise_import_id_seq', 1, false);


--
-- Name: rki_region_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_region_id_seq', 1, false);


--
-- Name: rki_vaccination_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_vaccination_data_id_seq', 55, true);


--
-- Name: rki_vaccination_date_reported_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_vaccination_date_reported_id_seq', 55, true);


--
-- Name: rki_vaccination_import_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.rki_vaccination_import_id_seq', 55, true);


--
-- Name: who_country_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.who_country_id_seq', 237, true);


--
-- Name: who_data_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.who_data_id_seq', 98355, true);


--
-- Name: who_date_reported_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.who_date_reported_id_seq', 415, true);


--
-- Name: who_import_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.who_import_id_seq', 98355, true);


--
-- Name: who_region_id_seq; Type: SEQUENCE SET; Schema: public; Owner: covid19data
--

SELECT pg_catalog.setval('public.who_region_id_seq', 7, true);


--
-- Name: application_date_reported application_date_reported_date_reported_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_date_reported
    ADD CONSTRAINT application_date_reported_date_reported_key UNIQUE (date_reported);


--
-- Name: application_date_reported application_date_reported_datum_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_date_reported
    ADD CONSTRAINT application_date_reported_datum_key UNIQUE (datum);


--
-- Name: application_date_reported application_date_reported_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_date_reported
    ADD CONSTRAINT application_date_reported_pkey PRIMARY KEY (id);


--
-- Name: application_region application_region_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_region
    ADD CONSTRAINT application_region_pkey PRIMARY KEY (id);


--
-- Name: ecdc_continent ecdc_continent_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_continent
    ADD CONSTRAINT ecdc_continent_pkey PRIMARY KEY (id);


--
-- Name: ecdc_country ecdc_country_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_country
    ADD CONSTRAINT ecdc_country_pkey PRIMARY KEY (id);


--
-- Name: ecdc_data ecdc_data_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_data
    ADD CONSTRAINT ecdc_data_pkey PRIMARY KEY (id);


--
-- Name: ecdc_date_reported ecdc_date_reported_date_reported_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_date_reported
    ADD CONSTRAINT ecdc_date_reported_date_reported_key UNIQUE (date_reported);


--
-- Name: ecdc_date_reported ecdc_date_reported_datum_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_date_reported
    ADD CONSTRAINT ecdc_date_reported_datum_key UNIQUE (datum);


--
-- Name: ecdc_date_reported ecdc_date_reported_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_date_reported
    ADD CONSTRAINT ecdc_date_reported_pkey PRIMARY KEY (id);


--
-- Name: ecdc_import ecdc_import_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_import
    ADD CONSTRAINT ecdc_import_pkey PRIMARY KEY (id);


--
-- Name: owid_data owid_data_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_data
    ADD CONSTRAINT owid_data_pkey PRIMARY KEY (id);


--
-- Name: owid_date_reported owid_date_reported_date_reported_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_date_reported
    ADD CONSTRAINT owid_date_reported_date_reported_key UNIQUE (date_reported);


--
-- Name: owid_date_reported owid_date_reported_datum_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_date_reported
    ADD CONSTRAINT owid_date_reported_datum_key UNIQUE (datum);


--
-- Name: owid_date_reported owid_date_reported_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_date_reported
    ADD CONSTRAINT owid_date_reported_pkey PRIMARY KEY (id);


--
-- Name: owid_import owid_import_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_import
    ADD CONSTRAINT owid_import_pkey PRIMARY KEY (id);


--
-- Name: rki_bundeslaender rki_bundeslaender_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_bundeslaender
    ADD CONSTRAINT rki_bundeslaender_pkey PRIMARY KEY (id);


--
-- Name: rki_bundeslsaender_import rki_bundeslsaender_import_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_bundeslsaender_import
    ADD CONSTRAINT rki_bundeslsaender_import_pkey PRIMARY KEY (id);


--
-- Name: rki_country rki_country_country_code_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_country
    ADD CONSTRAINT rki_country_country_code_key UNIQUE (country_code);


--
-- Name: rki_country rki_country_country_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_country
    ADD CONSTRAINT rki_country_country_key UNIQUE (country);


--
-- Name: rki_country rki_country_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_country
    ADD CONSTRAINT rki_country_pkey PRIMARY KEY (id);


--
-- Name: rki_date_reported rki_date_reported_aktualisierung_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_date_reported
    ADD CONSTRAINT rki_date_reported_aktualisierung_key UNIQUE (aktualisierung);


--
-- Name: rki_date_reported rki_date_reported_datum_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_date_reported
    ADD CONSTRAINT rki_date_reported_datum_key UNIQUE (datum);


--
-- Name: rki_date_reported rki_date_reported_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_date_reported
    ADD CONSTRAINT rki_date_reported_pkey PRIMARY KEY (id);


--
-- Name: rki_landkreise_import rki_landkreise_import_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_landkreise_import
    ADD CONSTRAINT rki_landkreise_import_pkey PRIMARY KEY (id);


--
-- Name: rki_landkreise rki_landkreise_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_landkreise
    ADD CONSTRAINT rki_landkreise_pkey PRIMARY KEY (id);


--
-- Name: rki_region rki_region_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_region
    ADD CONSTRAINT rki_region_pkey PRIMARY KEY (id);


--
-- Name: rki_vaccination_data rki_vaccination_data_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_data
    ADD CONSTRAINT rki_vaccination_data_pkey PRIMARY KEY (id);


--
-- Name: rki_vaccination_date_reported rki_vaccination_date_reported_date_reported_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_date_reported
    ADD CONSTRAINT rki_vaccination_date_reported_date_reported_key UNIQUE (date_reported);


--
-- Name: rki_vaccination_date_reported rki_vaccination_date_reported_datum_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_date_reported
    ADD CONSTRAINT rki_vaccination_date_reported_datum_key UNIQUE (datum);


--
-- Name: rki_vaccination_date_reported rki_vaccination_date_reported_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_date_reported
    ADD CONSTRAINT rki_vaccination_date_reported_pkey PRIMARY KEY (id);


--
-- Name: rki_vaccination_import rki_vaccination_import_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_import
    ADD CONSTRAINT rki_vaccination_import_pkey PRIMARY KEY (id);


--
-- Name: application_date_reported uix_application_date_reported; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_date_reported
    ADD CONSTRAINT uix_application_date_reported UNIQUE (date_reported, datum);


--
-- Name: application_region uix_application_region; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.application_region
    ADD CONSTRAINT uix_application_region UNIQUE (region);


--
-- Name: ecdc_continent uix_ecdc_continent; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_continent
    ADD CONSTRAINT uix_ecdc_continent UNIQUE (region);


--
-- Name: ecdc_country uix_ecdc_country; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_country
    ADD CONSTRAINT uix_ecdc_country UNIQUE (countries_and_territories, geo_id, country_territory_code);


--
-- Name: ecdc_date_reported uix_ecdc_date_reported; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_date_reported
    ADD CONSTRAINT uix_ecdc_date_reported UNIQUE (date_reported, datum);


--
-- Name: owid_date_reported uix_owid_date_reported; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_date_reported
    ADD CONSTRAINT uix_owid_date_reported UNIQUE (date_reported, datum);


--
-- Name: rki_date_reported uix_rki_date_reported; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_date_reported
    ADD CONSTRAINT uix_rki_date_reported UNIQUE (date_reported, datum);


--
-- Name: rki_region uix_rki_region; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_region
    ADD CONSTRAINT uix_rki_region UNIQUE (region);


--
-- Name: rki_vaccination_date_reported uix_rki_vaccination_date_reported; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_date_reported
    ADD CONSTRAINT uix_rki_vaccination_date_reported UNIQUE (date_reported, datum);


--
-- Name: who_country uix_who_country; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_country
    ADD CONSTRAINT uix_who_country UNIQUE (country_code, country);


--
-- Name: who_date_reported uix_who_date_reported; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_date_reported
    ADD CONSTRAINT uix_who_date_reported UNIQUE (date_reported, datum);


--
-- Name: who_region uix_who_region; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_region
    ADD CONSTRAINT uix_who_region UNIQUE (region);


--
-- Name: who_country who_country_country_code_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_country
    ADD CONSTRAINT who_country_country_code_key UNIQUE (country_code);


--
-- Name: who_country who_country_country_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_country
    ADD CONSTRAINT who_country_country_key UNIQUE (country);


--
-- Name: who_country who_country_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_country
    ADD CONSTRAINT who_country_pkey PRIMARY KEY (id);


--
-- Name: who_data who_data_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_data
    ADD CONSTRAINT who_data_pkey PRIMARY KEY (id);


--
-- Name: who_date_reported who_date_reported_date_reported_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_date_reported
    ADD CONSTRAINT who_date_reported_date_reported_key UNIQUE (date_reported);


--
-- Name: who_date_reported who_date_reported_datum_key; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_date_reported
    ADD CONSTRAINT who_date_reported_datum_key UNIQUE (datum);


--
-- Name: who_date_reported who_date_reported_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_date_reported
    ADD CONSTRAINT who_date_reported_pkey PRIMARY KEY (id);


--
-- Name: who_import who_import_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_import
    ADD CONSTRAINT who_import_pkey PRIMARY KEY (id);


--
-- Name: who_region who_region_pkey; Type: CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_region
    ADD CONSTRAINT who_region_pkey PRIMARY KEY (id);


--
-- Name: ecdc_country ecdc_country_continent_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_country
    ADD CONSTRAINT ecdc_country_continent_id_fkey FOREIGN KEY (continent_id) REFERENCES public.ecdc_continent(id);


--
-- Name: ecdc_data ecdc_data_ecdc_country_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_data
    ADD CONSTRAINT ecdc_data_ecdc_country_id_fkey FOREIGN KEY (ecdc_country_id) REFERENCES public.ecdc_country(id);


--
-- Name: ecdc_data ecdc_data_ecdc_date_reported_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.ecdc_data
    ADD CONSTRAINT ecdc_data_ecdc_date_reported_id_fkey FOREIGN KEY (ecdc_date_reported_id) REFERENCES public.ecdc_date_reported(id);


--
-- Name: owid_data owid_data_date_reported_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.owid_data
    ADD CONSTRAINT owid_data_date_reported_id_fkey FOREIGN KEY (date_reported_id) REFERENCES public.owid_date_reported(id);


--
-- Name: rki_country rki_country_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_country
    ADD CONSTRAINT rki_country_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.rki_region(id);


--
-- Name: rki_vaccination_data rki_vaccination_data_date_reported_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.rki_vaccination_data
    ADD CONSTRAINT rki_vaccination_data_date_reported_id_fkey FOREIGN KEY (date_reported_id) REFERENCES public.rki_vaccination_date_reported(id);


--
-- Name: who_country who_country_region_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_country
    ADD CONSTRAINT who_country_region_id_fkey FOREIGN KEY (region_id) REFERENCES public.who_region(id);


--
-- Name: who_data who_data_country_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_data
    ADD CONSTRAINT who_data_country_id_fkey FOREIGN KEY (country_id) REFERENCES public.who_country(id);


--
-- Name: who_data who_data_date_reported_id_fkey; Type: FK CONSTRAINT; Schema: public; Owner: covid19data
--

ALTER TABLE ONLY public.who_data
    ADD CONSTRAINT who_data_date_reported_id_fkey FOREIGN KEY (date_reported_id) REFERENCES public.who_date_reported(id);


--
-- PostgreSQL database dump complete
--

